diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index ad7e7ff..d205772 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -7056,19 +7056,34 @@ These exports come from \refto{SetCategory}():
 ++ \tab{5}\spad{index(lookup(s)) = s}
 
 Finite(): Category == SetCategory with
-      size: () ->  NonNegativeInteger
-        ++ size() returns the number of elements in the set.
-      index: PositiveInteger -> %
-        ++ index(i) takes a positive integer i less than or equal
-        ++ to \spad{size()} and
-        ++ returns the \spad{i}-th element of the set. 
-        ++ This operation establishs a bijection
-        ++ between the elements of the finite set and \spad{1..size()}.
-      lookup: % -> PositiveInteger
-        ++ lookup(x) returns a positive integer such that
-        ++ \spad{x = index lookup x}.
-      random: () -> %
-        ++ random() returns a random element from the set.
+
+  size: () ->  NonNegativeInteger
+    ++ size() returns the number of elements in the set.
+
+  index: PositiveInteger -> %
+    ++ index(i) takes a positive integer i less than or equal
+    ++ to \spad{size()} and
+    ++ returns the \spad{i}-th element of the set. 
+    ++ This operation establishs a bijection
+    ++ between the elements of the finite set and \spad{1..size()}.
+
+  lookup: % -> PositiveInteger
+    ++ lookup(x) returns a positive integer such that
+    ++ \spad{x = index lookup x}.
+
+  random: () -> %
+    ++ random() returns a random element from the set.
+
+  enumerate: () -> List %
+    ++ enumerate() returns a list of elements of the set
+    ++
+    ++X enumerate()$OrderedVariableList([p,q])
+
+ add
+   
+  random() == index((1+random(size()$%))::PositiveInteger)
+
+  enumerate() == [index(i::PositiveInteger) for i in 1..size()]
 
 \end{chunk}
 \begin{chunk}{FINITE.dotabb}
diff --git a/changelog b/changelog
index 95c21fc..bddbac9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,13 @@
+20130422 tpd src/axiom-website/patches.html 20130422.01.tpd.patch
+20130422 tpd src/share/algebra/users.daase/users.daase/index.kaf FINITE
+20130422 tpd src/share/algebra/operation.daase add enumerate to FINITE
+20130422 tpd src/share/algebra/interp.daase add enumerate to FINITE
+20130422 tpd src/share/algebra/dependents.daase/dependents.daase/index.kaf
+20130422 tpd src/share/algebra/compress.daase add enumerate to FINITE
+20130422 tpd src/share/algebra/category.daase add enumerate to FINITE
+20130422 tpd src/share/algebra/browse.daase add enumerate to FINITE
+20130422 tpd src/algebra/Makefile add FINITE-
+20130422 tpd books/bookvol10.2 add enumerate to FINITE
 20130418 jzc src/axiom-website/patches.html 20130418.01.jzc.patch
 20130418 jzc books/bookvol0 fix Jenks book format issues
 20130414 tpd src/axiom-website/patches.html 20130414.01.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index f901569..4b628e5 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -700,7 +700,8 @@ LAYER1=\
   ${OUT}/BLMETCT.o  \
   ${OUT}/COLOR.o    ${OUT}/COMBOPC.o  ${OUT}/COMM.o     ${OUT}/COMPPROP.o \
   ${OUT}/DROPT1.o   ${OUT}/ELTAGG.o   ${OUT}/ELTAGG-.o  ${OUT}/EQ2.o      \
-  ${OUT}/EXIT.o     ${OUT}/FILECAT.o  ${OUT}/FINITE.o   ${OUT}/FNCAT.o    \
+  ${OUT}/EXIT.o     ${OUT}/FILECAT.o  ${OUT}/FINITE.o   ${OUT}/FINITE-.o  \
+  ${OUT}/FNCAT.o    \
   ${OUT}/FORMULA1.o ${OUT}/FORTCAT.o  ${OUT}/IDPC.o     ${OUT}/IEVALAB.o  \
   ${OUT}/IEVALAB-.o ${OUT}/ITFUN2.o   ${OUT}/ITFUN3.o   ${OUT}/ITUPLE.o   \
   ${OUT}/LIST3.o    ${OUT}/LMODULE.o  ${OUT}/LOGIC.o    ${OUT}/LOGIC-.o   \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e91ed76..16d73fb 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4139,5 +4139,7 @@ src/interp/Makefile, books/bookvol5 remove bc-matrix.lisp
 src/axiom-website/documentation.html add quote
 <a href="patches/20130418.01.jzc.patch">20130418.01.jzc.patch</a>
 books/bookvol0 fix Jenks book format issues
+<a href="patches/20130422.01.tpd.patch">20130422.01.tpd.patch</a>
+books/bookvol10.2 add enumerate to FINITE
  </body>
 </html>
diff --git a/src/share/algebra/browse.daase b/src/share/algebra/browse.daase
index bb14311..d5e6557 100644
--- a/src/share/algebra/browse.daase
+++ b/src/share/algebra/browse.daase
@@ -1,12 +1,12 @@
 
-(2385209 . 3570849592)       
+(2388726 . 3575591491)       
 (-18 A S) 
 ((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically, these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property, that is, any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over, and access to, elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
 NIL 
 NIL 
 (-19 S) 
 ((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically, these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property, that is, any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over, and access to, elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
 (-20 S) 
 ((|constructor| (NIL "The class of abelian groups, \\spadignore{i.e.} additive monoids where each element has an additive inverse. \\blankline Axioms\\br \\tab{5}\\spad{-(-x) = x}\\br \\tab{5}\\spad{x+(-x) = 0}")) (* (($ (|Integer|) $) "\\spad{n*x} is the product of \\spad{x} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x-y} is the difference of \\spad{x} and \\spad{y} \\spadignore{i.e.} \\spad{x + (-y)}.") (($ $) "\\spad{-x} is the additive inverse of \\spad{x.}"))) 
@@ -33,12 +33,12 @@ NIL
 NIL 
 NIL 
 (-26 S) 
-((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zerosOf(p, \\spad{y)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{zerosOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{zerosOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zeroOf(p, \\spad{y)} returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{zeroOf(p) returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\indented{1}{zeroOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{If possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootsOf(p, \\spad{y)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0};} \\indented{1}{The returned roots display as \\spad{'y1},...,\\spad{'yn}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootsOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{rootsOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootOf(p, \\spad{y)} returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\indented{1}{rootOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)"))) 
+((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{zerosOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{zeroOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}; \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}; \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{If possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; \\indented{1}{The returned roots display as \\spad{'y1},...,\\spad{'yn}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\spad{rootsOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\spad{rootsOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{Note that the returned symbols y1,...,yn are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{rootOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)"))) 
 NIL 
 NIL 
 (-27) 
-((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zerosOf(p, \\spad{y)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{zerosOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{zerosOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zeroOf(p, \\spad{y)} returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{zeroOf(p) returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\indented{1}{zeroOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{If possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootsOf(p, \\spad{y)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0};} \\indented{1}{The returned roots display as \\spad{'y1},...,\\spad{'yn}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootsOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{rootsOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootOf(p, \\spad{y)} returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\indented{1}{rootOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)"))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{zerosOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{The yi's are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{zeroOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}; \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}; \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{If possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; \\indented{1}{The returned roots display as \\spad{'y1},...,\\spad{'yn}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\spad{rootsOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\spad{rootsOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. \\indented{1}{Note that the returned symbols y1,...,yn are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\spad{rootOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)"))) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-28 S R) 
 ((|constructor| (NIL "Model for algebraically closed function spaces.")) (|zerosOf| (((|List| $) $ (|Symbol|)) "\\spad{zerosOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible, and otherwise as implicit algebraic quantities which display as \\spad{'yi}. The returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible. The returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable.")) (|zeroOf| (($ $ (|Symbol|)) "\\spad{zeroOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity which displays as \\spad{'y}.") (($ $) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity. Error: if \\spad{p} has more than one variable.")) (|rootsOf| (((|List| $) $ (|Symbol|)) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; The returned roots display as \\spad{'y1},...,\\spad{'yn}. Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable \\spad{y.}")) (|rootOf| (($ $ (|Symbol|)) "\\spad{rootOf(p,y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}.") (($ $) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. Error: if \\spad{p} has more than one variable \\spad{y.}"))) 
@@ -46,7 +46,7 @@ NIL
 NIL 
 (-29 R) 
 ((|constructor| (NIL "Model for algebraically closed function spaces.")) (|zerosOf| (((|List| $) $ (|Symbol|)) "\\spad{zerosOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible, and otherwise as implicit algebraic quantities which display as \\spad{'yi}. The returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible. The returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable.")) (|zeroOf| (($ $ (|Symbol|)) "\\spad{zeroOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity which displays as \\spad{'y}.") (($ $) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity. Error: if \\spad{p} has more than one variable.")) (|rootsOf| (((|List| $) $ (|Symbol|)) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; The returned roots display as \\spad{'y1},...,\\spad{'yn}. Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable \\spad{y.}")) (|rootOf| (($ $ (|Symbol|)) "\\spad{rootOf(p,y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}.") (($ $) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. Error: if \\spad{p} has more than one variable \\spad{y.}"))) 
-((-4568 . T) (-4566 . T) (-4565 . T) ((-4573 "*") . T) (-4564 . T) (-4569 . T) (-4563 . T) (-4317 . T)) 
+((-4597 . T) (-4595 . T) (-4594 . T) ((-4602 "*") . T) (-4593 . T) (-4598 . T) (-4592 . T) (-3348 . T)) 
 NIL 
 (-30) 
 ((|constructor| (NIL "Plot a NON-SINGULAR plane algebraic curve p(x,y) = 0.")) (|refine| (($ $ (|DoubleFloat|)) "\\indented{1}{refine(p,x) is not documented} \\blankline \\spad{X} sketch:=makeSketch(x+y,x,y,-1/2..1/2,-1/2..1/2)$ACPLOT \\spad{X} refined:=refine(sketch,0.1)")) (|makeSketch| (($ (|Polynomial| (|Integer|)) (|Symbol|) (|Symbol|) (|Segment| (|Fraction| (|Integer|))) (|Segment| (|Fraction| (|Integer|)))) "\\indented{1}{makeSketch(p,x,y,a..b,c..d) creates an ACPLOT of the} \\indented{1}{curve \\spad{p = 0} in the region a \\spad{<=} \\spad{x} \\spad{<=} \\spad{b,} \\spad{c} \\spad{<=} \\spad{y} \\spad{<=} \\spad{d.}} \\indented{1}{More specifically, 'makeSketch' plots a non-singular algebraic curve} \\indented{1}{\\spad{p = 0} in an rectangular region xMin \\spad{<=} \\spad{x} \\spad{<=} xMax,} \\indented{1}{yMin \\spad{<=} \\spad{y} \\spad{<=} yMax. The user inputs} \\indented{1}{\\spad{makeSketch(p,x,y,xMin..xMax,yMin..yMax)}.} \\indented{1}{Here \\spad{p} is a polynomial in the variables \\spad{x} and \\spad{y} with} \\indented{1}{integer coefficients \\spad{(p} belongs to the domain} \\indented{1}{\\spad{Polynomial Integer}). The case} \\indented{1}{where \\spad{p} is a polynomial in only one of the variables is} \\indented{1}{allowed.\\space{2}The variables \\spad{x} and \\spad{y} are input to specify the} \\indented{1}{the coordinate axes.\\space{2}The horizontal axis is the x-axis and} \\indented{1}{the vertical axis is the y-axis.\\space{2}The rational numbers} \\indented{1}{xMin,...,yMax specify the boundaries of the region in} \\indented{1}{which the curve is to be plotted.} \\blankline \\spad{X} makeSketch(x+y,x,y,-1/2..1/2,-1/2..1/2)$ACPLOT"))) 
@@ -68,25 +68,25 @@ NIL
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package"))) 
 NIL 
 NIL 
-(-35 -4360 K) 
+(-35 -3020 K) 
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package"))) 
 NIL 
 NIL 
-(-36 R -1647) 
+(-36 R -3280) 
 ((|constructor| (NIL "This package provides algebraic functions over an integral domain.")) (|iroot| ((|#2| |#1| (|Integer|)) "\\spad{iroot(p, \\spad{n)}} should be a non-exported function.")) (|definingPolynomial| ((|#2| |#2|) "\\spad{definingPolynomial(f)} returns the defining polynomial of \\spad{f} as an element of \\spad{F}. Error: if \\spad{f} is not a kernel.")) (|minPoly| (((|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) "\\spad{minPoly(k)} returns the defining polynomial of \\spad{k}.")) (** ((|#2| |#2| (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{q}} is \\spad{x} raised to the rational power \\spad{q}.")) (|droot| (((|OutputForm|) (|List| |#2|)) "\\spad{droot(l)} should be a non-exported function.")) (|inrootof| ((|#2| (|SparseUnivariatePolynomial| |#2|) |#2|) "\\spad{inrootof(p, \\spad{x)}} should be a non-exported function.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is an algebraic operator, that is, an \\spad{n}th root or implicit algebraic operator.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F}. Error: if \\spad{op} is not an algebraic operator, that is, an \\spad{n}th root or implicit algebraic operator.")) (|rootOf| ((|#2| (|SparseUnivariatePolynomial| |#2|) (|Symbol|)) "\\spad{rootOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569))))) 
+((|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571))))) 
 (-37 K) 
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package")) (|pointValue| (((|List| |#1|) $) "\\spad{pointValue returns} the coordinates of the point or of the point of origin that represent an infinitly close point")) (|setelt| ((|#1| $ (|Integer|) |#1|) "\\spad{setelt sets} the value of a specified coordinates")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates")) (|list| (((|List| |#1|) $) "\\spad{list returns} the list of the coordinates")) (|rational?| (((|Boolean|) $) "\\spad{rational?(p)} test if the point is rational according to the characteristic of the ground field.") (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{rational?(p,n)} test if the point is rational according to \\spad{n.}")) (|removeConjugate| (((|List| $) (|List| $)) "\\spad{removeConjugate(lp)} returns removeConjugate(lp,n) where \\spad{n} is the characteristic of the ground field.") (((|List| $) (|List| $) (|NonNegativeInteger|)) "\\spad{removeConjugate(lp,n)} returns a list of points such that no points in the list is the conjugate (according to \\spad{n)} of another point.")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns conjugate(p,n) where \\spad{n} is the characteristic of the ground field.") (($ $ (|NonNegativeInteger|)) "\\spad{conjugate(p,n)} returns p**n, that is all the coordinates of \\spad{p} to the power of \\spad{n}")) (|orbit| (((|List| $) $ (|NonNegativeInteger|)) "\\spad{orbit(p,n)} returns the orbit of the point \\spad{p} according to \\spad{n,} that is orbit(p,n) = \\spad{\\{} \\spad{p,} p**n, p**(n**2), p**(n**3), ..... \\spad{\\}}") (((|List| $) $) "\\spad{orbit(p)} returns the orbit of the point \\spad{p} according to the characteristic of \\spad{K,} that is, for \\spad{q=} char \\spad{K,} orbit(p) = \\spad{\\{} \\spad{p,} p**q, p**(q**2), p**(q**3), ..... \\spad{\\}}")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce a} list of \\spad{K} to a affine point.")) (|affinePoint| (($ (|List| |#1|)) "\\spad{affinePoint creates} a affine point from a list"))) 
 NIL 
 NIL 
 (-38 S) 
-((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate, designating any collection of objects, with heterogenous or homogeneous members, with a finite or infinite number of members, explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation r(x)\" An attribute \\spadatt{finiteAggregate} is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{# u} returns the number of items in u.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of u. Note that for collections, \\axiom{copy(u) \\spad{==} \\spad{[x} for \\spad{x} in u]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
+((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate, designating any collection of objects, with heterogenous or homogeneous members, with a finite or infinite number of members, explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation r(x)\" An attribute \"finiteAggregate\" is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{# u} returns the number of items in u.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, for example \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of u. Note that for collections, \\axiom{copy(u) \\spad{==} \\spad{[x} for \\spad{x} in u]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4571))) 
+((|HasAttribute| |#1| (QUOTE -4600))) 
 (-39) 
-((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate, designating any collection of objects, with heterogenous or homogeneous members, with a finite or infinite number of members, explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation r(x)\" An attribute \\spadatt{finiteAggregate} is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{# u} returns the number of items in u.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of u. Note that for collections, \\axiom{copy(u) \\spad{==} \\spad{[x} for \\spad{x} in u]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
-((-4317 . T)) 
+((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate, designating any collection of objects, with heterogenous or homogeneous members, with a finite or infinite number of members, explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation r(x)\" An attribute \"finiteAggregate\" is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{# u} returns the number of items in u.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, for example \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of u. Note that for collections, \\axiom{copy(u) \\spad{==} \\spad{[x} for \\spad{x} in u]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
+((-3348 . T)) 
 NIL 
 (-40) 
 ((|constructor| (NIL "Category for the inverse hyperbolic trigonometric functions.")) (|atanh| (($ $) "\\spad{atanh(x)} returns the hyperbolic arc-tangent of \\spad{x.}")) (|asinh| (($ $) "\\spad{asinh(x)} returns the hyperbolic arc-sine of \\spad{x.}")) (|asech| (($ $) "\\spad{asech(x)} returns the hyperbolic arc-secant of \\spad{x.}")) (|acsch| (($ $) "\\spad{acsch(x)} returns the hyperbolic arc-cosecant of \\spad{x.}")) (|acoth| (($ $) "\\spad{acoth(x)} returns the hyperbolic arc-cotangent of \\spad{x.}")) (|acosh| (($ $) "\\spad{acosh(x)} returns the hyperbolic arc-cosine of \\spad{x.}"))) 
@@ -94,7 +94,7 @@ NIL
 NIL 
 (-41 |Key| |Entry|) 
 ((|constructor| (NIL "An association list is a list of key entry pairs which may be viewed as a table. It is a poor mans version of a table: searching for a key is a linear operation.")) (|assoc| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") |#1| $) "\\spad{assoc(k,u)} returns the element \\spad{x} in association list \\spad{u} stored with key \\spad{k,} or \"failed\" if \\spad{u} has no key \\spad{k.}"))) 
-((-4571 . T) (-4572 . T) (-4317 . T)) 
+((-4600 . T) (-4601 . T) (-3348 . T)) 
 NIL 
 (-42 S R) 
 ((|constructor| (NIL "The category of associative algebras (modules which are themselves rings). \\blankline Axioms\\br \\tab{5}\\spad{(b+c)::% = (b::\\%) + (c::\\%)}\\br \\tab{5}\\spad{(b*c)::% = (b::\\%) * (c::\\%)}\\br \\tab{5}\\spad{(1::R)::% = 1::%}\\br \\tab{5}\\spad{b*x = (b::\\%)*x}\\br \\tab{5}\\spad{r*(a*b) = (r*a)*b = a*(r*b)}")) (|coerce| (($ |#2|) "\\spad{coerce(r)} maps the ring element \\spad{r} to a member of the algebra."))) 
@@ -102,20 +102,20 @@ NIL
 NIL 
 (-43 R) 
 ((|constructor| (NIL "The category of associative algebras (modules which are themselves rings). \\blankline Axioms\\br \\tab{5}\\spad{(b+c)::% = (b::\\%) + (c::\\%)}\\br \\tab{5}\\spad{(b*c)::% = (b::\\%) * (c::\\%)}\\br \\tab{5}\\spad{(1::R)::% = 1::%}\\br \\tab{5}\\spad{b*x = (b::\\%)*x}\\br \\tab{5}\\spad{r*(a*b) = (r*a)*b = a*(r*b)}")) (|coerce| (($ |#1|) "\\spad{coerce(r)} maps the ring element \\spad{r} to a member of the algebra."))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-44 UP) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients in \\spadtype{AlgebraicNumber}.")) (|doublyTransitive?| (((|Boolean|) |#1|) "\\spad{doublyTransitive?(p)} is \\spad{true} if \\spad{p} is irreducible over over the field \\spad{K} generated by its coefficients, and if \\spad{p(X) / \\spad{(X} - a)} is irreducible over \\spad{K(a)} where \\spad{p(a) = 0}.")) (|split| (((|Factored| |#1|) |#1|) "\\spad{split(p)} returns a prime factorisation of \\spad{p} over its splitting field.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p} over the field generated by its coefficients.") (((|Factored| |#1|) |#1| (|List| (|AlgebraicNumber|))) "\\spad{factor(p, [a1,...,an])} returns a prime factorisation of \\spad{p} over the field generated by its coefficients and a1,...,an."))) 
 NIL 
 NIL 
-(-45 -1647 UP UPUP -4138) 
+(-45 -3280 UP UPUP -4387) 
 ((|constructor| (NIL "Function field defined by f(x, \\spad{y)} = 0.")) (|knownInfBasis| (((|Void|) (|NonNegativeInteger|)) "\\spad{knownInfBasis(n)} is not documented"))) 
-((-4564 |has| (-410 |#2|) (-366)) (-4569 |has| (-410 |#2|) (-366)) (-4563 |has| (-410 |#2|) (-366)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-410 |#2|) (QUOTE (-149))) (|HasCategory| (-410 |#2|) (QUOTE (-151))) (|HasCategory| (-410 |#2|) (QUOTE (-351))) (|HasCategory| (-410 |#2|) (QUOTE (-366))) (-1929 (|HasCategory| (-410 |#2|) (QUOTE (-366))) (|HasCategory| (-410 |#2|) (QUOTE (-351)))) (|HasCategory| (-410 |#2|) (QUOTE (-371))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371))) (-1929 (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) 
-(-46 R -1647) 
+((-4593 |has| (-412 |#2|) (-367)) (-4598 |has| (-412 |#2|) (-367)) (-4592 |has| (-412 |#2|) (-367)) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-412 |#2|) (QUOTE (-149))) (|HasCategory| (-412 |#2|) (QUOTE (-151))) (|HasCategory| (-412 |#2|) (QUOTE (-352))) (|HasCategory| (-412 |#2|) (QUOTE (-367))) (-1831 (|HasCategory| (-412 |#2|) (QUOTE (-367))) (|HasCategory| (-412 |#2|) (QUOTE (-352)))) (|HasCategory| (-412 |#2|) (QUOTE (-373))) (|HasCategory| (-412 |#2|) (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| (-412 |#2|) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-412 |#2|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-373))) (-1831 (|HasCategory| (-412 |#2|) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-412 |#2|) (QUOTE (-367)))) (-12 (|HasCategory| (-412 |#2|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-412 |#2|) (QUOTE (-367)))) (-1831 (-12 (|HasCategory| (-412 |#2|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-412 |#2|) (QUOTE (-367)))) (-12 (|HasCategory| (-412 |#2|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-412 |#2|) (QUOTE (-352))))) (-12 (|HasCategory| (-412 |#2|) (QUOTE (-226))) (|HasCategory| (-412 |#2|) (QUOTE (-367)))) (-1831 (-12 (|HasCategory| (-412 |#2|) (QUOTE (-226))) (|HasCategory| (-412 |#2|) (QUOTE (-367)))) (|HasCategory| (-412 |#2|) (QUOTE (-352))))) 
+(-46 R -3280) 
 ((|constructor| (NIL "AlgebraicManipulations provides functions to simplify and expand expressions involving algebraic operators.")) (|rootKerSimp| ((|#2| (|BasicOperator|) |#2| (|NonNegativeInteger|)) "\\spad{rootKerSimp(op,f,n)} should be local but conditional.")) (|rootSimp| ((|#2| |#2|) "\\spad{rootSimp(f)} transforms every radical of the form \\spad{(a * b**(q*n+r))**(1/n)} appearing in \\spad{f} into \\spad{b**q * (a * b**r)**(1/n)}. This transformation is not in general valid for all complex numbers \\spad{b.}")) (|rootProduct| ((|#2| |#2|) "\\spad{rootProduct(f)} combines every product of the form \\spad{(a**(1/n))**m * (a**(1/s))**t} into a single power of a root of \\spad{a}, and transforms every radical power of the form \\spad{(a**(1/n))**m} into a simpler form.")) (|rootPower| ((|#2| |#2|) "\\spad{rootPower(f)} transforms every radical power of the form \\spad{(a**(1/n))**m} into a simpler form if \\spad{m} and \\spad{n} have a common factor.")) (|ratPoly| (((|SparseUnivariatePolynomial| |#2|) |#2|) "\\spad{ratPoly(f)} returns a polynomial \\spad{p} such that \\spad{p} has no algebraic coefficients, and \\spad{p(f) = 0}.")) (|ratDenom| ((|#2| |#2| (|List| (|Kernel| |#2|))) "\\spad{ratDenom(f, [a1,...,an])} removes the ai's which are algebraic from the denominators in \\spad{f.}") ((|#2| |#2| (|List| |#2|)) "\\spad{ratDenom(f, [a1,...,an])} removes the ai's which are algebraic kernels from the denominators in \\spad{f.}") ((|#2| |#2| |#2|) "\\spad{ratDenom(f, a)} removes \\spad{a} from the denominators in \\spad{f} if \\spad{a} is an algebraic kernel.") ((|#2| |#2|) "\\spad{ratDenom(f)} rationalizes the denominators appearing in \\spad{f} by moving all the algebraic quantities into the numerators.")) (|rootSplit| ((|#2| |#2|) "\\spad{rootSplit(f)} transforms every radical of the form \\spad{(a/b)**(1/n)} appearing in \\spad{f} into \\spad{a**(1/n) / b**(1/n)}. This transformation is not in general valid for all complex numbers \\spad{a} and \\spad{b.}")) (|coerce| (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(x)} \\undocumented")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(x)} \\undocumented")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(x)} \\undocumented"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -433) (|devaluate| |#1|))))) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#2| (LIST (QUOTE -435) (|devaluate| |#1|))))) 
 (-47 OV E P) 
 ((|constructor| (NIL "This package factors multivariate polynomials over the domain of \\spadtype{AlgebraicNumber} by allowing the user to specify a list of algebraic numbers generating the particular extension to factor over.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|) (|List| (|AlgebraicNumber|))) "\\spad{factor(p,lan)} factors the polynomial \\spad{p} over the extension generated by the algebraic numbers given by the list lan. \\spad{p} is presented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#3|) |#3| (|List| (|AlgebraicNumber|))) "\\spad{factor(p,lan)} factors the polynomial \\spad{p} over the extension generated by the algebraic numbers given by the list lan."))) 
 NIL 
@@ -126,31 +126,31 @@ NIL
 ((|HasCategory| |#1| (QUOTE (-302)))) 
 (-49 R |n| |ls| |gamma|) 
 ((|constructor| (NIL "AlgebraGivenByStructuralConstants implements finite rank algebras over a commutative ring, given by the structural constants \\spad{gamma} with respect to a fixed basis \\spad{[a1,..,an]}, where \\spad{gamma} is an \\spad{n}-vector of \\spad{n} by \\spad{n} matrices \\spad{[(gammaijk) for \\spad{k} in 1..rank()]} defined by \\spad{ai * aj = \\spad{gammaij1} * \\spad{a1} + \\spad{...} + gammaijn * an}. The symbols for the fixed basis have to be given as a list of symbols.")) (|coerce| (($ (|Vector| |#1|)) "\\spad{coerce(v)} converts a vector to a member of the algebra by forming a linear combination with the basis element. Note: the vector is assumed to have length equal to the dimension of the algebra."))) 
-((-4568 |has| |#1| (-559)) (-4566 . T) (-4565 . T)) 
-((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) 
+((-4597 |has| |#1| (-561)) (-4595 . T) (-4594 . T)) 
+((|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) 
 (-50 |Key| |Entry|) 
 ((|constructor| (NIL "\\spadtype{AssociationList} implements association lists. These may be viewed as lists of pairs where the first part is a key and the second is the stored value. For example, the key might be a string with a persons employee identification number and the value might be a record with personnel data."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-844))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-844)))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-1097))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (-1831 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-847))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-1097)))) (-12 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-847)))) (-12 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097)))))) 
 (-51 S R E) 
 ((|constructor| (NIL "Abelian monoid ring elements (not necessarily of finite support) of this ring are of the form formal SUM (r_i * e_i) where the r_i are coefficents and the e_i, elements of the ordered abelian monoid, are thought of as exponents or monomials. The monomials commute with each other, and with the coefficients (which themselves may or may not be commutative). See \\spadtype{FiniteAbelianMonoidRing} for the case of finite support a useful common model for polynomials and power series. Conceptually at least, only the non-zero terms are ever operated on.")) (/ (($ $ |#2|) "\\spad{p/c} divides \\spad{p} by the coefficient \\spad{c.}")) (|coefficient| ((|#2| $ |#3|) "\\spad{coefficient(p,e)} extracts the coefficient of the monomial with exponent \\spad{e} from polynomial \\spad{p,} or returns zero if exponent is not present.")) (|reductum| (($ $) "\\spad{reductum(u)} returns \\spad{u} minus its leading monomial returns zero if handed the zero element.")) (|monomial| (($ |#2| |#3|) "\\spad{monomial(r,e)} makes a term from a coefficient \\spad{r} and an exponent e.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(p)} tests if \\spad{p} is a single monomial.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of u.")) (|degree| ((|#3| $) "\\spad{degree(p)} returns the maximum of the exponents of the terms of \\spad{p.}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(p)} returns the monomial of \\spad{p} with the highest degree.")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(p)} returns the coefficient highest degree term of \\spad{p.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) 
+((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-367)))) 
 (-52 R E) 
 ((|constructor| (NIL "Abelian monoid ring elements (not necessarily of finite support) of this ring are of the form formal SUM (r_i * e_i) where the r_i are coefficents and the e_i, elements of the ordered abelian monoid, are thought of as exponents or monomials. The monomials commute with each other, and with the coefficients (which themselves may or may not be commutative). See \\spadtype{FiniteAbelianMonoidRing} for the case of finite support a useful common model for polynomials and power series. Conceptually at least, only the non-zero terms are ever operated on.")) (/ (($ $ |#1|) "\\spad{p/c} divides \\spad{p} by the coefficient \\spad{c.}")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(p,e)} extracts the coefficient of the monomial with exponent \\spad{e} from polynomial \\spad{p,} or returns zero if exponent is not present.")) (|reductum| (($ $) "\\spad{reductum(u)} returns \\spad{u} minus its leading monomial returns zero if handed the zero element.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(r,e)} makes a term from a coefficient \\spad{r} and an exponent e.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(p)} tests if \\spad{p} is a single monomial.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of u.")) (|degree| ((|#2| $) "\\spad{degree(p)} returns the maximum of the exponents of the terms of \\spad{p.}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(p)} returns the monomial of \\spad{p} with the highest degree.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(p)} returns the coefficient highest degree term of \\spad{p.}"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-53) 
 ((|constructor| (NIL "Algebraic closure of the rational numbers, with mathematical =")) (|norm| (($ $ (|List| (|Kernel| $))) "\\spad{norm(f,l)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernels \\spad{l}") (($ $ (|Kernel| $)) "\\spad{norm(f,k)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernel \\spad{k}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) "\\spad{norm(p,l)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernels \\spad{l}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{norm(p,k)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernel \\spad{k}")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic numbers present in \\spad{f} by applying their defining relations.")) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|coerce| (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} viewed as an algebraic number."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| $ (QUOTE (-1049))) (|HasCategory| $ (LIST (QUOTE -1039) (QUOTE (-569))))) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| $ (QUOTE (-1053))) (|HasCategory| $ (LIST (QUOTE -1043) (QUOTE (-571))))) 
 (-54) 
 ((|constructor| (NIL "This domain implements anonymous functions"))) 
 NIL 
 NIL 
 (-55 R |lVar|) 
 ((|constructor| (NIL "The domain of antisymmetric polynomials.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,p)} changes each coefficient of \\spad{p} by the application of \\spad{f.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the homogeneous degree of \\spad{p.}")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?(p)} tests if \\spad{p} is a 0-form, \\spadignore{i.e.} if degree(p) = 0.")) (|homogeneous?| (((|Boolean|) $) "\\spad{homogeneous?(p)} tests if all of the terms of \\spad{p} have the same degree.")) (|exp| (($ (|List| (|Integer|))) "\\spad{exp([i1,...in])} returns \\spad{u_1\\^{i_1} \\spad{...} u_n\\^{i_n}}")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(n)} returns the \\spad{n}th multiplicative generator, a basis term.")) (|coefficient| ((|#1| $ $) "\\spad{coefficient(p,u)} returns the coefficient of the term in \\spad{p} containing the basis term \\spad{u} if such a term exists, and 0 otherwise. Error: if the second argument \\spad{u} is not a basis element.")) (|reductum| (($ $) "\\spad{reductum(p)}, where \\spad{p} is an antisymmetric polynomial, returns \\spad{p} minus the leading term of \\spad{p} if \\spad{p} has at least two terms, and 0 otherwise.")) (|leadingBasisTerm| (($ $) "\\spad{leadingBasisTerm(p)} returns the leading basis term of antisymmetric polynomial \\spad{p.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(p)} returns the leading coefficient of antisymmetric polynomial \\spad{p.}"))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
 (-56 S) 
 ((|constructor| (NIL "\\spadtype{AnyFunctions1} implements several utility functions for working with \\spadtype{Any}. These functions are used to go back and forth between objects of \\spadtype{Any} and objects of other types.")) (|retract| ((|#1| (|Any|)) "\\spad{retract(a)} tries to convert \\spad{a} into an object of type \\spad{S}. If possible, it returns the object. Error: if no such retraction is possible.")) (|retractable?| (((|Boolean|) (|Any|)) "\\spad{retractable?(a)} tests if \\spad{a} can be converted into an object of type \\spad{S}.")) (|retractIfCan| (((|Union| |#1| "failed") (|Any|)) "\\spad{retractIfCan(a)} tries change \\spad{a} into an object of type \\spad{S}. If it can, then such an object is returned. Otherwise, \"failed\" is returned.")) (|coerce| (((|Any|) |#1|) "\\spad{coerce(s)} creates an object of \\spadtype{Any} from the object \\spad{s} of type \\spad{S}."))) 
@@ -168,7 +168,7 @@ NIL
 ((|constructor| (NIL "\\spad{ApplyUnivariateSkewPolynomial} (internal) allows univariate skew polynomials to be applied to appropriate modules.")) (|apply| ((|#2| |#3| (|Mapping| |#2| |#2|) |#2|) "\\spad{apply(p, \\spad{f,} \\spad{m)}} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = f(m)}. \\spad{f} must be an R-pseudo linear map on \\spad{M.}"))) 
 NIL 
 NIL 
-(-60 |Base| R -1647) 
+(-60 |Base| R -3280) 
 ((|constructor| (NIL "This package apply rewrite rules to expressions, calling the pattern matcher.")) (|localUnquote| ((|#3| |#3| (|List| (|Symbol|))) "\\spad{localUnquote(f,ls)} is a local function.")) (|applyRules| ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3| (|PositiveInteger|)) "\\spad{applyRules([r1,...,rn], expr, \\spad{n)}} applies the rules r1,...,rn to \\spad{f} a most \\spad{n} times.") ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3|) "\\spad{applyRules([r1,...,rn], expr)} applies the rules r1,...,rn to \\spad{f} an unlimited number of times, \\spadignore{i.e.} until none of r1,...,rn is applicable to the expression."))) 
 NIL 
 NIL 
@@ -178,7 +178,7 @@ NIL
 NIL 
 (-62 R |Row| |Col|) 
 ((|constructor| (NIL "Two dimensional array categories and domains")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map!(f,a)\\space{2}assign \\spad{a(i,j)} to \\spad{f(a(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map!(-,arr)")) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) "\\indented{1}{map(f,a,b,r) returns \\spad{c}, where \\spad{c(i,j) = f(a(i,j),b(i,j))}} \\indented{1}{when both \\spad{a(i,j)} and \\spad{b(i,j)} exist;} \\indented{1}{else \\spad{c(i,j) = f(r, b(i,j))} when \\spad{a(i,j)} does not exist;} \\indented{1}{else \\spad{c(i,j) = f(a(i,j),r)} when \\spad{b(i,j)} does not exist;} \\indented{1}{otherwise \\spad{c(i,j) = f(r,r)}.} \\blankline \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} \\spad{arr1} : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} \\spad{arr2} : \\spad{ARRAY2} INT \\spad{:=} new(3,3,10) \\spad{X} map(adder,arr1,arr2,17)") (($ (|Mapping| |#1| |#1| |#1|) $ $) "\\indented{1}{map(f,a,b) returns \\spad{c}, where \\spad{c(i,j) = f(a(i,j),b(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\blankline \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map(adder,arr,arr)") (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(f,a) returns \\spad{b}, where \\spad{b(i,j) = f(a(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map(-,arr) \\spad{X} map((x \\spad{+->} \\spad{x} + x),arr)")) (|setColumn!| (($ $ (|Integer|) |#3|) "\\indented{1}{setColumn!(m,j,v) sets to \\spad{j}th column of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,4,0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} \\spad{acol:=construct([1,2,3,4,5]::List(INT))$T2} \\spad{X} \\spad{setColumn!(arr,1,acol)$T1}")) (|setRow!| (($ $ (|Integer|) |#2|) "\\indented{1}{setRow!(m,i,v) sets to \\spad{i}th row of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,4,0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} \\spad{arow:=construct([1,2,3,4]::List(INT))$T2} \\spad{X} \\spad{setRow!(arr,1,arow)$T1}")) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{qsetelt!(m,i,j,r) sets the element in the \\spad{i}th row and jth} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} qsetelt!(arr,1,1,17)")) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{setelt(m,i,j,r) sets the element in the \\spad{i}th row and jth} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} setelt(arr,1,1,17)")) (|parts| (((|List| |#1|) $) "\\indented{1}{parts(m) returns a list of the elements of \\spad{m} in row major order} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} parts(arr)")) (|column| ((|#3| $ (|Integer|)) "\\indented{1}{column(m,j) returns the \\spad{j}th column of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} column(arr,1)")) (|row| ((|#2| $ (|Integer|)) "\\indented{1}{row(m,i) returns the \\spad{i}th row of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} row(arr,1)")) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) "\\indented{1}{qelt(m,i,j) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} qelt(arr,1,1)")) (|elt| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{elt(m,i,j,r) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,} \\indented{1}{and returns \\spad{r} otherwise} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} elt(arr,1,1,6) \\spad{X} elt(arr,1,10,6)") ((|#1| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(m,i,j) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} elt(arr,1,1)")) (|ncols| (((|NonNegativeInteger|) $) "\\indented{1}{ncols(m) returns the number of columns in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} ncols(arr)")) (|nrows| (((|NonNegativeInteger|) $) "\\indented{1}{nrows(m) returns the number of rows in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} nrows(arr)")) (|maxColIndex| (((|Integer|) $) "\\indented{1}{maxColIndex(m) returns the index of the 'last' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} maxColIndex(arr)")) (|minColIndex| (((|Integer|) $) "\\indented{1}{minColIndex(m) returns the index of the 'first' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} minColIndex(arr)")) (|maxRowIndex| (((|Integer|) $) "\\indented{1}{maxRowIndex(m) returns the index of the 'last' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} maxRowIndex(arr)")) (|minRowIndex| (((|Integer|) $) "\\indented{1}{minRowIndex(m) returns the index of the 'first' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} minRowIndex(arr)")) (|fill!| (($ $ |#1|) "\\indented{1}{fill!(m,r) fills \\spad{m} with r's} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} fill!(arr,10)")) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\indented{1}{new(m,n,r) is an m-by-n array all of whose entries are \\spad{r}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0)")) (|finiteAggregate| ((|attribute|) "two-dimensional arrays are finite")) (|shallowlyMutable| ((|attribute|) "one may destructively alter arrays"))) 
-((-4571 . T) (-4572 . T) (-4317 . T)) 
+((-4600 . T) (-4601 . T) (-3348 . T)) 
 NIL 
 (-63 A B) 
 ((|constructor| (NIL "This package provides tools for operating on one-dimensional arrays with unary and binary functions involving different underlying types")) (|map| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1|) (|OneDimensionalArray| |#1|)) "\\indented{1}{map(f,a) applies function \\spad{f} to each member of one-dimensional array} \\indented{1}{\\spad{a} resulting in a new one-dimensional array over a} \\indented{1}{possibly different underlying domain.} \\blankline \\spad{X} T1:=OneDimensionalArrayFunctions2(Integer,Integer) \\spad{X} map(x+->x+2,[i for \\spad{i} in 1..10])$T1")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) "\\indented{1}{reduce(f,a,r) applies function \\spad{f} to each} \\indented{1}{successive element of the} \\indented{1}{one-dimensional array \\spad{a} and an accumulant initialized to \\spad{r.}} \\indented{1}{For example, \\spad{reduce(_+$Integer,[1,2,3],0)}} \\indented{1}{does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r}} \\indented{1}{may be regarded as the identity element for the function \\spad{f.}} \\blankline \\spad{X} T1:=OneDimensionalArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} reduce(adder,[i for \\spad{i} in 1..10],0)$T1")) (|scan| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) "\\indented{1}{scan(f,a,r) successively applies} \\indented{1}{\\spad{reduce(f,x,r)} to more and more leading sub-arrays} \\indented{1}{x of one-dimensional array \\spad{a}.} \\indented{1}{More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then} \\indented{1}{\\spad{scan(f,a,r)} returns} \\indented{1}{\\spad{[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.} \\blankline \\spad{X} T1:=OneDimensionalArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} scan(adder,[i for \\spad{i} in 1..10],0)$T1"))) 
@@ -186,65 +186,65 @@ NIL
 NIL 
 (-64 S) 
 ((|constructor| (NIL "This is the domain of 1-based one dimensional arrays")) (|oneDimensionalArray| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{oneDimensionalArray(n,s) creates an array from \\spad{n} copies of element \\spad{s}} \\blankline \\spad{X} oneDimensionalArray(10,0.0)") (($ (|List| |#1|)) "\\indented{1}{oneDimensionalArray(l) creates an array from a list of elements \\spad{l}} \\blankline \\spad{X} oneDimensionalArray \\spad{[i**2} for \\spad{i} in 1..10]"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
 (-65 R) 
 ((|constructor| (NIL "A TwoDimensionalArray is a two dimensional array with 1-based indexing for both rows and columns.")) (|shallowlyMutable| ((|attribute|) "One may destructively alter TwoDimensionalArray's."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
-(-66 -2798) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
+(-66 -3159) 
 ((|constructor| (NIL "\\spadtype{ASP10} produces Fortran for Type 10 ASPs, needed for NAG routine d02kef. This ASP computes the values of a set of functions, for example: \\blankline \\tab{5}SUBROUTINE COEFFN(P,Q,DQDL,X,ELAM,JINT)\\br \\tab{5}DOUBLE PRECISION ELAM,P,Q,X,DQDL\\br \\tab{5}INTEGER JINT\\br \\tab{5}P=1.0D0\\br \\tab{5}Q=((-1.0D0*X**3)+ELAM*X*X-2.0D0)/(X*X)\\br \\tab{5}DQDL=1.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-67 -2798) 
+(-67 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp12} produces Fortran for Type 12 ASPs, needed for NAG routine d02kef etc., for example: \\blankline \\tab{5}SUBROUTINE MONIT (MAXIT,IFLAG,ELAM,FINFO)\\br \\tab{5}DOUBLE PRECISION ELAM,FINFO(15)\\br \\tab{5}INTEGER MAXIT,IFLAG\\br \\tab{5}IF(MAXIT.EQ.-1)THEN\\br \\tab{7}PRINT*,\"Output from Monit\"\\br \\tab{5}ENDIF\\br \\tab{5}PRINT*,MAXIT,IFLAG,ELAM,(FINFO(I),I=1,4)\\br \\tab{5}RETURN\\br \\tab{5}END\\")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP12}."))) 
 NIL 
 NIL 
-(-68 -2798) 
+(-68 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp19} produces Fortran for Type 19 ASPs, evaluating a set of functions and their jacobian at a given point, for example: \\blankline \\tab{5}SUBROUTINE LSFUN2(M,N,XC,FVECC,FJACC,LJC)\\br \\tab{5}DOUBLE PRECISION FVECC(M),FJACC(LJC,N),XC(N)\\br \\tab{5}INTEGER M,N,LJC\\br \\tab{5}INTEGER I,J\\br \\tab{5}DO 25003 I=1,LJC\\br \\tab{7}DO 25004 J=1,N\\br \\tab{9}FJACC(I,J)=0.0D0\\br 25004 CONTINUE\\br 25003 CONTINUE\\br \\tab{5}FVECC(1)=((XC(1)-0.14D0)*XC(3)+(15.0D0*XC(1)-2.1D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+15.0D0*XC(2))\\br \\tab{5}FVECC(2)=((XC(1)-0.18D0)*XC(3)+(7.0D0*XC(1)-1.26D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+7.0D0*XC(2))\\br \\tab{5}FVECC(3)=((XC(1)-0.22D0)*XC(3)+(4.333333333333333D0*XC(1)-0.953333\\br \\tab{4}&3333333333D0)*XC(2)+1.0D0)/(XC(3)+4.333333333333333D0*XC(2))\\br \\tab{5}FVECC(4)=((XC(1)-0.25D0)*XC(3)+(3.0D0*XC(1)-0.75D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+3.0D0*XC(2))\\br \\tab{5}FVECC(5)=((XC(1)-0.29D0)*XC(3)+(2.2D0*XC(1)-0.6379999999999999D0)*\\br \\tab{4}&XC(2)+1.0D0)/(XC(3)+2.2D0*XC(2))\\br \\tab{5}FVECC(6)=((XC(1)-0.32D0)*XC(3)+(1.666666666666667D0*XC(1)-0.533333\\br \\tab{4}&3333333333D0)*XC(2)+1.0D0)/(XC(3)+1.666666666666667D0*XC(2))\\br \\tab{5}FVECC(7)=((XC(1)-0.35D0)*XC(3)+(1.285714285714286D0*XC(1)-0.45D0)*\\br \\tab{4}&XC(2)+1.0D0)/(XC(3)+1.285714285714286D0*XC(2))\\br \\tab{5}FVECC(8)=((XC(1)-0.39D0)*XC(3)+(XC(1)-0.39D0)*XC(2)+1.0D0)/(XC(3)+\\br \\tab{4}&XC(2))\\br \\tab{5}FVECC(9)=((XC(1)-0.37D0)*XC(3)+(XC(1)-0.37D0)*XC(2)+1.285714285714\\br \\tab{4}&286D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(10)=((XC(1)-0.58D0)*XC(3)+(XC(1)-0.58D0)*XC(2)+1.66666666666\\br \\tab{4}&6667D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(11)=((XC(1)-0.73D0)*XC(3)+(XC(1)-0.73D0)*XC(2)+2.2D0)/(XC(3)\\br \\tab{4}&+XC(2))\\br \\tab{5}FVECC(12)=((XC(1)-0.96D0)*XC(3)+(XC(1)-0.96D0)*XC(2)+3.0D0)/(XC(3)\\br \\tab{4}&+XC(2))\\br \\tab{5}FVECC(13)=((XC(1)-1.34D0)*XC(3)+(XC(1)-1.34D0)*XC(2)+4.33333333333\\br \\tab{4}&3333D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(14)=((XC(1)-2.1D0)*XC(3)+(XC(1)-2.1D0)*XC(2)+7.0D0)/(XC(3)+X\\br \\tab{4}&C(2))\\br \\tab{5}FVECC(15)=((XC(1)-4.39D0)*XC(3)+(XC(1)-4.39D0)*XC(2)+15.0D0)/(XC(3\\br \\tab{4}&)+XC(2))\\br \\tab{5}FJACC(1,1)=1.0D0\\br \\tab{5}FJACC(1,2)=-15.0D0/(XC(3)**2+30.0D0*XC(2)*XC(3)+225.0D0*XC(2)**2)\\br \\tab{5}FJACC(1,3)=-1.0D0/(XC(3)**2+30.0D0*XC(2)*XC(3)+225.0D0*XC(2)**2)\\br \\tab{5}FJACC(2,1)=1.0D0\\br \\tab{5}FJACC(2,2)=-7.0D0/(XC(3)**2+14.0D0*XC(2)*XC(3)+49.0D0*XC(2)**2)\\br \\tab{5}FJACC(2,3)=-1.0D0/(XC(3)**2+14.0D0*XC(2)*XC(3)+49.0D0*XC(2)**2)\\br \\tab{5}FJACC(3,1)=1.0D0\\br \\tab{5}FJACC(3,2)=((-0.1110223024625157D-15*XC(3))-4.333333333333333D0)/(\\br \\tab{4}&XC(3)**2+8.666666666666666D0*XC(2)*XC(3)+18.77777777777778D0*XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(3,3)=(0.1110223024625157D-15*XC(2)-1.0D0)/(XC(3)**2+8.666666\\br \\tab{4}&666666666D0*XC(2)*XC(3)+18.77777777777778D0*XC(2)**2)\\br \\tab{5}FJACC(4,1)=1.0D0\\br \\tab{5}FJACC(4,2)=-3.0D0/(XC(3)**2+6.0D0*XC(2)*XC(3)+9.0D0*XC(2)**2)\\br \\tab{5}FJACC(4,3)=-1.0D0/(XC(3)**2+6.0D0*XC(2)*XC(3)+9.0D0*XC(2)**2)\\br \\tab{5}FJACC(5,1)=1.0D0\\br \\tab{5}FJACC(5,2)=((-0.1110223024625157D-15*XC(3))-2.2D0)/(XC(3)**2+4.399\\br \\tab{4}&999999999999D0*XC(2)*XC(3)+4.839999999999998D0*XC(2)**2)\\br \\tab{5}FJACC(5,3)=(0.1110223024625157D-15*XC(2)-1.0D0)/(XC(3)**2+4.399999\\br \\tab{4}&999999999D0*XC(2)*XC(3)+4.839999999999998D0*XC(2)**2)\\br \\tab{5}FJACC(6,1)=1.0D0\\br \\tab{5}FJACC(6,2)=((-0.2220446049250313D-15*XC(3))-1.666666666666667D0)/(\\br \\tab{4}&XC(3)**2+3.333333333333333D0*XC(2)*XC(3)+2.777777777777777D0*XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(6,3)=(0.2220446049250313D-15*XC(2)-1.0D0)/(XC(3)**2+3.333333\\br \\tab{4}&333333333D0*XC(2)*XC(3)+2.777777777777777D0*XC(2)**2)\\br \\tab{5}FJACC(7,1)=1.0D0\\br \\tab{5}FJACC(7,2)=((-0.5551115123125783D-16*XC(3))-1.285714285714286D0)/(\\br \\tab{4}&XC(3)**2+2.571428571428571D0*XC(2)*XC(3)+1.653061224489796D0*XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(7,3)=(0.5551115123125783D-16*XC(2)-1.0D0)/(XC(3)**2+2.571428\\br \\tab{4}&571428571D0*XC(2)*XC(3)+1.653061224489796D0*XC(2)**2)\\br \\tab{5}FJACC(8,1)=1.0D0\\br \\tab{5}FJACC(8,2)=-1.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(8,3)=-1.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(9,1)=1.0D0\\br \\tab{5}FJACC(9,2)=-1.285714285714286D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)*\\br \\tab{4}&*2)\\br \\tab{5}FJACC(9,3)=-1.285714285714286D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)*\\br \\tab{4}&*2)\\br \\tab{5}FJACC(10,1)=1.0D0\\br \\tab{5}FJACC(10,2)=-1.666666666666667D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(10,3)=-1.666666666666667D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(11,1)=1.0D0\\br \\tab{5}FJACC(11,2)=-2.2D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(11,3)=-2.2D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(12,1)=1.0D0\\br \\tab{5}FJACC(12,2)=-3.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(12,3)=-3.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(13,1)=1.0D0\\br \\tab{5}FJACC(13,2)=-4.333333333333333D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(13,3)=-4.333333333333333D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(14,1)=1.0D0\\br \\tab{5}FJACC(14,2)=-7.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(14,3)=-7.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(15,1)=1.0D0\\br \\tab{5}FJACC(15,2)=-15.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(15,3)=-15.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-69 -2798) 
+(-69 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp1} produces Fortran for Type 1 ASPs, needed for various NAG routines. Type 1 ASPs take a univariate expression (in the symbol \\spad{x)} and turn it into a Fortran Function like the following: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION F(X)\\br \\tab{5}DOUBLE PRECISION X\\br \\tab{5}F=DSIN(X)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-70 -2798) 
+(-70 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp20} produces Fortran for Type 20 ASPs, for example: \\blankline \\tab{5}SUBROUTINE QPHESS(N,NROWH,NCOLH,JTHCOL,HESS,X,HX)\\br \\tab{5}DOUBLE PRECISION HX(N),X(N),HESS(NROWH,NCOLH)\\br \\tab{5}INTEGER JTHCOL,N,NROWH,NCOLH\\br \\tab{5}HX(1)=2.0D0*X(1)\\br \\tab{5}HX(2)=2.0D0*X(2)\\br \\tab{5}HX(3)=2.0D0*X(4)+2.0D0*X(3)\\br \\tab{5}HX(4)=2.0D0*X(4)+2.0D0*X(3)\\br \\tab{5}HX(5)=2.0D0*X(5)\\br \\tab{5}HX(6)=(-2.0D0*X(7))+(-2.0D0*X(6))\\br \\tab{5}HX(7)=(-2.0D0*X(7))+(-2.0D0*X(6))\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-71 -2798) 
+(-71 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp24} produces Fortran for Type 24 ASPs which evaluate a multivariate function at a point (needed for NAG routine e04jaf), for example: \\blankline \\tab{5}SUBROUTINE FUNCT1(N,XC,FC)\\br \\tab{5}DOUBLE PRECISION FC,XC(N)\\br \\tab{5}INTEGER N\\br \\tab{5}FC=10.0D0*XC(4)**4+(-40.0D0*XC(1)*XC(4)**3)+(60.0D0*XC(1)**2+5\\br \\tab{4}&.0D0)*XC(4)**2+((-10.0D0*XC(3))+(-40.0D0*XC(1)**3))*XC(4)+16.0D0*X\\br \\tab{4}&C(3)**4+(-32.0D0*XC(2)*XC(3)**3)+(24.0D0*XC(2)**2+5.0D0)*XC(3)**2+\\br \\tab{4}&(-8.0D0*XC(2)**3*XC(3))+XC(2)**4+100.0D0*XC(2)**2+20.0D0*XC(1)*XC(\\br \\tab{4}&2)+10.0D0*XC(1)**4+XC(1)**2\\br \\tab{5}RETURN\\br \\tab{5}END\\br")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) "\\spadtype{FortranExpression} and turns it into an ASP. coerce(f) takes an object from the appropriate instantiation of"))) 
 NIL 
 NIL 
-(-72 -2798) 
+(-72 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp27} produces Fortran for Type 27 ASPs, needed for NAG routine f02fjf ,for example: \\blankline \\tab{5}FUNCTION DOT(IFLAG,N,Z,W,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION W(N),Z(N),RWORK(LRWORK)\\br \\tab{5}INTEGER N,LIWORK,IFLAG,LRWORK,IWORK(LIWORK)\\br \\tab{5}DOT=(W(16)+(-0.5D0*W(15)))*Z(16)+((-0.5D0*W(16))+W(15)+(-0.5D0*W(1\\br \\tab{4}&4)))*Z(15)+((-0.5D0*W(15))+W(14)+(-0.5D0*W(13)))*Z(14)+((-0.5D0*W(\\br \\tab{4}&14))+W(13)+(-0.5D0*W(12)))*Z(13)+((-0.5D0*W(13))+W(12)+(-0.5D0*W(1\\br \\tab{4}&1)))*Z(12)+((-0.5D0*W(12))+W(11)+(-0.5D0*W(10)))*Z(11)+((-0.5D0*W(\\br \\tab{4}&11))+W(10)+(-0.5D0*W(9)))*Z(10)+((-0.5D0*W(10))+W(9)+(-0.5D0*W(8))\\br \\tab{4}&)*Z(9)+((-0.5D0*W(9))+W(8)+(-0.5D0*W(7)))*Z(8)+((-0.5D0*W(8))+W(7)\\br \\tab{4}&+(-0.5D0*W(6)))*Z(7)+((-0.5D0*W(7))+W(6)+(-0.5D0*W(5)))*Z(6)+((-0.\\br \\tab{4}&5D0*W(6))+W(5)+(-0.5D0*W(4)))*Z(5)+((-0.5D0*W(5))+W(4)+(-0.5D0*W(3\\br \\tab{4}&)))*Z(4)+((-0.5D0*W(4))+W(3)+(-0.5D0*W(2)))*Z(3)+((-0.5D0*W(3))+W(\\br \\tab{4}&2)+(-0.5D0*W(1)))*Z(2)+((-0.5D0*W(2))+W(1))*Z(1)\\br \\tab{5}RETURN\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-73 -2798) 
+(-73 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp28} produces Fortran for Type 28 ASPs, used in NAG routine f02fjf, for example: \\blankline \\tab{5}SUBROUTINE IMAGE(IFLAG,N,Z,W,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION Z(N),W(N),IWORK(LRWORK),RWORK(LRWORK)\\br \\tab{5}INTEGER N,LIWORK,IFLAG,LRWORK\\br \\tab{5}W(1)=0.01707454969713436D0*Z(16)+0.001747395874954051D0*Z(15)+0.00\\br \\tab{4}&2106973900813502D0*Z(14)+0.002957434991769087D0*Z(13)+(-0.00700554\\br \\tab{4}&0882865317D0*Z(12))+(-0.01219194009813166D0*Z(11))+0.0037230647365\\br \\tab{4}&3087D0*Z(10)+0.04932374658377151D0*Z(9)+(-0.03586220812223305D0*Z(\\br \\tab{4}&8))+(-0.04723268012114625D0*Z(7))+(-0.02434652144032987D0*Z(6))+0.\\br \\tab{4}&2264766947290192D0*Z(5)+(-0.1385343580686922D0*Z(4))+(-0.116530050\\br \\tab{4}&8238904D0*Z(3))+(-0.2803531651057233D0*Z(2))+1.019463911841327D0*Z\\br \\tab{4}&(1)\\br \\tab{5}W(2)=0.0227345011107737D0*Z(16)+0.008812321197398072D0*Z(15)+0.010\\br \\tab{4}&94012210519586D0*Z(14)+(-0.01764072463999744D0*Z(13))+(-0.01357136\\br \\tab{4}&72105995D0*Z(12))+0.00157466157362272D0*Z(11)+0.05258889186338282D\\br \\tab{4}&0*Z(10)+(-0.01981532388243379D0*Z(9))+(-0.06095390688679697D0*Z(8)\\br \\tab{4}&)+(-0.04153119955569051D0*Z(7))+0.2176561076571465D0*Z(6)+(-0.0532\\br \\tab{4}&5555586632358D0*Z(5))+(-0.1688977368984641D0*Z(4))+(-0.32440166056\\br \\tab{4}&67343D0*Z(3))+0.9128222941872173D0*Z(2)+(-0.2419652703415429D0*Z(1\\br \\tab{4}&))\\br \\tab{5}W(3)=0.03371198197190302D0*Z(16)+0.02021603150122265D0*Z(15)+(-0.0\\br \\tab{4}&06607305534689702D0*Z(14))+(-0.03032392238968179D0*Z(13))+0.002033\\br \\tab{4}&305231024948D0*Z(12)+0.05375944956767728D0*Z(11)+(-0.0163213312502\\br \\tab{4}&9967D0*Z(10))+(-0.05483186562035512D0*Z(9))+(-0.04901428822579872D\\br \\tab{4}&0*Z(8))+0.2091097927887612D0*Z(7)+(-0.05760560341383113D0*Z(6))+(-\\br \\tab{4}&0.1236679206156403D0*Z(5))+(-0.3523683853026259D0*Z(4))+0.88929961\\br \\tab{4}&32269974D0*Z(3)+(-0.2995429545781457D0*Z(2))+(-0.02986582812574917\\br \\tab{4}&D0*Z(1))\\br \\tab{5}W(4)=0.05141563713660119D0*Z(16)+0.005239165960779299D0*Z(15)+(-0.\\br \\tab{4}&01623427735779699D0*Z(14))+(-0.01965809746040371D0*Z(13))+0.054688\\br \\tab{4}&97337339577D0*Z(12)+(-0.014224695935687D0*Z(11))+(-0.0505181779315\\br \\tab{4}&6355D0*Z(10))+(-0.04353074206076491D0*Z(9))+0.2012230497530726D0*Z\\br \\tab{4}&(8)+(-0.06630874514535952D0*Z(7))+(-0.1280829963720053D0*Z(6))+(-0\\br \\tab{4}&.305169742604165D0*Z(5))+0.8600427128450191D0*Z(4)+(-0.32415033802\\br \\tab{4}&68184D0*Z(3))+(-0.09033531980693314D0*Z(2))+0.09089205517109111D0*\\br \\tab{4}&Z(1)\\br \\tab{5}W(5)=0.04556369767776375D0*Z(16)+(-0.001822737697581869D0*Z(15))+(\\br \\tab{4}&-0.002512226501941856D0*Z(14))+0.02947046460707379D0*Z(13)+(-0.014\\br \\tab{4}&45079632086177D0*Z(12))+(-0.05034242196614937D0*Z(11))+(-0.0376966\\br \\tab{4}&3291725935D0*Z(10))+0.2171103102175198D0*Z(9)+(-0.0824949256021352\\br \\tab{4}&4D0*Z(8))+(-0.1473995209288945D0*Z(7))+(-0.315042193418466D0*Z(6))\\br \\tab{4}&+0.9591623347824002D0*Z(5)+(-0.3852396953763045D0*Z(4))+(-0.141718\\br \\tab{4}&5427288274D0*Z(3))+(-0.03423495461011043D0*Z(2))+0.319820917706851\\br \\tab{4}&6D0*Z(1)\\br \\tab{5}W(6)=0.04015147277405744D0*Z(16)+0.01328585741341559D0*Z(15)+0.048\\br \\tab{4}&26082005465965D0*Z(14)+(-0.04319641116207706D0*Z(13))+(-0.04931323\\br \\tab{4}&319055762D0*Z(12))+(-0.03526886317505474D0*Z(11))+0.22295383396730\\br \\tab{4}&01D0*Z(10)+(-0.07375317649315155D0*Z(9))+(-0.1589391311991561D0*Z(\\br \\tab{4}&8))+(-0.328001910890377D0*Z(7))+0.952576555482747D0*Z(6)+(-0.31583\\br \\tab{4}&09975786731D0*Z(5))+(-0.1846882042225383D0*Z(4))+(-0.0703762046700\\br \\tab{4}&4427D0*Z(3))+0.2311852964327382D0*Z(2)+0.04254083491825025D0*Z(1)\\br \\tab{5}W(7)=0.06069778964023718D0*Z(16)+0.06681263884671322D0*Z(15)+(-0.0\\br \\tab{4}&2113506688615768D0*Z(14))+(-0.083996867458326D0*Z(13))+(-0.0329843\\br \\tab{4}&8523869648D0*Z(12))+0.2276878326327734D0*Z(11)+(-0.067356038933017\\br \\tab{4}&95D0*Z(10))+(-0.1559813965382218D0*Z(9))+(-0.3363262957694705D0*Z(\\br \\tab{4}&8))+0.9442791158560948D0*Z(7)+(-0.3199955249404657D0*Z(6))+(-0.136\\br \\tab{4}&2463839920727D0*Z(5))+(-0.1006185171570586D0*Z(4))+0.2057504515015\\br \\tab{4}&423D0*Z(3)+(-0.02065879269286707D0*Z(2))+0.03160990266745513D0*Z(1\\br \\tab{4}&)\\br \\tab{5}W(8)=0.126386868896738D0*Z(16)+0.002563370039476418D0*Z(15)+(-0.05\\br \\tab{4}&581757739455641D0*Z(14))+(-0.07777893205900685D0*Z(13))+0.23117338\\br \\tab{4}&45834199D0*Z(12)+(-0.06031581134427592D0*Z(11))+(-0.14805474755869\\br \\tab{4}&52D0*Z(10))+(-0.3364014128402243D0*Z(9))+0.9364014128402244D0*Z(8)\\br \\tab{4}&+(-0.3269452524413048D0*Z(7))+(-0.1396841886557241D0*Z(6))+(-0.056\\br \\tab{4}&1733845834199D0*Z(5))+0.1777789320590069D0*Z(4)+(-0.04418242260544\\br \\tab{4}&359D0*Z(3))+(-0.02756337003947642D0*Z(2))+0.07361313110326199D0*Z(\\br \\tab{4}&1)\\br \\tab{5}W(9)=0.07361313110326199D0*Z(16)+(-0.02756337003947642D0*Z(15))+(-\\br \\tab{4}&0.04418242260544359D0*Z(14))+0.1777789320590069D0*Z(13)+(-0.056173\\br \\tab{4}&3845834199D0*Z(12))+(-0.1396841886557241D0*Z(11))+(-0.326945252441\\br \\tab{4}&3048D0*Z(10))+0.9364014128402244D0*Z(9)+(-0.3364014128402243D0*Z(8\\br \\tab{4}&))+(-0.1480547475586952D0*Z(7))+(-0.06031581134427592D0*Z(6))+0.23\\br \\tab{4}&11733845834199D0*Z(5)+(-0.07777893205900685D0*Z(4))+(-0.0558175773\\br \\tab{4}&9455641D0*Z(3))+0.002563370039476418D0*Z(2)+0.126386868896738D0*Z(\\br \\tab{4}&1)\\br \\tab{5}W(10)=0.03160990266745513D0*Z(16)+(-0.02065879269286707D0*Z(15))+0\\br \\tab{4}&.2057504515015423D0*Z(14)+(-0.1006185171570586D0*Z(13))+(-0.136246\\br \\tab{4}&3839920727D0*Z(12))+(-0.3199955249404657D0*Z(11))+0.94427911585609\\br \\tab{4}&48D0*Z(10)+(-0.3363262957694705D0*Z(9))+(-0.1559813965382218D0*Z(8\\br \\tab{4}&))+(-0.06735603893301795D0*Z(7))+0.2276878326327734D0*Z(6)+(-0.032\\br \\tab{4}&98438523869648D0*Z(5))+(-0.083996867458326D0*Z(4))+(-0.02113506688\\br \\tab{4}&615768D0*Z(3))+0.06681263884671322D0*Z(2)+0.06069778964023718D0*Z(\\br \\tab{4}&1)\\br \\tab{5}W(11)=0.04254083491825025D0*Z(16)+0.2311852964327382D0*Z(15)+(-0.0\\br \\tab{4}&7037620467004427D0*Z(14))+(-0.1846882042225383D0*Z(13))+(-0.315830\\br \\tab{4}&9975786731D0*Z(12))+0.952576555482747D0*Z(11)+(-0.328001910890377D\\br \\tab{4}&0*Z(10))+(-0.1589391311991561D0*Z(9))+(-0.07375317649315155D0*Z(8)\\br \\tab{4}&)+0.2229538339673001D0*Z(7)+(-0.03526886317505474D0*Z(6))+(-0.0493\\br \\tab{4}&1323319055762D0*Z(5))+(-0.04319641116207706D0*Z(4))+0.048260820054\\br \\tab{4}&65965D0*Z(3)+0.01328585741341559D0*Z(2)+0.04015147277405744D0*Z(1)\\br \\tab{5}W(12)=0.3198209177068516D0*Z(16)+(-0.03423495461011043D0*Z(15))+(-\\br \\tab{4}&0.1417185427288274D0*Z(14))+(-0.3852396953763045D0*Z(13))+0.959162\\br \\tab{4}&3347824002D0*Z(12)+(-0.315042193418466D0*Z(11))+(-0.14739952092889\\br \\tab{4}&45D0*Z(10))+(-0.08249492560213524D0*Z(9))+0.2171103102175198D0*Z(8\\br \\tab{4}&)+(-0.03769663291725935D0*Z(7))+(-0.05034242196614937D0*Z(6))+(-0.\\br \\tab{4}&01445079632086177D0*Z(5))+0.02947046460707379D0*Z(4)+(-0.002512226\\br \\tab{4}&501941856D0*Z(3))+(-0.001822737697581869D0*Z(2))+0.045563697677763\\br \\tab{4}&75D0*Z(1)\\br \\tab{5}W(13)=0.09089205517109111D0*Z(16)+(-0.09033531980693314D0*Z(15))+(\\br \\tab{4}&-0.3241503380268184D0*Z(14))+0.8600427128450191D0*Z(13)+(-0.305169\\br \\tab{4}&742604165D0*Z(12))+(-0.1280829963720053D0*Z(11))+(-0.0663087451453\\br \\tab{4}&5952D0*Z(10))+0.2012230497530726D0*Z(9)+(-0.04353074206076491D0*Z(\\br \\tab{4}&8))+(-0.05051817793156355D0*Z(7))+(-0.014224695935687D0*Z(6))+0.05\\br \\tab{4}&468897337339577D0*Z(5)+(-0.01965809746040371D0*Z(4))+(-0.016234277\\br \\tab{4}&35779699D0*Z(3))+0.005239165960779299D0*Z(2)+0.05141563713660119D0\\br \\tab{4}&*Z(1)\\br \\tab{5}W(14)=(-0.02986582812574917D0*Z(16))+(-0.2995429545781457D0*Z(15))\\br \\tab{4}&+0.8892996132269974D0*Z(14)+(-0.3523683853026259D0*Z(13))+(-0.1236\\br \\tab{4}&679206156403D0*Z(12))+(-0.05760560341383113D0*Z(11))+0.20910979278\\br \\tab{4}&87612D0*Z(10)+(-0.04901428822579872D0*Z(9))+(-0.05483186562035512D\\br \\tab{4}&0*Z(8))+(-0.01632133125029967D0*Z(7))+0.05375944956767728D0*Z(6)+0\\br \\tab{4}&.002033305231024948D0*Z(5)+(-0.03032392238968179D0*Z(4))+(-0.00660\\br \\tab{4}&7305534689702D0*Z(3))+0.02021603150122265D0*Z(2)+0.033711981971903\\br \\tab{4}&02D0*Z(1)\\br \\tab{5}W(15)=(-0.2419652703415429D0*Z(16))+0.9128222941872173D0*Z(15)+(-0\\br \\tab{4}&.3244016605667343D0*Z(14))+(-0.1688977368984641D0*Z(13))+(-0.05325\\br \\tab{4}&555586632358D0*Z(12))+0.2176561076571465D0*Z(11)+(-0.0415311995556\\br \\tab{4}&9051D0*Z(10))+(-0.06095390688679697D0*Z(9))+(-0.01981532388243379D\\br \\tab{4}&0*Z(8))+0.05258889186338282D0*Z(7)+0.00157466157362272D0*Z(6)+(-0.\\br \\tab{4}&0135713672105995D0*Z(5))+(-0.01764072463999744D0*Z(4))+0.010940122\\br \\tab{4}&10519586D0*Z(3)+0.008812321197398072D0*Z(2)+0.0227345011107737D0*Z\\br \\tab{4}&(1)\\br \\tab{5}W(16)=1.019463911841327D0*Z(16)+(-0.2803531651057233D0*Z(15))+(-0.\\br \\tab{4}&1165300508238904D0*Z(14))+(-0.1385343580686922D0*Z(13))+0.22647669\\br \\tab{4}&47290192D0*Z(12)+(-0.02434652144032987D0*Z(11))+(-0.04723268012114\\br \\tab{4}&625D0*Z(10))+(-0.03586220812223305D0*Z(9))+0.04932374658377151D0*Z\\br \\tab{4}&(8)+0.00372306473653087D0*Z(7)+(-0.01219194009813166D0*Z(6))+(-0.0\\br \\tab{4}&07005540882865317D0*Z(5))+0.002957434991769087D0*Z(4)+0.0021069739\\br \\tab{4}&00813502D0*Z(3)+0.001747395874954051D0*Z(2)+0.01707454969713436D0*\\br \\tab{4}&Z(1)\\br \\tab{5}RETURN\\br \\tab{5}END\\br"))) 
 NIL 
 NIL 
-(-74 -2798) 
+(-74 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp29} produces Fortran for Type 29 ASPs, needed for NAG routine f02fjf, for example: \\blankline \\tab{5}SUBROUTINE MONIT(ISTATE,NEXTIT,NEVALS,NEVECS,K,F,D)\\br \\tab{5}DOUBLE PRECISION D(K),F(K)\\br \\tab{5}INTEGER K,NEXTIT,NEVALS,NVECS,ISTATE\\br \\tab{5}CALL F02FJZ(ISTATE,NEXTIT,NEVALS,NEVECS,K,F,D)\\br \\tab{5}RETURN\\br \\tab{5}END\\br")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP29}."))) 
 NIL 
 NIL 
-(-75 -2798) 
+(-75 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp30} produces Fortran for Type 30 ASPs, needed for NAG routine f04qaf, for example: \\blankline \\tab{5}SUBROUTINE APROD(MODE,M,N,X,Y,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION X(N),Y(M),RWORK(LRWORK)\\br \\tab{5}INTEGER M,N,LIWORK,IFAIL,LRWORK,IWORK(LIWORK),MODE\\br \\tab{5}DOUBLE PRECISION A(5,5)\\br \\tab{5}EXTERNAL F06PAF\\br \\tab{5}A(1,1)=1.0D0\\br \\tab{5}A(1,2)=0.0D0\\br \\tab{5}A(1,3)=0.0D0\\br \\tab{5}A(1,4)=-1.0D0\\br \\tab{5}A(1,5)=0.0D0\\br \\tab{5}A(2,1)=0.0D0\\br \\tab{5}A(2,2)=1.0D0\\br \\tab{5}A(2,3)=0.0D0\\br \\tab{5}A(2,4)=0.0D0\\br \\tab{5}A(2,5)=-1.0D0\\br \\tab{5}A(3,1)=0.0D0\\br \\tab{5}A(3,2)=0.0D0\\br \\tab{5}A(3,3)=1.0D0\\br \\tab{5}A(3,4)=-1.0D0\\br \\tab{5}A(3,5)=0.0D0\\br \\tab{5}A(4,1)=-1.0D0\\br \\tab{5}A(4,2)=0.0D0\\br \\tab{5}A(4,3)=-1.0D0\\br \\tab{5}A(4,4)=4.0D0\\br \\tab{5}A(4,5)=-1.0D0\\br \\tab{5}A(5,1)=0.0D0\\br \\tab{5}A(5,2)=-1.0D0\\br \\tab{5}A(5,3)=0.0D0\\br \\tab{5}A(5,4)=-1.0D0\\br \\tab{5}A(5,5)=4.0D0\\br \\tab{5}IF(MODE.EQ.1)THEN\\br \\tab{7}CALL F06PAF('N',M,N,1.0D0,A,M,X,1,1.0D0,Y,1)\\br \\tab{5}ELSEIF(MODE.EQ.2)THEN\\br \\tab{7}CALL F06PAF('T',M,N,1.0D0,A,M,Y,1,1.0D0,X,1)\\br \\tab{5}ENDIF\\br \\tab{5}RETURN\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-76 -2798) 
+(-76 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp31} produces Fortran for Type 31 ASPs, needed for NAG routine d02ejf, for example: \\blankline \\tab{5}SUBROUTINE PEDERV(X,Y,PW)\\br \\tab{5}DOUBLE PRECISION X,Y(*)\\br \\tab{5}DOUBLE PRECISION PW(3,3)\\br \\tab{5}PW(1,1)=-0.03999999999999999D0\\br \\tab{5}PW(1,2)=10000.0D0*Y(3)\\br \\tab{5}PW(1,3)=10000.0D0*Y(2)\\br \\tab{5}PW(2,1)=0.03999999999999999D0\\br \\tab{5}PW(2,2)=(-10000.0D0*Y(3))+(-60000000.0D0*Y(2))\\br \\tab{5}PW(2,3)=-10000.0D0*Y(2)\\br \\tab{5}PW(3,1)=0.0D0\\br \\tab{5}PW(3,2)=60000000.0D0*Y(2)\\br \\tab{5}PW(3,3)=0.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-77 -2798) 
+(-77 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp33} produces Fortran for Type 33 ASPs, needed for NAG routine d02kef. The code is a dummy ASP: \\blankline \\tab{5}SUBROUTINE REPORT(X,V,JINT)\\br \\tab{5}DOUBLE PRECISION V(3),X\\br \\tab{5}INTEGER JINT\\br \\tab{5}RETURN\\br \\tab{5}END")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP33}."))) 
 NIL 
 NIL 
-(-78 -2798) 
+(-78 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp34} produces Fortran for Type 34 ASPs, needed for NAG routine f04mbf, for example: \\blankline \\tab{5}SUBROUTINE MSOLVE(IFLAG,N,X,Y,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION RWORK(LRWORK),X(N),Y(N)\\br \\tab{5}INTEGER I,J,N,LIWORK,IFLAG,LRWORK,IWORK(LIWORK)\\br \\tab{5}DOUBLE PRECISION W1(3),W2(3),MS(3,3)\\br \\tab{5}IFLAG=-1\\br \\tab{5}MS(1,1)=2.0D0\\br \\tab{5}MS(1,2)=1.0D0\\br \\tab{5}MS(1,3)=0.0D0\\br \\tab{5}MS(2,1)=1.0D0\\br \\tab{5}MS(2,2)=2.0D0\\br \\tab{5}MS(2,3)=1.0D0\\br \\tab{5}MS(3,1)=0.0D0\\br \\tab{5}MS(3,2)=1.0D0\\br \\tab{5}MS(3,3)=2.0D0\\br \\tab{5}CALL F04ASF(MS,N,X,N,Y,W1,W2,IFLAG)\\br \\tab{5}IFLAG=-IFLAG\\br \\tab{5}RETURN\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-79 -2798) 
+(-79 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp35} produces Fortran for Type 35 ASPs, needed for NAG routines c05pbf, c05pcf, for example: \\blankline \\tab{5}SUBROUTINE FCN(N,X,FVEC,FJAC,LDFJAC,IFLAG)\\br \\tab{5}DOUBLE PRECISION X(N),FVEC(N),FJAC(LDFJAC,N)\\br \\tab{5}INTEGER LDFJAC,N,IFLAG\\br \\tab{5}IF(IFLAG.EQ.1)THEN\\br \\tab{7}FVEC(1)=(-1.0D0*X(2))+X(1)\\br \\tab{7}FVEC(2)=(-1.0D0*X(3))+2.0D0*X(2)\\br \\tab{7}FVEC(3)=3.0D0*X(3)\\br \\tab{5}ELSEIF(IFLAG.EQ.2)THEN\\br \\tab{7}FJAC(1,1)=1.0D0\\br \\tab{7}FJAC(1,2)=-1.0D0\\br \\tab{7}FJAC(1,3)=0.0D0\\br \\tab{7}FJAC(2,1)=0.0D0\\br \\tab{7}FJAC(2,2)=2.0D0\\br \\tab{7}FJAC(2,3)=-1.0D0\\br \\tab{7}FJAC(3,1)=0.0D0\\br \\tab{7}FJAC(3,2)=0.0D0\\br \\tab{7}FJAC(3,3)=3.0D0\\br \\tab{5}ENDIF\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
@@ -256,66 +256,66 @@ NIL
 ((|constructor| (NIL "\\spadtype{Asp42} produces Fortran for Type 42 ASPs, needed for NAG routines d02raf and d02saf in particular. These ASPs are in fact three Fortran routines which return a vector of functions, and their derivatives \\spad{wrt} Y(i) and also a continuation parameter EPS, for example: \\blankline \\tab{5}SUBROUTINE G(EPS,YA,YB,BC,N)\\br \\tab{5}DOUBLE PRECISION EPS,YA(N),YB(N),BC(N)\\br \\tab{5}INTEGER N\\br \\tab{5}BC(1)=YA(1)\\br \\tab{5}BC(2)=YA(2)\\br \\tab{5}BC(3)=YB(2)-1.0D0\\br \\tab{5}RETURN\\br \\tab{5}END\\br \\tab{5}SUBROUTINE JACOBG(EPS,YA,YB,AJ,BJ,N)\\br \\tab{5}DOUBLE PRECISION EPS,YA(N),AJ(N,N),BJ(N,N),YB(N)\\br \\tab{5}INTEGER N\\br \\tab{5}AJ(1,1)=1.0D0\\br \\tab{5}AJ(1,2)=0.0D0\\br \\tab{5}AJ(1,3)=0.0D0\\br \\tab{5}AJ(2,1)=0.0D0\\br \\tab{5}AJ(2,2)=1.0D0\\br \\tab{5}AJ(2,3)=0.0D0\\br \\tab{5}AJ(3,1)=0.0D0\\br \\tab{5}AJ(3,2)=0.0D0\\br \\tab{5}AJ(3,3)=0.0D0\\br \\tab{5}BJ(1,1)=0.0D0\\br \\tab{5}BJ(1,2)=0.0D0\\br \\tab{5}BJ(1,3)=0.0D0\\br \\tab{5}BJ(2,1)=0.0D0\\br \\tab{5}BJ(2,2)=0.0D0\\br \\tab{5}BJ(2,3)=0.0D0\\br \\tab{5}BJ(3,1)=0.0D0\\br \\tab{5}BJ(3,2)=1.0D0\\br \\tab{5}BJ(3,3)=0.0D0\\br \\tab{5}RETURN\\br \\tab{5}END\\br \\tab{5}SUBROUTINE JACGEP(EPS,YA,YB,BCEP,N)\\br \\tab{5}DOUBLE PRECISION EPS,YA(N),YB(N),BCEP(N)\\br \\tab{5}INTEGER N\\br \\tab{5}BCEP(1)=0.0D0\\br \\tab{5}BCEP(2)=0.0D0\\br \\tab{5}BCEP(3)=0.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-82 -2798) 
+(-82 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp49} produces Fortran for Type 49 ASPs, needed for NAG routines e04dgf, e04ucf, for example: \\blankline \\tab{5}SUBROUTINE OBJFUN(MODE,N,X,OBJF,OBJGRD,NSTATE,IUSER,USER)\\br \\tab{5}DOUBLE PRECISION X(N),OBJF,OBJGRD(N),USER(*)\\br \\tab{5}INTEGER N,IUSER(*),MODE,NSTATE\\br \\tab{5}OBJF=X(4)*X(9)+((-1.0D0*X(5))+X(3))*X(8)+((-1.0D0*X(3))+X(1))*X(7)\\br \\tab{4}&+(-1.0D0*X(2)*X(6))\\br \\tab{5}OBJGRD(1)=X(7)\\br \\tab{5}OBJGRD(2)=-1.0D0*X(6)\\br \\tab{5}OBJGRD(3)=X(8)+(-1.0D0*X(7))\\br \\tab{5}OBJGRD(4)=X(9)\\br \\tab{5}OBJGRD(5)=-1.0D0*X(8)\\br \\tab{5}OBJGRD(6)=-1.0D0*X(2)\\br \\tab{5}OBJGRD(7)=(-1.0D0*X(3))+X(1)\\br \\tab{5}OBJGRD(8)=(-1.0D0*X(5))+X(3)\\br \\tab{5}OBJGRD(9)=X(4)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-83 -2798) 
+(-83 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp4} produces Fortran for Type 4 ASPs, which take an expression in X(1) \\spad{..} X(NDIM) and produce a real function of the form: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION FUNCTN(NDIM,X)\\br \\tab{5}DOUBLE PRECISION X(NDIM)\\br \\tab{5}INTEGER NDIM\\br \\tab{5}FUNCTN=(4.0D0*X(1)*X(3)**2*DEXP(2.0D0*X(1)*X(3)))/(X(4)**2+(2.0D0*\\br \\tab{4}&X(2)+2.0D0)*X(4)+X(2)**2+2.0D0*X(2)+1.0D0)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-84 -2798) 
+(-84 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp50} produces Fortran for Type 50 ASPs, needed for NAG routine e04fdf, for example: \\blankline \\tab{5}SUBROUTINE LSFUN1(M,N,XC,FVECC)\\br \\tab{5}DOUBLE PRECISION FVECC(M),XC(N)\\br \\tab{5}INTEGER I,M,N\\br \\tab{5}FVECC(1)=((XC(1)-2.4D0)*XC(3)+(15.0D0*XC(1)-36.0D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+15.0D0*XC(2))\\br \\tab{5}FVECC(2)=((XC(1)-2.8D0)*XC(3)+(7.0D0*XC(1)-19.6D0)*XC(2)+1.0D0)/(X\\br \\tab{4}&C(3)+7.0D0*XC(2))\\br \\tab{5}FVECC(3)=((XC(1)-3.2D0)*XC(3)+(4.333333333333333D0*XC(1)-13.866666\\br \\tab{4}&66666667D0)*XC(2)+1.0D0)/(XC(3)+4.333333333333333D0*XC(2))\\br \\tab{5}FVECC(4)=((XC(1)-3.5D0)*XC(3)+(3.0D0*XC(1)-10.5D0)*XC(2)+1.0D0)/(X\\br \\tab{4}&C(3)+3.0D0*XC(2))\\br \\tab{5}FVECC(5)=((XC(1)-3.9D0)*XC(3)+(2.2D0*XC(1)-8.579999999999998D0)*XC\\br \\tab{4}&(2)+1.0D0)/(XC(3)+2.2D0*XC(2))\\br \\tab{5}FVECC(6)=((XC(1)-4.199999999999999D0)*XC(3)+(1.666666666666667D0*X\\br \\tab{4}&C(1)-7.0D0)*XC(2)+1.0D0)/(XC(3)+1.666666666666667D0*XC(2))\\br \\tab{5}FVECC(7)=((XC(1)-4.5D0)*XC(3)+(1.285714285714286D0*XC(1)-5.7857142\\br \\tab{4}&85714286D0)*XC(2)+1.0D0)/(XC(3)+1.285714285714286D0*XC(2))\\br \\tab{5}FVECC(8)=((XC(1)-4.899999999999999D0)*XC(3)+(XC(1)-4.8999999999999\\br \\tab{4}&99D0)*XC(2)+1.0D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(9)=((XC(1)-4.699999999999999D0)*XC(3)+(XC(1)-4.6999999999999\\br \\tab{4}&99D0)*XC(2)+1.285714285714286D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(10)=((XC(1)-6.8D0)*XC(3)+(XC(1)-6.8D0)*XC(2)+1.6666666666666\\br \\tab{4}&67D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(11)=((XC(1)-8.299999999999999D0)*XC(3)+(XC(1)-8.299999999999\\br \\tab{4}&999D0)*XC(2)+2.2D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(12)=((XC(1)-10.6D0)*XC(3)+(XC(1)-10.6D0)*XC(2)+3.0D0)/(XC(3)\\br \\tab{4}&+XC(2))\\br \\tab{5}FVECC(13)=((XC(1)-1.34D0)*XC(3)+(XC(1)-1.34D0)*XC(2)+4.33333333333\\br \\tab{4}&3333D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(14)=((XC(1)-2.1D0)*XC(3)+(XC(1)-2.1D0)*XC(2)+7.0D0)/(XC(3)+X\\br \\tab{4}&C(2))\\br \\tab{5}FVECC(15)=((XC(1)-4.39D0)*XC(3)+(XC(1)-4.39D0)*XC(2)+15.0D0)/(XC(3\\br \\tab{4}&)+XC(2))\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-85 -2798) 
+(-85 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp55} produces Fortran for Type 55 ASPs, needed for NAG routines e04dgf and e04ucf, for example: \\blankline \\tab{5}SUBROUTINE CONFUN(MODE,NCNLN,N,NROWJ,NEEDC,X,C,CJAC,NSTATE,IUSER\\br \\tab{4}&,USER)\\br \\tab{5}DOUBLE PRECISION C(NCNLN),X(N),CJAC(NROWJ,N),USER(*)\\br \\tab{5}INTEGER N,IUSER(*),NEEDC(NCNLN),NROWJ,MODE,NCNLN,NSTATE\\br \\tab{5}IF(NEEDC(1).GT.0)THEN\\br \\tab{7}C(1)=X(6)**2+X(1)**2\\br \\tab{7}CJAC(1,1)=2.0D0*X(1)\\br \\tab{7}CJAC(1,2)=0.0D0\\br \\tab{7}CJAC(1,3)=0.0D0\\br \\tab{7}CJAC(1,4)=0.0D0\\br \\tab{7}CJAC(1,5)=0.0D0\\br \\tab{7}CJAC(1,6)=2.0D0*X(6)\\br \\tab{5}ENDIF\\br \\tab{5}IF(NEEDC(2).GT.0)THEN\\br \\tab{7}C(2)=X(2)**2+(-2.0D0*X(1)*X(2))+X(1)**2\\br \\tab{7}CJAC(2,1)=(-2.0D0*X(2))+2.0D0*X(1)\\br \\tab{7}CJAC(2,2)=2.0D0*X(2)+(-2.0D0*X(1))\\br \\tab{7}CJAC(2,3)=0.0D0\\br \\tab{7}CJAC(2,4)=0.0D0\\br \\tab{7}CJAC(2,5)=0.0D0\\br \\tab{7}CJAC(2,6)=0.0D0\\br \\tab{5}ENDIF\\br \\tab{5}IF(NEEDC(3).GT.0)THEN\\br \\tab{7}C(3)=X(3)**2+(-2.0D0*X(1)*X(3))+X(2)**2+X(1)**2\\br \\tab{7}CJAC(3,1)=(-2.0D0*X(3))+2.0D0*X(1)\\br \\tab{7}CJAC(3,2)=2.0D0*X(2)\\br \\tab{7}CJAC(3,3)=2.0D0*X(3)+(-2.0D0*X(1))\\br \\tab{7}CJAC(3,4)=0.0D0\\br \\tab{7}CJAC(3,5)=0.0D0\\br \\tab{7}CJAC(3,6)=0.0D0\\br \\tab{5}ENDIF\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-86 -2798) 
+(-86 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp6} produces Fortran for Type 6 ASPs, needed for NAG routines c05nbf, c05ncf. These represent vectors of functions of X(i) and look like: \\blankline \\tab{5}SUBROUTINE FCN(N,X,FVEC,IFLAG) \\tab{5}DOUBLE PRECISION X(N),FVEC(N) \\tab{5}INTEGER N,IFLAG \\tab{5}FVEC(1)=(-2.0D0*X(2))+(-2.0D0*X(1)**2)+3.0D0*X(1)+1.0D0 \\tab{5}FVEC(2)=(-2.0D0*X(3))+(-2.0D0*X(2)**2)+3.0D0*X(2)+(-1.0D0*X(1))+1. \\tab{4}&0D0 \\tab{5}FVEC(3)=(-2.0D0*X(4))+(-2.0D0*X(3)**2)+3.0D0*X(3)+(-1.0D0*X(2))+1. \\tab{4}&0D0 \\tab{5}FVEC(4)=(-2.0D0*X(5))+(-2.0D0*X(4)**2)+3.0D0*X(4)+(-1.0D0*X(3))+1. \\tab{4}&0D0 \\tab{5}FVEC(5)=(-2.0D0*X(6))+(-2.0D0*X(5)**2)+3.0D0*X(5)+(-1.0D0*X(4))+1. \\tab{4}&0D0 \\tab{5}FVEC(6)=(-2.0D0*X(7))+(-2.0D0*X(6)**2)+3.0D0*X(6)+(-1.0D0*X(5))+1. \\tab{4}&0D0 \\tab{5}FVEC(7)=(-2.0D0*X(8))+(-2.0D0*X(7)**2)+3.0D0*X(7)+(-1.0D0*X(6))+1. \\tab{4}&0D0 \\tab{5}FVEC(8)=(-2.0D0*X(9))+(-2.0D0*X(8)**2)+3.0D0*X(8)+(-1.0D0*X(7))+1. \\tab{4}&0D0 \\tab{5}FVEC(9)=(-2.0D0*X(9)**2)+3.0D0*X(9)+(-1.0D0*X(8))+1.0D0 \\tab{5}RETURN \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-87 -2798) 
+(-87 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp73} produces Fortran for Type 73 ASPs, needed for NAG routine d03eef, for example: \\blankline \\tab{5}SUBROUTINE PDEF(X,Y,ALPHA,BETA,GAMMA,DELTA,EPSOLN,PHI,PSI)\\br \\tab{5}DOUBLE PRECISION ALPHA,EPSOLN,PHI,X,Y,BETA,DELTA,GAMMA,PSI\\br \\tab{5}ALPHA=DSIN(X)\\br \\tab{5}BETA=Y\\br \\tab{5}GAMMA=X*Y\\br \\tab{5}DELTA=DCOS(X)*DSIN(Y)\\br \\tab{5}EPSOLN=Y+X\\br \\tab{5}PHI=X\\br \\tab{5}PSI=Y\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-88 -2798) 
+(-88 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp74} produces Fortran for Type 74 ASPs, needed for NAG routine d03eef, for example: \\blankline \\tab{5} SUBROUTINE BNDY(X,Y,A,B,C,IBND)\\br \\tab{5} DOUBLE PRECISION A,B,C,X,Y\\br \\tab{5} INTEGER IBND\\br \\tab{5} IF(IBND.EQ.0)THEN\\br \\tab{7} A=0.0D0\\br \\tab{7} B=1.0D0\\br \\tab{7} C=-1.0D0*DSIN(X)\\br \\tab{5} ELSEIF(IBND.EQ.1)THEN\\br \\tab{7} A=1.0D0\\br \\tab{7} B=0.0D0\\br \\tab{7} C=DSIN(X)*DSIN(Y)\\br \\tab{5} ELSEIF(IBND.EQ.2)THEN\\br \\tab{7} A=1.0D0\\br \\tab{7} B=0.0D0\\br \\tab{7} C=DSIN(X)*DSIN(Y)\\br \\tab{5} ELSEIF(IBND.EQ.3)THEN\\br \\tab{7} A=0.0D0\\br \\tab{7} B=1.0D0\\br \\tab{7} C=-1.0D0*DSIN(Y)\\br \\tab{5} ENDIF\\br \\tab{5} END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-89 -2798) 
+(-89 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp77} produces Fortran for Type 77 ASPs, needed for NAG routine d02gbf, for example: \\blankline \\tab{5}SUBROUTINE FCNF(X,F)\\br \\tab{5}DOUBLE PRECISION X\\br \\tab{5}DOUBLE PRECISION F(2,2)\\br \\tab{5}F(1,1)=0.0D0\\br \\tab{5}F(1,2)=1.0D0\\br \\tab{5}F(2,1)=0.0D0\\br \\tab{5}F(2,2)=-10.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-90 -2798) 
+(-90 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp78} produces Fortran for Type 78 ASPs, needed for NAG routine d02gbf, for example: \\blankline \\tab{5}SUBROUTINE FCNG(X,G)\\br \\tab{5}DOUBLE PRECISION G(*),X\\br \\tab{5}G(1)=0.0D0\\br \\tab{5}G(2)=0.0D0\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-91 -2798) 
+(-91 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp7} produces Fortran for Type 7 ASPs, needed for NAG routines d02bbf, d02gaf. These represent a vector of functions of the scalar \\spad{X} and the array \\spad{Z,} and look like: \\blankline \\tab{5}SUBROUTINE FCN(X,Z,F)\\br \\tab{5}DOUBLE PRECISION F(*),X,Z(*)\\br \\tab{5}F(1)=DTAN(Z(3))\\br \\tab{5}F(2)=((-0.03199999999999999D0*DCOS(Z(3))*DTAN(Z(3)))+(-0.02D0*Z(2)\\br \\tab{4}&**2))/(Z(2)*DCOS(Z(3)))\\br \\tab{5}F(3)=-0.03199999999999999D0/(X*Z(2)**2)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-92 -2798) 
+(-92 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp80} produces Fortran for Type 80 ASPs, needed for NAG routine d02kef, for example: \\blankline \\tab{5}SUBROUTINE BDYVAL(XL,XR,ELAM,YL,YR)\\br \\tab{5}DOUBLE PRECISION ELAM,XL,YL(3),XR,YR(3)\\br \\tab{5}YL(1)=XL\\br \\tab{5}YL(2)=2.0D0\\br \\tab{5}YR(1)=1.0D0\\br \\tab{5}YR(2)=-1.0D0*DSQRT(XR+(-1.0D0*ELAM))\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-93 -2798) 
+(-93 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp8} produces Fortran for Type 8 ASPs, needed for NAG routine d02bbf. This ASP prints intermediate values of the computed solution of an ODE and might look like: \\blankline \\tab{5}SUBROUTINE OUTPUT(XSOL,Y,COUNT,M,N,RESULT,FORWRD)\\br \\tab{5}DOUBLE PRECISION Y(N),RESULT(M,N),XSOL\\br \\tab{5}INTEGER M,N,COUNT\\br \\tab{5}LOGICAL FORWRD\\br \\tab{5}DOUBLE PRECISION X02ALF,POINTS(8)\\br \\tab{5}EXTERNAL X02ALF\\br \\tab{5}INTEGER I\\br \\tab{5}POINTS(1)=1.0D0\\br \\tab{5}POINTS(2)=2.0D0\\br \\tab{5}POINTS(3)=3.0D0\\br \\tab{5}POINTS(4)=4.0D0\\br \\tab{5}POINTS(5)=5.0D0\\br \\tab{5}POINTS(6)=6.0D0\\br \\tab{5}POINTS(7)=7.0D0\\br \\tab{5}POINTS(8)=8.0D0\\br \\tab{5}COUNT=COUNT+1\\br \\tab{5}DO 25001 I=1,N\\br \\tab{7} RESULT(COUNT,I)=Y(I)\\br 25001 CONTINUE\\br \\tab{5}IF(COUNT.EQ.M)THEN\\br \\tab{7}IF(FORWRD)THEN\\br \\tab{9}XSOL=X02ALF()\\br \\tab{7}ELSE\\br \\tab{9}XSOL=-X02ALF()\\br \\tab{7}ENDIF\\br \\tab{5}ELSE\\br \\tab{7} XSOL=POINTS(COUNT)\\br \\tab{5}ENDIF\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-94 -2798) 
+(-94 -3159) 
 ((|constructor| (NIL "\\spadtype{Asp9} produces Fortran for Type 9 ASPs, needed for NAG routines d02bhf, d02cjf, d02ejf. These ASPs represent a function of a scalar \\spad{X} and a vector \\spad{Y,} for example: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION G(X,Y)\\br \\tab{5}DOUBLE PRECISION X,Y(*)\\br \\tab{5}G=X+Y(1)\\br \\tab{5}RETURN\\br \\tab{5}END \\blankline If the user provides a constant value for \\spad{G,} then extra information is added via COMMON blocks used by certain routines. This specifies that the value returned by \\spad{G} in this case is to be ignored.")) (|coerce| (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
 (-95 R L) 
 ((|constructor| (NIL "\\spadtype{AssociatedEquations} provides functions to compute the associated equations needed for factoring operators")) (|associatedEquations| (((|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| |#2|) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| |#2|))) |#2| (|PositiveInteger|)) "\\spad{associatedEquations(op, \\spad{m)}} returns \\spad{[w, eq, \\spad{lw,} lop]} such that \\spad{eq(w) = 0} where \\spad{w} is the given minor, and \\spad{lw_i = lop_i(w)} for all the other minors.")) (|uncouplingMatrices| (((|Vector| (|Matrix| |#1|)) (|Matrix| |#1|)) "\\spad{uncouplingMatrices(M)} returns \\spad{[A_1,...,A_n]} such that if \\spad{y = [y_1,...,y_n]} is a solution of \\spad{y' = \\spad{M} \\spad{y},} then \\spad{[$y_j',y_j'',...,y_j^{(n)}$] = $A_j \\spad{y$}} for all j's.")) (|associatedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|))))) |#2| (|PositiveInteger|)) "\\spad{associatedSystem(op, \\spad{m)}} returns \\spad{[M,w]} such that the \\spad{m}-th associated equation system to \\spad{L} is \\spad{w' = \\spad{M} \\spad{w}.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-366)))) 
+((|HasCategory| |#1| (QUOTE (-367)))) 
 (-96 S) 
 ((|constructor| (NIL "A stack represented as a flexible array.")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} b:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$ArrayStack(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(ArrayStack INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$ArrayStack(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} less?(a,9)")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} depth a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} top a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} insert!(8,a) \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} push!(9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|arrayStack| (($ (|List| |#1|)) "\\indented{1}{arrayStack([x,y,...,z]) creates an array stack with first (top)} \\indented{1}{element \\spad{x,} second element y,...,and last element \\spad{z.}} \\blankline \\spad{E} c:ArrayStack INT:= arrayStack [1,2,3,4,5]"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
 (-97 S) 
 ((|constructor| (NIL "Category for the inverse trigonometric functions.")) (|atan| (($ $) "\\spad{atan(x)} returns the arc-tangent of \\spad{x.}")) (|asin| (($ $) "\\spad{asin(x)} returns the arc-sine of \\spad{x.}")) (|asec| (($ $) "\\spad{asec(x)} returns the arc-secant of \\spad{x.}")) (|acsc| (($ $) "\\spad{acsc(x)} returns the arc-cosecant of \\spad{x.}")) (|acot| (($ $) "\\spad{acot(x)} returns the arc-cotangent of \\spad{x.}")) (|acos| (($ $) "\\spad{acos(x)} returns the arc-cosine of \\spad{x.}"))) 
 NIL 
@@ -326,15 +326,15 @@ NIL
 NIL 
 (-99) 
 ((|constructor| (NIL "\\axiomType{AttributeButtons} implements a database and associated adjustment mechanisms for a set of attributes. \\blankline For ODEs these attributes are \"stiffness\", \"stability\" (\\spadignore{i.e.} how much affect the cosine or sine component of the solution has on the stability of the result), \"accuracy\" and \"expense\" (\\spadignore{i.e.} how expensive is the evaluation of the ODE). All these have bearing on the cost of calculating the solution given that reducing the step-length to achieve greater accuracy requires considerable number of evaluations and calculations. \\blankline The effect of each of these attributes can be altered by increasing or decreasing the button value. \\blankline For Integration there is a button for increasing and decreasing the preset number of function evaluations for each method. This is automatically used by ANNA when a method fails due to insufficient workspace or where the limit of function evaluations has been reached before the required accuracy is achieved.")) (|setButtonValue| (((|Float|) (|String|) (|String|) (|Float|)) "\\axiom{setButtonValue(attributeName,routineName,n)} sets the value of the button of attribute \\spad{attributeName} to routine \\spad{routineName} to \\spad{n}. \\spad{n} must be in the range [0..1]. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|Float|)) "\\axiom{setButtonValue(attributeName,n)} sets the value of all buttons of attribute \\spad{attributeName} to \\spad{n}. \\spad{n} must be in the range [0..1]. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".")) (|setAttributeButtonStep| (((|Float|) (|Float|)) "\\axiom{setAttributeButtonStep(n)} sets the value of the steps for increasing and decreasing the button values. \\axiom{n} must be greater than 0 and less than 1. The preset value is 0.5.")) (|resetAttributeButtons| (((|Void|)) "\\axiom{resetAttributeButtons()} resets the Attribute buttons to a neutral level.")) (|getButtonValue| (((|Float|) (|String|) (|String|)) "\\axiom{getButtonValue(routineName,attributeName)} returns the current value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".")) (|decrease| (((|Float|) (|String|)) "\\axiom{decrease(attributeName)} decreases the value for the effect of the attribute \\axiom{attributeName} with all routines. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|String|)) "\\axiom{decrease(routineName,attributeName)} decreases the value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".")) (|increase| (((|Float|) (|String|)) "\\axiom{increase(attributeName)} increases the value for the effect of the attribute \\axiom{attributeName} with all routines. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|String|)) "\\axiom{increase(routineName,attributeName)} increases the value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\"."))) 
-((-4571 . T)) 
+((-4600 . T)) 
 NIL 
 (-100) 
-((|constructor| (NIL "This category exports the attributes in the AXIOM Library")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\".")) (|canonical| ((|attribute|) "\\spad{canonical} is \\spad{true} if and only if distinct elements have distinct data structures. For example, a domain of mathematical objects which has the \\spad{canonical} attribute means that two objects are mathematically equal if and only if their data structures are equal.")) (|multiplicativeValuation| ((|attribute|) "\\spad{multiplicativeValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)*euclideanSize(b)}.")) (|additiveValuation| ((|attribute|) "\\spad{additiveValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)+euclideanSize(b)}.")) (|noetherian| ((|attribute|) "\\spad{noetherian} is \\spad{true} if all of its ideals are finitely generated.")) (|central| ((|attribute|) "\\spad{central} is \\spad{true} if, given an algebra over a ring \\spad{R,} the image of \\spad{R} is the center of the algebra, \\spadignore{i.e.} the set of members of the algebra which commute with all others is precisely the image of \\spad{R} in the algebra.")) (|partiallyOrderedSet| ((|attribute|) "\\spad{partiallyOrderedSet} is \\spad{true} if a set with \\spadop{<} which is transitive, but \\spad{not(a < \\spad{b} or a = \\spad{b)}} does not necessarily imply \\spad{b<a}.")) (|arbitraryPrecision| ((|attribute|) "\\spad{arbitraryPrecision} means the user can set the precision for subsequent calculations.")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalsClosed} is \\spad{true} if \\spad{unitCanonical(a)*unitCanonical(b) = unitCanonical(a*b)}.")) (|canonicalUnitNormal| ((|attribute|) "\\spad{canonicalUnitNormal} is \\spad{true} if we can choose a canonical representative for each class of associate elements, that is \\spad{associates?(a,b)} returns \\spad{true} if and only if \\spad{unitCanonical(a) = unitCanonical(b)}.")) (|noZeroDivisors| ((|attribute|) "\\spad{noZeroDivisors} is \\spad{true} if \\spad{x * \\spad{y} \\~~= 0} implies both \\spad{x} and \\spad{y} are non-zero.")) (|rightUnitary| ((|attribute|) "\\spad{rightUnitary} is \\spad{true} if \\spad{x * 1 = \\spad{x}} for all \\spad{x.}")) (|leftUnitary| ((|attribute|) "\\spad{leftUnitary} is \\spad{true} if \\spad{1 * \\spad{x} = \\spad{x}} for all \\spad{x.}")) (|unitsKnown| ((|attribute|) "\\spad{unitsKnown} is \\spad{true} if a monoid (a multiplicative semigroup with a 1) has \\spad{unitsKnown} means that the operation \\spadfun{recip} can only return \"failed\" if its argument is not a unit.")) (|shallowlyMutable| ((|attribute|) "\\spad{shallowlyMutable} is \\spad{true} if its values have immediate components that are updateable (mutable). Note that the properties of any component domain are irrevelant to the \\spad{shallowlyMutable} proper.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} is \\spad{true} if it has an operation \\spad{\"*\": (D,D) \\spad{->} \\spad{D}} which is commutative.")) (|finiteAggregate| ((|attribute|) "\\spad{finiteAggregate} is \\spad{true} if it is an aggregate with a finite number of elements."))) 
-((-4571 . T) ((-4573 "*") . T) (-4572 . T) (-4568 . T) (-4566 . T) (-4565 . T) (-4564 . T) (-4569 . T) (-4563 . T) (-4562 . T) (-4561 . T) (-4560 . T) (-4559 . T) (-4567 . T) (-4570 . T) (|NullSquare| . T) (|JacobiIdentity| . T) (-4558 . T) (-4334 . T)) 
+((|constructor| (NIL "This category exports the attributes in the AXIOM Library")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\".")) (|canonical| ((|attribute|) "\\spad{canonical} is \\spad{true} if and only if distinct elements have distinct data structures. For example, a domain of mathematical objects which has the \\spad{canonical} attribute means that two objects are mathematically equal if and only if their data structures are equal.")) (|multiplicativeValuation| ((|attribute|) "\\spad{multiplicativeValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)*euclideanSize(b)}.")) (|additiveValuation| ((|attribute|) "\\spad{additiveValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)+euclideanSize(b)}.")) (|noetherian| ((|attribute|) "\\spad{noetherian} is \\spad{true} if all of its ideals are finitely generated.")) (|central| ((|attribute|) "\\spad{central} is \\spad{true} if, given an algebra over a ring \\spad{R,} the image of \\spad{R} is the center of the algebra, For example, the set of members of the algebra which commute with all others is precisely the image of \\spad{R} in the algebra.")) (|partiallyOrderedSet| ((|attribute|) "\\spad{partiallyOrderedSet} is \\spad{true} if a set with \\spadop{<} which is transitive, but \\spad{not(a < \\spad{b} or a = \\spad{b)}} does not necessarily imply \\spad{b<a}.")) (|arbitraryPrecision| ((|attribute|) "\\spad{arbitraryPrecision} means the user can set the precision for subsequent calculations.")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalsClosed} is \\spad{true} if \\spad{unitCanonical(a)*unitCanonical(b) = unitCanonical(a*b)}.")) (|canonicalUnitNormal| ((|attribute|) "\\spad{canonicalUnitNormal} is \\spad{true} if we can choose a canonical representative for each class of associate elements, that is \\spad{associates?(a,b)} returns \\spad{true} if and only if \\spad{unitCanonical(a) = unitCanonical(b)}.")) (|noZeroDivisors| ((|attribute|) "\\spad{noZeroDivisors} is \\spad{true} if \\spad{x * \\spad{y} \\~~= 0} implies both \\spad{x} and \\spad{y} are non-zero.")) (|rightUnitary| ((|attribute|) "\\spad{rightUnitary} is \\spad{true} if \\spad{x * 1 = \\spad{x}} for all \\spad{x.}")) (|leftUnitary| ((|attribute|) "\\spad{leftUnitary} is \\spad{true} if \\spad{1 * \\spad{x} = \\spad{x}} for all \\spad{x.}")) (|unitsKnown| ((|attribute|) "\\spad{unitsKnown} is \\spad{true} if a monoid (a multiplicative semigroup with a 1) has \\spad{unitsKnown} means that the operation \\spadfun{recip} can only return \"failed\" if its argument is not a unit.")) (|shallowlyMutable| ((|attribute|) "\\spad{shallowlyMutable} is \\spad{true} if its values have immediate components that are updateable (mutable). Note that the properties of any component domain are irrevelant to the \\spad{shallowlyMutable} proper.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} is \\spad{true} if it has an operation \\spad{\"*\": (D,D) \\spad{->} \\spad{D}} which is commutative.")) (|finiteAggregate| ((|attribute|) "\\spad{finiteAggregate} is \\spad{true} if it is an aggregate with a finite number of elements."))) 
+((-4600 . T) ((-4602 "*") . T) (-4601 . T) (-4597 . T) (-4595 . T) (-4594 . T) (-4593 . T) (-4598 . T) (-4592 . T) (-4591 . T) (-4590 . T) (-4589 . T) (-4588 . T) (-4596 . T) (-4599 . T) (|NullSquare| . T) (|JacobiIdentity| . T) (-4587 . T) (-3367 . T)) 
 NIL 
 (-101 R) 
 ((|constructor| (NIL "Automorphism \\spad{R} is the multiplicative group of automorphisms of \\spad{R.}")) (|morphism| (($ (|Mapping| |#1| |#1| (|Integer|))) "\\spad{morphism(f)} returns the morphism given by \\spad{f^n(x) = f(x,n)}.") (($ (|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|)) "\\spad{morphism(f, \\spad{g)}} returns the invertible morphism given by \\spad{f,} where \\spad{g} is the inverse of \\spad{f..}") (($ (|Mapping| |#1| |#1|)) "\\spad{morphism(f)} returns the non-invertible morphism given by \\spad{f.}"))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
 (-102) 
 ((|constructor| (NIL "This package provides a functions to support a web server for the new Axiom Browser functions."))) 
@@ -345,17 +345,17 @@ NIL
 NIL 
 NIL 
 (-104 S) 
-((|constructor| (NIL "\\spadtype{BasicType} is the basic category for describing a collection of elements with \\spadop{=} (equality).")) (~= (((|Boolean|) $ $) "\\spad{x~=y} tests if \\spad{x} and \\spad{y} are not equal.")) (= (((|Boolean|) $ $) "\\spad{x=y} tests if \\spad{x} and \\spad{y} are equal."))) 
+((|constructor| (NIL "BasicType is the basic category for describing a collection of elements with = (equality).")) (~= (((|Boolean|) $ $) "\\spad{x~=y} tests if \\spad{x} and \\spad{y} are not equal.")) (= (((|Boolean|) $ $) "\\spad{x=y} tests if \\spad{x} and \\spad{y} are equal."))) 
 NIL 
 NIL 
 (-105) 
-((|constructor| (NIL "\\spadtype{BasicType} is the basic category for describing a collection of elements with \\spadop{=} (equality).")) (~= (((|Boolean|) $ $) "\\spad{x~=y} tests if \\spad{x} and \\spad{y} are not equal.")) (= (((|Boolean|) $ $) "\\spad{x=y} tests if \\spad{x} and \\spad{y} are equal."))) 
+((|constructor| (NIL "BasicType is the basic category for describing a collection of elements with = (equality).")) (~= (((|Boolean|) $ $) "\\spad{x~=y} tests if \\spad{x} and \\spad{y} are not equal.")) (= (((|Boolean|) $ $) "\\spad{x=y} tests if \\spad{x} and \\spad{y} are equal."))) 
 NIL 
 NIL 
 (-106 S) 
 ((|constructor| (NIL "\\spadtype{BalancedBinaryTree(S)} is the domain of balanced binary trees (bbtree). A balanced binary tree of \\spad{2**k} leaves, for some \\spad{k > 0}, is symmetric, that is, the left and right subtree of each interior node have identical shape. In general, the left and right subtree of a given node can differ by at most leaf node.")) (|mapDown!| (($ $ |#1| (|Mapping| (|List| |#1|) |#1| |#1| |#1|)) "\\indented{1}{mapDown!(t,p,f) returns \\spad{t} after traversing \\spad{t} in \"preorder\"} \\indented{1}{(node then left then right) fashion replacing the successive} \\indented{1}{interior nodes as follows. Let \\spad{l} and \\spad{r} denote the left and} \\indented{1}{right subtrees of \\spad{t.} The root value \\spad{x} of \\spad{t} is replaced by \\spad{p.}} \\indented{1}{Then f(value \\spad{l,} value \\spad{r,} \\spad{p),} where \\spad{l} and \\spad{r} denote the left} \\indented{1}{and right subtrees of \\spad{t,} is evaluated producing two values} \\indented{1}{pl and \\spad{pr.} Then \\spad{mapDown!(l,pl,f)} and \\spad{mapDown!(l,pr,f)}} \\indented{1}{are evaluated.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder3(i:Integer,j:Integer,k:Integer):List Integer \\spad{==} [i+j,j+k] \\spad{X} mapDown!(t2,4::INT,adder3) \\spad{X} \\spad{t2}") (($ $ |#1| (|Mapping| |#1| |#1| |#1|)) "\\indented{1}{mapDown!(t,p,f) returns \\spad{t} after traversing \\spad{t} in \"preorder\"} \\indented{1}{(node then left then right) fashion replacing the successive} \\indented{1}{interior nodes as follows. The root value \\spad{x} is} \\indented{1}{replaced by \\spad{q} \\spad{:=} f(p,x). The mapDown!(l,q,f) and} \\indented{1}{mapDown!(r,q,f) are evaluated for the left and right subtrees} \\indented{1}{l and \\spad{r} of \\spad{t.}} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder(i:Integer,j:Integer):Integer \\spad{==} i+j \\spad{X} mapDown!(t2,4::INT,adder) \\spad{X} \\spad{t2}")) (|mapUp!| (($ $ $ (|Mapping| |#1| |#1| |#1| |#1| |#1|)) "\\indented{1}{mapUp!(t,t1,f) traverses balanced binary tree \\spad{t} in an \"endorder\"} \\indented{1}{(left then right then node) fashion returning \\spad{t} with the value} \\indented{1}{at each successive interior node of \\spad{t} replaced \\spad{by}} \\indented{1}{f(l,r,l1,r1) where \\spad{l} and \\spad{r} are the values at the immediate} \\indented{1}{left and right nodes. Values \\spad{l1} and \\spad{r1} are values at the} \\indented{1}{corresponding nodes of a balanced binary tree \\spad{t1,} of identical} \\indented{1}{shape at \\spad{t.}} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder4(i:INT,j:INT,k:INT,l:INT):INT \\spad{==} i+j+k+l \\spad{X} mapUp!(t2,t2,adder4) \\spad{X} \\spad{t2}") ((|#1| $ (|Mapping| |#1| |#1| |#1|)) "\\indented{1}{mapUp!(t,f) traverses balanced binary tree \\spad{t} in an \"endorder\"} \\indented{1}{(left then right then node) fashion returning \\spad{t} with the value} \\indented{1}{at each successive interior node of \\spad{t} replaced \\spad{by}} \\indented{1}{f(l,r) where \\spad{l} and \\spad{r} are the values at the immediate} \\indented{1}{left and right nodes.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} mapUp!(t2,adder) \\spad{X} \\spad{t2}")) (|setleaves!| (($ $ (|List| |#1|)) "\\indented{1}{setleaves!(t, \\spad{ls)} sets the leaves of \\spad{t} in left-to-right order} \\indented{1}{to the elements of ls.} \\blankline \\spad{X} t1:=balancedBinaryTree(4, 0) \\spad{X} setleaves!(t1,[1,2,3,4])")) (|balancedBinaryTree| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{balancedBinaryTree(n, \\spad{s)} creates a balanced binary tree with} \\indented{1}{n nodes each with value \\spad{s.}} \\blankline \\spad{X} balancedBinaryTree(4, 0)"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
 (-107 R) 
 ((|constructor| (NIL "Provide linear, quadratic, and cubic spline bezier curves")) (|cubicBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A cubic Bezier curve is a simple interpolation between the} \\indented{1}{starting point, a left-middle point,, a right-middle point,} \\indented{1}{and the ending point based on a parameter \\spad{t.}} \\indented{1}{Given a start point a=[x1,y1], the left-middle point b=[x2,y2],} \\indented{1}{the right-middle point c=[x3,y3] and an endpoint d=[x4,y4]} \\indented{1}{f(t) \\spad{==} \\spad{[(1-t)^3} \\spad{x1} + 3t(1-t)^2 \\spad{x2} + 3t^2 (1-t) \\spad{x3} + \\spad{t^3} x4,} \\indented{10}{(1-t)^3 \\spad{y1} + 3t(1-t)^2 \\spad{y2} + 3t^2 (1-t) \\spad{y3} + \\spad{t^3} y4]} \\blankline \\spad{X} n:=cubicBezier([2.0,2.0],[2.0,4.0],[6.0,4.0],[6.0,2.0]) \\spad{X} [n(t/10.0) for \\spad{t} in 0..10 by 1]")) (|quadraticBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A quadratic Bezier curve is a simple interpolation between the} \\indented{1}{starting point, a middle point, and the ending point based on} \\indented{1}{a parameter \\spad{t.}} \\indented{1}{Given a start point a=[x1,y1], a middle point b=[x2,y2],} \\indented{1}{and an endpoint c=[x3,y3]} \\indented{1}{f(t) \\spad{==} \\spad{[(1-t)^2} \\spad{x1} + 2t(1-t) \\spad{x2} + \\spad{t^2} x3,} \\indented{10}{(1-t)^2 \\spad{y1} + 2t(1-t) \\spad{y2} + \\spad{t^2} y3]} \\blankline \\spad{X} n:=quadraticBezier([2.0,2.0],[4.0,4.0],[6.0,2.0]) \\spad{X} [n(t/10.0) for \\spad{t} in 0..10 by 1]")) (|linearBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A linear Bezier curve is a simple interpolation between the} \\indented{1}{starting point and the ending point based on a parameter \\spad{t.}} \\indented{1}{Given a start point a=[x1,y1] and an endpoint b=[x2,y2]} \\indented{1}{f(t) \\spad{==} \\spad{[(1-t)*x1} + t*x2, \\spad{(1-t)*y1} + t*y2]} \\blankline \\spad{X} n:=linearBezier([2.0,2.0],[4.0,4.0]) \\spad{X} [n(t/10.0) for \\spad{t} in 0..10 by 1]"))) 
 NIL 
@@ -363,10 +363,10 @@ NIL
 (-108 R UP M |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{BezoutMatrix} contains functions for computing resultants and discriminants using Bezout matrices.")) (|bezoutDiscriminant| ((|#1| |#2|) "\\spad{bezoutDiscriminant(p)} computes the discriminant of a polynomial \\spad{p} by computing the determinant of a Bezout matrix.")) (|bezoutResultant| ((|#1| |#2| |#2|) "\\spad{bezoutResultant(p,q)} computes the resultant of the two polynomials \\spad{p} and \\spad{q} by computing the determinant of a Bezout matrix.")) (|bezoutMatrix| ((|#3| |#2| |#2|) "\\spad{bezoutMatrix(p,q)} returns the Bezout matrix for the two polynomials \\spad{p} and \\spad{q.}")) (|sylvesterMatrix| ((|#3| |#2| |#2|) "\\spad{sylvesterMatrix(p,q)} returns the Sylvester matrix for the two polynomials \\spad{p} and \\spad{q.}"))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE (-4573 "*")))) 
+((|HasAttribute| |#1| (QUOTE (-4602 "*")))) 
 (-109) 
 ((|constructor| (NIL "A Domain which implements a table containing details of points at which particular functions have evaluation problems.")) (|bfEntry| (((|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|)))) (|Symbol|)) "\\spad{bfEntry(k)} returns the entry in the \\axiomType{BasicFunctions} table corresponding to \\spad{k}")) (|bfKeys| (((|List| (|Symbol|))) "\\spad{bfKeys()} returns the names of each function in the \\axiomType{BasicFunctions} table"))) 
-((-4571 . T)) 
+((-4600 . T)) 
 NIL 
 (-110 A S) 
 ((|constructor| (NIL "A bag aggregate is an aggregate for which one can insert and extract objects, and where the order in which objects are inserted determines the order of extraction. Examples of bags are stacks, queues, and dequeues.")) (|inspect| ((|#2| $) "\\spad{inspect(u)} returns an (random) element from a bag.")) (|insert!| (($ |#2| $) "\\spad{insert!(x,u)} inserts item \\spad{x} into bag u.")) (|extract!| ((|#2| $) "\\spad{extract!(u)} destructively removes a (random) item from bag u.")) (|bag| (($ (|List| |#2|)) "\\spad{bag([x,y,...,z])} creates a bag with elements x,y,...,z.")) (|shallowlyMutable| ((|attribute|) "shallowlyMutable means that elements of bags may be destructively changed."))) 
@@ -374,22 +374,22 @@ NIL
 NIL 
 (-111 S) 
 ((|constructor| (NIL "A bag aggregate is an aggregate for which one can insert and extract objects, and where the order in which objects are inserted determines the order of extraction. Examples of bags are stacks, queues, and dequeues.")) (|inspect| ((|#1| $) "\\spad{inspect(u)} returns an (random) element from a bag.")) (|insert!| (($ |#1| $) "\\spad{insert!(x,u)} inserts item \\spad{x} into bag u.")) (|extract!| ((|#1| $) "\\spad{extract!(u)} destructively removes a (random) item from bag u.")) (|bag| (($ (|List| |#1|)) "\\spad{bag([x,y,...,z])} creates a bag with elements x,y,...,z.")) (|shallowlyMutable| ((|attribute|) "shallowlyMutable means that elements of bags may be destructively changed."))) 
-((-4572 . T) (-4317 . T)) 
+((-4601 . T) (-3348 . T)) 
 NIL 
 (-112) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating binary expansions.")) (|binary| (($ (|Fraction| (|Integer|))) "\\indented{1}{binary(r) converts a rational number to a binary expansion.} \\blankline \\spad{X} binary(22/7)")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(b)} returns the fractional part of a binary expansion.")) (|coerce| (((|RadixExpansion| 2) $) "\\spad{coerce(b)} converts a binary expansion to a radix expansion with base 2.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(b)} converts a binary expansion to a rational number."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-569) (QUOTE (-906))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1023))) (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1139))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (QUOTE (-844)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (|HasCategory| (-569) (QUOTE (-149))))) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-571) (QUOTE (-909))) (|HasCategory| (-571) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| (-571) (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-151))) (|HasCategory| (-571) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-571) (QUOTE (-1027))) (|HasCategory| (-571) (QUOTE (-820))) (|HasCategory| (-571) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1143))) (|HasCategory| (-571) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| (-571) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| (-571) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| (-571) (QUOTE (-226))) (|HasCategory| (-571) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-571) (LIST (QUOTE -526) (QUOTE (-1169)) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -282) (QUOTE (-571)) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-302))) (|HasCategory| (-571) (QUOTE (-553))) (|HasCategory| (-571) (QUOTE (-847))) (-1831 (|HasCategory| (-571) (QUOTE (-820))) (|HasCategory| (-571) (QUOTE (-847)))) (|HasCategory| (-571) (LIST (QUOTE -633) (QUOTE (-571)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-909)))) (|HasCategory| (-571) (QUOTE (-149))))) 
 (-113) 
 ((|constructor| (NIL "This domain provides an implementation of binary files. Data is accessed one byte at a time as a small integer.")) (|position!| (((|SingleInteger|) $ (|SingleInteger|)) "\\spad{position!(f, i)} sets the current byte-position to i.")) (|position| (((|SingleInteger|) $) "\\spad{position(f)} returns the current byte-position in the file \\spad{f.}")) (|readIfCan!| (((|Union| (|SingleInteger|) "failed") $) "\\spad{readIfCan!(f)} returns a value from the file \\spad{f,} if possible. If \\spad{f} is not open for reading, or if \\spad{f} is at the end of file then \\spad{\"failed\"} is the result."))) 
 NIL 
 NIL 
 (-114) 
 ((|constructor| (NIL "\\spadtype{Bits} provides logical functions for Indexed Bits.")) (|bits| (($ (|NonNegativeInteger|) (|Boolean|)) "\\spad{bits(n,b)} creates bits with \\spad{n} values of \\spad{b}"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| (-121) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-121) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-121) (QUOTE (-1093))) (-12 (|HasCategory| (-121) (LIST (QUOTE -304) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1093))))) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| (-121) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-121) (QUOTE (-847))) (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| (-121) (QUOTE (-1097))) (-12 (|HasCategory| (-121) (LIST (QUOTE -304) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1097))))) 
 (-115) 
-((|constructor| (NIL "This package provides an interface to the Blas library (level 1)")) (|zaxpy| (((|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|Complex| (|DoubleFloat|)) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\indented{1}{zaxpy(n,da,x,incx,y,incy) computes a \\spad{y} = a*x + \\spad{y}} \\indented{1}{for each of the chosen elements of the vectors \\spad{x} and \\spad{y}} \\indented{1}{and a constant multiplier a} \\indented{1}{Note that the vector \\spad{y} is modified with the results.} \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} b:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(3,2.0,a,1,b,1) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(5,2.0,a,1,b,1) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(3,2.0,a,3,b,3) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(4,2.0,a,2,b,2)")) (|izamax| (((|Integer|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\indented{1}{izamax computes the largest absolute value of the elements} \\indented{1}{of the array and returns the index of the first instance} \\indented{1}{of the maximum.} \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} izamax(5,a,1) \\spad{--} should be 3 \\spad{X} izamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} izamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} izamax(3,a,1) \\spad{--} should be 2 \\spad{X} izamax(3,a,2) \\spad{--} should be 1")) (|isamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|Float|)) (|Integer|)) "\\indented{1}{isamax computes the largest absolute value of the elements} \\indented{1}{of the array and returns the index of the first instance} \\indented{1}{of the maximum.} \\blankline \\spad{X} a:PRIMARR(FLOAT):=[[3.0, 4.0, -3.0, 5.0, -1.0]] \\spad{X} isamax(5,a,1) \\spad{--} should be 3 \\spad{X} isamax(3,a,1) \\spad{--} should be 1 \\spad{X} isamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(-5,a,1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(5,a,2) \\spad{--} should be 0 \\spad{X} isamax(1,a,0) \\spad{--} should be \\spad{-1} \\spad{X} isamax(1,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} a:PRIMARR(FLOAT):=[[3.0, 4.0, -3.0, -5.0, -1.0]] \\spad{X} isamax(5,a,1) \\spad{--} should be 3")) (|idamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|DoubleFloat|)) (|Integer|)) "\\indented{1}{idamax computes the largest absolute value of the elements} \\indented{1}{of the array and returns the index of the first instance} \\indented{1}{of the maximum.} \\blankline \\spad{X} a:PRIMARR(DFLOAT):=[[3.0, 4.0, -3.0, 5.0, -1.0]] \\spad{X} idamax(5,a,1) \\spad{--} should be 3 \\spad{X} idamax(3,a,1) \\spad{--} should be 1 \\spad{X} idamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(-5,a,1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(5,a,2) \\spad{--} should be 0 \\spad{X} idamax(1,a,0) \\spad{--} should be \\spad{-1} \\spad{X} idamax(1,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} a:PRIMARR(DFLOAT):=[[3.0, 4.0, -3.0, -5.0, -1.0]] \\spad{X} idamax(5,a,1) \\spad{--} should be 3")) (|icamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|Complex| (|Float|))) (|Integer|)) "\\indented{1}{icamax computes the largest absolute value of the elements} \\indented{1}{of the array and returns the index of the first instance} \\indented{1}{of the maximum} \\blankline \\spad{X} a:PRIMARR(COMPLEX(FLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} icamax(5,a,1) \\spad{--} should be 3 \\spad{X} icamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} icamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} icamax(3,a,1) \\spad{--} should be 2 \\spad{X} icamax(3,a,2) \\spad{--} should be 1")) (|dznrm2| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\indented{1}{dznrm2 returns the norm of a complex vector. It computes} \\indented{1}{sqrt(sum(v*conjugate(v)))} \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} dznrm2(5,a,1) \\spad{--} should be 18.028 \\spad{X} dznrm2(3,a,2) \\spad{--} should be 13.077 \\spad{X} dznrm2(3,a,1) \\spad{--} should be 11.269 \\spad{X} dznrm2(3,a,-1) \\spad{--} should be 0.0 \\spad{X} dznrm2(-3,a,-1) \\spad{--} should be 0.0 \\spad{X} dznrm2(1,a,1) \\spad{--} should be 5.0 \\spad{X} dznrm2(1,a,2) \\spad{--} should be 5.0")) (|dzasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\indented{1}{dzasum takes the sum over all of the array where each} \\indented{1}{element of the array sum is the sum of the absolute} \\indented{1}{value of the real part and the absolute value of the} \\indented{1}{imaginary part of each array element:} \\indented{3}{for \\spad{i} in array do sum = sum + (real(a(i)) + imag(a(i)))} \\blankline \\spad{X} d:PRIMARR(COMPLEX(DFLOAT)):=[[1.0+2.0*\\%i,-3.0+4.0*\\%i,5.0-6.0*\\%i]] \\spad{X} dzasum(3,d,1) \\spad{--} 21.0 \\spad{X} dzasum(3,d,2) \\spad{--} 14.0 \\spad{X} dzasum(-3,d,1) \\spad{--} 0.0")) (|dswap| (((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dswap swaps elements from the first vector with the second} \\indented{1}{Note that the arrays are modified in place.} \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(5,dx,1,dy,1) \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(3,dx,2,dy,2) \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(5,dx,1,dy,-1)")) (|dscal| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dscal scales each element of the vector by the scalar so} \\indented{1}{dscal(n,da,dx,incx) = da*dx for \\spad{n} elements, incremented by incx} \\indented{1}{Note that the \\spad{dx} array is modified in place.} \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dscal(6,2.0,dx,1) \\spad{X} \\spad{dx} \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dscal(3,0.5,dx,1) \\spad{X} \\spad{dx}")) (|drot| (((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|DoubleFloat|)) "\\indented{1}{drot computes a 2D plane Givens rotation spanned by two} \\indented{1}{coordinate axes. It modifies the arrays in place.} \\indented{1}{The call drot(n,dx,incx,dy,incy,c,s) has the \\spad{dx} array which} \\indented{1}{contains the \\spad{y} axis locations and dy which contains the} \\indented{1}{y axis locations. They are rotated in parallel where} \\indented{1}{c is the cosine of the angle and \\spad{s} is the sine of the angle and} \\indented{1}{c^2+s^2 = 1} \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[6,0, 1.0, 4.0, -1.0, -1.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[5.0, 1.0, -4.0, 4.0, -4.0]] \\spad{X} drot(5,dx,1,dy,1,0.707106781,0.707106781) \\spad{--} rotate by 45 degrees \\spad{X} \\spad{dx} \\spad{--} \\spad{dx} has been modified \\spad{X} dy \\spad{--} dy has been modified \\spad{X} drot(5,dx,1,dy,1,0.707106781,-0.707106781) \\spad{--} rotate by \\spad{-45} degrees \\spad{X} \\spad{dx} \\spad{--} \\spad{dx} has been modified \\spad{X} dy \\spad{--} dy has been modified")) (|drotg| (((|PrimitiveArray| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\indented{1}{drotg computes a 2D plane Givens rotation spanned by two} \\indented{1}{coordinate axes.} \\blankline \\spad{X} a:MATRIX(DFLOAT):=[[6,5,0],[5,1,4],[0,4,3]] \\spad{X} drotg(elt(a,1,1),elt(a,1,2),0.0D0,0.0D0)")) (|dnrm2| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dnrm2 takes the norm of the vector, ||x||} \\blankline \\spad{X} a:PRIMARR(DFLOAT):=[ [3.0, -4.0, 5.0, -7.0, 9.0] ] \\spad{X} dnrm2(3,a,1) \\spad{--} 7.0710678118654755 = \\spad{sqrt(3.0^2} + \\spad{-4.0^2} + 5.0^2) \\spad{X} dnrm2(5,a,1) \\spad{--} 13.416407864998739 = sqrt(180.0) \\spad{X} dnrm2(3,a,2) \\spad{--} 10.72380529476361 = sqrt(115.0)")) (|ddot| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{ddot(n,x,incx,y,incy) computes the vector dot product} \\indented{1}{of elements from the vector \\spad{x} and the vector \\spad{y}} \\indented{1}{If the indicies are negative the elements are taken} \\indented{1}{relative to the far end of the vector.} \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0] ] \\spad{X} y:PRIMARR(DFLOAT):=[ [5.0,6.0,7.0,8.0,9.0] ] \\spad{X} ddot(0,a,1,b,1) \\spad{--} handle 0 elements \\spad{==>} 0 \\spad{X} ddot(3,a,1,b,1) \\spad{--} (1,2,3) * (5,6,7) \\spad{==>} 38.0 \\spad{X} ddot(3,a,1,b,2) \\spad{--} increment = 2 in \\spad{b} (1,2,3) * (5,7,9) \\spad{==>} 46.0 \\spad{X} ddot(3,a,2,b,1) \\spad{--} increment = 2 in a (1,3,5) * (5,6,7) \\spad{==>} 58.0 \\spad{X} ddot(3,a,1,b,-2) \\spad{--} increment = \\spad{-2} in \\spad{b} (1,2,3) * (9,7,5) \\spad{==>} 38.0 \\spad{X} ddot(2,a,-2,b,1) \\spad{--} increment = \\spad{-2} in a (5,3,1) * (5,6,7) \\spad{==>} 50.0 \\spad{X} ddot(3,a,-2,b,-2) \\spad{--} (5,3,1) * (9,7,5) \\spad{==>} 71.0")) (|dcopy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dcopy(n,x,incx,y,incy) copies \\spad{y} from \\spad{x}} \\indented{1}{for each of the chosen elements of the vectors \\spad{x} and \\spad{y}} \\indented{1}{Note that the vector \\spad{y} is modified with the results.} \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0,6.0] ] \\spad{X} y:PRIMARR(DFLOAT):=[ [0.0,0.0,0.0,0.0,0.0,0.0] ] \\spad{X} dcopy(6,x,1,y,1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0] ] \\spad{X} n:PRIMARR(DFLOAT):=[ [0.0,0.0,0.0,0.0,0.0,0.0] ] \\spad{X} dcopy(3,m,1,n,2) \\spad{X} \\spad{n}")) (|daxpy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{daxpy(n,da,x,incx,y,incy) computes a \\spad{y} = a*x + \\spad{y}} \\indented{1}{for each of the chosen elements of the vectors \\spad{x} and \\spad{y}} \\indented{1}{and a constant multiplier a} \\indented{1}{Note that the vector \\spad{y} is modified with the results.} \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0,6.0] ] \\spad{X} y:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0,6.0] ] \\spad{X} daxpy(6,2.0,x,1,y,1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0] ] \\spad{X} n:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0,6.0] ] \\spad{X} daxpy(3,-2.0,m,1,n,2) \\spad{X} \\spad{n}")) (|dasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dasum(n,array,incx) computes the sum of \\spad{n} elements in array} \\indented{1}{using a stride of incx} \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0,6.0] ] \\spad{X} dasum(6,dx,1) \\spad{X} dasum(3,dx,2)")) (|dcabs1| (((|DoubleFloat|) (|Complex| (|DoubleFloat|))) "\\indented{1}{dcabs1(z) computes \\spad{(+} (abs (realpart \\spad{z))} (abs (imagpart z)))} \\blankline \\spad{X} t1:Complex DoubleFloat \\spad{:=} complex(1.0,0) \\spad{X} dcabs1(t1)"))) 
+((|constructor| (NIL "This package provides an interface to the Blas library (level 1)")) (|zaxpy| (((|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|Complex| (|DoubleFloat|)) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\spad{zaxpy(n,da,x,incx,y,incy)} computes a \\spad{y} = a*x + \\spad{y} for each of the chosen elements of the vectors \\spad{x} and \\spad{y} and a constant multiplier a Note that the vector \\spad{y} is modified with the results. \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} b:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(3,2.0,a,1,b,1) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(5,2.0,a,1,b,1) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(3,2.0,a,3,b,3) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(4,2.0,a,2,b,2)")) (|izamax| (((|Integer|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\spad{izamax computes} the largest absolute value of the elements of the array and returns the index of the first instance of the maximum. \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} izamax(5,a,1) \\spad{--} should be 3 \\spad{X} izamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} izamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} izamax(3,a,1) \\spad{--} should be 2 \\spad{X} izamax(3,a,2) \\spad{--} should be 1")) (|isamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|Float|)) (|Integer|)) "\\spad{isamax computes} the largest absolute value of the elements of the array and returns the index of the first instance of the maximum. \\blankline \\spad{X} a:PRIMARR(FLOAT):=[[3.0, 4.0, -3.0, 5.0, -1.0]] \\spad{X} isamax(5,a,1) \\spad{--} should be 3 \\spad{X} isamax(3,a,1) \\spad{--} should be 1 \\spad{X} isamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(-5,a,1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(5,a,2) \\spad{--} should be 0 \\spad{X} isamax(1,a,0) \\spad{--} should be \\spad{-1} \\spad{X} isamax(1,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} a:PRIMARR(FLOAT):=[[3.0, 4.0, -3.0, -5.0, -1.0]] \\spad{X} isamax(5,a,1) \\spad{--} should be 3")) (|idamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|DoubleFloat|)) (|Integer|)) "\\spad{idamax computes} the largest absolute value of the elements of the array and returns the index of the first instance of the maximum. \\blankline \\spad{X} a:PRIMARR(DFLOAT):=[[3.0, 4.0, -3.0, 5.0, -1.0]] \\spad{X} idamax(5,a,1) \\spad{--} should be 3 \\spad{X} idamax(3,a,1) \\spad{--} should be 1 \\spad{X} idamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(-5,a,1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(5,a,2) \\spad{--} should be 0 \\spad{X} idamax(1,a,0) \\spad{--} should be \\spad{-1} \\spad{X} idamax(1,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} a:PRIMARR(DFLOAT):=[[3.0, 4.0, -3.0, -5.0, -1.0]] \\spad{X} idamax(5,a,1) \\spad{--} should be 3")) (|icamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|Complex| (|Float|))) (|Integer|)) "\\spad{icamax computes} the largest absolute value of the elements of the array and returns the index of the first instance of the maximum \\blankline \\spad{X} a:PRIMARR(COMPLEX(FLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} icamax(5,a,1) \\spad{--} should be 3 \\spad{X} icamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} icamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} icamax(3,a,1) \\spad{--} should be 2 \\spad{X} icamax(3,a,2) \\spad{--} should be 1")) (|dznrm2| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\spad{dznrm2 returns} the norm of a complex vector. It computes sqrt(sum(v*conjugate(v))) \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} dznrm2(5,a,1) \\spad{--} should be 18.028 \\spad{X} dznrm2(3,a,2) \\spad{--} should be 13.077 \\spad{X} dznrm2(3,a,1) \\spad{--} should be 11.269 \\spad{X} dznrm2(3,a,-1) \\spad{--} should be 0.0 \\spad{X} dznrm2(-3,a,-1) \\spad{--} should be 0.0 \\spad{X} dznrm2(1,a,1) \\spad{--} should be 5.0 \\spad{X} dznrm2(1,a,2) \\spad{--} should be 5.0")) (|dzasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\spad{dzasum takes} the sum over all of the array where each element of the array sum is the sum of the absolute value of the real part and the absolute value of the imaginary part of each array element: \\indented{3}{for \\spad{i} in array do sum = sum + (real(a(i)) + imag(a(i)))} \\blankline \\spad{X} d:PRIMARR(COMPLEX(DFLOAT)):=[[1.0+2.0*\\%i,-3.0+4.0*\\%i,5.0-6.0*\\%i]] \\spad{X} dzasum(3,d,1) \\spad{--} 21.0 \\spad{X} dzasum(3,d,2) \\spad{--} 14.0 \\spad{X} dzasum(-3,d,1) \\spad{--} 0.0")) (|dswap| (((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{dswap swaps} elements from the first vector with the second Note that the arrays are modified in place. \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(5,dx,1,dy,1) \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(3,dx,2,dy,2) \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(5,dx,1,dy,-1)")) (|dscal| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{dscal scales} each element of the vector by the scalar so dscal(n,da,dx,incx) = da*dx for \\spad{n} elements, incremented by incx Note that the \\spad{dx} array is modified in place. \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dscal(6,2.0,dx,1) \\spad{X} \\spad{dx} \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dscal(3,0.5,dx,1) \\spad{X} \\spad{dx}")) (|drot| (((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{drot computes} a 2D plane Givens rotation spanned by two coordinate axes. It modifies the arrays in place. The call drot(n,dx,incx,dy,incy,c,s) has the \\spad{dx} array which contains the \\spad{y} axis locations and dy which contains the \\spad{y} axis locations. They are rotated in parallel where \\spad{c} is the cosine of the angle and \\spad{s} is the sine of the angle and \\spad{c^2+s^2} = 1 \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[6,0, 1.0, 4.0, -1.0, -1.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[5.0, 1.0, -4.0, 4.0, -4.0]] \\spad{X} drot(5,dx,1,dy,1,0.707106781,0.707106781) \\spad{--} rotate by 45 degrees \\spad{X} \\spad{dx} \\spad{--} \\spad{dx} has been modified \\spad{X} dy \\spad{--} dy has been modified \\spad{X} drot(5,dx,1,dy,1,0.707106781,-0.707106781) \\spad{--} rotate by \\spad{-45} degrees \\spad{X} \\spad{dx} \\spad{--} \\spad{dx} has been modified \\spad{X} dy \\spad{--} dy has been modified")) (|drotg| (((|PrimitiveArray| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{drotg computes} a 2D plane Givens rotation spanned by two coordinate axes. \\blankline \\spad{X} a:MATRIX(DFLOAT):=[[6,5,0],[5,1,4],[0,4,3]] \\spad{X} drotg(elt(a,1,1),elt(a,1,2),0.0D0,0.0D0)")) (|dnrm2| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{dnrm2 takes} the norm of the vector, ||x|| \\blankline \\spad{X} a:PRIMARR(DFLOAT):=[[3.0, -4.0, 5.0, -7.0, 9.0]] \\spad{X} dnrm2(3,a,1) \\spad{--} 7.0710678118654755 = \\spad{sqrt(3.0^2} + \\spad{-4.0^2} + 5.0^2) \\spad{X} dnrm2(5,a,1) \\spad{--} 13.416407864998739 = sqrt(180.0) \\spad{X} dnrm2(3,a,2) \\spad{--} 10.72380529476361 = sqrt(115.0)")) (|ddot| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{ddot(n,x,incx,y,incy)} computes the vector dot product of elements from the vector \\spad{x} and the vector \\spad{y} If the indicies are negative the elements are taken relative to the far end of the vector. \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0]] \\spad{X} y:PRIMARR(DFLOAT):=[[5.0,6.0,7.0,8.0,9.0]] \\spad{X} ddot(0,a,1,b,1) \\spad{--} handle 0 elements \\spad{==>} 0 \\spad{X} ddot(3,a,1,b,1) \\spad{--} (1,2,3) * (5,6,7) \\spad{==>} 38.0 \\spad{X} ddot(3,a,1,b,2) \\spad{--} increment = 2 in \\spad{b} (1,2,3) * (5,7,9) \\spad{==>} 46.0 \\spad{X} ddot(3,a,2,b,1) \\spad{--} increment = 2 in a (1,3,5) * (5,6,7) \\spad{==>} 58.0 \\spad{X} ddot(3,a,1,b,-2) \\spad{--} increment = \\spad{-2} in \\spad{b} (1,2,3) * (9,7,5) \\spad{==>} 38.0 \\spad{X} ddot(2,a,-2,b,1) \\spad{--} increment = \\spad{-2} in a (5,3,1) * (5,6,7) \\spad{==>} 50.0 \\spad{X} ddot(3,a,-2,b,-2) \\spad{--} (5,3,1) * (9,7,5) \\spad{==>} 71.0")) (|dcopy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{dcopy(n,x,incx,y,incy)} copies \\spad{y} from \\spad{x} for each of the chosen elements of the vectors \\spad{x} and \\spad{y} Note that the vector \\spad{y} is modified with the results. \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0,6.0]] \\spad{X} y:PRIMARR(DFLOAT):=[[0.0,0.0,0.0,0.0,0.0,0.0]] \\spad{X} dcopy(6,x,1,y,1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT):=[[1.0,2.0,3.0]] \\spad{X} n:PRIMARR(DFLOAT):=[[0.0,0.0,0.0,0.0,0.0,0.0]] \\spad{X} dcopy(3,m,1,n,2) \\spad{X} \\spad{n}")) (|daxpy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{daxpy(n,da,x,incx,y,incy)} computes a \\spad{y} = a*x + \\spad{y} for each of the chosen elements of the vectors \\spad{x} and \\spad{y} and a constant multiplier a Note that the vector \\spad{y} is modified with the results. \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0,6.0]] \\spad{X} y:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0,6.0]] \\spad{X} daxpy(6,2.0,x,1,y,1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT):=[[1.0,2.0,3.0]] \\spad{X} n:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0,6.0]] \\spad{X} daxpy(3,-2.0,m,1,n,2) \\spad{X} \\spad{n}")) (|dasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\spad{dasum(n,array,incx)} computes the sum of \\spad{n} elements in \\spad{array} using a stride of \\spad{incx} \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0,2.0,3.0,4.0,5.0,6.0]] \\spad{X} dasum(6,dx,1) \\spad{X} dasum(3,dx,2)")) (|dcabs1| (((|DoubleFloat|) (|Complex| (|DoubleFloat|))) "\\spad{dcabs1(z)} computes \\spad{(+} (abs (realpart \\spad{z))} (abs (imagpart z))) \\blankline \\spad{X} t1:Complex DoubleFloat \\spad{:=} complex(1.0,0) \\spad{X} dcabs1(t1)"))) 
 NIL 
 NIL 
 (-116) 
@@ -409,8 +409,8 @@ NIL
 NIL 
 NIL 
 (-120 R S) 
-((|constructor| (NIL "A \\spadtype{BiModule} is both a left and right module with respect to potentially different rings. \\blankline Axiom\\br \\tab{5}\\spad{ r*(x*s) = (r*x)*s }")) (|rightUnitary| ((|attribute|) "\\spad{x * 1 = \\spad{x}}")) (|leftUnitary| ((|attribute|) "\\spad{1 * \\spad{x} = \\spad{x}}"))) 
-((-4566 . T) (-4565 . T)) 
+((|constructor| (NIL "A \\spadtype{BiModule} is both a left and right module with respect to potentially different rings. \\blankline Axiom\\br \\tab{5}\\spad{r*(x*s) = (r*x)*s}")) (|rightUnitary| ((|attribute|) "\\spad{x * 1 = \\spad{x}}")) (|leftUnitary| ((|attribute|) "\\spad{1 * \\spad{x} = \\spad{x}}"))) 
+((-4595 . T) (-4594 . T)) 
 NIL 
 (-121) 
 ((|constructor| (NIL "\\spadtype{Boolean} is the elementary logic with 2 values: \\spad{true} and \\spad{false}")) (|test| (((|Boolean|) $) "\\spad{test(b)} returns \\spad{b} and is provided for compatibility with the new compiler.")) (|implies| (($ $ $) "\\spad{implies(a,b)} returns the logical implication of Boolean \\spad{a} and \\spad{b.}")) (|nor| (($ $ $) "\\spad{nor(a,b)} returns the logical negation of \\spad{a} or \\spad{b.}")) (|nand| (($ $ $) "\\spad{nand(a,b)} returns the logical negation of \\spad{a} and \\spad{b.}")) (|xor| (($ $ $) "\\spad{xor(a,b)} returns the logical exclusive or of Boolean \\spad{a} and \\spad{b.}")) (|or| (($ $ $) "\\spad{a or \\spad{b}} returns the logical inclusive or of Boolean \\spad{a} and \\spad{b.}")) (|and| (($ $ $) "\\spad{a and \\spad{b}} returns the logical and of Boolean \\spad{a} and \\spad{b.}")) (|not| (($ $) "\\spad{not \\spad{n}} returns the negation of \\spad{n.}")) (^ (($ $) "\\spad{^ \\spad{n}} returns the negation of \\spad{n.}")) (|false| (($) "\\spad{false} is a logical constant.")) (|true| (($) "\\spad{true} is a logical constant."))) 
@@ -419,30 +419,30 @@ NIL
 (-122 A) 
 ((|constructor| (NIL "This package exports functions to set some commonly used properties of operators, including properties which contain functions.")) (|constantOpIfCan| (((|Union| |#1| "failed") (|BasicOperator|)) "\\spad{constantOpIfCan(op)} returns \\spad{a} if \\spad{op} is the constant nullary operator always returning \\spad{a}, \"failed\" otherwise.")) (|constantOperator| (((|BasicOperator|) |#1|) "\\spad{constantOperator(a)} returns a nullary operator op such that \\spad{op()} always evaluate to \\spad{a}.")) (|derivative| (((|Union| (|List| (|Mapping| |#1| (|List| |#1|))) "failed") (|BasicOperator|)) "\\spad{derivative(op)} returns the value of the \"\\%diff\" property of \\spad{op} if it has one, and \"failed\" otherwise.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) "\\spad{derivative(op, foo)} attaches foo as the \"\\%diff\" property of op. If \\spad{op} has an \"\\%diff\" property \\spad{f,} then applying a derivation \\spad{D} to op(a) returns \\spad{f(a) * D(a)}. Argument \\spad{op} must be unary.") (((|BasicOperator|) (|BasicOperator|) (|List| (|Mapping| |#1| (|List| |#1|)))) "\\spad{derivative(op, [foo1,...,foon])} attaches [foo1,...,foon] as the \"\\%diff\" property of op. If \\spad{op} has an \"\\%diff\" property \\spad{[f1,...,fn]} then applying a derivation \\spad{D} to \\spad{op(a1,...,an)} returns \\spad{f1(a1,...,an) * D(a1) + \\spad{...} + fn(a1,...,an) * D(an)}.")) (|evaluate| (((|Union| (|Mapping| |#1| (|List| |#1|)) "failed") (|BasicOperator|)) "\\spad{evaluate(op)} returns the value of the \"\\%eval\" property of \\spad{op} if it has one, and \"failed\" otherwise.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) "\\spad{evaluate(op, foo)} attaches foo as the \"\\%eval\" property of op. If \\spad{op} has an \"\\%eval\" property \\spad{f,} then applying \\spad{op} to a returns the result of \\spad{f(a)}. Argument \\spad{op} must be unary.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| (|List| |#1|))) "\\spad{evaluate(op, foo)} attaches foo as the \"\\%eval\" property of op. If \\spad{op} has an \"\\%eval\" property \\spad{f,} then applying \\spad{op} to \\spad{(a1,...,an)} returns the result of \\spad{f(a1,...,an)}.") (((|Union| |#1| "failed") (|BasicOperator|) (|List| |#1|)) "\\spad{evaluate(op, [a1,...,an])} checks if \\spad{op} has an \"\\%eval\" property \\spad{f.} If it has, then \\spad{f(a1,...,an)} is returned, and \"failed\" otherwise."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-844)))) 
+((|HasCategory| |#1| (QUOTE (-847)))) 
 (-123) 
 ((|constructor| (NIL "Basic system operators. A basic operator is an object that can be applied to a list of arguments from a set, the result being a kernel over that set.")) (|setProperties| (($ $ (|AssociationList| (|String|) (|None|))) "\\spad{setProperties(op, \\spad{l)}} sets the property list of \\spad{op} to \\spad{l.} Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|setProperty| (($ $ (|String|) (|None|)) "\\spad{setProperty(op, \\spad{s,} \\spad{v)}} attaches property \\spad{s} to op, and sets its value to \\spad{v.} Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|property| (((|Union| (|None|) "failed") $ (|String|)) "\\spad{property(op, \\spad{s)}} returns the value of property \\spad{s} if it is attached to op, and \"failed\" otherwise.")) (|deleteProperty!| (($ $ (|String|)) "\\spad{deleteProperty!(op, \\spad{s)}} unattaches property \\spad{s} from op. Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|assert| (($ $ (|String|)) "\\spad{assert(op, \\spad{s)}} attaches property \\spad{s} to op. Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|has?| (((|Boolean|) $ (|String|)) "\\spad{has?(op, \\spad{s)}} tests if property \\spad{s} is attached to op.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(op, \\spad{s)}} tests if the name of \\spad{op} is \\spad{s.}")) (|input| (((|Union| (|Mapping| (|InputForm|) (|List| (|InputForm|))) "failed") $) "\\spad{input(op)} returns the \"\\%input\" property of \\spad{op} if it has one attached, \"failed\" otherwise.") (($ $ (|Mapping| (|InputForm|) (|List| (|InputForm|)))) "\\spad{input(op, foo)} attaches foo as the \"\\%input\" property of op. If \\spad{op} has a \"\\%input\" property \\spad{f,} then \\spad{op(a1,...,an)} gets converted to InputForm as \\spad{f(a1,...,an)}.")) (|display| (($ $ (|Mapping| (|OutputForm|) (|OutputForm|))) "\\spad{display(op, foo)} attaches foo as the \"\\%display\" property of op. If \\spad{op} has a \"\\%display\" property \\spad{f,} then \\spad{op(a)} gets converted to OutputForm as \\spad{f(a)}. Argument \\spad{op} must be unary.") (($ $ (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) "\\spad{display(op, foo)} attaches foo as the \"\\%display\" property of op. If \\spad{op} has a \"\\%display\" property \\spad{f,} then \\spad{op(a1,...,an)} gets converted to OutputForm as \\spad{f(a1,...,an)}.") (((|Union| (|Mapping| (|OutputForm|) (|List| (|OutputForm|))) "failed") $) "\\spad{display(op)} returns the \"\\%display\" property of \\spad{op} if it has one attached, and \"failed\" otherwise.")) (|comparison| (($ $ (|Mapping| (|Boolean|) $ $)) "\\spad{comparison(op, foo?)} attaches foo? as the \"\\%less?\" property to op. If \\spad{op1} and \\spad{op2} have the same name, and one of them has a \"\\%less?\" property \\spad{f,} then \\spad{f(op1, op2)} is called to decide whether \\spad{op1 < op2}.")) (|equality| (($ $ (|Mapping| (|Boolean|) $ $)) "\\spad{equality(op, foo?)} attaches foo? as the \"\\%equal?\" property to op. If \\spad{op1} and \\spad{op2} have the same name, and one of them has an \"\\%equal?\" property \\spad{f,} then \\spad{f(op1, op2)} is called to decide whether \\spad{op1} and \\spad{op2} should be considered equal.")) (|weight| (($ $ (|NonNegativeInteger|)) "\\spad{weight(op, \\spad{n)}} attaches the weight \\spad{n} to op.") (((|NonNegativeInteger|) $) "\\spad{weight(op)} returns the weight attached to op.")) (|nary?| (((|Boolean|) $) "\\spad{nary?(op)} tests if \\spad{op} has arbitrary arity.")) (|unary?| (((|Boolean|) $) "\\spad{unary?(op)} tests if \\spad{op} is unary.")) (|nullary?| (((|Boolean|) $) "\\spad{nullary?(op)} tests if \\spad{op} is nullary.")) (|arity| (((|Union| (|NonNegativeInteger|) "failed") $) "\\spad{arity(op)} returns \\spad{n} if \\spad{op} is n-ary, and \"failed\" if \\spad{op} has arbitrary arity.")) (|operator| (($ (|Symbol|) (|NonNegativeInteger|)) "\\spad{operator(f, \\spad{n)}} makes \\spad{f} into an n-ary operator.") (($ (|Symbol|)) "\\spad{operator(f)} makes \\spad{f} into an operator with arbitrary arity.")) (|copy| (($ $) "\\spad{copy(op)} returns a copy of op.")) (|properties| (((|AssociationList| (|String|) (|None|)) $) "\\spad{properties(op)} returns the list of all the properties currently attached to op.")) (|name| (((|Symbol|) $) "\\spad{name(op)} returns the name of op."))) 
 NIL 
 NIL 
-(-124 -1647 UP) 
+(-124 -3280 UP) 
 ((|constructor| (NIL "\\spadtype{BoundIntegerRoots} provides functions to find lower bounds on the integer roots of a polynomial.")) (|integerBound| (((|Integer|) |#2|) "\\spad{integerBound(p)} returns a lower bound on the negative integer roots of \\spad{p,} and 0 if \\spad{p} has no negative integer roots."))) 
 NIL 
 NIL 
 (-125 |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Zp:} p-adic numbers are represented as sum(i = 0.., a[i] * p^i), where the a[i] lie in \\spad{-(p} - 1)/2,...,(p - 1)/2."))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-126 |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Qp:} numbers are represented as sum(i = k.., a[i] * p^i), where the a[i] lie in \\spad{-(p} - 1)/2,...,(p - 1)/2."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-125 |#1|) (QUOTE (-906))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-125 |#1|) (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-151))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-125 |#1|) (QUOTE (-1023))) (|HasCategory| (-125 |#1|) (QUOTE (-817))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (QUOTE (-1139))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (QUOTE (-226))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -304) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -282) (LIST (QUOTE -125) (|devaluate| |#1|)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (QUOTE (-302))) (|HasCategory| (-125 |#1|) (QUOTE (-551))) (|HasCategory| (-125 |#1|) (QUOTE (-844))) (-1929 (|HasCategory| (-125 |#1|) (QUOTE (-817))) (|HasCategory| (-125 |#1|) (QUOTE (-844)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-906)))) (|HasCategory| (-125 |#1|) (QUOTE (-149))))) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-125 |#1|) (QUOTE (-909))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| (-125 |#1|) (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-151))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-125 |#1|) (QUOTE (-1027))) (|HasCategory| (-125 |#1|) (QUOTE (-820))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| (-125 |#1|) (QUOTE (-1143))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| (-125 |#1|) (QUOTE (-226))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -526) (QUOTE (-1169)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -304) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -282) (LIST (QUOTE -125) (|devaluate| |#1|)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (QUOTE (-302))) (|HasCategory| (-125 |#1|) (QUOTE (-553))) (|HasCategory| (-125 |#1|) (QUOTE (-847))) (-1831 (|HasCategory| (-125 |#1|) (QUOTE (-820))) (|HasCategory| (-125 |#1|) (QUOTE (-847)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-909)))) (|HasCategory| (-125 |#1|) (QUOTE (-149))))) 
 (-127 A S) 
 ((|constructor| (NIL "A binary-recursive aggregate has 0, 1 or 2 children and serves as a model for a binary tree or a doubly-linked aggregate structure")) (|setright!| (($ $ $) "\\spad{setright!(a,x)} sets the right child of \\spad{t} to be \\spad{x.}")) (|setleft!| (($ $ $) "\\spad{setleft!(a,b)} sets the left child of \\axiom{a} to be \\spad{b.}")) (|setelt| (($ $ "right" $) "\\spad{setelt(a,\"right\",b)} (also written \\axiom{b . right \\spad{:=} \\spad{b})} is equivalent to \\axiom{setright!(a,b)}.") (($ $ "left" $) "\\spad{setelt(a,\"left\",b)} (also written \\axiom{a . left \\spad{:=} \\spad{b})} is equivalent to \\axiom{setleft!(a,b)}.")) (|right| (($ $) "\\spad{right(a)} returns the right child.")) (|elt| (($ $ "right") "\\spad{elt(a,\"right\")} (also written: \\axiom{a . right}) is equivalent to \\axiom{right(a)}.") (($ $ "left") "\\spad{elt(u,\"left\")} (also written: \\axiom{a . left}) is equivalent to \\axiom{left(a)}.")) (|left| (($ $) "\\spad{left(u)} returns the left child."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4572))) 
+((|HasAttribute| |#1| (QUOTE -4601))) 
 (-128 S) 
 ((|constructor| (NIL "A binary-recursive aggregate has 0, 1 or 2 children and serves as a model for a binary tree or a doubly-linked aggregate structure")) (|setright!| (($ $ $) "\\spad{setright!(a,x)} sets the right child of \\spad{t} to be \\spad{x.}")) (|setleft!| (($ $ $) "\\spad{setleft!(a,b)} sets the left child of \\axiom{a} to be \\spad{b.}")) (|setelt| (($ $ "right" $) "\\spad{setelt(a,\"right\",b)} (also written \\axiom{b . right \\spad{:=} \\spad{b})} is equivalent to \\axiom{setright!(a,b)}.") (($ $ "left" $) "\\spad{setelt(a,\"left\",b)} (also written \\axiom{a . left \\spad{:=} \\spad{b})} is equivalent to \\axiom{setleft!(a,b)}.")) (|right| (($ $) "\\spad{right(a)} returns the right child.")) (|elt| (($ $ "right") "\\spad{elt(a,\"right\")} (also written: \\axiom{a . right}) is equivalent to \\axiom{right(a)}.") (($ $ "left") "\\spad{elt(u,\"left\")} (also written: \\axiom{a . left}) is equivalent to \\axiom{left(a)}.")) (|left| (($ $) "\\spad{left(u)} returns the left child."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
 (-129 UP) 
 ((|constructor| (NIL "This package has no description")) (|noLinearFactor?| (((|Boolean|) |#1|) "\\spad{noLinearFactor?(p)} returns \\spad{true} if \\spad{p} can be shown to have no linear factor by a theorem of Lehmer, \\spad{false} else. \\spad{I} insist on the fact that \\spad{false} does not mean that \\spad{p} has a linear factor.")) (|brillhartTrials| (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{brillhartTrials(n)} sets to \\spad{n} the number of tests in \\spadfun{brillhartIrreducible?} and returns the previous value.") (((|NonNegativeInteger|)) "\\spad{brillhartTrials()} returns the number of tests in \\spadfun{brillhartIrreducible?}.")) (|brillhartIrreducible?| (((|Boolean|) |#1| (|Boolean|)) "\\spad{brillhartIrreducible?(p,noLinears)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by a remark of Brillhart, \\spad{false} else. If \\spad{noLinears} is \\spad{true}, we are being told \\spad{p} has no linear factors \\spad{false} does not mean that \\spad{p} is reducible.") (((|Boolean|) |#1|) "\\spad{brillhartIrreducible?(p)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by a remark of Brillhart, \\spad{false} is inconclusive."))) 
@@ -454,15 +454,15 @@ NIL
 NIL 
 (-131 S) 
 ((|constructor| (NIL "BinarySearchTree(S) is the domain of a binary trees where elements are ordered across the tree. A binary search tree is either empty or has a value which is an \\spad{S,} and a right and left which are both BinaryTree(S) Elements are ordered across the tree.")) (|split| (((|Record| (|:| |less| $) (|:| |greater| $)) |#1| $) "\\indented{1}{split(x,b) splits binary tree \\spad{b} into two trees, one with elements} \\indented{1}{greater than \\spad{x,} the other with elements less than \\spad{x.}} \\blankline \\spad{X} t1:=binarySearchTree [1,2,3,4] \\spad{X} split(3,t1)")) (|insertRoot!| (($ |#1| $) "\\indented{1}{insertRoot!(x,b) inserts element \\spad{x} as a root of binary search tree \\spad{b.}} \\blankline \\spad{X} t1:=binarySearchTree [1,2,3,4] \\spad{X} insertRoot!(5,t1)")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(x,b) inserts element \\spad{x} as leaves into binary search tree \\spad{b.}} \\blankline \\spad{X} t1:=binarySearchTree [1,2,3,4] \\spad{X} insert!(5,t1)")) (|binarySearchTree| (($ (|List| |#1|)) "\\indented{1}{binarySearchTree(l) is not documented} \\blankline \\spad{X} binarySearchTree [1,2,3,4]"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
 (-132 S) 
 ((|constructor| (NIL "The bit aggregate category models aggregates representing large quantities of Boolean data.")) (|xor| (($ $ $) "\\spad{xor(a,b)} returns the logical exclusive-or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|or| (($ $ $) "\\spad{a or \\spad{b}} returns the logical or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|and| (($ $ $) "\\spad{a and \\spad{b}} returns the logical and of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nor| (($ $ $) "\\spad{nor(a,b)} returns the logical nor of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nand| (($ $ $) "\\spad{nand(a,b)} returns the logical nand of bit aggregates \\axiom{a} and \\axiom{b}.")) (^ (($ $) "\\spad{^ \\spad{b}} returns the logical not of bit aggregate \\axiom{b}.")) (|not| (($ $) "\\spad{not(b)} returns the logical not of bit aggregate \\axiom{b}."))) 
 NIL 
 NIL 
 (-133) 
 ((|constructor| (NIL "The bit aggregate category models aggregates representing large quantities of Boolean data.")) (|xor| (($ $ $) "\\spad{xor(a,b)} returns the logical exclusive-or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|or| (($ $ $) "\\spad{a or \\spad{b}} returns the logical or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|and| (($ $ $) "\\spad{a and \\spad{b}} returns the logical and of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nor| (($ $ $) "\\spad{nor(a,b)} returns the logical nor of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nand| (($ $ $) "\\spad{nand(a,b)} returns the logical nand of bit aggregates \\axiom{a} and \\axiom{b}.")) (^ (($ $) "\\spad{^ \\spad{b}} returns the logical not of bit aggregate \\axiom{b}.")) (|not| (($ $) "\\spad{not(b)} returns the logical not of bit aggregate \\axiom{b}."))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
 (-134 A S) 
 ((|constructor| (NIL "\\spadtype{BinaryTreeCategory(S)} is the category of binary trees: a tree which is either empty or else is a \\spadfun{node} consisting of a value and a \\spadfun{left} and \\spadfun{right}, both binary trees.")) (|node| (($ $ |#2| $) "\\spad{node(left,v,right)} creates a binary tree with value \\spad{v}, a binary tree \\spad{left}, and a binary tree \\spad{right}. \\blankline")) (|finiteAggregate| ((|attribute|) "Binary trees have a finite number of components")) (|shallowlyMutable| ((|attribute|) "Binary trees have updateable components"))) 
@@ -470,16 +470,16 @@ NIL
 NIL 
 (-135 S) 
 ((|constructor| (NIL "\\spadtype{BinaryTreeCategory(S)} is the category of binary trees: a tree which is either empty or else is a \\spadfun{node} consisting of a value and a \\spadfun{left} and \\spadfun{right}, both binary trees.")) (|node| (($ $ |#1| $) "\\spad{node(left,v,right)} creates a binary tree with value \\spad{v}, a binary tree \\spad{left}, and a binary tree \\spad{right}. \\blankline")) (|finiteAggregate| ((|attribute|) "Binary trees have a finite number of components")) (|shallowlyMutable| ((|attribute|) "Binary trees have updateable components"))) 
-((-4571 . T) (-4572 . T) (-4317 . T)) 
+((-4600 . T) (-4601 . T) (-3348 . T)) 
 NIL 
 (-136 S) 
 ((|constructor| (NIL "BinaryTournament creates a binary tournament with the elements of \\spad{ls} as values at the nodes.")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(x,b) inserts element \\spad{x} as leaves into binary tournament \\spad{b.}} \\blankline \\spad{X} t1:=binaryTournament [1,2,3,4] \\spad{X} insert!(5,t1) \\spad{X} \\spad{t1}")) (|binaryTournament| (($ (|List| |#1|)) "\\indented{1}{binaryTournament(ls) creates a binary tournament with the} \\indented{1}{elements of \\spad{ls} as values at the nodes.} \\blankline \\spad{X} binaryTournament [1,2,3,4]"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
 (-137 S) 
 ((|constructor| (NIL "\\spadtype{BinaryTree(S)} is the domain of all binary trees. A binary tree over \\spad{S} is either empty or has a \\spadfun{value} which is an \\spad{S} and a \\spadfun{right} and \\spadfun{left} which are both binary trees.")) (|binaryTree| (($ $ |#1| $) "\\indented{1}{binaryTree(l,v,r) creates a binary tree with} \\indented{1}{value \\spad{v} with left subtree \\spad{l} and right subtree \\spad{r.}} \\blankline \\spad{X} t1:=binaryTree([1,2,3]) \\spad{X} t2:=binaryTree([4,5,6]) \\spad{X} binaryTree(t1,[7,8,9],t2)") (($ |#1|) "\\indented{1}{binaryTree(v) is an non-empty binary tree} \\indented{1}{with value \\spad{v,} and left and right empty.} \\blankline \\spad{X} t1:=binaryTree([1,2,3])"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
 (-138) 
 ((|constructor| (NIL "This is an \\spadtype{AbelianMonoid} with the cancellation property, \\spadignore{i.e.} \\tab{5}\\spad{ a+b = a+c \\spad{=>} \\spad{b=c} }.\\br This is formalised by the partial subtraction operator, which satisfies the Axioms\\br \\tab{5}\\spad{c = a+b \\spad{<=>} \\spad{c-b} = a}")) (|subtractIfCan| (((|Union| $ "failed") $ $) "\\spad{subtractIfCan(x, \\spad{y)}} returns an element \\spad{z} such that \\spad{z+y=x} or \"failed\" if no such element exists."))) 
 NIL 
@@ -490,43 +490,43 @@ NIL
 NIL 
 (-140) 
 ((|constructor| (NIL "Members of the domain CardinalNumber are values indicating the cardinality of sets, both finite and infinite. Arithmetic operations are defined on cardinal numbers as follows. \\blankline If \\spad{x = \\spad{#X}} and \\spad{y = \\spad{#Y}} then\\br \\tab{5}\\spad{x+y = \\#(X+Y)} \\tab{5}disjoint union\\br \\tab{5}\\spad{x-y = \\#(X-Y)} \\tab{5}relative complement\\br \\tab{5}\\spad{x*y = \\#(X*Y)} \\tab{5}cartesian product\\br \\tab{5}\\spad{x**y = \\#(X**Y)} \\tab{4}\\spad{X**Y = \\spad{g|} g:Y->X} \\blankline The non-negative integers have a natural construction as cardinals\\br \\spad{0 = \\#\\{\\}}, \\spad{1 = \\{0\\}}, \\spad{2 = \\{0, 1\\}}, ..., \\spad{n = \\{i| 0 \\spad{<=} \\spad{i} < n\\}}. \\blankline That \\spad{0} acts as a zero for the multiplication of cardinals is equivalent to the axiom of choice. \\blankline The generalized continuum hypothesis asserts \\spad{\\br} \\spad{2**Aleph \\spad{i} = Aleph(i+1)} and is independent of the axioms of set theory [Goedel 1940]. \\blankline Three commonly encountered cardinal numbers are\\br \\tab{5}\\spad{a = \\spad{#Z}} \\tab{5}countable infinity\\br \\tab{5}\\spad{c = \\spad{#R}} \\tab{5}the continuum\\br \\tab{5}\\spad{f = \\# \\spad{g} | g:[0,1]->R\\} \\blankline In this domain, these values are obtained using\\br \\tab{5}\\spad{a \\spad{:=} Aleph 0}, \\spad{c \\spad{:=} 2**a}, \\spad{f \\spad{:=} 2**c}.")) (|generalizedContinuumHypothesisAssumed| (((|Boolean|) (|Boolean|)) "\\indented{1}{generalizedContinuumHypothesisAssumed(bool)} \\indented{1}{is used to dictate whether the hypothesis is to be assumed.} \\blankline \\spad{X} generalizedContinuumHypothesisAssumed \\spad{true} \\spad{X} a:=Aleph 0 \\spad{X} c:=2**a \\spad{X} f:=2**c")) (|generalizedContinuumHypothesisAssumed?| (((|Boolean|)) "\\indented{1}{generalizedContinuumHypothesisAssumed?()} \\indented{1}{tests if the hypothesis is currently assumed.} \\blankline \\spad{X} generalizedContinuumHypothesisAssumed?")) (|countable?| (((|Boolean|) $) "\\indented{1}{countable?(\\spad{a}) determines} \\indented{1}{whether \\spad{a} is a countable cardinal,} \\indented{1}{\\spadignore{i.e.} an integer or \\spad{Aleph 0}.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} countable? \\spad{c2} \\spad{X} A0:=Aleph 0 \\spad{X} countable? \\spad{A0} \\spad{X} A1:=Aleph 1 \\spad{X} countable? \\spad{A1}")) (|finite?| (((|Boolean|) $) "\\indented{1}{finite?(\\spad{a}) determines whether} \\indented{1}{\\spad{a} is a finite cardinal, \\spadignore{i.e.} an integer.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} finite? \\spad{c2} \\spad{X} A0:=Aleph 0 \\spad{X} finite? \\spad{A0}")) (|Aleph| (($ (|NonNegativeInteger|)) "\\indented{1}{Aleph(n) provides the named (infinite) cardinal number.} \\blankline \\spad{X} A0:=Aleph 0")) (** (($ $ $) "\\indented{1}{\\spad{x**y} returns \\spad{\\#(X**Y)} where \\spad{X**Y} is defined} \\indented{2}{as \\spad{\\{g| g:Y->X\\}}.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} \\spad{c2**c2} \\spad{X} A1:=Aleph 1 \\spad{X} \\spad{A1**c2} \\spad{X} generalizedContinuumHypothesisAssumed \\spad{true} \\spad{X} \\spad{A1**A1}")) (- (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{x - \\spad{y}} returns an element \\spad{z} such that} \\indented{1}{\\spad{z+y=x} or \"failed\" if no such element exists.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} \\spad{c2-c2} \\spad{X} A1:=Aleph 1 \\spad{X} \\spad{A1-c2}")) (|commutative| ((|attribute| "*") "a domain \\spad{D} has \\spad{commutative(\"*\")} if it has an operation \\spad{\"*\": (D,D) \\spad{->} \\spad{D}} which is commutative."))) 
-(((-4573 "*") . T)) 
+(((-4602 "*") . T)) 
 NIL 
-(-141 |minix| -4360 S T$) 
+(-141 |minix| -3020 S T$) 
 ((|constructor| (NIL "This package provides functions to enable conversion of tensors given conversion of the components.")) (|map| (((|CartesianTensor| |#1| |#2| |#4|) (|Mapping| |#4| |#3|) (|CartesianTensor| |#1| |#2| |#3|)) "\\spad{map(f,ts)} does a componentwise conversion of the tensor \\spad{ts} to a tensor with components of type \\spad{T.}")) (|reshape| (((|CartesianTensor| |#1| |#2| |#4|) (|List| |#4|) (|CartesianTensor| |#1| |#2| |#3|)) "\\spad{reshape(lt,ts)} organizes the list of components \\spad{lt} into a tensor with the same shape as \\spad{ts.}"))) 
 NIL 
 NIL 
-(-142 |minix| -4360 R) 
+(-142 |minix| -3020 R) 
 ((|constructor| (NIL "CartesianTensor(minix,dim,R) provides Cartesian tensors with components belonging to a commutative ring \\spad{R.} These tensors can have any number of indices. Each index takes values from \\spad{minix} to \\spad{minix + dim - 1}.")) (|sample| (($) "\\spad{sample()} returns an object of type \\spad{%.}")) (|unravel| (($ (|List| |#3|)) "\\spad{unravel(t)} produces a tensor from a list of components such that \\indented{2}{\\spad{unravel(ravel(t)) = t}.}")) (|ravel| (((|List| |#3|) $) "\\indented{1}{ravel(t) produces a list of components from a tensor such that} \\indented{3}{\\spad{unravel(ravel(t)) = t}.} \\blankline \\spad{X} n:SquareMatrix(2,Integer):=matrix [[2,3],[0,1]] \\spad{X} tn:CartesianTensor(1,2,Integer):=n \\spad{X} ravel \\spad{tn}")) (|leviCivitaSymbol| (($) "\\indented{1}{leviCivitaSymbol() is the rank \\spad{dim} tensor defined \\spad{by}} \\indented{1}{\\spad{leviCivitaSymbol()(i1,...idim) = +1/0/-1}} \\indented{1}{if \\spad{i1,...,idim} is an even/is nota /is an odd permutation} \\indented{1}{of \\spad{minix,...,minix+dim-1}.} \\blankline \\spad{X} lcs:CartesianTensor(1,2,Integer):=leviCivitaSymbol()")) (|kroneckerDelta| (($) "\\indented{1}{kroneckerDelta() is the rank 2 tensor defined \\spad{by}} \\indented{4}{\\spad{kroneckerDelta()(i,j)}} \\indented{7}{\\spad{= 1\\space{2}if \\spad{i} = \\spad{j}}} \\indented{7}{\\spad{= 0 if\\space{2}i \\spad{\\^=} \\spad{j}}} \\blankline \\spad{X} delta:CartesianTensor(1,2,Integer):=kroneckerDelta()")) (|reindex| (($ $ (|List| (|Integer|))) "\\indented{1}{reindex(t,[i1,...,idim]) permutes the indices of \\spad{t.}} \\indented{1}{For example, if \\spad{r = reindex(t, [4,1,2,3])}} \\indented{1}{for a rank 4 tensor \\spad{t,}} \\indented{1}{then \\spad{r} is the rank for tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = t(l,i,j,k)}.} \\blankline \\spad{X} n:SquareMatrix(2,Integer):=matrix [[2,3],[0,1]] \\spad{X} tn:CartesianTensor(1,2,Integer):=n \\spad{X} p:=product(tn,tn) \\spad{X} reindex(p,[4,3,2,1])")) (|transpose| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{transpose(t,i,j) exchanges the \\spad{i}-th and \\spad{j}-th} \\indented{1}{indices of \\spad{t.} For example, if \\spad{r = transpose(t,2,3)}} \\indented{1}{for a rank 4 tensor \\spad{t,} then \\spad{r} is the rank 4 tensor} \\indented{1}{given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = t(i,k,j,l)}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} tm:CartesianTensor(1,2,Integer):=m \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} transpose(tn,1,2)") (($ $) "\\indented{1}{transpose(t) exchanges the first and last indices of \\spad{t.}} \\indented{1}{For example, if \\spad{r = transpose(t)} for a rank 4} \\indented{1}{tensor \\spad{t,} then \\spad{r} is the rank 4 tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = t(l,j,k,i)}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} transpose(Tm)")) (|contract| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{contract(t,i,j) is the contraction of tensor \\spad{t} which} \\indented{1}{sums along the \\spad{i}-th and \\spad{j}-th indices.} \\indented{1}{For example,\\space{2}if} \\indented{1}{\\spad{r = contract(t,1,3)} for a rank 4 tensor \\spad{t,} then} \\indented{1}{\\spad{r} is the rank 2 \\spad{(= 4 - 2)} tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j) = sum(h=1..dim,t(h,i,h,j))}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} Tv:CartesianTensor(1,2,Integer):=v \\spad{X} Tmv:=contract(Tm,2,1)") (($ $ (|Integer|) $ (|Integer|)) "\\indented{1}{contract(t,i,s,j) is the inner product of tenors \\spad{s} and \\spad{t}} \\indented{1}{which sums along the \\spad{k1}-th index of} \\indented{1}{t and the \\spad{k2}-th index of \\spad{s.}} \\indented{1}{For example, if \\spad{r = contract(s,2,t,1)} for rank 3 tensors} \\indented{1}{rank 3 tensors \\spad{s} and \\spad{t}, then \\spad{r} is} \\indented{1}{the rank 4 \\spad{(= 3 + 3 - 2)} tensor\\space{2}given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = sum(h=1..dim,s(i,h,j)*t(h,k,l))}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} Tv:CartesianTensor(1,2,Integer):=v \\spad{X} Tmv:=contract(Tm,2,Tv,1)")) (* (($ $ $) "\\indented{1}{s*t is the inner product of the tensors \\spad{s} and \\spad{t} which contracts} \\indented{1}{the last index of \\spad{s} with the first index of \\spad{t,} that is,} \\indented{5}{\\spad{t*s = contract(t,rank \\spad{t,} \\spad{s,} 1)}} \\indented{5}{\\spad{t*s = sum(k=1..N, t[i1,..,iN,k]*s[k,j1,..,jM])}} \\indented{1}{This is compatible with the use of \\spad{M*v} to denote} \\indented{1}{the matrix-vector inner product.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} Tv:CartesianTensor(1,2,Integer):=v \\spad{X} Tm*Tv")) (|product| (($ $ $) "\\indented{1}{product(s,t) is the outer product of the tensors \\spad{s} and \\spad{t.}} \\indented{1}{For example, if \\spad{r = product(s,t)} for rank 2 tensors} \\indented{1}{s and \\spad{t,} then \\spad{r} is a rank 4 tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = s(i,j)*t(k,l)}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} n:SquareMatrix(2,Integer):=matrix [[2,3],[0,1]] \\spad{X} Tn:CartesianTensor(1,2,Integer):=n \\spad{X} Tmn:=product(Tm,Tn)")) (|elt| ((|#3| $ (|List| (|Integer|))) "\\indented{1}{elt(t,[i1,...,iN]) gives a component of a rank \\spad{N} tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} tp:CartesianTensor(1,2,Integer):=[tn,tn] \\spad{X} tq:CartesianTensor(1,2,Integer):=[tp,tp] \\spad{X} elt(tq,[2,2,2,2,2])") ((|#3| $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{elt(t,i,j,k,l) gives a component of a rank 4 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} tp:CartesianTensor(1,2,Integer):=[tn,tn] \\spad{X} elt(tp,2,2,2,2) \\spad{X} tp[2,2,2,2]") ((|#3| $ (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{elt(t,i,j,k) gives a component of a rank 3 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} elt(tn,2,2,2) \\spad{X} tn[2,2,2]") ((|#3| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(t,i,j) gives a component of a rank 2 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} elt(tm,2,2) \\spad{X} tm[2,2]") ((|#3| $ (|Integer|)) "\\indented{1}{elt(t,i) gives a component of a rank 1 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} elt(tv,2) \\spad{X} tv[2]") ((|#3| $) "\\indented{1}{elt(t) gives the component of a rank 0 tensor.} \\blankline \\spad{X} \\spad{tv:CartesianTensor(1,2,Integer):=8} \\spad{X} elt(tv) \\spad{X} tv[]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{rank(t) returns the tensorial rank of \\spad{t} (that is, the} \\indented{1}{number of indices).\\space{2}This is the same as the graded module} \\indented{1}{degree.} \\blankline \\spad{X} CT:=CARTEN(1,2,Integer) \\spad{X} \\spad{t0:CT:=8} \\spad{X} rank \\spad{t0}")) (|coerce| (($ (|List| $)) "\\indented{1}{coerce([t_1,...,t_dim]) allows tensors to be constructed} \\indented{1}{using lists.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv]") (($ (|List| |#3|)) "\\indented{1}{coerce([r_1,...,r_dim]) allows tensors to be constructed} \\indented{1}{using lists.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v") (($ (|SquareMatrix| |#2| |#3|)) "\\indented{1}{coerce(m) views a matrix as a rank 2 tensor.} \\blankline \\spad{X} v:SquareMatrix(2,Integer):=[[1,2],[3,4]] \\spad{X} tv:CartesianTensor(1,2,Integer):=v") (($ (|DirectProduct| |#2| |#3|)) "\\indented{1}{coerce(v) views a vector as a rank 1 tensor.} \\blankline \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} tv:CartesianTensor(1,2,Integer):=v"))) 
 NIL 
 NIL 
 (-143) 
 ((|constructor| (NIL "This domain allows classes of characters to be defined and manipulated efficiently.")) (|alphanumeric| (($) "\\spad{alphanumeric()} returns the class of all characters for which alphanumeric? is true.")) (|alphabetic| (($) "\\spad{alphabetic()} returns the class of all characters for which alphabetic? is true.")) (|lowerCase| (($) "\\spad{lowerCase()} returns the class of all characters for which lowerCase? is true.")) (|upperCase| (($) "\\spad{upperCase()} returns the class of all characters for which upperCase? is true.")) (|hexDigit| (($) "\\spad{hexDigit()} returns the class of all characters for which hexDigit? is true.")) (|digit| (($) "\\spad{digit()} returns the class of all characters for which digit? is true.")) (|charClass| (($ (|List| (|Character|))) "\\spad{charClass(l)} creates a character class which contains exactly the characters given in the list \\spad{l.}") (($ (|String|)) "\\spad{charClass(s)} creates a character class which contains exactly the characters given in the string \\spad{s.}"))) 
-((-4571 . T) (-4561 . T) (-4572 . T)) 
-((|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-371))) (|HasCategory| (-148) (QUOTE (-844))) (|HasCategory| (-148) (QUOTE (-1093))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-371)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))))) 
+((-4600 . T) (-4590 . T) (-4601 . T)) 
+((|HasCategory| (-148) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-148) (QUOTE (-373))) (|HasCategory| (-148) (QUOTE (-847))) (|HasCategory| (-148) (QUOTE (-1097))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-373)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1097)))))) 
 (-144 R Q A) 
 ((|constructor| (NIL "CommonDenominator provides functions to compute the common denominator of a finite linear aggregate of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) "\\spad{splitDenominator([q1,...,qn])} returns \\spad{[[p1,...,pn], \\spad{d]}} such that \\spad{qi = pi/d} and \\spad{d} is a common denominator for the qi's.")) (|clearDenominator| ((|#3| |#3|) "\\spad{clearDenominator([q1,...,qn])} returns \\spad{[p1,...,pn]} such that \\spad{qi = pi/d} where \\spad{d} is a common denominator for the qi's.")) (|commonDenominator| ((|#1| |#3|) "\\spad{commonDenominator([q1,...,qn])} returns a common denominator \\spad{d} for q1,...,qn."))) 
 NIL 
 NIL 
 (-145) 
 ((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:CDFMAT:=qnew(3,4)"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-170 (-216)) (QUOTE (-1093))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1093)))) (|HasCategory| (-170 (-216)) (QUOTE (-302))) (|HasCategory| (-170 (-216)) (QUOTE (-559))) (|HasAttribute| (-170 (-216)) (QUOTE (-4573 "*"))) (|HasCategory| (-170 (-216)) (QUOTE (-173))) (|HasCategory| (-170 (-216)) (QUOTE (-366)))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-170 (-216)) (QUOTE (-1097))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1097)))) (|HasCategory| (-170 (-216)) (QUOTE (-302))) (|HasCategory| (-170 (-216)) (QUOTE (-561))) (|HasAttribute| (-170 (-216)) (QUOTE (-4602 "*"))) (|HasCategory| (-170 (-216)) (QUOTE (-173))) (|HasCategory| (-170 (-216)) (QUOTE (-367)))) 
 (-146) 
 ((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|vector| (($ (|List| (|Complex| (|DoubleFloat|)))) "\\indented{1}{vector(l) converts the list \\spad{l} to a vector.} \\blankline \\spad{X} t1:List(Complex(DoubleFloat)):=[1+2*\\%i,3+4*\\%i,-5-6*\\%i] \\spad{X} t2:CDFVEC:=vector(t1)")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(n) creates a new uninitialized vector of length \\spad{n.}} \\blankline \\spad{X} t1:CDFVEC:=qnew 7"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| (-170 (-216)) (QUOTE (-1093))) (|HasCategory| (-170 (-216)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-170 (-216)) (QUOTE (-844))) (-1929 (|HasCategory| (-170 (-216)) (QUOTE (-844))) (|HasCategory| (-170 (-216)) (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-170 (-216)) (QUOTE (-25))) (|HasCategory| (-170 (-216)) (QUOTE (-23))) (|HasCategory| (-170 (-216)) (QUOTE (-21))) (|HasCategory| (-170 (-216)) (QUOTE (-718))) (|HasCategory| (-170 (-216)) (QUOTE (-1049))) (-12 (|HasCategory| (-170 (-216)) (QUOTE (-1004))) (|HasCategory| (-170 (-216)) (QUOTE (-1049)))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-844)))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1093)))))) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| (-170 (-216)) (QUOTE (-1097))) (|HasCategory| (-170 (-216)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-170 (-216)) (QUOTE (-847))) (-1831 (|HasCategory| (-170 (-216)) (QUOTE (-847))) (|HasCategory| (-170 (-216)) (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| (-170 (-216)) (QUOTE (-25))) (|HasCategory| (-170 (-216)) (QUOTE (-23))) (|HasCategory| (-170 (-216)) (QUOTE (-21))) (|HasCategory| (-170 (-216)) (QUOTE (-721))) (|HasCategory| (-170 (-216)) (QUOTE (-1053))) (-12 (|HasCategory| (-170 (-216)) (QUOTE (-1008))) (|HasCategory| (-170 (-216)) (QUOTE (-1053)))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-847)))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1097)))))) 
 (-147) 
 ((|constructor| (NIL "Category for the usual combinatorial functions.")) (|permutation| (($ $ $) "\\spad{permutation(n, \\spad{m)}} returns the number of permutations of \\spad{n} objects taken \\spad{m} at a time. Note that \\spad{permutation(n,m) = n!/(n-m)!}.")) (|factorial| (($ $) "\\spad{factorial(n)} computes the factorial of \\spad{n} (denoted in the literature by \\spad{n!}) Note that \\spad{n! = \\spad{n} (n-1)! when \\spad{n} > 0}; also, \\spad{0! = 1}.")) (|binomial| (($ $ $) "\\indented{1}{binomial(n,r) returns the \\spad{(n,r)} binomial coefficient} \\indented{1}{(often denoted in the literature by \\spad{C(n,r)}).} \\indented{1}{Note that \\spad{C(n,r) = n!/(r!(n-r)!)} where \\spad{n \\spad{>=} \\spad{r} \\spad{>=} 0}.} \\blankline \\spad{X} [binomial(5,i) for \\spad{i} in 0..5]"))) 
 NIL 
 NIL 
 (-148) 
-((|constructor| (NIL "This domain provides the basic character data type.")) (|alphanumeric?| (((|Boolean|) $) "\\indented{1}{alphanumeric?(c) tests if \\spad{c} is either a letter or number,} \\indented{1}{\\spadignore{i.e.} one of 0..9, a..z or A..Z.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [alphanumeric? \\spad{c} for \\spad{c} in chars]")) (|lowerCase?| (((|Boolean|) $) "\\indented{1}{lowerCase?(c) tests if \\spad{c} is an lower case letter,} \\indented{1}{\\spadignore{i.e.} one of a..z.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [lowerCase? \\spad{c} for \\spad{c} in chars]")) (|upperCase?| (((|Boolean|) $) "\\indented{1}{upperCase?(c) tests if \\spad{c} is an upper case letter,} \\indented{1}{\\spadignore{i.e.} one of A..Z.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [upperCase? \\spad{c} for \\spad{c} in chars]")) (|alphabetic?| (((|Boolean|) $) "\\indented{1}{alphabetic?(c) tests if \\spad{c} is a letter,} \\indented{1}{\\spadignore{i.e.} one of a..z or A..Z.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [alphabetic? \\spad{c} for \\spad{c} in chars]")) (|hexDigit?| (((|Boolean|) $) "\\indented{1}{hexDigit?(c) tests if \\spad{c} is a hexadecimal numeral,} \\indented{1}{\\spadignore{i.e.} one of 0..9, a..f or A..F.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [hexDigit? \\spad{c} for \\spad{c} in chars]")) (|digit?| (((|Boolean|) $) "\\indented{1}{digit?(c) tests if \\spad{c} is a digit character,} \\indented{1}{\\spadignore{i.e.} one of 0..9.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [digit? \\spad{c} for \\spad{c} in chars]")) (|lowerCase| (($ $) "\\indented{1}{lowerCase(c) converts an upper case letter to the corresponding} \\indented{1}{lower case letter.\\space{2}If \\spad{c} is not an upper case letter, then} \\indented{1}{it is returned unchanged.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [lowerCase \\spad{c} for \\spad{c} in chars]")) (|upperCase| (($ $) "\\indented{1}{upperCase(c) converts a lower case letter to the corresponding} \\indented{1}{upper case letter.\\space{2}If \\spad{c} is not a lower case letter, then} \\indented{1}{it is returned unchanged.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [upperCase \\spad{c} for \\spad{c} in chars]")) (|escape| (($) "\\indented{1}{escape() provides the escape character, \\spad{_}, which} \\indented{1}{is used to allow quotes and other characters within} \\indented{1}{strings.} \\blankline \\spad{X} escape()")) (|quote| (($) "\\indented{1}{quote() provides the string quote character, \\spad{\"}.} \\blankline \\spad{X} quote()")) (|space| (($) "\\indented{1}{space() provides the blank character.} \\blankline \\spad{X} space()")) (|char| (($ (|String|)) "\\indented{1}{char(s) provides a character from a string \\spad{s} of length one.} \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [\"a\",\"A\",\"X\",\"8\",\"+\"]]") (($ (|Integer|)) "\\indented{1}{char(i) provides a character corresponding to the integer} \\indented{1}{code i. It is always \\spad{true} that \\spad{ord char \\spad{i} = i}.} \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [97,65,88,56,43]]")) (|ord| (((|Integer|) $) "\\indented{1}{ord(c) provides an integral code corresponding to the} \\indented{1}{character c.\\space{2}It is always \\spad{true} that \\spad{char ord \\spad{c} = c}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [ord \\spad{c} for \\spad{c} in chars]"))) 
+((|constructor| (NIL "This domain provides the basic character data type.")) (|alphanumeric?| (((|Boolean|) $) "\\spad{alphanumeric?(c)} tests if \\spad{c} is either a letter or number, for example, one of 0..9, a..z or A..Z. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [alphanumeric? \\spad{c} for \\spad{c} in chars]")) (|lowerCase?| (((|Boolean|) $) "\\spad{lowerCase?(c)} tests if \\spad{c} is an lower case letter, for example, one of a..z. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [lowerCase? \\spad{c} for \\spad{c} in chars]")) (|upperCase?| (((|Boolean|) $) "\\spad{upperCase?(c)} tests if \\spad{c} is an upper case letter, for example, one of A..Z. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [upperCase? \\spad{c} for \\spad{c} in chars]")) (|alphabetic?| (((|Boolean|) $) "\\spad{alphabetic?(c)} tests if \\spad{c} is a letter, for example, one of a..z or A..Z. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [alphabetic? \\spad{c} for \\spad{c} in chars]")) (|hexDigit?| (((|Boolean|) $) "\\spad{hexDigit?(c)} tests if \\spad{c} is a hexadecimal numeral, for example, one of 0..9, a..f or A..F. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [hexDigit? \\spad{c} for \\spad{c} in chars]")) (|digit?| (((|Boolean|) $) "\\spad{digit?(c)} tests if \\spad{c} is a digit character, for example, one of 0..9. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [digit? \\spad{c} for \\spad{c} in chars]")) (|lowerCase| (($ $) "\\spad{lowerCase(c)} converts an upper case letter to the corresponding lower case letter. If \\spad{c} is not an upper case letter, then it is returned unchanged. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [lowerCase \\spad{c} for \\spad{c} in chars]")) (|upperCase| (($ $) "\\spad{upperCase(c)} converts a lower case letter to the corresponding upper case letter. If \\spad{c} is not a lower case letter, then it is returned unchanged. \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [upperCase \\spad{c} for \\spad{c} in chars]")) (|escape| (($) "\\spad{escape()} provides the escape character, \\spad{_}, which is used to allow quotes and other characters within strings. \\blankline \\spad{X} escape()")) (|quote| (($) "\\spad{quote()} provides the string quote character, \\spad{\"}. \\blankline \\spad{X} quote()")) (|space| (($) "\\spad{space()} provides the blank character. \\blankline \\spad{X} space()")) (|char| (($ (|String|)) "\\spad{char(s)} provides a character from a string \\spad{s} of length one. \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [\"a\",\"A\",\"X\",\"8\",\"+\"]]") (($ (|Integer|)) "\\spad{char(i)} provides a character corresponding to the integer code i. It is always \\spad{true} that \\spad{ord char \\spad{i} = i}. \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [97,65,88,56,43]]")) (|ord| (((|Integer|) $) "\\spad{ord(c)} provides an integral code corresponding to the character \\spad{c.} It is always \\spad{true} that \\spad{char ord \\spad{c} = \\spad{c}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [ord \\spad{c} for \\spad{c} in chars]"))) 
 NIL 
 NIL 
 (-149) 
 ((|constructor| (NIL "Rings of Characteristic Non Zero")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(x)} returns the \\spad{p}th root of \\spad{x} where \\spad{p} is the characteristic of the ring."))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
 (-150 R) 
 ((|constructor| (NIL "This package provides a characteristicPolynomial function for any matrix over a commutative ring.")) (|characteristicPolynomial| ((|#1| (|Matrix| |#1|) |#1|) "\\spad{characteristicPolynomial(m,r)} computes the characteristic polynomial of the matrix \\spad{m} evaluated at the point \\spad{r.} In particular, if \\spad{r} is the polynomial \\spad{'x,} then it returns the characteristic polynomial expressed as a polynomial in \\spad{'x.}"))) 
@@ -534,9 +534,9 @@ NIL
 NIL 
 (-151) 
 ((|constructor| (NIL "Rings of Characteristic Zero."))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-152 -1647 UP UPUP) 
+(-152 -3280 UP UPUP) 
 ((|constructor| (NIL "Tools to send a point to infinity on an algebraic curve.")) (|chvar| (((|Record| (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) |#3| |#3|) "\\spad{chvar(f(x,y), p(x,y))} returns \\spad{[g(z,t), q(z,t), c1(z), c2(z), \\spad{n]}} such that under the change of variable \\spad{x = c1(z)}, \\spad{y = \\spad{t} * c2(z)}, one gets \\spad{f(x,y) = g(z,t)}. The algebraic relation between \\spad{x} and \\spad{y} is \\spad{p(x, \\spad{y)} = 0}. The algebraic relation between \\spad{z} and \\spad{t} is \\spad{q(z, \\spad{t)} = 0}.")) (|eval| ((|#3| |#3| (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{eval(p(x,y), f(x), g(x))} returns \\spad{p(f(x), \\spad{y} * g(x))}.")) (|goodPoint| ((|#1| |#3| |#3|) "\\spad{goodPoint(p, \\spad{q)}} returns an integer a such that a is neither a pole of \\spad{p(x,y)} nor a branch point of \\spad{q(x,y) = 0}.")) (|rootPoly| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| (|Fraction| |#2|)) (|:| |radicand| |#2|)) (|Fraction| |#2|) (|NonNegativeInteger|)) "\\spad{rootPoly(g, \\spad{n)}} returns \\spad{[m, \\spad{c,} \\spad{P]}} such that \\spad{c * \\spad{g} \\spad{**} (1/n) = \\spad{P} \\spad{**} (1/m)} thus if \\spad{y**n = \\spad{g},} then \\spad{z**m = \\spad{P}} where \\spad{z = \\spad{c} * \\spad{y}.}")) (|radPoly| (((|Union| (|Record| (|:| |radicand| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) "failed") |#3|) "\\spad{radPoly(p(x, y))} returns \\spad{[c(x), \\spad{n]}} if \\spad{p} is of the form \\spad{y**n - c(x)}, \"failed\" otherwise.")) (|mkIntegral| (((|Record| (|:| |coef| (|Fraction| |#2|)) (|:| |poly| |#3|)) |#3|) "\\spad{mkIntegral(p(x,y))} returns \\spad{[c(x), q(x,z)]} such that \\spad{z = \\spad{c} * \\spad{y}} is integral. The algebraic relation between \\spad{x} and \\spad{y} is \\spad{p(x, \\spad{y)} = 0}. The algebraic relation between \\spad{x} and \\spad{z} is \\spad{q(x, \\spad{z)} = 0}."))) 
 NIL 
 NIL 
@@ -545,16 +545,16 @@ NIL
 NIL 
 NIL 
 (-154 A S) 
-((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named \\spadfun{construct}. However, each collection provides its own special function with the same name as the data type, except with an initial lower case letter, \\spadignore{e.g.} \\spadfun{list} for \\spadtype{List}, \\spadfun{flexibleArray} for \\spadtype{FlexibleArray}, and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select(p,u)} returns a copy of \\spad{u} containing only those elements such \\axiom{p(x)} is true. Note that \\axiom{select(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | p(x)]}.")) (|remove| (($ |#2| $) "\\spad{remove(x,u)} returns a copy of \\spad{u} with all elements \\axiom{y = \\spad{x}} removed. Note that \\axiom{remove(y,c) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} y]}.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove(p,u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{p(x)} is true. Note that \\axiom{remove(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | not p(x)]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) "\\spad{reduce(f,u,x,z)} reduces the binary operation \\spad{f} across u, stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(f,u,x)}, \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u,x)} when \\spad{u} contains no element \\spad{z.} Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) "\\spad{reduce(f,u,x)} reduces the binary operation \\spad{f} across u, where \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u)} if \\spad{u} has 2 or more elements. Returns \\axiom{f(x,y)} if \\spad{u} has one element \\spad{y,} \\spad{x} if \\spad{u} is empty. For example, \\axiom{reduce(+,u,0)} returns the sum of the elements of u.") ((|#2| (|Mapping| |#2| |#2| |#2|) $) "\\indented{1}{reduce(f,u) reduces the binary operation \\spad{f} across u. For example,} \\indented{1}{if \\spad{u} is \\axiom{[x,y,...,z]} then \\axiom{reduce(f,u)}} \\indented{1}{returns \\axiom{f(..f(f(x,y),...),z)}.} \\indented{1}{Note that if \\spad{u} has one element \\spad{x,} \\axiom{reduce(f,u)} returns \\spad{x.}} \\indented{1}{Error: if \\spad{u} is empty.} \\blankline \\spad{C} )clear all \\spad{X} reduce(+,[C[i]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) "\\spad{find(p,u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true, and \"failed\" otherwise.")) (|construct| (($ (|List| |#2|)) "\\axiom{construct(x,y,...,z)} returns the collection of elements \\axiom{x,y,...,z} ordered as given. Equivalently written as \\axiom{[x,y,...,z]$D}, where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
+((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named construct. However, each collection provides its own special function with the same name as the data type, except with an initial lower case letter, For example, list for List, flexibleArray for FlexibleArray, and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select(p,u)} returns a copy of \\spad{u} containing only those elements such \\axiom{p(x)} is true. Note that \\axiom{select(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | p(x)]}.")) (|remove| (($ |#2| $) "\\spad{remove(x,u)} returns a copy of \\spad{u} with all elements \\axiom{y = \\spad{x}} removed. Note that \\axiom{remove(y,c) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} y]}.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove(p,u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{p(x)} is true. Note that \\axiom{remove(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | not p(x)]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) "\\spad{reduce(f,u,x,z)} reduces the binary operation \\spad{f} across u, stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(f,u,x)}, \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u,x)} when \\spad{u} contains no element \\spad{z.} Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) "\\spad{reduce(f,u,x)} reduces the binary operation \\spad{f} across u, where \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u)} if \\spad{u} has 2 or more elements. Returns \\axiom{f(x,y)} if \\spad{u} has one element \\spad{y,} \\spad{x} if \\spad{u} is empty. For example, \\axiom{reduce(+,u,0)} returns the sum of the elements of u.") ((|#2| (|Mapping| |#2| |#2| |#2|) $) "\\spad{reduce(f,u)} reduces the binary operation \\spad{f} across u. For example, if \\spad{u} is \\axiom{[x,y,...,z]} then \\axiom{reduce(f,u)} returns \\axiom{f(..f(f(x,y),...),z)}. Note that if \\spad{u} has one element \\spad{x,} \\axiom{reduce(f,u)} returns \\spad{x.} Error: if \\spad{u} is empty. \\blankline \\spad{C} )clear all \\spad{X} reduce(+,[C[i]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) "\\axiom{find(p,u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true, and \"failed\" otherwise.")) (|construct| (($ (|List| |#2|)) "\\axiom{construct(x,y,...,z)} returns the collection of elements \\axiom{x,y,...,z} ordered as given. Equivalently written as \\axiom{[x,y,...,z]$D}, where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1093))) (|HasAttribute| |#1| (QUOTE -4571))) 
+((|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (QUOTE (-1097))) (|HasAttribute| |#1| (QUOTE -4600))) 
 (-155 S) 
-((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named \\spadfun{construct}. However, each collection provides its own special function with the same name as the data type, except with an initial lower case letter, \\spadignore{e.g.} \\spadfun{list} for \\spadtype{List}, \\spadfun{flexibleArray} for \\spadtype{FlexibleArray}, and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,u)} returns a copy of \\spad{u} containing only those elements such \\axiom{p(x)} is true. Note that \\axiom{select(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | p(x)]}.")) (|remove| (($ |#1| $) "\\spad{remove(x,u)} returns a copy of \\spad{u} with all elements \\axiom{y = \\spad{x}} removed. Note that \\axiom{remove(y,c) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} y]}.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove(p,u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{p(x)} is true. Note that \\axiom{remove(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | not p(x)]}.")) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) "\\spad{reduce(f,u,x,z)} reduces the binary operation \\spad{f} across u, stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(f,u,x)}, \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u,x)} when \\spad{u} contains no element \\spad{z.} Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) "\\spad{reduce(f,u,x)} reduces the binary operation \\spad{f} across u, where \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u)} if \\spad{u} has 2 or more elements. Returns \\axiom{f(x,y)} if \\spad{u} has one element \\spad{y,} \\spad{x} if \\spad{u} is empty. For example, \\axiom{reduce(+,u,0)} returns the sum of the elements of u.") ((|#1| (|Mapping| |#1| |#1| |#1|) $) "\\indented{1}{reduce(f,u) reduces the binary operation \\spad{f} across u. For example,} \\indented{1}{if \\spad{u} is \\axiom{[x,y,...,z]} then \\axiom{reduce(f,u)}} \\indented{1}{returns \\axiom{f(..f(f(x,y),...),z)}.} \\indented{1}{Note that if \\spad{u} has one element \\spad{x,} \\axiom{reduce(f,u)} returns \\spad{x.}} \\indented{1}{Error: if \\spad{u} is empty.} \\blankline \\spad{C} )clear all \\spad{X} reduce(+,[C[i]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) "\\spad{find(p,u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true, and \"failed\" otherwise.")) (|construct| (($ (|List| |#1|)) "\\axiom{construct(x,y,...,z)} returns the collection of elements \\axiom{x,y,...,z} ordered as given. Equivalently written as \\axiom{[x,y,...,z]$D}, where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
-((-4317 . T)) 
+((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named construct. However, each collection provides its own special function with the same name as the data type, except with an initial lower case letter, For example, list for List, flexibleArray for FlexibleArray, and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,u)} returns a copy of \\spad{u} containing only those elements such \\axiom{p(x)} is true. Note that \\axiom{select(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | p(x)]}.")) (|remove| (($ |#1| $) "\\spad{remove(x,u)} returns a copy of \\spad{u} with all elements \\axiom{y = \\spad{x}} removed. Note that \\axiom{remove(y,c) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} y]}.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove(p,u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{p(x)} is true. Note that \\axiom{remove(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | not p(x)]}.")) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) "\\spad{reduce(f,u,x,z)} reduces the binary operation \\spad{f} across u, stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(f,u,x)}, \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u,x)} when \\spad{u} contains no element \\spad{z.} Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) "\\spad{reduce(f,u,x)} reduces the binary operation \\spad{f} across u, where \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u)} if \\spad{u} has 2 or more elements. Returns \\axiom{f(x,y)} if \\spad{u} has one element \\spad{y,} \\spad{x} if \\spad{u} is empty. For example, \\axiom{reduce(+,u,0)} returns the sum of the elements of u.") ((|#1| (|Mapping| |#1| |#1| |#1|) $) "\\spad{reduce(f,u)} reduces the binary operation \\spad{f} across u. For example, if \\spad{u} is \\axiom{[x,y,...,z]} then \\axiom{reduce(f,u)} returns \\axiom{f(..f(f(x,y),...),z)}. Note that if \\spad{u} has one element \\spad{x,} \\axiom{reduce(f,u)} returns \\spad{x.} Error: if \\spad{u} is empty. \\blankline \\spad{C} )clear all \\spad{X} reduce(+,[C[i]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) "\\axiom{find(p,u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true, and \"failed\" otherwise.")) (|construct| (($ (|List| |#1|)) "\\axiom{construct(x,y,...,z)} returns the collection of elements \\axiom{x,y,...,z} ordered as given. Equivalently written as \\axiom{[x,y,...,z]$D}, where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
+((-3348 . T)) 
 NIL 
 (-156 |n| K Q) 
 ((|constructor| (NIL "CliffordAlgebra(n, \\spad{K,} \\spad{Q)} defines a vector space of dimension \\spad{2**n} over \\spad{K,} given a quadratic form \\spad{Q} on \\spad{K**n}. \\blankline If \\spad{e[i]}, \\spad{1<=i<=n} is a basis for \\spad{K**n} then 1, \\spad{e[i]} (\\spad{1<=i<=n}), \\spad{e[i1]*e[i2]} (\\spad{1<=i1<i2<=n}),...,\\spad{e[1]*e[2]*..*e[n]} is a basis for the Clifford Algebra. \\blankline The algebra is defined by the relations\\br \\tab{5}\\spad{e[i]*e[j] = -e[j]*e[i]} (\\spad{i \\~~= j}),\\br \\tab{5}\\spad{e[i]*e[i] = Q(e[i])} \\blankline Examples of Clifford Algebras are: gaussians, quaternions, exterior algebras and spin algebras.")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} computes the multiplicative inverse of \\spad{x} or \"failed\" if \\spad{x} is not invertible.")) (|coefficient| ((|#2| $ (|List| (|PositiveInteger|))) "\\spad{coefficient(x,[i1,i2,...,iN])} extracts the coefficient of \\spad{e(i1)*e(i2)*...*e(iN)} in \\spad{x.}")) (|monomial| (($ |#2| (|List| (|PositiveInteger|))) "\\spad{monomial(c,[i1,i2,...,iN])} produces the value given by \\spad{c*e(i1)*e(i2)*...*e(iN)}.")) (|e| (($ (|PositiveInteger|)) "\\spad{e(n)} produces the appropriate unit element."))) 
-((-4566 . T) (-4565 . T) (-4568 . T)) 
+((-4595 . T) (-4594 . T) (-4597 . T)) 
 NIL 
 (-157) 
 ((|constructor| (NIL "Automatic clipping for 2-dimensional plots The purpose of this package is to provide reasonable plots of functions with singularities.")) (|clipWithRanges| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{clipWithRanges(pointLists,xMin,xMax,yMin,yMax)} performs clipping on a list of lists of points, \\spad{pointLists}. Clipping is done within the specified ranges of \\spad{xMin}, \\spad{xMax} and \\spad{yMin}, \\spad{yMax}. This function is used internally by the \\fakeAxiomFun{iClipParametric} subroutine in this package.")) (|clipParametric| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) "\\spad{clipParametric(p,frac,sc)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}; the fraction parameter is specified by \\spad{frac} and the scale parameter is specified by \\spad{sc} for use in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) "\\spad{clipParametric(p)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.")) (|clip| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{clip(ll)} performs two-dimensional clipping on a list of lists of points, \\spad{ll}; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|Point| (|DoubleFloat|)))) "\\spad{clip(l)} performs two-dimensional clipping on a curve \\spad{l,} which is a list of points; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) "\\spad{clip(p,frac,sc)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the graph of one variable \\spad{y = f(x)}; the fraction parameter is specified by \\spad{frac} and the scale parameter is specified by \\spad{sc} for use in the \\spadfun{clip} function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) "\\spad{clip(p)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the graph of one variable, \\spad{y = f(x)}; the default parameters \\spad{1/4} for the fraction and \\spad{5/1} for the scale are used in the \\spadfun{clip} function."))) 
@@ -565,10 +565,10 @@ NIL
 NIL 
 NIL 
 (-159) 
-((|constructor| (NIL "Color() specifies a domain of 27 colors provided in the \\Language{} system (the colors mix additively).")) (|color| (($ (|Integer|)) "\\spad{color(i)} returns a color of the indicated hue i.")) (|numberOfHues| (((|PositiveInteger|)) "\\spad{numberOfHues()} returns the number of total hues, set in totalHues.")) (|hue| (((|Integer|) $) "\\spad{hue(c)} returns the hue index of the indicated color \\spad{c.}")) (|blue| (($) "\\spad{blue()} returns the position of the blue hue from total hues.")) (|green| (($) "\\spad{green()} returns the position of the green hue from total hues.")) (|yellow| (($) "\\spad{yellow()} returns the position of the yellow hue from total hues.")) (|red| (($) "\\spad{red()} returns the position of the red hue from total hues.")) (+ (($ $ $) "\\spad{c1 + \\spad{c2}} additively mixes the two colors \\spad{c1} and \\spad{c2.}")) (* (($ (|DoubleFloat|) $) "\\spad{s * \\spad{c},} returns the color \\spad{c,} whose weighted shade has been scaled by \\spad{s.}") (($ (|PositiveInteger|) $) "\\spad{s * \\spad{c},} returns the color \\spad{c,} whose weighted shade has been scaled by \\spad{s.}"))) 
+((|constructor| (NIL "Color() specifies a domain of 27 colors provided in the Axiom system (the colors mix additively).")) (|color| (($ (|Integer|)) "\\spad{color(i)} returns a color of the indicated hue i.")) (|numberOfHues| (((|PositiveInteger|)) "\\spad{numberOfHues()} returns the number of total hues, set in totalHues.")) (|hue| (((|Integer|) $) "\\spad{hue(c)} returns the hue index of the indicated color \\spad{c.}")) (|blue| (($) "\\spad{blue()} returns the position of the blue hue from total hues.")) (|green| (($) "\\spad{green()} returns the position of the green hue from total hues.")) (|yellow| (($) "\\spad{yellow()} returns the position of the yellow hue from total hues.")) (|red| (($) "\\spad{red()} returns the position of the red hue from total hues.")) (+ (($ $ $) "\\spad{c1 + \\spad{c2}} additively mixes the two colors \\spad{c1} and \\spad{c2.}")) (* (($ (|DoubleFloat|) $) "\\spad{s * \\spad{c},} returns the color \\spad{c,} whose weighted shade has been scaled by \\spad{s.}") (($ (|PositiveInteger|) $) "\\spad{s * \\spad{c},} returns the color \\spad{c,} whose weighted shade has been scaled by \\spad{s.}"))) 
 NIL 
 NIL 
-(-160 R -1647) 
+(-160 R -3280) 
 ((|constructor| (NIL "Provides combinatorial functions over an integral domain.")) (|ipow| ((|#2| (|List| |#2|)) "\\spad{ipow(l)} should be local but conditional.")) (|iidprod| ((|#2| (|List| |#2|)) "\\spad{iidprod(l)} should be local but conditional.")) (|iidsum| ((|#2| (|List| |#2|)) "\\spad{iidsum(l)} should be local but conditional.")) (|iipow| ((|#2| (|List| |#2|)) "\\spad{iipow(l)} should be local but conditional.")) (|iiperm| ((|#2| (|List| |#2|)) "\\spad{iiperm(l)} should be local but conditional.")) (|iibinom| ((|#2| (|List| |#2|)) "\\spad{iibinom(l)} should be local but conditional.")) (|iifact| ((|#2| |#2|) "\\spad{iifact(x)} should be local but conditional.")) (|product| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{product(f(n), \\spad{n} = a..b)} returns f(a) * \\spad{...} * f(b) as a formal product.") ((|#2| |#2| (|Symbol|)) "\\spad{product(f(n), \\spad{n)}} returns the formal product P(n) which verifies P(n+1)/P(n) = f(n).")) (|summation| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{summation(f(n), \\spad{n} = a..b)} returns f(a) + \\spad{...} + f(b) as a formal sum.") ((|#2| |#2| (|Symbol|)) "\\spad{summation(f(n), \\spad{n)}} returns the formal sum S(n) which verifies S(n+1) - S(n) = f(n).")) (|factorials| ((|#2| |#2| (|Symbol|)) "\\spad{factorials(f, \\spad{x)}} rewrites the permutations and binomials in \\spad{f} involving \\spad{x} in terms of factorials.") ((|#2| |#2|) "\\spad{factorials(f)} rewrites the permutations and binomials in \\spad{f} in terms of factorials.")) (|factorial| ((|#2| |#2|) "\\spad{factorial(n)} returns the factorial of \\spad{n,} \\spadignore{i.e.} \\spad{n!;}")) (|permutation| ((|#2| |#2| |#2|) "\\spad{permutation(n, \\spad{r)}} returns the number of permutations of \\spad{n} objects taken \\spad{r} at a time, \\spadignore{i.e.} n!/(n-r)!.")) (|binomial| ((|#2| |#2| |#2|) "\\indented{1}{binomial(n, \\spad{r)} returns the number of subsets of \\spad{r} objects} \\indented{1}{taken among \\spad{n} objects, \\spadignore{i.e.} n!/(r! * (n-r)!);} \\blankline \\spad{X} [binomial(5,i) for \\spad{i} in 0..5]")) (** ((|#2| |#2| |#2|) "\\spad{a \\spad{**} \\spad{b}} is the formal exponential a**b.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F;} error if \\spad{op} is not a combinatorial operator.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a combinatorial operator."))) 
 NIL 
 NIL 
@@ -595,10 +595,10 @@ NIL
 (-166 S R) 
 ((|constructor| (NIL "This category represents the extension of a ring by a square root of \\spad{-1.}")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number, or \"failed\" if \\spad{x} is not a rational number.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a rational number.")) (|polarCoordinates| (((|Record| (|:| |r| |#2|) (|:| |phi| |#2|)) $) "\\spad{polarCoordinates(x)} returns \\spad{(r,} phi) such that \\spad{x} = \\spad{r} * exp(\\%i * phi).")) (|argument| ((|#2| $) "\\spad{argument(x)} returns the angle made by (0,1) and (0,x).")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x} = sqrt(norm(x)).")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(x, \\spad{r)}} returns the exact quotient of \\spad{x} by \\spad{r,} or \"failed\" if \\spad{r} does not divide \\spad{x} exactly.")) (|norm| ((|#2| $) "\\spad{norm(x)} returns \\spad{x} * conjugate(x)")) (|real| ((|#2| $) "\\spad{real(x)} returns real part of \\spad{x.}")) (|imag| ((|#2| $) "\\spad{imag(x)} returns imaginary part of \\spad{x.}")) (|conjugate| (($ $) "\\spad{conjugate(x + \\spad{%i} \\spad{y)}} returns \\spad{x} - \\spad{%i} \\spad{y.}")) (|imaginary| (($) "\\spad{imaginary()} = sqrt(-1) = \\%i.")) (|complex| (($ |#2| |#2|) "\\spad{complex(x,y)} constructs \\spad{x} + \\%i*y.") ((|attribute|) "indicates that \\% has sqrt(-1)"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1004))) (|HasCategory| |#2| (QUOTE (-1185))) (|HasCategory| |#2| (QUOTE (-1058))) (|HasCategory| |#2| (QUOTE (-1023))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-366))) (|HasAttribute| |#2| (QUOTE -4567)) (|HasAttribute| |#2| (QUOTE -4570)) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-844)))) 
+((|HasCategory| |#2| (QUOTE (-909))) (|HasCategory| |#2| (QUOTE (-553))) (|HasCategory| |#2| (QUOTE (-1008))) (|HasCategory| |#2| (QUOTE (-1189))) (|HasCategory| |#2| (QUOTE (-1062))) (|HasCategory| |#2| (QUOTE (-1027))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (QUOTE (-367))) (|HasAttribute| |#2| (QUOTE -4596)) (|HasAttribute| |#2| (QUOTE -4599)) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-847)))) 
 (-167 R) 
 ((|constructor| (NIL "This category represents the extension of a ring by a square root of \\spad{-1.}")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number, or \"failed\" if \\spad{x} is not a rational number.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a rational number.")) (|polarCoordinates| (((|Record| (|:| |r| |#1|) (|:| |phi| |#1|)) $) "\\spad{polarCoordinates(x)} returns \\spad{(r,} phi) such that \\spad{x} = \\spad{r} * exp(\\%i * phi).")) (|argument| ((|#1| $) "\\spad{argument(x)} returns the angle made by (0,1) and (0,x).")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x} = sqrt(norm(x)).")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(x, \\spad{r)}} returns the exact quotient of \\spad{x} by \\spad{r,} or \"failed\" if \\spad{r} does not divide \\spad{x} exactly.")) (|norm| ((|#1| $) "\\spad{norm(x)} returns \\spad{x} * conjugate(x)")) (|real| ((|#1| $) "\\spad{real(x)} returns real part of \\spad{x.}")) (|imag| ((|#1| $) "\\spad{imag(x)} returns imaginary part of \\spad{x.}")) (|conjugate| (($ $) "\\spad{conjugate(x + \\spad{%i} \\spad{y)}} returns \\spad{x} - \\spad{%i} \\spad{y.}")) (|imaginary| (($) "\\spad{imaginary()} = sqrt(-1) = \\%i.")) (|complex| (($ |#1| |#1|) "\\spad{complex(x,y)} constructs \\spad{x} + \\%i*y.") ((|attribute|) "indicates that \\% has sqrt(-1)"))) 
-((-4564 -1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4567 |has| |#1| (-6 -4567)) (-4570 |has| |#1| (-6 -4570)) (-4340 . T) (-4317 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 -1831 (|has| |#1| (-561)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4596 |has| |#1| (-6 -4596)) (-4599 |has| |#1| (-6 -4599)) (-3331 . T) (-3348 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-168 RR PR) 
 ((|constructor| (NIL "This package has no description")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} factorizes the polynomial \\spad{p} with complex coefficients."))) 
@@ -610,8 +610,8 @@ NIL
 NIL 
 (-170 R) 
 ((|constructor| (NIL "\\spadtype{Complex(R)} creates the domain of elements of the form \\spad{a + \\spad{b} * i} where \\spad{a} and \\spad{b} come from the ring \\spad{R,} and \\spad{i} is a new element such that \\spad{i**2 = -1}."))) 
-((-4564 -1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4567 |has| |#1| (-6 -4567)) (-4570 |has| |#1| (-6 -4570)) (-4340 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-1185))) (-12 (|HasCategory| |#1| (QUOTE (-1004))) (|HasCategory| |#1| (QUOTE (-1185)))) (|HasCategory| |#1| (QUOTE (-1023))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-825))) (|HasCategory| |#1| (QUOTE (-1058))) (-12 (|HasCategory| |#1| (QUOTE (-1058))) (|HasCategory| |#1| (QUOTE (-1185)))) (|HasCategory| |#1| (QUOTE (-551))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-302))) (-1929 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-226))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-226))) (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-825)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-1023)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-1185))))) (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-906))))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-906))))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasAttribute| |#1| (QUOTE -4567)) (|HasAttribute| |#1| (QUOTE -4570)) (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-351))))) 
+((-4593 -1831 (|has| |#1| (-561)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4596 |has| |#1| (-6 -4596)) (-4599 |has| |#1| (-6 -4599)) (-3331 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-352)))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-1189))) (-12 (|HasCategory| |#1| (QUOTE (-1008))) (|HasCategory| |#1| (QUOTE (-1189)))) (|HasCategory| |#1| (QUOTE (-1027))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-828))) (|HasCategory| |#1| (QUOTE (-1062))) (-12 (|HasCategory| |#1| (QUOTE (-1062))) (|HasCategory| |#1| (QUOTE (-1189)))) (|HasCategory| |#1| (QUOTE (-553))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-302))) (-1831 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-352)))) (|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-226))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-352)))) (|HasCategory| |#1| (QUOTE (-226))) (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-352)))) (-12 (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-828)))) (-12 (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-1027)))) (-12 (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-1189))))) (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-367))) (-12 (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-909))))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-909))))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-367)))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasAttribute| |#1| (QUOTE -4596)) (|HasAttribute| |#1| (QUOTE -4599)) (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-352))))) 
 (-171 R S CS) 
 ((|constructor| (NIL "This package supports converting complex expressions to patterns")) (|convert| (((|Pattern| |#1|) |#3|) "\\spad{convert(cs)} converts the complex expression \\spad{cs} to a pattern"))) 
 NIL 
@@ -622,11 +622,11 @@ NIL
 NIL 
 (-173) 
 ((|constructor| (NIL "The category of commutative rings with unity, \\spadignore{i.e.} rings where \\spadop{*} is commutative, and which have a multiplicative identity element.")) (|commutative| ((|attribute| "*") "multiplication is commutative."))) 
-(((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-174 R) 
 ((|constructor| (NIL "\\spadtype{ContinuedFraction} implements general continued fractions. This version is not restricted to simple, finite fractions and uses the \\spadtype{Stream} as a representation. The arithmetic functions assume that the approximants alternate below/above the convergence point. This is enforced by ensuring the partial numerators and partial denominators are greater than 0 in the Euclidean domain view of \\spad{R} (\\spadignore{i.e.} \\spad{sizeLess?(0, x)}).")) (|complete| (($ $) "\\spad{complete(x)} causes all entries in \\spadvar{x} to be computed. Normally entries are only computed as needed. If \\spadvar{x} is an infinite continued fraction, a user-initiated interrupt is necessary to stop the computation.")) (|extend| (($ $ (|Integer|)) "\\spad{extend(x,n)} causes the first \\spadvar{n} entries in the continued fraction \\spadvar{x} to be computed. Normally entries are only computed as needed.")) (|denominators| (((|Stream| |#1|) $) "\\spad{denominators(x)} returns the stream of denominators of the approximants of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be finite.")) (|numerators| (((|Stream| |#1|) $) "\\spad{numerators(x)} returns the stream of numerators of the approximants of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be finite.")) (|convergents| (((|Stream| (|Fraction| |#1|)) $) "\\spad{convergents(x)} returns the stream of the convergents of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be finite.")) (|approximants| (((|Stream| (|Fraction| |#1|)) $) "\\spad{approximants(x)} returns the stream of approximants of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be infinite and periodic with period 1.")) (|reducedForm| (($ $) "\\spad{reducedForm(x)} puts the continued fraction \\spadvar{x} in reduced form, \\spadignore{i.e.} the function returns an equivalent continued fraction of the form \\spad{continuedFraction(b0,[1,1,1,...],[b1,b2,b3,...])}.")) (|wholePart| ((|#1| $) "\\spad{wholePart(x)} extracts the whole part of \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{wholePart(x) = b0}.")) (|partialQuotients| (((|Stream| |#1|) $) "\\spad{partialQuotients(x)} extracts the partial quotients in \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{partialQuotients(x) = [b0,b1,b2,b3,...]}.")) (|partialDenominators| (((|Stream| |#1|) $) "\\spad{partialDenominators(x)} extracts the denominators in \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{partialDenominators(x) = [b1,b2,b3,...]}.")) (|partialNumerators| (((|Stream| |#1|) $) "\\spad{partialNumerators(x)} extracts the numerators in \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{partialNumerators(x) = [a1,a2,a3,...]}.")) (|reducedContinuedFraction| (($ |#1| (|Stream| |#1|)) "\\spad{reducedContinuedFraction(b0,b)} constructs a continued fraction in the following way: if \\spad{b = [b1,b2,...]} then the result is the continued fraction \\spad{b0 + 1/(b1 + 1/(b2 + ...))}. That is, the result is the same as \\spad{continuedFraction(b0,[1,1,1,...],[b1,b2,b3,...])}.")) (|continuedFraction| (($ |#1| (|Stream| |#1|) (|Stream| |#1|)) "\\spad{continuedFraction(b0,a,b)} constructs a continued fraction in the following way: if \\spad{a = [a1,a2,...]} and \\spad{b = [b1,b2,...]} then the result is the continued fraction \\spad{b0 + \\spad{a1/(b1} + \\spad{a2/(b2} + ...))}.") (($ (|Fraction| |#1|)) "\\spad{continuedFraction(r)} converts the fraction \\spadvar{r} with components of type \\spad{R} to a continued fraction over \\spad{R}."))) 
-(((-4573 "*") . T) (-4564 . T) (-4569 . T) (-4563 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") . T) (-4593 . T) (-4598 . T) (-4592 . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-175 R) 
 ((|constructor| (NIL "CoordinateSystems provides coordinate transformation functions for plotting. Functions in this package return conversion functions which take points expressed in other coordinate systems and return points with the corresponding Cartesian coordinates.")) (|conical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1| |#1|) "\\spad{conical(a,b)} transforms from conical coordinates to Cartesian coordinates: \\spad{conical(a,b)} is a function which will map the point \\spad{(lambda,mu,nu)} to \\spad{x = lambda*mu*nu/(a*b)}, \\spad{y = lambda/a*sqrt((mu**2-a**2)*(nu**2-a**2)/(a**2-b**2))}, \\spad{z = lambda/b*sqrt((mu**2-b**2)*(nu**2-b**2)/(b**2-a**2))}.")) (|toroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{toroidal(a)} transforms from toroidal coordinates to Cartesian coordinates: \\spad{toroidal(a)} is a function which will map the point \\spad{(u,v,phi)} to \\spad{x = a*sinh(v)*cos(phi)/(cosh(v)-cos(u))}, \\spad{y = a*sinh(v)*sin(phi)/(cosh(v)-cos(u))}, \\spad{z = a*sin(u)/(cosh(v)-cos(u))}.")) (|bipolarCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{bipolarCylindrical(a)} transforms from bipolar cylindrical coordinates to Cartesian coordinates: \\spad{bipolarCylindrical(a)} is a function which will map the point \\spad{(u,v,z)} to \\spad{x = a*sinh(v)/(cosh(v)-cos(u))}, \\spad{y = a*sin(u)/(cosh(v)-cos(u))}, \\spad{z}.")) (|bipolar| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{bipolar(a)} transforms from bipolar coordinates to Cartesian coordinates: \\spad{bipolar(a)} is a function which will map the point \\spad{(u,v)} to \\spad{x = a*sinh(v)/(cosh(v)-cos(u))}, \\spad{y = a*sin(u)/(cosh(v)-cos(u))}.")) (|oblateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{oblateSpheroidal(a)} transforms from oblate spheroidal coordinates to Cartesian coordinates: \\spad{oblateSpheroidal(a)} is a function which will map the point \\spad{(xi,eta,phi)} to \\spad{x = a*sinh(xi)*sin(eta)*cos(phi)}, \\spad{y = a*sinh(xi)*sin(eta)*sin(phi)}, \\spad{z = a*cosh(xi)*cos(eta)}.")) (|prolateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{prolateSpheroidal(a)} transforms from prolate spheroidal coordinates to Cartesian coordinates: \\spad{prolateSpheroidal(a)} is a function which will map the point \\spad{(xi,eta,phi)} to \\spad{x = a*sinh(xi)*sin(eta)*cos(phi)}, \\spad{y = a*sinh(xi)*sin(eta)*sin(phi)}, \\spad{z = a*cosh(xi)*cos(eta)}.")) (|ellipticCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{ellipticCylindrical(a)} transforms from elliptic cylindrical coordinates to Cartesian coordinates: \\spad{ellipticCylindrical(a)} is a function which will map the point \\spad{(u,v,z)} to \\spad{x = a*cosh(u)*cos(v)}, \\spad{y = a*sinh(u)*sin(v)}, \\spad{z}.")) (|elliptic| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{elliptic(a)} transforms from elliptic coordinates to Cartesian coordinates: \\spad{elliptic(a)} is a function which will map the point \\spad{(u,v)} to \\spad{x = a*cosh(u)*cos(v)}, \\spad{y = a*sinh(u)*sin(v)}.")) (|paraboloidal| (((|Point| |#1|) (|Point| |#1|)) "\\spad{paraboloidal(pt)} transforms \\spad{pt} from paraboloidal coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,v,phi)} to \\spad{x = u*v*cos(phi)}, \\spad{y = u*v*sin(phi)}, \\spad{z = 1/2 * \\spad{(u**2} - v**2)}.")) (|parabolicCylindrical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{parabolicCylindrical(pt)} transforms \\spad{pt} from parabolic cylindrical coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,v,z)} to \\spad{x = 1/2*(u**2 - v**2)}, \\spad{y = u*v}, \\spad{z}.")) (|parabolic| (((|Point| |#1|) (|Point| |#1|)) "\\spad{parabolic(pt)} transforms \\spad{pt} from parabolic coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,v)} to \\spad{x = 1/2*(u**2 - v**2)}, \\spad{y = u*v}.")) (|spherical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{spherical(pt)} transforms \\spad{pt} from spherical coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,theta,phi)} to \\spad{x = r*sin(phi)*cos(theta)}, \\spad{y = r*sin(phi)*sin(theta)}, \\spad{z = r*cos(phi)}.")) (|cylindrical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{cylindrical(pt)} transforms \\spad{pt} from polar coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,theta,z)} to \\spad{x = \\spad{r} * cos(theta)}, \\spad{y = \\spad{r} * sin(theta)}, \\spad{z}.")) (|polar| (((|Point| |#1|) (|Point| |#1|)) "\\spad{polar(pt)} transforms \\spad{pt} from polar coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,theta)} to \\spad{x = \\spad{r} * cos(theta)} ,{} \\spad{y = \\spad{r} * sin(theta)}.")) (|cartesian| (((|Point| |#1|) (|Point| |#1|)) "\\spad{cartesian(pt)} returns the Cartesian coordinates of point \\spad{pt.}"))) 
@@ -639,7 +639,7 @@ NIL
 (-177 R S CS) 
 ((|constructor| (NIL "This package supports matching patterns involving complex expressions")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(cexpr, pat, res)} matches the pattern \\spad{pat} to the complex expression cexpr. res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
-((|HasCategory| (-955 |#2|) (LIST (QUOTE -883) (|devaluate| |#1|)))) 
+((|HasCategory| (-958 |#2|) (LIST (QUOTE -886) (|devaluate| |#1|)))) 
 (-178 R) 
 ((|constructor| (NIL "This package has no documentation")) (|multiEuclideanTree| (((|List| |#1|) (|List| |#1|) |#1|) "\\spad{multiEuclideanTree(l,r)} \\undocumented{}")) (|chineseRemainder| (((|List| |#1|) (|List| (|List| |#1|)) (|List| |#1|)) "\\spad{chineseRemainder(llv,lm)} returns a list of values, each of which corresponds to the Chinese remainder of the associated element of \\axiom{llv} and axiom{lm}. This is more efficient than applying chineseRemainder several times.") ((|#1| (|List| |#1|) (|List| |#1|)) "\\spad{chineseRemainder(lv,lm)} returns a value \\axiom{v} such that, if \\spad{x} is \\axiom{lv.i} modulo \\axiom{lm.i} for all \\axiom{i}, then \\spad{x} is \\axiom{v} modulo \\axiom{lm(1)*lm(2)*...*lm(n)}.")) (|modTree| (((|List| |#1|) |#1| (|List| |#1|)) "\\spad{modTree(r,l)} \\undocumented{}"))) 
 NIL 
@@ -652,7 +652,7 @@ NIL
 ((|constructor| (NIL "This package provides tools for working with cyclic streams.")) (|computeCycleEntry| ((|#2| |#2| |#2|) "\\indented{1}{computeCycleEntry(x,cycElt), where cycElt is a pointer to a} \\indented{1}{node in the cyclic part of the cyclic stream \\spad{x,} returns a} \\indented{1}{pointer to the first node in the cycle} \\blankline \\spad{X} p:=repeating([1,2,3]) \\spad{X} q:=cons(4,p) \\spad{X} computeCycleEntry(q,cycleElt(q))")) (|computeCycleLength| (((|NonNegativeInteger|) |#2|) "\\indented{1}{computeCycleLength(s) returns the length of the cycle of a} \\indented{1}{cyclic stream \\spad{t,} where \\spad{s} is a pointer to a node in the} \\indented{1}{cyclic part of \\spad{t.}} \\blankline \\spad{X} p:=repeating([1,2,3]) \\spad{X} q:=cons(4,p) \\spad{X} computeCycleLength(cycleElt(q))")) (|cycleElt| (((|Union| |#2| "failed") |#2|) "\\indented{1}{cycleElt(s) returns a pointer to a node in the cycle if the stream} \\indented{1}{s is cyclic and returns \"failed\" if \\spad{s} is not cyclic} \\blankline \\spad{X} p:=repeating([1,2,3]) \\spad{X} q:=cons(4,p) \\spad{X} cycleElt \\spad{q} \\spad{X} r:=[1,2,3]::Stream(Integer) \\spad{X} cycleElt \\spad{r}"))) 
 NIL 
 NIL 
-(-181 R -1647) 
+(-181 R -3280) 
 ((|constructor| (NIL "\\spadtype{ComplexTrigonometricManipulations} provides function that compute the real and imaginary parts of complex functions.")) (|complexForm| (((|Complex| (|Expression| |#1|)) |#2|) "\\spad{complexForm(f)} returns \\spad{[real \\spad{f,} imag f]}.")) (|trigs| ((|#2| |#2|) "\\spad{trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (|real?| (((|Boolean|) |#2|) "\\spad{real?(f)} returns \\spad{true} if \\spad{f = real \\spad{f}.}")) (|imag| (((|Expression| |#1|) |#2|) "\\spad{imag(f)} returns the imaginary part of \\spad{f} where \\spad{f} is a complex function.")) (|real| (((|Expression| |#1|) |#2|) "\\spad{real(f)} returns the real part of \\spad{f} where \\spad{f} is a complex function.")) (|complexElementary| ((|#2| |#2| (|Symbol|)) "\\spad{complexElementary(f, \\spad{x)}} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.") ((|#2| |#2|) "\\spad{complexElementary(f)} rewrites \\spad{f} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.")) (|complexNormalize| ((|#2| |#2| (|Symbol|)) "\\spad{complexNormalize(f, \\spad{x)}} rewrites \\spad{f} using the least possible number of complex independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{complexNormalize(f)} rewrites \\spad{f} using the least possible number of complex independent kernels."))) 
 NIL 
 NIL 
@@ -721,7 +721,7 @@ NIL
 NIL 
 NIL 
 (-198) 
-((|constructor| (NIL "\\axiom{d02AgentsPackage} contains a set of computational agents for use with Ordinary Differential Equation solvers.")) (|intermediateResultsIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{intermediateResultsIF(o)} returns a value corresponding to the required number of intermediate results required and, therefore, an indication of how much this would affect the step-length of the calculation. It returns a value in the range [0,1].")) (|accuracyIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{accuracyIF(o)} returns the intensity value of the accuracy requirements of the input ODE. A request of accuracy of 10^-6 corresponds to the neutral intensity. It returns a value in the range [0,1].")) (|expenseOfEvaluationIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{expenseOfEvaluationIF(o)} returns the intensity value of the cost of evaluating the input ODE. This is in terms of the number of ``operational units''. It returns a value in the range [0,1].\\indent{20} 400 ``operation units'' \\spad{->} 0.75 200 ``operation units'' \\spad{->} 0.5 83 ``operation units'' \\spad{->} 0.25 \\indent{15} exponentiation = 4 units ,{} function calls = 10 units.")) (|systemSizeIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{systemSizeIF(ode)} returns the intensity value of the size of the system of ODEs. 20 equations corresponds to the neutral value. It returns a value in the range [0,1].")) (|stiffnessAndStabilityOfODEIF| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityOfODEIF(ode)} calculates the intensity values of stiffness of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which O(10) equates to mildly stiff wheras stiffness ratios of O(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian). \\blankline It returns two values in the range [0,1].")) (|stiffnessAndStabilityFactor| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityFactor(me)} calculates the stability and stiffness factor of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which O(10) equates to mildly stiff wheras stiffness ratios of O(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian).")) (|eval| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Matrix| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{eval(mat,symbols,values)} evaluates a multivariable matrix at given \\spad{values} for each of a list of variables")) (|jacobian| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|))) "\\spad{jacobian(v,w)} is a local function to make a jacobian matrix")) (|sparsityIF| (((|Float|) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{sparsityIF(m)} calculates the sparsity of a jacobian matrix")) (|combineFeatureCompatibility| (((|Float|) (|Float|) (|List| (|Float|))) "\\spad{combineFeatureCompatibility(C1,L)} is for interacting attributes") (((|Float|) (|Float|) (|Float|)) "\\spad{combineFeatureCompatibility(C1,C2)} is for interacting attributes"))) 
+((|constructor| (NIL "\\indented{1}{Author: Brian Dupee} Date Created: May 1994 Date Last Updated: January 1997 Description:")) (|intermediateResultsIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{intermediateResultsIF(o)} returns a value corresponding to the required number of intermediate results required and, therefore, an indication of how much this would affect the step-length of the calculation. It returns a value in the range [0,1].")) (|accuracyIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{accuracyIF(o)} returns the intensity value of the accuracy requirements of the input ODE. A request of accuracy of 10^-6 corresponds to the neutral intensity. It returns a value in the range [0,1].")) (|expenseOfEvaluationIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{expenseOfEvaluationIF(o)} returns the intensity value of the cost of evaluating the input ODE. This is in terms of the number of ``operational units''. It returns a value in the range [0,1].\\indent{20} 400 ``operation units'' \\spad{->} 0.75 200 ``operation units'' \\spad{->} 0.5 83 ``operation units'' \\spad{->} 0.25 \\indent{15} exponentiation = 4 units ,{} function calls = 10 units.")) (|systemSizeIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{systemSizeIF(ode)} returns the intensity value of the size of the system of ODEs. 20 equations corresponds to the neutral value. It returns a value in the range [0,1].")) (|stiffnessAndStabilityOfODEIF| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityOfODEIF(ode)} calculates the intensity values of stiffness of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which O(10) equates to mildly stiff wheras stiffness ratios of O(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian). \\blankline It returns two values in the range [0,1].")) (|stiffnessAndStabilityFactor| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityFactor(me)} calculates the stability and stiffness factor of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which O(10) equates to mildly stiff wheras stiffness ratios of O(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian).")) (|eval| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Matrix| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{eval(mat,symbols,values)} evaluates a multivariable matrix at given \\spad{values} for each of a list of variables")) (|jacobian| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|))) "\\spad{jacobian(v,w)} is a local function to make a jacobian matrix")) (|sparsityIF| (((|Float|) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{sparsityIF(m)} calculates the sparsity of a jacobian matrix")) (|combineFeatureCompatibility| (((|Float|) (|Float|) (|List| (|Float|))) "\\spad{combineFeatureCompatibility(C1,L)} is for interacting attributes") (((|Float|) (|Float|) (|Float|)) "\\spad{combineFeatureCompatibility(C1,C2)} is for interacting attributes"))) 
 NIL 
 NIL 
 (-199) 
@@ -756,19 +756,19 @@ NIL
 ((|constructor| (NIL "This domain implements a simple view of a database whose fields are indexed by symbols")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce(l)} makes a database out of a list")) (- (($ $ $) "\\spad{db1-db2} returns the difference of databases \\spad{db1} and \\spad{db2} \\spadignore{i.e.} consisting of elements in \\spad{db1} but not in \\spad{db2}")) (+ (($ $ $) "\\spad{db1+db2} returns the merge of databases \\spad{db1} and \\spad{db2}")) (|fullDisplay| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{fullDisplay(db,start,end \\spad{)}} prints full details of entries in the range \\axiom{start..end} in \\axiom{db}.") (((|Void|) $) "\\spad{fullDisplay(db)} prints full details of each entry in \\axiom{db}.") (((|Void|) $) "\\spad{fullDisplay(x)} displays \\spad{x} in detail")) (|display| (((|Void|) $) "\\spad{display(db)} prints a summary line for each entry in \\axiom{db}.") (((|Void|) $) "\\spad{display(x)} displays \\spad{x} in some form")) (|elt| (((|DataList| (|String|)) $ (|Symbol|)) "\\spad{elt(db,s)} returns the \\axiom{s} field of each element of \\axiom{db}.") (($ $ (|QueryEquation|)) "\\spad{elt(db,q)} returns all elements of \\axiom{db} which satisfy \\axiom{q}.") (((|String|) $ (|Symbol|)) "\\spad{elt(x,s)} returns an element of \\spad{x} indexed by \\spad{s}"))) 
 NIL 
 NIL 
-(-207 -1647 UP UPUP R) 
+(-207 -3280 UP UPUP R) 
 ((|constructor| (NIL "This package provides functions for computing the residues of a function on an algebraic curve.")) (|doubleResultant| ((|#2| |#4| (|Mapping| |#2| |#2|)) "\\spad{doubleResultant(f, \\spad{')}} returns p(x) whose roots are rational multiples of the residues of \\spad{f} at all its finite poles. Argument ' is the derivation to use."))) 
 NIL 
 NIL 
-(-208 -1647 FP) 
+(-208 -3280 FP) 
 ((|constructor| (NIL "Package for the factorization of a univariate polynomial with coefficients in a finite field. The algorithm used is the \"distinct degree\" algorithm of Cantor-Zassenhaus, modified to use trace instead of the norm and a table for computing Frobenius as suggested by Naudin and Quitte .")) (|irreducible?| (((|Boolean|) |#2|) "\\spad{irreducible?(p)} tests whether the polynomial \\spad{p} is irreducible.")) (|tracePowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{tracePowMod(u,k,v)} produces the sum of \\spad{u**(q**i)} for \\spad{i} running and \\spad{q=} size \\spad{F}")) (|trace2PowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{trace2PowMod(u,k,v)} produces the sum of u**(2**i) for \\spad{i} running from 1 to \\spad{k} all computed modulo the polynomial \\spad{v.}")) (|exptMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{exptMod(u,k,v)} raises the polynomial \\spad{u} to the \\spad{k}th power modulo the polynomial \\spad{v.}")) (|separateFactors| (((|List| |#2|) (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|)))) "\\spad{separateFactors(lfact)} takes the list produced by separateDegrees and produces the complete list of factors.")) (|separateDegrees| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|))) |#2|) "\\spad{separateDegrees(p)} splits the square free polynomial \\spad{p} into factors each of which is a product of irreducibles of the same degree.")) (|distdfact| (((|Record| (|:| |cont| |#1|) (|:| |factors| (|List| (|Record| (|:| |irr| |#2|) (|:| |pow| (|Integer|)))))) |#2| (|Boolean|)) "\\spad{distdfact(p,sqfrflag)} produces the complete factorization of the polynomial \\spad{p} returning an internal data structure. If argument \\spad{sqfrflag} is true, the polynomial is assumed square free.")) (|factorSquareFree| (((|Factored| |#2|) |#2|) "\\spad{factorSquareFree(p)} produces the complete factorization of the square free polynomial \\spad{p.}")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} produces the complete factorization of the polynomial \\spad{p.}"))) 
 NIL 
 NIL 
 (-209) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating decimal expansions.")) (|decimal| (($ (|Fraction| (|Integer|))) "\\spad{decimal(r)} converts a rational number to a decimal expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(d)} returns the fractional part of a decimal expansion.")) (|coerce| (((|RadixExpansion| 10) $) "\\spad{coerce(d)} converts a decimal expansion to a radix expansion with base 10.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(d)} converts a decimal expansion to a rational number."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-569) (QUOTE (-906))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1023))) (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1139))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (QUOTE (-844)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (|HasCategory| (-569) (QUOTE (-149))))) 
-(-210 R -1647) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-571) (QUOTE (-909))) (|HasCategory| (-571) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| (-571) (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-151))) (|HasCategory| (-571) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-571) (QUOTE (-1027))) (|HasCategory| (-571) (QUOTE (-820))) (|HasCategory| (-571) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1143))) (|HasCategory| (-571) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| (-571) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| (-571) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| (-571) (QUOTE (-226))) (|HasCategory| (-571) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-571) (LIST (QUOTE -526) (QUOTE (-1169)) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -282) (QUOTE (-571)) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-302))) (|HasCategory| (-571) (QUOTE (-553))) (|HasCategory| (-571) (QUOTE (-847))) (-1831 (|HasCategory| (-571) (QUOTE (-820))) (|HasCategory| (-571) (QUOTE (-847)))) (|HasCategory| (-571) (LIST (QUOTE -633) (QUOTE (-571)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-909)))) (|HasCategory| (-571) (QUOTE (-149))))) 
+(-210 R -3280) 
 ((|constructor| (NIL "\\spadtype{ElementaryFunctionDefiniteIntegration} provides functions to compute definite integrals of elementary functions.")) (|innerint| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{innerint(f, \\spad{x,} a, \\spad{b,} ignore?)} should be local but conditional")) (|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|)) (|String|)) "\\spad{integrate(f, \\spad{x} = a..b, \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters), then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|))) "\\spad{integrate(f, \\spad{x} = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b.}"))) 
 NIL 
 NIL 
@@ -782,51 +782,51 @@ NIL
 NIL 
 (-213 S) 
 ((|constructor| (NIL "Linked list implementation of a Dequeue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} b:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|top!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} top! a \\spad{X} a")) (|reverse!| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} reverse! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} push! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|insertTop!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} insertTop! a \\spad{X} a")) (|insertBottom!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} insertBottom! a \\spad{X} a")) (|extractTop!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} extractTop! a \\spad{X} a")) (|extractBottom!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} extractBottom! a \\spad{X} a")) (|bottom!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} bottom! a \\spad{X} a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} top a")) (|height| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} height a")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} depth a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$Dequeue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Dequeue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Dequeue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} less?(a,9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} insert! (8,a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} enqueue! (9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} dequeue! a \\spad{X} a")) (|dequeue| (($) "\\blankline \\spad{X} a:Dequeue INT:= dequeue \\spad{()}") (($ (|List| |#1|)) "\\indented{1}{dequeue([x,y,...,z]) creates a dequeue with first (top or front)} \\indented{1}{element \\spad{x,} second element y,...,and last (bottom or back) element \\spad{z.}} \\blankline \\spad{E} g:Dequeue INT:= dequeue [1,2,3,4,5]"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
 (-214 |CoefRing| |listIndVar|) 
 ((|constructor| (NIL "The deRham complex of Euclidean space, that is, the class of differential forms of arbitary degree over a coefficient ring. See Flanders, Harley, Differential Forms, With Applications to the Physical Sciences, New York, Academic Press, 1963.")) (|exteriorDifferential| (($ $) "\\spad{exteriorDifferential(df)} returns the exterior derivative (gradient, curl, divergence, ...) of the differential form \\spad{df.}")) (|totalDifferential| (($ (|Expression| |#1|)) "\\spad{totalDifferential(x)} returns the total differential (gradient) form for element \\spad{x.}")) (|map| (($ (|Mapping| (|Expression| |#1|) (|Expression| |#1|)) $) "\\spad{map(f,df)} replaces each coefficient \\spad{x} of differential form \\spad{df} by \\spad{f(x)}.")) (|degree| (((|Integer|) $) "\\spad{degree(df)} returns the homogeneous degree of differential form \\spad{df.}")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?(df)} tests if differential form \\spad{df} is a 0-form, \\spadignore{i.e.} if degree(df) = 0.")) (|homogeneous?| (((|Boolean|) $) "\\spad{homogeneous?(df)} tests if all of the terms of differential form \\spad{df} have the same degree.")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(n)} returns the \\spad{n}th basis term for a differential form.")) (|coefficient| (((|Expression| |#1|) $ $) "\\spad{coefficient(df,u)}, where \\spad{df} is a differential form, returns the coefficient of \\spad{df} containing the basis term \\spad{u} if such a term exists, and 0 otherwise.")) (|reductum| (($ $) "\\spad{reductum(df)}, where \\spad{df} is a differential form, returns \\spad{df} minus the leading term of \\spad{df} if \\spad{df} has two or more terms, and 0 otherwise.")) (|leadingBasisTerm| (($ $) "\\spad{leadingBasisTerm(df)} returns the leading basis term of differential form \\spad{df.}")) (|leadingCoefficient| (((|Expression| |#1|) $) "\\spad{leadingCoefficient(df)} returns the leading coefficient of differential form \\spad{df.}"))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-215 R -1647) 
+(-215 R -3280) 
 ((|constructor| (NIL "\\spadtype{DefiniteIntegrationTools} provides common tools used by the definite integration of both rational and elementary functions.")) (|checkForZero| (((|Union| (|Boolean|) "failed") (|SparseUnivariatePolynomial| |#2|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{checkForZero(p, a, \\spad{b,} incl?)} is \\spad{true} if \\spad{p} has a zero between a and \\spad{b,} \\spad{false} otherwise, \"failed\" if this cannot be determined. Check for a and \\spad{b} inclusive if incl? is true, exclusive otherwise.") (((|Union| (|Boolean|) "failed") (|Polynomial| |#1|) (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{checkForZero(p, \\spad{x,} a, \\spad{b,} incl?)} is \\spad{true} if \\spad{p} has a zero for \\spad{x} between a and \\spad{b,} \\spad{false} otherwise, \"failed\" if this cannot be determined. Check for a and \\spad{b} inclusive if incl? is true, exclusive otherwise.")) (|computeInt| (((|Union| (|OrderedCompletion| |#2|) "failed") (|Kernel| |#2|) |#2| (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{computeInt(x, \\spad{g,} a, \\spad{b,} eval?)} returns the integral of \\spad{f} for \\spad{x} between a and \\spad{b,} assuming that \\spad{g} is an indefinite integral of \\spad{f} and \\spad{f} has no pole between a and \\spad{b.} If \\spad{eval?} is true, then \\spad{g} can be evaluated safely at \\spad{a} and \\spad{b}, provided that they are finite values. Otherwise, limits must be computed.")) (|ignore?| (((|Boolean|) (|String|)) "\\spad{ignore?(s)} is \\spad{true} if \\spad{s} is the string that tells the integrator to assume that the function has no pole in the integration interval."))) 
 NIL 
 NIL 
 (-216) 
-((|constructor| (NIL "\\spadtype{DoubleFloat} is intended to make accessible hardware floating point arithmetic in Axiom, either native double precision, or IEEE. On most machines, there will be hardware support for the arithmetic operations: \\spad{++} \\spad{+,} \\spad{*,} / and possibly also the sqrt operation. The operations exp, log, sin, cos, atan are normally coded in software based on minimax polynomial/rational approximations. \\blankline Some general comments about the accuracy of the operations: the operations \\spad{+,} \\spad{*,} / and sqrt are expected to be fully accurate. The operations exp, log, sin, cos and atan are not expected to be fully accurate. In particular, sin and cos will lose all precision for large arguments. \\blankline The Float domain provides an alternative to the DoubleFloat domain. It provides an arbitrary precision model of floating point arithmetic. This means that accuracy problems like those above are eliminated by increasing the working precision where necessary. \\spadtype{Float} provides some special functions such as erf, the error function in addition to the elementary functions. The disadvantage of Float is that it is much more expensive than small floats when the latter can be used.")) (|integerDecode| (((|List| (|Integer|)) $) "\\indented{1}{integerDecode(x) returns the multiple values of the\\space{2}common} \\indented{1}{lisp integer-decode-float function.} \\indented{1}{See Steele, ISBN 0-13-152414-3 p354. This function can be used} \\indented{1}{to ensure that the results are bit-exact and do not depend on} \\indented{1}{the binary-to-decimal conversions.} \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} integerDecode a")) (|machineFraction| (((|Fraction| (|Integer|)) $) "\\indented{1}{machineFraction(x) returns a bit-exact fraction of the machine} \\indented{1}{floating point number using the common lisp integer-decode-float} \\indented{1}{function. See Steele, ISBN 0-13-152414-3 p354} \\indented{1}{This function can be used to print results which do not depend} \\indented{1}{on binary-to-decimal conversions} \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} machineFraction a")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n,} \\spad{b)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)} (that is, \\spad{|(r-f)/f| < b**(-n)}).") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|doubleFloatFormat| (((|String|) (|String|)) "change the output format for doublefloats using lisp format strings")) (|Beta| (($ $ $) "\\spad{Beta(x,y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|atan| (($ $ $) "\\spad{atan(x,y)} computes the arc tangent from \\spad{x} with phase \\spad{y.}")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm with base 10 for \\spad{x.}")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm with base 2 for \\spad{x.}")) (|hash| (((|Integer|) $) "\\spad{hash(x)} returns the hash key for \\spad{x}")) (|exp1| (($) "\\spad{exp1()} returns the natural log base \\spad{2.718281828...}.")) (** (($ $ $) "\\spad{x \\spad{**} \\spad{y}} returns the \\spad{y}th power of \\spad{x} (equal to \\spad{exp(y log x)}).")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer i."))) 
-((-4334 . T) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|constructor| (NIL "\\spadtype{DoubleFloat} is intended to make accessible hardware floating point arithmetic in Axiom, either native double precision, or IEEE. On most machines, there will be hardware support for the arithmetic operations: \\spad{++} \\spad{+,} \\spad{*,} / and possibly also the sqrt operation. The operations exp, log, sin, cos, atan are normally coded in software based on minimax polynomial/rational approximations. \\blankline Some general comments about the accuracy of the operations: the operations \\spad{+,} \\spad{*,} / and sqrt are expected to be fully accurate. The operations exp, log, sin, cos and atan are not expected to be fully accurate. In particular, sin and cos will lose all precision for large arguments. \\blankline The Float domain provides an alternative to the DoubleFloat domain. It provides an arbitrary precision model of floating point arithmetic. This means that accuracy problems like those above are eliminated by increasing the working precision where necessary. \\spadtype{Float} provides some special functions such as erf, the error function in addition to the elementary functions. The disadvantage of Float is that it is much more expensive than small floats when the latter can be used.")) (|integerDecode| (((|List| (|Integer|)) $) "\\spad{integerDecode(x)} returns the multiple values of the common lisp integer-decode-float function. See Steele, ISBN 0-13-152414-3 p354. This function can be used to ensure that the results are bit-exact and do not depend on the binary-to-decimal conversions. \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} integerDecode a")) (|machineFraction| (((|Fraction| (|Integer|)) $) "\\spad{machineFraction(x)} returns a bit-exact fraction of the machine floating point number using the common lisp integer-decode-float function. See Steele, ISBN 0-13-152414-3 \\spad{p354} This function can be used to print results which do not depend on binary-to-decimal conversions \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} machineFraction a")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n,} \\spad{b)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)} (that is, \\spad{|(r-f)/f| < b**(-n)}).") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|doubleFloatFormat| (((|String|) (|String|)) "\\spad{doubleFloatFormat changes} the output format for doublefloats using lisp format strings")) (|Beta| (($ $ $) "\\spad{Beta(x,y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|atan| (($ $ $) "\\spad{atan(x,y)} computes the arc tangent from \\spad{x} with phase \\spad{y.}")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm with base 10 for \\spad{x.}")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm with base 2 for \\spad{x.}")) (|hash| (((|Integer|) $) "\\spad{hash(x)} returns the hash key for \\spad{x}")) (|exp1| (($) "\\spad{exp1()} returns the natural log base \\spad{2.718281828...}.")) (** (($ $ $) "\\spad{x \\spad{**} \\spad{y}} returns the \\spad{y}th power of \\spad{x} (equal to \\spad{exp(y log x)}).")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer i."))) 
+((-3367 . T) (-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-217) 
 ((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:DFMAT:=qnew(3,4)"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-216) (QUOTE (-1093))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1093)))) (|HasCategory| (-216) (QUOTE (-302))) (|HasCategory| (-216) (QUOTE (-559))) (|HasAttribute| (-216) (QUOTE (-4573 "*"))) (|HasCategory| (-216) (QUOTE (-173))) (|HasCategory| (-216) (QUOTE (-366)))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-216) (QUOTE (-1097))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1097)))) (|HasCategory| (-216) (QUOTE (-302))) (|HasCategory| (-216) (QUOTE (-561))) (|HasAttribute| (-216) (QUOTE (-4602 "*"))) (|HasCategory| (-216) (QUOTE (-173))) (|HasCategory| (-216) (QUOTE (-367)))) 
 (-218) 
 ((|constructor| (NIL "This package provides special functions for double precision real and complex floating point.")) (|fresnelC| (((|Float|) (|Float|)) "\\indented{1}{fresnelC(f) denotes the Fresnel integral \\spad{C}} \\blankline \\spad{X} fresnelC(1.5)")) (|fresnelS| (((|Float|) (|Float|)) "\\indented{1}{fresnelS(f) denotes the Fresnel integral \\spad{S}} \\blankline \\spad{X} fresnelS(1.5)")) (|hypergeometric0F1| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{hypergeometric0F1(c,z)} is the hypergeometric function \\spad{0F1(; \\spad{c;} z)}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{hypergeometric0F1(c,z)} is the hypergeometric function \\spad{0F1(; \\spad{c;} z)}.")) (|airyBi| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyBi(x)} is the Airy function \\spad{Bi(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Bi''(x) - \\spad{x} * Bi(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyBi(x)} is the Airy function \\spad{Bi(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Bi''(x) - \\spad{x} * Bi(x) = 0}.}")) (|airyAi| (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyAi(x)} is the Airy function \\spad{Ai(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Ai''(x) - \\spad{x} * Ai(x) = 0}.}") (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyAi(x)} is the Airy function \\spad{Ai(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Ai''(x) - \\spad{x} * Ai(x) = 0}.}")) (|besselK| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselK(v,x)} is the modified Bessel function of the second kind, \\spad{K(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,x) = \\%pi/2*(I(-v,x) - I(v,x))/sin(v*\\%pi)}} so is not valid for integer values of \\spad{v.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselK(v,x)} is the modified Bessel function of the second kind, \\spad{K(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,x) = \\%pi/2*(I(-v,x) - I(v,x))/sin(v*\\%pi)}.} so is not valid for integer values of \\spad{v.}")) (|besselI| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselI(v,x)} is the modified Bessel function of the first kind, \\spad{I(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselI(v,x)} is the modified Bessel function of the first kind, \\spad{I(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.}")) (|besselY| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselY(v,x)} is the Bessel function of the second kind, \\spad{Y(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,x) = (J(v,x) cos(v*\\%pi) - J(-v,x))/sin(v*\\%pi)}} so is not valid for integer values of \\spad{v.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselY(v,x)} is the Bessel function of the second kind, \\spad{Y(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,x) = (J(v,x) cos(v*\\%pi) - J(-v,x))/sin(v*\\%pi)}} so is not valid for integer values of \\spad{v.}")) (|besselJ| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselJ(v,x)} is the Bessel function of the first kind, \\spad{J(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselJ(v,x)} is the Bessel function of the first kind, \\spad{J(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.}")) (|polygamma| (((|Complex| (|DoubleFloat|)) (|NonNegativeInteger|) (|Complex| (|DoubleFloat|))) "\\spad{polygamma(n, \\spad{x)}} is the \\spad{n}-th derivative of \\spad{digamma(x)}.") (((|DoubleFloat|) (|NonNegativeInteger|) (|DoubleFloat|)) "\\spad{polygamma(n, \\spad{x)}} is the \\spad{n}-th derivative of \\spad{digamma(x)}.")) (|digamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{digamma(x)} is the function, \\spad{psi(x)}, defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{digamma(x)} is the function, \\spad{psi(x)}, defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}")) (|logGamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.")) (|Beta| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Beta(x, \\spad{y)}} is the Euler beta function, \\spad{B(x,y)}, defined by \\indented{2}{\\spad{Beta(x,y) = integrate(t^(x-1)*(1-t)^(y-1), t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{Beta(x, \\spad{y)}} is the Euler beta function, \\spad{B(x,y)}, defined by \\indented{2}{\\spad{Beta(x,y) = integrate(t^(x-1)*(1-t)^(y-1), t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}")) (|Ei6| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei6} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from 32 to infinity (preserves digits)")) (|Ei5| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei5} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from 12 to 32 (preserves digits)")) (|Ei4| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei4} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from 4 to 12 (preserves digits)")) (|Ei3| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei3} is the first approximation of \\spad{Ei} where the result is (Ei(x)-log \\spad{|x|} - gamma)/x from \\spad{-4} to 4 (preserves digits)")) (|Ei2| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei2} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from \\spad{-10} to \\spad{-4} (preserves digits)")) (|Ei1| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei1} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from -infinity to \\spad{-10} (preserves digits)")) (|Ei| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei} is the Exponential Integral function This is computed using a 6 part piecewise approximation. DoubleFloat can only preserve about 16 digits but the Chebyshev approximation used can give 30 digits.")) (|En| (((|OnePointCompletion| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|)) "\\spad{En(n,x)} is the \\spad{n}th Exponential Integral Function")) (E1 (((|OnePointCompletion| (|DoubleFloat|)) (|DoubleFloat|)) "\\spad{E1(x)} is the Exponential Integral function The current implementation is a piecewise approximation involving one poly from \\spad{-4..4} and a second poly for \\spad{x} > 4")) (|Gamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Gamma(x)} is the Euler gamma function, \\spad{Gamma(x)}, defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t), t=0..\\%infinity)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{Gamma(x)} is the Euler gamma function, \\spad{Gamma(x)}, defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t), t=0..\\%infinity)}.}"))) 
 NIL 
 NIL 
 (-219) 
 ((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(n) creates a new uninitialized vector of length \\spad{n.}} \\blankline \\spad{X} t1:DFVEC:=qnew(7)"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| (-216) (QUOTE (-1093))) (|HasCategory| (-216) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-216) (QUOTE (-844))) (-1929 (|HasCategory| (-216) (QUOTE (-844))) (|HasCategory| (-216) (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-216) (QUOTE (-25))) (|HasCategory| (-216) (QUOTE (-23))) (|HasCategory| (-216) (QUOTE (-21))) (|HasCategory| (-216) (QUOTE (-718))) (|HasCategory| (-216) (QUOTE (-1049))) (-12 (|HasCategory| (-216) (QUOTE (-1004))) (|HasCategory| (-216) (QUOTE (-1049)))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-844)))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1093)))))) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| (-216) (QUOTE (-1097))) (|HasCategory| (-216) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-216) (QUOTE (-847))) (-1831 (|HasCategory| (-216) (QUOTE (-847))) (|HasCategory| (-216) (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| (-216) (QUOTE (-25))) (|HasCategory| (-216) (QUOTE (-23))) (|HasCategory| (-216) (QUOTE (-21))) (|HasCategory| (-216) (QUOTE (-721))) (|HasCategory| (-216) (QUOTE (-1053))) (-12 (|HasCategory| (-216) (QUOTE (-1008))) (|HasCategory| (-216) (QUOTE (-1053)))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-847)))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1097)))))) 
 (-220 R) 
 ((|constructor| (NIL "4x4 Matrices for coordinate transformations\\br This package contains functions to create 4x4 matrices useful for rotating and transforming coordinate systems. These matrices are useful for graphics and robotics. (Reference: Robot Manipulators Richard Paul MIT Press 1981) \\blankline A Denavit-Hartenberg Matrix is a 4x4 Matrix of the form:\\br \\tab{5}\\spad{nx ox ax px}\\br \\tab{5}\\spad{ny oy ay py}\\br \\tab{5}\\spad{nz oz az pz}\\br \\tab{5}\\spad{0 0 0 1}\\br \\spad{(n,} o, and a are the direction cosines)")) (|translate| (($ |#1| |#1| |#1|) "\\spad{translate(x,y,z)} returns a dhmatrix for translation by \\spad{x,} \\spad{y,} and \\spad{z}")) (|scale| (($ |#1| |#1| |#1|) "\\spad{scale(sx,sy,sz)} returns a dhmatrix for scaling in the \\spad{x,} \\spad{y} and \\spad{z} directions")) (|rotatez| (($ |#1|) "\\spad{rotatez(r)} returns a dhmatrix for rotation about axis \\spad{z} for \\spad{r} degrees")) (|rotatey| (($ |#1|) "\\spad{rotatey(r)} returns a dhmatrix for rotation about axis \\spad{y} for \\spad{r} degrees")) (|rotatex| (($ |#1|) "\\spad{rotatex(r)} returns a dhmatrix for rotation about axis \\spad{x} for \\spad{r} degrees")) (|identity| (($) "\\spad{identity()} create the identity dhmatrix")) (* (((|Point| |#1|) $ (|Point| |#1|)) "\\spad{t*p} applies the dhmatrix \\spad{t} to point \\spad{p}"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4573 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-561))) (|HasAttribute| |#1| (QUOTE (-4602 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367)))) 
 (-221 A S) 
 ((|constructor| (NIL "A dictionary is an aggregate in which entries can be inserted, searched for and removed. Duplicates are thrown away on insertion. This category models the usual notion of dictionary which involves large amounts of data where copying is impractical. Principal operations are thus destructive (non-copying) ones."))) 
 NIL 
 NIL 
 (-222 S) 
 ((|constructor| (NIL "A dictionary is an aggregate in which entries can be inserted, searched for and removed. Duplicates are thrown away on insertion. This category models the usual notion of dictionary which involves large amounts of data where copying is impractical. Principal operations are thus destructive (non-copying) ones."))) 
-((-4572 . T) (-4317 . T)) 
+((-4601 . T) (-3348 . T)) 
 NIL 
 (-223 S R) 
 ((|constructor| (NIL "Differential extensions of a ring \\spad{R.} Given a differentiation on \\spad{R,} extend it to a differentiation on \\spad{%.}")) (D (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) "\\spad{D(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#2| |#2|)) "\\spad{D(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}")) (|differentiate| (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) "\\spad{differentiate(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226)))) 
+((|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-226)))) 
 (-224 R) 
 ((|constructor| (NIL "Differential extensions of a ring \\spad{R.} Given a differentiation on \\spad{R,} extend it to a differentiation on \\spad{%.}")) (D (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{D(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#1| |#1|)) "\\spad{D(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}")) (|differentiate| (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{differentiate(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#1| |#1|)) "\\spad{differentiate(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}"))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
 (-225 S) 
 ((|constructor| (NIL "An ordinary differential ring, that is, a ring with an operation \\spadfun{differentiate}. \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y) = differentiate(x)+differentiate(y)}\\br \\tab{5}\\spad{differentiate(x*y) = x*differentiate(y) + differentiate(x)*y}")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{D(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified."))) 
@@ -834,39 +834,39 @@ NIL
 NIL 
 (-226) 
 ((|constructor| (NIL "An ordinary differential ring, that is, a ring with an operation \\spadfun{differentiate}. \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y) = differentiate(x)+differentiate(y)}\\br \\tab{5}\\spad{differentiate(x*y) = x*differentiate(y) + differentiate(x)*y}")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{D(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified."))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
 (-227 A S) 
 ((|constructor| (NIL "This category is a collection of operations common to both categories \\spadtype{Dictionary} and \\spadtype{MultiDictionary}")) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select!(p,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{x} such that \\axiom{p(x)} is not true.")) (|remove!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove!(p,d)} destructively changes dictionary \\spad{d} by removeing all entries \\spad{x} such that \\axiom{p(x)} is true.") (($ |#2| $) "\\spad{remove!(x,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{y} such that \\axiom{y = \\spad{x}.}")) (|dictionary| (($ (|List| |#2|)) "\\spad{dictionary([x,y,...,z])} creates a dictionary consisting of entries \\axiom{x,y,...,z}.") (($) "\\spad{dictionary()}$D creates an empty dictionary of type \\spad{D.}"))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4571))) 
+((|HasAttribute| |#1| (QUOTE -4600))) 
 (-228 S) 
 ((|constructor| (NIL "This category is a collection of operations common to both categories \\spadtype{Dictionary} and \\spadtype{MultiDictionary}")) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select!(p,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{x} such that \\axiom{p(x)} is not true.")) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove!(p,d)} destructively changes dictionary \\spad{d} by removeing all entries \\spad{x} such that \\axiom{p(x)} is true.") (($ |#1| $) "\\spad{remove!(x,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{y} such that \\axiom{y = \\spad{x}.}")) (|dictionary| (($ (|List| |#1|)) "\\spad{dictionary([x,y,...,z])} creates a dictionary consisting of entries \\axiom{x,y,...,z}.") (($) "\\spad{dictionary()}$D creates an empty dictionary of type \\spad{D.}"))) 
-((-4572 . T) (-4317 . T)) 
+((-4601 . T) (-3348 . T)) 
 NIL 
 (-229) 
 ((|constructor| (NIL "Any solution of a homogeneous linear Diophantine equation can be represented as a sum of minimal solutions, which form a \"basis\" (a minimal solution cannot be represented as a nontrivial sum of solutions) in the case of an inhomogeneous linear Diophantine equation, each solution is the sum of a inhomogeneous solution and any number of homogeneous solutions therefore, it suffices to compute two sets:\\br \\tab{5}1. all minimal inhomogeneous solutions\\br \\tab{5}2. all minimal homogeneous solutions\\br the algorithm implemented is a completion procedure, which enumerates all solutions in a recursive depth-first-search it can be seen as finding monotone paths in a graph for more details see Reference")) (|dioSolve| (((|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|))))) (|Equation| (|Polynomial| (|Integer|)))) "\\spad{dioSolve(u)} computes a basis of all minimal solutions for linear homogeneous Diophantine equation u, then all minimal solutions of inhomogeneous equation"))) 
 NIL 
 NIL 
-(-230 S -4360 R) 
-((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (|dot| ((|#3| $ $) "\\spad{dot(x,y)} computes the inner product of the vectors \\spad{x} and \\spad{y.}")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#3|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
+(-230 S -3020 R) 
+((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (* (($ $ |#3|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#3| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}")) (|dot| ((|#3| $ $) "\\spad{dot(x,y)} computes the inner product of the vectors \\spad{x} and \\spad{y.}")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#3|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842))) (|HasAttribute| |#3| (QUOTE -4568)) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (QUOTE (-718))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-1049))) (|HasCategory| |#3| (QUOTE (-1093)))) 
-(-231 -4360 R) 
-((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (|dot| ((|#2| $ $) "\\spad{dot(x,y)} computes the inner product of the vectors \\spad{x} and \\spad{y.}")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#2|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
-((-4565 |has| |#2| (-1049)) (-4566 |has| |#2| (-1049)) (-4568 |has| |#2| (-6 -4568)) ((-4573 "*") |has| |#2| (-173)) (-4571 . T) (-4317 . T)) 
+((|HasCategory| |#3| (QUOTE (-367))) (|HasCategory| |#3| (QUOTE (-793))) (|HasCategory| |#3| (QUOTE (-845))) (|HasAttribute| |#3| (QUOTE -4597)) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-373))) (|HasCategory| |#3| (QUOTE (-721))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-1053))) (|HasCategory| |#3| (QUOTE (-1097)))) 
+(-231 -3020 R) 
+((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (* (($ $ |#2|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#2| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}")) (|dot| ((|#2| $ $) "\\spad{dot(x,y)} computes the inner product of the vectors \\spad{x} and \\spad{y.}")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#2|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
+((-4594 |has| |#2| (-1053)) (-4595 |has| |#2| (-1053)) (-4597 |has| |#2| (-6 -4597)) ((-4602 "*") |has| |#2| (-173)) (-4600 . T) (-3348 . T)) 
 NIL 
-(-232 -4360 A B) 
+(-232 -3020 A B) 
 ((|constructor| (NIL "This package provides operations which all take as arguments direct products of elements of some type \\spad{A} and functions from \\spad{A} to another type \\spad{B.} The operations all iterate over their vector argument and either return a value of type \\spad{B} or a direct product over \\spad{B.}")) (|map| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2|) (|DirectProduct| |#1| |#2|)) "\\spad{map(f, \\spad{v)}} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values.")) (|reduce| ((|#3| (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) "\\spad{reduce(func,vec,ident)} combines the elements in \\spad{vec} using the binary function func. Argument \\spad{ident} is returned if the vector is empty.")) (|scan| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) "\\spad{scan(func,vec,ident)} creates a new vector whose elements are the result of applying reduce to the binary function func, increasing initial subsequences of the vector vec, and the element ident."))) 
 NIL 
 NIL 
-(-233 -4360 R) 
+(-233 -3020 R) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying component type. This contrasts with simple vectors in that the members can be viewed as having constant length. Thus many categorical properties can by lifted from the underlying component type. Component extraction operations are provided but no updating operations. Thus new direct product elements can either be created by converting vector elements using the \\spadfun{directProduct} function or by taking appropriate linear combinations of basis vectors provided by the \\spad{unitVector} operation."))) 
-((-4565 |has| |#2| (-1049)) (-4566 |has| |#2| (-1049)) (-4568 |has| |#2| (-6 -4568)) ((-4573 "*") |has| |#2| (-173)) (-4571 . T)) 
-((|HasCategory| |#2| (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (-1929 (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842)))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasAttribute| |#2| (QUOTE -4568)) (|HasCategory| |#2| (QUOTE (-138))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-25))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))))) 
+((-4594 |has| |#2| (-1053)) (-4595 |has| |#2| (-1053)) (-4597 |has| |#2| (-6 -4597)) ((-4602 "*") |has| |#2| (-173)) (-4600 . T)) 
+((|HasCategory| |#2| (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053))) (|HasCategory| |#2| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-845))) (-1831 (|HasCategory| |#2| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-845)))) (|HasCategory| |#2| (QUOTE (-721))) (|HasCategory| |#2| (QUOTE (-173))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-367)))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1053)))) (|HasCategory| |#2| (QUOTE (-373))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-226))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1053)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1097)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-1097)))) (|HasAttribute| |#2| (QUOTE -4597)) (|HasCategory| |#2| (QUOTE (-138))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (|HasCategory| |#2| (QUOTE (-25))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-373))) (|HasCategory| |#2| (QUOTE (-721))) (|HasCategory| |#2| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-845))) (|HasCategory| |#2| (QUOTE (-1053))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-373)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-721)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-845)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-1097))))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-367)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-373)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-721)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-845)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1097))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-367)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-373)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-721)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-845)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))))) 
 (-234 |Coef|) 
 ((|constructor| (NIL "DirichletRing is the ring of arithmetical functions with Dirichlet convolution as multiplication")) (|additive?| (((|Boolean|) $ (|PositiveInteger|)) "\\spad{additive?(a, \\spad{n)}} returns \\spad{true} if the first \\spad{n} coefficients of a are additive")) (|multiplicative?| (((|Boolean|) $ (|PositiveInteger|)) "\\spad{multiplicative?(a, \\spad{n)}} returns \\spad{true} if the first \\spad{n} coefficients of a are multiplicative")) (|zeta| (($) "\\spad{zeta()} returns the function which is constantly one"))) 
-((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) ((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-173)) (-4568 . T)) 
+((-4595 |has| |#1| (-173)) (-4594 |has| |#1| (-173)) ((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-173)) (-4597 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173)))) 
 (-235) 
 ((|constructor| (NIL "DisplayPackage allows one to print strings in a nice manner, including highlighting substrings.")) (|sayLength| (((|Integer|) (|List| (|String|))) "\\spad{sayLength(l)} returns the length of a list of strings \\spad{l} as an integer.") (((|Integer|) (|String|)) "\\spad{sayLength(s)} returns the length of a string \\spad{s} as an integer.")) (|say| (((|Void|) (|List| (|String|))) "\\spad{say(l)} sends a list of strings \\spad{l} to output.") (((|Void|) (|String|)) "\\spad{say(s)} sends a string \\spad{s} to output.")) (|center| (((|List| (|String|)) (|List| (|String|)) (|Integer|) (|String|)) "\\spad{center(l,i,s)} takes a list of strings \\spad{l,} and centers them within a list of strings which is \\spad{i} characters long, in which the remaining spaces are filled with strings composed of as many repetitions as possible of the last string parameter \\spad{s.}") (((|String|) (|String|) (|Integer|) (|String|)) "\\spad{center(s,i,s)} takes the first string \\spad{s,} and centers it within a string of length i, in which the other elements of the string are composed of as many replications as possible of the second indicated string, \\spad{s} which must have a length greater than that of an empty string.")) (|copies| (((|String|) (|Integer|) (|String|)) "\\spad{copies(i,s)} will take a string \\spad{s} and create a new string composed of \\spad{i} copies of \\spad{s.}")) (|newLine| (((|String|)) "\\spad{newLine()} sends a new line command to output.")) (|bright| (((|List| (|String|)) (|List| (|String|))) "\\spad{bright(l)} sets the font property of a list of strings, \\spad{l,} to bold-face type.") (((|List| (|String|)) (|String|)) "\\spad{bright(s)} sets the font property of the string \\spad{s} to bold-face type."))) 
@@ -874,55 +874,55 @@ NIL
 NIL 
 (-236 S) 
 ((|constructor| (NIL "This category exports the function for domains")) (|divOfPole| (($ $) "\\spad{divOfPole(d)} returns the negative part of \\spad{d.}")) (|divOfZero| (($ $) "\\spad{divOfZero(d)} returns the positive part of \\spad{d.}")) (|suppOfPole| (((|List| |#1|) $) "suppOfZero(d) returns the elements of the support of \\spad{d} that have a negative coefficient.")) (|suppOfZero| (((|List| |#1|) $) "\\spad{suppOfZero(d)} returns the elements of the support of \\spad{d} that have a positive coefficient.")) (|supp| (((|List| |#1|) $) "\\spad{supp(d)} returns the support of the divisor \\spad{d.}")) (|effective?| (((|Boolean|) $) "\\spad{effective?(d)} returns \\spad{true} if \\spad{d} \\spad{>=} 0.")) (|concat| (($ $ $) "\\spad{concat(a,b)} concats the divisor a and \\spad{b} without collecting the duplicative points.")) (|collect| (($ $) "\\spad{collect collects} the duplicative points in the divisor.")) (|split| (((|List| $) $) "\\spad{split(d)} splits the divisor \\spad{d.} For example, split( 2 \\spad{p1} + 3p2 ) returns the list [ 2 \\spad{p1,} 3 \\spad{p2} \\spad{].}")) (|degree| (((|Integer|) $) "\\spad{degree(d)} returns the degree of the divisor \\spad{d}"))) 
-((-4566 . T) (-4565 . T)) 
+((-4595 . T) (-4594 . T)) 
 NIL 
 (-237 S) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
-((-4566 . T) (-4565 . T)) 
-((|HasCategory| (-569) (QUOTE (-789)))) 
+((-4595 . T) (-4594 . T)) 
+((|HasCategory| (-571) (QUOTE (-792)))) 
 (-238 S) 
 ((|constructor| (NIL "A division ring (sometimes called a skew field), \\spadignore{i.e.} a not necessarily commutative ring where all non-zero elements have multiplicative inverses.")) (|inv| (($ $) "\\spad{inv \\spad{x}} returns the multiplicative inverse of \\spad{x.} Error: if \\spad{x} is 0.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}"))) 
 NIL 
 NIL 
 (-239) 
 ((|constructor| (NIL "A division ring (sometimes called a skew field), \\spadignore{i.e.} a not necessarily commutative ring where all non-zero elements have multiplicative inverses.")) (|inv| (($ $) "\\spad{inv \\spad{x}} returns the multiplicative inverse of \\spad{x.} Error: if \\spad{x} is 0.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}"))) 
-((-4564 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-240 S) 
 ((|constructor| (NIL "A doubly-linked aggregate serves as a model for a doubly-linked list, that is, a list which can has links to both next and previous nodes and thus can be efficiently traversed in both directions.")) (|setnext!| (($ $ $) "\\spad{setnext!(u,v)} destructively sets the next node of doubly-linked aggregate \\spad{u} to \\spad{v,} returning \\spad{v.}")) (|setprevious!| (($ $ $) "\\spad{setprevious!(u,v)} destructively sets the previous node of doubly-linked aggregate \\spad{u} to \\spad{v,} returning \\spad{v.}")) (|concat!| (($ $ $) "\\spad{concat!(u,v)} destructively concatenates doubly-linked aggregate \\spad{v} to the end of doubly-linked aggregate u.")) (|next| (($ $) "\\spad{next(l)} returns the doubly-linked aggregate beginning with its next element. Error: if \\spad{l} has no next element. Note that \\axiom{next(l) = rest(l)} and \\axiom{previous(next(l)) = \\spad{l}.}")) (|previous| (($ $) "\\spad{previous(l)} returns the doubly-link list beginning with its previous element. Error: if \\spad{l} has no previous element. Note that \\axiom{next(previous(l)) = \\spad{l}.}")) (|tail| (($ $) "\\spad{tail(l)} returns the doubly-linked aggregate \\spad{l} starting at its second element. Error: if \\spad{l} is empty.")) (|head| (($ $) "\\spad{head(l)} returns the first element of a doubly-linked aggregate \\spad{l.} Error: if \\spad{l} is empty.")) (|last| ((|#1| $) "\\spad{last(l)} returns the last element of a doubly-linked aggregate \\spad{l.} Error: if \\spad{l} is empty."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
 (-241 S) 
 ((|constructor| (NIL "This domain provides some nice functions on lists")) (|elt| (((|NonNegativeInteger|) $ "count") "\\axiom{l.\"count\"} returns the number of elements in \\axiom{l}.") (($ $ "sort") "\\axiom{l.sort} returns \\axiom{l} with elements sorted. Note: \\axiom{l.sort = sort(l)}") (($ $ "unique") "\\axiom{l.unique} returns \\axiom{l} with duplicates removed. Note: \\axiom{l.unique = removeDuplicates(l)}.")) (|datalist| (($ (|List| |#1|)) "\\spad{datalist(l)} creates a datalist from \\spad{l}")) (|coerce| (((|List| |#1|) $) "\\spad{coerce(x)} returns the list of elements in \\spad{x}") (($ (|List| |#1|)) "\\spad{coerce(l)} creates a datalist from \\spad{l}"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
 (-242 M) 
 ((|constructor| (NIL "DiscreteLogarithmPackage implements help functions for discrete logarithms in monoids using small cyclic groups.")) (|shanksDiscLogAlgorithm| (((|Union| (|NonNegativeInteger|) "failed") |#1| |#1| (|NonNegativeInteger|)) "\\spad{shanksDiscLogAlgorithm(b,a,p)} computes \\spad{s} with \\spad{b**s = a} for assuming that \\spad{a} and \\spad{b} are elements in a 'small' cyclic group of order \\spad{p} by Shank's algorithm. Note that this is a subroutine of the function \\spadfun{discreteLog}.")) (** ((|#1| |#1| (|Integer|)) "\\spad{x \\spad{**} \\spad{n}} returns \\spad{x} raised to the integer power \\spad{n}"))) 
 NIL 
 NIL 
 (-243 |vl| R) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative, but the variables are assumed to commute. The term ordering is lexicographic specified by the variable list parameter with the most significant variable first in the list.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p, perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(((-4602 "*") |has| |#2| (-173)) (-4593 |has| |#2| (-561)) (-4598 |has| |#2| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#2| (QUOTE (-909))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-561)))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#2| (QUOTE -4598)) (|HasCategory| |#2| (QUOTE (-456))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (|HasCategory| |#2| (QUOTE (-149))))) 
 (-244 |n| R M S) 
 ((|constructor| (NIL "This constructor provides a direct product type with a left matrix-module view."))) 
-((-4568 -1929 (-3993 (|has| |#4| (-1049)) (|has| |#4| (-226))) (-3993 (|has| |#4| (-1049)) (|has| |#4| (-897 (-1165)))) (|has| |#4| (-6 -4568)) (-3993 (|has| |#4| (-1049)) (|has| |#4| (-631 (-569))))) (-4565 |has| |#4| (-1049)) (-4566 |has| |#4| (-1049)) ((-4573 "*") |has| |#4| (-173)) (-4571 . T)) 
-((|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-1049))) (|HasCategory| |#4| (QUOTE (-790))) (|HasCategory| |#4| (QUOTE (-842))) (-1929 (|HasCategory| |#4| (QUOTE (-790))) (|HasCategory| |#4| (QUOTE (-842)))) (|HasCategory| |#4| (QUOTE (-718))) (|HasCategory| |#4| (QUOTE (-173))) (-1929 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-1049)))) (-1929 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-366)))) (-1929 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-1049)))) (|HasCategory| |#4| (QUOTE (-371))) (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (QUOTE (-226))) (-1929 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1049)))) (|HasCategory| |#4| (QUOTE (-1093))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1049)))) (|HasCategory| |#4| (QUOTE (-718)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-718)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-790)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-842)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-718)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-790)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-842)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1093))))) (-1929 (|HasAttribute| |#4| (QUOTE -4568)) (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1049))))) (|HasCategory| |#4| (QUOTE (-138))) (|HasCategory| |#4| (QUOTE (-25))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-718)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-790)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-842)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))))) 
+((-4597 -1831 (-3997 (|has| |#4| (-1053)) (|has| |#4| (-226))) (-3997 (|has| |#4| (-1053)) (|has| |#4| (-900 (-1169)))) (|has| |#4| (-6 -4597)) (-3997 (|has| |#4| (-1053)) (|has| |#4| (-633 (-571))))) (-4594 |has| |#4| (-1053)) (-4595 |has| |#4| (-1053)) ((-4602 "*") |has| |#4| (-173)) (-4600 . T)) 
+((|HasCategory| |#4| (QUOTE (-367))) (|HasCategory| |#4| (QUOTE (-1053))) (|HasCategory| |#4| (QUOTE (-793))) (|HasCategory| |#4| (QUOTE (-845))) (-1831 (|HasCategory| |#4| (QUOTE (-793))) (|HasCategory| |#4| (QUOTE (-845)))) (|HasCategory| |#4| (QUOTE (-721))) (|HasCategory| |#4| (QUOTE (-173))) (-1831 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-367))) (|HasCategory| |#4| (QUOTE (-1053)))) (-1831 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-367)))) (-1831 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-1053)))) (|HasCategory| |#4| (QUOTE (-373))) (|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#4| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#4| (QUOTE (-226))) (-1831 (|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#4| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1053)))) (|HasCategory| |#4| (QUOTE (-1097))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-1053)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#4| (QUOTE (-1053)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1053)))) (-1831 (-12 (|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-1053)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#4| (QUOTE (-1053)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1053)))) (|HasCategory| |#4| (QUOTE (-721)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-367)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-373)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-721)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-793)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-845)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-1053)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-1097))))) (-1831 (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-1097)))) (|HasCategory| |#4| (QUOTE (-1053)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (QUOTE (-367)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (QUOTE (-373)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (QUOTE (-721)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (QUOTE (-793)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (QUOTE (-845)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (QUOTE (-1053)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (QUOTE (-1097))))) (-1831 (|HasAttribute| |#4| (QUOTE -4597)) (-12 (|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#4| (QUOTE (-1053)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#4| (QUOTE (-1053)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1053))))) (|HasCategory| |#4| (QUOTE (-138))) (|HasCategory| |#4| (QUOTE (-25))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -633) (QUOTE (-571))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -900) (QUOTE (-1169))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-367)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-373)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-721)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-793)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-845)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1053)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1097)))))) 
 (-245 |n| R S) 
 ((|constructor| (NIL "This constructor provides a direct product of R-modules with an R-module view."))) 
-((-4568 -1929 (-3993 (|has| |#3| (-1049)) (|has| |#3| (-226))) (-3993 (|has| |#3| (-1049)) (|has| |#3| (-897 (-1165)))) (|has| |#3| (-6 -4568)) (-3993 (|has| |#3| (-1049)) (|has| |#3| (-631 (-569))))) (-4565 |has| |#3| (-1049)) (-4566 |has| |#3| (-1049)) ((-4573 "*") |has| |#3| (-173)) (-4571 . T)) 
-((|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049))) (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842))) (-1929 (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842)))) (|HasCategory| |#3| (QUOTE (-718))) (|HasCategory| |#3| (QUOTE (-173))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049)))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-226))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| |#3| (QUOTE (-1093))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1093))))) (-1929 (|HasAttribute| |#3| (QUOTE -4568)) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049))))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-25))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))))) 
+((-4597 -1831 (-3997 (|has| |#3| (-1053)) (|has| |#3| (-226))) (-3997 (|has| |#3| (-1053)) (|has| |#3| (-900 (-1169)))) (|has| |#3| (-6 -4597)) (-3997 (|has| |#3| (-1053)) (|has| |#3| (-633 (-571))))) (-4594 |has| |#3| (-1053)) (-4595 |has| |#3| (-1053)) ((-4602 "*") |has| |#3| (-173)) (-4600 . T)) 
+((|HasCategory| |#3| (QUOTE (-367))) (|HasCategory| |#3| (QUOTE (-1053))) (|HasCategory| |#3| (QUOTE (-793))) (|HasCategory| |#3| (QUOTE (-845))) (-1831 (|HasCategory| |#3| (QUOTE (-793))) (|HasCategory| |#3| (QUOTE (-845)))) (|HasCategory| |#3| (QUOTE (-721))) (|HasCategory| |#3| (QUOTE (-173))) (-1831 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-367))) (|HasCategory| |#3| (QUOTE (-1053)))) (-1831 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-367)))) (-1831 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-1053)))) (|HasCategory| |#3| (QUOTE (-373))) (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-226))) (-1831 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1053)))) (|HasCategory| |#3| (QUOTE (-1097))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1053)))) (-1831 (-12 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1053)))) (|HasCategory| |#3| (QUOTE (-721)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-367)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-373)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-721)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-793)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-845)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1097))))) (-1831 (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1097)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-367)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-373)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-721)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-793)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-845)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-1097))))) (-1831 (|HasAttribute| |#3| (QUOTE -4597)) (-12 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1053))))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-25))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-367)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-373)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-721)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-793)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-845)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1097)))))) 
 (-246 A R S V E) 
 ((|constructor| (NIL "\\spadtype{DifferentialPolynomialCategory} is a category constructor specifying basic functions in an ordinary differential polynomial ring with a given ordered set of differential indeterminates. In addition, it implements defaults for the basic functions. The functions \\spadfun{order} and \\spadfun{weight} are extended from the set of derivatives of differential indeterminates to the set of differential polynomials. Other operations provided on differential polynomials are \\spadfun{leader}, \\spadfun{initial}, \\spadfun{separant}, \\spadfun{differentialVariables}, and \\spadfun{isobaric?}. Furthermore, if the ground ring is a differential ring, then evaluation (substitution of differential indeterminates by elements of the ground ring or by differential polynomials) is provided by \\spadfun{eval}. A convenient way of referencing derivatives is provided by the functions \\spadfun{makeVariable}. \\blankline To construct a domain using this constructor, one needs to provide a ground ring \\spad{R,} an ordered set \\spad{S} of differential indeterminates, a ranking \\spad{V} on the set of derivatives of the differential indeterminates, and a set \\spad{E} of exponents in bijection with the set of differential monomials in the given differential indeterminates.")) (|separant| (($ $) "\\spad{separant(p)} returns the partial derivative of the differential polynomial \\spad{p} with respect to its leader.")) (|initial| (($ $) "\\spad{initial(p)} returns the leading coefficient when the differential polynomial \\spad{p} is written as a univariate polynomial in its leader.")) (|leader| ((|#4| $) "\\spad{leader(p)} returns the derivative of the highest rank appearing in the differential polynomial \\spad{p} Note that an error occurs if \\spad{p} is in the ground ring.")) (|isobaric?| (((|Boolean|) $) "\\spad{isobaric?(p)} returns \\spad{true} if every differential monomial appearing in the differential polynomial \\spad{p} has same weight, and returns \\spad{false} otherwise.")) (|weight| (((|NonNegativeInteger|) $ |#3|) "\\spad{weight(p, \\spad{s)}} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|NonNegativeInteger|) $) "\\spad{weight(p)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p.}")) (|weights| (((|List| (|NonNegativeInteger|)) $ |#3|) "\\spad{weights(p, \\spad{s)}} returns a list of weights of differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|List| (|NonNegativeInteger|)) $) "\\spad{weights(p)} returns a list of weights of differential monomials appearing in differential polynomial \\spad{p.}")) (|degree| (((|NonNegativeInteger|) $ |#3|) "\\spad{degree(p, \\spad{s)}} returns the maximum degree of the differential polynomial \\spad{p} viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of the differential polynomial \\spad{p,} which is the maximum number of differentiations of a differential indeterminate, among all those appearing in \\spad{p.}") (((|NonNegativeInteger|) $ |#3|) "\\spad{order(p,s)} returns the order of the differential polynomial \\spad{p} in differential indeterminate \\spad{s.}")) (|differentialVariables| (((|List| |#3|) $) "\\spad{differentialVariables(p)} returns a list of differential indeterminates occurring in a differential polynomial \\spad{p.}")) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) $) "\\spad{makeVariable(p)} views \\spad{p} as an element of a differential ring, in such a way that the \\spad{n}-th derivative of \\spad{p} may be simply referenced as \\spad{z.n} where \\spad{z} \\spad{:=} makeVariable(p). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored.") (((|Mapping| $ (|NonNegativeInteger|)) |#3|) "\\spad{makeVariable(s)} views \\spad{s} as a differential indeterminate, in such a way that the \\spad{n}-th derivative of \\spad{s} may be simply referenced as \\spad{z.n} where \\spad{z} :=makeVariable(s). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-226)))) 
 (-247 R S V E) 
 ((|constructor| (NIL "\\spadtype{DifferentialPolynomialCategory} is a category constructor specifying basic functions in an ordinary differential polynomial ring with a given ordered set of differential indeterminates. In addition, it implements defaults for the basic functions. The functions \\spadfun{order} and \\spadfun{weight} are extended from the set of derivatives of differential indeterminates to the set of differential polynomials. Other operations provided on differential polynomials are \\spadfun{leader}, \\spadfun{initial}, \\spadfun{separant}, \\spadfun{differentialVariables}, and \\spadfun{isobaric?}. Furthermore, if the ground ring is a differential ring, then evaluation (substitution of differential indeterminates by elements of the ground ring or by differential polynomials) is provided by \\spadfun{eval}. A convenient way of referencing derivatives is provided by the functions \\spadfun{makeVariable}. \\blankline To construct a domain using this constructor, one needs to provide a ground ring \\spad{R,} an ordered set \\spad{S} of differential indeterminates, a ranking \\spad{V} on the set of derivatives of the differential indeterminates, and a set \\spad{E} of exponents in bijection with the set of differential monomials in the given differential indeterminates.")) (|separant| (($ $) "\\spad{separant(p)} returns the partial derivative of the differential polynomial \\spad{p} with respect to its leader.")) (|initial| (($ $) "\\spad{initial(p)} returns the leading coefficient when the differential polynomial \\spad{p} is written as a univariate polynomial in its leader.")) (|leader| ((|#3| $) "\\spad{leader(p)} returns the derivative of the highest rank appearing in the differential polynomial \\spad{p} Note that an error occurs if \\spad{p} is in the ground ring.")) (|isobaric?| (((|Boolean|) $) "\\spad{isobaric?(p)} returns \\spad{true} if every differential monomial appearing in the differential polynomial \\spad{p} has same weight, and returns \\spad{false} otherwise.")) (|weight| (((|NonNegativeInteger|) $ |#2|) "\\spad{weight(p, \\spad{s)}} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|NonNegativeInteger|) $) "\\spad{weight(p)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p.}")) (|weights| (((|List| (|NonNegativeInteger|)) $ |#2|) "\\spad{weights(p, \\spad{s)}} returns a list of weights of differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|List| (|NonNegativeInteger|)) $) "\\spad{weights(p)} returns a list of weights of differential monomials appearing in differential polynomial \\spad{p.}")) (|degree| (((|NonNegativeInteger|) $ |#2|) "\\spad{degree(p, \\spad{s)}} returns the maximum degree of the differential polynomial \\spad{p} viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of the differential polynomial \\spad{p,} which is the maximum number of differentiations of a differential indeterminate, among all those appearing in \\spad{p.}") (((|NonNegativeInteger|) $ |#2|) "\\spad{order(p,s)} returns the order of the differential polynomial \\spad{p} in differential indeterminate \\spad{s.}")) (|differentialVariables| (((|List| |#2|) $) "\\spad{differentialVariables(p)} returns a list of differential indeterminates occurring in a differential polynomial \\spad{p.}")) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) $) "\\spad{makeVariable(p)} views \\spad{p} as an element of a differential ring, in such a way that the \\spad{n}-th derivative of \\spad{p} may be simply referenced as \\spad{z.n} where \\spad{z} \\spad{:=} makeVariable(p). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored.") (((|Mapping| $ (|NonNegativeInteger|)) |#2|) "\\spad{makeVariable(s)} views \\spad{s} as a differential indeterminate, in such a way that the \\spad{n}-th derivative of \\spad{s} may be simply referenced as \\spad{z.n} where \\spad{z} :=makeVariable(s). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
 NIL 
 (-248 S) 
 ((|constructor| (NIL "A dequeue is a doubly ended stack, that is, a bag where first items inserted are the first items extracted, at either the front or the back end of the data structure.")) (|reverse!| (($ $) "\\spad{reverse!(d)} destructively replaces \\spad{d} by its reverse dequeue, \\spadignore{i.e.} the top (front) element is now the bottom (back) element, and so on.")) (|extractBottom!| ((|#1| $) "\\spad{extractBottom!(d)} destructively extracts the bottom (back) element from the dequeue \\spad{d.} Error: if \\spad{d} is empty.")) (|extractTop!| ((|#1| $) "\\spad{extractTop!(d)} destructively extracts the top (front) element from the dequeue \\spad{d.} Error: if \\spad{d} is empty.")) (|insertBottom!| ((|#1| |#1| $) "\\spad{insertBottom!(x,d)} destructively inserts \\spad{x} into the dequeue \\spad{d} at the bottom (back) of the dequeue.")) (|insertTop!| ((|#1| |#1| $) "\\spad{insertTop!(x,d)} destructively inserts \\spad{x} into the dequeue \\spad{d,} that is, at the top (front) of the dequeue. The element previously at the top of the dequeue becomes the second in the dequeue, and so on.")) (|bottom!| ((|#1| $) "\\spad{bottom!(d)} returns the element at the bottom (back) of the dequeue.")) (|top!| ((|#1| $) "\\spad{top!(d)} returns the element at the top (front) of the dequeue.")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(d)} returns the number of elements in dequeue \\spad{d.} Note that \\axiom{height(d) = \\# \\spad{d}.}")) (|dequeue| (($ (|List| |#1|)) "\\spad{dequeue([x,y,...,z])} creates a dequeue with first (top or front) element \\spad{x,} second element y,...,and last (bottom or back) element \\spad{z.}") (($) "\\spad{dequeue()}$D creates an empty dequeue of type \\spad{D.}"))) 
-((-4571 . T) (-4572 . T) (-4317 . T)) 
+((-4600 . T) (-4601 . T) (-3348 . T)) 
 NIL 
 (-249) 
 ((|constructor| (NIL "TopLevelDrawFunctionsForCompiledFunctions provides top level functions for drawing graphics of expressions.")) (|recolor| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{recolor()}, uninteresting to top level user; exported in order to compile package.")) (|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(surface(f,g,h),a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(surface(f,g,h),a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(f,a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f,a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(f,a..b,c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f,a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{makeObject(sp,curve(f,g,h),a..b)} returns the space \\spad{sp} of the domain \\spadtype{ThreeSpace} with the addition of the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f,g,h),a..b,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{makeObject(sp,curve(f,g,h),a..b)} returns the space \\spad{sp} of the domain \\spadtype{ThreeSpace} with the addition of the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f,g,h),a..b,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.")) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(surface(f,g,h),a..b,c..d)} draws the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(surface(f,g,h),a..b,c..d)} draws the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b,c..d)} draws the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)} The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,c..d)} draws the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b,c..d)} draws the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,c..d,l)} draws the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}. and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b,l)} draws the graph of the parametric curve \\spad{f} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,l)} draws the graph of the parametric curve \\spad{f} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{draw(curve(f,g,h),a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f,g,h),a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{draw(curve(f,g),a..b)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f,g),a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,l)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied."))) 
@@ -962,18 +962,18 @@ NIL
 NIL 
 (-258 R S V) 
 ((|constructor| (NIL "\\spadtype{DifferentialSparseMultivariatePolynomial} implements an ordinary differential polynomial ring by combining a domain belonging to the category \\spadtype{DifferentialVariableCategory} with the domain \\spadtype{SparseMultivariatePolynomial}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#3| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#3| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#3| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#3| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#3| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#3| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#3| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#1| (QUOTE -4598)) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
 (-259 S) 
 ((|constructor| (NIL "This category is part of the PAFF package")) (|tree| (($ (|List| |#1|)) "\\spad{tree(l)} creates a chain tree from the list \\spad{l}") (($ |#1|) "\\spad{tree(nd)} creates a tree with value \\spad{nd,} and no children") (($ |#1| (|List| $)) "\\spad{tree(nd,ls)} creates a tree with value \\spad{nd,} and children \\spad{ls.}"))) 
-((-4571 . T) (-4572 . T) (-4317 . T)) 
+((-4600 . T) (-4601 . T) (-3348 . T)) 
 NIL 
 (-260 S) 
 ((|constructor| (NIL "This category is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm yields the full output of \\spad{tr,} otherwise encode(tr) is output (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput).")) (|encode| (((|String|) $) "\\spad{encode(t)} returns a string indicating the \"shape\" of the tree"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
 (-261 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
-((|constructor| (NIL "\\indented{1}{The following is all the categories, domains and package} used for the desingularisation be means of monoidal transformation (Blowing-up)")) (|genusTreeNeg| (((|Integer|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTreeNeg(n,listOfTrees)} computes the \"genus\" of a curve that may be not absolutly irreducible, where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol. A \"negative\" genus means that the curve is reducible \\spad{!!.}")) (|genusTree| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTree(n,listOfTrees)} computes the genus of a curve, where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol.")) (|genusNeg| (((|Integer|) |#3|) "\\spad{genusNeg(pol)} computes the \"genus\" of a curve that may be not absolutly irreducible. A \"negative\" genus means that the curve is reducible \\spad{!!.}")) (|genus| (((|NonNegativeInteger|) |#3|) "\\spad{genus(pol)} computes the genus of the curve defined by pol.")) (|initializeParamOfPlaces| (((|Void|) |#10| (|List| |#3|)) "initParLocLeaves(tr,listOfFnc) initialize the local parametrization at places corresponding to the leaves of \\spad{tr} according to the given list of functions in listOfFnc.") (((|Void|) |#10|) "initParLocLeaves(tr) initialize the local parametrization at places corresponding to the leaves of \\spad{tr.}")) (|initParLocLeaves| (((|Void|) |#10|) "\\spad{initParLocLeaves(tr)} initialize the local parametrization at simple points corresponding to the leaves of \\spad{tr.}")) (|fullParamInit| (((|Void|) |#10|) "\\spad{fullParamInit(tr)} initialize the local parametrization at all places (leaves of tr), computes the local exceptional divisor at each infinytly close points in the tree. This function is equivalent to the following called: initParLocLeaves(tr) initializeParamOfPlaces(tr) blowUpWithExcpDiv(tr)")) (|desingTree| (((|List| |#10|) |#3|) "\\spad{desingTree(pol)} returns all the desingularisation trees of all singular points on the curve defined by pol.")) (|desingTreeAtPoint| ((|#10| |#5| |#3|) "\\spad{desingTreeAtPoint(pt,pol)} computes the desingularisation tree at the point \\spad{pt} on the curve defined by pol. This function recursively compute the tree.")) (|adjunctionDivisor| ((|#8| |#10|) "\\spad{adjunctionDivisor(tr)} compute the local adjunction divisor of a desingularisation tree \\spad{tr} of a singular point.")) (|divisorAtDesingTree| ((|#8| |#3| |#10|) "\\spad{divisorAtDesingTree(f,tr)} computes the local divisor of \\spad{f} at a desingularisation tree \\spad{tr} of a singular point."))) 
+((|constructor| (NIL "The following is all the categories, domains and package used for the desingularisation be means of monoidal transformation (Blowing-up)")) (|genusTreeNeg| (((|Integer|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTreeNeg(n,listOfTrees)} computes the \"genus\" of a curve that may be not absolutly irreducible, where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol. A \"negative\" genus means that the curve is reducible \\spad{!!.}")) (|genusTree| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTree(n,listOfTrees)} computes the genus of a curve, where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol.")) (|genusNeg| (((|Integer|) |#3|) "\\spad{genusNeg(pol)} computes the \"genus\" of a curve that may be not absolutly irreducible. A \"negative\" genus means that the curve is reducible \\spad{!!.}")) (|genus| (((|NonNegativeInteger|) |#3|) "\\spad{genus(pol)} computes the genus of the curve defined by pol.")) (|initializeParamOfPlaces| (((|Void|) |#10| (|List| |#3|)) "initParLocLeaves(tr,listOfFnc) initialize the local parametrization at places corresponding to the leaves of \\spad{tr} according to the given list of functions in listOfFnc.") (((|Void|) |#10|) "initParLocLeaves(tr) initialize the local parametrization at places corresponding to the leaves of \\spad{tr.}")) (|initParLocLeaves| (((|Void|) |#10|) "\\spad{initParLocLeaves(tr)} initialize the local parametrization at simple points corresponding to the leaves of \\spad{tr.}")) (|fullParamInit| (((|Void|) |#10|) "\\spad{fullParamInit(tr)} initialize the local parametrization at all places (leaves of tr), computes the local exceptional divisor at each infinytly close points in the tree. This function is equivalent to the following called: initParLocLeaves(tr) initializeParamOfPlaces(tr) blowUpWithExcpDiv(tr)")) (|desingTree| (((|List| |#10|) |#3|) "\\spad{desingTree(pol)} returns all the desingularisation trees of all singular points on the curve defined by pol.")) (|desingTreeAtPoint| ((|#10| |#5| |#3|) "\\spad{desingTreeAtPoint(pt,pol)} computes the desingularisation tree at the point \\spad{pt} on the curve defined by pol. This function recursively compute the tree.")) (|adjunctionDivisor| ((|#8| |#10|) "\\spad{adjunctionDivisor(tr)} compute the local adjunction divisor of a desingularisation tree \\spad{tr} of a singular point.")) (|divisorAtDesingTree| ((|#8| |#3| |#10|) "\\spad{divisorAtDesingTree(f,tr)} computes the local divisor of \\spad{f} at a desingularisation tree \\spad{tr} of a singular point."))) 
 NIL 
 NIL 
 (-262 A S) 
@@ -1020,29 +1020,29 @@ NIL
 ((|constructor| (NIL "A domain used in the construction of the exterior algebra on a set \\spad{X} over a ring \\spad{R.} This domain represents the set of all ordered subsets of the set \\spad{X,} assumed to be in correspondance with {1,2,3, ...}. The ordered subsets are themselves ordered lexicographically and are in bijective correspondance with an ordered basis of the exterior algebra. In this domain we are dealing strictly with the exponents of basis elements which can only be 0 or 1. \\blankline The multiplicative identity element of the exterior algebra corresponds to the empty subset of \\spad{X.} A coerce from List Integer to an ordered basis element is provided to allow the convenient input of expressions. Another exported function forgets the ordered structure and simply returns the list corresponding to an ordered subset.")) (|Nul| (($ (|NonNegativeInteger|)) "\\spad{Nul()} gives the basis element 1 for the algebra generated by \\spad{n} generators.")) (|exponents| (((|List| (|Integer|)) $) "\\spad{exponents(x)} converts a domain element into a list of zeros and ones corresponding to the exponents in the basis element that \\spad{x} represents.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(x)} gives the numbers of 1's in \\spad{x,} \\spadignore{i.e.} the number of non-zero exponents in the basis element that \\spad{x} represents.")) (|coerce| (($ (|List| (|Integer|))) "\\spad{coerce(l)} converts a list of 0's and 1's into a basis element, where 1 (respectively 0) designates that the variable of the corresponding index of \\spad{l} is (respectively, is not) present. Error: if an element of \\spad{l} is not 0 or 1."))) 
 NIL 
 NIL 
-(-273 R -1647) 
+(-273 R -3280) 
 ((|constructor| (NIL "Provides elementary functions over an integral domain.")) (|localReal?| (((|Boolean|) |#2|) "\\spad{localReal?(x)} should be local but conditional")) (|specialTrigs| (((|Union| |#2| "failed") |#2| (|List| (|Record| (|:| |func| |#2|) (|:| |pole| (|Boolean|))))) "\\spad{specialTrigs(x,l)} should be local but conditional")) (|iiacsch| ((|#2| |#2|) "\\spad{iiacsch(x)} should be local but conditional")) (|iiasech| ((|#2| |#2|) "\\spad{iiasech(x)} should be local but conditional")) (|iiacoth| ((|#2| |#2|) "\\spad{iiacoth(x)} should be local but conditional")) (|iiatanh| ((|#2| |#2|) "\\spad{iiatanh(x)} should be local but conditional")) (|iiacosh| ((|#2| |#2|) "\\spad{iiacosh(x)} should be local but conditional")) (|iiasinh| ((|#2| |#2|) "\\spad{iiasinh(x)} should be local but conditional")) (|iicsch| ((|#2| |#2|) "\\spad{iicsch(x)} should be local but conditional")) (|iisech| ((|#2| |#2|) "\\spad{iisech(x)} should be local but conditional")) (|iicoth| ((|#2| |#2|) "\\spad{iicoth(x)} should be local but conditional")) (|iitanh| ((|#2| |#2|) "\\spad{iitanh(x)} should be local but conditional")) (|iicosh| ((|#2| |#2|) "\\spad{iicosh(x)} should be local but conditional")) (|iisinh| ((|#2| |#2|) "\\spad{iisinh(x)} should be local but conditional")) (|iiacsc| ((|#2| |#2|) "\\spad{iiacsc(x)} should be local but conditional")) (|iiasec| ((|#2| |#2|) "\\spad{iiasec(x)} should be local but conditional")) (|iiacot| ((|#2| |#2|) "\\spad{iiacot(x)} should be local but conditional")) (|iiatan| ((|#2| |#2|) "\\spad{iiatan(x)} should be local but conditional")) (|iiacos| ((|#2| |#2|) "\\spad{iiacos(x)} should be local but conditional")) (|iiasin| ((|#2| |#2|) "\\spad{iiasin(x)} should be local but conditional")) (|iicsc| ((|#2| |#2|) "\\spad{iicsc(x)} should be local but conditional")) (|iisec| ((|#2| |#2|) "\\spad{iisec(x)} should be local but conditional")) (|iicot| ((|#2| |#2|) "\\spad{iicot(x)} should be local but conditional")) (|iitan| ((|#2| |#2|) "\\spad{iitan(x)} should be local but conditional")) (|iicos| ((|#2| |#2|) "\\spad{iicos(x)} should be local but conditional")) (|iisin| ((|#2| |#2|) "\\spad{iisin(x)} should be local but conditional")) (|iilog| ((|#2| |#2|) "\\spad{iilog(x)} should be local but conditional")) (|iiexp| ((|#2| |#2|) "\\spad{iiexp(x)} should be local but conditional")) (|iisqrt3| ((|#2|) "\\spad{iisqrt3()} should be local but conditional")) (|iisqrt2| ((|#2|) "\\spad{iisqrt2()} should be local but conditional")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(p)} returns an elementary operator with the same symbol as \\spad{p}")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(p)} returns \\spad{true} if operator \\spad{p} is elementary")) (|pi| ((|#2|) "\\spad{pi()} returns the \\spad{pi} operator")) (|acsch| ((|#2| |#2|) "\\spad{acsch(x)} applies the inverse hyperbolic cosecant operator to \\spad{x}")) (|asech| ((|#2| |#2|) "\\spad{asech(x)} applies the inverse hyperbolic secant operator to \\spad{x}")) (|acoth| ((|#2| |#2|) "\\spad{acoth(x)} applies the inverse hyperbolic cotangent operator to \\spad{x}")) (|atanh| ((|#2| |#2|) "\\spad{atanh(x)} applies the inverse hyperbolic tangent operator to \\spad{x}")) (|acosh| ((|#2| |#2|) "\\spad{acosh(x)} applies the inverse hyperbolic cosine operator to \\spad{x}")) (|asinh| ((|#2| |#2|) "\\spad{asinh(x)} applies the inverse hyperbolic sine operator to \\spad{x}")) (|csch| ((|#2| |#2|) "\\spad{csch(x)} applies the hyperbolic cosecant operator to \\spad{x}")) (|sech| ((|#2| |#2|) "\\spad{sech(x)} applies the hyperbolic secant operator to \\spad{x}")) (|coth| ((|#2| |#2|) "\\spad{coth(x)} applies the hyperbolic cotangent operator to \\spad{x}")) (|tanh| ((|#2| |#2|) "\\spad{tanh(x)} applies the hyperbolic tangent operator to \\spad{x}")) (|cosh| ((|#2| |#2|) "\\spad{cosh(x)} applies the hyperbolic cosine operator to \\spad{x}")) (|sinh| ((|#2| |#2|) "\\spad{sinh(x)} applies the hyperbolic sine operator to \\spad{x}")) (|acsc| ((|#2| |#2|) "\\spad{acsc(x)} applies the inverse cosecant operator to \\spad{x}")) (|asec| ((|#2| |#2|) "\\spad{asec(x)} applies the inverse secant operator to \\spad{x}")) (|acot| ((|#2| |#2|) "\\spad{acot(x)} applies the inverse cotangent operator to \\spad{x}")) (|atan| ((|#2| |#2|) "\\spad{atan(x)} applies the inverse tangent operator to \\spad{x}")) (|acos| ((|#2| |#2|) "\\spad{acos(x)} applies the inverse cosine operator to \\spad{x}")) (|asin| ((|#2| |#2|) "\\spad{asin(x)} applies the inverse sine operator to \\spad{x}")) (|csc| ((|#2| |#2|) "\\spad{csc(x)} applies the cosecant operator to \\spad{x}")) (|sec| ((|#2| |#2|) "\\spad{sec(x)} applies the secant operator to \\spad{x}")) (|cot| ((|#2| |#2|) "\\spad{cot(x)} applies the cotangent operator to \\spad{x}")) (|tan| ((|#2| |#2|) "\\spad{tan(x)} applies the tangent operator to \\spad{x}")) (|cos| ((|#2| |#2|) "\\spad{cos(x)} applies the cosine operator to \\spad{x}")) (|sin| ((|#2| |#2|) "\\spad{sin(x)} applies the sine operator to \\spad{x}")) (|log| ((|#2| |#2|) "\\spad{log(x)} applies the logarithm operator to \\spad{x}")) (|exp| ((|#2| |#2|) "\\spad{exp(x)} applies the exponential operator to \\spad{x}"))) 
 NIL 
 NIL 
-(-274 R -1647) 
+(-274 R -3280) 
 ((|constructor| (NIL "ElementaryFunctionStructurePackage provides functions to test the algebraic independence of various elementary functions, using the Risch structure theorem (real and complex versions). It also provides transformations on elementary functions which are not considered simplifications.")) (|tanQ| ((|#2| (|Fraction| (|Integer|)) |#2|) "\\spad{tanQ(q,a)} is a local function with a conditional implementation.")) (|rootNormalize| ((|#2| |#2| (|Kernel| |#2|)) "\\spad{rootNormalize(f, \\spad{k)}} returns \\spad{f} rewriting either \\spad{k} which must be an nth-root in terms of radicals already in \\spad{f}, or some radicals in \\spad{f} in terms of \\spad{k}.")) (|validExponential| (((|Union| |#2| "failed") (|List| (|Kernel| |#2|)) |#2| (|Symbol|)) "\\spad{validExponential([k1,...,kn],f,x)} returns \\spad{g} if \\spad{exp(f)=g} and \\spad{g} involves only \\spad{k1...kn}, and \"failed\" otherwise.")) (|realElementary| ((|#2| |#2| (|Symbol|)) "\\spad{realElementary(f,x)} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 4 fundamental real transcendental elementary functions: \\spad{log, exp, tan, atan}.") ((|#2| |#2|) "\\spad{realElementary(f)} rewrites \\spad{f} in terms of the 4 fundamental real transcendental elementary functions: \\spad{log, exp, tan, atan}.")) (|rischNormalize| (((|Record| (|:| |func| |#2|) (|:| |kers| (|List| (|Kernel| |#2|))) (|:| |vals| (|List| |#2|))) |#2| (|Symbol|)) "\\spad{rischNormalize(f, \\spad{x)}} returns \\spad{[g, [k1,...,kn], [h1,...,hn]]} such that \\spad{g = normalize(f, \\spad{x)}} and each \\spad{ki} was rewritten as \\spad{hi} during the normalization.")) (|normalize| ((|#2| |#2| (|Symbol|)) "\\spad{normalize(f, \\spad{x)}} rewrites \\spad{f} using the least possible number of real algebraically independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{normalize(f)} rewrites \\spad{f} using the least possible number of real algebraically independent kernels."))) 
 NIL 
 NIL 
 (-275 |Coef| UTS ULS) 
-((|constructor| (NIL "This package provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of Laurent series \\spad{z.}")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of Laurent series \\spad{z.}")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of Laurent series \\spad{z.}")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of Laurent series \\spad{z.}")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of Laurent series \\spad{z.}")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of Laurent series \\spad{z.}")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of Laurent series \\spad{z.}")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of Laurent series \\spad{z.}")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of Laurent series \\spad{z.}")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of Laurent series \\spad{z.}")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of Laurent series \\spad{z.}")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of Laurent series \\spad{z.}")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of Laurent series \\spad{z.}")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of Laurent series \\spad{z.}")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of Laurent series \\spad{z.}")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of Laurent series \\spad{z.}")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of Laurent series \\spad{z.}")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of Laurent series \\spad{z.}")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of Laurent series \\spad{z.}")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of Laurent series \\spad{z.}")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of Laurent series \\spad{z.}")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of Laurent series \\spad{z.}")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of Laurent series \\spad{z.}")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of Laurent series \\spad{z.}")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of Laurent series \\spad{z.}")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of Laurent series \\spad{z.}")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{s \\spad{**} \\spad{r}} raises a Laurent series \\spad{s} to a rational power \\spad{r}"))) 
+((|constructor| (NIL "This domain provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of Laurent series \\spad{z.}")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of Laurent series \\spad{z.}")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of Laurent series \\spad{z.}")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of Laurent series \\spad{z.}")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of Laurent series \\spad{z.}")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of Laurent series \\spad{z.}")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of Laurent series \\spad{z.}")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of Laurent series \\spad{z.}")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of Laurent series \\spad{z.}")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of Laurent series \\spad{z.}")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of Laurent series \\spad{z.}")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of Laurent series \\spad{z.}")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of Laurent series \\spad{z.}")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of Laurent series \\spad{z.}")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of Laurent series \\spad{z.}")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of Laurent series \\spad{z.}")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of Laurent series \\spad{z.}")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of Laurent series \\spad{z.}")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of Laurent series \\spad{z.}")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of Laurent series \\spad{z.}")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of Laurent series \\spad{z.}")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of Laurent series \\spad{z.}")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of Laurent series \\spad{z.}")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of Laurent series \\spad{z.}")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of Laurent series \\spad{z.}")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of Laurent series \\spad{z.}")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{s \\spad{**} \\spad{r}} raises a Laurent series \\spad{s} to a rational power \\spad{r}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-366)))) 
+((|HasCategory| |#1| (QUOTE (-367)))) 
 (-276 |Coef| ULS UPXS EFULS) 
 ((|constructor| (NIL "This package provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of a Puiseux series \\spad{z.}")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of a Puiseux series \\spad{z.}")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of a Puiseux series \\spad{z.}")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of a Puiseux series \\spad{z.}")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of a Puiseux series \\spad{z.}")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of a Puiseux series \\spad{z.}")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of a Puiseux series \\spad{z.}")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of a Puiseux series \\spad{z.}")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of a Puiseux series \\spad{z.}")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of a Puiseux series \\spad{z.}")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of a Puiseux series \\spad{z.}")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of a Puiseux series \\spad{z.}")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of a Puiseux series \\spad{z.}")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of a Puiseux series \\spad{z.}")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of a Puiseux series \\spad{z.}")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of a Puiseux series \\spad{z.}")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of a Puiseux series \\spad{z.}")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of a Puiseux series \\spad{z.}")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of a Puiseux series \\spad{z.}")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of a Puiseux series \\spad{z.}")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of a Puiseux series \\spad{z.}")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of a Puiseux series \\spad{z.}")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of a Puiseux series \\spad{z.}")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of a Puiseux series \\spad{z.}")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of a Puiseux series \\spad{z.}")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of a Puiseux series \\spad{z.}")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{z \\spad{**} \\spad{r}} raises a Puiseaux series \\spad{z} to a rational power \\spad{r}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-366)))) 
+((|HasCategory| |#1| (QUOTE (-367)))) 
 (-277 A S) 
 ((|constructor| (NIL "An extensible aggregate is one which allows insertion and deletion of entries. These aggregates are models of lists and streams which are represented by linked structures so as to make insertion, deletion, and concatenation efficient. However, access to elements of these extensible aggregates is generally slow since access is made from the end. See \\spadtype{FlexibleArray} for an exception.")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(u)} destructively removes duplicates from u.")) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select!(p,u)} destructively changes \\spad{u} by keeping only values \\spad{x} such that \\axiom{p(x)}.")) (|merge!| (($ $ $) "\\spad{merge!(u,v)} destructively merges \\spad{u} and \\spad{v} in ascending order.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) "\\spad{merge!(p,u,v)} destructively merges \\spad{u} and \\spad{v} using predicate \\spad{p.}")) (|insert!| (($ $ $ (|Integer|)) "\\spad{insert!(v,u,i)} destructively inserts aggregate \\spad{v} into \\spad{u} at position i.") (($ |#2| $ (|Integer|)) "\\spad{insert!(x,u,i)} destructively inserts \\spad{x} into \\spad{u} at position i.")) (|remove!| (($ |#2| $) "\\spad{remove!(x,u)} destructively removes all values \\spad{x} from u.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove!(p,u)} destructively removes all elements \\spad{x} of \\spad{u} such that \\axiom{p(x)} is true.")) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete!(u,i..j)} destructively deletes elements u.i through u.j.") (($ $ (|Integer|)) "\\indented{1}{delete!(u,i) destructively deletes the \\axiom{i}th element of u.} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data \\spad{E} delete!(a1,1)")) (|concat!| (($ $ $) "\\spad{concat!(u,v)} destructively appends \\spad{v} to the end of u. \\spad{v} is unchanged") (($ $ |#2|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093)))) 
+((|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-1097)))) 
 (-278 S) 
 ((|constructor| (NIL "An extensible aggregate is one which allows insertion and deletion of entries. These aggregates are models of lists and streams which are represented by linked structures so as to make insertion, deletion, and concatenation efficient. However, access to elements of these extensible aggregates is generally slow since access is made from the end. See \\spadtype{FlexibleArray} for an exception.")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(u)} destructively removes duplicates from u.")) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select!(p,u)} destructively changes \\spad{u} by keeping only values \\spad{x} such that \\axiom{p(x)}.")) (|merge!| (($ $ $) "\\spad{merge!(u,v)} destructively merges \\spad{u} and \\spad{v} in ascending order.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) "\\spad{merge!(p,u,v)} destructively merges \\spad{u} and \\spad{v} using predicate \\spad{p.}")) (|insert!| (($ $ $ (|Integer|)) "\\spad{insert!(v,u,i)} destructively inserts aggregate \\spad{v} into \\spad{u} at position i.") (($ |#1| $ (|Integer|)) "\\spad{insert!(x,u,i)} destructively inserts \\spad{x} into \\spad{u} at position i.")) (|remove!| (($ |#1| $) "\\spad{remove!(x,u)} destructively removes all values \\spad{x} from u.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove!(p,u)} destructively removes all elements \\spad{x} of \\spad{u} such that \\axiom{p(x)} is true.")) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete!(u,i..j)} destructively deletes elements u.i through u.j.") (($ $ (|Integer|)) "\\indented{1}{delete!(u,i) destructively deletes the \\axiom{i}th element of u.} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data \\spad{E} delete!(a1,1)")) (|concat!| (($ $ $) "\\spad{concat!(u,v)} destructively appends \\spad{v} to the end of u. \\spad{v} is unchanged") (($ $ |#1|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u."))) 
-((-4572 . T) (-4317 . T)) 
+((-4601 . T) (-3348 . T)) 
 NIL 
 (-279 S) 
 ((|constructor| (NIL "Category for the elementary functions.")) (** (($ $ $) "\\spad{x**y} returns \\spad{x} to the power \\spad{y.}")) (|exp| (($ $) "\\spad{exp(x)} returns \\%e to the power \\spad{x.}")) (|log| (($ $) "\\spad{log(x)} returns the natural logarithm of \\spad{x.}"))) 
@@ -1057,24 +1057,24 @@ NIL
 NIL 
 NIL 
 (-282 S |Index|) 
-((|constructor| (NIL "An eltable over domains \\spad{D} and \\spad{I} is a structure which can be viewed as a function from \\spad{D} to I. Examples of eltable structures range from data structures, \\spadignore{e.g.} those of type \\spadtype{List}, to algebraic structures like \\spadtype{Polynomial}.")) (|elt| ((|#2| $ |#1|) "\\spad{elt(u,i)} (also written: \\spad{u} . i) returns the element of \\spad{u} indexed by i. Error: if \\spad{i} is not an index of u."))) 
+((|constructor| (NIL "An eltable over domains \\spad{D} and \\spad{I} is a structure which can be viewed as a function from \\spad{D} to I. Examples of eltable structures range from data structures, For example, those of type List, to algebraic structures like Polynomial.")) (|elt| ((|#2| $ |#1|) "\\spad{elt(u,i)} (also written: \\spad{u} . i) returns the element of \\spad{u} indexed by i. Error: if \\spad{i} is not an index of u."))) 
 NIL 
 NIL 
 (-283 S |Dom| |Im|) 
-((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example, the list \\axiom{[1,7,4]} can applied to 0,1, and 2 respectively will return the integers 1,7, and 4; thus this list may be viewed as mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#3| $ |#2| |#3|) "\\spad{qsetelt!(u,x,y)} sets the image of \\axiom{x} to be \\axiom{y} under \\axiom{u}, without checking that \\axiom{x} is in the domain of \\axiom{u}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(u,x,y)} sets the image of \\spad{x} to be \\spad{y} under u, assuming \\spad{x} is in the domain of u. Error: if \\spad{x} is not in the domain of u.")) (|qelt| ((|#3| $ |#2|) "\\spad{qelt(u, \\spad{x)}} applies \\axiom{u} to \\axiom{x} without checking whether \\axiom{x} is in the domain of \\axiom{u}. If \\axiom{x} is not in the domain of \\axiom{u} a memory-access violation may occur. If a check on whether \\axiom{x} is in the domain of \\axiom{u} is required, use the function \\axiom{elt}.")) (|elt| ((|#3| $ |#2| |#3|) "\\spad{elt(u, \\spad{x,} \\spad{y)}} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of u, and returns \\spad{y} otherwise. For example, if \\spad{u} is a polynomial in \\axiom{x} over the rationals, \\axiom{elt(u,n,0)} may define the coefficient of \\axiom{x} to the power \\spad{n,} returning 0 when \\spad{n} is out of range."))) 
+((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example, the list [1,7,4] can applied to 0,1, and 2 respectively will return the integers 1, 7, and 4; thus this list may be viewed as mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#3| $ |#2| |#3|) "\\spad{qsetelt!(u,x,y)} sets the image of \\axiom{x} to be \\axiom{y} under \\axiom{u}, without checking that \\axiom{x} is in the domain of \\axiom{u}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(u,x,y)} sets the image of \\spad{x} to be \\spad{y} under u, assuming \\spad{x} is in the domain of u. Error: if \\spad{x} is not in the domain of u.")) (|qelt| ((|#3| $ |#2|) "\\spad{qelt(u, \\spad{x)}} applies \\axiom{u} to \\axiom{x} without checking whether \\axiom{x} is in the domain of \\axiom{u}. If \\axiom{x} is not in the domain of \\axiom{u} a memory-access violation may occur. If a check on whether \\axiom{x} is in the domain of \\axiom{u} is required, use the function \\axiom{elt}.")) (|elt| ((|#3| $ |#2| |#3|) "\\spad{elt(u, \\spad{x,} \\spad{y)}} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of u, and returns \\spad{y} otherwise. For example, if \\spad{u} is a polynomial in \\axiom{x} over the rationals, \\axiom{elt(u,n,0)} may define the coefficient of \\axiom{x} to the power \\spad{n,} returning 0 when \\spad{n} is out of range."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4572))) 
+((|HasAttribute| |#1| (QUOTE -4601))) 
 (-284 |Dom| |Im|) 
-((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example, the list \\axiom{[1,7,4]} can applied to 0,1, and 2 respectively will return the integers 1,7, and 4; thus this list may be viewed as mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#2| $ |#1| |#2|) "\\spad{qsetelt!(u,x,y)} sets the image of \\axiom{x} to be \\axiom{y} under \\axiom{u}, without checking that \\axiom{x} is in the domain of \\axiom{u}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(u,x,y)} sets the image of \\spad{x} to be \\spad{y} under u, assuming \\spad{x} is in the domain of u. Error: if \\spad{x} is not in the domain of u.")) (|qelt| ((|#2| $ |#1|) "\\spad{qelt(u, \\spad{x)}} applies \\axiom{u} to \\axiom{x} without checking whether \\axiom{x} is in the domain of \\axiom{u}. If \\axiom{x} is not in the domain of \\axiom{u} a memory-access violation may occur. If a check on whether \\axiom{x} is in the domain of \\axiom{u} is required, use the function \\axiom{elt}.")) (|elt| ((|#2| $ |#1| |#2|) "\\spad{elt(u, \\spad{x,} \\spad{y)}} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of u, and returns \\spad{y} otherwise. For example, if \\spad{u} is a polynomial in \\axiom{x} over the rationals, \\axiom{elt(u,n,0)} may define the coefficient of \\axiom{x} to the power \\spad{n,} returning 0 when \\spad{n} is out of range."))) 
+((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example, the list [1,7,4] can applied to 0,1, and 2 respectively will return the integers 1, 7, and 4; thus this list may be viewed as mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#2| $ |#1| |#2|) "\\spad{qsetelt!(u,x,y)} sets the image of \\axiom{x} to be \\axiom{y} under \\axiom{u}, without checking that \\axiom{x} is in the domain of \\axiom{u}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(u,x,y)} sets the image of \\spad{x} to be \\spad{y} under u, assuming \\spad{x} is in the domain of u. Error: if \\spad{x} is not in the domain of u.")) (|qelt| ((|#2| $ |#1|) "\\spad{qelt(u, \\spad{x)}} applies \\axiom{u} to \\axiom{x} without checking whether \\axiom{x} is in the domain of \\axiom{u}. If \\axiom{x} is not in the domain of \\axiom{u} a memory-access violation may occur. If a check on whether \\axiom{x} is in the domain of \\axiom{u} is required, use the function \\axiom{elt}.")) (|elt| ((|#2| $ |#1| |#2|) "\\spad{elt(u, \\spad{x,} \\spad{y)}} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of u, and returns \\spad{y} otherwise. For example, if \\spad{u} is a polynomial in \\axiom{x} over the rationals, \\axiom{elt(u,n,0)} may define the coefficient of \\axiom{x} to the power \\spad{n,} returning 0 when \\spad{n} is out of range."))) 
 NIL 
 NIL 
-(-285 S R |Mod| -2688 -2102 |exactQuo|) 
+(-285 S R |Mod| -2203 -3491 |exactQuo|) 
 ((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{ModularRing}, \\spadtype{ModularField}")) (|elt| ((|#2| $ |#2|) "\\spad{elt(x,r)} or \\spad{x.r} is not documented")) (|inv| (($ $) "\\spad{inv(x)} is not documented")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} is not documented")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,y)} is not documented")) (|reduce| (($ |#2| |#3|) "\\spad{reduce(r,m)} is not documented")) (|coerce| ((|#2| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#3| $) "\\spad{modulus(x)} is not documented"))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-286) 
 ((|constructor| (NIL "Entire Rings (non-commutative Integral Domains), \\spadignore{i.e.} a ring not necessarily commutative which has no zero divisors. \\blankline Axioms\\br \\tab{5}\\spad{ab=0 \\spad{=>} \\spad{a=0} or b=0} \\spad{--} known as noZeroDivisors\\br \\tab{5}\\spad{not(1=0)}")) (|noZeroDivisors| ((|attribute|) "if a product is zero then one of the factors must be zero."))) 
-((-4564 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-287 R) 
 ((|constructor| (NIL "This is a package for the exact computation of eigenvalues and eigenvectors. This package can be made to work for matrices with coefficients which are rational functions over a ring where we can factor polynomials. Rational eigenvalues are always explicitly computed while the non-rational ones are expressed in terms of their minimal polynomial.")) (|eigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvectors(m)} returns the eigenvalues and eigenvectors for the matrix \\spad{m.} The rational eigenvalues and the correspondent eigenvectors are explicitely computed, while the non rational ones are given via their minimal polynomial and the corresponding eigenvectors are expressed in terms of a \"generic\" root of such a polynomial.")) (|generalizedEigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{generalizedEigenvectors(m)} returns the generalized eigenvectors of the matrix \\spad{m.}")) (|generalizedEigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{generalizedEigenvector(eigen,m)} returns the generalized eigenvectors of the matrix relative to the eigenvalue eigen, as returned by the function eigenvectors.") (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalizedEigenvector(alpha,m,k,g)} returns the generalized eigenvectors of the matrix relative to the eigenvalue alpha. The integers \\spad{k} and \\spad{g} are respectively the algebraic and the geometric multiplicity of tye eigenvalue alpha. \\spad{alpha} can be either rational or not. In the seconda case apha is the minimal polynomial of the eigenvalue.")) (|eigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvector(eigval,m)} returns the eigenvectors belonging to the eigenvalue \\spad{eigval} for the matrix \\spad{m.}")) (|eigenvalues| (((|List| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvalues(m)} returns the eigenvalues of the matrix \\spad{m} which are expressible as rational functions over the rational numbers.")) (|characteristicPolynomial| (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{characteristicPolynomial(m)} returns the characteristicPolynomial of the matrix \\spad{m} using a new generated symbol symbol as the main variable.") (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{characteristicPolynomial(m,var)} returns the characteristicPolynomial of the matrix \\spad{m} using the symbol \\spad{var} as the main variable."))) 
@@ -1086,21 +1086,21 @@ NIL
 NIL 
 (-289 S) 
 ((|constructor| (NIL "Equations as mathematical objects. All properties of the basis domain, \\spadignore{e.g.} being an abelian group are carried over the equation domain, by performing the structural operations on the left and on the right hand side.")) (|subst| (($ $ $) "\\spad{subst(eq1,eq2)} substitutes \\spad{eq2} into both sides of \\spad{eq1} the \\spad{lhs} of \\spad{eq2} should be a kernel")) (|inv| (($ $) "\\spad{inv(x)} returns the multiplicative inverse of \\spad{x.}")) (/ (($ $ $) "\\spad{e1/e2} produces a new equation by dividing the left and right hand sides of equations \\spad{e1} and e2.")) (|factorAndSplit| (((|List| $) $) "\\spad{factorAndSplit(eq)} make the right hand side 0 and factors the new left hand side. Each factor is equated to 0 and put into the resulting list without repetitions.")) (|rightOne| (((|Union| $ "failed") $) "\\spad{rightOne(eq)} divides by the right hand side.") (((|Union| $ "failed") $) "\\spad{rightOne(eq)} divides by the right hand side, if possible.")) (|leftOne| (((|Union| $ "failed") $) "\\spad{leftOne(eq)} divides by the left hand side.") (((|Union| $ "failed") $) "\\spad{leftOne(eq)} divides by the left hand side, if possible.")) (* (($ $ |#1|) "\\spad{eqn*x} produces a new equation by multiplying both sides of equation eqn by \\spad{x.}") (($ |#1| $) "\\spad{x*eqn} produces a new equation by multiplying both sides of equation eqn by \\spad{x.}")) (- (($ $ |#1|) "\\spad{eqn-x} produces a new equation by subtracting \\spad{x} from both sides of equation eqn.") (($ |#1| $) "\\spad{x-eqn} produces a new equation by subtracting both sides of equation eqn from \\spad{x.}")) (|rightZero| (($ $) "\\spad{rightZero(eq)} subtracts the right hand side.")) (|leftZero| (($ $) "\\spad{leftZero(eq)} subtracts the left hand side.")) (+ (($ $ |#1|) "\\spad{eqn+x} produces a new equation by adding \\spad{x} to both sides of equation eqn.") (($ |#1| $) "\\spad{x+eqn} produces a new equation by adding \\spad{x} to both sides of equation eqn.")) (|eval| (($ $ (|List| $)) "\\spad{eval(eqn, [x1=v1, \\spad{...} xn=vn])} replaces \\spad{xi} by \\spad{vi} in equation eqn.") (($ $ $) "\\spad{eval(eqn, x=f)} replaces \\spad{x} by \\spad{f} in equation eqn.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,eqn)} constructs a new equation by applying \\spad{f} to both sides of eqn.")) (|rhs| ((|#1| $) "\\spad{rhs(eqn)} returns the right hand side of equation eqn.")) (|lhs| ((|#1| $) "\\spad{lhs(eqn)} returns the left hand side of equation eqn.")) (|swap| (($ $) "\\spad{swap(eq)} interchanges left and right hand side of equation eq.")) (|equation| (($ |#1| |#1|) "\\spad{equation(a,b)} creates an equation.")) (= (($ |#1| |#1|) "\\spad{a=b} creates an equation."))) 
-((-4568 -1929 (|has| |#1| (-1049)) (|has| |#1| (-479))) (-4565 |has| |#1| (-1049)) (-4566 |has| |#1| (-1049))) 
-((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (QUOTE (-1049))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-297))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-479)))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-718))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-718)))) (|HasCategory| |#1| (QUOTE (-1105))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#1| (QUOTE (-1105)))) (|HasCategory| |#1| (QUOTE (-21))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-718)))) (|HasCategory| |#1| (QUOTE (-25))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#1| (QUOTE (-1049))) (|HasCategory| |#1| (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+((-4597 -1831 (|has| |#1| (-1053)) (|has| |#1| (-481))) (-4594 |has| |#1| (-1053)) (-4595 |has| |#1| (-1053))) 
+((|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (QUOTE (-1053))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-1053)))) (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#1| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-297))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-481)))) (-1831 (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#1| (QUOTE (-1053)))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-1053)))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-721))) (-1831 (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#1| (QUOTE (-721)))) (|HasCategory| |#1| (QUOTE (-1109))) (-1831 (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#1| (QUOTE (-721))) (|HasCategory| |#1| (QUOTE (-1109)))) (|HasCategory| |#1| (QUOTE (-21))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-1053)))) (-1831 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-721)))) (|HasCategory| |#1| (QUOTE (-25))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-1053)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#1| (QUOTE (-721))) (|HasCategory| |#1| (QUOTE (-1053))) (|HasCategory| |#1| (QUOTE (-1109))) (|HasCategory| |#1| (QUOTE (-1097))))) 
 (-290 |Key| |Entry|) 
 ((|constructor| (NIL "This domain provides tables where the keys are compared using \\spadfun{eq?}. Thus keys are considered equal only if they are the same instance of a structure."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-1097))) (-1831 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-1097)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097))))) 
 (-291) 
 ((|constructor| (NIL "ErrorFunctions implements error functions callable from the system interpreter. Typically, these functions would be called in user functions. The simple forms of the functions take one argument which is either a string (an error message) or a list of strings which all together make up a message. The list can contain formatting codes (see below). The more sophisticated versions takes two arguments where the first argument is the name of the function from which the error was invoked and the second argument is either a string or a list of strings, as above. When you use the one argument version in an interpreter function, the system will automatically insert the name of the function as the new first argument. Thus in the user interpreter function\\br \\tab{5}\\spad{f \\spad{x} \\spad{==} if \\spad{x} < 0 then error \"negative argument\" else x}\\br the call to error will actually be of the form\\br \\tab{5}\\spad{error(\"f\",\"negative argument\")}\\br because the interpreter will have created a new first argument. \\blankline Formatting codes: error messages may contain the following formatting codes (they should either start or end a string or else have blanks around them):\\br \\spad{\\%l}\\tab{6}start a new line\\br \\spad{\\%b}\\tab{6}start printing in a bold font (where available)\\br \\spad{\\%d}\\tab{6}stop printing in a bold font (where available)\\br \\spad{\\%ceon}\\tab{3}start centering message lines\\br \\spad{\\%ceoff}\\tab{2}stop centering message lines\\br \\spad{\\%rjon}\\tab{3}start displaying lines \"ragged left\"\\br \\spad{\\%rjoff}\\tab{2}stop displaying lines \"ragged left\"\\br \\spad{\\%i}\\tab{6}indent following lines 3 additional spaces\\br \\spad{\\%u}\\tab{6}unindent following lines 3 additional spaces\\br \\spad{\\%xN}\\tab{5}insert \\spad{N} blanks (eg, \\spad{\\%x10} inserts 10 blanks) \\blankline")) (|error| (((|Exit|) (|String|) (|List| (|String|))) "\\spad{error(nam,lmsg)} displays error messages \\spad{lmsg} preceded by a message containing the name \\spad{nam} of the function in which the error is contained.") (((|Exit|) (|String|) (|String|)) "\\spad{error(nam,msg)} displays error message \\spad{msg} preceded by a message containing the name \\spad{nam} of the function in which the error is contained.") (((|Exit|) (|List| (|String|))) "\\spad{error(lmsg)} displays error message \\spad{lmsg} and terminates.") (((|Exit|) (|String|)) "\\spad{error(msg)} displays error message \\spad{msg} and terminates."))) 
 NIL 
 NIL 
-(-292 -1647 S) 
+(-292 -3280 S) 
 ((|constructor| (NIL "This package allows a map from any expression space into any object to be lifted to a kernel over the expression set, using a given property of the operator of the kernel.")) (|map| ((|#2| (|Mapping| |#2| |#1|) (|String|) (|Kernel| |#1|)) "\\spad{map(f, \\spad{p,} \\spad{k)}} uses the property \\spad{p} of the operator of \\spad{k,} in order to lift \\spad{f} and apply it to \\spad{k.}"))) 
 NIL 
 NIL 
-(-293 E -1647) 
+(-293 E -3280) 
 ((|constructor| (NIL "This package allows a mapping \\spad{E} \\spad{->} \\spad{F} to be lifted to a kernel over E; This lifting can fail if the operator of the kernel cannot be applied in \\spad{F;} Do not use this package with \\spad{E} = \\spad{F,} since this may drop some properties of the operators.")) (|map| ((|#2| (|Mapping| |#2| |#1|) (|Kernel| |#1|)) "\\spad{map(f, \\spad{k)}} returns \\spad{g = op(f(a1),...,f(an))} where \\spad{k = op(a1,...,an)}."))) 
 NIL 
 NIL 
@@ -1115,7 +1115,7 @@ NIL
 (-296 S) 
 ((|constructor| (NIL "An expression space is a set which is closed under certain operators.")) (|odd?| (((|Boolean|) $) "\\spad{odd? \\spad{x}} is \\spad{true} if \\spad{x} is an odd integer.")) (|even?| (((|Boolean|) $) "\\spad{even? \\spad{x}} is \\spad{true} if \\spad{x} is an even integer.")) (|definingPolynomial| (($ $) "\\spad{definingPolynomial(x)} returns an expression \\spad{p} such that \\spad{p(x) = 0}.")) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{minPoly(k)} returns \\spad{p} such that \\spad{p(k) = 0}.")) (|eval| (($ $ (|BasicOperator|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.")) (|freeOf?| (((|Boolean|) $ (|Symbol|)) "\\spad{freeOf?(x, \\spad{s)}} tests if \\spad{x} does not contain any operator whose name is \\spad{s.}") (((|Boolean|) $ $) "\\spad{freeOf?(x, \\spad{y)}} tests if \\spad{x} does not contain any occurrence of \\spad{y,} where \\spad{y} is a single kernel.")) (|map| (($ (|Mapping| $ $) (|Kernel| $)) "\\spad{map(f, \\spad{k)}} returns \\spad{op(f(x1),...,f(xn))} where \\spad{k = op(x1,...,xn)}.")) (|kernel| (($ (|BasicOperator|) (|List| $)) "\\spad{kernel(op, [f1,...,fn])} constructs \\spad{op(f1,...,fn)} without evaluating it.") (($ (|BasicOperator|) $) "\\spad{kernel(op, \\spad{x)}} constructs op(x) without evaluating it.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(x, \\spad{s)}} tests if \\spad{x} is a kernel and is the name of its operator is \\spad{s.}") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(x, op)} tests if \\spad{x} is a kernel and is its operator is op.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} tests if \\% accepts \\spad{op} as applicable to its elements.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{%.}")) (|operators| (((|List| (|BasicOperator|)) $) "\\spad{operators(f)} returns all the basic operators appearing in \\spad{f,} no matter what their levels are.")) (|tower| (((|List| (|Kernel| $)) $) "\\spad{tower(f)} returns all the kernels appearing in \\spad{f,} no matter what their levels are.")) (|kernels| (((|List| (|Kernel| $)) $) "\\spad{kernels(f)} returns the list of all the top-level kernels appearing in \\spad{f,} but not the ones appearing in the arguments of the top-level kernels.")) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) "\\spad{mainKernel(f)} returns a kernel of \\spad{f} with maximum nesting level, or if \\spad{f} has no kernels (\\spadignore{i.e.} \\spad{f} is a constant).")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(f)} returns the highest nesting level appearing in \\spad{f.} Constants have height 0. Symbols have height 1. For any operator op and expressions f1,...,fn, \\spad{op(f1,...,fn)} has height equal to \\spad{1 + max(height(f1),...,height(fn))}.")) (|distribute| (($ $ $) "\\spad{distribute(f, \\spad{g)}} expands all the kernels in \\spad{f} that contain \\spad{g} in their arguments and that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or a \\spadfunFrom{paren}{ExpressionSpace} expression.") (($ $) "\\spad{distribute(f)} expands all the kernels in \\spad{f} that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or \\spadfunFrom{paren}{ExpressionSpace} expression.")) (|paren| (($ (|List| $)) "\\spad{paren([f1,...,fn])} returns \\spad{(f1,...,fn)}. This prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(paren \\spad{[x,} 2])} returns the formal kernel \\spad{atan((x, 2))}.") (($ $) "\\spad{paren(f)} returns (f). This prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(paren 1)} returns the formal kernel log((1)).")) (|box| (($ (|List| $)) "\\spad{box([f1,...,fn])} returns \\spad{(f1,...,fn)} with a 'box' around them that prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(box \\spad{[x,} 2])} returns the formal kernel \\spad{atan(x, 2)}.") (($ $) "\\spad{box(f)} returns \\spad{f} with a 'box' around it that prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(box 1)} returns the formal kernel log(1).")) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) "\\spad{subst(f, [k1...,kn], [g1,...,gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|List| (|Equation| $))) "\\spad{subst(f, \\spad{[k1} = g1,...,kn = gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|Equation| $)) "\\spad{subst(f, \\spad{k} = \\spad{g)}} replaces the kernel \\spad{k} by \\spad{g} formally in \\spad{f.}")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,[x1,...,xn])} or op([x1,...,xn]) applies the n-ary operator \\spad{op} to x1,...,xn.") (($ (|BasicOperator|) $ $ $ $) "\\spad{elt(op,x,y,z,t)} or op(x, \\spad{y,} \\spad{z,} \\spad{t)} applies the 4-ary operator \\spad{op} to \\spad{x,} \\spad{y,} \\spad{z} and \\spad{t.}") (($ (|BasicOperator|) $ $ $) "\\spad{elt(op,x,y,z)} or op(x, \\spad{y,} \\spad{z)} applies the ternary operator \\spad{op} to \\spad{x,} \\spad{y} and \\spad{z.}") (($ (|BasicOperator|) $ $) "\\spad{elt(op,x,y)} or op(x, \\spad{y)} applies the binary operator \\spad{op} to \\spad{x} and \\spad{y.}") (($ (|BasicOperator|) $) "\\spad{elt(op,x)} or op(x) applies the unary operator \\spad{op} to \\spad{x.}"))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) 
+((|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-1053)))) 
 (-297) 
 ((|constructor| (NIL "An expression space is a set which is closed under certain operators.")) (|odd?| (((|Boolean|) $) "\\spad{odd? \\spad{x}} is \\spad{true} if \\spad{x} is an odd integer.")) (|even?| (((|Boolean|) $) "\\spad{even? \\spad{x}} is \\spad{true} if \\spad{x} is an even integer.")) (|definingPolynomial| (($ $) "\\spad{definingPolynomial(x)} returns an expression \\spad{p} such that \\spad{p(x) = 0}.")) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{minPoly(k)} returns \\spad{p} such that \\spad{p(k) = 0}.")) (|eval| (($ $ (|BasicOperator|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.")) (|freeOf?| (((|Boolean|) $ (|Symbol|)) "\\spad{freeOf?(x, \\spad{s)}} tests if \\spad{x} does not contain any operator whose name is \\spad{s.}") (((|Boolean|) $ $) "\\spad{freeOf?(x, \\spad{y)}} tests if \\spad{x} does not contain any occurrence of \\spad{y,} where \\spad{y} is a single kernel.")) (|map| (($ (|Mapping| $ $) (|Kernel| $)) "\\spad{map(f, \\spad{k)}} returns \\spad{op(f(x1),...,f(xn))} where \\spad{k = op(x1,...,xn)}.")) (|kernel| (($ (|BasicOperator|) (|List| $)) "\\spad{kernel(op, [f1,...,fn])} constructs \\spad{op(f1,...,fn)} without evaluating it.") (($ (|BasicOperator|) $) "\\spad{kernel(op, \\spad{x)}} constructs op(x) without evaluating it.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(x, \\spad{s)}} tests if \\spad{x} is a kernel and is the name of its operator is \\spad{s.}") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(x, op)} tests if \\spad{x} is a kernel and is its operator is op.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} tests if \\% accepts \\spad{op} as applicable to its elements.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{%.}")) (|operators| (((|List| (|BasicOperator|)) $) "\\spad{operators(f)} returns all the basic operators appearing in \\spad{f,} no matter what their levels are.")) (|tower| (((|List| (|Kernel| $)) $) "\\spad{tower(f)} returns all the kernels appearing in \\spad{f,} no matter what their levels are.")) (|kernels| (((|List| (|Kernel| $)) $) "\\spad{kernels(f)} returns the list of all the top-level kernels appearing in \\spad{f,} but not the ones appearing in the arguments of the top-level kernels.")) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) "\\spad{mainKernel(f)} returns a kernel of \\spad{f} with maximum nesting level, or if \\spad{f} has no kernels (\\spadignore{i.e.} \\spad{f} is a constant).")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(f)} returns the highest nesting level appearing in \\spad{f.} Constants have height 0. Symbols have height 1. For any operator op and expressions f1,...,fn, \\spad{op(f1,...,fn)} has height equal to \\spad{1 + max(height(f1),...,height(fn))}.")) (|distribute| (($ $ $) "\\spad{distribute(f, \\spad{g)}} expands all the kernels in \\spad{f} that contain \\spad{g} in their arguments and that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or a \\spadfunFrom{paren}{ExpressionSpace} expression.") (($ $) "\\spad{distribute(f)} expands all the kernels in \\spad{f} that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or \\spadfunFrom{paren}{ExpressionSpace} expression.")) (|paren| (($ (|List| $)) "\\spad{paren([f1,...,fn])} returns \\spad{(f1,...,fn)}. This prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(paren \\spad{[x,} 2])} returns the formal kernel \\spad{atan((x, 2))}.") (($ $) "\\spad{paren(f)} returns (f). This prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(paren 1)} returns the formal kernel log((1)).")) (|box| (($ (|List| $)) "\\spad{box([f1,...,fn])} returns \\spad{(f1,...,fn)} with a 'box' around them that prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(box \\spad{[x,} 2])} returns the formal kernel \\spad{atan(x, 2)}.") (($ $) "\\spad{box(f)} returns \\spad{f} with a 'box' around it that prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(box 1)} returns the formal kernel log(1).")) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) "\\spad{subst(f, [k1...,kn], [g1,...,gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|List| (|Equation| $))) "\\spad{subst(f, \\spad{[k1} = g1,...,kn = gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|Equation| $)) "\\spad{subst(f, \\spad{k} = \\spad{g)}} replaces the kernel \\spad{k} by \\spad{g} formally in \\spad{f.}")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,[x1,...,xn])} or op([x1,...,xn]) applies the n-ary operator \\spad{op} to x1,...,xn.") (($ (|BasicOperator|) $ $ $ $) "\\spad{elt(op,x,y,z,t)} or op(x, \\spad{y,} \\spad{z,} \\spad{t)} applies the 4-ary operator \\spad{op} to \\spad{x,} \\spad{y,} \\spad{z} and \\spad{t.}") (($ (|BasicOperator|) $ $ $) "\\spad{elt(op,x,y,z)} or op(x, \\spad{y,} \\spad{z)} applies the ternary operator \\spad{op} to \\spad{x,} \\spad{y} and \\spad{z.}") (($ (|BasicOperator|) $ $) "\\spad{elt(op,x,y)} or op(x, \\spad{y)} applies the binary operator \\spad{op} to \\spad{x} and \\spad{y.}") (($ (|BasicOperator|) $) "\\spad{elt(op,x)} or op(x) applies the unary operator \\spad{op} to \\spad{x.}"))) 
 NIL 
@@ -1138,7 +1138,7 @@ NIL
 NIL 
 (-302) 
 ((|constructor| (NIL "A constructive euclidean domain, \\spadignore{i.e.} one can divide producing a quotient and a remainder where the remainder is either zero or is smaller (\\spadfun{euclideanSize}) than the divisor. \\blankline Conditional attributes\\br \\tab{5}multiplicativeValuation\\tab{5}Size(a*b)=Size(a)*Size(b)\\br \\tab{5}additiveValuation\\tab{11}Size(a*b)=Size(a)+Size(b)")) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{multiEuclidean([f1,...,fn],z)} returns a list of coefficients \\spad{[a1, ..., an]} such that \\spad{ \\spad{z} / prod \\spad{fi} = sum aj/fj}. If no such list of coefficients exists, \"failed\" is returned.")) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) "\\spad{extendedEuclidean(x,y,z)} either returns a record rec where \\spad{rec.coef1*x+rec.coef2*y=z} or returns \"failed\" if \\spad{z} cannot be expressed as a linear combination of \\spad{x} and \\spad{y.}") (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{extendedEuclidean(x,y)} returns a record rec where \\spad{rec.coef1*x+rec.coef2*y = rec.generator} and rec.generator is a \\spad{gcd} of \\spad{x} and \\spad{y.} The \\spad{gcd} is unique only up to associates if \\spadatt{canonicalUnitNormal} is not asserted. \\spadfun{principalIdeal} provides a version of this operation which accepts an arbitrary length list of arguments.")) (|rem| (($ $ $) "\\spad{x rem \\spad{y}} is the same as \\spad{divide(x,y).remainder}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|quo| (($ $ $) "\\spad{x quo \\spad{y}} is the same as \\spad{divide(x,y).quotient}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(x,y)} divides \\spad{x} by \\spad{y} producing a record containing a \\spad{quotient} and \\spad{remainder}, where the remainder is smaller (see \\spadfunFrom{sizeLess?}{EuclideanDomain}) than the divisor \\spad{y.}")) (|euclideanSize| (((|NonNegativeInteger|) $) "\\spad{euclideanSize(x)} returns the euclidean size of the element \\spad{x.} Error: if \\spad{x} is zero.")) (|sizeLess?| (((|Boolean|) $ $) "\\spad{sizeLess?(x,y)} tests whether \\spad{x} is strictly smaller than \\spad{y} with respect to the \\spadfunFrom{euclideanSize}{EuclideanDomain}."))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-303 S R) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions.")) (|eval| (($ $ (|List| (|Equation| |#2|))) "\\spad{eval(f, \\spad{[x1} = v1,...,xn = vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ (|Equation| |#2|)) "\\spad{eval(f,x = \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
@@ -1148,7 +1148,7 @@ NIL
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions.")) (|eval| (($ $ (|List| (|Equation| |#1|))) "\\spad{eval(f, \\spad{[x1} = v1,...,xn = vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ (|Equation| |#1|)) "\\spad{eval(f,x = \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
-(-305 -1647) 
+(-305 -3280) 
 ((|constructor| (NIL "This package is to be used in conjuction with the CycleIndicators package. It provides an evaluation function for SymmetricPolynomials.")) (|eval| ((|#1| (|Mapping| |#1| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{eval(f,s)} evaluates the cycle index \\spad{s} by applying \\indented{1}{the function \\spad{f} to each integer in a monomial partition,} \\indented{1}{forms their product and sums the results over all monomials.}"))) 
 NIL 
 NIL 
@@ -1162,8 +1162,8 @@ NIL
 NIL 
 (-308 R FE |var| |cen|) 
 ((|constructor| (NIL "UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to represent essential singularities of functions. Objects in this domain are quotients of sums, where each term in the sum is a univariate Puiseux series times the exponential of a univariate Puiseux series.")) (|coerce| (($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) "\\spad{coerce(f)} converts a \\spadtype{UnivariatePuiseuxSeries} to an \\spadtype{ExponentialExpansion}.")) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) "\\spad{limitPlus(f(var))} returns \\spad{limit(var \\spad{->} a+,f(var))}."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-906))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-149))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-151))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-1023))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-817))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-1139))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-226))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -304) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -282) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-302))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-551))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-844))) (-1929 (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-817))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-844)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-906)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-149))))) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-909))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-149))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-151))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-1027))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-820))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-1143))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-226))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -526) (QUOTE (-1169)) (LIST (QUOTE -1243) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -304) (LIST (QUOTE -1243) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (LIST (QUOTE -282) (LIST (QUOTE -1243) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)) (LIST (QUOTE -1243) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-302))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-553))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-847))) (-1831 (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-820))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-847)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-909)))) (|HasCategory| (-1243 |#1| |#2| |#3| |#4|) (QUOTE (-149))))) 
 (-309 R S) 
 ((|constructor| (NIL "Lifting of maps to Expressions.")) (|map| (((|Expression| |#2|) (|Mapping| |#2| |#1|) (|Expression| |#1|)) "\\spad{map(f, e)} applies \\spad{f} to all the constants appearing in e."))) 
 NIL 
@@ -1174,13 +1174,13 @@ NIL
 NIL 
 (-311 R) 
 ((|constructor| (NIL "Top-level mathematical expressions involving symbolic functions.")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} is not documented")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} is not documented")) (|simplifyPower| (($ $ (|Integer|)) "simplifyPower?(f,n) is not documented")) (|number?| (((|Boolean|) $) "\\spad{number?(f)} tests if \\spad{f} is rational")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic quantities present in \\spad{f} by applying their defining relations."))) 
-((-4568 -1929 (-3993 (|has| |#1| (-1049)) (|has| |#1| (-631 (-569)))) (-12 (|has| |#1| (-559)) (-1929 (-3993 (|has| |#1| (-1049)) (|has| |#1| (-631 (-569)))) (|has| |#1| (-1049)) (|has| |#1| (-479)))) (|has| |#1| (-1049)) (|has| |#1| (-479))) (-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) ((-4573 "*") |has| |#1| (-559)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-559)) (-4563 |has| |#1| (-559))) 
-((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-1049))) (-1929 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-21))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-21)))) (|HasCategory| |#1| (QUOTE (-25))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-25)))) (|HasCategory| |#1| (QUOTE (-1105))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1105)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-1105)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-1105)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))))) (|HasCategory| $ (QUOTE (-1049))) (|HasCategory| $ (LIST (QUOTE -1039) (QUOTE (-569))))) 
-(-312 R -1647) 
+((-4597 -1831 (-3997 (|has| |#1| (-1053)) (|has| |#1| (-633 (-571)))) (-12 (|has| |#1| (-561)) (-1831 (-3997 (|has| |#1| (-1053)) (|has| |#1| (-633 (-571)))) (|has| |#1| (-1053)) (|has| |#1| (-481)))) (|has| |#1| (-1053)) (|has| |#1| (-481))) (-4595 |has| |#1| (-173)) (-4594 |has| |#1| (-173)) ((-4602 "*") |has| |#1| (-561)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-561)) (-4592 |has| |#1| (-561))) 
+((|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-1053))) (-1831 (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-1053)))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-1053)))) (-12 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-1053)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-1053)))) (-1831 (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#1| (QUOTE (-1053)))) (|HasCategory| |#1| (QUOTE (-21))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-1053)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-1053)))) (|HasCategory| |#1| (QUOTE (-21)))) (|HasCategory| |#1| (QUOTE (-25))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-1053)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-1053)))) (|HasCategory| |#1| (QUOTE (-25)))) (|HasCategory| |#1| (QUOTE (-1109))) (-1831 (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#1| (QUOTE (-1109)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-1053)))) (|HasCategory| |#1| (QUOTE (-1109)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-1053)))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-1109)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-561))))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-561))))) (|HasCategory| $ (QUOTE (-1053))) (|HasCategory| $ (LIST (QUOTE -1043) (QUOTE (-571))))) 
+(-312 R -3280) 
 ((|constructor| (NIL "Taylor series solutions of explicit ODE's.")) (|seriesSolve| (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve(eq, \\spad{y,} \\spad{x} = a, [b0,...,bn])} is equivalent to \\spad{seriesSolve(eq = 0, \\spad{y,} \\spad{x} = a, [b0,...,b(n-1)])}.") (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) "\\spad{seriesSolve(eq, \\spad{y,} \\spad{x} = a, \\spad{y} a = \\spad{b)}} is equivalent to \\spad{seriesSolve(eq=0, \\spad{y,} x=a, \\spad{y} a = b)}.") (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) |#2|) "\\spad{seriesSolve(eq, \\spad{y,} \\spad{x} = a, \\spad{b)}} is equivalent to \\spad{seriesSolve(eq = 0, \\spad{y,} \\spad{x} = a, \\spad{y} a = b)}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) |#2|) "\\spad{seriesSolve(eq,y, x=a, \\spad{b)}} is equivalent to \\spad{seriesSolve(eq, \\spad{y,} x=a, \\spad{y} a = b)}.") (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) "seriesSolve([eq1,...,eqn], [y1,...,yn], \\spad{x} = \\spad{a,[y1} a = b1,..., \\spad{yn} a = bn]) is equivalent to \\spad{seriesSolve([eq1=0,...,eqn=0], [y1,...,yn], \\spad{x} = a, \\spad{[y1} a = b1,..., \\spad{yn} a = bn])}.") (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve([eq1,...,eqn], [y1,...,yn], x=a, [b1,...,bn])} is equivalent to \\spad{seriesSolve([eq1=0,...,eqn=0], [y1,...,yn], x=a, [b1,...,bn])}.") (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve([eq1,...,eqn], [y1,...,yn], x=a, [b1,...,bn])} is equivalent to \\spad{seriesSolve([eq1,...,eqn], [y1,...,yn], \\spad{x} = a, \\spad{[y1} a = b1,..., \\spad{yn} a = bn])}.") (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) "\\spad{seriesSolve([eq1,...,eqn],[y1,...,yn],x = \\spad{a,[y1} a = b1,...,yn a = bn])} returns a taylor series solution of \\spad{[eq1,...,eqn]} around \\spad{x = a} with initial conditions \\spad{yi(a) = bi}. Note that eqi must be of the form \\spad{fi(x, \\spad{y1} \\spad{x,} \\spad{y2} x,..., \\spad{yn} \\spad{x)} y1'(x) + gi(x, \\spad{y1} \\spad{x,} \\spad{y2} x,..., \\spad{yn} \\spad{x)} = h(x, \\spad{y1} \\spad{x,} \\spad{y2} x,..., \\spad{yn} x)}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve(eq,y,x=a,[b0,...,b(n-1)])} returns a Taylor series solution of \\spad{eq} around \\spad{x = a} with initial conditions \\spad{y(a) = b0}, \\spad{y'(a) = b1}, \\spad{y''(a) = b2}, ...,\\spad{y(n-1)(a) = b(n-1)} \\spad{eq} must be of the form \\spad{f(x, \\spad{y} \\spad{x,} y'(x),..., y(n-1)(x)) y(n)(x) + g(x,y x,y'(x),...,y(n-1)(x)) = h(x,y \\spad{x,} y'(x),..., y(n-1)(x))}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) "\\spad{seriesSolve(eq,y,x=a, \\spad{y} a = \\spad{b)}} returns a Taylor series solution of \\spad{eq} around \\spad{x} = a with initial condition \\spad{y(a) = \\spad{b}.} Note that \\spad{eq} must be of the form \\spad{f(x, \\spad{y} \\spad{x)} y'(x) + g(x, \\spad{y} \\spad{x)} = h(x, \\spad{y} x)}."))) 
 NIL 
 NIL 
-(-313 R -1647 UTSF UTSSUPF) 
+(-313 R -3280 UTSF UTSSUPF) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
@@ -1190,8 +1190,8 @@ NIL
 NIL 
 (-315 FE |var| |cen|) 
 ((|constructor| (NIL "ExponentialOfUnivariatePuiseuxSeries is a domain used to represent essential singularities of functions. An object in this domain is a function of the form \\spad{exp(f(x))}, where \\spad{f(x)} is a Puiseux series with no terms of non-negative degree. Objects are ordered according to order of singularity, with functions which tend more rapidly to zero or infinity considered to be larger. Thus, if \\spad{order(f(x)) < order(g(x))}, \\spadignore{i.e.} the first non-zero term of \\spad{f(x)} has lower degree than the first non-zero term of \\spad{g(x)}, then \\spad{exp(f(x)) > exp(g(x))}. If \\spad{order(f(x)) = order(g(x))}, then the ordering is essentially random. This domain is used in computing limits involving functions with essential singularities.")) (|exponentialOrder| (((|Fraction| (|Integer|)) $) "\\spad{exponentialOrder(exp(c * \\spad{x} **(-n) + ...))} returns \\spad{-n}. exponentialOrder(0) returns \\spad{0}.")) (|exponent| (((|UnivariatePuiseuxSeries| |#1| |#2| |#3|) $) "\\spad{exponent(exp(f(x)))} returns \\spad{f(x)}")) (|exponential| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) "\\spad{exponential(f(x))} returns \\spad{exp(f(x))}. Note: the function does NOT check that \\spad{f(x)} has no non-negative terms."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571))) (|devaluate| |#1|))))) (|HasCategory| (-412 (-571)) (QUOTE (-1109))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|))))))) 
 (-316 K) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF"))) 
 NIL 
@@ -1209,17 +1209,17 @@ NIL
 NIL 
 NIL 
 (-320 S) 
-((|constructor| (NIL "The free abelian group on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are integers. The operation is commutative."))) 
-((-4566 . T) (-4565 . T)) 
-((|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-789)))) 
+((|constructor| (NIL "Free abelian group on any set of generators The free abelian group on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are integers. The operation is commutative."))) 
+((-4595 . T) (-4594 . T)) 
+((|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| (-571) (QUOTE (-792)))) 
 (-321 S E) 
 ((|constructor| (NIL "A free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are in a given abelian monoid. The operation is commutative.")) (|highCommonTerms| (($ $ $) "\\spad{highCommonTerms(e1 \\spad{a1} + \\spad{...} + en an, \\spad{f1} \\spad{b1} + \\spad{...} + \\spad{fm} bm)} returns \\spad{reduce(+,[max(ei, fi) ci])} where \\spad{ci} ranges in the intersection of \\spad{{a1,...,an}} and \\spad{{b1,...,bm}}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{e1} \\spad{a1} +...+ en an)} returns \\spad{e1 f(a1) +...+ en f(an)}.")) (|mapCoef| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapCoef(f, \\spad{e1} \\spad{a1} +...+ en an)} returns \\spad{f(e1) \\spad{a1} +...+ f(en) an}.")) (|coefficient| ((|#2| |#1| $) "\\spad{coefficient(s, \\spad{e1} \\spad{a1} + \\spad{...} + en an)} returns \\spad{ei} such that \\spad{ai} = \\spad{s,} or 0 if \\spad{s} is not one of the ai's.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th term of \\spad{x.}")) (|nthCoef| ((|#2| $ (|Integer|)) "\\spad{nthCoef(x, \\spad{n)}} returns the coefficient of the n^th term of \\spad{x.}")) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) "\\spad{terms(e1 \\spad{a1} + \\spad{...} + en an)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\indented{1}{size(x) returns the number of terms in \\spad{x.}} \\indented{1}{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en) returns} \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (* (($ |#2| |#1|) "\\spad{e * \\spad{s}} returns \\spad{e} times \\spad{s.}")) (+ (($ |#1| $) "\\spad{s + \\spad{x}} returns the sum of \\spad{s} and \\spad{x.}"))) 
 NIL 
 NIL 
 (-322 S) 
-((|constructor| (NIL "The free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are non-negative integers. The operation is commutative."))) 
+((|constructor| (NIL "Free abelian monoid on any set of generators The free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are non-negative integers. The operation is commutative."))) 
 NIL 
-((|HasCategory| (-765) (QUOTE (-789)))) 
+((|HasCategory| (-768) (QUOTE (-792)))) 
 (-323 E R1 A1 R2 A2) 
 ((|constructor| (NIL "This package provides a mapping function for \\spadtype{FiniteAbelianMonoidRing} The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|map| ((|#5| (|Mapping| |#4| |#2|) |#3|) "\\spad{map}(f, a) applies the map \\spad{f} to each coefficient in a. It is assumed that \\spad{f} maps 0 to 0"))) 
 NIL 
@@ -1227,22 +1227,22 @@ NIL
 (-324 S R E) 
 ((|constructor| (NIL "This category is similar to AbelianMonoidRing, except that the sum is assumed to be finite. It is a useful model for polynomials, but is somewhat more general.")) (|primitivePart| (($ $) "\\spad{primitivePart(p)} returns the unit normalized form of polynomial \\spad{p} divided by the content of \\spad{p.}")) (|content| ((|#2| $) "\\spad{content(p)} gives the \\spad{gcd} of the coefficients of polynomial \\spad{p.}")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(p,r)} returns the exact quotient of polynomial \\spad{p} by \\spad{r,} or \"failed\" if none exists.")) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) "\\spad{binomThmExpt(p,q,n)} returns \\spad{(x+y)^n} by means of the binomial theorem trick.")) (|pomopo!| (($ $ |#2| |#3| $) "\\spad{pomopo!(p1,r,e,p2)} returns \\spad{p1 + monomial(e,r) * \\spad{p2}} and may use \\spad{p1} as workspace. The constaant \\spad{r} is assumed to be nonzero.")) (|mapExponents| (($ (|Mapping| |#3| |#3|) $) "\\spad{mapExponents(fn,u)} maps function \\spad{fn} onto the exponents of the non-zero monomials of polynomial u.")) (|minimumDegree| ((|#3| $) "\\spad{minimumDegree(p)} gives the least exponent of a non-zero term of polynomial \\spad{p.} Error: if applied to 0.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(p)} gives the number of non-zero monomials in polynomial \\spad{p.}")) (|coefficients| (((|List| |#2|) $) "\\spad{coefficients(p)} gives the list of non-zero coefficients of polynomial \\spad{p.}")) (|ground| ((|#2| $) "\\spad{ground(p)} retracts polynomial \\spad{p} to the coefficient ring.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(p)} tests if polynomial \\spad{p} is a member of the coefficient ring."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173)))) 
+((|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173)))) 
 (-325 R E) 
 ((|constructor| (NIL "This category is similar to AbelianMonoidRing, except that the sum is assumed to be finite. It is a useful model for polynomials, but is somewhat more general.")) (|primitivePart| (($ $) "\\spad{primitivePart(p)} returns the unit normalized form of polynomial \\spad{p} divided by the content of \\spad{p.}")) (|content| ((|#1| $) "\\spad{content(p)} gives the \\spad{gcd} of the coefficients of polynomial \\spad{p.}")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(p,r)} returns the exact quotient of polynomial \\spad{p} by \\spad{r,} or \"failed\" if none exists.")) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) "\\spad{binomThmExpt(p,q,n)} returns \\spad{(x+y)^n} by means of the binomial theorem trick.")) (|pomopo!| (($ $ |#1| |#2| $) "\\spad{pomopo!(p1,r,e,p2)} returns \\spad{p1 + monomial(e,r) * \\spad{p2}} and may use \\spad{p1} as workspace. The constaant \\spad{r} is assumed to be nonzero.")) (|mapExponents| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapExponents(fn,u)} maps function \\spad{fn} onto the exponents of the non-zero monomials of polynomial u.")) (|minimumDegree| ((|#2| $) "\\spad{minimumDegree(p)} gives the least exponent of a non-zero term of polynomial \\spad{p.} Error: if applied to 0.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(p)} gives the number of non-zero monomials in polynomial \\spad{p.}")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(p)} gives the list of non-zero coefficients of polynomial \\spad{p.}")) (|ground| ((|#1| $) "\\spad{ground(p)} retracts polynomial \\spad{p} to the coefficient ring.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(p)} tests if polynomial \\spad{p} is a member of the coefficient ring."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-326 S) 
 ((|constructor| (NIL "A FlexibleArray is the notion of an array intended to allow for growth at the end only. Hence the following efficient operations \\spad{append(x,a)} meaning append item \\spad{x} at the end of the array \\spad{a} \\spad{delete(a,n)} meaning delete the last item from the array \\spad{a} Flexible arrays support the other operations inherited from \\spadtype{ExtensibleLinearAggregate}. However, these are not efficient. Flexible arrays combine the \\spad{O(1)} access time property of arrays with growing and shrinking at the end in \\spad{O(1)} (average) time. This is done by using an ordinary array which may have zero or more empty slots at the end. When the array becomes full it is copied into a new larger (50% larger) array. Conversely, when the array becomes less than 1/2 full, it is copied into a smaller array. Flexible arrays provide for an efficient implementation of many data structures in particular heaps, stacks and sets."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-327 S -1647) 
-((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F.} If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite, too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F.} The exponentiation of elements of \\spad{K} defines a Z-module structure on the multiplicative group of \\spad{K.} The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,f:SparseUnivariatePolynomial \\spad{F)} which is linear over \\spad{F,} \\spadignore{i.e.} for elements a from \\spad{K,} \\spad{c,d} from \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k) where q=size()\\$F. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog}, respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#2|) "failed") $ $) "\\spad{linearAssociatedLog(b,a)} returns a polynomial \\spad{g,} such that the \\spadfun{linearAssociatedExp}(b,g) equals a. If there is no such polynomial \\spad{g,} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g,} such that \\spadfun{linearAssociatedExp}(normalElement(),g) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree, such that \\spadfun{linearAssociatedExp}(a,g) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#2|)) "\\spad{linearAssociatedExp(a,f)} is linear over \\spad{F,} \\spadignore{i.e.} for elements a from \\spad{\\$,} \\spad{c,d} form \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k), where q=size()\\$F.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F,} \\spadignore{i.e.} \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} \\spad{<=} extensionDegree()-1} is an F-basis, where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element, normal over the ground field \\spad{F,} \\spadignore{i.e.} \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. At the first call, the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls, the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q.} Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,d)=reduce(+,[a**(q**(d*i)) for \\spad{i} in 0..n/d])}.") ((|#2| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,d) = reduce(*,[a**(q**(d*i)) for \\spad{i} in 0..n/d])") ((|#2| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#2|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F.}") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where v1,...,vn are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-327 S -3280) 
+((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F.} If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite, too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F.} The exponentiation of elements of \\spad{K} defines a Z-module structure on the multiplicative group of \\spad{K.} The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,f:SparseUnivariatePolynomial \\spad{F)} which is linear over \\spad{F,} that is, for elements a from \\spad{K,} \\spad{c,d} from \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k) where q=size()\\$F. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog}, respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#2|) "failed") $ $) "\\spad{linearAssociatedLog(b,a)} returns a polynomial \\spad{g,} such that the \\spadfun{linearAssociatedExp}(b,g) equals a. If there is no such polynomial \\spad{g,} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g,} such that \\spadfun{linearAssociatedExp}(normalElement(),g) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree, such that \\spadfun{linearAssociatedExp}(a,g) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#2|)) "\\spad{linearAssociatedExp(a,f)} is linear over \\spad{F,} that is, for elements a from \\spad{\\$,} \\spad{c,d} form \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k), where q=size()\\$F.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} \\spad{<=} extensionDegree()-1} is an F-basis, where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element, normal over the ground field \\spad{F,} thus \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. At the first call, the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls, the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q.} Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,d)=reduce(+,[a**(q**(d*i)) for \\spad{i} in 0..n/d])}.") ((|#2| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,d) = reduce(*,[a**(q**(d*i)) for \\spad{i} in 0..n/d])") ((|#2| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#2|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F.}") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where v1,...,vn are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-371)))) 
-(-328 -1647) 
-((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F.} If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite, too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F.} The exponentiation of elements of \\spad{K} defines a Z-module structure on the multiplicative group of \\spad{K.} The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,f:SparseUnivariatePolynomial \\spad{F)} which is linear over \\spad{F,} \\spadignore{i.e.} for elements a from \\spad{K,} \\spad{c,d} from \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k) where q=size()\\$F. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog}, respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) "\\spad{linearAssociatedLog(b,a)} returns a polynomial \\spad{g,} such that the \\spadfun{linearAssociatedExp}(b,g) equals a. If there is no such polynomial \\spad{g,} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g,} such that \\spadfun{linearAssociatedExp}(normalElement(),g) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree, such that \\spadfun{linearAssociatedExp}(a,g) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) "\\spad{linearAssociatedExp(a,f)} is linear over \\spad{F,} \\spadignore{i.e.} for elements a from \\spad{\\$,} \\spad{c,d} form \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k), where q=size()\\$F.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F,} \\spadignore{i.e.} \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} \\spad{<=} extensionDegree()-1} is an F-basis, where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element, normal over the ground field \\spad{F,} \\spadignore{i.e.} \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. At the first call, the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls, the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q.} Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,d)=reduce(+,[a**(q**(d*i)) for \\spad{i} in 0..n/d])}.") ((|#1| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,d) = reduce(*,[a**(q**(d*i)) for \\spad{i} in 0..n/d])") ((|#1| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F.}") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where v1,...,vn are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-373)))) 
+(-328 -3280) 
+((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F.} If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite, too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F.} The exponentiation of elements of \\spad{K} defines a Z-module structure on the multiplicative group of \\spad{K.} The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,f:SparseUnivariatePolynomial \\spad{F)} which is linear over \\spad{F,} that is, for elements a from \\spad{K,} \\spad{c,d} from \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k) where q=size()\\$F. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog}, respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) "\\spad{linearAssociatedLog(b,a)} returns a polynomial \\spad{g,} such that the \\spadfun{linearAssociatedExp}(b,g) equals a. If there is no such polynomial \\spad{g,} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g,} such that \\spadfun{linearAssociatedExp}(normalElement(),g) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree, such that \\spadfun{linearAssociatedExp}(a,g) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) "\\spad{linearAssociatedExp(a,f)} is linear over \\spad{F,} that is, for elements a from \\spad{\\$,} \\spad{c,d} form \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k), where q=size()\\$F.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} \\spad{<=} extensionDegree()-1} is an F-basis, where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element, normal over the ground field \\spad{F,} thus \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. At the first call, the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls, the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q.} Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,d)=reduce(+,[a**(q**(d*i)) for \\spad{i} in 0..n/d])}.") ((|#1| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,d) = reduce(*,[a**(q**(d*i)) for \\spad{i} in 0..n/d])") ((|#1| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F.}") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where v1,...,vn are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-329) 
 ((|constructor| (NIL "This domain builds representations of program code segments for use with the FortranProgram domain.")) (|setLabelValue| (((|SingleInteger|) (|SingleInteger|)) "\\spad{setLabelValue(i)} resets the counter which produces labels to \\spad{i}")) (|getCode| (((|SExpression|) $) "\\spad{getCode(f)} returns a Lisp list of strings representing \\spad{f} in Fortran notation. This is used by the FortranProgram domain.")) (|printCode| (((|Void|) $) "\\spad{printCode(f)} prints out \\spad{f} in FORTRAN notation.")) (|code| (((|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| $)) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| $))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| $))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|)))) $) "\\spad{code(f)} returns the internal representation of the object represented by \\spad{f}.")) (|operation| (((|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) "\\spad{operation(f)} returns the name of the operation represented by \\spad{f}.")) (|common| (($ (|Symbol|) (|List| (|Symbol|))) "\\spad{common(name,contents)} creates a representation a named common block.")) (|printStatement| (($ (|List| (|OutputForm|))) "\\spad{printStatement(l)} creates a representation of a PRINT statement.")) (|save| (($) "\\spad{save()} creates a representation of a SAVE statement.")) (|stop| (($) "\\spad{stop()} creates a representation of a STOP statement.")) (|block| (($ (|List| $)) "\\spad{block(l)} creates a representation of the statements in \\spad{l} as a block.")) (|assign| (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Complex| (|Float|)))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Float|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Integer|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|Vector| (|Expression| (|Complex| (|Float|))))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|Float|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|Integer|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Complex| (|Float|))))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Float|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Integer|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Complex| (|Float|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Float|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Integer|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineComplex|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineFloat|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineInteger|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|Vector| (|Expression| (|MachineComplex|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|MachineFloat|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|MachineInteger|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineComplex|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineFloat|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineInteger|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineComplex|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineFloat|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineInteger|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineComplex|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineFloat|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineInteger|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineComplex|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineFloat|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineInteger|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|String|)) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.")) (|cond| (($ (|Switch|) $ $) "\\spad{cond(s,e,f)} creates a representation of the FORTRAN expression IF \\spad{(s)} THEN \\spad{e} ELSE \\spad{f.}") (($ (|Switch|) $) "\\spad{cond(s,e)} creates a representation of the FORTRAN expression IF \\spad{(s)} THEN e.")) (|returns| (($ (|Expression| (|Complex| (|Float|)))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|Integer|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|Float|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineComplex|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineInteger|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineFloat|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($) "\\spad{returns()} creates a representation of a FORTRAN RETURN statement.")) (|call| (($ (|String|)) "\\spad{call(s)} creates a representation of a FORTRAN CALL statement")) (|comment| (($ (|List| (|String|))) "\\spad{comment(s)} creates a representation of the Strings \\spad{s} as a multi-line FORTRAN comment.") (($ (|String|)) "\\spad{comment(s)} creates a representation of the String \\spad{s} as a single FORTRAN comment.")) (|continue| (($ (|SingleInteger|)) "\\spad{continue(l)} creates a representation of a FORTRAN CONTINUE labelled with \\spad{l}")) (|goto| (($ (|SingleInteger|)) "\\spad{goto(l)} creates a representation of a FORTRAN GOTO statement")) (|repeatUntilLoop| (($ (|Switch|) $) "\\spad{repeatUntilLoop(s,c)} creates a repeat \\spad{...} until loop in FORTRAN.")) (|whileLoop| (($ (|Switch|) $) "\\spad{whileLoop(s,c)} creates a while loop in FORTRAN.")) (|forLoop| (($ (|SegmentBinding| (|Polynomial| (|Integer|))) (|Polynomial| (|Integer|)) $) "\\spad{forLoop(i=1..10,n,c)} creates a representation of a FORTRAN DO loop with \\spad{i} ranging over the values 1 to 10 by \\spad{n.}") (($ (|SegmentBinding| (|Polynomial| (|Integer|))) $) "\\spad{forLoop(i=1..10,c)} creates a representation of a FORTRAN DO loop with \\spad{i} ranging over the values 1 to 10.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(f)} returns an object of type OutputForm."))) 
@@ -1260,3793 +1260,3813 @@ NIL
 ((|constructor| (NIL "Lift a map to finite divisors.")) (|map| (((|FiniteDivisor| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) "\\spad{map(f,d)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-333 S -1647 UP UPUP R) 
+(-333 S -3280 UP UPUP R) 
 ((|constructor| (NIL "This category describes finite rational divisors on a curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve.")) (|generator| (((|Union| |#5| "failed") $) "\\spad{generator(d)} returns \\spad{f} if \\spad{(f) = \\spad{d},} \"failed\" if \\spad{d} is not principal.")) (|principal?| (((|Boolean|) $) "\\spad{principal?(D)} tests if the argument is the divisor of a function.")) (|reduce| (($ $) "\\spad{reduce(D)} converts \\spad{D} to some reduced form (the reduced forms can be differents in different implementations).")) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|)) (|:| |principalPart| |#5|)) $) "\\spad{decompose(d)} returns \\spad{[id, \\spad{f]}} where \\spad{d = (id) + div(f)}.")) (|divisor| (($ |#5| |#3| |#3| |#3| |#2|) "\\spad{divisor(h, \\spad{d,} \\spad{d',} \\spad{g,} \\spad{r)}} returns the sum of all the finite points where \\spad{h/d} has residue \\spad{r}. \\spad{h} must be integral. \\spad{d} must be squarefree. \\spad{d'} is some derivative of \\spad{d} (not necessarily dd/dx). \\spad{g = gcd(d,discriminant)} contains the ramified zeros of \\spad{d}") (($ |#2| |#2| (|Integer|)) "\\spad{divisor(a, \\spad{b,} \\spad{n)}} makes the divisor \\spad{nP} where \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. \\spad{P} is allowed to be singular if \\spad{n} is a multiple of the rank.") (($ |#2| |#2|) "\\spad{divisor(a, \\spad{b)}} makes the divisor \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. Error: if \\spad{P} is singular.") (($ |#5|) "\\spad{divisor(g)} returns the divisor of the function \\spad{g.}") (($ (|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|)) "\\spad{divisor(I)} makes a divisor \\spad{D} from an ideal I.")) (|ideal| (((|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|) $) "\\spad{ideal(D)} returns the ideal corresponding to a divisor \\spad{D.}"))) 
 NIL 
 NIL 
-(-334 -1647 UP UPUP R) 
+(-334 -3280 UP UPUP R) 
 ((|constructor| (NIL "This category describes finite rational divisors on a curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve.")) (|generator| (((|Union| |#4| "failed") $) "\\spad{generator(d)} returns \\spad{f} if \\spad{(f) = \\spad{d},} \"failed\" if \\spad{d} is not principal.")) (|principal?| (((|Boolean|) $) "\\spad{principal?(D)} tests if the argument is the divisor of a function.")) (|reduce| (($ $) "\\spad{reduce(D)} converts \\spad{D} to some reduced form (the reduced forms can be differents in different implementations).")) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) "\\spad{decompose(d)} returns \\spad{[id, \\spad{f]}} where \\spad{d = (id) + div(f)}.")) (|divisor| (($ |#4| |#2| |#2| |#2| |#1|) "\\spad{divisor(h, \\spad{d,} \\spad{d',} \\spad{g,} \\spad{r)}} returns the sum of all the finite points where \\spad{h/d} has residue \\spad{r}. \\spad{h} must be integral. \\spad{d} must be squarefree. \\spad{d'} is some derivative of \\spad{d} (not necessarily dd/dx). \\spad{g = gcd(d,discriminant)} contains the ramified zeros of \\spad{d}") (($ |#1| |#1| (|Integer|)) "\\spad{divisor(a, \\spad{b,} \\spad{n)}} makes the divisor \\spad{nP} where \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. \\spad{P} is allowed to be singular if \\spad{n} is a multiple of the rank.") (($ |#1| |#1|) "\\spad{divisor(a, \\spad{b)}} makes the divisor \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. Error: if \\spad{P} is singular.") (($ |#4|) "\\spad{divisor(g)} returns the divisor of the function \\spad{g.}") (($ (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) "\\spad{divisor(I)} makes a divisor \\spad{D} from an ideal I.")) (|ideal| (((|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|) $) "\\spad{ideal(D)} returns the ideal corresponding to a divisor \\spad{D.}"))) 
 NIL 
 NIL 
-(-335 -1647 UP UPUP R) 
+(-335 -3280 UP UPUP R) 
 ((|constructor| (NIL "This domains implements finite rational divisors on a curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve.")) (|lSpaceBasis| (((|Vector| |#4|) $) "\\spad{lSpaceBasis(d)} returns a basis for \\spad{L(d) = \\spad{{f} | \\spad{(f)} \\spad{>=} -d}} as a module over \\spad{K[x]}.")) (|finiteBasis| (((|Vector| |#4|) $) "\\spad{finiteBasis(d)} returns a basis for \\spad{d} as a module over K[x]."))) 
 NIL 
 NIL 
 (-336 S R) 
 ((|constructor| (NIL "This category provides a selection of evaluation operations depending on what the argument type \\spad{R} provides.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(f, ex)} evaluates ex, applying \\spad{f} to values of type \\spad{R} in ex."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) 
+((|HasCategory| |#2| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) 
 (-337 R) 
 ((|constructor| (NIL "This category provides a selection of evaluation operations depending on what the argument type \\spad{R} provides.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f, ex)} evaluates ex, applying \\spad{f} to values of type \\spad{R} in ex."))) 
 NIL 
 NIL 
 (-338 |basicSymbols| |subscriptedSymbols| R) 
 ((|constructor| (NIL "A domain of expressions involving functions which can be translated into standard Fortran-77, with some extra extensions from the NAG Fortran Library.")) (|useNagFunctions| (((|Boolean|) (|Boolean|)) "\\spad{useNagFunctions(v)} sets the flag which controls whether NAG functions \\indented{1}{are being used for mathematical and machine constants.\\space{2}The previous} \\indented{1}{value is returned.}") (((|Boolean|)) "\\spad{useNagFunctions()} indicates whether NAG functions are being used \\indented{1}{for mathematical and machine constants.}")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(e)} return a list of all the variables in \\spad{e}.")) (|pi| (($) "\\spad{pi(x)} represents the NAG Library function X01AAF which returns \\indented{1}{an approximation to the value of pi}")) (|tanh| (($ $) "\\spad{tanh(x)} represents the Fortran intrinsic function TANH")) (|cosh| (($ $) "\\spad{cosh(x)} represents the Fortran intrinsic function COSH")) (|sinh| (($ $) "\\spad{sinh(x)} represents the Fortran intrinsic function SINH")) (|atan| (($ $) "\\spad{atan(x)} represents the Fortran intrinsic function ATAN")) (|acos| (($ $) "\\spad{acos(x)} represents the Fortran intrinsic function ACOS")) (|asin| (($ $) "\\spad{asin(x)} represents the Fortran intrinsic function ASIN")) (|tan| (($ $) "\\spad{tan(x)} represents the Fortran intrinsic function TAN")) (|cos| (($ $) "\\spad{cos(x)} represents the Fortran intrinsic function COS")) (|sin| (($ $) "\\spad{sin(x)} represents the Fortran intrinsic function SIN")) (|log10| (($ $) "\\spad{log10(x)} represents the Fortran intrinsic function \\spad{LOG10}")) (|log| (($ $) "\\spad{log(x)} represents the Fortran intrinsic function LOG")) (|exp| (($ $) "\\spad{exp(x)} represents the Fortran intrinsic function EXP")) (|sqrt| (($ $) "\\spad{sqrt(x)} represents the Fortran intrinsic function SQRT")) (|abs| (($ $) "\\spad{abs(x)} represents the Fortran intrinsic function ABS")) (|coerce| (((|Expression| |#3|) $) "\\spad{coerce(x)} is not documented")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| (|Float|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| (|Float|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| (|Integer|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Symbol|)) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it is one of the given basic symbols or subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| |#3|)) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.")) (|retract| (($ (|Polynomial| (|Float|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| (|Float|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Polynomial| (|Integer|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| (|Integer|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Symbol|)) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it is one of the given basic symbols or subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| |#3|)) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively."))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-382)))) (|HasCategory| $ (QUOTE (-1049))) (|HasCategory| $ (LIST (QUOTE -1039) (QUOTE (-569))))) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-384)))) (|HasCategory| $ (QUOTE (-1053))) (|HasCategory| $ (LIST (QUOTE -1043) (QUOTE (-571))))) 
 (-339 R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
 ((|constructor| (NIL "Lifts a map from rings to function fields over them.")) (|map| ((|#8| (|Mapping| |#5| |#1|) |#4|) "\\spad{map(f, \\spad{p)}} lifts \\spad{f} to \\spad{F1} and applies it to \\spad{p.}"))) 
 NIL 
 NIL 
-(-340 S -1647 UP UPUP) 
-((|constructor| (NIL "This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#2|))) "\\indented{1}{rationalPoints() returns the list of all the affine} rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#2|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in u1,...,un of an affine non-singular model for the curve.")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (|Mapping| |#3| |#3|)) "\\spad{algSplitSimple(f, \\spad{D)}} returns \\spad{[h,d,d',g]} such that \\spad{f=h/d}, \\spad{h} is integral at all the normal places w.r.t. \\spad{D}, \\spad{d' = Dd}, \\spad{g = gcd(d, discriminant())} and \\spad{D} is the derivation to use. \\spad{f} must have at most simple finite poles.")) (|hyperelliptic| (((|Union| |#3| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the hyperelliptic defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.")) (|elliptic| (((|Union| |#3| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.")) (|elt| ((|#2| $ |#2| |#2|) "\\spad{elt(f,a,b)} or f(a, \\spad{b)} returns the value of \\spad{f} at the point \\spad{(x = a, \\spad{y} = \\spad{b)}} if it is not singular.")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and the common content of the numerator of \\spad{f.}")) (|differentiate| (($ $ (|Mapping| |#3| |#3|)) "\\spad{differentiate(x, \\spad{d)}} extends the derivation \\spad{d} from UP to \\$ and applies it to \\spad{x.}")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#3|)) (|:| |den| |#3|)) (|Mapping| |#3| |#3|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ and returns \\spad{(M,} \\spad{Q)} such that the i^th row of \\spad{M} divided by \\spad{Q} form the coordinates of \\spad{d(wi)} with respect to \\spad{(w1,...,wn)} where \\spad{(w1,...,wn)} is the integral basis returned by integralBasis().")) (|integralRepresents| (($ (|Vector| |#3|) |#3|) "\\spad{integralRepresents([A1,...,An], \\spad{D)}} returns \\spad{(A1 w1+...+An wn)/D} where \\spad{(w1,...,wn)} is the integral basis of \\spad{integralBasis()}.")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\spad{f = \\spad{(A1} \\spad{w1} +...+ An \\spad{wn)} / \\spad{D}} where \\spad{(w1,...,wn)} is the integral basis returned by \\spad{integralBasis()}.")) (|represents| (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.") (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\spad{f = \\spad{(A1} + \\spad{A2} \\spad{y} +...+ An y**(n-1)) / \\spad{D}.}")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{inverseIntegralMatrixAtInfinity() returns \\spad{M} such} \\indented{1}{that \\spad{M (v1,...,vn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrixAtInfinity()$R")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{integralMatrixAtInfinity() returns \\spad{M} such that} \\indented{1}{\\spad{(v1,...,vn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrixAtInfinity()$R")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{inverseIntegralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{M (w1,...,wn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrix()$R")) (|integralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{integralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{(w1,...,wn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))},} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrix()$R")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,...,bn)} returns \\spad{(x**i * bj)} for all i,j such that \\spad{x**i*bj} is locally integral at infinity.")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,...,bn)} returns the complementary basis \\spad{(b1',...,bn')} of \\spad{(b1,...,bn)}.")) (|integral?| (((|Boolean|) $ |#3|) "\\spad{integral?(f, \\spad{p)}} tests whether \\spad{f} is locally integral at \\spad{p(x) = 0}") (((|Boolean|) $ |#2|) "\\spad{integral?(f, a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\indented{1}{integralBasisAtInfinity() returns the local integral basis} \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasisAtInfinity()$R")) (|integralBasis| (((|Vector| $)) "\\indented{1}{integralBasis() returns the integral basis for the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasis()$R")) (|ramified?| (((|Boolean|) |#3|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#2|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#3|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#2|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#3|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#2|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\indented{1}{branchPointAtInfinity?() tests if there is a branch point} \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} branchPointAtInfinity?()$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} branchPointAtInfinity?()$R")) (|rationalPoint?| (((|Boolean|) |#2| |#2|) "\\indented{1}{rationalPoint?(a, \\spad{b)} tests if \\spad{(x=a,y=b)} is on the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} rationalPoint?(0,0)$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{rationalPoint?(0,0)$R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\indented{1}{absolutelyIrreducible?() tests if the curve absolutely irreducible?} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{absolutelyIrreducible?()$R2}")) (|genus| (((|NonNegativeInteger|)) "\\indented{1}{genus() returns the genus of one absolutely irreducible component} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} genus()$R")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\indented{1}{numberOfComponents() returns the number of absolutely irreducible} \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} numberOfComponents()$R"))) 
+(-340 S -3280 UP UPUP) 
+((|constructor| (NIL "Function field of a curve This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#2|))) "\\spad{rationalPoints()} returns the list of all the affine rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#2|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in u1,...,un of \\indented{1}{an affine non-singular model for the curve.}")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (|Mapping| |#3| |#3|)) "\\spad{algSplitSimple(f, \\spad{D)}} returns \\spad{[h,d,d',g]} such that \\indented{1}{\\spad{f=h/d},} \\indented{1}{\\spad{h} is integral at all the normal places w.r.t. \\spad{D},} \\indented{1}{\\spad{d' = Dd}, \\spad{g = gcd(d, discriminant())} and \\spad{D}} \\indented{1}{is the derivation to use. \\spad{f} must have at most simple finite} \\indented{1}{poles.}")) (|hyperelliptic| (((|Union| |#3| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the \\indented{1}{hyperelliptic} \\indented{1}{defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.}")) (|elliptic| (((|Union| |#3| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic \\indented{1}{defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.}")) (|elt| ((|#2| $ |#2| |#2|) "\\spad{elt(f,a,b)} or f(a, \\spad{b)} returns the value of \\spad{f} \\indented{1}{at the point \\spad{(x = a, \\spad{y} = b)}} \\indented{1}{if it is not singular.}")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and \\indented{1}{the common content of the numerator of \\spad{f.}}")) (|differentiate| (($ $ (|Mapping| |#3| |#3|)) "\\spad{differentiate(x, \\spad{d)}} extends the derivation \\spad{d} from UP to \\$ and \\indented{1}{applies it to \\spad{x.}}")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#3|)) (|:| |den| |#3|)) (|Mapping| |#3| |#3|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ \\indented{1}{and returns \\spad{(M,} \\spad{Q)} such that the i^th row of \\spad{M} divided by \\spad{Q} form} \\indented{1}{the coordinates of \\spad{d(wi)} with respect to \\spad{(w1,...,wn)}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis returned} \\indented{1}{by integralBasis().}")) (|integralRepresents| (($ (|Vector| |#3|) |#3|) "\\spad{integralRepresents([A1,...,An], \\spad{D)}} returns \\indented{1}{\\spad{(A1 w1+...+An wn)/D}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral} \\indented{1}{basis of \\spad{integralBasis()}.}")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\indented{1}{\\spad{f = \\spad{(A1} \\spad{w1} +...+ An \\spad{wn)} / D}\\space{2}where \\spad{(w1,...,wn)} is the} \\indented{1}{integral basis returned by \\spad{integralBasis()}.}")) (|represents| (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\indented{1}{\\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.}") (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\indented{1}{\\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.}")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\indented{1}{\\spad{f = \\spad{(A1} + \\spad{A2} \\spad{y} +...+ An y**(n-1)) / D}.}")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\spad{inverseIntegralMatrixAtInfinity()} returns \\spad{M} such \\indented{1}{that \\spad{M (v1,...,vn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrixAtInfinity()$R")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\spad{integralMatrixAtInfinity()} returns \\spad{M} such that \\indented{1}{\\spad{(v1,...,vn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrixAtInfinity()$R")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\spad{inverseIntegralMatrix()} returns \\spad{M} such that \\indented{1}{\\spad{M (w1,...,wn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrix()$R")) (|integralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\spad{integralMatrix()} returns \\spad{M} such that \\indented{1}{\\spad{(w1,...,wn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))},} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrix()$R")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,...,bn)} returns \\spad{(x**i * bj)} \\indented{1}{for all i,j such that \\spad{x**i*bj} is locally integral} \\indented{1}{at infinity.}")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,...,bn)} returns the complementary basis \\indented{1}{\\spad{(b1',...,bn')} of \\spad{(b1,...,bn)}.}")) (|integral?| (((|Boolean|) $ |#3|) "\\spad{integral?(f, \\spad{p)}} tests whether \\spad{f} is locally integral at \\indented{1}{\\spad{p(x) = 0}}") (((|Boolean|) $ |#2|) "\\spad{integral?(f, a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\spad{integralBasisAtInfinity()} returns the local integral basis \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasisAtInfinity()$R")) (|integralBasis| (((|Vector| $)) "\\spad{integralBasis()} returns the integral basis for the curve. \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasis()$R")) (|ramified?| (((|Boolean|) |#3|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#2|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#3|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#2|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#3|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#2|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\spad{branchPointAtInfinity?()} tests if there is a branch point \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} branchPointAtInfinity?()$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} branchPointAtInfinity?()$R")) (|rationalPoint?| (((|Boolean|) |#2| |#2|) "\\spad{rationalPoint?(a, \\spad{b)}} tests if \\spad{(x=a,y=b)} is on the curve. \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} rationalPoint?(0,0)$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{rationalPoint?(0,0)$R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\spad{absolutelyIrreducible?()} tests if the curve absolutely irreducible? \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{absolutelyIrreducible?()$R2}")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus()} returns the genus of one absolutely irreducible component \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} genus()$R")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\spad{numberOfComponents()} returns the number of absolutely irreducible \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} numberOfComponents()$R"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-366)))) 
-(-341 -1647 UP UPUP) 
-((|constructor| (NIL "This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#1|))) "\\indented{1}{rationalPoints() returns the list of all the affine} rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in u1,...,un of an affine non-singular model for the curve.")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (|Mapping| |#2| |#2|)) "\\spad{algSplitSimple(f, \\spad{D)}} returns \\spad{[h,d,d',g]} such that \\spad{f=h/d}, \\spad{h} is integral at all the normal places w.r.t. \\spad{D}, \\spad{d' = Dd}, \\spad{g = gcd(d, discriminant())} and \\spad{D} is the derivation to use. \\spad{f} must have at most simple finite poles.")) (|hyperelliptic| (((|Union| |#2| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the hyperelliptic defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.")) (|elliptic| (((|Union| |#2| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.")) (|elt| ((|#1| $ |#1| |#1|) "\\spad{elt(f,a,b)} or f(a, \\spad{b)} returns the value of \\spad{f} at the point \\spad{(x = a, \\spad{y} = \\spad{b)}} if it is not singular.")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and the common content of the numerator of \\spad{f.}")) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x, \\spad{d)}} extends the derivation \\spad{d} from UP to \\$ and applies it to \\spad{x.}")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#2|)) (|:| |den| |#2|)) (|Mapping| |#2| |#2|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ and returns \\spad{(M,} \\spad{Q)} such that the i^th row of \\spad{M} divided by \\spad{Q} form the coordinates of \\spad{d(wi)} with respect to \\spad{(w1,...,wn)} where \\spad{(w1,...,wn)} is the integral basis returned by integralBasis().")) (|integralRepresents| (($ (|Vector| |#2|) |#2|) "\\spad{integralRepresents([A1,...,An], \\spad{D)}} returns \\spad{(A1 w1+...+An wn)/D} where \\spad{(w1,...,wn)} is the integral basis of \\spad{integralBasis()}.")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\spad{f = \\spad{(A1} \\spad{w1} +...+ An \\spad{wn)} / \\spad{D}} where \\spad{(w1,...,wn)} is the integral basis returned by \\spad{integralBasis()}.")) (|represents| (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.") (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\spad{f = \\spad{(A1} + \\spad{A2} \\spad{y} +...+ An y**(n-1)) / \\spad{D}.}")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{inverseIntegralMatrixAtInfinity() returns \\spad{M} such} \\indented{1}{that \\spad{M (v1,...,vn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrixAtInfinity()$R")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{integralMatrixAtInfinity() returns \\spad{M} such that} \\indented{1}{\\spad{(v1,...,vn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrixAtInfinity()$R")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{inverseIntegralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{M (w1,...,wn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrix()$R")) (|integralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{integralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{(w1,...,wn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))},} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrix()$R")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,...,bn)} returns \\spad{(x**i * bj)} for all i,j such that \\spad{x**i*bj} is locally integral at infinity.")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,...,bn)} returns the complementary basis \\spad{(b1',...,bn')} of \\spad{(b1,...,bn)}.")) (|integral?| (((|Boolean|) $ |#2|) "\\spad{integral?(f, \\spad{p)}} tests whether \\spad{f} is locally integral at \\spad{p(x) = 0}") (((|Boolean|) $ |#1|) "\\spad{integral?(f, a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\indented{1}{integralBasisAtInfinity() returns the local integral basis} \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasisAtInfinity()$R")) (|integralBasis| (((|Vector| $)) "\\indented{1}{integralBasis() returns the integral basis for the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasis()$R")) (|ramified?| (((|Boolean|) |#2|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#1|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#2|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#1|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#2|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#1|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\indented{1}{branchPointAtInfinity?() tests if there is a branch point} \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} branchPointAtInfinity?()$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} branchPointAtInfinity?()$R")) (|rationalPoint?| (((|Boolean|) |#1| |#1|) "\\indented{1}{rationalPoint?(a, \\spad{b)} tests if \\spad{(x=a,y=b)} is on the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} rationalPoint?(0,0)$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{rationalPoint?(0,0)$R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\indented{1}{absolutelyIrreducible?() tests if the curve absolutely irreducible?} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{absolutelyIrreducible?()$R2}")) (|genus| (((|NonNegativeInteger|)) "\\indented{1}{genus() returns the genus of one absolutely irreducible component} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} genus()$R")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\indented{1}{numberOfComponents() returns the number of absolutely irreducible} \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} numberOfComponents()$R"))) 
-((-4564 |has| (-410 |#2|) (-366)) (-4569 |has| (-410 |#2|) (-366)) (-4563 |has| (-410 |#2|) (-366)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-373))) (|HasCategory| |#2| (QUOTE (-367)))) 
+(-341 -3280 UP UPUP) 
+((|constructor| (NIL "Function field of a curve This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#1|))) "\\spad{rationalPoints()} returns the list of all the affine rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in u1,...,un of \\indented{1}{an affine non-singular model for the curve.}")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (|Mapping| |#2| |#2|)) "\\spad{algSplitSimple(f, \\spad{D)}} returns \\spad{[h,d,d',g]} such that \\indented{1}{\\spad{f=h/d},} \\indented{1}{\\spad{h} is integral at all the normal places w.r.t. \\spad{D},} \\indented{1}{\\spad{d' = Dd}, \\spad{g = gcd(d, discriminant())} and \\spad{D}} \\indented{1}{is the derivation to use. \\spad{f} must have at most simple finite} \\indented{1}{poles.}")) (|hyperelliptic| (((|Union| |#2| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the \\indented{1}{hyperelliptic} \\indented{1}{defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.}")) (|elliptic| (((|Union| |#2| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic \\indented{1}{defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.}")) (|elt| ((|#1| $ |#1| |#1|) "\\spad{elt(f,a,b)} or f(a, \\spad{b)} returns the value of \\spad{f} \\indented{1}{at the point \\spad{(x = a, \\spad{y} = b)}} \\indented{1}{if it is not singular.}")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and \\indented{1}{the common content of the numerator of \\spad{f.}}")) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x, \\spad{d)}} extends the derivation \\spad{d} from UP to \\$ and \\indented{1}{applies it to \\spad{x.}}")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#2|)) (|:| |den| |#2|)) (|Mapping| |#2| |#2|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ \\indented{1}{and returns \\spad{(M,} \\spad{Q)} such that the i^th row of \\spad{M} divided by \\spad{Q} form} \\indented{1}{the coordinates of \\spad{d(wi)} with respect to \\spad{(w1,...,wn)}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis returned} \\indented{1}{by integralBasis().}")) (|integralRepresents| (($ (|Vector| |#2|) |#2|) "\\spad{integralRepresents([A1,...,An], \\spad{D)}} returns \\indented{1}{\\spad{(A1 w1+...+An wn)/D}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral} \\indented{1}{basis of \\spad{integralBasis()}.}")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\indented{1}{\\spad{f = \\spad{(A1} \\spad{w1} +...+ An \\spad{wn)} / D}\\space{2}where \\spad{(w1,...,wn)} is the} \\indented{1}{integral basis returned by \\spad{integralBasis()}.}")) (|represents| (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\indented{1}{\\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.}") (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\indented{1}{\\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.}")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\indented{1}{\\spad{f = \\spad{(A1} + \\spad{A2} \\spad{y} +...+ An y**(n-1)) / D}.}")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\spad{inverseIntegralMatrixAtInfinity()} returns \\spad{M} such \\indented{1}{that \\spad{M (v1,...,vn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrixAtInfinity()$R")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\spad{integralMatrixAtInfinity()} returns \\spad{M} such that \\indented{1}{\\spad{(v1,...,vn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrixAtInfinity()$R")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\spad{inverseIntegralMatrix()} returns \\spad{M} such that \\indented{1}{\\spad{M (w1,...,wn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrix()$R")) (|integralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\spad{integralMatrix()} returns \\spad{M} such that \\indented{1}{\\spad{(w1,...,wn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))},} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrix()$R")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,...,bn)} returns \\spad{(x**i * bj)} \\indented{1}{for all i,j such that \\spad{x**i*bj} is locally integral} \\indented{1}{at infinity.}")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,...,bn)} returns the complementary basis \\indented{1}{\\spad{(b1',...,bn')} of \\spad{(b1,...,bn)}.}")) (|integral?| (((|Boolean|) $ |#2|) "\\spad{integral?(f, \\spad{p)}} tests whether \\spad{f} is locally integral at \\indented{1}{\\spad{p(x) = 0}}") (((|Boolean|) $ |#1|) "\\spad{integral?(f, a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\spad{integralBasisAtInfinity()} returns the local integral basis \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasisAtInfinity()$R")) (|integralBasis| (((|Vector| $)) "\\spad{integralBasis()} returns the integral basis for the curve. \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasis()$R")) (|ramified?| (((|Boolean|) |#2|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#1|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#2|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#1|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#2|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#1|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\spad{branchPointAtInfinity?()} tests if there is a branch point \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} branchPointAtInfinity?()$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} branchPointAtInfinity?()$R")) (|rationalPoint?| (((|Boolean|) |#1| |#1|) "\\spad{rationalPoint?(a, \\spad{b)}} tests if \\spad{(x=a,y=b)} is on the curve. \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} rationalPoint?(0,0)$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{rationalPoint?(0,0)$R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\spad{absolutelyIrreducible?()} tests if the curve absolutely irreducible? \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{absolutelyIrreducible?()$R2}")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus()} returns the genus of one absolutely irreducible component \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} genus()$R")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\spad{numberOfComponents()} returns the number of absolutely irreducible \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} numberOfComponents()$R"))) 
+((-4593 |has| (-412 |#2|) (-367)) (-4598 |has| (-412 |#2|) (-367)) (-4592 |has| (-412 |#2|) (-367)) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 (-342 |p| |extdeg|) 
 ((|constructor| (NIL "FiniteFieldCyclicGroup(p,n) implements a finite field extension of degee \\spad{n} over the prime field with \\spad{p} elements. Its elements are represented by powers of a primitive element, \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial, which is created by createPrimitivePoly from \\spadtype{FiniteFieldPolynomialPackage}. The Zech logarithms are stored in a table of size half of the field size, and use \\spadtype{SingleInteger} for representing field elements, hence, there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field. This table is used to perform additions in the field quickly."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-907 |#1|) (QUOTE (-151))) (|HasCategory| (-907 |#1|) (QUOTE (-371))) (|HasCategory| (-907 |#1|) (QUOTE (-149))) (-1929 (|HasCategory| (-907 |#1|) (QUOTE (-149))) (|HasCategory| (-907 |#1|) (QUOTE (-371))))) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-910 |#1|) (QUOTE (-151))) (|HasCategory| (-910 |#1|) (QUOTE (-373))) (|HasCategory| (-910 |#1|) (QUOTE (-149))) (-1831 (|HasCategory| (-910 |#1|) (QUOTE (-149))) (|HasCategory| (-910 |#1|) (QUOTE (-373))))) 
 (-343 GF |defpol|) 
 ((|constructor| (NIL "FiniteFieldCyclicGroupExtensionByPolynomial(GF,defpol) implements a finite extension field of the ground field \\spad{GF.} Its elements are represented by powers of a primitive element, \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial defpol, which MUST be primitive (user responsibility). Zech logarithms are stored in a table of size half of the field size, and use \\spadtype{SingleInteger} for representing field elements, hence, there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field it is used to perform additions in the field quickly."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-149))) (-1831 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-373))))) 
 (-344 GF |extdeg|) 
 ((|constructor| (NIL "FiniteFieldCyclicGroupExtension(GF,n) implements a extension of degree \\spad{n} over the ground field \\spad{GF.} Its elements are represented by powers of a primitive element, \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial, which is created by createPrimitivePoly from \\spadtype{FiniteFieldPolynomialPackage}. Zech logarithms are stored in a table of size half of the field size, and use \\spadtype{SingleInteger} for representing field elements, hence, there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field. This table is used to perform additions in the field quickly."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-149))) (-1831 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-373))))) 
 (-345 K |PolK|) 
+((|constructor| (NIL "Part of the PAFF package"))) 
+NIL 
+NIL 
+(-346 K |PolK|) 
 ((|constructor| (NIL "Part of the package for Algebraic Function Fields in one variable (PAFF) It has been modified (very slitely) so that each time the \"factor\" function is used, the variable related to the size of the field over which the polynomial is factorized is reset. This is done in order to be used with a \"dynamic extension field\" which size is not fixed but set before calling the \"factor\" function and which is parse by side effect to this package via the function \"size\". See the local function \"initialize\" of this package."))) 
 NIL 
 NIL 
-(-346 -3712 V VF) 
+(-347 -1544 V VF) 
 ((|constructor| (NIL "This package lifts the interpolation functions from \\spadtype{FractionFreeFastGaussian} to fractions. The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalInterpolation(l, CA, \\spad{f,} sumEta, maxEta)} applies generalInterpolation(l, CA, \\spad{f,} eta) for all possible eta with maximal entry maxEta and sum of entries \\spad{sumEta}") (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{generalInterpolation(l, CA, \\spad{f,} eta)} performs Hermite-Pade approximation using the given action \\spad{CA} of polynomials on the elements of \\spad{f.} The result is guaranteed to be correct up to order |eta|-1. Given that eta is a \"normal\" point, the degrees on the diagonal are given by eta. The degrees of column \\spad{i} are in this case eta + e.i - [1,1,...,1], where the degree of zero is \\spad{-1.}"))) 
 NIL 
 NIL 
-(-347 -3712 V) 
+(-348 -1544 V) 
 ((|constructor| (NIL "This package implements the interpolation algorithm proposed in Beckermann, Bernhard and Labahn, George, Fraction-free computation of matrix rational interpolants and matrix GCDs, SIAM Journal on Matrix Analysis and Applications 22. The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|qShiftC| (((|List| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{qShiftC} gives the coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x), where \\spad{z} acts on g(x) by shifting. In fact, the result is [1,q,q^2,...]")) (|qShiftAction| ((|#1| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{qShiftAction(q, \\spad{k,} \\spad{l,} \\spad{g)}} gives the coefficient of \\spad{x^k} in \\spad{z^l} g(x), where z*(a+b*x+c*x^2+d*x^3+...) = (a+q*b*x+q^2*c*x^2+q^3*d*x^3+...). In terms of sequences, z*u(n)=q^n*u(n).")) (|DiffC| (((|List| |#1|) (|NonNegativeInteger|)) "\\spad{DiffC} gives the coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x), where \\spad{z} acts on g(x) by shifting. In fact, the result is [0,0,0,...]")) (|DiffAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{DiffAction(k, \\spad{l,} \\spad{g)}} gives the coefficient of \\spad{x^k} in \\spad{z^l} g(x), where z*(a+b*x+c*x^2+d*x^3+...) = (a*x+b*x^2+c*x^3+...), \\spadignore{i.e.} multiplication with \\spad{x.}")) (|ShiftC| (((|List| |#1|) (|NonNegativeInteger|)) "\\spad{ShiftC} gives the coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x), where \\spad{z} acts on g(x) by shifting. In fact, the result is [0,1,2,...]")) (|ShiftAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{ShiftAction(k, \\spad{l,} \\spad{g)}} gives the coefficient of \\spad{x^k} in \\spad{z^l} g(x), where \\spad{z*(a+b*x+c*x^2+d*x^3+...) = (b*x+2*c*x^2+3*d*x^3+...)}. In terms of sequences, z*u(n)=n*u(n).")) (|generalCoefficient| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalCoefficient(action, \\spad{f,} \\spad{k,} \\spad{p)}} gives the coefficient of \\spad{x^k} in p(z)\\dot f(x), where the \\spad{action} of \\spad{z^l} on a polynomial in \\spad{x} is given by action, \\spadignore{i.e.} action(k, \\spad{l,} \\spad{f)} should return the coefficient of \\spad{x^k} in \\spad{z^l} f(x).")) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalInterpolation(C, CA, \\spad{f,} sumEta, maxEta)} applies \\spad{generalInterpolation(C, CA, \\spad{f,} eta)} for all possible \\spad{eta} with maximal entry \\spad{maxEta} and sum of entries at most \\spad{sumEta}. \\blankline The first argument \\spad{C} is the list of coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x). \\blankline The second argument, CA(k, \\spad{l,} \\spad{f),} should return the coefficient of \\spad{x^k} in \\spad{z^l} f(x).") (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{generalInterpolation(C, CA, \\spad{f,} eta)} performs Hermite-Pade approximation using the given action \\spad{CA} of polynomials on the elements of \\spad{f.} The result is guaranteed to be correct up to order |eta|-1. Given that eta is a \"normal\" point, the degrees on the diagonal are given by eta. The degrees of column \\spad{i} are in this case eta + e.i - [1,1,...,1], where the degree of zero is \\spad{-1.} \\blankline The first argument \\spad{C} is the list of coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x). \\blankline The second argument, CA(k, \\spad{l,} \\spad{f),} should return the coefficient of \\spad{x^k} in \\spad{z^l} f(x).")) (|interpolate| (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| (|Fraction| |#1|)) (|List| (|Fraction| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolate(xlist, ylist, deg} returns the rational function with numerator degree \\spad{deg} that interpolates the given points using fraction free arithmetic.") (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{interpolate(xlist, ylist, deg} returns the rational function with numerator degree at most \\spad{deg} and denominator degree at most \\spad{\\#xlist-deg-1} that interpolates the given points using fraction free arithmetic. Note that rational interpolation does not guarantee that all given points are interpolated correctly: unattainable points may make this impossible.")) (|fffg| (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) (|List| (|NonNegativeInteger|))) "\\spad{fffg} is the general algorithm as proposed by Beckermann and Labahn. \\blankline The first argument is the list of c_{i,i}. These are the only values of \\spad{C} explicitely needed in \\spad{fffg}. \\blankline The second argument \\spad{c,} computes c_k(M), \\spadignore{i.e.} c_k(.) is the dual basis of the vector space \\spad{V,} but also knows about the special multiplication rule as descibed in Equation (2). Note that the information about \\spad{f} is therefore encoded in \\spad{c.} \\blankline The third argument is the vector of degree bounds \\spad{n,} as introduced in Definition 2.1. In particular, the sum of the entries is the order of the Mahler system computed."))) 
 NIL 
 NIL 
-(-348 GF) 
+(-349 GF) 
 ((|constructor| (NIL "FiniteFieldFunctions(GF) is a package with functions concerning finite extension fields of the finite ground field \\spad{GF,} \\spadignore{e.g.} Zech logarithms.")) (|createLowComplexityNormalBasis| (((|Union| (|SparseUnivariatePolynomial| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) (|PositiveInteger|)) "\\spad{createLowComplexityNormalBasis(n)} tries to find a a low complexity normal basis of degree \\spad{n} over \\spad{GF} and returns its multiplication matrix If no low complexity basis is found it calls \\axiomFunFrom{createNormalPoly}{FiniteFieldPolynomialPackage}(n) to produce a normal polynomial of degree \\spad{n} over \\spad{GF}")) (|createLowComplexityTable| (((|Union| (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) "failed") (|PositiveInteger|)) "\\spad{createLowComplexityTable(n)} tries to find a low complexity normal basis of degree \\spad{n} over \\spad{GF} and returns its multiplication matrix Fails, if it does not find a low complexity basis")) (|sizeMultiplication| (((|NonNegativeInteger|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{sizeMultiplication(m)} returns the number of entries of the multiplication table \\spad{m.}")) (|createMultiplicationMatrix| (((|Matrix| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{createMultiplicationMatrix(m)} forms the multiplication table \\spad{m} into a matrix over the ground field.")) (|createMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{createMultiplicationTable(f)} generates a multiplication table for the normal basis of the field extension determined by \\spad{f.} This is needed to perform multiplications between elements represented as coordinate vectors to this basis. See \\spadtype{FFNBP}, \\spadtype{FFNBX}.")) (|createZechTable| (((|PrimitiveArray| (|SingleInteger|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{createZechTable(f)} generates a Zech logarithm table for the cyclic group representation of a extension of the ground field by the primitive polynomial f(x), \\spadignore{i.e.} \\spad{Z(i)}, defined by x**Z(i) = 1+x**i is stored at index i. This is needed in particular to perform addition of field elements in finite fields represented in this way. See \\spadtype{FFCGP}, \\spadtype{FFCGX}."))) 
 NIL 
 NIL 
-(-349 F1 GF F2) 
+(-350 F1 GF F2) 
 ((|constructor| (NIL "FiniteFieldHomomorphisms(F1,GF,F2) exports coercion functions of elements between the fields \\spad{F1} and \\spad{F2,} which both must be finite simple algebraic extensions of the finite ground field \\spad{GF.}")) (|coerce| ((|#1| |#3|) "\\spad{coerce(x)} is the homomorphic image of \\spad{x} from \\spad{F2} in \\spad{F1,} where coerce is a field homomorphism between the fields extensions \\spad{F2} and \\spad{F1} both over ground field \\spad{GF} (the second argument to the package). Error: if the extension degree of \\spad{F2} doesn't divide the extension degree of \\spad{F1.} Note that the other coercion function in the \\spadtype{FiniteFieldHomomorphisms} is a left inverse.") ((|#3| |#1|) "\\spad{coerce(x)} is the homomorphic image of \\spad{x} from \\spad{F1} in \\spad{F2.} Thus coerce is a field homomorphism between the fields extensions \\spad{F1} and \\spad{F2} both over ground field \\spad{GF} (the second argument to the package). Error: if the extension degree of \\spad{F1} doesn't divide the extension degree of \\spad{F2.} Note that the other coercion function in the \\spadtype{FiniteFieldHomomorphisms} is a left inverse."))) 
 NIL 
 NIL 
-(-350 S) 
+(-351 S) 
 ((|constructor| (NIL "FiniteFieldCategory is the category of finite fields")) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) "\\spad{representationType()} returns the type of the representation, one of: \\spad{prime}, \\spad{polynomial}, \\spad{normal}, or \\spad{cyclic}.")) (|order| (((|PositiveInteger|) $) "\\spad{order(b)} computes the order of an element \\spad{b} in the multiplicative group of the field. Error: if \\spad{b} equals 0.")) (|discreteLog| (((|NonNegativeInteger|) $) "\\spad{discreteLog(a)} computes the discrete logarithm of \\spad{a} with respect to \\spad{primitiveElement()} of the field.")) (|primitive?| (((|Boolean|) $) "\\spad{primitive?(b)} tests whether the element \\spad{b} is a generator of the (cyclic) multiplicative group of the field, \\spadignore{i.e.} is a primitive element. Implementation Note that see ch.IX.1.3, \\spad{th.2} in \\spad{D.} Lipson.")) (|primitiveElement| (($) "\\spad{primitiveElement()} returns a primitive element stored in a global variable in the domain. At first call, the primitive element is computed by calling \\spadfun{createPrimitiveElement}.")) (|createPrimitiveElement| (($) "\\spad{createPrimitiveElement()} computes a generator of the (cyclic) multiplicative group of the field.")) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) "\\spad{tableForDiscreteLogarithm(a,n)} returns a table of the discrete logarithms of \\spad{a**0} up to \\spad{a**(n-1)} which, called with key \\spad{lookup(a**i)} returns \\spad{i} for \\spad{i} in \\spad{0..n-1}. Error: if not called for prime divisors of order of \\indented{7}{multiplicative group.}")) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) "\\spad{factorsOfCyclicGroupSize()} returns the factorization of \\spad{size()-1}")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(mat)}, given a matrix representing a homogeneous system of equations, returns a vector whose characteristic'th powers is a non-trivial solution, or \"failed\" if no such vector exists.")) (|charthRoot| (($ $) "\\spad{charthRoot(a)} takes the characteristic'th root of a. Note that such a root is alway defined in finite fields."))) 
 NIL 
 NIL 
-(-351) 
+(-352) 
 ((|constructor| (NIL "FiniteFieldCategory is the category of finite fields")) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) "\\spad{representationType()} returns the type of the representation, one of: \\spad{prime}, \\spad{polynomial}, \\spad{normal}, or \\spad{cyclic}.")) (|order| (((|PositiveInteger|) $) "\\spad{order(b)} computes the order of an element \\spad{b} in the multiplicative group of the field. Error: if \\spad{b} equals 0.")) (|discreteLog| (((|NonNegativeInteger|) $) "\\spad{discreteLog(a)} computes the discrete logarithm of \\spad{a} with respect to \\spad{primitiveElement()} of the field.")) (|primitive?| (((|Boolean|) $) "\\spad{primitive?(b)} tests whether the element \\spad{b} is a generator of the (cyclic) multiplicative group of the field, \\spadignore{i.e.} is a primitive element. Implementation Note that see ch.IX.1.3, \\spad{th.2} in \\spad{D.} Lipson.")) (|primitiveElement| (($) "\\spad{primitiveElement()} returns a primitive element stored in a global variable in the domain. At first call, the primitive element is computed by calling \\spadfun{createPrimitiveElement}.")) (|createPrimitiveElement| (($) "\\spad{createPrimitiveElement()} computes a generator of the (cyclic) multiplicative group of the field.")) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) "\\spad{tableForDiscreteLogarithm(a,n)} returns a table of the discrete logarithms of \\spad{a**0} up to \\spad{a**(n-1)} which, called with key \\spad{lookup(a**i)} returns \\spad{i} for \\spad{i} in \\spad{0..n-1}. Error: if not called for prime divisors of order of \\indented{7}{multiplicative group.}")) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) "\\spad{factorsOfCyclicGroupSize()} returns the factorization of \\spad{size()-1}")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(mat)}, given a matrix representing a homogeneous system of equations, returns a vector whose characteristic'th powers is a non-trivial solution, or \"failed\" if no such vector exists.")) (|charthRoot| (($ $) "\\spad{charthRoot(a)} takes the characteristic'th root of a. Note that such a root is alway defined in finite fields."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-352 R UP -1647) 
+(-353 R UP -3280) 
 ((|constructor| (NIL "Integral bases for function fields of dimension one In this package \\spad{R} is a Euclidean domain and \\spad{F} is a framed algebra over \\spad{R.} The package provides functions to compute the integral closure of \\spad{R} in the quotient field of \\spad{F.} It is assumed that \\spad{char(R/P) = char(R)} for any prime \\spad{P} of \\spad{R.} A typical instance of this is when \\spad{R = K[x]} and \\spad{F} is a function field over \\spad{R.}")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) |#1|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the local integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the integral closure of \\spad{R} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns a square-free factorisation of \\spad{x}"))) 
 NIL 
 NIL 
-(-353 |p| |extdeg|) 
+(-354 |p| |extdeg|) 
 ((|constructor| (NIL "FiniteFieldNormalBasis(p,n) implements a finite extension field of degree \\spad{n} over the prime field with \\spad{p} elements. The elements are represented by coordinate vectors with respect to a normal basis, \\spadignore{i.e.} a basis consisting of the conjugates (q-powers) of an element, in this case called normal element. This is chosen as a root of the extension polynomial created by createNormalPoly")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: The time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| (|PrimeField| |#1|))) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| (|PrimeField| |#1|)) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-907 |#1|) (QUOTE (-151))) (|HasCategory| (-907 |#1|) (QUOTE (-371))) (|HasCategory| (-907 |#1|) (QUOTE (-149))) (-1929 (|HasCategory| (-907 |#1|) (QUOTE (-149))) (|HasCategory| (-907 |#1|) (QUOTE (-371))))) 
-(-354 GF |uni|) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-910 |#1|) (QUOTE (-151))) (|HasCategory| (-910 |#1|) (QUOTE (-373))) (|HasCategory| (-910 |#1|) (QUOTE (-149))) (-1831 (|HasCategory| (-910 |#1|) (QUOTE (-149))) (|HasCategory| (-910 |#1|) (QUOTE (-373))))) 
+(-355 GF |uni|) 
 ((|constructor| (NIL "FiniteFieldNormalBasisExtensionByPolynomial(GF,uni) implements a finite extension of the ground field \\spad{GF.} The elements are represented by coordinate vectors with respect to. a normal basis, \\spadignore{i.e.} a basis consisting of the conjugates (q-powers) of an element, in this case called normal element, where \\spad{q} is the size of \\spad{GF.} The normal element is chosen as a root of the extension polynomial, which MUST be normal over \\spad{GF} (user responsibility)")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: the time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| |#1|)) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
-(-355 GF |extdeg|) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-149))) (-1831 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-373))))) 
+(-356 GF |extdeg|) 
 ((|constructor| (NIL "FiniteFieldNormalBasisExtensionByPolynomial(GF,n) implements a finite extension field of degree \\spad{n} over the ground field \\spad{GF.} The elements are represented by coordinate vectors with respect to a normal basis, \\spadignore{i.e.} a basis consisting of the conjugates (q-powers) of an element, in this case called normal element. This is chosen as a root of the extension polynomial, created by createNormalPoly from \\spadtype{FiniteFieldPolynomialPackage}")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: the time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| |#1|)) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
-(-356 |p| |n|) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-149))) (-1831 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-373))))) 
+(-357 |p| |n|) 
 ((|constructor| (NIL "FiniteField(p,n) implements finite fields with p**n elements. This packages checks that \\spad{p} is prime. For a non-checking version, see \\spadtype{InnerFiniteField}."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-907 |#1|) (QUOTE (-151))) (|HasCategory| (-907 |#1|) (QUOTE (-371))) (|HasCategory| (-907 |#1|) (QUOTE (-149))) (-1929 (|HasCategory| (-907 |#1|) (QUOTE (-149))) (|HasCategory| (-907 |#1|) (QUOTE (-371))))) 
-(-357 GF |defpol|) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-910 |#1|) (QUOTE (-151))) (|HasCategory| (-910 |#1|) (QUOTE (-373))) (|HasCategory| (-910 |#1|) (QUOTE (-149))) (-1831 (|HasCategory| (-910 |#1|) (QUOTE (-149))) (|HasCategory| (-910 |#1|) (QUOTE (-373))))) 
+(-358 GF |defpol|) 
 ((|constructor| (NIL "FiniteFieldExtensionByPolynomial(GF, defpol) implements the extension of the finite field \\spad{GF} generated by the extension polynomial defpol which MUST be irreducible."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
-(-358 -1647 GF) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-149))) (-1831 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-373))))) 
+(-359 -3280 GF) 
 ((|constructor| (NIL "FiniteFieldPolynomialPackage2(F,GF) exports some functions concerning finite fields, which depend on a finite field \\spad{GF} and an algebraic extension \\spad{F} of \\spad{GF,} \\spadignore{e.g.} a zero of a polynomial over \\spad{GF} in \\spad{F.}")) (|rootOfIrreduciblePoly| ((|#1| (|SparseUnivariatePolynomial| |#2|)) "\\spad{rootOfIrreduciblePoly(f)} computes one root of the monic, irreducible polynomial \\spad{f,} which degree must divide the extension degree of \\spad{F} over \\spad{GF,} \\spadignore{i.e.} \\spad{f} splits into linear factors over \\spad{F.}")) (|Frobenius| ((|#1| |#1|) "\\spad{Frobenius(x)} \\undocumented{}")) (|basis| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{basis(n)} \\undocumented{}")) (|lookup| (((|PositiveInteger|) |#1|) "\\spad{lookup(x)} \\undocumented{}")) (|coerce| ((|#1| |#2|) "\\spad{coerce(x)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-359 GF) 
+(-360 GF) 
 ((|constructor| (NIL "This package provides a number of functions for generating, counting and testing irreducible, normal, primitive, random polynomials over finite fields.")) (|reducedQPowers| (((|PrimitiveArray| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{reducedQPowers(f)} generates \\spad{[x,x**q,x**(q**2),...,x**(q**(n-1))]} reduced modulo \\spad{f} where \\spad{q = size()$GF} and \\spad{n = degree \\spad{f}.}")) (|leastAffineMultiple| (((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{leastAffineMultiple(f)} computes the least affine polynomial which is divisible by the polynomial \\spad{f} over the finite field \\spad{GF,} \\spadignore{i.e.} a polynomial whose exponents are 0 or a power of \\spad{q,} the size of \\spad{GF.}")) (|random| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{random(m,n)}$FFPOLY(GF) generates a random monic polynomial of degree \\spad{d} over the finite field \\spad{GF,} \\spad{d} between \\spad{m} and \\spad{n.}") (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{random(n)}$FFPOLY(GF) generates a random monic polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|nextPrimitiveNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextPrimitiveNormalPoly(f)} yields the next primitive normal polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g} or, in case these numbers are equal, if the lookup of the coefficient of the term of degree \\spad{n-1} of \\spad{f} is less than this number for \\spad{g.} If these numbers are equals, \\spad{f < \\spad{g}} if the number of monomials of \\spad{f} is less than that for \\spad{g,} or if the lists of exponents for \\spad{f} are lexicographically less than those for \\spad{g.} If these lists are also equal, the lists of coefficients are coefficients according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup. This operation is equivalent to nextNormalPrimitivePoly(f).")) (|nextNormalPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextNormalPrimitivePoly(f)} yields the next normal primitive polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g} or if lookup of the coefficient of the term of degree \\spad{n-1} of \\spad{f} is less than this number for \\spad{g.} Otherwise, \\spad{f < \\spad{g}} if the number of monomials of \\spad{f} is less than that for \\spad{g} or if the lists of exponents for \\spad{f} are lexicographically less than those for \\spad{g.} If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup. This operation is equivalent to nextPrimitiveNormalPoly(f).")) (|nextNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextNormalPoly(f)} yields the next normal polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the coefficient of the term of degree \\spad{n-1} of \\spad{f} is less than that for \\spad{g.} In case these numbers are equal, \\spad{f < \\spad{g}} if if the number of monomials of \\spad{f} is less that for \\spad{g} or if the list of exponents of \\spad{f} are lexicographically less than the corresponding list for \\spad{g.} If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|nextPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextPrimitivePoly(f)} yields the next primitive polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g.} If these values are equal, then \\spad{f < \\spad{g}} if if the number of monomials of \\spad{f} is less than that for \\spad{g} or if the lists of exponents of \\spad{f} are lexicographically less than the corresponding list for \\spad{g.} If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|nextIrreduciblePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextIrreduciblePoly(f)} yields the next monic irreducible polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the number of monomials of \\spad{f} is less than this number for \\spad{g.} If \\spad{f} and \\spad{g} have the same number of monomials, the lists of exponents are compared lexicographically. If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|createPrimitiveNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createPrimitiveNormalPoly(n)}$FFPOLY(GF) generates a normal and primitive polynomial of degree \\spad{n} over the field \\spad{GF.} polynomial of degree \\spad{n} over the field \\spad{GF.}")) (|createNormalPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createNormalPrimitivePoly(n)}$FFPOLY(GF) generates a normal and primitive polynomial of degree \\spad{n} over the field \\spad{GF.} Note that this function is equivalent to createPrimitiveNormalPoly(n)")) (|createNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createNormalPoly(n)}$FFPOLY(GF) generates a normal polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|createPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createPrimitivePoly(n)}$FFPOLY(GF) generates a primitive polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|createIrreduciblePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createIrreduciblePoly(n)}$FFPOLY(GF) generates a monic irreducible univariate polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|numberOfNormalPoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfNormalPoly(n)}$FFPOLY(GF) yields the number of normal polynomials of degree \\spad{n} over the finite field \\spad{GF.}")) (|numberOfPrimitivePoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfPrimitivePoly(n)}$FFPOLY(GF) yields the number of primitive polynomials of degree \\spad{n} over the finite field \\spad{GF.}")) (|numberOfIrreduciblePoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfIrreduciblePoly(n)}$FFPOLY(GF) yields the number of monic irreducible univariate polynomials of degree \\spad{n} over the finite field \\spad{GF.}")) (|normal?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{normal?(f)} tests whether the polynomial \\spad{f} over a finite field is normal, \\spadignore{i.e.} its roots are linearly independent over the field.")) (|primitive?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{primitive?(f)} tests whether the polynomial \\spad{f} over a finite field is primitive, \\spadignore{i.e.} all its roots are primitive."))) 
 NIL 
 NIL 
-(-360 -1647 FP FPP) 
+(-361 -3280 FP FPP) 
 ((|constructor| (NIL "This package solves linear diophantine equations for Bivariate polynomials over finite fields")) (|solveLinearPolynomialEquation| (((|Union| (|List| |#3|) "failed") (|List| |#3|) |#3|) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists."))) 
 NIL 
 NIL 
-(-361 K |PolK|) 
+(-362 K |PolK|) 
 ((|constructor| (NIL "Part of the package for Algebraic Function Fields in one variable (PAFF)"))) 
 NIL 
 NIL 
-(-362 GF |n|) 
+(-363 GF |n|) 
 ((|constructor| (NIL "FiniteFieldExtensionByPolynomial(GF, \\spad{n)} implements an extension of the finite field \\spad{GF} of degree \\spad{n} generated by the extension polynomial constructed by createIrreduciblePoly from \\spadtype{FiniteFieldPolynomialPackage}."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
-(-363 R |ls|) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-149))) (-1831 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-373))))) 
+(-364 R |ls|) 
 ((|constructor| (NIL "This is just an interface between several packages and domains. The goal is to compute lexicographical Groebner bases of sets of polynomial with type \\spadtype{Polynomial \\spad{R}} by the FGLM algorithm if this is possible (\\spadignore{i.e.} if the input system generates a zero-dimensional ideal).")) (|groebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|))) "\\axiom{groebner(lq1)} returns the lexicographical Groebner basis of \\axiom{lq1}. If \\axiom{lq1} generates a zero-dimensional ideal then the FGLM strategy is used, otherwise the Sugar strategy is used.")) (|fglmIfCan| (((|Union| (|List| (|Polynomial| |#1|)) "failed") (|List| (|Polynomial| |#1|))) "\\axiom{fglmIfCan(lq1)} returns the lexicographical Groebner basis of \\axiom{lq1} by using the FGLM strategy, if \\axiom{zeroDimensional?(lq1)} holds.")) (|zeroDimensional?| (((|Boolean|) (|List| (|Polynomial| |#1|))) "\\axiom{zeroDimensional?(lq1)} returns \\spad{true} iff \\axiom{lq1} generates a zero-dimensional ideal w.r.t. the variables of \\axiom{ls}."))) 
 NIL 
 NIL 
-(-364 S) 
-((|constructor| (NIL "The free group on a set \\spad{S} is the group of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are integers. The multiplication is not commutative.")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $) "\\spad{factors(a1\\^e1,...,an\\^en)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|Integer|) (|Integer|)) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th monomial of \\spad{x.}")) (|nthExpon| (((|Integer|) $ (|Integer|)) "\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{x.}")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x.}")) (** (($ |#1| (|Integer|)) "\\spad{s \\spad{**} \\spad{n}} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * \\spad{s}} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * \\spad{x}} returns the product of \\spad{x} by \\spad{s} on the left."))) 
-((-4568 . T)) 
-NIL 
 (-365 S) 
+((|constructor| (NIL "Free group on any set of generators The free group on a set \\spad{S} is the group of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are integers. The multiplication is not commutative.")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $) "\\spad{factors(a1\\^e1,...,an\\^en)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|Integer|) (|Integer|)) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th monomial of \\spad{x.}")) (|nthExpon| (((|Integer|) $ (|Integer|)) "\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{x.}")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x.}")) (** (($ |#1| (|Integer|)) "\\spad{s \\spad{**} \\spad{n}} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * \\spad{s}} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * \\spad{x}} returns the product of \\spad{x} by \\spad{s} on the left."))) 
+((-4597 . T)) 
+NIL 
+(-366 S) 
 ((|constructor| (NIL "The category of commutative fields, \\spadignore{i.e.} commutative rings where all non-zero elements have multiplicative inverses. The \\spadfun{factor} operation while trivial is useful to have defined. \\blankline Axioms\\br \\tab{5}\\spad{a*(b/a) = b}\\br \\tab{5}\\spad{inv(a) = 1/a}")) (|canonicalsClosed| ((|attribute|) "since \\spad{0*0=0}, \\spad{1*1=1}")) (|canonicalUnitNormal| ((|attribute|) "either 0 or 1.")) (/ (($ $ $) "\\spad{x/y} divides the element \\spad{x} by the element \\spad{y.} Error: if \\spad{y} is 0."))) 
 NIL 
 NIL 
-(-366) 
+(-367) 
 ((|constructor| (NIL "The category of commutative fields, \\spadignore{i.e.} commutative rings where all non-zero elements have multiplicative inverses. The \\spadfun{factor} operation while trivial is useful to have defined. \\blankline Axioms\\br \\tab{5}\\spad{a*(b/a) = b}\\br \\tab{5}\\spad{inv(a) = 1/a}")) (|canonicalsClosed| ((|attribute|) "since \\spad{0*0=0}, \\spad{1*1=1}")) (|canonicalUnitNormal| ((|attribute|) "either 0 or 1.")) (/ (($ $ $) "\\spad{x/y} divides the element \\spad{x} by the element \\spad{y.} Error: if \\spad{y} is 0."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-367 |Name| S) 
+(-368 |Name| S) 
 ((|constructor| (NIL "This category provides an interface to operate on files in the computer's file system. The precise method of naming files is determined by the Name parameter. The type of the contents of the file is determined by \\spad{S.}")) (|flush| (((|Void|) $) "\\spad{flush(f)} makes sure that buffered data is written out")) (|write!| ((|#2| $ |#2|) "\\spad{write!(f,s)} puts the value \\spad{s} into the file \\spad{f.} The state of \\spad{f} is modified so subsequents call to \\spad{write!} will append one after another.")) (|read!| ((|#2| $) "\\spad{read!(f)} extracts a value from file \\spad{f.} The state of \\spad{f} is modified so a subsequent call to \\spadfun{read!} will return the next element.")) (|iomode| (((|String|) $) "\\spad{iomode(f)} returns the status of the file \\spad{f.} The input/output status of \\spad{f} may be \"input\", \"output\" or \"closed\" mode.")) (|name| ((|#1| $) "\\spad{name(f)} returns the external name of the file \\spad{f.}")) (|close!| (($ $) "\\spad{close!(f)} returns the file \\spad{f} closed to input and output.")) (|reopen!| (($ $ (|String|)) "\\spad{reopen!(f,mode)} returns a file \\spad{f} reopened for operation in the indicated mode: \"input\" or \"output\". \\spad{reopen!(f,\"input\")} will reopen the file \\spad{f} for input.")) (|open| (($ |#1| (|String|)) "\\spad{open(s,mode)} returns a file \\spad{s} open for operation in the indicated mode: \"input\" or \"output\".") (($ |#1|) "\\spad{open(s)} returns the file \\spad{s} open for input."))) 
 NIL 
 NIL 
-(-368 S) 
+(-369 S) 
 ((|constructor| (NIL "This domain provides a basic model of files to save arbitrary values. The operations provide sequential access to the contents.")) (|readIfCan!| (((|Union| |#1| "failed") $) "\\spad{readIfCan!(f)} returns a value from the file \\spad{f,} if possible. If \\spad{f} is not open for reading, or if \\spad{f} is at the end of file then \\spad{\"failed\"} is the result."))) 
 NIL 
 NIL 
-(-369 S R) 
-((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit, similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left, respectively right, minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#2|))) "\\spad{associatorDependence()} looks for the associator identities, \\spadignore{i.e.} finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,b,c)} which yield 0, for all \\spad{a},b,c in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Lie algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative, characteristic is not 2, and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},b,c in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Jordan algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra, \\spadignore{i.e.} satisfies the Jordan identity. The property of \\spadatt{commutative(\"*\")} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra, \\spadignore{i.e.} satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra. For example, this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,a,b) = 0 = 2*associator(a,b,b)} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,b,a) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,b,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,a,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative, \\spadignore{i.e.} \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},b,c in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#2| (|Vector| $)) "\\spad{rightDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,...,vn]))}.")) (|leftDiscriminant| ((|#2| (|Vector| $)) "\\spad{leftDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,...,vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,...,am],[v1,...,vm])} returns the linear combination \\spad{a1*vm + \\spad{...} + an*vm}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,...,am],[v1,...,vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rightNorm| ((|#2| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#2| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#2| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#2| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|)) (|Vector| $)) "\\spad{structuralConstants([v1,v2,...,vm])} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..m]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijm * vm}, where \\spad{[v1,...,vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
+(-370 S R) 
+((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit, similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left, respectively right, minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#2|))) "\\spad{associatorDependence()} looks for the associator identities, that is, finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,b,c)} which yield 0, for all \\spad{a},b,c in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Lie algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative, characteristic is not 2, and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},b,c in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Jordan algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra, that is, satisfies the Jordan identity. The property of \\spadatt{commutative(\"*\")} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra, that is, satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra. For example, this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,a,b) = 0 = 2*associator(a,b,b)} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,b,a) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,b,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,a,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative, that is, \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},b,c in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#2| (|Vector| $)) "\\spad{rightDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,...,vn]))}.")) (|leftDiscriminant| ((|#2| (|Vector| $)) "\\spad{leftDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,...,vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,...,am],[v1,...,vm])} returns the linear combination \\spad{a1*vm + \\spad{...} + an*vm}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,...,am],[v1,...,vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rightNorm| ((|#2| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#2| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#2| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#2| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|)) (|Vector| $)) "\\spad{structuralConstants([v1,v2,...,vm])} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..m]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijm * vm}, where \\spad{[v1,...,vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-559)))) 
-(-370 R) 
-((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit, similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left, respectively right, minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#1|))) "\\spad{associatorDependence()} looks for the associator identities, \\spadignore{i.e.} finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,b,c)} which yield 0, for all \\spad{a},b,c in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Lie algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative, characteristic is not 2, and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},b,c in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Jordan algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra, \\spadignore{i.e.} satisfies the Jordan identity. The property of \\spadatt{commutative(\"*\")} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra, \\spadignore{i.e.} satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra. For example, this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,a,b) = 0 = 2*associator(a,b,b)} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,b,a) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,b,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,a,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative, \\spadignore{i.e.} \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},b,c in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#1| (|Vector| $)) "\\spad{rightDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,...,vn]))}.")) (|leftDiscriminant| ((|#1| (|Vector| $)) "\\spad{leftDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,...,vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,...,am],[v1,...,vm])} returns the linear combination \\spad{a1*vm + \\spad{...} + an*vm}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,...,am],[v1,...,vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rightNorm| ((|#1| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#1| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#1| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#1| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|Vector| $)) "\\spad{structuralConstants([v1,v2,...,vm])} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..m]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijm * vm}, where \\spad{[v1,...,vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
-((-4568 |has| |#1| (-559)) (-4566 . T) (-4565 . T)) 
+((|HasCategory| |#2| (QUOTE (-561)))) 
+(-371 R) 
+((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit, similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left, respectively right, minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#1|))) "\\spad{associatorDependence()} looks for the associator identities, that is, finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,b,c)} which yield 0, for all \\spad{a},b,c in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Lie algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative, characteristic is not 2, and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},b,c in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Jordan algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra, that is, satisfies the Jordan identity. The property of \\spadatt{commutative(\"*\")} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra, that is, satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra. For example, this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,a,b) = 0 = 2*associator(a,b,b)} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,b,a) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,b,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,a,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative, that is, \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},b,c in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#1| (|Vector| $)) "\\spad{rightDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,...,vn]))}.")) (|leftDiscriminant| ((|#1| (|Vector| $)) "\\spad{leftDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,...,vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,...,am],[v1,...,vm])} returns the linear combination \\spad{a1*vm + \\spad{...} + an*vm}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,...,am],[v1,...,vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rightNorm| ((|#1| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#1| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#1| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#1| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|Vector| $)) "\\spad{structuralConstants([v1,v2,...,vm])} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..m]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijm * vm}, where \\spad{[v1,...,vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
+((-4597 |has| |#1| (-561)) (-4595 . T) (-4594 . T)) 
 NIL 
-(-371) 
-((|constructor| (NIL "The category of domains composed of a finite set of elements. We include the functions \\spadfun{lookup} and \\spadfun{index} to give a bijection between the finite set and an initial segment of positive integers. \\blankline")) (|random| (($) "\\spad{random()} returns a random element from the set.")) (|lookup| (((|PositiveInteger|) $) "\\spad{lookup(x)} returns a positive integer such that \\spad{x = index lookup \\spad{x}.}")) (|index| (($ (|PositiveInteger|)) "\\spad{index(i)} takes a positive integer \\spad{i} less than or equal to \\spad{size()} and returns the \\spad{i}-th element of the set. This operation establishs a bijection between the elements of the finite set and \\spad{1..size()}.")) (|size| (((|NonNegativeInteger|)) "\\spad{size()} returns the number of elements in the set."))) 
+(-372 S) 
+((|constructor| (NIL "The category of domains composed of a finite set of elements. We include the functions \\spadfun{lookup} and \\spadfun{index} to give a bijection between the finite set and an initial segment of positive integers. \\blankline")) (|enumerate| (((|List| $)) "\\indented{1}{enumerate() returns a list of elements of the set} \\blankline \\spad{X} enumerate()$OrderedVariableList([p,q])")) (|random| (($) "\\spad{random()} returns a random element from the set.")) (|lookup| (((|PositiveInteger|) $) "\\spad{lookup(x)} returns a positive integer such that \\spad{x = index lookup \\spad{x}.}")) (|index| (($ (|PositiveInteger|)) "\\spad{index(i)} takes a positive integer \\spad{i} less than or equal to \\spad{size()} and returns the \\spad{i}-th element of the set. This operation establishs a bijection between the elements of the finite set and \\spad{1..size()}.")) (|size| (((|NonNegativeInteger|)) "\\spad{size()} returns the number of elements in the set."))) 
 NIL 
 NIL 
-(-372 S R UP) 
+(-373) 
+((|constructor| (NIL "The category of domains composed of a finite set of elements. We include the functions \\spadfun{lookup} and \\spadfun{index} to give a bijection between the finite set and an initial segment of positive integers. \\blankline")) (|enumerate| (((|List| $)) "\\indented{1}{enumerate() returns a list of elements of the set} \\blankline \\spad{X} enumerate()$OrderedVariableList([p,q])")) (|random| (($) "\\spad{random()} returns a random element from the set.")) (|lookup| (((|PositiveInteger|) $) "\\spad{lookup(x)} returns a positive integer such that \\spad{x = index lookup \\spad{x}.}")) (|index| (($ (|PositiveInteger|)) "\\spad{index(i)} takes a positive integer \\spad{i} less than or equal to \\spad{size()} and returns the \\spad{i}-th element of the set. This operation establishs a bijection between the elements of the finite set and \\spad{1..size()}.")) (|size| (((|NonNegativeInteger|)) "\\spad{size()} returns the number of elements in the set."))) 
+NIL 
+NIL 
+(-374 S R UP) 
 ((|constructor| (NIL "A FiniteRankAlgebra is an algebra over a commutative ring \\spad{R} which is a free R-module of finite rank.")) (|minimalPolynomial| ((|#3| $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of \\spad{a}.")) (|characteristicPolynomial| ((|#3| $) "\\spad{characteristicPolynomial(a)} returns the characteristic polynomial of the regular representation of \\spad{a} with respect to any basis.")) (|traceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{traceMatrix([v1,..,vn])} is the n-by-n matrix ( Tr(vi * \\spad{vj)} )")) (|discriminant| ((|#2| (|Vector| $)) "\\spad{discriminant([v1,..,vn])} returns \\spad{determinant(traceMatrix([v1,..,vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,..,an],[v1,..,vn])} returns \\spad{a1*v1+...+an*vn}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([v1,...,vm], basis)} returns the coordinates of the vi's with to the basis \\spad{basis}. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,basis)} returns the coordinates of \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|norm| ((|#2| $) "\\spad{norm(a)} returns the determinant of the regular representation of \\spad{a} with respect to any basis.")) (|trace| ((|#2| $) "\\spad{trace(a)} returns the trace of the regular representation of \\spad{a} with respect to any basis.")) (|regularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{regularRepresentation(a,basis)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-366)))) 
-(-373 R UP) 
+((|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-367)))) 
+(-375 R UP) 
 ((|constructor| (NIL "A FiniteRankAlgebra is an algebra over a commutative ring \\spad{R} which is a free R-module of finite rank.")) (|minimalPolynomial| ((|#2| $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of \\spad{a}.")) (|characteristicPolynomial| ((|#2| $) "\\spad{characteristicPolynomial(a)} returns the characteristic polynomial of the regular representation of \\spad{a} with respect to any basis.")) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{traceMatrix([v1,..,vn])} is the n-by-n matrix ( Tr(vi * \\spad{vj)} )")) (|discriminant| ((|#1| (|Vector| $)) "\\spad{discriminant([v1,..,vn])} returns \\spad{determinant(traceMatrix([v1,..,vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,..,an],[v1,..,vn])} returns \\spad{a1*v1+...+an*vn}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([v1,...,vm], basis)} returns the coordinates of the vi's with to the basis \\spad{basis}. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,basis)} returns the coordinates of \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|norm| ((|#1| $) "\\spad{norm(a)} returns the determinant of the regular representation of \\spad{a} with respect to any basis.")) (|trace| ((|#1| $) "\\spad{trace(a)} returns the trace of the regular representation of \\spad{a} with respect to any basis.")) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{regularRepresentation(a,basis)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra."))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-374 S A R B) 
+(-376 S A R B) 
 ((|constructor| (NIL "\\spad{FiniteLinearAggregateFunctions2} provides functions involving two FiniteLinearAggregates where the underlying domains might be different. An example of this might be creating a list of rational numbers by mapping a function across a list of integers where the function divides each integer by 1000.")) (|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{scan(f,a,r)} successively applies \\spad{reduce(f,x,r)} to more and more leading sub-aggregates \\spad{x} of aggregrate \\spad{a}. More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then \\spad{scan(f,a,r)} returns \\spad{[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.")) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{reduce(f,a,r)} applies function \\spad{f} to each successive element of the aggregate \\spad{a} and an accumulant initialized to \\spad{r.} For example, \\spad{reduce(_+$Integer,[1,2,3],0)} does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r} may be regarded as the identity element for the function \\spad{f.}")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,a)} applies function \\spad{f} to each member of aggregate \\spad{a} resulting in a new aggregate over a possibly different underlying domain."))) 
 NIL 
 NIL 
-(-375 A S) 
+(-377 A S) 
 ((|constructor| (NIL "A finite linear aggregate is a linear aggregate of finite length. The finite property of the aggregate adds several exports to the list of exports from \\spadtype{LinearAggregate} such as \\spadfun{reverse}, \\spadfun{sort}, and so on.")) (|sort!| (($ $) "\\spad{sort!(u)} returns \\spad{u} with its elements in ascending order.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sort!(p,u)} returns \\spad{u} with its elements ordered by \\spad{p.}")) (|reverse!| (($ $) "\\spad{reverse!(u)} returns \\spad{u} with its elements in reverse order.")) (|copyInto!| (($ $ $ (|Integer|)) "\\spad{copyInto!(u,v,i)} returns aggregate \\spad{u} containing a copy of \\spad{v} inserted at element i.")) (|position| (((|Integer|) |#2| $ (|Integer|)) "\\spad{position(x,a,n)} returns the index \\spad{i} of the first occurrence of \\spad{x} in \\axiom{a} where \\axiom{i \\spad{>=} \\spad{n},} and \\axiom{minIndex(a) - 1} if no such \\spad{x} is found.") (((|Integer|) |#2| $) "\\spad{position(x,a)} returns the index \\spad{i} of the first occurrence of \\spad{x} in a, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}") (((|Integer|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{position(p,a)} returns the index \\spad{i} of the first \\spad{x} in \\axiom{a} such that \\axiom{p(x)} is true, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}")) (|sorted?| (((|Boolean|) $) "\\spad{sorted?(u)} tests if the elements of \\spad{u} are in ascending order.") (((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sorted?(p,a)} tests if \\axiom{a} is sorted according to predicate \\spad{p.}")) (|sort| (($ $) "\\spad{sort(u)} returns an \\spad{u} with elements in ascending order. Note that \\axiom{sort(u) = sort(<=,u)}.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sort(p,a)} returns a copy of \\axiom{a} sorted using total ordering predicate \\spad{p.}")) (|reverse| (($ $) "\\spad{reverse(a)} returns a copy of \\axiom{a} with elements in reverse order.")) (|merge| (($ $ $) "\\spad{merge(u,v)} merges \\spad{u} and \\spad{v} in ascending order. Note that \\axiom{merge(u,v) = merge(<=,u,v)}.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) "\\spad{merge(p,a,b)} returns an aggregate \\spad{c} which merges \\axiom{a} and \\spad{b.} The result is produced by examining each element \\spad{x} of \\axiom{a} and \\spad{y} of \\spad{b} successively. If \\axiom{p(x,y)} is true, then \\spad{x} is inserted into the result; otherwise \\spad{y} is inserted. If \\spad{x} is chosen, the next element of \\axiom{a} is examined, and so on. When all the elements of one aggregate are examined, the remaining elements of the other are appended. For example, \\axiom{merge(<,[1,3],[2,7,5])} returns \\axiom{[1,2,3,7,5]}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4572)) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093)))) 
-(-376 S) 
+((|HasAttribute| |#1| (QUOTE -4601)) (|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-1097)))) 
+(-378 S) 
 ((|constructor| (NIL "A finite linear aggregate is a linear aggregate of finite length. The finite property of the aggregate adds several exports to the list of exports from \\spadtype{LinearAggregate} such as \\spadfun{reverse}, \\spadfun{sort}, and so on.")) (|sort!| (($ $) "\\spad{sort!(u)} returns \\spad{u} with its elements in ascending order.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sort!(p,u)} returns \\spad{u} with its elements ordered by \\spad{p.}")) (|reverse!| (($ $) "\\spad{reverse!(u)} returns \\spad{u} with its elements in reverse order.")) (|copyInto!| (($ $ $ (|Integer|)) "\\spad{copyInto!(u,v,i)} returns aggregate \\spad{u} containing a copy of \\spad{v} inserted at element i.")) (|position| (((|Integer|) |#1| $ (|Integer|)) "\\spad{position(x,a,n)} returns the index \\spad{i} of the first occurrence of \\spad{x} in \\axiom{a} where \\axiom{i \\spad{>=} \\spad{n},} and \\axiom{minIndex(a) - 1} if no such \\spad{x} is found.") (((|Integer|) |#1| $) "\\spad{position(x,a)} returns the index \\spad{i} of the first occurrence of \\spad{x} in a, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}") (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{position(p,a)} returns the index \\spad{i} of the first \\spad{x} in \\axiom{a} such that \\axiom{p(x)} is true, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}")) (|sorted?| (((|Boolean|) $) "\\spad{sorted?(u)} tests if the elements of \\spad{u} are in ascending order.") (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sorted?(p,a)} tests if \\axiom{a} is sorted according to predicate \\spad{p.}")) (|sort| (($ $) "\\spad{sort(u)} returns an \\spad{u} with elements in ascending order. Note that \\axiom{sort(u) = sort(<=,u)}.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sort(p,a)} returns a copy of \\axiom{a} sorted using total ordering predicate \\spad{p.}")) (|reverse| (($ $) "\\spad{reverse(a)} returns a copy of \\axiom{a} with elements in reverse order.")) (|merge| (($ $ $) "\\spad{merge(u,v)} merges \\spad{u} and \\spad{v} in ascending order. Note that \\axiom{merge(u,v) = merge(<=,u,v)}.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) "\\spad{merge(p,a,b)} returns an aggregate \\spad{c} which merges \\axiom{a} and \\spad{b.} The result is produced by examining each element \\spad{x} of \\axiom{a} and \\spad{y} of \\spad{b} successively. If \\axiom{p(x,y)} is true, then \\spad{x} is inserted into the result; otherwise \\spad{y} is inserted. If \\spad{x} is chosen, the next element of \\axiom{a} is examined, and so on. When all the elements of one aggregate are examined, the remaining elements of the other are appended. For example, \\axiom{merge(<,[1,3],[2,7,5])} returns \\axiom{[1,2,3,7,5]}."))) 
-((-4571 . T) (-4317 . T)) 
+((-4600 . T) (-3348 . T)) 
 NIL 
-(-377 |VarSet| R) 
+(-379 |VarSet| R) 
 ((|constructor| (NIL "The category of free Lie algebras. It is used by domains of non-commutative algebra: \\spadtype{LiePolynomial} and \\spadtype{XPBWPolynomial}.")) (|eval| (($ $ (|List| |#1|) (|List| $)) "\\axiom{eval(p, [x1,...,xn], [v1,...,vn])} replaces \\axiom{xi} by \\axiom{vi} in \\axiom{p}.") (($ $ |#1| $) "\\axiom{eval(p, \\spad{x,} \\spad{v)}} replaces \\axiom{x} by \\axiom{v} in \\axiom{p}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(x)} returns the list of distinct entries of \\axiom{x}.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\axiom{trunc(p,n)} returns the polynomial \\axiom{p} truncated at order \\axiom{n}.")) (|mirror| (($ $) "\\axiom{mirror(x)} returns \\axiom{Sum(r_i mirror(w_i))} if \\axiom{x} is \\axiom{Sum(r_i w_i)}.")) (|LiePoly| (($ (|LyndonWord| |#1|)) "\\axiom{LiePoly(l)} returns the bracketed form of \\axiom{l} as a Lie polynomial.")) (|rquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{rquo(x,y)} returns the right simplification of \\axiom{x} by \\axiom{y}.")) (|lquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{lquo(x,y)} returns the left simplification of \\axiom{x} by \\axiom{y}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(x)} returns the greatest length of a word in the support of \\axiom{x}.")) (|coerce| (((|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coerce(x)} returns \\axiom{x} as a recursive polynomial.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(x)} returns \\axiom{x} as distributed polynomial.") (($ |#1|) "\\axiom{coerce(x)} returns \\axiom{x} as a Lie polynomial.")) (|coef| ((|#2| (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coef(x,y)} returns the scalar product of \\axiom{x} by \\axiom{y}, the set of words being regarded as an orthogonal basis."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4566 . T) (-4565 . T)) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (-4595 . T) (-4594 . T)) 
 NIL 
-(-378 S V) 
+(-380 S V) 
 ((|constructor| (NIL "This package exports 3 sorting algorithms which work over FiniteLinearAggregates. Sort package (in-place) for shallowlyMutable Finite Linear Aggregates")) (|shellSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{shellSort(f, agg)} sorts the aggregate agg with the ordering function \\spad{f} using the shellSort algorithm.")) (|heapSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{heapSort(f, agg)} sorts the aggregate agg with the ordering function \\spad{f} using the heapsort algorithm.")) (|quickSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{quickSort(f, agg)} sorts the aggregate agg with the ordering function \\spad{f} using the quicksort algorithm."))) 
 NIL 
 NIL 
-(-379 S R) 
+(-381 S R) 
 ((|constructor| (NIL "\\spad{S} is \\spadtype{FullyLinearlyExplicitRingOver \\spad{R}} means that \\spad{S} is a \\spadtype{LinearlyExplicitRingOver \\spad{R}} and, in addition, if \\spad{R} is a \\spadtype{LinearlyExplicitRingOver Integer}, then so is \\spad{S}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) 
-(-380 R) 
+((|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571))))) 
+(-382 R) 
 ((|constructor| (NIL "\\spad{S} is \\spadtype{FullyLinearlyExplicitRingOver \\spad{R}} means that \\spad{S} is a \\spadtype{LinearlyExplicitRingOver \\spad{R}} and, in addition, if \\spad{R} is a \\spadtype{LinearlyExplicitRingOver Integer}, then so is \\spad{S}"))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-381 |Par|) 
+(-383 |Par|) 
 ((|constructor| (NIL "This is a package for the approximation of complex solutions for systems of equations of rational functions with complex rational coefficients. The results are expressed as either complex rational numbers or complex floats depending on the type of the precision parameter which can be either a rational number or a floating point number.")) (|complexRoots| (((|List| (|List| (|Complex| |#1|))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|List| (|Symbol|)) |#1|) "\\spad{complexRoots(lrf, \\spad{lv,} eps)} finds all the complex solutions of a list of rational functions with rational number coefficients with respect the the variables appearing in \\spad{lv.} Each solution is computed to precision eps and returned as list corresponding to the order of variables in \\spad{lv.}") (((|List| (|Complex| |#1|)) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) "\\spad{complexRoots(rf, eps)} finds all the complex solutions of a univariate rational function with rational number coefficients. The solutions are computed to precision eps.")) (|complexSolve| (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) "\\spad{complexSolve(eq,eps)} finds all the complex solutions of the equation \\spad{eq} of rational functions with rational rational coefficients with respect to all the variables appearing in eq, with precision eps.") (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) "\\spad{complexSolve(p,eps)} find all the complex solutions of the rational function \\spad{p} with complex rational coefficients with respect to all the variables appearing in \\spad{p,} with precision eps.") (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) |#1|) "\\spad{complexSolve(leq,eps)} finds all the complex solutions to precision \\spad{eps} of the system \\spad{leq} of equations of rational functions over complex rationals with respect to all the variables appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) "\\spad{complexSolve(lp,eps)} finds all the complex solutions to precision \\spad{eps} of the system \\spad{lp} of rational functions over the complex rationals with respect to all the variables appearing in \\spad{lp.}"))) 
 NIL 
 NIL 
-(-382) 
-((|constructor| (NIL "\\spadtype{Float} implements arbitrary precision floating point arithmetic. The number of significant digits of each operation can be set to an arbitrary value (the default is 20 decimal digits). The operation \\spad{float(mantissa,exponent,base)} for integer \\spad{mantissa}, \\spad{exponent} specifies the number \\spad{mantissa * base \\spad{**} exponent} The underlying representation for floats is binary not decimal. The implications of this are described below. \\blankline The model adopted is that arithmetic operations are rounded to to nearest unit in the last place, that is, accurate to within \\spad{2**(-bits)}. Also, the elementary functions and constants are accurate to one unit in the last place. A float is represented as a record of two integers, the mantissa and the exponent. The base of the representation is binary, hence a \\spad{Record(m:mantissa,e:exponent)} represents the number \\spad{m * 2 \\spad{**} e}. Though it is not assumed that the underlying integers are represented with a binary base, the code will be most efficient when this is the the case (this is \\spad{true} in most implementations of Lisp). The decision to choose the base to be binary has some unfortunate consequences. First, decimal numbers like 0.3 cannot be represented exactly. Second, there is a further loss of accuracy during conversion to decimal for output. To compensate for this, if \\spad{d} digits of precision are specified, \\spad{1 + \\spad{ceiling(log2} \\spad{d)}} bits are used. Two numbers that are displayed identically may therefore be not equal. On the other hand, a significant efficiency loss would be incurred if we chose to use a decimal base when the underlying integer base is binary. \\blankline Algorithms used: For the elementary functions, the general approach is to apply identities so that the taylor series can be used, and, so that it will converge within \\spad{O( sqrt \\spad{n} \\spad{)}} steps. For example, using the identity \\spad{exp(x) = exp(x/2)**2}, we can compute \\spad{exp(1/3)} to \\spad{n} digits of precision as follows. We have \\spad{exp(1/3) = \\spad{exp(2} \\spad{**} (-sqrt \\spad{s)} / 3) \\spad{**} \\spad{(2} \\spad{**} sqrt s)}. The taylor series will converge in less than sqrt \\spad{n} steps and the exponentiation requires sqrt \\spad{n} multiplications for a total of \\spad{2 sqrt \\spad{n}} multiplications. Assuming integer multiplication costs \\spad{O( \\spad{n**2} \\spad{)}} the overall running time is \\spad{O( sqrt(n) \\spad{n**2} \\spad{)}.} This approach is the best known approach for precisions up to about 10,000 digits at which point the methods of Brent which are \\spad{O( log(n) \\spad{n**2} \\spad{)}} become competitive. Note also that summing the terms of the taylor series for the elementary functions is done using integer operations. This avoids the overhead of floating point operations and results in efficient code at low precisions. This implementation makes no attempt to reuse storage, relying on the underlying system to do \\spadgloss{garbage collection}. \\spad{I} estimate that the efficiency of this package at low precisions could be improved by a factor of 2 if in-place operations were available. \\blankline Running times: in the following, \\spad{n} is the number of bits of precision\\br \\spad{*}, \\spad{/}, \\spad{sqrt}, \\spad{pi}, \\spad{exp1}, \\spad{log2}, \\spad{log10}: \\spad{ O( \\spad{n**2} \\spad{)}} \\spad{\\br} \\spad{exp}, \\spad{log}, \\spad{sin}, \\spad{atan}: \\spad{O(sqrt(n) n**2)}\\br The other elementary functions are coded in terms of the ones above.")) (|outputSpacing| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputSpacing(n)} inserts a space after \\spad{n} (default 10) digits on output; outputSpacing(0) means no spaces are inserted.")) (|outputGeneral| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputGeneral(n)} sets the output mode to general notation with \\spad{n} significant digits displayed.") (((|Void|)) "\\spad{outputGeneral()} sets the output mode (default mode) to general notation; numbers will be displayed in either fixed or floating (scientific) notation depending on the magnitude.")) (|outputFixed| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFixed(n)} sets the output mode to fixed point notation, with \\spad{n} digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFixed()} sets the output mode to fixed point notation; the output will contain a decimal point.")) (|outputFloating| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFloating(n)} sets the output mode to floating (scientific) notation with \\spad{n} significant digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFloating()} sets the output mode to floating (scientific) notation, \\spadignore{i.e.} \\spad{mantissa * 10 exponent} is displayed as \\spad{0.mantissa \\spad{E} exponent}.")) (|convert| (($ (|DoubleFloat|)) "\\spad{convert(x)} converts a \\spadtype{DoubleFloat} \\spad{x} to a \\spadtype{Float}.")) (|atan| (($ $ $) "\\spad{atan(x,y)} computes the arc tangent from \\spad{x} with phase \\spad{y.}")) (|exp1| (($) "\\spad{exp1()} returns exp 1: \\spad{2.7182818284...}.")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm for \\spad{x} to base 10.") (($) "\\spad{log10()} returns \\spad{ln 10}: \\spad{2.3025809299...}.")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm for \\spad{x} to base 2.") (($) "\\spad{log2()} returns \\spad{ln 2}, \\spadignore{i.e.} \\spad{0.6931471805...}.")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n,} \\spad{b)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)}, that is \\spad{|(r-f)/f| < b**(-n)}.") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(x,n)} adds \\spad{n} to the exponent of float \\spad{x.}")) (|relerror| (((|Integer|) $ $) "\\spad{relerror(x,y)} computes the absolute value of \\spad{x - \\spad{y}} divided by \\spad{y,} when \\spad{y \\spad{\\^=} 0}.")) (|normalize| (($ $) "\\spad{normalize(x)} normalizes \\spad{x} at current precision.")) (** (($ $ $) "\\spad{x \\spad{**} \\spad{y}} computes \\spad{exp(y log \\spad{x)}} where \\spad{x \\spad{>=} 0}.")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer i."))) 
-((-4554 . T) (-4562 . T) (-4334 . T) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(-384) 
+((|outputSpacing| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputSpacing(n)} inserts a space after \\spad{n} (default 10) digits on output; outputSpacing(0) means no spaces are inserted.")) (|outputGeneral| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputGeneral(n)} sets the output mode to general notation with \\spad{n} significant digits displayed.") (((|Void|)) "\\spad{outputGeneral()} sets the output mode (default mode) to general notation; numbers will be displayed in either fixed or floating (scientific) notation depending on the magnitude.")) (|outputFixed| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFixed(n)} sets the output mode to fixed point notation, with \\spad{n} digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFixed()} sets the output mode to fixed point notation; the output will contain a decimal point.")) (|outputFloating| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFloating(n)} sets the output mode to floating (scientific) notation with \\spad{n} significant digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFloating()} sets the output mode to floating (scientific) notation, \\spadignore{i.e.} \\spad{mantissa * 10 exponent} is displayed as \\spad{0.mantissa \\spad{E} exponent}.")) (|convert| (($ (|DoubleFloat|)) "\\spad{convert(x)} converts a \\spadtype{DoubleFloat} \\spad{x} to a \\spadtype{Float}.")) (|atan| (($ $ $) "\\spad{atan(x,y)} computes the arc tangent from \\spad{x} with phase \\spad{y.}")) (|exp1| (($) "\\spad{exp1()} returns exp 1: \\spad{2.7182818284...}.")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm for \\spad{x} to base 10.") (($) "\\spad{log10()} returns \\spad{ln 10}: \\spad{2.3025809299...}.")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm for \\spad{x} to base 2.") (($) "\\spad{log2()} returns \\spad{ln 2}, \\spadignore{i.e.} \\spad{0.6931471805...}.")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n,} \\spad{b)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)}, that is \\spad{|(r-f)/f| < b**(-n)}.") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(x,n)} adds \\spad{n} to the exponent of float \\spad{x.}")) (|relerror| (((|Integer|) $ $) "\\spad{relerror(x,y)} computes the absolute value of \\spad{x - \\spad{y}} divided by \\spad{y,} when \\spad{y \\spad{\\^=} 0}.")) (|normalize| (($ $) "\\spad{normalize(x)} normalizes \\spad{x} at current precision.")) (** (($ $ $) "\\spad{x \\spad{**} \\spad{y}} computes \\spad{exp(y log \\spad{x)}} where \\spad{x \\spad{>=} 0}.")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer i."))) 
+((-4583 . T) (-4591 . T) (-3367 . T) (-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-383 |Par|) 
+(-385 |Par|) 
 ((|constructor| (NIL "This is a package for the approximation of real solutions for systems of polynomial equations over the rational numbers. The results are expressed as either rational numbers or floats depending on the type of the precision parameter which can be either a rational number or a floating point number.")) (|realRoots| (((|List| |#1|) (|Fraction| (|Polynomial| (|Integer|))) |#1|) "\\spad{realRoots(rf, eps)} finds the real zeros of a univariate rational function with precision given by eps.") (((|List| (|List| |#1|)) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Symbol|)) |#1|) "\\spad{realRoots(lp,lv,eps)} computes the list of the real solutions of the list \\spad{lp} of rational functions with rational coefficients with respect to the variables in \\spad{lv,} with precision eps. Each solution is expressed as a list of numbers in order corresponding to the variables in \\spad{lv.}")) (|solve| (((|List| (|Equation| (|Polynomial| |#1|))) (|Equation| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) "\\spad{solve(eq,eps)} finds all of the real solutions of the univariate equation \\spad{eq} of rational functions with respect to the unique variables appearing in eq, with precision eps.") (((|List| (|Equation| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| (|Integer|))) |#1|) "\\spad{solve(p,eps)} finds all of the real solutions of the univariate rational function \\spad{p} with rational coefficients with respect to the unique variable appearing in \\spad{p,} with precision eps.") (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) |#1|) "\\spad{solve(leq,eps)} finds all of the real solutions of the system \\spad{leq} of equationas of rational functions with respect to all the variables appearing in \\spad{lp,} with precision eps.") (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) "\\spad{solve(lp,eps)} finds all of the real solutions of the system \\spad{lp} of rational functions over the rational numbers with respect to all the variables appearing in \\spad{lp,} with precision eps."))) 
 NIL 
 NIL 
-(-384 R S) 
+(-386 R S) 
 ((|constructor| (NIL "This domain implements linear combinations of elements from the domain \\spad{S} with coefficients in the domain \\spad{R} where \\spad{S} is an ordered set and \\spad{R} is a ring (which may be non-commutative). This domain is used by domains of non-commutative algebra such as: XDistributedPolynomial, XRecursivePolynomial.")) (* (($ |#2| |#1|) "\\spad{s*r} returns the product \\spad{r*s} used by \\spadtype{XRecursivePolynomial}"))) 
-((-4566 . T) (-4565 . T)) 
+((-4595 . T) (-4594 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173)))) 
-(-385 R |Basis|) 
+(-387 R |Basis|) 
 ((|constructor| (NIL "A domain of this category implements formal linear combinations of elements from a domain \\spad{Basis} with coefficients in a domain \\spad{R}. The domain \\spad{Basis} needs only to belong to the category \\spadtype{SetCategory} and \\spad{R} to the category \\spadtype{Ring}. Thus the coefficient ring may be non-commutative. See the \\spadtype{XDistributedPolynomial} constructor for examples of domains built with the \\spadtype{FreeModuleCat} category constructor.")) (|reductum| (($ $) "\\spad{reductum(x)} returns \\spad{x} minus its leading term.")) (|leadingTerm| (((|Record| (|:| |k| |#2|) (|:| |c| |#1|)) $) "\\spad{leadingTerm(x)} returns the first term which appears in \\spad{listOfTerms(x)}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(x)} returns the first coefficient which appears in \\spad{listOfTerms(x)}.")) (|leadingMonomial| ((|#2| $) "\\spad{leadingMonomial(x)} returns the first element from \\spad{Basis} which appears in \\spad{listOfTerms(x)}.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(x)} returns the number of monomials of \\spad{x}.")) (|monomials| (((|List| $) $) "\\spad{monomials(x)} returns the list of \\spad{r_i*b_i} whose sum is \\spad{x}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(x)} returns the list of coefficients of \\spad{x}")) (|listOfTerms| (((|List| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) "\\spad{listOfTerms(x)} returns a list \\spad{lt} of terms with type \\spad{Record(k: Basis, \\spad{c:} \\spad{R)}} such that \\spad{x} equals \\spad{reduce(+, map(x \\spad{+->} monom(x.k, x.c), lt))}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} returns \\spad{true} if \\spad{x} contains a single monomial.")) (|monom| (($ |#2| |#1|) "\\spad{monom(b,r)} returns the element with the single monomial \\indented{1}{\\spad{b} and coefficient \\spad{r}.}")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients \\indented{1}{of the non-zero monomials of \\spad{u}.}")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(x,b)} returns the coefficient of \\spad{b} in \\spad{x}.")) (* (($ |#1| |#2|) "\\spad{r*b} returns the product of \\spad{r} by \\spad{b}."))) 
-((-4566 . T) (-4565 . T)) 
+((-4595 . T) (-4594 . T)) 
 NIL 
-(-386) 
+(-388) 
 ((|constructor| (NIL "\\axiomType{FortranMatrixCategory} provides support for producing Functions and Subroutines when the input to these is an AXIOM object of type \\axiomType{Matrix} or in domains involving \\axiomType{FortranCode}.")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|Matrix| (|MachineFloat|))) "\\spad{coerce(v)} produces an ASP which returns the value of \\spad{v}."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-387) 
+(-389) 
 ((|constructor| (NIL "\\axiomType{FortranMatrixFunctionCategory} provides support for producing Functions and Subroutines representing matrices of expressions.")) (|retractIfCan| (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Expression| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|retract| (($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Expression| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Expression| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-388 R S) 
+(-390 R S) 
 ((|constructor| (NIL "A bi-module is a free module over a ring with generators indexed by an ordered set. Each element can be expressed as a finite linear combination of generators. Only non-zero terms are stored."))) 
-((-4566 . T) (-4565 . T)) 
+((-4595 . T) (-4594 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173)))) 
-(-389 S) 
-((|constructor| (NIL "The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are nonnegative integers. The multiplication is not commutative.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th monomial of \\spad{x.}")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{x.}")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\spad{factors(a1\\^e1,...,an\\^en)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x.}")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\spad{overlap(x, \\spad{y)}} returns \\spad{[l, \\spad{m,} \\spad{r]}} such that \\spad{x = \\spad{l} * \\spad{m},} \\spad{y = \\spad{m} * \\spad{r}} and \\spad{l} and \\spad{r} have no overlap, \\spadignore{i.e.} \\spad{overlap(l, \\spad{r)} = \\spad{[l,} 1, r]}.")) (|divide| (((|Union| (|Record| (|:| |lm| $) (|:| |rm| $)) "failed") $ $) "\\spad{divide(x, \\spad{y)}} returns the left and right exact quotients of \\spad{x} by \\spad{y,} \\spadignore{i.e.} \\spad{[l, \\spad{r]}} such that \\spad{x = \\spad{l} * \\spad{y} * \\spad{r},} \"failed\" if \\spad{x} is not of the form \\spad{l * \\spad{y} * \\spad{r}.}")) (|rquo| (((|Union| $ "failed") $ $) "\\spad{rquo(x, \\spad{y)}} returns the exact right quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = \\spad{q} * \\spad{y},} \"failed\" if \\spad{x} is not of the form \\spad{q * \\spad{y}.}")) (|lquo| (((|Union| $ "failed") $ $) "\\spad{lquo(x, \\spad{y)}} returns the exact left quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = \\spad{y} * \\spad{q},} \"failed\" if \\spad{x} is not of the form \\spad{y * \\spad{q}.}")) (|hcrf| (($ $ $) "\\spad{hcrf(x, \\spad{y)}} returns the highest common right factor of \\spad{x} and \\spad{y,} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = a \\spad{d}} and \\spad{y = \\spad{b} \\spad{d}.}")) (|hclf| (($ $ $) "\\spad{hclf(x, \\spad{y)}} returns the highest common left factor of \\spad{x} and \\spad{y,} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = \\spad{d} a} and \\spad{y = \\spad{d} \\spad{b}.}")) (** (($ |#1| (|NonNegativeInteger|)) "\\spad{s \\spad{**} \\spad{n}} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * \\spad{s}} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * \\spad{x}} returns the product of \\spad{x} by \\spad{s} on the left."))) 
+(-391 S) 
+((|constructor| (NIL "Free monoid on any set of generators The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are nonnegative integers. The multiplication is not commutative.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th monomial of \\spad{x.}")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{x.}")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\spad{factors(a1\\^e1,...,an\\^en)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x.}")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\spad{overlap(x, \\spad{y)}} returns \\spad{[l, \\spad{m,} \\spad{r]}} such that \\spad{x = \\spad{l} * \\spad{m},} \\spad{y = \\spad{m} * \\spad{r}} and \\spad{l} and \\spad{r} have no overlap, \\spadignore{i.e.} \\spad{overlap(l, \\spad{r)} = \\spad{[l,} 1, r]}.")) (|divide| (((|Union| (|Record| (|:| |lm| $) (|:| |rm| $)) "failed") $ $) "\\spad{divide(x, \\spad{y)}} returns the left and right exact quotients of \\spad{x} by \\spad{y,} \\spadignore{i.e.} \\spad{[l, \\spad{r]}} such that \\spad{x = \\spad{l} * \\spad{y} * \\spad{r},} \"failed\" if \\spad{x} is not of the form \\spad{l * \\spad{y} * \\spad{r}.}")) (|rquo| (((|Union| $ "failed") $ $) "\\spad{rquo(x, \\spad{y)}} returns the exact right quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = \\spad{q} * \\spad{y},} \"failed\" if \\spad{x} is not of the form \\spad{q * \\spad{y}.}")) (|lquo| (((|Union| $ "failed") $ $) "\\spad{lquo(x, \\spad{y)}} returns the exact left quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = \\spad{y} * \\spad{q},} \"failed\" if \\spad{x} is not of the form \\spad{y * \\spad{q}.}")) (|hcrf| (($ $ $) "\\spad{hcrf(x, \\spad{y)}} returns the highest common right factor of \\spad{x} and \\spad{y,} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = a \\spad{d}} and \\spad{y = \\spad{b} \\spad{d}.}")) (|hclf| (($ $ $) "\\spad{hclf(x, \\spad{y)}} returns the highest common left factor of \\spad{x} and \\spad{y,} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = \\spad{d} a} and \\spad{y = \\spad{d} \\spad{b}.}")) (** (($ |#1| (|NonNegativeInteger|)) "\\spad{s \\spad{**} \\spad{n}} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * \\spad{s}} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * \\spad{x}} returns the product of \\spad{x} by \\spad{s} on the left."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-844)))) 
-(-390) 
+((|HasCategory| |#1| (QUOTE (-847)))) 
+(-392) 
 ((|constructor| (NIL "A category of domains which model machine arithmetic used by machines in the AXIOM-NAG link."))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-391) 
+(-393) 
 ((|constructor| (NIL "This domain provides an interface to names in the file system."))) 
 NIL 
 NIL 
-(-392) 
+(-394) 
 ((|constructor| (NIL "This category provides an interface to names in the file system.")) (|new| (($ (|String|) (|String|) (|String|)) "\\spad{new(d,pref,e)} constructs the name of a new writable file with \\spad{d} as its directory, \\spad{pref} as a prefix of its name and \\spad{e} as its extension. When \\spad{d} or \\spad{t} is the empty string, a default is used. An error occurs if a new file cannot be written in the given directory.")) (|writable?| (((|Boolean|) $) "\\spad{writable?(f)} tests if the named file be opened for writing. The named file need not already exist.")) (|readable?| (((|Boolean|) $) "\\spad{readable?(f)} tests if the named file exist and can it be opened for reading.")) (|exists?| (((|Boolean|) $) "\\spad{exists?(f)} tests if the file exists in the file system.")) (|extension| (((|String|) $) "\\spad{extension(f)} returns the type part of the file name.")) (|name| (((|String|) $) "\\spad{name(f)} returns the name part of the file name.")) (|directory| (((|String|) $) "\\spad{directory(f)} returns the directory part of the file name.")) (|filename| (($ (|String|) (|String|) (|String|)) "\\spad{filename(d,n,e)} creates a file name with \\spad{d} as its directory, \\spad{n} as its name and \\spad{e} as its extension. This is a portable way to create file names. When \\spad{d} or \\spad{t} is the empty string, a default is used.")) (|coerce| (((|String|) $) "\\spad{coerce(fn)} produces a string for a file name according to operating system-dependent conventions.") (($ (|String|)) "\\spad{coerce(s)} converts a string to a file name according to operating system-dependent conventions."))) 
 NIL 
 NIL 
-(-393 |n| |class| R) 
+(-395 |n| |class| R) 
 ((|constructor| (NIL "Generate the Free Lie Algebra over a ring \\spad{R} with identity; A \\spad{P.} Hall basis is generated by a package call to HallBasis.")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(i)} is the \\spad{i}th Hall Basis element")) (|shallowExpand| (((|OutputForm|) $) "\\spad{shallowExpand(x)} is not documented")) (|deepExpand| (((|OutputForm|) $) "\\spad{deepExpand(x)} is not documented")) (|dimension| (((|NonNegativeInteger|)) "\\spad{dimension()} is the rank of this Lie algebra"))) 
-((-4566 . T) (-4565 . T)) 
+((-4595 . T) (-4594 . T)) 
 NIL 
-(-394) 
+(-396) 
 ((|constructor| (NIL "Code to manipulate Fortran Output Stack")) (|topFortranOutputStack| (((|String|)) "\\spad{topFortranOutputStack()} returns the top element of the Fortran output stack")) (|pushFortranOutputStack| (((|Void|) (|String|)) "\\spad{pushFortranOutputStack(f)} pushes \\spad{f} onto the Fortran output stack") (((|Void|) (|FileName|)) "\\spad{pushFortranOutputStack(f)} pushes \\spad{f} onto the Fortran output stack")) (|popFortranOutputStack| (((|Void|)) "\\spad{popFortranOutputStack()} pops the Fortran output stack")) (|showFortranOutputStack| (((|Stack| (|String|))) "\\spad{showFortranOutputStack()} returns the Fortran output stack")) (|clearFortranOutputStack| (((|Stack| (|String|))) "\\spad{clearFortranOutputStack()} clears the Fortran output stack"))) 
 NIL 
 NIL 
-(-395 -1647 UP UPUP R) 
+(-397 -3280 UP UPUP R) 
 ((|constructor| (NIL "Finds the order of a divisor over a finite field")) (|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) "\\spad{order(x)} \\undocumented"))) 
 NIL 
 NIL 
-(-396 S) 
+(-398 S) 
 ((|constructor| (NIL "\\spadtype{ScriptFormulaFormat1} provides a utility coercion for changing to SCRIPT formula format anything that has a coercion to the standard output format.")) (|coerce| (((|ScriptFormulaFormat|) |#1|) "\\spad{coerce(s)} provides a direct coercion from an expression \\spad{s} of domain \\spad{S} to SCRIPT formula format. This allows the user to skip the step of first manually coercing the object to standard output format before it is coerced to SCRIPT formula format."))) 
 NIL 
 NIL 
-(-397) 
+(-399) 
 ((|constructor| (NIL "\\spadtype{ScriptFormulaFormat} provides a coercion from \\spadtype{OutputForm} to IBM SCRIPT/VS Mathematical Formula Format. The basic SCRIPT formula format object consists of three parts: a prologue, a formula part and an epilogue. The functions \\spadfun{prologue}, \\spadfun{formula} and \\spadfun{epilogue} extract these parts, respectively. The central parts of the expression go into the formula part. The other parts can be set (\\spadfun{setPrologue!}, \\spadfun{setEpilogue!}) so that contain the appropriate tags for printing. For example, the prologue and epilogue might simply contain \":df.\" and \":edf.\" so that the formula section will be printed in display math mode.")) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setPrologue!(t,strings)} sets the prologue section of a formatted object \\spad{t} to strings.")) (|setFormula!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setFormula!(t,strings)} sets the formula section of a formatted object \\spad{t} to strings.")) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setEpilogue!(t,strings)} sets the epilogue section of a formatted object \\spad{t} to strings.")) (|prologue| (((|List| (|String|)) $) "\\spad{prologue(t)} extracts the prologue section of a formatted object \\spad{t.}")) (|new| (($) "\\spad{new()} create a new, empty object. Use \\spadfun{setPrologue!}, \\spadfun{setFormula!} and \\spadfun{setEpilogue!} to set the various components of this object.")) (|formula| (((|List| (|String|)) $) "\\spad{formula(t)} extracts the formula section of a formatted object \\spad{t.}")) (|epilogue| (((|List| (|String|)) $) "\\spad{epilogue(t)} extracts the epilogue section of a formatted object \\spad{t.}")) (|display| (((|Void|) $) "\\spad{display(t)} outputs the formatted code \\spad{t} so that each line has length less than or equal to the value set by the system command \\spadsyscom{set output length}.") (((|Void|) $ (|Integer|)) "\\spad{display(t,width)} outputs the formatted code \\spad{t} so that each line has length less than or equal to \\spadvar{width}.")) (|convert| (($ (|OutputForm|) (|Integer|)) "\\spad{convert(o,step)} changes \\spad{o} in standard output format to SCRIPT formula format and also adds the given \\spad{step} number. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.")) (|coerce| (($ (|OutputForm|)) "\\spad{coerce(o)} changes \\spad{o} in the standard output format to SCRIPT formula format."))) 
 NIL 
 NIL 
-(-398) 
-((|constructor| (NIL "\\axiomType{FortranProgramCategory} provides various models of FORTRAN subprograms. These can be transformed into actual FORTRAN code.")) (|outputAsFortran| (((|Void|) $) "\\axiom{outputAsFortran(u)} translates \\axiom{u} into a legal FORTRAN subprogram."))) 
-((-4317 . T)) 
+(-400) 
+((|constructor| (NIL "FortranProgramCategory provides various models of FORTRAN subprograms. These can be transformed into actual FORTRAN code.")) (|outputAsFortran| (((|Void|) $) "\\axiom{outputAsFortran(u)} translates \\axiom{u} into a legal FORTRAN subprogram."))) 
+((-3348 . T)) 
 NIL 
-(-399) 
+(-401) 
 ((|constructor| (NIL "\\axiomType{FortranFunctionCategory} is the category of arguments to NAG Library routines which return (sets of) function values.")) (|retractIfCan| (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Polynomial| (|Float|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Expression| (|Integer|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Expression| (|Float|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|retract| (($ (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Polynomial| (|Integer|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Polynomial| (|Float|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Expression| (|Integer|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Expression| (|Float|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-400) 
+(-402) 
 ((|constructor| (NIL "provides an interface to the boot code for calling Fortran")) (|setLegalFortranSourceExtensions| (((|List| (|String|)) (|List| (|String|))) "\\spad{setLegalFortranSourceExtensions(l)} \\undocumented{}")) (|outputAsFortran| (((|Void|) (|FileName|)) "\\spad{outputAsFortran(fn)} \\undocumented{}")) (|linkToFortran| (((|SExpression|) (|Symbol|) (|List| (|Symbol|)) (|TheSymbolTable|) (|List| (|Symbol|))) "\\spad{linkToFortran(s,l,t,lv)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|)) (|Symbol|)) "\\spad{linkToFortran(s,l,ll,lv,t)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|))) "\\spad{linkToFortran(s,l,ll,lv)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-401 -2798 |returnType| |arguments| |symbols|) 
+(-403 -3159 |returnType| |arguments| |symbols|) 
 ((|constructor| (NIL "\\axiomType{FortranProgram} allows the user to build and manipulate simple models of FORTRAN subprograms. These can then be transformed into actual FORTRAN notation.")) (|coerce| (($ (|Equation| (|Expression| (|Complex| (|Float|))))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|Float|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|Integer|)))) "\\spad{coerce(eq)} is not documented") (($ (|Expression| (|Complex| (|Float|)))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|Float|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|Integer|))) "\\spad{coerce(e)} is not documented") (($ (|Equation| (|Expression| (|MachineComplex|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|MachineFloat|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|MachineInteger|)))) "\\spad{coerce(eq)} is not documented") (($ (|Expression| (|MachineComplex|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|MachineFloat|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|MachineInteger|))) "\\spad{coerce(e)} is not documented") (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(r)} is not documented") (($ (|List| (|FortranCode|))) "\\spad{coerce(lfc)} is not documented") (($ (|FortranCode|)) "\\spad{coerce(fc)} is not documented"))) 
 NIL 
 NIL 
-(-402 -1647 UP) 
+(-404 -3280 UP) 
 ((|constructor| (NIL "Full partial fraction expansion of rational functions")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(f, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{f.}") (($ $) "\\spad{D(f)} returns the derivative of \\spad{f.}")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(f, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{f.}") (($ $) "\\spad{differentiate(f)} returns the derivative of \\spad{f.}")) (|construct| (($ (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|)))) "\\spad{construct(l)} is the inverse of fracPart.")) (|fracPart| (((|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|))) $) "\\spad{fracPart(f)} returns the list of summands of the fractional part of \\spad{f.}")) (|polyPart| ((|#2| $) "\\spad{polyPart(f)} returns the polynomial part of \\spad{f.}")) (|fullPartialFraction| (($ (|Fraction| |#2|)) "\\spad{fullPartialFraction(f)} returns \\spad{[p, [[j, \\spad{Dj,} Hj]...]]} such that \\spad{f = p(x) + sum_{[j,Dj,Hj] in \\spad{l}} sum_{Dj(a)=0} Hj(a)/(x - a)\\^j}.")) (+ (($ |#2| $) "\\spad{p + \\spad{x}} returns the sum of \\spad{p} and \\spad{x}"))) 
 NIL 
 NIL 
-(-403 R) 
+(-405 R) 
 ((|constructor| (NIL "A set \\spad{S} is PatternMatchable over \\spad{R} if \\spad{S} can lift the pattern-matching functions of \\spad{S} over the integers and float to itself (necessary for matching in towers)."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-404 S) 
+(-406 S) 
 ((|constructor| (NIL "FieldOfPrimeCharacteristic is the category of fields of prime characteristic, \\spadignore{e.g.} finite fields, algebraic closures of fields of prime characteristic, transcendental extensions of of fields of prime characteristic.")) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) "\\spad{primeFrobenius(a,s)} returns \\spad{a**(p**s)} where \\spad{p} is the characteristic.") (($ $) "\\spad{primeFrobenius(a)} returns \\spad{a**p} where \\spad{p} is the characteristic.")) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) "\\spad{discreteLog(b,a)} computes \\spad{s} with \\spad{b**s = a} if such an \\spad{s} exists.")) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{order(a)} computes the order of an element in the multiplicative group of the field. Error: if \\spad{a} is 0."))) 
 NIL 
 NIL 
-(-405) 
+(-407) 
 ((|constructor| (NIL "FieldOfPrimeCharacteristic is the category of fields of prime characteristic, \\spadignore{e.g.} finite fields, algebraic closures of fields of prime characteristic, transcendental extensions of of fields of prime characteristic.")) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) "\\spad{primeFrobenius(a,s)} returns \\spad{a**(p**s)} where \\spad{p} is the characteristic.") (($ $) "\\spad{primeFrobenius(a)} returns \\spad{a**p} where \\spad{p} is the characteristic.")) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) "\\spad{discreteLog(b,a)} computes \\spad{s} with \\spad{b**s = a} if such an \\spad{s} exists.")) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{order(a)} computes the order of an element in the multiplicative group of the field. Error: if \\spad{a} is 0."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-406 S) 
-((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact, it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\br 2: precision of the mantissa (arbitrary or fixed)\\br 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers, even though it is defined to be a join of a Field and OrderedRing, some of the attributes do not hold. In particular associative(\"+\") does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling's precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling's precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x.}")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x.}")) (|base| (((|PositiveInteger|)) "\\indented{1}{base() returns the base of the} \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order \\spad{x}} is the order of magnitude of \\spad{x.} Note that \\spad{base \\spad{**} order \\spad{x} \\spad{<=} \\spad{|x|} < base \\spad{**} \\spad{(1} + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,e,b)} returns \\spad{a * \\spad{b} \\spad{**} e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,e)} returns \\spad{a * base() \\spad{**} e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
+(-408 S) 
+((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact, it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\br 2: precision of the mantissa (arbitrary or fixed)\\br 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers, even though it is defined to be a join of a Field and OrderedRing, some of the attributes do not hold. In particular associative(\"+\") does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling's precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling's precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x.}")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x.}")) (|base| (((|PositiveInteger|)) "\\spad{base()} returns the base of the \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order \\spad{x}} is the order of magnitude of \\spad{x.} Note that \\spad{base \\spad{**} order \\spad{x} \\spad{<=} \\spad{|x|} < base \\spad{**} \\spad{(1} + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,e,b)} returns \\spad{a * \\spad{b} \\spad{**} e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,e)} returns \\spad{a * base() \\spad{**} e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4554)) (|HasAttribute| |#1| (QUOTE -4562))) 
-(-407) 
-((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact, it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\br 2: precision of the mantissa (arbitrary or fixed)\\br 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers, even though it is defined to be a join of a Field and OrderedRing, some of the attributes do not hold. In particular associative(\"+\") does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling's precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling's precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x.}")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x.}")) (|base| (((|PositiveInteger|)) "\\indented{1}{base() returns the base of the} \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order \\spad{x}} is the order of magnitude of \\spad{x.} Note that \\spad{base \\spad{**} order \\spad{x} \\spad{<=} \\spad{|x|} < base \\spad{**} \\spad{(1} + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,e,b)} returns \\spad{a * \\spad{b} \\spad{**} e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,e)} returns \\spad{a * base() \\spad{**} e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
-((-4334 . T) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasAttribute| |#1| (QUOTE -4583)) (|HasAttribute| |#1| (QUOTE -4591))) 
+(-409) 
+((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact, it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\br 2: precision of the mantissa (arbitrary or fixed)\\br 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers, even though it is defined to be a join of a Field and OrderedRing, some of the attributes do not hold. In particular associative(\"+\") does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling's precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling's precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x.}")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x.}")) (|base| (((|PositiveInteger|)) "\\spad{base()} returns the base of the \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order \\spad{x}} is the order of magnitude of \\spad{x.} Note that \\spad{base \\spad{**} order \\spad{x} \\spad{<=} \\spad{|x|} < base \\spad{**} \\spad{(1} + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,e,b)} returns \\spad{a * \\spad{b} \\spad{**} e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,e)} returns \\spad{a * base() \\spad{**} e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
+((-3367 . T) (-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-408 R S) 
+(-410 R S) 
 ((|constructor| (NIL "\\spadtype{FactoredFunctions2} contains functions that involve factored objects whose underlying domains may not be the same. For example, \\spadfun{map} might be used to coerce an object of type \\spadtype{Factored(Integer)} to \\spadtype{Factored(Complex(Integer))}.")) (|map| (((|Factored| |#2|) (|Mapping| |#2| |#1|) (|Factored| |#1|)) "\\spad{map(fn,u)} is used to apply the function \\userfun{fn} to every factor of \\spadvar{u}. The new factored object will have all its information flags set to \"nil\". This function is used, for example, to coerce every factor base to another type."))) 
 NIL 
 NIL 
-(-409 A B) 
+(-411 A B) 
 ((|constructor| (NIL "This package extends a map between integral domains to a map between Fractions over those domains by applying the map to the numerators and denominators.")) (|map| (((|Fraction| |#2|) (|Mapping| |#2| |#1|) (|Fraction| |#1|)) "\\spad{map(func,frac)} applies the function \\spad{func} to the numerator and denominator of the fraction frac."))) 
 NIL 
 NIL 
-(-410 S) 
+(-412 S) 
 ((|constructor| (NIL "Fraction takes an IntegralDomain \\spad{S} and produces the domain of Fractions with numerators and denominators from \\spad{S.} If \\spad{S} is also a GcdDomain, then gcd's between numerator and denominator will be cancelled during all operations.")) (|canonical| ((|attribute|) "\\spad{canonical} means that equal elements are in fact identical."))) 
-((-4558 -12 (|has| |#1| (-6 -4569)) (|has| |#1| (-454)) (|has| |#1| (-6 -4558))) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-1023))) (|HasCategory| |#1| (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-1139))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-551))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825)))) (-12 (|HasAttribute| |#1| (QUOTE -4569)) (|HasAttribute| |#1| (QUOTE -4558)) (|HasCategory| |#1| (QUOTE (-454)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825))))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-844)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825))))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825))))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-411 S R UP) 
+((-4587 -12 (|has| |#1| (-6 -4598)) (|has| |#1| (-456)) (|has| |#1| (-6 -4587))) (-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-1027))) (|HasCategory| |#1| (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-1143))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-553))) (-12 (|HasCategory| |#1| (QUOTE (-553))) (|HasCategory| |#1| (QUOTE (-828)))) (-12 (|HasAttribute| |#1| (QUOTE -4598)) (|HasAttribute| |#1| (QUOTE -4587)) (|HasCategory| |#1| (QUOTE (-456)))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (-12 (|HasCategory| |#1| (QUOTE (-553))) (|HasCategory| |#1| (QUOTE (-828))))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-847)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (-12 (|HasCategory| |#1| (QUOTE (-553))) (|HasCategory| |#1| (QUOTE (-828))))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (-12 (|HasCategory| |#1| (QUOTE (-553))) (|HasCategory| |#1| (QUOTE (-828))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (QUOTE (-553))) (|HasCategory| |#1| (QUOTE (-828))))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (-12 (|HasCategory| |#1| (QUOTE (-553))) (|HasCategory| |#1| (QUOTE (-828))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-413 S R UP) 
 ((|constructor| (NIL "A \\spadtype{FramedAlgebra} is a \\spadtype{FiniteRankAlgebra} together with a fixed R-module basis.")) (|regularRepresentation| (((|Matrix| |#2|) $) "\\spad{regularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed basis.")) (|discriminant| ((|#2|) "\\spad{discriminant()} = determinant(traceMatrix()).")) (|traceMatrix| (((|Matrix| |#2|)) "\\spad{traceMatrix()} is the n-by-n matrix ( \\spad{Tr(vi * vj)} \\spad{),} where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|convert| (($ (|Vector| |#2|)) "\\spad{convert([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.") (((|Vector| |#2|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed R-module basis."))) 
 NIL 
 NIL 
-(-412 R UP) 
+(-414 R UP) 
 ((|constructor| (NIL "A \\spadtype{FramedAlgebra} is a \\spadtype{FiniteRankAlgebra} together with a fixed R-module basis.")) (|regularRepresentation| (((|Matrix| |#1|) $) "\\spad{regularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed basis.")) (|discriminant| ((|#1|) "\\spad{discriminant()} = determinant(traceMatrix()).")) (|traceMatrix| (((|Matrix| |#1|)) "\\spad{traceMatrix()} is the n-by-n matrix ( \\spad{Tr(vi * vj)} \\spad{),} where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|convert| (($ (|Vector| |#1|)) "\\spad{convert([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.") (((|Vector| |#1|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed R-module basis."))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-413 A S) 
+(-415 A S) 
 ((|constructor| (NIL "A is fully retractable to \\spad{B} means that A is retractable to \\spad{B} and if \\spad{B} is retractable to the integers or rational numbers then so is A. In particular, what we are asserting is that there are no integers (rationals) in A which don't retract into \\spad{B.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) 
-(-414 S) 
+((|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571))))) 
+(-416 S) 
 ((|constructor| (NIL "A is fully retractable to \\spad{B} means that A is retractable to \\spad{B} and if \\spad{B} is retractable to the integers or rational numbers then so is A. In particular, what we are asserting is that there are no integers (rationals) in A which don't retract into \\spad{B.}"))) 
 NIL 
 NIL 
-(-415 R1 F1 U1 A1 R2 F2 U2 A2) 
+(-417 R1 F1 U1 A1 R2 F2 U2 A2) 
 ((|constructor| (NIL "Lifting of morphisms to fractional ideals.")) (|map| (((|FractionalIdeal| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FractionalIdeal| |#1| |#2| |#3| |#4|)) "\\spad{map(f,i)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-416 R -1647 UP A) 
+(-418 R -3280 UP A) 
 ((|constructor| (NIL "Fractional ideals in a framed algebra.")) (|randomLC| ((|#4| (|NonNegativeInteger|) (|Vector| |#4|)) "\\spad{randomLC(n,x)} should be local but conditional.")) (|minimize| (($ $) "\\spad{minimize(I)} returns a reduced set of generators for \\spad{I}.")) (|denom| ((|#1| $) "\\spad{denom(1/d * (f1,...,fn))} returns \\spad{d.}")) (|numer| (((|Vector| |#4|) $) "\\spad{numer(1/d * (f1,...,fn))} = the vector \\spad{[f1,...,fn]}.")) (|norm| ((|#2| $) "\\spad{norm(I)} returns the norm of the ideal I.")) (|basis| (((|Vector| |#4|) $) "\\spad{basis((f1,...,fn))} returns the vector \\spad{[f1,...,fn]}.")) (|ideal| (($ (|Vector| |#4|)) "\\spad{ideal([f1,...,fn])} returns the ideal \\spad{(f1,...,fn)}."))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-417 R -1647 UP A |ibasis|) 
+(-419 R -3280 UP A |ibasis|) 
 ((|constructor| (NIL "Module representation of fractional ideals.")) (|module| (($ (|FractionalIdeal| |#1| |#2| |#3| |#4|)) "\\spad{module(I)} returns \\spad{I} viewed has a module over \\spad{R.}") (($ (|Vector| |#4|)) "\\spad{module([f1,...,fn])} = the module generated by \\spad{(f1,...,fn)} over \\spad{R.}")) (|norm| ((|#2| $) "\\spad{norm(f)} returns the norm of the module \\spad{f.}")) (|basis| (((|Vector| |#4|) $) "\\spad{basis((f1,...,fn))} = the vector \\spad{[f1,...,fn]}."))) 
 NIL 
-((|HasCategory| |#4| (LIST (QUOTE -1039) (|devaluate| |#2|)))) 
-(-418 AR R AS S) 
+((|HasCategory| |#4| (LIST (QUOTE -1043) (|devaluate| |#2|)))) 
+(-420 AR R AS S) 
 ((|constructor| (NIL "\\spad{FramedNonAssociativeAlgebraFunctions2} implements functions between two framed non associative algebra domains defined over different rings. The function map is used to coerce between algebras over different domains having the same structural constants.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\spad{map(f,u)} maps \\spad{f} onto the coordinates of \\spad{u} to get an element in \\spad{AS} via identification of the basis of \\spad{AR} as beginning part of the basis of \\spad{AS}."))) 
 NIL 
 NIL 
-(-419 S R) 
+(-421 S R) 
 ((|constructor| (NIL "FramedNonAssociativeAlgebra(R) is a \\spadtype{FiniteRankNonAssociativeAlgebra} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank) over a commutative ring \\spad{R} together with a fixed \\spad{R}-module basis.")) (|apply| (($ (|Matrix| |#2|) $) "\\spad{apply(m,a)} defines a left operation of \\spad{n} by \\spad{n} matrices where \\spad{n} is the rank of the algebra in terms of matrix-vector multiplication, this is a substitute for a left module structure. Error: if shape of matrix doesn't fit.")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) "\\spad{rightRankPolynomial()} calculates the right minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) "\\spad{leftRankPolynomial()} calculates the left minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $) "\\spad{rightRegularRepresentation(a)} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $) "\\spad{leftRegularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|rightTraceMatrix| (((|Matrix| |#2|)) "\\spad{rightTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|leftTraceMatrix| (((|Matrix| |#2|)) "\\spad{leftTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|rightDiscriminant| ((|#2|) "\\spad{rightDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(rightTraceMatrix())}.")) (|leftDiscriminant| ((|#2|) "\\spad{leftDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(leftTraceMatrix())}.")) (|convert| (($ (|Vector| |#2|)) "\\spad{convert([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.") (((|Vector| |#2|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|))) "\\spad{structuralConstants()} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..rank()]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijn * vn}, where \\spad{v1},...,\\spad{vn} is the fixed \\spad{R}-module basis.")) (|elt| ((|#2| $ (|Integer|)) "\\spad{elt(a,i)} returns the \\spad{i}-th coefficient of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([a1,...,am])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the fixed \\spad{R}-module basis.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-366)))) 
-(-420 R) 
+((|HasCategory| |#2| (QUOTE (-367)))) 
+(-422 R) 
 ((|constructor| (NIL "FramedNonAssociativeAlgebra(R) is a \\spadtype{FiniteRankNonAssociativeAlgebra} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank) over a commutative ring \\spad{R} together with a fixed \\spad{R}-module basis.")) (|apply| (($ (|Matrix| |#1|) $) "\\spad{apply(m,a)} defines a left operation of \\spad{n} by \\spad{n} matrices where \\spad{n} is the rank of the algebra in terms of matrix-vector multiplication, this is a substitute for a left module structure. Error: if shape of matrix doesn't fit.")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) "\\spad{rightRankPolynomial()} calculates the right minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) "\\spad{leftRankPolynomial()} calculates the left minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $) "\\spad{rightRegularRepresentation(a)} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $) "\\spad{leftRegularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|rightTraceMatrix| (((|Matrix| |#1|)) "\\spad{rightTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|leftTraceMatrix| (((|Matrix| |#1|)) "\\spad{leftTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|rightDiscriminant| ((|#1|) "\\spad{rightDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(rightTraceMatrix())}.")) (|leftDiscriminant| ((|#1|) "\\spad{leftDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(leftTraceMatrix())}.")) (|convert| (($ (|Vector| |#1|)) "\\spad{convert([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.") (((|Vector| |#1|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|))) "\\spad{structuralConstants()} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..rank()]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijn * vn}, where \\spad{v1},...,\\spad{vn} is the fixed \\spad{R}-module basis.")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt(a,i)} returns the \\spad{i}-th coefficient of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([a1,...,am])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the fixed \\spad{R}-module basis.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
-((-4568 |has| |#1| (-559)) (-4566 . T) (-4565 . T)) 
+((-4597 |has| |#1| (-561)) (-4595 . T) (-4594 . T)) 
 NIL 
-(-421 R) 
+(-423 R) 
 ((|constructor| (NIL "\\spadtype{Factored} creates a domain whose objects are kept in factored form as long as possible. Thus certain operations like multiplication and \\spad{gcd} are relatively easy to do. Others, like addition require somewhat more work, and unless the argument domain provides a factor function, the result may not be completely factored. Each object consists of a unit and a list of factors, where a factor has a member of \\spad{R} (the \"base\"), and exponent and a flag indicating what is known about the base. A flag may be one of \"nil\", \"sqfr\", \"irred\" or \"prime\", which respectively mean that nothing is known about the base, it is square-free, it is irreducible, or it is prime. The current restriction to integral domains allows simplification to be performed without worrying about multiplication order.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(u)} returns a rational number if \\spad{u} really is one, and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(u)} assumes spadvar{u} is actually a rational number and does the conversion to rational number (see \\spadtype{Fraction Integer}).")) (|rational?| (((|Boolean|) $) "\\spad{rational?(u)} tests if \\spadvar{u} is actually a rational number (see \\spadtype{Fraction Integer}).")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(fn,u) maps the function \\userfun{fn} across the factors of} \\indented{1}{\\spadvar{u} and creates a new factored object. Note: this clears} \\indented{1}{the information flags (sets them to \"nil\") because the effect of} \\indented{1}{\\userfun{fn} is clearly not known in general.} \\blankline \\spad{X} m(a:Factored Polynomial Integer):Factored Polynomial Integer \\spad{==} \\spad{a^2} \\spad{X} \\spad{f:=x*y^3-3*x^2*y^2+3*x^3*y-x^4} \\spad{X} map(m,f) \\spad{X} g:=makeFR(z,factorList \\spad{f)} \\spad{X} map(m,g)")) (|unitNormalize| (($ $) "\\spad{unitNormalize(u)} normalizes the unit part of the factorization. For example, when working with factored integers, this operation will ensure that the bases are all positive integers.")) (|unit| ((|#1| $) "\\indented{1}{unit(u) extracts the unit part of the factorization.} \\blankline \\spad{X} \\spad{f:=x*y^3-3*x^2*y^2+3*x^3*y-x^4} \\spad{X} unit \\spad{f} \\spad{X} g:=makeFR(z,factorList \\spad{f)} \\spad{X} unit \\spad{g}")) (|flagFactor| (($ |#1| (|Integer|) (|Union| "nil" "sqfr" "irred" "prime")) "\\spad{flagFactor(base,exponent,flag)} creates a factored object with a single factor whose \\spad{base} is asserted to be properly described by the information flag.")) (|sqfrFactor| (($ |#1| (|Integer|)) "\\indented{1}{sqfrFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be square-free} \\indented{1}{(flag = \"sqfr\").} \\blankline \\spad{X} a:=sqfrFactor(3,5) \\spad{X} nthFlag(a,1)")) (|primeFactor| (($ |#1| (|Integer|)) "\\indented{1}{primeFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be prime} \\indented{1}{(flag = \"prime\").} \\blankline \\spad{X} a:=primeFactor(3,4) \\spad{X} nthFlag(a,1)")) (|numberOfFactors| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfFactors(u) returns the number of factors in \\spadvar{u}.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} numberOfFactors a")) (|nthFlag| (((|Union| "nil" "sqfr" "irred" "prime") $ (|Integer|)) "\\indented{1}{nthFlag(u,n) returns the information flag of the \\spad{n}th factor of} \\indented{1}{\\spadvar{u}.\\space{2}If \\spadvar{n} is not a valid index for a factor} \\indented{1}{(for example, less than 1 or too big), \"nil\" is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFlag(a,2)")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{nthFactor(u,n) returns the base of the \\spad{n}th factor of} \\indented{1}{\\spadvar{u}.\\space{2}If \\spadvar{n} is not a valid index for a factor} \\indented{1}{(for example, less than 1 or too big), 1 is returned.\\space{2}If} \\indented{1}{\\spadvar{u} consists only of a unit, the unit is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFactor(a,2)")) (|nthExponent| (((|Integer|) $ (|Integer|)) "\\indented{1}{nthExponent(u,n) returns the exponent of the \\spad{n}th factor of} \\indented{1}{\\spadvar{u}.\\space{2}If \\spadvar{n} is not a valid index for a factor} \\indented{1}{(for example, less than 1 or too big), 0 is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthExponent(a,2)")) (|irreducibleFactor| (($ |#1| (|Integer|)) "\\indented{1}{irreducibleFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be irreducible} \\indented{1}{(flag = \"irred\").} \\blankline \\spad{X} a:=irreducibleFactor(3,1) \\spad{X} nthFlag(a,1)")) (|factors| (((|List| (|Record| (|:| |factor| |#1|) (|:| |exponent| (|Integer|)))) $) "\\indented{1}{factors(u) returns a list of the factors in a form suitable} \\indented{1}{for iteration. That is, it returns a list where each element} \\indented{1}{is a record containing a base and exponent.\\space{2}The original} \\indented{1}{object is the product of all the factors and the unit (which} \\indented{1}{can be extracted by \\axiom{unit(u)}).} \\blankline \\spad{X} \\spad{f:=x*y^3-3*x^2*y^2+3*x^3*y-x^4} \\spad{X} factors \\spad{f} \\spad{X} g:=makeFR(z,factorList \\spad{f)} \\spad{X} factors \\spad{g}")) (|nilFactor| (($ |#1| (|Integer|)) "\\indented{1}{nilFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor with no information about the kind of} \\indented{1}{base (flag = \"nil\").} \\blankline \\spad{X} nilFactor(24,2) \\spad{X} nilFactor(x-y,3)")) (|factorList| (((|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))) $) "\\indented{1}{factorList(u) returns the list of factors with flags (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(x-y,3) \\spad{X} factorList \\spad{f}")) (|makeFR| (($ |#1| (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|))))) "\\indented{1}{makeFR(unit,listOfFactors) creates a factored object (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(x-y,3) \\spad{X} g:=factorList \\spad{f} \\spad{X} makeFR(z,g)")) (|exponent| (((|Integer|) $) "\\indented{1}{exponent(u) returns the exponent of the first factor of} \\indented{1}{\\spadvar{u}, or 0 if the factored form consists solely of a unit.} \\blankline \\spad{X} f:=nilFactor(y-x,3) \\spad{X} exponent(f)")) (|expand| ((|#1| $) "\\indented{1}{expand(f) multiplies the unit and factors together, yielding an} \\indented{1}{\"unfactored\" object. Note: this is purposely not called} \\indented{1}{\\spadfun{coerce} which would cause the interpreter to do this} \\indented{1}{automatically.} \\blankline \\spad{X} f:=nilFactor(y-x,3) \\spad{X} expand(f)"))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -304) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -282) (QUOTE $) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1208))) (|HasCategory| |#1| (QUOTE (-1023))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-1208))))) 
-(-422 R) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -526) (QUOTE (-1169)) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -304) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -282) (QUOTE $) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-1213))) (|HasCategory| |#1| (QUOTE (-1027))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-553))) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-1213))))) 
+(-424 R) 
 ((|constructor| (NIL "\\spadtype{FactoredFunctionUtilities} implements some utility functions for manipulating factored objects.")) (|mergeFactors| (((|Factored| |#1|) (|Factored| |#1|) (|Factored| |#1|)) "\\spad{mergeFactors(u,v)} is used when the factorizations of \\spadvar{u} and \\spadvar{v} are known to be disjoint, \\spadignore{e.g.} resulting from a content/primitive part split. Essentially, it creates a new factored object by multiplying the units together and appending the lists of factors.")) (|refine| (((|Factored| |#1|) (|Factored| |#1|) (|Mapping| (|Factored| |#1|) |#1|)) "\\spad{refine(u,fn)} is used to apply the function \\userfun{fn} to each factor of \\spadvar{u} and then build a new factored object from the results. For example, if \\spadvar{u} were created by calling \\spad{nilFactor(10,2)} then \\spad{refine(u,factor)} would create a factored object equal to that created by \\spad{factor(100)} or \\spad{primeFactor(2,2) * primeFactor(5,2)}."))) 
 NIL 
 NIL 
-(-423 R FE |x| |cen|) 
+(-425 R FE |x| |cen|) 
 ((|constructor| (NIL "This package converts expressions in some function space to exponential expansions.")) (|localAbs| ((|#2| |#2|) "\\spad{localAbs(fcn)} = \\spad{abs(fcn)} or \\spad{sqrt(fcn**2)} depending on whether or not FE has a function \\spad{abs}. This should be a local function, but the compiler won't allow it.")) (|exprToXXP| (((|Union| (|:| |%expansion| (|ExponentialExpansion| |#1| |#2| |#3| |#4|)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|)) "\\spad{exprToXXP(fcn,posCheck?)} converts the expression \\spad{fcn} to an exponential expansion. If \\spad{posCheck?} is true, log's of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is false, these are allowed."))) 
 NIL 
 NIL 
-(-424 R A S B) 
+(-426 R A S B) 
 ((|constructor| (NIL "Lifting of maps to function spaces This package allows a mapping \\spad{R} \\spad{->} \\spad{S} to be lifted to a mapping from a function space over \\spad{R} to a function space over \\spad{S;}")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f, a)} applies \\spad{f} to all the constants in \\spad{R} appearing in \\spad{a}."))) 
 NIL 
 NIL 
-(-425 R FE |Expon| UPS TRAN |x|) 
+(-427 R FE |Expon| UPS TRAN |x|) 
 ((|constructor| (NIL "This package converts expressions in some function space to power series in a variable \\spad{x} with coefficients in that function space. The function \\spadfun{exprToUPS} converts expressions to power series whose coefficients do not contain the variable \\spad{x.} The function \\spadfun{exprToGenUPS} converts functional expressions to power series whose coefficients may involve functions of \\spad{log(x)}.")) (|localAbs| ((|#2| |#2|) "\\spad{localAbs(fcn)} = \\spad{abs(fcn)} or \\spad{sqrt(fcn**2)} depending on whether or not FE has a function \\spad{abs}. This should be a local function, but the compiler won't allow it.")) (|exprToGenUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) "\\spad{exprToGenUPS(fcn,posCheck?,atanFlag)} converts the expression \\spad{fcn} to a generalized power series. If \\spad{posCheck?} is true, log's of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is false, these are allowed. \\spad{atanFlag} determines how the case \\spad{atan(f(x))}, where \\spad{f(x)} has a pole, will be treated. The possible values of \\spad{atanFlag} are \\spad{\"complex\"}, \\spad{\"real: two sides\"}, \\spad{\"real: left side\"}, \\spad{\"real: right side\"}, and \\spad{\"just do it\"}. If \\spad{atanFlag} is \\spad{\"complex\"}, then no series expansion will be computed because, viewed as a function of a complex variable, \\spad{atan(f(x))} has an essential singularity. Otherwise, the sign of the leading coefficient of the series expansion of \\spad{f(x)} determines the constant coefficient in the series expansion of \\spad{atan(f(x))}. If this sign cannot be determined, a series expansion is computed only when \\spad{atanFlag} is \\spad{\"just do it\"}. When the leading term in the series expansion of \\spad{f(x)} is of odd degree (or is a rational degree with odd numerator), then the constant coefficient in the series expansion of \\spad{atan(f(x))} for values to the left differs from that for values to the right. If \\spad{atanFlag} is \\spad{\"real: two sides\"}, no series expansion will be computed. If \\spad{atanFlag} is \\spad{\"real: left side\"} the constant coefficient for values to the left will be used and if \\spad{atanFlag} \\spad{\"real: right side\"} the constant coefficient for values to the right will be used. If there is a problem in converting the function to a power series, we return a record containing the name of the function that caused the problem and a brief description of the problem. When expanding the expression into a series it is assumed that the series is centered at 0. For a series centered at a, the user should perform the substitution \\spad{x \\spad{->} \\spad{x} + a} before calling this function.")) (|exprToUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) "\\spad{exprToUPS(fcn,posCheck?,atanFlag)} converts the expression \\spad{fcn} to a power series. If \\spad{posCheck?} is true, log's of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is false, these are allowed. \\spad{atanFlag} determines how the case \\spad{atan(f(x))}, where \\spad{f(x)} has a pole, will be treated. The possible values of \\spad{atanFlag} are \\spad{\"complex\"}, \\spad{\"real: two sides\"}, \\spad{\"real: left side\"}, \\spad{\"real: right side\"}, and \\spad{\"just do it\"}. If \\spad{atanFlag} is \\spad{\"complex\"}, then no series expansion will be computed because, viewed as a function of a complex variable, \\spad{atan(f(x))} has an essential singularity. Otherwise, the sign of the leading coefficient of the series expansion of \\spad{f(x)} determines the constant coefficient in the series expansion of \\spad{atan(f(x))}. If this sign cannot be determined, a series expansion is computed only when \\spad{atanFlag} is \\spad{\"just do it\"}. When the leading term in the series expansion of \\spad{f(x)} is of odd degree (or is a rational degree with odd numerator), then the constant coefficient in the series expansion of \\spad{atan(f(x))} for values to the left differs from that for values to the right. If \\spad{atanFlag} is \\spad{\"real: two sides\"}, no series expansion will be computed. If \\spad{atanFlag} is \\spad{\"real: left side\"} the constant coefficient for values to the left will be used and if \\spad{atanFlag} \\spad{\"real: right side\"} the constant coefficient for values to the right will be used. If there is a problem in converting the function to a power series, a record containing the name of the function that caused the problem and a brief description of the problem is returned. When expanding the expression into a series it is assumed that the series is centered at 0. For a series centered at a, the user should perform the substitution \\spad{x \\spad{->} \\spad{x} + a} before calling this function.")) (|integrate| (($ $) "\\spad{integrate(x)} returns the integral of \\spad{x} since we need to be able to integrate a power series")) (|differentiate| (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x} since we need to be able to differentiate a power series")) (|coerce| (($ |#3|) "\\spad{coerce(e)} converts an 'exponent' \\spad{e} to an 'expression'"))) 
 NIL 
 NIL 
-(-426 S A R B) 
+(-428 S A R B) 
 ((|constructor| (NIL "\\spad{FiniteSetAggregateFunctions2} provides functions involving two finite set aggregates where the underlying domains might be different. An example of this is to create a set of rational numbers by mapping a function across a set of integers, where the function divides each integer by 1000.")) (|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{scan(f,a,r)} successively applies \\spad{reduce(f,x,r)} to more and more leading sub-aggregates \\spad{x} of aggregate \\spad{a}. More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then \\spad{scan(f,a,r)} returns \\spad {[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.")) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{reduce(f,a,r)} applies function \\spad{f} to each successive element of the aggregate \\spad{a} and an accumulant initialised to \\spad{r.} For example, \\spad{reduce(_+$Integer,[1,2,3],0)} does a \\spad{3+(2+(1+0))}. Note that third argument \\spad{r} may be regarded as an identity element for the function.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,a)} applies function \\spad{f} to each member of aggregate \\spad{a}, creating a new aggregate with a possibly different underlying domain."))) 
 NIL 
 NIL 
-(-427 A S) 
-((|constructor| (NIL "A finite-set aggregate models the notion of a finite set, that is, a collection of elements characterized by membership, but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#2| $) "\\spad{min(u)} returns the smallest element of aggregate u.")) (|max| ((|#2| $) "\\spad{max(u)} returns the largest element of aggregate u.")) (|universe| (($) "\\spad{universe()}$D returns the universal set for finite set aggregate \\spad{D.}")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set u, \\spadignore{i.e.} the set of all values not in u.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of u. Note that \\axiom{cardinality(u) = \\#u}."))) 
+(-429 A S) 
+((|constructor| (NIL "A finite-set aggregate models the notion of a finite set, that is, a collection of elements characterized by membership, but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#2| $) "\\spad{min(u)} returns the smallest element of aggregate u.")) (|max| ((|#2| $) "\\spad{max(u)} returns the largest element of aggregate u.")) (|universe| (($) "\\spad{universe()}$D returns the universal set for finite set aggregate \\spad{D.}")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set u, that is, the set of all values not in u.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of u. Note that \\axiom{cardinality(u) = \\#u}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-371)))) 
-(-428 S) 
-((|constructor| (NIL "A finite-set aggregate models the notion of a finite set, that is, a collection of elements characterized by membership, but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest element of aggregate u.")) (|max| ((|#1| $) "\\spad{max(u)} returns the largest element of aggregate u.")) (|universe| (($) "\\spad{universe()}$D returns the universal set for finite set aggregate \\spad{D.}")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set u, \\spadignore{i.e.} the set of all values not in u.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of u. Note that \\axiom{cardinality(u) = \\#u}."))) 
-((-4571 . T) (-4561 . T) (-4572 . T) (-4317 . T)) 
+((|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-373)))) 
+(-430 S) 
+((|constructor| (NIL "A finite-set aggregate models the notion of a finite set, that is, a collection of elements characterized by membership, but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest element of aggregate u.")) (|max| ((|#1| $) "\\spad{max(u)} returns the largest element of aggregate u.")) (|universe| (($) "\\spad{universe()}$D returns the universal set for finite set aggregate \\spad{D.}")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set u, that is, the set of all values not in u.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of u. Note that \\axiom{cardinality(u) = \\#u}."))) 
+((-4600 . T) (-4590 . T) (-4601 . T) (-3348 . T)) 
 NIL 
-(-429 R -1647) 
+(-431 R -3280) 
 ((|constructor| (NIL "Top-level complex function integration \\spadtype{FunctionSpaceComplexIntegration} provides functions for the indefinite integration of complex-valued functions.")) (|complexIntegrate| ((|#2| |#2| (|Symbol|)) "\\spad{complexIntegrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable.")) (|internalIntegrate0| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{internalIntegrate0 should} be a local function, but is conditional.")) (|internalIntegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{internalIntegrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable."))) 
 NIL 
 NIL 
-(-430 R E) 
+(-432 R E) 
 ((|constructor| (NIL "This domain converts terms into Fourier series")) (|makeCos| (($ |#2| |#1|) "\\indented{1}{makeCos(e,r) makes a sin expression with given} argument and coefficient")) (|makeSin| (($ |#2| |#1|) "\\spad{makeSin(e,r)} makes a sin expression with given argument and coefficient")) (|coerce| (($ (|FourierComponent| |#2|)) "\\spad{coerce(c)} converts sin/cos terms into Fourier Series") (($ |#1|) "\\spad{coerce(r)} converts coefficients into Fourier Series"))) 
-((-4558 -12 (|has| |#1| (-6 -4558)) (|has| |#2| (-6 -4558))) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((-12 (|HasAttribute| |#1| (QUOTE -4558)) (|HasAttribute| |#2| (QUOTE -4558)))) 
-(-431 R -1647) 
+((-4587 -12 (|has| |#1| (-6 -4587)) (|has| |#2| (-6 -4587))) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((-12 (|HasAttribute| |#1| (QUOTE -4587)) (|HasAttribute| |#2| (QUOTE -4587)))) 
+(-433 R -3280) 
 ((|constructor| (NIL "Top-level real function integration \\spadtype{FunctionSpaceIntegration} provides functions for the indefinite integration of real-valued functions.")) (|integrate| (((|Union| |#2| (|List| |#2|)) |#2| (|Symbol|)) "\\spad{integrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a real variable."))) 
 NIL 
 NIL 
-(-432 S R) 
-((|constructor| (NIL "A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f, \\spad{k)}} returns \\spad{f} viewed as a univariate fraction in \\spad{k.}")) (/ (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $)) (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\spad{%.}")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\spad{%.}")) (|denom| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 \\spad{...} fm\\^em)} returns \\spad{(f1)\\^e1 \\spad{...} (fm)\\^em} as an element of \\spad{%,} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\spad{%.}")) (|numer| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not, then numer(f) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#2|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\spad{%.}") (($ (|Polynomial| (|Fraction| |#2|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}") (($ (|Fraction| |#2|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\spad{%.}") (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n, \\spad{x]}} if \\spad{p = \\spad{n} * \\spad{x}} and \\spad{n \\spad{<>} 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if \\spad{p = \\spad{m1} +...+ \\spad{mn}} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,f)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,op)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * \\spad{...} * \\spad{x} \\spad{(n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a1,...,am)**n} in \\spad{x} by \\spad{f(a1,...,am)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)**ni} in \\spad{x} by \\spad{fi(a1,...,an)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a)**ni} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x, [s1,...,sm], [f1,...,fm], \\spad{y)}} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x, \\spad{s,} \\spad{f,} \\spad{y)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f.}") (($ $ (|List| (|Symbol|))) "\\spad{eval(f, [foo1,...,foon])} unquotes all the \\spad{fooi}'s in \\spad{f.}") (($ $ (|Symbol|)) "\\spad{eval(f, foo)} unquotes all the foo's in \\spad{f.}")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo, [x1,...,xn])} returns \\spad{'foo(x1,...,xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t)}} returns \\spad{'foo(x,y,z,t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z)}} returns \\spad{'foo(x,y,z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y)}} returns \\spad{'foo(x,y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo, \\spad{x)}} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f.}")) (|ground| ((|#2| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R.} An error occurs if \\spad{f} is not an element of \\spad{R.}")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R.}"))) 
+(-434 S R) 
+((|constructor| (NIL "Category for formal functions A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f, \\spad{k)}} returns \\spad{f} viewed as a univariate fraction in \\spad{k.}")) (/ (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $)) (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\spad{%.}")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\spad{%.}")) (|denom| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 \\spad{...} fm\\^em)} returns \\spad{(f1)\\^e1 \\spad{...} (fm)\\^em} as an element of \\spad{%,} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\spad{%.}")) (|numer| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not, then numer(f) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#2|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\spad{%.}") (($ (|Polynomial| (|Fraction| |#2|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}") (($ (|Fraction| |#2|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\spad{%.}") (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n, \\spad{x]}} if \\spad{p = \\spad{n} * \\spad{x}} and \\spad{n \\spad{<>} 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if \\spad{p = \\spad{m1} +...+ \\spad{mn}} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,f)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,op)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * \\spad{...} * \\spad{x} \\spad{(n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a1,...,am)**n} in \\spad{x} by \\spad{f(a1,...,am)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)**ni} in \\spad{x} by \\spad{fi(a1,...,an)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a)**ni} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x, [s1,...,sm], [f1,...,fm], \\spad{y)}} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x, \\spad{s,} \\spad{f,} \\spad{y)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f.}") (($ $ (|List| (|Symbol|))) "\\spad{eval(f, [foo1,...,foon])} unquotes all the \\spad{fooi}'s in \\spad{f.}") (($ $ (|Symbol|)) "\\spad{eval(f, foo)} unquotes all the foo's in \\spad{f.}")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo, [x1,...,xn])} returns \\spad{'foo(x1,...,xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t)}} returns \\spad{'foo(x,y,z,t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z)}} returns \\spad{'foo(x,y,z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y)}} returns \\spad{'foo(x,y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo, \\spad{x)}} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f.}")) (|ground| ((|#2| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R.} An error occurs if \\spad{f} is not an element of \\spad{R.}")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-1105))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) 
-(-433 R) 
-((|constructor| (NIL "A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f, \\spad{k)}} returns \\spad{f} viewed as a univariate fraction in \\spad{k.}")) (/ (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $)) (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\spad{%.}")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\spad{%.}")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 \\spad{...} fm\\^em)} returns \\spad{(f1)\\^e1 \\spad{...} (fm)\\^em} as an element of \\spad{%,} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\spad{%.}")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not, then numer(f) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#1|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\spad{%.}") (($ (|Polynomial| (|Fraction| |#1|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}") (($ (|Fraction| |#1|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\spad{%.}") (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n, \\spad{x]}} if \\spad{p = \\spad{n} * \\spad{x}} and \\spad{n \\spad{<>} 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if \\spad{p = \\spad{m1} +...+ \\spad{mn}} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,f)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,op)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * \\spad{...} * \\spad{x} \\spad{(n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a1,...,am)**n} in \\spad{x} by \\spad{f(a1,...,am)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)**ni} in \\spad{x} by \\spad{fi(a1,...,an)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a)**ni} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x, [s1,...,sm], [f1,...,fm], \\spad{y)}} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x, \\spad{s,} \\spad{f,} \\spad{y)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f.}") (($ $ (|List| (|Symbol|))) "\\spad{eval(f, [foo1,...,foon])} unquotes all the \\spad{fooi}'s in \\spad{f.}") (($ $ (|Symbol|)) "\\spad{eval(f, foo)} unquotes all the foo's in \\spad{f.}")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo, [x1,...,xn])} returns \\spad{'foo(x1,...,xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t)}} returns \\spad{'foo(x,y,z,t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z)}} returns \\spad{'foo(x,y,z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y)}} returns \\spad{'foo(x,y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo, \\spad{x)}} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f.}")) (|ground| ((|#1| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R.} An error occurs if \\spad{f} is not an element of \\spad{R.}")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R.}"))) 
-((-4568 -1929 (|has| |#1| (-1049)) (|has| |#1| (-479))) (-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) ((-4573 "*") |has| |#1| (-559)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-559)) (-4563 |has| |#1| (-559)) (-4317 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-1053))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-481))) (|HasCategory| |#2| (QUOTE (-1109))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) 
+(-435 R) 
+((|constructor| (NIL "Category for formal functions A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f, \\spad{k)}} returns \\spad{f} viewed as a univariate fraction in \\spad{k.}")) (/ (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $)) (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\spad{%.}")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\spad{%.}")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 \\spad{...} fm\\^em)} returns \\spad{(f1)\\^e1 \\spad{...} (fm)\\^em} as an element of \\spad{%,} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\spad{%.}")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not, then numer(f) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#1|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\spad{%.}") (($ (|Polynomial| (|Fraction| |#1|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}") (($ (|Fraction| |#1|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\spad{%.}") (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n, \\spad{x]}} if \\spad{p = \\spad{n} * \\spad{x}} and \\spad{n \\spad{<>} 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if \\spad{p = \\spad{m1} +...+ \\spad{mn}} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,f)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,op)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * \\spad{...} * \\spad{x} \\spad{(n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a1,...,am)**n} in \\spad{x} by \\spad{f(a1,...,am)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)**ni} in \\spad{x} by \\spad{fi(a1,...,an)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a)**ni} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x, [s1,...,sm], [f1,...,fm], \\spad{y)}} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x, \\spad{s,} \\spad{f,} \\spad{y)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f.}") (($ $ (|List| (|Symbol|))) "\\spad{eval(f, [foo1,...,foon])} unquotes all the \\spad{fooi}'s in \\spad{f.}") (($ $ (|Symbol|)) "\\spad{eval(f, foo)} unquotes all the foo's in \\spad{f.}")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo, [x1,...,xn])} returns \\spad{'foo(x1,...,xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t)}} returns \\spad{'foo(x,y,z,t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z)}} returns \\spad{'foo(x,y,z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y)}} returns \\spad{'foo(x,y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo, \\spad{x)}} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f.}")) (|ground| ((|#1| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R.} An error occurs if \\spad{f} is not an element of \\spad{R.}")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R.}"))) 
+((-4597 -1831 (|has| |#1| (-1053)) (|has| |#1| (-481))) (-4595 |has| |#1| (-173)) (-4594 |has| |#1| (-173)) ((-4602 "*") |has| |#1| (-561)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-561)) (-4592 |has| |#1| (-561)) (-3348 . T)) 
 NIL 
-(-434 R -1647) 
-((|constructor| (NIL "Provides some special functions over an integral domain.")) (|iiAiryBi| ((|#2| |#2|) "\\spad{iiAiryBi(x)} should be local but conditional.")) (|iiAiryAi| ((|#2| |#2|) "\\spad{iiAiryAi(x)} should be local but conditional.")) (|iiBesselK| ((|#2| (|List| |#2|)) "\\spad{iiBesselK(x)} should be local but conditional.")) (|iiBesselI| ((|#2| (|List| |#2|)) "\\spad{iiBesselI(x)} should be local but conditional.")) (|iiBesselY| ((|#2| (|List| |#2|)) "\\spad{iiBesselY(x)} should be local but conditional.")) (|iiBesselJ| ((|#2| (|List| |#2|)) "\\spad{iiBesselJ(x)} should be local but conditional.")) (|iipolygamma| ((|#2| (|List| |#2|)) "\\spad{iipolygamma(x)} should be local but conditional.")) (|iidigamma| ((|#2| |#2|) "\\spad{iidigamma(x)} should be local but conditional.")) (|iiBeta| ((|#2| (|List| |#2|)) "iiGamma(x) should be local but conditional.")) (|iiabs| ((|#2| |#2|) "\\spad{iiabs(x)} should be local but conditional.")) (|iiGamma| ((|#2| |#2|) "\\spad{iiGamma(x)} should be local but conditional.")) (|airyBi| ((|#2| |#2|) "\\spad{airyBi(x)} returns the airybi function applied to \\spad{x}")) (|airyAi| ((|#2| |#2|) "\\spad{airyAi(x)} returns the airyai function applied to \\spad{x}")) (|besselK| ((|#2| |#2| |#2|) "\\spad{besselK(x,y)} returns the besselk function applied to \\spad{x} and \\spad{y}")) (|besselI| ((|#2| |#2| |#2|) "\\spad{besselI(x,y)} returns the besseli function applied to \\spad{x} and \\spad{y}")) (|besselY| ((|#2| |#2| |#2|) "\\spad{besselY(x,y)} returns the bessely function applied to \\spad{x} and \\spad{y}")) (|besselJ| ((|#2| |#2| |#2|) "\\spad{besselJ(x,y)} returns the besselj function applied to \\spad{x} and \\spad{y}")) (|polygamma| ((|#2| |#2| |#2|) "\\spad{polygamma(x,y)} returns the polygamma function applied to \\spad{x} and \\spad{y}")) (|digamma| ((|#2| |#2|) "\\spad{digamma(x)} returns the digamma function applied to \\spad{x}")) (|Beta| ((|#2| |#2| |#2|) "\\spad{Beta(x,y)} returns the beta function applied to \\spad{x} and \\spad{y}")) (|Gamma| ((|#2| |#2| |#2|) "\\spad{Gamma(a,x)} returns the incomplete Gamma function applied to a and \\spad{x}") ((|#2| |#2|) "\\spad{Gamma(f)} returns the formal Gamma function applied to \\spad{f}")) (|abs| ((|#2| |#2|) "\\spad{abs(f)} returns the absolute value operator applied to \\spad{f}")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F;} error if \\spad{op} is not a special function operator")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a special function operator."))) 
+(-436 R -3280) 
+((|constructor| (NIL "Provides some special functions over an integral domain.")) (|iiAiryBi| ((|#2| |#2|) "\\spad{iiAiryBi(x)} should be local but conditional.")) (|iiAiryAi| ((|#2| |#2|) "\\spad{iiAiryAi(x)} should be local but conditional.")) (|iiBesselK| ((|#2| (|List| |#2|)) "\\spad{iiBesselK(x)} should be local but conditional.")) (|iiBesselI| ((|#2| (|List| |#2|)) "\\spad{iiBesselI(x)} should be local but conditional.")) (|iiBesselY| ((|#2| (|List| |#2|)) "\\spad{iiBesselY(x)} should be local but conditional.")) (|iiBesselJ| ((|#2| (|List| |#2|)) "\\spad{iiBesselJ(x)} should be local but conditional.")) (|iipolygamma| ((|#2| (|List| |#2|)) "\\spad{iipolygamma(x)} should be local but conditional.")) (|iidigamma| ((|#2| |#2|) "\\spad{iidigamma(x)} should be local but conditional.")) (|iiBeta| ((|#2| (|List| |#2|)) "\\spad{iiBeta(x)} should be local but conditional.")) (|iiabs| ((|#2| |#2|) "\\spad{iiabs(x)} should be local but conditional.")) (|iiGamma| ((|#2| |#2|) "\\spad{iiGamma(x)} should be local but conditional.")) (|airyBi| ((|#2| |#2|) "\\spad{airyBi(x)} returns the airybi function applied to \\spad{x}")) (|airyAi| ((|#2| |#2|) "\\spad{airyAi(x)} returns the airyai function applied to \\spad{x}")) (|besselK| ((|#2| |#2| |#2|) "\\spad{besselK(x,y)} returns the besselk function applied to \\spad{x} and \\spad{y}")) (|besselI| ((|#2| |#2| |#2|) "\\spad{besselI(x,y)} returns the besseli function applied to \\spad{x} and \\spad{y}")) (|besselY| ((|#2| |#2| |#2|) "\\spad{besselY(x,y)} returns the bessely function applied to \\spad{x} and \\spad{y}")) (|besselJ| ((|#2| |#2| |#2|) "\\spad{besselJ(x,y)} returns the besselj function applied to \\spad{x} and \\spad{y}")) (|polygamma| ((|#2| |#2| |#2|) "\\spad{polygamma(x,y)} returns the polygamma function applied to \\spad{x} and \\spad{y}")) (|digamma| ((|#2| |#2|) "\\spad{digamma(x)} returns the digamma function applied to \\spad{x}")) (|Beta| ((|#2| |#2| |#2|) "\\spad{Beta(x,y)} returns the beta function applied to \\spad{x} and \\spad{y}")) (|Gamma| ((|#2| |#2| |#2|) "\\spad{Gamma(a,x)} returns the incomplete Gamma function applied to a and \\spad{x}") ((|#2| |#2|) "\\spad{Gamma(f)} returns the formal Gamma function applied to \\spad{f}")) (|abs| ((|#2| |#2|) "\\spad{abs(f)} returns the absolute value operator applied to \\spad{f}")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F;} error if \\spad{op} is not a special function operator")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a special function operator."))) 
 NIL 
 NIL 
-(-435 R -1647) 
+(-437 R -3280) 
 ((|constructor| (NIL "FunctionsSpacePrimitiveElement provides functions to compute primitive elements in functions spaces.")) (|primitiveElement| (((|Record| (|:| |primelt| |#2|) (|:| |pol1| (|SparseUnivariatePolynomial| |#2|)) (|:| |pol2| (|SparseUnivariatePolynomial| |#2|)) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) |#2| |#2|) "\\spad{primitiveElement(a1, a2)} returns \\spad{[a, \\spad{q1,} \\spad{q2,} \\spad{q]}} such that \\spad{k(a1, a2) = k(a)}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. The minimal polynomial for \\spad{a2} may involve a1, but the minimal polynomial for \\spad{a1} may not involve a2; This operations uses \\spadfun{resultant}.") (((|Record| (|:| |primelt| |#2|) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#2|))) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) (|List| |#2|)) "\\spad{primitiveElement([a1,...,an])} returns \\spad{[a, [q1,...,qn], \\spad{q]}} such that then \\spad{k(a1,...,an) = k(a)}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-27)))) 
-(-436 R -1647) 
+(-438 R -3280) 
 ((|constructor| (NIL "Reduction from a function space to the rational numbers This package provides function which replaces transcendental kernels in a function space by random integers. The correspondence between the kernels and the integers is fixed between calls to new().")) (|newReduc| (((|Void|)) "\\spad{newReduc()} \\undocumented")) (|bringDown| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) |#2| (|Kernel| |#2|)) "\\spad{bringDown(f,k)} \\undocumented") (((|Fraction| (|Integer|)) |#2|) "\\spad{bringDown(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-437) 
+(-439) 
 ((|constructor| (NIL "Creates and manipulates objects which correspond to the basic FORTRAN data types: REAL, INTEGER, COMPLEX, LOGICAL and CHARACTER")) (= (((|Boolean|) $ $) "\\spad{x=y} tests for equality")) (|logical?| (((|Boolean|) $) "\\spad{logical?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type LOGICAL.")) (|character?| (((|Boolean|) $) "\\spad{character?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type CHARACTER.")) (|doubleComplex?| (((|Boolean|) $) "\\spad{doubleComplex?(t)} tests whether \\spad{t} is equivalent to the (non-standard) FORTRAN type DOUBLE COMPLEX.")) (|complex?| (((|Boolean|) $) "\\spad{complex?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type COMPLEX.")) (|integer?| (((|Boolean|) $) "\\spad{integer?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type INTEGER.")) (|double?| (((|Boolean|) $) "\\spad{double?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type DOUBLE PRECISION")) (|real?| (((|Boolean|) $) "\\spad{real?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type REAL.")) (|coerce| (((|SExpression|) $) "\\spad{coerce(x)} returns the s-expression associated with \\spad{x}") (((|Symbol|) $) "\\spad{coerce(x)} returns the symbol associated with \\spad{x}") (($ (|Symbol|)) "\\spad{coerce(s)} transforms the symbol \\spad{s} into an element of FortranScalarType provided \\spad{s} is one of real, complex,double precision, logical, integer, character, REAL, COMPLEX, LOGICAL, INTEGER, CHARACTER, DOUBLE PRECISION") (($ (|String|)) "\\spad{coerce(s)} transforms the string \\spad{s} into an element of FortranScalarType provided \\spad{s} is one of \"real\", \"double precision\", \"complex\", \"logical\", \"integer\", \"character\", \"REAL\", \"COMPLEX\", \"LOGICAL\", \"INTEGER\", \"CHARACTER\", \"DOUBLE PRECISION\""))) 
 NIL 
 NIL 
-(-438 R -1647 UP) 
+(-440 R -3280 UP) 
 ((|constructor| (NIL "This package is used internally by IR2F")) (|anfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) "failed") |#3|) "\\spad{anfactor(p)} tries to factor \\spad{p} over algebraic numbers, returning \"failed\" if it cannot")) (|UP2ifCan| (((|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|))) |#3|) "\\spad{UP2ifCan(x)} should be local but conditional.")) (|qfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "failed") |#3|) "\\spad{qfactor(p)} tries to factor \\spad{p} over fractions of integers, returning \"failed\" if it cannot")) (|ffactor| (((|Factored| |#3|) |#3|) "\\spad{ffactor(p)} tries to factor a univariate polynomial \\spad{p} over \\spad{F}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-53))))) 
-(-439) 
+((|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-53))))) 
+(-441) 
 ((|constructor| (NIL "Code to manipulate Fortran templates")) (|fortranCarriageReturn| (((|Void|)) "\\spad{fortranCarriageReturn()} produces a carriage return on the current Fortran output stream")) (|fortranLiteral| (((|Void|) (|String|)) "\\spad{fortranLiteral(s)} writes \\spad{s} to the current Fortran output stream")) (|fortranLiteralLine| (((|Void|) (|String|)) "\\spad{fortranLiteralLine(s)} writes \\spad{s} to the current Fortran output stream, followed by a carriage return")) (|processTemplate| (((|FileName|) (|FileName|)) "\\spad{processTemplate(tp)} processes the template \\spad{tp,} writing the result to the current FORTRAN output stream.") (((|FileName|) (|FileName|) (|FileName|)) "\\spad{processTemplate(tp,fn)} processes the template \\spad{tp,} writing the result out to \\spad{fn.}"))) 
 NIL 
 NIL 
-(-440) 
+(-442) 
 ((|constructor| (NIL "Creates and manipulates objects which correspond to FORTRAN data types, including array dimensions.")) (|fortranCharacter| (($) "\\spad{fortranCharacter()} returns CHARACTER, an element of FortranType")) (|fortranDoubleComplex| (($) "\\spad{fortranDoubleComplex()} returns DOUBLE COMPLEX, an element of FortranType")) (|fortranComplex| (($) "\\spad{fortranComplex()} returns COMPLEX, an element of FortranType")) (|fortranLogical| (($) "\\spad{fortranLogical()} returns LOGICAL, an element of FortranType")) (|fortranInteger| (($) "\\spad{fortranInteger()} returns INTEGER, an element of FortranType")) (|fortranDouble| (($) "\\spad{fortranDouble()} returns DOUBLE PRECISION, an element of FortranType")) (|fortranReal| (($) "\\spad{fortranReal()} returns REAL, an element of FortranType")) (|construct| (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Polynomial| (|Integer|))) (|Boolean|)) "\\spad{construct(type,dims)} creates an element of FortranType") (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Symbol|)) (|Boolean|)) "\\spad{construct(type,dims)} creates an element of FortranType")) (|external?| (((|Boolean|) $) "\\spad{external?(u)} returns \\spad{true} if \\spad{u} is declared to be EXTERNAL")) (|dimensionsOf| (((|List| (|Polynomial| (|Integer|))) $) "\\spad{dimensionsOf(t)} returns the dimensions of \\spad{t}")) (|scalarTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) "\\spad{scalarTypeOf(t)} returns the FORTRAN data type of \\spad{t}")) (|coerce| (($ (|FortranScalarType|)) "\\spad{coerce(t)} creates an element from a scalar type") (((|OutputForm|) $) "\\spad{coerce(x)} provides a printable form for \\spad{x}"))) 
 NIL 
 NIL 
-(-441 |f|) 
+(-443 |f|) 
 ((|constructor| (NIL "This domain implements named functions")) (|name| (((|Symbol|) $) "\\spad{name(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-442) 
+(-444) 
 ((|constructor| (NIL "\\axiomType{FortranVectorCategory} provides support for producing Functions and Subroutines when the input to these is an AXIOM object of type \\axiomType{Vector} or in domains involving \\axiomType{FortranCode}.")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|Vector| (|MachineFloat|))) "\\spad{coerce(v)} produces an ASP which returns the value of \\spad{v}."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-443) 
+(-445) 
 ((|constructor| (NIL "\\axiomType{FortranVectorFunctionCategory} is the catagory of arguments to NAG Library routines which return the values of vectors of functions.")) (|retractIfCan| (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|retract| (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Expression| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Expression| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-444 UP) 
+(-446 UP) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupFactorizer} provides functions to factor resolvents.")) (|btwFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|) (|Set| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{btwFact(p,sqf,pd,r)} returns the factorization of \\spad{p,} the result is a Record such that \\spad{contp=}content \\spad{p,} \\spad{factors=}List of irreducible factors of \\spad{p} with exponent. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors). \\spad{pd} is the \\spadtype{Set} of possible degrees. \\spad{r} is a lower bound for the number of factors of \\spad{p.} Please do not use this function in your code because its design may change.")) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) "\\spad{henselFact(p,sqf)} returns the factorization of \\spad{p,} the result is a Record such that \\spad{contp=}content \\spad{p,} \\spad{factors=}List of irreducible factors of \\spad{p} with exponent. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors).")) (|factorOfDegree| (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|) (|Boolean|)) "\\spad{factorOfDegree(d,p,listOfDegrees,r,sqf)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree listOfDegrees, and that \\spad{p} has at least \\spad{r} factors. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors).") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factorOfDegree(d,p,listOfDegrees,r)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree listOfDegrees, and that \\spad{p} has at least \\spad{r} factors.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factorOfDegree(d,p,listOfDegrees)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree listOfDegrees.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|NonNegativeInteger|)) "\\spad{factorOfDegree(d,p,r)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has at least \\spad{r} factors.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1|) "\\spad{factorOfDegree(d,p)} returns a factor of \\spad{p} of degree \\spad{d.}")) (|factorSquareFree| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,d,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{d} divides the degree of all factors of \\spad{p} and that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,listOfDegrees,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees} and that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factorSquareFree(p,listOfDegrees)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has for possible splitting of its degree listOfDegrees. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(p)} returns the factorization of \\spad{p} which is supposed not having any repeated factor (this is not checked).")) (|factor| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factor(p,d,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{d} divides the degree of all factors of \\spad{p} and that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factor(p,listOfDegrees,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees} and that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factor(p,listOfDegrees)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has for possible splitting of its degree listOfDegrees.") (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{factor(p,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns the factorization of \\spad{p} over the integers.")) (|tryFunctionalDecomposition| (((|Boolean|) (|Boolean|)) "\\spad{tryFunctionalDecomposition(b)} chooses whether factorizers have to look for functional decomposition of polynomials (\\spad{true}) or not (\\spad{false}). Returns the previous value.")) (|tryFunctionalDecomposition?| (((|Boolean|)) "\\spad{tryFunctionalDecomposition?()} returns \\spad{true} if factorizers try functional decomposition of polynomials before factoring them.")) (|eisensteinIrreducible?| (((|Boolean|) |#1|) "\\spad{eisensteinIrreducible?(p)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by Eisenstein's criterion, \\spad{false} is inconclusive.")) (|useEisensteinCriterion| (((|Boolean|) (|Boolean|)) "\\spad{useEisensteinCriterion(b)} chooses whether factorizers check Eisenstein's criterion before factoring: \\spad{true} for using it, \\spad{false} else. Returns the previous value.")) (|useEisensteinCriterion?| (((|Boolean|)) "\\spad{useEisensteinCriterion?()} returns \\spad{true} if factorizers check Eisenstein's criterion before factoring.")) (|useSingleFactorBound| (((|Boolean|) (|Boolean|)) "\\spad{useSingleFactorBound(b)} chooses the algorithm to be used by the factorizers: \\spad{true} for algorithm with single factor bound, \\spad{false} for algorithm with overall bound. Returns the previous value.")) (|useSingleFactorBound?| (((|Boolean|)) "\\spad{useSingleFactorBound?()} returns \\spad{true} if algorithm with single factor bound is used for factorization, \\spad{false} for algorithm with overall bound.")) (|modularFactor| (((|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| |#1|))) |#1|) "\\spad{modularFactor(f)} chooses a \"good\" prime and returns the factorization of \\spad{f} modulo this prime in a form that may be used by completeHensel. If prime is zero it means that \\spad{f} has been proved to be irreducible over the integers or that \\spad{f} is a unit (\\spadignore{i.e.} 1 or -1). \\spad{f} shall be primitive (\\spadignore{i.e.} content(p)=1) and square free (\\spadignore{i.e.} without repeated factors).")) (|numberOfFactors| (((|NonNegativeInteger|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) "\\spad{numberOfFactors(ddfactorization)} returns the number of factors of the polynomial \\spad{f} modulo \\spad{p} where \\spad{ddfactorization} is the distinct degree factorization of \\spad{f} computed by ddFact for some prime \\spad{p.}")) (|stopMusserTrials| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{stopMusserTrials(n)} sets to \\spad{n} the bound on the number of factors for which \\spadfun{modularFactor} stops to look for an other prime. You will have to remember that the step of recombining the extraneous factors may take up to \\spad{2**n} trials. Returns the previous value.") (((|PositiveInteger|)) "\\spad{stopMusserTrials()} returns the bound on the number of factors for which \\spadfun{modularFactor} stops to look for an other prime. You will have to remember that the step of recombining the extraneous factors may take up to \\spad{2**stopMusserTrials()} trials.")) (|musserTrials| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{musserTrials(n)} sets to \\spad{n} the number of primes to be tried in \\spadfun{modularFactor} and returns the previous value.") (((|PositiveInteger|)) "\\spad{musserTrials()} returns the number of primes that are tried in \\spadfun{modularFactor}.")) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) "\\spad{degreePartition(ddfactorization)} returns the degree partition of the polynomial \\spad{f} modulo \\spad{p} where \\spad{ddfactorization} is the distinct degree factorization of \\spad{f} computed by ddFact for some prime \\spad{p.}")) (|makeFR| (((|Factored| |#1|) (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|))))))) "\\spad{makeFR(flist)} turns the final factorization of henselFact into a \\spadtype{Factored} object."))) 
 NIL 
 NIL 
-(-445 R UP -1647) 
+(-447 R UP -3280) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupFactorizationUtilities} provides functions that will be used by the factorizer.")) (|length| ((|#3| |#2|) "\\spad{length(p)} returns the sum of the absolute values of the coefficients of the polynomial \\spad{p.}")) (|height| ((|#3| |#2|) "\\spad{height(p)} returns the maximal absolute value of the coefficients of the polynomial \\spad{p.}")) (|infinityNorm| ((|#3| |#2|) "\\spad{infinityNorm(f)} returns the maximal absolute value of the coefficients of the polynomial \\spad{f.}")) (|quadraticNorm| ((|#3| |#2|) "\\spad{quadraticNorm(f)} returns the \\spad{l2} norm of the polynomial \\spad{f.}")) (|norm| ((|#3| |#2| (|PositiveInteger|)) "\\spad{norm(f,p)} returns the \\spad{lp} norm of the polynomial \\spad{f.}")) (|singleFactorBound| (((|Integer|) |#2|) "\\spad{singleFactorBound(p,r)} returns a bound on the infinite norm of the factor of \\spad{p} with smallest Bombieri's norm. \\spad{p} shall be of degree higher or equal to 2.") (((|Integer|) |#2| (|NonNegativeInteger|)) "\\spad{singleFactorBound(p,r)} returns a bound on the infinite norm of the factor of \\spad{p} with smallest Bombieri's norm. \\spad{r} is a lower bound for the number of factors of \\spad{p.} \\spad{p} shall be of degree higher or equal to 2.")) (|rootBound| (((|Integer|) |#2|) "\\spad{rootBound(p)} returns a bound on the largest norm of the complex roots of \\spad{p.}")) (|bombieriNorm| ((|#3| |#2| (|PositiveInteger|)) "\\spad{bombieriNorm(p,n)} returns the \\spad{n}th Bombieri's norm of \\spad{p.}") ((|#3| |#2|) "\\spad{bombieriNorm(p)} returns quadratic Bombieri's norm of \\spad{p.}")) (|beauzamyBound| (((|Integer|) |#2|) "\\spad{beauzamyBound(p)} returns a bound on the larger coefficient of any factor of \\spad{p.}"))) 
 NIL 
 NIL 
-(-446 R UP) 
+(-448 R UP) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupPolynomialUtilities} provides useful functions for univariate polynomials which should be added to \\spadtype{UnivariatePolynomialCategory} or to \\spadtype{Factored}")) (|factorsOfDegree| (((|List| |#2|) (|PositiveInteger|) (|Factored| |#2|)) "\\spad{factorsOfDegree(d,f)} returns the factors of degree \\spad{d} of the factored polynomial \\spad{f.}")) (|factorOfDegree| ((|#2| (|PositiveInteger|) (|Factored| |#2|)) "\\spad{factorOfDegree(d,f)} returns a factor of degree \\spad{d} of the factored polynomial \\spad{f.} Such a factor shall exist.")) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|Factored| |#2|)) "\\spad{degreePartition(f)} returns the degree partition (\\spadignore{i.e.} the multiset of the degrees of the irreducible factors) of the polynomial \\spad{f.}")) (|shiftRoots| ((|#2| |#2| |#1|) "\\spad{shiftRoots(p,c)} returns the polynomial which has for roots \\spad{c} added to the roots of \\spad{p.}")) (|scaleRoots| ((|#2| |#2| |#1|) "\\spad{scaleRoots(p,c)} returns the polynomial which has \\spad{c} times the roots of \\spad{p.}")) (|reverse| ((|#2| |#2|) "\\spad{reverse(p)} returns the reverse polynomial of \\spad{p.}")) (|unvectorise| ((|#2| (|Vector| |#1|)) "\\spad{unvectorise(v)} returns the polynomial which has for coefficients the entries of \\spad{v} in the increasing order.")) (|monic?| (((|Boolean|) |#2|) "\\spad{monic?(p)} tests if \\spad{p} is monic (\\spadignore{i.e.} leading coefficient equal to 1)."))) 
 NIL 
 NIL 
-(-447 R) 
+(-449 R) 
 ((|constructor| (NIL "\\spadtype{GaloisGroupUtilities} provides several useful functions.")) (|safetyMargin| (((|NonNegativeInteger|)) "\\spad{safetyMargin()} returns the number of low weight digits we do not trust in the floating point representation (used by \\spadfun{safeCeiling}).") (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{safetyMargin(n)} sets to \\spad{n} the number of low weight digits we do not trust in the floating point representation and returns the previous value (for use by \\spadfun{safeCeiling}).")) (|safeFloor| (((|Integer|) |#1|) "\\spad{safeFloor(x)} returns the integer which is lower or equal to the largest integer which has the same floating point number representation.")) (|safeCeiling| (((|Integer|) |#1|) "\\spad{safeCeiling(x)} returns the integer which is greater than any integer with the same floating point number representation.")) (|fillPascalTriangle| (((|Void|)) "\\spad{fillPascalTriangle()} fills the stored table.")) (|sizePascalTriangle| (((|NonNegativeInteger|)) "\\spad{sizePascalTriangle()} returns the number of entries currently stored in the table.")) (|rangePascalTriangle| (((|NonNegativeInteger|)) "\\spad{rangePascalTriangle()} returns the maximal number of lines stored.") (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rangePascalTriangle(n)} sets the maximal number of lines which are stored and returns the previous value.")) (|pascalTriangle| ((|#1| (|NonNegativeInteger|) (|Integer|)) "\\spad{pascalTriangle(n,r)} returns the binomial coefficient \\spad{C(n,r)=n!/(r! (n-r)!)} and stores it in a table to prevent recomputation."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-407)))) 
-(-448) 
+((|HasCategory| |#1| (QUOTE (-409)))) 
+(-450) 
 ((|constructor| (NIL "Package for the factorization of complex or gaussian integers.")) (|prime?| (((|Boolean|) (|Complex| (|Integer|))) "\\spad{prime?(zi)} tests if the complex integer \\spad{zi} is prime.")) (|sumSquares| (((|List| (|Integer|)) (|Integer|)) "\\spad{sumSquares(p)} construct \\spad{a} and \\spad{b} such that \\spad{a**2+b**2} is equal to the integer prime \\spad{p,} and otherwise returns an error. It will succeed if the prime number \\spad{p} is 2 or congruent to 1 mod 4.")) (|factor| (((|Factored| (|Complex| (|Integer|))) (|Complex| (|Integer|))) "\\spad{factor(zi)} produces the complete factorization of the complex integer zi."))) 
 NIL 
 NIL 
-(-449 |Dom| |Expon| |VarSet| |Dpol|) 
+(-451 |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "\\spadtype{EuclideanGroebnerBasisPackage} computes groebner bases for polynomial ideals over euclidean domains. The basic computation provides a distinguished set of generators for these ideals. This basis allows an easy test for membership: the operation \\spadfun{euclideanNormalForm} returns zero on ideal members. The string \"info\" and \"redcrit\" can be given as additional args to provide incremental information during the computation. If \"info\" is given, a computational summary is given for each s-polynomial. If \"redcrit\" is given, the reduced critical pairs are printed. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial}, \\spadtype{HomogeneousDistributedMultivariatePolynomial}, \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|euclideanGroebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) "\\indented{1}{euclideanGroebner(lp, \"info\", \"redcrit\") computes a groebner basis} \\indented{1}{for a polynomial ideal generated by the list of polynomials lp.} \\indented{1}{If the second argument is \"info\",} \\indented{1}{a summary is given of the critical pairs.} \\indented{1}{If the third argument is \"redcrit\", critical pairs are printed.} \\blankline \\spad{X} a1:DMP([y,x],INT):= \\spad{(9*x**2} + 5*x - 3)+ \\spad{y*(3*x**2} + 2*x + 1) \\spad{X} a2:DMP([y,x],INT):= \\spad{(6*x**3} - 2*x**2 - 3*x \\spad{+3)} + \\spad{y*(2*x**3} - \\spad{x} - 1) \\spad{X} a3:DMP([y,x],INT):= \\spad{(3*x**3} + 2*x**2) + \\spad{y*(x**3} + x**2) \\spad{X} an:=[a1,a2,a3] \\spad{X} euclideanGroebner(an,\"info\",\"redcrit\")") (((|List| |#4|) (|List| |#4|) (|String|)) "\\indented{1}{euclideanGroebner(lp, infoflag) computes a groebner basis} \\indented{1}{for a polynomial ideal over a euclidean domain} \\indented{1}{generated by the list of polynomials lp.} \\indented{1}{During computation, additional information is printed out} \\indented{1}{if infoflag is given as} \\indented{1}{either \"info\" (for summary information) or} \\indented{1}{\"redcrit\" (for reduced critical pairs)} \\blankline \\spad{X} a1:DMP([y,x],INT):= \\spad{(9*x**2} + 5*x - 3)+ \\spad{y*(3*x**2} + 2*x + 1) \\spad{X} a2:DMP([y,x],INT):= \\spad{(6*x**3} - 2*x**2 - 3*x \\spad{+3)} + \\spad{y*(2*x**3} - \\spad{x} - 1) \\spad{X} a3:DMP([y,x],INT):= \\spad{(3*x**3} + 2*x**2) + \\spad{y*(x**3} + x**2) \\spad{X} an:=[a1,a2,a3] \\spad{X} euclideanGroebner(an,\"redcrit\") \\spad{X} euclideanGroebner(an,\"info\")") (((|List| |#4|) (|List| |#4|)) "\\indented{1}{euclideanGroebner(lp) computes a groebner basis for a polynomial} \\indented{1}{ideal over a euclidean domain generated by the list of polys lp.} \\blankline \\spad{X} a1:DMP([y,x],INT):= \\spad{(9*x**2} + 5*x - 3)+ \\spad{y*(3*x**2} + 2*x + 1) \\spad{X} a2:DMP([y,x],INT):= \\spad{(6*x**3} - 2*x**2 - 3*x \\spad{+3)} + \\spad{y*(2*x**3} - \\spad{x} - 1) \\spad{X} a3:DMP([y,x],INT):= \\spad{(3*x**3} + 2*x**2) + \\spad{y*(x**3} + x**2) \\spad{X} an:=[a1,a2,a3] \\spad{X} euclideanGroebner(an)")) (|euclideanNormalForm| ((|#4| |#4| (|List| |#4|)) "\\spad{euclideanNormalForm(poly,gb)} reduces the polynomial \\spad{poly} modulo the precomputed groebner basis \\spad{gb} giving a canonical representative of the residue class."))) 
 NIL 
 NIL 
-(-450 |Dom| |Expon| |VarSet| |Dpol|) 
-((|constructor| (NIL "\\spadtype{GroebnerFactorizationPackage} provides the function groebnerFactor\" which uses the factorization routines of \\Language{} to factor each polynomial under consideration while doing the groebner basis algorithm. Then it writes the ideal as an intersection of ideals determined by the irreducible factors. Note that the whole ring may occur as well as other redundancies. We also use the fact, that from the second factor on we can assume that the preceding factors are not equal to 0 and we divide all polynomials under considerations by the elements of this list of \"nonZeroRestrictions\". The result is a list of groebner bases, whose union of solutions of the corresponding systems of equations is the solution of the system of equation corresponding to the input list. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial}, \\spadtype{HomogeneousDistributedMultivariatePolynomial}, \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|groebnerFactorize| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys, info)} returns a list of groebner bases. The union of their solutions is the solution of the system of equations given by listOfPolys. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p,} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.} If info is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\indented{1}{groebnerFactorize(listOfPolys) returns} \\indented{1}{a list of groebner bases. The union of their solutions} \\indented{1}{is the solution of the system of equations given by listOfPolys.} \\indented{1}{At each stage the polynomial \\spad{p} under consideration (either from} \\indented{1}{the given basis or obtained from a reduction of the next S-polynomial)} \\indented{1}{is factorized. For each irreducible factors of \\spad{p,} a} \\indented{1}{new createGroebnerBasis is started} \\indented{1}{doing the usual updates with the factor} \\indented{1}{in place of \\spad{p.}} \\blankline \\spad{X} mfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) \\spad{:=} \\spad{++X} [ [0,1,1,1,1,1], [1,0,1,8/3,x,8/3], [1,1,0,1,8/3,y], \\spad{++X} [1,8/3,1,0,1,8/3], [1,x,8/3,1,0,1], [1,8/3,y,8/3,1,0] ] \\spad{X} eq \\spad{:=} determinant mfzn \\spad{X} groebnerFactorize \\spad{++X} [eq,eval(eq, [x,y,z],[y,z,x]), eval(eq,[x,y,z],[z,x,y])]") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys, nonZeroRestrictions, info)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of \\spad{nonZeroRestrictions} don't vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.} If argument info is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|)) "\\spad{groebnerFactorize(listOfPolys, nonZeroRestrictions)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of nonZeroRestrictions don't vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p,} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.}")) (|factorGroebnerBasis| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{factorGroebnerBasis(basis,info)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the basis. If argument \\spad{info} is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\spad{factorGroebnerBasis(basis)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the basis."))) 
+(-452 |Dom| |Expon| |VarSet| |Dpol|) 
+((|constructor| (NIL "\\spadtype{GroebnerFactorizationPackage} provides the function groebnerFactor\" which uses the factorization routines of Axiom to factor each polynomial under consideration while doing the groebner basis algorithm. Then it writes the ideal as an intersection of ideals determined by the irreducible factors. Note that the whole ring may occur as well as other redundancies. We also use the fact, that from the second factor on we can assume that the preceding factors are not equal to 0 and we divide all polynomials under considerations by the elements of this list of \"nonZeroRestrictions\". The result is a list of groebner bases, whose union of solutions of the corresponding systems of equations is the solution of the system of equation corresponding to the input list. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial}, \\spadtype{HomogeneousDistributedMultivariatePolynomial}, \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|groebnerFactorize| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys, info)} returns a list of groebner bases. The union of their solutions is the solution of the system of equations given by listOfPolys. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p,} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.} If info is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\indented{1}{groebnerFactorize(listOfPolys) returns} \\indented{1}{a list of groebner bases. The union of their solutions} \\indented{1}{is the solution of the system of equations given by listOfPolys.} \\indented{1}{At each stage the polynomial \\spad{p} under consideration (either from} \\indented{1}{the given basis or obtained from a reduction of the next S-polynomial)} \\indented{1}{is factorized. For each irreducible factors of \\spad{p,} a} \\indented{1}{new createGroebnerBasis is started} \\indented{1}{doing the usual updates with the factor} \\indented{1}{in place of \\spad{p.}} \\blankline \\spad{X} mfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) \\spad{:=} \\spad{++X} [ [0,1,1,1,1,1], [1,0,1,8/3,x,8/3], [1,1,0,1,8/3,y], \\spad{++X} [1,8/3,1,0,1,8/3], [1,x,8/3,1,0,1], [1,8/3,y,8/3,1,0] ] \\spad{X} eq \\spad{:=} determinant mfzn \\spad{X} groebnerFactorize \\spad{++X} [eq,eval(eq, [x,y,z],[y,z,x]), eval(eq,[x,y,z],[z,x,y])]") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys, nonZeroRestrictions, info)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of \\spad{nonZeroRestrictions} don't vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.} If argument info is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|)) "\\spad{groebnerFactorize(listOfPolys, nonZeroRestrictions)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of nonZeroRestrictions don't vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p,} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.}")) (|factorGroebnerBasis| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{factorGroebnerBasis(basis,info)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the basis. If argument \\spad{info} is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\spad{factorGroebnerBasis(basis)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the basis."))) 
 NIL 
 NIL 
-(-451 |Dom| |Expon| |VarSet| |Dpol|) 
+(-453 |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "This package provides low level tools for Groebner basis computations")) (|virtualDegree| (((|NonNegativeInteger|) |#4|) "\\spad{virtualDegree }\\undocumented")) (|makeCrit| (((|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|)) |#4| (|NonNegativeInteger|)) "\\spad{makeCrit }\\undocumented")) (|critpOrder| (((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) "\\spad{critpOrder }\\undocumented")) (|prinb| (((|Void|) (|Integer|)) "\\spad{prinb }\\undocumented")) (|prinpolINFO| (((|Void|) (|List| |#4|)) "\\spad{prinpolINFO }\\undocumented")) (|fprindINFO| (((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{fprindINFO }\\undocumented")) (|prindINFO| (((|Integer|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (|Integer|) (|Integer|) (|Integer|)) "\\spad{prindINFO }\\undocumented")) (|prinshINFO| (((|Void|) |#4|) "\\spad{prinshINFO }\\undocumented")) (|lepol| (((|Integer|) |#4|) "\\spad{lepol }\\undocumented")) (|minGbasis| (((|List| |#4|) (|List| |#4|)) "\\spad{minGbasis }\\undocumented")) (|updatD| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{updatD }\\undocumented")) (|sPol| ((|#4| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) "\\spad{sPol }\\undocumented")) (|updatF| (((|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|))) |#4| (|NonNegativeInteger|) (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| |#4|)))) "\\spad{updatF }\\undocumented")) (|hMonic| ((|#4| |#4|) "\\spad{hMonic }\\undocumented")) (|redPo| (((|Record| (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (|List| |#4|)) "\\spad{redPo }\\undocumented")) (|critMonD1| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{critMonD1 }\\undocumented")) (|critMTonD1| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{critMTonD1 }\\undocumented")) (|critBonD| (((|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (|List| (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) "\\spad{critBonD }\\undocumented")) (|critB| (((|Boolean|) |#2| |#2| |#2| |#2|) "\\spad{critB }\\undocumented")) (|critM| (((|Boolean|) |#2| |#2|) "\\spad{critM }\\undocumented")) (|critT| (((|Boolean|) (|Record| (|:| |lcmfij| |#2|) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| |#4|) (|:| |polj| |#4|))) "\\spad{critT }\\undocumented")) (|gbasis| (((|List| |#4|) (|List| |#4|) (|Integer|) (|Integer|)) "\\spad{gbasis }\\undocumented")) (|redPol| ((|#4| |#4| (|List| |#4|)) "\\spad{redPol }\\undocumented")) (|credPol| ((|#4| |#4| (|List| |#4|)) "\\spad{credPol }\\undocumented"))) 
 NIL 
 NIL 
-(-452 |Dom| |Expon| |VarSet| |Dpol|) 
+(-454 |Dom| |Expon| |VarSet| |Dpol|) 
 ((|constructor| (NIL "\\spadtype{GroebnerPackage} computes groebner bases for polynomial ideals. The basic computation provides a distinguished set of generators for polynomial ideals over fields. This basis allows an easy test for membership: the operation \\spadfun{normalForm} returns zero on ideal members. When the provided coefficient domain, Dom, is not a field, the result is equivalent to considering the extended ideal with \\spadtype{Fraction(Dom)} as coefficients, but considerably more efficient since all calculations are performed in Dom. Additional argument \"info\" and \"redcrit\" can be given to provide incremental information during computation. Argument \"info\" produces a computational summary for each s-polynomial. Argument \"redcrit\" prints out the reduced critical pairs. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial}, \\spadtype{HomogeneousDistributedMultivariatePolynomial}, \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|normalForm| ((|#4| |#4| (|List| |#4|)) "\\spad{normalForm(poly,gb)} reduces the polynomial \\spad{poly} modulo the precomputed groebner basis \\spad{gb} giving a canonical representative of the residue class.")) (|groebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) "\\indented{1}{groebner(lp, \"info\", \"redcrit\") computes a groebner basis} \\indented{1}{for a polynomial ideal generated by the list of polynomials lp,} \\indented{1}{displaying both a summary of the critical pairs considered (\"info\")} \\indented{1}{and the result of reducing each critical pair (\"redcrit\").} \\indented{1}{If the second or third arguments have any other string value,} \\indented{1}{the indicated information is suppressed.} \\blankline \\spad{X} s1:DMP([w,p,z,t,s,b],FRAC(INT)):= 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([w,p,z,t,s,b],FRAC(INT)):= 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([w,p,z,t,s,b],FRAC(INT)):= -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[s1,s2,s3,s4,s5,s6,s7] \\spad{X} groebner(sn7,\"info\",\"redcrit\")") (((|List| |#4|) (|List| |#4|) (|String|)) "\\indented{1}{groebner(lp, infoflag) computes a groebner basis} \\indented{1}{for a polynomial ideal} \\indented{1}{generated by the list of polynomials lp.} \\indented{1}{Argument infoflag is used to get information on the computation.} \\indented{1}{If infoflag is \"info\", then summary information} \\indented{1}{is displayed for each s-polynomial generated.} \\indented{1}{If infoflag is \"redcrit\", the reduced critical pairs are displayed.} \\indented{1}{If infoflag is any other string,} \\indented{1}{no information is printed during computation.} \\blankline \\spad{X} s1:DMP([w,p,z,t,s,b],FRAC(INT)):= 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([w,p,z,t,s,b],FRAC(INT)):= 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([w,p,z,t,s,b],FRAC(INT)):= -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[s1,s2,s3,s4,s5,s6,s7] \\spad{X} groebner(sn7,\"info\") \\spad{X} groebner(sn7,\"redcrit\")") (((|List| |#4|) (|List| |#4|)) "\\indented{1}{groebner(lp) computes a groebner basis for a polynomial ideal} \\indented{1}{generated by the list of polynomials lp.} \\blankline \\spad{X} s1:DMP([w,p,z,t,s,b],FRAC(INT)):= 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([w,p,z,t,s,b],FRAC(INT)):= 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([w,p,z,t,s,b],FRAC(INT)):= -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[s1,s2,s3,s4,s5,s6,s7] \\spad{X} groebner(sn7)"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-366)))) 
-(-453 S) 
+((|HasCategory| |#1| (QUOTE (-367)))) 
+(-455 S) 
 ((|constructor| (NIL "This category describes domains where \\spadfun{gcd} can be computed but where there is no guarantee of the existence of \\spadfun{factor} operation for factorisation into irreducibles. However, if such a \\spadfun{factor} operation exist, factorization will be unique up to order and units.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the greatest common divisor (gcd) of univariate polynomials over the domain")) (|lcm| (($ (|List| $)) "\\spad{lcm(l)} returns the least common multiple of the elements of the list \\spad{l.}") (($ $ $) "\\spad{lcm(x,y)} returns the least common multiple of \\spad{x} and \\spad{y.}")) (|gcd| (($ (|List| $)) "\\spad{gcd(l)} returns the common \\spad{gcd} of the elements in the list \\spad{l.}") (($ $ $) "\\spad{gcd(x,y)} returns the greatest common divisor of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
-(-454) 
+(-456) 
 ((|constructor| (NIL "This category describes domains where \\spadfun{gcd} can be computed but where there is no guarantee of the existence of \\spadfun{factor} operation for factorisation into irreducibles. However, if such a \\spadfun{factor} operation exist, factorization will be unique up to order and units.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the greatest common divisor (gcd) of univariate polynomials over the domain")) (|lcm| (($ (|List| $)) "\\spad{lcm(l)} returns the least common multiple of the elements of the list \\spad{l.}") (($ $ $) "\\spad{lcm(x,y)} returns the least common multiple of \\spad{x} and \\spad{y.}")) (|gcd| (($ (|List| $)) "\\spad{gcd(l)} returns the common \\spad{gcd} of the elements in the list \\spad{l.}") (($ $ $) "\\spad{gcd(x,y)} returns the greatest common divisor of \\spad{x} and \\spad{y.}"))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-455 R |n| |ls| |gamma|) 
+(-457 R |n| |ls| |gamma|) 
 ((|constructor| (NIL "AlgebraGenericElementPackage allows you to create generic elements of an algebra, \\spadignore{i.e.} the scalars are extended to include symbolic coefficients")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis") (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}")) (|genericRightDiscriminant| (((|Fraction| (|Polynomial| |#1|))) "\\spad{genericRightDiscriminant()} is the determinant of the generic left trace forms of all products of basis element, if the generic left trace form is associative, an algebra is separable if the generic left discriminant is invertible, if it is non-zero, there is some ring extension which makes the algebra separable")) (|genericRightTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) "\\spad{genericRightTraceForm (a,b)} is defined to be \\spadfun{genericRightTrace (a*b)}, this defines a symmetric bilinear form on the algebra")) (|genericLeftDiscriminant| (((|Fraction| (|Polynomial| |#1|))) "\\spad{genericLeftDiscriminant()} is the determinant of the generic left trace forms of all products of basis element, if the generic left trace form is associative, an algebra is separable if the generic left discriminant is invertible, if it is non-zero, there is some ring extension which makes the algebra separable")) (|genericLeftTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) "\\spad{genericLeftTraceForm (a,b)} is defined to be \\spad{genericLeftTrace (a*b)}, this defines a symmetric bilinear form on the algebra")) (|genericRightNorm| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericRightNorm(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the constant term in \\spadfun{rightRankPolynomial} and changes the sign if the degree of this polynomial is odd")) (|genericRightTrace| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericRightTrace(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the second highest term in \\spadfun{rightRankPolynomial} and changes the sign")) (|genericRightMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) "\\spad{genericRightMinimalPolynomial(a)} substitutes the coefficients of \\spad{a} for the generic coefficients in \\spadfun{rightRankPolynomial}")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) "\\spad{rightRankPolynomial()} returns the right minimimal polynomial of the generic element")) (|genericLeftNorm| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericLeftNorm(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the constant term in \\spadfun{leftRankPolynomial} and changes the sign if the degree of this polynomial is odd. This is a form of degree \\spad{k}")) (|genericLeftTrace| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericLeftTrace(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the second highest term in \\spadfun{leftRankPolynomial} and changes the sign. \\indented{1}{This is a linear form}")) (|genericLeftMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) "\\spad{genericLeftMinimalPolynomial(a)} substitutes the coefficients of {em a} for the generic coefficients in \\spad{leftRankPolynomial()}")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) "\\spad{leftRankPolynomial()} returns the left minimimal polynomial of the generic element")) (|generic| (($ (|Vector| (|Symbol|)) (|Vector| $)) "\\spad{generic(vs,ve)} returns a generic element, \\spadignore{i.e.} the linear combination of \\spad{ve} with the symbolic coefficients \\spad{vs} error, if the vector of symbols is shorter than the vector of elements") (($ (|Symbol|) (|Vector| $)) "\\spad{generic(s,v)} returns a generic element, \\spadignore{i.e.} the linear combination of \\spad{v} with the symbolic coefficients \\spad{s1,s2,..}") (($ (|Vector| $)) "\\spad{generic(ve)} returns a generic element, \\spadignore{i.e.} the linear combination of \\spad{ve} basis with the symbolic coefficients \\spad{\\%x1,\\%x2,..}") (($ (|Vector| (|Symbol|))) "\\spad{generic(vs)} returns a generic element, \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{vs}; error, if the vector of symbols is too short") (($ (|Symbol|)) "\\spad{generic(s)} returns a generic element, \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{s1,s2,..}") (($) "\\spad{generic()} returns a generic element, \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{\\%x1,\\%x2,..}")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none")) (|coerce| (($ (|Vector| (|Fraction| (|Polynomial| |#1|)))) "\\spad{coerce(v)} assumes that it is called with a vector of length equal to the dimension of the algebra, then a linear combination with the basis element is formed"))) 
-((-4568 |has| (-410 (-955 |#1|)) (-559)) (-4566 . T) (-4565 . T)) 
-((|HasCategory| (-410 (-955 |#1|)) (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| (-410 (-955 |#1|)) (QUOTE (-559)))) 
-(-456 |vl| R E) 
+((-4597 |has| (-412 (-958 |#1|)) (-561)) (-4595 . T) (-4594 . T)) 
+((|HasCategory| (-412 (-958 |#1|)) (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| (-412 (-958 |#1|)) (QUOTE (-561)))) 
+(-458 |vl| R E) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative, but the variables are assumed to commute. The term ordering is specified by its third parameter. Suggested types which define term orderings include: \\spadtype{DirectProduct}, \\spadtype{HomogeneousDirectProduct}, \\spadtype{SplitHomogeneousDirectProduct} and finally \\spadtype{OrderedDirectProduct} which accepts an arbitrary user function to define a term ordering.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p, perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-457) 
+(((-4602 "*") |has| |#2| (-173)) (-4593 |has| |#2| (-561)) (-4598 |has| |#2| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#2| (QUOTE (-909))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-561)))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#2| (QUOTE -4598)) (|HasCategory| |#2| (QUOTE (-456))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-459) 
 ((|constructor| (NIL "This package provides support for gnuplot. These routines generate output files contain gnuplot scripts that may be processed directly by gnuplot. This is especially convenient in the axiom-wiki environment where gnuplot is called from LaTeX via gnuplottex.")) (|gnuDraw| (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) "\\indented{1}{\\spad{gnuDraw} provides 3d surface plotting, default options} \\blankline \\spad{X} gnuDraw(sin(x)*cos(y),x=-6..4,y=-4..6,\"out3d.dat\") \\spad{X} )sys gnuplot -persist out3d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) "\\indented{1}{\\spad{gnuDraw} provides 3d surface plotting with options} \\blankline \\spad{X} gnuDraw(sin(x)*cos(y),x=-6..4,y=-4..6,\"out3d.dat\",title==\"out3d\") \\spad{X} )sys gnuplot -persist out3d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) "\\indented{1}{\\spad{gnuDraw} provides 2d plotting, default options} \\blankline \\spad{X} gnuDraw(D(cos(exp(z))/exp(z^2),z),z=-5..5,\"out2d.dat\") \\spad{X} )sys gnuplot -persist out2d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) "\\indented{1}{\\spad{gnuDraw} provides 2d plotting with options} \\blankline \\spad{X} gnuDraw(D(cos(exp(z))/exp(z^2),z),z=-5..5,\"out2d.dat\",title==\"out2d\") \\spad{X} )sys gnuplot -persist out2d.dat"))) 
 NIL 
 NIL 
-(-458 R BP) 
-((|constructor| (NIL "The equation \\spad{Af+Bg=h} and its generalization to \\spad{n} polynomials is solved for solutions over the \\spad{R,} euclidean domain. A table containing the solutions of \\spad{Af+Bg=x**k} is used. The operations are performed modulus a prime which are in principle big enough, but the solutions are tested and, in case of failure, a hensel lifting process is used to get to the right solutions. It will be used in the factorization of multivariate polynomials over finite field, with \\spad{R=F[x]}.")) (|testModulus| (((|Boolean|) |#1| (|List| |#2|)) "\\spad{testModulus(p,lp)} returns \\spad{true} if the the prime \\spad{p} is valid for the list of polynomials \\spad{lp,} \\spadignore{i.e.} preserves the degree and they remain relatively prime.")) (|solveid| (((|Union| (|List| |#2|) "failed") |#2| |#1| (|Vector| (|List| |#2|))) "\\spad{solveid(h,table)} computes the coefficients of the extended euclidean algorithm for a list of polynomials whose tablePow is \\spad{table} and with right side \\spad{h.}")) (|tablePow| (((|Union| (|Vector| (|List| |#2|)) "failed") (|NonNegativeInteger|) |#1| (|List| |#2|)) "\\spad{tablePow(maxdeg,prime,lpol)} constructs the table with the coefficients of the Extended Euclidean Algorithm for lpol. Here the right side is \\spad{x**k}, for \\spad{k} less or equal to maxdeg. The operation returns \"failed\" when the elements are not coprime modulo prime.")) (|compBound| (((|NonNegativeInteger|) |#2| (|List| |#2|)) "\\spad{compBound(p,lp)} computes a bound for the coefficients of the solution polynomials. Given a polynomial right hand side \\spad{p,} and a list \\spad{lp} of left hand side polynomials. Exported because it depends on the valuation.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(p,prime)} reduces the polynomial \\spad{p} modulo \\spad{prime} of \\spad{R.} Note that this function is exported only because it's conditional."))) 
+(-460 R BP) 
+((|constructor| (NIL "\\indented{1}{Author : P.Gianni.} Date Created: January 1990 Description:")) (|testModulus| (((|Boolean|) |#1| (|List| |#2|)) "\\spad{testModulus(p,lp)} returns \\spad{true} if the the prime \\spad{p} is valid for the list of polynomials \\spad{lp,} \\spadignore{i.e.} preserves the degree and they remain relatively prime.")) (|solveid| (((|Union| (|List| |#2|) "failed") |#2| |#1| (|Vector| (|List| |#2|))) "\\spad{solveid(h,table)} computes the coefficients of the extended euclidean algorithm for a list of polynomials whose tablePow is \\spad{table} and with right side \\spad{h.}")) (|tablePow| (((|Union| (|Vector| (|List| |#2|)) "failed") (|NonNegativeInteger|) |#1| (|List| |#2|)) "\\spad{tablePow(maxdeg,prime,lpol)} constructs the table with the coefficients of the Extended Euclidean Algorithm for lpol. Here the right side is \\spad{x**k}, for \\spad{k} less or equal to maxdeg. The operation returns \"failed\" when the elements are not coprime modulo prime.")) (|compBound| (((|NonNegativeInteger|) |#2| (|List| |#2|)) "\\spad{compBound(p,lp)} computes a bound for the coefficients of the solution polynomials. Given a polynomial right hand side \\spad{p,} and a list \\spad{lp} of left hand side polynomials. Exported because it depends on the valuation.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(p,prime)} reduces the polynomial \\spad{p} modulo \\spad{prime} of \\spad{R.} Note that this function is exported only because it's conditional."))) 
 NIL 
 NIL 
-(-459 OV E S R P) 
+(-461 OV E S R P) 
 ((|constructor| (NIL "This is the top level package for doing multivariate factorization over basic domains like \\spadtype{Integer} or \\spadtype{Fraction Integer}.")) (|factor| (((|Factored| |#5|) |#5|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-460 E OV R P) 
-((|constructor| (NIL "This package provides operations for \\spad{GCD} computations on polynomials")) (|randomR| ((|#3|) "\\spad{randomR()} should be local but conditional")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPolynomial(p,q)} returns the \\spad{GCD} of \\spad{p} and \\spad{q}"))) 
+(-462 E OV R P) 
+((|constructor| (NIL "Description:")) (|randomR| ((|#3|) "\\spad{randomR()} should be local but conditional")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPolynomial(p,q)} returns the \\spad{GCD} of \\spad{p} and \\spad{q}"))) 
 NIL 
 NIL 
-(-461 R) 
+(-463 R) 
 ((|constructor| (NIL "This package provides operations for the factorization of univariate polynomials with integer coefficients. The factorization is done by \"lifting\" the finite \"berlekamp's\" factorization")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{factor(p)} returns the factorisation of \\spad{p}"))) 
 NIL 
 NIL 
-(-462 R FE) 
+(-464 R FE) 
 ((|constructor| (NIL "\\spadtype{GenerateUnivariatePowerSeries} provides functions that create power series from explicit formulas for their \\spad{n}th coefficient.")) (|series| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{series(a(n),n,x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., \\spad{a(n)} * \\spad{(x} - a)**n)}; \\spad{series(a(n),n,x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} \\spad{a(n)} * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{series(n \\spad{+->} a(n),x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., a(n) * \\spad{(x} - a)**n)}; \\spad{series(n \\spad{+->} a(n),x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} a(n) * \\spad{(x} - a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{series(a(n),n,x=a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{series(a(n),n,x=a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{series(n \\spad{+->} a(n),x = a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{series(n \\spad{+->} a(n),x = a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) "\\spad{series(a(n),n,x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) "\\spad{series(n \\spad{+->} a(n),x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}.")) (|puiseux| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{puiseux(a(n),n,x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., \\spad{a(n)} * \\spad{(x} - a)**n)}; \\spad{puiseux(a(n),n,x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} \\spad{a(n)} * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{puiseux(n \\spad{+->} a(n),x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., a(n) * \\spad{(x} - a)**n)}; \\spad{puiseux(n \\spad{+->} a(n),x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} a(n) * \\spad{(x} - a)**n)}.")) (|laurent| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{laurent(a(n),n,x=a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{laurent(a(n),n,x=a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{laurent(n \\spad{+->} a(n),x = a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{laurent(n \\spad{+->} a(n),x = a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.")) (|taylor| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) "\\spad{taylor(a(n),n,x = a,n0..)} returns \\spad{sum(n = n0..,a(n)*(x-a)**n)}; \\spad{taylor(a(n),n,x = a,n0..n1)} returns \\spad{sum(n = n0..,a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) "\\spad{taylor(n \\spad{+->} a(n),x = a,n0..)} returns \\spad{sum(n=n0..,a(n)*(x-a)**n)}; \\spad{taylor(n \\spad{+->} a(n),x = a,n0..n1)} returns \\spad{sum(n = n0..,a(n)*(x-a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) "\\spad{taylor(a(n),n,x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) "\\spad{taylor(n \\spad{+->} a(n),x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}."))) 
 NIL 
 NIL 
-(-463 RP TP) 
+(-465 RP TP) 
 ((|constructor| (NIL "General Hensel Lifting Used for Factorization of bivariate polynomials over a finite field.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(u,pol)} computes the symmetric reduction of \\spad{u} mod \\spad{pol}")) (|completeHensel| (((|List| |#2|) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) "\\spad{completeHensel(pol,lfact,prime,bound)} lifts lfact, the factorization mod \\spad{prime} of pol, to the factorization mod prime**k>bound. Factors are recombined on the way.")) (|HenselLift| (((|Record| (|:| |plist| (|List| |#2|)) (|:| |modulo| |#1|)) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) "\\spad{HenselLift(pol,lfacts,prime,bound)} lifts lfacts, that are the factors of \\spad{pol} mod prime, to factors of \\spad{pol} mod prime**k > bound. No recombining is done ."))) 
 NIL 
 NIL 
-(-464 |vl| R IS E |ff| P) 
+(-466 |vl| R IS E |ff| P) 
 ((|constructor| (NIL "This package is undocumented")) (* (($ |#6| $) "\\spad{p*x} is not documented")) (|multMonom| (($ |#2| |#4| $) "\\spad{multMonom(r,e,x)} is not documented")) (|build| (($ |#2| |#3| |#4|) "\\spad{build(r,i,e)} is not documented")) (|unitVector| (($ |#3|) "\\spad{unitVector(x)} is not documented")) (|monomial| (($ |#2| (|ModuleMonomial| |#3| |#4| |#5|)) "\\spad{monomial(r,x)} is not documented")) (|reductum| (($ $) "\\spad{reductum(x)} is not documented")) (|leadingIndex| ((|#3| $) "\\spad{leadingIndex(x)} is not documented")) (|leadingExponent| ((|#4| $) "\\spad{leadingExponent(x)} is not documented")) (|leadingMonomial| (((|ModuleMonomial| |#3| |#4| |#5|) $) "\\spad{leadingMonomial(x)} is not documented")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(x)} is not documented"))) 
-((-4566 . T) (-4565 . T)) 
+((-4595 . T) (-4594 . T)) 
 NIL 
-(-465) 
+(-467) 
 ((|constructor| (NIL "\\spad{GuessOptionFunctions0} provides operations that extract the values of options for Guess.")) (|checkOptions| (((|Void|) (|List| (|GuessOption|))) "\\spad{checkOptions checks} whether the given options are consistent, and yields an error otherwise")) (|debug| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{debug returns} whether we want additional output on the progress, default being \\spad{false}")) (|displayAsGF| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{displayAsGF specifies} whether the result is a generating function or a recurrence. This option should not be set by the user, but rather by the HP-specification, therefore, there is no default.")) (|indexName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{indexName returns} the name of the index variable used for the formulas, default being \\spad{n}")) (|variableName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{variableName returns} the name of the variable used in by the algebraic differential equation, default being \\spad{x}")) (|functionName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{functionName returns} the name of the function given by the algebraic differential equation, default being \\spad{f}")) (|one| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{one returns} whether we need only one solution, default being true.")) (|checkExtraValues| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{checkExtraValues(d)} specifies whether we want to check the solution beyond the order given by the degree bounds. The default is true.")) (|check| (((|Union| "skip" "MonteCarlo" "deterministic") (|List| (|GuessOption|))) "\\spad{check(d)} specifies how we want to check the solution. If the value is \"skip\", we return the solutions found by the interpolation routine without checking. If the value is \"MonteCarlo\", we use a probabilistic check. The default is \"deterministic\".")) (|safety| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{safety returns} the specified safety or 1 as default.")) (|allDegrees| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{allDegrees returns} whether all possibilities of the degree vector should be tried, the default being false.")) (|maxMixedDegree| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{maxMixedDegree returns} the specified maxMixedDegree.")) (|maxDegree| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxDegree returns} the specified maxDegree.")) (|maxLevel| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxLevel returns} the specified maxLevel.")) (|Somos| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) "\\spad{Somos returns} whether we allow only Somos-like operators, default being \\spad{false}")) (|homogeneous| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) "\\spad{homogeneous returns} whether we allow only homogeneous algebraic differential equations, default being \\spad{false}")) (|maxPower| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxPower returns} the specified maxPower.")) (|maxSubst| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxSubst returns} the specified maxSubst.")) (|maxShift| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxShift returns} the specified maxShift.")) (|maxDerivative| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxDerivative returns} the specified maxDerivative."))) 
 NIL 
 NIL 
-(-466) 
+(-468) 
 ((|constructor| (NIL "GuessOption is a domain whose elements are various options used by Guess.")) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) "\\spad{option(l, option)} returns which options are given.")) (|displayKind| (($ (|Symbol|)) "\\spad{displayKind(d)} specifies kind of the result: generating function, recurrence or equation. This option should not be set by the user, but rather by the HP-specification.")) (|indexName| (($ (|Symbol|)) "\\spad{indexName(d)} specifies the index variable used for the formulas. This option is expressed in the form \\spad{indexName \\spad{==} \\spad{d}.}")) (|variableName| (($ (|Symbol|)) "\\spad{variableName(d)} specifies the variable used in by the algebraic differential equation. This option is expressed in the form \\spad{variableName \\spad{==} \\spad{d}.}")) (|functionNames| (($ (|List| (|Symbol|))) "\\spad{functionNames(d)} specifies the names for the function in algebraic dependence. This option is expressed in the form \\spad{functionNames \\spad{==} \\spad{d}.}")) (|functionName| (($ (|Symbol|)) "\\spad{functionName(d)} specifies the name of the function given by the algebraic differential equation or recurrence. This option is expressed in the form \\spad{functionName \\spad{==} \\spad{d}.}")) (|debug| (($ (|Boolean|)) "\\spad{debug(d)} specifies whether we want additional output on the progress. This option is expressed in the form \\spad{debug \\spad{==} \\spad{d}.}")) (|one| (($ (|Boolean|)) "\\spad{one(d)} specifies whether we are happy with one solution. This option is expressed in the form \\spad{one \\spad{==} \\spad{d}.}")) (|checkExtraValues| (($ (|Boolean|)) "\\spad{checkExtraValues(d)} specifies whether we want to check the solution beyond the order given by the degree bounds. This option is expressed in the form \\spad{checkExtraValues \\spad{==} \\spad{d}}")) (|check| (($ (|Union| "skip" "MonteCarlo" "deterministic")) "\\spad{check(d)} specifies how we want to check the solution. If the value is \"skip\", we return the solutions found by the interpolation routine without checking. If the value is \"MonteCarlo\", we use a probabilistic check. This option is expressed in the form \\spad{check \\spad{==} \\spad{d}}")) (|safety| (($ (|NonNegativeInteger|)) "\\spad{safety(d)} specifies the number of values reserved for testing any solutions found. This option is expressed in the form \\spad{safety \\spad{==} \\spad{d}.}")) (|allDegrees| (($ (|Boolean|)) "\\spad{allDegrees(d)} specifies whether all possibilities of the degree vector - taking into account maxDegree - should be tried. This is mainly interesting for rational interpolation. This option is expressed in the form \\spad{allDegrees \\spad{==} \\spad{d}.}")) (|maxMixedDegree| (($ (|NonNegativeInteger|)) "\\spad{maxMixedDegree(d)} specifies the maximum q-degree of the coefficient polynomials in a recurrence with polynomial coefficients, in the case of mixed shifts. Although slightly inconsistent, maxMixedDegree(0) specifies that no mixed shifts are allowed. This option is expressed in the form \\spad{maxMixedDegree \\spad{==} \\spad{d}.}")) (|maxDegree| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxDegree(d)} specifies the maximum degree of the coefficient polynomials in an algebraic differential equation or a recursion with polynomial coefficients. For rational functions with an exponential term, \\spad{maxDegree} bounds the degree of the denominator polynomial. This option is expressed in the form \\spad{maxDegree \\spad{==} \\spad{d}.}")) (|maxLevel| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxLevel(d)} specifies the maximum number of recursion levels operators guessProduct and guessSum will be applied. This option is expressed in the form spad{maxLevel \\spad{==} \\spad{d}.}")) (|Somos| (($ (|Union| (|PositiveInteger|) (|Boolean|))) "\\spad{Somos(d)} specifies whether we want that the total degree of the differential operators is constant, and equal to \\spad{d,} or maxDerivative if true. If true, maxDerivative must be set, too.")) (|homogeneous| (($ (|Union| (|PositiveInteger|) (|Boolean|))) "\\spad{homogeneous(d)} specifies whether we allow only homogeneous algebraic differential equations. This option is expressed in the form \\spad{homogeneous \\spad{==} \\spad{d}.} If true, then maxPower must be set, too, and ADEs with constant total degree are allowed. If a PositiveInteger is given, only ADE's with this total degree are allowed.")) (|maxPower| (($ (|Union| (|PositiveInteger|) "arbitrary")) "\\spad{maxPower(d)} specifies the maximum degree in an algebraic differential equation. For example, the degree of \\spad{(f'')^3} \\spad{f'} is 4. maxPower(-1) specifies that the maximum exponent can be arbitrary. This option is expressed in the form \\spad{maxPower \\spad{==} \\spad{d}.}")) (|maxSubst| (($ (|Union| (|PositiveInteger|) "arbitrary")) "\\spad{maxSubst(d)} specifies the maximum degree of the monomial substituted into the function we are looking for. That is, if \\spad{maxSubst \\spad{==} \\spad{d},} we look for polynomials such that $p(f(x), f(x^2), ..., f(x^d))=0$. equation. This option is expressed in the form \\spad{maxSubst \\spad{==} \\spad{d}.}")) (|maxShift| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxShift(d)} specifies the maximum shift in a recurrence equation. This option is expressed in the form \\spad{maxShift \\spad{==} \\spad{d}.}")) (|maxDerivative| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxDerivative(d)} specifies the maximum derivative in an algebraic differential equation. This option is expressed in the form \\spad{maxDerivative \\spad{==} \\spad{d}.}"))) 
 NIL 
 NIL 
-(-467 E V R P Q) 
+(-469 E V R P Q) 
 ((|constructor| (NIL "Gosper's summation algorithm.")) (|GospersMethod| (((|Union| |#5| "failed") |#5| |#2| (|Mapping| |#2|)) "\\spad{GospersMethod(b, \\spad{n,} new)} returns a rational function \\spad{rf(n)} such that \\spad{a(n) * rf(n)} is the indefinite sum of \\spad{a(n)} with respect to upward difference on \\spad{n}, \\spadignore{i.e.} \\spad{a(n+1) * rf(n+1) - a(n) * rf(n) = a(n)}, where \\spad{b(n) = a(n)/a(n-1)} is a rational function. Returns \"failed\" if no such rational function \\spad{rf(n)} exists. Note that \\spad{new} is a nullary function returning a new \\spad{V} every time. The condition on \\spad{a(n)} is that \\spad{a(n)/a(n-1)} is a rational function of \\spad{n}."))) 
 NIL 
 NIL 
-(-468 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
+(-470 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
 ((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package.")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the L-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the L-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(d, \\spad{n)} returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| |#7|) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the L-Polynomial of the curve in constant field extension of degree \\spad{d.}") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the L-Polynomial of the curve.")) (|rationalPlaces| (((|List| |#7|)) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}")) (|adjunctionDivisor| ((|#8|) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial crv.")) (|intersectionDivisor| ((|#8| |#3|) "\\spad{intersectionDivisor(pol)} compute the intersection divisor (the Cartier divisor) of the form \\spad{pol} with the curve. If some intersection points lie in an extension of the ground field, an error message is issued specifying the extension degree needed to find all the intersection points. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| |#3|) |#7|) "\\spad{evalIfCan(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") |#3| |#3| |#7|) "\\spad{evalIfCan(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") |#3| |#7|) "\\spad{evalIfCan(f,pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| |#3|) |#7|) "\\spad{eval(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl.}") ((|#1| |#3| |#3| |#7|) "\\spad{eval(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl.}") ((|#1| |#3| |#7|) "\\spad{eval(f,pl)} evaluate \\spad{f} at the place \\spad{pl.}")) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|)) "\\spad{interpolateForms(d,n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d.}")) (|lBasis| (((|Record| (|:| |num| (|List| |#3|)) (|:| |den| |#3|)) |#8|) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| ((|#6| |#3| |#7|) "\\spad{parametrize(f,pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl.}")) (|singularPoints| (((|List| |#5|)) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|setSingularPoints| (((|List| |#5|) (|List| |#5|)) "\\spad{setSingularPoints(lpt)} sets the singular points to be used. Beware: no attempt is made to check if the points are singular or not, nor if all of the singular points are presents. Hence, results of some computation maybe false. It is intend to be use when one want to compute the singular points are computed by other means than to use the function singularPoints.")) (|desingTreeWoFullParam| (((|List| |#10|)) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|desingTree| (((|List| |#10|)) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| ((|#3|) "\\spad{theCurve returns} the specified polynomial for the package.")) (|printInfo| (((|Void|) (|List| (|Boolean|))) "\\spad{printInfo(lbool)} prints some information comming from various package and domain used by this package."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-371)))) 
-(-469 R E |VarSet| P) 
+((|HasCategory| |#1| (QUOTE (-373)))) 
+(-471 R E |VarSet| P) 
 ((|constructor| (NIL "A domain for polynomial sets.")) (|convert| (($ (|List| |#4|)) "\\axiom{convert(lp)} returns the polynomial set whose members are the polynomials of \\axiom{lp}."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1093))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559)))) 
-(-470 S R E) 
-((|constructor| (NIL "GradedAlgebra(R,E) denotes ``E-graded R-algebra''. A graded algebra is a graded module together with a degree preserving R-linear map, called the product. \\blankline The name ``product'' is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,b)} is the degree-preserving R-linear product: \\blankline \\indented{2}{\\spad{degree product(a,b) = degree a + degree \\spad{b}}} \\indented{2}{\\spad{product(a1+a2,b) = product(a1,b) + product(a2,b)}} \\indented{2}{\\spad{product(a,b1+b2) = product(a,b1) + product(a,b2)}} \\indented{2}{\\spad{product(r*a,b) = product(a,r*b) = r*product(a,b)}} \\indented{2}{\\spad{product(a,product(b,c)) = product(product(a,b),c)}}")) ((|One|) (($) "1 is the identity for \\spad{product}."))) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#4| (QUOTE (-1097))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-561)))) 
+(-472 S R E) 
+((|constructor| (NIL "GradedAlgebra(R,E) denotes ``E-graded R-algebra''. A graded algebra is a graded module together with a degree preserving R-linear map, called the product. \\blankline The name ``product'' is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,b)} is the degree-preserving R-linear product: \\blankline \\spad{degree product(a,b) = degree a + degree \\spad{b}} \\spad{product(a1+a2,b) = product(a1,b) + product(a2,b)} \\spad{product(a,b1+b2) = product(a,b1) + product(a,b2)} \\spad{product(r*a,b) = product(a,r*b) = r*product(a,b)} \\spad{product(a,product(b,c)) = product(product(a,b),c)}")) ((|One|) (($) "\\spad{1} is the identity for \\spad{product}."))) 
 NIL 
 NIL 
-(-471 R E) 
-((|constructor| (NIL "GradedAlgebra(R,E) denotes ``E-graded R-algebra''. A graded algebra is a graded module together with a degree preserving R-linear map, called the product. \\blankline The name ``product'' is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,b)} is the degree-preserving R-linear product: \\blankline \\indented{2}{\\spad{degree product(a,b) = degree a + degree \\spad{b}}} \\indented{2}{\\spad{product(a1+a2,b) = product(a1,b) + product(a2,b)}} \\indented{2}{\\spad{product(a,b1+b2) = product(a,b1) + product(a,b2)}} \\indented{2}{\\spad{product(r*a,b) = product(a,r*b) = r*product(a,b)}} \\indented{2}{\\spad{product(a,product(b,c)) = product(product(a,b),c)}}")) ((|One|) (($) "1 is the identity for \\spad{product}."))) 
+(-473 R E) 
+((|constructor| (NIL "GradedAlgebra(R,E) denotes ``E-graded R-algebra''. A graded algebra is a graded module together with a degree preserving R-linear map, called the product. \\blankline The name ``product'' is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,b)} is the degree-preserving R-linear product: \\blankline \\spad{degree product(a,b) = degree a + degree \\spad{b}} \\spad{product(a1+a2,b) = product(a1,b) + product(a2,b)} \\spad{product(a,b1+b2) = product(a,b1) + product(a,b2)} \\spad{product(r*a,b) = product(a,r*b) = r*product(a,b)} \\spad{product(a,product(b,c)) = product(product(a,b),c)}")) ((|One|) (($) "\\spad{1} is the identity for \\spad{product}."))) 
 NIL 
 NIL 
-(-472) 
+(-474) 
 ((|constructor| (NIL "GrayCode provides a function for efficiently running through all subsets of a finite set, only changing one element by another one.")) (|firstSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{firstSubsetGray(n)} creates the first vector \\spad{ww} to start a loop using nextSubsetGray(ww,n)")) (|nextSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{nextSubsetGray(ww,n)} returns a vector \\spad{vv} whose components have the following meanings:\\br vv.1: a vector of length \\spad{n} whose entries are 0 or 1. This can be interpreted as a code for a subset of the set 1,...,n; \\spad{vv.1} differs from \\spad{ww.1} by exactly one entry;\\br \\spad{vv.2.1} is the number of the entry of \\spad{vv.1} which will be changed next time;\\br \\spad{vv.2.1} = \\spad{n+1} means that \\spad{vv.1} is the last subset; trying to compute nextSubsetGray(vv) if \\spad{vv.2.1} = \\spad{n+1} will produce an error!\\br \\blankline The other components of \\spad{vv.2} are needed to compute nextSubsetGray efficiently. Note that this is an implementation of [Williamson, Topic II, 3.54, \\spad{p.} 112] for the special case \\spad{r1} = \\spad{r2} = \\spad{...} = \\spad{rn} = 2; Note that nextSubsetGray produces a side-effect, \\spadignore{i.e.} nextSubsetGray(vv) and \\spad{vv} \\spad{:=} nextSubsetGray(vv) will have the same effect."))) 
 NIL 
 NIL 
-(-473) 
+(-475) 
 ((|constructor| (NIL "TwoDimensionalPlotSettings sets global flags and constants for 2-dimensional plotting.")) (|screenResolution| (((|Integer|) (|Integer|)) "\\spad{screenResolution(n)} sets the screen resolution to \\spad{n.}") (((|Integer|)) "\\spad{screenResolution()} returns the screen resolution \\spad{n.}")) (|minPoints| (((|Integer|) (|Integer|)) "\\spad{minPoints()} sets the minimum number of points in a plot.") (((|Integer|)) "\\spad{minPoints()} returns the minimum number of points in a plot.")) (|maxPoints| (((|Integer|) (|Integer|)) "\\spad{maxPoints()} sets the maximum number of points in a plot.") (((|Integer|)) "\\spad{maxPoints()} returns the maximum number of points in a plot.")) (|adaptive| (((|Boolean|) (|Boolean|)) "\\spad{adaptive(true)} turns adaptive plotting on; \\spad{adaptive(false)} turns adaptive plotting off.") (((|Boolean|)) "\\spad{adaptive()} determines whether plotting will be done adaptively.")) (|drawToScale| (((|Boolean|) (|Boolean|)) "\\spad{drawToScale(true)} causes plots to be drawn to scale. \\spad{drawToScale(false)} causes plots to be drawn so that they fill up the viewport window. The default setting is false.") (((|Boolean|)) "\\spad{drawToScale()} determines whether or not plots are to be drawn to scale.")) (|clipPointsDefault| (((|Boolean|) (|Boolean|)) "\\spad{clipPointsDefault(true)} turns on automatic clipping; \\spad{clipPointsDefault(false)} turns off automatic clipping. The default setting is true.") (((|Boolean|)) "\\spad{clipPointsDefault()} determines whether or not automatic clipping is to be done."))) 
 NIL 
 NIL 
-(-474) 
+(-476) 
 ((|constructor| (NIL "TwoDimensionalGraph creates virtual two dimensional graphs (to be displayed on TwoDimensionalViewports).")) (|putColorInfo| (((|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|))) "\\spad{putColorInfo(llp,lpal)} takes a list of list of points, \\spad{llp}, and returns the points with their hue and shade components set according to the list of palette colors, \\spad{lpal}.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(gi)} returns the indicated graph, \\spad{gi}, of domain \\spadtype{GraphImage} as output of the domain \\spadtype{OutputForm}.") (($ (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{coerce(llp)} component(gi,pt) creates and returns a graph of the domain \\spadtype{GraphImage} which is composed of the list of list of points given by \\spad{llp}, and whose point colors, line colors and point sizes are determined by the default functions \\spadfun{pointColorDefault}, \\spadfun{lineColorDefault}, and \\spadfun{pointSizeDefault}. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.")) (|point| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|)) "\\spad{point(gi,pt,pal)} modifies the graph \\spad{gi} of the domain \\spadtype{GraphImage} to contain one point component, \\spad{pt} whose point color is set to be the palette color \\spad{pal}, and whose line color and point size are determined by the default functions \\spadfun{lineColorDefault} and \\spadfun{pointSizeDefault}.")) (|appendPoint| (((|Void|) $ (|Point| (|DoubleFloat|))) "\\spad{appendPoint(gi,pt)} appends the point \\spad{pt} to the end of the list of points component for the graph, \\spad{gi}, which is of the domain \\spadtype{GraphImage}.")) (|component| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|) (|Palette|) (|PositiveInteger|)) "\\spad{component(gi,pt,pal1,pal2,ps)} modifies the graph \\spad{gi} of the domain \\spadtype{GraphImage} to contain one point component, \\spad{pt} whose point color is set to the palette color \\spad{pal1}, line color is set to the palette color \\spad{pal2}, and point size is set to the positive integer \\spad{ps}.") (((|Void|) $ (|Point| (|DoubleFloat|))) "\\spad{component(gi,pt)} modifies the graph \\spad{gi} of the domain \\spadtype{GraphImage} to contain one point component, \\spad{pt} whose point color, line color and point size are determined by the default functions \\spadfun{pointColorDefault}, \\spadfun{lineColorDefault}, and \\spadfun{pointSizeDefault}.") (((|Void|) $ (|List| (|Point| (|DoubleFloat|))) (|Palette|) (|Palette|) (|PositiveInteger|)) "\\spad{component(gi,lp,pal1,pal2,p)} sets the components of the graph, \\spad{gi} of the domain \\spadtype{GraphImage}, to the values given. The point list for \\spad{gi} is set to the list \\spad{lp}, the color of the points in \\spad{lp} is set to the palette color \\spad{pal1}, the color of the lines which connect the points \\spad{lp} is set to the palette color \\spad{pal2}, and the size of the points in \\spad{lp} is given by the integer \\spad{p.}")) (|units| (((|List| (|Float|)) $ (|List| (|Float|))) "\\spad{units(gi,lu)} modifies the list of unit increments for the \\spad{x} and \\spad{y} axes of the given graph, \\spad{gi} of the domain \\spadtype{GraphImage}, to be that of the list of unit increments, \\spad{lu}, and returns the new list of units for \\spad{gi}.") (((|List| (|Float|)) $) "\\spad{units(gi)} returns the list of unit increments for the \\spad{x} and \\spad{y} axes of the indicated graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|ranges| (((|List| (|Segment| (|Float|))) $ (|List| (|Segment| (|Float|)))) "\\spad{ranges(gi,lr)} modifies the list of ranges for the given graph, \\spad{gi} of the domain \\spadtype{GraphImage}, to be that of the list of range segments, \\spad{lr}, and returns the new range list for \\spad{gi}.") (((|List| (|Segment| (|Float|))) $) "\\spad{ranges(gi)} returns the list of ranges of the point components from the indicated graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|key| (((|Integer|) $) "\\spad{key(gi)} returns the process ID of the given graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|pointLists| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{pointLists(gi)} returns the list of lists of points which compose the given graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|makeGraphImage| (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|)) (|List| (|DrawOption|))) "\\spad{makeGraphImage(llp,lpal1,lpal2,lp,lopt)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points, \\spad{llp}, whose point colors are indicated by the list of palette colors, \\spad{lpal1}, and whose lines are colored according to the list of palette colors, \\spad{lpal2}. The paramater \\spad{lp} is a list of integers which denote the size of the data points, and \\spad{lopt} is the list of draw command options. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|))) "\\spad{makeGraphImage(llp,lpal1,lpal2,lp)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points, \\spad{llp}, whose point colors are indicated by the list of palette colors, \\spad{lpal1}, and whose lines are colored according to the list of palette colors, \\spad{lpal2}. The paramater \\spad{lp} is a list of integers which denote the size of the data points. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{makeGraphImage(llp)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points, \\spad{llp}, with default point size and default point and line colours. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ $) "\\spad{makeGraphImage(gi)} takes the given graph, \\spad{gi} of the domain \\spadtype{GraphImage}, and sends it's data to the viewport manager where it waits to be included in a two-dimensional viewport window. \\spad{gi} cannot be an empty graph, and it's elements must have been created using the \\spadfun{point} or \\spadfun{component} functions, not by a previous \\spadfun{makeGraphImage}.")) (|graphImage| (($) "\\spad{graphImage()} returns an empty graph with 0 point lists of the domain \\spadtype{GraphImage}. A graph image contains the graph data component of a two dimensional viewport."))) 
 NIL 
 NIL 
-(-475 S R E) 
-((|constructor| (NIL "GradedModule(R,E) denotes ``E-graded R-module'', \\spadignore{i.e.} collection of R-modules indexed by an abelian monoid E. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g.}")) (* (($ $ |#2|) "\\spad{g*r} is right module multiplication.") (($ |#2| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "0 denotes the zero of degree 0.")) (|degree| ((|#3| $) "\\spad{degree(g)} names the degree of \\spad{g.} The set of all elements of a given degree form an R-module."))) 
+(-477 S R E) 
+((|constructor| (NIL "GradedModule(R,E) denotes ``E-graded R-module'', that is, collection of R-modules indexed by an abelian monoid E. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g.}")) (* (($ $ |#2|) "\\spad{g*r} is right module multiplication.") (($ |#2| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "\\spad{0} denotes the zero of degree 0.")) (|degree| ((|#3| $) "\\spad{degree(g)} names the degree of \\spad{g.} The set of all elements of a given degree form an R-module."))) 
 NIL 
 NIL 
-(-476 R E) 
-((|constructor| (NIL "GradedModule(R,E) denotes ``E-graded R-module'', \\spadignore{i.e.} collection of R-modules indexed by an abelian monoid E. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g.}")) (* (($ $ |#1|) "\\spad{g*r} is right module multiplication.") (($ |#1| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "0 denotes the zero of degree 0.")) (|degree| ((|#2| $) "\\spad{degree(g)} names the degree of \\spad{g.} The set of all elements of a given degree form an R-module."))) 
+(-478 R E) 
+((|constructor| (NIL "GradedModule(R,E) denotes ``E-graded R-module'', that is, collection of R-modules indexed by an abelian monoid E. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g.}")) (* (($ $ |#1|) "\\spad{g*r} is right module multiplication.") (($ |#1| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "\\spad{0} denotes the zero of degree 0.")) (|degree| ((|#2| $) "\\spad{degree(g)} names the degree of \\spad{g.} The set of all elements of a given degree form an R-module."))) 
 NIL 
 NIL 
-(-477 |lv| -1647 R) 
+(-479 |lv| -3280 R) 
 ((|constructor| (NIL "Solve systems of polynomial equations using Groebner bases Total order Groebner bases are computed and then converted to lex ones This package is mostly intended for internal use.")) (|genericPosition| (((|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |coords| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{genericPosition(lp,lv)} puts a radical zero dimensional ideal in general position, for system \\spad{lp} in variables \\spad{lv.}")) (|testDim| (((|Union| (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "failed") (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{testDim(lp,lv)} tests if the polynomial system \\spad{lp} in variables \\spad{lv} is zero dimensional.")) (|groebSolve| (((|List| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{groebSolve(lp,lv)} reduces the polynomial system \\spad{lp} in variables \\spad{lv} to triangular form. Algorithm based on groebner bases algorithm with linear algebra for change of ordering. Preprocessing for the general solver. The polynomials in input are of type \\spadtype{DMP}."))) 
 NIL 
 NIL 
-(-478 S) 
-((|constructor| (NIL "The class of multiplicative groups, \\spadignore{i.e.} monoids with multiplicative inverses. \\blankline Axioms\\br \\tab{5}\\spad{leftInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{5}\\spad{ inv(x)*x = 1 }\\br \\tab{5}\\spad{rightInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{4}\\spad{ x*inv(x) = 1 }")) (|commutator| (($ $ $) "\\spad{commutator(p,q)} computes \\spad{inv(p) * inv(q) * \\spad{p} * \\spad{q}.}")) (|conjugate| (($ $ $) "\\spad{conjugate(p,q)} computes \\spad{inv(q) * \\spad{p} * \\spad{q};} this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y.}")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x.}"))) 
+(-480 S) 
+((|constructor| (NIL "The class of multiplicative groups, that is, monoids with multiplicative inverses. \\blankline Axioms\\br \\tab{5}\\spad{leftInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{5}\\spad{inv(x)*x = 1}\\br \\tab{5}\\spad{rightInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{4}\\spad{x*inv(x) = 1}")) (|commutator| (($ $ $) "\\spad{commutator(p,q)} computes \\spad{inv(p) * inv(q) * \\spad{p} * \\spad{q}.}")) (|conjugate| (($ $ $) "\\spad{conjugate(p,q)} computes \\spad{inv(q) * \\spad{p} * \\spad{q};} this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y.}")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x.}"))) 
 NIL 
 NIL 
-(-479) 
-((|constructor| (NIL "The class of multiplicative groups, \\spadignore{i.e.} monoids with multiplicative inverses. \\blankline Axioms\\br \\tab{5}\\spad{leftInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{5}\\spad{ inv(x)*x = 1 }\\br \\tab{5}\\spad{rightInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{4}\\spad{ x*inv(x) = 1 }")) (|commutator| (($ $ $) "\\spad{commutator(p,q)} computes \\spad{inv(p) * inv(q) * \\spad{p} * \\spad{q}.}")) (|conjugate| (($ $ $) "\\spad{conjugate(p,q)} computes \\spad{inv(q) * \\spad{p} * \\spad{q};} this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y.}")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x.}"))) 
-((-4568 . T)) 
+(-481) 
+((|constructor| (NIL "The class of multiplicative groups, that is, monoids with multiplicative inverses. \\blankline Axioms\\br \\tab{5}\\spad{leftInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{5}\\spad{inv(x)*x = 1}\\br \\tab{5}\\spad{rightInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{4}\\spad{x*inv(x) = 1}")) (|commutator| (($ $ $) "\\spad{commutator(p,q)} computes \\spad{inv(p) * inv(q) * \\spad{p} * \\spad{q}.}")) (|conjugate| (($ $ $) "\\spad{conjugate(p,q)} computes \\spad{inv(q) * \\spad{p} * \\spad{q};} this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y.}")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x.}"))) 
+((-4597 . T)) 
 NIL 
-(-480 |Coef| |var| |cen|) 
+(-482 |Coef| |var| |cen|) 
 ((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x\\^r)}.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) "\\spad{coerce(f)} converts a Puiseux series to a general power series.") (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
-(-481 |Key| |Entry| |Tbl| |dent|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571))) (|devaluate| |#1|))))) (|HasCategory| (-412 (-571)) (QUOTE (-1109))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|))))))) 
+(-483 |Key| |Entry| |Tbl| |dent|) 
 ((|constructor| (NIL "A sparse table has a default entry, which is returned if no other value has been explicitly stored for a key."))) 
-((-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093))))) 
-(-482 R E V P) 
+((-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-1097))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097)))) (-1831 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-1097))))) 
+(-484 R E V P) 
 ((|constructor| (NIL "A domain constructor of the category \\axiomType{TriangularSetCategory}. The only requirement for a list of polynomials to be a member of such a domain is the following: no polynomial is constant and two distinct polynomials have distinct main variables. Such a triangular set may not be auto-reduced or consistent. Triangular sets are stored as sorted lists w.r.t. the main variables of their members but they are displayed in reverse order."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1093))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
-(-483) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#4| (QUOTE (-1097))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#3| (QUOTE (-373)))) 
+(-485) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational functions"))) 
 NIL 
-((|HasCategory| (-53) (LIST (QUOTE -1039) (QUOTE (-1165))))) 
-(-484 -1647) 
+((|HasCategory| (-53) (LIST (QUOTE -1043) (QUOTE (-1169))))) 
+(-486 -3280) 
 ((|constructor| (NIL "This package exports guessing of sequences of numbers in a finite field"))) 
 NIL 
 NIL 
-(-485 -1647) 
+(-487 -3280) 
 ((|constructor| (NIL "This package exports guessing of sequences of numbers in a finite field"))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-1165))))) 
-(-486) 
+((|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-1169))))) 
+(-488) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational numbers"))) 
 NIL 
-((-12 (|HasCategory| (-410 (-569)) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-1165)))))) 
-(-487 -1647 S EXPRR R -1321 -3956) 
+((-12 (|HasCategory| (-412 (-571)) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| (-571) (LIST (QUOTE -1043) (QUOTE (-1169)))))) 
+(-489 -3280 S EXPRR R -1316 -3942) 
 ((|constructor| (NIL "This package implements guessing of sequences. Packages for the most common cases are provided as \\spadtype{GuessInteger}, \\spadtype{GuessPolynomial}, etc.")) (|shiftHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the $q$-shift operator") (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the shift operator")) (|diffHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the $q$-dilation operator") (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the differential operator")) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRat \\spad{q}} returns a guesser that tries to find a q-rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec} with \\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessRat \\spad{l}} tries to find a rational function whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessRat(l, options)} tries to find a rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessPRec \\spad{q}} returns a guesser that tries to find a linear q-recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(q)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessPRec \\spad{l}} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxPower \\spad{==} 1)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessPRec(l, options)} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.")) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRec \\spad{q}} returns a guesser that finds an ordinary q-difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessRec(l, options)} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessRec \\spad{l}} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessPade| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessHolo| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessHolo(l, options)} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessHolo \\spad{l}} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxPower \\spad{==} 1)}.")) (|guessAlg| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessAlg(l, options)} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}(l, options) with \\spad{maxDerivative \\spad{==} 0}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessAlg \\spad{l}} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}(l, maxDerivative \\spad{==} 0).")) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessADE \\spad{q}} returns a guesser that tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessADE(l, options)} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessADE \\spad{l}} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) "\\spad{guessHP \\spad{f}} constructs an operation that applies Hermite-Pade approximation to the series generated by the given function \\spad{f.}")) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessBinRat \\spad{q}} returns a guesser that tries to find a function of the form n+->qbinomial(a+b \\spad{n,} \\spad{n)} r(n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessExpRat \\spad{q}} returns a guesser that tries to find a function of the form n+->(a+b q^n)^n r(q^n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessExpRat(l, options)} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessExpRat \\spad{l}} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guess| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol \\spad{guessSum} and quotients if ops contains the symbol \\spad{guessProduct} to the list. The given options are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol guessSum and quotients if ops contains the symbol guessProduct to the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guess(l, options)} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. The given options are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guess \\spad{l}} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used."))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165)))))) 
-(-488) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-1169)))))) 
+(-490) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational functions"))) 
 NIL 
-((-12 (|HasCategory| (-410 (-955 (-569))) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-955 (-569)) (LIST (QUOTE -1039) (QUOTE (-1165)))))) 
-(-489 |q|) 
+((-12 (|HasCategory| (-412 (-958 (-571))) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| (-958 (-571)) (LIST (QUOTE -1043) (QUOTE (-1169)))))) 
+(-491 |q|) 
 ((|constructor| (NIL "This package exports guessing of sequences of univariate rational functions")) (|shiftHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the $q$-shift operator") ((HPSPEC (|List| (|GuessOption|))) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the shift operator")) (|diffHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the $q$-dilation operator") ((HPSPEC (|List| (|GuessOption|))) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the differential operator")) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRat \\spad{q}} returns a guesser that tries to find a q-rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec} with \\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessRat \\spad{l}} tries to find a rational function whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessRat(l, options)} tries to find a rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessPRec \\spad{q}} returns a guesser that tries to find a linear q-recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(q)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessPRec \\spad{l}} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxPower \\spad{==} 1)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessPRec(l, options)} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.")) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRec \\spad{q}} returns a guesser that finds an ordinary q-difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessRec(l, options)} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessRec \\spad{l}} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessPade| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessHolo| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessHolo(l, options)} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessHolo \\spad{l}} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxPower \\spad{==} 1)}.")) (|guessAlg| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessAlg(l, options)} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}(l, options) with \\spad{maxDerivative \\spad{==} 0}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessAlg \\spad{l}} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}(l, maxDerivative \\spad{==} 0).")) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessADE \\spad{q}} returns a guesser that tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessADE(l, options)} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessADE \\spad{l}} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| HPSPEC (|List| (|GuessOption|)))) "\\spad{guessHP \\spad{f}} constructs an operation that applies Hermite-Pade approximation to the series generated by the given function \\spad{f.}")) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessBinRat \\spad{q}} returns a guesser that tries to find a function of the form n+->qbinomial(a+b \\spad{n,} \\spad{n)} r(n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessExpRat \\spad{q}} returns a guesser that tries to find a function of the form n+->(a+b q^n)^n r(q^n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessExpRat(l, options)} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessExpRat \\spad{l}} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guess| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol \\spad{guessSum} and quotients if ops contains the symbol \\spad{guessProduct} to the list. The given options are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol guessSum and quotients if ops contains the symbol guessProduct to the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guess(l, options)} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. The given options are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guess \\spad{l}} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used."))) 
 NIL 
 NIL 
-(-490) 
+(-492) 
 ((|constructor| (NIL "Symbolic fractions in \\%pi with integer coefficients; The point for using \\spad{Pi} as the default domain for those fractions is that \\spad{Pi} is coercible to the float types, and not Expression.")) (|pi| (($) "\\spad{pi()} returns the symbolic \\%pi."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-491 |Key| |Entry| |hashfn|) 
+(-493 |Key| |Entry| |hashfn|) 
 ((|constructor| (NIL "This domain provides access to the underlying Lisp hash tables. By varying the hashfn parameter, tables suited for different purposes can be obtained."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) 
-(-492) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-1097))) (-1831 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-1097)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097))))) 
+(-494) 
 ((|constructor| (NIL "Generate a basis for the free Lie algebra on \\spad{n} generators over a ring \\spad{R} with identity up to basic commutators of length \\spad{c} using the algorithm of \\spad{P.} Hall as given in Serre's book Lie Groups \\spad{--} Lie Algebras")) (|generate| (((|Vector| (|List| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generate(numberOfGens, maximalWeight)} generates a vector of elements of the form [left,weight,right] which represents a \\spad{P.} Hall basis element for the free lie algebra on \\spad{numberOfGens} generators. We only generate those basis elements of weight less than or equal to maximalWeight")) (|inHallBasis?| (((|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{inHallBasis?(numberOfGens, leftCandidate, rightCandidate, left)} tests to see if a new element should be added to the \\spad{P.} Hall basis being constructed. The list \\spad{[leftCandidate,wt,rightCandidate]} is included in the basis if in the unique factorization of rightCandidate, we have left factor leftOfRight, and leftOfRight \\spad{<=} \\spad{leftCandidate}")) (|lfunc| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{lfunc(d,n)} computes the rank of the \\spad{n}th factor in the lower central series of the free d-generated free Lie algebra; This rank is \\spad{d} if \\spad{n} = 1 and binom(d,2) if \\spad{n} = 2"))) 
 NIL 
 NIL 
-(-493 |vl| R) 
+(-495 |vl| R) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative, but the variables are assumed to commute. The term ordering is total degree ordering refined by reverse lexicographic ordering with respect to the position that the variables appear in the list of variables parameter.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p, perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-494 -4360 S) 
+(((-4602 "*") |has| |#2| (-173)) (-4593 |has| |#2| (-561)) (-4598 |has| |#2| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#2| (QUOTE (-909))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-561)))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#2| (QUOTE -4598)) (|HasCategory| |#2| (QUOTE (-456))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-496 -3020 S) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The vectors are ordered first by the sum of their components, and then refined using a reverse lexicographic ordering. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4565 |has| |#2| (-1049)) (-4566 |has| |#2| (-1049)) (-4568 |has| |#2| (-6 -4568)) ((-4573 "*") |has| |#2| (-173)) (-4571 . T)) 
-((|HasCategory| |#2| (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (-1929 (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842)))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasAttribute| |#2| (QUOTE -4568)) (|HasCategory| |#2| (QUOTE (-138))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-25))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))))) 
-(-495 S) 
+((-4594 |has| |#2| (-1053)) (-4595 |has| |#2| (-1053)) (-4597 |has| |#2| (-6 -4597)) ((-4602 "*") |has| |#2| (-173)) (-4600 . T)) 
+((|HasCategory| |#2| (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053))) (|HasCategory| |#2| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-845))) (-1831 (|HasCategory| |#2| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-845)))) (|HasCategory| |#2| (QUOTE (-721))) (|HasCategory| |#2| (QUOTE (-173))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-367)))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1053)))) (|HasCategory| |#2| (QUOTE (-373))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-226))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1053)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1097)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-1097)))) (|HasAttribute| |#2| (QUOTE -4597)) (|HasCategory| |#2| (QUOTE (-138))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (|HasCategory| |#2| (QUOTE (-25))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-373))) (|HasCategory| |#2| (QUOTE (-721))) (|HasCategory| |#2| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-845))) (|HasCategory| |#2| (QUOTE (-1053))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-373)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-721)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-845)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-1097))))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-367)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-373)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-721)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-845)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1097))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-367)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-373)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-721)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-845)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))))) 
+(-497 S) 
 ((|constructor| (NIL "Heap implemented in a flexible array to allow for insertions")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:Heap INT:= heap [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} less?(a,9)")) (|sample| (($) "\\blankline \\spad{X} sample()$Heap(INT)")) (|merge!| (($ $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:Heap INT:= heap [6,7,8,9,10] \\spad{X} merge!(a,b) \\spad{X} a \\spad{X} \\spad{b}")) (|merge| (($ $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:Heap INT:= heap [6,7,8,9,10] \\spad{X} merge(a,b)")) (|max| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} max a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} insert!(8,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Heap INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} empty? a")) (|copy| (($ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} copy a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Heap(INT)")) (|heap| (($ (|List| |#1|)) "\\indented{1}{heap(ls) creates a heap of elements consisting of the} \\indented{1}{elements of ls.} \\blankline \\spad{E} i:Heap INT \\spad{:=} heap [1,6,3,7,5,2,4]"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
-(-496 -1647 UP UPUP R) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
+(-498 -3280 UP UPUP R) 
 ((|constructor| (NIL "This domains implements finite rational divisors on an hyperelliptic curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve. The equation of the curve must be \\spad{y^2} = f(x) and \\spad{f} must have odd degree."))) 
 NIL 
 NIL 
-(-497 BP) 
+(-499 BP) 
 ((|constructor| (NIL "This package provides the functions for the heuristic integer gcd. Geddes's algorithm,for univariate polynomials with integer coefficients")) (|lintgcd| (((|Integer|) (|List| (|Integer|))) "\\spad{lintgcd([a1,..,ak])} = \\spad{gcd} of a list of integers")) (|content| (((|List| (|Integer|)) (|List| |#1|)) "\\spad{content([f1,..,fk])} = content of a list of univariate polynonials")) (|gcdcofactprim| (((|List| |#1|) (|List| |#1|)) "\\spad{gcdcofactprim([f1,..fk])} = \\spad{gcd} and cofactors of \\spad{k} primitive polynomials.")) (|gcdcofact| (((|List| |#1|) (|List| |#1|)) "\\spad{gcdcofact([f1,..fk])} = \\spad{gcd} and cofactors of \\spad{k} univariate polynomials.")) (|gcdprim| ((|#1| (|List| |#1|)) "\\spad{gcdprim([f1,..,fk])} = \\spad{gcd} of \\spad{k} PRIMITIVE univariate polynomials")) (|gcd| ((|#1| (|List| |#1|)) "\\indented{1}{gcd([f1,..,fk]) = \\spad{gcd} of the polynomials fi.} \\blankline \\spad{X} gcd([671*671*x^2-1,671*671*x^2+2*671*x+1]) \\spad{X} gcd([7*x^2+1,(7*x^2+1)^2])"))) 
 NIL 
 NIL 
-(-498) 
+(-500) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating hexadecimal expansions.")) (|hex| (($ (|Fraction| (|Integer|))) "\\spad{hex(r)} converts a rational number to a hexadecimal expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(h)} returns the fractional part of a hexadecimal expansion.")) (|coerce| (((|RadixExpansion| 16) $) "\\spad{coerce(h)} converts a hexadecimal expansion to a radix expansion with base 16.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(h)} converts a hexadecimal expansion to a rational number."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-569) (QUOTE (-906))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1023))) (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1139))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (QUOTE (-844)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (|HasCategory| (-569) (QUOTE (-149))))) 
-(-499 A S) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-571) (QUOTE (-909))) (|HasCategory| (-571) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| (-571) (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-151))) (|HasCategory| (-571) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-571) (QUOTE (-1027))) (|HasCategory| (-571) (QUOTE (-820))) (|HasCategory| (-571) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1143))) (|HasCategory| (-571) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| (-571) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| (-571) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| (-571) (QUOTE (-226))) (|HasCategory| (-571) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-571) (LIST (QUOTE -526) (QUOTE (-1169)) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -282) (QUOTE (-571)) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-302))) (|HasCategory| (-571) (QUOTE (-553))) (|HasCategory| (-571) (QUOTE (-847))) (-1831 (|HasCategory| (-571) (QUOTE (-820))) (|HasCategory| (-571) (QUOTE (-847)))) (|HasCategory| (-571) (LIST (QUOTE -633) (QUOTE (-571)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-909)))) (|HasCategory| (-571) (QUOTE (-149))))) 
+(-501 A S) 
 ((|constructor| (NIL "A homogeneous aggregate is an aggregate of elements all of the same type. In the current system, all aggregates are homogeneous. Two attributes characterize classes of aggregates. Aggregates from domains with attribute \\spadatt{finiteAggregate} have a finite number of members. Those with attribute \\spadatt{shallowlyMutable} allow an element to be modified or updated without changing its overall value.")) (|member?| (((|Boolean|) |#2| $) "\\spad{member?(x,u)} tests if \\spad{x} is a member of u. For collections, \\axiom{member?(x,u) = reduce(or,[x=y for \\spad{y} in u],false)}.")) (|members| (((|List| |#2|) $) "\\spad{members(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|parts| (((|List| |#2|) $) "\\spad{parts(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|count| (((|NonNegativeInteger|) |#2| $) "\\spad{count(x,u)} returns the number of occurrences of \\spad{x} in u. For collections, \\axiom{count(x,u) = reduce(+,[x=y for \\spad{y} in u],0)}.") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{count(p,u)} returns the number of elements \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true. For collections, \\axiom{count(p,u) = \\spad{reduce(+,[1} for \\spad{x} in \\spad{u} | p(x)],0)}.")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{every?(f,u)} tests if p(x) is \\spad{true} for all elements \\spad{x} of u. Note that for collections, \\axiom{every?(p,u) = reduce(and,map(f,u),true,false)}.")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{any?(p,u)} tests if \\axiom{p(x)} is \\spad{true} for any element \\spad{x} of u. Note that for collections, \\axiom{any?(p,u) = reduce(or,map(f,u),false,true)}.")) (|map!| (($ (|Mapping| |#2| |#2|) $) "\\spad{map!(f,u)} destructively replaces each element \\spad{x} of \\spad{u} by \\axiom{f(x)}.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(f,u)} returns a copy of \\spad{u} with each element \\spad{x} replaced by f(x). For collections, \\axiom{map(f,u) = [f(x) for \\spad{x} in u]}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4571)) (|HasAttribute| |#1| (QUOTE -4572)) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) 
-(-500 S) 
+((|HasAttribute| |#1| (QUOTE -4600)) (|HasAttribute| |#1| (QUOTE -4601)) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))) 
+(-502 S) 
 ((|constructor| (NIL "A homogeneous aggregate is an aggregate of elements all of the same type. In the current system, all aggregates are homogeneous. Two attributes characterize classes of aggregates. Aggregates from domains with attribute \\spadatt{finiteAggregate} have a finite number of members. Those with attribute \\spadatt{shallowlyMutable} allow an element to be modified or updated without changing its overall value.")) (|member?| (((|Boolean|) |#1| $) "\\spad{member?(x,u)} tests if \\spad{x} is a member of u. For collections, \\axiom{member?(x,u) = reduce(or,[x=y for \\spad{y} in u],false)}.")) (|members| (((|List| |#1|) $) "\\spad{members(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|parts| (((|List| |#1|) $) "\\spad{parts(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|count| (((|NonNegativeInteger|) |#1| $) "\\spad{count(x,u)} returns the number of occurrences of \\spad{x} in u. For collections, \\axiom{count(x,u) = reduce(+,[x=y for \\spad{y} in u],0)}.") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{count(p,u)} returns the number of elements \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true. For collections, \\axiom{count(p,u) = \\spad{reduce(+,[1} for \\spad{x} in \\spad{u} | p(x)],0)}.")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{every?(f,u)} tests if p(x) is \\spad{true} for all elements \\spad{x} of u. Note that for collections, \\axiom{every?(p,u) = reduce(and,map(f,u),true,false)}.")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{any?(p,u)} tests if \\axiom{p(x)} is \\spad{true} for any element \\spad{x} of u. Note that for collections, \\axiom{any?(p,u) = reduce(or,map(f,u),false,true)}.")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\spad{map!(f,u)} destructively replaces each element \\spad{x} of \\spad{u} by \\axiom{f(x)}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,u)} returns a copy of \\spad{u} with each element \\spad{x} replaced by f(x). For collections, \\axiom{map(f,u) = [f(x) for \\spad{x} in u]}."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-501) 
+(-503) 
 ((|constructor| (NIL "HtmlFormat provides a coercion from OutputForm to html.")) (|display| (((|Void|) (|String|)) "\\indented{1}{display(o) prints the string returned by coerce.} \\blankline \\spad{X} display(coerce(sqrt(3+x)::OutputForm)$HTMLFORM)$HTMLFORM")) (|exprex| (((|String|) (|OutputForm|)) "\\indented{1}{exprex(o) coverts \\spadtype{OutputForm} to \\spadtype{String}} \\blankline \\spad{X} exprex(sqrt(3+x)::OutputForm)$HTMLFORM")) (|coerceL| (((|String|) (|OutputForm|)) "\\indented{1}{coerceL(o) changes \\spad{o} in the standard output format to html} \\indented{1}{format and displays result as one long string.} \\blankline \\spad{X} coerceL(sqrt(3+x)::OutputForm)$HTMLFORM")) (|coerceS| (((|String|) (|OutputForm|)) "\\indented{1}{coerceS(o) changes \\spad{o} in the standard output format to html} \\indented{1}{format and displays formatted result.} \\blankline \\spad{X} coerceS(sqrt(3+x)::OutputForm)$HTMLFORM")) (|coerce| (((|String|) (|OutputForm|)) "\\indented{1}{coerce(o) changes \\spad{o} in the standard output format to html format.} \\blankline \\spad{X} coerce(sqrt(3+x)::OutputForm)$HTMLFORM"))) 
 NIL 
 NIL 
-(-502 S) 
-((|constructor| (NIL "Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x.}")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x.}")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x.}")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x.}")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x.}")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x.}"))) 
+(-504 S) 
+((|constructor| (NIL "\\indented{1}{Date Last Updated: 14 May 1991} Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x.}")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x.}")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x.}")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x.}")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x.}")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-503) 
-((|constructor| (NIL "Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x.}")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x.}")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x.}")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x.}")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x.}")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x.}"))) 
+(-505) 
+((|constructor| (NIL "\\indented{1}{Date Last Updated: 14 May 1991} Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x.}")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x.}")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x.}")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x.}")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x.}")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-504 -1647 UP |AlExt| |AlPol|) 
+(-506 -3280 UP |AlExt| |AlPol|) 
 ((|constructor| (NIL "Factorisation in a simple algebraic extension Factorization of univariate polynomials with coefficients in an algebraic extension of a field over which we can factor UP's.")) (|factor| (((|Factored| |#4|) |#4| (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{factor(p, \\spad{f)}} returns a prime factorisation of \\spad{p;} \\spad{f} is a factorisation map for elements of UP."))) 
 NIL 
 NIL 
-(-505) 
+(-507) 
 ((|constructor| (NIL "Algebraic closure of the rational numbers.")) (|norm| (($ $ (|List| (|Kernel| $))) "\\spad{norm(f,l)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernels \\spad{l}") (($ $ (|Kernel| $)) "\\spad{norm(f,k)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernel \\spad{k}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) "\\spad{norm(p,l)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernels \\spad{l}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{norm(p,k)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernel \\spad{k}")) (|trueEqual| (((|Boolean|) $ $) "\\spad{trueEqual(x,y)} tries to determine if the two numbers are equal")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic numbers present in \\spad{f} by applying their defining relations.")) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|coerce| (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} viewed as an algebraic number."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| $ (QUOTE (-1049))) (|HasCategory| $ (LIST (QUOTE -1039) (QUOTE (-569))))) 
-(-506 S |mn|) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| $ (QUOTE (-1053))) (|HasCategory| $ (LIST (QUOTE -1043) (QUOTE (-571))))) 
+(-508 S |mn|) 
 ((|constructor| (NIL "This is the basic one dimensional array data type."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-507 R |mnRow| |mnCol|) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-509 R |mnRow| |mnCol|) 
 ((|constructor| (NIL "This domain implements two dimensional arrays"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
-(-508 K R UP) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
+(-510 K R UP) 
 ((|constructor| (NIL "This package has no description")) (|chineseRemainder| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|List| |#3|) (|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|NonNegativeInteger|)) "\\spad{chineseRemainder(lu,lr,n)} \\undocumented")) (|listConjugateBases| (((|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{listConjugateBases(bas,q,n)} returns the list \\spad{[bas,bas^Frob,bas^(Frob^2),...bas^(Frob^(n-1))]}, where \\spad{Frob} raises the coefficients of all polynomials appearing in the basis \\spad{bas} to the \\spad{q}th power.")) (|factorList| (((|List| (|SparseUnivariatePolynomial| |#1|)) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factorList(k,n,m,j)} \\undocumented"))) 
 NIL 
 NIL 
-(-509 R UP -1647) 
+(-511 R UP -3280) 
 ((|constructor| (NIL "This package contains functions used in the packages FunctionFieldIntegralBasis and NumberFieldIntegralBasis.")) (|moduleSum| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) "\\spad{moduleSum(m1,m2)} returns the sum of two modules in the framed algebra \\spad{F}. Each module \\spad{mi} is represented as follows: \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn} and \\spad{mi} is a record \\spad{[basis,basisDen,basisInv]}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then a basis \\spad{v1,...,vn} for \\spad{mi} is given by \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|idealiserMatrix| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{idealiserMatrix(m1, m2)} returns the matrix representing the linear conditions on the Ring associatied with an ideal defined by \\spad{m1} and \\spad{m2.}")) (|idealiser| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{idealiser(m1,m2,d)} computes the order of an ideal defined by \\spad{m1} and \\spad{m2} where \\spad{d} is the known part of the denominator") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{idealiser(m1,m2)} computes the order of an ideal defined by \\spad{m1} and \\spad{m2}")) (|leastPower| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{leastPower(p,n)} returns e, where \\spad{e} is the smallest integer such that \\spad{p **e \\spad{>=} \\spad{n}}")) (|divideIfCan!| ((|#1| (|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Integer|)) "\\spad{divideIfCan!(matrix,matrixOut,prime,n)} attempts to divide the entries of \\spad{matrix} by \\spad{prime} and store the result in \\spad{matrixOut}. If it is successful, 1 is returned and if not, \\spad{prime} is returned. Here both \\spad{matrix} and \\spad{matrixOut} are \\spad{n}-by-\\spad{n} upper triangular matrices.")) (|matrixGcd| ((|#1| (|Matrix| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{matrixGcd(mat,sing,n)} is \\spad{gcd(sing,g)} where \\spad{g} is the \\spad{gcd} of the entries of the \\spad{n}-by-\\spad{n} upper-triangular matrix \\spad{mat}.")) (|diagonalProduct| ((|#1| (|Matrix| |#1|)) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m}")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns a square-free factorisation of \\spad{x}"))) 
 NIL 
 NIL 
-(-510 |mn|) 
+(-512 |mn|) 
 ((|constructor| (NIL "\\spadtype{IndexedBits} is a domain to compactly represent large quantities of Boolean data.")) (|And| (($ $ $) "\\spad{And(n,m)} returns the bit-by-bit logical And of \\spad{n} and \\spad{m.}")) (|Or| (($ $ $) "\\spad{Or(n,m)} returns the bit-by-bit logical Or of \\spad{n} and \\spad{m.}")) (|Not| (($ $) "\\spad{Not(n)} returns the bit-by-bit logical Not of \\spad{n.}"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| (-121) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-121) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-121) (QUOTE (-1093))) (-12 (|HasCategory| (-121) (LIST (QUOTE -304) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1093))))) 
-(-511 K R UP L) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| (-121) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-121) (QUOTE (-847))) (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| (-121) (QUOTE (-1097))) (-12 (|HasCategory| (-121) (LIST (QUOTE -304) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1097))))) 
+(-513 K R UP L) 
 ((|constructor| (NIL "IntegralBasisPolynomialTools provides functions for mapping functions on the coefficients of univariate and bivariate polynomials.")) (|mapBivariate| (((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#4|)) (|Mapping| |#4| |#1|) |#3|) "\\spad{mapBivariate(f,p(x,y))} applies the function \\spad{f} to the coefficients of \\spad{p(x,y)}.")) (|mapMatrixIfCan| (((|Union| (|Matrix| |#2|) "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|Matrix| (|SparseUnivariatePolynomial| |#4|))) "\\spad{mapMatrixIfCan(f,mat)} applies the function \\spad{f} to the coefficients of the entries of \\spad{mat} if possible, and returns \\spad{\"failed\"} otherwise.")) (|mapUnivariateIfCan| (((|Union| |#2| "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{mapUnivariateIfCan(f,p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}, if possible, and returns \\spad{\"failed\"} otherwise.")) (|mapUnivariate| (((|SparseUnivariatePolynomial| |#4|) (|Mapping| |#4| |#1|) |#2|) "\\spad{mapUnivariate(f,p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}.") ((|#2| (|Mapping| |#1| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{mapUnivariate(f,p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}."))) 
 NIL 
 NIL 
-(-512) 
+(-514) 
 ((|constructor| (NIL "This domain implements a container of information about the AXIOM library")) (|coerce| (($ (|String|)) "\\spad{coerce(s)} converts \\axiom{s} into an \\axiom{IndexCard}. Warning: if \\axiom{s} is not of the right format then an error will occur")) (|fullDisplay| (((|Void|) $) "\\spad{fullDisplay(ic)} prints all of the information contained in \\axiom{ic}.")) (|display| (((|Void|) $) "\\spad{display(ic)} prints a summary of information contained in \\axiom{ic}.")) (|elt| (((|String|) $ (|Symbol|)) "\\spad{elt(ic,s)} selects a particular field from \\axiom{ic}. Valid fields are \\axiom{name, nargs, exposed, type, abbreviation, kind, origin, params, condition, doc}."))) 
 NIL 
 NIL 
-(-513 R Q A B) 
+(-515 R Q A B) 
 ((|constructor| (NIL "InnerCommonDenominator provides functions to compute the common denominator of a finite linear aggregate of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) "\\spad{splitDenominator([q1,...,qn])} returns \\spad{[[p1,...,pn], \\spad{d]}} such that \\spad{qi = pi/d} and \\spad{d} is a common denominator for the qi's.")) (|clearDenominator| ((|#3| |#4|) "\\spad{clearDenominator([q1,...,qn])} returns \\spad{[p1,...,pn]} such that \\spad{qi = pi/d} where \\spad{d} is a common denominator for the qi's.")) (|commonDenominator| ((|#1| |#4|) "\\spad{commonDenominator([q1,...,qn])} returns a common denominator \\spad{d} for q1,...,qn."))) 
 NIL 
 NIL 
-(-514 K |symb| BLMET) 
+(-516 K |symb| BLMET) 
 ((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm yields the full output of \\spad{tr,} otherwise encode(tr) is output (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
-(-515 -1647 |Expon| |VarSet| |DPoly|) 
+(-517 -3280 |Expon| |VarSet| |DPoly|) 
 ((|constructor| (NIL "This domain represents polynomial ideals with coefficients in any field and supports the basic ideal operations, including intersection sum and quotient. An ideal is represented by a list of polynomials (the generators of the ideal) and a boolean that is \\spad{true} if the generators are a Groebner basis. The algorithms used are based on Groebner basis computations. The ordering is determined by the datatype of the input polynomials. Users may use refinements of total degree orderings.")) (|relationsIdeal| (((|SuchThat| (|List| (|Polynomial| |#1|)) (|List| (|Equation| (|Polynomial| |#1|)))) (|List| |#4|)) "\\spad{relationsIdeal(polyList)} returns the ideal of relations among the polynomials in polyList.")) (|saturate| (($ $ |#4| (|List| |#3|)) "\\spad{saturate(I,f,lvar)} is the saturation with respect to the prime principal ideal which is generated by \\spad{f} in the polynomial ring \\spad{F[lvar]}.") (($ $ |#4|) "\\spad{saturate(I,f)} is the saturation of the ideal \\spad{I} with respect to the multiplicative set generated by the polynomial \\spad{f.}")) (|coerce| (($ (|List| |#4|)) "\\spad{coerce(polyList)} converts the list of polynomials \\spad{polyList} to an ideal.")) (|generators| (((|List| |#4|) $) "\\spad{generators(I)} returns a list of generators for the ideal I.")) (|groebner?| (((|Boolean|) $) "\\spad{groebner?(I)} tests if the generators of the ideal \\spad{I} are a Groebner basis.")) (|groebnerIdeal| (($ (|List| |#4|)) "\\spad{groebnerIdeal(polyList)} constructs the ideal generated by the list of polynomials \\spad{polyList} which are assumed to be a Groebner basis. Note: this operation avoids a Groebner basis computation.")) (|ideal| (($ (|List| |#4|)) "\\spad{ideal(polyList)} constructs the ideal generated by the list of polynomials polyList.")) (|leadingIdeal| (($ $) "\\spad{leadingIdeal(I)} is the ideal generated by the leading terms of the elements of the ideal I.")) (|dimension| (((|Integer|) $) "\\spad{dimension(I)} gives the dimension of the ideal I. in the ring \\spad{F[lvar]}, where lvar are the variables appearing in \\spad{I}") (((|Integer|) $ (|List| |#3|)) "\\spad{dimension(I,lvar)} gives the dimension of the ideal I, in the ring \\spad{F[lvar]}")) (|backOldPos| (($ (|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $))) "\\spad{backOldPos(genPos)} takes the result produced by generalPosition from PolynomialIdeals and performs the inverse transformation, returning the original ideal \\spad{backOldPos(generalPosition(I,listvar))} = I.")) (|generalPosition| (((|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $)) $ (|List| |#3|)) "\\spad{generalPosition(I,listvar)} perform a random linear transformation on the variables in \\spad{listvar} and returns the transformed ideal along with the change of basis matrix.")) (|groebner| (($ $) "\\spad{groebner(I)} returns a set of generators of \\spad{I} that are a Groebner basis for I.")) (|quotient| (($ $ |#4|) "\\spad{quotient(I,f)} computes the quotient of the ideal \\spad{I} by the principal ideal generated by the polynomial \\spad{f,} \\spad{(I:(f))}.") (($ $ $) "\\spad{quotient(I,J)} computes the quotient of the ideals \\spad{I} and \\spad{J,} \\spad{(I:J)}.")) (|intersect| (($ (|List| $)) "\\spad{intersect(LI)} computes the intersection of the list of ideals LI.") (($ $ $) "\\spad{intersect(I,J)} computes the intersection of the ideals \\spad{I} and \\spad{J.}")) (|zeroDim?| (((|Boolean|) $) "\\spad{zeroDim?(I)} tests if the ideal \\spad{I} is zero dimensional, \\spadignore{i.e.} all its associated primes are maximal, in the ring \\spad{F[lvar]}, where lvar are the variables appearing in \\spad{I}") (((|Boolean|) $ (|List| |#3|)) "\\spad{zeroDim?(I,lvar)} tests if the ideal \\spad{I} is zero dimensional, \\spadignore{i.e.} all its associated primes are maximal, in the ring \\spad{F[lvar]}")) (|inRadical?| (((|Boolean|) |#4| $) "\\spad{inRadical?(f,I)} tests if some power of the polynomial \\spad{f} belongs to the ideal I.")) (|in?| (((|Boolean|) $ $) "\\spad{in?(I,J)} tests if the ideal \\spad{I} is contained in the ideal \\spad{J.}")) (|element?| (((|Boolean|) |#4| $) "\\spad{element?(f,I)} tests whether the polynomial \\spad{f} belongs to the ideal I.")) (|zero?| (((|Boolean|) $) "\\spad{zero?(I)} tests whether the ideal \\spad{I} is the zero ideal")) (|one?| (((|Boolean|) $) "\\spad{one?(I)} tests whether the ideal \\spad{I} is the unit ideal, \\spadignore{i.e.} contains 1.")) (+ (($ $ $) "\\spad{I+J} computes the ideal generated by the union of \\spad{I} and \\spad{J.}")) (** (($ $ (|NonNegativeInteger|)) "\\spad{I**n} computes the \\spad{n}th power of the ideal I.")) (* (($ $ $) "\\spad{I*J} computes the product of the ideal \\spad{I} and \\spad{J.}"))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-1165))))) 
-(-516 |vl| |nv|) 
+((|HasCategory| |#3| (LIST (QUOTE -612) (QUOTE (-1169))))) 
+(-518 |vl| |nv|) 
 ((|constructor| (NIL "This package provides functions for the primary decomposition of polynomial ideals over the rational numbers. The ideals are members of the \\spadtype{PolynomialIdeals} domain, and the polynomial generators are required to be from the \\spadtype{DistributedMultivariatePolynomial} domain.")) (|contract| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|List| (|OrderedVariableList| |#1|))) "\\spad{contract(I,lvar)} contracts the ideal \\spad{I} to the polynomial ring \\spad{F[lvar]}.")) (|primaryDecomp| (((|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{primaryDecomp(I)} returns a list of primary ideals such that their intersection is the ideal I.")) (|radical| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{radical(I)} returns the radical of the ideal I.")) (|prime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{prime?(I)} tests if the ideal \\spad{I} is prime.")) (|zeroDimPrimary?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{zeroDimPrimary?(I)} tests if the ideal \\spad{I} is 0-dimensional primary.")) (|zeroDimPrime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{zeroDimPrime?(I)} tests if the ideal \\spad{I} is a 0-dimensional prime."))) 
 NIL 
 NIL 
-(-517 A S) 
+(-519 A S) 
 ((|constructor| (NIL "Indexed direct products of abelian groups over an abelian group \\spad{A} of generators indexed by the ordered set \\spad{S.} All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-518 A S) 
+(-520 A S) 
 ((|constructor| (NIL "Indexed direct products of abelian monoids over an abelian monoid \\spad{A} of generators indexed by the ordered set \\spad{S.} All items have finite support. Only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-519 A S) 
+(-521 A S) 
 ((|constructor| (NIL "This category represents the direct product of some set with respect to an ordered indexing set.")) (|reductum| (($ $) "\\spad{reductum(z)} returns a new element created by removing the leading coefficient/support pair from the element \\spad{z.} Error: if \\spad{z} has no support.")) (|leadingSupport| ((|#2| $) "\\spad{leadingSupport(z)} returns the index of leading (with respect to the ordering on the indexing set) monomial of \\spad{z.} Error: if \\spad{z} has no support.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(z)} returns the coefficient of the leading (with respect to the ordering on the indexing set) monomial of \\spad{z.} Error: if \\spad{z} has no support.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(a,s)} constructs a direct product element with the \\spad{s} component set to \\spad{a}")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,z)} returns the new element created by applying the function \\spad{f} to each component of the direct product element \\spad{z.}"))) 
 NIL 
 NIL 
-(-520 A S) 
+(-522 A S) 
 ((|constructor| (NIL "Indexed direct products of ordered abelian monoids \\spad{A} of generators indexed by the ordered set \\spad{S.} The inherited order is lexicographical. All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-521 A S) 
+(-523 A S) 
 ((|constructor| (NIL "Indexed direct products of ordered abelian monoid sups \\spad{A}, generators indexed by the ordered set \\spad{S.} All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
-(-522 A S) 
+(-524 A S) 
 ((|constructor| (NIL "Indexed direct products of objects over a set \\spad{A} of generators indexed by an ordered set \\spad{S.} All items have finite support."))) 
 NIL 
 NIL 
-(-523 S A B) 
+(-525 S A B) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions. The difference between this and \\spadtype{Evalable} is that the operations in this category specify the substitution as a pair of arguments rather than as an equation.")) (|eval| (($ $ (|List| |#2|) (|List| |#3|)) "\\spad{eval(f, [x1,...,xn], [v1,...,vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ |#2| |#3|) "\\spad{eval(f, \\spad{x,} \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
-(-524 A B) 
+(-526 A B) 
 ((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions. The difference between this and \\spadtype{Evalable} is that the operations in this category specify the substitution as a pair of arguments rather than as an equation.")) (|eval| (($ $ (|List| |#1|) (|List| |#2|)) "\\spad{eval(f, [x1,...,xn], [v1,...,vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ |#1| |#2|) "\\spad{eval(f, \\spad{x,} \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
-(-525 S E |un|) 
+(-527 S E |un|) 
 ((|constructor| (NIL "Internal implementation of a free abelian monoid on any set of generators"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-789)))) 
-(-526 S |mn|) 
+((|HasCategory| |#2| (QUOTE (-792)))) 
+(-528 S |mn|) 
 ((|constructor| (NIL "A FlexibleArray is the notion of an array intended to allow for growth at the end only. Hence the following efficient operations\\br \\spad{append(x,a)} meaning append item \\spad{x} at the end of the array \\spad{a}\\br \\spad{delete(a,n)} meaning delete the last item from the array \\spad{a}\\br Flexible arrays support the other operations inherited from \\spadtype{ExtensibleLinearAggregate}. However, these are not efficient. Flexible arrays combine the \\spad{O(1)} access time property of arrays with growing and shrinking at the end in \\spad{O(1)} (average) time. This is done by using an ordinary array which may have zero or more empty slots at the end. When the array becomes full it is copied into a new larger (50% larger) array. Conversely, when the array becomes less than 1/2 full, it is copied into a smaller array. Flexible arrays provide for an efficient implementation of many data structures in particular heaps, stacks and sets.")) (|shrinkable| (((|Boolean|) (|Boolean|)) "\\indented{1}{shrinkable(b) sets the shrinkable attribute of flexible arrays to \\spad{b}} \\indented{1}{and returns the previous value} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} \\spad{shrinkable(false)$T1}")) (|physicalLength!| (($ $ (|Integer|)) "\\indented{1}{physicalLength!(x,n) changes the physical length of \\spad{x} to be \\spad{n} and} \\indented{1}{returns the new array.} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} t2:=flexibleArray([i for \\spad{i} in 1..10])$T1 \\spad{X} physicalLength!(t2,15)")) (|physicalLength| (((|NonNegativeInteger|) $) "\\indented{1}{physicalLength(x) returns the number of elements \\spad{x} can} \\indented{1}{accomodate before growing} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} t2:=flexibleArray([i for \\spad{i} in 1..10])$T1 \\spad{X} physicalLength \\spad{t2}")) (|flexibleArray| (($ (|List| |#1|)) "\\indented{1}{flexibleArray(l) creates a flexible array from the list of elements \\spad{l}} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} flexibleArray([i for \\spad{i} in 1..10])$T1"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-527 |p| |n|) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-529 |p| |n|) 
 ((|constructor| (NIL "InnerFiniteField(p,n) implements finite fields with \\spad{p**n} elements where \\spad{p} is assumed prime but does not check. For a version which checks that \\spad{p} is prime, see \\spadtype{FiniteField}."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-582 |#1|) (QUOTE (-151))) (|HasCategory| (-582 |#1|) (QUOTE (-371))) (|HasCategory| (-582 |#1|) (QUOTE (-149))) (-1929 (|HasCategory| (-582 |#1|) (QUOTE (-149))) (|HasCategory| (-582 |#1|) (QUOTE (-371))))) 
-(-528 R |mnRow| |mnCol| |Row| |Col|) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-584 |#1|) (QUOTE (-151))) (|HasCategory| (-584 |#1|) (QUOTE (-373))) (|HasCategory| (-584 |#1|) (QUOTE (-149))) (-1831 (|HasCategory| (-584 |#1|) (QUOTE (-149))) (|HasCategory| (-584 |#1|) (QUOTE (-373))))) 
+(-530 R |mnRow| |mnCol| |Row| |Col|) 
 ((|constructor| (NIL "There is no description for this domain"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
-(-529 S |mn|) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
+(-531 S |mn|) 
 ((|constructor| (NIL "\\spadtype{IndexedList} is a basic implementation of the functions in \\spadtype{ListAggregate}, often using functions in the underlying LISP system. The second parameter to the constructor (\\spad{mn}) is the beginning index of the list. That is, if \\spad{l} is a list, then \\spad{elt(l,mn)} is the first value. This constructor is probably best viewed as the implementation of singly-linked lists that are addressable by index rather than as a mere wrapper for LISP lists."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-530 R |Row| |Col| M) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-532 R |Row| |Col| M) 
 ((|constructor| (NIL "\\spadtype{InnerMatrixLinearAlgebraFunctions} is an internal package which provides standard linear algebra functions on domains in \\spad{MatrixCategory}")) (|inverse| (((|Union| |#4| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square.")) (|generalizedInverse| ((|#4| |#4|) "\\spad{generalizedInverse(m)} returns the generalized (Moore--Penrose) inverse of the matrix \\spad{m,} \\spadignore{i.e.} the matrix \\spad{h} such that m*h*m=h, h*m*h=m, \\spad{m*h} and \\spad{h*m} are both symmetric matrices.")) (|determinant| ((|#1| |#4|) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.} an error message is returned if the matrix is not square.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) |#4|) "\\spad{nullity(m)} returns the mullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) |#4|) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| ((|#4| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}"))) 
 NIL 
-((|HasAttribute| |#3| (QUOTE -4572))) 
-(-531 R |Row| |Col| M QF |Row2| |Col2| M2) 
+((|HasAttribute| |#3| (QUOTE -4601))) 
+(-533 R |Row| |Col| M QF |Row2| |Col2| M2) 
 ((|constructor| (NIL "\\spadtype{InnerMatrixQuotientFieldFunctions} provides functions on matrices over an integral domain which involve the quotient field of that integral domain. The functions rowEchelon and inverse return matrices with entries in the quotient field.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m.}")) (|inverse| (((|Union| |#8| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square. Note that the result will have entries in the quotient field.")) (|rowEchelon| ((|#8| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.} the result will have entries in the quotient field."))) 
 NIL 
-((|HasAttribute| |#7| (QUOTE -4572))) 
-(-532 R |mnRow| |mnCol|) 
+((|HasAttribute| |#7| (QUOTE -4601))) 
+(-534 R |mnRow| |mnCol|) 
 ((|constructor| (NIL "An \\spad{IndexedMatrix} is a matrix where the minimal row and column indices are parameters of the type. The domains Row and Col are both IndexedVectors. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a 'Row' is the same as the index of the first column in a matrix and vice versa."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4573 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-533 GF) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-561))) (|HasAttribute| |#1| (QUOTE (-4602 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367)))) 
+(-535 GF) 
 ((|constructor| (NIL "InnerNormalBasisFieldFunctions(GF) (unexposed): This package has functions used by every normal basis finite field extension domain.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) "\\spad{minimalPolynomial(x)} \\undocumented{} See \\axiomFunFrom{minimalPolynomial}{FiniteAlgebraicExtensionField}")) (|normalElement| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{normalElement(n)} \\undocumented{} See \\axiomFunFrom{normalElement}{FiniteAlgebraicExtensionField}")) (|basis| (((|Vector| (|Vector| |#1|)) (|PositiveInteger|)) "\\spad{basis(n)} \\undocumented{} See \\axiomFunFrom{basis}{FiniteAlgebraicExtensionField}")) (|normal?| (((|Boolean|) (|Vector| |#1|)) "\\spad{normal?(x)} \\undocumented{} See \\axiomFunFrom{normal?}{FiniteAlgebraicExtensionField}")) (|lookup| (((|PositiveInteger|) (|Vector| |#1|)) "\\spad{lookup(x)} \\undocumented{} See \\axiomFunFrom{lookup}{Finite}")) (|inv| (((|Vector| |#1|) (|Vector| |#1|)) "\\spad{inv \\spad{x}} \\undocumented{} See \\axiomFunFrom{inv}{DivisionRing}")) (|trace| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) "\\spad{trace(x,n)} \\undocumented{} See \\axiomFunFrom{trace}{FiniteAlgebraicExtensionField}")) (|norm| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) "\\spad{norm(x,n)} \\undocumented{} See \\axiomFunFrom{norm}{FiniteAlgebraicExtensionField}")) (/ (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) "\\spad{x/y} \\undocumented{} See \\axiomFunFrom{/}{Field}")) (* (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) "\\spad{x*y} \\undocumented{} See \\axiomFunFrom{*}{SemiGroup}")) (** (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) "\\spad{x**n} \\undocumented{} See \\axiomFunFrom{**}{DivisionRing}")) (|qPot| (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) "\\spad{qPot(v,e)} computes \\spad{v**(q**e)}, interpreting \\spad{v} as an element of normal basis field, \\spad{q} the size of the ground field. This is done by a cyclic e-shift of the vector \\spad{v.}")) (|expPot| (((|Vector| |#1|) (|Vector| |#1|) (|SingleInteger|) (|SingleInteger|)) "\\spad{expPot(v,e,d)} returns the sum from \\spad{i = 0} to \\spad{e - 1} of \\spad{v**(q**i*d)}, interpreting \\spad{v} as an element of a normal basis field and where \\spad{q} is the size of the ground field. Note that for a description of the algorithm, see T.Itoh and S.Tsujii, \"A fast algorithm for computing multiplicative inverses in GF(2^m) using normal bases\", Information and Computation 78, pp.171-177, 1988.")) (|repSq| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|)) "\\spad{repSq(v,e)} computes \\spad{v**e} by repeated squaring, interpreting \\spad{v} as an element of a normal basis field.")) (|dAndcExp| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|) (|SingleInteger|)) "\\spad{dAndcExp(v,n,k)} computes \\spad{v**e} interpreting \\spad{v} as an element of normal basis field. A divide and conquer algorithm similar to the one from D.R.Stinson, \"Some observations on parallel Algorithms for fast exponentiation in GF(2^n)\", Siam \\spad{J.} Computation, Vol.19, No.4, pp.711-717, August 1990 is used. Argument \\spad{k} is a parameter of this algorithm.")) (|xn| (((|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|)) "\\spad{xn(n)} returns the polynomial \\spad{x**n-1}.")) (|pol| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) "\\spad{pol(v)} turns the vector \\spad{[v0,...,vn]} into the polynomial \\spad{v0+v1*x+ \\spad{...} + vn*x**n}.")) (|index| (((|Vector| |#1|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{index(n,m)} is a index function for vectors of length \\spad{n} over the ground field.")) (|random| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{random(n)} creates a vector over the ground field with random entries.")) (|setFieldInfo| (((|Void|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) |#1|) "\\spad{setFieldInfo(m,p)} initializes the field arithmetic, where \\spad{m} is the multiplication table and \\spad{p} is the respective normal element of the ground field \\spad{GF.}"))) 
 NIL 
 NIL 
-(-534 R) 
+(-536 R) 
 ((|constructor| (NIL "This package provides operations to create incrementing functions.")) (|incrementBy| (((|Mapping| |#1| |#1|) |#1|) "\\spad{incrementBy(n)} produces a function which adds \\spad{n} to whatever argument it is given. For example, if \\spad{{f} \\spad{:=} increment(n)} then \\spad{f \\spad{x}} is \\spad{x+n}.")) (|increment| (((|Mapping| |#1| |#1|)) "\\spad{increment()} produces a function which adds \\spad{1} to whatever argument it is given. For example, if \\spad{{f} \\spad{:=} increment()} then \\spad{f \\spad{x}} is \\spad{x+1}."))) 
 NIL 
 NIL 
-(-535 |Varset|) 
+(-537 |Varset|) 
 ((|constructor| (NIL "converts entire exponents to OutputForm"))) 
 NIL 
 NIL 
-(-536 K -1647 |Par|) 
+(-538 K -3280 |Par|) 
 ((|constructor| (NIL "This package is the inner package to be used by NumericRealEigenPackage and NumericComplexEigenPackage for the computation of numeric eigenvalues and eigenvectors.")) (|innerEigenvectors| (((|List| (|Record| (|:| |outval| |#2|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#2|))))) (|Matrix| |#1|) |#3| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) "\\spad{innerEigenvectors(m,eps,factor)} computes explicitly the eigenvalues and the correspondent eigenvectors of the matrix \\spad{m.} The parameter \\spad{eps} determines the type of the output, \\spad{factor} is the univariate factorizer to \\spad{br} used to reduce the characteristic polynomial into irreducible factors.")) (|solve1| (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{solve1(pol, eps)} finds the roots of the univariate polynomial polynomial \\spad{pol} to precision eps. If \\spad{K} is \\spad{Fraction Integer} then only the real roots are returned, if \\spad{K} is \\spad{Complex Fraction Integer} then all roots are found.")) (|charpol| (((|SparseUnivariatePolynomial| |#1|) (|Matrix| |#1|)) "\\spad{charpol(m)} computes the characteristic polynomial of a matrix \\spad{m} with entries in \\spad{K.} This function returns a polynomial over \\spad{K,} while the general one (that is in EiegenPackage) returns Fraction \\spad{P} \\spad{K}"))) 
 NIL 
 NIL 
-(-537 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
+(-539 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
 ((|constructor| (NIL "This category is part of the PAFF package")) (|excpDivV| ((|#8| $) "\\spad{excpDivV returns} the exceptional divisor of the infinitly close point.")) (|chartV| ((|#9| $) "chartV is the chart of the infinitly close point. The first integer correspond to variable defining the exceptional line, the last one the affine neighboorhood and the second one is the remaining integer. For example [1,2,3] means that Z=1, \\spad{X=X} and Y=XY. [2,3,1] means that X=1, \\spad{Y=Y} and Z=YZ.")) (|multV| (((|NonNegativeInteger|) $) "\\spad{multV returns} the multiplicity of the infinitly close point.")) (|localPointV| (((|AffinePlane| |#1|) $) "\\spad{localPointV returns} the coordinates of the local infinitly close point")) (|curveV| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $) "\\spad{curveV(p)} returns the defining polynomial of the strict transform on which lies the corresponding infinitly close point.")) (|pointV| ((|#5| $) "\\spad{pointV returns} the infinitly close point.")) (|create| (($ |#5| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) (|NonNegativeInteger|) |#9| (|NonNegativeInteger|) |#8| |#1| (|Symbol|)) "\\spad{create an} infinitly close point"))) 
 NIL 
 NIL 
-(-538 K |symb| BLMET) 
+(-540 K |symb| BLMET) 
 ((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm \\indented{1}{yields the full output of \\spad{tr,} otherwise encode(tr) is output} (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
-(-539 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
+(-541 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
 ((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm yields the full output of \\spad{tr,} otherwise encode(tr) is output (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
-(-540) 
+(-542) 
 ((|constructor| (NIL "Top-level infinity Default infinity signatures for the interpreter.")) (|minusInfinity| (((|OrderedCompletion| (|Integer|))) "\\spad{minusInfinity()} returns minusInfinity.")) (|plusInfinity| (((|OrderedCompletion| (|Integer|))) "\\spad{plusInfinity()} returns plusIinfinity.")) (|infinity| (((|OnePointCompletion| (|Integer|))) "\\spad{infinity()} returns infinity."))) 
 NIL 
 NIL 
-(-541 R) 
+(-543 R) 
 ((|constructor| (NIL "Tools for manipulating input forms.")) (|interpret| ((|#1| (|InputForm|)) "\\spad{interpret(f)} passes \\spad{f} to the interpreter, and transforms the result into an object of type \\spad{R.}")) (|packageCall| (((|InputForm|) (|Symbol|)) "\\spad{packageCall(f)} returns the input form corresponding to f$R."))) 
 NIL 
 NIL 
-(-542) 
+(-544) 
 ((|constructor| (NIL "Domain of parsed forms which can be passed to the interpreter. This is also the interface between algebra code and facilities in the interpreter.")) (|compile| (((|Symbol|) (|Symbol|) (|List| $)) "\\spad{compile(f, [t1,...,tn])} forces the interpreter to compile the function \\spad{f} with signature \\spad{(t1,...,tn) \\spad{->} \\spad{?}.} returns the symbol \\spad{f} if successful. Error: if \\spad{f} was not defined beforehand in the interpreter, or if the ti's are not valid types, or if the compiler fails.")) (|declare| (((|Symbol|) (|List| $)) "\\spad{declare(t)} returns a name \\spad{f} such that \\spad{f} has been declared to the interpreter to be of type \\spad{t,} but has not been assigned a value yet. Note: \\spad{t} should be created as \\spad{devaluate(T)$Lisp} where \\spad{T} is the actual type of \\spad{f} (this hack is required for the case where \\spad{T} is a mapping type).")) (|parse| (($ (|String|)) "\\spad{parse(s)} is the inverse of unparse. It parses a string to InputForm.")) (|unparse| (((|String|) $) "\\spad{unparse(f)} returns a string \\spad{s} such that the parser would transform \\spad{s} to \\spad{f.} Error: if \\spad{f} is not the parsed form of a string.")) (|flatten| (($ $) "\\spad{flatten(s)} returns an input form corresponding to \\spad{s} with all the nested operations flattened to triples using new local variables. If \\spad{s} is a piece of code, this speeds up the compilation tremendously later on.")) ((|One|) (($) "\\spad{1} returns the input form corresponding to 1.")) ((|Zero|) (($) "\\spad{0} returns the input form corresponding to 0.")) (** (($ $ (|Integer|)) "\\spad{a \\spad{**} \\spad{b}} returns the input form corresponding to \\spad{a \\spad{**} \\spad{b}.}") (($ $ (|NonNegativeInteger|)) "\\spad{a \\spad{**} \\spad{b}} returns the input form corresponding to \\spad{a \\spad{**} \\spad{b}.}")) (/ (($ $ $) "\\spad{a / \\spad{b}} returns the input form corresponding to \\spad{a / \\spad{b}.}")) (* (($ $ $) "\\spad{a * \\spad{b}} returns the input form corresponding to \\spad{a * \\spad{b}.}")) (+ (($ $ $) "\\spad{a + \\spad{b}} returns the input form corresponding to \\spad{a + \\spad{b}.}")) (|lambda| (($ $ (|List| (|Symbol|))) "\\spad{lambda(code, [x1,...,xn])} returns the input form corresponding to \\spad{(x1,...,xn) \\spad{+->} code} if \\spad{n > 1}, or to \\spad{x1 \\spad{+->} code} if \\spad{n = 1}.")) (|function| (($ $ (|List| (|Symbol|)) (|Symbol|)) "\\spad{function(code, [x1,...,xn], \\spad{f)}} returns the input form corresponding to \\spad{f(x1,...,xn) \\spad{==} code}.")) (|binary| (($ $ (|List| $)) "\\indented{1}{\\spad{binary(op, [a1,...,an])} returns the input form} \\indented{1}{corresponding \\spad{to\\space{2}\\spad{a1} op \\spad{a2} op \\spad{...} op an}.} \\blankline \\spad{X} a:=[1,2,3]::List(InputForm) \\spad{X} binary(_+::InputForm,a)")) (|convert| (($ (|SExpression|)) "\\spad{convert(s)} makes \\spad{s} into an input form.")) (|interpret| (((|Any|) $) "\\spad{interpret(f)} passes \\spad{f} to the interpreter."))) 
 NIL 
 NIL 
-(-543 |Coef| UTS) 
+(-545 |Coef| UTS) 
 ((|constructor| (NIL "This package computes infinite products of univariate Taylor series over an integral domain of characteristic 0.")) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#2| |#2|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#2| |#2|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#2| |#2|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-544 K -1647 |Par|) 
+(-546 K -3280 |Par|) 
 ((|constructor| (NIL "This is an internal package for computing approximate solutions to systems of polynomial equations. The parameter \\spad{K} specifies the coefficient field of the input polynomials and must be either \\spad{Fraction(Integer)} or \\spad{Complex(Fraction Integer)}. The parameter \\spad{F} specifies where the solutions must lie and can be one of the following: \\spad{Float}, \\spad{Fraction(Integer)}, \\spad{Complex(Float)}, \\spad{Complex(Fraction Integer)}. The last parameter specifies the type of the precision operand and must be either \\spad{Fraction(Integer)} or \\spad{Float}.")) (|makeEq| (((|List| (|Equation| (|Polynomial| |#2|))) (|List| |#2|) (|List| (|Symbol|))) "\\spad{makeEq(lsol,lvar)} returns a list of equations formed by corresponding members of \\spad{lvar} and lsol.")) (|innerSolve| (((|List| (|List| |#2|)) (|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) |#3|) "\\spad{innerSolve(lnum,lden,lvar,eps)} returns a list of solutions of the system of polynomials lnum, with the side condition that none of the members of \\spad{lden} vanish identically on any solution. Each solution is expressed as a list corresponding to the list of variables in \\spad{lvar} and with precision specified by eps.")) (|innerSolve1| (((|List| |#2|) (|Polynomial| |#1|) |#3|) "\\spad{innerSolve1(p,eps)} returns the list of the zeros of the polynomial \\spad{p} with precision eps.") (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{innerSolve1(up,eps)} returns the list of the zeros of the univariate polynomial \\spad{up} with precision eps."))) 
 NIL 
 NIL 
-(-545 R BP |pMod| |nextMod|) 
+(-547 R BP |pMod| |nextMod|) 
 ((|constructor| (NIL "This file contains the functions for modular \\spad{gcd} algorithm for univariate polynomials with coefficients in a non-trivial euclidean domain (\\spadignore{i.e.} not a field). The package parametrised by the coefficient domain, the polynomial domain, a prime, and a function for choosing the next prime")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(f,p)} reduces the coefficients of the polynomial \\spad{f} modulo the prime \\spad{p.}")) (|modularGcd| ((|#2| (|List| |#2|)) "\\spad{modularGcd(listf)} computes the \\spad{gcd} of the list of polynomials \\spad{listf} by modular methods.")) (|modularGcdPrimitive| ((|#2| (|List| |#2|)) "\\spad{modularGcdPrimitive(f1,f2)} computes the \\spad{gcd} of the two polynomials \\spad{f1} and \\spad{f2} by modular methods."))) 
 NIL 
 NIL 
-(-546 OV E R P) 
+(-548 OV E R P) 
 ((|constructor| (NIL "This is an inner package for factoring multivariate polynomials over various coefficient domains in characteristic 0. The univariate factor operation is passed as a parameter. Multivariate hensel lifting is used to lift the univariate factorization")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) "\\spad{factor(p,ufact)} factors the multivariate polynomial \\spad{p} by specializing variables and calling the univariate factorizer ufact. \\spad{p} is represented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#4|) |#4| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) "\\spad{factor(p,ufact)} factors the multivariate polynomial \\spad{p} by specializing variables and calling the univariate factorizer ufact."))) 
 NIL 
 NIL 
-(-547 K UP |Coef| UTS) 
+(-549 K UP |Coef| UTS) 
 ((|constructor| (NIL "This package computes infinite products of univariate Taylor series over an arbitrary finite field.")) (|generalInfiniteProduct| ((|#4| |#4| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#4| |#4|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#4| |#4|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#4| |#4|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-548 |Coef| UTS) 
+(-550 |Coef| UTS) 
 ((|constructor| (NIL "This package computes infinite products of univariate Taylor series over a field of prime order.")) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#2| |#2|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#2| |#2|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#2| |#2|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-549 R UP) 
+(-551 R UP) 
 ((|constructor| (NIL "Find the sign of a polynomial around a point or infinity.")) (|signAround| (((|Union| (|Integer|) "failed") |#2| |#1| (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,r,f)} \\undocumented") (((|Union| (|Integer|) "failed") |#2| |#1| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,r,i,f)} \\undocumented") (((|Union| (|Integer|) "failed") |#2| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,i,f)} \\undocumented"))) 
 NIL 
 NIL 
-(-550 S) 
+(-552 S) 
 ((|constructor| (NIL "An \\spad{IntegerNumberSystem} is a model for the integers.")) (|invmod| (($ $ $) "\\spad{invmod(a,b)}, \\spad{0<=a<b>1}, \\spad{(a,b)=1} means \\spad{1/a mod \\spad{b}.}")) (|powmod| (($ $ $ $) "\\spad{powmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a**b mod \\spad{p}.}")) (|mulmod| (($ $ $ $) "\\spad{mulmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a*b mod \\spad{p}.}")) (|submod| (($ $ $ $) "\\spad{submod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a-b mod \\spad{p}.}")) (|addmod| (($ $ $ $) "\\spad{addmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a+b mod \\spad{p}.}")) (|mask| (($ $) "\\spad{mask(n)} returns \\spad{2**n-1} (an \\spad{n} bit mask).")) (|dec| (($ $) "\\spad{dec(x)} returns \\spad{x - 1}.")) (|inc| (($ $) "\\spad{inc(x)} returns \\spad{x + 1}.")) (|copy| (($ $) "\\spad{copy(n)} gives a copy of \\spad{n.}")) (|hash| (($ $) "\\spad{hash(n)} returns the hash code of \\spad{n.}")) (|random| (($ $) "\\spad{random(a)} creates a random element from 0 to \\spad{n-1}.") (($) "\\spad{random()} creates a random element.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(n)} creates a rational number, or returns \"failed\" if this is not possible.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(n)} creates a rational number (see \\spadtype{Fraction Integer})..")) (|rational?| (((|Boolean|) $) "\\spad{rational?(n)} tests if \\spad{n} is a rational number (see \\spadtype{Fraction Integer}).")) (|symmetricRemainder| (($ $ $) "\\spad{symmetricRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{ \\spad{-b/2} \\spad{<=} \\spad{r} < \\spad{b/2} \\spad{}.}")) (|positiveRemainder| (($ $ $) "\\spad{positiveRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{0 \\spad{<=} \\spad{r} < \\spad{b}} and \\spad{r \\spad{==} a rem \\spad{b}.}")) (|bit?| (((|Boolean|) $ $) "\\spad{bit?(n,i)} returns \\spad{true} if and only if \\spad{i}-th bit of \\spad{n} is a 1.")) (|shift| (($ $ $) "\\spad{shift(a,i)} shift \\spad{a} by \\spad{i} digits.")) (|length| (($ $) "\\spad{length(a)} length of \\spad{a} in digits.")) (|base| (($) "\\spad{base()} returns the base for the operations of \\spad{IntegerNumberSystem}.")) (|multiplicativeValuation| ((|attribute|) "euclideanSize(a*b) returns \\spad{euclideanSize(a)*euclideanSize(b)}.")) (|even?| (((|Boolean|) $) "\\spad{even?(n)} returns \\spad{true} if and only if \\spad{n} is even.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(n)} returns \\spad{true} if and only if \\spad{n} is odd."))) 
 NIL 
 NIL 
-(-551) 
+(-553) 
 ((|constructor| (NIL "An \\spad{IntegerNumberSystem} is a model for the integers.")) (|invmod| (($ $ $) "\\spad{invmod(a,b)}, \\spad{0<=a<b>1}, \\spad{(a,b)=1} means \\spad{1/a mod \\spad{b}.}")) (|powmod| (($ $ $ $) "\\spad{powmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a**b mod \\spad{p}.}")) (|mulmod| (($ $ $ $) "\\spad{mulmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a*b mod \\spad{p}.}")) (|submod| (($ $ $ $) "\\spad{submod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a-b mod \\spad{p}.}")) (|addmod| (($ $ $ $) "\\spad{addmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a+b mod \\spad{p}.}")) (|mask| (($ $) "\\spad{mask(n)} returns \\spad{2**n-1} (an \\spad{n} bit mask).")) (|dec| (($ $) "\\spad{dec(x)} returns \\spad{x - 1}.")) (|inc| (($ $) "\\spad{inc(x)} returns \\spad{x + 1}.")) (|copy| (($ $) "\\spad{copy(n)} gives a copy of \\spad{n.}")) (|hash| (($ $) "\\spad{hash(n)} returns the hash code of \\spad{n.}")) (|random| (($ $) "\\spad{random(a)} creates a random element from 0 to \\spad{n-1}.") (($) "\\spad{random()} creates a random element.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(n)} creates a rational number, or returns \"failed\" if this is not possible.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(n)} creates a rational number (see \\spadtype{Fraction Integer})..")) (|rational?| (((|Boolean|) $) "\\spad{rational?(n)} tests if \\spad{n} is a rational number (see \\spadtype{Fraction Integer}).")) (|symmetricRemainder| (($ $ $) "\\spad{symmetricRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{ \\spad{-b/2} \\spad{<=} \\spad{r} < \\spad{b/2} \\spad{}.}")) (|positiveRemainder| (($ $ $) "\\spad{positiveRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{0 \\spad{<=} \\spad{r} < \\spad{b}} and \\spad{r \\spad{==} a rem \\spad{b}.}")) (|bit?| (((|Boolean|) $ $) "\\spad{bit?(n,i)} returns \\spad{true} if and only if \\spad{i}-th bit of \\spad{n} is a 1.")) (|shift| (($ $ $) "\\spad{shift(a,i)} shift \\spad{a} by \\spad{i} digits.")) (|length| (($ $) "\\spad{length(a)} length of \\spad{a} in digits.")) (|base| (($) "\\spad{base()} returns the base for the operations of \\spad{IntegerNumberSystem}.")) (|multiplicativeValuation| ((|attribute|) "euclideanSize(a*b) returns \\spad{euclideanSize(a)*euclideanSize(b)}.")) (|even?| (((|Boolean|) $) "\\spad{even?(n)} returns \\spad{true} if and only if \\spad{n} is even.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(n)} returns \\spad{true} if and only if \\spad{n} is odd."))) 
-((-4569 . T) (-4570 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4598 . T) (-4599 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-552 |Key| |Entry| |addDom|) 
+(-554 |Key| |Entry| |addDom|) 
 ((|constructor| (NIL "This domain is used to provide a conditional \"add\" domain for the implementation of \\spadtype{Table}."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) 
-(-553 R -1647) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-1097))) (-1831 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-1097)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097))))) 
+(-555 R -3280) 
 ((|constructor| (NIL "This package provides functions for the integration of algebraic integrands over transcendental functions.")) (|algint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|SparseUnivariatePolynomial| |#2|) (|SparseUnivariatePolynomial| |#2|))) "\\spad{algint(f, \\spad{x,} \\spad{y,} \\spad{d)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x;} \\spad{d} is the derivation to use on \\spad{k[x]}."))) 
 NIL 
 NIL 
-(-554 R0 -1647 UP UPUP R) 
+(-556 R0 -3280 UP UPUP R) 
 ((|constructor| (NIL "This package provides functions for integrating a function on an algebraic curve.")) (|palginfieldint| (((|Union| |#5| "failed") |#5| (|Mapping| |#3| |#3|)) "\\spad{palginfieldint(f, \\spad{d)}} returns an algebraic function \\spad{g} such that \\spad{dg = \\spad{f}} if such a \\spad{g} exists, \"failed\" otherwise. Argument \\spad{f} must be a pure algebraic function.")) (|palgintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) "\\spad{palgintegrate(f, \\spad{d)}} integrates \\spad{f} with respect to the derivation \\spad{d.} Argument \\spad{f} must be a pure algebraic function.")) (|algintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) "\\spad{algintegrate(f, \\spad{d)}} integrates \\spad{f} with respect to the derivation \\spad{d.}"))) 
 NIL 
 NIL 
-(-555) 
+(-557) 
 ((|constructor| (NIL "This package provides functions to lookup bits in integers")) (|bitTruth| (((|Boolean|) (|Integer|) (|Integer|)) "\\spad{bitTruth(n,m)} returns \\spad{true} if coefficient of 2**m in abs(n) is 1")) (|bitCoef| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{bitCoef(n,m)} returns the coefficient of 2**m in abs(n)")) (|bitLength| (((|Integer|) (|Integer|)) "\\spad{bitLength(n)} returns the number of bits to represent abs(n)"))) 
 NIL 
 NIL 
-(-556 R) 
+(-558 R) 
 ((|constructor| (NIL "This category implements of interval arithmetic and transcendental functions over intervals.")) (|contains?| (((|Boolean|) $ |#1|) "\\spad{contains?(i,f)} returns \\spad{true} if \\axiom{f} is contained within the interval \\axiom{i}, \\spad{false} otherwise.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(u)} returns \\axiom{true} if every element of \\spad{u} is negative, \\axiom{false} otherwise.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(u)} returns \\axiom{true} if every element of \\spad{u} is positive, \\axiom{false} otherwise.")) (|width| ((|#1| $) "\\spad{width(u)} returns \\axiom{sup(u) - inf(u)}.")) (|sup| ((|#1| $) "\\spad{sup(u)} returns the supremum of \\axiom{u}.")) (|inf| ((|#1| $) "\\spad{inf(u)} returns the infinum of \\axiom{u}.")) (|qinterval| (($ |#1| |#1|) "\\spad{qinterval(inf,sup)} creates a new interval \\axiom{[inf,sup]}, without checking the ordering on the elements.")) (|interval| (($ (|Fraction| (|Integer|))) "\\spad{interval(f)} creates a new interval around \\spad{f.}") (($ |#1|) "\\spad{interval(f)} creates a new interval around \\spad{f.}") (($ |#1| |#1|) "\\spad{interval(inf,sup)} creates a new interval, either \\axiom{[inf,sup]} if \\axiom{inf \\spad{<=} sup} or \\axiom{[sup,in]} otherwise."))) 
-((-4334 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-3367 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-557 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
+(-559 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|placesOfDegree| (((|Void|) (|PositiveInteger|) |#3| (|List| |#5|)) "\\spad{placesOfDegree(d, \\spad{f,} pts)} compute the places of degree dividing \\spad{d} of the curve \\spad{f.} \\spad{pts} should be the singular points of the curve \\spad{f.} For \\spad{d} > 1 this only works if \\spad{K} has \\axiomType{PseudoAlgebraicClosureOfFiniteFieldCategory}.")) (|intersectionDivisor| ((|#8| |#3| |#3| (|List| |#10|) (|List| |#5|)) "\\spad{intersectionDivisor(f,pol,listOfTree)} returns the intersection divisor of \\spad{f} with a curve defined by pol. \\spad{listOfTree} must contain all the desingularisation trees of all singular points on the curve \\indented{1}{defined by pol.}"))) 
 NIL 
 NIL 
-(-558 S) 
+(-560 S) 
 ((|constructor| (NIL "The category of commutative integral domains, \\spadignore{i.e.} commutative rings with no zero divisors. \\blankline Conditional attributes\\br canonicalUnitNormal\\tab{5}the canonical field is the same for all associates\\br canonicalsClosed\\tab{5}the product of two canonicals is itself canonical")) (|unit?| (((|Boolean|) $) "\\spad{unit?(x)} tests whether \\spad{x} is a unit, \\spadignore{i.e.} is invertible.")) (|associates?| (((|Boolean|) $ $) "\\spad{associates?(x,y)} tests whether \\spad{x} and \\spad{y} are associates, \\spadignore{i.e.} differ by a unit factor.")) (|unitCanonical| (($ $) "\\spad{unitCanonical(x)} returns \\spad{unitNormal(x).canonical}.")) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) "\\spad{unitNormal(x)} tries to choose a canonical element from the associate class of \\spad{x.} The attribute canonicalUnitNormal, if asserted, means that the \"canonical\" element is the same across all associates of \\spad{x} if \\spad{unitNormal(x) = [u,c,a]} then \\spad{u*c = \\spad{x},} \\spad{a*u = 1}.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,b)} either returns an element \\spad{c} such that \\spad{c*b=a} or \"failed\" if no such element can be found."))) 
 NIL 
 NIL 
-(-559) 
+(-561) 
 ((|constructor| (NIL "The category of commutative integral domains, \\spadignore{i.e.} commutative rings with no zero divisors. \\blankline Conditional attributes\\br canonicalUnitNormal\\tab{5}the canonical field is the same for all associates\\br canonicalsClosed\\tab{5}the product of two canonicals is itself canonical")) (|unit?| (((|Boolean|) $) "\\spad{unit?(x)} tests whether \\spad{x} is a unit, \\spadignore{i.e.} is invertible.")) (|associates?| (((|Boolean|) $ $) "\\spad{associates?(x,y)} tests whether \\spad{x} and \\spad{y} are associates, \\spadignore{i.e.} differ by a unit factor.")) (|unitCanonical| (($ $) "\\spad{unitCanonical(x)} returns \\spad{unitNormal(x).canonical}.")) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) "\\spad{unitNormal(x)} tries to choose a canonical element from the associate class of \\spad{x.} The attribute canonicalUnitNormal, if asserted, means that the \"canonical\" element is the same across all associates of \\spad{x} if \\spad{unitNormal(x) = [u,c,a]} then \\spad{u*c = \\spad{x},} \\spad{a*u = 1}.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,b)} either returns an element \\spad{c} such that \\spad{c*b=a} or \"failed\" if no such element can be found."))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-560 R -1647) 
+(-562 R -3280) 
 ((|constructor| (NIL "This package provides functions for integration, limited integration, extended integration and the risch differential equation for elementary functions.")) (|lfextlimint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) (|Kernel| |#2|) (|List| (|Kernel| |#2|))) "\\spad{lfextlimint(f,x,k,[k1,...,kn])} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = \\spad{f} - \\spad{c} dk/dx}. Value \\spad{h} is looked for in a field containing \\spad{f} and k1,...,kn (the ki's must be logs).")) (|lfintegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{lfintegrate(f, \\spad{x)}} = \\spad{g} such that \\spad{dg/dx = \\spad{f}.}")) (|lfinfieldint| (((|Union| |#2| "failed") |#2| (|Symbol|)) "\\spad{lfinfieldint(f, \\spad{x)}} returns a function \\spad{g} such that \\spad{dg/dx = \\spad{f}} if \\spad{g} exists, \"failed\" otherwise.")) (|lflimitedint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Symbol|) (|List| |#2|)) "\\spad{lflimitedint(f,x,[g1,...,gn])} returns functions \\spad{[h,[[ci, gi]]]} such that the gi's are among \\spad{[g1,...,gn]}, and \\spad{d(h+sum(ci log(gi)))/dx = \\spad{f},} if possible, \"failed\" otherwise.")) (|lfextendedint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) |#2|) "\\spad{lfextendedint(f, \\spad{x,} \\spad{g)}} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = \\spad{f} - cg}, if \\spad{(h,} \\spad{c)} exist, \"failed\" otherwise."))) 
 NIL 
 NIL 
-(-561 K |symb| E OV R) 
+(-563 K |symb| E OV R) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF"))) 
 NIL 
 NIL 
-(-562 I) 
+(-564 I) 
 ((|constructor| (NIL "This Package contains basic methods for integer factorization. The factor operation employs trial division up to 10,000. It then tests to see if \\spad{n} is a perfect power before using Pollards rho method. Because Pollards method may fail, the result of factor may contain composite factors. We should also employ Lenstra's eliptic curve method.")) (|PollardSmallFactor| (((|Union| |#1| "failed") |#1|) "\\spad{PollardSmallFactor(n)} returns a factor of \\spad{n} or \"failed\" if no one is found")) (|BasicMethod| (((|Factored| |#1|) |#1|) "\\spad{BasicMethod(n)} returns the factorization of integer \\spad{n} by trial division")) (|squareFree| (((|Factored| |#1|) |#1|) "\\spad{squareFree(n)} returns the square free factorization of integer \\spad{n}")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(n)} returns the full factorization of integer \\spad{n}"))) 
 NIL 
 NIL 
-(-563 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR) 
+(-565 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|) |#3| (|List| |#3|)) "\\spad{interpolateForms(D,n,pol,base)} compute the basis of the sub-vector space \\spad{W} of \\spad{V} = <base>, such that for all \\spad{G} in \\spad{W,} the divisor \\spad{(G)} \\spad{>=} \\spad{D.} All the elements in \\spad{base} must be homogeneous polynomial of degree \\spad{n.} Typicaly, \\spad{base} is the set of all monomial of degree \\spad{n:} in that case, interpolateForms(D,n,pol,base) returns the basis of the vector space of all forms of degree \\spad{d} that interpolated \\spad{D.} The argument \\spad{pol} must be the same polynomial that defined the curve form which the divisor \\spad{D} is defined."))) 
 NIL 
 NIL 
-(-564) 
+(-566) 
 ((|constructor| (NIL "There is no description for this domain")) (|entry| (((|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{entry(n)} is not documented")) (|entries| (((|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) "\\spad{entries(x)} is not documented")) (|showAttributes| (((|Union| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{showAttributes(x)} is not documented")) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) "\\spad{insert!(r)} inserts an entry \\spad{r} into theIFTable")) (|fTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) "\\spad{fTable(l)} creates a functions table from the elements of \\spad{l.}")) (|keys| (((|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) "\\spad{keys(f)} returns the list of keys of \\spad{f}")) (|clearTheFTable| (((|Void|)) "\\spad{clearTheFTable()} clears the current table of functions.")) (|showTheFTable| (($) "\\spad{showTheFTable()} returns the current table of functions."))) 
 NIL 
 NIL 
-(-565 R -1647 L) 
+(-567 R -3280 L) 
 ((|constructor| (NIL "Rationalization of several types of genus 0 integrands; This internal package rationalises integrands on curves of the form:\\br \\tab{5}\\spad{y\\^2 = a \\spad{x\\^2} + \\spad{b} \\spad{x} + c}\\br \\tab{5}\\spad{y\\^2 = (a \\spad{x} + \\spad{b)} / \\spad{(c} \\spad{x} + d)}\\br \\tab{5}\\spad{f(x, \\spad{y)} = 0} where \\spad{f} has degree 1 in x\\br The rationalization is done for integration, limited integration, extended integration and the risch differential equation.")) (|palgLODE0| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgLODE0(op,g,x,y,z,t,c)} returns the solution of \\spad{op \\spad{f} = \\spad{g}} Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.}") (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgLODE0(op, \\spad{g,} \\spad{x,} \\spad{y,} \\spad{d,} \\spad{p)}} returns the solution of \\spad{op \\spad{f} = \\spad{g}.} Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}.")) (|lift| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) "\\spad{lift(u,k)} \\undocumented")) (|multivariate| ((|#2| (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|Kernel| |#2|) |#2|) "\\spad{multivariate(u,k,f)} \\undocumented")) (|univariate| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|SparseUnivariatePolynomial| |#2|)) "\\spad{univariate(f,k,k,p)} \\undocumented")) (|palgRDE0| (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgRDE0(f, \\spad{g,} \\spad{x,} \\spad{y,} foo, \\spad{t,} \\spad{c)}} returns a function \\spad{z(x,y)} such that \\spad{dz/dx + \\spad{n} * df/dx z(x,y) = g(x,y)} if such a \\spad{z} exists, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.} Argument \\spad{foo}, called by \\spad{foo(a, \\spad{b,} x)}, is a function that solves \\spad{du/dx + \\spad{n} * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y.}") (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgRDE0(f, \\spad{g,} \\spad{x,} \\spad{y,} foo, \\spad{d,} \\spad{p)}} returns a function \\spad{z(x,y)} such that \\spad{dz/dx + \\spad{n} * df/dx z(x,y) = g(x,y)} if such a \\spad{z} exists, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}. Argument foo, called by \\spad{foo(a, \\spad{b,} x)}, is a function that solves \\spad{du/dx + \\spad{n} * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y.}")) (|palglimint0| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palglimint0(f, \\spad{x,} \\spad{y,} [u1,...,un], \\spad{z,} \\spad{t,} \\spad{c)}} returns functions \\spad{[h,[[ci, ui]]]} such that the ui's are among \\spad{[u1,...,un]} and \\spad{d(h + sum(ci log(ui)))/dx = f(x,y)} if such functions exist, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.}") (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palglimint0(f, \\spad{x,} \\spad{y,} [u1,...,un], \\spad{d,} \\spad{p)}} returns functions \\spad{[h,[[ci, ui]]]} such that the ui's are among \\spad{[u1,...,un]} and \\spad{d(h + sum(ci log(ui)))/dx = f(x,y)} if such functions exist, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}.")) (|palgextint0| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgextint0(f, \\spad{x,} \\spad{y,} \\spad{g,} \\spad{z,} \\spad{t,} \\spad{c)}} returns functions \\spad{[h, \\spad{d]}} such that \\spad{dh/dx = f(x,y) - \\spad{d} \\spad{g},} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}, and \\spad{c} and \\spad{t} are rational functions of \\spad{y.} Argument \\spad{z} is a dummy variable not appearing in \\spad{f(x,y)}. The operation returns \"failed\" if no such functions exist.") (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgextint0(f, \\spad{x,} \\spad{y,} \\spad{g,} \\spad{d,} \\spad{p)}} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = f(x,y) - \\spad{c} \\spad{g},} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2 \\spad{y(x)\\^2} = P(x)}, or \"failed\" if no such functions exist.")) (|palgint0| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgint0(f, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t,} \\spad{c)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.} Argument \\spad{z} is a dummy variable not appearing in \\spad{f(x,y)}.") (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgint0(f, \\spad{x,} \\spad{y,} \\spad{d,} \\spad{p)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2 \\spad{y(x)\\^2} = P(x)}."))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -647) (|devaluate| |#2|)))) 
-(-566) 
+((|HasCategory| |#3| (LIST (QUOTE -649) (|devaluate| |#2|)))) 
+(-568) 
 ((|constructor| (NIL "This package provides various number theoretic functions on the integers.")) (|sumOfKthPowerDivisors| (((|Integer|) (|Integer|) (|NonNegativeInteger|)) "\\spad{sumOfKthPowerDivisors(n,k)} returns the sum of the \\spad{k}th powers of the integers between 1 and \\spad{n} (inclusive) which divide \\spad{n.} the sum of the \\spad{k}th powers of the divisors of \\spad{n} is often denoted by \\spad{sigma_k(n)}.")) (|sumOfDivisors| (((|Integer|) (|Integer|)) "\\spad{sumOfDivisors(n)} returns the sum of the integers between 1 and \\spad{n} (inclusive) which divide \\spad{n.} The sum of the divisors of \\spad{n} is often denoted by \\spad{sigma(n)}.")) (|numberOfDivisors| (((|Integer|) (|Integer|)) "\\spad{numberOfDivisors(n)} returns the number of integers between 1 and \\spad{n} (inclusive) which divide \\spad{n.} The number of divisors of \\spad{n} is often denoted by \\spad{tau(n)}.")) (|moebiusMu| (((|Integer|) (|Integer|)) "\\spad{moebiusMu(n)} returns the Moebius function \\spad{mu(n)}. \\spad{mu(n)} is either \\spad{-1,0} or 1 as follows: \\spad{mu(n) = 0} if \\spad{n} is divisible by a square > 1, \\spad{mu(n) = (-1)^k} if \\spad{n} is square-free and has \\spad{k} distinct prime divisors.")) (|legendre| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{legendre(a,p)} returns the Legendre symbol \\spad{L(a/p)}. \\spad{L(a/p) = (-1)**((p-1)/2) mod \\spad{p}} \\spad{(p} prime), which is 0 if \\spad{a} is 0, 1 if \\spad{a} is a quadratic residue \\spad{mod \\spad{p}} and \\spad{-1} otherwise. Note that because the primality test is expensive, if it is known that \\spad{p} is prime then use \\spad{jacobi(a,p)}.")) (|jacobi| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{jacobi(a,b)} returns the Jacobi symbol \\spad{J(a/b)}. When \\spad{b} is odd, \\spad{J(a/b) = product(L(a/p) for \\spad{p} in factor \\spad{b} \\spad{)}.} Note that by convention, 0 is returned if \\spad{gcd(a,b) \\spad{^=} 1}. Iterative \\spad{O(log(b)^2)} version coded by Michael Monagan June 1987.")) (|harmonic| (((|Fraction| (|Integer|)) (|Integer|)) "\\spad{harmonic(n)} returns the \\spad{n}th harmonic number. This is \\spad{H[n] = sum(1/k,k=1..n)}.")) (|fibonacci| (((|Integer|) (|Integer|)) "\\spad{fibonacci(n)} returns the \\spad{n}th Fibonacci number. the Fibonacci numbers \\spad{F[n]} are defined by \\spad{F[0] = F[1] = 1} and \\spad{F[n] = F[n-1] + F[n-2]}. The algorithm has running time \\spad{O(log(n)^3)}. Reference: Knuth, The Art of Computer Programming Vol 2, Semi-Numerical Algorithms.")) (|eulerPhi| (((|Integer|) (|Integer|)) "\\spad{eulerPhi(n)} returns the number of integers between 1 and \\spad{n} (including 1) which are relatively prime to \\spad{n.} This is the Euler phi function \\spad{\\phi(n)} is also called the totient function.")) (|euler| (((|Integer|) (|Integer|)) "\\spad{euler(n)} returns the \\spad{n}th Euler number. This is \\spad{2^n E(n,1/2)}, where \\spad{E(n,x)} is the \\spad{n}th Euler polynomial.")) (|divisors| (((|List| (|Integer|)) (|Integer|)) "\\spad{divisors(n)} returns a list of the divisors of \\spad{n.}")) (|chineseRemainder| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{chineseRemainder(x1,m1,x2,m2)} returns \\spad{w,} where \\spad{w} is such that \\spad{w = \\spad{x1} mod \\spad{m1}} and \\spad{w = \\spad{x2} mod m2}. Note that \\spad{m1} and \\spad{m2} must be relatively prime.")) (|bernoulli| (((|Fraction| (|Integer|)) (|Integer|)) "\\spad{bernoulli(n)} returns the \\spad{n}th Bernoulli number. this is \\spad{B(n,0)}, where \\spad{B(n,x)} is the \\spad{n}th Bernoulli polynomial."))) 
 NIL 
 NIL 
-(-567 -1647 UP UPUP R) 
+(-569 -3280 UP UPUP R) 
 ((|constructor| (NIL "Algebraic Hermite reduction.")) (|HermiteIntegrate| (((|Record| (|:| |answer| |#4|) (|:| |logpart| |#4|)) |#4| (|Mapping| |#2| |#2|)) "\\spad{HermiteIntegrate(f, \\spad{')}} returns \\spad{[g,h]} such that \\spad{f = \\spad{g'} + \\spad{h}} and \\spad{h} has a only simple finite normal poles."))) 
 NIL 
 NIL 
-(-568 -1647 UP) 
+(-570 -3280 UP) 
 ((|constructor| (NIL "Hermite integration, transcendental case.")) (|HermiteIntegrate| (((|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |logpart| (|Fraction| |#2|)) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{HermiteIntegrate(f, \\spad{D)}} returns \\spad{[g, \\spad{h,} \\spad{s,} \\spad{p]}} such that \\spad{f = \\spad{Dg} + \\spad{h} + \\spad{s} + \\spad{p},} \\spad{h} has a squarefree denominator normal w.r.t. \\spad{D,} and all the squarefree factors of the denominator of \\spad{s} are special w.r.t. \\spad{D.} Furthermore, \\spad{h} and \\spad{s} have no polynomial parts. \\spad{D} is the derivation to use on \\spadtype{UP}."))) 
 NIL 
 NIL 
-(-569) 
+(-571) 
 ((|constructor| (NIL "\\spadtype{Integer} provides the domain of arbitrary precision integers.")) (|infinite| ((|attribute|) "nextItem never returns \"failed\".")) (|noetherian| ((|attribute|) "ascending chain condition on ideals.")) (|canonicalsClosed| ((|attribute|) "two positives multiply to give positive.")) (|canonical| ((|attribute|) "mathematical equality is data structure equality.")) (|random| (($ $) "\\spad{random(n)} returns a random integer from 0 to \\spad{n-1}."))) 
-((-4553 . T) (-4559 . T) (-4563 . T) (-4558 . T) (-4569 . T) (-4570 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4582 . T) (-4588 . T) (-4592 . T) (-4587 . T) (-4598 . T) (-4599 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-570) 
+(-572) 
 ((|constructor| (NIL "\\axiomType{AnnaNumericalIntegrationPackage} is a \\axiom{package} of functions for the \\axiom{category} \\axiomType{NumericalIntegrationCategory} with \\axiom{measure}, and \\axiom{integrate}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical integration problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{NumericalIntegrationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine for solving the numerical integration problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{NumericalIntegrationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.")) (|integrate| (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|Symbol|)) "\\spad{integrate(exp, \\spad{x} = a..b, numerical)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range, {\\tt a} to {\\tt \\spad{b}.} \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used. \\blankline It is an error if the last argument is not {\\tt numerical}.") (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|String|)) "\\spad{integrate(exp, \\spad{x} = a..b, \"numerical\")} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range, {\\tt a} to {\\tt \\spad{b}.} \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used. \\blankline It is an error of the last argument is not {\\tt \"numerical\"}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|) (|RoutinesTable|)) "\\spad{integrate(exp, [a..b,c..d,...], epsabs, epsrel, routines)} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges to the required absolute and relative accuracy, using the routines available in the RoutinesTable provided. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|)) "\\spad{integrate(exp, [a..b,c..d,...], epsabs, epsrel)} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|)) "\\spad{integrate(exp, [a..b,c..d,...], epsrel)} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges to the required relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline If epsrel = 0, a default absolute accuracy is used.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) "\\spad{integrate(exp, [a..b,c..d,...])} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|)))) "\\spad{integrate(exp, a..b)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}.} \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|)) "\\spad{integrate(exp, a..b, epsrel)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}} to the required relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline If epsrel = 0, a default absolute accuracy is used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|)) "\\spad{integrate(exp, a..b, epsabs, epsrel)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}} to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|NumericalIntegrationProblem|)) "\\spad{integrate(IntegrationProblem)} is a top level ANNA function to integrate an expression over a given range or ranges to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|) (|RoutinesTable|)) "\\spad{integrate(exp, a..b, epsrel, routines)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}} to the required absolute and relative accuracy using the routines available in the RoutinesTable provided. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}."))) 
 NIL 
 NIL 
-(-571 R -1647 L) 
+(-573 R -3280 L) 
 ((|constructor| (NIL "Integration of pure algebraic functions; This package provides functions for integration, limited integration, extended integration and the risch differential equation for pure algebraic integrands.")) (|palgLODE| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Symbol|)) "\\spad{palgLODE(op, \\spad{g,} \\spad{kx,} \\spad{y,} \\spad{x)}} returns the solution of \\spad{op \\spad{f} = \\spad{g}.} \\spad{y} is an algebraic function of \\spad{x.}")) (|palgRDE| (((|Union| |#2| "failed") |#2| |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|))) "\\spad{palgRDE(nfp, \\spad{f,} \\spad{g,} \\spad{x,} \\spad{y,} foo)} returns a function \\spad{z(x,y)} such that \\spad{dz/dx + \\spad{n} * df/dx z(x,y) = g(x,y)} if such a \\spad{z} exists, \"failed\" otherwise; \\spad{y} is an algebraic function of \\spad{x;} \\spad{foo(a, \\spad{b,} \\spad{x)}} is a function that solves \\spad{du/dx + \\spad{n} * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y.} \\spad{nfp} is \\spad{n * df/dx}.")) (|palglimint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|)) "\\spad{palglimint(f, \\spad{x,} \\spad{y,} [u1,...,un])} returns functions \\spad{[h,[[ci, ui]]]} such that the ui's are among \\spad{[u1,...,un]} and \\spad{d(h + sum(ci log(ui)))/dx = f(x,y)} if such functions exist, \"failed\" otherwise; \\spad{y} is an algebraic function of \\spad{x.}")) (|palgextint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2|) "\\spad{palgextint(f, \\spad{x,} \\spad{y,} \\spad{g)}} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = f(x,y) - \\spad{c} \\spad{g},} where \\spad{y} is an algebraic function of \\spad{x;} returns \"failed\" if no such functions exist.")) (|palgint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|)) "\\spad{palgint(f, \\spad{x,} \\spad{y)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x.}"))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -647) (|devaluate| |#2|)))) 
-(-572 R -1647) 
+((|HasCategory| |#3| (LIST (QUOTE -649) (|devaluate| |#2|)))) 
+(-574 R -3280) 
 ((|constructor| (NIL "\\spadtype{PatternMatchIntegration} provides functions that use the pattern matcher to find some indefinite and definite integrals involving special functions and found in the litterature.")) (|pmintegrate| (((|Union| |#2| "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) "\\spad{pmintegrate(f, \\spad{x} = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b} if it can be found by the built-in pattern matching rules.") (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) "\\spad{pmintegrate(f, \\spad{x)}} returns either \"failed\" or \\spad{[g,h]} such that \\spad{integrate(f,x) = \\spad{g} + integrate(h,x)}.")) (|pmComplexintegrate| (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) "\\spad{pmComplexintegrate(f, \\spad{x)}} returns either \"failed\" or \\spad{[g,h]} such that \\spad{integrate(f,x) = \\spad{g} + integrate(h,x)}. It only looks for special complex integrals that pmintegrate does not return.")) (|splitConstant| (((|Record| (|:| |const| |#2|) (|:| |nconst| |#2|)) |#2| (|Symbol|)) "\\spad{splitConstant(f, \\spad{x)}} returns \\spad{[c, \\spad{g]}} such that \\spad{f = \\spad{c} * \\spad{g}} and \\spad{c} does not involve \\spad{t}."))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1127)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-621))))) 
-(-573 -1647 UP) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1131)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-623))))) 
+(-575 -3280 UP) 
 ((|constructor| (NIL "Rational function integration This package provides functions for the base case of the Risch algorithm.")) (|limitedint| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|List| (|Fraction| |#2|))) "\\spad{limitedint(f, [g1,...,gn])} returns fractions \\spad{[h,[[ci, gi]]]} such that the gi's are among \\spad{[g1,...,gn]}, \\spad{ci' = 0}, and \\spad{(h+sum(ci log(gi)))' = \\spad{f},} if possible, \"failed\" otherwise.")) (|extendedint| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{extendedint(f, \\spad{g)}} returns fractions \\spad{[h, \\spad{c]}} such that \\spad{c' = 0} and \\spad{h' = \\spad{f} - cg}, if \\spad{(h, \\spad{c)}} exist, \"failed\" otherwise.")) (|infieldint| (((|Union| (|Fraction| |#2|) "failed") (|Fraction| |#2|)) "\\spad{infieldint(f)} returns \\spad{g} such that \\spad{g' = \\spad{f}} or \"failed\" if the integral of \\spad{f} is not a rational function.")) (|integrate| (((|IntegrationResult| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{integrate(f)} returns \\spad{g} such that \\spad{g' = \\spad{f}.}"))) 
 NIL 
 NIL 
-(-574 S) 
+(-576 S) 
 ((|constructor| (NIL "Provides integer testing and retraction functions.")) (|integerIfCan| (((|Union| (|Integer|) "failed") |#1|) "\\spad{integerIfCan(x)} returns \\spad{x} as an integer, \"failed\" if \\spad{x} is not an integer.")) (|integer?| (((|Boolean|) |#1|) "\\spad{integer?(x)} is \\spad{true} if \\spad{x} is an integer, \\spad{false} otherwise.")) (|integer| (((|Integer|) |#1|) "\\spad{integer(x)} returns \\spad{x} as an integer; error if \\spad{x} is not an integer."))) 
 NIL 
 NIL 
-(-575 -1647) 
+(-577 -3280) 
 ((|constructor| (NIL "This package provides functions for the integration of rational functions.")) (|extendedIntegrate| (((|Union| (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| |#1|))) (|:| |coeff| (|Fraction| (|Polynomial| |#1|)))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) "\\spad{extendedIntegrate(f, \\spad{x,} \\spad{g)}} returns fractions \\spad{[h, \\spad{c]}} such that \\spad{dc/dx = 0} and \\spad{dh/dx = \\spad{f} - cg}, if \\spad{(h, \\spad{c)}} exist, \"failed\" otherwise.")) (|limitedIntegrate| (((|Union| (|Record| (|:| |mainpart| (|Fraction| (|Polynomial| |#1|))) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| (|Polynomial| |#1|))) (|:| |logand| (|Fraction| (|Polynomial| |#1|))))))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{limitedIntegrate(f, \\spad{x,} [g1,...,gn])} returns fractions \\spad{[h, [[ci,gi]]]} such that the gi's are among \\spad{[g1,...,gn]}, \\spad{dci/dx = 0}, and \\spad{d(h + sum(ci log(gi)))/dx = \\spad{f}} if possible, \"failed\" otherwise.")) (|infieldIntegrate| (((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{infieldIntegrate(f, \\spad{x)}} returns a fraction \\spad{g} such that \\spad{dg/dx = \\spad{f}} if \\spad{g} exists, \"failed\" otherwise.")) (|internalIntegrate| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{internalIntegrate(f, \\spad{x)}} returns \\spad{g} such that \\spad{dg/dx = \\spad{f}.}"))) 
 NIL 
 NIL 
-(-576 R) 
+(-578 R) 
 ((|constructor| (NIL "This domain is an implementation of interval arithmetic and transcendental functions over intervals."))) 
-((-4334 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-3367 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-577) 
+(-579) 
 ((|constructor| (NIL "This package provides the implementation for the \\spadfun{solveLinearPolynomialEquation} operation over the integers. It uses a lifting technique from the package GenExEuclid")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| (|Integer|))) "failed") (|List| (|SparseUnivariatePolynomial| (|Integer|))) (|SparseUnivariatePolynomial| (|Integer|))) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists."))) 
 NIL 
 NIL 
-(-578 R -1647) 
+(-580 R -3280) 
 ((|constructor| (NIL "Tools for the integrator")) (|intPatternMatch| (((|IntegrationResult| |#2|) |#2| (|Symbol|) (|Mapping| (|IntegrationResult| |#2|) |#2| (|Symbol|)) (|Mapping| (|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|))) "\\spad{intPatternMatch(f, \\spad{x,} int, pmint)} tries to integrate \\spad{f} first by using the integration function \\spad{int}, and then by using the pattern match intetgration function \\spad{pmint} on any remaining unintegrable part.")) (|mkPrim| ((|#2| |#2| (|Symbol|)) "\\spad{mkPrim(f, \\spad{x)}} makes the logs in \\spad{f} which are linear in \\spad{x} primitive with respect to \\spad{x.}")) (|removeConstantTerm| ((|#2| |#2| (|Symbol|)) "\\spad{removeConstantTerm(f, \\spad{x)}} returns \\spad{f} minus any additive constant with respect to \\spad{x.}")) (|vark| (((|List| (|Kernel| |#2|)) (|List| |#2|) (|Symbol|)) "\\spad{vark([f1,...,fn],x)} returns the set-theoretic union of \\spad{(varselect(f1,x),...,varselect(fn,x))}.")) (|union| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|))) "\\spad{union(l1, l2)} returns set-theoretic union of \\spad{l1} and \\spad{l2.}")) (|ksec| (((|Kernel| |#2|) (|Kernel| |#2|) (|List| (|Kernel| |#2|)) (|Symbol|)) "\\spad{ksec(k, [k1,...,kn], \\spad{x)}} returns the second top-level \\spad{ki} after \\spad{k} involving \\spad{x.}")) (|kmax| (((|Kernel| |#2|) (|List| (|Kernel| |#2|))) "\\spad{kmax([k1,...,kn])} returns the top-level \\spad{ki} for integration.")) (|varselect| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|Symbol|)) "\\spad{varselect([k1,...,kn], \\spad{x)}} returns the \\spad{ki} which involve \\spad{x.}"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-280))) (|HasCategory| |#2| (QUOTE (-621)))) (-12 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-280)))) (|HasCategory| |#1| (QUOTE (-559)))) 
-(-579 -1647 UP) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-280))) (|HasCategory| |#2| (QUOTE (-623)))) (-12 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-280)))) (|HasCategory| |#1| (QUOTE (-561)))) 
+(-581 -3280 UP) 
 ((|constructor| (NIL "This package provides functions for the transcendental case of the Risch algorithm.")) (|monomialIntPoly| (((|Record| (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (|Mapping| |#2| |#2|)) "\\spad{monomialIntPoly(p, \\spad{')}} returns \\spad{[q,} \\spad{r]} such that \\spad{p = \\spad{q'} + \\spad{r}} and \\spad{degree(r) < degree(t')}. Error if \\spad{degree(t') < 2}.")) (|monomialIntegrate| (((|Record| (|:| |ir| (|IntegrationResult| (|Fraction| |#2|))) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomialIntegrate(f, \\spad{')}} returns \\spad{[ir, \\spad{s,} \\spad{p]}} such that \\spad{f = ir' + \\spad{s} + \\spad{p}} and all the squarefree factors of the denominator of \\spad{s} are special w.r.t the derivation \\spad{'.}")) (|expintfldpoly| (((|Union| (|LaurentPolynomial| |#1| |#2|) "failed") (|LaurentPolynomial| |#1| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) "\\spad{expintfldpoly(p, foo)} returns \\spad{q} such that \\spad{p' = \\spad{q}} or \"failed\" if no such \\spad{q} exists. Argument foo is a Risch differential equation function on \\spad{F.}")) (|primintfldpoly| (((|Union| |#2| "failed") |#2| (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) "\\spad{primintfldpoly(p, \\spad{',} t')} returns \\spad{q} such that \\spad{p' = \\spad{q}} or \"failed\" if no such \\spad{q} exists. Argument \\spad{t'} is the derivative of the primitive generating the extension.")) (|primlimintfrac| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|List| (|Fraction| |#2|))) "\\spad{primlimintfrac(f, \\spad{',} [u1,...,un])} returns \\spad{[v, [c1,...,cn]]} such that \\spad{ci' = 0} and \\spad{f = \\spad{v'} + +/[ci * ui'/ui]}. Error: if \\spad{degree numer \\spad{f} \\spad{>=} degree denom \\spad{f}.}")) (|primextintfrac| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Fraction| |#2|)) "\\spad{primextintfrac(f, \\spad{',} \\spad{g)}} returns \\spad{[v, \\spad{c]}} such that \\spad{f = \\spad{v'} + \\spad{c} \\spad{g}} and \\spad{c' = 0}. Error: if \\spad{degree numer \\spad{f} \\spad{>=} degree denom \\spad{f}} or if \\spad{degree numer \\spad{g} \\spad{>=} degree denom \\spad{g}} or if \\spad{denom \\spad{g}} is not squarefree.")) (|explimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|List| (|Fraction| |#2|))) "\\spad{explimitedint(f, \\spad{',} foo, [u1,...,un])} returns \\spad{[v, [c1,...,cn], a]} such that \\spad{ci' = 0}, \\spad{f = \\spad{v'} + a + reduce(+,[ci * ui'/ui])}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F.} Returns \"failed\" if no such \\spad{v,} ci, a exist. Argument \\spad{foo} is a Risch differential equation function on \\spad{F.}")) (|primlimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|List| (|Fraction| |#2|))) "\\spad{primlimitedint(f, \\spad{',} foo, [u1,...,un])} returns \\spad{[v, [c1,...,cn], a]} such that \\spad{ci' = 0}, \\spad{f = \\spad{v'} + a + reduce(+,[ci * ui'/ui])}, and \\spad{a = 0} or \\spad{a} has no integral in UP. Returns \"failed\" if no such \\spad{v,} ci, a exist. Argument \\spad{foo} is an extended integration function on \\spad{F.}")) (|expextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|Fraction| |#2|)) "\\spad{expextendedint(f, \\spad{',} foo, \\spad{g)}} returns either \\spad{[v, \\spad{c]}} such that \\spad{f = \\spad{v'} + \\spad{c} \\spad{g}} and \\spad{c' = 0}, or \\spad{[v, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F.} Returns \"failed\" if neither case can hold. Argument \\spad{foo} is a Risch differential equation function on \\spad{F.}")) (|primextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|Fraction| |#2|)) "\\spad{primextendedint(f, \\spad{',} foo, \\spad{g)}} returns either \\spad{[v, \\spad{c]}} such that \\spad{f = \\spad{v'} + \\spad{c} \\spad{g}} and \\spad{c' = 0}, or \\spad{[v, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in UP. Returns \"failed\" if neither case can hold. Argument \\spad{foo} is an extended integration function on \\spad{F.}")) (|tanintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|List| |#1|) "failed") (|Integer|) |#1| |#1|)) "\\spad{tanintegrate(f, \\spad{',} foo)} returns \\spad{[g, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F;} Argument foo is a Risch differential system solver on \\spad{F;}")) (|expintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) "\\spad{expintegrate(f, \\spad{',} foo)} returns \\spad{[g, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F;} Argument foo is a Risch differential equation solver on \\spad{F;}")) (|primintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) "\\spad{primintegrate(f, \\spad{',} foo)} returns \\spad{[g, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in UP. Argument foo is an extended integration function on \\spad{F.}"))) 
 NIL 
 NIL 
-(-580 R -1647) 
+(-582 R -3280) 
 ((|constructor| (NIL "This package computes the inverse Laplace Transform.")) (|inverseLaplace| (((|Union| |#2| "failed") |#2| (|Symbol|) (|Symbol|)) "\\spad{inverseLaplace(f, \\spad{s,} \\spad{t)}} returns the Inverse Laplace transform of \\spad{f(s)} using \\spad{t} as the new variable or \"failed\" if unable to find a closed form. Handles only rational \\spad{f(s)}."))) 
 NIL 
 NIL 
-(-581 |p| |unBalanced?|) 
+(-583 |p| |unBalanced?|) 
 ((|constructor| (NIL "This domain implements \\spad{Zp,} the p-adic completion of the integers. This is an internal domain."))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-582 |p|) 
+(-584 |p|) 
 ((|constructor| (NIL "InnerPrimeField(p) implements the field with \\spad{p} elements."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| $ (QUOTE (-151))) (|HasCategory| $ (QUOTE (-149))) (|HasCategory| $ (QUOTE (-371)))) 
-(-583) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| $ (QUOTE (-151))) (|HasCategory| $ (QUOTE (-149))) (|HasCategory| $ (QUOTE (-373)))) 
+(-585) 
 ((|constructor| (NIL "A package to print strings without line-feed nor carriage-return.")) (|iprint| (((|Void|) (|String|)) "\\axiom{iprint(s)} prints \\axiom{s} at the current position of the cursor."))) 
 NIL 
 NIL 
-(-584 R -1647) 
+(-586 R -3280) 
 ((|constructor| (NIL "Conversion of integration results to top-level expressions This package allows a sum of logs over the roots of a polynomial to be expressed as explicit logarithms and arc tangents, provided that the indexing polynomial can be factored into quadratics.")) (|complexExpand| ((|#2| (|IntegrationResult| |#2|)) "\\spad{complexExpand(i)} returns the expanded complex function corresponding to i.")) (|expand| (((|List| |#2|) (|IntegrationResult| |#2|)) "\\spad{expand(i)} returns the list of possible real functions corresponding to i.")) (|split| (((|IntegrationResult| |#2|) (|IntegrationResult| |#2|)) "\\spad{split(u(x) + sum_{P(a)=0} Q(a,x))} returns \\spad{u(x) + sum_{P1(a)=0} Q(a,x) + \\spad{...} + sum_{Pn(a)=0} Q(a,x)} where P1,...,Pn are the factors of \\spad{P.}"))) 
 NIL 
 NIL 
-(-585 E -1647) 
+(-587 E -3280) 
 ((|constructor| (NIL "Internally used by the integration packages")) (|map| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |mainpart| |#1|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) "\\spad{map(f,ufe)} \\undocumented") (((|Union| |#2| "failed") (|Mapping| |#2| |#1|) (|Union| |#1| "failed")) "\\spad{map(f,ue)} \\undocumented") (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed")) "\\spad{map(f,ure)} \\undocumented") (((|IntegrationResult| |#2|) (|Mapping| |#2| |#1|) (|IntegrationResult| |#1|)) "\\spad{map(f,ire)} \\undocumented"))) 
 NIL 
 NIL 
-(-586 -1647) 
+(-588 -3280) 
 ((|constructor| (NIL "The result of a transcendental integration. If a function \\spad{f} has an elementary integral \\spad{g,} then \\spad{g} can be written in the form \\spad{g = \\spad{h} + \\spad{c1} log(u1) + \\spad{c2} log(u2) + \\spad{...} + \\spad{cn} log(un)} where \\spad{h,} which is in the same field than \\spad{f,} is called the rational part of the integral, and \\spad{c1 log(u1) + \\spad{...} \\spad{cn} log(un)} is called the logarithmic part of the integral. This domain manipulates integrals represented in that form, by keeping both parts separately. The logs are not explicitly computed.")) (|differentiate| ((|#1| $ (|Symbol|)) "\\spad{differentiate(ir,x)} differentiates \\spad{ir} with respect to \\spad{x}") ((|#1| $ (|Mapping| |#1| |#1|)) "\\spad{differentiate(ir,D)} differentiates \\spad{ir} with respect to the derivation \\spad{D.}")) (|integral| (($ |#1| (|Symbol|)) "\\spad{integral(f,x)} returns the formal integral of \\spad{f} with respect to \\spad{x}") (($ |#1| |#1|) "\\spad{integral(f,x)} returns the formal integral of \\spad{f} with respect to \\spad{x}")) (|elem?| (((|Boolean|) $) "\\spad{elem?(ir)} tests if an integration result is elementary over \\spad{F?}")) (|notelem| (((|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) "\\spad{notelem(ir)} returns the non-elementary part of an integration result")) (|logpart| (((|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) $) "\\spad{logpart(ir)} returns the logarithmic part of an integration result")) (|ratpart| ((|#1| $) "\\spad{ratpart(ir)} returns the rational part of an integration result")) (|mkAnswer| (($ |#1| (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) "\\spad{mkAnswer(r,l,ne)} creates an integration result from a rational part \\spad{r,} a logarithmic part \\spad{l,} and a non-elementary part ne."))) 
-((-4566 . T) (-4565 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-1165))))) 
-(-587 I) 
+((-4595 . T) (-4594 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-1169))))) 
+(-589 I) 
 ((|constructor| (NIL "The \\spadtype{IntegerRoots} package computes square roots and \\spad{n}th roots of integers efficiently.")) (|approxSqrt| ((|#1| |#1|) "\\spad{approxSqrt(n)} returns an approximation \\spad{x} to \\spad{sqrt(n)} such that \\spad{-1 < \\spad{x} - sqrt(n) < 1}. Compute an approximation \\spad{s} to \\spad{sqrt(n)} such that \\indented{10}{\\spad{-1 < \\spad{s} - sqrt(n) < 1}} A variable precision Newton iteration is used. The running time is \\spad{O( \\spad{log(n)**2} \\spad{)}.}")) (|perfectSqrt| (((|Union| |#1| "failed") |#1|) "\\spad{perfectSqrt(n)} returns the square root of \\spad{n} if \\spad{n} is a perfect square and returns \"failed\" otherwise")) (|perfectSquare?| (((|Boolean|) |#1|) "\\spad{perfectSquare?(n)} returns \\spad{true} if \\spad{n} is a perfect square and \\spad{false} otherwise")) (|approxNthRoot| ((|#1| |#1| (|NonNegativeInteger|)) "\\spad{approxRoot(n,r)} returns an approximation \\spad{x} to \\spad{n**(1/r)} such that \\spad{-1 < \\spad{x} - n**(1/r) < 1}")) (|perfectNthRoot| (((|Record| (|:| |base| |#1|) (|:| |exponent| (|NonNegativeInteger|))) |#1|) "\\spad{perfectNthRoot(n)} returns \\spad{[x,r]}, where \\spad{n = x\\^r} and \\spad{r} is the largest integer such that \\spad{n} is a perfect \\spad{r}th power") (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{perfectNthRoot(n,r)} returns the \\spad{r}th root of \\spad{n} if \\spad{n} is an \\spad{r}th power and returns \"failed\" otherwise")) (|perfectNthPower?| (((|Boolean|) |#1| (|NonNegativeInteger|)) "\\spad{perfectNthPower?(n,r)} returns \\spad{true} if \\spad{n} is an \\spad{r}th power and \\spad{false} otherwise"))) 
 NIL 
 NIL 
-(-588 GF) 
+(-590 GF) 
 ((|constructor| (NIL "This package exports the function generateIrredPoly that computes a monic irreducible polynomial of degree \\spad{n} over a finite field.")) (|generateIrredPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{generateIrredPoly(n)} generates an irreducible univariate polynomial of the given degree \\spad{n} over the finite field."))) 
 NIL 
 NIL 
-(-589 R) 
+(-591 R) 
 ((|constructor| (NIL "Conversion of integration results to top-level expressions. This package allows a sum of logs over the roots of a polynomial to be expressed as explicit logarithms and arc tangents, provided that the indexing polynomial can be factored into quadratics.")) (|complexIntegrate| (((|Expression| |#1|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{complexIntegrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable.")) (|integrate| (((|Union| (|Expression| |#1|) (|List| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{integrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a real variable..")) (|complexExpand| (((|Expression| |#1|) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{complexExpand(i)} returns the expanded complex function corresponding to i.")) (|expand| (((|List| (|Expression| |#1|)) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{expand(i)} returns the list of possible real functions corresponding to i.")) (|split| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{split(u(x) + sum_{P(a)=0} Q(a,x))} returns \\spad{u(x) + sum_{P1(a)=0} Q(a,x) + \\spad{...} + sum_{Pn(a)=0} Q(a,x)} where P1,...,Pn are the factors of \\spad{P.}"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-151)))) 
-(-590) 
+(-592) 
 ((|constructor| (NIL "IrrRepSymNatPackage contains functions for computing the ordinary irreducible representations of symmetric groups on \\spad{n} letters {1,2,...,n} in Young's natural form and their dimensions. These representations can be labelled by number partitions of \\spad{n,} \\spadignore{i.e.} a weakly decreasing sequence of integers summing up to \\spad{n,} \\spadignore{e.g.} [3,3,3,1] labels an irreducible representation for \\spad{n} equals 10. Note that whenever a \\spadtype{List Integer} appears in a signature, a partition required.")) (|irreducibleRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)) (|List| (|Permutation| (|Integer|)))) "\\spad{irreducibleRepresentation(lambda,listOfPerm)} is the list of the irreducible representations corresponding to \\spad{lambda} in Young's natural form for the list of permutations given by listOfPerm.") (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) "\\spad{irreducibleRepresentation(lambda)} is the list of the two irreducible representations corresponding to the partition \\spad{lambda} in Young's natural form for the following two generators of the symmetric group, whose elements permute {1,2,...,n}, namely \\spad{(1} 2) (2-cycle) and \\spad{(1} 2 \\spad{...} \\spad{n)} (n-cycle).") (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|Permutation| (|Integer|))) "\\spad{irreducibleRepresentation(lambda,pi)} is the irreducible representation corresponding to partition \\spad{lambda} in Young's natural form of the permutation \\spad{pi} in the symmetric group, whose elements permute {1,2,...,n}.")) (|dimensionOfIrreducibleRepresentation| (((|NonNegativeInteger|) (|List| (|Integer|))) "\\spad{dimensionOfIrreducibleRepresentation(lambda)} is the dimension of the ordinary irreducible representation of the symmetric group corresponding to lambda. Note that the Robinson-Thrall hook formula is implemented."))) 
 NIL 
 NIL 
-(-591 R E V P TS) 
-((|constructor| (NIL "An internal package for computing the rational univariate representation of a zero-dimensional algebraic variety given by a square-free triangular set. The main operation is rur")) (|checkRur| (((|Boolean|) |#5| (|List| |#5|)) "\\spad{checkRur(ts,lus)} returns \\spad{true} if \\spad{lus} is a rational univariate representation of \\spad{ts}.")) (|rur| (((|List| |#5|) |#5| (|Boolean|)) "\\spad{rur(ts,univ?)} returns a rational univariate representation of \\spad{ts}. This assumes that the lowest polynomial in \\spad{ts} is a variable \\spad{v} which does not occur in the other polynomials of \\spad{ts}. This variable will be used to define the simple algebraic extension over which these other polynomials will be rewritten as univariate polynomials with degree one. If \\spad{univ?} is \\spad{true} then these polynomials will have a constant initial."))) 
+(-593 R E V P TS) 
+((|constructor| (NIL "\\indented{1}{Author: Marc Moreno Maza} Date Created: 01/1999 Date Last Updated: 23/01/1999 References: \\indented{1}{[1] \\spad{D.} LAZARD \"Solving Zero-dimensional Algebraic Systems\"} \\indented{5}{Journal of Symbolic Computation, 1992, 13, 117-131} Description:")) (|checkRur| (((|Boolean|) |#5| (|List| |#5|)) "\\spad{checkRur(ts,lus)} returns \\spad{true} if \\spad{lus} is a rational univariate representation of \\spad{ts}.")) (|rur| (((|List| |#5|) |#5| (|Boolean|)) "\\spad{rur(ts,univ?)} returns a rational univariate representation of \\spad{ts}. This assumes that the lowest polynomial in \\spad{ts} is a variable \\spad{v} which does not occur in the other polynomials of \\spad{ts}. This variable will be used to define the simple algebraic extension over which these other polynomials will be rewritten as univariate polynomials with degree one. If \\spad{univ?} is \\spad{true} then these polynomials will have a constant initial."))) 
 NIL 
 NIL 
-(-592 |mn|) 
+(-594 |mn|) 
 ((|constructor| (NIL "This domain implements low-level strings")) (|hash| (((|Integer|) $) "\\spad{hash(x)} provides a hashing function for strings"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| (-148) (QUOTE (-1093))) (|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-844))) (-1929 (|HasCategory| (-148) (QUOTE (-844))) (|HasCategory| (-148) (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-844)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))))) 
-(-593 E V R P) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| (-148) (QUOTE (-1097))) (|HasCategory| (-148) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-148) (QUOTE (-847))) (-1831 (|HasCategory| (-148) (QUOTE (-847))) (|HasCategory| (-148) (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-847)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1097)))))) 
+(-595 E V R P) 
 ((|constructor| (NIL "Tools for the summation packages of polynomials")) (|sum| (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2|) "\\spad{sum(p(n), \\spad{n)}} returns \\spad{P(n)}, the indefinite sum of \\spad{p(n)} with respect to upward difference on \\spad{n,} \\spadignore{i.e.} \\spad{P(n+1) - P(n) = a(n)}.") (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2| (|Segment| |#4|)) "\\spad{sum(p(n), \\spad{n} = a..b)} returns \\spad{p(a) + p(a+1) + \\spad{...} + p(b)}."))) 
 NIL 
 NIL 
-(-594 |Coef|) 
+(-596 |Coef|) 
 ((|constructor| (NIL "InnerSparseUnivariatePowerSeries is an internal domain used for creating sparse Taylor and Laurent series.")) (|cAcsch| (($ $) "\\spad{cAcsch(f)} computes the inverse hyperbolic cosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsech| (($ $) "\\spad{cAsech(f)} computes the inverse hyperbolic secant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcoth| (($ $) "\\spad{cAcoth(f)} computes the inverse hyperbolic cotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAtanh| (($ $) "\\spad{cAtanh(f)} computes the inverse hyperbolic tangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcosh| (($ $) "\\spad{cAcosh(f)} computes the inverse hyperbolic cosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsinh| (($ $) "\\spad{cAsinh(f)} computes the inverse hyperbolic sine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCsch| (($ $) "\\spad{cCsch(f)} computes the hyperbolic cosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSech| (($ $) "\\spad{cSech(f)} computes the hyperbolic secant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCoth| (($ $) "\\spad{cCoth(f)} computes the hyperbolic cotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cTanh| (($ $) "\\spad{cTanh(f)} computes the hyperbolic tangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCosh| (($ $) "\\spad{cCosh(f)} computes the hyperbolic cosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSinh| (($ $) "\\spad{cSinh(f)} computes the hyperbolic sine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcsc| (($ $) "\\spad{cAcsc(f)} computes the arccosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsec| (($ $) "\\spad{cAsec(f)} computes the arcsecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcot| (($ $) "\\spad{cAcot(f)} computes the arccotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAtan| (($ $) "\\spad{cAtan(f)} computes the arctangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcos| (($ $) "\\spad{cAcos(f)} computes the arccosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsin| (($ $) "\\spad{cAsin(f)} computes the arcsine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCsc| (($ $) "\\spad{cCsc(f)} computes the cosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSec| (($ $) "\\spad{cSec(f)} computes the secant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCot| (($ $) "\\spad{cCot(f)} computes the cotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cTan| (($ $) "\\spad{cTan(f)} computes the tangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCos| (($ $) "\\spad{cCos(f)} computes the cosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSin| (($ $) "\\spad{cSin(f)} computes the sine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cLog| (($ $) "\\spad{cLog(f)} computes the logarithm of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cExp| (($ $) "\\spad{cExp(f)} computes the exponential of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cRationalPower| (($ $ (|Fraction| (|Integer|))) "\\spad{cRationalPower(f,r)} computes \\spad{f^r}. For use when the coefficient ring is commutative.")) (|cPower| (($ $ |#1|) "\\spad{cPower(f,r)} computes \\spad{f^r}, where \\spad{f} has constant coefficient 1. For use when the coefficient ring is commutative.")) (|integrate| (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. Warning: function does not check for a term of degree \\spad{-1.}")) (|seriesToOutputForm| (((|OutputForm|) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (|Reference| (|OrderedCompletion| (|Integer|))) (|Symbol|) |#1| (|Fraction| (|Integer|))) "\\spad{seriesToOutputForm(st,refer,var,cen,r)} prints the series \\spad{f((var - cen)^r)}.")) (|iCompose| (($ $ $) "\\spad{iCompose(f,g)} returns \\spad{f(g(x))}. This is an internal function which should only be called for Taylor series \\spad{f(x)} and \\spad{g(x)} such that the constant coefficient of \\spad{g(x)} is zero.")) (|taylorQuoByVar| (($ $) "\\spad{taylorQuoByVar(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns \\spad{a1 + \\spad{a2} \\spad{x} + \\spad{a3} \\spad{x**2} + ...}")) (|iExquo| (((|Union| $ "failed") $ $ (|Boolean|)) "\\spad{iExquo(f,g,taylor?)} is the quotient of the power series \\spad{f} and \\spad{g.} If \\spad{taylor?} is \\spad{true}, then we must have \\spad{order(f) \\spad{>=} order(g)}.")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(fn,f)} returns the series \\spad{sum(fn(n) * an * x^n,n = n0..)}, where \\spad{f} is the series \\spad{sum(an * x^n,n = n0..)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents.")) (|getStream| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) "\\spad{getStream(f)} returns the stream of terms representing the series \\spad{f.}")) (|getRef| (((|Reference| (|OrderedCompletion| (|Integer|))) $) "\\spad{getRef(f)} returns a reference containing the order to which the terms of \\spad{f} have been computed.")) (|makeSeries| (($ (|Reference| (|OrderedCompletion| (|Integer|))) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{makeSeries(refer,str)} creates a power series from the reference \\spad{refer} and the stream \\spad{str}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (|HasCategory| (-569) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165))))))) 
-(-595 |Coef|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-571)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-571)) (|devaluate| |#1|))))) (|HasCategory| (-571) (QUOTE (-1109))) (|HasCategory| |#1| (QUOTE (-367))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-571))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169))))))) 
+(-597 |Coef|) 
 ((|constructor| (NIL "Internal package for dense Taylor series. This is an internal Taylor series type in which Taylor series are represented by a \\spadtype{Stream} of \\spadtype{Ring} elements. For univariate series, the \\spad{Stream} elements are the Taylor coefficients. For multivariate series, the \\spad{n}th Stream element is a form of degree \\spad{n} in the power series variables.")) (* (($ $ (|Integer|)) "\\spad{x*i} returns the product of integer \\spad{i} and the series \\spad{x.}") (($ $ |#1|) "\\spad{x*c} returns the product of \\spad{c} and the series \\spad{x.}") (($ |#1| $) "\\spad{c*x} returns the product of \\spad{c} and the series \\spad{x.}")) (|order| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) "\\spad{order(x,n)} returns the minimum of \\spad{n} and the order of \\spad{x.}") (((|NonNegativeInteger|) $) "\\spad{order(x)} returns the order of a power series \\spad{x,} \\indented{1}{\\spadignore{i.e.} the degree of the first non-zero term of the series.}")) (|pole?| (((|Boolean|) $) "\\spad{pole?(x)} tests if the series \\spad{x} has a pole. \\indented{1}{Note: this is \\spad{false} when \\spad{x} is a Taylor series.}")) (|series| (($ (|Stream| |#1|)) "\\spad{series(s)} creates a power series from a stream of \\indented{1}{ring elements.} \\indented{1}{For univariate series types, the stream \\spad{s} should be a stream} \\indented{1}{of Taylor coefficients. For multivariate series types, the} \\indented{1}{stream \\spad{s} should be a stream of forms the \\spad{n}th element} \\indented{1}{of which is a} \\indented{1}{form of degree \\spad{n} in the power series variables.}")) (|coefficients| (((|Stream| |#1|) $) "\\spad{coefficients(x)} returns a stream of ring elements. \\indented{1}{When \\spad{x} is a univariate series, this is a stream of Taylor} \\indented{1}{coefficients. When \\spad{x} is a multivariate series, the} \\indented{1}{\\spad{n}th element of the stream is a form of} \\indented{1}{degree \\spad{n} in the power series variables.}"))) 
-((-4566 |has| |#1| (-559)) (-4565 |has| |#1| (-559)) ((-4573 "*") |has| |#1| (-559)) (-4564 |has| |#1| (-559)) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-559)))) 
-(-596 A B) 
+((-4595 |has| |#1| (-561)) (-4594 |has| |#1| (-561)) ((-4602 "*") |has| |#1| (-561)) (-4593 |has| |#1| (-561)) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-561)))) 
+(-598 A B) 
 ((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|map| (((|InfiniteTuple| |#2|) (|Mapping| |#2| |#1|) (|InfiniteTuple| |#1|)) "\\spad{map(f,[x0,x1,x2,...])} returns \\spad{[f(x0),f(x1),f(x2),..]}."))) 
 NIL 
 NIL 
-(-597 A B C) 
+(-599 A B C) 
 ((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|Stream| |#2|)) "\\spad{map(f,a,b)} \\undocumented") (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|InfiniteTuple| |#2|)) "\\spad{map(f,a,b)} \\undocumented") (((|InfiniteTuple| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|InfiniteTuple| |#2|)) "\\spad{map(f,a,b)} \\undocumented"))) 
 NIL 
 NIL 
-(-598 R -1647 FG) 
+(-600 R -3280 FG) 
 ((|constructor| (NIL "This package provides transformations from trigonometric functions to exponentials and logarithms, and back. \\spad{F} and \\spad{FG} should be the same type of function space.")) (|trigs2explogs| ((|#3| |#3| (|List| (|Kernel| |#3|)) (|List| (|Symbol|))) "\\spad{trigs2explogs(f, [k1,...,kn], [x1,...,xm])} rewrites all the trigonometric functions appearing in \\spad{f} and involving one of the \\spad{xi's} in terms of complex logarithms and exponentials. A kernel of the form \\spad{tan(u)} is expressed using \\spad{exp(u)**2} if it is one of the \\spad{ki's}, in terms of \\spad{exp(2*u)} otherwise.")) (|explogs2trigs| (((|Complex| |#2|) |#3|) "\\spad{explogs2trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (F2FG ((|#3| |#2|) "\\spad{F2FG(a + sqrt(-1) \\spad{b)}} returns \\spad{a + \\spad{i} \\spad{b}.}")) (FG2F ((|#2| |#3|) "\\spad{FG2F(a + \\spad{i} \\spad{b)}} returns \\spad{a + sqrt(-1) \\spad{b}.}")) (GF2FG ((|#3| (|Complex| |#2|)) "\\spad{GF2FG(a + \\spad{i} \\spad{b)}} returns \\spad{a + \\spad{i} \\spad{b}} viewed as a function with the \\spad{i} pushed down into the coefficient domain."))) 
 NIL 
 NIL 
-(-599 S) 
+(-601 S) 
 ((|constructor| (NIL "This package implements 'infinite tuples' for the interpreter. The representation is a stream.")) (|construct| (((|Stream| |#1|) $) "\\spad{construct(t)} converts an infinite tuple to a stream.")) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) "\\spad{generate(f,s)} returns \\spad{[s,f(s),f(f(s)),...]}.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,t)} returns \\spad{[x for \\spad{x} in \\spad{t} | p(x)]}.")) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{filterUntil(p,t)} returns \\spad{[x for \\spad{x} in \\spad{t} while not p(x)]}.")) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{filterWhile(p,t)} returns \\spad{[x for \\spad{x} in \\spad{t} while p(x)]}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,t)} replaces the tuple \\spad{t} by \\spad{[f(x) for \\spad{x} in t]}."))) 
 NIL 
 NIL 
-(-600 R |mn|) 
+(-602 R |mn|) 
 ((|constructor| (NIL "This type represents vector like objects with varying lengths and a user-specified initial index."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#1| (QUOTE (-1049))) (-12 (|HasCategory| |#1| (QUOTE (-1004))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-601 S |Index| |Entry|) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-721))) (|HasCategory| |#1| (QUOTE (-1053))) (-12 (|HasCategory| |#1| (QUOTE (-1008))) (|HasCategory| |#1| (QUOTE (-1053)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-603 S |Index| |Entry|) 
 ((|constructor| (NIL "An indexed aggregate is a many-to-one mapping of indices to entries. For example, a one-dimensional-array is an indexed aggregate where the index is an integer. Also, a table is an indexed aggregate where the indices and entries may have any type.")) (|swap!| (((|Void|) $ |#2| |#2|) "\\spad{swap!(u,i,j)} interchanges elements \\spad{i} and \\spad{j} of aggregate u. No meaningful value is returned.")) (|fill!| (($ $ |#3|) "\\spad{fill!(u,x)} replaces each entry in aggregate \\spad{u} by \\spad{x.} The modified \\spad{u} is returned as value.")) (|first| ((|#3| $) "\\spad{first(u)} returns the first element \\spad{x} of u. Note that for collections, \\axiom{first([x,y,...,z]) = \\spad{x}.} Error: if \\spad{u} is empty.")) (|minIndex| ((|#2| $) "\\spad{minIndex(u)} returns the minimum index \\spad{i} of aggregate u. Note that in general, \\axiom{minIndex(a) = reduce(min,[i for \\spad{i} in indices a])}; for lists, \\axiom{minIndex(a) = 1}.")) (|maxIndex| ((|#2| $) "\\spad{maxIndex(u)} returns the maximum index \\spad{i} of aggregate u. Note that in general, \\axiom{maxIndex(u) = reduce(max,[i for \\spad{i} in indices u])}; if \\spad{u} is a list, \\axiom{maxIndex(u) = \\#u}.")) (|entry?| (((|Boolean|) |#3| $) "\\spad{entry?(x,u)} tests if \\spad{x} equals \\axiom{u . i} for some index i.")) (|indices| (((|List| |#2|) $) "\\spad{indices(u)} returns a list of indices of aggregate \\spad{u} in no particular order. to become indices:")) (|index?| (((|Boolean|) |#2| $) "\\spad{index?(i,u)} tests if \\spad{i} is an index of aggregate u.")) (|entries| (((|List| |#3|) $) "\\spad{entries(u)} returns a list of all the entries of aggregate \\spad{u} in no assumed order."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4572)) (|HasCategory| |#2| (QUOTE (-844))) (|HasAttribute| |#1| (QUOTE -4571)) (|HasCategory| |#3| (QUOTE (-1093)))) 
-(-602 |Index| |Entry|) 
+((|HasAttribute| |#1| (QUOTE -4601)) (|HasCategory| |#2| (QUOTE (-847))) (|HasAttribute| |#1| (QUOTE -4600)) (|HasCategory| |#3| (QUOTE (-1097)))) 
+(-604 |Index| |Entry|) 
 ((|constructor| (NIL "An indexed aggregate is a many-to-one mapping of indices to entries. For example, a one-dimensional-array is an indexed aggregate where the index is an integer. Also, a table is an indexed aggregate where the indices and entries may have any type.")) (|swap!| (((|Void|) $ |#1| |#1|) "\\spad{swap!(u,i,j)} interchanges elements \\spad{i} and \\spad{j} of aggregate u. No meaningful value is returned.")) (|fill!| (($ $ |#2|) "\\spad{fill!(u,x)} replaces each entry in aggregate \\spad{u} by \\spad{x.} The modified \\spad{u} is returned as value.")) (|first| ((|#2| $) "\\spad{first(u)} returns the first element \\spad{x} of u. Note that for collections, \\axiom{first([x,y,...,z]) = \\spad{x}.} Error: if \\spad{u} is empty.")) (|minIndex| ((|#1| $) "\\spad{minIndex(u)} returns the minimum index \\spad{i} of aggregate u. Note that in general, \\axiom{minIndex(a) = reduce(min,[i for \\spad{i} in indices a])}; for lists, \\axiom{minIndex(a) = 1}.")) (|maxIndex| ((|#1| $) "\\spad{maxIndex(u)} returns the maximum index \\spad{i} of aggregate u. Note that in general, \\axiom{maxIndex(u) = reduce(max,[i for \\spad{i} in indices u])}; if \\spad{u} is a list, \\axiom{maxIndex(u) = \\#u}.")) (|entry?| (((|Boolean|) |#2| $) "\\spad{entry?(x,u)} tests if \\spad{x} equals \\axiom{u . i} for some index i.")) (|indices| (((|List| |#1|) $) "\\spad{indices(u)} returns a list of indices of aggregate \\spad{u} in no particular order. to become indices:")) (|index?| (((|Boolean|) |#1| $) "\\spad{index?(i,u)} tests if \\spad{i} is an index of aggregate u.")) (|entries| (((|List| |#2|) $) "\\spad{entries(u)} returns a list of all the entries of aggregate \\spad{u} in no assumed order."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-603 R A) 
+(-605 R A) 
 ((|constructor| (NIL "AssociatedJordanAlgebra takes an algebra \\spad{A} and uses \\spadfun{*$A} to define the new multiplications \\spad{a*b \\spad{:=} (a *$A \\spad{b} + \\spad{b} *$A a)/2} (anticommutator). The usual notation \\spad{{a,b}_+} cannot be used due to restrictions in the current language. This domain only gives a Jordan algebra if the Jordan-identity \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} holds for all \\spad{a},\\spad{b},\\spad{c} in \\spad{A}. This relation can be checked by \\spadfun{jordanAdmissible?()$A}. \\blankline If the underlying algebra is of type \\spadtype{FramedNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free R-module of finite rank, together with a fixed R-module basis), then the same is \\spad{true} for the associated Jordan algebra. Moreover, if the underlying algebra is of type \\spadtype{FiniteRankNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free R-module of finite rank), then the same \\spad{true} for the associated Jordan algebra.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} coerces the element \\spad{a} of the algebra \\spad{A} to an element of the Jordan algebra \\spadtype{AssociatedJordanAlgebra}(R,A)."))) 
-((-4568 -1929 (-3993 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))) (-4566 . T) (-4565 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))))) 
-(-604 |Entry|) 
+((-4597 -1831 (-3997 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))) (-4595 . T) (-4594 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -422) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -422) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -371) (|devaluate| |#1|))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -371) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -422) (|devaluate| |#1|)))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#2| (LIST (QUOTE -371) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#2| (LIST (QUOTE -422) (|devaluate| |#1|)))))) 
+(-606 |Entry|) 
 ((|constructor| (NIL "This domain allows a random access file to be viewed both as a table and as a file object. The KeyedAccessFile format is a directory containing a single file called ``index.kaf''. This file is a random access file. The first thing in the file is an integer which is the byte offset of an association list (the dictionary) at the end of the file. The association list is of the form ((key . byteoffset) (key . byteoffset)...) where the byte offset is the number of bytes from the beginning of the file. This offset contains an s-expression for the value of the key.")) (|pack!| (($ $) "\\spad{pack!(f)} reorganizes the file \\spad{f} on disk to recover unused space."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-1147) (QUOTE (-844))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (QUOTE (-1147))) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (QUOTE (-1093))))) 
-(-605 S |Key| |Entry|) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-1151) (QUOTE (-847))) (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (QUOTE (-1151))) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (QUOTE (-1097))))) 
+(-607 S |Key| |Entry|) 
 ((|constructor| (NIL "A keyed dictionary is a dictionary of key-entry pairs for which there is a unique entry for each key.")) (|search| (((|Union| |#3| "failed") |#2| $) "\\spad{search(k,t)} searches the table \\spad{t} for the key \\spad{k,} returning the entry stored in \\spad{t} for key \\spad{k.} If \\spad{t} has no such key, \\axiom{search(k,t)} returns \"failed\".")) (|remove!| (((|Union| |#3| "failed") |#2| $) "\\spad{remove!(k,t)} searches the table \\spad{t} for the key \\spad{k} removing (and return) the entry if there. If \\spad{t} has no such key, \\axiom{remove!(k,t)} returns \"failed\".")) (|keys| (((|List| |#2|) $) "\\spad{keys(t)} returns the list the keys in table \\spad{t.}")) (|key?| (((|Boolean|) |#2| $) "\\spad{key?(k,t)} tests if \\spad{k} is a key in table \\spad{t.}"))) 
 NIL 
 NIL 
-(-606 |Key| |Entry|) 
+(-608 |Key| |Entry|) 
 ((|constructor| (NIL "A keyed dictionary is a dictionary of key-entry pairs for which there is a unique entry for each key.")) (|search| (((|Union| |#2| "failed") |#1| $) "\\spad{search(k,t)} searches the table \\spad{t} for the key \\spad{k,} returning the entry stored in \\spad{t} for key \\spad{k.} If \\spad{t} has no such key, \\axiom{search(k,t)} returns \"failed\".")) (|remove!| (((|Union| |#2| "failed") |#1| $) "\\spad{remove!(k,t)} searches the table \\spad{t} for the key \\spad{k} removing (and return) the entry if there. If \\spad{t} has no such key, \\axiom{remove!(k,t)} returns \"failed\".")) (|keys| (((|List| |#1|) $) "\\spad{keys(t)} returns the list the keys in table \\spad{t.}")) (|key?| (((|Boolean|) |#1| $) "\\spad{key?(k,t)} tests if \\spad{k} is a key in table \\spad{t.}"))) 
-((-4572 . T) (-4317 . T)) 
+((-4601 . T) (-3348 . T)) 
 NIL 
-(-607 R S) 
+(-609 R S) 
 ((|constructor| (NIL "This package exports some auxiliary functions on kernels")) (|constantIfCan| (((|Union| |#1| "failed") (|Kernel| |#2|)) "\\spad{constantIfCan(k)} \\undocumented")) (|constantKernel| (((|Kernel| |#2|) |#1|) "\\spad{constantKernel(r)} \\undocumented"))) 
 NIL 
 NIL 
-(-608 S) 
+(-610 S) 
 ((|constructor| (NIL "A kernel over a set \\spad{S} is an operator applied to a given list of arguments from \\spad{S.}")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(op(a1,...,an), \\spad{s)}} tests if the name of op is \\spad{s.}") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(op(a1,...,an), \\spad{f)}} tests if op = \\spad{f.}")) (|symbolIfCan| (((|Union| (|Symbol|) "failed") $) "\\spad{symbolIfCan(k)} returns \\spad{k} viewed as a symbol if \\spad{k} is a symbol, and \"failed\" otherwise.")) (|kernel| (($ (|Symbol|)) "\\spad{kernel(x)} returns \\spad{x} viewed as a kernel.") (($ (|BasicOperator|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{kernel(op, [a1,...,an], \\spad{m)}} returns the kernel \\spad{op(a1,...,an)} of nesting level \\spad{m.} Error: if \\spad{op} is k-ary for some \\spad{k} not equal to \\spad{m.}")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(k)} returns the nesting level of \\spad{k.}")) (|argument| (((|List| |#1|) $) "\\spad{argument(op(a1,...,an))} returns \\spad{[a1,...,an]}.")) (|operator| (((|BasicOperator|) $) "\\spad{operator(op(a1,...,an))} returns the operator op.")) (|name| (((|Symbol|) $) "\\spad{name(op(a1,...,an))} returns the name of op."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) 
-(-609 S) 
+((|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) 
+(-611 S) 
 ((|constructor| (NIL "A is coercible to \\spad{B} means any element of A can automatically be converted into an element of \\spad{B} by the interpreter.")) (|coerce| ((|#1| $) "\\spad{coerce(a)} transforms a into an element of \\spad{S.}"))) 
 NIL 
 NIL 
-(-610 S) 
+(-612 S) 
 ((|constructor| (NIL "A is convertible to \\spad{B} means any element of A can be converted into an element of \\spad{B,} but not automatically by the interpreter.")) (|convert| ((|#1| $) "\\spad{convert(a)} transforms a into an element of \\spad{S.}"))) 
 NIL 
 NIL 
-(-611 -1647 UP) 
+(-613 -3280 UP) 
 ((|constructor| (NIL "\\spadtype{Kovacic} provides a modified Kovacic's algorithm for solving explicitely irreducible 2nd order linear ordinary differential equations.")) (|kovacic| (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{kovacic(a_0,a_1,a_2,ezfactor)} returns either \"failed\" or P(u) such that \\spad{$e^{\\int(-a_1/2a_2)} e^{\\int u}$} is a solution of \\indented{5}{\\spad{$a_2 \\spad{y''} + \\spad{a_1} \\spad{y'} + \\spad{a0} \\spad{y} = 0$}} whenever \\spad{u} is a solution of \\spad{P \\spad{u} = 0}. The equation must be already irreducible over the rational functions. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{kovacic(a_0,a_1,a_2)} returns either \"failed\" or P(u) such that \\spad{$e^{\\int(-a_1/2a_2)} e^{\\int u}$} is a solution of \\indented{5}{\\spad{a_2 \\spad{y''} + \\spad{a_1} \\spad{y'} + \\spad{a0} \\spad{y} = 0}} whenever \\spad{u} is a solution of \\spad{P \\spad{u} = 0}. The equation must be already irreducible over the rational functions."))) 
 NIL 
 NIL 
-(-612 S R) 
+(-614 S R) 
 ((|constructor| (NIL "The category of all left algebras over an arbitrary ring.")) (|coerce| (($ |#2|) "\\spad{coerce(r)} returns \\spad{r} * 1 where 1 is the identity of the left algebra."))) 
 NIL 
 NIL 
-(-613 R) 
+(-615 R) 
 ((|constructor| (NIL "The category of all left algebras over an arbitrary ring.")) (|coerce| (($ |#1|) "\\spad{coerce(r)} returns \\spad{r} * 1 where 1 is the identity of the left algebra."))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-614 A R S) 
+(-616 A R S) 
 ((|constructor| (NIL "LocalAlgebra produces the localization of an algebra, \\spadignore{i.e.} fractions whose numerators come from some \\spad{R} algebra.")) (|denom| ((|#3| $) "\\spad{denom \\spad{x}} returns the denominator of \\spad{x.}")) (|numer| ((|#1| $) "\\spad{numer \\spad{x}} returns the numerator of \\spad{x.}")) (/ (($ |#1| |#3|) "\\spad{a / \\spad{d}} divides the element \\spad{a} by \\spad{d.}") (($ $ |#3|) "\\spad{x / \\spad{d}} divides the element \\spad{x} by \\spad{d.}"))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-842)))) 
-(-615 R -1647) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-845)))) 
+(-617 R -3280) 
 ((|constructor| (NIL "This package computes the forward Laplace Transform.")) (|laplace| ((|#2| |#2| (|Symbol|) (|Symbol|)) "\\spad{laplace(f, \\spad{t,} \\spad{s)}} returns the Laplace transform of \\spad{f(t)} using \\spad{s} as the new variable. This is \\spad{integral(exp(-s*t)*f(t), \\spad{t} = 0..%plusInfinity)}. Returns the formal object \\spad{laplace(f, \\spad{t,} \\spad{s)}} if it cannot compute the transform."))) 
 NIL 
 NIL 
-(-616 R UP) 
+(-618 R UP) 
 ((|constructor| (NIL "Univariate polynomials with negative and positive exponents.")) (|separate| (((|Record| (|:| |polyPart| $) (|:| |fracPart| (|Fraction| |#2|))) (|Fraction| |#2|)) "\\spad{separate(x)} is not documented")) (|monomial| (($ |#1| (|Integer|)) "\\spad{monomial(x,n)} is not documented")) (|coefficient| ((|#1| $ (|Integer|)) "\\spad{coefficient(x,n)} is not documented")) (|trailingCoefficient| ((|#1| $) "trailingCoefficient is not documented")) (|leadingCoefficient| ((|#1| $) "leadingCoefficient is not documented")) (|reductum| (($ $) "\\spad{reductum(x)} is not documented")) (|order| (((|Integer|) $) "\\spad{order(x)} is not documented")) (|degree| (((|Integer|) $) "\\spad{degree(x)} is not documented")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} is not documented"))) 
-((-4566 . T) (-4565 . T) ((-4573 "*") . T) (-4564 . T) (-4568 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569))))) 
-(-617 R E V P TS ST) 
+((-4595 . T) (-4594 . T) ((-4602 "*") . T) (-4593 . T) (-4597 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571))))) 
+(-619 R E V P TS ST) 
 ((|constructor| (NIL "A package for solving polynomial systems by means of Lazard triangular sets. This package provides two operations. One for solving in the sense of the regular zeros, and the other for solving in the sense of the Zariski closure. Both produce square-free regular sets. Moreover, the decompositions do not contain any redundant component. However, only zero-dimensional regular sets are normalized, since normalization may be time consumming in positive dimension. The decomposition process is that of [2].")) (|zeroSetSplit| (((|List| |#6|) (|List| |#4|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,clos?)} has the same specifications as zeroSetSplit(lp,clos?) from RegularTriangularSetCategory.")) (|normalizeIfCan| ((|#6| |#6|) "\\axiom{normalizeIfCan(ts)} returns \\axiom{ts} in an normalized shape if \\axiom{ts} is zero-dimensional."))) 
 NIL 
 NIL 
-(-618 OV E Z P) 
+(-620 OV E Z P) 
 ((|constructor| (NIL "Package for leading coefficient determination in the lifting step. Package working for every \\spad{R} euclidean with property \"F\".")) (|distFact| (((|Union| (|Record| (|:| |polfac| (|List| |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| |#3|)))) "failed") |#3| (|List| (|SparseUnivariatePolynomial| |#3|)) (|Record| (|:| |contp| |#3|) (|:| |factors| (|List| (|Record| (|:| |irr| |#4|) (|:| |pow| (|Integer|)))))) (|List| |#3|) (|List| |#1|) (|List| |#3|)) "\\spad{distFact(contm,unilist,plead,vl,lvar,lval)}, where \\spad{contm} is the content of the evaluated polynomial, \\spad{unilist} is the list of factors of the evaluated polynomial, \\spad{plead} is the complete factorization of the leading coefficient, \\spad{vl} is the list of factors of the leading coefficient evaluated, \\spad{lvar} is the list of variables, \\spad{lval} is the list of values, returns a record giving the list of leading coefficients to impose on the univariate factors.")) (|polCase| (((|Boolean|) |#3| (|NonNegativeInteger|) (|List| |#3|)) "\\spad{polCase(contprod, numFacts, evallcs)}, where \\spad{contprod} is the product of the content of the leading coefficient of the polynomial to be factored with the content of the evaluated polynomial, \\spad{numFacts} is the number of factors of the leadingCoefficient, and evallcs is the list of the evaluated factors of the leadingCoefficient, returns \\spad{true} if the factors of the leading Coefficient can be distributed with this valuation."))) 
 NIL 
 NIL 
-(-619 |VarSet| R |Order|) 
+(-621 |VarSet| R |Order|) 
 ((|constructor| (NIL "Management of the Lie Group associated with a free nilpotent Lie algebra. Every Lie bracket with length greater than \\axiom{Order} are assumed to be null. The implementation inherits from the \\spadtype{XPBWPolynomial} domain constructor: Lyndon coordinates are exponential coordinates of the second kind.")) (|identification| (((|List| (|Equation| |#2|)) $ $) "\\axiom{identification(g,h)} returns the list of equations \\axiom{g_i = h_i}, where \\axiom{g_i} (resp. \\axiom{h_i}) are exponential coordinates of \\axiom{g} (resp. \\axiom{h}).")) (|LyndonCoordinates| (((|List| (|Record| (|:| |k| (|LyndonWord| |#1|)) (|:| |c| |#2|))) $) "\\axiom{LyndonCoordinates(g)} returns the exponential coordinates of \\axiom{g}.")) (|LyndonBasis| (((|List| (|LiePolynomial| |#1| |#2|)) (|List| |#1|)) "\\axiom{LyndonBasis(lv)} returns the Lyndon basis of the nilpotent free Lie algebra.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(g)} returns the list of variables of \\axiom{g}.")) (|mirror| (($ $) "\\axiom{mirror(g)} is the mirror of the internal representation of \\axiom{g}.")) (|coerce| (((|XPBWPolynomial| |#1| |#2|) $) "\\axiom{coerce(g)} returns the internal representation of \\axiom{g}.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(g)} returns the internal representation of \\axiom{g}.")) (|listOfTerms| (((|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (|:| |c| |#2|))) $) "\\axiom{listOfTerms(p)} returns the internal representation of \\axiom{p}.")) (|log| (((|LiePolynomial| |#1| |#2|) $) "\\axiom{log(p)} returns the logarithm of \\axiom{p}.")) (|exp| (($ (|LiePolynomial| |#1| |#2|)) "\\axiom{exp(p)} returns the exponential of \\axiom{p}."))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-620 R |ls|) 
+(-622 R |ls|) 
 ((|constructor| (NIL "A package for solving polynomial systems with finitely many solutions. The decompositions are given by means of regular triangular sets. The computations use lexicographical Groebner bases. The main operations are lexTriangular and squareFreeLexTriangular. The second one provide decompositions by means of square-free regular triangular sets. Both are based on the lexTriangular method described in [1]. They differ from the algorithm described in \\spad{[2]} by the fact that multiciplities of the roots are not kept. With the squareFreeLexTriangular operation all multiciplities are removed. With the other operation some multiciplities may remain. Both operations admit an optional argument to produce normalized triangular sets.")) (|zeroSetSplit| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{zeroSetSplit(lp, norm?)} decomposes the variety associated with \\axiom{lp} into square-free regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{lp} needs to generate a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{zeroSetSplit(lp, norm?)} decomposes the variety associated with \\axiom{lp} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{lp} needs to generate a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.")) (|squareFreeLexTriangular| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{squareFreeLexTriangular(base, norm?)} decomposes the variety associated with \\axiom{base} into square-free regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{base} needs to be a lexicographical Groebner basis of a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.")) (|lexTriangular| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{lexTriangular(base, norm?)} decomposes the variety associated with \\axiom{base} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{base} needs to be a lexicographical Groebner basis of a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.")) (|groebner| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{groebner(lp)} returns the lexicographical Groebner basis of \\axiom{lp}. If \\axiom{lp} generates a zero-dimensional ideal then the FGLM strategy is used, otherwise the Sugar strategy is used.")) (|fglmIfCan| (((|Union| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{fglmIfCan(lp)} returns the lexicographical Groebner basis of \\axiom{lp} by using the FGLM strategy, if \\axiom{zeroDimensional?(lp)} holds .")) (|zeroDimensional?| (((|Boolean|) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{zeroDimensional?(lp)} returns \\spad{true} iff \\axiom{lp} generates a zero-dimensional ideal w.r.t. the variables involved in \\axiom{lp}."))) 
 NIL 
 NIL 
-(-621) 
-((|constructor| (NIL "Category for the transcendental Liouvillian functions.")) (|fresnelC| (($ $) "fresnelC is the Fresnel integral \\spad{C,} defined by C(x) = integrate(cos(t^2),t=0..x)")) (|fresnelS| (($ $) "fresnelS is the Fresnel integral \\spad{S,} defined by S(x) = integrate(sin(t^2),t=0..x)")) (|erf| (($ $) "\\spad{erf(x)} returns the error function of \\spad{x,} \\spadignore{i.e.} \\spad{2 / sqrt(\\%pi)} times the integral of \\spad{exp(-x**2) dx}.")) (|dilog| (($ $) "\\spad{dilog(x)} returns the dilogarithm of \\spad{x,} \\spadignore{i.e.} the integral of \\spad{log(x) / \\spad{(1} - \\spad{x)} dx}.")) (|li| (($ $) "\\spad{li(x)} returns the logarithmic integral of \\spad{x,} \\spadignore{i.e.} the integral of \\spad{dx / log(x)}.")) (|Ci| (($ $) "\\spad{Ci(x)} returns the cosine integral of \\spad{x,} \\spadignore{i.e.} the integral of \\spad{cos(x) / \\spad{x} dx}.")) (|Si| (($ $) "\\spad{Si(x)} returns the sine integral of \\spad{x,} \\spadignore{i.e.} the integral of \\spad{sin(x) / \\spad{x} dx}.")) (|Ei| (($ $) "\\spad{Ei(x)} returns the exponential integral of \\spad{x,} \\spadignore{i.e.} the integral of \\spad{exp(x)/x dx}."))) 
+(-623) 
+((|constructor| (NIL "Category for the transcendental Liouvillian functions.")) (|fresnelC| (($ $) "\\spad{fresnelC(x)} is the Fresnel integral \\spad{C,} defined by C(x) = integrate(cos(t^2),t=0..x)")) (|fresnelS| (($ $) "\\spad{fresnelS(x)} is the Fresnel integral \\spad{S,} defined by S(x) = integrate(sin(t^2),t=0..x)")) (|erf| (($ $) "\\spad{erf(x)} returns the error function of \\spad{x,} that is, \\spad{2 / sqrt(\\%pi)} times the integral of \\spad{exp(-x**2) dx}.")) (|dilog| (($ $) "\\spad{dilog(x)} returns the dilogarithm of \\spad{x,} that is, the integral of \\spad{log(x) / \\spad{(1} - \\spad{x)} dx}.")) (|li| (($ $) "\\spad{li(x)} returns the logarithmic integral of \\spad{x,} that is, the integral of \\spad{dx / log(x)}.")) (|Ci| (($ $) "\\spad{Ci(x)} returns the cosine integral of \\spad{x,} that is, the integral of \\spad{cos(x) / \\spad{x} dx}.")) (|Si| (($ $) "\\spad{Si(x)} returns the sine integral of \\spad{x,} that is, the integral of \\spad{sin(x) / \\spad{x} dx}.")) (|Ei| (($ $) "\\spad{Ei(x)} returns the exponential integral of \\spad{x,} that is, the integral of \\spad{exp(x)/x dx}."))) 
 NIL 
 NIL 
-(-622 R -1647) 
+(-624 R -3280) 
 ((|constructor| (NIL "This package provides liouvillian functions over an integral domain.")) (|integral| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{integral(f,x = a..b)} denotes the definite integral of \\spad{f} with respect to \\spad{x} from \\spad{a} to \\spad{b.}") ((|#2| |#2| (|Symbol|)) "\\spad{integral(f,x)} indefinite integral of \\spad{f} with respect to \\spad{x.}")) (|fresnelC| ((|#2| |#2|) "\\spad{fresnelC(f)} denotes the Fresnel integral \\spad{C}")) (|fresnelS| ((|#2| |#2|) "\\spad{fresnelS(f)} denotes the Fresnel integral \\spad{S}")) (|dilog| ((|#2| |#2|) "\\spad{dilog(f)} denotes the dilogarithm")) (|erf| ((|#2| |#2|) "\\spad{erf(f)} denotes the error function")) (|li| ((|#2| |#2|) "\\spad{li(f)} denotes the logarithmic integral")) (|Ci| ((|#2| |#2|) "\\spad{Ci(f)} denotes the cosine integral")) (|Si| ((|#2| |#2|) "\\spad{Si(f)} denotes the sine integral")) (|Ei| ((|#2| |#2|) "\\spad{Ei(f)} denotes the exponential integral")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns the Liouvillian operator based on \\spad{op}")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} checks if \\spad{op} is Liouvillian"))) 
 NIL 
 NIL 
-(-623 |lv| -1647) 
+(-625 |lv| -3280) 
 ((|constructor| (NIL "Given a Groebner basis \\spad{B} with respect to the total degree ordering for a zero-dimensional ideal I, compute a Groebner basis with respect to the lexicographical ordering by using linear algebra.")) (|transform| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{transform }\\undocumented")) (|choosemon| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{choosemon }\\undocumented")) (|intcompBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{intcompBasis }\\undocumented")) (|anticoord| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|List| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{anticoord }\\undocumented")) (|coord| (((|Vector| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{coord }\\undocumented")) (|computeBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{computeBasis }\\undocumented")) (|minPol| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) "\\spad{minPol }\\undocumented") (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) "\\spad{minPol }\\undocumented")) (|totolex| (((|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{totolex }\\undocumented")) (|groebgen| (((|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |glval| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{groebgen }\\undocumented")) (|linGenPos| (((|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |gvlist| (|List| (|Integer|)))) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{linGenPos }\\undocumented"))) 
 NIL 
 NIL 
-(-624) 
+(-626) 
 ((|constructor| (NIL "This domain provides a simple way to save values in files.")) (|close!| (($ $) "\\spad{close!(f)} returns the library \\spad{f} closed to input and output.")) (|setelt| (((|Any|) $ (|Symbol|) (|Any|)) "\\spad{lib.k \\spad{:=} \\spad{v}} saves the value \\spad{v} in the library \\spad{lib}. It can later be extracted using the key \\spad{k}.")) (|elt| (((|Any|) $ (|Symbol|)) "\\spad{elt(lib,k)} or lib.k extracts the value corresponding to the key \\spad{k} from the library \\spad{lib}.")) (|pack!| (($ $) "\\spad{pack!(f)} reorganizes the file \\spad{f} on disk to recover unused space.")) (|library| (($ (|FileName|)) "\\spad{library(ln)} creates a new library file."))) 
-((-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-1147) (QUOTE (-844))) (|HasCategory| (-57) (QUOTE (-1093))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1093)))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (QUOTE (-1147))) (LIST (QUOTE |:|) (QUOTE -3175) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (QUOTE (-1093)))) (-1929 (|HasCategory| (-57) (QUOTE (-1093))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (QUOTE (-1093))))) 
-(-625 S R) 
+((-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-1151) (QUOTE (-847))) (|HasCategory| (-57) (QUOTE (-1097))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1097)))) (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (QUOTE (-1151))) (LIST (QUOTE |:|) (QUOTE -4279) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (QUOTE (-1097)))) (-1831 (|HasCategory| (-57) (QUOTE (-1097))) (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (QUOTE (-1097))))) 
+(-627 S R) 
 ((|constructor| (NIL "The category of Lie Algebras. It is used by the domains of non-commutative algebra, LiePolynomial and XPBWPolynomial.")) (/ (($ $ |#2|) "\\axiom{x/r} returns the division of \\axiom{x} by \\axiom{r}.")) (|construct| (($ $ $) "\\axiom{construct(x,y)} returns the Lie bracket of \\axiom{x} and \\axiom{y}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-366)))) 
-(-626 R) 
+((|HasCategory| |#2| (QUOTE (-367)))) 
+(-628 R) 
 ((|constructor| (NIL "The category of Lie Algebras. It is used by the domains of non-commutative algebra, LiePolynomial and XPBWPolynomial.")) (/ (($ $ |#1|) "\\axiom{x/r} returns the division of \\axiom{x} by \\axiom{r}.")) (|construct| (($ $ $) "\\axiom{construct(x,y)} returns the Lie bracket of \\axiom{x} and \\axiom{y}."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4566 . T) (-4565 . T)) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (-4595 . T) (-4594 . T)) 
 NIL 
-(-627 R A) 
+(-629 R A) 
 ((|constructor| (NIL "AssociatedLieAlgebra takes an algebra \\spad{A} and uses \\spadfun{*$A} to define the Lie bracket \\spad{a*b \\spad{:=} (a *$A \\spad{b} - \\spad{b} *$A a)} (commutator). Note that the notation \\spad{[a,b]} cannot be used due to restrictions of the current compiler. This domain only gives a Lie algebra if the Jacobi-identity \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} holds for all \\spad{a},\\spad{b},\\spad{c} in \\spad{A}. This relation can be checked by \\spad{lieAdmissible?()$A}. \\blankline If the underlying algebra is of type \\spadtype{FramedNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank, together with a fixed \\spad{R}-module basis), then the same is \\spad{true} for the associated Lie algebra. Also, if the underlying algebra is of type \\spadtype{FiniteRankNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free R-module of finite rank), then the same is \\spad{true} for the associated Lie algebra.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} coerces the element \\spad{a} of the algebra \\spad{A} to an element of the Lie algebra \\spadtype{AssociatedLieAlgebra}(R,A)."))) 
-((-4568 -1929 (-3993 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))) (-4566 . T) (-4565 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))))) 
-(-628 R FE) 
+((-4597 -1831 (-3997 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))) (-4595 . T) (-4594 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -422) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -422) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -371) (|devaluate| |#1|))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -371) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -422) (|devaluate| |#1|)))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#2| (LIST (QUOTE -371) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#2| (LIST (QUOTE -422) (|devaluate| |#1|)))))) 
+(-630 R FE) 
 ((|constructor| (NIL "PowerSeriesLimitPackage implements limits of expressions in one or more variables as one of the variables approaches a limiting value. Included are two-sided limits, left- and right- hand limits, and limits at plus or minus infinity.")) (|complexLimit| (((|Union| (|OnePointCompletion| |#2|) "failed") |#2| (|Equation| (|OnePointCompletion| |#2|))) "\\spad{complexLimit(f(x),x = a)} computes the complex limit \\spad{lim(x \\spad{->} a,f(x))}.")) (|limit| (((|Union| (|OrderedCompletion| |#2|) "failed") |#2| (|Equation| |#2|) (|String|)) "\\spad{limit(f(x),x=a,\"left\")} computes the left hand real limit \\spad{lim(x \\spad{->} a-,f(x))}; \\spad{limit(f(x),x=a,\"right\")} computes the right hand real limit \\spad{lim(x \\spad{->} a+,f(x))}.") (((|Union| (|OrderedCompletion| |#2|) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed"))) "failed") |#2| (|Equation| (|OrderedCompletion| |#2|))) "\\spad{limit(f(x),x = a)} computes the real limit \\spad{lim(x \\spad{->} a,f(x))}."))) 
 NIL 
 NIL 
-(-629 R) 
+(-631 R) 
 ((|constructor| (NIL "Computation of limits for rational functions.")) (|complexLimit| (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{complexLimit(f(x),x = a)} computes the complex limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.") (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OnePointCompletion| (|Polynomial| |#1|)))) "\\spad{complexLimit(f(x),x = a)} computes the complex limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.")) (|limit| (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|String|)) "\\spad{limit(f(x),x,a,\"left\")} computes the real limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a} from the left; limit(f(x),x,a,\"right\") computes the corresponding limit as \\spad{x} approaches \\spad{a} from the right.") (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{limit(f(x),x = a)} computes the real two-sided limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.") (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OrderedCompletion| (|Polynomial| |#1|)))) "\\spad{limit(f(x),x = a)} computes the real two-sided limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}."))) 
 NIL 
 NIL 
-(-630 S R) 
+(-632 S R) 
 ((|constructor| (NIL "Test for linear dependence.")) (|solveLinear| (((|Union| (|Vector| (|Fraction| |#1|)) "failed") (|Vector| |#2|) |#2|) "\\spad{solveLinear([v1,...,vn], u)} returns \\spad{[c1,...,cn]} such that \\spad{c1*v1 + \\spad{...} + cn*vn = u}, \"failed\" if no such ci's exist in the quotient field of \\spad{S.}") (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|) |#2|) "\\spad{solveLinear([v1,...,vn], u)} returns \\spad{[c1,...,cn]} such that \\spad{c1*v1 + \\spad{...} + cn*vn = u}, \"failed\" if no such ci's exist in \\spad{S.}")) (|linearDependence| (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|)) "\\spad{linearDependence([v1,...,vn])} returns \\spad{[c1,...,cn]} if \\spad{c1*v1 + \\spad{...} + cn*vn = 0} and not all the ci's are 0, \"failed\" if the vi's are linearly independent over \\spad{S.}")) (|linearlyDependent?| (((|Boolean|) (|Vector| |#2|)) "\\spad{linearlyDependent?([v1,...,vn])} returns \\spad{true} if the vi's are linearly dependent over \\spad{S,} \\spad{false} otherwise."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-366))) (-3182 (|HasCategory| |#1| (QUOTE (-366))))) 
-(-631 R) 
+((|HasCategory| |#1| (QUOTE (-367))) (-2931 (|HasCategory| |#1| (QUOTE (-367))))) 
+(-633 R) 
 ((|constructor| (NIL "An extension ring with an explicit linear dependence test.")) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) "\\spad{reducedSystem(A, \\spad{v)}} returns a matrix \\spad{B} and a vector \\spad{w} such that \\spad{A \\spad{x} = \\spad{v}} and \\spad{B \\spad{x} = \\spad{w}} have the same solutions in \\spad{R.}") (((|Matrix| |#1|) (|Matrix| $)) "\\spad{reducedSystem(A)} returns a matrix \\spad{B} such that \\spad{A \\spad{x} = 0} and \\spad{B \\spad{x} = 0} have the same solutions in \\spad{R.}"))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-632 A B) 
+(-634 A B) 
 ((|constructor| (NIL "\\spadtype{ListToMap} allows mappings to be described by a pair of lists of equal lengths. The image of an element \\spad{x}, which appears in position \\spad{n} in the first list, is then the \\spad{n}th element of the second list. A default value or default function can be specified to be used when \\spad{x} does not appear in the first list. In the absence of defaults, an error will occur in that case.")) (|match| ((|#2| (|List| |#1|) (|List| |#2|) |#1| (|Mapping| |#2| |#1|)) "\\spad{match(la, \\spad{lb,} a, \\spad{f)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. and applies this map to a. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Argument \\spad{f} is a default function to call if a is not in la. The value returned is then obtained by applying \\spad{f} to argument a.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) (|Mapping| |#2| |#1|)) "\\spad{match(la, \\spad{lb,} \\spad{f)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Argument \\spad{f} is used as the function to call when the given function argument is not in \\spad{la}. The value returned is \\spad{f} applied to that argument.") ((|#2| (|List| |#1|) (|List| |#2|) |#1| |#2|) "\\spad{match(la, \\spad{lb,} a, \\spad{b)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. and applies this map to a. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Argument \\spad{b} is the default target value if a is not in la. Error: if \\spad{la} and \\spad{lb} are not of equal length.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) |#2|) "\\spad{match(la, \\spad{lb,} \\spad{b)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length, where \\spad{b} is used as the default target value if the given function argument is not in \\spad{la}. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Error: if \\spad{la} and \\spad{lb} are not of equal length.") ((|#2| (|List| |#1|) (|List| |#2|) |#1|) "\\spad{match(la, \\spad{lb,} a)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length, where \\spad{a} is used as the default source value if the given one is not in \\spad{la}. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Error: if \\spad{la} and \\spad{lb} are not of equal length.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|)) "\\spad{match(la, lb)} creates a map with no default source or target values defined by lists \\spad{la} and \\spad{lb} of equal length. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Error: if \\spad{la} and \\spad{lb} are not of equal length. Note that when this map is applied, an error occurs when applied to a value missing from la."))) 
 NIL 
 NIL 
-(-633 A B) 
+(-635 A B) 
 ((|constructor| (NIL "\\spadtype{ListFunctions2} implements utility functions that operate on two kinds of lists, each with a possibly different type of element.")) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|List| |#1|)) "\\spad{map(fn,u)} applies \\spad{fn} to each element of list \\spad{u} and returns a new list with the results. For example \\spad{map(square,[1,2,3]) = [1,4,9]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) "\\spad{reduce(fn,u,ident)} successively uses the binary function \\spad{fn} on the elements of list \\spad{u} and the result of previous applications. \\spad{ident} is returned if the \\spad{u} is empty. Note the order of application in the following examples: \\spad{reduce(fn,[1,2,3],0) = fn(3,fn(2,fn(1,0)))} and \\spad{reduce(*,[2,3],1) = 3 * \\spad{(2} * 1)}.")) (|scan| (((|List| |#2|) (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) "\\spad{scan(fn,u,ident)} successively uses the binary function \\spad{fn} to reduce more and more of list \\spad{u}. \\spad{ident} is returned if the \\spad{u} is empty. The result is a list of the reductions at each step. See \\spadfun{reduce} for more information. Examples: \\spad{scan(fn,[1,2],0) = [fn(2,fn(1,0)),fn(1,0)]} and \\spad{scan(*,[2,3],1) = \\spad{[2} * 1, 3 * \\spad{(2} * 1)]}."))) 
 NIL 
 NIL 
-(-634 A B C) 
+(-636 A B C) 
 ((|constructor| (NIL "\\spadtype{ListFunctions3} implements utility functions that operate on three kinds of lists, each with a possibly different type of element.")) (|map| (((|List| |#3|) (|Mapping| |#3| |#1| |#2|) (|List| |#1|) (|List| |#2|)) "\\spad{map(fn,list1, u2)} applies the binary function \\spad{fn} to corresponding elements of lists \\spad{u1} and \\spad{u2} and returns a list of the results (in the same order). Thus \\spad{map(/,[1,2,3],[4,5,6]) = [1/4,2/4,1/2]}. The computation terminates when the end of either list is reached. That is, the length of the result list is equal to the minimum of the lengths of \\spad{u1} and \\spad{u2}."))) 
 NIL 
 NIL 
-(-635 S) 
+(-637 S) 
 ((|constructor| (NIL "\\spadtype{List} implements singly-linked lists that are addressable by indices; the index of the first element is 1. In addition to the operations provided by \\spadtype{IndexedList}, this constructor provides some LISP-like functions such as \\spadfun{null} and \\spadfun{cons}.")) (|setDifference| (($ $ $) "\\spad{setDifference(u1,u2)} returns a list of the elements of \\spad{u1} that are not also in \\spad{u2}. The order of elements in the resulting list is unspecified.")) (|setIntersection| (($ $ $) "\\spad{setIntersection(u1,u2)} returns a list of the elements that lists \\spad{u1} and \\spad{u2} have in common. The order of elements in the resulting list is unspecified.")) (|setUnion| (($ $ $) "\\spad{setUnion(u1,u2)} appends the two lists \\spad{u1} and u2, then removes all duplicates. The order of elements in the resulting list is unspecified.")) (|append| (($ $ $) "\\spad{append(u1,u2)} appends the elements of list \\spad{u1} onto the front of list \\spad{u2}. This new list and \\spad{u2} will share some structure.")) (|cons| (($ |#1| $) "\\spad{cons(element,u)} appends \\spad{element} onto the front of list \\spad{u} and returns the new list. This new list and the old one will share some structure.")) (|null| (((|Boolean|) $) "\\spad{null(u)} tests if list \\spad{u} is the empty list.")) (|nil| (($) "\\spad{nil()} returns the empty list."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-825))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-636 K PCS) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-828))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-638 K PCS) 
 ((|constructor| (NIL "Part of the PAFF package")) (|finiteSeries2LinSys| (((|Matrix| |#1|) (|List| |#2|) (|Integer|)) "\\spad{finiteSeries2LinSys(ls,n)} returns a matrix which right kernel is the solution of the linear combinations of the series in \\spad{ls} which has order greater or equal to \\spad{n.} NOTE: All the series in \\spad{ls} must be finite and must have order at least 0: so one must first call on each of them the function filterUpTo(s,n) and apply an appropriate shift (mult by a power of \\spad{t).}"))) 
 NIL 
 NIL 
-(-637 S) 
+(-639 S) 
 ((|constructor| (NIL "The \\spadtype{ListMultiDictionary} domain implements a dictionary with duplicates allowed. The representation is a list with duplicates represented explicitly. Hence most operations will be relatively inefficient when the number of entries in the dictionary becomes large. If the objects in the dictionary belong to an ordered set, the entries are maintained in ascending order.")) (|substitute| (($ |#1| |#1| $) "\\spad{substitute(x,y,d)} replace \\spad{x's} with \\spad{y's} in dictionary \\spad{d.}")) (|duplicates?| (((|Boolean|) $) "\\spad{duplicates?(d)} tests if dictionary \\spad{d} has duplicate entries."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) 
-(-638 R) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544))))) 
+(-640 R) 
 ((|constructor| (NIL "The category of left modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports left multiplation by elements of the rng. \\blankline Axioms\\br \\tab{5}\\spad{ (a*b)*x = a*(b*x) }\\br \\tab{5}\\spad{ (a+b)*x = (a*x)+(b*x) }\\br \\tab{5}\\spad{ a*(x+y) = (a*x)+(a*y) }")) (* (($ |#1| $) "\\spad{r*x} returns the left multiplication of the module element \\spad{x} by the ring element \\spad{r.}"))) 
 NIL 
 NIL 
-(-639 S E |un|) 
+(-641 S E |un|) 
 ((|constructor| (NIL "This internal package represents monoid (abelian or not, with or without inverses) as lists and provides some common operations to the various flavors of monoids.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|commutativeEquality| (((|Boolean|) $ $) "\\spad{commutativeEquality(x,y)} returns \\spad{true} if \\spad{x} and \\spad{y} are equal assuming commutativity")) (|plus| (($ $ $) "\\spad{plus(x, \\spad{y)}} returns \\spad{x + \\spad{y}} where \\spad{+} is the monoid operation, which is assumed commutative.") (($ |#1| |#2| $) "\\spad{plus(s, e, \\spad{x)}} returns \\spad{e * \\spad{s} + \\spad{x}} where \\spad{+} is the monoid operation, which is assumed commutative.")) (|leftMult| (($ |#1| $) "\\spad{leftMult(s, a)} returns \\spad{s * a} where \\spad{*} is the monoid operation, which is assumed non-commutative.")) (|rightMult| (($ $ |#1|) "\\spad{rightMult(a, \\spad{s)}} returns \\spad{a * \\spad{s}} where \\spad{*} is the monoid operation, which is assumed non-commutative.")) (|makeUnit| (($) "\\spad{makeUnit()} returns the unit element of the monomial.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(l)} returns the number of monomials forming \\spad{l.}")) (|reverse!| (($ $) "\\spad{reverse!(l)} reverses the list of monomials forming \\spad{l,} destroying the element \\spad{l.}")) (|reverse| (($ $) "\\spad{reverse(l)} reverses the list of monomials forming \\spad{l.} This has some effect if the monoid is non-abelian, \\spadignore{i.e.} \\spad{reverse(a1\\^e1 \\spad{...} an\\^en) = an\\^en \\spad{...} a1\\^e1} which is different.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(l, \\spad{n)}} returns the factor of the n^th monomial of \\spad{l.}")) (|nthExpon| ((|#2| $ (|Integer|)) "\\spad{nthExpon(l, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{l.}")) (|makeMulti| (($ (|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|)))) "\\spad{makeMulti(l)} returns the element whose list of monomials is \\spad{l.}")) (|makeTerm| (($ |#1| |#2|) "\\spad{makeTerm(s, e)} returns the monomial \\spad{s} exponentiated by \\spad{e} (\\spadignore{e.g.} s^e or \\spad{e} * \\spad{s).}")) (|listOfMonoms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) "\\spad{listOfMonoms(l)} returns the list of the monomials forming \\spad{l.}")) (|outputForm| (((|OutputForm|) $ (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Integer|)) "\\spad{outputForm(l, fop, fexp, unit)} converts the monoid element represented by \\spad{l} to an \\spadtype{OutputForm}. Argument unit is the output form for the \\spadignore{unit} of the monoid (\\spadignore{e.g.} 0 or 1), \\spad{fop(a, \\spad{b)}} is the output form for the monoid operation applied to \\spad{a} and \\spad{b} (\\spadignore{e.g.} \\spad{a + \\spad{b},} \\spad{a * \\spad{b},} \\spad{ab}), and \\spad{fexp(a, \\spad{n)}} is the output form for the exponentiation operation applied to \\spad{a} and \\spad{n} (\\spadignore{e.g.} \\spad{n a}, \\spad{n * a}, \\spad{a \\spad{**} \\spad{n},} \\spad{a\\^n})."))) 
 NIL 
 NIL 
-(-640 A S) 
+(-642 A S) 
 ((|constructor| (NIL "A linear aggregate is an aggregate whose elements are indexed by integers. Examples of linear aggregates are strings, lists, and arrays. Most of the exported operations for linear aggregates are non-destructive but are not always efficient for a particular aggregate. For example, \\spadfun{concat} of two lists needs only to copy its first argument, whereas \\spadfun{concat} of two arrays needs to copy both arguments. Most of the operations exported here apply to infinite objects (\\spadignore{e.g.} streams) as well to finite ones. For finite linear aggregates, see \\spadtype{FiniteLinearAggregate}.")) (|setelt| ((|#2| $ (|UniversalSegment| (|Integer|)) |#2|) "\\spad{setelt(u,i..j,x)} (also written: \\axiom{u(i..j) \\spad{:=} \\spad{x})} destructively replaces each element in the segment \\axiom{u(i..j)} by \\spad{x.} The value \\spad{x} is returned. Note that \\spad{u} is destructively change so that \\axiom{u.k \\spad{:=} \\spad{x} for \\spad{k} in i..j}; its length remains unchanged.")) (|insert| (($ $ $ (|Integer|)) "\\spad{insert(v,u,k)} returns a copy of \\spad{u} having \\spad{v} inserted beginning at the \\axiom{i}th element. Note that \\axiom{insert(v,u,k) = concat( u(0..k-1), \\spad{v,} u(k..) \\spad{)}.}") (($ |#2| $ (|Integer|)) "\\spad{insert(x,u,i)} returns a copy of \\spad{u} having \\spad{x} as its \\axiom{i}th element. Note that \\axiom{insert(x,a,k) = concat(concat(a(0..k-1),x),a(k..))}.")) (|delete| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete(u,i..j)} returns a copy of \\spad{u} with the \\axiom{i}th through \\axiom{j}th element deleted. Note that \\axiom{delete(a,i..j) = concat(a(0..i-1),a(j+1..))}.") (($ $ (|Integer|)) "\\spad{delete(u,i)} returns a copy of \\spad{u} with the \\axiom{i}th element deleted. Note that for lists, \\axiom{delete(a,i) \\spad{==} concat(a(0..i - 1),a(i + 1,..))}.")) (|elt| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{elt(u,i..j)} (also written: \\axiom{a(i..j)}) returns the aggregate of elements \\axiom{u} for \\spad{k} from \\spad{i} to \\spad{j} in that order. Note that in general, \\axiom{a.s = [a.k for \\spad{i} in s]}.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(f,u,v)} returns a new collection \\spad{w} with elements \\axiom{z = f(x,y)} for corresponding elements \\spad{x} and \\spad{y} from \\spad{u} and \\spad{v.} Note that for linear aggregates, \\axiom{w.i = f(u.i,v.i)}.")) (|concat| (($ (|List| $)) "\\spad{concat(u)}, where \\spad{u} is a lists of aggregates \\axiom{[a,b,...,c]}, returns a single aggregate consisting of the elements of \\axiom{a} followed by those of \\spad{b} followed \\spad{...} by the elements of \\spad{c.} Note that \\axiom{concat(a,b,...,c) = concat(a,concat(b,...,c))}.") (($ $ $) "\\spad{concat(u,v)} returns an aggregate consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that if \\axiom{w = concat(u,v)} then \\axiom{w.i = u.i for \\spad{i} in indices u} and \\axiom{w.(j + maxIndex u) = \\spad{v.j} for \\spad{j} in indices \\spad{v}.}") (($ |#2| $) "\\spad{concat(x,u)} returns aggregate \\spad{u} with additional element at the front. Note that for lists: \\axiom{concat(x,u) \\spad{==} concat([x],u)}.") (($ $ |#2|) "\\spad{concat(u,x)} returns aggregate \\spad{u} with additional element \\spad{x} at the end. Note that for lists, \\axiom{concat(u,x) \\spad{==} concat(u,[x])}")) (|new| (($ (|NonNegativeInteger|) |#2|) "\\spad{new(n,x)} returns \\axiom{fill!(new n,x)}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4572))) 
-(-641 S) 
+((|HasAttribute| |#1| (QUOTE -4601))) 
+(-643 S) 
 ((|constructor| (NIL "A linear aggregate is an aggregate whose elements are indexed by integers. Examples of linear aggregates are strings, lists, and arrays. Most of the exported operations for linear aggregates are non-destructive but are not always efficient for a particular aggregate. For example, \\spadfun{concat} of two lists needs only to copy its first argument, whereas \\spadfun{concat} of two arrays needs to copy both arguments. Most of the operations exported here apply to infinite objects (\\spadignore{e.g.} streams) as well to finite ones. For finite linear aggregates, see \\spadtype{FiniteLinearAggregate}.")) (|setelt| ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) "\\spad{setelt(u,i..j,x)} (also written: \\axiom{u(i..j) \\spad{:=} \\spad{x})} destructively replaces each element in the segment \\axiom{u(i..j)} by \\spad{x.} The value \\spad{x} is returned. Note that \\spad{u} is destructively change so that \\axiom{u.k \\spad{:=} \\spad{x} for \\spad{k} in i..j}; its length remains unchanged.")) (|insert| (($ $ $ (|Integer|)) "\\spad{insert(v,u,k)} returns a copy of \\spad{u} having \\spad{v} inserted beginning at the \\axiom{i}th element. Note that \\axiom{insert(v,u,k) = concat( u(0..k-1), \\spad{v,} u(k..) \\spad{)}.}") (($ |#1| $ (|Integer|)) "\\spad{insert(x,u,i)} returns a copy of \\spad{u} having \\spad{x} as its \\axiom{i}th element. Note that \\axiom{insert(x,a,k) = concat(concat(a(0..k-1),x),a(k..))}.")) (|delete| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete(u,i..j)} returns a copy of \\spad{u} with the \\axiom{i}th through \\axiom{j}th element deleted. Note that \\axiom{delete(a,i..j) = concat(a(0..i-1),a(j+1..))}.") (($ $ (|Integer|)) "\\spad{delete(u,i)} returns a copy of \\spad{u} with the \\axiom{i}th element deleted. Note that for lists, \\axiom{delete(a,i) \\spad{==} concat(a(0..i - 1),a(i + 1,..))}.")) (|elt| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{elt(u,i..j)} (also written: \\axiom{a(i..j)}) returns the aggregate of elements \\axiom{u} for \\spad{k} from \\spad{i} to \\spad{j} in that order. Note that in general, \\axiom{a.s = [a.k for \\spad{i} in s]}.")) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $) "\\spad{map(f,u,v)} returns a new collection \\spad{w} with elements \\axiom{z = f(x,y)} for corresponding elements \\spad{x} and \\spad{y} from \\spad{u} and \\spad{v.} Note that for linear aggregates, \\axiom{w.i = f(u.i,v.i)}.")) (|concat| (($ (|List| $)) "\\spad{concat(u)}, where \\spad{u} is a lists of aggregates \\axiom{[a,b,...,c]}, returns a single aggregate consisting of the elements of \\axiom{a} followed by those of \\spad{b} followed \\spad{...} by the elements of \\spad{c.} Note that \\axiom{concat(a,b,...,c) = concat(a,concat(b,...,c))}.") (($ $ $) "\\spad{concat(u,v)} returns an aggregate consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that if \\axiom{w = concat(u,v)} then \\axiom{w.i = u.i for \\spad{i} in indices u} and \\axiom{w.(j + maxIndex u) = \\spad{v.j} for \\spad{j} in indices \\spad{v}.}") (($ |#1| $) "\\spad{concat(x,u)} returns aggregate \\spad{u} with additional element at the front. Note that for lists: \\axiom{concat(x,u) \\spad{==} concat([x],u)}.") (($ $ |#1|) "\\spad{concat(u,x)} returns aggregate \\spad{u} with additional element \\spad{x} at the end. Note that for lists, \\axiom{concat(u,x) \\spad{==} concat(u,[x])}")) (|new| (($ (|NonNegativeInteger|) |#1|) "\\spad{new(n,x)} returns \\axiom{fill!(new n,x)}."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-642 K) 
+(-644 K) 
 ((|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} \\spad{(b} \\spad{<-} true) prints some information during some critical computation.")) (|coefOfFirstNonZeroTerm| ((|#1| $) "\\spad{coefOfFirstNonZeroTerm(s)} returns the first non zero coefficient of the series.")) (|filterUpTo| (($ $ (|Integer|)) "\\spad{filterUpTo(s,n)} returns the series consisting of the terms of \\spad{s} having degree strictly less than \\spad{n.}")) (|shift| (($ $ (|Integer|)) "\\spad{shift(s,n)} returns t**n * \\spad{s}")) (|series| (($ (|Integer|) |#1| $) "\\spad{series(e,c,s)} create the series c*t**e + \\spad{s.}")) (|removeZeroes| (($ $) "\\spad{removeZeroes(s)} removes the zero terms in \\spad{s.}") (($ (|Integer|) $) "\\spad{removeZeroes(n,s)} removes the zero terms in the first \\spad{n} terms of \\spad{s.}")) (|monomial2series| (($ (|List| $) (|List| (|NonNegativeInteger|)) (|Integer|)) "\\spad{monomial2series(ls,le,n)} returns t**n * reduce(\"*\",[s \\spad{**} \\spad{e} for \\spad{s} in \\spad{ls} for \\spad{e} in le])")) (|delay| (($ (|Mapping| $)) "\\spad{delay delayed} the computation of the next term of the series given by the input function.")) (|posExpnPart| (($ $) "\\spad{posExpnPart(s)} returns the series \\spad{s} less the terms with negative exponant.")) (|order| (((|Integer|) $) "\\spad{order(s)} returns the order of \\spad{s.}"))) 
-(((-4573 "*") . T) (-4564 . T) (-4563 . T) (-4569 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") . T) (-4593 . T) (-4592 . T) (-4598 . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-643 R -1647 L) 
+(-645 R -3280 L) 
 ((|constructor| (NIL "\\spad{ElementaryFunctionLODESolver} provides the top-level functions for finding closed form solutions of linear ordinary differential equations and initial value problems.")) (|solve| (((|Union| |#2| "failed") |#3| |#2| (|Symbol|) |#2| (|List| |#2|)) "\\spad{solve(op, \\spad{g,} \\spad{x,} a, [y0,...,ym])} returns either the solution of the initial value problem \\spad{op \\spad{y} = \\spad{g,} y(a) = \\spad{y0,} y'(a) = y1,...} or \"failed\" if the solution cannot be found; \\spad{x} is the dependent variable.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) "failed") |#3| |#2| (|Symbol|)) "\\spad{solve(op, \\spad{g,} \\spad{x)}} returns either a solution of the ordinary differential equation \\spad{op \\spad{y} = \\spad{g}} or \"failed\" if no non-trivial solution can be found; When found, the solution is returned in the form \\spad{[h, [b1,...,bm]]} where \\spad{h} is a particular solution and and \\spad{[b1,...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{op \\spad{y} = 0}. A full basis for the solutions of the homogenuous equation is not always returned, only the solutions which were found; \\spad{x} is the dependent variable."))) 
 NIL 
 NIL 
-(-644 A) 
+(-646 A) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator1} defines a ring of differential operators with coefficients in a differential ring A. Multiplication of operators corresponds to functional composition:\\br \\spad{(L1 * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}}"))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-645 A M) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-367)))) 
+(-647 A M) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator2} defines a ring of differential operators with coefficients in a differential ring A and acting on an A-module \\spad{M.} Multiplication of operators corresponds to functional composition:\\br \\spad{(L1 * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}}")) (|differentiate| (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x}"))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-646 S A) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-367)))) 
+(-648 S A) 
 ((|constructor| (NIL "LinearOrdinaryDifferentialOperatorCategory is the category of differential operators with coefficients in a ring A with a given derivation. \\blankline Multiplication of operators corresponds to functional composition:\\br \\spad{(L1} * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}")) (|directSum| (($ $ $) "\\spad{directSum(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}.")) (|symmetricSquare| (($ $) "\\spad{symmetricSquare(a)} computes \\spad{symmetricProduct(a,a)} using a more efficient method.")) (|symmetricPower| (($ $ (|NonNegativeInteger|)) "\\spad{symmetricPower(a,n)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}.")) (|symmetricProduct| (($ $ $) "\\spad{symmetricProduct(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}.")) (|adjoint| (($ $) "\\spad{adjoint(a)} returns the adjoint operator of a.")) (D (($) "\\spad{D()} provides the operator corresponding to a derivation in the ring \\spad{A}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-366)))) 
-(-647 A) 
+((|HasCategory| |#2| (QUOTE (-367)))) 
+(-649 A) 
 ((|constructor| (NIL "LinearOrdinaryDifferentialOperatorCategory is the category of differential operators with coefficients in a ring A with a given derivation. \\blankline Multiplication of operators corresponds to functional composition:\\br \\spad{(L1} * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}")) (|directSum| (($ $ $) "\\spad{directSum(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}.")) (|symmetricSquare| (($ $) "\\spad{symmetricSquare(a)} computes \\spad{symmetricProduct(a,a)} using a more efficient method.")) (|symmetricPower| (($ $ (|NonNegativeInteger|)) "\\spad{symmetricPower(a,n)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}.")) (|symmetricProduct| (($ $ $) "\\spad{symmetricProduct(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}.")) (|adjoint| (($ $) "\\spad{adjoint(a)} returns the adjoint operator of a.")) (D (($) "\\spad{D()} provides the operator corresponding to a derivation in the ring \\spad{A}."))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-648 -1647 UP) 
+(-650 -3280 UP) 
 ((|constructor| (NIL "\\spadtype{LinearOrdinaryDifferentialOperatorFactorizer} provides a factorizer for linear ordinary differential operators whose coefficients are rational functions.")) (|factor1| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{factor1(a)} returns the factorisation of a, assuming that a has no first-order right factor.")) (|factor| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{factor(a)} returns the factorisation of a.") (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{factor(a, zeros)} returns the factorisation of a. \\spad{zeros} is a zero finder in \\spad{UP}."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-27)))) 
-(-649 A -1574) 
+(-651 A -1408) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator} defines a ring of differential operators with coefficients in a ring A with a given derivation. Multiplication of operators corresponds to functional composition:\\br \\spad{(L1 * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}}"))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-650 A L) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-367)))) 
+(-652 A L) 
 ((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperatorsOps} provides symmetric products and sums for linear ordinary differential operators.")) (|directSum| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) "\\spad{directSum(a,b,D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}. \\spad{D} is the derivation to use.")) (|symmetricPower| ((|#2| |#2| (|NonNegativeInteger|) (|Mapping| |#1| |#1|)) "\\spad{symmetricPower(a,n,D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}. \\spad{D} is the derivation to use.")) (|symmetricProduct| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) "\\spad{symmetricProduct(a,b,D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}. \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-651 S) 
-((|constructor| (NIL "`Logic' provides the basic operations for lattices, \\spadignore{e.g.} boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{ \\spad{\\/} } returns the logical `join', \\spadignore{e.g.} `or'.")) (|/\\| (($ $ $) "\\spadignore { /\\ }returns the logical `meet', \\spadignore{e.g.} `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x.}"))) 
+(-653 S) 
+((|constructor| (NIL "Logic provides the basic operations for lattices, for example, boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{\\/} returns the logical `join', for example, `or'.")) (|/\\| (($ $ $) "\\spadignore{/\\} returns the logical `meet', for example, `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x.}"))) 
 NIL 
 NIL 
-(-652) 
-((|constructor| (NIL "`Logic' provides the basic operations for lattices, \\spadignore{e.g.} boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{ \\spad{\\/} } returns the logical `join', \\spadignore{e.g.} `or'.")) (|/\\| (($ $ $) "\\spadignore { /\\ }returns the logical `meet', \\spadignore{e.g.} `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x.}"))) 
+(-654) 
+((|constructor| (NIL "Logic provides the basic operations for lattices, for example, boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{\\/} returns the logical `join', for example, `or'.")) (|/\\| (($ $ $) "\\spadignore{/\\} returns the logical `meet', for example, `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x.}"))) 
 NIL 
 NIL 
-(-653 M R S) 
+(-655 M R S) 
 ((|constructor| (NIL "Localize(M,R,S) produces fractions with numerators from an \\spad{R} module \\spad{M} and denominators from some multiplicative subset \\spad{D} of \\spad{R.}")) (|denom| ((|#3| $) "\\spad{denom \\spad{x}} returns the denominator of \\spad{x.}")) (|numer| ((|#1| $) "\\spad{numer \\spad{x}} returns the numerator of \\spad{x.}")) (/ (($ |#1| |#3|) "\\spad{m / \\spad{d}} divides the element \\spad{m} by \\spad{d.}") (($ $ |#3|) "\\spad{x / \\spad{d}} divides the element \\spad{x} by \\spad{d.}"))) 
-((-4566 . T) (-4565 . T)) 
-((|HasCategory| |#1| (QUOTE (-788)))) 
-(-654 K) 
+((-4595 . T) (-4594 . T)) 
+((|HasCategory| |#1| (QUOTE (-791)))) 
+(-656 K) 
 ((|constructor| (NIL "A package that exports several linear algebra operations over lines of matrices. Part of the PAFF package.")) (|reduceRowOnList| (((|List| (|List| |#1|)) (|List| |#1|) (|List| (|List| |#1|))) "\\spad{reduceRowOnList(v,lvec)} applies a row reduction on each of the element of \\spad{lv} using \\spad{v} according to a pivot in \\spad{v} which is set to be the first non nul element in \\spad{v.}")) (|reduceLineOverLine| (((|List| |#1|) (|List| |#1|) (|List| |#1|) |#1|) "\\spad{reduceLineOverLine(v1,v2,a)} returns \\spad{v1-a*v1} where \\indented{1}{v1 and \\spad{v2} are considered as vector space.}")) (|quotVecSpaceBasis| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| |#1|))) "\\spad{quotVecSpaceBasis(b1,b2)} returns a basis of \\spad{V1/V2} where \\spad{V1} and \\spad{V2} are vector space with basis \\spad{b1} and \\spad{b2} resp. and \\spad{V2} is suppose to be include in \\spad{V1;} Note that if it is not the case then it returs the basis of V1/W where \\spad{W} = intersection of \\spad{V1} and \\spad{V2}")) (|reduceRow| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) "reduceRow: if the input is considered as a matrix, the output would be the row reduction matrix. It's almost the rowEchelon form except that no permution of lines is performed."))) 
 NIL 
 NIL 
-(-655 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
-((|constructor| (NIL "The following is part of the PAFF package")) (|localize| (((|Record| (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (|List| (|Integer|)))) |#3| |#5| |#3| (|Integer|)) "\\spad{localize(f,pt,crv,n)} returns a record containing the polynomials \\spad{f} and \\spad{crv} translate to the origin with respect to \\spad{pt.} The last element of the records, consisting of three integers contains information about the local parameter that will be used (either \\spad{x} or \\spad{y):} the first integer correspond to the variable that will be used as a local parameter.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}")) (|localParamOfSimplePt| (((|List| |#6|) |#5| |#3| (|Integer|)) "\\spad{localParamOfSimplePt(pt,pol,n)} computes the local parametrization of the simple point \\spad{pt} on the curve defined by pol. This local parametrization is done according to the standard open affine plane set by \\spad{n}")) (|pointToPlace| ((|#7| |#5| |#3|) "\\spad{pointToPlace(pt,pol)} takes for input a simple point \\spad{pt} on the curve defined by \\spad{pol} and set the local parametrization of the point.")) (|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} \\spad{(b} \\spad{<-} true) prints some information during some critical computation."))) 
+(-657 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
+((|constructor| (NIL "This package is part of the PAFF package")) (|localize| (((|Record| (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (|List| (|Integer|)))) |#3| |#5| |#3| (|Integer|)) "\\spad{localize(f,pt,crv,n)} returns a record containing the polynomials \\spad{f} and \\spad{crv} translate to the origin with respect to \\spad{pt.} The last element of the records, consisting of three integers contains information about the local parameter that will be used (either \\spad{x} or \\spad{y):} the first integer correspond to the variable that will be used as a local parameter.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}")) (|localParamOfSimplePt| (((|List| |#6|) |#5| |#3| (|Integer|)) "\\spad{localParamOfSimplePt(pt,pol,n)} computes the local parametrization of the simple point \\spad{pt} on the curve defined by pol. This local parametrization is done according to the standard open affine plane set by \\spad{n}")) (|pointToPlace| ((|#7| |#5| |#3|) "\\spad{pointToPlace(pt,pol)} takes for input a simple point \\spad{pt} on the curve defined by \\spad{pol} and set the local parametrization of the point.")) (|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} \\spad{(b} \\spad{<-} true) prints some information during some critical computation."))) 
 NIL 
 NIL 
-(-656 R) 
+(-658 R) 
 ((|constructor| (NIL "Given a PolynomialFactorizationExplicit ring, this package provides a defaulting rule for the \\spad{solveLinearPolynomialEquation} operation, by moving into the field of fractions, and solving it there via the \\spad{multiEuclidean} operation.")) (|solveLinearPolynomialEquationByFractions| (((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{solveLinearPolynomialEquationByFractions([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such exists."))) 
 NIL 
 NIL 
-(-657 |VarSet| R) 
+(-659 |VarSet| R) 
 ((|constructor| (NIL "This type supports Lie polynomials in Lyndon basis see Free Lie Algebras by \\spad{C.} Reutenauer (Oxford science publications).")) (|construct| (($ $ (|LyndonWord| |#1|)) "\\axiom{construct(x,y)} returns the Lie bracket \\axiom{[x,y]}.") (($ (|LyndonWord| |#1|) $) "\\axiom{construct(x,y)} returns the Lie bracket \\axiom{[x,y]}.") (($ (|LyndonWord| |#1|) (|LyndonWord| |#1|)) "\\axiom{construct(x,y)} returns the Lie bracket \\axiom{[x,y]}.")) (|LiePolyIfCan| (((|Union| $ "failed") (|XDistributedPolynomial| |#1| |#2|)) "\\axiom{LiePolyIfCan(p)} returns \\axiom{p} in Lyndon basis if \\axiom{p} is a Lie polynomial, otherwise \\axiom{\"failed\"} is returned."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4566 . T) (-4565 . T)) 
-((|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-173)))) 
-(-658 A S) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (-4595 . T) (-4594 . T)) 
+((|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-173)))) 
+(-660 A S) 
 ((|constructor| (NIL "A list aggregate is a model for a linked list data structure. A linked list is a versatile data structure. Insertion and deletion are efficient and searching is a linear operation.")) (|list| (($ |#2|) "\\spad{list(x)} returns the list of one element \\spad{x.}"))) 
 NIL 
 NIL 
-(-659 S) 
+(-661 S) 
 ((|constructor| (NIL "A list aggregate is a model for a linked list data structure. A linked list is a versatile data structure. Insertion and deletion are efficient and searching is a linear operation.")) (|list| (($ |#1|) "\\spad{list(x)} returns the list of one element \\spad{x.}"))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
-(-660 -1647) 
+(-662 -3280) 
 ((|constructor| (NIL "This package solves linear system in the matrix form \\spad{AX = \\spad{B}.} It is essentially a particular instantiation of the package \\spadtype{LinearSystemMatrixPackage} for Matrix and Vector. This package's existence makes it easier to use \\spadfun{solve} in the AXIOM interpreter.")) (|rank| (((|NonNegativeInteger|) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{rank(A,B)} computes the rank of the complete matrix \\spad{(A|B)} of the linear system \\spad{AX = \\spad{B}.}")) (|hasSolution?| (((|Boolean|) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{hasSolution?(A,B)} tests if the linear system \\spad{AX = \\spad{B}} has a solution.")) (|particularSolution| (((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{particularSolution(A,B)} finds a particular solution of the linear system \\spad{AX = \\spad{B}.}")) (|solve| (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|List| (|List| |#1|)) (|List| (|Vector| |#1|))) "\\spad{solve(A,LB)} finds a particular soln of the systems \\spad{AX = \\spad{B}} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB.}") (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|Matrix| |#1|) (|List| (|Vector| |#1|))) "\\spad{solve(A,LB)} finds a particular soln of the systems \\spad{AX = \\spad{B}} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB.}") (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|List| (|List| |#1|)) (|Vector| |#1|)) "\\spad{solve(A,B)} finds a particular solution of the system \\spad{AX = \\spad{B}} and a basis of the associated homogeneous system \\spad{AX = 0}.") (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{solve(A,B)} finds a particular solution of the system \\spad{AX = \\spad{B}} and a basis of the associated homogeneous system \\spad{AX = 0}."))) 
 NIL 
 NIL 
-(-661 -1647 |Row| |Col| M) 
+(-663 -3280 |Row| |Col| M) 
 ((|constructor| (NIL "This package solves linear system in the matrix form \\spad{AX = \\spad{B}.}")) (|rank| (((|NonNegativeInteger|) |#4| |#3|) "\\spad{rank(A,B)} computes the rank of the complete matrix \\spad{(A|B)} of the linear system \\spad{AX = \\spad{B}.}")) (|hasSolution?| (((|Boolean|) |#4| |#3|) "\\spad{hasSolution?(A,B)} tests if the linear system \\spad{AX = \\spad{B}} has a solution.")) (|particularSolution| (((|Union| |#3| "failed") |#4| |#3|) "\\spad{particularSolution(A,B)} finds a particular solution of the linear system \\spad{AX = \\spad{B}.}")) (|solve| (((|List| (|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|)))) |#4| (|List| |#3|)) "\\spad{solve(A,LB)} finds a particular soln of the systems \\spad{AX = \\spad{B}} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB.}") (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) "\\spad{solve(A,B)} finds a particular solution of the system \\spad{AX = \\spad{B}} and a basis of the associated homogeneous system \\spad{AX = 0}."))) 
 NIL 
 NIL 
-(-662 R E OV P) 
+(-664 R E OV P) 
 ((|constructor| (NIL "This package finds the solutions of linear systems presented as a list of polynomials.")) (|linSolve| (((|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| |#4|)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| |#4|))))) (|List| |#4|) (|List| |#3|)) "\\spad{linSolve(lp,lvar)} finds the solutions of the linear system of polynomials \\spad{lp} = 0 with respect to the list of symbols lvar."))) 
 NIL 
 NIL 
-(-663 |n| R) 
+(-665 |n| R) 
 ((|constructor| (NIL "LieSquareMatrix(n,R) implements the Lie algebra of the \\spad{n} by \\spad{n} matrices over the commutative ring \\spad{R.} The Lie bracket (commutator) of the algebra is given by\\br \\spad{a*b \\spad{:=} (a *$SQMATRIX(n,R) \\spad{b} - \\spad{b} *$SQMATRIX(n,R) a)},\\br where \\spadfun{*$SQMATRIX(n,R)} is the usual matrix multiplication."))) 
-((-4568 . T) (-4571 . T) (-4565 . T) (-4566 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE (-4573 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-559))) (-1929 (|HasAttribute| |#2| (QUOTE (-4573 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) (|HasCategory| |#2| (QUOTE (-173)))) 
-(-664 |VarSet|) 
+((-4597 . T) (-4600 . T) (-4594 . T) (-4595 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE (-4602 "*"))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-561))) (-1831 (|HasAttribute| |#2| (QUOTE (-4602 "*"))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097))))) (|HasCategory| |#2| (QUOTE (-173)))) 
+(-666 |VarSet|) 
 ((|constructor| (NIL "Lyndon words over arbitrary (ordered) symbols: see Free Lie Algebras by \\spad{C.} Reutenauer (Oxford science publications). A Lyndon word is a word which is smaller than any of its right factors w.r.t. the pure lexicographical ordering. If \\axiom{a} and \\axiom{b} are two Lyndon words such that \\axiom{a < \\spad{b}} holds w.r.t lexicographical ordering then \\axiom{a*b} is a Lyndon word. Parenthesized Lyndon words can be generated from symbols by using the following rule:\\br \\axiom{[[a,b],c]} is a Lyndon word iff \\axiom{a*b < \\spad{c} \\spad{<=} \\spad{b}} holds.\\br Lyndon words are internally represented by binary trees using the \\spadtype{Magma} domain constructor. Two ordering are provided: lexicographic and length-lexicographic.")) (|LyndonWordsList| (((|List| $) (|List| |#1|) (|PositiveInteger|)) "\\axiom{LyndonWordsList(vl, \\spad{n)}} returns the list of Lyndon words over the alphabet \\axiom{vl}, up to order \\axiom{n}.")) (|LyndonWordsList1| (((|OneDimensionalArray| (|List| $)) (|List| |#1|) (|PositiveInteger|)) "\\axiom{LyndonWordsList1(vl, \\spad{n)}} returns an array of lists of Lyndon words over the alphabet \\axiom{vl}, up to order \\axiom{n}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(x)} returns the list of distinct entries of \\axiom{x}.")) (|lyndonIfCan| (((|Union| $ "failed") (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndonIfCan(w)} convert \\axiom{w} into a Lyndon word.")) (|lyndon| (($ (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndon(w)} convert \\axiom{w} into a Lyndon word, error if \\axiom{w} is not a Lyndon word.")) (|lyndon?| (((|Boolean|) (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndon?(w)} test if \\axiom{w} is a Lyndon word.")) (|factor| (((|List| $) (|OrderedFreeMonoid| |#1|)) "\\axiom{factor(x)} returns the decreasing factorization into Lyndon words.")) (|coerce| (((|Magma| |#1|) $) "\\axiom{coerce(x)} returns the element of \\axiomType{Magma}(VarSet) corresponding to \\axiom{x}.") (((|OrderedFreeMonoid| |#1|) $) "\\axiom{coerce(x)} returns the element of \\axiomType{OrderedFreeMonoid}(VarSet) corresponding to \\axiom{x}.")) (|lexico| (((|Boolean|) $ $) "\\axiom{lexico(x,y)} returns \\axiom{true} iff \\axiom{x} is smaller than \\axiom{y} w.r.t. the lexicographical ordering induced by \\axiom{VarSet}.")) (|length| (((|PositiveInteger|) $) "\\axiom{length(x)} returns the number of entries in \\axiom{x}.")) (|right| (($ $) "\\axiom{right(x)} returns right subtree of \\axiom{x} or error if retractable?(x) is true.")) (|left| (($ $) "\\axiom{left(x)} returns left subtree of \\axiom{x} or error if retractable?(x) is true.")) (|retractable?| (((|Boolean|) $) "\\axiom{retractable?(x)} tests if \\axiom{x} is a tree with only one entry."))) 
 NIL 
 NIL 
-(-665 A S) 
-((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?', \\spadignore{e.g.} 'first' and 'rest', will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\indented{1}{complete(st) causes all entries of 'st' to be computed.} \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+->i>100,m) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\indented{1}{extend(st,n) causes entries to be computed, if necessary,} \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(m,20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfComputedEntries(st) returns the number of explicitly} \\indented{1}{computed entries of stream st which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\indented{1}{rst(s) returns a pointer to the next node of stream \\spad{s.}} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#2| $) "\\indented{1}{frst(s) returns the first element of stream \\spad{s.}} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s.} Caution: the first node must be a lazy evaluation mechanism (satisfies \\spad{lazy?(s) = true}) as there is no error check. Note that a call to this function may or may not produce an explicit first entry")) (|lazy?| (((|Boolean|) $) "\\indented{1}{lazy?(s) returns \\spad{true} if the first node of the stream \\spad{s}} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\indented{1}{explicitlyEmpty?(s) returns \\spad{true} if the stream is an} \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\indented{1}{explicitEntries?(s) returns \\spad{true} if the stream \\spad{s} has} \\indented{1}{explicitly computed entries, and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\indented{1}{select(f,st) returns a stream consisting of those elements of stream} \\indented{1}{st satisfying the predicate \\spad{f.}} \\indented{1}{Note that \\spad{select(f,st) = \\spad{[x} for \\spad{x} in st | f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} select(x+->prime? x,m)")) (|remove| (($ (|Mapping| (|Boolean|) |#2|) $) "\\indented{1}{remove(f,st) returns a stream consisting of those elements of stream} \\indented{1}{st which do not satisfy the predicate \\spad{f.}} \\indented{1}{Note that \\spad{remove(f,st) = \\spad{[x} for \\spad{x} in st | not f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(f,m)"))) 
+(-667 A S) 
+((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?', for example 'first' and 'rest', will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\spad{complete(st)} causes all entries of 'st' to be computed. \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+->i>100,m) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\spad{extend(st,n)} causes entries to be computed, if necessary, \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(m,20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\spad{numberOfComputedEntries(st)} returns the number of explicitly \\indented{1}{computed entries of stream \\spad{st} which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\spad{rst(s)} returns a pointer to the next node of stream \\spad{s.} \\indented{1}{Cautrion: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#2| $) "\\spad{frst(s)} returns the first element of stream \\spad{s.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s.} \\indented{1}{Caution: the first node must be a lazy evaluation mechanism} \\indented{1}{(satisfies \\spad{lazy?(s) = true}) as there is no error check.} \\indented{1}{Note that a call to this function may} \\indented{1}{or may not produce an explicit first entry}")) (|lazy?| (((|Boolean|) $) "\\spad{lazy?(s)} returns \\spad{true} if the first node of the stream \\spad{s} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\spad{explicitlyEmpty?(s)} returns \\spad{true} if the stream is an \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\spad{explicitEntries?(s)} returns \\spad{true} if the stream \\spad{s} has \\indented{1}{explicitly computed entries, and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select(f,st)} returns a stream consisting of those elements of stream \\indented{1}{st satisfying the predicate \\spad{f.}} \\indented{1}{Note that \\spad{select(f,st) = \\spad{[x} for \\spad{x} in \\spad{st} | f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} select(x+->prime? x,m)")) (|remove| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove(f,st)} returns a stream consisting of those elements of stream \\indented{1}{st which do not satisfy the predicate \\spad{f.}} \\indented{1}{Note that \\spad{remove(f,st) = \\spad{[x} for \\spad{x} in \\spad{st} | not f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(f,m)"))) 
 NIL 
 NIL 
-(-666 S) 
-((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?', \\spadignore{e.g.} 'first' and 'rest', will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\indented{1}{complete(st) causes all entries of 'st' to be computed.} \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+->i>100,m) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\indented{1}{extend(st,n) causes entries to be computed, if necessary,} \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(m,20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfComputedEntries(st) returns the number of explicitly} \\indented{1}{computed entries of stream st which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\indented{1}{rst(s) returns a pointer to the next node of stream \\spad{s.}} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#1| $) "\\indented{1}{frst(s) returns the first element of stream \\spad{s.}} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s.} Caution: the first node must be a lazy evaluation mechanism (satisfies \\spad{lazy?(s) = true}) as there is no error check. Note that a call to this function may or may not produce an explicit first entry")) (|lazy?| (((|Boolean|) $) "\\indented{1}{lazy?(s) returns \\spad{true} if the first node of the stream \\spad{s}} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\indented{1}{explicitlyEmpty?(s) returns \\spad{true} if the stream is an} \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\indented{1}{explicitEntries?(s) returns \\spad{true} if the stream \\spad{s} has} \\indented{1}{explicitly computed entries, and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{select(f,st) returns a stream consisting of those elements of stream} \\indented{1}{st satisfying the predicate \\spad{f.}} \\indented{1}{Note that \\spad{select(f,st) = \\spad{[x} for \\spad{x} in st | f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} select(x+->prime? x,m)")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{remove(f,st) returns a stream consisting of those elements of stream} \\indented{1}{st which do not satisfy the predicate \\spad{f.}} \\indented{1}{Note that \\spad{remove(f,st) = \\spad{[x} for \\spad{x} in st | not f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(f,m)"))) 
-((-4317 . T)) 
+(-668 S) 
+((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?', for example 'first' and 'rest', will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\spad{complete(st)} causes all entries of 'st' to be computed. \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+->i>100,m) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\spad{extend(st,n)} causes entries to be computed, if necessary, \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(m,20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\spad{numberOfComputedEntries(st)} returns the number of explicitly \\indented{1}{computed entries of stream \\spad{st} which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\spad{rst(s)} returns a pointer to the next node of stream \\spad{s.} \\indented{1}{Cautrion: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#1| $) "\\spad{frst(s)} returns the first element of stream \\spad{s.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s.} \\indented{1}{Caution: the first node must be a lazy evaluation mechanism} \\indented{1}{(satisfies \\spad{lazy?(s) = true}) as there is no error check.} \\indented{1}{Note that a call to this function may} \\indented{1}{or may not produce an explicit first entry}")) (|lazy?| (((|Boolean|) $) "\\spad{lazy?(s)} returns \\spad{true} if the first node of the stream \\spad{s} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\spad{explicitlyEmpty?(s)} returns \\spad{true} if the stream is an \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\spad{explicitEntries?(s)} returns \\spad{true} if the stream \\spad{s} has \\indented{1}{explicitly computed entries, and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(f,st)} returns a stream consisting of those elements of stream \\indented{1}{st satisfying the predicate \\spad{f.}} \\indented{1}{Note that \\spad{select(f,st) = \\spad{[x} for \\spad{x} in \\spad{st} | f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} select(x+->prime? x,m)")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove(f,st)} returns a stream consisting of those elements of stream \\indented{1}{st which do not satisfy the predicate \\spad{f.}} \\indented{1}{Note that \\spad{remove(f,st) = \\spad{[x} for \\spad{x} in \\spad{st} | not f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(f,m)"))) 
+((-3348 . T)) 
 NIL 
-(-667 R) 
+(-669 R) 
 ((|constructor| (NIL "This domain represents three dimensional matrices over a general object type")) (|matrixDimensions| (((|Vector| (|NonNegativeInteger|)) $) "\\spad{matrixDimensions(x)} returns the dimensions of a matrix")) (|matrixConcat3D| (($ (|Symbol|) $ $) "\\spad{matrixConcat3D(s,x,y)} concatenates two 3-D matrices along a specified axis")) (|coerce| (((|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|))) $) "\\spad{coerce(x)} moves from the domain to the representation type") (($ (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|)))) "\\spad{coerce(p)} moves from the representation type (PrimitiveArray PrimitiveArray PrimitiveArray \\spad{R)} to the domain")) (|setelt!| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\spad{setelt!(x,i,j,k,s)} (or x.i.j.k:=s) sets a specific element of the array to some value of type \\spad{R}")) (|elt| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{elt(x,i,j,k)} extract an element from the matrix \\spad{x}")) (|construct| (($ (|List| (|List| (|List| |#1|)))) "\\spad{construct(lll)} creates a 3-D matrix from a List List List \\spad{R} \\spad{lll}")) (|plus| (($ $ $) "\\spad{plus(x,y)} adds two matrices, term by term we note that they must be the same size")) (|identityMatrix| (($ (|NonNegativeInteger|)) "\\spad{identityMatrix(n)} create an identity matrix we note that this must be square")) (|zeroMatrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{zeroMatrix(i,j,k)} create a matrix with all zero terms"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (QUOTE (-1049))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-668 MPT MD) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (QUOTE (-1053))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1053)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-670 MPT MD) 
 ((|constructor| (NIL "This category specifies operations needed by ModularAlgebraicGcd package. Since we have multiple implementations we specify interface here and put implementations in separate packages. Most operations are done using special purpose abstract representation. Apropriate types are passesd as parametes: \\spad{MPT} is type of modular polynomials in one variable with coefficients in some algebraic extension. \\spad{MD} is type of modulus. Final results are converted to packed representation, with coefficients (from prime field) stored in one array and exponents (in main variable and in auxilary variables representing generators of algebrac extension) stored in parallel array.")) (|repack1| (((|Void|) |#1| (|U32Vector|) (|Integer|) |#2|) "\\spad{repack1(x, a, \\spad{d,} \\spad{m)}} stores coefficients of \\spad{x} in a. \\spad{d} is degree of \\spad{x.} Corresponding exponents are given by packExps.")) (|packExps| ((|SortedExponentVector| (|Integer|) (|Integer|) |#2|) "\\spad{packExps(d, \\spad{s,} \\spad{m)}} produces vector of exponents up to degree \\spad{d.} \\spad{s} is size (degree) of algebraic extension. Use together with repack1.")) (|degree| (((|Integer|) |#1|) "\\spad{degree(x)} gives degree of \\spad{x.}")) (|zero?| (((|Boolean|) |#1|) "\\spad{zero?(x)} checks if \\spad{x} is zero.")) (|MPtoMPT| ((|#1| (|Polynomial| (|Integer|)) (|Symbol|) (|List| (|Symbol|)) |#2|) "\\spad{MPtoMPT(p, \\spad{s,} \\spad{ls,} \\spad{m)}} coverts \\spad{p} to packed represntation.")) (|packModulus| (((|Union| |#2| "failed") (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Integer|)) "\\spad{packModulus(lp, \\spad{ls,} \\spad{p)}} converts \\spad{lp,} \\spad{ls} and prime \\spad{p} which together describe algebraic extension to packed representation.")) (|canonicalIfCan| (((|Union| |#1| "failed") |#1| |#2|) "\\spad{canonicalIfCan(x, \\spad{m)}} tries to divide \\spad{x} by its leading coefficient modulo \\spad{m.}")) (|pseudoRem| ((|#1| |#1| |#1| |#2|) "\\spad{pseudoRem(x, \\spad{y,} \\spad{m)}} computes pseudoremainder of \\spad{x} by \\spad{y} modulo \\spad{m.}"))) 
 NIL 
 NIL 
-(-669 |VarSet|) 
+(-671 |VarSet|) 
 ((|constructor| (NIL "This type is the basic representation of parenthesized words (binary trees over arbitrary symbols) useful in \\spadtype{LiePolynomial}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(x)} returns the list of distinct entries of \\axiom{x}.")) (|right| (($ $) "\\axiom{right(x)} returns right subtree of \\axiom{x} or error if retractable?(x) is true.")) (|retractable?| (((|Boolean|) $) "\\axiom{retractable?(x)} tests if \\axiom{x} is a tree with only one entry.")) (|rest| (($ $) "\\axiom{rest(x)} return \\axiom{x} without the first entry or error if retractable?(x) is true.")) (|mirror| (($ $) "\\axiom{mirror(x)} returns the reversed word of \\axiom{x}. That is \\axiom{x} itself if retractable?(x) is \\spad{true} and \\axiom{mirror(z) * mirror(y)} if \\axiom{x} is \\axiom{y*z}.")) (|lexico| (((|Boolean|) $ $) "\\axiom{lexico(x,y)} returns \\axiom{true} iff \\axiom{x} is smaller than \\axiom{y} w.r.t. the lexicographical ordering induced by \\axiom{VarSet}. N.B. This operation does not take into account the tree structure of its arguments. Thus this is not a total ordering.")) (|length| (((|PositiveInteger|) $) "\\axiom{length(x)} returns the number of entries in \\axiom{x}.")) (|left| (($ $) "\\axiom{left(x)} returns left subtree of \\axiom{x} or error if retractable?(x) is true.")) (|first| ((|#1| $) "\\axiom{first(x)} returns the first entry of the tree \\axiom{x}.")) (|coerce| (((|OrderedFreeMonoid| |#1|) $) "\\indented{1}{\\axiom{coerce(x)} returns the element of} \\axiomType{OrderedFreeMonoid}(VarSet) \\indented{1}{corresponding to \\axiom{x} by removing parentheses.}")) (* (($ $ $) "\\axiom{x*y} returns the tree \\axiom{[x,y]}."))) 
 NIL 
 NIL 
-(-670 A) 
+(-672 R |Row| |Col| M) 
+((|constructor| (NIL "Some functions for manipulating (dense) matrices. Supported are various kinds of slicing, splitting and stacking of matrices. The functions resemble operations often used in numerical linear algebra algorithms.")) (|blockSplit| (((|List| (|List| |#4|)) |#4| (|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) "\\spad{blockSplit} splits a matrix into multiple submatrices row and column wise, dividing a matrix into blocks.") (((|List| (|List| |#4|)) |#4| (|PositiveInteger|) (|List| (|PositiveInteger|))) "\\spad{blockSplit} splits a matrix into multiple submatrices row and column wise, dividing a matrix into blocks.") (((|List| (|List| |#4|)) |#4| (|List| (|PositiveInteger|)) (|PositiveInteger|)) "\\spad{blockSplit} splits a matrix into multiple submatrices row and column wise, dividing a matrix into blocks.") (((|List| (|List| |#4|)) |#4| (|PositiveInteger|) (|PositiveInteger|)) "\\spad{blockSplit} splits a matrix into multiple submatrices row and column wise, dividing a matrix into blocks.")) (|horizSplit| (((|List| |#4|) |#4| (|List| (|PositiveInteger|))) "\\spad{horizSplit} splits a matrix into multiple submatrices column wise.") (((|List| |#4|) |#4| (|PositiveInteger|)) "\\spad{horizSplit} splits a matrix into multiple submatrices column wise.")) (|vertSplit| (((|List| |#4|) |#4| (|List| (|PositiveInteger|))) "\\spad{vertSplit} splits a matrix into multiple submatrices row wise.") (((|List| |#4|) |#4| (|PositiveInteger|)) "\\spad{vertSplit} splits a matrix into multiple submatrices row wise.")) (|blockConcat| ((|#4| (|List| (|List| |#4|))) "\\spad{blockConcat} concatenates matrices row and column wise, building a block matrix. The order is row major as in \\spad{matrix}.")) (|vertConcat| ((|#4| (|List| |#4|)) "\\spad{vertConcat} concatenates matrices row wise.")) (|horizConcat| ((|#4| (|List| |#4|)) "\\spad{horizConcat} concatenates matrices column wise.")) (|bandMatrix| ((|#4| |#4| (|Segment| (|Integer|))) "\\spad{bandMatrix} returns multiple diagonals out of a matrix. The diagonals are put into a matrix of same shape as the original one. Positive integer arguments select upper off-diagonals, negative ones lower off-diagonals.") ((|#4| |#4| (|List| (|Integer|))) "\\spad{bandMatrix} returns multiple diagonals out of a matrix. The diagonals are put into a matrix of same shape as the original one. Positive integer arguments select upper off-diagonals, negative ones lower off-diagonals.")) (|diagonalMatrix| ((|#4| |#4|) "\\spad{diagonalMatrix} returns the main diagonal out of a matrix. The diagonal is put into a matrix of same shape as the original one.") ((|#4| |#4| (|Integer|)) "\\spad{diagonalMatrix} returns a diagonal out of a matrix. The diagonal is put into a matrix of same shape as the original one. Positive integer arguments select upper off-diagonals, negative ones lower off-diagonals.")) (|subMatrix| ((|#4| |#4| (|Segment| (|PositiveInteger|)) (|Segment| (|PositiveInteger|))) "\\spad{subMatrix} returns several elements out of a matrix. The elements are stacked into a submatrix.") ((|#4| |#4| (|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) "\\spad{subMatrix} returns several elements out of a matrix. The elements are stacked into a submatrix.")) (|columns| ((|#4| |#4| (|Segment| (|PositiveInteger|))) "\\spad{columns} returns several columns out of a matrix. The columns are stacked into a matrix.") ((|#4| |#4| (|List| (|PositiveInteger|))) "\\spad{columns} returns several columns out of a matrix. The columns are stacked into a matrix.")) (|aColumn| ((|#4| |#4| (|PositiveInteger|)) "\\spad{aColumn} returns a single column out of a matrix. The column is put into a one by \\spad{N} matrix.")) (|rows| ((|#4| |#4| (|Segment| (|PositiveInteger|))) "\\spad{rows} returns several rows out of a matrix. The rows are stacked into a matrix.") ((|#4| |#4| (|List| (|PositiveInteger|))) "\\spad{rows} returns several rows out of a matrix. The rows are stacked into a matrix.")) (|aRow| ((|#4| |#4| (|PositiveInteger|)) "\\spad{aRow} returns a single row out of a matrix. The row is put into a one by \\spad{N} matrix.")) (|element| ((|#4| |#4| (|PositiveInteger|) (|PositiveInteger|)) "\\spad{element} returns a single element out of a matrix. The element is put into a one by one matrix."))) 
+NIL 
+NIL 
+(-673 A) 
 ((|constructor| (NIL "Various Currying operations.")) (|recur| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|NonNegativeInteger|) |#1|) "\\spad{recur(n,g,x)} is \\spad{g(n,g(n-1,..g(1,x)..))}.")) (|iter| ((|#1| (|Mapping| |#1| |#1|) (|NonNegativeInteger|) |#1|) "\\spad{iter(f,n,x)} applies \\spad{f \\spad{n}} times to \\spad{x}."))) 
 NIL 
 NIL 
-(-671 A C) 
+(-674 A C) 
 ((|constructor| (NIL "Various Currying operations.")) (|arg2| ((|#2| |#1| |#2|) "\\spad{arg2(a,c)} selects its second argument.")) (|arg1| ((|#1| |#1| |#2|) "\\spad{arg1(a,c)} selects its first argument."))) 
 NIL 
 NIL 
-(-672 A B C) 
+(-675 A B C) 
 ((|constructor| (NIL "Various Currying operations.")) (|comp| ((|#3| (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|) |#1|) "\\spad{comp(f,g,x)} is \\spad{f(g x)}."))) 
 NIL 
 NIL 
-(-673 A) 
-((|constructor| (NIL "Various Currying operations.")) (|recur| (((|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|Mapping| |#1| (|NonNegativeInteger|) |#1|)) "\\spad{recur(g)} is the function \\spad{h} such that \\indented{1}{\\spad{h(n,x)= g(n,g(n-1,..g(1,x)..))}.}")) (** (((|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{f**n} is the function which is the n-fold application \\indented{1}{of \\spad{f}.}")) (|id| ((|#1| |#1|) "\\spad{id \\spad{x}} is \\spad{x}.")) (|fixedPoint| (((|List| |#1|) (|Mapping| (|List| |#1|) (|List| |#1|)) (|Integer|)) "\\spad{fixedPoint(f,n)} is the fixed point of function \\indented{1}{\\spad{f} which is assumed to transform a list of length} \\indented{1}{\\spad{n}.}") ((|#1| (|Mapping| |#1| |#1|)) "\\spad{fixedPoint \\spad{f}} is the fixed point of function \\spad{f}. \\indented{1}{\\spadignore{i.e.} such that \\spad{fixedPoint \\spad{f} = f(fixedPoint f)}.}")) (|coerce| (((|Mapping| |#1|) |#1|) "\\spad{coerce A} changes its argument into a \\indented{1}{nullary function.}")) (|nullary| (((|Mapping| |#1|) |#1|) "\\spad{nullary A} changes its argument into a \\indented{1}{nullary function.}"))) 
+(-676 A) 
+((|constructor| (NIL "Various Currying operations.")) (|recur| (((|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|Mapping| |#1| (|NonNegativeInteger|) |#1|)) "\\spad{recur(g)} is the function \\spad{h} such that \\indented{1}{\\spad{h(n,x)= g(n,g(n-1,..g(1,x)..))}.}")) (** (((|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{f**n} is the function which is the n-fold application \\indented{1}{of \\spad{f}.}")) (|id| ((|#1| |#1|) "\\spad{id \\spad{x}} is \\spad{x}.")) (|fixedPoint| (((|List| |#1|) (|Mapping| (|List| |#1|) (|List| |#1|)) (|Integer|)) "\\spad{fixedPoint(f,n)} is the fixed point of function \\indented{1}{\\spad{f} which is assumed to transform a list of length} \\indented{1}{\\spad{n}.}") ((|#1| (|Mapping| |#1| |#1|)) "\\spad{fixedPoint \\spad{f}} is the fixed point of function \\spad{f}. \\indented{1}{that is, such that \\spad{fixedPoint \\spad{f} = f(fixedPoint f)}.}")) (|coerce| (((|Mapping| |#1|) |#1|) "\\spad{coerce A} changes its argument into a \\indented{1}{nullary function.}")) (|nullary| (((|Mapping| |#1|) |#1|) "\\spad{nullary A} changes its argument into a \\indented{1}{nullary function.}"))) 
 NIL 
 NIL 
-(-674 A C) 
+(-677 A C) 
 ((|constructor| (NIL "Various Currying operations.")) (|diag| (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1| |#1|)) "\\spad{diag(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g a = f(a,a)}.}")) (|constant| (((|Mapping| |#2| |#1|) (|Mapping| |#2|)) "\\spad{vu(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g a= \\spad{f} ()}.}")) (|curry| (((|Mapping| |#2|) (|Mapping| |#2| |#1|) |#1|) "\\spad{cu(f,a)} is the function \\spad{g} \\indented{1}{such that \\spad{g \\spad{()=} \\spad{f} a}.}")) (|const| (((|Mapping| |#2| |#1|) |#2|) "\\spad{const \\spad{c}} is a function which produces \\spad{c} when \\indented{1}{applied to its argument.}"))) 
 NIL 
 NIL 
-(-675 A B C) 
+(-678 A B C) 
 ((|constructor| (NIL "Various Currying operations.")) (* (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|)) "\\spad{f*g} is the function \\spad{h} \\indented{1}{such that \\spad{h \\spad{x=} \\spad{f(g} x)}.}")) (|twist| (((|Mapping| |#3| |#2| |#1|) (|Mapping| |#3| |#1| |#2|)) "\\spad{twist(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,b)= f(b,a)}.}")) (|constantLeft| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#2|)) "\\spad{constantLeft(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,b)= \\spad{f} b}.}")) (|constantRight| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#1|)) "\\spad{constantRight(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,b)= \\spad{f} a}.}")) (|curryLeft| (((|Mapping| |#3| |#2|) (|Mapping| |#3| |#1| |#2|) |#1|) "\\spad{curryLeft(f,a)} is the function \\spad{g} \\indented{1}{such that \\spad{g \\spad{b} = f(a,b)}.}")) (|curryRight| (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#1| |#2|) |#2|) "\\spad{curryRight(f,b)} is the function \\spad{g} such that \\indented{1}{\\spad{g a = f(a,b)}.}"))) 
 NIL 
 NIL 
-(-676 A B) 
+(-679 A B) 
 ((|constructor| (NIL "Functional Composition. Given functions \\spad{f} and \\spad{g,} returns the applicable closure")) (/ (((|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} p:=(x:EXPR(INT)):EXPR(INT)+->3*x \\spad{X} \\spad{q:=(x:EXPR(INT)):EXPR(INT)+->2*x+3} \\spad{X} (p/q)(4) \\spad{X} (p/q)(x)")) (* (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} 2*x+3 \\spad{X} (f*g)(4)")) (- (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} 2*x+3 \\spad{X} (f-g)(4)")) (+ (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} 2*x+3 \\spad{X} (f+g)(4)"))) 
 NIL 
 NIL 
-(-677 R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
+(-680 R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
 ((|constructor| (NIL "\\spadtype{MatrixCategoryFunctions2} provides functions between two matrix domains. The functions provided are \\spadfun{map} and \\spadfun{reduce}.")) (|reduce| ((|#5| (|Mapping| |#5| |#1| |#5|) |#4| |#5|) "\\spad{reduce(f,m,r)} returns a matrix \\spad{n} where \\spad{n[i,j] = f(m[i,j],r)} for all indices \\spad{i} and \\spad{j.}")) (|map| (((|Union| |#8| "failed") (|Mapping| (|Union| |#5| "failed") |#1|) |#4|) "\\spad{map(f,m)} applies the function \\spad{f} to the elements of the matrix \\spad{m.}") ((|#8| (|Mapping| |#5| |#1|) |#4|) "\\spad{map(f,m)} applies the function \\spad{f} to the elements of the matrix \\spad{m.}"))) 
 NIL 
 NIL 
-(-678 S R |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\indented{1}{\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.}} \\indented{1}{If the matrix is not invertible, \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#2| $) "\\indented{1}{\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m.}} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,1,0,0],[-1,0,0,0],[0,0,0,1],[0,0,-1,0]]")) (|minordet| ((|#2| $) "\\indented{1}{\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using} \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#2| $) "\\indented{1}{\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.}} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#4|) $) "\\indented{1}{\\spad{nullSpace(m)} returns a basis for the null space of} \\indented{1}{the matrix \\spad{m.}} \\blankline \\spad{X} nullSpace matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is} \\indented{1}{the dimension of the null space of the matrix \\spad{m.}} \\blankline \\spad{X} nullity matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{rank(m)} returns the rank of the matrix \\spad{m.}} \\blankline \\spad{X} rank matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|columnSpace| (((|List| |#4|) $) "\\indented{1}{\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m}} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|rowEchelon| (($ $) "\\indented{1}{\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#2|) "\\indented{1}{\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\indented{1}{\\spad{exquo(m,r)} computes the exact quotient of the elements} \\indented{1}{of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(m,2)")) (** (($ $ (|Integer|)) "\\indented{1}{\\spad{m**n} computes an integral power of the matrix \\spad{m.}} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{x \\spad{**} \\spad{n}} computes a non-negative integral power of the matrix \\spad{x.}} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#3| |#3| $) "\\indented{1}{\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#4| $ |#4|) "\\indented{1}{\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\indented{1}{\\spad{n * \\spad{x}} is an integer multiple.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#2|) "\\indented{1}{\\spad{x * \\spad{r}} is the right scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#2| $) "\\indented{1}{\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\indented{1}{\\spad{x * \\spad{y}} is the product of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\indented{1}{\\spad{-x} returns the negative of the matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\indented{1}{\\spad{x - \\spad{y}} is the difference of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m-m}")) (+ (($ $ $) "\\indented{1}{\\spad{x + \\spad{y}} is the sum of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\indented{1}{\\spad{setsubMatrix(x,i1,j1,y)} destructively alters the} \\indented{1}{matrix \\spad{x.} Here \\spad{x(i,j)} is set to \\spad{y(i-i1+1,j-j1+1)} for} \\indented{1}{\\spad{i = i1,...,i1-1+nrows \\spad{y}} and \\spad{j = j1,...,j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(m,2,2,matrix [[3,3],[3,3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{\\spad{subMatrix(x,i1,i2,j1,j2)} extracts the submatrix} \\indented{1}{\\spad{[x(i,j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(m,1,3,2,4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapColumns!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{columns of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(m,2,4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapRows!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{rows of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(m,2,4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\indented{1}{\\spad{setelt(x,rowList,colList,y)} destructively alters the matrix \\spad{x.}} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n}, \\spad{rowList = [i<1>,i<2>,...,i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,j<2>,...,j<n>]}, then \\spad{x(i<k>,j<l>)}} \\indented{1}{is set to \\spad{y(k,l)} for \\spad{k = 1,...,m} and \\spad{l = 1,...,n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(m,3,3,10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\indented{1}{\\spad{elt(x,rowList,colList)} returns an m-by-n matrix consisting} \\indented{1}{of elements of \\spad{x,} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,i<2>,...,i<m>]} and \\spad{colList \\spad{=}} \\indented{1}{[j<1>,j<2>,...,j<n>]}, then the \\spad{(k,l)}th entry of} \\indented{1}{\\spad{elt(x,rowList,colList)} is \\spad{x(i<k>,j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(m,3,3)")) (|listOfLists| (((|List| (|List| |#2|)) $) "\\indented{1}{\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list} \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\indented{1}{\\spad{vertConcat(x,y)} vertically concatenates two matrices with an} \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(m,m)")) (|horizConcat| (($ $ $) "\\indented{1}{\\spad{horizConcat(x,y)} horizontally concatenates two matrices with} \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(m,m)")) (|squareTop| (($ $) "\\indented{1}{\\spad{squareTop(m)} returns an n-by-n matrix consisting of the first} \\indented{1}{n rows of the m-by-n matrix \\spad{m.} Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\indented{1}{\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#3|) "\\indented{1}{\\spad{transpose(r)} converts the row \\spad{r} to a row matrix.} \\blankline \\spad{X} transpose([1,2,3])@Matrix(INT)")) (|coerce| (($ |#4|) "\\indented{1}{\\spad{coerce(col)} converts the column col to a column matrix.} \\blankline \\spad{X} coerce([1,2,3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\indented{1}{\\spad{diagonalMatrix([m1,...,mk])} creates a block diagonal matrix} \\indented{1}{M with block matrices m1,...,mk down the diagonal,} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{ri \\spad{:=} nrows mi}, \\spad{ci \\spad{:=} ncols mi},} \\indented{1}{then \\spad{m} is an (r1+..+rk) by (c1+..+ck) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))}, if} \\indented{1}{\\spad{(r1+..+r(l-1)) < \\spad{i} \\spad{<=} r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < \\spad{i} \\spad{<=} c1+..+cl},} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,2],[3,4]], matrix [[4,5],[6,7]]]") (($ (|List| |#2|)) "\\indented{1}{\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements} \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,2,3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#2|) "\\indented{1}{\\spad{scalarMatrix(n,r)} returns an n-by-n matrix with \\spad{r's} on the} \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,5)")) (|matrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#2| (|Integer|) (|Integer|))) "\\indented{1}{\\spad{matrix(n,m,f)} constructs an \\spad{n * \\spad{m}} matrix with} \\indented{1}{the \\spad{(i,j)} entry equal to \\spad{f(i,j)}} \\blankline \\spad{X} f(i:INT,j:INT):INT \\spad{==} i+j \\spad{X} matrix(3,4,f)") (($ (|List| (|List| |#2|))) "\\indented{1}{\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the} \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\indented{1}{\\spad{zero(m,n)} returns an m-by-n zero matrix.} \\blankline \\spad{X} z:Matrix(INT):=zero(3,3)")) (|antisymmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{antisymmetric (\\spadignore{i.e.} \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)}} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{symmetric (\\spadignore{i.e.} \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and false} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\indented{1}{\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{false otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\indented{1}{\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix} \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
+(-681 S R |Row| |Col|) 
+((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} \\indented{1}{If the matrix is not invertible, \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#2| $) "\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m.} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,1,0,0],[-1,0,0,0],[0,0,0,1],[0,0,-1,0]]")) (|minordet| ((|#2| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#2| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#4|) $) "\\spad{nullSpace(m)} returns a basis for the null space of \\indented{1}{the matrix \\spad{m.}} \\blankline \\spad{X} nullSpace matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is \\indented{1}{the dimension of the null space of the matrix \\spad{m.}} \\blankline \\spad{X} nullity matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.} \\blankline \\spad{X} rank matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|columnSpace| (((|List| |#4|) $) "\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#2|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}. \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(m,r)} computes the exact quotient of the elements \\indented{1}{of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(m,2)")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m.} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\spad{x \\spad{**} \\spad{n}} computes a non-negative integral power of the matrix \\spad{x.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#3| |#3| $) "\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#4| $ |#4|) "\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\spad{n * \\spad{x}} is an integer multiple. \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#2|) "\\spad{x * \\spad{r}} is the right scalar multiple of the scalar \\spad{r} and the \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#2| $) "\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\spad{x * \\spad{y}} is the product of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\spad{-x} returns the negative of the matrix \\spad{x.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\spad{x - \\spad{y}} is the difference of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m-m}")) (+ (($ $ $) "\\spad{x + \\spad{y}} is the sum of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\spad{setsubMatrix!(x,i1,j1,y)} destructively alters the \\indented{1}{matrix \\spad{x.} Here \\spad{x(i,j)} is set to \\spad{y(i-i1+1,j-j1+1)} for} \\indented{1}{\\spad{i = i1,...,i1-1+nrows \\spad{y}} and \\spad{j = j1,...,j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(m,2,2,matrix [[3,3],[3,3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{subMatrix(x,i1,i2,j1,j2)} extracts the submatrix \\indented{1}{\\spad{[x(i,j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(m,1,3,2,4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\spad{swapColumns!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th \\indented{1}{columns of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(m,2,4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\spad{swapRows!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th \\indented{1}{rows of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(m,2,4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\spad{setelt(x,rowList,colList,y)} destructively alters the matrix \\spad{x.} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n}, \\spad{rowList = [i<1>,i<2>,...,i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,j<2>,...,j<n>]}, then \\spad{x(i<k>,j<l>)}} \\indented{1}{is set to \\spad{y(k,l)} for \\spad{k = 1,...,m} and \\spad{l = 1,...,n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(m,3,3,10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{elt(x,rowList,colList)} returns an m-by-n matrix consisting \\indented{1}{of elements of \\spad{x,} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,i<2>,...,i<m>]} and \\spad{colList \\spad{=}} \\indented{1}{[j<1>,j<2>,...,j<n>]}, then the \\spad{(k,l)}th entry of} \\indented{1}{\\spad{elt(x,rowList,colList)} is \\spad{x(i<k>,j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(m,3,3)")) (|listOfLists| (((|List| (|List| |#2|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\spad{vertConcat(x,y)} vertically concatenates two matrices with an \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(m,m)")) (|horizConcat| (($ $ $) "\\spad{horizConcat(x,y)} horizontally concatenates two matrices with \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(m,m)")) (|squareTop| (($ $) "\\spad{squareTop(m)} returns an n-by-n matrix consisting of the first \\indented{1}{n rows of the m-by-n matrix \\spad{m.} Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#3|) "\\spad{transpose(r)} converts the row \\spad{r} to a row matrix. \\blankline \\spad{X} transpose([1,2,3])@Matrix(INT)")) (|coerce| (($ |#4|) "\\spad{coerce(col)} converts the column \\spad{col} to a column matrix. \\blankline \\spad{X} coerce([1,2,3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\spad{diagonalMatrix([m1,...,mk])} creates a block diagonal matrix \\indented{1}{M with block matrices m1,...,mk down the diagonal,} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{ri \\spad{:=} nrows mi}, \\spad{ci \\spad{:=} ncols mi},} \\indented{1}{then \\spad{m} is an (r1+..+rk) by (c1+..+ck) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))}, if} \\indented{1}{\\spad{(r1+..+r(l-1)) < \\spad{i} \\spad{<=} r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < \\spad{i} \\spad{<=} c1+..+cl},} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,2],[3,4]], matrix [[4,5],[6,7]]]") (($ (|List| |#2|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,2,3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#2|) "\\spad{scalarMatrix(n,r)} returns an n-by-n matrix with \\spad{r's} on the \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,5)")) (|matrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#2| (|Integer|) (|Integer|))) "\\spad{matrix(n,m,f)} constructs an \\spad{n * \\spad{m}} matrix with \\indented{1}{the \\spad{(i,j)} entry equal to \\spad{f(i,j)}} \\blankline \\spad{X} f(i:INT,j:INT):INT \\spad{==} i+j \\spad{X} matrix(3,4,f)") (($ (|List| (|List| |#2|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{zero(m,n)} returns an m-by-n zero matrix. \\blankline \\spad{X} z:Matrix(INT):=zero(3,3)")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{antisymmetric (that is, \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)}} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{symmetric (that is, \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and false} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{diagonal (that is, all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{false otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE (-4573 "*"))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-559)))) 
-(-679 R |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\indented{1}{\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.}} \\indented{1}{If the matrix is not invertible, \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#1| $) "\\indented{1}{\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m.}} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,1,0,0],[-1,0,0,0],[0,0,0,1],[0,0,-1,0]]")) (|minordet| ((|#1| $) "\\indented{1}{\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using} \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#1| $) "\\indented{1}{\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.}} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#3|) $) "\\indented{1}{\\spad{nullSpace(m)} returns a basis for the null space of} \\indented{1}{the matrix \\spad{m.}} \\blankline \\spad{X} nullSpace matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is} \\indented{1}{the dimension of the null space of the matrix \\spad{m.}} \\blankline \\spad{X} nullity matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{rank(m)} returns the rank of the matrix \\spad{m.}} \\blankline \\spad{X} rank matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|columnSpace| (((|List| |#3|) $) "\\indented{1}{\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m}} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|rowEchelon| (($ $) "\\indented{1}{\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#1|) "\\indented{1}{\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{exquo(m,r)} computes the exact quotient of the elements} \\indented{1}{of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(m,2)")) (** (($ $ (|Integer|)) "\\indented{1}{\\spad{m**n} computes an integral power of the matrix \\spad{m.}} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{x \\spad{**} \\spad{n}} computes a non-negative integral power of the matrix \\spad{x.}} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#2| |#2| $) "\\indented{1}{\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#3| $ |#3|) "\\indented{1}{\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\indented{1}{\\spad{n * \\spad{x}} is an integer multiple.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#1|) "\\indented{1}{\\spad{x * \\spad{r}} is the right scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#1| $) "\\indented{1}{\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\indented{1}{\\spad{x * \\spad{y}} is the product of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\indented{1}{\\spad{-x} returns the negative of the matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\indented{1}{\\spad{x - \\spad{y}} is the difference of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m-m}")) (+ (($ $ $) "\\indented{1}{\\spad{x + \\spad{y}} is the sum of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\indented{1}{\\spad{setsubMatrix(x,i1,j1,y)} destructively alters the} \\indented{1}{matrix \\spad{x.} Here \\spad{x(i,j)} is set to \\spad{y(i-i1+1,j-j1+1)} for} \\indented{1}{\\spad{i = i1,...,i1-1+nrows \\spad{y}} and \\spad{j = j1,...,j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(m,2,2,matrix [[3,3],[3,3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{\\spad{subMatrix(x,i1,i2,j1,j2)} extracts the submatrix} \\indented{1}{\\spad{[x(i,j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(m,1,3,2,4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapColumns!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{columns of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(m,2,4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapRows!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{rows of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(m,2,4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\indented{1}{\\spad{setelt(x,rowList,colList,y)} destructively alters the matrix \\spad{x.}} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n}, \\spad{rowList = [i<1>,i<2>,...,i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,j<2>,...,j<n>]}, then \\spad{x(i<k>,j<l>)}} \\indented{1}{is set to \\spad{y(k,l)} for \\spad{k = 1,...,m} and \\spad{l = 1,...,n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(m,3,3,10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\indented{1}{\\spad{elt(x,rowList,colList)} returns an m-by-n matrix consisting} \\indented{1}{of elements of \\spad{x,} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,i<2>,...,i<m>]} and \\spad{colList \\spad{=}} \\indented{1}{[j<1>,j<2>,...,j<n>]}, then the \\spad{(k,l)}th entry of} \\indented{1}{\\spad{elt(x,rowList,colList)} is \\spad{x(i<k>,j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(m,3,3)")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\indented{1}{\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list} \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\indented{1}{\\spad{vertConcat(x,y)} vertically concatenates two matrices with an} \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(m,m)")) (|horizConcat| (($ $ $) "\\indented{1}{\\spad{horizConcat(x,y)} horizontally concatenates two matrices with} \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(m,m)")) (|squareTop| (($ $) "\\indented{1}{\\spad{squareTop(m)} returns an n-by-n matrix consisting of the first} \\indented{1}{n rows of the m-by-n matrix \\spad{m.} Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\indented{1}{\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#2|) "\\indented{1}{\\spad{transpose(r)} converts the row \\spad{r} to a row matrix.} \\blankline \\spad{X} transpose([1,2,3])@Matrix(INT)")) (|coerce| (($ |#3|) "\\indented{1}{\\spad{coerce(col)} converts the column col to a column matrix.} \\blankline \\spad{X} coerce([1,2,3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\indented{1}{\\spad{diagonalMatrix([m1,...,mk])} creates a block diagonal matrix} \\indented{1}{M with block matrices m1,...,mk down the diagonal,} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{ri \\spad{:=} nrows mi}, \\spad{ci \\spad{:=} ncols mi},} \\indented{1}{then \\spad{m} is an (r1+..+rk) by (c1+..+ck) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))}, if} \\indented{1}{\\spad{(r1+..+r(l-1)) < \\spad{i} \\spad{<=} r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < \\spad{i} \\spad{<=} c1+..+cl},} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,2],[3,4]], matrix [[4,5],[6,7]]]") (($ (|List| |#1|)) "\\indented{1}{\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements} \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,2,3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{\\spad{scalarMatrix(n,r)} returns an n-by-n matrix with \\spad{r's} on the} \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,5)")) (|matrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#1| (|Integer|) (|Integer|))) "\\indented{1}{\\spad{matrix(n,m,f)} constructs an \\spad{n * \\spad{m}} matrix with} \\indented{1}{the \\spad{(i,j)} entry equal to \\spad{f(i,j)}} \\blankline \\spad{X} f(i:INT,j:INT):INT \\spad{==} i+j \\spad{X} matrix(3,4,f)") (($ (|List| (|List| |#1|))) "\\indented{1}{\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the} \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\indented{1}{\\spad{zero(m,n)} returns an m-by-n zero matrix.} \\blankline \\spad{X} z:Matrix(INT):=zero(3,3)")) (|antisymmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{antisymmetric (\\spadignore{i.e.} \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)}} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{symmetric (\\spadignore{i.e.} \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and false} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\indented{1}{\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{false otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\indented{1}{\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix} \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
-((-4571 . T) (-4572 . T) (-4317 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE (-4602 "*"))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-561)))) 
+(-682 R |Row| |Col|) 
+((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} \\indented{1}{If the matrix is not invertible, \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#1| $) "\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m.} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,1,0,0],[-1,0,0,0],[0,0,0,1],[0,0,-1,0]]")) (|minordet| ((|#1| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#1| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#3|) $) "\\spad{nullSpace(m)} returns a basis for the null space of \\indented{1}{the matrix \\spad{m.}} \\blankline \\spad{X} nullSpace matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is \\indented{1}{the dimension of the null space of the matrix \\spad{m.}} \\blankline \\spad{X} nullity matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.} \\blankline \\spad{X} rank matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|columnSpace| (((|List| |#3|) $) "\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#1|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}. \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(m,r)} computes the exact quotient of the elements \\indented{1}{of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(m,2)")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m.} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\spad{x \\spad{**} \\spad{n}} computes a non-negative integral power of the matrix \\spad{x.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#2| |#2| $) "\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#3| $ |#3|) "\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\spad{n * \\spad{x}} is an integer multiple. \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#1|) "\\spad{x * \\spad{r}} is the right scalar multiple of the scalar \\spad{r} and the \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#1| $) "\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\spad{x * \\spad{y}} is the product of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\spad{-x} returns the negative of the matrix \\spad{x.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\spad{x - \\spad{y}} is the difference of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m-m}")) (+ (($ $ $) "\\spad{x + \\spad{y}} is the sum of the matrices \\spad{x} and \\spad{y.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\spad{setsubMatrix!(x,i1,j1,y)} destructively alters the \\indented{1}{matrix \\spad{x.} Here \\spad{x(i,j)} is set to \\spad{y(i-i1+1,j-j1+1)} for} \\indented{1}{\\spad{i = i1,...,i1-1+nrows \\spad{y}} and \\spad{j = j1,...,j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(m,2,2,matrix [[3,3],[3,3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{subMatrix(x,i1,i2,j1,j2)} extracts the submatrix \\indented{1}{\\spad{[x(i,j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(m,1,3,2,4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\spad{swapColumns!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th \\indented{1}{columns of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(m,2,4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\spad{swapRows!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th \\indented{1}{rows of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(m,2,4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\spad{setelt(x,rowList,colList,y)} destructively alters the matrix \\spad{x.} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n}, \\spad{rowList = [i<1>,i<2>,...,i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,j<2>,...,j<n>]}, then \\spad{x(i<k>,j<l>)}} \\indented{1}{is set to \\spad{y(k,l)} for \\spad{k = 1,...,m} and \\spad{l = 1,...,n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(m,3,3,10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{elt(x,rowList,colList)} returns an m-by-n matrix consisting \\indented{1}{of elements of \\spad{x,} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,i<2>,...,i<m>]} and \\spad{colList \\spad{=}} \\indented{1}{[j<1>,j<2>,...,j<n>]}, then the \\spad{(k,l)}th entry of} \\indented{1}{\\spad{elt(x,rowList,colList)} is \\spad{x(i<k>,j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(m,3,3)")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\spad{vertConcat(x,y)} vertically concatenates two matrices with an \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(m,m)")) (|horizConcat| (($ $ $) "\\spad{horizConcat(x,y)} horizontally concatenates two matrices with \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(m,m)")) (|squareTop| (($ $) "\\spad{squareTop(m)} returns an n-by-n matrix consisting of the first \\indented{1}{n rows of the m-by-n matrix \\spad{m.} Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#2|) "\\spad{transpose(r)} converts the row \\spad{r} to a row matrix. \\blankline \\spad{X} transpose([1,2,3])@Matrix(INT)")) (|coerce| (($ |#3|) "\\spad{coerce(col)} converts the column \\spad{col} to a column matrix. \\blankline \\spad{X} coerce([1,2,3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\spad{diagonalMatrix([m1,...,mk])} creates a block diagonal matrix \\indented{1}{M with block matrices m1,...,mk down the diagonal,} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{ri \\spad{:=} nrows mi}, \\spad{ci \\spad{:=} ncols mi},} \\indented{1}{then \\spad{m} is an (r1+..+rk) by (c1+..+ck) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))}, if} \\indented{1}{\\spad{(r1+..+r(l-1)) < \\spad{i} \\spad{<=} r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < \\spad{i} \\spad{<=} c1+..+cl},} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,2],[3,4]], matrix [[4,5],[6,7]]]") (($ (|List| |#1|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,2,3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#1|) "\\spad{scalarMatrix(n,r)} returns an n-by-n matrix with \\spad{r's} on the \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,5)")) (|matrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#1| (|Integer|) (|Integer|))) "\\spad{matrix(n,m,f)} constructs an \\spad{n * \\spad{m}} matrix with \\indented{1}{the \\spad{(i,j)} entry equal to \\spad{f(i,j)}} \\blankline \\spad{X} f(i:INT,j:INT):INT \\spad{==} i+j \\spad{X} matrix(3,4,f)") (($ (|List| (|List| |#1|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{zero(m,n)} returns an m-by-n zero matrix. \\blankline \\spad{X} z:Matrix(INT):=zero(3,3)")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{antisymmetric (that is, \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)}} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{symmetric (that is, \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and false} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and \\indented{1}{diagonal (that is, all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{false otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
+((-4600 . T) (-4601 . T) (-3348 . T)) 
 NIL 
-(-680 R |Row| |Col| M) 
+(-683 R |Row| |Col| M) 
 ((|constructor| (NIL "\\spadtype{MatrixLinearAlgebraFunctions} provides functions to compute inverses and canonical forms.")) (|inverse| (((|Union| |#4| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix. If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square.")) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{normalizedDivide(n,d)} returns a normalized quotient and remainder such that consistently unique representatives for the residue class are chosen, \\spadignore{e.g.} positive remainders")) (|rowEchelon| ((|#4| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (|adjoint| (((|Record| (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) "\\spad{adjoint(m)} returns the ajoint matrix of \\spad{m} (\\spadignore{i.e.} the matrix \\spad{n} such that \\spad{m*n} = determinant(m)*id) and the detrminant of \\spad{m.}")) (|invertIfCan| (((|Union| |#4| "failed") |#4|) "\\spad{invertIfCan(m)} returns the inverse of \\spad{m} over \\spad{R}")) (|fractionFreeGauss!| ((|#4| |#4|) "\\spad{fractionFreeGauss(m)} performs the fraction free gaussian elimination on the matrix \\spad{m.}")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) |#4|) "\\spad{nullity(m)} returns the mullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) |#4|) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|elColumn2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) "\\spad{elColumn2!(m,a,i,j)} adds to column \\spad{i} a*column(m,j) : elementary operation of second kind. \\spad{(i} ^=j)")) (|elRow2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) "\\spad{elRow2!(m,a,i,j)} adds to row \\spad{i} a*row(m,j) : elementary operation of second kind. \\spad{(i} ^=j)")) (|elRow1!| ((|#4| |#4| (|Integer|) (|Integer|)) "\\spad{elRow1!(m,i,j)} swaps rows \\spad{i} and \\spad{j} of matrix \\spad{m} : elementary operation of first kind")) (|minordet| ((|#1| |#4|) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors. Error: if the matrix is not square.")) (|determinant| ((|#1| |#4|) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.} an error message is returned if the matrix is not square."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559)))) 
-(-681 R) 
+((|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-561)))) 
+(-684 R) 
 ((|constructor| (NIL "\\spadtype{Matrix} is a matrix domain where 1-based indexing is used for both rows and columns.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square.")) (|diagonalMatrix| (($ (|Vector| |#1|)) "\\spad{diagonalMatrix(v)} returns a diagonal matrix where the elements of \\spad{v} appear on the diagonal."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4573 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-682 R) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-561))) (|HasAttribute| |#1| (QUOTE (-4602 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-685 R) 
 ((|constructor| (NIL "This package provides standard arithmetic operations on matrices. The functions in this package store the results of computations in existing matrices, rather than creating new matrices. This package works only for matrices of type Matrix and uses the internal representation of this type.")) (** (((|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) "\\spad{x \\spad{**} \\spad{n}} computes the \\spad{n}-th power of a square matrix. The power \\spad{n} is assumed greater than 1.")) (|power!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) "\\spad{power!(a,b,c,m,n)} computes \\spad{m} \\spad{**} \\spad{n} and stores the result in \\spad{a}. The matrices \\spad{b} and \\spad{c} are used to store intermediate results. Error: if \\spad{a}, \\spad{b,} \\spad{c,} and \\spad{m} are not square and of the same dimensions.")) (|times!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{times!(c,a,b)} computes the matrix product \\spad{a * \\spad{b}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a}, \\spad{b,} and \\spad{c} do not have compatible dimensions.")) (|rightScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rightScalarTimes!(c,a,r)} computes the scalar product \\spad{a * \\spad{r}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a} and \\spad{c} do not have the same dimensions.")) (|leftScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Matrix| |#1|)) "\\spad{leftScalarTimes!(c,r,a)} computes the scalar product \\spad{r * a} and stores the result in the matrix \\spad{c.} Error: if \\spad{a} and \\spad{c} do not have the same dimensions.")) (|minus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{!minus!(c,a,b)} computes the matrix difference \\spad{a - \\spad{b}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a}, \\spad{b,} and \\spad{c} do not have the same dimensions.") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{minus!(c,a)} computes \\spad{-a} and stores the result in the matrix \\spad{c.} Error: if a and \\spad{c} do not have the same dimensions.")) (|plus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{plus!(c,a,b)} computes the matrix sum \\spad{a + \\spad{b}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a}, \\spad{b,} and \\spad{c} do not have the same dimensions.")) (|copy!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{copy!(c,a)} copies the matrix \\spad{a} into the matrix \\spad{c.} Error: if \\spad{a} and \\spad{c} do not have the same dimensions."))) 
 NIL 
 NIL 
-(-683 S -1647 FLAF FLAS) 
+(-686 S -3280 FLAF FLAS) 
 ((|constructor| (NIL "\\spadtype{MultiVariableCalculusFunctions} Package provides several functions for multivariable calculus. These include gradient, hessian and jacobian, divergence and laplacian. Various forms for banded and sparse storage of matrices are included.")) (|bandedJacobian| (((|Matrix| |#2|) |#3| |#4| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{bandedJacobian(vf,xlist,kl,ku)} computes the jacobian, the matrix of first partial derivatives, of the vector field \\spad{vf,} \\spad{vf} a vector function of the variables listed in xlist, \\spad{kl} is the number of nonzero subdiagonals, \\spad{ku} is the number of nonzero superdiagonals, \\spad{kl+ku+1} being actual bandwidth. Stores the nonzero band in a matrix, dimensions \\spad{kl+ku+1} by \\#xlist. The upper triangle is in the top \\spad{ku} rows, the diagonal is in row ku+1, the lower triangle in the last \\spad{kl} rows. Entries in a column in the band store correspond to entries in same column of full store. (The notation conforms to \\spad{LAPACK/NAG-F07} conventions.)")) (|jacobian| (((|Matrix| |#2|) |#3| |#4|) "\\spad{jacobian(vf,xlist)} computes the jacobian, the matrix of first partial derivatives, of the vector field \\spad{vf,} \\spad{vf} a vector function of the variables listed in xlist.")) (|bandedHessian| (((|Matrix| |#2|) |#2| |#4| (|NonNegativeInteger|)) "\\spad{bandedHessian(v,xlist,k)} computes the hessian, the matrix of second partial derivatives, of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist, \\spad{k} is the semi-bandwidth, the number of nonzero subdiagonals, 2*k+1 being actual bandwidth. Stores the nonzero band in lower triangle in a matrix, dimensions \\spad{k+1} by \\#xlist, whose rows are the vectors formed by diagonal, subdiagonal, etc. of the real, full-matrix, hessian. (The notation conforms to \\spad{LAPACK/NAG-F07} conventions.)")) (|hessian| (((|Matrix| |#2|) |#2| |#4|) "\\spad{hessian(v,xlist)} computes the hessian, the matrix of second partial derivatives, of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist.")) (|laplacian| ((|#2| |#2| |#4|) "\\spad{laplacian(v,xlist)} computes the laplacian of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist.")) (|divergence| ((|#2| |#3| |#4|) "\\spad{divergence(vf,xlist)} computes the divergence of the vector field \\spad{vf,} \\spad{vf} a vector function of the variables listed in xlist.")) (|gradient| (((|Vector| |#2|) |#2| |#4|) "\\spad{gradient(v,xlist)} computes the gradient, the vector of first partial derivatives, of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist."))) 
 NIL 
 NIL 
-(-684 R Q) 
+(-687 R Q) 
 ((|constructor| (NIL "MatrixCommonDenominator provides functions to compute the common denominator of a matrix of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| (|Matrix| |#1|)) (|:| |den| |#1|)) (|Matrix| |#2|)) "\\spad{splitDenominator(q)} returns \\spad{[p, \\spad{d]}} such that \\spad{q = p/d} and \\spad{d} is a common denominator for the elements of \\spad{q.}")) (|clearDenominator| (((|Matrix| |#1|) (|Matrix| |#2|)) "\\spad{clearDenominator(q)} returns \\spad{p} such that \\spad{q = p/d} where \\spad{d} is a common denominator for the elements of \\spad{q.}")) (|commonDenominator| ((|#1| (|Matrix| |#2|)) "\\spad{commonDenominator(q)} returns a common denominator \\spad{d} for the elements of \\spad{q.}"))) 
 NIL 
 NIL 
-(-685) 
+(-688) 
 ((|constructor| (NIL "A domain which models the complex number representation used by machines in the AXIOM-NAG link.")) (|coerce| (((|Complex| (|Float|)) $) "\\spad{coerce(u)} transforms \\spad{u} into a COmplex Float") (($ (|Complex| (|MachineInteger|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|MachineFloat|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|Integer|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|Float|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex"))) 
-((-4564 . T) (-4569 |has| (-690) (-366)) (-4563 |has| (-690) (-366)) (-4340 . T) (-4570 |has| (-690) (-6 -4570)) (-4567 |has| (-690) (-6 -4567)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-690) (QUOTE (-151))) (|HasCategory| (-690) (QUOTE (-149))) (|HasCategory| (-690) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-690) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-690) (QUOTE (-371))) (|HasCategory| (-690) (QUOTE (-366))) (|HasCategory| (-690) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-690) (QUOTE (-226))) (|HasCategory| (-690) (QUOTE (-351))) (-1929 (|HasCategory| (-690) (QUOTE (-366))) (|HasCategory| (-690) (QUOTE (-351)))) (|HasCategory| (-690) (LIST (QUOTE -282) (QUOTE (-690)) (QUOTE (-690)))) (|HasCategory| (-690) (LIST (QUOTE -304) (QUOTE (-690)))) (|HasCategory| (-690) (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE (-690)))) (|HasCategory| (-690) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-690) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-690) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-690) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-690) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-690) (QUOTE (-1023))) (|HasCategory| (-690) (QUOTE (-1185))) (-12 (|HasCategory| (-690) (QUOTE (-1004))) (|HasCategory| (-690) (QUOTE (-1185)))) (|HasCategory| (-690) (QUOTE (-551))) (|HasCategory| (-690) (QUOTE (-1058))) (-12 (|HasCategory| (-690) (QUOTE (-1058))) (|HasCategory| (-690) (QUOTE (-1185)))) (-1929 (|HasCategory| (-690) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-690) (QUOTE (-366)))) (|HasCategory| (-690) (QUOTE (-302))) (-1929 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-366))) (|HasCategory| (-690) (QUOTE (-351)))) (|HasCategory| (-690) (QUOTE (-906))) (-12 (|HasCategory| (-690) (QUOTE (-226))) (|HasCategory| (-690) (QUOTE (-366)))) (-12 (|HasCategory| (-690) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-690) (QUOTE (-366)))) (|HasCategory| (-690) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-690) (QUOTE (-844))) (|HasCategory| (-690) (QUOTE (-559))) (|HasAttribute| (-690) (QUOTE -4570)) (|HasAttribute| (-690) (QUOTE -4567)) (-12 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (|HasCategory| (-690) (QUOTE (-366))) (-12 (|HasCategory| (-690) (QUOTE (-351))) (|HasCategory| (-690) (QUOTE (-906))))) (-1929 (-12 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (-12 (|HasCategory| (-690) (QUOTE (-366))) (|HasCategory| (-690) (QUOTE (-906)))) (-12 (|HasCategory| (-690) (QUOTE (-351))) (|HasCategory| (-690) (QUOTE (-906))))) (-1929 (-12 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (|HasCategory| (-690) (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (|HasCategory| (-690) (QUOTE (-559)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (|HasCategory| (-690) (QUOTE (-149)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (|HasCategory| (-690) (QUOTE (-351))))) 
-(-686 S) 
+((-4593 . T) (-4598 |has| (-693) (-367)) (-4592 |has| (-693) (-367)) (-3331 . T) (-4599 |has| (-693) (-6 -4599)) (-4596 |has| (-693) (-6 -4596)) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-693) (QUOTE (-151))) (|HasCategory| (-693) (QUOTE (-149))) (|HasCategory| (-693) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-693) (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| (-693) (QUOTE (-373))) (|HasCategory| (-693) (QUOTE (-367))) (|HasCategory| (-693) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-693) (QUOTE (-226))) (|HasCategory| (-693) (QUOTE (-352))) (-1831 (|HasCategory| (-693) (QUOTE (-367))) (|HasCategory| (-693) (QUOTE (-352)))) (|HasCategory| (-693) (LIST (QUOTE -282) (QUOTE (-693)) (QUOTE (-693)))) (|HasCategory| (-693) (LIST (QUOTE -304) (QUOTE (-693)))) (|HasCategory| (-693) (LIST (QUOTE -526) (QUOTE (-1169)) (QUOTE (-693)))) (|HasCategory| (-693) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| (-693) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| (-693) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| (-693) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| (-693) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-693) (QUOTE (-1027))) (|HasCategory| (-693) (QUOTE (-1189))) (-12 (|HasCategory| (-693) (QUOTE (-1008))) (|HasCategory| (-693) (QUOTE (-1189)))) (|HasCategory| (-693) (QUOTE (-553))) (|HasCategory| (-693) (QUOTE (-1062))) (-12 (|HasCategory| (-693) (QUOTE (-1062))) (|HasCategory| (-693) (QUOTE (-1189)))) (-1831 (|HasCategory| (-693) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-693) (QUOTE (-367)))) (|HasCategory| (-693) (QUOTE (-302))) (-1831 (|HasCategory| (-693) (QUOTE (-302))) (|HasCategory| (-693) (QUOTE (-367))) (|HasCategory| (-693) (QUOTE (-352)))) (|HasCategory| (-693) (QUOTE (-909))) (-12 (|HasCategory| (-693) (QUOTE (-226))) (|HasCategory| (-693) (QUOTE (-367)))) (-12 (|HasCategory| (-693) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-693) (QUOTE (-367)))) (|HasCategory| (-693) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| (-693) (QUOTE (-847))) (|HasCategory| (-693) (QUOTE (-561))) (|HasAttribute| (-693) (QUOTE -4599)) (|HasAttribute| (-693) (QUOTE -4596)) (-12 (|HasCategory| (-693) (QUOTE (-302))) (|HasCategory| (-693) (QUOTE (-909)))) (-1831 (-12 (|HasCategory| (-693) (QUOTE (-302))) (|HasCategory| (-693) (QUOTE (-909)))) (|HasCategory| (-693) (QUOTE (-367))) (-12 (|HasCategory| (-693) (QUOTE (-352))) (|HasCategory| (-693) (QUOTE (-909))))) (-1831 (-12 (|HasCategory| (-693) (QUOTE (-302))) (|HasCategory| (-693) (QUOTE (-909)))) (-12 (|HasCategory| (-693) (QUOTE (-367))) (|HasCategory| (-693) (QUOTE (-909)))) (-12 (|HasCategory| (-693) (QUOTE (-352))) (|HasCategory| (-693) (QUOTE (-909))))) (-1831 (-12 (|HasCategory| (-693) (QUOTE (-302))) (|HasCategory| (-693) (QUOTE (-909)))) (|HasCategory| (-693) (QUOTE (-367)))) (-1831 (-12 (|HasCategory| (-693) (QUOTE (-302))) (|HasCategory| (-693) (QUOTE (-909)))) (|HasCategory| (-693) (QUOTE (-561)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-693) (QUOTE (-302))) (|HasCategory| (-693) (QUOTE (-909)))) (|HasCategory| (-693) (QUOTE (-149)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-693) (QUOTE (-302))) (|HasCategory| (-693) (QUOTE (-909)))) (|HasCategory| (-693) (QUOTE (-352))))) 
+(-689 S) 
 ((|constructor| (NIL "A multi-dictionary is a dictionary which may contain duplicates. As for any dictionary, its size is assumed large so that copying (non-destructive) operations are generally to be avoided.")) (|duplicates| (((|List| (|Record| (|:| |entry| |#1|) (|:| |count| (|NonNegativeInteger|)))) $) "\\spad{duplicates(d)} returns a list of values which have duplicates in \\spad{d}")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(d)} destructively removes any duplicate values in dictionary \\spad{d.}")) (|insert!| (($ |#1| $ (|NonNegativeInteger|)) "\\spad{insert!(x,d,n)} destructively inserts \\spad{n} copies of \\spad{x} into dictionary \\spad{d.}"))) 
-((-4572 . T) (-4317 . T)) 
+((-4601 . T) (-3348 . T)) 
 NIL 
-(-687 U) 
+(-690 U) 
 ((|constructor| (NIL "This package supports factorization and gcds of univariate polynomials over the integers modulo different primes. The inputs are given as polynomials over the integers with the prime passed explicitly as an extra argument.")) (|exptMod| ((|#1| |#1| (|Integer|) |#1| (|Integer|)) "\\spad{exptMod(f,n,g,p)} raises the univariate polynomial \\spad{f} to the \\spad{n}th power modulo the polynomial \\spad{g} and the prime \\spad{p.}")) (|separateFactors| (((|List| |#1|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) (|Integer|)) "\\spad{separateFactors(ddl, \\spad{p)}} refines the distinct degree factorization produced by ddFact to give a complete list of factors.")) (|ddFact| (((|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) |#1| (|Integer|)) "\\spad{ddFact(f,p)} computes a distinct degree factorization of the polynomial \\spad{f} modulo the prime \\spad{p,} \\spadignore{i.e.} such that each factor is a product of irreducibles of the same degrees. The input polynomial \\spad{f} is assumed to be square-free modulo \\spad{p.}")) (|factor| (((|List| |#1|) |#1| (|Integer|)) "\\spad{factor(f1,p)} returns the list of factors of the univariate polynomial \\spad{f1} modulo the integer prime \\spad{p.} Error: if \\spad{f1} is not square-free modulo \\spad{p.}")) (|linears| ((|#1| |#1| (|Integer|)) "\\spad{linears(f,p)} returns the product of all the linear factors of \\spad{f} modulo \\spad{p.} Potentially incorrect result if \\spad{f} is not square-free modulo \\spad{p.}")) (|gcd| ((|#1| |#1| |#1| (|Integer|)) "\\spad{gcd(f1,f2,p)} computes the \\spad{gcd} of the univariate polynomials \\spad{f1} and \\spad{f2} modulo the integer prime \\spad{p.}"))) 
 NIL 
 NIL 
-(-688) 
+(-691) 
 ((|constructor| (NIL "This package has no description")) (|ptFunc| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{ptFunc(a,b,c,d)} is an internal function exported in order to compile packages.")) (|meshPar1Var| (((|ThreeSpace| (|DoubleFloat|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar1Var(s,t,u,f,s1,l)} \\undocumented")) (|meshFun2Var| (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshFun2Var(f,g,s1,s2,l)} \\undocumented")) (|meshPar2Var| (((|ThreeSpace| (|DoubleFloat|)) (|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(sp,f,s1,s2,l)} \\undocumented") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(f,s1,s2,l)} \\undocumented") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(f,g,h,j,s1,s2,l)} \\undocumented"))) 
 NIL 
 NIL 
-(-689 OV E -1647 PG) 
+(-692 OV E -3280 PG) 
 ((|constructor| (NIL "Package for factorization of multivariate polynomials over finite fields.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factor(p)} produces the complete factorization of the multivariate polynomial \\spad{p} over a finite field. \\spad{p} is represented as a univariate polynomial with multivariate coefficients over a finite field.") (((|Factored| |#4|) |#4|) "\\spad{factor(p)} produces the complete factorization of the multivariate polynomial \\spad{p} over a finite field."))) 
 NIL 
 NIL 
-(-690) 
+(-693) 
 ((|constructor| (NIL "A domain which models the floating point representation used by machines in the AXIOM-NAG link.")) (|changeBase| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{changeBase(exp,man,base)} is not documented")) (|exponent| (((|Integer|) $) "\\spad{exponent(u)} returns the exponent of \\spad{u}")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(u)} returns the mantissa of \\spad{u}")) (|coerce| (($ (|MachineInteger|)) "\\spad{coerce(u)} transforms a MachineInteger into a MachineFloat") (((|Float|) $) "\\spad{coerce(u)} transforms a MachineFloat to a standard Float")) (|minimumExponent| (((|Integer|)) "\\spad{minimumExponent()} returns the minimum exponent in the model") (((|Integer|) (|Integer|)) "\\spad{minimumExponent(e)} sets the minimum exponent in the model to \\spad{e}")) (|maximumExponent| (((|Integer|)) "\\spad{maximumExponent()} returns the maximum exponent in the model") (((|Integer|) (|Integer|)) "\\spad{maximumExponent(e)} sets the maximum exponent in the model to \\spad{e}")) (|base| (((|PositiveInteger|)) "\\spad{base()} returns the base of the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{base(b)} sets the base of the model to \\spad{b}")) (|precision| (((|PositiveInteger|)) "\\spad{precision()} returns the number of digits in the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(p)} sets the number of digits in the model to \\spad{p}"))) 
-((-4334 . T) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-3367 . T) (-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-691 R) 
+(-694 R) 
 ((|constructor| (NIL "Modular hermitian row reduction.")) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{normalizedDivide(n,d)} returns a normalized quotient and remainder such that consistently unique representatives for the residue class are chosen, \\spadignore{e.g.} positive remainders")) (|rowEchelonLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| |#1|) "\\spad{rowEchelonLocal(m, \\spad{d,} \\spad{p)}} computes the row-echelon form of \\spad{m} concatenated with \\spad{d} times the identity matrix over a local ring where \\spad{p} is the only prime.")) (|rowEchLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rowEchLocal(m,p)} computes a modular row-echelon form of \\spad{m,} finding an appropriate modulus over a local ring where \\spad{p} is the only prime.")) (|rowEchelon| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rowEchelon(m, \\spad{d)}} computes a modular row-echelon form mod \\spad{d} of \\indented{3}{[d\\space{5}]} \\indented{3}{[\\space{2}d\\space{3}]} \\indented{3}{[\\space{4}. \\spad{]}} \\indented{3}{[\\space{5}d]} \\indented{3}{[\\space{3}M\\space{2}]} where \\spad{M = \\spad{m} mod \\spad{d}.}")) (|rowEch| (((|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{rowEch(m)} computes a modular row-echelon form of \\spad{m,} finding an appropriate modulus."))) 
 NIL 
 NIL 
-(-692) 
+(-695) 
 ((|constructor| (NIL "A domain which models the integer representation used by machines in the AXIOM-NAG link.")) (|coerce| (((|Expression| $) (|Expression| (|Integer|))) "\\spad{coerce(x)} returns \\spad{x} with coefficients in the domain")) (|maxint| (((|PositiveInteger|)) "\\spad{maxint()} returns the maximum integer in the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{maxint(u)} sets the maximum integer in the model to \\spad{u}"))) 
-((-4570 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4599 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-693 S D1 D2 I) 
+(-696 S D1 D2 I) 
 ((|constructor| (NIL "Tools and transforms for making compiled functions from top-level expressions")) (|compiledFunction| (((|Mapping| |#4| |#2| |#3|) |#1| (|Symbol|) (|Symbol|)) "\\spad{compiledFunction(expr,x,y)} returns a function \\spad{f: (D1, \\spad{D2)} \\spad{->} I} defined by \\spad{f(x, \\spad{y)} \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(D1, D2)}")) (|binaryFunction| (((|Mapping| |#4| |#2| |#3|) (|Symbol|)) "\\spad{binaryFunction(s)} is a local function"))) 
 NIL 
 NIL 
-(-694 S) 
+(-697 S) 
 ((|constructor| (NIL "MakeCachableSet(S) returns a cachable set which is equal to \\spad{S} as a set.")) (|coerce| (($ |#1|) "\\spad{coerce(s)} returns \\spad{s} viewed as an element of \\spad{%.}"))) 
 NIL 
 NIL 
-(-695 S) 
-((|constructor| (NIL "Tools for making compiled functions from top-level expressions MakeFloatCompiledFunction transforms top-level objects into compiled Lisp functions whose arguments are Lisp floats. This by-passes the \\Language{} compiler and interpreter, thereby gaining several orders of magnitude.")) (|makeFloatFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|) (|Symbol|)) "\\spad{makeFloatFunction(expr, \\spad{x,} \\spad{y)}} returns a Lisp function \\spad{f: (\\axiomType{DoubleFloat}, \\axiomType{DoubleFloat}) \\spad{->} \\axiomType{DoubleFloat}} defined by \\spad{f(x, \\spad{y)} \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(\\axiomType{DoubleFloat}, \\axiomType{DoubleFloat})}.") (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|)) "\\spad{makeFloatFunction(expr, \\spad{x)}} returns a Lisp function \\spad{f: \\axiomType{DoubleFloat} \\spad{->} \\axiomType{DoubleFloat}} defined by \\spad{f(x) \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\axiomType{DoubleFloat}."))) 
+(-698 S) 
+((|constructor| (NIL "Tools for making compiled functions from top-level expressions MakeFloatCompiledFunction transforms top-level objects into compiled Lisp functions whose arguments are Lisp floats. This by-passes the Axiom compiler and interpreter, thereby gaining several orders of magnitude.")) (|makeFloatFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|) (|Symbol|)) "\\spad{makeFloatFunction(expr, \\spad{x,} \\spad{y)}} returns a Lisp function \\spad{f: (\\axiomType{DoubleFloat}, \\axiomType{DoubleFloat}) \\spad{->} \\axiomType{DoubleFloat}} defined by \\spad{f(x, \\spad{y)} \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(\\axiomType{DoubleFloat}, \\axiomType{DoubleFloat})}.") (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|)) "\\spad{makeFloatFunction(expr, \\spad{x)}} returns a Lisp function \\spad{f: \\axiomType{DoubleFloat} \\spad{->} \\axiomType{DoubleFloat}} defined by \\spad{f(x) \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\axiomType{DoubleFloat}."))) 
 NIL 
 NIL 
-(-696 S) 
+(-699 S) 
 ((|constructor| (NIL "Tools for making interpreter functions from top-level expressions Transforms top-level objects into interpreter functions.")) (|function| (((|Symbol|) |#1| (|Symbol|) (|List| (|Symbol|))) "\\spad{function(e, foo, [x1,...,xn])} creates a function \\spad{foo(x1,...,xn) \\spad{==} e}.") (((|Symbol|) |#1| (|Symbol|) (|Symbol|) (|Symbol|)) "\\spad{function(e, foo, \\spad{x,} \\spad{y)}} creates a function \\spad{foo(x, \\spad{y)} = e}.") (((|Symbol|) |#1| (|Symbol|) (|Symbol|)) "\\spad{function(e, foo, \\spad{x)}} creates a function \\spad{foo(x) \\spad{==} e}.") (((|Symbol|) |#1| (|Symbol|)) "\\spad{function(e, foo)} creates a function \\spad{foo() \\spad{==} e}."))) 
 NIL 
 NIL 
-(-697 S T$) 
+(-700 S T$) 
 ((|constructor| (NIL "MakeRecord is used internally by the interpreter to create record types which are used for doing parallel iterations on streams.")) (|makeRecord| (((|Record| (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) "\\spad{makeRecord(a,b)} creates a record object with type Record(part1:S, part2:R), where \\spad{part1} is \\spad{a} and \\spad{part2} is \\spad{b}."))) 
 NIL 
 NIL 
-(-698 S -3712 I) 
+(-701 S -1544 I) 
 ((|constructor| (NIL "Tools for making compiled functions from top-level expressions Transforms top-level objects into compiled functions.")) (|compiledFunction| (((|Mapping| |#3| |#2|) |#1| (|Symbol|)) "\\spad{compiledFunction(expr, \\spad{x)}} returns a function \\spad{f: \\spad{D} \\spad{->} I} defined by \\spad{f(x) \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{D.}")) (|unaryFunction| (((|Mapping| |#3| |#2|) (|Symbol|)) "\\spad{unaryFunction(a)} is a local function"))) 
 NIL 
 NIL 
-(-699 E OV R P) 
+(-702 E OV R P) 
 ((|constructor| (NIL "This package provides the functions for the multivariate \"lifting\", using an algorithm of Paul Wang. This package will work for every euclidean domain \\spad{R} which has property \\spad{F,} \\spadignore{i.e.} there exists a factor operation in \\spad{R[x]}.")) (|lifting1| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|List| |#4|) (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#4|)))) (|List| (|NonNegativeInteger|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) "\\spad{lifting1(u,lv,lu,lr,lp,lt,ln,t,r)} \\undocumented")) (|lifting| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#3|)) (|List| |#3|) (|List| |#4|) (|List| (|NonNegativeInteger|)) |#3|) "\\spad{lifting(u,lv,lu,lr,lp,ln,r)} \\undocumented")) (|corrPoly| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|) (|List| (|NonNegativeInteger|)) (|List| (|SparseUnivariatePolynomial| |#4|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) "\\spad{corrPoly(u,lv,lr,ln,lu,t,r)} \\undocumented"))) 
 NIL 
 NIL 
-(-700 R) 
+(-703 R) 
 ((|constructor| (NIL "This is the category of linear operator rings with one generator. The generator is not named by the category but can always be constructed as \\spad{monomial(1,1)}. \\blankline For convenience, call the generator \\spad{G}. Then each value is equal to \\spad{sum(a(i)*G**i, \\spad{i} = 0..n)} for some unique \\spad{n} and \\spad{a(i)} in \\spad{R}. \\blankline Note that multiplication is not necessarily commutative. In fact, if \\spad{a} is in \\spad{R}, it is quite normal to have \\spad{a*G \\spad{\\^=} G*a}.")) (|monomial| (($ |#1| (|NonNegativeInteger|)) "\\spad{monomial(c,k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator, \\spad{monomial(1,1)}.")) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\spad{\\^=} 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}"))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-701 R1 UP1 UPUP1 R2 UP2 UPUP2) 
+(-704 R1 UP1 UPUP1 R2 UP2 UPUP2) 
 ((|constructor| (NIL "Lifting of a map through 2 levels of polynomials.")) (|map| ((|#6| (|Mapping| |#4| |#1|) |#3|) "\\spad{map(f, \\spad{p)}} lifts \\spad{f} to the domain of \\spad{p} then applies it to \\spad{p.}"))) 
 NIL 
 NIL 
-(-702) 
+(-705) 
 ((|constructor| (NIL "This package is based on the TeXFormat domain by Robert \\spad{S.} Sutor \\spadtype{MathMLFormat} provides a coercion from \\spadtype{OutputForm} to MathML format.")) (|display| (((|Void|) (|String|)) "prints the string returned by coerce, adding <math ...> tags.")) (|exprex| (((|String|) (|OutputForm|)) "coverts \\spadtype{OutputForm} to \\spadtype{String} with the structure preserved with braces. Actually this is not quite accurate. The function \\spadfun{precondition} is first applied to the \\spadtype{OutputForm} expression before \\spadfun{exprex}. The raw \\spadtype{OutputForm} and the nature of the \\spadfun{precondition} function is still obscure to me at the time of this writing (2007-02-14).")) (|coerceL| (((|String|) (|OutputForm|)) "coerceS(o) changes \\spad{o} in the standard output format to MathML format and displays result as one long string.")) (|coerceS| (((|String|) (|OutputForm|)) "\\spad{coerceS(o)} changes \\spad{o} in the standard output format to MathML format and displays formatted result.")) (|coerce| (((|String|) (|OutputForm|)) "coerceS(o) changes \\spad{o} in the standard output format to MathML format."))) 
 NIL 
 NIL 
-(-703 R |Mod| -2688 -2102 |exactQuo|) 
+(-706 R |Mod| -2203 -3491 |exactQuo|) 
 ((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{ModularRing}, \\spadtype{EuclideanModularRing}")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,y)} is not documented")) (|reduce| (($ |#1| |#2|) "\\spad{reduce(r,m)} is not documented")) (|coerce| ((|#1| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#2| $) "\\spad{modulus(x)} is not documented"))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-704 R |Rep|) 
+(-707 R |Rep|) 
 ((|constructor| (NIL "This package has not been documented")) (|frobenius| (($ $) "\\spad{frobenius(x)} is not documented")) (|computePowers| (((|PrimitiveArray| $)) "\\spad{computePowers()} is not documented")) (|pow| (((|PrimitiveArray| $)) "\\spad{pow()} is not documented")) (|An| (((|Vector| |#1|) $) "\\spad{An(x)} is not documented")) (|UnVectorise| (($ (|Vector| |#1|)) "\\spad{UnVectorise(v)} is not documented")) (|Vectorise| (((|Vector| |#1|) $) "\\spad{Vectorise(x)} is not documented")) (|coerce| (($ |#2|) "\\spad{coerce(x)} is not documented")) (|lift| ((|#2| $) "\\spad{lift(x)} is not documented")) (|reduce| (($ |#2|) "\\spad{reduce(x)} is not documented")) (|modulus| ((|#2|) "\\spad{modulus()} is not documented")) (|setPoly| ((|#2| |#2|) "\\spad{setPoly(x)} is not documented"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4567 |has| |#1| (-366)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1139))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-351))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-705 IS E |ff|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4596 |has| |#1| (-367)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-1143))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-352))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4598)) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-708 IS E |ff|) 
 ((|constructor| (NIL "This package has no documentation")) (|construct| (($ |#1| |#2|) "\\spad{construct(i,e)} is not documented")) (|coerce| (((|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |index| |#1|) (|:| |exponent| |#2|))) "\\spad{coerce(x)} is not documented")) (|index| ((|#1| $) "\\spad{index(x)} is not documented")) (|exponent| ((|#2| $) "\\spad{exponent(x)} is not documented"))) 
 NIL 
 NIL 
-(-706 R M) 
+(-709 R M) 
 ((|constructor| (NIL "Algebra of ADDITIVE operators on a module.")) (|makeop| (($ |#1| (|FreeGroup| (|BasicOperator|))) "\\spad{makeop should} be local but conditional")) (|opeval| ((|#2| (|BasicOperator|) |#2|) "\\spad{opeval should} be local but conditional")) (** (($ $ (|Integer|)) "\\spad{op**n} is not documented") (($ (|BasicOperator|) (|Integer|)) "\\spad{op**n} is not documented")) (|evaluateInverse| (($ $ (|Mapping| |#2| |#2|)) "\\spad{evaluateInverse(x,f)} is not documented")) (|evaluate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{evaluate(f, \\spad{u} \\spad{+->} \\spad{g} u)} attaches the map \\spad{g} to \\spad{f.} \\spad{f} must be a basic operator \\spad{g} MUST be additive, \\spadignore{i.e.} \\spad{g(a + \\spad{b)} = g(a) + g(b)} for any \\spad{a}, \\spad{b} in \\spad{M.} This implies that \\spad{g(n a) = \\spad{n} g(a)} for any \\spad{a} in \\spad{M} and integer \\spad{n > 0}.")) (|conjug| ((|#1| |#1|) "\\spad{conjug(x)}should be local but conditional")) (|adjoint| (($ $ $) "\\spad{adjoint(op1, op2)} sets the adjoint of \\spad{op1} to be op2. \\spad{op1} must be a basic operator") (($ $) "\\spad{adjoint(op)} returns the adjoint of the operator \\spad{op}."))) 
-((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) (-4568 . T)) 
+((-4595 |has| |#1| (-173)) (-4594 |has| |#1| (-173)) (-4597 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151)))) 
-(-707 R |Mod| -2688 -2102 |exactQuo|) 
+(-710 R |Mod| -2203 -3491 |exactQuo|) 
 ((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{EuclideanModularRing} ,\\spadtype{ModularField}")) (|inv| (($ $) "\\spad{inv(x)} is not documented")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} is not documented")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,y)} is not documented")) (|reduce| (($ |#1| |#2|) "\\spad{reduce(r,m)} is not documented")) (|coerce| ((|#1| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#2| $) "\\spad{modulus(x)} is not documented"))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-708 S R) 
+(-711 S R) 
 ((|constructor| (NIL "The category of modules over a commutative ring. \\blankline Axioms\\br \\tab{5}\\spad{1*x = x}\\br \\tab{5}\\spad{(a*b)*x = a*(b*x)}\\br \\tab{5}\\spad{(a+b)*x = (a*x)+(b*x)}\\br \\tab{5}\\spad{a*(x+y) = (a*x)+(a*y)}"))) 
 NIL 
 NIL 
-(-709 R) 
+(-712 R) 
 ((|constructor| (NIL "The category of modules over a commutative ring. \\blankline Axioms\\br \\tab{5}\\spad{1*x = x}\\br \\tab{5}\\spad{(a*b)*x = a*(b*x)}\\br \\tab{5}\\spad{(a+b)*x = (a*x)+(b*x)}\\br \\tab{5}\\spad{a*(x+y) = (a*x)+(a*y)}"))) 
-((-4566 . T) (-4565 . T)) 
+((-4595 . T) (-4594 . T)) 
 NIL 
-(-710 -1647) 
+(-713 -3280) 
 ((|constructor| (NIL "MoebiusTransform(F) is the domain of fractional linear (Moebius) transformations over \\spad{F.} This a domain of 2-by-2 matrices acting on P1(F).")) (|eval| (((|OnePointCompletion| |#1|) $ (|OnePointCompletion| |#1|)) "\\spad{eval(m,x)} returns \\spad{(a*x + b)/(c*x + \\spad{d)}} where \\spad{m = moebius(a,b,c,d)} (see moebius from MoebiusTransform).") ((|#1| $ |#1|) "\\spad{eval(m,x)} returns \\spad{(a*x + b)/(c*x + \\spad{d)}} where \\spad{m = moebius(a,b,c,d)} (see moebius from MoebiusTransform).")) (|recip| (($ $) "\\spad{recip(m)} = recip() * \\spad{m}") (($) "\\spad{recip()} returns \\spad{matrix [[0,1],[1,0]]} representing the map \\spad{x \\spad{->} 1 / \\spad{x}.}")) (|scale| (($ $ |#1|) "\\spad{scale(m,h)} returns \\spad{scale(h) * \\spad{m}} (see shift from MoebiusTransform).") (($ |#1|) "\\spad{scale(k)} returns \\spad{matrix [[k,0],[0,1]]} representing the map \\spad{x \\spad{->} \\spad{k} * \\spad{x}.}")) (|shift| (($ $ |#1|) "\\spad{shift(m,h)} returns \\spad{shift(h) * \\spad{m}} (see shift from MoebiusTransform).") (($ |#1|) "\\spad{shift(k)} returns \\spad{matrix [[1,k],[0,1]]} representing the map \\spad{x \\spad{->} \\spad{x} + \\spad{k}.}")) (|moebius| (($ |#1| |#1| |#1| |#1|) "\\spad{moebius(a,b,c,d)} returns \\spad{matrix [[a,b],[c,d]]}."))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-711 S) 
-((|constructor| (NIL "Monad is the class of all multiplicative monads, \\spadignore{i.e.} sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
+(-714 S) 
+((|constructor| (NIL "Monad is the class of all multiplicative monads, that is sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, that is, \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, that is, \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
 NIL 
 NIL 
-(-712) 
-((|constructor| (NIL "Monad is the class of all multiplicative monads, \\spadignore{i.e.} sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
+(-715) 
+((|constructor| (NIL "Monad is the class of all multiplicative monads, that is sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, that is, \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, that is, \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
 NIL 
 NIL 
-(-713 S) 
-((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit, \\spadignore{i.e.} sets with a binary operation and a unit element. \\blankline Axioms\\br \\tab{5}leftIdentity(\"*\":(\\%,\\%)->\\%,1) \\spadignore{e.g.} 1*x=x\\br \\tab{5}rightIdentity(\"*\":(\\%,\\%)->\\%,1) e.g x*1=x \\blankline Common Additional Axioms\\br \\tab{5}unitsKnown - if \"recip\" says \"failed\", it PROVES input wasn't a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,0) \\spad{:=} 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,0) \\spad{:=} 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "1 returns the unit element, denoted by 1."))) 
+(-716 S) 
+((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit, that is, sets with a binary operation and a unit element. \\blankline Axioms\\br \\tab{5}leftIdentity(\"*\":(\\%,\\%)->\\%,1) for example, 1*x=x\\br \\tab{5}rightIdentity(\"*\":(\\%,\\%)->\\%,1) for example, x*1=x \\blankline Common Additional Axioms\\br \\tab{5}unitsKnown - if \"recip\" says \"failed\", it PROVES input wasn't a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, that is, \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,0) \\spad{:=} 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, that is, \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,0) \\spad{:=} 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "\\spad{1} returns the unit element, denoted by 1."))) 
 NIL 
 NIL 
-(-714) 
-((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit, \\spadignore{i.e.} sets with a binary operation and a unit element. \\blankline Axioms\\br \\tab{5}leftIdentity(\"*\":(\\%,\\%)->\\%,1) \\spadignore{e.g.} 1*x=x\\br \\tab{5}rightIdentity(\"*\":(\\%,\\%)->\\%,1) e.g x*1=x \\blankline Common Additional Axioms\\br \\tab{5}unitsKnown - if \"recip\" says \"failed\", it PROVES input wasn't a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,0) \\spad{:=} 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,0) \\spad{:=} 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "1 returns the unit element, denoted by 1."))) 
+(-717) 
+((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit, that is, sets with a binary operation and a unit element. \\blankline Axioms\\br \\tab{5}leftIdentity(\"*\":(\\%,\\%)->\\%,1) for example, 1*x=x\\br \\tab{5}rightIdentity(\"*\":(\\%,\\%)->\\%,1) for example, x*1=x \\blankline Common Additional Axioms\\br \\tab{5}unitsKnown - if \"recip\" says \"failed\", it PROVES input wasn't a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, that is, \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,0) \\spad{:=} 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, that is, \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,0) \\spad{:=} 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "\\spad{1} returns the unit element, denoted by 1."))) 
 NIL 
 NIL 
-(-715 S R UP) 
+(-718 S R UP) 
 ((|constructor| (NIL "A \\spadtype{MonogenicAlgebra} is an algebra of finite rank which can be generated by a single element.")) (|derivationCoordinates| (((|Matrix| |#2|) (|Vector| $) (|Mapping| |#2| |#2|)) "\\spad{derivationCoordinates(b, \\spad{')}} returns \\spad{M} such that \\spad{b' = \\spad{M} \\spad{b}.}")) (|lift| ((|#3| $) "\\spad{lift(z)} returns a minimal degree univariate polynomial up such that \\spad{z=reduce up}.")) (|convert| (($ |#3|) "\\spad{convert(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|reduce| (((|Union| $ "failed") (|Fraction| |#3|)) "\\spad{reduce(frac)} converts the fraction \\spad{frac} to an algebra element.") (($ |#3|) "\\spad{reduce(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|definingPolynomial| ((|#3|) "\\spad{definingPolynomial()} returns the minimal polynomial which \\spad{generator()} satisfies.")) (|generator| (($) "\\spad{generator()} returns the generator for this domain."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-351))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371)))) 
-(-716 R UP) 
+((|HasCategory| |#2| (QUOTE (-352))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-373)))) 
+(-719 R UP) 
 ((|constructor| (NIL "A \\spadtype{MonogenicAlgebra} is an algebra of finite rank which can be generated by a single element.")) (|derivationCoordinates| (((|Matrix| |#1|) (|Vector| $) (|Mapping| |#1| |#1|)) "\\spad{derivationCoordinates(b, \\spad{')}} returns \\spad{M} such that \\spad{b' = \\spad{M} \\spad{b}.}")) (|lift| ((|#2| $) "\\spad{lift(z)} returns a minimal degree univariate polynomial up such that \\spad{z=reduce up}.")) (|convert| (($ |#2|) "\\spad{convert(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|reduce| (((|Union| $ "failed") (|Fraction| |#2|)) "\\spad{reduce(frac)} converts the fraction \\spad{frac} to an algebra element.") (($ |#2|) "\\spad{reduce(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|definingPolynomial| ((|#2|) "\\spad{definingPolynomial()} returns the minimal polynomial which \\spad{generator()} satisfies.")) (|generator| (($) "\\spad{generator()} returns the generator for this domain."))) 
-((-4564 |has| |#1| (-366)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 |has| |#1| (-367)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-717 S) 
+(-720 S) 
 ((|constructor| (NIL "The class of multiplicative monoids, \\spadignore{i.e.} semigroups with a multiplicative identity element. \\blankline Axioms\\br \\tab{5}\\spad{leftIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{5}\\spad{1*x=x}\\br \\tab{5}\\spad{rightIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{4}\\spad{x*1=x} \\blankline Conditional attributes\\br \\tab{5}unitsKnown - \\spadfun{recip} only returns \"failed\" on non-units")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} tries to compute the multiplicative inverse for \\spad{x} or \"failed\" if it cannot find the inverse (see unitsKnown).")) (^ (($ $ (|NonNegativeInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (|one?| (((|Boolean|) $) "\\spad{one?(x)} tests if \\spad{x} is equal to 1.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|One|) (($) "1 is the multiplicative identity."))) 
 NIL 
 NIL 
-(-718) 
+(-721) 
 ((|constructor| (NIL "The class of multiplicative monoids, \\spadignore{i.e.} semigroups with a multiplicative identity element. \\blankline Axioms\\br \\tab{5}\\spad{leftIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{5}\\spad{1*x=x}\\br \\tab{5}\\spad{rightIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{4}\\spad{x*1=x} \\blankline Conditional attributes\\br \\tab{5}unitsKnown - \\spadfun{recip} only returns \"failed\" on non-units")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} tries to compute the multiplicative inverse for \\spad{x} or \"failed\" if it cannot find the inverse (see unitsKnown).")) (^ (($ $ (|NonNegativeInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (|one?| (((|Boolean|) $) "\\spad{one?(x)} tests if \\spad{x} is equal to 1.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|One|) (($) "1 is the multiplicative identity."))) 
 NIL 
 NIL 
-(-719 -1647 UP) 
+(-722 -3280 UP) 
 ((|constructor| (NIL "Tools for handling monomial extensions.")) (|decompose| (((|Record| (|:| |poly| |#2|) (|:| |normal| (|Fraction| |#2|)) (|:| |special| (|Fraction| |#2|))) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{decompose(f, \\spad{D)}} returns \\spad{[p,n,s]} such that \\spad{f = p+n+s}, all the squarefree factors of \\spad{denom(n)} are normal w.r.t. \\spad{D,} \\spad{denom(s)} is special w.r.t. \\spad{D,} and \\spad{n} and \\spad{s} are proper fractions (no pole at infinity). \\spad{D} is the derivation to use.")) (|normalDenom| ((|#2| (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{normalDenom(f, \\spad{D)}} returns the product of all the normal factors of \\spad{denom(f)}. \\spad{D} is the derivation to use.")) (|splitSquarefree| (((|Record| (|:| |normal| (|Factored| |#2|)) (|:| |special| (|Factored| |#2|))) |#2| (|Mapping| |#2| |#2|)) "\\spad{splitSquarefree(p, \\spad{D)}} returns \\spad{[n_1 \\spad{n_2\\^2} \\spad{...} n_m\\^m, \\spad{s_1} \\spad{s_2\\^2} \\spad{...} s_q\\^q]} such that \\spad{p = \\spad{n_1} \\spad{n_2\\^2} \\spad{...} n_m\\^m \\spad{s_1} \\spad{s_2\\^2} \\spad{...} s_q\\^q}, each \\spad{n_i} is normal w.r.t. \\spad{D} and each \\spad{s_i} is special w.r.t \\spad{D.} \\spad{D} is the derivation to use.")) (|split| (((|Record| (|:| |normal| |#2|) (|:| |special| |#2|)) |#2| (|Mapping| |#2| |#2|)) "\\spad{split(p, \\spad{D)}} returns \\spad{[n,s]} such that \\spad{p = \\spad{n} \\spad{s},} all the squarefree factors of \\spad{n} are normal w.r.t. \\spad{D,} and \\spad{s} is special w.r.t. \\spad{D.} \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-720 |VarSet| -4198 E2 R S PR PS) 
+(-723 |VarSet| -1370 E2 R S PR PS) 
 ((|constructor| (NIL "Utilities for MPolyCat")) (|reshape| ((|#7| (|List| |#5|) |#6|) "\\spad{reshape(l,p)} \\undocumented")) (|map| ((|#7| (|Mapping| |#5| |#4|) |#6|) "\\spad{map(f,p)} \\undocumented"))) 
 NIL 
 NIL 
-(-721 |Vars1| |Vars2| -4198 E2 R PR1 PR2) 
+(-724 |Vars1| |Vars2| -1370 E2 R PR1 PR2) 
 ((|constructor| (NIL "This package has no description")) (|map| ((|#7| (|Mapping| |#2| |#1|) |#6|) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-722 E OV R PPR) 
+(-725 E OV R PPR) 
 ((|constructor| (NIL "This package exports a factor operation for multivariate polynomials with coefficients which are polynomials over some ring \\spad{R} over which we can factor. It is used internally by packages such as the solve package which need to work with polynomials in a specific set of variables with coefficients which are polynomials in all the other variables.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors a polynomial with polynomial coefficients.")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-723 |vl| R) 
+(-726 |vl| R) 
 ((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials whose variables are from a user specified list of symbols. The ordering is specified by the position of the variable in the list. The coefficient ring may be non commutative, but the variables are assumed to commute."))) 
-(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-724 E OV R PRF) 
+(((-4602 "*") |has| |#2| (-173)) (-4593 |has| |#2| (-561)) (-4598 |has| |#2| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#2| (QUOTE (-909))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-561)))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-857 |#1|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#2| (QUOTE -4598)) (|HasCategory| |#2| (QUOTE (-456))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-727 E OV R PRF) 
 ((|constructor| (NIL "This package exports a factor operation for multivariate polynomials with coefficients which are rational functions over some ring \\spad{R} over which we can factor. It is used internally by packages such as primary decomposition which need to work with polynomials with rational function coefficients, \\spadignore{i.e.} themselves fractions of polynomials.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(prf)} factors a polynomial with rational function coefficients.")) (|pushuconst| ((|#4| (|Fraction| (|Polynomial| |#3|)) |#2|) "\\spad{pushuconst(r,var)} takes a rational function and raises all occurances of the variable \\spad{var} to the polynomial level.")) (|pushucoef| ((|#4| (|SparseUnivariatePolynomial| (|Polynomial| |#3|)) |#2|) "\\spad{pushucoef(upoly,var)} converts the anonymous univariate polynomial \\spad{upoly} to a polynomial in \\spad{var} over rational functions.")) (|pushup| ((|#4| |#4| |#2|) "\\spad{pushup(prf,var)} raises all occurences of the variable \\spad{var} in the coefficients of the polynomial \\spad{prf} back to the polynomial level.")) (|pushdterm| ((|#4| (|SparseUnivariatePolynomial| |#4|) |#2|) "\\spad{pushdterm(monom,var)} pushes all top level occurences of the variable \\spad{var} into the coefficient domain for the monomial monom.")) (|pushdown| ((|#4| |#4| |#2|) "\\spad{pushdown(prf,var)} pushes all top level occurences of the variable \\spad{var} into the coefficient domain for the polynomial prf.")) (|totalfract| (((|Record| (|:| |sup| (|Polynomial| |#3|)) (|:| |inf| (|Polynomial| |#3|))) |#4|) "\\spad{totalfract(prf)} takes a polynomial whose coefficients are themselves fractions of polynomials and returns a record containing the numerator and denominator resulting from putting \\spad{prf} over a common denominator.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-725 E OV R P) 
+(-728 E OV R P) 
 ((|constructor| (NIL "MRationalFactorize contains the factor function for multivariate polynomials over the quotient field of a ring \\spad{R} such that the package MultivariateFactorize can factor multivariate polynomials over \\spad{R.}")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} with coefficients which are fractions of elements of \\spad{R.}"))) 
 NIL 
 NIL 
-(-726 R S M) 
+(-729 R S M) 
 ((|constructor| (NIL "\\spad{MonoidRingFunctions2} implements functions between two monoid rings defined with the same monoid over different rings.")) (|map| (((|MonoidRing| |#2| |#3|) (|Mapping| |#2| |#1|) (|MonoidRing| |#1| |#3|)) "\\spad{map(f,u)} maps \\spad{f} onto the coefficients \\spad{f} the element \\spad{u} of the monoid ring to create an element of a monoid ring with the same monoid \\spad{b.}"))) 
 NIL 
 NIL 
-(-727 R M) 
+(-730 R M) 
 ((|constructor| (NIL "\\spadtype{MonoidRing}(R,M), implements the algebra of all maps from the monoid \\spad{M} to the commutative ring \\spad{R} with finite support. Multiplication of two maps \\spad{f} and \\spad{g} is defined to map an element \\spad{c} of \\spad{M} to the (convolution) sum over f(a)g(b) such that ab = \\spad{c.} Thus \\spad{M} can be identified with a canonical basis and the maps can also be considered as formal linear combinations of the elements in \\spad{M.} Scalar multiples of a basis element are called monomials. A prominent example is the class of polynomials where the monoid is a direct product of the natural numbers with pointwise addition. When \\spad{M} is \\spadtype{FreeMonoid Symbol}, one gets polynomials in infinitely many non-commuting variables. Another application area is representation theory of finite groups \\spad{G,} where modules over \\spadtype{MonoidRing}(R,G) are studied.")) (|reductum| (($ $) "\\spad{reductum(f)} is \\spad{f} minus its leading monomial.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(f)} gives the coefficient of \\spad{f,} whose corresponding monoid element is the greatest among all those with non-zero coefficients.")) (|leadingMonomial| ((|#2| $) "\\spad{leadingMonomial(f)} gives the monomial of \\spad{f} whose corresponding monoid element is the greatest among all those with non-zero coefficients.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(f)} is the number of non-zero coefficients with respect to the canonical basis.")) (|monomials| (((|List| $) $) "\\spad{monomials(f)} gives the list of all monomials whose sum is \\spad{f.}")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(f)} lists all non-zero coefficients.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of u.")) (|terms| (((|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|))) $) "\\spad{terms(f)} gives the list of non-zero coefficients combined with their corresponding basis element as records. This is the internal representation.")) (|coerce| (($ (|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|)))) "\\spad{coerce(lt)} converts a list of terms and coefficients to a member of the domain.")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(f,m)} extracts the coefficient of \\spad{m} in \\spad{f} with respect to the canonical basis \\spad{M.}")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(r,m)} creates a scalar multiple of the basis element \\spad{m.}"))) 
-((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) (-4568 . T)) 
-((-12 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-371)))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-844)))) 
-(-728 S) 
+((-4595 |has| |#1| (-173)) (-4594 |has| |#1| (-173)) (-4597 . T)) 
+((-12 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#2| (QUOTE (-373)))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-847)))) 
+(-731 S) 
 ((|constructor| (NIL "A multi-set aggregate is a set which keeps track of the multiplicity of its elements."))) 
-((-4561 . T) (-4572 . T) (-4317 . T)) 
+((-4590 . T) (-4601 . T) (-3348 . T)) 
 NIL 
-(-729 S) 
+(-732 S) 
 ((|constructor| (NIL "A multiset is a set with multiplicities.")) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) "\\spad{remove!(p,ms,number)} removes destructively at most \\spad{number} copies of elements \\spad{x} such that \\spad{p(x)} is \\spadfun{true} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.") (($ |#1| $ (|Integer|)) "\\spad{remove!(x,ms,number)} removes destructively at most \\spad{number} copies of element \\spad{x} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) "\\spad{remove(p,ms,number)} removes at most \\spad{number} copies of elements \\spad{x} such that \\spad{p(x)} is \\spadfun{true} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.") (($ |#1| $ (|Integer|)) "\\spad{remove(x,ms,number)} removes at most \\spad{number} copies of element \\spad{x} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.")) (|members| (((|List| |#1|) $) "\\spad{members(ms)} returns a list of the elements of \\spad{ms} without their multiplicity. See also \\spadfun{parts}.")) (|multiset| (($ (|List| |#1|)) "\\spad{multiset(ls)} creates a multiset with elements from \\spad{ls}.") (($ |#1|) "\\spad{multiset(s)} creates a multiset with singleton \\spad{s.}") (($) "\\spad{multiset()}$D creates an empty multiset of domain \\spad{D.}"))) 
-((-4571 . T) (-4561 . T) (-4572 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
-(-730) 
-((|constructor| (NIL "\\spadtype{MoreSystemCommands} implements an interface with the system command facility. These are the commands that are issued from source files or the system interpreter and they start with a close parenthesis, \\spadignore{e.g.} the \"what\" commands.")) (|systemCommand| (((|Void|) (|String|)) "\\spad{systemCommand(cmd)} takes the string \\spadvar{cmd} and passes it to the runtime environment for execution as a system command. Although various things may be printed, no usable value is returned."))) 
+((-4600 . T) (-4590 . T) (-4601 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
+(-733) 
+((|constructor| (NIL "\\spadtype{MoreSystemCommands} implements an interface with the system command facility. These are the commands that are issued from source files or the system interpreter and they start with a close parenthesis, for example, the \"what\" commands.")) (|systemCommand| (((|Void|) (|String|)) "\\spad{systemCommand(cmd)} takes the string \\spadvar{cmd} and passes it to the runtime environment for execution as a system command. Although various things may be printed, no usable value is returned."))) 
 NIL 
 NIL 
-(-731 S) 
+(-734 S) 
 ((|constructor| (NIL "This package exports tools for merging lists")) (|mergeDifference| (((|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\spad{mergeDifference(l1,l2)} returns a list of elements in \\spad{l1} not present in \\spad{l2.} Assumes lists are ordered and all \\spad{x} in \\spad{l2} are also in \\spad{l1.}"))) 
 NIL 
 NIL 
-(-732 |Coef| |Var|) 
+(-735 |Coef| |Var|) 
 ((|constructor| (NIL "\\spadtype{MultivariateTaylorSeriesCategory} is the most general multivariate Taylor series category.")) (|integrate| (($ $ |#2|) "\\spad{integrate(f,x)} returns the anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{x} with constant coefficient 1. We may integrate a series when we can divide coefficients by integers.")) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,k1,k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|order| (((|NonNegativeInteger|) $ |#2| (|NonNegativeInteger|)) "\\spad{order(f,x,n)} returns \\spad{min(n,order(f,x))}.") (((|NonNegativeInteger|) $ |#2|) "\\spad{order(f,x)} returns the order of \\spad{f} viewed as a series in \\spad{x} may result in an infinite loop if \\spad{f} has no non-zero terms.")) (|monomial| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,[x1,x2,...,xk],[n1,n2,...,nk])} returns \\spad{a * \\spad{x1^n1} * \\spad{...} * xk^nk}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{monomial(a,x,n)} returns \\spad{a*x^n}.")) (|extend| (($ $ (|NonNegativeInteger|)) "\\spad{extend(f,n)} causes all terms of \\spad{f} of degree \\spad{<= \\spad{n}} to be computed.")) (|coefficient| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(f,[x1,x2,...,xk],[n1,n2,...,nk])} returns the coefficient of \\spad{x1^n1 * \\spad{...} * xk^nk} in \\spad{f.}") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{coefficient(f,x,n)} returns the coefficient of \\spad{x^n} in \\spad{f.}"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4595 . T) (-4594 . T) (-4597 . T)) 
 NIL 
-(-733 OV E R P) 
+(-736 OV E R P) 
 ((|constructor| (NIL "This is the top level package for doing multivariate factorization over basic domains like \\spadtype{Integer} or \\spadtype{Fraction Integer}.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain where \\spad{p} is represented as a univariate polynomial with multivariate coefficients") (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain"))) 
 NIL 
 NIL 
-(-734 E OV R P) 
+(-737 E OV R P) 
 ((|constructor| (NIL "This package provides the functions for the computation of the square free decomposition of a multivariate polynomial. It uses the package GenExEuclid for the resolution of the equation \\spad{Af + \\spad{Bg} = \\spad{h}} and its generalization to \\spad{n} polynomials over an integral domain and the package \\spad{MultivariateLifting} for the \"multivariate\" lifting.")) (|normDeriv2| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) "\\spad{normDeriv2 should} be local")) (|myDegree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|NonNegativeInteger|)) "\\spad{myDegree should} be local")) (|lift| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) |#4| (|List| |#2|) (|List| (|NonNegativeInteger|)) (|List| |#3|)) "\\spad{lift should} be local")) (|check| (((|Boolean|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) "\\spad{check should} be local")) (|coefChoose| ((|#4| (|Integer|) (|Factored| |#4|)) "\\spad{coefChoose should} be local")) (|intChoose| (((|Record| (|:| |upol| (|SparseUnivariatePolynomial| |#3|)) (|:| |Lval| (|List| |#3|)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| |#3|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) "\\spad{intChoose should} be local")) (|nsqfree| (((|Record| (|:| |unitPart| |#4|) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#4|)) (|:| |exponent| (|Integer|)))))) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) "\\spad{nsqfree should} be local")) (|consnewpol| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#4|)) (|:| |polval| (|SparseUnivariatePolynomial| |#3|))) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) "\\spad{consnewpol should} be local")) (|univcase| (((|Factored| |#4|) |#4| |#2|) "\\spad{univcase should} be local")) (|compdegd| (((|Integer|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) "\\spad{compdegd should} be local")) (|squareFreePrim| (((|Factored| |#4|) |#4|) "\\spad{squareFreePrim(p)} compute the square free decomposition of a primitive multivariate polynomial \\spad{p.}")) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{squareFree(p)} computes the square free decomposition of a multivariate polynomial \\spad{p} presented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#4|) |#4|) "\\spad{squareFree(p)} computes the square free decomposition of a multivariate polynomial \\spad{p.}"))) 
 NIL 
 NIL 
-(-735 |q| R) 
+(-738 |q| R) 
 ((|constructor| (NIL "This domain has no description"))) 
-((-4569 |has| |#2| (-559)) (-4563 |has| |#2| (-559)) (-4568 -1929 (|has| |#2| (-479)) (|has| |#2| (-1049))) (-4566 |has| |#2| (-173)) (-4565 |has| |#2| (-173)) ((-4573 "*") |has| |#2| (-559)) (-4564 |has| |#2| (-559))) 
-((|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (-1929 (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-1105))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-559)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))))) (|HasCategory| $ (QUOTE (-1049))) (|HasCategory| $ (LIST (QUOTE -1039) (QUOTE (-569))))) 
-(-736 |x| R) 
+((-4598 |has| |#2| (-561)) (-4592 |has| |#2| (-561)) (-4597 -1831 (|has| |#2| (-481)) (|has| |#2| (-1053))) (-4595 |has| |#2| (-173)) (-4594 |has| |#2| (-173)) ((-4602 "*") |has| |#2| (-561)) (-4593 |has| |#2| (-561))) 
+((|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-1053))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-481))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (-1831 (|HasCategory| |#2| (QUOTE (-481))) (|HasCategory| |#2| (QUOTE (-561)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-1831 (|HasCategory| |#2| (QUOTE (-481))) (|HasCategory| |#2| (QUOTE (-1053)))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-1109))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-561)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-561)))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-561))))) (|HasCategory| $ (QUOTE (-1053))) (|HasCategory| $ (LIST (QUOTE -1043) (QUOTE (-571))))) 
+(-739 |x| R) 
 ((|constructor| (NIL "This domain has no description")) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} converts the variable \\spad{x} to a univariate polynomial."))) 
-(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4567 |has| |#2| (-366)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1139))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-737 S R) 
+(((-4602 "*") |has| |#2| (-173)) (-4593 |has| |#2| (-561)) (-4596 |has| |#2| (-367)) (-4598 |has| |#2| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#2| (QUOTE (-909))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-561)))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1143))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE -4598)) (|HasCategory| |#2| (QUOTE (-456))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-740 S R) 
 ((|constructor| (NIL "NonAssociativeAlgebra is the category of non associative algebras (modules which are themselves non associative rngs).\\br \\blankline Axioms\\br \\tab{5}r*(a*b) = (r*a)*b = a*(r*b)")) (|plenaryPower| (($ $ (|PositiveInteger|)) "\\spad{plenaryPower(a,n)} is recursively defined to be \\spad{plenaryPower(a,n-1)*plenaryPower(a,n-1)} for \\spad{n>1} and \\spad{a} for \\spad{n=1}."))) 
 NIL 
 NIL 
-(-738 R) 
+(-741 R) 
 ((|constructor| (NIL "NonAssociativeAlgebra is the category of non associative algebras (modules which are themselves non associative rngs).\\br \\blankline Axioms\\br \\tab{5}r*(a*b) = (r*a)*b = a*(r*b)")) (|plenaryPower| (($ $ (|PositiveInteger|)) "\\spad{plenaryPower(a,n)} is recursively defined to be \\spad{plenaryPower(a,n-1)*plenaryPower(a,n-1)} for \\spad{n>1} and \\spad{a} for \\spad{n=1}."))) 
-((-4566 . T) (-4565 . T)) 
+((-4595 . T) (-4594 . T)) 
 NIL 
-(-739) 
+(-742) 
 ((|constructor| (NIL "This package uses the NAG Library to compute the zeros of a polynomial with real or complex coefficients.")) (|c02agf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) "\\spad{c02agf(a,n,scale,ifail)} finds all the roots of a real polynomial equation, using a variant of Laguerre's Method. See \\downlink{Manual Page}{manpageXXc02agf}.")) (|c02aff| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) "\\spad{c02aff(a,n,scale,ifail)} finds all the roots of a complex polynomial equation, using a variant of Laguerre's Method. See \\downlink{Manual Page}{manpageXXc02aff}."))) 
 NIL 
 NIL 
-(-740) 
+(-743) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate real zeros of continuous real functions of one or more variables. (Complex equations must be expressed in terms of the equivalent larger system of real equations.)")) (|c05pbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) "\\spad{c05pbf(n,ldfjac,lwa,x,xtol,ifail,fcn)} is an easy-to-use routine to find a solution of a system of nonlinear equations by a modification of the Powell hybrid method. The user must provide the Jacobian. See \\downlink{Manual Page}{manpageXXc05pbf}.")) (|c05nbf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) "\\spad{c05nbf(n,lwa,x,xtol,ifail,fcn)} is an easy-to-use routine to find a solution of a system of nonlinear equations by a modification of the Powell hybrid method. See \\downlink{Manual Page}{manpageXXc05nbf}.")) (|c05adf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{c05adf(a,b,eps,eta,ifail,f)} locates a zero of a continuous function in a given interval by a combination of the methods of linear interpolation, extrapolation and bisection. See \\downlink{Manual Page}{manpageXXc05adf}."))) 
 NIL 
 NIL 
-(-741) 
+(-744) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the discrete Fourier transform of a sequence of real or complex data values, and applies it to calculate convolutions and correlations.")) (|c06gsf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gsf(m,n,x,ifail)} takes \\spad{m} Hermitian sequences, each containing \\spad{n} data values, and forms the real and imaginary parts of the \\spad{m} corresponding complex sequences. See \\downlink{Manual Page}{manpageXXc06gsf}.")) (|c06gqf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gqf(m,n,x,ifail)} forms the complex conjugates, each containing \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gqf}.")) (|c06gcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gcf(n,y,ifail)} forms the complex conjugate of a sequence of \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gcf}.")) (|c06gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gbf(n,x,ifail)} forms the complex conjugate of \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gbf}.")) (|c06fuf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fuf(m,n,init,x,y,trigm,trign,ifail)} computes the two-dimensional discrete Fourier transform of a bivariate sequence of complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fuf}.")) (|c06frf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06frf(m,n,init,x,y,trig,ifail)} computes the discrete Fourier transforms of \\spad{m} sequences, each containing \\spad{n} complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06frf}.")) (|c06fqf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fqf(m,n,init,x,trig,ifail)} computes the discrete Fourier transforms of \\spad{m} Hermitian sequences, each containing \\spad{n} complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fqf}.")) (|c06fpf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fpf(m,n,init,x,trig,ifail)} computes the discrete Fourier transforms of \\spad{m} sequences, each containing \\spad{n} real data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fpf}.")) (|c06ekf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ekf(job,n,x,y,ifail)} calculates the circular convolution of two real vectors of period \\spad{n.} No extra workspace is required. See \\downlink{Manual Page}{manpageXXc06ekf}.")) (|c06ecf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ecf(n,x,y,ifail)} calculates the discrete Fourier transform of a sequence of \\spad{n} complex data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06ecf}.")) (|c06ebf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ebf(n,x,ifail)} calculates the discrete Fourier transform of a Hermitian sequence of \\spad{n} complex data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06ebf}.")) (|c06eaf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06eaf(n,x,ifail)} calculates the discrete Fourier transform of a sequence of \\spad{n} real data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06eaf}."))) 
 NIL 
 NIL 
-(-742) 
+(-745) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the numerical value of definite integrals in one or more dimensions and to evaluate weights and abscissae of integration rules.")) (|d01gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) "\\spad{d01gbf(ndim,a,b,maxcls,eps,lenwrk,mincls,wrkstr,ifail,functn)} returns an approximation to the integral of a function over a hyper-rectangular region, using a Monte Carlo method. An approximate relative error estimate is also returned. This routine is suitable for low accuracy work. See \\downlink{Manual Page}{manpageXXd01gbf}.")) (|d01gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|)) "\\spad{d01gaf(x,y,n,ifail)} integrates a function which is specified numerically at four or more points, over the whole of its specified range, using third-order finite-difference formulae with error estimates, according to a method due to Gill and Miller. See \\downlink{Manual Page}{manpageXXd01gaf}.")) (|d01fcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) "\\spad{d01fcf(ndim,a,b,maxpts,eps,lenwrk,minpts,ifail,functn)} attempts to evaluate a multi-dimensional integral (up to 15 dimensions), with constant and finite limits, to a specified relative accuracy, using an adaptive subdivision strategy. See \\downlink{Manual Page}{manpageXXd01fcf}.")) (|d01bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{d01bbf(a,b,itype,n,gtype,ifail)} returns the weight appropriate to a Gaussian quadrature. The formulae provided are Gauss-Legendre, Gauss-Rational, Gauss- Laguerre and Gauss-Hermite. See \\downlink{Manual Page}{manpageXXd01bbf}.")) (|d01asf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01asf(a,omega,key,epsabs,limlst,lw,liw,ifail,g)} calculates an approximation to the sine or the cosine transform of a function \\spad{g} over [a,infty): See \\downlink{Manual Page}{manpageXXd01asf}.")) (|d01aqf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01aqf(a,b,c,epsabs,epsrel,lw,liw,ifail,g)} calculates an approximation to the Hilbert transform of a function g(x) over [a,b]: See \\downlink{Manual Page}{manpageXXd01aqf}.")) (|d01apf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01apf(a,b,alfa,beta,key,epsabs,epsrel,lw,liw,ifail,g)} is an adaptive integrator which calculates an approximation to the integral of a function g(x)w(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01apf}.")) (|d01anf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01anf(a,b,omega,key,epsabs,epsrel,lw,liw,ifail,g)} calculates an approximation to the sine or the cosine transform of a function \\spad{g} over [a,b]: See \\downlink{Manual Page}{manpageXXd01anf}.")) (|d01amf| (((|Result|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01amf(bound,inf,epsabs,epsrel,lw,liw,ifail,f)} calculates an approximation to the integral of a function f(x) over an infinite or semi-infinite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01amf}.")) (|d01alf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01alf(a,b,npts,points,epsabs,epsrel,lw,liw,ifail,f)} is a general purpose integrator which calculates an approximation to the integral of a function f(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01alf}.")) (|d01akf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01akf(a,b,epsabs,epsrel,lw,liw,ifail,f)} is an adaptive integrator, especially suited to oscillating, non-singular integrands, which calculates an approximation to the integral of a function f(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01akf}.")) (|d01ajf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01ajf(a,b,epsabs,epsrel,lw,liw,ifail,f)} is a general-purpose integrator which calculates an approximation to the integral of a function f(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01ajf}."))) 
 NIL 
 NIL 
-(-743) 
+(-746) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the numerical solution of ordinary differential equations. There are two main types of problem, those in which all boundary conditions are specified at one point (initial-value problems), and those in which the boundary conditions are distributed between two or more points (boundary- value problems and eigenvalue problems). Routines are available for initial-value problems, two-point boundary-value problems and Sturm-Liouville eigenvalue problems.")) (|d02raf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) "d02raf(n,mnp,numbeg,nummix,tol,init,iy,ijac,lwork, \\indented{7}{liwork,np,x,y,deleps,ifail,fcn,g)} solves the two-point boundary-value problem with general boundary conditions for a system of ordinary differential equations, using a deferred correction technique and Newton iteration. See \\downlink{Manual Page}{manpageXXd02raf}.")) (|d02kef| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL))) (|FileName|) (|FileName|)) "d02kef(xpoint,m,k,tol,maxfun,match,elam,delam, \\indented{7}{hmax,maxit,ifail,coeffn,bdyval,monit,report)} finds a specified eigenvalue of a regular singular second- order Sturm-Liouville system on a finite or infinite range, using a Pruefer transformation and a shooting method. It also reports values of the eigenfunction and its derivatives. Provision is made for discontinuities in the coefficient functions or their derivatives. See \\downlink{Manual Page}{manpageXXd02kef}. Files \\spad{monit} and \\spad{report} will be used to define the subroutines for the MONIT and REPORT arguments. See \\downlink{Manual Page}{manpageXXd02gbf}.") (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) "d02kef(xpoint,m,k,tol,maxfun,match,elam,delam, \\indented{7}{hmax,maxit,ifail,coeffn,bdyval)} finds a specified eigenvalue of a regular singular second- order Sturm-Liouville system on a finite or infinite range, using a Pruefer transformation and a shooting method. It also reports values of the eigenfunction and its derivatives. Provision is made for discontinuities in the coefficient functions or their derivatives. See \\downlink{Manual Page}{manpageXXd02kef}. ASP domains \\spad{Asp12} and \\spad{Asp33} are used to supply default subroutines for the MONIT and REPORT arguments via their \\axiomOp{outputAsFortran} operation.")) (|d02gbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) "\\spad{d02gbf(a,b,n,tol,mnp,lw,liw,c,d,gam,x,np,ifail,fcnf,fcng)} solves a general linear two-point boundary value problem for a system of ordinary differential equations using a deferred correction technique. See \\downlink{Manual Page}{manpageXXd02gbf}.")) (|d02gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) "\\spad{d02gaf(u,v,n,a,b,tol,mnp,lw,liw,x,np,ifail,fcn)} solves the two-point boundary-value problem with assigned boundary values for a system of ordinary differential equations, using a deferred correction technique and a Newton iteration. See \\downlink{Manual Page}{manpageXXd02gaf}.")) (|d02ejf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02ejf(xend,m,n,relabs,iw,x,y,tol,ifail,g,fcn,pederv,output)} integrates a stiff system of first-order ordinary differential equations over an interval with suitable initial conditions, using a variable-order, variable-step method implementing the Backward Differentiation Formulae (BDF), until a user-specified function, if supplied, of the solution is zero, and returns the solution at points specified by the user, if desired. See \\downlink{Manual Page}{manpageXXd02ejf}.")) (|d02cjf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|String|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02cjf(xend,m,n,tol,relabs,x,y,ifail,g,fcn,output)} integrates a system of first-order ordinary differential equations over a range with suitable initial conditions, using a variable-order, variable-step Adams method until a user-specified function, if supplied, of the solution is zero, and returns the solution at points specified by the user, if desired. See \\downlink{Manual Page}{manpageXXd02cjf}.")) (|d02bhf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) "\\spad{d02bhf(xend,n,irelab,hmax,x,y,tol,ifail,g,fcn)} integrates a system of first-order ordinary differential equations over an interval with suitable initial conditions, using a Runge-Kutta-Merson method, until a user-specified function of the solution is zero. See \\downlink{Manual Page}{manpageXXd02bhf}.")) (|d02bbf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02bbf(xend,m,n,irelab,x,y,tol,ifail,fcn,output)} integrates a system of first-order ordinary differential equations over an interval with suitable initial conditions, using a Runge-Kutta-Merson method, and returns the solution at points specified by the user. See \\downlink{Manual Page}{manpageXXd02bbf}."))) 
 NIL 
 NIL 
-(-744) 
+(-747) 
 ((|constructor| (NIL "This package uses the NAG Library to solve partial differential equations.")) (|d03faf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|ThreeDimensionalMatrix| (|DoubleFloat|)) (|Integer|)) "d03faf(xs,xf,l,lbdcnd,bdxs,bdxf,ys,yf,m,mbdcnd,bdys,bdyf,zs, \\indented{7}{zf,n,nbdcnd,bdzs,bdzf,lambda,ldimf,mdimf,lwrk,f,ifail)} solves the Helmholtz equation in Cartesian co-ordinates in three dimensions using the standard seven-point finite difference approximation. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXd03faf}.")) (|d03eef| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) "\\spad{d03eef(xmin,xmax,ymin,ymax,ngx,ngy,lda,scheme,ifail,pdef,bndy)} discretizes a second order elliptic partial differential equation (PDE) on a rectangular region. See \\downlink{Manual Page}{manpageXXd03eef}.")) (|d03edf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{d03edf(ngx,ngy,lda,maxit,acc,iout,a,rhs,ub,ifail)} solves seven-diagonal systems of linear equations which arise from the discretization of an elliptic partial differential equation on a rectangular region. This routine uses a multigrid technique. See \\downlink{Manual Page}{manpageXXd03edf}."))) 
 NIL 
 NIL 
-(-745) 
+(-748) 
 ((|constructor| (NIL "This package uses the NAG Library to calculate the interpolation of a function of one or two variables. When provided with the value of the function (and possibly one or more of its lowest-order derivatives) at each of a number of values of the variable(s), the routines provide either an interpolating function or an interpolated value. For some of the interpolating functions, there are supporting routines to evaluate, differentiate or integrate them.")) (|e01sff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sff(m,x,y,f,rnw,fnodes,px,py,ifail)} evaluates at a given point the two-dimensional interpolating function computed by E01SEF. See \\downlink{Manual Page}{manpageXXe01sff}.")) (|e01sef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sef(m,x,y,f,nw,nq,rnw,rnq,ifail)} generates a two-dimensional surface interpolating a set of scattered data points, using a modified Shepard method. See \\downlink{Manual Page}{manpageXXe01sef}.")) (|e01sbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sbf(m,x,y,f,triang,grads,px,py,ifail)} evaluates at a given point the two-dimensional interpolant function computed by E01SAF. See \\downlink{Manual Page}{manpageXXe01sbf}.")) (|e01saf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01saf(m,x,y,f,ifail)} generates a two-dimensional surface interpolating a set of scattered data points, using the method of Renka and Cline. See \\downlink{Manual Page}{manpageXXe01saf}.")) (|e01daf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01daf(mx,my,x,y,f,ifail)} computes a bicubic spline interpolating surface through a set of data values, given on a rectangular grid in the x-y plane. See \\downlink{Manual Page}{manpageXXe01daf}.")) (|e01bhf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01bhf(n,x,f,d,a,b,ifail)} evaluates the definite integral of a piecewise cubic Hermite interpolant over the interval [a,b]. See \\downlink{Manual Page}{manpageXXe01bhf}.")) (|e01bgf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bgf(n,x,f,d,m,px,ifail)} evaluates a piecewise cubic Hermite interpolant and its first derivative at a set of points. See \\downlink{Manual Page}{manpageXXe01bgf}.")) (|e01bff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bff(n,x,f,d,m,px,ifail)} evaluates a piecewise cubic Hermite interpolant at a set of points. See \\downlink{Manual Page}{manpageXXe01bff}.")) (|e01bef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bef(n,x,f,ifail)} computes a monotonicity-preserving piecewise cubic Hermite interpolant to a set of data points. See \\downlink{Manual Page}{manpageXXe01bef}.")) (|e01baf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e01baf(m,x,y,lck,lwrk,ifail)} determines a cubic spline to a given set of data. See \\downlink{Manual Page}{manpageXXe01baf}."))) 
 NIL 
 NIL 
-(-746) 
+(-749) 
 ((|constructor| (NIL "This package uses the NAG Library to find a function which approximates a set of data points. Typically the data contain random errors, as of experimental measurement, which need to be smoothed out. To seek an approximation to the data, it is first necessary to specify for the approximating function a mathematical form (a polynomial, for example) which contains a number of unspecified coefficients: the appropriate fitting routine then derives for the coefficients the values which provide the best fit of that particular form. The package deals mainly with curve and surface fitting (\\spadignore{i.e.} fitting with functions of one and of two variables) when a polynomial or a cubic spline is used as the fitting function, since these cover the most common needs. However, fitting with other functions and/or more variables can be undertaken by means of general linear or nonlinear routines (some of which are contained in other packages) depending on whether the coefficients in the function occur linearly or nonlinearly. Cases where a graph rather than a set of data points is given can be treated simply by first reading a suitable set of points from the graph. The package also contains routines for evaluating, differentiating and integrating polynomial and spline curves and surfaces, once the numerical values of their coefficients have been determined.")) (|e02zaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02zaf(px,py,lamda,mu,m,x,y,npoint,nadres,ifail)} sorts two-dimensional data into rectangular panels. See \\downlink{Manual Page}{manpageXXe02zaf}.")) (|e02gaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02gaf(m,la,nplus2,toler,a,b,ifail)} calculates an \\spad{l} solution to an over-determined system of linear equations. See \\downlink{Manual Page}{manpageXXe02gaf}.")) (|e02dff| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02dff(mx,my,px,py,x,y,lamda,mu,c,lwrk,liwrk,ifail)} calculates values of a bicubic spline representation. The spline is evaluated at all points on a rectangular grid. See \\downlink{Manual Page}{manpageXXe02dff}.")) (|e02def| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02def(m,px,py,x,y,lamda,mu,c,ifail)} calculates values of a bicubic spline representation. See \\downlink{Manual Page}{manpageXXe02def}.")) (|e02ddf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02ddf(start,m,x,y,f,w,s,nxest,nyest,lwrk,liwrk,nx, \\spad{++} lamda,ny,mu,wrk,ifail)} computes a bicubic spline approximation to a set of scattered data are located automatically, but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02ddf}.")) (|e02dcf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{e02dcf(start,mx,x,my,y,f,s,nxest,nyest,lwrk,liwrk,nx, \\spad{++} lamda,ny,mu,wrk,iwrk,ifail)} computes a bicubic spline approximation to a set of data values, given on a rectangular grid in the x-y plane. The knots of the spline are located automatically, but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02dcf}.")) (|e02daf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02daf(m,px,py,x,y,f,w,mu,point,npoint,nc,nws,eps,lamda,ifail)} forms a minimal, weighted least-squares bicubic spline surface fit with prescribed knots to a given set of data points. See \\downlink{Manual Page}{manpageXXe02daf}.")) (|e02bef| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|))) "\\spad{e02bef(start,m,x,y,w,s,nest,lwrk,n,lamda,ifail,wrk,iwrk)} computes a cubic spline approximation to an arbitrary set of data points. The knot are located automatically, but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02bef}.")) (|e02bdf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02bdf(ncap7,lamda,c,ifail)} computes the definite integral from its B-spline representation. See \\downlink{Manual Page}{manpageXXe02bdf}.")) (|e02bcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|)) "\\spad{e02bcf(ncap7,lamda,c,x,left,ifail)} evaluates a cubic spline and its first three derivatives from its B-spline representation. See \\downlink{Manual Page}{manpageXXe02bcf}.")) (|e02bbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{e02bbf(ncap7,lamda,c,x,ifail)} evaluates a cubic spline representation. See \\downlink{Manual Page}{manpageXXe02bbf}.")) (|e02baf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02baf(m,ncap7,x,y,w,lamda,ifail)} computes a weighted least-squares approximation to an arbitrary set of data points by a cubic splines prescribed by the user. Cubic spline can also be carried out. See \\downlink{Manual Page}{manpageXXe02baf}.")) (|e02akf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|)) "\\spad{e02akf(np1,xmin,xmax,a,ia1,la,x,ifail)} evaluates a polynomial from its Chebyshev-series representation, allowing an arbitrary index increment for accessing the array of coefficients. See \\downlink{Manual Page}{manpageXXe02akf}.")) (|e02ajf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02ajf(np1,xmin,xmax,a,ia1,la,qatm1,iaint1,laint,ifail)} determines the coefficients in the Chebyshev-series representation of the indefinite integral of a polynomial given in Chebyshev-series form. See \\downlink{Manual Page}{manpageXXe02ajf}.")) (|e02ahf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02ahf(np1,xmin,xmax,a,ia1,la,iadif1,ladif,ifail)} determines the coefficients in the Chebyshev-series representation of the derivative of a polynomial given in Chebyshev-series form. See \\downlink{Manual Page}{manpageXXe02ahf}.")) (|e02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02agf(m,kplus1,nrows,xmin,xmax,x,y,w,mf,xf,yf,lyf,ip,lwrk,liwrk,ifail)} computes constrained weighted least-squares polynomial approximations in Chebyshev-series form to an arbitrary set of data points. The values of the approximations and any number of their derivatives can be specified at selected points. See \\downlink{Manual Page}{manpageXXe02agf}.")) (|e02aef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{e02aef(nplus1,a,xcap,ifail)} evaluates a polynomial from its Chebyshev-series representation. See \\downlink{Manual Page}{manpageXXe02aef}.")) (|e02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02adf(m,kplus1,nrows,x,y,w,ifail)} computes weighted least-squares polynomial approximations to an arbitrary set of data points. See \\downlink{Manual Page}{manpageXXe02adf}."))) 
 NIL 
 NIL 
-(-747) 
+(-750) 
 ((|constructor| (NIL "This package uses the NAG Library to perform optimization. An optimization problem involves minimizing a function (called the objective function) of several variables, possibly subject to restrictions on the values of the variables defined by a set of constraint functions. The routines in the NAG Foundation Library are concerned with function minimization only, since the problem of maximizing a given function can be transformed into a minimization problem simply by multiplying the function by \\spad{-1.}")) (|e04ycf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e04ycf(job,m,n,fsumsq,s,lv,v,ifail)} returns estimates of elements of the variance matrix of the estimated regression coefficients for a nonlinear least squares problem. The estimates are derived from the Jacobian of the function f(x) at the solution. See \\downlink{Manual Page}{manpageXXe04ycf}.")) (|e04ucf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Boolean|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) "e04ucf(n,nclin,ncnln,nrowa,nrowj,nrowr,a,bl,bu,liwork,lwork,sta, \\indented{7}{cra,der,fea,fun,hes,infb,infs,linf,lint,list,maji,majp,mini,} \\indented{7}{minp,mon,nonf,opt,ste,stao,stac,stoo,stoc,ve,istate,cjac,} \\indented{7}{clamda,r,x,ifail,confun,objfun)} is designed to minimize an arbitrary smooth function subject to constraints on the variables, linear constraints. (E04UCF may be used for unconstrained, bound-constrained and linearly constrained optimization.) The user must provide subroutines that define the objective and constraint functions and as many of their first partial derivatives as possible. Unspecified derivatives are approximated by finite differences. All matrices are treated as dense, and hence E04UCF is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04ucf}.")) (|e04naf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Boolean|) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) "e04naf(itmax,msglvl,n,nclin,nctotl,nrowa,nrowh,ncolh,bigbnd,a,bl, bu,cvec,featol,hess,cold,lpp,orthog,liwork,lwork,x,istate,ifail,qphess) is a comprehensive programming (QP) or linear programming (LP) problems. It is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04naf}.")) (|e04mbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "e04mbf(itmax,msglvl,n,nclin,nctotl,nrowa,a,bl,bu, \\indented{7}{cvec,linobj,liwork,lwork,x,ifail)} is an easy-to-use routine for solving linear programming problems, or for finding a feasible point for such problems. It is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04mbf}.")) (|e04jaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) "\\spad{e04jaf(n,ibound,liw,lw,bl,bu,x,ifail,funct1)} is an easy-to-use quasi-Newton algorithm for finding a minimum of a function \\spad{F(x} \\spad{,x} ,...,x \\spad{),} subject to fixed upper and \\indented{25}{1\\space{2}2\\space{6}n} lower bounds of the independent variables \\spad{x} \\spad{,x} ,...,x ,{} using \\indented{43}{1\\space{2}2\\space{6}n} function values only. See \\downlink{Manual Page}{manpageXXe04jaf}.")) (|e04gcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) "\\spad{e04gcf(m,n,liw,lw,x,ifail,lsfun2)} is an easy-to-use quasi-Newton algorithm for finding an unconstrained minimum of \\spad{m} nonlinear functions in \\spad{n} variables (m>=n). First derivatives are required. See \\downlink{Manual Page}{manpageXXe04gcf}.")) (|e04fdf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) "\\spad{e04fdf(m,n,liw,lw,x,ifail,lsfun1)} is an easy-to-use algorithm for finding an unconstrained minimum of a sum of squares of \\spad{m} nonlinear functions in \\spad{n} variables (m>=n). No derivatives are required. See \\downlink{Manual Page}{manpageXXe04fdf}.")) (|e04dgf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) "\\spad{e04dgf(n,es,fu,it,lin,list,ma,op,pr,sta,sto,ve,x,ifail,objfun)} minimizes an unconstrained nonlinear function of several variables using a pre-conditioned, limited memory quasi-Newton conjugate gradient method. First derivatives are required. The routine is intended for use on large scale problems. See \\downlink{Manual Page}{manpageXXe04dgf}."))) 
 NIL 
 NIL 
-(-748) 
+(-751) 
 ((|constructor| (NIL "This package uses the NAG Library to provide facilities for matrix factorizations and associated transformations.")) (|f01ref| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01ref(wheret,m,n,ncolq,lda,theta,a,ifail)} returns the first \\spad{ncolq} columns of the complex \\spad{m} by \\spad{m} unitary matrix \\spad{Q,} where \\spad{Q} is given as the product of Householder transformation matrices. See \\downlink{Manual Page}{manpageXXf01ref}.")) (|f01rdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01rdf(trans,wheret,m,n,a,lda,theta,ncolb,ldb,b,ifail)} performs one of the transformations See \\downlink{Manual Page}{manpageXXf01rdf}.")) (|f01rcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01rcf(m,n,lda,a,ifail)} finds the \\spad{QR} factorization of the complex \\spad{m} by \\spad{n} matrix A, where m>=n. See \\downlink{Manual Page}{manpageXXf01rcf}.")) (|f01qef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qef(wheret,m,n,ncolq,lda,zeta,a,ifail)} returns the first \\spad{ncolq} columns of the real \\spad{m} by \\spad{m} orthogonal matrix \\spad{Q,} where \\spad{Q} is given as the product of Householder transformation matrices. See \\downlink{Manual Page}{manpageXXf01qef}.")) (|f01qdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qdf(trans,wheret,m,n,a,lda,zeta,ncolb,ldb,b,ifail)} performs one of the transformations See \\downlink{Manual Page}{manpageXXf01qdf}.")) (|f01qcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qcf(m,n,lda,a,ifail)} finds the \\spad{QR} factorization of the real \\spad{m} by \\spad{n} matrix A, where m>=n. See \\downlink{Manual Page}{manpageXXf01qcf}.")) (|f01mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{f01mcf(n,avals,lal,nrow,ifail)} computes the Cholesky factorization of a real symmetric positive-definite variable-bandwidth matrix. See \\downlink{Manual Page}{manpageXXf01mcf}.")) (|f01maf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{f01maf(n,nz,licn,lirn,abort,avals,irn,icn,droptl,densw,ifail)} computes an incomplete Cholesky factorization of a real sparse symmetric positive-definite matrix A. See \\downlink{Manual Page}{manpageXXf01maf}.")) (|f01bsf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Boolean|) (|DoubleFloat|) (|Boolean|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "f01bsf(n,nz,licn,ivect,jvect,icn,ikeep,grow, \\indented{7}{eta,abort,idisp,avals,ifail)} factorizes a real sparse matrix using the pivotal sequence previously obtained by F01BRF when a matrix of the same sparsity pattern was factorized. See \\downlink{Manual Page}{manpageXXf01bsf}.")) (|f01brf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Boolean|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{f01brf(n,nz,licn,lirn,pivot,lblock,grow,abort,a,irn,icn,ifail)} factorizes a real sparse matrix. The routine either forms the LU factorization of a permutation of the entire matrix, or, optionally, first permutes the matrix to block lower triangular form and then only factorizes the diagonal blocks. See \\downlink{Manual Page}{manpageXXf01brf}."))) 
 NIL 
 NIL 
-(-749) 
+(-752) 
 ((|constructor| (NIL "This package uses the NAG Library to compute\\br \\tab{5}eigenvalues and eigenvectors of a matrix\\br \\tab{5} eigenvalues and eigenvectors of generalized matrix eigenvalue problems\\br \\tab{5}singular values and singular vectors of a matrix.")) (|f02xef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f02xef(m,n,lda,ncolb,ldb,wantq,ldq,wantp,ldph,a,b,ifail)} returns all, or part, of the singular value decomposition of a general complex matrix. See \\downlink{Manual Page}{manpageXXf02xef}.")) (|f02wef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02wef(m,n,lda,ncolb,ldb,wantq,ldq,wantp,ldpt,a,b,ifail)} returns all, or part, of the singular value decomposition of a general real matrix. See \\downlink{Manual Page}{manpageXXf02wef}.")) (|f02fjf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE))) (|FileName|)) "f02fjf(n,k,tol,novecs,nrx,lwork,lrwork, \\indented{7}{liwork,m,noits,x,ifail,dot,image,monit)} finds eigenvalues of a real sparse symmetric or generalized symmetric eigenvalue problem. See \\downlink{Manual Page}{manpageXXf02fjf}.") (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) "f02fjf(n,k,tol,novecs,nrx,lwork,lrwork, \\indented{7}{liwork,m,noits,x,ifail,dot,image)} finds eigenvalues of a real sparse symmetric or generalized symmetric eigenvalue problem. See \\downlink{Manual Page}{manpageXXf02fjf}.")) (|f02bjf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02bjf(n,ia,ib,eps1,matv,iv,a,b,ifail)} calculates all the eigenvalues and, if required, all the eigenvectors of the generalized eigenproblem Ax=(lambda)Bx where A and \\spad{B} are real, square matrices, using the \\spad{QZ} algorithm. See \\downlink{Manual Page}{manpageXXf02bjf}.")) (|f02bbf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02bbf(ia,n,alb,ub,m,iv,a,ifail)} calculates selected eigenvalues of a real symmetric matrix by reduction to tridiagonal form, bisection and inverse iteration, where the selected eigenvalues lie within a given interval. See \\downlink{Manual Page}{manpageXXf02bbf}.")) (|f02axf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f02axf(ar,iar,ai,iai,n,ivr,ivi,ifail)} calculates all the eigenvalues of a complex Hermitian matrix. See \\downlink{Manual Page}{manpageXXf02axf}.")) (|f02awf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02awf(iar,iai,n,ar,ai,ifail)} calculates all the eigenvalues of a complex Hermitian matrix. See \\downlink{Manual Page}{manpageXXf02awf}.")) (|f02akf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02akf(iar,iai,n,ivr,ivi,ar,ai,ifail)} calculates all the eigenvalues of a complex matrix. See \\downlink{Manual Page}{manpageXXf02akf}.")) (|f02ajf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02ajf(iar,iai,n,ar,ai,ifail)} calculates all the eigenvalue. See \\downlink{Manual Page}{manpageXXf02ajf}.")) (|f02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02agf(ia,n,ivr,ivi,a,ifail)} calculates all the eigenvalues of a real unsymmetric matrix. See \\downlink{Manual Page}{manpageXXf02agf}.")) (|f02aff| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aff(ia,n,a,ifail)} calculates all the eigenvalues of a real unsymmetric matrix. See \\downlink{Manual Page}{manpageXXf02aff}.")) (|f02aef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aef(ia,ib,n,iv,a,b,ifail)} calculates all the eigenvalues of Ax=(lambda)Bx, where A is a real symmetric matrix and \\spad{B} is a real symmetric positive-definite matrix. See \\downlink{Manual Page}{manpageXXf02aef}.")) (|f02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02adf(ia,ib,n,a,b,ifail)} calculates all the eigenvalues of Ax=(lambda)Bx, where A is a real symmetric matrix and \\spad{B} is a real symmetric positive- definite matrix. See \\downlink{Manual Page}{manpageXXf02adf}.")) (|f02abf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f02abf(a,ia,n,iv,ifail)} calculates all the eigenvalues of a real symmetric matrix. See \\downlink{Manual Page}{manpageXXf02abf}.")) (|f02aaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aaf(ia,n,a,ifail)} calculates all the eigenvalue. See \\downlink{Manual Page}{manpageXXf02aaf}."))) 
 NIL 
 NIL 
-(-750) 
+(-753) 
 ((|constructor| (NIL "This package uses the NAG Library to solve the matrix equation \\spad{\\br} \\tab{5}\\axiom{AX=B}, where \\axiom{B}\\br may be a single vector or a matrix of multiple right-hand sides. The matrix \\axiom{A} may be real, complex, symmetric, Hermitian positive- definite, or sparse. It may also be rectangular, in which case a least-squares solution is obtained.")) (|f04qaf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) "f04qaf(m,n,damp,atol,btol,conlim,itnlim,msglvl, \\indented{7}{lrwork,liwork,b,ifail,aprod)} solves sparse unsymmetric equations, sparse linear least- squares problems and sparse damped linear least-squares problems, using a Lanczos algorithm. See \\downlink{Manual Page}{manpageXXf04qaf}.")) (|f04mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f04mcf(n,al,lal,d,nrow,ir,b,nrb,iselct,nrx,ifail)} computes the approximate solution of a system of real linear equations with multiple right-hand sides, AX=B, where A is a symmetric positive-definite variable-bandwidth matrix, which has previously been factorized by F01MCF. Related systems may also be solved. See \\downlink{Manual Page}{manpageXXf04mcf}.")) (|f04mbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) "\\spad{f04mbf(n,b,precon,shift,itnlim,msglvl,lrwork, \\spad{++} liwork,rtol,ifail,aprod,msolve)} solves a system of real sparse symmetric linear equations using a Lanczos algorithm. See \\downlink{Manual Page}{manpageXXf04mbf}.")) (|f04maf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) "f04maf(n,nz,avals,licn,irn,lirn,icn,wkeep,ikeep, \\indented{7}{inform,b,acc,noits,ifail)} \\spad{e} a sparse symmetric positive-definite system of linear equations, Ax=b, using a pre-conditioned conjugate gradient method, where A has been factorized by F01MAF. See \\downlink{Manual Page}{manpageXXf04maf}.")) (|f04jgf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04jgf(m,n,nra,tol,lwork,a,b,ifail)} finds the solution of a linear least-squares problem, Ax=b ,{} where A is a real \\spad{m} by \\spad{n} (m>=n) matrix and \\spad{b} is an \\spad{m} element vector. If the matrix of observations is not of full rank, then the minimal least-squares solution is returned. See \\downlink{Manual Page}{manpageXXf04jgf}.")) (|f04faf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04faf(job,n,d,e,b,ifail)} calculates the approximate solution of a set of real symmetric positive-definite tridiagonal linear equations. See \\downlink{Manual Page}{manpageXXf04faf}.")) (|f04axf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|))) "\\spad{f04axf(n,a,licn,icn,ikeep,mtype,idisp,rhs)} calculates the approximate solution of a set of real sparse linear equations with a single right-hand side, Ax=b or \\indented{1}{T} A x=b, where A has been factorized by F01BRF or F01BSF. See \\downlink{Manual Page}{manpageXXf04axf}.")) (|f04atf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f04atf(a,ia,b,n,iaa,ifail)} calculates the accurate solution of a set of real linear equations with a single right-hand side, using an LU factorization with partial pivoting, and iterative refinement. See \\downlink{Manual Page}{manpageXXf04atf}.")) (|f04asf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04asf(ia,b,n,a,ifail)} calculates the accurate solution of a set of real symmetric positive-definite linear equations with a single right- hand side, Ax=b, using a Cholesky factorization and iterative refinement. See \\downlink{Manual Page}{manpageXXf04asf}.")) (|f04arf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04arf(ia,b,n,a,ifail)} calculates the approximate solution of a set of real linear equations with a single right-hand side, using an LU factorization with partial pivoting. See \\downlink{Manual Page}{manpageXXf04arf}.")) (|f04adf| (((|Result|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f04adf(ia,b,ib,n,m,ic,a,ifail)} calculates the approximate solution of a set of complex linear equations with multiple right-hand sides, using an LU factorization with partial pivoting. See \\downlink{Manual Page}{manpageXXf04adf}."))) 
 NIL 
 NIL 
-(-751) 
+(-754) 
 ((|constructor| (NIL "This package uses the NAG Library to compute matrix factorizations, and to solve systems of linear equations following the matrix factorizations.")) (|f07fef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07fef(uplo,n,nrhs,a,lda,ldb,b)} (DPOTRS) solves a real symmetric positive-definite system of linear equations with multiple right-hand sides, AX=B, where A has been factorized by F07FDF (DPOTRF). See \\downlink{Manual Page}{manpageXXf07fef}.")) (|f07fdf| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07fdf(uplo,n,lda,a)} (DPOTRF) computes the Cholesky factorization of a real symmetric positive-definite matrix. See \\downlink{Manual Page}{manpageXXf07fdf}.")) (|f07aef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07aef(trans,n,nrhs,a,lda,ipiv,ldb,b)} (DGETRS) solves a real system of linear equations with \\indented{36}{T} multiple right-hand sides, AX=B or A X=B, where A has been factorized by F07ADF (DGETRF). See \\downlink{Manual Page}{manpageXXf07aef}.")) (|f07adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07adf(m,n,lda,a)} (DGETRF) computes the LU factorization of a real \\spad{m} by \\spad{n} matrix. See \\downlink{Manual Page}{manpageXXf07adf}."))) 
 NIL 
 NIL 
-(-752) 
+(-755) 
 ((|constructor| (NIL "This package uses the NAG Library to compute some commonly occurring physical and mathematical functions.")) (|s21bdf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bdf(x,y,z,r,ifail)} returns a value of the symmetrised elliptic integral of the third kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21bdf}.")) (|s21bcf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bcf(x,y,z,ifail)} returns a value of the symmetrised elliptic integral of the second kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21bcf}.")) (|s21bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bbf(x,y,z,ifail)} returns a value of the symmetrised elliptic integral of the first kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21bbf}.")) (|s21baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21baf(x,y,ifail)} returns a value of an elementary integral, which occurs as a degenerate case of an elliptic integral of the first kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21baf}.")) (|s20adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s20adf(x,ifail)} returns a value for the Fresnel Integral C(x), via the routine name. See \\downlink{Manual Page}{manpageXXs20adf}.")) (|s20acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s20acf(x,ifail)} returns a value for the Fresnel Integral S(x), via the routine name. See \\downlink{Manual Page}{manpageXXs20acf}.")) (|s19adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19adf(x,ifail)} returns a value for the Kelvin function kei(x) via the routine name. See \\downlink{Manual Page}{manpageXXs19adf}.")) (|s19acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19acf(x,ifail)} returns a value for the Kelvin function ker(x), via the routine name. See \\downlink{Manual Page}{manpageXXs19acf}.")) (|s19abf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19abf(x,ifail)} returns a value for the Kelvin function bei(x) via the routine name. See \\downlink{Manual Page}{manpageXXs19abf}.")) (|s19aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19aaf(x,ifail)} returns a value for the Kelvin function ber(x) via the routine name. See \\downlink{Manual Page}{manpageXXs19aaf}.")) (|s18def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s18def(fnu,z,n,scale,ifail)} returns a sequence of values for the modified Bessel functions \\indented{1}{I\\space{6}(z) for complex \\spad{z,} non-negative (nu) and} \\indented{2}{(nu)+n} n=0,1,...,N-1, with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs18def}.")) (|s18dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s18dcf(fnu,z,n,scale,ifail)} returns a sequence of values for the modified Bessel functions \\indented{1}{K\\space{6}(z) for complex \\spad{z,} non-negative (nu) and} \\indented{2}{(nu)+n} n=0,1,...,N-1, with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs18dcf}.")) (|s18aff| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18aff(x,ifail)} returns a value for the modified Bessel Function \\indented{1}{I (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs18aff}.")) (|s18aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18aef(x,ifail)} returns the value of the modified Bessel Function \\indented{1}{I (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs18aef}.")) (|s18adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18adf(x,ifail)} returns the value of the modified Bessel Function \\indented{1}{K (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs18adf}.")) (|s18acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18acf(x,ifail)} returns the value of the modified Bessel Function \\indented{1}{K (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs18acf}.")) (|s17dlf| (((|Result|) (|Integer|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17dlf(m,fnu,z,n,scale,ifail)} returns a sequence of values for the Hankel functions \\indented{2}{(1)\\space{11}(2)} \\indented{1}{H\\space{6}(z) or H\\space{6}(z) for complex \\spad{z,} non-negative (nu) and} \\indented{2}{(nu)+n\\space{8}(nu)+n} n=0,1,...,N-1, with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dlf}.")) (|s17dhf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) "\\spad{s17dhf(deriv,z,scale,ifail)} returns the value of the Airy function Bi(z) or its derivative Bi'(z) for complex \\spad{z,} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dhf}.")) (|s17dgf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) "\\spad{s17dgf(deriv,z,scale,ifail)} returns the value of the Airy function Ai(z) or its derivative Ai'(z) for complex \\spad{z,} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dgf}.")) (|s17def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17def(fnu,z,n,scale,ifail)} returns a sequence of values for the Bessel functions \\indented{1}{J\\space{6}(z) for complex \\spad{z,} non-negative (nu) and n=0,1,...,N-1,} \\indented{2}{(nu)+n} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17def}.")) (|s17dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17dcf(fnu,z,n,scale,ifail)} returns a sequence of values for the Bessel functions \\indented{1}{Y\\space{6}(z) for complex \\spad{z,} non-negative (nu) and n=0,1,...,N-1,} \\indented{2}{(nu)+n} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dcf}.")) (|s17akf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17akf(x,ifail)} returns a value for the derivative of the Airy function Bi(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17akf}.")) (|s17ajf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17ajf(x,ifail)} returns a value of the derivative of the Airy function Ai(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17ajf}.")) (|s17ahf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17ahf(x,ifail)} returns a value of the Airy function, Bi(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17ahf}.")) (|s17agf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17agf(x,ifail)} returns a value for the Airy function, Ai(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17agf}.")) (|s17aff| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17aff(x,ifail)} returns the value of the Bessel Function \\indented{1}{J (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs17aff}.")) (|s17aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17aef(x,ifail)} returns the value of the Bessel Function \\indented{1}{J (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs17aef}.")) (|s17adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17adf(x,ifail)} returns the value of the Bessel Function \\indented{1}{Y (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs17adf}.")) (|s17acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17acf(x,ifail)} returns the value of the Bessel Function \\indented{1}{Y (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs17acf}.")) (|s15aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s15aef(x,ifail)} returns the value of the error function erf(x), via the routine name. See \\downlink{Manual Page}{manpageXXs15aef}.")) (|s15adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s15adf(x,ifail)} returns the value of the complementary error function, erfc(x), via the routine name. See \\downlink{Manual Page}{manpageXXs15adf}.")) (|s14baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s14baf(a,x,tol,ifail)} computes values for the incomplete gamma functions P(a,x) and Q(a,x). See \\downlink{Manual Page}{manpageXXs14baf}.")) (|s14abf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s14abf(x,ifail)} returns a value for the log, ln(Gamma(x)), via the routine name. See \\downlink{Manual Page}{manpageXXs14abf}.")) (|s14aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s14aaf(x,ifail)} returns the value of the Gamma function (Gamma)(x), via the routine name. See \\downlink{Manual Page}{manpageXXs14aaf}.")) (|s13adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13adf(x,ifail)} returns the value of the sine integral See \\downlink{Manual Page}{manpageXXs13adf}.")) (|s13acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13acf(x,ifail)} returns the value of the cosine integral See \\downlink{Manual Page}{manpageXXs13acf}.")) (|s13aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13aaf(x,ifail)} returns the value of the exponential integral \\indented{1}{E (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs13aaf}.")) (|s01eaf| (((|Result|) (|Complex| (|DoubleFloat|)) (|Integer|)) "\\spad{s01eaf(z,ifail)} S01EAF evaluates the exponential function exp(z) ,{} for complex \\spad{z.} See \\downlink{Manual Page}{manpageXXs01eaf}."))) 
 NIL 
 NIL 
-(-753) 
+(-756) 
 ((|constructor| (NIL "Support functions for the NAG Library Link functions")) (|restorePrecision| (((|Void|)) "\\spad{restorePrecision()} \\undocumented{}")) (|checkPrecision| (((|Boolean|)) "\\spad{checkPrecision()} \\undocumented{}")) (|dimensionsOf| (((|SExpression|) (|Symbol|) (|Matrix| (|Integer|))) "\\spad{dimensionsOf(s,m)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|Matrix| (|DoubleFloat|))) "\\spad{dimensionsOf(s,m)} \\undocumented{}")) (|aspFilename| (((|String|) (|String|)) "\\spad{aspFilename(\"f\")} returns a String consisting of \\spad{\"f\"} suffixed with \\indented{1}{an extension identifying the current AXIOM session.}")) (|fortranLinkerArgs| (((|String|)) "\\spad{fortranLinkerArgs()} returns the current linker arguments")) (|fortranCompilerName| (((|String|)) "\\spad{fortranCompilerName()} returns the name of the currently selected \\indented{1}{Fortran compiler}"))) 
 NIL 
 NIL 
-(-754 S) 
+(-757 S) 
 ((|constructor| (NIL "NonAssociativeRng is a basic ring-type structure, not necessarily commutative or associative, and not necessarily with unit.\\br Axioms\\br \\tab{5}x*(y+z) = x*y + x*z\\br \\tab{5}(x+y)*z = \\spad{x*z} + y*z\\br \\blankline Common Additional Axioms\\br \\tab{5}noZeroDivisors\\tab{5} ab = 0 \\spad{=>} \\spad{a=0} or \\spad{b=0}")) (|antiCommutator| (($ $ $) "\\spad{antiCommutator(a,b)} returns \\spad{a*b+b*a}.")) (|commutator| (($ $ $) "\\spad{commutator(a,b)} returns \\spad{a*b-b*a}.")) (|associator| (($ $ $ $) "\\spad{associator(a,b,c)} returns \\spad{(a*b)*c-a*(b*c)}."))) 
 NIL 
 NIL 
-(-755) 
+(-758) 
 ((|constructor| (NIL "NonAssociativeRng is a basic ring-type structure, not necessarily commutative or associative, and not necessarily with unit.\\br Axioms\\br \\tab{5}x*(y+z) = x*y + x*z\\br \\tab{5}(x+y)*z = \\spad{x*z} + y*z\\br \\blankline Common Additional Axioms\\br \\tab{5}noZeroDivisors\\tab{5} ab = 0 \\spad{=>} \\spad{a=0} or \\spad{b=0}")) (|antiCommutator| (($ $ $) "\\spad{antiCommutator(a,b)} returns \\spad{a*b+b*a}.")) (|commutator| (($ $ $) "\\spad{commutator(a,b)} returns \\spad{a*b-b*a}.")) (|associator| (($ $ $ $) "\\spad{associator(a,b,c)} returns \\spad{(a*b)*c-a*(b*c)}."))) 
 NIL 
 NIL 
-(-756 S) 
+(-759 S) 
 ((|constructor| (NIL "A NonAssociativeRing is a non associative \\spad{rng} which has a unit, the multiplication is not necessarily commutative or associative.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(n)} coerces the integer \\spad{n} to an element of the ring.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring."))) 
 NIL 
 NIL 
-(-757) 
+(-760) 
 ((|constructor| (NIL "A NonAssociativeRing is a non associative \\spad{rng} which has a unit, the multiplication is not necessarily commutative or associative.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(n)} coerces the integer \\spad{n} to an element of the ring.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring."))) 
 NIL 
 NIL 
-(-758 |Par|) 
+(-761 |Par|) 
 ((|constructor| (NIL "This package computes explicitly eigenvalues and eigenvectors of matrices with entries over the complex rational numbers. The results are expressed either as complex floating numbers or as complex rational numbers depending on the type of the precision parameter.")) (|complexEigenvectors| (((|List| (|Record| (|:| |outval| (|Complex| |#1|)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| |#1|)))))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) "\\spad{complexEigenvectors(m,eps)} returns a list of records each one containing a complex eigenvalue, its algebraic multiplicity, and a list of associated eigenvectors. All these results are computed to precision \\spad{eps} and are expressed as complex floats or complex rational numbers depending on the type of \\spad{eps} (float or rational).")) (|complexEigenvalues| (((|List| (|Complex| |#1|)) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) "\\spad{complexEigenvalues(m,eps)} computes the eigenvalues of the matrix \\spad{m} to precision eps. The eigenvalues are expressed as complex floats or complex rational numbers depending on the type of \\spad{eps} (float or rational).")) (|characteristicPolynomial| (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) (|Symbol|)) "\\spad{characteristicPolynomial(m,x)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over Complex Rationals with variable \\spad{x.}") (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|))))) "\\spad{characteristicPolynomial(m)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over complex rationals with a new symbol as variable."))) 
 NIL 
 NIL 
-(-759 -1647) 
+(-762 -3280) 
 ((|constructor| (NIL "\\spadtype{NumericContinuedFraction} provides functions for converting floating point numbers to continued fractions.")) (|continuedFraction| (((|ContinuedFraction| (|Integer|)) |#1|) "\\spad{continuedFraction(f)} converts the floating point number \\spad{f} to a reduced continued fraction."))) 
 NIL 
 NIL 
-(-760 P -1647) 
+(-763 P -3280) 
 ((|constructor| (NIL "This package provides a division and related operations for \\spadtype{MonogenicLinearOperator}s over a \\spadtype{Field}. Since the multiplication is in general non-commutative, these operations all have left- and right-hand versions. This package provides the operations based on left-division.\\br \\tab{5}[q,r] = leftDivide(a,b) means a=b*q+r")) (|leftLcm| ((|#1| |#1| |#1|) "\\spad{leftLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftGcd| ((|#1| |#1| |#1|) "\\spad{leftGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| |#1| "failed") |#1| |#1|) "\\spad{leftExactQuotient(a,b)} computes the value \\spad{q}, if it exists, \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| ((|#1| |#1| |#1|) "\\spad{leftRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| ((|#1| |#1| |#1|) "\\spad{leftQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{leftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''."))) 
 NIL 
 NIL 
-(-761 -1647) 
+(-764 -3280) 
 ((|constructor| (NIL "This package exports Newton interpolation for the special case where the result is known to be in the original integral domain The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|newton| (((|SparseUnivariatePolynomial| |#1|) (|List| |#1|)) "\\spad{newton}(l) returns the interpolating polynomial for the values \\spad{l,} where the x-coordinates are assumed to be [1,2,3,...,n] and the coefficients of the interpolating polynomial are known to be in the domain \\spad{F.} I.e., it is a very streamlined version for a special case of interpolation."))) 
 NIL 
 NIL 
-(-762 UP -1647) 
+(-765 UP -3280) 
 ((|constructor| (NIL "In this package \\spad{F} is a framed algebra over the integers (typically \\spad{F = Z[a]} for some algebraic integer a). The package provides functions to compute the integral closure of \\spad{Z} in the quotient quotient field of \\spad{F.}")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|)))) (|Integer|)) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the local integral closure of \\spad{Z} at the prime \\spad{p} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with Z-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the integral closure of \\spad{Z} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with Z-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|discriminant| (((|Integer|)) "\\spad{discriminant()} returns the discriminant of the integral closure of \\spad{Z} in the quotient field of the framed algebra \\spad{F.}"))) 
 NIL 
 NIL 
-(-763) 
+(-766) 
 ((|constructor| (NIL "\\axiomType{NumericalIntegrationProblem} is a \\axiom{domain} for the representation of Numerical Integration problems for use by ANNA. \\blankline The representation is a Union of two record types - one for integration of a function of one variable: \\blankline \\axiomType{Record}(var:\\axiomType{Symbol},\\br fn:\\axiomType{Expression DoubleFloat},\\br range:\\axiomType{Segment OrderedCompletion DoubleFloat},\\br abserr:\\axiomType{DoubleFloat},\\br relerr:\\axiomType{DoubleFloat},) \\blankline and one for multivariate integration: \\blankline \\axiomType{Record}(fn:\\axiomType{Expression DoubleFloat},\\br range:\\axiomType{List Segment OrderedCompletion DoubleFloat},\\br abserr:\\axiomType{DoubleFloat},\\br relerr:\\axiomType{DoubleFloat},). \\blankline")) (|retract| (((|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-764 R) 
+(-767 R) 
 ((|constructor| (NIL "NonLinearSolvePackage is an interface to \\spadtype{SystemSolvePackage} that attempts to retract the coefficients of the equations before solving. The solutions are given in the algebraic closure of \\spad{R} whenever possible.")) (|solve| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{solve(lp)} finds the solution in the algebraic closure of \\spad{R} of the list \\spad{lp} of rational functions with respect to all the symbols appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{solve(lp,lv)} finds the solutions in the algebraic closure of \\spad{R} of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.}")) (|solveInField| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{solveInField(lp)} finds the solution of the list \\spad{lp} of rational functions with respect to all the symbols appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{solveInField(lp,lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.}"))) 
 NIL 
 NIL 
-(-765) 
+(-768) 
 ((|constructor| (NIL "\\spadtype{NonNegativeInteger} provides functions for non-negative integers.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} means multiplication is commutative, that is, \\spad{x*y = y*x}.")) (|random| (($ $) "\\spad{random(n)} returns a random integer from 0 to \\spad{n-1}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(a,i)} shift \\spad{a} by \\spad{i} bits.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,b)} returns the quotient of \\spad{a} and \\spad{b,} or \"failed\" if \\spad{b} is zero or \\spad{a} rem \\spad{b} is zero.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(a,b)} returns a record containing both remainder and quotient.")) (|gcd| (($ $ $) "\\spad{gcd(a,b)} computes the greatest common divisor of two non negative integers \\spad{a} and \\spad{b.}")) (|rem| (($ $ $) "\\spad{a rem \\spad{b}} returns the remainder of \\spad{a} and \\spad{b.}")) (|quo| (($ $ $) "\\spad{a quo \\spad{b}} returns the quotient of \\spad{a} and \\spad{b,} forgetting the remainder."))) 
-(((-4573 "*") . T)) 
+(((-4602 "*") . T)) 
 NIL 
-(-766 R -1647) 
+(-769 R -3280) 
 ((|constructor| (NIL "NonLinearFirstOrderODESolver provides a function for finding closed form first integrals of nonlinear ordinary differential equations of order 1.")) (|solve| (((|Union| |#2| "failed") |#2| |#2| (|BasicOperator|) (|Symbol|)) "\\spad{solve(M(x,y), N(x,y), \\spad{y,} \\spad{x)}} returns \\spad{F(x,y)} such that \\spad{F(x,y) = \\spad{c}} for a constant \\spad{c} is a first integral of the equation \\spad{M(x,y) \\spad{dx} + N(x,y) dy = 0}, or \"failed\" if no first-integral can be found."))) 
 NIL 
 NIL 
-(-767 S) 
+(-770 S) 
 ((|constructor| (NIL "\\spadtype{NoneFunctions1} implements functions on \\spadtype{None}. It particular it includes a particulary dangerous coercion from any other type to \\spadtype{None}.")) (|coerce| (((|None|) |#1|) "\\spad{coerce(x)} changes \\spad{x} into an object of type \\spadtype{None}."))) 
 NIL 
 NIL 
-(-768) 
+(-771) 
 ((|constructor| (NIL "\\spadtype{None} implements a type with no objects. It is mainly used in technical situations where such a thing is needed (\\spadignore{e.g.} the interpreter and some of the internal \\spadtype{Expression} code)."))) 
 NIL 
 NIL 
-(-769 R |PolR| E |PolE|) 
+(-772 R |PolR| E |PolE|) 
 ((|constructor| (NIL "This package implements the norm of a polynomial with coefficients in a monogenic algebra (using resultants)")) (|norm| ((|#2| |#4|) "\\spad{norm \\spad{q}} returns the norm of \\spad{q,} \\spadignore{i.e.} the product of all the conjugates of \\spad{q.}"))) 
 NIL 
 NIL 
-(-770 R E V P TS) 
+(-773 R E V P TS) 
 ((|constructor| (NIL "A package for computing normalized assocites of univariate polynomials with coefficients in a tower of simple extensions of a field.")) (|normInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{normInvertible?(p,ts)} is an internal subroutine, exported only for developement.")) (|outputArgs| (((|Void|) (|String|) (|String|) |#4| |#5|) "\\axiom{outputArgs(s1,s2,p,ts)} is an internal subroutine, exported only for developement.")) (|normalize| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{normalize(p,ts)} normalizes \\axiom{p} w.r.t \\spad{ts}.")) (|normalizedAssociate| ((|#4| |#4| |#5|) "\\axiom{normalizedAssociate(p,ts)} returns a normalized polynomial \\axiom{n} w.r.t. \\spad{ts} such that \\axiom{n} and \\axiom{p} are associates w.r.t \\spad{ts} and assuming that \\axiom{p} is invertible w.r.t \\spad{ts}.")) (|recip| (((|Record| (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) "\\axiom{recip(p,ts)} returns the inverse of \\axiom{p} w.r.t \\spad{ts} assuming that \\axiom{p} is invertible w.r.t \\spad{ts}."))) 
 NIL 
 NIL 
-(-771 -1647 |ExtF| |SUEx| |ExtP| |n|) 
+(-774 -3280 |ExtF| |SUEx| |ExtP| |n|) 
 ((|constructor| (NIL "This package has no description")) (|Frobenius| ((|#4| |#4|) "\\spad{Frobenius(x)} \\undocumented")) (|retractIfCan| (((|Union| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) "failed") |#4|) "\\spad{retractIfCan(x)} \\undocumented")) (|normFactors| (((|List| |#4|) |#4|) "\\spad{normFactors(x)} \\undocumented"))) 
 NIL 
 NIL 
-(-772 -1647) 
+(-775 -3280) 
 ((|constructor| (NIL "This is an implmenentation of the Nottingham Group"))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-773 BP E OV R P) 
+(-776 BP E OV R P) 
 ((|constructor| (NIL "Package for the determination of the coefficients in the lifting process. Used by \\spadtype{MultivariateLifting}. This package will work for every euclidean domain \\spad{R} which has property \\spad{F,} \\spadignore{i.e.} there exists a factor operation in \\spad{R[x]}.")) (|listexp| (((|List| (|NonNegativeInteger|)) |#1|) "\\spad{listexp }\\undocumented")) (|npcoef| (((|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| |#5|))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (|List| |#1|)) (|:| |nlead| (|List| |#5|))) (|SparseUnivariatePolynomial| |#5|) (|List| |#1|) (|List| |#5|)) "\\spad{npcoef }\\undocumented"))) 
 NIL 
 NIL 
-(-774 K |PolyRing| E -4360) 
+(-777 K |PolyRing| E -3020) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-775 |Par|) 
+(-778 |Par|) 
 ((|constructor| (NIL "This package computes explicitly eigenvalues and eigenvectors of matrices with entries over the Rational Numbers. The results are expressed as floating numbers or as rational numbers depending on the type of the parameter Par.")) (|realEigenvectors| (((|List| (|Record| (|:| |outval| |#1|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#1|))))) (|Matrix| (|Fraction| (|Integer|))) |#1|) "\\spad{realEigenvectors(m,eps)} returns a list of records each one containing a real eigenvalue, its algebraic multiplicity, and a list of associated eigenvectors. All these results are computed to precision \\spad{eps} as floats or rational numbers depending on the type of \\spad{eps} .")) (|realEigenvalues| (((|List| |#1|) (|Matrix| (|Fraction| (|Integer|))) |#1|) "\\spad{realEigenvalues(m,eps)} computes the eigenvalues of the matrix \\spad{m} to precision eps. The eigenvalues are expressed as floats or rational numbers depending on the type of \\spad{eps} (float or rational).")) (|characteristicPolynomial| (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|))) (|Symbol|)) "\\spad{characteristicPolynomial(m,x)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over \\spad{RN} with variable \\spad{x.} Fraction \\spad{P} \\spad{RN.}") (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|)))) "\\spad{characteristicPolynomial(m)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over \\spad{RN} with a new symbol as variable."))) 
 NIL 
 NIL 
-(-776 K) 
+(-779 K) 
 ((|constructor| (NIL "This domain is part of the PAFF package"))) 
-(((-4573 "*") . T) (-4564 . T) (-4563 . T) (-4569 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-1105))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE |k|) (QUOTE (-569))) (LIST (QUOTE |:|) (QUOTE |c|) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
-(-777 R |VarSet|) 
+(((-4602 "*") . T) (-4593 . T) (-4592 . T) (-4598 . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-1109))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-571)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-571)) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-571))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE |k|) (QUOTE (-571))) (LIST (QUOTE |:|) (QUOTE |c|) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571)))))) 
+(-780 R |VarSet|) 
 ((|constructor| (NIL "A post-facto extension for \\axiomType{SMP} in order to speed up operations related to pseudo-division and gcd. This domain is based on the \\axiomType{NSUP} constructor which is itself a post-facto extension of the \\axiomType{SUP} constructor."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165))))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))) (-3182 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))) (-3182 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-3182 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))) (-3182 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-3182 (|HasCategory| |#1| (QUOTE (-551))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))) (-3182 (|HasCategory| |#1| (LIST (QUOTE -995) (QUOTE (-569))))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-778 R S) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-1169)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-1169))))) (|HasCategory| |#1| (QUOTE (-367))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-1169))))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-1169)))) (-2931 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-1169)))))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-1169)))) (-2931 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571)))))) (-2931 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-571)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-1169)))) (-2931 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571)))))) (-2931 (|HasCategory| |#1| (QUOTE (-553))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-1169)))) (-2931 (|HasCategory| |#1| (LIST (QUOTE -999) (QUOTE (-571))))))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#1| (QUOTE -4598)) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-781 R S) 
 ((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from sparse univariate polynomial over \\spad{R} to a sparse univariate polynomial over \\spad{S.} Note that the mapping is assumed to send zero to zero, since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|NewSparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|NewSparseUnivariatePolynomial| |#1|)) "\\axiom{map(func, poly)} creates a new polynomial by applying func to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-779 R) 
+(-782 R) 
 ((|constructor| (NIL "A post-facto extension for \\axiomType{SUP} in order to speed up operations related to pseudo-division and \\spad{gcd} for both \\axiomType{SUP} and, consequently, \\axiomType{NSMP}.")) (|halfExtendedResultant2| (((|Record| (|:| |resultant| |#1|) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedResultant2(a,b)} returns \\axiom{[r,ca]} such that \\axiom{extendedResultant(a,b)} returns \\axiom{[r,ca, cb]}")) (|halfExtendedResultant1| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedResultant1(a,b)} returns \\axiom{[r,ca]} such that \\axiom{extendedResultant(a,b)} returns \\axiom{[r,ca, cb]}")) (|extendedResultant| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedResultant(a,b)} returns \\axiom{[r,ca,cb]} such that \\axiom{r} is the resultant of \\axiom{a} and \\axiom{b} and \\axiom{r = ca * a + \\spad{cb} * \\spad{b}}")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} such that \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca, cb]}")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} such that \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca, cb]}")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca, cb]} such that \\axiom{g} is a \\spad{gcd} of \\axiom{a} and \\axiom{b} in \\axiom{R^(-1) \\spad{P}} and \\axiom{g = ca * a + \\spad{cb} * \\spad{b}}")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns \\axiom{resultant(a,b)} if \\axiom{a} and \\axiom{b} has no non-trivial \\spad{gcd} in \\axiom{R^(-1) \\spad{P}} otherwise the non-zero sub-resultant with smallest index.")) (|subResultantsChain| (((|List| $) $ $) "\\axiom{subResultantsChain(a,b)} returns the list of the non-zero sub-resultants of \\axiom{a} and \\axiom{b} sorted by increasing degree.")) (|lazyPseudoQuotient| (($ $ $) "\\axiom{lazyPseudoQuotient(a,b)} returns \\axiom{q} if \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}")) (|lazyPseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{c^n * a = \\spad{q*b} \\spad{+r}} and \\axiom{lazyResidueClass(a,b)} returns \\axiom{[r,c,n]} where \\axiom{n + \\spad{g} = max(0, degree(b) - degree(a) + 1)}.")) (|lazyPseudoRemainder| (($ $ $) "\\axiom{lazyPseudoRemainder(a,b)} returns \\axiom{r} if \\axiom{lazyResidueClass(a,b)} returns \\axiom{[r,c,n]}. This lazy pseudo-remainder is computed by means of the fmecg from NewSparseUnivariatePolynomial operation.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[r,c,n]} such that \\axiom{r} is reduced w.r.t. \\axiom{b} and \\axiom{b} divides \\axiom{c^n * a - \\spad{r}} where \\axiom{c} is \\axiom{leadingCoefficient(b)} and \\axiom{n} is as small as possible with the previous properties.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} returns \\axiom{r} such that \\axiom{r} is reduced w.r.t. \\axiom{b} and \\axiom{b} divides \\axiom{a \\spad{-r}} where \\axiom{b} is monic.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\axiom{fmecg(p1,e,r,p2)} returns \\axiom{p1 - \\spad{r} * x**e * \\spad{p2}} where \\axiom{x} is \\axiom{monomial(1,1)}"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4567 |has| |#1| (-366)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1139))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-780 R) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4596 |has| |#1| (-367)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-1143))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4598)) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-783 R) 
 ((|constructor| (NIL "This package provides polynomials as functions on a ring.")) (|eulerE| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{eulerE(n,r)} \\undocumented")) (|bernoulliB| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{bernoulliB(n,r)} \\undocumented")) (|cyclotomic| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{cyclotomic(n,r)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
-(-781 R E V P) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571)))))) 
+(-784 R E V P) 
 ((|constructor| (NIL "The category of normalized triangular sets. A triangular set \\spad{ts} is said normalized if for every algebraic variable \\spad{v} of \\spad{ts} the polynomial select(ts,v) is normalized w.r.t. every polynomial in collectUnder(ts,v). A polynomial \\spad{p} is said normalized w.r.t. a non-constant polynomial \\spad{q} if \\spad{p} is constant or degree(p,mdeg(q)) = 0 and init(p) is normalized w.r.t. \\spad{q.} One of the important features of normalized triangular sets is that they are regular sets."))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
-(-782 S) 
+(-785 S) 
 ((|constructor| (NIL "Numeric provides real and complex numerical evaluation functions for various symbolic types.")) (|numericIfCan| (((|Union| (|Float|) "failed") (|Expression| |#1|) (|PositiveInteger|)) "\\spad{numericIfCan(x, \\spad{n)}} returns a real approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Expression| |#1|)) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{numericIfCan(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{numericIfCan(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Polynomial| |#1|)) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.")) (|complexNumericIfCan| (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|)) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|)))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|)) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not constant.")) (|complexNumeric| (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Expression| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Expression| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|)))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Polynomial| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Complex| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Complex| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) |#1| (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) |#1|) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}")) (|numeric| (((|Float|) (|Expression| |#1|) (|PositiveInteger|)) "\\spad{numeric(x, \\spad{n)}} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Expression| |#1|)) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}") (((|Float|) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{numeric(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Fraction| (|Polynomial| |#1|))) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}") (((|Float|) (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{numeric(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Polynomial| |#1|)) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}") (((|Float|) |#1| (|PositiveInteger|)) "\\spad{numeric(x, \\spad{n)}} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) |#1|) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-559))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-844)))) (|HasCategory| |#1| (QUOTE (-1049))) (|HasCategory| |#1| (QUOTE (-173)))) 
-(-783) 
+((|HasCategory| |#1| (QUOTE (-561))) (-12 (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-847)))) (|HasCategory| |#1| (QUOTE (-1053))) (|HasCategory| |#1| (QUOTE (-173)))) 
+(-786) 
 ((|constructor| (NIL "NumberFormats provides function to format and read arabic and roman numbers, to convert numbers to strings and to read floating-point numbers.")) (|ScanFloatIgnoreSpacesIfCan| (((|Union| (|Float|) "failed") (|String|)) "\\spad{ScanFloatIgnoreSpacesIfCan(s)} tries to form a floating point number from the string \\spad{s} ignoring any spaces.")) (|ScanFloatIgnoreSpaces| (((|Float|) (|String|)) "\\spad{ScanFloatIgnoreSpaces(s)} forms a floating point number from the string \\spad{s} ignoring any spaces. Error is generated if the string is not recognised as a floating point number.")) (|ScanRoman| (((|PositiveInteger|) (|String|)) "\\spad{ScanRoman(s)} forms an integer from a Roman numeral string \\spad{s.}")) (|FormatRoman| (((|String|) (|PositiveInteger|)) "\\spad{FormatRoman(n)} forms a Roman numeral string from an integer \\spad{n.}")) (|ScanArabic| (((|PositiveInteger|) (|String|)) "\\spad{ScanArabic(s)} forms an integer from an Arabic numeral string \\spad{s.}")) (|FormatArabic| (((|String|) (|PositiveInteger|)) "\\spad{FormatArabic(n)} forms an Arabic numeral string from an integer \\spad{n.}"))) 
 NIL 
 NIL 
-(-784) 
+(-787) 
 ((|constructor| (NIL "\\axiomType{NumericalIntegrationCategory} is the \\axiom{category} for describing the set of Numerical Integration \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{numericalIntegration}.")) (|numericalIntegration| (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) "\\spad{numericalIntegration(args,hints)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.") (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) "\\spad{numericalIntegration(args,hints)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far.") (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-785) 
+(-788) 
 ((|constructor| (NIL "This package is a suite of functions for the numerical integration of an ordinary differential equation of \\spad{n} variables:\\br \\tab{5}dy/dx = f(y,x)\\tab{5}y is an n-vector\\br All the routines are based on a 4-th order Runge-Kutta kernel. These routines generally have as arguments:\\br \\spad{n,} the number of dependent variables;\\br \\spad{x1,} the initial point;\\br \\spad{h,} the step size;\\br \\spad{y,} a vector of initial conditions of length n\\br which upon exit contains the solution at \\spad{x1 + h};\\br \\blankline \\spad{derivs}, a function which computes the right hand side of the ordinary differential equation: \\spad{derivs(dydx,y,x)} computes \\spad{dydx}, a vector which contains the derivative information. \\blankline In order of increasing complexity:\\br \\tab{5}\\spad{rk4(y,n,x1,h,derivs)} advances the solution vector to\\br \\tab{5}\\spad{x1 + \\spad{h}} and return the values in y.\\br \\blankline \\tab{5}\\spad{rk4(y,n,x1,h,derivs,t1,t2,t3,t4)} is the same as\\br \\tab{5}\\spad{rk4(y,n,x1,h,derivs)} except that you must provide 4 scratch\\br \\tab{5}arrays \\spad{t1-t4} of size n.\\br \\blankline \\tab{5}Starting with \\spad{y} at \\spad{x1,} \\spad{rk4f(y,n,x1,x2,ns,derivs)}\\br \\tab{5}uses \\spad{ns} fixed steps of a 4-th order Runge-Kutta\\br \\tab{5}integrator to advance the solution vector to \\spad{x2} and return\\br \\tab{5}the values in \\spad{y.} Argument \\spad{x2,} is the final point, and\\br \\tab{5}\\spad{ns}, the number of steps to take. \\blankline \\spad{rk4qc(y,n,x1,step,eps,yscal,derivs)} takes a 5-th order Runge-Kutta step with monitoring of local truncation to ensure accuracy and adjust stepsize. The function takes two half steps and one full step and scales the difference in solutions at the final point. If the error is within \\spad{eps}, the step is taken and the result is returned. If the error is not within \\spad{eps}, the stepsize if decreased and the procedure is tried again until the desired accuracy is reached. Upon input, an trial step size must be given and upon return, an estimate of the next step size to use is returned as well as the step size which produced the desired accuracy. The scaled error is computed as\\br \\tab{5}\\spad{error = MAX(ABS((y2steps(i) - y1step(i))/yscal(i)))}\\br and this is compared against \\spad{eps}. If this is greater than \\spad{eps}, the step size is reduced accordingly to\\br \\tab{5}\\spad{hnew = 0.9 * hdid * (error/eps)**(-1/4)}\\br If the error criterion is satisfied, then we check if the step size was too fine and return a more efficient one. If \\spad{error > \\spad{eps} * (6.0E-04)} then the next step size should be\\br \\tab{5}\\spad{hnext = 0.9 * hdid * (error/\\spad{eps})**(-1/5)}\\br Otherwise \\spad{hnext = 4.0 * hdid} is returned. A more detailed discussion of this and related topics can be found in the book \"Numerical Recipies\" by W.Press, B.P. Flannery, S.A. Teukolsky, W.T. Vetterling published by Cambridge University Press. \\blankline Argument \\spad{step} is a record of 3 floating point numbers \\spad{(try ,{} did ,{} next)}, \\spad{eps} is the required accuracy, \\spad{yscal} is the scaling vector for the difference in solutions. On input, \\spad{step.try} should be the guess at a step size to achieve the accuracy. On output, \\spad{step.did} contains the step size which achieved the accuracy and \\spad{step.next} is the next step size to use. \\blankline \\spad{rk4qc(y,n,x1,step,eps,yscal,derivs,t1,t2,t3,t4,t5,t6,t7)} is the same as \\spad{rk4qc(y,n,x1,step,eps,yscal,derivs)} except that the user must provide the 7 scratch arrays \\spad{t1-t7} of size \\spad{n.} \\blankline \\spad{rk4a(y,n,x1,x2,eps,h,ns,derivs)} is a driver program which uses \\spad{rk4qc} to integrate \\spad{n} ordinary differential equations starting at \\spad{x1} to \\spad{x2,} keeping the local truncation error to within \\spad{eps} by changing the local step size. The scaling vector is defined as\\br \\tab{5}\\spad{yscal(i) = abs(y(i)) + abs(h*dydx(i)) + tiny}\\br where \\spad{y(i)} is the solution at location \\spad{x,} \\spad{dydx} is the ordinary differential equation's right hand side, \\spad{h} is the current step size and \\spad{tiny} is 10 times the smallest positive number representable. \\blankline The user must supply an estimate for a trial step size and the maximum number of calls to \\spad{rk4qc} to use. Argument \\spad{x2} is the final point, \\spad{eps} is local truncation, \\spad{ns} is the maximum number of call to \\spad{rk4qc} to use.")) (|rk4f| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4f(y,n,x1,x2,ns,derivs)} uses a 4-th order Runge-Kutta method to numerically integrate the ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector. Starting with \\spad{y} at \\spad{x1,} this function uses \\spad{ns} fixed steps of a 4-th order Runge-Kutta integrator to advance the solution vector to \\spad{x2} and return the values in \\spad{y.} For details, see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4qc| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) "\\spad{rk4qc(y,n,x1,step,eps,yscal,derivs,t1,t2,t3,t4,t5,t6,t7)} is a subfunction for the numerical integration of an ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector using a 4-th order Runge-Kutta method. This function takes a 5-th order Runge-Kutta \\spad{step} with monitoring of local truncation to ensure accuracy and adjust stepsize. For details, see \\con{NumericalOrdinaryDifferentialEquations}.") (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4qc(y,n,x1,step,eps,yscal,derivs)} is a subfunction for the numerical integration of an ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector using a 4-th order Runge-Kutta method. This function takes a 5-th order Runge-Kutta \\spad{step} with monitoring of local truncation to ensure accuracy and adjust stepsize. For details, see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4a| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4a(y,n,x1,x2,eps,h,ns,derivs)} is a driver function for the numerical integration of an ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector using a 4-th order Runge-Kutta method. For details, see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) "\\spad{rk4(y,n,x1,h,derivs,t1,t2,t3,t4)} is the same as \\spad{rk4(y,n,x1,h,derivs)} except that you must provide 4 scratch arrays \\spad{t1-t4} of size \\spad{n.} For details, see \\con{NumericalOrdinaryDifferentialEquations}.") (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4(y,n,x1,h,derivs)} uses a 4-th order Runge-Kutta method to numerically integrate the ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector. Argument \\spad{y} is a vector of initial conditions of length \\spad{n} which upon exit contains the solution at \\spad{x1 + \\spad{h},} \\spad{n} is the number of dependent variables, \\spad{x1} is the initial point, \\spad{h} is the step size, and \\spad{derivs} is a function which computes the right hand side of the ordinary differential equation. For details, see \\spadtype{NumericalOrdinaryDifferentialEquations}."))) 
 NIL 
 NIL 
-(-786) 
+(-789) 
 ((|constructor| (NIL "This suite of routines performs numerical quadrature using algorithms derived from the basic trapezoidal rule. Because the error term of this rule contains only even powers of the step size (for open and closed versions), fast convergence can be obtained if the integrand is sufficiently smooth. \\blankline Each routine returns a Record of type TrapAns, which contains value Float: estimate of the integral error Float: estimate of the error in the computation totalpts Integer: total number of function evaluations success Boolean: if the integral was computed within the user specified error criterion To produce this estimate, each routine generates an internal sequence of sub-estimates, denoted by S(i), depending on the routine, to which the various convergence criteria are applied. The user must supply a relative accuracy, \\spad{eps_r}, and an absolute accuracy, \\spad{eps_a}. Convergence is obtained when either\\br \\tab{5}\\spad{ABS(S(i) - S(i-1)) < eps_r * ABS(S(i-1))}\\br \\tab{5}or \\spad{ABS(S(i) - S(i-1)) < eps_a} are \\spad{true} statements. \\blankline The routines come in three families and three flavors: closed: romberg, simpson, trapezoidal open: rombergo, simpsono, trapezoidalo adaptive closed: aromberg, asimpson, atrapezoidal \\blankline The S(i) for the trapezoidal family is the value of the integral using an equally spaced absicca trapezoidal rule for that level of refinement. \\blankline The S(i) for the simpson family is the value of the integral using an equally spaced absicca simpson rule for that level of refinement. \\blankline The S(i) for the romberg family is the estimate of the integral using an equally spaced absicca romberg method. For the \\spad{i}-th level, this is an appropriate combination of all the previous trapezodial estimates so that the error term starts with the 2*(i+1) power only. \\blankline The three families come in a closed version, where the formulas include the endpoints, an open version where the formulas do not include the endpoints and an adaptive version, where the user is required to input the number of subintervals over which the appropriate closed family integrator will apply with the usual convergence parmeters for each subinterval. This is useful where a large number of points are needed only in a small fraction of the entire domain. \\blankline Each routine takes as arguments:\\br \\spad{f} integrand\\br a starting point\\br \\spad{b} ending point\\br eps_r relative error\\br eps_a absolute error\\br nmin refinement level when to start checking for convergence \\spad{(>} 1)\\br nmax maximum level of refinement\\br \\blankline The adaptive routines take as an additional parameter, nint, the number of independent intervals to apply a closed family integrator of the same name. \\blankline")) (|trapezoidalo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{trapezoidalo(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the trapezoidal method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|simpsono| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{simpsono(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the simpson method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|rombergo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{rombergo(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the romberg method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|trapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{trapezoidal(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the trapezoidal method to numerically integrate function \\spadvar{fn} over the closed interval \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|simpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{simpson(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the simpson method to numerically integrate function \\spad{fn} over the closed interval \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|romberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{romberg(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the romberg method to numerically integrate function \\spadvar{fn} over the closed interval \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|atrapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{atrapezoidal(fn,a,b,epsrel,epsabs,nmin,nmax,nint)} uses the adaptive trapezoidal method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}, and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|asimpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{asimpson(fn,a,b,epsrel,epsabs,nmin,nmax,nint)} uses the adaptive simpson method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}, and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|aromberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{aromberg(fn,a,b,epsrel,epsabs,nmin,nmax,nint)} uses the adaptive romberg method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}, and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details."))) 
 NIL 
 NIL 
-(-787 |Curve|) 
+(-790 |Curve|) 
 ((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves.")) (|tube| (((|TubePlot| |#1|) |#1| (|DoubleFloat|) (|Integer|)) "\\spad{tube(c,r,n)} creates a tube of radius \\spad{r} around the curve \\spad{c.}"))) 
 NIL 
 NIL 
-(-788) 
+(-791) 
 ((|constructor| (NIL "Ordered sets which are also abelian groups, such that the addition preserves the ordering."))) 
 NIL 
 NIL 
-(-789) 
+(-792) 
 ((|constructor| (NIL "Ordered sets which are also abelian monoids, such that the addition preserves the ordering."))) 
 NIL 
 NIL 
-(-790) 
+(-793) 
 ((|constructor| (NIL "This domain is an OrderedAbelianMonoid with a sup operation added. The purpose of the sup operator in this domain is to act as a supremum with respect to the partial order imposed by `-`, rather than with respect to the total \\spad{$>$} order (since that is \"max\"). \\blankline Axioms\\br \\tab{5}sup(a,b)-a \\~~= \"failed\"\\br \\tab{5}sup(a,b)-b \\~~= \"failed\"\\br \\tab{5}x-a \\~~= \"failed\" and \\spad{x-b} \\~~= \"failed\" \\spad{=>} \\spad{x} \\spad{>=} sup(a,b)\\br")) (|sup| (($ $ $) "\\spad{sup(x,y)} returns the least element from which both \\spad{x} and \\spad{y} can be subtracted."))) 
 NIL 
 NIL 
-(-791) 
+(-794) 
 ((|constructor| (NIL "Ordered sets which are also abelian semigroups, such that the addition preserves the ordering.\\br \\blankline Axiom\\br \\tab{5} \\spad{x} < \\spad{y} \\spad{=>} \\spad{x+z} < \\spad{y+z}"))) 
 NIL 
 NIL 
-(-792) 
+(-795) 
 ((|constructor| (NIL "Ordered sets which are also abelian cancellation monoids, such that the addition preserves the ordering."))) 
 NIL 
 NIL 
-(-793 S R) 
+(-796 S R) 
 ((|constructor| (NIL "OctonionCategory gives the categorial frame for the octonions, and eight-dimensional non-associative algebra, doubling the the quaternions in the same way as doubling the Complex numbers to get the quaternions.")) (|inv| (($ $) "\\spad{inv(o)} returns the inverse of \\spad{o} if it exists.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(o)} returns the real part if all seven imaginary parts are 0, and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(o)} returns the real part if all seven imaginary parts are 0. Error: if \\spad{o} is not rational.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(o)} tests if \\spad{o} is rational, \\spadignore{i.e.} that all seven imaginary parts are 0.")) (|abs| ((|#2| $) "\\spad{abs(o)} computes the absolute value of an octonion, equal to the square root of the \\spadfunFrom{norm}{Octonion}.")) (|octon| (($ |#2| |#2| |#2| |#2| |#2| |#2| |#2| |#2|) "\\spad{octon(re,ri,rj,rk,rE,rI,rJ,rK)} constructs an octonion from scalars.")) (|norm| ((|#2| $) "\\spad{norm(o)} returns the norm of an octonion, equal to the sum of the squares of its coefficients.")) (|imagK| ((|#2| $) "\\spad{imagK(o)} extracts the imaginary \\spad{K} part of octonion o.")) (|imagJ| ((|#2| $) "\\spad{imagJ(o)} extracts the imaginary \\spad{J} part of octonion o.")) (|imagI| ((|#2| $) "\\spad{imagI(o)} extracts the imaginary \\spad{I} part of octonion o.")) (|imagE| ((|#2| $) "\\spad{imagE(o)} extracts the imaginary \\spad{E} part of octonion o.")) (|imagk| ((|#2| $) "\\spad{imagk(o)} extracts the \\spad{k} part of octonion o.")) (|imagj| ((|#2| $) "\\spad{imagj(o)} extracts the \\spad{j} part of octonion o.")) (|imagi| ((|#2| $) "\\spad{imagi(o)} extracts the \\spad{i} part of octonion o.")) (|real| ((|#2| $) "\\spad{real(o)} extracts real part of octonion o.")) (|conjugate| (($ $) "\\spad{conjugate(o)} negates the imaginary parts i,j,k,E,I,J,K of octonian o."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1058))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-371)))) 
-(-794 R) 
+((|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-553))) (|HasCategory| |#2| (QUOTE (-1062))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-373)))) 
+(-797 R) 
 ((|constructor| (NIL "OctonionCategory gives the categorial frame for the octonions, and eight-dimensional non-associative algebra, doubling the the quaternions in the same way as doubling the Complex numbers to get the quaternions.")) (|inv| (($ $) "\\spad{inv(o)} returns the inverse of \\spad{o} if it exists.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(o)} returns the real part if all seven imaginary parts are 0, and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(o)} returns the real part if all seven imaginary parts are 0. Error: if \\spad{o} is not rational.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(o)} tests if \\spad{o} is rational, \\spadignore{i.e.} that all seven imaginary parts are 0.")) (|abs| ((|#1| $) "\\spad{abs(o)} computes the absolute value of an octonion, equal to the square root of the \\spadfunFrom{norm}{Octonion}.")) (|octon| (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) "\\spad{octon(re,ri,rj,rk,rE,rI,rJ,rK)} constructs an octonion from scalars.")) (|norm| ((|#1| $) "\\spad{norm(o)} returns the norm of an octonion, equal to the sum of the squares of its coefficients.")) (|imagK| ((|#1| $) "\\spad{imagK(o)} extracts the imaginary \\spad{K} part of octonion o.")) (|imagJ| ((|#1| $) "\\spad{imagJ(o)} extracts the imaginary \\spad{J} part of octonion o.")) (|imagI| ((|#1| $) "\\spad{imagI(o)} extracts the imaginary \\spad{I} part of octonion o.")) (|imagE| ((|#1| $) "\\spad{imagE(o)} extracts the imaginary \\spad{E} part of octonion o.")) (|imagk| ((|#1| $) "\\spad{imagk(o)} extracts the \\spad{k} part of octonion o.")) (|imagj| ((|#1| $) "\\spad{imagj(o)} extracts the \\spad{j} part of octonion o.")) (|imagi| ((|#1| $) "\\spad{imagi(o)} extracts the \\spad{i} part of octonion o.")) (|real| ((|#1| $) "\\spad{real(o)} extracts real part of octonion o.")) (|conjugate| (($ $) "\\spad{conjugate(o)} negates the imaginary parts i,j,k,E,I,J,K of octonian o."))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-795 -1929 R OS S) 
+(-798 -1831 R OS S) 
 ((|constructor| (NIL "\\spad{OctonionCategoryFunctions2} implements functions between two octonion domains defined over different rings. The function map is used to coerce between octonion types.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\spad{map(f,u)} maps \\spad{f} onto the component parts of the octonion u."))) 
 NIL 
 NIL 
-(-796 R) 
+(-799 R) 
 ((|constructor| (NIL "Octonion implements octonions (Cayley-Dixon algebra) over a commutative ring, an eight-dimensional non-associative algebra, doubling the quaternions in the same way as doubling the complex numbers to get the quaternions the main constructor function is octon which takes 8 arguments: the real part, the \\spad{i} imaginary part, the \\spad{j} imaginary part, the \\spad{k} imaginary part, (as with quaternions) and in addition the imaginary parts E, I, \\spad{J,} \\spad{K.}")) (|octon| (($ (|Quaternion| |#1|) (|Quaternion| |#1|)) "\\spad{octon(qe,qE)} constructs an octonion from two quaternions using the relation \\spad{O} = \\spad{Q} + QE."))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1058))) (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| (-1001 |#1|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1001 |#1|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (|HasCategory| (-1001 |#1|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (-1929 (|HasCategory| (-1001 |#1|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))))) 
-(-797) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1062))) (|HasCategory| |#1| (QUOTE (-553))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| (-1005 |#1|) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-1005 |#1|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (-1831 (|HasCategory| (-1005 |#1|) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (-1831 (|HasCategory| (-1005 |#1|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))))) 
+(-800) 
 ((|constructor| (NIL "\\axiomType{OrdinaryDifferentialEquationsSolverCategory} is the \\axiom{category} for describing the set of ODE solver \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{ODEsolve}.")) (|ODESolve| (((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{ODESolve(args)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-798 R -1647 L) 
+(-801 R -3280 L) 
 ((|constructor| (NIL "Solution of linear ordinary differential equations, constant coefficient case.")) (|constDsolve| (((|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Symbol|)) "\\spad{constDsolve(op, \\spad{g,} \\spad{x)}} returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular solution of the equation \\spad{op \\spad{y} = \\spad{g},} and the \\spad{yi}'s form a basis for the solutions of \\spad{op \\spad{y} = 0}."))) 
 NIL 
 NIL 
-(-799 R -1647) 
+(-802 R -3280) 
 ((|constructor| (NIL "\\spad{ElementaryFunctionODESolver} provides the top-level functions for finding closed form solutions of ordinary differential equations and initial value problems.")) (|solve| (((|Union| |#2| "failed") |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{solve(eq, \\spad{y,} \\spad{x} = a, [y0,...,ym])} returns either the solution of the initial value problem \\spad{eq, y(a) = \\spad{y0,} y'(a) = y1,...} or \"failed\" if the solution cannot be found; error if the equation is not one linear ordinary or of the form \\spad{dy/dx = f(x,y)}.") (((|Union| |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{solve(eq, \\spad{y,} \\spad{x} = a, [y0,...,ym])} returns either the solution of the initial value problem \\spad{eq, y(a) = \\spad{y0,} y'(a) = y1,...} or \"failed\" if the solution cannot be found; error if the equation is not one linear ordinary or of the form \\spad{dy/dx = f(x,y)}.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") |#2| (|BasicOperator|) (|Symbol|)) "\\spad{solve(eq, \\spad{y,} \\spad{x)}} returns either a solution of the ordinary differential equation \\spad{eq} or \"failed\" if no non-trivial solution can be found; If the equation is linear ordinary, a solution is of the form \\spad{[h, [b1,...,bm]]} where \\spad{h} is a particular solution and and \\spad{[b1,...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{f(x,y) = 0}; A full basis for the solutions of the homogenuous equation is not always returned, only the solutions which were found; If the equation is of the form {dy/dx = f(x,y)}, a solution is of the form \\spad{h(x,y)} where \\spad{h(x,y) = \\spad{c}} is a first integral of the equation for any constant \\spad{c}.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Symbol|)) "\\spad{solve(eq, \\spad{y,} \\spad{x)}} returns either a solution of the ordinary differential equation \\spad{eq} or \"failed\" if no non-trivial solution can be found; If the equation is linear ordinary, a solution is of the form \\spad{[h, [b1,...,bm]]} where \\spad{h} is a particular solution and \\spad{[b1,...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{f(x,y) = 0}; A full basis for the solutions of the homogenuous equation is not always returned, only the solutions which were found; If the equation is of the form {dy/dx = f(x,y)}, a solution is of the form \\spad{h(x,y)} where \\spad{h(x,y) = \\spad{c}} is a first integral of the equation for any constant \\spad{c}; error if the equation is not one of those 2 forms.") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| |#2|) (|List| (|BasicOperator|)) (|Symbol|)) "\\spad{solve([eq_1,...,eq_n], [y_1,...,y_n], \\spad{x)}} returns either \"failed\" or, if the equations form a fist order linear system, a solution of the form \\spad{[y_p, [b_1,...,b_n]]} where \\spad{h_p} is a particular solution and \\spad{[b_1,...b_m]} are linearly independent solutions of the associated homogenuous system. error if the equations do not form a first order linear system") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Symbol|)) "\\spad{solve([eq_1,...,eq_n], [y_1,...,y_n], \\spad{x)}} returns either \"failed\" or, if the equations form a fist order linear system, a solution of the form \\spad{[y_p, [b_1,...,b_n]]} where \\spad{h_p} is a particular solution and \\spad{[b_1,...b_m]} are linearly independent solutions of the associated homogenuous system. error if the equations do not form a first order linear system") (((|Union| (|List| (|Vector| |#2|)) "failed") (|Matrix| |#2|) (|Symbol|)) "\\spad{solve(m, \\spad{x)}} returns a basis for the solutions of \\spad{D \\spad{y} = \\spad{m} \\spad{y}.} \\spad{x} is the dependent variable.") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|Matrix| |#2|) (|Vector| |#2|) (|Symbol|)) "\\spad{solve(m, \\spad{v,} \\spad{x)}} returns \\spad{[v_p, [v_1,...,v_m]]} such that the solutions of the system \\spad{D \\spad{y} = \\spad{m} \\spad{y} + \\spad{v}} are \\spad{v_p + \\spad{c_1} \\spad{v_1} + \\spad{...} + \\spad{c_m} v_m} where the \\spad{c_i's} are constants, and the \\spad{v_i's} form a basis for the solutions of \\spad{D \\spad{y} = \\spad{m} \\spad{y}.} \\spad{x} is the dependent variable."))) 
 NIL 
 NIL 
-(-800) 
+(-803) 
 ((|constructor| (NIL "\\axiom{ODEIntensityFunctionsTable()} provides a dynamic table and a set of functions to store details found out about sets of ODE's.")) (|showIntensityFunctions| (((|Union| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))) "failed") (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{showIntensityFunctions(k)} returns the entries in the table of intensity functions \\spad{k.}")) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) "\\spad{insert!(r)} inserts an entry \\spad{r} into theIFTable")) (|iFTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) "\\spad{iFTable(l)} creates an intensity-functions table from the elements of \\spad{l.}")) (|keys| (((|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) "\\spad{keys(tab)} returns the list of keys of \\spad{f}")) (|clearTheIFTable| (((|Void|)) "\\spad{clearTheIFTable()} clears the current table of intensity functions.")) (|showTheIFTable| (($) "\\spad{showTheIFTable()} returns the current table of intensity functions."))) 
 NIL 
 NIL 
-(-801 R -1647) 
+(-804 R -3280) 
 ((|constructor| (NIL "\\spadtype{ODEIntegration} provides an interface to the integrator. This package is intended for use by the differential equations solver but not at top-level.")) (|diff| (((|Mapping| |#2| |#2|) (|Symbol|)) "\\spad{diff(x)} returns the derivation with respect to \\spad{x.}")) (|expint| ((|#2| |#2| (|Symbol|)) "\\spad{expint(f, \\spad{x)}} returns e^{the integral of \\spad{f} with respect to \\spad{x}.}")) (|int| ((|#2| |#2| (|Symbol|)) "\\spad{int(f, \\spad{x)}} returns the integral of \\spad{f} with respect to \\spad{x.}"))) 
 NIL 
 NIL 
-(-802) 
+(-805) 
 ((|constructor| (NIL "\\axiomType{AnnaOrdinaryDifferentialEquationPackage} is a \\axiom{package} of functions for the \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} with \\axiom{measure}, and \\axiom{solve}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical ODE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of ODEs by checking various attributes of the system of ODEs and calculating a measure of compatibility of each routine to these attributes.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical ODE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of ODEs by checking various attributes of the system of ODEs and calculating a measure of compatibility of each routine to these attributes.")) (|solve| (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,G,intVals,epsabs,epsrel)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to an absolute error requirement \\axiom{epsabs} and relative error \\axiom{epsrel}. The values of y[1]..y[n] will be output for the values of \\spad{x} in \\axiom{intVals}. The calculation will stop if the function G(x,y[1],..,y[n]) evaluates to zero before \\spad{x} = xEnd. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,G,intVals,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. The values of y[1]..y[n] will be output for the values of \\spad{x} in \\axiom{intVals}. The calculation will stop if the function G(x,y[1],..,y[n]) evaluates to zero before \\spad{x} = xEnd. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,intVals,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. The values of y[1]..y[n] will be output for the values of \\spad{x} in \\axiom{intVals}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,G,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. The calculation will stop if the function G(x,y[1],..,y[n]) evaluates to zero before \\spad{x} = xEnd. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|))) "\\spad{solve(f,xStart,xEnd,yInitial)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n], together with a starting value for \\spad{x} and y[1]..y[n] (called the initial conditions) and a final value of \\spad{x.} A default value is used for the accuracy requirement. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|NumericalODEProblem|) (|RoutinesTable|)) "\\spad{solve(odeProblem,R)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n], together with starting values for \\spad{x} and y[1]..y[n] (called the initial conditions), a final value of \\spad{x,} an accuracy requirement and any intermediate points at which the result is required. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|NumericalODEProblem|)) "\\spad{solve(odeProblem)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n], together with starting values for \\spad{x} and y[1]..y[n] (called the initial conditions), a final value of \\spad{x,} an accuracy requirement and any intermediate points at which the result is required. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine."))) 
 NIL 
 NIL 
-(-803 -1647 UP UPUP R) 
+(-806 -3280 UP UPUP R) 
 ((|constructor| (NIL "In-field solution of an linear ordinary differential equation, pure algebraic case.")) (|algDsolve| (((|Record| (|:| |particular| (|Union| |#4| "failed")) (|:| |basis| (|List| |#4|))) (|LinearOrdinaryDifferentialOperator1| |#4|) |#4|) "\\spad{algDsolve(op, \\spad{g)}} returns \\spad{[\"failed\", []]} if the equation \\spad{op \\spad{y} = \\spad{g}} has no solution in \\spad{R}. Otherwise, it returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular rational solution and the \\spad{y_i's} form a basis for the solutions in \\spad{R} of the homogeneous equation."))) 
 NIL 
 NIL 
-(-804 -1647 UP L LQ) 
+(-807 -3280 UP L LQ) 
 ((|constructor| (NIL "\\spad{PrimitiveRatDE} provides functions for in-field solutions of linear ordinary differential equations, in the transcendental case. The derivation to use is given by the parameter \\spad{L}.")) (|splitDenominator| (((|Record| (|:| |eq| |#3|) (|:| |rh| (|List| (|Fraction| |#2|)))) |#4| (|List| (|Fraction| |#2|))) "\\spad{splitDenominator(op, [g1,...,gm])} returns \\spad{op0, [h1,...,hm]} such that the equations \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} and \\spad{op0 \\spad{y} = \\spad{c1} \\spad{h1} + \\spad{...} + \\spad{cm} \\spad{hm}} have the same solutions.")) (|indicialEquation| ((|#2| |#4| |#1|) "\\spad{indicialEquation(op, a)} returns the indicial equation of \\spad{op} at \\spad{a}.") ((|#2| |#3| |#1|) "\\spad{indicialEquation(op, a)} returns the indicial equation of \\spad{op} at \\spad{a}.")) (|indicialEquations| (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4| |#2|) "\\spad{indicialEquations(op, \\spad{p)}} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op} above the roots of \\spad{p}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4|) "\\spad{indicialEquations op} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3| |#2|) "\\spad{indicialEquations(op, \\spad{p)}} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op} above the roots of \\spad{p}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3|) "\\spad{indicialEquations op} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.")) (|denomLODE| ((|#2| |#3| (|List| (|Fraction| |#2|))) "\\spad{denomLODE(op, [g1,...,gm])} returns a polynomial \\spad{d} such that any rational solution of \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} is of the form \\spad{p/d} for some polynomial \\spad{p.}") (((|Union| |#2| "failed") |#3| (|Fraction| |#2|)) "\\spad{denomLODE(op, \\spad{g)}} returns a polynomial \\spad{d} such that any rational solution of \\spad{op \\spad{y} = \\spad{g}} is of the form \\spad{p/d} for some polynomial \\spad{p,} and \"failed\", if the equation has no rational solution."))) 
 NIL 
 NIL 
-(-805) 
+(-808) 
 ((|constructor| (NIL "\\axiomType{NumericalODEProblem} is a \\axiom{domain} for the representation of Numerical ODE problems for use by ANNA. \\blankline The representation is of type: \\blankline \\axiomType{Record}(xinit:\\axiomType{DoubleFloat},\\br xend:\\axiomType{DoubleFloat},\\br fn:\\axiomType{Vector Expression DoubleFloat},\\br yinit:\\axiomType{List DoubleFloat},intvals:\\axiomType{List DoubleFloat},\\br g:\\axiomType{Expression DoubleFloat},abserr:\\axiomType{DoubleFloat},\\br relerr:\\axiomType{DoubleFloat}) \\blankline")) (|retract| (((|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-806 -1647 UP L LQ) 
+(-809 -3280 UP L LQ) 
 ((|constructor| (NIL "In-field solution of Riccati equations, primitive case.")) (|changeVar| ((|#3| |#3| (|Fraction| |#2|)) "\\spad{changeVar(+/[ai D^i], a)} returns the operator \\spad{+/[ai (D+a)^i]}.") ((|#3| |#3| |#2|) "\\spad{changeVar(+/[ai D^i], a)} returns the operator \\spad{+/[ai (D+a)^i]}.")) (|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{singRicDE(op, zeros, ezfactor)} returns \\spad{[[f1, L1], [f2, L2], \\spad{...} ,{} [fk, Lk]]} such that the singular part of any rational solution of the associated Riccati equation of \\spad{op y=0} must be one of the fi's (up to the constant coefficient), in which case the equation for \\spad{z=y e^{-int \\spad{p}}} is \\spad{Li z=0}. \\spad{zeros(C(x),H(x,y))} returns all the \\spad{P_i(x)}'s such that \\spad{H(x,P_i(x)) = 0 modulo C(x)}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.")) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) "\\spad{polyRicDE(op, zeros)} returns \\spad{[[p1, L1], [p2, L2], \\spad{...} ,{} [pk, Lk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op y=0} must be one of the pi's (up to the constant coefficient), in which case the equation for \\spad{z=y e^{-int \\spad{p}}} is \\spad{Li \\spad{z} =0}. \\spad{zeros} is a zero finder in \\spad{UP}.")) (|constantCoefficientRicDE| (((|List| (|Record| (|:| |constant| |#1|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) "\\spad{constantCoefficientRicDE(op, ric)} returns \\spad{[[a1, L1], [a2, L2], \\spad{...} ,{} [ak, Lk]]} such that any rational solution with no polynomial part of the associated Riccati equation of \\spad{op \\spad{y} = 0} must be one of the ai's in which case the equation for \\spad{z = \\spad{y} e^{-int ai}} is \\spad{Li \\spad{z} = 0}. \\spad{ric} is a Riccati equation solver over \\spad{F}, whose input is the associated linear equation.")) (|leadingCoefficientRicDE| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| |#2|))) |#3|) "\\spad{leadingCoefficientRicDE(op)} returns \\spad{[[m1, p1], [m2, p2], \\spad{...} ,{} [mk, pk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} must have degree \\spad{mj} for some \\spad{j,} and its leading coefficient is then a zero of \\spad{pj.} In addition,\\spad{m1>m2> \\spad{...} >mk}.")) (|denomRicDE| ((|#2| |#3|) "\\spad{denomRicDE(op)} returns a polynomial \\spad{d} such that any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} is of the form \\spad{p/d + q'/q + \\spad{r}} for some polynomials \\spad{p} and \\spad{q} and a reduced \\spad{r.} Also, \\spad{deg(p) < deg(d)} and {gcd(d,q) = 1}."))) 
 NIL 
 NIL 
-(-807 -1647 UP) 
+(-810 -3280 UP) 
 ((|constructor| (NIL "\\spad{RationalLODE} provides functions for in-field solutions of linear ordinary differential equations, in the rational case.")) (|indicialEquationAtInfinity| ((|#2| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) "\\spad{indicialEquationAtInfinity op} returns the indicial equation of \\spad{op} at infinity.") ((|#2| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{indicialEquationAtInfinity op} returns the indicial equation of \\spad{op} at infinity.")) (|ratDsolve| (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) "\\spad{ratDsolve(op, [g1,...,gm])} returns \\spad{[[h1,...,hq], \\spad{M]}} such that any rational solution of \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} is of the form \\spad{d1 \\spad{h1} + \\spad{...} + \\spad{dq} \\spad{hq}} where \\spad{M [d1,...,dq,c1,...,cm] = 0}.") (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{ratDsolve(op, \\spad{g)}} returns \\spad{[\"failed\", []]} if the equation \\spad{op \\spad{y} = \\spad{g}} has no rational solution. Otherwise, it returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular rational solution and the yi's form a basis for the rational solutions of the homogeneous equation.") (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) "\\spad{ratDsolve(op, [g1,...,gm])} returns \\spad{[[h1,...,hq], \\spad{M]}} such that any rational solution of \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} is of the form \\spad{d1 \\spad{h1} + \\spad{...} + \\spad{dq} \\spad{hq}} where \\spad{M [d1,...,dq,c1,...,cm] = 0}.") (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{ratDsolve(op, \\spad{g)}} returns \\spad{[\"failed\", []]} if the equation \\spad{op \\spad{y} = \\spad{g}} has no rational solution. Otherwise, it returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular rational solution and the yi's form a basis for the rational solutions of the homogeneous equation."))) 
 NIL 
 NIL 
-(-808 -1647 L UP A LO) 
+(-811 -3280 L UP A LO) 
 ((|constructor| (NIL "Elimination of an algebraic from the coefficentss of a linear ordinary differential equation.")) (|reduceLODE| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) |#5| |#4|) "\\spad{reduceLODE(op, \\spad{g)}} returns \\spad{[m, \\spad{v]}} such that any solution in \\spad{A} of \\spad{op \\spad{z} = \\spad{g}} is of the form \\spad{z = (z_1,...,z_m) . (b_1,...,b_m)} where the \\spad{b_i's} are the basis of \\spad{A} over \\spad{F} returned by \\spadfun{basis}() from \\spad{A}, and the \\spad{z_i's} satisfy the differential system \\spad{M.z = \\spad{v}.}"))) 
 NIL 
 NIL 
-(-809 -1647 UP) 
+(-812 -3280 UP) 
 ((|constructor| (NIL "In-field solution of Riccati equations, rational case.")) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{polyRicDE(op, zeros)} returns \\spad{[[p1,L1], [p2,L2], \\spad{...} ,{} [pk,Lk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} must be one of the pi's (up to the constant coefficient), in which case the equation for \\spad{z = \\spad{y} e^{-int \\spad{p}}} is \\spad{Li \\spad{z} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}.")) (|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{singRicDE(op, ezfactor)} returns \\spad{[[f1,L1], [f2,L2],..., [fk,Lk]]} such that the singular \\spad{++} part of any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} must be one of the fi's (up to the constant coefficient), in which case the equation for \\spad{z = \\spad{y} e^{-int ai}} is \\spad{Li \\spad{z} = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.")) (|ricDsolve| (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) "\\spad{ricDsolve(op)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{ricDsolve(op)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, zeros, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{ricDsolve(op, zeros)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, zeros, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{ricDsolve(op, zeros)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-27)))) 
-(-810 -1647 LO) 
+(-813 -3280 LO) 
 ((|constructor| (NIL "SystemODESolver provides tools for triangulating and solving some systems of linear ordinary differential equations.")) (|solveInField| (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#2|) (|Vector| |#1|) (|Mapping| (|Record| (|:| |particular| (|Union| |#1| "failed")) (|:| |basis| (|List| |#1|))) |#2| |#1|)) "\\spad{solveInField(m, \\spad{v,} solve)} returns \\spad{[[v_1,...,v_m], v_p]} such that the solutions in \\spad{F} of the system \\spad{m \\spad{x} = \\spad{v}} are \\spad{v_p + \\spad{c_1} \\spad{v_1} + \\spad{...} + \\spad{c_m} v_m} where the \\spad{c_i's} are constants, and the \\spad{v_i's} form a basis for the solutions of \\spad{m \\spad{x} = 0}. Argument \\spad{solve} is a function for solving a single linear ordinary differential equation in \\spad{F}.")) (|solve| (((|Union| (|Record| (|:| |particular| (|Vector| |#1|)) (|:| |basis| (|Matrix| |#1|))) "failed") (|Matrix| |#1|) (|Vector| |#1|) (|Mapping| (|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed") |#2| |#1|)) "\\spad{solve(m, \\spad{v,} solve)} returns \\spad{[[v_1,...,v_m], v_p]} such that the solutions in \\spad{F} of the system \\spad{D \\spad{x} = \\spad{m} \\spad{x} + \\spad{v}} are \\spad{v_p + \\spad{c_1} \\spad{v_1} + \\spad{...} + \\spad{c_m} v_m} where the \\spad{c_i's} are constants, and the \\spad{v_i's} form a basis for the solutions of \\spad{D \\spad{x} = \\spad{m} \\spad{x}.} Argument \\spad{solve} is a function for solving a single linear ordinary differential equation in \\spad{F}.")) (|triangulate| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| |#2|) (|Vector| |#1|)) "\\spad{triangulate(m, \\spad{v)}} returns \\spad{[m_0, v_0]} such that \\spad{m_0} is upper triangular and the system \\spad{m_0 \\spad{x} = v_0} is equivalent to \\spad{m \\spad{x} = \\spad{v}.}") (((|Record| (|:| A (|Matrix| |#1|)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)) (|:| |eq| |#2|) (|:| |rh| |#1|))))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{triangulate(M,v)} returns \\spad{A,[[C_1,g_1,L_1,h_1],...,[C_k,g_k,L_k,h_k]]} such that under the change of variable \\spad{y = A \\spad{z},} the first order linear system \\spad{D \\spad{y} = \\spad{M} \\spad{y} + \\spad{v}} is uncoupled as \\spad{D z_i = C_i z_i + g_i} and each \\spad{C_i} is a companion matrix corresponding to the scalar equation \\spad{L_i \\spad{z_j} = h_i}."))) 
 NIL 
 NIL 
-(-811 -1647 LODO) 
+(-814 -3280 LODO) 
 ((|constructor| (NIL "\\spad{ODETools} provides tools for the linear ODE solver.")) (|particularSolution| (((|Union| |#1| "failed") |#2| |#1| (|List| |#1|) (|Mapping| |#1| |#1|)) "\\spad{particularSolution(op, \\spad{g,} [f1,...,fm], I)} returns a particular solution \\spad{h} of the equation \\spad{op \\spad{y} = \\spad{g}} where \\spad{[f1,...,fm]} are linearly independent and \\spad{op(fi)=0}. The value \"failed\" is returned if no particular solution is found. Note that the method of variations of parameters is used.")) (|variationOfParameters| (((|Union| (|Vector| |#1|) "failed") |#2| |#1| (|List| |#1|)) "\\spad{variationOfParameters(op, \\spad{g,} [f1,...,fm])} returns \\spad{[u1,...,um]} such that a particular solution of the equation \\spad{op \\spad{y} = \\spad{g}} is \\spad{f1 int(u1) + \\spad{...} + \\spad{fm} int(um)} where \\spad{[f1,...,fm]} are linearly independent and \\spad{op(fi)=0}. The value \"failed\" is returned if \\spad{m < \\spad{n}} and no particular solution is found.")) (|wronskianMatrix| (((|Matrix| |#1|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{wronskianMatrix([f1,...,fn], \\spad{q,} \\spad{D)}} returns the \\spad{q \\spad{x} \\spad{n}} matrix \\spad{m} whose i^th row is \\spad{[f1^(i-1),...,fn^(i-1)]}.") (((|Matrix| |#1|) (|List| |#1|)) "\\spad{wronskianMatrix([f1,...,fn])} returns the \\spad{n \\spad{x} \\spad{n}} matrix \\spad{m} whose i^th row is \\spad{[f1^(i-1),...,fn^(i-1)]}."))) 
 NIL 
 NIL 
-(-812 -4360 S |f|) 
+(-815 -3020 S |f|) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The ordering on the type is determined by its third argument which represents the less than function on vectors. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4565 |has| |#2| (-1049)) (-4566 |has| |#2| (-1049)) (-4568 |has| |#2| (-6 -4568)) ((-4573 "*") |has| |#2| (-173)) (-4571 . T)) 
-((|HasCategory| |#2| (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (-1929 (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842)))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasAttribute| |#2| (QUOTE -4568)) (|HasCategory| |#2| (QUOTE (-138))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-25))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))))) 
-(-813 R) 
+((-4594 |has| |#2| (-1053)) (-4595 |has| |#2| (-1053)) (-4597 |has| |#2| (-6 -4597)) ((-4602 "*") |has| |#2| (-173)) (-4600 . T)) 
+((|HasCategory| |#2| (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053))) (|HasCategory| |#2| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-845))) (-1831 (|HasCategory| |#2| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-845)))) (|HasCategory| |#2| (QUOTE (-721))) (|HasCategory| |#2| (QUOTE (-173))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-367)))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1053)))) (|HasCategory| |#2| (QUOTE (-373))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-226))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1053)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1097)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-1097)))) (|HasAttribute| |#2| (QUOTE -4597)) (|HasCategory| |#2| (QUOTE (-138))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (|HasCategory| |#2| (QUOTE (-25))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-373))) (|HasCategory| |#2| (QUOTE (-721))) (|HasCategory| |#2| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-845))) (|HasCategory| |#2| (QUOTE (-1053))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1053)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-373)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-721)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-845)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-1097))))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-367)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-373)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-721)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-845)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1097))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-367)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-373)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-721)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-845)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1053)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))))) 
+(-816 R) 
 ((|constructor| (NIL "\\spadtype{OrderlyDifferentialPolynomial} implements an ordinary differential polynomial ring in arbitrary number of differential indeterminates, with coefficients in a ring. The ranking on the differential indeterminate is orderly. This is analogous to the domain \\spadtype{Polynomial}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-815 (-1165)) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-815 (-1165)) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-815 (-1165)) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-815 (-1165)) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-815 (-1165)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-814 |Kernels| R |var|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-818 (-1169)) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-818 (-1169)) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-818 (-1169)) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-818 (-1169)) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-818 (-1169)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#1| (QUOTE -4598)) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-817 |Kernels| R |var|) 
 ((|constructor| (NIL "This constructor produces an ordinary differential ring from a partial differential ring by specifying a variable.")) (|coerce| ((|#2| $) "\\spad{coerce(p)} views \\spad{p} as a valie in the partial differential ring.") (($ |#2|) "\\spad{coerce(r)} views \\spad{r} as a value in the ordinary differential ring."))) 
-(((-4573 "*") |has| |#2| (-366)) (-4564 |has| |#2| (-366)) (-4569 |has| |#2| (-366)) (-4563 |has| |#2| (-366)) (-4568 . T) (-4566 . T) (-4565 . T)) 
-((|HasCategory| |#2| (QUOTE (-366)))) 
-(-815 S) 
+(((-4602 "*") |has| |#2| (-367)) (-4593 |has| |#2| (-367)) (-4598 |has| |#2| (-367)) (-4592 |has| |#2| (-367)) (-4597 . T) (-4595 . T) (-4594 . T)) 
+((|HasCategory| |#2| (QUOTE (-367)))) 
+(-818 S) 
 ((|constructor| (NIL "\\spadtype{OrderlyDifferentialVariable} adds a commonly used orderly ranking to the set of derivatives of an ordered list of differential indeterminates. An orderly ranking is a ranking \\spadfun{<} of the derivatives with the property that for two derivatives \\spad{u} and \\spad{v,} \\spad{u} \\spadfun{<} \\spad{v} if the \\spadfun{order} of \\spad{u} is less than that of \\spad{v.} This domain belongs to \\spadtype{DifferentialVariableCategory}. It defines \\spadfun{weight} to be just \\spadfun{order}, and it defines an orderly ranking \\spadfun{<} on derivatives \\spad{u} via the lexicographic order on the pair (\\spadfun{order}(u), \\spadfun{variable}(u))."))) 
 NIL 
 NIL 
-(-816 S) 
+(-819 S) 
 ((|constructor| (NIL "The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are non-negative integers. The multiplication is not commutative. For two elements \\spad{x} and \\spad{y} the relation \\spad{x < \\spad{y}} holds if either \\spad{length(x) < length(y)} holds or if these lengths are equal and if \\spad{x} is smaller than \\spad{y} w.r.t. the lexicographical ordering induced by \\spad{S}. This domain inherits implementation from \\spadtype{FreeMonoid}.")) (|varList| (((|List| |#1|) $) "\\indented{1}{\\spad{varList(x)} returns the list of variables of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} varList \\spad{m1}")) (|length| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{length(x)} returns the length of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} length \\spad{m1}")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\indented{1}{\\spad{factors(a1\\^e1,...,an\\^en)} returns} \\indented{1}{\\spad{[[a1, e1],...,[an, en]]}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} factors \\spad{m1}")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{\\spad{nthFactor(x, \\spad{n)}} returns the factor of the \\spad{n-th}} \\indented{1}{monomial of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} nthFactor(m1,2)")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\indented{1}{\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the} \\indented{1}{\\spad{n-th} monomial of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} nthExpon(m1,2)")) (|size| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{size(x)} returns the number of monomials in \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} size(m1,2)")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\indented{1}{\\spad{overlap(x, \\spad{y)}} returns \\spad{[l, \\spad{m,} \\spad{r]}} such that} \\indented{1}{\\spad{x = \\spad{l} * \\spad{m}} and \\spad{y = \\spad{m} * \\spad{r}} hold and such that} \\indented{1}{\\spad{l} and \\spad{r} have no overlap,} \\indented{1}{that is \\spad{overlap(l, \\spad{r)} = \\spad{[l,} 1, r]}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} overlap(m1,m2)")) (|divide| (((|Union| (|Record| (|:| |lm| (|Union| $ "failed")) (|:| |rm| (|Union| $ "failed"))) "failed") $ $) "\\indented{1}{\\spad{divide(x,y)} returns the left and right exact quotients of} \\indented{1}{\\spad{x} by \\spad{y}, that is \\spad{[l,r]} such that \\spad{x = l*y*r}.} \\indented{1}{\"failed\" is returned iff \\spad{x} is not of the form \\spad{l * \\spad{y} * r}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} divide(m1,m2)")) (|rquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{rquo(x, \\spad{s)}} returns the exact right quotient} \\indented{1}{of \\spad{x} by \\spad{s}.} \\blankline \\spad{X} m1:=(x*y)$OFMONOID(Symbol) \\spad{X} div(m1,y)") (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{rquo(x, \\spad{y)}} returns the exact right quotient of \\spad{x}} \\indented{1}{by \\spad{y} that is \\spad{q} such that \\spad{x = \\spad{q} * y},} \\indented{1}{\"failed\" if \\spad{x} is not of the form \\spad{q * y}.} \\blankline \\spad{X} m1:=(q*y^3)$OFMONOID(Symbol) \\spad{X} m2:=(y^2)$OFMONOID(Symbol) \\spad{X} lquo(m1,m2)")) (|lquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{lquo(x, \\spad{s)}} returns the exact left quotient of \\spad{x}} \\indented{1}{by \\spad{s}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} lquo(m1,x)") (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{lquo(x, \\spad{y)}} returns the exact left quotient of \\spad{x}} \\indented{2}{by \\spad{y} that is \\spad{q} such that \\spad{x = \\spad{y} * q},} \\indented{1}{\"failed\" if \\spad{x} is not of the form \\spad{y * q}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} lquo(m1,m2)")) (|hcrf| (($ $ $) "\\indented{1}{\\spad{hcrf(x, \\spad{y)}} returns the highest common right} \\indented{1}{factor of \\spad{x} and \\spad{y},} \\indented{1}{that is the largest \\spad{d} such that \\spad{x = a \\spad{d}}} \\indented{1}{and \\spad{y = \\spad{b} d}.} \\blankline \\spad{X} m1:=(x*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(y*z)$OFMONOID(Symbol) \\spad{X} hcrf(m1,m2)")) (|hclf| (($ $ $) "\\indented{1}{\\spad{hclf(x, \\spad{y)}} returns the highest common left factor} \\indented{1}{of \\spad{x} and \\spad{y},} \\indented{1}{that is the largest \\spad{d} such that \\spad{x = \\spad{d} a}} \\indented{1}{and \\spad{y = \\spad{d} b}.} \\blankline \\spad{X} m1:=(x*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} hclf(m1,m2)")) (|lexico| (((|Boolean|) $ $) "\\indented{1}{\\spad{lexico(x,y)} returns \\spad{true}} \\indented{1}{iff \\spad{x} is smaller than \\spad{y}} \\indented{1}{w.r.t. the pure lexicographical ordering induced by \\spad{S}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} lexico(m1,m2) \\spad{X} lexico(m2,m1)")) (|mirror| (($ $) "\\indented{1}{\\spad{mirror(x)} returns the reversed word of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} mirror \\spad{m1}")) (|rest| (($ $) "\\indented{1}{\\spad{rest(x)} returns \\spad{x} except the first letter.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} rest \\spad{m1}")) (|first| ((|#1| $) "\\indented{1}{\\spad{first(x)} returns the first letter of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} first \\spad{m1}")) (** (($ |#1| (|NonNegativeInteger|)) "\\indented{1}{\\spad{s**n} returns the product of \\spad{s} by itself \\spad{n} times.} \\blankline \\spad{X} m1:=(y**3)$OFMONOID(Symbol)")) (* (($ $ |#1|) "\\indented{1}{\\spad{x*s} returns the product of \\spad{x} by \\spad{s} on the right.} \\blankline \\spad{X} m1:=(y**3)$OFMONOID(Symbol) \\spad{X} m1*x") (($ |#1| $) "\\indented{1}{\\spad{s*x} returns the product of \\spad{x} by \\spad{s} on the left.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} \\spad{x*m1}"))) 
 NIL 
 NIL 
-(-817) 
+(-820) 
 ((|constructor| (NIL "The category of ordered commutative integral domains, where ordering and the arithmetic operations are compatible"))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-818) 
+(-821) 
 ((|constructor| (NIL "\\spadtype{OpenMathConnection} provides low-level functions for handling connections to and from \\spadtype{OpenMathDevice}s.")) (|OMbindTCP| (((|Boolean|) $ (|SingleInteger|)) "\\spad{OMbindTCP}")) (|OMconnectTCP| (((|Boolean|) $ (|String|) (|SingleInteger|)) "\\spad{OMconnectTCP}")) (|OMconnOutDevice| (((|OpenMathDevice|) $) "\\spad{OMconnOutDevice:}")) (|OMconnInDevice| (((|OpenMathDevice|) $) "\\spad{OMconnInDevice:}")) (|OMcloseConn| (((|Void|) $) "\\spad{OMcloseConn}")) (|OMmakeConn| (($ (|SingleInteger|)) "\\spad{OMmakeConn}"))) 
 NIL 
 NIL 
-(-819) 
+(-822) 
 ((|constructor| (NIL "\\spadtype{OpenMathDevice} provides support for reading and writing openMath objects to files, strings etc. It also provides access to low-level operations from within the interpreter.")) (|OMgetType| (((|Symbol|) $) "\\spad{OMgetType(dev)} returns the type of the next object on \\axiom{dev}.")) (|OMgetSymbol| (((|Record| (|:| |cd| (|String|)) (|:| |name| (|String|))) $) "\\spad{OMgetSymbol(dev)} reads a symbol from \\axiom{dev}.")) (|OMgetString| (((|String|) $) "\\spad{OMgetString(dev)} reads a string from \\axiom{dev}.")) (|OMgetVariable| (((|Symbol|) $) "\\spad{OMgetVariable(dev)} reads a variable from \\axiom{dev}.")) (|OMgetFloat| (((|DoubleFloat|) $) "\\spad{OMgetFloat(dev)} reads a float from \\axiom{dev}.")) (|OMgetInteger| (((|Integer|) $) "\\spad{OMgetInteger(dev)} reads an integer from \\axiom{dev}.")) (|OMgetEndObject| (((|Void|) $) "\\spad{OMgetEndObject(dev)} reads an end object token from \\axiom{dev}.")) (|OMgetEndError| (((|Void|) $) "\\spad{OMgetEndError(dev)} reads an end error token from \\axiom{dev}.")) (|OMgetEndBVar| (((|Void|) $) "\\spad{OMgetEndBVar(dev)} reads an end bound variable list token from \\axiom{dev}.")) (|OMgetEndBind| (((|Void|) $) "\\spad{OMgetEndBind(dev)} reads an end binder token from \\axiom{dev}.")) (|OMgetEndAttr| (((|Void|) $) "\\spad{OMgetEndAttr(dev)} reads an end attribute token from \\axiom{dev}.")) (|OMgetEndAtp| (((|Void|) $) "\\spad{OMgetEndAtp(dev)} reads an end attribute pair token from \\axiom{dev}.")) (|OMgetEndApp| (((|Void|) $) "\\spad{OMgetEndApp(dev)} reads an end application token from \\axiom{dev}.")) (|OMgetObject| (((|Void|) $) "\\spad{OMgetObject(dev)} reads a begin object token from \\axiom{dev}.")) (|OMgetError| (((|Void|) $) "\\spad{OMgetError(dev)} reads a begin error token from \\axiom{dev}.")) (|OMgetBVar| (((|Void|) $) "\\spad{OMgetBVar(dev)} reads a begin bound variable list token from \\axiom{dev}.")) (|OMgetBind| (((|Void|) $) "\\spad{OMgetBind(dev)} reads a begin binder token from \\axiom{dev}.")) (|OMgetAttr| (((|Void|) $) "\\spad{OMgetAttr(dev)} reads a begin attribute token from \\axiom{dev}.")) (|OMgetAtp| (((|Void|) $) "\\spad{OMgetAtp(dev)} reads a begin attribute pair token from \\axiom{dev}.")) (|OMgetApp| (((|Void|) $) "\\spad{OMgetApp(dev)} reads a begin application token from \\axiom{dev}.")) (|OMputSymbol| (((|Void|) $ (|String|) (|String|)) "\\spad{OMputSymbol(dev,cd,s)} writes the symbol \\axiom{s} from \\spad{CD} \\axiom{cd} to \\axiom{dev}.")) (|OMputString| (((|Void|) $ (|String|)) "\\spad{OMputString(dev,i)} writes the string \\axiom{i} to \\axiom{dev}.")) (|OMputVariable| (((|Void|) $ (|Symbol|)) "\\spad{OMputVariable(dev,i)} writes the variable \\axiom{i} to \\axiom{dev}.")) (|OMputFloat| (((|Void|) $ (|DoubleFloat|)) "\\spad{OMputFloat(dev,i)} writes the float \\axiom{i} to \\axiom{dev}.")) (|OMputInteger| (((|Void|) $ (|Integer|)) "\\spad{OMputInteger(dev,i)} writes the integer \\axiom{i} to \\axiom{dev}.")) (|OMputEndObject| (((|Void|) $) "\\spad{OMputEndObject(dev)} writes an end object token to \\axiom{dev}.")) (|OMputEndError| (((|Void|) $) "\\spad{OMputEndError(dev)} writes an end error token to \\axiom{dev}.")) (|OMputEndBVar| (((|Void|) $) "\\spad{OMputEndBVar(dev)} writes an end bound variable list token to \\axiom{dev}.")) (|OMputEndBind| (((|Void|) $) "\\spad{OMputEndBind(dev)} writes an end binder token to \\axiom{dev}.")) (|OMputEndAttr| (((|Void|) $) "\\spad{OMputEndAttr(dev)} writes an end attribute token to \\axiom{dev}.")) (|OMputEndAtp| (((|Void|) $) "\\spad{OMputEndAtp(dev)} writes an end attribute pair token to \\axiom{dev}.")) (|OMputEndApp| (((|Void|) $) "\\spad{OMputEndApp(dev)} writes an end application token to \\axiom{dev}.")) (|OMputObject| (((|Void|) $) "\\spad{OMputObject(dev)} writes a begin object token to \\axiom{dev}.")) (|OMputError| (((|Void|) $) "\\spad{OMputError(dev)} writes a begin error token to \\axiom{dev}.")) (|OMputBVar| (((|Void|) $) "\\spad{OMputBVar(dev)} writes a begin bound variable list token to \\axiom{dev}.")) (|OMputBind| (((|Void|) $) "\\spad{OMputBind(dev)} writes a begin binder token to \\axiom{dev}.")) (|OMputAttr| (((|Void|) $) "\\spad{OMputAttr(dev)} writes a begin attribute token to \\axiom{dev}.")) (|OMputAtp| (((|Void|) $) "\\spad{OMputAtp(dev)} writes a begin attribute pair token to \\axiom{dev}.")) (|OMputApp| (((|Void|) $) "\\spad{OMputApp(dev)} writes a begin application token to \\axiom{dev}.")) (|OMsetEncoding| (((|Void|) $ (|OpenMathEncoding|)) "\\spad{OMsetEncoding(dev,enc)} sets the encoding used for reading or writing OpenMath objects to or from \\axiom{dev} to \\axiom{enc}.")) (|OMclose| (((|Void|) $) "\\spad{OMclose(dev)} closes \\axiom{dev}, flushing output if necessary.")) (|OMopenString| (($ (|String|) (|OpenMathEncoding|)) "\\spad{OMopenString(s,mode)} opens the string \\axiom{s} for reading or writing OpenMath objects in encoding \\axiom{enc}.")) (|OMopenFile| (($ (|String|) (|String|) (|OpenMathEncoding|)) "\\spad{OMopenFile(f,mode,enc)} opens file \\axiom{f} for reading or writing OpenMath objects (depending on \\axiom{mode} which can be \"r\", \\spad{\"w\"} or \"a\" for read, write and append respectively), in the encoding \\axiom{enc}."))) 
 NIL 
 NIL 
-(-820) 
+(-823) 
 ((|constructor| (NIL "\\spadtype{OpenMathEncoding} is the set of valid OpenMath encodings.")) (|OMencodingBinary| (($) "\\spad{OMencodingBinary()} is the constant for the OpenMath binary encoding.")) (|OMencodingSGML| (($) "\\spad{OMencodingSGML()} is the constant for the deprecated OpenMath SGML encoding.")) (|OMencodingXML| (($) "\\spad{OMencodingXML()} is the constant for the OpenMath \\spad{XML} encoding.")) (|OMencodingUnknown| (($) "\\spad{OMencodingUnknown()} is the constant for unknown encoding types. If this is used on an input device, the encoding will be autodetected. It is invalid to use it on an output device."))) 
 NIL 
 NIL 
-(-821) 
+(-824) 
 ((|constructor| (NIL "\\spadtype{OpenMathErrorKind} represents different kinds of OpenMath errors: specifically parse errors, unknown \\spad{CD} or symbol errors, and read errors.")) (|OMReadError?| (((|Boolean|) $) "\\spad{OMReadError?(u)} tests whether \\spad{u} is an OpenMath read error.")) (|OMUnknownSymbol?| (((|Boolean|) $) "\\spad{OMUnknownSymbol?(u)} tests whether \\spad{u} is an OpenMath unknown symbol error.")) (|OMUnknownCD?| (((|Boolean|) $) "\\spad{OMUnknownCD?(u)} tests whether \\spad{u} is an OpenMath unknown \\spad{CD} error.")) (|OMParseError?| (((|Boolean|) $) "\\spad{OMParseError?(u)} tests whether \\spad{u} is an OpenMath parsing error.")) (|coerce| (($ (|Symbol|)) "\\spad{coerce(u)} creates an OpenMath error object of an appropriate type if \\axiom{u} is one of \\axiom{OMParseError}, \\axiom{OMReadError}, \\axiom{OMUnknownCD} or \\axiom{OMUnknownSymbol}, otherwise it raises a runtime error."))) 
 NIL 
 NIL 
-(-822) 
+(-825) 
 ((|constructor| (NIL "\\spadtype{OpenMathError} is the domain of OpenMath errors.")) (|omError| (($ (|OpenMathErrorKind|) (|List| (|Symbol|))) "\\spad{omError(k,l)} creates an instance of OpenMathError.")) (|errorInfo| (((|List| (|Symbol|)) $) "\\spad{errorInfo(u)} returns information about the error u.")) (|errorKind| (((|OpenMathErrorKind|) $) "\\spad{errorKind(u)} returns the type of error which \\spad{u} represents."))) 
 NIL 
 NIL 
-(-823 R) 
+(-826 R) 
 ((|constructor| (NIL "\\spadtype{ExpressionToOpenMath} provides support for converting objects of type \\spadtype{Expression} into OpenMath."))) 
 NIL 
 NIL 
-(-824 P R) 
+(-827 P R) 
 ((|constructor| (NIL "This constructor creates the \\spadtype{MonogenicLinearOperator} domain which is ``opposite'' in the ring sense to \\spad{P.} That is, as sets \\spad{P = \\spad{$}} but \\spad{a * \\spad{b}} in \\spad{$} is equal to \\spad{b * a} in \\spad{P.}")) (|po| ((|#1| $) "\\spad{po(q)} creates a value in \\spad{P} equal to \\spad{q} in \\spad{$.}")) (|op| (($ |#1|) "\\spad{op(p)} creates a value in \\$ equal to \\spad{p} in \\spad{P.}"))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
 ((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-226)))) 
-(-825) 
+(-828) 
 ((|constructor| (NIL "\\spadtype{OpenMath} provides operations for exporting an object in OpenMath format.")) (|OMwrite| (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) "\\spad{OMwrite(dev, u, true)} writes the OpenMath form of \\axiom{u} to the OpenMath device \\axiom{dev} as a complete OpenMath object; OMwrite(dev, u, false) writes the object as an OpenMath fragment.") (((|Void|) (|OpenMathDevice|) $) "\\spad{OMwrite(dev, u)} writes the OpenMath form of \\axiom{u} to the OpenMath device \\axiom{dev} as a complete OpenMath object.") (((|String|) $ (|Boolean|)) "\\spad{OMwrite(u, true)} returns the OpenMath \\spad{XML} encoding of \\axiom{u} as a complete OpenMath object; OMwrite(u, false) returns the OpenMath \\spad{XML} encoding of \\axiom{u} as an OpenMath fragment.") (((|String|) $) "\\spad{OMwrite(u)} returns the OpenMath \\spad{XML} encoding of \\axiom{u} as a complete OpenMath object."))) 
 NIL 
 NIL 
-(-826) 
+(-829) 
 ((|constructor| (NIL "\\spadtype{OpenMathPackage} provides some simple utilities to make reading OpenMath objects easier.")) (|OMunhandledSymbol| (((|Exit|) (|String|) (|String|)) "\\spad{OMunhandledSymbol(s,cd)} raises an error if AXIOM reads a symbol which it is unable to handle. Note that this is different from an unexpected symbol.")) (|OMsupportsSymbol?| (((|Boolean|) (|String|) (|String|)) "\\spad{OMsupportsSymbol?(s,cd)} returns \\spad{true} if AXIOM supports symbol \\axiom{s} from \\spad{CD} \\axiom{cd}, \\spad{false} otherwise.")) (|OMsupportsCD?| (((|Boolean|) (|String|)) "\\spad{OMsupportsCD?(cd)} returns \\spad{true} if AXIOM supports \\axiom{cd}, \\spad{false} otherwise.")) (|OMlistSymbols| (((|List| (|String|)) (|String|)) "\\spad{OMlistSymbols(cd)} lists all the symbols in \\axiom{cd}.")) (|OMlistCDs| (((|List| (|String|))) "\\spad{OMlistCDs()} lists all the \\spad{CDs} supported by AXIOM.")) (|OMreadStr| (((|Any|) (|String|)) "\\spad{OMreadStr(f)} reads an OpenMath object from \\axiom{f} and passes it to AXIOM.")) (|OMreadFile| (((|Any|) (|String|)) "\\spad{OMreadFile(f)} reads an OpenMath object from \\axiom{f} and passes it to AXIOM.")) (|OMread| (((|Any|) (|OpenMathDevice|)) "\\spad{OMread(dev)} reads an OpenMath object from \\axiom{dev} and passes it to AXIOM."))) 
 NIL 
 NIL 
-(-827 S) 
+(-830 S) 
 ((|constructor| (NIL "to become an in order iterator")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest entry in the multiset aggregate u."))) 
-((-4571 . T) (-4561 . T) (-4572 . T) (-4317 . T)) 
+((-4600 . T) (-4590 . T) (-4601 . T) (-3348 . T)) 
 NIL 
-(-828) 
+(-831) 
 ((|constructor| (NIL "\\spadtype{OpenMathServerPackage} provides the necessary operations to run AXIOM as an OpenMath server, reading/writing objects to/from a port. Please note the facilities available here are very basic. The idea is that a user calls \\spadignore{e.g.} \\axiom{Omserve(4000,60)} and then another process sends OpenMath objects to port 4000 and reads the result.")) (|OMserve| (((|Void|) (|SingleInteger|) (|SingleInteger|)) "\\spad{OMserve(portnum,timeout)} puts AXIOM into server mode on port number \\axiom{portnum}. The parameter \\axiom{timeout} specifies the \\spad{timeout} period for the connection.")) (|OMsend| (((|Void|) (|OpenMathConnection|) (|Any|)) "\\spad{OMsend(c,u)} attempts to output \\axiom{u} on \\axiom{c} in OpenMath.")) (|OMreceive| (((|Any|) (|OpenMathConnection|)) "\\spad{OMreceive(c)} reads an OpenMath object from connection \\axiom{c} and returns the appropriate AXIOM object."))) 
 NIL 
 NIL 
-(-829 R S) 
+(-832 R S) 
 ((|constructor| (NIL "Lifting of maps to one-point completions.")) (|map| (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|) (|OnePointCompletion| |#2|)) "\\spad{map(f, \\spad{r,} i)} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(infinity) = i.") (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|)) "\\spad{map(f, \\spad{r)}} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(infinity) = infinity."))) 
 NIL 
 NIL 
-(-830 R) 
+(-833 R) 
 ((|constructor| (NIL "Completion with infinity. Adjunction of a complex infinity to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one, \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is infinite.")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|infinity| (($) "\\spad{infinity()} returns infinity."))) 
-((-4568 |has| |#1| (-842))) 
-((|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-551))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-842)))) (|HasCategory| |#1| (QUOTE (-21))) (-1929 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-842))))) 
-(-831 R) 
+((-4597 |has| |#1| (-845))) 
+((|HasCategory| |#1| (QUOTE (-845))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-553))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-845)))) (|HasCategory| |#1| (QUOTE (-21))) (-1831 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-845))))) 
+(-834 R) 
 ((|constructor| (NIL "Algebra of ADDITIVE operators over a ring."))) 
-((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) (-4568 . T)) 
+((-4595 |has| |#1| (-173)) (-4594 |has| |#1| (-173)) (-4597 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151)))) 
-(-832) 
+(-835) 
 ((|constructor| (NIL "This package exports tools to create AXIOM Library information databases.")) (|getDatabase| (((|Database| (|IndexCard|)) (|String|)) "\\spad{getDatabase(\"char\")} returns a list of appropriate entries in the browser database. The legal values for \\spad{\"char\"} are \"o\" (operations), \\spad{\"k\"} (constructors), \\spad{\"d\"} (domains), \\spad{\"c\"} (categories) or \\spad{\"p\"} (packages)."))) 
 NIL 
 NIL 
-(-833) 
+(-836) 
 ((|constructor| (NIL "\\axiomType{NumericalOptimizationCategory} is the \\axiom{category} for describing the set of Numerical Optimization \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{optimize}.")) (|numericalOptimization| (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{numericalOptimization(args)} performs the optimization of the function given the strategy or method returned by \\axiomFun{measure}.") (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{numericalOptimization(args)} performs the optimization of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve an optimization problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far.") (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve an optimization problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-834) 
+(-837) 
 ((|constructor| (NIL "\\axiomType{AnnaNumericalOptimizationPackage} is a \\axiom{package} of functions for the \\axiomType{NumericalOptimizationCategory} with \\axiom{measure} and \\axiom{optimize}.")) (|goodnessOfFit| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) "\\spad{goodnessOfFit(lf,start)} is a top level ANNA function to check to goodness of fit of a least squares model \\spadignore{i.e.} the minimization of a set of functions, \\axiom{lf}, of one or more variables without constraints. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then calls the numerical routine \\axiomType{E04YCF} to get estimates of the variance-covariance matrix of the regression coefficients of the least-squares problem. \\blankline It thus returns both the results of the optimization and the variance-covariance calculation. goodnessOfFit(lf,start) is a top level function to iterate over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then checks the goodness of fit of the least squares model.") (((|Result|) (|NumericalOptimizationProblem|)) "\\spad{goodnessOfFit(prob)} is a top level ANNA function to check to goodness of fit of a least squares model as defined within \\axiom{prob}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then calls the numerical routine \\axiomType{E04YCF} to get estimates of the variance-covariance matrix of the regression coefficients of the least-squares problem. \\blankline It thus returns both the results of the optimization and the variance-covariance calculation.")) (|optimize| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) "\\spad{optimize(lf,start)} is a top level ANNA function to minimize a set of functions, \\axiom{lf}, of one or more variables without constraints \\spadignore{i.e.} a least-squares problem. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|))) "\\spad{optimize(f,start)} is a top level ANNA function to minimize a function, \\axiom{f}, of one or more variables without constraints. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) "\\spad{optimize(f,start,lower,upper)} is a top level ANNA function to minimize a function, \\axiom{f}, of one or more variables with simple constraints. The bounds on the variables are defined in \\axiom{lower} and \\axiom{upper}. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|Expression| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) "\\spad{optimize(f,start,lower,cons,upper)} is a top level ANNA function to minimize a function, \\axiom{f}, of one or more variables with the given constraints. \\blankline These constraints may be simple constraints on the variables in which case \\axiom{cons} would be an empty list and the bounds on those variables defined in \\axiom{lower} and \\axiom{upper}, or a mixture of simple, linear and non-linear constraints, where \\axiom{cons} contains the linear and non-linear constraints and the bounds on these are added to \\axiom{upper} and \\axiom{lower}. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|NumericalOptimizationProblem|)) "\\spad{optimize(prob)} is a top level ANNA function to minimize a function or a set of functions with any constraints as defined within \\axiom{prob}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|NumericalOptimizationProblem|) (|RoutinesTable|)) "\\spad{optimize(prob,routines)} is a top level ANNA function to minimize a function or a set of functions with any constraints as defined within \\axiom{prob}. \\blankline It iterates over the \\axiom{domains} listed in \\axiom{routines} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical optimization problem defined by \\axiom{prob} by checking various attributes of the functions and calculating a measure of compatibility of each routine to these attributes. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{NumericalOptimizationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical optimization problem defined by \\axiom{prob} by checking various attributes of the functions and calculating a measure of compatibility of each routine to these attributes. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{NumericalOptimizationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information."))) 
 NIL 
 NIL 
-(-835) 
+(-838) 
 ((|constructor| (NIL "\\axiomType{NumericalOptimizationProblem} is a \\axiom{domain} for the representation of Numerical Optimization problems for use by ANNA. \\blankline The representation is a Union of two record types - one for otimization of a single function of one or more variables: \\blankline \\axiomType{Record}(\\br fn:\\axiomType{Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat},\\br lb:\\axiomType{List OrderedCompletion DoubleFloat},\\br cf:\\axiomType{List Expression DoubleFloat},\\br ub:\\axiomType{List OrderedCompletion DoubleFloat}) \\blankline and one for least-squares problems \\spadignore{i.e.} optimization of a set of observations of a data set: \\blankline \\axiomType{Record}(lfn:\\axiomType{List Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat}).")) (|retract| (((|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-836 R S) 
+(-839 R S) 
 ((|constructor| (NIL "Lifting of maps to ordered completions.")) (|map| (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) "\\spad{map(f, \\spad{r,} \\spad{p,} \\spad{m)}} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(plusInfinity) = \\spad{p} and that f(minusInfinity) = \\spad{m.}") (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|)) "\\spad{map(f, \\spad{r)}} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(plusInfinity) = plusInfinity and that f(minusInfinity) = minusInfinity."))) 
 NIL 
 NIL 
-(-837 R) 
+(-840 R) 
 ((|constructor| (NIL "Completion with + and - infinity. Adjunction of two real infinites quantities to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} cannot be so converted.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|whatInfinity| (((|SingleInteger|) $) "\\spad{whatInfinity(x)} returns 0 if \\spad{x} is finite, 1 if \\spad{x} is +infinity, and \\spad{-1} if \\spad{x} is -infinity.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is +infinity or -infinity.")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|minusInfinity| (($) "\\spad{minusInfinity()} returns -infinity.")) (|plusInfinity| (($) "\\spad{plusInfinity()} returns +infinity."))) 
-((-4568 |has| |#1| (-842))) 
-((|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-551))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-842)))) (|HasCategory| |#1| (QUOTE (-21))) (-1929 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-842))))) 
-(-838) 
+((-4597 |has| |#1| (-845))) 
+((|HasCategory| |#1| (QUOTE (-845))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-553))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-845)))) (|HasCategory| |#1| (QUOTE (-21))) (-1831 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-845))))) 
+(-841) 
 ((|constructor| (NIL "Ordered finite sets."))) 
 NIL 
 NIL 
-(-839 -4360 S) 
+(-842 -3020 S) 
 ((|constructor| (NIL "This package provides ordering functions on vectors which are suitable parameters for OrderedDirectProduct.")) (|reverseLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{reverseLex(v1,v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the ordering which is total degree refined by the reverse lexicographic ordering.")) (|totalLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{totalLex(v1,v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the ordering which is total degree refined by lexicographic ordering.")) (|pureLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{pureLex(v1,v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the lexicographic ordering."))) 
 NIL 
 NIL 
-(-840) 
+(-843) 
 ((|constructor| (NIL "Ordered sets which are also monoids, such that multiplication preserves the ordering. \\blankline Axioms\\br \\tab{5}\\spad{x < \\spad{y} \\spad{=>} \\spad{x*z} < y*z}\\br \\tab{5}\\spad{x < \\spad{y} \\spad{=>} \\spad{z*x} < z*y}"))) 
 NIL 
 NIL 
-(-841 S) 
+(-844 S) 
 ((|constructor| (NIL "Ordered sets which are also rings, that is, domains where the ring operations are compatible with the ordering. \\blankline Axiom\\br \\tab{5}\\spad{0<a and \\spad{b<c} \\spad{=>} ab< ac}")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x.}")) (|sign| (((|Integer|) $) "\\spad{sign(x)} is 1 if \\spad{x} is positive, \\spad{-1} if \\spad{x} is negative, 0 if \\spad{x} equals 0.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(x)} tests whether \\spad{x} is strictly less than 0.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(x)} tests whether \\spad{x} is strictly greater than 0."))) 
 NIL 
 NIL 
-(-842) 
+(-845) 
 ((|constructor| (NIL "Ordered sets which are also rings, that is, domains where the ring operations are compatible with the ordering. \\blankline Axiom\\br \\tab{5}\\spad{0<a and \\spad{b<c} \\spad{=>} ab< ac}")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x.}")) (|sign| (((|Integer|) $) "\\spad{sign(x)} is 1 if \\spad{x} is positive, \\spad{-1} if \\spad{x} is negative, 0 if \\spad{x} equals 0.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(x)} tests whether \\spad{x} is strictly less than 0.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(x)} tests whether \\spad{x} is strictly greater than 0."))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-843 S) 
-((|constructor| (NIL "The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, \\spadignore{i.e.} \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}.")) (|min| (($ $ $) "\\spad{min(x,y)} returns the minimum of \\spad{x} and \\spad{y} relative to \"<\".")) (|max| (($ $ $) "\\spad{max(x,y)} returns the maximum of \\spad{x} and \\spad{y} relative to \"<\".")) (<= (((|Boolean|) $ $) "\\spad{x \\spad{<=} \\spad{y}} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x \\spad{>=} \\spad{y}} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > \\spad{y}} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < \\spad{y}} is a strict total ordering on the elements of the set."))) 
+(-846 S) 
+((|constructor| (NIL "The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, that is, \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}.")) (|min| (($ $ $) "\\spad{min(x,y)} returns the minimum of \\spad{x} and \\spad{y} relative to \"<\".")) (|max| (($ $ $) "\\spad{max(x,y)} returns the maximum of \\spad{x} and \\spad{y} relative to \"<\".")) (<= (((|Boolean|) $ $) "\\spad{x \\spad{<=} \\spad{y}} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x \\spad{>=} \\spad{y}} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > \\spad{y}} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < \\spad{y}} is a strict total ordering on the elements of the set."))) 
 NIL 
 NIL 
-(-844) 
-((|constructor| (NIL "The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, \\spadignore{i.e.} \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}.")) (|min| (($ $ $) "\\spad{min(x,y)} returns the minimum of \\spad{x} and \\spad{y} relative to \"<\".")) (|max| (($ $ $) "\\spad{max(x,y)} returns the maximum of \\spad{x} and \\spad{y} relative to \"<\".")) (<= (((|Boolean|) $ $) "\\spad{x \\spad{<=} \\spad{y}} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x \\spad{>=} \\spad{y}} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > \\spad{y}} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < \\spad{y}} is a strict total ordering on the elements of the set."))) 
+(-847) 
+((|constructor| (NIL "The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, that is, \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}.")) (|min| (($ $ $) "\\spad{min(x,y)} returns the minimum of \\spad{x} and \\spad{y} relative to \"<\".")) (|max| (($ $ $) "\\spad{max(x,y)} returns the maximum of \\spad{x} and \\spad{y} relative to \"<\".")) (<= (((|Boolean|) $ $) "\\spad{x \\spad{<=} \\spad{y}} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x \\spad{>=} \\spad{y}} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > \\spad{y}} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < \\spad{y}} is a strict total ordering on the elements of the set."))) 
 NIL 
 NIL 
-(-845 S R) 
+(-848 S R) 
 ((|constructor| (NIL "This is the category of univariate skew polynomials over an Ore coefficient ring. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}. This category is an evolution of the types MonogenicLinearOperator, OppositeMonogenicLinearOperator, and NonCommutativeOperatorDivision")) (|leftLcm| (($ $ $) "\\spad{leftLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = aa*a = bb*b} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using right-division.")) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{rightExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = \\spad{c} * a + \\spad{d} * \\spad{b} = rightGcd(a, b)}.")) (|rightGcd| (($ $ $) "\\spad{rightGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using right-division.")) (|rightExactQuotient| (((|Union| $ "failed") $ $) "\\spad{rightExactQuotient(a,b)} computes the value \\spad{q}, if it exists such that \\spad{a = q*b}.")) (|rightRemainder| (($ $ $) "\\spad{rightRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|rightQuotient| (($ $ $) "\\spad{rightQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{rightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division''.")) (|rightLcm| (($ $ $) "\\spad{rightLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{leftExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = a * \\spad{c} + \\spad{b} * \\spad{d} = leftGcd(a, b)}.")) (|leftGcd| (($ $ $) "\\spad{leftGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = g*aa}} \\indented{3}{\\spad{b = g*bb}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| $ "failed") $ $) "\\spad{leftExactQuotient(a,b)} computes the value \\spad{q}, if it exists, \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| (($ $ $) "\\spad{leftRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| (($ $ $) "\\spad{leftQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{leftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''.")) (|primitivePart| (($ $) "\\spad{primitivePart(l)} returns \\spad{l0} such that \\spad{l = a * \\spad{l0}} for some a in \\spad{R,} and \\spad{content(l0) = 1}.")) (|content| ((|#2| $) "\\spad{content(l)} returns the \\spad{gcd} of all the coefficients of \\spad{l.}")) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicRightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division''.")) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicLeftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division''.")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(l, a)} returns the exact quotient of \\spad{l} by a, returning \\axiom{\"failed\"} if this is not possible.")) (|apply| ((|#2| $ |#2| |#2|) "\\spad{apply(p, \\spad{c,} \\spad{m)}} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = \\spad{c} sigma(m) + delta(m)}.")) (|coefficients| (((|List| |#2|) $) "\\spad{coefficients(l)} returns the list of all the nonzero coefficients of \\spad{l.}")) (|monomial| (($ |#2| (|NonNegativeInteger|)) "\\spad{monomial(c,k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator, \\spad{monomial(1,1)}.")) (|coefficient| ((|#2| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\spad{^=} 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173)))) 
-(-846 R) 
+((|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173)))) 
+(-849 R) 
 ((|constructor| (NIL "This is the category of univariate skew polynomials over an Ore coefficient ring. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}. This category is an evolution of the types MonogenicLinearOperator, OppositeMonogenicLinearOperator, and NonCommutativeOperatorDivision")) (|leftLcm| (($ $ $) "\\spad{leftLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = aa*a = bb*b} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using right-division.")) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{rightExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = \\spad{c} * a + \\spad{d} * \\spad{b} = rightGcd(a, b)}.")) (|rightGcd| (($ $ $) "\\spad{rightGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using right-division.")) (|rightExactQuotient| (((|Union| $ "failed") $ $) "\\spad{rightExactQuotient(a,b)} computes the value \\spad{q}, if it exists such that \\spad{a = q*b}.")) (|rightRemainder| (($ $ $) "\\spad{rightRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|rightQuotient| (($ $ $) "\\spad{rightQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{rightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division''.")) (|rightLcm| (($ $ $) "\\spad{rightLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{leftExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = a * \\spad{c} + \\spad{b} * \\spad{d} = leftGcd(a, b)}.")) (|leftGcd| (($ $ $) "\\spad{leftGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = g*aa}} \\indented{3}{\\spad{b = g*bb}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| $ "failed") $ $) "\\spad{leftExactQuotient(a,b)} computes the value \\spad{q}, if it exists, \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| (($ $ $) "\\spad{leftRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| (($ $ $) "\\spad{leftQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{leftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''.")) (|primitivePart| (($ $) "\\spad{primitivePart(l)} returns \\spad{l0} such that \\spad{l = a * \\spad{l0}} for some a in \\spad{R,} and \\spad{content(l0) = 1}.")) (|content| ((|#1| $) "\\spad{content(l)} returns the \\spad{gcd} of all the coefficients of \\spad{l.}")) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicRightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division''.")) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicLeftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division''.")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(l, a)} returns the exact quotient of \\spad{l} by a, returning \\axiom{\"failed\"} if this is not possible.")) (|apply| ((|#1| $ |#1| |#1|) "\\spad{apply(p, \\spad{c,} \\spad{m)}} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = \\spad{c} sigma(m) + delta(m)}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(l)} returns the list of all the nonzero coefficients of \\spad{l.}")) (|monomial| (($ |#1| (|NonNegativeInteger|)) "\\spad{monomial(c,k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator, \\spad{monomial(1,1)}.")) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\spad{^=} 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}"))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-847 R C) 
+(-850 R C) 
 ((|constructor| (NIL "\\spad{UnivariateSkewPolynomialCategoryOps} provides products and divisions of univariate skew polynomials.")) (|rightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{rightDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division''. \\spad{\\sigma} is the morphism to use.")) (|leftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{leftDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''. \\spad{\\sigma} is the morphism to use.")) (|monicRightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{monicRightDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division''. \\spad{\\sigma} is the morphism to use.")) (|monicLeftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{monicLeftDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division''. \\spad{\\sigma} is the morphism to use.")) (|apply| ((|#1| |#2| |#1| |#1| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{apply(p, \\spad{c,} \\spad{m,} sigma, delta)} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = \\spad{c} sigma(m) + delta(m)}.")) (|times| ((|#2| |#2| |#2| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{times(p, \\spad{q,} sigma, delta)} returns \\spad{p * \\spad{q}.} \\spad{\\sigma} and \\spad{\\delta} are the maps to use."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) 
-(-848 R |sigma| -2716) 
+((|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) 
+(-851 R |sigma| -2410) 
 ((|constructor| (NIL "This is the domain of sparse univariate skew polynomials over an Ore coefficient field. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}.")) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) "\\spad{outputForm(p, \\spad{x)}} returns the output form of \\spad{p} using \\spad{x} for the otherwise anonymous variable."))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-849 |x| R |sigma| -2716) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-367)))) 
+(-852 |x| R |sigma| -2410) 
 ((|constructor| (NIL "This is the domain of univariate skew polynomials over an Ore coefficient field in a named variable. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}.")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} returns \\spad{x} as a skew-polynomial."))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-366)))) 
-(-850 R) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-367)))) 
+(-853 R) 
 ((|constructor| (NIL "This package provides orthogonal polynomials as functions on a ring.")) (|legendreP| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{legendreP(n,x)} is the \\spad{n}-th Legendre polynomial, \\spad{P[n](x)}. These are defined by \\spad{1/sqrt(1-2*x*t+t**2) = sum(P[n](x)*t**n, \\spad{n} = 0..)}.")) (|laguerreL| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\spad{laguerreL(m,n,x)} is the associated Laguerre polynomial, \\spad{L<m>[n](x)}. This is the \\spad{m}-th derivative of \\spad{L[n](x)}.") ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{laguerreL(n,x)} is the \\spad{n}-th Laguerre polynomial, \\spad{L[n](x)}. These are defined by \\spad{exp(-t*x/(1-t))/(1-t) = sum(L[n](x)*t**n/n!, \\spad{n} = 0..)}.")) (|hermiteH| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{hermiteH(n,x)} is the \\spad{n}-th Hermite polynomial, \\spad{H[n](x)}. These are defined by \\spad{exp(2*t*x-t**2) = sum(H[n](x)*t**n/n!, \\spad{n} = 0..)}.")) (|chebyshevU| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{chebyshevU(n,x)} is the \\spad{n}-th Chebyshev polynomial of the second kind, \\spad{U[n](x)}. These are defined by \\spad{1/(1-2*t*x+t**2) = sum(T[n](x) *t**n, \\spad{n} = 0..)}.")) (|chebyshevT| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{chebyshevT(n,x)} is the \\spad{n}-th Chebyshev polynomial of the first kind, \\spad{T[n](x)}. These are defined by \\spad{(1-t*x)/(1-2*t*x+t**2) = sum(T[n](x) *t**n, \\spad{n} = 0..)}."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
-(-851) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571)))))) 
+(-854) 
 ((|constructor| (NIL "A domain used in order to take the free R-module on the Integers I. This is actually the forgetful functor from OrderedRings to OrderedSets applied to \\spad{I}")) (|value| (((|Integer|) $) "\\spad{value(x)} returns the integer associated with \\spad{x}")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} returns the element corresponding to \\spad{i}"))) 
 NIL 
 NIL 
-(-852) 
+(-855) 
 ((|constructor| (NIL "This domain is used to create and manipulate mathematical expressions for output. It is intended to provide an insulating layer between the expression rendering software (\\spadignore{e.g.} TeX, or Script) and the output coercions in the various domains.")) (SEGMENT (($ $) "\\spad{SEGMENT(x)} creates the prefix form: \\spad{x..}.") (($ $ $) "\\spad{SEGMENT(x,y)} creates the infix form: \\spad{x..y}.")) (|not| (($ $) "\\spad{not \\spad{f}} creates the equivalent prefix form.")) (|or| (($ $ $) "\\spad{f or \\spad{g}} creates the equivalent infix form.")) (|and| (($ $ $) "\\spad{f and \\spad{g}} creates the equivalent infix form.")) (|exquo| (($ $ $) "\\spad{exquo(f,g)} creates the equivalent infix form.")) (|quo| (($ $ $) "\\spad{f quo \\spad{g}} creates the equivalent infix form.")) (|rem| (($ $ $) "\\spad{f rem \\spad{g}} creates the equivalent infix form.")) (|div| (($ $ $) "\\spad{f div \\spad{g}} creates the equivalent infix form.")) (** (($ $ $) "\\spad{f \\spad{**} \\spad{g}} creates the equivalent infix form.")) (/ (($ $ $) "\\spad{f / \\spad{g}} creates the equivalent infix form.")) (* (($ $ $) "\\spad{f * \\spad{g}} creates the equivalent infix form.")) (- (($ $) "\\spad{- \\spad{f}} creates the equivalent prefix form.") (($ $ $) "\\spad{f - \\spad{g}} creates the equivalent infix form.")) (+ (($ $ $) "\\spad{f + \\spad{g}} creates the equivalent infix form.")) (>= (($ $ $) "\\spad{f \\spad{>=} \\spad{g}} creates the equivalent infix form.")) (<= (($ $ $) "\\spad{f \\spad{<=} \\spad{g}} creates the equivalent infix form.")) (> (($ $ $) "\\spad{f > \\spad{g}} creates the equivalent infix form.")) (< (($ $ $) "\\spad{f < \\spad{g}} creates the equivalent infix form.")) (^= (($ $ $) "\\spad{f \\spad{^=} \\spad{g}} creates the equivalent infix form.")) (= (($ $ $) "\\spad{f = \\spad{g}} creates the equivalent infix form.")) (|blankSeparate| (($ (|List| $)) "\\spad{blankSeparate(l)} creates the form separating the elements of \\spad{l} by blanks.")) (|semicolonSeparate| (($ (|List| $)) "\\spad{semicolonSeparate(l)} creates the form separating the elements of \\spad{l} by semicolons.")) (|commaSeparate| (($ (|List| $)) "\\spad{commaSeparate(l)} creates the form separating the elements of \\spad{l} by commas.")) (|pile| (($ (|List| $)) "\\spad{pile(l)} creates the form consisting of the elements of \\spad{l} which displays as a pile, \\spadignore{i.e.} the elements begin on a new line and are indented right to the same margin.")) (|paren| (($ (|List| $)) "\\spad{paren(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in parentheses.") (($ $) "\\spad{paren(f)} creates the form enclosing \\spad{f} in parentheses.")) (|bracket| (($ (|List| $)) "\\spad{bracket(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in square brackets.") (($ $) "\\spad{bracket(f)} creates the form enclosing \\spad{f} in square brackets.")) (|brace| (($ (|List| $)) "\\spad{brace(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in curly brackets.") (($ $) "\\spad{brace(f)} creates the form enclosing \\spad{f} in braces (curly brackets).")) (|int| (($ $ $ $) "\\spad{int(expr,lowerlimit,upperlimit)} creates the form prefixing \\spad{expr} by an integral sign with both a \\spad{lowerlimit} and upperlimit.") (($ $ $) "\\spad{int(expr,lowerlimit)} creates the form prefixing \\spad{expr} by an integral sign with a lowerlimit.") (($ $) "\\spad{int(expr)} creates the form prefixing \\spad{expr} with an integral sign.")) (|prod| (($ $ $ $) "\\spad{prod(expr,lowerlimit,upperlimit)} creates the form prefixing \\spad{expr} by a capital \\spad{pi} with both a \\spad{lowerlimit} and upperlimit.") (($ $ $) "\\spad{prod(expr,lowerlimit)} creates the form prefixing \\spad{expr} by a capital \\spad{pi} with a lowerlimit.") (($ $) "\\spad{prod(expr)} creates the form prefixing \\spad{expr} by a capital pi.")) (|sum| (($ $ $ $) "\\spad{sum(expr,lowerlimit,upperlimit)} creates the form prefixing \\spad{expr} by a capital sigma with both a \\spad{lowerlimit} and upperlimit.") (($ $ $) "\\spad{sum(expr,lowerlimit)} creates the form prefixing \\spad{expr} by a capital sigma with a lowerlimit.") (($ $) "\\spad{sum(expr)} creates the form prefixing \\spad{expr} by a capital sigma.")) (|overlabel| (($ $ $) "\\spad{overlabel(x,f)} creates the form \\spad{f} with \\spad{\"x} overbar\" over the top.")) (|overbar| (($ $) "\\spad{overbar(f)} creates the form \\spad{f} with an overbar.")) (|prime| (($ $ (|NonNegativeInteger|)) "\\spad{prime(f,n)} creates the form \\spad{f} followed by \\spad{n} primes.") (($ $) "\\spad{prime(f)} creates the form \\spad{f} followed by a suffix prime (single quote).")) (|dot| (($ $ (|NonNegativeInteger|)) "\\spad{dot(f,n)} creates the form \\spad{f} with \\spad{n} dots overhead.") (($ $) "\\spad{dot(f)} creates the form with a one dot overhead.")) (|quote| (($ $) "\\spad{quote(f)} creates the form \\spad{f} with a prefix quote.")) (|supersub| (($ $ (|List| $)) "\\spad{supersub(a,[sub1,super1,sub2,super2,...])} creates a form with each subscript aligned under each superscript.")) (|scripts| (($ $ (|List| $)) "\\spad{scripts(f, [sub, super, presuper, presub])} \\indented{1}{creates a form for \\spad{f} with scripts on all 4 corners.}")) (|presuper| (($ $ $) "\\spad{presuper(f,n)} creates a form for \\spad{f} presuperscripted by \\spad{n.}")) (|presub| (($ $ $) "\\spad{presub(f,n)} creates a form for \\spad{f} presubscripted by \\spad{n.}")) (|super| (($ $ $) "\\spad{super(f,n)} creates a form for \\spad{f} superscripted by \\spad{n.}")) (|sub| (($ $ $) "\\spad{sub(f,n)} creates a form for \\spad{f} subscripted by \\spad{n.}")) (|binomial| (($ $ $) "\\spad{binomial(n,m)} creates a form for the binomial coefficient of \\spad{n} and \\spad{m.}")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(f,n)} creates a form for the \\spad{n}th derivative of \\spad{f,} \\spadignore{e.g.} \\spad{f'}, \\spad{f''}, \\spad{f'''}, \\spad{\"f} super \\spad{iv}\".")) (|rarrow| (($ $ $) "\\spad{rarrow(f,g)} creates a form for the mapping \\spad{f \\spad{->} \\spad{g}.}")) (|assign| (($ $ $) "\\spad{assign(f,g)} creates a form for the assignment \\spad{f \\spad{:=} \\spad{g}.}")) (|slash| (($ $ $) "\\spad{slash(f,g)} creates a form for the horizontal fraction of \\spad{f} over \\spad{g.}")) (|over| (($ $ $) "\\spad{over(f,g)} creates a form for the vertical fraction of \\spad{f} over \\spad{g.}")) (|root| (($ $ $) "\\spad{root(f,n)} creates a form for the \\spad{n}th root of form \\spad{f.}") (($ $) "\\spad{root(f)} creates a form for the square root of form \\spad{f.}")) (|zag| (($ $ $) "\\spad{zag(f,g)} creates a form for the continued fraction form for \\spad{f} over \\spad{g.}")) (|matrix| (($ (|List| (|List| $))) "\\spad{matrix(llf)} makes \\spad{llf} (a list of lists of forms) into a form which displays as a matrix.")) (|box| (($ $) "\\spad{box(f)} encloses \\spad{f} in a box.")) (|label| (($ $ $) "\\spad{label(n,f)} gives form \\spad{f} an equation label \\spad{n.}")) (|string| (($ $) "\\spad{string(f)} creates \\spad{f} with string quotes.")) (|elt| (($ $ (|List| $)) "\\spad{elt(op,l)} creates a form for application of \\spad{op} to list of arguments \\spad{l.}")) (|infix?| (((|Boolean|) $) "\\spad{infix?(op)} returns \\spad{true} if \\spad{op} is an infix operator, and \\spad{false} otherwise.")) (|postfix| (($ $ $) "\\spad{postfix(op, a)} creates a form which prints as: a op.")) (|infix| (($ $ $ $) "\\spad{infix(op, a, \\spad{b)}} creates a form which prints as: a \\spad{op} \\spad{b.}") (($ $ (|List| $)) "\\spad{infix(f,l)} creates a form depicting the n-ary application of infix operation \\spad{f} to a tuple of arguments \\spad{l.}")) (|prefix| (($ $ (|List| $)) "\\spad{prefix(f,l)} creates a form depicting the n-ary prefix application of \\spad{f} to a tuple of arguments given by list \\spad{l.}")) (|vconcat| (($ (|List| $)) "\\spad{vconcat(u)} vertically concatenates all forms in list u.") (($ $ $) "\\spad{vconcat(f,g)} vertically concatenates forms \\spad{f} and \\spad{g.}")) (|hconcat| (($ (|List| $)) "\\spad{hconcat(u)} horizontally concatenates all forms in list u.") (($ $ $) "\\spad{hconcat(f,g)} horizontally concatenate forms \\spad{f} and \\spad{g.}")) (|center| (($ $) "\\spad{center(f)} centers form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{center(f,n)} centers form \\spad{f} within space of width \\spad{n.}")) (|right| (($ $) "\\spad{right(f)} right-justifies form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{right(f,n)} right-justifies form \\spad{f} within space of width \\spad{n.}")) (|left| (($ $) "\\spad{left(f)} left-justifies form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{left(f,n)} left-justifies form \\spad{f} within space of width \\spad{n.}")) (|rspace| (($ (|Integer|) (|Integer|)) "\\spad{rspace(n,m)} creates rectangular white space, \\spad{n} wide by \\spad{m} high.")) (|vspace| (($ (|Integer|)) "\\spad{vspace(n)} creates white space of height \\spad{n.}")) (|hspace| (($ (|Integer|)) "\\spad{hspace(n)} creates white space of width \\spad{n.}")) (|superHeight| (((|Integer|) $) "\\spad{superHeight(f)} returns the height of form \\spad{f} above the base line.")) (|subHeight| (((|Integer|) $) "\\spad{subHeight(f)} returns the height of form \\spad{f} below the base line.")) (|height| (((|Integer|)) "\\spad{height()} returns the height of the display area (an integer).") (((|Integer|) $) "\\spad{height(f)} returns the height of form \\spad{f} (an integer).")) (|width| (((|Integer|)) "\\spad{width()} returns the width of the display area (an integer).") (((|Integer|) $) "\\spad{width(f)} returns the width of form \\spad{f} (an integer).")) (|empty| (($) "\\spad{empty()} creates an empty form.")) (|outputForm| (($ (|DoubleFloat|)) "\\spad{outputForm(sf)} creates an form for small float \\spad{sf.}") (($ (|String|)) "\\spad{outputForm(s)} creates an form for string \\spad{s.}") (($ (|Symbol|)) "\\spad{outputForm(s)} creates an form for symbol \\spad{s.}") (($ (|Integer|)) "\\spad{outputForm(n)} creates an form for integer \\spad{n.}")) (|messagePrint| (((|Void|) (|String|)) "\\spad{messagePrint(s)} prints \\spad{s} without string quotes. Note: \\spad{messagePrint(s)} is equivalent to \\spad{print message(s)}.")) (|message| (($ (|String|)) "\\spad{message(s)} creates an form with no string quotes from string \\spad{s.}")) (|print| (((|Void|) $) "\\spad{print(u)} prints the form u."))) 
 NIL 
 NIL 
-(-853) 
+(-856) 
 ((|constructor| (NIL "OutPackage allows pretty-printing from programs.")) (|outputList| (((|Void|) (|List| (|Any|))) "\\spad{outputList(l)} displays the concatenated components of the list \\spad{l} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}; quotes are stripped from strings.")) (|output| (((|Void|) (|String|) (|OutputForm|)) "\\spad{output(s,x)} displays the string \\spad{s} followed by the form \\spad{x} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}.") (((|Void|) (|OutputForm|)) "\\spad{output(x)} displays the output form \\spad{x} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}.") (((|Void|) (|String|)) "\\spad{output(s)} displays the string \\spad{s} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}."))) 
 NIL 
 NIL 
-(-854 |VariableList|) 
+(-857 |VariableList|) 
 ((|constructor| (NIL "This domain implements ordered variables")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} returns a member of the variable set or failed"))) 
 NIL 
 NIL 
-(-855 R |vl| |wl| |wtlevel|) 
+(-858 R |vl| |wl| |wtlevel|) 
 ((|constructor| (NIL "This domain represents truncated weighted polynomials over the \"Polynomial\" type. The variables must be specified, as must the weights. The representation is sparse in the sense that only non-zero terms are represented.")) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) "\\spad{changeWeightLevel(n)} This changes the weight level to the new value given: \\spad{NB:} previously calculated terms are not affected")) (/ (((|Union| $ "failed") $ $) "\\spad{x/y} division (only works if minimum weight of divisor is zero, and if \\spad{R} is a Field)")) (|coerce| (($ (|Polynomial| |#1|)) "\\spad{coerce(p)} coerces a Polynomial(R) into Weighted form, applying weights and ignoring terms") (((|Polynomial| |#1|) $) "\\spad{coerce(p)} converts back into a Polynomial(R), ignoring weights"))) 
-((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-856) 
+((-4595 |has| |#1| (-173)) (-4594 |has| |#1| (-173)) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367)))) 
+(-859) 
 ((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfAlgExtOfRationalNumber which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-857 |downLevel|) 
+(-860 |downLevel|) 
 ((|constructor| (NIL "This domain implement dynamic extension over the PseudoAlgebraicClosureOfRationalNumber. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-862) (QUOTE (-151))) (|HasCategory| (-862) (QUOTE (-149))) (|HasCategory| (-862) (QUOTE (-371))) (|HasCategory| (-410 (-569)) (QUOTE (-151))) (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (-1929 (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (|HasCategory| (-862) (QUOTE (-149))) (|HasCategory| (-862) (QUOTE (-371)))) (-1929 (|HasCategory| (-410 (-569)) (QUOTE (-371))) (|HasCategory| (-862) (QUOTE (-371))))) 
-(-858) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-865) (QUOTE (-151))) (|HasCategory| (-865) (QUOTE (-149))) (|HasCategory| (-865) (QUOTE (-373))) (|HasCategory| (-412 (-571)) (QUOTE (-151))) (|HasCategory| (-412 (-571)) (QUOTE (-149))) (|HasCategory| (-412 (-571)) (QUOTE (-373))) (-1831 (|HasCategory| (-412 (-571)) (QUOTE (-149))) (|HasCategory| (-412 (-571)) (QUOTE (-373))) (|HasCategory| (-865) (QUOTE (-149))) (|HasCategory| (-865) (QUOTE (-373)))) (-1831 (|HasCategory| (-412 (-571)) (QUOTE (-373))) (|HasCategory| (-865) (QUOTE (-373))))) 
+(-861) 
 ((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfFiniteField which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-859 K) 
+(-862 K) 
 ((|constructor| (NIL "This domain implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371)))) 
-(-860) 
-((|constructor| (NIL "This category exports the function for domains which implement dynamic extension using the simple notion of tower extensions. \\spad{++} A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions.")) (|previousTower| (($ $) "\\spad{previousTower(a)} returns the previous tower extension over which the element a is defined.")) (|extDegree| (((|PositiveInteger|) $) "\\spad{extDegree(a)} returns the extension degree of the extension tower over which the element is defined.")) (|maxTower| (($ (|List| $)) "\\spad{maxTower(l)} returns the tower in the list having the maximal extension degree over the ground field. It has no meaning if the towers are not related.")) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) "\\spad{distinguishedRootsOf(p,a)} returns a (distinguised) root for each irreducible factor of the polynomial \\spad{p} (factored over the field defined by the element a)."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-373)))) 
+(-863) 
+((|constructor| (NIL "This category exports the function for domains which implement dynamic extension using the simple notion of tower extensions. \\spad{++} A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are coming from a set of related tower extensions.")) (|previousTower| (($ $) "\\spad{previousTower(a)} returns the previous tower extension over which the element a is defined.")) (|extDegree| (((|PositiveInteger|) $) "\\spad{extDegree(a)} returns the extension degree of the extension tower over which the element is defined.")) (|maxTower| (($ (|List| $)) "\\spad{maxTower(l)} returns the tower in the list having the maximal extension degree over the ground field. It has no meaning if the towers are not related.")) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) "\\spad{distinguishedRootsOf(p,a)} returns a (distinguised) root for each irreducible factor of the polynomial \\spad{p} (factored over the field defined by the element a)."))) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-861) 
+(-864) 
 ((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfRationalNumber which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-862) 
+(-865) 
 ((|constructor| (NIL "This domain implements dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-410 (-569)) (QUOTE (-151))) (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (-1929 (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))))) 
-(-863 R PS UP) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-412 (-571)) (QUOTE (-151))) (|HasCategory| (-412 (-571)) (QUOTE (-149))) (|HasCategory| (-412 (-571)) (QUOTE (-373))) (-1831 (|HasCategory| (-412 (-571)) (QUOTE (-149))) (|HasCategory| (-412 (-571)) (QUOTE (-373))))) 
+(-866 R PS UP) 
 ((|constructor| (NIL "This package computes reliable Pad&ea. approximants using a generalized Viskovatov continued fraction algorithm.")) (|padecf| (((|Union| (|ContinuedFraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) "\\spad{padecf(nd,dd,ns,ds)} computes the approximant as a continued fraction of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant), \\spad{dd} (denominator degree of approximant), \\spad{ns} (numerator series of function), and \\spad{ds} (denominator series of function).")) (|pade| (((|Union| (|Fraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) "\\spad{pade(nd,dd,ns,ds)} computes the approximant as a quotient of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant), \\spad{dd} (denominator degree of approximant), \\spad{ns} (numerator series of function), and \\spad{ds} (denominator series of function)."))) 
 NIL 
 NIL 
-(-864 R |x| |pt|) 
+(-867 R |x| |pt|) 
 ((|constructor| (NIL "This package computes reliable Pad&ea. approximants using a generalized Viskovatov continued fraction algorithm.")) (|pade| (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) "\\spad{pade(nd,dd,s)} computes the quotient of polynomials (if it exists) with numerator degree at most \\spad{nd} and denominator degree at most \\spad{dd} which matches the series \\spad{s} to order \\spad{nd + dd}.") (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) "\\spad{pade(nd,dd,ns,ds)} computes the approximant as a quotient of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant), \\spad{dd} (denominator degree of approximant), \\spad{ns} (numerator series of function), and \\spad{ds} (denominator series of function)."))) 
 NIL 
 NIL 
-(-865 |p|) 
+(-868 |p|) 
 ((|constructor| (NIL "This is the category of stream-based representations of the p-adic integers.")) (|root| (($ (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{root(f,a)} returns a root of the polynomial \\spad{f}. Argument \\spad{a} must be a root of \\spad{f} \\spad{(mod p)}.")) (|sqrt| (($ $ (|Integer|)) "\\spad{sqrt(b,a)} returns a square root of \\spad{b.} Argument \\spad{a} is a square root of \\spad{b} \\spad{(mod p)}.")) (|approximate| (((|Integer|) $ (|Integer|)) "\\spad{approximate(x,n)} returns an integer \\spad{y} such that \\spad{y = \\spad{x} (mod p^n)} when \\spad{n} is positive, and 0 otherwise.")) (|quotientByP| (($ $) "\\spad{quotientByP(x)} returns \\spad{b,} where \\spad{x = a + \\spad{b} \\spad{p}.}")) (|moduloP| (((|Integer|) $) "\\spad{modulo(x)} returns a, where \\spad{x = a + \\spad{b} \\spad{p}.}")) (|modulus| (((|Integer|)) "\\spad{modulus()} returns the value of \\spad{p.}")) (|complete| (($ $) "\\spad{complete(x)} forces the computation of all digits.")) (|extend| (($ $ (|Integer|)) "\\spad{extend(x,n)} forces the computation of digits up to order \\spad{n.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(x)} returns the exponent of the highest power of \\spad{p} dividing \\spad{x.}")) (|digits| (((|Stream| (|Integer|)) $) "\\spad{digits(x)} returns a stream of p-adic digits of \\spad{x.}"))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-866 |p|) 
+(-869 |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Zp:} p-adic numbers are represented as sum(i = 0.., a[i] * p^i), where the a[i] lie in 0,1,...,(p - 1)."))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-867 |p|) 
+(-870 |p|) 
 ((|constructor| (NIL "Stream-based implementation of \\spad{Qp:} numbers are represented as sum(i = k.., a[i] * p^i) where the a[i] lie in 0,1,...,(p - 1)."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-866 |#1|) (QUOTE (-906))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-866 |#1|) (QUOTE (-149))) (|HasCategory| (-866 |#1|) (QUOTE (-151))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-866 |#1|) (QUOTE (-1023))) (|HasCategory| (-866 |#1|) (QUOTE (-817))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-866 |#1|) (QUOTE (-1139))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-866 |#1|) (QUOTE (-226))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -866) (|devaluate| |#1|)))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -304) (LIST (QUOTE -866) (|devaluate| |#1|)))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -282) (LIST (QUOTE -866) (|devaluate| |#1|)) (LIST (QUOTE -866) (|devaluate| |#1|)))) (|HasCategory| (-866 |#1|) (QUOTE (-302))) (|HasCategory| (-866 |#1|) (QUOTE (-551))) (|HasCategory| (-866 |#1|) (QUOTE (-844))) (-1929 (|HasCategory| (-866 |#1|) (QUOTE (-817))) (|HasCategory| (-866 |#1|) (QUOTE (-844)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-866 |#1|) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-866 |#1|) (QUOTE (-906)))) (|HasCategory| (-866 |#1|) (QUOTE (-149))))) 
-(-868 |p| PADIC) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-869 |#1|) (QUOTE (-909))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| (-869 |#1|) (QUOTE (-149))) (|HasCategory| (-869 |#1|) (QUOTE (-151))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-869 |#1|) (QUOTE (-1027))) (|HasCategory| (-869 |#1|) (QUOTE (-820))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| (-869 |#1|) (QUOTE (-1143))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| (-869 |#1|) (QUOTE (-226))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -526) (QUOTE (-1169)) (LIST (QUOTE -869) (|devaluate| |#1|)))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -304) (LIST (QUOTE -869) (|devaluate| |#1|)))) (|HasCategory| (-869 |#1|) (LIST (QUOTE -282) (LIST (QUOTE -869) (|devaluate| |#1|)) (LIST (QUOTE -869) (|devaluate| |#1|)))) (|HasCategory| (-869 |#1|) (QUOTE (-302))) (|HasCategory| (-869 |#1|) (QUOTE (-553))) (|HasCategory| (-869 |#1|) (QUOTE (-847))) (-1831 (|HasCategory| (-869 |#1|) (QUOTE (-820))) (|HasCategory| (-869 |#1|) (QUOTE (-847)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-869 |#1|) (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-869 |#1|) (QUOTE (-909)))) (|HasCategory| (-869 |#1|) (QUOTE (-149))))) 
+(-871 |p| PADIC) 
 ((|constructor| (NIL "This is the category of stream-based representations of \\spad{Qp.}")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,x)} removes up to \\spad{n} leading zeroes from the p-adic rational \\spad{x}.") (($ $) "\\spad{removeZeroes(x)} removes leading zeroes from the representation of the p-adic rational \\spad{x}. A p-adic rational is represented by \\spad{(1)} an exponent and \\spad{(2)} a p-adic integer which may have leading zero digits. When the p-adic integer has a leading zero digit, a 'leading zero' is removed from the p-adic rational as follows: the number is rewritten by increasing the exponent by 1 and dividing the p-adic integer by \\spad{p.} Note: \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f.}")) (|continuedFraction| (((|ContinuedFraction| (|Fraction| (|Integer|))) $) "\\spad{continuedFraction(x)} converts the p-adic rational number \\spad{x} to a continued fraction.")) (|approximate| (((|Fraction| (|Integer|)) $ (|Integer|)) "\\spad{approximate(x,n)} returns a rational number \\spad{y} such that \\spad{y = \\spad{x} (mod p^n)}."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1023))) (|HasCategory| |#2| (QUOTE (-817))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1139))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-844))) (-1929 (|HasCategory| |#2| (QUOTE (-817))) (|HasCategory| |#2| (QUOTE (-844)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-869 K |symb| BLMET) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#2| (QUOTE (-909))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (QUOTE (-1027))) (|HasCategory| |#2| (QUOTE (-820))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1143))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-553))) (|HasCategory| |#2| (QUOTE (-847))) (-1831 (|HasCategory| |#2| (QUOTE (-820))) (|HasCategory| |#2| (QUOTE (-847)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-872 K |symb| BLMET) 
 ((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the L-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the L-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(d, \\spad{n)} returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the L-Polynomial of the curve in constant field extension of degree \\spad{d.}") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the L-Polynomial of the curve.")) (|adjunctionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial defined by setCurve.")) (|intersectionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{intersectionDivisor(pol)} compute the intersection divisor of the form \\spad{pol} with the curve. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(f,pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(f,pl)} evaluate \\spad{f} at the place \\spad{pl.}")) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolateForms(d,n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d.}")) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| (((|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{parametrize(f,pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl.}")) (|singularPoints| (((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|desingTree| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{theCurve returns} the specified polynomial for the package.")) (|rationalPlaces| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| (((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}"))) 
 NIL 
-((|HasCategory| (-859 |#1|) (QUOTE (-371)))) 
-(-870 K |symb| BLMET) 
+((|HasCategory| (-862 |#1|) (QUOTE (-373)))) 
+(-873 K |symb| BLMET) 
 ((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the L-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the L-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(d, \\spad{n)} returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| (|Places| |#1|)) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the L-Polynomial of the curve in constant field extension of degree \\spad{d.}") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the L-Polynomial of the curve.")) (|adjunctionDivisor| (((|Divisor| (|Places| |#1|))) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial set with the function setCurve.")) (|intersectionDivisor| (((|Divisor| (|Places| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{intersectionDivisor(pol)} compute the intersection divisor (the Cartier divisor) of the form \\spad{pol} with the curve. If some intersection points lie in an extension of the ground field, an error message is issued specifying the extension degree needed to find all the intersection points. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) "\\spad{evalIfCan(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{evalIfCan(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{evalIfCan(f,pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) "\\spad{eval(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{eval(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{eval(f,pl)} evaluate \\spad{f} at the place \\spad{pl.}")) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolateForms(d,n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d.}")) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|))) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| (((|NeitherSparseOrDensePowerSeries| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{parametrize(f,pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl.}")) (|singularPoints| (((|List| (|ProjectivePlane| |#1|))) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|desingTree| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{theCurve returns} the specified polynomial for the package.")) (|rationalPlaces| (((|List| (|Places| |#1|))) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| (((|ProjectivePlane| |#1|) (|Places| |#1|)) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-371)))) 
-(-871) 
+((|HasCategory| |#1| (QUOTE (-373)))) 
+(-874) 
 ((|constructor| (NIL "This domain describes four groups of color shades (palettes).")) (|coerce| (($ (|Color|)) "\\spad{coerce(c)} sets the average shade for the palette to that of the indicated color \\spad{c.}")) (|shade| (((|Integer|) $) "\\spad{shade(p)} returns the shade index of the indicated palette \\spad{p.}")) (|hue| (((|Color|) $) "\\spad{hue(p)} returns the hue field of the indicated palette \\spad{p.}")) (|light| (($ (|Color|)) "\\spad{light(c)} sets the shade of a hue, \\spad{c,} to it's highest value.")) (|pastel| (($ (|Color|)) "\\spad{pastel(c)} sets the shade of a hue, \\spad{c,} above bright, but below light.")) (|bright| (($ (|Color|)) "\\spad{bright(c)} sets the shade of a hue, \\spad{c,} above dim, but below pastel.")) (|dim| (($ (|Color|)) "\\spad{dim(c)} sets the shade of a hue, \\spad{c,} above dark, but below bright.")) (|dark| (($ (|Color|)) "\\spad{dark(c)} sets the shade of the indicated hue of \\spad{c} to it's lowest value."))) 
 NIL 
 NIL 
-(-872) 
+(-875) 
 ((|constructor| (NIL "This package provides a coerce from polynomials over algebraic numbers to \\spadtype{Expression AlgebraicNumber}.")) (|coerce| (((|Expression| (|Integer|)) (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) "\\spad{coerce(rf)} converts \\spad{rf}, a fraction of polynomial \\spad{p} with algebraic number coefficients to \\spadtype{Expression Integer}.") (((|Expression| (|Integer|)) (|Polynomial| (|AlgebraicNumber|))) "\\spad{coerce(p)} converts the polynomial \\spad{p} with algebraic number coefficients to \\spadtype{Expression Integer}."))) 
 NIL 
 NIL 
-(-873 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
+(-876 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|parametrize| ((|#6| |#3| |#7| (|Integer|)) "\\spad{parametrize(f,pl,n)} returns t**n * parametrize(f,p).") ((|#6| |#3| |#3| |#7|) "\\spad{parametrize(f,g,pl)} returns the local parametrization of the rational function \\spad{f/g} at the place \\spad{pl.} Note that local parametrization of the place must have first been compute and set. For simple point on a curve, this done with \\spad{pointToPlace}. The local parametrization places corresponding to a leaf in a desingularization tree are compute at the moment of their \"creation\". (See package \\spad{DesingTreePackage}.") ((|#6| |#3| |#7|) "\\spad{parametrize(f,pl)} returns the local parametrization of the polynomial function \\spad{f} at the place \\spad{pl.} Note that local parametrization of the place must have first been compute and set. For simple point on a curve, this done with \\spad{pointToPlace}. The local parametrization places corresponding to a leaf in a desingularization tree are compute at the moment of their \"creation\". (See package \\spad{DesingTreePackage}."))) 
 NIL 
 NIL 
-(-874 CF1 CF2) 
+(-877 CF1 CF2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|ParametricPlaneCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricPlaneCurve| |#1|)) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-875 |ComponentFunction|) 
+(-878 |ComponentFunction|) 
 ((|constructor| (NIL "ParametricPlaneCurve is used for plotting parametric plane curves in the affine plane.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(c,i)} returns a coordinate function for \\spad{c} using 1-based indexing according to i. This indicates what the function for the coordinate component \\spad{i} of the plane curve is.")) (|curve| (($ |#1| |#1|) "\\spad{curve(c1,c2)} creates a plane curve from 2 component functions \\spad{c1} and \\spad{c2}."))) 
 NIL 
 NIL 
-(-876 CF1 CF2) 
+(-879 CF1 CF2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|ParametricSpaceCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricSpaceCurve| |#1|)) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-877 |ComponentFunction|) 
+(-880 |ComponentFunction|) 
 ((|constructor| (NIL "ParametricSpaceCurve is used for plotting parametric space curves in affine 3-space.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(c,i)} returns a coordinate function of \\spad{c} using 1-based indexing according to i. This indicates what the function for the coordinate component, i, of the space curve is.")) (|curve| (($ |#1| |#1| |#1|) "\\spad{curve(c1,c2,c3)} creates a space curve from 3 component functions \\spad{c1}, \\spad{c2}, and \\spad{c3}."))) 
 NIL 
 NIL 
-(-878 CF1 CF2) 
+(-881 CF1 CF2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|ParametricSurface| |#2|) (|Mapping| |#2| |#1|) (|ParametricSurface| |#1|)) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-879 |ComponentFunction|) 
+(-882 |ComponentFunction|) 
 ((|constructor| (NIL "ParametricSurface is used for plotting parametric surfaces in affine 3-space.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(s,i)} returns a coordinate function of \\spad{s} using 1-based indexing according to i. This indicates what the function for the coordinate component, i, of the surface is.")) (|surface| (($ |#1| |#1| |#1|) "\\spad{surface(c1,c2,c3)} creates a surface from 3 parametric component functions \\spad{c1}, \\spad{c2}, and \\spad{c3}."))) 
 NIL 
 NIL 
-(-880) 
+(-883) 
 ((|constructor| (NIL "PartitionsAndPermutations contains functions for generating streams of integer partitions, and streams of sequences of integers composed from a multi-set.")) (|permutations| (((|Stream| (|List| (|Integer|))) (|Integer|)) "\\spad{permutations(n)} is the stream of permutations \\indented{1}{formed from \\spad{1,2,3,...,n}.}")) (|sequences| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|))) "\\spad{sequences([l0,l1,l2,..,ln])} is the set of \\indented{1}{all sequences formed from} \\spad{l0} 0's,\\spad{l1} 1's,\\spad{l2} 2's,...,\\spad{ln} n's.") (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{sequences(l1,l2)} is the stream of all sequences that \\indented{1}{can be composed from the multiset defined from} \\indented{1}{two lists of integers \\spad{l1} and l2.} \\indented{1}{For example,the pair \\spad{([1,2,4],[2,3,5])} represents} \\indented{1}{multi-set with 1 \\spad{2}, 2 \\spad{3}'s, and 4 \\spad{5}'s.}")) (|shufflein| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|Stream| (|List| (|Integer|)))) "\\spad{shufflein(l,st)} maps shuffle(l,u) on to all \\indented{1}{members \\spad{u} of \\spad{st,} concatenating the results.}")) (|shuffle| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{shuffle(l1,l2)} forms the stream of all shuffles of \\spad{l1} \\indented{1}{and \\spad{l2,} \\spadignore{i.e.} all sequences that can be formed from} \\indented{1}{merging \\spad{l1} and l2.}")) (|conjugates| (((|Stream| (|List| (|Integer|))) (|Stream| (|List| (|Integer|)))) "\\spad{conjugates(lp)} is the stream of conjugates of a stream \\indented{1}{of partitions lp.}")) (|conjugate| (((|List| (|Integer|)) (|List| (|Integer|))) "\\spad{conjugate(pt)} is the conjugate of the partition \\spad{pt.}")) (|partitions| (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|)) "\\spad{partitions(p,l)} is the stream of all \\indented{1}{partitions whose number of} \\indented{1}{parts and largest part are no greater than \\spad{p} and \\spad{l.}}") (((|Stream| (|List| (|Integer|))) (|Integer|)) "\\spad{partitions(n)} is the stream of all partitions of \\spad{n.}") (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|) (|Integer|)) "\\spad{partitions(p,l,n)} is the stream of partitions \\indented{1}{of \\spad{n} whose number of parts is no greater than \\spad{p}} \\indented{1}{and whose largest part is no greater than \\spad{l.}}"))) 
 NIL 
 NIL 
-(-881 R) 
-((|constructor| (NIL "An object \\spad{S} is Patternable over an object \\spad{R} if \\spad{S} can lift the conversions from \\spad{R} into \\spadtype{Pattern(Integer)} and \\spadtype{Pattern(Float)} to itself."))) 
+(-884 R) 
+((|constructor| (NIL "Category of sets that can be converted to useful patterns An object \\spad{S} is Patternable over an object \\spad{R} if \\spad{S} can lift the conversions from \\spad{R} into \\spadtype{Pattern(Integer)} and \\spadtype{Pattern(Float)} to itself."))) 
 NIL 
 NIL 
-(-882 R S L) 
+(-885 R S L) 
 ((|constructor| (NIL "A PatternMatchListResult is an object internally returned by the pattern matcher when matching on lists. It is either a failed match, or a pair of PatternMatchResult, one for atoms (elements of the list), and one for lists.")) (|lists| (((|PatternMatchResult| |#1| |#3|) $) "\\spad{lists(r)} returns the list of matches that match lists.")) (|atoms| (((|PatternMatchResult| |#1| |#2|) $) "\\spad{atoms(r)} returns the list of matches that match atoms (elements of the lists).")) (|makeResult| (($ (|PatternMatchResult| |#1| |#2|) (|PatternMatchResult| |#1| |#3|)) "\\spad{makeResult(r1,r2)} makes the combined result [r1,r2].")) (|new| (($) "\\spad{new()} returns a new empty match result.")) (|failed| (($) "\\spad{failed()} returns a failed match.")) (|failed?| (((|Boolean|) $) "\\spad{failed?(r)} tests if \\spad{r} is a failed match."))) 
 NIL 
 NIL 
-(-883 S) 
+(-886 S) 
 ((|constructor| (NIL "A set \\spad{R} is PatternMatchable over \\spad{S} if elements of \\spad{R} can be matched to patterns over \\spad{S.}")) (|patternMatch| (((|PatternMatchResult| |#1| $) $ (|Pattern| |#1|) (|PatternMatchResult| |#1| $)) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr. res contains the variables of \\spad{pat} which are already matched and their matches (necessary for recursion). Initially, res is just the result of \\spadfun{new} which is an empty list of matches."))) 
 NIL 
 NIL 
-(-884 |Base| |Subject| |Pat|) 
+(-887 |Base| |Subject| |Pat|) 
 ((|constructor| (NIL "This package provides the top-level pattern macthing functions.")) (|Is| (((|PatternMatchResult| |#1| |#2|) |#2| |#3|) "\\spad{Is(expr, pat)} matches the pattern pat on the expression \\spad{expr} and returns a match of the form \\spad{[v1 = e1,...,vn = en]}; returns an empty match if \\spad{expr} is exactly equal to pat. returns a \\spadfun{failed} match if pat does not match expr.") (((|List| (|Equation| (|Polynomial| |#2|))) |#2| |#3|) "\\spad{Is(expr, pat)} matches the pattern pat on the expression \\spad{expr} and returns a list of matches \\spad{[v1 = e1,...,vn = en]}; returns an empty list if either \\spad{expr} is exactly equal to pat or if pat does not match expr.") (((|List| (|Equation| |#2|)) |#2| |#3|) "\\spad{Is(expr, pat)} matches the pattern pat on the expression \\spad{expr} and returns a list of matches \\spad{[v1 = e1,...,vn = en]}; returns an empty list if either \\spad{expr} is exactly equal to pat or if pat does not match expr.") (((|PatternMatchListResult| |#1| |#2| (|List| |#2|)) (|List| |#2|) |#3|) "\\spad{Is([e1,...,en], pat)} matches the pattern pat on the list of expressions \\spad{[e1,...,en]} and returns the result.")) (|is?| (((|Boolean|) (|List| |#2|) |#3|) "\\spad{is?([e1,...,en], pat)} tests if the list of expressions \\spad{[e1,...,en]} matches the pattern pat.") (((|Boolean|) |#2| |#3|) "\\spad{is?(expr, pat)} tests if the expression \\spad{expr} matches the pattern pat."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165)))) (-12 (-3182 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165))))) (-3182 (|HasCategory| |#2| (QUOTE (-1049))))) (-12 (|HasCategory| |#2| (QUOTE (-1049))) (-3182 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165))))))) 
-(-885 R A B) 
+((|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-1169)))) (-12 (-2931 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-1169))))) (-2931 (|HasCategory| |#2| (QUOTE (-1053))))) (-12 (|HasCategory| |#2| (QUOTE (-1053))) (-2931 (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-1169))))))) 
+(-888 R A B) 
 ((|constructor| (NIL "Lifts maps to pattern matching results.")) (|map| (((|PatternMatchResult| |#1| |#3|) (|Mapping| |#3| |#2|) (|PatternMatchResult| |#1| |#2|)) "\\spad{map(f, [(v1,a1),...,(vn,an)])} returns the matching result [(v1,f(a1)),...,(vn,f(an))]."))) 
 NIL 
 NIL 
-(-886 R S) 
+(-889 R S) 
 ((|constructor| (NIL "A PatternMatchResult is an object internally returned by the pattern matcher; It is either a failed match, or a list of matches of the form (var, expr) meaning that the variable var matches the expression expr.")) (|satisfy?| (((|Union| (|Boolean|) "failed") $ (|Pattern| |#1|)) "\\spad{satisfy?(r, \\spad{p)}} returns \\spad{true} if the matches satisfy the top-level predicate of \\spad{p,} \\spad{false} if they don't, and \"failed\" if not enough variables of \\spad{p} are matched in \\spad{r} to decide.")) (|construct| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|)))) "\\spad{construct([v1,e1],...,[vn,en])} returns the match result containing the matches (v1,e1),...,(vn,en).")) (|destruct| (((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|))) $) "\\spad{destruct(r)} returns the list of matches (var, expr) in \\spad{r.} Error: if \\spad{r} is a failed match.")) (|addMatchRestricted| (($ (|Pattern| |#1|) |#2| $ |#2|) "\\spad{addMatchRestricted(var, expr, \\spad{r,} val)} adds the match (var, expr) in \\spad{r,} provided that \\spad{expr} satisfies the predicates attached to var, that \\spad{var} is not matched to another expression already, and that either \\spad{var} is an optional pattern variable or that \\spad{expr} is not equal to val (usually an identity).")) (|insertMatch| (($ (|Pattern| |#1|) |#2| $) "\\spad{insertMatch(var, expr, \\spad{r)}} adds the match (var, expr) in \\spad{r,} without checking predicates or previous matches for var.")) (|addMatch| (($ (|Pattern| |#1|) |#2| $) "\\spad{addMatch(var, expr, \\spad{r)}} adds the match (var, expr) in \\spad{r,} provided that \\spad{expr} satisfies the predicates attached to var, and that \\spad{var} is not matched to another expression already.")) (|getMatch| (((|Union| |#2| "failed") (|Pattern| |#1|) $) "\\spad{getMatch(var, \\spad{r)}} returns the expression that \\spad{var} matches in the result \\spad{r,} and \"failed\" if \\spad{var} is not matched in \\spad{r.}")) (|union| (($ $ $) "\\spad{union(a, \\spad{b)}} makes the set-union of two match results.")) (|new| (($) "\\spad{new()} returns a new empty match result.")) (|failed| (($) "\\spad{failed()} returns a failed match.")) (|failed?| (((|Boolean|) $) "\\spad{failed?(r)} tests if \\spad{r} is a failed match."))) 
 NIL 
 NIL 
-(-887 R -3712) 
+(-890 R -1544) 
 ((|constructor| (NIL "Utilities for handling patterns")) (|badValues| (((|List| |#2|) (|Pattern| |#1|)) "\\spad{badValues(p)} returns the list of \"bad values\" for \\spad{p;} \\spad{p} is not allowed to match any of its \"bad values\".")) (|addBadValue| (((|Pattern| |#1|) (|Pattern| |#1|) |#2|) "\\spad{addBadValue(p, \\spad{v)}} adds \\spad{v} to the list of \"bad values\" for \\spad{p;} \\spad{p} is not allowed to match any of its \"bad values\".")) (|satisfy?| (((|Boolean|) (|List| |#2|) (|Pattern| |#1|)) "\\spad{satisfy?([v1,...,vn], \\spad{p)}} returns \\spad{f(v1,...,vn)} where \\spad{f} is the top-level predicate attached to \\spad{p.}") (((|Boolean|) |#2| (|Pattern| |#1|)) "\\spad{satisfy?(v, \\spad{p)}} returns f(v) where \\spad{f} is the predicate attached to \\spad{p.}")) (|predicate| (((|Mapping| (|Boolean|) |#2|) (|Pattern| |#1|)) "\\spad{predicate(p)} returns the predicate attached to \\spad{p,} the constant function \\spad{true} if \\spad{p} has no predicates attached to it.")) (|suchThat| (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#2|))) "\\spad{suchThat(p, [a1,...,an], \\spad{f)}} returns a copy of \\spad{p} with the top-level predicate set to \\spad{f(a1,...,an)}.") (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Mapping| (|Boolean|) |#2|))) "\\spad{suchThat(p, [f1,...,fn])} makes a copy of \\spad{p} and adds the predicate \\spad{f1} and \\spad{...} and \\spad{fn} to the copy, which is returned.") (((|Pattern| |#1|) (|Pattern| |#1|) (|Mapping| (|Boolean|) |#2|)) "\\spad{suchThat(p, \\spad{f)}} makes a copy of \\spad{p} and adds the predicate \\spad{f} to the copy, which is returned."))) 
 NIL 
 NIL 
-(-888 R S) 
+(-891 R S) 
 ((|constructor| (NIL "Lifts maps to patterns")) (|map| (((|Pattern| |#2|) (|Mapping| |#2| |#1|) (|Pattern| |#1|)) "\\spad{map(f, \\spad{p)}} applies \\spad{f} to all the leaves of \\spad{p} and returns the result as a pattern over \\spad{S.}"))) 
 NIL 
 NIL 
-(-889 R) 
+(-892 R) 
 ((|constructor| (NIL "Patterns for use by the pattern matcher.")) (|optpair| (((|Union| (|List| $) "failed") (|List| $)) "\\spad{optpair(l)} returns \\spad{l} has the form \\spad{[a, \\spad{b]}} and a is optional, and \"failed\" otherwise.")) (|variables| (((|List| $) $) "\\spad{variables(p)} returns the list of matching variables appearing in \\spad{p.}")) (|getBadValues| (((|List| (|Any|)) $) "\\spad{getBadValues(p)} returns the list of \"bad values\" for \\spad{p.} Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|addBadValue| (($ $ (|Any|)) "\\spad{addBadValue(p, \\spad{v)}} adds \\spad{v} to the list of \"bad values\" for \\spad{p.} Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|resetBadValues| (($ $) "\\spad{resetBadValues(p)} initializes the list of \"bad values\" for \\spad{p} to \\spad{[]}. Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|hasTopPredicate?| (((|Boolean|) $) "\\spad{hasTopPredicate?(p)} tests if \\spad{p} has a top-level predicate.")) (|topPredicate| (((|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|))) $) "\\spad{topPredicate(x)} returns \\spad{[[a1,...,an], \\spad{f]}} where the top-level predicate of \\spad{x} is \\spad{f(a1,...,an)}. Note: \\spad{n} is 0 if \\spad{x} has no top-level predicate.")) (|setTopPredicate| (($ $ (|List| (|Symbol|)) (|Any|)) "\\spad{setTopPredicate(x, [a1,...,an], \\spad{f)}} returns \\spad{x} with the top-level predicate set to \\spad{f(a1,...,an)}.")) (|patternVariable| (($ (|Symbol|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{patternVariable(x, \\spad{c?,} o?, m?)} creates a pattern variable \\spad{x,} which is constant if \\spad{c? = true}, optional if \\spad{o? = true}, and multiple if \\spad{m? = true}.")) (|withPredicates| (($ $ (|List| (|Any|))) "\\spad{withPredicates(p, [p1,...,pn])} makes a copy of \\spad{p} and attaches the predicate \\spad{p1} and \\spad{...} and \\spad{pn} to the copy, which is returned.")) (|setPredicates| (($ $ (|List| (|Any|))) "\\spad{setPredicates(p, [p1,...,pn])} attaches the predicate \\spad{p1} and \\spad{...} and \\spad{pn} to \\spad{p.}")) (|predicates| (((|List| (|Any|)) $) "\\spad{predicates(p)} returns \\spad{[p1,...,pn]} such that the predicate attached to \\spad{p} is \\spad{p1} and \\spad{...} and \\spad{pn.}")) (|hasPredicate?| (((|Boolean|) $) "\\spad{hasPredicate?(p)} tests if \\spad{p} has predicates attached to it.")) (|optional?| (((|Boolean|) $) "\\spad{optional?(p)} tests if \\spad{p} is a single matching variable which can match an identity.")) (|multiple?| (((|Boolean|) $) "\\spad{multiple?(p)} tests if \\spad{p} is a single matching variable allowing list matching or multiple term matching in a sum or product.")) (|generic?| (((|Boolean|) $) "\\spad{generic?(p)} tests if \\spad{p} is a single matching variable.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(p)} tests if \\spad{p} contains no matching variables.")) (|symbol?| (((|Boolean|) $) "\\spad{symbol?(p)} tests if \\spad{p} is a symbol.")) (|quoted?| (((|Boolean|) $) "\\spad{quoted?(p)} tests if \\spad{p} is of the form \\spad{'s} for a symbol \\spad{s.}")) (|inR?| (((|Boolean|) $) "\\spad{inR?(p)} tests if \\spad{p} is an atom (\\spadignore{i.e.} an element of \\spad{R).}")) (|copy| (($ $) "\\spad{copy(p)} returns a recursive copy of \\spad{p.}")) (|convert| (($ (|List| $)) "\\spad{convert([a1,...,an])} returns the pattern \\spad{[a1,...,an]}.")) (|depth| (((|NonNegativeInteger|) $) "\\spad{depth(p)} returns the nesting level of \\spad{p.}")) (/ (($ $ $) "\\spad{a / \\spad{b}} returns the pattern \\spad{a / \\spad{b}.}")) (** (($ $ $) "\\spad{a \\spad{**} \\spad{b}} returns the pattern \\spad{a \\spad{**} \\spad{b}.}") (($ $ (|NonNegativeInteger|)) "\\spad{a \\spad{**} \\spad{n}} returns the pattern \\spad{a \\spad{**} \\spad{n}.}")) (* (($ $ $) "\\spad{a * \\spad{b}} returns the pattern \\spad{a * \\spad{b}.}")) (+ (($ $ $) "\\spad{a + \\spad{b}} returns the pattern \\spad{a + \\spad{b}.}")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op, [a1,...,an])} returns \\spad{op(a1,...,an)}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| $)) "failed") $) "\\spad{isPower(p)} returns \\spad{[a, \\spad{b]}} if \\spad{p = a \\spad{**} \\spad{b},} and \"failed\" otherwise.")) (|isList| (((|Union| (|List| $) "failed") $) "\\spad{isList(p)} returns \\spad{[a1,...,an]} if \\spad{p = [a1,...,an]}, \"failed\" otherwise.")) (|isQuotient| (((|Union| (|Record| (|:| |num| $) (|:| |den| $)) "failed") $) "\\spad{isQuotient(p)} returns \\spad{[a, \\spad{b]}} if \\spad{p = a / \\spad{b},} and \"failed\" otherwise.")) (|isExpt| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[q, \\spad{n]}} if \\spad{n > 0} and \\spad{p = \\spad{q} \\spad{**} \\spad{n},} and \"failed\" otherwise.")) (|isOp| (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| $))) "failed") $) "\\spad{isOp(p)} returns \\spad{[op, [a1,...,an]]} if \\spad{p = op(a1,...,an)}, and \"failed\" otherwise.") (((|Union| (|List| $) "failed") $ (|BasicOperator|)) "\\spad{isOp(p, op)} returns \\spad{[a1,...,an]} if \\spad{p = op(a1,...,an)}, and \"failed\" otherwise.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{n > 1} and \\spad{p = \\spad{a1} * \\spad{...} * an}, and \"failed\" otherwise.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[a1,...,an]} if \\spad{n > 1} \\indented{1}{and \\spad{p = \\spad{a1} + \\spad{...} + an},} and \"failed\" otherwise.")) ((|One|) (($) "1")) ((|Zero|) (($) "0"))) 
 NIL 
 NIL 
-(-890 |VarSet|) 
+(-893 |VarSet|) 
 ((|constructor| (NIL "This domain provides the internal representation of polynomials in non-commutative variables written over the Poincare-Birkhoff-Witt basis. See the \\spadtype{XPBWPolynomial} domain constructor. See Free Lie Algebras by \\spad{C.} Reutenauer (Oxford science publications).")) (|varList| (((|List| |#1|) $) "\\spad{varList([l1]*[l2]*...[ln])} returns the list of variables in the word \\spad{l1*l2*...*ln}.")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?([l1]*[l2]*...[ln])} returns \\spad{true} iff \\spad{n} equals \\spad{1}.")) (|rest| (($ $) "\\spad{rest([l1]*[l2]*...[ln])} returns the list \\spad{l2, .... ln}.")) (|listOfTerms| (((|List| (|LyndonWord| |#1|)) $) "\\spad{listOfTerms([l1]*[l2]*...[ln])} returns the list of words \\spad{l1, \\spad{l2,} .... ln}.")) (|length| (((|NonNegativeInteger|) $) "\\spad{length([l1]*[l2]*...[ln])} returns the length of the word \\spad{l1*l2*...*ln}.")) (|first| (((|LyndonWord| |#1|) $) "\\spad{first([l1]*[l2]*...[ln])} returns the Lyndon word \\spad{l1}.")) (|coerce| (($ |#1|) "\\spad{coerce(v)} return \\spad{v}") (((|OrderedFreeMonoid| |#1|) $) "\\spad{coerce([l1]*[l2]*...[ln])} returns the word \\spad{l1*l2*...*ln}, where \\spad{[l_i]} is the backeted form of the Lyndon word \\spad{l_i}.")) ((|One|) (($) "\\spad{1} returns the empty list."))) 
 NIL 
 NIL 
-(-891 UP R) 
+(-894 UP R) 
 ((|constructor| (NIL "Polynomial composition and decomposition functions\\br If \\spad{f} = \\spad{g} \\spad{o} \\spad{h} then g=leftFactor(f,h) and h=rightFactor(f,g)")) (|compose| ((|#1| |#1| |#1|) "\\spad{compose(p,q)} \\undocumented"))) 
 NIL 
 NIL 
-(-892) 
+(-895) 
 ((|constructor| (NIL "\\axiomType{PartialDifferentialEquationsSolverCategory} is the \\axiom{category} for describing the set of PDE solver \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{PDEsolve}.")) (|PDESolve| (((|Result|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{PDESolve(args)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-893 UP -1647) 
+(-896 UP -3280) 
 ((|constructor| (NIL "Polynomial composition and decomposition functions\\br If \\spad{f} = \\spad{g} \\spad{o} \\spad{h} then g=leftFactor(f,h) and h=rightFactor(f,g)")) (|rightFactorCandidate| ((|#1| |#1| (|NonNegativeInteger|)) "\\spad{rightFactorCandidate(p,n)} \\undocumented")) (|leftFactor| (((|Union| |#1| "failed") |#1| |#1|) "\\spad{leftFactor(p,q)} \\undocumented")) (|decompose| (((|Union| (|Record| (|:| |left| |#1|) (|:| |right| |#1|)) "failed") |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{decompose(up,m,n)} \\undocumented") (((|List| |#1|) |#1|) "\\spad{decompose(up)} \\undocumented"))) 
 NIL 
 NIL 
-(-894) 
+(-897) 
 ((|constructor| (NIL "AnnaPartialDifferentialEquationPackage is an uncompleted package for the interface to NAG PDE routines. It has been realised that a new approach to solving PDEs will need to be created.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical PDE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{PartialDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of PDEs by checking various attributes of the system of PDEs and calculating a measure of compatibility of each routine to these attributes.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical PDE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{PartialDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of PDEs by checking various attributes of the system of PDEs and calculating a measure of compatibility of each routine to these attributes.")) (|solve| (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|)) "\\spad{solve(xmin,ymin,xmax,ymax,ngx,ngy,pde,bounds,st)} is a top level ANNA function to solve numerically a system of partial differential equations. This is defined as a list of coefficients (\\axiom{pde}), a grid (\\axiom{xmin}, \\axiom{ymin}, \\axiom{xmax}, \\axiom{ymax}, \\axiom{ngx}, \\axiom{ngy}) and the boundary values (\\axiom{bounds}). A default value for tolerance is used. There is also a parameter (\\axiom{st}) which should contain the value \"elliptic\" if the PDE is known to be elliptic, or \"unknown\" if it is uncertain. This causes the routine to check whether the PDE is elliptic. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|) (|DoubleFloat|)) "\\spad{solve(xmin,ymin,xmax,ymax,ngx,ngy,pde,bounds,st,tol)} is a top level ANNA function to solve numerically a system of partial differential equations. This is defined as a list of coefficients (\\axiom{pde}), a grid (\\axiom{xmin}, \\axiom{ymin}, \\axiom{xmax}, \\axiom{ymax}, \\axiom{ngx}, \\axiom{ngy}), the boundary values (\\axiom{bounds}) and a tolerance requirement (\\axiom{tol}). There is also a parameter (\\axiom{st}) which should contain the value \"elliptic\" if the PDE is known to be elliptic, or \"unknown\" if it is uncertain. This causes the routine to check whether the PDE is elliptic. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|NumericalPDEProblem|) (|RoutinesTable|)) "\\spad{solve(PDEProblem,routines)} is a top level ANNA function to solve numerically a system of partial differential equations. \\blankline The method used to perform the numerical process will be one of the \\spad{routines} contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|NumericalPDEProblem|)) "\\spad{solve(PDEProblem)} is a top level ANNA function to solve numerically a system of partial differential equations. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}"))) 
 NIL 
 NIL 
-(-895) 
+(-898) 
 ((|constructor| (NIL "\\axiomType{NumericalPDEProblem} is a \\axiom{domain} for the representation of Numerical PDE problems for use by ANNA. \\blankline The representation is of type: \\blankline \\axiomType{Record}(pde:\\axiomType{List Expression DoubleFloat}, \\spad{\\br} constraints:\\axiomType{List PDEC}, \\spad{\\br} f:\\axiomType{List List Expression DoubleFloat},\\br st:\\axiomType{String},\\br tol:\\axiomType{DoubleFloat}) \\blankline where \\axiomType{PDEC} is of type: \\blankline \\axiomType{Record}(start:\\axiomType{DoubleFloat}, \\spad{\\br} finish:\\axiomType{DoubleFloat},\\br grid:\\axiomType{NonNegativeInteger},\\br boundaryType:\\axiomType{Integer},\\br dStart:\\axiomType{Matrix DoubleFloat}, \\spad{\\br} dFinish:\\axiomType{Matrix DoubleFloat})")) (|retract| (((|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-896 A S) 
-((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S.} \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y,e)=differentiate(x,e)+differentiate(y,e)}\\br \\tab{5}\\spad{differentiate(x*y,e)=x*differentiate(y,e)+differentiate(x,e)*y}")) (D (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{D(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{D(...D(x, \\spad{s1,} n1)..., \\spad{sn,} nn)}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{D(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#2|)) "\\spad{D(x,[s1,...sn])} computes successive partial derivatives, \\spadignore{i.e.} \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#2|) "\\spad{D(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}")) (|differentiate| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, \\spadignore{i.e.}") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#2|)) "\\spad{differentiate(x,[s1,...sn])} computes successive partial derivatives, \\spadignore{i.e.} \\spad{differentiate(...differentiate(x, s1)..., sn)}.") (($ $ |#2|) "\\spad{differentiate(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}"))) 
+(-899 A S) 
+((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S.} \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y,e)=differentiate(x,e)+differentiate(y,e)}\\br \\tab{5}\\spad{differentiate(x*y,e)=x*differentiate(y,e)+differentiate(x,e)*y}")) (D (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{D(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, that is, \\spad{D(...D(x, \\spad{s1,} n1)..., \\spad{sn,} nn)}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{D(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, that is, \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#2|)) "\\spad{D(x,[s1,...sn])} computes successive partial derivatives, that is, \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#2|) "\\spad{D(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}")) (|differentiate| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, that is, \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, that is, \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#2|)) "\\spad{differentiate(x,[s1,...sn])} computes successive partial derivatives, that is, \\spad{differentiate(...differentiate(x, s1)..., sn)}.") (($ $ |#2|) "\\spad{differentiate(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}"))) 
 NIL 
 NIL 
-(-897 S) 
-((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S.} \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y,e)=differentiate(x,e)+differentiate(y,e)}\\br \\tab{5}\\spad{differentiate(x*y,e)=x*differentiate(y,e)+differentiate(x,e)*y}")) (D (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{D(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{D(...D(x, \\spad{s1,} n1)..., \\spad{sn,} nn)}.") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{D(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#1|)) "\\spad{D(x,[s1,...sn])} computes successive partial derivatives, \\spadignore{i.e.} \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#1|) "\\spad{D(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}")) (|differentiate| (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, \\spadignore{i.e.}") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#1|)) "\\spad{differentiate(x,[s1,...sn])} computes successive partial derivatives, \\spadignore{i.e.} \\spad{differentiate(...differentiate(x, s1)..., sn)}.") (($ $ |#1|) "\\spad{differentiate(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}"))) 
-((-4568 . T)) 
+(-900 S) 
+((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S.} \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y,e)=differentiate(x,e)+differentiate(y,e)}\\br \\tab{5}\\spad{differentiate(x*y,e)=x*differentiate(y,e)+differentiate(x,e)*y}")) (D (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{D(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, that is, \\spad{D(...D(x, \\spad{s1,} n1)..., \\spad{sn,} nn)}.") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{D(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, that is, \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#1|)) "\\spad{D(x,[s1,...sn])} computes successive partial derivatives, that is, \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#1|) "\\spad{D(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}")) (|differentiate| (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, that is, \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, that is, \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#1|)) "\\spad{differentiate(x,[s1,...sn])} computes successive partial derivatives, that is, \\spad{differentiate(...differentiate(x, s1)..., sn)}.") (($ $ |#1|) "\\spad{differentiate(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}"))) 
+((-4597 . T)) 
 NIL 
-(-898 S) 
-((|constructor| (NIL "This domain has no description")) (|coerce| (((|Tree| |#1|) $) "\\indented{1}{coerce(x) is not documented} \\blankline \\spad{X} t1:=ptree([1,2,3]) \\spad{X} t2:=ptree(t1,ptree([1,2,3])) \\spad{X} t2::Tree List PositiveInteger")) (|ptree| (($ $ $) "\\indented{1}{ptree(x,y) is not documented} \\blankline \\spad{X} t1:=ptree([1,2,3]) \\spad{X} ptree(t1,ptree([1,2,3]))") (($ |#1|) "\\indented{1}{ptree(s) is a leaf? pendant tree} \\blankline \\spad{X} t1:=ptree([1,2,3])"))) 
+(-901 S) 
+((|constructor| (NIL "A PendantTree(S) is either a leaf? and is an \\spad{S} or has a left and a right both PendantTree(S)'s")) (|coerce| (((|Tree| |#1|) $) "\\indented{1}{coerce(x) is not documented} \\blankline \\spad{X} t1:=ptree([1,2,3]) \\spad{X} t2:=ptree(t1,ptree([1,2,3])) \\spad{X} t2::Tree List PositiveInteger")) (|ptree| (($ $ $) "\\indented{1}{ptree(x,y) is not documented} \\blankline \\spad{X} t1:=ptree([1,2,3]) \\spad{X} ptree(t1,ptree([1,2,3]))") (($ |#1|) "\\indented{1}{ptree(s) is a leaf? pendant tree} \\blankline \\spad{X} t1:=ptree([1,2,3])"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
-(-899 |n| R) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
+(-902 |n| R) 
 ((|constructor| (NIL "Permanent implements the functions permanent, the permanent for square matrices.")) (|permanent| ((|#2| (|SquareMatrix| |#1| |#2|)) "\\spad{permanent(x)} computes the permanent of a square matrix \\spad{x.} The permanent is equivalent to the \\spadfun{determinant} except that coefficients have no change of sign. This function is much more difficult to compute than the determinant. The formula used is by H.J. Ryser, improved by [Nijenhuis and Wilf, \\spad{Ch.} 19]. Note that permanent(x) choose one of three algorithms, depending on the underlying ring \\spad{R} and on \\spad{n,} the number of rows (and columns) of x:\\br if 2 has an inverse in \\spad{R} we can use the algorithm of [Nijenhuis and Wilf, ch.19,p.158]; if 2 has no inverse, some modifications are necessary:\\br if \\spad{n} > 6 and \\spad{R} is an integral domain with characteristic different from 2 (the algorithm works if and only 2 is not a zero-divisor of \\spad{R} and characteristic()$R \\spad{^=} 2, but how to check that for any given \\spad{R} \\spad{?),} the local function \\spad{permanent2} is called;\\br else, the local function \\spad{permanent3} is called (works for all commutative rings \\spad{R).}"))) 
 NIL 
 NIL 
-(-900 S) 
-((|constructor| (NIL "PermutationCategory provides a categorial environment for subgroups of bijections of a set (\\spadignore{i.e.} permutations)")) (< (((|Boolean|) $ $) "\\spad{p < \\spad{q}} is an order relation on permutations. Note that this order is only total if and only if \\spad{S} is totally ordered or \\spad{S} is finite.")) (|orbit| (((|Set| |#1|) $ |#1|) "\\spad{orbit(p, el)} returns the orbit of el under the permutation \\spad{p,} \\spadignore{i.e.} the set which is given by applications of the powers of \\spad{p} to el.")) (|elt| ((|#1| $ |#1|) "\\spad{elt(p, el)} returns the image of el under the permutation \\spad{p.}")) (|eval| ((|#1| $ |#1|) "\\spad{eval(p, el)} returns the image of el under the permutation \\spad{p.}")) (|cycles| (($ (|List| (|List| |#1|))) "\\spad{cycles(lls)} coerces a list list of cycles \\spad{lls} to a permutation, each cycle being a list with not repetitions, is coerced to the permutation, which maps ls.i to ls.i+1, indices modulo the length of the list, then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|cycle| (($ (|List| |#1|)) "\\spad{cycle(ls)} coerces a cycle \\spad{ls,} \\spadignore{i.e.} a list with not repetitions to a permutation, which maps ls.i to ls.i+1, indices modulo the length of the list. Error: if repetitions occur."))) 
-((-4568 . T)) 
+(-903 S) 
+((|constructor| (NIL "PermutationCategory provides a categorial environment for subgroups of bijections of a set (that is, permutations)")) (< (((|Boolean|) $ $) "\\spad{p < \\spad{q}} is an order relation on permutations. Note that this order is only total if and only if \\spad{S} is totally ordered or \\spad{S} is finite.")) (|orbit| (((|Set| |#1|) $ |#1|) "\\spad{orbit(p, el)} returns the orbit of el under the permutation \\spad{p,} that is, the set which is given by applications of the powers of \\spad{p} to el.")) (|elt| ((|#1| $ |#1|) "\\spad{elt(p, el)} returns the image of el under the permutation \\spad{p.}")) (|eval| ((|#1| $ |#1|) "\\spad{eval(p, el)} returns the image of el under the permutation \\spad{p.}")) (|cycles| (($ (|List| (|List| |#1|))) "\\spad{cycles(lls)} coerces a list list of cycles \\spad{lls} to a permutation, each cycle being a list with not repetitions, is coerced to the permutation, which maps ls.i to ls.i+1, indices modulo the length of the list, then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|cycle| (($ (|List| |#1|)) "\\spad{cycle(ls)} coerces a cycle \\spad{ls,} that is, a list with not repetitions to a permutation, which maps ls.i to ls.i+1, indices modulo the length of the list. Error: if repetitions occur."))) 
+((-4597 . T)) 
 NIL 
-(-901 S) 
-((|constructor| (NIL "PermutationGroup implements permutation groups acting on a set \\spad{S,} \\spadignore{i.e.} all subgroups of the symmetric group of \\spad{S,} represented as a list of permutations (generators). Note that therefore the objects are not members of the \\Language category \\spadtype{Group}. Using the idea of base and strong generators by Sims, basic routines and algorithms are implemented so that the word problem for permutation groups can be solved.")) (|initializeGroupForWordProblem| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{initializeGroupForWordProblem(gp,m,n)} initializes the group \\spad{gp} for the word problem. Notes: \\spad{(1)} with a small integer you get shorter words, but the routine takes longer than the standard routine for longer words. \\spad{(2)} be careful: invoking this routine will destroy the possibly stored information about your group (but will recompute it again). \\spad{(3)} users need not call this function normally for the soultion of the word problem.") (((|Void|) $) "\\spad{initializeGroupForWordProblem(gp)} initializes the group \\spad{gp} for the word problem. Notes: it calls the other function of this name with parameters 0 and 1: initializeGroupForWordProblem(gp,0,1). Notes: \\spad{(1)} be careful: invoking this routine will destroy the possibly information about your group (but will recompute it again) \\spad{(2)} users need not call this function normally for the soultion of the word problem.")) (<= (((|Boolean|) $ $) "\\spad{gp1 \\spad{<=} gp2} returns \\spad{true} if and only if \\spad{gp1} is a subgroup of gp2. Note: because of a bug in the parser you have to call this function explicitly by \\spad{gp1} <=$(PERMGRP \\spad{S)} gp2.")) (< (((|Boolean|) $ $) "\\spad{gp1 < gp2} returns \\spad{true} if and only if \\spad{gp1} is a proper subgroup of gp2.")) (|movedPoints| (((|Set| |#1|) $) "\\spad{movedPoints(gp)} returns the points moved by the group \\spad{gp.}")) (|wordInGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInGenerators(p,gp)} returns the word for the permutation \\spad{p} in the original generators of the group \\spad{gp,} represented by the indices of the list, given by generators.")) (|wordInStrongGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInStrongGenerators(p,gp)} returns the word for the permutation \\spad{p} in the strong generators of the group \\spad{gp,} represented by the indices of the list, given by strongGenerators.")) (|member?| (((|Boolean|) (|Permutation| |#1|) $) "\\spad{member?(pp,gp)} answers the question, whether the permutation \\spad{pp} is in the group \\spad{gp} or not.")) (|orbits| (((|Set| (|Set| |#1|)) $) "\\spad{orbits(gp)} returns the orbits of the group \\spad{gp,} \\spadignore{i.e.} it partitions the (finite) of all moved points.")) (|orbit| (((|Set| (|List| |#1|)) $ (|List| |#1|)) "\\spad{orbit(gp,ls)} returns the orbit of the ordered list \\spad{ls} under the group \\spad{gp.} Note: return type is \\spad{L} \\spad{L} \\spad{S} temporarily because FSET \\spad{L} \\spad{S} has an error.") (((|Set| (|Set| |#1|)) $ (|Set| |#1|)) "\\spad{orbit(gp,els)} returns the orbit of the unordered set \\spad{els} under the group \\spad{gp.}") (((|Set| |#1|) $ |#1|) "\\spad{orbit(gp,el)} returns the orbit of the element \\spad{el} under the group \\spad{gp,} \\spadignore{i.e.} the set of all points gained by applying each group element to el.")) (|permutationGroup| (($ (|List| (|Permutation| |#1|))) "\\spad{permutationGroup(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.")) (|wordsForStrongGenerators| (((|List| (|List| (|NonNegativeInteger|))) $) "\\spad{wordsForStrongGenerators(gp)} returns the words for the strong generators of the group \\spad{gp} in the original generators of \\spad{gp,} represented by their indices in the list, given by generators.")) (|strongGenerators| (((|List| (|Permutation| |#1|)) $) "\\spad{strongGenerators(gp)} returns strong generators for the group \\spad{gp.}")) (|base| (((|List| |#1|) $) "\\spad{base(gp)} returns a base for the group \\spad{gp.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(gp)} returns the number of points moved by all permutations of the group \\spad{gp.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(gp)} returns the order of the group \\spad{gp.}")) (|random| (((|Permutation| |#1|) $) "\\spad{random(gp)} returns a random product of maximal 20 generators of the group \\spad{gp.} Note: random(gp)=random(gp,20).") (((|Permutation| |#1|) $ (|Integer|)) "\\spad{random(gp,i)} returns a random product of maximal \\spad{i} generators of the group \\spad{gp.}")) (|elt| (((|Permutation| |#1|) $ (|NonNegativeInteger|)) "\\spad{elt(gp,i)} returns the \\spad{i}-th generator of the group \\spad{gp.}")) (|generators| (((|List| (|Permutation| |#1|)) $) "\\spad{generators(gp)} returns the generators of the group \\spad{gp.}")) (|coerce| (($ (|List| (|Permutation| |#1|))) "\\spad{coerce(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.") (((|List| (|Permutation| |#1|)) $) "\\spad{coerce(gp)} returns the generators of the group \\spad{gp.}"))) 
+(-904 S) 
+((|constructor| (NIL "PermutationGroup implements permutation groups acting on a set \\spad{S,} \\spadignore{i.e.} all subgroups of the symmetric group of \\spad{S,} represented as a list of permutations (generators). Note that therefore the objects are not members of the Axiom category \\spadtype{Group}. Using the idea of base and strong generators by Sims, basic routines and algorithms are implemented so that the word problem for permutation groups can be solved.")) (|initializeGroupForWordProblem| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{initializeGroupForWordProblem(gp,m,n)} initializes the group \\spad{gp} for the word problem. Notes: \\spad{(1)} with a small integer you get shorter words, but the routine takes longer than the standard routine for longer words. \\spad{(2)} be careful: invoking this routine will destroy the possibly stored information about your group (but will recompute it again). \\spad{(3)} users need not call this function normally for the soultion of the word problem.") (((|Void|) $) "\\spad{initializeGroupForWordProblem(gp)} initializes the group \\spad{gp} for the word problem. Notes: it calls the other function of this name with parameters 0 and 1: initializeGroupForWordProblem(gp,0,1). Notes: \\spad{(1)} be careful: invoking this routine will destroy the possibly information about your group (but will recompute it again) \\spad{(2)} users need not call this function normally for the soultion of the word problem.")) (<= (((|Boolean|) $ $) "\\spad{gp1 \\spad{<=} gp2} returns \\spad{true} if and only if \\spad{gp1} is a subgroup of gp2. Note: because of a bug in the parser you have to call this function explicitly by \\spad{gp1} <=$(PERMGRP \\spad{S)} gp2.")) (< (((|Boolean|) $ $) "\\spad{gp1 < gp2} returns \\spad{true} if and only if \\spad{gp1} is a proper subgroup of gp2.")) (|movedPoints| (((|Set| |#1|) $) "\\spad{movedPoints(gp)} returns the points moved by the group \\spad{gp.}")) (|wordInGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInGenerators(p,gp)} returns the word for the permutation \\spad{p} in the original generators of the group \\spad{gp,} represented by the indices of the list, given by generators.")) (|wordInStrongGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInStrongGenerators(p,gp)} returns the word for the permutation \\spad{p} in the strong generators of the group \\spad{gp,} represented by the indices of the list, given by strongGenerators.")) (|member?| (((|Boolean|) (|Permutation| |#1|) $) "\\spad{member?(pp,gp)} answers the question, whether the permutation \\spad{pp} is in the group \\spad{gp} or not.")) (|orbits| (((|Set| (|Set| |#1|)) $) "\\spad{orbits(gp)} returns the orbits of the group \\spad{gp,} \\spadignore{i.e.} it partitions the (finite) of all moved points.")) (|orbit| (((|Set| (|List| |#1|)) $ (|List| |#1|)) "\\spad{orbit(gp,ls)} returns the orbit of the ordered list \\spad{ls} under the group \\spad{gp.} Note: return type is \\spad{L} \\spad{L} \\spad{S} temporarily because FSET \\spad{L} \\spad{S} has an error.") (((|Set| (|Set| |#1|)) $ (|Set| |#1|)) "\\spad{orbit(gp,els)} returns the orbit of the unordered set \\spad{els} under the group \\spad{gp.}") (((|Set| |#1|) $ |#1|) "\\spad{orbit(gp,el)} returns the orbit of the element \\spad{el} under the group \\spad{gp,} \\spadignore{i.e.} the set of all points gained by applying each group element to el.")) (|permutationGroup| (($ (|List| (|Permutation| |#1|))) "\\spad{permutationGroup(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.")) (|wordsForStrongGenerators| (((|List| (|List| (|NonNegativeInteger|))) $) "\\spad{wordsForStrongGenerators(gp)} returns the words for the strong generators of the group \\spad{gp} in the original generators of \\spad{gp,} represented by their indices in the list, given by generators.")) (|strongGenerators| (((|List| (|Permutation| |#1|)) $) "\\spad{strongGenerators(gp)} returns strong generators for the group \\spad{gp.}")) (|base| (((|List| |#1|) $) "\\spad{base(gp)} returns a base for the group \\spad{gp.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(gp)} returns the number of points moved by all permutations of the group \\spad{gp.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(gp)} returns the order of the group \\spad{gp.}")) (|random| (((|Permutation| |#1|) $) "\\spad{random(gp)} returns a random product of maximal 20 generators of the group \\spad{gp.} Note: random(gp)=random(gp,20).") (((|Permutation| |#1|) $ (|Integer|)) "\\spad{random(gp,i)} returns a random product of maximal \\spad{i} generators of the group \\spad{gp.}")) (|elt| (((|Permutation| |#1|) $ (|NonNegativeInteger|)) "\\spad{elt(gp,i)} returns the \\spad{i}-th generator of the group \\spad{gp.}")) (|generators| (((|List| (|Permutation| |#1|)) $) "\\spad{generators(gp)} returns the generators of the group \\spad{gp.}")) (|coerce| (($ (|List| (|Permutation| |#1|))) "\\spad{coerce(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.") (((|List| (|Permutation| |#1|)) $) "\\spad{coerce(gp)} returns the generators of the group \\spad{gp.}"))) 
 NIL 
 NIL 
-(-902 S) 
+(-905 S) 
 ((|constructor| (NIL "Permutation(S) implements the group of all bijections on a set \\spad{S,} which move only a finite number of points. A permutation is considered as a map from \\spad{S} into \\spad{S.} In particular multiplication is defined as composition of maps:\\br \\spad{pi1} * \\spad{pi2} = \\spad{pi1} \\spad{o} pi2.\\br The internal representation of permuatations are two lists of equal length representing preimages and images.")) (|coerceImages| (($ (|List| |#1|)) "\\spad{coerceImages(ls)} coerces the list \\spad{ls} to a permutation whose image is given by \\spad{ls} and the preimage is fixed to be [1,...,n]. Note: {coerceImages(ls)=coercePreimagesImages([1,...,n],ls)}. We assume that both preimage and image do not contain repetitions.")) (|fixedPoints| (((|Set| |#1|) $) "\\indented{1}{fixedPoints(p) returns the points fixed by the permutation \\spad{p.}} \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[0,1,2,3],[3,0,2,1]])$PERM ZMOD 4 \\spad{X} fixedPoints \\spad{p}")) (|sort| (((|List| $) (|List| $)) "\\spad{sort(lp)} sorts a list of permutations \\spad{lp} according to cycle structure first according to length of cycles, second, if \\spad{S} has \\spadtype{Finite} or \\spad{S} has \\spadtype{OrderedSet} according to lexicographical order of entries in cycles of equal length.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(p)} returns \\spad{true} if and only if \\spad{p} is an odd permutation \\spadignore{i.e.} sign(p) is \\spad{-1.}")) (|even?| (((|Boolean|) $) "\\indented{1}{even?(p) returns \\spad{true} if and only if \\spad{p} is an even permutation,} \\indented{1}{\\spadignore{i.e.} sign(p) is 1.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,2,3],[1,2,3]]) \\spad{X} even? \\spad{p}")) (|sign| (((|Integer|) $) "\\spad{sign(p)} returns the signum of the permutation \\spad{p,} \\spad{+1} or \\spad{-1.}")) (|numberOfCycles| (((|NonNegativeInteger|) $) "\\spad{numberOfCycles(p)} returns the number of non-trivial cycles of the permutation \\spad{p.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of a permutation \\spad{p} as a group element.")) (|cyclePartition| (((|Partition|) $) "\\spad{cyclePartition(p)} returns the cycle structure of a permutation \\spad{p} including cycles of length 1 only if \\spad{S} is finite.")) (|movedPoints| (((|Set| |#1|) $) "\\indented{1}{movedPoints(p) returns the set of points moved by the permutation \\spad{p.}} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,2,3],[1,2,3]]) \\spad{X} movedPoints \\spad{p}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} retuns the number of points moved by the permutation \\spad{p.}")) (|coerceListOfPairs| (($ (|List| (|List| |#1|))) "\\spad{coerceListOfPairs(lls)} coerces a list of pairs \\spad{lls} to a permutation. Error: if not consistent, \\spadignore{i.e.} the set of the first elements coincides with the set of second elements. coerce(p) generates output of the permutation \\spad{p} with domain OutputForm.")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce(ls)} coerces a cycle \\spad{ls,} \\spadignore{i.e.} a list with not repetitions to a permutation, which maps ls.i to ls.i+1, indices modulo the length of the list. Error: if repetitions occur.") (($ (|List| (|List| |#1|))) "\\spad{coerce(lls)} coerces a list of cycles \\spad{lls} to a permutation, each cycle being a list with no repetitions, is coerced to the permutation, which maps ls.i to ls.i+1, indices modulo the length of the list, then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|coercePreimagesImages| (($ (|List| (|List| |#1|))) "\\indented{1}{coercePreimagesImages(lls) coerces the representation lls} \\indented{1}{of a permutation as a list of preimages and images to a permutation.} \\indented{1}{We assume that both preimage and image do not contain repetitions.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,2,3],[1,2,3]]) \\spad{X} \\spad{q} \\spad{:=} coercePreimagesImages([[0,1,2,3],[3,0,2,1]])$PERM ZMOD 4")) (|listRepresentation| (((|Record| (|:| |preimage| (|List| |#1|)) (|:| |image| (|List| |#1|))) $) "\\spad{listRepresentation(p)} produces a representation rep of the permutation \\spad{p} as a list of preimages and images, i.e \\spad{p} maps (rep.preimage).k to (rep.image).k for all indices \\spad{k.} Elements of \\spad{S} not in (rep.preimage).k are fixed points, and these are the only fixed points of the permutation."))) 
-((-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-844))))) 
-(-903 R E |VarSet| S) 
+((-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-847))))) 
+(-906 R E |VarSet| S) 
 ((|constructor| (NIL "PolynomialFactorizationByRecursion(R,E,VarSet,S) is used for factorization of sparse univariate polynomials over a domain \\spad{S} of multivariate polynomials over \\spad{R.}")) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorSFBRlcUnit(p)} returns the square free factorization of polynomial \\spad{p} (see \\spadfun{factorSquareFreeByRecursion}{PolynomialFactorizationByRecursionUnivariate}) in the case where the leading coefficient of \\spad{p} is a unit.")) (|bivariateSLPEBR| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) |#3|) "\\spad{bivariateSLPEBR(lp,p,v)} implements the bivariate case of solveLinearPolynomialEquationByRecursion its implementation depends on \\spad{R}")) (|randomR| ((|#1|) "\\spad{randomR produces} a random element of \\spad{R}")) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorSquareFreeByRecursion(p)} returns the square free factorization of \\spad{p.} This functions performs the recursion step for factorSquareFreePolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorSquareFreePolynomial}).")) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorByRecursion(p)} factors polynomial \\spad{p.} This function performs the recursion step for factorPolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorPolynomial})")) (|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{solveLinearPolynomialEquationByRecursion([p1,...,pn],p)} returns the list of polynomials \\spad{[q1,...,qn]} such that \\spad{sum qi/pi = \\spad{p} / prod pi}, a recursion step for solveLinearPolynomialEquation as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{solveLinearPolynomialEquation}). If no such list of \\spad{qi} exists, then \"failed\" is returned."))) 
 NIL 
 NIL 
-(-904 R S) 
+(-907 R S) 
 ((|constructor| (NIL "PolynomialFactorizationByRecursionUnivariate \\spad{R} is a \\spadfun{PolynomialFactorizationExplicit} domain, \\spad{S} is univariate polynomials over \\spad{R} We are interested in handling SparseUnivariatePolynomials over \\spad{S,} is a variable we shall call \\spad{z}")) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorSFBRlcUnit(p)} returns the square free factorization of polynomial \\spad{p} (see \\spadfun{factorSquareFreeByRecursion}{PolynomialFactorizationByRecursionUnivariate}) in the case where the leading coefficient of \\spad{p} is a unit.")) (|randomR| ((|#1|) "\\spad{randomR()} produces a random element of \\spad{R}")) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorSquareFreeByRecursion(p)} returns the square free factorization of \\spad{p.} This functions performs the recursion step for factorSquareFreePolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorSquareFreePolynomial}).")) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorByRecursion(p)} factors polynomial \\spad{p.} This function performs the recursion step for factorPolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorPolynomial})")) (|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{solveLinearPolynomialEquationByRecursion([p1,...,pn],p)} returns the list of polynomials \\spad{[q1,...,qn]} such that \\spad{sum qi/pi = \\spad{p} / prod pi}, a recursion step for solveLinearPolynomialEquation as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{solveLinearPolynomialEquation}). If no such list of \\spad{qi} exists, then \"failed\" is returned."))) 
 NIL 
 NIL 
-(-905 S) 
+(-908 S) 
 ((|constructor| (NIL "This is the category of domains that know \"enough\" about themselves in order to factor univariate polynomials over themselves. This will be used in future releases for supporting factorization over finitely generated coefficient fields, it is not yet available in the current release of axiom.")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(r)} returns the \\spad{p}-th root of \\spad{r,} or \"failed\" if none exists in the domain.")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(m)} returns a vector of elements, not all zero, whose \\spad{p}-th powers \\spad{(p} is the characteristic of the domain) are a solution of the homogenous linear system represented by \\spad{m,} or \"failed\" is there is no such vector.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the \\spad{gcd} of the univariate polynomials \\spad{p} \\spad{qnd} \\spad{q.}")) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorSquareFreePolynomial(p)} factors the univariate polynomial \\spad{p} into irreducibles where \\spad{p} is known to be square free and primitive with respect to its main variable.")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} returns the factorization into irreducibles of the univariate polynomial \\spad{p.}")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} returns the square-free factorization of the univariate polynomial \\spad{p.}"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-149)))) 
-(-906) 
+(-909) 
 ((|constructor| (NIL "This is the category of domains that know \"enough\" about themselves in order to factor univariate polynomials over themselves. This will be used in future releases for supporting factorization over finitely generated coefficient fields, it is not yet available in the current release of axiom.")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(r)} returns the \\spad{p}-th root of \\spad{r,} or \"failed\" if none exists in the domain.")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(m)} returns a vector of elements, not all zero, whose \\spad{p}-th powers \\spad{(p} is the characteristic of the domain) are a solution of the homogenous linear system represented by \\spad{m,} or \"failed\" is there is no such vector.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the \\spad{gcd} of the univariate polynomials \\spad{p} \\spad{qnd} \\spad{q.}")) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorSquareFreePolynomial(p)} factors the univariate polynomial \\spad{p} into irreducibles where \\spad{p} is known to be square free and primitive with respect to its main variable.")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} returns the factorization into irreducibles of the univariate polynomial \\spad{p.}")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} returns the square-free factorization of the univariate polynomial \\spad{p.}"))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-907 |p|) 
+(-910 |p|) 
 ((|constructor| (NIL "PrimeField(p) implements the field with \\spad{p} elements if \\spad{p} is a prime number."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| $ (QUOTE (-151))) (|HasCategory| $ (QUOTE (-149))) (|HasCategory| $ (QUOTE (-371)))) 
-(-908 R0 -1647 UP UPUP R) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| $ (QUOTE (-151))) (|HasCategory| $ (QUOTE (-149))) (|HasCategory| $ (QUOTE (-373)))) 
+(-911 R0 -3280 UP UPUP R) 
 ((|constructor| (NIL "This package provides function for testing whether a divisor on a curve is a torsion divisor.")) (|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#5|)) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{torsionIfCan(f)}\\ undocumented")) (|torsion?| (((|Boolean|) (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{torsion?(f)} \\undocumented")) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{order(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-909 UP UPUP R) 
+(-912 UP UPUP R) 
 ((|constructor| (NIL "This package provides function for testing whether a divisor on a curve is a torsion divisor.")) (|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#3|)) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{torsionIfCan(f)} \\undocumented")) (|torsion?| (((|Boolean|) (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{torsion?(f)} \\undocumented")) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{order(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-910 R |PolyRing| E -4360) 
+(-913 R |PolyRing| E -3020) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|degreeOfMinimalForm| (((|NonNegativeInteger|) |#2|) "\\spad{degreeOfMinimalForm does} what it says")) (|listAllMono| (((|List| |#2|) (|NonNegativeInteger|)) "\\spad{listAllMono(l)} returns all the monomials of degree \\spad{l}")) (|listAllMonoExp| (((|List| |#3|) (|Integer|)) "\\spad{listAllMonoExp(l)} returns all the exponents of degree \\spad{l}")) (|homogenize| ((|#2| |#2| (|Integer|)) "\\spad{homogenize(pol,n)} returns the homogenized polynomial of \\spad{pol} with respect to the \\spad{n}-th variable.")) (|constant| ((|#1| |#2|) "\\spad{constant(pol)} returns the constant term of the polynomial.")) (|degOneCoef| ((|#1| |#2| (|PositiveInteger|)) "\\spad{degOneCoef(pol,n)} returns the coefficient in front of the monomial specified by the positive integer.")) (|translate| ((|#2| |#2| (|List| |#1|)) "\\spad{translate(pol,[a,b,c])} apply to \\spad{pol} the linear change of coordinates, x->x+a, y->y+b, z->z+c") ((|#2| |#2| (|List| |#1|) (|Integer|)) "\\spad{translate(pol,[a,b,c],3)} apply to \\spad{pol} the linear change of coordinates, x->x+a, y->y+b, z->1.")) (|replaceVarByOne| ((|#2| |#2| (|Integer|)) "\\spad{replaceVarByOne(pol,a)} evaluate to one the variable in \\spad{pol} specified by the integer a.")) (|replaceVarByZero| ((|#2| |#2| (|Integer|)) "\\spad{replaceVarByZero(pol,a)} evaluate to zero the variable in \\spad{pol} specified by the integer a.")) (|firstExponent| ((|#3| |#2|) "\\spad{firstExponent(pol)} returns the exponent of the first term in the representation of pol. Not to be confused with the leadingExponent \\indented{1}{which is the highest exponent according to the order} over the monomial.")) (|minimalForm| ((|#2| |#2|) "\\spad{minimalForm(pol)} returns the minimal forms of the polynomial pol."))) 
 NIL 
 NIL 
-(-911 UP UPUP) 
+(-914 UP UPUP) 
 ((|constructor| (NIL "Utilities for PFOQ and PFO")) (|polyred| ((|#2| |#2|) "\\spad{polyred(u)} \\undocumented")) (|doubleDisc| (((|Integer|) |#2|) "\\spad{doubleDisc(u)} \\undocumented")) (|mix| (((|Integer|) (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) "\\spad{mix(l)} \\undocumented")) (|badNum| (((|Integer|) |#2|) "\\spad{badNum(u)} \\undocumented") (((|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))) |#1|) "\\spad{badNum(p)} \\undocumented")) (|getGoodPrime| (((|PositiveInteger|) (|Integer|)) "\\spad{getGoodPrime \\spad{n}} returns the smallest prime not dividing \\spad{n}"))) 
 NIL 
 NIL 
-(-912 R) 
+(-915 R) 
 ((|constructor| (NIL "The domain \\spadtype{PartialFraction} implements partial fractions over a euclidean domain \\spad{R}. This requirement on the argument domain allows us to normalize the fractions. Of particular interest are the 2 forms for these fractions. The ``compact'' form has only one fractional term per prime in the denominator, while the ``p-adic'' form expands each numerator p-adically via the prime \\spad{p} in the denominator. For computational efficiency, the compact form is used, though the p-adic form may be gotten by calling the function padicFraction}. For a general euclidean domain, it is not known how to factor the denominator. Thus the function partialFraction takes as its second argument an element of \\spadtype{Factored(R)}.")) (|wholePart| ((|#1| $) "\\indented{1}{wholePart(p) extracts the whole part of the partial fraction} \\indented{1}{\\spad{p}.} \\blankline \\spad{X} a:=(74/13)::PFR(INT) \\spad{X} wholePart(a)")) (|partialFraction| (($ |#1| (|Factored| |#1|)) "\\indented{1}{partialFraction(numer,denom) is the main function for} \\indented{1}{constructing partial fractions. The second argument is the} \\indented{1}{denominator and should be factored.} \\blankline \\spad{X} partialFraction(1,factorial 10)")) (|padicFraction| (($ $) "\\indented{1}{padicFraction(q) expands the fraction p-adically in the primes} \\indented{1}{\\spad{p} in the denominator of \\spad{q}. For example,} \\indented{1}{\\spad{padicFraction(3/(2**2)) = 1/2 + 1/(2**2)}.} \\indented{1}{Use compactFraction from PartialFraction to} \\indented{1}{return to compact form.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} padicFraction(a)")) (|padicallyExpand| (((|SparseUnivariatePolynomial| |#1|) |#1| |#1|) "\\spad{padicallyExpand(p,x)} is a utility function that expands the second argument \\spad{x} ``p-adically'' in the first.")) (|numberOfFractionalTerms| (((|Integer|) $) "\\indented{1}{numberOfFractionalTerms(p) computes the number of fractional} \\indented{1}{terms in \\spad{p}. This returns 0 if there is no fractional} \\indented{1}{part.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} numberOfFractionalTerms(b)")) (|nthFractionalTerm| (($ $ (|Integer|)) "\\indented{1}{nthFractionalTerm(p,n) extracts the \\spad{n}th fractional term from} \\indented{1}{the partial fraction \\spad{p}.\\space{2}This returns 0 if the index} \\indented{1}{\\spad{n} is out of range.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} nthFractionalTerm(b,3)")) (|firstNumer| ((|#1| $) "\\indented{1}{firstNumer(p) extracts the numerator of the first fractional} \\indented{1}{term. This returns 0 if there is no fractional part (use} \\indented{1}{wholePart from PartialFraction to get the whole part).} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} firstNumer(a)")) (|firstDenom| (((|Factored| |#1|) $) "\\indented{1}{firstDenom(p) extracts the denominator of the first fractional} \\indented{1}{term. This returns 1 if there is no fractional part (use} \\indented{1}{wholePart from PartialFraction to get the whole part).} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} firstDenom(a)")) (|compactFraction| (($ $) "\\indented{1}{compactFraction(p) normalizes the partial fraction \\spad{p}} \\indented{1}{to the compact representation. In this form, the partial} \\indented{1}{fraction has only one fractional term per prime in the} \\indented{1}{denominator.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} compactFraction(b)")) (|coerce| (($ (|Fraction| (|Factored| |#1|))) "\\indented{1}{coerce(f) takes a fraction with numerator and denominator in} \\indented{1}{factored form and creates a partial fraction.\\space{2}It is} \\indented{1}{necessary for the parts to be factored because it is not} \\indented{1}{known in general how to factor elements of \\spad{R} and} \\indented{1}{this is needed to decompose into partial fractions.} \\blankline \\spad{X} (13/74)::PFR(INT)") (((|Fraction| |#1|) $) "\\indented{1}{coerce(p) sums up the components of the partial fraction and} \\indented{1}{returns a single fraction.} \\blankline \\spad{X} a:=(13/74)::PFR(INT) \\spad{X} a::FRAC(INT)"))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-913 R) 
+(-916 R) 
 ((|constructor| (NIL "The package \\spadtype{PartialFractionPackage} gives an easier to use interfact the domain \\spadtype{PartialFraction}. The user gives a fraction of polynomials, and a variable and the package converts it to the proper datatype for the \\spadtype{PartialFraction} domain.")) (|partialFraction| (((|Any|) (|Polynomial| |#1|) (|Factored| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{partialFraction(num, facdenom, var)} returns the partial fraction decomposition of the rational function whose numerator is \\spad{num} and whose factored denominator is \\spad{facdenom} with respect to the variable var.") (((|Any|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{partialFraction(rf, var) returns the partial fraction decomposition} \\indented{1}{of the rational function \\spad{rf} with respect to the variable var.} \\blankline \\spad{X} a:=x+1/(y+1) \\spad{X} partialFraction(a,y)$PFRPAC(INT)"))) 
 NIL 
 NIL 
-(-914 E OV R P) 
+(-917 E OV R P) 
 ((|constructor| (NIL "This package computes multivariate polynomial gcd's using a hensel lifting strategy. The contraint on the coefficient domain is imposed by the lifting strategy. It is assumed that the coefficient domain has the property that almost all specializations preserve the degree of the gcd.")) (|gcdPrimitive| ((|#4| (|List| |#4|)) "\\spad{gcdPrimitive \\spad{lp}} computes the \\spad{gcd} of the list of primitive polynomials \\spad{lp.}") (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPrimitive(p,q)} computes the \\spad{gcd} of the primitive polynomials \\spad{p} and \\spad{q.}") ((|#4| |#4| |#4|) "\\spad{gcdPrimitive(p,q)} computes the \\spad{gcd} of the primitive polynomials \\spad{p} and \\spad{q.}")) (|gcd| (((|SparseUnivariatePolynomial| |#4|) (|List| (|SparseUnivariatePolynomial| |#4|))) "\\spad{gcd(lp)} computes the \\spad{gcd} of the list of polynomials \\spad{lp.}") (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcd(p,q)} computes the \\spad{gcd} of the two polynomials \\spad{p} and \\spad{q.}") ((|#4| (|List| |#4|)) "\\spad{gcd(lp)} computes the \\spad{gcd} of the list of polynomials \\spad{lp.}") ((|#4| |#4| |#4|) "\\spad{gcd(p,q)} computes the \\spad{gcd} of the two polynomials \\spad{p} and \\spad{q.}"))) 
 NIL 
 NIL 
-(-915) 
+(-918) 
 ((|constructor| (NIL "PermutationGroupExamples provides permutation groups for some classes of groups: symmetric, alternating, dihedral, cyclic, direct products of cyclic, which are in fact the finite abelian groups of symmetric groups called Young subgroups. Furthermore, Rubik's group as permutation group of 48 integers and a list of sporadic simple groups derived from the atlas of finite groups.")) (|youngGroup| (((|PermutationGroup| (|Integer|)) (|Partition|)) "\\spad{youngGroup(lambda)} constructs the direct product of the symmetric groups given by the parts of the partition lambda.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{youngGroup([n1,...,nk])} constructs the direct product of the symmetric groups Sn1,...,Snk.")) (|rubiksGroup| (((|PermutationGroup| (|Integer|))) "\\spad{rubiksGroup constructs} the permutation group representing Rubic's Cube acting on integers 10*i+j for 1 \\spad{<=} \\spad{i} \\spad{<=} 6, 1 \\spad{<=} \\spad{j} \\spad{<=} 8. The faces of Rubik's Cube are labelled in the obvious way Front, Right, Up, Down, Left, Back and numbered from 1 to 6 in this given ordering, the pieces on each face (except the unmoveable center piece) are clockwise numbered from 1 to 8 starting with the piece in the upper left corner. The moves of the cube are represented as permutations on these pieces, represented as a two digit integer ij where \\spad{i} is the numer of theface \\spad{(1} to 6) and \\spad{j} is the number of the piece on this face. The remaining ambiguities are resolved by looking at the 6 generators, which represent a 90 degree turns of the faces, or from the following pictorial description. Permutation group representing Rubic's Cube acting on integers 10*i+j for 1 \\spad{<=} \\spad{i} \\spad{<=} 6, 1 \\spad{<=} \\spad{j} <=8. \\blankline\\begin{verbatim}Rubik's Cube:   +-----+ +-- B   where: marks Side # :               / U   /|/              /     / |         F(ront)    <->    1      L -->  +-----+ R|         R(ight)    <->    2             |     |  +         U(p)       <->    3             |  F  | /          D(own)     <->    4             |     |/           L(eft)     <->    5             +-----+            B(ack)     <->    6                ^                |                DThe Cube's surface:                               The pieces on each side            +---+              (except the unmoveable center            |567|              piece) are clockwise numbered            |4U8|              from 1 to 8 starting with the            |321|              piece in the upper left        +---+---+---+          corner (see figure on the        |781|123|345|          left).  The moves of the cube        |6L2|8F4|2R6|          are represented as        |543|765|187|          permutations on these pieces.        +---+---+---+          Each of the pieces is            |123|              represented as a two digit            |8D4|              integer ij where i is the            |765|              # of the side ( 1 to 6 for            +---+              F to B (see table above ))            |567|              and j is the # of the piece.            |4B8|            |321|            +---+\\end{verbatim}")) (|janko2| (((|PermutationGroup| (|Integer|))) "\\spad{janko2 constructs} the janko group acting on the integers 1,...,100.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{janko2(li)} constructs the janko group acting on the 100 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 100 different entries")) (|mathieu24| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu24 constructs} the mathieu group acting on the integers 1,...,24.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu24(li)} constructs the mathieu group acting on the 24 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 24 different entries.")) (|mathieu23| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu23 constructs} the mathieu group acting on the integers 1,...,23.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu23(li)} constructs the mathieu group acting on the 23 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 23 different entries.")) (|mathieu22| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu22 constructs} the mathieu group acting on the integers 1,...,22.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu22(li)} constructs the mathieu group acting on the 22 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 22 different entries.")) (|mathieu12| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu12 constructs} the mathieu group acting on the integers 1,...,12.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu12(li)} constructs the mathieu group acting on the 12 integers given in the list li. Note that duplicates in the list will be removed Error: if \\spad{li} has less or more than 12 different entries.")) (|mathieu11| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu11 constructs} the mathieu group acting on the integers 1,...,11.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu11(li)} constructs the mathieu group acting on the 11 integers given in the list li. Note that duplicates in the list will be removed. error, if \\spad{li} has less or more than 11 different entries.")) (|dihedralGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{dihedralGroup([i1,...,ik])} constructs the dihedral group of order 2k acting on the integers out of i1,...,ik. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{dihedralGroup(n)} constructs the dihedral group of order 2n acting on integers 1,...,N.")) (|cyclicGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{cyclicGroup([i1,...,ik])} constructs the cyclic group of order \\spad{k} acting on the integers i1,...,ik. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{cyclicGroup(n)} constructs the cyclic group of order \\spad{n} acting on the integers 1,...,n.")) (|abelianGroup| (((|PermutationGroup| (|Integer|)) (|List| (|PositiveInteger|))) "\\spad{abelianGroup([n1,...,nk])} constructs the abelian group that is the direct product of cyclic groups with order ni.")) (|alternatingGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{alternatingGroup(li)} constructs the alternating group acting on the integers in the list li, generators are in general the n-2-cycle (li.3,...,li.n) and the 3-cycle (li.1,li.2,li.3), if \\spad{n} is odd and product of the 2-cycle (li.1,li.2) with n-2-cycle (li.3,...,li.n) and the 3-cycle (li.1,li.2,li.3), if \\spad{n} is even. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{alternatingGroup(n)} constructs the alternating group An acting on the integers 1,...,n, generators are in general the n-2-cycle (3,...,n) and the 3-cycle (1,2,3) if \\spad{n} is odd and the product of the 2-cycle (1,2) with n-2-cycle (3,...,n) and the 3-cycle (1,2,3) if \\spad{n} is even.")) (|symmetricGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{symmetricGroup(li)} constructs the symmetric group acting on the integers in the list li, generators are the cycle given by \\spad{li} and the 2-cycle (li.1,li.2). Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{symmetricGroup(n)} constructs the symmetric group \\spad{Sn} acting on the integers 1,...,n, generators are the n-cycle (1,...,n) and the 2-cycle (1,2)."))) 
 NIL 
 NIL 
-(-916 -1647) 
+(-919 -3280) 
 ((|constructor| (NIL "Groebner functions for \\spad{P} \\spad{F} This package is an interface package to the groebner basis package which allows you to compute groebner bases for polynomials in either lexicographic ordering or total degree ordering refined by reverse lex. The input is the ordinary polynomial type which is internally converted to a type with the required ordering. The resulting grobner basis is converted back to ordinary polynomials. The ordering among the variables is controlled by an explicit list of variables which is passed as a second argument. The coefficient domain is allowed to be any \\spad{gcd} domain, but the groebner basis is computed as if the polynomials were over a field.")) (|totalGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{totalGroebner(lp,lv)} computes Groebner basis for the list of polynomials \\spad{lp} with the terms ordered first by total degree and then refined by reverse lexicographic ordering. The variables are ordered by their position in the list \\spad{lv.}")) (|lexGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{lexGroebner(lp,lv)} computes Groebner basis for the list of polynomials \\spad{lp} in lexicographic order. The variables are ordered by their position in the list \\spad{lv.}"))) 
 NIL 
 NIL 
-(-917 R) 
+(-920 R) 
 ((|constructor| (NIL "Provides a coercion from the symbolic fractions in \\%pi with integer coefficients to any Expression type.")) (|coerce| (((|Expression| |#1|) (|Pi|)) "\\spad{coerce(f)} returns \\spad{f} as an Expression(R)."))) 
 NIL 
 NIL 
-(-918) 
+(-921) 
 ((|constructor| (NIL "The category of constructive principal ideal domains, \\spadignore{i.e.} where a single generator can be constructively found for any ideal given by a finite set of generators. Note that this constructive definition only implies that finitely generated ideals are principal. It is not clear what we would mean by an infinitely generated ideal.")) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{expressIdealMember([f1,...,fn],h)} returns a representation of \\spad{h} as a linear combination of the \\spad{fi} or \"failed\" if \\spad{h} is not in the ideal generated by the fi.")) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) "\\spad{principalIdeal([f1,...,fn])} returns a record whose generator component is a generator of the ideal generated by \\spad{[f1,...,fn]} whose coef component satisfies \\spad{generator = sum (input.i * coef.i)}"))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-919) 
+(-922) 
 ((|constructor| (NIL "\\spadtype{PositiveInteger} provides functions for positive integers.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} means multiplication is commutative : x*y = \\spad{y*x}")) (|gcd| (($ $ $) "\\spad{gcd(a,b)} computes the greatest common divisor of two positive integers \\spad{a} and \\spad{b.}"))) 
-(((-4573 "*") . T)) 
+(((-4602 "*") . T)) 
 NIL 
-(-920 -1647 P) 
+(-923 -3280 P) 
 ((|constructor| (NIL "This package exports interpolation algorithms")) (|LagrangeInterpolation| ((|#2| (|List| |#1|) (|List| |#1|)) "\\spad{LagrangeInterpolation(l1,l2)} \\undocumented"))) 
 NIL 
 NIL 
-(-921 |xx| -1647) 
+(-924 |xx| -3280) 
 ((|constructor| (NIL "This package exports interpolation algorithms")) (|interpolate| (((|SparseUnivariatePolynomial| |#2|) (|List| |#2|) (|List| |#2|)) "\\spad{interpolate(lf,lg)} \\undocumented") (((|UnivariatePolynomial| |#1| |#2|) (|UnivariatePolynomial| |#1| |#2|) (|List| |#2|) (|List| |#2|)) "\\spad{interpolate(u,lf,lg)} \\undocumented"))) 
 NIL 
 NIL 
-(-922 K PCS) 
+(-925 K PCS) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space.")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates if the places correspnd to a simple point")) (|setFoundPlacesToEmpty| (((|List| $)) "\\spad{setFoundPlacesToEmpty()} does what it says. (this should not be used)!!!")) (|foundPlaces| (((|List| $)) "\\spad{foundPlaces()} returns the list of all \"created\" places up to now.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(pl)} test if the place \\spad{pl} correspond to a leaf of a desingularisation tree.")) (|setDegree!| (((|Void|) $ (|PositiveInteger|)) "\\spad{setDegree!(pl,ls)} set the degree.")) (|setParam!| (((|Void|) $ (|List| |#2|)) "\\spad{setParam!(pl,ls)} set the local parametrization of \\spad{pl} to \\spad{ls.}")) (|localParam| (((|List| |#2|) $) "\\spad{localParam(pl)} returns the local parametrization associated to the place \\spad{pl.}"))) 
 NIL 
 NIL 
-(-923 K) 
+(-926 K) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-924 K) 
+(-927 K) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-925 K PCS) 
+(-928 K PCS) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-926 R |Var| |Expon| GR) 
+(-929 R |Var| |Expon| GR) 
 ((|constructor| (NIL "This package completely solves a parametric linear system of equations by decomposing the set of all parametric values for which the linear system is consistent into a union of quasi-algebraic sets (which need not be irredundant, but most of the time is). Each quasi-algebraic set is described by a list of polynomials that vanish on the set, and a list of polynomials that vanish at no point of the set. For each quasi-algebraic set, the solution of the linear system is given, as a particular solution and a basis of the homogeneous system. \\blankline The parametric linear system should be given in matrix form, with a coefficient matrix and a right hand side vector. The entries of the coefficient matrix and right hand side vector should be polynomials in the parametric variables, over a Euclidean domain of characteristic zero. \\blankline If the system is homogeneous, the right hand side need not be given. The right hand side can also be replaced by an indeterminate vector, in which case, the conditions required for consistency will also be given. \\blankline The package has other facilities for saving results to external files, as well as solving the system for a specified minimum rank. Altogether there are 12 mode maps for psolve, as explained below.")) (|inconsistent?| (((|Boolean|) (|List| (|Polynomial| |#1|))) "inconsistant?(pl) returns \\spad{true} if the system of equations \\spad{p} = 0 for \\spad{p} in \\spad{pl} is inconsistent. It is assumed that \\spad{pl} is a groebner basis.") (((|Boolean|) (|List| |#4|)) "inconsistant?(pl) returns \\spad{true} if the system of equations \\spad{p} = 0 for \\spad{p} in \\spad{pl} is inconsistent. It is assumed that \\spad{pl} is a groebner basis.")) (|sqfree| ((|#4| |#4|) "\\spad{sqfree(p)} returns the product of square free factors of \\spad{p}")) (|regime| (((|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))) (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|List| |#4|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|)) "\\spad{regime(y,c, \\spad{w,} \\spad{p,} \\spad{r,} \\spad{rm,} \\spad{m)}} returns a regime, a list of polynomials specifying the consistency conditions, a particular solution and basis representing the general solution of the parametric linear system \\spad{c} \\spad{z} = \\spad{w} on that regime. The regime returned depends on the subdeterminant y.det and the row and column indices. The solutions are simplified using the assumption that the system has rank \\spad{r} and maximum rank \\spad{rm.} The list \\spad{p} represents a list of list of factors of polynomials in a groebner basis of the ideal generated by higher order subdeterminants, and ius used for the simplification. The mode \\spad{m} distinguishes the cases when the system is homogeneous, or the right hand side is arbitrary, or when there is no new right hand side variables.")) (|redmat| (((|Matrix| |#4|) (|Matrix| |#4|) (|List| |#4|)) "\\spad{redmat(m,g)} returns a matrix whose entries are those of \\spad{m} modulo the ideal generated by the groebner basis \\spad{g}")) (|ParCond| (((|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|Matrix| |#4|) (|NonNegativeInteger|)) "\\spad{ParCond(m,k)} returns the list of all \\spad{k} by \\spad{k} subdeterminants in the matrix \\spad{m}")) (|overset?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) "\\spad{overset?(s,sl)} returns \\spad{true} if \\spad{s} properly a sublist of a member of \\spad{sl;} otherwise it returns \\spad{false}")) (|nextSublist| (((|List| (|List| (|Integer|))) (|Integer|) (|Integer|)) "\\spad{nextSublist(n,k)} returns a list of k-subsets of \\spad{{1,} ..., \\spad{n}.}")) (|minset| (((|List| (|List| |#4|)) (|List| (|List| |#4|))) "\\spad{minset(sl)} returns the sublist of \\spad{sl} consisting of the minimal lists (with respect to inclusion) in the list \\spad{sl} of lists")) (|minrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) "\\spad{minrank(r)} returns the minimum rank in the list \\spad{r} of regimes")) (|maxrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) "\\spad{maxrank(r)} returns the maximum rank in the list \\spad{r} of regimes")) (|factorset| (((|List| |#4|) |#4|) "\\spad{factorset(p)} returns the set of irreducible factors of \\spad{p.}")) (|B1solve| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| |#1|)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) "\\spad{B1solve(s)} solves the system (s.mat) \\spad{z} = s.vec for the variables given by the column indices of s.cols in terms of the other variables and the right hand side s.vec by assuming that the rank is s.rank, that the system is consistent, with the linearly independent equations indexed by the given row indices s.rows; the coefficients in s.mat involving parameters are treated as polynomials. B1solve(s) returns a particular solution to the system and a basis of the homogeneous system (s.mat) \\spad{z} = 0.")) (|redpps| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|List| |#4|)) "\\spad{redpps(s,g)} returns the simplified form of \\spad{s} after reducing modulo a groebner basis \\spad{g}")) (|ParCondList| (((|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))) (|Matrix| |#4|) (|NonNegativeInteger|)) "\\spad{ParCondList(c,r)} computes a list of subdeterminants of each rank \\spad{>=} \\spad{r} of the matrix \\spad{c} and returns a groebner basis for the ideal they generate")) (|hasoln| (((|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| |#4|)) (|:| |n0| (|List| |#4|))) (|List| |#4|) (|List| |#4|)) "\\spad{hasoln(g, \\spad{l)}} tests whether the quasi-algebraic set defined by \\spad{p} = 0 for \\spad{p} in \\spad{g} and \\spad{q} \\spad{^=} 0 for \\spad{q} in \\spad{l} is empty or not and returns a simplified definition of the quasi-algebraic set")) (|pr2dmp| ((|#4| (|Polynomial| |#1|)) "\\spad{pr2dmp(p)} converts \\spad{p} to target domain")) (|se2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{se2rfi(l)} converts \\spad{l} to target domain")) (|dmp2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| |#4|)) "\\spad{dmp2rfi(l)} converts \\spad{l} to target domain") (((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Matrix| |#4|)) "\\spad{dmp2rfi(m)} converts \\spad{m} to target domain") (((|Fraction| (|Polynomial| |#1|)) |#4|) "\\spad{dmp2rfi(p)} converts \\spad{p} to target domain")) (|bsolve| (((|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))))) (|:| |rgsz| (|Integer|))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|String|) (|Integer|)) "\\spad{bsolve(c, \\spad{w,} \\spad{r,} \\spad{s,} \\spad{m)}} returns a list of regimes and solutions of the system \\spad{c} \\spad{z} = \\spad{w} for ranks at least \\spad{r;} depending on the mode \\spad{m} chosen, it writes the output to a file given by the string \\spad{s.}")) (|rdregime| (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) "\\spad{rdregime(s)} reads in a list from a file with name \\spad{s}")) (|wrregime| (((|Integer|) (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) "\\spad{wrregime(l,s)} writes a list of regimes to a file named \\spad{s} and returns the number of regimes written")) (|psolve| (((|Integer|) (|Matrix| |#4|) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,k,s)} solves \\spad{c} \\spad{z} = 0 for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,w,k,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and indeterminate right hand side \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,w,k,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and given right hand side \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|String|)) "\\spad{psolve(c,s)} solves \\spad{c} \\spad{z} = 0 for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|String|)) "\\spad{psolve(c,w,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and indeterminate right hand side \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|String|)) "\\spad{psolve(c,w,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|PositiveInteger|)) "\\spad{psolve(c)} solves the homogeneous linear system \\spad{c} \\spad{z} = 0 for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|)) "\\spad{psolve(c,w,k)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and indeterminate right hand side \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|)) "\\spad{psolve(c,w,k)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and given right hand side vector \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|)) "\\spad{psolve(c)} solves the homogeneous linear system \\spad{c} \\spad{z} = 0 for all possible ranks of the matrix \\spad{c}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|))) "\\spad{psolve(c,w)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and indeterminate right hand side \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|)) "\\spad{psolve(c,w)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w}"))) 
 NIL 
 NIL 
-(-927 S) 
+(-930 S) 
 ((|constructor| (NIL "\\spad{PlotFunctions1} provides facilities for plotting curves where functions \\spad{SF} \\spad{->} \\spad{SF} are specified by giving an expression")) (|plotPolar| (((|Plot|) |#1| (|Symbol|)) "\\spad{plotPolar(f,theta)} plots the graph of \\spad{r = f(theta)} as \\spad{theta} ranges from 0 to 2 \\spad{pi}") (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plotPolar(f,theta,seg)} plots the graph of \\spad{r = f(theta)} as \\spad{theta} ranges over an interval")) (|plot| (((|Plot|) |#1| |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,t,seg)} plots the graph of \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over an interval.") (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plot(fcn,x,seg)} plots the graph of \\spad{y = f(x)} on a interval"))) 
 NIL 
 NIL 
-(-928) 
+(-931) 
 ((|constructor| (NIL "Plot3D supports parametric plots defined over a real number system. A real number system is a model for the real numbers and as such may be an approximation. For example, floating point numbers and infinite continued fractions are real number systems. The facilities at this point are limited to 3-dimensional parametric plots.")) (|debug3D| (((|Boolean|) (|Boolean|)) "\\spad{debug3D(true)} turns debug mode on; debug3D(false) turns debug mode off.")) (|numFunEvals3D| (((|Integer|)) "\\spad{numFunEvals3D()} returns the number of points computed.")) (|setAdaptive3D| (((|Boolean|) (|Boolean|)) "\\spad{setAdaptive3D(true)} turns adaptive plotting on; setAdaptive3D(false) turns adaptive plotting off.")) (|adaptive3D?| (((|Boolean|)) "\\spad{adaptive3D?()} determines whether plotting be done adaptively.")) (|setScreenResolution3D| (((|Integer|) (|Integer|)) "\\spad{setScreenResolution3D(i)} sets the screen resolution for a 3d graph to i.")) (|screenResolution3D| (((|Integer|)) "\\spad{screenResolution3D()} returns the screen resolution for a 3d graph.")) (|setMaxPoints3D| (((|Integer|) (|Integer|)) "\\spad{setMaxPoints3D(i)} sets the maximum number of points in a plot to i.")) (|maxPoints3D| (((|Integer|)) "\\spad{maxPoints3D()} returns the maximum number of points in a plot.")) (|setMinPoints3D| (((|Integer|) (|Integer|)) "\\spad{setMinPoints3D(i)} sets the minimum number of points in a plot to i.")) (|minPoints3D| (((|Integer|)) "\\spad{minPoints3D()} returns the minimum number of points in a plot.")) (|tValues| (((|List| (|List| (|DoubleFloat|))) $) "\\spad{tValues(p)} returns a list of lists of the values of the parameter for which a point is computed, one list for each curve in the plot \\spad{p.}")) (|tRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{tRange(p)} returns the range of the parameter in a parametric plot \\spad{p.}")) (|refine| (($ $) "\\spad{refine(x)} is not documented") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{refine(x,r)} is not documented")) (|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,r,s,t)} is not documented")) (|plot| (($ $ (|Segment| (|DoubleFloat|))) "\\spad{plot(x,r)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f1,f2,f3,f4,x,y,z,w)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,h,a..b)} plots {/emx = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges over {/em[a,b]}.")) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(f,x,y,z,w)} is not documented") (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(f,g,h,a..b)} plots {/emx = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges over {/em[a,b]}."))) 
 NIL 
 NIL 
-(-929) 
+(-932) 
 ((|constructor| (NIL "The Plot domain supports plotting of functions defined over a real number system. A real number system is a model for the real numbers and as such may be an approximation. For example floating point numbers and infinite continued fractions. The facilities at this point are limited to 2-dimensional plots or either a single function or a parametric function.")) (|debug| (((|Boolean|) (|Boolean|)) "\\spad{debug(true)} turns debug mode on \\spad{debug(false)} turns debug mode off")) (|numFunEvals| (((|Integer|)) "\\spad{numFunEvals()} returns the number of points computed")) (|setAdaptive| (((|Boolean|) (|Boolean|)) "\\spad{setAdaptive(true)} turns adaptive plotting on \\spad{setAdaptive(false)} turns adaptive plotting off")) (|adaptive?| (((|Boolean|)) "\\spad{adaptive?()} determines whether plotting be done adaptively")) (|setScreenResolution| (((|Integer|) (|Integer|)) "\\spad{setScreenResolution(i)} sets the screen resolution to \\spad{i}")) (|screenResolution| (((|Integer|)) "\\spad{screenResolution()} returns the screen resolution")) (|setMaxPoints| (((|Integer|) (|Integer|)) "\\spad{setMaxPoints(i)} sets the maximum number of points in a plot to \\spad{i}")) (|maxPoints| (((|Integer|)) "\\spad{maxPoints()} returns the maximum number of points in a plot")) (|setMinPoints| (((|Integer|) (|Integer|)) "\\spad{setMinPoints(i)} sets the minimum number of points in a plot to \\spad{i}")) (|minPoints| (((|Integer|)) "\\spad{minPoints()} returns the minimum number of points in a plot")) (|tRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{tRange(p)} returns the range of the parameter in a parametric plot \\spad{p}")) (|refine| (($ $) "\\spad{refine(p)} performs a refinement on the plot \\spad{p}") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{refine(x,r)} is not documented")) (|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,r,s)} is not documented") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,r)} is not documented")) (|parametric?| (((|Boolean|) $) "\\spad{parametric? determines} whether it is a parametric plot?")) (|plotPolar| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) "\\spad{plotPolar(f)} plots the polar curve \\spad{r = f(theta)} as theta ranges over the interval \\spad{[0,2*\\%pi]}; this is the same as the parametric curve \\spad{x = f(t)*cos(t)}, \\spad{y = f(t)*sin(t)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plotPolar(f,a..b)} plots the polar curve \\spad{r = f(theta)} as theta ranges over the interval \\spad{[a,b]}; this is the same as the parametric curve \\spad{x = f(t)*cos(t)}, \\spad{y = f(t)*sin(t)}.")) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(t \\spad{+->} (f(t),g(t)),a..b,c..d,e..f)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}; x-range of \\spad{[c,d]} and y-range of \\spad{[e,f]} are noted in Plot object.") (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(t \\spad{+->} (f(t),g(t)),a..b)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}.")) (|plot| (($ $ (|Segment| (|DoubleFloat|))) "\\spad{plot(x,r)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,a..b,c..d,e..f)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}; x-range of \\spad{[c,d]} and y-range of \\spad{[e,f]} are noted in Plot object.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,a..b)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}.") (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot([f1,...,fm],a..b,c..d)} plots the functions \\spad{y = f1(x)},..., \\spad{y = fm(x)} on the interval \\spad{a..b}; y-range of \\spad{[c,d]} is noted in Plot object.") (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|))) "\\spad{plot([f1,...,fm],a..b)} plots the functions \\spad{y = f1(x)},..., \\spad{y = fm(x)} on the interval \\spad{a..b}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,a..b,c..d)} plots the function \\spad{f(x)} on the interval \\spad{[a,b]}; y-range of \\spad{[c,d]} is noted in Plot object.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\indented{1}{plot(f,a..b) plots the function \\spad{f(x)}} \\indented{1}{on the interval \\spad{[a,b]}.} \\blankline \\spad{X} fp:=(t:DFLOAT):DFLOAT \\spad{+->} sin(t) \\spad{X} plot(fp,-1.0..1.0)$PLOT"))) 
 NIL 
 NIL 
-(-930) 
+(-933) 
 ((|constructor| (NIL "This package exports plotting tools")) (|calcRanges| (((|List| (|Segment| (|DoubleFloat|))) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{calcRanges(l)} \\undocumented"))) 
 NIL 
 NIL 
-(-931 K |PolyRing| E -4360 |ProjPt|) 
+(-934 K |PolyRing| E -3020 |ProjPt|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|multiplicity| (((|NonNegativeInteger|) |#2| |#5| (|Integer|)) "\\spad{multiplicity returns} the multiplicity of the polynomial at given point.") (((|NonNegativeInteger|) |#2| |#5|) "\\spad{multiplicity returns} the multiplicity of the polynomial at given point.")) (|minimalForm| ((|#2| |#2| |#5| (|Integer|)) "\\spad{minimalForm returns} the minimal form after translation to the origin.") ((|#2| |#2| |#5|) "\\spad{minimalForm returns} the minimal form after translation to the origin.")) (|translateToOrigin| ((|#2| |#2| |#5|) "\\spad{translateToOrigin translate} the polynomial from the given point to the origin") ((|#2| |#2| |#5| (|Integer|)) "\\spad{translateToOrigin translate} the polynomial from the given point to the origin")) (|eval| ((|#1| |#2| |#5|) "\\spad{eval returns} the value at given point.")) (|pointInIdeal?| (((|Boolean|) (|List| |#2|) |#5|) "\\spad{pointInIdeal? test} if the given point is in the algebraic set defined by the given list of polynomials."))) 
 NIL 
 NIL 
-(-932 R -1647) 
+(-935 R -3280) 
 ((|constructor| (NIL "Attaching assertions to symbols for pattern matching.")) (|multiple| ((|#2| |#2|) "\\spad{multiple(x)} tells the pattern matcher that \\spad{x} should preferably match a multi-term quantity in a sum or product. For matching on lists, multiple(x) tells the pattern matcher that \\spad{x} should match a list instead of an element of a list. Error: if \\spad{x} is not a symbol.")) (|optional| ((|#2| |#2|) "\\spad{optional(x)} tells the pattern matcher that \\spad{x} can match an identity \\spad{(0} in a sum, 1 in a product or exponentiation). Error: if \\spad{x} is not a symbol.")) (|constant| ((|#2| |#2|) "\\spad{constant(x)} tells the pattern matcher that \\spad{x} should match only the symbol \\spad{'x} and no other quantity. Error: if \\spad{x} is not a symbol.")) (|assert| ((|#2| |#2| (|String|)) "\\spad{assert(x, \\spad{s)}} makes the assertion \\spad{s} about \\spad{x.} Error: if \\spad{x} is not a symbol."))) 
 NIL 
 NIL 
-(-933) 
+(-936) 
 ((|constructor| (NIL "Attaching assertions to symbols for pattern matching.")) (|multiple| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{multiple(x)} tells the pattern matcher that \\spad{x} should preferably match a multi-term quantity in a sum or product. For matching on lists, multiple(x) tells the pattern matcher that \\spad{x} should match a list instead of an element of a list.")) (|optional| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{optional(x)} tells the pattern matcher that \\spad{x} can match an identity \\spad{(0} in a sum, 1 in a product or exponentiation)..")) (|constant| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{constant(x)} tells the pattern matcher that \\spad{x} should match only the symbol \\spad{'x} and no other quantity.")) (|assert| (((|Expression| (|Integer|)) (|Symbol|) (|String|)) "\\spad{assert(x, \\spad{s)}} makes the assertion \\spad{s} about \\spad{x.}"))) 
 NIL 
 NIL 
-(-934 S A B) 
+(-937 S A B) 
 ((|constructor| (NIL "This packages provides tools for matching recursively in type towers.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#2| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr; res contains the variables of \\spad{pat} which are already matched and their matches. Note that this function handles type towers by changing the predicates and calling the matching function provided by \\spad{A}.")) (|fixPredicate| (((|Mapping| (|Boolean|) |#2|) (|Mapping| (|Boolean|) |#3|)) "\\spad{fixPredicate(f)} returns \\spad{g} defined by g(a) = f(a::B)."))) 
 NIL 
 NIL 
-(-935 S R -1647) 
+(-938 S R -3280) 
 ((|constructor| (NIL "This package provides pattern matching functions on function spaces.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-936 I) 
+(-939 I) 
 ((|constructor| (NIL "This package provides pattern matching functions on integers.")) (|patternMatch| (((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|)) "\\spad{patternMatch(n, pat, res)} matches the pattern \\spad{pat} to the integer \\spad{n;} res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-937 S E) 
+(-940 S E) 
 ((|constructor| (NIL "This package provides pattern matching functions on kernels.")) (|patternMatch| (((|PatternMatchResult| |#1| |#2|) (|Kernel| |#2|) (|Pattern| |#1|) (|PatternMatchResult| |#1| |#2|)) "\\spad{patternMatch(f(e1,...,en), pat, res)} matches the pattern \\spad{pat} to \\spad{f(e1,...,en)}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-938 S R L) 
+(-941 S R L) 
 ((|constructor| (NIL "This package provides pattern matching functions on lists.")) (|patternMatch| (((|PatternMatchListResult| |#1| |#2| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchListResult| |#1| |#2| |#3|)) "\\spad{patternMatch(l, pat, res)} matches the pattern \\spad{pat} to the list \\spad{l;} res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-939 S E V R P) 
+(-942 S E V R P) 
 ((|constructor| (NIL "This package provides pattern matching functions on polynomials.")) (|patternMatch| (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|)) "\\spad{patternMatch(p, pat, res)} matches the pattern \\spad{pat} to the polynomial \\spad{p;} res contains the variables of \\spad{pat} which are already matched and their matches.") (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|) (|Mapping| (|PatternMatchResult| |#1| |#5|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|))) "\\spad{patternMatch(p, pat, res, vmatch)} matches the pattern \\spad{pat} to the polynomial \\spad{p.} \\spad{res} contains the variables of \\spad{pat} which are already matched and their matches; vmatch is the matching function to use on the variables."))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -883) (|devaluate| |#1|)))) 
-(-940 R -1647 -3712) 
+((|HasCategory| |#3| (LIST (QUOTE -886) (|devaluate| |#1|)))) 
+(-943 R -3280 -1544) 
 ((|constructor| (NIL "Attaching predicates to symbols for pattern matching.")) (|suchThat| ((|#2| |#2| (|List| (|Mapping| (|Boolean|) |#3|))) "\\spad{suchThat(x, [f1, \\spad{f2,} ..., fn])} attaches the predicate \\spad{f1} and \\spad{f2} and \\spad{...} and \\spad{fn} to \\spad{x.} Error: if \\spad{x} is not a symbol.") ((|#2| |#2| (|Mapping| (|Boolean|) |#3|)) "\\spad{suchThat(x, foo)} attaches the predicate foo to \\spad{x;} error if \\spad{x} is not a symbol."))) 
 NIL 
 NIL 
-(-941 -3712) 
+(-944 -1544) 
 ((|constructor| (NIL "Attaching predicates to symbols for pattern matching.")) (|suchThat| (((|Expression| (|Integer|)) (|Symbol|) (|List| (|Mapping| (|Boolean|) |#1|))) "\\spad{suchThat(x, [f1, \\spad{f2,} ..., fn])} attaches the predicate \\spad{f1} and \\spad{f2} and \\spad{...} and \\spad{fn} to \\spad{x.}") (((|Expression| (|Integer|)) (|Symbol|) (|Mapping| (|Boolean|) |#1|)) "\\spad{suchThat(x, foo)} attaches the predicate foo to \\spad{x.}"))) 
 NIL 
 NIL 
-(-942 S R Q) 
+(-945 S R Q) 
 ((|constructor| (NIL "This package provides pattern matching functions on quotients.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(a/b, pat, res)} matches the pattern \\spad{pat} to the quotient a/b; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-943 S) 
+(-946 S) 
 ((|constructor| (NIL "This package provides pattern matching functions on symbols.")) (|patternMatch| (((|PatternMatchResult| |#1| (|Symbol|)) (|Symbol|) (|Pattern| |#1|) (|PatternMatchResult| |#1| (|Symbol|))) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr; res contains the variables of \\spad{pat} which are already matched and their matches (necessary for recursion)."))) 
 NIL 
 NIL 
-(-944 S R P) 
+(-947 S R P) 
 ((|constructor| (NIL "This package provides tools for the pattern matcher.")) (|patternMatchTimes| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) "\\spad{patternMatchTimes(lsubj, lpat, res, match)} matches the product of patterns \\spad{reduce(*,lpat)} to the product of subjects \\spad{reduce(*,lsubj)}; \\spad{r} contains the previous matches and match is a pattern-matching function on \\spad{P.}")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|Mapping| |#3| (|List| |#3|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) "\\spad{patternMatch(lsubj, lpat, op, res, match)} matches the list of patterns \\spad{lpat} to the list of subjects lsubj, allowing for commutativity; \\spad{op} is the operator such that op(lpat) should match op(lsubj) at the end, \\spad{r} contains the previous matches, and match is a pattern-matching function on \\spad{P.}"))) 
 NIL 
 NIL 
-(-945) 
+(-948) 
 ((|constructor| (NIL "This package provides various polynomial number theoretic functions over the integers.")) (|legendre| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{legendre(n)} returns the \\spad{n}th Legendre polynomial \\spad{P[n](x)}. Note that Legendre polynomials, denoted \\spad{P[n](x)}, are computed from the two term recurrence. The generating function is: \\spad{1/sqrt(1-2*t*x+t**2) = sum(P[n](x)*t**n, n=0..infinity)}.")) (|laguerre| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{laguerre(n)} returns the \\spad{n}th Laguerre polynomial \\spad{L[n](x)}. Note that Laguerre polynomials, denoted \\spad{L[n](x)}, are computed from the two term recurrence. The generating function is: \\spad{exp(x*t/(t-1))/(1-t) = sum(L[n](x)*t**n/n!, n=0..infinity)}.")) (|hermite| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{hermite(n)} returns the \\spad{n}th Hermite polynomial \\spad{H[n](x)}. Note that Hermite polynomials, denoted \\spad{H[n](x)}, are computed from the two term recurrence. The generating function is: \\spad{exp(2*t*x-t**2) = sum(H[n](x)*t**n/n!, n=0..infinity)}.")) (|fixedDivisor| (((|Integer|) (|SparseUnivariatePolynomial| (|Integer|))) "\\spad{fixedDivisor(a)} for \\spad{a(x)} in \\spad{Z[x]} is the largest integer \\spad{f} such that \\spad{f} divides \\spad{a(x=k)} for all integers \\spad{k.} Note that fixed divisor of \\spad{a} is \\spad{reduce(gcd,[a(x=k) for \\spad{k} in 0..degree(a)])}.")) (|euler| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{euler(n)} returns the \\spad{n}th Euler polynomial \\spad{E[n](x)}. Note that Euler polynomials denoted \\spad{E(n,x)} computed by solving the differential equation \\spad{differentiate(E(n,x),x) = \\spad{n} E(n-1,x)} where \\spad{E(0,x) = 1} and initial condition comes from \\spad{E(n) = 2**n E(n,1/2)}.")) (|cyclotomic| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{cyclotomic(n)} returns the \\spad{n}th cyclotomic polynomial \\spad{phi[n](x)}. Note that \\spad{phi[n](x)} is the factor of \\spad{x**n - 1} whose roots are the primitive \\spad{n}th roots of unity.")) (|chebyshevU| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{chebyshevU(n)} returns the \\spad{n}th Chebyshev polynomial \\spad{U[n](x)}. Note that Chebyshev polynomials of the second kind, denoted \\spad{U[n](x)}, computed from the two term recurrence. The generating function \\spad{1/(1-2*t*x+t**2) = sum(T[n](x)*t**n, n=0..infinity)}.")) (|chebyshevT| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{chebyshevT(n)} returns the \\spad{n}th Chebyshev polynomial \\spad{T[n](x)}. Note that Chebyshev polynomials of the first kind, denoted \\spad{T[n](x)}, computed from the two term recurrence. The generating function \\spad{(1-t*x)/(1-2*t*x+t**2) = sum(T[n](x)*t**n, n=0..infinity)}.")) (|bernoulli| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{bernoulli(n)} returns the \\spad{n}th Bernoulli polynomial \\spad{B[n](x)}. Bernoulli polynomials denoted \\spad{B(n,x)} computed by solving the differential equation \\spad{differentiate(B(n,x),x) = \\spad{n} B(n-1,x)} where \\spad{B(0,x) = 1} and initial condition comes from \\spad{B(n) = B(n,0)}."))) 
 NIL 
 NIL 
-(-946 R) 
+(-949 R) 
 ((|constructor| (NIL "This domain implements points in coordinate space"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#1| (QUOTE (-1049))) (-12 (|HasCategory| |#1| (QUOTE (-1004))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-947 |lv| R) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-721))) (|HasCategory| |#1| (QUOTE (-1053))) (-12 (|HasCategory| |#1| (QUOTE (-1008))) (|HasCategory| |#1| (QUOTE (-1053)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-950 |lv| R) 
 ((|constructor| (NIL "Package with the conversion functions among different kind of polynomials")) (|pToDmp| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)) "\\spad{pToDmp(p)} converts \\spad{p} from a \\spadtype{POLY} to a \\spadtype{DMP}.")) (|dmpToP| (((|Polynomial| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{dmpToP(p)} converts \\spad{p} from a \\spadtype{DMP} to a \\spadtype{POLY}.")) (|hdmpToP| (((|Polynomial| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{hdmpToP(p)} converts \\spad{p} from a \\spadtype{HDMP} to a \\spadtype{POLY}.")) (|pToHdmp| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)) "\\spad{pToHdmp(p)} converts \\spad{p} from a \\spadtype{POLY} to a \\spadtype{HDMP}.")) (|hdmpToDmp| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{hdmpToDmp(p)} converts \\spad{p} from a \\spadtype{HDMP} to a \\spadtype{DMP}.")) (|dmpToHdmp| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{dmpToHdmp(p)} converts \\spad{p} from a \\spadtype{DMP} to a \\spadtype{HDMP}."))) 
 NIL 
 NIL 
-(-948 |TheField| |ThePols|) 
+(-951 |TheField| |ThePols|) 
 ((|constructor| (NIL "\\axiomType{RealPolynomialUtilitiesPackage} provides common functions used by interval coding.")) (|lazyVariations| (((|NonNegativeInteger|) (|List| |#1|) (|Integer|) (|Integer|)) "\\axiom{lazyVariations(l,s1,sn)} is the number of sign variations in the list of non null numbers [s1::l]@sn.")) (|sturmVariationsOf| (((|NonNegativeInteger|) (|List| |#1|)) "\\axiom{sturmVariationsOf(l)} is the number of sign variations in the list of numbers \\spad{l,} note that the first term counts as a sign")) (|boundOfCauchy| ((|#1| |#2|) "\\axiom{boundOfCauchy(p)} bounds the roots of \\spad{p}")) (|sturmSequence| (((|List| |#2|) |#2|) "\\axiom{sturmSequence(p) = sylvesterSequence(p,p')}")) (|sylvesterSequence| (((|List| |#2|) |#2| |#2|) "\\axiom{sylvesterSequence(p,q)} is the negated remainder sequence of \\spad{p} and \\spad{q} divided by the last computed term"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-842)))) 
-(-949 R S) 
+((|HasCategory| |#1| (QUOTE (-845)))) 
+(-952 R S) 
 ((|constructor| (NIL "This package takes a mapping between coefficient rings, and lifts it to a mapping between polynomials over those rings.")) (|map| (((|Polynomial| |#2|) (|Mapping| |#2| |#1|) (|Polynomial| |#1|)) "\\spad{map(f, \\spad{p)}} produces a new polynomial as a result of applying the function \\spad{f} to every coefficient of the polynomial \\spad{p.}"))) 
 NIL 
 NIL 
-(-950 |x| R) 
+(-953 |x| R) 
 ((|constructor| (NIL "This package is primarily to help the interpreter do coercions. It allows you to view a polynomial as a univariate polynomial in one of its variables with coefficients which are again a polynomial in all the other variables.")) (|univariate| (((|UnivariatePolynomial| |#1| (|Polynomial| |#2|)) (|Polynomial| |#2|) (|Variable| |#1|)) "\\spad{univariate(p, \\spad{x)}} converts the polynomial \\spad{p} to a one of type \\spad{UnivariatePolynomial(x,Polynomial(R))}, ie. as a member of \\spad{R[...][x]}."))) 
 NIL 
 NIL 
-(-951 S R E |VarSet|) 
+(-954 S R E |VarSet|) 
 ((|constructor| (NIL "The category for general multi-variate polynomials over a ring \\spad{R,} in variables from VarSet, with exponents from the \\spadtype{OrderedAbelianMonoidSup}.")) (|canonicalUnitNormal| ((|attribute|) "we can choose a unique representative for each associate class. This normalization is chosen to be normalization of leading coefficient (by default).")) (|squareFreePart| (($ $) "\\spad{squareFreePart(p)} returns product of all the irreducible factors of polynomial \\spad{p} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(p)} returns the square free factorization of the polynomial \\spad{p.}")) (|primitivePart| (($ $ |#4|) "\\spad{primitivePart(p,v)} returns the unitCanonical associate of the polynomial \\spad{p} with its content with respect to the variable \\spad{v} divided out.") (($ $) "\\spad{primitivePart(p)} returns the unitCanonical associate of the polynomial \\spad{p} with its content divided out.")) (|content| (($ $ |#4|) "\\spad{content(p,v)} is the \\spad{gcd} of the coefficients of the polynomial \\spad{p} when \\spad{p} is viewed as a univariate polynomial with respect to the variable \\spad{v.} Thus, for polynomial 7*x**2*y + 14*x*y**2, the \\spad{gcd} of the coefficients with respect to \\spad{x} is 7*y.")) (|discriminant| (($ $ |#4|) "\\spad{discriminant(p,v)} returns the disriminant of the polynomial \\spad{p} with respect to the variable \\spad{v.}")) (|resultant| (($ $ $ |#4|) "\\spad{resultant(p,q,v)} returns the resultant of the polynomials \\spad{p} and \\spad{q} with respect to the variable \\spad{v.}")) (|primitiveMonomials| (((|List| $) $) "\\spad{primitiveMonomials(p)} gives the list of monomials of the polynomial \\spad{p} with their coefficients removed. Note that \\spad{primitiveMonomials(sum(a_(i) X^(i))) = [X^(1),...,X^(n)]}.")) (|variables| (((|List| |#4|) $) "\\spad{variables(p)} returns the list of those variables actually appearing in the polynomial \\spad{p.}")) (|totalDegree| (((|NonNegativeInteger|) $ (|List| |#4|)) "\\spad{totalDegree(p, lv)} returns the maximum sum (over all monomials of polynomial \\spad{p)} of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $) "\\spad{totalDegree(p)} returns the largest sum over all monomials of all exponents of a monomial.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#4|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if polynomial \\spad{p} has the form \\spad{x**n} and \\spad{n > 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if polynomial \\spad{p = \\spad{a1} \\spad{...} an} and \\spad{n \\spad{>=} 2}, and, for each i, \\spad{ai} is either a nontrivial constant in \\spad{R} or else of the form \\spad{x**e}, where \\spad{e > 0} is an integer and \\spad{x} in a member of VarSet.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if polynomial \\spad{p = \\spad{m1} + \\spad{...} + \\spad{mn}} and \\spad{n \\spad{>=} 2} and each \\spad{mi} is a nonzero monomial.")) (|multivariate| (($ (|SparseUnivariatePolynomial| $) |#4|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}") (($ (|SparseUnivariatePolynomial| |#2|) |#4|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}")) (|monomial| (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,[v1..vn],[e1..en])} returns \\spad{a*prod(vi**ei)}.") (($ $ |#4| (|NonNegativeInteger|)) "\\spad{monomial(a,x,n)} creates the monomial \\spad{a*x**n} where \\spad{a} is a polynomial, \\spad{x} is a variable and \\spad{n} is a nonnegative integer.")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\spad{monicDivide(a,b,v)} divides the polynomial a by the polynomial \\spad{b,} with each viewed as a univariate polynomial in \\spad{v} returning both the quotient and remainder. Error: if \\spad{b} is not monic with respect to \\spad{v.}")) (|minimumDegree| (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) "\\spad{minimumDegree(p, lv)} gives the list of minimum degrees of the polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}") (((|NonNegativeInteger|) $ |#4|) "\\spad{minimumDegree(p,v)} gives the minimum degree of polynomial \\spad{p} with respect to \\spad{v,} \\spadignore{i.e.} viewed a univariate polynomial in \\spad{v}")) (|mainVariable| (((|Union| |#4| "failed") $) "\\spad{mainVariable(p)} returns the biggest variable which actually occurs in the polynomial \\spad{p,} or \"failed\" if no variables are present. fails precisely if polynomial satisfies ground?")) (|univariate| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{univariate(p)} converts the multivariate polynomial \\spad{p,} which should actually involve only one variable, into a univariate polynomial in that variable, whose coefficients are in the ground ring. Error: if polynomial is genuinely multivariate") (((|SparseUnivariatePolynomial| $) $ |#4|) "\\spad{univariate(p,v)} converts the multivariate polynomial \\spad{p} into a univariate polynomial in \\spad{v,} whose coefficients are still multivariate polynomials (in all the other variables).")) (|monomials| (((|List| $) $) "\\spad{monomials(p)} returns the list of non-zero monomials of polynomial \\spad{p,} \\spadignore{i.e.} \\spad{monomials(sum(a_(i) X^(i))) = [a_(1) X^(1),...,a_(n) X^(n)]}.")) (|coefficient| (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(p, \\spad{lv,} ln)} views the polynomial \\spad{p} as a polynomial in the variables of \\spad{lv} and returns the coefficient of the term \\spad{lv**ln}, \\spadignore{i.e.} \\spad{prod(lv_i \\spad{**} ln_i)}.") (($ $ |#4| (|NonNegativeInteger|)) "\\spad{coefficient(p,v,n)} views the polynomial \\spad{p} as a univariate polynomial in \\spad{v} and returns the coefficient of the \\spad{v**n} term.")) (|degree| (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) "\\spad{degree(p,lv)} gives the list of degrees of polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $ |#4|) "\\spad{degree(p,v)} gives the degree of polynomial \\spad{p} with respect to the variable \\spad{v.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-906))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#4| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#4| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#4| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-844)))) 
-(-952 R E |VarSet|) 
+((|HasCategory| |#2| (QUOTE (-909))) (|HasAttribute| |#2| (QUOTE -4598)) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#4| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#4| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#4| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#4| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#4| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (QUOTE (-847)))) 
+(-955 R E |VarSet|) 
 ((|constructor| (NIL "The category for general multi-variate polynomials over a ring \\spad{R,} in variables from VarSet, with exponents from the \\spadtype{OrderedAbelianMonoidSup}.")) (|canonicalUnitNormal| ((|attribute|) "we can choose a unique representative for each associate class. This normalization is chosen to be normalization of leading coefficient (by default).")) (|squareFreePart| (($ $) "\\spad{squareFreePart(p)} returns product of all the irreducible factors of polynomial \\spad{p} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(p)} returns the square free factorization of the polynomial \\spad{p.}")) (|primitivePart| (($ $ |#3|) "\\spad{primitivePart(p,v)} returns the unitCanonical associate of the polynomial \\spad{p} with its content with respect to the variable \\spad{v} divided out.") (($ $) "\\spad{primitivePart(p)} returns the unitCanonical associate of the polynomial \\spad{p} with its content divided out.")) (|content| (($ $ |#3|) "\\spad{content(p,v)} is the \\spad{gcd} of the coefficients of the polynomial \\spad{p} when \\spad{p} is viewed as a univariate polynomial with respect to the variable \\spad{v.} Thus, for polynomial 7*x**2*y + 14*x*y**2, the \\spad{gcd} of the coefficients with respect to \\spad{x} is 7*y.")) (|discriminant| (($ $ |#3|) "\\spad{discriminant(p,v)} returns the disriminant of the polynomial \\spad{p} with respect to the variable \\spad{v.}")) (|resultant| (($ $ $ |#3|) "\\spad{resultant(p,q,v)} returns the resultant of the polynomials \\spad{p} and \\spad{q} with respect to the variable \\spad{v.}")) (|primitiveMonomials| (((|List| $) $) "\\spad{primitiveMonomials(p)} gives the list of monomials of the polynomial \\spad{p} with their coefficients removed. Note that \\spad{primitiveMonomials(sum(a_(i) X^(i))) = [X^(1),...,X^(n)]}.")) (|variables| (((|List| |#3|) $) "\\spad{variables(p)} returns the list of those variables actually appearing in the polynomial \\spad{p.}")) (|totalDegree| (((|NonNegativeInteger|) $ (|List| |#3|)) "\\spad{totalDegree(p, lv)} returns the maximum sum (over all monomials of polynomial \\spad{p)} of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $) "\\spad{totalDegree(p)} returns the largest sum over all monomials of all exponents of a monomial.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#3|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if polynomial \\spad{p} has the form \\spad{x**n} and \\spad{n > 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if polynomial \\spad{p = \\spad{a1} \\spad{...} an} and \\spad{n \\spad{>=} 2}, and, for each i, \\spad{ai} is either a nontrivial constant in \\spad{R} or else of the form \\spad{x**e}, where \\spad{e > 0} is an integer and \\spad{x} in a member of VarSet.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if polynomial \\spad{p = \\spad{m1} + \\spad{...} + \\spad{mn}} and \\spad{n \\spad{>=} 2} and each \\spad{mi} is a nonzero monomial.")) (|multivariate| (($ (|SparseUnivariatePolynomial| $) |#3|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}") (($ (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}")) (|monomial| (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,[v1..vn],[e1..en])} returns \\spad{a*prod(vi**ei)}.") (($ $ |#3| (|NonNegativeInteger|)) "\\spad{monomial(a,x,n)} creates the monomial \\spad{a*x**n} where \\spad{a} is a polynomial, \\spad{x} is a variable and \\spad{n} is a nonnegative integer.")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\spad{monicDivide(a,b,v)} divides the polynomial a by the polynomial \\spad{b,} with each viewed as a univariate polynomial in \\spad{v} returning both the quotient and remainder. Error: if \\spad{b} is not monic with respect to \\spad{v.}")) (|minimumDegree| (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) "\\spad{minimumDegree(p, lv)} gives the list of minimum degrees of the polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}") (((|NonNegativeInteger|) $ |#3|) "\\spad{minimumDegree(p,v)} gives the minimum degree of polynomial \\spad{p} with respect to \\spad{v,} \\spadignore{i.e.} viewed a univariate polynomial in \\spad{v}")) (|mainVariable| (((|Union| |#3| "failed") $) "\\spad{mainVariable(p)} returns the biggest variable which actually occurs in the polynomial \\spad{p,} or \"failed\" if no variables are present. fails precisely if polynomial satisfies ground?")) (|univariate| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{univariate(p)} converts the multivariate polynomial \\spad{p,} which should actually involve only one variable, into a univariate polynomial in that variable, whose coefficients are in the ground ring. Error: if polynomial is genuinely multivariate") (((|SparseUnivariatePolynomial| $) $ |#3|) "\\spad{univariate(p,v)} converts the multivariate polynomial \\spad{p} into a univariate polynomial in \\spad{v,} whose coefficients are still multivariate polynomials (in all the other variables).")) (|monomials| (((|List| $) $) "\\spad{monomials(p)} returns the list of non-zero monomials of polynomial \\spad{p,} \\spadignore{i.e.} \\spad{monomials(sum(a_(i) X^(i))) = [a_(1) X^(1),...,a_(n) X^(n)]}.")) (|coefficient| (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(p, \\spad{lv,} ln)} views the polynomial \\spad{p} as a polynomial in the variables of \\spad{lv} and returns the coefficient of the term \\spad{lv**ln}, \\spadignore{i.e.} \\spad{prod(lv_i \\spad{**} ln_i)}.") (($ $ |#3| (|NonNegativeInteger|)) "\\spad{coefficient(p,v,n)} views the polynomial \\spad{p} as a univariate polynomial in \\spad{v} and returns the coefficient of the \\spad{v**n} term.")) (|degree| (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) "\\spad{degree(p,lv)} gives the list of degrees of polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $ |#3|) "\\spad{degree(p,v)} gives the degree of polynomial \\spad{p} with respect to the variable \\spad{v.}"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
 NIL 
-(-953 E V R P -1647) 
+(-956 E V R P -3280) 
 ((|constructor| (NIL "Manipulations on polynomial quotients This package transforms multivariate polynomials or fractions into univariate polynomials or fractions, and back.")) (|isPower| (((|Union| (|Record| (|:| |val| |#5|) (|:| |exponent| (|Integer|))) "failed") |#5|) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}, \"failed\" otherwise.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#2|) (|:| |exponent| (|Integer|))) "failed") |#5|) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}, \"failed\" otherwise.")) (|isTimes| (((|Union| (|List| |#5|) "failed") |#5|) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = \\spad{a1} \\spad{...} an} and \\spad{n > 1}, \"failed\" otherwise.")) (|isPlus| (((|Union| (|List| |#5|) "failed") |#5|) "\\spad{isPlus(p)} returns [m1,...,mn] if \\spad{p = \\spad{m1} + \\spad{...} + \\spad{mn}} and \\spad{n > 1}, \"failed\" otherwise.")) (|multivariate| ((|#5| (|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#2|) "\\spad{multivariate(f, \\spad{v)}} applies both the numerator and denominator of \\spad{f} to \\spad{v.}")) (|univariate| (((|SparseUnivariatePolynomial| |#5|) |#5| |#2| (|SparseUnivariatePolynomial| |#5|)) "\\spad{univariate(f, \\spad{x,} \\spad{p)}} returns \\spad{f} viewed as a univariate polynomial in \\spad{x,} using the side-condition \\spad{p(x) = 0}.") (((|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#5| |#2|) "\\spad{univariate(f, \\spad{v)}} returns \\spad{f} viewed as a univariate rational function in \\spad{v.}")) (|mainVariable| (((|Union| |#2| "failed") |#5|) "\\spad{mainVariable(f)} returns the highest variable appearing in the numerator or the denominator of \\spad{f,} \"failed\" if \\spad{f} has no variables.")) (|variables| (((|List| |#2|) |#5|) "\\spad{variables(f)} returns the list of variables appearing in the numerator or the denominator of \\spad{f.}"))) 
 NIL 
 NIL 
-(-954 E |Vars| R P S) 
+(-957 E |Vars| R P S) 
 ((|constructor| (NIL "This package provides a very general map function, which given a set \\spad{S} and polynomials over \\spad{R} with maps from the variables into \\spad{S} and the coefficients into \\spad{S,} maps polynomials into \\spad{S.} \\spad{S} is assumed to support \\spad{+}, \\spad{*} and \\spad{**}.")) (|map| ((|#5| (|Mapping| |#5| |#2|) (|Mapping| |#5| |#3|) |#4|) "\\spad{map(varmap, coefmap, \\spad{p)}} takes a varmap, a mapping from the variables of polynomial \\spad{p} into \\spad{S,} coefmap, a mapping from coefficients of \\spad{p} into \\spad{S,} and \\spad{p,} and produces a member of \\spad{S} using the corresponding arithmetic. in \\spad{S}"))) 
 NIL 
 NIL 
-(-955 R) 
+(-958 R) 
 ((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials whose variables are arbitrary symbols. The ordering is alphabetic determined by the Symbol type. The coefficient ring may be non commutative, but the variables are assumed to commute.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(p,x)} computes the integral of \\spad{p*dx}, \\spadignore{i.e.} integrates the polynomial \\spad{p} with respect to the variable \\spad{x.}"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1165) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1165) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1165) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1165) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1165) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-956 E V R P -1647) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-1169) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-1169) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-1169) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-1169) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-1169) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#1| (QUOTE -4598)) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-959 E V R P -3280) 
 ((|constructor| (NIL "Computes \\spad{n}-th roots of quotients of multivariate polynomials")) (|nthr| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#4|) (|:| |radicand| (|List| |#4|))) |#4| (|NonNegativeInteger|)) "\\spad{nthr(p,n)} should be local but conditional")) (|froot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#5| (|NonNegativeInteger|)) "\\spad{froot(f, \\spad{n)}} returns \\spad{[m,c,r]} such that \\spad{f**(1/n) = \\spad{c} * r**(1/m)}.")) (|qroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) (|Fraction| (|Integer|)) (|NonNegativeInteger|)) "\\spad{qroot(f, \\spad{n)}} returns \\spad{[m,c,r]} such that \\spad{f**(1/n) = \\spad{c} * r**(1/m)}.")) (|rroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#3| (|NonNegativeInteger|)) "\\spad{rroot(f, \\spad{n)}} returns \\spad{[m,c,r]} such that \\spad{f**(1/n) = \\spad{c} * r**(1/m)}.")) (|coerce| (($ |#4|) "\\spad{coerce(p)} \\undocumented")) (|denom| ((|#4| $) "\\spad{denom(x)} \\undocumented")) (|numer| ((|#4| $) "\\spad{numer(x)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-454)))) 
-(-957) 
-((|constructor| (NIL "PlottablePlaneCurveCategory is the category of curves in the plane which may be plotted via the graphics facilities. Functions are provided for obtaining lists of lists of points, representing the branches of the curve, and for determining the ranges of the x-coordinates and y-coordinates of the points on the curve.")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the y-coordinates of the points on the curve \\spad{c.}")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the x-coordinates of the points on the curve \\spad{c.}")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points, representing the branches of the curve \\spad{c.}"))) 
+((|HasCategory| |#3| (QUOTE (-456)))) 
+(-960) 
+((|constructor| (NIL "This is a low-level package which implements operations on vectors treated as univariate modular polynomials. Most operations takes modulus as parameter. Modulus is machine sized prime which should be small enough to avoid overflow in intermediate calculations.")) (|resultant| (((|Integer|) (|U32Vector|) (|U32Vector|) (|Integer|)) "\\spad{resultant(v1, \\spad{v2,} \\spad{p)}} computes resultant of \\spad{v1} and \\spad{v2} modulo \\spad{p.}")) (|extendedgcd| (((|List| (|U32Vector|)) (|U32Vector|) (|U32Vector|) (|Integer|)) "extended_gcd(v1, \\spad{v2,} \\spad{p)} gives \\spad{[g,} \\spad{c1,} \\spad{c2]} such that \\spad{g} is \\spad{gcd(v1, \\spad{v2,} p)}, \\spad{g = \\spad{c1*v1} + c2*v2} and degree(c1) < max(degree(v2) - degree(g), 0) and degree(c2) < max(degree(v1) - degree(g), 1)")) (|degree| (((|Integer|) (|U32Vector|)) "\\spad{degree(v)} is degree of \\spad{v} treated as polynomial")) (|lcm| (((|U32Vector|) (|PrimitiveArray| (|U32Vector|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{lcm(a, lo, hi, \\spad{p)}} computes \\spad{lcm} of elements a(lo), a(lo+1), ..., a(hi).")) (|gcd| (((|U32Vector|) (|PrimitiveArray| (|U32Vector|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{gcd(a, lo, hi, \\spad{p)}} computes \\spad{gcd} of elements a(lo), a(lo+1), ..., a(hi).") (((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|)) "\\spad{gcd(v1, \\spad{v2,} \\spad{p)}} computes monic \\spad{gcd} of \\spad{v1} and \\spad{v2} modulo \\spad{p.}")) (|tomodpa| (((|U32Vector|) (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "to_mod_pa(s, \\spad{p)} reduces coefficients of polynomial \\spad{s} modulo prime \\spad{p} and converts the result to vector")) (|vectorcombination| (((|Void|) (|U32Vector|) (|Integer|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "vector_combination(v1, \\spad{c1,} \\spad{v2,} \\spad{c2,} \\spad{n,} delta, \\spad{p)} replaces first \\spad{n} + 1 entires of \\spad{v1} by corresponding entries of \\spad{c1*v1+c2*x^delta*v2} mod \\spad{p.}")) (|remainder!| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|)) "Polynomial remainder")) (|divide!| (((|Void|) (|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|)) "Polynomial division.")) (|differentiate| (((|U32Vector|) (|U32Vector|) (|NonNegativeInteger|) (|Integer|)) "Polynomial differentiation.") (((|U32Vector|) (|U32Vector|) (|Integer|)) "Polynomial differentiation.")) (|pow| (((|U32Vector|) (|U32Vector|) (|PositiveInteger|) (|NonNegativeInteger|) (|Integer|)) "\\spad{pow(u, \\spad{n,} \\spad{d,} \\spad{p)}} returns u^n truncated after degree \\spad{d,} except if n=1, in which case \\spad{u} itself is returned")) (|truncatedmuladd| (((|Void|) (|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|)) "truncated_mul_add(x, \\spad{y,} \\spad{z,} \\spad{d,} \\spad{p)} adds to \\spad{z} the produce x*y truncated after degree \\spad{d}")) (|truncatedmultiplication| (((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|)) "truncated_multiplication(x, \\spad{y,} \\spad{d,} \\spad{p)} computes x*y truncated after degree \\spad{d}")) (|mul| (((|U32Vector|) (|U32Vector|) (|U32Vector|) (|Integer|)) "Polynomial multiplication.")) (|mulbyscalar| (((|Void|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|)) "mul_by_scalar(v, deg, \\spad{c,} \\spad{p)} treats \\spad{v} as coefficients of polynomial of degree deg and multiplies in place this polynomial by scalar \\spad{c}")) (|mulbybinomial| (((|Void|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|)) "mul_by_binomial(v, deg, \\spad{pt,} \\spad{p)} treats \\spad{v} as coefficients of polynomial of degree deg and multiplies in place this polynomial by binomial \\spad{(x} + pt). Highest coefficient of product is ignored.") (((|Void|) (|U32Vector|) (|Integer|) (|Integer|)) "mul_by_binomial(v, \\spad{pt,} \\spad{p)} treats \\spad{v} a polynomial and multiplies in place this polynomial by binomial \\spad{(x} + pt). Highest coefficient of product is ignored.")) (|vectoraddmul| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "vector_add_mul(v1, \\spad{v2,} \\spad{m,} \\spad{n,} \\spad{c,} \\spad{p)} sets v1(m), ..., v1(n) to corresponding extries in \\spad{v1} + \\spad{c*v2} modulo \\spad{p.}")) (|evalat| (((|Integer|) (|U32Vector|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{eval_at(v, deg, \\spad{pt,} \\spad{p)} treats \\spad{v} as coefficients of} \\indented{1}{polynomial of degree deg and evaluates the} \\indented{1}{polynomial at point \\spad{pt} modulo \\spad{p}} \\blankline \\spad{X} a:=new(3,1)$U32VEC \\spad{X} \\spad{a.1:=2} \\spad{X} eval_at(a,2,3,1024) \\spad{X} eval_at(a,2,2,8) \\spad{X} eval_at(a,2,3,10)")) (|copyslice| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|) (|Integer|)) "copy_first(v1, \\spad{v2,} \\spad{m,} \\spad{n)} copies the slice of \\spad{v2} starting at \\spad{m} elements and having \\spad{n} elements into corresponding positions in \\spad{v1.}")) (|copyfirst| (((|Void|) (|U32Vector|) (|U32Vector|) (|Integer|)) "copy_first(v1, \\spad{v2,} \\spad{n)} copies first \\spad{n} elements of \\spad{v2} into \\spad{n} first positions in \\spad{v1.}"))) 
 NIL 
 NIL 
-(-958 R L) 
+(-961) 
+((|constructor| (NIL "\\indented{1}{Author: Clifton \\spad{J.} Williamson} Date Created: 11 January 1990 Date Last Updated: 15 June 1990 Description:")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the y-coordinates of the points on the curve \\spad{c.}")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the x-coordinates of the points on the curve \\spad{c.}")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points, representing the branches of the curve \\spad{c.}"))) 
+NIL 
+NIL 
+(-962 R L) 
 ((|constructor| (NIL "\\spadtype{PrecomputedAssociatedEquations} stores some generic precomputations which speed up the computations of the associated equations needed for factoring operators.")) (|firstUncouplingMatrix| (((|Union| (|Matrix| |#1|) "failed") |#2| (|PositiveInteger|)) "\\spad{firstUncouplingMatrix(op, \\spad{m)}} returns the matrix A such that \\spad{A \\spad{w} = (W',W'',...,W^N)} in the corresponding associated equations for right-factors of order \\spad{m} of op. Returns \"failed\" if the matrix A has not been precomputed for the particular combination \\spad{degree(L), \\spad{m}.}"))) 
 NIL 
 NIL 
-(-959 A B) 
+(-963 A B) 
 ((|constructor| (NIL "This package provides tools for operating on primitive arrays with unary and binary functions involving different underlying types")) (|map| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1|) (|PrimitiveArray| |#1|)) "\\indented{1}{map(f,a) applies function \\spad{f} to each member of primitive array} \\indented{1}{\\spad{a} resulting in a new primitive array over a} \\indented{1}{possibly different underlying domain.} \\blankline \\spad{X} T1:=PrimitiveArrayFunctions2(Integer,Integer) \\spad{X} map(x+->x+2,[i for \\spad{i} in 1..10])$T1")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) "\\indented{1}{reduce(f,a,r) applies function \\spad{f} to each} \\indented{1}{successive element of the} \\indented{1}{primitive array \\spad{a} and an accumulant initialized to \\spad{r.}} \\indented{1}{For example, \\spad{reduce(_+$Integer,[1,2,3],0)}} \\indented{1}{does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r}} \\indented{1}{may be regarded as the identity element for the function \\spad{f.}} \\blankline \\spad{X} T1:=PrimitiveArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} reduce(adder,[i for \\spad{i} in 1..10],0)$T1")) (|scan| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) "\\indented{1}{scan(f,a,r) successively applies} \\indented{1}{\\spad{reduce(f,x,r)} to more and more leading sub-arrays} \\indented{1}{x of primitive array \\spad{a}.} \\indented{1}{More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then} \\indented{1}{\\spad{scan(f,a,r)} returns} \\indented{1}{\\spad{[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.} \\blankline \\spad{X} T1:=PrimitiveArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} scan(adder,[i for \\spad{i} in 1..10],0)$T1"))) 
 NIL 
 NIL 
-(-960 S) 
+(-964 S) 
 ((|constructor| (NIL "This provides a fast array type with no bound checking on elt's. Minimum index is 0 in this type, cannot be changed"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-961) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-965) 
 ((|constructor| (NIL "Category for the functions defined by integrals.")) (|integral| (($ $ (|SegmentBinding| $)) "\\spad{integral(f, \\spad{x} = a..b)} returns the formal definite integral of \\spad{f} \\spad{dx} for \\spad{x} between \\spad{a} and \\spad{b.}") (($ $ (|Symbol|)) "\\spad{integral(f, \\spad{x)}} returns the formal integral of \\spad{f} \\spad{dx.}"))) 
 NIL 
 NIL 
-(-962 -1647) 
+(-966 -3280) 
 ((|constructor| (NIL "PrimitiveElement provides functions to compute primitive elements in algebraic extensions.")) (|primitiveElement| (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|Symbol|)) "\\spad{primitiveElement([p1,...,pn], [a1,...,an], a)} returns \\spad{[[c1,...,cn], [q1,...,qn], \\spad{q]}} such that then \\spad{k(a1,...,an) = k(a)}, where \\spad{a = \\spad{a1} \\spad{c1} + \\spad{...} + an cn}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. The pi's are the defining polynomials for the ai's. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}.") (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{primitiveElement([p1,...,pn], [a1,...,an])} returns \\spad{[[c1,...,cn], [q1,...,qn], \\spad{q]}} such that then \\spad{k(a1,...,an) = k(a)}, where \\spad{a = \\spad{a1} \\spad{c1} + \\spad{...} + an cn}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. The pi's are the defining polynomials for the ai's. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}.") (((|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|Polynomial| |#1|) (|Symbol|) (|Polynomial| |#1|) (|Symbol|)) "\\spad{primitiveElement(p1, a1, \\spad{p2,} a2)} returns \\spad{[c1, \\spad{c2,} \\spad{q]}} such that \\spad{k(a1, a2) = k(a)} where \\spad{a = \\spad{c1} \\spad{a1} + \\spad{c2} a2, and q(a) = 0}. The pi's are the defining polynomials for the ai's. The \\spad{p2} may involve a1, but \\spad{p1} must not involve a2. This operation uses \\spadfun{resultant}."))) 
 NIL 
 NIL 
-(-963 I) 
+(-967 I) 
 ((|constructor| (NIL "The \\spadtype{IntegerPrimesPackage} implements a modification of Rabin's probabilistic primality test and the utility functions \\spadfun{nextPrime}, \\spadfun{prevPrime} and \\spadfun{primes}.")) (|primes| (((|List| |#1|) |#1| |#1|) "\\spad{primes(a,b)} returns a list of all primes \\spad{p} with \\spad{a \\spad{<=} \\spad{p} \\spad{<=} \\spad{b}}")) (|prevPrime| ((|#1| |#1|) "\\spad{prevPrime(n)} returns the largest prime strictly smaller than \\spad{n}")) (|nextPrime| ((|#1| |#1|) "\\spad{nextPrime(n)} returns the smallest prime strictly larger than \\spad{n}")) (|prime?| (((|Boolean|) |#1|) "\\spad{prime?(n)} returns \\spad{true} if \\spad{n} is prime and \\spad{false} if not. The algorithm used is Rabin's probabilistic primality test (reference: Knuth Volume 2 Semi Numerical Algorithms). If \\spad{prime? \\spad{n}} returns false, \\spad{n} is proven composite. If \\spad{prime? \\spad{n}} returns true, prime? may be in error however, the probability of error is very low. and is zero below 25*10**9 (due to a result of Pomerance et al), below 10**12 and 10**13 due to results of Pinch, and below 341550071728321 due to a result of Jaeschke. Specifically, this implementation does at least 10 pseudo prime tests and so the probability of error is \\spad{< 4**(-10)}. The running time of this method is cubic in the length of the input \\spad{n,} that is \\spad{O( (log \\spad{n)**3} \\spad{)},} for n<10**20. beyond that, the algorithm is quartic, \\spad{O( (log \\spad{n)**4} \\spad{)}.} Two improvements due to Davenport have been incorporated which catches some trivial strong pseudo-primes, such as [Jaeschke, 1991] 1377161253229053 * 413148375987157, which the original algorithm regards as prime"))) 
 NIL 
 NIL 
-(-964) 
+(-968) 
 ((|constructor| (NIL "PrintPackage provides a print function for output forms.")) (|print| (((|Void|) (|OutputForm|)) "\\spad{print(o)} writes the output form \\spad{o} on standard output using the two-dimensional formatter."))) 
 NIL 
 NIL 
-(-965 K |symb| |PolyRing| E |ProjPt|) 
+(-969 K |symb| |PolyRing| E |ProjPt|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|rationalPoints| (((|List| |#5|) |#3| (|PositiveInteger|)) "\\axiom{rationalPoints(f,d)} returns all points on the curve \\axiom{f} in the extension of the ground field of degree \\axiom{d}. For \\axiom{d > 1} this only works if \\axiom{K} is a \\axiomType{LocallyAlgebraicallyClosedField}")) (|algebraicSet| (((|List| |#5|) (|List| |#3|)) "\\spad{algebraicSet returns} the algebraic set if finite (dimension 0).")) (|singularPoints| (((|List| |#5|) |#3|) "\\spad{singularPoints retourne} les points singulier")) (|singularPointsWithRestriction| (((|List| |#5|) |#3| (|List| |#3|)) "return the singular points that anhilate"))) 
 NIL 
 NIL 
-(-966 R E) 
+(-970 R E) 
 ((|constructor| (NIL "This domain represents generalized polynomials with coefficients (from a not necessarily commutative ring), and terms indexed by their exponents (from an arbitrary ordered abelian monoid). This type is used, for example, by the \\spadtype{DistributedMultivariatePolynomial} domain where the exponent domain is a direct product of non negative integers.")) (|canonicalUnitNormal| ((|attribute|) "canonicalUnitNormal guarantees that the function unitCanonical returns the same representative for all associates of any particular element.")) (|fmecg| (($ $ |#2| |#1| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-138)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569))) 
-(-967 A B) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (-12 (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-138)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#1| (QUOTE -4598))) 
+(-971 A B) 
 ((|constructor| (NIL "This domain implements cartesian product")) (|selectsecond| ((|#2| $) "\\spad{selectsecond(x)} is not documented")) (|selectfirst| ((|#1| $) "\\spad{selectfirst(x)} is not documented")) (|makeprod| (($ |#1| |#2|) "\\indented{1}{makeprod(a,b) computes the product of two functions} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} \\spad{x^3} \\spad{X} h(x:INT):Product(INT,INT) \\spad{==} makeprod(f \\spad{x,} \\spad{g} \\spad{x)} \\spad{X} h(3)"))) 
-((-4568 -12 (|has| |#2| (-479)) (|has| |#1| (-479)))) 
-((-12 (|HasCategory| |#1| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-718)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-718))))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-790))))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-790))))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#1| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-790))))) (-12 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-844)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-844)))))) 
-(-968 K) 
+((-4597 -12 (|has| |#2| (-481)) (|has| |#1| (-481)))) 
+((-12 (|HasCategory| |#1| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#2| (QUOTE (-481)))) (-12 (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#2| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (QUOTE (-721))) (|HasCategory| |#2| (QUOTE (-721)))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#2| (QUOTE (-481)))) (-12 (|HasCategory| |#1| (QUOTE (-721))) (|HasCategory| |#2| (QUOTE (-721))))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-793))))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-793))))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-481))) (|HasCategory| |#2| (QUOTE (-481)))) (-12 (|HasCategory| |#1| (QUOTE (-721))) (|HasCategory| |#2| (QUOTE (-721)))) (-12 (|HasCategory| |#1| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-793))))) (-12 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-847)))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-793))) (|HasCategory| |#2| (QUOTE (-793)))) (-12 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-847)))))) 
+(-972 K) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-969 K) 
+(-973 K) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-970 -4360 K) 
+(-974 -3020 K) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-971 S) 
+(-975 S) 
 ((|constructor| (NIL "A priority queue is a bag of items from an ordered set where the item extracted is always the maximum element.")) (|merge!| (($ $ $) "\\spad{merge!(q,q1)} destructively changes priority queue \\spad{q} to include the values from priority queue \\spad{q1.}")) (|merge| (($ $ $) "\\spad{merge(q1,q2)} returns combines priority queues \\spad{q1} and \\spad{q2} to return a single priority queue \\spad{q.}")) (|max| ((|#1| $) "\\spad{max(q)} returns the maximum element of priority queue \\spad{q.}"))) 
-((-4571 . T) (-4572 . T) (-4317 . T)) 
+((-4600 . T) (-4601 . T) (-3348 . T)) 
 NIL 
-(-972 R |polR|) 
+(-976 R |polR|) 
 ((|constructor| (NIL "This package contains some functions: discriminant, resultant, subResultantGcd, chainSubResultants, degreeSubResultant, lastSubResultant, resultantEuclidean, subResultantGcdEuclidean, semiSubResultantGcdEuclidean1, semiSubResultantGcdEuclidean2\\br These procedures come from improvements of the subresultants algorithm.")) (|semiResultantEuclideannaif| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean_naif(P,Q)} returns the semi-extended resultant of \\axiom{P} and \\axiom{Q} computed by means of the naive algorithm.")) (|resultantEuclideannaif| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean_naif(P,Q)} returns the extended resultant of \\axiom{P} and \\axiom{Q} computed by means of the naive algorithm.")) (|resultantnaif| ((|#1| |#2| |#2|) "\\axiom{resultantEuclidean_naif(P,Q)} returns the resultant of \\axiom{P} and \\axiom{Q} computed by means of the naive algorithm.")) (|nextsousResultant2| ((|#2| |#2| |#2| |#2| |#1|) "\\axiom{nextsousResultant2(P, \\spad{Q,} \\spad{Z,} \\spad{s)}} returns the subresultant \\axiom{S_{e-1}} where \\axiom{P ~ S_d, \\spad{Q} = S_{d-1}, \\spad{Z} = S_e, \\spad{s} = lc(S_d)}")) (|Lazard2| ((|#2| |#2| |#1| |#1| (|NonNegativeInteger|)) "\\axiom{Lazard2(F, \\spad{x,} \\spad{y,} \\spad{n)}} computes \\axiom{(x/y)**(n-1) * \\spad{F}}")) (|Lazard| ((|#1| |#1| |#1| (|NonNegativeInteger|)) "\\axiom{Lazard(x, \\spad{y,} \\spad{n)}} computes \\axiom{x**n/y**(n-1)}")) (|divide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) "\\axiom{divide(F,G)} computes quotient and rest of the exact euclidean division of \\axiom{F} by \\axiom{G}.")) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) "\\axiom{pseudoDivide(P,Q)} computes the pseudoDivide of \\axiom{P} by \\axiom{Q}.")) (|exquo| (((|Vector| |#2|) (|Vector| |#2|) |#1|) "\\axiom{v exquo \\spad{r}} computes the exact quotient of \\axiom{v} by \\axiom{r}")) (* (((|Vector| |#2|) |#1| (|Vector| |#2|)) "\\axiom{r * \\spad{v}} computes the product of \\axiom{r} and \\axiom{v}")) (|gcd| ((|#2| |#2| |#2|) "\\axiom{gcd(P, \\spad{Q)}} returns the \\spad{gcd} of \\axiom{P} and \\axiom{Q}.")) (|semiResultantReduitEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) "\\axiom{semiResultantReduitEuclidean(P,Q)} returns the \"reduce resultant\" and carries out the equality \\axiom{...P + coef2*Q = resultantReduit(P,Q)}.")) (|resultantReduitEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) "\\axiom{resultantReduitEuclidean(P,Q)} returns the \"reduce resultant\" and carries out the equality \\axiom{coef1*P + coef2*Q = resultantReduit(P,Q)}.")) (|resultantReduit| ((|#1| |#2| |#2|) "\\axiom{resultantReduit(P,Q)} returns the \"reduce resultant\" of \\axiom{P} and \\axiom{Q}.")) (|schema| (((|List| (|NonNegativeInteger|)) |#2| |#2|) "\\axiom{schema(P,Q)} returns the list of degrees of non zero subresultants of \\axiom{P} and \\axiom{Q}.")) (|chainSubResultants| (((|List| |#2|) |#2| |#2|) "\\axiom{chainSubResultants(P, \\spad{Q)}} computes the list of non zero subresultants of \\axiom{P} and \\axiom{Q}.")) (|semiDiscriminantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) "\\axiom{discriminantEuclidean(P)} carries out the equality \\axiom{...P + \\spad{coef2} * D(P) = discriminant(P)}. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|discriminantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) "\\axiom{discriminantEuclidean(P)} carries out the equality \\axiom{coef1 * \\spad{P} + \\spad{coef2} * D(P) = discriminant(P)}.")) (|discriminant| ((|#1| |#2|) "\\axiom{discriminant(P, \\spad{Q)}} returns the discriminant of \\axiom{P} and \\axiom{Q}.")) (|semiSubResultantGcdEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{semiSubResultantGcdEuclidean1(P,Q)} carries out the equality \\axiom{coef1*P + ? \\spad{Q} = \\spad{+/-} S_i(P,Q)} where the degree (not the indice) of the subresultant \\axiom{S_i(P,Q)} is the smaller as possible.")) (|semiSubResultantGcdEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{semiSubResultantGcdEuclidean2(P,Q)} carries out the equality \\axiom{...P + coef2*Q = \\spad{+/-} S_i(P,Q)} where the degree (not the indice) of the subresultant \\axiom{S_i(P,Q)} is the smaller as possible. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|subResultantGcdEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{subResultantGcdEuclidean(P,Q)} carries out the equality \\axiom{coef1*P + coef2*Q = \\spad{+/-} S_i(P,Q)} where the degree (not the indice) of the subresultant \\axiom{S_i(P,Q)} is the smaller as possible.")) (|subResultantGcd| ((|#2| |#2| |#2|) "\\axiom{subResultantGcd(P, \\spad{Q)}} returns the \\spad{gcd} of two primitive polynomials \\axiom{P} and \\axiom{Q}.")) (|semiLastSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) "\\axiom{semiLastSubResultantEuclidean(P, \\spad{Q)}} computes the last non zero subresultant \\axiom{S} and carries out the equality \\axiom{...P + coef2*Q = \\spad{S}.} Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|lastSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) "\\axiom{lastSubResultantEuclidean(P, \\spad{Q)}} computes the last non zero subresultant \\axiom{S} and carries out the equality \\axiom{coef1*P + coef2*Q = \\spad{S}.}")) (|lastSubResultant| ((|#2| |#2| |#2|) "\\axiom{lastSubResultant(P, \\spad{Q)}} computes the last non zero subresultant of \\axiom{P} and \\axiom{Q}")) (|semiDegreeSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns a subresultant \\axiom{S} of degree \\axiom{d} and carries out the equality \\axiom{...P + coef2*Q = S_i}. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|degreeSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns a subresultant \\axiom{S} of degree \\axiom{d} and carries out the equality \\axiom{coef1*P + coef2*Q = S_i}.")) (|degreeSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) "\\axiom{degreeSubResultant(P, \\spad{Q,} \\spad{d)}} computes a subresultant of degree \\axiom{d}.")) (|semiIndiceSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{semiIndiceSubResultantEuclidean(P, \\spad{Q,} i)} returns the subresultant \\axiom{S_i(P,Q)} and carries out the equality \\axiom{...P + coef2*Q = S_i(P,Q)} Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|indiceSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns the subresultant \\axiom{S_i(P,Q)} and carries out the equality \\axiom{coef1*P + coef2*Q = S_i(P,Q)}")) (|indiceSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns the subresultant of indice \\axiom{i}")) (|semiResultantEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{semiResultantEuclidean1(P,Q)} carries out the equality \\axiom{coef1.P + ? \\spad{Q} = resultant(P,Q)}.")) (|semiResultantEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{semiResultantEuclidean2(P,Q)} carries out the equality \\axiom{...P + coef2*Q = resultant(P,Q)}. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|resultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean(P,Q)} carries out the equality \\axiom{coef1*P + coef2*Q = resultant(P,Q)}")) (|resultant| ((|#1| |#2| |#2|) "\\axiom{resultant(P, \\spad{Q)}} returns the resultant of \\axiom{P} and \\axiom{Q}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-454)))) 
-(-973 K) 
+((|HasCategory| |#1| (QUOTE (-456)))) 
+(-977 K) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space.")) (|pointValue| (((|List| |#1|) $) "\\spad{pointValue returns} the coordinates of the point or of the point of origin that represent an infinitly close point")) (|setelt| ((|#1| $ (|Integer|) |#1|) "\\spad{setelt sets} the value of a specified coordinates")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates")) (|list| (((|List| |#1|) $) "\\spad{list returns} the list of the coordinates")) (|lastNonNull| (((|Integer|) $) "\\spad{lastNonNull returns} the integer corresponding to the last non null coordinates.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(p)} test if the point is rational according to the characteristic of the ground field.") (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{rational?(p,n)} test if the point is rational according to \\spad{n.}")) (|removeConjugate| (((|List| $) (|List| $)) "\\spad{removeConjugate(lp)} returns removeConjugate(lp,n) where \\spad{n} is the characteristic of the ground field.") (((|List| $) (|List| $) (|NonNegativeInteger|)) "\\spad{removeConjugate(lp,n)} returns a list of points such that no points in the list is the conjugate (according to \\spad{n)} of another point.")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns conjugate(p,n) where \\spad{n} is the characteristic of the ground field.") (($ $ (|NonNegativeInteger|)) "\\spad{conjugate(p,n)} returns p**n, that is all the coordinates of \\spad{p} to the power of \\spad{n}")) (|orbit| (((|List| $) $ (|NonNegativeInteger|)) "\\spad{orbit(p,n)} returns the orbit of the point \\spad{p} according to \\spad{n,} that is orbit(p,n) = \\spad{\\{} \\spad{p,} p**n, p**(n**2), p**(n**3), ..... \\spad{\\}}") (((|List| $) $) "\\spad{orbit(p)} returns the orbit of the point \\spad{p} according to the characteristic of \\spad{K,} that is, for \\spad{q=} char \\spad{K,} orbit(p) = \\spad{\\{} \\spad{p,} p**q, p**(q**2), p**(q**3), ..... \\spad{\\}}")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce a} list of \\spad{K} to a projective point.") (((|List| |#1|) $) "\\spad{coerce a} a projective point list of \\spad{K}")) (|projectivePoint| (($ (|List| |#1|)) "\\spad{projectivePoint creates} a projective point from a list")) (|homogenize| (($ $) "\\spad{homogenize(pt)} the point according to the coordinate which is the last non null.") (($ $ (|Integer|)) "\\spad{homogenize the} point according to the coordinate specified by the integer"))) 
 NIL 
 NIL 
-(-974) 
+(-978) 
 ((|constructor| (NIL "Domain for partitions of positive integers Partition is an OrderedCancellationAbelianMonoid which is used as the basis for symmetric polynomial representation of the sums of powers in SymmetricPolynomial. Thus, \\spad{(5 2 2 1)} will represent \\spad{s5 * \\spad{s2**2} * s1}.")) (|coerce| (((|List| (|Integer|)) $) "\\spad{coerce(p)} coerces a partition into a list of integers")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns the conjugate partition of a partition \\spad{p}")) (|pdct| (((|Integer|) $) "\\spad{pdct(a1**n1 \\spad{a2**n2} ...)} returns \\spad{n1! * \\spad{a1**n1} * \\spad{n2!} * \\spad{a2**n2} * ...}. This function is used in the package \\spadtype{CycleIndicators}.")) (|powers| (((|List| (|List| (|Integer|))) (|List| (|Integer|))) "\\spad{powers(li)} returns a list of 2-element lists. For each 2-element list, the first element is an entry of \\spad{li} and the second element is the multiplicity with which the first element occurs in li. There is a 2-element list for each value occurring in \\spad{l.}")) (|partition| (($ (|List| (|Integer|))) "\\spad{partition(li)} converts a list of integers \\spad{li} to a partition"))) 
 NIL 
 NIL 
-(-975 S |Coef| |Expon| |Var|) 
+(-979 S |Coef| |Expon| |Var|) 
 ((|constructor| (NIL "\\spadtype{PowerSeriesCategory} is the most general power series category with exponents in an ordered abelian monoid.")) (|complete| (($ $) "\\spad{complete(f)} causes all terms of \\spad{f} to be computed. Note that this results in an infinite loop if \\spad{f} has infinitely many terms.")) (|pole?| (((|Boolean|) $) "\\spad{pole?(f)} determines if the power series \\spad{f} has a pole.")) (|variables| (((|List| |#4|) $) "\\spad{variables(f)} returns a list of the variables occuring in the power series \\spad{f.}")) (|degree| ((|#3| $) "\\spad{degree(f)} returns the exponent of the lowest order term of \\spad{f}.")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(f)} returns the coefficient of the lowest order term of \\spad{f}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(f)} returns the monomial of \\spad{f} of lowest order.")) (|monomial| (($ $ (|List| |#4|) (|List| |#3|)) "\\spad{monomial(a,[x1,..,xk],[n1,..,nk])} computes \\spad{a * \\spad{x1**n1} * \\spad{..} * xk**nk}.") (($ $ |#4| |#3|) "\\spad{monomial(a,x,n)} computes \\spad{a*x**n}."))) 
 NIL 
 NIL 
-(-976 |Coef| |Expon| |Var|) 
+(-980 |Coef| |Expon| |Var|) 
 ((|constructor| (NIL "\\spadtype{PowerSeriesCategory} is the most general power series category with exponents in an ordered abelian monoid.")) (|complete| (($ $) "\\spad{complete(f)} causes all terms of \\spad{f} to be computed. Note that this results in an infinite loop if \\spad{f} has infinitely many terms.")) (|pole?| (((|Boolean|) $) "\\spad{pole?(f)} determines if the power series \\spad{f} has a pole.")) (|variables| (((|List| |#3|) $) "\\spad{variables(f)} returns a list of the variables occuring in the power series \\spad{f.}")) (|degree| ((|#2| $) "\\spad{degree(f)} returns the exponent of the lowest order term of \\spad{f}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(f)} returns the coefficient of the lowest order term of \\spad{f}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(f)} returns the monomial of \\spad{f} of lowest order.")) (|monomial| (($ $ (|List| |#3|) (|List| |#2|)) "\\spad{monomial(a,[x1,..,xk],[n1,..,nk])} computes \\spad{a * \\spad{x1**n1} * \\spad{..} * xk**nk}.") (($ $ |#3| |#2|) "\\spad{monomial(a,x,n)} computes \\spad{a*x**n}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-977) 
+(-981) 
 ((|constructor| (NIL "PlottableSpaceCurveCategory is the category of curves in 3-space which may be plotted via the graphics facilities. Functions are provided for obtaining lists of lists of points, representing the branches of the curve, and for determining the ranges of the \\spad{x-,} \\spad{y-,} and z-coordinates of the points on the curve.")) (|zRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{zRange(c)} returns the range of the z-coordinates of the points on the curve \\spad{c.}")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the y-coordinates of the points on the curve \\spad{c.}")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the x-coordinates of the points on the curve \\spad{c.}")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points, representing the branches of the curve \\spad{c.}"))) 
 NIL 
 NIL 
-(-978 S R E |VarSet| P) 
+(-982 S R E |VarSet| P) 
 ((|constructor| (NIL "A category for finite subsets of a polynomial ring. Such a set is only regarded as a set of polynomials and not identified to the ideal it generates. So two distinct sets may generate the same the ideal. Furthermore, for \\spad{R} being an integral domain, a set of polynomials may be viewed as a representation of the ideal it generates in the polynomial ring \\spad{(R)^(-1) \\spad{P},} or the set of its zeros (described for instance by the radical of the previous ideal, or a split of the associated affine variety) and so on. So this category provides operations about those different notions.")) (|triangular?| (((|Boolean|) $) "\\axiom{triangular?(ps)} returns \\spad{true} iff \\axiom{ps} is a triangular set, \\spadignore{i.e.} two distinct polynomials have distinct main variables and no constant lies in \\axiom{ps}.")) (|rewriteIdealWithRemainder| (((|List| |#5|) (|List| |#5|) $) "\\axiom{rewriteIdealWithRemainder(lp,cs)} returns \\axiom{lr} such that every polynomial in \\axiom{lr} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|rewriteIdealWithHeadRemainder| (((|List| |#5|) (|List| |#5|) $) "\\axiom{rewriteIdealWithHeadRemainder(lp,cs)} returns \\axiom{lr} such that the leading monomial of every polynomial in \\axiom{lr} is reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|remainder| (((|Record| (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) "\\axiom{remainder(a,ps)} returns \\axiom{[c,b,r]} such that \\axiom{b} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{ps}, \\axiom{r*a - c*b} lies in the ideal generated by \\axiom{ps}. Furthermore, if \\axiom{R} is a gcd-domain, \\axiom{b} is primitive.")) (|headRemainder| (((|Record| (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) "\\axiom{headRemainder(a,ps)} returns \\axiom{[b,r]} such that the leading monomial of \\axiom{b} is reduced in the sense of Groebner bases w.r.t. \\axiom{ps} and \\axiom{r*a - \\spad{b}} lies in the ideal generated by \\axiom{ps}.")) (|roughUnitIdeal?| (((|Boolean|) $) "\\axiom{roughUnitIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} contains \\indented{1}{some non null element lying in the base ring \\axiom{R}.}")) (|roughEqualIdeals?| (((|Boolean|) $ $) "\\axiom{roughEqualIdeals?(ps1,ps2)} returns \\spad{true} iff it can proved that \\axiom{ps1} and \\axiom{ps2} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}} without computing Groebner bases.")) (|roughSubIdeal?| (((|Boolean|) $ $) "\\axiom{roughSubIdeal?(ps1,ps2)} returns \\spad{true} iff it can proved that all polynomials in \\axiom{ps1} lie in the ideal generated by \\axiom{ps2} in \\axiom{\\axiom{(R)^(-1) \\spad{P}}} without computing Groebner bases.")) (|roughBase?| (((|Boolean|) $) "\\axiom{roughBase?(ps)} returns \\spad{true} iff for every pair \\axiom{{p,q}} of polynomials in \\axiom{ps} their leading monomials are relatively prime.")) (|trivialIdeal?| (((|Boolean|) $) "\\axiom{trivialIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} does not contain non-zero elements.")) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#4|) "\\axiom{sort(v,ps)} returns \\axiom{us,vs,ws} such that \\axiom{us} is \\axiom{collectUnder(ps,v)}, \\axiom{vs} is \\axiom{collect(ps,v)} and \\axiom{ws} is \\axiom{collectUpper(ps,v)}.")) (|collectUpper| (($ $ |#4|) "\\axiom{collectUpper(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable greater than \\axiom{v}.")) (|collect| (($ $ |#4|) "\\axiom{collect(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with \\axiom{v} as main variable.")) (|collectUnder| (($ $ |#4|) "\\axiom{collectUnder(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable less than \\axiom{v}.")) (|mainVariable?| (((|Boolean|) |#4| $) "\\axiom{mainVariable?(v,ps)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ps}.")) (|mainVariables| (((|List| |#4|) $) "\\axiom{mainVariables(ps)} returns the decreasingly sorted list of the variables which are main variables of some polynomial in \\axiom{ps}.")) (|variables| (((|List| |#4|) $) "\\axiom{variables(ps)} returns the decreasingly sorted list of the variables which are variables of some polynomial in \\axiom{ps}.")) (|mvar| ((|#4| $) "\\axiom{mvar(ps)} returns the main variable of the non constant polynomial with the greatest main variable, if any, else an error is returned.")) (|retract| (($ (|List| |#5|)) "\\axiom{retract(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|List| |#5|)) "\\axiom{retractIfCan(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise \\axiom{\"failed\"} is returned."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-559)))) 
-(-979 R E |VarSet| P) 
+((|HasCategory| |#2| (QUOTE (-561)))) 
+(-983 R E |VarSet| P) 
 ((|constructor| (NIL "A category for finite subsets of a polynomial ring. Such a set is only regarded as a set of polynomials and not identified to the ideal it generates. So two distinct sets may generate the same the ideal. Furthermore, for \\spad{R} being an integral domain, a set of polynomials may be viewed as a representation of the ideal it generates in the polynomial ring \\spad{(R)^(-1) \\spad{P},} or the set of its zeros (described for instance by the radical of the previous ideal, or a split of the associated affine variety) and so on. So this category provides operations about those different notions.")) (|triangular?| (((|Boolean|) $) "\\axiom{triangular?(ps)} returns \\spad{true} iff \\axiom{ps} is a triangular set, \\spadignore{i.e.} two distinct polynomials have distinct main variables and no constant lies in \\axiom{ps}.")) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) "\\axiom{rewriteIdealWithRemainder(lp,cs)} returns \\axiom{lr} such that every polynomial in \\axiom{lr} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) "\\axiom{rewriteIdealWithHeadRemainder(lp,cs)} returns \\axiom{lr} such that the leading monomial of every polynomial in \\axiom{lr} is reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) "\\axiom{remainder(a,ps)} returns \\axiom{[c,b,r]} such that \\axiom{b} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{ps}, \\axiom{r*a - c*b} lies in the ideal generated by \\axiom{ps}. Furthermore, if \\axiom{R} is a gcd-domain, \\axiom{b} is primitive.")) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) "\\axiom{headRemainder(a,ps)} returns \\axiom{[b,r]} such that the leading monomial of \\axiom{b} is reduced in the sense of Groebner bases w.r.t. \\axiom{ps} and \\axiom{r*a - \\spad{b}} lies in the ideal generated by \\axiom{ps}.")) (|roughUnitIdeal?| (((|Boolean|) $) "\\axiom{roughUnitIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} contains \\indented{1}{some non null element lying in the base ring \\axiom{R}.}")) (|roughEqualIdeals?| (((|Boolean|) $ $) "\\axiom{roughEqualIdeals?(ps1,ps2)} returns \\spad{true} iff it can proved that \\axiom{ps1} and \\axiom{ps2} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}} without computing Groebner bases.")) (|roughSubIdeal?| (((|Boolean|) $ $) "\\axiom{roughSubIdeal?(ps1,ps2)} returns \\spad{true} iff it can proved that all polynomials in \\axiom{ps1} lie in the ideal generated by \\axiom{ps2} in \\axiom{\\axiom{(R)^(-1) \\spad{P}}} without computing Groebner bases.")) (|roughBase?| (((|Boolean|) $) "\\axiom{roughBase?(ps)} returns \\spad{true} iff for every pair \\axiom{{p,q}} of polynomials in \\axiom{ps} their leading monomials are relatively prime.")) (|trivialIdeal?| (((|Boolean|) $) "\\axiom{trivialIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} does not contain non-zero elements.")) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) "\\axiom{sort(v,ps)} returns \\axiom{us,vs,ws} such that \\axiom{us} is \\axiom{collectUnder(ps,v)}, \\axiom{vs} is \\axiom{collect(ps,v)} and \\axiom{ws} is \\axiom{collectUpper(ps,v)}.")) (|collectUpper| (($ $ |#3|) "\\axiom{collectUpper(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable greater than \\axiom{v}.")) (|collect| (($ $ |#3|) "\\axiom{collect(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with \\axiom{v} as main variable.")) (|collectUnder| (($ $ |#3|) "\\axiom{collectUnder(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable less than \\axiom{v}.")) (|mainVariable?| (((|Boolean|) |#3| $) "\\axiom{mainVariable?(v,ps)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ps}.")) (|mainVariables| (((|List| |#3|) $) "\\axiom{mainVariables(ps)} returns the decreasingly sorted list of the variables which are main variables of some polynomial in \\axiom{ps}.")) (|variables| (((|List| |#3|) $) "\\axiom{variables(ps)} returns the decreasingly sorted list of the variables which are variables of some polynomial in \\axiom{ps}.")) (|mvar| ((|#3| $) "\\axiom{mvar(ps)} returns the main variable of the non constant polynomial with the greatest main variable, if any, else an error is returned.")) (|retract| (($ (|List| |#4|)) "\\axiom{retract(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{retractIfCan(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise \\axiom{\"failed\"} is returned."))) 
-((-4571 . T) (-4317 . T)) 
+((-4600 . T) (-3348 . T)) 
 NIL 
-(-980 R E V P) 
+(-984 R E V P) 
 ((|constructor| (NIL "This package provides modest routines for polynomial system solving. The aim of many of the operations of this package is to remove certain factors in some polynomials in order to avoid unnecessary computations in algorithms involving splitting techniques by partial factorization.")) (|removeIrreducibleRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeIrreducibleRedundantFactors(lp,lq)} returns the same as \\axiom{irreducibleFactors(concat(lp,lq))} assuming that \\axiom{irreducibleFactors(lp)} returns \\axiom{lp} up to replacing some polynomial \\axiom{pj} in \\axiom{lp} by some polynomial \\axiom{qj} associated to \\axiom{pj}.")) (|lazyIrreducibleFactors| (((|List| |#4|) (|List| |#4|)) "\\axiom{lazyIrreducibleFactors(lp)} returns \\axiom{lf} such that if \\axiom{lp = [p1,...,pn]} and \\axiom{lf = [f1,...,fm]} then \\axiom{p1*p2*...*pn=0} means \\axiom{f1*f2*...*fm=0}, and the \\axiom{fi} are irreducible over \\axiom{R} and are pairwise distinct. The algorithm tries to avoid factorization into irreducible factors as far as possible and makes previously use of \\spad{gcd} techniques over \\axiom{R}.")) (|irreducibleFactors| (((|List| |#4|) (|List| |#4|)) "\\axiom{irreducibleFactors(lp)} returns \\axiom{lf} such that if \\axiom{lp = [p1,...,pn]} and \\axiom{lf = [f1,...,fm]} then \\axiom{p1*p2*...*pn=0} means \\axiom{f1*f2*...*fm=0}, and the \\axiom{fi} are irreducible over \\axiom{R} and are pairwise distinct.")) (|removeRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactorsInPols(lp,lf)} returns \\axiom{newlp} where \\axiom{newlp} is obtained from \\axiom{lp} by removing in every polynomial \\axiom{p} of \\axiom{lp} any non trivial factor of any polynomial \\axiom{f} in \\axiom{lf}. Moreover, squares over \\axiom{R} are first removed in every polynomial \\axiom{lp}.")) (|removeRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactorsInContents(lp,lf)} returns \\axiom{newlp} where \\axiom{newlp} is obtained from \\axiom{lp} by removing in the content of every polynomial of \\axiom{lp} any non trivial factor of any polynomial \\axiom{f} in \\axiom{lf}. Moreover, squares over \\axiom{R} are first removed in the content of every polynomial of \\axiom{lp}.")) (|removeRoughlyRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInContents(lp,lf)} returns \\axiom{newlp}where \\axiom{newlp} is obtained from \\axiom{lp} by removing in the content of every polynomial of \\axiom{lp} any occurence of a polynomial \\axiom{f} in \\axiom{lf}. Moreover, squares over \\axiom{R} are first removed in the content of every polynomial of \\axiom{lp}.")) (|univariatePolynomialsGcds| (((|List| |#4|) (|List| |#4|) (|Boolean|)) "\\axiom{univariatePolynomialsGcds(lp,opt)} returns the same as \\axiom{univariatePolynomialsGcds(lp)} if \\axiom{opt} is \\axiom{false} and if the previous operation does not return any non null and constant polynomial, else return \\axiom{[1]}.") (((|List| |#4|) (|List| |#4|)) "\\axiom{univariatePolynomialsGcds(lp)} returns \\axiom{lg} where \\axiom{lg} is a list of the gcds of every pair in \\axiom{lp} of univariate polynomials in the same main variable.")) (|squareFreeFactors| (((|List| |#4|) |#4|) "\\axiom{squareFreeFactors(p)} returns the square-free factors of \\axiom{p} over \\axiom{R}")) (|rewriteIdealWithQuasiMonicGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{rewriteIdealWithQuasiMonicGenerators(lp,redOp?,redOp)} returns \\axiom{lq} where \\axiom{lq} and \\axiom{lp} generate the same ideal in \\axiom{R^(-1) \\spad{P}} and \\axiom{lq} has rank not higher than the one of \\axiom{lp}. Moreover, \\axiom{lq} is computed by reducing \\axiom{lp} w.r.t. some basic set of the ideal generated by the quasi-monic polynomials in \\axiom{lp}.")) (|rewriteSetByReducingWithParticularGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{rewriteSetByReducingWithParticularGenerators(lp,pred?,redOp?,redOp)} returns \\axiom{lq} where \\axiom{lq} is computed by the following algorithm. Chose a basic set w.r.t. the reduction-test \\axiom{redOp?} among the polynomials satisfying property \\axiom{pred?}, if it is empty then leave, else reduce the other polynomials by this basic set w.r.t. the reduction-operation \\axiom{redOp}. Repeat while another basic set with smaller rank can be computed. See code. If \\axiom{pred?} is \\axiom{quasiMonic?} the ideal is unchanged.")) (|crushedSet| (((|List| |#4|) (|List| |#4|)) "\\axiom{crushedSet(lp)} returns \\axiom{lq} such that \\axiom{lp} and and \\axiom{lq} generate the same ideal and no rough basic sets reduce (in the sense of Groebner bases) the other polynomials in \\axiom{lq}.")) (|roughBasicSet| (((|Union| (|Record| (|:| |bas| (|GeneralTriangularSet| |#1| |#2| |#3| |#4|)) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|)) "\\axiom{roughBasicSet(lp)} returns the smallest (with Ritt-Wu ordering) triangular set contained in \\axiom{lp}.")) (|interReduce| (((|List| |#4|) (|List| |#4|)) "\\axiom{interReduce(lp)} returns \\axiom{lq} such that \\axiom{lp} and \\axiom{lq} generate the same ideal and no polynomial in \\axiom{lq} is reducuble by the others in the sense of Groebner bases. Since no assumptions are required the result may depend on the ordering the reductions are performed.")) (|removeRoughlyRedundantFactorsInPol| ((|#4| |#4| (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInPol(p,lf)} returns the same as removeRoughlyRedundantFactorsInPols([p],lf,true)")) (|removeRoughlyRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\axiom{removeRoughlyRedundantFactorsInPols(lp,lf,opt)} returns the same as \\axiom{removeRoughlyRedundantFactorsInPols(lp,lf)} if \\axiom{opt} is \\axiom{false} and if the previous operation does not return any non null and constant polynomial, else return \\axiom{[1]}.") (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInPols(lp,lf)} returns \\axiom{newlp}where \\axiom{newlp} is obtained from \\axiom{lp} by removing in every polynomial \\axiom{p} of \\axiom{lp} any occurence of a polynomial \\axiom{f} in \\axiom{lf}. This may involve a lot of exact-quotients computations.")) (|bivariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{bivariatePolynomials(lp)} returns \\axiom{bps,nbps} where \\axiom{bps} is a list of the bivariate polynomials, and \\axiom{nbps} are the other ones.")) (|bivariate?| (((|Boolean|) |#4|) "\\axiom{bivariate?(p)} returns \\spad{true} iff \\axiom{p} involves two and only two variables.")) (|linearPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{linearPolynomials(lp)} returns \\axiom{lps,nlps} where \\axiom{lps} is a list of the linear polynomials in \\spad{lp,} and \\axiom{nlps} are the other ones.")) (|linear?| (((|Boolean|) |#4|) "\\axiom{linear?(p)} returns \\spad{true} iff \\axiom{p} does not lie in the base ring \\axiom{R} and has main degree \\axiom{1}.")) (|univariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{univariatePolynomials(lp)} returns \\axiom{ups,nups} where \\axiom{ups} is a list of the univariate polynomials, and \\axiom{nups} are the other ones.")) (|univariate?| (((|Boolean|) |#4|) "\\axiom{univariate?(p)} returns \\spad{true} iff \\axiom{p} involves one and only one variable.")) (|quasiMonicPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{quasiMonicPolynomials(lp)} returns \\axiom{qmps,nqmps} where \\axiom{qmps} is a list of the quasi-monic polynomials in \\axiom{lp} and \\axiom{nqmps} are the other ones.")) (|selectAndPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) "\\axiom{selectAndPolynomials(lpred?,ps)} returns \\axiom{gps,bps} where \\axiom{gps} is a list of the polynomial \\axiom{p} in \\axiom{ps} such that \\axiom{pred?(p)} holds for every \\axiom{pred?} in \\axiom{lpred?} and \\axiom{bps} are the other ones.")) (|selectOrPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) "\\axiom{selectOrPolynomials(lpred?,ps)} returns \\axiom{gps,bps} where \\axiom{gps} is a list of the polynomial \\axiom{p} in \\axiom{ps} such that \\axiom{pred?(p)} holds for some \\axiom{pred?} in \\axiom{lpred?} and \\axiom{bps} are the other ones.")) (|selectPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|Mapping| (|Boolean|) |#4|) (|List| |#4|)) "\\axiom{selectPolynomials(pred?,ps)} returns \\axiom{gps,bps} where \\axiom{gps} is a list of the polynomial \\axiom{p} in \\axiom{ps} such that \\axiom{pred?(p)} holds and \\axiom{bps} are the other ones.")) (|probablyZeroDim?| (((|Boolean|) (|List| |#4|)) "\\axiom{probablyZeroDim?(lp)} returns \\spad{true} iff the number of polynomials in \\axiom{lp} is not smaller than the number of variables occurring in these polynomials.")) (|possiblyNewVariety?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) "\\axiom{possiblyNewVariety?(newlp,llp)} returns \\spad{true} iff for every \\axiom{lp} in \\axiom{llp} certainlySubVariety?(newlp,lp) does not hold.")) (|certainlySubVariety?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{certainlySubVariety?(newlp,lp)} returns \\spad{true} iff for every \\axiom{p} in \\axiom{lp} the remainder of \\axiom{p} by \\axiom{newlp} using the division algorithm of Groebner techniques is zero.")) (|unprotectedRemoveRedundantFactors| (((|List| |#4|) |#4| |#4|) "\\axiom{unprotectedRemoveRedundantFactors(p,q)} returns the same as \\axiom{removeRedundantFactors(p,q)} but does assume that neither \\axiom{p} nor \\axiom{q} lie in the base ring \\axiom{R} and assumes that \\axiom{infRittWu?(p,q)} holds. Moreover, if \\axiom{R} is gcd-domain, then \\axiom{p} and \\axiom{q} are assumed to be square free.")) (|removeSquaresIfCan| (((|List| |#4|) (|List| |#4|)) "\\axiom{removeSquaresIfCan(lp)} returns \\axiom{removeDuplicates [squareFreePart(p)$P for \\spad{p} in lp]} if \\axiom{R} is gcd-domain else returns \\axiom{lp}.")) (|removeRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Mapping| (|List| |#4|) (|List| |#4|))) "\\axiom{removeRedundantFactors(lp,lq,remOp)} returns the same as \\axiom{concat(remOp(removeRoughlyRedundantFactorsInPols(lp,lq)),lq)} assuming that \\axiom{remOp(lq)} returns \\axiom{lq} up to similarity.") (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactors(lp,lq)} returns the same as \\axiom{removeRedundantFactors(concat(lp,lq))} assuming that \\axiom{removeRedundantFactors(lp)} returns \\axiom{lp} up to replacing some polynomial \\axiom{pj} in \\axiom{lp} by some polynomial \\axiom{qj} associated to \\axiom{pj}.") (((|List| |#4|) (|List| |#4|) |#4|) "\\axiom{removeRedundantFactors(lp,q)} returns the same as \\axiom{removeRedundantFactors(cons(q,lp))} assuming that \\axiom{removeRedundantFactors(lp)} returns \\axiom{lp} up to replacing some polynomial \\axiom{pj} in \\axiom{lp} by some some polynomial \\axiom{qj} associated to \\axiom{pj}.") (((|List| |#4|) |#4| |#4|) "\\axiom{removeRedundantFactors(p,q)} returns the same as \\axiom{removeRedundantFactors([p,q])}") (((|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactors(lp)} returns \\axiom{lq} such that if \\axiom{lp = [p1,...,pn]} and \\axiom{lq = [q1,...,qm]} then the product \\axiom{p1*p2*...*pn} vanishes iff the product \\axiom{q1*q2*...*qm} vanishes, and the product of degrees of the \\axiom{qi} is not greater than the one of the \\axiom{pj}, and no polynomial in \\axiom{lq} divides another polynomial in \\axiom{lq}. In particular, polynomials lying in the base ring \\axiom{R} are removed. Moreover, \\axiom{lq} is sorted w.r.t \\axiom{infRittWu?}. Furthermore, if \\spad{R} is gcd-domain, the polynomials in \\axiom{lq} are pairwise without common non trivial factor."))) 
 NIL 
-((-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-302)))) (|HasCategory| |#1| (QUOTE (-454)))) 
-(-981 K) 
+((-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-302)))) (|HasCategory| |#1| (QUOTE (-456)))) 
+(-985 K) 
 ((|constructor| (NIL "PseudoLinearNormalForm provides a function for computing a block-companion form for pseudo-linear operators.")) (|companionBlocks| (((|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{companionBlocks(m, \\spad{v)}} returns \\spad{[[C_1, g_1],...,[C_k, g_k]]} such that each \\spad{C_i} is a companion block and \\spad{m = diagonal(C_1,...,C_k)}.")) (|changeBase| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{changeBase(M, A, sig, der)}: computes the new matrix of a pseudo-linear transform given by the matrix \\spad{M} under the change of base A")) (|normalForm| (((|Record| (|:| R (|Matrix| |#1|)) (|:| A (|Matrix| |#1|)) (|:| |Ainv| (|Matrix| |#1|))) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{normalForm(M, sig, der)} returns \\spad{[R, A, A^{-1}]} such that the pseudo-linear operator whose matrix in the basis \\spad{y} is \\spad{M} had matrix \\spad{R} in the basis \\spad{z = A \\spad{y}.} \\spad{der} is a \\spad{sig}-derivation."))) 
 NIL 
 NIL 
-(-982 |VarSet| E RC P) 
+(-986 |VarSet| E RC P) 
 ((|constructor| (NIL "This package computes square-free decomposition of multivariate polynomials over a coefficient ring which is an arbitrary \\spad{gcd} domain. The requirement on the coefficient domain guarantees that the \\spadfun{content} can be removed so that factors will be primitive as well as square-free. Over an infinite ring of finite characteristic,it may not be possible to guarantee that the factors are square-free.")) (|squareFree| (((|Factored| |#4|) |#4|) "\\spad{squareFree(p)} returns the square-free factorization of the polynomial \\spad{p.} Each factor has no repeated roots, and the factors are pairwise relatively prime."))) 
 NIL 
 NIL 
-(-983 R) 
+(-987 R) 
 ((|constructor| (NIL "PointCategory is the category of points in space which may be plotted via the graphics facilities. Functions are provided for defining points and handling elements of points.")) (|extend| (($ $ (|List| |#1|)) "\\spad{extend(x,l,r)} \\undocumented")) (|cross| (($ $ $) "\\spad{cross(p,q)} computes the cross product of the two points \\spad{p} and \\spad{q}. Error if the \\spad{p} and \\spad{q} are not 3 dimensional")) (|convert| (($ (|List| |#1|)) "\\spad{convert(l)} takes a list of elements, \\spad{l,} from the domain Ring and returns the form of point category.")) (|dimension| (((|PositiveInteger|) $) "\\spad{dimension(s)} returns the dimension of the point category \\spad{s.}")) (|point| (($ (|List| |#1|)) "\\spad{point(l)} returns a point category defined by a list \\spad{l} of elements from the domain \\spad{R.}"))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
-(-984 R1 R2) 
+(-988 R1 R2) 
 ((|constructor| (NIL "This package has no description")) (|map| (((|Point| |#2|) (|Mapping| |#2| |#1|) (|Point| |#1|)) "\\spad{map(f,p)} \\undocumented"))) 
 NIL 
 NIL 
-(-985 R) 
+(-989 R) 
 ((|constructor| (NIL "This package has no description")) (|shade| ((|#1| (|Point| |#1|)) "\\spad{shade(pt)} returns the fourth element of the two dimensional point, \\spad{pt,} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically, shade to express a fourth dimension.")) (|hue| ((|#1| (|Point| |#1|)) "\\spad{hue(pt)} returns the third element of the two dimensional point, \\spad{pt,} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically, hue to express a third dimension.")) (|color| ((|#1| (|Point| |#1|)) "\\spad{color(pt)} returns the fourth element of the point, \\spad{pt,} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically, color to express a fourth dimension.")) (|phiCoord| ((|#1| (|Point| |#1|)) "\\spad{phiCoord(pt)} returns the third element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical coordinate system.")) (|thetaCoord| ((|#1| (|Point| |#1|)) "\\spad{thetaCoord(pt)} returns the second element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical or a cylindrical coordinate system.")) (|rCoord| ((|#1| (|Point| |#1|)) "\\spad{rCoord(pt)} returns the first element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical or a cylindrical coordinate system.")) (|zCoord| ((|#1| (|Point| |#1|)) "\\spad{zCoord(pt)} returns the third element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian or a cylindrical coordinate system.")) (|yCoord| ((|#1| (|Point| |#1|)) "\\spad{yCoord(pt)} returns the second element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian coordinate system.")) (|xCoord| ((|#1| (|Point| |#1|)) "\\spad{xCoord(pt)} returns the first element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian coordinate system."))) 
 NIL 
 NIL 
-(-986 K) 
-((|constructor| (NIL "This is the description of any package which provides partial functions on a domain belonging to TranscendentalFunctionCategory.")) (|acschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acschIfCan(z)} returns acsch(z) if possible, and \"failed\" otherwise.")) (|asechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asechIfCan(z)} returns asech(z) if possible, and \"failed\" otherwise.")) (|acothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acothIfCan(z)} returns acoth(z) if possible, and \"failed\" otherwise.")) (|atanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanhIfCan(z)} returns atanh(z) if possible, and \"failed\" otherwise.")) (|acoshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acoshIfCan(z)} returns acosh(z) if possible, and \"failed\" otherwise.")) (|asinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinhIfCan(z)} returns asinh(z) if possible, and \"failed\" otherwise.")) (|cschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cschIfCan(z)} returns csch(z) if possible, and \"failed\" otherwise.")) (|sechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sechIfCan(z)} returns sech(z) if possible, and \"failed\" otherwise.")) (|cothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cothIfCan(z)} returns coth(z) if possible, and \"failed\" otherwise.")) (|tanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanhIfCan(z)} returns tanh(z) if possible, and \"failed\" otherwise.")) (|coshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{coshIfCan(z)} returns cosh(z) if possible, and \"failed\" otherwise.")) (|sinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinhIfCan(z)} returns sinh(z) if possible, and \"failed\" otherwise.")) (|acscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acscIfCan(z)} returns acsc(z) if possible, and \"failed\" otherwise.")) (|asecIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asecIfCan(z)} returns asec(z) if possible, and \"failed\" otherwise.")) (|acotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acotIfCan(z)} returns acot(z) if possible, and \"failed\" otherwise.")) (|atanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanIfCan(z)} returns atan(z) if possible, and \"failed\" otherwise.")) (|acosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acosIfCan(z)} returns acos(z) if possible, and \"failed\" otherwise.")) (|asinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinIfCan(z)} returns asin(z) if possible, and \"failed\" otherwise.")) (|cscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cscIfCan(z)} returns csc(z) if possible, and \"failed\" otherwise.")) (|secIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{secIfCan(z)} returns sec(z) if possible, and \"failed\" otherwise.")) (|cotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cotIfCan(z)} returns cot(z) if possible, and \"failed\" otherwise.")) (|tanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanIfCan(z)} returns tan(z) if possible, and \"failed\" otherwise.")) (|cosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cosIfCan(z)} returns cos(z) if possible, and \"failed\" otherwise.")) (|sinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinIfCan(z)} returns sin(z) if possible, and \"failed\" otherwise.")) (|logIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{logIfCan(z)} returns log(z) if possible, and \"failed\" otherwise.")) (|expIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{expIfCan(z)} returns exp(z) if possible, and \"failed\" otherwise.")) (|nthRootIfCan| (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{nthRootIfCan(z,n)} returns the \\spad{n}th root of \\spad{z} if possible, and \"failed\" otherwise."))) 
+(-990 K) 
+((|constructor| (NIL "A package which provides partial transcendental functions, for example, functions which return an answer or \"failed\" This is the description of any package which provides partial functions on a domain belonging to TranscendentalFunctionCategory.")) (|acschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acschIfCan(z)} returns acsch(z) if possible, and \"failed\" otherwise.")) (|asechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asechIfCan(z)} returns asech(z) if possible, and \"failed\" otherwise.")) (|acothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acothIfCan(z)} returns acoth(z) if possible, and \"failed\" otherwise.")) (|atanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanhIfCan(z)} returns atanh(z) if possible, and \"failed\" otherwise.")) (|acoshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acoshIfCan(z)} returns acosh(z) if possible, and \"failed\" otherwise.")) (|asinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinhIfCan(z)} returns asinh(z) if possible, and \"failed\" otherwise.")) (|cschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cschIfCan(z)} returns csch(z) if possible, and \"failed\" otherwise.")) (|sechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sechIfCan(z)} returns sech(z) if possible, and \"failed\" otherwise.")) (|cothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cothIfCan(z)} returns coth(z) if possible, and \"failed\" otherwise.")) (|tanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanhIfCan(z)} returns tanh(z) if possible, and \"failed\" otherwise.")) (|coshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{coshIfCan(z)} returns cosh(z) if possible, and \"failed\" otherwise.")) (|sinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinhIfCan(z)} returns sinh(z) if possible, and \"failed\" otherwise.")) (|acscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acscIfCan(z)} returns acsc(z) if possible, and \"failed\" otherwise.")) (|asecIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asecIfCan(z)} returns asec(z) if possible, and \"failed\" otherwise.")) (|acotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acotIfCan(z)} returns acot(z) if possible, and \"failed\" otherwise.")) (|atanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanIfCan(z)} returns atan(z) if possible, and \"failed\" otherwise.")) (|acosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acosIfCan(z)} returns acos(z) if possible, and \"failed\" otherwise.")) (|asinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinIfCan(z)} returns asin(z) if possible, and \"failed\" otherwise.")) (|cscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cscIfCan(z)} returns csc(z) if possible, and \"failed\" otherwise.")) (|secIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{secIfCan(z)} returns sec(z) if possible, and \"failed\" otherwise.")) (|cotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cotIfCan(z)} returns cot(z) if possible, and \"failed\" otherwise.")) (|tanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanIfCan(z)} returns tan(z) if possible, and \"failed\" otherwise.")) (|cosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cosIfCan(z)} returns cos(z) if possible, and \"failed\" otherwise.")) (|sinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinIfCan(z)} returns sin(z) if possible, and \"failed\" otherwise.")) (|logIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{logIfCan(z)} returns log(z) if possible, and \"failed\" otherwise.")) (|expIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{expIfCan(z)} returns exp(z) if possible, and \"failed\" otherwise.")) (|nthRootIfCan| (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{nthRootIfCan(z,n)} returns the \\spad{n}th root of \\spad{z} if possible, and \"failed\" otherwise."))) 
 NIL 
 NIL 
-(-987 R E OV PPR) 
+(-991 R E OV PPR) 
 ((|constructor| (NIL "This package has no description")) (|map| ((|#4| (|Mapping| |#4| (|Polynomial| |#1|)) |#4|) "\\spad{map(f,p)} \\undocumented{}")) (|pushup| ((|#4| |#4| (|List| |#3|)) "\\spad{pushup(p,lv)} \\undocumented{}") ((|#4| |#4| |#3|) "\\spad{pushup(p,v)} \\undocumented{}")) (|pushdown| ((|#4| |#4| (|List| |#3|)) "\\spad{pushdown(p,lv)} \\undocumented{}") ((|#4| |#4| |#3|) "\\spad{pushdown(p,v)} \\undocumented{}")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-988 K R UP -1647) 
+(-992 K R UP -3280) 
 ((|constructor| (NIL "In this package \\spad{K} is a finite field, \\spad{R} is a ring of univariate polynomials over \\spad{K,} and \\spad{F} is a monogenic algebra over \\spad{R.} We require that \\spad{F} is monogenic, \\spadignore{i.e.} that \\spad{F = K[x,y]/(f(x,y))}, because the integral basis algorithm used will factor the polynomial \\spad{f(x,y)}. The package provides a function to compute the integral closure of \\spad{R} in the quotient field of \\spad{F} as well as a function to compute a \"local integral basis\" at a specific prime.")) (|reducedDiscriminant| ((|#2| |#3|) "\\spad{reducedDiscriminant(up)} \\undocumented")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv] } containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of the framed algebra \\spad{F.} \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If 'basis' is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the local integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix 'basisInv' contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if 'basisInv' is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv] } containing information regarding the integral closure of \\spad{R} in the quotient field of the framed algebra \\spad{F.} \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If 'basis' is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix 'basisInv' contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if 'basisInv' is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}."))) 
 NIL 
 NIL 
-(-989 |vl| |nv|) 
+(-993 |vl| |nv|) 
 ((|constructor| (NIL "\\spadtype{QuasiAlgebraicSet2} adds a function \\spadfun{radicalSimplify} which uses \\spadtype{IdealDecompositionPackage} to simplify the representation of a quasi-algebraic set. A quasi-algebraic set is the intersection of a Zariski closed set, defined as the common zeros of a given list of polynomials (the defining polynomials for equations), and a principal Zariski open set, defined as the complement of the common zeros of a polynomial \\spad{f} (the defining polynomial for the inequation). Quasi-algebraic sets are implemented in the domain \\spadtype{QuasiAlgebraicSet}, where two simplification routines are provided: \\spadfun{idealSimplify} and \\spadfun{simplify}. The function \\spadfun{radicalSimplify} is added for comparison study only. Because the domain \\spadtype{IdealDecompositionPackage} provides facilities for computing with radical ideals, it is necessary to restrict the ground ring to the domain \\spadtype{Fraction Integer}, and the polynomial ring to be of type \\spadtype{DistributedMultivariatePolynomial}. The routine \\spadfun{radicalSimplify} uses these to compute groebner basis of radical ideals and is inefficient and restricted when compared to the two in \\spadtype{QuasiAlgebraicSet}.")) (|radicalSimplify| (((|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{radicalSimplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis, and the defining polynomial for the inequation reduced with respect to the basis, using using groebner basis of radical ideals"))) 
 NIL 
 NIL 
-(-990 R |Var| |Expon| |Dpoly|) 
+(-994 R |Var| |Expon| |Dpoly|) 
 ((|constructor| (NIL "\\spadtype{QuasiAlgebraicSet} constructs a domain representing quasi-algebraic sets, which is the intersection of a Zariski closed set, defined as the common zeros of a given list of polynomials (the defining polynomials for equations), and a principal Zariski open set, defined as the complement of the common zeros of a polynomial \\spad{f} (the defining polynomial for the inequation). This domain provides simplification of a user-given representation using groebner basis computations. There are two simplification routines: the first function \\spadfun{idealSimplify} uses groebner basis of ideals alone, while the second, \\spadfun{simplify} uses both groebner basis and factorization. The resulting defining equations \\spad{L} always form a groebner basis, and the resulting defining inequation \\spad{f} is always reduced. The function \\spadfun{simplify} may be applied several times if desired. A third simplification routine \\spadfun{radicalSimplify} is provided in \\spadtype{QuasiAlgebraicSet2} for comparison study only, as it is inefficient compared to the other two, as well as is restricted to only certain coefficient domains. For detail analysis and a comparison of the three methods, please consult the reference cited. \\blankline A polynomial function \\spad{q} defined on the quasi-algebraic set is equivalent to its reduced form with respect to \\spad{L.} While this may be obtained using the usual normal form algorithm, there is no canonical form for \\spad{q.} \\blankline The ordering in groebner basis computation is determined by the data type of the input polynomials. If it is possible we suggest to use refinements of total degree orderings.")) (|simplify| (($ $) "\\spad{simplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis, and the defining polynomial for the inequation reduced with respect to the basis, using a heuristic algorithm based on factoring.")) (|idealSimplify| (($ $) "\\spad{idealSimplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis, and the defining polynomial for the inequation reduced with respect to the basis, using Buchberger's algorithm.")) (|definingInequation| ((|#4| $) "\\spad{definingInequation(s)} returns a single defining polynomial for the inequation, that is, the Zariski open part of \\spad{s.}")) (|definingEquations| (((|List| |#4|) $) "\\spad{definingEquations(s)} returns a list of defining polynomials for equations, that is, for the Zariski closed part of \\spad{s.}")) (|empty?| (((|Boolean|) $) "\\spad{empty?(s)} returns \\spad{true} if the quasialgebraic set \\spad{s} has no points, and \\spad{false} otherwise.")) (|setStatus| (($ $ (|Union| (|Boolean|) "failed")) "\\spad{setStatus(s,t)} returns the same representation for \\spad{s,} but asserts the following: if \\spad{t} is true, then \\spad{s} is empty, if \\spad{t} is false, then \\spad{s} is non-empty, and if \\spad{t} = \"failed\", then no assertion is made (that is, \"don't know\"). Note: for internal use only, with care.")) (|status| (((|Union| (|Boolean|) "failed") $) "\\spad{status(s)} returns \\spad{true} if the quasi-algebraic set is empty, \\spad{false} if it is not, and \"failed\" if not yet known")) (|quasiAlgebraicSet| (($ (|List| |#4|) |#4|) "\\spad{quasiAlgebraicSet(pl,q)} returns the quasi-algebraic set with defining equations \\spad{p} = 0 for \\spad{p} belonging to the list \\spad{pl,} and defining inequation \\spad{q} \\spad{^=} 0.")) (|empty| (($) "\\spad{empty()} returns the empty quasi-algebraic set"))) 
 NIL 
 ((-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-302))))) 
-(-991 R E V P TS) 
+(-995 R E V P TS) 
 ((|constructor| (NIL "A package for removing redundant quasi-components and redundant branches when decomposing a variety by means of quasi-components of regular triangular sets.")) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{branchIfCan(leq,ts,lineq,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement.")) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) "\\axiom{prepareDecompose(lp,lts,b1,b2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) "\\axiom{removeSuperfluousCases(llpwt)} is an internal subroutine, exported only for developement.")) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) "\\axiom{subCase?(lpwt1,lpwt2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) "\\axiom{removeSuperfluousQuasiComponents(lts)} removes from \\axiom{lts} any \\spad{ts} such that \\axiom{subQuasiComponent?(ts,us)} holds for another \\spad{us} in \\axiom{lts}.")) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) "\\axiom{subQuasiComponent?(ts,lus)} returns \\spad{true} iff \\axiom{subQuasiComponent?(ts,us)} holds for one \\spad{us} in \\spad{lus}.") (((|Boolean|) |#5| |#5|) "\\axiom{subQuasiComponent?(ts,us)} returns \\spad{true} iff internalSubQuasiComponent? returs true.")) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) "\\axiom{internalSubQuasiComponent?(ts,us)} returns a boolean \\spad{b} value if the fact that the regular zero set of \\axiom{us} contains that of \\axiom{ts} can be decided (and in that case \\axiom{b} gives this inclusion) otherwise returns \\axiom{\"failed\"}.")) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{infRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalInfRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalSubPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2} assuming that these lists are sorted increasingly w.r.t. infRittWu? from RecursivePolynomialCategory.")) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{subPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2}.")) (|subTriSet?| (((|Boolean|) |#5| |#5|) "\\axiom{subTriSet?(ts,us)} returns \\spad{true} iff \\axiom{ts} is a sub-set of \\axiom{us}.")) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) "\\axiom{moreAlgebraic?(ts,us)} returns \\spad{false} iff \\axiom{ts} and \\axiom{us} are both empty, or \\axiom{ts} has less elements than \\axiom{us}, or some variable is algebraic w.r.t. \\axiom{us} and is not w.r.t. \\axiom{ts}.")) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) "\\axiom{algebraicSort(lts)} sorts \\axiom{lts} w.r.t supDimElseRittWu?")) (|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) "\\axiom{supDimElseRittWu(ts,us)} returns \\spad{true} iff \\axiom{ts} has less elements than \\axiom{us} otherwise if \\axiom{ts} has higher rank than \\axiom{us} w.r.t. Riit and Wu ordering.")) (|stopTable!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine, exported only for developement.")) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(s1,s2,s3)} is an internal subroutine, exported only for developement."))) 
 NIL 
 NIL 
-(-992) 
+(-996) 
 ((|constructor| (NIL "This domain implements simple database queries")) (|value| (((|String|) $) "\\spad{value(q)} returns the value (\\spadignore{i.e.} right hand side) of \\axiom{q}.")) (|variable| (((|Symbol|) $) "\\spad{variable(q)} returns the variable (\\spadignore{i.e.} left hand side) of \\axiom{q}.")) (|equation| (($ (|Symbol|) (|String|)) "\\spad{equation(s,\"a\")} creates a new equation."))) 
 NIL 
 NIL 
-(-993 A B R S) 
+(-997 A B R S) 
 ((|constructor| (NIL "This package extends a function between integral domains to a mapping between their quotient fields.")) (|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) "\\spad{map(func,frac)} applies the function \\spad{func} to the numerator and denominator of frac."))) 
 NIL 
 NIL 
-(-994 A S) 
+(-998 A S) 
 ((|constructor| (NIL "QuotientField(S) is the category of fractions of an Integral Domain \\spad{S.}")) (|floor| ((|#2| $) "\\spad{floor(x)} returns the largest integral element below \\spad{x.}")) (|ceiling| ((|#2| $) "\\spad{ceiling(x)} returns the smallest integral element above \\spad{x.}")) (|random| (($) "\\spad{random()} returns a random fraction.")) (|fractionPart| (($ $) "\\spad{fractionPart(x)} returns the fractional part of \\spad{x.} \\spad{x} = wholePart(x) + fractionPart(x)")) (|wholePart| ((|#2| $) "\\spad{wholePart(x)} returns the whole part of the fraction \\spad{x} \\spadignore{i.e.} the truncated quotient of the numerator by the denominator.")) (|denominator| (($ $) "\\spad{denominator(x)} is the denominator of the fraction \\spad{x} converted to \\spad{%.}")) (|numerator| (($ $) "\\spad{numerator(x)} is the numerator of the fraction \\spad{x} converted to \\spad{%.}")) (|denom| ((|#2| $) "\\spad{denom(x)} returns the denominator of the fraction \\spad{x.}")) (|numer| ((|#2| $) "\\spad{numer(x)} returns the numerator of the fraction \\spad{x.}")) (/ (($ |#2| |#2|) "\\spad{d1 / \\spad{d2}} returns the fraction \\spad{d1} divided by \\spad{d2.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1023))) (|HasCategory| |#2| (QUOTE (-817))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1139)))) 
-(-995 S) 
+((|HasCategory| |#2| (QUOTE (-909))) (|HasCategory| |#2| (QUOTE (-553))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (QUOTE (-1027))) (|HasCategory| |#2| (QUOTE (-820))) (|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-1143)))) 
+(-999 S) 
 ((|constructor| (NIL "QuotientField(S) is the category of fractions of an Integral Domain \\spad{S.}")) (|floor| ((|#1| $) "\\spad{floor(x)} returns the largest integral element below \\spad{x.}")) (|ceiling| ((|#1| $) "\\spad{ceiling(x)} returns the smallest integral element above \\spad{x.}")) (|random| (($) "\\spad{random()} returns a random fraction.")) (|fractionPart| (($ $) "\\spad{fractionPart(x)} returns the fractional part of \\spad{x.} \\spad{x} = wholePart(x) + fractionPart(x)")) (|wholePart| ((|#1| $) "\\spad{wholePart(x)} returns the whole part of the fraction \\spad{x} \\spadignore{i.e.} the truncated quotient of the numerator by the denominator.")) (|denominator| (($ $) "\\spad{denominator(x)} is the denominator of the fraction \\spad{x} converted to \\spad{%.}")) (|numerator| (($ $) "\\spad{numerator(x)} is the numerator of the fraction \\spad{x} converted to \\spad{%.}")) (|denom| ((|#1| $) "\\spad{denom(x)} returns the denominator of the fraction \\spad{x.}")) (|numer| ((|#1| $) "\\spad{numer(x)} returns the numerator of the fraction \\spad{x.}")) (/ (($ |#1| |#1|) "\\spad{d1 / \\spad{d2}} returns the fraction \\spad{d1} divided by \\spad{d2.}"))) 
-((-4317 . T) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-3348 . T) (-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-996 |n| K) 
+(-1000 |n| K) 
 ((|constructor| (NIL "This domain provides modest support for quadratic forms.")) (|elt| ((|#2| $ (|DirectProduct| |#1| |#2|)) "\\spad{elt(qf,v)} evaluates the quadratic form \\spad{qf} on the vector \\spad{v,} producing a scalar.")) (|matrix| (((|SquareMatrix| |#1| |#2|) $) "\\spad{matrix(qf)} creates a square matrix from the quadratic form \\spad{qf.}")) (|quadraticForm| (($ (|SquareMatrix| |#1| |#2|)) "\\spad{quadraticForm(m)} creates a quadratic form from a symmetric, square matrix \\spad{m.}"))) 
 NIL 
 NIL 
-(-997 S) 
+(-1001 S) 
 ((|constructor| (NIL "A queue is a bag where the first item inserted is the first item extracted.")) (|back| ((|#1| $) "\\spad{back(q)} returns the element at the back of the queue. The queue \\spad{q} is unchanged by this operation. Error: if \\spad{q} is empty.")) (|front| ((|#1| $) "\\spad{front(q)} returns the element at the front of the queue. The queue \\spad{q} is unchanged by this operation. Error: if \\spad{q} is empty.")) (|length| (((|NonNegativeInteger|) $) "\\spad{length(q)} returns the number of elements in the queue. Note that \\axiom{length(q) = \\#q}.")) (|rotate!| (($ $) "\\spad{rotate! \\spad{q}} rotates queue \\spad{q} so that the element at the front of the queue goes to the back of the queue. Note that rotate! \\spad{q} is equivalent to enqueue!(dequeue!(q)).")) (|dequeue!| ((|#1| $) "\\spad{dequeue! \\spad{s}} destructively extracts the first (top) element from queue \\spad{q.} The element previously second in the queue becomes the first element. Error: if \\spad{q} is empty.")) (|enqueue!| ((|#1| |#1| $) "\\spad{enqueue!(x,q)} inserts \\spad{x} into the queue \\spad{q} at the back end."))) 
-((-4571 . T) (-4572 . T) (-4317 . T)) 
+((-4600 . T) (-4601 . T) (-3348 . T)) 
 NIL 
-(-998 S R) 
+(-1002 S R) 
 ((|constructor| (NIL "\\spadtype{QuaternionCategory} describes the category of quaternions and implements functions that are not representation specific.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(q)} returns \\spad{q} as a rational number, or \"failed\" if this is not possible. Note that if \\spad{rational?(q)} is true, the conversion can be done and the rational number will be returned.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(q)} tries to convert \\spad{q} into a rational number. Error: if this is not possible. If \\spad{rational?(q)} is true, the conversion will be done and the rational number returned.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(q)} returns {\\it true} if all the imaginary parts of \\spad{q} are zero and the real part can be converted into a rational number, and {\\it false} otherwise.")) (|abs| ((|#2| $) "\\spad{abs(q)} computes the absolute value of quaternion \\spad{q} (sqrt of norm).")) (|real| ((|#2| $) "\\spad{real(q)} extracts the real part of quaternion \\spad{q}.")) (|quatern| (($ |#2| |#2| |#2| |#2|) "\\spad{quatern(r,i,j,k)} constructs a quaternion from scalars.")) (|norm| ((|#2| $) "\\spad{norm(q)} computes the norm of \\spad{q} (the sum of the squares of the components).")) (|imagK| ((|#2| $) "\\spad{imagK(q)} extracts the imaginary \\spad{k} part of quaternion \\spad{q}.")) (|imagJ| ((|#2| $) "\\spad{imagJ(q)} extracts the imaginary \\spad{j} part of quaternion \\spad{q}.")) (|imagI| ((|#2| $) "\\spad{imagI(q)} extracts the imaginary \\spad{i} part of quaternion \\spad{q}.")) (|conjugate| (($ $) "\\spad{conjugate(q)} negates the imaginary parts of quaternion \\spad{q}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1058))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-286)))) 
-(-999 R) 
+((|HasCategory| |#2| (QUOTE (-553))) (|HasCategory| |#2| (QUOTE (-1062))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-286)))) 
+(-1003 R) 
 ((|constructor| (NIL "\\spadtype{QuaternionCategory} describes the category of quaternions and implements functions that are not representation specific.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(q)} returns \\spad{q} as a rational number, or \"failed\" if this is not possible. Note that if \\spad{rational?(q)} is true, the conversion can be done and the rational number will be returned.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(q)} tries to convert \\spad{q} into a rational number. Error: if this is not possible. If \\spad{rational?(q)} is true, the conversion will be done and the rational number returned.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(q)} returns {\\it true} if all the imaginary parts of \\spad{q} are zero and the real part can be converted into a rational number, and {\\it false} otherwise.")) (|abs| ((|#1| $) "\\spad{abs(q)} computes the absolute value of quaternion \\spad{q} (sqrt of norm).")) (|real| ((|#1| $) "\\spad{real(q)} extracts the real part of quaternion \\spad{q}.")) (|quatern| (($ |#1| |#1| |#1| |#1|) "\\spad{quatern(r,i,j,k)} constructs a quaternion from scalars.")) (|norm| ((|#1| $) "\\spad{norm(q)} computes the norm of \\spad{q} (the sum of the squares of the components).")) (|imagK| ((|#1| $) "\\spad{imagK(q)} extracts the imaginary \\spad{k} part of quaternion \\spad{q}.")) (|imagJ| ((|#1| $) "\\spad{imagJ(q)} extracts the imaginary \\spad{j} part of quaternion \\spad{q}.")) (|imagI| ((|#1| $) "\\spad{imagI(q)} extracts the imaginary \\spad{i} part of quaternion \\spad{q}.")) (|conjugate| (($ $) "\\spad{conjugate(q)} negates the imaginary parts of quaternion \\spad{q}."))) 
-((-4564 |has| |#1| (-286)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 |has| |#1| (-286)) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1000 QR R QS S) 
+(-1004 QR R QS S) 
 ((|constructor| (NIL "\\spadtype{QuaternionCategoryFunctions2} implements functions between two quaternion domains. The function \\spadfun{map} is used by the system interpreter to coerce between quaternion types.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\indented{1}{map(f,u) maps \\spad{f} onto the component parts of the quaternion u.} \\indented{1}{to convert an expression in Quaterion(R) to Quaternion(S)} \\blankline \\spad{X} f(a:FRAC(INT)):COMPLEX(FRAC(INT)) \\spad{==} a::COMPLEX(FRAC(INT)) \\spad{X} q:=quatern(2/11,-8,3/4,1) \\spad{X} map(f,q)"))) 
 NIL 
 NIL 
-(-1001 R) 
+(-1005 R) 
 ((|constructor| (NIL "\\spadtype{Quaternion} implements quaternions over a commutative ring. The main constructor function is \\spadfun{quatern} which takes 4 arguments: the real part, the \\spad{i} imaginary part, the \\spad{j} imaginary part and the \\spad{k} imaginary part."))) 
-((-4564 |has| |#1| (-286)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-286))) (-1929 (|HasCategory| |#1| (QUOTE (-286))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1058))) (|HasCategory| |#1| (QUOTE (-551))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))))) 
-(-1002 S) 
+((-4593 |has| |#1| (-286)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-286))) (-1831 (|HasCategory| |#1| (QUOTE (-286))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-1062))) (|HasCategory| |#1| (QUOTE (-553))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367))))) 
+(-1006 S) 
 ((|constructor| (NIL "Linked List implementation of a Queue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} b:Queue INT:= queue [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$Queue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Queue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Queue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} less?(a,9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} insert! (8,a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} enqueue! (9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} dequeue! a \\spad{X} a")) (|queue| (($ (|List| |#1|)) "\\indented{1}{queue([x,y,...,z]) creates a queue with first (top)} \\indented{1}{element \\spad{x,} second element y,...,and last (bottom) element \\spad{z.}} \\blankline \\spad{E} e:Queue INT:= queue [1,2,3,4,5]"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
-(-1003 S) 
-((|constructor| (NIL "The \\spad{RadicalCategory} is a model for the rational numbers.")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{y}} is the rational exponentiation of \\spad{x} by the power \\spad{y.}")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,n)} returns the \\spad{n}th root of \\spad{x.}")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x.}"))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
+(-1007 S) 
+((|constructor| (NIL "Description:")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{y}} is the rational exponentiation of \\spad{x} by the power \\spad{y.}")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,n)} returns the \\spad{n}th root of \\spad{x.}")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1004) 
-((|constructor| (NIL "The \\spad{RadicalCategory} is a model for the rational numbers.")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{y}} is the rational exponentiation of \\spad{x} by the power \\spad{y.}")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,n)} returns the \\spad{n}th root of \\spad{x.}")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x.}"))) 
+(-1008) 
+((|constructor| (NIL "Description:")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{y}} is the rational exponentiation of \\spad{x} by the power \\spad{y.}")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,n)} returns the \\spad{n}th root of \\spad{x.}")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1005 -1647 UP UPUP |radicnd| |n|) 
+(-1009 -3280 UP UPUP |radicnd| |n|) 
 ((|constructor| (NIL "Function field defined by y**n = f(x)."))) 
-((-4564 |has| (-410 |#2|) (-366)) (-4569 |has| (-410 |#2|) (-366)) (-4563 |has| (-410 |#2|) (-366)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-410 |#2|) (QUOTE (-149))) (|HasCategory| (-410 |#2|) (QUOTE (-151))) (|HasCategory| (-410 |#2|) (QUOTE (-351))) (|HasCategory| (-410 |#2|) (QUOTE (-366))) (-1929 (|HasCategory| (-410 |#2|) (QUOTE (-366))) (|HasCategory| (-410 |#2|) (QUOTE (-351)))) (|HasCategory| (-410 |#2|) (QUOTE (-371))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371))) (-1929 (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) 
-(-1006 |bb|) 
+((-4593 |has| (-412 |#2|) (-367)) (-4598 |has| (-412 |#2|) (-367)) (-4592 |has| (-412 |#2|) (-367)) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-412 |#2|) (QUOTE (-149))) (|HasCategory| (-412 |#2|) (QUOTE (-151))) (|HasCategory| (-412 |#2|) (QUOTE (-352))) (|HasCategory| (-412 |#2|) (QUOTE (-367))) (-1831 (|HasCategory| (-412 |#2|) (QUOTE (-367))) (|HasCategory| (-412 |#2|) (QUOTE (-352)))) (|HasCategory| (-412 |#2|) (QUOTE (-373))) (|HasCategory| (-412 |#2|) (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| (-412 |#2|) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-412 |#2|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-373))) (-1831 (|HasCategory| (-412 |#2|) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-412 |#2|) (QUOTE (-367)))) (-12 (|HasCategory| (-412 |#2|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-412 |#2|) (QUOTE (-367)))) (-1831 (-12 (|HasCategory| (-412 |#2|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-412 |#2|) (QUOTE (-367)))) (-12 (|HasCategory| (-412 |#2|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-412 |#2|) (QUOTE (-352))))) (-12 (|HasCategory| (-412 |#2|) (QUOTE (-226))) (|HasCategory| (-412 |#2|) (QUOTE (-367)))) (-1831 (-12 (|HasCategory| (-412 |#2|) (QUOTE (-226))) (|HasCategory| (-412 |#2|) (QUOTE (-367)))) (|HasCategory| (-412 |#2|) (QUOTE (-352))))) 
+(-1010 |bb|) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating decimal expansions or more generally as repeating expansions in any base.")) (|fractRadix| (($ (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{fractRadix(pre,cyc)} creates a fractional radix expansion from a list of prefix ragits and a list of cyclic ragits. \\spadignore{e.g.} \\spad{fractRadix([1],[6])} will return \\spad{0.16666666...}.")) (|wholeRadix| (($ (|List| (|Integer|))) "\\spad{wholeRadix(l)} creates an integral radix expansion from a list of ragits. For example, \\spad{wholeRadix([1,3,4])} will return \\spad{134}.")) (|cycleRagits| (((|List| (|Integer|)) $) "\\spad{cycleRagits(rx)} returns the cyclic part of the ragits of the fractional part of a radix expansion. For example, if \\spad{x = 3/28 = 0.10 714285 714285 ...}, then \\spad{cycleRagits(x) = [7,1,4,2,8,5]}.")) (|prefixRagits| (((|List| (|Integer|)) $) "\\spad{prefixRagits(rx)} returns the non-cyclic part of the ragits of the fractional part of a radix expansion. For example, if \\spad{x = 3/28 = 0.10 714285 714285 ...}, then \\spad{prefixRagits(x)=[1,0]}.")) (|fractRagits| (((|Stream| (|Integer|)) $) "\\spad{fractRagits(rx)} returns the ragits of the fractional part of a radix expansion.")) (|wholeRagits| (((|List| (|Integer|)) $) "\\spad{wholeRagits(rx)} returns the ragits of the integer part of a radix expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(rx)} returns the fractional part of a radix expansion.")) (|coerce| (((|Fraction| (|Integer|)) $) "\\spad{coerce(rx)} converts a radix expansion to a rational number."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-569) (QUOTE (-906))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1023))) (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1139))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (QUOTE (-844)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (|HasCategory| (-569) (QUOTE (-149))))) 
-(-1007) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-571) (QUOTE (-909))) (|HasCategory| (-571) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| (-571) (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-151))) (|HasCategory| (-571) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-571) (QUOTE (-1027))) (|HasCategory| (-571) (QUOTE (-820))) (|HasCategory| (-571) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1143))) (|HasCategory| (-571) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| (-571) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| (-571) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| (-571) (QUOTE (-226))) (|HasCategory| (-571) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| (-571) (LIST (QUOTE -526) (QUOTE (-1169)) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (LIST (QUOTE -282) (QUOTE (-571)) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-302))) (|HasCategory| (-571) (QUOTE (-553))) (|HasCategory| (-571) (QUOTE (-847))) (-1831 (|HasCategory| (-571) (QUOTE (-820))) (|HasCategory| (-571) (QUOTE (-847)))) (|HasCategory| (-571) (LIST (QUOTE -633) (QUOTE (-571)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-571) (QUOTE (-909)))) (|HasCategory| (-571) (QUOTE (-149))))) 
+(-1011) 
 ((|constructor| (NIL "This package provides tools for creating radix expansions.")) (|radix| (((|Any|) (|Fraction| (|Integer|)) (|Integer|)) "\\spad{radix(x,b)} converts \\spad{x} to a radix expansion in base \\spad{b.}"))) 
 NIL 
 NIL 
-(-1008) 
+(-1012) 
 ((|constructor| (NIL "Random number generators. All random numbers used in the system should originate from the same generator. This package is intended to be the source.")) (|seed| (((|Integer|)) "\\spad{seed()} returns the current seed value.")) (|reseed| (((|Void|) (|Integer|)) "\\spad{reseed(n)} restarts the random number generator at \\spad{n.}")) (|size| (((|Integer|)) "\\spad{size()} is the base of the random number generator")) (|randnum| (((|Integer|) (|Integer|)) "\\spad{randnum(n)} is a random number between 0 and \\spad{n.}") (((|Integer|)) "\\spad{randnum()} is a random number between 0 and size()."))) 
 NIL 
 NIL 
-(-1009 RP) 
+(-1013 RP) 
 ((|constructor| (NIL "Factorization of extended polynomials with rational coefficients. This package implements factorization of extended polynomials whose coefficients are rational numbers. It does this by taking the \\spad{lcm} of the coefficients of the polynomial and creating a polynomial with integer coefficients. The algorithm in \\spadtype{GaloisGroupFactorizer} is then used to factor the integer polynomial. The result is normalized with respect to the original \\spad{lcm} of the denominators.")) (|factorSquareFree| (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(p)} factors an extended squareFree polynomial \\spad{p} over the rational numbers.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} factors an extended polynomial \\spad{p} over the rational numbers."))) 
 NIL 
 NIL 
-(-1010 S) 
+(-1014 S) 
 ((|constructor| (NIL "Rational number testing and retraction functions.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") |#1|) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number, \"failed\" if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) |#1|) "\\spad{rational?(x)} returns \\spad{true} if \\spad{x} is a rational number, \\spad{false} otherwise.")) (|rational| (((|Fraction| (|Integer|)) |#1|) "\\spad{rational(x)} returns \\spad{x} as a rational number; error if \\spad{x} is not a rational number."))) 
 NIL 
 NIL 
-(-1011 A S) 
+(-1015 A S) 
 ((|constructor| (NIL "A recursive aggregate over a type \\spad{S} is a model for a a directed graph containing values of type \\spad{S.} Recursively, a recursive aggregate is a node consisting of a \\spadfun{value} from \\spad{S} and 0 or more \\spadfun{children} which are recursive aggregates. A node with no children is called a \\spadfun{leaf} node. A recursive aggregate may be cyclic for which some operations as noted may go into an infinite loop.")) (|setvalue!| ((|#2| $ |#2|) "\\spad{setvalue!(u,x)} sets the value of node \\spad{u} to \\spad{x.}")) (|setelt| ((|#2| $ "value" |#2|) "\\spad{setelt(a,\"value\",x)} (also written \\axiom{a . value \\spad{:=} \\spad{x})} is equivalent to \\axiom{setvalue!(a,x)}")) (|setchildren!| (($ $ (|List| $)) "\\spad{setchildren!(u,v)} replaces the current children of node \\spad{u} with the members of \\spad{v} in left-to-right order.")) (|node?| (((|Boolean|) $ $) "\\spad{node?(u,v)} tests if node \\spad{u} is contained in node \\spad{v} (either as a child, a child of a child, etc.).")) (|child?| (((|Boolean|) $ $) "\\spad{child?(u,v)} tests if node \\spad{u} is a child of node \\spad{v.}")) (|distance| (((|Integer|) $ $) "\\spad{distance(u,v)} returns the path length (an integer) from node \\spad{u} to \\spad{v.}")) (|leaves| (((|List| |#2|) $) "\\spad{leaves(t)} returns the list of values in obtained by visiting the nodes of tree \\axiom{t} in left-to-right order.")) (|cyclic?| (((|Boolean|) $) "\\spad{cyclic?(u)} tests if \\spad{u} has a cycle.")) (|elt| ((|#2| $ "value") "\\spad{elt(u,\"value\")} (also written: \\axiom{a. value}) is equivalent to \\axiom{value(a)}.")) (|value| ((|#2| $) "\\spad{value(u)} returns the value of the node u.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(u)} tests if \\spad{u} is a terminal node.")) (|nodes| (((|List| $) $) "\\spad{nodes(u)} returns a list of all of the nodes of aggregate u.")) (|children| (((|List| $) $) "\\spad{children(u)} returns a list of the children of aggregate u."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4572)) (|HasCategory| |#2| (QUOTE (-1093)))) 
-(-1012 S) 
+((|HasAttribute| |#1| (QUOTE -4601)) (|HasCategory| |#2| (QUOTE (-1097)))) 
+(-1016 S) 
 ((|constructor| (NIL "A recursive aggregate over a type \\spad{S} is a model for a a directed graph containing values of type \\spad{S.} Recursively, a recursive aggregate is a node consisting of a \\spadfun{value} from \\spad{S} and 0 or more \\spadfun{children} which are recursive aggregates. A node with no children is called a \\spadfun{leaf} node. A recursive aggregate may be cyclic for which some operations as noted may go into an infinite loop.")) (|setvalue!| ((|#1| $ |#1|) "\\spad{setvalue!(u,x)} sets the value of node \\spad{u} to \\spad{x.}")) (|setelt| ((|#1| $ "value" |#1|) "\\spad{setelt(a,\"value\",x)} (also written \\axiom{a . value \\spad{:=} \\spad{x})} is equivalent to \\axiom{setvalue!(a,x)}")) (|setchildren!| (($ $ (|List| $)) "\\spad{setchildren!(u,v)} replaces the current children of node \\spad{u} with the members of \\spad{v} in left-to-right order.")) (|node?| (((|Boolean|) $ $) "\\spad{node?(u,v)} tests if node \\spad{u} is contained in node \\spad{v} (either as a child, a child of a child, etc.).")) (|child?| (((|Boolean|) $ $) "\\spad{child?(u,v)} tests if node \\spad{u} is a child of node \\spad{v.}")) (|distance| (((|Integer|) $ $) "\\spad{distance(u,v)} returns the path length (an integer) from node \\spad{u} to \\spad{v.}")) (|leaves| (((|List| |#1|) $) "\\spad{leaves(t)} returns the list of values in obtained by visiting the nodes of tree \\axiom{t} in left-to-right order.")) (|cyclic?| (((|Boolean|) $) "\\spad{cyclic?(u)} tests if \\spad{u} has a cycle.")) (|elt| ((|#1| $ "value") "\\spad{elt(u,\"value\")} (also written: \\axiom{a. value}) is equivalent to \\axiom{value(a)}.")) (|value| ((|#1| $) "\\spad{value(u)} returns the value of the node u.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(u)} tests if \\spad{u} is a terminal node.")) (|nodes| (((|List| $) $) "\\spad{nodes(u)} returns a list of all of the nodes of aggregate u.")) (|children| (((|List| $) $) "\\spad{children(u)} returns a list of the children of aggregate u."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-1013 S) 
-((|constructor| (NIL "\\axiomType{RealClosedField} provides common acces functions for all real closed fields.")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(n,p)} gives an approximation of \\axiom{n} that has precision \\axiom{p}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(x,name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(x,name)} changes the way \\axiom{x} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(x,n)} is \\axiom{x \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,n,name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(x)} is the expression of \\axiom{x} in terms of \\axiom{SparseUnivariatePolynomial($)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(x)} is the defining polynomial for the main algebraic quantity of \\axiom{x}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(x)} is the main algebraic quantity name of \\axiom{x}"))) 
+(-1017 S) 
+((|constructor| (NIL "\\axiomType{RealClosedField} provides common access functions for all real closed fields. provides computations with generic real roots of polynomials")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(n,p)} gives an approximation of \\axiom{n} that has precision \\axiom{p}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(x,name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(x,name)} changes the way \\axiom{x} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(x,n)} is \\axiom{x \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,n,name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(x)} is the expression of \\axiom{x} in terms of \\axiom{SparseUnivariatePolynomial($)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(x)} is the defining polynomial for the main algebraic quantity of \\axiom{x}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(x)} is the main algebraic quantity name of \\axiom{x}"))) 
 NIL 
 NIL 
-(-1014) 
-((|constructor| (NIL "\\axiomType{RealClosedField} provides common acces functions for all real closed fields.")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(n,p)} gives an approximation of \\axiom{n} that has precision \\axiom{p}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(x,name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(x,name)} changes the way \\axiom{x} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(x,n)} is \\axiom{x \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,n,name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(x)} is the expression of \\axiom{x} in terms of \\axiom{SparseUnivariatePolynomial($)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(x)} is the defining polynomial for the main algebraic quantity of \\axiom{x}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(x)} is the main algebraic quantity name of \\axiom{x}"))) 
-((-4564 . T) (-4569 . T) (-4563 . T) (-4566 . T) (-4565 . T) ((-4573 "*") . T) (-4568 . T)) 
+(-1018) 
+((|constructor| (NIL "\\axiomType{RealClosedField} provides common access functions for all real closed fields. provides computations with generic real roots of polynomials")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(n,p)} gives an approximation of \\axiom{n} that has precision \\axiom{p}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(x,name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(x,name)} changes the way \\axiom{x} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(x,n)} is \\axiom{x \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,n,name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(x)} is the expression of \\axiom{x} in terms of \\axiom{SparseUnivariatePolynomial($)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(x)} is the defining polynomial for the main algebraic quantity of \\axiom{x}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(x)} is the main algebraic quantity name of \\axiom{x}"))) 
+((-4593 . T) (-4598 . T) (-4592 . T) (-4595 . T) (-4594 . T) ((-4602 "*") . T) (-4597 . T)) 
 NIL 
-(-1015 R -1647) 
+(-1019 R -3280) 
 ((|constructor| (NIL "Risch differential equation, elementary case.")) (|rischDE| (((|Record| (|:| |ans| |#2|) (|:| |right| |#2|) (|:| |sol?| (|Boolean|))) (|Integer|) |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) "\\spad{rischDE(n, \\spad{f,} \\spad{g,} \\spad{x,} lim, ext)} returns \\spad{[y, \\spad{h,} \\spad{b]}} such that \\spad{dy/dx + \\spad{n} df/dx \\spad{y} = \\spad{h}} and \\spad{b \\spad{:=} \\spad{h} = \\spad{g}.} The equation \\spad{dy/dx + \\spad{n} df/dx \\spad{y} = \\spad{g}} has no solution if \\spad{h \\~~= \\spad{g}} (y is a partial solution in that case). Notes: \\spad{lim} is a limited integration function, and ext is an extended integration function."))) 
 NIL 
 NIL 
-(-1016 R -1647) 
+(-1020 R -3280) 
 ((|constructor| (NIL "Risch differential equation, elementary case.")) (|rischDEsys| (((|Union| (|List| |#2|) "failed") (|Integer|) |#2| |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) "\\spad{rischDEsys(n, \\spad{f,} g_1, g_2, x,lim,ext)} returns \\spad{y_1.y_2} such that \\spad{(dy1/dx,dy2/dx) + ((0, - \\spad{n} df/dx),(n df/dx,0)) (y1,y2) = (g1,g2)} if \\spad{y_1,y_2} exist, \"failed\" otherwise. \\spad{lim} is a limited integration function, \\spad{ext} is an extended integration function."))) 
 NIL 
 NIL 
-(-1017 -1647 UP) 
+(-1021 -3280 UP) 
 ((|constructor| (NIL "Risch differential equation, transcendental case.")) (|polyRDE| (((|Union| (|:| |ans| (|Record| (|:| |ans| |#2|) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (|Integer|)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (|Integer|) (|Mapping| |#2| |#2|)) "\\spad{polyRDE(a, \\spad{B,} \\spad{C,} \\spad{n,} \\spad{D)}} returns either: 1. \\spad{[Q, \\spad{b]}} such that \\spad{degree(Q) \\spad{<=} \\spad{n}} and \\indented{3}{\\spad{a \\spad{Q'+} \\spad{B} \\spad{Q} = \\spad{C}} if \\spad{b = true}, \\spad{Q} is a partial solution} \\indented{3}{otherwise.} 2. \\spad{[B1, \\spad{C1,} \\spad{m,} \\alpha, \\beta]} such that any polynomial solution \\indented{3}{of degree at most \\spad{n} of \\spad{A \\spad{Q'} + \\spad{BQ} = \\spad{C}} must be of the form} \\indented{3}{\\spad{Q = \\alpha \\spad{H} + \\beta} where \\spad{degree(H) \\spad{<=} \\spad{m}} and} \\indented{3}{H satisfies \\spad{H' + \\spad{B1} \\spad{H} = C1}.} \\spad{D} is the derivation to use.")) (|baseRDE| (((|Record| (|:| |ans| (|Fraction| |#2|)) (|:| |nosol| (|Boolean|))) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{baseRDE(f, \\spad{g)}} returns a \\spad{[y, \\spad{b]}} such that \\spad{y' + fy = \\spad{g}} if \\spad{b = true}, \\spad{y} is a partial solution otherwise (no solution in that case). \\spad{D} is the derivation to use.")) (|monomRDE| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |c| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomRDE(f,g,D)} returns \\spad{[A, \\spad{B,} \\spad{C,} \\spad{T]}} such that \\spad{y' + \\spad{f} \\spad{y} = \\spad{g}} has a solution if and only if \\spad{y = \\spad{Q} / \\spad{T},} where \\spad{Q} satisfies \\spad{A \\spad{Q'} + \\spad{B} \\spad{Q} = \\spad{C}} and has no normal pole. A and \\spad{T} are polynomials and \\spad{B} and \\spad{C} have no normal poles. \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-1018 -1647 UP) 
+(-1022 -3280 UP) 
 ((|constructor| (NIL "Risch differential equation system, transcendental case.")) (|baseRDEsys| (((|Union| (|List| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{baseRDEsys(f, \\spad{g1,} g2)} returns fractions \\spad{y_1.y_2} such that \\spad{(y1', y2') + ((0, -f), \\spad{(f,} 0)) (y1,y2) = (g1,g2)} if \\spad{y_1,y_2} exist, \"failed\" otherwise.")) (|monomRDEsys| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |h| |#2|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomRDEsys(f,g1,g2,D)} returns \\spad{[A, \\spad{B,} \\spad{H,} \\spad{C1,} \\spad{C2,} \\spad{T]}} such that \\spad{(y1', y2') + ((0, -f), \\spad{(f,} 0)) (y1,y2) = (g1,g2)} has a solution if and only if \\spad{y1 = \\spad{Q1} / \\spad{T,} \\spad{y2} = \\spad{Q2} / \\spad{T},} where \\spad{B,C1,C2,Q1,Q2} have no normal poles and satisfy A \\spad{(Q1', Q2') + ((H, -B), \\spad{(B,} \\spad{H))} (Q1,Q2) = (C1,C2)} \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-1019 S) 
+(-1023 S) 
 ((|constructor| (NIL "This package exports random distributions")) (|rdHack1| (((|Mapping| |#1|) (|Vector| |#1|) (|Vector| (|Integer|)) (|Integer|)) "\\spad{rdHack1(v,u,n)} \\undocumented")) (|weighted| (((|Mapping| |#1|) (|List| (|Record| (|:| |value| |#1|) (|:| |weight| (|Integer|))))) "\\spad{weighted(l)} \\undocumented")) (|uniform| (((|Mapping| |#1|) (|Set| |#1|)) "\\spad{uniform(s)} \\undocumented"))) 
 NIL 
 NIL 
-(-1020 F1 UP UPUP R F2) 
+(-1024 F1 UP UPUP R F2) 
 ((|constructor| (NIL "Finds the order of a divisor over a finite field")) (|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|) |#3| (|Mapping| |#5| |#1|)) "\\spad{order(f,u,g)} \\undocumented"))) 
 NIL 
 NIL 
-(-1021 |Pol|) 
+(-1025 |Pol|) 
 ((|constructor| (NIL "This package provides functions for finding the real zeros of univariate polynomials over the integers to arbitrary user-specified precision. The results are returned as a list of isolating intervals which are expressed as records with \"left\" and \"right\" rational number components.")) (|midpoints| (((|List| (|Fraction| (|Integer|))) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) "\\spad{midpoints(isolist)} returns the list of midpoints for the list of intervals isolist.")) (|midpoint| (((|Fraction| (|Integer|)) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{midpoint(int)} returns the midpoint of the interval int.")) (|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{refine(pol, int, range)} takes a univariate polynomial \\spad{pol} and and isolating interval \\spad{int} containing exactly one real root of pol; the operation returns an isolating interval which is contained within range, or \"failed\" if no such isolating interval exists.") (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{refine(pol, int, eps)} refines the interval \\spad{int} containing exactly one root of the univariate polynomial \\spad{pol} to size less than the rational number eps.")) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{realZeros(pol, int, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol} which lie in the interval expressed by the record int.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) "\\spad{realZeros(pol, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial pol.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{realZeros(pol, range)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol} which lie in the interval expressed by the record range.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) "\\spad{realZeros(pol)} returns a list of isolating intervals for all the real zeros of the univariate polynomial pol."))) 
 NIL 
 NIL 
-(-1022 |Pol|) 
+(-1026 |Pol|) 
 ((|constructor| (NIL "This package provides functions for finding the real zeros of univariate polynomials over the rational numbers to arbitrary user-specified precision. The results are returned as a list of isolating intervals, expressed as records with \"left\" and \"right\" rational number components.")) (|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{refine(pol, int, range)} takes a univariate polynomial \\spad{pol} and and isolating interval \\spad{int} which must contain exactly one real root of pol, and returns an isolating interval which is contained within range, or \"failed\" if no such isolating interval exists.") (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{refine(pol, int, eps)} refines the interval \\spad{int} containing exactly one root of the univariate polynomial \\spad{pol} to size less than the rational number eps.")) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{realZeros(pol, int, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol} which lie in the interval expressed by the record int.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) "\\spad{realZeros(pol, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial pol.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{realZeros(pol, range)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol} which lie in the interval expressed by the record range.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) "\\spad{realZeros(pol)} returns a list of isolating intervals for all the real zeros of the univariate polynomial pol."))) 
 NIL 
 NIL 
-(-1023) 
-((|constructor| (NIL "The category of real numeric domains, \\spadignore{i.e.} convertible to floats."))) 
+(-1027) 
+((|constructor| (NIL "The category of real numeric domains, that is, convertible to floats."))) 
 NIL 
 NIL 
-(-1024) 
+(-1028) 
 ((|constructor| (NIL "This package provides numerical solutions of systems of polynomial equations for use in ACPLOT")) (|realSolve| (((|List| (|List| (|Float|))) (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Float|)) "\\indented{1}{realSolve(lp,lv,eps) = compute the list of the real} \\indented{1}{solutions of the list \\spad{lp} of polynomials with integer} \\indented{1}{coefficients with respect to the variables in lv,} \\indented{1}{with precision eps.} \\blankline \\spad{X} \\spad{p1} \\spad{:=} x**2*y*z + \\spad{y*z} \\spad{X} \\spad{p2} \\spad{:=} x**2*y**2*z + \\spad{x} + \\spad{z} \\spad{X} \\spad{p3} \\spad{:=} \\spad{x**2*y**2*z**2} + \\spad{z} + 1 \\spad{X} \\spad{lp} \\spad{:=} [p1, \\spad{p2,} \\spad{p3]} \\spad{X} realSolve(lp,[x,y,z],0.01)")) (|solve| (((|List| (|Float|)) (|Polynomial| (|Integer|)) (|Float|)) "\\indented{1}{solve(p,eps) finds the real zeroes of a univariate} \\indented{1}{integer polynomial \\spad{p} with precision eps.} \\blankline \\spad{X} \\spad{p} \\spad{:=} 4*x^3 - 3*x^2 + 2*x - 4 \\spad{X} solve(p,0.01)$REALSOLV") (((|List| (|Float|)) (|Polynomial| (|Fraction| (|Integer|))) (|Float|)) "\\indented{1}{solve(p,eps) finds the real zeroes of a} \\indented{1}{univariate rational polynomial \\spad{p} with precision eps.} \\blankline \\spad{X} \\spad{p} \\spad{:=} 4*x^3 - 3*x^2 + 2*x - 4 \\spad{X} solve(p::POLY(FRAC(INT)),0.01)$REALSOLV"))) 
 NIL 
 NIL 
-(-1025 |TheField|) 
+(-1029 |TheField|) 
 ((|constructor| (NIL "This domain implements the real closure of an ordered field.")) (|relativeApprox| (((|Fraction| (|Integer|)) $ $) "\\axiom{relativeApprox(n,p)} gives a relative approximation of \\axiom{n} that has precision \\axiom{p}")) (|mainCharacterization| (((|Union| (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) "failed") $) "\\axiom{mainCharacterization(x)} is the main algebraic quantity of \\axiom{x} (\\axiom{SEG})")) (|algebraicOf| (($ (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) (|OutputForm|)) "\\axiom{algebraicOf(char)} is the external number"))) 
-((-4564 . T) (-4569 . T) (-4563 . T) (-4566 . T) (-4565 . T) ((-4573 "*") . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-410 (-569)) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 (-569)) (LIST (QUOTE -1039) (QUOTE (-569)))) (-1929 (|HasCategory| (-410 (-569)) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))))) 
-(-1026 R -1647) 
+((-4593 . T) (-4598 . T) (-4592 . T) (-4595 . T) (-4594 . T) ((-4602 "*") . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| (-412 (-571)) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-412 (-571)) (LIST (QUOTE -1043) (QUOTE (-571)))) (-1831 (|HasCategory| (-412 (-571)) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))))) 
+(-1030 R -3280) 
 ((|constructor| (NIL "This package provides an operator for the \\spad{n}-th term of a recurrence and an operator for the coefficient of \\spad{x^n} in a function specified by a functional equation.")) (|getOp| (((|BasicOperator|) |#2|) "\\spad{getOp \\spad{f},} if \\spad{f} represents the coefficient of a recurrence or ADE, returns the operator representing the solution")) (|getEq| ((|#2| |#2|) "\\spad{getEq \\spad{f}} returns the defining equation, if \\spad{f} represents the coefficient of an ADE or a recurrence.")) (|evalADE| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) "\\spad{evalADE(f, dummy, \\spad{x,} \\spad{n,} eq, values)} creates an expression that stands for the coefficient of \\spad{x^n} in the Taylor expansion of f(x), where f(x) is given by the functional equation eq. However, for technical reasons the variable \\spad{x} has to be replaced by a \\spad{dummy} variable \\spad{dummy} in eq. The argument values specifies the first few Taylor coefficients.")) (|evalRec| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) "\\spad{evalRec(u, dummy, \\spad{n,} \\spad{n0,} eq, values)} creates an expression that stands for u(n0), where u(n) is given by the equation eq. However, for technical reasons the variable \\spad{n} has to be replaced by a \\spad{dummy} variable \\spad{dummy} in eq. The argument values specifies the initial values of the recurrence u(0), u(1),... For the moment we don't allow recursions that contain \\spad{u} inside of another operator."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1049)))) 
-(-1027 -1647 L) 
+((|HasCategory| |#1| (QUOTE (-1053)))) 
+(-1031 -3280 L) 
 ((|constructor| (NIL "\\spadtype{ReductionOfOrder} provides functions for reducing the order of linear ordinary differential equations once some solutions are known.")) (|ReduceOrder| (((|Record| (|:| |eq| |#2|) (|:| |op| (|List| |#1|))) |#2| (|List| |#1|)) "\\spad{ReduceOrder(op, [f1,...,fk])} returns \\spad{[op1,[g1,...,gk]]} such that for any solution \\spad{z} of \\spad{op1 \\spad{z} = 0}, \\spad{y = \\spad{gk} \\int(g_{k-1} \\int(... \\int(g1 \\int z)...)} is a solution of \\spad{op \\spad{y} = 0}. Each \\spad{fi} must satisfy \\spad{op \\spad{fi} = 0}.") ((|#2| |#2| |#1|) "\\spad{ReduceOrder(op, \\spad{s)}} returns \\spad{op1} such that for any solution \\spad{z} of \\spad{op1 \\spad{z} = 0}, \\spad{y = \\spad{s} \\int \\spad{z}} is a solution of \\spad{op \\spad{y} = 0}. \\spad{s} must satisfy \\spad{op \\spad{s} = 0}."))) 
 NIL 
 NIL 
-(-1028 S) 
+(-1032 S) 
 ((|constructor| (NIL "\\spadtype{Reference} is for making a changeable instance of something.")) (= (((|Boolean|) $ $) "\\spad{a=b} tests if \\spad{a} and \\spad{b} are equal.")) (|setref| ((|#1| $ |#1|) "\\spad{setref(n,m)} same as \\spad{setelt(n,m)}.")) (|deref| ((|#1| $) "\\spad{deref(n)} is equivalent to \\spad{elt(n)}.")) (|setelt| ((|#1| $ |#1|) "\\spad{setelt(n,m)} changes the value of the object \\spad{n} to \\spad{m.}")) (|elt| ((|#1| $) "\\spad{elt(n)} returns the object \\spad{n.}")) (|ref| (($ |#1|) "\\spad{ref(n)} creates a pointer (reference) to the object \\spad{n.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1093)))) 
-(-1029 R E V P) 
+((|HasCategory| |#1| (QUOTE (-1097)))) 
+(-1033 R E V P) 
 ((|constructor| (NIL "This domain provides an implementation of regular chains. Moreover, the operation zeroSetSplit is an implementation of a new algorithm for solving polynomial systems by means of regular chains.")) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{pre_process(lp,b1,b2)} is an internal subroutine, exported only for developement.")) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalZeroSetSplit(lp,b1,b2,b3)} is an internal subroutine, exported only for developement.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,b1,b2.b3,b4)} is an internal subroutine, exported only for developement.") (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,clos?,info?)} has the same specifications as zeroSetSplit from RegularTriangularSetCategory. Moreover, if \\axiom{clos?} then solves in the sense of the Zariski closure else solves in the sense of the regular zeros. If \\axiom{info?} then do print messages during the computations.")) (|internalAugment| (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalAugment(p,ts,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1093))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
-(-1030 R) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#4| (QUOTE (-1097))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#3| (QUOTE (-373)))) 
+(-1034 R) 
 ((|constructor| (NIL "\\spad{RepresentationPackage1} provides functions for representation theory for finite groups and algebras. The package creates permutation representations and uses tensor products and its symmetric and antisymmetric components to create new representations of larger degree from given ones. Note that instead of having parameters from \\spadtype{Permutation} this package allows list notation of permutations as well: \\spadignore{e.g.} \\spad{[1,4,3,2]} denotes permutes 2 and 4 and fixes 1 and 3.")) (|permutationRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|List| (|Integer|)))) "\\spad{permutationRepresentation([pi1,...,pik],n)} returns the list of matrices [(deltai,pi1(i)),...,(deltai,pik(i))] if the permutations pi1,...,pik are in list notation and are permuting {1,2,...,n}.") (((|List| (|Matrix| (|Integer|))) (|List| (|Permutation| (|Integer|))) (|Integer|)) "\\spad{permutationRepresentation([pi1,...,pik],n)} returns the list of matrices [(deltai,pi1(i)),...,(deltai,pik(i))] (Kronecker delta) for the permutations pi1,...,pik of {1,2,...,n}.") (((|Matrix| (|Integer|)) (|List| (|Integer|))) "\\spad{permutationRepresentation(pi,n)} returns the matrix (deltai,pi(i)) (Kronecker delta) if the permutation \\spad{pi} is in list notation and permutes {1,2,...,n}.") (((|Matrix| (|Integer|)) (|Permutation| (|Integer|)) (|Integer|)) "\\spad{permutationRepresentation(pi,n)} returns the matrix (deltai,pi(i)) (Kronecker delta) for a permutation \\spad{pi} of {1,2,...,n}.")) (|tensorProduct| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{tensorProduct([a1,...ak])} calculates the list of Kronecker products of each matrix \\spad{ai} with itself for \\spad{{1} \\spad{<=} \\spad{i} \\spad{<=} \\spad{k}.} Note that if the list of matrices corresponds to a group representation (repr. of generators) of one group, then these matrices correspond to the tensor product of the representation with itself.") (((|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{tensorProduct(a)} calculates the Kronecker product of the matrix a with itself.") (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{tensorProduct([a1,...,ak],[b1,...,bk])} calculates the list of Kronecker products of the matrices \\spad{ai} and \\spad{bi} for \\spad{{1} \\spad{<=} \\spad{i} \\spad{<=} \\spad{k}.} Note that if each list of matrices corresponds to a group representation (repr. of generators) of one group, then these matrices correspond to the tensor product of the two representations.") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{tensorProduct(a,b)} calculates the Kronecker product of the matrices a and \\spad{b.} Note that if each matrix corresponds to a group representation (repr. of generators) of one group, then these matrices correspond to the tensor product of the two representations.")) (|symmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{symmetricTensors(la,n)} applies to each m-by-m square matrix in the list \\spad{la} the irreducible, polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (n,0,...,0) of \\spad{n.} Error: if the matrices in \\spad{la} are not square matrices. Note that this corresponds to the symmetrization of the representation with the trivial representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the symmetric tensors of the n-fold tensor product.") (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) "\\spad{symmetricTensors(a,n)} applies to the m-by-m square matrix a the irreducible, polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (n,0,...,0) of \\spad{n.} Error: if a is not a square matrix. Note that this corresponds to the symmetrization of the representation with the trivial representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the symmetric tensors of the n-fold tensor product.")) (|createGenericMatrix| (((|Matrix| (|Polynomial| |#1|)) (|NonNegativeInteger|)) "\\spad{createGenericMatrix(m)} creates a square matrix of dimension \\spad{k} whose entry at the \\spad{i}-th row and \\spad{j}-th column is the indeterminate x[i,j] (double subscripted).")) (|antisymmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{antisymmetricTensors(la,n)} applies to each m-by-m square matrix in the list \\spad{la} the irreducible, polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (1,1,...,1,0,0,...,0) of \\spad{n.} Error: if \\spad{n} is greater than \\spad{m.} Note that this corresponds to the symmetrization of the representation with the sign representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the antisymmetric tensors of the n-fold tensor product.") (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) "\\spad{antisymmetricTensors(a,n)} applies to the square matrix a the irreducible, polynomial representation of the general linear group GLm, where \\spad{m} is the number of rows of a, which corresponds to the partition (1,1,...,1,0,0,...,0) of \\spad{n.} Error: if \\spad{n} is greater than \\spad{m.} Note that this corresponds to the symmetrization of the representation with the sign representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the antisymmetric tensors of the n-fold tensor product."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE (-4573 "*")))) 
-(-1031 R) 
+((|HasAttribute| |#1| (QUOTE (-4602 "*")))) 
+(-1035 R) 
 ((|constructor| (NIL "\\spad{RepresentationPackage2} provides functions for working with modular representations of finite groups and algebra. The routines in this package are created, using ideas of \\spad{R.} Parker, (the meat-Axe) to get smaller representations from bigger ones, \\spadignore{i.e.} finding sub- and factormodules, or to show, that such the representations are irreducible. Note that most functions are randomized functions of Las Vegas type \\spadignore{i.e.} every answer is correct, but with small probability the algorithm fails to get an answer.")) (|scanOneDimSubspaces| (((|Vector| |#1|) (|List| (|Vector| |#1|)) (|Integer|)) "\\spad{scanOneDimSubspaces(basis,n)} gives a canonical representative of the \\spad{n}-th one-dimensional subspace of the vector space generated by the elements of basis, all from R**n. The coefficients of the representative are of shape (0,...,0,1,*,...,*), * in \\spad{R.} If the size of \\spad{R} is \\spad{q,} then there are (q**n-1)/(q-1) of them. We first reduce \\spad{n} modulo this number, then find the largest \\spad{i} such that +/[q**i for \\spad{i} in 0..i-1] \\spad{<=} \\spad{n.} Subtracting this sum of powers from \\spad{n} results in an i-digit number to \\spad{basis} \\spad{q.} This fills the positions of the stars.")) (|meatAxe| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{meatAxe(aG, numberOfTries)} calls meatAxe(aG,true,numberOfTries,7). Notes: 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|)) "\\spad{meatAxe(aG, randomElements)} calls meatAxe(aG,false,6,7), only using Parker's fingerprints, if randomElemnts is false. If it is true, it calls meatAxe(aG,true,25,7), only using random elements. Note that the choice of 25 was rather arbitrary. Also, 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|))) "\\spad{meatAxe(aG)} calls meatAxe(aG,false,25,7) returns a 2-list of representations as follows. All matrices of argument \\spad{aG} are assumed to be square and of equal size. Then \\spad{aG} generates a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an A-module in the usual way. meatAxe(aG) creates at most 25 random elements of the algebra, tests them for singularity. If singular, it tries at most 7 elements of its kernel to generate a proper submodule. If successful a list which contains first the list of the representations of the submodule, then a list of the representations of the factor module is returned. Otherwise, if we know that all the kernel is already scanned, Norton's irreducibility test can be used either to prove irreducibility or to find the splitting. Notes: the first 6 tries use Parker's fingerprints. Also, 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|) (|Integer|)) "\\spad{meatAxe(aG,randomElements,numberOfTries, maxTests)} returns a 2-list of representations as follows. All matrices of argument \\spad{aG} are assumed to be square and of equal size. Then \\spad{aG} generates a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an A-module in the usual way. meatAxe(aG,numberOfTries, maxTests) creates at most \\spad{numberOfTries} random elements of the algebra, tests them for singularity. If singular, it tries at most maxTests elements of its kernel to generate a proper submodule. If successful, a 2-list is returned: first, a list containing first the list of the representations of the submodule, then a list of the representations of the factor module. Otherwise, if we know that all the kernel is already scanned, Norton's irreducibility test can be used either to prove irreducibility or to find the splitting. If \\spad{randomElements} is false, the first 6 tries use Parker's fingerprints.")) (|split| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| (|Vector| |#1|))) "\\spad{split(aG,submodule)} uses a proper \\spad{submodule} of R**n to create the representations of the \\spad{submodule} and of the factor module.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{split(aG, vector)} returns a subalgebra \\spad{A} of all square matrix of dimension \\spad{n} as a list of list of matrices, generated by the list of matrices aG, where \\spad{n} denotes both the size of vector as well as the dimension of each of the square matrices. \\spad{V} \\spad{R} is an A-module in the natural way. split(aG, vector) then checks whether the cyclic submodule generated by vector is a proper submodule of \\spad{V} \\spad{R.} If successful, it returns a two-element list, which contains first the list of the representations of the submodule, then the list of the representations of the factor module. If the vector generates the whole module, a one-element list of the old representation is given. Note that a later version this should call the other split.")) (|isAbsolutelyIrreducible?| (((|Boolean|) (|List| (|Matrix| |#1|))) "\\spad{isAbsolutelyIrreducible?(aG)} calls isAbsolutelyIrreducible?(aG,25). Note that the choice of 25 was rather arbitrary.") (((|Boolean|) (|List| (|Matrix| |#1|)) (|Integer|)) "\\spad{isAbsolutelyIrreducible?(aG, numberOfTries)} uses Norton's irreducibility test to check for absolute irreduciblity, assuming if a one-dimensional kernel is found. As no field extension changes create \"new\" elements in a one-dimensional space, the criterium stays \\spad{true} for every extension. The method looks for one-dimensionals only by creating random elements (no fingerprints) since a run of meatAxe would have proved absolute irreducibility anyway.")) (|areEquivalent?| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Integer|)) "\\spad{areEquivalent?(aG0,aG1,numberOfTries)} calls areEquivalent?(aG0,aG1,true,25). Note that the choice of 25 was rather arbitrary.") (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{areEquivalent?(aG0,aG1)} calls areEquivalent?(aG0,aG1,true,25). Note that the choice of 25 was rather arbitrary.") (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|)) "\\spad{areEquivalent?(aG0,aG1,randomelements,numberOfTries)} tests whether the two lists of matrices, all assumed of same square shape, can be simultaneously conjugated by a non-singular matrix. If these matrices represent the same group generators, the representations are equivalent. The algorithm tries \\spad{numberOfTries} times to create elements in the generated algebras in the same fashion. If their ranks differ, they are not equivalent. If an isomorphism is assumed, then the kernel of an element of the first algebra is mapped to the kernel of the corresponding element in the second algebra. Now consider the one-dimensional ones. If they generate the whole space (\\spadignore{e.g.} irreducibility \\spad{!)} we use standardBasisOfCyclicSubmodule to create the only possible transition matrix. The method checks whether the matrix conjugates all corresponding matrices from aGi. The way to choose the singular matrices is as in meatAxe. If the two representations are equivalent, this routine returns the transformation matrix \\spad{TM} with aG0.i * \\spad{TM} = \\spad{TM} * aG1.i for all i. If the representations are not equivalent, a small 0-matrix is returned. Note that the case with different sets of group generators cannot be handled.")) (|standardBasisOfCyclicSubmodule| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{standardBasisOfCyclicSubmodule(lm,v)} returns a matrix as follows. It is assumed that the size \\spad{n} of the vector equals the number of rows and columns of the matrices. Then the matrices generate a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an \\spad{A}-module in the natural way. standardBasisOfCyclicSubmodule(lm,v) calculates a matrix whose non-zero column vectors are the R-Basis of Av achieved in the way as described in section 6 of \\spad{R.} A. Parker's \"The Meat-Axe\". Note that in contrast to cyclicSubmodule, the result is not in echelon form.")) (|cyclicSubmodule| (((|Vector| (|Vector| |#1|)) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{cyclicSubmodule(lm,v)} generates a basis as follows. It is assumed that the size \\spad{n} of the vector equals the number of rows and columns of the matrices. Then the matrices generate a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an \\spad{A}-module in the natural way. cyclicSubmodule(lm,v) generates the R-Basis of Av as described in section 6 of \\spad{R.} A. Parker's \"The Meat-Axe\". Note that in contrast to the description in \"The Meat-Axe\" and to standardBasisOfCyclicSubmodule the result is in echelon form.")) (|createRandomElement| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Matrix| |#1|)) "\\spad{createRandomElement(aG,x)} creates a random element of the group algebra generated by aG.")) (|completeEchelonBasis| (((|Matrix| |#1|) (|Vector| (|Vector| |#1|))) "\\spad{completeEchelonBasis(lv)} completes the basis \\spad{lv} assumed to be in echelon form of a subspace of R**n \\spad{(n} the length of all the vectors in \\spad{lv} with unit vectors to a basis of R**n. It is assumed that the argument is not an empty vector and that it is not the basis of the 0-subspace. Note that the rows of the result correspond to the vectors of the basis."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371)))) (|HasCategory| |#1| (QUOTE (-302)))) 
-(-1032 S) 
+((|HasCategory| |#1| (QUOTE (-367))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-373)))) (|HasCategory| |#1| (QUOTE (-302)))) 
+(-1036 S) 
 ((|constructor| (NIL "Implements multiplication by repeated addition")) (|double| ((|#1| (|PositiveInteger|) |#1|) "\\spad{double(i, \\spad{r)}} multiplies \\spad{r} by \\spad{i} using repeated doubling.")) (+ (($ $ $) "\\spad{x+y} returns the sum of \\spad{x} and \\spad{y}"))) 
 NIL 
 NIL 
-(-1033) 
+(-1037) 
 ((|constructor| (NIL "Package for the computation of eigenvalues and eigenvectors. This package works for matrices with coefficients which are rational functions over the integers. (see \\spadtype{Fraction Polynomial Integer}). The eigenvalues and eigenvectors are expressed in terms of radicals.")) (|orthonormalBasis| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{orthonormalBasis(m)} returns the orthogonal matrix \\spad{b} such that \\spad{b*m*(inverse \\spad{b)}} is diagonal. Error: if \\spad{m} is not a symmetric matrix.")) (|gramschmidt| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|List| (|Matrix| (|Expression| (|Integer|))))) "\\spad{gramschmidt(lv)} converts the list of column vectors \\spad{lv} into a set of orthogonal column vectors of euclidean length 1 using the Gram-Schmidt algorithm.")) (|normalise| (((|Matrix| (|Expression| (|Integer|))) (|Matrix| (|Expression| (|Integer|)))) "\\spad{normalise(v)} returns the column vector \\spad{v} divided by its euclidean norm; when possible, the vector \\spad{v} is expressed in terms of radicals.")) (|eigenMatrix| (((|Union| (|Matrix| (|Expression| (|Integer|))) "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{eigenMatrix(m)} returns the matrix \\spad{b} such that \\spad{b*m*(inverse \\spad{b)}} is diagonal, or \"failed\" if no such \\spad{b} exists.")) (|radicalEigenvalues| (((|List| (|Expression| (|Integer|))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvalues(m)} computes the eigenvalues of the matrix \\spad{m;} when possible, the eigenvalues are expressed in terms of radicals.")) (|radicalEigenvector| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Expression| (|Integer|)) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvector(c,m)} computes the eigenvector(s) of the matrix \\spad{m} corresponding to the eigenvalue \\spad{c;} when possible, values are expressed in terms of radicals.")) (|radicalEigenvectors| (((|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|))))))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvectors(m)} computes the eigenvalues and the corresponding eigenvectors of the matrix \\spad{m;} when possible, values are expressed in terms of radicals."))) 
 NIL 
 NIL 
-(-1034 S) 
+(-1038 S) 
 ((|constructor| (NIL "Implements exponentiation by repeated squaring")) (|expt| ((|#1| |#1| (|PositiveInteger|)) "\\spad{expt(r, i)} computes r**i by repeated squaring")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y}"))) 
 NIL 
 NIL 
-(-1035 S) 
+(-1039 S) 
 ((|constructor| (NIL "This package provides coercions for the special types \\spadtype{Exit} and \\spadtype{Void}.")) (|coerce| ((|#1| (|Exit|)) "\\spad{coerce(e)} is never really evaluated. This coercion is used for formal type correctness when a function will not return directly to its caller.") (((|Void|) |#1|) "\\spad{coerce(s)} throws all information about \\spad{s} away. This coercion allows values of any type to appear in contexts where they will not be used. For example, it allows the resolution of different types in the \\spad{then} and \\spad{else} branches when an \\spad{if} is in a context where the resulting value is not used."))) 
 NIL 
 NIL 
-(-1036 -1647 |Expon| |VarSet| |FPol| |LFPol|) 
+(-1040 -3280 |Expon| |VarSet| |FPol| |LFPol|) 
 ((|constructor| (NIL "ResidueRing is the quotient of a polynomial ring by an ideal. The ideal is given as a list of generators. The elements of the domain are equivalence classes expressed in terms of reduced elements")) (|lift| ((|#4| $) "\\spad{lift(x)} return the canonical representative of the equivalence class \\spad{x}")) (|coerce| (($ |#4|) "\\spad{coerce(f)} produces the equivalence class of \\spad{f} in the residue ring")) (|reduce| (($ |#4|) "\\spad{reduce(f)} produces the equivalence class of \\spad{f} in the residue ring"))) 
-(((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1037) 
+(-1041) 
 ((|constructor| (NIL "A domain used to return the results from a call to the NAG Library. It prints as a list of names and types, though the user may choose to display values automatically if he or she wishes.")) (|showArrayValues| (((|Boolean|) (|Boolean|)) "\\spad{showArrayValues(true)} forces the values of array components to be \\indented{1}{displayed rather than just their types.}")) (|showScalarValues| (((|Boolean|) (|Boolean|)) "\\spad{showScalarValues(true)} forces the values of scalar components to be \\indented{1}{displayed rather than just their types.}"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (QUOTE (-1165))) (LIST (QUOTE |:|) (QUOTE -3175) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093)))) (|HasCategory| (-1165) (QUOTE (-844))) (|HasCategory| (-57) (QUOTE (-1093))) (-1929 (|HasCategory| (-57) (QUOTE (-1093))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1093))))) 
-(-1038 A S) 
-((|constructor| (NIL "A is retractable to \\spad{B} means that some elementsif A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#2| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S.}")) (|retractIfCan| (((|Union| |#2| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S.}")) (|coerce| (($ |#2|) "\\spad{coerce(a)} transforms a into an element of \\spad{%.}"))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (QUOTE (-1169))) (LIST (QUOTE |:|) (QUOTE -4279) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (QUOTE (-1097)))) (|HasCategory| (-1169) (QUOTE (-847))) (|HasCategory| (-57) (QUOTE (-1097))) (-1831 (|HasCategory| (-57) (QUOTE (-1097))) (|HasCategory| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (QUOTE (-1097)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1097))))) 
+(-1042 A S) 
+((|constructor| (NIL "A is retractable to \\spad{B} means that some elements if A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#2| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S.}")) (|retractIfCan| (((|Union| |#2| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S.}")) (|coerce| (($ |#2|) "\\spad{coerce(a)} transforms a into an element of \\spad{%.}"))) 
 NIL 
 NIL 
-(-1039 S) 
-((|constructor| (NIL "A is retractable to \\spad{B} means that some elementsif A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#1| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S.}")) (|retractIfCan| (((|Union| |#1| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S.}")) (|coerce| (($ |#1|) "\\spad{coerce(a)} transforms a into an element of \\spad{%.}"))) 
+(-1043 S) 
+((|constructor| (NIL "A is retractable to \\spad{B} means that some elements if A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#1| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S.}")) (|retractIfCan| (((|Union| |#1| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S.}")) (|coerce| (($ |#1|) "\\spad{coerce(a)} transforms a into an element of \\spad{%.}"))) 
 NIL 
 NIL 
-(-1040 Q R) 
+(-1044 Q R) 
 ((|constructor| (NIL "RetractSolvePackage is an interface to \\spadtype{SystemSolvePackage} that attempts to retract the coefficients of the equations before solving.")) (|solveRetract| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#2|))))) (|List| (|Polynomial| |#2|)) (|List| (|Symbol|))) "\\spad{solveRetract(lp,lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.} The function tries to retract all the coefficients of the equations to \\spad{Q} before solving if possible."))) 
 NIL 
 NIL 
-(-1041) 
+(-1045) 
 ((|t| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) "\\spad{t(n)} \\undocumented")) (F (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{F(n,m)} \\undocumented")) (|Beta| (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{Beta(n,m)} \\undocumented")) (|chiSquare| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) "\\spad{chiSquare(n)} \\undocumented")) (|exponential| (((|Mapping| (|Float|)) (|Float|)) "\\spad{exponential(f)} \\undocumented")) (|normal| (((|Mapping| (|Float|)) (|Float|) (|Float|)) "\\spad{normal(f,g)} \\undocumented")) (|uniform| (((|Mapping| (|Float|)) (|Float|) (|Float|)) "\\spad{uniform(f,g)} \\undocumented")) (|chiSquare1| (((|Float|) (|NonNegativeInteger|)) "\\spad{chiSquare1(n)} \\undocumented")) (|exponential1| (((|Float|)) "\\spad{exponential1()} \\undocumented")) (|normal01| (((|Float|)) "\\spad{normal01()} \\undocumented")) (|uniform01| (((|Float|)) "\\spad{uniform01()} \\undocumented"))) 
 NIL 
 NIL 
-(-1042 UP) 
+(-1046 UP) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients which are rational functions with integer coefficients.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p.}"))) 
 NIL 
 NIL 
-(-1043 R) 
+(-1047 R) 
 ((|constructor| (NIL "\\spadtype{RationalFunctionFactorizer} contains the factor function (called factorFraction) which factors fractions of polynomials by factoring the numerator and denominator. Since any non zero fraction is a unit the usual factor operation will just return the original fraction.")) (|factorFraction| (((|Fraction| (|Factored| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\spad{factorFraction(r)} factors the numerator and the denominator of the polynomial fraction \\spad{r.}"))) 
 NIL 
 NIL 
-(-1044 R) 
+(-1048 R) 
 ((|constructor| (NIL "Utilities that provide the same top-level manipulations on fractions than on polynomials.")) (|coerce| (((|Fraction| (|Polynomial| |#1|)) |#1|) "\\spad{coerce(r)} returns \\spad{r} viewed as a rational function over \\spad{R.}")) (|eval| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{eval(f, \\spad{[v1} = g1,...,vn = gn])} returns \\spad{f} with each \\spad{vi} replaced by \\spad{gi} in parallel, \\spadignore{i.e.} vi's appearing inside the gi's are not replaced. Error: if any \\spad{vi} is not a symbol.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eval(f, \\spad{v} = \\spad{g)}} returns \\spad{f} with \\spad{v} replaced by \\spad{g.} Error: if \\spad{v} is not a symbol.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eval(f, [v1,...,vn], [g1,...,gn])} returns \\spad{f} with each \\spad{vi} replaced by \\spad{gi} in parallel, \\spadignore{i.e.} vi's appearing inside the gi's are not replaced.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) "\\spad{eval(f, \\spad{v,} \\spad{g)}} returns \\spad{f} with \\spad{v} replaced by \\spad{g.}")) (|multivariate| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Symbol|)) "\\spad{multivariate(f, \\spad{v)}} applies both the numerator and denominator of \\spad{f} to \\spad{v.}")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{univariate(f, \\spad{v)}} returns \\spad{f} viewed as a univariate rational function in \\spad{v.}")) (|mainVariable| (((|Union| (|Symbol|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{mainVariable(f)} returns the highest variable appearing in the numerator or the denominator of \\spad{f,} \"failed\" if \\spad{f} has no variables.")) (|variables| (((|List| (|Symbol|)) (|Fraction| (|Polynomial| |#1|))) "\\spad{variables(f)} returns the list of variables appearing in the numerator or the denominator of \\spad{f.}"))) 
 NIL 
 NIL 
-(-1045 K) 
+(-1049 K) 
 ((|constructor| (NIL "This pacackage finds all the roots of a polynomial. If the constant field is not large enough then it returns the list of found zeros and the degree of the extension need to find the other roots missing. If the return degree is 1 then all the roots have been found. If 0 is return for the extension degree then there are an infinite number of zeros, that is you ask for the zeroes of 0. In the case of infinite field a list of all found zeros is kept and for each other call of a function that finds zeroes, a check is made on that list; this is to keep a kind of \"canonical\" representation of the elements.")) (|setFoundZeroes| (((|List| |#1|) (|List| |#1|)) "\\spad{setFoundZeroes sets} the list of foundZeroes to the given one.")) (|foundZeroes| (((|List| |#1|)) "\\spad{foundZeroes returns} the list of already found zeros by the functions distinguishedRootsOf and distinguishedCommonRootsOf.")) (|distinguishedCommonRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|List| (|SparseUnivariatePolynomial| |#1|)) |#1|) "\\spad{distinguishedCommonRootsOf returns} the common zeros of a list of polynomial. It returns a record as in distinguishedRootsOf. If 0 is returned as extension degree then there are an infinite number of common zeros (in this case, the polynomial 0 was given in the list of input polynomials).")) (|distinguishedRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|SparseUnivariatePolynomial| |#1|) |#1|) "\\spad{distinguishedRootsOf returns} a record consisting of a list of zeros of the input polynomial followed by the smallest extension degree needed to find all the zeros. If \\spad{K} has \\spad{PseudoAlgebraicClosureOfFiniteFieldCategory} or \\spad{PseudoAlgebraicClosureOfRationalNumberCategory} then a root is created for each irreducible factor, and only these roots are returns and not their conjugate."))) 
 NIL 
 NIL 
-(-1046 R |ls|) 
+(-1050 R |ls|) 
 ((|constructor| (NIL "A domain for regular chains (\\spadignore{i.e.} regular triangular sets) over a Gcd-Domain and with a fix list of variables. This is just a front-end for the \\spadtype{RegularTriangularSet} domain constructor.")) (|zeroSetSplit| (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|) (|Boolean|)) "\\spad{zeroSetSplit(lp,clos?,info?)} returns a list \\spad{lts} of regular chains such that the union of the closures of their regular zero sets equals the affine variety associated with \\spad{lp}. Moreover, if \\spad{clos?} is \\spad{false} then the union of the regular zero set of the \\spad{ts} (for \\spad{ts} in \\spad{lts}) equals this variety. If \\spad{info?} is \\spad{true} then some information is displayed during the computations. See zeroSetSplit from RegularTriangularSet."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| (-777 |#1| (-854 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-777 |#1| (-854 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-777 |#1| (-854 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -777) (|devaluate| |#1|) (LIST (QUOTE -854) (|devaluate| |#2|))))) (|HasCategory| (-777 |#1| (-854 |#2|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| (-854 |#2|) (QUOTE (-371)))) 
-(-1047) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| (-780 |#1| (-857 |#2|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-780 |#1| (-857 |#2|)) (QUOTE (-1097))) (-12 (|HasCategory| (-780 |#1| (-857 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -780) (|devaluate| |#1|) (LIST (QUOTE -857) (|devaluate| |#2|))))) (|HasCategory| (-780 |#1| (-857 |#2|)) (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| (-857 |#2|) (QUOTE (-373)))) 
+(-1051) 
 ((|constructor| (NIL "This package exports integer distributions")) (|ridHack1| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{ridHack1(i,j,k,l)} \\undocumented")) (|geometric| (((|Mapping| (|Integer|)) |RationalNumber|) "\\spad{geometric(f)} \\undocumented")) (|poisson| (((|Mapping| (|Integer|)) |RationalNumber|) "\\spad{poisson(f)} \\undocumented")) (|binomial| (((|Mapping| (|Integer|)) (|Integer|) |RationalNumber|) "\\spad{binomial(n,f)} \\undocumented")) (|uniform| (((|Mapping| (|Integer|)) (|Segment| (|Integer|))) "\\spad{uniform(s)} as \\indented{4}{l + \\spad{u0} + \\spad{w*u1} + \\spad{w**2*u2} +...+ \\spad{w**(n-1)*u-1} + w**n*m} where \\indented{4}{s = a..b} \\indented{4}{l = min(a,b)} \\indented{4}{m = abs(b-a) + 1} \\indented{4}{w**n < \\spad{m} < w**(n+1)} \\indented{4}{u0,...,un-1\\space{2}are uniform on\\space{2}0..w-1} \\indented{4}{m\\space{12}is\\space{2}uniform on\\space{2}0..(m quo w**n)-1}"))) 
 NIL 
 NIL 
-(-1048 S) 
+(-1052 S) 
 ((|constructor| (NIL "The category of rings with unity, always associative, but not necessarily commutative.")) (|unitsKnown| ((|attribute|) "recip truly yields reciprocal or \"failed\" if not a unit. Note that \\spad{recip(0) = \"failed\"}.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} converts the integer \\spad{i} to a member of the given domain.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring this is the smallest positive integer \\spad{n} such that \\spad{n*x=0} for all \\spad{x} in the ring, or zero if no such \\spad{n} exists."))) 
 NIL 
 NIL 
-(-1049) 
+(-1053) 
 ((|constructor| (NIL "The category of rings with unity, always associative, but not necessarily commutative.")) (|unitsKnown| ((|attribute|) "recip truly yields reciprocal or \"failed\" if not a unit. Note that \\spad{recip(0) = \"failed\"}.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} converts the integer \\spad{i} to a member of the given domain.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring this is the smallest positive integer \\spad{n} such that \\spad{n*x=0} for all \\spad{x} in the ring, or zero if no such \\spad{n} exists."))) 
-((-4568 . T)) 
+((-4597 . T)) 
 NIL 
-(-1050 |xx| -1647) 
+(-1054 |xx| -3280) 
 ((|constructor| (NIL "This package exports rational interpolation algorithms"))) 
 NIL 
 NIL 
-(-1051 S |m| |n| R |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be R-modules and will be non-mutable.")) (|nullSpace| (((|List| |#6|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (/ (($ $ |#4|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#4|) "\\spad{exquo(m,r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#4| |#4| |#4|) $ $) "\\spad{map(f,a,b)} returns \\spad{c,} where \\spad{c} is such that \\spad{c(i,j) = f(a(i,j),b(i,j))} for all \\spad{i}, \\spad{j.}") (($ (|Mapping| |#4| |#4|) $) "\\spad{map(f,a)} returns \\spad{b,} where \\spad{b(i,j) = a(i,j)} for all i, \\spad{j.}")) (|column| ((|#6| $ (|Integer|)) "\\spad{column(m,j)} returns the \\spad{j}th column of the matrix \\spad{m.} Error: if the index outside the proper range.")) (|row| ((|#5| $ (|Integer|)) "\\spad{row(m,i)} returns the \\spad{i}th row of the matrix \\spad{m.} Error: if the index is outside the proper range.")) (|qelt| ((|#4| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#4| $ (|Integer|) (|Integer|) |#4|) "\\spad{elt(m,i,j,r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column, and returns \\spad{r} otherwise.") ((|#4| $ (|Integer|) (|Integer|)) "\\spad{elt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#4|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m.}")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m.}")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m.}")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m.}")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m.}")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m.}")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric (\\spadignore{i.e.} \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (\\spadignore{i.e.} \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (\\spadignore{i.e.} if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#4|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
+(-1055 S |m| |n| R |Row| |Col|) 
+((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be R-modules and will be non-mutable.")) (|nullSpace| (((|List| |#6|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (/ (($ $ |#4|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#4|) "\\spad{exquo(m,r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#4| |#4| |#4|) $ $) "\\spad{map(f,a,b)} returns \\spad{c,} where \\spad{c} is such that \\spad{c(i,j) = f(a(i,j),b(i,j))} for all \\spad{i}, \\spad{j.}") (($ (|Mapping| |#4| |#4|) $) "\\spad{map(f,a)} returns \\spad{b,} where \\spad{b(i,j) = a(i,j)} for all i, \\spad{j.}")) (|column| ((|#6| $ (|Integer|)) "\\spad{column(m,j)} returns the \\spad{j}th column of the matrix \\spad{m.} Error: if the index outside the proper range.")) (|row| ((|#5| $ (|Integer|)) "\\spad{row(m,i)} returns the \\spad{i}th row of the matrix \\spad{m.} Error: if the index is outside the proper range.")) (|qelt| ((|#4| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#4| $ (|Integer|) (|Integer|) |#4|) "\\spad{elt(m,i,j,r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column, and returns \\spad{r} otherwise.") ((|#4| $ (|Integer|) (|Integer|)) "\\spad{elt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#4|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m.}")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m.}")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m.}")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m.}")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m.}")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m.}")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric. That is, \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j} and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (that is, \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (that is, all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (that is, if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#4|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
 NIL 
-((|HasCategory| |#4| (QUOTE (-302))) (|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-559))) (|HasCategory| |#4| (QUOTE (-173)))) 
-(-1052 |m| |n| R |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be R-modules and will be non-mutable.")) (|nullSpace| (((|List| |#5|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (/ (($ $ |#3|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#3|) "\\spad{exquo(m,r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(f,a,b)} returns \\spad{c,} where \\spad{c} is such that \\spad{c(i,j) = f(a(i,j),b(i,j))} for all \\spad{i}, \\spad{j.}") (($ (|Mapping| |#3| |#3|) $) "\\spad{map(f,a)} returns \\spad{b,} where \\spad{b(i,j) = a(i,j)} for all i, \\spad{j.}")) (|column| ((|#5| $ (|Integer|)) "\\spad{column(m,j)} returns the \\spad{j}th column of the matrix \\spad{m.} Error: if the index outside the proper range.")) (|row| ((|#4| $ (|Integer|)) "\\spad{row(m,i)} returns the \\spad{i}th row of the matrix \\spad{m.} Error: if the index is outside the proper range.")) (|qelt| ((|#3| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#3| $ (|Integer|) (|Integer|) |#3|) "\\spad{elt(m,i,j,r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column, and returns \\spad{r} otherwise.") ((|#3| $ (|Integer|) (|Integer|)) "\\spad{elt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#3|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m.}")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m.}")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m.}")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m.}")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m.}")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m.}")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric (\\spadignore{i.e.} \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (\\spadignore{i.e.} \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (\\spadignore{i.e.} if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#3|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
-((-4571 . T) (-4317 . T) (-4566 . T) (-4565 . T)) 
+((|HasCategory| |#4| (QUOTE (-302))) (|HasCategory| |#4| (QUOTE (-367))) (|HasCategory| |#4| (QUOTE (-561))) (|HasCategory| |#4| (QUOTE (-173)))) 
+(-1056 |m| |n| R |Row| |Col|) 
+((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be R-modules and will be non-mutable.")) (|nullSpace| (((|List| |#5|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (/ (($ $ |#3|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#3|) "\\spad{exquo(m,r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(f,a,b)} returns \\spad{c,} where \\spad{c} is such that \\spad{c(i,j) = f(a(i,j),b(i,j))} for all \\spad{i}, \\spad{j.}") (($ (|Mapping| |#3| |#3|) $) "\\spad{map(f,a)} returns \\spad{b,} where \\spad{b(i,j) = a(i,j)} for all i, \\spad{j.}")) (|column| ((|#5| $ (|Integer|)) "\\spad{column(m,j)} returns the \\spad{j}th column of the matrix \\spad{m.} Error: if the index outside the proper range.")) (|row| ((|#4| $ (|Integer|)) "\\spad{row(m,i)} returns the \\spad{i}th row of the matrix \\spad{m.} Error: if the index is outside the proper range.")) (|qelt| ((|#3| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#3| $ (|Integer|) (|Integer|) |#3|) "\\spad{elt(m,i,j,r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column, and returns \\spad{r} otherwise.") ((|#3| $ (|Integer|) (|Integer|)) "\\spad{elt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#3|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m.}")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m.}")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m.}")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m.}")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m.}")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m.}")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric. That is, \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j} and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (that is, \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (that is, all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (that is, if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#3|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
+((-4600 . T) (-3348 . T) (-4595 . T) (-4594 . T)) 
 NIL 
-(-1053 |m| |n| R) 
+(-1057 |m| |n| R) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrix} is a matrix domain where the number of rows and the number of columns are parameters of the domain.")) (|coerce| (((|Matrix| |#3|) $) "\\spad{coerce(m)} converts a matrix of type \\spadtype{RectangularMatrix} to a matrix of type \\spad{Matrix}.")) (|rectangularMatrix| (($ (|Matrix| |#3|)) "\\spad{rectangularMatrix(m)} converts a matrix of type \\spadtype{Matrix} to a matrix of type \\spad{RectangularMatrix}."))) 
-((-4571 . T) (-4566 . T) (-4565 . T)) 
-((|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1093))) (|HasCategory| |#3| (QUOTE (-302))) (|HasCategory| |#3| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-173))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))))) 
-(-1054 |m| |n| R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
+((-4600 . T) (-4595 . T) (-4594 . T)) 
+((|HasCategory| |#3| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#3| (QUOTE (-367))) (|HasCategory| |#3| (QUOTE (-1097))) (|HasCategory| |#3| (QUOTE (-302))) (|HasCategory| |#3| (QUOTE (-561))) (|HasCategory| |#3| (QUOTE (-173))) (-1831 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-367)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-367)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1097)))))) 
+(-1058 |m| |n| R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrixCategoryFunctions2} provides functions between two matrix domains. The functions provided are \\spadfun{map} and \\spadfun{reduce}.")) (|reduce| ((|#7| (|Mapping| |#7| |#3| |#7|) |#6| |#7|) "\\spad{reduce(f,m,r)} returns a matrix \\spad{n} where \\spad{n[i,j] = f(m[i,j],r)} for all indices spad{i} and \\spad{j}.")) (|map| ((|#10| (|Mapping| |#7| |#3|) |#6|) "\\spad{map(f,m)} applies the function \\spad{f} to the elements of the matrix \\spad{m}."))) 
 NIL 
 NIL 
-(-1055 R) 
-((|constructor| (NIL "The category of right modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports right multiplication by elements of the rng. \\blankline Axioms\\br \\tab{5}\\spad{ x*(a*b) = (x*a)*b }\\br \\tab{5}\\spad{ x*(a+b) = (x*a)+(x*b) }\\br \\tab{5}\\spad{ (x+y)*x = (x*a)+(y*a) }")) (* (($ $ |#1|) "\\spad{x*r} returns the right multiplication of the module element \\spad{x} by the ring element \\spad{r.}"))) 
+(-1059 R) 
+((|constructor| (NIL "The category of right modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports right multiplication by elements of the rng. \\blankline Axioms\\br \\tab{5}\\spad{x*(a*b) = (x*a)*b}\\br \\tab{5}\\spad{x*(a+b) = (x*a)+(x*b)}\\br \\tab{5}\\spad{(x+y)*x = (x*a)+(y*a)}")) (* (($ $ |#1|) "\\spad{x*r} returns the right multiplication of the module element \\spad{x} by the ring element \\spad{r.}"))) 
 NIL 
 NIL 
-(-1056) 
+(-1060) 
 ((|constructor| (NIL "The category of associative rings, not necessarily commutative, and not necessarily with a 1. This is a combination of an abelian group and a semigroup, with multiplication distributing over addition. \\blankline Axioms\\br \\tab{5}\\spad{ x*(y+z) = x*y + x*z}\\br \\tab{5}\\spad{ (x+y)*z = \\spad{x*z} + \\spad{y*z} } \\blankline Conditional attributes\\br \\tab{5}noZeroDivisors\\tab{5}\\spad{ ab = 0 \\spad{=>} \\spad{a=0} or b=0}"))) 
 NIL 
 NIL 
-(-1057 S) 
+(-1061 S) 
 ((|constructor| (NIL "The real number system category is intended as a model for the real numbers. The real numbers form an ordered normed field. Note that we have purposely not included \\spadtype{DifferentialRing} or the elementary functions (see \\spadtype{TranscendentalFunctionCategory}) in the definition.")) (|abs| (($ $) "\\spad{abs \\spad{x}} returns the absolute value of \\spad{x.}")) (|round| (($ $) "\\spad{round \\spad{x}} computes the integer closest to \\spad{x.}")) (|truncate| (($ $) "\\spad{truncate \\spad{x}} returns the integer between \\spad{x} and 0 closest to \\spad{x.}")) (|fractionPart| (($ $) "\\spad{fractionPart \\spad{x}} returns the fractional part of \\spad{x.}")) (|wholePart| (((|Integer|) $) "\\spad{wholePart \\spad{x}} returns the integer part of \\spad{x.}")) (|floor| (($ $) "\\spad{floor \\spad{x}} returns the largest integer \\spad{<= \\spad{x}.}")) (|ceiling| (($ $) "\\spad{ceiling \\spad{x}} returns the small integer \\spad{>= \\spad{x}.}")) (|norm| (($ $) "\\spad{norm \\spad{x}} returns the same as absolute value."))) 
 NIL 
 NIL 
-(-1058) 
+(-1062) 
 ((|constructor| (NIL "The real number system category is intended as a model for the real numbers. The real numbers form an ordered normed field. Note that we have purposely not included \\spadtype{DifferentialRing} or the elementary functions (see \\spadtype{TranscendentalFunctionCategory}) in the definition.")) (|abs| (($ $) "\\spad{abs \\spad{x}} returns the absolute value of \\spad{x.}")) (|round| (($ $) "\\spad{round \\spad{x}} computes the integer closest to \\spad{x.}")) (|truncate| (($ $) "\\spad{truncate \\spad{x}} returns the integer between \\spad{x} and 0 closest to \\spad{x.}")) (|fractionPart| (($ $) "\\spad{fractionPart \\spad{x}} returns the fractional part of \\spad{x.}")) (|wholePart| (((|Integer|) $) "\\spad{wholePart \\spad{x}} returns the integer part of \\spad{x.}")) (|floor| (($ $) "\\spad{floor \\spad{x}} returns the largest integer \\spad{<= \\spad{x}.}")) (|ceiling| (($ $) "\\spad{ceiling \\spad{x}} returns the small integer \\spad{>= \\spad{x}.}")) (|norm| (($ $) "\\spad{norm \\spad{x}} returns the same as absolute value."))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1059 |TheField| |ThePolDom|) 
+(-1063 |TheField| |ThePolDom|) 
 ((|constructor| (NIL "\\axiomType{RightOpenIntervalRootCharacterization} provides work with interval root coding.")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{relativeApprox(exp,c,p) = a} is relatively close to exp as a polynomial in \\spad{c} ip to precision \\spad{p}")) (|mightHaveRoots| (((|Boolean|) |#2| $) "\\axiom{mightHaveRoots(p,r)} is \\spad{false} if \\axiom{p.r} is not 0")) (|refine| (($ $) "\\axiom{refine(rootChar)} shrinks isolating interval around \\axiom{rootChar}")) (|middle| ((|#1| $) "\\axiom{middle(rootChar)} is the middle of the isolating interval")) (|size| ((|#1| $) "The size of the isolating interval")) (|right| ((|#1| $) "\\axiom{right(rootChar)} is the right bound of the isolating interval")) (|left| ((|#1| $) "\\axiom{left(rootChar)} is the left bound of the isolating interval"))) 
 NIL 
 NIL 
-(-1060) 
+(-1064) 
 ((|constructor| (NIL "\\spadtype{RomanNumeral} provides functions for converting integers to roman numerals.")) (|roman| (($ (|Integer|)) "\\spad{roman(n)} creates a roman numeral for \\spad{n.}") (($ (|Symbol|)) "\\spad{roman(n)} creates a roman numeral for symbol \\spad{n.}")) (|convert| (($ (|Symbol|)) "\\spad{convert(n)} creates a roman numeral for symbol \\spad{n.}")) (|noetherian| ((|attribute|) "ascending chain condition on ideals.")) (|canonicalsClosed| ((|attribute|) "two positives multiply to give positive.")) (|canonical| ((|attribute|) "mathematical equality is data structure equality."))) 
-((-4559 . T) (-4563 . T) (-4558 . T) (-4569 . T) (-4570 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4588 . T) (-4592 . T) (-4587 . T) (-4598 . T) (-4599 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1061) 
+(-1065) 
 ((|constructor| (NIL "\\axiomType{RoutinesTable} implements a database and associated tuning mechanisms for a set of known NAG routines")) (|recoverAfterFail| (((|Union| (|String|) "failed") $ (|String|) (|Integer|)) "\\spad{recoverAfterFail(routs,routineName,ifailValue)} acts on the instructions given by the ifail list")) (|showTheRoutinesTable| (($) "\\spad{showTheRoutinesTable()} returns the current table of NAG routines.")) (|deleteRoutine!| (($ $ (|Symbol|)) "\\spad{deleteRoutine!(R,s)} destructively deletes the given routine from the current database of NAG routines")) (|getExplanations| (((|List| (|String|)) $ (|String|)) "\\spad{getExplanations(R,s)} gets the explanations of the output parameters for the given NAG routine.")) (|getMeasure| (((|Float|) $ (|Symbol|)) "\\spad{getMeasure(R,s)} gets the current value of the maximum measure for the given NAG routine.")) (|changeMeasure| (($ $ (|Symbol|) (|Float|)) "\\spad{changeMeasure(R,s,newValue)} changes the maximum value for a measure of the given NAG routine.")) (|changeThreshhold| (($ $ (|Symbol|) (|Float|)) "\\spad{changeThreshhold(R,s,newValue)} changes the value below which, given a NAG routine generating a higher measure, the routines will make no attempt to generate a measure.")) (|selectMultiDimensionalRoutines| (($ $) "\\spad{selectMultiDimensionalRoutines(R)} chooses only those routines from the database which are designed for use with multi-dimensional expressions")) (|selectNonFiniteRoutines| (($ $) "\\spad{selectNonFiniteRoutines(R)} chooses only those routines from the database which are designed for use with non-finite expressions.")) (|selectSumOfSquaresRoutines| (($ $) "\\spad{selectSumOfSquaresRoutines(R)} chooses only those routines from the database which are designed for use with sums of squares")) (|selectFiniteRoutines| (($ $) "\\spad{selectFiniteRoutines(R)} chooses only those routines from the database which are designed for use with finite expressions")) (|selectODEIVPRoutines| (($ $) "\\spad{selectODEIVPRoutines(R)} chooses only those routines from the database which are for the solution of ODE's")) (|selectPDERoutines| (($ $) "\\spad{selectPDERoutines(R)} chooses only those routines from the database which are for the solution of PDE's")) (|selectOptimizationRoutines| (($ $) "\\spad{selectOptimizationRoutines(R)} chooses only those routines from the database which are for integration")) (|selectIntegrationRoutines| (($ $) "\\spad{selectIntegrationRoutines(R)} chooses only those routines from the database which are for integration")) (|routines| (($) "\\spad{routines()} initialises a database of known NAG routines")) (|concat| (($ $ $) "\\spad{concat(x,y)} merges two tables \\spad{x} and \\spad{y}"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (QUOTE (-1165))) (LIST (QUOTE |:|) (QUOTE -3175) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093)))) (|HasCategory| (-1165) (QUOTE (-844))) (|HasCategory| (-57) (QUOTE (-1093))) (-1929 (|HasCategory| (-57) (QUOTE (-1093))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1093))))) 
-(-1062 S R E V) 
-((|constructor| (NIL "A category for general multi-variate polynomials with coefficients in a ring, variables in an ordered set, and exponents from an ordered abelian monoid, with a \\axiomOp{sup} operation. When not constant, such a polynomial is viewed as a univariate polynomial in its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in the ordered set, so that some operations usually defined for univariate polynomials make sense here.")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(p)} returns the square free part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(p)} returns the primitive part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainContent| (($ $) "\\axiom{mainContent(p)} returns the content of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(p)} replaces \\axiom{p} by its primitive part.")) (|gcd| ((|#2| |#2| $) "\\axiom{gcd(r,p)} returns the \\spad{gcd} of \\axiom{r} and the content of \\axiom{p}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{nextsubResultant2(p,q,z,s)} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient2(p,a,b,n)} returns \\axiom{(a**(n-1) * \\spad{p)} exquo b**(n-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,b,n)} returns \\axiom{a**n exquo b**(n-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns the last non-zero subresultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,b)}, where \\axiom{a} and \\axiom{b} are not contant polynomials with the same main variable, returns the subresultant chain of \\axiom{a} and \\axiom{b}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,b)} computes the resultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[ca,cb,r]} such that \\axiom{r} is \\axiom{subResultantGcd(a,b)} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,b)} computes a \\spad{gcd} of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{R}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,b)} replaces \\axiom{a} by \\axiom{exactQuotient(a,b)}") (($ $ |#2|) "\\axiom{exactQuotient!(p,r)} replaces \\axiom{p} by \\axiom{exactQuotient(p,r)}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,b)} computes the exact quotient of \\axiom{a} by \\axiom{b}, which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#2|) "\\axiom{exactQuotient(p,r)} computes the exact quotient of \\axiom{p} by \\axiom{r}, which is assumed to be a divisor of \\axiom{p}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(p)} replaces \\axiom{p} by \\axiom{primPartElseUnitCanonical(p)}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(p)} returns \\axiom{primitivePart(p)} if \\axiom{R} is a gcd-domain, otherwise \\axiom{unitCanonical(p)}.")) (|convert| (($ (|Polynomial| |#2|)) "\\axiom{convert(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}, otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.")) (|retract| (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{headReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[p,q,n]} where \\axiom{p / q**n} represents the residue class of \\axiom{a} modulo \\axiom{b} and \\axiom{p} is reduced w.r.t. \\axiom{b} and \\axiom{q} is \\axiom{init(b)}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} computes \\axiom{a mod \\spad{b},} if \\axiom{b} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,b)} computes \\axiom{[pquo(a,b),prem(a,b)]}, both polynomials viewed as univariate polynomials in the main variable of \\axiom{b}, if \\axiom{b} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]} such that \\axiom{r = lazyPrem(a,b,v)}, \\axiom{(c**g)*r = prem(a,b,v)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{[c,g,r] = lazyPremWithDefault(a,b)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPremWithDefault(a,b,v)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b,v)} and \\axiom{(c**g)*r = prem(a,b,v)}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,b)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b)} and \\axiom{(c**g)*r = prem(a,b)}.")) (|lazyPquo| (($ $ $ |#4|) "\\axiom{lazyPquo(a,b,v)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]}.") (($ $ $) "\\axiom{lazyPquo(a,b)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}.")) (|lazyPrem| (($ $ $ |#4|) "\\axiom{lazyPrem(a,b,v)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} viewed as univariate polynomials in the variable \\axiom{v} such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,b)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} and such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#4|) "\\axiom{pquo(a,b,v)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{pquo(a,b)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|prem| (($ $ $ |#4|) "\\axiom{prem(a,b,v)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{prem(a,b)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(q,lp)} returns \\spad{true} iff \\axiom{normalized?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,b)} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero w.r.t. the main variable of \\axiom{b}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(q,lp)} returns \\spad{true} iff \\axiom{initiallyReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,b)} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced w.r.t \\axiom{b}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(q,lp)} returns \\spad{true} iff \\axiom{headReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,b)} returns \\spad{true} iff \\axiom{degree(head(a),mvar(b)) < mdeg(b)}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(q,lp)} returns \\spad{true} iff \\axiom{reduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,b)} returns \\spad{true} iff \\axiom{degree(a,mvar(b)) < mdeg(b)}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is greater than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is less than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,b)} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{b} have same rank w.r.t. Ritt and Wu Wen Tsun ordering using the refinement of Lazard, otherwise returns \\axiom{infRittWu?(a,b)}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [1], otherwise returns the list of the monomials of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [p], otherwise returns the list of the coefficients of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, the monomial of \\axiom{p} with lowest degree, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, \\axiom{mvar(p)} raised to the power \\axiom{mdeg(p)}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff the initial of \\axiom{p} lies in the base ring \\axiom{R}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff \\axiom{p} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#4|) "\\axiom{reductum(p,v)} returns the reductum of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in \\axiom{v}.")) (|leadingCoefficient| (($ $ |#4|) "\\axiom{leadingCoefficient(p,v)} returns the leading coefficient of \\axiom{p}, where \\axiom{p} is viewed as A univariate polynomial in \\axiom{v}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns the last term of \\axiom{iteratedInitials(p)}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(p)} returns \\axiom{[]} if \\axiom{p} belongs to \\axiom{R}, otherwise returns the list of the iterated initials of \\axiom{p}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(p)} returns \\axiom{0} if \\axiom{p} belongs to \\axiom{R}, otherwise returns tail(p), if \\axiom{tail(p)} belongs to \\axiom{R} or \\axiom{mvar(tail(p)) < mvar(p)}, otherwise returns \\axiom{deepestTail(tail(p))}.")) (|tail| (($ $) "\\axiom{tail(p)} returns its reductum, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(p)} returns \\axiom{p} if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading term (monomial in the AXIOM sense), where \\axiom{p} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading coefficient, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(p)} returns an error if \\axiom{p} is \\axiom{0}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{0}, otherwise, returns the degree of \\axiom{p} in its main variable.")) (|mvar| ((|#4| $) "\\axiom{mvar(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in \\axiom{V}."))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (QUOTE (-1169))) (LIST (QUOTE |:|) (QUOTE -4279) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (QUOTE (-1097)))) (|HasCategory| (-1169) (QUOTE (-847))) (|HasCategory| (-57) (QUOTE (-1097))) (-1831 (|HasCategory| (-57) (QUOTE (-1097))) (|HasCategory| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (QUOTE (-1097)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1097))))) 
+(-1066 S R E V) 
+((|constructor| (NIL "\\indented{1}{Author: Marc Moreno Maza} Date Created: 04/22/1994 Date Last Updated: 14/12/1998 Description:")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(p)} returns the square free part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(p)} returns the primitive part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainContent| (($ $) "\\axiom{mainContent(p)} returns the content of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(p)} replaces \\axiom{p} by its primitive part.")) (|gcd| ((|#2| |#2| $) "\\axiom{gcd(r,p)} returns the \\spad{gcd} of \\axiom{r} and the content of \\axiom{p}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{nextsubResultant2(p,q,z,s)} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient2(p,a,b,n)} returns \\axiom{(a**(n-1) * \\spad{p)} exquo b**(n-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,b,n)} returns \\axiom{a**n exquo b**(n-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns the last non-zero subresultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,b)}, where \\axiom{a} and \\axiom{b} are not contant polynomials with the same main variable, returns the subresultant chain of \\axiom{a} and \\axiom{b}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,b)} computes the resultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[ca,cb,r]} such that \\axiom{r} is \\axiom{subResultantGcd(a,b)} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,b)} computes a \\spad{gcd} of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{R}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,b)} replaces \\axiom{a} by \\axiom{exactQuotient(a,b)}") (($ $ |#2|) "\\axiom{exactQuotient!(p,r)} replaces \\axiom{p} by \\axiom{exactQuotient(p,r)}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,b)} computes the exact quotient of \\axiom{a} by \\axiom{b}, which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#2|) "\\axiom{exactQuotient(p,r)} computes the exact quotient of \\axiom{p} by \\axiom{r}, which is assumed to be a divisor of \\axiom{p}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(p)} replaces \\axiom{p} by \\axiom{primPartElseUnitCanonical(p)}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(p)} returns \\axiom{primitivePart(p)} if \\axiom{R} is a gcd-domain, otherwise \\axiom{unitCanonical(p)}.")) (|convert| (($ (|Polynomial| |#2|)) "\\axiom{convert(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}, otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.")) (|retract| (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{headReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[p,q,n]} where \\axiom{p / q**n} represents the residue class of \\axiom{a} modulo \\axiom{b} and \\axiom{p} is reduced w.r.t. \\axiom{b} and \\axiom{q} is \\axiom{init(b)}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} computes \\axiom{a mod \\spad{b},} if \\axiom{b} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,b)} computes \\axiom{[pquo(a,b),prem(a,b)]}, both polynomials viewed as univariate polynomials in the main variable of \\axiom{b}, if \\axiom{b} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]} such that \\axiom{r = lazyPrem(a,b,v)}, \\axiom{(c**g)*r = prem(a,b,v)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{[c,g,r] = lazyPremWithDefault(a,b)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPremWithDefault(a,b,v)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b,v)} and \\axiom{(c**g)*r = prem(a,b,v)}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,b)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b)} and \\axiom{(c**g)*r = prem(a,b)}.")) (|lazyPquo| (($ $ $ |#4|) "\\axiom{lazyPquo(a,b,v)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]}.") (($ $ $) "\\axiom{lazyPquo(a,b)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}.")) (|lazyPrem| (($ $ $ |#4|) "\\axiom{lazyPrem(a,b,v)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} viewed as univariate polynomials in the variable \\axiom{v} such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,b)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} and such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#4|) "\\axiom{pquo(a,b,v)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{pquo(a,b)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|prem| (($ $ $ |#4|) "\\axiom{prem(a,b,v)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{prem(a,b)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(q,lp)} returns \\spad{true} iff \\axiom{normalized?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,b)} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero w.r.t. the main variable of \\axiom{b}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(q,lp)} returns \\spad{true} iff \\axiom{initiallyReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,b)} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced w.r.t \\axiom{b}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(q,lp)} returns \\spad{true} iff \\axiom{headReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,b)} returns \\spad{true} iff \\axiom{degree(head(a),mvar(b)) < mdeg(b)}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(q,lp)} returns \\spad{true} iff \\axiom{reduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,b)} returns \\spad{true} iff \\axiom{degree(a,mvar(b)) < mdeg(b)}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is greater than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is less than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,b)} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{b} have same rank w.r.t. Ritt and Wu Wen Tsun ordering using the refinement of Lazard, otherwise returns \\axiom{infRittWu?(a,b)}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [1], otherwise returns the list of the monomials of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [p], otherwise returns the list of the coefficients of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, the monomial of \\axiom{p} with lowest degree, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, \\axiom{mvar(p)} raised to the power \\axiom{mdeg(p)}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff the initial of \\axiom{p} lies in the base ring \\axiom{R}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff \\axiom{p} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#4|) "\\axiom{reductum(p,v)} returns the reductum of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in \\axiom{v}.")) (|leadingCoefficient| (($ $ |#4|) "\\axiom{leadingCoefficient(p,v)} returns the leading coefficient of \\axiom{p}, where \\axiom{p} is viewed as A univariate polynomial in \\axiom{v}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns the last term of \\axiom{iteratedInitials(p)}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(p)} returns \\axiom{[]} if \\axiom{p} belongs to \\axiom{R}, otherwise returns the list of the iterated initials of \\axiom{p}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(p)} returns \\axiom{0} if \\axiom{p} belongs to \\axiom{R}, otherwise returns tail(p), if \\axiom{tail(p)} belongs to \\axiom{R} or \\axiom{mvar(tail(p)) < mvar(p)}, otherwise returns \\axiom{deepestTail(tail(p))}.")) (|tail| (($ $) "\\axiom{tail(p)} returns its reductum, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(p)} returns \\axiom{p} if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading term (monomial in the AXIOM sense), where \\axiom{p} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading coefficient, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(p)} returns an error if \\axiom{p} is \\axiom{0}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{0}, otherwise, returns the degree of \\axiom{p} in its main variable.")) (|mvar| ((|#4| $) "\\axiom{mvar(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in \\axiom{V}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -995) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-1165))))) 
-(-1063 R E V) 
-((|constructor| (NIL "A category for general multi-variate polynomials with coefficients in a ring, variables in an ordered set, and exponents from an ordered abelian monoid, with a \\axiomOp{sup} operation. When not constant, such a polynomial is viewed as a univariate polynomial in its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in the ordered set, so that some operations usually defined for univariate polynomials make sense here.")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(p)} returns the square free part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(p)} returns the primitive part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainContent| (($ $) "\\axiom{mainContent(p)} returns the content of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(p)} replaces \\axiom{p} by its primitive part.")) (|gcd| ((|#1| |#1| $) "\\axiom{gcd(r,p)} returns the \\spad{gcd} of \\axiom{r} and the content of \\axiom{p}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{nextsubResultant2(p,q,z,s)} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient2(p,a,b,n)} returns \\axiom{(a**(n-1) * \\spad{p)} exquo b**(n-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,b,n)} returns \\axiom{a**n exquo b**(n-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns the last non-zero subresultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,b)}, where \\axiom{a} and \\axiom{b} are not contant polynomials with the same main variable, returns the subresultant chain of \\axiom{a} and \\axiom{b}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,b)} computes the resultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[ca,cb,r]} such that \\axiom{r} is \\axiom{subResultantGcd(a,b)} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,b)} computes a \\spad{gcd} of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{R}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,b)} replaces \\axiom{a} by \\axiom{exactQuotient(a,b)}") (($ $ |#1|) "\\axiom{exactQuotient!(p,r)} replaces \\axiom{p} by \\axiom{exactQuotient(p,r)}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,b)} computes the exact quotient of \\axiom{a} by \\axiom{b}, which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#1|) "\\axiom{exactQuotient(p,r)} computes the exact quotient of \\axiom{p} by \\axiom{r}, which is assumed to be a divisor of \\axiom{p}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(p)} replaces \\axiom{p} by \\axiom{primPartElseUnitCanonical(p)}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(p)} returns \\axiom{primitivePart(p)} if \\axiom{R} is a gcd-domain, otherwise \\axiom{unitCanonical(p)}.")) (|convert| (($ (|Polynomial| |#1|)) "\\axiom{convert(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}, otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.")) (|retract| (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{headReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[p,q,n]} where \\axiom{p / q**n} represents the residue class of \\axiom{a} modulo \\axiom{b} and \\axiom{p} is reduced w.r.t. \\axiom{b} and \\axiom{q} is \\axiom{init(b)}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} computes \\axiom{a mod \\spad{b},} if \\axiom{b} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,b)} computes \\axiom{[pquo(a,b),prem(a,b)]}, both polynomials viewed as univariate polynomials in the main variable of \\axiom{b}, if \\axiom{b} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]} such that \\axiom{r = lazyPrem(a,b,v)}, \\axiom{(c**g)*r = prem(a,b,v)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{[c,g,r] = lazyPremWithDefault(a,b)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPremWithDefault(a,b,v)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b,v)} and \\axiom{(c**g)*r = prem(a,b,v)}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,b)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b)} and \\axiom{(c**g)*r = prem(a,b)}.")) (|lazyPquo| (($ $ $ |#3|) "\\axiom{lazyPquo(a,b,v)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]}.") (($ $ $) "\\axiom{lazyPquo(a,b)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}.")) (|lazyPrem| (($ $ $ |#3|) "\\axiom{lazyPrem(a,b,v)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} viewed as univariate polynomials in the variable \\axiom{v} such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,b)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} and such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#3|) "\\axiom{pquo(a,b,v)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{pquo(a,b)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|prem| (($ $ $ |#3|) "\\axiom{prem(a,b,v)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{prem(a,b)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(q,lp)} returns \\spad{true} iff \\axiom{normalized?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,b)} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero w.r.t. the main variable of \\axiom{b}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(q,lp)} returns \\spad{true} iff \\axiom{initiallyReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,b)} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced w.r.t \\axiom{b}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(q,lp)} returns \\spad{true} iff \\axiom{headReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,b)} returns \\spad{true} iff \\axiom{degree(head(a),mvar(b)) < mdeg(b)}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(q,lp)} returns \\spad{true} iff \\axiom{reduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,b)} returns \\spad{true} iff \\axiom{degree(a,mvar(b)) < mdeg(b)}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is greater than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is less than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,b)} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{b} have same rank w.r.t. Ritt and Wu Wen Tsun ordering using the refinement of Lazard, otherwise returns \\axiom{infRittWu?(a,b)}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [1], otherwise returns the list of the monomials of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [p], otherwise returns the list of the coefficients of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, the monomial of \\axiom{p} with lowest degree, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, \\axiom{mvar(p)} raised to the power \\axiom{mdeg(p)}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff the initial of \\axiom{p} lies in the base ring \\axiom{R}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff \\axiom{p} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#3|) "\\axiom{reductum(p,v)} returns the reductum of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in \\axiom{v}.")) (|leadingCoefficient| (($ $ |#3|) "\\axiom{leadingCoefficient(p,v)} returns the leading coefficient of \\axiom{p}, where \\axiom{p} is viewed as A univariate polynomial in \\axiom{v}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns the last term of \\axiom{iteratedInitials(p)}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(p)} returns \\axiom{[]} if \\axiom{p} belongs to \\axiom{R}, otherwise returns the list of the iterated initials of \\axiom{p}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(p)} returns \\axiom{0} if \\axiom{p} belongs to \\axiom{R}, otherwise returns tail(p), if \\axiom{tail(p)} belongs to \\axiom{R} or \\axiom{mvar(tail(p)) < mvar(p)}, otherwise returns \\axiom{deepestTail(tail(p))}.")) (|tail| (($ $) "\\axiom{tail(p)} returns its reductum, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(p)} returns \\axiom{p} if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading term (monomial in the AXIOM sense), where \\axiom{p} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading coefficient, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(p)} returns an error if \\axiom{p} is \\axiom{0}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{0}, otherwise, returns the degree of \\axiom{p} in its main variable.")) (|mvar| ((|#3| $) "\\axiom{mvar(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in \\axiom{V}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-553))) (|HasCategory| |#2| (LIST (QUOTE -43) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -999) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#4| (LIST (QUOTE -612) (QUOTE (-1169))))) 
+(-1067 R E V) 
+((|constructor| (NIL "\\indented{1}{Author: Marc Moreno Maza} Date Created: 04/22/1994 Date Last Updated: 14/12/1998 Description:")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(p)} returns the square free part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(p)} returns the primitive part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainContent| (($ $) "\\axiom{mainContent(p)} returns the content of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(p)} replaces \\axiom{p} by its primitive part.")) (|gcd| ((|#1| |#1| $) "\\axiom{gcd(r,p)} returns the \\spad{gcd} of \\axiom{r} and the content of \\axiom{p}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{nextsubResultant2(p,q,z,s)} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient2(p,a,b,n)} returns \\axiom{(a**(n-1) * \\spad{p)} exquo b**(n-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,b,n)} returns \\axiom{a**n exquo b**(n-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns the last non-zero subresultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,b)}, where \\axiom{a} and \\axiom{b} are not contant polynomials with the same main variable, returns the subresultant chain of \\axiom{a} and \\axiom{b}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,b)} computes the resultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[ca,cb,r]} such that \\axiom{r} is \\axiom{subResultantGcd(a,b)} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,b)} computes a \\spad{gcd} of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{R}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,b)} replaces \\axiom{a} by \\axiom{exactQuotient(a,b)}") (($ $ |#1|) "\\axiom{exactQuotient!(p,r)} replaces \\axiom{p} by \\axiom{exactQuotient(p,r)}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,b)} computes the exact quotient of \\axiom{a} by \\axiom{b}, which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#1|) "\\axiom{exactQuotient(p,r)} computes the exact quotient of \\axiom{p} by \\axiom{r}, which is assumed to be a divisor of \\axiom{p}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(p)} replaces \\axiom{p} by \\axiom{primPartElseUnitCanonical(p)}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(p)} returns \\axiom{primitivePart(p)} if \\axiom{R} is a gcd-domain, otherwise \\axiom{unitCanonical(p)}.")) (|convert| (($ (|Polynomial| |#1|)) "\\axiom{convert(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}, otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.")) (|retract| (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{headReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[p,q,n]} where \\axiom{p / q**n} represents the residue class of \\axiom{a} modulo \\axiom{b} and \\axiom{p} is reduced w.r.t. \\axiom{b} and \\axiom{q} is \\axiom{init(b)}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} computes \\axiom{a mod \\spad{b},} if \\axiom{b} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,b)} computes \\axiom{[pquo(a,b),prem(a,b)]}, both polynomials viewed as univariate polynomials in the main variable of \\axiom{b}, if \\axiom{b} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]} such that \\axiom{r = lazyPrem(a,b,v)}, \\axiom{(c**g)*r = prem(a,b,v)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{[c,g,r] = lazyPremWithDefault(a,b)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPremWithDefault(a,b,v)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b,v)} and \\axiom{(c**g)*r = prem(a,b,v)}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,b)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b)} and \\axiom{(c**g)*r = prem(a,b)}.")) (|lazyPquo| (($ $ $ |#3|) "\\axiom{lazyPquo(a,b,v)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]}.") (($ $ $) "\\axiom{lazyPquo(a,b)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}.")) (|lazyPrem| (($ $ $ |#3|) "\\axiom{lazyPrem(a,b,v)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} viewed as univariate polynomials in the variable \\axiom{v} such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,b)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} and such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#3|) "\\axiom{pquo(a,b,v)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{pquo(a,b)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|prem| (($ $ $ |#3|) "\\axiom{prem(a,b,v)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{prem(a,b)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(q,lp)} returns \\spad{true} iff \\axiom{normalized?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,b)} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero w.r.t. the main variable of \\axiom{b}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(q,lp)} returns \\spad{true} iff \\axiom{initiallyReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,b)} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced w.r.t \\axiom{b}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(q,lp)} returns \\spad{true} iff \\axiom{headReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,b)} returns \\spad{true} iff \\axiom{degree(head(a),mvar(b)) < mdeg(b)}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(q,lp)} returns \\spad{true} iff \\axiom{reduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,b)} returns \\spad{true} iff \\axiom{degree(a,mvar(b)) < mdeg(b)}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is greater than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is less than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,b)} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{b} have same rank w.r.t. Ritt and Wu Wen Tsun ordering using the refinement of Lazard, otherwise returns \\axiom{infRittWu?(a,b)}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [1], otherwise returns the list of the monomials of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [p], otherwise returns the list of the coefficients of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, the monomial of \\axiom{p} with lowest degree, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, \\axiom{mvar(p)} raised to the power \\axiom{mdeg(p)}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff the initial of \\axiom{p} lies in the base ring \\axiom{R}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff \\axiom{p} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#3|) "\\axiom{reductum(p,v)} returns the reductum of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in \\axiom{v}.")) (|leadingCoefficient| (($ $ |#3|) "\\axiom{leadingCoefficient(p,v)} returns the leading coefficient of \\axiom{p}, where \\axiom{p} is viewed as A univariate polynomial in \\axiom{v}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns the last term of \\axiom{iteratedInitials(p)}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(p)} returns \\axiom{[]} if \\axiom{p} belongs to \\axiom{R}, otherwise returns the list of the iterated initials of \\axiom{p}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(p)} returns \\axiom{0} if \\axiom{p} belongs to \\axiom{R}, otherwise returns tail(p), if \\axiom{tail(p)} belongs to \\axiom{R} or \\axiom{mvar(tail(p)) < mvar(p)}, otherwise returns \\axiom{deepestTail(tail(p))}.")) (|tail| (($ $) "\\axiom{tail(p)} returns its reductum, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(p)} returns \\axiom{p} if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading term (monomial in the AXIOM sense), where \\axiom{p} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading coefficient, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(p)} returns an error if \\axiom{p} is \\axiom{0}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{0}, otherwise, returns the degree of \\axiom{p} in its main variable.")) (|mvar| ((|#3| $) "\\axiom{mvar(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in \\axiom{V}."))) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
 NIL 
-(-1064 S |TheField| |ThePols|) 
-((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common acces functions for all real root codings.")) (|relativeApprox| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#3| (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#3|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure, assumed in order.")) (|definingPolynomial| ((|#3| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#3| "failed") |#3| $) "\\axiom{recip(pol,aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#3| $) "\\axiom{positive?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#3| $) "\\axiom{negative?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#3| $) "\\axiom{zero?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#3| $) "\\axiom{sign(pol,aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
+(-1068 S |TheField| |ThePols|) 
+((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common access functions for all real roots of polynomials")) (|relativeApprox| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#3| (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#3|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure, assumed in order.")) (|definingPolynomial| ((|#3| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#3| "failed") |#3| $) "\\axiom{recip(pol,aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#3| $) "\\axiom{positive?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#3| $) "\\axiom{negative?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#3| $) "\\axiom{zero?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#3| $) "\\axiom{sign(pol,aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
 NIL 
 NIL 
-(-1065 |TheField| |ThePols|) 
-((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common acces functions for all real root codings.")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#2| (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#2|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure, assumed in order.")) (|definingPolynomial| ((|#2| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#2| "failed") |#2| $) "\\axiom{recip(pol,aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#2| $) "\\axiom{positive?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#2| $) "\\axiom{negative?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#2| $) "\\axiom{zero?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#2| $) "\\axiom{sign(pol,aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
+(-1069 |TheField| |ThePols|) 
+((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common access functions for all real roots of polynomials")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#2| (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#2|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure, assumed in order.")) (|definingPolynomial| ((|#2| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#2| "failed") |#2| $) "\\axiom{recip(pol,aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#2| $) "\\axiom{positive?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#2| $) "\\axiom{negative?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#2| $) "\\axiom{zero?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#2| $) "\\axiom{sign(pol,aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
 NIL 
 NIL 
-(-1066 R E V P TS) 
-((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are proposed: in the sense of Zariski closure (like in Kalkbrener's algorithm) or in the sense of the regular zeros (like in Wu, Wang or Lazard methods). This algorithm is valid for nay type of regular set. It does not care about the way a polynomial is added in an regular set, or how two quasi-components are compared (by an inclusion-test), or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\axiomType{QCMPACK}(R,E,V,P,TS) and \\axiomType{RSETGCD}(R,E,V,P,TS). The same way it does not care about the way univariate polynomial \\spad{gcd} (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these \\spad{gcd} need to have invertible initials (normalized or not). WARNING. There is no need for a user to call diectly any operation of this package since they can be accessed by the domain \\axiom{TS}. Thus, the operations of this package are not documented."))) 
+(-1070 R E V P TS) 
+((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are proposed: in the sense of Zariski closure (like in Kalkbrener's algorithm) or in the sense of the regular zeros (like in Wu, Wang or Lazard methods). This algorithm is valid for any type of regular set. It does not care about the way a polynomial is added in an regular set, or how two quasi-components are compared (by an inclusion-test), or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\axiomType{QCMPACK}(R,E,V,P,TS) and \\axiomType{RSETGCD}(R,E,V,P,TS). The same way it does not care about the way univariate polynomial \\spad{gcd} (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these \\spad{gcd} need to have invertible initials (normalized or not). WARNING. There is no need for a user to call directly any operation of this package since they can be accessed by the domain \\axiom{TS}. Thus, the operations of this package are not documented."))) 
 NIL 
 NIL 
-(-1067 S R E V P) 
+(-1071 S R E V P) 
 ((|constructor| (NIL "The category of regular triangular sets, introduced under the name regular chains in \\spad{[1]} (and other papers). In \\spad{[3]} it is proved that regular triangular sets and towers of simple extensions of a field are equivalent notions. In the following definitions, all polynomials and ideals are taken from the polynomial ring \\spad{k[x1,...,xn]} where \\spad{k} is the fraction field of \\spad{R}. The triangular set \\spad{[t1,...,tm]} is regular iff for every \\spad{i} the initial of \\spad{ti+1} is invertible in the tower of simple extensions associated with \\spad{[t1,...,ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given ideal \\spad{I} iff the radical of \\spad{I} is equal to the intersection of the radical ideals generated by the saturated ideals of the \\spad{[T1,...,Ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given triangular set \\spad{T} iff it is a split of Kalkbrener of the saturated ideal of \\spad{T}. Let \\spad{K} be an algebraic closure of \\spad{k}. Assume that \\spad{V} is finite with cardinality \\spad{n} and let \\spad{A} be the affine space \\spad{K^n}. For a regular triangular set \\spad{T} let denote by \\spad{W(T)} the set of regular zeros of \\spad{T}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given subset \\spad{S} of \\spad{A} iff the union of the \\spad{W(Ti)} contains \\spad{S} and is contained in the closure of \\spad{S} (w.r.t. Zariski topology). A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given triangular set \\spad{T} if it is a split of Lazard of \\spad{W(T)}. Note that if \\spad{[T1,...,Ts]} is a split of Lazard of \\spad{T} then it is also a split of Kalkbrener of \\spad{T}. The converse is false. This category provides operations related to both kinds of splits, the former being related to ideals decomposition whereas the latter deals with varieties decomposition. See the example illustrating the RegularTriangularSet constructor for more explanations about decompositions by means of regular triangular sets.")) (|zeroSetSplit| (((|List| $) (|List| |#5|) (|Boolean|)) "\\spad{zeroSetSplit(lp,clos?)} returns \\spad{lts} a split of Kalkbrener of the radical ideal associated with \\spad{lp}. If \\spad{clos?} is false, it is also a decomposition of the variety associated with \\spad{lp} into the regular zero set of the \\spad{ts} in \\spad{lts} (or, in other words, a split of Lazard of this variety). See the example illustrating the \\spadtype{RegularTriangularSet} constructor for more explanations about decompositions by means of regular triangular sets.")) (|extend| (((|List| $) (|List| |#5|) (|List| $)) "\\spad{extend(lp,lts)} returns the same as \\spad{concat([extend(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#5|) $) "\\spad{extend(lp,ts)} returns \\spad{ts} if \\spad{empty? \\spad{lp}} \\spad{extend(p,ts)} if \\spad{lp = [p]} else \\spad{extend(first \\spad{lp,} extend(rest \\spad{lp,} ts))}") (((|List| $) |#5| (|List| $)) "\\spad{extend(p,lts)} returns the same as \\spad{concat([extend(p,ts) for \\spad{ts} in lts])|}") (((|List| $) |#5| $) "\\spad{extend(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is not a regular triangular set.")) (|internalAugment| (($ (|List| |#5|) $) "\\spad{internalAugment(lp,ts)} returns \\spad{ts} if \\spad{lp} is empty otherwise returns \\spad{internalAugment(rest \\spad{lp,} internalAugment(first \\spad{lp,} ts))}") (($ |#5| $) "\\spad{internalAugment(p,ts)} assumes that \\spad{augment(p,ts)} returns a singleton and returns it.")) (|augment| (((|List| $) (|List| |#5|) (|List| $)) "\\spad{augment(lp,lts)} returns the same as \\spad{concat([augment(lp,ts) for \\spad{ts} in lts])}") (((|List| $) (|List| |#5|) $) "\\spad{augment(lp,ts)} returns \\spad{ts} if \\spad{empty? lp}, \\spad{augment(p,ts)} if \\spad{lp = [p]}, otherwise \\spad{augment(first \\spad{lp,} augment(rest \\spad{lp,} ts))}") (((|List| $) |#5| (|List| $)) "\\spad{augment(p,lts)} returns the same as \\spad{concat([augment(p,ts) for \\spad{ts} in lts])}") (((|List| $) |#5| $) "\\spad{augment(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. This operation assumes also that if \\spad{p} is added to \\spad{ts} the resulting set, say \\spad{ts+p}, is a regular triangular set. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is required to be square-free.")) (|intersect| (((|List| $) |#5| (|List| $)) "\\spad{intersect(p,lts)} returns the same as \\spad{intersect([p],lts)}") (((|List| $) (|List| |#5|) (|List| $)) "\\spad{intersect(lp,lts)} returns the same as \\spad{concat([intersect(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#5|) $) "\\spad{intersect(lp,ts)} returns \\spad{lts} a split of Lazard of the intersection of the affine variety associated with \\spad{lp} and the regular zero set of \\spad{ts}.") (((|List| $) |#5| $) "\\spad{intersect(p,ts)} returns the same as \\spad{intersect([p],ts)}")) (|squareFreePart| (((|List| (|Record| (|:| |val| |#5|) (|:| |tower| $))) |#5| $) "\\spad{squareFreePart(p,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a square-free polynomial w.r.t. \\spad{lpwt.i.tower}, this polynomial being associated with \\spad{p} modulo \\spad{lpwt.i.tower}, for every \\spad{i}. Moreover, the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. WARNING: This assumes that \\spad{p} is a non-constant polynomial such that if \\spad{p} is added to \\spad{ts}, then the resulting set is a regular triangular set.")) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#5|) (|:| |tower| $))) |#5| |#5| $) "\\spad{lastSubResultant(p1,p2,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. \\spad{lpwt.i.tower}, for every \\spad{i}, and such that the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. Moreover, if \\spad{p1} and \\spad{p2} do not have a non-trivial \\spad{gcd} w.r.t. \\spad{lpwt.i.tower} then \\spad{lpwt.i.val} is the resultant of these polynomials w.r.t. \\spad{lpwt.i.tower}. This assumes that \\spad{p1} and \\spad{p2} have the same main variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|lastSubResultantElseSplit| (((|Union| |#5| (|List| $)) |#5| |#5| $) "\\spad{lastSubResultantElseSplit(p1,p2,ts)} returns either \\spad{g} a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. the \\spad{ts} or a split of Kalkbrener of \\spad{ts}. This assumes that \\spad{p1} and \\spad{p2} have the same maim variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|invertibleSet| (((|List| $) |#5| $) "\\spad{invertibleSet(p,ts)} returns a split of Kalkbrener of the quotient ideal of the ideal \\axiom{I} by \\spad{p} where \\spad{I} is the radical of saturated of \\spad{ts}.")) (|invertible?| (((|Boolean|) |#5| $) "\\spad{invertible?(p,ts)} returns \\spad{true} iff \\spad{p} is invertible in the tower associated with \\spad{ts}.") (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#5| $) "\\spad{invertible?(p,ts)} returns \\spad{lbwt} where \\spad{lbwt.i} is the result of \\spad{invertibleElseSplit?(p,lbwt.i.tower)} and the list of the \\spad{(lqrwt.i).tower} is a split of Kalkbrener of \\spad{ts}.")) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#5| $) "\\spad{invertibleElseSplit?(p,ts)} returns \\spad{true} (resp. \\spad{false}) if \\spad{p} is invertible in the tower associated with \\spad{ts} or returns a split of Kalkbrener of \\spad{ts}.")) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#5| $) "\\spad{purelyAlgebraicLeadingMonomial?(p,ts)} returns \\spad{true} iff the main variable of any non-constant iterarted initial of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|algebraicCoefficients?| (((|Boolean|) |#5| $) "\\spad{algebraicCoefficients?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} which is not the main one of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|purelyTranscendental?| (((|Boolean|) |#5| $) "\\spad{purelyTranscendental?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is not algebraic w.r.t. \\spad{ts}")) (|purelyAlgebraic?| (((|Boolean|) $) "\\spad{purelyAlgebraic?(ts)} returns \\spad{true} iff for every algebraic variable \\spad{v} of \\spad{ts} we have \\spad{algebraicCoefficients?(t_v,ts_v_-)} where \\spad{ts_v} is select from TriangularSetCategory(ts,v) and \\spad{ts_v_-} is collectUnder from TriangularSetCategory(ts,v).") (((|Boolean|) |#5| $) "\\spad{purelyAlgebraic?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is algebraic w.r.t. \\spad{ts}."))) 
 NIL 
 NIL 
-(-1068 R E V P) 
+(-1072 R E V P) 
 ((|constructor| (NIL "The category of regular triangular sets, introduced under the name regular chains in \\spad{[1]} (and other papers). In \\spad{[3]} it is proved that regular triangular sets and towers of simple extensions of a field are equivalent notions. In the following definitions, all polynomials and ideals are taken from the polynomial ring \\spad{k[x1,...,xn]} where \\spad{k} is the fraction field of \\spad{R}. The triangular set \\spad{[t1,...,tm]} is regular iff for every \\spad{i} the initial of \\spad{ti+1} is invertible in the tower of simple extensions associated with \\spad{[t1,...,ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given ideal \\spad{I} iff the radical of \\spad{I} is equal to the intersection of the radical ideals generated by the saturated ideals of the \\spad{[T1,...,Ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given triangular set \\spad{T} iff it is a split of Kalkbrener of the saturated ideal of \\spad{T}. Let \\spad{K} be an algebraic closure of \\spad{k}. Assume that \\spad{V} is finite with cardinality \\spad{n} and let \\spad{A} be the affine space \\spad{K^n}. For a regular triangular set \\spad{T} let denote by \\spad{W(T)} the set of regular zeros of \\spad{T}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given subset \\spad{S} of \\spad{A} iff the union of the \\spad{W(Ti)} contains \\spad{S} and is contained in the closure of \\spad{S} (w.r.t. Zariski topology). A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given triangular set \\spad{T} if it is a split of Lazard of \\spad{W(T)}. Note that if \\spad{[T1,...,Ts]} is a split of Lazard of \\spad{T} then it is also a split of Kalkbrener of \\spad{T}. The converse is false. This category provides operations related to both kinds of splits, the former being related to ideals decomposition whereas the latter deals with varieties decomposition. See the example illustrating the RegularTriangularSet constructor for more explanations about decompositions by means of regular triangular sets.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|)) "\\spad{zeroSetSplit(lp,clos?)} returns \\spad{lts} a split of Kalkbrener of the radical ideal associated with \\spad{lp}. If \\spad{clos?} is false, it is also a decomposition of the variety associated with \\spad{lp} into the regular zero set of the \\spad{ts} in \\spad{lts} (or, in other words, a split of Lazard of this variety). See the example illustrating the \\spadtype{RegularTriangularSet} constructor for more explanations about decompositions by means of regular triangular sets.")) (|extend| (((|List| $) (|List| |#4|) (|List| $)) "\\spad{extend(lp,lts)} returns the same as \\spad{concat([extend(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#4|) $) "\\spad{extend(lp,ts)} returns \\spad{ts} if \\spad{empty? \\spad{lp}} \\spad{extend(p,ts)} if \\spad{lp = [p]} else \\spad{extend(first \\spad{lp,} extend(rest \\spad{lp,} ts))}") (((|List| $) |#4| (|List| $)) "\\spad{extend(p,lts)} returns the same as \\spad{concat([extend(p,ts) for \\spad{ts} in lts])|}") (((|List| $) |#4| $) "\\spad{extend(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is not a regular triangular set.")) (|internalAugment| (($ (|List| |#4|) $) "\\spad{internalAugment(lp,ts)} returns \\spad{ts} if \\spad{lp} is empty otherwise returns \\spad{internalAugment(rest \\spad{lp,} internalAugment(first \\spad{lp,} ts))}") (($ |#4| $) "\\spad{internalAugment(p,ts)} assumes that \\spad{augment(p,ts)} returns a singleton and returns it.")) (|augment| (((|List| $) (|List| |#4|) (|List| $)) "\\spad{augment(lp,lts)} returns the same as \\spad{concat([augment(lp,ts) for \\spad{ts} in lts])}") (((|List| $) (|List| |#4|) $) "\\spad{augment(lp,ts)} returns \\spad{ts} if \\spad{empty? lp}, \\spad{augment(p,ts)} if \\spad{lp = [p]}, otherwise \\spad{augment(first \\spad{lp,} augment(rest \\spad{lp,} ts))}") (((|List| $) |#4| (|List| $)) "\\spad{augment(p,lts)} returns the same as \\spad{concat([augment(p,ts) for \\spad{ts} in lts])}") (((|List| $) |#4| $) "\\spad{augment(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. This operation assumes also that if \\spad{p} is added to \\spad{ts} the resulting set, say \\spad{ts+p}, is a regular triangular set. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is required to be square-free.")) (|intersect| (((|List| $) |#4| (|List| $)) "\\spad{intersect(p,lts)} returns the same as \\spad{intersect([p],lts)}") (((|List| $) (|List| |#4|) (|List| $)) "\\spad{intersect(lp,lts)} returns the same as \\spad{concat([intersect(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#4|) $) "\\spad{intersect(lp,ts)} returns \\spad{lts} a split of Lazard of the intersection of the affine variety associated with \\spad{lp} and the regular zero set of \\spad{ts}.") (((|List| $) |#4| $) "\\spad{intersect(p,ts)} returns the same as \\spad{intersect([p],ts)}")) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) "\\spad{squareFreePart(p,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a square-free polynomial w.r.t. \\spad{lpwt.i.tower}, this polynomial being associated with \\spad{p} modulo \\spad{lpwt.i.tower}, for every \\spad{i}. Moreover, the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. WARNING: This assumes that \\spad{p} is a non-constant polynomial such that if \\spad{p} is added to \\spad{ts}, then the resulting set is a regular triangular set.")) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) "\\spad{lastSubResultant(p1,p2,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. \\spad{lpwt.i.tower}, for every \\spad{i}, and such that the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. Moreover, if \\spad{p1} and \\spad{p2} do not have a non-trivial \\spad{gcd} w.r.t. \\spad{lpwt.i.tower} then \\spad{lpwt.i.val} is the resultant of these polynomials w.r.t. \\spad{lpwt.i.tower}. This assumes that \\spad{p1} and \\spad{p2} have the same main variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) "\\spad{lastSubResultantElseSplit(p1,p2,ts)} returns either \\spad{g} a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. the \\spad{ts} or a split of Kalkbrener of \\spad{ts}. This assumes that \\spad{p1} and \\spad{p2} have the same maim variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|invertibleSet| (((|List| $) |#4| $) "\\spad{invertibleSet(p,ts)} returns a split of Kalkbrener of the quotient ideal of the ideal \\axiom{I} by \\spad{p} where \\spad{I} is the radical of saturated of \\spad{ts}.")) (|invertible?| (((|Boolean|) |#4| $) "\\spad{invertible?(p,ts)} returns \\spad{true} iff \\spad{p} is invertible in the tower associated with \\spad{ts}.") (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) "\\spad{invertible?(p,ts)} returns \\spad{lbwt} where \\spad{lbwt.i} is the result of \\spad{invertibleElseSplit?(p,lbwt.i.tower)} and the list of the \\spad{(lqrwt.i).tower} is a split of Kalkbrener of \\spad{ts}.")) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) "\\spad{invertibleElseSplit?(p,ts)} returns \\spad{true} (resp. \\spad{false}) if \\spad{p} is invertible in the tower associated with \\spad{ts} or returns a split of Kalkbrener of \\spad{ts}.")) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) "\\spad{purelyAlgebraicLeadingMonomial?(p,ts)} returns \\spad{true} iff the main variable of any non-constant iterarted initial of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|algebraicCoefficients?| (((|Boolean|) |#4| $) "\\spad{algebraicCoefficients?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} which is not the main one of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|purelyTranscendental?| (((|Boolean|) |#4| $) "\\spad{purelyTranscendental?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is not algebraic w.r.t. \\spad{ts}")) (|purelyAlgebraic?| (((|Boolean|) $) "\\spad{purelyAlgebraic?(ts)} returns \\spad{true} iff for every algebraic variable \\spad{v} of \\spad{ts} we have \\spad{algebraicCoefficients?(t_v,ts_v_-)} where \\spad{ts_v} is select from TriangularSetCategory(ts,v) and \\spad{ts_v_-} is collectUnder from TriangularSetCategory(ts,v).") (((|Boolean|) |#4| $) "\\spad{purelyAlgebraic?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is algebraic w.r.t. \\spad{ts}."))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
-(-1069 R E V P TS) 
+(-1073 R E V P TS) 
 ((|constructor| (NIL "An internal package for computing gcds and resultants of univariate polynomials with coefficients in a tower of simple extensions of a field.")) (|toseSquareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{toseSquareFreePart(p,ts)} has the same specifications as squareFreePart from RegularTriangularSetCategory.")) (|toseInvertibleSet| (((|List| |#5|) |#4| |#5|) "\\axiom{toseInvertibleSet(p1,p2,ts)} has the same specifications as invertibleSet from RegularTriangularSetCategory.")) (|toseInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{toseInvertible?(p1,p2,ts)} has the same specifications as invertible? from RegularTriangularSetCategory.") (((|Boolean|) |#4| |#5|) "\\axiom{toseInvertible?(p1,p2,ts)} has the same specifications as invertible? from RegularTriangularSetCategory.")) (|toseLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{toseLastSubResultant(p1,p2,ts)} has the same specifications as lastSubResultant from RegularTriangularSetCategory.")) (|integralLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{integralLastSubResultant(p1,p2,ts)} is an internal subroutine, exported only for developement.")) (|internalLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|)) "\\axiom{internalLastSubResultant(lpwt,v,flag)} is an internal subroutine, exported only for developement.") (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|)) "\\axiom{internalLastSubResultant(p1,p2,ts,inv?,break?)} is an internal subroutine, exported only for developement.")) (|prepareSubResAlgo| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{prepareSubResAlgo(p1,p2,ts)} is an internal subroutine, exported only for developement.")) (|stopTableInvSet!| (((|Void|)) "\\axiom{stopTableInvSet!()} is an internal subroutine, exported only for developement.")) (|startTableInvSet!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableInvSet!(s1,s2,s3)} is an internal subroutine, exported only for developement.")) (|stopTableGcd!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine, exported only for developement.")) (|startTableGcd!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(s1,s2,s3)} is an internal subroutine, exported only for developement."))) 
 NIL 
 NIL 
-(-1070 |f|) 
+(-1074 |f|) 
 ((|constructor| (NIL "This domain implements named rules")) (|name| (((|Symbol|) $) "\\spad{name(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-1071 |Base| R -1647) 
+(-1075 |Base| R -3280) 
 ((|constructor| (NIL "Rules for the pattern matcher")) (|quotedOperators| (((|List| (|Symbol|)) $) "\\spad{quotedOperators(r)} returns the list of operators on the right hand side of \\spad{r} that are considered quoted, that is they are not evaluated during any rewrite, but just applied formally to their arguments.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,f,n)} or r(f, \\spad{n)} applies the rule \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rhs| ((|#3| $) "\\spad{rhs(r)} returns the right hand side of the rule \\spad{r.}")) (|lhs| ((|#3| $) "\\spad{lhs(r)} returns the left hand side of the rule \\spad{r.}")) (|pattern| (((|Pattern| |#1|) $) "\\spad{pattern(r)} returns the pattern corresponding to the left hand side of the rule \\spad{r.}")) (|suchThat| (($ $ (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#3|))) "\\spad{suchThat(r, [a1,...,an], \\spad{f)}} returns the rewrite rule \\spad{r} with the predicate \\spad{f(a1,...,an)} attached to it.")) (|rule| (($ |#3| |#3| (|List| (|Symbol|))) "\\spad{rule(f, \\spad{g,} [f1,...,fn])} creates the rewrite rule \\spad{f \\spad{==} eval(eval(g, \\spad{g} is \\spad{f),} [f1,...,fn])}, that is a rule with left-hand side \\spad{f} and right-hand side \\spad{g;} The symbols f1,...,fn are the operators that are considered quoted, that is they are not evaluated during any rewrite, but just applied formally to their arguments.") (($ |#3| |#3|) "\\indented{1}{rule(f, \\spad{g)} creates the rewrite rule: \\spad{f \\spad{==} eval(g, \\spad{g} is f)},} \\indented{1}{with left-hand side \\spad{f} and right-hand side \\spad{g.}} \\blankline \\spad{X} logrule \\spad{:=} rule log(x) + log(y) \\spad{==} log(x*y) \\spad{X} \\spad{f} \\spad{:=} log(sin(x)) + log(x) \\spad{X} logrule \\spad{f}"))) 
 NIL 
 NIL 
-(-1072 |Base| R -1647) 
+(-1076 |Base| R -3280) 
 ((|constructor| (NIL "Sets of rules for the pattern matcher. A ruleset is a set of pattern matching rules grouped together.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,f,n)} or r(f, \\spad{n)} applies all the rules of \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rules| (((|List| (|RewriteRule| |#1| |#2| |#3|)) $) "\\spad{rules(r)} returns the rules contained in \\spad{r.}")) (|ruleset| (($ (|List| (|RewriteRule| |#1| |#2| |#3|))) "\\spad{ruleset([r1,...,rn])} creates the rule set \\spad{{r1,...,rn}}."))) 
 NIL 
 NIL 
-(-1073 R |ls|) 
+(-1077 R |ls|) 
 ((|constructor| (NIL "A package for computing the rational univariate representation of a zero-dimensional algebraic variety given by a regular triangular set. This package is essentially an interface for the \\spadtype{InternalRationalUnivariateRepresentationPackage} constructor. It is used in the \\spadtype{ZeroDimensionalSolvePackage} for solving polynomial systems with finitely many solutions.")) (|rur| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{rur(lp,univ?,check?)} returns the same as \\spad{rur(lp,true)}. Moreover, if \\spad{check?} is \\spad{true} then the result is checked.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{rur(lp)} returns the same as \\spad{rur(lp,true)}") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{rur(lp,univ?)} returns a rational univariate representation of \\spad{lp}. This assumes that \\spad{lp} defines a regular triangular \\spad{ts} whose associated variety is zero-dimensional over \\spad{R}. \\spad{rur(lp,univ?)} returns a list of items \\spad{[u,lc]} where \\spad{u} is an irreducible univariate polynomial and each \\spad{c} in \\spad{lc} involves two variables: one from \\spad{ls}, called the coordinate of \\spad{c}, and an extra variable which represents any root of \\spad{u}. Every root of \\spad{u} leads to a tuple of values for the coordinates of \\spad{lc}. Moreover, a point \\spad{x} belongs to the variety associated with \\spad{lp} iff there exists an item \\spad{[u,lc]} in \\spad{rur(lp,univ?)} and a root \\spad{r} of \\spad{u} such that \\spad{x} is given by the tuple of values for the coordinates of \\spad{lc} evaluated at \\spad{r}. If \\spad{univ?} is \\spad{true} then each polynomial \\spad{c} will have a constant leading coefficient w.r.t. its coordinate. See the example which illustrates the \\spadtype{ZeroDimensionalSolvePackage} package constructor."))) 
 NIL 
 NIL 
-(-1074 UP SAE UPA) 
+(-1078 UP SAE UPA) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients in an algebraic extension of the rational numbers (\\spadtype{Fraction Integer}).")) (|factor| (((|Factored| |#3|) |#3|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p.}"))) 
 NIL 
 NIL 
-(-1075 R UP M) 
+(-1079 R UP M) 
 ((|constructor| (NIL "Algebraic extension of a ring by a single polynomial. Domain which represents simple algebraic extensions of arbitrary rings. The first argument to the domain, \\spad{R,} is the underlying ring, the second argument is a domain of univariate polynomials over \\spad{K,} while the last argument specifies the defining minimal polynomial. The elements of the domain are canonically represented as polynomials of degree less than that of the minimal polynomial with coefficients in \\spad{R.} The second argument is both the type of the third argument and the underlying representation used by \\spadtype{SAE} itself."))) 
-((-4564 |has| |#1| (-366)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-351))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-351))))) 
-(-1076 UP SAE UPA) 
+((-4593 |has| |#1| (-367)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-352))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-352)))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-352))))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-367)))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-352))))) 
+(-1080 UP SAE UPA) 
 ((|constructor| (NIL "Factorization of univariate polynomials with coefficients in an algebraic extension of \\spadtype{Fraction Polynomial Integer}.")) (|factor| (((|Factored| |#3|) |#3|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p.}"))) 
 NIL 
 NIL 
-(-1077) 
+(-1081) 
 ((|constructor| (NIL "This trivial domain lets us build Univariate Polynomials in an anonymous variable"))) 
 NIL 
 NIL 
-(-1078 S) 
+(-1082 S) 
 ((|constructor| (NIL "A sorted cache of a cachable set \\spad{S} is a dynamic structure that keeps the elements of \\spad{S} sorted and assigns an integer to each element of \\spad{S} once it is in the cache. This way, equality and ordering on \\spad{S} are tested directly on the integers associated with the elements of \\spad{S,} once they have been entered in the cache.")) (|enterInCache| ((|#1| |#1| (|Mapping| (|Integer|) |#1| |#1|)) "\\spad{enterInCache(x, \\spad{f)}} enters \\spad{x} in the cache, calling \\spad{f(x, \\spad{y)}} to determine whether \\spad{x < \\spad{y} (f(x,y) < 0), \\spad{x} = \\spad{y} (f(x,y) = 0)}, or \\spad{x > \\spad{y} (f(x,y) > 0)}. It returns \\spad{x} with an integer associated with it.") ((|#1| |#1| (|Mapping| (|Boolean|) |#1|)) "\\spad{enterInCache(x, \\spad{f)}} enters \\spad{x} in the cache, calling \\spad{f(y)} to determine whether \\spad{x} is equal to \\spad{y.} It returns \\spad{x} with an integer associated with it.")) (|cache| (((|List| |#1|)) "\\spad{cache()} returns the current cache as a list.")) (|clearCache| (((|Void|)) "\\spad{clearCache()} empties the cache."))) 
 NIL 
 NIL 
-(-1079 R) 
+(-1083 R) 
 ((|constructor| (NIL "StructuralConstantsPackage provides functions creating structural constants from a multiplication tables or a basis of a matrix algebra and other useful functions in this context.")) (|coordinates| (((|Vector| |#1|) (|Matrix| |#1|) (|List| (|Matrix| |#1|))) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{structuralConstants(basis)} takes the \\spad{basis} of a matrix algebra, \\spadignore{e.g.} the result of \\spadfun{basisOfCentroid} and calculates the structural constants. Note, that the it is not checked, whether \\spad{basis} really is a \\spad{basis} of a matrix algebra.") (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|List| (|Symbol|)) (|Matrix| (|Polynomial| |#1|))) "\\spad{structuralConstants(ls,mt)} determines the structural constants of an algebra with generators \\spad{ls} and multiplication table \\spad{mt,} the entries of which must be given as linear polynomials in the indeterminates given by \\spad{ls.} The result is in particular useful \\indented{1}{as fourth argument for \\spadtype{AlgebraGivenByStructuralConstants}} \\indented{1}{and \\spadtype{GenericNonAssociativeAlgebra}.}") (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{structuralConstants(ls,mt)} determines the structural constants of an algebra with generators \\spad{ls} and multiplication table \\spad{mt,} the entries of which must be given as linear polynomials in the indeterminates given by \\spad{ls.} The result is in particular useful \\indented{1}{as fourth argument for \\spadtype{AlgebraGivenByStructuralConstants}} \\indented{1}{and \\spadtype{GenericNonAssociativeAlgebra}.}"))) 
 NIL 
 NIL 
-(-1080 R) 
+(-1084 R) 
 ((|constructor| (NIL "A basic implementation of StochasticDifferential(R) using the associated domain BasicStochasticDifferential in the underlying representation as sparse multivariate polynomials. The domain is a module over Expression(R), and is a ring without identity (AXIOM term is \"Rng\"). Note that separate instances, for example using R=Integer and R=Float, have different hidden structure (multiplication and drift tables).")) (|uncorrelated?| (((|Boolean|) (|List| (|List| $))) "\\spad{uncorrelated?(ll)} checks whether its argument is a list of lists of stochastic differentials of zero inter-list quadratic co-variation.") (((|Boolean|) (|List| $) (|List| $)) "\\spad{uncorrelated?(l1,l2)} checks whether its two arguments are lists of stochastic differentials of zero inter-list quadratic co-variation.") (((|Boolean|) $ $) "\\spad{uncorrelated?(dx,dy)} checks whether its two arguments have zero quadratic co-variation.")) (|statusIto| (((|OutputForm|)) "\\indented{1}{statusIto() displays the current state of \\axiom{setBSD},} \\indented{1}{\\axiom{tableDrift}, and \\axiom{tableQuadVar}. Question} \\indented{1}{marks are printed instead of undefined entries} \\blankline \\spad{X} dt:=introduce!(t,dt) \\spad{X} dX:=introduce!(X,dX) \\spad{X} dY:=introduce!(Y,dY) \\spad{X} copyBSD() \\spad{X} copyIto() \\spad{X} copyhQuadVar() \\spad{X} statusIto()")) (^ (($ $ (|PositiveInteger|)) "\\spad{dx^n} is \\spad{dx} multiplied by itself \\spad{n} times.")) (** (($ $ (|PositiveInteger|)) "\\spad{dx**n} is \\spad{dx} multiplied by itself \\spad{n} times.")) (/ (($ $ (|Expression| |#1|)) "\\spad{dx/y} divides the stochastic differential \\spad{dx} by the previsible function \\spad{y.}")) (|copyQuadVar| (((|Table| $ $)) "\\spad{copyQuadVar returns} private multiplication table of basic stochastic differentials for inspection")) (|copyDrift| (((|Table| $ $)) "\\spad{copyDrift returns} private table of drifts of basic stochastic differentials for inspection")) (|equation| (((|Union| (|Equation| $) "failed") |#1| $) "\\spad{equation(0,dx)} allows \\spad{LHS} of Equation \\% to be zero") (((|Union| (|Equation| $) "failed") $ |#1|) "\\spad{equation(dx,0)} allows \\spad{RHS} of Equation \\% to be zero")) (|listSD| (((|List| (|BasicStochasticDifferential|)) $) "\\spad{listSD(dx)} returns a list of all \\axiom{BSD} involved in the generation of \\axiom{dx} as a module element")) (|coefficient| (((|Expression| |#1|) $ (|BasicStochasticDifferential|)) "\\spad{coefficient(sd,dX)} returns the coefficient of \\axiom{dX} in the stochastic differential \\axiom{sd}")) (|freeOf?| (((|Boolean|) $ (|BasicStochasticDifferential|)) "\\spad{freeOf?(sd,dX)} checks whether \\axiom{dX} occurs in \\axiom{sd} as a module element")) (|drift| (($ $) "\\spad{drift(dx)} returns the drift of \\axiom{dx}")) (|alterDrift!| (((|Union| $ "failed") (|BasicStochasticDifferential|) $) "\\spad{alterDrift! adds} drift formula for a stochastic differential to a private table. Failure occurs if \\indented{1}{(a) first arguments is not basic} \\indented{1}{(b) second argument is not exactly of first degree}")) (|alterQuadVar!| (((|Union| $ "failed") (|BasicStochasticDifferential|) (|BasicStochasticDifferential|) $) "\\spad{alterQuadVar! adds} multiplication formula for a pair of stochastic differentials to a private table. Failure occurs if \\indented{1}{(a) either of first or second arguments is not basic} \\indented{1}{(b) third argument is not exactly of first degree}"))) 
-((-4566 . T) (-4565 . T)) 
+((-4595 . T) (-4594 . T)) 
 NIL 
-(-1081 R) 
+(-1085 R) 
 ((|constructor| (NIL "\\spadtype{SequentialDifferentialPolynomial} implements an ordinary differential polynomial ring in arbitrary number of differential indeterminates, with coefficients in a ring. The ranking on the differential indeterminate is sequential."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1082 (-1165)) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1082 (-1165)) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1082 (-1165)) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1082 (-1165)) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1082 (-1165)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1082 S) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-1086 (-1169)) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-1086 (-1169)) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-1086 (-1169)) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-1086 (-1169)) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-1086 (-1169)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#1| (QUOTE -4598)) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1086 S) 
 ((|constructor| (NIL "\\spadtype{OrderlyDifferentialVariable} adds a commonly used sequential ranking to the set of derivatives of an ordered list of differential indeterminates. A sequential ranking is a ranking \\spadfun{<} of the derivatives with the property that for any derivative \\spad{v,} there are only a finite number of derivatives \\spad{u} with \\spad{u} \\spadfun{<} \\spad{v.} This domain belongs to \\spadtype{DifferentialVariableCategory}. It defines \\spadfun{weight} to be just \\spadfun{order}, and it defines a sequential ranking \\spadfun{<} on derivatives \\spad{u} by the lexicographic order on the pair (\\spadfun{variable}(u), \\spadfun{order}(u))."))) 
 NIL 
 NIL 
-(-1083 R S) 
+(-1087 R S) 
 ((|constructor| (NIL "This package provides operations for mapping functions onto segments.")) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) "\\spad{map(f,s)} expands the segment \\spad{s,} applying \\spad{f} to each value. For example, if \\spad{s = l..h by \\spad{k},} then the list \\spad{[f(l), f(l+k),..., f(lN)]} is computed, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}.") (((|Segment| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) "\\spad{map(f,l..h)} returns a new segment \\spad{f(l)..f(h)}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-842)))) 
-(-1084 R S) 
+((|HasCategory| |#1| (QUOTE (-845)))) 
+(-1088 R S) 
 ((|constructor| (NIL "This package provides operations for mapping functions onto \\spadtype{SegmentBinding}s.")) (|map| (((|SegmentBinding| |#2|) (|Mapping| |#2| |#1|) (|SegmentBinding| |#1|)) "\\spad{map(f,v=a..b)} returns the value given by \\spad{v=f(a)..f(b)}."))) 
 NIL 
 NIL 
-(-1085 S) 
+(-1089 S) 
 ((|constructor| (NIL "This domain is used to provide the function argument syntax \\spad{v=a..b}. This is used, for example, by the top-level \\spadfun{draw} functions.")) (|segment| (((|Segment| |#1|) $) "\\spad{segment(segb)} returns the segment from the right hand side of the \\spadtype{SegmentBinding}. For example, if \\spad{segb} is \\spad{v=a..b}, then \\spad{segment(segb)} returns \\spad{a..b}.")) (|variable| (((|Symbol|) $) "\\spad{variable(segb)} returns the variable from the left hand side of the \\spadtype{SegmentBinding}. For example, if \\spad{segb} is \\spad{v=a..b}, then \\spad{variable(segb)} returns \\spad{v}.")) (|equation| (($ (|Symbol|) (|Segment| |#1|)) "\\spad{equation(v,a..b)} creates a segment binding value with variable \\spad{v} and segment \\spad{a..b}. Note that the interpreter parses \\spad{v=a..b} to this form."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1093)))) 
-(-1086 S) 
+((|HasCategory| |#1| (QUOTE (-1097)))) 
+(-1090 S) 
 ((|constructor| (NIL "This category provides operations on ranges, or segments as they are called.")) (|convert| (($ |#1|) "\\spad{convert(i)} creates the segment \\spad{i..i}.")) (|segment| (($ |#1| |#1|) "\\spad{segment(i,j)} is an alternate way to create the segment \\spad{i..j}.")) (|incr| (((|Integer|) $) "\\spad{incr(s)} returns \\spad{n}, where \\spad{s} is a segment in which every \\spad{n}-th element is used. Note that \\spad{incr(l..h by \\spad{n)} = \\spad{n}.}")) (|high| ((|#1| $) "\\spad{high(s)} returns the second endpoint of \\spad{s.} Note that \\spad{high(l..h) = \\spad{h}.}")) (|low| ((|#1| $) "\\spad{low(s)} returns the first endpoint of \\spad{s.} Note that \\spad{low(l..h) = \\spad{l}.}")) (|hi| ((|#1| $) "\\spad{hi(s)} returns the second endpoint of \\spad{s.} Note that \\spad{hi(l..h) = \\spad{h}.}")) (|lo| ((|#1| $) "\\spad{lo(s)} returns the first endpoint of \\spad{s.} Note that \\spad{lo(l..h) = \\spad{l}.}")) (BY (($ $ (|Integer|)) "\\spad{s by \\spad{n}} creates a new segment in which only every \\spad{n}-th element is used.")) (SEGMENT (($ |#1| |#1|) "\\spad{l..h} creates a segment with \\spad{l} and \\spad{h} as the endpoints."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-1087 S) 
+(-1091 S) 
 ((|constructor| (NIL "This type is used to specify a range of values from type \\spad{S}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1093)))) 
-(-1088 S L) 
+((|HasCategory| |#1| (QUOTE (-845))) (|HasCategory| |#1| (QUOTE (-1097)))) 
+(-1092 S L) 
 ((|constructor| (NIL "This category provides an interface for expanding segments to a stream of elements.")) (|map| ((|#2| (|Mapping| |#1| |#1|) $) "\\spad{map(f,l..h by \\spad{k)}} produces a value of type \\spad{L} by applying \\spad{f} to each of the succesive elements of the segment, that is, \\spad{[f(l), f(l+k), ..., f(lN)]}, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}.")) (|expand| ((|#2| $) "\\spad{expand(l..h by \\spad{k)}} creates value of type \\spad{L} with elements \\spad{l, l+k, \\spad{...} \\spad{lN}} where \\spad{lN \\spad{<=} \\spad{h} < lN+k}. For example, \\spad{expand(1..5 by 2) = [1,3,5]}.") ((|#2| (|List| $)) "\\spad{expand(l)} creates a new value of type \\spad{L} in which each segment \\spad{l..h by \\spad{k}} is replaced with \\spad{l, l+k, \\spad{...} lN}, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}. For example, \\spad{expand [1..4, 7..9] = [1,2,3,4,7,8,9]}."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-1089 A S) 
+(-1093 A S) 
 ((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both, the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#2| $) "\\spad{union(x,u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(x,u)} returns a copy of u.") (($ $ |#2|) "\\spad{union(u,x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(u,x)} returns a copy of u.") (($ $ $) "\\spad{union(u,v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v.}")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,v)} tests if \\spad{u} is a subset of \\spad{v.} Note that equivalent to \\axiom{reduce(and,{member?(x,v) for \\spad{x} in u},true,false)}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common, \\axiom{symmetricDifference(u,v)} returns a copy of u. Note that \\axiom{symmetricDifference(u,v) = \\indented{1}{union(difference(u,v),difference(v,u))}}")) (|difference| (($ $ |#2|) "\\spad{difference(u,x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x,} a copy of \\spad{u} is returned. Note that \\axiom{difference(s, \\spad{x)} = difference(s, {x})}.") (($ $ $) "\\spad{difference(u,v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v.} If \\spad{u} and \\spad{v} have no elements in common, \\axiom{difference(u,v)} returns a copy of u. Note that equivalent to the notation (not currently supported) \\axiom{{x for \\spad{x} in \\spad{u} | not member?(x,v)}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v.} Note that equivalent to the notation (not currently supported) \\spad{{x} for \\spad{x} in \\spad{u} | member?(x,v)}.")) (|set| (($ (|List| |#2|)) "\\spad{set([x,y,...,z])} creates a set aggregate containing items x,y,...,z.") (($) "\\spad{set()}$D creates an empty set aggregate of type \\spad{D.}")) (|brace| (($ (|List| |#2|)) "\\spad{brace([x,y,...,z])} creates a set aggregate containing items x,y,...,z. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}$D (otherwise written {}$D) creates an empty set aggregate of type \\spad{D.} This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < \\spad{t}} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t.}"))) 
 NIL 
 NIL 
-(-1090 S) 
+(-1094 S) 
 ((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both, the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#1| $) "\\spad{union(x,u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(x,u)} returns a copy of u.") (($ $ |#1|) "\\spad{union(u,x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(u,x)} returns a copy of u.") (($ $ $) "\\spad{union(u,v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v.}")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,v)} tests if \\spad{u} is a subset of \\spad{v.} Note that equivalent to \\axiom{reduce(and,{member?(x,v) for \\spad{x} in u},true,false)}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common, \\axiom{symmetricDifference(u,v)} returns a copy of u. Note that \\axiom{symmetricDifference(u,v) = \\indented{1}{union(difference(u,v),difference(v,u))}}")) (|difference| (($ $ |#1|) "\\spad{difference(u,x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x,} a copy of \\spad{u} is returned. Note that \\axiom{difference(s, \\spad{x)} = difference(s, {x})}.") (($ $ $) "\\spad{difference(u,v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v.} If \\spad{u} and \\spad{v} have no elements in common, \\axiom{difference(u,v)} returns a copy of u. Note that equivalent to the notation (not currently supported) \\axiom{{x for \\spad{x} in \\spad{u} | not member?(x,v)}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v.} Note that equivalent to the notation (not currently supported) \\spad{{x} for \\spad{x} in \\spad{u} | member?(x,v)}.")) (|set| (($ (|List| |#1|)) "\\spad{set([x,y,...,z])} creates a set aggregate containing items x,y,...,z.") (($) "\\spad{set()}$D creates an empty set aggregate of type \\spad{D.}")) (|brace| (($ (|List| |#1|)) "\\spad{brace([x,y,...,z])} creates a set aggregate containing items x,y,...,z. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}$D (otherwise written {}$D) creates an empty set aggregate of type \\spad{D.} This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < \\spad{t}} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t.}"))) 
-((-4561 . T) (-4317 . T)) 
+((-4590 . T) (-3348 . T)) 
 NIL 
-(-1091) 
+(-1095) 
 ((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-1092 S) 
+(-1096 S) 
 ((|constructor| (NIL "\\spadtype{SetCategory} is the basic category for describing a collection of elements with \\spadop{=} (equality) and \\spadfun{coerce} to output form. \\blankline Conditional Attributes\\br \\tab{5}canonical\\tab{5}data structure equality is the same as \\spadop{=}")) (|latex| (((|String|) $) "\\spad{latex(s)} returns a LaTeX-printable output representation of \\spad{s.}")) (|hash| (((|SingleInteger|) $) "\\spad{hash(s)} calculates a hash code for \\spad{s.}"))) 
 NIL 
 NIL 
-(-1093) 
+(-1097) 
 ((|constructor| (NIL "\\spadtype{SetCategory} is the basic category for describing a collection of elements with \\spadop{=} (equality) and \\spadfun{coerce} to output form. \\blankline Conditional Attributes\\br \\tab{5}canonical\\tab{5}data structure equality is the same as \\spadop{=}")) (|latex| (((|String|) $) "\\spad{latex(s)} returns a LaTeX-printable output representation of \\spad{s.}")) (|hash| (((|SingleInteger|) $) "\\spad{hash(s)} calculates a hash code for \\spad{s.}"))) 
 NIL 
 NIL 
-(-1094 |m| |n|) 
+(-1098 |m| |n|) 
 ((|constructor| (NIL "\\spadtype{SetOfMIntegersInOneToN} implements the subsets of \\spad{M} integers in the interval \\spad{[1..n]}")) (|delta| (((|NonNegativeInteger|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{delta(S,k,p)} returns the number of elements of \\spad{S} which are strictly between \\spad{p} and the k^{th} element of \\spad{S.}")) (|member?| (((|Boolean|) (|PositiveInteger|) $) "\\spad{member?(p, \\spad{s)}} returns \\spad{true} is \\spad{p} is in \\spad{s,} \\spad{false} otherwise.")) (|enumerate| (((|Vector| $)) "\\spad{enumerate()} returns a vector of all the sets of \\spad{M} integers in \\spad{1..n}.")) (|setOfMinN| (($ (|List| (|PositiveInteger|))) "\\spad{setOfMinN([a_1,...,a_m])} returns the set {a_1,...,a_m}. Error if {a_1,...,a_m} is not a set of \\spad{M} integers in \\spad{1..n}.")) (|elements| (((|List| (|PositiveInteger|)) $) "\\spad{elements(S)} returns the list of the elements of \\spad{S} in increasing order.")) (|replaceKthElement| (((|Union| $ "failed") $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{replaceKthElement(S,k,p)} replaces the k^{th} element of \\spad{S} by \\spad{p,} and returns \"failed\" if the result is not a set of \\spad{M} integers in \\spad{1..n} any more.")) (|incrementKthElement| (((|Union| $ "failed") $ (|PositiveInteger|)) "\\spad{incrementKthElement(S,k)} increments the k^{th} element of \\spad{S,} and returns \"failed\" if the result is not a set of \\spad{M} integers in \\spad{1..n} any more."))) 
 NIL 
 NIL 
-(-1095 S) 
+(-1099 S) 
 ((|constructor| (NIL "A set over a domain \\spad{D} models the usual mathematical notion of a finite set of elements from \\spad{D.} Sets are unordered collections of distinct elements (that is, order and duplication does not matter). The notation \\spad{set [a,b,c]} can be used to create a set and the usual operations such as union and intersection are available to form new sets. In our implementation, \\Language{} maintains the entries in sorted order. Specifically, the parts function returns the entries as a list in ascending order and the extract operation returns the maximum entry. Given two sets \\spad{s} and \\spad{t} where \\spad{\\#s = \\spad{m}} and \\spad{\\#t = \\spad{n},} the complexity of\\br \\tab{5}\\spad{s = \\spad{t}} is \\spad{O(min(n,m))}\\br \\tab{5}\\spad{s < \\spad{t}} is \\spad{O(max(n,m))}\\br \\tab{5}\\spad{union(s,t)}, \\spad{intersect(s,t)}, \\spad{minus(s,t)},\\br \\tab{10 \\spad{symmetricDifference(s,t)} is \\spad{O(max(n,m))}\\br \\tab{5}\\spad{member(x,t)} is \\spad{O(n log n)}\\br \\tab{5}\\spad{insert(x,t)} and \\spad{remove(x,t)} is \\spad{O(n)}"))) 
-((-4571 . T) (-4561 . T) (-4572 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-1096 |Str| |Sym| |Int| |Flt| |Expr|) 
+((-4600 . T) (-4590 . T) (-4601 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-373))) (|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (QUOTE (-847))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-373)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-1100 |Str| |Sym| |Int| |Flt| |Expr|) 
 ((|constructor| (NIL "This category allows the manipulation of Lisp values while keeping the grunge fairly localized.")) (|elt| (($ $ (|List| (|Integer|))) "\\spad{elt((a1,...,an), [i1,...,im])} returns \\spad{(a_i1,...,a_im)}.") (($ $ (|Integer|)) "\\spad{elt((a1,...,an), i)} returns \\spad{ai}.")) (|#| (((|Integer|) $) "\\spad{\\#((a1,...,an))} returns \\spad{n.}")) (|cdr| (($ $) "\\spad{cdr((a1,...,an))} returns \\spad{(a2,...,an)}.")) (|car| (($ $) "\\spad{car((a1,...,an))} returns a1.")) (|convert| (($ |#5|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#4|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#3|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#2|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#1|) "\\spad{convert(x)} returns the Lisp atom \\spad{x;}") (($ (|List| $)) "\\spad{convert([a1,...,an])} returns an S-expression \\spad{(a1,...,an)}.")) (|expr| ((|#5| $) "\\spad{expr(s)} returns \\spad{s} as an element of Expr; Error: if \\spad{s} is not an atom that also belongs to Expr.")) (|float| ((|#4| $) "\\spad{float(s)} returns \\spad{s} as an element of Flt; Error: if \\spad{s} is not an atom that also belongs to Flt.")) (|integer| ((|#3| $) "\\spad{integer(s)} returns \\spad{s} as an element of Int. Error: if \\spad{s} is not an atom that also belongs to Int.")) (|symbol| ((|#2| $) "\\spad{symbol(s)} returns \\spad{s} as an element of Sym. Error: if \\spad{s} is not an atom that also belongs to Sym.")) (|string| ((|#1| $) "\\spad{string(s)} returns \\spad{s} as an element of Str. Error: if \\spad{s} is not an atom that also belongs to Str.")) (|destruct| (((|List| $) $) "\\spad{destruct((a1,...,an))} returns the list [a1,...,an].")) (|float?| (((|Boolean|) $) "\\spad{float?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Flt.")) (|integer?| (((|Boolean|) $) "\\spad{integer?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Int.")) (|symbol?| (((|Boolean|) $) "\\spad{symbol?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Sym.")) (|string?| (((|Boolean|) $) "\\spad{string?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Str.")) (|list?| (((|Boolean|) $) "\\spad{list?(s)} is \\spad{true} if \\spad{s} is a Lisp list, possibly \\spad{().}")) (|pair?| (((|Boolean|) $) "\\spad{pair?(s)} is \\spad{true} if \\spad{s} has is a non-null Lisp list.")) (|atom?| (((|Boolean|) $) "\\spad{atom?(s)} is \\spad{true} if \\spad{s} is a Lisp atom.")) (|null?| (((|Boolean|) $) "\\spad{null?(s)} is \\spad{true} if \\spad{s} is the S-expression \\spad{().}")) (|eq| (((|Boolean|) $ $) "\\spad{eq(s, \\spad{t)}} is \\spad{true} if EQ(s,t) is \\spad{true} in Lisp."))) 
 NIL 
 NIL 
-(-1097) 
+(-1101) 
 ((|constructor| (NIL "This domain allows the manipulation of the usual Lisp values."))) 
 NIL 
 NIL 
-(-1098 |Str| |Sym| |Int| |Flt| |Expr|) 
+(-1102 |Str| |Sym| |Int| |Flt| |Expr|) 
 ((|constructor| (NIL "This domain allows the manipulation of Lisp values over arbitrary atomic types."))) 
 NIL 
 NIL 
-(-1099 R FS) 
+(-1103 R FS) 
 ((|constructor| (NIL "\\axiomType{SimpleFortranProgram(f,type)} provides a simple model of some FORTRAN subprograms, making it possible to coerce objects of various domains into a FORTRAN subprogram called \\axiom{f}. These can then be translated into legal FORTRAN code.")) (|fortran| (($ (|Symbol|) (|FortranScalarType|) |#2|) "\\spad{fortran(fname,ftype,body)} builds an object of type \\axiomType{FortranProgramCategory}. The three arguments specify the name, the type and the \\spad{body} of the program."))) 
 NIL 
 NIL 
-(-1100 R E V P TS) 
+(-1104 R E V P TS) 
 ((|constructor| (NIL "A internal package for removing redundant quasi-components and redundant branches when decomposing a variety by means of quasi-components of regular triangular sets.")) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{branchIfCan(leq,ts,lineq,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement.")) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) "\\axiom{prepareDecompose(lp,lts,b1,b2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) "\\axiom{removeSuperfluousCases(llpwt)} is an internal subroutine, exported only for developement.")) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) "\\axiom{subCase?(lpwt1,lpwt2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) "\\axiom{removeSuperfluousQuasiComponents(lts)} removes from \\axiom{lts} any \\spad{ts} such that \\axiom{subQuasiComponent?(ts,us)} holds for another \\spad{us} in \\axiom{lts}.")) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) "\\axiom{subQuasiComponent?(ts,lus)} returns \\spad{true} iff \\axiom{subQuasiComponent?(ts,us)} holds for one \\spad{us} in \\spad{lus}.") (((|Boolean|) |#5| |#5|) "\\axiom{subQuasiComponent?(ts,us)} returns \\spad{true} iff internalSubQuasiComponent?(ts,us) from QuasiComponentPackage returns true.")) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) "\\axiom{internalSubQuasiComponent?(ts,us)} returns a boolean \\spad{b} value if the fact the regular zero set of \\axiom{us} contains that of \\axiom{ts} can be decided (and in that case \\axiom{b} gives this inclusion) otherwise returns \\axiom{\"failed\"}.")) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{infRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalInfRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalSubPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2} assuming that these lists are sorted increasingly w.r.t. infRittWu? from RecursivePolynomialCategory.")) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{subPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2}.")) (|subTriSet?| (((|Boolean|) |#5| |#5|) "\\axiom{subTriSet?(ts,us)} returns \\spad{true} iff \\axiom{ts} is a sub-set of \\axiom{us}.")) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) "\\axiom{moreAlgebraic?(ts,us)} returns \\spad{false} iff \\axiom{ts} and \\axiom{us} are both empty, or \\axiom{ts} has less elements than \\axiom{us}, or some variable is algebraic w.r.t. \\axiom{us} and is not w.r.t. \\axiom{ts}.")) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) "\\axiom{algebraicSort(lts)} sorts \\axiom{lts} w.r.t supDimElseRittWu from QuasiComponentPackage.")) (|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) "\\axiom{supDimElseRittWu(ts,us)} returns \\spad{true} iff \\axiom{ts} has less elements than \\axiom{us} otherwise if \\axiom{ts} has higher rank than \\axiom{us} w.r.t. Riit and Wu ordering.")) (|stopTable!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine, exported only for developement.")) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(s1,s2,s3)} is an internal subroutine, exported only for developement."))) 
 NIL 
 NIL 
-(-1101 R E V P TS) 
+(-1105 R E V P TS) 
 ((|constructor| (NIL "A internal package for computing gcds and resultants of univariate polynomials with coefficients in a tower of simple extensions of a field. There is no need to use directly this package since its main operations are available from \\spad{TS}."))) 
 NIL 
 NIL 
-(-1102 R E V P) 
+(-1106 R E V P) 
 ((|constructor| (NIL "The category of square-free regular triangular sets. A regular triangular set \\spad{ts} is square-free if the \\spad{gcd} of any polynomial \\spad{p} in \\spad{ts} and differentiate(p,mvar(p)) w.r.t. collectUnder(ts,mvar(p)) has degree zero w.r.t. \\spad{mvar(p)}. Thus any square-free regular set defines a tower of square-free simple extensions."))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
-(-1103) 
+(-1107) 
 ((|constructor| (NIL "SymmetricGroupCombinatoricFunctions contains combinatoric functions concerning symmetric groups and representation theory: list young tableaus, improper partitions, subsets bijection of Coleman.")) (|unrankImproperPartitions1| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{unrankImproperPartitions1(n,m,k)} computes the \\spad{k}-th improper partition of nonnegative \\spad{n} in at most \\spad{m} nonnegative parts ordered as follows: first, in reverse lexicographically according to their non-zero parts, then according to their positions (\\spadignore{i.e.} lexicographical order using subSet: [3,0,0] < [0,3,0] < [0,0,3] < [2,1,0] < [2,0,1] < [0,2,1] < [1,2,0] < [1,0,2] < [0,1,2] < [1,1,1]. Note that counting of subtrees is done by numberOfImproperPartitionsInternal.")) (|unrankImproperPartitions0| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{unrankImproperPartitions0(n,m,k)} computes the \\spad{k}-th improper partition of nonnegative \\spad{n} in \\spad{m} nonnegative parts in reverse lexicographical order. Example: [0,0,3] < [0,1,2] < [0,2,1] < [0,3,0] < [1,0,2] < [1,1,1] < [1,2,0] < [2,0,1] < [2,1,0] < [3,0,0]. Error: if \\spad{k} is negative or too big. Note that counting of subtrees is done by numberOfImproperPartitions")) (|subSet| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{subSet(n,m,k)} calculates the \\spad{k}-th m-subset of the set 0,1,...,(n-1) in the lexicographic order considered as a decreasing map from 0,...,(m-1) into 0,...,(n-1). See S.G. Williamson: Theorem 1.60. Error: if not \\spad{(0} \\spad{<=} \\spad{m} \\spad{<=} \\spad{n} and 0 < = \\spad{k} < \\spad{(n} choose m)).")) (|numberOfImproperPartitions| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{numberOfImproperPartitions(n,m)} computes the number of partitions of the nonnegative integer \\spad{n} in \\spad{m} nonnegative parts with regarding the order (improper partitions). Example: numberOfImproperPartitions (3,3) is 10, since [0,0,3], [0,1,2], [0,2,1], [0,3,0], [1,0,2], [1,1,1], [1,2,0], [2,0,1], [2,1,0], [3,0,0] are the possibilities. Note that this operation has a recursive implementation.")) (|nextPartition| (((|Vector| (|Integer|)) (|List| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) "\\spad{nextPartition(gamma,part,number)} generates the partition of \\spad{number} which follows \\spad{part} according to the right-to-left lexicographical order. The partition has the property that its components do not exceed the corresponding components of gamma. the first partition is achieved by part=[]. Also, \\spad{[]} indicates that \\spad{part} is the last partition.") (((|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) "\\spad{nextPartition(gamma,part,number)} generates the partition of \\spad{number} which follows \\spad{part} according to the right-to-left lexicographical order. The partition has the property that its components do not exceed the corresponding components of gamma. The first partition is achieved by part=[]. Also, \\spad{[]} indicates that \\spad{part} is the last partition.")) (|nextLatticePermutation| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Boolean|)) "\\spad{nextLatticePermutation(lambda,lattP,constructNotFirst)} generates the lattice permutation according to the proper partition \\spad{lambda} succeeding the lattice permutation \\spad{lattP} in lexicographical order as long as \\spad{constructNotFirst} is true. If \\spad{constructNotFirst} is false, the first lattice permutation is returned. The result nil indicates that \\spad{lattP} has no successor.")) (|nextColeman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) "\\spad{nextColeman(alpha,beta,C)} generates the next Coleman matrix of column sums \\spad{alpha} and row sums \\spad{beta} according to the lexicographical order from bottom-to-top. The first Coleman matrix is achieved by C=new(1,1,0). Also, new(1,1,0) indicates that \\spad{C} is the last Coleman matrix.")) (|makeYoungTableau| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{makeYoungTableau(lambda,gitter)} computes for a given lattice permutation \\spad{gitter} and for an improper partition \\spad{lambda} the corresponding standard tableau of shape lambda. Notes: see listYoungTableaus. The entries are from 0,...,n-1.")) (|listYoungTableaus| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) "\\spad{listYoungTableaus(lambda)} where \\spad{lambda} is a proper partition generates the list of all standard tableaus of shape \\spad{lambda} by means of lattice permutations. The numbers of the lattice permutation are interpreted as column labels. Hence the contents of these lattice permutations are the conjugate of lambda. Notes: the functions nextLatticePermutation and makeYoungTableau are used. The entries are from 0,...,n-1.")) (|inverseColeman| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) "\\spad{inverseColeman(alpha,beta,C)}: there is a bijection from the set of matrices having nonnegative entries and row sums alpha, column sums \\spad{beta} to the set of Salpha - Sbeta double cosets of the symmetric group \\spad{Sn.} (Salpha is the Young subgroup corresponding to the improper partition alpha). For such a matrix \\spad{C,} inverseColeman(alpha,beta,C) calculates the lexicographical smallest \\spad{pi} in the corresponding double coset. Note that the resulting permutation \\spad{pi} of {1,2,...,n} is given in list form. Notes: the inverse of this map is coleman. For details, see James/Kerber.")) (|coleman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{coleman(alpha,beta,pi)}: there is a bijection from the set of matrices having nonnegative entries and row sums alpha, column sums \\spad{beta} to the set of Salpha - Sbeta double cosets of the symmetric group \\spad{Sn.} (Salpha is the Young subgroup corresponding to the improper partition alpha). For a representing element \\spad{pi} of such a double coset, coleman(alpha,beta,pi) generates the Coleman-matrix corresponding to alpha, beta, pi. Note that The permutation \\spad{pi} of {1,2,...,n} has to be given in list form. Note that the inverse of this map is inverseColeman (if \\spad{pi} is the lexicographical smallest permutation in the coset). For details see James/Kerber."))) 
 NIL 
 NIL 
-(-1104 S) 
-((|constructor| (NIL "the class of all multiplicative semigroups, \\spadignore{i.e.} a set with an associative operation \\spadop{*}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ (x*y)*z = x*(y*z)} \\blankline Conditional attributes\\br \\tab{5}\\spad{commutative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ x*y = \\spad{y*x} }")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y.}"))) 
+(-1108 S) 
+((|constructor| (NIL "the class of all multiplicative semigroups, that is, a set with an associative operation \\spadop{*}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{(x*y)*z = x*(y*z)} \\blankline Conditional attributes\\br \\tab{5}\\spad{commutative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{x*y = y*x}")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
-(-1105) 
-((|constructor| (NIL "the class of all multiplicative semigroups, \\spadignore{i.e.} a set with an associative operation \\spadop{*}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ (x*y)*z = x*(y*z)} \\blankline Conditional attributes\\br \\tab{5}\\spad{commutative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ x*y = \\spad{y*x} }")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y.}"))) 
+(-1109) 
+((|constructor| (NIL "the class of all multiplicative semigroups, that is, a set with an associative operation \\spadop{*}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{(x*y)*z = x*(y*z)} \\blankline Conditional attributes\\br \\tab{5}\\spad{commutative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{x*y = y*x}")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
-(-1106 |dimtot| |dim1| S) 
+(-1110 |dimtot| |dim1| S) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The vectors are ordered as if they were split into two blocks. The \\spad{dim1} parameter specifies the length of the first block. The ordering is lexicographic between the blocks but acts like \\spadtype{HomogeneousDirectProduct} within each block. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4565 |has| |#3| (-1049)) (-4566 |has| |#3| (-1049)) (-4568 |has| |#3| (-6 -4568)) ((-4573 "*") |has| |#3| (-173)) (-4571 . T)) 
-((|HasCategory| |#3| (QUOTE (-1093))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049))) (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842))) (-1929 (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842)))) (|HasCategory| |#3| (QUOTE (-718))) (|HasCategory| |#3| (QUOTE (-173))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049)))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-226))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049)))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1093)))) (|HasAttribute| |#3| (QUOTE -4568)) (|HasCategory| |#3| (QUOTE (-138))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| |#3| (QUOTE (-25))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (QUOTE (-718))) (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842))) (|HasCategory| |#3| (QUOTE (-1049))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))))) 
-(-1107 R |x|) 
+((-4594 |has| |#3| (-1053)) (-4595 |has| |#3| (-1053)) (-4597 |has| |#3| (-6 -4597)) ((-4602 "*") |has| |#3| (-173)) (-4600 . T)) 
+((|HasCategory| |#3| (QUOTE (-1097))) (|HasCategory| |#3| (QUOTE (-367))) (|HasCategory| |#3| (QUOTE (-1053))) (|HasCategory| |#3| (QUOTE (-793))) (|HasCategory| |#3| (QUOTE (-845))) (-1831 (|HasCategory| |#3| (QUOTE (-793))) (|HasCategory| |#3| (QUOTE (-845)))) (|HasCategory| |#3| (QUOTE (-721))) (|HasCategory| |#3| (QUOTE (-173))) (-1831 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-367))) (|HasCategory| |#3| (QUOTE (-1053)))) (-1831 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-367)))) (-1831 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-1053)))) (|HasCategory| |#3| (QUOTE (-373))) (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-226))) (-1831 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-367))) (|HasCategory| |#3| (QUOTE (-1053)))) (-1831 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1053)))) (|HasCategory| (-571) (QUOTE (-847))) (-12 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1097)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-1097)))) (|HasAttribute| |#3| (QUOTE -4597)) (|HasCategory| |#3| (QUOTE (-138))) (-1831 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-367))) (|HasCategory| |#3| (QUOTE (-1053)))) (|HasCategory| |#3| (QUOTE (-25))) (-1831 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-367))) (|HasCategory| |#3| (QUOTE (-373))) (|HasCategory| |#3| (QUOTE (-721))) (|HasCategory| |#3| (QUOTE (-793))) (|HasCategory| |#3| (QUOTE (-845))) (|HasCategory| |#3| (QUOTE (-1053))) (|HasCategory| |#3| (QUOTE (-1097)))) (-1831 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-367))) (|HasCategory| |#3| (QUOTE (-1053)))) (-1831 (-12 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-367)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-373)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-721)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-793)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-845)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#3| (QUOTE (-1097))))) (-1831 (-12 (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-367)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-373)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-721)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-793)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-845)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#3| (QUOTE (-1097))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -633) (QUOTE (-571))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -900) (QUOTE (-1169))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-367)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-373)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-721)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-793)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-845)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1053)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1097)))))) 
+(-1111 R |x|) 
 ((|constructor| (NIL "This package produces functions for counting etc. real roots of univariate polynomials in \\spad{x} over \\spad{R,} which must be an OrderedIntegralDomain")) (|countRealRootsMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{countRealRootsMultiple(p)} says how many real roots \\spad{p} has, counted with multiplicity")) (|SturmHabichtMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtMultiple(p1,p2)} computes c_{+}-c_{-} where c_{+} is the number of real roots of \\spad{p1} with \\spad{p2>0} and c_{-} is the number of real roots of \\spad{p1} with p2<0. If \\spad{p2=1} what you get is the number of real roots of \\spad{p1.}")) (|countRealRoots| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{countRealRoots(p)} says how many real roots \\spad{p} has")) (|SturmHabicht| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabicht(p1,p2)} computes c_{+}-c_{-} where c_{+} is the number of real roots of \\spad{p1} with \\spad{p2>0} and c_{-} is the number of real roots of \\spad{p1} with p2<0. If \\spad{p2=1} what you get is the number of real roots of \\spad{p1.}")) (|SturmHabichtCoefficients| (((|List| |#1|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtCoefficients(p1,p2)} computes the principal Sturm-Habicht coefficients of \\spad{p1} and \\spad{p2}")) (|SturmHabichtSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtSequence(p1,p2)} computes the Sturm-Habicht sequence of \\spad{p1} and \\spad{p2}")) (|subresultantSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{subresultantSequence(p1,p2)} computes the (standard) subresultant sequence of \\spad{p1} and \\spad{p2}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-454)))) 
-(-1108 R -1647) 
+((|HasCategory| |#1| (QUOTE (-456)))) 
+(-1112 R -3280) 
 ((|constructor| (NIL "This package provides functions to determine the sign of an elementary function around a point or infinity.")) (|sign| (((|Union| (|Integer|) "failed") |#2| (|Symbol|) |#2| (|String|)) "\\spad{sign(f, \\spad{x,} a, \\spad{s)}} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a} from below if \\spad{s} is \"left\", or above if \\spad{s} is \"right\".") (((|Union| (|Integer|) "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|)) "\\spad{sign(f, \\spad{x,} a)} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a}, from both sides if \\spad{a} is finite.") (((|Union| (|Integer|) "failed") |#2|) "\\spad{sign(f)} returns the sign of \\spad{f} if it is constant everywhere."))) 
 NIL 
 NIL 
-(-1109 R) 
+(-1113 R) 
 ((|constructor| (NIL "Find the sign of a rational function around a point or infinity.")) (|sign| (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|)) (|String|)) "\\spad{sign(f, \\spad{x,} a, \\spad{s)}} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a} from the left (below) if \\spad{s} is the string \\spad{\"left\"}, or from the right (above) if \\spad{s} is the string \\spad{\"right\"}.") (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) "\\spad{sign(f, \\spad{x,} a)} returns the sign of \\spad{f} as \\spad{x} approaches \\spad{a}, from both sides if \\spad{a} is finite.") (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{sign \\spad{f}} returns the sign of \\spad{f} if it is constant everywhere."))) 
 NIL 
 NIL 
-(-1110) 
+(-1114) 
 ((|constructor| (NIL "Package to allow simplify to be called on AlgebraicNumbers by converting to EXPR(INT)")) (|simplify| (((|Expression| (|Integer|)) (|AlgebraicNumber|)) "\\spad{simplify(an)} applies simplifications to \\spad{an}"))) 
 NIL 
 NIL 
-(-1111) 
+(-1115) 
 ((|constructor| (NIL "SingleInteger is intended to support machine integer arithmetic.")) (|Or| (($ $ $) "\\spad{Or(n,m)} returns the bit-by-bit logical or of the single integers \\spad{n} and \\spad{m.}")) (|And| (($ $ $) "\\spad{And(n,m)} returns the bit-by-bit logical and of the single integers \\spad{n} and \\spad{m.}")) (|Not| (($ $) "\\spad{Not(n)} returns the bit-by-bit logical not of the single integer \\spad{n.}")) (|xor| (($ $ $) "\\spad{xor(n,m)} returns the bit-by-bit logical xor of the single integers \\spad{n} and \\spad{m.}")) (|\\/| (($ $ $) "\\spad{n} \\spad{\\/} \\spad{m} returns the bit-by-bit logical or of the single integers \\spad{n} and \\spad{m.}")) (|/\\| (($ $ $) "\\spad{n} \\spad{/\\} \\spad{m} returns the bit-by-bit logical and of the single integers \\spad{n} and \\spad{m.}")) (~ (($ $) "\\spad{~ \\spad{n}} returns the bit-by-bit logical not of the single integer \\spad{n.}")) (|not| (($ $) "\\spad{not(n)} returns the bit-by-bit logical not of the single integer \\spad{n.}")) (|min| (($) "\\spad{min()} returns the smallest single integer.")) (|max| (($) "\\spad{max()} returns the largest single integer.")) (|noetherian| ((|attribute|) "\\spad{noetherian} all ideals are finitely generated (in fact principal).")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalClosed} means two positives multiply to give positive.")) (|canonical| ((|attribute|) "\\spad{canonical} means that mathematical equality is implied by data structure equality."))) 
-((-4559 . T) (-4563 . T) (-4558 . T) (-4569 . T) (-4570 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4588 . T) (-4592 . T) (-4587 . T) (-4598 . T) (-4599 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1112 S) 
-((|constructor| (NIL "A stack is a bag where the last item inserted is the first item extracted.")) (|depth| (((|NonNegativeInteger|) $) "\\indented{1}{depth(s) returns the number of elements of stack \\spad{s.}} \\indented{1}{Note that \\axiom{depth(s) = \\#s}.} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} depth a")) (|top| ((|#1| $) "\\indented{1}{top(s) returns the top element \\spad{x} from \\spad{s;} \\spad{s} remains unchanged.} \\indented{1}{Note that Use \\axiom{pop!(s)} to obtain \\spad{x} and remove it from \\spad{s.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} top a")) (|pop!| ((|#1| $) "\\indented{1}{pop!(s) returns the top element \\spad{x,} destructively removing \\spad{x} from \\spad{s.}} \\indented{1}{Note that Use \\axiom{top(s)} to obtain \\spad{x} without removing it from \\spad{s.}} \\indented{1}{Error: if \\spad{s} is empty.} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\indented{1}{push!(x,s) pushes \\spad{x} onto stack \\spad{s,} \\spadignore{i.e.} destructively changing \\spad{s}} \\indented{1}{so as to have a new first (top) element \\spad{x.}} \\indented{1}{Afterwards, pop!(s) produces \\spad{x} and pop!(s) produces the original \\spad{s.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} push! a \\spad{X} a"))) 
-((-4571 . T) (-4572 . T) (-4317 . T)) 
+(-1116 S) 
+((|constructor| (NIL "A stack is a bag where the last item inserted is the first item extracted.")) (|depth| (((|NonNegativeInteger|) $) "\\spad{depth(s)} returns the number of elements of stack \\spad{s.} \\indented{1}{Note that \\axiom{depth(s) = \\#s}.} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} depth a")) (|top| ((|#1| $) "\\spad{top(s)} returns the top element \\spad{x} from \\spad{s;} \\spad{s} remains unchanged. \\indented{1}{Note that Use \\axiom{pop!(s)} to obtain \\spad{x} and remove it from \\spad{s.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} top a")) (|pop!| ((|#1| $) "\\spad{pop!(s)} returns the top element \\spad{x,} destructively removing \\spad{x} from \\spad{s.} \\indented{1}{Note that Use \\axiom{top(s)} to obtain \\spad{x} without removing it from \\spad{s.}} \\indented{1}{Error: if \\spad{s} is empty.} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\spad{push!(x,s)} pushes \\spad{x} onto stack \\spad{s,} that is, destructively changing \\spad{s} \\indented{1}{so as to have a new first (top) element \\spad{x.}} \\indented{1}{Afterwards, pop!(s) produces \\spad{x} and pop!(s) produces the original \\spad{s.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} push! a \\spad{X} a"))) 
+((-4600 . T) (-4601 . T) (-3348 . T)) 
 NIL 
-(-1113 S |ndim| R |Row| |Col|) 
+(-1117 S |ndim| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{SquareMatrixCategory} is a general square matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col.")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m.} Error: if the matrix is not invertible.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m,} if that matrix is invertible and returns \"failed\" otherwise.")) (|minordet| ((|#3| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors.")) (|determinant| ((|#3| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.}")) (* ((|#4| |#4| $) "\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.} Error: if the dimensions are incompatible.") ((|#5| $ |#5|) "\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.} Error: if the dimensions are incompatible.")) (|diagonalProduct| ((|#3| $) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m.}")) (|trace| ((|#3| $) "\\spad{trace(m)} returns the trace of the matrix \\spad{m.} this is the sum of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonal| ((|#4| $) "\\spad{diagonal(m)} returns a row consisting of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonalMatrix| (($ (|List| |#3|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements of \\spad{l} on the diagonal.")) (|scalarMatrix| (($ |#3|) "\\spad{scalarMatrix(r)} returns an n-by-n matrix with \\spad{r's} on the diagonal and zeroes elsewhere."))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-366))) (|HasAttribute| |#3| (QUOTE (-4573 "*"))) (|HasCategory| |#3| (QUOTE (-173)))) 
-(-1114 |ndim| R |Row| |Col|) 
+((|HasCategory| |#3| (QUOTE (-367))) (|HasAttribute| |#3| (QUOTE (-4602 "*"))) (|HasCategory| |#3| (QUOTE (-173)))) 
+(-1118 |ndim| R |Row| |Col|) 
 ((|constructor| (NIL "\\spadtype{SquareMatrixCategory} is a general square matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col.")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m.} Error: if the matrix is not invertible.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m,} if that matrix is invertible and returns \"failed\" otherwise.")) (|minordet| ((|#2| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors.")) (|determinant| ((|#2| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.}")) (* ((|#3| |#3| $) "\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.} Error: if the dimensions are incompatible.") ((|#4| $ |#4|) "\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.} Error: if the dimensions are incompatible.")) (|diagonalProduct| ((|#2| $) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m.}")) (|trace| ((|#2| $) "\\spad{trace(m)} returns the trace of the matrix \\spad{m.} this is the sum of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonal| ((|#3| $) "\\spad{diagonal(m)} returns a row consisting of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonalMatrix| (($ (|List| |#2|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements of \\spad{l} on the diagonal.")) (|scalarMatrix| (($ |#2|) "\\spad{scalarMatrix(r)} returns an n-by-n matrix with \\spad{r's} on the diagonal and zeroes elsewhere."))) 
-((-4317 . T) (-4571 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-3348 . T) (-4600 . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1115 R |Row| |Col| M) 
+(-1119 R |Row| |Col| M) 
 ((|constructor| (NIL "\\spadtype{SmithNormalForm} is a package which provides some standard canonical forms for matrices.")) (|diophantineSystem| (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) "\\spad{diophantineSystem(A,B)} returns a particular integer solution and an integer basis of the equation \\spad{AX = \\spad{B}.}")) (|completeSmith| (((|Record| (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) "\\spad{completeSmith} returns a record that contains the Smith normal form \\spad{H} of the matrix and the left and right equivalence matrices \\spad{U} and \\spad{V} such that U*m*v = \\spad{H}")) (|smith| ((|#4| |#4|) "\\spad{smith(m)} returns the Smith Normal form of the matrix \\spad{m.}")) (|completeHermite| (((|Record| (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) "\\spad{completeHermite} returns a record that contains the Hermite normal form \\spad{H} of the matrix and the equivalence matrix \\spad{U} such that U*m = \\spad{H}")) (|hermite| ((|#4| |#4|) "\\spad{hermite(m)} returns the Hermite normal form of the matrix \\spad{m.}"))) 
 NIL 
 NIL 
-(-1116 R |VarSet|) 
+(-1120 R |VarSet|) 
 ((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials. It is parameterized by the coefficient ring and the variable set which may be infinite. The variable ordering is determined by the variable set parameter. The coefficient ring may be non-commutative, but the variables are assumed to commute."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1117 |Coef| |Var| SMP) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#1| (QUOTE -4598)) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1121 |Coef| |Var| SMP) 
 ((|constructor| (NIL "This domain provides multivariate Taylor series with variables from an arbitrary ordered set. A Taylor series is represented by a stream of polynomials from the polynomial domain SMP. The \\spad{n}th element of the stream is a form of degree \\spad{n.} SMTS is an internal domain.")) (|fintegrate| (($ (|Mapping| $) |#2| |#1|) "\\spad{fintegrate(f,v,c)} is the integral of \\spad{f()} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.} \\indented{1}{The evaluation of \\spad{f()} is delayed.}")) (|integrate| (($ $ |#2| |#1|) "\\spad{integrate(s,v,c)} is the integral of \\spad{s} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.}")) (|csubst| (((|Mapping| (|Stream| |#3|) |#3|) (|List| |#2|) (|List| (|Stream| |#3|))) "\\spad{csubst(a,b)} is for internal use only")) (* (($ |#3| $) "\\spad{smp*ts} multiplies a TaylorSeries by a monomial SMP.")) (|coerce| (($ |#3|) "\\spad{coerce(poly)} regroups the terms by total degree and forms a series.") (($ |#2|) "\\spad{coerce(var)} converts a variable to a Taylor series")) (|coefficient| ((|#3| $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{coefficient(s, \\spad{n)}} gives the terms of total degree \\spad{n.}} \\blankline \\spad{X} xts:=x::TaylorSeries Fraction Integer \\spad{X} t1:=sin(xts) \\spad{X} coefficient(t1,3)"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-559))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-1118 R E V P) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-561))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-367)))) 
+(-1122 R E V P) 
 ((|constructor| (NIL "The category of square-free and normalized triangular sets. Thus, up to the primitivity axiom of [1], these sets are Lazard triangular sets."))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
-(-1119 UP -1647) 
+(-1123 UP -3280) 
 ((|constructor| (NIL "This package factors the formulas out of the general solve code, allowing their recursive use over different domains. Care is taken to introduce few radicals so that radical extension domains can more easily simplify the results.")) (|aQuartic| ((|#2| |#2| |#2| |#2| |#2| |#2|) "\\spad{aQuartic(f,g,h,i,k)} \\undocumented")) (|aCubic| ((|#2| |#2| |#2| |#2| |#2|) "\\spad{aCubic(f,g,h,j)} \\undocumented")) (|aQuadratic| ((|#2| |#2| |#2| |#2|) "\\spad{aQuadratic(f,g,h)} \\undocumented")) (|aLinear| ((|#2| |#2| |#2|) "\\spad{aLinear(f,g)} \\undocumented")) (|quartic| (((|List| |#2|) |#2| |#2| |#2| |#2| |#2|) "\\spad{quartic(f,g,h,i,j)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{quartic(u)} \\undocumented")) (|cubic| (((|List| |#2|) |#2| |#2| |#2| |#2|) "\\spad{cubic(f,g,h,i)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{cubic(u)} \\undocumented")) (|quadratic| (((|List| |#2|) |#2| |#2| |#2|) "\\spad{quadratic(f,g,h)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{quadratic(u)} \\undocumented")) (|linear| (((|List| |#2|) |#2| |#2|) "\\spad{linear(f,g)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{linear(u)} \\undocumented")) (|mapSolve| (((|Record| (|:| |solns| (|List| |#2|)) (|:| |maps| (|List| (|Record| (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (|Mapping| |#2| |#2|)) "\\spad{mapSolve(u,f)} \\undocumented")) (|particularSolution| ((|#2| |#1|) "\\spad{particularSolution(u)} \\undocumented")) (|solve| (((|List| |#2|) |#1|) "\\spad{solve(u)} \\undocumented"))) 
 NIL 
 NIL 
-(-1120 R) 
-((|constructor| (NIL "This package tries to find solutions expressed in terms of radicals for systems of equations of rational functions with coefficients in an integral domain \\spad{R.}")) (|contractSolve| (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{contractSolve(rf,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,}} \\indented{1}{where \\spad{rf} is a rational function. The result contains\\space{2}new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b,x)") (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\indented{1}{contractSolve(eq,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol x.\\space{2}The result contains new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b=0,x)")) (|radicalRoots| (((|List| (|List| (|Expression| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\indented{1}{radicalRoots(lrf,lvar) finds the roots expressed in terms of} \\indented{1}{radicals of the list of rational functions lrf} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalRoots([b,c],[x,y])") (((|List| (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{radicalRoots(rf,x) finds the roots expressed in terms of radicals} \\indented{1}{of the rational function \\spad{rf} with respect to the symbol \\spad{x.}} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalRoots(b,x)")) (|radicalSolve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\indented{1}{radicalSolve(leq) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in leq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\indented{1}{radicalSolve(leq,lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0],[x,y])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{radicalSolve(lrf) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0, where \\spad{lrf} is a} \\indented{1}{system of univariate rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\indented{1}{radicalSolve(lrf,lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0 with} \\indented{1}{respect to the list of symbols lvar,} \\indented{1}{where \\spad{lrf} is a list of rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c],[x,y])") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{radicalSolve(eq) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in eq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0)") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\indented{1}{radicalSolve(eq,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol \\spad{x.}} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0,x)") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\indented{1}{radicalSolve(rf) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0, where \\spad{rf} is a} \\indented{1}{univariate rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b)") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{radicalSolve(rf,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,}} \\indented{1}{where \\spad{rf} is a rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b,x)"))) 
+(-1124 R) 
+((|constructor| (NIL "This package tries to find solutions expressed in terms of radicals for systems of equations of rational functions with coefficients in an integral domain \\spad{R.}")) (|contractSolve| (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{contractSolve(rf,x)} finds the solutions expressed in terms of radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,} where \\spad{rf} is a rational function. The result contains new symbols for common subexpressions in order to reduce the size of the output. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b,x)") (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{contractSolve(eq,x)} finds the solutions expressed in terms of radicals of the equation of rational functions \\spad{eq} with respect to the symbol \\spad{x.} The result contains new symbols for common subexpressions in order to reduce the size of the output. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b=0,x)")) (|radicalRoots| (((|List| (|List| (|Expression| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{radicalRoots(lrf,lvar)} finds the roots expressed in terms of radicals of the list of rational functions \\spad{lrf} with respect to the list of symbols lvar. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalRoots([b,c],[x,y])") (((|List| (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{radicalRoots(rf,x)} finds the roots expressed in terms of radicals of the rational function \\spad{rf} with respect to the symbol \\spad{x.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalRoots(b,x)")) (|radicalSolve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{radicalSolve(leq)} finds the solutions expressed in terms of radicals of the system of equations of rational functions \\spad{leq} with respect to the unique symbol \\spad{x} appearing in leq. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\spad{radicalSolve(leq,lvar)} finds the solutions expressed in terms of radicals of the system of equations of rational functions \\spad{leq} with respect to the list of symbols lvar. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0],[x,y])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{radicalSolve(lrf)} finds the solutions expressed in terms of radicals of the system of equations \\spad{lrf} = 0, where \\spad{lrf} is a system of univariate rational functions. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{radicalSolve(lrf,lvar)} finds the solutions expressed in terms of radicals of the system of equations \\spad{lrf} = 0 with respect to the list of symbols lvar, \\indented{1}{where \\spad{lrf} is a list of rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c],[x,y])") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{radicalSolve(eq)} finds the solutions expressed in terms of radicals of the equation of rational functions \\spad{eq} with respect to the unique symbol \\spad{x} appearing in eq. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0)") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{radicalSolve(eq,x)} finds the solutions expressed in terms of radicals of the equation of rational functions \\spad{eq} with respect to the symbol \\spad{x.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0,x)") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\spad{radicalSolve(rf)} finds the solutions expressed in terms of radicals of the equation \\spad{rf} = 0, where \\spad{rf} is a univariate rational function. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b)") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{radicalSolve(rf,x)} finds the solutions expressed in terms of radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,} where \\spad{rf} is a rational function. \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b,x)"))) 
 NIL 
 NIL 
-(-1121 R) 
+(-1125 R) 
 ((|constructor| (NIL "This package finds the function \\spad{func3} where \\spad{func1} and \\spad{func2} are given and \\spad{func1} = func3(func2) . If there is no solution then function \\spad{func1} will be returned. An example would be \\spad{func1:= 8*X**3+32*X**2-14*X ::EXPR INT} and \\spad{func2:=2*X ::EXPR INT} convert them via univariate to FRAC SUP EXPR INT and then the solution is \\spad{func3:=X**3+X**2-X} of type FRAC SUP EXPR INT")) (|unvectorise| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Vector| (|Expression| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Integer|)) "\\spad{unvectorise(vect, var, \\spad{n)}} returns \\spad{vect(1) + vect(2)*var + \\spad{...} + vect(n+1)*var**(n)} where \\spad{vect} is the vector of the coefficients of the polynomail ,{} \\spad{var} the new variable and \\spad{n} the degree.")) (|decomposeFunc| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|)))) "\\spad{decomposeFunc(func1, func2, newvar)} returns a function \\spad{func3} where \\spad{func1} = func3(func2) and expresses it in the new variable newvar. If there is no solution then \\spad{func1} will be returned."))) 
 NIL 
 NIL 
-(-1122 R) 
+(-1126 R) 
 ((|constructor| (NIL "This package tries to find solutions of equations of type Expression(R). This means expressions involving transcendental, exponential, logarithmic and nthRoot functions. After trying to transform different kernels to one kernel by applying several rules, it calls zerosOf for the SparseUnivariatePolynomial in the remaining kernel. For example the expression \\spad{sin(x)*cos(x)-2} will be transformed to \\spad{-2 \\spad{tan(x/2)**4} \\spad{-2} \\spad{tan(x/2)**3} \\spad{-4} \\spad{tan(x/2)**2} \\spad{+2} tan(x/2) \\spad{-2}} by using the function normalize and then to \\spad{-2 \\spad{tan(x)**2} + tan(x) \\spad{-2}} with help of subsTan. This function tries to express the given function in terms of \\spad{tan(x/2)} to express in terms of \\spad{tan(x)} . Other examples are the expressions \\spad{sqrt(x+1)+sqrt(x+7)+1} or \\spad{sqrt(sin(x))+1} .")) (|solve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Expression| |#1|))) (|List| (|Symbol|))) "\\spad{solve(leqs, lvar)} returns a list of solutions to the list of equations \\spad{leqs} with respect to the list of symbols lvar.") (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|) (|Symbol|)) "\\indented{1}{solve(expr,x) finds the solutions of the equation expr = 0} \\indented{1}{with respect to the symbol \\spad{x} where expr is a function} \\indented{1}{of type Expression(R).} \\blankline \\spad{X} solve(1/2*v*v*cos(theta+phi)*cos(theta+phi)+g*l*cos(phi)=g*l,phi) \\spad{X} definingPolynomial \\spad{%phi0} \\spad{X} definingPolynomial \\spad{%phi1}") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|)) (|Symbol|)) "\\spad{solve(eq,x)} finds the solutions of the equation \\spad{eq} where \\spad{eq} is an equation of functions of type Expression(R) with respect to the symbol \\spad{x.}") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|))) "\\spad{solve(eq)} finds the solutions of the equation \\spad{eq} where \\spad{eq} is an equation of functions of type Expression(R) with respect to the unique symbol \\spad{x} appearing in eq.") (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|)) "\\spad{solve(expr)} finds the solutions of the equation \\spad{expr} = 0 where \\spad{expr} is a function of type Expression(R) with respect to the unique symbol \\spad{x} appearing in eq."))) 
 NIL 
 NIL 
-(-1123 S A) 
+(-1127 S A) 
 ((|constructor| (NIL "This package exports sorting algorithnms")) (|insertionSort!| ((|#2| |#2|) "\\spad{insertionSort! }\\undocumented") ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{insertionSort!(a,f)} \\undocumented")) (|bubbleSort!| ((|#2| |#2|) "\\spad{bubbleSort!(a)} \\undocumented") ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{bubbleSort!(a,f)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-844)))) 
-(-1124 R) 
+((|HasCategory| |#1| (QUOTE (-847)))) 
+(-1128 R) 
 ((|constructor| (NIL "The domain ThreeSpace is used for creating three dimensional objects using functions for defining points, curves, polygons, constructs and the subspaces containing them."))) 
 NIL 
 NIL 
-(-1125 R) 
-((|constructor| (NIL "The category ThreeSpaceCategory is used for creating three dimensional objects using functions for defining points, curves, polygons, constructs and the subspaces containing them.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(s)} returns the \\spadtype{ThreeSpace} \\spad{s} to Output format.")) (|subspace| (((|SubSpace| 3 |#1|) $) "\\spad{subspace(s)} returns the \\spadtype{SubSpace} which holds all the point information in the \\spadtype{ThreeSpace}, \\spad{s.}")) (|check| (($ $) "\\spad{check(s)} returns lllpt, list of lists of lists of point information about the \\spadtype{ThreeSpace} \\spad{s.}")) (|objects| (((|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))) $) "\\spad{objects(s)} returns the \\spadtype{ThreeSpace}, \\spad{s,} in the form of a 3D object record containing information on the number of points, curves, polygons and constructs comprising the \\spadtype{ThreeSpace}..")) (|lprop| (((|List| (|SubSpaceComponentProperty|)) $) "\\spad{lprop(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of subspace component properties, and if so, returns the list; An error is signaled otherwise.")) (|llprop| (((|List| (|List| (|SubSpaceComponentProperty|))) $) "\\spad{llprop(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of curves which are lists of the subspace component properties of the curves, and if so, returns the list of lists; An error is signaled otherwise.")) (|lllp| (((|List| (|List| (|List| (|Point| |#1|)))) $) "\\spad{lllp(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of components, which are lists of curves, which are lists of points, and if so, returns the list of lists of lists; An error is signaled otherwise.")) (|lllip| (((|List| (|List| (|List| (|NonNegativeInteger|)))) $) "\\spad{lllip(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of components, which are lists of curves, which are lists of indices to points, and if so, returns the list of lists of lists; An error is signaled otherwise.")) (|lp| (((|List| (|Point| |#1|)) $) "\\spad{lp(s)} returns the list of points component which the \\spadtype{ThreeSpace}, \\spad{s,} contains; these points are used by reference, \\spadignore{i.e.} the component holds indices referring to the points rather than the points themselves. This allows for sharing of the points.")) (|mesh?| (((|Boolean|) $) "\\spad{mesh?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} is composed of one component, a mesh comprising a list of curves which are lists of points, or returns \\spad{false} if otherwise")) (|mesh| (((|List| (|List| (|Point| |#1|))) $) "\\spad{mesh(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single surface component defined by a list curves which contain lists of points, and if so, returns the list of lists of points; An error is signaled otherwise.") (($ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh([[p0],[p1],...,[pn]], close1, close2)} creates a surface defined over a list of curves, \\spad{p0} through \\spad{pn,} which are lists of points; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: \\spad{close1} set to \\spad{true} means that each individual list (a curve) is to be closed (that is, the last point of the list is to be connected to the first point); \\spad{close2} set to \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)); the \\spadtype{ThreeSpace} containing this surface is returned.") (($ (|List| (|List| (|Point| |#1|)))) "\\spad{mesh([[p0],[p1],...,[pn]])} creates a surface defined by a list of curves which are lists, \\spad{p0} through \\spad{pn,} of points, and returns a \\spadtype{ThreeSpace} whose component is the surface.") (($ $ (|List| (|List| (|List| |#1|))) (|Boolean|) (|Boolean|)) "mesh(s,[ [[r10]...,[r1m]],[[r20]...,[r2m]],...,[[rn0]...,[rnm]] \\spad{],} \\indented{5}{close1, close2)} adds a surface component to the \\spadtype{ThreeSpace} \\spad{s,} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: if \\spad{close1} is \\spad{true} this means that each individual list (a curve) is to be closed (\\spadignore{i.e.} the last point of the list is to be connected to the first point); if \\spad{close2} is true, this means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)).") (($ $ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh(s,[[p0],[p1],...,[pn]], close1, close2)} adds a surface component to the \\spadtype{ThreeSpace}, which is defined over a list of curves, in which each of these curves is a list of points. The boolean arguments \\spad{close1} and \\spad{close2} indicate how the surface is to be closed. Argument \\spad{close1} equal \\spad{true} means that each individual list (a curve) is to be closed, \\spadignore{i.e.} the last point of the list is to be connected to the first point. Argument \\spad{close2} equal \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end, \\spadignore{i.e.} the boundaries are defined as the first list of points (curve) and the last list of points (curve).") (($ $ (|List| (|List| (|List| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "mesh(s,[ [[r10]...,[r1m]],[[r20]...,[r2m]],...,[[rn0]...,[rnm]] \\spad{],} \\indented{7}{[props], prop)} adds a surface component to the \\spadtype{ThreeSpace} \\spad{s,} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; lprops is the list of the subspace component properties for each curve list, and prop is the subspace component property by which the points are defined.") (($ $ (|List| (|List| (|Point| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "\\spad{mesh(s,[[p0],[p1],...,[pn]],[props],prop)} adds a surface component, defined over a list curves which contains lists of points, to the \\spadtype{ThreeSpace} \\spad{s;} props is a list which contains the subspace component properties for each surface parameter, and \\spad{prop} is the subspace component property by which the points are defined.")) (|polygon?| (((|Boolean|) $) "\\spad{polygon?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single polygon component, or \\spad{false} otherwise.")) (|polygon| (((|List| (|Point| |#1|)) $) "\\spad{polygon(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single polygon component defined by a list of points, and if so, returns the list of points; An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{polygon([p0,p1,...,pn])} creates a polygon defined by a list of points, \\spad{p0} through \\spad{pn,} and returns a \\spadtype{ThreeSpace} whose component is the polygon.") (($ $ (|List| (|List| |#1|))) "\\spad{polygon(s,[[r0],[r1],...,[rn]])} adds a polygon component defined by a list of points \\spad{r0} through \\spad{rn}, which are lists of elements from the domain \\spad{PointDomain(m,R)} to the \\spadtype{ThreeSpace} \\spad{s,} where \\spad{m} is the dimension of the points and \\spad{R} is the \\spadtype{Ring} over which the points are defined.") (($ $ (|List| (|Point| |#1|))) "\\spad{polygon(s,[p0,p1,...,pn])} adds a polygon component defined by a list of points, \\spad{p0} throught \\spad{pn,} to the \\spadtype{ThreeSpace} \\spad{s.}")) (|closedCurve?| (((|Boolean|) $) "\\spad{closedCurve?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single closed curve component, \\spadignore{i.e.} the first element of the curve is also the last element, or \\spad{false} otherwise.")) (|closedCurve| (((|List| (|Point| |#1|)) $) "\\spad{closedCurve(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single closed curve component defined by a list of points in which the first point is also the last point, all of which are from the domain \\spad{PointDomain(m,R)} and if so, returns the list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{closedCurve(lp)} sets a list of points defined by the first element of \\spad{lp} through the last element of \\spad{lp} and back to the first elelment again and returns a \\spadtype{ThreeSpace} whose component is the closed curve defined by \\spad{lp.}") (($ $ (|List| (|List| |#1|))) "\\spad{closedCurve(s,[[lr0],[lr1],...,[lrn],[lr0]])} adds a closed curve component defined by a list of points \\spad{lr0} through \\spad{lrn}, which are lists of elements from the domain \\spad{PointDomain(m,R)}, where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points, in which the last element of the list of points contains a copy of the first element list, lr0. The closed curve is added to the \\spadtype{ThreeSpace}, \\spad{s.}") (($ $ (|List| (|Point| |#1|))) "\\spad{closedCurve(s,[p0,p1,...,pn,p0])} adds a closed curve component which is a list of points defined by the first element \\spad{p0} through the last element \\spad{pn} and back to the first element \\spad{p0} again, to the \\spadtype{ThreeSpace} \\spad{s.}")) (|curve?| (((|Boolean|) $) "\\spad{curve?(s)} queries whether the \\spadtype{ThreeSpace}, \\spad{s,} is a curve, \\spadignore{i.e.} has one component, a list of list of points, and returns \\spad{true} if it is, or \\spad{false} otherwise.")) (|curve| (((|List| (|Point| |#1|)) $) "\\spad{curve(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single curve defined by a list of points and if so, returns the curve, \\spadignore{i.e.} list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{curve([p0,p1,p2,...,pn])} creates a space curve defined by the list of points \\spad{p0} through \\spad{pn}, and returns the \\spadtype{ThreeSpace} whose component is the curve.") (($ $ (|List| (|List| |#1|))) "\\spad{curve(s,[[p0],[p1],...,[pn]])} adds a space curve which is a list of points \\spad{p0} through \\spad{pn} defined by lists of elements from the domain \\spad{PointDomain(m,R)}, where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points, to the \\spadtype{ThreeSpace} \\spad{s.}") (($ $ (|List| (|Point| |#1|))) "\\spad{curve(s,[p0,p1,...,pn])} adds a space curve component defined by a list of points \\spad{p0} through \\spad{pn}, to the \\spadtype{ThreeSpace} \\spad{s.}")) (|point?| (((|Boolean|) $) "\\spad{point?(s)} queries whether the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single component which is a point and returns the boolean result.")) (|point| (((|Point| |#1|) $) "\\spad{point(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of only a single point and if so, returns the point. An error is signaled otherwise.") (($ (|Point| |#1|)) "\\spad{point(p)} returns a \\spadtype{ThreeSpace} object which is composed of one component, the point \\spad{p.}") (($ $ (|NonNegativeInteger|)) "\\spad{point(s,i)} adds a point component which is placed into a component list of the \\spadtype{ThreeSpace}, \\spad{s,} at the index given by i.") (($ $ (|List| |#1|)) "\\spad{point(s,[x,y,z])} adds a point component defined by a list of elements which are from the \\spad{PointDomain(R)} to the \\spadtype{ThreeSpace}, \\spad{s,} where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined.") (($ $ (|Point| |#1|)) "\\spad{point(s,p)} adds a point component defined by the point, \\spad{p,} specified as a list from \\spad{List(R)}, to the \\spadtype{ThreeSpace}, \\spad{s,} where \\spad{R} is the \\spadtype{Ring} over which the point is defined.")) (|modifyPointData| (($ $ (|NonNegativeInteger|) (|Point| |#1|)) "\\spad{modifyPointData(s,i,p)} changes the point at the indexed location \\spad{i} in the \\spadtype{ThreeSpace}, \\spad{s,} to that of point \\spad{p.} This is useful for making changes to a point which has been transformed.")) (|enterPointData| (((|NonNegativeInteger|) $ (|List| (|Point| |#1|))) "\\spad{enterPointData(s,[p0,p1,...,pn])} adds a list of points from \\spad{p0} through \\spad{pn} to the \\spadtype{ThreeSpace}, \\spad{s,} and returns the index, to the starting point of the list.")) (|copy| (($ $) "\\spad{copy(s)} returns a new \\spadtype{ThreeSpace} that is an exact copy of \\spad{s.}")) (|composites| (((|List| $) $) "\\spad{composites(s)} takes the \\spadtype{ThreeSpace} \\spad{s,} and creates a list containing a unique \\spadtype{ThreeSpace} for each single composite of \\spad{s.} If \\spad{s} has no composites defined (composites need to be explicitly created), the list returned is empty. Note that not all the components need to be part of a composite.")) (|components| (((|List| $) $) "\\spad{components(s)} takes the \\spadtype{ThreeSpace} \\spad{s,} and creates a list containing a unique \\spadtype{ThreeSpace} for each single component of \\spad{s.} If \\spad{s} has no components defined, the list returned is empty.")) (|composite| (($ (|List| $)) "\\spad{composite([s1,s2,...,sn])} will create a new \\spadtype{ThreeSpace} that is a union of all the components from each \\spadtype{ThreeSpace} in the parameter list, grouped as a composite.")) (|merge| (($ $ $) "\\spad{merge(s1,s2)} will create a new \\spadtype{ThreeSpace} that has the components of \\spad{s1} and \\spad{s2}; Groupings of components into composites are maintained.") (($ (|List| $)) "\\spad{merge([s1,s2,...,sn])} will create a new \\spadtype{ThreeSpace} that has the components of all the ones in the list; Groupings of components into composites are maintained.")) (|numberOfComposites| (((|NonNegativeInteger|) $) "\\spad{numberOfComposites(s)} returns the number of supercomponents, or composites, in the \\spadtype{ThreeSpace}, \\spad{s;} Composites are arbitrary groupings of otherwise distinct and unrelated components; A \\spadtype{ThreeSpace} need not have any composites defined at all and, outside of the requirement that no component can belong to more than one composite at a time, the definition and interpretation of composites are unrestricted.")) (|numberOfComponents| (((|NonNegativeInteger|) $) "\\spad{numberOfComponents(s)} returns the number of distinct object components in the indicated \\spadtype{ThreeSpace}, \\spad{s,} such as points, curves, polygons, and constructs.")) (|create3Space| (($ (|SubSpace| 3 |#1|)) "\\spad{create3Space(s)} creates a \\spadtype{ThreeSpace} object containing objects pre-defined within some \\spadtype{SubSpace} \\spad{s.}") (($) "\\spad{create3Space()} creates a \\spadtype{ThreeSpace} object capable of holding point, curve, mesh components and any combination."))) 
+(-1129 R) 
+((|constructor| (NIL "The category ThreeSpaceCategory is used for creating three dimensional objects using functions for defining points, curves, polygons, constructs and the subspaces containing them.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(s)} returns the \\spadtype{ThreeSpace} \\spad{s} to Output format.")) (|subspace| (((|SubSpace| 3 |#1|) $) "\\spad{subspace(s)} returns the \\spadtype{SubSpace} which holds all the point information in the \\spadtype{ThreeSpace}, \\spad{s.}")) (|check| (($ $) "\\spad{check(s)} returns lllpt, list of lists of lists of point information about the \\spadtype{ThreeSpace} \\spad{s.}")) (|objects| (((|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))) $) "\\spad{objects(s)} returns the \\spadtype{ThreeSpace}, \\spad{s,} in the form of a 3D object record containing information on the number of points, curves, polygons and constructs comprising the \\spadtype{ThreeSpace}..")) (|lprop| (((|List| (|SubSpaceComponentProperty|)) $) "\\spad{lprop(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of subspace component properties, and if so, returns the list; An error is signaled otherwise.")) (|llprop| (((|List| (|List| (|SubSpaceComponentProperty|))) $) "\\spad{llprop(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of curves which are lists of the subspace component properties of the curves, and if so, returns the list of lists; An error is signaled otherwise.")) (|lllp| (((|List| (|List| (|List| (|Point| |#1|)))) $) "\\spad{lllp(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of components, which are lists of curves, which are lists of points, and if so, returns the list of lists of lists; An error is signaled otherwise.")) (|lllip| (((|List| (|List| (|List| (|NonNegativeInteger|)))) $) "\\spad{lllip(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of components, which are lists of curves, which are lists of indices to points, and if so, returns the list of lists of lists; An error is signaled otherwise.")) (|lp| (((|List| (|Point| |#1|)) $) "\\spad{lp(s)} returns the list of points component which the \\spadtype{ThreeSpace}, \\spad{s,} contains; these points are used by reference, that is, the component holds indices referring to the points rather than the points themselves. This allows for sharing of the points.")) (|mesh?| (((|Boolean|) $) "\\spad{mesh?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} is composed of one component, a mesh comprising a list of curves which are lists of points, or returns \\spad{false} if otherwise")) (|mesh| (((|List| (|List| (|Point| |#1|))) $) "\\spad{mesh(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single surface component defined by a list curves which contain lists of points, and if so, returns the list of lists of points; An error is signaled otherwise.") (($ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh([[p0],[p1],...,[pn]], close1, close2)} creates a surface defined over a list of curves, \\spad{p0} through \\spad{pn,} which are lists of points; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: \\spad{close1} set to \\spad{true} means that each individual list (a curve) is to be closed (that is, the last point of the list is to be connected to the first point); \\spad{close2} set to \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)); the \\spadtype{ThreeSpace} containing this surface is returned.") (($ (|List| (|List| (|Point| |#1|)))) "\\spad{mesh([[p0],[p1],...,[pn]])} creates a surface defined by a list of curves which are lists, \\spad{p0} through \\spad{pn,} of points, and returns a \\spadtype{ThreeSpace} whose component is the surface.") (($ $ (|List| (|List| (|List| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh(s, LLLR, close1, close2)} where \\spad{LLLR} is of the form [[[r10]...,[r1m]],[[r20]...,[r2m]],...,[[rn0]...,[rnm]]], adds a surface component to the \\spadtype{ThreeSpace} \\spad{s,} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: if \\spad{close1} is \\spad{true} this means that each individual list (a curve) is to be closed (that is, the last point of the list is to be connected to the first point); if \\spad{close2} is true, this means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)).") (($ $ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh(s, LLP, close1, close2)} where \\spad{LLP} is of the form [[p0],[p1],...,[pn]] adds a surface component to the \\spadtype{ThreeSpace}, which is defined over a list of curves, in which each of these curves is a list of points. The boolean arguments \\spad{close1} and \\spad{close2} indicate how the surface is to be closed. Argument \\spad{close1} equal \\spad{true} means that each individual list (a curve) is to be closed, that is, the last point of the list is to be connected to the first point. Argument \\spad{close2} equal \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end, that is, the boundaries are defined as the first list of points (curve) and the last list of points (curve).") (($ $ (|List| (|List| (|List| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "\\spad{mesh(s, LLLR, [props], prop)} where \\spad{LLLR} is of the form: [[[r10]...,[r1m]],[[r20]...,[r2m]],...,[[rn0]...,[rnm]]], adds a surface component to the \\spadtype{ThreeSpace} \\spad{s,} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; lprops is the list of the subspace component properties for each curve list, and prop is the subspace component property by which the points are defined.") (($ $ (|List| (|List| (|Point| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "\\spad{mesh(s,[[p0],[p1],...,[pn]],[props],prop)} adds a surface component, defined over a list curves which contains lists of points, to the \\spadtype{ThreeSpace} \\spad{s;} props is a list which contains the subspace component properties for each surface parameter, and \\spad{prop} is the subspace component property by which the points are defined.")) (|polygon?| (((|Boolean|) $) "\\spad{polygon?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single polygon component, or \\spad{false} otherwise.")) (|polygon| (((|List| (|Point| |#1|)) $) "\\spad{polygon(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single polygon component defined by a list of points, and if so, returns the list of points; An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{polygon([p0,p1,...,pn])} creates a polygon defined by a list of points, \\spad{p0} through \\spad{pn,} and returns a \\spadtype{ThreeSpace} whose component is the polygon.") (($ $ (|List| (|List| |#1|))) "\\spad{polygon(s,[[r0],[r1],...,[rn]])} adds a polygon component defined by a list of points \\spad{r0} through \\spad{rn}, which are lists of elements from the domain \\spad{PointDomain(m,R)} to the \\spadtype{ThreeSpace} \\spad{s,} where \\spad{m} is the dimension of the points and \\spad{R} is the \\spadtype{Ring} over which the points are defined.") (($ $ (|List| (|Point| |#1|))) "\\spad{polygon(s,[p0,p1,...,pn])} adds a polygon component defined by a list of points, \\spad{p0} throught \\spad{pn,} to the \\spadtype{ThreeSpace} \\spad{s.}")) (|closedCurve?| (((|Boolean|) $) "\\spad{closedCurve?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single closed curve component, that is, the first element of the curve is also the last element, or \\spad{false} otherwise.")) (|closedCurve| (((|List| (|Point| |#1|)) $) "\\spad{closedCurve(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single closed curve component defined by a list of points in which the first point is also the last point, all of which are from the domain \\spad{PointDomain(m,R)} and if so, returns the list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{closedCurve(lp)} sets a list of points defined by the first element of \\spad{lp} through the last element of \\spad{lp} and back to the first elelment again and returns a \\spadtype{ThreeSpace} whose component is the closed curve defined by \\spad{lp.}") (($ $ (|List| (|List| |#1|))) "\\spad{closedCurve(s,[[lr0],[lr1],...,[lrn],[lr0]])} adds a closed curve component defined by a list of points \\spad{lr0} through \\spad{lrn}, which are lists of elements from the domain \\spad{PointDomain(m,R)}, where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points, in which the last element of the list of points contains a copy of the first element list, lr0. The closed curve is added to the \\spadtype{ThreeSpace}, \\spad{s.}") (($ $ (|List| (|Point| |#1|))) "\\spad{closedCurve(s,[p0,p1,...,pn,p0])} adds a closed curve component which is a list of points defined by the first element \\spad{p0} through the last element \\spad{pn} and back to the first element \\spad{p0} again, to the \\spadtype{ThreeSpace} \\spad{s.}")) (|curve?| (((|Boolean|) $) "\\spad{curve?(s)} queries whether the \\spadtype{ThreeSpace}, \\spad{s,} is a curve, that is, has one component, a list of list of points, and returns \\spad{true} if it is, or \\spad{false} otherwise.")) (|curve| (((|List| (|Point| |#1|)) $) "\\spad{curve(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single curve defined by a list of points and if so, returns the curve, that is, list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{curve([p0,p1,p2,...,pn])} creates a space curve defined by the list of points \\spad{p0} through \\spad{pn}, and returns the \\spadtype{ThreeSpace} whose component is the curve.") (($ $ (|List| (|List| |#1|))) "\\spad{curve(s,[[p0],[p1],...,[pn]])} adds a space curve which is a list of points \\spad{p0} through \\spad{pn} defined by lists of elements from the domain \\spad{PointDomain(m,R)}, where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points, to the \\spadtype{ThreeSpace} \\spad{s.}") (($ $ (|List| (|Point| |#1|))) "\\spad{curve(s,[p0,p1,...,pn])} adds a space curve component defined by a list of points \\spad{p0} through \\spad{pn}, to the \\spadtype{ThreeSpace} \\spad{s.}")) (|point?| (((|Boolean|) $) "\\spad{point?(s)} queries whether the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single component which is a point and returns the boolean result.")) (|point| (((|Point| |#1|) $) "\\spad{point(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of only a single point and if so, returns the point. An error is signaled otherwise.") (($ (|Point| |#1|)) "\\spad{point(p)} returns a \\spadtype{ThreeSpace} object which is composed of one component, the point \\spad{p.}") (($ $ (|NonNegativeInteger|)) "\\spad{point(s,i)} adds a point component which is placed into a component list of the \\spadtype{ThreeSpace}, \\spad{s,} at the index given by i.") (($ $ (|List| |#1|)) "\\spad{point(s,[x,y,z])} adds a point component defined by a list of elements which are from the \\spad{PointDomain(R)} to the \\spadtype{ThreeSpace}, \\spad{s,} where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined.") (($ $ (|Point| |#1|)) "\\spad{point(s,p)} adds a point component defined by the point, \\spad{p,} specified as a list from \\spad{List(R)}, to the \\spadtype{ThreeSpace}, \\spad{s,} where \\spad{R} is the \\spadtype{Ring} over which the point is defined.")) (|modifyPointData| (($ $ (|NonNegativeInteger|) (|Point| |#1|)) "\\spad{modifyPointData(s,i,p)} changes the point at the indexed location \\spad{i} in the \\spadtype{ThreeSpace}, \\spad{s,} to that of point \\spad{p.} This is useful for making changes to a point which has been transformed.")) (|enterPointData| (((|NonNegativeInteger|) $ (|List| (|Point| |#1|))) "\\spad{enterPointData(s,[p0,p1,...,pn])} adds a list of points from \\spad{p0} through \\spad{pn} to the \\spadtype{ThreeSpace}, \\spad{s,} and returns the index, to the starting point of the list.")) (|copy| (($ $) "\\spad{copy(s)} returns a new \\spadtype{ThreeSpace} that is an exact copy of \\spad{s.}")) (|composites| (((|List| $) $) "\\spad{composites(s)} takes the \\spadtype{ThreeSpace} \\spad{s,} and creates a list containing a unique \\spadtype{ThreeSpace} for each single composite of \\spad{s.} If \\spad{s} has no composites defined (composites need to be explicitly created), the list returned is empty. Note that not all the components need to be part of a composite.")) (|components| (((|List| $) $) "\\spad{components(s)} takes the \\spadtype{ThreeSpace} \\spad{s,} and creates a list containing a unique \\spadtype{ThreeSpace} for each single component of \\spad{s.} If \\spad{s} has no components defined, the list returned is empty.")) (|composite| (($ (|List| $)) "\\spad{composite([s1,s2,...,sn])} will create a new \\spadtype{ThreeSpace} that is a union of all the components from each \\spadtype{ThreeSpace} in the parameter list, grouped as a composite.")) (|merge| (($ $ $) "\\spad{merge(s1,s2)} will create a new \\spadtype{ThreeSpace} that has the components of \\spad{s1} and \\spad{s2}; Groupings of components into composites are maintained.") (($ (|List| $)) "\\spad{merge([s1,s2,...,sn])} will create a new \\spadtype{ThreeSpace} that has the components of all the ones in the list; Groupings of components into composites are maintained.")) (|numberOfComposites| (((|NonNegativeInteger|) $) "\\spad{numberOfComposites(s)} returns the number of supercomponents, or composites, in the \\spadtype{ThreeSpace}, \\spad{s;} Composites are arbitrary groupings of otherwise distinct and unrelated components; A \\spadtype{ThreeSpace} need not have any composites defined at all and, outside of the requirement that no component can belong to more than one composite at a time, the definition and interpretation of composites are unrestricted.")) (|numberOfComponents| (((|NonNegativeInteger|) $) "\\spad{numberOfComponents(s)} returns the number of distinct object components in the indicated \\spadtype{ThreeSpace}, \\spad{s,} such as points, curves, polygons, and constructs.")) (|create3Space| (($ (|SubSpace| 3 |#1|)) "\\spad{create3Space(s)} creates a \\spadtype{ThreeSpace} object containing objects pre-defined within some \\spadtype{SubSpace} \\spad{s.}") (($) "\\spad{create3Space()} creates a \\spadtype{ThreeSpace} object capable of holding point, curve, mesh components and any combination."))) 
 NIL 
 NIL 
-(-1126) 
+(-1130) 
 ((|constructor| (NIL "SpecialOutputPackage allows FORTRAN, Tex and Script Formula Formatter output from programs.")) (|outputAsTex| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsTex(l)} sends (for each expression in the list \\spad{l)} output in Tex format to the destination as defined by \\spadsyscom{set output tex}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsTex(o)} sends output \\spad{o} in Tex format to the destination defined by \\spadsyscom{set output tex}.")) (|outputAsScript| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsScript(l)} sends (for each expression in the list \\spad{l)} output in Script Formula Formatter format to the destination defined. by \\spadsyscom{set output forumula}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsScript(o)} sends output \\spad{o} in Script Formula Formatter format to the destination defined by \\spadsyscom{set output formula}.")) (|outputAsFortran| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsFortran(l)} sends (for each expression in the list \\spad{l)} output in FORTRAN format to the destination defined by \\spadsyscom{set output fortran}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsFortran(o)} sends output \\spad{o} in FORTRAN format.") (((|Void|) (|String|) (|OutputForm|)) "\\spad{outputAsFortran(v,o)} sends output \\spad{v} = \\spad{o} in FORTRAN format to the destination defined by \\spadsyscom{set output fortran}."))) 
 NIL 
 NIL 
-(-1127) 
+(-1131) 
 ((|constructor| (NIL "Category for the other special functions.")) (|airyBi| (($ $) "\\spad{airyBi(x)} is the Airy function \\spad{Bi(x)}.")) (|airyAi| (($ $) "\\spad{airyAi(x)} is the Airy function \\spad{Ai(x)}.")) (|besselK| (($ $ $) "\\spad{besselK(v,z)} is the modified Bessel function of the second kind.")) (|besselI| (($ $ $) "\\spad{besselI(v,z)} is the modified Bessel function of the first kind.")) (|besselY| (($ $ $) "\\spad{besselY(v,z)} is the Bessel function of the second kind.")) (|besselJ| (($ $ $) "\\spad{besselJ(v,z)} is the Bessel function of the first kind.")) (|polygamma| (($ $ $) "\\spad{polygamma(k,x)} is the \\spad{k-th} derivative of \\spad{digamma(x)}, (often written \\spad{psi(k,x)} in the literature).")) (|digamma| (($ $) "\\spad{digamma(x)} is the logarithmic derivative of \\spad{Gamma(x)} (often written \\spad{psi(x)} in the literature).")) (|Beta| (($ $ $) "\\spad{Beta(x,y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $ $) "\\spad{Gamma(a,x)} is the incomplete Gamma function.") (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1128 V C) 
+(-1132 V C) 
 ((|constructor| (NIL "This domain exports a modest implementation for the vertices of splitting trees. These vertices are called here splitting nodes. Every of these nodes store 3 informations. The first one is its value, that is the current expression to evaluate. The second one is its condition, that is the hypothesis under which the value has to be evaluated. The last one is its status, that is a boolean flag which is \\spad{true} iff the value is the result of its evaluation under its condition. Two splitting vertices are equal iff they have the sane values and the same conditions (so their status do not matter).")) (|subNode?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{subNode?(n1,n2,o2)} returns \\spad{true} iff \\axiom{value(n1) = value(n2)} and \\axiom{o2(condition(n1),condition(n2))}")) (|infLex?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#1| |#1|) (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{infLex?(n1,n2,o1,o2)} returns \\spad{true} iff \\axiom{o1(value(n1),value(n2))} or \\axiom{value(n1) = value(n2)} and \\axiom{o2(condition(n1),condition(n2))}.")) (|setEmpty!| (($ $) "\\axiom{setEmpty!(n)} replaces \\spad{n} by \\axiom{empty()$\\%}.")) (|setStatus!| (($ $ (|Boolean|)) "\\axiom{setStatus!(n,b)} returns \\spad{n} whose status has been replaced by \\spad{b} if it is not empty, else an error is produced.")) (|setCondition!| (($ $ |#2|) "\\axiom{setCondition!(n,t)} returns \\spad{n} whose condition has been replaced by \\spad{t} if it is not empty, else an error is produced.")) (|setValue!| (($ $ |#1|) "\\axiom{setValue!(n,v)} returns \\spad{n} whose value has been replaced by \\spad{v} if it is not empty, else an error is produced.")) (|copy| (($ $) "\\axiom{copy(n)} returns a copy of \\spad{n.}")) (|construct| (((|List| $) |#1| (|List| |#2|)) "\\axiom{construct(v,lt)} returns the same as \\axiom{[construct(v,t) for \\spad{t} in lt]}") (((|List| $) (|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|)))) "\\axiom{construct(lvt)} returns the same as \\axiom{[construct(vt.val,vt.tower) for \\spad{vt} in lvt]}") (($ (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) "\\axiom{construct(vt)} returns the same as \\axiom{construct(vt.val,vt.tower)}") (($ |#1| |#2|) "\\axiom{construct(v,t)} returns the same as \\axiom{construct(v,t,false)}") (($ |#1| |#2| (|Boolean|)) "\\axiom{construct(v,t,b)} returns the non-empty node with value \\spad{v,} condition \\spad{t} and flag \\spad{b}")) (|status| (((|Boolean|) $) "\\axiom{status(n)} returns the status of the node \\spad{n.}")) (|condition| ((|#2| $) "\\axiom{condition(n)} returns the condition of the node \\spad{n.}")) (|value| ((|#1| $) "\\axiom{value(n)} returns the value of the node \\spad{n.}")) (|empty?| (((|Boolean|) $) "\\axiom{empty?(n)} returns \\spad{true} iff the node \\spad{n} is \\axiom{empty()$\\%}.")) (|empty| (($) "\\axiom{empty()} returns the same as \\axiom{[empty()$V,empty()$C,false]$\\%}"))) 
 NIL 
 NIL 
-(-1129 V C) 
+(-1133 V C) 
 ((|constructor| (NIL "This domain exports a modest implementation of splitting trees. Spliiting trees are needed when the evaluation of some quantity under some hypothesis requires to split the hypothesis into sub-cases. For instance by adding some new hypothesis on one hand and its negation on another hand. The computations are terminated is a splitting tree \\axiom{a} when \\axiom{status(value(a))} is \\axiom{true}. Thus, if for the splitting tree \\axiom{a} the flag \\axiom{status(value(a))} is \\axiom{true}, then \\axiom{status(value(d))} is \\axiom{true} for any subtree \\axiom{d} of \\axiom{a}. This property of splitting trees is called the termination condition. If no vertex in a splitting tree \\axiom{a} is equal to another, \\axiom{a} is said to satisfy the no-duplicates condition. The splitting tree \\axiom{a} will satisfy this condition if nodes are added to \\axiom{a} by mean of \\axiom{splitNodeOf!} and if \\axiom{construct} is only used to create the root of \\axiom{a} with no children.")) (|splitNodeOf!| (($ $ $ (|List| (|SplittingNode| |#1| |#2|)) (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{splitNodeOf!(l,a,ls,sub?)} returns \\axiom{a} where the children list of \\axiom{l} has been set to \\axiom{[[s]$% for \\spad{s} in \\spad{ls} | not subNodeOf?(s,a,sub?)]}. Thus, if \\axiom{l} is not a node of \\axiom{a}, this latter splitting tree is unchanged.") (($ $ $ (|List| (|SplittingNode| |#1| |#2|))) "\\axiom{splitNodeOf!(l,a,ls)} returns \\axiom{a} where the children list of \\axiom{l} has been set to \\axiom{[[s]$% for \\spad{s} in \\spad{ls} | not nodeOf?(s,a)]}. Thus, if \\axiom{l} is not a node of \\axiom{a}, this latter splitting tree is unchanged.")) (|remove!| (($ (|SplittingNode| |#1| |#2|) $) "\\axiom{remove!(s,a)} replaces a by remove(s,a)")) (|remove| (($ (|SplittingNode| |#1| |#2|) $) "\\axiom{remove(s,a)} returns the splitting tree obtained from a by removing every sub-tree \\axiom{b} such that \\axiom{value(b)} and \\axiom{s} have the same value, condition and status.")) (|subNodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $ (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{subNodeOf?(s,a,sub?)} returns \\spad{true} iff for some node \\axiom{n} in \\axiom{a} we have \\axiom{s = \\spad{n}} or \\axiom{status(n)} and \\axiom{subNode?(s,n,sub?)}.")) (|nodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $) "\\axiom{nodeOf?(s,a)} returns \\spad{true} iff some node of \\axiom{a} is equal to \\axiom{s}")) (|result| (((|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) $) "\\axiom{result(a)} where \\axiom{ls} is the leaves list of \\axiom{a} returns \\axiom{[[value(s),condition(s)]$VT for \\spad{s} in ls]} if the computations are terminated in \\axiom{a} else an error is produced.")) (|conditions| (((|List| |#2|) $) "\\axiom{conditions(a)} returns the list of the conditions of the leaves of a")) (|construct| (($ |#1| |#2| |#1| (|List| |#2|)) "\\axiom{construct(v1,t,v2,lt)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[v,t]$S} and with children list given by \\axiom{[[[v,t]$S]$% for \\spad{s} in ls]}.") (($ |#1| |#2| (|List| (|SplittingNode| |#1| |#2|))) "\\axiom{construct(v,t,ls)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[v,t]$S} and with children list given by \\axiom{[[s]$% for \\spad{s} in ls]}.") (($ |#1| |#2| (|List| $)) "\\axiom{construct(v,t,la)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[v,t]$S} and with \\axiom{la} as children list.") (($ (|SplittingNode| |#1| |#2|)) "\\axiom{construct(s)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{s} and no children. Thus, if the status of \\axiom{s} is false, \\axiom{[s]} represents the starting point of the evaluation \\axiom{value(s)} under the hypothesis \\axiom{condition(s)}.")) (|updateStatus!| (($ $) "\\axiom{updateStatus!(a)} returns a where the status of the vertices are updated to satisfy the \"termination condition\".")) (|extractSplittingLeaf| (((|Union| $ "failed") $) "\\axiom{extractSplittingLeaf(a)} returns the left most leaf (as a tree) whose status is \\spad{false} if any, else \"failed\" is returned."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-1128 |#1| |#2|) (QUOTE (-1093))) (-12 (|HasCategory| (-1128 |#1| |#2|) (LIST (QUOTE -304) (LIST (QUOTE -1128) (|devaluate| |#1|) (|devaluate| |#2|)))) (|HasCategory| (-1128 |#1| |#2|) (QUOTE (-1093))))) 
-(-1130 |ndim| R) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-1132 |#1| |#2|) (QUOTE (-1097))) (-12 (|HasCategory| (-1132 |#1| |#2|) (LIST (QUOTE -304) (LIST (QUOTE -1132) (|devaluate| |#1|) (|devaluate| |#2|)))) (|HasCategory| (-1132 |#1| |#2|) (QUOTE (-1097))))) 
+(-1134 |ndim| R) 
 ((|constructor| (NIL "\\spadtype{SquareMatrix} is a matrix domain of square matrices, where the number of rows \\spad{(=} number of columns) is a parameter of the type.")) (|unitsKnown| ((|attribute|) "the invertible matrices are simply the matrices whose determinants are units in the Ring \\spad{R.}")) (|central| ((|attribute|) "the elements of the Ring \\spad{R,} viewed as diagonal matrices, commute with all matrices and, indeed, are the only matrices which commute with all matrices.")) (|coerce| (((|Matrix| |#2|) $) "\\spad{coerce(m)} converts a matrix of type \\spadtype{SquareMatrix} to a matrix of type \\spadtype{Matrix}.")) (|squareMatrix| (($ (|Matrix| |#2|)) "\\spad{squareMatrix(m)} converts a matrix of type \\spadtype{Matrix} to a matrix of type \\spadtype{SquareMatrix}.")) (|transpose| (($ $) "\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.}"))) 
-((-4568 . T) (-4560 |has| |#2| (-6 (-4573 "*"))) (-4571 . T) (-4565 . T) (-4566 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE (-4573 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-366))) (-1929 (|HasAttribute| |#2| (QUOTE (-4573 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) (|HasCategory| |#2| (QUOTE (-173)))) 
-(-1131 S) 
+((-4597 . T) (-4589 |has| |#2| (-6 (-4602 "*"))) (-4600 . T) (-4594 . T) (-4595 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE (-4602 "*"))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-367))) (-1831 (|HasAttribute| |#2| (QUOTE (-4602 "*"))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097))))) (|HasCategory| |#2| (QUOTE (-173)))) 
+(-1135 S) 
 ((|constructor| (NIL "A string aggregate is a category for strings, that is, one dimensional arrays of characters.")) (|elt| (($ $ $) "\\spad{elt(s,t)} returns the concatenation of \\spad{s} and \\spad{t.} It is provided to allow juxtaposition of strings to work as concatenation. For example, \\axiom{\"smoo\" \"shed\"} returns \\axiom{\"smooshed\"}.")) (|rightTrim| (($ $ (|CharacterClass|)) "\\spad{rightTrim(s,cc)} returns \\spad{s} with all trailing occurences of characters in \\spad{cc} deleted. For example, \\axiom{rightTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"(abc\"}.") (($ $ (|Character|)) "\\spad{rightTrim(s,c)} returns \\spad{s} with all trailing occurrences of \\spad{c} deleted. For example, \\axiom{rightTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\" abc\"}.")) (|leftTrim| (($ $ (|CharacterClass|)) "\\spad{leftTrim(s,cc)} returns \\spad{s} with all leading characters in \\spad{cc} deleted. For example, \\axiom{leftTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc)\"}.") (($ $ (|Character|)) "\\spad{leftTrim(s,c)} returns \\spad{s} with all leading characters \\spad{c} deleted. For example, \\axiom{leftTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc \\spad{\"}.}")) (|trim| (($ $ (|CharacterClass|)) "\\spad{trim(s,cc)} returns \\spad{s} with all characters in \\spad{cc} deleted from right and left ends. For example, \\axiom{trim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc\"}.") (($ $ (|Character|)) "\\spad{trim(s,c)} returns \\spad{s} with all characters \\spad{c} deleted from right and left ends. For example, \\axiom{trim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc\"}.")) (|split| (((|List| $) $ (|CharacterClass|)) "\\spad{split(s,cc)} returns a list of substrings delimited by characters in \\spad{cc.}") (((|List| $) $ (|Character|)) "\\spad{split(s,c)} returns a list of substrings delimited by character \\spad{c.}")) (|coerce| (($ (|Character|)) "\\spad{coerce(c)} returns \\spad{c} as a string \\spad{s} with the character \\spad{c.}")) (|position| (((|Integer|) (|CharacterClass|) $ (|Integer|)) "\\spad{position(cc,t,i)} returns the position \\axiom{j \\spad{>=} i} in \\spad{t} of the first character belonging to \\spad{cc.}") (((|Integer|) $ $ (|Integer|)) "\\spad{position(s,t,i)} returns the position \\spad{j} of the substring \\spad{s} in string \\spad{t,} where \\axiom{j \\spad{>=} i} is required.")) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) "\\spad{replace(s,i..j,t)} replaces the substring \\axiom{s(i..j)} of \\spad{s} by string \\spad{t.}")) (|match?| (((|Boolean|) $ $ (|Character|)) "\\spad{match?(s,t,c)} tests if \\spad{s} matches \\spad{t} except perhaps for multiple and consecutive occurrences of character \\spad{c.} Typically \\spad{c} is the blank character.")) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) "\\spad{match(p,s,wc)} tests if pattern \\axiom{p} matches subject \\axiom{s} where \\axiom{wc} is a wild card character. If no match occurs, the index \\axiom{0} is returned; otheriwse, the value returned is the first index of the first character in the subject matching the subject (excluding that matched by an initial wild-card). For example, \\axiom{match(\"*to*\",\"yorktown\",\"*\")} returns \\axiom{5} indicating a successful match starting at index \\axiom{5} of \\axiom{\"yorktown\"}.")) (|substring?| (((|Boolean|) $ $ (|Integer|)) "\\spad{substring?(s,t,i)} tests if \\spad{s} is a substring of \\spad{t} beginning at index i. Note that \\axiom{substring?(s,t,0) = prefix?(s,t)}.")) (|suffix?| (((|Boolean|) $ $) "\\spad{suffix?(s,t)} tests if the string \\spad{s} is the final substring of \\spad{t.} Note that \\axiom{suffix?(s,t) \\spad{==} \\indented{1}{reduce(and,[s.i = t.(n - \\spad{m} + i) for \\spad{i} in 0..maxIndex s])}} where \\spad{m} and \\spad{n} denote the maxIndex of \\spad{s} and \\spad{t} respectively.")) (|prefix?| (((|Boolean|) $ $) "\\spad{prefix?(s,t)} tests if the string \\spad{s} is the initial substring of \\spad{t.} Note that \\axiom{prefix?(s,t) \\spad{==} \\indented{2}{reduce(and,[s.i = t.i for \\spad{i} in 0..maxIndex s])}.}")) (|upperCase!| (($ $) "\\spad{upperCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by upper case characters.")) (|upperCase| (($ $) "\\spad{upperCase(s)} returns the string with all characters in upper case.")) (|lowerCase!| (($ $) "\\spad{lowerCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by lower case.")) (|lowerCase| (($ $) "\\spad{lowerCase(s)} returns the string with all characters in lower case."))) 
 NIL 
 NIL 
-(-1132) 
+(-1136) 
 ((|constructor| (NIL "A string aggregate is a category for strings, that is, one dimensional arrays of characters.")) (|elt| (($ $ $) "\\spad{elt(s,t)} returns the concatenation of \\spad{s} and \\spad{t.} It is provided to allow juxtaposition of strings to work as concatenation. For example, \\axiom{\"smoo\" \"shed\"} returns \\axiom{\"smooshed\"}.")) (|rightTrim| (($ $ (|CharacterClass|)) "\\spad{rightTrim(s,cc)} returns \\spad{s} with all trailing occurences of characters in \\spad{cc} deleted. For example, \\axiom{rightTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"(abc\"}.") (($ $ (|Character|)) "\\spad{rightTrim(s,c)} returns \\spad{s} with all trailing occurrences of \\spad{c} deleted. For example, \\axiom{rightTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\" abc\"}.")) (|leftTrim| (($ $ (|CharacterClass|)) "\\spad{leftTrim(s,cc)} returns \\spad{s} with all leading characters in \\spad{cc} deleted. For example, \\axiom{leftTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc)\"}.") (($ $ (|Character|)) "\\spad{leftTrim(s,c)} returns \\spad{s} with all leading characters \\spad{c} deleted. For example, \\axiom{leftTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc \\spad{\"}.}")) (|trim| (($ $ (|CharacterClass|)) "\\spad{trim(s,cc)} returns \\spad{s} with all characters in \\spad{cc} deleted from right and left ends. For example, \\axiom{trim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc\"}.") (($ $ (|Character|)) "\\spad{trim(s,c)} returns \\spad{s} with all characters \\spad{c} deleted from right and left ends. For example, \\axiom{trim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc\"}.")) (|split| (((|List| $) $ (|CharacterClass|)) "\\spad{split(s,cc)} returns a list of substrings delimited by characters in \\spad{cc.}") (((|List| $) $ (|Character|)) "\\spad{split(s,c)} returns a list of substrings delimited by character \\spad{c.}")) (|coerce| (($ (|Character|)) "\\spad{coerce(c)} returns \\spad{c} as a string \\spad{s} with the character \\spad{c.}")) (|position| (((|Integer|) (|CharacterClass|) $ (|Integer|)) "\\spad{position(cc,t,i)} returns the position \\axiom{j \\spad{>=} i} in \\spad{t} of the first character belonging to \\spad{cc.}") (((|Integer|) $ $ (|Integer|)) "\\spad{position(s,t,i)} returns the position \\spad{j} of the substring \\spad{s} in string \\spad{t,} where \\axiom{j \\spad{>=} i} is required.")) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) "\\spad{replace(s,i..j,t)} replaces the substring \\axiom{s(i..j)} of \\spad{s} by string \\spad{t.}")) (|match?| (((|Boolean|) $ $ (|Character|)) "\\spad{match?(s,t,c)} tests if \\spad{s} matches \\spad{t} except perhaps for multiple and consecutive occurrences of character \\spad{c.} Typically \\spad{c} is the blank character.")) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) "\\spad{match(p,s,wc)} tests if pattern \\axiom{p} matches subject \\axiom{s} where \\axiom{wc} is a wild card character. If no match occurs, the index \\axiom{0} is returned; otheriwse, the value returned is the first index of the first character in the subject matching the subject (excluding that matched by an initial wild-card). For example, \\axiom{match(\"*to*\",\"yorktown\",\"*\")} returns \\axiom{5} indicating a successful match starting at index \\axiom{5} of \\axiom{\"yorktown\"}.")) (|substring?| (((|Boolean|) $ $ (|Integer|)) "\\spad{substring?(s,t,i)} tests if \\spad{s} is a substring of \\spad{t} beginning at index i. Note that \\axiom{substring?(s,t,0) = prefix?(s,t)}.")) (|suffix?| (((|Boolean|) $ $) "\\spad{suffix?(s,t)} tests if the string \\spad{s} is the final substring of \\spad{t.} Note that \\axiom{suffix?(s,t) \\spad{==} \\indented{1}{reduce(and,[s.i = t.(n - \\spad{m} + i) for \\spad{i} in 0..maxIndex s])}} where \\spad{m} and \\spad{n} denote the maxIndex of \\spad{s} and \\spad{t} respectively.")) (|prefix?| (((|Boolean|) $ $) "\\spad{prefix?(s,t)} tests if the string \\spad{s} is the initial substring of \\spad{t.} Note that \\axiom{prefix?(s,t) \\spad{==} \\indented{2}{reduce(and,[s.i = t.i for \\spad{i} in 0..maxIndex s])}.}")) (|upperCase!| (($ $) "\\spad{upperCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by upper case characters.")) (|upperCase| (($ $) "\\spad{upperCase(s)} returns the string with all characters in upper case.")) (|lowerCase!| (($ $) "\\spad{lowerCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by lower case.")) (|lowerCase| (($ $) "\\spad{lowerCase(s)} returns the string with all characters in lower case."))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
-(-1133 R E V P TS) 
-((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are provided: in the sense of Zariski closure (like in Kalkbrener's algorithm) or in the sense of the regular zeros (like in Wu, Wang or Lazard- Moreno methods). This algorithm is valid for nay type of regular set. It does not care about the way a polynomial is added in an regular set, or how two quasi-components are compared (by an inclusion-test), or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\spad{QCMPPK(R,E,V,P,TS)} and \\spad{RSETGCD(R,E,V,P,TS)}. The same way it does not care about the way univariate polynomial gcds (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these gcds need to have invertible initials (normalized or not). WARNING. There is no need for a user to call diectly any operation of this package since they can be accessed by the domain \\axiomType{TS}. Thus, the operations of this package are not documented."))) 
+(-1137 R E V P TS) 
+((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are provided: in the sense of Zariski closure (like in Kalkbrener's algorithm) or in the sense of the regular zeros (like in Wu, Wang or Lazard- Moreno methods). This algorithm is valid for any type of regular set. It does not care about the way a polynomial is added in an regular set, or how two quasi-components are compared (by an inclusion-test), or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\spad{QCMPPK(R,E,V,P,TS)} and \\spad{RSETGCD(R,E,V,P,TS)}. The same way it does not care about the way univariate polynomial gcds (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these gcds need to have invertible initials (normalized or not). WARNING. There is no need for a user to call directly any operation of this package since they can be accessed by the domain \\axiomType{TS}. Thus, the operations of this package are not documented."))) 
 NIL 
 NIL 
-(-1134 R E V P) 
+(-1138 R E V P) 
 ((|constructor| (NIL "This domain provides an implementation of square-free regular chains. Moreover, the operation zeroSetSplit is an implementation of a new algorithm for solving polynomial systems by means of regular chains.")) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{pre_process(lp,b1,b2)} is an internal subroutine, exported only for developement.")) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalZeroSetSplit(lp,b1,b2,b3)} is an internal subroutine, exported only for developement.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,b1,b2.b3,b4)} is an internal subroutine, exported only for developement.") (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,clos?,info?)} has the same specifications as zeroSetSplit from RegularTriangularSetCategory from \\spadtype{RegularTriangularSetCategory} Moreover, if clos? then solves in the sense of the Zariski closure else solves in the sense of the regular zeros. If \\axiom{info?} then do print messages during the computations.")) (|internalAugment| (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalAugment(p,ts,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1093))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
-(-1135 S) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#4| (QUOTE (-1097))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#3| (QUOTE (-373)))) 
+(-1139 S) 
 ((|constructor| (NIL "Linked List implementation of a Stack")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} b:Stack INT:= stack [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$Stack(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Stack INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Stack(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} less?(a,9)")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} depth a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} top a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} insert!(8,a) \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} push!(9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|stack| (($ (|List| |#1|)) "\\indented{1}{stack([x,y,...,z]) creates a stack with first (top)} \\indented{1}{element \\spad{x,} second element y,...,and last element \\spad{z.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5]"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
-(-1136 A S) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
+(-1140 A S) 
 ((|constructor| (NIL "A stream aggregate is a linear aggregate which possibly has an infinite number of elements. A basic domain constructor which builds stream aggregates is \\spadtype{Stream}. From streams, a number of infinite structures such power series can be built. A stream aggregate may also be infinite since it may be cyclic. For example, see \\spadtype{DecimalExpansion}.")) (|possiblyInfinite?| (((|Boolean|) $) "\\spad{possiblyInfinite?(s)} tests if the stream \\spad{s} could possibly have an infinite number of elements. Note that for many datatypes, \\axiom{possiblyInfinite?(s) = not explictlyFinite?(s)}.")) (|explicitlyFinite?| (((|Boolean|) $) "\\spad{explicitlyFinite?(s)} tests if the stream has a finite number of elements, and \\spad{false} otherwise. Note that for many datatypes, \\axiom{explicitlyFinite?(s) = not possiblyInfinite?(s)}."))) 
 NIL 
 NIL 
-(-1137 S) 
+(-1141 S) 
 ((|constructor| (NIL "A stream aggregate is a linear aggregate which possibly has an infinite number of elements. A basic domain constructor which builds stream aggregates is \\spadtype{Stream}. From streams, a number of infinite structures such power series can be built. A stream aggregate may also be infinite since it may be cyclic. For example, see \\spadtype{DecimalExpansion}.")) (|possiblyInfinite?| (((|Boolean|) $) "\\spad{possiblyInfinite?(s)} tests if the stream \\spad{s} could possibly have an infinite number of elements. Note that for many datatypes, \\axiom{possiblyInfinite?(s) = not explictlyFinite?(s)}.")) (|explicitlyFinite?| (((|Boolean|) $) "\\spad{explicitlyFinite?(s)} tests if the stream has a finite number of elements, and \\spad{false} otherwise. Note that for many datatypes, \\axiom{explicitlyFinite?(s) = not possiblyInfinite?(s)}."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-1138 |Key| |Ent| |dent|) 
+(-1142 |Key| |Ent| |dent|) 
 ((|constructor| (NIL "A sparse table has a default entry, which is returned if no other value has been explicitly stored for a key."))) 
-((-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093))))) 
-(-1139) 
+((-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-1097))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097)))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097)))) (-1831 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-1097))))) 
+(-1143) 
 ((|constructor| (NIL "A class of objects which can be 'stepped through'. Repeated applications of \\spadfun{nextItem} is guaranteed never to return duplicate items and only return \"failed\" after exhausting all elements of the domain. This assumes that the sequence starts with \\spad{init()}. For infinite domains, repeated application of \\spadfun{nextItem} is not required to reach all possible domain elements starting from any initial element. \\blankline Conditional attributes\\br \\tab{5}infinite\\tab{5}repeated nextItem's are never \"failed\".")) (|nextItem| (((|Union| $ "failed") $) "\\spad{nextItem(x)} returns the next item, or \"failed\" if domain is exhausted.")) (|init| (($) "\\spad{init()} chooses an initial object for stepping."))) 
 NIL 
 NIL 
-(-1140 |Coef|) 
+(-1144 |Coef|) 
 ((|constructor| (NIL "This package computes infinite products of Taylor series over an integral domain of characteristic 0. Here Taylor series are represented by streams of Taylor coefficients.")) (|generalInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-1141 R) 
-((|tensorMap| (((|Stream| |#1|) (|Stream| |#1|) (|Mapping| (|List| |#1|) |#1|)) "\\spad{tensorMap([s1, \\spad{s2,} ...], \\spad{f)}} returns the stream consisting of all elements of f(s1) followed by all elements of f(s2) and so on."))) 
+(-1145 R) 
+((|constructor| (NIL "This package has no description")) (|tensorMap| (((|Stream| |#1|) (|Stream| |#1|) (|Mapping| (|List| |#1|) |#1|)) "\\spad{tensorMap([s1, \\spad{s2,} ...], \\spad{f)}} returns the stream consisting of all elements of f(s1) followed by all elements of f(s2) and so on."))) 
 NIL 
 NIL 
-(-1142 S) 
+(-1146 S) 
 ((|constructor| (NIL "Functions defined on streams with entries in one set.")) (|concat| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\indented{1}{concat(u) returns the left-to-right concatentation of the} \\indented{1}{streams in u. Note that \\spad{concat(u) = reduce(concat,u)}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 10..] \\spad{X} n:=[j for \\spad{j} in 1.. | prime? \\spad{j]} \\spad{X} p:=[m,n]::Stream(Stream(PositiveInteger)) \\spad{X} concat(p)"))) 
 NIL 
 NIL 
-(-1143 A B) 
+(-1147 A B) 
 ((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|reduce| ((|#2| |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) "\\indented{1}{reduce(b,f,u), where \\spad{u} is a finite stream \\spad{[x0,x1,...,xn]},} \\indented{1}{returns the value \\spad{r(n)} computed as follows:} \\indented{1}{\\spad{r0 = f(x0,b),} \\indented{1}{r1 = f(x1,r0),...,} \\indented{1}{r(n) = f(xn,r(n-1))}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..300]::Stream(Integer) \\spad{X} f(i:Integer,j:Integer):Integer==i+j \\spad{X} reduce(1,f,m)")) (|scan| (((|Stream| |#2|) |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) "\\indented{1}{scan(b,h,[x0,x1,x2,...]) returns \\spad{[y0,y1,y2,...]}, where} \\indented{1}{\\spad{y0 = h(x0,b)},} \\indented{1}{\\spad{y1 = h(x1,y0)},\\spad{...}} \\indented{1}{\\spad{yn = h(xn,y(n-1))}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..]::Stream(Integer) \\spad{X} f(i:Integer,j:Integer):Integer==i+j \\spad{X} scan(1,f,m)")) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|Stream| |#1|)) "\\indented{1}{map(f,s) returns a stream whose elements are the function \\spad{f} applied} \\indented{1}{to the corresponding elements of \\spad{s.}} \\indented{1}{Note that \\spad{map(f,[x0,x1,x2,...]) = [f(x0),f(x1),f(x2),..]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} \\spad{f(i:PositiveInteger):PositiveInteger==i**2} \\spad{X} map(f,m)"))) 
 NIL 
 NIL 
-(-1144 A B C) 
+(-1148 A B C) 
 ((|constructor| (NIL "Functions defined on streams with entries in three sets.")) (|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|Stream| |#2|)) "\\indented{1}{map(f,st1,st2) returns the stream whose elements are the} \\indented{1}{function \\spad{f} applied to the corresponding elements of \\spad{st1} and st2.} \\indented{1}{\\spad{map(f,[x0,x1,x2,..],[y0,y1,y2,..]) = [f(x0,y0),f(x1,y1),..]}.} \\blankline \\spad{S} \\spad{X} m:=[i for \\spad{i} in 1..]::Stream(Integer) \\spad{X} n:=[i for \\spad{i} in 1..]::Stream(Integer) \\spad{X} f(i:Integer,j:Integer):Integer \\spad{==} i+j \\spad{X} map(f,m,n)"))) 
 NIL 
 NIL 
-(-1145 S) 
+(-1149 S) 
 ((|constructor| (NIL "A stream is an implementation of an infinite sequence using a list of terms that have been computed and a function closure to compute additional terms when needed.")) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{filterUntil(p,s) returns \\spad{[x0,x1,...,x(n)]} where} \\indented{1}{\\spad{s = [x0,x1,x2,..]} and} \\indented{1}{n is the smallest index such that \\spad{p(xn) = true}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(x:PositiveInteger):Boolean \\spad{==} \\spad{x} < 5 \\spad{X} filterUntil(f,m)")) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{filterWhile(p,s) returns \\spad{[x0,x1,...,x(n-1)]} where} \\indented{1}{\\spad{s = [x0,x1,x2,..]} and} \\indented{1}{n is the smallest index such that \\spad{p(xn) = false}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(x:PositiveInteger):Boolean \\spad{==} \\spad{x} < 5 \\spad{X} filterWhile(f,m)")) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) "\\indented{1}{generate(f,x) creates an infinite stream whose first element is} \\indented{1}{x and whose \\spad{n}th element (\\spad{n > 1}) is \\spad{f} applied to the previous} \\indented{1}{element. Note: \\spad{generate(f,x) = [x,f(x),f(f(x)),...]}.} \\blankline \\spad{X} f(x:Integer):Integer \\spad{==} \\spad{x+10} \\spad{X} generate(f,10)") (($ (|Mapping| |#1|)) "\\indented{1}{generate(f) creates an infinite stream all of whose elements are} \\indented{1}{equal to \\spad{f()}.} \\indented{1}{Note: \\spad{generate(f) = [f(),f(),f(),...]}.} \\blankline \\spad{X} f():Integer \\spad{==} 1 \\spad{X} generate(f)")) (|setrest!| (($ $ (|Integer|) $) "\\indented{1}{setrest!(x,n,y) sets rest(x,n) to \\spad{y.} The function will expand} \\indented{1}{cycles if necessary.} \\blankline \\spad{X} p:=[i for \\spad{i} in 1..] \\spad{X} q:=[i for \\spad{i} in 9..] \\spad{X} setrest!(p,4,q) \\spad{X} \\spad{p}")) (|showAll?| (((|Boolean|)) "\\spad{showAll?()} returns \\spad{true} if all computed entries of streams will be displayed.")) (|showAllElements| (((|OutputForm|) $) "\\indented{1}{showAllElements(s) creates an output form which displays all} \\indented{1}{computed elements.} \\blankline \\spad{X} m:=[1,2,3,4,5,6,7,8,9,10,11,12] \\spad{X} n:=m::Stream(PositiveInteger) \\spad{X} showAllElements \\spad{n}")) (|output| (((|Void|) (|Integer|) $) "\\indented{1}{output(n,st) computes and displays the first \\spad{n} entries} \\indented{1}{of st.} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} output(5,n)")) (|cons| (($ |#1| $) "\\indented{1}{cons(a,s) returns a stream whose \\spad{first} is \\spad{a}} \\indented{1}{and whose \\spad{rest} is \\spad{s.}} \\indented{1}{Note: \\spad{cons(a,s) = concat(a,s)}.} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} cons(4,n)")) (|delay| (($ (|Mapping| $)) "\\spad{delay(f)} creates a stream with a lazy evaluation defined by function \\spad{f.} Caution: This function can only be called in compiled code.")) (|findCycle| (((|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|))) (|NonNegativeInteger|) $) "\\indented{1}{findCycle(n,st) determines if st is periodic within \\spad{n.}} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} findCycle(3,n) \\spad{X} findCycle(2,n)")) (|repeating?| (((|Boolean|) (|List| |#1|) $) "\\indented{1}{repeating?(l,s) returns \\spad{true} if a stream \\spad{s} is periodic} \\indented{1}{with period \\spad{l,} and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} repeating?(m,n)")) (|repeating| (($ (|List| |#1|)) "\\indented{1}{repeating(l) is a repeating stream whose period is the list \\spad{l.}} \\blankline \\spad{X} m:=repeating([-1,0,1,2,3])")) (|coerce| (($ (|List| |#1|)) "\\indented{1}{coerce(l) converts a list \\spad{l} to a stream.} \\blankline \\spad{X} m:=[1,2,3,4,5,6,7,8,9,10,11,12] \\spad{X} coerce(m)@Stream(Integer) \\spad{X} m::Stream(Integer)")) (|shallowlyMutable| ((|attribute|) "one may destructively alter a stream by assigning new values to its entries."))) 
-((-4572 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-844)))) 
-(-1146) 
+((-4601 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-571) (QUOTE (-847)))) 
+(-1150) 
 ((|constructor| (NIL "A category for string-like objects")) (|string| (($ (|Integer|)) "\\spad{string(i)} returns the decimal representation of \\spad{i} in a string"))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
-(-1147) 
+(-1151) 
 ((|constructor| (NIL "This is the domain of character strings. Strings are 1 based."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-148) (QUOTE (-1093))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-844)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))))) 
-(-1148 |Entry|) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| (-148) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-148) (QUOTE (-847))) (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| (-148) (QUOTE (-1097))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-847)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1097)))))) 
+(-1152 |Entry|) 
 ((|constructor| (NIL "This domain provides tables where the keys are strings. A specialized hash function for strings is used."))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (QUOTE (-1147))) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (QUOTE (-1093)))) (|HasCategory| (-1147) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (QUOTE (-1093))) (|HasCategory| |#1| (QUOTE (-1093)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
-(-1149 A) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (QUOTE (-1151))) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (QUOTE (-1097)))) (|HasCategory| (-1151) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097))) (-1831 (|HasCategory| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (QUOTE (-1097))) (|HasCategory| |#1| (QUOTE (-1097)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
+(-1153 A) 
 ((|constructor| (NIL "StreamTaylorSeriesOperations implements Taylor series arithmetic, where a Taylor series is represented by a stream of its coefficients.")) (|power| (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{power(a,f)} returns the power series \\spad{f} raised to the power \\spad{a}.")) (|lazyGintegrate| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) |#1| (|Mapping| (|Stream| |#1|))) "\\spad{lazyGintegrate(f,r,g)} is used for fixed point computations.")) (|mapdiv| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{mapdiv([a0,a1,..],[b0,b1,..])} returns \\spad{[a0/b0,a1/b1,..]}.")) (|powern| (((|Stream| |#1|) (|Fraction| (|Integer|)) (|Stream| |#1|)) "\\spad{powern(r,f)} raises power series \\spad{f} to the power \\spad{r.}")) (|nlde| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\spad{nlde(u)} solves a first order non-linear differential equation described by \\spad{u} of the form \\spad{[[b<0,0>,b<0,1>,...],[b<1,0>,b<1,1>,.],...]}. the differential equation has the form \\spad{y'=sum(i=0 to \\spad{infinity,j=0} to infinity,b<i,j>*(x**i)*(y**j))}.")) (|lazyIntegrate| (((|Stream| |#1|) |#1| (|Mapping| (|Stream| |#1|))) "\\spad{lazyIntegrate(r,f)} is a local function used for fixed point computations.")) (|integrate| (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{integrate(r,a)} returns the integral of the power series \\spad{a} with respect to the power series variableintegration where \\spad{r} denotes the constant of integration. Thus \\spad{integrate(a,[a0,a1,a2,...]) = [a,a0,a1/2,a2/3,...]}.")) (|invmultisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) "\\spad{invmultisect(a,b,st)} substitutes \\spad{x**((a+b)*n)} for \\spad{x**n} and multiplies by \\spad{x**b}.")) (|multisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) "\\spad{multisect(a,b,st)} selects the coefficients of \\spad{x**((a+b)*n+a)}, and changes them to \\spad{x**n}.")) (|generalLambert| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),a,d)} returns \\spad{f(x**a) + f(x**(a + \\spad{d))} + f(x**(a + 2 \\spad{d))} + ...}. \\spad{f(x)} should have zero constant coefficient and \\spad{a} and \\spad{d} should be positive.")) (|evenlambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{evenlambert(st)} computes \\spad{f(x**2) + f(x**4) + f(x**6) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f(x)} is a power series with constant coefficient 1, then \\spad{prod(f(x**(2*n)),n=1..infinity) = exp(evenlambert(log(f(x))))}.")) (|oddlambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{oddlambert(st)} computes \\spad{f(x) + f(x**3) + f(x**5) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If f(x) is a power series with constant coefficient 1 then \\spad{prod(f(x**(2*n-1)),n=1..infinity) = exp(oddlambert(log(f(x))))}.")) (|lambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{lambert(st)} computes \\spad{f(x) + f(x**2) + f(x**3) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f(x)} is a power series with constant coefficient 1 then \\spad{prod(f(x**n),n = 1..infinity) = exp(lambert(log(f(x))))}.")) (|addiag| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\spad{addiag(x)} performs diagonal addition of a stream of streams. if \\spad{x} = \\spad{[[a<0,0>,a<0,1>,..],[a<1,0>,a<1,1>,..],[a<2,0>,a<2,1>,..],..]} and \\spad{addiag(x) = [b<0,b<1>,...], then b<k> = sum(i+j=k,a<i,j>)}.")) (|revert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{revert(a)} computes the inverse of a power series \\spad{a} with respect to composition. the series should have constant coefficient 0 and first order coefficient 1.")) (|lagrange| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{lagrange(g)} produces the power series for \\spad{f} where \\spad{f} is implicitly defined as \\spad{f(z) = z*g(f(z))}.")) (|compose| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{compose(a,b)} composes the power series \\spad{a} with the power series \\spad{b.}")) (|eval| (((|Stream| |#1|) (|Stream| |#1|) |#1|) "\\spad{eval(a,r)} returns a stream of partial sums of the power series \\spad{a} evaluated at the power series variable equal to \\spad{r.}")) (|coerce| (((|Stream| |#1|) |#1|) "\\spad{coerce(r)} converts a ring element \\spad{r} to a stream with one element.")) (|gderiv| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) (|Stream| |#1|)) "\\spad{gderiv(f,[a0,a1,a2,..])} returns \\spad{[f(0)*a0,f(1)*a1,f(2)*a2,..]}.")) (|deriv| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{deriv(a)} returns the derivative of the power series with respect to the power series variable. Thus \\spad{deriv([a0,a1,a2,...])} returns \\spad{[a1,2 \\spad{a2,3} a3,...]}.")) (|mapmult| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{mapmult([a0,a1,..],[b0,b1,..])} returns \\spad{[a0*b0,a1*b1,..]}.")) (|int| (((|Stream| |#1|) |#1|) "\\spad{int(r)} returns [r,r+1,r+2,...], where \\spad{r} is a ring element.")) (|oddintegers| (((|Stream| (|Integer|)) (|Integer|)) "\\spad{oddintegers(n)} returns \\spad{[n,n+2,n+4,...]}.")) (|integers| (((|Stream| (|Integer|)) (|Integer|)) "\\spad{integers(n)} returns \\spad{[n,n+1,n+2,...]}.")) (|monom| (((|Stream| |#1|) |#1| (|Integer|)) "\\spad{monom(deg,coef)} is a monomial of degree \\spad{deg} with coefficient coef.")) (|recip| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|)) "\\spad{recip(a)} returns the power series reciprocal of \\spad{a}, or \"failed\" if not possible.")) (/ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a / \\spad{b}} returns the power series quotient of \\spad{a} by \\spad{b.} An error message is returned if \\spad{b} is not invertible. This function is used in fixed point computations.")) (|exquo| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|) (|Stream| |#1|)) "\\spad{exquo(a,b)} returns the power series quotient of \\spad{a} by \\spad{b,} if the quotient exists, and \"failed\" otherwise")) (* (((|Stream| |#1|) (|Stream| |#1|) |#1|) "\\spad{a * \\spad{r}} returns the power series scalar multiplication of \\spad{a} by \\spad{r:} \\spad{[a0,a1,...] * \\spad{r} = \\spad{[a0} * \\spad{r,a1} * r,...]}") (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{r * a} returns the power series scalar multiplication of \\spad{r} by \\spad{a}: \\spad{r * [a0,a1,...] = \\spad{[r} * a0,r * a1,...]}") (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a * \\spad{b}} returns the power series (Cauchy) product of \\spad{a} and \\spad{b:} \\spad{[a0,a1,...] * [b0,b1,...] = [c0,c1,...]} where \\spad{ck = sum(i + \\spad{j} = k,ai * bk)}.")) (- (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{- a} returns the power series negative of \\spad{a}: \\spad{- [a0,a1,...] = \\spad{[-} a0,- a1,...]}") (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a - \\spad{b}} returns the power series difference of \\spad{a} and \\spad{b}: \\spad{[a0,a1,..] - [b0,b1,..] = \\spad{[a0} - \\spad{b0,a1} - b1,..]}")) (+ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a + \\spad{b}} returns the power series sum of \\spad{a} and \\spad{b}: \\spad{[a0,a1,..] + [b0,b1,..] = \\spad{[a0} + \\spad{b0,a1} + b1,..]}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
-(-1150 |Coef|) 
+((|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571)))))) 
+(-1154 |Coef|) 
 ((|constructor| (NIL "StreamTranscendentalFunctionsNonCommutative implements transcendental functions on Taylor series over a non-commutative ring, where a Taylor series is represented by a stream of its coefficients.")) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsch(st)} computes the inverse hyperbolic cosecant of a power series \\spad{st.}")) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asech(st)} computes the inverse hyperbolic secant of a power series \\spad{st.}")) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acoth(st)} computes the inverse hyperbolic cotangent of a power series \\spad{st.}")) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atanh(st)} computes the inverse hyperbolic tangent of a power series \\spad{st.}")) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acosh(st)} computes the inverse hyperbolic cosine of a power series \\spad{st.}")) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asinh(st)} computes the inverse hyperbolic sine of a power series \\spad{st.}")) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csch(st)} computes the hyperbolic cosecant of a power series \\spad{st.}")) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sech(st)} computes the hyperbolic secant of a power series \\spad{st.}")) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{coth(st)} computes the hyperbolic cotangent of a power series \\spad{st.}")) (|tanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tanh(st)} computes the hyperbolic tangent of a power series \\spad{st.}")) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cosh(st)} computes the hyperbolic cosine of a power series \\spad{st.}")) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sinh(st)} computes the hyperbolic sine of a power series \\spad{st.}")) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsc(st)} computes arccosecant of a power series \\spad{st.}")) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asec(st)} computes arcsecant of a power series \\spad{st.}")) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acot(st)} computes arccotangent of a power series \\spad{st.}")) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atan(st)} computes arctangent of a power series \\spad{st.}")) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acos(st)} computes arccosine of a power series \\spad{st.}")) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asin(st)} computes arcsine of a power series \\spad{st.}")) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csc(st)} computes cosecant of a power series \\spad{st.}")) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sec(st)} computes secant of a power series \\spad{st.}")) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cot(st)} computes cotangent of a power series \\spad{st.}")) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tan(st)} computes tangent of a power series \\spad{st.}")) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cos(st)} computes cosine of a power series \\spad{st.}")) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sin(st)} computes sine of a power series \\spad{st.}")) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{st1 \\spad{**} st2} computes the power of a power series \\spad{st1} by another power series st2.")) (|log| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{log(st)} computes the log of a power series.")) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{exp(st)} computes the exponential of a power series \\spad{st.}"))) 
 NIL 
 NIL 
-(-1151 |Coef|) 
+(-1155 |Coef|) 
 ((|constructor| (NIL "StreamTranscendentalFunctions implements transcendental functions on Taylor series, where a Taylor series is represented by a stream of its coefficients.")) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsch(st)} computes the inverse hyperbolic cosecant of a power series \\spad{st.}")) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asech(st)} computes the inverse hyperbolic secant of a power series \\spad{st.}")) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acoth(st)} computes the inverse hyperbolic cotangent of a power series \\spad{st.}")) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atanh(st)} computes the inverse hyperbolic tangent of a power series \\spad{st.}")) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acosh(st)} computes the inverse hyperbolic cosine of a power series \\spad{st.}")) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asinh(st)} computes the inverse hyperbolic sine of a power series \\spad{st.}")) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csch(st)} computes the hyperbolic cosecant of a power series \\spad{st.}")) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sech(st)} computes the hyperbolic secant of a power series \\spad{st.}")) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{coth(st)} computes the hyperbolic cotangent of a power series \\spad{st.}")) (|tanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tanh(st)} computes the hyperbolic tangent of a power series \\spad{st.}")) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cosh(st)} computes the hyperbolic cosine of a power series \\spad{st.}")) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sinh(st)} computes the hyperbolic sine of a power series \\spad{st.}")) (|sinhcosh| (((|Record| (|:| |sinh| (|Stream| |#1|)) (|:| |cosh| (|Stream| |#1|))) (|Stream| |#1|)) "\\spad{sinhcosh(st)} returns a record containing the hyperbolic sine and cosine of a power series \\spad{st.}")) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsc(st)} computes arccosecant of a power series \\spad{st.}")) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asec(st)} computes arcsecant of a power series \\spad{st.}")) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acot(st)} computes arccotangent of a power series \\spad{st.}")) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atan(st)} computes arctangent of a power series \\spad{st.}")) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acos(st)} computes arccosine of a power series \\spad{st.}")) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asin(st)} computes arcsine of a power series \\spad{st.}")) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csc(st)} computes cosecant of a power series \\spad{st.}")) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sec(st)} computes secant of a power series \\spad{st.}")) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cot(st)} computes cotangent of a power series \\spad{st.}")) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tan(st)} computes tangent of a power series \\spad{st.}")) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cos(st)} computes cosine of a power series \\spad{st.}")) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sin(st)} computes sine of a power series \\spad{st.}")) (|sincos| (((|Record| (|:| |sin| (|Stream| |#1|)) (|:| |cos| (|Stream| |#1|))) (|Stream| |#1|)) "\\spad{sincos(st)} returns a record containing the sine and cosine of a power series \\spad{st.}")) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{st1 \\spad{**} st2} computes the power of a power series \\spad{st1} by another power series st2.")) (|log| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{log(st)} computes the log of a power series.")) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{exp(st)} computes the exponential of a power series \\spad{st.}"))) 
 NIL 
 NIL 
-(-1152 R UP) 
+(-1156 R UP) 
 ((|constructor| (NIL "This package computes the subresultants of two polynomials which is needed for the `Lazard Rioboo' enhancement to Tragers integrations formula For efficiency reasons this has been rewritten to call Lionel Ducos package which is currently the best one.")) (|primitivePart| ((|#2| |#2| |#1|) "\\spad{primitivePart(p, \\spad{q)}} reduces the coefficient of \\spad{p} modulo \\spad{q,} takes the primitive part of the result, and ensures that the leading coefficient of that result is monic.")) (|subresultantVector| (((|PrimitiveArray| |#2|) |#2| |#2|) "\\spad{subresultantVector(p, \\spad{q)}} returns \\spad{[p0,...,pn]} where \\spad{pi} is the \\spad{i}-th subresultant of \\spad{p} and \\spad{q.} In particular, \\spad{p0 = resultant(p, q)}."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-302)))) 
-(-1153 |n| R) 
+(-1157 |n| R) 
 ((|constructor| (NIL "This domain is not documented")) (|pointData| (((|List| (|Point| |#2|)) $) "\\spad{pointData(s)} returns the list of points from the point data field of the 3 dimensional subspace \\spad{s.}")) (|parent| (($ $) "\\spad{parent(s)} returns the subspace which is the parent of the indicated 3 dimensional subspace \\spad{s.} If \\spad{s} is the top level subspace an error message is returned.")) (|level| (((|NonNegativeInteger|) $) "\\spad{level(s)} returns a non negative integer which is the current level field of the indicated 3 dimensional subspace \\spad{s.}")) (|extractProperty| (((|SubSpaceComponentProperty|) $) "\\spad{extractProperty(s)} returns the property of domain \\spadtype{SubSpaceComponentProperty} of the indicated 3 dimensional subspace \\spad{s.}")) (|extractClosed| (((|Boolean|) $) "\\spad{extractClosed(s)} returns the \\spadtype{Boolean} value of the closed property for the indicated 3 dimensional subspace \\spad{s.} If the property is closed, \\spad{True} is returned, otherwise \\spad{False} is returned.")) (|extractIndex| (((|NonNegativeInteger|) $) "\\spad{extractIndex(s)} returns a non negative integer which is the current index of the 3 dimensional subspace \\spad{s.}")) (|extractPoint| (((|Point| |#2|) $) "\\spad{extractPoint(s)} returns the point which is given by the current index location into the point data field of the 3 dimensional subspace \\spad{s.}")) (|traverse| (($ $ (|List| (|NonNegativeInteger|))) "\\spad{traverse(s,li)} follows the branch list of the 3 dimensional subspace, \\spad{s,} along the path dictated by the list of non negative integers, li, which points to the component which has been traversed to. The subspace, \\spad{s,} is returned, where \\spad{s} is now the subspace pointed to by li.")) (|defineProperty| (($ $ (|List| (|NonNegativeInteger|)) (|SubSpaceComponentProperty|)) "\\spad{defineProperty(s,li,p)} defines the component property in the 3 dimensional subspace, \\spad{s,} to be that of \\spad{p,} where \\spad{p} is of the domain \\spadtype{SubSpaceComponentProperty}. The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component whose property is being defined. The subspace, \\spad{s,} is returned with the component property definition.")) (|closeComponent| (($ $ (|List| (|NonNegativeInteger|)) (|Boolean|)) "\\spad{closeComponent(s,li,b)} sets the property of the component in the 3 dimensional subspace, \\spad{s,} to be closed if \\spad{b} is true, or open if \\spad{b} is false. The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component whose closed property is to be set. The subspace, \\spad{s,} is returned with the component property modification.")) (|modifyPoint| (($ $ (|NonNegativeInteger|) (|Point| |#2|)) "\\spad{modifyPoint(s,ind,p)} modifies the point referenced by the index location, ind, by replacing it with the point, \\spad{p} in the 3 dimensional subspace, \\spad{s.} An error message occurs if \\spad{s} is empty, otherwise the subspace \\spad{s} is returned with the point modification.") (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{modifyPoint(s,li,i)} replaces an existing point in the 3 dimensional subspace, \\spad{s,} with the 4 dimensional point indicated by the index location, i. The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the existing point is to be modified. An error message occurs if \\spad{s} is empty, otherwise the subspace \\spad{s} is returned with the point modification.") (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) "\\spad{modifyPoint(s,li,p)} replaces an existing point in the 3 dimensional subspace, \\spad{s,} with the 4 dimensional point, \\spad{p.} The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the existing point is to be modified. An error message occurs if \\spad{s} is empty, otherwise the subspace \\spad{s} is returned with the point modification.")) (|addPointLast| (($ $ $ (|Point| |#2|) (|NonNegativeInteger|)) "\\spad{addPointLast(s,s2,li,p)} adds the 4 dimensional point, \\spad{p,} to the 3 dimensional subspace, \\spad{s.} \\spad{s2} point to the end of the subspace \\spad{s.} \\spad{n} is the path in the \\spad{s2} component. The subspace \\spad{s} is returned with the additional point.")) (|addPoint2| (($ $ (|Point| |#2|)) "\\spad{addPoint2(s,p)} adds the 4 dimensional point, \\spad{p,} to the 3 dimensional subspace, \\spad{s.} The subspace \\spad{s} is returned with the additional point.")) (|addPoint| (((|NonNegativeInteger|) $ (|Point| |#2|)) "\\spad{addPoint(s,p)} adds the point, \\spad{p,} to the 3 dimensional subspace, \\spad{s,} and returns the new total number of points in \\spad{s.}") (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{addPoint(s,li,i)} adds the 4 dimensional point indicated by the index location, i, to the 3 dimensional subspace, \\spad{s.} The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the point is to be added. It's length should range from 0 to \\spad{n - 1} where \\spad{n} is the dimension of the subspace. If the length is \\spad{n - 1}, then a specific lowest level component is being referenced. If it is less than \\spad{n - 1}, then some higher level component \\spad{(0} indicates top level component) is being referenced and a component of that level with the desired point is created. The subspace \\spad{s} is returned with the additional point.") (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) "\\spad{addPoint(s,li,p)} adds the 4 dimensional point, \\spad{p,} to the 3 dimensional subspace, \\spad{s.} The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the point is to be added. It's length should range from 0 to \\spad{n - 1} where \\spad{n} is the dimension of the subspace. If the length is \\spad{n - 1}, then a specific lowest level component is being referenced. If it is less than \\spad{n - 1}, then some higher level component \\spad{(0} indicates top level component) is being referenced and a component of that level with the desired point is created. The subspace \\spad{s} is returned with the additional point.")) (|separate| (((|List| $) $) "\\spad{separate(s)} makes each of the components of the \\spadtype{SubSpace}, \\spad{s,} into a list of separate and distinct subspaces and returns the list.")) (|merge| (($ (|List| $)) "\\spad{merge(ls)} a list of subspaces, \\spad{ls,} into one subspace.") (($ $ $) "\\spad{merge(s1,s2)} the subspaces \\spad{s1} and \\spad{s2} into a single subspace.")) (|deepCopy| (($ $) "\\spad{deepCopy(x)} is not documented")) (|shallowCopy| (($ $) "\\spad{shallowCopy(x)} is not documented")) (|numberOfChildren| (((|NonNegativeInteger|) $) "\\spad{numberOfChildren(x)} is not documented")) (|children| (((|List| $) $) "\\spad{children(x)} is not documented")) (|child| (($ $ (|NonNegativeInteger|)) "\\spad{child(x,n)} is not documented")) (|birth| (($ $) "\\spad{birth(x)} is not documented")) (|subspace| (($) "\\spad{subspace()} is not documented")) (|new| (($) "\\spad{new()} is not documented")) (|internal?| (((|Boolean|) $) "\\spad{internal?(x)} is not documented")) (|root?| (((|Boolean|) $) "\\spad{root?(x)} is not documented")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(x)} is not documented"))) 
 NIL 
 NIL 
-(-1154 S1 S2) 
+(-1158 S1 S2) 
 ((|constructor| (NIL "This domain implements \"such that\" forms")) (|rhs| ((|#2| $) "\\spad{rhs(f)} returns the right side of \\spad{f}")) (|lhs| ((|#1| $) "\\spad{lhs(f)} returns the left side of \\spad{f}")) (|construct| (($ |#1| |#2|) "\\spad{construct(s,t)} makes a form \\spad{s:t}"))) 
 NIL 
 NIL 
-(-1155 |Coef| |var| |cen|) 
+(-1159 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Sparse Laurent series in one variable \\spadtype{SparseUnivariateLaurentSeries} is a domain representing Laurent series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{SparseUnivariateLaurentSeries(Integer,x,3)} represents Laurent series in \\spad{(x - 3)} with integer coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Laurent series."))) 
-(((-4573 "*") -1929 (-3993 (|has| |#1| (-366)) (|has| (-1163 |#1| |#2| |#3|) (-817))) (|has| |#1| (-173)) (-3993 (|has| |#1| (-366)) (|has| (-1163 |#1| |#2| |#3|) (-906)))) (-4564 -1929 (-3993 (|has| |#1| (-366)) (|has| (-1163 |#1| |#2| |#3|) (-817))) (|has| |#1| (-559)) (-3993 (|has| |#1| (-366)) (|has| (-1163 |#1| |#2| |#3|) (-906)))) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-151)))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-1023))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-1139))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149)))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-173)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-1023))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-1139))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|)))))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1156 R -1647) 
+(((-4602 "*") -1831 (-3997 (|has| |#1| (-367)) (|has| (-1167 |#1| |#2| |#3|) (-820))) (|has| |#1| (-173)) (-3997 (|has| |#1| (-367)) (|has| (-1167 |#1| |#2| |#3|) (-909)))) (-4593 -1831 (-3997 (|has| |#1| (-367)) (|has| (-1167 |#1| |#2| |#3|) (-820))) (|has| |#1| (-561)) (-3997 (|has| |#1| (-367)) (|has| (-1167 |#1| |#2| |#3|) (-909)))) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| (-571) (QUOTE (-1109))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-151)))) (-1831 (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-571)) (|devaluate| |#1|)))))) (-1831 (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-571)) (|devaluate| |#1|))))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-1027))) (|HasCategory| |#1| (QUOTE (-367)))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-1143))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1167) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1167) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1167) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -526) (QUOTE (-1169)) (LIST (QUOTE -1167) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-571))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-553))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-909))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-149))) (-1831 (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-149)))) (-1831 (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-173)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-367)))) (-1831 (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-367))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (-1831 (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1167) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1167) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1167) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -526) (QUOTE (-1169)) (LIST (QUOTE -1167) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-1027))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-1143))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571)))))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|)))))) (-1831 (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1167 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1160 R -3280) 
 ((|constructor| (NIL "Computes sums of top-level expressions")) (|sum| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{sum(f(n), \\spad{n} = a..b)} returns f(a) + f(a+1) + \\spad{...} + f(b).") ((|#2| |#2| (|Symbol|)) "\\spad{sum(a(n), \\spad{n)}} returns A(n) such that A(n+1) - A(n) = a(n)."))) 
 NIL 
 NIL 
-(-1157 R) 
+(-1161 R) 
 ((|constructor| (NIL "Computes sums of rational functions.")) (|sum| (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{sum(f(n), \\spad{n} = a..b) returns \\spad{f(a) + f(a+1) + \\spad{...} f(b)}.} \\blankline \\spad{X} sum(i::Fraction(Polynomial(Integer)),i=1..n)") (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|SegmentBinding| (|Polynomial| |#1|))) "\\indented{1}{sum(f(n), \\spad{n} = a..b) returns \\spad{f(a) + f(a+1) + \\spad{...} f(b)}.} \\blankline \\spad{X} sum(i,i=1..n)") (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{sum(a(n), \\spad{n)} returns \\spad{A} which} \\indented{1}{is the indefinite sum of \\spad{a} with respect to} \\indented{1}{upward difference on \\spad{n}, \\spadignore{i.e.} \\spad{A(n+1) - A(n) = a(n)}.} \\blankline \\spad{X} sum(i::Fraction(Polynomial(Integer)),i::Symbol)") (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|Symbol|)) "\\indented{1}{sum(a(n), \\spad{n)} returns \\spad{A} which} \\indented{1}{is the indefinite sum of \\spad{a} with respect to} \\indented{1}{upward difference on \\spad{n}, \\spadignore{i.e.} \\spad{A(n+1) - A(n) = a(n)}.} \\blankline \\spad{X} sum(i::Polynomial(Integer),variable(i=1..n))"))) 
 NIL 
 NIL 
-(-1158 R S) 
+(-1162 R S) 
 ((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from sparse univariate polynomial over \\spad{R} to a sparse univariate polynomial over \\spad{S.} Note that the mapping is assumed to send zero to zero, since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|SparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{map(func, poly)} creates a new polynomial by applying \\spad{func} to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-1159 R) 
+(-1163 R) 
 ((|constructor| (NIL "This domain has no description"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4567 |has| |#1| (-366)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1139))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-1185))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1160 E OV R P) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4596 |has| |#1| (-367)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-1143))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-1189))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4598)) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1164 E OV R P) 
 ((|constructor| (NIL "SupFractionFactorize contains the factor function for univariate polynomials over the quotient field of a ring \\spad{S} such that the package MultivariateFactorize works for \\spad{S}")) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) "\\spad{squareFree(p)} returns the square-free factorization of the univariate polynomial \\spad{p} with coefficients which are fractions of polynomials over \\spad{R.} Each factor has no repeated roots and the factors are pairwise relatively prime.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) "\\spad{factor(p)} factors the univariate polynomial \\spad{p} with coefficients which are fractions of polynomials over \\spad{R.}"))) 
 NIL 
 NIL 
-(-1161 R) 
+(-1165 R) 
 ((|constructor| (NIL "This domain represents univariate polynomials over arbitrary (not necessarily commutative) coefficient rings. The variable is unspecified so that the variable displays as \\spad{?} on output. If it is necessary to specify the variable name, use type \\spadtype{UnivariatePolynomial}. The representation is sparse in the sense that only non-zero terms are represented. Note that if the coefficient ring is a field, this domain forms a euclidean domain.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) "\\spad{outputForm(p,var)} converts the SparseUnivariatePolynomial \\spad{p} to an output form (see \\spadtype{OutputForm}) printed as a polynomial in the output form variable."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4567 |has| |#1| (-366)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1139))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1162 |Coef| |var| |cen|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4596 |has| |#1| (-367)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-1143))) (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4598)) (|HasCategory| |#1| (QUOTE (-456))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (|HasCategory| |#1| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1166 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Sparse Puiseux series in one variable \\spadtype{SparseUnivariatePuiseuxSeries} is a domain representing Puiseux series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{SparseUnivariatePuiseuxSeries(Integer,x,3)} represents Puiseux series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
-(-1163 |Coef| |var| |cen|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571))) (|devaluate| |#1|))))) (|HasCategory| (-412 (-571)) (QUOTE (-1109))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|))))))) 
+(-1167 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Sparse Taylor series in one variable \\spadtype{SparseUnivariateTaylorSeries} is a domain representing Taylor series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spadtype{SparseUnivariateTaylorSeries}(Integer,x,3) represents Taylor series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|))))) (|HasCategory| (-765) (QUOTE (-1105))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
-(-1164) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-768)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-768)) (|devaluate| |#1|))))) (|HasCategory| (-768) (QUOTE (-1109))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-768))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-768))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|))))))) 
+(-1168) 
 ((|constructor| (NIL "This domain builds representations of boolean expressions for use with the \\axiomType{FortranCode} domain.")) (NOT (($ $) "\\spad{NOT(x)} returns the \\axiomType{Switch} expression representing \\spad{\\~~x}.") (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{NOT(x)} returns the \\axiomType{Switch} expression representing \\spad{\\~~x}.")) (AND (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{AND(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x and \\spad{y}.}")) (EQ (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{EQ(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x = \\spad{y}.}")) (OR (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{OR(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x or \\spad{y}.}")) (GE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{GE(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x>=y}.")) (LE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{LE(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x<=y}.")) (GT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{GT(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x>y}.")) (LT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{LT(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x<y}.")) (|coerce| (($ (|Symbol|)) "\\spad{coerce(s)} is not documented"))) 
 NIL 
 NIL 
-(-1165) 
+(-1169) 
 ((|constructor| (NIL "Basic and scripted symbols.")) (|sample| (($) "\\spad{sample()} returns a sample of \\%")) (|list| (((|List| $) $) "\\spad{list(sy)} takes a scripted symbol and produces a list of the name followed by the scripts.")) (|string| (((|String|) $) "\\spad{string(s)} converts the symbol \\spad{s} to a string. Error: if the symbol is subscripted.")) (|elt| (($ $ (|List| (|OutputForm|))) "\\spad{elt(s,[a1,...,an])} or s([a1,...,an]) returns \\spad{s} subscripted by \\spad{[a1,...,an]}.")) (|argscript| (($ $ (|List| (|OutputForm|))) "\\spad{argscript(s, [a1,...,an])} returns \\spad{s} arg-scripted by \\spad{[a1,...,an]}.")) (|superscript| (($ $ (|List| (|OutputForm|))) "\\spad{superscript(s, [a1,...,an])} returns \\spad{s} superscripted by \\spad{[a1,...,an]}.")) (|subscript| (($ $ (|List| (|OutputForm|))) "\\spad{subscript(s, [a1,...,an])} returns \\spad{s} subscripted by \\spad{[a1,...,an]}.")) (|script| (($ $ (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) "\\spad{script(s, [a,b,c,d,e])} returns \\spad{s} with subscripts a, superscripts \\spad{b,} pre-superscripts \\spad{c,} pre-subscripts \\spad{d,} and argument-scripts e.") (($ $ (|List| (|List| (|OutputForm|)))) "\\spad{script(s, [a,b,c,d,e])} returns \\spad{s} with subscripts a, superscripts \\spad{b,} pre-superscripts \\spad{c,} pre-subscripts \\spad{d,} and argument-scripts e. Omitted components are taken to be empty. For example, \\spad{script(s, [a,b,c])} is equivalent to \\spad{script(s,[a,b,c,[],[]])}.")) (|scripts| (((|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|)))) $) "\\spad{scripts(s)} returns all the scripts of \\spad{s.}")) (|scripted?| (((|Boolean|) $) "\\spad{scripted?(s)} is \\spad{true} if \\spad{s} has been given any scripts.")) (|name| (($ $) "\\spad{name(s)} returns \\spad{s} without its scripts.")) (|coerce| (($ (|String|)) "\\spad{coerce(s)} converts the string \\spad{s} to a symbol.")) (|resetNew| (((|Void|)) "\\spad{resetNew()} resets the internals counters that new() and new(s) use to return distinct symbols every time.")) (|new| (($ $) "\\spad{new(s)} returns a new symbol whose name starts with \\spad{%s.}") (($) "\\spad{new()} returns a new symbol whose name starts with \\spad{%.}"))) 
 NIL 
 NIL 
-(-1166 R) 
+(-1170 R) 
 ((|constructor| (NIL "Computes all the symmetric functions in \\spad{n} variables.")) (|symFunc| (((|Vector| |#1|) |#1| (|PositiveInteger|)) "\\spad{symFunc(r, \\spad{n)}} returns the vector of the elementary symmetric functions in \\spad{[r,r,...,r]} \\spad{n} times.") (((|Vector| |#1|) (|List| |#1|)) "\\spad{symFunc([r1,...,rn])} returns the vector of the elementary symmetric functions in the \\spad{ri's}: \\spad{[r1 + \\spad{...} + \\spad{rn,} \\spad{r1} \\spad{r2} + \\spad{...} + r(n-1) \\spad{rn,} ..., \\spad{r1} \\spad{r2} \\spad{...} rn]}."))) 
 NIL 
 NIL 
-(-1167 R) 
+(-1171 R) 
 ((|constructor| (NIL "This domain implements symmetric polynomial"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (-12 (|HasCategory| (-974) (QUOTE (-138))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569))) 
-(-1168) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-6 -4598)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-456))) (-12 (|HasCategory| (-978) (QUOTE (-138))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasAttribute| |#1| (QUOTE -4598))) 
+(-1172) 
 ((|constructor| (NIL "Creates and manipulates one global symbol table for FORTRAN code generation, containing details of types, dimensions, and argument lists.")) (|symbolTableOf| (((|SymbolTable|) (|Symbol|) $) "\\spad{symbolTableOf(f,tab)} returns the symbol table of \\spad{f}")) (|argumentListOf| (((|List| (|Symbol|)) (|Symbol|) $) "\\spad{argumentListOf(f,tab)} returns the argument list of \\spad{f}")) (|returnTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|Symbol|) $) "\\spad{returnTypeOf(f,tab)} returns the type of the object returned by \\spad{f}")) (|empty| (($) "\\spad{empty()} creates a new, empty symbol table.")) (|printTypes| (((|Void|) (|Symbol|)) "\\spad{printTypes(tab)} produces FORTRAN type declarations from tab, on the current FORTRAN output stream")) (|printHeader| (((|Void|)) "\\spad{printHeader()} produces the FORTRAN header for the current subprogram in the global symbol table on the current FORTRAN output stream.") (((|Void|) (|Symbol|)) "\\spad{printHeader(f)} produces the FORTRAN header for subprogram \\spad{f} in the global symbol table on the current FORTRAN output stream.") (((|Void|) (|Symbol|) $) "\\spad{printHeader(f,tab)} produces the FORTRAN header for subprogram \\spad{f} in symbol table \\spad{tab} on the current FORTRAN output stream.")) (|returnType!| (((|Void|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) "\\spad{returnType!(t)} declares that the return type of he current subprogram in the global symbol table is \\spad{t.}") (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) "\\spad{returnType!(f,t)} declares that the return type of subprogram \\spad{f} in the global symbol table is \\spad{t.}") (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) "\\spad{returnType!(f,t,tab)} declares that the return type of subprogram \\spad{f} in symbol table \\spad{tab} is \\spad{t.}")) (|argumentList!| (((|Void|) (|List| (|Symbol|))) "\\spad{argumentList!(l)} declares that the argument list for the current subprogram in the global symbol table is \\spad{l.}") (((|Void|) (|Symbol|) (|List| (|Symbol|))) "\\spad{argumentList!(f,l)} declares that the argument list for subprogram \\spad{f} in the global symbol table is \\spad{l.}") (((|Void|) (|Symbol|) (|List| (|Symbol|)) $) "\\spad{argumentList!(f,l,tab)} declares that the argument list for subprogram \\spad{f} in symbol table \\spad{tab} is \\spad{l.}")) (|endSubProgram| (((|Symbol|)) "\\spad{endSubProgram()} asserts that we are no longer processing the current subprogram.")) (|currentSubProgram| (((|Symbol|)) "\\spad{currentSubProgram()} returns the name of the current subprogram being processed")) (|newSubProgram| (((|Void|) (|Symbol|)) "\\spad{newSubProgram(f)} asserts that from now on type declarations are part of subprogram \\spad{f.}")) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|)) "\\spad{declare!(u,t,asp)} declares the parameter \\spad{u} to have type \\spad{t} in asp.") (((|FortranType|) (|Symbol|) (|FortranType|)) "\\spad{declare!(u,t)} declares the parameter \\spad{u} to have type \\spad{t} in the current level of the symbol table.") (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) (|Symbol|) $) "\\spad{declare!(u,t,asp,tab)} declares the parameters \\spad{u} of subprogram \\spad{asp} to have type \\spad{t} in symbol table tab.") (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|) $) "\\spad{declare!(u,t,asp,tab)} declares the parameter \\spad{u} of subprogram \\spad{asp} to have type \\spad{t} in symbol table tab.")) (|clearTheSymbolTable| (((|Void|) (|Symbol|)) "\\spad{clearTheSymbolTable(x)} removes the symbol \\spad{x} from the table") (((|Void|)) "\\spad{clearTheSymbolTable()} clears the current symbol table.")) (|showTheSymbolTable| (($) "\\spad{showTheSymbolTable()} returns the current symbol table."))) 
 NIL 
 NIL 
-(-1169) 
+(-1173) 
 ((|constructor| (NIL "Create and manipulate a symbol table for generated FORTRAN code")) (|symbolTable| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) "\\spad{symbolTable(l)} creates a symbol table from the elements of \\spad{l.}")) (|printTypes| (((|Void|) $) "\\spad{printTypes(tab)} produces FORTRAN type declarations from tab, on the current FORTRAN output stream")) (|newTypeLists| (((|SExpression|) $) "\\spad{newTypeLists(x)} is not documented")) (|typeLists| (((|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) $) "\\spad{typeLists(tab)} returns a list of lists of types of objects in \\spad{tab}")) (|externalList| (((|List| (|Symbol|)) $) "\\spad{externalList(tab)} returns a list of all the external symbols in \\spad{tab}")) (|typeList| (((|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))) (|FortranScalarType|) $) "\\spad{typeList(t,tab)} returns a list of all the objects of type \\spad{t} in \\spad{tab}")) (|parametersOf| (((|List| (|Symbol|)) $) "\\spad{parametersOf(tab)} returns a list of all the symbols declared in \\spad{tab}")) (|fortranTypeOf| (((|FortranType|) (|Symbol|) $) "\\spad{fortranTypeOf(u,tab)} returns the type of \\spad{u} in \\spad{tab}")) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) $) "\\spad{declare!(u,t,tab)} creates a new entry in tab, declaring \\spad{u} to be of type \\spad{t}") (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) $) "\\spad{declare!(l,t,tab)} creates new entrys in tab, declaring each of \\spad{l} to be of type \\spad{t}")) (|empty| (($) "\\spad{empty()} returns a new, empty symbol table")) (|coerce| (((|Table| (|Symbol|) (|FortranType|)) $) "\\spad{coerce(x)} returns a table view of \\spad{x}"))) 
 NIL 
 NIL 
-(-1170 R) 
+(-1174 R) 
 ((|constructor| (NIL "Symbolic solver for systems of rational functions with coefficients in an integral domain \\spad{R.} The systems are solved in the field of rational functions over \\spad{R.} Solutions are exact of the form variable = value when the value is a member of the coefficient domain \\spad{R.} Otherwise the solutions are implicitly expressed as roots of univariate polynomial equations over \\spad{R.} Care is taken to guarantee that the denominators of the input equations do not vanish on the solution sets. The arguments to solve can either be given as equations or as rational functions interpreted as equal to zero. The user can specify an explicit list of symbols to be solved for, treating all other symbols appearing as parameters or omit the list of symbols in which case the system tries to solve with respect to all symbols appearing in the input.")) (|triangularSystems| (((|List| (|List| (|Polynomial| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{triangularSystems(lf,lv)} solves the system of equations defined by \\spad{lf} with respect to the list of symbols \\spad{lv;} the system of equations is obtaining by equating to zero the list of rational functions \\spad{lf.} The output is a list of solutions where each solution is expressed as a \"reduced\" triangular system of polynomials.")) (|solve| (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{solve(eq)} finds the solutions of the equation \\spad{eq} with respect to the unique variable appearing in eq.") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|))) "\\spad{solve(p)} finds the solution of a rational function \\spad{p} = 0 with respect to the unique variable appearing in \\spad{p.}") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{solve(eq,v)} finds the solutions of the equation \\spad{eq} with respect to the variable \\spad{v.}") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{solve(p,v)} solves the equation p=0, where \\spad{p} is a rational function with respect to the variable \\spad{v.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{solve(le)} finds the solutions of the list \\spad{le} of equations of rational functions with respect to all symbols appearing in le.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{solve(lp)} finds the solutions of the list \\spad{lp} of rational functions with respect to all symbols appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\spad{solve(le,lv)} finds the solutions of the list \\spad{le} of equations of rational functions with respect to the list of symbols \\spad{lv.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{solve(lp,lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.}"))) 
 NIL 
 NIL 
-(-1171 S) 
+(-1175 S) 
 ((|constructor| (NIL "TableauBumpers implements the Schenstead-Knuth correspondence between sequences and pairs of Young tableaux. The 2 Young tableaux are represented as a single tableau with pairs as components.")) (|mr| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| (|List| (|List| |#1|)))) "\\spad{mr(t)} is an auxiliary function which finds the position of the maximum element of a tableau \\spad{t} which is in the lowest row, producing a record of results")) (|maxrow| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| |#1|) (|List| (|List| (|List| |#1|))) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|)))) "\\spad{maxrow(a,b,c,d,e)} is an auxiliary function for \\spad{mr}")) (|inverse| (((|List| |#1|) (|List| |#1|)) "\\spad{inverse(ls)} forms the inverse of a sequence \\spad{ls}")) (|slex| (((|List| (|List| |#1|)) (|List| |#1|)) "\\spad{slex(ls)} sorts the argument sequence \\spad{ls,} then zips (see map) the original argument sequence with the sorted result to a list of pairs")) (|lex| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) "\\spad{lex(ls)} sorts a list of pairs to lexicographic order")) (|tab| (((|Tableau| (|List| |#1|)) (|List| |#1|)) "\\spad{tab(ls)} creates a tableau from \\spad{ls} by first creating a list of pairs using slex, then creating a tableau using tab1.")) (|tab1| (((|List| (|List| (|List| |#1|))) (|List| (|List| |#1|))) "\\spad{tab1(lp)} creates a tableau from a list of pairs \\spad{lp}")) (|bat| (((|List| (|List| |#1|)) (|Tableau| (|List| |#1|))) "\\spad{bat(ls)} unbumps a tableau \\spad{ls}")) (|bat1| (((|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) "\\spad{bat1(llp)} unbumps a tableau llp. Operation \\spad{bat1} is the inverse of tab1.")) (|untab| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) "\\spad{untab(lp,llp)} is an auxiliary function which unbumps a tableau llp, using \\spad{lp} to accumulate pairs")) (|bumptab1| (((|List| (|List| (|List| |#1|))) (|List| |#1|) (|List| (|List| (|List| |#1|)))) "\\spad{bumptab1(pr,t)} bumps a tableau \\spad{t} with a pair \\spad{pr} using comparison function \\spadfun{<}, returning a new tableau")) (|bumptab| (((|List| (|List| (|List| |#1|))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| (|List| |#1|)))) "\\spad{bumptab(cf,pr,t)} bumps a tableau \\spad{t} with a pair \\spad{pr} using comparison function \\spad{cf,} returning a new tableau")) (|bumprow| (((|Record| (|:| |fs| (|Boolean|)) (|:| |sd| (|List| |#1|)) (|:| |td| (|List| (|List| |#1|)))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| |#1|))) "\\spad{bumprow(cf,pr,r)} is an auxiliary function which bumps a row \\spad{r} with a pair \\spad{pr} using comparison function \\spad{cf,} and returns a record"))) 
 NIL 
 NIL 
-(-1172 S) 
+(-1176 S) 
 ((|constructor| (NIL "The tableau domain is for printing Young tableaux, and coercions to and from List List \\spad{S} where \\spad{S} is a set.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(t)} converts a tableau \\spad{t} to an output form.")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\spad{listOfLists \\spad{t}} converts a tableau \\spad{t} to a list of lists.")) (|tableau| (($ (|List| (|List| |#1|))) "\\spad{tableau(ll)} converts a list of lists \\spad{ll} to a tableau."))) 
 NIL 
 NIL 
-(-1173 |Key| |Entry|) 
+(-1177 |Key| |Entry|) 
 ((|constructor| (NIL "This is the general purpose table type. The keys are hashed to look up the entries. This creates a \\spadtype{HashTable} if equal for the Key domain is consistent with Lisp EQUAL otherwise an \\spadtype{AssociationList}"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) 
-(-1174 R) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (-12 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -4080) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -4279) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#2| (QUOTE (-1097))) (-1831 (|HasCategory| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (QUOTE (-1097))) (|HasCategory| |#2| (QUOTE (-1097)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1097))))) 
+(-1178 R) 
 ((|constructor| (NIL "Expands tangents of sums and scalar products.")) (|tanNa| ((|#1| |#1| (|Integer|)) "\\spad{tanNa(a, \\spad{n)}} returns \\spad{f(a)} such that if \\spad{a = tan(u)} then \\spad{f(a) = tan(n * u)}.")) (|tanAn| (((|SparseUnivariatePolynomial| |#1|) |#1| (|PositiveInteger|)) "\\spad{tanAn(a, \\spad{n)}} returns \\spad{P(x)} such that if \\spad{a = tan(u)} then \\spad{P(tan(u/n)) = 0}.")) (|tanSum| ((|#1| (|List| |#1|)) "\\spad{tanSum([a1,...,an])} returns \\spad{f(a1,...,an)} such that if \\spad{ai = tan(ui)} then \\spad{f(a1,...,an) = \\spad{tan(u1} + \\spad{...} + un)}."))) 
 NIL 
 NIL 
-(-1175 S |Key| |Entry|) 
-((|constructor| (NIL "A table aggregate is a model of a table, \\spadignore{i.e.} a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(fn,t1,t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements fn(x,y) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)))) "\\spad{table([x,y,...,z])} creates a table consisting of entries \\axiom{x,y,...,z}.") (($) "\\indented{1}{table()$T creates an empty table of type \\spad{T.}} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(t,k,e)} (also written \\axiom{t.k \\spad{:=} e}) is equivalent to \\axiom{(insert([k,e],t); e)}."))) 
+(-1179 S |Key| |Entry|) 
+((|constructor| (NIL "A table aggregate is a model of a table, that is, a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(fn,t1,t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements fn(x,y) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)))) "\\spad{table([x,y,...,z])} creates a table consisting of entries \\axiom{x,y,...,z}.") (($) "\\spad{table()}$T creates an empty table of type \\spad{T.} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(t,k,e)} (also written \\axiom{t.k \\spad{:=} e}) is equivalent to \\axiom{(insert([k,e],t); e)}."))) 
 NIL 
 NIL 
-(-1176 |Key| |Entry|) 
-((|constructor| (NIL "A table aggregate is a model of a table, \\spadignore{i.e.} a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(fn,t1,t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements fn(x,y) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) "\\spad{table([x,y,...,z])} creates a table consisting of entries \\axiom{x,y,...,z}.") (($) "\\indented{1}{table()$T creates an empty table of type \\spad{T.}} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(t,k,e)} (also written \\axiom{t.k \\spad{:=} e}) is equivalent to \\axiom{(insert([k,e],t); e)}."))) 
-((-4572 . T) (-4317 . T)) 
+(-1180 |Key| |Entry|) 
+((|constructor| (NIL "A table aggregate is a model of a table, that is, a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(fn,t1,t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements fn(x,y) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) "\\spad{table([x,y,...,z])} creates a table consisting of entries \\axiom{x,y,...,z}.") (($) "\\spad{table()}$T creates an empty table of type \\spad{T.} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(t,k,e)} (also written \\axiom{t.k \\spad{:=} e}) is equivalent to \\axiom{(insert([k,e],t); e)}."))) 
+((-4601 . T) (-3348 . T)) 
 NIL 
-(-1177 |Key| |Entry|) 
+(-1181 |Key| |Entry|) 
 ((|constructor| (NIL "\\axiom{TabulatedComputationPackage(Key ,Entry)} provides some modest support for dealing with operations with type \\axiom{Key \\spad{->} Entry}. The result of such operations can be stored and retrieved with this package by using a hash-table. The user does not need to worry about the management of this hash-table. However, onnly one hash-table is built by calling \\axiom{TabulatedComputationPackage(Key ,Entry)}.")) (|insert!| (((|Void|) |#1| |#2|) "\\axiom{insert!(x,y)} stores the item whose key is \\axiom{x} and whose entry is \\axiom{y}.")) (|extractIfCan| (((|Union| |#2| "failed") |#1|) "\\axiom{extractIfCan(x)} searches the item whose key is \\axiom{x}.")) (|makingStats?| (((|Boolean|)) "\\axiom{makingStats?()} returns \\spad{true} iff the statisitics process is running.")) (|printingInfo?| (((|Boolean|)) "\\axiom{printingInfo?()} returns \\spad{true} iff messages are printed when manipulating items from the hash-table.")) (|usingTable?| (((|Boolean|)) "\\axiom{usingTable?()} returns \\spad{true} iff the hash-table is used")) (|clearTable!| (((|Void|)) "\\axiom{clearTable!()} clears the hash-table and assumes that it will no longer be used.")) (|printStats!| (((|Void|)) "\\axiom{printStats!()} prints the statistics.")) (|startStats!| (((|Void|) (|String|)) "\\axiom{startStats!(x)} initializes the statisitics process and sets the comments to display when statistics are printed")) (|printInfo!| (((|Void|) (|String|) (|String|)) "\\axiom{printInfo!(x,y)} initializes the mesages to be printed when manipulating items from the hash-table. If a key is retrieved then \\axiom{x} is displayed. If an item is stored then \\axiom{y} is displayed.")) (|initTable!| (((|Void|)) "\\axiom{initTable!()} initializes the hash-table."))) 
 NIL 
 NIL 
-(-1178) 
+(-1182) 
 ((|constructor| (NIL "This package provides functions for template manipulation")) (|stripCommentsAndBlanks| (((|String|) (|String|)) "\\spad{stripCommentsAndBlanks(s)} treats \\spad{s} as a piece of AXIOM input, and removes comments, and leading and trailing blanks.")) (|interpretString| (((|Any|) (|String|)) "\\spad{interpretString(s)} treats a string as a piece of AXIOM input, by parsing and interpreting it."))) 
 NIL 
 NIL 
-(-1179 S) 
+(-1183 S) 
 ((|constructor| (NIL "\\spadtype{TexFormat1} provides a utility coercion for changing to TeX format anything that has a coercion to the standard output format.")) (|coerce| (((|TexFormat|) |#1|) "\\spad{coerce(s)} provides a direct coercion from a domain \\spad{S} to TeX format. This allows the user to skip the step of first manually coercing the object to standard output format before it is coerced to TeX format."))) 
 NIL 
 NIL 
-(-1180) 
+(-1184) 
 ((|constructor| (NIL "\\spadtype{TexFormat} provides a coercion from \\spadtype{OutputForm} to \\TeX{} format. The particular dialect of \\TeX{} used is \\LaTeX{}. The basic object consists of three parts: a prologue, a tex part and an epilogue. The functions \\spadfun{prologue}, \\spadfun{tex} and \\spadfun{epilogue} extract these parts, respectively. The main guts of the expression go into the tex part. The other parts can be set (\\spadfun{setPrologue!}, \\spadfun{setEpilogue!}) so that contain the appropriate tags for printing. For example, the prologue and epilogue might simply contain ``\\verb+\\[+'' and ``\\verb+\\]+'', respectively, so that the TeX section will be printed in LaTeX display math mode.")) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setPrologue!(t,strings)} sets the prologue section of a TeX form \\spad{t} to strings.")) (|setTex!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setTex!(t,strings)} sets the TeX section of a TeX form \\spad{t} to strings.")) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setEpilogue!(t,strings)} sets the epilogue section of a TeX form \\spad{t} to strings.")) (|prologue| (((|List| (|String|)) $) "\\spad{prologue(t)} extracts the prologue section of a TeX form \\spad{t.}")) (|new| (($) "\\spad{new()} create a new, empty object. Use \\spadfun{setPrologue!}, \\spadfun{setTex!} and \\spadfun{setEpilogue!} to set the various components of this object.")) (|tex| (((|List| (|String|)) $) "\\spad{tex(t)} extracts the TeX section of a TeX form \\spad{t.}")) (|epilogue| (((|List| (|String|)) $) "\\spad{epilogue(t)} extracts the epilogue section of a TeX form \\spad{t.}")) (|display| (((|Void|) $) "\\spad{display(t)} outputs the TeX formatted code \\spad{t} so that each line has length less than or equal to the value set by the system command \\spadsyscom{set output length}.") (((|Void|) $ (|Integer|)) "\\spad{display(t,width)} outputs the TeX formatted code \\spad{t} so that each line has length less than or equal to \\spadvar{width}.")) (|convert| (($ (|OutputForm|) (|Integer|) (|OutputForm|)) "\\spad{convert(o,step,type)} changes \\spad{o} in standard output format to TeX format and also adds the given \\spad{step} number and type. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.") (($ (|OutputForm|) (|Integer|)) "\\spad{convert(o,step)} changes \\spad{o} in standard output format to TeX format and also adds the given \\spad{step} number. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.")) (|coerce| (($ (|OutputForm|)) "\\spad{coerce(o)} changes \\spad{o} in the standard output format to TeX format."))) 
 NIL 
 NIL 
-(-1181) 
+(-1185) 
 ((|constructor| (NIL "This domain provides an implementation of text files. Text is stored in these files using the native character set of the computer.")) (|endOfFile?| (((|Boolean|) $) "\\spad{endOfFile?(f)} tests whether the file \\spad{f} is positioned after the end of all text. If the file is open for output, then this test is always true.")) (|readIfCan!| (((|Union| (|String|) "failed") $) "\\spad{readIfCan!(f)} returns a string of the contents of a line from file \\spad{f,} if possible. If \\spad{f} is not readable or if it is positioned at the end of file, then \\spad{\"failed\"} is returned.")) (|readLineIfCan!| (((|Union| (|String|) "failed") $) "\\spad{readLineIfCan!(f)} returns a string of the contents of a line from file \\spad{f,} if possible. If \\spad{f} is not readable or if it is positioned at the end of file, then \\spad{\"failed\"} is returned.")) (|readLine!| (((|String|) $) "\\spad{readLine!(f)} returns a string of the contents of a line from the file \\spad{f.}")) (|writeLine!| (((|String|) $) "\\spad{writeLine!(f)} finishes the current line in the file \\spad{f.} An empty string is returned. The call \\spad{writeLine!(f)} is equivalent to \\spad{writeLine!(f,\"\")}.") (((|String|) $ (|String|)) "\\spad{writeLine!(f,s)} writes the contents of the string \\spad{s} and finishes the current line in the file \\spad{f.} The value of \\spad{s} is returned."))) 
 NIL 
 NIL 
-(-1182 R) 
+(-1186 R) 
 ((|constructor| (NIL "Tools for the sign finding utilities.")) (|direction| (((|Integer|) (|String|)) "\\spad{direction(s)} \\undocumented")) (|nonQsign| (((|Union| (|Integer|) "failed") |#1|) "\\spad{nonQsign(r)} \\undocumented")) (|sign| (((|Union| (|Integer|) "failed") |#1|) "\\spad{sign(r)} \\undocumented"))) 
 NIL 
 NIL 
-(-1183) 
+(-1187) 
 ((|constructor| (NIL "This package exports a function for making a \\spadtype{ThreeSpace}")) (|createThreeSpace| (((|ThreeSpace| (|DoubleFloat|))) "\\spad{createThreeSpace()} creates a \\spadtype{ThreeSpace(DoubleFloat)} object capable of holding point, curve, mesh components and any combination."))) 
 NIL 
 NIL 
-(-1184 S) 
+(-1188 S) 
 ((|constructor| (NIL "Category for the transcendental elementary functions.")) (|pi| (($) "\\spad{pi()} returns the constant pi."))) 
 NIL 
 NIL 
-(-1185) 
+(-1189) 
 ((|constructor| (NIL "Category for the transcendental elementary functions.")) (|pi| (($) "\\spad{pi()} returns the constant pi."))) 
 NIL 
 NIL 
-(-1186 S) 
+(-1190 S) 
 ((|constructor| (NIL "\\spadtype{Tree(S)} is a basic domains of tree structures. Each tree is either empty or else is a node consisting of a value and a list of (sub)trees.")) (|cyclicParents| (((|List| $) $) "\\indented{1}{cyclicParents(t) returns a list of cycles that are parents of \\spad{t.}} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclicParents \\spad{t1}")) (|cyclicEqual?| (((|Boolean|) $ $) "\\indented{1}{cyclicEqual?(t1, \\spad{t2)} tests of two cyclic trees have} \\indented{1}{the same structure.} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} t2:=tree [1,2,3,4] \\spad{X} cyclicEqual?(t1,t2)")) (|cyclicEntries| (((|List| $) $) "\\indented{1}{cyclicEntries(t) returns a list of top-level cycles in tree \\spad{t.}} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclicEntries \\spad{t1}")) (|cyclicCopy| (($ $) "\\indented{1}{cyclicCopy(l) makes a copy of a (possibly) cyclic tree \\spad{l.}} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclicCopy \\spad{t1}")) (|cyclic?| (((|Boolean|) $) "\\indented{1}{cyclic?(t) tests if \\spad{t} is a cyclic tree.} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclic? \\spad{t1}")) (|tree| (($ |#1|) "\\indented{1}{tree(nd) creates a tree with value \\spad{nd,} and no children} \\blankline \\spad{X} tree 6") (($ (|List| |#1|)) "\\indented{1}{tree(ls) creates a tree from a list of elements of \\spad{s.}} \\blankline \\spad{X} tree [1,2,3,4]") (($ |#1| (|List| $)) "\\indented{1}{tree(nd,ls) creates a tree with value \\spad{nd,} and children ls.} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} tree(5,[t1])"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
-(-1187 S) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097))))) 
+(-1191 S) 
 ((|constructor| (NIL "Category for the trigonometric functions.")) (|tan| (($ $) "\\spad{tan(x)} returns the tangent of \\spad{x.}")) (|sin| (($ $) "\\spad{sin(x)} returns the sine of \\spad{x.}")) (|sec| (($ $) "\\spad{sec(x)} returns the secant of \\spad{x.}")) (|csc| (($ $) "\\spad{csc(x)} returns the cosecant of \\spad{x.}")) (|cot| (($ $) "\\spad{cot(x)} returns the cotangent of \\spad{x.}")) (|cos| (($ $) "\\spad{cos(x)} returns the cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1188) 
+(-1192) 
 ((|constructor| (NIL "Category for the trigonometric functions.")) (|tan| (($ $) "\\spad{tan(x)} returns the tangent of \\spad{x.}")) (|sin| (($ $) "\\spad{sin(x)} returns the sine of \\spad{x.}")) (|sec| (($ $) "\\spad{sec(x)} returns the secant of \\spad{x.}")) (|csc| (($ $) "\\spad{csc(x)} returns the cosecant of \\spad{x.}")) (|cot| (($ $) "\\spad{cot(x)} returns the cotangent of \\spad{x.}")) (|cos| (($ $) "\\spad{cos(x)} returns the cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1189 R -1647) 
+(-1193 R -3280) 
 ((|constructor| (NIL "\\spadtype{TrigonometricManipulations} provides transformations from trigonometric functions to complex exponentials and logarithms, and back.")) (|complexForm| (((|Complex| |#2|) |#2|) "\\spad{complexForm(f)} returns \\spad{[real \\spad{f,} imag f]}.")) (|real?| (((|Boolean|) |#2|) "\\spad{real?(f)} returns \\spad{true} if \\spad{f = real \\spad{f}.}")) (|imag| ((|#2| |#2|) "\\spad{imag(f)} returns the imaginary part of \\spad{f} where \\spad{f} is a complex function.")) (|real| ((|#2| |#2|) "\\spad{real(f)} returns the real part of \\spad{f} where \\spad{f} is a complex function.")) (|trigs| ((|#2| |#2|) "\\spad{trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (|complexElementary| ((|#2| |#2| (|Symbol|)) "\\spad{complexElementary(f, \\spad{x)}} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.") ((|#2| |#2|) "\\spad{complexElementary(f)} rewrites \\spad{f} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.")) (|complexNormalize| ((|#2| |#2| (|Symbol|)) "\\spad{complexNormalize(f, \\spad{x)}} rewrites \\spad{f} using the least possible number of complex independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{complexNormalize(f)} rewrites \\spad{f} using the least possible number of complex independent kernels."))) 
 NIL 
 NIL 
-(-1190 R |Row| |Col| M) 
+(-1194 R |Row| |Col| M) 
 ((|constructor| (NIL "This package provides functions that compute \"fraction-free\" inverses of upper and lower triangular matrices over a integral domain. By \"fraction-free inverses\" we mean the following: given a matrix \\spad{B} with entries in \\spad{R} and an element \\spad{d} of \\spad{R} such that \\spad{d} * inv(B) also has entries in \\spad{R,} we return \\spad{d} * inv(B). Thus, it is not necessary to pass to the quotient field in any of our computations.")) (|LowTriBddDenomInv| ((|#4| |#4| |#1|) "\\spad{LowTriBddDenomInv(B,d)} returns \\spad{M,} where \\spad{B} is a non-singular lower triangular matrix and \\spad{d} is an element of \\spad{R} such that \\spad{M = \\spad{d} * inv(B)} has entries in \\spad{R.}")) (|UpTriBddDenomInv| ((|#4| |#4| |#1|) "\\spad{UpTriBddDenomInv(B,d)} returns \\spad{M,} where \\spad{B} is a non-singular upper triangular matrix and \\spad{d} is an element of \\spad{R} such that \\spad{M = \\spad{d} * inv(B)} has entries in \\spad{R.}"))) 
 NIL 
 NIL 
-(-1191 R -1647) 
+(-1195 R -3280) 
 ((|constructor| (NIL "TranscendentalManipulations provides functions to simplify and expand expressions involving transcendental operators.")) (|expandTrigProducts| ((|#2| |#2|) "\\spad{expandTrigProducts(e)} replaces \\axiom{sin(x)*sin(y)} by \\spad{(cos(x-y)-cos(x+y))/2}, \\axiom{cos(x)*cos(y)} by \\spad{(cos(x-y)+cos(x+y))/2}, and \\axiom{sin(x)*cos(y)} by \\spad{(sin(x-y)+sin(x+y))/2}. Note that this operation uses the pattern matcher and so is relatively expensive. To avoid getting into an infinite loop the transformations are applied at most ten times.")) (|removeSinhSq| ((|#2| |#2|) "\\spad{removeSinhSq(f)} converts every \\spad{sinh(u)**2} appearing in \\spad{f} into \\spad{1 - cosh(x)**2}, and also reduces higher powers of \\spad{sinh(u)} with that formula.")) (|removeCoshSq| ((|#2| |#2|) "\\spad{removeCoshSq(f)} converts every \\spad{cosh(u)**2} appearing in \\spad{f} into \\spad{1 - sinh(x)**2}, and also reduces higher powers of \\spad{cosh(u)} with that formula.")) (|removeSinSq| ((|#2| |#2|) "\\spad{removeSinSq(f)} converts every \\spad{sin(u)**2} appearing in \\spad{f} into \\spad{1 - cos(x)**2}, and also reduces higher powers of \\spad{sin(u)} with that formula.")) (|removeCosSq| ((|#2| |#2|) "\\spad{removeCosSq(f)} converts every \\spad{cos(u)**2} appearing in \\spad{f} into \\spad{1 - sin(x)**2}, and also reduces higher powers of \\spad{cos(u)} with that formula.")) (|coth2tanh| ((|#2| |#2|) "\\spad{coth2tanh(f)} converts every \\spad{coth(u)} appearing in \\spad{f} into \\spad{1/tanh(u)}.")) (|cot2tan| ((|#2| |#2|) "\\spad{cot2tan(f)} converts every \\spad{cot(u)} appearing in \\spad{f} into \\spad{1/tan(u)}.")) (|tanh2coth| ((|#2| |#2|) "\\spad{tanh2coth(f)} converts every \\spad{tanh(u)} appearing in \\spad{f} into \\spad{1/coth(u)}.")) (|tan2cot| ((|#2| |#2|) "\\spad{tan2cot(f)} converts every \\spad{tan(u)} appearing in \\spad{f} into \\spad{1/cot(u)}.")) (|tanh2trigh| ((|#2| |#2|) "\\spad{tanh2trigh(f)} converts every \\spad{tanh(u)} appearing in \\spad{f} into \\spad{sinh(u)/cosh(u)}.")) (|tan2trig| ((|#2| |#2|) "\\spad{tan2trig(f)} converts every \\spad{tan(u)} appearing in \\spad{f} into \\spad{sin(u)/cos(u)}.")) (|sinh2csch| ((|#2| |#2|) "\\spad{sinh2csch(f)} converts every \\spad{sinh(u)} appearing in \\spad{f} into \\spad{1/csch(u)}.")) (|sin2csc| ((|#2| |#2|) "\\spad{sin2csc(f)} converts every \\spad{sin(u)} appearing in \\spad{f} into \\spad{1/csc(u)}.")) (|sech2cosh| ((|#2| |#2|) "\\spad{sech2cosh(f)} converts every \\spad{sech(u)} appearing in \\spad{f} into \\spad{1/cosh(u)}.")) (|sec2cos| ((|#2| |#2|) "\\spad{sec2cos(f)} converts every \\spad{sec(u)} appearing in \\spad{f} into \\spad{1/cos(u)}.")) (|csch2sinh| ((|#2| |#2|) "\\spad{csch2sinh(f)} converts every \\spad{csch(u)} appearing in \\spad{f} into \\spad{1/sinh(u)}.")) (|csc2sin| ((|#2| |#2|) "\\spad{csc2sin(f)} converts every \\spad{csc(u)} appearing in \\spad{f} into \\spad{1/sin(u)}.")) (|coth2trigh| ((|#2| |#2|) "\\spad{coth2trigh(f)} converts every \\spad{coth(u)} appearing in \\spad{f} into \\spad{cosh(u)/sinh(u)}.")) (|cot2trig| ((|#2| |#2|) "\\spad{cot2trig(f)} converts every \\spad{cot(u)} appearing in \\spad{f} into \\spad{cos(u)/sin(u)}.")) (|cosh2sech| ((|#2| |#2|) "\\spad{cosh2sech(f)} converts every \\spad{cosh(u)} appearing in \\spad{f} into \\spad{1/sech(u)}.")) (|cos2sec| ((|#2| |#2|) "\\spad{cos2sec(f)} converts every \\spad{cos(u)} appearing in \\spad{f} into \\spad{1/sec(u)}.")) (|expandLog| ((|#2| |#2|) "\\spad{expandLog(f)} converts every \\spad{log(a/b)} appearing in \\spad{f} into \\spad{log(a) - log(b)}, and every \\spad{log(a*b)} into \\spad{log(a) + log(b)}..")) (|expandPower| ((|#2| |#2|) "\\spad{expandPower(f)} converts every power \\spad{(a/b)**c} appearing in \\spad{f} into \\spad{a**c * b**(-c)}.")) (|simplifyLog| ((|#2| |#2|) "\\spad{simplifyLog(f)} converts every \\spad{log(a) - log(b)} appearing in \\spad{f} into \\spad{log(a/b)}, every \\spad{log(a) + log(b)} into \\spad{log(a*b)} and every \\spad{n*log(a)} into \\spad{log(a^n)}.")) (|simplifyExp| ((|#2| |#2|) "\\spad{simplifyExp(f)} converts every product \\spad{exp(a)*exp(b)} appearing in \\spad{f} into \\spad{exp(a+b)}.")) (|htrigs| ((|#2| |#2|) "\\spad{htrigs(f)} converts all the exponentials in \\spad{f} into hyperbolic sines and cosines.")) (|simplify| ((|#2| |#2|) "\\spad{simplify(f)} performs the following simplifications on f:\\begin{items} \\item 1. rewrites trigs and hyperbolic trigs in terms of \\spad{sin} ,\\spad{cos}, \\spad{sinh}, \\spad{cosh}. \\item 2. rewrites \\spad{sin**2} and \\spad{sinh**2} in terms of \\spad{cos} and \\spad{cosh}, \\item 3. rewrites \\spad{exp(a)*exp(b)} as \\spad{exp(a+b)}. \\item 4. rewrites \\spad{(a**(1/n))**m * (a**(1/s))**t} as a single power of a single radical of \\spad{a}. \\end{items}")) (|expand| ((|#2| |#2|) "\\spad{expand(f)} performs the following expansions on f:\\begin{items} \\item 1. logs of products are expanded into sums of logs, \\item 2. trigonometric and hyperbolic trigonometric functions of sums are expanded into sums of products of trigonometric and hyperbolic trigonometric functions. \\item 3. formal powers of the form \\spad{(a/b)**c} are expanded into \\spad{a**c * b**(-c)}. \\end{items}"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (|devaluate| |#1|)))) (|HasCategory| |#1| (LIST (QUOTE -883) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -883) (|devaluate| |#1|))))) 
-(-1192 S R E V P) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -612) (LIST (QUOTE -892) (|devaluate| |#1|)))) (|HasCategory| |#1| (LIST (QUOTE -886) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -886) (|devaluate| |#1|))))) 
+(-1196 S R E V P) 
 ((|constructor| (NIL "The category of triangular sets of multivariate polynomials with coefficients in an integral domain. Let \\axiom{R} be an integral domain and \\axiom{V} a finite ordered set of variables, say \\axiom{X1 < \\spad{X2} < \\spad{...} < Xn}. A set \\axiom{S} of polynomials in \\axiom{R[X1,X2,...,Xn]} is triangular if no elements of \\axiom{S} lies in \\axiom{R}, and if two distinct elements of \\axiom{S} have distinct main variables. Note that the empty set is a triangular set. A triangular set is not necessarily a (lexicographical) Groebner basis and the notion of reduction related to triangular sets is based on the recursive view of polynomials. We recall this notion here and refer to \\spad{[1]} for more details. A polynomial \\axiom{P} is reduced w.r.t a non-constant polynomial \\axiom{Q} if the degree of \\axiom{P} in the main variable of \\axiom{Q} is less than the main degree of \\axiom{Q}. A polynomial \\axiom{P} is reduced w.r.t a triangular set \\axiom{T} if it is reduced w.r.t. every polynomial of \\axiom{T}.")) (|coHeight| (((|NonNegativeInteger|) $) "\\axiom{coHeight(ts)} returns \\axiom{size()\\$V} minus \\axiom{\\#ts}.")) (|extend| (($ $ |#5|) "\\axiom{extend(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current category. If the required properties do not hold an error is returned.")) (|extendIfCan| (((|Union| $ "failed") $ |#5|) "\\axiom{extendIfCan(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current domain. If the required properties do not hold then \"failed\" is returned. This operation encodes in some sense the properties of the triangular sets of the current category. Is is used to implement the \\axiom{construct} operation to guarantee that every triangular set build from a list of polynomials has the required properties.")) (|select| (((|Union| |#5| "failed") $ |#4|) "\\axiom{select(ts,v)} returns the polynomial of \\axiom{ts} with \\axiom{v} as main variable, if any.")) (|algebraic?| (((|Boolean|) |#4| $) "\\axiom{algebraic?(v,ts)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ts}.")) (|algebraicVariables| (((|List| |#4|) $) "\\axiom{algebraicVariables(ts)} returns the decreasingly sorted list of the main variables of the polynomials of \\axiom{ts}.")) (|rest| (((|Union| $ "failed") $) "\\axiom{rest(ts)} returns the polynomials of \\axiom{ts} with smaller main variable than \\axiom{mvar(ts)} if \\axiom{ts} is not empty, otherwise returns \"failed\"")) (|last| (((|Union| |#5| "failed") $) "\\axiom{last(ts)} returns the polynomial of \\axiom{ts} with smallest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|first| (((|Union| |#5| "failed") $) "\\axiom{first(ts)} returns the polynomial of \\axiom{ts} with greatest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#5|)))) (|List| |#5|)) "\\axiom{zeroSetSplitIntoTriangularSystems(lp)} returns a list of triangular systems \\axiom{[[ts1,qs1],...,[tsn,qsn]]} such that the zero set of \\axiom{lp} is the union of the closures of the \\axiom{W_i} where \\axiom{W_i} consists of the zeros of \\axiom{ts} which do not cancel any polynomial in \\axiom{qsi}.")) (|zeroSetSplit| (((|List| $) (|List| |#5|)) "\\axiom{zeroSetSplit(lp)} returns a list \\axiom{lts} of triangular sets such that the zero set of \\axiom{lp} is the union of the closures of the regular zero sets of the members of \\axiom{lts}.")) (|reduceByQuasiMonic| ((|#5| |#5| $) "\\axiom{reduceByQuasiMonic(p,ts)} returns the same as \\axiom{remainder(p,collectQuasiMonic(ts)).polnum}.")) (|collectQuasiMonic| (($ $) "\\axiom{collectQuasiMonic(ts)} returns the subset of \\axiom{ts} consisting of the polynomials with initial in \\axiom{R}.")) (|removeZero| ((|#5| |#5| $) "\\axiom{removeZero(p,ts)} returns \\axiom{0} if \\axiom{p} reduces to \\axiom{0} by pseudo-division w.r.t \\axiom{ts} otherwise returns a polynomial \\axiom{q} computed from \\axiom{p} by removing any coefficient in \\axiom{p} reducing to \\axiom{0}.")) (|initiallyReduce| ((|#5| |#5| $) "\\axiom{initiallyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|headReduce| ((|#5| |#5| $) "\\axiom{headReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{headReduce?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|stronglyReduce| ((|#5| |#5| $) "\\axiom{stronglyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{stronglyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|rewriteSetWithReduction| (((|List| |#5|) (|List| |#5|) $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{rewriteSetWithReduction(lp,ts,redOp,redOp?)} returns a list \\axiom{lq} of polynomials such that \\axiom{[reduce(p,ts,redOp,redOp?) for \\spad{p} in lp]} and \\axiom{lp} have the same zeros inside the regular zero set of \\axiom{ts}. Moreover, for every polynomial \\axiom{q} in \\axiom{lq} and every polynomial \\axiom{t} in \\axiom{ts} \\axiom{redOp?(q,t)} holds and there exists a polynomial \\axiom{p} in the ideal generated by \\axiom{lp} and a product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|reduce| ((|#5| |#5| $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{reduce(p,ts,redOp,redOp?)} returns a polynomial \\axiom{r} such that \\axiom{redOp?(r,p)} holds for every \\axiom{p} of \\axiom{ts} and there exists some product \\axiom{h} of the initials of the members of \\axiom{ts} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#5| (|List| |#5|))) "\\axiom{autoReduced?(ts,redOp?)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to every other in the sense of \\axiom{redOp?}")) (|initiallyReduced?| (((|Boolean|) $) "\\spad{initiallyReduced?(ts)} returns \\spad{true} iff for every element \\axiom{p} of \\axiom{ts}. \\axiom{p} and all its iterated initials are reduced w.r.t. to the other elements of \\axiom{ts} with the same main variable.") (((|Boolean|) |#5| $) "\\axiom{initiallyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials are reduced w.r.t. to the elements of \\axiom{ts} with the same main variable.")) (|headReduced?| (((|Boolean|) $) "\\spad{headReduced?(ts)} returns \\spad{true} iff the head of every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#5| $) "\\axiom{headReduced?(p,ts)} returns \\spad{true} iff the head of \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|stronglyReduced?| (((|Boolean|) $) "\\axiom{stronglyReduced?(ts)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#5| $) "\\axiom{stronglyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|reduced?| (((|Boolean|) |#5| $ (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{reduced?(p,ts,redOp?)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t.in the sense of the operation \\axiom{redOp?}, that is if for every \\axiom{t} in \\axiom{ts} \\axiom{redOp?(p,t)} holds.")) (|normalized?| (((|Boolean|) $) "\\axiom{normalized?(ts)} returns \\spad{true} iff for every axiom{p} in \\axiom{ts} we have \\axiom{normalized?(p,us)} where \\axiom{us} is \\axiom{collectUnder(ts,mvar(p))}.") (((|Boolean|) |#5| $) "\\axiom{normalized?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials have degree zero w.r.t. the main variables of the polynomials of \\axiom{ts}")) (|quasiComponent| (((|Record| (|:| |close| (|List| |#5|)) (|:| |open| (|List| |#5|))) $) "\\axiom{quasiComponent(ts)} returns \\axiom{[lp,lq]} where \\axiom{lp} is the list of the members of \\axiom{ts} and \\axiom{lq}is \\axiom{initials(ts)}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(ts)} returns the product of main degrees of the members of \\axiom{ts}.")) (|initials| (((|List| |#5|) $) "\\axiom{initials(ts)} returns the list of the non-constant initials of the members of \\axiom{ts}.")) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{basicSet(ps,pred?,redOp?)} returns the same as \\axiom{basicSet(qs,redOp?)} where \\axiom{qs} consists of the polynomials of \\axiom{ps} satisfying property \\axiom{pred?}.") (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{basicSet(ps,redOp?)} returns \\axiom{[bs,ts]} where \\axiom{concat(bs,ts)} is \\axiom{ps} and \\axiom{bs} is a basic set in Wu Wen Tsun sense of \\axiom{ps} w.r.t the reduction-test \\axiom{redOp?}, if no non-zero constant polynomial lie in \\axiom{ps}, otherwise \\axiom{\"failed\"} is returned.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(ts1,ts2)} returns \\spad{true} iff \\axiom{ts2} has higher rank than \\axiom{ts1} in Wu Wen Tsun sense."))) 
 NIL 
-((|HasCategory| |#4| (QUOTE (-371)))) 
-(-1193 R E V P) 
+((|HasCategory| |#4| (QUOTE (-373)))) 
+(-1197 R E V P) 
 ((|constructor| (NIL "The category of triangular sets of multivariate polynomials with coefficients in an integral domain. Let \\axiom{R} be an integral domain and \\axiom{V} a finite ordered set of variables, say \\axiom{X1 < \\spad{X2} < \\spad{...} < Xn}. A set \\axiom{S} of polynomials in \\axiom{R[X1,X2,...,Xn]} is triangular if no elements of \\axiom{S} lies in \\axiom{R}, and if two distinct elements of \\axiom{S} have distinct main variables. Note that the empty set is a triangular set. A triangular set is not necessarily a (lexicographical) Groebner basis and the notion of reduction related to triangular sets is based on the recursive view of polynomials. We recall this notion here and refer to \\spad{[1]} for more details. A polynomial \\axiom{P} is reduced w.r.t a non-constant polynomial \\axiom{Q} if the degree of \\axiom{P} in the main variable of \\axiom{Q} is less than the main degree of \\axiom{Q}. A polynomial \\axiom{P} is reduced w.r.t a triangular set \\axiom{T} if it is reduced w.r.t. every polynomial of \\axiom{T}.")) (|coHeight| (((|NonNegativeInteger|) $) "\\axiom{coHeight(ts)} returns \\axiom{size()\\$V} minus \\axiom{\\#ts}.")) (|extend| (($ $ |#4|) "\\axiom{extend(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current category. If the required properties do not hold an error is returned.")) (|extendIfCan| (((|Union| $ "failed") $ |#4|) "\\axiom{extendIfCan(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current domain. If the required properties do not hold then \"failed\" is returned. This operation encodes in some sense the properties of the triangular sets of the current category. Is is used to implement the \\axiom{construct} operation to guarantee that every triangular set build from a list of polynomials has the required properties.")) (|select| (((|Union| |#4| "failed") $ |#3|) "\\axiom{select(ts,v)} returns the polynomial of \\axiom{ts} with \\axiom{v} as main variable, if any.")) (|algebraic?| (((|Boolean|) |#3| $) "\\axiom{algebraic?(v,ts)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ts}.")) (|algebraicVariables| (((|List| |#3|) $) "\\axiom{algebraicVariables(ts)} returns the decreasingly sorted list of the main variables of the polynomials of \\axiom{ts}.")) (|rest| (((|Union| $ "failed") $) "\\axiom{rest(ts)} returns the polynomials of \\axiom{ts} with smaller main variable than \\axiom{mvar(ts)} if \\axiom{ts} is not empty, otherwise returns \"failed\"")) (|last| (((|Union| |#4| "failed") $) "\\axiom{last(ts)} returns the polynomial of \\axiom{ts} with smallest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|first| (((|Union| |#4| "failed") $) "\\axiom{first(ts)} returns the polynomial of \\axiom{ts} with greatest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) "\\axiom{zeroSetSplitIntoTriangularSystems(lp)} returns a list of triangular systems \\axiom{[[ts1,qs1],...,[tsn,qsn]]} such that the zero set of \\axiom{lp} is the union of the closures of the \\axiom{W_i} where \\axiom{W_i} consists of the zeros of \\axiom{ts} which do not cancel any polynomial in \\axiom{qsi}.")) (|zeroSetSplit| (((|List| $) (|List| |#4|)) "\\axiom{zeroSetSplit(lp)} returns a list \\axiom{lts} of triangular sets such that the zero set of \\axiom{lp} is the union of the closures of the regular zero sets of the members of \\axiom{lts}.")) (|reduceByQuasiMonic| ((|#4| |#4| $) "\\axiom{reduceByQuasiMonic(p,ts)} returns the same as \\axiom{remainder(p,collectQuasiMonic(ts)).polnum}.")) (|collectQuasiMonic| (($ $) "\\axiom{collectQuasiMonic(ts)} returns the subset of \\axiom{ts} consisting of the polynomials with initial in \\axiom{R}.")) (|removeZero| ((|#4| |#4| $) "\\axiom{removeZero(p,ts)} returns \\axiom{0} if \\axiom{p} reduces to \\axiom{0} by pseudo-division w.r.t \\axiom{ts} otherwise returns a polynomial \\axiom{q} computed from \\axiom{p} by removing any coefficient in \\axiom{p} reducing to \\axiom{0}.")) (|initiallyReduce| ((|#4| |#4| $) "\\axiom{initiallyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|headReduce| ((|#4| |#4| $) "\\axiom{headReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{headReduce?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|stronglyReduce| ((|#4| |#4| $) "\\axiom{stronglyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{stronglyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{rewriteSetWithReduction(lp,ts,redOp,redOp?)} returns a list \\axiom{lq} of polynomials such that \\axiom{[reduce(p,ts,redOp,redOp?) for \\spad{p} in lp]} and \\axiom{lp} have the same zeros inside the regular zero set of \\axiom{ts}. Moreover, for every polynomial \\axiom{q} in \\axiom{lq} and every polynomial \\axiom{t} in \\axiom{ts} \\axiom{redOp?(q,t)} holds and there exists a polynomial \\axiom{p} in the ideal generated by \\axiom{lp} and a product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|reduce| ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{reduce(p,ts,redOp,redOp?)} returns a polynomial \\axiom{r} such that \\axiom{redOp?(r,p)} holds for every \\axiom{p} of \\axiom{ts} and there exists some product \\axiom{h} of the initials of the members of \\axiom{ts} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) "\\axiom{autoReduced?(ts,redOp?)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to every other in the sense of \\axiom{redOp?}")) (|initiallyReduced?| (((|Boolean|) $) "\\spad{initiallyReduced?(ts)} returns \\spad{true} iff for every element \\axiom{p} of \\axiom{ts}. \\axiom{p} and all its iterated initials are reduced w.r.t. to the other elements of \\axiom{ts} with the same main variable.") (((|Boolean|) |#4| $) "\\axiom{initiallyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials are reduced w.r.t. to the elements of \\axiom{ts} with the same main variable.")) (|headReduced?| (((|Boolean|) $) "\\spad{headReduced?(ts)} returns \\spad{true} iff the head of every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#4| $) "\\axiom{headReduced?(p,ts)} returns \\spad{true} iff the head of \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|stronglyReduced?| (((|Boolean|) $) "\\axiom{stronglyReduced?(ts)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#4| $) "\\axiom{stronglyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{reduced?(p,ts,redOp?)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t.in the sense of the operation \\axiom{redOp?}, that is if for every \\axiom{t} in \\axiom{ts} \\axiom{redOp?(p,t)} holds.")) (|normalized?| (((|Boolean|) $) "\\axiom{normalized?(ts)} returns \\spad{true} iff for every axiom{p} in \\axiom{ts} we have \\axiom{normalized?(p,us)} where \\axiom{us} is \\axiom{collectUnder(ts,mvar(p))}.") (((|Boolean|) |#4| $) "\\axiom{normalized?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials have degree zero w.r.t. the main variables of the polynomials of \\axiom{ts}")) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) "\\axiom{quasiComponent(ts)} returns \\axiom{[lp,lq]} where \\axiom{lp} is the list of the members of \\axiom{ts} and \\axiom{lq}is \\axiom{initials(ts)}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(ts)} returns the product of main degrees of the members of \\axiom{ts}.")) (|initials| (((|List| |#4|) $) "\\axiom{initials(ts)} returns the list of the non-constant initials of the members of \\axiom{ts}.")) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{basicSet(ps,pred?,redOp?)} returns the same as \\axiom{basicSet(qs,redOp?)} where \\axiom{qs} consists of the polynomials of \\axiom{ps} satisfying property \\axiom{pred?}.") (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{basicSet(ps,redOp?)} returns \\axiom{[bs,ts]} where \\axiom{concat(bs,ts)} is \\axiom{ps} and \\axiom{bs} is a basic set in Wu Wen Tsun sense of \\axiom{ps} w.r.t the reduction-test \\axiom{redOp?}, if no non-zero constant polynomial lie in \\axiom{ps}, otherwise \\axiom{\"failed\"} is returned.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(ts1,ts2)} returns \\spad{true} iff \\axiom{ts2} has higher rank than \\axiom{ts1} in Wu Wen Tsun sense."))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
-(-1194 |Coef|) 
+(-1198 |Coef|) 
 ((|constructor| (NIL "\\spadtype{TaylorSeries} is a general multivariate Taylor series domain over the ring Coef and with variables of type Symbol.")) (|fintegrate| (($ (|Mapping| $) (|Symbol|) |#1|) "\\spad{fintegrate(f,v,c)} is the integral of \\spad{f()} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.} \\indented{1}{The evaluation of \\spad{f()} is delayed.}")) (|integrate| (($ $ (|Symbol|) |#1|) "\\spad{integrate(s,v,c)} is the integral of \\spad{s} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.}")) (|coerce| (($ (|Polynomial| |#1|)) "\\spad{coerce(s)} regroups terms of \\spad{s} by total degree \\indented{1}{and forms a series.}") (($ (|Symbol|)) "\\spad{coerce(s)} converts a variable to a Taylor series")) (|coefficient| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{coefficient(s, \\spad{n)}} gives the terms of total degree \\spad{n.}"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-559))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-1195 |Curve|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-561))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-367)))) 
+(-1199 |Curve|) 
 ((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves. Domain of tubes around 3-dimensional parametric curves.")) (|tube| (($ |#1| (|List| (|List| (|Point| (|DoubleFloat|)))) (|Boolean|)) "\\spad{tube(c,ll,b)} creates a tube of the domain \\spadtype{TubePlot} from a space curve \\spad{c} of the category \\spadtype{PlottableSpaceCurveCategory}, a list of lists of points (loops) \\spad{ll} and a boolean \\spad{b} which if \\spad{true} indicates a closed tube, or if \\spad{false} an open tube.")) (|setClosed| (((|Boolean|) $ (|Boolean|)) "\\spad{setClosed(t,b)} declares the given tube plot \\spad{t} to be closed if \\spad{b} is true, or if \\spad{b} is false, \\spad{t} is set to be open.")) (|open?| (((|Boolean|) $) "\\spad{open?(t)} tests whether the given tube plot \\spad{t} is open.")) (|closed?| (((|Boolean|) $) "\\spad{closed?(t)} tests whether the given tube plot \\spad{t} is closed.")) (|listLoops| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listLoops(t)} returns the list of lists of points, or the 'loops', of the given tube plot \\spad{t.}")) (|getCurve| ((|#1| $) "\\spad{getCurve(t)} returns the \\spadtype{PlottableSpaceCurveCategory} representing the parametric curve of the given tube plot \\spad{t.}"))) 
 NIL 
 NIL 
-(-1196) 
+(-1200) 
 ((|constructor| (NIL "Tools for constructing tubes around 3-dimensional parametric curves.")) (|loopPoints| (((|List| (|Point| (|DoubleFloat|))) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|List| (|List| (|DoubleFloat|)))) "\\spad{loopPoints(p,n,b,r,lls)} creates and returns a list of points which form the loop with radius \\spad{r,} around the center point indicated by the point \\spad{p,} with the principal normal vector of the space curve at point \\spad{p} given by the point(vector) \\spad{n,} and the binormal vector given by the point(vector) \\spad{b,} and a list of lists, lls, which is the \\spadfun{cosSinInfo} of the number of points defining the loop.")) (|cosSinInfo| (((|List| (|List| (|DoubleFloat|))) (|Integer|)) "\\spad{cosSinInfo(n)} returns the list of lists of values for \\spad{n,} in the form \\spad{[[cos(n-1) a,sin(n-1) a],...,[cos 2 a,sin 2 a],[cos a,sin a]]} where \\spad{a = 2 pi/n}. Note that \\spad{n} should be greater than 2.")) (|unitVector| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{unitVector(p)} creates the unit vector of the point \\spad{p} and returns the result as a point. Note that \\spad{unitVector(p) = p/|p|}.")) (|cross| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{cross(p,q)} computes the cross product of the two points \\spad{p} and \\spad{q} using only the first three coordinates, and keeping the color of the first point \\spad{p.} The result is returned as a point.")) (|dot| (((|DoubleFloat|) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{dot(p,q)} computes the dot product of the two points \\spad{p} and \\spad{q} using only the first three coordinates, and returns the resulting \\spadtype{DoubleFloat}.")) (- (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{p - \\spad{q}} computes and returns a point whose coordinates are the differences of the coordinates of two points \\spad{p} and \\spad{q}, using the color, or fourth coordinate, of the first point \\spad{p} as the color also of the point \\spad{q}.")) (+ (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{p + \\spad{q}} computes and returns a point whose coordinates are the sums of the coordinates of the two points \\spad{p} and \\spad{q}, using the color, or fourth coordinate, of the first point \\spad{p} as the color also of the point \\spad{q}.")) (* (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|Point| (|DoubleFloat|))) "\\spad{s * \\spad{p}} returns a point whose coordinates are the scalar multiple of the point \\spad{p} by the scalar \\spad{s,} preserving the color, or fourth coordinate, of \\spad{p.}")) (|point| (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{point(x1,x2,x3,c)} creates and returns a point from the three specified coordinates \\spad{x1}, \\spad{x2}, \\spad{x3}, and also a fourth coordinate, \\spad{c,} which is generally used to specify the color of the point."))) 
 NIL 
 NIL 
-(-1197 S) 
+(-1201 S) 
 ((|constructor| (NIL "This domain is used to interface with the interpreter's notion of comma-delimited sequences of values.")) (|length| (((|NonNegativeInteger|) $) "\\indented{1}{length(x) returns the number of elements in tuple \\spad{x}} \\blankline \\spad{X} t1:PrimitiveArray(Integer):= \\spad{[i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(t1)$Tuple(Integer) \\spad{X} length(t2)")) (|select| ((|#1| $ (|NonNegativeInteger|)) "\\indented{1}{select(x,n) returns the \\spad{n}-th element of tuple \\spad{x.}} \\indented{1}{tuples are 0-based} \\blankline \\spad{X} t1:PrimitiveArray(Integer):= \\spad{[i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(t1)$Tuple(Integer) \\spad{X} select(t2,3)")) (|coerce| (($ (|PrimitiveArray| |#1|)) "\\indented{1}{coerce(a) makes a tuple from primitive array a} \\blankline \\spad{X} t1:PrimitiveArray(Integer):= \\spad{[i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(t1)$Tuple(Integer)"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1093)))) 
-(-1198 -1647) 
+((|HasCategory| |#1| (QUOTE (-1097)))) 
+(-1202 -3280) 
 ((|constructor| (NIL "A basic package for the factorization of bivariate polynomials over a finite field. The functions here represent the base step for the multivariate factorizer.")) (|twoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) (|Integer|)) "\\spad{twoFactor(p,n)} returns the factorisation of polynomial \\spad{p,} a sparse univariate polynomial (sup) over a sup over \\spad{F.} Also, \\spad{p} is assumed primitive and square-free and \\spad{n} is the degree of the inner variable of \\spad{p} (maximum of the degrees of the coefficients of \\spad{p).}")) (|generalSqFr| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalSqFr(p)} returns the square-free factorisation of polynomial \\spad{p,} a sparse univariate polynomial (sup) over a sup over \\spad{F.}")) (|generalTwoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalTwoFactor(p)} returns the factorisation of polynomial \\spad{p,} a sparse univariate polynomial (sup) over a sup over \\spad{F.}"))) 
 NIL 
 NIL 
-(-1199) 
+(-1203) 
 ((|constructor| (NIL "The fundamental Type."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-1200) 
+(-1204) 
 ((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of 16-bit integers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new \\spad{n} by \\spad{m} matrix of zeros.} \\blankline \\spad{X} qnew(3,4)$U16Matrix()"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-569) (QUOTE (-1093))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-559))) (|HasAttribute| (-569) (QUOTE (-4573 "*"))) (|HasCategory| (-569) (QUOTE (-173))) (|HasCategory| (-569) (QUOTE (-366)))) 
-(-1201) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-571) (QUOTE (-1097))) (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-302))) (|HasCategory| (-571) (QUOTE (-561))) (|HasAttribute| (-571) (QUOTE (-4602 "*"))) (|HasCategory| (-571) (QUOTE (-173))) (|HasCategory| (-571) (QUOTE (-367)))) 
+(-1205) 
 ((|constructor| (NIL "\\indented{2}{fill!(x, \\spad{s)} modifies a vector \\spad{x} so every element has value \\spad{s}} \\blankline \\spad{X} t1:=new(10,7)$U16Vector \\spad{X} fill!(t1,9)"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| (-569) (QUOTE (-1093))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-1093)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-844)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))))) 
-(-1202) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| (-571) (QUOTE (-1097))) (|HasCategory| (-571) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-571) (QUOTE (-847))) (-1831 (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| (-571) (QUOTE (-1097)))) (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-847)))) (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1097)))))) 
+(-1206) 
 ((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of 32-bit integers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new \\spad{n} by \\spad{m} matrix of zeros.} \\blankline \\spad{X} qnew(3,4)$U32Matrix()"))) 
-((-4571 . T) (-4572 . T)) 
-((|HasCategory| (-569) (QUOTE (-1093))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-559))) (|HasAttribute| (-569) (QUOTE (-4573 "*"))) (|HasCategory| (-569) (QUOTE (-173))) (|HasCategory| (-569) (QUOTE (-366)))) 
-(-1203) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-571) (QUOTE (-1097))) (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-302))) (|HasCategory| (-571) (QUOTE (-561))) (|HasAttribute| (-571) (QUOTE (-4602 "*"))) (|HasCategory| (-571) (QUOTE (-173))) (|HasCategory| (-571) (QUOTE (-367)))) 
+(-1207) 
 ((|constructor| (NIL "\\indented{2}{fill!(x, \\spad{s)} modifies a vector \\spad{x} so every element has value \\spad{s}} \\blankline \\spad{X} t1:=new(10,7)$U32Vector \\spad{X} fill!(t1,9)"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| (-569) (QUOTE (-1093))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-1093)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-844)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))))) 
-(-1204) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| (-571) (QUOTE (-1097))) (|HasCategory| (-571) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-571) (QUOTE (-847))) (-1831 (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| (-571) (QUOTE (-1097)))) (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-847)))) (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1097)))))) 
+(-1208) 
+((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of 8-bit integers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new \\spad{n} by \\spad{m} matrix of zeros.} \\blankline \\spad{X} qnew(3,4)$U8Matrix()"))) 
+((-4600 . T) (-4601 . T)) 
+((|HasCategory| (-571) (QUOTE (-1097))) (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-302))) (|HasCategory| (-571) (QUOTE (-561))) (|HasAttribute| (-571) (QUOTE (-4602 "*"))) (|HasCategory| (-571) (QUOTE (-173))) (|HasCategory| (-571) (QUOTE (-367)))) 
+(-1209) 
 ((|constructor| (NIL "\\indented{2}{fill!(x, \\spad{s)} modifies a vector \\spad{x} so every element has value \\spad{s}} \\blankline \\spad{X} t1:=new(10,7)$U8Vector \\spad{X} fill!(t1,9)"))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| (-569) (QUOTE (-1093))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-1093)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-844)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))))) 
-(-1205 S) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| (-571) (QUOTE (-1097))) (|HasCategory| (-571) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| (-571) (QUOTE (-847))) (-1831 (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| (-571) (QUOTE (-1097)))) (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-847)))) (-12 (|HasCategory| (-571) (LIST (QUOTE -304) (QUOTE (-571)))) (|HasCategory| (-571) (QUOTE (-1097)))))) 
+(-1210 S) 
 ((|constructor| (NIL "Provides functions to force a partial ordering on any set.")) (|more?| (((|Boolean|) |#1| |#1|) "\\spad{more?(a, \\spad{b)}} compares a and \\spad{b} in the partial ordering induced by setOrder, and uses the ordering on \\spad{S} if a and \\spad{b} are not comparable in the partial ordering.")) (|userOrdered?| (((|Boolean|)) "\\spad{userOrdered?()} tests if the partial ordering induced by setOrder is not empty.")) (|largest| ((|#1| (|List| |#1|)) "\\spad{largest \\spad{l}} returns the largest element of \\spad{l} where the partial ordering induced by setOrder is completed into a total one by the ordering on \\spad{S.}") ((|#1| (|List| |#1|) (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{largest(l, fn)} returns the largest element of \\spad{l} where the partial ordering induced by setOrder is completed into a total one by \\spad{fn.}")) (|less?| (((|Boolean|) |#1| |#1| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{less?(a, \\spad{b,} fn)} compares \\spad{a} and \\spad{b} in the partial ordering induced by setOrder, and returns \\spad{fn(a, \\spad{b)}} if \\spad{a} and \\spad{b} are not comparable in that ordering.") (((|Union| (|Boolean|) "failed") |#1| |#1|) "\\spad{less?(a, \\spad{b)}} compares \\spad{a} and \\spad{b} in the partial ordering induced by setOrder.")) (|getOrder| (((|Record| (|:| |low| (|List| |#1|)) (|:| |high| (|List| |#1|)))) "\\spad{getOrder()} returns \\spad{[[b1,...,bm], [a1,...,an]]} such that the partial ordering on \\spad{S} was given by \\spad{setOrder([b1,...,bm],[a1,...,an])}.")) (|setOrder| (((|Void|) (|List| |#1|) (|List| |#1|)) "\\spad{setOrder([b1,...,bm], [a1,...,an])} defines a partial ordering on \\spad{S} given \\spad{by:} \\indented{3}{(1)\\space{2}\\spad{b1 < \\spad{b2} < \\spad{...} < \\spad{bm} < \\spad{a1} < \\spad{a2} < \\spad{...} < an}.} \\indented{3}{(2)\\space{2}\\spad{bj < \\spad{c} < ai}\\space{2}for \\spad{c} not among the ai's and bj's.} \\indented{3}{(3)\\space{2}undefined on \\spad{(c,d)} if neither is among the ai's,bj's.}") (((|Void|) (|List| |#1|)) "\\spad{setOrder([a1,...,an])} defines a partial ordering on \\spad{S} given \\spad{by:} \\indented{3}{(1)\\space{2}\\spad{a1 < \\spad{a2} < \\spad{...} < an}.} \\indented{3}{(2)\\space{2}\\spad{b < ai\\space{3}for \\spad{i} = 1..n} and \\spad{b} not among the ai's.} \\indented{3}{(3)\\space{2}undefined on \\spad{(b, \\spad{c)}} if neither is among the ai's.}"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-844)))) 
-(-1206) 
+((|HasCategory| |#1| (QUOTE (-847)))) 
+(-1211) 
 ((|constructor| (NIL "This packages provides functions to allow the user to select the ordering on the variables and operators for displaying polynomials, fractions and expressions. The ordering affects the display only and not the computations.")) (|resetVariableOrder| (((|Void|)) "\\spad{resetVariableOrder()} cancels any previous use of setVariableOrder and returns to the default system ordering.")) (|getVariableOrder| (((|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) "\\spad{getVariableOrder()} returns \\spad{[[b1,...,bm], [a1,...,an]]} such that the ordering on the variables was given by \\spad{setVariableOrder([b1,...,bm], [a1,...,an])}.")) (|setVariableOrder| (((|Void|) (|List| (|Symbol|)) (|List| (|Symbol|))) "\\spad{setVariableOrder([b1,...,bm], [a1,...,an])} defines an ordering on the variables given by \\spad{b1 > \\spad{b2} > \\spad{...} > \\spad{bm} \\spad{>}} other variables \\spad{> \\spad{a1} > \\spad{a2} > \\spad{...} > an}.") (((|Void|) (|List| (|Symbol|))) "\\spad{setVariableOrder([a1,...,an])} defines an ordering on the variables given by \\spad{a1 > \\spad{a2} > \\spad{...} > an > other variables}."))) 
 NIL 
 NIL 
-(-1207 S) 
+(-1212 S) 
 ((|constructor| (NIL "A constructive unique factorization domain, \\spadignore{i.e.} where we can constructively factor members into a product of a finite number of irreducible elements.")) (|factor| (((|Factored| $) $) "\\spad{factor(x)} returns the factorization of \\spad{x} into irreducibles.")) (|squareFreePart| (($ $) "\\spad{squareFreePart(x)} returns a product of prime factors of \\spad{x} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns the square-free factorization of \\spad{x} \\spadignore{i.e.} such that the factors are pairwise relatively prime and each has multiple prime factors.")) (|prime?| (((|Boolean|) $) "\\spad{prime?(x)} tests if \\spad{x} can never be written as the product of two non-units of the ring, \\spadignore{i.e.} \\spad{x} is an irreducible element."))) 
 NIL 
 NIL 
-(-1208) 
+(-1213) 
 ((|constructor| (NIL "A constructive unique factorization domain, \\spadignore{i.e.} where we can constructively factor members into a product of a finite number of irreducible elements.")) (|factor| (((|Factored| $) $) "\\spad{factor(x)} returns the factorization of \\spad{x} into irreducibles.")) (|squareFreePart| (($ $) "\\spad{squareFreePart(x)} returns a product of prime factors of \\spad{x} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns the square-free factorization of \\spad{x} \\spadignore{i.e.} such that the factors are pairwise relatively prime and each has multiple prime factors.")) (|prime?| (((|Boolean|) $) "\\spad{prime?(x)} tests if \\spad{x} can never be written as the product of two non-units of the ring, \\spadignore{i.e.} \\spad{x} is an irreducible element."))) 
-((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1209 |Coef|) 
+(-1214 |Coef|) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
-(-1210 |Coef|) 
+(-1215 |Coef|) 
 ((|constructor| (NIL "This domain has no description"))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|))))) (|HasCategory| (-765) (QUOTE (-1105))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
-(-1211 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-768)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-768)) (|devaluate| |#1|))))) (|HasCategory| (-768) (QUOTE (-1109))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-768))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-768))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|))))))) 
+(-1216 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
 ((|constructor| (NIL "Mapping package for univariate Laurent series This package allows one to apply a function to the coefficients of a univariate Laurent series.")) (|map| (((|UnivariateLaurentSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariateLaurentSeries| |#1| |#3| |#5|)) "\\spad{map(f,g(x))} applies the map \\spad{f} to the coefficients of the Laurent series \\spad{g(x)}."))) 
 NIL 
 NIL 
-(-1212 |Coef|) 
+(-1217 |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariateLaurentSeriesCategory} is the category of Laurent series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 1. We may integrate a series when we can divide coefficients by integers.")) (|rationalFunction| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|) (|Integer|)) "\\spad{rationalFunction(f,k1,k2)} returns a rational function consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) "\\spad{rationalFunction(f,k)} returns a rational function consisting of the sum of all terms of \\spad{f} of degree \\spad{<=} \\spad{k.}")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(f,sum(n = n0..infinity,a[n] * x**n)) = sum(n = 0..infinity,f(n) * a[n] * x**n)}. This function is used when Puiseux series are represented by a Laurent series and an exponent.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1213 S |Coef| UTS) 
+(-1218 S |Coef| UTS) 
 ((|constructor| (NIL "This is a category of univariate Laurent series constructed from univariate Taylor series. A Laurent series is represented by a pair \\spad{[n,f(x)]}, where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}.")) (|taylorIfCan| (((|Union| |#3| "failed") $) "\\spad{taylorIfCan(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. If this is not possible, \"failed\" is returned.")) (|taylor| ((|#3| $) "\\spad{taylor(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. Error: if this is not possible.")) (|coerce| (($ |#3|) "\\spad{coerce(f(x))} converts the Taylor series \\spad{f(x)} to a Laurent series.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,f(x))} removes up to \\spad{n} leading zeroes from the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable.") (($ $) "\\spad{removeZeroes(f(x))} removes leading zeroes from the representation of the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable. Note that \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}")) (|taylorRep| ((|#3| $) "\\spad{taylorRep(f(x))} returns \\spad{g(x)}, where \\spad{f = x**n * g(x)} is represented by \\spad{[n,g(x)]}.")) (|degree| (((|Integer|) $) "\\spad{degree(f(x))} returns the degree of the lowest order term of \\spad{f(x)}, which may have zero as a coefficient.")) (|laurent| (($ (|Integer|) |#3|) "\\spad{laurent(n,f(x))} returns \\spad{x**n * f(x)}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-366)))) 
-(-1214 |Coef| UTS) 
+((|HasCategory| |#2| (QUOTE (-367)))) 
+(-1219 |Coef| UTS) 
 ((|constructor| (NIL "This is a category of univariate Laurent series constructed from univariate Taylor series. A Laurent series is represented by a pair \\spad{[n,f(x)]}, where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}.")) (|taylorIfCan| (((|Union| |#2| "failed") $) "\\spad{taylorIfCan(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. If this is not possible, \"failed\" is returned.")) (|taylor| ((|#2| $) "\\spad{taylor(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. Error: if this is not possible.")) (|coerce| (($ |#2|) "\\spad{coerce(f(x))} converts the Taylor series \\spad{f(x)} to a Laurent series.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,f(x))} removes up to \\spad{n} leading zeroes from the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable.") (($ $) "\\spad{removeZeroes(f(x))} removes leading zeroes from the representation of the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable. Note that \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}")) (|taylorRep| ((|#2| $) "\\spad{taylorRep(f(x))} returns \\spad{g(x)}, where \\spad{f = x**n * g(x)} is represented by \\spad{[n,g(x)]}.")) (|degree| (((|Integer|) $) "\\spad{degree(f(x))} returns the degree of the lowest order term of \\spad{f(x)}, which may have zero as a coefficient.")) (|laurent| (($ (|Integer|) |#2|) "\\spad{laurent(n,f(x))} returns \\spad{x**n * f(x)}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4317 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-3348 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1215 |Coef| UTS) 
+(-1220 |Coef| UTS) 
 ((|constructor| (NIL "This package enables one to construct a univariate Laurent series domain from a univariate Taylor series domain. Univariate Laurent series are represented by a pair \\spad{[n,f(x)]}, where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-151))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-151))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-226)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1023)))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-817)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1139)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-844)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-817)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-844))))) (|HasCategory| |#2| (QUOTE (-906))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-551)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-302)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-149))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-817)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1023)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1139))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-149)))))) 
-(-1216 |Coef| |var| |cen|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| (-571) (QUOTE (-1109))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (QUOTE (-151))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-151))))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-571)) (|devaluate| |#1|))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-226)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-571)) (|devaluate| |#1|))))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-1169))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1027)))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-820)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1143)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384))))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-571))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-847)))) (-1831 (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-820)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-847))))) (|HasCategory| |#2| (QUOTE (-909))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-909)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-553)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-302)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-149))) (-1831 (|HasCategory| |#1| (QUOTE (-149))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-149))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (-1831 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -526) (QUOTE (-1169)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-1169))))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-820)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-909)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1027)))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1143))))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-909)))) (|HasCategory| |#1| (QUOTE (-149))) (-12 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-149)))))) 
+(-1221 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Dense Laurent series in one variable \\spadtype{UnivariateLaurentSeries} is a domain representing Laurent series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{UnivariateLaurentSeries(Integer,x,3)} represents Laurent series in \\spad{(x - 3)} with integer coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Laurent series."))) 
-(((-4573 "*") -1929 (-3993 (|has| |#1| (-366)) (|has| (-1244 |#1| |#2| |#3|) (-817))) (|has| |#1| (-173)) (-3993 (|has| |#1| (-366)) (|has| (-1244 |#1| |#2| |#3|) (-906)))) (-4564 -1929 (-3993 (|has| |#1| (-366)) (|has| (-1244 |#1| |#2| |#3|) (-817))) (|has| |#1| (-559)) (-3993 (|has| |#1| (-366)) (|has| (-1244 |#1| |#2| |#3|) (-906)))) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-151)))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-1023))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-1139))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149)))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-173)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-1023))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-1139))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|)))))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1217 ZP) 
+(((-4602 "*") -1831 (-3997 (|has| |#1| (-367)) (|has| (-1249 |#1| |#2| |#3|) (-820))) (|has| |#1| (-173)) (-3997 (|has| |#1| (-367)) (|has| (-1249 |#1| |#2| |#3|) (-909)))) (-4593 -1831 (-3997 (|has| |#1| (-367)) (|has| (-1249 |#1| |#2| |#3|) (-820))) (|has| |#1| (-561)) (-3997 (|has| |#1| (-367)) (|has| (-1249 |#1| |#2| |#3|) (-909)))) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| (-571) (QUOTE (-1109))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-151)))) (-1831 (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-571)) (|devaluate| |#1|)))))) (-1831 (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-571)) (|devaluate| |#1|))))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-1027))) (|HasCategory| |#1| (QUOTE (-367)))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-1143))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1249) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1249) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1249) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -526) (QUOTE (-1169)) (LIST (QUOTE -1249) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-571))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-553))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-909))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-149))) (-1831 (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-149)))) (-1831 (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-173)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-367)))) (-1831 (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-367))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (-1831 (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1249) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1249) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1249) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -526) (QUOTE (-1169)) (LIST (QUOTE -1249) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -1043) (QUOTE (-1169)))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-820))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-1027))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-1143))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571)))))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|)))))) (-1831 (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-909))) (|HasCategory| |#1| (QUOTE (-367)))) (-12 (|HasCategory| (-1249 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-367)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1222 ZP) 
 ((|constructor| (NIL "Package for the factorization of univariate polynomials with integer coefficients. The factorization is done by \"lifting\" (HENSEL) the factorization over a finite field.")) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) "\\spad{henselFact(m,flag)} returns the factorization of \\spad{m,} FinalFact is a Record s.t. FinalFact.contp=content \\spad{m,} FinalFact.factors=List of irreducible factors of \\spad{m} with exponent ,{} if \\spad{flag} =true the polynomial is assumed square free.")) (|factorSquareFree| (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(m)} returns the factorization of \\spad{m} square free polynomial")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(m)} returns the factorization of \\spad{m}"))) 
 NIL 
 NIL 
-(-1218 R S) 
+(-1223 R S) 
 ((|constructor| (NIL "This package provides operations for mapping functions onto segments.")) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) "\\spad{map(f,s)} expands the segment \\spad{s,} applying \\spad{f} to each value.") (((|UniversalSegment| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) "\\spad{map(f,seg)} returns the new segment obtained by applying \\spad{f} to the endpoints of seg."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-842)))) 
-(-1219 S) 
+((|HasCategory| |#1| (QUOTE (-845)))) 
+(-1224 S) 
 ((|constructor| (NIL "This domain provides segments which may be half open. That is, ranges of the form \\spad{a..} or \\spad{a..b}.")) (|hasHi| (((|Boolean|) $) "\\spad{hasHi(s)} tests whether the segment \\spad{s} has an upper bound.")) (|coerce| (($ (|Segment| |#1|)) "\\spad{coerce(x)} allows \\spadtype{Segment} values to be used as \\spad{%.}")) (|segment| (($ |#1|) "\\spad{segment(l)} is an alternate way to construct the segment \\spad{l..}.")) (SEGMENT (($ |#1|) "\\spad{l..} produces a half open segment, that is, one with no upper bound."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1093)))) 
-(-1220 |x| R |y| S) 
+((|HasCategory| |#1| (QUOTE (-845))) (|HasCategory| |#1| (QUOTE (-1097)))) 
+(-1225 |x| R |y| S) 
 ((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from \\spadtype{UnivariatePolynomial}(x,R) to \\spadtype{UnivariatePolynomial}(y,S). Note that the mapping is assumed to send zero to zero, since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|UnivariatePolynomial| |#3| |#4|) (|Mapping| |#4| |#2|) (|UnivariatePolynomial| |#1| |#2|)) "\\spad{map(func, poly)} creates a new polynomial by applying \\spad{func} to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-1221 R Q UP) 
+(-1226 R Q UP) 
 ((|constructor| (NIL "UnivariatePolynomialCommonDenominator provides functions to compute the common denominator of the coefficients of univariate polynomials over the quotient field of a \\spad{gcd} domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) "\\spad{splitDenominator(q)} returns \\spad{[p, \\spad{d]}} such that \\spad{q = p/d} and \\spad{d} is a common denominator for the coefficients of \\spad{q.}")) (|clearDenominator| ((|#3| |#3|) "\\spad{clearDenominator(q)} returns \\spad{p} such that \\spad{q = p/d} where \\spad{d} is a common denominator for the coefficients of \\spad{q.}")) (|commonDenominator| ((|#1| |#3|) "\\spad{commonDenominator(q)} returns a common denominator \\spad{d} for the coefficients of \\spad{q.}"))) 
 NIL 
 NIL 
-(-1222 R UP) 
+(-1227 R UP) 
 ((|constructor| (NIL "UnivariatePolynomialDecompositionPackage implements functional decomposition of univariate polynomial with coefficients in an \\spad{IntegralDomain} of \\spad{CharacteristicZero}.")) (|monicCompleteDecompose| (((|List| |#2|) |#2|) "\\spad{monicCompleteDecompose(f)} returns a list of factors of \\spad{f} for the functional decomposition \\spad{([} \\spad{f1,} ..., \\spad{fn} ] means \\spad{f} = \\spad{f1} \\spad{o} \\spad{...} \\spad{o} fn).")) (|monicDecomposeIfCan| (((|Union| (|Record| (|:| |left| |#2|) (|:| |right| |#2|)) "failed") |#2|) "\\spad{monicDecomposeIfCan(f)} returns a functional decomposition of the monic polynomial \\spad{f} of \"failed\" if it has not found any.")) (|leftFactorIfCan| (((|Union| |#2| "failed") |#2| |#2|) "\\spad{leftFactorIfCan(f,h)} returns the left factor \\spad{(g} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h)} of the functional decomposition of the polynomial \\spad{f} with given \\spad{h} or \\spad{\"failed\"} if \\spad{g} does not exist.")) (|rightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|) |#1|) "\\spad{rightFactorIfCan(f,d,c)} returns a candidate to be the right factor \\spad{(h} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h)} of degree \\spad{d} with leading coefficient \\spad{c} of a functional decomposition of the polynomial \\spad{f} or \\spad{\"failed\"} if no such candidate.")) (|monicRightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|)) "\\spad{monicRightFactorIfCan(f,d)} returns a candidate to be the monic right factor \\spad{(h} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h)} of degree \\spad{d} of a functional decomposition of the polynomial \\spad{f} or \\spad{\"failed\"} if no such candidate."))) 
 NIL 
 NIL 
-(-1223 R UP) 
+(-1228 R UP) 
 ((|constructor| (NIL "UnivariatePolynomialDivisionPackage provides a division for non monic univarite polynomials with coefficients in an \\spad{IntegralDomain}.")) (|divideIfCan| (((|Union| (|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) "failed") |#2| |#2|) "\\spad{divideIfCan(f,g)} returns quotient and remainder of the division of \\spad{f} by \\spad{g} or \"failed\" if it has not succeeded."))) 
 NIL 
 NIL 
-(-1224 R U) 
+(-1229 R U) 
 ((|constructor| (NIL "This package implements Karatsuba's trick for multiplying (large) univariate polynomials. It could be improved with a version doing the work on place and also with a special case for squares. We've done this in Basicmath, but we believe that this out of the scope of AXIOM.")) (|karatsuba| ((|#2| |#2| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{karatsuba(a,b,l,k)} returns \\spad{a*b} by applying Karatsuba's trick provided that both \\spad{a} and \\spad{b} have at least \\spad{l} terms and \\spad{k > 0} holds and by calling \\spad{noKaratsuba} otherwise. The other multiplications are performed by recursive calls with the same third argument and \\spad{k-1} as fourth argument.")) (|karatsubaOnce| ((|#2| |#2| |#2|) "\\spad{karatsuba(a,b)} returns \\spad{a*b} by applying Karatsuba's trick once. The other multiplications are performed by calling \\spad{*} from \\spad{U}.")) (|noKaratsuba| ((|#2| |#2| |#2|) "\\spad{noKaratsuba(a,b)} returns \\spad{a*b} without using Karatsuba's trick at all."))) 
 NIL 
 NIL 
-(-1225 |x| R) 
+(-1230 |x| R) 
 ((|constructor| (NIL "This domain represents univariate polynomials in some symbol over arbitrary (not necessarily commutative) coefficient rings. The representation is sparse in the sense that only non-zero terms are represented. Note that if the coefficient ring is a field, then this domain forms a euclidean domain.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} converts the variable \\spad{x} to a univariate polynomial."))) 
-(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4567 |has| |#2| (-366)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1139))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-1226 R PR S PS) 
+(((-4602 "*") |has| |#2| (-173)) (-4593 |has| |#2| (-561)) (-4596 |has| |#2| (-367)) (-4598 |has| |#2| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#2| (QUOTE (-909))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-561)))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-384)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-384))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -886) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -886) (QUOTE (-571))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-384)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -612) (LIST (QUOTE -892) (QUOTE (-571)))))) (-12 (|HasCategory| (-1081) (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#2| (LIST (QUOTE -612) (QUOTE (-544))))) (|HasCategory| |#2| (QUOTE (-847))) (|HasCategory| |#2| (LIST (QUOTE -633) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-1143))) (|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (-1831 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE -4598)) (|HasCategory| |#2| (QUOTE (-456))) (-1831 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-909)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (-1831 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-909)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-1231 R PR S PS) 
 ((|constructor| (NIL "Mapping from polynomials over \\spad{R} to polynomials over \\spad{S} given a map from \\spad{R} to \\spad{S} assumed to send zero to zero.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f, \\spad{p)}} takes a function \\spad{f} from \\spad{R} to \\spad{S,} and applies it to each (non-zero) coefficient of a polynomial \\spad{p} over \\spad{R,} getting a new polynomial over \\spad{S.} Note that since the map is not applied to zero elements, it may map zero to zero."))) 
 NIL 
 NIL 
-(-1227 S R) 
+(-1232 S R) 
 ((|constructor| (NIL "The category of univariate polynomials over a ring \\spad{R.} No particular model is assumed - implementations can be either sparse or dense.")) (|integrate| (($ $) "\\spad{integrate(p)} integrates the univariate polynomial \\spad{p} with respect to its distinguished variable.")) (|additiveValuation| ((|attribute|) "euclideanSize(a*b) = euclideanSize(a) + euclideanSize(b)")) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) "\\spad{separate(p, \\spad{q)}} returns \\spad{[a, \\spad{b]}} such that polynomial \\spad{p = a \\spad{b}} and \\spad{a} is relatively prime to \\spad{q.}")) (|pseudoDivide| (((|Record| (|:| |coef| |#2|) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{pseudoDivide(p,q)} returns \\spad{[c, \\spad{q,} r]}, when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1) = \\spad{c} * \\spad{p}} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|pseudoQuotient| (($ $ $) "\\spad{pseudoQuotient(p,q)} returns \\spad{r,} the quotient when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|composite| (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) "\\spad{composite(f, \\spad{q)}} returns \\spad{h} if \\spad{f} = h(q), and \"failed\" is no such \\spad{h} exists.") (((|Union| $ "failed") $ $) "\\spad{composite(p, \\spad{q)}} returns \\spad{h} if \\spad{p = h(q)}, and \"failed\" no such \\spad{h} exists.")) (|subResultantGcd| (($ $ $) "\\spad{subResultantGcd(p,q)} computes the \\spad{gcd} of the polynomials \\spad{p} and \\spad{q} using the SubResultant \\spad{GCD} algorithm.")) (|order| (((|NonNegativeInteger|) $ $) "\\spad{order(p, \\spad{q)}} returns the largest \\spad{n} such that \\spad{q**n} divides polynomial \\spad{p} \\spadignore{i.e.} the order of \\spad{p(x)} at \\spad{q(x)=0}.")) (|elt| ((|#2| (|Fraction| $) |#2|) "\\spad{elt(a,r)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by the constant \\spad{r.}") (((|Fraction| $) (|Fraction| $) (|Fraction| $)) "\\spad{elt(a,b)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by \\spad{b.}")) (|resultant| ((|#2| $ $) "\\spad{resultant(p,q)} returns the resultant of the polynomials \\spad{p} and \\spad{q.}")) (|discriminant| ((|#2| $) "\\spad{discriminant(p)} returns the discriminant of the polynomial \\spad{p.}")) (|differentiate| (($ $ (|Mapping| |#2| |#2|) $) "\\spad{differentiate(p, \\spad{d,} x')} extends the R-derivation \\spad{d} to an extension \\spad{D} in \\spad{R[x]} where \\spad{Dx} is given by \\spad{x',} and returns \\spad{Dp}.")) (|pseudoRemainder| (($ $ $) "\\spad{pseudoRemainder(p,q)} = \\spad{r,} for polynomials \\spad{p} and \\spad{q,} returns the remainder when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|shiftLeft| (($ $ (|NonNegativeInteger|)) "\\spad{shiftLeft(p,n)} returns \\spad{p * monomial(1,n)}")) (|shiftRight| (($ $ (|NonNegativeInteger|)) "\\spad{shiftRight(p,n)} returns \\spad{monicDivide(p,monomial(1,n)).quotient}")) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) "\\spad{karatsubaDivide(p,n)} returns the same as \\spad{monicDivide(p,monomial(1,n))}")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicDivide(p,q)} divide the polynomial \\spad{p} by the monic polynomial \\spad{q,} returning the pair \\spad{[quotient, remainder]}. Error: if \\spad{q} isn't monic.")) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) "\\spad{divideExponents(p,n)} returns a new polynomial resulting from dividing all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n,} or \"failed\" if some exponent is not exactly divisible by \\spad{n.}")) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) "\\spad{multiplyExponents(p,n)} returns a new polynomial resulting from multiplying all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n.}")) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#2|)) "\\spad{unmakeSUP(sup)} converts \\spad{sup} of type \\spadtype{SparseUnivariatePolynomial(R)} to be a member of the given type. Note that converse of makeSUP.")) (|makeSUP| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{makeSUP(p)} converts the polynomial \\spad{p} to be of type SparseUnivariatePolynomial over the same coefficients.")) (|vectorise| (((|Vector| |#2|) $ (|NonNegativeInteger|)) "\\spad{vectorise(p, \\spad{n)}} returns \\spad{[a0,...,a(n-1)]} where \\spad{p = \\spad{a0} + a1*x + \\spad{...} + a(n-1)*x**(n-1)} + higher order terms. The degree of polynomial \\spad{p} can be different from \\spad{n-1}."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1139)))) 
-(-1228 R) 
+((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367))) (|HasCategory| |#2| (QUOTE (-456))) (|HasCategory| |#2| (QUOTE (-561))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1143)))) 
+(-1233 R) 
 ((|constructor| (NIL "The category of univariate polynomials over a ring \\spad{R.} No particular model is assumed - implementations can be either sparse or dense.")) (|integrate| (($ $) "\\spad{integrate(p)} integrates the univariate polynomial \\spad{p} with respect to its distinguished variable.")) (|additiveValuation| ((|attribute|) "euclideanSize(a*b) = euclideanSize(a) + euclideanSize(b)")) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) "\\spad{separate(p, \\spad{q)}} returns \\spad{[a, \\spad{b]}} such that polynomial \\spad{p = a \\spad{b}} and \\spad{a} is relatively prime to \\spad{q.}")) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{pseudoDivide(p,q)} returns \\spad{[c, \\spad{q,} r]}, when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1) = \\spad{c} * \\spad{p}} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|pseudoQuotient| (($ $ $) "\\spad{pseudoQuotient(p,q)} returns \\spad{r,} the quotient when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|composite| (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) "\\spad{composite(f, \\spad{q)}} returns \\spad{h} if \\spad{f} = h(q), and \"failed\" is no such \\spad{h} exists.") (((|Union| $ "failed") $ $) "\\spad{composite(p, \\spad{q)}} returns \\spad{h} if \\spad{p = h(q)}, and \"failed\" no such \\spad{h} exists.")) (|subResultantGcd| (($ $ $) "\\spad{subResultantGcd(p,q)} computes the \\spad{gcd} of the polynomials \\spad{p} and \\spad{q} using the SubResultant \\spad{GCD} algorithm.")) (|order| (((|NonNegativeInteger|) $ $) "\\spad{order(p, \\spad{q)}} returns the largest \\spad{n} such that \\spad{q**n} divides polynomial \\spad{p} \\spadignore{i.e.} the order of \\spad{p(x)} at \\spad{q(x)=0}.")) (|elt| ((|#1| (|Fraction| $) |#1|) "\\spad{elt(a,r)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by the constant \\spad{r.}") (((|Fraction| $) (|Fraction| $) (|Fraction| $)) "\\spad{elt(a,b)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by \\spad{b.}")) (|resultant| ((|#1| $ $) "\\spad{resultant(p,q)} returns the resultant of the polynomials \\spad{p} and \\spad{q.}")) (|discriminant| ((|#1| $) "\\spad{discriminant(p)} returns the discriminant of the polynomial \\spad{p.}")) (|differentiate| (($ $ (|Mapping| |#1| |#1|) $) "\\spad{differentiate(p, \\spad{d,} x')} extends the R-derivation \\spad{d} to an extension \\spad{D} in \\spad{R[x]} where \\spad{Dx} is given by \\spad{x',} and returns \\spad{Dp}.")) (|pseudoRemainder| (($ $ $) "\\spad{pseudoRemainder(p,q)} = \\spad{r,} for polynomials \\spad{p} and \\spad{q,} returns the remainder when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|shiftLeft| (($ $ (|NonNegativeInteger|)) "\\spad{shiftLeft(p,n)} returns \\spad{p * monomial(1,n)}")) (|shiftRight| (($ $ (|NonNegativeInteger|)) "\\spad{shiftRight(p,n)} returns \\spad{monicDivide(p,monomial(1,n)).quotient}")) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) "\\spad{karatsubaDivide(p,n)} returns the same as \\spad{monicDivide(p,monomial(1,n))}")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicDivide(p,q)} divide the polynomial \\spad{p} by the monic polynomial \\spad{q,} returning the pair \\spad{[quotient, remainder]}. Error: if \\spad{q} isn't monic.")) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) "\\spad{divideExponents(p,n)} returns a new polynomial resulting from dividing all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n,} or \"failed\" if some exponent is not exactly divisible by \\spad{n.}")) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) "\\spad{multiplyExponents(p,n)} returns a new polynomial resulting from multiplying all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n.}")) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#1|)) "\\spad{unmakeSUP(sup)} converts \\spad{sup} of type \\spadtype{SparseUnivariatePolynomial(R)} to be a member of the given type. Note that converse of makeSUP.")) (|makeSUP| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{makeSUP(p)} converts the polynomial \\spad{p} to be of type SparseUnivariatePolynomial over the same coefficients.")) (|vectorise| (((|Vector| |#1|) $ (|NonNegativeInteger|)) "\\spad{vectorise(p, \\spad{n)}} returns \\spad{[a0,...,a(n-1)]} where \\spad{p = \\spad{a0} + a1*x + \\spad{...} + a(n-1)*x**(n-1)} + higher order terms. The degree of polynomial \\spad{p} can be different from \\spad{n-1}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4567 |has| |#1| (-366)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4596 |has| |#1| (-367)) (-4598 |has| |#1| (-6 -4598)) (-4595 . T) (-4594 . T) (-4597 . T)) 
 NIL 
-(-1229 S |Coef| |Expon|) 
+(-1234 S |Coef| |Expon|) 
 ((|constructor| (NIL "\\spadtype{UnivariatePowerSeriesCategory} is the most general univariate power series category with exponents in an ordered abelian monoid. Note that this category exports a substitution function if it is possible to multiply exponents. Also note that this category exports a derivative operation if it is possible to multiply coefficients by exponents.")) (|eval| (((|Stream| |#2|) $ |#2|) "\\spad{eval(f,a)} evaluates a power series at a value in the ground ring by returning a stream of partial sums.")) (|extend| (($ $ |#3|) "\\spad{extend(f,n)} causes all terms of \\spad{f} of degree \\spad{<=} \\spad{n} to be computed.")) (|approximate| ((|#2| $ |#3|) "\\spad{approximate(f)} returns a truncated power series with the series variable viewed as an element of the coefficient domain.")) (|truncate| (($ $ |#3| |#3|) "\\spad{truncate(f,k1,k2)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (($ $ |#3|) "\\spad{truncate(f,k)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|order| ((|#3| $ |#3|) "\\spad{order(f,n) = min(m,n)}, where \\spad{m} is the degree of the lowest order non-zero term in \\spad{f.}") ((|#3| $) "\\spad{order(f)} is the degree of the lowest order non-zero term in \\spad{f.} This will result in an infinite loop if \\spad{f} has no non-zero terms.")) (|multiplyExponents| (($ $ (|PositiveInteger|)) "\\spad{multiplyExponents(f,n)} multiplies all exponents of the power series \\spad{f} by the positive integer \\spad{n.}")) (|center| ((|#2| $) "\\spad{center(f)} returns the point about which the series \\spad{f} is expanded.")) (|variable| (((|Symbol|) $) "\\spad{variable(f)} returns the (unique) power series variable of the power series \\spad{f.}")) (|elt| ((|#2| $ |#3|) "\\spad{elt(f(x),r)} returns the coefficient of the term of degree \\spad{r} in \\spad{f(x)}. This is the same as the function \\spadfun{coefficient}.")) (|terms| (((|Stream| (|Record| (|:| |k| |#3|) (|:| |c| |#2|))) $) "\\spad{terms(f(x))} returns a stream of non-zero terms, where a a term is an exponent-coefficient pair. The terms in the stream are ordered by increasing order of exponents."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#2| (LIST (QUOTE *) (LIST (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#2|)))) (|HasCategory| |#3| (QUOTE (-1105))) (|HasSignature| |#2| (LIST (QUOTE **) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasSignature| |#2| (LIST (QUOTE -3956) (LIST (|devaluate| |#2|) (QUOTE (-1165)))))) 
-(-1230 |Coef| |Expon|) 
+((|HasCategory| |#2| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#2| (LIST (QUOTE *) (LIST (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#2|)))) (|HasCategory| |#3| (QUOTE (-1109))) (|HasSignature| |#2| (LIST (QUOTE **) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasSignature| |#2| (LIST (QUOTE -3942) (LIST (|devaluate| |#2|) (QUOTE (-1169)))))) 
+(-1235 |Coef| |Expon|) 
 ((|constructor| (NIL "\\spadtype{UnivariatePowerSeriesCategory} is the most general univariate power series category with exponents in an ordered abelian monoid. Note that this category exports a substitution function if it is possible to multiply exponents. Also note that this category exports a derivative operation if it is possible to multiply coefficients by exponents.")) (|eval| (((|Stream| |#1|) $ |#1|) "\\spad{eval(f,a)} evaluates a power series at a value in the ground ring by returning a stream of partial sums.")) (|extend| (($ $ |#2|) "\\spad{extend(f,n)} causes all terms of \\spad{f} of degree \\spad{<=} \\spad{n} to be computed.")) (|approximate| ((|#1| $ |#2|) "\\spad{approximate(f)} returns a truncated power series with the series variable viewed as an element of the coefficient domain.")) (|truncate| (($ $ |#2| |#2|) "\\spad{truncate(f,k1,k2)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (($ $ |#2|) "\\spad{truncate(f,k)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|order| ((|#2| $ |#2|) "\\spad{order(f,n) = min(m,n)}, where \\spad{m} is the degree of the lowest order non-zero term in \\spad{f.}") ((|#2| $) "\\spad{order(f)} is the degree of the lowest order non-zero term in \\spad{f.} This will result in an infinite loop if \\spad{f} has no non-zero terms.")) (|multiplyExponents| (($ $ (|PositiveInteger|)) "\\spad{multiplyExponents(f,n)} multiplies all exponents of the power series \\spad{f} by the positive integer \\spad{n.}")) (|center| ((|#1| $) "\\spad{center(f)} returns the point about which the series \\spad{f} is expanded.")) (|variable| (((|Symbol|) $) "\\spad{variable(f)} returns the (unique) power series variable of the power series \\spad{f.}")) (|elt| ((|#1| $ |#2|) "\\spad{elt(f(x),r)} returns the coefficient of the term of degree \\spad{r} in \\spad{f(x)}. This is the same as the function \\spadfun{coefficient}.")) (|terms| (((|Stream| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) "\\spad{terms(f(x))} returns a stream of non-zero terms, where a a term is an exponent-coefficient pair. The terms in the stream are ordered by increasing order of exponents."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1231 RC P) 
+(-1236 RC P) 
 ((|constructor| (NIL "This package provides for square-free decomposition of univariate polynomials over arbitrary rings, \\spadignore{i.e.} a partial factorization such that each factor is a product of irreducibles with multiplicity one and the factors are pairwise relatively prime. If the ring has characteristic zero, the result is guaranteed to satisfy this condition. If the ring is an infinite ring of finite characteristic, then it may not be possible to decide when polynomials contain factors which are \\spad{p}th powers. In this case, the flag associated with that polynomial is set to \"nil\" (meaning that that polynomials are not guaranteed to be square-free).")) (|BumInSepFFE| (((|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|))) (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|)))) "\\spad{BumInSepFFE(f)} is a local function, exported only because it has multiple conditional definitions.")) (|squareFreePart| ((|#2| |#2|) "\\spad{squareFreePart(p)} returns a polynomial which has the same irreducible factors as the univariate polynomial \\spad{p,} but each factor has multiplicity one.")) (|squareFree| (((|Factored| |#2|) |#2|) "\\spad{squareFree(p)} computes the square-free factorization of the univariate polynomial \\spad{p.} Each factor has no repeated roots, and the factors are pairwise relatively prime.")) (|gcd| (($ $ $) "\\spad{gcd(p,q)} computes the greatest-common-divisor of \\spad{p} and \\spad{q.}"))) 
 NIL 
 NIL 
-(-1232 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
+(-1237 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
 ((|constructor| (NIL "Mapping package for univariate Puiseux series. This package allows one to apply a function to the coefficients of a univariate Puiseux series.")) (|map| (((|UnivariatePuiseuxSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariatePuiseuxSeries| |#1| |#3| |#5|)) "\\spad{map(f,g(x))} applies the map \\spad{f} to the coefficients of the Puiseux series \\spad{g(x)}."))) 
 NIL 
 NIL 
-(-1233 |Coef|) 
+(-1238 |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariatePuiseuxSeriesCategory} is the category of Puiseux series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),var)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{var}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 1. We may integrate a series when we can divide coefficients by rational numbers.")) (|multiplyExponents| (($ $ (|Fraction| (|Integer|))) "\\spad{multiplyExponents(f,r)} multiplies all exponents of the power series \\spad{f} by the positive rational number \\spad{r.}")) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) "\\spad{series(n,st)} creates a series from a common denomiator and a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents and \\spad{n} should be a common denominator for the exponents in the stream of terms."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1234 S |Coef| ULS) 
+(-1239 S |Coef| ULS) 
 ((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}.")) (|laurentIfCan| (((|Union| |#3| "failed") $) "\\spad{laurentIfCan(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. If this is not possible, \"failed\" is returned.")) (|laurent| ((|#3| $) "\\spad{laurent(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. Error: if this is not possible.")) (|coerce| (($ |#3|) "\\spad{coerce(f(x))} converts the Laurent series \\spad{f(x)} to a Puiseux series.")) (|degree| (((|Fraction| (|Integer|)) $) "\\spad{degree(f(x))} returns the degree of the leading term of the Puiseux series \\spad{f(x)}, which may have zero as a coefficient.")) (|laurentRep| ((|#3| $) "\\spad{laurentRep(f(x))} returns \\spad{g(x)} where the Puiseux series \\spad{f(x) = g(x^r)} is represented by \\spad{[r,g(x)]}.")) (|rationalPower| (((|Fraction| (|Integer|)) $) "\\spad{rationalPower(f(x))} returns \\spad{r} where the Puiseux series \\spad{f(x) = g(x^r)}.")) (|puiseux| (($ (|Fraction| (|Integer|)) |#3|) "\\spad{puiseux(r,f(x))} returns \\spad{f(x^r)}."))) 
 NIL 
 NIL 
-(-1235 |Coef| ULS) 
+(-1240 |Coef| ULS) 
 ((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}.")) (|laurentIfCan| (((|Union| |#2| "failed") $) "\\spad{laurentIfCan(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. If this is not possible, \"failed\" is returned.")) (|laurent| ((|#2| $) "\\spad{laurent(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. Error: if this is not possible.")) (|coerce| (($ |#2|) "\\spad{coerce(f(x))} converts the Laurent series \\spad{f(x)} to a Puiseux series.")) (|degree| (((|Fraction| (|Integer|)) $) "\\spad{degree(f(x))} returns the degree of the leading term of the Puiseux series \\spad{f(x)}, which may have zero as a coefficient.")) (|laurentRep| ((|#2| $) "\\spad{laurentRep(f(x))} returns \\spad{g(x)} where the Puiseux series \\spad{f(x) = g(x^r)} is represented by \\spad{[r,g(x)]}.")) (|rationalPower| (((|Fraction| (|Integer|)) $) "\\spad{rationalPower(f(x))} returns \\spad{r} where the Puiseux series \\spad{f(x) = g(x^r)}.")) (|puiseux| (($ (|Fraction| (|Integer|)) |#2|) "\\spad{puiseux(r,f(x))} returns \\spad{f(x^r)}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1236 |Coef| ULS) 
+(-1241 |Coef| ULS) 
 ((|constructor| (NIL "This package enables one to construct a univariate Puiseux series domain from a univariate Laurent series domain. Univariate Puiseux series are represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
-(-1237 |Coef| |var| |cen|) 
-((|constructor| (NIL "Dense Puiseux series in one variable \\spadtype{UnivariatePuiseuxSeries} is a domain representing Puiseux series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{UnivariatePuiseuxSeries(Integer,x,3)} represents Puiseux series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
-(-1238 R FE |var| |cen|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571))) (|devaluate| |#1|))))) (|HasCategory| (-412 (-571)) (QUOTE (-1109))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|))))))) 
+(-1242 |Coef| |var| |cen|) 
+((|constructor| (NIL "Dense Puiseux series in one variable")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4598 |has| |#1| (-367)) (-4592 |has| |#1| (-367)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571))) (|devaluate| |#1|))))) (|HasCategory| (-412 (-571)) (QUOTE (-1109))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (-1831 (|HasCategory| |#1| (QUOTE (-367))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|))))))) 
+(-1243 R FE |var| |cen|) 
 ((|constructor| (NIL "UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to represent functions with essential singularities. Objects in this domain are sums, where each term in the sum is a univariate Puiseux series times the exponential of a univariate Puiseux series. Thus, the elements of this domain are sums of expressions of the form \\spad{g(x) * exp(f(x))}, where g(x) is a univariate Puiseux series and f(x) is a univariate Puiseux series with no terms of non-negative degree.")) (|dominantTerm| (((|Union| (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#2|)))))) (|:| |%type| (|String|))) "failed") $) "\\spad{dominantTerm(f(var))} returns the term that dominates the limiting behavior of \\spad{f(var)} as \\spad{var \\spad{->} cen+} together with a \\spadtype{String} which briefly describes that behavior. The value of the \\spadtype{String} will be \\spad{\"zero\"} (resp. \\spad{\"infinity\"}) if the term tends to zero (resp. infinity) exponentially and will \\spad{\"series\"} if the term is a Puiseux series.")) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) "\\spad{limitPlus(f(var))} returns \\spad{limit(var \\spad{->} cen+,f(var))}."))) 
-(((-4573 "*") |has| (-1237 |#2| |#3| |#4|) (-173)) (-4564 |has| (-1237 |#2| |#3| |#4|) (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| (-1237 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-149))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-151))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-173))) (|HasCategory| (-1237 |#2| |#3| |#4|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1237 |#2| |#3| |#4|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-366))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-454))) (-1929 (|HasCategory| (-1237 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1237 |#2| |#3| |#4|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-559)))) 
-(-1239 A S) 
+(((-4602 "*") |has| (-1242 |#2| |#3| |#4|) (-173)) (-4593 |has| (-1242 |#2| |#3| |#4|) (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| (-1242 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-1242 |#2| |#3| |#4|) (QUOTE (-149))) (|HasCategory| (-1242 |#2| |#3| |#4|) (QUOTE (-151))) (|HasCategory| (-1242 |#2| |#3| |#4|) (QUOTE (-173))) (|HasCategory| (-1242 |#2| |#3| |#4|) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-1242 |#2| |#3| |#4|) (LIST (QUOTE -1043) (QUOTE (-571)))) (|HasCategory| (-1242 |#2| |#3| |#4|) (QUOTE (-367))) (|HasCategory| (-1242 |#2| |#3| |#4|) (QUOTE (-456))) (-1831 (|HasCategory| (-1242 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| (-1242 |#2| |#3| |#4|) (LIST (QUOTE -1043) (LIST (QUOTE -412) (QUOTE (-571)))))) (|HasCategory| (-1242 |#2| |#3| |#4|) (QUOTE (-561)))) 
+(-1244 A S) 
 ((|constructor| (NIL "A unary-recursive aggregate is a one where nodes may have either 0 or 1 children. This aggregate models, though not precisely, a linked list possibly with a single cycle. A node with one children models a non-empty list, with the \\spadfun{value} of the list designating the head, or \\spadfun{first}, of the list, and the child designating the tail, or \\spadfun{rest}, of the list. A node with no child then designates the empty list. Since these aggregates are recursive aggregates, they may be cyclic.")) (|split!| (($ $ (|Integer|)) "\\spad{split!(u,n)} splits \\spad{u} into two aggregates: \\axiom{v = rest(u,n)} and \\axiom{w = first(u,n)}, returning \\axiom{v}. Note that afterwards \\axiom{rest(u,n)} returns \\axiom{empty()}.")) (|setlast!| ((|#2| $ |#2|) "\\spad{setlast!(u,x)} destructively changes the last element of \\spad{u} to \\spad{x.}")) (|setrest!| (($ $ $) "\\spad{setrest!(u,v)} destructively changes the rest of \\spad{u} to \\spad{v.}")) (|setelt| ((|#2| $ "last" |#2|) "\\spad{setelt(u,\"last\",x)} (also written: \\axiom{u.last \\spad{:=} \\spad{b})} is equivalent to \\axiom{setlast!(u,v)}.") (($ $ "rest" $) "\\spad{setelt(u,\"rest\",v)} (also written: \\axiom{u.rest \\spad{:=} \\spad{v})} is equivalent to \\axiom{setrest!(u,v)}.") ((|#2| $ "first" |#2|) "\\spad{setelt(u,\"first\",x)} (also written: \\axiom{u.first \\spad{:=} \\spad{x})} is equivalent to \\axiom{setfirst!(u,x)}.")) (|setfirst!| ((|#2| $ |#2|) "\\spad{setfirst!(u,x)} destructively changes the first element of a to \\spad{x.}")) (|cycleSplit!| (($ $) "\\spad{cycleSplit!(u)} splits the aggregate by dropping off the cycle. The value returned is the cycle entry, or nil if none exists. For example, if \\axiom{w = concat(u,v)} is the cyclic list where \\spad{v} is the head of the cycle, \\axiom{cycleSplit!(w)} will drop \\spad{v} off \\spad{w} thus destructively changing \\spad{w} to u, and returning \\spad{v.}")) (|concat!| (($ $ |#2|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u. Note that \\axiom{concat!(a,x) = setlast!(a,[x])}.") (($ $ $) "\\spad{concat!(u,v)} destructively concatenates \\spad{v} to the end of u. Note that \\axiom{concat!(u,v) = setlast_!(u,v)}.")) (|cycleTail| (($ $) "\\spad{cycleTail(u)} returns the last node in the cycle, or empty if none exists.")) (|cycleLength| (((|NonNegativeInteger|) $) "\\spad{cycleLength(u)} returns the length of a top-level cycle contained in aggregate u, or 0 is \\spad{u} has no such cycle.")) (|cycleEntry| (($ $) "\\spad{cycleEntry(u)} returns the head of a top-level cycle contained in aggregate u, or \\axiom{empty()} if none exists.")) (|third| ((|#2| $) "\\spad{third(u)} returns the third element of u. Note that \\axiom{third(u) = first(rest(rest(u)))}.")) (|second| ((|#2| $) "\\spad{second(u)} returns the second element of u. Note that \\axiom{second(u) = first(rest(u))}.")) (|tail| (($ $) "\\spad{tail(u)} returns the last node of u. Note that if \\spad{u} is \\axiom{shallowlyMutable}, \\axiom{setrest(tail(u),v) = concat(u,v)}.")) (|last| (($ $ (|NonNegativeInteger|)) "\\spad{last(u,n)} returns a copy of the last \\spad{n} (\\axiom{n \\spad{>=} 0}) nodes of u. Note that \\axiom{last(u,n)} is a list of \\spad{n} elements.") ((|#2| $) "\\spad{last(u)} resturn the last element of u. Note that for lists, \\axiom{last(u)=u . (maxIndex u)=u . \\spad{(#} \\spad{u} - 1)}.")) (|rest| (($ $ (|NonNegativeInteger|)) "\\spad{rest(u,n)} returns the \\axiom{n}th \\spad{(n} \\spad{>=} 0) node of u. Note that \\axiom{rest(u,0) = u}.") (($ $) "\\spad{rest(u)} returns an aggregate consisting of all but the first element of \\spad{u} (equivalently, the next node of u).")) (|elt| ((|#2| $ "last") "\\spad{elt(u,\"last\")} (also written: \\axiom{u . last}) is equivalent to last u.") (($ $ "rest") "\\spad{elt(\\%,\"rest\")} (also written: \\axiom{u.rest}) is equivalent to \\axiom{rest u}.") ((|#2| $ "first") "\\spad{elt(u,\"first\")} (also written: \\axiom{u . first}) is equivalent to first u.")) (|first| (($ $ (|NonNegativeInteger|)) "\\spad{first(u,n)} returns a copy of the first \\spad{n} (\\axiom{n \\spad{>=} 0}) elements of u.") ((|#2| $) "\\spad{first(u)} returns the first element of \\spad{u} (equivalently, the value at the current node).")) (|concat| (($ |#2| $) "\\spad{concat(x,u)} returns aggregate consisting of \\spad{x} followed by the elements of u. Note that if \\axiom{v = concat(x,u)} then \\axiom{x = first \\spad{v}} and \\axiom{u = rest \\spad{v}.}") (($ $ $) "\\spad{concat(u,v)} returns an aggregate \\spad{w} consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that \\axiom{v = rest(w,\\#a)}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4572))) 
-(-1240 S) 
+((|HasAttribute| |#1| (QUOTE -4601))) 
+(-1245 S) 
 ((|constructor| (NIL "A unary-recursive aggregate is a one where nodes may have either 0 or 1 children. This aggregate models, though not precisely, a linked list possibly with a single cycle. A node with one children models a non-empty list, with the \\spadfun{value} of the list designating the head, or \\spadfun{first}, of the list, and the child designating the tail, or \\spadfun{rest}, of the list. A node with no child then designates the empty list. Since these aggregates are recursive aggregates, they may be cyclic.")) (|split!| (($ $ (|Integer|)) "\\spad{split!(u,n)} splits \\spad{u} into two aggregates: \\axiom{v = rest(u,n)} and \\axiom{w = first(u,n)}, returning \\axiom{v}. Note that afterwards \\axiom{rest(u,n)} returns \\axiom{empty()}.")) (|setlast!| ((|#1| $ |#1|) "\\spad{setlast!(u,x)} destructively changes the last element of \\spad{u} to \\spad{x.}")) (|setrest!| (($ $ $) "\\spad{setrest!(u,v)} destructively changes the rest of \\spad{u} to \\spad{v.}")) (|setelt| ((|#1| $ "last" |#1|) "\\spad{setelt(u,\"last\",x)} (also written: \\axiom{u.last \\spad{:=} \\spad{b})} is equivalent to \\axiom{setlast!(u,v)}.") (($ $ "rest" $) "\\spad{setelt(u,\"rest\",v)} (also written: \\axiom{u.rest \\spad{:=} \\spad{v})} is equivalent to \\axiom{setrest!(u,v)}.") ((|#1| $ "first" |#1|) "\\spad{setelt(u,\"first\",x)} (also written: \\axiom{u.first \\spad{:=} \\spad{x})} is equivalent to \\axiom{setfirst!(u,x)}.")) (|setfirst!| ((|#1| $ |#1|) "\\spad{setfirst!(u,x)} destructively changes the first element of a to \\spad{x.}")) (|cycleSplit!| (($ $) "\\spad{cycleSplit!(u)} splits the aggregate by dropping off the cycle. The value returned is the cycle entry, or nil if none exists. For example, if \\axiom{w = concat(u,v)} is the cyclic list where \\spad{v} is the head of the cycle, \\axiom{cycleSplit!(w)} will drop \\spad{v} off \\spad{w} thus destructively changing \\spad{w} to u, and returning \\spad{v.}")) (|concat!| (($ $ |#1|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u. Note that \\axiom{concat!(a,x) = setlast!(a,[x])}.") (($ $ $) "\\spad{concat!(u,v)} destructively concatenates \\spad{v} to the end of u. Note that \\axiom{concat!(u,v) = setlast_!(u,v)}.")) (|cycleTail| (($ $) "\\spad{cycleTail(u)} returns the last node in the cycle, or empty if none exists.")) (|cycleLength| (((|NonNegativeInteger|) $) "\\spad{cycleLength(u)} returns the length of a top-level cycle contained in aggregate u, or 0 is \\spad{u} has no such cycle.")) (|cycleEntry| (($ $) "\\spad{cycleEntry(u)} returns the head of a top-level cycle contained in aggregate u, or \\axiom{empty()} if none exists.")) (|third| ((|#1| $) "\\spad{third(u)} returns the third element of u. Note that \\axiom{third(u) = first(rest(rest(u)))}.")) (|second| ((|#1| $) "\\spad{second(u)} returns the second element of u. Note that \\axiom{second(u) = first(rest(u))}.")) (|tail| (($ $) "\\spad{tail(u)} returns the last node of u. Note that if \\spad{u} is \\axiom{shallowlyMutable}, \\axiom{setrest(tail(u),v) = concat(u,v)}.")) (|last| (($ $ (|NonNegativeInteger|)) "\\spad{last(u,n)} returns a copy of the last \\spad{n} (\\axiom{n \\spad{>=} 0}) nodes of u. Note that \\axiom{last(u,n)} is a list of \\spad{n} elements.") ((|#1| $) "\\spad{last(u)} resturn the last element of u. Note that for lists, \\axiom{last(u)=u . (maxIndex u)=u . \\spad{(#} \\spad{u} - 1)}.")) (|rest| (($ $ (|NonNegativeInteger|)) "\\spad{rest(u,n)} returns the \\axiom{n}th \\spad{(n} \\spad{>=} 0) node of u. Note that \\axiom{rest(u,0) = u}.") (($ $) "\\spad{rest(u)} returns an aggregate consisting of all but the first element of \\spad{u} (equivalently, the next node of u).")) (|elt| ((|#1| $ "last") "\\spad{elt(u,\"last\")} (also written: \\axiom{u . last}) is equivalent to last u.") (($ $ "rest") "\\spad{elt(\\%,\"rest\")} (also written: \\axiom{u.rest}) is equivalent to \\axiom{rest u}.") ((|#1| $ "first") "\\spad{elt(u,\"first\")} (also written: \\axiom{u . first}) is equivalent to first u.")) (|first| (($ $ (|NonNegativeInteger|)) "\\spad{first(u,n)} returns a copy of the first \\spad{n} (\\axiom{n \\spad{>=} 0}) elements of u.") ((|#1| $) "\\spad{first(u)} returns the first element of \\spad{u} (equivalently, the value at the current node).")) (|concat| (($ |#1| $) "\\spad{concat(x,u)} returns aggregate consisting of \\spad{x} followed by the elements of u. Note that if \\axiom{v = concat(x,u)} then \\axiom{x = first \\spad{v}} and \\axiom{u = rest \\spad{v}.}") (($ $ $) "\\spad{concat(u,v)} returns an aggregate \\spad{w} consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that \\axiom{v = rest(w,\\#a)}."))) 
-((-4317 . T)) 
+((-3348 . T)) 
 NIL 
-(-1241 |Coef1| |Coef2| UTS1 UTS2) 
+(-1246 |Coef1| |Coef2| UTS1 UTS2) 
 ((|constructor| (NIL "Mapping package for univariate Taylor series. This package allows one to apply a function to the coefficients of a univariate Taylor series.")) (|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) "\\spad{map(f,g(x))} applies the map \\spad{f} to the coefficients of \\indented{1}{the Taylor series \\spad{g(x)}.}"))) 
 NIL 
 NIL 
-(-1242 S |Coef|) 
+(-1247 S |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (** (($ $ |#2|) "\\spad{f(x) \\spad{**} a} computes a power of a power series. When the coefficient ring is a field, we may raise a series to an exponent from the coefficient ring provided that the constant coefficient of the series is 1.")) (|polynomial| (((|Polynomial| |#2|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,k1,k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Polynomial| |#2|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|multiplyCoefficients| (($ (|Mapping| |#2| (|Integer|)) $) "\\spad{multiplyCoefficients(f,sum(n = 0..infinity,a[n] * x**n))} returns \\spad{sum(n = 0..infinity,f(n) * a[n] * x**n)}. This function is used when Laurent series are represented by a Taylor series and an order.")) (|quoByVar| (($ $) "\\spad{quoByVar(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns \\spad{a1 + \\spad{a2} \\spad{x} + \\spad{a3} \\spad{x**2} + ...} Thus, this function substracts the constant term and divides by the series variable. This function is used when Laurent series are represented by a Taylor series and an order.")) (|coefficients| (((|Stream| |#2|) $) "\\spad{coefficients(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns a stream of coefficients: \\spad{[a0,a1,a2,...]}. The entries of the stream may be zero.")) (|series| (($ (|Stream| |#2|)) "\\spad{series([a0,a1,a2,...])} is the Taylor series \\spad{a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...}.") (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#2|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-961))) (|HasCategory| |#2| (QUOTE (-1185))) (|HasSignature| |#2| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#2|)))) (|HasSignature| |#2| (LIST (QUOTE -1324) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (QUOTE (-1165))))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) 
-(-1243 |Coef|) 
+((|HasCategory| |#2| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#2| (QUOTE (-965))) (|HasCategory| |#2| (QUOTE (-1189))) (|HasSignature| |#2| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#2|)))) (|HasSignature| |#2| (LIST (QUOTE -3403) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (QUOTE (-1169))))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#2| (QUOTE (-367)))) 
+(-1248 |Coef|) 
 ((|constructor| (NIL "\\spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (** (($ $ |#1|) "\\spad{f(x) \\spad{**} a} computes a power of a power series. When the coefficient ring is a field, we may raise a series to an exponent from the coefficient ring provided that the constant coefficient of the series is 1.")) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,k1,k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(f,sum(n = 0..infinity,a[n] * x**n))} returns \\spad{sum(n = 0..infinity,f(n) * a[n] * x**n)}. This function is used when Laurent series are represented by a Taylor series and an order.")) (|quoByVar| (($ $) "\\spad{quoByVar(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns \\spad{a1 + \\spad{a2} \\spad{x} + \\spad{a3} \\spad{x**2} + ...} Thus, this function substracts the constant term and divides by the series variable. This function is used when Laurent series are represented by a Taylor series and an order.")) (|coefficients| (((|Stream| |#1|) $) "\\spad{coefficients(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns a stream of coefficients: \\spad{[a0,a1,a2,...]}. The entries of the stream may be zero.")) (|series| (($ (|Stream| |#1|)) "\\spad{series([a0,a1,a2,...])} is the Taylor series \\spad{a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...}.") (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1244 |Coef| |var| |cen|) 
+(-1249 |Coef| |var| |cen|) 
 ((|constructor| (NIL "Dense Taylor series in one variable \\spadtype{UnivariateTaylorSeries} is a domain representing Taylor series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spadtype{UnivariateTaylorSeries}(Integer,x,3) represents Taylor series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|invmultisect| (($ (|Integer|) (|Integer|) $) "\\spad{invmultisect(a,b,f(x))} substitutes \\spad{x^((a+b)*n)} \\indented{1}{for \\spad{x^n} and multiples by \\spad{x^b}.}")) (|multisect| (($ (|Integer|) (|Integer|) $) "\\spad{multisect(a,b,f(x))} selects the coefficients of \\indented{1}{\\spad{x^((a+b)*n+a)}, and changes this monomial to \\spad{x^n}.}")) (|revert| (($ $) "\\spad{revert(f(x))} returns a Taylor series \\spad{g(x)} such that \\spad{f(g(x)) = g(f(x)) = \\spad{x}.} Series \\spad{f(x)} should have constant coefficient 0 and 1st order coefficient 1.")) (|generalLambert| (($ $ (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),a,d)} returns \\spad{f(x^a) + f(x^(a + \\spad{d))} + \\indented{1}{f(x^(a + 2 \\spad{d))} + \\spad{...} \\spad{}.} \\spad{f(x)} should have zero constant} \\indented{1}{coefficient and \\spad{a} and \\spad{d} should be positive.}")) (|evenlambert| (($ $) "\\spad{evenlambert(f(x))} returns \\spad{f(x^2) + f(x^4) + f(x^6) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n))) = exp(log(evenlambert(f(x))))}.}")) (|oddlambert| (($ $) "\\spad{oddlambert(f(x))} returns \\spad{f(x) + f(x^3) + f(x^5) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n-1)))=exp(log(oddlambert(f(x))))}.}")) (|lambert| (($ $) "\\spad{lambert(f(x))} returns \\spad{f(x) + f(x^2) + f(x^3) + ...}. \\indented{1}{This function is used for computing infinite products.} \\indented{1}{\\spad{f(x)} should have zero constant coefficient.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n = 1..infinity,f(x^n)) = exp(log(lambert(f(x))))}.}")) (|lagrange| (($ $) "\\spad{lagrange(g(x))} produces the Taylor series for \\spad{f(x)} \\indented{1}{where \\spad{f(x)} is implicitly defined as \\spad{f(x) = x*g(f(x))}.}")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|))))) (|HasCategory| (-765) (QUOTE (-1105))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
-(-1245 |Coef| UTS) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-768)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-768)) (|devaluate| |#1|))))) (|HasCategory| (-768) (QUOTE (-1109))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-768))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-768))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|))))))) 
+(-1250 |Coef| UTS) 
 ((|constructor| (NIL "Taylor series solutions of explicit ODE's. This package provides Taylor series solutions to regular linear or non-linear ordinary differential equations of arbitrary order.")) (|mpsode| (((|List| |#2|) (|List| |#1|) (|List| (|Mapping| |#2| (|List| |#2|)))) "\\spad{mpsode(r,f)} solves the system of differential equations \\spad{dy[i]/dx =f[i] [x,y[1],y[2],...,y[n]]}, \\spad{y[i](a) = r[i]} for \\spad{i} in 1..n.")) (|ode| ((|#2| (|Mapping| |#2| (|List| |#2|)) (|List| |#1|)) "\\spad{ode(f,cl)} is the solution to \\spad{y<n>=f(y,y',..,y<n-1>)} such that \\spad{y<i>(a) = cl.i} for \\spad{i} in 1..n.")) (|ode2| ((|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#1|) "\\spad{ode2(f,c0,c1)} is the solution to \\spad{y'' = f(y,y')} such that \\spad{y(a) = \\spad{c0}} and \\spad{y'(a) = c1}.")) (|ode1| ((|#2| (|Mapping| |#2| |#2|) |#1|) "\\spad{ode1(f,c)} is the solution to \\spad{y' = f(y)} such that \\spad{y(a) = \\spad{c}.}")) (|fixedPointExquo| ((|#2| |#2| |#2|) "\\spad{fixedPointExquo(f,g)} computes the exact quotient of \\spad{f} and \\spad{g} using a fixed point computation.")) (|stFuncN| (((|Mapping| (|Stream| |#1|) (|List| (|Stream| |#1|))) (|Mapping| |#2| (|List| |#2|))) "\\spad{stFuncN(f)} is a local function xported due to compiler problem. This function is of no interest to the top-level user.")) (|stFunc2| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2| |#2|)) "\\spad{stFunc2(f)} is a local function exported due to compiler problem. This function is of no interest to the top-level user.")) (|stFunc1| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2|)) "\\spad{stFunc1(f)} is a local function exported due to compiler problem. This function is of no interest to the top-level user."))) 
 NIL 
 NIL 
-(-1246 -1647 UP L UTS) 
+(-1251 -3280 UP L UTS) 
 ((|constructor| (NIL "\\spad{RUTSodetools} provides tools to interface with the series ODE solver when presented with linear ODEs.")) (RF2UTS ((|#4| (|Fraction| |#2|)) "\\spad{RF2UTS(f)} converts \\spad{f} to a Taylor series.")) (LODO2FUN (((|Mapping| |#4| (|List| |#4|)) |#3|) "\\spad{LODO2FUN(op)} returns the function to pass to the series ODE solver in order to solve \\spad{op \\spad{y} = 0}.")) (UTS2UP ((|#2| |#4| (|NonNegativeInteger|)) "\\spad{UTS2UP(s, \\spad{n)}} converts the first \\spad{n} terms of \\spad{s} to a univariate polynomial.")) (UP2UTS ((|#4| |#2|) "\\spad{UP2UTS(p)} converts \\spad{p} to a Taylor series."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-559)))) 
-(-1247 -1647 UTSF UTSSUPF) 
+((|HasCategory| |#1| (QUOTE (-561)))) 
+(-1252 -3280 UTSF UTSSUPF) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
-(-1248 |Coef| |var|) 
+(-1253 |Coef| |var|) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|invmultisect| (($ (|Integer|) (|Integer|) $) "\\spad{invmultisect(a,b,f(x))} substitutes \\spad{x^((a+b)*n)} \\indented{1}{for \\spad{x^n} and multiples by \\spad{x^b}.}")) (|multisect| (($ (|Integer|) (|Integer|) $) "\\spad{multisect(a,b,f(x))} selects the coefficients of \\indented{1}{\\spad{x^((a+b)*n+a)}, and changes this monomial to \\spad{x^n}.}")) (|revert| (($ $) "\\spad{revert(f(x))} returns a Taylor series \\spad{g(x)} such that \\spad{f(g(x)) = g(f(x)) = \\spad{x}.} Series \\spad{f(x)} should have constant coefficient 0 and 1st order coefficient 1.")) (|generalLambert| (($ $ (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),a,d)} returns \\spad{f(x^a) + f(x^(a + \\spad{d))} + \\indented{1}{f(x^(a + 2 \\spad{d))} + \\spad{...} \\spad{}.} \\spad{f(x)} should have zero constant} \\indented{1}{coefficient and \\spad{a} and \\spad{d} should be positive.}")) (|evenlambert| (($ $) "\\spad{evenlambert(f(x))} returns \\spad{f(x^2) + f(x^4) + f(x^6) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n)))=exp(log(evenlambert(f(x))))}.}")) (|oddlambert| (($ $) "\\spad{oddlambert(f(x))} returns \\spad{f(x) + f(x^3) + f(x^5) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n-1)))=exp(log(oddlambert(f(x))))}.}")) (|lambert| (($ $) "\\spad{lambert(f(x))} returns \\spad{f(x) + f(x^2) + f(x^3) + ...}. \\indented{1}{This function is used for computing infinite products.} \\indented{1}{\\spad{f(x)} should have zero constant coefficient.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n = 1..infinity,f(x^n)) = exp(log(lambert(f(x))))}.}")) (|lagrange| (($ $) "\\spad{lagrange(g(x))} produces the Taylor series for \\spad{f(x)} \\indented{1}{where \\spad{f(x)} is implicitly defined as \\spad{f(x) = x*g(f(x))}.}")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|))))) (|HasCategory| (-765) (QUOTE (-1105))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
-(-1249 |sym|) 
+(((-4602 "*") |has| |#1| (-173)) (-4593 |has| |#1| (-561)) (-4594 . T) (-4595 . T) (-4597 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#1| (QUOTE (-173))) (-1831 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-561)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-768)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -900) (QUOTE (-1169)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-768)) (|devaluate| |#1|))))) (|HasCategory| (-768) (QUOTE (-1109))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-768))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-768))))) (|HasSignature| |#1| (LIST (QUOTE -3942) (LIST (|devaluate| |#1|) (QUOTE (-1169)))))) (|HasCategory| |#1| (QUOTE (-367))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-571)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasCategory| |#1| (QUOTE (-965))) (|HasCategory| |#1| (QUOTE (-1189)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasSignature| |#1| (LIST (QUOTE -3403) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1169))))) (|HasSignature| |#1| (LIST (QUOTE -3424) (LIST (LIST (QUOTE -637) (QUOTE (-1169))) (|devaluate| |#1|))))))) 
+(-1254 |sym|) 
 ((|constructor| (NIL "This domain implements variables")) (|variable| (((|Symbol|)) "\\spad{variable()} returns the symbol")) (|coerce| (((|Symbol|) $) "\\spad{coerce(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-1250 S R) 
-((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects, \\spadignore{i.e.} finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#2| $) "\\spad{magnitude(v)} computes the sqrt(dot(v,v)), \\spadignore{i.e.} the length")) (|length| ((|#2| $) "\\spad{length(v)} computes the sqrt(dot(v,v)), \\spadignore{i.e.} the magnitude")) (|cross| (($ $ $) "vectorProduct(u,v) constructs the cross product of \\spad{u} and \\spad{v.} Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#2|) $ $) "\\spad{outerProduct(u,v)} constructs the matrix whose (i,j)'th element is u(i)*v(j).")) (|dot| ((|#2| $ $) "\\spad{dot(x,y)} computes the inner product of the two vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#2|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#2| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}") (($ (|Integer|) $) "\\spad{n * \\spad{y}} multiplies each component of the vector \\spad{y} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x - \\spad{y}} returns the component-wise difference of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x.}")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n.}")) (+ (($ $ $) "\\spad{x + \\spad{y}} returns the component-wise sum of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
+(-1255 S R) 
+((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects, that is, finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#2| $) "\\spad{magnitude(v)} computes the sqrt(dot(v,v)), that is, the length")) (|length| ((|#2| $) "\\spad{length(v)} computes the sqrt(dot(v,v)), that is, the magnitude")) (|cross| (($ $ $) "\\spad{cross(u,v)} constructs the cross product of \\spad{u} and \\spad{v.} Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#2|) $ $) "\\spad{outerProduct(u,v)} constructs the matrix whose (i,j)'th element is u(i)*v(j).")) (|dot| ((|#2| $ $) "\\spad{dot(x,y)} computes the inner product of the two vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#2|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#2| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}") (($ (|Integer|) $) "\\spad{n * \\spad{y}} multiplies each component of the vector \\spad{y} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x - \\spad{y}} returns the component-wise difference of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x.}")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n.}")) (+ (($ $ $) "\\spad{x + \\spad{y}} returns the component-wise sum of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-1004))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-25)))) 
-(-1251 R) 
-((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects, \\spadignore{i.e.} finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#1| $) "\\spad{magnitude(v)} computes the sqrt(dot(v,v)), \\spadignore{i.e.} the length")) (|length| ((|#1| $) "\\spad{length(v)} computes the sqrt(dot(v,v)), \\spadignore{i.e.} the magnitude")) (|cross| (($ $ $) "vectorProduct(u,v) constructs the cross product of \\spad{u} and \\spad{v.} Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#1|) $ $) "\\spad{outerProduct(u,v)} constructs the matrix whose (i,j)'th element is u(i)*v(j).")) (|dot| ((|#1| $ $) "\\spad{dot(x,y)} computes the inner product of the two vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#1|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#1| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}") (($ (|Integer|) $) "\\spad{n * \\spad{y}} multiplies each component of the vector \\spad{y} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x - \\spad{y}} returns the component-wise difference of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x.}")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n.}")) (+ (($ $ $) "\\spad{x + \\spad{y}} returns the component-wise sum of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
-((-4572 . T) (-4571 . T) (-4317 . T)) 
+((|HasCategory| |#2| (QUOTE (-1008))) (|HasCategory| |#2| (QUOTE (-1053))) (|HasCategory| |#2| (QUOTE (-721))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-25)))) 
+(-1256 R) 
+((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects, that is, finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#1| $) "\\spad{magnitude(v)} computes the sqrt(dot(v,v)), that is, the length")) (|length| ((|#1| $) "\\spad{length(v)} computes the sqrt(dot(v,v)), that is, the magnitude")) (|cross| (($ $ $) "\\spad{cross(u,v)} constructs the cross product of \\spad{u} and \\spad{v.} Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#1|) $ $) "\\spad{outerProduct(u,v)} constructs the matrix whose (i,j)'th element is u(i)*v(j).")) (|dot| ((|#1| $ $) "\\spad{dot(x,y)} computes the inner product of the two vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#1|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#1| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}") (($ (|Integer|) $) "\\spad{n * \\spad{y}} multiplies each component of the vector \\spad{y} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x - \\spad{y}} returns the component-wise difference of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x.}")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n.}")) (+ (($ $ $) "\\spad{x + \\spad{y}} returns the component-wise sum of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
+((-4601 . T) (-4600 . T) (-3348 . T)) 
 NIL 
-(-1252 A B) 
+(-1257 A B) 
 ((|constructor| (NIL "This package provides operations which all take as arguments vectors of elements of some type \\spad{A} and functions from \\spad{A} to another of type \\spad{B.} The operations all iterate over their vector argument and either return a value of type \\spad{B} or a vector over \\spad{B.}")) (|map| (((|Union| (|Vector| |#2|) "failed") (|Mapping| (|Union| |#2| "failed") |#1|) (|Vector| |#1|)) "\\spad{map(f, \\spad{v)}} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values or \\spad{\"failed\"}.") (((|Vector| |#2|) (|Mapping| |#2| |#1|) (|Vector| |#1|)) "\\spad{map(f, \\spad{v)}} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values.")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) "\\spad{reduce(func,vec,ident)} combines the elements in \\spad{vec} using the binary function func. Argument \\spad{ident} is returned if \\spad{vec} is empty.")) (|scan| (((|Vector| |#2|) (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) "\\spad{scan(func,vec,ident)} creates a new vector whose elements are the result of applying reduce to the binary function func, increasing initial subsequences of the vector vec, and the element ident."))) 
 NIL 
 NIL 
-(-1253 R) 
+(-1258 R) 
 ((|constructor| (NIL "This type represents vector like objects with varying lengths and indexed by a finite segment of integers starting at 1.")) (|vector| (($ (|List| |#1|)) "\\spad{vector(l)} converts the list \\spad{l} to a vector."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#1| (QUOTE (-1049))) (-12 (|HasCategory| |#1| (QUOTE (-1004))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
-(-1254) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#1| (QUOTE (-1097))) (|HasCategory| |#1| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#1| (QUOTE (-847))) (-1831 (|HasCategory| |#1| (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-1097)))) (|HasCategory| (-571) (QUOTE (-847))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-721))) (|HasCategory| |#1| (QUOTE (-1053))) (-12 (|HasCategory| |#1| (QUOTE (-1008))) (|HasCategory| |#1| (QUOTE (-1053)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))) (-1831 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-847)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1097)))))) 
+(-1259) 
 ((|constructor| (NIL "TwoDimensionalViewport creates viewports to display graphs.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(v)} returns the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport} as output of the domain \\spadtype{OutputForm}.")) (|key| (((|Integer|) $) "\\spad{key(v)} returns the process ID number of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}.")) (|reset| (((|Void|) $) "\\spad{reset(v)} sets the current state of the graph characteristics of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, back to their initial settings.")) (|write| (((|String|) $ (|String|) (|List| (|String|))) "\\spad{write(v,s,lf)} takes the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data files for \\spad{v} and the optional file types indicated by the list \\spad{lf.}") (((|String|) $ (|String|) (|String|)) "\\spad{write(v,s,f)} takes the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data files for \\spad{v} and an optional file type \\spad{f.}") (((|String|) $ (|String|)) "\\spad{write(v,s)} takes the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data files for \\spad{v.}")) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{resize(v,w,h)} displays the two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with a width of \\spad{w} and a height of \\spad{h,} keeping the upper left-hand corner position unchanged.")) (|update| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) "\\spad{update(v,gr,n)} drops the graph \\spad{gr} in slot \\spad{n} of viewport \\spad{v}. The graph \\spad{gr} must have been transmitted already and acquired an integer key.")) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{move(v,x,y)} displays the two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with the upper left-hand corner of the viewport window at the screen coordinate position \\spad{x,} \\spad{y.}")) (|show| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{show(v,n,s)} displays the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the graph if \\spad{s} is \"off\".")) (|translate| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) "\\spad{translate(v,n,dx,dy)} displays the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, translated by \\spad{dx} in the x-coordinate direction from the center of the viewport, and by \\spad{dy} in the y-coordinate direction from the center. Setting \\spad{dx} and \\spad{dy} to \\spad{0} places the center of the graph at the center of the viewport.")) (|scale| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) "\\spad{scale(v,n,sx,sy)} displays the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, scaled by the factor \\spad{sx} in the x-coordinate direction and by the factor \\spad{sy} in the y-coordinate direction.")) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{dimensions(v,x,y,width,height)} sets the position of the upper left-hand corner of the two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, to the window coordinate \\spad{x,} \\spad{y,} and sets the dimensions of the window to that of \\spad{width}, \\spad{height}. The new dimensions are not displayed until the function \\spadfun{makeViewport2D} is executed again for \\spad{v.}")) (|close| (((|Void|) $) "\\spad{close(v)} closes the viewport window of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and terminates the corresponding process ID.")) (|controlPanel| (((|Void|) $ (|String|)) "\\spad{controlPanel(v,s)} displays the control panel of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or hides the control panel if \\spad{s} is \"off\".")) (|connect| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{connect(v,n,s)} displays the lines connecting the graph points in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the lines if \\spad{s} is \"off\".")) (|region| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{region(v,n,s)} displays the bounding box of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the bounding box if \\spad{s} is \"off\".")) (|points| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{points(v,n,s)} displays the points of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the points if \\spad{s} is \"off\".")) (|units| (((|Void|) $ (|PositiveInteger|) (|Palette|)) "\\spad{units(v,n,c)} displays the units of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with the units color set to the given palette color \\spad{c.}") (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{units(v,n,s)} displays the units of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the units if \\spad{s} is \"off\".")) (|axes| (((|Void|) $ (|PositiveInteger|) (|Palette|)) "\\spad{axes(v,n,c)} displays the axes of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with the axes color set to the given palette color \\spad{c.}") (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{axes(v,n,s)} displays the axes of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the axes if \\spad{s} is \"off\".")) (|getGraph| (((|GraphImage|) $ (|PositiveInteger|)) "\\spad{getGraph(v,n)} returns the graph which is of the domain \\spadtype{GraphImage} which is located in graph field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of the domain \\spadtype{TwoDimensionalViewport}.")) (|putGraph| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) "\\spad{putGraph(v,gi,n)} sets the graph field indicated by \\spad{n,} of the indicated two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, to be the graph, \\spad{gi} of domain \\spadtype{GraphImage}. The contents of viewport, \\spad{v,} will contain \\spad{gi} when the function \\spadfun{makeViewport2D} is called to create the an updated viewport \\spad{v.}")) (|title| (((|Void|) $ (|String|)) "\\spad{title(v,s)} changes the title which is shown in the two-dimensional viewport window, \\spad{v} of domain \\spadtype{TwoDimensionalViewport}.")) (|graphs| (((|Vector| (|Union| (|GraphImage|) "undefined")) $) "\\spad{graphs(v)} returns a vector, or list, which is a union of all the graphs, of the domain \\spadtype{GraphImage}, which are allocated for the two-dimensional viewport, \\spad{v,} of domain \\spadtype{TwoDimensionalViewport}. Those graphs which have no data are labeled \"undefined\", otherwise their contents are shown.")) (|graphStates| (((|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|)))) $) "\\spad{graphStates(v)} returns and shows a listing of a record containing the current state of the characteristics of each of the ten graph records in the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}.")) (|graphState| (((|Void|) $ (|PositiveInteger|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Palette|) (|Integer|) (|Palette|) (|Integer|)) "\\spad{graphState(v,num,sX,sY,dX,dY,pts,lns,box,axes,axesC,un,unC,cP)} sets the state of the characteristics for the graph indicated by \\spad{num} in the given two-dimensional viewport \\spad{v,} of domain \\spadtype{TwoDimensionalViewport}, to the values given as parameters. The scaling of the graph in the \\spad{x} and \\spad{y} component directions is set to be \\spad{sX} and \\spad{sY}; the window translation in the \\spad{x} and \\spad{y} component directions is set to be \\spad{dX} and \\spad{dY}; The graph points, lines, bounding box, axes, or units will be shown in the viewport if their given parameters \\spad{pts}, \\spad{lns}, \\spad{box}, \\spad{axes} or \\spad{un} are set to be \\spad{1}, but will not be shown if they are set to \\spad{0}. The color of the \\spad{axes} and the color of the units are indicated by the palette colors \\spad{axesC} and \\spad{unC} respectively. To display the control panel when the viewport window is displayed, set \\spad{cP} to \\spad{1}, otherwise set it to \\spad{0}.")) (|options| (($ $ (|List| (|DrawOption|))) "\\spad{options(v,lopt)} takes the given two-dimensional viewport, \\spad{v,} of the domain \\spadtype{TwoDimensionalViewport} and returns \\spad{v} with it's draw options modified to be those which are indicated in the given list, \\spad{lopt} of domain \\spadtype{DrawOption}.") (((|List| (|DrawOption|)) $) "\\spad{options(v)} takes the given two-dimensional viewport, \\spad{v,} of the domain \\spadtype{TwoDimensionalViewport} and returns a list containing the draw options from the domain \\spadtype{DrawOption} for \\spad{v.}")) (|makeViewport2D| (($ (|GraphImage|) (|List| (|DrawOption|))) "\\spad{makeViewport2D(gi,lopt)} creates and displays a viewport window of the domain \\spadtype{TwoDimensionalViewport} whose graph field is assigned to be the given graph, \\spad{gi}, of domain \\spadtype{GraphImage}, and whose options field is set to be the list of options, \\spad{lopt} of domain \\spadtype{DrawOption}.") (($ $) "\\spad{makeViewport2D(v)} takes the given two-dimensional viewport, \\spad{v,} of the domain \\spadtype{TwoDimensionalViewport} and displays a viewport window on the screen which contains the contents of \\spad{v.}")) (|viewport2D| (($) "\\spad{viewport2D()} returns an undefined two-dimensional viewport of the domain \\spadtype{TwoDimensionalViewport} whose contents are empty.")) (|getPickedPoints| (((|List| (|Point| (|DoubleFloat|))) $) "\\spad{getPickedPoints(x)} returns a list of small floats for the points the user interactively picked on the viewport for full integration into the system, some design issues need to be addressed: \\spadignore{e.g.} how to go through the GraphImage interface, how to default to graphs, etc."))) 
 NIL 
 NIL 
-(-1255) 
+(-1260) 
 ((|constructor| (NIL "ThreeDimensionalViewport creates viewports to display graphs")) (|key| (((|Integer|) $) "\\spad{key(v)} returns the process ID number of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|close| (((|Void|) $) "\\spad{close(v)} closes the viewport window of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and terminates the corresponding process ID.")) (|write| (((|String|) $ (|String|) (|List| (|String|))) "\\spad{write(v,s,lf)} takes the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data file for \\spad{v} and the optional file types indicated by the list \\spad{lf.}") (((|String|) $ (|String|) (|String|)) "\\spad{write(v,s,f)} takes the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data file for \\spad{v} and an optional file type \\spad{f.}") (((|String|) $ (|String|)) "\\spad{write(v,s)} takes the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data file for \\spad{v.}")) (|colorDef| (((|Void|) $ (|Color|) (|Color|)) "\\spad{colorDef(v,c1,c2)} sets the range of colors along the colormap so that the lower end of the colormap is defined by \\spad{c1} and the top end of the colormap is defined by \\spad{c2}, for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|reset| (((|Void|) $) "\\spad{reset(v)} sets the current state of the graph characteristics of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, back to their initial settings.")) (|intensity| (((|Void|) $ (|Float|)) "\\spad{intensity(v,i)} sets the intensity of the light source to i, for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|lighting| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{lighting(v,x,y,z)} sets the position of the light source to the coordinates \\spad{x,} \\spad{y,} and \\spad{z} and displays the graph for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|clipSurface| (((|Void|) $ (|String|)) "\\spad{clipSurface(v,s)} displays the graph with the specified clipping region removed if \\spad{s} is \"on\", or displays the graph without clipping implemented if \\spad{s} is \"off\", for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|showClipRegion| (((|Void|) $ (|String|)) "\\spad{showClipRegion(v,s)} displays the clipping region of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the region if \\spad{s} is \"off\".")) (|showRegion| (((|Void|) $ (|String|)) "\\spad{showRegion(v,s)} displays the bounding box of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the box if \\spad{s} is \"off\".")) (|hitherPlane| (((|Void|) $ (|Float|)) "\\spad{hitherPlane(v,h)} sets the hither clipping plane of the graph to \\spad{h,} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|eyeDistance| (((|Void|) $ (|Float|)) "\\spad{eyeDistance(v,d)} sets the distance of the observer from the center of the graph to \\spad{d,} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|perspective| (((|Void|) $ (|String|)) "\\spad{perspective(v,s)} displays the graph in perspective if \\spad{s} is \"on\", or does not display perspective if \\spad{s} is \"off\" for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|translate| (((|Void|) $ (|Float|) (|Float|)) "\\spad{translate(v,dx,dy)} sets the horizontal viewport offset to \\spad{dx} and the vertical viewport offset to \\spad{dy}, for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|zoom| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{zoom(v,sx,sy,sz)} sets the graph scaling factors for the x-coordinate axis to \\spad{sx}, the y-coordinate axis to \\spad{sy} and the z-coordinate axis to \\spad{sz} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.") (((|Void|) $ (|Float|)) "\\spad{zoom(v,s)} sets the graph scaling factor to \\spad{s,} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|rotate| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{rotate(v,th,phi)} rotates the graph to the longitudinal view angle \\spad{th} degrees and the latitudinal view angle \\spad{phi} degrees for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new rotation position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}") (((|Void|) $ (|Float|) (|Float|)) "\\spad{rotate(v,th,phi)} rotates the graph to the longitudinal view angle \\spad{th} radians and the latitudinal view angle \\spad{phi} radians for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|drawStyle| (((|Void|) $ (|String|)) "\\spad{drawStyle(v,s)} displays the surface for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport} in the style of drawing indicated by \\spad{s.} If \\spad{s} is not a valid drawing style the style is wireframe by default. Possible styles are \\spad{\"shade\"}, \\spad{\"solid\"} or \\spad{\"opaque\"}, \\spad{\"smooth\"}, and \\spad{\"wireMesh\"}.")) (|outlineRender| (((|Void|) $ (|String|)) "\\spad{outlineRender(v,s)} displays the polygon outline showing either triangularized surface or a quadrilateral surface outline depending on the whether the \\spadfun{diagonals} function has been set, for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the polygon outline if \\spad{s} is \"off\".")) (|diagonals| (((|Void|) $ (|String|)) "\\spad{diagonals(v,s)} displays the diagonals of the polygon outline showing a triangularized surface instead of a quadrilateral surface outline, for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the diagonals if \\spad{s} is \"off\".")) (|axes| (((|Void|) $ (|String|)) "\\spad{axes(v,s)} displays the axes of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the axes if \\spad{s} is \"off\".")) (|controlPanel| (((|Void|) $ (|String|)) "\\spad{controlPanel(v,s)} displays the control panel of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or hides the control panel if \\spad{s} is \"off\".")) (|viewpoint| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,rotx,roty,rotz)} sets the rotation about the x-axis to be \\spad{rotx} radians, sets the rotation about the y-axis to be \\spad{roty} radians, and sets the rotation about the z-axis to be \\spad{rotz} radians, for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport} and displays \\spad{v} with the new view position.") (((|Void|) $ (|Float|) (|Float|)) "\\spad{viewpoint(v,th,phi)} sets the longitudinal view angle to \\spad{th} radians and the latitudinal view angle to \\spad{phi} radians for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}") (((|Void|) $ (|Integer|) (|Integer|) (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,th,phi,s,dx,dy)} sets the longitudinal view angle to \\spad{th} degrees, the latitudinal view angle to \\spad{phi} degrees, the scale factor to \\spad{s}, the horizontal viewport offset to \\spad{dx}, and the vertical viewport offset to \\spad{dy} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}") (((|Void|) $ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(v,viewpt)} sets the viewpoint for the viewport. The viewport record consists of the latitudal and longitudal angles, the zoom factor, the x,y and \\spad{z} scales, and the \\spad{x} and \\spad{y} displacements.") (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) $) "\\spad{viewpoint(v)} returns the current viewpoint setting of the given viewport, \\spad{v.} This function is useful in the situation where the user has created a viewport, proceeded to interact with it via the control panel and desires to save the values of the viewpoint as the default settings for another viewport to be created using the system.") (((|Void|) $ (|Float|) (|Float|) (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,th,phi,s,dx,dy)} sets the longitudinal view angle to \\spad{th} radians, the latitudinal view angle to \\spad{phi} radians, the scale factor to \\spad{s}, the horizontal viewport offset to \\spad{dx}, and the vertical viewport offset to \\spad{dy} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}")) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{dimensions(v,x,y,width,height)} sets the position of the upper left-hand corner of the three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, to the window coordinate \\spad{x,} \\spad{y,} and sets the dimensions of the window to that of \\spad{width}, \\spad{height}. The new dimensions are not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}")) (|title| (((|Void|) $ (|String|)) "\\spad{title(v,s)} changes the title which is shown in the three-dimensional viewport window, \\spad{v} of domain \\spadtype{ThreeDimensionalViewport}.")) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{resize(v,w,h)} displays the three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, with a width of \\spad{w} and a height of \\spad{h,} keeping the upper left-hand corner position unchanged.")) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{move(v,x,y)} displays the three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, with the upper left-hand corner of the viewport window at the screen coordinate position \\spad{x,} \\spad{y.}")) (|options| (($ $ (|List| (|DrawOption|))) "\\spad{options(v,lopt)} takes the viewport, \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport} and sets the draw options being used by \\spad{v} to those indicated in the list, \\spad{lopt}, which is a list of options from the domain \\spad{DrawOption}.") (((|List| (|DrawOption|)) $) "\\spad{options(v)} takes the viewport, \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport} and returns a list of all the draw options from the domain \\spad{DrawOption} which are being used by \\spad{v.}")) (|modifyPointData| (((|Void|) $ (|NonNegativeInteger|) (|Point| (|DoubleFloat|))) "\\spad{modifyPointData(v,ind,pt)} takes the viewport, \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}, and places the data point, \\spad{pt} into the list of points database of \\spad{v} at the index location given by \\spad{ind}.")) (|subspace| (($ $ (|ThreeSpace| (|DoubleFloat|))) "\\spad{subspace(v,sp)} places the contents of the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}, in the subspace \\spad{sp}, which is of the domain \\spad{ThreeSpace}.") (((|ThreeSpace| (|DoubleFloat|)) $) "\\spad{subspace(v)} returns the contents of the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}, as a subspace of the domain \\spad{ThreeSpace}.")) (|makeViewport3D| (($ (|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{makeViewport3D(sp,lopt)} takes the given space, \\spad{sp} which is of the domain \\spadtype{ThreeSpace} and displays a viewport window on the screen which contains the contents of \\spad{sp}, and whose draw options are indicated by the list \\spad{lopt}, which is a list of options from the domain \\spad{DrawOption}.") (($ (|ThreeSpace| (|DoubleFloat|)) (|String|)) "\\spad{makeViewport3D(sp,s)} takes the given space, \\spad{sp} which is of the domain \\spadtype{ThreeSpace} and displays a viewport window on the screen which contains the contents of \\spad{sp}, and whose title is given by \\spad{s.}") (($ $) "\\spad{makeViewport3D(v)} takes the given three-dimensional viewport, \\spad{v,} of the domain \\spadtype{ThreeDimensionalViewport} and displays a viewport window on the screen which contains the contents of \\spad{v.}")) (|viewport3D| (($) "\\spad{viewport3D()} returns an undefined three-dimensional viewport of the domain \\spadtype{ThreeDimensionalViewport} whose contents are empty.")) (|viewDeltaYDefault| (((|Float|) (|Float|)) "\\spad{viewDeltaYDefault(dy)} sets the current default vertical offset from the center of the viewport window to be \\spad{dy} and returns \\spad{dy}.") (((|Float|)) "\\spad{viewDeltaYDefault()} returns the current default vertical offset from the center of the viewport window.")) (|viewDeltaXDefault| (((|Float|) (|Float|)) "\\spad{viewDeltaXDefault(dx)} sets the current default horizontal offset from the center of the viewport window to be \\spad{dx} and returns \\spad{dx}.") (((|Float|)) "\\spad{viewDeltaXDefault()} returns the current default horizontal offset from the center of the viewport window.")) (|viewZoomDefault| (((|Float|) (|Float|)) "\\spad{viewZoomDefault(s)} sets the current default graph scaling value to \\spad{s} and returns \\spad{s.}") (((|Float|)) "\\spad{viewZoomDefault()} returns the current default graph scaling value.")) (|viewPhiDefault| (((|Float|) (|Float|)) "\\spad{viewPhiDefault(p)} sets the current default latitudinal view angle in radians to the value \\spad{p} and returns \\spad{p.}") (((|Float|)) "\\spad{viewPhiDefault()} returns the current default latitudinal view angle in radians.")) (|viewThetaDefault| (((|Float|) (|Float|)) "\\spad{viewThetaDefault(t)} sets the current default longitudinal view angle in radians to the value \\spad{t} and returns \\spad{t.}") (((|Float|)) "\\spad{viewThetaDefault()} returns the current default longitudinal view angle in radians."))) 
 NIL 
 NIL 
-(-1256) 
-((|constructor| (NIL "ViewportDefaultsPackage describes default and user definable values for graphics")) (|tubeRadiusDefault| (((|DoubleFloat|)) "\\spad{tubeRadiusDefault()} returns the radius used for a 3D tube plot.") (((|DoubleFloat|) (|Float|)) "\\spad{tubeRadiusDefault(r)} sets the default radius for a 3D tube plot to \\spad{r.}")) (|tubePointsDefault| (((|PositiveInteger|)) "\\spad{tubePointsDefault()} returns the number of points to be used when creating the circle to be used in creating a 3D tube plot.") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{tubePointsDefault(i)} sets the number of points to use when creating the circle to be used in creating a 3D tube plot to i.")) (|var2StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var2StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).") (((|PositiveInteger|)) "\\spad{var2StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).")) (|var1StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var1StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).") (((|PositiveInteger|)) "\\spad{var1StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).")) (|viewWriteAvailable| (((|List| (|String|))) "\\spad{viewWriteAvailable()} returns a list of available methods for writing, such as BITMAP, POSTSCRIPT, etc.")) (|viewWriteDefault| (((|List| (|String|)) (|List| (|String|))) "\\spad{viewWriteDefault(l)} sets the default list of things to write in a viewport data file to the strings in \\spad{l;} a viewalone file is always genereated.") (((|List| (|String|))) "\\spad{viewWriteDefault()} returns the list of things to write in a viewport data file; a viewalone file is always generated.")) (|viewDefaults| (((|Void|)) "\\spad{viewDefaults()} resets all the default graphics settings.")) (|viewSizeDefault| (((|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) "\\spad{viewSizeDefault([w,h])} sets the default viewport width to \\spad{w} and height to \\spad{h.}") (((|List| (|PositiveInteger|))) "\\spad{viewSizeDefault()} returns the default viewport width and height.")) (|viewPosDefault| (((|List| (|NonNegativeInteger|)) (|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault([x,y])} sets the default \\spad{x} and \\spad{y} position of a viewport window unless overriden explicityly, newly created viewports will have th \\spad{X} and \\spad{Y} coordinates \\spad{x,} \\spad{y.}") (((|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault()} returns the default \\spad{x} and \\spad{y} position of a viewport window unless overriden explicityly, newly created viewports will have this \\spad{X} and \\spad{Y} coordinate.")) (|pointSizeDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{pointSizeDefault(i)} sets the default size of the points in a 2D viewport to i.") (((|PositiveInteger|)) "\\spad{pointSizeDefault()} returns the default size of the points in a 2D viewport.")) (|unitsColorDefault| (((|Palette|) (|Palette|)) "\\spad{unitsColorDefault(p)} sets the default color of the unit ticks in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{unitsColorDefault()} returns the default color of the unit ticks in a 2D viewport.")) (|axesColorDefault| (((|Palette|) (|Palette|)) "\\spad{axesColorDefault(p)} sets the default color of the axes in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{axesColorDefault()} returns the default color of the axes in a 2D viewport.")) (|lineColorDefault| (((|Palette|) (|Palette|)) "\\spad{lineColorDefault(p)} sets the default color of lines connecting points in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{lineColorDefault()} returns the default color of lines connecting points in a 2D viewport.")) (|pointColorDefault| (((|Palette|) (|Palette|)) "\\spad{pointColorDefault(p)} sets the default color of points in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{pointColorDefault()} returns the default color of points in a 2D viewport."))) 
+(-1261) 
+((|constructor| (NIL "ViewportDefaultsPackage describes default and user definable values for graphics")) (|tubeRadiusDefault| (((|DoubleFloat|)) "\\spad{tubeRadiusDefault()} returns the radius used for a 3D tube plot.") (((|DoubleFloat|) (|Float|)) "\\spad{tubeRadiusDefault(r)} sets the default radius for a 3D tube plot to \\spad{r.}")) (|tubePointsDefault| (((|PositiveInteger|)) "\\spad{tubePointsDefault()} returns the number of points to be used when creating the circle to be used in creating a 3D tube plot.") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{tubePointsDefault(i)} sets the number of points to use when creating the circle to be used in creating a 3D tube plot to i.")) (|var2StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var2StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).") (((|PositiveInteger|)) "\\spad{var2StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).")) (|var1StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var1StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).") (((|PositiveInteger|)) "\\spad{var1StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).")) (|viewWriteAvailable| (((|List| (|String|))) "\\spad{viewWriteAvailable()} returns a list of available methods for writing, such as BITMAP, POSTSCRIPT, etc.")) (|viewWriteDefault| (((|List| (|String|)) (|List| (|String|))) "\\spad{viewWriteDefault(l)} sets the default list of things to write in a viewport data file to the strings in \\spad{l;} a viewalone file is always genereated.") (((|List| (|String|))) "\\spad{viewWriteDefault()} returns the list of things to write in a viewport data file; a viewalone file is always generated.")) (|viewDefaults| (((|Void|)) "\\spad{viewDefaults()} resets all the default graphics settings.")) (|viewSizeDefault| (((|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) "\\spad{viewSizeDefault([w,h])} sets the default viewport width to \\spad{w} and height to \\spad{h.}") (((|List| (|PositiveInteger|))) "\\spad{viewSizeDefault()} returns the default viewport width and height.")) (|viewPosDefault| (((|List| (|NonNegativeInteger|)) (|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault([x,y])} sets the default \\spad{x} and \\spad{y} position of a viewport window unless overriden explicityly, newly created viewports will have the \\spad{x} and \\spad{y} coordinates \\spad{x,} \\spad{y.}") (((|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault()} returns the default \\spad{x} and \\spad{y} position of a viewport window unless overriden explicityly, newly created viewports will have this \\spad{x} and \\spad{y} coordinate.")) (|pointSizeDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{pointSizeDefault(i)} sets the default size of the points in a 2D viewport to i.") (((|PositiveInteger|)) "\\spad{pointSizeDefault()} returns the default size of the points in a 2D viewport.")) (|unitsColorDefault| (((|Palette|) (|Palette|)) "\\spad{unitsColorDefault(p)} sets the default color of the unit ticks in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{unitsColorDefault()} returns the default color of the unit ticks in a 2D viewport.")) (|axesColorDefault| (((|Palette|) (|Palette|)) "\\spad{axesColorDefault(p)} sets the default color of the axes in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{axesColorDefault()} returns the default color of the axes in a 2D viewport.")) (|lineColorDefault| (((|Palette|) (|Palette|)) "\\spad{lineColorDefault(p)} sets the default color of lines connecting points in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{lineColorDefault()} returns the default color of lines connecting points in a 2D viewport.")) (|pointColorDefault| (((|Palette|) (|Palette|)) "\\spad{pointColorDefault(p)} sets the default color of points in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{pointColorDefault()} returns the default color of points in a 2D viewport."))) 
 NIL 
 NIL 
-(-1257) 
+(-1262) 
 ((|constructor| (NIL "ViewportPackage provides functions for creating GraphImages and TwoDimensionalViewports from lists of lists of points.")) (|coerce| (((|TwoDimensionalViewport|) (|GraphImage|)) "\\spad{coerce(gi)} converts the indicated \\spadtype{GraphImage}, gi, into the \\spadtype{TwoDimensionalViewport} form.")) (|drawCurves| (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) "\\spad{drawCurves([[p0],[p1],...,[pn]],[options])} creates a \\spadtype{TwoDimensionalViewport} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}.") (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) "\\spad{drawCurves([[p0],[p1],...,[pn]],ptColor,lineColor,ptSize,[options])} creates a \\spadtype{TwoDimensionalViewport} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}. The point color is specified by \\spad{ptColor}, the line color is specified by \\spad{lineColor}, and the point size is specified by \\spad{ptSize}.")) (|graphCurves| (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) "\\spad{graphCurves([[p0],[p1],...,[pn]],[options])} creates a \\spadtype{GraphImage} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}.") (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{graphCurves([[p0],[p1],...,[pn]])} creates a \\spadtype{GraphImage} from the list of lists of points indicated by \\spad{p0} through \\spad{pn.}") (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) "\\spad{graphCurves([[p0],[p1],...,[pn]],ptColor,lineColor,ptSize,[options])} creates a \\spadtype{GraphImage} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}. The graph point color is specified by \\spad{ptColor}, the graph line color is specified by \\spad{lineColor}, and the size of the points is specified by \\spad{ptSize}."))) 
 NIL 
 NIL 
-(-1258) 
+(-1263) 
 ((|constructor| (NIL "This type is used when no value is needed, \\spadignore{e.g.} in the \\spad{then} part of a one armed \\spad{if}. All values can be coerced to type Void. Once a value has been coerced to Void, it cannot be recovered.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(v)} coerces void object to outputForm.")) (|void| (($) "\\spad{void()} produces a void object."))) 
 NIL 
 NIL 
-(-1259 A S) 
+(-1264 A S) 
 ((|constructor| (NIL "Vector Spaces (not necessarily finite dimensional) over a field.")) (|dimension| (((|CardinalNumber|)) "\\spad{dimension()} returns the dimensionality of the vector space.")) (/ (($ $ |#2|) "\\spad{x/y} divides the vector \\spad{x} by the scalar \\spad{y.}"))) 
 NIL 
 NIL 
-(-1260 S) 
+(-1265 S) 
 ((|constructor| (NIL "Vector Spaces (not necessarily finite dimensional) over a field.")) (|dimension| (((|CardinalNumber|)) "\\spad{dimension()} returns the dimensionality of the vector space.")) (/ (($ $ |#1|) "\\spad{x/y} divides the vector \\spad{x} by the scalar \\spad{y.}"))) 
-((-4566 . T) (-4565 . T)) 
+((-4595 . T) (-4594 . T)) 
 NIL 
-(-1261 R) 
+(-1266 R) 
 ((|constructor| (NIL "This package implements the Weierstrass preparation theorem \\spad{f} or multivariate power series. weierstrass(v,p) where \\spad{v} is a variable, and \\spad{p} is a TaylorSeries(R) in which the terms of lowest degree \\spad{s} must include c*v**s where \\spad{c} is a constant,s>0, is a list of TaylorSeries coefficients A[i] of the equivalent polynomial A = A[0] + A[1]*v + \\spad{A[2]*v**2} + \\spad{...} + A[s-1]*v**(s-1) + v**s such that p=A*B ,{} \\spad{B} being a TaylorSeries of minimum degree 0")) (|qqq| (((|Mapping| (|Stream| (|TaylorSeries| |#1|)) (|Stream| (|TaylorSeries| |#1|))) (|NonNegativeInteger|) (|TaylorSeries| |#1|) (|Stream| (|TaylorSeries| |#1|))) "\\spad{qqq(n,s,st)} is used internally.")) (|weierstrass| (((|List| (|TaylorSeries| |#1|)) (|Symbol|) (|TaylorSeries| |#1|)) "\\spad{weierstrass(v,ts)} where \\spad{v} is a variable and \\spad{ts} is \\indented{1}{a TaylorSeries, impements the Weierstrass Preparation} \\indented{1}{Theorem. The result is a list of TaylorSeries that} \\indented{1}{are the coefficients of the equivalent series.}")) (|clikeUniv| (((|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| |#1|)) (|Polynomial| |#1|)) (|Symbol|)) "\\spad{clikeUniv(v)} is used internally.")) (|sts2stst| (((|Stream| (|Stream| (|Polynomial| |#1|))) (|Symbol|) (|Stream| (|Polynomial| |#1|))) "\\spad{sts2stst(v,s)} is used internally.")) (|cfirst| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) "\\spad{cfirst \\spad{n}} is used internally.")) (|crest| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) "\\spad{crest \\spad{n}} is used internally."))) 
 NIL 
 NIL 
-(-1262 K R UP -1647) 
+(-1267 K R UP -3280) 
 ((|constructor| (NIL "In this package \\spad{K} is a finite field, \\spad{R} is a ring of univariate polynomials over \\spad{K,} and \\spad{F} is a framed algebra over \\spad{R.} The package provides a function to compute the integral closure of \\spad{R} in the quotient field of \\spad{F} as well as a function to compute a \"local integral basis\" at a specific prime.")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the local integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the integral closure of \\spad{R} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}."))) 
 NIL 
 NIL 
-(-1263 R |VarSet| E P |vl| |wl| |wtlevel|) 
+(-1268 R |VarSet| E P |vl| |wl| |wtlevel|) 
 ((|constructor| (NIL "This domain represents truncated weighted polynomials over a general (not necessarily commutative) polynomial type. The variables must be specified, as must the weights. The representation is sparse in the sense that only non-zero terms are represented.")) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) "\\spad{changeWeightLevel(n)} changes the weight level to the new value given: \\spad{NB:} previously calculated terms are not affected")) (/ (((|Union| $ "failed") $ $) "\\spad{x/y} division (only works if minimum weight of divisor is zero, and if \\spad{R} is a Field)")) (|coerce| (($ |#4|) "\\spad{coerce(p)} coerces \\spad{p} into Weighted form, applying weights and ignoring terms") ((|#4| $) "convert back into a \"P\", ignoring weights"))) 
-((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-1264 R E V P) 
+((-4595 |has| |#1| (-173)) (-4594 |has| |#1| (-173)) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367)))) 
+(-1269 R E V P) 
 ((|constructor| (NIL "A domain constructor of the category \\axiomType{GeneralTriangularSet}. The only requirement for a list of polynomials to be a member of such a domain is the following: no polynomial is constant and two distinct polynomials have distinct main variables. Such a triangular set may not be auto-reduced or consistent. The construct operation does not check the previous requirement. Triangular sets are stored as sorted lists w.r.t. the main variables of their members. Furthermore, this domain exports operations dealing with the characteristic set method of Wu Wen Tsun and some optimizations mainly proposed by Dong Ming Wang.")) (|characteristicSerie| (((|List| $) (|List| |#4|)) "\\axiom{characteristicSerie(ps)} returns the same as \\axiom{characteristicSerie(ps,initiallyReduced?,initiallyReduce)}.") (((|List| $) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{characteristicSerie(ps,redOp?,redOp)} returns a list \\axiom{lts} of triangular sets such that the zero set of \\axiom{ps} is the union of the regular zero sets of the members of \\axiom{lts}. This is made by the Ritt and Wu Wen Tsun process applying the operation \\axiom{characteristicSet(ps,redOp?,redOp)} to compute characteristic sets in Wu Wen Tsun sense.")) (|characteristicSet| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{characteristicSet(ps)} returns the same as \\axiom{characteristicSet(ps,initiallyReduced?,initiallyReduce)}.") (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{characteristicSet(ps,redOp?,redOp)} returns a non-contradictory characteristic set of \\axiom{ps} in Wu Wen Tsun sense w.r.t the reduction-test \\axiom{redOp?} (using \\axiom{redOp} to reduce polynomials w.r.t a \\axiom{redOp?} basic set), if no non-zero constant polynomial appear during those reductions, else \\axiom{\"failed\"} is returned. The operations \\axiom{redOp} and \\axiom{redOp?} must satisfy the following conditions: \\axiom{redOp?(redOp(p,q),q)} holds for every polynomials \\axiom{p,q} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that we have \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|medialSet| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{medial(ps)} returns the same as \\axiom{medialSet(ps,initiallyReduced?,initiallyReduce)}.") (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{medialSet(ps,redOp?,redOp)} returns \\axiom{bs} a basic set (in Wu Wen Tsun sense w.r.t the reduction-test \\axiom{redOp?}) of some set generating the same ideal as \\axiom{ps} (with rank not higher than any basic set of \\axiom{ps}), if no non-zero constant polynomials appear during the computatioms, else \\axiom{\"failed\"} is returned. In the former case, \\axiom{bs} has to be understood as a candidate for being a characteristic set of \\axiom{ps}. In the original algorithm, \\axiom{bs} is simply a basic set of \\axiom{ps}."))) 
-((-4572 . T) (-4571 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1093))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
-(-1265 R) 
+((-4601 . T) (-4600 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -612) (QUOTE (-544)))) (|HasCategory| |#4| (QUOTE (-1097))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1097)))) (|HasCategory| |#1| (QUOTE (-561))) (|HasCategory| |#3| (QUOTE (-373)))) 
+(-1270 R) 
 ((|constructor| (NIL "This is the category of algebras over non-commutative rings. It is used by constructors of non-commutative algebras such as XPolynomialRing and XFreeAlgebra")) (|coerce| (($ |#1|) "\\spad{coerce(r)} equals \\spad{r*1}."))) 
-((-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1266 |vl| R) 
+(-1271 |vl| R) 
 ((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables do not commute. The coefficient ring may be non-commutative too. However, coefficients and variables commute."))) 
-((-4568 . T) (-4564 |has| |#2| (-6 -4564)) (-4566 . T) (-4565 . T)) 
-((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE -4564))) 
-(-1267 R |VarSet| XPOLY) 
+((-4597 . T) (-4593 |has| |#2| (-6 -4593)) (-4595 . T) (-4594 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE -4593))) 
+(-1272 R |VarSet| XPOLY) 
 ((|constructor| (NIL "This package provides computations of logarithms and exponentials for polynomials in non-commutative variables.")) (|Hausdorff| ((|#3| |#3| |#3| (|NonNegativeInteger|)) "\\axiom{Hausdorff(a,b,n)} returns log(exp(a)*exp(b)) truncated at order \\axiom{n}.")) (|log| ((|#3| |#3| (|NonNegativeInteger|)) "\\axiom{log(p, \\spad{n)}} returns the logarithm of \\axiom{p} truncated at order \\axiom{n}.")) (|exp| ((|#3| |#3| (|NonNegativeInteger|)) "\\axiom{exp(p, \\spad{n)}} returns the exponential of \\axiom{p} truncated at order \\axiom{n}."))) 
 NIL 
 NIL 
-(-1268 |vl| R) 
+(-1273 |vl| R) 
 ((|constructor| (NIL "This category specifies opeations for polynomials and formal series with non-commutative variables.")) (|varList| (((|List| |#1|) $) "\\spad{varList(x)} returns the list of variables which appear in \\spad{x}.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(fn,x)} returns \\spad{Sum(fn(r_i) w_i)} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|sh| (($ $ (|NonNegativeInteger|)) "\\spad{sh(x,n)} returns the shuffle power of \\spad{x} to the \\spad{n}.") (($ $ $) "\\spad{sh(x,y)} returns the shuffle-product of \\spad{x} by \\spad{y}. This multiplication is associative and commutative.")) (|quasiRegular| (($ $) "\\spad{quasiRegular(x)} return \\spad{x} minus its constant term.")) (|quasiRegular?| (((|Boolean|) $) "\\spad{quasiRegular?(x)} return \\spad{true} if \\spad{constant(x)} is zero")) (|constant| ((|#2| $) "\\spad{constant(x)} returns the constant term of \\spad{x}.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(x)} returns \\spad{true} if \\spad{x} is constant.")) (|coerce| (($ |#1|) "\\spad{coerce(v)} returns \\spad{v}.")) (|mirror| (($ $) "\\spad{mirror(x)} returns \\spad{Sum(r_i mirror(w_i))} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} returns \\spad{true} if \\spad{x} is a monomial")) (|monom| (($ (|OrderedFreeMonoid| |#1|) |#2|) "\\spad{monom(w,r)} returns the product of the word \\spad{w} by the coefficient \\spad{r}.")) (|rquo| (($ $ $) "\\spad{rquo(x,y)} returns the right simplification of \\spad{x} by \\spad{y}.") (($ $ (|OrderedFreeMonoid| |#1|)) "\\spad{rquo(x,w)} returns the right simplification of \\spad{x} by \\spad{w}.") (($ $ |#1|) "\\spad{rquo(x,v)} returns the right simplification of \\spad{x} by the variable \\spad{v}.")) (|lquo| (($ $ $) "\\spad{lquo(x,y)} returns the left simplification of \\spad{x} by \\spad{y}.") (($ $ (|OrderedFreeMonoid| |#1|)) "\\spad{lquo(x,w)} returns the left simplification of \\spad{x} by the word \\spad{w}.") (($ $ |#1|) "\\spad{lquo(x,v)} returns the left simplification of \\spad{x} by the variable \\spad{v}.")) (|coef| ((|#2| $ $) "\\spad{coef(x,y)} returns scalar product of \\spad{x} by \\spad{y}, the set of words being regarded as an orthogonal basis.") ((|#2| $ (|OrderedFreeMonoid| |#1|)) "\\spad{coef(x,w)} returns the coefficient of the word \\spad{w} in \\spad{x}.")) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) "\\spad{mindegTerm(x)} returns the term whose word is \\spad{mindeg(x)}.")) (|mindeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{mindeg(x)} returns the little word which appears in \\spad{x}. Error if \\spad{x=0}.")) (* (($ $ |#2|) "\\spad{x * \\spad{r}} returns the product of \\spad{x} by \\spad{r}. Usefull if \\spad{R} is a non-commutative Ring.") (($ |#1| $) "\\spad{v * \\spad{x}} returns the product of a variable \\spad{x} by \\spad{x}."))) 
-((-4564 |has| |#2| (-6 -4564)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((-4593 |has| |#2| (-6 -4593)) (-4595 . T) (-4594 . T) (-4597 . T)) 
 NIL 
-(-1269 S -1647) 
+(-1274 S -3280) 
 ((|constructor| (NIL "ExtensionField \\spad{F} is the category of fields which extend the field \\spad{F}")) (|Frobenius| (($ $ (|NonNegativeInteger|)) "\\spad{Frobenius(a,s)} returns \\spad{a**(q**s)} where \\spad{q} is the size()$F.") (($ $) "\\spad{Frobenius(a)} returns \\spad{a \\spad{**} \\spad{q}} where \\spad{q} is the \\spad{size()$F}.")) (|transcendenceDegree| (((|NonNegativeInteger|)) "\\spad{transcendenceDegree()} returns the transcendence degree of the field extension, 0 if the extension is algebraic.")) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) "\\spad{extensionDegree()} returns the degree of the field extension if the extension is algebraic, and \\spad{infinity} if it is not.")) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{degree(a)} returns the degree of minimal polynomial of an element \\spad{a} if \\spad{a} is algebraic with respect to the ground field \\spad{F,} and \\spad{infinity} otherwise.")) (|inGroundField?| (((|Boolean|) $) "\\spad{inGroundField?(a)} tests whether an element \\spad{a} is already in the ground field \\spad{F.}")) (|transcendent?| (((|Boolean|) $) "\\spad{transcendent?(a)} tests whether an element \\spad{a} is transcendent with respect to the ground field \\spad{F.}")) (|algebraic?| (((|Boolean|) $) "\\spad{algebraic?(a)} tests whether an element \\spad{a} is algebraic with respect to the ground field \\spad{F.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151)))) 
-(-1270 -1647) 
+((|HasCategory| |#2| (QUOTE (-373))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151)))) 
+(-1275 -3280) 
 ((|constructor| (NIL "ExtensionField \\spad{F} is the category of fields which extend the field \\spad{F}")) (|Frobenius| (($ $ (|NonNegativeInteger|)) "\\spad{Frobenius(a,s)} returns \\spad{a**(q**s)} where \\spad{q} is the size()$F.") (($ $) "\\spad{Frobenius(a)} returns \\spad{a \\spad{**} \\spad{q}} where \\spad{q} is the \\spad{size()$F}.")) (|transcendenceDegree| (((|NonNegativeInteger|)) "\\spad{transcendenceDegree()} returns the transcendence degree of the field extension, 0 if the extension is algebraic.")) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) "\\spad{extensionDegree()} returns the degree of the field extension if the extension is algebraic, and \\spad{infinity} if it is not.")) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{degree(a)} returns the degree of minimal polynomial of an element \\spad{a} if \\spad{a} is algebraic with respect to the ground field \\spad{F,} and \\spad{infinity} otherwise.")) (|inGroundField?| (((|Boolean|) $) "\\spad{inGroundField?(a)} tests whether an element \\spad{a} is already in the ground field \\spad{F.}")) (|transcendent?| (((|Boolean|) $) "\\spad{transcendent?(a)} tests whether an element \\spad{a} is transcendent with respect to the ground field \\spad{F.}")) (|algebraic?| (((|Boolean|) $) "\\spad{algebraic?(a)} tests whether an element \\spad{a} is algebraic with respect to the ground field \\spad{F.}"))) 
-((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-4592 . T) (-4598 . T) (-4593 . T) ((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
-(-1271 |VarSet| R) 
+(-1276 |VarSet| R) 
 ((|constructor| (NIL "This domain constructor implements polynomials in non-commutative variables written in the Poincare-Birkhoff-Witt basis from the Lyndon basis. These polynomials can be used to compute Baker-Campbell-Hausdorff relations.")) (|log| (($ $ (|NonNegativeInteger|)) "\\axiom{log(p,n)} returns the logarithm of \\axiom{p} (truncated up to order \\axiom{n}).")) (|exp| (($ $ (|NonNegativeInteger|)) "\\axiom{exp(p,n)} returns the exponential of \\axiom{p} (truncated up to order \\axiom{n}).")) (|product| (($ $ $ (|NonNegativeInteger|)) "\\axiom{product(a,b,n)} returns \\axiom{a*b} (truncated up to order \\axiom{n}).")) (|LiePolyIfCan| (((|Union| (|LiePolynomial| |#1| |#2|) "failed") $) "\\axiom{LiePolyIfCan(p)} return \\axiom{p} if \\axiom{p} is a Lie polynomial.")) (|coerce| (((|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coerce(p)} returns \\axiom{p} as a recursive polynomial.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(p)} returns \\axiom{p} as a distributed polynomial.") (($ (|LiePolynomial| |#1| |#2|)) "\\axiom{coerce(p)} returns \\axiom{p}."))) 
-((-4564 |has| |#2| (-6 -4564)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (LIST (QUOTE -709) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasAttribute| |#2| (QUOTE -4564))) 
-(-1272 |vl| R) 
-((|constructor| (NIL "The Category of polynomial rings with non-commutative variables. The coefficient ring may be non-commutative too. However coefficients commute with vaiables.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\spad{trunc(p,n)} returns the polynomial \\spad{p} truncated at order \\spad{n}.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the degree of \\spad{p}. \\indented{1}{Note that the degree of a word is its length.}")) (|maxdeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{maxdeg(p)} returns the greatest leading word in the support of \\spad{p}."))) 
-((-4564 |has| |#2| (-6 -4564)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((-4593 |has| |#2| (-6 -4593)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (LIST (QUOTE -712) (LIST (QUOTE -412) (QUOTE (-571))))) (|HasAttribute| |#2| (QUOTE -4593))) 
+(-1277 |vl| R) 
+((|constructor| (NIL "The Category of polynomial rings with non-commutative variables. The coefficient ring may be non-commutative too. However coefficients commute with variables.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\spad{trunc(p,n)} returns the polynomial \\spad{p} truncated at order \\spad{n}.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the degree of \\spad{p}. \\indented{1}{Note that the degree of a word is its length.}")) (|maxdeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{maxdeg(p)} returns the greatest leading word in the support of \\spad{p}."))) 
+((-4593 |has| |#2| (-6 -4593)) (-4595 . T) (-4594 . T) (-4597 . T)) 
 NIL 
-(-1273 R) 
+(-1278 R) 
 ((|constructor| (NIL "This type supports multivariate polynomials whose set of variables is \\spadtype{Symbol}. The representation is recursive. The coefficient ring may be non-commutative and the variables do not commute. However, coefficients and variables commute."))) 
-((-4564 |has| |#1| (-6 -4564)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasAttribute| |#1| (QUOTE -4564))) 
-(-1274 R E) 
+((-4593 |has| |#1| (-6 -4593)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasAttribute| |#1| (QUOTE -4593))) 
+(-1279 R E) 
 ((|constructor| (NIL "This domain represents generalized polynomials with coefficients (from a not necessarily commutative ring), and words belonging to an arbitrary \\spadtype{OrderedMonoid}. This type is used, for instance, by the \\spadtype{XDistributedPolynomial} domain constructor where the Monoid is free.")) (|canonicalUnitNormal| ((|attribute|) "canonicalUnitNormal guarantees that the function unitCanonical returns the same representative for all associates of any particular element.")) (/ (($ $ |#1|) "\\spad{p/r} returns \\spad{p*(1/r)}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,x)} returns \\spad{Sum(fn(r_i) w_i)} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|quasiRegular| (($ $) "\\spad{quasiRegular(x)} return \\spad{x} minus its constant term.")) (|quasiRegular?| (((|Boolean|) $) "\\spad{quasiRegular?(x)} return \\spad{true} if \\spad{constant(p)} is zero.")) (|constant| ((|#1| $) "\\spad{constant(p)} return the constant term of \\spad{p}.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(p)} tests whether the polynomial \\spad{p} belongs to the coefficient ring.")) (|coef| ((|#1| $ |#2|) "\\spad{coef(p,e)} extracts the coefficient of the monomial \\spad{e}. Returns zero if \\spad{e} is not present.")) (|reductum| (($ $) "\\spad{reductum(p)} returns \\spad{p} minus its leading term. An error is produced if \\spad{p} is zero.")) (|mindeg| ((|#2| $) "\\spad{mindeg(p)} returns the smallest word occurring in the polynomial \\spad{p} with a non-zero coefficient. An error is produced if \\spad{p} is zero.")) (|maxdeg| ((|#2| $) "\\spad{maxdeg(p)} returns the greatest word occurring in the polynomial \\spad{p} with a non-zero coefficient. An error is produced if \\spad{p} is zero.")) (|coerce| (($ |#2|) "\\spad{coerce(e)} returns \\spad{1*e}")) (|#| (((|NonNegativeInteger|) $) "\\spad{# \\spad{p}} returns the number of terms in \\spad{p}.")) (* (($ $ |#1|) "\\spad{p*r} returns the product of \\spad{p} by \\spad{r}."))) 
-((-4568 . T) (-4569 |has| |#1| (-6 -4569)) (-4564 |has| |#1| (-6 -4564)) (-4566 . T) (-4565 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasAttribute| |#1| (QUOTE -4568)) (|HasAttribute| |#1| (QUOTE -4569)) (|HasAttribute| |#1| (QUOTE -4564))) 
-(-1275 |VarSet| R) 
+((-4597 . T) (-4598 |has| |#1| (-6 -4598)) (-4593 |has| |#1| (-6 -4593)) (-4595 . T) (-4594 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-367))) (|HasAttribute| |#1| (QUOTE -4597)) (|HasAttribute| |#1| (QUOTE -4598)) (|HasAttribute| |#1| (QUOTE -4593))) 
+(-1280 |VarSet| R) 
 ((|constructor| (NIL "This type supports multivariate polynomials whose variables do not commute. The representation is recursive. The coefficient ring may be non-commutative. Coefficients and variables commute.")) (|RemainderList| (((|List| (|Record| (|:| |k| |#1|) (|:| |c| $))) $) "\\spad{RemainderList(p)} returns the regular part of \\spad{p} as a list of terms.")) (|unexpand| (($ (|XDistributedPolynomial| |#1| |#2|)) "\\spad{unexpand(p)} returns \\spad{p} in recursive form.")) (|expand| (((|XDistributedPolynomial| |#1| |#2|) $) "\\spad{expand(p)} returns \\spad{p} in distributed form."))) 
-((-4564 |has| |#2| (-6 -4564)) (-4566 . T) (-4565 . T) (-4568 . T)) 
-((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE -4564))) 
-(-1276 A) 
+((-4593 |has| |#2| (-6 -4593)) (-4595 . T) (-4594 . T) (-4597 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE -4593))) 
+(-1281 A) 
 ((|constructor| (NIL "This package implements fixed-point computations on streams.")) (Y (((|List| (|Stream| |#1|)) (|Mapping| (|List| (|Stream| |#1|)) (|List| (|Stream| |#1|))) (|Integer|)) "\\spad{Y(g,n)} computes a fixed point of the function \\spad{g,} where \\spad{g} takes a list of \\spad{n} streams and returns a list of \\spad{n} streams.") (((|Stream| |#1|) (|Mapping| (|Stream| |#1|) (|Stream| |#1|))) "\\spad{Y(f)} computes a fixed point of the function \\spad{f.}"))) 
 NIL 
 NIL 
-(-1277 R |ls| |ls2|) 
+(-1282 R |ls| |ls2|) 
 ((|constructor| (NIL "A package for computing symbolically the complex and real roots of zero-dimensional algebraic systems over the integer or rational numbers. Complex roots are given by means of univariate representations of irreducible regular chains. Real roots are given by means of tuples of coordinates lying in the \\spadtype{RealClosure} of the coefficient ring. This constructor takes three arguments. The first one \\spad{R} is the coefficient ring. The second one \\spad{ls} is the list of variables involved in the systems to solve. The third one must be \\spad{concat(ls,s)} where \\spad{s} is an additional symbol used for the univariate representations. WARNING. The third argument is not checked. All operations are based on triangular decompositions. The default is to compute these decompositions directly from the input system by using the \\spadtype{RegularChain} domain constructor. The lexTriangular algorithm can also be used for computing these decompositions (see \\spadtype{LexTriangularPackage} package constructor). For that purpose, the operations univariateSolve, realSolve and positiveSolve admit an optional argument.")) (|convert| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) "\\spad{convert(st)} returns the members of \\spad{st}.") (((|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| |#1|))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{convert(u)} converts \\spad{u}.") (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) "\\spad{convert(q)} converts \\spad{q}.") (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|Polynomial| |#1|)) "\\spad{convert(p)} converts \\spad{p}.") (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "\\spad{convert(q)} converts \\spad{q}.")) (|squareFree| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) (|RegularChain| |#1| |#2|)) "\\spad{squareFree(ts)} returns the square-free factorization of \\spad{ts}. Moreover, each factor is a Lazard triangular set and the decomposition is a Kalkbrener split of \\spad{ts}, which is enough here for the matter of solving zero-dimensional algebraic systems. WARNING. \\spad{ts} is not checked to be zero-dimensional.")) (|positiveSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) "\\spad{positiveSolve(lp)} returns the same as \\spad{positiveSolve(lp,false,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{positiveSolve(lp)} returns the same as \\spad{positiveSolve(lp,info?,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{positiveSolve(lp,info?,lextri?)} returns the set of the points in the variety associated with \\spad{lp} whose coordinates are (real) strictly positive. Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during decomposition into regular chains. If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from \\spadtype{RegularChain}. WARNING. For each set of coordinates given by \\spad{positiveSolve(lp,info?,lextri?)} the ordering of the indeterminates is reversed w.r.t. \\spad{ls}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) "\\spad{positiveSolve(ts)} returns the points of the regular set of \\spad{ts} with (real) strictly positive coordinates.")) (|realSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) "\\spad{realSolve(lp)} returns the same as \\spad{realSolve(ts,false,false,false)}") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{realSolve(ts,info?)} returns the same as \\spad{realSolve(ts,info?,false,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{realSolve(ts,info?,check?)} returns the same as \\spad{realSolve(ts,info?,check?,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{realSolve(ts,info?,check?,lextri?)} returns the set of the points in the variety associated with \\spad{lp} whose coordinates are all real. Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during decomposition into regular chains. If \\spad{check?} is \\spad{true} then the result is checked. If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from \\spadtype{RegularChain}. WARNING. For each set of coordinates given by \\spad{realSolve(ts,info?,check?,lextri?)} the ordering of the indeterminates is reversed w.r.t. \\spad{ls}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) "\\spad{realSolve(ts)} returns the set of the points in the regular zero set of \\spad{ts} whose coordinates are all real. WARNING. For each set of coordinates given by \\spad{realSolve(ts)} the ordering of the indeterminates is reversed w.r.t. \\spad{ls}.")) (|univariateSolve| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{univariateSolve(lp)} returns the same as \\spad{univariateSolve(lp,false,false,false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{univariateSolve(lp,info?)} returns the same as \\spad{univariateSolve(lp,info?,false,false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{univariateSolve(lp,info?,check?)} returns the same as \\spad{univariateSolve(lp,info?,check?,false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{univariateSolve(lp,info?,check?,lextri?)} returns a univariate representation of the variety associated with \\spad{lp}. Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during the decomposition into regular chains. If \\spad{check?} is \\spad{true} then the result is checked. See rur from RationalUnivariateRepresentationPackage(lp,true). If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from RegularChain") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|RegularChain| |#1| |#2|)) "\\spad{univariateSolve(ts)} returns a univariate representation of \\spad{ts}. See rur from RationalUnivariateRepresentationPackage(lp,true).")) (|triangSolve| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|))) "\\spad{triangSolve(lp)} returns the same as \\spad{triangSolve(lp,false,false)}") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{triangSolve(lp,info?)} returns the same as \\spad{triangSolve(lp,false)}") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{triangSolve(lp,info?,lextri?)} decomposes the variety associated with \\axiom{lp} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{lp} needs to generate a zero-dimensional ideal. If \\axiom{lp} is not zero-dimensional then the result is only a decomposition of its zero-set in the sense of the closure (w.r.t. Zarisky topology). Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during the computations. See zeroSetSplit from RegularTriangularSetCategory(lp,true,info?). If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from RegularChain"))) 
 NIL 
 NIL 
-(-1278 R) 
+(-1283 R) 
 ((|constructor| (NIL "Test for linear dependence over the integers.")) (|solveLinearlyOverQ| (((|Union| (|Vector| (|Fraction| (|Integer|))) "failed") (|Vector| |#1|) |#1|) "\\spad{solveLinearlyOverQ([v1,...,vn], u)} returns \\spad{[c1,...,cn]} such that \\spad{c1*v1 + \\spad{...} + cn*vn = u}, \"failed\" if no such rational numbers ci's exist.")) (|linearDependenceOverZ| (((|Union| (|Vector| (|Integer|)) "failed") (|Vector| |#1|)) "\\spad{linearlyDependenceOverZ([v1,...,vn])} returns \\spad{[c1,...,cn]} if \\spad{c1*v1 + \\spad{...} + cn*vn = 0} and not all the ci's are 0, \"failed\" if the vi's are linearly independent over the integers.")) (|linearlyDependentOverZ?| (((|Boolean|) (|Vector| |#1|)) "\\spad{linearlyDependentOverZ?([v1,...,vn])} returns \\spad{true} if the vi's are linearly dependent over the integers, \\spad{false} otherwise."))) 
 NIL 
 NIL 
-(-1279 |p|) 
+(-1284 |p|) 
 ((|constructor| (NIL "IntegerMod(n) creates the ring of integers reduced modulo the integer \\spad{n.}"))) 
-(((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+(((-4602 "*") . T) (-4594 . T) (-4595 . T) (-4597 . T)) 
 NIL 
 NIL 
 NIL 
@@ -5068,4 +5088,4 @@ NIL
 NIL 
 NIL 
 NIL 
-((-1284 NIL 2385189 2385194 2385199 2385204) (-3 NIL 2385169 2385174 2385179 2385184) (-2 NIL 2385149 2385154 2385159 2385164) (-1 NIL 2385129 2385134 2385139 2385144) (0 NIL 2385109 2385114 2385119 2385124) (-1279 "bookvol10.3.pamphlet" 2384926 2384939 2385047 2385104) (-1278 "bookvol10.4.pamphlet" 2384046 2384057 2384916 2384921) (-1277 "bookvol10.4.pamphlet" 2374662 2374684 2384036 2384041) (-1276 "bookvol10.4.pamphlet" 2374159 2374170 2374652 2374657) (-1275 "bookvol10.3.pamphlet" 2373394 2373414 2374015 2374084) (-1274 "bookvol10.3.pamphlet" 2371127 2371140 2373112 2373211) (-1273 "bookvol10.3.pamphlet" 2370699 2370710 2370983 2371052) (-1272 "bookvol10.2.pamphlet" 2370018 2370034 2370625 2370694) (-1271 "bookvol10.3.pamphlet" 2368683 2368703 2369798 2369867) (-1270 "bookvol10.2.pamphlet" 2367147 2367162 2368585 2368678) (-1269 NIL 2365591 2365608 2367031 2367036) (-1268 "bookvol10.2.pamphlet" 2362626 2362642 2365517 2365586) (-1267 "bookvol10.4.pamphlet" 2362025 2362051 2362616 2362621) (-1266 "bookvol10.3.pamphlet" 2361656 2361672 2361881 2361950) (-1265 "bookvol10.2.pamphlet" 2361355 2361366 2361612 2361651) (-1264 "bookvol10.3.pamphlet" 2358023 2358040 2361057 2361084) (-1263 "bookvol10.3.pamphlet" 2357053 2357097 2357881 2357948) (-1262 "bookvol10.4.pamphlet" 2354628 2354650 2357043 2357048) (-1261 "bookvol10.4.pamphlet" 2352892 2352903 2354618 2354623) (-1260 "bookvol10.2.pamphlet" 2352565 2352576 2352860 2352887) (-1259 NIL 2352258 2352271 2352555 2352560) (-1258 "bookvol10.3.pamphlet" 2351852 2351861 2352248 2352253) (-1257 "bookvol10.4.pamphlet" 2349568 2349577 2351842 2351847) (-1256 "bookvol10.4.pamphlet" 2344829 2344838 2349558 2349563) (-1255 "bookvol10.3.pamphlet" 2329045 2329054 2344819 2344824) (-1254 "bookvol10.3.pamphlet" 2317236 2317245 2329035 2329040) (-1253 "bookvol10.3.pamphlet" 2316133 2316144 2316384 2316411) (-1252 "bookvol10.4.pamphlet" 2314807 2314820 2316123 2316128) (-1251 "bookvol10.2.pamphlet" 2312777 2312788 2314763 2314802) (-1250 NIL 2310566 2310579 2312554 2312559) (-1249 "bookvol10.3.pamphlet" 2310346 2310361 2310556 2310561) (-1248 "bookvol10.3.pamphlet" 2305522 2305544 2308813 2308910) (-1247 "bookvol10.4.pamphlet" 2305425 2305453 2305512 2305517) (-1246 "bookvol10.4.pamphlet" 2304719 2304743 2305381 2305386) (-1245 "bookvol10.4.pamphlet" 2302909 2302929 2304709 2304714) (-1244 "bookvol10.3.pamphlet" 2297708 2297736 2301376 2301473) (-1243 "bookvol10.2.pamphlet" 2295025 2295041 2297606 2297703) (-1242 NIL 2291986 2292004 2294569 2294574) (-1241 "bookvol10.4.pamphlet" 2291611 2291646 2291976 2291981) (-1240 "bookvol10.2.pamphlet" 2286895 2286906 2291591 2291606) (-1239 NIL 2282153 2282166 2286851 2286856) (-1238 "bookvol10.3.pamphlet" 2279820 2279846 2281234 2281367) (-1237 "bookvol10.3.pamphlet" 2276967 2276995 2277952 2278101) (-1236 "bookvol10.3.pamphlet" 2274728 2274748 2275099 2275248) (-1235 "bookvol10.2.pamphlet" 2273198 2273218 2274574 2274723) (-1234 NIL 2271810 2271832 2273188 2273193) (-1233 "bookvol10.2.pamphlet" 2270401 2270417 2271656 2271805) (-1232 "bookvol10.4.pamphlet" 2269944 2269997 2270391 2270396) (-1231 "bookvol10.4.pamphlet" 2268372 2268386 2269934 2269939) (-1230 "bookvol10.2.pamphlet" 2265942 2265966 2268270 2268367) (-1229 NIL 2263218 2263244 2265548 2265553) (-1228 "bookvol10.2.pamphlet" 2258070 2258081 2263060 2263213) (-1227 NIL 2252814 2252827 2257806 2257811) (-1226 "bookvol10.4.pamphlet" 2252279 2252298 2252804 2252809) (-1225 "bookvol10.3.pamphlet" 2249238 2249253 2249829 2249982) (-1224 "bookvol10.4.pamphlet" 2248172 2248185 2249228 2249233) (-1223 "bookvol10.4.pamphlet" 2247737 2247751 2248162 2248167) (-1222 "bookvol10.4.pamphlet" 2245978 2245992 2247727 2247732) (-1221 "bookvol10.4.pamphlet" 2245179 2245195 2245968 2245973) (-1220 "bookvol10.4.pamphlet" 2244581 2244602 2245169 2245174) (-1219 "bookvol10.3.pamphlet" 2243934 2243945 2244500 2244505) (-1218 "bookvol10.4.pamphlet" 2243441 2243454 2243890 2243895) (-1217 "bookvol10.4.pamphlet" 2242564 2242576 2243431 2243436) (-1216 "bookvol10.3.pamphlet" 2233236 2233264 2234209 2234638) (-1215 "bookvol10.3.pamphlet" 2227277 2227297 2227645 2227794) (-1214 "bookvol10.2.pamphlet" 2224870 2224890 2227097 2227272) (-1213 NIL 2222597 2222619 2224826 2224831) (-1212 "bookvol10.2.pamphlet" 2220807 2220823 2222443 2222592) (-1211 "bookvol10.4.pamphlet" 2220351 2220404 2220797 2220802) (-1210 "bookvol10.3.pamphlet" 2218744 2218760 2218818 2218915) (-1209 "bookvol10.4.pamphlet" 2218659 2218675 2218734 2218739) (-1208 "bookvol10.2.pamphlet" 2217728 2217737 2218585 2218654) (-1207 NIL 2216859 2216870 2217718 2217723) (-1206 "bookvol10.4.pamphlet" 2215670 2215679 2216849 2216854) (-1205 "bookvol10.4.pamphlet" 2213196 2213207 2215626 2215631) (-1204 "bookvol10.3.pamphlet" 2212427 2212436 2212630 2212657) (-1203 "bookvol10.3.pamphlet" 2211657 2211666 2211861 2211888) (-1202 "bookvol10.3.pamphlet" 2210900 2210909 2211289 2211316) (-1201 "bookvol10.3.pamphlet" 2210130 2210139 2210334 2210361) (-1200 "bookvol10.3.pamphlet" 2209373 2209382 2209762 2209789) (-1199 "bookvol10.2.pamphlet" 2209295 2209304 2209353 2209368) (-1198 "bookvol10.4.pamphlet" 2207955 2207970 2209285 2209290) (-1197 "bookvol10.3.pamphlet" 2206964 2206975 2207910 2207915) (-1196 "bookvol10.4.pamphlet" 2203858 2203867 2206954 2206959) (-1195 "bookvol10.3.pamphlet" 2202548 2202565 2203848 2203853) (-1194 "bookvol10.3.pamphlet" 2201139 2201155 2202113 2202210) (-1193 "bookvol10.2.pamphlet" 2190695 2190712 2201095 2201134) (-1192 NIL 2180249 2180268 2190651 2190656) (-1191 "bookvol10.4.pamphlet" 2174705 2174722 2179955 2179960) (-1190 "bookvol10.4.pamphlet" 2173676 2173701 2174695 2174700) (-1189 "bookvol10.4.pamphlet" 2172173 2172190 2173666 2173671) (-1188 "bookvol10.2.pamphlet" 2171685 2171694 2172163 2172168) (-1187 NIL 2171195 2171206 2171675 2171680) (-1186 "bookvol10.3.pamphlet" 2169408 2169419 2171025 2171052) (-1185 "bookvol10.2.pamphlet" 2169255 2169264 2169398 2169403) (-1184 NIL 2169100 2169111 2169245 2169250) (-1183 "bookvol10.4.pamphlet" 2168778 2168787 2169090 2169095) (-1182 "bookvol10.4.pamphlet" 2168441 2168452 2168768 2168773) (-1181 "bookvol10.3.pamphlet" 2167020 2167029 2168431 2168436) (-1180 "bookvol10.3.pamphlet" 2164157 2164166 2167010 2167015) (-1179 "bookvol10.4.pamphlet" 2163713 2163724 2164147 2164152) (-1178 "bookvol10.4.pamphlet" 2163274 2163283 2163703 2163708) (-1177 "bookvol10.4.pamphlet" 2161465 2161488 2163264 2163269) (-1176 "bookvol10.2.pamphlet" 2160470 2160493 2161433 2161460) (-1175 NIL 2159495 2159520 2160460 2160465) (-1174 "bookvol10.4.pamphlet" 2158871 2158882 2159485 2159490) (-1173 "bookvol10.3.pamphlet" 2157844 2157867 2158114 2158141) (-1172 "bookvol10.3.pamphlet" 2157334 2157345 2157834 2157839) (-1171 "bookvol10.4.pamphlet" 2154252 2154263 2157324 2157329) (-1170 "bookvol10.4.pamphlet" 2150883 2150894 2154242 2154247) (-1169 "bookvol10.3.pamphlet" 2148980 2148989 2150873 2150878) (-1168 "bookvol10.3.pamphlet" 2145045 2145054 2148970 2148975) (-1167 "bookvol10.3.pamphlet" 2144052 2144063 2144134 2144261) (-1166 "bookvol10.4.pamphlet" 2143473 2143484 2144042 2144047) (-1165 "bookvol10.3.pamphlet" 2140935 2140944 2143463 2143468) (-1164 "bookvol10.3.pamphlet" 2137681 2137690 2140925 2140930) (-1163 "bookvol10.3.pamphlet" 2134712 2134740 2136148 2136245) (-1162 "bookvol10.3.pamphlet" 2131846 2131874 2132844 2132993) (-1161 "bookvol10.3.pamphlet" 2128541 2128552 2129396 2129549) (-1160 "bookvol10.4.pamphlet" 2127661 2127679 2128531 2128536) (-1159 "bookvol10.3.pamphlet" 2125105 2125116 2125174 2125327) (-1158 "bookvol10.4.pamphlet" 2124499 2124512 2125095 2125100) (-1157 "bookvol10.4.pamphlet" 2123101 2123112 2124489 2124494) (-1156 "bookvol10.4.pamphlet" 2122779 2122796 2123091 2123096) (-1155 "bookvol10.3.pamphlet" 2113438 2113466 2114424 2114853) (-1154 "bookvol10.3.pamphlet" 2113120 2113135 2113428 2113433) (-1153 "bookvol10.3.pamphlet" 2105475 2105490 2113110 2113115) (-1152 "bookvol10.4.pamphlet" 2104647 2104661 2105431 2105436) (-1151 "bookvol10.4.pamphlet" 2100748 2100764 2104637 2104642) (-1150 "bookvol10.4.pamphlet" 2097218 2097234 2100738 2100743) (-1149 "bookvol10.4.pamphlet" 2089790 2089801 2097099 2097104) (-1148 "bookvol10.3.pamphlet" 2088869 2088886 2089018 2089045) (-1147 "bookvol10.3.pamphlet" 2088252 2088261 2088350 2088377) (-1146 "bookvol10.2.pamphlet" 2088028 2088037 2088208 2088247) (-1145 "bookvol10.3.pamphlet" 2083616 2083627 2087776 2087791) (-1144 "bookvol10.4.pamphlet" 2082957 2082972 2083606 2083611) (-1143 "bookvol10.4.pamphlet" 2081530 2081543 2082947 2082952) (-1142 "bookvol10.4.pamphlet" 2081038 2081049 2081520 2081525) (-1141 "bookvol10.4.pamphlet" 2080779 2080790 2081028 2081033) (-1140 "bookvol10.4.pamphlet" 2079715 2079731 2080769 2080774) (-1139 "bookvol10.2.pamphlet" 2078941 2078950 2079705 2079710) (-1138 "bookvol10.3.pamphlet" 2078031 2078059 2078196 2078211) (-1137 "bookvol10.2.pamphlet" 2077130 2077141 2078011 2078026) (-1136 NIL 2076237 2076250 2077120 2077125) (-1135 "bookvol10.3.pamphlet" 2072274 2072285 2076067 2076094) (-1134 "bookvol10.3.pamphlet" 2070521 2070538 2071976 2072003) (-1133 "bookvol10.4.pamphlet" 2069288 2069308 2070511 2070516) (-1132 "bookvol10.2.pamphlet" 2064625 2064634 2069244 2069283) (-1131 NIL 2059994 2060005 2064615 2064620) (-1130 "bookvol10.3.pamphlet" 2057676 2057694 2058582 2058669) (-1129 "bookvol10.3.pamphlet" 2053183 2053196 2057427 2057454) (-1128 "bookvol10.3.pamphlet" 2050231 2050244 2053173 2053178) (-1127 "bookvol10.2.pamphlet" 2049042 2049051 2050221 2050226) (-1126 "bookvol10.4.pamphlet" 2047611 2047620 2049032 2049037) (-1125 "bookvol10.2.pamphlet" 2032018 2032029 2047601 2047606) (-1124 "bookvol10.3.pamphlet" 2031800 2031811 2032008 2032013) (-1123 "bookvol10.4.pamphlet" 2031349 2031362 2031756 2031761) (-1122 "bookvol10.4.pamphlet" 2028944 2028955 2031339 2031344) (-1121 "bookvol10.4.pamphlet" 2027533 2027544 2028934 2028939) (-1120 "bookvol10.4.pamphlet" 2021570 2021581 2027523 2027528) (-1119 "bookvol10.4.pamphlet" 2020034 2020052 2021560 2021565) (-1118 "bookvol10.2.pamphlet" 2019805 2019822 2019990 2020029) (-1117 "bookvol10.3.pamphlet" 2017959 2017985 2019370 2019467) (-1116 "bookvol10.3.pamphlet" 2015415 2015435 2015788 2015915) (-1115 "bookvol10.4.pamphlet" 2014252 2014277 2015405 2015410) (-1114 "bookvol10.2.pamphlet" 2012360 2012390 2014184 2014247) (-1113 NIL 2010412 2010444 2012238 2012243) (-1112 "bookvol10.2.pamphlet" 2008976 2008987 2010368 2010407) (-1111 "bookvol10.3.pamphlet" 2007339 2007348 2008842 2008971) (-1110 "bookvol10.4.pamphlet" 2007082 2007091 2007329 2007334) (-1109 "bookvol10.4.pamphlet" 2006172 2006183 2007072 2007077) (-1108 "bookvol10.4.pamphlet" 2005431 2005448 2006162 2006167) (-1107 "bookvol10.4.pamphlet" 2003395 2003410 2005387 2005392) (-1106 "bookvol10.3.pamphlet" 1995108 1995135 1995610 1995741) (-1105 "bookvol10.2.pamphlet" 1994361 1994370 1995098 1995103) (-1104 NIL 1993612 1993623 1994351 1994356) (-1103 "bookvol10.4.pamphlet" 1987124 1987133 1993602 1993607) (-1102 "bookvol10.2.pamphlet" 1986687 1986704 1987080 1987119) (-1101 "bookvol10.4.pamphlet" 1986386 1986406 1986677 1986682) (-1100 "bookvol10.4.pamphlet" 1982303 1982323 1986376 1986381) (-1099 "bookvol10.3.pamphlet" 1981764 1981778 1982293 1982298) (-1098 "bookvol10.3.pamphlet" 1981607 1981647 1981754 1981759) (-1097 "bookvol10.3.pamphlet" 1981499 1981508 1981597 1981602) (-1096 "bookvol10.2.pamphlet" 1978750 1978790 1981489 1981494) (-1095 "bookvol10.3.pamphlet" 1977114 1977125 1978227 1978266) (-1094 "bookvol10.3.pamphlet" 1975594 1975611 1977104 1977109) (-1093 "bookvol10.2.pamphlet" 1975084 1975093 1975584 1975589) (-1092 NIL 1974572 1974583 1975074 1975079) (-1091 "bookvol10.2.pamphlet" 1974463 1974472 1974562 1974567) (-1090 "bookvol10.2.pamphlet" 1971353 1971364 1974431 1974458) (-1089 NIL 1968263 1968276 1971343 1971348) (-1088 "bookvol10.2.pamphlet" 1967325 1967338 1968243 1968258) (-1087 "bookvol10.3.pamphlet" 1967138 1967149 1967244 1967249) (-1086 "bookvol10.2.pamphlet" 1965926 1965937 1967118 1967133) (-1085 "bookvol10.3.pamphlet" 1965012 1965023 1965881 1965886) (-1084 "bookvol10.4.pamphlet" 1964718 1964731 1965002 1965007) (-1083 "bookvol10.4.pamphlet" 1964137 1964150 1964674 1964679) (-1082 "bookvol10.3.pamphlet" 1963435 1963446 1964127 1964132) (-1081 "bookvol10.3.pamphlet" 1960839 1960850 1961116 1961243) (-1080 "bookvol10.3.pamphlet" 1957310 1957321 1960807 1960834) (-1079 "bookvol10.4.pamphlet" 1955413 1955424 1957300 1957305) (-1078 "bookvol10.4.pamphlet" 1954262 1954273 1955403 1955408) (-1077 "bookvol10.3.pamphlet" 1954134 1954143 1954252 1954257) (-1076 "bookvol10.4.pamphlet" 1953847 1953867 1954124 1954129) (-1075 "bookvol10.3.pamphlet" 1951976 1951992 1952633 1952768) (-1074 "bookvol10.4.pamphlet" 1951677 1951697 1951966 1951971) (-1073 "bookvol10.4.pamphlet" 1949413 1949429 1951667 1951672) (-1072 "bookvol10.3.pamphlet" 1948845 1948869 1949403 1949408) (-1071 "bookvol10.3.pamphlet" 1947027 1947051 1948835 1948840) (-1070 "bookvol10.3.pamphlet" 1946879 1946892 1947017 1947022) (-1069 "bookvol10.4.pamphlet" 1944249 1944269 1946869 1946874) (-1068 "bookvol10.2.pamphlet" 1935087 1935104 1944205 1944244) (-1067 NIL 1925957 1925976 1935077 1935082) (-1066 "bookvol10.4.pamphlet" 1924711 1924731 1925947 1925952) (-1065 "bookvol10.2.pamphlet" 1923125 1923155 1924701 1924706) (-1064 NIL 1921537 1921569 1923115 1923120) (-1063 "bookvol10.2.pamphlet" 1904431 1904446 1921405 1921532) (-1062 NIL 1887039 1887056 1904015 1904020) (-1061 "bookvol10.3.pamphlet" 1883524 1883533 1886268 1886295) (-1060 "bookvol10.3.pamphlet" 1882771 1882780 1883390 1883519) (-1059 NIL 1881905 1881937 1882761 1882766) (-1058 "bookvol10.2.pamphlet" 1880728 1880737 1881807 1881900) (-1057 NIL 1879637 1879648 1880718 1880723) (-1056 "bookvol10.2.pamphlet" 1879157 1879166 1879627 1879632) (-1055 "bookvol10.2.pamphlet" 1878666 1878677 1879147 1879152) (-1054 "bookvol10.4.pamphlet" 1878094 1878151 1878656 1878661) (-1053 "bookvol10.3.pamphlet" 1876829 1876848 1877317 1877356) (-1052 "bookvol10.2.pamphlet" 1872424 1872455 1876773 1876824) (-1051 NIL 1867921 1867954 1872272 1872277) (-1050 "bookvol10.4.pamphlet" 1867809 1867829 1867911 1867916) (-1049 "bookvol10.2.pamphlet" 1867168 1867177 1867789 1867804) (-1048 NIL 1866535 1866546 1867158 1867163) (-1047 "bookvol10.4.pamphlet" 1865563 1865572 1866525 1866530) (-1046 "bookvol10.3.pamphlet" 1864242 1864258 1865123 1865150) (-1045 "bookvol10.4.pamphlet" 1862292 1862303 1864232 1864237) (-1044 "bookvol10.4.pamphlet" 1859948 1859959 1862282 1862287) (-1043 "bookvol10.4.pamphlet" 1859410 1859421 1859938 1859943) (-1042 "bookvol10.4.pamphlet" 1859145 1859157 1859400 1859405) (-1041 "bookvol10.4.pamphlet" 1858141 1858150 1859135 1859140) (-1040 "bookvol10.4.pamphlet" 1857560 1857573 1858131 1858136) (-1039 "bookvol10.2.pamphlet" 1856903 1856914 1857550 1857555) (-1038 NIL 1856244 1856257 1856893 1856898) (-1037 "bookvol10.3.pamphlet" 1854888 1854897 1855473 1855500) (-1036 "bookvol10.3.pamphlet" 1854235 1854282 1854826 1854883) (-1035 "bookvol10.4.pamphlet" 1853561 1853572 1854225 1854230) (-1034 "bookvol10.4.pamphlet" 1853292 1853303 1853551 1853556) (-1033 "bookvol10.4.pamphlet" 1850848 1850857 1853282 1853287) (-1032 "bookvol10.4.pamphlet" 1850547 1850558 1850838 1850843) (-1031 "bookvol10.4.pamphlet" 1840567 1840578 1850389 1850394) (-1030 "bookvol10.4.pamphlet" 1834955 1834966 1840517 1840522) (-1029 "bookvol10.3.pamphlet" 1833250 1833267 1834657 1834684) (-1028 "bookvol10.3.pamphlet" 1832600 1832611 1833205 1833210) (-1027 "bookvol10.4.pamphlet" 1831730 1831747 1832590 1832595) (-1026 "bookvol10.4.pamphlet" 1830137 1830154 1831685 1831690) (-1025 "bookvol10.3.pamphlet" 1828970 1828990 1829624 1829717) (-1024 "bookvol10.4.pamphlet" 1827543 1827552 1828960 1828965) (-1023 "bookvol10.2.pamphlet" 1827417 1827426 1827533 1827538) (-1022 "bookvol10.4.pamphlet" 1824768 1824783 1827407 1827412) (-1021 "bookvol10.4.pamphlet" 1821677 1821692 1824758 1824763) (-1020 "bookvol10.4.pamphlet" 1821426 1821451 1821667 1821672) (-1019 "bookvol10.4.pamphlet" 1820993 1821004 1821416 1821421) (-1018 "bookvol10.4.pamphlet" 1819847 1819865 1820983 1820988) (-1017 "bookvol10.4.pamphlet" 1817812 1817830 1819837 1819842) (-1016 "bookvol10.4.pamphlet" 1817053 1817070 1817802 1817807) (-1015 "bookvol10.4.pamphlet" 1816109 1816126 1817043 1817048) (-1014 "bookvol10.2.pamphlet" 1813500 1813509 1816011 1816104) (-1013 NIL 1810977 1810988 1813490 1813495) (-1012 "bookvol10.2.pamphlet" 1808950 1808961 1810957 1810972) (-1011 NIL 1806860 1806873 1808869 1808874) (-1010 "bookvol10.4.pamphlet" 1806281 1806292 1806850 1806855) (-1009 "bookvol10.4.pamphlet" 1805465 1805477 1806271 1806276) (-1008 "bookvol10.4.pamphlet" 1804822 1804831 1805455 1805460) (-1007 "bookvol10.4.pamphlet" 1804578 1804587 1804812 1804817) (-1006 "bookvol10.3.pamphlet" 1801393 1801407 1803045 1803138) (-1005 "bookvol10.3.pamphlet" 1799822 1799859 1799925 1800081) (-1004 "bookvol10.2.pamphlet" 1799401 1799410 1799812 1799817) (-1003 NIL 1798978 1798989 1799391 1799396) (-1002 "bookvol10.3.pamphlet" 1794795 1794806 1798808 1798835) (-1001 "bookvol10.3.pamphlet" 1793425 1793436 1793719 1793784) (-1000 "bookvol10.4.pamphlet" 1792829 1792848 1793415 1793420) (-999 "bookvol10.2.pamphlet" 1791036 1791046 1792759 1792824) (-998 NIL 1788994 1789006 1790719 1790724) (-997 "bookvol10.2.pamphlet" 1787808 1787818 1788950 1788989) (-996 "bookvol10.3.pamphlet" 1787277 1787291 1787798 1787803) (-995 "bookvol10.2.pamphlet" 1785972 1785982 1787167 1787272) (-994 NIL 1784270 1784282 1785467 1785472) (-993 "bookvol10.4.pamphlet" 1783971 1783987 1784260 1784265) (-992 "bookvol10.3.pamphlet" 1783546 1783554 1783961 1783966) (-991 "bookvol10.4.pamphlet" 1779530 1779549 1783536 1783541) (-990 "bookvol10.3.pamphlet" 1775703 1775735 1779444 1779449) (-989 "bookvol10.4.pamphlet" 1773715 1773733 1775693 1775698) (-988 "bookvol10.4.pamphlet" 1771043 1771064 1773705 1773710) (-987 "bookvol10.4.pamphlet" 1770380 1770399 1771033 1771038) (-986 "bookvol10.2.pamphlet" 1766778 1766788 1770370 1770375) (-985 "bookvol10.4.pamphlet" 1763904 1763914 1766768 1766773) (-984 "bookvol10.4.pamphlet" 1763723 1763737 1763894 1763899) (-983 "bookvol10.2.pamphlet" 1762815 1762825 1763679 1763718) (-982 "bookvol10.4.pamphlet" 1762126 1762150 1762805 1762810) (-981 "bookvol10.4.pamphlet" 1760996 1761006 1762116 1762121) (-980 "bookvol10.4.pamphlet" 1748505 1748521 1760874 1760879) (-979 "bookvol10.2.pamphlet" 1743360 1743383 1748473 1748500) (-978 NIL 1738201 1738226 1743316 1743321) (-977 "bookvol10.2.pamphlet" 1737226 1737234 1738191 1738196) (-976 "bookvol10.2.pamphlet" 1735989 1736018 1737124 1737221) (-975 NIL 1734842 1734873 1735979 1735984) (-974 "bookvol10.3.pamphlet" 1733645 1733653 1734832 1734837) (-973 "bookvol10.2.pamphlet" 1731140 1731150 1733635 1733640) (-972 "bookvol10.4.pamphlet" 1722809 1722826 1731096 1731101) (-971 "bookvol10.2.pamphlet" 1722232 1722242 1722765 1722804) (-970 "bookvol10.3.pamphlet" 1722116 1722132 1722222 1722227) (-969 "bookvol10.3.pamphlet" 1722006 1722016 1722106 1722111) (-968 "bookvol10.3.pamphlet" 1721896 1721906 1721996 1722001) (-967 "bookvol10.3.pamphlet" 1719335 1719347 1719862 1719917) (-966 "bookvol10.3.pamphlet" 1717733 1717745 1718426 1718553) (-965 "bookvol10.4.pamphlet" 1716987 1717026 1717723 1717728) (-964 "bookvol10.4.pamphlet" 1716739 1716747 1716977 1716982) (-963 "bookvol10.4.pamphlet" 1714972 1714982 1716729 1716734) (-962 "bookvol10.4.pamphlet" 1713059 1713073 1714962 1714967) (-961 "bookvol10.2.pamphlet" 1712670 1712678 1713049 1713054) (-960 "bookvol10.3.pamphlet" 1711923 1711933 1712076 1712103) (-959 "bookvol10.4.pamphlet" 1710029 1710041 1711913 1711918) (-958 "bookvol10.4.pamphlet" 1709395 1709407 1710019 1710024) (-957 "bookvol10.2.pamphlet" 1708570 1708578 1709385 1709390) (-956 "bookvol10.4.pamphlet" 1707314 1707336 1708526 1708531) (-955 "bookvol10.3.pamphlet" 1704632 1704642 1705128 1705255) (-954 "bookvol10.4.pamphlet" 1703921 1703944 1704622 1704627) (-953 "bookvol10.4.pamphlet" 1701931 1701953 1703911 1703916) (-952 "bookvol10.2.pamphlet" 1695361 1695382 1701799 1701926) (-951 NIL 1688093 1688116 1694533 1694538) (-950 "bookvol10.4.pamphlet" 1687539 1687553 1688083 1688088) (-949 "bookvol10.4.pamphlet" 1687145 1687157 1687529 1687534) (-948 "bookvol10.4.pamphlet" 1686186 1686215 1687101 1687106) (-947 "bookvol10.4.pamphlet" 1684934 1684949 1686176 1686181) (-946 "bookvol10.3.pamphlet" 1683995 1684005 1684082 1684109) (-945 "bookvol10.4.pamphlet" 1680667 1680675 1683985 1683990) (-944 "bookvol10.4.pamphlet" 1679488 1679502 1680657 1680662) (-943 "bookvol10.4.pamphlet" 1679045 1679055 1679478 1679483) (-942 "bookvol10.4.pamphlet" 1678644 1678658 1679035 1679040) (-941 "bookvol10.4.pamphlet" 1678164 1678178 1678634 1678639) (-940 "bookvol10.4.pamphlet" 1677659 1677681 1678154 1678159) (-939 "bookvol10.4.pamphlet" 1676739 1676757 1677591 1677596) (-938 "bookvol10.4.pamphlet" 1676324 1676338 1676729 1676734) (-937 "bookvol10.4.pamphlet" 1675903 1675915 1676314 1676319) (-936 "bookvol10.4.pamphlet" 1675483 1675493 1675893 1675898) (-935 "bookvol10.4.pamphlet" 1675068 1675086 1675473 1675478) (-934 "bookvol10.4.pamphlet" 1674378 1674392 1675058 1675063) (-933 "bookvol10.4.pamphlet" 1673445 1673453 1674368 1674373) (-932 "bookvol10.4.pamphlet" 1672469 1672485 1673435 1673440) (-931 "bookvol10.4.pamphlet" 1671367 1671405 1672459 1672464) (-930 "bookvol10.4.pamphlet" 1671147 1671155 1671357 1671362) (-929 "bookvol10.3.pamphlet" 1665999 1666007 1671137 1671142) (-928 "bookvol10.3.pamphlet" 1662613 1662621 1665989 1665994) (-927 "bookvol10.4.pamphlet" 1661764 1661774 1662603 1662608) (-926 "bookvol10.4.pamphlet" 1647877 1647904 1661754 1661759) (-925 "bookvol10.3.pamphlet" 1647784 1647798 1647867 1647872) (-924 "bookvol10.3.pamphlet" 1647695 1647705 1647774 1647779) (-923 "bookvol10.3.pamphlet" 1647606 1647616 1647685 1647690) (-922 "bookvol10.2.pamphlet" 1646648 1646662 1647596 1647601) (-921 "bookvol10.4.pamphlet" 1646270 1646289 1646638 1646643) (-920 "bookvol10.4.pamphlet" 1646054 1646070 1646260 1646265) (-919 "bookvol10.3.pamphlet" 1645678 1645686 1646028 1646049) (-918 "bookvol10.2.pamphlet" 1644658 1644666 1645604 1645673) (-917 "bookvol10.4.pamphlet" 1644403 1644413 1644648 1644653) (-916 "bookvol10.4.pamphlet" 1643021 1643035 1644393 1644398) (-915 "bookvol10.4.pamphlet" 1634979 1634987 1643011 1643016) (-914 "bookvol10.4.pamphlet" 1633553 1633570 1634969 1634974) (-913 "bookvol10.4.pamphlet" 1632604 1632614 1633543 1633548) (-912 "bookvol10.3.pamphlet" 1628174 1628184 1632506 1632599) (-911 "bookvol10.4.pamphlet" 1627521 1627537 1628164 1628169) (-910 "bookvol10.4.pamphlet" 1625662 1625691 1627511 1627516) (-909 "bookvol10.4.pamphlet" 1625032 1625050 1625652 1625657) (-908 "bookvol10.4.pamphlet" 1624453 1624480 1625022 1625027) (-907 "bookvol10.3.pamphlet" 1624128 1624140 1624258 1624351) (-906 "bookvol10.2.pamphlet" 1621836 1621844 1624054 1624123) (-905 NIL 1619572 1619582 1621792 1621797) (-904 "bookvol10.4.pamphlet" 1617479 1617491 1619562 1619567) (-903 "bookvol10.4.pamphlet" 1615139 1615162 1617469 1617474) (-902 "bookvol10.3.pamphlet" 1610461 1610471 1614969 1614984) (-901 "bookvol10.3.pamphlet" 1605221 1605231 1610451 1610456) (-900 "bookvol10.2.pamphlet" 1603854 1603864 1605201 1605216) (-899 "bookvol10.4.pamphlet" 1602613 1602627 1603844 1603849) (-898 "bookvol10.3.pamphlet" 1601957 1601967 1602465 1602470) (-897 "bookvol10.2.pamphlet" 1600303 1600313 1601937 1601952) (-896 NIL 1598657 1598669 1600293 1600298) (-895 "bookvol10.3.pamphlet" 1596836 1596844 1598647 1598652) (-894 "bookvol10.4.pamphlet" 1590912 1590920 1596826 1596831) (-893 "bookvol10.4.pamphlet" 1590264 1590281 1590902 1590907) (-892 "bookvol10.2.pamphlet" 1588414 1588422 1590254 1590259) (-891 "bookvol10.4.pamphlet" 1588149 1588162 1588404 1588409) (-890 "bookvol10.3.pamphlet" 1586791 1586808 1588139 1588144) (-889 "bookvol10.3.pamphlet" 1581076 1581086 1586781 1586786) (-888 "bookvol10.4.pamphlet" 1580807 1580819 1581066 1581071) (-887 "bookvol10.4.pamphlet" 1579105 1579121 1580797 1580802) (-886 "bookvol10.3.pamphlet" 1576766 1576778 1579095 1579100) (-885 "bookvol10.4.pamphlet" 1576478 1576492 1576756 1576761) (-884 "bookvol10.4.pamphlet" 1574699 1574730 1576186 1576191) (-883 "bookvol10.2.pamphlet" 1574138 1574148 1574689 1574694) (-882 "bookvol10.3.pamphlet" 1573248 1573262 1574128 1574133) (-881 "bookvol10.2.pamphlet" 1573012 1573022 1573238 1573243) (-880 "bookvol10.4.pamphlet" 1570530 1570538 1573002 1573007) (-879 "bookvol10.3.pamphlet" 1569988 1570016 1570520 1570525) (-878 "bookvol10.4.pamphlet" 1569781 1569797 1569978 1569983) (-877 "bookvol10.3.pamphlet" 1569239 1569267 1569771 1569776) (-876 "bookvol10.4.pamphlet" 1569026 1569042 1569229 1569234) (-875 "bookvol10.3.pamphlet" 1568496 1568524 1569016 1569021) (-874 "bookvol10.4.pamphlet" 1568283 1568299 1568486 1568491) (-873 "bookvol10.4.pamphlet" 1567106 1567155 1568273 1568278) (-872 "bookvol10.4.pamphlet" 1566520 1566528 1567096 1567101) (-871 "bookvol10.3.pamphlet" 1565528 1565536 1566510 1566515) (-870 "bookvol10.4.pamphlet" 1559975 1559998 1565484 1565489) (-869 "bookvol10.4.pamphlet" 1553856 1553879 1559924 1559929) (-868 "bookvol10.3.pamphlet" 1551232 1551250 1552361 1552454) (-867 "bookvol10.3.pamphlet" 1549295 1549307 1549468 1549561) (-866 "bookvol10.3.pamphlet" 1549040 1549052 1549221 1549290) (-865 "bookvol10.2.pamphlet" 1547586 1547598 1548966 1549035) (-864 "bookvol10.4.pamphlet" 1546531 1546550 1547576 1547581) (-863 "bookvol10.4.pamphlet" 1545536 1545552 1546521 1546526) (-862 "bookvol10.3.pamphlet" 1544371 1544379 1545207 1545300) (-861 "bookvol10.2.pamphlet" 1543355 1543363 1544273 1544366) (-860 "bookvol10.2.pamphlet" 1541654 1541662 1543257 1543350) (-859 "bookvol10.3.pamphlet" 1540613 1540623 1541450 1541543) (-858 "bookvol10.2.pamphlet" 1539600 1539608 1540515 1540608) (-857 "bookvol10.3.pamphlet" 1538139 1538159 1538990 1539083) (-856 "bookvol10.2.pamphlet" 1537115 1537123 1538041 1538134) (-855 "bookvol10.3.pamphlet" 1536123 1536153 1536973 1537040) (-854 "bookvol10.3.pamphlet" 1535904 1535927 1536113 1536118) (-853 "bookvol10.4.pamphlet" 1535030 1535038 1535894 1535899) (-852 "bookvol10.3.pamphlet" 1524444 1524452 1535020 1535025) (-851 "bookvol10.3.pamphlet" 1524049 1524057 1524434 1524439) (-850 "bookvol10.4.pamphlet" 1522506 1522516 1523966 1523971) (-849 "bookvol10.3.pamphlet" 1521856 1521884 1522186 1522225) (-848 "bookvol10.3.pamphlet" 1521141 1521165 1521536 1521575) (-847 "bookvol10.4.pamphlet" 1518901 1518913 1521061 1521066) (-846 "bookvol10.2.pamphlet" 1512913 1512923 1518857 1518896) (-845 NIL 1506815 1506827 1512761 1512766) (-844 "bookvol10.2.pamphlet" 1505945 1505953 1506805 1506810) (-843 NIL 1505073 1505083 1505935 1505940) (-842 "bookvol10.2.pamphlet" 1504407 1504415 1505053 1505068) (-841 NIL 1503749 1503759 1504397 1504402) (-840 "bookvol10.2.pamphlet" 1503473 1503481 1503739 1503744) (-839 "bookvol10.4.pamphlet" 1502620 1502636 1503463 1503468) (-838 "bookvol10.2.pamphlet" 1502554 1502562 1502610 1502615) (-837 "bookvol10.3.pamphlet" 1501046 1501056 1502101 1502130) (-836 "bookvol10.4.pamphlet" 1500398 1500410 1501036 1501041) (-835 "bookvol10.3.pamphlet" 1498164 1498172 1500388 1500393) (-834 "bookvol10.4.pamphlet" 1490616 1490624 1498154 1498159) (-833 "bookvol10.2.pamphlet" 1488094 1488102 1490606 1490611) (-832 "bookvol10.4.pamphlet" 1487649 1487657 1488084 1488089) (-831 "bookvol10.3.pamphlet" 1487391 1487401 1487471 1487538) (-830 "bookvol10.3.pamphlet" 1486167 1486177 1486938 1486967) (-829 "bookvol10.4.pamphlet" 1485658 1485670 1486157 1486162) (-828 "bookvol10.4.pamphlet" 1484708 1484716 1485648 1485653) (-827 "bookvol10.2.pamphlet" 1484492 1484502 1484652 1484703) (-826 "bookvol10.4.pamphlet" 1483168 1483176 1484482 1484487) (-825 "bookvol10.2.pamphlet" 1482243 1482251 1483158 1483163) (-824 "bookvol10.3.pamphlet" 1481660 1481672 1482129 1482168) (-823 "bookvol10.4.pamphlet" 1481494 1481504 1481650 1481655) (-822 "bookvol10.3.pamphlet" 1481047 1481055 1481484 1481489) (-821 "bookvol10.3.pamphlet" 1480099 1480107 1481037 1481042) (-820 "bookvol10.3.pamphlet" 1479445 1479453 1480089 1480094) (-819 "bookvol10.3.pamphlet" 1474188 1474196 1479435 1479440) (-818 "bookvol10.3.pamphlet" 1473605 1473613 1474178 1474183) (-817 "bookvol10.2.pamphlet" 1473382 1473390 1473531 1473600) (-816 "bookvol10.3.pamphlet" 1467009 1467019 1473372 1473377) (-815 "bookvol10.3.pamphlet" 1466292 1466302 1466999 1467004) (-814 "bookvol10.3.pamphlet" 1465740 1465766 1466104 1466253) (-813 "bookvol10.3.pamphlet" 1463100 1463110 1463426 1463553) (-812 "bookvol10.3.pamphlet" 1454957 1454977 1455315 1455446) (-811 "bookvol10.4.pamphlet" 1453482 1453501 1454947 1454952) (-810 "bookvol10.4.pamphlet" 1450942 1450959 1453472 1453477) (-809 "bookvol10.4.pamphlet" 1446871 1446888 1450899 1450904) (-808 "bookvol10.4.pamphlet" 1446232 1446256 1446861 1446866) (-807 "bookvol10.4.pamphlet" 1443676 1443693 1446222 1446227) (-806 "bookvol10.4.pamphlet" 1440691 1440713 1443666 1443671) (-805 "bookvol10.3.pamphlet" 1439347 1439355 1440681 1440686) (-804 "bookvol10.4.pamphlet" 1436605 1436627 1439337 1439342) (-803 "bookvol10.4.pamphlet" 1435971 1435995 1436595 1436600) (-802 "bookvol10.4.pamphlet" 1423715 1423723 1435961 1435966) (-801 "bookvol10.4.pamphlet" 1423134 1423150 1423705 1423710) (-800 "bookvol10.3.pamphlet" 1420537 1420545 1423124 1423129) (-799 "bookvol10.4.pamphlet" 1415854 1415870 1420527 1420532) (-798 "bookvol10.4.pamphlet" 1415363 1415381 1415844 1415849) (-797 "bookvol10.2.pamphlet" 1413754 1413762 1415353 1415358) (-796 "bookvol10.3.pamphlet" 1411922 1411932 1412604 1412643) (-795 "bookvol10.4.pamphlet" 1411568 1411589 1411912 1411917) (-794 "bookvol10.2.pamphlet" 1409516 1409526 1411524 1411563) (-793 NIL 1407189 1407201 1409199 1409204) (-792 "bookvol10.2.pamphlet" 1407039 1407047 1407179 1407184) (-791 "bookvol10.2.pamphlet" 1406805 1406813 1407029 1407034) (-790 "bookvol10.2.pamphlet" 1406159 1406167 1406795 1406800) (-789 "bookvol10.2.pamphlet" 1406022 1406030 1406149 1406154) (-788 "bookvol10.2.pamphlet" 1405886 1405894 1406012 1406017) (-787 "bookvol10.4.pamphlet" 1405613 1405629 1405876 1405881) (-786 "bookvol10.4.pamphlet" 1394342 1394350 1405603 1405608) (-785 "bookvol10.4.pamphlet" 1385909 1385917 1394332 1394337) (-784 "bookvol10.2.pamphlet" 1383264 1383272 1385899 1385904) (-783 "bookvol10.4.pamphlet" 1382106 1382114 1383254 1383259) (-782 "bookvol10.4.pamphlet" 1374264 1374274 1381911 1381916) (-781 "bookvol10.2.pamphlet" 1373671 1373687 1374220 1374259) (-780 "bookvol10.4.pamphlet" 1373222 1373232 1373588 1373593) (-779 "bookvol10.3.pamphlet" 1367123 1367133 1370772 1370925) (-778 "bookvol10.4.pamphlet" 1366519 1366531 1367113 1367118) (-777 "bookvol10.3.pamphlet" 1362730 1362749 1363022 1363149) (-776 "bookvol10.3.pamphlet" 1361254 1361264 1361331 1361424) (-775 "bookvol10.4.pamphlet" 1359644 1359658 1361244 1361249) (-774 "bookvol10.4.pamphlet" 1359536 1359565 1359634 1359639) (-773 "bookvol10.4.pamphlet" 1358784 1358804 1359526 1359531) (-772 "bookvol10.3.pamphlet" 1358672 1358686 1358764 1358779) (-771 "bookvol10.4.pamphlet" 1358266 1358305 1358662 1358667) (-770 "bookvol10.4.pamphlet" 1357114 1357133 1358256 1358261) (-769 "bookvol10.4.pamphlet" 1356796 1356822 1357104 1357109) (-768 "bookvol10.3.pamphlet" 1356537 1356545 1356786 1356791) (-767 "bookvol10.4.pamphlet" 1356213 1356223 1356527 1356532) (-766 "bookvol10.4.pamphlet" 1355670 1355686 1356203 1356208) (-765 "bookvol10.3.pamphlet" 1354560 1354568 1355644 1355665) (-764 "bookvol10.4.pamphlet" 1353186 1353196 1354550 1354555) (-763 "bookvol10.3.pamphlet" 1350874 1350882 1353176 1353181) (-762 "bookvol10.4.pamphlet" 1348342 1348359 1350864 1350869) (-761 "bookvol10.4.pamphlet" 1347661 1347675 1348332 1348337) (-760 "bookvol10.4.pamphlet" 1345801 1345817 1347651 1347656) (-759 "bookvol10.4.pamphlet" 1345458 1345472 1345791 1345796) (-758 "bookvol10.4.pamphlet" 1343636 1343650 1345448 1345453) (-757 "bookvol10.2.pamphlet" 1343234 1343242 1343626 1343631) (-756 NIL 1342830 1342840 1343224 1343229) (-755 "bookvol10.2.pamphlet" 1342208 1342216 1342820 1342825) (-754 NIL 1341584 1341594 1342198 1342203) (-753 "bookvol10.4.pamphlet" 1340661 1340669 1341574 1341579) (-752 "bookvol10.4.pamphlet" 1331103 1331111 1340651 1340656) (-751 "bookvol10.4.pamphlet" 1329603 1329611 1331093 1331098) (-750 "bookvol10.4.pamphlet" 1324067 1324075 1329593 1329598) (-749 "bookvol10.4.pamphlet" 1318223 1318231 1324057 1324062) (-748 "bookvol10.4.pamphlet" 1314033 1314041 1318213 1318218) (-747 "bookvol10.4.pamphlet" 1307827 1307835 1314023 1314028) (-746 "bookvol10.4.pamphlet" 1298584 1298592 1307817 1307822) (-745 "bookvol10.4.pamphlet" 1294675 1294683 1298574 1298579) (-744 "bookvol10.4.pamphlet" 1292714 1292722 1294665 1294670) (-743 "bookvol10.4.pamphlet" 1285520 1285528 1292704 1292709) (-742 "bookvol10.4.pamphlet" 1280064 1280072 1285510 1285515) (-741 "bookvol10.4.pamphlet" 1275996 1276004 1280054 1280059) (-740 "bookvol10.4.pamphlet" 1274542 1274550 1275986 1275991) (-739 "bookvol10.4.pamphlet" 1273872 1273880 1274532 1274537) (-738 "bookvol10.2.pamphlet" 1273424 1273434 1273840 1273867) (-737 NIL 1272996 1273008 1273414 1273419) (-736 "bookvol10.3.pamphlet" 1270223 1270237 1270546 1270699) (-735 "bookvol10.3.pamphlet" 1268342 1268356 1268414 1268634) (-734 "bookvol10.4.pamphlet" 1265310 1265327 1268332 1268337) (-733 "bookvol10.4.pamphlet" 1264708 1264725 1265300 1265305) (-732 "bookvol10.2.pamphlet" 1262738 1262759 1264606 1264703) (-731 "bookvol10.4.pamphlet" 1262397 1262407 1262728 1262733) (-730 "bookvol10.4.pamphlet" 1261849 1261857 1262387 1262392) (-729 "bookvol10.3.pamphlet" 1259912 1259922 1261611 1261650) (-728 "bookvol10.2.pamphlet" 1259745 1259755 1259868 1259907) (-727 "bookvol10.3.pamphlet" 1256780 1256792 1259453 1259520) (-726 "bookvol10.4.pamphlet" 1256342 1256356 1256770 1256775) (-725 "bookvol10.4.pamphlet" 1255903 1255920 1256332 1256337) (-724 "bookvol10.4.pamphlet" 1253976 1253995 1255893 1255898) (-723 "bookvol10.3.pamphlet" 1251428 1251443 1251770 1251897) (-722 "bookvol10.4.pamphlet" 1250707 1250726 1251418 1251423) (-721 "bookvol10.4.pamphlet" 1250517 1250560 1250697 1250702) (-720 "bookvol10.4.pamphlet" 1250265 1250301 1250507 1250512) (-719 "bookvol10.4.pamphlet" 1248636 1248653 1250255 1250260) (-718 "bookvol10.2.pamphlet" 1247538 1247546 1248626 1248631) (-717 NIL 1246438 1246448 1247528 1247533) (-716 "bookvol10.2.pamphlet" 1245166 1245179 1246298 1246433) (-715 NIL 1243916 1243931 1245050 1245055) (-714 "bookvol10.2.pamphlet" 1242050 1242058 1243906 1243911) (-713 NIL 1240182 1240192 1242040 1242045) (-712 "bookvol10.2.pamphlet" 1239342 1239350 1240172 1240177) (-711 NIL 1238500 1238510 1239332 1239337) (-710 "bookvol10.3.pamphlet" 1237157 1237171 1238480 1238495) (-709 "bookvol10.2.pamphlet" 1236870 1236880 1237125 1237152) (-708 NIL 1236603 1236615 1236860 1236865) (-707 "bookvol10.3.pamphlet" 1235922 1235961 1236583 1236598) (-706 "bookvol10.3.pamphlet" 1234542 1234554 1235744 1235811) (-705 "bookvol10.3.pamphlet" 1234055 1234073 1234532 1234537) (-704 "bookvol10.3.pamphlet" 1230715 1230731 1231533 1231686) (-703 "bookvol10.3.pamphlet" 1230082 1230121 1230617 1230710) (-702 "bookvol10.3.pamphlet" 1228887 1228895 1230072 1230077) (-701 "bookvol10.4.pamphlet" 1228621 1228655 1228877 1228882) (-700 "bookvol10.2.pamphlet" 1227039 1227049 1228577 1228616) (-699 "bookvol10.4.pamphlet" 1225655 1225672 1227029 1227034) (-698 "bookvol10.4.pamphlet" 1225095 1225113 1225645 1225650) (-697 "bookvol10.4.pamphlet" 1224687 1224700 1225085 1225090) (-696 "bookvol10.4.pamphlet" 1223972 1223982 1224677 1224682) (-695 "bookvol10.4.pamphlet" 1222815 1222825 1223962 1223967) (-694 "bookvol10.3.pamphlet" 1222593 1222603 1222805 1222810) (-693 "bookvol10.4.pamphlet" 1222032 1222050 1222583 1222588) (-692 "bookvol10.3.pamphlet" 1221471 1221479 1221934 1222027) (-691 "bookvol10.4.pamphlet" 1220110 1220120 1221461 1221466) (-690 "bookvol10.3.pamphlet" 1218558 1218566 1220000 1220105) (-689 "bookvol10.4.pamphlet" 1217958 1217980 1218548 1218553) (-688 "bookvol10.4.pamphlet" 1215870 1215878 1217948 1217953) (-687 "bookvol10.4.pamphlet" 1214123 1214133 1215860 1215865) (-686 "bookvol10.2.pamphlet" 1213404 1213414 1214091 1214118) (-685 "bookvol10.3.pamphlet" 1209377 1209385 1209991 1210192) (-684 "bookvol10.4.pamphlet" 1208579 1208591 1209367 1209372) (-683 "bookvol10.4.pamphlet" 1205839 1205865 1208569 1208574) (-682 "bookvol10.4.pamphlet" 1203119 1203129 1205829 1205834) (-681 "bookvol10.3.pamphlet" 1202012 1202022 1202494 1202521) (-680 "bookvol10.4.pamphlet" 1199420 1199444 1201896 1201901) (-679 "bookvol10.2.pamphlet" 1184852 1184874 1199376 1199415) (-678 NIL 1170132 1170156 1184658 1184663) (-677 "bookvol10.4.pamphlet" 1169414 1169462 1170122 1170127) (-676 "bookvol10.4.pamphlet" 1168208 1168220 1169404 1169409) (-675 "bookvol10.4.pamphlet" 1167083 1167097 1168198 1168203) (-674 "bookvol10.4.pamphlet" 1166389 1166401 1167073 1167078) (-673 "bookvol10.4.pamphlet" 1165201 1165211 1166379 1166384) (-672 "bookvol10.4.pamphlet" 1165013 1165027 1165191 1165196) (-671 "bookvol10.4.pamphlet" 1164782 1164794 1165003 1165008) (-670 "bookvol10.4.pamphlet" 1164418 1164428 1164772 1164777) (-669 "bookvol10.3.pamphlet" 1162702 1162719 1164408 1164413) (-668 "bookvol10.2.pamphlet" 1160558 1160573 1162692 1162697) (-667 "bookvol10.3.pamphlet" 1158543 1158553 1160159 1160164) (-666 "bookvol10.2.pamphlet" 1154299 1154309 1158523 1158538) (-665 NIL 1150063 1150075 1154289 1154294) (-664 "bookvol10.3.pamphlet" 1147301 1147318 1150053 1150058) (-663 "bookvol10.3.pamphlet" 1145599 1145613 1145981 1146032) (-662 "bookvol10.4.pamphlet" 1145142 1145159 1145589 1145594) (-661 "bookvol10.4.pamphlet" 1143944 1143972 1145132 1145137) (-660 "bookvol10.4.pamphlet" 1141706 1141720 1143934 1143939) (-659 "bookvol10.2.pamphlet" 1141363 1141373 1141662 1141701) (-658 NIL 1141052 1141064 1141353 1141358) (-657 "bookvol10.3.pamphlet" 1140200 1140219 1140908 1140977) (-656 "bookvol10.4.pamphlet" 1139461 1139471 1140190 1140195) (-655 "bookvol10.4.pamphlet" 1137936 1137985 1139451 1139456) (-654 "bookvol10.4.pamphlet" 1136609 1136619 1137926 1137931) (-653 "bookvol10.3.pamphlet" 1136006 1136020 1136543 1136570) (-652 "bookvol10.2.pamphlet" 1135606 1135614 1135996 1136001) (-651 NIL 1135204 1135214 1135596 1135601) (-650 "bookvol10.4.pamphlet" 1134134 1134146 1135194 1135199) (-649 "bookvol10.3.pamphlet" 1133505 1133521 1133814 1133853) (-648 "bookvol10.4.pamphlet" 1132553 1132570 1133462 1133467) (-647 "bookvol10.2.pamphlet" 1131202 1131212 1132509 1132548) (-646 NIL 1129849 1129861 1131158 1131163) (-645 "bookvol10.3.pamphlet" 1129109 1129121 1129529 1129568) (-644 "bookvol10.3.pamphlet" 1128496 1128506 1128789 1128828) (-643 "bookvol10.4.pamphlet" 1127222 1127240 1128486 1128491) (-642 "bookvol10.2.pamphlet" 1125645 1125655 1127124 1127217) (-641 "bookvol10.2.pamphlet" 1122121 1122131 1125625 1125640) (-640 NIL 1118571 1118583 1122077 1122082) (-639 "bookvol10.3.pamphlet" 1115183 1115200 1118561 1118566) (-638 "bookvol10.2.pamphlet" 1114698 1114708 1115173 1115178) (-637 "bookvol10.3.pamphlet" 1113820 1113830 1114472 1114499) (-636 "bookvol10.4.pamphlet" 1113271 1113285 1113810 1113815) (-635 "bookvol10.3.pamphlet" 1111234 1111244 1112641 1112668) (-634 "bookvol10.4.pamphlet" 1110549 1110563 1111224 1111229) (-633 "bookvol10.4.pamphlet" 1109229 1109241 1110539 1110544) (-632 "bookvol10.4.pamphlet" 1106092 1106104 1109219 1109224) (-631 "bookvol10.2.pamphlet" 1105470 1105480 1106072 1106087) (-630 "bookvol10.4.pamphlet" 1104343 1104355 1105382 1105387) (-629 "bookvol10.4.pamphlet" 1102301 1102311 1104333 1104338) (-628 "bookvol10.4.pamphlet" 1101176 1101189 1102291 1102296) (-627 "bookvol10.3.pamphlet" 1099206 1099218 1100466 1100611) (-626 "bookvol10.2.pamphlet" 1098791 1098801 1099132 1099201) (-625 NIL 1098404 1098416 1098747 1098752) (-624 "bookvol10.3.pamphlet" 1096939 1096947 1097645 1097660) (-623 "bookvol10.4.pamphlet" 1094317 1094336 1096929 1096934) (-622 "bookvol10.4.pamphlet" 1093096 1093112 1094307 1094312) (-621 "bookvol10.2.pamphlet" 1091911 1091919 1093086 1093091) (-620 "bookvol10.4.pamphlet" 1087743 1087758 1091901 1091906) (-619 "bookvol10.3.pamphlet" 1085978 1086005 1087723 1087738) (-618 "bookvol10.4.pamphlet" 1084408 1084425 1085968 1085973) (-617 "bookvol10.4.pamphlet" 1083518 1083540 1084398 1084403) (-616 "bookvol10.3.pamphlet" 1082294 1082307 1083111 1083180) (-615 "bookvol10.4.pamphlet" 1081839 1081855 1082284 1082289) (-614 "bookvol10.3.pamphlet" 1081249 1081263 1081761 1081800) (-613 "bookvol10.2.pamphlet" 1081025 1081035 1081229 1081244) (-612 NIL 1080809 1080821 1081015 1081020) (-611 "bookvol10.4.pamphlet" 1079490 1079507 1080799 1080804) (-610 "bookvol10.2.pamphlet" 1079214 1079224 1079480 1079485) (-609 "bookvol10.2.pamphlet" 1078951 1078961 1079204 1079209) (-608 "bookvol10.3.pamphlet" 1077512 1077522 1078735 1078740) (-607 "bookvol10.4.pamphlet" 1077215 1077227 1077502 1077507) (-606 "bookvol10.2.pamphlet" 1076354 1076376 1077183 1077210) (-605 NIL 1075513 1075537 1076344 1076349) (-604 "bookvol10.3.pamphlet" 1074151 1074167 1074860 1074887) (-603 "bookvol10.3.pamphlet" 1072160 1072172 1073441 1073586) (-602 "bookvol10.2.pamphlet" 1070404 1070428 1072140 1072155) (-601 NIL 1068513 1068539 1070251 1070256) (-600 "bookvol10.3.pamphlet" 1067521 1067536 1067661 1067688) (-599 "bookvol10.3.pamphlet" 1066641 1066651 1067511 1067516) (-598 "bookvol10.4.pamphlet" 1065404 1065423 1066631 1066636) (-597 "bookvol10.4.pamphlet" 1064910 1064924 1065394 1065399) (-596 "bookvol10.4.pamphlet" 1064654 1064666 1064900 1064905) (-595 "bookvol10.3.pamphlet" 1062462 1062477 1064490 1064615) (-594 "bookvol10.3.pamphlet" 1054850 1054865 1061436 1061533) (-593 "bookvol10.4.pamphlet" 1054317 1054333 1054840 1054845) (-592 "bookvol10.3.pamphlet" 1053547 1053560 1053713 1053740) (-591 "bookvol10.4.pamphlet" 1052631 1052650 1053537 1053542) (-590 "bookvol10.4.pamphlet" 1050699 1050707 1052621 1052626) (-589 "bookvol10.4.pamphlet" 1049246 1049256 1050655 1050660) (-588 "bookvol10.4.pamphlet" 1048847 1048858 1049236 1049241) (-587 "bookvol10.4.pamphlet" 1047163 1047173 1048837 1048842) (-586 "bookvol10.3.pamphlet" 1044886 1044900 1047018 1047045) (-585 "bookvol10.4.pamphlet" 1044030 1044046 1044876 1044881) (-584 "bookvol10.4.pamphlet" 1043207 1043223 1044020 1044025) (-583 "bookvol10.4.pamphlet" 1042983 1042991 1043197 1043202) (-582 "bookvol10.3.pamphlet" 1042684 1042696 1042788 1042881) (-581 "bookvol10.3.pamphlet" 1042455 1042481 1042610 1042679) (-580 "bookvol10.4.pamphlet" 1042052 1042068 1042445 1042450) (-579 "bookvol10.4.pamphlet" 1035074 1035091 1042042 1042047) (-578 "bookvol10.4.pamphlet" 1032939 1032955 1034648 1034653) (-577 "bookvol10.4.pamphlet" 1032259 1032267 1032929 1032934) (-576 "bookvol10.3.pamphlet" 1032035 1032045 1032173 1032254) (-575 "bookvol10.4.pamphlet" 1030399 1030413 1032025 1032030) (-574 "bookvol10.4.pamphlet" 1029892 1029902 1030389 1030394) (-573 "bookvol10.4.pamphlet" 1028561 1028578 1029882 1029887) (-572 "bookvol10.4.pamphlet" 1026874 1026890 1028204 1028209) (-571 "bookvol10.4.pamphlet" 1024531 1024549 1026806 1026811) (-570 "bookvol10.4.pamphlet" 1015056 1015064 1024521 1024526) (-569 "bookvol10.3.pamphlet" 1014417 1014425 1014910 1015051) (-568 "bookvol10.4.pamphlet" 1013683 1013700 1014407 1014412) (-567 "bookvol10.4.pamphlet" 1013328 1013352 1013673 1013678) (-566 "bookvol10.4.pamphlet" 1009707 1009715 1013318 1013323) (-565 "bookvol10.4.pamphlet" 1002865 1002883 1009639 1009644) (-564 "bookvol10.3.pamphlet" 996863 996871 1002855 1002860) (-563 "bookvol10.4.pamphlet" 996015 996072 996853 996858) (-562 "bookvol10.4.pamphlet" 995101 995111 996005 996010) (-561 "bookvol10.4.pamphlet" 994969 994993 995091 995096) (-560 "bookvol10.4.pamphlet" 993327 993343 994959 994964) (-559 "bookvol10.2.pamphlet" 991979 991987 993253 993322) (-558 NIL 990693 990703 991969 991974) (-557 "bookvol10.4.pamphlet" 989839 989926 990683 990688) (-556 "bookvol10.2.pamphlet" 988460 988470 989753 989834) (-555 "bookvol10.4.pamphlet" 987991 987999 988450 988455) (-554 "bookvol10.4.pamphlet" 987149 987176 987981 987986) (-553 "bookvol10.4.pamphlet" 986625 986641 987139 987144) (-552 "bookvol10.3.pamphlet" 985705 985736 985868 985895) (-551 "bookvol10.2.pamphlet" 983039 983047 985607 985700) (-550 NIL 980459 980469 983029 983034) (-549 "bookvol10.4.pamphlet" 979907 979920 980449 980454) (-548 "bookvol10.4.pamphlet" 979003 979022 979897 979902) (-547 "bookvol10.4.pamphlet" 978091 978115 978993 978998) (-546 "bookvol10.4.pamphlet" 977097 977114 978081 978086) (-545 "bookvol10.4.pamphlet" 976254 976284 977087 977092) (-544 "bookvol10.4.pamphlet" 974599 974621 976244 976249) (-543 "bookvol10.4.pamphlet" 973679 973698 974589 974594) (-542 "bookvol10.3.pamphlet" 970600 970608 973669 973674) (-541 "bookvol10.4.pamphlet" 970245 970255 970590 970595) (-540 "bookvol10.4.pamphlet" 969833 969841 970235 970240) (-539 "bookvol10.3.pamphlet" 969250 969313 969823 969828) (-538 "bookvol10.3.pamphlet" 968692 968715 969240 969245) (-537 "bookvol10.2.pamphlet" 967345 967408 968682 968687) (-536 "bookvol10.4.pamphlet" 965889 965911 967335 967340) (-535 "bookvol10.3.pamphlet" 965795 965812 965879 965884) (-534 "bookvol10.4.pamphlet" 965212 965222 965785 965790) (-533 "bookvol10.4.pamphlet" 961106 961117 965202 965207) (-532 "bookvol10.3.pamphlet" 960238 960264 960750 960777) (-531 "bookvol10.4.pamphlet" 959330 959374 960194 960199) (-530 "bookvol10.4.pamphlet" 957943 957967 959286 959291) (-529 "bookvol10.3.pamphlet" 956830 956845 957349 957376) (-528 "bookvol10.3.pamphlet" 956555 956593 956660 956687) (-527 "bookvol10.3.pamphlet" 955985 956001 956236 956329) (-526 "bookvol10.3.pamphlet" 953218 953233 955391 955418) (-525 "bookvol10.3.pamphlet" 953056 953073 953174 953179) (-524 "bookvol10.2.pamphlet" 952453 952465 953046 953051) (-523 NIL 951848 951862 952443 952448) (-522 "bookvol10.3.pamphlet" 951661 951673 951838 951843) (-521 "bookvol10.3.pamphlet" 951434 951446 951651 951656) (-520 "bookvol10.3.pamphlet" 951169 951181 951424 951429) (-519 "bookvol10.2.pamphlet" 950107 950119 951159 951164) (-518 "bookvol10.3.pamphlet" 949867 949879 950097 950102) (-517 "bookvol10.3.pamphlet" 949629 949641 949857 949862) (-516 "bookvol10.4.pamphlet" 946901 946919 949619 949624) (-515 "bookvol10.3.pamphlet" 941981 942020 946836 946841) (-514 "bookvol10.3.pamphlet" 941438 941461 941971 941976) (-513 "bookvol10.4.pamphlet" 940671 940687 941428 941433) (-512 "bookvol10.3.pamphlet" 939954 939962 940661 940666) (-511 "bookvol10.4.pamphlet" 938597 938614 939944 939949) (-510 "bookvol10.3.pamphlet" 937879 937892 938291 938318) (-509 "bookvol10.4.pamphlet" 934806 934825 937869 937874) (-508 "bookvol10.4.pamphlet" 933716 933731 934796 934801) (-507 "bookvol10.3.pamphlet" 933447 933473 933546 933573) (-506 "bookvol10.3.pamphlet" 932760 932775 932853 932880) (-505 "bookvol10.3.pamphlet" 930983 930991 932576 932669) (-504 "bookvol10.4.pamphlet" 930540 930573 930973 930978) (-503 "bookvol10.2.pamphlet" 929964 929972 930530 930535) (-502 NIL 929386 929396 929954 929959) (-501 "bookvol10.3.pamphlet" 928238 928246 929376 929381) (-500 "bookvol10.2.pamphlet" 926032 926042 928218 928233) (-499 NIL 923667 923679 925855 925860) (-498 "bookvol10.3.pamphlet" 921536 921544 922134 922227) (-497 "bookvol10.4.pamphlet" 920488 920499 921526 921531) (-496 "bookvol10.3.pamphlet" 920120 920144 920478 920483) (-495 "bookvol10.3.pamphlet" 916257 916267 919950 919977) (-494 "bookvol10.3.pamphlet" 908112 908128 908472 908603) (-493 "bookvol10.3.pamphlet" 905307 905322 905906 906033) (-492 "bookvol10.4.pamphlet" 903903 903911 905297 905302) (-491 "bookvol10.3.pamphlet" 902937 902968 903146 903173) (-490 "bookvol10.3.pamphlet" 902548 902556 902839 902932) (-489 "bookvol10.4.pamphlet" 888645 888657 902538 902543) (-488 "bookvol10.4.pamphlet" 888390 888398 888490 888495) (-487 "bookvol10.4.pamphlet" 872687 872723 888260 888265) (-486 "bookvol10.4.pamphlet" 872448 872456 872546 872551) (-485 "bookvol10.4.pamphlet" 872269 872283 872382 872387) (-484 "bookvol10.4.pamphlet" 872146 872160 872259 872264) (-483 "bookvol10.4.pamphlet" 871979 871987 872079 872084) (-482 "bookvol10.3.pamphlet" 871195 871211 871681 871708) (-481 "bookvol10.3.pamphlet" 870278 870313 870450 870465) (-480 "bookvol10.3.pamphlet" 867451 867478 868410 868559) (-479 "bookvol10.2.pamphlet" 866415 866423 867431 867446) (-478 NIL 865387 865397 866405 866410) (-477 "bookvol10.4.pamphlet" 863978 863999 865377 865382) (-476 "bookvol10.2.pamphlet" 862616 862628 863968 863973) (-475 NIL 861252 861266 862606 862611) (-474 "bookvol10.3.pamphlet" 854291 854299 861242 861247) (-473 "bookvol10.4.pamphlet" 852686 852694 854281 854286) (-472 "bookvol10.4.pamphlet" 851227 851235 852676 852681) (-471 "bookvol10.2.pamphlet" 850363 850375 851217 851222) (-470 NIL 849497 849511 850353 850358) (-469 "bookvol10.3.pamphlet" 849023 849046 849235 849262) (-468 "bookvol10.4.pamphlet" 843797 843884 848979 848984) (-467 "bookvol10.4.pamphlet" 843066 843084 843787 843792) (-466 "bookvol10.3.pamphlet" 837359 837367 843056 843061) (-465 "bookvol10.3.pamphlet" 833774 833782 837349 837354) (-464 "bookvol10.3.pamphlet" 832891 832918 833742 833769) (-463 "bookvol10.4.pamphlet" 832063 832077 832881 832886) (-462 "bookvol10.4.pamphlet" 827876 827889 832053 832058) (-461 "bookvol10.4.pamphlet" 827480 827490 827866 827871) (-460 "bookvol10.4.pamphlet" 827066 827083 827470 827475) (-459 "bookvol10.4.pamphlet" 826533 826552 827056 827061) (-458 "bookvol10.4.pamphlet" 824583 824596 826523 826528) (-457 "bookvol10.4.pamphlet" 823048 823056 824573 824578) (-456 "bookvol10.3.pamphlet" 820089 820106 820842 820969) (-455 "bookvol10.3.pamphlet" 814060 814087 819883 819950) (-454 "bookvol10.2.pamphlet" 813014 813022 813986 814055) (-453 NIL 812030 812040 813004 813009) (-452 "bookvol10.4.pamphlet" 807577 807615 811986 811991) (-451 "bookvol10.4.pamphlet" 803675 803713 807567 807572) (-450 "bookvol10.4.pamphlet" 799133 799171 803665 803670) (-449 "bookvol10.4.pamphlet" 795786 795824 799123 799128) (-448 "bookvol10.4.pamphlet" 795109 795117 795776 795781) (-447 "bookvol10.4.pamphlet" 793435 793445 795065 795070) (-446 "bookvol10.4.pamphlet" 791902 791915 793425 793430) (-445 "bookvol10.4.pamphlet" 790107 790126 791892 791897) (-444 "bookvol10.4.pamphlet" 780545 780556 790097 790102) (-443 "bookvol10.2.pamphlet" 777488 777496 780525 780540) (-442 "bookvol10.2.pamphlet" 776532 776540 777468 777483) (-441 "bookvol10.3.pamphlet" 776381 776393 776522 776527) (-440 NIL 774613 774621 776371 776376) (-439 "bookvol10.3.pamphlet" 773784 773792 774603 774608) (-438 "bookvol10.4.pamphlet" 772830 772849 773720 773725) (-437 "bookvol10.3.pamphlet" 770974 770982 772820 772825) (-436 "bookvol10.4.pamphlet" 770398 770414 770964 770969) (-435 "bookvol10.4.pamphlet" 769258 769274 770355 770360) (-434 "bookvol10.4.pamphlet" 766552 766568 769248 769253) (-433 "bookvol10.2.pamphlet" 760492 760502 766315 766547) (-432 NIL 754222 754234 760047 760052) (-431 "bookvol10.4.pamphlet" 753838 753854 754212 754217) (-430 "bookvol10.3.pamphlet" 753166 753178 753658 753757) (-429 "bookvol10.4.pamphlet" 752430 752446 753156 753161) (-428 "bookvol10.2.pamphlet" 751597 751607 752374 752425) (-427 NIL 750738 750750 751517 751522) (-426 "bookvol10.4.pamphlet" 749481 749497 750728 750733) (-425 "bookvol10.4.pamphlet" 743972 744006 749471 749476) (-424 "bookvol10.4.pamphlet" 743584 743600 743962 743967) (-423 "bookvol10.4.pamphlet" 742747 742770 743574 743579) (-422 "bookvol10.4.pamphlet" 741747 741757 742737 742742) (-421 "bookvol10.3.pamphlet" 733723 733733 740771 740840) (-420 "bookvol10.2.pamphlet" 728906 728916 733665 733718) (-419 NIL 724101 724113 728862 728867) (-418 "bookvol10.4.pamphlet" 723549 723567 724091 724096) (-417 "bookvol10.3.pamphlet" 722959 722989 723480 723485) (-416 "bookvol10.3.pamphlet" 722192 722213 722939 722954) (-415 "bookvol10.4.pamphlet" 721930 721962 722182 722187) (-414 "bookvol10.2.pamphlet" 721604 721614 721920 721925) (-413 NIL 721144 721156 721462 721467) (-412 "bookvol10.2.pamphlet" 719550 719563 721100 721139) (-411 NIL 717988 718003 719540 719545) (-410 "bookvol10.3.pamphlet" 715105 715115 715490 715663) (-409 "bookvol10.4.pamphlet" 714718 714730 715095 715100) (-408 "bookvol10.4.pamphlet" 714076 714088 714708 714713) (-407 "bookvol10.2.pamphlet" 711018 711026 713966 714071) (-406 NIL 707988 707998 710938 710943) (-405 "bookvol10.2.pamphlet" 707042 707050 707890 707983) (-404 NIL 706182 706192 707032 707037) (-403 "bookvol10.2.pamphlet" 705934 705944 706162 706177) (-402 "bookvol10.3.pamphlet" 704684 704701 705924 705929) (-401 NIL 703169 703218 704674 704679) (-400 "bookvol10.4.pamphlet" 702118 702126 703159 703164) (-399 "bookvol10.2.pamphlet" 699208 699216 702098 702113) (-398 "bookvol10.2.pamphlet" 698898 698906 699188 699203) (-397 "bookvol10.3.pamphlet" 696292 696300 698888 698893) (-396 "bookvol10.4.pamphlet" 695771 695781 696282 696287) (-395 "bookvol10.4.pamphlet" 695552 695576 695761 695766) (-394 "bookvol10.4.pamphlet" 694753 694761 695542 695547) (-393 "bookvol10.3.pamphlet" 694175 694197 694721 694748) (-392 "bookvol10.2.pamphlet" 692519 692527 694165 694170) (-391 "bookvol10.3.pamphlet" 692411 692419 692509 692514) (-390 "bookvol10.2.pamphlet" 692209 692217 692337 692406) (-389 "bookvol10.3.pamphlet" 689016 689026 692165 692170) (-388 "bookvol10.3.pamphlet" 688719 688731 688950 688977) (-387 "bookvol10.2.pamphlet" 685669 685677 688699 688714) (-386 "bookvol10.2.pamphlet" 684713 684721 685649 685664) (-385 "bookvol10.2.pamphlet" 682407 682425 684681 684708) (-384 "bookvol10.3.pamphlet" 681869 681881 682341 682368) (-383 "bookvol10.4.pamphlet" 679677 679691 681859 681864) (-382 "bookvol10.3.pamphlet" 672968 672976 679543 679672) (-381 "bookvol10.4.pamphlet" 670434 670448 672958 672963) (-380 "bookvol10.2.pamphlet" 670136 670146 670414 670429) (-379 NIL 669792 669804 670072 670077) (-378 "bookvol10.4.pamphlet" 669048 669060 669782 669787) (-377 "bookvol10.2.pamphlet" 667115 667134 668974 669043) (-376 "bookvol10.2.pamphlet" 664321 664331 667083 667110) (-375 NIL 661440 661452 664204 664209) (-374 "bookvol10.4.pamphlet" 660161 660177 661430 661435) (-373 "bookvol10.2.pamphlet" 658282 658295 660117 660156) (-372 NIL 656329 656344 658166 658171) (-371 "bookvol10.2.pamphlet" 655481 655489 656319 656324) (-370 "bookvol10.2.pamphlet" 644790 644800 655423 655476) (-369 NIL 634111 634123 644746 644751) (-368 "bookvol10.3.pamphlet" 633698 633708 634101 634106) (-367 "bookvol10.2.pamphlet" 632145 632162 633688 633693) (-366 "bookvol10.2.pamphlet" 631483 631491 632047 632140) (-365 NIL 630907 630917 631473 631478) (-364 "bookvol10.3.pamphlet" 629484 629494 630887 630902) (-363 "bookvol10.4.pamphlet" 628391 628406 629474 629479) (-362 "bookvol10.3.pamphlet" 627820 627835 628107 628200) (-361 "bookvol10.4.pamphlet" 627693 627710 627810 627815) (-360 "bookvol10.4.pamphlet" 627196 627217 627683 627688) (-359 "bookvol10.4.pamphlet" 618595 618606 627186 627191) (-358 "bookvol10.4.pamphlet" 617677 617694 618585 618590) (-357 "bookvol10.3.pamphlet" 617173 617193 617393 617486) (-356 "bookvol10.3.pamphlet" 616641 616657 616854 616947) (-355 "bookvol10.3.pamphlet" 615191 615211 616357 616450) (-354 "bookvol10.3.pamphlet" 613727 613744 614907 615000) (-353 "bookvol10.3.pamphlet" 612268 612289 613408 613501) (-352 "bookvol10.4.pamphlet" 609638 609657 612258 612263) (-351 "bookvol10.2.pamphlet" 607236 607244 609540 609633) (-350 NIL 604920 604930 607226 607231) (-349 "bookvol10.4.pamphlet" 603713 603730 604910 604915) (-348 "bookvol10.4.pamphlet" 601188 601199 603703 603708) (-347 "bookvol10.4.pamphlet" 595310 595326 601178 601183) (-346 "bookvol10.4.pamphlet" 593985 594004 595300 595305) (-345 "bookvol10.4.pamphlet" 593404 593421 593975 593980) (-344 "bookvol10.3.pamphlet" 592285 592305 593120 593213) (-343 "bookvol10.3.pamphlet" 591200 591220 592001 592094) (-342 "bookvol10.3.pamphlet" 590027 590048 590881 590974) (-341 "bookvol10.2.pamphlet" 579194 579216 589866 590022) (-340 NIL 568440 568464 579114 579119) (-339 "bookvol10.4.pamphlet" 568179 568219 568430 568435) (-338 "bookvol10.3.pamphlet" 560855 560901 567935 567974) (-337 "bookvol10.2.pamphlet" 560565 560575 560845 560850) (-336 NIL 560060 560072 560342 560347) (-335 "bookvol10.3.pamphlet" 559511 559535 560050 560055) (-334 "bookvol10.2.pamphlet" 557523 557547 559501 559506) (-333 NIL 555533 555559 557513 557518) (-332 "bookvol10.4.pamphlet" 555279 555319 555523 555528) (-331 "bookvol10.4.pamphlet" 553840 553848 555269 555274) (-330 "bookvol10.3.pamphlet" 553371 553381 553830 553835) (-329 NIL 543336 543344 553361 553366) (-328 "bookvol10.2.pamphlet" 536569 536583 543238 543331) (-327 NIL 529854 529870 536525 536530) (-326 "bookvol10.3.pamphlet" 528282 528292 529260 529287) (-325 "bookvol10.2.pamphlet" 526424 526436 528180 528277) (-324 NIL 524550 524564 526308 526313) (-323 "bookvol10.4.pamphlet" 524124 524146 524540 524545) (-322 "bookvol10.3.pamphlet" 523826 523836 524078 524083) (-321 "bookvol10.2.pamphlet" 522009 522021 523816 523821) (-320 "bookvol10.3.pamphlet" 521667 521677 521905 521932) (-319 "bookvol10.4.pamphlet" 519879 519896 521657 521662) (-318 "bookvol10.4.pamphlet" 519761 519771 519869 519874) (-317 "bookvol10.4.pamphlet" 518955 518965 519751 519756) (-316 "bookvol10.4.pamphlet" 518837 518847 518945 518950) (-315 "bookvol10.3.pamphlet" 515674 515697 516969 517118) (-314 "bookvol10.4.pamphlet" 513142 513150 515664 515669) (-313 "bookvol10.4.pamphlet" 513044 513073 513132 513137) (-312 "bookvol10.4.pamphlet" 509788 509804 513034 513039) (-311 "bookvol10.3.pamphlet" 505055 505065 505777 506184) (-310 "bookvol10.4.pamphlet" 501145 501158 505045 505050) (-309 "bookvol10.4.pamphlet" 500915 500927 501135 501140) (-308 "bookvol10.3.pamphlet" 497849 497874 498487 498580) (-307 "bookvol10.4.pamphlet" 497702 497710 497839 497844) (-306 "bookvol10.3.pamphlet" 497373 497381 497692 497697) (-305 "bookvol10.4.pamphlet" 496867 496881 497363 497368) (-304 "bookvol10.2.pamphlet" 496431 496441 496857 496862) (-303 NIL 495993 496005 496421 496426) (-302 "bookvol10.2.pamphlet" 493565 493573 495919 495988) (-301 NIL 491199 491209 493555 493560) (-300 "bookvol10.4.pamphlet" 483057 483065 491189 491194) (-299 "bookvol10.4.pamphlet" 482652 482666 483047 483052) (-298 "bookvol10.4.pamphlet" 482337 482348 482642 482647) (-297 "bookvol10.2.pamphlet" 475284 475292 482327 482332) (-296 NIL 468137 468147 475182 475187) (-295 "bookvol10.4.pamphlet" 464946 464954 468127 468132) (-294 "bookvol10.4.pamphlet" 464687 464699 464936 464941) (-293 "bookvol10.4.pamphlet" 464194 464210 464677 464682) (-292 "bookvol10.4.pamphlet" 463752 463768 464184 464189) (-291 "bookvol10.4.pamphlet" 461228 461236 463742 463747) (-290 "bookvol10.3.pamphlet" 460262 460284 460471 460498) (-289 "bookvol10.3.pamphlet" 455188 455198 457935 458047) (-288 "bookvol10.4.pamphlet" 454906 454918 455178 455183) (-287 "bookvol10.4.pamphlet" 451260 451270 454896 454901) (-286 "bookvol10.2.pamphlet" 450804 450812 451204 451255) (-285 "bookvol10.3.pamphlet" 450000 450041 450730 450799) (-284 "bookvol10.2.pamphlet" 448448 448467 449990 449995) (-283 NIL 446860 446881 448404 448409) (-282 "bookvol10.2.pamphlet" 446362 446380 446850 446855) (-281 "bookvol10.4.pamphlet" 445751 445770 446352 446357) (-280 "bookvol10.2.pamphlet" 445448 445456 445741 445746) (-279 NIL 445143 445153 445438 445443) (-278 "bookvol10.2.pamphlet" 443059 443069 445111 445138) (-277 NIL 440924 440936 442978 442983) (-276 "bookvol10.4.pamphlet" 437699 437729 440880 440885) (-275 "bookvol10.4.pamphlet" 434534 434557 437655 437660) (-274 "bookvol10.4.pamphlet" 432531 432547 434524 434529) (-273 "bookvol10.4.pamphlet" 427307 427323 432521 432526) (-272 "bookvol10.3.pamphlet" 425621 425629 427297 427302) (-271 "bookvol10.3.pamphlet" 425159 425167 425611 425616) (-270 "bookvol10.3.pamphlet" 424738 424746 425149 425154) (-269 "bookvol10.3.pamphlet" 424320 424328 424728 424733) (-268 "bookvol10.3.pamphlet" 423858 423866 424310 424315) (-267 "bookvol10.3.pamphlet" 423396 423404 423848 423853) (-266 "bookvol10.3.pamphlet" 422934 422942 423386 423391) (-265 "bookvol10.3.pamphlet" 422472 422480 422924 422929) (-264 "bookvol10.4.pamphlet" 418214 418222 422462 422467) (-263 "bookvol10.2.pamphlet" 414963 414973 418204 418209) (-262 NIL 411710 411722 414953 414958) (-261 "bookvol10.4.pamphlet" 408780 408867 411700 411705) (-260 "bookvol10.3.pamphlet" 407986 407996 408610 408637) (-259 "bookvol10.2.pamphlet" 407580 407590 407942 407981) (-258 "bookvol10.3.pamphlet" 405023 405037 405316 405443) (-257 "bookvol10.3.pamphlet" 398786 398794 405013 405018) (-256 "bookvol10.4.pamphlet" 398457 398467 398776 398781) (-255 "bookvol10.4.pamphlet" 393416 393424 398447 398452) (-254 "bookvol10.4.pamphlet" 391657 391665 393406 393411) (-253 "bookvol10.4.pamphlet" 384565 384578 391647 391652) (-252 "bookvol10.4.pamphlet" 383828 383838 384555 384560) (-251 "bookvol10.4.pamphlet" 381253 381261 383818 383823) (-250 "bookvol10.4.pamphlet" 380800 380815 381243 381248) (-249 "bookvol10.4.pamphlet" 370240 370248 380790 380795) (-248 "bookvol10.2.pamphlet" 368450 368460 370196 370235) (-247 "bookvol10.2.pamphlet" 363847 363863 368318 368445) (-246 NIL 359330 359348 363803 363808) (-245 "bookvol10.3.pamphlet" 352705 352721 352827 353128) (-244 "bookvol10.3.pamphlet" 346077 346095 346202 346503) (-243 "bookvol10.3.pamphlet" 343318 343333 343871 343998) (-242 "bookvol10.4.pamphlet" 342658 342668 343308 343313) (-241 "bookvol10.3.pamphlet" 341373 341383 342064 342091) (-240 "bookvol10.2.pamphlet" 339820 339830 341353 341368) (-239 "bookvol10.2.pamphlet" 339261 339269 339764 339815) (-238 NIL 338746 338756 339251 339256) (-237 "bookvol10.3.pamphlet" 338599 338609 338678 338705) (-236 "bookvol10.2.pamphlet" 337364 337374 338567 338594) (-235 "bookvol10.4.pamphlet" 335578 335586 337354 337359) (-234 "bookvol10.3.pamphlet" 334858 334873 335414 335539) (-233 "bookvol10.3.pamphlet" 326448 326464 327073 327204) (-232 "bookvol10.4.pamphlet" 325309 325327 326438 326443) (-231 "bookvol10.2.pamphlet" 324473 324489 325161 325304) (-230 NIL 323378 323396 324068 324073) (-229 "bookvol10.4.pamphlet" 322223 322231 323368 323373) (-228 "bookvol10.2.pamphlet" 321303 321313 322191 322218) (-227 NIL 320369 320381 321259 321264) (-226 "bookvol10.2.pamphlet" 319490 319498 320349 320364) (-225 NIL 318619 318629 319480 319485) (-224 "bookvol10.2.pamphlet" 317770 317780 318599 318614) (-223 NIL 316838 316850 317669 317674) (-222 "bookvol10.2.pamphlet" 316458 316468 316806 316833) (-221 NIL 316098 316110 316448 316453) (-220 "bookvol10.3.pamphlet" 314380 314390 315742 315769) (-219 "bookvol10.3.pamphlet" 313118 313126 313504 313531) (-218 "bookvol10.4.pamphlet" 304312 304320 313108 313113) (-217 "bookvol10.3.pamphlet" 303529 303537 303944 303971) (-216 "bookvol10.3.pamphlet" 299806 299814 303419 303524) (-215 "bookvol10.4.pamphlet" 298041 298057 299796 299801) (-214 "bookvol10.3.pamphlet" 295999 296031 298021 298036) (-213 "bookvol10.3.pamphlet" 290189 290199 295829 295856) (-212 "bookvol10.4.pamphlet" 289804 289818 290179 290184) (-211 "bookvol10.4.pamphlet" 287269 287279 289794 289799) (-210 "bookvol10.4.pamphlet" 285749 285765 287259 287264) (-209 "bookvol10.3.pamphlet" 283630 283638 284216 284309) (-208 "bookvol10.4.pamphlet" 281507 281524 283620 283625) (-207 "bookvol10.4.pamphlet" 281115 281139 281497 281502) (-206 "bookvol10.3.pamphlet" 279768 279778 281105 281110) (-205 "bookvol10.3.pamphlet" 279596 279604 279758 279763) (-204 "bookvol10.3.pamphlet" 279416 279424 279586 279591) (-203 "bookvol10.4.pamphlet" 278361 278369 279406 279411) (-202 "bookvol10.3.pamphlet" 277825 277833 278351 278356) (-201 "bookvol10.3.pamphlet" 277305 277313 277815 277820) (-200 "bookvol10.3.pamphlet" 276797 276805 277295 277300) (-199 "bookvol10.3.pamphlet" 276289 276297 276787 276792) (-198 "bookvol10.4.pamphlet" 271219 271227 276279 276284) (-197 "bookvol10.4.pamphlet" 269542 269550 271209 271214) (-196 "bookvol10.3.pamphlet" 269519 269527 269532 269537) (-195 "bookvol10.3.pamphlet" 269043 269051 269509 269514) (-194 "bookvol10.3.pamphlet" 268567 268575 269033 269038) (-193 "bookvol10.3.pamphlet" 268037 268045 268557 268562) (-192 "bookvol10.3.pamphlet" 267532 267540 268027 268032) (-191 "bookvol10.3.pamphlet" 267014 267022 267522 267527) (-190 "bookvol10.3.pamphlet" 266510 266518 267004 267009) (-189 "bookvol10.3.pamphlet" 266022 266030 266500 266505) (-188 "bookvol10.3.pamphlet" 265564 265572 266012 266017) (-187 "bookvol10.3.pamphlet" 265094 265102 265554 265559) (-186 "bookvol10.3.pamphlet" 264619 264627 265084 265089) (-185 "bookvol10.4.pamphlet" 260726 260734 264609 264614) (-184 "bookvol10.4.pamphlet" 260230 260238 260716 260721) (-183 "bookvol10.4.pamphlet" 257041 257049 260220 260225) (-182 "bookvol10.4.pamphlet" 256426 256436 257031 257036) (-181 "bookvol10.4.pamphlet" 254894 254910 256416 256421) (-180 "bookvol10.4.pamphlet" 253683 253696 254884 254889) (-179 "bookvol10.4.pamphlet" 247698 247711 253673 253678) (-178 "bookvol10.4.pamphlet" 246855 246865 247688 247693) (-177 "bookvol10.4.pamphlet" 246367 246382 246780 246785) (-176 "bookvol10.4.pamphlet" 246072 246091 246357 246362) (-175 "bookvol10.4.pamphlet" 241087 241097 246062 246067) (-174 "bookvol10.3.pamphlet" 237088 237098 240989 241082) (-173 "bookvol10.2.pamphlet" 236767 236775 237026 237083) (-172 "bookvol10.3.pamphlet" 236267 236275 236757 236762) (-171 "bookvol10.4.pamphlet" 236034 236049 236257 236262) (-170 "bookvol10.3.pamphlet" 230052 230062 230301 230562) (-169 "bookvol10.4.pamphlet" 229775 229787 230042 230047) (-168 "bookvol10.4.pamphlet" 229571 229585 229765 229770) (-167 "bookvol10.2.pamphlet" 227677 227687 229293 229566) (-166 NIL 225487 225499 227105 227110) (-165 "bookvol10.4.pamphlet" 225261 225279 225477 225482) (-164 "bookvol10.4.pamphlet" 224800 224808 225251 225256) (-163 "bookvol10.3.pamphlet" 224609 224617 224790 224795) (-162 "bookvol10.2.pamphlet" 223644 223652 224599 224604) (-161 "bookvol10.4.pamphlet" 222136 222146 223634 223639) (-160 "bookvol10.4.pamphlet" 219586 219602 222126 222131) (-159 "bookvol10.3.pamphlet" 218417 218425 219576 219581) (-158 "bookvol10.4.pamphlet" 217751 217768 218407 218412) (-157 "bookvol10.4.pamphlet" 213871 213879 217741 217746) (-156 "bookvol10.3.pamphlet" 212586 212602 213827 213866) (-155 "bookvol10.2.pamphlet" 209477 209487 212566 212581) (-154 NIL 206249 206261 209340 209345) (-153 "bookvol10.4.pamphlet" 205588 205601 206239 206244) (-152 "bookvol10.4.pamphlet" 203558 203580 205578 205583) (-151 "bookvol10.2.pamphlet" 203473 203481 203538 203553) (-150 "bookvol10.4.pamphlet" 202987 202997 203463 203468) (-149 "bookvol10.2.pamphlet" 202740 202748 202967 202982) (-148 "bookvol10.3.pamphlet" 198746 198754 202730 202735) (-147 "bookvol10.2.pamphlet" 197919 197927 198736 198741) (-146 "bookvol10.3.pamphlet" 196226 196234 196857 196884) (-145 "bookvol10.3.pamphlet" 195358 195366 195782 195809) (-144 "bookvol10.4.pamphlet" 194598 194612 195348 195353) (-143 "bookvol10.3.pamphlet" 193009 193017 194067 194106) (-142 "bookvol10.3.pamphlet" 184188 184212 192999 193004) (-141 "bookvol10.4.pamphlet" 183578 183605 184178 184183) (-140 "bookvol10.3.pamphlet" 179916 179924 183552 183573) (-139 "bookvol10.2.pamphlet" 179532 179540 179906 179911) (-138 "bookvol10.2.pamphlet" 179025 179033 179522 179527) (-137 "bookvol10.3.pamphlet" 178117 178127 178855 178882) (-136 "bookvol10.3.pamphlet" 177359 177369 177947 177974) (-135 "bookvol10.2.pamphlet" 176733 176743 177315 177354) (-134 NIL 176139 176151 176723 176728) (-133 "bookvol10.2.pamphlet" 175242 175250 176095 176134) (-132 NIL 174377 174387 175232 175237) (-131 "bookvol10.3.pamphlet" 173035 173045 174207 174234) (-130 "Makefile.pamphlet" 170925 170933 173025 173030) (-129 "bookvol10.4.pamphlet" 169698 169709 170915 170920) (-128 "bookvol10.2.pamphlet" 168658 168668 169678 169693) (-127 NIL 167592 167604 168614 168619) (-126 "bookvol10.3.pamphlet" 165637 165649 165828 165921) (-125 "bookvol10.3.pamphlet" 165365 165377 165563 165632) (-124 "bookvol10.4.pamphlet" 165023 165040 165355 165360) (-123 "bookvol10.3.pamphlet" 160555 160563 165013 165018) (-122 "bookvol10.4.pamphlet" 158041 158051 160511 160516) (-121 "bookvol10.3.pamphlet" 156911 156919 158031 158036) (-120 "bookvol10.2.pamphlet" 156553 156565 156879 156906) (-119 "bookvol10.4.pamphlet" 154831 154867 156543 156548) (-118 "bookvol10.3.pamphlet" 154721 154729 154796 154826) (-117 "bookvol10.2.pamphlet" 154698 154706 154711 154716) (-116 "bookvol10.3.pamphlet" 154590 154598 154665 154693) (-115 "bookvol10.5.pamphlet" 142249 142257 154580 154585) (-114 "bookvol10.3.pamphlet" 141728 141736 141943 141970) (-113 "bookvol10.3.pamphlet" 141085 141093 141718 141723) (-112 "bookvol10.3.pamphlet" 138933 138941 139552 139645) (-111 "bookvol10.2.pamphlet" 138178 138188 138901 138928) (-110 NIL 137443 137455 138168 138173) (-109 "bookvol10.3.pamphlet" 136864 136872 137423 137438) (-108 "bookvol10.4.pamphlet" 136004 136031 136814 136819) (-107 "bookvol10.4.pamphlet" 133867 133877 135994 135999) (-106 "bookvol10.3.pamphlet" 129499 129509 133697 133724) (-105 "bookvol10.2.pamphlet" 129171 129179 129489 129494) (-104 NIL 128841 128851 129161 129166) (-103 "bookvol10.4.pamphlet" 128260 128273 128831 128836) (-102 "bookvol10.4.pamphlet" 128120 128128 128250 128255) (-101 "bookvol10.3.pamphlet" 127564 127574 128100 128115) (-100 "bookvol10.2.pamphlet" 124113 124121 127304 127559) (-99 "bookvol10.3.pamphlet" 120238 120245 124093 124108) (-98 "bookvol10.2.pamphlet" 119708 119715 120228 120233) (-97 NIL 119176 119185 119698 119703) (-96 "bookvol10.3.pamphlet" 114880 114889 119006 119033) (-95 "bookvol10.4.pamphlet" 113670 113681 114836 114841) (-94 "bookvol10.3.pamphlet" 112827 112840 113660 113665) (-93 "bookvol10.3.pamphlet" 111770 111783 112817 112822) (-92 "bookvol10.3.pamphlet" 111102 111115 111760 111765) (-91 "bookvol10.3.pamphlet" 110300 110313 111092 111097) (-90 "bookvol10.3.pamphlet" 109779 109792 110290 110295) (-89 "bookvol10.3.pamphlet" 109152 109165 109769 109774) (-88 "bookvol10.3.pamphlet" 108179 108192 109142 109147) (-87 "bookvol10.3.pamphlet" 107442 107455 108169 108174) (-86 "bookvol10.3.pamphlet" 106122 106135 107432 107437) (-85 "bookvol10.3.pamphlet" 104559 104572 106112 106117) (-84 "bookvol10.3.pamphlet" 102215 102228 104549 104554) (-83 "bookvol10.3.pamphlet" 101504 101517 102205 102210) (-82 "bookvol10.3.pamphlet" 100493 100506 101494 101499) (-81 "bookvol10.3.pamphlet" 98769 98808 100483 100488) (-80 "bookvol10.3.pamphlet" 97271 97310 98759 98764) (-79 "bookvol10.3.pamphlet" 96256 96269 97261 97266) (-78 "bookvol10.3.pamphlet" 95507 95520 96246 96251) (-77 "bookvol10.3.pamphlet" 95093 95106 95497 95502) (-76 "bookvol10.3.pamphlet" 94207 94220 95083 95088) (-75 "bookvol10.3.pamphlet" 92939 92952 94197 94202) (-74 "bookvol10.3.pamphlet" 92423 92436 92929 92934) (-73 "bookvol10.3.pamphlet" 82854 82867 92413 92418) (-72 "bookvol10.3.pamphlet" 81710 81723 82844 82849) (-71 "bookvol10.3.pamphlet" 80793 80806 81700 81705) (-70 "bookvol10.3.pamphlet" 79966 79979 80783 80788) (-69 "bookvol10.3.pamphlet" 79346 79359 79956 79961) (-68 "bookvol10.3.pamphlet" 73425 73438 79336 79341) (-67 "bookvol10.3.pamphlet" 72843 72856 73415 73420) (-66 "bookvol10.3.pamphlet" 72124 72137 72833 72838) (-65 "bookvol10.3.pamphlet" 71730 71739 71954 71981) (-64 "bookvol10.3.pamphlet" 70646 70655 71136 71163) (-63 "bookvol10.4.pamphlet" 68683 68694 70636 70641) (-62 "bookvol10.2.pamphlet" 61959 61980 68639 68678) (-61 NIL 55267 55290 61949 61954) (-60 "bookvol10.4.pamphlet" 54583 54605 55257 55262) (-59 "bookvol10.4.pamphlet" 54186 54199 54573 54578) (-58 "bookvol10.4.pamphlet" 53340 53347 54176 54181) (-57 "bookvol10.3.pamphlet" 51688 51695 53330 53335) (-56 "bookvol10.4.pamphlet" 50765 50774 51678 51683) (-55 "bookvol10.3.pamphlet" 49222 49238 50745 50760) (-54 "bookvol10.3.pamphlet" 49135 49142 49212 49217) (-53 "bookvol10.3.pamphlet" 47446 47453 48951 49044) (-52 "bookvol10.2.pamphlet" 45657 45668 47344 47441) (-51 NIL 43705 43718 45394 45399) (-50 "bookvol10.3.pamphlet" 41751 41772 42099 42126) (-49 "bookvol10.3.pamphlet" 40858 40884 41623 41676) (-48 "bookvol10.4.pamphlet" 36823 36834 40814 40819) (-47 "bookvol10.4.pamphlet" 36032 36046 36813 36818) (-46 "bookvol10.4.pamphlet" 33506 33521 35829 35834) (-45 "bookvol10.3.pamphlet" 31838 31865 32038 32194) (-44 "bookvol10.4.pamphlet" 30963 30973 31828 31833) (-43 "bookvol10.2.pamphlet" 30463 30472 30919 30958) (-42 NIL 29995 30006 30453 30458) (-41 "bookvol10.2.pamphlet" 29497 29518 29951 29990) (-40 "bookvol10.2.pamphlet" 28878 28885 29487 29492) (-39 "bookvol10.2.pamphlet" 27241 27248 28858 28873) (-38 NIL 25578 25587 27197 27202) (-37 "bookvol10.2.pamphlet" 23466 23475 25568 25573) (-36 "bookvol10.4.pamphlet" 21865 21880 23401 23406) (-35 "bookvol10.3.pamphlet" 21708 21723 21855 21860) (-34 "bookvol10.3.pamphlet" 21557 21566 21698 21703) (-33 "bookvol10.3.pamphlet" 21406 21415 21547 21552) (-32 "bookvol10.4.pamphlet" 21289 21327 21396 21401) (-31 "bookvol10.4.pamphlet" 20872 20910 21279 21284) (-30 "bookvol10.3.pamphlet" 19160 19167 20862 20867) (-29 "bookvol10.2.pamphlet" 17039 17048 19050 19155) (-28 NIL 15016 15027 17029 17034) (-27 "bookvol10.2.pamphlet" 10086 10093 14918 15011) (-26 NIL 5242 5251 10076 10081) (-25 "bookvol10.2.pamphlet" 4600 4607 5232 5237) (-24 NIL 3956 3965 4590 4595) (-23 "bookvol10.2.pamphlet" 3325 3332 3946 3951) (-22 NIL 2692 2701 3315 3320) (-21 "bookvol10.2.pamphlet" 2198 2205 2682 2687) (-20 NIL 1702 1711 2188 2193) (-19 "bookvol10.2.pamphlet" 850 859 1658 1697) (-18 NIL 30 41 840 845)) 
\ No newline at end of file
+((-1289 NIL 2388706 2388711 2388716 2388721) (-3 NIL 2388686 2388691 2388696 2388701) (-2 NIL 2388666 2388671 2388676 2388681) (-1 NIL 2388646 2388651 2388656 2388661) (0 NIL 2388626 2388631 2388636 2388641) (-1284 "bookvol10.3.pamphlet" 2388443 2388456 2388564 2388621) (-1283 "bookvol10.4.pamphlet" 2387563 2387574 2388433 2388438) (-1282 "bookvol10.4.pamphlet" 2378179 2378201 2387553 2387558) (-1281 "bookvol10.4.pamphlet" 2377676 2377687 2378169 2378174) (-1280 "bookvol10.3.pamphlet" 2376911 2376931 2377532 2377601) (-1279 "bookvol10.3.pamphlet" 2374644 2374657 2376629 2376728) (-1278 "bookvol10.3.pamphlet" 2374216 2374227 2374500 2374569) (-1277 "bookvol10.2.pamphlet" 2373534 2373550 2374142 2374211) (-1276 "bookvol10.3.pamphlet" 2372199 2372219 2373314 2373383) (-1275 "bookvol10.2.pamphlet" 2370663 2370678 2372101 2372194) (-1274 NIL 2369107 2369124 2370547 2370552) (-1273 "bookvol10.2.pamphlet" 2366142 2366158 2369033 2369102) (-1272 "bookvol10.4.pamphlet" 2365541 2365567 2366132 2366137) (-1271 "bookvol10.3.pamphlet" 2365172 2365188 2365397 2365466) (-1270 "bookvol10.2.pamphlet" 2364871 2364882 2365128 2365167) (-1269 "bookvol10.3.pamphlet" 2361539 2361556 2364573 2364600) (-1268 "bookvol10.3.pamphlet" 2360569 2360613 2361397 2361464) (-1267 "bookvol10.4.pamphlet" 2358144 2358166 2360559 2360564) (-1266 "bookvol10.4.pamphlet" 2356408 2356419 2358134 2358139) (-1265 "bookvol10.2.pamphlet" 2356081 2356092 2356376 2356403) (-1264 NIL 2355774 2355787 2356071 2356076) (-1263 "bookvol10.3.pamphlet" 2355368 2355377 2355764 2355769) (-1262 "bookvol10.4.pamphlet" 2353084 2353093 2355358 2355363) (-1261 "bookvol10.4.pamphlet" 2348344 2348353 2353074 2353079) (-1260 "bookvol10.3.pamphlet" 2332560 2332569 2348334 2348339) (-1259 "bookvol10.3.pamphlet" 2320751 2320760 2332550 2332555) (-1258 "bookvol10.3.pamphlet" 2319648 2319659 2319899 2319926) (-1257 "bookvol10.4.pamphlet" 2318322 2318335 2319638 2319643) (-1256 "bookvol10.2.pamphlet" 2316322 2316333 2318278 2318317) (-1255 NIL 2314141 2314154 2316099 2316104) (-1254 "bookvol10.3.pamphlet" 2313921 2313936 2314131 2314136) (-1253 "bookvol10.3.pamphlet" 2309097 2309119 2312388 2312485) (-1252 "bookvol10.4.pamphlet" 2309000 2309028 2309087 2309092) (-1251 "bookvol10.4.pamphlet" 2308294 2308318 2308956 2308961) (-1250 "bookvol10.4.pamphlet" 2306484 2306504 2308284 2308289) (-1249 "bookvol10.3.pamphlet" 2301283 2301311 2304951 2305048) (-1248 "bookvol10.2.pamphlet" 2298600 2298616 2301181 2301278) (-1247 NIL 2295561 2295579 2298144 2298149) (-1246 "bookvol10.4.pamphlet" 2295186 2295221 2295551 2295556) (-1245 "bookvol10.2.pamphlet" 2290470 2290481 2295166 2295181) (-1244 NIL 2285728 2285741 2290426 2290431) (-1243 "bookvol10.3.pamphlet" 2283395 2283421 2284809 2284942) (-1242 "bookvol10.3.pamphlet" 2280946 2280974 2281527 2281676) (-1241 "bookvol10.3.pamphlet" 2278707 2278727 2279078 2279227) (-1240 "bookvol10.2.pamphlet" 2277177 2277197 2278553 2278702) (-1239 NIL 2275789 2275811 2277167 2277172) (-1238 "bookvol10.2.pamphlet" 2274380 2274396 2275635 2275784) (-1237 "bookvol10.4.pamphlet" 2273923 2273976 2274370 2274375) (-1236 "bookvol10.4.pamphlet" 2272351 2272365 2273913 2273918) (-1235 "bookvol10.2.pamphlet" 2269921 2269945 2272249 2272346) (-1234 NIL 2267197 2267223 2269527 2269532) (-1233 "bookvol10.2.pamphlet" 2262049 2262060 2267039 2267192) (-1232 NIL 2256793 2256806 2261785 2261790) (-1231 "bookvol10.4.pamphlet" 2256258 2256277 2256783 2256788) (-1230 "bookvol10.3.pamphlet" 2253217 2253232 2253808 2253961) (-1229 "bookvol10.4.pamphlet" 2252151 2252164 2253207 2253212) (-1228 "bookvol10.4.pamphlet" 2251716 2251730 2252141 2252146) (-1227 "bookvol10.4.pamphlet" 2249957 2249971 2251706 2251711) (-1226 "bookvol10.4.pamphlet" 2249158 2249174 2249947 2249952) (-1225 "bookvol10.4.pamphlet" 2248560 2248581 2249148 2249153) (-1224 "bookvol10.3.pamphlet" 2247913 2247924 2248479 2248484) (-1223 "bookvol10.4.pamphlet" 2247420 2247433 2247869 2247874) (-1222 "bookvol10.4.pamphlet" 2246543 2246555 2247410 2247415) (-1221 "bookvol10.3.pamphlet" 2237215 2237243 2238188 2238617) (-1220 "bookvol10.3.pamphlet" 2231256 2231276 2231624 2231773) (-1219 "bookvol10.2.pamphlet" 2228849 2228869 2231076 2231251) (-1218 NIL 2226576 2226598 2228805 2228810) (-1217 "bookvol10.2.pamphlet" 2224786 2224802 2226422 2226571) (-1216 "bookvol10.4.pamphlet" 2224330 2224383 2224776 2224781) (-1215 "bookvol10.3.pamphlet" 2222723 2222739 2222797 2222894) (-1214 "bookvol10.4.pamphlet" 2222638 2222654 2222713 2222718) (-1213 "bookvol10.2.pamphlet" 2221707 2221716 2222564 2222633) (-1212 NIL 2220838 2220849 2221697 2221702) (-1211 "bookvol10.4.pamphlet" 2219649 2219658 2220828 2220833) (-1210 "bookvol10.4.pamphlet" 2217175 2217186 2219605 2219610) (-1209 "bookvol10.3.pamphlet" 2216406 2216415 2216609 2216636) (-1208 "bookvol10.3.pamphlet" 2215651 2215660 2216038 2216065) (-1207 "bookvol10.3.pamphlet" 2214881 2214890 2215085 2215112) (-1206 "bookvol10.3.pamphlet" 2214124 2214133 2214513 2214540) (-1205 "bookvol10.3.pamphlet" 2213354 2213363 2213558 2213585) (-1204 "bookvol10.3.pamphlet" 2212597 2212606 2212986 2213013) (-1203 "bookvol10.2.pamphlet" 2212519 2212528 2212577 2212592) (-1202 "bookvol10.4.pamphlet" 2211179 2211194 2212509 2212514) (-1201 "bookvol10.3.pamphlet" 2210188 2210199 2211134 2211139) (-1200 "bookvol10.4.pamphlet" 2207082 2207091 2210178 2210183) (-1199 "bookvol10.3.pamphlet" 2205772 2205789 2207072 2207077) (-1198 "bookvol10.3.pamphlet" 2204363 2204379 2205337 2205434) (-1197 "bookvol10.2.pamphlet" 2193919 2193936 2204319 2204358) (-1196 NIL 2183473 2183492 2193875 2193880) (-1195 "bookvol10.4.pamphlet" 2177929 2177946 2183179 2183184) (-1194 "bookvol10.4.pamphlet" 2176900 2176925 2177919 2177924) (-1193 "bookvol10.4.pamphlet" 2175397 2175414 2176890 2176895) (-1192 "bookvol10.2.pamphlet" 2174909 2174918 2175387 2175392) (-1191 NIL 2174419 2174430 2174899 2174904) (-1190 "bookvol10.3.pamphlet" 2172632 2172643 2174249 2174276) (-1189 "bookvol10.2.pamphlet" 2172479 2172488 2172622 2172627) (-1188 NIL 2172324 2172335 2172469 2172474) (-1187 "bookvol10.4.pamphlet" 2172002 2172011 2172314 2172319) (-1186 "bookvol10.4.pamphlet" 2171665 2171676 2171992 2171997) (-1185 "bookvol10.3.pamphlet" 2170244 2170253 2171655 2171660) (-1184 "bookvol10.3.pamphlet" 2167381 2167390 2170234 2170239) (-1183 "bookvol10.4.pamphlet" 2166937 2166948 2167371 2167376) (-1182 "bookvol10.4.pamphlet" 2166498 2166507 2166927 2166932) (-1181 "bookvol10.4.pamphlet" 2164689 2164712 2166488 2166493) (-1180 "bookvol10.2.pamphlet" 2163711 2163734 2164657 2164684) (-1179 NIL 2162753 2162778 2163701 2163706) (-1178 "bookvol10.4.pamphlet" 2162129 2162140 2162743 2162748) (-1177 "bookvol10.3.pamphlet" 2161102 2161125 2161372 2161399) (-1176 "bookvol10.3.pamphlet" 2160592 2160603 2161092 2161097) (-1175 "bookvol10.4.pamphlet" 2157510 2157521 2160582 2160587) (-1174 "bookvol10.4.pamphlet" 2154141 2154152 2157500 2157505) (-1173 "bookvol10.3.pamphlet" 2152238 2152247 2154131 2154136) (-1172 "bookvol10.3.pamphlet" 2148303 2148312 2152228 2152233) (-1171 "bookvol10.3.pamphlet" 2147310 2147321 2147392 2147519) (-1170 "bookvol10.4.pamphlet" 2146731 2146742 2147300 2147305) (-1169 "bookvol10.3.pamphlet" 2144193 2144202 2146721 2146726) (-1168 "bookvol10.3.pamphlet" 2140939 2140948 2144183 2144188) (-1167 "bookvol10.3.pamphlet" 2137970 2137998 2139406 2139503) (-1166 "bookvol10.3.pamphlet" 2135104 2135132 2136102 2136251) (-1165 "bookvol10.3.pamphlet" 2131799 2131810 2132654 2132807) (-1164 "bookvol10.4.pamphlet" 2130919 2130937 2131789 2131794) (-1163 "bookvol10.3.pamphlet" 2128363 2128374 2128432 2128585) (-1162 "bookvol10.4.pamphlet" 2127757 2127770 2128353 2128358) (-1161 "bookvol10.4.pamphlet" 2126359 2126370 2127747 2127752) (-1160 "bookvol10.4.pamphlet" 2126037 2126054 2126349 2126354) (-1159 "bookvol10.3.pamphlet" 2116696 2116724 2117682 2118111) (-1158 "bookvol10.3.pamphlet" 2116378 2116393 2116686 2116691) (-1157 "bookvol10.3.pamphlet" 2108733 2108748 2116368 2116373) (-1156 "bookvol10.4.pamphlet" 2107905 2107919 2108689 2108694) (-1155 "bookvol10.4.pamphlet" 2104006 2104022 2107895 2107900) (-1154 "bookvol10.4.pamphlet" 2100476 2100492 2103996 2104001) (-1153 "bookvol10.4.pamphlet" 2093048 2093059 2100357 2100362) (-1152 "bookvol10.3.pamphlet" 2092127 2092144 2092276 2092303) (-1151 "bookvol10.3.pamphlet" 2091510 2091519 2091608 2091635) (-1150 "bookvol10.2.pamphlet" 2091286 2091295 2091466 2091505) (-1149 "bookvol10.3.pamphlet" 2086874 2086885 2091034 2091049) (-1148 "bookvol10.4.pamphlet" 2086215 2086230 2086864 2086869) (-1147 "bookvol10.4.pamphlet" 2084788 2084801 2086205 2086210) (-1146 "bookvol10.4.pamphlet" 2084296 2084307 2084778 2084783) (-1145 "bookvol10.4.pamphlet" 2083981 2083992 2084286 2084291) (-1144 "bookvol10.4.pamphlet" 2082917 2082933 2083971 2083976) (-1143 "bookvol10.2.pamphlet" 2082143 2082152 2082907 2082912) (-1142 "bookvol10.3.pamphlet" 2081233 2081261 2081398 2081413) (-1141 "bookvol10.2.pamphlet" 2080332 2080343 2081213 2081228) (-1140 NIL 2079439 2079452 2080322 2080327) (-1139 "bookvol10.3.pamphlet" 2075476 2075487 2079269 2079296) (-1138 "bookvol10.3.pamphlet" 2073723 2073740 2075178 2075205) (-1137 "bookvol10.4.pamphlet" 2072489 2072509 2073713 2073718) (-1136 "bookvol10.2.pamphlet" 2067826 2067835 2072445 2072484) (-1135 NIL 2063195 2063206 2067816 2067821) (-1134 "bookvol10.3.pamphlet" 2060877 2060895 2061783 2061870) (-1133 "bookvol10.3.pamphlet" 2056384 2056397 2060628 2060655) (-1132 "bookvol10.3.pamphlet" 2053432 2053445 2056374 2056379) (-1131 "bookvol10.2.pamphlet" 2052243 2052252 2053422 2053427) (-1130 "bookvol10.4.pamphlet" 2050812 2050821 2052233 2052238) (-1129 "bookvol10.2.pamphlet" 2035202 2035213 2050802 2050807) (-1128 "bookvol10.3.pamphlet" 2034984 2034995 2035192 2035197) (-1127 "bookvol10.4.pamphlet" 2034533 2034546 2034940 2034945) (-1126 "bookvol10.4.pamphlet" 2032128 2032139 2034523 2034528) (-1125 "bookvol10.4.pamphlet" 2030717 2030728 2032118 2032123) (-1124 "bookvol10.4.pamphlet" 2025205 2025216 2030707 2030712) (-1123 "bookvol10.4.pamphlet" 2023669 2023687 2025195 2025200) (-1122 "bookvol10.2.pamphlet" 2023440 2023457 2023625 2023664) (-1121 "bookvol10.3.pamphlet" 2021594 2021620 2023005 2023102) (-1120 "bookvol10.3.pamphlet" 2019050 2019070 2019423 2019550) (-1119 "bookvol10.4.pamphlet" 2017887 2017912 2019040 2019045) (-1118 "bookvol10.2.pamphlet" 2015995 2016025 2017819 2017882) (-1117 NIL 2014047 2014079 2015873 2015878) (-1116 "bookvol10.2.pamphlet" 2012649 2012660 2014003 2014042) (-1115 "bookvol10.3.pamphlet" 2011012 2011021 2012515 2012644) (-1114 "bookvol10.4.pamphlet" 2010755 2010764 2011002 2011007) (-1113 "bookvol10.4.pamphlet" 2009845 2009856 2010745 2010750) (-1112 "bookvol10.4.pamphlet" 2009104 2009121 2009835 2009840) (-1111 "bookvol10.4.pamphlet" 2007068 2007083 2009060 2009065) (-1110 "bookvol10.3.pamphlet" 1998781 1998808 1999283 1999414) (-1109 "bookvol10.2.pamphlet" 1998093 1998102 1998771 1998776) (-1108 NIL 1997403 1997414 1998083 1998088) (-1107 "bookvol10.4.pamphlet" 1990915 1990924 1997393 1997398) (-1106 "bookvol10.2.pamphlet" 1990478 1990495 1990871 1990910) (-1105 "bookvol10.4.pamphlet" 1990177 1990197 1990468 1990473) (-1104 "bookvol10.4.pamphlet" 1986094 1986114 1990167 1990172) (-1103 "bookvol10.3.pamphlet" 1985555 1985569 1986084 1986089) (-1102 "bookvol10.3.pamphlet" 1985398 1985438 1985545 1985550) (-1101 "bookvol10.3.pamphlet" 1985290 1985299 1985388 1985393) (-1100 "bookvol10.2.pamphlet" 1982541 1982581 1985280 1985285) (-1099 "bookvol10.3.pamphlet" 1980905 1980916 1982018 1982057) (-1098 "bookvol10.3.pamphlet" 1979385 1979402 1980895 1980900) (-1097 "bookvol10.2.pamphlet" 1978875 1978884 1979375 1979380) (-1096 NIL 1978363 1978374 1978865 1978870) (-1095 "bookvol10.2.pamphlet" 1978254 1978263 1978353 1978358) (-1094 "bookvol10.2.pamphlet" 1975144 1975155 1978222 1978249) (-1093 NIL 1972054 1972067 1975134 1975139) (-1092 "bookvol10.2.pamphlet" 1971116 1971129 1972034 1972049) (-1091 "bookvol10.3.pamphlet" 1970929 1970940 1971035 1971040) (-1090 "bookvol10.2.pamphlet" 1969717 1969728 1970909 1970924) (-1089 "bookvol10.3.pamphlet" 1968803 1968814 1969672 1969677) (-1088 "bookvol10.4.pamphlet" 1968509 1968522 1968793 1968798) (-1087 "bookvol10.4.pamphlet" 1967928 1967941 1968465 1968470) (-1086 "bookvol10.3.pamphlet" 1967226 1967237 1967918 1967923) (-1085 "bookvol10.3.pamphlet" 1964630 1964641 1964907 1965034) (-1084 "bookvol10.3.pamphlet" 1961101 1961112 1964598 1964625) (-1083 "bookvol10.4.pamphlet" 1959204 1959215 1961091 1961096) (-1082 "bookvol10.4.pamphlet" 1958053 1958064 1959194 1959199) (-1081 "bookvol10.3.pamphlet" 1957925 1957934 1958043 1958048) (-1080 "bookvol10.4.pamphlet" 1957638 1957658 1957915 1957920) (-1079 "bookvol10.3.pamphlet" 1955767 1955783 1956424 1956559) (-1078 "bookvol10.4.pamphlet" 1955468 1955488 1955757 1955762) (-1077 "bookvol10.4.pamphlet" 1953204 1953220 1955458 1955463) (-1076 "bookvol10.3.pamphlet" 1952636 1952660 1953194 1953199) (-1075 "bookvol10.3.pamphlet" 1950818 1950842 1952626 1952631) (-1074 "bookvol10.3.pamphlet" 1950670 1950683 1950808 1950813) (-1073 "bookvol10.4.pamphlet" 1948040 1948060 1950660 1950665) (-1072 "bookvol10.2.pamphlet" 1938878 1938895 1947996 1948035) (-1071 NIL 1929748 1929767 1938868 1938873) (-1070 "bookvol10.4.pamphlet" 1928501 1928521 1929738 1929743) (-1069 "bookvol10.2.pamphlet" 1926907 1926937 1928491 1928496) (-1068 NIL 1925311 1925343 1926897 1926902) (-1067 "bookvol10.2.pamphlet" 1908553 1908568 1925179 1925306) (-1066 NIL 1891509 1891526 1908137 1908142) (-1065 "bookvol10.3.pamphlet" 1887994 1888003 1890738 1890765) (-1064 "bookvol10.3.pamphlet" 1887241 1887250 1887860 1887989) (-1063 "bookvol10.3.pamphlet" 1886375 1886407 1887231 1887236) (-1062 "bookvol10.2.pamphlet" 1885198 1885207 1886277 1886370) (-1061 NIL 1884107 1884118 1885188 1885193) (-1060 "bookvol10.2.pamphlet" 1883627 1883636 1884097 1884102) (-1059 "bookvol10.2.pamphlet" 1883142 1883153 1883617 1883622) (-1058 "bookvol10.4.pamphlet" 1882570 1882627 1883132 1883137) (-1057 "bookvol10.3.pamphlet" 1881305 1881324 1881793 1881832) (-1056 "bookvol10.2.pamphlet" 1876941 1876972 1881249 1881300) (-1055 NIL 1872479 1872512 1876789 1876794) (-1054 "bookvol10.4.pamphlet" 1872367 1872387 1872469 1872474) (-1053 "bookvol10.2.pamphlet" 1871726 1871735 1872347 1872362) (-1052 NIL 1871093 1871104 1871716 1871721) (-1051 "bookvol10.4.pamphlet" 1870121 1870130 1871083 1871088) (-1050 "bookvol10.3.pamphlet" 1868800 1868816 1869681 1869708) (-1049 "bookvol10.4.pamphlet" 1866850 1866861 1868790 1868795) (-1048 "bookvol10.4.pamphlet" 1864506 1864517 1866840 1866845) (-1047 "bookvol10.4.pamphlet" 1863968 1863979 1864496 1864501) (-1046 "bookvol10.4.pamphlet" 1863703 1863715 1863958 1863963) (-1045 "bookvol10.4.pamphlet" 1862699 1862708 1863693 1863698) (-1044 "bookvol10.4.pamphlet" 1862118 1862131 1862689 1862694) (-1043 "bookvol10.2.pamphlet" 1861460 1861471 1862108 1862113) (-1042 NIL 1860800 1860813 1861450 1861455) (-1041 "bookvol10.3.pamphlet" 1859444 1859453 1860029 1860056) (-1040 "bookvol10.3.pamphlet" 1858791 1858838 1859382 1859439) (-1039 "bookvol10.4.pamphlet" 1858117 1858128 1858781 1858786) (-1038 "bookvol10.4.pamphlet" 1857848 1857859 1858107 1858112) (-1037 "bookvol10.4.pamphlet" 1855404 1855413 1857838 1857843) (-1036 "bookvol10.4.pamphlet" 1855103 1855114 1855394 1855399) (-1035 "bookvol10.4.pamphlet" 1845123 1845134 1854945 1854950) (-1034 "bookvol10.4.pamphlet" 1839511 1839522 1845073 1845078) (-1033 "bookvol10.3.pamphlet" 1837806 1837823 1839213 1839240) (-1032 "bookvol10.3.pamphlet" 1837156 1837167 1837761 1837766) (-1031 "bookvol10.4.pamphlet" 1836286 1836303 1837146 1837151) (-1030 "bookvol10.4.pamphlet" 1834693 1834710 1836241 1836246) (-1029 "bookvol10.3.pamphlet" 1833526 1833546 1834180 1834273) (-1028 "bookvol10.4.pamphlet" 1832099 1832108 1833516 1833521) (-1027 "bookvol10.2.pamphlet" 1831983 1831992 1832089 1832094) (-1026 "bookvol10.4.pamphlet" 1829334 1829349 1831973 1831978) (-1025 "bookvol10.4.pamphlet" 1826243 1826258 1829324 1829329) (-1024 "bookvol10.4.pamphlet" 1825992 1826017 1826233 1826238) (-1023 "bookvol10.4.pamphlet" 1825559 1825570 1825982 1825987) (-1022 "bookvol10.4.pamphlet" 1824413 1824431 1825549 1825554) (-1021 "bookvol10.4.pamphlet" 1822378 1822396 1824403 1824408) (-1020 "bookvol10.4.pamphlet" 1821619 1821636 1822368 1822373) (-1019 "bookvol10.4.pamphlet" 1820675 1820692 1821609 1821614) (-1018 "bookvol10.2.pamphlet" 1818004 1818013 1820577 1820670) (-1017 NIL 1815419 1815430 1817994 1817999) (-1016 "bookvol10.2.pamphlet" 1813392 1813403 1815399 1815414) (-1015 NIL 1811302 1811315 1813311 1813316) (-1014 "bookvol10.4.pamphlet" 1810723 1810734 1811292 1811297) (-1013 "bookvol10.4.pamphlet" 1809907 1809919 1810713 1810718) (-1012 "bookvol10.4.pamphlet" 1809264 1809273 1809897 1809902) (-1011 "bookvol10.4.pamphlet" 1809020 1809029 1809254 1809259) (-1010 "bookvol10.3.pamphlet" 1805835 1805849 1807487 1807580) (-1009 "bookvol10.3.pamphlet" 1804264 1804301 1804367 1804523) (-1008 "bookvol10.2.pamphlet" 1803895 1803904 1804254 1804259) (-1007 NIL 1803524 1803535 1803885 1803890) (-1006 "bookvol10.3.pamphlet" 1799341 1799352 1803354 1803381) (-1005 "bookvol10.3.pamphlet" 1797971 1797982 1798265 1798330) (-1004 "bookvol10.4.pamphlet" 1797375 1797394 1797961 1797966) (-1003 "bookvol10.2.pamphlet" 1795581 1795592 1797305 1797370) (-1002 NIL 1793538 1793551 1795264 1795269) (-1001 "bookvol10.2.pamphlet" 1792351 1792362 1793494 1793533) (-1000 "bookvol10.3.pamphlet" 1791819 1791834 1792341 1792346) (-999 "bookvol10.2.pamphlet" 1790514 1790524 1791709 1791814) (-998 NIL 1788812 1788824 1790009 1790014) (-997 "bookvol10.4.pamphlet" 1788513 1788529 1788802 1788807) (-996 "bookvol10.3.pamphlet" 1788088 1788096 1788503 1788508) (-995 "bookvol10.4.pamphlet" 1784072 1784091 1788078 1788083) (-994 "bookvol10.3.pamphlet" 1780245 1780277 1783986 1783991) (-993 "bookvol10.4.pamphlet" 1778257 1778275 1780235 1780240) (-992 "bookvol10.4.pamphlet" 1775585 1775606 1778247 1778252) (-991 "bookvol10.4.pamphlet" 1774922 1774941 1775575 1775580) (-990 "bookvol10.2.pamphlet" 1771201 1771211 1774912 1774917) (-989 "bookvol10.4.pamphlet" 1768327 1768337 1771191 1771196) (-988 "bookvol10.4.pamphlet" 1768146 1768160 1768317 1768322) (-987 "bookvol10.2.pamphlet" 1767238 1767248 1768102 1768141) (-986 "bookvol10.4.pamphlet" 1766549 1766573 1767228 1767233) (-985 "bookvol10.4.pamphlet" 1765419 1765429 1766539 1766544) (-984 "bookvol10.4.pamphlet" 1752928 1752944 1765297 1765302) (-983 "bookvol10.2.pamphlet" 1747783 1747806 1752896 1752923) (-982 NIL 1742624 1742649 1747739 1747744) (-981 "bookvol10.2.pamphlet" 1741649 1741657 1742614 1742619) (-980 "bookvol10.2.pamphlet" 1740412 1740441 1741547 1741644) (-979 NIL 1739265 1739296 1740402 1740407) (-978 "bookvol10.3.pamphlet" 1738068 1738076 1739255 1739260) (-977 "bookvol10.2.pamphlet" 1735563 1735573 1738058 1738063) (-976 "bookvol10.4.pamphlet" 1727232 1727249 1735519 1735524) (-975 "bookvol10.2.pamphlet" 1726655 1726665 1727188 1727227) (-974 "bookvol10.3.pamphlet" 1726539 1726555 1726645 1726650) (-973 "bookvol10.3.pamphlet" 1726429 1726439 1726529 1726534) (-972 "bookvol10.3.pamphlet" 1726319 1726329 1726419 1726424) (-971 "bookvol10.3.pamphlet" 1723758 1723770 1724285 1724340) (-970 "bookvol10.3.pamphlet" 1722156 1722168 1722849 1722976) (-969 "bookvol10.4.pamphlet" 1721410 1721449 1722146 1722151) (-968 "bookvol10.4.pamphlet" 1721162 1721170 1721400 1721405) (-967 "bookvol10.4.pamphlet" 1719395 1719405 1721152 1721157) (-966 "bookvol10.4.pamphlet" 1717482 1717496 1719385 1719390) (-965 "bookvol10.2.pamphlet" 1717093 1717101 1717472 1717477) (-964 "bookvol10.3.pamphlet" 1716346 1716356 1716499 1716526) (-963 "bookvol10.4.pamphlet" 1714452 1714464 1716336 1716341) (-962 "bookvol10.4.pamphlet" 1713818 1713830 1714442 1714447) (-961 "bookvol10.2.pamphlet" 1713183 1713191 1713808 1713813) (-960 "bookvol10.4.pamphlet" 1707992 1708000 1713173 1713178) (-959 "bookvol10.4.pamphlet" 1706736 1706758 1707948 1707953) (-958 "bookvol10.3.pamphlet" 1704054 1704064 1704550 1704677) (-957 "bookvol10.4.pamphlet" 1703343 1703366 1704044 1704049) (-956 "bookvol10.4.pamphlet" 1701353 1701375 1703333 1703338) (-955 "bookvol10.2.pamphlet" 1694783 1694804 1701221 1701348) (-954 NIL 1687515 1687538 1693955 1693960) (-953 "bookvol10.4.pamphlet" 1686961 1686975 1687505 1687510) (-952 "bookvol10.4.pamphlet" 1686567 1686579 1686951 1686956) (-951 "bookvol10.4.pamphlet" 1685608 1685637 1686523 1686528) (-950 "bookvol10.4.pamphlet" 1684356 1684371 1685598 1685603) (-949 "bookvol10.3.pamphlet" 1683417 1683427 1683504 1683531) (-948 "bookvol10.4.pamphlet" 1680089 1680097 1683407 1683412) (-947 "bookvol10.4.pamphlet" 1678910 1678924 1680079 1680084) (-946 "bookvol10.4.pamphlet" 1678467 1678477 1678900 1678905) (-945 "bookvol10.4.pamphlet" 1678066 1678080 1678457 1678462) (-944 "bookvol10.4.pamphlet" 1677586 1677600 1678056 1678061) (-943 "bookvol10.4.pamphlet" 1677081 1677103 1677576 1677581) (-942 "bookvol10.4.pamphlet" 1676161 1676179 1677013 1677018) (-941 "bookvol10.4.pamphlet" 1675746 1675760 1676151 1676156) (-940 "bookvol10.4.pamphlet" 1675325 1675337 1675736 1675741) (-939 "bookvol10.4.pamphlet" 1674905 1674915 1675315 1675320) (-938 "bookvol10.4.pamphlet" 1674490 1674508 1674895 1674900) (-937 "bookvol10.4.pamphlet" 1673800 1673814 1674480 1674485) (-936 "bookvol10.4.pamphlet" 1672867 1672875 1673790 1673795) (-935 "bookvol10.4.pamphlet" 1671891 1671907 1672857 1672862) (-934 "bookvol10.4.pamphlet" 1670789 1670827 1671881 1671886) (-933 "bookvol10.4.pamphlet" 1670569 1670577 1670779 1670784) (-932 "bookvol10.3.pamphlet" 1665421 1665429 1670559 1670564) (-931 "bookvol10.3.pamphlet" 1662035 1662043 1665411 1665416) (-930 "bookvol10.4.pamphlet" 1661186 1661196 1662025 1662030) (-929 "bookvol10.4.pamphlet" 1647299 1647326 1661176 1661181) (-928 "bookvol10.3.pamphlet" 1647206 1647220 1647289 1647294) (-927 "bookvol10.3.pamphlet" 1647117 1647127 1647196 1647201) (-926 "bookvol10.3.pamphlet" 1647028 1647038 1647107 1647112) (-925 "bookvol10.2.pamphlet" 1646070 1646084 1647018 1647023) (-924 "bookvol10.4.pamphlet" 1645692 1645711 1646060 1646065) (-923 "bookvol10.4.pamphlet" 1645476 1645492 1645682 1645687) (-922 "bookvol10.3.pamphlet" 1645100 1645108 1645450 1645471) (-921 "bookvol10.2.pamphlet" 1644080 1644088 1645026 1645095) (-920 "bookvol10.4.pamphlet" 1643825 1643835 1644070 1644075) (-919 "bookvol10.4.pamphlet" 1642443 1642457 1643815 1643820) (-918 "bookvol10.4.pamphlet" 1634401 1634409 1642433 1642438) (-917 "bookvol10.4.pamphlet" 1632975 1632992 1634391 1634396) (-916 "bookvol10.4.pamphlet" 1632026 1632036 1632965 1632970) (-915 "bookvol10.3.pamphlet" 1627596 1627606 1631928 1632021) (-914 "bookvol10.4.pamphlet" 1626943 1626959 1627586 1627591) (-913 "bookvol10.4.pamphlet" 1625084 1625113 1626933 1626938) (-912 "bookvol10.4.pamphlet" 1624454 1624472 1625074 1625079) (-911 "bookvol10.4.pamphlet" 1623875 1623902 1624444 1624449) (-910 "bookvol10.3.pamphlet" 1623550 1623562 1623680 1623773) (-909 "bookvol10.2.pamphlet" 1621258 1621266 1623476 1623545) (-908 NIL 1618994 1619004 1621214 1621219) (-907 "bookvol10.4.pamphlet" 1616901 1616913 1618984 1618989) (-906 "bookvol10.4.pamphlet" 1614561 1614584 1616891 1616896) (-905 "bookvol10.3.pamphlet" 1609883 1609893 1614391 1614406) (-904 "bookvol10.3.pamphlet" 1604648 1604658 1609873 1609878) (-903 "bookvol10.2.pamphlet" 1603311 1603321 1604628 1604643) (-902 "bookvol10.4.pamphlet" 1602070 1602084 1603301 1603306) (-901 "bookvol10.3.pamphlet" 1601342 1601352 1601922 1601927) (-900 "bookvol10.2.pamphlet" 1599717 1599727 1601322 1601337) (-899 NIL 1598100 1598112 1599707 1599712) (-898 "bookvol10.3.pamphlet" 1596279 1596287 1598090 1598095) (-897 "bookvol10.4.pamphlet" 1590355 1590363 1596269 1596274) (-896 "bookvol10.4.pamphlet" 1589707 1589724 1590345 1590350) (-895 "bookvol10.2.pamphlet" 1587857 1587865 1589697 1589702) (-894 "bookvol10.4.pamphlet" 1587592 1587605 1587847 1587852) (-893 "bookvol10.3.pamphlet" 1586234 1586251 1587582 1587587) (-892 "bookvol10.3.pamphlet" 1580519 1580529 1586224 1586229) (-891 "bookvol10.4.pamphlet" 1580250 1580262 1580509 1580514) (-890 "bookvol10.4.pamphlet" 1578548 1578564 1580240 1580245) (-889 "bookvol10.3.pamphlet" 1576209 1576221 1578538 1578543) (-888 "bookvol10.4.pamphlet" 1575921 1575935 1576199 1576204) (-887 "bookvol10.4.pamphlet" 1574142 1574173 1575629 1575634) (-886 "bookvol10.2.pamphlet" 1573581 1573591 1574132 1574137) (-885 "bookvol10.3.pamphlet" 1572691 1572705 1573571 1573576) (-884 "bookvol10.2.pamphlet" 1572397 1572407 1572681 1572686) (-883 "bookvol10.4.pamphlet" 1569915 1569923 1572387 1572392) (-882 "bookvol10.3.pamphlet" 1569373 1569401 1569905 1569910) (-881 "bookvol10.4.pamphlet" 1569166 1569182 1569363 1569368) (-880 "bookvol10.3.pamphlet" 1568624 1568652 1569156 1569161) (-879 "bookvol10.4.pamphlet" 1568411 1568427 1568614 1568619) (-878 "bookvol10.3.pamphlet" 1567881 1567909 1568401 1568406) (-877 "bookvol10.4.pamphlet" 1567668 1567684 1567871 1567876) (-876 "bookvol10.4.pamphlet" 1566491 1566540 1567658 1567663) (-875 "bookvol10.4.pamphlet" 1565905 1565913 1566481 1566486) (-874 "bookvol10.3.pamphlet" 1564913 1564921 1565895 1565900) (-873 "bookvol10.4.pamphlet" 1559360 1559383 1564869 1564874) (-872 "bookvol10.4.pamphlet" 1553241 1553264 1559309 1559314) (-871 "bookvol10.3.pamphlet" 1550617 1550635 1551746 1551839) (-870 "bookvol10.3.pamphlet" 1548680 1548692 1548853 1548946) (-869 "bookvol10.3.pamphlet" 1548425 1548437 1548606 1548675) (-868 "bookvol10.2.pamphlet" 1546971 1546983 1548351 1548420) (-867 "bookvol10.4.pamphlet" 1545916 1545935 1546961 1546966) (-866 "bookvol10.4.pamphlet" 1544921 1544937 1545906 1545911) (-865 "bookvol10.3.pamphlet" 1543756 1543764 1544592 1544685) (-864 "bookvol10.2.pamphlet" 1542740 1542748 1543658 1543751) (-863 "bookvol10.2.pamphlet" 1541039 1541047 1542642 1542735) (-862 "bookvol10.3.pamphlet" 1539998 1540008 1540835 1540928) (-861 "bookvol10.2.pamphlet" 1538985 1538993 1539900 1539993) (-860 "bookvol10.3.pamphlet" 1537524 1537544 1538375 1538468) (-859 "bookvol10.2.pamphlet" 1536500 1536508 1537426 1537519) (-858 "bookvol10.3.pamphlet" 1535508 1535538 1536358 1536425) (-857 "bookvol10.3.pamphlet" 1535289 1535312 1535498 1535503) (-856 "bookvol10.4.pamphlet" 1534415 1534423 1535279 1535284) (-855 "bookvol10.3.pamphlet" 1523829 1523837 1534405 1534410) (-854 "bookvol10.3.pamphlet" 1523434 1523442 1523819 1523824) (-853 "bookvol10.4.pamphlet" 1521891 1521901 1523351 1523356) (-852 "bookvol10.3.pamphlet" 1521241 1521269 1521571 1521610) (-851 "bookvol10.3.pamphlet" 1520526 1520550 1520921 1520960) (-850 "bookvol10.4.pamphlet" 1518286 1518298 1520446 1520451) (-849 "bookvol10.2.pamphlet" 1512298 1512308 1518242 1518281) (-848 NIL 1506200 1506212 1512146 1512151) (-847 "bookvol10.2.pamphlet" 1505340 1505348 1506190 1506195) (-846 NIL 1504478 1504488 1505330 1505335) (-845 "bookvol10.2.pamphlet" 1503812 1503820 1504458 1504473) (-844 NIL 1503154 1503164 1503802 1503807) (-843 "bookvol10.2.pamphlet" 1502878 1502886 1503144 1503149) (-842 "bookvol10.4.pamphlet" 1502025 1502041 1502868 1502873) (-841 "bookvol10.2.pamphlet" 1501959 1501967 1502015 1502020) (-840 "bookvol10.3.pamphlet" 1500451 1500461 1501506 1501535) (-839 "bookvol10.4.pamphlet" 1499803 1499815 1500441 1500446) (-838 "bookvol10.3.pamphlet" 1497569 1497577 1499793 1499798) (-837 "bookvol10.4.pamphlet" 1490021 1490029 1497559 1497564) (-836 "bookvol10.2.pamphlet" 1487499 1487507 1490011 1490016) (-835 "bookvol10.4.pamphlet" 1487054 1487062 1487489 1487494) (-834 "bookvol10.3.pamphlet" 1486796 1486806 1486876 1486943) (-833 "bookvol10.3.pamphlet" 1485572 1485582 1486343 1486372) (-832 "bookvol10.4.pamphlet" 1485063 1485075 1485562 1485567) (-831 "bookvol10.4.pamphlet" 1484113 1484121 1485053 1485058) (-830 "bookvol10.2.pamphlet" 1483897 1483907 1484057 1484108) (-829 "bookvol10.4.pamphlet" 1482573 1482581 1483887 1483892) (-828 "bookvol10.2.pamphlet" 1481648 1481656 1482563 1482568) (-827 "bookvol10.3.pamphlet" 1481065 1481077 1481534 1481573) (-826 "bookvol10.4.pamphlet" 1480899 1480909 1481055 1481060) (-825 "bookvol10.3.pamphlet" 1480452 1480460 1480889 1480894) (-824 "bookvol10.3.pamphlet" 1479504 1479512 1480442 1480447) (-823 "bookvol10.3.pamphlet" 1478850 1478858 1479494 1479499) (-822 "bookvol10.3.pamphlet" 1473593 1473601 1478840 1478845) (-821 "bookvol10.3.pamphlet" 1473010 1473018 1473583 1473588) (-820 "bookvol10.2.pamphlet" 1472787 1472795 1472936 1473005) (-819 "bookvol10.3.pamphlet" 1466414 1466424 1472777 1472782) (-818 "bookvol10.3.pamphlet" 1465697 1465707 1466404 1466409) (-817 "bookvol10.3.pamphlet" 1465145 1465171 1465509 1465658) (-816 "bookvol10.3.pamphlet" 1462505 1462515 1462831 1462958) (-815 "bookvol10.3.pamphlet" 1454362 1454382 1454720 1454851) (-814 "bookvol10.4.pamphlet" 1452887 1452906 1454352 1454357) (-813 "bookvol10.4.pamphlet" 1450347 1450364 1452877 1452882) (-812 "bookvol10.4.pamphlet" 1446276 1446293 1450304 1450309) (-811 "bookvol10.4.pamphlet" 1445637 1445661 1446266 1446271) (-810 "bookvol10.4.pamphlet" 1443081 1443098 1445627 1445632) (-809 "bookvol10.4.pamphlet" 1440096 1440118 1443071 1443076) (-808 "bookvol10.3.pamphlet" 1438752 1438760 1440086 1440091) (-807 "bookvol10.4.pamphlet" 1436010 1436032 1438742 1438747) (-806 "bookvol10.4.pamphlet" 1435376 1435400 1436000 1436005) (-805 "bookvol10.4.pamphlet" 1423120 1423128 1435366 1435371) (-804 "bookvol10.4.pamphlet" 1422539 1422555 1423110 1423115) (-803 "bookvol10.3.pamphlet" 1419942 1419950 1422529 1422534) (-802 "bookvol10.4.pamphlet" 1415259 1415275 1419932 1419937) (-801 "bookvol10.4.pamphlet" 1414768 1414786 1415249 1415254) (-800 "bookvol10.2.pamphlet" 1413159 1413167 1414758 1414763) (-799 "bookvol10.3.pamphlet" 1411327 1411337 1412009 1412048) (-798 "bookvol10.4.pamphlet" 1410973 1410994 1411317 1411322) (-797 "bookvol10.2.pamphlet" 1408921 1408931 1410929 1410968) (-796 NIL 1406594 1406606 1408604 1408609) (-795 "bookvol10.2.pamphlet" 1406444 1406452 1406584 1406589) (-794 "bookvol10.2.pamphlet" 1406210 1406218 1406434 1406439) (-793 "bookvol10.2.pamphlet" 1405564 1405572 1406200 1406205) (-792 "bookvol10.2.pamphlet" 1405427 1405435 1405554 1405559) (-791 "bookvol10.2.pamphlet" 1405291 1405299 1405417 1405422) (-790 "bookvol10.4.pamphlet" 1405018 1405034 1405281 1405286) (-789 "bookvol10.4.pamphlet" 1393747 1393755 1405008 1405013) (-788 "bookvol10.4.pamphlet" 1385314 1385322 1393737 1393742) (-787 "bookvol10.2.pamphlet" 1382669 1382677 1385304 1385309) (-786 "bookvol10.4.pamphlet" 1381511 1381519 1382659 1382664) (-785 "bookvol10.4.pamphlet" 1373669 1373679 1381316 1381321) (-784 "bookvol10.2.pamphlet" 1373076 1373092 1373625 1373664) (-783 "bookvol10.4.pamphlet" 1372627 1372637 1372993 1372998) (-782 "bookvol10.3.pamphlet" 1366528 1366538 1370177 1370330) (-781 "bookvol10.4.pamphlet" 1365924 1365936 1366518 1366523) (-780 "bookvol10.3.pamphlet" 1362135 1362154 1362427 1362554) (-779 "bookvol10.3.pamphlet" 1360659 1360669 1360736 1360829) (-778 "bookvol10.4.pamphlet" 1359049 1359063 1360649 1360654) (-777 "bookvol10.4.pamphlet" 1358941 1358970 1359039 1359044) (-776 "bookvol10.4.pamphlet" 1358189 1358209 1358931 1358936) (-775 "bookvol10.3.pamphlet" 1358077 1358091 1358169 1358184) (-774 "bookvol10.4.pamphlet" 1357671 1357710 1358067 1358072) (-773 "bookvol10.4.pamphlet" 1356519 1356538 1357661 1357666) (-772 "bookvol10.4.pamphlet" 1356201 1356227 1356509 1356514) (-771 "bookvol10.3.pamphlet" 1355942 1355950 1356191 1356196) (-770 "bookvol10.4.pamphlet" 1355618 1355628 1355932 1355937) (-769 "bookvol10.4.pamphlet" 1355075 1355091 1355608 1355613) (-768 "bookvol10.3.pamphlet" 1353965 1353973 1355049 1355070) (-767 "bookvol10.4.pamphlet" 1352591 1352601 1353955 1353960) (-766 "bookvol10.3.pamphlet" 1350279 1350287 1352581 1352586) (-765 "bookvol10.4.pamphlet" 1347747 1347764 1350269 1350274) (-764 "bookvol10.4.pamphlet" 1347066 1347080 1347737 1347742) (-763 "bookvol10.4.pamphlet" 1345206 1345222 1347056 1347061) (-762 "bookvol10.4.pamphlet" 1344863 1344877 1345196 1345201) (-761 "bookvol10.4.pamphlet" 1343041 1343055 1344853 1344858) (-760 "bookvol10.2.pamphlet" 1342639 1342647 1343031 1343036) (-759 NIL 1342235 1342245 1342629 1342634) (-758 "bookvol10.2.pamphlet" 1341613 1341621 1342225 1342230) (-757 NIL 1340989 1340999 1341603 1341608) (-756 "bookvol10.4.pamphlet" 1340066 1340074 1340979 1340984) (-755 "bookvol10.4.pamphlet" 1330508 1330516 1340056 1340061) (-754 "bookvol10.4.pamphlet" 1329008 1329016 1330498 1330503) (-753 "bookvol10.4.pamphlet" 1323472 1323480 1328998 1329003) (-752 "bookvol10.4.pamphlet" 1317628 1317636 1323462 1323467) (-751 "bookvol10.4.pamphlet" 1313438 1313446 1317618 1317623) (-750 "bookvol10.4.pamphlet" 1307232 1307240 1313428 1313433) (-749 "bookvol10.4.pamphlet" 1297989 1297997 1307222 1307227) (-748 "bookvol10.4.pamphlet" 1294080 1294088 1297979 1297984) (-747 "bookvol10.4.pamphlet" 1292119 1292127 1294070 1294075) (-746 "bookvol10.4.pamphlet" 1284925 1284933 1292109 1292114) (-745 "bookvol10.4.pamphlet" 1279469 1279477 1284915 1284920) (-744 "bookvol10.4.pamphlet" 1275401 1275409 1279459 1279464) (-743 "bookvol10.4.pamphlet" 1273947 1273955 1275391 1275396) (-742 "bookvol10.4.pamphlet" 1273277 1273285 1273937 1273942) (-741 "bookvol10.2.pamphlet" 1272829 1272839 1273245 1273272) (-740 NIL 1272401 1272413 1272819 1272824) (-739 "bookvol10.3.pamphlet" 1269628 1269642 1269951 1270104) (-738 "bookvol10.3.pamphlet" 1267747 1267761 1267819 1268039) (-737 "bookvol10.4.pamphlet" 1264715 1264732 1267737 1267742) (-736 "bookvol10.4.pamphlet" 1264113 1264130 1264705 1264710) (-735 "bookvol10.2.pamphlet" 1262143 1262164 1264011 1264108) (-734 "bookvol10.4.pamphlet" 1261802 1261812 1262133 1262138) (-733 "bookvol10.4.pamphlet" 1261260 1261268 1261792 1261797) (-732 "bookvol10.3.pamphlet" 1259323 1259333 1261022 1261061) (-731 "bookvol10.2.pamphlet" 1259156 1259166 1259279 1259318) (-730 "bookvol10.3.pamphlet" 1256191 1256203 1258864 1258931) (-729 "bookvol10.4.pamphlet" 1255753 1255767 1256181 1256186) (-728 "bookvol10.4.pamphlet" 1255314 1255331 1255743 1255748) (-727 "bookvol10.4.pamphlet" 1253387 1253406 1255304 1255309) (-726 "bookvol10.3.pamphlet" 1250839 1250854 1251181 1251308) (-725 "bookvol10.4.pamphlet" 1250118 1250137 1250829 1250834) (-724 "bookvol10.4.pamphlet" 1249928 1249971 1250108 1250113) (-723 "bookvol10.4.pamphlet" 1249676 1249712 1249918 1249923) (-722 "bookvol10.4.pamphlet" 1248047 1248064 1249666 1249671) (-721 "bookvol10.2.pamphlet" 1246949 1246957 1248037 1248042) (-720 NIL 1245849 1245859 1246939 1246944) (-719 "bookvol10.2.pamphlet" 1244577 1244590 1245709 1245844) (-718 NIL 1243327 1243342 1244461 1244466) (-717 "bookvol10.2.pamphlet" 1241480 1241488 1243317 1243322) (-716 NIL 1239631 1239641 1241470 1241475) (-715 "bookvol10.2.pamphlet" 1238822 1238830 1239621 1239626) (-714 NIL 1238011 1238021 1238812 1238817) (-713 "bookvol10.3.pamphlet" 1236668 1236682 1237991 1238006) (-712 "bookvol10.2.pamphlet" 1236381 1236391 1236636 1236663) (-711 NIL 1236114 1236126 1236371 1236376) (-710 "bookvol10.3.pamphlet" 1235433 1235472 1236094 1236109) (-709 "bookvol10.3.pamphlet" 1234053 1234065 1235255 1235322) (-708 "bookvol10.3.pamphlet" 1233566 1233584 1234043 1234048) (-707 "bookvol10.3.pamphlet" 1230226 1230242 1231044 1231197) (-706 "bookvol10.3.pamphlet" 1229593 1229632 1230128 1230221) (-705 "bookvol10.3.pamphlet" 1228398 1228406 1229583 1229588) (-704 "bookvol10.4.pamphlet" 1228132 1228166 1228388 1228393) (-703 "bookvol10.2.pamphlet" 1226550 1226560 1228088 1228127) (-702 "bookvol10.4.pamphlet" 1225166 1225183 1226540 1226545) (-701 "bookvol10.4.pamphlet" 1224606 1224624 1225156 1225161) (-700 "bookvol10.4.pamphlet" 1224198 1224211 1224596 1224601) (-699 "bookvol10.4.pamphlet" 1223483 1223493 1224188 1224193) (-698 "bookvol10.4.pamphlet" 1222333 1222343 1223473 1223478) (-697 "bookvol10.3.pamphlet" 1222111 1222121 1222323 1222328) (-696 "bookvol10.4.pamphlet" 1221550 1221568 1222101 1222106) (-695 "bookvol10.3.pamphlet" 1220989 1220997 1221452 1221545) (-694 "bookvol10.4.pamphlet" 1219628 1219638 1220979 1220984) (-693 "bookvol10.3.pamphlet" 1218076 1218084 1219518 1219623) (-692 "bookvol10.4.pamphlet" 1217476 1217498 1218066 1218071) (-691 "bookvol10.4.pamphlet" 1215388 1215396 1217466 1217471) (-690 "bookvol10.4.pamphlet" 1213641 1213651 1215378 1215383) (-689 "bookvol10.2.pamphlet" 1212922 1212932 1213609 1213636) (-688 "bookvol10.3.pamphlet" 1208895 1208903 1209509 1209710) (-687 "bookvol10.4.pamphlet" 1208097 1208109 1208885 1208890) (-686 "bookvol10.4.pamphlet" 1205357 1205383 1208087 1208092) (-685 "bookvol10.4.pamphlet" 1202637 1202647 1205347 1205352) (-684 "bookvol10.3.pamphlet" 1201530 1201540 1202012 1202039) (-683 "bookvol10.4.pamphlet" 1198938 1198962 1201414 1201419) (-682 "bookvol10.2.pamphlet" 1185066 1185088 1198894 1198933) (-681 NIL 1171042 1171066 1184872 1184877) (-680 "bookvol10.4.pamphlet" 1170324 1170372 1171032 1171037) (-679 "bookvol10.4.pamphlet" 1169118 1169130 1170314 1170319) (-678 "bookvol10.4.pamphlet" 1167993 1168007 1169108 1169113) (-677 "bookvol10.4.pamphlet" 1167299 1167311 1167983 1167988) (-676 "bookvol10.4.pamphlet" 1166121 1166131 1167289 1167294) (-675 "bookvol10.4.pamphlet" 1165933 1165947 1166111 1166116) (-674 "bookvol10.4.pamphlet" 1165702 1165714 1165923 1165928) (-673 "bookvol10.4.pamphlet" 1165338 1165348 1165692 1165697) (-672 "bookvol10.4.pamphlet" 1161010 1161034 1165328 1165333) (-671 "bookvol10.3.pamphlet" 1159294 1159311 1161000 1161005) (-670 "bookvol10.2.pamphlet" 1157150 1157165 1159284 1159289) (-669 "bookvol10.3.pamphlet" 1155135 1155145 1156751 1156756) (-668 "bookvol10.2.pamphlet" 1150883 1150893 1155115 1155130) (-667 NIL 1146639 1146651 1150873 1150878) (-666 "bookvol10.3.pamphlet" 1143877 1143894 1146629 1146634) (-665 "bookvol10.3.pamphlet" 1142175 1142189 1142557 1142608) (-664 "bookvol10.4.pamphlet" 1141718 1141735 1142165 1142170) (-663 "bookvol10.4.pamphlet" 1140520 1140548 1141708 1141713) (-662 "bookvol10.4.pamphlet" 1138282 1138296 1140510 1140515) (-661 "bookvol10.2.pamphlet" 1137939 1137949 1138238 1138277) (-660 NIL 1137628 1137640 1137929 1137934) (-659 "bookvol10.3.pamphlet" 1136776 1136795 1137484 1137553) (-658 "bookvol10.4.pamphlet" 1136037 1136047 1136766 1136771) (-657 "bookvol10.4.pamphlet" 1134513 1134562 1136027 1136032) (-656 "bookvol10.4.pamphlet" 1133186 1133196 1134503 1134508) (-655 "bookvol10.3.pamphlet" 1132583 1132597 1133120 1133147) (-654 "bookvol10.2.pamphlet" 1132215 1132223 1132573 1132578) (-653 NIL 1131845 1131855 1132205 1132210) (-652 "bookvol10.4.pamphlet" 1130775 1130787 1131835 1131840) (-651 "bookvol10.3.pamphlet" 1130146 1130162 1130455 1130494) (-650 "bookvol10.4.pamphlet" 1129194 1129211 1130103 1130108) (-649 "bookvol10.2.pamphlet" 1127843 1127853 1129150 1129189) (-648 NIL 1126490 1126502 1127799 1127804) (-647 "bookvol10.3.pamphlet" 1125750 1125762 1126170 1126209) (-646 "bookvol10.3.pamphlet" 1125137 1125147 1125430 1125469) (-645 "bookvol10.4.pamphlet" 1123863 1123881 1125127 1125132) (-644 "bookvol10.2.pamphlet" 1122286 1122296 1123765 1123858) (-643 "bookvol10.2.pamphlet" 1118762 1118772 1122266 1122281) (-642 NIL 1115212 1115224 1118718 1118723) (-641 "bookvol10.3.pamphlet" 1111824 1111841 1115202 1115207) (-640 "bookvol10.2.pamphlet" 1111339 1111349 1111814 1111819) (-639 "bookvol10.3.pamphlet" 1110461 1110471 1111113 1111140) (-638 "bookvol10.4.pamphlet" 1109912 1109926 1110451 1110456) (-637 "bookvol10.3.pamphlet" 1107875 1107885 1109282 1109309) (-636 "bookvol10.4.pamphlet" 1107190 1107204 1107865 1107870) (-635 "bookvol10.4.pamphlet" 1105870 1105882 1107180 1107185) (-634 "bookvol10.4.pamphlet" 1102733 1102745 1105860 1105865) (-633 "bookvol10.2.pamphlet" 1102111 1102121 1102713 1102728) (-632 "bookvol10.4.pamphlet" 1100984 1100996 1102023 1102028) (-631 "bookvol10.4.pamphlet" 1098942 1098952 1100974 1100979) (-630 "bookvol10.4.pamphlet" 1097817 1097830 1098932 1098937) (-629 "bookvol10.3.pamphlet" 1095847 1095859 1097107 1097252) (-628 "bookvol10.2.pamphlet" 1095432 1095442 1095773 1095842) (-627 NIL 1095045 1095057 1095388 1095393) (-626 "bookvol10.3.pamphlet" 1093580 1093588 1094286 1094301) (-625 "bookvol10.4.pamphlet" 1090958 1090977 1093570 1093575) (-624 "bookvol10.4.pamphlet" 1089737 1089753 1090948 1090953) (-623 "bookvol10.2.pamphlet" 1088590 1088598 1089727 1089732) (-622 "bookvol10.4.pamphlet" 1084422 1084437 1088580 1088585) (-621 "bookvol10.3.pamphlet" 1082657 1082684 1084402 1084417) (-620 "bookvol10.4.pamphlet" 1081087 1081104 1082647 1082652) (-619 "bookvol10.4.pamphlet" 1080197 1080219 1081077 1081082) (-618 "bookvol10.3.pamphlet" 1078973 1078986 1079790 1079859) (-617 "bookvol10.4.pamphlet" 1078518 1078534 1078963 1078968) (-616 "bookvol10.3.pamphlet" 1077928 1077942 1078440 1078479) (-615 "bookvol10.2.pamphlet" 1077704 1077714 1077908 1077923) (-614 NIL 1077488 1077500 1077694 1077699) (-613 "bookvol10.4.pamphlet" 1076169 1076186 1077478 1077483) (-612 "bookvol10.2.pamphlet" 1075893 1075903 1076159 1076164) (-611 "bookvol10.2.pamphlet" 1075630 1075640 1075883 1075888) (-610 "bookvol10.3.pamphlet" 1074191 1074201 1075414 1075419) (-609 "bookvol10.4.pamphlet" 1073894 1073906 1074181 1074186) (-608 "bookvol10.2.pamphlet" 1073033 1073055 1073862 1073889) (-607 NIL 1072192 1072216 1073023 1073028) (-606 "bookvol10.3.pamphlet" 1070830 1070846 1071539 1071566) (-605 "bookvol10.3.pamphlet" 1068839 1068851 1070120 1070265) (-604 "bookvol10.2.pamphlet" 1067083 1067107 1068819 1068834) (-603 NIL 1065192 1065218 1066930 1066935) (-602 "bookvol10.3.pamphlet" 1064200 1064215 1064340 1064367) (-601 "bookvol10.3.pamphlet" 1063320 1063330 1064190 1064195) (-600 "bookvol10.4.pamphlet" 1062083 1062102 1063310 1063315) (-599 "bookvol10.4.pamphlet" 1061589 1061603 1062073 1062078) (-598 "bookvol10.4.pamphlet" 1061333 1061345 1061579 1061584) (-597 "bookvol10.3.pamphlet" 1059141 1059156 1061169 1061294) (-596 "bookvol10.3.pamphlet" 1051529 1051544 1058115 1058212) (-595 "bookvol10.4.pamphlet" 1050996 1051012 1051519 1051524) (-594 "bookvol10.3.pamphlet" 1050226 1050239 1050392 1050419) (-593 "bookvol10.4.pamphlet" 1049221 1049240 1050216 1050221) (-592 "bookvol10.4.pamphlet" 1047289 1047297 1049211 1049216) (-591 "bookvol10.4.pamphlet" 1045836 1045846 1047245 1047250) (-590 "bookvol10.4.pamphlet" 1045437 1045448 1045826 1045831) (-589 "bookvol10.4.pamphlet" 1043753 1043763 1045427 1045432) (-588 "bookvol10.3.pamphlet" 1041476 1041490 1043608 1043635) (-587 "bookvol10.4.pamphlet" 1040620 1040636 1041466 1041471) (-586 "bookvol10.4.pamphlet" 1039797 1039813 1040610 1040615) (-585 "bookvol10.4.pamphlet" 1039573 1039581 1039787 1039792) (-584 "bookvol10.3.pamphlet" 1039274 1039286 1039378 1039471) (-583 "bookvol10.3.pamphlet" 1039045 1039071 1039200 1039269) (-582 "bookvol10.4.pamphlet" 1038642 1038658 1039035 1039040) (-581 "bookvol10.4.pamphlet" 1031664 1031681 1038632 1038637) (-580 "bookvol10.4.pamphlet" 1029529 1029545 1031238 1031243) (-579 "bookvol10.4.pamphlet" 1028849 1028857 1029519 1029524) (-578 "bookvol10.3.pamphlet" 1028625 1028635 1028763 1028844) (-577 "bookvol10.4.pamphlet" 1026989 1027003 1028615 1028620) (-576 "bookvol10.4.pamphlet" 1026482 1026492 1026979 1026984) (-575 "bookvol10.4.pamphlet" 1025151 1025168 1026472 1026477) (-574 "bookvol10.4.pamphlet" 1023464 1023480 1024794 1024799) (-573 "bookvol10.4.pamphlet" 1021121 1021139 1023396 1023401) (-572 "bookvol10.4.pamphlet" 1011646 1011654 1021111 1021116) (-571 "bookvol10.3.pamphlet" 1011007 1011015 1011500 1011641) (-570 "bookvol10.4.pamphlet" 1010273 1010290 1010997 1011002) (-569 "bookvol10.4.pamphlet" 1009918 1009942 1010263 1010268) (-568 "bookvol10.4.pamphlet" 1006297 1006305 1009908 1009913) (-567 "bookvol10.4.pamphlet" 999455 999473 1006229 1006234) (-566 "bookvol10.3.pamphlet" 993453 993461 999445 999450) (-565 "bookvol10.4.pamphlet" 992605 992662 993443 993448) (-564 "bookvol10.4.pamphlet" 991691 991701 992595 992600) (-563 "bookvol10.4.pamphlet" 991559 991583 991681 991686) (-562 "bookvol10.4.pamphlet" 989917 989933 991549 991554) (-561 "bookvol10.2.pamphlet" 988569 988577 989843 989912) (-560 NIL 987283 987293 988559 988564) (-559 "bookvol10.4.pamphlet" 986429 986516 987273 987278) (-558 "bookvol10.2.pamphlet" 985050 985060 986343 986424) (-557 "bookvol10.4.pamphlet" 984581 984589 985040 985045) (-556 "bookvol10.4.pamphlet" 983739 983766 984571 984576) (-555 "bookvol10.4.pamphlet" 983215 983231 983729 983734) (-554 "bookvol10.3.pamphlet" 982295 982326 982458 982485) (-553 "bookvol10.2.pamphlet" 979629 979637 982197 982290) (-552 NIL 977049 977059 979619 979624) (-551 "bookvol10.4.pamphlet" 976497 976510 977039 977044) (-550 "bookvol10.4.pamphlet" 975593 975612 976487 976492) (-549 "bookvol10.4.pamphlet" 974681 974705 975583 975588) (-548 "bookvol10.4.pamphlet" 973687 973704 974671 974676) (-547 "bookvol10.4.pamphlet" 972844 972874 973677 973682) (-546 "bookvol10.4.pamphlet" 971189 971211 972834 972839) (-545 "bookvol10.4.pamphlet" 970269 970288 971179 971184) (-544 "bookvol10.3.pamphlet" 967190 967198 970259 970264) (-543 "bookvol10.4.pamphlet" 966835 966845 967180 967185) (-542 "bookvol10.4.pamphlet" 966423 966431 966825 966830) (-541 "bookvol10.3.pamphlet" 965840 965903 966413 966418) (-540 "bookvol10.3.pamphlet" 965282 965305 965830 965835) (-539 "bookvol10.2.pamphlet" 963935 963998 965272 965277) (-538 "bookvol10.4.pamphlet" 962479 962501 963925 963930) (-537 "bookvol10.3.pamphlet" 962385 962402 962469 962474) (-536 "bookvol10.4.pamphlet" 961802 961812 962375 962380) (-535 "bookvol10.4.pamphlet" 957696 957707 961792 961797) (-534 "bookvol10.3.pamphlet" 956828 956854 957340 957367) (-533 "bookvol10.4.pamphlet" 955920 955964 956784 956789) (-532 "bookvol10.4.pamphlet" 954533 954557 955876 955881) (-531 "bookvol10.3.pamphlet" 953420 953435 953939 953966) (-530 "bookvol10.3.pamphlet" 953145 953183 953250 953277) (-529 "bookvol10.3.pamphlet" 952575 952591 952826 952919) (-528 "bookvol10.3.pamphlet" 949808 949823 951981 952008) (-527 "bookvol10.3.pamphlet" 949646 949663 949764 949769) (-526 "bookvol10.2.pamphlet" 949043 949055 949636 949641) (-525 NIL 948438 948452 949033 949038) (-524 "bookvol10.3.pamphlet" 948251 948263 948428 948433) (-523 "bookvol10.3.pamphlet" 948024 948036 948241 948246) (-522 "bookvol10.3.pamphlet" 947759 947771 948014 948019) (-521 "bookvol10.2.pamphlet" 946697 946709 947749 947754) (-520 "bookvol10.3.pamphlet" 946457 946469 946687 946692) (-519 "bookvol10.3.pamphlet" 946219 946231 946447 946452) (-518 "bookvol10.4.pamphlet" 943491 943509 946209 946214) (-517 "bookvol10.3.pamphlet" 938571 938610 943426 943431) (-516 "bookvol10.3.pamphlet" 938028 938051 938561 938566) (-515 "bookvol10.4.pamphlet" 937261 937277 938018 938023) (-514 "bookvol10.3.pamphlet" 936544 936552 937251 937256) (-513 "bookvol10.4.pamphlet" 935187 935204 936534 936539) (-512 "bookvol10.3.pamphlet" 934469 934482 934881 934908) (-511 "bookvol10.4.pamphlet" 931396 931415 934459 934464) (-510 "bookvol10.4.pamphlet" 930306 930321 931386 931391) (-509 "bookvol10.3.pamphlet" 930037 930063 930136 930163) (-508 "bookvol10.3.pamphlet" 929350 929365 929443 929470) (-507 "bookvol10.3.pamphlet" 927573 927581 929166 929259) (-506 "bookvol10.4.pamphlet" 927130 927163 927563 927568) (-505 "bookvol10.2.pamphlet" 926508 926516 927120 927125) (-504 NIL 925884 925894 926498 926503) (-503 "bookvol10.3.pamphlet" 924736 924744 925874 925879) (-502 "bookvol10.2.pamphlet" 922530 922540 924716 924731) (-501 NIL 920165 920177 922353 922358) (-500 "bookvol10.3.pamphlet" 918034 918042 918632 918725) (-499 "bookvol10.4.pamphlet" 916986 916997 918024 918029) (-498 "bookvol10.3.pamphlet" 916618 916642 916976 916981) (-497 "bookvol10.3.pamphlet" 912755 912765 916448 916475) (-496 "bookvol10.3.pamphlet" 904610 904626 904970 905101) (-495 "bookvol10.3.pamphlet" 901805 901820 902404 902531) (-494 "bookvol10.4.pamphlet" 900401 900409 901795 901800) (-493 "bookvol10.3.pamphlet" 899435 899466 899644 899671) (-492 "bookvol10.3.pamphlet" 899046 899054 899337 899430) (-491 "bookvol10.4.pamphlet" 885143 885155 899036 899041) (-490 "bookvol10.4.pamphlet" 884888 884896 884988 884993) (-489 "bookvol10.4.pamphlet" 869185 869221 884758 884763) (-488 "bookvol10.4.pamphlet" 868946 868954 869044 869049) (-487 "bookvol10.4.pamphlet" 868767 868781 868880 868885) (-486 "bookvol10.4.pamphlet" 868644 868658 868757 868762) (-485 "bookvol10.4.pamphlet" 868477 868485 868577 868582) (-484 "bookvol10.3.pamphlet" 867693 867709 868179 868206) (-483 "bookvol10.3.pamphlet" 866776 866811 866948 866963) (-482 "bookvol10.3.pamphlet" 863949 863976 864908 865057) (-481 "bookvol10.2.pamphlet" 862927 862935 863929 863944) (-480 NIL 861913 861923 862917 862922) (-479 "bookvol10.4.pamphlet" 860504 860525 861903 861908) (-478 "bookvol10.2.pamphlet" 859144 859156 860494 860499) (-477 NIL 857782 857796 859134 859139) (-476 "bookvol10.3.pamphlet" 850821 850829 857772 857777) (-475 "bookvol10.4.pamphlet" 849216 849224 850811 850816) (-474 "bookvol10.4.pamphlet" 847757 847765 849206 849211) (-473 "bookvol10.2.pamphlet" 846960 846972 847747 847752) (-472 NIL 846161 846175 846950 846955) (-471 "bookvol10.3.pamphlet" 845687 845710 845899 845926) (-470 "bookvol10.4.pamphlet" 840461 840548 845643 845648) (-469 "bookvol10.4.pamphlet" 839730 839748 840451 840456) (-468 "bookvol10.3.pamphlet" 834023 834031 839720 839725) (-467 "bookvol10.3.pamphlet" 830438 830446 834013 834018) (-466 "bookvol10.3.pamphlet" 829555 829582 830406 830433) (-465 "bookvol10.4.pamphlet" 828727 828741 829545 829550) (-464 "bookvol10.4.pamphlet" 824540 824553 828717 828722) (-463 "bookvol10.4.pamphlet" 824144 824154 824530 824535) (-462 "bookvol10.4.pamphlet" 823794 823811 824134 824139) (-461 "bookvol10.4.pamphlet" 823261 823280 823784 823789) (-460 "bookvol10.4.pamphlet" 821743 821756 823251 823256) (-459 "bookvol10.4.pamphlet" 820208 820216 821733 821738) (-458 "bookvol10.3.pamphlet" 817249 817266 818002 818129) (-457 "bookvol10.3.pamphlet" 811220 811247 817043 817110) (-456 "bookvol10.2.pamphlet" 810174 810182 811146 811215) (-455 NIL 809190 809200 810164 810169) (-454 "bookvol10.4.pamphlet" 804737 804775 809146 809151) (-453 "bookvol10.4.pamphlet" 800835 800873 804727 804732) (-452 "bookvol10.4.pamphlet" 796300 796338 800825 800830) (-451 "bookvol10.4.pamphlet" 792953 792991 796290 796295) (-450 "bookvol10.4.pamphlet" 792276 792284 792943 792948) (-449 "bookvol10.4.pamphlet" 790602 790612 792232 792237) (-448 "bookvol10.4.pamphlet" 789069 789082 790592 790597) (-447 "bookvol10.4.pamphlet" 787274 787293 789059 789064) (-446 "bookvol10.4.pamphlet" 777712 777723 787264 787269) (-445 "bookvol10.2.pamphlet" 774655 774663 777692 777707) (-444 "bookvol10.2.pamphlet" 773699 773707 774635 774650) (-443 "bookvol10.3.pamphlet" 773548 773560 773689 773694) (-442 "bookvol10.3.pamphlet" 771780 771788 773538 773543) (-441 "bookvol10.3.pamphlet" 770951 770959 771770 771775) (-440 "bookvol10.4.pamphlet" 769997 770016 770887 770892) (-439 "bookvol10.3.pamphlet" 768141 768149 769987 769992) (-438 "bookvol10.4.pamphlet" 767565 767581 768131 768136) (-437 "bookvol10.4.pamphlet" 766425 766441 767522 767527) (-436 "bookvol10.4.pamphlet" 763712 763728 766415 766420) (-435 "bookvol10.2.pamphlet" 757622 757632 763475 763707) (-434 NIL 751322 751334 757177 757182) (-433 "bookvol10.4.pamphlet" 750938 750954 751312 751317) (-432 "bookvol10.3.pamphlet" 750266 750278 750758 750857) (-431 "bookvol10.4.pamphlet" 749530 749546 750256 750261) (-430 "bookvol10.2.pamphlet" 748707 748717 749474 749525) (-429 NIL 747858 747870 748627 748632) (-428 "bookvol10.4.pamphlet" 746601 746617 747848 747853) (-427 "bookvol10.4.pamphlet" 741092 741126 746591 746596) (-426 "bookvol10.4.pamphlet" 740704 740720 741082 741087) (-425 "bookvol10.4.pamphlet" 739867 739890 740694 740699) (-424 "bookvol10.4.pamphlet" 738867 738877 739857 739862) (-423 "bookvol10.3.pamphlet" 730843 730853 737891 737960) (-422 "bookvol10.2.pamphlet" 726026 726036 730785 730838) (-421 NIL 721221 721233 725982 725987) (-420 "bookvol10.4.pamphlet" 720669 720687 721211 721216) (-419 "bookvol10.3.pamphlet" 720079 720109 720600 720605) (-418 "bookvol10.3.pamphlet" 719312 719333 720059 720074) (-417 "bookvol10.4.pamphlet" 719050 719082 719302 719307) (-416 "bookvol10.2.pamphlet" 718724 718734 719040 719045) (-415 NIL 718264 718276 718582 718587) (-414 "bookvol10.2.pamphlet" 716670 716683 718220 718259) (-413 NIL 715108 715123 716660 716665) (-412 "bookvol10.3.pamphlet" 712225 712235 712610 712783) (-411 "bookvol10.4.pamphlet" 711838 711850 712215 712220) (-410 "bookvol10.4.pamphlet" 711196 711208 711828 711833) (-409 "bookvol10.2.pamphlet" 708145 708153 711086 711191) (-408 NIL 705122 705132 708065 708070) (-407 "bookvol10.2.pamphlet" 704176 704184 705024 705117) (-406 NIL 703316 703326 704166 704171) (-405 "bookvol10.2.pamphlet" 703068 703078 703296 703311) (-404 "bookvol10.3.pamphlet" 701818 701835 703058 703063) (-403 "bookvol10.3.pamphlet" 700303 700352 701808 701813) (-402 "bookvol10.4.pamphlet" 699252 699260 700293 700298) (-401 "bookvol10.2.pamphlet" 696342 696350 699232 699247) (-400 "bookvol10.2.pamphlet" 696045 696053 696322 696337) (-399 "bookvol10.3.pamphlet" 693439 693447 696035 696040) (-398 "bookvol10.4.pamphlet" 692918 692928 693429 693434) (-397 "bookvol10.4.pamphlet" 692699 692723 692908 692913) (-396 "bookvol10.4.pamphlet" 691900 691908 692689 692694) (-395 "bookvol10.3.pamphlet" 691322 691344 691868 691895) (-394 "bookvol10.2.pamphlet" 689666 689674 691312 691317) (-393 "bookvol10.3.pamphlet" 689558 689566 689656 689661) (-392 "bookvol10.2.pamphlet" 689356 689364 689484 689553) (-391 "bookvol10.3.pamphlet" 686126 686136 689312 689317) (-390 "bookvol10.3.pamphlet" 685829 685841 686060 686087) (-389 "bookvol10.2.pamphlet" 682779 682787 685809 685824) (-388 "bookvol10.2.pamphlet" 681823 681831 682759 682774) (-387 "bookvol10.2.pamphlet" 679517 679535 681791 681818) (-386 "bookvol10.3.pamphlet" 678979 678991 679451 679478) (-385 "bookvol10.4.pamphlet" 676787 676801 678969 678974) (-384 "bookvol10.3.pamphlet" 673692 673700 676653 676782) (-383 "bookvol10.4.pamphlet" 671158 671172 673682 673687) (-382 "bookvol10.2.pamphlet" 670860 670870 671138 671153) (-381 NIL 670516 670528 670796 670801) (-380 "bookvol10.4.pamphlet" 669772 669784 670506 670511) (-379 "bookvol10.2.pamphlet" 667839 667858 669698 669767) (-378 "bookvol10.2.pamphlet" 665045 665055 667807 667834) (-377 NIL 662164 662176 664928 664933) (-376 "bookvol10.4.pamphlet" 660885 660901 662154 662159) (-375 "bookvol10.2.pamphlet" 659006 659019 660841 660880) (-374 NIL 657053 657068 658890 658895) (-373 "bookvol10.2.pamphlet" 656048 656056 657043 657048) (-372 NIL 655041 655051 656038 656043) (-371 "bookvol10.2.pamphlet" 644390 644400 654983 655036) (-370 NIL 633751 633763 644346 644351) (-369 "bookvol10.3.pamphlet" 633338 633348 633741 633746) (-368 "bookvol10.2.pamphlet" 631785 631802 633328 633333) (-367 "bookvol10.2.pamphlet" 631123 631131 631687 631780) (-366 NIL 630547 630557 631113 631118) (-365 "bookvol10.3.pamphlet" 629088 629098 630527 630542) (-364 "bookvol10.4.pamphlet" 627995 628010 629078 629083) (-363 "bookvol10.3.pamphlet" 627424 627439 627711 627804) (-362 "bookvol10.4.pamphlet" 627297 627314 627414 627419) (-361 "bookvol10.4.pamphlet" 626800 626821 627287 627292) (-360 "bookvol10.4.pamphlet" 618199 618210 626790 626795) (-359 "bookvol10.4.pamphlet" 617281 617298 618189 618194) (-358 "bookvol10.3.pamphlet" 616777 616797 616997 617090) (-357 "bookvol10.3.pamphlet" 616245 616261 616458 616551) (-356 "bookvol10.3.pamphlet" 614795 614815 615961 616054) (-355 "bookvol10.3.pamphlet" 613331 613348 614511 614604) (-354 "bookvol10.3.pamphlet" 611872 611893 613012 613105) (-353 "bookvol10.4.pamphlet" 609242 609261 611862 611867) (-352 "bookvol10.2.pamphlet" 606840 606848 609144 609237) (-351 NIL 604524 604534 606830 606835) (-350 "bookvol10.4.pamphlet" 603317 603334 604514 604519) (-349 "bookvol10.4.pamphlet" 600792 600803 603307 603312) (-348 "bookvol10.4.pamphlet" 594914 594930 600782 600787) (-347 "bookvol10.4.pamphlet" 593589 593608 594904 594909) (-346 "bookvol10.4.pamphlet" 593008 593025 593579 593584) (-345 "bookvol10.4.pamphlet" 592929 592946 592998 593003) (-344 "bookvol10.3.pamphlet" 591810 591830 592645 592738) (-343 "bookvol10.3.pamphlet" 590725 590745 591526 591619) (-342 "bookvol10.3.pamphlet" 589552 589573 590406 590499) (-341 "bookvol10.2.pamphlet" 578357 578379 589391 589547) (-340 NIL 567241 567265 578277 578282) (-339 "bookvol10.4.pamphlet" 566980 567020 567231 567236) (-338 "bookvol10.3.pamphlet" 559656 559702 566736 566775) (-337 "bookvol10.2.pamphlet" 559366 559376 559646 559651) (-336 NIL 558861 558873 559143 559148) (-335 "bookvol10.3.pamphlet" 558312 558336 558851 558856) (-334 "bookvol10.2.pamphlet" 556324 556348 558302 558307) (-333 NIL 554334 554360 556314 556319) (-332 "bookvol10.4.pamphlet" 554080 554120 554324 554329) (-331 "bookvol10.4.pamphlet" 552641 552649 554070 554075) (-330 "bookvol10.3.pamphlet" 552172 552182 552631 552636) (-329 "bookvol10.3.pamphlet" 542137 542145 552162 552167) (-328 "bookvol10.2.pamphlet" 535414 535428 542039 542132) (-327 NIL 528743 528759 535370 535375) (-326 "bookvol10.3.pamphlet" 527171 527181 528149 528176) (-325 "bookvol10.2.pamphlet" 525313 525325 527069 527166) (-324 NIL 523439 523453 525197 525202) (-323 "bookvol10.4.pamphlet" 523013 523035 523429 523434) (-322 "bookvol10.3.pamphlet" 522670 522680 522967 522972) (-321 "bookvol10.2.pamphlet" 520853 520865 522660 522665) (-320 "bookvol10.3.pamphlet" 520467 520477 520749 520776) (-319 "bookvol10.4.pamphlet" 518679 518696 520457 520462) (-318 "bookvol10.4.pamphlet" 518561 518571 518669 518674) (-317 "bookvol10.4.pamphlet" 517755 517765 518551 518556) (-316 "bookvol10.4.pamphlet" 517637 517647 517745 517750) (-315 "bookvol10.3.pamphlet" 514474 514497 515769 515918) (-314 "bookvol10.4.pamphlet" 511942 511950 514464 514469) (-313 "bookvol10.4.pamphlet" 511844 511873 511932 511937) (-312 "bookvol10.4.pamphlet" 508588 508604 511834 511839) (-311 "bookvol10.3.pamphlet" 503855 503865 504577 504984) (-310 "bookvol10.4.pamphlet" 499945 499958 503845 503850) (-309 "bookvol10.4.pamphlet" 499715 499727 499935 499940) (-308 "bookvol10.3.pamphlet" 496649 496674 497287 497380) (-307 "bookvol10.4.pamphlet" 496502 496510 496639 496644) (-306 "bookvol10.3.pamphlet" 496173 496181 496492 496497) (-305 "bookvol10.4.pamphlet" 495667 495681 496163 496168) (-304 "bookvol10.2.pamphlet" 495231 495241 495657 495662) (-303 NIL 494793 494805 495221 495226) (-302 "bookvol10.2.pamphlet" 492365 492373 494719 494788) (-301 NIL 489999 490009 492355 492360) (-300 "bookvol10.4.pamphlet" 481857 481865 489989 489994) (-299 "bookvol10.4.pamphlet" 481452 481466 481847 481852) (-298 "bookvol10.4.pamphlet" 481137 481148 481442 481447) (-297 "bookvol10.2.pamphlet" 474084 474092 481127 481132) (-296 NIL 466937 466947 473982 473987) (-295 "bookvol10.4.pamphlet" 463746 463754 466927 466932) (-294 "bookvol10.4.pamphlet" 463487 463499 463736 463741) (-293 "bookvol10.4.pamphlet" 462994 463010 463477 463482) (-292 "bookvol10.4.pamphlet" 462552 462568 462984 462989) (-291 "bookvol10.4.pamphlet" 460028 460036 462542 462547) (-290 "bookvol10.3.pamphlet" 459062 459084 459271 459298) (-289 "bookvol10.3.pamphlet" 453988 453998 456735 456847) (-288 "bookvol10.4.pamphlet" 453706 453718 453978 453983) (-287 "bookvol10.4.pamphlet" 450060 450070 453696 453701) (-286 "bookvol10.2.pamphlet" 449604 449612 450004 450055) (-285 "bookvol10.3.pamphlet" 448800 448841 449530 449599) (-284 "bookvol10.2.pamphlet" 447256 447275 448790 448795) (-283 NIL 445676 445697 447212 447217) (-282 "bookvol10.2.pamphlet" 445208 445226 445666 445671) (-281 "bookvol10.4.pamphlet" 444597 444616 445198 445203) (-280 "bookvol10.2.pamphlet" 444294 444302 444587 444592) (-279 NIL 443989 443999 444284 444289) (-278 "bookvol10.2.pamphlet" 441905 441915 443957 443984) (-277 NIL 439770 439782 441824 441829) (-276 "bookvol10.3.pamphlet" 436545 436575 439726 439731) (-275 "bookvol10.3.pamphlet" 433381 433404 436501 436506) (-274 "bookvol10.4.pamphlet" 431378 431394 433371 433376) (-273 "bookvol10.4.pamphlet" 426154 426170 431368 431373) (-272 "bookvol10.3.pamphlet" 424468 424476 426144 426149) (-271 "bookvol10.3.pamphlet" 424006 424014 424458 424463) (-270 "bookvol10.3.pamphlet" 423585 423593 423996 424001) (-269 "bookvol10.3.pamphlet" 423167 423175 423575 423580) (-268 "bookvol10.3.pamphlet" 422705 422713 423157 423162) (-267 "bookvol10.3.pamphlet" 422243 422251 422695 422700) (-266 "bookvol10.3.pamphlet" 421781 421789 422233 422238) (-265 "bookvol10.3.pamphlet" 421319 421327 421771 421776) (-264 "bookvol10.4.pamphlet" 417061 417069 421309 421314) (-263 "bookvol10.2.pamphlet" 413810 413820 417051 417056) (-262 NIL 410557 410569 413800 413805) (-261 "bookvol10.4.pamphlet" 407642 407729 410547 410552) (-260 "bookvol10.3.pamphlet" 406848 406858 407472 407499) (-259 "bookvol10.2.pamphlet" 406442 406452 406804 406843) (-258 "bookvol10.3.pamphlet" 403885 403899 404178 404305) (-257 "bookvol10.3.pamphlet" 397648 397656 403875 403880) (-256 "bookvol10.4.pamphlet" 397319 397329 397638 397643) (-255 "bookvol10.4.pamphlet" 392278 392286 397309 397314) (-254 "bookvol10.4.pamphlet" 390519 390527 392268 392273) (-253 "bookvol10.4.pamphlet" 383427 383440 390509 390514) (-252 "bookvol10.4.pamphlet" 382690 382700 383417 383422) (-251 "bookvol10.4.pamphlet" 380115 380123 382680 382685) (-250 "bookvol10.4.pamphlet" 379662 379677 380105 380110) (-249 "bookvol10.4.pamphlet" 369102 369110 379652 379657) (-248 "bookvol10.2.pamphlet" 367312 367322 369058 369097) (-247 "bookvol10.2.pamphlet" 362709 362725 367180 367307) (-246 NIL 358192 358210 362665 362670) (-245 "bookvol10.3.pamphlet" 351567 351583 351689 351990) (-244 "bookvol10.3.pamphlet" 344939 344957 345064 345365) (-243 "bookvol10.3.pamphlet" 342180 342195 342733 342860) (-242 "bookvol10.4.pamphlet" 341520 341530 342170 342175) (-241 "bookvol10.3.pamphlet" 340235 340245 340926 340953) (-240 "bookvol10.2.pamphlet" 338682 338692 340215 340230) (-239 "bookvol10.2.pamphlet" 338123 338131 338626 338677) (-238 NIL 337608 337618 338113 338118) (-237 "bookvol10.3.pamphlet" 337461 337471 337540 337567) (-236 "bookvol10.2.pamphlet" 336226 336236 337429 337456) (-235 "bookvol10.4.pamphlet" 334440 334448 336216 336221) (-234 "bookvol10.3.pamphlet" 333720 333735 334276 334401) (-233 "bookvol10.3.pamphlet" 325310 325326 325935 326066) (-232 "bookvol10.4.pamphlet" 324171 324189 325300 325305) (-231 "bookvol10.2.pamphlet" 323102 323118 324023 324166) (-230 NIL 321774 321792 322697 322702) (-229 "bookvol10.4.pamphlet" 320619 320627 321764 321769) (-228 "bookvol10.2.pamphlet" 319699 319709 320587 320614) (-227 NIL 318765 318777 319655 319660) (-226 "bookvol10.2.pamphlet" 317886 317894 318745 318760) (-225 NIL 317015 317025 317876 317881) (-224 "bookvol10.2.pamphlet" 316166 316176 316995 317010) (-223 NIL 315234 315246 316065 316070) (-222 "bookvol10.2.pamphlet" 314854 314864 315202 315229) (-221 NIL 314494 314506 314844 314849) (-220 "bookvol10.3.pamphlet" 312776 312786 314138 314165) (-219 "bookvol10.3.pamphlet" 311514 311522 311900 311927) (-218 "bookvol10.4.pamphlet" 302708 302716 311504 311509) (-217 "bookvol10.3.pamphlet" 301925 301933 302340 302367) (-216 "bookvol10.3.pamphlet" 298310 298318 301815 301920) (-215 "bookvol10.4.pamphlet" 296545 296561 298300 298305) (-214 "bookvol10.3.pamphlet" 294503 294535 296525 296540) (-213 "bookvol10.3.pamphlet" 288693 288703 294333 294360) (-212 "bookvol10.4.pamphlet" 288308 288322 288683 288688) (-211 "bookvol10.4.pamphlet" 285773 285783 288298 288303) (-210 "bookvol10.4.pamphlet" 284253 284269 285763 285768) (-209 "bookvol10.3.pamphlet" 282134 282142 282720 282813) (-208 "bookvol10.4.pamphlet" 280011 280028 282124 282129) (-207 "bookvol10.4.pamphlet" 279619 279643 280001 280006) (-206 "bookvol10.3.pamphlet" 278272 278282 279609 279614) (-205 "bookvol10.3.pamphlet" 278100 278108 278262 278267) (-204 "bookvol10.3.pamphlet" 277920 277928 278090 278095) (-203 "bookvol10.4.pamphlet" 276865 276873 277910 277915) (-202 "bookvol10.3.pamphlet" 276329 276337 276855 276860) (-201 "bookvol10.3.pamphlet" 275809 275817 276319 276324) (-200 "bookvol10.3.pamphlet" 275301 275309 275799 275804) (-199 "bookvol10.3.pamphlet" 274793 274801 275291 275296) (-198 "bookvol10.4.pamphlet" 269738 269746 274783 274788) (-197 "bookvol10.4.pamphlet" 268061 268069 269728 269733) (-196 "bookvol10.3.pamphlet" 268038 268046 268051 268056) (-195 "bookvol10.3.pamphlet" 267562 267570 268028 268033) (-194 "bookvol10.3.pamphlet" 267086 267094 267552 267557) (-193 "bookvol10.3.pamphlet" 266556 266564 267076 267081) (-192 "bookvol10.3.pamphlet" 266051 266059 266546 266551) (-191 "bookvol10.3.pamphlet" 265533 265541 266041 266046) (-190 "bookvol10.3.pamphlet" 265029 265037 265523 265528) (-189 "bookvol10.3.pamphlet" 264541 264549 265019 265024) (-188 "bookvol10.3.pamphlet" 264083 264091 264531 264536) (-187 "bookvol10.3.pamphlet" 263613 263621 264073 264078) (-186 "bookvol10.3.pamphlet" 263138 263146 263603 263608) (-185 "bookvol10.4.pamphlet" 259245 259253 263128 263133) (-184 "bookvol10.4.pamphlet" 258749 258757 259235 259240) (-183 "bookvol10.4.pamphlet" 255560 255568 258739 258744) (-182 "bookvol10.4.pamphlet" 254945 254955 255550 255555) (-181 "bookvol10.4.pamphlet" 253413 253429 254935 254940) (-180 "bookvol10.4.pamphlet" 252202 252215 253403 253408) (-179 "bookvol10.4.pamphlet" 246217 246230 252192 252197) (-178 "bookvol10.4.pamphlet" 245374 245384 246207 246212) (-177 "bookvol10.4.pamphlet" 244886 244901 245299 245304) (-176 "bookvol10.4.pamphlet" 244591 244610 244876 244881) (-175 "bookvol10.4.pamphlet" 239606 239616 244581 244586) (-174 "bookvol10.3.pamphlet" 235607 235617 239508 239601) (-173 "bookvol10.2.pamphlet" 235286 235294 235545 235602) (-172 "bookvol10.3.pamphlet" 234786 234794 235276 235281) (-171 "bookvol10.4.pamphlet" 234553 234568 234776 234781) (-170 "bookvol10.3.pamphlet" 228571 228581 228820 229081) (-169 "bookvol10.4.pamphlet" 228294 228306 228561 228566) (-168 "bookvol10.4.pamphlet" 228090 228104 228284 228289) (-167 "bookvol10.2.pamphlet" 226196 226206 227812 228085) (-166 NIL 224006 224018 225624 225629) (-165 "bookvol10.4.pamphlet" 223780 223798 223996 224001) (-164 "bookvol10.4.pamphlet" 223319 223327 223770 223775) (-163 "bookvol10.3.pamphlet" 223128 223136 223309 223314) (-162 "bookvol10.2.pamphlet" 222163 222171 223118 223123) (-161 "bookvol10.4.pamphlet" 220655 220665 222153 222158) (-160 "bookvol10.4.pamphlet" 218105 218121 220645 220650) (-159 "bookvol10.3.pamphlet" 216943 216951 218095 218100) (-158 "bookvol10.4.pamphlet" 216277 216294 216933 216938) (-157 "bookvol10.4.pamphlet" 212397 212405 216267 216272) (-156 "bookvol10.3.pamphlet" 211112 211128 212353 212392) (-155 "bookvol10.2.pamphlet" 208132 208142 211092 211107) (-154 NIL 205033 205045 207995 208000) (-153 "bookvol10.4.pamphlet" 204372 204385 205023 205028) (-152 "bookvol10.4.pamphlet" 202342 202364 204362 204367) (-151 "bookvol10.2.pamphlet" 202257 202265 202322 202337) (-150 "bookvol10.4.pamphlet" 201771 201781 202247 202252) (-149 "bookvol10.2.pamphlet" 201524 201532 201751 201766) (-148 "bookvol10.3.pamphlet" 197885 197893 201514 201519) (-147 "bookvol10.2.pamphlet" 197058 197066 197875 197880) (-146 "bookvol10.3.pamphlet" 195365 195373 195996 196023) (-145 "bookvol10.3.pamphlet" 194497 194505 194921 194948) (-144 "bookvol10.4.pamphlet" 193737 193751 194487 194492) (-143 "bookvol10.3.pamphlet" 192148 192156 193206 193245) (-142 "bookvol10.3.pamphlet" 183327 183351 192138 192143) (-141 "bookvol10.4.pamphlet" 182717 182744 183317 183322) (-140 "bookvol10.3.pamphlet" 179055 179063 182691 182712) (-139 "bookvol10.2.pamphlet" 178671 178679 179045 179050) (-138 "bookvol10.2.pamphlet" 178164 178172 178661 178666) (-137 "bookvol10.3.pamphlet" 177256 177266 177994 178021) (-136 "bookvol10.3.pamphlet" 176498 176508 177086 177113) (-135 "bookvol10.2.pamphlet" 175872 175882 176454 176493) (-134 NIL 175278 175290 175862 175867) (-133 "bookvol10.2.pamphlet" 174381 174389 175234 175273) (-132 NIL 173516 173526 174371 174376) (-131 "bookvol10.3.pamphlet" 172174 172184 173346 173373) (-130 "Makefile.pamphlet" 170064 170072 172164 172169) (-129 "bookvol10.4.pamphlet" 168837 168848 170054 170059) (-128 "bookvol10.2.pamphlet" 167797 167807 168817 168832) (-127 NIL 166731 166743 167753 167758) (-126 "bookvol10.3.pamphlet" 164776 164788 164967 165060) (-125 "bookvol10.3.pamphlet" 164504 164516 164702 164771) (-124 "bookvol10.4.pamphlet" 164162 164179 164494 164499) (-123 "bookvol10.3.pamphlet" 159694 159702 164152 164157) (-122 "bookvol10.4.pamphlet" 157180 157190 159650 159655) (-121 "bookvol10.3.pamphlet" 156050 156058 157170 157175) (-120 "bookvol10.2.pamphlet" 155694 155706 156018 156045) (-119 "bookvol10.4.pamphlet" 153972 154008 155684 155689) (-118 "bookvol10.3.pamphlet" 153862 153870 153937 153967) (-117 "bookvol10.2.pamphlet" 153839 153847 153852 153857) (-116 "bookvol10.3.pamphlet" 153731 153739 153806 153834) (-115 "bookvol10.5.pamphlet" 142003 142011 153721 153726) (-114 "bookvol10.3.pamphlet" 141482 141490 141697 141724) (-113 "bookvol10.3.pamphlet" 140839 140847 141472 141477) (-112 "bookvol10.3.pamphlet" 138687 138695 139306 139399) (-111 "bookvol10.2.pamphlet" 137932 137942 138655 138682) (-110 NIL 137197 137209 137922 137927) (-109 "bookvol10.3.pamphlet" 136618 136626 137177 137192) (-108 "bookvol10.4.pamphlet" 135758 135785 136568 136573) (-107 "bookvol10.4.pamphlet" 133621 133631 135748 135753) (-106 "bookvol10.3.pamphlet" 129253 129263 133451 133478) (-105 "bookvol10.2.pamphlet" 128947 128955 129243 129248) (-104 NIL 128639 128649 128937 128942) (-103 "bookvol10.4.pamphlet" 128058 128071 128629 128634) (-102 "bookvol10.4.pamphlet" 127918 127926 128048 128053) (-101 "bookvol10.3.pamphlet" 127362 127372 127898 127913) (-100 "bookvol10.2.pamphlet" 123917 123925 127102 127357) (-99 "bookvol10.3.pamphlet" 120042 120049 123897 123912) (-98 "bookvol10.2.pamphlet" 119512 119519 120032 120037) (-97 NIL 118980 118989 119502 119507) (-96 "bookvol10.3.pamphlet" 114684 114693 118810 118837) (-95 "bookvol10.4.pamphlet" 113474 113485 114640 114645) (-94 "bookvol10.3.pamphlet" 112631 112644 113464 113469) (-93 "bookvol10.3.pamphlet" 111574 111587 112621 112626) (-92 "bookvol10.3.pamphlet" 110906 110919 111564 111569) (-91 "bookvol10.3.pamphlet" 110104 110117 110896 110901) (-90 "bookvol10.3.pamphlet" 109583 109596 110094 110099) (-89 "bookvol10.3.pamphlet" 108956 108969 109573 109578) (-88 "bookvol10.3.pamphlet" 107983 107996 108946 108951) (-87 "bookvol10.3.pamphlet" 107246 107259 107973 107978) (-86 "bookvol10.3.pamphlet" 105926 105939 107236 107241) (-85 "bookvol10.3.pamphlet" 104363 104376 105916 105921) (-84 "bookvol10.3.pamphlet" 102019 102032 104353 104358) (-83 "bookvol10.3.pamphlet" 101308 101321 102009 102014) (-82 "bookvol10.3.pamphlet" 100297 100310 101298 101303) (-81 "bookvol10.3.pamphlet" 98573 98612 100287 100292) (-80 "bookvol10.3.pamphlet" 97075 97114 98563 98568) (-79 "bookvol10.3.pamphlet" 96060 96073 97065 97070) (-78 "bookvol10.3.pamphlet" 95311 95324 96050 96055) (-77 "bookvol10.3.pamphlet" 94897 94910 95301 95306) (-76 "bookvol10.3.pamphlet" 94011 94024 94887 94892) (-75 "bookvol10.3.pamphlet" 92743 92756 94001 94006) (-74 "bookvol10.3.pamphlet" 92227 92240 92733 92738) (-73 "bookvol10.3.pamphlet" 82658 82671 92217 92222) (-72 "bookvol10.3.pamphlet" 81514 81527 82648 82653) (-71 "bookvol10.3.pamphlet" 80597 80610 81504 81509) (-70 "bookvol10.3.pamphlet" 79770 79783 80587 80592) (-69 "bookvol10.3.pamphlet" 79150 79163 79760 79765) (-68 "bookvol10.3.pamphlet" 73229 73242 79140 79145) (-67 "bookvol10.3.pamphlet" 72647 72660 73219 73224) (-66 "bookvol10.3.pamphlet" 71928 71941 72637 72642) (-65 "bookvol10.3.pamphlet" 71534 71543 71758 71785) (-64 "bookvol10.3.pamphlet" 70450 70459 70940 70967) (-63 "bookvol10.4.pamphlet" 68487 68498 70440 70445) (-62 "bookvol10.2.pamphlet" 61763 61784 68443 68482) (-61 NIL 55071 55094 61753 61758) (-60 "bookvol10.4.pamphlet" 54387 54409 55061 55066) (-59 "bookvol10.4.pamphlet" 53990 54003 54377 54382) (-58 "bookvol10.4.pamphlet" 53144 53151 53980 53985) (-57 "bookvol10.3.pamphlet" 51492 51499 53134 53139) (-56 "bookvol10.4.pamphlet" 50569 50578 51482 51487) (-55 "bookvol10.3.pamphlet" 49026 49042 50549 50564) (-54 "bookvol10.3.pamphlet" 48939 48946 49016 49021) (-53 "bookvol10.3.pamphlet" 47250 47257 48755 48848) (-52 "bookvol10.2.pamphlet" 45461 45472 47148 47245) (-51 NIL 43509 43522 45198 45203) (-50 "bookvol10.3.pamphlet" 41555 41576 41903 41930) (-49 "bookvol10.3.pamphlet" 40662 40688 41427 41480) (-48 "bookvol10.4.pamphlet" 36627 36638 40618 40623) (-47 "bookvol10.4.pamphlet" 35836 35850 36617 36622) (-46 "bookvol10.4.pamphlet" 33310 33325 35633 35638) (-45 "bookvol10.3.pamphlet" 31642 31669 31842 31998) (-44 "bookvol10.4.pamphlet" 30767 30777 31632 31637) (-43 "bookvol10.2.pamphlet" 30267 30276 30723 30762) (-42 NIL 29799 29810 30257 30262) (-41 "bookvol10.2.pamphlet" 29301 29322 29755 29794) (-40 "bookvol10.2.pamphlet" 28682 28689 29291 29296) (-39 "bookvol10.2.pamphlet" 27059 27066 28662 28677) (-38 NIL 25410 25419 27015 27020) (-37 "bookvol10.2.pamphlet" 23298 23307 25400 25405) (-36 "bookvol10.4.pamphlet" 21697 21712 23233 23238) (-35 "bookvol10.3.pamphlet" 21540 21555 21687 21692) (-34 "bookvol10.3.pamphlet" 21389 21398 21530 21535) (-33 "bookvol10.3.pamphlet" 21238 21247 21379 21384) (-32 "bookvol10.4.pamphlet" 21121 21159 21228 21233) (-31 "bookvol10.4.pamphlet" 20704 20742 21111 21116) (-30 "bookvol10.3.pamphlet" 18992 18999 20694 20699) (-29 "bookvol10.2.pamphlet" 16871 16880 18882 18987) (-28 NIL 14848 14859 16861 16866) (-27 "bookvol10.2.pamphlet" 10002 10009 14750 14843) (-26 NIL 5242 5251 9992 9997) (-25 "bookvol10.2.pamphlet" 4600 4607 5232 5237) (-24 NIL 3956 3965 4590 4595) (-23 "bookvol10.2.pamphlet" 3325 3332 3946 3951) (-22 NIL 2692 2701 3315 3320) (-21 "bookvol10.2.pamphlet" 2198 2205 2682 2687) (-20 NIL 1702 1711 2188 2193) (-19 "bookvol10.2.pamphlet" 850 859 1658 1697) (-18 NIL 30 41 840 845)) 
\ No newline at end of file
diff --git a/src/share/algebra/category.daase b/src/share/algebra/category.daase
index 13858e4..4066f5a 100644
--- a/src/share/algebra/category.daase
+++ b/src/share/algebra/category.daase
@@ -1,1305 +1,1307 @@
 
-(156760 . 3570849597)        
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
+(156960 . 3575591495)        
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
 (((|#2| |#2|) . T)) 
-((((-569)) . T)) 
-((($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((((-571)) . T)) 
+((($ $) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) ((|#2| |#2|) . T) (((-412 (-571)) (-412 (-571))) |has| |#2| (-43 (-412 (-571))))) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) . T) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
 (((|#2|) . T)) 
-((($) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-(|has| |#1| (-906)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-569) (-170 (-216))) . T)) 
-((((-569) (-216)) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
+((($) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) ((|#2|) . T) (((-412 (-571))) |has| |#2| (-43 (-412 (-571))))) 
+(|has| |#1| (-909)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-571) (-170 (-216))) . T)) 
+((((-571) (-216)) . T)) 
+((($) . T) (((-412 (-571))) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 (((|#2| |#2|) . T)) 
 ((((-148)) . T)) 
-((((-542)) . T) (((-1147)) . T) (((-216)) . T) (((-382)) . T) (((-889 (-382))) . T)) 
-(((|#1|) . T)) 
-((((-216)) . T) (((-852)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1| |#1|) . T)) 
-(-1929 (|has| |#1| (-817)) (|has| |#1| (-844))) 
-((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(|has| |#1| (-842)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-544)) . T) (((-1151)) . T) (((-216)) . T) (((-384)) . T) (((-892 (-384))) . T)) 
+(((|#1|) . T)) 
+((((-216)) . T) (((-855)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-845))) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) ((|#1| |#1|) . T)) 
+(-1831 (|has| |#1| (-820)) (|has| |#1| (-847))) 
+((((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-571)) |has| |#1| (-1043 (-571))) ((|#1|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(|has| |#1| (-845)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#1| |#2| |#3|) . T)) 
 (((|#4|) . T)) 
-((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-(((|#1| (-765) (-1077)) . T)) 
-((((-852)) . T)) 
-((((-852)) |has| |#1| (-1093))) 
+((($) . T) (((-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) ((|#1|) . T)) 
+(((|#1| (-768) (-1081)) . T)) 
+((((-855)) . T)) 
+((((-855)) |has| |#1| (-1097))) 
 (((|#1|) . T) ((|#2|) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(((|#2| (-494 (-2946 |#1|) (-765))) . T)) 
-(((|#1| (-535 (-1165))) . T)) 
-((((-866 |#1|) (-866 |#1|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(|has| |#1| (-1185)) 
-(|has| |#4| (-371)) 
-(|has| |#3| (-371)) 
-(((|#1|) . T)) 
-((((-866 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(((|#2| (-496 (-4001 |#1|) (-768))) . T)) 
+(((|#1| (-537 (-1169))) . T)) 
+((((-869 |#1|) (-869 |#1|)) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(|has| |#1| (-1189)) 
+(|has| |#4| (-373)) 
+(|has| |#3| (-373)) 
+(((|#1|) . T)) 
+((((-869 |#1|)) . T) (((-412 (-571))) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
-(|has| |#1| (-559)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(|has| |#1| (-561)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
 ((($) . T)) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((($) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) . T)) 
 ((((-170 (-216)) (-146) (-146)) . T)) 
 ((((-216) (-219) (-219)) . T)) 
 ((($) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 ((((-170 (-216))) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 ((((-216)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) 
-(((|#1|) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-571)) (|:| |c| |#1|))))) 
+(((|#1|) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
-(((|#1|) . T)) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1244 |#1| |#2| |#3|)) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
+((((-855)) . T)) 
+(((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) (($) . T)) 
+(((|#1|) . T)) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (((-1249 |#1| |#2| |#3|)) |has| |#1| (-367)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) . T)) 
+((((-412 (-571)) (-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2| |#2|) . T) (($ $) -1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+(((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) (($) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) |has| |#2| (-173)) (($) -1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1| |#1|) . T) (($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909)))) 
 ((($ $) . T)) 
 (((|#2|) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) . T) (($) -1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) . T) (($) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909)))) 
 ((($) . T)) 
-(|has| |#1| (-371)) 
+(|has| |#1| (-373)) 
 (((|#1|) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#2|) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053))) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053))) 
 (((|#1| |#1|) . T)) 
-(|has| |#1| (-559)) 
-(((|#2| |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) (((-1165) |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-524 (-1165) |#2|)))) 
-((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(|has| |#1| (-1093)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(|has| |#1| (-1093)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(|has| |#1| (-842)) 
-((($) . T) (((-410 (-569))) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(-1929 (|has| |#4| (-790)) (|has| |#4| (-842))) 
-(-1929 (|has| |#4| (-790)) (|has| |#4| (-842))) 
-(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
-(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
+(|has| |#1| (-561)) 
+(((|#2| |#2|) -12 (|has| |#1| (-367)) (|has| |#2| (-304 |#2|))) (((-1169) |#2|) -12 (|has| |#1| (-367)) (|has| |#2| (-526 (-1169) |#2|)))) 
+((((-412 |#2|)) . T) (((-412 (-571))) . T) (($) . T)) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-845))) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(|has| |#1| (-1097)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(|has| |#1| (-1097)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(|has| |#1| (-845)) 
+((($) . T) (((-412 (-571))) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-352))) 
+(-1831 (|has| |#4| (-793)) (|has| |#4| (-845))) 
+(-1831 (|has| |#4| (-793)) (|has| |#4| (-845))) 
+(-1831 (|has| |#3| (-793)) (|has| |#3| (-845))) 
+(-1831 (|has| |#3| (-793)) (|has| |#3| (-845))) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-366)) 
-(|has| |#1| (-1093)) 
-(|has| |#1| (-1093)) 
-(((|#1| (-1165) (-1082 (-1165)) (-535 (-1082 (-1165)))) . T)) 
-((((-569) |#1|) . T)) 
-((((-569)) . T)) 
-((((-569)) . T)) 
-((((-907 |#1|)) . T)) 
-(((|#1| (-535 |#2|)) . T)) 
-((((-569)) . T)) 
-((((-569)) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049)) SEQ) 
-(((|#1| (-765)) . T)) 
-(|has| |#2| (-790)) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-(|has| |#2| (-842)) 
+(|has| |#2| (-367)) 
+(|has| |#1| (-1097)) 
+(|has| |#1| (-1097)) 
+(((|#1| (-1169) (-1086 (-1169)) (-537 (-1086 (-1169)))) . T)) 
+((((-571) |#1|) . T)) 
+((((-571)) . T)) 
+((((-571)) . T)) 
+((((-910 |#1|)) . T)) 
+(((|#1| (-537 |#2|)) . T)) 
+((((-571)) . T)) 
+((((-571)) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-721)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(((|#1| (-768)) . T)) 
+(|has| |#2| (-793)) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+(|has| |#2| (-845)) 
 (((|#1|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1147) |#1|) . T)) 
-((((-852)) |has| |#1| (-1093))) 
+((((-1151) |#1|) . T)) 
+((((-855)) |has| |#1| (-1097))) 
 (((|#1|) . T)) 
-(((|#3| (-765)) . T)) 
+(((|#3| (-768)) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(|has| |#1| (-1093)) 
-((((-410 (-569))) . T) (((-569)) . T)) 
-((((-1165) |#2|) |has| |#2| (-524 (-1165) |#2|)) ((|#2| |#2|) |has| |#2| (-304 |#2|))) 
-((((-410 (-569))) . T) (((-569)) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(|has| |#1| (-1097)) 
+((((-412 (-571))) . T) (((-571)) . T)) 
+((((-1169) |#2|) |has| |#2| (-526 (-1169) |#2|)) ((|#2| |#2|) |has| |#2| (-304 |#2|))) 
+((((-412 (-571))) . T) (((-571)) . T)) 
 (((|#1|) . T) (($) . T)) 
-((((-569)) . T)) 
-((((-569)) . T)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
-((((-569)) . T)) 
-((((-569)) . T)) 
-((((-690) (-1161 (-690))) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((($) . T) (((-410 (-569))) . T) ((|#1|) |has| |#1| (-173))) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-366)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-569) |#1|) . T)) 
-((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
+((((-571)) . T)) 
+((((-571)) . T)) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) ((|#1|) |has| |#1| (-173))) 
+((((-571)) . T)) 
+((((-571)) . T)) 
+((((-693) (-1165 (-693))) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((($) . T) (((-412 (-571))) . T) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (-367)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-571) |#1|) . T)) 
+((($) . T) (((-571)) . T) (((-412 (-571))) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-852)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-1147) |#1|) . T)) 
+((((-855)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-1151) |#1|) . T)) 
 (((|#3| |#3|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#1|) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1| |#1|) . T) (($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909)))) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
 ((((-311 |#1|)) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) ((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049)))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-569) |#1|) . T)) 
-((((-170 (-216))) |has| |#1| (-1023)) (((-170 (-382))) |has| |#1| (-1023)) (((-542)) |has| |#1| (-610 (-542))) (((-1161 |#1|)) . T) (((-889 (-569))) |has| |#1| (-610 (-889 (-569)))) (((-889 (-382))) |has| |#1| (-610 (-889 (-382))))) 
-((((-852)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#2|) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-(|has| |#2| (-559)) 
-(|has| |#1| (-366)) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
-((((-859 |#1|) (-776 (-859 |#1|))) . T)) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) . T) (($) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909)))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($) -1831 (|has| |#2| (-173)) (|has| |#2| (-845)) (|has| |#2| (-1053))) ((|#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-1053)))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-571) |#1|) . T)) 
+((((-170 (-216))) |has| |#1| (-1027)) (((-170 (-384))) |has| |#1| (-1027)) (((-544)) |has| |#1| (-612 (-544))) (((-1165 |#1|)) . T) (((-892 (-571))) |has| |#1| (-612 (-892 (-571)))) (((-892 (-384))) |has| |#1| (-612 (-892 (-384))))) 
+((((-855)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-845))) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-845))) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561))) ((|#2|) |has| |#1| (-367)) ((|#1|) |has| |#1| (-173))) 
+(|has| |#2| (-561)) 
+(|has| |#1| (-367)) 
+(((|#1|) |has| |#1| (-173)) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561)))) 
+((((-862 |#1|) (-779 (-862 |#1|))) . T)) 
 (((|#1| |#1|) |has| |#1| (-173)) (($ $) |has| |#1| (-173))) 
-(-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) 
-(-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) 
+(-12 (|has| |#4| (-226)) (|has| |#4| (-1053))) 
+(-12 (|has| |#3| (-226)) (|has| |#3| (-1053))) 
 (((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-173))) 
-(-1929 (|has| |#4| (-173)) (|has| |#4| (-842)) (|has| |#4| (-1049))) 
-(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-((((-1165)) |has| |#2| (-897 (-1165))) (((-1077)) . T)) 
-((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
-(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(((|#1|) . T) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-559)) 
-(((|#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(((|#1|) . T)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-559)) 
-((((-690)) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-(-12 (|has| |#1| (-1004)) (|has| |#1| (-1185))) 
-(((|#2|) . T) (($) . T) (((-410 (-569))) . T)) 
-((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1163 |#1| |#2| |#3|)) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
-(((|#4| |#4|) -1929 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1049))) (($ $) |has| |#4| (-173))) 
-(((|#3| |#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049))) (($ $) |has| |#3| (-173))) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569))))) 
-((((-852)) . T)) 
+(-1831 (|has| |#4| (-173)) (|has| |#4| (-845)) (|has| |#4| (-1053))) 
+(-1831 (|has| |#3| (-173)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+((((-1169)) |has| |#2| (-900 (-1169))) (((-1081)) . T)) 
+((((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-571)) |has| |#1| (-1043 (-571))) ((|#1|) . T)) 
+(((|#1|) . T) (((-571)) |has| |#1| (-633 (-571)))) 
+(((|#2|) . T) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(((|#1|) . T) (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-561)) 
+(((|#1|) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(((|#1|) . T)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-561)) 
+((((-693)) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+(-12 (|has| |#1| (-1008)) (|has| |#1| (-1189))) 
+(((|#2|) . T) (($) . T) (((-412 (-571))) . T)) 
+((($) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) . T)) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (((-1167 |#1| |#2| |#3|)) |has| |#1| (-367)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) (($) . T)) 
+(((|#4| |#4|) -1831 (|has| |#4| (-173)) (|has| |#4| (-367)) (|has| |#4| (-1053))) (($ $) |has| |#4| (-173))) 
+(((|#3| |#3|) -1831 (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-1053))) (($ $) |has| |#3| (-173))) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((((-544)) |has| |#2| (-612 (-544))) (((-892 (-384))) |has| |#2| (-612 (-892 (-384)))) (((-892 (-571))) |has| |#2| (-612 (-892 (-571))))) 
+((((-855)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-852)) . T)) 
-((((-542)) |has| |#1| (-610 (-542))) (((-889 (-382))) |has| |#1| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#1| (-610 (-889 (-569))))) 
-((((-852)) . T)) 
-(((|#4|) -1929 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1049))) (($) |has| |#4| (-173))) 
-(((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049))) (($) |has| |#3| (-173))) 
-((((-852)) . T)) 
-((((-542)) . T) (((-569)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
-((((-1077)) . T) ((|#2|) . T) (((-569)) |has| |#2| (-1039 (-569))) (((-410 (-569))) |has| |#2| (-1039 (-410 (-569))))) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
-((((-410 $) (-410 $)) |has| |#2| (-559)) (($ $) . T) ((|#2| |#2|) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-906)) 
-((((-1147) (-57)) . T)) 
-((((-569)) |has| (-410 |#2|) (-631 (-569))) (((-410 |#2|)) . T)) 
-((((-542)) . T) (((-216)) . T) (((-382)) . T) (((-889 (-382))) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
+((((-855)) . T)) 
+((((-544)) |has| |#1| (-612 (-544))) (((-892 (-384))) |has| |#1| (-612 (-892 (-384)))) (((-892 (-571))) |has| |#1| (-612 (-892 (-571))))) 
+((((-855)) . T)) 
+(((|#4|) -1831 (|has| |#4| (-173)) (|has| |#4| (-367)) (|has| |#4| (-1053))) (($) |has| |#4| (-173))) 
+(((|#3|) -1831 (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-1053))) (($) |has| |#3| (-173))) 
+((((-855)) . T)) 
+((((-544)) . T) (((-571)) . T) (((-892 (-571))) . T) (((-384)) . T) (((-216)) . T)) 
+((((-1081)) . T) ((|#2|) . T) (((-571)) |has| |#2| (-1043 (-571))) (((-412 (-571))) |has| |#2| (-1043 (-412 (-571))))) 
+(((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+((($) . T) (((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) . T)) 
+((((-412 $) (-412 $)) |has| |#2| (-561)) (($ $) . T) ((|#2| |#2|) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (-909)) 
+((((-1151) (-57)) . T)) 
+((((-571)) |has| (-412 |#2|) (-633 (-571))) (((-412 |#2|)) . T)) 
+((((-544)) . T) (((-216)) . T) (((-384)) . T) (((-892 (-384))) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053))) 
 (((|#1|) |has| |#1| (-173))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
 (((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-844)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-1093)) 
-(((|#1|) . T)) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-(((|#2| (-765)) . T)) 
-((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-847)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-1097)) 
+(((|#1|) . T)) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) |has| |#2| (-173)) (($) -1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+(((|#2| (-768)) . T)) 
+((($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
 (|has| |#1| (-226)) 
-((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1| (-535 (-815 (-1165)))) . T)) 
-(((|#1| (-974)) . T)) 
-((((-866 |#1|) $) |has| (-866 |#1|) (-282 (-866 |#1|) (-866 |#1|)))) 
-((((-569) |#4|) . T)) 
-((((-569) |#3|) . T)) 
+((($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#1| (-537 (-818 (-1169)))) . T)) 
+(((|#1| (-978)) . T)) 
+((((-869 |#1|) $) |has| (-869 |#1|) (-282 (-869 |#1|) (-869 |#1|)))) 
+((((-571) |#4|) . T)) 
+((((-571) |#3|) . T)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
-(|has| |#1| (-1139)) 
-(((|#1| (-765) (-1077)) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
-(|has| (-1238 |#1| |#2| |#3| |#4|) (-149)) 
-(|has| (-1238 |#1| |#2| |#3| |#4|) (-151)) 
+(|has| |#1| (-1143)) 
+(((|#1| (-768) (-1081)) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
+(|has| (-1243 |#1| |#2| |#3| |#4|) (-149)) 
+(|has| (-1243 |#1| |#2| |#3| |#4|) (-151)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 (((|#1|) |has| |#1| (-173))) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
-((((-1165)) -12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) 
-(|has| |#1| (-1093)) 
-((((-1147) |#1|) . T)) 
+((((-1169)) -12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) 
+(|has| |#1| (-1097)) 
+((((-1151) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
-(|has| |#2| (-371)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#2|) . T) (((-571)) |has| |#2| (-633 (-571)))) 
+(|has| |#2| (-373)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 ((($) . T) ((|#1|) . T)) 
-(((|#2|) |has| |#2| (-1049))) 
-((((-852)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
+(((|#2|) |has| |#2| (-1053))) 
+((((-855)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
 (((|#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) 
-((((-569) |#1|) . T)) 
-((((-852)) . T)) 
-((((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542)))) (((-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382))))) (((-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) |has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))))) 
+((((-571) |#1|) . T)) 
+((((-855)) . T)) 
+((((-544)) -12 (|has| |#1| (-612 (-544))) (|has| |#2| (-612 (-544)))) (((-892 (-384))) -12 (|has| |#1| (-612 (-892 (-384)))) (|has| |#2| (-612 (-892 (-384))))) (((-892 (-571))) -12 (|has| |#1| (-612 (-892 (-571)))) (|has| |#2| (-612 (-892 (-571)))))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 ((($) . T)) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
 ((($) . T)) 
 ((($) . T)) 
 ((($) . T)) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(|has| (-1237 |#2| |#3| |#4|) (-151)) 
-(|has| (-1237 |#2| |#3| |#4|) (-149)) 
-(((|#2|) |has| |#2| (-1093)) (((-569)) -12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (((-410 (-569))) -12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(|has| (-1242 |#2| |#3| |#4|) (-151)) 
+(|has| (-1242 |#2| |#3| |#4|) (-149)) 
+(((|#2|) |has| |#2| (-1097)) (((-571)) -12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097))) (((-412 (-571))) -12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) 
 (((|#1|) . T)) 
-(|has| |#1| (-1093)) 
-((((-852)) . T)) 
+(|has| |#1| (-1097)) 
+((((-855)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053))) 
 (((|#1|) . T)) 
-((((-569) |#1|) . T)) 
+((((-571) |#1|) . T)) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
-((((-852)) |has| |#1| (-1093))) 
-(-1929 (|has| |#1| (-479)) (|has| |#1| (-718)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049)) (|has| |#1| (-1105))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-845))) 
+((((-855)) |has| |#1| (-1097))) 
+(-1831 (|has| |#1| (-481)) (|has| |#1| (-721)) (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053)) (|has| |#1| (-1109))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-352))) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((((-907 |#1|)) . T)) 
-((((-410 |#2|) |#3|) . T)) 
-(|has| |#1| (-15 * (|#1| (-569) |#1|))) 
-((((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-844)) 
+((((-910 |#1|)) . T)) 
+((((-412 |#2|) |#3|) . T)) 
+(|has| |#1| (-15 * (|#1| (-571) |#1|))) 
+((((-412 (-571))) . T) (($) . T)) 
+(|has| |#1| (-847)) 
 (((|#1|) . T) (($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
-(|has| |#1| (-15 * (|#1| (-765) |#1|))) 
-(|has| |#1| (-366)) 
-(-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) 
-(|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
-((((-569)) . T)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-15 * (|#1| (-765) |#1|))) 
-((((-1130 |#2| (-410 (-955 |#1|)))) . T) (((-410 (-955 |#1|))) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-561))) 
+(|has| |#1| (-15 * (|#1| (-768) |#1|))) 
+(|has| |#1| (-367)) 
+(-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))) 
+(|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) 
+((((-571)) . T)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-15 * (|#1| (-768) |#1|))) 
+((((-1134 |#2| (-412 (-958 |#1|)))) . T) (((-412 (-958 |#1|))) . T)) 
 ((($) . T)) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) (($) . T)) 
 (((|#1|) . T)) 
-((((-569) |#1|) . T)) 
+((((-571) |#1|) . T)) 
 (((|#2|) . T)) 
-(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-((((-569)) . T)) 
+(-1831 (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+((((-2 (|:| |k| (-571)) (|:| |c| |#1|))) . T)) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+((((-571)) . T)) 
 (((|#1|) . T)) 
 (|has| |#2| (-149)) 
 (|has| |#2| (-151)) 
-((((-1165)) -12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-852)) . T)) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
-(-1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) 
-((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
-((($ $) |has| |#1| (-559))) 
-((((-690) (-1161 (-690))) . T)) 
-((((-852)) . T)) 
-((((-852)) . T) (((-1253 |#4|)) . T)) 
-((((-852)) . T) (((-1253 |#3|)) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
-((($) |has| |#1| (-559))) 
-((((-852)) . T)) 
-((($) . T)) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1244 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) . T)) 
-(((|#3|) |has| |#3| (-1049))) 
-(((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#1| (-1093)) 
-(((|#2| (-816 |#1|)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-366)) 
-((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
-((((-1077) |#2|) . T) (((-1077) $) . T) (($ $) . T)) 
-((((-907 |#1|)) . T)) 
+((((-1169)) -12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-855)) . T)) 
+(-12 (|has| |#1| (-367)) (|has| |#2| (-820))) 
+(-1831 (|has| |#1| (-302)) (|has| |#1| (-367)) (|has| |#1| (-352)) (|has| |#1| (-561))) 
+((((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1| |#1|) . T) (($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-561)))) 
+((($ $) |has| |#1| (-561))) 
+((((-693) (-1165 (-693))) . T)) 
+((((-855)) . T)) 
+((((-855)) . T) (((-1258 |#4|)) . T)) 
+((((-855)) . T) (((-1258 |#3|)) . T)) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) . T) (($) -1831 (|has| |#1| (-173)) (|has| |#1| (-561)))) 
+((($) |has| |#1| (-561))) 
+((((-855)) . T)) 
+((($) . T)) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (((-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|)) |has| |#1| (-367)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367)))) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (((-1249 |#1| |#2| |#3|)) |has| |#1| (-367)) ((|#1|) . T)) 
+(((|#3|) |has| |#3| (-1053))) 
+(((|#1|) . T) (($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367)))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(|has| |#1| (-1097)) 
+(((|#2| (-819 |#1|)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-367)) 
+((((-412 $) (-412 $)) |has| |#1| (-561)) (($ $) . T) ((|#1| |#1|) . T)) 
+((((-1081) |#2|) . T) (((-1081) $) . T) (($ $) . T)) 
+((((-910 |#1|)) . T)) 
 ((((-148)) . T)) 
 ((((-148)) . T)) 
-(((|#3|) |has| |#3| (-1093)) (((-569)) -12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093))) (((-410 (-569))) -12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093)))) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-906))) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(((|#1|) . T)) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
-(|has| |#1| (-366)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
-((((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
-(|has| |#2| (-817)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-842)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-542)) |has| |#1| (-610 (-542)))) 
+(((|#3|) |has| |#3| (-1097)) (((-571)) -12 (|has| |#3| (-1043 (-571))) (|has| |#3| (-1097))) (((-412 (-571))) -12 (|has| |#3| (-1043 (-412 (-571)))) (|has| |#3| (-1097)))) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-909))) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(((|#1|) . T)) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) . T)) 
+(|has| |#1| (-367)) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-845))) 
+((((-1169) |#1|) |has| |#1| (-526 (-1169) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(|has| |#2| (-820)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-845)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-544)) |has| |#1| (-612 (-544)))) 
 (((|#1| |#2|) . T)) 
-((((-1165)) -12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) 
-((((-1147) |#1|) . T)) 
-(((|#1| |#2| |#3| (-535 |#3|)) . T)) 
-((((-919) |#1|) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+((((-1169)) -12 (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))))) 
+((((-1151) |#1|) . T)) 
+(((|#1| |#2| |#3| (-537 |#3|)) . T)) 
+((((-922) |#1|) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-371)) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-569)) . T)) 
-((((-569)) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-((((-852)) . T)) 
-(((|#2|) . T)) 
-((((-852)) . T)) 
-(-12 (|has| |#2| (-226)) (|has| |#2| (-1049))) 
-((((-1165) (-866 |#1|)) |has| (-866 |#1|) (-524 (-1165) (-866 |#1|))) (((-866 |#1|) (-866 |#1|)) |has| (-866 |#1|) (-304 (-866 |#1|)))) 
-(((|#1|) . T)) 
-((((-569) |#4|) . T)) 
-((((-569) |#3|) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
-((((-410 (-569))) . T) (((-569)) . T)) 
-((((-852)) |has| |#1| (-1093))) 
+(|has| |#1| (-373)) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-571)) . T)) 
+((((-571)) . T)) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+((((-855)) . T)) 
+(((|#2|) . T)) 
+((((-855)) . T)) 
+(-12 (|has| |#2| (-226)) (|has| |#2| (-1053))) 
+((((-1169) (-869 |#1|)) |has| (-869 |#1|) (-526 (-1169) (-869 |#1|))) (((-869 |#1|) (-869 |#1|)) |has| (-869 |#1|) (-304 (-869 |#1|)))) 
+(((|#1|) . T)) 
+((((-571) |#4|) . T)) 
+((((-571) |#3|) . T)) 
+(((|#1|) . T) (((-571)) |has| |#1| (-633 (-571)))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+((((-1243 |#1| |#2| |#3| |#4|)) . T)) 
+((((-412 (-571))) . T) (((-571)) . T)) 
+((((-855)) |has| |#1| (-1097))) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
-((((-569)) . T)) 
-((((-569)) . T)) 
-((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((($) . T) (((-571)) . T) (((-412 (-571))) . T)) 
+((((-571)) . T)) 
+((((-571)) . T)) 
+((($) . T) (((-571)) . T) (((-412 (-571))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-(((|#1|) |has| |#1| (-559))) 
-((((-569) |#4|) . T)) 
-((((-569) |#3|) . T)) 
-((((-852)) . T)) 
-((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-852)) . T)) 
-((((-569) |#1|) . T)) 
+((((-571) (-571)) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+(((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T)) 
+(((|#1|) |has| |#1| (-561))) 
+((((-571) |#4|) . T)) 
+((((-571) |#3|) . T)) 
+((((-855)) . T)) 
+((((-571)) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-855)) . T)) 
+((((-571) |#1|) . T)) 
 (((|#1|) . T)) 
-((($ $) . T) (((-854 |#1|) $) . T) (((-854 |#1|) |#2|) . T)) 
+((($ $) . T) (((-857 |#1|) $) . T) (((-857 |#1|) |#2|) . T)) 
 ((((-311 |#1|) (-311 |#1|)) . T)) 
 ((($) . T)) 
-((($ $) . T) (((-1165) $) . T) (((-1165) |#1|) . T)) 
+((($ $) . T) (((-1169) $) . T) (((-1169) |#1|) . T)) 
 (((|#2|) |has| |#2| (-173))) 
 ((((-311 |#1|)) . T)) 
-(((|#2| |#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($ $) |has| |#2| (-173))) 
+(((|#2| |#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-1053))) (($ $) |has| |#2| (-173))) 
 ((((-148)) . T)) 
-((($) -1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((($) -1831 (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) ((|#2|) |has| |#2| (-173)) (((-412 (-571))) |has| |#2| (-43 (-412 (-571))))) 
 (((|#1|) . T)) 
-(-12 (|has| |#1| (-371)) (|has| |#2| (-371))) 
-((((-852)) . T)) 
-(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($) |has| |#2| (-173))) 
+(-12 (|has| |#1| (-373)) (|has| |#2| (-373))) 
+((((-855)) . T)) 
+(((|#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-1053))) (($) |has| |#2| (-173))) 
 (((|#1|) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-1093)) 
+((((-855)) . T)) 
+(|has| |#1| (-1097)) 
 (|has| $ (-151)) 
-((((-859 |#1|) |#2| (-243 |#2| (-859 |#1|)) (-233 (-2946 |#2|) (-765)) (-969 |#1|) (-776 (-859 |#1|)) (-924 |#1|) (-237 (-924 |#1|)) |#3|) . T)) 
-((((-569) |#1|) . T)) 
-((($) -1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) 
-(|has| |#1| (-366)) 
-(-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) 
-(|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-15 * (|#1| (-765) |#1|))) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-((((-852)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-(((|#2| (-535 (-854 |#1|))) . T)) 
-((((-852)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-582 |#1|)) . T)) 
-((($) . T)) 
-(|has| |#1| (-1185)) 
-(|has| |#1| (-1185)) 
+((((-862 |#1|) |#2| (-243 |#2| (-862 |#1|)) (-233 (-4001 |#2|) (-768)) (-973 |#1|) (-779 (-862 |#1|)) (-927 |#1|) (-237 (-927 |#1|)) |#3|) . T)) 
+((((-571) |#1|) . T)) 
+((($) -1831 (|has| |#1| (-302)) (|has| |#1| (-367)) (|has| |#1| (-352)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) ((|#1|) . T)) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) 
+(|has| |#1| (-367)) 
+(-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))) 
+(|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-15 * (|#1| (-768) |#1|))) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+((((-855)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+(((|#2| (-537 (-857 |#1|))) . T)) 
+((((-855)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-584 |#1|)) . T)) 
+((($) . T)) 
+(|has| |#1| (-1189)) 
+(|has| |#1| (-1189)) 
 (((|#1|) . T) (($) . T)) 
-((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
+((((-571)) |has| |#1| (-633 (-571))) ((|#1|) . T)) 
 (((|#4|) . T)) 
 (((|#3|) . T)) 
-((((-866 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-1185)) 
-(|has| |#1| (-1185)) 
-((((-1165)) -12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-569) |#2|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-869 |#1|)) . T) (($) . T) (((-412 (-571))) . T)) 
+(|has| |#1| (-1189)) 
+(|has| |#1| (-1189)) 
+((((-1169)) -12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-571) |#2|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#2| |#3| |#4| |#5|) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#2|) |has| |#2| (-1049))) 
-(|has| |#1| (-1093)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+((((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1| |#1|) . T) (($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-561)))) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (((-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|)) |has| |#1| (-367)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367)))) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#2|) |has| |#2| (-1053))) 
+(|has| |#1| (-1097)) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) . T) (($) -1831 (|has| |#1| (-173)) (|has| |#1| (-561)))) 
 (|has| |#1| (-173)) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1163 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) . T)) 
-(((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (((-1167 |#1| |#2| |#3|)) |has| |#1| (-367)) ((|#1|) . T)) 
+(((|#1|) . T) (($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367)))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((((-852)) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((($) . T) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((((-412 (-571)) (-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2| |#2|) . T) (($ $) -1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((((-855)) . T)) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) |has| |#2| (-173)) (($) -1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((($) . T) ((|#2|) . T) (((-412 (-571))) |has| |#2| (-43 (-412 (-571))))) 
 ((($ $) . T) ((|#2| $) . T) ((|#2| |#1|) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
-((((-1077) |#1|) . T) (((-1077) $) . T) (($ $) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((($) . T)) 
-(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(((|#2|) |has| |#1| (-366))) 
-(((|#1|) . T)) 
-(|has| |#2| (-906)) 
-(((|#2|) |has| |#2| (-1093)) (((-569)) -12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (((-410 (-569))) -12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) 
-((((-569) |#1|) . T)) 
-(((|#1| (-410 (-569))) . T)) 
-((((-410 |#2|) |#3|) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) |has| |#1| (-173)) (($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909)))) 
+((((-1081) |#1|) . T) (((-1081) $) . T) (($ $) . T)) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) . T) (($) -1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((($) . T)) 
+(((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) (($) . T)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(((|#2|) |has| |#1| (-367))) 
+(((|#1|) . T)) 
+(|has| |#2| (-909)) 
+(((|#2|) |has| |#2| (-1097)) (((-571)) -12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097))) (((-412 (-571))) -12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) 
+((((-571) |#1|) . T)) 
+(((|#1| (-412 (-571))) . T)) 
+((((-412 |#2|) |#3|) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(((|#2| |#3| (-854 |#1|)) . T)) 
-((((-1165)) |has| |#2| (-897 (-1165)))) 
-(((|#1|) . T)) 
-(((|#1| (-535 |#2|) |#2|) . T)) 
-(((|#1| (-765) (-1077)) . T)) 
-((((-410 (-569))) |has| |#2| (-366)) (($) . T)) 
-(((|#1| (-535 (-1082 (-1165))) (-1082 (-1165))) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049)) SEQ) 
-(|has| |#2| (-790)) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#2| (-842)) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) |has| |#2| (-173)) (($) -1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(((|#2| |#3| (-857 |#1|)) . T)) 
+((((-1169)) |has| |#2| (-900 (-1169)))) 
+(((|#1|) . T)) 
+(((|#1| (-537 |#2|) |#2|) . T)) 
+(((|#1| (-768) (-1081)) . T)) 
+((((-412 (-571))) |has| |#2| (-367)) (($) . T)) 
+(((|#1| (-537 (-1086 (-1169))) (-1086 (-1169))) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-721)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(|has| |#2| (-793)) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#2| (-845)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((((-890 |#1|)) . T) (((-816 |#1|)) . T)) 
-((((-816 (-1165))) . T)) 
+((((-893 |#1|)) . T) (((-819 |#1|)) . T)) 
+((((-819 (-1169))) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-635 (-569))) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-542)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-637 (-571))) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-544)) . T) (((-892 (-571))) . T) (((-384)) . T) (((-216)) . T)) 
 (|has| |#1| (-226)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 ((($ $) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 ((($ $) . T)) 
-((((-1244 |#1| |#2| |#3|) $) -12 (|has| (-1244 |#1| |#2| |#3|) (-282 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366))) (($ $) . T)) 
+((((-1249 |#1| |#2| |#3|) $) -12 (|has| (-1249 |#1| |#2| |#3|) (-282 (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367))) (($ $) . T)) 
 ((($ $) . T)) 
 ((($ $) . T)) 
 (((|#1|) . T)) 
 (|has| |#1| (-173)) 
-((((-1128 |#1| |#2|)) |has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|)))) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
-(((|#2|) . T) (((-569)) |has| |#2| (-1039 (-569))) (((-410 (-569))) |has| |#2| (-1039 (-410 (-569))))) 
-(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
+((((-1132 |#1| |#2|)) |has| (-1132 |#1| |#2|) (-304 (-1132 |#1| |#2|)))) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
+(((|#2|) . T) (((-571)) |has| |#2| (-1043 (-571))) (((-412 (-571))) |has| |#2| (-1043 (-412 (-571))))) 
+(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
 (((|#3|) . T)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
-((((-569) (-1201) (-1201)) . T)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
+((((-571) (-1205) (-1205)) . T)) 
 (((|#2|) . T)) 
-((((-852)) -1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) (((-1253 |#2|)) . T)) 
+((((-855)) -1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-373)) (|has| |#2| (-721)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053)) (|has| |#2| (-1097))) (((-1258 |#2|)) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-569)) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-569) (-148)) . T)) 
-((($) -1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) ((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049)))) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
-(((|#2|) |has| |#1| (-366))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-571)) . T)) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) |has| |#1| (-173)) (($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909)))) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-571) (-148)) . T)) 
+((($) -1831 (|has| |#2| (-173)) (|has| |#2| (-845)) (|has| |#2| (-1053))) ((|#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-1053)))) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-561)) (|has| |#1| (-1053))) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-561)) (|has| |#1| (-1053))) 
+(((|#2|) |has| |#1| (-367))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#1| |#1|) . T) (($ $) . T)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((($) . T) (((-410 (-569))) . T) ((|#1|) |has| |#1| (-173))) 
-((($) . T) (((-410 (-569))) . T)) 
-(((|#1| (-535 (-1165)) (-1165)) . T)) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) ((|#1|) |has| |#1| (-173))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((($) . T) (((-412 (-571))) . T) ((|#1|) |has| |#1| (-173))) 
+((($) . T) (((-412 (-571))) . T)) 
+(((|#1| (-537 (-1169)) (-1169)) . T)) 
 (((|#1|) . T) (($) . T)) 
 (|has| |#4| (-173)) 
 (|has| |#3| (-173)) 
-((((-410 (-955 |#1|)) (-410 (-955 |#1|))) . T)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(|has| |#1| (-1093)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(|has| |#1| (-1093)) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+((((-412 (-958 |#1|)) (-412 (-958 |#1|))) . T)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(|has| |#1| (-1097)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(|has| |#1| (-1097)) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
 (((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-173))) 
 (((|#1| |#1|) |has| |#1| (-173))) 
-((((-862)) . T) (((-410 (-569))) . T)) 
-((((-410 (-569))) . T)) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-410 (-955 |#1|))) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-865)) . T) (((-412 (-571))) . T)) 
+((((-412 (-571))) . T)) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-412 (-958 |#1|))) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-852)) . T)) 
-((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) |has| |#1| (-1049)) (((-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-855)) . T)) 
+((((-1243 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) |has| |#1| (-1053)) (((-571)) -12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053)))) 
 (((|#1| |#2|) . T)) 
-(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049)) SEQ) 
-(|has| |#3| (-790)) 
-(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
-(|has| |#3| (-842)) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#2|) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
-(((|#2|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#1| (-1145 |#1|)) |has| |#1| (-842))) 
-((((-569) |#2|) . T)) 
-(|has| |#1| (-1093)) 
-(((|#1|) . T)) 
-((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-1139))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(|has| |#1| (-1093)) 
-(((|#2|) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569))))) 
-(((|#4|) -1929 (|has| |#4| (-173)) (|has| |#4| (-366)))) 
-(((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-906))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-906))) 
-((($ $) . T) (((-1165) $) |has| |#1| (-226)) (((-1165) |#1|) |has| |#1| (-226)) (((-815 (-1165)) |#1|) . T) (((-815 (-1165)) $) . T)) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
-((((-569) |#2|) . T)) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((($) -1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) ((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049)))) 
-((((-569) |#1|) . T)) 
-(|has| (-410 |#2|) (-151)) 
-(|has| (-410 |#2|) (-149)) 
-(((|#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-569)) . T)) 
-(((|#1|) . T)) 
-(((|#2|) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-391) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#2| (-1139)) 
-(|has| |#1| (-559)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(((|#1|) . T)) 
-((((-391) (-1147)) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(|has| |#1| (-559)) 
+(-1831 (|has| |#3| (-173)) (|has| |#3| (-721)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+(|has| |#3| (-793)) 
+(-1831 (|has| |#3| (-793)) (|has| |#3| (-845))) 
+(|has| |#3| (-845)) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561))) ((|#2|) |has| |#1| (-367)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561)))) 
+(((|#2|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#1| (-1149 |#1|)) |has| |#1| (-845))) 
+((((-571) |#2|) . T)) 
+(|has| |#1| (-1097)) 
+(((|#1|) . T)) 
+((((-2 (|:| |k| (-571)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-571)) (|:| |c| |#1|))))) 
+(-12 (|has| |#1| (-367)) (|has| |#2| (-1143))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(|has| |#1| (-1097)) 
+(((|#2|) . T)) 
+((((-544)) |has| |#2| (-612 (-544))) (((-892 (-384))) |has| |#2| (-612 (-892 (-384)))) (((-892 (-571))) |has| |#2| (-612 (-892 (-571))))) 
+(((|#4|) -1831 (|has| |#4| (-173)) (|has| |#4| (-367)))) 
+(((|#3|) -1831 (|has| |#3| (-173)) (|has| |#3| (-367)))) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-909))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-909))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-909))) 
+((($ $) . T) (((-1169) $) |has| |#1| (-226)) (((-1169) |#1|) |has| |#1| (-226)) (((-818 (-1169)) |#1|) . T) (((-818 (-1169)) $) . T)) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-909))) 
+((((-571) |#2|) . T)) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((($) -1831 (|has| |#3| (-173)) (|has| |#3| (-845)) (|has| |#3| (-1053))) ((|#3|) -1831 (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-1053)))) 
+((((-571) |#1|) . T)) 
+(|has| (-412 |#2|) (-151)) 
+(|has| (-412 |#2|) (-149)) 
+(((|#2|) -12 (|has| |#1| (-367)) (|has| |#2| (-304 |#2|)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-571)) . T)) 
+(((|#1|) . T)) 
+(((|#2|) . T) (($) . T) (((-412 (-571))) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-393) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#2| (-1143)) 
+(|has| |#1| (-561)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(((|#1|) . T)) 
+((((-393) (-1151)) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(|has| |#1| (-561)) 
 ((((-125 |#1|)) . T)) 
-((((-852)) . T)) 
-((((-569) |#1|) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+((((-855)) . T)) 
+((((-571) |#1|) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
 (((|#2|) . T)) 
-((((-852)) . T)) 
-(((|#2|) |has| |#2| (-1049)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) 
-((((-816 |#1|)) . T)) 
+((((-855)) . T)) 
+(((|#2|) |has| |#2| (-1053)) (((-571)) -12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) 
+((((-819 |#1|)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
-((((-1165) (-57)) . T)) 
+((((-1169) (-57)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-559)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-561)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-852)) . T)) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+((((-855)) . T)) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
 (((|#2|) |has| |#2| (-304 |#2|))) 
-((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-571) (-571)) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-1161 |#1|)) . T)) 
+(((|#1| (-1165 |#1|)) . T)) 
 (|has| $ (-151)) 
 (((|#2|) . T)) 
-((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
-(|has| |#2| (-371)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-571) (-571)) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+((($) . T) (((-571)) . T) (((-412 (-571))) . T)) 
+(|has| |#2| (-373)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-571)) . T) (((-412 (-571))) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-1163 |#1| |#2| |#3|) $) -12 (|has| (-1163 |#1| |#2| |#3|) (-282 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366))) (($ $) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-852)) |has| |#1| (-1093))) 
+((((-571)) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-1167 |#1| |#2| |#3|) $) -12 (|has| (-1167 |#1| |#2| |#3|) (-282 (-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367))) (($ $) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((($) . T) (((-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) ((|#1|) . T)) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-855)) |has| |#1| (-1097))) 
 ((($ $) . T)) 
 ((($ $) . T)) 
-((((-852)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) -12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366))) (((-1165) (-1244 |#1| |#2| |#3|)) -12 (|has| (-1244 |#1| |#2| |#3|) (-524 (-1165) (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
+((((-855)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|)) -12 (|has| (-1249 |#1| |#2| |#3|) (-304 (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367))) (((-1169) (-1249 |#1| |#2| |#3|)) -12 (|has| (-1249 |#1| |#2| |#3|) (-526 (-1169) (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-569) (-1203) (-1203)) . T)) 
-((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-410 (-569))) . T) (((-569)) . T)) 
-((((-569) (-148)) . T)) 
+((((-571) (-1207) (-1207)) . T)) 
+((($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-412 (-571))) . T) (((-571)) . T)) 
+((((-571) (-148)) . T)) 
 ((((-148)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-844)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
+(|has| |#1| (-847)) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-561)) (|has| |#1| (-1053))) 
 ((((-121)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 ((((-121)) . T)) 
 (((|#1|) . T)) 
-((((-542)) |has| |#1| (-610 (-542))) (((-216)) |has| |#1| (-1023)) (((-382)) |has| |#1| (-1023))) 
-((((-852)) . T)) 
-(|has| |#1| (-817)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(|has| |#1| (-844)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-906)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1093)) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(((|#1| (-1253 |#1|) (-1253 |#1|)) . T)) 
-((((-569) (-148)) . T)) 
-((($) . T)) 
-(-1929 (|has| |#4| (-173)) (|has| |#4| (-842)) (|has| |#4| (-1049))) 
-(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
-(((|#2| (-765)) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-1093)) 
-(((|#1| (-974)) . T)) 
+((((-544)) |has| |#1| (-612 (-544))) (((-216)) |has| |#1| (-1027)) (((-384)) |has| |#1| (-1027))) 
+((((-855)) . T)) 
+(|has| |#1| (-820)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(|has| |#1| (-847)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-561))) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-909)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1097)) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-561))) 
+(((|#1| (-1258 |#1|) (-1258 |#1|)) . T)) 
+((((-571) (-148)) . T)) 
+((($) . T)) 
+(-1831 (|has| |#4| (-173)) (|has| |#4| (-845)) (|has| |#4| (-1053))) 
+(-1831 (|has| |#3| (-173)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+(((|#2| (-768)) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-1097)) 
+(((|#1| (-978)) . T)) 
 (((|#1| |#1|) . T)) 
-(|has| (-410 (-569)) (-149)) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-(|has| (-410 (-569)) (-149)) 
-(((|#1| (-569)) . T)) 
+(|has| (-412 (-571)) (-149)) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+(|has| (-412 (-571)) (-149)) 
+(((|#1| (-571)) . T)) 
 ((($) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049)) SEQ) 
-(-12 (|has| |#1| (-479)) (|has| |#2| (-479))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-721)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(-12 (|has| |#1| (-481)) (|has| |#2| (-481))) 
 (((|#1|) . T)) 
-(|has| |#2| (-790)) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
+(|has| |#2| (-793)) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
 (((|#1| |#2|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(|has| |#2| (-842)) 
-(-12 (|has| |#1| (-790)) (|has| |#2| (-790))) 
-(-12 (|has| |#1| (-790)) (|has| |#2| (-790))) 
-(-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(|has| |#2| (-845)) 
+(-12 (|has| |#1| (-793)) (|has| |#2| (-793))) 
+(-12 (|has| |#1| (-793)) (|has| |#2| (-793))) 
+(-1831 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721)))) 
 (((|#1| |#2|) . T)) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#1|) |has| |#1| (-173))) 
-((((-852)) . T)) 
-(|has| |#1| (-351)) 
+((((-855)) . T)) 
+(|has| |#1| (-352)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) . T)) 
-(|has| |#1| (-825)) 
-((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
-(|has| |#1| (-1093)) 
+((((-412 (-571))) . T) (($) . T)) 
+((($) . T) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) ((|#1|) . T)) 
+(|has| |#1| (-828)) 
+((((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-571)) |has| |#1| (-1043 (-571))) ((|#1|) . T)) 
+(|has| |#1| (-1097)) 
 (((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
-((($) |has| |#1| (-559))) 
-(((|#4|) |has| |#4| (-1093))) 
-(((|#3|) |has| |#3| (-1093))) 
-(|has| |#3| (-371)) 
-(((|#1|) . T) (((-852)) . T)) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1244 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-((((-852)) . T)) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-561))) 
+((($) |has| |#1| (-561))) 
+(((|#4|) |has| |#4| (-1097))) 
+(((|#3|) |has| |#3| (-1097))) 
+(|has| |#3| (-373)) 
+(((|#1|) . T) (((-855)) . T)) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561))) (((-1249 |#1| |#2| |#3|)) |has| |#1| (-367)) ((|#1|) |has| |#1| (-173))) 
+((((-855)) . T)) 
+(((|#1|) |has| |#1| (-173)) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561)))) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
 (((|#2|) . T)) 
 (((|#1| |#1|) |has| |#1| (-173))) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-366)) 
+(|has| |#2| (-367)) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-410 (-569))) . T) (((-569)) . T)) 
-((($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+((((-412 (-571))) . T) (((-571)) . T)) 
+((($ $) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) ((|#2| |#2|) . T) (((-412 (-571)) (-412 (-571))) |has| |#2| (-43 (-412 (-571))))) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) ((|#2|) . T) (((-412 (-571))) |has| |#2| (-43 (-412 (-571))))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
 ((((-148)) . T)) 
 (((|#1|) . T)) 
 ((((-148)) . T)) 
-((($) -1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) ((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049)))) 
+((($) -1831 (|has| |#2| (-173)) (|has| |#2| (-845)) (|has| |#2| (-1053))) ((|#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-1053)))) 
 ((((-148)) . T)) 
 (((|#1| |#2| |#3|) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-561)) (|has| |#1| (-1053))) 
 (|has| $ (-151)) 
 (|has| $ (-151)) 
-((((-569)) . T)) 
-(|has| |#1| (-1093)) 
-((((-852)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-479)) (|has| |#1| (-559)) (|has| |#1| (-1049)) (|has| |#1| (-1105))) 
+((((-571)) . T)) 
+(|has| |#1| (-1097)) 
+((((-855)) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-481)) (|has| |#1| (-561)) (|has| |#1| (-1053)) (|has| |#1| (-1109))) 
 ((($ $) |has| |#1| (-282 $ $)) ((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
-(((|#1| (-410 (-569))) . T)) 
-(((|#1|) . T)) 
-(((|#1| (-569)) . T)) 
-((((-1165)) . T)) 
-(|has| |#1| (-559)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-852)) . T)) 
+(((|#1| (-412 (-571))) . T)) 
+(((|#1|) . T)) 
+(((|#1| (-571)) . T)) 
+((((-1169)) . T)) 
+(|has| |#1| (-561)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-855)) . T)) 
 (|has| |#2| (-149)) 
 (|has| |#2| (-151)) 
 (((|#2|) . T) (($) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-(|has| |#4| (-842)) 
-(((|#2| (-233 (-2946 |#1|) (-765)) (-854 |#1|)) . T)) 
-(|has| |#3| (-842)) 
-(((|#1| (-535 |#3|) |#3|) . T)) 
+(|has| |#4| (-845)) 
+(((|#2| (-233 (-4001 |#1|) (-768)) (-857 |#1|)) . T)) 
+(|has| |#3| (-845)) 
+(((|#1| (-537 |#3|) |#3|) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((((-410 (-569)) (-410 (-569))) |has| |#2| (-366)) (($ $) . T)) 
-((((-866 |#1|)) . T)) 
+((((-412 (-571)) (-412 (-571))) |has| |#2| (-367)) (($ $) . T)) 
+((((-869 |#1|)) . T)) 
 (|has| |#1| (-151)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
 (|has| |#1| (-149)) 
-((((-410 (-569))) |has| |#2| (-366)) (($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-(-1929 (|has| |#1| (-351)) (|has| |#1| (-371))) 
-((((-1130 |#2| |#1|)) . T) ((|#1|) . T)) 
+((((-412 (-571))) |has| |#2| (-367)) (($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+(-1831 (|has| |#1| (-352)) (|has| |#1| (-373))) 
+((((-1134 |#2| |#1|)) . T) ((|#1|) . T)) 
 (((|#1|) . T)) 
 (|has| |#2| (-173)) 
 (((|#1| |#2|) . T)) 
-(-12 (|has| |#2| (-226)) (|has| |#2| (-1049))) 
-(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
-(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
-((((-852)) . T)) 
+(-12 (|has| |#2| (-226)) (|has| |#2| (-1053))) 
+(((|#2|) . T) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(-1831 (|has| |#3| (-793)) (|has| |#3| (-845))) 
+(-1831 (|has| |#3| (-793)) (|has| |#3| (-845))) 
+((((-855)) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T) (($) . T)) 
 (((|#1|) . T) (($) . T)) 
-((((-690)) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-(|has| |#1| (-559)) 
+((((-693)) . T)) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(|has| |#1| (-561)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-1165) (-57)) . T)) 
-((((-852)) . T)) 
-((((-542)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-1169) (-57)) . T)) 
+((((-855)) . T)) 
+((((-544)) . T) (((-892 (-571))) . T) (((-384)) . T) (((-216)) . T)) 
 (((|#1|) . T)) 
-((((-852)) . T)) 
-((((-542)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
-(((|#1| (-569)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
+((((-544)) . T) (((-892 (-571))) . T) (((-384)) . T) (((-216)) . T)) 
+(((|#1| (-571)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-410 (-569))) . T)) 
-(((|#3|) . T) (((-608 $)) . T)) 
+(((|#1| (-412 (-571))) . T)) 
+(((|#3|) . T) (((-610 $)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
 ((($ $) . T) ((|#2| $) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) -12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366))) (((-1165) (-1163 |#1| |#2| |#3|)) -12 (|has| (-1163 |#1| |#2| |#3|) (-524 (-1165) (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
-((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|)) -12 (|has| (-1167 |#1| |#2| |#3|) (-304 (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367))) (((-1169) (-1167 |#1| |#2| |#3|)) -12 (|has| (-1167 |#1| |#2| |#3|) (-526 (-1169) (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367)))) 
+((((-571)) . T) (($) . T) (((-412 (-571))) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) 
-((((-852)) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) |has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))))) 
+((((-855)) . T)) 
 (((|#1|) . T)) 
 (((|#3| |#3|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) ((|#2|) . T)) 
-((((-1165) (-57)) . T)) 
+((((-1169) (-57)) . T)) 
 (((|#3|) . T)) 
-((($ $) . T) (((-854 |#1|) $) . T) (((-854 |#1|) |#2|) . T)) 
-(|has| |#1| (-825)) 
+((($ $) . T) (((-857 |#1|) $) . T) (((-857 |#1|) |#2|) . T)) 
+(|has| |#1| (-828)) 
 ((((-311 |#1|)) . T)) 
-(|has| |#1| (-1093)) 
-(((|#2| |#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($ $) |has| |#2| (-173))) 
-(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
-((((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((|#1| |#2|) . T)) 
-(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($) |has| |#2| (-173))) 
-((((-765)) . T)) 
-((((-569)) . T)) 
-(|has| |#1| (-559)) 
-((((-852)) . T)) 
-(((|#1| (-410 (-569)) (-1077)) . T)) 
+(|has| |#1| (-1097)) 
+(((|#2| |#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-1053))) (($ $) |has| |#2| (-173))) 
+(((|#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)))) 
+((((-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((|#1| |#2|) . T)) 
+(((|#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-1053))) (($) |has| |#2| (-173))) 
+((((-768)) . T)) 
+((((-571)) . T)) 
+(|has| |#1| (-561)) 
+((((-855)) . T)) 
+(((|#1| (-412 (-571)) (-1081)) . T)) 
 (|has| |#1| (-149)) 
 (((|#1|) . T)) 
-(|has| |#1| (-559)) 
-((((-569)) . T)) 
+(|has| |#1| (-561)) 
+((((-571)) . T)) 
 ((((-125 |#1|)) . T)) 
-(((|#1| (-569) (-1077)) . T)) 
+(((|#1| (-571) (-1081)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-561))) 
 (|has| |#1| (-151)) 
-((((-889 (-569))) . T) (((-889 (-382))) . T) (((-542)) . T) (((-1165)) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+((((-892 (-571))) . T) (((-892 (-384))) . T) (((-544)) . T) (((-1169)) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
 ((($) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+((((-571)) |has| |#1| (-633 (-571))) ((|#1|) . T)) 
 (((|#2|) |has| |#2| (-173))) 
-((($) -1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-((((-866 |#1|)) . T)) 
-(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
-((((-852)) . T)) 
-(-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) 
-(|has| |#2| (-1139)) 
-((((-57)) . T) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
-((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-(|has| |#2| (-559)) 
+((($) -1831 (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) ((|#2|) |has| |#2| (-173)) (((-412 (-571))) |has| |#2| (-43 (-412 (-571))))) 
+((((-869 |#1|)) . T)) 
+(-1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-373)) (|has| |#2| (-721)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053)) (|has| |#2| (-1097))) 
+((((-855)) . T)) 
+(-12 (|has| |#3| (-226)) (|has| |#3| (-1053))) 
+(|has| |#2| (-1143)) 
+((((-57)) . T) (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) . T)) 
+((((-2 (|:| |k| (-571)) (|:| |c| |#1|))) . T)) 
+(|has| |#2| (-561)) 
 (((|#1| |#2|) . T)) 
-(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
-(((|#1| (-569) (-1077)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1| (-410 (-569)) (-1077)) . T)) 
-((($) -1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((((-569) |#2|) . T)) 
+(-1831 (|has| |#3| (-173)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+(((|#1| (-571) (-1081)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1| (-412 (-571)) (-1081)) . T)) 
+((($) -1831 (|has| |#1| (-302)) (|has| |#1| (-367)) (|has| |#1| (-352)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) ((|#1|) . T)) 
+((((-571) |#2|) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-371)) 
-(-12 (|has| |#1| (-371)) (|has| |#2| (-371))) 
-((((-852)) . T)) 
-((((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-(((|#1|) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1163 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-351)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
-(|has| |#1| (-559)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-852)) . T)) 
+(|has| |#2| (-373)) 
+(-12 (|has| |#1| (-373)) (|has| |#2| (-373))) 
+((((-855)) . T)) 
+((((-1169) |#1|) |has| |#1| (-526 (-1169) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
+(((|#1|) . T)) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-561))) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561))) (((-1167 |#1| |#2| |#3|)) |has| |#1| (-367)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561)))) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-352)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
+(|has| |#1| (-561)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-855)) . T)) 
 (((|#1| |#2|) . T)) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-906))) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
-((((-410 (-569))) . T) (((-569)) . T)) 
-((((-569)) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((($) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-((((-866 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-852)) . T)) 
-(|has| (-410 (-569)) (-149)) 
-(|has| (-410 (-569)) (-149)) 
-(((|#3| |#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049))) (($ $) |has| |#3| (-173))) 
-(|has| |#1| (-1023)) 
-((((-852)) . T)) 
-(((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049))) (($) |has| |#3| (-173))) 
-((((-569) (-121)) . T)) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-909))) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-909))) 
+((((-412 (-571))) . T) (((-571)) . T)) 
+((((-571)) . T)) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) |has| |#2| (-173)) (($) -1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((($) . T)) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+((((-869 |#1|)) . T) (($) . T) (((-412 (-571))) . T)) 
+((((-855)) . T)) 
+(|has| (-412 (-571)) (-149)) 
+(|has| (-412 (-571)) (-149)) 
+(((|#3| |#3|) -1831 (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-1053))) (($ $) |has| |#3| (-173))) 
+(|has| |#1| (-1027)) 
+((((-855)) . T)) 
+(((|#3|) -1831 (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-1053))) (($) |has| |#3| (-173))) 
+((((-571) (-121)) . T)) 
 (((|#1|) |has| |#1| (-304 |#1|))) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-((((-1165) $) |has| |#1| (-524 (-1165) $)) (($ $) |has| |#1| (-304 $)) ((|#1| |#1|) |has| |#1| (-304 |#1|)) (((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|))) 
-(|has| |#2| (-559)) 
-((((-1165)) |has| |#1| (-897 (-1165)))) 
-(-1929 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351))) 
-((((-391) (-1111)) . T)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+((((-1169) $) |has| |#1| (-526 (-1169) $)) (($ $) |has| |#1| (-304 $)) ((|#1| |#1|) |has| |#1| (-304 |#1|)) (((-1169) |#1|) |has| |#1| (-526 (-1169) |#1|))) 
+(|has| |#2| (-561)) 
+((((-1169)) |has| |#1| (-900 (-1169)))) 
+(-1831 (-12 (|has| |#1| (-226)) (|has| |#1| (-367))) (|has| |#1| (-352))) 
+((((-393) (-1115)) . T)) 
 (((|#1| |#4|) . T)) 
 (((|#1| |#3|) . T)) 
-((((-391) |#1|) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(|has| |#1| (-1093)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-907 |#1|)) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
+((((-393) |#1|) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-352))) 
+(|has| |#1| (-1097)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-910 |#1|)) . T)) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) |has| |#2| (-173)) (($) -1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) |has| |#1| (-173)) (($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909)))) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
 (((|#1| |#1|) . T)) 
-((((-866 |#1|)) |has| (-866 |#1|) (-304 (-866 |#1|)))) 
-(|has| |#1| (-1185)) 
+((((-869 |#1|)) |has| (-869 |#1|) (-304 (-869 |#1|)))) 
+(|has| |#1| (-1189)) 
 (((|#1| |#2|) . T)) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-(-12 (|has| |#1| (-790)) (|has| |#2| (-790))) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+(-12 (|has| |#1| (-793)) (|has| |#2| (-793))) 
 (((|#1|) . T)) 
-(-12 (|has| |#1| (-790)) (|has| |#2| (-790))) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+(-12 (|has| |#1| (-793)) (|has| |#2| (-793))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
 (((|#2|) . T) (($) . T)) 
-(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(|has| |#1| (-1185)) 
-((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(((|#4|) |has| |#4| (-1049))) 
-(((|#3|) |has| |#3| (-1049))) 
-(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-(|has| |#1| (-366)) 
-((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-852)) |has| |#1| (-1093))) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-(((|#1|) . T)) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1| |#1|) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-((((-542)) |has| |#3| (-610 (-542)))) 
-((((-681 |#3|)) . T) (((-852)) . T)) 
+(((|#2|) . T) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(|has| |#1| (-1189)) 
+((((-571) (-571)) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(((|#4|) |has| |#4| (-1053))) 
+(((|#3|) |has| |#3| (-1053))) 
+(((|#1| |#1|) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+(|has| |#1| (-367)) 
+((((-571)) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-855)) |has| |#1| (-1097))) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T)) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T)) 
+(((|#1|) . T)) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) ((|#1| |#1|) . T)) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+((((-544)) |has| |#3| (-612 (-544)))) 
+((((-684 |#3|)) . T) (((-855)) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((((-569) |#3|) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) 
-((($) . T)) 
-((((-410 $) (-410 $)) |has| |#2| (-559)) (($ $) . T) ((|#2| |#2|) . T)) 
+(|has| |#1| (-845)) 
+(|has| |#1| (-845)) 
+((($) . T) (((-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) ((|#1|) . T)) 
+((((-571) |#3|) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-561))) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) |has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))))) 
+((($) . T)) 
+((((-412 $) (-412 $)) |has| |#2| (-561)) (($ $) . T) ((|#2| |#2|) . T)) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
-(((|#2|) |has| |#2| (-1093))) 
-((((-852)) -1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) (((-1253 |#2|)) . T)) 
-(|has| |#2| (-844)) 
-(|has| |#1| (-844)) 
-(|has| |#1| (-844)) 
-((($) . T)) 
-((((-1147) (-57)) . T)) 
-(|has| |#1| (-844)) 
-((((-852)) . T)) 
-((((-569)) |has| (-410 |#2|) (-631 (-569))) (((-410 |#2|)) . T)) 
-((((-569) (-148)) . T)) 
-((((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((|#1| |#2|) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(((|#1|) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-852)) . T)) 
-((((-907 |#1|)) . T)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-842)) 
+(((|#2|) |has| |#2| (-1097))) 
+((((-855)) -1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-373)) (|has| |#2| (-721)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053)) (|has| |#2| (-1097))) (((-1258 |#2|)) . T)) 
+(|has| |#2| (-847)) 
+(|has| |#1| (-847)) 
+(|has| |#1| (-847)) 
+((($) . T)) 
+((((-1151) (-57)) . T)) 
+(|has| |#1| (-847)) 
+((((-855)) . T)) 
+((((-571)) |has| (-412 |#2|) (-633 (-571))) (((-412 |#2|)) . T)) 
+((((-571) (-148)) . T)) 
+((((-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((|#1| |#2|) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(((|#1|) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-855)) . T)) 
+((((-910 |#1|)) . T)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) 
+(|has| |#1| (-845)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-845)) 
 (((|#1|) . T) (($) . T)) 
-(|has| |#1| (-842)) 
-((((-1165)) |has| |#1| (-897 (-1165)))) 
-((((-859 |#1|)) . T)) 
-(((|#1| (-1165)) . T)) 
-(((|#1| (-1253 |#1|) (-1253 |#1|)) . T)) 
+(|has| |#1| (-845)) 
+((((-1169)) |has| |#1| (-900 (-1169)))) 
+((((-862 |#1|)) . T)) 
+(((|#1| (-1169)) . T)) 
+(((|#1| (-1258 |#1|) (-1258 |#1|)) . T)) 
 (((|#1| |#2|) . T)) 
 ((($ $) . T)) 
-(|has| |#1| (-1093)) 
-(((|#1| (-1165) (-815 (-1165)) (-535 (-815 (-1165)))) . T)) 
-((((-410 (-955 |#1|))) . T)) 
-((((-542)) . T)) 
-((((-852)) . T)) 
+(|has| |#1| (-1097)) 
+(((|#1| (-1169) (-818 (-1169)) (-537 (-818 (-1169)))) . T)) 
+((((-412 (-958 |#1|))) . T)) 
+((((-544)) . T)) 
+((((-855)) . T)) 
 ((($) . T)) 
 (((|#2|) . T) (($) . T)) 
-((((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((|#1| |#2|) . T)) 
+((((-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-855)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#3|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-542)) |has| |#1| (-610 (-542))) (((-889 (-382))) |has| |#1| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#1| (-610 (-889 (-569))))) 
-((((-852)) . T)) 
-(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(|has| |#2| (-842)) 
-(-12 (|has| |#2| (-226)) (|has| |#2| (-1049))) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-1139)) 
-((((-1147) |#1|) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-((((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1| |#1|) . T)) 
-((((-410 (-569))) |has| |#1| (-1039 (-569))) (((-569)) |has| |#1| (-1039 (-569))) (((-1165)) |has| |#1| (-1039 (-1165))) ((|#1|) . T)) 
-((((-569) |#2|) . T)) 
-((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
-((((-569)) |has| |#1| (-883 (-569))) (((-382)) |has| |#1| (-883 (-382)))) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-635 |#4|)) . T) (((-852)) . T)) 
-((((-542)) |has| |#4| (-610 (-542)))) 
-((((-542)) |has| |#4| (-610 (-542)))) 
-((((-852)) . T) (((-635 |#4|)) . T)) 
-((($) |has| |#1| (-842))) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) |has| |#1| (-173)) (($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909)))) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-544)) |has| |#1| (-612 (-544))) (((-892 (-384))) |has| |#1| (-612 (-892 (-384)))) (((-892 (-571))) |has| |#1| (-612 (-892 (-571))))) 
+((((-855)) . T)) 
+(((|#2|) . T) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(|has| |#2| (-845)) 
+(-12 (|has| |#2| (-226)) (|has| |#2| (-1053))) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-1143)) 
+((((-1151) |#1|) . T)) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+((((-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) ((|#1| |#1|) . T)) 
+((((-412 (-571))) |has| |#1| (-1043 (-571))) (((-571)) |has| |#1| (-1043 (-571))) (((-1169)) |has| |#1| (-1043 (-1169))) ((|#1|) . T)) 
+((((-571) |#2|) . T)) 
+((((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-571)) |has| |#1| (-1043 (-571))) ((|#1|) . T)) 
+((((-571)) |has| |#1| (-886 (-571))) (((-384)) |has| |#1| (-886 (-384)))) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) ((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-637 |#4|)) . T) (((-855)) . T)) 
+((((-544)) |has| |#4| (-612 (-544)))) 
+((((-544)) |has| |#4| (-612 (-544)))) 
+((((-855)) . T) (((-637 |#4|)) . T)) 
+((($) |has| |#1| (-845))) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-173))) 
-((((-635 |#4|)) . T) (((-852)) . T)) 
-((((-542)) |has| |#4| (-610 (-542)))) 
-(((|#1|) . T)) 
-(((|#2|) . T)) 
-((((-1165)) |has| (-410 |#2|) (-897 (-1165)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
-((($) . T)) 
-((($) . T)) 
-(((|#2|) . T)) 
-((((-852)) -1929 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-718)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049)) (|has| |#3| (-1093))) (((-1253 |#3|)) . T)) 
-((((-569) |#2|) . T)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(((|#2| |#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($ $) |has| |#2| (-173))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((|#2|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-1147) (-1165) (-569) (-216) (-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-852)) . T)) 
-((((-569) (-121)) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
+((((-637 |#4|)) . T) (((-855)) . T)) 
+((((-544)) |has| |#4| (-612 (-544)))) 
+(((|#1|) . T)) 
+(((|#2|) . T)) 
+((((-1169)) |has| (-412 |#2|) (-900 (-1169)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
+((((-571) (-1209) (-1209)) . T)) 
+((($) . T)) 
+((($) . T)) 
+(((|#2|) . T)) 
+((((-855)) -1831 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-373)) (|has| |#3| (-721)) (|has| |#3| (-793)) (|has| |#3| (-845)) (|has| |#3| (-1053)) (|has| |#3| (-1097))) (((-1258 |#3|)) . T)) 
+((((-571) |#2|) . T)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(((|#2| |#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-1053))) (($ $) |has| |#2| (-173))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((|#2|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-1151) (-1169) (-571) (-216) (-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-855)) . T)) 
+((((-571) (-121)) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
 ((((-121)) . T)) 
 ((((-121)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 ((((-121)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-852)) . T)) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-852)) |has| |#1| (-1093))) 
-(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($) |has| |#2| (-173))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-855)) . T)) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-855)) |has| |#1| (-1097))) 
+(((|#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-1053))) (($) |has| |#2| (-173))) 
 (|has| $ (-151)) 
-((((-410 |#2|)) . T)) 
-((((-410 (-569))) |has| (-410 |#2|) (-1039 (-410 (-569)))) (((-569)) |has| (-410 |#2|) (-1039 (-569))) (((-410 |#2|)) . T)) 
+((((-412 |#2|)) . T)) 
+((((-412 (-571))) |has| (-412 |#2|) (-1043 (-412 (-571)))) (((-571)) |has| (-412 |#2|) (-1043 (-571))) (((-412 |#2|)) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#4|) |has| |#4| (-173))) 
 (|has| |#2| (-149)) 
@@ -1307,184 +1309,185 @@
 (((|#3|) |has| |#3| (-173))) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
 (|has| |#1| (-151)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
 (|has| |#1| (-151)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
 (|has| |#1| (-151)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
 (|has| |#2| (-226)) 
-((((-1165) (-57)) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+((((-1169) (-57)) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
 (((|#1| |#1|) . T)) 
-((((-1165)) |has| |#2| (-897 (-1165)))) 
-((((-569) (-121)) . T)) 
-(|has| |#1| (-559)) 
+((((-1169)) |has| |#2| (-900 (-1169)))) 
+((((-571) (-121)) . T)) 
+(|has| |#1| (-561)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
 (((|#3|) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-((((-542)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-1001 |#1|)) . T) ((|#1|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-410 (-569))) . T) (((-410 |#1|)) . T) ((|#1|) . T) (($) . T)) 
-(((|#1| (-1161 |#1|)) . T)) 
-((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+((((-544)) . T) (((-892 (-571))) . T) (((-384)) . T) (((-216)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-1005 |#1|)) . T) ((|#1|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-412 (-571))) . T) (((-412 |#1|)) . T) ((|#1|) . T) (($) . T)) 
+(((|#1| (-1165 |#1|)) . T)) 
+((((-571)) . T) (($) . T) (((-412 (-571))) . T)) 
 (((|#3|) . T) (($) . T)) 
-(|has| |#1| (-844)) 
+(|has| |#1| (-847)) 
 (((|#2|) . T)) 
-((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
-((((-569) |#2|) . T)) 
-((((-852)) |has| |#1| (-1093))) 
+((((-571)) . T) (($) . T) (((-412 (-571))) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
+((((-571) |#2|) . T)) 
+((((-855)) |has| |#1| (-1097))) 
 (((|#2|) . T)) 
-((((-569) |#3|) . T)) 
+((((-571) |#3|) . T)) 
 (((|#2|) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-852)) . T)) 
-(|has| |#1| (-1093)) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
-(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-1249 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-855)) . T)) 
+(|has| |#1| (-1097)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
+(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
 (((|#2| |#2|) . T)) 
 (((|#2|) . T)) 
-(|has| |#2| (-366)) 
-(((|#2|) . T) (((-569)) |has| |#2| (-1039 (-569))) (((-410 (-569))) |has| |#2| (-1039 (-410 (-569))))) 
+(|has| |#2| (-367)) 
+(((|#2|) . T) (((-571)) |has| |#2| (-1043 (-571))) (((-412 (-571))) |has| |#2| (-1043 (-412 (-571))))) 
 (((|#2|) . T)) 
-((((-1077) |#2|) . T) (((-1077) $) . T) (($ $) . T)) 
-((((-1147) (-57)) . T)) 
+((((-1081) |#2|) . T) (((-1081) $) . T) (($ $) . T)) 
+((((-1151) (-57)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
-((((-569) |#3|) . T)) 
-((((-569) (-148)) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+((((-571) |#3|) . T)) 
+((((-571) (-148)) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
 ((((-148)) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-906)) 
+((((-855)) . T)) 
+(|has| |#1| (-909)) 
 ((((-121)) . T)) 
 (|has| |#1| (-151)) 
 (((|#1|) . T)) 
 (|has| |#1| (-149)) 
 ((($) . T)) 
+((((-571)) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-(|has| |#1| (-559)) 
+(|has| |#1| (-561)) 
 (|has| |#1| (-151)) 
 ((($) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#1|) . T)) 
-(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
-(((|#1| (-776 |#1|)) . T)) 
-((((-852)) . T)) 
-((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
-((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
-((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
-((((-1147) (-57)) . T)) 
+(((|#2|) . T) (((-571)) |has| |#2| (-633 (-571)))) 
+(((|#1| (-779 |#1|)) . T)) 
+((((-855)) . T)) 
+((((-571)) |has| |#1| (-633 (-571))) ((|#1|) . T)) 
+((((-571)) |has| |#1| (-633 (-571))) ((|#1|) . T)) 
+((((-571)) |has| |#1| (-633 (-571))) ((|#1|) . T)) 
+((((-1151) (-57)) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#1| |#2|) . T)) 
-((((-569) (-148)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) ((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#1| (-844)) 
-(((|#2| (-765) (-1077)) . T)) 
+((((-571) (-148)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) ((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+((($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(|has| |#1| (-847)) 
+(((|#2| (-768) (-1081)) . T)) 
 (((|#1| |#2|) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(|has| |#1| (-788)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-561))) 
+(|has| |#1| (-791)) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#4|) . T)) 
 (((|#4|) . T)) 
 (((|#1| |#2|) . T)) 
-(-1929 (|has| |#1| (-151)) (-12 (|has| |#1| (-366)) (|has| |#2| (-151)))) 
-(-1929 (|has| |#1| (-149)) (-12 (|has| |#1| (-366)) (|has| |#2| (-149)))) 
+(-1831 (|has| |#1| (-151)) (-12 (|has| |#1| (-367)) (|has| |#2| (-151)))) 
+(-1831 (|has| |#1| (-149)) (-12 (|has| |#1| (-367)) (|has| |#2| (-149)))) 
 (((|#4|) . T)) 
 (|has| |#1| (-149)) 
-((((-1147) |#1|) . T)) 
+((((-1151) |#1|) . T)) 
 (|has| |#1| (-151)) 
 (((|#1|) . T)) 
-((((-569)) . T)) 
-((((-852)) . T)) 
+((((-571)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-852)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-855)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#3|) . T)) 
-((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(((|#1|) . T)) 
-((((-852)) |has| |#1| (-1093))) 
-((((-852)) |has| |#1| (-1093)) (((-960 |#1|)) . T)) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(|has| |#2| (-366)) 
+((((-1249 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(((|#1|) . T)) 
+((((-855)) |has| |#1| (-1097))) 
+((((-855)) |has| |#1| (-1097)) (((-964 |#1|)) . T)) 
+(|has| |#1| (-845)) 
+(|has| |#1| (-845)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(|has| |#2| (-367)) 
 (((|#1|) |has| |#1| (-173))) 
-(((|#2|) |has| |#2| (-1049))) 
-((((-1147) |#1|) . T)) 
-(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
-(((|#2| (-890 |#1|)) . T)) 
-((($) . T)) 
-((($) -1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-((((-391) (-1147)) . T)) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-852)) -1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) (((-1253 |#2|)) . T)) 
-((((-57)) . T) (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+(((|#2|) |has| |#2| (-1053))) 
+((((-1151) |#1|) . T)) 
+(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) 
+(((|#2| (-893 |#1|)) . T)) 
+((($) . T)) 
+((($) -1831 (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) ((|#2|) |has| |#2| (-173)) (((-412 (-571))) |has| |#2| (-43 (-412 (-571))))) 
+((((-393) (-1151)) . T)) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-855)) -1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-373)) (|has| |#2| (-721)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053)) (|has| |#2| (-1097))) (((-1258 |#2|)) . T)) 
+((((-57)) . T) (((-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
 ((((-148)) . T)) 
 (|has| |#2| (-149)) 
 (|has| |#2| (-151)) 
-(|has| |#1| (-479)) 
-(-1929 (|has| |#1| (-479)) (|has| |#1| (-718)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
-(|has| |#1| (-366)) 
-((((-852)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
-((($) |has| |#1| (-559))) 
-(|has| |#2| (-559)) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-((((-852)) . T)) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1244 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#1| (-481)) 
+(-1831 (|has| |#1| (-481)) (|has| |#1| (-721)) (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053))) 
+(|has| |#1| (-367)) 
+((((-855)) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-561))) 
+((($) |has| |#1| (-561))) 
+(|has| |#2| (-561)) 
+(|has| |#1| (-845)) 
+(|has| |#1| (-845)) 
+((((-855)) . T)) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561))) (((-1249 |#1| |#2| |#3|)) |has| |#1| (-367)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561)))) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
 (((|#1| |#2|) . T)) 
-((((-1165)) |has| |#1| (-897 (-1165)))) 
-((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-1093)) 
-(((|#2| (-494 (-2946 |#1|) (-765)) (-854 |#1|)) . T)) 
-((((-410 (-569))) |has| |#2| (-366)) (($) |has| |#2| (-366))) 
-(((|#1| (-535 (-1165)) (-1165)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-1169)) |has| |#1| (-900 (-1169)))) 
+((((-910 |#1|)) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-1097)) 
+(((|#2| (-496 (-4001 |#1|) (-768)) (-857 |#1|)) . T)) 
+((((-412 (-571))) |has| |#2| (-367)) (($) |has| |#2| (-367))) 
+(((|#1| (-537 (-1169)) (-1169)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#3|) . T)) 
 (((|#3|) . T)) 
 (((|#1| |#1|) . T)) 
@@ -1498,65 +1501,65 @@
 (|has| |#1| (-151)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(((|#1|) . T) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(((|#1|) . T) (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
 (((|#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) . T)) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
-((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-1165) (-57)) . T)) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) . T)) 
+((((-1167 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-1169) (-57)) . T)) 
 ((($ $) . T)) 
-(((|#1| (-569)) . T)) 
-((((-907 |#1|)) . T)) 
-(((|#1|) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1049))) (($) -1929 (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049)))) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-(|has| |#1| (-844)) 
-(|has| |#1| (-844)) 
-((((-569) |#2|) . T)) 
-((((-569)) . T)) 
-((((-1244 |#1| |#2| |#3|)) -12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
-(|has| |#1| (-844)) 
-((((-681 |#2|)) . T) (((-852)) . T)) 
+(((|#1| (-571)) . T)) 
+((((-910 |#1|)) . T)) 
+(((|#1|) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-1053))) (($) -1831 (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053)))) 
+(((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+(|has| |#1| (-847)) 
+(|has| |#1| (-847)) 
+((((-571) |#2|) . T)) 
+((((-571)) . T)) 
+((((-1249 |#1| |#2| |#3|)) -12 (|has| (-1249 |#1| |#2| |#3|) (-304 (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367)))) 
+(|has| |#1| (-847)) 
+((((-684 |#2|)) . T) (((-855)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-410 (-955 |#1|))) . T)) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
+((((-412 (-958 |#1|))) . T)) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
 (((|#1|) |has| |#1| (-173))) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
-(((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
-(|has| |#2| (-844)) 
-(|has| |#1| (-844)) 
-(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-906))) 
-(((|#1|) . T)) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-((((-569) |#2|) . T)) 
-(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
-(|has| |#1| (-351)) 
-(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
-((($) . T) (((-410 (-569))) . T)) 
-((((-569) (-121)) . T)) 
-(|has| |#1| (-817)) 
-(|has| |#1| (-817)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-1165)) |has| |#1| (-897 (-1165))) (((-1077)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-842)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(|has| |#1| (-1093)) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
+(((|#3|) -1831 (|has| |#3| (-173)) (|has| |#3| (-367)))) 
+(|has| |#2| (-847)) 
+(|has| |#1| (-847)) 
+(-1831 (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-909))) 
+(((|#1|) . T)) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+((((-571) |#2|) . T)) 
+(((|#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)))) 
+(|has| |#1| (-352)) 
+(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) 
+((($) . T) (((-412 (-571))) . T)) 
+((((-571) (-121)) . T)) 
+(|has| |#1| (-820)) 
+(|has| |#1| (-820)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-302)) (|has| |#1| (-367)) (|has| |#1| (-352))) 
+(|has| |#1| (-845)) 
+(|has| |#1| (-845)) 
+(|has| |#1| (-845)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-571)) . T) (($) . T) (((-412 (-571))) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-352))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-1169)) |has| |#1| (-900 (-1169))) (((-1081)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-845)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) |has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(|has| |#1| (-1097)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1|) . T)) 
@@ -1565,279 +1568,279 @@
 (((|#3| |#3|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-535 |#2|) |#2|) . T)) 
-((((-852)) . T)) 
-(((|#1| (-765) (-1077)) . T)) 
+(((|#1| (-537 |#2|) |#2|) . T)) 
+((((-855)) . T)) 
+(((|#1| (-768) (-1081)) . T)) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
 ((((-148)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
-(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
+(-1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-373)) (|has| |#2| (-721)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053)) (|has| |#2| (-1097))) 
 (((|#1|) . T)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 (|has| |#3| (-173)) 
-(((|#4|) |has| |#4| (-366))) 
-(((|#3|) |has| |#3| (-366))) 
+(((|#4|) |has| |#4| (-367))) 
+(((|#3|) |has| |#3| (-367))) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#1| (-366))) 
+(((|#2|) |has| |#1| (-367))) 
 (((|#2|) . T)) 
-(((|#1| (-1161 |#1|)) . T)) 
-((((-1077)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-((($) . T) ((|#1|) . T) (((-410 (-569))) . T)) 
+(((|#1| (-1165 |#1|)) . T)) 
+((((-1081)) . T) ((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+((($) . T) ((|#1|) . T) (((-412 (-571))) . T)) 
 (((|#2|) . T)) 
-((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((($) |has| |#1| (-842))) 
-(|has| |#1| (-906)) 
-((((-852)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-1167 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+((($) |has| |#1| (-845))) 
+(|has| |#1| (-909)) 
+((((-855)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-906))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) |has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))))) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-909))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-909))) 
 (((|#1|) . T) (($) . T)) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
-(|has| |#1| (-844)) 
-(|has| |#1| (-559)) 
-((((-582 |#1|)) . T)) 
+(((|#3|) -1831 (|has| |#3| (-173)) (|has| |#3| (-367)))) 
+(|has| |#1| (-847)) 
+(|has| |#1| (-561)) 
+((((-584 |#1|)) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
-(-1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-817))) (-12 (|has| |#1| (-366)) (|has| |#2| (-844)))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-((((-907 |#1|)) . T)) 
-(((|#1| (-506 |#1| |#3|) (-506 |#1| |#2|)) . T)) 
+(-1831 (-12 (|has| |#1| (-367)) (|has| |#2| (-820))) (-12 (|has| |#1| (-367)) (|has| |#2| (-847)))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+((((-910 |#1|)) . T)) 
+(((|#1| (-508 |#1| |#3|) (-508 |#1| |#2|)) . T)) 
 (((|#1| |#4| |#5|) . T)) 
-(((|#1| (-765)) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1163 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
-((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-664 |#1|)) . T)) 
+(((|#1| (-768)) . T)) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-561))) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561))) (((-1167 |#1| |#2| |#3|)) |has| |#1| (-367)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561)))) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) . T)) 
+((((-412 |#2|)) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-666 |#1|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-542)) . T)) 
-((((-852)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-852)) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#2|) . T)) 
-(-1929 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-718)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049)) (|has| |#3| (-1093))) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
-(|has| |#1| (-1185)) 
-(|has| |#1| (-1185)) 
-(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
-(|has| |#1| (-1185)) 
-(|has| |#1| (-1185)) 
+((((-544)) . T)) 
+((((-855)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-855)) . T)) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) |has| |#2| (-173)) (($) -1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#2|) . T)) 
+(-1831 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-373)) (|has| |#3| (-721)) (|has| |#3| (-793)) (|has| |#3| (-845)) (|has| |#3| (-1053)) (|has| |#3| (-1097))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+((((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-571)) |has| |#1| (-1043 (-571))) ((|#1|) . T)) 
+(|has| |#1| (-1189)) 
+(|has| |#1| (-1189)) 
+(-1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-373)) (|has| |#2| (-721)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053)) (|has| |#2| (-1097))) 
+(|has| |#1| (-1189)) 
+(|has| |#1| (-1189)) 
 (((|#3| |#3|) . T)) 
-((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
-((($) . T) (((-410 (-569))) . T) (((-410 |#1|)) . T) ((|#1|) . T)) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) . T) (((-410 |#1|) (-410 |#1|)) . T) ((|#1| |#1|) . T)) 
+((((-571)) . T) (($) . T) (((-412 (-571))) . T)) 
+((($) . T) (((-412 (-571))) . T) (((-412 |#1|)) . T) ((|#1|) . T)) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) . T) (((-412 |#1|) (-412 |#1|)) . T) ((|#1| |#1|) . T)) 
 (((|#3|) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-1147) (-57)) . T)) 
-(|has| |#1| (-1093)) 
-(-1929 (|has| |#2| (-817)) (|has| |#2| (-844))) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-1151) (-57)) . T)) 
+(|has| |#1| (-1097)) 
+(-1831 (|has| |#2| (-820)) (|has| |#2| (-847))) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((($) . T)) 
-((((-1163 |#1| |#2| |#3|)) -12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
-((((-852)) . T)) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-((($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
-(|has| |#2| (-906)) 
-(|has| |#1| (-366)) 
-(((|#2|) |has| |#2| (-1093))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) (((-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) ((|#1|) . T)) 
+((($) . T)) 
+((((-1167 |#1| |#2| |#3|)) -12 (|has| (-1167 |#1| |#2| |#3|) (-304 (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367)))) 
+((((-855)) . T)) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+((($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-909))) 
+(|has| |#2| (-909)) 
+(|has| |#1| (-367)) 
+(((|#2|) |has| |#2| (-1097))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
 ((($) . T) ((|#2|) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-906))) 
-((((-542)) . T) (((-410 (-1161 (-569)))) . T) (((-216)) . T) (((-382)) . T)) 
-((((-382)) . T) (((-216)) . T) (((-852)) . T)) 
-(|has| |#1| (-906)) 
-(|has| |#1| (-906)) 
-(|has| |#1| (-906)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-(((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
-(|has| (-170 (-216)) (-844)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-909))) 
+((((-544)) . T) (((-412 (-1165 (-571)))) . T) (((-216)) . T) (((-384)) . T)) 
+((((-384)) . T) (((-216)) . T) (((-855)) . T)) 
+(|has| |#1| (-909)) 
+(|has| |#1| (-909)) 
+(|has| |#1| (-909)) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+(((|#1|) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
+(|has| (-170 (-216)) (-847)) 
 ((($ $) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(|has| |#1| (-366)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(|has| |#1| (-367)) 
 ((($ $) . T)) 
-((((-569) (-121)) . T)) 
+((((-571) (-121)) . T)) 
 ((($) . T)) 
-(|has| |#2| (-559)) 
+(|has| |#2| (-561)) 
 (((|#1|) . T)) 
 ((((-121)) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-((((-569)) . T)) 
-(((|#1| (-569)) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) 
+((((-571)) . T)) 
+(((|#1| (-571)) . T)) 
 ((($) . T)) 
-(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
-((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
+(((|#2|) . T) (((-571)) |has| |#2| (-633 (-571)))) 
+((((-571)) |has| |#1| (-633 (-571))) ((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-569)) . T)) 
+((((-571)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1165)) |has| |#1| (-1049))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-852)) . T)) 
-(((|#1| (-765)) . T)) 
+((((-1169)) |has| |#1| (-1053))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-855)) . T)) 
+(((|#1| (-768)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-569)) . T)) 
-(((|#1| (-1244 |#1| |#2| |#3|)) . T)) 
+(((|#1| (-571)) . T)) 
+(((|#1| (-1249 |#1| |#2| |#3|)) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-410 (-569))) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-852)) . T)) 
-(((|#1| (-1216 |#1| |#2| |#3|)) . T)) 
-(|has| |#1| (-1093)) 
-(((|#1| (-765)) . T)) 
+(((|#1| (-412 (-571))) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-855)) . T)) 
+(((|#1| (-1221 |#1| |#2| |#3|)) . T)) 
+(|has| |#1| (-1097)) 
+(((|#1| (-768)) . T)) 
 (((|#1|) . T)) 
-((((-1147) |#1|) . T)) 
+((((-1151) |#1|) . T)) 
 ((($) . T)) 
 (|has| |#2| (-151)) 
 (|has| |#2| (-149)) 
-(((|#1| (-535 (-815 (-1165))) (-815 (-1165))) . T)) 
-((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
-((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) |has| |#1| (-1049))) 
-((((-569) (-121)) . T)) 
-((((-852)) |has| |#1| (-1093))) 
+(((|#1| (-537 (-818 (-1169))) (-818 (-1169))) . T)) 
+((((-1243 |#1| |#2| |#3| |#4|)) . T)) 
+((((-1243 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) |has| |#1| (-1053))) 
+((((-571) (-121)) . T)) 
+((((-855)) |has| |#1| (-1097))) 
 (|has| |#2| (-173)) 
-((((-569)) . T)) 
-(|has| |#2| (-842)) 
+((((-571)) . T)) 
+(|has| |#2| (-845)) 
 (((|#1|) . T)) 
-((((-569)) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-351))) 
+((((-571)) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-352))) 
 (|has| |#1| (-151)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
 (((|#3|) . T)) 
-(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
-((((-852)) . T)) 
-((((-1237 |#2| |#3| |#4|)) . T) (((-1238 |#1| |#2| |#3| |#4|)) . T)) 
-((((-852)) . T)) 
-((((-53)) -12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569)))) (((-608 $)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) -1929 (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569)))) (|has| |#1| (-1039 (-410 (-569))))) (((-410 (-955 |#1|))) |has| |#1| (-559)) (((-955 |#1|)) |has| |#1| (-1049)) (((-1165)) . T)) 
+(-1831 (|has| |#3| (-173)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+((((-855)) . T)) 
+((((-1242 |#2| |#3| |#4|)) . T) (((-1243 |#1| |#2| |#3| |#4|)) . T)) 
+((((-855)) . T)) 
+((((-53)) -12 (|has| |#1| (-561)) (|has| |#1| (-1043 (-571)))) (((-610 $)) . T) ((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) -1831 (-12 (|has| |#1| (-561)) (|has| |#1| (-1043 (-571)))) (|has| |#1| (-1043 (-412 (-571))))) (((-412 (-958 |#1|))) |has| |#1| (-561)) (((-958 |#1|)) |has| |#1| (-1053)) (((-1169)) . T)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-765)) . T)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
+(((|#1| (-768)) . T)) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) ((|#1|) |has| |#1| (-173))) 
 (((|#1|) |has| |#1| (-304 |#1|))) 
-((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
-((((-569)) |has| |#1| (-883 (-569))) (((-382)) |has| |#1| (-883 (-382)))) 
+((((-1243 |#1| |#2| |#3| |#4|)) . T)) 
+((((-571)) |has| |#1| (-886 (-571))) (((-384)) |has| |#1| (-886 (-384)))) 
 (((|#1|) . T)) 
-(|has| |#1| (-559)) 
+(|has| |#1| (-561)) 
 (((|#1|) . T)) 
-((((-852)) . T)) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
+((((-855)) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
 (((|#1|) |has| |#1| (-173))) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) 
-(((|#1|) . T)) 
-(((|#3|) |has| |#3| (-1093))) 
-(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
-((((-1237 |#2| |#3| |#4|)) . T)) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) 
+(((|#1|) . T)) 
+(((|#3|) |has| |#3| (-1097))) 
+(((|#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-367)))) 
+((((-1242 |#2| |#3| |#4|)) . T)) 
 ((((-121)) . T)) 
-(|has| |#1| (-817)) 
-(|has| |#1| (-817)) 
-(((|#1| (-569) (-1077)) . T)) 
+(|has| |#1| (-820)) 
+(|has| |#1| (-820)) 
+(((|#1| (-571) (-1081)) . T)) 
 ((($) |has| |#1| (-304 $)) ((|#1|) |has| |#1| (-304 |#1|))) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-842)) 
-(((|#1| (-765) (-1077)) . T)) 
-(-1929 (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-1165)) . T)) 
-(((|#1| (-569) (-1077)) . T)) 
-(((|#1| (-410 (-569)) (-1077)) . T)) 
-(((|#1| (-765) (-1077)) . T)) 
-(|has| |#1| (-844)) 
-((((-907 |#1|) (-907 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(|has| |#1| (-845)) 
+(|has| |#1| (-845)) 
+(((|#1| (-768) (-1081)) . T)) 
+(-1831 (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053))) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-1169)) . T)) 
+(((|#1| (-571) (-1081)) . T)) 
+(((|#1| (-412 (-571)) (-1081)) . T)) 
+(((|#1| (-768) (-1081)) . T)) 
+(|has| |#1| (-847)) 
+((((-910 |#1|) (-910 |#1|)) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
 (|has| |#2| (-149)) 
 (|has| |#2| (-151)) 
 (((|#2|) . T)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
-(|has| |#1| (-1093)) 
-((((-907 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-1093)) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1093)) 
-((((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-631 (-569)))) ((|#2|) |has| |#1| (-366))) 
-(((|#2|) |has| |#2| (-1049))) 
-(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
+(|has| |#1| (-1097)) 
+((((-910 |#1|)) . T) (($) . T) (((-412 (-571))) . T)) 
+(|has| |#1| (-1097)) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1097)) 
+((((-571)) -12 (|has| |#1| (-367)) (|has| |#2| (-633 (-571)))) ((|#2|) |has| |#1| (-367))) 
+(((|#2|) |has| |#2| (-1053))) 
+(-1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-373)) (|has| |#2| (-721)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053)) (|has| |#2| (-1097))) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#1|) |has| |#1| (-173))) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
-((((-852)) . T)) 
-(|has| |#3| (-842)) 
-((((-852)) . T)) 
-((((-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) . T)) 
-((((-852)) . T)) 
-(((|#1| |#1|) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1049)))) 
-(((|#1|) . T)) 
-((((-569)) . T)) 
-((((-852)) . T)) 
-((((-569)) . T)) 
-((((-736 |#1| |#2|)) . T) (((-608 $)) . T) ((|#2|) . T) (((-569)) . T) (((-410 (-569))) -1929 (-12 (|has| |#2| (-559)) (|has| |#2| (-1039 (-569)))) (|has| |#2| (-1039 (-410 (-569))))) (((-410 (-955 |#2|))) |has| |#2| (-559)) (((-955 |#2|)) |has| |#2| (-1049)) (((-1165)) . T)) 
-(((|#1|) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1049)))) 
-(((|#2|) |has| |#2| (-366))) 
-((((-569)) |has| |#2| (-883 (-569))) (((-382)) |has| |#2| (-883 (-382)))) 
-(((|#2|) . T)) 
-(|has| |#1| (-844)) 
-((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-366))) 
-(((|#2|) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(((|#1| (-765)) . T)) 
-(((|#2|) . T)) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
-(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-542)) . T) (((-569)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
+((((-855)) . T)) 
+(|has| |#3| (-845)) 
+((((-855)) . T)) 
+((((-1242 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) . T)) 
+((((-855)) . T)) 
+(((|#1| |#1|) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-1053)))) 
+(((|#1|) . T)) 
+((((-571)) . T)) 
+((((-855)) . T)) 
+((((-571)) . T)) 
+((((-739 |#1| |#2|)) . T) (((-610 $)) . T) ((|#2|) . T) (((-571)) . T) (((-412 (-571))) -1831 (-12 (|has| |#2| (-561)) (|has| |#2| (-1043 (-571)))) (|has| |#2| (-1043 (-412 (-571))))) (((-412 (-958 |#2|))) |has| |#2| (-561)) (((-958 |#2|)) |has| |#2| (-1053)) (((-1169)) . T)) 
+(((|#1|) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-1053)))) 
+(((|#2|) |has| |#2| (-367))) 
+((((-571)) |has| |#2| (-886 (-571))) (((-384)) |has| |#2| (-886 (-384)))) 
+(((|#2|) . T)) 
+(|has| |#1| (-847)) 
+((($) . T) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-367))) 
+(((|#2|) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(((|#1| (-768)) . T)) 
+(((|#2|) . T)) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) |has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-909))) 
+(((|#2|) . T) (((-571)) |has| |#2| (-633 (-571)))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-544)) . T) (((-571)) . T) (((-892 (-571))) . T) (((-384)) . T) (((-216)) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-571)) . T) (($) . T) (((-412 (-571))) . T)) 
+((((-571)) . T) (($) . T) (((-412 (-571))) . T)) 
 (|has| |#1| (-226)) 
 (((|#1|) . T)) 
-(((|#1| (-569)) . T)) 
-(|has| |#1| (-842)) 
-(((|#1| (-1163 |#1| |#2| |#3|)) . T)) 
+(((|#1| (-571)) . T)) 
+(|has| |#1| (-845)) 
+(((|#1| (-1167 |#1| |#2| |#3|)) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-410 (-569))) . T)) 
-(((|#1| (-1155 |#1| |#2| |#3|)) . T)) 
-(((|#1| (-765)) . T)) 
+(((|#1| (-412 (-571))) . T)) 
+(((|#1| (-1159 |#1| |#2| |#3|)) . T)) 
+(((|#1| (-768)) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
@@ -1848,1684 +1851,1685 @@
 (|has| |#1| (-149)) 
 (((|#1| |#2|) . T)) 
 ((((-148)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(((|#1|) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-(((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-852)) |has| |#1| (-1093))) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-(|has| (-410 |#2|) (-226)) 
-(|has| |#1| (-906)) 
-(((|#2|) |has| |#2| (-1049))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
-(|has| |#1| (-366)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(((|#1|) . T)) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+((((-855)) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+((($) . T) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-855)) |has| |#1| (-1097))) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+(|has| (-412 |#2|) (-226)) 
+(|has| |#1| (-909)) 
+(((|#2|) |has| |#2| (-1053))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
+(|has| |#1| (-367)) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1| |#1|) . T)) 
-((((-866 |#1|)) . T)) 
-((((-852)) . T)) 
+((((-869 |#1|)) . T)) 
+((((-855)) . T)) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#2| (-1093))) 
-(|has| |#2| (-844)) 
+(((|#2|) |has| |#2| (-1097))) 
+(|has| |#2| (-847)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-366)) 
-((((-410 (-569))) . T) (((-569)) . T) (((-608 $)) . T)) 
+(|has| |#1| (-367)) 
+((((-412 (-571))) . T) (((-571)) . T) (((-610 $)) . T)) 
 (((|#1|) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
 ((($) . T)) 
-(|has| |#1| (-844)) 
-((((-852)) . T)) 
-(((|#1| (-535 |#2|) |#2|) . T)) 
-(((|#1| (-569) (-1077)) . T)) 
-((((-907 |#1|)) . T)) 
-((((-852)) . T)) 
+(|has| |#1| (-847)) 
+((((-855)) . T)) 
+(((|#1| (-537 |#2|) |#2|) . T)) 
+(((|#1| (-571) (-1081)) . T)) 
+((((-910 |#1|)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-410 (-569)) (-1077)) . T)) 
-(((|#1| (-765) (-1077)) . T)) 
-((((-410 |#2|) (-410 |#2|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-(((|#1|) . T) (((-569)) -1929 (|has| (-410 (-569)) (-1039 (-569))) (|has| |#1| (-1039 (-569)))) (((-410 (-569))) . T)) 
-(((|#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) . T)) 
+(((|#1| (-412 (-571)) (-1081)) . T)) 
+(((|#1| (-768) (-1081)) . T)) 
+((((-412 |#2|) (-412 |#2|)) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+(((|#1|) . T) (((-571)) -1831 (|has| (-412 (-571)) (-1043 (-571))) (|has| |#1| (-1043 (-571)))) (((-412 (-571))) . T)) 
+(((|#1| (-602 |#1| |#3|) (-602 |#1| |#2|)) . T)) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-412 |#2|)) . T) (((-412 (-571))) . T) (($) . T)) 
 (|has| |#2| (-226)) 
-(((|#2| (-535 (-854 |#1|)) (-854 |#1|)) . T)) 
-((($) -1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-((((-852)) . T)) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-852)) . T)) 
+(((|#2| (-537 (-857 |#1|)) (-857 |#1|)) . T)) 
+((($) -1831 (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) ((|#2|) |has| |#2| (-173)) (((-412 (-571))) |has| |#2| (-43 (-412 (-571))))) 
+((((-855)) . T)) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-855)) . T)) 
 (((|#1| |#3|) . T)) 
-((((-852)) . T)) 
-(|has| |#2| (-1139)) 
+((((-855)) . T)) 
+(|has| |#2| (-1143)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-690)) . T)) 
-((((-690)) . T)) 
+((((-693)) . T)) 
+((((-693)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
-(|has| |#2| (-842)) 
-((((-121)) |has| |#1| (-1093)) (((-852)) -1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-718)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049)) (|has| |#1| (-1105)) (|has| |#1| (-1093)))) 
+(|has| |#2| (-845)) 
+((((-121)) |has| |#1| (-1097)) (((-855)) -1831 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-481)) (|has| |#1| (-721)) (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053)) (|has| |#1| (-1109)) (|has| |#1| (-1097)))) 
 (((|#1|) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-569) |#1|) . T)) 
-((((-690)) . T) (((-410 (-569))) . T) (((-569)) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-571) |#1|) . T)) 
+((((-693)) . T) (((-412 (-571))) . T) (((-571)) . T)) 
 (((|#2|) . T)) 
 (((|#1| |#1|) |has| |#1| (-173))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
-((((-382)) . T)) 
-((((-690)) . T)) 
-((((-410 (-569))) |has| |#2| (-366)) (($) |has| |#2| (-366))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
+((((-384)) . T)) 
+((((-693)) . T)) 
+((((-412 (-571))) |has| |#2| (-367)) (($) |has| |#2| (-367))) 
 (((|#1|) |has| |#1| (-173))) 
-((((-410 (-955 |#1|))) . T)) 
+((((-412 (-958 |#1|))) . T)) 
 (((|#2| |#2|) . T)) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((($) . T)) 
-(((|#2|) . T)) 
-(|has| |#2| (-844)) 
-(((|#3|) |has| |#3| (-1049))) 
-(|has| |#2| (-906)) 
-(|has| |#1| (-906)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-844)) 
-((((-569)) . T)) 
-((((-569)) . T)) 
-((((-1165)) |has| |#2| (-897 (-1165)))) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-479)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-366)) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-479)) (|has| |#1| (-559)) (|has| |#1| (-1049)) (|has| |#1| (-1105))) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((($) . T)) 
+(((|#2|) . T)) 
+(|has| |#2| (-847)) 
+(((|#3|) |has| |#3| (-1053))) 
+(|has| |#2| (-909)) 
+(|has| |#1| (-909)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-847)) 
+((((-571)) . T)) 
+((((-571)) . T)) 
+((((-1169)) |has| |#2| (-900 (-1169)))) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(|has| |#1| (-481)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-367)) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-481)) (|has| |#1| (-561)) (|has| |#1| (-1053)) (|has| |#1| (-1109))) 
 ((((-125 |#1|)) . T)) 
 ((((-125 |#1|)) . T)) 
 ((((-148)) . T)) 
-(|has| |#1| (-351)) 
-((((-1165)) |has| |#1| (-897 (-1165))) (((-1077)) . T)) 
-((($) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(((|#2|) . T) (((-852)) . T)) 
-(((|#2|) . T) (((-852)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-352)) 
+((((-1169)) |has| |#1| (-900 (-1169))) (((-1081)) . T)) 
+((($) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(((|#2|) . T) (((-855)) . T)) 
+(((|#2|) . T) (((-855)) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
 ((((-170 (-216)) (-146) (-146)) . T)) 
 ((((-216) (-219) (-219)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-844)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-847)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
 (((|#1| |#2|) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) ((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) ((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#3|) . T)) 
 ((((-125 |#1|)) . T)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-844)) 
-(((|#2|) . T) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-847)) 
+(((|#2|) . T) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-571)) |has| |#1| (-1043 (-571))) ((|#1|) . T)) 
 ((((-125 |#1|)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#1|) . T)) 
-((((-569)) . T)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-((((-852)) . T)) 
-((((-1077)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-542)) |has| |#1| (-610 (-542))) (((-889 (-569))) |has| |#1| (-610 (-889 (-569)))) (((-889 (-382))) |has| |#1| (-610 (-889 (-382)))) (((-382)) |has| |#1| (-1023)) (((-216)) |has| |#1| (-1023))) 
-(((|#1|) |has| |#1| (-366))) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((($ $) . T) (((-608 $) $) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-((($) . T) (((-1238 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569))) . T)) 
-((($) -1929 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-559))) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-((((-382)) . T) (((-569)) . T) (((-410 (-569))) . T)) 
-((((-635 (-777 |#1| (-854 |#2|)))) . T) (((-852)) . T)) 
-((((-542)) |has| (-777 |#1| (-854 |#2|)) (-610 (-542)))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-382)) . T)) 
-(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
-((((-852)) . T)) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-906))) 
-(((|#1|) . T)) 
-(|has| |#1| (-844)) 
-(|has| |#1| (-844)) 
-((((-852)) |has| |#1| (-1093))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
-(|has| |#1| (-1093)) 
-((((-852)) . T)) 
-(((|#1| (-765)) . T)) 
-((((-410 (-569))) . T) (((-569)) . T) (((-608 $)) . T)) 
+((((-571)) . T)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+((((-855)) . T)) 
+((((-1081)) . T) ((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-544)) |has| |#1| (-612 (-544))) (((-892 (-571))) |has| |#1| (-612 (-892 (-571)))) (((-892 (-384))) |has| |#1| (-612 (-892 (-384)))) (((-384)) |has| |#1| (-1027)) (((-216)) |has| |#1| (-1027))) 
+(((|#1|) |has| |#1| (-367))) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((($ $) . T) (((-610 $) $) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+((($) . T) (((-1243 |#1| |#2| |#3| |#4|)) . T) (((-412 (-571))) . T)) 
+((($) -1831 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-561)) (|has| |#1| (-1053))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-561))) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+((((-384)) . T) (((-571)) . T) (((-412 (-571))) . T)) 
+((((-637 (-780 |#1| (-857 |#2|)))) . T) (((-855)) . T)) 
+((((-544)) |has| (-780 |#1| (-857 |#2|)) (-612 (-544)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-384)) . T)) 
+(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) 
+((((-855)) . T)) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-909))) 
+(((|#1|) . T)) 
+(|has| |#1| (-847)) 
+(|has| |#1| (-847)) 
+((((-855)) |has| |#1| (-1097))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
+(|has| |#1| (-1097)) 
+((((-855)) . T)) 
+(((|#1| (-768)) . T)) 
+((((-412 (-571))) . T) (((-571)) . T) (((-610 $)) . T)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
-((((-569)) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-((((-1237 |#2| |#3| |#4|)) . T) (((-410 (-569))) |has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569)))) (($) . T)) 
-((((-569)) . T)) 
-(|has| |#2| (-479)) 
+((((-571)) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+((((-1242 |#2| |#3| |#4|)) . T) (((-412 (-571))) |has| (-1242 |#2| |#3| |#4|) (-43 (-412 (-571)))) (($) . T)) 
+((((-571)) . T)) 
+(|has| |#2| (-481)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-(|has| |#1| (-366)) 
-(-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-151)) (|has| |#1| (-366))) (|has| |#1| (-151))) 
-(-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))) 
-(|has| |#1| (-366)) 
+(|has| |#1| (-367)) 
+(-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-151)) (|has| |#1| (-367))) (|has| |#1| (-151))) 
+(-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-149)) (|has| |#1| (-367))) (|has| |#1| (-149))) 
+(|has| |#1| (-367)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-226)) 
-(|has| |#1| (-366)) 
+(|has| |#1| (-367)) 
 (((|#3|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (|has| |#1| (-151)) 
-((((-569)) |has| |#2| (-631 (-569))) ((|#2|) . T)) 
+((((-571)) |has| |#2| (-633 (-571))) ((|#2|) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) (($) . T)) 
 (((|#2|) . T)) 
-(|has| |#1| (-1093)) 
+(|has| |#1| (-1097)) 
 (((|#1| |#2|) . T)) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
+(((|#1|) . T) (((-571)) |has| |#1| (-633 (-571)))) 
 (((|#3|) |has| |#3| (-173))) 
-(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
-((((-569)) . T)) 
+(-1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-373)) (|has| |#2| (-721)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053)) (|has| |#2| (-1097))) 
+((((-571)) . T)) 
 (((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
-((((-410 (-569))) . T) (($) . T) (((-410 |#1|)) . T) ((|#1|) . T)) 
-((((-852)) . T)) 
+((((-412 (-571))) . T) (($) . T) (((-412 |#1|)) . T) ((|#1|) . T)) 
+((((-855)) . T)) 
 (((|#3|) . T)) 
-(((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-286)) (|has| |#1| (-366))) (((-410 (-569)) (-410 (-569))) |has| |#1| (-366))) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
-((($) . T)) 
-((($) . T) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-559))) 
-((((-569) |#1|) . T)) 
-((((-1165)) |has| (-410 |#2|) (-897 (-1165)))) 
-(((|#1|) . T) (($) -1929 (|has| |#1| (-286)) (|has| |#1| (-366))) (((-410 (-569))) |has| |#1| (-366))) 
-((((-542)) |has| |#2| (-610 (-542)))) 
-((((-681 |#2|)) . T) (((-852)) . T)) 
-(((|#1|) . T)) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
-((((-866 |#1|)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(-1929 (|has| |#4| (-790)) (|has| |#4| (-842))) 
-(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
-(((|#2|) |has| |#2| (-1049))) 
-((((-569)) . T)) 
-(((|#1|) . T)) 
-((((-569)) . T)) 
-((((-410 |#2|)) . T)) 
-(((|#1|) . T)) 
-(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
-((((-569) |#1|) . T)) 
-(((|#1|) . T)) 
-((($) . T)) 
-((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-1208))) 
-((($) . T)) 
-((((-410 (-569))) |has| (-410 |#2|) (-1039 (-410 (-569)))) (((-569)) |has| (-410 |#2|) (-1039 (-569))) (((-410 |#2|)) . T)) 
-(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
-(((|#1| (-765)) . T)) 
-(|has| |#1| (-844)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
-((((-569)) . T)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(|has| |#1| (-842)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-351)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
+(((|#1| |#1|) . T) (($ $) -1831 (|has| |#1| (-286)) (|has| |#1| (-367))) (((-412 (-571)) (-412 (-571))) |has| |#1| (-367))) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) . T)) 
+((($) . T)) 
+((($) . T) ((|#2|) |has| |#2| (-173)) (((-412 (-571))) |has| |#2| (-561))) 
+((((-571) |#1|) . T)) 
+((((-1169)) |has| (-412 |#2|) (-900 (-1169)))) 
+(((|#1|) . T) (($) -1831 (|has| |#1| (-286)) (|has| |#1| (-367))) (((-412 (-571))) |has| |#1| (-367))) 
+((((-544)) |has| |#2| (-612 (-544)))) 
+((((-684 |#2|)) . T) (((-855)) . T)) 
+(((|#1|) . T)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
+((((-869 |#1|)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(-1831 (|has| |#4| (-793)) (|has| |#4| (-845))) 
+(-1831 (|has| |#3| (-793)) (|has| |#3| (-845))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
+(((|#2|) |has| |#2| (-1053))) 
+((((-571)) . T)) 
+(((|#1|) . T)) 
+((((-571)) . T)) 
+((((-412 |#2|)) . T)) 
+(((|#1|) . T)) 
+(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) 
+((((-571) |#1|) . T)) 
+(((|#1|) . T)) 
+((($) . T)) 
+((((-571)) . T) (($) . T) (((-412 (-571))) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-1213))) 
+((($) . T)) 
+((((-412 (-571))) |has| (-412 |#2|) (-1043 (-412 (-571)))) (((-571)) |has| (-412 |#2|) (-1043 (-571))) (((-412 |#2|)) . T)) 
+(((|#2|) . T) (((-571)) |has| |#2| (-633 (-571)))) 
+(((|#1| (-768)) . T)) 
+(|has| |#1| (-847)) 
+(((|#1|) . T) (((-571)) |has| |#1| (-633 (-571)))) 
+((((-571)) . T)) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) (((-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) ((|#1|) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) |has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(|has| |#1| (-845)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-352)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
 (((|#2|) . T)) 
 (((|#1| |#2|) . T)) 
 ((((-148)) . T)) 
-((((-777 |#1| (-854 |#2|))) . T)) 
-((((-852)) |has| |#1| (-1093))) 
-(|has| |#1| (-1185)) 
+((((-780 |#1| (-857 |#2|))) . T)) 
+((((-855)) |has| |#1| (-1097))) 
+(|has| |#1| (-1189)) 
 (((|#1|) . T)) 
-(-1929 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-718)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049)) (|has| |#3| (-1093))) 
-((((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|))) 
+(-1831 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-373)) (|has| |#3| (-721)) (|has| |#3| (-793)) (|has| |#3| (-845)) (|has| |#3| (-1053)) (|has| |#3| (-1097))) 
+((((-1169) |#1|) |has| |#1| (-526 (-1169) |#1|))) 
 (((|#2|) . T)) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-907 |#1|)) . T)) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-910 |#1|)) . T)) 
 ((($) . T)) 
-((((-410 (-955 |#1|))) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-542)) |has| |#4| (-610 (-542)))) 
-((((-852)) . T) (((-635 |#4|)) . T)) 
-(|has| |#1| (-842)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(|has| |#1| (-1093)) 
+((((-412 (-958 |#1|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-544)) |has| |#4| (-612 (-544)))) 
+((((-855)) . T) (((-637 |#4|)) . T)) 
+(|has| |#1| (-845)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(|has| |#1| (-1097)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) |has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))))) 
 (((|#2|) . T)) 
-(|has| |#1| (-366)) 
-((((-569) (-569)) . T)) 
-(|has| |#1| (-844)) 
+(|has| |#1| (-367)) 
+((((-571) (-571)) . T)) 
+(|has| |#1| (-847)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
+((($) . T) (((-412 (-571))) . T)) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) ((|#1|) |has| |#1| (-173))) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
-(-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-151)) (|has| |#1| (-366))) (|has| |#1| (-151))) 
-(-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))) 
+(-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-151)) (|has| |#1| (-367))) (|has| |#1| (-151))) 
+(-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-149)) (|has| |#1| (-367))) (|has| |#1| (-149))) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((((-852)) |has| |#1| (-1093))) 
-((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-(|has| |#1| (-842)) 
+((((-855)) |has| |#1| (-1097))) 
+((((-1249 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+(|has| |#1| (-845)) 
 (((|#1| |#2|) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
-((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
-((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-1093)) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T) (((-569)) . T)) 
+(((|#1|) . T) (((-571)) |has| |#1| (-633 (-571)))) 
+((((-571)) |has| |#1| (-633 (-571))) ((|#1|) . T)) 
+((((-910 |#1|)) . T) (((-412 (-571))) . T) (($) . T)) 
+(|has| |#1| (-1097)) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T) (((-571)) . T)) 
 (|has| |#2| (-149)) 
 (|has| |#2| (-151)) 
-((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#2| (-765) (-1077)) . T)) 
-(|has| |#1| (-1093)) 
+((((-910 |#1|)) . T) (((-412 (-571))) . T) (($) . T)) 
+(((|#2| (-768) (-1081)) . T)) 
+(|has| |#1| (-1097)) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#2|) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#3|) |has| |#3| (-366))) 
-((((-410 |#2|)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
-(((|#1|) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)))) 
+(((|#3|) |has| |#3| (-367))) 
+((((-412 |#2|)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-1169) |#1|) |has| |#1| (-526 (-1169) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(((|#1|) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)))) 
 ((((-311 |#1|)) . T)) 
-(((|#2|) |has| |#2| (-366))) 
+(((|#2|) |has| |#2| (-367))) 
 (((|#2|) . T)) 
-((((-410 (-569))) . T) (((-690)) . T) (($) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) |has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|))))) 
-((((-854 |#1|)) . T)) 
+((((-412 (-571))) . T) (((-693)) . T) (($) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|))) |has| (-780 |#1| (-857 |#2|)) (-304 (-780 |#1| (-857 |#2|))))) 
+((((-857 |#1|)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#2|) . T)) 
-((((-1165)) |has| |#1| (-897 (-1165))) (((-1077)) . T)) 
-((((-1165)) |has| |#1| (-897 (-1165))) (((-1082 (-1165))) . T)) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(((|#4|) |has| |#4| (-1049)) (((-569)) -12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049)))) 
-(((|#3|) |has| |#3| (-1049)) (((-569)) -12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049)))) 
+((((-1169)) |has| |#1| (-900 (-1169))) (((-1081)) . T)) 
+((((-1169)) |has| |#1| (-900 (-1169))) (((-1086 (-1169))) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(((|#4|) |has| |#4| (-1053)) (((-571)) -12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053)))) 
+(((|#3|) |has| |#3| (-1053)) (((-571)) -12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053)))) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 ((($ $) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-718)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049)) (|has| |#1| (-1105)) (|has| |#1| (-1093))) 
-(|has| |#1| (-559)) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-481)) (|has| |#1| (-721)) (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053)) (|has| |#1| (-1109)) (|has| |#1| (-1097))) 
+(|has| |#1| (-561)) 
 (((|#2|) . T)) 
-((((-852)) . T)) 
-((((-542)) . T)) 
-((((-569)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-855)) . T)) 
+((((-544)) . T)) 
+((((-571)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
 (((|#1|) . T)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
-((((-582 |#1|)) . T)) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-561)) (|has| |#1| (-1053))) 
+((((-584 |#1|)) . T)) 
 ((($) . T)) 
 (((|#1| (-64 |#1|) (-64 |#1|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((((-852)) . T)) 
-(((|#2|) |has| |#2| (-6 (-4573 "*")))) 
+((((-855)) . T)) 
+(((|#2|) |has| |#2| (-6 (-4602 "*")))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569))) |has| |#2| (-1039 (-410 (-569)))) (((-569)) |has| |#2| (-1039 (-569))) ((|#2|) . T) (((-854 |#1|)) . T)) 
-((($) . T) (((-125 |#1|)) . T) (((-410 (-569))) . T)) 
-((((-1116 |#1| |#2|)) . T) ((|#2|) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-((((-1161 |#1|)) . T) (((-1077)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-((((-1116 |#1| (-1165))) . T) (((-1082 (-1165))) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-1165)) . T)) 
-(|has| |#1| (-1093)) 
+((((-412 (-571))) |has| |#2| (-1043 (-412 (-571)))) (((-571)) |has| |#2| (-1043 (-571))) ((|#2|) . T) (((-857 |#1|)) . T)) 
+((($) . T) (((-125 |#1|)) . T) (((-412 (-571))) . T)) 
+((((-1120 |#1| |#2|)) . T) ((|#2|) . T) ((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+((((-1165 |#1|)) . T) (((-1081)) . T) ((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+((((-1120 |#1| (-1169))) . T) (((-1086 (-1169))) . T) ((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-1169)) . T)) 
+(|has| |#1| (-1097)) 
 ((($) . T)) 
-(|has| |#1| (-1093)) 
-((((-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#2| (-883 (-569)))) (((-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#2| (-883 (-382))))) 
+(|has| |#1| (-1097)) 
+((((-571)) -12 (|has| |#1| (-886 (-571))) (|has| |#2| (-886 (-571)))) (((-384)) -12 (|has| |#1| (-886 (-384))) (|has| |#2| (-886 (-384))))) 
 (((|#1| |#2|) . T)) 
-((((-1165) |#1|) . T)) 
+((((-1169) |#1|) . T)) 
 (((|#4|) . T)) 
 (((|#1|) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
-((((-1165) (-57)) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
-((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) . T)) 
-((((-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-(((|#1| |#1|) |has| |#1| (-173)) (((-410 (-569)) (-410 (-569))) |has| |#1| (-559)) (($ $) |has| |#1| (-559))) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-906)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-352))) 
+((((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-571)) |has| |#1| (-1043 (-571))) ((|#1|) . T)) 
+((((-1169) (-57)) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-373)) (|has| |#2| (-721)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053)) (|has| |#2| (-1097))) 
+((($) . T) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-1242 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) . T)) 
+((((-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|)) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+(((|#1| |#1|) |has| |#1| (-173)) (((-412 (-571)) (-412 (-571))) |has| |#1| (-561)) (($ $) |has| |#1| (-561))) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T)) 
+(|has| |#1| (-909)) 
 (((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
-((((-1238 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-559)) (($) |has| |#1| (-559))) 
-(|has| |#1| (-366)) 
+((((-1243 |#1| |#2| |#3| |#4|)) . T) (((-412 (-571))) . T) (($) . T)) 
+(((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-561)) (($) |has| |#1| (-561))) 
+(|has| |#1| (-367)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((((-410 (-569))) . T) (($) . T)) 
-(((|#3|) |has| |#3| (-366))) 
-(|has| |#1| (-15 * (|#1| (-765) |#1|))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
-((((-1165)) . T)) 
-(((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
-(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-906))) 
+((((-412 (-571))) . T) (($) . T)) 
+(((|#3|) |has| |#3| (-367))) 
+(|has| |#1| (-15 * (|#1| (-768) |#1|))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
+((((-1169)) . T)) 
+(((|#1|) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
+(-1831 (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-909))) 
 (((|#2| |#3|) . T)) 
-((((-569) (-569)) . T)) 
-(((|#1| (-535 |#2|)) . T)) 
-(((|#1| (-765)) . T)) 
-((((-569) (-569)) . T)) 
-(((|#1| (-535 (-1082 (-1165)))) . T)) 
-((((-569)) . T)) 
-(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-(((|#1|) . T)) 
-(|has| |#2| (-906)) 
+((((-571) (-571)) . T)) 
+(((|#1| (-537 |#2|)) . T)) 
+(((|#1| (-768)) . T)) 
+((((-571) (-571)) . T)) 
+(((|#1| (-537 (-1086 (-1169)))) . T)) 
+((((-571)) . T)) 
+(-1831 (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+(((|#1|) . T)) 
+(|has| |#2| (-909)) 
 (((|#1|) |has| |#1| (-173))) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-((((-852)) . T)) 
-((($ $) . T) (((-1237 |#2| |#3| |#4|) (-1237 |#2| |#3| |#4|)) . T) (((-410 (-569)) (-410 (-569))) |has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
-((((-907 |#1|)) . T)) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
-((($) . T) (((-410 (-569))) . T)) 
-((($) . T)) 
-((($) . T)) 
-(|has| |#1| (-366)) 
-(-1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) 
-(|has| |#1| (-366)) 
-((($) . T) (((-1237 |#2| |#3| |#4|)) . T) (((-410 (-569))) |has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+((((-855)) . T)) 
+((($ $) . T) (((-1242 |#2| |#3| |#4|) (-1242 |#2| |#3| |#4|)) . T) (((-412 (-571)) (-412 (-571))) |has| (-1242 |#2| |#3| |#4|) (-43 (-412 (-571))))) 
+((((-910 |#1|)) . T)) 
+(-12 (|has| |#1| (-367)) (|has| |#2| (-820))) 
+((($) . T) (((-412 (-571))) . T)) 
+((($) . T)) 
+((($) . T)) 
+(|has| |#1| (-367)) 
+(-1831 (|has| |#1| (-302)) (|has| |#1| (-367)) (|has| |#1| (-352)) (|has| |#1| (-561))) 
+(|has| |#1| (-367)) 
+((($) . T) (((-1242 |#2| |#3| |#4|)) . T) (((-412 (-571))) |has| (-1242 |#2| |#3| |#4|) (-43 (-412 (-571))))) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-559)) 
-((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-(-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(-1929 (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
-((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
-((((-569) (-569)) . T)) 
+(|has| |#2| (-561)) 
+((((-1167 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+(-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-367)) (|has| |#1| (-352))) 
+(-1831 (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053))) 
+((((-571)) |has| |#1| (-633 (-571))) ((|#1|) . T)) 
+((((-571) (-571)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 ((((-121)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-412 |#2|)) . T) (((-412 (-571))) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(((|#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|))) . T)) 
-(|has| |#2| (-366)) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#1| (-844)) 
+(((|#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|))) . T)) 
+(|has| |#2| (-367)) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-561))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(|has| |#1| (-847)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-1093)) 
+((((-855)) . T)) 
+(|has| |#1| (-1097)) 
 (((|#4|) . T)) 
 (((|#4|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#2| |#2|) |has| |#2| (-173)) (((-410 (-569)) (-410 (-569))) |has| |#2| (-559)) (($ $) . T)) 
-(|has| |#2| (-817)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-412 $) (-412 $)) |has| |#1| (-561)) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#2| |#2|) |has| |#2| (-173)) (((-412 (-571)) (-412 (-571))) |has| |#2| (-561)) (($ $) . T)) 
+(|has| |#2| (-820)) 
 (((|#4|) . T)) 
 ((($) . T)) 
-(((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-559)) (($) . T)) 
-((((-852)) . T)) 
-(((|#1| (-535 (-1165))) . T)) 
+(((|#2|) |has| |#2| (-173)) (((-412 (-571))) |has| |#2| (-561)) (($) . T)) 
+((((-855)) . T)) 
+(((|#1| (-537 (-1169))) . T)) 
 ((($ $) . T)) 
 ((($) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-852)) . T)) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
-(((|#2|) -1929 (|has| |#2| (-6 (-4573 "*"))) (|has| |#2| (-173)))) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-569) (-1201) (-1201)) . T)) 
-(|has| |#2| (-844)) 
-(|has| |#2| (-906)) 
-((((-569)) . T)) 
-(|has| |#1| (-906)) 
+((((-855)) . T)) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
+(((|#2|) -1831 (|has| |#2| (-6 (-4602 "*"))) (|has| |#2| (-173)))) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-571) (-1205) (-1205)) . T)) 
+(|has| |#2| (-847)) 
+(|has| |#2| (-909)) 
+((((-571)) . T)) 
+(|has| |#1| (-909)) 
 (((|#2|) |has| |#2| (-173))) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-542)) . T) (((-569)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-1249 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-544)) . T) (((-571)) . T) (((-892 (-571))) . T) (((-384)) . T) (((-216)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) . T)) 
 (((|#1|) . T)) 
-((((-862)) . T) (((-569)) . T) (((-410 (-569))) . T)) 
-((((-410 (-569))) . T) (((-569)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-865)) . T) (((-571)) . T) (((-412 (-571))) . T)) 
+((((-412 (-571))) . T) (((-571)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-852)) . T)) 
-(((|#1| (-410 (-569))) . T)) 
+((((-855)) . T)) 
+(((|#1| (-412 (-571))) . T)) 
 (((|#1|) . T)) 
-((((-542)) . T)) 
-(-1929 (|has| |#1| (-286)) (|has| |#1| (-366))) 
+((((-544)) . T)) 
+(-1831 (|has| |#1| (-286)) (|has| |#1| (-367))) 
 ((((-148)) . T)) 
-((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-842)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-412 |#2|)) . T) (((-412 (-571))) . T) (($) . T)) 
+(|has| |#1| (-845)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#1| |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
 (((|#2| |#2|) . T) ((|#1| |#1|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-542)) |has| |#1| (-610 (-542))) (((-889 (-569))) |has| |#1| (-610 (-889 (-569)))) (((-889 (-382))) |has| |#1| (-610 (-889 (-382))))) 
-((((-1165) (-57)) . T)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-635 (-148))) . T) (((-1147)) . T)) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
-((((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
-(|has| |#1| (-844)) 
-((((-852)) . T)) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-852)) . T)) 
-(((|#2|) |has| |#2| (-366))) 
-((((-852)) . T)) 
-((((-542)) |has| |#4| (-610 (-542)))) 
-((((-852)) . T) (((-635 |#4|)) . T)) 
-(((|#2|) . T)) 
-((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(-1929 (|has| |#4| (-173)) (|has| |#4| (-718)) (|has| |#4| (-842)) (|has| |#4| (-1049))) 
-(-1929 (|has| |#3| (-173)) (|has| |#3| (-718)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
-((((-1165) (-57)) . T)) 
-((((-569)) . T)) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-569) (-569)) . T)) 
-(((|#1|) . T)) 
-((((-569)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-(|has| |#1| (-906)) 
-(|has| |#1| (-906)) 
-((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-((((-569)) . T)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-((((-569)) . T)) 
-((((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(((|#1| (-410 (-569)) (-1077)) . T)) 
-(|has| |#1| (-1093)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(|has| |#1| (-817)) 
-((((-852)) |has| |#1| (-1093))) 
-((((-907 |#1|) (-907 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-((((-410 |#2|)) . T)) 
-((((-569) (-569)) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-842)) 
-((((-852)) |has| |#1| (-1093))) 
-(((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) . T) (((-569) (-569)) . T) (($ $) . T)) 
-((((-907 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-544)) |has| |#1| (-612 (-544))) (((-892 (-571))) |has| |#1| (-612 (-892 (-571)))) (((-892 (-384))) |has| |#1| (-612 (-892 (-384))))) 
+((((-1169) (-57)) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-637 (-148))) . T) (((-1151)) . T)) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
+((((-1169) |#1|) |has| |#1| (-526 (-1169) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(|has| |#1| (-847)) 
+((((-855)) . T)) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-855)) . T)) 
+(((|#2|) |has| |#2| (-367))) 
+((((-855)) . T)) 
+((((-544)) |has| |#4| (-612 (-544)))) 
+((((-855)) . T) (((-637 |#4|)) . T)) 
+(((|#2|) . T)) 
+((((-910 |#1|)) . T) (((-412 (-571))) . T) (($) . T)) 
+(-1831 (|has| |#4| (-173)) (|has| |#4| (-721)) (|has| |#4| (-845)) (|has| |#4| (-1053))) 
+(-1831 (|has| |#3| (-173)) (|has| |#3| (-721)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+((((-1169) (-57)) . T)) 
+((((-571)) . T)) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-571) (-571)) . T)) 
+(((|#1|) . T)) 
+((((-571)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(|has| |#1| (-909)) 
+(|has| |#1| (-909)) 
+((((-2 (|:| |k| (-571)) (|:| |c| |#1|))) . T)) 
+((((-571)) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+((((-571)) . T)) 
+((((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(((|#1| (-412 (-571)) (-1081)) . T)) 
+(|has| |#1| (-1097)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(|has| |#1| (-820)) 
+((((-855)) |has| |#1| (-1097))) 
+((((-910 |#1|) (-910 |#1|)) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+((((-412 |#2|)) . T)) 
+((((-571) (-571)) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-845)) 
+((((-855)) |has| |#1| (-1097))) 
+(((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) . T) (((-571) (-571)) . T) (($ $) . T)) 
+((((-910 |#1|)) . T) (($) . T) (((-412 (-571))) . T)) 
 (|has| |#1| (-173)) 
-(((|#2|) |has| |#2| (-1049)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) 
+(((|#2|) |has| |#2| (-1053)) (((-571)) -12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) 
 (|has| |#2| (-151)) 
 (|has| |#2| (-149)) 
-(((|#1|) . T) (((-410 (-569))) . T) (((-569)) . T) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (((-571)) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
 (((|#2|) . T)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
-((((-57)) . T) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
-(|has| |#1| (-351)) 
-((((-569)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569)))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382))))) 
-((((-1238 |#1| |#2| |#3| |#4|) $) |has| (-1238 |#1| |#2| |#3| |#4|) (-282 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)))) 
-(|has| |#1| (-366)) 
-((((-1077) |#1|) . T) (((-1077) $) . T) (($ $) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-((((-410 (-569)) (-410 (-569))) . T) (((-690) (-690)) . T) (($ $) . T)) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) . T)) 
+((((-57)) . T) (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) . T)) 
+(|has| |#1| (-352)) 
+((((-571)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-544)) |has| |#2| (-612 (-544))) (((-892 (-571))) |has| |#2| (-612 (-892 (-571)))) (((-892 (-384))) |has| |#2| (-612 (-892 (-384))))) 
+((((-1243 |#1| |#2| |#3| |#4|) $) |has| (-1243 |#1| |#2| |#3| |#4|) (-282 (-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|)))) 
+(|has| |#1| (-367)) 
+((((-1081) |#1|) . T) (((-1081) $) . T) (($ $) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-352))) 
+((((-412 (-571)) (-412 (-571))) . T) (((-693) (-693)) . T) (($ $) . T)) 
 ((((-311 |#1|)) . T) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) |has| |#1| (-366))) 
-(|has| |#1| (-1093)) 
+(((|#1|) . T) (((-412 (-571))) |has| |#1| (-367))) 
+(|has| |#1| (-1097)) 
 (((|#1|) . T)) 
-(((|#1|) -1929 (|has| |#2| (-370 |#1|)) (|has| |#2| (-420 |#1|)))) 
-(((|#1|) -1929 (|has| |#2| (-370 |#1|)) (|has| |#2| (-420 |#1|)))) 
+(((|#1|) -1831 (|has| |#2| (-371 |#1|)) (|has| |#2| (-422 |#1|)))) 
+(((|#1|) -1831 (|has| |#2| (-371 |#1|)) (|has| |#2| (-422 |#1|)))) 
 (((|#2|) . T)) 
-((((-410 (-569))) . T) (((-690)) . T) (($) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
+((((-412 (-571))) . T) (((-693)) . T) (($) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
 (((|#3| |#3|) . T)) 
-((((-569) (-1203) (-1203)) . T)) 
-((((-569)) . T)) 
+((((-571) (-1207) (-1207)) . T)) 
+((((-571)) . T)) 
 (|has| |#2| (-226)) 
-((((-854 |#1|)) . T)) 
-((((-1165)) |has| |#1| (-897 (-1165))) ((|#3|) . T)) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-1023))) 
-((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-852)) . T)) 
-(((|#1| (-765)) . T)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-((((-410 (-569))) . T) (($) . T) (((-410 |#1|)) . T) ((|#1|) . T)) 
-((((-569)) . T)) 
-(|has| |#1| (-1093)) 
+((((-857 |#1|)) . T)) 
+((((-1169)) |has| |#1| (-900 (-1169))) ((|#3|) . T)) 
+(-12 (|has| |#1| (-367)) (|has| |#2| (-1027))) 
+((((-1167 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+((((-855)) . T)) 
+(((|#1| (-768)) . T)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+((((-412 (-571))) . T) (($) . T) (((-412 |#1|)) . T) ((|#1|) . T)) 
+((((-571)) . T)) 
+(|has| |#1| (-1097)) 
 (((|#3|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-((((-569)) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
+((((-571)) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(((|#2|) . T) (((-571)) |has| |#2| (-633 (-571)))) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
-((((-582 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
+((((-584 |#1|)) . T) (((-412 (-571))) . T) (($) . T)) 
+((($) . T) (((-412 (-571))) . T)) 
 ((($ $) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-1253 |#1|) (-1253 |#1|)) . T)) 
+(((|#1| (-1258 |#1|) (-1258 |#1|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-125 |#1|) (-125 |#1|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-410 (-569))) |has| |#2| (-1039 (-410 (-569)))) (((-569)) |has| |#2| (-1039 (-569))) ((|#2|) . T) (((-854 |#1|)) . T)) 
-((((-1116 |#1| |#2|)) . T) ((|#3|) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((|#2|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-125 |#1|) (-125 |#1|)) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+((((-412 (-571))) |has| |#2| (-1043 (-412 (-571)))) (((-571)) |has| |#2| (-1043 (-571))) ((|#2|) . T) (((-857 |#1|)) . T)) 
+((((-1120 |#1| |#2|)) . T) ((|#3|) . T) ((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((($ $) . T)) 
-((((-664 |#1|)) . T)) 
-((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
-((((-125 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#3| (-883 (-569)))) (((-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#3| (-883 (-382))))) 
+((((-666 |#1|)) . T)) 
+((($) . T) (((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) . T)) 
+((((-125 |#1|)) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-571)) -12 (|has| |#1| (-886 (-571))) (|has| |#3| (-886 (-571)))) (((-384)) -12 (|has| |#1| (-886 (-384))) (|has| |#3| (-886 (-384))))) 
 (((|#2|) . T) ((|#6|) . T)) 
-(((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) (($) . T)) 
 ((((-148)) . T)) 
 ((($) . T)) 
-((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) . T) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($) . T) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
 (((|#1|) . T)) 
-(|has| |#2| (-906)) 
-(|has| |#1| (-906)) 
-(|has| |#1| (-906)) 
+(|has| |#2| (-909)) 
+(|has| |#1| (-909)) 
+(|has| |#1| (-909)) 
 (((|#4|) . T)) 
-(|has| |#2| (-1023)) 
+(|has| |#2| (-1027)) 
 ((($) . T)) 
-(|has| |#1| (-906)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-569)) . T)) 
+(|has| |#1| (-909)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-571)) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
 (((|#1|) . T) (($) . T)) 
 ((($) . T)) 
-(|has| |#1| (-366)) 
-((((-907 |#1|)) . T)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-(-1929 (|has| |#1| (-371)) (|has| |#1| (-844))) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) 
-((((-410 |#2|) |#3|) . T)) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) 
-((($) . T) (((-410 (-569))) . T)) 
-((((-765) |#1|) . T)) 
-(((|#2| (-233 (-2946 |#1|) (-765))) . T)) 
-(((|#1| (-535 |#3|)) . T)) 
-((((-410 (-569))) . T)) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) 
-(|has| |#1| (-906)) 
-(|has| |#2| (-366)) 
-(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-(((|#1|) . T)) 
-((((-170 (-382))) . T) (((-216)) . T) (((-382)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-((((-382)) . T) (((-569)) . T)) 
-((((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+(|has| |#1| (-367)) 
+((((-910 |#1|)) . T)) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+(-1831 (|has| |#1| (-373)) (|has| |#1| (-847))) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) 
+((((-412 |#2|) |#3|) . T)) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) 
+((($) . T) (((-412 (-571))) . T)) 
+((((-768) |#1|) . T)) 
+(((|#2| (-233 (-4001 |#1|) (-768))) . T)) 
+(((|#1| (-537 |#3|)) . T)) 
+((((-412 (-571))) . T)) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) |has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))))) 
+(|has| |#1| (-909)) 
+(|has| |#2| (-367)) 
+(-1831 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(((|#1|) . T)) 
+((((-170 (-384))) . T) (((-216)) . T) (((-384)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+((((-384)) . T) (((-571)) . T)) 
+((((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
 ((($ $) . T)) 
 ((($ $) . T)) 
 (((|#1| |#1|) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-559)) 
-((((-410 (-569))) . T) (($) . T)) 
-((($) . T)) 
-((($) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(-1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(-12 (|has| |#1| (-551)) (|has| |#1| (-825))) 
-((((-852)) . T)) 
-((((-1165)) -1929 (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))) (-12 (|has| |#1| (-366)) (|has| |#2| (-897 (-1165)))))) 
-(|has| |#1| (-366)) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) 
-(|has| |#1| (-366)) 
-(((|#1|) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
-((((-569) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#2|) |has| |#1| (-366))) 
-(((|#2|) |has| |#1| (-366))) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-561)) 
+((((-412 (-571))) . T) (($) . T)) 
+((($) . T)) 
+((($) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(-1831 (|has| |#1| (-302)) (|has| |#1| (-367)) (|has| |#1| (-352))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(-12 (|has| |#1| (-553)) (|has| |#1| (-828))) 
+((((-855)) . T)) 
+((((-1169)) -1831 (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))) (-12 (|has| |#1| (-367)) (|has| |#2| (-900 (-1169)))))) 
+(|has| |#1| (-367)) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) 
+(|has| |#1| (-367)) 
+(((|#1|) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((($) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) . T)) 
+((((-571) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#2|) |has| |#1| (-367))) 
+(((|#2|) |has| |#1| (-367))) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T)) 
-(((|#2|) . T) (((-1165)) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-1165)))) (((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-569)))) (((-410 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-569))))) 
+(((|#2|) . T) (((-1169)) -12 (|has| |#1| (-367)) (|has| |#2| (-1043 (-1169)))) (((-571)) -12 (|has| |#1| (-367)) (|has| |#2| (-1043 (-571)))) (((-412 (-571))) -12 (|has| |#1| (-367)) (|has| |#2| (-1043 (-571))))) 
 (((|#2|) . T)) 
-((((-1165) (-1238 |#1| |#2| |#3| |#4|)) |has| (-1238 |#1| |#2| |#3| |#4|) (-524 (-1165) (-1238 |#1| |#2| |#3| |#4|))) (((-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) |has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) 
-((((-608 $) $) . T) (($ $) . T)) 
-((((-170 (-216))) . T) (((-170 (-382))) . T) (((-1161 (-690))) . T) (((-889 (-382))) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-559)) 
-(|has| (-410 |#2|) (-226)) 
-(((|#1| (-410 (-569))) . T)) 
+((((-1169) (-1243 |#1| |#2| |#3| |#4|)) |has| (-1243 |#1| |#2| |#3| |#4|) (-526 (-1169) (-1243 |#1| |#2| |#3| |#4|))) (((-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|)) |has| (-1243 |#1| |#2| |#3| |#4|) (-304 (-1243 |#1| |#2| |#3| |#4|)))) 
+((((-610 $) $) . T) (($ $) . T)) 
+((((-170 (-216))) . T) (((-170 (-384))) . T) (((-1165 (-693))) . T) (((-892 (-384))) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-561)) 
+(|has| (-412 |#2|) (-226)) 
+(((|#1| (-412 (-571))) . T)) 
 ((($ $) . T)) 
-(((|#1| (-569)) . T)) 
-((((-1165)) |has| |#2| (-897 (-1165)))) 
-((($) . T)) 
-((((-852)) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(|has| |#1| (-559)) 
-(((|#2|) |has| |#1| (-366))) 
-((((-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-883 (-382)))) (((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-883 (-569))))) 
-(|has| |#1| (-366)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(|has| |#1| (-366)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-559)) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
+(((|#1| (-571)) . T)) 
+((((-1169)) |has| |#2| (-900 (-1169)))) 
+((($) . T)) 
+((((-855)) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(|has| |#1| (-561)) 
+(((|#2|) |has| |#1| (-367))) 
+((((-384)) -12 (|has| |#1| (-367)) (|has| |#2| (-886 (-384)))) (((-571)) -12 (|has| |#1| (-367)) (|has| |#2| (-886 (-571))))) 
+(|has| |#1| (-367)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(|has| |#1| (-367)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-561)) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
-((((-569) (-569)) . T)) 
-(|has| |#2| (-844)) 
-(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+((((-571) (-571)) . T)) 
+(|has| |#2| (-847)) 
+(-1831 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-718)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-721)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
 (|has| |#1| (-151)) 
-((((-1147) |#1|) . T)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+((((-1151) |#1|) . T)) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
 (|has| |#1| (-151)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-373))) 
 (|has| |#1| (-151)) 
-((((-582 |#1|)) . T)) 
-((($) . T)) 
-((((-410 |#2|)) . T)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-862)) . T) (((-410 (-569))) . T) (($) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-351))) 
+((((-584 |#1|)) . T)) 
+((($) . T)) 
+((((-412 |#2|)) . T)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-865)) . T) (((-412 (-571))) . T) (($) . T)) 
+((($) . T) (((-412 (-571))) . T)) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-352))) 
 (|has| |#1| (-151)) 
-((((-410 |#2|) (-410 |#2|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-410 (-569))) |has| |#2| (-1039 (-569))) (((-569)) |has| |#2| (-1039 (-569))) (((-1165)) |has| |#2| (-1039 (-1165))) ((|#2|) . T)) 
-((((-852)) . T)) 
+((((-412 |#2|) (-412 |#2|)) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+((((-412 (-571))) |has| |#2| (-1043 (-571))) (((-571)) |has| |#2| (-1043 (-571))) (((-1169)) |has| |#2| (-1043 (-1169))) ((|#2|) . T)) 
+((((-855)) . T)) 
 ((($) . T)) 
-((((-1128 |#1| |#2|)) . T)) 
-(((|#1| (-569)) . T)) 
-(((|#1| (-410 (-569))) . T)) 
-((((-569)) |has| |#2| (-883 (-569))) (((-382)) |has| |#2| (-883 (-382)))) 
+((((-1132 |#1| |#2|)) . T)) 
+(((|#1| (-571)) . T)) 
+(((|#1| (-412 (-571))) . T)) 
+((((-571)) |has| |#2| (-886 (-571))) (((-384)) |has| |#2| (-886 (-384)))) 
 (((|#2|) . T)) 
-((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-412 |#2|)) . T) (((-412 (-571))) . T) (($) . T)) 
 ((((-121)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
 (((|#2|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-1165) (-57)) . T)) 
-((((-410 |#2|)) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1093)) 
-(|has| |#1| (-788)) 
-(|has| |#1| (-788)) 
-((((-852)) . T)) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-1169) (-57)) . T)) 
+((((-412 |#2|)) . T)) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1097)) 
+(|has| |#1| (-791)) 
+(|has| |#1| (-791)) 
+((((-855)) . T)) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
 ((((-123)) . T) ((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-216)) . T) (((-382)) . T) (((-889 (-382))) . T)) 
-((((-852)) . T)) 
-((((-1238 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-410 (-569))) . T)) 
-(((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559)) (((-410 (-569))) |has| |#1| (-559))) 
-((((-852)) . T)) 
-((((-608 $) $) . T) (($ $) . T)) 
+((((-216)) . T) (((-384)) . T) (((-892 (-384))) . T)) 
+((((-855)) . T)) 
+((((-1243 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-412 (-571))) . T)) 
+(((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-561)) (((-412 (-571))) |has| |#1| (-561))) 
+((((-855)) . T)) 
+((((-610 $) $) . T) (($ $) . T)) 
 (((|#2|) . T)) 
-((((-852)) . T)) 
-((((-907 |#1|) (-907 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((((-855)) . T)) 
+((((-910 |#1|) (-910 |#1|)) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
 (((|#1|) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-561))) 
 (((|#1|) . T)) 
-((((-907 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-366)) 
+((((-910 |#1|)) . T) (($) . T) (((-412 (-571))) . T)) 
+(|has| |#1| (-367)) 
 (((|#2|) . T)) 
-((((-569)) . T)) 
-((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-((((-569)) . T)) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-((((-170 (-382))) . T) (((-216)) . T) (((-382)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-1147)) . T) (((-542)) . T) (((-569)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
-((((-852)) . T)) 
+((((-571)) . T)) 
+((((-2 (|:| |k| (-571)) (|:| |c| |#1|))) . T)) 
+((((-571)) . T)) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+((((-170 (-384))) . T) (((-216)) . T) (((-384)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-1151)) . T) (((-544)) . T) (((-571)) . T) (((-892 (-571))) . T) (((-384)) . T) (((-216)) . T)) 
+((((-855)) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((($) . T) (((-1237 |#2| |#3| |#4|)) |has| (-1237 |#2| |#3| |#4|) (-173)) (((-410 (-569))) |has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-((((-852)) . T)) 
-((((-542)) . T)) 
-((((-852)) |has| |#1| (-1093))) 
-((((-852)) |has| |#1| (-1093))) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-718)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049)) (|has| |#1| (-1105)) (|has| |#1| (-1093))) 
-(|has| |#1| (-1139)) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-569) |#1|) . T)) 
+((($) . T) (((-1242 |#2| |#3| |#4|)) |has| (-1242 |#2| |#3| |#4|) (-173)) (((-412 (-571))) |has| (-1242 |#2| |#3| |#4|) (-43 (-412 (-571))))) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+((((-855)) . T)) 
+((((-544)) . T)) 
+((((-855)) |has| |#1| (-1097))) 
+((((-855)) |has| |#1| (-1097))) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-481)) (|has| |#1| (-721)) (|has| |#1| (-900 (-1169))) (|has| |#1| (-1053)) (|has| |#1| (-1109)) (|has| |#1| (-1097))) 
+(|has| |#1| (-1143)) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-571) |#1|) . T)) 
 ((((-125 |#1|) $) |has| (-125 |#1|) (-282 (-125 |#1|) (-125 |#1|)))) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-852)) . T)) 
+((((-855)) . T)) 
 (((|#1|) . T)) 
-((((-859 |#1|)) . T)) 
+((((-862 |#1|)) . T)) 
 ((((-123)) . T) ((|#1|) . T)) 
-((((-852)) . T)) 
-((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
+((((-855)) . T)) 
+((((-412 $) (-412 $)) |has| |#1| (-561)) (($ $) . T) ((|#1| |#1|) . T)) 
 (((|#1|) |has| |#1| (-304 |#1|))) 
-((((-569) |#1|) . T)) 
+((((-571) |#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1165) |#1|) . T)) 
+((((-1169) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-569)) . T) (((-410 (-569))) . T)) 
+((((-571)) . T) (((-412 (-571))) . T)) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#2| (-173)) (($) . T) (((-410 (-569))) |has| |#2| (-559))) 
-((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-559)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-((((-382)) . T)) 
-(|has| |#1| (-1093)) 
+(((|#2|) |has| |#2| (-173)) (($) . T) (((-412 (-571))) |has| |#2| (-561))) 
+((((-412 |#2|)) . T) (((-412 (-571))) . T) (($) . T)) 
+(|has| |#1| (-561)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+((((-384)) . T)) 
+(|has| |#1| (-1097)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-366)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-1093)) 
-((((-777 |#1| (-854 |#2|))) |has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|))))) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+(|has| |#1| (-367)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-1097)) 
+((((-780 |#1| (-857 |#2|))) |has| (-780 |#1| (-857 |#2|)) (-304 (-780 |#1| (-857 |#2|))))) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
 (((|#1|) . T)) 
 (((|#2| |#3|) . T)) 
-(|has| |#2| (-906)) 
+(|has| |#2| (-909)) 
 (((|#1|) . T)) 
-(((|#1| (-535 |#2|)) . T)) 
-(((|#1| (-765)) . T)) 
+(((|#1| (-537 |#2|)) . T)) 
+(((|#1| (-768)) . T)) 
 (|has| |#1| (-226)) 
-(((|#1| (-535 (-1082 (-1165)))) . T)) 
-((((-569) (-569)) . T)) 
-((((-569)) . T)) 
-(|has| |#2| (-366)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) . T)) 
-(((|#1|) . T)) 
-((((-862)) . T) (((-410 (-569))) . T)) 
-((((-410 (-569))) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-((($ $) . T) (((-608 $) $) . T)) 
-(((|#1|) . T)) 
-((((-569)) . T)) 
+(((|#1| (-537 (-1086 (-1169)))) . T)) 
+((((-571) (-571)) . T)) 
+((((-571)) . T)) 
+(|has| |#2| (-367)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) . T)) 
+(((|#1|) . T)) 
+((((-865)) . T) (((-412 (-571))) . T)) 
+((((-412 (-571))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#3| (-793)) (|has| |#3| (-845))) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+((($ $) . T) (((-610 $) $) . T)) 
+(((|#1|) . T)) 
+((((-571)) . T)) 
 (((|#3|) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
-((((-569)) |has| |#2| (-631 (-569))) ((|#2|) . T)) 
-((((-582 |#1|) (-582 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-((((-569) (-569)) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-302)) (|has| |#1| (-367)) (|has| |#1| (-352))) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-561)) (|has| |#1| (-1053))) 
+((((-571)) |has| |#2| (-633 (-571))) ((|#2|) . T)) 
+((((-584 |#1|) (-584 |#1|)) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+((((-571) (-571)) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-(((|#1| (-1253 |#1|) (-1253 |#1|)) . T)) 
-((((-582 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
-(((|#2|) |has| |#2| (-6 (-4573 "*")))) 
+(((|#1| (-1258 |#1|) (-1258 |#1|)) . T)) 
+((((-584 |#1|)) . T) (($) . T) (((-412 (-571))) . T)) 
+((($) . T) (((-412 (-571))) . T)) 
+((($) . T) (((-412 (-571))) . T)) 
+(((|#2|) |has| |#2| (-6 (-4602 "*")))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((((-289 |#3|)) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((((-412 (-571)) (-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2| |#2|) . T) (($ $) -1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
 (((|#2| |#2|) . T) ((|#6| |#6|) . T)) 
-((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
-((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#2|) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((($) . T) (((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) . T)) 
+((($) . T) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#2|) . T)) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) . T) (($) -1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
 (((|#2|) . T) ((|#6|) . T)) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-852)) . T)) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#2| (-906)) 
-(|has| |#1| (-906)) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-569) (-569)) . T)) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-855)) . T)) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(|has| |#2| (-909)) 
+(|has| |#1| (-909)) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-571) (-571)) . T)) 
 (((|#1|) . T)) 
-((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
+((((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1093)) 
-((((-569)) . T)) 
-(((|#1|) . T)) 
-((((-1165)) . T) ((|#1|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
-((((-410 (-569)) (-410 (-569))) . T)) 
-((((-410 (-569))) . T)) 
-((((-569)) . T)) 
-(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-((((-542)) . T)) 
-((((-852)) . T)) 
-((((-1165)) |has| |#2| (-897 (-1165))) (((-1077)) . T)) 
-((((-1237 |#2| |#3| |#4|)) . T)) 
-((((-907 |#1|)) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((($) . T) (((-410 (-569))) . T)) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
-(|has| |#1| (-1208)) 
-(((|#2|) . T)) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-((((-1165)) |has| |#1| (-897 (-1165)))) 
-((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
-((($) . T) (((-410 (-569))) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (((-569)) . T) (($) . T)) 
-(((|#2|) |has| |#2| (-1049)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
-(|has| |#1| (-559)) 
-(((|#1|) |has| |#1| (-366))) 
-((((-569)) . T)) 
-(|has| |#1| (-788)) 
-(|has| |#1| (-788)) 
-((((-1165) (-125 |#1|)) |has| (-125 |#1|) (-524 (-1165) (-125 |#1|))) (((-125 |#1|) (-125 |#1|)) |has| (-125 |#1|) (-304 (-125 |#1|)))) 
-(((|#2|) . T) (((-569)) |has| |#2| (-1039 (-569))) (((-410 (-569))) |has| |#2| (-1039 (-410 (-569))))) 
-((((-1077)) . T) ((|#2|) . T) (((-569)) |has| |#2| (-1039 (-569))) (((-410 (-569))) |has| |#2| (-1039 (-410 (-569))))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-569) (-765)) . T) ((|#3| (-765)) . T)) 
-((((-1077) |#1|) . T) (((-1077) $) . T) (($ $) . T)) 
-(((|#1|) . T)) 
-(((|#1| |#2| (-243 |#2| |#1|) (-233 (-2946 |#2|) (-765)) (-968 |#1|) (-776 |#1|) (-923 |#1|) (-237 (-923 |#1|)) |#3|) . T)) 
-(((|#2|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-852)) . T)) 
+(|has| |#1| (-1097)) 
+((((-571)) . T)) 
+(((|#1|) . T)) 
+((((-1169)) . T) ((|#1|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) 
+((((-412 (-571)) (-412 (-571))) . T)) 
+((((-571) (-1209) (-1209)) . T)) 
+((((-412 (-571))) . T)) 
+((((-571)) . T)) 
+(-1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+((((-544)) . T)) 
+((((-855)) . T)) 
+((((-1169)) |has| |#2| (-900 (-1169))) (((-1081)) . T)) 
+((((-1242 |#2| |#3| |#4|)) . T)) 
+((((-910 |#1|)) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((($) . T) (((-412 (-571))) . T)) 
+(-12 (|has| |#1| (-367)) (|has| |#2| (-820))) 
+(-12 (|has| |#1| (-367)) (|has| |#2| (-820))) 
+(|has| |#1| (-1213)) 
+(((|#2|) . T)) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+((((-1169)) |has| |#1| (-900 (-1169)))) 
+((((-910 |#1|)) . T) (((-412 (-571))) . T) (($) . T)) 
+((($) . T) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) ((|#1|) . T)) 
+((((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1| |#1|) . T) (($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-561)))) 
+((($) . T) (((-412 (-571))) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
+((($) . T) (((-412 (-571))) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (((-571)) . T) (($) . T)) 
+(((|#2|) |has| |#2| (-1053)) (((-571)) -12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) . T) (($) -1831 (|has| |#1| (-173)) (|has| |#1| (-561)))) 
+(|has| |#1| (-561)) 
+(((|#1|) |has| |#1| (-367))) 
+((((-571)) . T)) 
+(|has| |#1| (-791)) 
+(|has| |#1| (-791)) 
+((((-1169) (-125 |#1|)) |has| (-125 |#1|) (-526 (-1169) (-125 |#1|))) (((-125 |#1|) (-125 |#1|)) |has| (-125 |#1|) (-304 (-125 |#1|)))) 
+(((|#2|) . T) (((-571)) |has| |#2| (-1043 (-571))) (((-412 (-571))) |has| |#2| (-1043 (-412 (-571))))) 
+((((-1081)) . T) ((|#2|) . T) (((-571)) |has| |#2| (-1043 (-571))) (((-412 (-571))) |has| |#2| (-1043 (-412 (-571))))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-571) (-768)) . T) ((|#3| (-768)) . T)) 
+((((-1081) |#1|) . T) (((-1081) $) . T) (($ $) . T)) 
+(((|#1|) . T)) 
+(((|#1| |#2| (-243 |#2| |#1|) (-233 (-4001 |#2|) (-768)) (-972 |#1|) (-779 |#1|) (-926 |#1|) (-237 (-926 |#1|)) |#3|) . T)) 
+(((|#2|) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-855)) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-817)) 
-(|has| |#2| (-817)) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2|) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-(((|#1|) . T) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-569)) |has| |#1| (-883 (-569))) (((-382)) |has| |#1| (-883 (-382)))) 
-(((|#1|) . T)) 
-((((-866 |#1|)) . T)) 
-((((-866 |#1|)) . T)) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-906))) 
-((((-410 (-569))) . T) (((-690)) . T) (($) . T)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
-(|has| |#1| (-366)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-854 |#1|)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#2| (-765)) . T)) 
-((((-1165)) . T)) 
-((((-866 |#1|)) . T)) 
-(-1929 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
-(-1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
-(-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))) 
-((((-866 |#1|)) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-((($ $) . T) (((-608 $) $) . T)) 
-((((-862) (-862)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-((($) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#2|) . T)) 
-((((-569)) . T)) 
-((((-852)) . T)) 
-((((-862)) . T) (($) . T) (((-410 (-569))) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T) (((-410 (-569))) |has| |#1| (-366))) 
-((($) . T) ((|#2|) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-1093)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-(|has| |#2| (-906)) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569))))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#3|) |has| |#3| (-1049)) (((-569)) -12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049)))) 
-((((-1116 |#1| |#2|)) . T) (((-955 |#1|)) |has| |#2| (-610 (-1165))) (((-852)) . T)) 
-((((-955 |#1|)) |has| |#2| (-610 (-1165))) (((-1147)) -12 (|has| |#1| (-1039 (-569))) (|has| |#2| (-610 (-1165)))) (((-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569))))) (((-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382))))) (((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542))))) 
-((((-1161 |#1|)) . T) (((-852)) . T)) 
-((((-852)) . T)) 
-((((-410 (-569))) |has| |#2| (-1039 (-410 (-569)))) (((-569)) |has| |#2| (-1039 (-569))) ((|#2|) . T) (((-854 |#1|)) . T)) 
-((((-125 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T) (((-1165)) . T)) 
-((((-852)) . T)) 
-((((-569)) . T)) 
-((($) . T)) 
-((((-382)) |has| |#1| (-883 (-382))) (((-569)) |has| |#1| (-883 (-569)))) 
-((((-569)) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#2| (-820)) 
+(|has| |#2| (-820)) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) ((|#2|) |has| |#1| (-367)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+(((|#1|) . T) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-571)) |has| |#1| (-886 (-571))) (((-384)) |has| |#1| (-886 (-384)))) 
+(((|#1|) . T)) 
+((((-869 |#1|)) . T)) 
+((((-869 |#1|)) . T)) 
+(-12 (|has| |#1| (-367)) (|has| |#2| (-909))) 
+((((-412 (-571))) . T) (((-693)) . T) (($) . T)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
+(|has| |#1| (-367)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-857 |#1|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#2| (-768)) . T)) 
+((((-1169)) . T)) 
+((((-869 |#1|)) . T)) 
+(-1831 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-793)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+(-1831 (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#2| (-793)) (|has| |#2| (-845))) 
+(-1831 (-12 (|has| |#1| (-793)) (|has| |#2| (-793))) (-12 (|has| |#1| (-847)) (|has| |#2| (-847)))) 
+((((-869 |#1|)) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+((($ $) . T) (((-610 $) $) . T)) 
+((((-865) (-865)) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+((($) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#2|) . T)) 
+((((-571)) . T)) 
+((((-855)) . T)) 
+((((-865)) . T) (($) . T) (((-412 (-571))) . T)) 
+((($) . T) (((-412 (-571))) . T)) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+(((|#1|) . T) (((-412 (-571))) |has| |#1| (-367))) 
+((($) . T) ((|#2|) . T) (((-412 (-571))) . T)) 
+(|has| |#1| (-1097)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+(|has| |#2| (-909)) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) . T)) 
+((((-544)) |has| |#2| (-612 (-544))) (((-892 (-384))) |has| |#2| (-612 (-892 (-384)))) (((-892 (-571))) |has| |#2| (-612 (-892 (-571))))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#3|) |has| |#3| (-1053)) (((-571)) -12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053)))) 
+((((-1120 |#1| |#2|)) . T) (((-958 |#1|)) |has| |#2| (-612 (-1169))) (((-855)) . T)) 
+((((-958 |#1|)) |has| |#2| (-612 (-1169))) (((-1151)) -12 (|has| |#1| (-1043 (-571))) (|has| |#2| (-612 (-1169)))) (((-892 (-571))) -12 (|has| |#1| (-612 (-892 (-571)))) (|has| |#2| (-612 (-892 (-571))))) (((-892 (-384))) -12 (|has| |#1| (-612 (-892 (-384)))) (|has| |#2| (-612 (-892 (-384))))) (((-544)) -12 (|has| |#1| (-612 (-544))) (|has| |#2| (-612 (-544))))) 
+((((-1165 |#1|)) . T) (((-855)) . T)) 
+((((-855)) . T)) 
+((((-412 (-571))) |has| |#2| (-1043 (-412 (-571)))) (((-571)) |has| |#2| (-1043 (-571))) ((|#2|) . T) (((-857 |#1|)) . T)) 
+((((-125 |#1|)) . T) (($) . T) (((-412 (-571))) . T)) 
+((((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-571)) |has| |#1| (-1043 (-571))) ((|#1|) . T) (((-1169)) . T)) 
+((((-855)) . T)) 
+((((-571)) . T)) 
+((($) . T)) 
+((((-384)) |has| |#1| (-886 (-384))) (((-571)) |has| |#1| (-886 (-571)))) 
+((((-571)) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
-((((-569)) . T) (((-410 (-569))) . T)) 
+((((-571)) . T) (((-412 (-571))) . T)) 
 (((|#1|) |has| |#1| (-304 |#1|))) 
-((((-852)) . T)) 
-((((-382)) . T)) 
+((((-855)) . T)) 
+((((-384)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-852)) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-410 |#2|) |#3|) . T)) 
+((((-855)) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-412 |#2|) |#3|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1093)) 
-(((|#2| (-494 (-2946 |#1|) (-765))) . T)) 
-((((-569) |#1|) . T)) 
+(|has| |#1| (-1097)) 
+(((|#2| (-496 (-4001 |#1|) (-768))) . T)) 
+((((-571) |#1|) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#1| (-535 (-1165))) . T)) 
-((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-((((-569)) . T)) 
+(((|#1| (-537 (-1169))) . T)) 
+((((-2 (|:| |k| (-571)) (|:| |c| |#1|))) . T)) 
+(-1831 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+((((-571)) . T)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-((((-1165)) |has| |#1| (-897 (-1165))) (((-1077)) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
-(|has| |#1| (-559)) 
+((((-1169)) |has| |#1| (-900 (-1169))) (((-1081)) . T)) 
+(((|#1|) . T) (((-571)) |has| |#1| (-633 (-571)))) 
+(|has| |#1| (-561)) 
 (((|#1|) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
+((($) . T) (((-412 (-571))) . T)) 
 ((($) . T)) 
 ((($) . T)) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
 (((|#1|) . T)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-852)) . T)) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-855)) . T)) 
 ((((-148)) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1139)) 
-(((|#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|))) . T)) 
+(|has| |#1| (-1143)) 
+(((|#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|))) . T)) 
 (((|#1|) . T)) 
-((((-852)) . T)) 
-((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T) ((|#2|) . T)) 
-((((-1077)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
-((((-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#2| (-883 (-382)))) (((-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#2| (-883 (-569))))) 
-((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
-((((-569) |#1|) . T)) 
+((((-855)) . T)) 
+((((-412 $) (-412 $)) |has| |#1| (-561)) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+((((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-571)) |has| |#1| (-1043 (-571))) ((|#1|) . T) ((|#2|) . T)) 
+((((-1081)) . T) ((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571))))) 
+((((-384)) -12 (|has| |#1| (-886 (-384))) (|has| |#2| (-886 (-384)))) (((-571)) -12 (|has| |#1| (-886 (-571))) (|has| |#2| (-886 (-571))))) 
+((((-1243 |#1| |#2| |#3| |#4|)) . T)) 
+((((-571) |#1|) . T)) 
 (((|#1| |#1|) . T)) 
 ((($) . T) ((|#2|) . T)) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
 ((($) . T)) 
-((((-690)) . T)) 
-((((-777 |#1| (-854 |#2|))) . T)) 
-((($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-1093)) 
-(|has| |#1| (-1093)) 
-(|has| |#2| (-366)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-569)) . T)) 
-((((-1165)) -12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) 
-((((-1165)) -12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) 
-(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+((((-693)) . T)) 
+((((-780 |#1| (-857 |#2|))) . T)) 
+((($) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(|has| |#1| (-1097)) 
+(|has| |#1| (-1097)) 
+(|has| |#2| (-367)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-571)) . T)) 
+((((-1169)) -12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))) 
+((((-1169)) -12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) 
+(-1831 (|has| |#2| (-367)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
 (((|#1|) . T)) 
 (|has| |#1| (-226)) 
-(((|#1| (-535 |#3|)) . T)) 
-(((|#2| (-233 (-2946 |#1|) (-765))) . T)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#1| (-371)) 
-(|has| |#2| (-906)) 
+(((|#1| (-537 |#3|)) . T)) 
+(((|#2| (-233 (-4001 |#1|) (-768))) . T)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#1| (-373)) 
+(|has| |#2| (-909)) 
 (((|#1|) . T) (($) . T)) 
-(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-(((|#1| (-535 |#2|)) . T)) 
-(((|#1| (-765)) . T)) 
-(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+(-1831 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(((|#1| (-537 |#2|)) . T)) 
+(((|#1| (-768)) . T)) 
+(-1831 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) 
-((((-852)) . T)) 
-(-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))) 
-(|has| |#1| (-559)) 
-(-1929 (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-718)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+((((-855)) . T)) 
+(-1831 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-793)) (|has| |#2| (-793)))) 
+(|has| |#1| (-561)) 
+(-1831 (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-793)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-721)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
 (((|#1|) |has| |#1| (-173))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#4|) |has| |#4| (-1049))) 
-(((|#3|) |has| |#3| (-1049))) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#4|) |has| |#4| (-1053))) 
+(((|#3|) |has| |#3| (-1053))) 
+(-12 (|has| |#1| (-367)) (|has| |#2| (-820))) 
+(-12 (|has| |#1| (-367)) (|has| |#2| (-820))) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-412 |#2|)) . T) (((-412 (-571))) . T) (($) . T)) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+((((-855)) . T)) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
-(((|#1|) . T)) 
-(((|#4|) |has| |#4| (-1093)) (((-569)) -12 (|has| |#4| (-1039 (-569))) (|has| |#4| (-1093))) (((-410 (-569))) -12 (|has| |#4| (-1039 (-410 (-569)))) (|has| |#4| (-1093)))) 
-(((|#3|) |has| |#3| (-1093)) (((-569)) -12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093))) (((-410 (-569))) -12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093)))) 
-(|has| |#2| (-366)) 
-(((|#2|) |has| |#2| (-1049)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) 
-(((|#1|) . T)) 
-(|has| |#2| (-366)) 
-((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-(((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((($) . T) (((-412 (-571))) . T)) 
+(((|#1|) . T)) 
+(((|#4|) |has| |#4| (-1097)) (((-571)) -12 (|has| |#4| (-1043 (-571))) (|has| |#4| (-1097))) (((-412 (-571))) -12 (|has| |#4| (-1043 (-412 (-571)))) (|has| |#4| (-1097)))) 
+(((|#3|) |has| |#3| (-1097)) (((-571)) -12 (|has| |#3| (-1043 (-571))) (|has| |#3| (-1097))) (((-412 (-571))) -12 (|has| |#3| (-1043 (-412 (-571)))) (|has| |#3| (-1097)))) 
+(|has| |#2| (-367)) 
+(((|#2|) |has| |#2| (-1053)) (((-571)) -12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) 
+(((|#1|) . T)) 
+(|has| |#2| (-367)) 
+((((-412 (-571)) (-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2| |#2|) . T) (($ $) -1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#1| |#1|) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+(((|#1| |#1|) . T) (($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
 (((|#2| |#2|) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-(((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-(((|#2|) . T)) 
-(((|#1|) . T)) 
-((($) . T)) 
-((((-852)) |has| |#1| (-1093))) 
-((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(|has| |#2| (-817)) 
-(|has| |#2| (-817)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-15 * (|#1| (-569) |#1|))) 
-(((|#1|) |has| |#2| (-420 |#1|))) 
-(((|#1|) |has| |#2| (-420 |#1|))) 
-((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-852)) . T)) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-((((-569) |#1|) . T)) 
-((((-569) |#1|) . T)) 
-((((-569) |#1|) . T)) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-569) |#1|) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-1165)) |has| |#1| (-897 (-1165))) (((-815 (-1165))) . T)) 
-(-1929 (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
-((((-816 |#1|)) . T)) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) . T) (($) -1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T)) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T)) 
+(((|#1|) . T) (($) . T) (((-412 (-571))) . T)) 
+(((|#2|) . T)) 
+(((|#1|) . T)) 
+((($) . T)) 
+((((-855)) |has| |#1| (-1097))) 
+((((-1243 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(|has| |#2| (-820)) 
+(|has| |#2| (-820)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-15 * (|#1| (-571) |#1|))) 
+(((|#1|) |has| |#2| (-422 |#1|))) 
+(((|#1|) |has| |#2| (-422 |#1|))) 
+((((-910 |#1|)) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-855)) . T)) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) |has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))))) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+((((-571) |#1|) . T)) 
+((((-571) |#1|) . T)) 
+((((-571) |#1|) . T)) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-571) |#1|) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-1169)) |has| |#1| (-900 (-1169))) (((-818 (-1169))) . T)) 
+(-1831 (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-793)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+((((-819 |#1|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#3| (-173)) (|has| |#3| (-718)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
+((((-855)) . T)) 
+(-1831 (|has| |#3| (-173)) (|has| |#3| (-721)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-852)) . T)) 
-((((-1238 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-410 (-569))) . T)) 
-(((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559)) (((-410 (-569))) |has| |#1| (-559))) 
-(((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
-(|has| |#1| (-366)) 
-(-1929 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (-12 (|has| |#1| (-366)) (|has| |#2| (-226)))) 
-(|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
-(|has| |#1| (-366)) 
-(((|#1|) . T)) 
-((((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1| |#1|) . T)) 
-((((-569) |#1|) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-855)) . T)) 
+((((-1243 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-412 (-571))) . T)) 
+(((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-561)) (((-412 (-571))) |has| |#1| (-561))) 
+(((|#2|) . T) (((-571)) |has| |#2| (-633 (-571)))) 
+(|has| |#1| (-367)) 
+(-1831 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (-12 (|has| |#1| (-367)) (|has| |#2| (-226)))) 
+(|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) 
+(|has| |#1| (-367)) 
+(((|#1|) . T)) 
+((((-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) ((|#1| |#1|) . T)) 
+((((-571) |#1|) . T)) 
 ((((-311 |#1|)) . T)) 
-((((-410 (-569)) (-410 (-569))) . T) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-690) (-1161 (-690))) . T)) 
-((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1|) . T)) 
-((((-410 (-569))) . T) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-412 (-571)) (-412 (-571))) . T) (($ $) . T) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+((((-693) (-1165 (-693))) . T)) 
+((((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) (($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) ((|#1|) . T)) 
+((((-412 (-571))) . T) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(|has| |#1| (-842)) 
-((($ $) . T) (((-854 |#1|) $) . T) (((-854 |#1|) |#2|) . T)) 
-((((-1116 |#1| (-1165))) . T) (((-815 (-1165))) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-1165)) . T)) 
+(|has| |#1| (-845)) 
+((($ $) . T) (((-857 |#1|) $) . T) (((-857 |#1|) |#2|) . T)) 
+((((-1120 |#1| (-1169))) . T) (((-818 (-1169))) . T) ((|#1|) . T) (((-571)) |has| |#1| (-1043 (-571))) (((-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) (((-1169)) . T)) 
 ((($) . T)) 
 (((|#2| |#1|) . T) ((|#2| $) . T) (($ $) . T)) 
-((((-1077) |#1|) . T) (((-1077) $) . T) (($ $) . T)) 
-((($ $) . T) (((-1165) $) |has| |#1| (-226)) (((-1165) |#1|) |has| |#1| (-226)) (((-1082 (-1165)) |#1|) . T) (((-1082 (-1165)) $) . T)) 
+((((-1081) |#1|) . T) (((-1081) $) . T) (($ $) . T)) 
+((($ $) . T) (((-1169) $) |has| |#1| (-226)) (((-1169) |#1|) |has| |#1| (-226)) (((-1086 (-1169)) |#1|) . T) (((-1086 (-1169)) $) . T)) 
 ((($) . T) ((|#2|) . T)) 
-((($) . T) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-(|has| |#2| (-906)) 
-((($) . T) (((-1237 |#2| |#3| |#4|)) |has| (-1237 |#2| |#3| |#4|) (-173)) (((-410 (-569))) |has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
-((((-569) |#1|) . T)) 
-((((-1238 |#1| |#2| |#3| |#4|)) |has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) 
+((($) . T) ((|#2|) . T) (((-412 (-571))) |has| |#2| (-43 (-412 (-571))))) 
+(|has| |#2| (-909)) 
+((($) . T) (((-1242 |#2| |#3| |#4|)) |has| (-1242 |#2| |#3| |#4|) (-173)) (((-412 (-571))) |has| (-1242 |#2| |#3| |#4|) (-43 (-412 (-571))))) 
+((((-571) |#1|) . T)) 
+((((-1243 |#1| |#2| |#3| |#4|)) |has| (-1243 |#1| |#2| |#3| |#4|) (-304 (-1243 |#1| |#2| |#3| |#4|)))) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2| |#2|) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) ((|#2| |#2|) |has| |#1| (-367)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367)))) 
 (((|#2|) . T)) 
 (|has| |#2| (-226)) 
 (|has| $ (-151)) 
-((((-852)) . T)) 
-((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((((-852)) . T)) 
-(|has| |#1| (-842)) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) 
-((((-410 |#2|) |#3|) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-(((|#2| (-664 |#1|)) . T)) 
-(-12 (|has| |#1| (-302)) (|has| |#1| (-906))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-855)) . T)) 
+((($) . T) (((-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-352))) ((|#1|) . T)) 
+((((-855)) . T)) 
+(|has| |#1| (-845)) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) 
+((((-412 |#2|) |#3|) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+(((|#2| (-666 |#1|)) . T)) 
+(-12 (|has| |#1| (-302)) (|has| |#1| (-909))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
 (((|#4|) . T)) 
-(|has| |#1| (-559)) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) 
-((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2|) |has| |#1| (-366)) ((|#1|) . T)) 
-((((-1165)) -1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) 
-(((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) 
-((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
-((((-569) |#1|) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-(((|#1|) . T)) 
-(((|#1| (-535 (-815 (-1165)))) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((((-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-(((|#1|) . T)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-(((|#1|) . T)) 
-(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-(-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))) 
-((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((($) . T) (((-866 |#1|)) . T) (((-410 (-569))) . T)) 
-((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-(|has| |#1| (-559)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-410 |#2|)) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-852)) |has| |#1| (-1093))) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-852)) |has| |#1| (-1093))) 
-(((|#1|) . T)) 
-(((|#2|) |has| |#2| (-173)) (($) . T) (((-410 (-569))) |has| |#2| (-559))) 
-(((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-569)) . T)) 
-(((|#2|) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-852)) . T)) 
-((((-582 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-569) |#1|) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-852)) . T)) 
-((($ $) . T) (((-1165) $) . T)) 
-((((-1244 |#1| |#2| |#3|)) . T)) 
-((((-1244 |#1| |#2| |#3|)) . T) (((-1216 |#1| |#2| |#3|)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|))) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569))))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#3| (-610 (-889 (-569))))) (((-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#3| (-610 (-889 (-382))))) (((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542))))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+(|has| |#1| (-561)) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) 
+((($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367))) ((|#2|) |has| |#1| (-367)) ((|#1|) . T)) 
+((((-1169)) -1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) 
+(((|#1|) . T) (($) -1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-561))) (((-412 (-571))) -1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-367)))) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) 
+((($) |has| |#1| (-561)) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) 
+((((-571) |#1|) . T)) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+(((|#1|) . T)) 
+(((|#1| (-537 (-818 (-1169)))) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((((-571) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) . T)) 
+(((|#1|) . T)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+(((|#1|) . T)) 
+(-1831 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(-1831 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-793)) (|has| |#2| (-793)))) 
+((((-1249 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+((($) . T) (((-869 |#1|)) . T) (((-412 (-571))) . T)) 
+((((-1249 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+(|has| |#1| (-561)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-412 |#2|)) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-352))) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-855)) |has| |#1| (-1097))) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-855)) |has| |#1| (-1097))) 
+(((|#1|) . T)) 
+(((|#2|) |has| |#2| (-173)) (($) . T) (((-412 (-571))) |has| |#2| (-561))) 
+(((|#2| |#2|) . T) (((-412 (-571)) (-412 (-571))) . T) (($ $) . T)) 
+((((-571)) . T)) 
+(((|#2|) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-855)) . T)) 
+((((-584 |#1|)) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-571) |#1|) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-855)) . T)) 
+((($ $) . T) (((-1169) $) . T)) 
+((((-1249 |#1| |#2| |#3|)) . T)) 
+((((-1249 |#1| |#2| |#3|)) . T) (((-1221 |#1| |#2| |#3|)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|))) . T)) 
+((((-544)) |has| |#2| (-612 (-544))) (((-892 (-384))) |has| |#2| (-612 (-892 (-384)))) (((-892 (-571))) |has| |#2| (-612 (-892 (-571))))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-892 (-571))) -12 (|has| |#1| (-612 (-892 (-571)))) (|has| |#3| (-612 (-892 (-571))))) (((-892 (-384))) -12 (|has| |#1| (-612 (-892 (-384)))) (|has| |#3| (-612 (-892 (-384))))) (((-544)) -12 (|has| |#1| (-612 (-544))) (|has| |#3| (-612 (-544))))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
-((((-852)) . T)) 
-((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-1165)) . T) (((-852)) . T)) 
-(|has| |#1| (-366)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((((-855)) . T)) 
+((((-1249 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+((((-1169)) . T) (((-855)) . T)) 
+(|has| |#1| (-367)) 
+((((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) |has| |#2| (-173)) (($) -1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909)))) 
 (((|#2|) . T) ((|#6|) . T)) 
-((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
-((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-1097)) . T)) 
-((((-852)) . T)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
+((($) . T) (((-412 (-571))) |has| |#2| (-43 (-412 (-571)))) ((|#2|) . T)) 
+((($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-1101)) . T)) 
+((((-855)) . T)) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((($) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) . T)) 
 ((($) . T)) 
-((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#2| (-906)) 
-(|has| |#1| (-906)) 
+((($) -1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(|has| |#2| (-909)) 
+(|has| |#1| (-909)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#1|) |has| |#1| (-173))) 
-((((-569)) . T)) 
-((((-690)) . T)) 
-((((-852)) |has| |#1| (-1093))) 
+((((-571)) . T)) 
+((((-693)) . T)) 
+((((-855)) |has| |#1| (-1097))) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1|) |has| |#1| (-173))) 
 ((($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(((|#1| (-569)) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(|has| |#1| (-366)) 
-(|has| |#1| (-366)) 
-(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(((|#1| (-765)) . T)) 
-(((|#1| (-569)) . T)) 
-(((|#1| (-410 (-569))) . T)) 
-(((|#1| (-765)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-1093)) 
-((((-410 (-569))) . T)) 
-(((|#1| (-535 |#2|) |#2|) . T)) 
-((((-569) |#1|) . T)) 
-((((-569) |#1|) . T)) 
-(|has| |#1| (-1093)) 
-((((-569) |#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-889 (-382))) . T) (((-889 (-569))) . T) (((-1165)) . T) (((-542)) . T)) 
-(((|#1|) . T)) 
-((((-852)) . T)) 
-(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-(-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))) 
-((((-569)) . T)) 
-((((-569)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(((|#1| (-571)) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-352))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-352))) 
+(|has| |#1| (-367)) 
+(|has| |#1| (-367)) 
+(-1831 (|has| |#1| (-173)) (|has| |#1| (-561))) 
+(((|#1| (-768)) . T)) 
+(((|#1| (-571)) . T)) 
+(((|#1| (-412 (-571))) . T)) 
+(((|#1| (-768)) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-1097)) 
+((((-412 (-571))) . T)) 
+(((|#1| (-537 |#2|) |#2|) . T)) 
+((((-571) |#1|) . T)) 
+((((-571) |#1|) . T)) 
+(|has| |#1| (-1097)) 
+((((-571) |#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-892 (-384))) . T) (((-892 (-571))) . T) (((-1169)) . T) (((-544)) . T)) 
+(((|#1|) . T)) 
+((((-855)) . T)) 
+(-1831 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-367)) (|has| |#2| (-793)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+(-1831 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-793)) (|has| |#2| (-793)))) 
+((((-571)) . T)) 
+((((-571)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(-1929 (|has| |#2| (-173)) (|has| |#2| (-718)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
-((((-1165)) -12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) 
-(-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))) 
-((((-569)) . T)) 
+(-1831 (|has| |#2| (-173)) (|has| |#2| (-721)) (|has| |#2| (-845)) (|has| |#2| (-1053))) 
+((((-1169)) -12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) 
+(-1831 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721)))) 
+((((-571)) . T)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
-(|has| |#1| (-366)) 
+(|has| |#1| (-367)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
 (|has| |#1| (-226)) 
-((((-852)) . T)) 
-(((|#1| (-765) (-1077)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-569) |#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-569) |#1|) . T)) 
-((((-569) |#1|) . T)) 
+((((-855)) . T)) 
+(((|#1| (-768) (-1081)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-571) |#1|) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-571) |#1|) . T)) 
+((((-571) |#1|) . T)) 
 ((((-125 |#1|)) . T)) 
-((((-569) (-170 (-216))) . T)) 
-((((-569) (-216)) . T)) 
-(((|#2|) |has| |#2| (-1049))) 
-((((-410 (-569))) . T) (($) . T)) 
-(((|#2|) . T)) 
-((((-569)) . T)) 
-((((-569)) . T)) 
-((((-410 (-569))) . T) (((-569)) . T)) 
-((((-1147) (-1165) (-569) (-216) (-852)) . T)) 
+((((-571) (-170 (-216))) . T)) 
+((((-571) (-216)) . T)) 
+(((|#2|) |has| |#2| (-1053))) 
+((((-412 (-571))) . T) (($) . T)) 
+(((|#2|) . T)) 
+((((-571)) . T)) 
+((((-571)) . T)) 
+((((-412 (-571))) . T) (((-571)) . T)) 
+((((-1151) (-1169) (-571) (-216) (-855)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
-(-1929 (|has| |#1| (-351)) (|has| |#1| (-371))) 
+((((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-561))) 
+(-1831 (|has| |#1| (-352)) (|has| |#1| (-373))) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) ((|#1|) . T)) 
-((((-852)) . T)) 
-((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
-((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#2|) |has| |#2| (-1093)) (((-569)) -12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (((-410 (-569))) -12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) 
-((((-542)) |has| |#1| (-610 (-542)))) 
-((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
-((($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-906)) 
-(|has| |#1| (-906)) 
-((((-216)) -12 (|has| |#1| (-366)) (|has| |#2| (-1023))) (((-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-1023))) (((-889 (-382))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-889 (-382))))) (((-889 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-889 (-569))))) (((-542)) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-542))))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-855)) . T)) 
+((($) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((|#1|) . T)) 
+((($) . T) ((|#1|) . T) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+(((|#2|) |has| |#2| (-1097)) (((-571)) -12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097))) (((-412 (-571))) -12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) 
+((((-544)) |has| |#1| (-612 (-544)))) 
+((((-855)) -1831 (|has| |#1| (-847)) (|has| |#1| (-1097)))) 
+((($) . T) (((-412 (-571))) . T)) 
+(|has| |#1| (-909)) 
+(|has| |#1| (-909)) 
+((((-216)) -12 (|has| |#1| (-367)) (|has| |#2| (-1027))) (((-384)) -12 (|has| |#1| (-367)) (|has| |#2| (-1027))) (((-892 (-384))) -12 (|has| |#1| (-367)) (|has| |#2| (-612 (-892 (-384))))) (((-892 (-571))) -12 (|has| |#1| (-367)) (|has| |#2| (-612 (-892 (-571))))) (((-544)) -12 (|has| |#1| (-367)) (|has| |#2| (-612 (-544))))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1| |#1|) |has| |#1| (-173))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-561))) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-845))) 
 (((|#2|) . T)) 
-(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
+(-1831 (|has| |#1| (-21)) (|has| |#1| (-845))) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| (-410 |#2|) (-151)) 
-((((-410 |#2|) |#3|) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-366)) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-(|has| (-410 |#2|) (-149)) 
-((((-690)) . T)) 
-(((|#1|) . T) (((-410 (-569))) . T) (((-569)) . T) (($) . T)) 
-((((-569) (-569)) . T)) 
-((($) . T) (((-410 (-569))) . T)) 
-(-1929 (|has| |#4| (-173)) (|has| |#4| (-842)) (|has| |#4| (-1049)) SEQ) 
-(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049)) SEQ) 
-(|has| |#4| (-790)) 
-(-1929 (|has| |#4| (-790)) (|has| |#4| (-842))) 
-(|has| |#4| (-842)) 
-(|has| |#3| (-790)) 
-(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
-(|has| |#3| (-842)) 
-((((-569)) . T)) 
-(((|#2|) . T)) 
-((((-1165)) -1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) 
+(|has| (-412 |#2|) (-151)) 
+((((-412 |#2|) |#3|) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-367)) 
+((($ $) . T) (((-412 (-571)) (-412 (-571))) . T)) 
+(|has| (-412 |#2|) (-149)) 
+((((-693)) . T)) 
+(((|#1|) . T) (((-412 (-571))) . T) (((-571)) . T) (($) . T)) 
+((((-571) (-571)) . T)) 
+((($) . T) (((-412 (-571))) . T)) 
+(-1831 (|has| |#4| (-173)) (|has| |#4| (-721)) (|has| |#4| (-845)) (|has| |#4| (-1053))) 
+(-1831 (|has| |#3| (-173)) (|has| |#3| (-721)) (|has| |#3| (-845)) (|has| |#3| (-1053))) 
+(|has| |#4| (-793)) 
+(-1831 (|has| |#4| (-793)) (|has| |#4| (-845))) 
+(|has| |#4| (-845)) 
+(|has| |#3| (-793)) 
+(-1831 (|has| |#3| (-793)) (|has| |#3| (-845))) 
+(|has| |#3| (-845)) 
+((((-571)) . T)) 
+(((|#2|) . T)) 
+((((-1169)) -1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
-((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) 
+((((-1169)) -12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) 
 (((|#1| |#1|) . T) (($ $) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(|has| |#2| (-366)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(|has| |#2| (-367)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T) (($) . T)) 
 (((|#1|) . T)) 
-((((-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-((((-854 |#1|)) . T)) 
-((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-1128 |#1| |#2|)) . T)) 
-(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
-((($) . T)) 
-(|has| |#1| (-1023)) 
-(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((((-852)) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569)))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382)))) (((-382)) |has| |#2| (-1023)) (((-216)) |has| |#2| (-1023))) 
-((((-1165) (-57)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-862)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-410 (-569))) . T) (($) . T)) 
+((((-571) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) . T)) 
+((((-857 |#1|)) . T)) 
+((((-2 (|:| |k| (-571)) (|:| |c| |#1|))) . T)) 
+((((-1167 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+((((-1167 |#1| |#2| |#3|)) |has| |#1| (-367))) 
+((((-1132 |#1| |#2|)) . T)) 
+(((|#2|) . T) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) . T)) 
+((($) . T)) 
+(|has| |#1| (-1027)) 
+(((|#2|) . T) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((((-855)) . T)) 
+((((-544)) |has| |#2| (-612 (-544))) (((-892 (-571))) |has| |#2| (-612 (-892 (-571)))) (((-892 (-384))) |has| |#2| (-612 (-892 (-384)))) (((-384)) |has| |#2| (-1027)) (((-216)) |has| |#2| (-1027))) 
+((((-1169) (-57)) . T)) 
+(|has| |#1| (-43 (-412 (-571)))) 
+(|has| |#1| (-43 (-412 (-571)))) 
+((((-865)) . T) (((-412 (-571))) . T) (($) . T)) 
+((((-412 (-571))) . T) (($) . T)) 
 (((|#2|) . T)) 
 ((($ $) . T)) 
-((((-410 (-569))) . T) (((-690)) . T) (($) . T)) 
-((((-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T) (($ $) . T)) 
-((((-1163 |#1| |#2| |#3|)) . T)) 
-((((-1163 |#1| |#2| |#3|)) . T) (((-1155 |#1| |#2| |#3|)) . T)) 
-((((-852)) . T)) 
-((((-852)) |has| |#1| (-1093))) 
-((((-569) |#1|) . T)) 
-((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-412 (-571))) . T) (((-693)) . T) (($) . T)) 
+((((-571) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) . T) (($ $) . T)) 
+((((-1167 |#1| |#2| |#3|)) . T)) 
+((((-1167 |#1| |#2| |#3|)) . T) (((-1159 |#1| |#2| |#3|)) . T)) 
+((((-855)) . T)) 
+((((-855)) |has| |#1| (-1097))) 
+((((-571) |#1|) . T)) 
+((((-1167 |#1| |#2| |#3|)) |has| |#1| (-367))) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(|has| |#2| (-366)) 
-(((|#3|) . T) ((|#2|) . T) (($) -1929 (|has| |#4| (-173)) (|has| |#4| (-842)) (|has| |#4| (-1049))) ((|#4|) -1929 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1049)))) 
-(((|#2|) . T) (($) -1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) ((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049)))) 
+(|has| |#2| (-367)) 
+(((|#3|) . T) ((|#2|) . T) (($) -1831 (|has| |#4| (-173)) (|has| |#4| (-845)) (|has| |#4| (-1053))) ((|#4|) -1831 (|has| |#4| (-173)) (|has| |#4| (-367)) (|has| |#4| (-1053)))) 
+(((|#2|) . T) (($) -1831 (|has| |#3| (-173)) (|has| |#3| (-845)) (|has| |#3| (-1053))) ((|#3|) -1831 (|has| |#3| (-173)) (|has| |#3| (-367)) (|has| |#3| (-1053)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-366)) 
+(|has| |#1| (-367)) 
 ((((-125 |#1|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569))) |has| |#2| (-1039 (-410 (-569)))) (((-569)) |has| |#2| (-1039 (-569))) ((|#2|) . T) (((-854 |#1|)) . T)) 
-((((-542)) |has| (-170 (-216)) (-610 (-542)))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-542)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
+((((-412 (-571))) |has| |#2| (-1043 (-412 (-571)))) (((-571)) |has| |#2| (-1043 (-571))) ((|#2|) . T) (((-857 |#1|)) . T)) 
+((((-544)) |has| (-170 (-216)) (-612 (-544)))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-544)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
 (((|#1|) . T)) 
-((((-852)) |has| |#1| (-1093))) 
-((((-569) |#1|) . T)) 
+((((-855)) |has| |#1| (-1097))) 
+((((-571) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#2| $) -12 (|has| |#1| (-366)) (|has| |#2| (-282 |#2| |#2|))) (($ $) . T)) 
+(((|#2| $) -12 (|has| |#1| (-367)) (|has| |#2| (-282 |#2| |#2|))) (($ $) . T)) 
 ((($ $) . T)) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-906))) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-((((-852)) . T)) 
-(((|#1| (-535 |#2|)) . T)) 
-((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
-(((|#1| (-569)) . T)) 
-(((|#1| (-410 (-569))) . T)) 
-(((|#1| (-765)) . T)) 
-(((|#1| (-765)) . T)) 
-(((|#1|) . T)) 
-((((-125 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
-(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
-((($) . T)) 
-(((|#2| (-535 (-854 |#1|))) . T)) 
-((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-((((-569) |#1|) . T)) 
-(((|#2|) . T)) 
-(((|#2| (-765)) . T)) 
-((((-852)) |has| |#1| (-1093))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-909))) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+((((-855)) . T)) 
+(((|#1| (-537 |#2|)) . T)) 
+((((-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) . T)) 
+(((|#1| (-571)) . T)) 
+(((|#1| (-412 (-571))) . T)) 
+(((|#1| (-768)) . T)) 
+(((|#1| (-768)) . T)) 
+(((|#1|) . T)) 
+((((-125 |#1|)) . T) (($) . T) (((-412 (-571))) . T)) 
+(-1831 (|has| |#2| (-456)) (|has| |#2| (-561)) (|has| |#2| (-909))) 
+(-1831 (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) 
+((($) . T)) 
+(((|#2| (-537 (-857 |#1|))) . T)) 
+((((-2 (|:| |k| (-571)) (|:| |c| |#1|))) . T)) 
+((((-571) |#1|) . T)) 
+(((|#2|) . T)) 
+(((|#2| (-768)) . T)) 
+((((-855)) |has| |#1| (-1097))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1147) |#1|) . T)) 
-((((-410 |#2|)) . T)) 
-((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-(|has| |#1| (-559)) 
-(|has| |#1| (-559)) 
-((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-569)) . T)) 
+((((-1151) |#1|) . T)) 
+((((-412 |#2|)) . T)) 
+((((-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+(|has| |#1| (-561)) 
+(|has| |#1| (-561)) 
+((($) -1831 (|has| |#1| (-367)) (|has| |#1| (-456)) (|has| |#1| (-561)) (|has| |#1| (-909))) ((|#1|) |has| |#1| (-173)) (((-412 (-571))) |has| |#1| (-43 (-412 (-571))))) 
+((((-571)) . T)) 
 ((($) . T) ((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#2| $) |has| |#2| (-282 |#2| |#2|))) 
-(((|#1| (-635 |#1|)) |has| |#1| (-842))) 
-(-1929 (|has| |#1| (-226)) (|has| |#1| (-351))) 
-(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(|has| |#1| (-1093)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1139)) 
-((((-410 (-569))) . T) (($) . T)) 
-((((-1001 |#1|)) . T) ((|#1|) . T) (((-569)) -1929 (|has| (-1001 |#1|) (-1039 (-569))) (|has| |#1| (-1039 (-569)))) (((-410 (-569))) -1929 (|has| (-1001 |#1|) (-1039 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-1165)) |has| |#1| (-897 (-1165)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
-((((-569) (-170 (-216))) . T)) 
-((((-569) (-216)) . T)) 
-(((|#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) . T)) 
+(((|#1| (-637 |#1|)) |has| |#1| (-845))) 
+(-1831 (|has| |#1| (-226)) (|has| |#1| (-352))) 
+(-1831 (|has| |#1| (-367)) (|has| |#1| (-352))) 
+(|has| |#1| (-1097)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1143)) 
+((((-412 (-571))) . T) (($) . T)) 
+((((-1005 |#1|)) . T) ((|#1|) . T) (((-571)) -1831 (|has| (-1005 |#1|) (-1043 (-571))) (|has| |#1| (-1043 (-571)))) (((-412 (-571))) -1831 (|has| (-1005 |#1|) (-1043 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571)))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-1169)) |has| |#1| (-900 (-1169)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) 
+((((-571) (-170 (-216))) . T)) 
+((((-571) (-216)) . T)) 
+(((|#1| (-602 |#1| |#3|) (-602 |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-1128 |#1| |#2|) (-1128 |#1| |#2|)) |has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
+((((-1132 |#1| |#2|) (-1132 |#1| |#2|)) |has| (-1132 |#1| |#2|) (-304 (-1132 |#1| |#2|)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 
 ((((-125 |#1|)) |has| (-125 |#1|) (-304 (-125 |#1|)))) 
-(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(-1831 (|has| |#1| (-847)) (|has| |#1| (-1097))) 
 ((($ $) . T)) 
-((($ $) . T) (((-854 |#1|) $) . T) (((-854 |#1|) |#2|) . T)) 
+((($ $) . T) (((-857 |#1|) $) . T) (((-857 |#1|) |#2|) . T)) 
 ((($ $) . T) ((|#2| $) |has| |#1| (-226)) ((|#2| |#1|) |has| |#1| (-226)) ((|#3| |#1|) . T) ((|#3| $) . T)) 
-(((-653 . -1093) T) ((-258 . -524) 156651) ((-243 . -524) 156589) ((-576 . -120) 156574) ((-535 . -23) T) ((-241 . -1093) 156524) ((-126 . -304) 156468) ((-491 . -524) 156228) ((-685 . -105) T) ((-1129 . -524) 156136) ((-393 . -138) T) ((-1264 . -979) 156105) ((-219 . -19) 156087) ((-146 . -19) 156062) ((-600 . -500) 156046) ((-816 . -840) T) ((-614 . -138) T) ((-532 . -62) 155996) ((-219 . -602) 155971) ((-146 . -602) 155939) ((-64 . -524) 155872) ((-528 . -524) 155805) ((-421 . -897) 155764) ((-170 . -1049) T) ((-526 . -524) 155697) ((-507 . -524) 155630) ((-506 . -524) 155563) ((-796 . -1039) 155343) ((-690 . -43) 155308) ((-342 . -351) T) ((-1159 . -1139) 155286) ((-1087 . -1086) 155270) ((-1087 . -1093) 155248) ((-170 . -239) 155199) ((-170 . -226) 155150) ((-1087 . -1088) 155108) ((-868 . -282) 155066) ((-216 . -792) T) ((-216 . -789) T) ((-685 . -280) NIL) ((-1138 . -1176) 155045) ((-410 . -995) 155029) ((-970 . -105) T) ((-692 . -21) T) ((-692 . -25) T) ((-1266 . -638) 155003) ((-1203 . -155) 154985) ((-1202 . -1199) T) ((-1159 . -43) 154814) ((-311 . -162) 154793) ((-311 . -147) 154772) ((-1138 . -111) 154722) ((-140 . -25) T) ((-45 . -224) 154699) ((-125 . -21) T) ((-125 . -25) T) ((-604 . -284) 154675) ((-481 . -284) 154654) ((-1225 . -1049) T) ((-849 . -1049) T) ((-796 . -337) 154638) ((-126 . -1139) NIL) ((-96 . -609) 154605) ((-490 . -138) T) ((-592 . -1199) T) ((-1225 . -325) 154582) ((-576 . -1049) T) ((-1225 . -226) T) ((-653 . -709) 154566) ((-960 . -284) 154543) ((-776 . -500) 154495) ((-65 . -39) T) ((-1060 . -792) T) ((-1060 . -789) T) ((-813 . -718) T) ((-723 . -52) 154460) ((-616 . -43) 154447) ((-357 . -286) T) ((-354 . -286) T) ((-343 . -286) T) ((-258 . -286) 154378) ((-243 . -286) 154309) ((-1025 . -105) T) ((-416 . -718) T) ((-126 . -43) 154254) ((-416 . -479) T) ((-356 . -105) T) ((-1194 . -1056) T) ((-703 . -1056) T) ((-1248 . -1243) 154238) ((-1248 . -1230) 154215) ((-1163 . -52) 154192) ((-1162 . -52) 154162) ((-1155 . -52) 154139) ((-1037 . -155) 154085) ((-907 . -286) T) ((-1117 . -52) 154057) ((-685 . -304) NIL) ((-525 . -609) 154039) ((-520 . -609) 154021) ((-518 . -609) 154003) ((-326 . -1093) 153953) ((-116 . -105) T) ((-704 . -454) 153884) ((-53 . -105) T) ((-1236 . -282) 153869) ((-1215 . -282) 153789) ((-635 . -659) 153773) ((-635 . -641) 153757) ((-338 . -21) T) ((-338 . -25) T) ((-45 . -351) NIL) ((-862 . -1093) T) ((-174 . -21) T) ((-174 . -25) T) ((-857 . -1093) T) ((-635 . -376) 153741) ((-600 . -282) 153718) ((-391 . -105) T) ((-1111 . -147) T) ((-136 . -609) 153685) ((-871 . -1093) T) ((-649 . -414) 153669) ((-706 . -609) 153651) ((-1266 . -718) T) ((-219 . -609) 153633) ((-219 . -610) 153615) ((-163 . -609) 153597) ((-159 . -609) 153579) ((-146 . -609) 153561) ((-146 . -610) 153513) ((-1095 . -39) T) ((-116 . -117) T) ((-867 . -792) NIL) ((-867 . -789) NIL) ((-851 . -844) T) ((-723 . -883) NIL) ((-1275 . -138) T) ((-384 . -138) T) ((-901 . -105) T) ((-723 . -1039) 153389) ((-535 . -138) T) ((-1081 . -414) 153373) ((-1002 . -500) 153357) ((-126 . -403) 153334) ((-1155 . -1199) 153313) ((-779 . -414) 153297) ((-777 . -414) 153281) ((-946 . -39) T) ((-685 . -1139) NIL) ((-245 . -638) 153116) ((-244 . -638) 152938) ((-814 . -918) 152917) ((-456 . -414) 152901) ((-600 . -19) 152885) ((-1134 . -1193) 152854) ((-1155 . -883) NIL) ((-1155 . -881) 152806) ((-600 . -602) 152783) ((-1186 . -609) 152750) ((-1164 . -609) 152732) ((-67 . -398) T) ((-1162 . -1039) 152667) ((-1155 . -1039) 152633) ((-776 . -282) 152566) ((-685 . -43) 152516) ((-480 . -282) 152501) ((-723 . -380) 152485) ((-862 . -709) 152450) ((-649 . -1056) T) ((-857 . -709) 152400) ((-1236 . -1004) 152366) ((-1215 . -1004) 152332) ((-1061 . -1176) 152307) ((-868 . -610) 152108) ((-868 . -609) 152090) ((-1173 . -500) 152027) ((-421 . -1023) 152005) ((-53 . -304) 151992) ((-1061 . -111) 151938) ((-491 . -500) 151875) ((-529 . -1199) T) ((-1129 . -500) 151846) ((-1155 . -337) 151798) ((-1155 . -380) 151750) ((-440 . -105) T) ((-1081 . -1056) T) ((-245 . -39) T) ((-244 . -39) T) ((-776 . -1240) 151702) ((-779 . -1056) T) ((-777 . -1056) T) ((-723 . -897) 151679) ((-456 . -1056) T) ((-776 . -602) 151624) ((-64 . -500) 151608) ((-1036 . -1055) 151582) ((-925 . -1093) T) ((-528 . -500) 151566) ((-526 . -500) 151550) ((-507 . -500) 151534) ((-506 . -500) 151518) ((-736 . -918) 151497) ((-241 . -524) 151430) ((-1036 . -120) 151397) ((-1163 . -897) 151310) ((-234 . -638) 151270) ((-663 . -1105) T) ((-1162 . -897) 151176) ((-1155 . -897) 151009) ((-1117 . -897) 150993) ((-356 . -1139) T) ((-320 . -1055) 150975) ((-245 . -788) 150954) ((-245 . -791) 150905) ((-245 . -790) 150884) ((-244 . -788) 150863) ((-244 . -791) 150814) ((-244 . -790) 150793) ((-55 . -1056) T) ((-245 . -718) 150719) ((-244 . -718) 150645) ((-1194 . -1093) T) ((-663 . -23) T) ((-582 . -1056) T) ((-527 . -1056) T) ((-382 . -1055) 150610) ((-320 . -120) 150585) ((-78 . -386) T) ((-78 . -398) T) ((-1025 . -43) 150522) ((-685 . -403) 150504) ((-101 . -105) T) ((-703 . -1093) T) ((-1005 . -149) 150476) ((-382 . -120) 150425) ((-315 . -1208) 150404) ((-480 . -1004) 150370) ((-356 . -43) 150335) ((-45 . -373) 150307) ((-1005 . -151) 150279) ((-137 . -135) 150263) ((-131 . -135) 150247) ((-831 . -1055) 150217) ((-830 . -21) 150169) ((-824 . -1055) 150153) ((-830 . -25) 150105) ((-315 . -559) 150056) ((-569 . -825) T) ((-233 . -1199) T) ((-862 . -173) T) ((-857 . -173) T) ((-831 . -120) 150021) ((-824 . -120) 150000) ((-1236 . -609) 149982) ((-1215 . -609) 149964) ((-1215 . -610) 149635) ((-1161 . -906) 149614) ((-1116 . -906) 149593) ((-53 . -43) 149558) ((-1273 . -1105) T) ((-600 . -609) 149497) ((-600 . -610) 149458) ((-1271 . -1105) T) ((-233 . -1039) 149285) ((-1161 . -638) 149210) ((-1116 . -638) 149135) ((-710 . -609) 149117) ((-848 . -638) 149091) ((-1273 . -23) T) ((-1271 . -23) T) ((-1159 . -224) 149075) ((-1036 . -1049) T) ((-1173 . -282) 149054) ((-170 . -371) 149005) ((-1006 . -1199) T) ((-49 . -23) T) ((-1279 . -105) T) ((-1194 . -709) 148902) ((-491 . -282) 148881) ((-586 . -1093) T) ((-1180 . -1093) T) ((-1134 . -1102) 148850) ((-1097 . -1096) 148802) ((-393 . -21) T) ((-393 . -25) T) ((-156 . -1105) T) ((-1006 . -1039) 148762) ((-1006 . -881) 148744) ((-1006 . -883) 148726) ((-735 . -105) T) ((-234 . -718) T) ((-616 . -224) 148710) ((-614 . -21) T) ((-285 . -559) T) ((-614 . -25) T) ((-703 . -709) 148675) ((-382 . -1049) T) ((-233 . -380) 148644) ((-219 . -284) 148619) ((-146 . -284) 148587) ((-214 . -1056) T) ((-126 . -224) 148564) ((-64 . -282) 148541) ((-156 . -23) T) ((-526 . -282) 148518) ((-326 . -524) 148451) ((-506 . -282) 148428) ((-382 . -239) T) ((-382 . -226) T) ((-859 . -609) 148410) ((-831 . -1049) T) ((-824 . -1049) T) ((-776 . -609) 148392) ((-776 . -610) NIL) ((-704 . -952) 148361) ((-692 . -844) T) ((-480 . -609) 148343) ((-824 . -226) 148322) ((-140 . -844) T) ((-1200 . -1199) T) ((-649 . -1093) T) ((-1173 . -602) 148301) ((-552 . -1176) 148280) ((-335 . -1093) T) ((-315 . -366) 148259) ((-410 . -151) 148238) ((-410 . -149) 148217) ((-1201 . -155) 148199) ((-237 . -1093) T) ((-967 . -1105) 148098) ((-233 . -897) 148030) ((-812 . -1105) 147940) ((-645 . -846) 147924) ((-491 . -602) 147903) ((-552 . -111) 147853) ((-1006 . -380) 147835) ((-1006 . -337) 147817) ((-99 . -1093) T) ((-967 . -23) 147628) ((-490 . -21) T) ((-490 . -25) T) ((-812 . -23) 147498) ((-1165 . -609) 147480) ((-64 . -19) 147464) ((-1165 . -610) 147386) ((-1161 . -718) T) ((-1116 . -718) T) ((-526 . -19) 147370) ((-506 . -19) 147354) ((-64 . -602) 147331) ((-1081 . -1093) T) ((-898 . -105) 147309) ((-848 . -718) T) ((-779 . -1093) T) ((-526 . -602) 147286) ((-506 . -602) 147263) ((-777 . -1093) T) ((-777 . -1063) 147230) ((-464 . -1093) T) ((-456 . -1093) T) ((-1248 . -105) T) ((-586 . -709) 147205) ((-260 . -105) 147183) ((-639 . -1093) T) ((-1248 . -280) 147149) ((-1244 . -52) 147126) ((-1238 . -105) T) ((-1237 . -52) 147096) ((-1006 . -897) NIL) ((-1216 . -52) 147073) ((-619 . -1105) T) ((-663 . -138) T) ((-1210 . -52) 147050) ((-1194 . -173) 147001) ((-1162 . -302) 146980) ((-1155 . -302) 146959) ((-1075 . -1208) 146910) ((-272 . -1093) T) ((-90 . -443) T) ((-90 . -398) T) ((-1075 . -559) 146861) ((-772 . -609) 146843) ((-55 . -1093) T) ((-703 . -173) T) ((-594 . -52) 146820) ((-216 . -638) 146785) ((-582 . -1093) T) ((-538 . -1093) T) ((-527 . -1093) T) ((-362 . -1208) T) ((-355 . -1208) T) ((-344 . -1208) T) ((-498 . -817) T) ((-498 . -918) T) ((-315 . -1105) T) ((-112 . -1208) T) ((-735 . -304) 146772) ((-338 . -844) T) ((-209 . -918) T) ((-209 . -817) T) ((-706 . -1055) 146742) ((-362 . -559) T) ((-355 . -559) T) ((-344 . -559) T) ((-112 . -559) T) ((-1155 . -1023) NIL) ((-649 . -709) 146712) ((-862 . -286) T) ((-857 . -286) T) ((-315 . -23) T) ((-72 . -1199) T) ((-1002 . -609) 146679) ((-685 . -224) 146661) ((-237 . -709) 146643) ((-706 . -120) 146608) ((-635 . -39) T) ((-241 . -500) 146592) ((-1095 . -1090) 146576) ((-172 . -1093) T) ((-955 . -906) 146555) ((-493 . -906) 146534) ((-1275 . -21) T) ((-1275 . -25) T) ((-1273 . -138) T) ((-1271 . -138) T) ((-1081 . -709) 146383) ((-1060 . -638) 146370) ((-955 . -638) 146295) ((-779 . -709) 146124) ((-542 . -609) 146106) ((-542 . -610) 146087) ((-777 . -709) 145936) ((-1264 . -105) T) ((-1072 . -105) T) ((-384 . -25) T) ((-384 . -21) T) ((-493 . -638) 145861) ((-464 . -709) 145832) ((-456 . -709) 145681) ((-990 . -105) T) ((-729 . -105) T) ((-1279 . -1139) T) ((-535 . -25) T) ((-1216 . -1199) 145660) ((-1249 . -609) 145626) ((-1216 . -883) NIL) ((-1216 . -881) 145578) ((-143 . -105) T) ((-49 . -138) T) ((-1173 . -610) NIL) ((-1173 . -609) 145560) ((-1130 . -1114) 145505) ((-342 . -1056) T) ((-657 . -609) 145487) ((-285 . -1105) T) ((-357 . -609) 145469) ((-354 . -609) 145451) ((-343 . -609) 145433) ((-258 . -610) 145181) ((-258 . -609) 145163) ((-243 . -609) 145145) ((-243 . -610) 145006) ((-1046 . -1193) 144935) ((-898 . -304) 144873) ((-1237 . -1039) 144808) ((-1216 . -1039) 144774) ((-1194 . -524) 144741) ((-1129 . -609) 144723) ((-816 . -718) T) ((-582 . -709) 144688) ((-600 . -284) 144665) ((-527 . -709) 144610) ((-491 . -610) NIL) ((-491 . -609) 144592) ((-311 . -105) T) ((-260 . -304) 144530) ((-308 . -105) T) ((-285 . -23) T) ((-156 . -138) T) ((-969 . -609) 144512) ((-907 . -609) 144494) ((-389 . -718) T) ((-868 . -1055) 144446) ((-907 . -610) 144428) ((-868 . -120) 144359) ((-735 . -43) 144283) ((-142 . -105) T) ((-123 . -105) T) ((-704 . -1228) 144267) ((-706 . -1049) T) ((-685 . -351) NIL) ((-528 . -609) 144234) ((-382 . -792) T) ((-214 . -1093) T) ((-382 . -789) T) ((-216 . -791) T) ((-216 . -788) T) ((-64 . -610) 144195) ((-64 . -609) 144134) ((-216 . -718) T) ((-526 . -610) 144095) ((-526 . -609) 144034) ((-507 . -609) 144001) ((-506 . -610) 143962) ((-506 . -609) 143901) ((-1075 . -366) 143852) ((-45 . -414) 143829) ((-82 . -1199) T) ((-118 . -105) T) ((-968 . -973) 143813) ((-867 . -906) NIL) ((-362 . -328) 143797) ((-362 . -366) T) ((-355 . -328) 143781) ((-355 . -366) T) ((-344 . -328) 143765) ((-344 . -366) T) ((-311 . -280) 143744) ((-112 . -366) T) ((-75 . -1199) T) ((-1216 . -337) 143696) ((-867 . -638) 143641) ((-1216 . -380) 143593) ((-967 . -138) 143448) ((-812 . -138) 143318) ((-960 . -641) 143302) ((-1081 . -173) 143213) ((-1060 . -791) T) ((-960 . -376) 143197) ((-1060 . -788) T) ((-118 . -117) T) ((-776 . -284) 143142) ((-779 . -173) 143033) ((-777 . -173) 142944) ((-813 . -52) 142906) ((-1060 . -718) T) ((-326 . -500) 142890) ((-955 . -718) T) ((-456 . -173) 142801) ((-241 . -282) 142778) ((-493 . -718) T) ((-1264 . -304) 142716) ((-1248 . -43) 142613) ((-1244 . -897) 142526) ((-1237 . -897) 142432) ((-1236 . -1055) 142267) ((-1216 . -897) 142100) ((-1215 . -1055) 141908) ((-1210 . -897) 141821) ((-1203 . -105) T) ((-1194 . -286) 141800) ((-1134 . -155) 141784) ((-1070 . -105) T) ((-929 . -957) T) ((-729 . -304) 141722) ((-80 . -1199) T) ((-170 . -906) 141675) ((-34 . -105) T) ((-657 . -385) 141647) ((-30 . -957) T) ((-1 . -609) 141629) ((-1111 . -105) T) ((-1075 . -23) T) ((-55 . -613) 141613) ((-1075 . -1105) T) ((-1005 . -412) 141585) ((-594 . -897) 141498) ((-441 . -105) T) ((-143 . -304) NIL) ((-868 . -1049) T) ((-830 . -844) 141477) ((-86 . -1199) T) ((-703 . -286) T) ((-45 . -1056) T) ((-582 . -173) T) ((-527 . -173) T) ((-521 . -609) 141459) ((-170 . -638) 141369) ((-517 . -609) 141351) ((-353 . -151) 141333) ((-353 . -149) T) ((-362 . -1105) T) ((-355 . -1105) T) ((-344 . -1105) T) ((-1006 . -302) T) ((-912 . -302) T) ((-868 . -239) T) ((-112 . -1105) T) ((-868 . -226) 141312) ((-735 . -403) 141296) ((-1236 . -120) 141110) ((-1215 . -120) 140892) ((-241 . -1240) 140876) ((-569 . -842) T) ((-362 . -23) T) ((-356 . -351) T) ((-311 . -304) 140863) ((-308 . -304) 140759) ((-355 . -23) T) ((-315 . -138) T) ((-344 . -23) T) ((-1006 . -1023) T) ((-112 . -23) T) ((-241 . -602) 140736) ((-1238 . -43) 140593) ((-1225 . -906) 140572) ((-121 . -1093) T) ((-1037 . -105) T) ((-1225 . -638) 140497) ((-867 . -791) NIL) ((-849 . -638) 140471) ((-867 . -788) NIL) ((-813 . -883) NIL) ((-867 . -718) T) ((-1081 . -524) 140334) ((-779 . -524) 140280) ((-777 . -524) 140232) ((-576 . -638) 140219) ((-813 . -1039) 140047) ((-456 . -524) 139985) ((-391 . -392) T) ((-65 . -1199) T) ((-614 . -844) 139964) ((-510 . -652) T) ((-1134 . -979) 139933) ((-859 . -1055) 139885) ((-776 . -1055) 139837) ((-1005 . -454) T) ((-690 . -842) T) ((-520 . -789) T) ((-480 . -1055) 139672) ((-342 . -1093) T) ((-308 . -1139) NIL) ((-285 . -138) T) ((-397 . -1093) T) ((-866 . -1056) T) ((-685 . -373) 139639) ((-859 . -120) 139570) ((-776 . -120) 139501) ((-214 . -613) 139478) ((-326 . -282) 139455) ((-1203 . -304) NIL) ((-480 . -120) 139269) ((-1236 . -1049) T) ((-1215 . -1049) T) ((-813 . -380) 139253) ((-170 . -718) T) ((-645 . -105) T) ((-1236 . -239) 139232) ((-1236 . -226) 139184) ((-1215 . -226) 139089) ((-1215 . -239) 139068) ((-1005 . -405) NIL) ((-663 . -631) 139016) ((-311 . -43) 138926) ((-308 . -43) 138855) ((-74 . -609) 138837) ((-315 . -503) 138803) ((-1173 . -284) 138782) ((-1106 . -1105) 138692) ((-88 . -1199) T) ((-66 . -609) 138674) ((-491 . -284) 138653) ((-1266 . -1039) 138630) ((-1153 . -1093) T) ((-1106 . -23) 138500) ((-813 . -897) 138436) ((-1225 . -718) T) ((-1095 . -1199) T) ((-1081 . -286) 138367) ((-890 . -105) T) ((-779 . -286) 138278) ((-326 . -19) 138262) ((-64 . -284) 138239) ((-777 . -286) 138170) ((-849 . -718) T) ((-126 . -842) NIL) ((-526 . -284) 138147) ((-326 . -602) 138124) ((-506 . -284) 138101) ((-456 . -286) 138032) ((-1037 . -304) 137883) ((-576 . -718) T) ((-653 . -609) 137865) ((-241 . -610) 137826) ((-241 . -609) 137765) ((-1135 . -39) T) ((-946 . -1199) T) ((-342 . -709) 137710) ((-859 . -1049) T) ((-776 . -1049) T) ((-663 . -25) T) ((-663 . -21) T) ((-1111 . -1139) T) ((-480 . -1049) T) ((-627 . -420) 137675) ((-603 . -420) 137640) ((-924 . -1093) T) ((-859 . -226) T) ((-859 . -239) T) ((-776 . -226) 137599) ((-776 . -239) T) ((-582 . -286) T) ((-527 . -286) T) ((-1237 . -302) 137578) ((-480 . -226) 137530) ((-480 . -239) 137509) ((-1216 . -302) 137488) ((-1075 . -138) T) ((-868 . -792) 137467) ((-148 . -105) T) ((-45 . -1093) T) ((-868 . -789) 137446) ((-635 . -1012) 137430) ((-581 . -1056) T) ((-569 . -1056) T) ((-505 . -1056) T) ((-410 . -454) T) ((-362 . -138) T) ((-311 . -403) 137414) ((-308 . -403) 137375) ((-355 . -138) T) ((-344 . -138) T) ((-1216 . -1023) NIL) ((-1087 . -609) 137342) ((-112 . -138) T) ((-1111 . -43) 137329) ((-919 . -1093) T) ((-765 . -1093) T) ((-664 . -1093) T) ((-692 . -151) T) ((-1159 . -414) 137313) ((-125 . -151) T) ((-1273 . -21) T) ((-1273 . -25) T) ((-1271 . -21) T) ((-1271 . -25) T) ((-657 . -1055) 137297) ((-535 . -844) T) ((-510 . -844) T) ((-357 . -1055) 137249) ((-354 . -1055) 137201) ((-343 . -1055) 137153) ((-245 . -1199) T) ((-244 . -1199) T) ((-258 . -1055) 136996) ((-243 . -1055) 136839) ((-657 . -120) 136818) ((-357 . -120) 136749) ((-354 . -120) 136680) ((-343 . -120) 136611) ((-258 . -120) 136433) ((-243 . -120) 136255) ((-814 . -1208) 136234) ((-616 . -414) 136218) ((-49 . -21) T) ((-49 . -25) T) ((-812 . -631) 136124) ((-814 . -559) 136103) ((-245 . -1039) 135930) ((-244 . -1039) 135757) ((-136 . -128) 135741) ((-907 . -1055) 135706) ((-690 . -1056) T) ((-704 . -105) T) ((-219 . -641) 135688) ((-146 . -641) 135663) ((-342 . -173) T) ((-219 . -376) 135645) ((-146 . -376) 135620) ((-156 . -21) T) ((-156 . -25) T) ((-93 . -609) 135602) ((-907 . -120) 135551) ((-45 . -709) 135496) ((-866 . -1093) T) ((-326 . -610) 135457) ((-326 . -609) 135396) ((-1215 . -789) 135349) ((-1159 . -1056) T) ((-1215 . -792) 135302) ((-245 . -380) 135271) ((-244 . -380) 135240) ((-862 . -609) 135222) ((-857 . -609) 135204) ((-645 . -43) 135174) ((-604 . -39) T) ((-494 . -1105) 135084) ((-481 . -39) T) ((-1106 . -138) 134954) ((-1167 . -559) 134933) ((-967 . -25) 134744) ((-871 . -609) 134726) ((-967 . -21) 134681) ((-812 . -21) 134591) ((-812 . -25) 134442) ((-1161 . -52) 134419) ((-616 . -1056) T) ((-1116 . -52) 134391) ((-465 . -1093) T) ((-357 . -1049) T) ((-354 . -1049) T) ((-494 . -23) 134261) ((-343 . -1049) T) ((-258 . -1049) T) ((-243 . -1049) T) ((-1036 . -638) 134235) ((-126 . -1056) T) ((-960 . -39) T) ((-736 . -1208) 134214) ((-357 . -226) 134193) ((-357 . -239) T) ((-354 . -226) 134172) ((-354 . -239) T) ((-343 . -226) 134151) ((-243 . -325) 134108) ((-343 . -239) T) ((-258 . -325) 134080) ((-258 . -226) 134059) ((-1145 . -155) 134043) ((-736 . -559) 133954) ((-245 . -897) 133886) ((-244 . -897) 133818) ((-1077 . -844) T) ((-1219 . -1199) T) ((-417 . -1105) T) ((-1201 . -105) T) ((-1053 . -23) T) ((-907 . -1049) T) ((-320 . -638) 133800) ((-1025 . -842) T) ((-1194 . -1004) 133766) ((-1162 . -918) 133745) ((-1155 . -918) 133724) ((-907 . -239) T) ((-814 . -366) 133703) ((-388 . -23) T) ((-137 . -1093) 133681) ((-131 . -1093) 133659) ((-907 . -226) T) ((-1155 . -817) NIL) ((-382 . -638) 133624) ((-866 . -709) 133611) ((-1204 . -1093) T) ((-1046 . -155) 133576) ((-45 . -173) T) ((-685 . -414) 133558) ((-704 . -304) 133545) ((-831 . -638) 133505) ((-824 . -638) 133479) ((-315 . -25) T) ((-315 . -21) T) ((-649 . -282) 133458) ((-581 . -1093) T) ((-569 . -1093) T) ((-505 . -1093) T) ((-241 . -284) 133435) ((-308 . -224) 133396) ((-1161 . -883) NIL) ((-1116 . -883) 133255) ((-1161 . -1039) 133135) ((-1116 . -1039) 133018) ((-848 . -1039) 132914) ((-779 . -282) 132841) ((-925 . -609) 132823) ((-814 . -1105) T) ((-1036 . -718) T) ((-600 . -641) 132807) ((-1046 . -979) 132736) ((-1001 . -105) T) ((-814 . -23) T) ((-704 . -1139) 132714) ((-685 . -1056) T) ((-600 . -376) 132698) ((-353 . -454) T) ((-342 . -286) T) ((-1254 . -1093) T) ((-466 . -105) T) ((-402 . -105) T) ((-285 . -21) T) ((-285 . -25) T) ((-364 . -718) T) ((-702 . -1093) T) ((-690 . -1093) T) ((-364 . -479) T) ((-1201 . -304) NIL) ((-1194 . -609) 132680) ((-1161 . -380) 132664) ((-1116 . -380) 132648) ((-1025 . -414) 132610) ((-143 . -222) 132592) ((-382 . -791) T) ((-382 . -788) T) ((-866 . -173) T) ((-382 . -718) T) ((-703 . -609) 132574) ((-704 . -43) 132403) ((-1253 . -1251) 132387) ((-353 . -405) T) ((-1253 . -1093) 132337) ((-581 . -709) 132324) ((-569 . -709) 132311) ((-505 . -709) 132276) ((-859 . -1270) 132260) ((-311 . -621) 132239) ((-831 . -718) T) ((-824 . -718) T) ((-1159 . -1093) T) ((-635 . -1199) T) ((-1075 . -631) 132187) ((-1161 . -897) 132130) ((-1116 . -897) 132114) ((-653 . -1055) 132098) ((-112 . -631) 132080) ((-494 . -138) 131950) ((-776 . -641) 131902) ((-1167 . -1105) T) ((-859 . -371) T) ((-955 . -52) 131871) ((-736 . -1105) T) ((-616 . -1093) T) ((-653 . -120) 131850) ((-326 . -284) 131827) ((-493 . -52) 131784) ((-1167 . -23) T) ((-130 . -1093) T) ((-126 . -1093) T) ((-106 . -105) 131762) ((-736 . -23) T) ((-1263 . -1105) T) ((-1053 . -138) T) ((-1025 . -1056) T) ((-816 . -1039) 131746) ((-1005 . -716) 131718) ((-1263 . -23) T) ((-690 . -709) 131683) ((-586 . -609) 131665) ((-389 . -1039) 131649) ((-356 . -1056) T) ((-388 . -138) T) ((-322 . -1039) 131633) ((-216 . -883) 131615) ((-1006 . -918) T) ((-96 . -39) T) ((-1006 . -817) T) ((-912 . -918) T) ((-498 . -1208) T) ((-1180 . -609) 131597) ((-1098 . -1093) T) ((-209 . -1208) T) ((-1001 . -304) 131562) ((-216 . -1039) 131522) ((-45 . -286) T) ((-1075 . -21) T) ((-1075 . -25) T) ((-1111 . -825) T) ((-498 . -559) T) ((-362 . -25) T) ((-209 . -559) T) ((-362 . -21) T) ((-355 . -25) T) ((-355 . -21) T) ((-706 . -638) 131482) ((-344 . -25) T) ((-344 . -21) T) ((-112 . -25) T) ((-112 . -21) T) ((-53 . -1056) T) ((-1159 . -709) 131311) ((-581 . -173) T) ((-569 . -173) T) ((-505 . -173) T) ((-649 . -609) 131293) ((-729 . -728) 131277) ((-335 . -609) 131259) ((-237 . -609) 131241) ((-73 . -386) T) ((-73 . -398) T) ((-1095 . -111) 131225) ((-1060 . -883) 131207) ((-955 . -883) 131132) ((-644 . -1105) T) ((-616 . -709) 131119) ((-493 . -883) NIL) ((-1134 . -105) T) ((-1060 . -1039) 131101) ((-99 . -609) 131083) ((-490 . -151) T) ((-955 . -1039) 130963) ((-126 . -709) 130908) ((-644 . -23) T) ((-493 . -1039) 130784) ((-1081 . -610) NIL) ((-1081 . -609) 130766) ((-779 . -610) NIL) ((-779 . -609) 130727) ((-777 . -610) 130361) ((-777 . -609) 130275) ((-1106 . -631) 130181) ((-464 . -609) 130163) ((-456 . -609) 130145) ((-456 . -610) 130006) ((-1037 . -222) 129952) ((-136 . -39) T) ((-814 . -138) T) ((-868 . -906) 129931) ((-639 . -609) 129913) ((-357 . -1270) 129897) ((-354 . -1270) 129881) ((-343 . -1270) 129865) ((-137 . -524) 129798) ((-131 . -524) 129731) ((-521 . -789) T) ((-521 . -792) T) ((-520 . -791) T) ((-106 . -304) 129669) ((-213 . -105) 129647) ((-219 . -39) T) ((-146 . -39) T) ((-685 . -1093) T) ((-690 . -173) T) ((-1204 . -524) NIL) ((-868 . -638) 129599) ((-1001 . -43) 129547) ((-70 . -387) T) ((-272 . -609) 129529) ((-70 . -398) T) ((-955 . -380) 129513) ((-866 . -286) T) ((-55 . -609) 129495) ((-862 . -1055) 129460) ((-857 . -1055) 129410) ((-582 . -609) 129392) ((-582 . -610) 129374) ((-493 . -380) 129358) ((-538 . -609) 129340) ((-527 . -609) 129322) ((-907 . -1270) 129309) ((-867 . -1199) T) ((-862 . -120) 129258) ((-692 . -454) T) ((-857 . -120) 129185) ((-505 . -524) 129151) ((-498 . -366) T) ((-357 . -371) 129130) ((-354 . -371) 129109) ((-343 . -371) 129088) ((-209 . -366) T) ((-706 . -718) T) ((-125 . -454) T) ((-1159 . -173) 128979) ((-1274 . -1265) 128963) ((-867 . -881) 128940) ((-867 . -883) NIL) ((-967 . -844) 128839) ((-812 . -844) 128790) ((-645 . -647) 128774) ((-1186 . -39) T) ((-172 . -609) 128756) ((-1106 . -21) 128666) ((-1106 . -25) 128517) ((-970 . -1093) T) ((-867 . -1039) 128494) ((-955 . -897) 128475) ((-1225 . -52) 128452) ((-907 . -371) T) ((-64 . -641) 128436) ((-526 . -641) 128420) ((-493 . -897) 128397) ((-76 . -443) T) ((-76 . -398) T) ((-506 . -641) 128381) ((-64 . -376) 128365) ((-616 . -173) T) ((-526 . -376) 128349) ((-506 . -376) 128333) ((-824 . -700) 128317) ((-1161 . -302) 128296) ((-1167 . -138) T) ((-126 . -173) T) ((-736 . -138) T) ((-1134 . -304) 128234) ((-170 . -1199) T) ((-627 . -738) 128218) ((-603 . -738) 128202) ((-1263 . -138) T) ((-1237 . -918) 128181) ((-1216 . -918) 128160) ((-1216 . -817) NIL) ((-685 . -709) 128110) ((-1215 . -906) 128063) ((-1025 . -1093) T) ((-867 . -380) 128040) ((-867 . -337) 128017) ((-902 . -1105) T) ((-170 . -881) 128001) ((-170 . -883) 127926) ((-1253 . -524) 127859) ((-498 . -1105) T) ((-356 . -1093) T) ((-209 . -1105) T) ((-81 . -443) T) ((-81 . -398) T) ((-1236 . -638) 127756) ((-170 . -1039) 127652) ((-315 . -844) T) ((-862 . -1049) T) ((-857 . -1049) T) ((-1215 . -638) 127522) ((-868 . -791) 127501) ((-868 . -788) 127480) ((-1275 . -1268) 127459) ((-868 . -718) T) ((-498 . -23) T) ((-214 . -609) 127441) ((-174 . -454) T) ((-213 . -304) 127379) ((-91 . -443) T) ((-91 . -398) T) ((-862 . -239) T) ((-209 . -23) T) ((-857 . -239) T) ((-735 . -414) 127363) ((-514 . -537) 127238) ((-581 . -286) T) ((-569 . -286) T) ((-669 . -1039) 127222) ((-505 . -286) T) ((-1159 . -524) 127168) ((-142 . -476) 127123) ((-116 . -1093) T) ((-53 . -1093) T) ((-704 . -224) 127107) ((-867 . -897) NIL) ((-1225 . -883) NIL) ((-886 . -105) T) ((-882 . -105) T) ((-391 . -1093) T) ((-170 . -380) 127091) ((-170 . -337) 127075) ((-1225 . -1039) 126955) ((-849 . -1039) 126851) ((-1130 . -105) T) ((-644 . -138) T) ((-126 . -524) 126714) ((-653 . -789) 126693) ((-653 . -792) 126672) ((-576 . -1039) 126654) ((-289 . -1260) 126624) ((-855 . -105) T) ((-966 . -559) 126603) ((-1194 . -1055) 126486) ((-494 . -631) 126392) ((-901 . -1093) T) ((-1025 . -709) 126329) ((-703 . -1055) 126294) ((-859 . -638) 126246) ((-776 . -638) 126198) ((-600 . -39) T) ((-1135 . -1199) T) ((-1194 . -120) 126060) ((-480 . -638) 125957) ((-356 . -709) 125902) ((-170 . -897) 125861) ((-690 . -286) T) ((-735 . -1056) T) ((-685 . -173) T) ((-703 . -120) 125810) ((-1279 . -1056) T) ((-1225 . -380) 125794) ((-421 . -1208) 125772) ((-308 . -842) NIL) ((-421 . -559) T) ((-216 . -302) T) ((-1215 . -788) 125725) ((-1215 . -791) 125678) ((-33 . -1091) T) ((-1236 . -718) T) ((-1215 . -718) T) ((-53 . -709) 125643) ((-1159 . -286) 125554) ((-216 . -1023) T) ((-353 . -1260) 125531) ((-1238 . -414) 125497) ((-710 . -718) T) ((-1225 . -897) 125440) ((-121 . -609) 125422) ((-121 . -610) 125404) ((-710 . -479) T) ((-494 . -21) 125314) ((-137 . -500) 125298) ((-131 . -500) 125282) ((-494 . -25) 125133) ((-616 . -286) T) ((-776 . -39) T) ((-1204 . -500) 125115) ((-586 . -1055) 125090) ((-440 . -1093) T) ((-1060 . -302) T) ((-126 . -286) T) ((-1097 . -105) T) ((-1005 . -105) T) ((-586 . -120) 125051) ((-1248 . -1056) T) ((-1130 . -304) 124989) ((-1194 . -1049) T) ((-1060 . -1023) T) ((-71 . -1199) T) ((-1053 . -25) T) ((-1053 . -21) T) ((-703 . -1049) T) ((-388 . -21) T) ((-388 . -25) T) ((-685 . -524) NIL) ((-1025 . -173) T) ((-703 . -239) T) ((-1060 . -551) T) ((-859 . -718) T) ((-776 . -718) T) ((-512 . -105) T) ((-356 . -173) T) ((-342 . -609) 124971) ((-397 . -609) 124953) ((-480 . -718) T) ((-1111 . -842) T) ((-889 . -1039) 124921) ((-112 . -844) T) ((-649 . -1055) 124905) ((-498 . -138) T) ((-1238 . -1056) T) ((-209 . -138) T) ((-237 . -1055) 124887) ((-1145 . -105) 124865) ((-101 . -1093) T) ((-241 . -659) 124849) ((-241 . -641) 124833) ((-649 . -120) 124812) ((-311 . -414) 124796) ((-241 . -376) 124780) ((-1148 . -228) 124727) ((-1001 . -224) 124711) ((-237 . -120) 124686) ((-79 . -1199) T) ((-53 . -173) T) ((-692 . -390) T) ((-692 . -147) T) ((-1274 . -105) T) ((-1081 . -1055) 124529) ((-258 . -906) 124508) ((-243 . -906) 124487) ((-779 . -1055) 124310) ((-777 . -1055) 124153) ((-604 . -1199) T) ((-1153 . -609) 124135) ((-1081 . -120) 123957) ((-1046 . -105) T) ((-481 . -1199) T) ((-464 . -1055) 123928) ((-456 . -1055) 123771) ((-657 . -638) 123755) ((-867 . -302) T) ((-779 . -120) 123557) ((-777 . -120) 123379) ((-357 . -638) 123331) ((-354 . -638) 123283) ((-343 . -638) 123235) ((-258 . -638) 123160) ((-243 . -638) 123085) ((-1147 . -844) T) ((-464 . -120) 123046) ((-456 . -120) 122868) ((-1082 . -1039) 122852) ((-1071 . -1039) 122829) ((-1002 . -39) T) ((-960 . -1199) T) ((-136 . -1012) 122813) ((-966 . -1105) T) ((-867 . -1023) NIL) ((-727 . -1105) T) ((-707 . -1105) T) ((-1253 . -500) 122797) ((-1130 . -43) 122757) ((-966 . -23) T) ((-907 . -638) 122722) ((-837 . -105) T) ((-814 . -21) T) ((-814 . -25) T) ((-727 . -23) T) ((-707 . -23) T) ((-114 . -652) T) ((-772 . -718) T) ((-582 . -1055) 122687) ((-527 . -1055) 122632) ((-220 . -62) 122590) ((-455 . -23) T) ((-410 . -105) T) ((-257 . -105) T) ((-772 . -479) T) ((-968 . -105) T) ((-685 . -286) T) ((-855 . -43) 122560) ((-1204 . -282) 122535) ((-582 . -120) 122484) ((-527 . -120) 122401) ((-736 . -631) 122349) ((-421 . -1105) T) ((-311 . -1056) 122239) ((-308 . -1056) T) ((-924 . -609) 122221) ((-735 . -1093) T) ((-649 . -1049) T) ((-1279 . -1093) T) ((-170 . -302) 122152) ((-421 . -23) T) ((-45 . -609) 122134) ((-45 . -610) 122118) ((-112 . -995) 122100) ((-125 . -865) 122084) ((-53 . -524) 122050) ((-1186 . -1012) 122034) ((-1173 . -39) T) ((-919 . -609) 122016) ((-1106 . -844) 121967) ((-765 . -609) 121949) ((-664 . -609) 121931) ((-1145 . -304) 121869) ((-1085 . -1199) T) ((-491 . -39) T) ((-1081 . -1049) T) ((-490 . -454) T) ((-862 . -1270) 121844) ((-857 . -1270) 121804) ((-1129 . -39) T) ((-779 . -1049) T) ((-777 . -1049) T) ((-637 . -228) 121788) ((-624 . -228) 121734) ((-1225 . -302) 121713) ((-1204 . -19) 121695) ((-1204 . -602) 121670) ((-1081 . -325) 121631) ((-456 . -1049) T) ((-1167 . -21) T) ((-1081 . -226) 121610) ((-779 . -325) 121587) ((-779 . -226) T) ((-777 . -325) 121559) ((-326 . -641) 121543) ((-723 . -1208) 121522) ((-1167 . -25) T) ((-64 . -39) T) ((-528 . -39) T) ((-526 . -39) T) ((-456 . -325) 121501) ((-326 . -376) 121485) ((-507 . -39) T) ((-506 . -39) T) ((-1005 . -1139) NIL) ((-627 . -105) T) ((-603 . -105) T) ((-723 . -559) 121416) ((-357 . -718) T) ((-354 . -718) T) ((-343 . -718) T) ((-258 . -718) T) ((-243 . -718) T) ((-736 . -25) T) ((-736 . -21) T) ((-1046 . -304) 121324) ((-1263 . -21) T) ((-1263 . -25) T) ((-898 . -1093) 121302) ((-55 . -1049) T) ((-1248 . -1093) T) ((-1163 . -559) 121281) ((-1162 . -1208) 121260) ((-1162 . -559) 121211) ((-1155 . -1208) 121190) ((-582 . -1049) T) ((-527 . -1049) T) ((-514 . -105) T) ((-1025 . -286) T) ((-364 . -1039) 121174) ((-320 . -1039) 121158) ((-260 . -1093) 121136) ((-382 . -883) 121118) ((-1155 . -559) 121069) ((-1117 . -559) 121048) ((-1005 . -43) 120993) ((-796 . -1105) T) ((-907 . -718) T) ((-582 . -239) T) ((-582 . -226) T) ((-527 . -226) T) ((-527 . -239) T) ((-735 . -709) 120917) ((-356 . -286) T) ((-637 . -686) 120901) ((-382 . -1039) 120861) ((-260 . -259) 120845) ((-1111 . -1056) T) ((-106 . -135) 120829) ((-796 . -23) T) ((-1273 . -1268) 120805) ((-1271 . -1268) 120784) ((-1253 . -282) 120761) ((-410 . -304) 120726) ((-1238 . -1093) T) ((-1159 . -282) 120653) ((-866 . -609) 120635) ((-831 . -1039) 120604) ((-196 . -784) T) ((-195 . -784) T) ((-34 . -37) 120581) ((-194 . -784) T) ((-193 . -784) T) ((-192 . -784) T) ((-191 . -784) T) ((-190 . -784) T) ((-189 . -784) T) ((-188 . -784) T) ((-187 . -784) T) ((-505 . -1004) T) ((-271 . -833) T) ((-270 . -833) T) ((-269 . -833) T) ((-268 . -833) T) ((-53 . -286) T) ((-267 . -833) T) ((-266 . -833) T) ((-265 . -833) T) ((-186 . -784) T) ((-608 . -844) T) ((-645 . -414) 120565) ((-114 . -844) T) ((-644 . -21) T) ((-644 . -25) T) ((-465 . -609) 120547) ((-1274 . -43) 120517) ((-1253 . -19) 120501) ((-126 . -282) 120431) ((-217 . -105) T) ((-145 . -105) T) ((-1253 . -602) 120408) ((-1264 . -1093) T) ((-1248 . -709) 120305) ((-1072 . -1093) T) ((-990 . -1093) T) ((-966 . -138) T) ((-729 . -1093) T) ((-727 . -138) T) ((-707 . -138) T) ((-521 . -790) T) ((-410 . -1139) 120283) ((-455 . -138) T) ((-521 . -791) T) ((-214 . -1049) T) ((-289 . -105) 120065) ((-143 . -1093) T) ((-690 . -1004) T) ((-96 . -1199) T) ((-137 . -609) 120032) ((-131 . -609) 119999) ((-735 . -173) T) ((-1279 . -173) T) ((-1204 . -610) 119981) ((-1204 . -609) 119963) ((-1162 . -366) 119942) ((-1155 . -366) 119921) ((-311 . -1093) T) ((-421 . -138) T) ((-308 . -1093) T) ((-410 . -43) 119873) ((-1124 . -105) T) ((-1238 . -709) 119730) ((-645 . -1056) T) ((-315 . -149) 119709) ((-315 . -151) 119688) ((-142 . -1093) T) ((-123 . -1093) T) ((-851 . -105) T) ((-581 . -609) 119670) ((-569 . -610) 119569) ((-569 . -609) 119551) ((-505 . -609) 119533) ((-505 . -610) 119478) ((-496 . -23) T) ((-494 . -844) 119429) ((-118 . -1093) T) ((-498 . -631) 119411) ((-776 . -1012) 119363) ((-209 . -631) 119345) ((-216 . -407) T) ((-653 . -638) 119329) ((-1161 . -918) 119308) ((-723 . -1105) T) ((-353 . -105) T) ((-815 . -844) T) ((-723 . -23) T) ((-342 . -1055) 119253) ((-1147 . -1146) T) ((-1135 . -111) 119237) ((-1248 . -173) 119188) ((-1163 . -1105) T) ((-1162 . -1105) T) ((-1155 . -1105) T) ((-1117 . -1105) T) ((-525 . -1039) 119172) ((-342 . -120) 119089) ((-217 . -304) NIL) ((-145 . -304) NIL) ((-1006 . -1208) T) ((-136 . -1199) T) ((-912 . -1208) T) ((-1254 . -609) 119071) ((-1203 . -1093) T) ((-685 . -282) NIL) ((-1163 . -23) T) ((-1162 . -23) T) ((-1155 . -23) T) ((-1130 . -224) 119055) ((-1117 . -23) T) ((-1070 . -1093) T) ((-1006 . -559) T) ((-912 . -559) T) ((-796 . -138) T) ((-219 . -1199) T) ((-146 . -1199) T) ((-735 . -524) 119021) ((-702 . -609) 119003) ((-34 . -1093) T) ((-311 . -709) 118913) ((-308 . -709) 118842) ((-690 . -609) 118824) ((-690 . -610) 118769) ((-410 . -403) 118753) ((-441 . -1093) T) ((-498 . -25) T) ((-498 . -21) T) ((-1111 . -1093) T) ((-209 . -25) T) ((-209 . -21) T) ((-704 . -414) 118737) ((-706 . -1039) 118706) ((-1253 . -609) 118645) ((-1253 . -610) 118606) ((-1238 . -173) T) ((-241 . -39) T) ((-1159 . -610) NIL) ((-1159 . -609) 118588) ((-928 . -977) T) ((-1186 . -1199) T) ((-653 . -788) 118567) ((-653 . -791) 118546) ((-401 . -398) T) ((-532 . -105) 118524) ((-1037 . -1093) T) ((-213 . -997) 118508) ((-515 . -105) T) ((-616 . -609) 118490) ((-50 . -844) NIL) ((-616 . -610) 118467) ((-1037 . -606) 118442) ((-898 . -524) 118375) ((-342 . -1049) T) ((-130 . -609) 118357) ((-126 . -610) NIL) ((-126 . -609) 118339) ((-868 . -1199) T) ((-663 . -420) 118323) ((-663 . -1114) 118268) ((-260 . -524) 118201) ((-510 . -155) 118183) ((-342 . -226) T) ((-342 . -239) T) ((-45 . -1055) 118128) ((-868 . -881) 118112) ((-868 . -883) 118037) ((-704 . -1056) T) ((-685 . -1004) NIL) ((-1236 . -52) 118007) ((-1215 . -52) 117984) ((-1129 . -1012) 117955) ((-1111 . -709) 117942) ((-1098 . -609) 117924) ((-868 . -1039) 117788) ((-216 . -918) T) ((-45 . -120) 117705) ((-735 . -286) T) ((-1075 . -151) 117684) ((-1075 . -149) 117635) ((-1006 . -366) T) ((-862 . -638) 117600) ((-857 . -638) 117550) ((-315 . -1188) 117516) ((-382 . -302) T) ((-315 . -1185) 117482) ((-311 . -173) 117461) ((-308 . -173) T) ((-1005 . -224) 117438) ((-912 . -366) T) ((-582 . -1270) 117425) ((-527 . -1270) 117402) ((-362 . -151) 117381) ((-362 . -149) 117332) ((-355 . -151) 117311) ((-355 . -149) 117262) ((-604 . -1176) 117238) ((-344 . -151) 117217) ((-344 . -149) 117168) ((-315 . -40) 117134) ((-481 . -1176) 117113) ((0 . |EnumerationCategory|) T) ((-315 . -98) 117079) ((-382 . -1023) T) ((-112 . -151) T) ((-112 . -149) NIL) ((-50 . -228) 117029) ((-645 . -1093) T) ((-604 . -111) 116976) ((-496 . -138) T) ((-481 . -111) 116926) ((-233 . -1105) 116836) ((-1080 . -1105) T) ((-868 . -380) 116820) ((-868 . -337) 116804) ((-233 . -23) 116674) ((-1060 . -918) T) ((-1060 . -817) T) ((-582 . -371) T) ((-527 . -371) T) ((-736 . -844) 116653) ((-1204 . -284) 116628) ((-353 . -1139) T) ((-326 . -39) T) ((-49 . -420) 116612) ((-1080 . -23) T) ((-393 . -738) 116596) ((-1264 . -524) 116529) ((-723 . -138) T) ((-1248 . -286) 116508) ((-1244 . -559) 116487) ((-1237 . -1208) 116466) ((-1237 . -559) 116417) ((-1216 . -1208) 116396) ((-1216 . -559) 116347) ((-729 . -524) 116280) ((-1215 . -1199) 116259) ((-1215 . -883) 116132) ((-890 . -1093) T) ((-148 . -838) T) ((-1215 . -881) 116102) ((-1210 . -559) 116081) ((-1163 . -138) T) ((-532 . -304) 116019) ((-1162 . -138) T) ((-143 . -524) NIL) ((-1155 . -138) T) ((-1117 . -138) T) ((-1025 . -1004) T) ((-1006 . -23) T) ((-353 . -43) 115984) ((-1006 . -1105) T) ((-912 . -1105) T) ((-87 . -609) 115966) ((-45 . -1049) T) ((-866 . -1055) 115953) ((-868 . -897) 115912) ((-776 . -52) 115889) ((-692 . -105) T) ((-1005 . -351) NIL) ((-600 . -1199) T) ((-974 . -23) T) ((-912 . -23) T) ((-866 . -120) 115874) ((-430 . -1105) T) ((-480 . -52) 115844) ((-140 . -105) T) ((-45 . -226) 115816) ((-45 . -239) T) ((-125 . -105) T) ((-595 . -559) 115795) ((-594 . -559) 115774) ((-685 . -609) 115756) ((-685 . -610) 115664) ((-311 . -524) 115630) ((-308 . -524) 115381) ((-1236 . -1039) 115365) ((-1215 . -1039) 115151) ((-1001 . -414) 115135) ((-430 . -23) T) ((-1111 . -173) T) ((-862 . -718) T) ((-857 . -718) T) ((-1238 . -286) T) ((-645 . -709) 115105) ((-148 . -1093) T) ((-53 . -1004) T) ((-410 . -224) 115089) ((-290 . -228) 115039) ((-867 . -918) T) ((-867 . -817) NIL) ((-970 . -609) 115021) ((-854 . -844) T) ((-1215 . -337) 114991) ((-1215 . -380) 114961) ((-213 . -1112) 114945) ((-776 . -1199) T) ((-1253 . -284) 114922) ((-501 . -105) T) ((-1194 . -638) 114847) ((-966 . -21) T) ((-966 . -25) T) ((-727 . -21) T) ((-727 . -25) T) ((-707 . -21) T) ((-707 . -25) T) ((-703 . -638) 114812) ((-455 . -21) T) ((-455 . -25) T) ((-338 . -105) T) ((-174 . -105) T) ((-1001 . -1056) T) ((-866 . -1049) T) ((-859 . -1039) 114796) ((-768 . -105) T) ((-1203 . -524) NIL) ((-1237 . -366) 114775) ((-1236 . -897) 114681) ((-1216 . -366) 114660) ((-1215 . -897) 114511) ((-1025 . -609) 114493) ((-410 . -825) 114446) ((-1163 . -503) 114412) ((-170 . -918) 114343) ((-1162 . -503) 114309) ((-1155 . -503) 114275) ((-704 . -1093) T) ((-1117 . -503) 114241) ((-581 . -1055) 114228) ((-569 . -1055) 114215) ((-505 . -1055) 114180) ((-311 . -286) 114159) ((-308 . -286) T) ((-356 . -609) 114141) ((-421 . -25) T) ((-421 . -21) T) ((-101 . -282) 114120) ((-581 . -120) 114105) ((-569 . -120) 114090) ((-505 . -120) 114039) ((-1165 . -883) 114006) ((-35 . -105) T) ((-898 . -500) 113990) ((-116 . -609) 113972) ((-53 . -609) 113954) ((-53 . -610) 113899) ((-260 . -500) 113883) ((-233 . -138) 113753) ((-1225 . -918) 113732) ((-813 . -1208) 113711) ((-1037 . -524) 113519) ((-1080 . -138) T) ((-391 . -609) 113501) ((-813 . -559) 113432) ((-586 . -638) 113407) ((-258 . -52) 113379) ((-243 . -52) 113336) ((-535 . -519) 113313) ((-1002 . -1199) T) ((-1244 . -23) T) ((-1244 . -1105) T) ((-690 . -1055) 113278) ((-776 . -897) 113191) ((-1237 . -1105) T) ((-1237 . -23) T) ((-1216 . -1105) T) ((-1210 . -1105) T) ((-1005 . -373) 113163) ((-121 . -371) T) ((-480 . -897) 113069) ((-1216 . -23) T) ((-1210 . -23) T) ((-901 . -609) 113051) ((-96 . -111) 113035) ((-1194 . -718) T) ((-902 . -844) 112986) ((-692 . -1139) T) ((-690 . -120) 112935) ((-1201 . -1093) T) ((-595 . -1105) T) ((-594 . -1105) T) ((-704 . -709) 112764) ((-703 . -718) T) ((-1111 . -286) T) ((-1006 . -138) T) ((-498 . -844) T) ((-974 . -138) T) ((-912 . -138) T) ((-796 . -25) T) ((-209 . -844) T) ((-796 . -21) T) ((-581 . -1049) T) ((-569 . -1049) T) ((-505 . -1049) T) ((-595 . -23) T) ((-342 . -1270) 112741) ((-315 . -454) 112720) ((-338 . -304) 112707) ((-594 . -23) T) ((-430 . -138) T) ((-649 . -638) 112681) ((-1159 . -1055) 112504) ((-241 . -1012) 112488) ((-868 . -302) T) ((-1275 . -1265) 112472) ((-765 . -789) T) ((-765 . -792) T) ((-692 . -43) 112459) ((-237 . -638) 112441) ((-569 . -226) T) ((-505 . -239) T) ((-505 . -226) T) ((-1159 . -120) 112243) ((-1138 . -228) 112193) ((-1081 . -906) 112172) ((-125 . -43) 112159) ((-202 . -797) T) ((-201 . -797) T) ((-200 . -797) T) ((-199 . -797) T) ((-868 . -1023) 112137) ((-1264 . -500) 112121) ((-779 . -906) 112100) ((-777 . -906) 112079) ((-1173 . -1199) T) ((-456 . -906) 112058) ((-729 . -500) 112042) ((-1081 . -638) 111967) ((-779 . -638) 111892) ((-616 . -1055) 111879) ((-491 . -1199) T) ((-342 . -371) T) ((-143 . -500) 111861) ((-777 . -638) 111786) ((-1129 . -1199) T) ((-464 . -638) 111757) ((-258 . -883) 111616) ((-243 . -883) NIL) ((-126 . -1055) 111561) ((-456 . -638) 111486) ((-657 . -1039) 111463) ((-616 . -120) 111448) ((-357 . -1039) 111432) ((-354 . -1039) 111416) ((-343 . -1039) 111400) ((-258 . -1039) 111244) ((-243 . -1039) 111120) ((-126 . -120) 111037) ((-64 . -1199) T) ((-528 . -1199) T) ((-526 . -1199) T) ((-507 . -1199) T) ((-506 . -1199) T) ((-440 . -609) 111019) ((-437 . -609) 111001) ((-3 . -105) T) ((-1029 . -1193) 110970) ((-830 . -105) T) ((-681 . -62) 110928) ((-690 . -1049) T) ((-55 . -638) 110902) ((-285 . -454) T) ((-482 . -1193) 110871) ((-1248 . -282) 110856) ((0 . -105) T) ((-582 . -638) 110821) ((-527 . -638) 110766) ((-54 . -105) T) ((-907 . -1039) 110753) ((-690 . -239) T) ((-1075 . -412) 110732) ((-723 . -631) 110680) ((-1001 . -1093) T) ((-704 . -173) 110571) ((-498 . -995) 110553) ((-466 . -1093) T) ((-258 . -380) 110537) ((-243 . -380) 110521) ((-402 . -1093) T) ((-1159 . -1049) T) ((-338 . -43) 110505) ((-1028 . -105) 110483) ((-209 . -995) 110465) ((-174 . -43) 110397) ((-1236 . -302) 110376) ((-1215 . -302) 110355) ((-1159 . -325) 110332) ((-649 . -718) T) ((-1159 . -226) T) ((-101 . -609) 110314) ((-1155 . -631) 110266) ((-496 . -25) T) ((-496 . -21) T) ((-1215 . -1023) 110218) ((-616 . -1049) T) ((-382 . -407) T) ((-393 . -105) T) ((-258 . -897) 110164) ((-243 . -897) 110141) ((-126 . -1049) T) ((-813 . -1105) T) ((-1081 . -718) T) ((-616 . -226) 110120) ((-614 . -105) T) ((-1203 . -500) 110102) ((-779 . -718) T) ((-777 . -718) T) ((-1202 . -62) 110068) ((-416 . -1105) T) ((-126 . -239) T) ((-45 . -371) NIL) ((-126 . -226) NIL) ((-456 . -718) T) ((-813 . -23) T) ((-723 . -25) T) ((-723 . -21) T) ((-694 . -844) T) ((-1072 . -282) 110047) ((-83 . -399) T) ((-83 . -398) T) ((-1248 . -1004) 110013) ((-685 . -1055) 109963) ((-1244 . -138) T) ((-1237 . -138) T) ((-1216 . -138) T) ((-1210 . -138) T) ((-1163 . -25) T) ((-1130 . -414) 109947) ((-627 . -370) 109879) ((-603 . -370) 109811) ((-1145 . -1137) 109795) ((-106 . -1093) 109773) ((-1163 . -21) T) ((-1162 . -21) T) ((-1162 . -25) T) ((-1001 . -709) 109721) ((-214 . -638) 109688) ((-685 . -120) 109615) ((-55 . -718) T) ((-1155 . -21) T) ((-353 . -351) T) ((-1155 . -25) T) ((-1075 . -454) 109566) ((-1117 . -21) T) ((-704 . -524) 109512) ((-582 . -718) T) ((-527 . -718) T) ((-859 . -302) T) ((-1117 . -25) T) ((-776 . -302) T) ((-595 . -138) T) ((-594 . -138) T) ((-362 . -454) T) ((-355 . -454) T) ((-344 . -454) T) ((-480 . -302) 109491) ((-308 . -282) 109357) ((-112 . -454) T) ((-84 . -443) T) ((-84 . -398) T) ((-490 . -105) T) ((-735 . -610) 109218) ((-735 . -609) 109200) ((-1279 . -609) 109182) ((-1279 . -610) 109164) ((-1075 . -405) 109143) ((-1037 . -500) 109075) ((-569 . -792) T) ((-569 . -789) T) ((-1061 . -228) 109021) ((-362 . -405) 108972) ((-355 . -405) 108923) ((-344 . -405) 108874) ((-1266 . -1105) T) ((-1266 . -23) T) ((-1255 . -105) T) ((-1130 . -1056) T) ((-663 . -738) 108858) ((-1167 . -149) 108837) ((-1167 . -151) 108816) ((-1134 . -1093) T) ((-1134 . -1068) 108785) ((-74 . -1199) T) ((-1025 . -1055) 108722) ((-855 . -1056) T) ((-736 . -149) 108701) ((-736 . -151) 108680) ((-233 . -631) 108586) ((-685 . -1049) T) ((-234 . -559) 108565) ((-356 . -1055) 108510) ((-66 . -1199) T) ((-1025 . -120) 108419) ((-898 . -609) 108386) ((-685 . -239) T) ((-685 . -226) NIL) ((-1201 . -524) NIL) ((-837 . -842) 108365) ((-690 . -792) T) ((-690 . -789) T) ((-1248 . -609) 108347) ((-1203 . -282) 108322) ((-1005 . -414) 108299) ((-356 . -120) 108216) ((-260 . -609) 108183) ((-382 . -918) T) ((-410 . -842) 108162) ((-704 . -286) 108073) ((-214 . -718) T) ((-1244 . -503) 108039) ((-1237 . -503) 108005) ((-1216 . -503) 107971) ((-1210 . -503) 107937) ((-311 . -1004) 107916) ((-213 . -1093) 107894) ((-315 . -976) 107856) ((-109 . -105) T) ((-53 . -1055) 107821) ((-1275 . -105) T) ((-384 . -105) T) ((-53 . -120) 107770) ((-1006 . -631) 107752) ((-1238 . -609) 107734) ((-535 . -105) T) ((-510 . -105) T) ((-1124 . -1125) 107718) ((-156 . -1260) 107702) ((-241 . -1199) T) ((-1203 . -19) 107684) ((-776 . -666) 107636) ((-1161 . -1208) 107615) ((-1116 . -1208) 107594) ((-233 . -21) 107504) ((-233 . -25) 107355) ((-137 . -128) 107339) ((-131 . -128) 107323) ((-1204 . -641) 107305) ((-49 . -738) 107289) ((-1203 . -602) 107264) ((-1161 . -559) 107175) ((-1116 . -559) 107106) ((-1204 . -376) 107088) ((-1037 . -282) 107063) ((-1080 . -25) T) ((-1080 . -21) T) ((-813 . -138) T) ((-126 . -792) NIL) ((-126 . -789) NIL) ((-357 . -302) T) ((-354 . -302) T) ((-343 . -302) T) ((-1087 . -1199) T) ((-245 . -1105) 106973) ((-244 . -1105) 106883) ((-1025 . -1049) T) ((-1005 . -1056) T) ((-342 . -638) 106828) ((-614 . -43) 106812) ((-1264 . -609) 106774) ((-1264 . -610) 106735) ((-1072 . -609) 106717) ((-1025 . -239) T) ((-356 . -1049) T) ((-812 . -1260) 106687) ((-245 . -23) T) ((-244 . -23) T) ((-990 . -609) 106669) ((-729 . -610) 106630) ((-729 . -609) 106612) ((-796 . -844) 106591) ((-1001 . -524) 106503) ((-356 . -226) T) ((-356 . -239) T) ((-1148 . -155) 106450) ((-1006 . -25) T) ((-143 . -609) 106432) ((-143 . -610) 106391) ((-907 . -302) T) ((-1006 . -21) T) ((-974 . -25) T) ((-912 . -21) T) ((-912 . -25) T) ((-430 . -21) T) ((-430 . -25) T) ((-837 . -414) 106375) ((-53 . -1049) T) ((-1273 . -1265) 106359) ((-1271 . -1265) 106343) ((-1037 . -602) 106318) ((-311 . -610) 106179) ((-311 . -609) 106161) ((-308 . -610) NIL) ((-308 . -609) 106143) ((-53 . -239) T) ((-53 . -226) T) ((-645 . -282) 106104) ((-552 . -228) 106054) ((-142 . -609) 106036) ((-123 . -609) 106018) ((-490 . -43) 105983) ((-1275 . -1272) 105962) ((-1266 . -138) T) ((-1274 . -1056) T) ((-1077 . -105) T) ((-118 . -609) 105944) ((-93 . -1199) T) ((-510 . -304) NIL) ((-1002 . -111) 105928) ((-886 . -1093) T) ((-882 . -1093) T) ((-1253 . -641) 105912) ((-1253 . -376) 105896) ((-326 . -1199) T) ((-592 . -844) T) ((-234 . -1105) T) ((-1130 . -1093) T) ((-1130 . -1052) 105836) ((-106 . -524) 105769) ((-929 . -609) 105751) ((-234 . -23) T) ((-342 . -718) T) ((-30 . -609) 105733) ((-855 . -1093) T) ((-837 . -1056) 105712) ((-45 . -638) 105657) ((-216 . -1208) T) ((-410 . -1056) T) ((-1147 . -155) 105639) ((-1001 . -286) 105590) ((-216 . -559) T) ((-1203 . -610) 105572) ((-315 . -1233) 105556) ((-315 . -1230) 105526) ((-1203 . -609) 105508) ((-1173 . -1176) 105487) ((-1070 . -609) 105469) ((-34 . -609) 105451) ((-862 . -1039) 105411) ((-857 . -1039) 105356) ((-637 . -155) 105340) ((-624 . -155) 105286) ((-1173 . -111) 105236) ((-491 . -1176) 105215) ((-498 . -151) T) ((-498 . -149) NIL) ((-1111 . -610) 105130) ((-441 . -609) 105112) ((-209 . -151) T) ((-209 . -149) NIL) ((-1111 . -609) 105094) ((-57 . -105) T) ((-1216 . -631) 105046) ((-491 . -111) 104996) ((-996 . -23) T) ((-1275 . -43) 104966) ((-1161 . -1105) T) ((-1116 . -1105) T) ((-1060 . -1208) T) ((-848 . -1105) T) ((-955 . -1208) 104945) ((-1201 . -500) 104927) ((-493 . -1208) 104906) ((-723 . -844) 104885) ((-1060 . -559) T) ((-1200 . -62) 104851) ((-955 . -559) 104782) ((-1161 . -23) T) ((-1116 . -23) T) ((-848 . -23) T) ((-493 . -559) 104713) ((-1130 . -709) 104645) ((-1134 . -524) 104578) ((-1037 . -610) NIL) ((-1037 . -609) 104560) ((-855 . -709) 104530) ((-1279 . -1055) 104517) ((-1279 . -120) 104502) ((-1194 . -52) 104471) ((-245 . -138) T) ((-244 . -138) T) ((-1097 . -1093) T) ((-1005 . -1093) T) ((-67 . -609) 104453) ((-1155 . -844) NIL) ((-1025 . -789) T) ((-1025 . -792) T) ((-1244 . -25) T) ((-735 . -1055) 104377) ((-1244 . -21) T) ((-1237 . -21) T) ((-866 . -638) 104364) ((-1237 . -25) T) ((-1216 . -21) T) ((-1216 . -25) T) ((-1210 . -25) T) ((-1210 . -21) T) ((-1029 . -155) 104348) ((-868 . -817) 104327) ((-868 . -918) T) ((-735 . -120) 104230) ((-704 . -282) 104157) ((-595 . -21) T) ((-595 . -25) T) ((-594 . -21) T) ((-45 . -718) T) ((-213 . -524) 104090) ((-594 . -25) T) ((-482 . -155) 104074) ((-469 . -155) 104058) ((-919 . -718) T) ((-765 . -790) T) ((-765 . -791) T) ((-512 . -1093) T) ((-765 . -718) T) ((-216 . -366) T) ((-1145 . -1093) 104036) ((-867 . -1208) T) ((-645 . -609) 104018) ((-867 . -559) T) ((-685 . -371) NIL) ((-362 . -1260) 104002) ((-663 . -105) T) ((-355 . -1260) 103986) ((-344 . -1260) 103970) ((-1274 . -1093) T) ((-529 . -844) 103949) ((-1248 . -1055) 103832) ((-814 . -454) 103811) ((-1046 . -1093) T) ((-1046 . -1068) 103740) ((-1029 . -979) 103709) ((-816 . -1105) T) ((-1005 . -709) 103654) ((-1248 . -120) 103516) ((-234 . -138) T) ((-389 . -1105) T) ((-482 . -979) 103485) ((-469 . -979) 103454) ((-923 . -1091) T) ((-114 . -155) 103436) ((-78 . -609) 103418) ((-890 . -609) 103400) ((-1075 . -716) 103379) ((-735 . -1049) T) ((-1279 . -1049) T) ((-1201 . -282) 103354) ((-813 . -631) 103302) ((-289 . -1056) 103244) ((-170 . -1208) 103149) ((-216 . -1105) T) ((-322 . -23) T) ((-1155 . -995) 103101) ((-837 . -1093) T) ((-735 . -239) 103080) ((-1117 . -732) 103059) ((-1238 . -1055) 102948) ((-1236 . -918) 102927) ((-866 . -718) T) ((-170 . -559) 102838) ((-1215 . -918) 102817) ((-581 . -638) 102804) ((-410 . -1093) T) ((-569 . -638) 102791) ((-257 . -1093) T) ((-505 . -638) 102756) ((-216 . -23) T) ((-1215 . -817) 102709) ((-968 . -1093) T) ((-1273 . -105) T) ((-356 . -1270) 102686) ((-1271 . -105) T) ((-1238 . -120) 102536) ((-148 . -609) 102518) ((-996 . -138) T) ((-49 . -105) T) ((-233 . -844) 102469) ((-1274 . -709) 102439) ((-1225 . -1208) 102418) ((-106 . -500) 102402) ((-1225 . -559) 102313) ((-1201 . -19) 102295) ((-1081 . -52) 102256) ((-1060 . -1105) T) ((-955 . -1105) T) ((-137 . -39) T) ((-131 . -39) T) ((-1204 . -39) T) ((-1203 . -284) 102231) ((-779 . -52) 102208) ((-777 . -52) 102180) ((-1201 . -602) 102155) ((-1161 . -138) T) ((-356 . -371) T) ((-493 . -1105) T) ((-1116 . -138) T) ((-1060 . -23) T) ((-456 . -52) 102134) ((-867 . -366) T) ((-848 . -138) T) ((-156 . -105) T) ((-736 . -454) 102065) ((-955 . -23) T) ((-576 . -559) T) ((-813 . -25) T) ((-813 . -21) T) ((-1130 . -524) 101998) ((-586 . -1039) 101982) ((-493 . -23) T) ((-353 . -1056) T) ((-1248 . -1049) T) ((-1194 . -897) 101963) ((-663 . -304) 101901) ((-1248 . -226) 101860) ((-1106 . -1260) 101830) ((-690 . -638) 101795) ((-1006 . -844) T) ((-1005 . -173) T) ((-966 . -149) 101774) ((-627 . -1093) T) ((-603 . -1093) T) ((-966 . -151) 101753) ((-859 . -918) T) ((-727 . -151) 101732) ((-727 . -149) 101711) ((-974 . -844) T) ((-776 . -918) T) ((-480 . -918) 101690) ((-311 . -1055) 101600) ((-308 . -1055) 101529) ((-1001 . -282) 101487) ((-1159 . -906) 101466) ((-410 . -709) 101418) ((-692 . -842) T) ((-539 . -1091) T) ((-514 . -1093) T) ((-1238 . -1049) T) ((-311 . -120) 101307) ((-308 . -120) 101192) ((-1238 . -325) 101136) ((-1159 . -638) 101061) ((-967 . -105) T) ((-812 . -105) 100851) ((-704 . -610) NIL) ((-704 . -609) 100833) ((-1037 . -284) 100808) ((-649 . -1039) 100704) ((-862 . -302) T) ((-581 . -718) T) ((-569 . -791) T) ((-569 . -788) T) ((-170 . -366) 100655) ((-569 . -718) T) ((-505 . -718) T) ((-237 . -1039) 100639) ((-857 . -302) T) ((-1134 . -500) 100623) ((-1081 . -883) NIL) ((-867 . -1105) T) ((-126 . -906) NIL) ((-1273 . -1272) 100599) ((-1271 . -1272) 100578) ((-779 . -883) NIL) ((-777 . -883) 100437) ((-1266 . -25) T) ((-1266 . -21) T) ((-1197 . -105) 100415) ((-1099 . -398) T) ((-616 . -638) 100402) ((-456 . -883) NIL) ((-667 . -105) 100380) ((-1081 . -1039) 100207) ((-867 . -23) T) ((-779 . -1039) 100066) ((-777 . -1039) 99923) ((-126 . -638) 99868) ((-456 . -1039) 99744) ((-639 . -1039) 99728) ((-619 . -105) T) ((-213 . -500) 99712) ((-1253 . -39) T) ((-627 . -709) 99696) ((-603 . -709) 99680) ((-663 . -43) 99640) ((-315 . -105) T) ((-217 . -1093) T) ((-145 . -1093) T) ((-90 . -609) 99622) ((-55 . -1039) 99606) ((-1111 . -1055) 99593) ((-1081 . -380) 99577) ((-779 . -380) 99561) ((-65 . -62) 99523) ((-690 . -791) T) ((-690 . -788) T) ((-582 . -1039) 99510) ((-527 . -1039) 99487) ((-690 . -718) T) ((-322 . -138) T) ((-311 . -1049) 99377) ((-308 . -1049) T) ((-170 . -1105) T) ((-777 . -380) 99361) ((-50 . -155) 99311) ((-1006 . -995) 99293) ((-1201 . -610) 99275) ((-1201 . -609) 99257) ((-456 . -380) 99241) ((-410 . -173) T) ((-311 . -239) 99220) ((-308 . -239) T) ((-308 . -226) NIL) ((-289 . -1093) 99002) ((-216 . -138) T) ((-1111 . -120) 98987) ((-170 . -23) T) ((-796 . -151) 98966) ((-796 . -149) 98945) ((-245 . -631) 98851) ((-244 . -631) 98757) ((-315 . -280) 98723) ((-1159 . -718) T) ((-1145 . -524) 98656) ((-1124 . -1093) T) ((-216 . -1058) T) ((-812 . -304) 98594) ((-1081 . -897) 98529) ((-779 . -897) 98472) ((-777 . -897) 98456) ((-1273 . -43) 98426) ((-1271 . -43) 98396) ((-1225 . -1105) T) ((-849 . -1105) T) ((-456 . -897) 98373) ((-851 . -1093) T) ((-1225 . -23) T) ((-576 . -1105) T) ((-849 . -23) T) ((-616 . -718) T) ((-357 . -918) T) ((-354 . -918) T) ((-285 . -105) T) ((-343 . -918) T) ((-1060 . -138) T) ((-955 . -138) T) ((-126 . -791) NIL) ((-126 . -788) NIL) ((-126 . -718) T) ((-685 . -906) NIL) ((-1046 . -524) 98257) ((-493 . -138) T) ((-576 . -23) T) ((-667 . -304) 98195) ((-627 . -755) T) ((-603 . -755) T) ((-1216 . -844) NIL) ((-1005 . -286) T) ((-245 . -21) T) ((-685 . -638) 98145) ((-353 . -1093) T) ((-245 . -25) T) ((-244 . -21) T) ((-244 . -25) T) ((-156 . -43) 98129) ((-2 . -105) T) ((-907 . -918) T) ((-494 . -1260) 98099) ((-214 . -1039) 98076) ((-1111 . -1049) T) ((-703 . -302) T) ((-289 . -709) 98018) ((-692 . -1056) T) ((-498 . -454) T) ((-410 . -524) 97930) ((-209 . -454) T) ((-1111 . -226) T) ((-290 . -155) 97880) ((-1001 . -610) 97841) ((-1001 . -609) 97823) ((-992 . -609) 97805) ((-125 . -1056) T) ((-645 . -1055) 97789) ((-216 . -503) T) ((-466 . -609) 97771) ((-402 . -609) 97753) ((-402 . -610) 97730) ((-1053 . -1260) 97700) ((-645 . -120) 97679) ((-1130 . -500) 97663) ((-812 . -43) 97633) ((-68 . -443) T) ((-68 . -398) T) ((-1148 . -105) T) ((-867 . -138) T) ((-495 . -105) 97611) ((-1279 . -371) T) ((-736 . -952) 97580) ((-1075 . -105) T) ((-1059 . -105) T) ((-353 . -709) 97525) ((-723 . -151) 97504) ((-723 . -149) 97483) ((-1025 . -638) 97420) ((-532 . -1093) 97398) ((-362 . -105) T) ((-355 . -105) T) ((-344 . -105) T) ((-234 . -21) T) ((-234 . -25) T) ((-112 . -105) T) ((-515 . -1093) T) ((-356 . -638) 97343) ((-1161 . -631) 97291) ((-1116 . -631) 97239) ((-388 . -519) 97218) ((-830 . -842) 97197) ((-382 . -1208) T) ((-685 . -718) T) ((-338 . -1056) T) ((-1216 . -995) 97149) ((-174 . -1056) T) ((-106 . -609) 97116) ((-1163 . -149) 97095) ((-1163 . -151) 97074) ((-382 . -559) T) ((-1162 . -151) 97053) ((-1162 . -149) 97032) ((-1155 . -149) 96939) ((-410 . -286) T) ((-1155 . -151) 96846) ((-1117 . -151) 96825) ((-1117 . -149) 96804) ((-315 . -43) 96645) ((-170 . -138) T) ((-308 . -792) NIL) ((-308 . -789) NIL) ((-645 . -1049) T) ((-53 . -638) 96610) ((-996 . -21) T) ((-137 . -1012) 96594) ((-131 . -1012) 96578) ((-996 . -25) T) ((-898 . -128) 96562) ((-1147 . -105) T) ((-813 . -844) 96541) ((-1225 . -138) T) ((-1201 . -284) 96516) ((-1161 . -25) T) ((-1161 . -21) T) ((-849 . -138) T) ((-1116 . -25) T) ((-1116 . -21) T) ((-848 . -25) T) ((-848 . -21) T) ((-779 . -302) 96495) ((-35 . -37) 96479) ((-1148 . -304) 96274) ((-1145 . -500) 96258) ((-637 . -105) 96236) ((-624 . -105) T) ((-1138 . -155) 96186) ((-576 . -138) T) ((-614 . -842) 96165) ((-1134 . -609) 96127) ((-1134 . -610) 96088) ((-1025 . -788) T) ((-1025 . -791) T) ((-1025 . -718) T) ((-495 . -304) 96026) ((-455 . -420) 95996) ((-353 . -173) T) ((-217 . -524) NIL) ((-145 . -524) NIL) ((-285 . -43) 95983) ((-271 . -105) T) ((-270 . -105) T) ((-269 . -105) T) ((-268 . -105) T) ((-267 . -105) T) ((-266 . -105) T) ((-265 . -105) T) ((-342 . -1039) 95960) ((-205 . -105) T) ((-204 . -105) T) ((-202 . -105) T) ((-201 . -105) T) ((-200 . -105) T) ((-199 . -105) T) ((-196 . -105) T) ((-195 . -105) T) ((-704 . -1055) 95783) ((-194 . -105) T) ((-193 . -105) T) ((-192 . -105) T) ((-191 . -105) T) ((-190 . -105) T) ((-189 . -105) T) ((-188 . -105) T) ((-187 . -105) T) ((-186 . -105) T) ((-356 . -718) T) ((-704 . -120) 95585) ((-663 . -224) 95569) ((-582 . -302) T) ((-527 . -302) T) ((-289 . -524) 95518) ((-112 . -304) NIL) ((-77 . -398) T) ((-1106 . -105) 95308) ((-830 . -414) 95292) ((-1111 . -792) T) ((-1111 . -789) T) ((-692 . -1093) T) ((-382 . -366) T) ((-170 . -503) 95270) ((-213 . -609) 95237) ((-140 . -1093) T) ((-125 . -1093) T) ((-53 . -718) T) ((-1046 . -500) 95202) ((-143 . -428) 95184) ((-143 . -371) T) ((-1029 . -105) T) ((-522 . -519) 95163) ((-482 . -105) T) ((-469 . -105) T) ((-1036 . -1105) T) ((-736 . -1228) 95147) ((-1163 . -40) 95113) ((-1163 . -98) 95079) ((-1163 . -1188) 95045) ((-1163 . -1185) 95011) ((-1162 . -1185) 94977) ((-1147 . -304) NIL) ((-94 . -399) T) ((-94 . -398) T) ((-1075 . -1139) 94956) ((-1162 . -1188) 94922) ((-1162 . -98) 94888) ((-1036 . -23) T) ((-1162 . -40) 94854) ((-576 . -503) T) ((-1155 . -1185) 94820) ((-1155 . -1188) 94786) ((-1155 . -98) 94752) ((-1155 . -40) 94718) ((-364 . -1105) T) ((-362 . -1139) 94697) ((-355 . -1139) 94676) ((-344 . -1139) 94655) ((-1117 . -40) 94621) ((-1117 . -98) 94587) ((-1117 . -1188) 94553) ((-112 . -1139) T) ((-1117 . -1185) 94519) ((-830 . -1056) 94498) ((-637 . -304) 94436) ((-624 . -304) 94287) ((-1075 . -43) 94155) ((-704 . -1049) T) ((-1060 . -631) 94137) ((-1006 . -151) T) ((-955 . -631) 94085) ((-501 . -1093) T) ((-1006 . -149) NIL) ((-382 . -1105) T) ((-322 . -25) T) ((-320 . -23) T) ((-946 . -844) 94064) ((-704 . -325) 94041) ((-493 . -631) 93989) ((-45 . -1039) 93864) ((-692 . -709) 93851) ((-704 . -226) T) ((-338 . -1093) T) ((-174 . -1093) T) ((-330 . -844) T) ((-421 . -454) 93801) ((-382 . -23) T) ((-362 . -43) 93766) ((-355 . -43) 93731) ((-344 . -43) 93696) ((-85 . -443) T) ((-85 . -398) T) ((-216 . -25) T) ((-216 . -21) T) ((-831 . -1105) T) ((-112 . -43) 93646) ((-824 . -1105) T) ((-768 . -1093) T) ((-125 . -709) 93633) ((-664 . -1039) 93617) ((-608 . -105) T) ((-831 . -23) T) ((-824 . -23) T) ((-1145 . -282) 93594) ((-1106 . -304) 93532) ((-1095 . -228) 93516) ((-69 . -399) T) ((-69 . -398) T) ((-114 . -105) T) ((-45 . -380) 93493) ((-35 . -1093) T) ((-1203 . -641) 93475) ((-644 . -846) 93459) ((-1203 . -376) 93441) ((-1060 . -21) T) ((-1060 . -25) T) ((-812 . -224) 93410) ((-955 . -25) T) ((-955 . -21) T) ((-614 . -1056) T) ((-493 . -25) T) ((-493 . -21) T) ((-1029 . -304) 93348) ((-886 . -609) 93330) ((-882 . -609) 93312) ((-245 . -844) 93263) ((-244 . -844) 93214) ((-532 . -524) 93147) ((-867 . -631) 93124) ((-482 . -304) 93062) ((-469 . -304) 93000) ((-353 . -286) T) ((-1145 . -1240) 92984) ((-1130 . -609) 92946) ((-1130 . -610) 92907) ((-1128 . -105) T) ((-1001 . -1055) 92803) ((-45 . -897) 92755) ((-1145 . -602) 92732) ((-735 . -638) 92656) ((-1279 . -638) 92643) ((-1061 . -155) 92589) ((-868 . -1208) T) ((-1001 . -120) 92464) ((-338 . -709) 92448) ((-855 . -609) 92430) ((-174 . -709) 92362) ((-410 . -282) 92320) ((-868 . -559) T) ((-112 . -403) 92302) ((-89 . -387) T) ((-89 . -398) T) ((-862 . -918) T) ((-857 . -918) T) ((-692 . -173) T) ((-101 . -718) T) ((-494 . -105) 92092) ((-101 . -479) T) ((-125 . -173) T) ((-1106 . -43) 92062) ((-170 . -631) 92010) ((-217 . -500) 91992) ((-145 . -500) 91967) ((-1053 . -105) T) ((-867 . -25) T) ((-812 . -231) 91946) ((-867 . -21) T) ((-815 . -105) T) ((-417 . -105) T) ((-388 . -105) T) ((-114 . -304) NIL) ((-220 . -105) 91924) ((-137 . -1199) T) ((-131 . -1199) T) ((-1204 . -1199) T) ((-1036 . -138) T) ((-663 . -370) 91908) ((-1248 . -638) 91833) ((-1279 . -718) T) ((-1244 . -149) 91812) ((-1001 . -1049) T) ((-1244 . -151) 91791) ((-1225 . -631) 91739) ((-1237 . -151) 91718) ((-1097 . -609) 91700) ((-1005 . -609) 91682) ((-525 . -23) T) ((-520 . -23) T) ((-342 . -302) T) ((-518 . -23) T) ((-320 . -138) T) ((-3 . -1093) T) ((-1005 . -610) 91666) ((-1001 . -239) 91645) ((-1001 . -226) 91624) ((-1237 . -149) 91603) ((-1236 . -1208) 91582) ((-830 . -1093) T) ((-1216 . -149) 91489) ((-1216 . -151) 91396) ((-1215 . -1208) 91375) ((-1210 . -149) 91354) ((-1210 . -151) 91333) ((-735 . -479) 91312) ((-735 . -718) T) ((-382 . -138) T) ((-569 . -883) 91294) ((0 . -1093) T) ((-174 . -173) T) ((-170 . -21) T) ((-170 . -25) T) ((-54 . -1093) T) ((-1238 . -638) 91183) ((-1236 . -559) 91134) ((-706 . -1105) T) ((-1215 . -559) 91085) ((-569 . -1039) 91067) ((-594 . -151) 91046) ((-594 . -149) 91025) ((-505 . -1039) 90968) ((-92 . -387) T) ((-92 . -398) T) ((-868 . -366) T) ((-1159 . -52) 90945) ((-831 . -138) T) ((-824 . -138) T) ((-706 . -23) T) ((-512 . -609) 90927) ((-1275 . -1056) T) ((-382 . -1058) T) ((-1028 . -1093) 90905) ((-898 . -39) T) ((-494 . -304) 90843) ((-1145 . -610) 90804) ((-1145 . -609) 90771) ((-260 . -39) T) ((-1161 . -844) 90750) ((-50 . -105) T) ((-1116 . -844) 90729) ((-814 . -105) T) ((-1225 . -25) T) ((-1225 . -21) T) ((-849 . -25) T) ((-49 . -370) 90713) ((-849 . -21) T) ((-723 . -454) 90664) ((-1274 . -609) 90646) ((-576 . -25) T) ((-576 . -21) T) ((-393 . -1093) T) ((-1053 . -304) 90584) ((-614 . -1093) T) ((-690 . -883) 90566) ((-1253 . -1199) T) ((-220 . -304) 90504) ((-148 . -371) T) ((-1046 . -610) 90446) ((-1046 . -609) 90389) ((-859 . -1208) T) ((-308 . -906) NIL) ((-776 . -1208) T) ((-1248 . -718) T) ((-690 . -1039) 90334) ((-703 . -918) T) ((-480 . -1208) 90313) ((-1162 . -454) 90292) ((-1155 . -454) 90271) ((-859 . -559) T) ((-329 . -105) T) ((-776 . -559) T) ((-868 . -1105) T) ((-311 . -638) 90092) ((-308 . -638) 90021) ((-480 . -559) 89972) ((-338 . -524) 89938) ((-552 . -155) 89888) ((-45 . -302) T) ((-1159 . -883) NIL) ((-837 . -609) 89870) ((-692 . -286) T) ((-868 . -23) T) ((-382 . -503) T) ((-1075 . -224) 89840) ((-522 . -105) T) ((-410 . -610) 89641) ((-410 . -609) 89623) ((-257 . -609) 89605) ((-125 . -286) T) ((-1159 . -1039) 89485) ((-968 . -609) 89467) ((-1238 . -718) T) ((-1236 . -366) 89446) ((-1215 . -366) 89425) ((-1264 . -39) T) ((-126 . -1199) T) ((-112 . -224) 89407) ((-1167 . -105) T) ((-490 . -1093) T) ((-532 . -500) 89391) ((-736 . -105) T) ((-729 . -39) T) ((-494 . -43) 89361) ((-143 . -39) T) ((-126 . -881) 89338) ((-126 . -883) NIL) ((-616 . -1039) 89221) ((-635 . -844) 89200) ((-1263 . -105) T) ((-290 . -105) T) ((-704 . -371) 89179) ((-126 . -1039) 89156) ((-393 . -709) 89140) ((-1159 . -380) 89124) ((-614 . -709) 89108) ((-50 . -304) 88912) ((-813 . -149) 88891) ((-813 . -151) 88870) ((-1274 . -385) 88849) ((-816 . -844) T) ((-1255 . -1093) T) ((-1244 . -40) 88815) ((-1244 . -98) 88781) ((-1244 . -1188) 88747) ((-1148 . -222) 88694) ((-1244 . -1185) 88660) ((-389 . -844) 88639) ((-1237 . -1185) 88605) ((-1237 . -1188) 88571) ((-1237 . -98) 88537) ((-217 . -679) 88505) ((-145 . -679) 88466) ((-1237 . -40) 88432) ((-1236 . -1105) T) ((-1216 . -1185) 88398) ((-525 . -138) T) ((-1216 . -1188) 88364) ((-1210 . -1188) 88330) ((-1210 . -1185) 88296) ((-1216 . -98) 88262) ((-1216 . -40) 88228) ((-627 . -609) 88197) ((-603 . -609) 88166) ((-33 . -105) T) ((-216 . -844) T) ((-1215 . -1105) T) ((-1210 . -40) 88132) ((-1210 . -98) 88098) ((-1111 . -638) 88085) ((-1159 . -897) 88028) ((-1075 . -351) 88007) ((-592 . -155) 87989) ((-866 . -302) T) ((-126 . -380) 87966) ((-126 . -337) 87943) ((-174 . -286) T) ((-859 . -366) T) ((-776 . -366) T) ((-308 . -791) NIL) ((-308 . -788) NIL) ((-311 . -718) 87792) ((-308 . -718) T) ((-514 . -609) 87774) ((-480 . -366) 87753) ((-362 . -351) 87732) ((-355 . -351) 87711) ((-344 . -351) 87690) ((-311 . -479) 87669) ((-1236 . -23) T) ((-1215 . -23) T) ((-710 . -1105) T) ((-706 . -138) T) ((-644 . -105) T) ((-490 . -709) 87634) ((-50 . -278) 87584) ((-109 . -1093) T) ((-73 . -609) 87566) ((-854 . -105) T) ((-616 . -897) 87525) ((-1275 . -1093) T) ((-384 . -1093) T) ((-1203 . -39) T) ((-1201 . -641) 87507) ((-1201 . -376) 87489) ((-87 . -1199) T) ((-1060 . -844) T) ((-955 . -844) 87468) ((-126 . -897) NIL) ((-779 . -918) 87447) ((-705 . -844) T) ((-535 . -1093) T) ((-510 . -1093) T) ((-357 . -1208) T) ((-354 . -1208) T) ((-343 . -1208) T) ((-258 . -1208) 87426) ((-243 . -1208) 87405) ((-1106 . -224) 87374) ((-493 . -844) 87353) ((-1147 . -825) T) ((-1130 . -1055) 87337) ((-393 . -755) T) ((-736 . -304) 87324) ((-685 . -1199) T) ((-357 . -559) T) ((-354 . -559) T) ((-343 . -559) T) ((-258 . -559) 87255) ((-243 . -559) 87186) ((-1130 . -120) 87165) ((-455 . -738) 87135) ((-855 . -1055) 87105) ((-814 . -43) 87042) ((-685 . -881) 87024) ((-685 . -883) 87006) ((-290 . -304) 86810) ((-907 . -1208) T) ((-859 . -1105) T) ((-855 . -120) 86775) ((-663 . -414) 86759) ((-776 . -1105) T) ((-685 . -1039) 86704) ((-1145 . -284) 86681) ((-1006 . -454) T) ((-907 . -559) T) ((-582 . -918) T) ((-480 . -1105) T) ((-527 . -918) T) ((-912 . -454) T) ((-217 . -609) 86663) ((-145 . -609) 86645) ((-70 . -609) 86627) ((-859 . -23) T) ((-624 . -222) 86573) ((-776 . -23) T) ((-480 . -23) T) ((-1111 . -791) T) ((-868 . -138) T) ((-1111 . -788) T) ((-1266 . -1268) 86552) ((-1111 . -718) T) ((-645 . -638) 86526) ((-289 . -609) 86267) ((-1037 . -39) T) ((-812 . -842) 86246) ((-581 . -302) T) ((-569 . -302) T) ((-505 . -302) T) ((-1275 . -709) 86216) ((-685 . -380) 86198) ((-685 . -337) 86180) ((-490 . -173) T) ((-384 . -709) 86150) ((-736 . -1139) 86128) ((-867 . -844) NIL) ((-569 . -1023) T) ((-505 . -1023) T) ((-1124 . -609) 86110) ((-1106 . -231) 86089) ((-206 . -105) T) ((-1138 . -105) T) ((-76 . -609) 86071) ((-1130 . -1049) T) ((-1167 . -43) 85968) ((-851 . -609) 85950) ((-569 . -551) T) ((-736 . -43) 85779) ((-663 . -1056) T) ((-723 . -952) 85732) ((-1130 . -226) 85711) ((-1077 . -1093) T) ((-1036 . -25) T) ((-1036 . -21) T) ((-1005 . -1055) 85656) ((-902 . -105) T) ((-855 . -1049) T) ((-772 . -1105) T) ((-685 . -897) NIL) ((-357 . -328) 85640) ((-357 . -366) T) ((-354 . -328) 85624) ((-354 . -366) T) ((-343 . -328) 85608) ((-343 . -366) T) ((-498 . -105) T) ((-1263 . -43) 85578) ((-532 . -679) 85528) ((-209 . -105) T) ((-1025 . -1039) 85408) ((-1005 . -120) 85325) ((-1163 . -976) 85294) ((-1162 . -976) 85256) ((-529 . -155) 85240) ((-1075 . -373) 85219) ((-353 . -609) 85201) ((-320 . -21) T) ((-356 . -1039) 85178) ((-320 . -25) T) ((-1155 . -976) 85147) ((-1117 . -976) 85114) ((-81 . -609) 85096) ((-690 . -302) T) ((-170 . -844) 85075) ((-907 . -366) T) ((-382 . -25) T) ((-382 . -21) T) ((-907 . -328) 85062) ((-91 . -609) 85044) ((-690 . -1023) T) ((-669 . -844) T) ((-1236 . -138) T) ((-1215 . -138) T) ((-898 . -1012) 85028) ((-831 . -21) T) ((-53 . -1039) 84971) ((-831 . -25) T) ((-824 . -25) T) ((-824 . -21) T) ((-1273 . -1056) T) ((-1271 . -1056) T) ((-645 . -718) T) ((-1159 . -302) 84950) ((-260 . -1012) 84934) ((-1274 . -1055) 84918) ((-1225 . -844) 84897) ((-812 . -414) 84866) ((-106 . -128) 84850) ((-57 . -1093) T) ((-928 . -609) 84832) ((-867 . -995) 84809) ((-820 . -105) T) ((-1274 . -120) 84788) ((-644 . -43) 84758) ((-576 . -844) T) ((-357 . -1105) T) ((-354 . -1105) T) ((-343 . -1105) T) ((-258 . -1105) T) ((-243 . -1105) T) ((-616 . -302) 84737) ((-1138 . -304) 84541) ((-657 . -23) T) ((-494 . -224) 84510) ((-156 . -1056) T) ((-357 . -23) T) ((-354 . -23) T) ((-343 . -23) T) ((-126 . -302) T) ((-258 . -23) T) ((-243 . -23) T) ((-1005 . -1049) T) ((-704 . -906) 84489) ((-1005 . -226) 84461) ((-1005 . -239) T) ((-126 . -1023) NIL) ((-907 . -1105) T) ((-1237 . -454) 84440) ((-1216 . -454) 84419) ((-532 . -609) 84386) ((-704 . -638) 84311) ((-410 . -1055) 84263) ((-859 . -138) T) ((-515 . -609) 84245) ((-907 . -23) T) ((-776 . -138) T) ((-498 . -304) NIL) ((-480 . -138) T) ((-209 . -304) NIL) ((-410 . -120) 84176) ((-812 . -1056) 84106) ((-729 . -1090) 84090) ((-1236 . -503) 84056) ((-1215 . -503) 84022) ((-143 . -1090) 84004) ((-490 . -286) T) ((-1274 . -1049) T) ((-1061 . -105) T) ((-510 . -524) NIL) ((-694 . -105) T) ((-494 . -231) 83983) ((-1161 . -149) 83962) ((-1161 . -151) 83941) ((-1116 . -151) 83920) ((-1116 . -149) 83899) ((-627 . -1055) 83883) ((-603 . -1055) 83867) ((-663 . -1093) T) ((-663 . -1052) 83807) ((-1163 . -1243) 83791) ((-1163 . -1230) 83768) ((-498 . -1139) T) ((-1162 . -1235) 83729) ((-1162 . -1230) 83699) ((-1162 . -1233) 83683) ((-209 . -1139) T) ((-342 . -918) T) ((-815 . -263) 83667) ((-627 . -120) 83646) ((-603 . -120) 83625) ((-1155 . -1214) 83586) ((-837 . -1049) 83565) ((-1155 . -1230) 83542) ((-525 . -25) T) ((-505 . -297) T) ((-521 . -23) T) ((-520 . -25) T) ((-518 . -25) T) ((-517 . -23) T) ((-1155 . -1212) 83526) ((-410 . -1049) T) ((-315 . -1056) T) ((-685 . -302) T) ((-112 . -842) T) ((-410 . -239) T) ((-410 . -226) 83505) ((-704 . -718) T) ((-498 . -43) 83455) ((-209 . -43) 83405) ((-480 . -503) 83371) ((-1147 . -1132) T) ((-1094 . -105) T) ((-692 . -609) 83353) ((-692 . -610) 83268) ((-706 . -21) T) ((-706 . -25) T) ((-140 . -609) 83250) ((-125 . -609) 83232) ((-159 . -25) T) ((-1273 . -1093) T) ((-868 . -631) 83180) ((-1271 . -1093) T) ((-966 . -105) T) ((-727 . -105) T) ((-707 . -105) T) ((-455 . -105) T) ((-1201 . -39) T) ((-813 . -454) 83131) ((-49 . -1093) T) ((-1082 . -844) T) ((-657 . -138) T) ((-1061 . -304) 82982) ((-663 . -709) 82966) ((-285 . -1056) T) ((-357 . -138) T) ((-354 . -138) T) ((-343 . -138) T) ((-258 . -138) T) ((-243 . -138) T) ((-735 . -1199) T) ((-421 . -105) T) ((-1248 . -52) 82943) ((-156 . -1093) T) ((-50 . -222) 82893) ((-736 . -224) 82877) ((-1001 . -638) 82815) ((-960 . -844) 82794) ((-735 . -881) 82778) ((-735 . -883) 82703) ((-233 . -1260) 82673) ((-1025 . -302) T) ((-289 . -1055) 82594) ((-907 . -138) T) ((-45 . -918) T) ((-735 . -1039) 82316) ((-498 . -403) 82298) ((-501 . -609) 82280) ((-356 . -302) T) ((-209 . -403) 82262) ((-1075 . -414) 82246) ((-289 . -120) 82162) ((-862 . -1208) T) ((-857 . -1208) T) ((-868 . -25) T) ((-868 . -21) T) ((-862 . -559) T) ((-857 . -559) T) ((-338 . -609) 82144) ((-1238 . -52) 82088) ((-216 . -151) T) ((-174 . -609) 82070) ((-1106 . -842) 82049) ((-768 . -609) 82031) ((-604 . -228) 81978) ((-481 . -228) 81928) ((-1273 . -709) 81898) ((-53 . -302) T) ((-1271 . -709) 81868) ((-967 . -1093) T) ((-812 . -1093) 81658) ((-306 . -105) T) ((-898 . -1199) T) ((-735 . -380) 81627) ((-53 . -1023) T) ((-1215 . -631) 81535) ((-681 . -105) 81513) ((-49 . -709) 81497) ((-552 . -105) T) ((-72 . -386) T) ((-260 . -1199) T) ((-72 . -398) T) ((-35 . -609) 81479) ((-653 . -23) T) ((-663 . -755) T) ((-1197 . -1093) 81457) ((-353 . -1055) 81402) ((-667 . -1093) 81380) ((-1060 . -151) T) ((-955 . -151) 81359) ((-955 . -149) 81338) ((-796 . -105) T) ((-156 . -709) 81322) ((-493 . -151) 81301) ((-493 . -149) 81280) ((-353 . -120) 81197) ((-1075 . -1056) T) ((-320 . -844) 81176) ((-969 . -1091) T) ((-1244 . -976) 81145) ((-1237 . -976) 81107) ((-1216 . -976) 81076) ((-619 . -1093) T) ((-735 . -897) 81057) ((-521 . -138) T) ((-517 . -138) T) ((-290 . -222) 81007) ((-362 . -1056) T) ((-355 . -1056) T) ((-344 . -1056) T) ((-289 . -1049) 80949) ((-1210 . -976) 80918) ((-382 . -844) T) ((-112 . -1056) T) ((-1001 . -718) T) ((-866 . -918) T) ((-837 . -792) 80897) ((-837 . -789) 80876) ((-421 . -304) 80815) ((-474 . -105) T) ((-594 . -976) 80784) ((-315 . -1093) T) ((-410 . -792) 80763) ((-410 . -789) 80742) ((-510 . -500) 80724) ((-1238 . -1039) 80690) ((-1236 . -21) T) ((-1236 . -25) T) ((-1215 . -21) T) ((-1215 . -25) T) ((-812 . -709) 80632) ((-1202 . -105) T) ((-862 . -366) T) ((-857 . -366) T) ((-690 . -407) T) ((-1264 . -1199) T) ((-1106 . -414) 80601) ((-1005 . -371) NIL) ((-106 . -39) T) ((-729 . -1199) T) ((-49 . -755) T) ((-592 . -105) T) ((-82 . -399) T) ((-82 . -398) T) ((-644 . -647) 80585) ((-143 . -1199) T) ((-867 . -151) T) ((-867 . -149) NIL) ((-1248 . -897) 80498) ((-353 . -1049) T) ((-75 . -386) T) ((-75 . -398) T) ((-1154 . -105) T) ((-663 . -524) 80431) ((-681 . -304) 80369) ((-966 . -43) 80266) ((-727 . -43) 80236) ((-552 . -304) 80040) ((-311 . -1199) T) ((-353 . -226) T) ((-353 . -239) T) ((-308 . -1199) T) ((-285 . -1093) T) ((-1169 . -609) 80022) ((-703 . -1208) T) ((-1145 . -641) 80006) ((-1194 . -559) 79985) ((-859 . -25) T) ((-859 . -21) T) ((-703 . -559) T) ((-311 . -881) 79969) ((-311 . -883) 79894) ((-308 . -881) 79855) ((-308 . -883) NIL) ((-796 . -304) 79820) ((-776 . -25) T) ((-315 . -709) 79661) ((-776 . -21) T) ((-322 . -321) 79638) ((-496 . -105) T) ((-480 . -25) T) ((-480 . -21) T) ((-421 . -43) 79612) ((-311 . -1039) 79275) ((-216 . -1185) T) ((-216 . -1188) T) ((-3 . -609) 79257) ((-308 . -1039) 79187) ((-862 . -1105) T) ((-2 . -1093) T) ((-2 . |RecordCategory|) T) ((-857 . -1105) T) ((-830 . -609) 79169) ((-1106 . -1056) 79099) ((-581 . -918) T) ((-569 . -817) T) ((-569 . -918) T) ((-505 . -918) T) ((-142 . -1039) 79083) ((-216 . -98) T) ((-80 . -443) T) ((-80 . -398) T) ((0 . -609) 79065) ((-170 . -151) 79044) ((-170 . -149) 78995) ((-216 . -40) T) ((-54 . -609) 78977) ((-862 . -23) T) ((-490 . -1056) T) ((-857 . -23) T) ((-498 . -224) 78959) ((-495 . -971) 78943) ((-494 . -842) 78922) ((-209 . -224) 78904) ((-86 . -443) T) ((-86 . -398) T) ((-1134 . -39) T) ((-812 . -173) 78883) ((-723 . -105) T) ((-1028 . -609) 78850) ((-510 . -282) 78825) ((-311 . -380) 78794) ((-308 . -380) 78755) ((-308 . -337) 78716) ((-1202 . -304) NIL) ((-813 . -952) 78663) ((-653 . -138) T) ((-1225 . -149) 78642) ((-1225 . -151) 78621) ((-1203 . -1199) T) ((-1163 . -105) T) ((-1162 . -105) T) ((-1155 . -105) T) ((-1148 . -1093) T) ((-1117 . -105) T) ((-213 . -39) T) ((-285 . -709) 78608) ((-1148 . -606) 78584) ((-592 . -304) NIL) ((-1244 . -1243) 78568) ((-1244 . -1230) 78545) ((-495 . -1093) 78523) ((-1237 . -1235) 78484) ((-393 . -609) 78466) ((-520 . -844) T) ((-1138 . -222) 78416) ((-1237 . -1230) 78386) ((-1237 . -1233) 78370) ((-1216 . -1214) 78331) ((-1216 . -1230) 78308) ((-1216 . -1212) 78292) ((-1210 . -1243) 78276) ((-1210 . -1230) 78253) ((-614 . -609) 78235) ((-1163 . -280) 78201) ((-690 . -918) T) ((-1162 . -280) 78167) ((-1155 . -280) 78133) ((-1117 . -280) 78099) ((-1075 . -1093) T) ((-1059 . -1093) T) ((-53 . -297) T) ((-311 . -897) 78065) ((-308 . -897) NIL) ((-1059 . -1065) 78044) ((-1111 . -883) 78026) ((-796 . -43) 78010) ((-258 . -631) 77958) ((-243 . -631) 77906) ((-692 . -1055) 77893) ((-594 . -1230) 77870) ((-1111 . -1039) 77852) ((-315 . -173) 77783) ((-362 . -1093) T) ((-355 . -1093) T) ((-344 . -1093) T) ((-510 . -19) 77765) ((-1095 . -155) 77749) ((-735 . -302) 77728) ((-112 . -1093) T) ((-125 . -1055) 77715) ((-703 . -366) T) ((-510 . -602) 77690) ((-692 . -120) 77675) ((-439 . -105) T) ((-1159 . -918) 77654) ((-50 . -1137) 77604) ((-125 . -120) 77589) ((-219 . -844) T) ((-146 . -844) 77559) ((-627 . -712) T) ((-603 . -712) T) ((-812 . -524) 77492) ((-1037 . -1199) T) ((-946 . -155) 77476) ((-529 . -105) 77426) ((-1081 . -1208) 77405) ((-779 . -1208) 77384) ((-777 . -1208) 77363) ((-67 . -1199) T) ((-490 . -609) 77315) ((-490 . -610) 77237) ((-1161 . -454) 77168) ((-1147 . -1093) T) ((-1130 . -638) 77142) ((-1081 . -559) 77073) ((-494 . -414) 77042) ((-616 . -918) 77021) ((-456 . -1208) 77000) ((-1116 . -454) 76951) ((-779 . -559) 76862) ((-401 . -609) 76844) ((-777 . -559) 76775) ((-667 . -524) 76708) ((-723 . -304) 76695) ((-657 . -25) T) ((-657 . -21) T) ((-456 . -559) 76626) ((-126 . -918) T) ((-126 . -817) NIL) ((-357 . -25) T) ((-357 . -21) T) ((-354 . -25) T) ((-354 . -21) T) ((-343 . -25) T) ((-343 . -21) T) ((-258 . -25) T) ((-258 . -21) T) ((-88 . -387) T) ((-88 . -398) T) ((-243 . -25) T) ((-243 . -21) T) ((-1255 . -609) 76608) ((-1194 . -1105) T) ((-1194 . -23) T) ((-1155 . -304) 76493) ((-1117 . -304) 76480) ((-1075 . -709) 76348) ((-855 . -638) 76308) ((-946 . -983) 76292) ((-907 . -21) T) ((-285 . -173) T) ((-907 . -25) T) ((-868 . -844) 76243) ((-862 . -138) T) ((-703 . -1105) T) ((-703 . -23) T) ((-637 . -1093) 76221) ((-624 . -606) 76196) ((-624 . -1093) T) ((-582 . -1208) T) ((-527 . -1208) T) ((-582 . -559) T) ((-527 . -559) T) ((-362 . -709) 76148) ((-355 . -709) 76100) ((-344 . -709) 76052) ((-338 . -1055) 76036) ((-174 . -120) 75935) ((-174 . -1055) 75867) ((-112 . -709) 75817) ((-338 . -120) 75796) ((-271 . -1093) T) ((-270 . -1093) T) ((-269 . -1093) T) ((-268 . -1093) T) ((-692 . -1049) T) ((-267 . -1093) T) ((-266 . -1093) T) ((-265 . -1093) T) ((-205 . -1093) T) ((-204 . -1093) T) ((-202 . -1093) T) ((-170 . -1188) 75774) ((-170 . -1185) 75752) ((-201 . -1093) T) ((-200 . -1093) T) ((-125 . -1049) T) ((-199 . -1093) T) ((-196 . -1093) T) ((-692 . -226) T) ((-195 . -1093) T) ((-194 . -1093) T) ((-193 . -1093) T) ((-192 . -1093) T) ((-191 . -1093) T) ((-190 . -1093) T) ((-189 . -1093) T) ((-188 . -1093) T) ((-187 . -1093) T) ((-186 . -1093) T) ((-233 . -105) 75542) ((-170 . -40) 75520) ((-170 . -98) 75498) ((-857 . -138) T) ((-645 . -1039) 75394) ((-494 . -1056) 75324) ((-1130 . -39) T) ((-1106 . -1093) 75114) ((-1080 . -105) T) ((-663 . -500) 75098) ((-78 . -1199) T) ((-109 . -609) 75080) ((-1275 . -609) 75062) ((-384 . -609) 75044) ((-576 . -1188) T) ((-576 . -1185) T) ((-723 . -43) 74893) ((-535 . -609) 74875) ((-529 . -304) 74813) ((-510 . -609) 74795) ((-510 . -610) 74777) ((-1155 . -1139) NIL) ((-1029 . -1068) 74746) ((-1029 . -1093) T) ((-1006 . -105) T) ((-974 . -105) T) ((-912 . -105) T) ((-890 . -1039) 74723) ((-1130 . -718) T) ((-1005 . -638) 74668) ((-482 . -1093) T) ((-469 . -1093) T) ((-586 . -23) T) ((-576 . -40) T) ((-576 . -98) T) ((-430 . -105) T) ((-1061 . -222) 74614) ((-1163 . -43) 74511) ((-855 . -718) T) ((-685 . -918) T) ((-521 . -25) T) ((-517 . -21) T) ((-517 . -25) T) ((-1162 . -43) 74352) ((-338 . -1049) T) ((-1155 . -43) 74148) ((-1075 . -173) T) ((-174 . -1049) T) ((-1117 . -43) 74045) ((-704 . -52) 74022) ((-362 . -173) T) ((-355 . -173) T) ((-528 . -62) 73996) ((-507 . -62) 73946) ((-353 . -1270) 73923) ((-216 . -454) T) ((-315 . -286) 73874) ((-344 . -173) T) ((-174 . -239) T) ((-1215 . -844) 73773) ((-112 . -173) T) ((-868 . -995) 73757) ((-649 . -1105) T) ((-582 . -366) T) ((-582 . -328) 73744) ((-527 . -328) 73721) ((-527 . -366) T) ((-311 . -302) 73700) ((-308 . -302) T) ((-600 . -844) 73679) ((-1106 . -709) 73621) ((-529 . -278) 73605) ((-649 . -23) T) ((-421 . -224) 73589) ((-1200 . -105) T) ((-308 . -1023) NIL) ((-335 . -23) T) ((-237 . -23) T) ((-106 . -1012) 73573) ((-50 . -41) 73552) ((-608 . -1093) T) ((-353 . -371) T) ((-505 . -27) T) ((-233 . -304) 73490) ((-1081 . -1105) T) ((-1274 . -638) 73464) ((-779 . -1105) T) ((-777 . -1105) T) ((-456 . -1105) T) ((-1060 . -454) T) ((-955 . -454) 73415) ((-114 . -1093) T) ((-1081 . -23) T) ((-814 . -1056) T) ((-779 . -23) T) ((-777 . -23) T) ((-493 . -454) 73366) ((-1148 . -524) 73114) ((-384 . -385) 73093) ((-1167 . -414) 73077) ((-464 . -23) T) ((-456 . -23) T) ((-736 . -414) 73061) ((-735 . -297) T) ((-495 . -524) 72994) ((-285 . -286) T) ((-1077 . -609) 72976) ((-410 . -906) 72955) ((-55 . -1105) T) ((-1025 . -918) T) ((-1005 . -718) T) ((-704 . -883) NIL) ((-582 . -1105) T) ((-527 . -1105) T) ((-837 . -638) 72928) ((-1194 . -138) T) ((-1155 . -403) 72880) ((-1006 . -304) NIL) ((-812 . -500) 72864) ((-356 . -918) T) ((-1145 . -39) T) ((-410 . -638) 72816) ((-55 . -23) T) ((-703 . -138) T) ((-704 . -1039) 72696) ((-582 . -23) T) ((-112 . -524) NIL) ((-527 . -23) T) ((-170 . -412) 72667) ((-216 . -1127) T) ((-1128 . -1093) T) ((-1266 . -1265) 72651) ((-692 . -792) T) ((-692 . -789) T) ((-382 . -151) T) ((-1111 . -302) T) ((-1215 . -995) 72621) ((-53 . -918) T) ((-667 . -500) 72605) ((-245 . -1260) 72575) ((-244 . -1260) 72545) ((-1165 . -844) T) ((-1106 . -173) 72524) ((-1111 . -1023) T) ((-1046 . -39) T) ((-831 . -151) 72503) ((-831 . -149) 72482) ((-729 . -111) 72466) ((-608 . -139) T) ((-494 . -1093) 72256) ((-1167 . -1056) T) ((-867 . -454) T) ((-90 . -1199) T) ((-233 . -43) 72226) ((-143 . -111) 72208) ((-925 . -1091) T) ((-704 . -380) 72192) ((-736 . -1056) T) ((-1111 . -551) T) ((-1200 . -304) NIL) ((-393 . -1055) 72176) ((-1274 . -718) T) ((-1263 . -1056) T) ((-1161 . -952) 72145) ((-57 . -609) 72127) ((-1116 . -952) 72094) ((-644 . -414) 72078) ((-1244 . -105) T) ((-1237 . -105) T) ((-614 . -1055) 72062) ((-653 . -25) T) ((-653 . -21) T) ((-1147 . -524) NIL) ((-1216 . -105) T) ((-1201 . -1199) T) ((-393 . -120) 72041) ((-213 . -248) 72025) ((-1210 . -105) T) ((-1053 . -1093) T) ((-1006 . -1139) T) ((-1053 . -1052) 71965) ((-815 . -1093) T) ((-342 . -1208) T) ((-627 . -638) 71949) ((-614 . -120) 71928) ((-603 . -638) 71912) ((-595 . -105) T) ((-586 . -138) T) ((-594 . -105) T) ((-417 . -1093) T) ((-388 . -1093) T) ((-220 . -1093) 71890) ((-637 . -524) 71823) ((-624 . -524) 71631) ((-830 . -1049) 71610) ((-635 . -155) 71594) ((-342 . -559) T) ((-704 . -897) 71537) ((-552 . -222) 71487) ((-1244 . -280) 71453) ((-1237 . -280) 71419) ((-1075 . -286) 71370) ((-498 . -842) T) ((-214 . -1105) T) ((-1216 . -280) 71336) ((-1210 . -280) 71302) ((-1006 . -43) 71252) ((-209 . -842) T) ((-1194 . -503) 71218) ((-912 . -43) 71170) ((-837 . -791) 71149) ((-837 . -788) 71128) ((-837 . -718) 71107) ((-362 . -286) T) ((-355 . -286) T) ((-344 . -286) T) ((-170 . -454) 71038) ((-430 . -43) 71022) ((-112 . -286) T) ((-214 . -23) T) ((-410 . -791) 71001) ((-410 . -788) 70980) ((-410 . -718) T) ((-510 . -284) 70955) ((-490 . -1055) 70920) ((-649 . -138) T) ((-1106 . -524) 70853) ((-335 . -138) T) ((-170 . -405) 70832) ((-237 . -138) T) ((-494 . -709) 70774) ((-812 . -282) 70751) ((-490 . -120) 70700) ((-33 . -37) 70684) ((-644 . -1056) T) ((-1225 . -454) 70615) ((-1081 . -138) T) ((-258 . -844) 70594) ((-243 . -844) 70573) ((-779 . -138) T) ((-777 . -138) T) ((-576 . -454) T) ((-1053 . -709) 70515) ((-614 . -1049) T) ((-1029 . -524) 70448) ((-464 . -138) T) ((-456 . -138) T) ((-50 . -1093) T) ((-388 . -709) 70418) ((-814 . -1093) T) ((-482 . -524) 70351) ((-469 . -524) 70284) ((-455 . -370) 70254) ((-50 . -606) 70233) ((-311 . -297) T) ((-663 . -609) 70195) ((-64 . -844) 70174) ((-1216 . -304) 70059) ((-1006 . -403) 70041) ((-812 . -602) 70018) ((-526 . -844) 69997) ((-506 . -844) 69976) ((-45 . -1208) T) ((-1001 . -1039) 69872) ((-55 . -138) T) ((-582 . -138) T) ((-527 . -138) T) ((-289 . -638) 69732) ((-342 . -328) 69709) ((-342 . -366) T) ((-320 . -321) 69686) ((-315 . -282) 69671) ((-45 . -559) T) ((-382 . -1185) T) ((-382 . -1188) T) ((-1037 . -1176) 69646) ((-1173 . -228) 69596) ((-1155 . -224) 69548) ((-1037 . -111) 69494) ((-329 . -1093) T) ((-382 . -98) T) ((-382 . -40) T) ((-862 . -21) T) ((-862 . -25) T) ((-857 . -25) T) ((-490 . -1049) T) ((-539 . -537) 69438) ((-857 . -21) T) ((-491 . -228) 69388) ((-1148 . -500) 69322) ((-1275 . -1055) 69306) ((-384 . -1055) 69290) ((-490 . -239) T) ((-813 . -105) T) ((-706 . -151) 69269) ((-706 . -149) 69248) ((-495 . -500) 69232) ((-1275 . -120) 69211) ((-496 . -334) 69180) ((-1001 . -380) 69164) ((-522 . -1093) T) ((-494 . -173) 69143) ((-1001 . -337) 69127) ((-416 . -105) T) ((-384 . -120) 69106) ((-276 . -986) 69090) ((-275 . -986) 69074) ((-217 . -39) T) ((-145 . -39) T) ((-1273 . -609) 69056) ((-1271 . -609) 69038) ((-114 . -524) NIL) ((-1161 . -1228) 69022) ((-848 . -846) 69006) ((-1167 . -1093) T) ((-106 . -1199) T) ((-955 . -952) 68967) ((-736 . -1093) T) ((-814 . -709) 68904) ((-1216 . -1139) NIL) ((-493 . -952) 68849) ((-1060 . -147) T) ((-65 . -105) 68827) ((-49 . -609) 68809) ((-83 . -609) 68791) ((-353 . -638) 68736) ((-1263 . -1093) T) ((-521 . -844) T) ((-342 . -1105) T) ((-290 . -1093) T) ((-1001 . -897) 68695) ((-290 . -606) 68674) ((-1244 . -43) 68571) ((-1237 . -43) 68412) ((-538 . -1091) T) ((-1216 . -43) 68208) ((-498 . -1056) T) ((-1210 . -43) 68105) ((-209 . -1056) T) ((-342 . -23) T) ((-156 . -609) 68087) ((-830 . -792) 68066) ((-830 . -789) 68045) ((-735 . -918) 68024) ((-595 . -43) 67997) ((-594 . -43) 67894) ((-866 . -559) T) ((-214 . -138) T) ((-315 . -1004) 67860) ((-84 . -609) 67842) ((-704 . -302) 67821) ((-289 . -718) 67723) ((-821 . -105) T) ((-854 . -838) T) ((-289 . -479) 67702) ((-1266 . -105) T) ((-45 . -366) T) ((-868 . -151) 67681) ((-33 . -1093) T) ((-868 . -149) 67660) ((-1147 . -500) 67642) ((-1275 . -1049) T) ((-494 . -524) 67575) ((-1134 . -1199) T) ((-967 . -609) 67557) ((-637 . -500) 67541) ((-624 . -500) 67473) ((-812 . -609) 67231) ((-53 . -27) T) ((-1167 . -709) 67128) ((-644 . -1093) T) ((-439 . -367) 67102) ((-736 . -709) 66931) ((-1095 . -105) T) ((-813 . -304) 66918) ((-854 . -1093) T) ((-1271 . -385) 66890) ((-1053 . -524) 66823) ((-1148 . -282) 66799) ((-233 . -224) 66768) ((-1263 . -709) 66738) ((-814 . -173) 66717) ((-220 . -524) 66650) ((-614 . -792) 66629) ((-614 . -789) 66608) ((-1197 . -609) 66555) ((-213 . -1199) T) ((-667 . -609) 66522) ((-1145 . -1012) 66506) ((-353 . -718) T) ((-946 . -105) 66456) ((-1216 . -403) 66408) ((-1106 . -500) 66392) ((-65 . -304) 66330) ((-330 . -105) T) ((-1194 . -21) T) ((-1194 . -25) T) ((-45 . -1105) T) ((-703 . -21) T) ((-619 . -609) 66312) ((-525 . -321) 66291) ((-703 . -25) T) ((-112 . -282) NIL) ((-919 . -1105) T) ((-45 . -23) T) ((-765 . -1105) T) ((-569 . -1208) T) ((-505 . -1208) T) ((-315 . -609) 66273) ((-1006 . -224) 66255) ((-170 . -167) 66239) ((-581 . -559) T) ((-569 . -559) T) ((-505 . -559) T) ((-765 . -23) T) ((-1236 . -151) 66218) ((-1148 . -602) 66194) ((-1236 . -149) 66173) ((-1029 . -500) 66157) ((-1215 . -149) 66082) ((-1215 . -151) 66007) ((-1266 . -1272) 65986) ((-482 . -500) 65970) ((-469 . -500) 65954) ((-532 . -39) T) ((-644 . -709) 65924) ((-653 . -844) 65903) ((-1167 . -173) 65854) ((-368 . -105) T) ((-233 . -231) 65833) ((-245 . -105) T) ((-244 . -105) T) ((-1225 . -952) 65802) ((-113 . -105) T) ((-241 . -844) 65781) ((-813 . -43) 65630) ((-736 . -173) 65521) ((-50 . -524) 65281) ((-1147 . -282) 65256) ((-206 . -1093) T) ((-1138 . -1093) T) ((-923 . -105) T) ((-1138 . -606) 65235) ((-586 . -25) T) ((-586 . -21) T) ((-1095 . -304) 65173) ((-966 . -414) 65157) ((-690 . -1208) T) ((-624 . -282) 65132) ((-1081 . -631) 65080) ((-779 . -631) 65028) ((-777 . -631) 64976) ((-342 . -138) T) ((-285 . -609) 64958) ((-923 . -922) 64930) ((-690 . -559) T) ((-902 . -1093) T) ((-866 . -1105) T) ((-456 . -631) 64878) ((-902 . -900) 64862) ((-859 . -858) T) ((-859 . -860) T) ((-946 . -304) 64800) ((-382 . -454) T) ((-866 . -23) T) ((-498 . -1093) T) ((-859 . -149) T) ((-692 . -638) 64787) ((-859 . -151) 64766) ((-209 . -1093) T) ((-311 . -918) 64745) ((-308 . -918) T) ((-308 . -817) NIL) ((-393 . -712) T) ((-776 . -149) 64724) ((-776 . -151) 64703) ((-125 . -638) 64690) ((-480 . -149) 64669) ((-421 . -414) 64653) ((-480 . -151) 64632) ((-114 . -500) 64614) ((-1159 . -1208) 64593) ((-2 . -609) 64575) ((-1147 . -19) 64557) ((-1159 . -559) 64468) ((-1147 . -602) 64443) ((-649 . -21) T) ((-649 . -25) T) ((-592 . -1132) T) ((-1106 . -282) 64420) ((-335 . -25) T) ((-335 . -21) T) ((-237 . -25) T) ((-237 . -21) T) ((-505 . -366) T) ((-1266 . -43) 64390) ((-1130 . -1199) T) ((-624 . -602) 64365) ((-1081 . -25) T) ((-1081 . -21) T) ((-966 . -1056) T) ((-736 . -524) 64311) ((-535 . -789) T) ((-535 . -792) T) ((-126 . -1208) T) ((-234 . -105) T) ((-616 . -559) T) ((-779 . -25) T) ((-779 . -21) T) ((-777 . -21) T) ((-777 . -25) T) ((-727 . -1056) T) ((-707 . -1056) T) ((-663 . -1055) 64295) ((-464 . -25) T) ((-126 . -559) T) ((-464 . -21) T) ((-456 . -25) T) ((-456 . -21) T) ((-1130 . -1039) 64191) ((-814 . -286) 64170) ((-735 . -433) 64154) ((-820 . -1093) T) ((-663 . -120) 64133) ((-290 . -524) 63893) ((-1273 . -1055) 63877) ((-1271 . -1055) 63861) ((-1236 . -1185) 63827) ((-245 . -304) 63765) ((-244 . -304) 63703) ((-1219 . -105) 63681) ((-1148 . -610) NIL) ((-1148 . -609) 63663) ((-1236 . -1188) 63629) ((-1216 . -224) 63581) ((-1215 . -1185) 63547) ((-1215 . -1188) 63513) ((-1130 . -380) 63497) ((-1111 . -817) T) ((-1111 . -918) T) ((-1106 . -602) 63474) ((-1075 . -610) 63458) ((-539 . -105) T) ((-495 . -609) 63425) ((-812 . -284) 63402) ((-604 . -155) 63349) ((-421 . -1056) T) ((-498 . -709) 63299) ((-494 . -500) 63283) ((-326 . -844) 63262) ((-338 . -638) 63236) ((-55 . -21) T) ((-55 . -25) T) ((-209 . -709) 63186) ((-170 . -716) 63157) ((-174 . -638) 63089) ((-582 . -21) T) ((-582 . -25) T) ((-527 . -25) T) ((-527 . -21) T) ((-481 . -155) 63039) ((-1075 . -609) 63021) ((-1059 . -609) 63003) ((-996 . -105) T) ((-852 . -105) T) ((-796 . -414) 62966) ((-45 . -138) T) ((-690 . -366) T) ((-205 . -892) T) ((-692 . -791) T) ((-692 . -788) T) ((-581 . -1105) T) ((-569 . -1105) T) ((-505 . -1105) T) ((-692 . -718) T) ((-362 . -609) 62948) ((-355 . -609) 62930) ((-344 . -609) 62912) ((-71 . -399) T) ((-71 . -398) T) ((-112 . -610) 62842) ((-112 . -609) 62824) ((-204 . -892) T) ((-960 . -155) 62808) ((-1236 . -98) 62774) ((-765 . -138) T) ((-140 . -718) T) ((-125 . -718) T) ((-1236 . -40) 62740) ((-1053 . -500) 62724) ((-581 . -23) T) ((-569 . -23) T) ((-505 . -23) T) ((-1215 . -98) 62690) ((-1215 . -40) 62656) ((-1161 . -105) T) ((-1116 . -105) T) ((-848 . -105) T) ((-220 . -500) 62640) ((-1273 . -120) 62619) ((-1271 . -120) 62598) ((-49 . -1055) 62582) ((-1225 . -1228) 62566) ((-849 . -846) 62550) ((-1167 . -286) 62529) ((-114 . -282) 62504) ((-1130 . -897) 62463) ((-49 . -120) 62442) ((-736 . -286) 62353) ((-663 . -1049) T) ((-1155 . -842) NIL) ((-1147 . -610) NIL) ((-1147 . -609) 62335) ((-1061 . -606) 62310) ((-1061 . -1093) T) ((-79 . -443) T) ((-79 . -398) T) ((-663 . -226) 62289) ((-156 . -1055) 62273) ((-576 . -556) 62257) ((-357 . -151) 62236) ((-357 . -149) 62187) ((-354 . -151) 62166) ((-694 . -1093) T) ((-354 . -149) 62117) ((-343 . -151) 62096) ((-343 . -149) 62047) ((-258 . -149) 62026) ((-258 . -151) 62005) ((-245 . -43) 61975) ((-243 . -151) 61954) ((-126 . -366) T) ((-243 . -149) 61933) ((-244 . -43) 61903) ((-156 . -120) 61882) ((-1005 . -1039) 61757) ((-924 . -1091) T) ((-685 . -1208) T) ((-796 . -1056) T) ((-690 . -1105) T) ((-1273 . -1049) T) ((-1271 . -1049) T) ((-1159 . -1105) T) ((-1145 . -1199) T) ((-1005 . -380) 61734) ((-907 . -149) T) ((-907 . -151) 61716) ((-866 . -138) T) ((-812 . -1055) 61613) ((-685 . -559) T) ((-690 . -23) T) ((-637 . -609) 61580) ((-637 . -610) 61541) ((-624 . -610) NIL) ((-624 . -609) 61523) ((-498 . -173) T) ((-214 . -21) T) ((-214 . -25) T) ((-209 . -173) T) ((-480 . -1188) 61489) ((-480 . -1185) 61455) ((-271 . -609) 61437) ((-270 . -609) 61419) ((-269 . -609) 61401) ((-268 . -609) 61383) ((-267 . -609) 61365) ((-510 . -641) 61347) ((-266 . -609) 61329) ((-338 . -718) T) ((-265 . -609) 61311) ((-114 . -19) 61293) ((-174 . -718) T) ((-510 . -376) 61275) ((-205 . -609) 61257) ((-529 . -1137) 61241) ((-510 . -133) T) ((-114 . -602) 61216) ((-204 . -609) 61198) ((-480 . -40) 61164) ((-480 . -98) 61130) ((-202 . -609) 61112) ((-201 . -609) 61094) ((-200 . -609) 61076) ((-199 . -609) 61058) ((-196 . -609) 61040) ((-195 . -609) 61022) ((-194 . -609) 61004) ((-193 . -609) 60986) ((-192 . -609) 60968) ((-191 . -609) 60950) ((-190 . -609) 60932) ((-542 . -1096) 60884) ((-189 . -609) 60866) ((-188 . -609) 60848) ((-50 . -500) 60785) ((-187 . -609) 60767) ((-186 . -609) 60749) ((-1159 . -23) T) ((-812 . -120) 60639) ((-635 . -105) 60589) ((-494 . -282) 60566) ((-1106 . -609) 60324) ((-1094 . -1093) T) ((-1046 . -1199) T) ((-616 . -1105) T) ((-1274 . -1039) 60308) ((-1161 . -304) 60295) ((-1116 . -304) 60282) ((-126 . -1105) T) ((-816 . -105) T) ((-616 . -23) T) ((-1138 . -524) 60042) ((-389 . -105) T) ((-322 . -105) T) ((-1005 . -897) 59994) ((-966 . -1093) T) ((-156 . -1049) T) ((-126 . -23) T) ((-723 . -414) 59978) ((-727 . -1093) T) ((-707 . -1093) T) ((-694 . -139) T) ((-455 . -1093) T) ((-311 . -433) 59962) ((-410 . -1199) T) ((-1029 . -610) 59923) ((-1029 . -609) 59885) ((-1025 . -1208) T) ((-216 . -105) T) ((-234 . -43) 59831) ((-813 . -224) 59815) ((-1025 . -559) T) ((-830 . -638) 59788) ((-356 . -1208) T) ((-482 . -609) 59750) ((-482 . -610) 59711) ((-469 . -610) 59672) ((-469 . -609) 59634) ((-410 . -881) 59618) ((-315 . -1055) 59453) ((-410 . -883) 59378) ((-837 . -1039) 59274) ((-498 . -524) NIL) ((-494 . -602) 59251) ((-356 . -559) T) ((-209 . -524) NIL) ((-868 . -454) T) ((-421 . -1093) T) ((-410 . -1039) 59115) ((-315 . -120) 58929) ((-685 . -366) T) ((-216 . -280) T) ((-53 . -1208) T) ((-812 . -1049) 58859) ((-581 . -138) T) ((-569 . -138) T) ((-505 . -138) T) ((-53 . -559) T) ((-1148 . -284) 58835) ((-1161 . -1139) 58813) ((-311 . -27) 58792) ((-1060 . -105) T) ((-812 . -226) 58744) ((-233 . -842) 58723) ((-955 . -105) T) ((-705 . -105) T) ((-290 . -500) 58660) ((-493 . -105) T) ((-723 . -1056) T) ((-608 . -609) 58642) ((-608 . -610) 58503) ((-410 . -380) 58487) ((-410 . -337) 58471) ((-1161 . -43) 58300) ((-1116 . -43) 58149) ((-848 . -43) 58119) ((-393 . -638) 58103) ((-635 . -304) 58041) ((-966 . -709) 57938) ((-727 . -709) 57908) ((-213 . -111) 57892) ((-50 . -282) 57817) ((-614 . -638) 57791) ((-306 . -1093) T) ((-285 . -1055) 57778) ((-114 . -609) 57760) ((-114 . -610) 57742) ((-455 . -709) 57712) ((-813 . -247) 57651) ((-681 . -1093) 57629) ((-552 . -1093) T) ((-1163 . -1056) T) ((-1162 . -1056) T) ((-285 . -120) 57614) ((-1155 . -1056) T) ((-1117 . -1056) T) ((-552 . -606) 57593) ((-1006 . -842) T) ((-220 . -679) 57551) ((-685 . -1105) T) ((-1194 . -732) 57527) ((-969 . -973) 57504) ((-315 . -1049) T) ((-342 . -25) T) ((-342 . -21) T) ((-410 . -897) 57463) ((-73 . -1199) T) ((-830 . -791) 57442) ((-421 . -709) 57416) ((-796 . -1093) T) ((-830 . -788) 57395) ((-690 . -138) T) ((-704 . -918) 57374) ((-685 . -23) T) ((-498 . -286) T) ((-830 . -718) 57353) ((-315 . -226) 57305) ((-315 . -239) 57284) ((-209 . -286) T) ((-1025 . -366) T) ((-1236 . -454) 57263) ((-1215 . -454) 57242) ((-356 . -328) 57219) ((-356 . -366) T) ((-1128 . -609) 57201) ((-50 . -1240) 57151) ((-867 . -105) T) ((-635 . -278) 57135) ((-690 . -1058) T) ((-490 . -638) 57100) ((-474 . -1093) T) ((-50 . -602) 57025) ((-1147 . -284) 57000) ((-1159 . -138) T) ((-45 . -631) 56934) ((-53 . -366) T) ((-1099 . -609) 56916) ((-1081 . -844) 56895) ((-624 . -284) 56870) ((-1202 . -1093) T) ((-955 . -304) 56857) ((-779 . -844) 56836) ((-777 . -844) 56815) ((-456 . -844) 56794) ((-494 . -609) 56552) ((-233 . -414) 56521) ((-217 . -1199) T) ((-145 . -1199) T) ((-219 . -155) 56503) ((-146 . -155) 56478) ((-70 . -1199) T) ((-736 . -282) 56405) ((-616 . -138) T) ((-493 . -304) 56392) ((-1061 . -524) 56200) ((-285 . -1049) T) ((-126 . -138) T) ((-455 . -755) T) ((-966 . -173) 56151) ((-1154 . -1093) T) ((-1106 . -284) 56128) ((-1075 . -1055) 56038) ((-614 . -791) 56017) ((-592 . -1093) T) ((-614 . -788) 55996) ((-614 . -718) T) ((-290 . -282) 55975) ((-289 . -1199) T) ((-1053 . -609) 55937) ((-1053 . -610) 55898) ((-1025 . -1105) T) ((-170 . -105) T) ((-272 . -844) T) ((-1095 . -222) 55882) ((-815 . -609) 55864) ((-1075 . -120) 55753) ((-1005 . -302) T) ((-859 . -454) T) ((-796 . -709) 55737) ((-362 . -1055) 55689) ((-356 . -1105) T) ((-355 . -1055) 55641) ((-417 . -609) 55623) ((-388 . -609) 55605) ((-344 . -1055) 55557) ((-220 . -609) 55524) ((-1025 . -23) T) ((-776 . -454) T) ((-112 . -1055) 55474) ((-895 . -105) T) ((-835 . -105) T) ((-805 . -105) T) ((-763 . -105) T) ((-669 . -105) T) ((-480 . -454) 55453) ((-421 . -173) T) ((-362 . -120) 55384) ((-355 . -120) 55315) ((-344 . -120) 55246) ((-245 . -224) 55215) ((-244 . -224) 55184) ((-356 . -23) T) ((-76 . -1199) T) ((-216 . -43) 55149) ((-112 . -120) 55076) ((-45 . -25) T) ((-45 . -21) T) ((-663 . -712) T) ((-170 . -280) 55054) ((-859 . -405) T) ((-53 . -1105) T) ((-919 . -25) T) ((-765 . -25) T) ((-1138 . -500) 54991) ((-496 . -1093) T) ((-1275 . -638) 54965) ((-1225 . -105) T) ((-849 . -105) T) ((-233 . -1056) 54895) ((-1060 . -1139) T) ((-967 . -789) 54848) ((-384 . -638) 54832) ((-53 . -23) T) ((-967 . -792) 54785) ((-812 . -792) 54736) ((-812 . -789) 54687) ((-290 . -602) 54666) ((-490 . -718) T) ((-1159 . -503) 54644) ((-576 . -105) T) ((-1080 . -1056) T) ((-867 . -304) 54588) ((-644 . -282) 54567) ((-121 . -652) T) ((-81 . -1199) T) ((-1060 . -43) 54554) ((-657 . -377) 54533) ((-955 . -43) 54382) ((-723 . -1093) T) ((-493 . -43) 54231) ((-91 . -1199) T) ((-576 . -280) T) ((-1216 . -842) NIL) ((-1163 . -1093) T) ((-1162 . -1093) T) ((-1155 . -1093) T) ((-353 . -1039) 54208) ((-1075 . -1049) T) ((-1006 . -1056) T) ((-50 . -609) 54190) ((-50 . -610) NIL) ((-912 . -1056) T) ((-814 . -609) 54172) ((-1135 . -105) 54150) ((-1075 . -239) 54101) ((-430 . -1056) T) ((-362 . -1049) T) ((-355 . -1049) T) ((-368 . -367) 54078) ((-344 . -1049) T) ((-245 . -231) 54057) ((-244 . -231) 54036) ((-113 . -367) 54010) ((-1075 . -226) 53935) ((-1117 . -1093) T) ((-289 . -897) 53894) ((-112 . -1049) T) ((-735 . -1208) 53873) ((-685 . -138) T) ((-421 . -524) 53715) ((-362 . -226) 53694) ((-362 . -239) T) ((-49 . -712) T) ((-355 . -226) 53673) ((-355 . -239) T) ((-344 . -226) 53652) ((-344 . -239) T) ((-735 . -559) T) ((-170 . -304) 53617) ((-112 . -239) T) ((-112 . -226) T) ((-315 . -789) T) ((-866 . -21) T) ((-866 . -25) T) ((-410 . -302) T) ((-510 . -39) T) ((-114 . -284) 53592) ((-1106 . -1055) 53489) ((-867 . -1139) NIL) ((-862 . -861) T) ((-862 . -860) T) ((-857 . -856) T) ((-857 . -860) T) ((-857 . -861) T) ((-329 . -609) 53471) ((-410 . -1023) 53449) ((-1106 . -120) 53339) ((-862 . -149) 53309) ((-862 . -151) T) ((-857 . -151) T) ((-857 . -149) 53279) ((-439 . -1093) T) ((-1275 . -718) T) ((-68 . -609) 53261) ((-867 . -43) 53206) ((-532 . -1199) T) ((-600 . -155) 53190) ((-522 . -609) 53172) ((-1225 . -304) 53159) ((-723 . -709) 53008) ((-535 . -790) T) ((-535 . -791) T) ((-569 . -631) 52990) ((-505 . -631) 52950) ((-357 . -454) T) ((-354 . -454) T) ((-343 . -454) T) ((-258 . -454) 52901) ((-529 . -1093) 52851) ((-243 . -454) 52802) ((-1138 . -282) 52781) ((-1167 . -609) 52763) ((-681 . -524) 52696) ((-966 . -286) 52675) ((-552 . -524) 52435) ((-736 . -610) NIL) ((-736 . -609) 52417) ((-1263 . -609) 52399) ((-1161 . -224) 52383) ((-170 . -1139) 52362) ((-1248 . -559) 52341) ((-1163 . -709) 52238) ((-1162 . -709) 52079) ((-889 . -105) T) ((-1155 . -709) 51875) ((-1117 . -709) 51772) ((-1145 . -666) 51756) ((-357 . -405) 51707) ((-354 . -405) 51658) ((-343 . -405) 51609) ((-1025 . -138) T) ((-796 . -524) 51521) ((-290 . -610) NIL) ((-290 . -609) 51503) ((-907 . -454) T) ((-967 . -371) 51456) ((-812 . -371) 51435) ((-520 . -519) 51414) ((-518 . -519) 51393) ((-498 . -282) NIL) ((-494 . -284) 51370) ((-421 . -286) T) ((-356 . -138) T) ((-209 . -282) NIL) ((-685 . -503) NIL) ((-101 . -1105) T) ((-170 . -43) 51198) ((-1238 . -559) T) ((-1236 . -976) 51160) ((-1135 . -304) 51098) ((-1215 . -976) 51067) ((-907 . -405) T) ((-1106 . -1049) 50997) ((-1138 . -602) 50976) ((-735 . -366) 50955) ((-776 . -155) 50907) ((-121 . -844) T) ((-1061 . -500) 50839) ((-581 . -21) T) ((-581 . -25) T) ((-569 . -21) T) ((-569 . -25) T) ((-505 . -25) T) ((-505 . -21) T) ((-1225 . -1139) 50817) ((-1106 . -226) 50769) ((-53 . -138) T) ((-33 . -609) 50751) ((-970 . -1091) T) ((-1181 . -105) T) ((-233 . -1093) 50541) ((-867 . -403) 50518) ((-1082 . -105) T) ((-1071 . -105) T) ((-1202 . -524) NIL) ((-604 . -105) T) ((-481 . -105) T) ((-1225 . -43) 50347) ((-1080 . -1093) T) ((-849 . -43) 50317) ((-1159 . -631) 50265) ((-723 . -173) 50176) ((-644 . -609) 50158) ((-576 . -43) 50145) ((-960 . -105) 50095) ((-854 . -609) 50077) ((-854 . -610) 49999) ((-592 . -524) NIL) ((-1244 . -1056) T) ((-1237 . -1056) T) ((-1216 . -1056) T) ((-1210 . -1056) T) ((-1279 . -1105) T) ((-1194 . -151) 49978) ((-1163 . -173) 49929) ((-595 . -1056) T) ((-594 . -1056) T) ((-1162 . -173) 49860) ((-1155 . -173) 49791) ((-1117 . -173) 49742) ((-1006 . -1093) T) ((-974 . -1093) T) ((-912 . -1093) T) ((-796 . -794) 49726) ((-776 . -642) 49710) ((-776 . -976) 49679) ((-735 . -1105) T) ((-690 . -25) T) ((-690 . -21) T) ((-126 . -631) 49656) ((-692 . -883) 49638) ((-430 . -1093) T) ((-311 . -1208) 49617) ((-308 . -1208) T) ((-170 . -403) 49601) ((-1194 . -149) 49580) ((-480 . -976) 49542) ((-77 . -609) 49524) ((-735 . -23) T) ((-112 . -792) T) ((-112 . -789) T) ((-311 . -559) 49503) ((-692 . -1039) 49485) ((-308 . -559) T) ((-1279 . -23) T) ((-140 . -1039) 49467) ((-494 . -1055) 49364) ((-50 . -284) 49289) ((-1159 . -25) T) ((-1159 . -21) T) ((-233 . -709) 49231) ((-494 . -120) 49121) ((-1085 . -105) 49099) ((-1036 . -105) T) ((-1080 . -709) 49076) ((-635 . -825) 49055) ((-1200 . -1093) T) ((-723 . -524) 48993) ((-1053 . -1055) 48977) ((-616 . -21) T) ((-616 . -25) T) ((-1061 . -282) 48952) ((-364 . -105) T) ((-320 . -105) T) ((-663 . -638) 48926) ((-388 . -1055) 48910) ((-1053 . -120) 48889) ((-813 . -414) 48873) ((-126 . -25) T) ((-94 . -609) 48855) ((-126 . -21) T) ((-604 . -304) 48650) ((-481 . -304) 48454) ((-1248 . -1105) T) ((-1138 . -610) NIL) ((-388 . -120) 48433) ((-382 . -105) T) ((-206 . -609) 48415) ((-1138 . -609) 48397) ((-1006 . -709) 48347) ((-1155 . -524) 48081) ((-912 . -709) 48033) ((-1117 . -524) 48003) ((-353 . -302) T) ((-1248 . -23) T) ((-1173 . -155) 47953) ((-960 . -304) 47891) ((-831 . -105) T) ((-430 . -709) 47875) ((-216 . -825) T) ((-824 . -105) T) ((-822 . -105) T) ((-491 . -155) 47825) ((-1236 . -1235) 47804) ((-1111 . -1208) T) ((-338 . -1039) 47771) ((-1236 . -1230) 47741) ((-1236 . -1233) 47725) ((-1215 . -1214) 47704) ((-85 . -609) 47686) ((-902 . -609) 47668) ((-1215 . -1230) 47645) ((-1111 . -559) T) ((-919 . -844) T) ((-765 . -844) T) ((-498 . -610) 47575) ((-498 . -609) 47557) ((-382 . -280) T) ((-664 . -844) T) ((-1215 . -1212) 47541) ((-1238 . -1105) T) ((-209 . -610) 47471) ((-209 . -609) 47453) ((-1061 . -602) 47428) ((-64 . -155) 47412) ((-526 . -155) 47396) ((-506 . -155) 47380) ((-362 . -1270) 47364) ((-355 . -1270) 47348) ((-344 . -1270) 47332) ((-311 . -366) 47311) ((-308 . -366) T) ((-494 . -1049) 47241) ((-685 . -631) 47223) ((-1273 . -638) 47197) ((-1271 . -638) 47171) ((-1238 . -23) T) ((-681 . -500) 47155) ((-69 . -609) 47137) ((-1106 . -792) 47088) ((-1106 . -789) 47039) ((-552 . -500) 46976) ((-663 . -39) T) ((-494 . -226) 46928) ((-290 . -284) 46907) ((-233 . -173) 46886) ((-859 . -1260) 46870) ((-813 . -1056) T) ((-49 . -638) 46828) ((-1075 . -371) 46779) ((-723 . -286) 46710) ((-529 . -524) 46643) ((-814 . -1055) 46594) ((-1081 . -149) 46573) ((-362 . -371) 46552) ((-355 . -371) 46531) ((-344 . -371) 46510) ((-1081 . -151) 46489) ((-867 . -224) 46466) ((-814 . -120) 46401) ((-779 . -149) 46380) ((-779 . -151) 46359) ((-258 . -952) 46326) ((-245 . -842) 46305) ((-243 . -952) 46250) ((-244 . -842) 46229) ((-777 . -149) 46208) ((-777 . -151) 46187) ((-156 . -638) 46161) ((-456 . -151) 46140) ((-456 . -149) 46119) ((-663 . -718) T) ((-820 . -609) 46101) ((-1244 . -1093) T) ((-1237 . -1093) T) ((-1216 . -1093) T) ((-1210 . -1093) T) ((-1194 . -1188) 46067) ((-1194 . -1185) 46033) ((-1163 . -286) 46012) ((-1162 . -286) 45963) ((-1155 . -286) 45914) ((-1117 . -286) 45893) ((-338 . -897) 45874) ((-1006 . -173) T) ((-912 . -173) T) ((-776 . -1230) 45851) ((-595 . -1093) T) ((-594 . -1093) T) ((-685 . -21) T) ((-685 . -25) T) ((-480 . -1233) 45835) ((-480 . -1230) 45805) ((-421 . -282) 45733) ((-311 . -1105) 45582) ((-308 . -1105) T) ((-1194 . -40) 45548) ((-1194 . -98) 45514) ((-89 . -609) 45496) ((-96 . -105) 45474) ((-1279 . -138) T) ((-1202 . -500) 45456) ((-735 . -138) T) ((-582 . -149) T) ((-582 . -151) 45438) ((-527 . -151) 45420) ((-527 . -149) T) ((-311 . -23) 45272) ((-45 . -341) 45246) ((-308 . -23) T) ((-1147 . -641) 45228) ((-812 . -638) 45076) ((-1266 . -1056) T) ((-1147 . -376) 45058) ((-170 . -224) 45042) ((-592 . -500) 45024) ((-233 . -524) 44957) ((-1273 . -718) T) ((-1271 . -718) T) ((-1167 . -1055) 44840) ((-736 . -1055) 44663) ((-1167 . -120) 44525) ((-814 . -1049) T) ((-736 . -120) 44327) ((-525 . -105) T) ((-53 . -631) 44287) ((-520 . -105) T) ((-518 . -105) T) ((-1263 . -1055) 44257) ((-1036 . -43) 44241) ((-814 . -226) T) ((-814 . -239) 44220) ((-552 . -282) 44199) ((-1263 . -120) 44164) ((-1225 . -224) 44148) ((-1244 . -709) 44045) ((-1237 . -709) 43886) ((-1061 . -610) NIL) ((-1061 . -609) 43868) ((-1216 . -709) 43664) ((-1210 . -709) 43561) ((-1005 . -918) T) ((-694 . -609) 43530) ((-156 . -718) T) ((-1248 . -138) T) ((-1204 . -844) T) ((-1106 . -371) 43509) ((-1006 . -524) NIL) ((-245 . -414) 43478) ((-244 . -414) 43447) ((-1025 . -25) T) ((-1025 . -21) T) ((-595 . -709) 43420) ((-594 . -709) 43317) ((-796 . -282) 43275) ((-136 . -105) 43253) ((-830 . -1039) 43149) ((-170 . -825) 43128) ((-315 . -638) 43025) ((-812 . -39) T) ((-706 . -105) T) ((-1111 . -1105) T) ((-1028 . -1199) T) ((-382 . -43) 42990) ((-356 . -25) T) ((-356 . -21) T) ((-219 . -105) T) ((-163 . -105) T) ((-159 . -105) T) ((-146 . -105) T) ((-357 . -1260) 42974) ((-354 . -1260) 42958) ((-343 . -1260) 42942) ((-862 . -454) T) ((-170 . -351) 42921) ((-569 . -844) T) ((-505 . -844) T) ((-857 . -454) T) ((-1111 . -23) T) ((-92 . -609) 42903) ((-692 . -302) T) ((-831 . -43) 42873) ((-824 . -43) 42843) ((-1238 . -138) T) ((-1138 . -284) 42822) ((-967 . -718) 42721) ((-967 . -790) 42674) ((-967 . -791) 42627) ((-812 . -788) 42606) ((-125 . -302) T) ((-96 . -304) 42544) ((-667 . -39) T) ((-552 . -602) 42523) ((-53 . -25) T) ((-53 . -21) T) ((-812 . -791) 42474) ((-812 . -790) 42453) ((-692 . -1023) T) ((-644 . -1055) 42437) ((-967 . -479) 42390) ((-812 . -718) 42316) ((-907 . -1260) 42303) ((-237 . -321) 42280) ((-862 . -405) 42250) ((-494 . -792) 42201) ((-494 . -789) 42152) ((-857 . -405) 42122) ((-1167 . -1049) T) ((-1200 . -524) NIL) ((-736 . -1049) T) ((-644 . -120) 42101) ((-1167 . -325) 42078) ((-1186 . -105) 42056) ((-1094 . -609) 42038) ((-692 . -551) T) ((-736 . -325) 42015) ((-813 . -1093) T) ((-736 . -226) T) ((-1263 . -1049) T) ((-416 . -1093) T) ((-245 . -1056) 41945) ((-244 . -1056) 41875) ((-285 . -638) 41862) ((-592 . -282) 41837) ((-681 . -679) 41795) ((-1244 . -173) 41746) ((-966 . -609) 41728) ((-868 . -105) T) ((-727 . -609) 41710) ((-707 . -609) 41692) ((-1237 . -173) 41623) ((-1216 . -173) 41554) ((-1210 . -173) 41505) ((-690 . -844) T) ((-1006 . -286) T) ((-455 . -609) 41487) ((-619 . -718) T) ((-65 . -1093) 41465) ((-241 . -155) 41449) ((-912 . -286) T) ((-1025 . -1014) T) ((-619 . -479) T) ((-704 . -1208) 41428) ((-1248 . -503) 41394) ((-595 . -173) 41373) ((-594 . -173) 41324) ((-1253 . -844) 41303) ((-704 . -559) 41214) ((-410 . -918) T) ((-410 . -817) 41193) ((-315 . -791) T) ((-315 . -718) T) ((-421 . -609) 41175) ((-421 . -610) 41076) ((-635 . -1137) 41060) ((-114 . -641) 41042) ((-136 . -304) 40980) ((-114 . -376) 40962) ((-174 . -302) T) ((-401 . -1199) T) ((-311 . -138) 40833) ((-308 . -138) T) ((-74 . -398) T) ((-114 . -133) T) ((-1159 . -844) 40812) ((-529 . -500) 40796) ((-645 . -1105) T) ((-592 . -19) 40778) ((-219 . -304) NIL) ((-66 . -443) T) ((-146 . -304) NIL) ((-66 . -398) T) ((-821 . -1093) T) ((-592 . -602) 40753) ((-490 . -1039) 40713) ((-644 . -1049) T) ((-645 . -23) T) ((-1266 . -1093) T) ((-813 . -709) 40562) ((-1202 . -679) 40528) ((-130 . -844) T) ((-126 . -844) NIL) ((-1161 . -414) 40512) ((-1116 . -414) 40496) ((-848 . -414) 40480) ((-234 . -1056) T) ((-1236 . -105) T) ((-1216 . -524) 40214) ((-1186 . -304) 40152) ((-306 . -609) 40134) ((-1215 . -105) T) ((-1095 . -1093) T) ((-1163 . -282) 40119) ((-1162 . -282) 40104) ((-285 . -718) T) ((-112 . -906) NIL) ((-681 . -609) 40071) ((-681 . -610) 40032) ((-1075 . -638) 39942) ((-599 . -609) 39924) ((-552 . -610) NIL) ((-552 . -609) 39906) ((-1155 . -282) 39754) ((-498 . -1055) 39704) ((-703 . -454) T) ((-521 . -519) 39683) ((-517 . -519) 39662) ((-209 . -1055) 39612) ((-362 . -638) 39564) ((-355 . -638) 39516) ((-216 . -842) T) ((-344 . -638) 39468) ((-600 . -105) 39418) ((-494 . -371) 39397) ((-112 . -638) 39347) ((-498 . -120) 39274) ((-233 . -500) 39258) ((-342 . -151) 39240) ((-342 . -149) T) ((-170 . -373) 39211) ((-946 . -1251) 39195) ((-209 . -120) 39122) ((-868 . -304) 39087) ((-946 . -1093) 39037) ((-796 . -610) 38998) ((-796 . -609) 38980) ((-710 . -105) T) ((-330 . -1093) T) ((-1111 . -138) T) ((-706 . -43) 38950) ((-311 . -503) 38929) ((-510 . -1199) T) ((-1236 . -280) 38895) ((-1215 . -280) 38861) ((-326 . -155) 38845) ((-1061 . -284) 38820) ((-1266 . -709) 38790) ((-1148 . -39) T) ((-1275 . -1039) 38767) ((-735 . -631) 38673) ((-474 . -609) 38655) ((-495 . -39) T) ((-384 . -1039) 38639) ((-1161 . -1056) T) ((-1116 . -1056) T) ((-848 . -1056) T) ((-1060 . -842) T) ((-813 . -173) 38550) ((-529 . -282) 38527) ((-1202 . -609) 38509) ((-126 . -995) 38486) ((-859 . -105) T) ((-776 . -105) T) ((-1244 . -286) 38465) ((-1237 . -286) 38416) ((-1181 . -367) 38390) ((-1082 . -263) 38374) ((-480 . -105) T) ((-368 . -1093) T) ((-245 . -1093) T) ((-244 . -1093) T) ((-1216 . -286) 38325) ((-113 . -1093) T) ((-1210 . -286) 38304) ((-868 . -1139) 38282) ((-1163 . -1004) 38248) ((-604 . -367) 38188) ((-1162 . -1004) 38154) ((-604 . -222) 38101) ((-592 . -609) 38083) ((-592 . -610) NIL) ((-685 . -844) T) ((-481 . -222) 38033) ((-498 . -1049) T) ((-1155 . -1004) 37999) ((-93 . -442) T) ((-93 . -398) T) ((-209 . -1049) T) ((-1117 . -1004) 37965) ((-34 . -1091) T) ((-923 . -1093) T) ((-1279 . -25) T) ((-1075 . -718) T) ((-704 . -1105) T) ((-595 . -286) 37944) ((-594 . -286) 37923) ((-498 . -239) T) ((-498 . -226) T) ((-1154 . -609) 37905) ((-868 . -43) 37857) ((-209 . -239) T) ((-209 . -226) T) ((-735 . -25) T) ((-735 . -21) T) ((-362 . -718) T) ((-355 . -718) T) ((-344 . -718) T) ((-112 . -791) T) ((-112 . -788) T) ((-529 . -1240) 37841) ((-112 . -718) T) ((-704 . -23) T) ((-1200 . -500) 37823) ((-480 . -280) 37789) ((-1279 . -21) T) ((-1215 . -304) 37728) ((-1165 . -105) T) ((-45 . -149) 37700) ((-45 . -151) 37672) ((-529 . -602) 37649) ((-1106 . -638) 37497) ((-600 . -304) 37435) ((-50 . -641) 37385) ((-50 . -659) 37335) ((-50 . -376) 37285) ((-1147 . -39) T) ((-867 . -842) NIL) ((-645 . -138) T) ((-496 . -609) 37267) ((-233 . -282) 37244) ((-637 . -39) T) ((-624 . -39) T) ((-1081 . -454) 37195) ((-813 . -524) 37060) ((-779 . -454) 36991) ((-777 . -454) 36942) ((-772 . -105) T) ((-456 . -454) 36893) ((-955 . -414) 36877) ((-723 . -609) 36859) ((-245 . -709) 36801) ((-244 . -709) 36743) ((-723 . -610) 36604) ((-493 . -414) 36588) ((-338 . -297) T) ((-234 . -1093) T) ((-353 . -918) T) ((-1002 . -105) 36566) ((-1025 . -844) T) ((-65 . -524) 36499) ((-1248 . -25) T) ((-1248 . -21) T) ((-1215 . -1139) 36451) ((-1006 . -282) NIL) ((-216 . -1056) T) ((-382 . -825) T) ((-1106 . -39) T) ((-776 . -304) 36320) ((-582 . -454) T) ((-527 . -454) T) ((-1219 . -1086) 36304) ((-1219 . -1093) 36282) ((-233 . -602) 36259) ((-1219 . -1088) 36216) ((-1163 . -609) 36198) ((-1162 . -609) 36180) ((-1155 . -609) 36162) ((-1155 . -610) NIL) ((-1117 . -609) 36144) ((-868 . -403) 36128) ((-539 . -1093) T) ((-542 . -105) T) ((-1236 . -43) 35969) ((-1215 . -43) 35783) ((-866 . -151) T) ((-582 . -405) T) ((-53 . -844) T) ((-527 . -405) T) ((-1238 . -21) T) ((-1238 . -25) T) ((-1106 . -788) 35762) ((-1106 . -791) 35713) ((-1106 . -790) 35692) ((-996 . -1093) T) ((-1029 . -39) T) ((-852 . -1093) T) ((-1249 . -105) T) ((-1106 . -718) 35618) ((-657 . -105) T) ((-552 . -284) 35597) ((-1173 . -105) T) ((-482 . -39) T) ((-469 . -39) T) ((-357 . -105) T) ((-354 . -105) T) ((-343 . -105) T) ((-258 . -105) T) ((-243 . -105) T) ((-490 . -302) T) ((-1060 . -1056) T) ((-955 . -1056) T) ((-311 . -631) 35503) ((-308 . -631) 35464) ((-493 . -1056) T) ((-491 . -105) T) ((-439 . -609) 35446) ((-1161 . -1093) T) ((-1116 . -1093) T) ((-848 . -1093) T) ((-1129 . -105) T) ((-813 . -286) 35377) ((-966 . -1055) 35260) ((-490 . -1023) T) ((-727 . -1055) 35230) ((-1135 . -1112) 35214) ((-1095 . -524) 35147) ((-969 . -105) T) ((-455 . -1055) 35117) ((-966 . -120) 34979) ((-862 . -1260) 34954) ((-857 . -1260) 34914) ((-907 . -105) T) ((-859 . -1139) T) ((-727 . -120) 34879) ((-234 . -709) 34825) ((-64 . -105) 34775) ((-529 . -610) 34736) ((-529 . -609) 34675) ((-528 . -105) 34653) ((-526 . -105) 34603) ((-507 . -105) 34581) ((-506 . -105) 34531) ((-455 . -120) 34482) ((-245 . -173) 34461) ((-244 . -173) 34440) ((-421 . -1055) 34414) ((-1194 . -976) 34375) ((-1001 . -1105) T) ((-859 . -43) 34340) ((-776 . -43) 34278) ((-946 . -524) 34211) ((-498 . -792) T) ((-480 . -43) 34052) ((-421 . -120) 34019) ((-498 . -789) T) ((-1002 . -304) 33957) ((-209 . -792) T) ((-209 . -789) T) ((-1001 . -23) T) ((-704 . -138) T) ((-1215 . -403) 33927) ((-311 . -25) 33779) ((-170 . -414) 33763) ((-311 . -21) 33634) ((-308 . -25) T) ((-308 . -21) T) ((-854 . -371) T) ((-114 . -39) T) ((-494 . -638) 33482) ((-867 . -1056) T) ((-592 . -284) 33457) ((-581 . -151) T) ((-569 . -151) T) ((-505 . -151) T) ((-1161 . -709) 33286) ((-1116 . -709) 33135) ((-1111 . -631) 33117) ((-848 . -709) 33087) ((-663 . -1199) T) ((-1 . -105) T) ((-233 . -609) 32845) ((-1225 . -414) 32829) ((-1200 . -679) 32795) ((-1173 . -304) 32599) ((-966 . -1049) T) ((-727 . -1049) T) ((-707 . -1049) T) ((-635 . -1093) 32549) ((-1053 . -638) 32533) ((-849 . -414) 32517) ((-521 . -105) T) ((-517 . -105) T) ((-243 . -304) 32504) ((-258 . -304) 32491) ((-1080 . -609) 32473) ((-966 . -325) 32452) ((-388 . -638) 32436) ((-491 . -304) 32240) ((-245 . -524) 32173) ((-663 . -1039) 32069) ((-244 . -524) 32002) ((-1129 . -304) 31928) ((-234 . -173) 31907) ((-816 . -1093) T) ((-796 . -1055) 31891) ((-1244 . -282) 31876) ((-1237 . -282) 31861) ((-1216 . -282) 31709) ((-1210 . -282) 31694) ((-389 . -1093) T) ((-322 . -1093) T) ((-421 . -1049) T) ((-170 . -1056) T) ((-64 . -304) 31632) ((-796 . -120) 31611) ((-594 . -282) 31596) ((-528 . -304) 31534) ((-526 . -304) 31472) ((-507 . -304) 31410) ((-506 . -304) 31348) ((-421 . -226) 31327) ((-494 . -39) T) ((-1006 . -610) 31257) ((-216 . -1093) T) ((-1006 . -609) 31239) ((-974 . -609) 31221) ((-974 . -610) 31196) ((-912 . -609) 31178) ((-690 . -151) T) ((-692 . -918) T) ((-692 . -817) T) ((-430 . -609) 31160) ((-1111 . -21) T) ((-1111 . -25) T) ((-663 . -380) 31144) ((-125 . -918) T) ((-868 . -224) 31128) ((-83 . -1199) T) ((-136 . -135) 31112) ((-1053 . -39) T) ((-1273 . -1039) 31086) ((-1271 . -1039) 31043) ((-1225 . -1056) T) ((-1159 . -149) 31022) ((-1159 . -151) 31001) ((-849 . -1056) T) ((-494 . -788) 30980) ((-357 . -1139) 30959) ((-354 . -1139) 30938) ((-343 . -1139) 30917) ((-494 . -791) 30868) ((-494 . -790) 30847) ((-220 . -39) T) ((-494 . -718) 30773) ((-65 . -500) 30757) ((-576 . -1056) T) ((-1200 . -609) 30739) ((-1161 . -173) 30630) ((-1116 . -173) 30541) ((-1060 . -1093) T) ((-1081 . -952) 30486) ((-955 . -1093) T) ((-814 . -638) 30437) ((-779 . -952) 30406) ((-705 . -1093) T) ((-777 . -952) 30373) ((-526 . -278) 30357) ((-663 . -897) 30316) ((-493 . -1093) T) ((-456 . -952) 30283) ((-84 . -1199) T) ((-357 . -43) 30248) ((-354 . -43) 30213) ((-343 . -43) 30178) ((-258 . -43) 30027) ((-243 . -43) 29876) ((-907 . -1139) T) ((-616 . -151) 29855) ((-616 . -149) 29834) ((-126 . -151) T) ((-126 . -149) NIL) ((-417 . -718) T) ((-796 . -1049) T) ((-342 . -454) T) ((-1244 . -1004) 29800) ((-1237 . -1004) 29766) ((-1216 . -1004) 29732) ((-1210 . -1004) 29698) ((-907 . -43) 29663) ((-216 . -709) 29628) ((-735 . -844) T) ((-45 . -412) 29600) ((-315 . -52) 29570) ((-1001 . -138) T) ((-812 . -1199) T) ((-174 . -918) T) ((-342 . -405) T) ((-529 . -284) 29547) ((-50 . -39) T) ((-812 . -1039) 29374) ((-736 . -906) 29353) ((-653 . -105) T) ((-645 . -21) T) ((-645 . -25) T) ((-1095 . -500) 29337) ((-1215 . -224) 29307) ((-667 . -1199) T) ((-241 . -105) 29257) ((-867 . -1093) T) ((-1167 . -638) 29182) ((-1060 . -709) 29169) ((-723 . -1055) 29012) ((-1161 . -524) 28958) ((-955 . -709) 28807) ((-1116 . -524) 28759) ((-736 . -638) 28684) ((-493 . -709) 28533) ((-72 . -609) 28515) ((-723 . -120) 28337) ((-946 . -500) 28321) ((-1263 . -638) 28281) ((-1163 . -1055) 28164) ((-814 . -718) T) ((-1162 . -1055) 27999) ((-1155 . -1055) 27789) ((-234 . -286) 27768) ((-1117 . -1055) 27651) ((-1005 . -1208) T) ((-1087 . -105) 27629) ((-812 . -380) 27598) ((-1005 . -559) T) ((-1163 . -120) 27460) ((-1162 . -120) 27274) ((-1155 . -120) 27020) ((-1117 . -120) 26882) ((-1098 . -1096) 26846) ((-382 . -842) T) ((-1244 . -609) 26828) ((-1237 . -609) 26810) ((-1216 . -609) 26792) ((-1216 . -610) NIL) ((-1210 . -609) 26774) ((-233 . -284) 26751) ((-45 . -454) T) ((-216 . -173) T) ((-170 . -1093) T) ((-685 . -151) T) ((-685 . -149) NIL) ((-595 . -609) 26733) ((-594 . -609) 26715) ((-895 . -1093) T) ((-835 . -1093) T) ((-805 . -1093) T) ((-763 . -1093) T) ((-649 . -846) 26699) ((-669 . -1093) T) ((-812 . -897) 26631) ((-1159 . -1185) 26609) ((-1159 . -1188) 26587) ((-45 . -405) NIL) ((-1111 . -652) T) ((-867 . -709) 26532) ((-245 . -500) 26516) ((-244 . -500) 26500) ((-704 . -631) 26448) ((-644 . -638) 26422) ((-290 . -39) T) ((-1159 . -98) 26400) ((-1159 . -40) 26378) ((-723 . -1049) T) ((-582 . -1260) 26365) ((-527 . -1260) 26342) ((-1225 . -1093) T) ((-1161 . -286) 26253) ((-1116 . -286) 26184) ((-1060 . -173) T) ((-849 . -1093) T) ((-955 . -173) 26095) ((-779 . -1228) 26079) ((-635 . -524) 26012) ((-82 . -609) 25994) ((-723 . -325) 25959) ((-1167 . -718) T) ((-576 . -1093) T) ((-493 . -173) 25870) ((-736 . -718) T) ((-241 . -304) 25808) ((-1130 . -1105) T) ((-75 . -609) 25790) ((-1263 . -718) T) ((-1163 . -1049) T) ((-1162 . -1049) T) ((-326 . -105) 25740) ((-1155 . -1049) T) ((-1130 . -23) T) ((-1117 . -1049) T) ((-96 . -1112) 25724) ((-855 . -1105) T) ((-1163 . -226) 25683) ((-1162 . -239) 25662) ((-1162 . -226) 25614) ((-1155 . -226) 25501) ((-1155 . -239) 25480) ((-315 . -897) 25386) ((-862 . -105) T) ((-857 . -105) T) ((-855 . -23) T) ((-170 . -709) 25214) ((-1094 . -371) T) ((-410 . -1208) T) ((-1025 . -151) T) ((-1005 . -366) T) ((-946 . -282) 25191) ((-866 . -454) T) ((-859 . -351) T) ((-311 . -844) T) ((-308 . -844) NIL) ((-871 . -105) T) ((-538 . -537) 25045) ((-704 . -25) T) ((-410 . -559) T) ((-704 . -21) T) ((-356 . -151) 25027) ((-356 . -149) T) ((-1135 . -1093) 25005) ((-455 . -712) T) ((-80 . -609) 24987) ((-123 . -844) T) ((-241 . -278) 24971) ((-233 . -1055) 24868) ((-86 . -609) 24850) ((-727 . -371) 24803) ((-1165 . -825) T) ((-729 . -228) 24787) ((-1225 . -709) 24616) ((-1148 . -1199) T) ((-143 . -228) 24598) ((-233 . -120) 24488) ((-1080 . -1055) 24465) ((-53 . -151) T) ((-867 . -173) T) ((-849 . -709) 24435) ((-495 . -1199) T) ((-955 . -524) 24381) ((-644 . -718) T) ((-576 . -709) 24368) ((-1080 . -120) 24333) ((-1036 . -1056) T) ((-493 . -524) 24271) ((-946 . -19) 24255) ((-946 . -602) 24232) ((-813 . -610) NIL) ((-813 . -609) 24214) ((-1006 . -1055) 24164) ((-416 . -609) 24146) ((-245 . -282) 24123) ((-244 . -282) 24100) ((-498 . -906) NIL) ((-311 . -29) 24070) ((-112 . -1199) T) ((-1005 . -1105) T) ((-209 . -906) NIL) ((-912 . -1055) 24022) ((-1203 . -844) T) ((-1075 . -1039) 23918) ((-1006 . -120) 23845) ((-729 . -686) 23829) ((-258 . -224) 23813) ((-430 . -1055) 23797) ((-382 . -1056) T) ((-1005 . -23) T) ((-912 . -120) 23728) ((-685 . -1188) NIL) ((-498 . -638) 23678) ((-112 . -881) 23660) ((-112 . -883) 23642) ((-685 . -1185) NIL) ((-209 . -638) 23592) ((-362 . -1039) 23576) ((-355 . -1039) 23560) ((-326 . -304) 23498) ((-344 . -1039) 23482) ((-216 . -286) T) ((-430 . -120) 23461) ((-65 . -609) 23428) ((-170 . -173) T) ((-1111 . -844) T) ((-112 . -1039) 23388) ((-889 . -1093) T) ((-831 . -1056) T) ((-824 . -1056) T) ((-685 . -40) NIL) ((-685 . -98) NIL) ((-308 . -995) 23349) ((-581 . -454) T) ((-569 . -454) T) ((-505 . -454) T) ((-410 . -366) T) ((-233 . -1049) 23279) ((-1138 . -39) T) ((-925 . -105) T) ((-490 . -918) T) ((-1001 . -631) 23227) ((-245 . -602) 23204) ((-244 . -602) 23181) ((-1075 . -380) 23165) ((-867 . -524) 23028) ((-233 . -226) 22980) ((-1147 . -1199) T) ((-821 . -609) 22962) ((-970 . -973) 22946) ((-1274 . -1105) T) ((-1266 . -609) 22928) ((-1225 . -173) 22819) ((-112 . -380) 22801) ((-112 . -337) 22783) ((-1060 . -286) T) ((-955 . -286) 22714) ((-796 . -371) 22693) ((-925 . -922) 22672) ((-637 . -1199) T) ((-624 . -1199) T) ((-493 . -286) 22603) ((-576 . -173) T) ((-326 . -278) 22587) ((-1274 . -23) T) ((-1194 . -105) T) ((-1181 . -1093) T) ((-1082 . -1093) T) ((-1071 . -1093) T) ((-88 . -609) 22569) ((-703 . -105) T) ((-357 . -351) 22548) ((-604 . -1093) T) ((-354 . -351) 22527) ((-343 . -351) 22506) ((-1173 . -222) 22456) ((-481 . -1093) T) ((-234 . -282) 22433) ((-258 . -247) 22395) ((-1130 . -138) T) ((-604 . -606) 22371) ((-1075 . -897) 22304) ((-1006 . -1049) T) ((-912 . -1049) T) ((-481 . -606) 22283) ((-1155 . -789) NIL) ((-1155 . -792) NIL) ((-1095 . -610) 22244) ((-491 . -222) 22194) ((-1095 . -609) 22176) ((-1006 . -239) T) ((-1006 . -226) T) ((-430 . -1049) T) ((-960 . -1093) 22126) ((-912 . -239) T) ((-855 . -138) T) ((-690 . -454) T) ((-837 . -1105) 22105) ((-112 . -897) NIL) ((-1194 . -280) 22071) ((-868 . -842) 22050) ((-1106 . -1199) T) ((-902 . -718) T) ((-170 . -524) 21962) ((-1001 . -25) T) ((-902 . -479) T) ((-410 . -1105) T) ((-498 . -791) T) ((-498 . -788) T) ((-907 . -351) T) ((-498 . -718) T) ((-209 . -791) T) ((-209 . -788) T) ((-1001 . -21) T) ((-209 . -718) T) ((-837 . -23) 21914) ((-315 . -302) 21893) ((-1037 . -228) 21839) ((-410 . -23) T) ((-946 . -610) 21800) ((-946 . -609) 21739) ((-635 . -500) 21723) ((-50 . -1012) 21673) ((-862 . -43) 21638) ((-857 . -43) 21603) ((-1159 . -454) 21534) ((-330 . -609) 21516) ((-1106 . -1039) 21343) ((-592 . -641) 21325) ((-592 . -376) 21307) ((-342 . -1260) 21284) ((-1029 . -1199) T) ((-867 . -286) T) ((-1225 . -524) 21230) ((-482 . -1199) T) ((-469 . -1199) T) ((-586 . -105) T) ((-1161 . -282) 21157) ((-616 . -454) 21136) ((-1002 . -997) 21120) ((-1266 . -385) 21092) ((-126 . -454) T) ((-1180 . -105) T) ((-1085 . -1093) 21070) ((-1036 . -1093) T) ((-890 . -844) T) ((-1244 . -1055) 20953) ((-353 . -1208) T) ((-1237 . -1055) 20788) ((-1106 . -380) 20757) ((-1216 . -1055) 20547) ((-1210 . -1055) 20430) ((-1244 . -120) 20292) ((-1237 . -120) 20106) ((-1216 . -120) 19852) ((-1210 . -120) 19714) ((-1194 . -304) 19701) ((-353 . -559) T) ((-368 . -609) 19683) ((-285 . -302) T) ((-595 . -1055) 19656) ((-594 . -1055) 19539) ((-364 . -1093) T) ((-320 . -1093) T) ((-245 . -609) 19500) ((-244 . -609) 19461) ((-1005 . -138) T) ((-113 . -609) 19443) ((-627 . -23) T) ((-685 . -412) 19410) ((-603 . -23) T) ((-649 . -105) T) ((-595 . -120) 19381) ((-594 . -120) 19243) ((-382 . -1093) T) ((-335 . -105) T) ((-170 . -286) 19154) ((-237 . -105) T) ((-1215 . -842) 19107) ((-923 . -609) 19089) ((-706 . -1056) T) ((-1135 . -524) 19022) ((-1106 . -897) 18954) ((-831 . -1093) T) ((-824 . -1093) T) ((-822 . -1093) T) ((-99 . -105) T) ((-148 . -844) T) ((-735 . -151) 18933) ((-735 . -149) 18912) ((-608 . -881) 18896) ((-1204 . -155) 18878) ((-114 . -1199) T) ((-1081 . -105) T) ((-1061 . -39) T) ((-779 . -105) T) ((-777 . -105) T) ((-464 . -105) T) ((-456 . -105) T) ((-233 . -792) 18829) ((-233 . -789) 18780) ((-776 . -1137) 18732) ((-639 . -105) T) ((-1225 . -286) 18643) ((-657 . -626) 18627) ((-635 . -282) 18604) ((-1036 . -709) 18588) ((-576 . -286) T) ((-966 . -638) 18513) ((-1274 . -138) T) ((-727 . -638) 18473) ((-707 . -638) 18460) ((-272 . -105) T) ((-455 . -638) 18390) ((-55 . -105) T) ((-582 . -105) T) ((-538 . -105) T) ((-527 . -105) T) ((-1244 . -1049) T) ((-1237 . -1049) T) ((-1216 . -1049) T) ((-1210 . -1049) T) ((-1244 . -226) 18349) ((-1237 . -239) 18328) ((-320 . -709) 18310) ((-1237 . -226) 18262) ((-1216 . -226) 18149) ((-1216 . -239) 18128) ((-1210 . -226) 18087) ((-1194 . -43) 17984) ((-1006 . -792) T) ((-595 . -1049) T) ((-594 . -1049) T) ((-1006 . -789) T) ((-974 . -792) T) ((-974 . -789) T) ((-234 . -609) 17966) ((-868 . -1056) T) ((-866 . -865) 17950) ((-685 . -454) T) ((-382 . -709) 17915) ((-421 . -638) 17889) ((-704 . -844) 17868) ((-703 . -43) 17833) ((-594 . -226) 17792) ((-45 . -716) 17764) ((-353 . -328) 17741) ((-353 . -366) T) ((-1248 . -149) 17720) ((-1248 . -151) 17699) ((-1075 . -302) 17650) ((-289 . -1105) 17531) ((-1099 . -1199) T) ((-172 . -105) T) ((-1219 . -609) 17498) ((-837 . -138) 17450) ((-635 . -1240) 17434) ((-831 . -709) 17404) ((-824 . -709) 17374) ((-494 . -1199) T) ((-362 . -302) T) ((-355 . -302) T) ((-344 . -302) T) ((-635 . -602) 17351) ((-410 . -138) T) ((-529 . -659) 17335) ((-112 . -302) T) ((-289 . -23) 17218) ((-529 . -641) 17202) ((-685 . -405) NIL) ((-529 . -376) 17186) ((-539 . -609) 17168) ((-96 . -1093) 17146) ((-112 . -1023) T) ((-569 . -147) T) ((-1253 . -155) 17130) ((-494 . -1039) 16957) ((-1238 . -149) 16918) ((-1238 . -151) 16879) ((-1053 . -1199) T) ((-996 . -609) 16861) ((-852 . -609) 16843) ((-813 . -1055) 16686) ((-1081 . -304) 16673) ((-220 . -1199) T) ((-779 . -304) 16660) ((-777 . -304) 16647) ((-813 . -120) 16469) ((-456 . -304) 16456) ((-1161 . -610) NIL) ((-1161 . -609) 16438) ((-1116 . -609) 16420) ((-1116 . -610) 16168) ((-1036 . -173) T) ((-848 . -609) 16150) ((-946 . -284) 16127) ((-604 . -524) 15875) ((-815 . -1039) 15859) ((-481 . -524) 15619) ((-966 . -718) T) ((-727 . -718) T) ((-707 . -718) T) ((-353 . -1105) T) ((-1168 . -609) 15601) ((-214 . -105) T) ((-494 . -380) 15570) ((-525 . -1093) T) ((-520 . -1093) T) ((-518 . -1093) T) ((-796 . -638) 15544) ((-1025 . -454) T) ((-960 . -524) 15477) ((-353 . -23) T) ((-1201 . -844) T) ((-627 . -138) T) ((-603 . -138) T) ((-356 . -454) T) ((-233 . -371) 15456) ((-382 . -173) T) ((-1236 . -1056) T) ((-1215 . -1056) T) ((-216 . -1004) T) ((-968 . -1091) T) ((-690 . -390) T) ((-421 . -718) T) ((-692 . -1208) T) ((-1130 . -631) 15404) ((-1266 . -1055) 15388) ((-581 . -865) 15372) ((-1148 . -1176) 15348) ((-706 . -1093) T) ((-692 . -559) T) ((-136 . -1093) 15326) ((-494 . -897) 15258) ((-219 . -1251) 15240) ((-219 . -1093) T) ((-146 . -1251) 15215) ((-163 . -1093) T) ((-649 . -43) 15185) ((-356 . -405) T) ((-311 . -151) 15164) ((-311 . -149) 15143) ((-125 . -559) T) ((-308 . -151) 15099) ((-308 . -149) 15055) ((-53 . -454) T) ((-159 . -1093) T) ((-146 . -1093) T) ((-1148 . -111) 15002) ((-1159 . -952) 14971) ((-779 . -1139) 14949) ((-681 . -39) T) ((-1266 . -120) 14928) ((-552 . -39) T) ((-495 . -111) 14912) ((-245 . -284) 14889) ((-244 . -284) 14866) ((-867 . -282) 14796) ((-50 . -1199) T) ((-813 . -1049) T) ((-1167 . -52) 14773) ((-813 . -325) 14735) ((-1081 . -43) 14584) ((-813 . -226) 14563) ((-779 . -43) 14392) ((-777 . -43) 14241) ((-736 . -52) 14218) ((-456 . -43) 14067) ((-635 . -610) 14028) ((-635 . -609) 13967) ((-582 . -1139) T) ((-527 . -1139) T) ((-1135 . -500) 13951) ((-1186 . -1093) 13929) ((-1130 . -25) T) ((-1130 . -21) T) ((-859 . -1056) T) ((-776 . -1056) T) ((-1248 . -1188) 13895) ((-1248 . -1185) 13861) ((-480 . -1056) T) ((-1216 . -789) NIL) ((-1216 . -792) NIL) ((-1001 . -844) 13840) ((-816 . -609) 13822) ((-855 . -21) T) ((-855 . -25) T) ((-796 . -718) T) ((-514 . -1091) T) ((-174 . -1208) T) ((-582 . -43) 13787) ((-527 . -43) 13752) ((-389 . -609) 13734) ((-322 . -609) 13716) ((-170 . -282) 13674) ((-1248 . -40) 13640) ((-1248 . -98) 13606) ((-68 . -1199) T) ((-121 . -105) T) ((-868 . -1093) T) ((-174 . -559) T) ((-706 . -709) 13576) ((-289 . -138) 13459) ((-216 . -609) 13441) ((-216 . -610) 13371) ((-1202 . -39) T) ((-1005 . -631) 13305) ((-1266 . -1049) T) ((-1111 . -151) T) ((-624 . -1176) 13280) ((-723 . -906) 13259) ((-592 . -39) T) ((-637 . -111) 13243) ((-624 . -111) 13189) ((-736 . -883) NIL) ((-1225 . -282) 13116) ((-723 . -638) 13041) ((-290 . -1199) T) ((-1167 . -1039) 12937) ((-736 . -1039) 12817) ((-1155 . -906) NIL) ((-1060 . -610) 12732) ((-1060 . -609) 12714) ((-342 . -105) T) ((-245 . -1055) 12611) ((-244 . -1055) 12508) ((-397 . -105) T) ((-955 . -609) 12490) ((-955 . -610) 12351) ((-705 . -609) 12333) ((-1264 . -1193) 12302) ((-493 . -609) 12284) ((-493 . -610) 12145) ((-258 . -414) 12129) ((-243 . -414) 12113) ((-245 . -120) 12003) ((-244 . -120) 11893) ((-1163 . -638) 11818) ((-1162 . -638) 11715) ((-1155 . -638) 11567) ((-1117 . -638) 11492) ((-353 . -138) T) ((-87 . -443) T) ((-87 . -398) T) ((-1005 . -25) T) ((-1005 . -21) T) ((-868 . -709) 11444) ((-382 . -286) T) ((-170 . -1004) 11395) ((-736 . -380) 11379) ((-685 . -390) T) ((-1001 . -999) 11363) ((-692 . -1105) T) ((-685 . -167) 11345) ((-1236 . -1093) T) ((-1215 . -1093) T) ((-311 . -1185) 11324) ((-311 . -1188) 11303) ((-1153 . -105) T) ((-311 . -961) 11282) ((-140 . -1105) T) ((-125 . -1105) T) ((-600 . -1251) 11266) ((-692 . -23) T) ((-600 . -1093) 11216) ((-96 . -524) 11149) ((-174 . -366) T) ((-1159 . -1228) 11133) ((-311 . -98) 11112) ((-311 . -40) 11091) ((-604 . -500) 11025) ((-140 . -23) T) ((-125 . -23) T) ((-710 . -1093) T) ((-481 . -500) 10962) ((-410 . -631) 10910) ((-644 . -1039) 10806) ((-736 . -897) 10749) ((-960 . -500) 10733) ((-357 . -1056) T) ((-354 . -1056) T) ((-343 . -1056) T) ((-258 . -1056) T) ((-243 . -1056) T) ((-867 . -610) NIL) ((-867 . -609) 10715) ((-1274 . -21) T) ((-576 . -1004) T) ((-723 . -718) T) ((-1274 . -25) T) ((-245 . -1049) 10645) ((-244 . -1049) 10575) ((-234 . -1055) 10521) ((-77 . -1199) T) ((-924 . -105) T) ((-245 . -226) 10473) ((-244 . -226) 10425) ((-234 . -120) 10364) ((-45 . -105) T) ((-907 . -1056) T) ((-1163 . -718) T) ((-1162 . -718) T) ((-1155 . -718) T) ((-1155 . -788) NIL) ((-1155 . -791) NIL) ((-1117 . -718) T) ((-924 . -922) 10322) ((-859 . -1093) T) ((-919 . -105) T) ((-776 . -1093) T) ((-765 . -105) T) ((-664 . -105) T) ((-480 . -1093) T) ((-338 . -1105) T) ((-1236 . -709) 10163) ((-174 . -1105) T) ((-315 . -918) 10142) ((-735 . -454) 10121) ((-868 . -173) T) ((-1215 . -709) 9935) ((-837 . -21) 9887) ((-837 . -25) 9839) ((-241 . -1137) 9823) ((-136 . -524) 9756) ((-410 . -25) T) ((-410 . -21) T) ((-338 . -23) T) ((-170 . -609) 9738) ((-170 . -610) 9504) ((-174 . -23) T) ((-635 . -284) 9481) ((-219 . -524) NIL) ((-146 . -524) NIL) ((-529 . -39) T) ((-895 . -609) 9463) ((-94 . -1199) T) ((-835 . -609) 9445) ((-805 . -609) 9427) ((-763 . -609) 9409) ((-669 . -609) 9391) ((-233 . -638) 9239) ((-1165 . -1093) T) ((-1161 . -1055) 9062) ((-1138 . -1199) T) ((-1116 . -1055) 8905) ((-848 . -1055) 8889) ((-1080 . -638) 8866) ((-1161 . -120) 8668) ((-1116 . -120) 8490) ((-848 . -120) 8469) ((-1225 . -610) NIL) ((-1225 . -609) 8451) ((-342 . -1139) T) ((-849 . -609) 8433) ((-1071 . -282) 8412) ((-234 . -1049) T) ((-85 . -1199) T) ((-1006 . -906) NIL) ((-604 . -282) 8388) ((-1186 . -524) 8321) ((-498 . -1199) T) ((-576 . -609) 8303) ((-481 . -282) 8282) ((-1081 . -224) 8266) ((-1006 . -638) 8216) ((-209 . -1199) T) ((-960 . -282) 8193) ((-912 . -638) 8145) ((-285 . -918) T) ((-814 . -302) 8124) ((-866 . -105) T) ((-779 . -224) 8108) ((-772 . -1093) T) ((-859 . -709) 8060) ((-776 . -709) 7998) ((-627 . -21) T) ((-627 . -25) T) ((-603 . -21) T) ((-342 . -43) 7963) ((-685 . -716) 7930) ((-498 . -881) 7912) ((-498 . -883) 7894) ((-480 . -709) 7735) ((-209 . -881) 7717) ((-69 . -1199) T) ((-209 . -883) 7699) ((-603 . -25) T) ((-430 . -638) 7673) ((-498 . -1039) 7633) ((-868 . -524) 7545) ((-209 . -1039) 7505) ((-233 . -39) T) ((-1002 . -1093) 7483) ((-1236 . -173) 7414) ((-1215 . -173) 7345) ((-704 . -149) 7324) ((-704 . -151) 7303) ((-692 . -138) T) ((-142 . -471) 7280) ((-465 . -105) T) ((-649 . -647) 7264) ((-1135 . -609) 7231) ((-125 . -138) T) ((-490 . -1208) T) ((-604 . -602) 7207) ((-481 . -602) 7186) ((-335 . -334) 7155) ((-542 . -1093) T) ((-1161 . -1049) T) ((-490 . -559) T) ((-237 . -236) 7139) ((-1116 . -1049) T) ((-848 . -1049) T) ((-233 . -788) 7118) ((-233 . -791) 7069) ((-233 . -790) 7048) ((-1161 . -325) 7025) ((-233 . -718) 6951) ((-960 . -19) 6935) ((-498 . -380) 6917) ((-498 . -337) 6899) ((-1116 . -325) 6871) ((-356 . -1260) 6848) ((-209 . -380) 6830) ((-209 . -337) 6812) ((-960 . -602) 6789) ((-1161 . -226) T) ((-657 . -1093) T) ((-1249 . -1093) T) ((-1173 . -1093) T) ((-1081 . -247) 6726) ((-357 . -1093) T) ((-354 . -1093) T) ((-343 . -1093) T) ((-258 . -1093) T) ((-243 . -1093) T) ((-89 . -1199) T) ((-137 . -105) 6704) ((-131 . -105) 6682) ((-736 . -302) 6661) ((-1173 . -606) 6640) ((-491 . -1093) T) ((-1204 . -105) T) ((-1129 . -1093) T) ((-491 . -606) 6619) ((-245 . -792) 6570) ((-245 . -789) 6521) ((-244 . -792) 6472) ((-45 . -1139) NIL) ((-244 . -789) 6423) ((-1075 . -918) 6374) ((-1006 . -791) T) ((-1006 . -788) T) ((-1006 . -718) T) ((-974 . -791) T) ((-969 . -1093) T) ((-912 . -718) T) ((-907 . -1093) T) ((-868 . -286) T) ((-96 . -500) 6358) ((-498 . -897) NIL) ((-859 . -173) T) ((-216 . -1055) 6323) ((-830 . -1105) 6302) ((-209 . -897) NIL) ((-776 . -173) T) ((-64 . -1093) 6252) ((-528 . -1093) 6230) ((-526 . -1093) 6180) ((-507 . -1093) 6158) ((-506 . -1093) 6108) ((-581 . -105) T) ((-569 . -105) T) ((-505 . -105) T) ((-480 . -173) 6039) ((-362 . -918) T) ((-355 . -918) T) ((-344 . -918) T) ((-216 . -120) 5988) ((-830 . -23) 5940) ((-430 . -718) T) ((-112 . -918) T) ((-45 . -43) 5885) ((-112 . -817) T) ((-582 . -351) T) ((-527 . -351) T) ((-1215 . -524) 5745) ((-311 . -454) 5724) ((-308 . -454) T) ((-1200 . -39) T) ((-831 . -282) 5703) ((-338 . -138) T) ((-174 . -138) T) ((-289 . -25) 5567) ((-289 . -21) 5450) ((-50 . -1176) 5429) ((-71 . -609) 5411) ((-889 . -609) 5393) ((-600 . -524) 5326) ((-50 . -111) 5276) ((-1095 . -428) 5260) ((-1095 . -371) 5239) ((-1061 . -1199) T) ((-1060 . -1055) 5226) ((-955 . -1055) 5069) ((-493 . -1055) 4912) ((-657 . -709) 4896) ((-1060 . -120) 4881) ((-955 . -120) 4703) ((-490 . -366) T) ((-357 . -709) 4655) ((-354 . -709) 4607) ((-343 . -709) 4559) ((-258 . -709) 4408) ((-243 . -709) 4257) ((-1254 . -105) T) ((-1253 . -105) 4207) ((-946 . -641) 4191) ((-1244 . -638) 4116) ((-493 . -120) 3938) ((-1237 . -638) 3835) ((-1216 . -638) 3687) ((-1216 . -906) NIL) ((-946 . -376) 3671) ((-1210 . -638) 3596) ((-79 . -609) 3578) ((-966 . -52) 3557) ((-614 . -1105) T) ((-1 . -1093) T) ((-702 . -105) T) ((-690 . -105) T) ((-1181 . -609) 3539) ((-1082 . -609) 3521) ((-1071 . -609) 3503) ((-907 . -709) 3468) ((-136 . -500) 3452) ((-776 . -524) 3284) ((-614 . -23) T) ((-393 . -23) T) ((-604 . -609) 3266) ((-92 . -1199) T) ((-604 . -610) NIL) ((-481 . -610) NIL) ((-481 . -609) 3248) ((-353 . -25) T) ((-353 . -21) T) ((-219 . -500) 3230) ((-137 . -304) 3168) ((-521 . -1093) T) ((-517 . -1093) T) ((-146 . -500) 3143) ((-131 . -304) 3081) ((-595 . -638) 3068) ((-217 . -62) 3036) ((-145 . -62) 2997) ((-216 . -1049) T) ((-594 . -638) 2922) ((-1204 . -304) NIL) ((-382 . -1004) T) ((-216 . -239) T) ((-216 . -226) T) ((-1159 . -105) T) ((-960 . -610) 2883) ((-960 . -609) 2822) ((-866 . -43) 2809) ((-1236 . -286) 2760) ((-1215 . -286) 2711) ((-1111 . -454) T) ((-512 . -844) T) ((-311 . -1127) 2690) ((-1001 . -151) 2669) ((-1001 . -149) 2648) ((-735 . -162) T) ((-735 . -147) T) ((-505 . -304) 2635) ((-290 . -1176) 2614) ((-490 . -1105) T) ((-867 . -1055) 2559) ((-616 . -105) T) ((-1186 . -500) 2543) ((-245 . -371) 2522) ((-244 . -371) 2501) ((-1159 . -280) 2479) ((-1060 . -1049) T) ((-290 . -111) 2429) ((-130 . -105) T) ((-126 . -105) T) ((-35 . -1091) T) ((-955 . -1049) T) ((-867 . -120) 2346) ((-490 . -23) T) ((-493 . -1049) T) ((-1060 . -226) T) ((-955 . -325) 2315) ((-493 . -325) 2272) ((-357 . -173) T) ((-354 . -173) T) ((-343 . -173) T) ((-258 . -173) 2183) ((-243 . -173) 2094) ((-966 . -1039) 1990) ((-727 . -1039) 1961) ((-1098 . -105) T) ((-1085 . -609) 1928) ((-1036 . -609) 1910) ((-1248 . -976) 1879) ((-1244 . -718) T) ((-1237 . -718) T) ((-1216 . -718) T) ((-1216 . -788) NIL) ((-1216 . -791) NIL) ((-859 . -286) T) ((-170 . -1055) 1789) ((-907 . -173) T) ((-776 . -286) T) ((-1210 . -718) T) ((-1264 . -155) 1773) ((-1005 . -341) 1747) ((-1002 . -524) 1680) ((-837 . -844) 1659) ((-569 . -1139) T) ((-480 . -286) 1610) ((-595 . -718) T) ((-364 . -609) 1592) ((-320 . -609) 1574) ((-421 . -1039) 1470) ((-594 . -718) T) ((-410 . -844) 1421) ((-170 . -120) 1310) ((-862 . -1056) T) ((-857 . -1056) T) ((-830 . -138) 1262) ((-729 . -155) 1246) ((-1253 . -304) 1184) ((-498 . -302) T) ((-382 . -609) 1151) ((-529 . -1012) 1135) ((-382 . -610) 1049) ((-209 . -302) T) ((-143 . -155) 1031) ((-706 . -282) 1010) ((-1159 . -304) 997) ((-498 . -1023) T) ((-581 . -43) 984) ((-569 . -43) 971) ((-505 . -43) 936) ((-219 . -282) 911) ((-146 . -282) 879) ((-209 . -1023) T) ((-867 . -1049) T) ((-831 . -609) 861) ((-824 . -609) 843) ((-822 . -609) 825) ((-813 . -906) 804) ((-1275 . -1105) T) ((-1225 . -1055) 627) ((-849 . -1055) 611) ((-867 . -239) T) ((-867 . -226) NIL) ((-681 . -1199) T) ((-1275 . -23) T) ((-813 . -638) 536) ((-552 . -1199) T) ((-421 . -337) 520) ((-576 . -1055) 507) ((-1225 . -120) 309) ((-692 . -631) 291) ((-849 . -120) 270) ((-384 . -23) T) ((-1173 . -524) 30)) 
\ No newline at end of file
+(((-655 . -1097) T) ((-258 . -526) 156851) ((-243 . -526) 156789) ((-578 . -120) 156774) ((-537 . -23) T) ((-241 . -1097) 156724) ((-126 . -304) 156668) ((-493 . -526) 156428) ((-688 . -105) T) ((-1133 . -526) 156336) ((-395 . -138) T) ((-1269 . -983) 156305) ((-219 . -19) 156287) ((-146 . -19) 156262) ((-602 . -502) 156246) ((-819 . -843) T) ((-616 . -138) T) ((-534 . -62) 156196) ((-219 . -604) 156171) ((-146 . -604) 156139) ((-64 . -526) 156072) ((-530 . -526) 156005) ((-423 . -900) 155964) ((-170 . -1053) T) ((-528 . -526) 155897) ((-509 . -526) 155830) ((-508 . -526) 155763) ((-799 . -1043) 155543) ((-693 . -43) 155508) ((-342 . -352) T) ((-1163 . -1143) 155486) ((-1091 . -1090) 155470) ((-1091 . -1097) 155448) ((-170 . -239) 155399) ((-170 . -226) 155350) ((-1091 . -1092) 155308) ((-871 . -282) 155266) ((-216 . -795) T) ((-216 . -792) T) ((-688 . -280) NIL) ((-1142 . -1180) 155245) ((-412 . -999) 155229) ((-974 . -105) T) ((-695 . -21) T) ((-695 . -25) T) ((-1271 . -640) 155203) ((-1207 . -155) 155185) ((-1206 . -1203) T) ((-1163 . -43) 155014) ((-311 . -162) 154993) ((-311 . -147) 154972) ((-1142 . -111) 154922) ((-140 . -25) T) ((-45 . -224) 154899) ((-125 . -21) T) ((-125 . -25) T) ((-606 . -284) 154875) ((-483 . -284) 154854) ((-1230 . -1053) T) ((-852 . -1053) T) ((-799 . -337) 154838) ((-126 . -1143) NIL) ((-96 . -611) 154805) ((-492 . -138) T) ((-594 . -1203) T) ((-1230 . -325) 154782) ((-578 . -1053) T) ((-1230 . -226) T) ((-655 . -712) 154766) ((-964 . -284) 154743) ((-779 . -502) 154695) ((-65 . -39) T) ((-1064 . -795) T) ((-1064 . -792) T) ((-816 . -721) T) ((-726 . -52) 154660) ((-618 . -43) 154647) ((-358 . -286) T) ((-355 . -286) T) ((-343 . -286) T) ((-258 . -286) 154578) ((-243 . -286) 154509) ((-1029 . -105) T) ((-418 . -721) T) ((-126 . -43) 154454) ((-418 . -481) T) ((-357 . -105) T) ((-1198 . -1060) T) ((-706 . -1060) T) ((-1253 . -1248) 154438) ((-1253 . -1235) 154415) ((-1167 . -52) 154392) ((-1166 . -52) 154362) ((-1159 . -52) 154339) ((-1041 . -155) 154285) ((-910 . -286) T) ((-1121 . -52) 154257) ((-688 . -304) NIL) ((-527 . -611) 154239) ((-522 . -611) 154221) ((-520 . -611) 154203) ((-326 . -1097) 154153) ((-116 . -105) T) ((-707 . -456) 154084) ((-53 . -105) T) ((-1241 . -282) 154069) ((-1220 . -282) 153989) ((-637 . -661) 153973) ((-637 . -643) 153957) ((-338 . -21) T) ((-338 . -25) T) ((-45 . -352) NIL) ((-865 . -1097) T) ((-174 . -21) T) ((-174 . -25) T) ((-860 . -1097) T) ((-637 . -378) 153941) ((-602 . -282) 153918) ((-393 . -105) T) ((-1115 . -147) T) ((-136 . -611) 153885) ((-874 . -1097) T) ((-651 . -416) 153869) ((-709 . -611) 153851) ((-1271 . -721) T) ((-219 . -611) 153833) ((-219 . -612) 153815) ((-163 . -611) 153797) ((-159 . -611) 153779) ((-146 . -611) 153761) ((-146 . -612) 153713) ((-1099 . -39) T) ((-116 . -117) T) ((-870 . -795) NIL) ((-870 . -792) NIL) ((-854 . -847) T) ((-726 . -886) NIL) ((-1280 . -138) T) ((-386 . -138) T) ((-904 . -105) T) ((-726 . -1043) 153589) ((-537 . -138) T) ((-1085 . -416) 153573) ((-1006 . -502) 153557) ((-126 . -405) 153534) ((-1159 . -1203) 153513) ((-782 . -416) 153497) ((-780 . -416) 153481) ((-949 . -39) T) ((-688 . -1143) NIL) ((-245 . -640) 153316) ((-244 . -640) 153138) ((-817 . -921) 153117) ((-458 . -416) 153101) ((-602 . -19) 153085) ((-1138 . -1197) 153054) ((-1159 . -886) NIL) ((-1159 . -884) 153006) ((-602 . -604) 152983) ((-1190 . -611) 152950) ((-1168 . -611) 152932) ((-67 . -400) T) ((-1166 . -1043) 152867) ((-1159 . -1043) 152833) ((-779 . -282) 152766) ((-688 . -43) 152716) ((-482 . -282) 152701) ((-726 . -382) 152685) ((-865 . -712) 152650) ((-651 . -1060) T) ((-860 . -712) 152600) ((-1241 . -1008) 152566) ((-1220 . -1008) 152532) ((-1065 . -1180) 152507) ((-871 . -612) 152308) ((-871 . -611) 152290) ((-1177 . -502) 152227) ((-423 . -1027) 152205) ((-53 . -304) 152192) ((-1065 . -111) 152138) ((-493 . -502) 152075) ((-531 . -1203) T) ((-1133 . -502) 152046) ((-1159 . -337) 151998) ((-1159 . -382) 151950) ((-442 . -105) T) ((-1085 . -1060) T) ((-245 . -39) T) ((-244 . -39) T) ((-779 . -1245) 151902) ((-782 . -1060) T) ((-780 . -1060) T) ((-726 . -900) 151879) ((-458 . -1060) T) ((-779 . -604) 151824) ((-64 . -502) 151808) ((-1040 . -1059) 151782) ((-928 . -1097) T) ((-530 . -502) 151766) ((-528 . -502) 151750) ((-509 . -502) 151734) ((-508 . -502) 151718) ((-739 . -921) 151697) ((-241 . -526) 151630) ((-1040 . -120) 151597) ((-1167 . -900) 151510) ((-234 . -640) 151470) ((-665 . -1109) T) ((-1166 . -900) 151376) ((-1159 . -900) 151209) ((-1121 . -900) 151193) ((-357 . -1143) T) ((-320 . -1059) 151175) ((-245 . -791) 151154) ((-245 . -794) 151105) ((-245 . -793) 151084) ((-244 . -791) 151063) ((-244 . -794) 151014) ((-244 . -793) 150993) ((-55 . -1060) T) ((-245 . -721) 150903) ((-244 . -721) 150813) ((-1198 . -1097) T) ((-665 . -23) T) ((-584 . -1060) T) ((-529 . -1060) T) ((-384 . -1059) 150778) ((-320 . -120) 150753) ((-78 . -388) T) ((-78 . -400) T) ((-1029 . -43) 150690) ((-688 . -405) 150672) ((-101 . -105) T) ((-706 . -1097) T) ((-1009 . -149) 150644) ((-384 . -120) 150593) ((-315 . -1213) 150572) ((-482 . -1008) 150538) ((-357 . -43) 150503) ((-45 . -375) 150475) ((-1009 . -151) 150447) ((-137 . -135) 150431) ((-131 . -135) 150415) ((-834 . -1059) 150385) ((-833 . -21) 150337) ((-827 . -1059) 150321) ((-833 . -25) 150273) ((-315 . -561) 150224) ((-571 . -828) T) ((-233 . -1203) T) ((-865 . -173) T) ((-860 . -173) T) ((-834 . -120) 150189) ((-827 . -120) 150168) ((-1241 . -611) 150150) ((-1220 . -611) 150132) ((-1220 . -612) 149803) ((-1165 . -909) 149782) ((-1120 . -909) 149761) ((-53 . -43) 149726) ((-1278 . -1109) T) ((-602 . -611) 149665) ((-602 . -612) 149626) ((-1276 . -1109) T) ((-233 . -1043) 149453) ((-1165 . -640) 149378) ((-1120 . -640) 149303) ((-713 . -611) 149285) ((-851 . -640) 149259) ((-1278 . -23) T) ((-1276 . -23) T) ((-1163 . -224) 149243) ((-1040 . -1053) T) ((-1177 . -282) 149222) ((-170 . -373) 149173) ((-1010 . -1203) T) ((-49 . -23) T) ((-1284 . -105) T) ((-1198 . -712) 149070) ((-493 . -282) 149049) ((-588 . -1097) T) ((-1184 . -1097) T) ((-1138 . -1106) 149018) ((-1101 . -1100) 148970) ((-395 . -21) T) ((-395 . -25) T) ((-156 . -1109) T) ((-1010 . -1043) 148930) ((-1010 . -884) 148912) ((-1010 . -886) 148894) ((-738 . -105) T) ((-234 . -721) T) ((-618 . -224) 148878) ((-616 . -21) T) ((-285 . -561) T) ((-616 . -25) T) ((-706 . -712) 148843) ((-384 . -1053) T) ((-233 . -382) 148812) ((-219 . -284) 148787) ((-146 . -284) 148755) ((-214 . -1060) T) ((-126 . -224) 148732) ((-64 . -282) 148709) ((-156 . -23) T) ((-528 . -282) 148686) ((-326 . -526) 148619) ((-508 . -282) 148596) ((-384 . -239) T) ((-384 . -226) T) ((-862 . -611) 148578) ((-834 . -1053) T) ((-827 . -1053) T) ((-779 . -611) 148560) ((-779 . -612) NIL) ((-707 . -955) 148529) ((-695 . -847) T) ((-482 . -611) 148511) ((-827 . -226) 148490) ((-140 . -847) T) ((-1204 . -1203) T) ((-651 . -1097) T) ((-1177 . -604) 148469) ((-554 . -1180) 148448) ((-335 . -1097) T) ((-315 . -367) 148427) ((-412 . -151) 148406) ((-412 . -149) 148385) ((-1205 . -155) 148367) ((-237 . -1097) T) ((-971 . -1109) 148266) ((-233 . -900) 148198) ((-815 . -1109) 148108) ((-647 . -849) 148092) ((-493 . -604) 148071) ((-554 . -111) 148021) ((-1010 . -382) 148003) ((-1010 . -337) 147985) ((-99 . -1097) T) ((-971 . -23) 147796) ((-492 . -21) T) ((-492 . -25) T) ((-815 . -23) 147666) ((-1169 . -611) 147648) ((-64 . -19) 147632) ((-1169 . -612) 147554) ((-1165 . -721) T) ((-1120 . -721) T) ((-528 . -19) 147538) ((-508 . -19) 147522) ((-64 . -604) 147499) ((-1085 . -1097) T) ((-901 . -105) 147477) ((-851 . -721) T) ((-782 . -1097) T) ((-528 . -604) 147454) ((-508 . -604) 147431) ((-780 . -1097) T) ((-780 . -1067) 147398) ((-466 . -1097) T) ((-458 . -1097) T) ((-1253 . -105) T) ((-588 . -712) 147373) ((-260 . -105) 147351) ((-641 . -1097) T) ((-1253 . -280) 147317) ((-1249 . -52) 147294) ((-1243 . -105) T) ((-1242 . -52) 147264) ((-1010 . -900) NIL) ((-1221 . -52) 147241) ((-621 . -1109) T) ((-665 . -138) T) ((-1215 . -52) 147218) ((-1198 . -173) 147169) ((-1166 . -302) 147148) ((-1159 . -302) 147127) ((-1079 . -1213) 147078) ((-272 . -1097) T) ((-90 . -445) T) ((-90 . -400) T) ((-1079 . -561) 147029) ((-775 . -611) 147011) ((-55 . -1097) T) ((-706 . -173) T) ((-596 . -52) 146988) ((-216 . -640) 146953) ((-584 . -1097) T) ((-540 . -1097) T) ((-529 . -1097) T) ((-363 . -1213) T) ((-356 . -1213) T) ((-344 . -1213) T) ((-500 . -820) T) ((-500 . -921) T) ((-315 . -1109) T) ((-112 . -1213) T) ((-738 . -304) 146940) ((-338 . -847) T) ((-209 . -921) T) ((-209 . -820) T) ((-709 . -1059) 146910) ((-363 . -561) T) ((-356 . -561) T) ((-344 . -561) T) ((-112 . -561) T) ((-1159 . -1027) NIL) ((-651 . -712) 146880) ((-865 . -286) T) ((-860 . -286) T) ((-315 . -23) T) ((-72 . -1203) T) ((-1006 . -611) 146847) ((-688 . -224) 146829) ((-237 . -712) 146811) ((-709 . -120) 146776) ((-637 . -39) T) ((-241 . -502) 146760) ((-1099 . -1094) 146744) ((-172 . -1097) T) ((-958 . -909) 146723) ((-495 . -909) 146702) ((-1280 . -21) T) ((-1280 . -25) T) ((-1278 . -138) T) ((-1276 . -138) T) ((-1085 . -712) 146551) ((-1064 . -640) 146538) ((-958 . -640) 146463) ((-782 . -712) 146292) ((-544 . -611) 146274) ((-544 . -612) 146255) ((-780 . -712) 146104) ((-1269 . -105) T) ((-1076 . -105) T) ((-386 . -25) T) ((-386 . -21) T) ((-495 . -640) 146029) ((-466 . -712) 146000) ((-458 . -712) 145849) ((-994 . -105) T) ((-732 . -105) T) ((-1284 . -1143) T) ((-537 . -25) T) ((-1221 . -1203) 145828) ((-1254 . -611) 145794) ((-1221 . -886) NIL) ((-1221 . -884) 145746) ((-143 . -105) T) ((-49 . -138) T) ((-1177 . -612) NIL) ((-1177 . -611) 145728) ((-1134 . -1118) 145673) ((-342 . -1060) T) ((-659 . -611) 145655) ((-285 . -1109) T) ((-358 . -611) 145637) ((-355 . -611) 145619) ((-343 . -611) 145601) ((-258 . -612) 145349) ((-258 . -611) 145331) ((-243 . -611) 145313) ((-243 . -612) 145174) ((-1050 . -1197) 145103) ((-901 . -304) 145041) ((-1242 . -1043) 144976) ((-1221 . -1043) 144942) ((-1198 . -526) 144909) ((-1133 . -611) 144891) ((-819 . -721) T) ((-584 . -712) 144856) ((-602 . -284) 144833) ((-529 . -712) 144778) ((-493 . -612) NIL) ((-493 . -611) 144760) ((-311 . -105) T) ((-260 . -304) 144698) ((-308 . -105) T) ((-285 . -23) T) ((-156 . -138) T) ((-973 . -611) 144680) ((-910 . -611) 144662) ((-391 . -721) T) ((-871 . -1059) 144614) ((-910 . -612) 144596) ((-871 . -120) 144527) ((-738 . -43) 144451) ((-142 . -105) T) ((-123 . -105) T) ((-707 . -1233) 144435) ((-709 . -1053) T) ((-688 . -352) NIL) ((-530 . -611) 144402) ((-384 . -795) T) ((-214 . -1097) T) ((-384 . -792) T) ((-216 . -794) T) ((-216 . -791) T) ((-64 . -612) 144363) ((-64 . -611) 144302) ((-216 . -721) T) ((-528 . -612) 144263) ((-528 . -611) 144202) ((-509 . -611) 144169) ((-508 . -612) 144130) ((-508 . -611) 144069) ((-1079 . -367) 144020) ((-45 . -416) 143997) ((-82 . -1203) T) ((-118 . -105) T) ((-972 . -977) 143981) ((-870 . -909) NIL) ((-363 . -328) 143965) ((-363 . -367) T) ((-356 . -328) 143949) ((-356 . -367) T) ((-344 . -328) 143933) ((-344 . -367) T) ((-311 . -280) 143912) ((-112 . -367) T) ((-75 . -1203) T) ((-1221 . -337) 143864) ((-870 . -640) 143809) ((-1221 . -382) 143761) ((-971 . -138) 143616) ((-815 . -138) 143486) ((-964 . -643) 143470) ((-1085 . -173) 143381) ((-1064 . -794) T) ((-964 . -378) 143365) ((-1064 . -791) T) ((-118 . -117) T) ((-779 . -284) 143310) ((-782 . -173) 143201) ((-780 . -173) 143112) ((-816 . -52) 143074) ((-1064 . -721) T) ((-326 . -502) 143058) ((-958 . -721) T) ((-458 . -173) 142969) ((-241 . -282) 142946) ((-495 . -721) T) ((-1269 . -304) 142884) ((-1253 . -43) 142781) ((-1249 . -900) 142694) ((-1242 . -900) 142600) ((-1241 . -1059) 142435) ((-1221 . -900) 142268) ((-1220 . -1059) 142076) ((-1215 . -900) 141989) ((-1207 . -105) T) ((-1198 . -286) 141968) ((-1138 . -155) 141952) ((-1074 . -105) T) ((-932 . -961) T) ((-732 . -304) 141890) ((-80 . -1203) T) ((-170 . -909) 141843) ((-34 . -105) T) ((-659 . -387) 141815) ((-30 . -961) T) ((-1 . -611) 141797) ((-1115 . -105) T) ((-1079 . -23) T) ((-55 . -615) 141781) ((-1079 . -1109) T) ((-1009 . -414) 141753) ((-596 . -900) 141666) ((-443 . -105) T) ((-143 . -304) NIL) ((-871 . -1053) T) ((-833 . -847) 141645) ((-86 . -1203) T) ((-706 . -286) T) ((-45 . -1060) T) ((-584 . -173) T) ((-529 . -173) T) ((-523 . -611) 141627) ((-170 . -640) 141537) ((-519 . -611) 141519) ((-354 . -151) 141501) ((-354 . -149) T) ((-363 . -1109) T) ((-356 . -1109) T) ((-344 . -1109) T) ((-1010 . -302) T) ((-915 . -302) T) ((-871 . -239) T) ((-112 . -1109) T) ((-871 . -226) 141480) ((-738 . -405) 141464) ((-1241 . -120) 141278) ((-1220 . -120) 141060) ((-241 . -1245) 141044) ((-571 . -845) T) ((-363 . -23) T) ((-357 . -352) T) ((-311 . -304) 141031) ((-308 . -304) 140927) ((-356 . -23) T) ((-315 . -138) T) ((-344 . -23) T) ((-1010 . -1027) T) ((-112 . -23) T) ((-241 . -604) 140904) ((-1243 . -43) 140761) ((-1230 . -909) 140740) ((-121 . -1097) T) ((-1041 . -105) T) ((-1230 . -640) 140665) ((-870 . -794) NIL) ((-852 . -640) 140639) ((-870 . -791) NIL) ((-816 . -886) NIL) ((-870 . -721) T) ((-1085 . -526) 140502) ((-782 . -526) 140448) ((-780 . -526) 140400) ((-578 . -640) 140387) ((-816 . -1043) 140215) ((-458 . -526) 140153) ((-393 . -394) T) ((-65 . -1203) T) ((-616 . -847) 140132) ((-512 . -654) T) ((-1138 . -983) 140101) ((-862 . -1059) 140053) ((-779 . -1059) 140005) ((-1009 . -456) T) ((-693 . -845) T) ((-522 . -792) T) ((-482 . -1059) 139840) ((-342 . -1097) T) ((-308 . -1143) NIL) ((-285 . -138) T) ((-399 . -1097) T) ((-869 . -1060) T) ((-688 . -375) 139807) ((-862 . -120) 139738) ((-779 . -120) 139669) ((-214 . -615) 139646) ((-326 . -282) 139623) ((-1207 . -304) NIL) ((-482 . -120) 139437) ((-1241 . -1053) T) ((-1220 . -1053) T) ((-816 . -382) 139421) ((-170 . -721) T) ((-647 . -105) T) ((-1241 . -239) 139400) ((-1241 . -226) 139352) ((-1220 . -226) 139257) ((-1220 . -239) 139236) ((-1009 . -407) NIL) ((-665 . -633) 139184) ((-311 . -43) 139094) ((-308 . -43) 139023) ((-74 . -611) 139005) ((-315 . -505) 138971) ((-1177 . -284) 138950) ((-1110 . -1109) 138860) ((-88 . -1203) T) ((-66 . -611) 138842) ((-493 . -284) 138821) ((-1271 . -1043) 138798) ((-1157 . -1097) T) ((-1110 . -23) 138668) ((-816 . -900) 138604) ((-1230 . -721) T) ((-1099 . -1203) T) ((-1085 . -286) 138535) ((-893 . -105) T) ((-782 . -286) 138446) ((-326 . -19) 138430) ((-64 . -284) 138407) ((-780 . -286) 138338) ((-852 . -721) T) ((-126 . -845) NIL) ((-528 . -284) 138315) ((-326 . -604) 138292) ((-508 . -284) 138269) ((-458 . -286) 138200) ((-1041 . -304) 138051) ((-578 . -721) T) ((-655 . -611) 138033) ((-241 . -612) 137994) ((-241 . -611) 137933) ((-1139 . -39) T) ((-949 . -1203) T) ((-342 . -712) 137878) ((-862 . -1053) T) ((-779 . -1053) T) ((-665 . -25) T) ((-665 . -21) T) ((-1115 . -1143) T) ((-482 . -1053) T) ((-629 . -422) 137843) ((-605 . -422) 137808) ((-927 . -1097) T) ((-862 . -226) T) ((-862 . -239) T) ((-779 . -226) 137767) ((-779 . -239) T) ((-584 . -286) T) ((-529 . -286) T) ((-1242 . -302) 137746) ((-482 . -226) 137698) ((-482 . -239) 137677) ((-1221 . -302) 137656) ((-1079 . -138) T) ((-871 . -795) 137635) ((-148 . -105) T) ((-45 . -1097) T) ((-871 . -792) 137614) ((-637 . -1016) 137598) ((-583 . -1060) T) ((-571 . -1060) T) ((-507 . -1060) T) ((-412 . -456) T) ((-363 . -138) T) ((-311 . -405) 137582) ((-308 . -405) 137543) ((-356 . -138) T) ((-344 . -138) T) ((-1221 . -1027) NIL) ((-1091 . -611) 137510) ((-112 . -138) T) ((-1115 . -43) 137497) ((-922 . -1097) T) ((-768 . -1097) T) ((-666 . -1097) T) ((-695 . -151) T) ((-1163 . -416) 137481) ((-125 . -151) T) ((-1278 . -21) T) ((-1278 . -25) T) ((-1276 . -21) T) ((-1276 . -25) T) ((-659 . -1059) 137465) ((-537 . -847) T) ((-512 . -847) T) ((-358 . -1059) 137417) ((-355 . -1059) 137369) ((-343 . -1059) 137321) ((-245 . -1203) T) ((-244 . -1203) T) ((-258 . -1059) 137164) ((-243 . -1059) 137007) ((-659 . -120) 136986) ((-358 . -120) 136917) ((-355 . -120) 136848) ((-343 . -120) 136779) ((-258 . -120) 136601) ((-243 . -120) 136423) ((-817 . -1213) 136402) ((-618 . -416) 136386) ((-49 . -21) T) ((-49 . -25) T) ((-815 . -633) 136292) ((-817 . -561) 136271) ((-245 . -1043) 136098) ((-244 . -1043) 135925) ((-136 . -128) 135909) ((-910 . -1059) 135874) ((-693 . -1060) T) ((-707 . -105) T) ((-219 . -643) 135856) ((-146 . -643) 135831) ((-342 . -173) T) ((-219 . -378) 135813) ((-146 . -378) 135788) ((-156 . -21) T) ((-156 . -25) T) ((-93 . -611) 135770) ((-910 . -120) 135719) ((-45 . -712) 135664) ((-869 . -1097) T) ((-326 . -612) 135625) ((-326 . -611) 135564) ((-1220 . -792) 135517) ((-1163 . -1060) T) ((-1220 . -795) 135470) ((-245 . -382) 135439) ((-244 . -382) 135408) ((-865 . -611) 135390) ((-860 . -611) 135372) ((-647 . -43) 135342) ((-606 . -39) T) ((-496 . -1109) 135252) ((-483 . -39) T) ((-1110 . -138) 135122) ((-1171 . -561) 135101) ((-971 . -25) 134912) ((-874 . -611) 134894) ((-971 . -21) 134849) ((-815 . -21) 134759) ((-815 . -25) 134610) ((-1165 . -52) 134587) ((-618 . -1060) T) ((-1120 . -52) 134559) ((-467 . -1097) T) ((-358 . -1053) T) ((-355 . -1053) T) ((-496 . -23) 134429) ((-343 . -1053) T) ((-258 . -1053) T) ((-243 . -1053) T) ((-1040 . -640) 134403) ((-126 . -1060) T) ((-964 . -39) T) ((-739 . -1213) 134382) ((-358 . -226) 134361) ((-358 . -239) T) ((-355 . -226) 134340) ((-355 . -239) T) ((-343 . -226) 134319) ((-243 . -325) 134276) ((-343 . -239) T) ((-258 . -325) 134248) ((-258 . -226) 134227) ((-1149 . -155) 134211) ((-739 . -561) 134122) ((-245 . -900) 134054) ((-244 . -900) 133986) ((-1081 . -847) T) ((-1224 . -1203) T) ((-419 . -1109) T) ((-1205 . -105) T) ((-1057 . -23) T) ((-910 . -1053) T) ((-320 . -640) 133968) ((-1029 . -845) T) ((-1198 . -1008) 133934) ((-1166 . -921) 133913) ((-1159 . -921) 133892) ((-910 . -239) T) ((-817 . -367) 133871) ((-390 . -23) T) ((-137 . -1097) 133849) ((-131 . -1097) 133827) ((-910 . -226) T) ((-1159 . -820) NIL) ((-384 . -640) 133792) ((-869 . -712) 133779) ((-1209 . -1097) T) ((-1050 . -155) 133744) ((-45 . -173) T) ((-688 . -416) 133726) ((-707 . -304) 133713) ((-834 . -640) 133673) ((-827 . -640) 133647) ((-315 . -25) T) ((-315 . -21) T) ((-651 . -282) 133626) ((-583 . -1097) T) ((-571 . -1097) T) ((-507 . -1097) T) ((-241 . -284) 133603) ((-308 . -224) 133564) ((-1165 . -886) NIL) ((-1120 . -886) 133423) ((-1165 . -1043) 133303) ((-1120 . -1043) 133186) ((-851 . -1043) 133082) ((-782 . -282) 133009) ((-928 . -611) 132991) ((-817 . -1109) T) ((-1040 . -721) T) ((-602 . -643) 132975) ((-1050 . -983) 132904) ((-1005 . -105) T) ((-817 . -23) T) ((-707 . -1143) 132882) ((-688 . -1060) T) ((-602 . -378) 132866) ((-354 . -456) T) ((-342 . -286) T) ((-1259 . -1097) T) ((-468 . -105) T) ((-404 . -105) T) ((-285 . -21) T) ((-285 . -25) T) ((-365 . -721) T) ((-705 . -1097) T) ((-693 . -1097) T) ((-365 . -481) T) ((-1205 . -304) NIL) ((-1198 . -611) 132848) ((-1165 . -382) 132832) ((-1120 . -382) 132816) ((-1029 . -416) 132778) ((-143 . -222) 132760) ((-384 . -794) T) ((-384 . -791) T) ((-869 . -173) T) ((-384 . -721) T) ((-706 . -611) 132742) ((-707 . -43) 132571) ((-1258 . -1256) 132555) ((-354 . -407) T) ((-1258 . -1097) 132505) ((-583 . -712) 132492) ((-571 . -712) 132479) ((-507 . -712) 132444) ((-862 . -1275) 132428) ((-311 . -623) 132407) ((-834 . -721) T) ((-827 . -721) T) ((-1163 . -1097) T) ((-637 . -1203) T) ((-1079 . -633) 132355) ((-1165 . -900) 132298) ((-1120 . -900) 132282) ((-655 . -1059) 132266) ((-112 . -633) 132248) ((-496 . -138) 132118) ((-779 . -643) 132070) ((-1171 . -1109) T) ((-862 . -373) T) ((-958 . -52) 132039) ((-739 . -1109) T) ((-618 . -1097) T) ((-655 . -120) 132018) ((-326 . -284) 131995) ((-495 . -52) 131952) ((-1171 . -23) T) ((-130 . -1097) T) ((-126 . -1097) T) ((-106 . -105) 131930) ((-739 . -23) T) ((-1268 . -1109) T) ((-1057 . -138) T) ((-1029 . -1060) T) ((-819 . -1043) 131914) ((-1009 . -719) 131886) ((-1268 . -23) T) ((-693 . -712) 131851) ((-588 . -611) 131833) ((-391 . -1043) 131817) ((-357 . -1060) T) ((-390 . -138) T) ((-322 . -1043) 131801) ((-216 . -886) 131783) ((-1010 . -921) T) ((-96 . -39) T) ((-1010 . -820) T) ((-915 . -921) T) ((-500 . -1213) T) ((-1184 . -611) 131765) ((-1102 . -1097) T) ((-209 . -1213) T) ((-1005 . -304) 131730) ((-216 . -1043) 131690) ((-45 . -286) T) ((-1079 . -21) T) ((-1079 . -25) T) ((-1115 . -828) T) ((-500 . -561) T) ((-363 . -25) T) ((-209 . -561) T) ((-363 . -21) T) ((-356 . -25) T) ((-356 . -21) T) ((-709 . -640) 131650) ((-344 . -25) T) ((-344 . -21) T) ((-112 . -25) T) ((-112 . -21) T) ((-53 . -1060) T) ((-1163 . -712) 131479) ((-583 . -173) T) ((-571 . -173) T) ((-507 . -173) T) ((-651 . -611) 131461) ((-732 . -731) 131445) ((-335 . -611) 131427) ((-237 . -611) 131409) ((-73 . -388) T) ((-73 . -400) T) ((-1099 . -111) 131393) ((-1064 . -886) 131375) ((-958 . -886) 131300) ((-646 . -1109) T) ((-618 . -712) 131287) ((-495 . -886) NIL) ((-1138 . -105) T) ((-1064 . -1043) 131269) ((-99 . -611) 131251) ((-492 . -151) T) ((-958 . -1043) 131131) ((-126 . -712) 131076) ((-646 . -23) T) ((-495 . -1043) 130952) ((-1085 . -612) NIL) ((-1085 . -611) 130934) ((-782 . -612) NIL) ((-782 . -611) 130895) ((-780 . -612) 130529) ((-780 . -611) 130443) ((-1110 . -633) 130349) ((-466 . -611) 130331) ((-458 . -611) 130313) ((-458 . -612) 130174) ((-1041 . -222) 130120) ((-136 . -39) T) ((-817 . -138) T) ((-871 . -909) 130099) ((-641 . -611) 130081) ((-358 . -1275) 130065) ((-355 . -1275) 130049) ((-343 . -1275) 130033) ((-137 . -526) 129966) ((-131 . -526) 129899) ((-523 . -792) T) ((-523 . -795) T) ((-522 . -794) T) ((-106 . -304) 129837) ((-213 . -105) 129815) ((-219 . -39) T) ((-146 . -39) T) ((-688 . -1097) T) ((-693 . -173) T) ((-1209 . -526) NIL) ((-871 . -640) 129767) ((-1005 . -43) 129715) ((-70 . -389) T) ((-272 . -611) 129697) ((-70 . -400) T) ((-958 . -382) 129681) ((-869 . -286) T) ((-55 . -611) 129663) ((-865 . -1059) 129628) ((-860 . -1059) 129578) ((-584 . -611) 129560) ((-584 . -612) 129542) ((-495 . -382) 129526) ((-540 . -611) 129508) ((-529 . -611) 129490) ((-910 . -1275) 129477) ((-870 . -1203) T) ((-865 . -120) 129426) ((-695 . -456) T) ((-860 . -120) 129353) ((-507 . -526) 129319) ((-500 . -367) T) ((-358 . -373) 129298) ((-355 . -373) 129277) ((-343 . -373) 129256) ((-209 . -367) T) ((-709 . -721) T) ((-125 . -456) T) ((-1163 . -173) 129147) ((-1279 . -1270) 129131) ((-870 . -884) 129108) ((-870 . -886) NIL) ((-971 . -847) 129007) ((-815 . -847) 128958) ((-647 . -649) 128942) ((-1190 . -39) T) ((-172 . -611) 128924) ((-1110 . -21) 128834) ((-1110 . -25) 128685) ((-974 . -1097) T) ((-870 . -1043) 128662) ((-958 . -900) 128643) ((-1230 . -52) 128620) ((-910 . -373) T) ((-64 . -643) 128604) ((-528 . -643) 128588) ((-495 . -900) 128565) ((-76 . -445) T) ((-76 . -400) T) ((-508 . -643) 128549) ((-64 . -378) 128533) ((-618 . -173) T) ((-528 . -378) 128517) ((-508 . -378) 128501) ((-827 . -703) 128485) ((-1165 . -302) 128464) ((-1171 . -138) T) ((-126 . -173) T) ((-739 . -138) T) ((-1138 . -304) 128402) ((-170 . -1203) T) ((-629 . -741) 128386) ((-605 . -741) 128370) ((-1268 . -138) T) ((-1242 . -921) 128349) ((-1221 . -921) 128328) ((-1221 . -820) NIL) ((-688 . -712) 128278) ((-1220 . -909) 128231) ((-1029 . -1097) T) ((-870 . -382) 128208) ((-870 . -337) 128185) ((-905 . -1109) T) ((-170 . -884) 128169) ((-170 . -886) 128094) ((-1258 . -526) 128027) ((-500 . -1109) T) ((-357 . -1097) T) ((-209 . -1109) T) ((-81 . -445) T) ((-81 . -400) T) ((-1241 . -640) 127924) ((-170 . -1043) 127820) ((-315 . -847) T) ((-865 . -1053) T) ((-860 . -1053) T) ((-1220 . -640) 127690) ((-871 . -794) 127669) ((-871 . -791) 127648) ((-1280 . -1273) 127627) ((-871 . -721) T) ((-500 . -23) T) ((-214 . -611) 127609) ((-174 . -456) T) ((-213 . -304) 127547) ((-91 . -445) T) ((-91 . -400) T) ((-865 . -239) T) ((-209 . -23) T) ((-860 . -239) T) ((-738 . -416) 127531) ((-516 . -539) 127406) ((-583 . -286) T) ((-571 . -286) T) ((-671 . -1043) 127390) ((-507 . -286) T) ((-1163 . -526) 127336) ((-142 . -478) 127291) ((-116 . -1097) T) ((-53 . -1097) T) ((-707 . -224) 127275) ((-870 . -900) NIL) ((-1230 . -886) NIL) ((-889 . -105) T) ((-885 . -105) T) ((-393 . -1097) T) ((-170 . -382) 127259) ((-170 . -337) 127243) ((-1230 . -1043) 127123) ((-852 . -1043) 127019) ((-1134 . -105) T) ((-646 . -138) T) ((-126 . -526) 126882) ((-655 . -792) 126861) ((-655 . -795) 126840) ((-578 . -1043) 126822) ((-289 . -1265) 126792) ((-858 . -105) T) ((-970 . -561) 126771) ((-1198 . -1059) 126654) ((-496 . -633) 126560) ((-904 . -1097) T) ((-1029 . -712) 126497) ((-706 . -1059) 126462) ((-862 . -640) 126414) ((-779 . -640) 126366) ((-602 . -39) T) ((-1139 . -1203) T) ((-1198 . -120) 126228) ((-482 . -640) 126125) ((-357 . -712) 126070) ((-170 . -900) 126029) ((-693 . -286) T) ((-738 . -1060) T) ((-688 . -173) T) ((-706 . -120) 125978) ((-1284 . -1060) T) ((-1230 . -382) 125962) ((-423 . -1213) 125940) ((-308 . -845) NIL) ((-423 . -561) T) ((-216 . -302) T) ((-1220 . -791) 125893) ((-1220 . -794) 125846) ((-33 . -1095) T) ((-1241 . -721) T) ((-1220 . -721) T) ((-53 . -712) 125811) ((-1163 . -286) 125722) ((-216 . -1027) T) ((-354 . -1265) 125699) ((-1243 . -416) 125665) ((-713 . -721) T) ((-1230 . -900) 125608) ((-121 . -611) 125590) ((-121 . -612) 125572) ((-713 . -481) T) ((-496 . -21) 125482) ((-137 . -502) 125466) ((-131 . -502) 125450) ((-496 . -25) 125301) ((-618 . -286) T) ((-779 . -39) T) ((-1209 . -502) 125283) ((-588 . -1059) 125258) ((-1208 . -62) 125224) ((-442 . -1097) T) ((-1064 . -302) T) ((-126 . -286) T) ((-1101 . -105) T) ((-1009 . -105) T) ((-588 . -120) 125185) ((-1253 . -1060) T) ((-1134 . -304) 125123) ((-1198 . -1053) T) ((-1064 . -1027) T) ((-71 . -1203) T) ((-1057 . -25) T) ((-1057 . -21) T) ((-706 . -1053) T) ((-390 . -21) T) ((-390 . -25) T) ((-688 . -526) NIL) ((-1029 . -173) T) ((-706 . -239) T) ((-1064 . -553) T) ((-862 . -721) T) ((-779 . -721) T) ((-514 . -105) T) ((-357 . -173) T) ((-342 . -611) 125105) ((-399 . -611) 125087) ((-482 . -721) T) ((-1115 . -845) T) ((-892 . -1043) 125055) ((-112 . -847) T) ((-651 . -1059) 125039) ((-500 . -138) T) ((-1243 . -1060) T) ((-209 . -138) T) ((-237 . -1059) 125021) ((-1149 . -105) 124999) ((-101 . -1097) T) ((-241 . -661) 124983) ((-241 . -643) 124967) ((-651 . -120) 124946) ((-311 . -416) 124930) ((-241 . -378) 124914) ((-1152 . -228) 124861) ((-1005 . -224) 124845) ((-237 . -120) 124820) ((-79 . -1203) T) ((-53 . -173) T) ((-695 . -392) T) ((-695 . -147) T) ((-1279 . -105) T) ((-1085 . -1059) 124663) ((-258 . -909) 124642) ((-243 . -909) 124621) ((-782 . -1059) 124444) ((-780 . -1059) 124287) ((-606 . -1203) T) ((-1157 . -611) 124269) ((-1085 . -120) 124091) ((-1050 . -105) T) ((-483 . -1203) T) ((-466 . -1059) 124062) ((-458 . -1059) 123905) ((-659 . -640) 123889) ((-870 . -302) T) ((-782 . -120) 123691) ((-780 . -120) 123513) ((-358 . -640) 123465) ((-355 . -640) 123417) ((-343 . -640) 123369) ((-258 . -640) 123294) ((-243 . -640) 123219) ((-1151 . -847) T) ((-466 . -120) 123180) ((-458 . -120) 123002) ((-1086 . -1043) 122986) ((-1075 . -1043) 122963) ((-1006 . -39) T) ((-964 . -1203) T) ((-136 . -1016) 122947) ((-970 . -1109) T) ((-870 . -1027) NIL) ((-730 . -1109) T) ((-710 . -1109) T) ((-1258 . -502) 122931) ((-1134 . -43) 122891) ((-970 . -23) T) ((-910 . -640) 122856) ((-840 . -105) T) ((-817 . -21) T) ((-817 . -25) T) ((-730 . -23) T) ((-710 . -23) T) ((-114 . -654) T) ((-775 . -721) T) ((-584 . -1059) 122821) ((-529 . -1059) 122766) ((-220 . -62) 122724) ((-457 . -23) T) ((-412 . -105) T) ((-257 . -105) T) ((-775 . -481) T) ((-972 . -105) T) ((-688 . -286) T) ((-858 . -43) 122694) ((-1209 . -282) 122669) ((-584 . -120) 122618) ((-529 . -120) 122535) ((-739 . -633) 122483) ((-423 . -1109) T) ((-311 . -1060) 122373) ((-308 . -1060) T) ((-927 . -611) 122355) ((-738 . -1097) T) ((-651 . -1053) T) ((-1284 . -1097) T) ((-170 . -302) 122286) ((-423 . -23) T) ((-45 . -611) 122268) ((-45 . -612) 122252) ((-112 . -999) 122234) ((-125 . -868) 122218) ((-53 . -526) 122184) ((-1190 . -1016) 122168) ((-1177 . -39) T) ((-922 . -611) 122150) ((-1110 . -847) 122101) ((-768 . -611) 122083) ((-666 . -611) 122065) ((-1149 . -304) 122003) ((-1089 . -1203) T) ((-493 . -39) T) ((-1085 . -1053) T) ((-492 . -456) T) ((-865 . -1275) 121978) ((-860 . -1275) 121938) ((-1133 . -39) T) ((-782 . -1053) T) ((-780 . -1053) T) ((-639 . -228) 121922) ((-626 . -228) 121868) ((-1230 . -302) 121847) ((-1209 . -19) 121829) ((-1209 . -604) 121804) ((-1085 . -325) 121765) ((-458 . -1053) T) ((-1171 . -21) T) ((-1085 . -226) 121744) ((-782 . -325) 121721) ((-782 . -226) T) ((-780 . -325) 121693) ((-326 . -643) 121677) ((-726 . -1213) 121656) ((-1171 . -25) T) ((-64 . -39) T) ((-530 . -39) T) ((-528 . -39) T) ((-458 . -325) 121635) ((-326 . -378) 121619) ((-509 . -39) T) ((-508 . -39) T) ((-1009 . -1143) NIL) ((-629 . -105) T) ((-605 . -105) T) ((-726 . -561) 121550) ((-358 . -721) T) ((-355 . -721) T) ((-343 . -721) T) ((-258 . -721) T) ((-243 . -721) T) ((-739 . -25) T) ((-739 . -21) T) ((-1050 . -304) 121458) ((-1268 . -21) T) ((-1268 . -25) T) ((-901 . -1097) 121436) ((-55 . -1053) T) ((-1253 . -1097) T) ((-1167 . -561) 121415) ((-1166 . -1213) 121394) ((-1166 . -561) 121345) ((-1159 . -1213) 121324) ((-584 . -1053) T) ((-529 . -1053) T) ((-516 . -105) T) ((-1029 . -286) T) ((-365 . -1043) 121308) ((-320 . -1043) 121292) ((-260 . -1097) 121270) ((-384 . -886) 121252) ((-1159 . -561) 121203) ((-1121 . -561) 121182) ((-1009 . -43) 121127) ((-799 . -1109) T) ((-910 . -721) T) ((-584 . -239) T) ((-584 . -226) T) ((-529 . -226) T) ((-529 . -239) T) ((-738 . -712) 121051) ((-357 . -286) T) ((-639 . -689) 121035) ((-384 . -1043) 120995) ((-260 . -259) 120979) ((-1115 . -1060) T) ((-106 . -135) 120963) ((-799 . -23) T) ((-1278 . -1273) 120939) ((-1276 . -1273) 120918) ((-1258 . -282) 120895) ((-412 . -304) 120860) ((-1243 . -1097) T) ((-1163 . -282) 120787) ((-869 . -611) 120769) ((-834 . -1043) 120738) ((-196 . -787) T) ((-195 . -787) T) ((-34 . -37) 120715) ((-194 . -787) T) ((-193 . -787) T) ((-192 . -787) T) ((-191 . -787) T) ((-190 . -787) T) ((-189 . -787) T) ((-188 . -787) T) ((-187 . -787) T) ((-507 . -1008) T) ((-271 . -836) T) ((-270 . -836) T) ((-269 . -836) T) ((-268 . -836) T) ((-53 . -286) T) ((-267 . -836) T) ((-266 . -836) T) ((-265 . -836) T) ((-186 . -787) T) ((-610 . -847) T) ((-647 . -416) 120699) ((-114 . -847) T) ((-646 . -21) T) ((-646 . -25) T) ((-467 . -611) 120681) ((-1279 . -43) 120651) ((-1258 . -19) 120635) ((-126 . -282) 120565) ((-217 . -105) T) ((-145 . -105) T) ((-1258 . -604) 120542) ((-1269 . -1097) T) ((-1253 . -712) 120439) ((-1076 . -1097) T) ((-994 . -1097) T) ((-970 . -138) T) ((-732 . -1097) T) ((-730 . -138) T) ((-710 . -138) T) ((-523 . -793) T) ((-412 . -1143) 120417) ((-457 . -138) T) ((-523 . -794) T) ((-214 . -1053) T) ((-289 . -105) 120199) ((-143 . -1097) T) ((-693 . -1008) T) ((-96 . -1203) T) ((-137 . -611) 120166) ((-131 . -611) 120133) ((-738 . -173) T) ((-1284 . -173) T) ((-1209 . -612) 120115) ((-1209 . -611) 120097) ((-1166 . -367) 120076) ((-1159 . -367) 120055) ((-311 . -1097) T) ((-423 . -138) T) ((-308 . -1097) T) ((-412 . -43) 120007) ((-1128 . -105) T) ((-1243 . -712) 119864) ((-647 . -1060) T) ((-315 . -149) 119843) ((-315 . -151) 119822) ((-142 . -1097) T) ((-123 . -1097) T) ((-854 . -105) T) ((-583 . -611) 119804) ((-571 . -612) 119703) ((-571 . -611) 119685) ((-507 . -611) 119667) ((-507 . -612) 119612) ((-498 . -23) T) ((-496 . -847) 119563) ((-118 . -1097) T) ((-500 . -633) 119545) ((-779 . -1016) 119497) ((-209 . -633) 119479) ((-216 . -409) T) ((-655 . -640) 119463) ((-1165 . -921) 119442) ((-726 . -1109) T) ((-354 . -105) T) ((-818 . -847) T) ((-726 . -23) T) ((-342 . -1059) 119387) ((-1151 . -1150) T) ((-1139 . -111) 119371) ((-1253 . -173) 119322) ((-1167 . -1109) T) ((-1166 . -1109) T) ((-1159 . -1109) T) ((-1121 . -1109) T) ((-527 . -1043) 119306) ((-342 . -120) 119223) ((-217 . -304) NIL) ((-145 . -304) NIL) ((-1010 . -1213) T) ((-136 . -1203) T) ((-915 . -1213) T) ((-1259 . -611) 119205) ((-1207 . -1097) T) ((-688 . -282) NIL) ((-1167 . -23) T) ((-1166 . -23) T) ((-1159 . -23) T) ((-1134 . -224) 119189) ((-1121 . -23) T) ((-1074 . -1097) T) ((-1010 . -561) T) ((-915 . -561) T) ((-799 . -138) T) ((-219 . -1203) T) ((-146 . -1203) T) ((-738 . -526) 119155) ((-705 . -611) 119137) ((-34 . -1097) T) ((-311 . -712) 119047) ((-308 . -712) 118976) ((-693 . -611) 118958) ((-693 . -612) 118903) ((-412 . -405) 118887) ((-443 . -1097) T) ((-500 . -25) T) ((-500 . -21) T) ((-1115 . -1097) T) ((-209 . -25) T) ((-209 . -21) T) ((-707 . -416) 118871) ((-709 . -1043) 118840) ((-1258 . -611) 118779) ((-1258 . -612) 118740) ((-1243 . -173) T) ((-241 . -39) T) ((-1163 . -612) NIL) ((-1163 . -611) 118722) ((-931 . -981) T) ((-1190 . -1203) T) ((-655 . -791) 118701) ((-655 . -794) 118680) ((-403 . -400) T) ((-534 . -105) 118658) ((-1041 . -1097) T) ((-213 . -1001) 118642) ((-517 . -105) T) ((-618 . -611) 118624) ((-50 . -847) NIL) ((-618 . -612) 118601) ((-1041 . -608) 118576) ((-901 . -526) 118509) ((-342 . -1053) T) ((-130 . -611) 118491) ((-126 . -612) NIL) ((-126 . -611) 118473) ((-871 . -1203) T) ((-665 . -422) 118457) ((-665 . -1118) 118402) ((-260 . -526) 118335) ((-512 . -155) 118317) ((-342 . -226) T) ((-342 . -239) T) ((-45 . -1059) 118262) ((-871 . -884) 118246) ((-871 . -886) 118171) ((-707 . -1060) T) ((-688 . -1008) NIL) ((-1241 . -52) 118141) ((-1220 . -52) 118118) ((-1133 . -1016) 118089) ((-1115 . -712) 118076) ((-1102 . -611) 118058) ((-871 . -1043) 117922) ((-216 . -921) T) ((-45 . -120) 117839) ((-738 . -286) T) ((-1079 . -151) 117818) ((-1079 . -149) 117769) ((-1010 . -367) T) ((-865 . -640) 117734) ((-860 . -640) 117684) ((-315 . -1192) 117650) ((-384 . -302) T) ((-315 . -1189) 117616) ((-311 . -173) 117595) ((-308 . -173) T) ((-1009 . -224) 117572) ((-915 . -367) T) ((-584 . -1275) 117559) ((-529 . -1275) 117536) ((-363 . -151) 117515) ((-363 . -149) 117466) ((-356 . -151) 117445) ((-356 . -149) 117396) ((-606 . -1180) 117372) ((-344 . -151) 117351) ((-344 . -149) 117302) ((-315 . -40) 117268) ((-483 . -1180) 117247) ((0 . |EnumerationCategory|) T) ((-315 . -98) 117213) ((-384 . -1027) T) ((-112 . -151) T) ((-112 . -149) NIL) ((-50 . -228) 117163) ((-647 . -1097) T) ((-606 . -111) 117110) ((-498 . -138) T) ((-483 . -111) 117060) ((-233 . -1109) 116970) ((-1084 . -1109) T) ((-871 . -382) 116954) ((-871 . -337) 116938) ((-233 . -23) 116808) ((-1064 . -921) T) ((-1064 . -820) T) ((-584 . -373) T) ((-529 . -373) T) ((-739 . -847) 116787) ((-1209 . -284) 116762) ((-354 . -1143) T) ((-326 . -39) T) ((-49 . -422) 116746) ((-1084 . -23) T) ((-395 . -741) 116730) ((-1269 . -526) 116663) ((-726 . -138) T) ((-1253 . -286) 116642) ((-1249 . -561) 116621) ((-1242 . -1213) 116600) ((-1242 . -561) 116551) ((-1221 . -1213) 116530) ((-1221 . -561) 116481) ((-732 . -526) 116414) ((-1220 . -1203) 116393) ((-1220 . -886) 116266) ((-893 . -1097) T) ((-148 . -841) T) ((-1220 . -884) 116236) ((-1215 . -561) 116215) ((-1167 . -138) T) ((-534 . -304) 116153) ((-1166 . -138) T) ((-143 . -526) NIL) ((-1159 . -138) T) ((-1121 . -138) T) ((-1029 . -1008) T) ((-1010 . -23) T) ((-354 . -43) 116118) ((-1010 . -1109) T) ((-915 . -1109) T) ((-87 . -611) 116100) ((-45 . -1053) T) ((-869 . -1059) 116087) ((-871 . -900) 116046) ((-779 . -52) 116023) ((-695 . -105) T) ((-1009 . -352) NIL) ((-602 . -1203) T) ((-978 . -23) T) ((-915 . -23) T) ((-869 . -120) 116008) ((-432 . -1109) T) ((-482 . -52) 115978) ((-140 . -105) T) ((-45 . -226) 115950) ((-45 . -239) T) ((-125 . -105) T) ((-597 . -561) 115929) ((-596 . -561) 115908) ((-688 . -611) 115890) ((-688 . -612) 115798) ((-311 . -526) 115764) ((-308 . -526) 115515) ((-1241 . -1043) 115499) ((-1220 . -1043) 115285) ((-1005 . -416) 115269) ((-432 . -23) T) ((-1115 . -173) T) ((-865 . -721) T) ((-860 . -721) T) ((-1243 . -286) T) ((-647 . -712) 115239) ((-148 . -1097) T) ((-53 . -1008) T) ((-412 . -224) 115223) ((-290 . -228) 115173) ((-870 . -921) T) ((-870 . -820) NIL) ((-974 . -611) 115155) ((-857 . -847) T) ((-1220 . -337) 115125) ((-1220 . -382) 115095) ((-213 . -1116) 115079) ((-779 . -1203) T) ((-1258 . -284) 115056) ((-503 . -105) T) ((-1198 . -640) 114981) ((-970 . -21) T) ((-970 . -25) T) ((-730 . -21) T) ((-730 . -25) T) ((-710 . -21) T) ((-710 . -25) T) ((-706 . -640) 114946) ((-457 . -21) T) ((-457 . -25) T) ((-338 . -105) T) ((-174 . -105) T) ((-1005 . -1060) T) ((-869 . -1053) T) ((-862 . -1043) 114930) ((-771 . -105) T) ((-1207 . -526) NIL) ((-1242 . -367) 114909) ((-1241 . -900) 114815) ((-1221 . -367) 114794) ((-1220 . -900) 114645) ((-1029 . -611) 114627) ((-412 . -828) 114580) ((-1167 . -505) 114546) ((-170 . -921) 114477) ((-1166 . -505) 114443) ((-1159 . -505) 114409) ((-707 . -1097) T) ((-1121 . -505) 114375) ((-583 . -1059) 114362) ((-571 . -1059) 114349) ((-507 . -1059) 114314) ((-311 . -286) 114293) ((-308 . -286) T) ((-357 . -611) 114275) ((-423 . -25) T) ((-423 . -21) T) ((-101 . -282) 114254) ((-583 . -120) 114239) ((-571 . -120) 114224) ((-507 . -120) 114173) ((-1169 . -886) 114140) ((-35 . -105) T) ((-901 . -502) 114124) ((-116 . -611) 114106) ((-53 . -611) 114088) ((-53 . -612) 114033) ((-260 . -502) 114017) ((-233 . -138) 113887) ((-1230 . -921) 113866) ((-816 . -1213) 113845) ((-1041 . -526) 113653) ((-1084 . -138) T) ((-393 . -611) 113635) ((-816 . -561) 113566) ((-588 . -640) 113541) ((-258 . -52) 113513) ((-243 . -52) 113470) ((-537 . -521) 113447) ((-1006 . -1203) T) ((-1249 . -23) T) ((-1249 . -1109) T) ((-693 . -1059) 113412) ((-779 . -900) 113325) ((-1242 . -1109) T) ((-1242 . -23) T) ((-1221 . -1109) T) ((-1215 . -1109) T) ((-1009 . -375) 113297) ((-121 . -373) T) ((-482 . -900) 113203) ((-1221 . -23) T) ((-1215 . -23) T) ((-904 . -611) 113185) ((-96 . -111) 113169) ((-1198 . -721) T) ((-905 . -847) 113120) ((-695 . -1143) T) ((-693 . -120) 113069) ((-1205 . -1097) T) ((-597 . -1109) T) ((-596 . -1109) T) ((-707 . -712) 112898) ((-706 . -721) T) ((-1115 . -286) T) ((-1010 . -138) T) ((-500 . -847) T) ((-978 . -138) T) ((-915 . -138) T) ((-799 . -25) T) ((-209 . -847) T) ((-799 . -21) T) ((-583 . -1053) T) ((-571 . -1053) T) ((-507 . -1053) T) ((-597 . -23) T) ((-342 . -1275) 112875) ((-315 . -456) 112854) ((-338 . -304) 112841) ((-596 . -23) T) ((-432 . -138) T) ((-651 . -640) 112815) ((-1163 . -1059) 112638) ((-241 . -1016) 112622) ((-871 . -302) T) ((-1280 . -1270) 112606) ((-768 . -792) T) ((-768 . -795) T) ((-695 . -43) 112593) ((-237 . -640) 112575) ((-571 . -226) T) ((-507 . -239) T) ((-507 . -226) T) ((-1163 . -120) 112377) ((-1142 . -228) 112327) ((-1085 . -909) 112306) ((-125 . -43) 112293) ((-202 . -800) T) ((-201 . -800) T) ((-200 . -800) T) ((-199 . -800) T) ((-871 . -1027) 112271) ((-1269 . -502) 112255) ((-782 . -909) 112234) ((-780 . -909) 112213) ((-1177 . -1203) T) ((-458 . -909) 112192) ((-732 . -502) 112176) ((-1085 . -640) 112101) ((-782 . -640) 112026) ((-618 . -1059) 112013) ((-493 . -1203) T) ((-342 . -373) T) ((-143 . -502) 111995) ((-780 . -640) 111920) ((-1133 . -1203) T) ((-466 . -640) 111891) ((-258 . -886) 111750) ((-243 . -886) NIL) ((-126 . -1059) 111695) ((-458 . -640) 111620) ((-659 . -1043) 111597) ((-618 . -120) 111582) ((-358 . -1043) 111566) ((-355 . -1043) 111550) ((-343 . -1043) 111534) ((-258 . -1043) 111378) ((-243 . -1043) 111254) ((-126 . -120) 111171) ((-64 . -1203) T) ((-530 . -1203) T) ((-528 . -1203) T) ((-509 . -1203) T) ((-508 . -1203) T) ((-442 . -611) 111153) ((-439 . -611) 111135) ((-3 . -105) T) ((-1033 . -1197) 111104) ((-833 . -105) T) ((-684 . -62) 111062) ((-693 . -1053) T) ((-55 . -640) 111036) ((-285 . -456) T) ((-484 . -1197) 111005) ((-1253 . -282) 110990) ((0 . -105) T) ((-584 . -640) 110955) ((-529 . -640) 110900) ((-54 . -105) T) ((-910 . -1043) 110887) ((-693 . -239) T) ((-1079 . -414) 110866) ((-726 . -633) 110814) ((-1005 . -1097) T) ((-707 . -173) 110705) ((-500 . -999) 110687) ((-468 . -1097) T) ((-258 . -382) 110671) ((-243 . -382) 110655) ((-404 . -1097) T) ((-1163 . -1053) T) ((-338 . -43) 110639) ((-1032 . -105) 110617) ((-209 . -999) 110599) ((-174 . -43) 110531) ((-1241 . -302) 110510) ((-1220 . -302) 110489) ((-1163 . -325) 110466) ((-651 . -721) T) ((-1163 . -226) T) ((-101 . -611) 110448) ((-1159 . -633) 110400) ((-498 . -25) T) ((-498 . -21) T) ((-1220 . -1027) 110352) ((-618 . -1053) T) ((-384 . -409) T) ((-395 . -105) T) ((-258 . -900) 110298) ((-243 . -900) 110275) ((-126 . -1053) T) ((-816 . -1109) T) ((-1085 . -721) T) ((-618 . -226) 110254) ((-616 . -105) T) ((-1207 . -502) 110236) ((-782 . -721) T) ((-780 . -721) T) ((-1206 . -62) 110202) ((-418 . -1109) T) ((-126 . -239) T) ((-45 . -373) NIL) ((-126 . -226) NIL) ((-458 . -721) T) ((-816 . -23) T) ((-726 . -25) T) ((-726 . -21) T) ((-697 . -847) T) ((-1076 . -282) 110181) ((-83 . -401) T) ((-83 . -400) T) ((-1253 . -1008) 110147) ((-688 . -1059) 110097) ((-1249 . -138) T) ((-1242 . -138) T) ((-1221 . -138) T) ((-1215 . -138) T) ((-1167 . -25) T) ((-1134 . -416) 110081) ((-629 . -371) 110013) ((-605 . -371) 109945) ((-1149 . -1141) 109929) ((-106 . -1097) 109907) ((-1167 . -21) T) ((-1166 . -21) T) ((-1166 . -25) T) ((-1005 . -712) 109855) ((-214 . -640) 109822) ((-688 . -120) 109749) ((-55 . -721) T) ((-1159 . -21) T) ((-354 . -352) T) ((-1159 . -25) T) ((-1079 . -456) 109700) ((-1121 . -21) T) ((-707 . -526) 109646) ((-584 . -721) T) ((-529 . -721) T) ((-862 . -302) T) ((-1121 . -25) T) ((-779 . -302) T) ((-597 . -138) T) ((-596 . -138) T) ((-363 . -456) T) ((-356 . -456) T) ((-344 . -456) T) ((-482 . -302) 109625) ((-308 . -282) 109491) ((-112 . -456) T) ((-84 . -445) T) ((-84 . -400) T) ((-492 . -105) T) ((-738 . -612) 109352) ((-738 . -611) 109334) ((-1284 . -611) 109316) ((-1284 . -612) 109298) ((-1079 . -407) 109277) ((-1041 . -502) 109209) ((-571 . -795) T) ((-571 . -792) T) ((-1065 . -228) 109155) ((-363 . -407) 109106) ((-356 . -407) 109057) ((-344 . -407) 109008) ((-1271 . -1109) T) ((-1271 . -23) T) ((-1260 . -105) T) ((-1134 . -1060) T) ((-665 . -741) 108992) ((-1171 . -149) 108971) ((-1171 . -151) 108950) ((-1138 . -1097) T) ((-1138 . -1072) 108919) ((-74 . -1203) T) ((-1029 . -1059) 108856) ((-858 . -1060) T) ((-739 . -149) 108835) ((-739 . -151) 108814) ((-233 . -633) 108720) ((-688 . -1053) T) ((-234 . -561) 108699) ((-357 . -1059) 108644) ((-66 . -1203) T) ((-1029 . -120) 108553) ((-901 . -611) 108520) ((-688 . -239) T) ((-688 . -226) NIL) ((-1205 . -526) NIL) ((-840 . -845) 108499) ((-693 . -795) T) ((-693 . -792) T) ((-1253 . -611) 108481) ((-1207 . -282) 108456) ((-1009 . -416) 108433) ((-357 . -120) 108350) ((-260 . -611) 108317) ((-384 . -921) T) ((-412 . -845) 108296) ((-707 . -286) 108207) ((-214 . -721) T) ((-1249 . -505) 108173) ((-1242 . -505) 108139) ((-1221 . -505) 108105) ((-1215 . -505) 108071) ((-311 . -1008) 108050) ((-213 . -1097) 108028) ((-315 . -980) 107990) ((-109 . -105) T) ((-53 . -1059) 107955) ((-1280 . -105) T) ((-386 . -105) T) ((-53 . -120) 107904) ((-1010 . -633) 107886) ((-1243 . -611) 107868) ((-537 . -105) T) ((-512 . -105) T) ((-1128 . -1129) 107852) ((-156 . -1265) 107836) ((-241 . -1203) T) ((-1207 . -19) 107818) ((-779 . -668) 107770) ((-1165 . -1213) 107749) ((-1120 . -1213) 107728) ((-233 . -21) 107638) ((-233 . -25) 107489) ((-137 . -128) 107473) ((-131 . -128) 107457) ((-1209 . -643) 107439) ((-49 . -741) 107423) ((-1207 . -604) 107398) ((-1165 . -561) 107309) ((-1120 . -561) 107240) ((-1209 . -378) 107222) ((-1041 . -282) 107197) ((-1084 . -25) T) ((-1084 . -21) T) ((-816 . -138) T) ((-126 . -795) NIL) ((-126 . -792) NIL) ((-358 . -302) T) ((-355 . -302) T) ((-343 . -302) T) ((-1091 . -1203) T) ((-245 . -1109) 107107) ((-244 . -1109) 107017) ((-1029 . -1053) T) ((-1009 . -1060) T) ((-342 . -640) 106962) ((-616 . -43) 106946) ((-1269 . -611) 106908) ((-1269 . -612) 106869) ((-1076 . -611) 106851) ((-1029 . -239) T) ((-357 . -1053) T) ((-815 . -1265) 106821) ((-245 . -23) T) ((-244 . -23) T) ((-994 . -611) 106803) ((-732 . -612) 106764) ((-732 . -611) 106746) ((-799 . -847) 106725) ((-1005 . -526) 106637) ((-357 . -226) T) ((-357 . -239) T) ((-1152 . -155) 106584) ((-1010 . -25) T) ((-143 . -611) 106566) ((-143 . -612) 106525) ((-910 . -302) T) ((-1010 . -21) T) ((-978 . -25) T) ((-915 . -21) T) ((-915 . -25) T) ((-432 . -21) T) ((-432 . -25) T) ((-840 . -416) 106509) ((-53 . -1053) T) ((-1278 . -1270) 106493) ((-1276 . -1270) 106477) ((-1041 . -604) 106452) ((-311 . -612) 106313) ((-311 . -611) 106295) ((-308 . -612) NIL) ((-308 . -611) 106277) ((-53 . -239) T) ((-53 . -226) T) ((-647 . -282) 106238) ((-554 . -228) 106188) ((-142 . -611) 106170) ((-123 . -611) 106152) ((-492 . -43) 106117) ((-1280 . -1277) 106096) ((-1271 . -138) T) ((-1279 . -1060) T) ((-1081 . -105) T) ((-118 . -611) 106078) ((-93 . -1203) T) ((-512 . -304) NIL) ((-1006 . -111) 106062) ((-889 . -1097) T) ((-885 . -1097) T) ((-1258 . -643) 106046) ((-1258 . -378) 106030) ((-326 . -1203) T) ((-594 . -847) T) ((-234 . -1109) T) ((-1134 . -1097) T) ((-1134 . -1056) 105970) ((-106 . -526) 105903) ((-932 . -611) 105885) ((-234 . -23) T) ((-342 . -721) T) ((-30 . -611) 105867) ((-858 . -1097) T) ((-840 . -1060) 105846) ((-45 . -640) 105791) ((-216 . -1213) T) ((-412 . -1060) T) ((-1151 . -155) 105773) ((-1005 . -286) 105724) ((-216 . -561) T) ((-1207 . -612) 105706) ((-315 . -1238) 105690) ((-315 . -1235) 105660) ((-1207 . -611) 105642) ((-1177 . -1180) 105621) ((-1074 . -611) 105603) ((-34 . -611) 105585) ((-865 . -1043) 105545) ((-860 . -1043) 105490) ((-639 . -155) 105474) ((-626 . -155) 105420) ((-1177 . -111) 105370) ((-493 . -1180) 105349) ((-500 . -151) T) ((-500 . -149) NIL) ((-1115 . -612) 105264) ((-443 . -611) 105246) ((-209 . -151) T) ((-209 . -149) NIL) ((-1115 . -611) 105228) ((-57 . -105) T) ((-1221 . -633) 105180) ((-493 . -111) 105130) ((-1000 . -23) T) ((-1280 . -43) 105100) ((-1165 . -1109) T) ((-1120 . -1109) T) ((-1064 . -1213) T) ((-851 . -1109) T) ((-958 . -1213) 105079) ((-1205 . -502) 105061) ((-495 . -1213) 105040) ((-726 . -847) 105019) ((-1064 . -561) T) ((-1204 . -62) 104985) ((-958 . -561) 104916) ((-1165 . -23) T) ((-1120 . -23) T) ((-851 . -23) T) ((-495 . -561) 104847) ((-1134 . -712) 104779) ((-1138 . -526) 104712) ((-1041 . -612) NIL) ((-1041 . -611) 104694) ((-858 . -712) 104664) ((-1284 . -1059) 104651) ((-1284 . -120) 104636) ((-1198 . -52) 104605) ((-245 . -138) T) ((-244 . -138) T) ((-1101 . -1097) T) ((-1009 . -1097) T) ((-67 . -611) 104587) ((-1159 . -847) NIL) ((-1029 . -792) T) ((-1029 . -795) T) ((-1249 . -25) T) ((-738 . -1059) 104511) ((-1249 . -21) T) ((-1242 . -21) T) ((-869 . -640) 104498) ((-1242 . -25) T) ((-1221 . -21) T) ((-1221 . -25) T) ((-1215 . -25) T) ((-1215 . -21) T) ((-1033 . -155) 104482) ((-871 . -820) 104461) ((-871 . -921) T) ((-738 . -120) 104364) ((-707 . -282) 104291) ((-597 . -21) T) ((-597 . -25) T) ((-596 . -21) T) ((-45 . -721) T) ((-213 . -526) 104224) ((-596 . -25) T) ((-484 . -155) 104208) ((-471 . -155) 104192) ((-922 . -721) T) ((-768 . -793) T) ((-768 . -794) T) ((-514 . -1097) T) ((-768 . -721) T) ((-216 . -367) T) ((-1149 . -1097) 104170) ((-870 . -1213) T) ((-647 . -611) 104152) ((-870 . -561) T) ((-688 . -373) NIL) ((-363 . -1265) 104136) ((-665 . -105) T) ((-356 . -1265) 104120) ((-344 . -1265) 104104) ((-1279 . -1097) T) ((-531 . -847) 104083) ((-1253 . -1059) 103966) ((-817 . -456) 103945) ((-1050 . -1097) T) ((-1050 . -1072) 103874) ((-1033 . -983) 103843) ((-819 . -1109) T) ((-1009 . -712) 103788) ((-1253 . -120) 103650) ((-234 . -138) T) ((-391 . -1109) T) ((-484 . -983) 103619) ((-471 . -983) 103588) ((-926 . -1095) T) ((-114 . -155) 103570) ((-78 . -611) 103552) ((-893 . -611) 103534) ((-1079 . -719) 103513) ((-738 . -1053) T) ((-1284 . -1053) T) ((-1205 . -282) 103488) ((-816 . -633) 103436) ((-289 . -1060) 103378) ((-170 . -1213) 103283) ((-216 . -1109) T) ((-322 . -23) T) ((-1159 . -999) 103235) ((-840 . -1097) T) ((-738 . -239) 103214) ((-1121 . -735) 103193) ((-1243 . -1059) 103082) ((-1241 . -921) 103061) ((-869 . -721) T) ((-170 . -561) 102972) ((-1220 . -921) 102951) ((-583 . -640) 102938) ((-412 . -1097) T) ((-571 . -640) 102925) ((-257 . -1097) T) ((-507 . -640) 102890) ((-216 . -23) T) ((-1220 . -820) 102843) ((-972 . -1097) T) ((-1278 . -105) T) ((-357 . -1275) 102820) ((-1276 . -105) T) ((-1243 . -120) 102670) ((-148 . -611) 102652) ((-1000 . -138) T) ((-49 . -105) T) ((-233 . -847) 102603) ((-1279 . -712) 102573) ((-1230 . -1213) 102552) ((-106 . -502) 102536) ((-1230 . -561) 102447) ((-1205 . -19) 102429) ((-1085 . -52) 102390) ((-1064 . -1109) T) ((-958 . -1109) T) ((-137 . -39) T) ((-131 . -39) T) ((-1209 . -39) T) ((-1207 . -284) 102365) ((-782 . -52) 102342) ((-780 . -52) 102314) ((-1205 . -604) 102289) ((-1165 . -138) T) ((-357 . -373) T) ((-495 . -1109) T) ((-1120 . -138) T) ((-1064 . -23) T) ((-458 . -52) 102268) ((-870 . -367) T) ((-851 . -138) T) ((-156 . -105) T) ((-739 . -456) 102199) ((-958 . -23) T) ((-578 . -561) T) ((-816 . -25) T) ((-816 . -21) T) ((-1134 . -526) 102132) ((-588 . -1043) 102116) ((-495 . -23) T) ((-354 . -1060) T) ((-1253 . -1053) T) ((-1198 . -900) 102097) ((-665 . -304) 102035) ((-1253 . -226) 101994) ((-1110 . -1265) 101964) ((-693 . -640) 101929) ((-1010 . -847) T) ((-1009 . -173) T) ((-970 . -149) 101908) ((-629 . -1097) T) ((-605 . -1097) T) ((-970 . -151) 101887) ((-862 . -921) T) ((-730 . -151) 101866) ((-730 . -149) 101845) ((-978 . -847) T) ((-779 . -921) T) ((-482 . -921) 101824) ((-311 . -1059) 101734) ((-308 . -1059) 101663) ((-1005 . -282) 101621) ((-1163 . -909) 101600) ((-412 . -712) 101552) ((-695 . -845) T) ((-541 . -1095) T) ((-516 . -1097) T) ((-1243 . -1053) T) ((-311 . -120) 101441) ((-308 . -120) 101326) ((-1243 . -325) 101270) ((-1163 . -640) 101195) ((-971 . -105) T) ((-815 . -105) 100985) ((-707 . -612) NIL) ((-707 . -611) 100967) ((-1041 . -284) 100942) ((-651 . -1043) 100838) ((-865 . -302) T) ((-583 . -721) T) ((-571 . -794) T) ((-571 . -791) T) ((-170 . -367) 100789) ((-571 . -721) T) ((-507 . -721) T) ((-237 . -1043) 100773) ((-860 . -302) T) ((-1138 . -502) 100757) ((-1085 . -886) NIL) ((-870 . -1109) T) ((-126 . -909) NIL) ((-1278 . -1277) 100733) ((-1276 . -1277) 100712) ((-782 . -886) NIL) ((-780 . -886) 100571) ((-1271 . -25) T) ((-1271 . -21) T) ((-1201 . -105) 100549) ((-1103 . -400) T) ((-618 . -640) 100536) ((-458 . -886) NIL) ((-669 . -105) 100514) ((-1085 . -1043) 100341) ((-870 . -23) T) ((-782 . -1043) 100200) ((-780 . -1043) 100057) ((-126 . -640) 100002) ((-458 . -1043) 99878) ((-641 . -1043) 99862) ((-621 . -105) T) ((-213 . -502) 99846) ((-1258 . -39) T) ((-629 . -712) 99830) ((-605 . -712) 99814) ((-665 . -43) 99774) ((-315 . -105) T) ((-217 . -1097) T) ((-145 . -1097) T) ((-90 . -611) 99756) ((-55 . -1043) 99740) ((-1115 . -1059) 99727) ((-1085 . -382) 99711) ((-782 . -382) 99695) ((-65 . -62) 99657) ((-693 . -794) T) ((-693 . -791) T) ((-584 . -1043) 99644) ((-529 . -1043) 99621) ((-693 . -721) T) ((-322 . -138) T) ((-311 . -1053) 99511) ((-308 . -1053) T) ((-170 . -1109) T) ((-780 . -382) 99495) ((-50 . -155) 99445) ((-1010 . -999) 99427) ((-1205 . -612) 99409) ((-1205 . -611) 99391) ((-458 . -382) 99375) ((-412 . -173) T) ((-311 . -239) 99354) ((-308 . -239) T) ((-308 . -226) NIL) ((-289 . -1097) 99136) ((-216 . -138) T) ((-1115 . -120) 99121) ((-170 . -23) T) ((-799 . -151) 99100) ((-799 . -149) 99079) ((-245 . -633) 98985) ((-244 . -633) 98891) ((-315 . -280) 98857) ((-1163 . -721) T) ((-1149 . -526) 98790) ((-1128 . -1097) T) ((-216 . -1062) T) ((-815 . -304) 98728) ((-1085 . -900) 98663) ((-782 . -900) 98606) ((-780 . -900) 98590) ((-1278 . -43) 98560) ((-1276 . -43) 98530) ((-1230 . -1109) T) ((-852 . -1109) T) ((-458 . -900) 98507) ((-854 . -1097) T) ((-1230 . -23) T) ((-578 . -1109) T) ((-852 . -23) T) ((-618 . -721) T) ((-358 . -921) T) ((-355 . -921) T) ((-285 . -105) T) ((-343 . -921) T) ((-1064 . -138) T) ((-958 . -138) T) ((-126 . -794) NIL) ((-126 . -791) NIL) ((-126 . -721) T) ((-688 . -909) NIL) ((-1050 . -526) 98391) ((-495 . -138) T) ((-578 . -23) T) ((-669 . -304) 98329) ((-629 . -758) T) ((-605 . -758) T) ((-1221 . -847) NIL) ((-1009 . -286) T) ((-245 . -21) T) ((-688 . -640) 98279) ((-354 . -1097) T) ((-245 . -25) T) ((-244 . -21) T) ((-244 . -25) T) ((-156 . -43) 98263) ((-2 . -105) T) ((-910 . -921) T) ((-496 . -1265) 98233) ((-214 . -1043) 98210) ((-1115 . -1053) T) ((-706 . -302) T) ((-289 . -712) 98152) ((-695 . -1060) T) ((-500 . -456) T) ((-412 . -526) 98064) ((-209 . -456) T) ((-1115 . -226) T) ((-290 . -155) 98014) ((-1005 . -612) 97975) ((-1005 . -611) 97957) ((-996 . -611) 97939) ((-125 . -1060) T) ((-647 . -1059) 97923) ((-216 . -505) T) ((-468 . -611) 97905) ((-404 . -611) 97887) ((-404 . -612) 97864) ((-1057 . -1265) 97834) ((-647 . -120) 97813) ((-1134 . -502) 97797) ((-815 . -43) 97767) ((-68 . -445) T) ((-68 . -400) T) ((-1152 . -105) T) ((-870 . -138) T) ((-497 . -105) 97745) ((-1284 . -373) T) ((-739 . -955) 97714) ((-1079 . -105) T) ((-1063 . -105) T) ((-354 . -712) 97659) ((-726 . -151) 97638) ((-726 . -149) 97617) ((-1029 . -640) 97554) ((-534 . -1097) 97532) ((-363 . -105) T) ((-356 . -105) T) ((-344 . -105) T) ((-234 . -21) T) ((-234 . -25) T) ((-112 . -105) T) ((-517 . -1097) T) ((-357 . -640) 97477) ((-1165 . -633) 97425) ((-1120 . -633) 97373) ((-390 . -521) 97352) ((-833 . -845) 97331) ((-384 . -1213) T) ((-688 . -721) T) ((-338 . -1060) T) ((-1221 . -999) 97283) ((-174 . -1060) T) ((-106 . -611) 97250) ((-1167 . -149) 97229) ((-1167 . -151) 97208) ((-384 . -561) T) ((-1166 . -151) 97187) ((-1166 . -149) 97166) ((-1159 . -149) 97073) ((-412 . -286) T) ((-1159 . -151) 96980) ((-1121 . -151) 96959) ((-1121 . -149) 96938) ((-315 . -43) 96779) ((-170 . -138) T) ((-308 . -795) NIL) ((-308 . -792) NIL) ((-647 . -1053) T) ((-53 . -640) 96744) ((-1000 . -21) T) ((-137 . -1016) 96728) ((-131 . -1016) 96712) ((-1000 . -25) T) ((-901 . -128) 96696) ((-1151 . -105) T) ((-816 . -847) 96675) ((-1230 . -138) T) ((-1205 . -284) 96650) ((-1165 . -25) T) ((-1165 . -21) T) ((-852 . -138) T) ((-1120 . -25) T) ((-1120 . -21) T) ((-851 . -25) T) ((-851 . -21) T) ((-782 . -302) 96629) ((-35 . -37) 96613) ((-1152 . -304) 96408) ((-1149 . -502) 96392) ((-639 . -105) 96370) ((-626 . -105) T) ((-1142 . -155) 96320) ((-578 . -138) T) ((-616 . -845) 96299) ((-1138 . -611) 96261) ((-1138 . -612) 96222) ((-1029 . -791) T) ((-1029 . -794) T) ((-1029 . -721) T) ((-497 . -304) 96160) ((-457 . -422) 96130) ((-354 . -173) T) ((-217 . -526) NIL) ((-145 . -526) NIL) ((-285 . -43) 96117) ((-271 . -105) T) ((-270 . -105) T) ((-269 . -105) T) ((-268 . -105) T) ((-267 . -105) T) ((-266 . -105) T) ((-265 . -105) T) ((-342 . -1043) 96094) ((-205 . -105) T) ((-204 . -105) T) ((-202 . -105) T) ((-201 . -105) T) ((-200 . -105) T) ((-199 . -105) T) ((-196 . -105) T) ((-195 . -105) T) ((-707 . -1059) 95917) ((-194 . -105) T) ((-193 . -105) T) ((-192 . -105) T) ((-191 . -105) T) ((-190 . -105) T) ((-189 . -105) T) ((-188 . -105) T) ((-187 . -105) T) ((-186 . -105) T) ((-357 . -721) T) ((-707 . -120) 95719) ((-665 . -224) 95703) ((-584 . -302) T) ((-529 . -302) T) ((-289 . -526) 95652) ((-112 . -304) NIL) ((-77 . -400) T) ((-1110 . -105) 95442) ((-833 . -416) 95426) ((-1115 . -795) T) ((-1115 . -792) T) ((-695 . -1097) T) ((-384 . -367) T) ((-170 . -505) 95404) ((-213 . -611) 95371) ((-140 . -1097) T) ((-125 . -1097) T) ((-53 . -721) T) ((-1050 . -502) 95336) ((-143 . -430) 95318) ((-143 . -373) T) ((-1033 . -105) T) ((-524 . -521) 95297) ((-484 . -105) T) ((-471 . -105) T) ((-1040 . -1109) T) ((-739 . -1233) 95281) ((-1167 . -40) 95247) ((-1167 . -98) 95213) ((-1167 . -1192) 95179) ((-1167 . -1189) 95145) ((-1166 . -1189) 95111) ((-1151 . -304) NIL) ((-94 . -401) T) ((-94 . -400) T) ((-1079 . -1143) 95090) ((-1166 . -1192) 95056) ((-1166 . -98) 95022) ((-1040 . -23) T) ((-1166 . -40) 94988) ((-578 . -505) T) ((-1159 . -1189) 94954) ((-1159 . -1192) 94920) ((-1159 . -98) 94886) ((-1159 . -40) 94852) ((-365 . -1109) T) ((-363 . -1143) 94831) ((-356 . -1143) 94810) ((-344 . -1143) 94789) ((-1121 . -40) 94755) ((-1121 . -98) 94721) ((-1121 . -1192) 94687) ((-112 . -1143) T) ((-1121 . -1189) 94653) ((-833 . -1060) 94632) ((-639 . -304) 94570) ((-626 . -304) 94421) ((-1079 . -43) 94289) ((-707 . -1053) T) ((-1064 . -633) 94271) ((-1010 . -151) T) ((-958 . -633) 94219) ((-503 . -1097) T) ((-1010 . -149) NIL) ((-384 . -1109) T) ((-322 . -25) T) ((-320 . -23) T) ((-949 . -847) 94198) ((-707 . -325) 94175) ((-495 . -633) 94123) ((-45 . -1043) 93998) ((-695 . -712) 93985) ((-707 . -226) T) ((-338 . -1097) T) ((-174 . -1097) T) ((-330 . -847) T) ((-423 . -456) 93935) ((-384 . -23) T) ((-363 . -43) 93900) ((-356 . -43) 93865) ((-344 . -43) 93830) ((-85 . -445) T) ((-85 . -400) T) ((-216 . -25) T) ((-216 . -21) T) ((-834 . -1109) T) ((-112 . -43) 93780) ((-827 . -1109) T) ((-771 . -1097) T) ((-125 . -712) 93767) ((-666 . -1043) 93751) ((-610 . -105) T) ((-834 . -23) T) ((-827 . -23) T) ((-1208 . -105) T) ((-1149 . -282) 93728) ((-1110 . -304) 93666) ((-1099 . -228) 93650) ((-69 . -401) T) ((-69 . -400) T) ((-114 . -105) T) ((-45 . -382) 93627) ((-35 . -1097) T) ((-1207 . -643) 93609) ((-646 . -849) 93593) ((-1207 . -378) 93575) ((-1064 . -21) T) ((-1064 . -25) T) ((-815 . -224) 93544) ((-958 . -25) T) ((-958 . -21) T) ((-616 . -1060) T) ((-495 . -25) T) ((-495 . -21) T) ((-1033 . -304) 93482) ((-889 . -611) 93464) ((-885 . -611) 93446) ((-245 . -847) 93397) ((-244 . -847) 93348) ((-534 . -526) 93281) ((-870 . -633) 93258) ((-484 . -304) 93196) ((-471 . -304) 93134) ((-354 . -286) T) ((-1149 . -1245) 93118) ((-1134 . -611) 93080) ((-1134 . -612) 93041) ((-1132 . -105) T) ((-1005 . -1059) 92937) ((-45 . -900) 92889) ((-1149 . -604) 92866) ((-738 . -640) 92790) ((-1284 . -640) 92777) ((-1065 . -155) 92723) ((-871 . -1213) T) ((-1005 . -120) 92598) ((-338 . -712) 92582) ((-858 . -611) 92564) ((-174 . -712) 92496) ((-412 . -282) 92454) ((-871 . -561) T) ((-112 . -405) 92436) ((-89 . -389) T) ((-89 . -400) T) ((-865 . -921) T) ((-860 . -921) T) ((-695 . -173) T) ((-101 . -721) T) ((-496 . -105) 92226) ((-101 . -481) T) ((-125 . -173) T) ((-1110 . -43) 92196) ((-170 . -633) 92144) ((-217 . -502) 92126) ((-145 . -502) 92101) ((-1057 . -105) T) ((-870 . -25) T) ((-815 . -231) 92080) ((-870 . -21) T) ((-818 . -105) T) ((-1208 . -304) NIL) ((-419 . -105) T) ((-390 . -105) T) ((-114 . -304) NIL) ((-220 . -105) 92058) ((-137 . -1203) T) ((-131 . -1203) T) ((-1209 . -1203) T) ((-1040 . -138) T) ((-665 . -371) 92042) ((-1253 . -640) 91967) ((-1284 . -721) T) ((-1249 . -149) 91946) ((-1005 . -1053) T) ((-1249 . -151) 91925) ((-1230 . -633) 91873) ((-1242 . -151) 91852) ((-1101 . -611) 91834) ((-1009 . -611) 91816) ((-527 . -23) T) ((-522 . -23) T) ((-342 . -302) T) ((-520 . -23) T) ((-320 . -138) T) ((-3 . -1097) T) ((-1009 . -612) 91800) ((-1005 . -239) 91779) ((-1005 . -226) 91758) ((-1242 . -149) 91737) ((-1241 . -1213) 91716) ((-833 . -1097) T) ((-1221 . -149) 91623) ((-1221 . -151) 91530) ((-1220 . -1213) 91509) ((-1215 . -149) 91488) ((-1215 . -151) 91467) ((-738 . -481) 91446) ((-738 . -721) T) ((-384 . -138) T) ((-571 . -886) 91428) ((0 . -1097) T) ((-174 . -173) T) ((-170 . -21) T) ((-170 . -25) T) ((-54 . -1097) T) ((-1243 . -640) 91317) ((-1241 . -561) 91268) ((-709 . -1109) T) ((-1220 . -561) 91219) ((-571 . -1043) 91201) ((-596 . -151) 91180) ((-596 . -149) 91159) ((-507 . -1043) 91102) ((-92 . -389) T) ((-92 . -400) T) ((-871 . -367) T) ((-1163 . -52) 91079) ((-834 . -138) T) ((-827 . -138) T) ((-709 . -23) T) ((-514 . -611) 91061) ((-1280 . -1060) T) ((-384 . -1062) T) ((-1032 . -1097) 91039) ((-901 . -39) T) ((-496 . -304) 90977) ((-1149 . -612) 90938) ((-1149 . -611) 90905) ((-260 . -39) T) ((-1165 . -847) 90884) ((-50 . -105) T) ((-1120 . -847) 90863) ((-817 . -105) T) ((-1230 . -25) T) ((-1230 . -21) T) ((-852 . -25) T) ((-49 . -371) 90847) ((-852 . -21) T) ((-726 . -456) 90798) ((-1279 . -611) 90780) ((-578 . -25) T) ((-578 . -21) T) ((-395 . -1097) T) ((-1057 . -304) 90718) ((-616 . -1097) T) ((-693 . -886) 90700) ((-1258 . -1203) T) ((-220 . -304) 90638) ((-148 . -373) T) ((-1050 . -612) 90580) ((-1050 . -611) 90523) ((-862 . -1213) T) ((-308 . -909) NIL) ((-779 . -1213) T) ((-1253 . -721) T) ((-693 . -1043) 90468) ((-706 . -921) T) ((-482 . -1213) 90447) ((-1166 . -456) 90426) ((-1159 . -456) 90405) ((-862 . -561) T) ((-329 . -105) T) ((-779 . -561) T) ((-871 . -1109) T) ((-311 . -640) 90226) ((-308 . -640) 90155) ((-482 . -561) 90106) ((-338 . -526) 90072) ((-554 . -155) 90022) ((-45 . -302) T) ((-1163 . -886) NIL) ((-840 . -611) 90004) ((-695 . -286) T) ((-871 . -23) T) ((-384 . -505) T) ((-1079 . -224) 89974) ((-524 . -105) T) ((-412 . -612) 89775) ((-412 . -611) 89757) ((-257 . -611) 89739) ((-125 . -286) T) ((-1163 . -1043) 89619) ((-972 . -611) 89601) ((-1243 . -721) T) ((-1241 . -367) 89580) ((-1220 . -367) 89559) ((-1269 . -39) T) ((-126 . -1203) T) ((-112 . -224) 89541) ((-1171 . -105) T) ((-492 . -1097) T) ((-534 . -502) 89525) ((-739 . -105) T) ((-732 . -39) T) ((-496 . -43) 89495) ((-143 . -39) T) ((-126 . -884) 89472) ((-126 . -886) NIL) ((-618 . -1043) 89355) ((-637 . -847) 89334) ((-1268 . -105) T) ((-290 . -105) T) ((-707 . -373) 89313) ((-126 . -1043) 89290) ((-395 . -712) 89274) ((-1163 . -382) 89258) ((-616 . -712) 89242) ((-50 . -304) 89046) ((-816 . -149) 89025) ((-816 . -151) 89004) ((-1279 . -387) 88983) ((-819 . -847) T) ((-1260 . -1097) T) ((-1249 . -40) 88949) ((-1249 . -98) 88915) ((-1249 . -1192) 88881) ((-1152 . -222) 88828) ((-1249 . -1189) 88794) ((-391 . -847) 88773) ((-1242 . -1189) 88739) ((-1242 . -1192) 88705) ((-1242 . -98) 88671) ((-217 . -682) 88639) ((-145 . -682) 88600) ((-1242 . -40) 88566) ((-1241 . -1109) T) ((-1221 . -1189) 88532) ((-527 . -138) T) ((-1221 . -1192) 88498) ((-1215 . -1192) 88464) ((-1215 . -1189) 88430) ((-1221 . -98) 88396) ((-1221 . -40) 88362) ((-629 . -611) 88331) ((-605 . -611) 88300) ((-33 . -105) T) ((-216 . -847) T) ((-1220 . -1109) T) ((-1215 . -40) 88266) ((-1215 . -98) 88232) ((-1115 . -640) 88219) ((-1163 . -900) 88162) ((-1079 . -352) 88141) ((-594 . -155) 88123) ((-869 . -302) T) ((-126 . -382) 88100) ((-126 . -337) 88077) ((-174 . -286) T) ((-862 . -367) T) ((-779 . -367) T) ((-308 . -794) NIL) ((-308 . -791) NIL) ((-311 . -721) 87926) ((-308 . -721) T) ((-516 . -611) 87908) ((-482 . -367) 87887) ((-363 . -352) 87866) ((-356 . -352) 87845) ((-344 . -352) 87824) ((-311 . -481) 87803) ((-1241 . -23) T) ((-1220 . -23) T) ((-713 . -1109) T) ((-709 . -138) T) ((-646 . -105) T) ((-492 . -712) 87768) ((-50 . -278) 87718) ((-109 . -1097) T) ((-73 . -611) 87700) ((-857 . -105) T) ((-618 . -900) 87659) ((-1280 . -1097) T) ((-386 . -1097) T) ((-1207 . -39) T) ((-1205 . -643) 87641) ((-1205 . -378) 87623) ((-87 . -1203) T) ((-1064 . -847) T) ((-958 . -847) 87602) ((-126 . -900) NIL) ((-782 . -921) 87581) ((-708 . -847) T) ((-537 . -1097) T) ((-512 . -1097) T) ((-358 . -1213) T) ((-355 . -1213) T) ((-343 . -1213) T) ((-258 . -1213) 87560) ((-243 . -1213) 87539) ((-1110 . -224) 87508) ((-495 . -847) 87487) ((-1151 . -828) T) ((-1134 . -1059) 87471) ((-395 . -758) T) ((-739 . -304) 87458) ((-688 . -1203) T) ((-358 . -561) T) ((-355 . -561) T) ((-343 . -561) T) ((-258 . -561) 87389) ((-243 . -561) 87320) ((-1134 . -120) 87299) ((-457 . -741) 87269) ((-858 . -1059) 87239) ((-817 . -43) 87176) ((-688 . -884) 87158) ((-688 . -886) 87140) ((-290 . -304) 86944) ((-910 . -1213) T) ((-862 . -1109) T) ((-858 . -120) 86909) ((-665 . -416) 86893) ((-779 . -1109) T) ((-688 . -1043) 86838) ((-1149 . -284) 86815) ((-1010 . -456) T) ((-910 . -561) T) ((-584 . -921) T) ((-482 . -1109) T) ((-529 . -921) T) ((-915 . -456) T) ((-217 . -611) 86797) ((-145 . -611) 86779) ((-70 . -611) 86761) ((-862 . -23) T) ((-626 . -222) 86707) ((-779 . -23) T) ((-482 . -23) T) ((-1115 . -794) T) ((-871 . -138) T) ((-1115 . -791) T) ((-1271 . -1273) 86686) ((-1115 . -721) T) ((-647 . -640) 86660) ((-289 . -611) 86401) ((-1041 . -39) T) ((-815 . -845) 86380) ((-583 . -302) T) ((-571 . -302) T) ((-507 . -302) T) ((-1280 . -712) 86350) ((-688 . -382) 86332) ((-688 . -337) 86314) ((-492 . -173) T) ((-386 . -712) 86284) ((-739 . -1143) 86262) ((-870 . -847) NIL) ((-571 . -1027) T) ((-507 . -1027) T) ((-1128 . -611) 86244) ((-1110 . -231) 86223) ((-206 . -105) T) ((-1142 . -105) T) ((-76 . -611) 86205) ((-1134 . -1053) T) ((-1171 . -43) 86102) ((-854 . -611) 86084) ((-571 . -553) T) ((-739 . -43) 85913) ((-665 . -1060) T) ((-726 . -955) 85866) ((-1134 . -226) 85845) ((-1081 . -1097) T) ((-1040 . -25) T) ((-1040 . -21) T) ((-1009 . -1059) 85790) ((-905 . -105) T) ((-858 . -1053) T) ((-775 . -1109) T) ((-688 . -900) NIL) ((-358 . -328) 85774) ((-358 . -367) T) ((-355 . -328) 85758) ((-355 . -367) T) ((-343 . -328) 85742) ((-343 . -367) T) ((-500 . -105) T) ((-1268 . -43) 85712) ((-534 . -682) 85662) ((-209 . -105) T) ((-1029 . -1043) 85542) ((-1009 . -120) 85459) ((-1167 . -980) 85428) ((-1166 . -980) 85390) ((-531 . -155) 85374) ((-1079 . -375) 85353) ((-354 . -611) 85335) ((-320 . -21) T) ((-357 . -1043) 85312) ((-320 . -25) T) ((-1159 . -980) 85281) ((-1121 . -980) 85248) ((-81 . -611) 85230) ((-693 . -302) T) ((-170 . -847) 85209) ((-910 . -367) T) ((-384 . -25) T) ((-384 . -21) T) ((-910 . -328) 85196) ((-91 . -611) 85178) ((-693 . -1027) T) ((-671 . -847) T) ((-1241 . -138) T) ((-1220 . -138) T) ((-901 . -1016) 85162) ((-834 . -21) T) ((-53 . -1043) 85105) ((-834 . -25) T) ((-827 . -25) T) ((-827 . -21) T) ((-1278 . -1060) T) ((-1276 . -1060) T) ((-647 . -721) T) ((-1163 . -302) 85084) ((-260 . -1016) 85068) ((-1279 . -1059) 85052) ((-1230 . -847) 85031) ((-815 . -416) 85000) ((-106 . -128) 84984) ((-57 . -1097) T) ((-931 . -611) 84966) ((-870 . -999) 84943) ((-823 . -105) T) ((-1279 . -120) 84922) ((-646 . -43) 84892) ((-578 . -847) T) ((-358 . -1109) T) ((-355 . -1109) T) ((-343 . -1109) T) ((-258 . -1109) T) ((-243 . -1109) T) ((-618 . -302) 84871) ((-1142 . -304) 84675) ((-659 . -23) T) ((-496 . -224) 84644) ((-156 . -1060) T) ((-358 . -23) T) ((-355 . -23) T) ((-343 . -23) T) ((-126 . -302) T) ((-258 . -23) T) ((-243 . -23) T) ((-1009 . -1053) T) ((-707 . -909) 84623) ((-1009 . -226) 84595) ((-1009 . -239) T) ((-126 . -1027) NIL) ((-910 . -1109) T) ((-1242 . -456) 84574) ((-1221 . -456) 84553) ((-534 . -611) 84520) ((-707 . -640) 84445) ((-412 . -1059) 84397) ((-862 . -138) T) ((-517 . -611) 84379) ((-910 . -23) T) ((-779 . -138) T) ((-500 . -304) NIL) ((-482 . -138) T) ((-209 . -304) NIL) ((-412 . -120) 84310) ((-815 . -1060) 84240) ((-732 . -1094) 84224) ((-1241 . -505) 84190) ((-1220 . -505) 84156) ((-143 . -1094) 84138) ((-492 . -286) T) ((-1279 . -1053) T) ((-1065 . -105) T) ((-512 . -526) NIL) ((-697 . -105) T) ((-496 . -231) 84117) ((-1165 . -149) 84096) ((-1165 . -151) 84075) ((-1120 . -151) 84054) ((-1120 . -149) 84033) ((-629 . -1059) 84017) ((-605 . -1059) 84001) ((-665 . -1097) T) ((-665 . -1056) 83941) ((-1167 . -1248) 83925) ((-1167 . -1235) 83902) ((-500 . -1143) T) ((-1166 . -1240) 83863) ((-1166 . -1235) 83833) ((-1166 . -1238) 83817) ((-209 . -1143) T) ((-342 . -921) T) ((-818 . -263) 83801) ((-629 . -120) 83780) ((-605 . -120) 83759) ((-1159 . -1219) 83720) ((-840 . -1053) 83699) ((-1159 . -1235) 83676) ((-527 . -25) T) ((-507 . -297) T) ((-523 . -23) T) ((-522 . -25) T) ((-520 . -25) T) ((-519 . -23) T) ((-1159 . -1217) 83660) ((-412 . -1053) T) ((-315 . -1060) T) ((-688 . -302) T) ((-112 . -845) T) ((-412 . -239) T) ((-412 . -226) 83639) ((-707 . -721) T) ((-500 . -43) 83589) ((-209 . -43) 83539) ((-482 . -505) 83505) ((-1151 . -1136) T) ((-1098 . -105) T) ((-695 . -611) 83487) ((-695 . -612) 83402) ((-709 . -21) T) ((-709 . -25) T) ((-140 . -611) 83384) ((-125 . -611) 83366) ((-159 . -25) T) ((-1278 . -1097) T) ((-871 . -633) 83314) ((-1276 . -1097) T) ((-970 . -105) T) ((-730 . -105) T) ((-710 . -105) T) ((-457 . -105) T) ((-1205 . -39) T) ((-816 . -456) 83265) ((-49 . -1097) T) ((-1086 . -847) T) ((-659 . -138) T) ((-1065 . -304) 83116) ((-665 . -712) 83100) ((-285 . -1060) T) ((-358 . -138) T) ((-355 . -138) T) ((-343 . -138) T) ((-258 . -138) T) ((-243 . -138) T) ((-738 . -1203) T) ((-423 . -105) T) ((-1253 . -52) 83077) ((-156 . -1097) T) ((-50 . -222) 83027) ((-739 . -224) 83011) ((-1005 . -640) 82949) ((-964 . -847) 82928) ((-738 . -884) 82912) ((-738 . -886) 82837) ((-233 . -1265) 82807) ((-1029 . -302) T) ((-289 . -1059) 82728) ((-910 . -138) T) ((-45 . -921) T) ((-738 . -1043) 82450) ((-500 . -405) 82432) ((-503 . -611) 82414) ((-357 . -302) T) ((-209 . -405) 82396) ((-1079 . -416) 82380) ((-289 . -120) 82296) ((-865 . -1213) T) ((-860 . -1213) T) ((-871 . -25) T) ((-871 . -21) T) ((-865 . -561) T) ((-860 . -561) T) ((-338 . -611) 82278) ((-1243 . -52) 82222) ((-216 . -151) T) ((-174 . -611) 82204) ((-1110 . -845) 82183) ((-771 . -611) 82165) ((-606 . -228) 82112) ((-483 . -228) 82062) ((-1278 . -712) 82032) ((-53 . -302) T) ((-1276 . -712) 82002) ((-971 . -1097) T) ((-815 . -1097) 81792) ((-306 . -105) T) ((-901 . -1203) T) ((-738 . -382) 81761) ((-53 . -1027) T) ((-1220 . -633) 81669) ((-684 . -105) 81647) ((-49 . -712) 81631) ((-554 . -105) T) ((-72 . -388) T) ((-260 . -1203) T) ((-72 . -400) T) ((-35 . -611) 81613) ((-655 . -23) T) ((-665 . -758) T) ((-1201 . -1097) 81591) ((-354 . -1059) 81536) ((-669 . -1097) 81514) ((-1064 . -151) T) ((-958 . -151) 81493) ((-958 . -149) 81472) ((-799 . -105) T) ((-156 . -712) 81456) ((-495 . -151) 81435) ((-495 . -149) 81414) ((-354 . -120) 81331) ((-1079 . -1060) T) ((-320 . -847) 81310) ((-973 . -1095) T) ((-1249 . -980) 81279) ((-1242 . -980) 81241) ((-1221 . -980) 81210) ((-621 . -1097) T) ((-738 . -900) 81191) ((-523 . -138) T) ((-519 . -138) T) ((-290 . -222) 81141) ((-363 . -1060) T) ((-356 . -1060) T) ((-344 . -1060) T) ((-289 . -1053) 81083) ((-1215 . -980) 81052) ((-384 . -847) T) ((-112 . -1060) T) ((-1005 . -721) T) ((-869 . -921) T) ((-840 . -795) 81031) ((-840 . -792) 81010) ((-423 . -304) 80949) ((-476 . -105) T) ((-596 . -980) 80918) ((-315 . -1097) T) ((-412 . -795) 80897) ((-412 . -792) 80876) ((-512 . -502) 80858) ((-1243 . -1043) 80824) ((-1241 . -21) T) ((-1241 . -25) T) ((-1220 . -21) T) ((-1220 . -25) T) ((-815 . -712) 80766) ((-1206 . -105) T) ((-865 . -367) T) ((-860 . -367) T) ((-693 . -409) T) ((-1269 . -1203) T) ((-1110 . -416) 80735) ((-1009 . -373) NIL) ((-106 . -39) T) ((-732 . -1203) T) ((-49 . -758) T) ((-594 . -105) T) ((-82 . -401) T) ((-82 . -400) T) ((-646 . -649) 80719) ((-143 . -1203) T) ((-870 . -151) T) ((-870 . -149) NIL) ((-1253 . -900) 80632) ((-354 . -1053) T) ((-75 . -388) T) ((-75 . -400) T) ((-1158 . -105) T) ((-665 . -526) 80565) ((-684 . -304) 80503) ((-970 . -43) 80400) ((-730 . -43) 80370) ((-554 . -304) 80174) ((-311 . -1203) T) ((-354 . -226) T) ((-354 . -239) T) ((-308 . -1203) T) ((-285 . -1097) T) ((-1173 . -611) 80156) ((-706 . -1213) T) ((-1149 . -643) 80140) ((-1198 . -561) 80119) ((-862 . -25) T) ((-862 . -21) T) ((-706 . -561) T) ((-311 . -884) 80103) ((-311 . -886) 80028) ((-308 . -884) 79989) ((-308 . -886) NIL) ((-799 . -304) 79954) ((-779 . -25) T) ((-315 . -712) 79795) ((-779 . -21) T) ((-322 . -321) 79772) ((-498 . -105) T) ((-482 . -25) T) ((-482 . -21) T) ((-423 . -43) 79746) ((-311 . -1043) 79409) ((-216 . -1189) T) ((-216 . -1192) T) ((-3 . -611) 79391) ((-308 . -1043) 79321) ((-865 . -1109) T) ((-2 . -1097) T) ((-2 . |RecordCategory|) T) ((-860 . -1109) T) ((-833 . -611) 79303) ((-1110 . -1060) 79233) ((-583 . -921) T) ((-571 . -820) T) ((-571 . -921) T) ((-507 . -921) T) ((-142 . -1043) 79217) ((-216 . -98) T) ((-80 . -445) T) ((-80 . -400) T) ((0 . -611) 79199) ((-170 . -151) 79178) ((-170 . -149) 79129) ((-216 . -40) T) ((-54 . -611) 79111) ((-865 . -23) T) ((-492 . -1060) T) ((-860 . -23) T) ((-500 . -224) 79093) ((-497 . -975) 79077) ((-496 . -845) 79056) ((-209 . -224) 79038) ((-86 . -445) T) ((-86 . -400) T) ((-1138 . -39) T) ((-815 . -173) 79017) ((-726 . -105) T) ((-1032 . -611) 78984) ((-512 . -282) 78959) ((-311 . -382) 78928) ((-308 . -382) 78889) ((-308 . -337) 78850) ((-1206 . -304) NIL) ((-816 . -955) 78797) ((-655 . -138) T) ((-1230 . -149) 78776) ((-1230 . -151) 78755) ((-1207 . -1203) T) ((-1167 . -105) T) ((-1166 . -105) T) ((-1159 . -105) T) ((-1152 . -1097) T) ((-1121 . -105) T) ((-213 . -39) T) ((-285 . -712) 78742) ((-1152 . -608) 78718) ((-594 . -304) NIL) ((-1249 . -1248) 78702) ((-1249 . -1235) 78679) ((-497 . -1097) 78657) ((-1242 . -1240) 78618) ((-395 . -611) 78600) ((-522 . -847) T) ((-1142 . -222) 78550) ((-1242 . -1235) 78520) ((-1242 . -1238) 78504) ((-1221 . -1219) 78465) ((-1221 . -1235) 78442) ((-1221 . -1217) 78426) ((-1215 . -1248) 78410) ((-1215 . -1235) 78387) ((-616 . -611) 78369) ((-1167 . -280) 78335) ((-693 . -921) T) ((-1166 . -280) 78301) ((-1159 . -280) 78267) ((-1121 . -280) 78233) ((-1079 . -1097) T) ((-1063 . -1097) T) ((-53 . -297) T) ((-311 . -900) 78199) ((-308 . -900) NIL) ((-1063 . -1069) 78178) ((-1115 . -886) 78160) ((-799 . -43) 78144) ((-258 . -633) 78092) ((-243 . -633) 78040) ((-695 . -1059) 78027) ((-596 . -1235) 78004) ((-1115 . -1043) 77986) ((-315 . -173) 77917) ((-363 . -1097) T) ((-356 . -1097) T) ((-344 . -1097) T) ((-512 . -19) 77899) ((-1099 . -155) 77883) ((-738 . -302) 77862) ((-112 . -1097) T) ((-125 . -1059) 77849) ((-706 . -367) T) ((-512 . -604) 77824) ((-695 . -120) 77809) ((-441 . -105) T) ((-1163 . -921) 77788) ((-50 . -1141) 77738) ((-125 . -120) 77723) ((-219 . -847) T) ((-146 . -847) 77693) ((-629 . -715) T) ((-605 . -715) T) ((-815 . -526) 77626) ((-1041 . -1203) T) ((-949 . -155) 77610) ((-531 . -105) 77560) ((-1085 . -1213) 77539) ((-782 . -1213) 77518) ((-780 . -1213) 77497) ((-67 . -1203) T) ((-492 . -611) 77449) ((-492 . -612) 77371) ((-1165 . -456) 77302) ((-1151 . -1097) T) ((-1134 . -640) 77276) ((-1085 . -561) 77207) ((-496 . -416) 77176) ((-618 . -921) 77155) ((-458 . -1213) 77134) ((-1120 . -456) 77085) ((-782 . -561) 76996) ((-403 . -611) 76978) ((-780 . -561) 76909) ((-669 . -526) 76842) ((-726 . -304) 76829) ((-659 . -25) T) ((-659 . -21) T) ((-458 . -561) 76760) ((-126 . -921) T) ((-126 . -820) NIL) ((-358 . -25) T) ((-358 . -21) T) ((-355 . -25) T) ((-355 . -21) T) ((-343 . -25) T) ((-343 . -21) T) ((-258 . -25) T) ((-258 . -21) T) ((-88 . -389) T) ((-88 . -400) T) ((-243 . -25) T) ((-243 . -21) T) ((-1260 . -611) 76742) ((-1198 . -1109) T) ((-1198 . -23) T) ((-1159 . -304) 76627) ((-1121 . -304) 76614) ((-1079 . -712) 76482) ((-858 . -640) 76442) ((-949 . -987) 76426) ((-910 . -21) T) ((-285 . -173) T) ((-910 . -25) T) ((-871 . -847) 76377) ((-865 . -138) T) ((-706 . -1109) T) ((-706 . -23) T) ((-639 . -1097) 76355) ((-626 . -608) 76330) ((-626 . -1097) T) ((-584 . -1213) T) ((-529 . -1213) T) ((-584 . -561) T) ((-529 . -561) T) ((-363 . -712) 76282) ((-356 . -712) 76234) ((-344 . -712) 76186) ((-338 . -1059) 76170) ((-174 . -120) 76069) ((-174 . -1059) 76001) ((-112 . -712) 75951) ((-338 . -120) 75930) ((-271 . -1097) T) ((-270 . -1097) T) ((-269 . -1097) T) ((-268 . -1097) T) ((-695 . -1053) T) ((-267 . -1097) T) ((-266 . -1097) T) ((-265 . -1097) T) ((-205 . -1097) T) ((-204 . -1097) T) ((-202 . -1097) T) ((-170 . -1192) 75908) ((-170 . -1189) 75886) ((-201 . -1097) T) ((-200 . -1097) T) ((-125 . -1053) T) ((-199 . -1097) T) ((-196 . -1097) T) ((-695 . -226) T) ((-195 . -1097) T) ((-194 . -1097) T) ((-193 . -1097) T) ((-192 . -1097) T) ((-191 . -1097) T) ((-190 . -1097) T) ((-189 . -1097) T) ((-188 . -1097) T) ((-187 . -1097) T) ((-186 . -1097) T) ((-233 . -105) 75676) ((-170 . -40) 75654) ((-170 . -98) 75632) ((-860 . -138) T) ((-647 . -1043) 75528) ((-496 . -1060) 75458) ((-1134 . -39) T) ((-1110 . -1097) 75248) ((-1084 . -105) T) ((-665 . -502) 75232) ((-78 . -1203) T) ((-109 . -611) 75214) ((-1280 . -611) 75196) ((-386 . -611) 75178) ((-578 . -1192) T) ((-578 . -1189) T) ((-726 . -43) 75027) ((-537 . -611) 75009) ((-531 . -304) 74947) ((-512 . -611) 74929) ((-512 . -612) 74911) ((-1159 . -1143) NIL) ((-1033 . -1072) 74880) ((-1033 . -1097) T) ((-1010 . -105) T) ((-978 . -105) T) ((-915 . -105) T) ((-893 . -1043) 74857) ((-1134 . -721) T) ((-1009 . -640) 74802) ((-484 . -1097) T) ((-471 . -1097) T) ((-588 . -23) T) ((-578 . -40) T) ((-578 . -98) T) ((-432 . -105) T) ((-1065 . -222) 74748) ((-1167 . -43) 74645) ((-858 . -721) T) ((-688 . -921) T) ((-523 . -25) T) ((-519 . -21) T) ((-519 . -25) T) ((-1166 . -43) 74486) ((-338 . -1053) T) ((-1159 . -43) 74282) ((-1079 . -173) T) ((-174 . -1053) T) ((-1121 . -43) 74179) ((-707 . -52) 74156) ((-363 . -173) T) ((-356 . -173) T) ((-530 . -62) 74130) ((-509 . -62) 74080) ((-354 . -1275) 74057) ((-216 . -456) T) ((-315 . -286) 74008) ((-344 . -173) T) ((-174 . -239) T) ((-1220 . -847) 73907) ((-112 . -173) T) ((-871 . -999) 73891) ((-651 . -1109) T) ((-584 . -367) T) ((-584 . -328) 73878) ((-529 . -328) 73855) ((-529 . -367) T) ((-311 . -302) 73834) ((-308 . -302) T) ((-602 . -847) 73813) ((-1110 . -712) 73755) ((-531 . -278) 73739) ((-651 . -23) T) ((-423 . -224) 73723) ((-1204 . -105) T) ((-308 . -1027) NIL) ((-335 . -23) T) ((-237 . -23) T) ((-106 . -1016) 73707) ((-50 . -41) 73686) ((-610 . -1097) T) ((-354 . -373) T) ((-507 . -27) T) ((-233 . -304) 73624) ((-1085 . -1109) T) ((-1279 . -640) 73598) ((-782 . -1109) T) ((-780 . -1109) T) ((-458 . -1109) T) ((-1064 . -456) T) ((-1208 . -1097) T) ((-958 . -456) 73549) ((-114 . -1097) T) ((-1085 . -23) T) ((-817 . -1060) T) ((-782 . -23) T) ((-780 . -23) T) ((-495 . -456) 73500) ((-1152 . -526) 73248) ((-386 . -387) 73227) ((-1171 . -416) 73211) ((-466 . -23) T) ((-458 . -23) T) ((-739 . -416) 73195) ((-738 . -297) T) ((-497 . -526) 73128) ((-285 . -286) T) ((-1081 . -611) 73110) ((-412 . -909) 73089) ((-55 . -1109) T) ((-1029 . -921) T) ((-1009 . -721) T) ((-707 . -886) NIL) ((-584 . -1109) T) ((-529 . -1109) T) ((-840 . -640) 73062) ((-1198 . -138) T) ((-1159 . -405) 73014) ((-1010 . -304) NIL) ((-815 . -502) 72998) ((-357 . -921) T) ((-1149 . -39) T) ((-412 . -640) 72950) ((-55 . -23) T) ((-706 . -138) T) ((-707 . -1043) 72830) ((-584 . -23) T) ((-112 . -526) NIL) ((-529 . -23) T) ((-170 . -414) 72801) ((-216 . -1131) T) ((-1132 . -1097) T) ((-1271 . -1270) 72785) ((-695 . -795) T) ((-695 . -792) T) ((-384 . -151) T) ((-1115 . -302) T) ((-1220 . -999) 72755) ((-53 . -921) T) ((-669 . -502) 72739) ((-245 . -1265) 72709) ((-244 . -1265) 72679) ((-1169 . -847) T) ((-1110 . -173) 72658) ((-1115 . -1027) T) ((-1050 . -39) T) ((-834 . -151) 72637) ((-834 . -149) 72616) ((-732 . -111) 72600) ((-610 . -139) T) ((-496 . -1097) 72390) ((-1171 . -1060) T) ((-870 . -456) T) ((-90 . -1203) T) ((-233 . -43) 72360) ((-143 . -111) 72342) ((-928 . -1095) T) ((-707 . -382) 72326) ((-739 . -1060) T) ((-1115 . -553) T) ((-1204 . -304) NIL) ((-395 . -1059) 72310) ((-1279 . -721) T) ((-1268 . -1060) T) ((-1165 . -955) 72279) ((-57 . -611) 72261) ((-1120 . -955) 72228) ((-646 . -416) 72212) ((-1249 . -105) T) ((-1242 . -105) T) ((-616 . -1059) 72196) ((-655 . -25) T) ((-655 . -21) T) ((-1151 . -526) NIL) ((-1221 . -105) T) ((-1205 . -1203) T) ((-395 . -120) 72175) ((-213 . -248) 72159) ((-1215 . -105) T) ((-1057 . -1097) T) ((-1010 . -1143) T) ((-1057 . -1056) 72099) ((-818 . -1097) T) ((-342 . -1213) T) ((-629 . -640) 72083) ((-616 . -120) 72062) ((-605 . -640) 72046) ((-597 . -105) T) ((-588 . -138) T) ((-596 . -105) T) ((-419 . -1097) T) ((-390 . -1097) T) ((-220 . -1097) 72024) ((-639 . -526) 71957) ((-626 . -526) 71765) ((-833 . -1053) 71744) ((-637 . -155) 71728) ((-342 . -561) T) ((-707 . -900) 71671) ((-554 . -222) 71621) ((-1249 . -280) 71587) ((-1242 . -280) 71553) ((-1079 . -286) 71504) ((-500 . -845) T) ((-214 . -1109) T) ((-1221 . -280) 71470) ((-1215 . -280) 71436) ((-1010 . -43) 71386) ((-209 . -845) T) ((-1198 . -505) 71352) ((-915 . -43) 71304) ((-840 . -794) 71283) ((-840 . -791) 71262) ((-840 . -721) 71241) ((-363 . -286) T) ((-356 . -286) T) ((-344 . -286) T) ((-170 . -456) 71172) ((-432 . -43) 71156) ((-112 . -286) T) ((-214 . -23) T) ((-412 . -794) 71135) ((-412 . -791) 71114) ((-412 . -721) T) ((-512 . -284) 71089) ((-492 . -1059) 71054) ((-651 . -138) T) ((-1110 . -526) 70987) ((-335 . -138) T) ((-170 . -407) 70966) ((-237 . -138) T) ((-496 . -712) 70908) ((-815 . -282) 70885) ((-492 . -120) 70834) ((-33 . -37) 70818) ((-646 . -1060) T) ((-1230 . -456) 70749) ((-1085 . -138) T) ((-258 . -847) 70728) ((-243 . -847) 70707) ((-782 . -138) T) ((-780 . -138) T) ((-578 . -456) T) ((-1057 . -712) 70649) ((-616 . -1053) T) ((-1033 . -526) 70582) ((-466 . -138) T) ((-458 . -138) T) ((-50 . -1097) T) ((-390 . -712) 70552) ((-817 . -1097) T) ((-484 . -526) 70485) ((-471 . -526) 70418) ((-457 . -371) 70388) ((-50 . -608) 70367) ((-311 . -297) T) ((-665 . -611) 70329) ((-64 . -847) 70308) ((-1221 . -304) 70193) ((-1010 . -405) 70175) ((-815 . -604) 70152) ((-528 . -847) 70131) ((-508 . -847) 70110) ((-45 . -1213) T) ((-1005 . -1043) 70006) ((-55 . -138) T) ((-584 . -138) T) ((-529 . -138) T) ((-289 . -640) 69866) ((-342 . -328) 69843) ((-342 . -367) T) ((-320 . -321) 69820) ((-315 . -282) 69805) ((-45 . -561) T) ((-384 . -1189) T) ((-384 . -1192) T) ((-1041 . -1180) 69780) ((-1177 . -228) 69730) ((-1159 . -224) 69682) ((-1041 . -111) 69628) ((-329 . -1097) T) ((-384 . -98) T) ((-384 . -40) T) ((-865 . -21) T) ((-865 . -25) T) ((-860 . -25) T) ((-492 . -1053) T) ((-541 . -539) 69572) ((-860 . -21) T) ((-493 . -228) 69522) ((-1152 . -502) 69456) ((-1280 . -1059) 69440) ((-386 . -1059) 69424) ((-492 . -239) T) ((-816 . -105) T) ((-709 . -151) 69403) ((-709 . -149) 69382) ((-497 . -502) 69366) ((-1280 . -120) 69345) ((-498 . -334) 69314) ((-1005 . -382) 69298) ((-524 . -1097) T) ((-496 . -173) 69277) ((-1005 . -337) 69261) ((-418 . -105) T) ((-386 . -120) 69240) ((-276 . -990) 69224) ((-275 . -990) 69208) ((-217 . -39) T) ((-145 . -39) T) ((-1208 . -526) NIL) ((-1278 . -611) 69190) ((-1276 . -611) 69172) ((-114 . -526) NIL) ((-1165 . -1233) 69156) ((-851 . -849) 69140) ((-1171 . -1097) T) ((-106 . -1203) T) ((-958 . -955) 69101) ((-739 . -1097) T) ((-817 . -712) 69038) ((-1221 . -1143) NIL) ((-495 . -955) 68983) ((-1064 . -147) T) ((-65 . -105) 68961) ((-49 . -611) 68943) ((-83 . -611) 68925) ((-354 . -640) 68870) ((-1268 . -1097) T) ((-523 . -847) T) ((-342 . -1109) T) ((-290 . -1097) T) ((-1005 . -900) 68829) ((-290 . -608) 68808) ((-1249 . -43) 68705) ((-1242 . -43) 68546) ((-540 . -1095) T) ((-1221 . -43) 68342) ((-500 . -1060) T) ((-1215 . -43) 68239) ((-209 . -1060) T) ((-342 . -23) T) ((-156 . -611) 68221) ((-833 . -795) 68200) ((-833 . -792) 68179) ((-738 . -921) 68158) ((-597 . -43) 68131) ((-596 . -43) 68028) ((-869 . -561) T) ((-214 . -138) T) ((-315 . -1008) 67994) ((-84 . -611) 67976) ((-707 . -302) 67955) ((-289 . -721) 67857) ((-824 . -105) T) ((-857 . -841) T) ((-289 . -481) 67836) ((-1271 . -105) T) ((-45 . -367) T) ((-871 . -151) 67815) ((-33 . -1097) T) ((-871 . -149) 67794) ((-1151 . -502) 67776) ((-1280 . -1053) T) ((-496 . -526) 67709) ((-1138 . -1203) T) ((-971 . -611) 67691) ((-639 . -502) 67675) ((-626 . -502) 67607) ((-815 . -611) 67365) ((-53 . -27) T) ((-1171 . -712) 67262) ((-646 . -1097) T) ((-441 . -368) 67236) ((-739 . -712) 67065) ((-1099 . -105) T) ((-816 . -304) 67052) ((-857 . -1097) T) ((-1276 . -387) 67024) ((-1057 . -526) 66957) ((-1152 . -282) 66933) ((-233 . -224) 66902) ((-1268 . -712) 66872) ((-817 . -173) 66851) ((-220 . -526) 66784) ((-616 . -795) 66763) ((-616 . -792) 66742) ((-1201 . -611) 66689) ((-213 . -1203) T) ((-669 . -611) 66656) ((-1149 . -1016) 66640) ((-354 . -721) T) ((-949 . -105) 66590) ((-1221 . -405) 66542) ((-1110 . -502) 66526) ((-65 . -304) 66464) ((-330 . -105) T) ((-1198 . -21) T) ((-1198 . -25) T) ((-45 . -1109) T) ((-706 . -21) T) ((-621 . -611) 66446) ((-527 . -321) 66425) ((-706 . -25) T) ((-112 . -282) NIL) ((-922 . -1109) T) ((-45 . -23) T) ((-768 . -1109) T) ((-571 . -1213) T) ((-507 . -1213) T) ((-315 . -611) 66407) ((-1010 . -224) 66389) ((-170 . -167) 66373) ((-583 . -561) T) ((-571 . -561) T) ((-507 . -561) T) ((-768 . -23) T) ((-1241 . -151) 66352) ((-1152 . -604) 66328) ((-1241 . -149) 66307) ((-1033 . -502) 66291) ((-1220 . -149) 66216) ((-1220 . -151) 66141) ((-1271 . -1277) 66120) ((-484 . -502) 66104) ((-471 . -502) 66088) ((-534 . -39) T) ((-646 . -712) 66058) ((-655 . -847) 66037) ((-1171 . -173) 65988) ((-369 . -105) T) ((-233 . -231) 65967) ((-245 . -105) T) ((-244 . -105) T) ((-1230 . -955) 65936) ((-113 . -105) T) ((-241 . -847) 65915) ((-816 . -43) 65764) ((-739 . -173) 65655) ((-50 . -526) 65415) ((-1151 . -282) 65390) ((-206 . -1097) T) ((-1142 . -1097) T) ((-926 . -105) T) ((-1142 . -608) 65369) ((-588 . -25) T) ((-588 . -21) T) ((-1099 . -304) 65307) ((-970 . -416) 65291) ((-693 . -1213) T) ((-626 . -282) 65266) ((-1085 . -633) 65214) ((-782 . -633) 65162) ((-780 . -633) 65110) ((-342 . -138) T) ((-285 . -611) 65092) ((-926 . -925) 65064) ((-693 . -561) T) ((-905 . -1097) T) ((-869 . -1109) T) ((-458 . -633) 65012) ((-905 . -903) 64996) ((-862 . -861) T) ((-862 . -863) T) ((-949 . -304) 64934) ((-384 . -456) T) ((-869 . -23) T) ((-500 . -1097) T) ((-862 . -149) T) ((-695 . -640) 64921) ((-862 . -151) 64900) ((-209 . -1097) T) ((-311 . -921) 64879) ((-308 . -921) T) ((-308 . -820) NIL) ((-395 . -715) T) ((-779 . -149) 64858) ((-779 . -151) 64837) ((-1208 . -502) 64819) ((-125 . -640) 64806) ((-482 . -149) 64785) ((-423 . -416) 64769) ((-482 . -151) 64748) ((-114 . -502) 64730) ((-1163 . -1213) 64709) ((-2 . -611) 64691) ((-1151 . -19) 64673) ((-1163 . -561) 64584) ((-1151 . -604) 64559) ((-651 . -21) T) ((-651 . -25) T) ((-594 . -1136) T) ((-1110 . -282) 64536) ((-335 . -25) T) ((-335 . -21) T) ((-237 . -25) T) ((-237 . -21) T) ((-507 . -367) T) ((-1271 . -43) 64506) ((-1134 . -1203) T) ((-626 . -604) 64481) ((-1085 . -25) T) ((-1085 . -21) T) ((-970 . -1060) T) ((-739 . -526) 64427) ((-537 . -792) T) ((-537 . -795) T) ((-126 . -1213) T) ((-234 . -105) T) ((-618 . -561) T) ((-782 . -25) T) ((-782 . -21) T) ((-780 . -21) T) ((-780 . -25) T) ((-730 . -1060) T) ((-710 . -1060) T) ((-665 . -1059) 64411) ((-466 . -25) T) ((-126 . -561) T) ((-466 . -21) T) ((-458 . -25) T) ((-458 . -21) T) ((-1134 . -1043) 64307) ((-817 . -286) 64286) ((-738 . -435) 64270) ((-823 . -1097) T) ((-665 . -120) 64249) ((-290 . -526) 64009) ((-1278 . -1059) 63993) ((-1276 . -1059) 63977) ((-1241 . -1189) 63943) ((-245 . -304) 63881) ((-244 . -304) 63819) ((-1224 . -105) 63797) ((-1152 . -612) NIL) ((-1152 . -611) 63779) ((-1241 . -1192) 63745) ((-1221 . -224) 63697) ((-1220 . -1189) 63663) ((-1220 . -1192) 63629) ((-1134 . -382) 63613) ((-1115 . -820) T) ((-1115 . -921) T) ((-1110 . -604) 63590) ((-1079 . -612) 63574) ((-541 . -105) T) ((-497 . -611) 63541) ((-815 . -284) 63518) ((-606 . -155) 63465) ((-423 . -1060) T) ((-500 . -712) 63415) ((-496 . -502) 63399) ((-326 . -847) 63378) ((-338 . -640) 63352) ((-55 . -21) T) ((-55 . -25) T) ((-209 . -712) 63302) ((-170 . -719) 63273) ((-174 . -640) 63205) ((-584 . -21) T) ((-584 . -25) T) ((-529 . -25) T) ((-529 . -21) T) ((-483 . -155) 63155) ((-1079 . -611) 63137) ((-1063 . -611) 63119) ((-1000 . -105) T) ((-855 . -105) T) ((-799 . -416) 63082) ((-45 . -138) T) ((-693 . -367) T) ((-205 . -895) T) ((-695 . -794) T) ((-695 . -791) T) ((-583 . -1109) T) ((-571 . -1109) T) ((-507 . -1109) T) ((-695 . -721) T) ((-363 . -611) 63064) ((-356 . -611) 63046) ((-344 . -611) 63028) ((-71 . -401) T) ((-71 . -400) T) ((-112 . -612) 62958) ((-112 . -611) 62940) ((-204 . -895) T) ((-964 . -155) 62924) ((-1241 . -98) 62890) ((-768 . -138) T) ((-140 . -721) T) ((-125 . -721) T) ((-1241 . -40) 62856) ((-1057 . -502) 62840) ((-583 . -23) T) ((-571 . -23) T) ((-507 . -23) T) ((-1220 . -98) 62806) ((-1220 . -40) 62772) ((-1165 . -105) T) ((-1120 . -105) T) ((-851 . -105) T) ((-220 . -502) 62756) ((-1278 . -120) 62735) ((-1276 . -120) 62714) ((-49 . -1059) 62698) ((-1230 . -1233) 62682) ((-852 . -849) 62666) ((-1171 . -286) 62645) ((-114 . -282) 62620) ((-1134 . -900) 62579) ((-49 . -120) 62558) ((-739 . -286) 62469) ((-665 . -1053) T) ((-1159 . -845) NIL) ((-1151 . -612) NIL) ((-1151 . -611) 62451) ((-1065 . -608) 62426) ((-1065 . -1097) T) ((-79 . -445) T) ((-79 . -400) T) ((-665 . -226) 62405) ((-156 . -1059) 62389) ((-578 . -558) 62373) ((-358 . -151) 62352) ((-358 . -149) 62303) ((-355 . -151) 62282) ((-697 . -1097) T) ((-355 . -149) 62233) ((-343 . -151) 62212) ((-343 . -149) 62163) ((-258 . -149) 62142) ((-258 . -151) 62121) ((-245 . -43) 62091) ((-243 . -151) 62070) ((-126 . -367) T) ((-243 . -149) 62049) ((-244 . -43) 62019) ((-156 . -120) 61998) ((-1009 . -1043) 61873) ((-927 . -1095) T) ((-688 . -1213) T) ((-799 . -1060) T) ((-693 . -1109) T) ((-1278 . -1053) T) ((-1276 . -1053) T) ((-1163 . -1109) T) ((-1149 . -1203) T) ((-1009 . -382) 61850) ((-910 . -149) T) ((-910 . -151) 61832) ((-869 . -138) T) ((-815 . -1059) 61729) ((-688 . -561) T) ((-693 . -23) T) ((-639 . -611) 61696) ((-639 . -612) 61657) ((-626 . -612) NIL) ((-626 . -611) 61639) ((-500 . -173) T) ((-214 . -21) T) ((-214 . -25) T) ((-209 . -173) T) ((-482 . -1192) 61605) ((-482 . -1189) 61571) ((-271 . -611) 61553) ((-270 . -611) 61535) ((-269 . -611) 61517) ((-268 . -611) 61499) ((-267 . -611) 61481) ((-512 . -643) 61463) ((-266 . -611) 61445) ((-338 . -721) T) ((-265 . -611) 61427) ((-114 . -19) 61409) ((-174 . -721) T) ((-512 . -378) 61391) ((-205 . -611) 61373) ((-531 . -1141) 61357) ((-512 . -133) T) ((-114 . -604) 61332) ((-204 . -611) 61314) ((-482 . -40) 61280) ((-482 . -98) 61246) ((-202 . -611) 61228) ((-201 . -611) 61210) ((-200 . -611) 61192) ((-199 . -611) 61174) ((-196 . -611) 61156) ((-195 . -611) 61138) ((-194 . -611) 61120) ((-193 . -611) 61102) ((-192 . -611) 61084) ((-191 . -611) 61066) ((-190 . -611) 61048) ((-544 . -1100) 61000) ((-189 . -611) 60982) ((-188 . -611) 60964) ((-50 . -502) 60901) ((-187 . -611) 60883) ((-186 . -611) 60865) ((-1163 . -23) T) ((-815 . -120) 60755) ((-637 . -105) 60705) ((-496 . -282) 60682) ((-1110 . -611) 60440) ((-1098 . -1097) T) ((-1050 . -1203) T) ((-618 . -1109) T) ((-1279 . -1043) 60424) ((-1165 . -304) 60411) ((-1120 . -304) 60398) ((-126 . -1109) T) ((-1208 . -682) 60364) ((-819 . -105) T) ((-618 . -23) T) ((-1142 . -526) 60124) ((-391 . -105) T) ((-322 . -105) T) ((-1009 . -900) 60076) ((-970 . -1097) T) ((-156 . -1053) T) ((-126 . -23) T) ((-726 . -416) 60060) ((-730 . -1097) T) ((-710 . -1097) T) ((-697 . -139) T) ((-457 . -1097) T) ((-311 . -435) 60044) ((-412 . -1203) T) ((-1033 . -612) 60005) ((-1033 . -611) 59967) ((-1029 . -1213) T) ((-216 . -105) T) ((-234 . -43) 59913) ((-816 . -224) 59897) ((-1029 . -561) T) ((-833 . -640) 59870) ((-357 . -1213) T) ((-484 . -611) 59832) ((-484 . -612) 59793) ((-471 . -612) 59754) ((-471 . -611) 59716) ((-412 . -884) 59700) ((-315 . -1059) 59535) ((-412 . -886) 59460) ((-840 . -1043) 59356) ((-500 . -526) NIL) ((-496 . -604) 59333) ((-357 . -561) T) ((-209 . -526) NIL) ((-871 . -456) T) ((-423 . -1097) T) ((-412 . -1043) 59197) ((-315 . -120) 59011) ((-688 . -367) T) ((-216 . -280) T) ((-53 . -1213) T) ((-815 . -1053) 58941) ((-583 . -138) T) ((-571 . -138) T) ((-507 . -138) T) ((-53 . -561) T) ((-1152 . -284) 58917) ((-1165 . -1143) 58895) ((-311 . -27) 58874) ((-1064 . -105) T) ((-815 . -226) 58826) ((-233 . -845) 58805) ((-958 . -105) T) ((-708 . -105) T) ((-290 . -502) 58742) ((-495 . -105) T) ((-726 . -1060) T) ((-610 . -611) 58724) ((-610 . -612) 58585) ((-412 . -382) 58569) ((-412 . -337) 58553) ((-1165 . -43) 58382) ((-1120 . -43) 58231) ((-851 . -43) 58201) ((-395 . -640) 58185) ((-637 . -304) 58123) ((-1208 . -611) 58105) ((-970 . -712) 58002) ((-730 . -712) 57972) ((-213 . -111) 57956) ((-50 . -282) 57881) ((-616 . -640) 57855) ((-306 . -1097) T) ((-285 . -1059) 57842) ((-114 . -611) 57824) ((-114 . -612) 57806) ((-457 . -712) 57776) ((-816 . -247) 57715) ((-684 . -1097) 57693) ((-554 . -1097) T) ((-1167 . -1060) T) ((-1166 . -1060) T) ((-285 . -120) 57678) ((-1159 . -1060) T) ((-1121 . -1060) T) ((-554 . -608) 57657) ((-1010 . -845) T) ((-220 . -682) 57615) ((-688 . -1109) T) ((-1198 . -735) 57591) ((-973 . -977) 57568) ((-315 . -1053) T) ((-342 . -25) T) ((-342 . -21) T) ((-412 . -900) 57527) ((-73 . -1203) T) ((-833 . -794) 57506) ((-423 . -712) 57480) ((-799 . -1097) T) ((-833 . -791) 57459) ((-693 . -138) T) ((-707 . -921) 57438) ((-688 . -23) T) ((-500 . -286) T) ((-833 . -721) 57417) ((-315 . -226) 57369) ((-315 . -239) 57348) ((-209 . -286) T) ((-1029 . -367) T) ((-1241 . -456) 57327) ((-1220 . -456) 57306) ((-357 . -328) 57283) ((-357 . -367) T) ((-1132 . -611) 57265) ((-50 . -1245) 57215) ((-870 . -105) T) ((-637 . -278) 57199) ((-693 . -1062) T) ((-492 . -640) 57164) ((-476 . -1097) T) ((-50 . -604) 57089) ((-1151 . -284) 57064) ((-1163 . -138) T) ((-45 . -633) 56998) ((-53 . -367) T) ((-1103 . -611) 56980) ((-1085 . -847) 56959) ((-626 . -284) 56934) ((-1206 . -1097) T) ((-958 . -304) 56921) ((-782 . -847) 56900) ((-780 . -847) 56879) ((-458 . -847) 56858) ((-496 . -611) 56616) ((-233 . -416) 56585) ((-217 . -1203) T) ((-145 . -1203) T) ((-219 . -155) 56567) ((-146 . -155) 56542) ((-70 . -1203) T) ((-739 . -282) 56469) ((-618 . -138) T) ((-495 . -304) 56456) ((-1065 . -526) 56264) ((-285 . -1053) T) ((-126 . -138) T) ((-457 . -758) T) ((-970 . -173) 56215) ((-1158 . -1097) T) ((-1110 . -284) 56192) ((-1079 . -1059) 56102) ((-616 . -794) 56081) ((-594 . -1097) T) ((-616 . -791) 56060) ((-616 . -721) T) ((-290 . -282) 56039) ((-289 . -1203) T) ((-1057 . -611) 56001) ((-1057 . -612) 55962) ((-1029 . -1109) T) ((-170 . -105) T) ((-272 . -847) T) ((-1099 . -222) 55946) ((-818 . -611) 55928) ((-1079 . -120) 55817) ((-1009 . -302) T) ((-862 . -456) T) ((-799 . -712) 55801) ((-363 . -1059) 55753) ((-357 . -1109) T) ((-356 . -1059) 55705) ((-419 . -611) 55687) ((-390 . -611) 55669) ((-344 . -1059) 55621) ((-220 . -611) 55588) ((-1029 . -23) T) ((-779 . -456) T) ((-112 . -1059) 55538) ((-898 . -105) T) ((-838 . -105) T) ((-808 . -105) T) ((-766 . -105) T) ((-671 . -105) T) ((-482 . -456) 55517) ((-423 . -173) T) ((-363 . -120) 55448) ((-356 . -120) 55379) ((-344 . -120) 55310) ((-245 . -224) 55279) ((-244 . -224) 55248) ((-357 . -23) T) ((-76 . -1203) T) ((-216 . -43) 55213) ((-112 . -120) 55140) ((-45 . -25) T) ((-45 . -21) T) ((-665 . -715) T) ((-170 . -280) 55118) ((-862 . -407) T) ((-53 . -1109) T) ((-922 . -25) T) ((-768 . -25) T) ((-1142 . -502) 55055) ((-498 . -1097) T) ((-1280 . -640) 55029) ((-1230 . -105) T) ((-852 . -105) T) ((-233 . -1060) 54959) ((-1064 . -1143) T) ((-971 . -792) 54912) ((-386 . -640) 54896) ((-53 . -23) T) ((-971 . -795) 54849) ((-815 . -795) 54800) ((-815 . -792) 54751) ((-290 . -604) 54730) ((-492 . -721) T) ((-1163 . -505) 54708) ((-578 . -105) T) ((-1084 . -1060) T) ((-870 . -304) 54652) ((-646 . -282) 54631) ((-121 . -654) T) ((-81 . -1203) T) ((-1064 . -43) 54618) ((-659 . -379) 54597) ((-958 . -43) 54446) ((-726 . -1097) T) ((-495 . -43) 54295) ((-91 . -1203) T) ((-578 . -280) T) ((-1221 . -845) NIL) ((-1167 . -1097) T) ((-1166 . -1097) T) ((-1159 . -1097) T) ((-354 . -1043) 54272) ((-1079 . -1053) T) ((-1010 . -1060) T) ((-50 . -611) 54254) ((-50 . -612) NIL) ((-915 . -1060) T) ((-817 . -611) 54236) ((-1139 . -105) 54214) ((-1079 . -239) 54165) ((-432 . -1060) T) ((-363 . -1053) T) ((-356 . -1053) T) ((-369 . -368) 54142) ((-344 . -1053) T) ((-245 . -231) 54121) ((-244 . -231) 54100) ((-113 . -368) 54074) ((-1079 . -226) 53999) ((-1121 . -1097) T) ((-289 . -900) 53958) ((-112 . -1053) T) ((-738 . -1213) 53937) ((-688 . -138) T) ((-423 . -526) 53779) ((-363 . -226) 53758) ((-363 . -239) T) ((-49 . -715) T) ((-356 . -226) 53737) ((-356 . -239) T) ((-344 . -226) 53716) ((-344 . -239) T) ((-738 . -561) T) ((-170 . -304) 53681) ((-112 . -239) T) ((-112 . -226) T) ((-315 . -792) T) ((-869 . -21) T) ((-869 . -25) T) ((-412 . -302) T) ((-512 . -39) T) ((-114 . -284) 53656) ((-1110 . -1059) 53553) ((-870 . -1143) NIL) ((-865 . -864) T) ((-865 . -863) T) ((-860 . -859) T) ((-860 . -863) T) ((-860 . -864) T) ((-329 . -611) 53535) ((-412 . -1027) 53513) ((-1110 . -120) 53403) ((-865 . -149) 53373) ((-865 . -151) T) ((-860 . -151) T) ((-860 . -149) 53343) ((-441 . -1097) T) ((-1280 . -721) T) ((-68 . -611) 53325) ((-870 . -43) 53270) ((-534 . -1203) T) ((-602 . -155) 53254) ((-524 . -611) 53236) ((-1230 . -304) 53223) ((-726 . -712) 53072) ((-537 . -793) T) ((-537 . -794) T) ((-571 . -633) 53054) ((-507 . -633) 53014) ((-358 . -456) T) ((-355 . -456) T) ((-343 . -456) T) ((-258 . -456) 52965) ((-531 . -1097) 52915) ((-243 . -456) 52866) ((-1142 . -282) 52845) ((-1171 . -611) 52827) ((-684 . -526) 52760) ((-970 . -286) 52739) ((-554 . -526) 52499) ((-739 . -612) NIL) ((-739 . -611) 52481) ((-1268 . -611) 52463) ((-1165 . -224) 52447) ((-170 . -1143) 52426) ((-1253 . -561) 52405) ((-1167 . -712) 52302) ((-1166 . -712) 52143) ((-892 . -105) T) ((-1159 . -712) 51939) ((-1121 . -712) 51836) ((-1149 . -668) 51820) ((-358 . -407) 51771) ((-355 . -407) 51722) ((-343 . -407) 51673) ((-1029 . -138) T) ((-799 . -526) 51585) ((-290 . -612) NIL) ((-290 . -611) 51567) ((-910 . -456) T) ((-971 . -373) 51520) ((-815 . -373) 51499) ((-522 . -521) 51478) ((-520 . -521) 51457) ((-500 . -282) NIL) ((-496 . -284) 51434) ((-423 . -286) T) ((-357 . -138) T) ((-209 . -282) NIL) ((-688 . -505) NIL) ((-101 . -1109) T) ((-170 . -43) 51262) ((-1243 . -561) T) ((-1241 . -980) 51224) ((-1139 . -304) 51162) ((-1220 . -980) 51131) ((-910 . -407) T) ((-1110 . -1053) 51061) ((-1142 . -604) 51040) ((-738 . -367) 51019) ((-779 . -155) 50971) ((-121 . -847) T) ((-1065 . -502) 50903) ((-583 . -21) T) ((-583 . -25) T) ((-571 . -21) T) ((-571 . -25) T) ((-507 . -25) T) ((-507 . -21) T) ((-1230 . -1143) 50881) ((-1110 . -226) 50833) ((-53 . -138) T) ((-33 . -611) 50815) ((-974 . -1095) T) ((-1185 . -105) T) ((-233 . -1097) 50605) ((-870 . -405) 50582) ((-1086 . -105) T) ((-1075 . -105) T) ((-1206 . -526) NIL) ((-606 . -105) T) ((-483 . -105) T) ((-1230 . -43) 50411) ((-1084 . -1097) T) ((-852 . -43) 50381) ((-1163 . -633) 50329) ((-726 . -173) 50240) ((-646 . -611) 50222) ((-578 . -43) 50209) ((-964 . -105) 50159) ((-857 . -611) 50141) ((-857 . -612) 50063) ((-594 . -526) NIL) ((-1249 . -1060) T) ((-1242 . -1060) T) ((-1221 . -1060) T) ((-1215 . -1060) T) ((-1284 . -1109) T) ((-1198 . -151) 50042) ((-1167 . -173) 49993) ((-597 . -1060) T) ((-596 . -1060) T) ((-1166 . -173) 49924) ((-1159 . -173) 49855) ((-1121 . -173) 49806) ((-1010 . -1097) T) ((-978 . -1097) T) ((-915 . -1097) T) ((-799 . -797) 49790) ((-779 . -644) 49774) ((-779 . -980) 49743) ((-738 . -1109) T) ((-693 . -25) T) ((-693 . -21) T) ((-126 . -633) 49720) ((-695 . -886) 49702) ((-432 . -1097) T) ((-311 . -1213) 49681) ((-308 . -1213) T) ((-170 . -405) 49665) ((-1198 . -149) 49644) ((-482 . -980) 49606) ((-77 . -611) 49588) ((-738 . -23) T) ((-112 . -795) T) ((-112 . -792) T) ((-311 . -561) 49567) ((-695 . -1043) 49549) ((-308 . -561) T) ((-1284 . -23) T) ((-140 . -1043) 49531) ((-496 . -1059) 49428) ((-50 . -284) 49353) ((-1163 . -25) T) ((-1163 . -21) T) ((-233 . -712) 49295) ((-496 . -120) 49185) ((-1089 . -105) 49163) ((-1040 . -105) T) ((-1084 . -712) 49140) ((-637 . -828) 49119) ((-1204 . -1097) T) ((-726 . -526) 49057) ((-1057 . -1059) 49041) ((-618 . -21) T) ((-618 . -25) T) ((-1065 . -282) 49016) ((-365 . -105) T) ((-320 . -105) T) ((-665 . -640) 48990) ((-390 . -1059) 48974) ((-1057 . -120) 48953) ((-816 . -416) 48937) ((-126 . -25) T) ((-94 . -611) 48919) ((-126 . -21) T) ((-606 . -304) 48714) ((-483 . -304) 48518) ((-1253 . -1109) T) ((-1142 . -612) NIL) ((-390 . -120) 48497) ((-384 . -105) T) ((-206 . -611) 48479) ((-1142 . -611) 48461) ((-1010 . -712) 48411) ((-1159 . -526) 48145) ((-915 . -712) 48097) ((-1121 . -526) 48067) ((-354 . -302) T) ((-1253 . -23) T) ((-1177 . -155) 48017) ((-964 . -304) 47955) ((-834 . -105) T) ((-432 . -712) 47939) ((-216 . -828) T) ((-827 . -105) T) ((-825 . -105) T) ((-493 . -155) 47889) ((-1241 . -1240) 47868) ((-1115 . -1213) T) ((-338 . -1043) 47835) ((-1241 . -1235) 47805) ((-1241 . -1238) 47789) ((-1220 . -1219) 47768) ((-85 . -611) 47750) ((-905 . -611) 47732) ((-1220 . -1235) 47709) ((-1115 . -561) T) ((-922 . -847) T) ((-768 . -847) T) ((-500 . -612) 47639) ((-500 . -611) 47621) ((-384 . -280) T) ((-666 . -847) T) ((-1220 . -1217) 47605) ((-1243 . -1109) T) ((-209 . -612) 47535) ((-209 . -611) 47517) ((-1065 . -604) 47492) ((-64 . -155) 47476) ((-528 . -155) 47460) ((-508 . -155) 47444) ((-363 . -1275) 47428) ((-356 . -1275) 47412) ((-344 . -1275) 47396) ((-311 . -367) 47375) ((-308 . -367) T) ((-496 . -1053) 47305) ((-688 . -633) 47287) ((-1278 . -640) 47261) ((-1276 . -640) 47235) ((-1243 . -23) T) ((-684 . -502) 47219) ((-69 . -611) 47201) ((-1110 . -795) 47152) ((-1110 . -792) 47103) ((-554 . -502) 47040) ((-665 . -39) T) ((-496 . -226) 46992) ((-290 . -284) 46971) ((-233 . -173) 46950) ((-862 . -1265) 46934) ((-816 . -1060) T) ((-49 . -640) 46892) ((-1079 . -373) 46843) ((-726 . -286) 46774) ((-531 . -526) 46707) ((-817 . -1059) 46658) ((-1085 . -149) 46637) ((-363 . -373) 46616) ((-356 . -373) 46595) ((-344 . -373) 46574) ((-1085 . -151) 46553) ((-870 . -224) 46530) ((-817 . -120) 46465) ((-782 . -149) 46444) ((-782 . -151) 46423) ((-258 . -955) 46390) ((-245 . -845) 46369) ((-243 . -955) 46314) ((-244 . -845) 46293) ((-780 . -149) 46272) ((-780 . -151) 46251) ((-156 . -640) 46225) ((-458 . -151) 46204) ((-458 . -149) 46183) ((-665 . -721) T) ((-823 . -611) 46165) ((-1249 . -1097) T) ((-1242 . -1097) T) ((-1221 . -1097) T) ((-1215 . -1097) T) ((-1198 . -1192) 46131) ((-1198 . -1189) 46097) ((-1167 . -286) 46076) ((-1166 . -286) 46027) ((-1159 . -286) 45978) ((-1121 . -286) 45957) ((-338 . -900) 45938) ((-1010 . -173) T) ((-915 . -173) T) ((-779 . -1235) 45915) ((-597 . -1097) T) ((-596 . -1097) T) ((-688 . -21) T) ((-688 . -25) T) ((-482 . -1238) 45899) ((-482 . -1235) 45869) ((-423 . -282) 45797) ((-311 . -1109) 45646) ((-308 . -1109) T) ((-1198 . -40) 45612) ((-1198 . -98) 45578) ((-89 . -611) 45560) ((-96 . -105) 45538) ((-1284 . -138) T) ((-1206 . -502) 45520) ((-738 . -138) T) ((-584 . -149) T) ((-584 . -151) 45502) ((-529 . -151) 45484) ((-529 . -149) T) ((-311 . -23) 45336) ((-45 . -341) 45310) ((-308 . -23) T) ((-1151 . -643) 45292) ((-815 . -640) 45140) ((-1271 . -1060) T) ((-1151 . -378) 45122) ((-170 . -224) 45106) ((-594 . -502) 45088) ((-233 . -526) 45021) ((-1278 . -721) T) ((-1276 . -721) T) ((-1171 . -1059) 44904) ((-739 . -1059) 44727) ((-1171 . -120) 44589) ((-817 . -1053) T) ((-739 . -120) 44391) ((-527 . -105) T) ((-53 . -633) 44351) ((-522 . -105) T) ((-520 . -105) T) ((-1268 . -1059) 44321) ((-1040 . -43) 44305) ((-817 . -226) T) ((-817 . -239) 44284) ((-554 . -282) 44263) ((-1268 . -120) 44228) ((-1230 . -224) 44212) ((-1249 . -712) 44109) ((-1242 . -712) 43950) ((-1065 . -612) NIL) ((-1065 . -611) 43932) ((-1221 . -712) 43728) ((-1215 . -712) 43625) ((-1009 . -921) T) ((-697 . -611) 43594) ((-156 . -721) T) ((-1253 . -138) T) ((-1209 . -847) T) ((-1110 . -373) 43573) ((-1010 . -526) NIL) ((-245 . -416) 43542) ((-244 . -416) 43511) ((-1029 . -25) T) ((-1029 . -21) T) ((-597 . -712) 43484) ((-596 . -712) 43381) ((-799 . -282) 43339) ((-136 . -105) 43317) ((-833 . -1043) 43213) ((-170 . -828) 43192) ((-315 . -640) 43089) ((-815 . -39) T) ((-709 . -105) T) ((-1115 . -1109) T) ((-1032 . -1203) T) ((-384 . -43) 43054) ((-357 . -25) T) ((-357 . -21) T) ((-219 . -105) T) ((-163 . -105) T) ((-159 . -105) T) ((-146 . -105) T) ((-358 . -1265) 43038) ((-355 . -1265) 43022) ((-343 . -1265) 43006) ((-865 . -456) T) ((-170 . -352) 42985) ((-571 . -847) T) ((-507 . -847) T) ((-860 . -456) T) ((-1115 . -23) T) ((-92 . -611) 42967) ((-695 . -302) T) ((-834 . -43) 42937) ((-827 . -43) 42907) ((-1243 . -138) T) ((-1142 . -284) 42886) ((-971 . -721) 42785) ((-971 . -793) 42738) ((-971 . -794) 42691) ((-815 . -791) 42670) ((-125 . -302) T) ((-96 . -304) 42608) ((-669 . -39) T) ((-554 . -604) 42587) ((-53 . -25) T) ((-53 . -21) T) ((-815 . -794) 42538) ((-815 . -793) 42517) ((-695 . -1027) T) ((-646 . -1059) 42501) ((-971 . -481) 42454) ((-815 . -721) 42364) ((-910 . -1265) 42351) ((-237 . -321) 42328) ((-865 . -407) 42298) ((-496 . -795) 42249) ((-496 . -792) 42200) ((-860 . -407) 42170) ((-1171 . -1053) T) ((-1204 . -526) NIL) ((-739 . -1053) T) ((-646 . -120) 42149) ((-1171 . -325) 42126) ((-1190 . -105) 42104) ((-1098 . -611) 42086) ((-695 . -553) T) ((-739 . -325) 42063) ((-816 . -1097) T) ((-739 . -226) T) ((-1268 . -1053) T) ((-418 . -1097) T) ((-245 . -1060) 41993) ((-244 . -1060) 41923) ((-285 . -640) 41910) ((-594 . -282) 41885) ((-684 . -682) 41843) ((-1249 . -173) 41794) ((-970 . -611) 41776) ((-871 . -105) T) ((-730 . -611) 41758) ((-710 . -611) 41740) ((-1242 . -173) 41671) ((-1221 . -173) 41602) ((-1215 . -173) 41553) ((-693 . -847) T) ((-1010 . -286) T) ((-457 . -611) 41535) ((-621 . -721) T) ((-65 . -1097) 41513) ((-241 . -155) 41497) ((-915 . -286) T) ((-1029 . -1018) T) ((-621 . -481) T) ((-707 . -1213) 41476) ((-1253 . -505) 41442) ((-597 . -173) 41421) ((-596 . -173) 41372) ((-1258 . -847) 41351) ((-707 . -561) 41262) ((-412 . -921) T) ((-412 . -820) 41241) ((-315 . -794) T) ((-315 . -721) T) ((-423 . -611) 41223) ((-423 . -612) 41124) ((-637 . -1141) 41108) ((-114 . -643) 41090) ((-136 . -304) 41028) ((-114 . -378) 41010) ((-174 . -302) T) ((-403 . -1203) T) ((-311 . -138) 40881) ((-308 . -138) T) ((-74 . -400) T) ((-114 . -133) T) ((-1163 . -847) 40860) ((-531 . -502) 40844) ((-647 . -1109) T) ((-594 . -19) 40826) ((-219 . -304) NIL) ((-66 . -445) T) ((-146 . -304) NIL) ((-66 . -400) T) ((-824 . -1097) T) ((-594 . -604) 40801) ((-492 . -1043) 40761) ((-646 . -1053) T) ((-647 . -23) T) ((-1271 . -1097) T) ((-816 . -712) 40610) ((-1206 . -682) 40576) ((-130 . -847) T) ((-126 . -847) NIL) ((-1165 . -416) 40560) ((-1120 . -416) 40544) ((-851 . -416) 40528) ((-234 . -1060) T) ((-1241 . -105) T) ((-1221 . -526) 40262) ((-1190 . -304) 40200) ((-306 . -611) 40182) ((-1220 . -105) T) ((-1099 . -1097) T) ((-1167 . -282) 40167) ((-1166 . -282) 40152) ((-285 . -721) T) ((-112 . -909) NIL) ((-684 . -611) 40119) ((-684 . -612) 40080) ((-1079 . -640) 39990) ((-601 . -611) 39972) ((-554 . -612) NIL) ((-554 . -611) 39954) ((-1159 . -282) 39802) ((-500 . -1059) 39752) ((-706 . -456) T) ((-523 . -521) 39731) ((-519 . -521) 39710) ((-209 . -1059) 39660) ((-363 . -640) 39612) ((-356 . -640) 39564) ((-216 . -845) T) ((-344 . -640) 39516) ((-602 . -105) 39466) ((-496 . -373) 39445) ((-112 . -640) 39395) ((-500 . -120) 39322) ((-233 . -502) 39306) ((-342 . -151) 39288) ((-342 . -149) T) ((-170 . -375) 39259) ((-949 . -1256) 39243) ((-209 . -120) 39170) ((-871 . -304) 39135) ((-949 . -1097) 39085) ((-799 . -612) 39046) ((-799 . -611) 39028) ((-713 . -105) T) ((-330 . -1097) T) ((-1115 . -138) T) ((-709 . -43) 38998) ((-311 . -505) 38977) ((-512 . -1203) T) ((-1241 . -280) 38943) ((-1220 . -280) 38909) ((-326 . -155) 38893) ((-1065 . -284) 38868) ((-1271 . -712) 38838) ((-1152 . -39) T) ((-1280 . -1043) 38815) ((-738 . -633) 38721) ((-476 . -611) 38703) ((-497 . -39) T) ((-386 . -1043) 38687) ((-1165 . -1060) T) ((-1120 . -1060) T) ((-851 . -1060) T) ((-1064 . -845) T) ((-816 . -173) 38598) ((-531 . -282) 38575) ((-1206 . -611) 38557) ((-126 . -999) 38534) ((-862 . -105) T) ((-779 . -105) T) ((-1249 . -286) 38513) ((-1242 . -286) 38464) ((-1185 . -368) 38438) ((-1086 . -263) 38422) ((-482 . -105) T) ((-369 . -1097) T) ((-245 . -1097) T) ((-244 . -1097) T) ((-1221 . -286) 38373) ((-113 . -1097) T) ((-1215 . -286) 38352) ((-871 . -1143) 38330) ((-1167 . -1008) 38296) ((-606 . -368) 38236) ((-1166 . -1008) 38202) ((-606 . -222) 38149) ((-594 . -611) 38131) ((-594 . -612) NIL) ((-688 . -847) T) ((-483 . -222) 38081) ((-500 . -1053) T) ((-1159 . -1008) 38047) ((-93 . -444) T) ((-93 . -400) T) ((-209 . -1053) T) ((-1121 . -1008) 38013) ((-34 . -1095) T) ((-926 . -1097) T) ((-1284 . -25) T) ((-1079 . -721) T) ((-707 . -1109) T) ((-597 . -286) 37992) ((-596 . -286) 37971) ((-500 . -239) T) ((-500 . -226) T) ((-1158 . -611) 37953) ((-871 . -43) 37905) ((-209 . -239) T) ((-209 . -226) T) ((-738 . -25) T) ((-738 . -21) T) ((-363 . -721) T) ((-356 . -721) T) ((-344 . -721) T) ((-112 . -794) T) ((-112 . -791) T) ((-531 . -1245) 37889) ((-112 . -721) T) ((-707 . -23) T) ((-1204 . -502) 37871) ((-482 . -280) 37837) ((-1284 . -21) T) ((-1220 . -304) 37776) ((-1169 . -105) T) ((-45 . -149) 37748) ((-45 . -151) 37720) ((-531 . -604) 37697) ((-1110 . -640) 37545) ((-602 . -304) 37483) ((-50 . -643) 37433) ((-50 . -661) 37383) ((-50 . -378) 37333) ((-1151 . -39) T) ((-870 . -845) NIL) ((-647 . -138) T) ((-498 . -611) 37315) ((-233 . -282) 37292) ((-639 . -39) T) ((-626 . -39) T) ((-1085 . -456) 37243) ((-816 . -526) 37108) ((-782 . -456) 37039) ((-780 . -456) 36990) ((-775 . -105) T) ((-458 . -456) 36941) ((-958 . -416) 36925) ((-726 . -611) 36907) ((-245 . -712) 36849) ((-244 . -712) 36791) ((-726 . -612) 36652) ((-495 . -416) 36636) ((-338 . -297) T) ((-234 . -1097) T) ((-354 . -921) T) ((-1006 . -105) 36614) ((-1029 . -847) T) ((-65 . -526) 36547) ((-1253 . -25) T) ((-1253 . -21) T) ((-1220 . -1143) 36499) ((-1010 . -282) NIL) ((-216 . -1060) T) ((-384 . -828) T) ((-1110 . -39) T) ((-779 . -304) 36368) ((-584 . -456) T) ((-529 . -456) T) ((-1224 . -1090) 36352) ((-1224 . -1097) 36330) ((-233 . -604) 36307) ((-1224 . -1092) 36264) ((-1167 . -611) 36246) ((-1166 . -611) 36228) ((-1159 . -611) 36210) ((-1159 . -612) NIL) ((-1121 . -611) 36192) ((-871 . -405) 36176) ((-541 . -1097) T) ((-544 . -105) T) ((-1241 . -43) 36017) ((-1220 . -43) 35831) ((-869 . -151) T) ((-584 . -407) T) ((-53 . -847) T) ((-529 . -407) T) ((-1243 . -21) T) ((-1243 . -25) T) ((-1110 . -791) 35810) ((-1110 . -794) 35761) ((-1110 . -793) 35740) ((-1000 . -1097) T) ((-1033 . -39) T) ((-855 . -1097) T) ((-1254 . -105) T) ((-1110 . -721) 35650) ((-659 . -105) T) ((-554 . -284) 35629) ((-1177 . -105) T) ((-484 . -39) T) ((-471 . -39) T) ((-358 . -105) T) ((-355 . -105) T) ((-343 . -105) T) ((-258 . -105) T) ((-243 . -105) T) ((-492 . -302) T) ((-1064 . -1060) T) ((-958 . -1060) T) ((-311 . -633) 35535) ((-308 . -633) 35496) ((-495 . -1060) T) ((-493 . -105) T) ((-441 . -611) 35478) ((-1165 . -1097) T) ((-1120 . -1097) T) ((-851 . -1097) T) ((-1133 . -105) T) ((-816 . -286) 35409) ((-970 . -1059) 35292) ((-492 . -1027) T) ((-730 . -1059) 35262) ((-1139 . -1116) 35246) ((-1099 . -526) 35179) ((-973 . -105) T) ((-457 . -1059) 35149) ((-970 . -120) 35011) ((-865 . -1265) 34986) ((-860 . -1265) 34946) ((-910 . -105) T) ((-862 . -1143) T) ((-730 . -120) 34911) ((-234 . -712) 34857) ((-64 . -105) 34807) ((-531 . -612) 34768) ((-531 . -611) 34707) ((-530 . -105) 34685) ((-528 . -105) 34635) ((-509 . -105) 34613) ((-508 . -105) 34563) ((-457 . -120) 34514) ((-245 . -173) 34493) ((-244 . -173) 34472) ((-423 . -1059) 34446) ((-1198 . -980) 34407) ((-1005 . -1109) T) ((-862 . -43) 34372) ((-779 . -43) 34310) ((-949 . -526) 34243) ((-500 . -795) T) ((-482 . -43) 34084) ((-423 . -120) 34051) ((-500 . -792) T) ((-1006 . -304) 33989) ((-209 . -795) T) ((-209 . -792) T) ((-1005 . -23) T) ((-707 . -138) T) ((-1220 . -405) 33959) ((-1208 . -39) T) ((-311 . -25) 33811) ((-170 . -416) 33795) ((-311 . -21) 33666) ((-308 . -25) T) ((-308 . -21) T) ((-857 . -373) T) ((-114 . -39) T) ((-496 . -640) 33514) ((-870 . -1060) T) ((-594 . -284) 33489) ((-583 . -151) T) ((-571 . -151) T) ((-507 . -151) T) ((-1165 . -712) 33318) ((-1120 . -712) 33167) ((-1115 . -633) 33149) ((-851 . -712) 33119) ((-665 . -1203) T) ((-1 . -105) T) ((-233 . -611) 32877) ((-1230 . -416) 32861) ((-1204 . -682) 32827) ((-1177 . -304) 32631) ((-970 . -1053) T) ((-730 . -1053) T) ((-710 . -1053) T) ((-637 . -1097) 32581) ((-1057 . -640) 32565) ((-852 . -416) 32549) ((-523 . -105) T) ((-519 . -105) T) ((-243 . -304) 32536) ((-258 . -304) 32523) ((-1084 . -611) 32505) ((-970 . -325) 32484) ((-390 . -640) 32468) ((-493 . -304) 32272) ((-245 . -526) 32205) ((-665 . -1043) 32101) ((-244 . -526) 32034) ((-1133 . -304) 31960) ((-234 . -173) 31939) ((-819 . -1097) T) ((-799 . -1059) 31923) ((-1249 . -282) 31908) ((-1242 . -282) 31893) ((-1221 . -282) 31741) ((-1215 . -282) 31726) ((-391 . -1097) T) ((-322 . -1097) T) ((-423 . -1053) T) ((-170 . -1060) T) ((-64 . -304) 31664) ((-799 . -120) 31643) ((-596 . -282) 31628) ((-530 . -304) 31566) ((-528 . -304) 31504) ((-509 . -304) 31442) ((-508 . -304) 31380) ((-423 . -226) 31359) ((-496 . -39) T) ((-1010 . -612) 31289) ((-216 . -1097) T) ((-1010 . -611) 31271) ((-978 . -611) 31253) ((-978 . -612) 31228) ((-915 . -611) 31210) ((-693 . -151) T) ((-695 . -921) T) ((-695 . -820) T) ((-432 . -611) 31192) ((-1115 . -21) T) ((-1115 . -25) T) ((-665 . -382) 31176) ((-125 . -921) T) ((-871 . -224) 31160) ((-83 . -1203) T) ((-136 . -135) 31144) ((-1057 . -39) T) ((-1278 . -1043) 31118) ((-1276 . -1043) 31075) ((-1230 . -1060) T) ((-1163 . -149) 31054) ((-1163 . -151) 31033) ((-852 . -1060) T) ((-496 . -791) 31012) ((-358 . -1143) 30991) ((-355 . -1143) 30970) ((-343 . -1143) 30949) ((-496 . -794) 30900) ((-496 . -793) 30879) ((-220 . -39) T) ((-496 . -721) 30789) ((-65 . -502) 30773) ((-578 . -1060) T) ((-1204 . -611) 30755) ((-1165 . -173) 30646) ((-1120 . -173) 30557) ((-1064 . -1097) T) ((-1085 . -955) 30502) ((-958 . -1097) T) ((-817 . -640) 30453) ((-782 . -955) 30422) ((-708 . -1097) T) ((-780 . -955) 30389) ((-528 . -278) 30373) ((-665 . -900) 30332) ((-495 . -1097) T) ((-458 . -955) 30299) ((-84 . -1203) T) ((-358 . -43) 30264) ((-355 . -43) 30229) ((-343 . -43) 30194) ((-258 . -43) 30043) ((-243 . -43) 29892) ((-910 . -1143) T) ((-618 . -151) 29871) ((-618 . -149) 29850) ((-126 . -151) T) ((-126 . -149) NIL) ((-419 . -721) T) ((-799 . -1053) T) ((-342 . -456) T) ((-1249 . -1008) 29816) ((-1242 . -1008) 29782) ((-1221 . -1008) 29748) ((-1215 . -1008) 29714) ((-910 . -43) 29679) ((-216 . -712) 29644) ((-738 . -847) T) ((-45 . -414) 29616) ((-315 . -52) 29586) ((-1005 . -138) T) ((-815 . -1203) T) ((-174 . -921) T) ((-342 . -407) T) ((-531 . -284) 29563) ((-50 . -39) T) ((-815 . -1043) 29390) ((-739 . -909) 29369) ((-655 . -105) T) ((-647 . -21) T) ((-647 . -25) T) ((-1099 . -502) 29353) ((-1220 . -224) 29323) ((-669 . -1203) T) ((-241 . -105) 29273) ((-870 . -1097) T) ((-1171 . -640) 29198) ((-1064 . -712) 29185) ((-726 . -1059) 29028) ((-1165 . -526) 28974) ((-958 . -712) 28823) ((-1120 . -526) 28775) ((-739 . -640) 28700) ((-495 . -712) 28549) ((-72 . -611) 28531) ((-726 . -120) 28353) ((-949 . -502) 28337) ((-1268 . -640) 28297) ((-1167 . -1059) 28180) ((-817 . -721) T) ((-1166 . -1059) 28015) ((-1159 . -1059) 27805) ((-234 . -286) 27784) ((-1121 . -1059) 27667) ((-1009 . -1213) T) ((-1091 . -105) 27645) ((-815 . -382) 27614) ((-1009 . -561) T) ((-1167 . -120) 27476) ((-1166 . -120) 27290) ((-1159 . -120) 27036) ((-1121 . -120) 26898) ((-1102 . -1100) 26862) ((-384 . -845) T) ((-1249 . -611) 26844) ((-1242 . -611) 26826) ((-1221 . -611) 26808) ((-1221 . -612) NIL) ((-1215 . -611) 26790) ((-233 . -284) 26767) ((-45 . -456) T) ((-216 . -173) T) ((-170 . -1097) T) ((-688 . -151) T) ((-688 . -149) NIL) ((-597 . -611) 26749) ((-596 . -611) 26731) ((-898 . -1097) T) ((-838 . -1097) T) ((-808 . -1097) T) ((-766 . -1097) T) ((-651 . -849) 26715) ((-671 . -1097) T) ((-815 . -900) 26647) ((-1163 . -1189) 26625) ((-1163 . -1192) 26603) ((-45 . -407) NIL) ((-1115 . -654) T) ((-870 . -712) 26548) ((-245 . -502) 26532) ((-244 . -502) 26516) ((-707 . -633) 26464) ((-646 . -640) 26438) ((-290 . -39) T) ((-1163 . -98) 26416) ((-1163 . -40) 26394) ((-726 . -1053) T) ((-584 . -1265) 26381) ((-529 . -1265) 26358) ((-1230 . -1097) T) ((-1165 . -286) 26269) ((-1120 . -286) 26200) ((-1064 . -173) T) ((-852 . -1097) T) ((-958 . -173) 26111) ((-782 . -1233) 26095) ((-637 . -526) 26028) ((-82 . -611) 26010) ((-726 . -325) 25975) ((-1171 . -721) T) ((-578 . -1097) T) ((-495 . -173) 25886) ((-739 . -721) T) ((-241 . -304) 25824) ((-1134 . -1109) T) ((-75 . -611) 25806) ((-1268 . -721) T) ((-1167 . -1053) T) ((-1166 . -1053) T) ((-326 . -105) 25756) ((-1159 . -1053) T) ((-1134 . -23) T) ((-1121 . -1053) T) ((-96 . -1116) 25740) ((-858 . -1109) T) ((-1167 . -226) 25699) ((-1166 . -239) 25678) ((-1166 . -226) 25630) ((-1159 . -226) 25517) ((-1159 . -239) 25496) ((-315 . -900) 25402) ((-865 . -105) T) ((-860 . -105) T) ((-858 . -23) T) ((-170 . -712) 25230) ((-1098 . -373) T) ((-412 . -1213) T) ((-1029 . -151) T) ((-1009 . -367) T) ((-949 . -282) 25207) ((-869 . -456) T) ((-862 . -352) T) ((-311 . -847) T) ((-308 . -847) NIL) ((-874 . -105) T) ((-540 . -539) 25061) ((-707 . -25) T) ((-412 . -561) T) ((-707 . -21) T) ((-357 . -151) 25043) ((-357 . -149) T) ((-1139 . -1097) 25021) ((-457 . -715) T) ((-80 . -611) 25003) ((-123 . -847) T) ((-241 . -278) 24987) ((-233 . -1059) 24884) ((-86 . -611) 24866) ((-730 . -373) 24819) ((-1169 . -828) T) ((-732 . -228) 24803) ((-1230 . -712) 24632) ((-1152 . -1203) T) ((-143 . -228) 24614) ((-233 . -120) 24504) ((-1084 . -1059) 24481) ((-53 . -151) T) ((-870 . -173) T) ((-852 . -712) 24451) ((-497 . -1203) T) ((-958 . -526) 24397) ((-646 . -721) T) ((-578 . -712) 24384) ((-1084 . -120) 24349) ((-1040 . -1060) T) ((-495 . -526) 24287) ((-949 . -19) 24271) ((-949 . -604) 24248) ((-816 . -612) NIL) ((-816 . -611) 24230) ((-1010 . -1059) 24180) ((-418 . -611) 24162) ((-245 . -282) 24139) ((-244 . -282) 24116) ((-500 . -909) NIL) ((-311 . -29) 24086) ((-112 . -1203) T) ((-1009 . -1109) T) ((-209 . -909) NIL) ((-915 . -1059) 24038) ((-1207 . -847) T) ((-1079 . -1043) 23934) ((-1010 . -120) 23861) ((-732 . -689) 23845) ((-258 . -224) 23829) ((-432 . -1059) 23813) ((-384 . -1060) T) ((-1009 . -23) T) ((-915 . -120) 23744) ((-688 . -1192) NIL) ((-500 . -640) 23694) ((-112 . -884) 23676) ((-112 . -886) 23658) ((-688 . -1189) NIL) ((-209 . -640) 23608) ((-363 . -1043) 23592) ((-356 . -1043) 23576) ((-326 . -304) 23514) ((-344 . -1043) 23498) ((-216 . -286) T) ((-432 . -120) 23477) ((-65 . -611) 23444) ((-170 . -173) T) ((-1115 . -847) T) ((-112 . -1043) 23404) ((-892 . -1097) T) ((-834 . -1060) T) ((-827 . -1060) T) ((-688 . -40) NIL) ((-688 . -98) NIL) ((-308 . -999) 23365) ((-583 . -456) T) ((-571 . -456) T) ((-507 . -456) T) ((-412 . -367) T) ((-233 . -1053) 23295) ((-1142 . -39) T) ((-928 . -105) T) ((-492 . -921) T) ((-1005 . -633) 23243) ((-245 . -604) 23220) ((-244 . -604) 23197) ((-1079 . -382) 23181) ((-870 . -526) 23044) ((-233 . -226) 22996) ((-1151 . -1203) T) ((-824 . -611) 22978) ((-974 . -977) 22962) ((-1279 . -1109) T) ((-1271 . -611) 22944) ((-1230 . -173) 22835) ((-112 . -382) 22817) ((-112 . -337) 22799) ((-1064 . -286) T) ((-958 . -286) 22730) ((-799 . -373) 22709) ((-928 . -925) 22688) ((-639 . -1203) T) ((-626 . -1203) T) ((-495 . -286) 22619) ((-578 . -173) T) ((-326 . -278) 22603) ((-1279 . -23) T) ((-1198 . -105) T) ((-1185 . -1097) T) ((-1086 . -1097) T) ((-1075 . -1097) T) ((-88 . -611) 22585) ((-706 . -105) T) ((-358 . -352) 22564) ((-606 . -1097) T) ((-355 . -352) 22543) ((-343 . -352) 22522) ((-1177 . -222) 22472) ((-483 . -1097) T) ((-234 . -282) 22449) ((-258 . -247) 22411) ((-1134 . -138) T) ((-606 . -608) 22387) ((-1079 . -900) 22320) ((-1010 . -1053) T) ((-915 . -1053) T) ((-483 . -608) 22299) ((-1159 . -792) NIL) ((-1159 . -795) NIL) ((-1099 . -612) 22260) ((-493 . -222) 22210) ((-1099 . -611) 22192) ((-1010 . -239) T) ((-1010 . -226) T) ((-432 . -1053) T) ((-964 . -1097) 22142) ((-915 . -239) T) ((-858 . -138) T) ((-693 . -456) T) ((-840 . -1109) 22121) ((-112 . -900) NIL) ((-1198 . -280) 22087) ((-871 . -845) 22066) ((-1110 . -1203) T) ((-905 . -721) T) ((-170 . -526) 21978) ((-1005 . -25) T) ((-905 . -481) T) ((-412 . -1109) T) ((-500 . -794) T) ((-500 . -791) T) ((-910 . -352) T) ((-500 . -721) T) ((-209 . -794) T) ((-209 . -791) T) ((-1005 . -21) T) ((-209 . -721) T) ((-840 . -23) 21930) ((-315 . -302) 21909) ((-1041 . -228) 21855) ((-412 . -23) T) ((-949 . -612) 21816) ((-949 . -611) 21755) ((-637 . -502) 21739) ((-50 . -1016) 21689) ((-865 . -43) 21654) ((-860 . -43) 21619) ((-1163 . -456) 21550) ((-330 . -611) 21532) ((-1110 . -1043) 21359) ((-594 . -643) 21341) ((-594 . -378) 21323) ((-342 . -1265) 21300) ((-1033 . -1203) T) ((-870 . -286) T) ((-1230 . -526) 21246) ((-484 . -1203) T) ((-471 . -1203) T) ((-588 . -105) T) ((-1165 . -282) 21173) ((-618 . -456) 21152) ((-1006 . -1001) 21136) ((-1271 . -387) 21108) ((-126 . -456) T) ((-1184 . -105) T) ((-1089 . -1097) 21086) ((-1040 . -1097) T) ((-893 . -847) T) ((-1249 . -1059) 20969) ((-354 . -1213) T) ((-1242 . -1059) 20804) ((-1110 . -382) 20773) ((-1221 . -1059) 20563) ((-1215 . -1059) 20446) ((-1249 . -120) 20308) ((-1242 . -120) 20122) ((-1221 . -120) 19868) ((-1215 . -120) 19730) ((-1198 . -304) 19717) ((-354 . -561) T) ((-369 . -611) 19699) ((-285 . -302) T) ((-597 . -1059) 19672) ((-596 . -1059) 19555) ((-365 . -1097) T) ((-320 . -1097) T) ((-245 . -611) 19516) ((-244 . -611) 19477) ((-1009 . -138) T) ((-113 . -611) 19459) ((-629 . -23) T) ((-688 . -414) 19426) ((-605 . -23) T) ((-651 . -105) T) ((-597 . -120) 19397) ((-596 . -120) 19259) ((-384 . -1097) T) ((-335 . -105) T) ((-170 . -286) 19170) ((-237 . -105) T) ((-1220 . -845) 19123) ((-926 . -611) 19105) ((-709 . -1060) T) ((-1139 . -526) 19038) ((-1110 . -900) 18970) ((-834 . -1097) T) ((-827 . -1097) T) ((-825 . -1097) T) ((-99 . -105) T) ((-148 . -847) T) ((-738 . -151) 18949) ((-738 . -149) 18928) ((-610 . -884) 18912) ((-1208 . -1203) T) ((-1209 . -155) 18894) ((-114 . -1203) T) ((-1085 . -105) T) ((-1065 . -39) T) ((-782 . -105) T) ((-780 . -105) T) ((-466 . -105) T) ((-458 . -105) T) ((-233 . -795) 18845) ((-233 . -792) 18796) ((-779 . -1141) 18748) ((-641 . -105) T) ((-1230 . -286) 18659) ((-659 . -628) 18643) ((-637 . -282) 18620) ((-1040 . -712) 18604) ((-578 . -286) T) ((-970 . -640) 18529) ((-1279 . -138) T) ((-730 . -640) 18489) ((-710 . -640) 18476) ((-272 . -105) T) ((-457 . -640) 18406) ((-55 . -105) T) ((-584 . -105) T) ((-540 . -105) T) ((-529 . -105) T) ((-1249 . -1053) T) ((-1242 . -1053) T) ((-1221 . -1053) T) ((-1215 . -1053) T) ((-1249 . -226) 18365) ((-1242 . -239) 18344) ((-320 . -712) 18326) ((-1242 . -226) 18278) ((-1221 . -226) 18165) ((-1221 . -239) 18144) ((-1215 . -226) 18103) ((-1198 . -43) 18000) ((-1010 . -795) T) ((-597 . -1053) T) ((-596 . -1053) T) ((-1010 . -792) T) ((-978 . -795) T) ((-978 . -792) T) ((-234 . -611) 17982) ((-871 . -1060) T) ((-869 . -868) 17966) ((-688 . -456) T) ((-384 . -712) 17931) ((-423 . -640) 17905) ((-707 . -847) 17884) ((-706 . -43) 17849) ((-596 . -226) 17808) ((-45 . -719) 17780) ((-354 . -328) 17757) ((-354 . -367) T) ((-1253 . -149) 17736) ((-1253 . -151) 17715) ((-1079 . -302) 17666) ((-289 . -1109) 17547) ((-1103 . -1203) T) ((-172 . -105) T) ((-1224 . -611) 17514) ((-840 . -138) 17466) ((-637 . -1245) 17450) ((-834 . -712) 17420) ((-827 . -712) 17390) ((-496 . -1203) T) ((-363 . -302) T) ((-356 . -302) T) ((-344 . -302) T) ((-637 . -604) 17367) ((-412 . -138) T) ((-531 . -661) 17351) ((-112 . -302) T) ((-289 . -23) 17234) ((-531 . -643) 17218) ((-688 . -407) NIL) ((-531 . -378) 17202) ((-541 . -611) 17184) ((-96 . -1097) 17162) ((-112 . -1027) T) ((-571 . -147) T) ((-1258 . -155) 17146) ((-496 . -1043) 16973) ((-1243 . -149) 16934) ((-1243 . -151) 16895) ((-1057 . -1203) T) ((-1000 . -611) 16877) ((-855 . -611) 16859) ((-816 . -1059) 16702) ((-1085 . -304) 16689) ((-220 . -1203) T) ((-782 . -304) 16676) ((-780 . -304) 16663) ((-816 . -120) 16485) ((-458 . -304) 16472) ((-1165 . -612) NIL) ((-1165 . -611) 16454) ((-1120 . -611) 16436) ((-1120 . -612) 16184) ((-1040 . -173) T) ((-851 . -611) 16166) ((-949 . -284) 16143) ((-606 . -526) 15891) ((-818 . -1043) 15875) ((-483 . -526) 15635) ((-970 . -721) T) ((-730 . -721) T) ((-710 . -721) T) ((-354 . -1109) T) ((-1172 . -611) 15617) ((-214 . -105) T) ((-496 . -382) 15586) ((-527 . -1097) T) ((-522 . -1097) T) ((-520 . -1097) T) ((-799 . -640) 15560) ((-1029 . -456) T) ((-964 . -526) 15493) ((-354 . -23) T) ((-1205 . -847) T) ((-629 . -138) T) ((-605 . -138) T) ((-357 . -456) T) ((-233 . -373) 15472) ((-384 . -173) T) ((-1241 . -1060) T) ((-1220 . -1060) T) ((-216 . -1008) T) ((-972 . -1095) T) ((-693 . -392) T) ((-423 . -721) T) ((-695 . -1213) T) ((-1134 . -633) 15420) ((-1271 . -1059) 15404) ((-583 . -868) 15388) ((-1152 . -1180) 15364) ((-709 . -1097) T) ((-695 . -561) T) ((-136 . -1097) 15342) ((-496 . -900) 15274) ((-219 . -1256) 15256) ((-219 . -1097) T) ((-146 . -1256) 15231) ((-163 . -1097) T) ((-651 . -43) 15201) ((-357 . -407) T) ((-311 . -151) 15180) ((-311 . -149) 15159) ((-125 . -561) T) ((-308 . -151) 15115) ((-308 . -149) 15071) ((-53 . -456) T) ((-159 . -1097) T) ((-146 . -1097) T) ((-1152 . -111) 15018) ((-1163 . -955) 14987) ((-782 . -1143) 14965) ((-684 . -39) T) ((-1271 . -120) 14944) ((-554 . -39) T) ((-497 . -111) 14928) ((-245 . -284) 14905) ((-244 . -284) 14882) ((-870 . -282) 14812) ((-50 . -1203) T) ((-816 . -1053) T) ((-1171 . -52) 14789) ((-816 . -325) 14751) ((-1085 . -43) 14600) ((-816 . -226) 14579) ((-782 . -43) 14408) ((-780 . -43) 14257) ((-739 . -52) 14234) ((-458 . -43) 14083) ((-637 . -612) 14044) ((-637 . -611) 13983) ((-584 . -1143) T) ((-529 . -1143) T) ((-1139 . -502) 13967) ((-1190 . -1097) 13945) ((-1134 . -25) T) ((-1134 . -21) T) ((-862 . -1060) T) ((-779 . -1060) T) ((-1253 . -1192) 13911) ((-1253 . -1189) 13877) ((-482 . -1060) T) ((-1221 . -792) NIL) ((-1221 . -795) NIL) ((-1005 . -847) 13856) ((-819 . -611) 13838) ((-858 . -21) T) ((-858 . -25) T) ((-799 . -721) T) ((-516 . -1095) T) ((-174 . -1213) T) ((-584 . -43) 13803) ((-529 . -43) 13768) ((-391 . -611) 13750) ((-322 . -611) 13732) ((-170 . -282) 13690) ((-1253 . -40) 13656) ((-1253 . -98) 13622) ((-68 . -1203) T) ((-121 . -105) T) ((-871 . -1097) T) ((-174 . -561) T) ((-709 . -712) 13592) ((-289 . -138) 13475) ((-216 . -611) 13457) ((-216 . -612) 13387) ((-1206 . -39) T) ((-1009 . -633) 13321) ((-1271 . -1053) T) ((-1115 . -151) T) ((-626 . -1180) 13296) ((-726 . -909) 13275) ((-594 . -39) T) ((-639 . -111) 13259) ((-626 . -111) 13205) ((-739 . -886) NIL) ((-1230 . -282) 13132) ((-726 . -640) 13057) ((-290 . -1203) T) ((-1171 . -1043) 12953) ((-739 . -1043) 12833) ((-1159 . -909) NIL) ((-1064 . -612) 12748) ((-1064 . -611) 12730) ((-342 . -105) T) ((-245 . -1059) 12627) ((-244 . -1059) 12524) ((-399 . -105) T) ((-958 . -611) 12506) ((-958 . -612) 12367) ((-708 . -611) 12349) ((-1269 . -1197) 12318) ((-495 . -611) 12300) ((-495 . -612) 12161) ((-258 . -416) 12145) ((-243 . -416) 12129) ((-245 . -120) 12019) ((-244 . -120) 11909) ((-1167 . -640) 11834) ((-1166 . -640) 11731) ((-1159 . -640) 11583) ((-1121 . -640) 11508) ((-354 . -138) T) ((-87 . -445) T) ((-87 . -400) T) ((-1009 . -25) T) ((-1009 . -21) T) ((-871 . -712) 11460) ((-384 . -286) T) ((-170 . -1008) 11411) ((-739 . -382) 11395) ((-688 . -392) T) ((-1005 . -1003) 11379) ((-695 . -1109) T) ((-688 . -167) 11361) ((-1241 . -1097) T) ((-1220 . -1097) T) ((-311 . -1189) 11340) ((-311 . -1192) 11319) ((-1157 . -105) T) ((-311 . -965) 11298) ((-140 . -1109) T) ((-125 . -1109) T) ((-602 . -1256) 11282) ((-695 . -23) T) ((-602 . -1097) 11232) ((-96 . -526) 11165) ((-174 . -367) T) ((-1163 . -1233) 11149) ((-311 . -98) 11128) ((-311 . -40) 11107) ((-606 . -502) 11041) ((-140 . -23) T) ((-125 . -23) T) ((-713 . -1097) T) ((-483 . -502) 10978) ((-412 . -633) 10926) ((-646 . -1043) 10822) ((-739 . -900) 10765) ((-964 . -502) 10749) ((-358 . -1060) T) ((-355 . -1060) T) ((-343 . -1060) T) ((-258 . -1060) T) ((-243 . -1060) T) ((-870 . -612) NIL) ((-870 . -611) 10731) ((-1279 . -21) T) ((-578 . -1008) T) ((-726 . -721) T) ((-1279 . -25) T) ((-245 . -1053) 10661) ((-244 . -1053) 10591) ((-234 . -1059) 10537) ((-77 . -1203) T) ((-927 . -105) T) ((-245 . -226) 10489) ((-244 . -226) 10441) ((-234 . -120) 10380) ((-45 . -105) T) ((-910 . -1060) T) ((-1167 . -721) T) ((-1166 . -721) T) ((-1159 . -721) T) ((-1159 . -791) NIL) ((-1159 . -794) NIL) ((-1121 . -721) T) ((-927 . -925) 10338) ((-862 . -1097) T) ((-922 . -105) T) ((-779 . -1097) T) ((-768 . -105) T) ((-666 . -105) T) ((-482 . -1097) T) ((-338 . -1109) T) ((-1241 . -712) 10179) ((-174 . -1109) T) ((-315 . -921) 10158) ((-738 . -456) 10137) ((-871 . -173) T) ((-1220 . -712) 9951) ((-840 . -21) 9903) ((-840 . -25) 9855) ((-241 . -1141) 9839) ((-136 . -526) 9772) ((-412 . -25) T) ((-412 . -21) T) ((-338 . -23) T) ((-170 . -611) 9754) ((-170 . -612) 9520) ((-174 . -23) T) ((-637 . -284) 9497) ((-219 . -526) NIL) ((-146 . -526) NIL) ((-531 . -39) T) ((-898 . -611) 9479) ((-94 . -1203) T) ((-838 . -611) 9461) ((-808 . -611) 9443) ((-766 . -611) 9425) ((-671 . -611) 9407) ((-233 . -640) 9255) ((-1169 . -1097) T) ((-1165 . -1059) 9078) ((-1142 . -1203) T) ((-1120 . -1059) 8921) ((-851 . -1059) 8905) ((-1084 . -640) 8882) ((-1165 . -120) 8684) ((-1120 . -120) 8506) ((-851 . -120) 8485) ((-1230 . -612) NIL) ((-1230 . -611) 8467) ((-342 . -1143) T) ((-852 . -611) 8449) ((-1075 . -282) 8428) ((-234 . -1053) T) ((-85 . -1203) T) ((-1010 . -909) NIL) ((-606 . -282) 8404) ((-1190 . -526) 8337) ((-500 . -1203) T) ((-578 . -611) 8319) ((-483 . -282) 8298) ((-1085 . -224) 8282) ((-1010 . -640) 8232) ((-209 . -1203) T) ((-964 . -282) 8209) ((-915 . -640) 8161) ((-285 . -921) T) ((-817 . -302) 8140) ((-869 . -105) T) ((-782 . -224) 8124) ((-775 . -1097) T) ((-862 . -712) 8076) ((-779 . -712) 8014) ((-629 . -21) T) ((-629 . -25) T) ((-605 . -21) T) ((-342 . -43) 7979) ((-688 . -719) 7946) ((-500 . -884) 7928) ((-500 . -886) 7910) ((-482 . -712) 7751) ((-209 . -884) 7733) ((-69 . -1203) T) ((-209 . -886) 7715) ((-605 . -25) T) ((-432 . -640) 7689) ((-500 . -1043) 7649) ((-871 . -526) 7561) ((-209 . -1043) 7521) ((-233 . -39) T) ((-1006 . -1097) 7499) ((-1241 . -173) 7430) ((-1220 . -173) 7361) ((-707 . -149) 7340) ((-707 . -151) 7319) ((-695 . -138) T) ((-142 . -473) 7296) ((-467 . -105) T) ((-651 . -649) 7280) ((-1139 . -611) 7247) ((-125 . -138) T) ((-492 . -1213) T) ((-606 . -604) 7223) ((-483 . -604) 7202) ((-335 . -334) 7171) ((-544 . -1097) T) ((-1165 . -1053) T) ((-492 . -561) T) ((-237 . -236) 7155) ((-1120 . -1053) T) ((-851 . -1053) T) ((-233 . -791) 7134) ((-233 . -794) 7085) ((-233 . -793) 7064) ((-1165 . -325) 7041) ((-233 . -721) 6951) ((-964 . -19) 6935) ((-500 . -382) 6917) ((-500 . -337) 6899) ((-1120 . -325) 6871) ((-357 . -1265) 6848) ((-209 . -382) 6830) ((-209 . -337) 6812) ((-964 . -604) 6789) ((-1165 . -226) T) ((-659 . -1097) T) ((-1254 . -1097) T) ((-1177 . -1097) T) ((-1085 . -247) 6726) ((-358 . -1097) T) ((-355 . -1097) T) ((-343 . -1097) T) ((-258 . -1097) T) ((-243 . -1097) T) ((-89 . -1203) T) ((-137 . -105) 6704) ((-131 . -105) 6682) ((-739 . -302) 6661) ((-1177 . -608) 6640) ((-493 . -1097) T) ((-1209 . -105) T) ((-1133 . -1097) T) ((-493 . -608) 6619) ((-245 . -795) 6570) ((-245 . -792) 6521) ((-244 . -795) 6472) ((-45 . -1143) NIL) ((-244 . -792) 6423) ((-1079 . -921) 6374) ((-1010 . -794) T) ((-1010 . -791) T) ((-1010 . -721) T) ((-978 . -794) T) ((-973 . -1097) T) ((-915 . -721) T) ((-910 . -1097) T) ((-871 . -286) T) ((-96 . -502) 6358) ((-500 . -900) NIL) ((-862 . -173) T) ((-216 . -1059) 6323) ((-833 . -1109) 6302) ((-209 . -900) NIL) ((-779 . -173) T) ((-64 . -1097) 6252) ((-530 . -1097) 6230) ((-528 . -1097) 6180) ((-509 . -1097) 6158) ((-508 . -1097) 6108) ((-583 . -105) T) ((-571 . -105) T) ((-507 . -105) T) ((-482 . -173) 6039) ((-363 . -921) T) ((-356 . -921) T) ((-344 . -921) T) ((-216 . -120) 5988) ((-833 . -23) 5940) ((-432 . -721) T) ((-112 . -921) T) ((-45 . -43) 5885) ((-112 . -820) T) ((-584 . -352) T) ((-529 . -352) T) ((-1220 . -526) 5745) ((-311 . -456) 5724) ((-308 . -456) T) ((-1204 . -39) T) ((-834 . -282) 5703) ((-338 . -138) T) ((-174 . -138) T) ((-289 . -25) 5567) ((-289 . -21) 5450) ((-50 . -1180) 5429) ((-71 . -611) 5411) ((-892 . -611) 5393) ((-602 . -526) 5326) ((-50 . -111) 5276) ((-1099 . -430) 5260) ((-1099 . -373) 5239) ((-1065 . -1203) T) ((-1064 . -1059) 5226) ((-958 . -1059) 5069) ((-495 . -1059) 4912) ((-659 . -712) 4896) ((-1064 . -120) 4881) ((-958 . -120) 4703) ((-492 . -367) T) ((-358 . -712) 4655) ((-355 . -712) 4607) ((-343 . -712) 4559) ((-258 . -712) 4408) ((-243 . -712) 4257) ((-1259 . -105) T) ((-1258 . -105) 4207) ((-949 . -643) 4191) ((-1249 . -640) 4116) ((-495 . -120) 3938) ((-1242 . -640) 3835) ((-1221 . -640) 3687) ((-1221 . -909) NIL) ((-949 . -378) 3671) ((-1215 . -640) 3596) ((-79 . -611) 3578) ((-970 . -52) 3557) ((-616 . -1109) T) ((-1 . -1097) T) ((-705 . -105) T) ((-693 . -105) T) ((-1185 . -611) 3539) ((-1086 . -611) 3521) ((-1075 . -611) 3503) ((-910 . -712) 3468) ((-136 . -502) 3452) ((-779 . -526) 3284) ((-616 . -23) T) ((-395 . -23) T) ((-606 . -611) 3266) ((-92 . -1203) T) ((-606 . -612) NIL) ((-483 . -612) NIL) ((-483 . -611) 3248) ((-354 . -25) T) ((-354 . -21) T) ((-219 . -502) 3230) ((-137 . -304) 3168) ((-523 . -1097) T) ((-519 . -1097) T) ((-146 . -502) 3143) ((-131 . -304) 3081) ((-597 . -640) 3068) ((-217 . -62) 3036) ((-145 . -62) 2997) ((-216 . -1053) T) ((-596 . -640) 2922) ((-1209 . -304) NIL) ((-384 . -1008) T) ((-216 . -239) T) ((-216 . -226) T) ((-1163 . -105) T) ((-964 . -612) 2883) ((-964 . -611) 2822) ((-869 . -43) 2809) ((-1241 . -286) 2760) ((-1220 . -286) 2711) ((-1115 . -456) T) ((-514 . -847) T) ((-311 . -1131) 2690) ((-1005 . -151) 2669) ((-1005 . -149) 2648) ((-738 . -162) T) ((-738 . -147) T) ((-507 . -304) 2635) ((-290 . -1180) 2614) ((-492 . -1109) T) ((-870 . -1059) 2559) ((-618 . -105) T) ((-1190 . -502) 2543) ((-245 . -373) 2522) ((-244 . -373) 2501) ((-1163 . -280) 2479) ((-1064 . -1053) T) ((-290 . -111) 2429) ((-130 . -105) T) ((-126 . -105) T) ((-35 . -1095) T) ((-958 . -1053) T) ((-870 . -120) 2346) ((-492 . -23) T) ((-495 . -1053) T) ((-1064 . -226) T) ((-958 . -325) 2315) ((-495 . -325) 2272) ((-358 . -173) T) ((-355 . -173) T) ((-343 . -173) T) ((-258 . -173) 2183) ((-243 . -173) 2094) ((-970 . -1043) 1990) ((-730 . -1043) 1961) ((-1102 . -105) T) ((-1089 . -611) 1928) ((-1040 . -611) 1910) ((-1253 . -980) 1879) ((-1249 . -721) T) ((-1242 . -721) T) ((-1221 . -721) T) ((-1221 . -791) NIL) ((-1221 . -794) NIL) ((-862 . -286) T) ((-170 . -1059) 1789) ((-910 . -173) T) ((-779 . -286) T) ((-1215 . -721) T) ((-1269 . -155) 1773) ((-1009 . -341) 1747) ((-1006 . -526) 1680) ((-840 . -847) 1659) ((-571 . -1143) T) ((-482 . -286) 1610) ((-597 . -721) T) ((-365 . -611) 1592) ((-320 . -611) 1574) ((-423 . -1043) 1470) ((-596 . -721) T) ((-412 . -847) 1421) ((-170 . -120) 1310) ((-865 . -1060) T) ((-860 . -1060) T) ((-833 . -138) 1262) ((-732 . -155) 1246) ((-1258 . -304) 1184) ((-500 . -302) T) ((-384 . -611) 1151) ((-531 . -1016) 1135) ((-384 . -612) 1049) ((-209 . -302) T) ((-143 . -155) 1031) ((-709 . -282) 1010) ((-1163 . -304) 997) ((-500 . -1027) T) ((-583 . -43) 984) ((-571 . -43) 971) ((-507 . -43) 936) ((-219 . -282) 911) ((-146 . -282) 879) ((-209 . -1027) T) ((-870 . -1053) T) ((-834 . -611) 861) ((-827 . -611) 843) ((-825 . -611) 825) ((-816 . -909) 804) ((-1280 . -1109) T) ((-1230 . -1059) 627) ((-852 . -1059) 611) ((-870 . -239) T) ((-870 . -226) NIL) ((-684 . -1203) T) ((-1280 . -23) T) ((-816 . -640) 536) ((-554 . -1203) T) ((-423 . -337) 520) ((-578 . -1059) 507) ((-1230 . -120) 309) ((-695 . -633) 291) ((-852 . -120) 270) ((-386 . -23) T) ((-1177 . -526) 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/compress.daase b/src/share/algebra/compress.daase
index d0b55f1..cd25a44 100644
--- a/src/share/algebra/compress.daase
+++ b/src/share/algebra/compress.daase
@@ -1,3 +1,3 @@
 
-(30 . 3570849590)            
-(4574 |Enumeration| |Mapping| |Record| |Union| |ofCategory| |isDomain| ATTRIBUTE |package| |domain| |category| CATEGORY |nobranch| AND |Join| |ofType| SIGNATURE "failed" "algebra" |OneDimensionalArrayAggregate&| |OneDimensionalArrayAggregate| |AbelianGroup&| |AbelianGroup| |AbelianMonoid&| |AbelianMonoid| |AbelianSemiGroup&| |AbelianSemiGroup| |AlgebraicallyClosedField&| |AlgebraicallyClosedField| |AlgebraicallyClosedFunctionSpace&| |AlgebraicallyClosedFunctionSpace| |PlaneAlgebraicCurvePlot| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraicFunction| |AffineSpaceCategory| |Aggregate&| |Aggregate| |ArcHyperbolicFunctionCategory| |AssociationListAggregate| |Algebra&| |Algebra| |AlgFactor| |AlgebraicFunctionField| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraPackage| |AlgebraGivenByStructuralConstants| |AssociationList| |AbelianMonoidRing&| |AbelianMonoidRing| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |AnyFunctions1| |Any| |ApplicationProgramInterface| |ApplyUnivariateSkewPolynomial| |ApplyRules| |TwoDimensionalArrayCategory&| |TwoDimensionalArrayCategory| |OneDimensionalArrayFunctions2| |OneDimensionalArray| |TwoDimensionalArray| |Asp10| |Asp12| |Asp19| |Asp1| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp41| |Asp42| |Asp49| |Asp4| |Asp50| |Asp55| |Asp6| |Asp73| |Asp74| |Asp77| |Asp78| |Asp7| |Asp80| |Asp8| |Asp9| |AssociatedEquations| |ArrayStack| |ArcTrigonometricFunctionCategory&| |ArcTrigonometricFunctionCategory| |AttributeButtons| |AttributeRegistry| |Automorphism| |AxiomServer| |BalancedFactorisation| |BasicType&| |BasicType| |BalancedBinaryTree| |Bezier| |BezoutMatrix| |BasicFunctions| |BagAggregate&| |BagAggregate| |BinaryExpansion| |BinaryFile| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpMethodCategory| |BlowUpWithQuadTrans| |BlowUpPackage| |BiModule| |Boolean| |BasicOperatorFunctions1| |BasicOperator| |BoundIntegerRoots| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryRecursiveAggregate&| |BinaryRecursiveAggregate| |BrillhartTests| |BasicStochasticDifferential| |BinarySearchTree| |BitAggregate&| |BitAggregate| |BinaryTreeCategory&| |BinaryTreeCategory| |BinaryTournament| |BinaryTree| |CancellationAbelianMonoid| |CachableSet| |CardinalNumber| |CartesianTensorFunctions2| |CartesianTensor| |CharacterClass| |CommonDenominator| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |CombinatorialFunctionCategory| |Character| |CharacteristicNonZero| |CharacteristicPolynomialPackage| |CharacteristicZero| |ChangeOfVariable| |ComplexIntegerSolveLinearPolynomialEquation| |Collection&| |Collection| |CliffordAlgebra| |TwoDimensionalPlotClipping| |ComplexRootPackage| |Color| |CombinatorialFunction| |IntegerCombinatoricFunctions| |CombinatorialOpsCategory| |Commutator| |CommonOperators| |CommuteUnivariatePolynomialCategory| |ComplexCategory&| |ComplexCategory| |ComplexFactorization| |ComplexFunctions2| |Complex| |ComplexPattern| |SubSpaceComponentProperty| |CommutativeRing| |ContinuedFraction| |CoordinateSystems| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexPatternMatch| |CRApackage| |ComplexRootFindingPackage| |CyclicStreamTools| |ComplexTrigonometricManipulations| |CoerceVectorMatrixPackage| |CycleIndicators| |CyclotomicPolynomialPackage| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d01TransformFunctionType| |d01WeightsPackage| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |Database| |DoubleResultantPackage| |DistinctDegreeFactorize| |DecimalExpansion| |ElementaryFunctionDefiniteIntegration| |RationalFunctionDefiniteIntegration| |DegreeReductionPackage| |Dequeue| |DeRhamComplex| |DefiniteIntegrationTools| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DenavitHartenbergMatrix| |Dictionary&| |Dictionary| |DifferentialExtension&| |DifferentialExtension| |DifferentialRing&| |DifferentialRing| |DictionaryOperations&| |DictionaryOperations| |DiophantineSolutionPackage| |DirectProductCategory&| |DirectProductCategory| |DirectProductFunctions2| |DirectProduct| |DirichletRing| |DisplayPackage| |DivisorCategory| |Divisor| |DivisionRing&| |DivisionRing| |DoublyLinkedAggregate| |DataList| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DifferentialPolynomialCategory&| |DifferentialPolynomialCategory| |DequeueAggregate| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |DrawComplex| |DrawNumericHack| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForPoints| |DrawOptionFunctions0| |DrawOptionFunctions1| |DrawOption| |DifferentialSparseMultivariatePolynomial| |DesingTreeCategory| |DesingTree| |DesingTreePackage| |DifferentialVariableCategory&| |DifferentialVariableCategory| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType| |ExtAlgBasis| |ElementaryFunction| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ExtensibleLinearAggregate&| |ExtensibleLinearAggregate| |ElementaryFunctionCategory&| |ElementaryFunctionCategory| |EllipticFunctionsUnivariateTaylorSeries| |Eltable| |EltableAggregate&| |EltableAggregate| |EuclideanModularRing| |EntireRing| |EigenPackage| |EquationFunctions2| |Equation| |EqTable| |ErrorFunctions| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpertSystemContinuityPackage1| |ExpertSystemContinuityPackage| |ExpressionSpace&| |ExpressionSpace| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExpertSystemToolsPackage| |EuclideanDomain&| |EuclideanDomain| |Evalable&| |Evalable| |EvaluateCycleIndicators| |Exit| |Export3D| |ExponentialExpansion| |ExpressionFunctions2| |ExpressionToUnivariatePowerSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionSolve| |ExpressionTubePlot| |ExponentialOfUnivariatePuiseuxSeries| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactoredFunctions| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FactoringUtilities| |FreeAbelianGroup| |FreeAbelianMonoidCategory| |FreeAbelianMonoid| |FiniteAbelianMonoidRingFunctions2| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRing| |FlexibleArray| |FiniteAlgebraicExtensionField&| |FiniteAlgebraicExtensionField| |FortranCode| |FourierComponent| |FortranCodePackage1| |FiniteDivisorFunctions2| |FiniteDivisorCategory&| |FiniteDivisorCategory| |FiniteDivisor| |FullyEvalableOver&| |FullyEvalableOver| |FortranExpression| |FunctionFieldCategoryFunctions2| |FunctionFieldCategory&| |FunctionFieldCategory| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldCyclicGroupExtension| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FractionFreeFastGaussianFractions| |FractionFreeFastGaussian| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldCategory&| |FiniteFieldCategory| |FunctionFieldIntegralBasis| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldNormalBasisExtension| |FiniteField| |FiniteFieldExtensionByPolynomial| |FiniteFieldPolynomialPackage2| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteFieldExtension| |FGLMIfCanPackage| |FreeGroup| |Field&| |Field| |FileCategory| |File| |FiniteRankNonAssociativeAlgebra&| |FiniteRankNonAssociativeAlgebra| |Finite| |FiniteRankAlgebra&| |FiniteRankAlgebra| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregate&| |FiniteLinearAggregate| |FreeLieAlgebra| |FiniteLinearAggregateSort| |FullyLinearlyExplicitRingOver&| |FullyLinearlyExplicitRingOver| |FloatingComplexPackage| |Float| |FloatingRealPackage| |FreeModule1| |FreeModuleCat| |FortranMatrixCategory| |FortranMatrixFunctionCategory| |FreeModule| |FreeMonoid| |FortranMachineTypeCategory| |FileName| |FileNameCategory| |FreeNilpotentLie| |FortranOutputStackPackage| |FindOrderFinite| |ScriptFormulaFormat1| |ScriptFormulaFormat| |FortranProgramCategory| |FortranFunctionCategory| |FortranPackage| |FortranProgram| |FullPartialFractionExpansion| |FullyPatternMatchable| |FieldOfPrimeCharacteristic&| |FieldOfPrimeCharacteristic| |FloatingPointSystem&| |FloatingPointSystem| |FactoredFunctions2| |FractionFunctions2| |Fraction| |FramedAlgebra&| |FramedAlgebra| |FullyRetractableTo&| |FullyRetractableTo| |FractionalIdealFunctions2| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebraFunctions2| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebra| |Factored| |FactoredFunctionUtilities| |FunctionSpaceToExponentialExpansion| |FunctionSpaceFunctions2| |FunctionSpaceToUnivariatePowerSeries| |FiniteSetAggregateFunctions2| |FiniteSetAggregate&| |FiniteSetAggregate| |FunctionSpaceComplexIntegration| |FourierSeries| |FunctionSpaceIntegration| |FunctionSpace&| |FunctionSpace| |FunctionalSpecialFunction| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FortranScalarType| |FunctionSpaceUnivariatePolynomialFactor| |FortranTemplate| |FortranType| |FunctionCalled| |FortranVectorCategory| |FortranVectorFunctionCategory| |GaloisGroupFactorizer| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |EuclideanGroebnerBasisPackage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GcdDomain&| |GcdDomain| |GenericNonAssociativeAlgebra| |GeneralDistributedMultivariatePolynomial| |GnuDraw| |GenExEuclid| |GeneralizedMultivariateFactorize| |GeneralPolynomialGcdPackage| |GenUFactorize| |GenerateUnivariatePowerSeries| |GeneralHenselPackage| |GeneralModulePolynomial| |GuessOptionFunctions0| |GuessOption| |GosperSummationMethod| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GradedAlgebra&| |GradedAlgebra| |GrayCode| |GraphicsDefaults| |GraphImage| |GradedModule&| |GradedModule| |GroebnerSolve| |Group&| |Group| |GeneralUnivariatePowerSeries| |GeneralSparseTable| |GeneralTriangularSet| |GuessAlgebraicNumber| |GuessFiniteFunctions| |GuessFinite| |GuessInteger| |Guess| |GuessPolynomial| |GuessUnivariatePolynomial| |Pi| |HashTable| |HallBasis| |HomogeneousDistributedMultivariatePolynomial| |HomogeneousDirectProduct| |Heap| |HyperellipticFiniteDivisor| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousAggregate| |HTMLFormat| |HyperbolicFunctionCategory&| |HyperbolicFunctionCategory| |InnerAlgFactor| |InnerAlgebraicNumber| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |ChineseRemainderToolsForIntegralBases| |IntegralBasisTools| |IndexedBits| |IntegralBasisPolynomialTools| |IndexCard| |InnerCommonDenominator| |InfClsPt| |PolynomialIdeals| |IdealDecompositionPackage| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedDirectProductObject| |InnerEvalable&| |InnerEvalable| |InnerFreeAbelianMonoid| |IndexedFlexibleArray| |InnerFiniteField| |InnerIndexedTwoDimensionalArray| |IndexedList| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |IndexedMatrix| |InnerNormalBasisFieldFunctions| |IncrementingMaps| |IndexedExponents| |InnerNumericEigenPackage| |InfinitlyClosePointCategory| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InfinitlyClosePoint| |Infinity| |InputFormFunctions1| |InputForm| |InfiniteProductCharacteristicZero| |InnerNumericFloatSolvePackage| |InnerModularGcd| |InnerMultFact| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerPolySign| |IntegerNumberSystem&| |IntegerNumberSystem| |InnerTable| |AlgebraicIntegration| |AlgebraicIntegrate| |IntegerBits| |IntervalCategory| |IntersectionDivisorPackage| |IntegralDomain&| |IntegralDomain| |ElementaryIntegration| |InterfaceGroebnerPackage| |IntegerFactorizationPackage| |InterpolateFormsPackage| |IntegrationFunctionsTable| |GenusZeroIntegration| |IntegerNumberTheoryFunctions| |AlgebraicHermiteIntegration| |TranscendentalHermiteIntegration| |Integer| |AnnaNumericalIntegrationPackage| |PureAlgebraicIntegration| |PatternMatchIntegration| |RationalIntegration| |IntegerRetractions| |RationalFunctionIntegration| |Interval| |IntegerSolveLinearPolynomialEquation| |IntegrationTools| |TranscendentalIntegration| |InverseLaplaceTransform| |InnerPAdicInteger| |InnerPrimeField| |InternalPrintPackage| |IntegrationResultToFunction| |IntegrationResultFunctions2| |IntegrationResult| |IntegerRoots| |IrredPolyOverFiniteField| |IntegrationResultRFToFunction| |IrrRepSymNatPackage| |InternalRationalUnivariateRepresentationPackage| |IndexedString| |InnerPolySum| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerTrigonometricManipulations| |InfiniteTuple| |IndexedVector| |IndexedAggregate&| |IndexedAggregate| |AssociatedJordanAlgebra| |KeyedAccessFile| |KeyedDictionary&| |KeyedDictionary| |KernelFunctions2| |Kernel| |CoercibleTo| |ConvertibleTo| |Kovacic| |LeftAlgebra&| |LeftAlgebra| |LocalAlgebra| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LexTriangularPackage| |LiouvillianFunctionCategory| |LiouvillianFunction| |LinGroebnerPackage| |Library| |LieAlgebra&| |LieAlgebra| |AssociatedLieAlgebra| |PowerSeriesLimitPackage| |RationalFunctionLimitPackage| |LinearDependence| |LinearlyExplicitRingOver| |ListToMap| |ListFunctions2| |ListFunctions3| |List| |LinearSystemFromPowerSeriesPackage| |ListMultiDictionary| |LeftModule| |ListMonoidOps| |LinearAggregate&| |LinearAggregate| |LocalPowerSeriesCategory| |ElementaryFunctionLODESolver| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |Logic&| |Logic| |Localize| |LinesOpPack| |LocalParametrizationOfSimplePointPackage| |LinearPolynomialEquationByFractions| |LiePolynomial| |ListAggregate&| |ListAggregate| |LinearSystemMatrixPackage1| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LieSquareMatrix| |LyndonWord| |LazyStreamAggregate&| |LazyStreamAggregate| |ThreeDimensionalMatrix| |ModularAlgebraicGcdOperations| |Magma| |MappingPackageInternalHacks1| |MappingPackageInternalHacks2| |MappingPackageInternalHacks3| |MappingPackage1| |MappingPackage2| |MappingPackage3| |MappingPackage4| |MatrixCategoryFunctions2| |MatrixCategory&| |MatrixCategory| |MatrixLinearAlgebraFunctions| |Matrix| |StorageEfficientMatrixOperations| |MultiVariableCalculusFunctions| |MatrixCommonDenominator| |MachineComplex| |MultiDictionary| |ModularDistinctDegreeFactorizer| |MeshCreationRoutinesForThreeDimensions| |MultFiniteFactorize| |MachineFloat| |ModularHermitianRowReduction| |MachineInteger| |MakeBinaryCompiledFunction| |MakeCachableSet| |MakeFloatCompiledFunction| |MakeFunction| |MakeRecord| |MakeUnaryCompiledFunction| |MultivariateLifting| |MonogenicLinearOperator| |MultipleMap| |MathMLFormat| |ModularField| |ModMonic| |ModuleMonomial| |ModuleOperator| |ModularRing| |Module&| |Module| |MoebiusTransform| |Monad&| |Monad| |MonadWithUnit&| |MonadWithUnit| |MonogenicAlgebra&| |MonogenicAlgebra| |Monoid&| |Monoid| |MonomialExtensionTools| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MultivariatePolynomial| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MonoidRingFunctions2| |MonoidRing| |MultisetAggregate| |Multiset| |MoreSystemCommands| |MergeThing| |MultivariateTaylorSeriesCategory| |MultivariateFactorize| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NonAssociativeAlgebra&| |NonAssociativeAlgebra| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagIntegrationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagInterpolationPackage| |NagFittingPackage| |NagOptimisationPackage| |NagMatrixOperationsPackage| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagLapack| |NagSpecialFunctionsPackage| |NAGLinkSupportPackage| |NonAssociativeRng&| |NonAssociativeRng| |NonAssociativeRing&| |NonAssociativeRing| |NumericComplexEigenPackage| |NumericContinuedFraction| |NonCommutativeOperatorDivision| |NewtonInterpolation| |NumberFieldIntegralBasis| |NumericalIntegrationProblem| |NonLinearSolvePackage| |NonNegativeInteger| |NonLinearFirstOrderODESolver| |NoneFunctions1| |None| |NormInMonogenicAlgebra| |NormalizationPackage| |NormRetractPackage| |NottinghamGroup| |NPCoef| |NewtonPolygon| |NumericRealEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewSparseUnivariatePolynomial| |NumberTheoreticPolynomialFunctions| |NormalizedTriangularSetCategory| |Numeric| |NumberFormats| |NumericalIntegrationCategory| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |NumericTubePlot| |OrderedAbelianGroup| |OrderedAbelianMonoid| |OrderedAbelianMonoidSup| |OrderedAbelianSemiGroup| |OrderedCancellationAbelianMonoid| |OctonionCategory&| |OctonionCategory| |OctonionCategoryFunctions2| |Octonion| |OrdinaryDifferentialEquationsSolverCategory| |ConstantLODE| |ElementaryFunctionODESolver| |ODEIntensityFunctionsTable| |ODEIntegration| |AnnaOrdinaryDifferentialEquationPackage| |PureAlgebraicLODE| |PrimitiveRatDE| |NumericalODEProblem| |PrimitiveRatRicDE| |RationalLODE| |ReduceLODE| |RationalRicDE| |SystemODESolver| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrderlyDifferentialVariable| |OrderedFreeMonoid| |OrderedIntegralDomain| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathErrorKind| |OpenMathError| |ExpressionToOpenMath| |OppositeMonogenicLinearOperator| |OpenMath| |OpenMathPackage| |OrderedMultisetAggregate| |OpenMathServerPackage| |OnePointCompletionFunctions2| |OnePointCompletion| |Operator| |OperationsQuery| |NumericalOptimizationCategory| |AnnaNumericalOptimizationPackage| |NumericalOptimizationProblem| |OrderedCompletionFunctions2| |OrderedCompletion| |OrderedFinite| |OrderingFunctions| |OrderedMonoid| |OrderedRing&| |OrderedRing| |OrderedSet&| |OrderedSet| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategoryOps| |SparseUnivariateSkewPolynomial| |UnivariateSkewPolynomial| |OrthogonalPolynomialFunctions| |OrdSetInts| |OutputForm| |OutputPackage| |OrderedVariableList| |OrdinaryWeightedPolynomials| |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteFieldCategory| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfPerfectFieldCategory| |PseudoAlgebraicClosureOfRationalNumberCategory| |PseudoAlgebraicClosureOfRationalNumber| |PadeApproximants| |PadeApproximantPackage| |PAdicIntegerCategory| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForAlgebraicFunctionField| |Palette| |PolynomialAN2Expression| |ParametrizationPackage| |ParametricPlaneCurveFunctions2| |ParametricPlaneCurve| |ParametricSpaceCurveFunctions2| |ParametricSpaceCurve| |ParametricSurfaceFunctions2| |ParametricSurface| |PartitionsAndPermutations| |Patternable| |PatternMatchListResult| |PatternMatchable| |PatternMatch| |PatternMatchResultFunctions2| |PatternMatchResult| |PatternFunctions1| |PatternFunctions2| |Pattern| |PoincareBirkhoffWittLyndonBasis| |PolynomialComposition| |PartialDifferentialEquationsSolverCategory| |PolynomialDecomposition| |AnnaPartialDifferentialEquationPackage| |NumericalPDEProblem| |PartialDifferentialRing&| |PartialDifferentialRing| |PendantTree| |Permanent| |PermutationCategory| |PermutationGroup| |Permutation| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialFactorizationExplicit| |PrimeField| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PackageForPoly| |PointsOfFiniteOrderTools| |PartialFraction| |PartialFractionPackage| |PolynomialGcdPackage| |PermutationGroupExamples| |PolyGroebner| |PiCoercions| |PrincipalIdealDomain| |PositiveInteger| |PolynomialInterpolationAlgorithms| |PolynomialInterpolation| |PlacesCategory| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |ParametricLinearEquations| |PlotFunctions1| |Plot3D| |Plot| |PlotTools| |PolynomialPackageForCurve| |FunctionSpaceAssertions| |PatternMatchAssertions| |PatternMatchPushDown| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |FunctionSpaceAttachPredicates| |AttachPredicates| |PatternMatchQuotientFieldCategory| |PatternMatchSymbol| |PatternMatchTools| |PolynomialNumberTheoryFunctions| |Point| |PolToPol| |RealPolynomialUtilitiesPackage| |PolynomialFunctions2| |PolynomialToUnivariatePolynomial| |PolynomialCategory&| |PolynomialCategory| |PolynomialCategoryQuotientFunctions| |PolynomialCategoryLifting| |Polynomial| |PolynomialRoots| |PlottablePlaneCurveCategory| |PrecomputedAssociatedEquations| |PrimitiveArrayFunctions2| |PrimitiveArray| |PrimitiveFunctionCategory| |PrimitiveElement| |IntegerPrimesPackage| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PolynomialRing| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PriorityQueueAggregate| |PseudoRemainderSequence| |ProjectiveSpaceCategory| |Partition| |PowerSeriesCategory&| |PowerSeriesCategory| |PlottableSpaceCurveCategory| |PolynomialSetCategory&| |PolynomialSetCategory| |PolynomialSetUtilitiesPackage| |PseudoLinearNormalForm| |PolynomialSquareFree| |PointCategory| |PointFunctions2| |PointPackage| |PartialTranscendentalFunctions| |PushVariables| |PAdicWildFunctionFieldIntegralBasis| |QuasiAlgebraicSet2| |QuasiAlgebraicSet| |QuasiComponentPackage| |QueryEquation| |QuotientFieldCategoryFunctions2| |QuotientFieldCategory&| |QuotientFieldCategory| |QuadraticForm| |QueueAggregate| |QuaternionCategory&| |QuaternionCategory| |QuaternionCategoryFunctions2| |Quaternion| |Queue| |RadicalCategory&| |RadicalCategory| |RadicalFunctionField| |RadixExpansion| |RadixUtilities| |RandomNumberSource| |RationalFactorize| |RationalRetractions| |RecursiveAggregate&| |RecursiveAggregate| |RealClosedField&| |RealClosedField| |ElementaryRischDE| |ElementaryRischDESystem| |TranscendentalRischDE| |TranscendentalRischDESystem| |RandomDistributions| |ReducedDivisor| |RealZeroPackage| |RealZeroPackageQ| |RealConstant| |RealSolvePackage| |RealClosure| |RecurrenceOperator| |ReductionOfOrder| |Reference| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |RepeatedDoubling| |RadicalEigenPackage| |RepeatedSquaring| |ResolveLatticeCompletion| |ResidueRing| |Result| |RetractableTo&| |RetractableTo| |RetractSolvePackage| |RandomFloatDistributions| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunction| |RootsFindingPackage| |RegularChain| |RandomIntegerDistributions| |Ring&| |Ring| |RationalInterpolation| |RectangularMatrixCategory&| |RectangularMatrixCategory| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |RightModule| |Rng| |RealNumberSystem&| |RealNumberSystem| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RecursivePolynomialCategory&| |RecursivePolynomialCategory| |RealRootCharacterizationCategory&| |RealRootCharacterizationCategory| |RegularSetDecompositionPackage| |RegularTriangularSetCategory&| |RegularTriangularSetCategory| |RegularTriangularSetGcdPackage| |RuleCalled| |RewriteRule| |Ruleset| |RationalUnivariateRepresentationPackage| |SimpleAlgebraicExtensionAlgFactor| |SimpleAlgebraicExtension| |SAERationalFunctionAlgFactor| |SingletonAsOrderedSet| |SortedCache| |StructuralConstantsPackage| |StochasticDifferential| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |SegmentFunctions2| |SegmentBindingFunctions2| |SegmentBinding| |SegmentCategory| |Segment| |SegmentExpansionCategory| |SetAggregate&| |SetAggregate| |SetCategoryWithDegree| |SetCategory&| |SetCategory| |SetOfMIntegersInOneToN| |Set| |SExpressionCategory| |SExpression| |SExpressionOf| |SimpleFortranProgram| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage| |SquareFreeRegularTriangularSetCategory| |SymmetricGroupCombinatoricFunctions| |SemiGroup&| |SemiGroup| |SplitHomogeneousDirectProduct| |SturmHabichtPackage| |ElementaryFunctionSign| |RationalFunctionSign| |SimplifyAlgebraicNumberConvertPackage| |SingleInteger| |StackAggregate| |SquareMatrixCategory&| |SquareMatrixCategory| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |PolynomialSolveByFormulas| |RadicalSolvePackage| |TransSolvePackageService| |TransSolvePackage| |SortPackage| |ThreeSpace| |ThreeSpaceCategory| |SpecialOutputPackage| |SpecialFunctionCategory| |SplittingNode| |SplittingTree| |SquareMatrix| |StringAggregate&| |StringAggregate| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |Stack| |StreamAggregate&| |StreamAggregate| |SparseTable| |StepThrough| |StreamInfiniteProduct| |StreamTensor| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |Stream| |StringCategory| |String| |StringTable| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctionsNonCommutative| |StreamTranscendentalFunctions| |SubResultantPackage| |SubSpace| |SuchThat| |SparseUnivariateLaurentSeries| |FunctionSpaceSum| |RationalFunctionSum| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePolynomialExpressions| |SupFractionFactorizer| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Switch| |Symbol| |SymmetricFunctions| |SymmetricPolynomial| |TheSymbolTable| |SymbolTable| |SystemSolvePackage| |TableauxBumpers| |Tableau| |Table| |TangentExpansions| |TableAggregate&| |TableAggregate| |TabulatedComputationPackage| |TemplateUtilities| |TexFormat1| |TexFormat| |TextFile| |ToolsForSign| |TopLevelThreeSpace| |TranscendentalFunctionCategory&| |TranscendentalFunctionCategory| |Tree| |TrigonometricFunctionCategory&| |TrigonometricFunctionCategory| |TrigonometricManipulations| |TriangularMatrixOperations| |TranscendentalManipulations| |TriangularSetCategory&| |TriangularSetCategory| |TaylorSeries| |TubePlot| |TubePlotTools| |Tuple| |TwoFactorize| |Type| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |UniqueFactorizationDomain&| |UniqueFactorizationDomain| |UnivariateFormalPowerSeriesFunctions| |UnivariateFormalPowerSeries| |UnivariateLaurentSeriesFunctions2| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeries| |UnivariateFactorize| |UniversalSegmentFunctions2| |UniversalSegment| |UnivariatePolynomialFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomial| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategory| |UnivariatePowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnaryRecursiveAggregate&| |UnaryRecursiveAggregate| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeries| |UnivariateTaylorSeriesODESolver| |UTSodetools| |TaylorSolve| |UnivariateTaylorSeriesCZero| |Variable| |VectorCategory&| |VectorCategory| |VectorFunctions2| |Vector| |TwoDimensionalViewport| |ThreeDimensionalViewport| |ViewDefaultsPackage| |ViewportPackage| |Void| |VectorSpace&| |VectorSpace| |WeierstrassPreparation| |WildFunctionFieldIntegralBasis| |WeightedPolynomials| |WuWenTsunTriangularSet| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |ExtensionField&| |ExtensionField| |XPBWPolynomial| |XPolynomialsCat| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ParadoxicalCombinatorsForStreams| |ZeroDimensionalSolvePackage| |IntegerLinearDependence| |IntegerMod| |Enumeration| |Mapping| |Record| |Union| |Category| |symbol?| |virtualDegree| |brillhartIrreducible?| |partition| |besselJ| |totalDegree| |tableau| |possiblyInfinite?| |divOfZero| |\\/| |directSum| |var2Steps| |fixedPointExquo| |complexZeros| |stepBlowUp| |OMReadError?| |maxIndex| |generalLambert| |coerceL| |select!| |OMgetEndAttr| |powmod| |critT| |whileLoop| |leftUnit| ~= |semiResultantEuclidean1| |taylorRep| |delete!| |previous| |acschIfCan| |keys| |validExponential| |palgextint0| |inconsistent?| |cyclotomic| |retract| |leaves| |iitan| |integrate| |integer?| = |setFieldInfo| |lowerCase!| |rootRadius| |rationalIfCan| |factorSquareFreeByRecursion| |iicsch| |index| |tab| |factorUsingYun| |setMinPoints3D| < |lhs| |monicRightDivide| |viewport3D| |inR?| |gcdprim| > |operator| |solid| |inGroundField?| |polCase| |normalise| <= |certainlySubVariety?| |SturmHabichtSequence| |semiResultantReduitEuclidean| |dictionary| |twist| >= |basisOfInterpolateForms| |makeop| |prinb| |multV| |twoFactor| |swapRows!| |shiftRoots| |position!| |stFunc1| |integralBasisAtInfinity| |rur| |operators| |implies| |stop| LODO2FUN + |selectPDERoutines| |times| |createGenericMatrix| |nextPrimitiveNormalPoly| |writeLine!| - |ScanRoman| |intermediateResultsIF| |ksec| |nextsousResultant2| |numeric| / |region| |explicitlyEmpty?| |bezoutMatrix| |trailingCoefficient| |lazyPseudoRemainder| |factorials| |cycleSplit!| |fractionPart| |alternating| |bracket| |monomialIntegrate| |f2df| |less?| |quotedOperators| |OMlistSymbols| |leadingIndex| |composite| |evenInfiniteProduct| |transcendent?| |swap!| |nextNormalPrimitivePoly| |logGamma| |monomRDEsys| |exprHasAlgebraicWeight| |createPrimitivePoly| |prepareSubResAlgo| |prefix| |setlocalPoint!| |yellow| |associative?| |domainOf| |knownInfBasis| |elRow1!| |isMult| |number?| |product| |symmetricGroup| |condition| |monicDecomposeIfCan| |init| |postfix| |type| |maxDerivative| |OMencodingBinary| |noncommutativeJordanAlgebra?| |subs2ndVar| F2FG |fixedPoint| |safeCeiling| |intersect| |edf2fi| |setsubmult!| |exquo| |factorFraction| |linearBezier| |complexNormalize| |BasicMethod| |iicoth| |div| |endSubProgram| |deepestTail| |tanQ| |putGraph| |solveLinearPolynomialEquation| |coHeight| |slex| |wordsForStrongGenerators| |lagrange| ^= |pdf2df| |iiexp| |displayAsGF| |primitiveElement| |numberOfHues| |evenlambert| |tanhIfCan| |ScanFloatIgnoreSpaces| |intcompBasis| |stripCommentsAndBlanks| |createMultiplicationMatrix| |compBound| |createLowComplexityTable| |setAdaptive| |lastNonNull| |height| |monicCompleteDecompose| |stoseLastSubResultant| |newtonPolySlope| |selectMultiDimensionalRoutines| |mvar| |solveid| |pointColor| |pointSizeDefault| |mpsode| |rightTrace| |quadratic?| |youngGroup| |B1solve| |integralCoordinates| |identity| |eval| |increasePrecision| |hclf| |critpOrder| |cyclicEqual?| |escape| |f02awf| |square?| |log10| |result| |laurentRep| |constantKernel| |f02akf| |operation| |stoseInvertibleSetsqfreg| |groebnerIdeal| |blue| |algebraicSort| |variationOfParameters| |f02ajf| |refine| |meshPar1Var| |setsubMatrix!| |resize| |iipow| |f02agf| |coefChoose| |pattern| |lyndon?| |newtonPolygon| |exp1| |tanh2coth| |kovacic| |nthRootIfCan| |subNodeOf?| |makeViewport3D| |f02aff| |edf2efi| |PollardSmallFactor| |options| |setlocalParam!| |setOfMinN| |f02aef| |subscript| |subresultantSequence| |ffactor| |pseudoDivide| |npcoef| |f02adf| |aromberg| |moduleSum| |genericLeftNorm| |initials| |stack| |f02abf| |hasoln| |mathieu22| |mapExponents| |nextItem| |removeIrreducibleRedundantFactors| |f02aaf| |partialDenominators| |axServer| |rightDiscriminant| |monomial2series| |rationalFunction| |measure| |composites| |someBasis| |OMputString| |oneDimensionalArray| |unmakeSUP| |outputSpacing| |messagePrint| |solve1| |rationalPlaces| |findOrderOfDivisor| |antiCommutative?| |drawComplex| |reindex| |mainContent| |LyndonWordsList| |setScreenResolution3D| |myDegree| |ratDsolve| |subResultantGcdEuclidean| |algebraicDecompose| |laguerre| |localAbs| |unprotectedRemoveRedundantFactors| |diff| |meatAxe| |atrapezoidal| |cartesian| |subMultV| |maxMixedDegree| |octon| |legendre| |oddlambert| |mathieu23| |bernoulli| |closedCurve| |sparsityIF| |addBadValue| |completeSmith| |increment| |maxPoints3D| |key?| |att2Result| |integralDerivationMatrix| |doubleDisc| |quoByVar| |rationalPoint?| |showRegion| |elliptic?| |OMgetVariable| |setpoint!| |atoms| |idealiser| |head| |numFunEvals3D| |numberOfDivisors| |alternative?| |f2st| |complexForm| |associatedEquations| |cyclicEntries| |mapExpon| |normal01| |torsion?| |rem| |semiResultantEuclidean2| |rarrow| |totolex| |Ei| |positiveSolve| |printHeader| |excpDivV| |setColumn!| |schwerpunkt| |cot2tan| |OMgetEndAtp| |quo| |declare!| |elColumn2!| |integralBasis| |cyclic?| |stopTableGcd!| |OMgetInteger| |hermite| |heapSort| |randomLC| |typeList| |/\\| |compiledFunction| |printStats!| |internalIntegrate0| |Aleph| |partialFraction| |lexGroebner| |commonDenominator| |rootsOf| |updatD| F |mapGen| |affinePoint| |leftMinimalPolynomial| |label| |quasiMonicPolynomials| |curve| |denomLODE| |inverse| |subNode?| |lcm| |light| |setParam!| |normalized?| |revert| |fortranCarriageReturn| |applyRules| |setmult!| |invmultisect| |normalize| |hexDigit?| |empty?| |OMread| |cubicBezier| |OMsupportsCD?| |finiteBound| |torsionIfCan| |fortranComplex| |areEquivalent?| |coercePreimagesImages| |maxLevel| |front| |leadingCoefficientRicDE| |autoReduced?| |nand| |numberOfValuesNeeded| |e02bcf| |fillPascalTriangle| |denominators| |insertionSort!| |removeSuperfluousQuasiComponents| |getCode| |e02bbf| |resetNew| |stopMusserTrials| |droot| |cyclePartition| |nonSingularModel| |e02baf| |oblateSpheroidal| |curryLeft| |Hausdorff| |palgintegrate| |harmonic| |e02akf| |status| |moreAlgebraic?| |listVariable| |extractTop!| |trigs2explogs| |roughBase?| |e02ajf| |minimumExponent| |base| |moebiusMu| |supRittWu?| |localReal?| |e04ycf| |lfunc| |clearTheIFTable| |times!| |irreducibleFactor| |transform| |e04ucf| |polyRing2UPUP| |numberOfChildren| |exprex| |stiffnessAndStabilityFactor| |genericLeftTraceForm| |e04naf| |choosemon| |cSinh| |alphabetic?| |OMunhandledSymbol| |relationsIdeal| |e04mbf| |insertMatch| |lazyPremWithDefault| |trim| |center| |laplacian| |shiftLeft| |e04jaf| |ricDsolve| |numberOfFactors| |connect| |iisqrt3| |sort!| |e04gcf| |getShiftRec| |fullDesTree| |rubiksGroup| |checkExtraValues| |lyndon| |e04fdf| |allPairsAmong| |bag| |karatsuba| |setexcpDiv!| |guessHolo| |e04dgf| |systemCommand| |paraboloidal| |rightRank| |setTopPredicate| |setClosed| |int| |f01ref| |dimensionsOf| |coth2trigh| |affineSingularPoints| |exponents| |wordInGenerators| |f01rdf| ~ |apply| |sn| |rangePascalTriangle| |degreeOfMinimalForm| |boundOfCauchy| |guessAlg| |f01rcf| |Vectorise| |subCase?| |roman| |complexLimit| |companionBlocks| |f01qef| |brace| |movedPoints| |rootPower| |evalIfCan| |stiffnessAndStabilityOfODEIF| |removeRoughlyRedundantFactorsInPol| |f01qdf| |cons| |mesh| |balancedFactorisation| |rootKerSimp| |submod| |mapCoef| |f01qcf| |copy| |xor| |zeta| |expint| |irreducibleRepresentation| |fullOutput| |f01mcf| |swap| |floor| |regularRepresentation| |search| |OMconnInDevice| |symbolIfCan| |f01maf| |nextColeman| |itsALeaf!| |stronglyReduce| |first| |shuffle| |setCurve| |f01bsf| |bezoutDiscriminant| |dfRange| |minPoints| |third| |leadingBasisTerm| |mapBivariate| |f01brf| |weakBiRank| |curveV| |symbolTableOf| |lifting1| |previousTower| |list| |tubePlot| |cycle| |listConjugateBases| |quadraticBezier| |bat| |tree| |coerceP| |representationType| |pdf2ef| |zRange| |OMlistCDs| FG2F |guessRec| |errorInfo| |packageCall| |range| |lazy?| |bipolarCylindrical| |cAcsch| |mask| |numberOfComponents| |GospersMethod| |denomRicDE| |perspective| |semiDiscriminantEuclidean| |removeDuplicates| |phiCoord| |ShiftAction| |infRittWu?| |lambda| |positive?| |rest| |finiteSeries2Vector| |removeConstantTerm| |startTableGcd!| |createZechTable| |degreeSubResultant| LE |reverse| |bezoutResultant| |lexico| |hessian| |basisOfRightNucloid| |solveLinearPolynomialEquationByRecursion| |nextNormalPoly| |setDifference| |fortranDoubleComplex| |leftTrim| |basisOfRightNucleus| |fortranReal| |normalizedDivide| |setIntersection| |OMgetFloat| |alternatingGroup| |sbt| |solveRetract| |optAttributes| |normalForm| |padecf| |removeRedundantFactorsInPols| |adaptive| |constant?| |setUnion| |create| |coord| |polyRicDE| |getEq| |Si| |expenseOfEvaluation| |Somos| |decomposeFunc| |supersub| |print| |nthFactor| |lepol| |zoom| |complexSolve| |headReduce| |repack1| |hash| |setsymbName!| |hexDigit| |rootPoly| |chiSquare1| |expandPower| |supp| |nonLinearPart| |bubbleSort!| |iiatan| |in?| NOT |palgLODE| |corrPoly| |OMreadFile| |totalfract| |simplify| OR |varselect| |pseudoRem| |adaptive3D?| |qqq| |negAndPosEdge| AND |setFormula!| |declare| |numberOfComputedEntries| |vertConcat| |singularPoints| |top| |cfirst| |quotVecSpaceBasis| |controlPanel| |bright| |charClass| |adjoint| |variable| |UnVectorise| |eyeDistance| |OMconnOutDevice| |imagI| |karatsubaDivide| |factorial| |iiAiryAi| |subResultantsChain| |output| |createNormalPoly| |lastNonNul| |cycleElt| |lastSubResultant| |generalizedEigenvector| |fortranCompilerName| |dAndcExp| |rightRankPolynomial| |binary| |iicot| |fortranLinkerArgs| |resetBadValues| |nextSubsetGray| |iicosh| |nullary?| |packModulus| |setButtonValue| |tab1| |PDESolve| |solveLinear| |setchildren!| |symmetricTensors| |closed?| |expIfCan| |OMputEndError| * |factorAndSplit| |direction| |generator| |bat1| |log2| |iiasinh| |newReduc| |numberOfComposites| |genusTree| |indexName| |asimpson| |copyIto| |quadTransform| |generic| |summation| |mindegTerm| |ratDenom| GE |sqfrFactor| |showArrayValues| |maxShift| |prime?| |remove!| |infinityNorm| |lfextlimint| |split| |showTheSymbolTable| |ipow| |repeating| |mathieu12| |printStatement| |limitedIntegrate| |symmetricProduct| |evalADE| |ideal| |hasTopPredicate?| |assoc| |divisors| |computeCycleEntry| |makeGraphImage| |leftFactorIfCan| |quasiRegular?| |deleteProperty!| |constantOperator| |coordinate| |createNormalPrimitivePoly| |OMmakeConn| |newLine| |initializeGroupForWordProblem| |node| |distFact| |genericLeftMinimalPolynomial| |infinity| |lists| |llprop| |tableForDiscreteLogarithm| |lo| |listYoungTableaus| |unravel| |colorFunction| |numericalOptimization| |symmetricDifference| |incr| |mainMonomials| |packExps| |pmintegrate| |linears| |setProperties| |hi| |sts2stst| |internalLastSubResultant| |cycleRagits| |exactQuotient!| |divisorCascade| |multiplyExponents| |factorPolynomial| |makeSeries| |euclideanSize| |setfirst!| |OMconnectTCP| |interpret| |returnType!| |halfExtendedResultant1| |flexible?| |zeroDimPrime?| |cosh2sech| |viewThetaDefault| |resultantReduitEuclidean| |LiePolyIfCan| |plenaryPower| |commutativeEquality| |factorUsingMusser| |pointInIdeal?| |delete| |outputForm| |invertibleSet| |placesOfDegree| |pastel| |countRealRootsMultiple| |iFTable| |rroot| |isPlus| |symbNameV| |interpolateFormsForFact| |LazardQuotient2| |map!| |invertibleElseSplit?| |limit| |OMUnknownCD?| |ref| |uniform01| |copyBSD| |rational| |represents| |palgRDE0| |factorGroebnerBasis| |bringDown| |interpretString| |merge| |stoseInvertible?reg| |computePowers| |getStream| |fractRadix| |mainVariable?| |Is| |generate| |projectivePoint| |goto| |incrementBy| |level| |initiallyReduced?| |approxNthRoot| |eulerE| |brillhartTrials| |complex?| |expandLog| |polygon| |expand| |eigenMatrix| |cschIfCan| |divisor| |Yun| |complexRoots| |difference| |filterWhile| |makeYoungTableau| |linearAssociatedOrder| |point| |lex| |leadingTerm| |filterUntil| |acothIfCan| |iiBesselK| |mathieu11| |genericLeftTrace| |routines| |select| |component| |d02cjf| |ddFact| |inc| |primPartElseUnitCanonical| |leviCivitaSymbol| |singularAtInfinity?| |d02bhf| |lazyPseudoQuotient| |replaceKthElement| |OMputAtp| |curry| |principalIdeal| |d02bbf| |over| |minset| |min| |safeFloor| |zaxpy| |e02ahf| |property| |leftOne| |finiteSeries2LinSysWOVectorise| |bivariate?| |wholeRadix| |extract!| |substring?| |char| |createIrreduciblePoly| |leftNorm| |triangSolve| |constantLeft| |makeRecord| |dimension| |units| |lazyEvaluate| |quoted?| |baseRDEsys| |simpleBounds?| |inRadical?| |curveColorPalette| |low| |changeNameToObjf| |pointPlot| |univariatePolynomial| |d03faf| |inverseColeman| |basisOfNucleus| |imagj| |evaluateInverse| |central?| |d03eef| |basisOfLeftAnnihilator| |izamax| |dmpToP| |genus| |conjugates| |next| |d03edf| |code| |collectUpper| |qShiftC| |FormatArabic| |Nul| |critBonD| |df2st| |cardinality| |csc2sin| |maxPoints| |listOfTerms| |suffix?| |rightMinimalPolynomial| |expressIdealMember| |pushucoef| |subspace| |toseInvertibleSet| |convertIfCan| |extendedIntegrate| |countable?| |tablePow| |rightExactQuotient| |cAsinh| |cRationalPower| |trace2PowMod| |zero?| |element?| |plus!| |primintegrate| |setAttributeButtonStep| |removeConjugate| |isamax| |scalarMatrix| |pointData| |surface| |addPointLast| |basicSet| |nthExpon| |fglmIfCan| |collect| |viewPosDefault| |startTable!| |double| |lowerPolynomial| |iroot| |traceMatrix| |Gamma| |scan| |mainCoefficients| |powerSum| |henselFact| |modularFactor| |removeRoughlyRedundantFactorsInContents| |pushuconst| |totalLex| |write!| |OMsetEncoding| |gcdPolynomial| |characteristicSerie| |makeFloatFunction| |sdf2lst| |integers| |idamax| RF2UTS |setTower!| |countRealRoots| |fracPart| |setImagSteps| |decrease| |socf2socdf| |genericRightNorm| |plus| |augment| |prefix?| |c05nbf| |float?| |taylorQuoByVar| |charthRoot| |isAbsolutelyIrreducible?| |psolve| |c05adf| |recoverAfterFail| |sub| |minGbasis| |degree| |monomRDE| |c06gsf| |slash| |ridHack1| |high| |exists?| |getMultiplicationMatrix| |c06gqf| |basisOfRightAnnihilator| |squareMatrix| |clipSurface| |dom| |powers| |icamax| |c06gcf| |topPredicate| |extension| |diag| |const| |variableName| |c06gbf| |rootOf| |dimensionOfIrreducibleRepresentation| |red| |zeroOf| |conical| |c06fuf| |typeLists| |getExplanations| |quotientByP| |outputFloating| |points| |c06frf| |prime| |chainSubResultants| |characteristic| |move| |crest| |c06fqf| |invertible?| |maxrank| |fortranInteger| |nor| |rombergo| |c06fpf| |testDim| |tanh2trigh| |groebner?| |objectOf| |dznrm2| |c06ekf| |leftExactQuotient| |setSingularPoints| |distinguishedRootsOf| |balancedBinaryTree| |cPower| |c06ecf| |rewriteSetByReducingWithParticularGenerators| |calcRanges| |newSubProgram| |normalDenom| |hconcat| |c06ebf| |permanent| |column| |translateToOrigin| |insert!| |nodeOf?| |c06eaf| |iiasech| |radicalEigenvector| |stoseInvertibleSet| |numberOfOperations| |Ei6| |s17def| |daxpy| |Ei5| |edf2df| |content| |removeRedundantFactorsInContents| |option| |s17dcf| |fullDisplay| |rquo| |cap| |setprevious!| |dzasum| |s17akf| |getVariableOrder| |rootSimp| |normalizedAssociate| |maxRowIndex| |infieldIntegrate| |s17ajf| |parabolicCylindrical| |curveColor| |se2rfi| |rischDEsys| |infLex?| |And| |s17ahf| |listAllMono| |minPoly| |subs1stVar| |drawToScale| |numberOfPlacesOfDegree| |s17agf| |df2ef| |delay| |tail| |SturmHabichtMultiple| LT |taylorIfCan| |s17aff| |partialQuotients| |freeOf?| |removeSinSq| |weight| |rowEchWoZeroLinesWOVectorise| |s17aef| |outputFixed| |collectQuasiMonic| |Zero| |qPot| |frst| |basisOfCommutingElements| |s17adf| |close| |optimize| |maxColIndex| |minimalPolynomial| |setelt!| |fill!| |dswap| |s17acf| |cache| |antisymmetric?| |OMputEndAttr| |divideIfCan| |overset?| |rightQuotient| |s15aef| |quatern| |basisOfLeftNucloid| |addiag| |computeCycleLength| |leftAlternative?| |s15adf| |createNormalElement| |inBetweenExcpDiv| |additive?| |constantIfCan| |atom?| |s14baf| |numerators| |pointV| |divideIfCan!| |display| |LagrangeInterpolation| |changeMeasure| |s14abf| |new| |tensorMap| |extractProperty| |viewZoomDefault| |setlast!| |dscal| |s14aaf| |linearDependence| |distribute| |addPoint2| |internalSubPolSet?| |flagFactor| |s13adf| |rightTraceMatrix| |OMbindTCP| |printingInfo?| |OMputEndObject| |shufflein| |s13acf| |relativeApprox| |palgint0| |cos2sec| |pToDmp| |duplicates?| |s13aaf| |precision| |or| |nextPartition| |newElement| |asecIfCan| |resultantnaif| |readLineIfCan!| |s01eaf| |modTree| |largest| |useNagFunctions| |cAcot| |cycleEntry| |s21bdf| |internal?| |OMputBVar| |leftFactor| |palglimint| |drotg| |s21bcf| |homogeneous?| |RemainderList| |numberOfNormalPoly| |pleskenSplit| |generalizedContinuumHypothesisAssumed| |s21bbf| |minIndex| |rspace| |iiAiryBi| |expenseOfEvaluationIF| |squareFreePolynomial| |s21baf| |elt| |OMputApp| |subst| |exprHasWeightCosWXorSinWX| |separate| |useSingleFactorBound?| |s20adf| |leftDiscriminant| |setelt| |translate| |diagonal| |convergents| |setTex!| |rewriteSetWithReduction| |e02agf| |top!| |child| |close!| |ramified?| |nthRoot| |match?| |s20acf| |directory| |super| |primaryDecomp| |fintegrate| |putColorInfo| |drot| |d01aqf| |ptFunc| |basisOfInterpolateFormsForFact| |makeTerm| |zeroMatrix| |intChoose| |s19adf| |nlde| |coerceS| |primitivePart| |internalDecompose| |OMencodingUnknown| |d01apf| |false| |unitNormal| |shift| |fixPredicate| |constDsolve| |showTheFTable| |changeBase| |s19acf| |factorSqFree| |integral| |setPrologue!| |consnewpol| |normal| |nullity| |d01anf| |any| |OMclose| |getDomains| |midpoint| |createMultiplicationTable| |alphanumeric?| |d01amf| |suppOfPole| |kroneckerDelta| |cAsech| |find| |dnrm2| |d01alf| |denominator| |simpsono| |integerDecode| |modularGcdPrimitive| |enumerate| |s19abf| |permutation| |lazyPseudoDivide| |mathieu24| |rightLcm| |rename| |insert| |d01akf| |wreath| |coth2tanh| |binomThmExpt| |cycleTail| |orthonormalBasis| GT |s19aaf| |tRange| |radix| |subResultantGcd| |zeroDim?| |OMputEndApp| |d01ajf| |overlap| |pureLex| |matrixDimensions| |isExpt| |selectNonFiniteRoutines| |s18def| |notelem| |latex| |dihedral| |mapUnivariate| |ddot| |s18dcf| |clearFortranOutputStack| |recip| |numberOfCycles| |maxint| |generic?| |s18aff| |bernoulliB| |isTimes| |multiplicity| |midpoints| |numberOfPrimitivePoly| |s18aef| |DiffAction| |pile| |invmod| |iiasec| |s18adf| |split!| |associatorDependence| |genericRightTraceForm| |pointToPlace| |reshape| |linearAssociatedLog| |s18acf| |rightUnits| |indicialEquationAtInfinity| |iiacosh| |innerEigenvectors| |node?| |f04qaf| |fresnelC| |pole?| |OMopenFile| |identityMatrix| |OMgetEndBind| |f04mcf| |factorByRecursion| |input| |polygamma| |screenResolution3D| |roughBasicSet| |cCoth| |f04mbf| F2EXPRR |test| |cond| |universe| |rowEchelonLocal| |sinhIfCan| |expextendedint| |f04maf| |idealiserMatrix| |conditionP| |conjug| |subQuasiComponent?| |pol| |f04jgf| |void| |writable?| |dn| |printInfo!| |cyclicGroup| |f04faf| |maximumExponent| |paren| |size| |depth| |permutationRepresentation| |zeroSquareMatrix| |multiplicative?| |f04axf| |substitute| |qroot| |linear?| |repSq| |stoseInvertibleSetreg| |minPol| |f04atf| |reduction| |commutator| |initial| |count| |push!| |complexExpand| |expintfldpoly| |f04asf| |froot| |OMgetSymbol| |sinhcosh| |OMgetAttr| |factorsOfDegree| |signAround| |replaceDiffs| |infieldint| |complexEigenvectors| SEGMENT |singularPointsWithRestriction| |f04arf| |lifting| |initiallyReduce| |squareFreePart| |omError| |datalist| |max| |cCsch| |inverseIntegralMatrix| |delta| |f04adf| |length| |chineseRemainder| |getMatch| |digits| |integralAtInfinity?| |shrinkable| |scripts| |measure2Result| |deleteRoutine!| |pointColorPalette| |rules| |maxSubst| |linearPart| |addPoint| |overbar| |nextLatticePermutation| |inrootof| |unit?| |digit?| |asechIfCan| |removeRoughlyRedundantFactorsInPols| |compdegd| |euclideanNormalForm| |mkIntegral| |continue| |redPo| |skewSFunction| |mirror| |zeroSetSplitIntoTriangularSystems| |irreducibleFactors| |sumOfKthPowerDivisors| |normalizeAtInfinity| |readLine!| |OMgetEndObject| |listOfMonoms| |sayLength| |fortranLiteralLine| |elRow2!| |value| |parametersOf| |f07fef| |selectSumOfSquaresRoutines| |moduloP| |indices| |appendPoint| |wrregime| |f07fdf| |findCoef| |lazyIntegrate| |null?| |orbits| |factorSquareFreePolynomial| |f07aef| |properties| |showFortranOutputStack| |startTableInvSet!| |adjunctionDivisor| |startStats!| |real?| |f07adf| |pointDominateBy| |noKaratsuba| |acoshIfCan| |elem?| |mapmult| |rk4qc| |ParCond| |satisfy?| |lift| |genericRightDiscriminant| |stirling2| |viewSizeDefault| |s17dlf| |decreasePrecision| |cAcosh| |reduce| |powern| |failed| |mainPrimitivePart| |s17dhf| |name| |scaleRoots| |trivialIdeal?| |ef2edf| |hasSolution?| |s17dgf| |extendedEuclidean| |toseInvertible?| |halfExtendedResultant2| |leftQuotient| |semiLastSubResultantEuclidean| |f02xef| |abelianGroup| |superscript| |asinIfCan| |allRootsOf| |recolor| |f02wef| |slope| |Ei1| |modifyPoint| |standardBasisOfCyclicSubmodule| |duplicates| |f02fjf| |chartCoord| |primPartElseUnitCanonical!| |expr| |extendedint| |jordanAlgebra?| |removeSinhSq| |f02bjf| |update| |OMputEndBVar| |extractSplittingLeaf| |primextintfrac| |doubleComplex?| |trapezoidalo| |f02bbf| |partialNumerators| |atanIfCan| |OMserve| |gramschmidt| GF2FG |f02axf| |mr| |groebgen| |outputMeasure| |numberOfIrreduciblePoly| |leftPower| |printInfo| |splitSquarefree| |polynomial| |optional?| |lambert| |OMUnknownSymbol?| |generateIrredPoly| |intensity| |rdHack1| |box| |checkForZero| |leftTrace| |op| |rename!| |repeating?| |lookup| |foundZeroes| |edf2ef| |kmax| Y |toseLastSubResultant| |rowEchWoZeroLines| |totalGroebner| |actualExtensionV| |semiSubResultantGcdEuclidean1| |strongGenerators| |polynomialZeros| |bumptab1| |mapDown!| |lllp| |polyPart| |innerint| |lazyResidueClass| |solve| |modifyPointData| |graeffe| |matrixConcat3D| |changeThreshhold| |scripted?| |rk4f| |reverse!| |numberOfVariables| |sizeLess?| |pointLists| |fixedPoints| |mainCharacterization| |arg1| |coefficients| |birth| |resetAttributeButtons| |sumOfSquares| |arg2| |resultantReduit| |guessHP| |indicialEquations| |bipolar| |qnew| |multisect| |monomials| |readable?| |match| |setrest!| |associates?| |selectAndPolynomials| |viewDeltaXDefault| |tan2cot| |nextPrime| |continuedFraction| |unitCanonical| |pomopo!| |upperCase| |separant| |univcase| |cosIfCan| |placesAbove| |polyRingToBlUpRing| |neglist| |graphStates| |discriminant| |matrix| |pushup| |divOfPole| |hspace| |sort| |discriminantEuclidean| |stopTable!| |argumentListOf| |leader| |showClipRegion| |lintgcd| |multiset| |removeDuplicates!| |oddintegers| EQ |shanksDiscLogAlgorithm| |sinIfCan| |cSec| |vconcat| |firstExponent| |#| |lazyIrreducibleFactors| |htrigs| |integralMatrix| |bfEntry| |rotate| |hdmpToDmp| |dcopy| |dominantTerm| |clearTheSymbolTable| |monicRightFactorIfCan| |lp| |leftExtendedGcd| |modularGcd| |realZeros| |machineFraction| |plot| |components| |primeFactor| |lazyGintegrate| |intersectionDivisor| |complexIntegrate| |radicalEigenvalues| |rightFactorCandidate| |numFunEvals| |allDegrees| |rdregime| |drawStyle| |green| |xn| |cSin| |hex| |power| |bivariatePolynomials| |cyclicSubmodule| |numericIfCan| |traverse| |leftRecip| |commutative?| |every?| |KrullNumber| |inverseLaplace| |prod| |padicFraction| |affineAlgSet| |makeEq| |upperCase?| |iiBesselJ| |complete| |maxdeg| |clipBoolean| |initializeParamOfPlaces| |lastSubResultantElseSplit| |BumInSepFFE| |noLinearFactor?| |multMonom| |linSolve| |retractIfCan| |vedf2vef| |rightFactorIfCan| |SturmHabichtCoefficients| |polygon?| |identitySquareMatrix| |excepCoord| |exQuo| |weierstrass| |univariateSolve| |leadingIdeal| |comp| |logIfCan| |member?| |obj| |bitLength| |rootProduct| |testModulus| |predicate| |extractIndex| |cExp| |conditions| |approxSqrt| |presub| |lowerCase| |remainder| |viewDeltaYDefault| |createPrimitiveNormalPoly| |setLabelValue| |stopTableInvSet!| |characteristicPolynomial| |fortranLogical| |blowUpWithExcpDiv| |definingPolynomial| |guessADE| |copyInto!| |isList| |tubePointsDefault| |loopPoints| |expintegrate| |numerator| |removeRedundantFactors| |getRef| |norm| |iiperm| |formula| |halfExtendedSubResultantGcd2| |introduce!| |removeSuperfluousCases| |monomial?| |maxPower| |btwFact| |suchThat| |radicalOfLeftTraceForm| |ReduceOrder| |completeHensel| |algDsolve| |totalDifferential| |extendedSubResultantGcd| |makeMulti| |back| |extDegree| |fibonacci| |mantissa| |unvectorise| |cAsec| |mainVariables| |var2StepsDefault| |makeSUP| |headReduced?| |rightAlternative?| |interval| |Lazard| |OMputError| |iiasin| |setCondition!| |tubeRadiusDefault| |clearTheFTable| |showTypeInOutput| |gbasis| |checkRur| |dmp2rfi| |alphanumeric| |say| |minimize| |numberRatPlacesExtDeg| |solveInField| |fullInfClsPt| |rationalPower| |reduceLODE| |debug| |primextendedint| |var1StepsDefault| |presuper| |iisec| |acscIfCan| |point?| |guessBinRat| |linear| |approximants| |deepExpand| |primintfldpoly| |smith| |curryRight| |debug3D| |magnitude| |morphism| |cyclicCopy| |basisOfCenter| |updateStatus!| |perfectSquare?| |shellSort| |complexNumeric| |horizConcat| |perfectNthRoot| |OMgetError| |functionNames| |character?| |kernels| |bandedJacobian| |subSet| |construct| |suppOfZero| |linearlyDependentOverZ?| |conditionsForIdempotents| |unitNormalize| |intPatternMatch| |checkPrecision| |OMreceive| |univariate| |clearCache| |hadamard| |divide| |genericRightMinimalPolynomial| |sncndn| |minrank| |factor| |oddInfiniteProduct| |setleaves!| |leastAffineMultiple| |external?| |symFunc| |integralMatrixAtInfinity| |truncate| |real| |maxDegree| |left| |quasiRegular| |nextsubResultant2| |critMonD1| |displayKind| |dark| |imag| |showIntensityFunctions| |semiDegreeSubResultantEuclidean| |sh| |multiple| |build| |directProduct| |sqfree| |symmetricRemainder| |minordet| |symmetricPower| |completeEchelonBasis| |optional| |rightCharacteristicPolynomial| |zeroDimPrimary?| |blankSeparate| |destruct| |permutations| |aLinear| |radical| |entry| |OMputSymbol| |bitTruth| |halfExtendedSubResultantGcd1| |monomial| |parent| |lazyPrem| |not| |RittWuCompare| |Ci| |multiServ| |eq?| |multivariate| |setProperty| |tubeRadius| |exponent| |polyred| |symbolTable| |getlo| |listAllMonoExp| |variables| |exponentialOrder| |sinh2csch| |pushFortranOutputStack| |minPoints3D| |selectOptimizationRoutines| |rootSplit| |zeroSetSplit| |bfKeys| |filename| |logical?| |more?| |applyQuote| |badNum| |dcabs1| |has?| |fractRagits| |getSmgl| |comment| |generalCoefficient| |ceiling| |pade| |popFortranOutputStack| |e01sbf| |factorsOfCyclicGroupSize| |exprToXXP| |taylor| |float| |baseRDE| |algint| |outputAsFortran| |imagJ| |id| |laurent| |romberg| |badValues| |dec| |dasum| |localParam| |summary| |irreducible?| |puiseux| |integer| |primeFrobenius| |ParCondList| |normInvertible?| |filterUpTo| |show| |inv| |nthCoef| |bit?| |makeSin| |clearDenominator| |distance| |ground?| |charpol| |solid?| |realEigenvectors| |lazyPquo| |subset?| |e02aef| |ground| |string| |roughEqualIdeals?| |getMeasure| |style| |simplifyLog| |leftLcm| |leadingMonomial| |accuracyIF| |triangulate| |cyclicParents| |algebraicCoefficients?| |absolutelyIrreducible?| |c02agf| |leadingCoefficient| |iflist2Result| |safetyMargin| |resultantEuclidean| |physicalLength!| |rCoord| |c02aff| |mainKernel| |ZetaFunction| |rewriteIdealWithRemainder| |interpolateForms| |pack!| |tex| |e02adf| |reopen!| |OMsend| |shiftRight| |distinguishedCommonRootsOf| |scalarTypeOf| |differentiate| |c05pbf| |showAttributes| |index?| |OMgetApp| |exprHasLogarithmicWeights| |flush| |axes| |One| |zerosOf| |addMatchRestricted| |columnSpace| |title| |last| |rischDE| |credits| |mergeFactors| |compile| |OMopenString| |leftScalarTimes!| |trigs| |algebraicOf| |vector| |monic?| |screenResolution| |jacobi| |yCoordinates| |exprToUPS| |e01sef| |patternMatch| |returnTypeOf| |stirling1| |OMputEndBind| |entry?| |e01saf| |setleft!| |graphs| |hitherPlane| |viewWriteAvailable| |infix?| |e01daf| |chebyshevT| |selectIntegrationRoutines| |preprocess| |gderiv| |e01bhf| |key| |leftGcd| |arrayStack| |isOp| |ratpart| |e01bgf| |random| |contains?| |En| |desingTree| |algebraic?| |e01bff| |doubleRank| |leftRankPolynomial| |viewport2D| |size?| |e01bef| |applyTransform| |po| |insertTop!| |zeroDimensional?| |e01baf| |retractToGrn| |rank| |structuralConstants| |removeSquaresIfCan| |e02zaf| |parametrize| |makeCos| |firstUncouplingMatrix| |e02gaf| |reduceLineOverLine| |primitiveMonomials| |makeResult| |minus!| |theCurve| |e02dff| |anfactor| |reductum| |stosePrepareSubResAlgo| |lBasis| |localPointV| |e02def| |cyclotomicFactorization| |symbol| |infiniteProduct| |enqueue!| |sorted?| |e02ddf| |cAtanh| |rewriteIdealWithHeadRemainder| |critB| |unrankImproperPartitions1| |e02dcf| |mesh?| |one| |cCot| |Not| |interpolate| |tanSum| |e02daf| |expPot| |zero| |goodnessOfFit| |subHeight| |withPredicates| |e02bef| |scale| ^ |iiBesselY| |primlimintfrac| |e02bdf| |mainVariable| |exp| |outputAsTex| |outerProduct| |round| |lfinfieldint| |minusInfinity| |lfextendedint| |pi| |UpTriBddDenomInv| |right| |OMgetAtp| |indiceSubResultantEuclidean| |plusInfinity| |cAcsc| |sqrt| |nextSublist| |Or| |stFunc2| |clipParametric| |writeObj| |iibinom| |userOrdered?| |splitConstant| |changeName| |showAll?| |li| |palglimint0| |reducedSystem| |factorCantorZassenhaus| |checkOptions| |erf| |selectfirst| |perfectSqrt| |qShiftAction| |ShiftC| |tanIfCan| |common| |differentialVariables| |firstDenom| |groebnerFactorize| |iidsum| |multiplyCoefficients| |dilog| |squareTop| |gcdcofactprim| |rationalApproximation| |cotIfCan| |sin| |desingTreeAtPoint| |polarCoordinates| |d01gbf| |factors| |cos| |tanNa| |primitive?| |univariatePolynomialsGcds| |d01gaf| |cyclotomicDecomposition| |setStatus| |tan| |yCoord| |rule| |ldf2lst| |d01fcf| |contract| |cot| |opeval| |insertBottom!| |ODESolve| |d01bbf| |singleFactorBound| |divergence| |sec| |orbit| |d01asf| |quotient| |cCos| |csc| |deepestInitial| |internalAugment| |ruleset| |csch2sinh| |asin| |leaf?| |matrixGcd| |bitCoef| |rightTrim| |d02raf| |identification| |acos| |setMaxPoints3D| |listBranches| |stoseInvertible?| |d02kef| |fortranDouble| |remove| |setValue!| |atan| |patternMatchTimes| |upperCase!| |d02gbf| |whatInfinity| |acot| |optpair| |iicsc| |radicalEigenvectors| |d02gaf| |numer| |leastMonomial| |asec| |replaceVarByZero| |logpart| |odd?| |d02ejf| |explicitEntries?| |ScanArabic| |denom| |acsc| |invertIfCan| |colorDef| |cTanh| |kernel| |sinh| |symmetric?| |explimitedint| |localParamOfSimplePt| |stFuncN| |binaryTournament| |draw| |closeComponent| |cosh| |iprint| |squareFreePrim| |scanOneDimSubspaces| |makeObject| |triangular?| |tanh| |randnum| |solveLinearlyOverQ| |laplace| |mindeg| |binarySearchTree| |coef| |coth| |classNumber| |setnext!| |setFoundZeroes| |df2mf| |doubleFloatFormat| |rightNorm| |monom| |sech| |e01sff| |inverseIntegralMatrixAtInfinity| |removeZero| |createPrimitiveElement| |useEisensteinCriterion?| |csch| |digamma| |shiftInfoRec| |nrows| |principal?| |leadingExponent| |diffHP| |asinh| |redmat| |headRemainder| |constant| |factorSquareFree| |union| |besselI| |acosh| |trapezoidal| |localize| |flexibleArray| |iidprod| |setchart!| |atanh| |getGraph| |OMputInteger| |trace| |inHallBasis?| |weights| |setScreenResolution| |acoth| |ignore?| |purelyAlgebraicLeadingMonomial?| |root?| |iCompose| |log| |setFoundPlacesToEmpty| |asech| |discreteLog| |lowerCase?| |leftRemainder| |call| |laguerreL| |squareFreeLexTriangular| |jacobian| |nthr| |limitedint| |makeFR| |meshFun2Var| |lSpaceBasis| |distdfact| |list?| |OMencodingSGML| |euler| |expt| |cross| |airyBi| |genericRightTrace| |mainForm| |pseudoRemainder| |selectFiniteRoutines| |recur| |evalRec| |derivative| |uncouplingMatrices| |makeprod| |radicalSolve| |coerceListOfPairs| |returns| |safety| |Ei2| |setPosition| |finiteBasis| |rk4a| |foundPlaces| |LyndonBasis| |addMatch| |ptree| |stoseSquareFreePart| |epilogue| |selectPolynomials| |nary?| |wholePart| |iiBeta| |realSolve| |cycles| |extensionDegree| |upDateBranches| |append| |pop!| |replace| |finiteSeries2LinSys| |linearPolynomials| |reducedQPowers| |polar| |legendreP| |generalizedInverse| |function| |quartic| |iExquo| |OMgetEndBVar| |sec2cos| |functionIsOscillatory| |schema| |linearDependenceOverZ| |unit| |changeVar| |option?| |untab| |solveLinearPolynomialEquationByFractions| |coordinates| |resultant| |tanAn| |mainSquareFreePart| |vectorise| |copy!| |goodPoint| |stronglyReduced?| |coleman| |prinshINFO| |rewriteIdealWithQuasiMonicGenerators| |transCoord| |eigenvalues| |OMwrite| |monicLeftDivide| |realElementary| |iisinh| UTS2UP |normalDeriv| |sturmVariationsOf| |cLog| |groebSolve| |semiIndiceSubResultantEuclidean| |functionIsContinuousAtEndPoints| |changeWeightLevel| |prefixRagits| |musserTrials| |curve?| |radicalSimplify| |decimal| |sturmSequence| |biringToPolyRing| |space| |subPolSet?| |prem| |leftTraceMatrix| |replaceVarByOne| |degOneCoef| |mainValue| |createThreeSpace| D |retractable?| |primes| |SturmHabicht| |deref| |ramifiedAtInfinity?| |setVariableOrder| |critM| |definingEquations| |fullPartialFraction| |create3Space| |Ei3| |xRange| |guessExpRat| |getAncestors| |sortConstraints| |reduceBasisAtInfinity| |pushdterm| |cCosh| |hypergeometric0F1| |radPoly| |generalInterpolation| |pr2dmp| |zCoord| |nsqfree| |sincos| |mix| |figureUnits| |reducedForm| |qfactor| |squareFree| |unary?| |tan2trig| |printTypes| |heap| |lflimitedint| |subtractIfCan| |saturate| |quadratic| |elementary| |uncorrelated?| |assert| |endOfFile?| |updatF| |roughSubIdeal?| |diagonal?| |getDatabase| |integral?| |unparse| |normal?| |usingTable?| |mainDefiningPolynomial| |qinterval| |objects| |pair?| |basisOfMiddleNucleus| |rationalPoints| |guessPRec| |equality| |basisOfCentroid| |listRepresentation| |child?| |currentSubProgram| |derivationCoordinates| |any?| |listLoops| |mapdiv| |graphCurves| |read!| |bumprow| |reduced?| |statusIto| |createLowComplexityNormalBasis| |rightExtendedGcd| |reset| |nthFlag| |rst| |constantToUnaryFunction| |inf| |belong?| |write| |setEmpty!| |iiacoth| |fullOut| |save| |anticoord| |nullary| |extractClosed| |setright!| |cAcoth| |coefficient| |extend| |divideExponents| |limitPlus| |crushedSet| |goppaCode| |setPoly| |tubePoints| |varList| |acosIfCan| |aQuartic| |Ei4| |var1Steps| |indicialEquation| |listSD| |sign| |viewpoint| |problemPoints| |leftMult| |overlabel| |ldf2vmf| |gnuDraw| |terms| |resetVariableOrder| |middle| |fortranCharacter| |resultantEuclideannaif| |tValues| |module| |prevPrime| |reseed| |vspace| |branchPoint?| |exprToGenUPS| |fortranTypeOf| |An| |mkAnswer| |besselY| |showTheIFTable| |minColIndex| |rightZero| |leftDivide| |null| |is?| |palginfieldint| |drift| |hermiteH| |indiceSubResultant| |exteriorDifferential| |mapUnivariateIfCan| |prinpolINFO| |eigenvectors| |car| |findCycle| |hcrf| |localUnquote| |basisOfLeftNucleus| |ScanFloatIgnoreSpacesIfCan| |cdr| |decompose| |prindINFO| |infClsPt?| |degreePartition| |newton| |mainMonomial| |binaryTree| |aCubic| |copyQuadVar| |enterPointData| |viewWriteDefault| |positiveRemainder| |OMputAttr| |partitions| |bivariateSLPEBR| |sechIfCan| |transcendentalDecompose| |getZechTable| |ode1| BY |leftRank| |algebraicVariables| UP2UTS |selectODEIVPRoutines| |firstSubsetGray| |iidigamma| |OMputFloat| |cSech| |mdeg| |setRow!| |palgint| |HermiteIntegrate| |deriv| |powerAssociative?| |unaryFunction| |error| |setPredicates| |tryFunctionalDecomposition?| |nodes| |associatedSystem| |rotatez| |getCurve| |isPower| |affineRationalPoints| |fortranLiteral| |bumptab| |integerBound| |nonQsign| |leftZero| |viewDefaults| |copyDrift| |even?| |imagi| |maxTower| |predicates| |doublyTransitive?| |pfaffian| |sizeMultiplication| |integralLastSubResultant| |argscript| |prolateSpheroidal| |exptMod| |vark| |antiCommutator| |root| |bottom!| |lquo| |sin2csc| |guessRat| |clipPointsDefault| |nextIrreduciblePoly| |message| |primlimitedint| |one?| |nthFractionalTerm| |OMencodingXML| |OMputEndAtp| |polyRDE| |sylvesterSequence| |iteratedInitials| |alterQuadVar!| |blowUp| |rightUnit| |backOldPos| |semiResultantEuclideannaif| |linearAssociatedExp| |alphabetic| |reducedContinuedFraction| |palgRDE| |multinomial| |bombieriNorm| |antiAssociative?| |characteristicSet| |lighting| |argument| |coerce| |normalizeIfCan| |cup| |stoseInternalLastSubResultant| |initTable!| |isQuotient| |extractIfCan| |enterInCache| |gcd| |open?| |removeCoshSq| |mapSolve| |asinhIfCan| |weighted| |nullSpace| |repeatUntilLoop| |rotatex| |hyperelliptic| |alterDrift!| |splitNodeOf!| |transpose| |cycleLength| |sequences| |splitDenominator| |conjugate| |extendedResultant| |qsetelt!| |jacobiIdentity?| |wronskianMatrix| |processTemplate| |sizePascalTriangle| |roughUnitIdeal?| |position| |removeCosSq| |diagonalMatrix| |singularitiesOf| |perfectNthPower?| |and| |iiGamma| |selectsecond| |bsolve| |bandedHessian| |clikeUniv| |mapMatrixIfCan| |rootBound| |geometric| |merge!| |rowEchelon| |ord| |addmod| |readIfCan!| |constantCoefficientRicDE| |origin| |rootOfIrreduciblePoly| |OMgetString| |branchIfCan| |internalZeroSetSplit| |df2fi| |dflist| |lieAdmissible?| |empty| |singular?| |purelyTranscendental?| |complexEigenvalues| |nilFactor| |generators| |redpps| |genericPosition| |second| |showScalarValues| |reduceRowOnList| |pquo| |Beta| |tracePowMod| |leftUnits| |closedCurve?| |cn| |dioSolve| |prepareDecompose| |convert| |getOp| |algSplitSimple| |flatten| |rowEchLocal| |simpson| |rangeIsFinite| |generalTwoFactor| |iiBesselI| |OMgetBind| |linearlyDependent?| |highCommonTerms| |quasiComponent| |genericLeftDiscriminant| |parabolic| |UP2ifCan| |OMputObject| |csubst| |iiatanh| |reciprocalPolynomial| |medialSet| |iisech| |sumSquares| |parametric?| |internalInfRittWu?| |arity| |elements| |useEisensteinCriterion| |rotate!| |quasiAlgebraicSet| |children| |generalizedContinuumHypothesisAssumed?| |LiePoly| |minimalForm| |pointValue| |chiSquare| |interReduce| |nextPrimitivePoly| |localParamV| |useSingleFactorBound| |comparison| |unitsColorDefault| |dimensions| |lieAlgebra?| |basis| |abs| |collectUnder| |getMultiplicationTable| |thetaCoord| |diophantineSystem| |rootNormalize| |divisorAtDesingTree| |iilog| |seriesToOutputForm| |cAcos| |library| |gradient| |graphImage| |ocf2ocdf| |minRowIndex| |lprop| |infix| |iiacot| |cothIfCan| |mightHaveRoots| |startPolynomial| |integerIfCan| |transcendenceDegree| |systemSizeIF| |regime| |physicalLength| |setMinPoints| |numberPlacesDegExtDeg| |guess| |normalElement| |seed| |increase| |rotatey| ** |iomode| |mkcomm| |coerceImages| |LazardQuotient| |numberOfMonomials| |fractionFreeGauss!| |posExpnPart| |rightMult| |SFunction| |DiffC| |qelt| |separateFactors| |triangularSystems| |segment| |row| |linGenPos| |drawComplexVectorField| |iiacsc| |FormatRoman| |unexpand| |definingField| |sin?| |cAsin| |beauzamyBound| |modulus| |extractBottom!| |fffg| |wordInStrongGenerators| |chebyshevU| |canonicalIfCan| |pow| |ncols| |frobenius| |innerSolve1| |unitVector| |Lazard2| |OMgetBVar| |constantRight| |seriesSolve| |multiEuclidean| |swapColumns!| |iter| |symmetricSquare| |specialTrigs| |quickSort| |cscIfCan| |makeSketch| |jordanAdmissible?| |poisson| |quote| |dequeue| |lyndonIfCan| |gethi| |Frobenius| |hasHi| |extractPoint| |setDegree!| |getButtonValue| |palgextint| |MPtoMPT| |rightRecip| |maxrow| |cubic| |eisensteinIrreducible?| |normDeriv2| |insertRoot!| |ode| |factorList| |algintegrate| |equation| |initParLocLeaves| |eigenvector| |primitivePart!| |removeFirstZeroes| |map| |semiSubResultantGcdEuclidean2| |generalizedEigenvectors| |antisymmetricTensors| |particularSolution| |quadraticForm| |iisqrt2| |generalInfiniteProduct| |binomial| |branchPointAtInfinity?| E1 |exponential| |hMonic| |splitLinear| |factorSFBRlcUnit| |viewPhiDefault| |fullParamInit| |assign| |externalList| |subresultantVector| |sumOfDivisors| |homogenize| |reduceRow| |firstNumer| |iifact| |iiabs| |OMgetEndApp| |leftCharacteristicPolynomial| |getPickedPoints| |computeInt| |LyndonCoordinates| |mapUp!| |coefOfFirstNonZeroTerm| |simplifyPower| |computeBasis| |rightScalarTimes!| |squareFreeFactors| |ramifMult| |spherical| |imagE| |setref| |univariate?| |fresnelS| |functionIsFracPolynomial?| |OMgetEndError| |graphState| |cosSinInfo| |fixedDivisor| |rowEch| |sPol| |tube| |exactQuotient| |diagonals| |rightDivide| |critMTonD1| |adaptive?| |subMatrix| |iitanh| |quotValuation| |mkPrim| |toScale| |string?| |OMputBind| |janko2| |createHN| |toroidal| |OMputVariable| |rhs| |redPol| |deepCopy| |internalIntegrate| |fmecg| |iiacos| |compactFraction| |realRoots| |clip| |shallowExpand| |pointColorDefault| |complement| |moebius| |newTypeLists| |listOfLists| |univariatePolynomials| |multiple?| |cCsc| |laurentIfCan| |hasPredicate?| |setOrder| |biRank| |outputList| |prologue| |factor1| |plotPolar| |cot2trig| |idealSimplify| |entries| |integralRepresents| |raisePolynomial| |sum| |superHeight| |sup| |genusNeg| |lllip| |shiftHP| |iicos| |affineAlgSetLocal| |minimumDegree| |euclideanGroebner| |ellipticCylindrical| |fi2df| |rightRemainder| |HenselLift| |extendIfCan| |double?| |gcdcofact| |parts| |combineFeatureCompatibility| |printCode| |atanhIfCan| |numberOfImproperPartitions| |cyclic| |power!| |zag| |negative?| |genusTreeNeg| |homogeneous| |series| |dihedralGroup| |dmpToHdmp| |nil| |forLoop| |lfintegrate| |tower| |generalPosition| |supDimElseRittWu?| |coshIfCan| |factorset| |quasiMonic?| |randomR| |yRange| |permutationGroup| |unrankImproperPartitions0| |setRealSteps| |mergeDifference| |errorKind| |script| |approximate| |ranges| |aspFilename| |incrementKthElement| |pdct| |removeZeroes| |complex| |gcdPrimitive| |toseSquareFreePart| |selectOrPolynomials| |isobaric?| |monicDivide| |topFortranOutputStack| |parse| |reducedDiscriminant| |linearMatrix| |factorOfDegree| |tanintegrate| |chvar| |OMreadStr| |makeUnit| |possiblyNewVariety?| |localIntegralBasis| |shade| |acotIfCan| |radicalRoots| |dim| |getOrder| |finite?| |explicitlyFinite?| |semicolonSeparate| |hue| |fortran| |exponential1| |subTriSet?| |multiEuclideanTree| |check| |makeViewport2D| |makingStats?| |axesColorDefault| |elliptic| |listexp| |rk4| |LPolynomial| |groebner| |associator| |expandTrigProducts| |color| |rightPower| |lazyVariations| |aQuadratic| |subscriptedVariables| |iiacsch| |setClipValue| |rectangularMatrix| |karatsubaOnce| |cAtan| |block| |stoseInvertible?sqfreg| |binaryFunction| |fTable| |lastSubResultantEuclidean| |determinant| |ravel| |orderIfNegative| |eq| |shallowCopy| |defineProperty| |realEigenvalues| |makeCrit| |table| |OMParseError?| |LowTriBddDenomInv| |algebraicSet| |patternVariable| |setcurve!| |complexNumericIfCan| |uniform| |iipolygamma| |internalSubQuasiComponent?| |set| |trueEqual| |mulmod| |reduceByQuasiMonic| |leadingSupport| |ratPoly| |bits| |rischNormalize| |concat!| |cTan| |completeHermite| |pseudoQuotient| |infinite?| |desingTreeWoFullParam| |makeVariable| |rational?| |createRandomElement| |rightGcd| |leftRegularRepresentation| |order| |clearTable!| |separateDegrees| |outlineRender| |functionName| |pmComplexintegrate| |outputArgs| |padicallyExpand| |xCoord| |subsInVar| |sech2cosh| |fprindINFO| |imagk| |secIfCan| |argumentList!| |failed?| |leastPower| |setAdaptive3D| |zeroVector| |lexTriangular| |pushdown| |OMsupportsSymbol?| |imagK| |concat| |members| |dequeue!| |tensorProduct| |chartV| |setErrorBound| |contractSolve| |mat| |normFactors| |open| |airyAi| |commaSeparate| |guessPade| |width| |numberOfFractionalTerms| |rightRegularRepresentation| |queue| |showTheRoutinesTable| |reorder| |eulerPhi| |definingInequation| |pascalTriangle| |degreeSubResultantEuclidean| |effective?| |trunc| |getGoodPrime| |complementaryBasis| |sample| |rightOne| |OMgetType| |completeEval| |encode| |numericalIntegration| |besselK| |credPol| |setMaxPoints| |d| |setStatus!| |stoseIntegralLastSubResultant| |getBadValues| |inspect| |LyndonWordsList1| |iisin| |cylindrical| |hdmpToP| |outputAsScript| |setLegalFortranSourceExtensions| |ran| |palgLODE0| |pToHdmp| |constantOpIfCan| |subResultantChain| |purelyAlgebraic?| |generalSqFr| |dot| |findTerm| |digit| |doubleResultant| |meshPar2Var| |showAllElements| |wholeRagits| |diagonalProduct| |monicModulo| |innerSolve| |evaluate| |linkToFortran| |relerror| |ode2| |outputGeneral| |OMgetObject| |imaginary| |acsch| |reverseLex| |OMcloseConn| |simplifyExp| |probablyZeroDim?| |compose| |e| |lineColorDefault| |tryFunctionalDecomposition| |complexElementary| |drawCurves| |clipWithRanges| |sylvesterMatrix| |singRicDE| |setEpilogue!| |t| |copies| |nthExponent| |restorePrecision| |explogs2trigs| |Musser| |setvalue!| |quadraticNorm| |true| |monomialIntPoly| |nil| |infinite| |arbitraryExponent| |approximate| |complex| |shallowMutable| |canonical| |noetherian| |central| |partiallyOrderedSet| |arbitraryPrecision| |canonicalsClosed| |noZeroDivisors| |rightUnitary| |leftUnitary| |additiveValuation| |unitsKnown| |canonicalUnitNormal| |multiplicativeValuation| |finiteAggregate| |shallowlyMutable| |commutative|) 
\ No newline at end of file
+(30 . 3575591490)            
+(4603 |Enumeration| |Mapping| |Record| |Union| |ofCategory| |isDomain| ATTRIBUTE |package| |domain| |category| CATEGORY |nobranch| AND |Join| |ofType| SIGNATURE "failed" "algebra" |OneDimensionalArrayAggregate&| |OneDimensionalArrayAggregate| |AbelianGroup&| |AbelianGroup| |AbelianMonoid&| |AbelianMonoid| |AbelianSemiGroup&| |AbelianSemiGroup| |AlgebraicallyClosedField&| |AlgebraicallyClosedField| |AlgebraicallyClosedFunctionSpace&| |AlgebraicallyClosedFunctionSpace| |PlaneAlgebraicCurvePlot| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraicFunction| |AffineSpaceCategory| |Aggregate&| |Aggregate| |ArcHyperbolicFunctionCategory| |AssociationListAggregate| |Algebra&| |Algebra| |AlgFactor| |AlgebraicFunctionField| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraPackage| |AlgebraGivenByStructuralConstants| |AssociationList| |AbelianMonoidRing&| |AbelianMonoidRing| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |AnyFunctions1| |Any| |ApplicationProgramInterface| |ApplyUnivariateSkewPolynomial| |ApplyRules| |TwoDimensionalArrayCategory&| |TwoDimensionalArrayCategory| |OneDimensionalArrayFunctions2| |OneDimensionalArray| |TwoDimensionalArray| |Asp10| |Asp12| |Asp19| |Asp1| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp41| |Asp42| |Asp49| |Asp4| |Asp50| |Asp55| |Asp6| |Asp73| |Asp74| |Asp77| |Asp78| |Asp7| |Asp80| |Asp8| |Asp9| |AssociatedEquations| |ArrayStack| |ArcTrigonometricFunctionCategory&| |ArcTrigonometricFunctionCategory| |AttributeButtons| |AttributeRegistry| |Automorphism| |AxiomServer| |BalancedFactorisation| |BasicType&| |BasicType| |BalancedBinaryTree| |Bezier| |BezoutMatrix| |BasicFunctions| |BagAggregate&| |BagAggregate| |BinaryExpansion| |BinaryFile| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpMethodCategory| |BlowUpWithQuadTrans| |BlowUpPackage| |BiModule| |Boolean| |BasicOperatorFunctions1| |BasicOperator| |BoundIntegerRoots| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryRecursiveAggregate&| |BinaryRecursiveAggregate| |BrillhartTests| |BasicStochasticDifferential| |BinarySearchTree| |BitAggregate&| |BitAggregate| |BinaryTreeCategory&| |BinaryTreeCategory| |BinaryTournament| |BinaryTree| |CancellationAbelianMonoid| |CachableSet| |CardinalNumber| |CartesianTensorFunctions2| |CartesianTensor| |CharacterClass| |CommonDenominator| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |CombinatorialFunctionCategory| |Character| |CharacteristicNonZero| |CharacteristicPolynomialPackage| |CharacteristicZero| |ChangeOfVariable| |ComplexIntegerSolveLinearPolynomialEquation| |Collection&| |Collection| |CliffordAlgebra| |TwoDimensionalPlotClipping| |ComplexRootPackage| |Color| |CombinatorialFunction| |IntegerCombinatoricFunctions| |CombinatorialOpsCategory| |Commutator| |CommonOperators| |CommuteUnivariatePolynomialCategory| |ComplexCategory&| |ComplexCategory| |ComplexFactorization| |ComplexFunctions2| |Complex| |ComplexPattern| |SubSpaceComponentProperty| |CommutativeRing| |ContinuedFraction| |CoordinateSystems| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexPatternMatch| |CRApackage| |ComplexRootFindingPackage| |CyclicStreamTools| |ComplexTrigonometricManipulations| |CoerceVectorMatrixPackage| |CycleIndicators| |CyclotomicPolynomialPackage| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d01TransformFunctionType| |d01WeightsPackage| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |Database| |DoubleResultantPackage| |DistinctDegreeFactorize| |DecimalExpansion| |ElementaryFunctionDefiniteIntegration| |RationalFunctionDefiniteIntegration| |DegreeReductionPackage| |Dequeue| |DeRhamComplex| |DefiniteIntegrationTools| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DenavitHartenbergMatrix| |Dictionary&| |Dictionary| |DifferentialExtension&| |DifferentialExtension| |DifferentialRing&| |DifferentialRing| |DictionaryOperations&| |DictionaryOperations| |DiophantineSolutionPackage| |DirectProductCategory&| |DirectProductCategory| |DirectProductFunctions2| |DirectProduct| |DirichletRing| |DisplayPackage| |DivisorCategory| |Divisor| |DivisionRing&| |DivisionRing| |DoublyLinkedAggregate| |DataList| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DifferentialPolynomialCategory&| |DifferentialPolynomialCategory| |DequeueAggregate| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |DrawComplex| |DrawNumericHack| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForPoints| |DrawOptionFunctions0| |DrawOptionFunctions1| |DrawOption| |DifferentialSparseMultivariatePolynomial| |DesingTreeCategory| |DesingTree| |DesingTreePackage| |DifferentialVariableCategory&| |DifferentialVariableCategory| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType| |ExtAlgBasis| |ElementaryFunction| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ExtensibleLinearAggregate&| |ExtensibleLinearAggregate| |ElementaryFunctionCategory&| |ElementaryFunctionCategory| |EllipticFunctionsUnivariateTaylorSeries| |Eltable| |EltableAggregate&| |EltableAggregate| |EuclideanModularRing| |EntireRing| |EigenPackage| |EquationFunctions2| |Equation| |EqTable| |ErrorFunctions| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpertSystemContinuityPackage1| |ExpertSystemContinuityPackage| |ExpressionSpace&| |ExpressionSpace| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExpertSystemToolsPackage| |EuclideanDomain&| |EuclideanDomain| |Evalable&| |Evalable| |EvaluateCycleIndicators| |Exit| |Export3D| |ExponentialExpansion| |ExpressionFunctions2| |ExpressionToUnivariatePowerSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionSolve| |ExpressionTubePlot| |ExponentialOfUnivariatePuiseuxSeries| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactoredFunctions| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FactoringUtilities| |FreeAbelianGroup| |FreeAbelianMonoidCategory| |FreeAbelianMonoid| |FiniteAbelianMonoidRingFunctions2| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRing| |FlexibleArray| |FiniteAlgebraicExtensionField&| |FiniteAlgebraicExtensionField| |FortranCode| |FourierComponent| |FortranCodePackage1| |FiniteDivisorFunctions2| |FiniteDivisorCategory&| |FiniteDivisorCategory| |FiniteDivisor| |FullyEvalableOver&| |FullyEvalableOver| |FortranExpression| |FunctionFieldCategoryFunctions2| |FunctionFieldCategory&| |FunctionFieldCategory| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldCyclicGroupExtension| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FractionFreeFastGaussianFractions| |FractionFreeFastGaussian| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldCategory&| |FiniteFieldCategory| |FunctionFieldIntegralBasis| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldNormalBasisExtension| |FiniteField| |FiniteFieldExtensionByPolynomial| |FiniteFieldPolynomialPackage2| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteFieldExtension| |FGLMIfCanPackage| |FreeGroup| |Field&| |Field| |FileCategory| |File| |FiniteRankNonAssociativeAlgebra&| |FiniteRankNonAssociativeAlgebra| |Finite&| |Finite| |FiniteRankAlgebra&| |FiniteRankAlgebra| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregate&| |FiniteLinearAggregate| |FreeLieAlgebra| |FiniteLinearAggregateSort| |FullyLinearlyExplicitRingOver&| |FullyLinearlyExplicitRingOver| |FloatingComplexPackage| |Float| |FloatingRealPackage| |FreeModule1| |FreeModuleCat| |FortranMatrixCategory| |FortranMatrixFunctionCategory| |FreeModule| |FreeMonoid| |FortranMachineTypeCategory| |FileName| |FileNameCategory| |FreeNilpotentLie| |FortranOutputStackPackage| |FindOrderFinite| |ScriptFormulaFormat1| |ScriptFormulaFormat| |FortranProgramCategory| |FortranFunctionCategory| |FortranPackage| |FortranProgram| |FullPartialFractionExpansion| |FullyPatternMatchable| |FieldOfPrimeCharacteristic&| |FieldOfPrimeCharacteristic| |FloatingPointSystem&| |FloatingPointSystem| |FactoredFunctions2| |FractionFunctions2| |Fraction| |FramedAlgebra&| |FramedAlgebra| |FullyRetractableTo&| |FullyRetractableTo| |FractionalIdealFunctions2| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebraFunctions2| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebra| |Factored| |FactoredFunctionUtilities| |FunctionSpaceToExponentialExpansion| |FunctionSpaceFunctions2| |FunctionSpaceToUnivariatePowerSeries| |FiniteSetAggregateFunctions2| |FiniteSetAggregate&| |FiniteSetAggregate| |FunctionSpaceComplexIntegration| |FourierSeries| |FunctionSpaceIntegration| |FunctionSpace&| |FunctionSpace| |FunctionalSpecialFunction| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FortranScalarType| |FunctionSpaceUnivariatePolynomialFactor| |FortranTemplate| |FortranType| |FunctionCalled| |FortranVectorCategory| |FortranVectorFunctionCategory| |GaloisGroupFactorizer| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |EuclideanGroebnerBasisPackage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GcdDomain&| |GcdDomain| |GenericNonAssociativeAlgebra| |GeneralDistributedMultivariatePolynomial| |GnuDraw| |GenExEuclid| |GeneralizedMultivariateFactorize| |GeneralPolynomialGcdPackage| |GenUFactorize| |GenerateUnivariatePowerSeries| |GeneralHenselPackage| |GeneralModulePolynomial| |GuessOptionFunctions0| |GuessOption| |GosperSummationMethod| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GradedAlgebra&| |GradedAlgebra| |GrayCode| |GraphicsDefaults| |GraphImage| |GradedModule&| |GradedModule| |GroebnerSolve| |Group&| |Group| |GeneralUnivariatePowerSeries| |GeneralSparseTable| |GeneralTriangularSet| |GuessAlgebraicNumber| |GuessFiniteFunctions| |GuessFinite| |GuessInteger| |Guess| |GuessPolynomial| |GuessUnivariatePolynomial| |Pi| |HashTable| |HallBasis| |HomogeneousDistributedMultivariatePolynomial| |HomogeneousDirectProduct| |Heap| |HyperellipticFiniteDivisor| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousAggregate| |HTMLFormat| |HyperbolicFunctionCategory&| |HyperbolicFunctionCategory| |InnerAlgFactor| |InnerAlgebraicNumber| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |ChineseRemainderToolsForIntegralBases| |IntegralBasisTools| |IndexedBits| |IntegralBasisPolynomialTools| |IndexCard| |InnerCommonDenominator| |InfClsPt| |PolynomialIdeals| |IdealDecompositionPackage| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedDirectProductObject| |InnerEvalable&| |InnerEvalable| |InnerFreeAbelianMonoid| |IndexedFlexibleArray| |InnerFiniteField| |InnerIndexedTwoDimensionalArray| |IndexedList| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |IndexedMatrix| |InnerNormalBasisFieldFunctions| |IncrementingMaps| |IndexedExponents| |InnerNumericEigenPackage| |InfinitlyClosePointCategory| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InfinitlyClosePoint| |Infinity| |InputFormFunctions1| |InputForm| |InfiniteProductCharacteristicZero| |InnerNumericFloatSolvePackage| |InnerModularGcd| |InnerMultFact| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerPolySign| |IntegerNumberSystem&| |IntegerNumberSystem| |InnerTable| |AlgebraicIntegration| |AlgebraicIntegrate| |IntegerBits| |IntervalCategory| |IntersectionDivisorPackage| |IntegralDomain&| |IntegralDomain| |ElementaryIntegration| |InterfaceGroebnerPackage| |IntegerFactorizationPackage| |InterpolateFormsPackage| |IntegrationFunctionsTable| |GenusZeroIntegration| |IntegerNumberTheoryFunctions| |AlgebraicHermiteIntegration| |TranscendentalHermiteIntegration| |Integer| |AnnaNumericalIntegrationPackage| |PureAlgebraicIntegration| |PatternMatchIntegration| |RationalIntegration| |IntegerRetractions| |RationalFunctionIntegration| |Interval| |IntegerSolveLinearPolynomialEquation| |IntegrationTools| |TranscendentalIntegration| |InverseLaplaceTransform| |InnerPAdicInteger| |InnerPrimeField| |InternalPrintPackage| |IntegrationResultToFunction| |IntegrationResultFunctions2| |IntegrationResult| |IntegerRoots| |IrredPolyOverFiniteField| |IntegrationResultRFToFunction| |IrrRepSymNatPackage| |InternalRationalUnivariateRepresentationPackage| |IndexedString| |InnerPolySum| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerTrigonometricManipulations| |InfiniteTuple| |IndexedVector| |IndexedAggregate&| |IndexedAggregate| |AssociatedJordanAlgebra| |KeyedAccessFile| |KeyedDictionary&| |KeyedDictionary| |KernelFunctions2| |Kernel| |CoercibleTo| |ConvertibleTo| |Kovacic| |LeftAlgebra&| |LeftAlgebra| |LocalAlgebra| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LexTriangularPackage| |LiouvillianFunctionCategory| |LiouvillianFunction| |LinGroebnerPackage| |Library| |LieAlgebra&| |LieAlgebra| |AssociatedLieAlgebra| |PowerSeriesLimitPackage| |RationalFunctionLimitPackage| |LinearDependence| |LinearlyExplicitRingOver| |ListToMap| |ListFunctions2| |ListFunctions3| |List| |LinearSystemFromPowerSeriesPackage| |ListMultiDictionary| |LeftModule| |ListMonoidOps| |LinearAggregate&| |LinearAggregate| |LocalPowerSeriesCategory| |ElementaryFunctionLODESolver| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |Logic&| |Logic| |Localize| |LinesOpPack| |LocalParametrizationOfSimplePointPackage| |LinearPolynomialEquationByFractions| |LiePolynomial| |ListAggregate&| |ListAggregate| |LinearSystemMatrixPackage1| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LieSquareMatrix| |LyndonWord| |LazyStreamAggregate&| |LazyStreamAggregate| |ThreeDimensionalMatrix| |ModularAlgebraicGcdOperations| |Magma| |MatrixManipulation| |MappingPackageInternalHacks1| |MappingPackageInternalHacks2| |MappingPackageInternalHacks3| |MappingPackage1| |MappingPackage2| |MappingPackage3| |MappingPackage4| |MatrixCategoryFunctions2| |MatrixCategory&| |MatrixCategory| |MatrixLinearAlgebraFunctions| |Matrix| |StorageEfficientMatrixOperations| |MultiVariableCalculusFunctions| |MatrixCommonDenominator| |MachineComplex| |MultiDictionary| |ModularDistinctDegreeFactorizer| |MeshCreationRoutinesForThreeDimensions| |MultFiniteFactorize| |MachineFloat| |ModularHermitianRowReduction| |MachineInteger| |MakeBinaryCompiledFunction| |MakeCachableSet| |MakeFloatCompiledFunction| |MakeFunction| |MakeRecord| |MakeUnaryCompiledFunction| |MultivariateLifting| |MonogenicLinearOperator| |MultipleMap| |MathMLFormat| |ModularField| |ModMonic| |ModuleMonomial| |ModuleOperator| |ModularRing| |Module&| |Module| |MoebiusTransform| |Monad&| |Monad| |MonadWithUnit&| |MonadWithUnit| |MonogenicAlgebra&| |MonogenicAlgebra| |Monoid&| |Monoid| |MonomialExtensionTools| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MultivariatePolynomial| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MonoidRingFunctions2| |MonoidRing| |MultisetAggregate| |Multiset| |MoreSystemCommands| |MergeThing| |MultivariateTaylorSeriesCategory| |MultivariateFactorize| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NonAssociativeAlgebra&| |NonAssociativeAlgebra| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagIntegrationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagInterpolationPackage| |NagFittingPackage| |NagOptimisationPackage| |NagMatrixOperationsPackage| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagLapack| |NagSpecialFunctionsPackage| |NAGLinkSupportPackage| |NonAssociativeRng&| |NonAssociativeRng| |NonAssociativeRing&| |NonAssociativeRing| |NumericComplexEigenPackage| |NumericContinuedFraction| |NonCommutativeOperatorDivision| |NewtonInterpolation| |NumberFieldIntegralBasis| |NumericalIntegrationProblem| |NonLinearSolvePackage| |NonNegativeInteger| |NonLinearFirstOrderODESolver| |NoneFunctions1| |None| |NormInMonogenicAlgebra| |NormalizationPackage| |NormRetractPackage| |NottinghamGroup| |NPCoef| |NewtonPolygon| |NumericRealEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewSparseUnivariatePolynomial| |NumberTheoreticPolynomialFunctions| |NormalizedTriangularSetCategory| |Numeric| |NumberFormats| |NumericalIntegrationCategory| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |NumericTubePlot| |OrderedAbelianGroup| |OrderedAbelianMonoid| |OrderedAbelianMonoidSup| |OrderedAbelianSemiGroup| |OrderedCancellationAbelianMonoid| |OctonionCategory&| |OctonionCategory| |OctonionCategoryFunctions2| |Octonion| |OrdinaryDifferentialEquationsSolverCategory| |ConstantLODE| |ElementaryFunctionODESolver| |ODEIntensityFunctionsTable| |ODEIntegration| |AnnaOrdinaryDifferentialEquationPackage| |PureAlgebraicLODE| |PrimitiveRatDE| |NumericalODEProblem| |PrimitiveRatRicDE| |RationalLODE| |ReduceLODE| |RationalRicDE| |SystemODESolver| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrderlyDifferentialVariable| |OrderedFreeMonoid| |OrderedIntegralDomain| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathErrorKind| |OpenMathError| |ExpressionToOpenMath| |OppositeMonogenicLinearOperator| |OpenMath| |OpenMathPackage| |OrderedMultisetAggregate| |OpenMathServerPackage| |OnePointCompletionFunctions2| |OnePointCompletion| |Operator| |OperationsQuery| |NumericalOptimizationCategory| |AnnaNumericalOptimizationPackage| |NumericalOptimizationProblem| |OrderedCompletionFunctions2| |OrderedCompletion| |OrderedFinite| |OrderingFunctions| |OrderedMonoid| |OrderedRing&| |OrderedRing| |OrderedSet&| |OrderedSet| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategoryOps| |SparseUnivariateSkewPolynomial| |UnivariateSkewPolynomial| |OrthogonalPolynomialFunctions| |OrdSetInts| |OutputForm| |OutputPackage| |OrderedVariableList| |OrdinaryWeightedPolynomials| |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteFieldCategory| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfPerfectFieldCategory| |PseudoAlgebraicClosureOfRationalNumberCategory| |PseudoAlgebraicClosureOfRationalNumber| |PadeApproximants| |PadeApproximantPackage| |PAdicIntegerCategory| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForAlgebraicFunctionField| |Palette| |PolynomialAN2Expression| |ParametrizationPackage| |ParametricPlaneCurveFunctions2| |ParametricPlaneCurve| |ParametricSpaceCurveFunctions2| |ParametricSpaceCurve| |ParametricSurfaceFunctions2| |ParametricSurface| |PartitionsAndPermutations| |Patternable| |PatternMatchListResult| |PatternMatchable| |PatternMatch| |PatternMatchResultFunctions2| |PatternMatchResult| |PatternFunctions1| |PatternFunctions2| |Pattern| |PoincareBirkhoffWittLyndonBasis| |PolynomialComposition| |PartialDifferentialEquationsSolverCategory| |PolynomialDecomposition| |AnnaPartialDifferentialEquationPackage| |NumericalPDEProblem| |PartialDifferentialRing&| |PartialDifferentialRing| |PendantTree| |Permanent| |PermutationCategory| |PermutationGroup| |Permutation| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialFactorizationExplicit| |PrimeField| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PackageForPoly| |PointsOfFiniteOrderTools| |PartialFraction| |PartialFractionPackage| |PolynomialGcdPackage| |PermutationGroupExamples| |PolyGroebner| |PiCoercions| |PrincipalIdealDomain| |PositiveInteger| |PolynomialInterpolationAlgorithms| |PolynomialInterpolation| |PlacesCategory| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |ParametricLinearEquations| |PlotFunctions1| |Plot3D| |Plot| |PlotTools| |PolynomialPackageForCurve| |FunctionSpaceAssertions| |PatternMatchAssertions| |PatternMatchPushDown| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |FunctionSpaceAttachPredicates| |AttachPredicates| |PatternMatchQuotientFieldCategory| |PatternMatchSymbol| |PatternMatchTools| |PolynomialNumberTheoryFunctions| |Point| |PolToPol| |RealPolynomialUtilitiesPackage| |PolynomialFunctions2| |PolynomialToUnivariatePolynomial| |PolynomialCategory&| |PolynomialCategory| |PolynomialCategoryQuotientFunctions| |PolynomialCategoryLifting| |Polynomial| |PolynomialRoots| |U32VectorPolynomialOperations| |PlottablePlaneCurveCategory| |PrecomputedAssociatedEquations| |PrimitiveArrayFunctions2| |PrimitiveArray| |PrimitiveFunctionCategory| |PrimitiveElement| |IntegerPrimesPackage| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PolynomialRing| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PriorityQueueAggregate| |PseudoRemainderSequence| |ProjectiveSpaceCategory| |Partition| |PowerSeriesCategory&| |PowerSeriesCategory| |PlottableSpaceCurveCategory| |PolynomialSetCategory&| |PolynomialSetCategory| |PolynomialSetUtilitiesPackage| |PseudoLinearNormalForm| |PolynomialSquareFree| |PointCategory| |PointFunctions2| |PointPackage| |PartialTranscendentalFunctions| |PushVariables| |PAdicWildFunctionFieldIntegralBasis| |QuasiAlgebraicSet2| |QuasiAlgebraicSet| |QuasiComponentPackage| |QueryEquation| |QuotientFieldCategoryFunctions2| |QuotientFieldCategory&| |QuotientFieldCategory| |QuadraticForm| |QueueAggregate| |QuaternionCategory&| |QuaternionCategory| |QuaternionCategoryFunctions2| |Quaternion| |Queue| |RadicalCategory&| |RadicalCategory| |RadicalFunctionField| |RadixExpansion| |RadixUtilities| |RandomNumberSource| |RationalFactorize| |RationalRetractions| |RecursiveAggregate&| |RecursiveAggregate| |RealClosedField&| |RealClosedField| |ElementaryRischDE| |ElementaryRischDESystem| |TranscendentalRischDE| |TranscendentalRischDESystem| |RandomDistributions| |ReducedDivisor| |RealZeroPackage| |RealZeroPackageQ| |RealConstant| |RealSolvePackage| |RealClosure| |RecurrenceOperator| |ReductionOfOrder| |Reference| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |RepeatedDoubling| |RadicalEigenPackage| |RepeatedSquaring| |ResolveLatticeCompletion| |ResidueRing| |Result| |RetractableTo&| |RetractableTo| |RetractSolvePackage| |RandomFloatDistributions| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunction| |RootsFindingPackage| |RegularChain| |RandomIntegerDistributions| |Ring&| |Ring| |RationalInterpolation| |RectangularMatrixCategory&| |RectangularMatrixCategory| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |RightModule| |Rng| |RealNumberSystem&| |RealNumberSystem| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RecursivePolynomialCategory&| |RecursivePolynomialCategory| |RealRootCharacterizationCategory&| |RealRootCharacterizationCategory| |RegularSetDecompositionPackage| |RegularTriangularSetCategory&| |RegularTriangularSetCategory| |RegularTriangularSetGcdPackage| |RuleCalled| |RewriteRule| |Ruleset| |RationalUnivariateRepresentationPackage| |SimpleAlgebraicExtensionAlgFactor| |SimpleAlgebraicExtension| |SAERationalFunctionAlgFactor| |SingletonAsOrderedSet| |SortedCache| |StructuralConstantsPackage| |StochasticDifferential| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |SegmentFunctions2| |SegmentBindingFunctions2| |SegmentBinding| |SegmentCategory| |Segment| |SegmentExpansionCategory| |SetAggregate&| |SetAggregate| |SetCategoryWithDegree| |SetCategory&| |SetCategory| |SetOfMIntegersInOneToN| |Set| |SExpressionCategory| |SExpression| |SExpressionOf| |SimpleFortranProgram| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage| |SquareFreeRegularTriangularSetCategory| |SymmetricGroupCombinatoricFunctions| |SemiGroup&| |SemiGroup| |SplitHomogeneousDirectProduct| |SturmHabichtPackage| |ElementaryFunctionSign| |RationalFunctionSign| |SimplifyAlgebraicNumberConvertPackage| |SingleInteger| |StackAggregate| |SquareMatrixCategory&| |SquareMatrixCategory| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |PolynomialSolveByFormulas| |RadicalSolvePackage| |TransSolvePackageService| |TransSolvePackage| |SortPackage| |ThreeSpace| |ThreeSpaceCategory| |SpecialOutputPackage| |SpecialFunctionCategory| |SplittingNode| |SplittingTree| |SquareMatrix| |StringAggregate&| |StringAggregate| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |Stack| |StreamAggregate&| |StreamAggregate| |SparseTable| |StepThrough| |StreamInfiniteProduct| |StreamTensor| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |Stream| |StringCategory| |String| |StringTable| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctionsNonCommutative| |StreamTranscendentalFunctions| |SubResultantPackage| |SubSpace| |SuchThat| |SparseUnivariateLaurentSeries| |FunctionSpaceSum| |RationalFunctionSum| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePolynomialExpressions| |SupFractionFactorizer| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Switch| |Symbol| |SymmetricFunctions| |SymmetricPolynomial| |TheSymbolTable| |SymbolTable| |SystemSolvePackage| |TableauxBumpers| |Tableau| |Table| |TangentExpansions| |TableAggregate&| |TableAggregate| |TabulatedComputationPackage| |TemplateUtilities| |TexFormat1| |TexFormat| |TextFile| |ToolsForSign| |TopLevelThreeSpace| |TranscendentalFunctionCategory&| |TranscendentalFunctionCategory| |Tree| |TrigonometricFunctionCategory&| |TrigonometricFunctionCategory| |TrigonometricManipulations| |TriangularMatrixOperations| |TranscendentalManipulations| |TriangularSetCategory&| |TriangularSetCategory| |TaylorSeries| |TubePlot| |TubePlotTools| |Tuple| |TwoFactorize| |Type| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |UniqueFactorizationDomain&| |UniqueFactorizationDomain| |UnivariateFormalPowerSeriesFunctions| |UnivariateFormalPowerSeries| |UnivariateLaurentSeriesFunctions2| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeries| |UnivariateFactorize| |UniversalSegmentFunctions2| |UniversalSegment| |UnivariatePolynomialFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomial| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategory| |UnivariatePowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnaryRecursiveAggregate&| |UnaryRecursiveAggregate| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeries| |UnivariateTaylorSeriesODESolver| |UTSodetools| |TaylorSolve| |UnivariateTaylorSeriesCZero| |Variable| |VectorCategory&| |VectorCategory| |VectorFunctions2| |Vector| |TwoDimensionalViewport| |ThreeDimensionalViewport| |ViewDefaultsPackage| |ViewportPackage| |Void| |VectorSpace&| |VectorSpace| |WeierstrassPreparation| |WildFunctionFieldIntegralBasis| |WeightedPolynomials| |WuWenTsunTriangularSet| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |ExtensionField&| |ExtensionField| |XPBWPolynomial| |XPolynomialsCat| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ParadoxicalCombinatorsForStreams| |ZeroDimensionalSolvePackage| |IntegerLinearDependence| |IntegerMod| |Enumeration| |Mapping| |Record| |Union| |Category| |relativeApprox| |numberOfVariables| |root?| |factorList| |palgint0| |sizeLess?| |iCompose| |algintegrate| |cos2sec| |pointLists| |setFoundPlacesToEmpty| |initParLocLeaves| |call| |pToDmp| |fixedPoints| |discreteLog| |eigenvector| |duplicates?| |mainCharacterization| |lowerCase?| |primitivePart!| |homogeneous| |removeFirstZeroes| |nextPartition| |coefficients| |leftRemainder| |retract| |newElement| |birth| |laguerreL| |semiSubResultantGcdEuclidean2| |double| |asecIfCan| = |resetAttributeButtons| |squareFreeLexTriangular| |generalizedEigenvectors| |resultantnaif| |sumOfSquares| |jacobian| |antisymmetricTensors| < |readLineIfCan!| |resultantReduit| |nthr| |particularSolution| |modTree| |safetyMargin| > |guessHP| |limitedint| |quadraticForm| <= |resultantEuclidean| |largest| |indicialEquations| |makeFR| |iisqrt2| |useNagFunctions| |physicalLength!| >= |bipolar| |meshFun2Var| |generalInfiniteProduct| |cAcot| |rCoord| |qnew| |lSpaceBasis| |binomial| |mainKernel| |cycleEntry| |multisect| |distdfact| |branchPointAtInfinity?| |new| |ZetaFunction| |internal?| + |monomials| |list?| E1 |OMputBVar| |rewriteIdealWithRemainder| - |readable?| |OMencodingSGML| |exponential| |interpolateForms| |leftFactor| / |match| |euler| |hMonic| |palglimint| |setrest!| |expt| |splitLinear| |drotg| |associates?| |cross| |factorSFBRlcUnit| |homogeneous?| |selectAndPolynomials| |airyBi| |viewPhiDefault| |RemainderList| |viewDeltaXDefault| |genericRightTrace| |fullParamInit| |numberOfNormalPoly| |tan2cot| |mainForm| |assign| |unprotectedRemoveRedundantFactors| |pleskenSplit| |nextPrime| |pseudoRemainder| |externalList| |diff| |generalizedContinuumHypothesisAssumed| |continuedFraction| |selectFiniteRoutines| |subresultantVector| |meatAxe| |minIndex| |unitCanonical| |recur| |sumOfDivisors| |atrapezoidal| |rspace| |pomopo!| |evalRec| |homogenize| |cartesian| |iiAiryBi| |upperCase| |derivative| |reduceRow| |subMultV| |expenseOfEvaluationIF| |separant| |uncouplingMatrices| |firstNumer| |maxMixedDegree| |squareFreePolynomial| |univcase| |makeprod| |iifact| |octon| |nullary?| |false| |iiabs| |OMputApp| |cosIfCan| |radicalSolve| |label| |legendre| |packModulus| |subst| |placesAbove| |coerceListOfPairs| |OMgetEndApp| |setButtonValue| |oddlambert| |height| |polyRingToBlUpRing| |exprHasWeightCosWXorSinWX| |operation| |returns| |leftCharacteristicPolynomial| |mathieu23| |tab1| |separate| |neglist| |safety| |getPickedPoints| |bernoulli| |PDESolve| |useSingleFactorBound?| |graphStates| |Ei2| |computeInt| |closedCurve| |solveLinear| |leftDiscriminant| |discriminant| |setPosition| |LyndonCoordinates| |sparsityIF| |cache| |setchildren!| |pushup| |finiteBasis| |mapUp!| |addBadValue| |symmetricTensors| |f02akf| |divOfPole| |rk4a| |coefOfFirstNonZeroTerm| |completeSmith| |closed?| |f02ajf| |hspace| |foundPlaces| |simplifyPower| |increment| |expIfCan| |f02agf| |discriminantEuclidean| |LyndonBasis| |computeBasis| |maxPoints3D| |OMputEndError| |stopTable!| |addMatch| |rightScalarTimes!| |key?| |factorAndSplit| |f02aff| |argumentListOf| |stoseSquareFreePart| |squareFreeFactors| |att2Result| |direction| |f02aef| |showClipRegion| |epilogue| |ramifMult| |integralDerivationMatrix| |bat1| |f02adf| |selectPolynomials| |spherical| |precision| |doubleDisc| |log2| |f02abf| |nary?| |imagE| |quoByVar| |iiasinh| |f02aaf| |wholePart| |setref| |setleaves!| |rationalPoint?| |newReduc| |measure| |reopen!| |iiBeta| |univariate?| |showRegion| |numberOfComposites| D |cond| |realSolve| |fresnelS| |elliptic?| |genusTree| |OMsend| |updateStatus!| |cycles| |functionIsFracPolynomial?| |OMgetVariable| |indexName| |extensionDegree| |OMgetEndError| |setpoint!| |asimpson| |depth| |graphState| |atoms| |copyIto| |shiftRight| |cosSinInfo| |directory| |idealiser| |quadTransform| |count| |fixedDivisor| |head| |generic| |distinguishedCommonRootsOf| |rowEch| |numFunEvals3D| |summation| |scalarTypeOf| |sPol| |numberOfDivisors| |mindegTerm| |tube| |alternative?| |ratDenom| |perfectSquare?| |exactQuotient| |any| |f2st| |sqfrFactor| |complexForm| |showArrayValues| |addmod| |associatedEquations| |maxShift| |readIfCan!| |cyclicEntries| |prime?| |constantCoefficientRicDE| |mapExpon| |remove!| |origin| |top| |normal01| |infinityNorm| |rootOfIrreduciblePoly| |torsion?| |lfextlimint| |OMgetString| |semiResultantEuclidean2| |split| |branchIfCan| |rarrow| |showTheSymbolTable| |index?| |internalZeroSetSplit| |totolex| |ipow| |df2fi| |leastAffineMultiple| |Ei| |repeating| |OMgetApp| |lcm| |dflist| |positiveSolve| |mathieu12| |lieAdmissible?| |printHeader| |printStatement| |failed| |empty| |excpDivV| |limitedIntegrate| |exprHasLogarithmicWeights| |singular?| |setColumn!| |symmetricProduct| |e02bcf| |purelyTranscendental?| |schwerpunkt| |evalADE| |e02bbf| |complexEigenvalues| |cot2tan| |ideal| |e02baf| |flush| |nilFactor| |OMgetEndAtp| |hasTopPredicate?| |e02akf| |axes| |generators| |elColumn2!| |rules| |divisors| |e02ajf| |zerosOf| |redpps| |integralBasis| |computeCycleEntry| |e04ycf| |addMatchRestricted| |genericPosition| |cyclic?| |makeGraphImage| |e04ucf| |columnSpace| |showScalarValues| |stopTableGcd!| |leftFactorIfCan| |e04naf| |rischDE| |reduceRowOnList| |shellSort| |OMgetInteger| |quasiRegular?| |e04mbf| |mergeFactors| |pquo| |deleteProperty!| |center| |hermite| |vertSplit| |e04jaf| |horizConcat| |Beta| |heapSort| |constantOperator| |e04gcf| |OMopenString| |tracePowMod| |randomLC| |horizSplit| |coordinate| |e04fdf| |leftScalarTimes!| |leftUnits| |createNormalPrimitivePoly| |typeList| |element| |e04dgf| |systemCommand| |closedCurve?| |compiledFunction| |OMmakeConn| |f01ref| |columns| |cn| |printStats!| |newLine| |f01rdf| |blockSplit| |dioSolve| |internalIntegrate0| |initializeGroupForWordProblem| |f01rcf| |prepareDecompose| |Aleph| |node| |f01qef| |getOp| |partialFraction| |distFact| |f01qdf| |blockConcat| |algSplitSimple| |lexGroebner| |genericLeftMinimalPolynomial| |f01qcf| |bandMatrix| |rowEchLocal| |numeric| |commonDenominator| |lists| |f01mcf| |aRow| |simpson| |rootsOf| |radical| |infinity| |search| |llprop| |f01maf| |aColumn| |rangeIsFinite| |updatD| |tableForDiscreteLogarithm| |f01bsf| |generalTwoFactor| |mapGen| |listYoungTableaus| |f01brf| |iiBesselI| |affinePoint| |index| |unravel| |init| |OMgetBind| |leftMinimalPolynomial| |point| |colorFunction| |linearlyDependent?| |min| |quasiMonicPolynomials| |numericalOptimization| |highCommonTerms| |curve| |symmetricDifference| |perfectNthRoot| |quasiComponent| |denomLODE| |mainMonomials| |genericLeftDiscriminant| |inverse| |packExps| |parabolic| |subNode?| |pmintegrate| |UP2ifCan| |light| |linears| |OMputObject| |property| |setProperties| |setParam!| |exquo| LE |csubst| |leftTrim| |div| |normalized?| |sts2stst| |trigs| |iiatanh| |units| |revert| |internalLastSubResultant| |algebraicOf| |reciprocalPolynomial| |fortranCarriageReturn| |external?| ^= |cycleRagits| |monic?| |medialSet| |applyRules| |exactQuotient!| |screenResolution| |iisech| |setmult!| |print| |divisorCascade| |jacobi| |sumSquares| |code| |invmultisect| |multiplyExponents| |yCoordinates| |parametric?| |normalize| |factorPolynomial| |internalInfRittWu?| |hexDigit?| |makeSeries| |arity| |euclideanSize| |first| |empty?| NOT |elements| OR |OMread| |setfirst!| |useEisensteinCriterion| |cubicBezier| |declare| |OMconnectTCP| AND |rotate!| |bright| |OMsupportsCD?| |returnType!| |quasiAlgebraicSet| |finiteBound| |halfExtendedResultant1| |children| |output| |torsionIfCan| |flexible?| |generalizedContinuumHypothesisAssumed?| |fortranComplex| |right| |zeroDimPrime?| |OMgetError| |LiePoly| |left| |areEquivalent?| |cosh2sech| |minimalForm| |coercePreimagesImages| |viewThetaDefault| |pointValue| |maxLevel| |resultantReduitEuclidean| |chiSquare| |front| |LiePolyIfCan| |interReduce| |plenaryPower| |leadingCoefficientRicDE| |taylor| * |nextPrimitivePoly| |laurent| |autoReduced?| |commutativeEquality| |localParamV| |nand| |puiseux| |factorUsingMusser| |useSingleFactorBound| |numberOfValuesNeeded| |pointInIdeal?| GE |comparison| |fillPascalTriangle| |polynomial| |outputForm| |unitsColorDefault| |denominators| |invertibleSet| |dimensions| |insertionSort!| |placesOfDegree| |assoc| |lieAlgebra?| |removeSuperfluousQuasiComponents| |pastel| |basis| |getCode| |countRealRootsMultiple| |abs| |resetNew| |iFTable| |collectUnder| |stopMusserTrials| |rroot| |getMultiplicationTable| |droot| |isPlus| |thetaCoord| |cyclePartition| |symbNameV| |diophantineSystem| |nonSingularModel| |interpolateFormsForFact| |rootNormalize| |script| |LazardQuotient2| |interpret| |divisorAtDesingTree| |putGraph| |map!| |iilog| |symFunc| |solveLinearPolynomialEquation| |invertibleElseSplit?| |seriesToOutputForm| |integralMatrixAtInfinity| |coHeight| |limit| |cAcos| |delete| |truncate| |slex| |OMUnknownCD?| |gradient| |maxDegree| |wordsForStrongGenerators| |ref| |graphImage| |fortran| |quasiRegular| |lagrange| |uniform01| |ocf2ocdf| |nextsubResultant2| |pdf2df| |functionNames| |minRowIndex| |critMonD1| |iiexp| |pdf2ef| |lprop| |displayKind| |displayAsGF| |zRange| |character?| |level| |infix| |dark| |primitiveElement| |OMlistCDs| |bandedJacobian| |iiacot| |showIntensityFunctions| |numberOfHues| FG2F |cothIfCan| |semiDegreeSubResultantEuclidean| |evenlambert| |guessRec| |mightHaveRoots| |sh| |tanhIfCan| |errorInfo| |startPolynomial| |build| |ScanFloatIgnoreSpaces| |packageCall| |range| |integerIfCan| |sqfree| |intcompBasis| |d02bhf| |scalarMatrix| |subSet| |symmetricRemainder| |transcendenceDegree| |lazy?| |stripCommentsAndBlanks| |d02bbf| |pointData| |bipolarCylindrical| |systemSizeIF| ~ |minordet| |createMultiplicationMatrix| |e02ahf| |surface| |compBound| |regime| |symmetricPower| |cAcsch| |substring?| |addPointLast| |suppOfZero| |char| |physicalLength| |completeEchelonBasis| |createLowComplexityTable| |mask| |basicSet| |setMinPoints| |rightCharacteristicPolynomial| |setAdaptive| |numberOfComponents| |nthExpon| |GospersMethod| |numberPlacesDegExtDeg| |zeroDimPrimary?| |lastNonNull| |fglmIfCan| |d03faf| |zeroOf| |guess| |d03eef| |blankSeparate| |monicCompleteDecompose| |denomRicDE| |collect| |idealiserMatrix| |affineRationalPoints| |next| |normalElement| |d03edf| |permutations| |stoseLastSubResultant| |perspective| |viewPosDefault| |conditionP| |inrootof| |iroot| |doublyTransitive?| |seed| |aLinear| |newtonPolySlope| |semiDiscriminantEuclidean| |startTable!| |conjug| |rootSplit| |basisOfRightAnnihilator| |increase| |OMputSymbol| |phiCoord| |selectMultiDimensionalRoutines| |suffix?| |lowerPolynomial| |subQuasiComponent?| |basisOfRightNucleus| |rotatey| |normal| |sncndn| |bitTruth| |mvar| |ShiftAction| |basisOfRightNucloid| |pol| |radicalOfLeftTraceForm| |showTypeInOutput| |setRow!| |iomode| |halfExtendedSubResultantGcd1| |solveid| |infRittWu?| |traceMatrix| |writable?| |associatedSystem| |decrease| |mkcomm| |tex| |parent| |pointColor| |lambda| |Gamma| |dn| |axServer| |multiServ| |bezoutResultant| |coerceImages| |lazyPrem| |pointSizeDefault| |positive?| |scan| |printInfo!| |bfKeys| |initial| |dcabs1| |LazardQuotient| |RittWuCompare| |mpsode| |finiteSeries2Vector| |mainCoefficients| |cyclicGroup| |ReduceOrder| |dasum| |icamax| |numberOfMonomials| |Ci| |rightTrace| |removeConstantTerm| |powerSum| |maximumExponent| |completeHensel| |idamax| |test| |fractionFreeGauss!| |constantOpIfCan| |quadratic?| |startTableGcd!| |henselFact| |paren| |algDsolve| |setProperty| |has?| |posExpnPart| |eq?| |youngGroup| |createZechTable| |modularFactor| |permutationRepresentation| |totalDifferential| |input| |properties| |rightMult| |removeRoughlyRedundantFactorsInContents| |B1solve| |degreeSubResultant| |value| |zeroSquareMatrix| |extendedSubResultantGcd| |integerBound| |getSmgl| |SFunction| |tubeRadius| |integralCoordinates| |alphanumeric| |pushuconst| |multiplicative?| |makeMulti| |hexDigit| |digit| |identity| |exponent| |write!| |lexico| |totalLex| |qroot| |back| |iidigamma| |increasePrecision| |rem| |polyred| |hessian| |prefix?| |c05nbf| |linear?| |extDegree| |OMputFloat| |escape| |getlo| |critpOrder| |hclf| |c05adf| |OMsetEncoding| |repSq| |fibonacci| |cSech| |c06gsf| |quo| |listAllMonoExp| |solveLinearPolynomialEquationByRecursion| |minrank| |gcdPolynomial| |stoseInvertibleSetreg| |mantissa| |mdeg| |mkIntegral| |exponentialOrder| |nextNormalPoly| |cyclicEqual?| |c06gqf| |characteristicSerie| |minPol| |unvectorise| |rootPoly| |clipParametric| |/\\| |sinh2csch| |fortranDoubleComplex| |makeFloatFunction| |c06gcf| |reduction| |cAsec| |palgint| |blue| |minPoints3D| |\\/| |square?| |sdf2lst| |c06gbf| |commutator| |mainVariables| |HermiteIntegrate| |red| |log10| |selectOptimizationRoutines| |fortranReal| |c06fuf| |integers| |push!| |var2StepsDefault| |deriv| |degreeSubResultantEuclidean| |iipow| |effective?| |result| |normalizedDivide| |c06frf| |complexExpand| |makeSUP| |powerAssociative?| |c06fqf| ~= |zeroSetSplit| |laurentRep| |OMgetFloat| RF2UTS |expintfldpoly| |headReduced?| |unaryFunction| |trunc| |cylindrical| |constantKernel| |c06fpf| |alternatingGroup| |setTower!| |froot| |rightAlternative?| |setPredicates| |getGoodPrime| |logical?| |sbt| |stoseInvertibleSetsqfreg| |c06ekf| |countRealRoots| |OMgetSymbol| |interval| |tryFunctionalDecomposition?| |complementaryBasis| |fracPart| |more?| |groebnerIdeal| |solveRetract| |c06ecf| |sinhcosh| |Lazard| |nodes| |sample| |rotatez| |badNum| |setImagSteps| |optAttributes| |c06ebf| |OMgetAttr| |OMputError| |datalist| |rightOne| |encode| |generator| |algebraicSort| |normalForm| |c06eaf| |factorsOfDegree| |iiasin| |leftZero| |OMgetType| |socf2socdf| |s17def| |variationOfParameters| |padecf| Y |signAround| |setCondition!| |getCurve| |completeEval| |genericRightNorm| |fractRagits| |refine| |removeRedundantFactorsInPols| |s17dcf| |replaceDiffs| |tubeRadiusDefault| |isPower| |expenseOfEvaluation| |generalCoefficient| |adaptive| |meshPar1Var| |plus| |s17akf| |infieldint| |clearTheFTable| |factorsOfCyclicGroupSize| |numericalIntegration| |exp1| |setsubMatrix!| |s17ajf| |constant?| |augment| |complexEigenvectors| |minimize| |fortranLiteral| |besselK| |s17ahf| |ceiling| |resize| |create| |float?| |singularPointsWithRestriction| |gbasis| |bumptab| |credPol| |taylorQuoByVar| |pade| |coord| |arg1| |s17agf| |lifting| |checkRur| |exprToXXP| |setMaxPoints| |arg2| |coefChoose| |s17aff| |polyRicDE| |charthRoot| |initiallyReduce| |dmp2rfi| |nonQsign| |setStatus!| |s17aef| |pattern| |getEq| LT |isAbsolutelyIrreducible?| |squareFreePart| |algint| |Si| |stoseIntegralLastSubResultant| |lyndon?| |baseRDE| |s17adf| |close| |psolve| |omError| |optimize| |viewDefaults| |getBadValues| |Zero| |s17acf| |newtonPolygon| |lo| |recoverAfterFail| |minGbasis| |numberRatPlacesExtDeg| |copyDrift| |inspect| |Somos| |imagJ| |s15aef| |incr| |sub| |max| |solveInField| |even?| |LyndonWordsList1| |romberg| |tanh2coth| |hi| |decomposeFunc| |s15adf| |cCsch| |fullInfClsPt| |imagi| |iisin| |kovacic| |badValues| |s14baf| |supersub| |degree| |inverseIntegralMatrix| |rationalPower| |maxTower| |dec| |s14abf| |display| |nthRootIfCan| |nthFactor| |monomRDE| |delta| |reduceLODE| |predicates| |hdmpToP| |solid?| |lepol| |subNodeOf?| |s14aaf| |slash| |chineseRemainder| |cCot| |prolateSpheroidal| |outputAsScript| |s13adf| |localParam| |makeViewport3D| |zoom| |ridHack1| |getMatch| |interpolate| |pfaffian| |setLegalFortranSourceExtensions| |edf2efi| |irreducible?| |complexSolve| |s13acf| |high| |digits| |tanSum| |sizeMultiplication| |ran| |exists?| |primeFrobenius| |PollardSmallFactor| |headReduce| |s13aaf| |integralAtInfinity?| |expPot| |integralLastSubResultant| |palgLODE0| |getMultiplicationMatrix| |ParCondList| |options| |repack1| |s01eaf| |shrinkable| |goodnessOfFit| |argscript| |pToHdmp| |or| |normInvertible?| |setlocalParam!| |setsymbName!| |s21bdf| |measure2Result| |subHeight| |supp| |bottom!| |pointColorPalette| |filterUpTo| |setOfMinN| |s21bcf| |squareMatrix| |deleteRoutine!| |withPredicates| |exptMod| |subResultantChain| |linearPart| |nthCoef| |subscript| |s21bbf| |clipSurface| |bit?| |scale| |vark| |purelyAlgebraic?| |s21baf| |subresultantSequence| |chiSquare1| |generate| |powers| |maxSubst| |iiBesselY| |antiCommutator| |generalSqFr| |makeSin| |ffactor| |incrementBy| |expandPower| |s20adf| |nonLinearPart| |primlimintfrac| |root| |dot| |e02agf| |clearDenominator| |pseudoDivide| |expand| |topPredicate| |addPoint| |mainVariable| |extension| |findTerm| |npcoef| |distance| |match?| |filterWhile| |s20acf| |overbar| |outputAsTex| |lquo| |charpol| |diag| |aromberg| |bubbleSort!| |filterUntil| |d01aqf| |nextLatticePermutation| |round| |sin2csc| |doubleResultant| |iiatan| |moduleSum| |const| |select| |s19adf| |genericLeftNorm| |lfinfieldint| |guessRat| |meshPar2Var| |variableName| |realEigenvectors| |clipPointsDefault| |in?| |d01apf| |unit?| |lfextendedint| |palgLODE| |showAllElements| |primextendedint| |lazyPquo| |initials| |s19acf| |rootOf| |asechIfCan| |UpTriBddDenomInv| |nextIrreduciblePoly| |wholeRagits| |dimensionOfIrreducibleRepresentation| |subset?| |stack| |corrPoly| |d01anf| |removeRoughlyRedundantFactorsInPols| |OMgetAtp| |message| |diagonalProduct| |primlimitedint| |roughEqualIdeals?| |hasoln| |OMreadFile| |d01amf| |compdegd| |indiceSubResultantEuclidean| |makeRecord| |monicModulo| |totalfract| |getMeasure| |mathieu22| |d01alf| |hash| |euclideanNormalForm| |cAcsc| |one?| |innerSolve| |conical| |style| |mapExponents| |simplify| |s19abf| |varselect| |nextSublist| |nthFractionalTerm| |evaluate| |insert| |simplifyLog| |nextItem| |d01akf| |typeLists| |redPo| |stFunc2| |OMencodingXML| |linkToFortran| |pseudoRem| |leftLcm| |removeIrreducibleRedundantFactors| |s19aaf| |getExplanations| |skewSFunction| |partialDenominators| |OMputEndAtp| |relerror| |accuracyIF| |d01ajf| |adaptive3D?| GT |quotientByP| |mirror| |writeObj| |polyRDE| |ode2| |iibinom| |triangulate| |outputFloating| |qqq| |s18def| |zeroSetSplitIntoTriangularSystems| |imaginary| |sylvesterSequence| |outputGeneral| |rightDiscriminant| |cyclicParents| |s18dcf| |negAndPosEdge| |points| |irreducibleFactors| |userOrdered?| |iteratedInitials| |OMgetObject| |setFormula!| |algebraicCoefficients?| |monomial2series| |s18aff| |prime| |sumOfKthPowerDivisors| |splitConstant| |alterQuadVar!| |changeName| |sorted?| |numberOfComputedEntries| |rationalFunction| |s18aef| |chainSubResultants| |normalizeAtInfinity| |blowUp| |rightUnit| |acsch| |vertConcat| |s18adf| |composites| |var1StepsDefault| |characteristic| |readLine!| |showAll?| |someBasis| |reverseLex| |cAtanh| |reshape| |s18acf| |singularPoints| |move| |OMgetEndObject| |palglimint0| |backOldPos| |OMcloseConn| |f04qaf| |OMputString| |cfirst| |crest| |listOfMonoms| |reducedSystem| |semiResultantEuclideannaif| |simplifyExp| |oneDimensionalArray| |rewriteIdealWithHeadRemainder| |quotVecSpaceBasis| |f04mcf| |invertible?| |sayLength| |factorCantorZassenhaus| |linearAssociatedExp| |probablyZeroDim?| |f04mbf| |unmakeSUP| |controlPanel| |maxrank| |fortranLiteralLine| |checkOptions| |alphabetic| |compose| |charClass| |outputSpacing| |fortranInteger| |f04maf| |elRow2!| |selectfirst| |reducedContinuedFraction| |lineColorDefault| |nor| |messagePrint| |adjoint| |f04jgf| |parametersOf| |perfectSqrt| |palgRDE| |tryFunctionalDecomposition| |solve1| |UnVectorise| |f04faf| |oddInfiniteProduct| |rombergo| |selectSumOfSquaresRoutines| |qShiftAction| |multinomial| |complexElementary| |testDim| |rationalPlaces| |eyeDistance| |f04axf| |moduloP| |ShiftC| |bombieriNorm| |drawCurves| |critB| |f04atf| |findOrderOfDivisor| |OMconnOutDevice| |tanh2trigh| |indices| |tanIfCan| |antiAssociative?| |clipWithRanges| |antiCommutative?| |groebner?| |imagI| |f04asf| |appendPoint| |common| |characteristicSet| |sylvesterMatrix| |objectOf| |drawComplex| |karatsubaDivide| |dznrm2| |wrregime| |differentialVariables| |lighting| |singRicDE| |reindex| |unrankImproperPartitions1| SEGMENT |factorial| |f04arf| |findCoef| |firstDenom| |argument| |setEpilogue!| |iiAiryAi| |mesh?| |mainContent| |presuper| |leftExactQuotient| |lazyIntegrate| |groebnerFactorize| |normalizeIfCan| |copies| |LyndonWordsList| |f04adf| |subResultantsChain| |setSingularPoints| |null?| |iidsum| |cup| |nthExponent| |iisec| |setScreenResolution3D| |createNormalPoly| |distinguishedRootsOf| |orbits| |multiplyCoefficients| |stoseInternalLastSubResultant| |restorePrecision| |balancedBinaryTree| |myDegree| |lastNonNul| |acscIfCan| |factorSquareFreePolynomial| |squareTop| |initTable!| |explogs2trigs| |digit?| |ratDsolve| |cycleElt| |cPower| |showFortranOutputStack| |gcdcofactprim| |extractIfCan| |Musser| |continue| |subResultantGcdEuclidean| |lastSubResultant| |rewriteSetByReducingWithParticularGenerators| |startTableInvSet!| |rationalApproximation| |enterInCache| |setvalue!| |generalizedEigenvector| |algebraicDecompose| |point?| |calcRanges| |adjunctionDivisor| |cotIfCan| |open?| |quadraticNorm| |laguerre| |fortranCompilerName| |newSubProgram| |startStats!| |desingTreeAtPoint| |removeCoshSq| |monomialIntPoly| |localAbs| |dAndcExp| |normalDenom| |f07fef| |real?| |polarCoordinates| |mapSolve| |rightRankPolynomial| |f07fdf| |hconcat| |pointDominateBy| |factors| |asinhIfCan| |binary| |f07aef| |permanent| |noKaratsuba| |tanNa| |weighted| |iicot| |f07adf| |column| |acoshIfCan| |primitive?| |nullSpace| |fortranLinkerArgs| |translateToOrigin| |elem?| |univariatePolynomialsGcds| |repeatUntilLoop| |s17dlf| |resetBadValues| |insert!| |mapmult| |cyclotomicDecomposition| |rotatex| |nextSubsetGray| |s17dhf| |nodeOf?| |rk4qc| |setStatus| |hyperelliptic| |iicosh| |iiasech| |option| |s17dgf| |ParCond| |yCoord| |alterDrift!| |f02xef| |radicalEigenvector| |satisfy?| |ldf2lst| |splitNodeOf!| |f02wef| |stoseInvertibleSet| |genericRightDiscriminant| |contract| |transpose| |stirling2| |numberOfOperations| |f02fjf| |And| |opeval| |cycleLength| |Ei6| |f02bjf| |update| |viewSizeDefault| |insertBottom!| |sequences| |daxpy| |f02bbf| |decreasePrecision| |ODESolve| |splitDenominator| |Ei5| |f02axf| |cAcosh| |singleFactorBound| |conjugate| |edf2df| |printInfo| |divergence| |f02awf| |powern| |extendedResultant| |translate| |multiple| |mainPrimitivePart| |orbit| |qsetelt!| |scaleRoots| |quotient| |optional| |jacobiIdentity?| |trivialIdeal?| |cCos| |wronskianMatrix| |ef2edf| |not| |deepestInitial| |processTemplate| |hasSolution?| |internalAugment| |sizePascalTriangle| |exprToUPS| |extendedEuclidean| |csch2sinh| |roughUnitIdeal?| |patternMatch| |table| |applyQuote| |toseInvertible?| |leaf?| |removeCosSq| |returnTypeOf| |matrixGcd| |diagonalMatrix| |stirling1| |bitCoef| |singularitiesOf| |OMputEndBind| |null| |identification| |perfectNthPower?| |entry?| |linearlyDependentOverZ?| |setMaxPoints3D| |iiGamma| |setleft!| |conditionsForIdempotents| |listBranches| |selectsecond| |functionName| |stoseInvertible?| |bsolve| |graphs| |fortranDouble| |bandedHessian| |clikeUniv| |sort| |unitNormalize| |lintgcd| |mapMatrixIfCan| |multiset| |rootBound| EQ |hitherPlane| |removeDuplicates!| |geometric| |viewWriteAvailable| |oddintegers| |merge!| |shanksDiscLogAlgorithm| |rowEchelon| |chebyshevT| |sinIfCan| |ord| |intPatternMatch| |cSec| |selectIntegrationRoutines| |vconcat| |pair?| |firstExponent| |basisOfMiddleNucleus| |traverse| |preprocess| |lazyIrreducibleFactors| |rationalPoints| |gderiv| |htrigs| |guessPRec| |leftGcd| |integralMatrix| |equality| |arrayStack| |bfEntry| |basisOfCentroid| |rotate| |listRepresentation| |isOp| |hdmpToDmp| |child?| |radicalRoots| |comp| |ratpart| |dcopy| |currentSubProgram| |dim| |contains?| |dominantTerm| |derivationCoordinates| |getOrder| |clearTheSymbolTable| |gcd| |any?| |finite?| |En| |monicRightFactorIfCan| |listLoops| |explicitlyFinite?| |desingTree| |lp| |mapdiv| |semicolonSeparate| |graphCurves| |leftExtendedGcd| |Not| |hue| |modularGcd| |symbol?| |read!| |exponential1| |virtualDegree| |realZeros| |bumprow| |subTriSet?| |algebraic?| |brillhartIrreducible?| |machineFraction| |reduced?| |multiEuclideanTree| |statusIto| |plot| |partition| |Or| |check| |doubleRank| |components| |besselJ| |createLowComplexityNormalBasis| |makeViewport2D| |leftRankPolynomial| |primeFactor| |totalDegree| |rightExtendedGcd| |makingStats?| |lift| |lazyGintegrate| |tableau| |nthFlag| |axesColorDefault| |reduce| |intersectionDivisor| |possiblyInfinite?| |rst| |elliptic| |divOfZero| |complexIntegrate| |constantToUnaryFunction| |listexp| |directSum| |radicalEigenvalues| |inf| |rk4| |OMreceive| |var2Steps| |rightFactorCandidate| |belong?| |LPolynomial| |numFunEvals| |fixedPointExquo| |setEmpty!| |groebner| |differentiate| |complexZeros| |iiacoth| |allDegrees| |associator| |rule| |stepBlowUp| |rdregime| |fullOut| |expandTrigProducts| |hadamard| |drawStyle| |OMReadError?| |anticoord| |color| |green| |vector| |maxIndex| |nullary| |viewport2D| |rightPower| |checkPrecision| |ruleset| |clearCache| |xn| |generalLambert| |extractClosed| |lazyVariations| |void| |cSin| |coerceL| |setright!| |aQuadratic| |select!| |hex| |cAcoth| |subscriptedVariables| |size?| |power| |OMgetEndAttr| |coefficient| |iiacsch| |powmod| |bivariatePolynomials| |extend| |setClipValue| |critT| |cyclicSubmodule| |divideExponents| |rectangularMatrix| |whileLoop| |numericIfCan| |limitPlus| |karatsubaOnce| |leftUnit| |leftRecip| |crushedSet| |cAtan| |commutative?| |semiResultantEuclidean1| |goppaCode| |block| |length| |name| |every?| |taylorRep| |setPoly| |stoseInvertible?sqfreg| |scripts| |delete!| |KrullNumber| |tubePoints| |binaryFunction| |previous| |inverseLaplace| |varList| |fTable| |summary| |lastSubResultantEuclidean| |prod| |acosIfCan| |constant| |applyTransform| |padicFraction| |show| |aQuartic| |determinant| |po| |affineAlgSet| |Ei4| |orderIfNegative| |guessBinRat| |insertTop!| |e02aef| |makeEq| |var1Steps| |eq| |upperCase?| |indicialEquation| |shallowCopy| |c02agf| |iiBesselJ| |listSD| |defineProperty| |zeroDimensional?| |c02aff| |complete| |sign| |realEigenvalues| |e02adf| |retractToGrn| |maxdeg| |viewpoint| |makeCrit| |c05pbf| |clipBoolean| |problemPoints| |showAttributes| |OMParseError?| |initializeParamOfPlaces| |leftMult| |LowTriBddDenomInv| |credits| |compile| |last| |divide| |One| |lastSubResultantElseSplit| |overlabel| |algebraicSet| |ldf2vmf| |BumInSepFFE| |patternVariable| |ptree| |e01sef| |noLinearFactor?| |gnuDraw| |setcurve!| |e01saf| |multMonom| |terms| |complexNumericIfCan| |approximants| |e01daf| |infix?| |rank| |linSolve| |resetVariableOrder| |uniform| |elt| |e01bhf| |structuralConstants| |vedf2vef| |middle| |iipolygamma| |setelt| |e01bgf| |removeSquaresIfCan| |random| |rightFactorIfCan| |fortranCharacter| |internalSubQuasiComponent?| |e01bff| |parametrize| |SturmHabichtCoefficients| |resultantEuclideannaif| |trueEqual| |e01bef| |polygon?| |tValues| |mulmod| |e01baf| |identitySquareMatrix| |pack!| |module| |reduceByQuasiMonic| |e02zaf| |excepCoord| |prevPrime| |leadingSupport| |e02gaf| |exQuo| |reseed| |ratPoly| F |e02dff| |weierstrass| |vspace| |bits| |e02def| |reset| |univariateSolve| |branchPoint?| |rischNormalize| |e02ddf| |write| |leadingIdeal| |exprToGenUPS| |concat!| |makeCos| |e02dcf| |save| |logIfCan| |fortranTypeOf| |cTan| |e02daf| |firstUncouplingMatrix| |member?| |An| |completeHermite| |deepExpand| |e02bef| |obj| |shift| |mkAnswer| |pseudoQuotient| |variable| |e02bdf| |bitLength| |besselY| |infinite?| |outerProduct| |minusInfinity| |rootProduct| |showTheIFTable| |desingTreeWoFullParam| |reduceLineOverLine| |plusInfinity| |testModulus| |minColIndex| |makeVariable| |real| |predicate| |rightZero| |rational?| |complex| |makeResult| |declare!| |extractIndex| |leftDivide| |createRandomElement| |retractIfCan| |minus!| |cExp| |is?| |rightGcd| |conditions| |palginfieldint| |leftRegularRepresentation| |approxSqrt| |drift| |order| |nil| |theCurve| |presub| |hermiteH| |clearTable!| |acschIfCan| |anfactor| |genericRightMinimalPolynomial| |lowerCase| |indiceSubResultant| |separateDegrees| |keys| |d01gbf| |stosePrepareSubResAlgo| |dom| |remainder| |exteriorDifferential| |outlineRender| |validExponential| |approximate| |d01gaf| |lBasis| |viewDeltaYDefault| |mapUnivariateIfCan| |pmComplexintegrate| |palgextint0| |localPointV| |d01fcf| |createPrimitiveNormalPoly| |prinpolINFO| |suchThat| |outputArgs| |inconsistent?| |cyclotomicFactorization| |d01bbf| |setLabelValue| |eigenvectors| |padicallyExpand| |cyclotomic| |d01asf| |infiniteProduct| |stopTableInvSet!| |findCycle| |xCoord| |leaves| |characteristicPolynomial| |hcrf| |subsInVar| |iitan| |oblateSpheroidal| |rightTrim| |d02raf| |fortranLogical| |localUnquote| |sech2cosh| |integrate| |curryLeft| |d02kef| |blowUpWithExcpDiv| |basisOfLeftNucleus| |fprindINFO| |integer?| |Hausdorff| |d02gbf| |remove| |definingPolynomial| |ScanFloatIgnoreSpacesIfCan| |imagk| |setFieldInfo| |palgintegrate| |d02gaf| |guessADE| |harmonic| |decompose| |secIfCan| |lowerCase!| |variables| |d02ejf| |rootRadius| |copyInto!| |prindINFO| |argumentList!| |moreAlgebraic?| |times| |d02cjf| |enqueue!| |isList| |infClsPt?| |failed?| |rationalIfCan| |listVariable| |tubePointsDefault| |degreePartition| |leastPower| |factorSquareFreeByRecursion| |extractTop!| |copyBSD| |loopPoints| |newton| |setAdaptive3D| |iicsch| |trigs2explogs| |rational| |expintegrate| |mainMonomial| |zeroVector| |tab| |roughBase?| |represents| |binaryTree| |numerator| |factorUsingYun| |lexTriangular| |minimumExponent| |title| |palgRDE0| |removeRedundantFactors| |aCubic| |pushdown| |setMinPoints3D| |base| |factorGroebnerBasis| |getRef| |copyQuadVar| |OMsupportsSymbol?| |lhs| |moebiusMu| |bringDown| |imagK| |norm| |enterPointData| |supRittWu?| |monicRightDivide| |t| |interpretString| |iiperm| |localReal?| |primintfldpoly| |union| |viewWriteDefault| |members| |viewport3D| |trace| |merge| |diagonal| |halfExtendedSubResultantGcd2| |positiveRemainder| |dequeue!| |inR?| |lfunc| |stoseInvertible?reg| |convergents| |introduce!| |gcdprim| |OMputAttr| |tensorProduct| |clearTheIFTable| |smith| |computePowers| |setTex!| |true| |log| |removeSuperfluousCases| |partitions| |chartV| |operator| |times!| |getStream| |rewriteSetWithReduction| |monomial?| |bivariateSLPEBR| |setErrorBound| |solid| |irreducibleFactor| |fractRadix| |top!| |maxPower| |sechIfCan| |contractSolve| |inGroundField?| |transform| |mainVariable?| |child| |btwFact| |transcendentalDecompose| |mat| |polCase| |polyRing2UPUP| |Is| |close!| |getZechTable| |normFactors| |normalise| |numberOfChildren| |projectivePoint| |ramified?| |ode1| |open| |certainlySubVariety?| |exprex| |goto| |nthRoot| |leftRank| |airyAi| |SturmHabichtSequence| |stiffnessAndStabilityFactor| |initiallyReduced?| |super| |genericLeftTraceForm| |algebraicVariables| |commaSeparate| |semiResultantReduitEuclidean| |curryRight| |approxNthRoot| |primaryDecomp| |dictionary| UP2UTS |guessPade| |choosemon| |matrix| |eulerE| |fintegrate| |selectODEIVPRoutines| |width| |twist| |cSinh| |brillhartTrials| |putColorInfo| |firstSubsetGray| |basisOfInterpolateForms| |numberOfFractionalTerms| |append| |alphabetic?| |complex?| |drot| |rightRegularRepresentation| |function| |makeop| |OMunhandledSymbol| |expandLog| |ptFunc| |upDateBranches| |queue| |prinb| |relationsIdeal| |polygon| |basisOfInterpolateFormsForFact| |pop!| |showTheRoutinesTable| |multV| |insertMatch| |eigenMatrix| |makeTerm| |replace| |reorder| |twoFactor| |lazyPremWithDefault| |cschIfCan| |zeroMatrix| |finiteSeries2LinSys| |eulerPhi| |swapRows!| |trim| |linear| |divisor| |intChoose| |linearPolynomials| |definingInequation| |shiftRoots| |laplacian| |Yun| |nlde| |reducedQPowers| |pascalTriangle| |position!| |shiftLeft| |complexRoots| |coerceS| |polar| |stFunc1| |ricDsolve| |difference| |primitivePart| |legendreP| |diagonals| |integralBasisAtInfinity| |numberOfFactors| |makeYoungTableau| |internalDecompose| |generalizedInverse| |rightDivide| |rur| |connect| |linearAssociatedOrder| |OMencodingUnknown| |quartic| |critMTonD1| |operators| |iisqrt3| |lex| |unitNormal| |iExquo| |adaptive?| |stop| |sort!| |rows| |leadingTerm| |fixPredicate| |OMgetEndBVar| |subMatrix| LODO2FUN |getShiftRec| |acothIfCan| |constDsolve| |sec2cos| |iitanh| |selectPDERoutines| |fullDesTree| |iiBesselK| |showTheFTable| |condition| |functionIsOscillatory| |quotValuation| |rubiksGroup| |createGenericMatrix| |nrows| |mathieu11| |changeBase| |type| |schema| |mkPrim| |implies| |nextPrimitiveNormalPoly| |checkExtraValues| |ncols| |genericLeftTrace| |factorSqFree| |linearDependenceOverZ| |toScale| |writeLine!| |lyndon| |routines| |integral| |unit| |string?| |ScanRoman| |allPairsAmong| |component| |setPrologue!| |changeVar| |OMputBind| |intermediateResultsIF| |bag| |ddFact| |consnewpol| |option?| |janko2| |ksec| |karatsuba| |debug3D| |inc| |nullity| |untab| |createHN| |formula| |nextsousResultant2| |setexcpDiv!| |primPartElseUnitCanonical| |OMclose| |solveLinearPolynomialEquationByFractions| |toroidal| |region| |guessHolo| |leviCivitaSymbol| |getDomains| |coordinates| |OMputVariable| |magnitude| |explicitlyEmpty?| |paraboloidal| |singularAtInfinity?| |midpoint| |resultant| |rhs| |bezoutMatrix| |rightRank| |lazyPseudoQuotient| |createMultiplicationTable| |tanAn| |redPol| |trailingCoefficient| |setTopPredicate| |replaceKthElement| |alphanumeric?| |mainSquareFreePart| |deepCopy| |lazyPseudoRemainder| |setClosed| |OMputAtp| |suppOfPole| |vectorise| |internalIntegrate| |factorials| |int| |curry| |kroneckerDelta| |copy!| |fmecg| |cycleSplit!| |dimensionsOf| |principalIdeal| |cAsech| |goodPoint| |iiacos| |fractionPart| |coth2trigh| |over| |find| |stronglyReduced?| |compactFraction| |alternating| |affineSingularPoints| |minset| |dnrm2| |coleman| |realRoots| |bracket| |exponents| |safeFloor| |denominator| |prinshINFO| |clip| |monomialIntegrate| |wordInGenerators| |zaxpy| |simpsono| |rewriteIdealWithQuasiMonicGenerators| |shallowExpand| |f2df| |sn| |leftOne| |integerDecode| |transCoord| |equation| |pointColorDefault| |e01sbf| |less?| |rangePascalTriangle| |finiteSeries2LinSysWOVectorise| |modularGcdPrimitive| |eigenvalues| |map| |complement| |quotedOperators| |degreeOfMinimalForm| |bivariate?| |enumerate| |OMwrite| |moebius| |OMlistSymbols| |boundOfCauchy| |wholeRadix| |permutation| |monicLeftDivide| |newTypeLists| |leadingIndex| |guessAlg| |extract!| |lazyPseudoDivide| |realElementary| |listOfLists| |car| |composite| |Vectorise| |createIrreduciblePoly| |mathieu24| |iisinh| |univariatePolynomials| |cdr| |evenInfiniteProduct| |subCase?| |leftNorm| |rightLcm| UTS2UP |multiple?| |transcendent?| |roman| |triangSolve| |rename| |normalDeriv| |cCsc| |swap!| |complexLimit| |constantLeft| |wreath| |sturmVariationsOf| |laurentIfCan| |nextNormalPrimitivePoly| |companionBlocks| |dimension| |coth2tanh| |cLog| |hasPredicate?| |say| |logGamma| |movedPoints| |lazyEvaluate| |binomThmExpt| |groebSolve| BY |setOrder| |debug| |monomRDEsys| |rootPower| |quoted?| |cycleTail| |semiIndiceSubResultantEuclidean| |biRank| |exprHasAlgebraicWeight| |evalIfCan| |baseRDEsys| |orthonormalBasis| |functionIsContinuousAtEndPoints| |error| |outputList| |createPrimitivePoly| |stiffnessAndStabilityOfODEIF| |simpleBounds?| |tRange| |changeWeightLevel| |prologue| |prepareSubResAlgo| |removeRoughlyRedundantFactorsInPol| |inRadical?| |radix| |prefixRagits| |factor1| |prefix| |mesh| |curveColorPalette| |subResultantGcd| |musserTrials| |plotPolar| |construct| |setlocalPoint!| |balancedFactorisation| |low| |zeroDim?| |curve?| |cot2trig| |yellow| |rootKerSimp| |changeNameToObjf| |OMputEndApp| |radicalSimplify| |idealSimplify| |associative?| |submod| |pointPlot| |overlap| |decimal| |entries| |domainOf| |mapCoef| |univariatePolynomial| |pureLex| |sturmSequence| |integralRepresents| |knownInfBasis| |xor| |inverseColeman| |matrixDimensions| |biringToPolyRing| |raisePolynomial| |elRow1!| |zeta| |basisOfNucleus| |isExpt| |space| |superHeight| |isMult| |expint| |imagj| |selectNonFiniteRoutines| |subPolSet?| |sup| |number?| |irreducibleRepresentation| |evaluateInverse| |notelem| |prem| |genusNeg| |product| |fullOutput| |coerce| |central?| |latex| |leftTraceMatrix| |lllip| |symmetricGroup| |isQuotient| |swap| |basisOfLeftAnnihilator| |dihedral| |replaceVarByOne| |shiftHP| |monicDecomposeIfCan| |floor| |izamax| |mapUnivariate| |degOneCoef| |iicos| |comment| |postfix| |regularRepresentation| |dmpToP| |ddot| |mainValue| |affineAlgSetLocal| |float| |maxDerivative| |OMconnInDevice| |genus| |clearFortranOutputStack| |createThreeSpace| |minimumDegree| |id| |OMencodingBinary| |symbolIfCan| |conjugates| |recip| |retractable?| |euclideanGroebner| |noncommutativeJordanAlgebra?| |integer| |nextColeman| |position| |collectUpper| |numberOfCycles| |primes| |ellipticCylindrical| |subs2ndVar| |itsALeaf!| |qShiftC| |maxint| |leader| |SturmHabicht| |fi2df| F2FG |and| |stronglyReduce| |FormatArabic| |generic?| |#| |deref| |rightRemainder| |string| |fixedPoint| |shuffle| |Nul| |bernoulliB| |ramifiedAtInfinity?| |HenselLift| |safeCeiling| |setCurve| |critBonD| |isTimes| |setVariableOrder| |extendIfCan| |intersect| |bezoutDiscriminant| |df2st| |multiplicity| |critM| |double?| |edf2fi| |dfRange| |cardinality| |midpoints| |definingEquations| |gcdcofact| |setsubmult!| |minPoints| |csc2sin| |numberOfPrimitivePoly| |fullPartialFraction| |parts| |second| |factorFraction| |leadingBasisTerm| |maxPoints| |DiffAction| |create3Space| |combineFeatureCompatibility| |linearBezier| |mapBivariate| |listOfTerms| |pile| |Ei3| |printCode| |weakBiRank| |complexNormalize| |convert| |rightMinimalPolynomial| |invmod| |xRange| |atanhIfCan| |curveV| |BasicMethod| |flatten| |expressIdealMember| |iiasec| |guessExpRat| |numberOfImproperPartitions| |iicoth| |symbolTableOf| |pushucoef| |split!| |getAncestors| |cyclic| |endSubProgram| |lifting1| |subspace| |associatorDependence| |sortConstraints| |power!| |deepestTail| |previousTower| |toseInvertibleSet| |genericRightTraceForm| |reduceBasisAtInfinity| |zag| |key| |tanQ| |tubePlot| |convertIfCan| |pointToPlace| |pushdterm| |negative?| |cycle| |extendedIntegrate| |linearAssociatedLog| |cCosh| |genusTreeNeg| |listConjugateBases| |countable?| |rightUnits| |hypergeometric0F1| |series| |quadraticBezier| |tablePow| |indicialEquationAtInfinity| |radPoly| |dihedralGroup| |bat| |rightExactQuotient| |iiacosh| |generalInterpolation| |dmpToHdmp| |tree| |cAsinh| |innerEigenvectors| |pr2dmp| |forLoop| |coerceP| |cRationalPower| |node?| |zCoord| |lfintegrate| |representationType| |trace2PowMod| |fresnelC| |nsqfree| |tower| |symbol| |zero?| |pole?| |sincos| |generalPosition| |library| |element?| |OMopenFile| |mix| |supDimElseRittWu?| |one| |plus!| |identityMatrix| |figureUnits| |coshIfCan| |zero| |primintegrate| |OMgetEndBind| |reducedForm| |factorset| ^ |setAttributeButtonStep| |factorByRecursion| |qfactor| |quasiMonic?| |morphism| |exp| |removeConjugate| |polygamma| |squareFree| |randomR| |pi| |isamax| |screenResolution3D| |unary?| |yRange| |sqrt| |roughBasicSet| |tan2trig| ** |permutationGroup| |cCoth| |printTypes| |unrankImproperPartitions0| |li| |segment| F2EXPRR |heap| |setRealSteps| |erf| |universe| |lflimitedint| |mergeDifference| |rowEchelonLocal| |subtractIfCan| |errorKind| |sinhIfCan| |saturate| |ranges| |dilog| |expextendedint| |quadratic| |aspFilename| |sin| |elementary| |incrementKthElement| |cos| |content| |uncorrelated?| |pdct| |tan| |removeRedundantFactorsInContents| |endOfFile?| |removeZeroes| |cot| |fullDisplay| |third| |updatF| |gcdPrimitive| |sec| |rquo| |roughSubIdeal?| |toseSquareFreePart| |cyclicCopy| |csc| |cap| |diagonal?| |selectOrPolynomials| |basisOfCenter| |asin| |setprevious!| |getDatabase| |isobaric?| |acos| |dzasum| |integral?| |monicDivide| |assert| |atan| |status| |getVariableOrder| |halfExtendedResultant2| |d| |unparse| |topFortranOutputStack| |acot| |rootSimp| |leftQuotient| |normal?| |parse| |asec| |normalizedAssociate| |semiLastSubResultantEuclidean| |usingTable?| |reducedDiscriminant| |acsc| |absolutelyIrreducible?| |maxRowIndex| |abelianGroup| |mainDefiningPolynomial| |linearMatrix| |sinh| |infieldIntegrate| |complexNumeric| |superscript| |qinterval| |factorOfDegree| |cosh| |parabolicCylindrical| |kernels| |asinIfCan| |objects| |tanintegrate| |tanh| |curveColor| |univariate| |allRootsOf| |chvar| |coth| |se2rfi| |factor| |recolor| |setValue!| |OMreadStr| |sech| |rischDEsys| |imag| |slope| |patternMatchTimes| |e| |makeUnit| |csch| |directProduct| |infLex?| |Ei1| |upperCase!| |possiblyNewVariety?| |entry| |asinh| |listAllMono| |destruct| |modifyPoint| |whatInfinity| |localIntegralBasis| |minPoly| |acosh| |apply| |monomial| |standardBasisOfCyclicSubmodule| |optpair| |shade| |symbolTable| |atanh| |subs1stVar| |multivariate| |duplicates| |iicsc| |acotIfCan| |pushFortranOutputStack| |acoth| |drawToScale| |brace| |chartCoord| |radicalEigenvectors| |filename| |asech| |numberOfPlacesOfDegree| |cons| |primPartElseUnitCanonical!| |leastMonomial| |DiffC| |popFortranOutputStack| |df2ef| |inv| |copy| |extendedint| |replaceVarByZero| |qelt| |outputAsFortran| |ground?| |delay| |jordanAlgebra?| |logpart| |separateFactors| |ground| |tail| |removeSinhSq| |odd?| |triangularSystems| |explicitEntries?| |leadingMonomial| |SturmHabichtMultiple| |OMputEndBVar| |sum| |row| |leadingCoefficient| |taylorIfCan| |extractSplittingLeaf| |ScanArabic| |linGenPos| |partialQuotients| |primitiveMonomials| |list| |primextintfrac| |invertIfCan| |drawComplexVectorField| |freeOf?| |reductum| |doubleComplex?| |colorDef| |iiacsc| |removeSinSq| |trapezoidalo| |cTanh| |FormatRoman| |weight| |partialNumerators| |symmetric?| |unexpand| |rowEchWoZeroLinesWOVectorise| |atanIfCan| |explimitedint| |definingField| |removeDuplicates| |outputFixed| |OMserve| |localParamOfSimplePt| |sin?| |cAsin| |collectQuasiMonic| |rest| |gramschmidt| |stFuncN| |vectorcombination| |binaryTournament| |qPot| |reverse| GF2FG |beauzamyBound| |vectoraddmul| |setDifference| |frst| |truncatedmultiplication| |mr| |closeComponent| |modulus| |basisOfCommutingElements| |extractBottom!| |setIntersection| |groebgen| |iprint| |truncatedmuladd| |outputMeasure| |maxColIndex| |fffg| |squareFreePrim| |tomodpa| |numberOfIrreduciblePoly| |minimalPolynomial| |setUnion| |scanOneDimSubspaces| |remainder!| |wordInStrongGenerators| |setelt!| |leftPower| |size| |mulbyscalar| |triangular?| |chebyshevU| |fill!| |substitute| |canonicalIfCan| |splitSquarefree| |randnum| |mulbybinomial| |dswap| |mul| |optional?| |solveLinearlyOverQ| |pow| |laplace| |antisymmetric?| |lambert| |frobenius| |extendedgcd| |innerSolve1| |OMputEndAttr| |OMUnknownSymbol?| |mindeg| |evalat| |binarySearchTree| |divideIfCan| |generateIrredPoly| |divide!| |unitVector| |classNumber| |overset?| |intensity| |copyslice| |Lazard2| |setnext!| |rightQuotient| |rdHack1| |copyfirst| |OMgetBVar| |ravel| |quatern| |box| |setFoundZeroes| |constantRight| |basisOfLeftNucloid| |checkForZero| |df2mf| |seriesSolve| |leftTrace| |addiag| |set| |doubleFloatFormat| |multiEuclidean| |computeCycleLength| |rename!| |rightNorm| |swapColumns!| |leftAlternative?| |repeating?| |e01sff| |iter| |createNormalElement| |lookup| |inverseIntegralMatrixAtInfinity| |symmetricSquare| |inBetweenExcpDiv| |numer| |foundZeroes| |removeZero| |specialTrigs| |additive?| |denom| |edf2ef| |createPrimitiveElement| |quickSort| |eval| |constantIfCan| |kernel| |kmax| |useEisensteinCriterion?| |cscIfCan| |draw| |atom?| |toseLastSubResultant| |digamma| |makeSketch| |numerators| |makeObject| |rowEchWoZeroLines| |shiftInfoRec| |concat| |jordanAdmissible?| |pointV| |coef| |totalGroebner| |principal?| |poisson| |divideIfCan!| |monom| |actualExtensionV| |leadingExponent| |quote| |LagrangeInterpolation| |semiSubResultantGcdEuclidean1| |diffHP| |dequeue| |changeMeasure| |strongGenerators| |redmat| |lyndonIfCan| |tensorMap| |polynomialZeros| |headRemainder| |gethi| |expr| |extractProperty| |bumptab1| |factorSquareFree| |Frobenius| |viewZoomDefault| |mapDown!| |besselI| |hasHi| |setlast!| |lllp| |trapezoidal| |extractPoint| |dscal| |polyPart| |localize| |setDegree!| |linearDependence| |innerint| |flexibleArray| |getButtonValue| |distribute| |lazyResidueClass| |iidprod| |palgextint| |op| |addPoint2| |solve| |setchart!| |MPtoMPT| |internalSubPolSet?| |modifyPointData| |getGraph| |rightRecip| |flagFactor| |graeffe| |OMputInteger| |maxrow| |rightTraceMatrix| |matrixConcat3D| |inHallBasis?| |cubic| |OMbindTCP| |changeThreshhold| |weights| |eisensteinIrreducible?| |printingInfo?| |scripted?| |setScreenResolution| |normDeriv2| |OMputEndObject| |rk4f| |ignore?| |insertRoot!| |iflist2Result| |shufflein| |reverse!| |purelyAlgebraicLeadingMonomial?| |ode| |nil| |infinite| |arbitraryExponent| |approximate| |complex| |shallowMutable| |canonical| |noetherian| |central| |partiallyOrderedSet| |arbitraryPrecision| |canonicalsClosed| |noZeroDivisors| |rightUnitary| |leftUnitary| |additiveValuation| |unitsKnown| |canonicalUnitNormal| |multiplicativeValuation| |finiteAggregate| |shallowlyMutable| |commutative|) 
\ No newline at end of file
diff --git a/src/share/algebra/dependents.daase/dependents.daase/index.kaf b/src/share/algebra/dependents.daase/dependents.daase/index.kaf
index 00a5c4a..426e4e3 100644
--- a/src/share/algebra/dependents.daase/dependents.daase/index.kaf
+++ b/src/share/algebra/dependents.daase/dependents.daase/index.kaf
@@ -1,4 +1,4 @@
-77192               (|AbelianGroup&| |FourierSeries| |FreeAbelianGroup| |IndexedDirectProductAbelianGroup| |QuadraticForm|)
+77354               (|AbelianGroup&| |FourierSeries| |FreeAbelianGroup| |IndexedDirectProductAbelianGroup| |QuadraticForm|)
 (|AbelianMonoid&| |CardinalNumber| |EuclideanModularRing| |GradedAlgebra| |GradedAlgebra&| |GradedModule| |GradedModule&| |IndexedDirectProductAbelianMonoid| |ListMonoidOps| |ModularField| |ModularRing| |RecurrenceOperator|)
 (|AbelianMonoidRing&| |FractionFreeFastGaussian|)
 (|AbelianSemiGroup&| |Color| |IncrementingMaps| |PositiveInteger|)
@@ -61,17 +61,17 @@
 (|AlgebraicManipulations| |AlgebraicNumber| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |FortranExpression| |InnerAlgebraicNumber|)
 (|ExtensibleLinearAggregate&| |FlexibleArray| |IndexedFlexibleArray|)
 (|ExtensionField&| |PseudoAlgebraicClosureOfFiniteField|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffineSpace| |AffineSpaceCategory| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicManipulations| |BlowUpPackage| |BoundIntegerRoots| |CliffordAlgebra| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |DenavitHartenbergMatrix| |DesingTreePackage| |DoubleResultantPackage| |EllipticFunctionsUnivariateTaylorSeries| |ExponentialOfUnivariatePuiseuxSeries| |ExtensionField| |ExtensionField&| |Field&| |FindOrderFinite| |FiniteAlgebraicExtensionField| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory| |FiniteDivisorCategory&| |FiniteDivisorFunctions2| |FloatingComplexPackage| |FloatingRealPackage| |FullPartialFractionExpansion| |FunctionSpaceToUnivariatePowerSeries| |GaloisGroupFactorizationUtilities| |GeneralPackageForAlgebraicFunctionField| |GosperSummationMethod| |Guess| |HyperellipticFiniteDivisor| |InfClsPt| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfinitlyClosePoint| |InfinitlyClosePointCategory| |InnerAlgFactor| |InnerMatrixLinearAlgebraFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |IntegrationResult| |IntegrationResultFunctions2| |InterfaceGroebnerPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinesOpPack| |LocalParametrizationOfSimplePointPackage| |LocalPowerSeriesCategory| |MachineFloat| |ModularField| |MoebiusTransform| |MonomialExtensionTools| |NeitherSparseOrDensePowerSeries| |NonCommutativeOperatorDivision| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODETools| |PackageForAlgebraicFunctionField| |PadeApproximantPackage| |PadeApproximants| |ParametrizationPackage| |PartialFraction| |Pi| |Places| |PlacesCategory| |Plcs| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRoots| |PolynomialSolveByFormulas| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectiveSpace| |ProjectiveSpaceCategory| |PseudoLinearNormalForm| |PureAlgebraicLODE| |QuadraticForm| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory| |RealRootCharacterizationCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |ResidueRing| |RightOpenIntervalRootCharacterization| |RootsFindingPackage| |SAERationalFunctionAlgFactor| |SimpleAlgebraicExtensionAlgFactor| |StructuralConstantsPackage| |SystemODESolver| |TangentExpansions| |TaylorSolve| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalRischDE| |TranscendentalRischDESystem| |VectorSpace| |VectorSpace&| |WeierstrassPreparation|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffineSpace| |AffineSpaceCategory| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicManipulations| |BlowUpPackage| |BoundIntegerRoots| |CliffordAlgebra| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |DenavitHartenbergMatrix| |DesingTreePackage| |DoubleResultantPackage| |EllipticFunctionsUnivariateTaylorSeries| |ExponentialOfUnivariatePuiseuxSeries| |ExtensionField| |ExtensionField&| |Field&| |FindOrderFinite| |FiniteAlgebraicExtensionField| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory| |FiniteDivisorCategory&| |FiniteDivisorFunctions2| |FloatingComplexPackage| |FloatingRealPackage| |FullPartialFractionExpansion| |FunctionSpaceToUnivariatePowerSeries| |GaloisGroupFactorizationUtilities| |GeneralPackageForAlgebraicFunctionField| |GosperSummationMethod| |Guess| |HyperellipticFiniteDivisor| |InfClsPt| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfinitlyClosePoint| |InfinitlyClosePointCategory| |InnerAlgFactor| |InnerMatrixLinearAlgebraFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |IntegrationResult| |IntegrationResultFunctions2| |InterfaceGroebnerPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinesOpPack| |LocalParametrizationOfSimplePointPackage| |LocalPowerSeriesCategory| |MachineFloat| |MatrixManipulation| |ModularField| |MoebiusTransform| |MonomialExtensionTools| |NeitherSparseOrDensePowerSeries| |NonCommutativeOperatorDivision| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODETools| |PackageForAlgebraicFunctionField| |PadeApproximantPackage| |PadeApproximants| |ParametrizationPackage| |PartialFraction| |Pi| |Places| |PlacesCategory| |Plcs| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRoots| |PolynomialSolveByFormulas| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectiveSpace| |ProjectiveSpaceCategory| |PseudoLinearNormalForm| |PureAlgebraicLODE| |QuadraticForm| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory| |RealRootCharacterizationCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |ResidueRing| |RightOpenIntervalRootCharacterization| |RootsFindingPackage| |SAERationalFunctionAlgFactor| |SimpleAlgebraicExtensionAlgFactor| |StructuralConstantsPackage| |SystemODESolver| |TangentExpansions| |TaylorSolve| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalRischDE| |TranscendentalRischDESystem| |VectorSpace| |VectorSpace&| |WeierstrassPreparation|)
 (|FieldOfPrimeCharacteristic&| |FiniteFieldPolynomialPackage2|)
 (|BinaryFile| |File| |FortranTemplate| |KeyedAccessFile| |TextFile|)
 (|BinaryFile| |File| |FortranTemplate| |KeyedAccessFile| |TextFile|)
 (|FileName|)
-(|Boolean| |DiscreteLogarithmPackage| |FindOrderFinite| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |IntegerMod| |ReducedDivisor| |SetOfMIntegersInOneToN|)
+(|Boolean| |DiscreteLogarithmPackage| |FindOrderFinite| |Finite&| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |IntegerMod| |ReducedDivisor| |SetOfMIntegersInOneToN|)
 (|BlowUpPackage| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FractionFreeFastGaussianFractions| |NewtonPolygon| |PackageForPoly| |PolynomialPackageForCurve| |PolynomialRing| |SymmetricPolynomial| |UnivariatePuiseuxSeriesWithExponentialSingularity|)
 (|FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |InnerFiniteField| |InnerPrimeField| |NormRetractPackage| |PrimeField|)
 (|FiniteDivisor| |FiniteDivisorCategory&| |HyperellipticFiniteDivisor|)
-(|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |ChineseRemainderToolsForIntegralBases| |DistinctDegreeFactorize| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |GuessFinite| |GuessFiniteFunctions| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |IrredPolyOverFiniteField| |MultFiniteFactorize| |NormRetractPackage| |NottinghamGroup| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionFieldOverFiniteField| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PrimeField| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfFiniteField| |TwoFactorize| |WildFunctionFieldIntegralBasis|)
-(|BezoutMatrix| |CommonDenominator| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |InnerCommonDenominator| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |LinearSystemMatrixPackage| |MatrixCategory| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MultiVariableCalculusFunctions| |SmithNormalForm| |TriangularMatrixOperations| |TwoDimensionalArrayCategory| |TwoDimensionalArrayCategory&|)
+(|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |ChineseRemainderToolsForIntegralBases| |DistinctDegreeFactorize| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |GuessFinite| |GuessFiniteFunctions| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |IrredPolyOverFiniteField| |MultFiniteFactorize| |NormRetractPackage| |NottinghamGroup| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionFieldOverFiniteField| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PrimeField| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfFiniteField| |TwoFactorize| |WildFunctionFieldIntegralBasis|)
+(|BezoutMatrix| |CommonDenominator| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |InnerCommonDenominator| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |LinearSystemMatrixPackage| |MatrixCategory| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MultiVariableCalculusFunctions| |SmithNormalForm| |TriangularMatrixOperations| |TwoDimensionalArrayCategory| |TwoDimensionalArrayCategory&|)
 (|FiniteRankAlgebra&|)
 (|FiniteRankNonAssociativeAlgebra&|)
 (|CharacterClass| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |Set|)
@@ -112,7 +112,7 @@
 (|InnerEvalable&|)
 (|InnerFiniteField|)
 (|Boolean| |DoubleFloat| |ExpressionSolve| |ExpressionSpaceODESolver| |Float| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |OrderedVariableList| |Pi| |PlotFunctions1| |RecurrenceOperator| |Symbol| |TopLevelDrawFunctions|)
-(|AlgebraicIntegrate| |AlgebraicNumber| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |BrillhartTests| |CartesianTensor| |CartesianTensorFunctions2| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |DecimalExpansion| |DefiniteIntegrationTools| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExponentialExpansion| |ExpressionToUnivariatePowerSeries| |FourierSeries| |FreeAbelianGroup| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessFinite| |GuessFiniteFunctions| |HeuGcd| |HexadecimalExpansion| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InputForm| |IntegerLinearDependence| |IntegerMod| |IntegerRetractions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LieExponentials| |LinearOrdinaryDifferentialOperatorFactorizer| |MachineFloat| |ModularDistinctDegreeFactorizer| |MyExpression| |NeitherSparseOrDensePowerSeries| |NonLinearFirstOrderODESolver| |NumberFieldIntegralBasis| |ODEIntegration| |OrderedVariableList| |PAdicInteger| |PAdicIntegerCategory| |PAdicRational| |PAdicRationalConstructor| |Partition| |PatternMatchIntegration| |Pi| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |RadixExpansion| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionSum| |RationalIntegration| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |SAERationalFunctionAlgFactor| |SExpression| |SimpleAlgebraicExtensionAlgFactor| |SortPackage| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |Symbol| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TranscendentalRischDE| |TranscendentalRischDESystem| |TrigonometricManipulations| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnivariateFactorize| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeriesODESolver| |XExponentialPackage|)
+(|AlgebraicIntegrate| |AlgebraicNumber| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |BrillhartTests| |CartesianTensor| |CartesianTensorFunctions2| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |DecimalExpansion| |DefiniteIntegrationTools| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExponentialExpansion| |ExpressionToUnivariatePowerSeries| |FourierSeries| |FreeAbelianGroup| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessFinite| |GuessFiniteFunctions| |HeuGcd| |HexadecimalExpansion| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InputForm| |IntegerLinearDependence| |IntegerMod| |IntegerRetractions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LieExponentials| |LinearOrdinaryDifferentialOperatorFactorizer| |MachineFloat| |ModularDistinctDegreeFactorizer| |MyExpression| |NeitherSparseOrDensePowerSeries| |NonLinearFirstOrderODESolver| |NumberFieldIntegralBasis| |ODEIntegration| |OrderedVariableList| |PAdicInteger| |PAdicIntegerCategory| |PAdicRational| |PAdicRationalConstructor| |Partition| |PatternMatchIntegration| |Pi| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |RadixExpansion| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionSum| |RationalIntegration| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |SAERationalFunctionAlgFactor| |SExpression| |SimpleAlgebraicExtensionAlgFactor| |SortPackage| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |Symbol| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TranscendentalRischDE| |TranscendentalRischDESystem| |TrigonometricManipulations| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UnivariateFactorize| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeriesODESolver| |XExponentialPackage|)
 (|ComplexIntegerSolveLinearPolynomialEquation| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerNumberSystem&| |IntegerPrimesPackage| |IntegerRoots| |MachineInteger| |PatternMatchIntegerNumberSystem| |RomanNumeral| |SingleInteger|)
 (|AlgebraPackage| |AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicallyClosedFunctionSpace| |AlgebraicallyClosedFunctionSpace&| |AssociatedEquations| |CombinatorialFunction| |CommonDenominator| |ComplexTrigonometricManipulations| |DegreeReductionPackage| |DrawNumericHack| |ElementaryFunction| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ExpressionSolve| |ExpressionSpaceODESolver| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GenerateUnivariatePowerSeries| |GosperSummationMethod| |Guess| |InfiniteProductCharacteristicZero| |InnerCommonDenominator| |InnerMatrixQuotientFieldFunctions| |InnerPolySum| |InnerTrigonometricManipulations| |IntegralDomain&| |LaurentPolynomial| |LinearDependence| |LinearSystemPolynomialPackage| |LiouvillianFunction| |MPolyCatRationalFunctionFactorizer| |MatrixCommonDenominator| |MultipleMap| |MyExpression| |NewtonInterpolation| |NonLinearSolvePackage| |PatternMatchFunctionSpace| |PatternMatchQuotientFieldCategory| |PiCoercions| |PointsOfFiniteOrder| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PrecomputedAssociatedEquations| |PseudoRemainderSequence| |QuotientFieldCategory| |QuotientFieldCategory&| |QuotientFieldCategoryFunctions2| |RationalFunction| |RationalFunctionIntegration| |RationalFunctionSum| |RecurrenceOperator| |RetractSolvePackage| |StochasticDifferential| |StreamInfiniteProduct| |SubResultantPackage| |SystemSolvePackage| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackageService| |TriangularMatrixOperations| |TriangularSetCategory| |TriangularSetCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesWithExponentialSingularity| |WuWenTsunTriangularSet|)
 (|Interval|)
@@ -132,7 +132,7 @@
 (|LiePolynomial| |PoincareBirkhoffWittLyndonBasis|)
 (|MachineComplex|)
 (|AlgebraGivenByStructuralConstants| |GenericNonAssociativeAlgebra| |LieSquareMatrix| |RectangularMatrix| |SquareMatrix|)
-(|BezoutMatrix| |ComplexDoubleFloatMatrix| |DenavitHartenbergMatrix| |DoubleFloatMatrix| |IndexedMatrix| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |LinearSystemMatrixPackage| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |SmithNormalForm| |TriangularMatrixOperations| |U16Matrix| |U32Matrix|)
+(|BezoutMatrix| |ComplexDoubleFloatMatrix| |DenavitHartenbergMatrix| |DoubleFloatMatrix| |IndexedMatrix| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |LinearSystemMatrixPackage| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |SmithNormalForm| |TriangularMatrixOperations| |U16Matrix| |U32Matrix| |U8Matrix|)
 (|FreeAbelianGroup| |GeneralModulePolynomial| |IntegrationResult| |LieExponentials| |Localize| |Module&| |StochasticDifferential| |XExponentialPackage|)
 (|Monad&|)
 (|MonadWithUnit&|)
@@ -256,12 +256,13 @@
 (|AnyFunctions1| |AttachPredicates| |BagAggregate| |BagAggregate&| |BinaryRecursiveAggregate| |BinaryRecursiveAggregate&| |CoercibleTo| |Collection| |Collection&| |ConvertibleTo| |CyclicStreamTools| |DequeueAggregate| |DirectProduct| |DirectProductCategory| |DirectProductCategory&| |DirectProductFunctions2| |DoublyLinkedAggregate| |DrawOptionFunctions1| |Eltable| |EltableAggregate| |EltableAggregate&| |Equation| |EquationFunctions2| |ExpressionSpaceFunctions1| |ExtensibleLinearAggregate| |ExtensibleLinearAggregate&| |FiniteLinearAggregate| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FlexibleArray| |FullyPatternMatchable| |FullyRetractableTo| |FullyRetractableTo&| |FunctionSpaceAttachPredicates| |HomogeneousAggregate| |HomogeneousAggregate&| |IndexedAggregate| |IndexedAggregate&| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerEvalable| |InnerEvalable&| |InnerIndexedTwoDimensionalArray| |InputFormFunctions1| |LazyStreamAggregate| |LazyStreamAggregate&| |LinearAggregate| |LinearAggregate&| |List| |ListAggregate| |ListAggregate&| |ListFunctions2| |ListFunctions3| |ListToMap| |MakeBinaryCompiledFunction| |MakeRecord| |MakeUnaryCompiledFunction| |ModularAlgebraicGcdOperations| |NoneFunctions1| |OneDimensionalArray| |OneDimensionalArrayAggregate| |OneDimensionalArrayAggregate&| |OneDimensionalArrayFunctions2| |ParadoxicalCombinatorsForStreams| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |PatternFunctions1| |Patternable| |PrimitiveArray| |PrimitiveArrayFunctions2| |QueueAggregate| |RecursiveAggregate| |RecursiveAggregate&| |Reference| |ResolveLatticeCompletion| |RetractableTo| |RetractableTo&| |Segment| |SegmentBinding| |SegmentBindingFunctions2| |SegmentCategory| |SegmentFunctions2| |SortPackage| |StackAggregate| |Stream| |StreamAggregate| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTensor| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory| |TwoDimensionalArrayCategory&| |UnaryRecursiveAggregate| |UnaryRecursiveAggregate&| |UniversalSegment| |UniversalSegmentFunctions2| |Vector| |VectorCategory| |VectorCategory&| |VectorFunctions2|)
 (|U16Matrix|)
 (|U32Matrix|)
+(|U8Matrix|)
 (|UnaryRecursiveAggregate&|)
 (|ChangeOfVariable| |FunctionFieldCategory| |FunctionFieldCategory&| |FunctionFieldCategoryFunctions2| |RadicalFunctionField| |UniqueFactorizationDomain&|)
 (|UnivariatePuiseuxSeries|)
 (|ElementaryFunctionsUnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructorCategory&|)
 (|ElementaryFunctionsUnivariateLaurentSeries| |SparseUnivariateLaurentSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&|)
-(|AlgFactor| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |BalancedFactorisation| |BezoutMatrix| |BoundIntegerRoots| |BrillhartTests| |ChangeOfVariable| |CharacteristicPolynomialInMonogenicalAlgebra| |ChineseRemainderToolsForIntegralBases| |CommuteUnivariatePolynomialCategory| |ComplexFactorization| |ComplexRootFindingPackage| |ComplexRootPackage| |DistinctDegreeFactorize| |DoubleResultantPackage| |EuclideanModularRing| |FindOrderFinite| |FiniteDivisor| |FiniteDivisorCategory| |FiniteDivisorCategory&| |FiniteDivisorFunctions2| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteRankAlgebra| |FiniteRankAlgebra&| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra| |FramedAlgebra&| |FramedModule| |FullPartialFractionExpansion| |FunctionFieldCategory| |FunctionFieldCategory&| |FunctionFieldCategoryFunctions2| |FunctionFieldIntegralBasis| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GenExEuclid| |GeneralHenselPackage| |HeuGcd| |HyperellipticFiniteDivisor| |InfiniteProductFiniteField| |InnerAlgFactor| |InnerModularGcd| |InnerPolySign| |IntegralBasisPolynomialTools| |IntegralBasisTools| |Kovacic| |LaurentPolynomial| |LinearOrdinaryDifferentialOperatorFactorizer| |ModMonic| |ModularDistinctDegreeFactorizer| |MonogenicAlgebra| |MonogenicAlgebra&| |MonomialExtensionTools| |MultipleMap| |MyUnivariatePolynomial| |NPCoef| |NewSparseUnivariatePolynomial| |NormInMonogenicAlgebra| |NormRetractPackage| |NumberFieldIntegralBasis| |PAdicWildFunctionFieldIntegralBasis| |PadeApproximants| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursionUnivariate| |PolynomialInterpolationAlgorithms| |PolynomialSolveByFormulas| |PrimitiveRatDE| |PrimitiveRatRicDE| |PseudoRemainderSequence| |PureAlgebraicLODE| |RadicalFunctionField| |RationalFactorize| |RationalFunctionFactor| |RationalIntegration| |RationalLODE| |RationalRicDE| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory| |RealRootCharacterizationCategory&| |RealZeroPackage| |RealZeroPackageQ| |ReduceLODE| |ReducedDivisor| |RightOpenIntervalRootCharacterization| |SAERationalFunctionAlgFactor| |SimpleAlgebraicExtension| |SimpleAlgebraicExtensionAlgFactor| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SubResultantPackage| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalRischDE| |TranscendentalRischDESystem| |UTSodetools| |UnivariateFactorize| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |WildFunctionFieldIntegralBasis|)
+(|AlgFactor| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |BalancedFactorisation| |BezoutMatrix| |BoundIntegerRoots| |BrillhartTests| |ChangeOfVariable| |CharacteristicPolynomialInMonogenicalAlgebra| |ChineseRemainderToolsForIntegralBases| |CommuteUnivariatePolynomialCategory| |ComplexFactorization| |ComplexRootFindingPackage| |ComplexRootPackage| |DistinctDegreeFactorize| |DoubleResultantPackage| |EuclideanModularRing| |FindOrderFinite| |FiniteDivisor| |FiniteDivisorCategory| |FiniteDivisorCategory&| |FiniteDivisorFunctions2| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteRankAlgebra| |FiniteRankAlgebra&| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra| |FramedAlgebra&| |FramedModule| |FullPartialFractionExpansion| |FunctionFieldCategory| |FunctionFieldCategory&| |FunctionFieldCategoryFunctions2| |FunctionFieldIntegralBasis| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GenExEuclid| |GeneralHenselPackage| |HeuGcd| |HyperellipticFiniteDivisor| |InfiniteProductFiniteField| |InnerAlgFactor| |InnerModularGcd| |InnerPolySign| |IntegralBasisPolynomialTools| |IntegralBasisTools| |Kovacic| |LaurentPolynomial| |LinearOrdinaryDifferentialOperatorFactorizer| |ModMonic| |ModularDistinctDegreeFactorizer| |MonogenicAlgebra| |MonogenicAlgebra&| |MonomialExtensionTools| |MultipleMap| |MyUnivariatePolynomial| |NPCoef| |NewSparseUnivariatePolynomial| |NormInMonogenicAlgebra| |NormRetractPackage| |NumberFieldIntegralBasis| |PAdicWildFunctionFieldIntegralBasis| |PadeApproximants| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursionUnivariate| |PolynomialInterpolationAlgorithms| |PolynomialSolveByFormulas| |PrimitiveRatDE| |PrimitiveRatRicDE| |PseudoRemainderSequence| |PureAlgebraicLODE| |RadicalFunctionField| |RationalFactorize| |RationalFunctionFactor| |RationalIntegration| |RationalLODE| |RationalRicDE| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory| |RealRootCharacterizationCategory&| |RealZeroPackage| |RealZeroPackageQ| |ReduceLODE| |ReducedDivisor| |RightOpenIntervalRootCharacterization| |SAERationalFunctionAlgFactor| |SimpleAlgebraicExtension| |SimpleAlgebraicExtensionAlgFactor| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SubResultantPackage| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalRischDE| |TranscendentalRischDESystem| |UTSodetools| |UnivariateFactorize| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |WildFunctionFieldIntegralBasis|)
 (|FunctionSpaceToUnivariatePowerSeries| |InnerSparseUnivariatePowerSeries| |UnivariatePowerSeriesCategory&|)
 (|ExponentialExpansion| |UnivariatePuiseuxSeriesWithExponentialSingularity|)
 (|ExponentialOfUnivariatePuiseuxSeries| |GeneralUnivariatePowerSeries|)
@@ -275,4 +276,4 @@
 (|CliffordAlgebra| |VectorSpace&|)
 (|XPolynomialRing|)
 (|XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
-(("XPolynomialsCat" 0 77089) ("XAlgebra" 0 77069) ("VectorSpace" 0 77034) ("VectorCategory" 0 76942) ("Vector" 0 76754) ("UnivariateTaylorSeriesCategory" 0 76160) ("UnivariateTaylorSeries" 0 76106) ("UnivariateSkewPolynomialCategory" 0 75938) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 75913) ("UnivariatePuiseuxSeriesConstructorCategory" 0 75725) ("UnivariatePuiseuxSeriesCategory" 0 75653) ("UnivariatePuiseuxSeries" 0 75576) ("UnivariatePowerSeriesCategory" 0 75467) ("UnivariatePolynomialCategory" 0 72434) ("UnivariateLaurentSeriesConstructorCategory" 0 72246) ("UnivariateLaurentSeriesCategory" 0 72071) ("UnivariateLaurentSeries" 0 72043) ("UniqueFactorizationDomain" 0 71887) ("UnaryRecursiveAggregate" 0 71858) ("U32Vector" 0 71844) ("U16Vector" 0 71830) ("Type" 0 69420) ("TwoDimensionalArrayCategory" 0 69302) ("TrigonometricFunctionCategory" 0 69267) ("TriangularSetCategory" 0 69192) ("TranscendentalFunctionCategory" 0 68038) ("ThreeSpaceCategory" 0 68023) ("TableAggregate" 0 67858) ("SymbolTable" 0 67839) ("Symbol" 0 65414) ("StringCategory" 0 65403) ("StringAggregate" 0 65366) ("String" 0 65220) ("StreamAggregate" 0 65172) ("StepThrough" 0 65157) ("StackAggregate" 0 65134) ("SquareMatrixCategory" 0 65047) ("SquareMatrix" 0 64978) ("SquareFreeRegularTriangularSetCategory" 0 64824) ("SplittingNode" 0 64806) ("SpecialFunctionCategory" 0 64764) ("SparseUnivariateTaylorSeries" 0 64698) ("SparseUnivariatePolynomialExpressions" 0 64664) ("SparseUnivariatePolynomial" 0 64498) ("SparseUnivariateLaurentSeries" 0 64464) ("SparseMultivariatePolynomial" 0 64318) ("SingleInteger" 0 64257) ("SetCategoryWithDegree" 0 64245) ("SetCategory" 0 61146) ("SetAggregate" 0 61128) ("SequentialDifferentialVariable" 0 61091) ("SemiGroup" 0 61076) ("SegmentCategory" 0 61045) ("SExpressionCategory" 0 61001) ("SExpression" 0 60987) ("Rng" 0 60933) ("Ring" 0 56446) ("RetractableTo" 0 54143) ("RegularTriangularSetCategory" 0 53855) ("RecursivePolynomialCategory" 0 53040) ("RecursiveAggregate" 0 52993) ("RectangularMatrixCategory" 0 52904) ("RealRootCharacterizationCategory" 0 52826) ("RealNumberSystem" 0 52804) ("RealConstant" 0 52712) ("RealClosedField" 0 52677) ("RadicalCategory" 0 52559) ("QuotientFieldCategory" 0 52076) ("QueueAggregate" 0 52066) ("QuaternionCategory" 0 51998) ("Quaternion" 0 51985) ("QuadraticForm" 0 51965) ("PseudoAlgebraicClosureOfRationalNumberCategory" 0 51864) ("PseudoAlgebraicClosureOfRationalNumber" 0 51813) ("PseudoAlgebraicClosureOfFiniteFieldCategory" 0 51773) ("PseudoAlgebraicClosureOfFiniteField" 0 51552) ("PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory" 0 51435) ("ProjectiveSpaceCategory" 0 50957) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 50894) ("ProjectivePlane" 0 50881) ("PriorityQueueAggregate" 0 50872) ("PrimitiveFunctionCategory" 0 50634) ("PrimitiveArray" 0 50624) ("PrimeField" 0 50558) ("PowerSeriesCategory" 0 50533) ("PositiveInteger" 0 50063) ("PolynomialSetCategory" 0 50013) ("PolynomialFactorizationExplicit" 0 49824) ("PolynomialCategory" 0 48267) ("Polynomial" 0 48100) ("PointCategory" 0 48090) ("PoincareBirkhoffWittLyndonBasis" 0 48071) ("PlottableSpaceCurveCategory" 0 48031) ("PlottablePlaneCurveCategory" 0 47996) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 47933) ("PlacesCategory" 0 47630) ("Places" 0 47617) ("PermutationCategory" 0 47601) ("Patternable" 0 47590) ("PatternMatchable" 0 47336) ("Pattern" 0 47096) ("Partition" 0 47072) ("PartialTranscendentalFunctions" 0 46941) ("PartialDifferentialRing" 0 46788) ("PartialDifferentialEquationsSolverCategory" 0 46752) ("PAdicIntegerCategory" 0 46665) ("PAdicInteger" 0 46647) ("OutputForm" 0 46507) ("OrdinaryDifferentialEquationsSolverCategory" 0 46437) ("OrderlyDifferentialVariable" 0 46403) ("OrderedVariableList" 0 45854) ("OrderedSet" 0 40687) ("OrderedRing" 0 40211) ("OrderedMonoid" 0 40171) ("OrderedIntegralDomain" 0 40147) ("OrderedFreeMonoid" 0 40120) ("OrderedFinite" 0 40084) ("OrderedCancellationAbelianMonoid" 0 40070) ("OrderedAbelianMonoidSup" 0 38057) ("OrderedAbelianMonoid" 0 37696) ("OpenMath" 0 37614) ("OneDimensionalArrayAggregate" 0 37438) ("OneDimensionalArray" 0 37414) ("OctonionCategory" 0 37352) ("NumericalOptimizationCategory" 0 37231) ("NumericalIntegrationCategory" 0 37032) ("NonNegativeInteger" 0 35624) ("NonAssociativeRng" 0 35601) ("NonAssociativeRing" 0 35577) ("NonAssociativeAlgebra" 0 35482) ("NewSparseMultivariatePolynomial" 0 35465) ("NeitherSparseOrDensePowerSeries" 0 35334) ("MyUnivariatePolynomial" 0 35317) ("MultivariateTaylorSeriesCategory" 0 35267) ("MultisetAggregate" 0 35254) ("MultiDictionary" 0 35230) ("Monoid" 0 35026) ("MonogenicLinearOperator" 0 34957) ("MonogenicAlgebra" 0 34672) ("MonadWithUnit" 0 34653) ("Monad" 0 34642) ("Module" 0 34489) ("MatrixCategory" 0 34127) ("Matrix" 0 34005) ("MachineFloat" 0 33986) ("LyndonWord" 0 33934) ("Logic" 0 33897) ("LocalPowerSeriesCategory" 0 33563) ("ListAggregate" 0 33459) ("List" 0 32205) ("LinearlyExplicitRingOver" 0 31198) ("LinearOrdinaryDifferentialOperatorCategory" 0 30783) ("LinearAggregate" 0 30762) ("LieAlgebra" 0 30746) ("LeftModule" 0 30540) ("LeftAlgebra" 0 30496) ("LazyStreamAggregate" 0 30408) ("KeyedDictionary" 0 30387) ("Kernel" 0 30336) ("IntervalCategory" 0 30323) ("IntegralDomain" 0 28160) ("IntegerNumberSystem" 0 27898) ("Integer" 0 24807) ("InputForm" 0 24530) ("InnerPrimeField" 0 24509) ("InnerEvalable" 0 24490) ("InfinitlyClosePointCategory" 0 24303) ("IndexedVector" 0 24285) ("IndexedOneDimensionalArray" 0 24254) ("IndexedExponents" 0 23991) ("IndexedDirectProductCategory" 0 23768) ("IndexedAggregate" 0 23732) ("HyperbolicFunctionCategory" 0 23700) ("HomogeneousDirectProduct" 0 23651) ("HomogeneousAggregate" 0 23600) ("Group" 0 23489) ("GradedModule" 0 23453) ("GradedAlgebra" 0 23416) ("GcdDomain" 0 21930) ("FunctionSpace" 0 20697) ("FunctionFieldCategory" 0 20285) ("FullyRetractableTo" 0 20164) ("FullyLinearlyExplicitRingOver" 0 20129) ("FullyEvalableOver" 0 20095) ("FreeModuleCat" 0 20003) ("FreeLieAlgebra" 0 19985) ("FreeAbelianMonoidCategory" 0 19919) ("FramedNonAssociativeAlgebra" 0 19744) ("FramedAlgebra" 0 19554) ("Fraction" 0 18175) ("FortranVectorFunctionCategory" 0 18079) ("FortranVectorCategory" 0 18070) ("FortranScalarType" 0 18051) ("FortranProgramCategory" 0 17985) ("FortranMatrixFunctionCategory" 0 17951) ("FortranMatrixCategory" 0 17917) ("FortranMachineTypeCategory" 0 17846) ("FortranFunctionCategory" 0 17807) ("FloatingPointSystem" 0 17652) ("Float" 0 17530) ("FiniteSetAggregate" 0 17452) ("FiniteRankNonAssociativeAlgebra" 0 17415) ("FiniteRankAlgebra" 0 17392) ("FiniteLinearAggregate" 0 16875) ("FiniteFieldCategory" 0 15739) ("FiniteDivisorCategory" 0 15667) ("FiniteAlgebraicExtensionField" 0 15252) ("FiniteAbelianMonoidRing" 0 14983) ("Finite" 0 14814) ("FileNameCategory" 0 14801) ("FileName" 0 14732) ("FileCategory" 0 14663) ("FieldOfPrimeCharacteristic" 0 14599) ("Field" 0 11510) ("ExtensionField" 0 11452) ("ExtensibleLinearAggregate" 0 11382) ("ExpressionSpace" 0 11219) ("Expression" 0 11176) ("ExponentialOfUnivariatePuiseuxSeries" 0 11122) ("Evalable" 0 11108) ("EuclideanDomain" 0 9950) ("Equation" 0 9934) ("EltableAggregate" 0 9912) ("Eltable" 0 9789) ("ElementaryFunctionCategory" 0 9721) ("DoubleFloatVector" 0 9699) ("DoubleFloat" 0 9531) ("DivisorCategory" 0 9350) ("Divisor" 0 9276) ("DivisionRing" 0 9258) ("DistributedMultivariatePolynomial" 0 9184) ("DirectProductCategory" 0 8366) ("DirectProduct" 0 8175) ("DifferentialVariableCategory" 0 7968) ("DifferentialRing" 0 7780) ("DifferentialPolynomialCategory" 0 7634) ("DifferentialExtension" 0 7576) ("DictionaryOperations" 0 7550) ("Dictionary" 0 7534) ("DesingTreeCategory" 0 7428) ("DequeueAggregate" 0 7416) ("ConvertibleTo" 0 6595) ("ComplexDoubleFloatVector" 0 6566) ("ComplexCategory" 0 6433) ("Complex" 0 6194) ("CommutativeRing" 0 4843) ("CombinatorialOpsCategory" 0 4778) ("Collection" 0 4762) ("CoercibleTo" 0 4430) ("CharacteristicZero" 0 3086) ("Character" 0 3067) ("CancellationAbelianMonoid" 0 3012) ("CachableSet" 0 2969) ("Boolean" 0 2881) ("BlowUpMethodCategory" 0 2512) ("BitAggregate" 0 2473) ("BinaryTreeCategory" 0 2377) ("BinaryRecursiveAggregate" 0 2333) ("BiModule" 0 2291) ("BasicType" 0 2276) ("BasicOperator" 0 2246) ("BalancedPAdicInteger" 0 2220) ("BagAggregate" 0 2202) ("Automorphism" 0 2140) ("AssociationListAggregate" 0 2120) ("ArcTrigonometricFunctionCategory" 0 2082) ("Any" 0 2045) ("AlgebraicallyClosedFunctionSpace" 0 1680) ("AlgebraicallyClosedField" 0 1017) ("AlgebraicNumber" 0 983) ("Algebra" 0 596) ("Aggregate" 0 549) ("AffineSpaceCategory" 0 466) ("AbelianSemiGroup" 0 399) ("AbelianMonoidRing" 0 349) ("AbelianMonoid" 0 124) ("AbelianGroup" 0 20))
\ No newline at end of file
+(("XPolynomialsCat" 0 77251) ("XAlgebra" 0 77231) ("VectorSpace" 0 77196) ("VectorCategory" 0 77104) ("Vector" 0 76916) ("UnivariateTaylorSeriesCategory" 0 76322) ("UnivariateTaylorSeries" 0 76268) ("UnivariateSkewPolynomialCategory" 0 76100) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 76075) ("UnivariatePuiseuxSeriesConstructorCategory" 0 75887) ("UnivariatePuiseuxSeriesCategory" 0 75815) ("UnivariatePuiseuxSeries" 0 75738) ("UnivariatePowerSeriesCategory" 0 75629) ("UnivariatePolynomialCategory" 0 72569) ("UnivariateLaurentSeriesConstructorCategory" 0 72381) ("UnivariateLaurentSeriesCategory" 0 72206) ("UnivariateLaurentSeries" 0 72178) ("UniqueFactorizationDomain" 0 72022) ("UnaryRecursiveAggregate" 0 71993) ("U8Vector" 0 71980) ("U32Vector" 0 71966) ("U16Vector" 0 71952) ("Type" 0 69542) ("TwoDimensionalArrayCategory" 0 69424) ("TrigonometricFunctionCategory" 0 69389) ("TriangularSetCategory" 0 69314) ("TranscendentalFunctionCategory" 0 68160) ("ThreeSpaceCategory" 0 68145) ("TableAggregate" 0 67980) ("SymbolTable" 0 67961) ("Symbol" 0 65536) ("StringCategory" 0 65525) ("StringAggregate" 0 65488) ("String" 0 65342) ("StreamAggregate" 0 65294) ("StepThrough" 0 65279) ("StackAggregate" 0 65256) ("SquareMatrixCategory" 0 65169) ("SquareMatrix" 0 65100) ("SquareFreeRegularTriangularSetCategory" 0 64946) ("SplittingNode" 0 64928) ("SpecialFunctionCategory" 0 64886) ("SparseUnivariateTaylorSeries" 0 64820) ("SparseUnivariatePolynomialExpressions" 0 64786) ("SparseUnivariatePolynomial" 0 64620) ("SparseUnivariateLaurentSeries" 0 64586) ("SparseMultivariatePolynomial" 0 64440) ("SingleInteger" 0 64379) ("SetCategoryWithDegree" 0 64367) ("SetCategory" 0 61268) ("SetAggregate" 0 61250) ("SequentialDifferentialVariable" 0 61213) ("SemiGroup" 0 61198) ("SegmentCategory" 0 61167) ("SExpressionCategory" 0 61123) ("SExpression" 0 61109) ("Rng" 0 61055) ("Ring" 0 56568) ("RetractableTo" 0 54265) ("RegularTriangularSetCategory" 0 53977) ("RecursivePolynomialCategory" 0 53162) ("RecursiveAggregate" 0 53115) ("RectangularMatrixCategory" 0 53026) ("RealRootCharacterizationCategory" 0 52948) ("RealNumberSystem" 0 52926) ("RealConstant" 0 52834) ("RealClosedField" 0 52799) ("RadicalCategory" 0 52681) ("QuotientFieldCategory" 0 52198) ("QueueAggregate" 0 52188) ("QuaternionCategory" 0 52120) ("Quaternion" 0 52107) ("QuadraticForm" 0 52087) ("PseudoAlgebraicClosureOfRationalNumberCategory" 0 51986) ("PseudoAlgebraicClosureOfRationalNumber" 0 51935) ("PseudoAlgebraicClosureOfFiniteFieldCategory" 0 51895) ("PseudoAlgebraicClosureOfFiniteField" 0 51674) ("PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory" 0 51557) ("ProjectiveSpaceCategory" 0 51079) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 51016) ("ProjectivePlane" 0 51003) ("PriorityQueueAggregate" 0 50994) ("PrimitiveFunctionCategory" 0 50756) ("PrimitiveArray" 0 50746) ("PrimeField" 0 50680) ("PowerSeriesCategory" 0 50655) ("PositiveInteger" 0 50185) ("PolynomialSetCategory" 0 50135) ("PolynomialFactorizationExplicit" 0 49946) ("PolynomialCategory" 0 48389) ("Polynomial" 0 48222) ("PointCategory" 0 48212) ("PoincareBirkhoffWittLyndonBasis" 0 48193) ("PlottableSpaceCurveCategory" 0 48153) ("PlottablePlaneCurveCategory" 0 48118) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 48055) ("PlacesCategory" 0 47752) ("Places" 0 47739) ("PermutationCategory" 0 47723) ("Patternable" 0 47712) ("PatternMatchable" 0 47458) ("Pattern" 0 47218) ("Partition" 0 47194) ("PartialTranscendentalFunctions" 0 47063) ("PartialDifferentialRing" 0 46910) ("PartialDifferentialEquationsSolverCategory" 0 46874) ("PAdicIntegerCategory" 0 46787) ("PAdicInteger" 0 46769) ("OutputForm" 0 46629) ("OrdinaryDifferentialEquationsSolverCategory" 0 46559) ("OrderlyDifferentialVariable" 0 46525) ("OrderedVariableList" 0 45976) ("OrderedSet" 0 40809) ("OrderedRing" 0 40333) ("OrderedMonoid" 0 40293) ("OrderedIntegralDomain" 0 40269) ("OrderedFreeMonoid" 0 40242) ("OrderedFinite" 0 40206) ("OrderedCancellationAbelianMonoid" 0 40192) ("OrderedAbelianMonoidSup" 0 38179) ("OrderedAbelianMonoid" 0 37818) ("OpenMath" 0 37736) ("OneDimensionalArrayAggregate" 0 37560) ("OneDimensionalArray" 0 37536) ("OctonionCategory" 0 37474) ("NumericalOptimizationCategory" 0 37353) ("NumericalIntegrationCategory" 0 37154) ("NonNegativeInteger" 0 35746) ("NonAssociativeRng" 0 35723) ("NonAssociativeRing" 0 35699) ("NonAssociativeAlgebra" 0 35604) ("NewSparseMultivariatePolynomial" 0 35587) ("NeitherSparseOrDensePowerSeries" 0 35456) ("MyUnivariatePolynomial" 0 35439) ("MultivariateTaylorSeriesCategory" 0 35389) ("MultisetAggregate" 0 35376) ("MultiDictionary" 0 35352) ("Monoid" 0 35148) ("MonogenicLinearOperator" 0 35079) ("MonogenicAlgebra" 0 34794) ("MonadWithUnit" 0 34775) ("Monad" 0 34764) ("Module" 0 34611) ("MatrixCategory" 0 34217) ("Matrix" 0 34095) ("MachineFloat" 0 34076) ("LyndonWord" 0 34024) ("Logic" 0 33987) ("LocalPowerSeriesCategory" 0 33653) ("ListAggregate" 0 33549) ("List" 0 32295) ("LinearlyExplicitRingOver" 0 31288) ("LinearOrdinaryDifferentialOperatorCategory" 0 30873) ("LinearAggregate" 0 30852) ("LieAlgebra" 0 30836) ("LeftModule" 0 30630) ("LeftAlgebra" 0 30586) ("LazyStreamAggregate" 0 30498) ("KeyedDictionary" 0 30477) ("Kernel" 0 30426) ("IntervalCategory" 0 30413) ("IntegralDomain" 0 28250) ("IntegerNumberSystem" 0 27988) ("Integer" 0 24886) ("InputForm" 0 24609) ("InnerPrimeField" 0 24588) ("InnerEvalable" 0 24569) ("InfinitlyClosePointCategory" 0 24382) ("IndexedVector" 0 24364) ("IndexedOneDimensionalArray" 0 24333) ("IndexedExponents" 0 24070) ("IndexedDirectProductCategory" 0 23847) ("IndexedAggregate" 0 23811) ("HyperbolicFunctionCategory" 0 23779) ("HomogeneousDirectProduct" 0 23730) ("HomogeneousAggregate" 0 23679) ("Group" 0 23568) ("GradedModule" 0 23532) ("GradedAlgebra" 0 23495) ("GcdDomain" 0 22009) ("FunctionSpace" 0 20776) ("FunctionFieldCategory" 0 20364) ("FullyRetractableTo" 0 20243) ("FullyLinearlyExplicitRingOver" 0 20208) ("FullyEvalableOver" 0 20174) ("FreeModuleCat" 0 20082) ("FreeLieAlgebra" 0 20064) ("FreeAbelianMonoidCategory" 0 19998) ("FramedNonAssociativeAlgebra" 0 19823) ("FramedAlgebra" 0 19633) ("Fraction" 0 18254) ("FortranVectorFunctionCategory" 0 18158) ("FortranVectorCategory" 0 18149) ("FortranScalarType" 0 18130) ("FortranProgramCategory" 0 18064) ("FortranMatrixFunctionCategory" 0 18030) ("FortranMatrixCategory" 0 17996) ("FortranMachineTypeCategory" 0 17925) ("FortranFunctionCategory" 0 17886) ("FloatingPointSystem" 0 17731) ("Float" 0 17609) ("FiniteSetAggregate" 0 17531) ("FiniteRankNonAssociativeAlgebra" 0 17494) ("FiniteRankAlgebra" 0 17471) ("FiniteLinearAggregate" 0 16933) ("FiniteFieldCategory" 0 15770) ("FiniteDivisorCategory" 0 15698) ("FiniteAlgebraicExtensionField" 0 15283) ("FiniteAbelianMonoidRing" 0 15014) ("Finite" 0 14835) ("FileNameCategory" 0 14822) ("FileName" 0 14753) ("FileCategory" 0 14684) ("FieldOfPrimeCharacteristic" 0 14620) ("Field" 0 11510) ("ExtensionField" 0 11452) ("ExtensibleLinearAggregate" 0 11382) ("ExpressionSpace" 0 11219) ("Expression" 0 11176) ("ExponentialOfUnivariatePuiseuxSeries" 0 11122) ("Evalable" 0 11108) ("EuclideanDomain" 0 9950) ("Equation" 0 9934) ("EltableAggregate" 0 9912) ("Eltable" 0 9789) ("ElementaryFunctionCategory" 0 9721) ("DoubleFloatVector" 0 9699) ("DoubleFloat" 0 9531) ("DivisorCategory" 0 9350) ("Divisor" 0 9276) ("DivisionRing" 0 9258) ("DistributedMultivariatePolynomial" 0 9184) ("DirectProductCategory" 0 8366) ("DirectProduct" 0 8175) ("DifferentialVariableCategory" 0 7968) ("DifferentialRing" 0 7780) ("DifferentialPolynomialCategory" 0 7634) ("DifferentialExtension" 0 7576) ("DictionaryOperations" 0 7550) ("Dictionary" 0 7534) ("DesingTreeCategory" 0 7428) ("DequeueAggregate" 0 7416) ("ConvertibleTo" 0 6595) ("ComplexDoubleFloatVector" 0 6566) ("ComplexCategory" 0 6433) ("Complex" 0 6194) ("CommutativeRing" 0 4843) ("CombinatorialOpsCategory" 0 4778) ("Collection" 0 4762) ("CoercibleTo" 0 4430) ("CharacteristicZero" 0 3086) ("Character" 0 3067) ("CancellationAbelianMonoid" 0 3012) ("CachableSet" 0 2969) ("Boolean" 0 2881) ("BlowUpMethodCategory" 0 2512) ("BitAggregate" 0 2473) ("BinaryTreeCategory" 0 2377) ("BinaryRecursiveAggregate" 0 2333) ("BiModule" 0 2291) ("BasicType" 0 2276) ("BasicOperator" 0 2246) ("BalancedPAdicInteger" 0 2220) ("BagAggregate" 0 2202) ("Automorphism" 0 2140) ("AssociationListAggregate" 0 2120) ("ArcTrigonometricFunctionCategory" 0 2082) ("Any" 0 2045) ("AlgebraicallyClosedFunctionSpace" 0 1680) ("AlgebraicallyClosedField" 0 1017) ("AlgebraicNumber" 0 983) ("Algebra" 0 596) ("Aggregate" 0 549) ("AffineSpaceCategory" 0 466) ("AbelianSemiGroup" 0 399) ("AbelianMonoidRing" 0 349) ("AbelianMonoid" 0 124) ("AbelianGroup" 0 20))
\ No newline at end of file
diff --git a/src/share/algebra/interp.daase b/src/share/algebra/interp.daase
index e959951..3a6c461 100644
--- a/src/share/algebra/interp.daase
+++ b/src/share/algebra/interp.daase
@@ -1,5264 +1,5284 @@
 
-(3614967 . 3570849610)       
-((-3382 (((-121) (-1 (-121) |#2| |#2|) $) 62) (((-121) $) NIL)) (-1744 (($ (-1 (-121) |#2| |#2|) $) 17) (($ $) NIL)) (-2511 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-1219 (-569)) |#2|) 34)) (-2887 (($ $) 58)) (-2793 ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 40) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 38) ((|#2| (-1 |#2| |#2| |#2|) $) 37)) (-3988 (((-569) (-1 (-121) |#2|) $) 22) (((-569) |#2| $) NIL) (((-569) |#2| $ (-569)) 70)) (-4303 (((-635 |#2|) $) 13)) (-2102 (($ (-1 (-121) |#2| |#2|) $ $) 47) (($ $ $) NIL)) (-2089 (($ (-1 |#2| |#2|) $) 29)) (-4188 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 44)) (-2583 (($ |#2| $ (-569)) NIL) (($ $ $ (-569)) 49)) (-2569 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 24)) (-2985 (((-121) (-1 (-121) |#2|) $) 21)) (-2503 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL) (($ $ (-1219 (-569))) 48)) (-2077 (($ $ (-569)) 55) (($ $ (-1219 (-569))) 54)) (-2691 (((-765) (-1 (-121) |#2|) $) 26) (((-765) |#2| $) NIL)) (-3038 (($ $ $ (-569)) 51)) (-1799 (($ $) 50)) (-3124 (($ (-635 |#2|)) 52)) (-4456 (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ $ $) 63) (($ (-635 $)) 61)) (-3956 (((-852) $) 69)) (-3776 (((-121) (-1 (-121) |#2|) $) 20)) (-1326 (((-121) $ $) 64)) (-1337 (((-121) $ $) 72))) 
-(((-18 |#1| |#2|) (-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2887 (|#1| |#1|)) (-15 -3038 (|#1| |#1| |#1| (-569))) (-15 -3382 ((-121) |#1|)) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2511 (|#2| |#1| (-1219 (-569)) |#2|)) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2511 (|#2| |#1| (-569) |#2|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -4303 ((-635 |#2|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1799 (|#1| |#1|))) (-19 |#2|) (-1199)) (T -18)) 
-NIL 
-(-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2887 (|#1| |#1|)) (-15 -3038 (|#1| |#1| |#1| (-569))) (-15 -3382 ((-121) |#1|)) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2511 (|#2| |#1| (-1219 (-569)) |#2|)) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2511 (|#2| |#1| (-569) |#2|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -4303 ((-635 |#2|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1799 (|#1| |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| |#1| (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-3988 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 65)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 77 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 76 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) 78 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 75 (|has| |#1| (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-19 |#1|) (-1284) (-1199)) (T -19)) 
-NIL 
-(-13 (-376 |t#1|) (-10 -7 (-6 -4572))) 
-(((-39) . T) ((-105) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-609 (-852)) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-844) |has| |#1| (-844)) ((-1093) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-1199) . T)) 
-((-3748 (((-3 $ "failed") $ $) 12)) (-1377 (($ $) NIL) (($ $ $) 9)) (* (($ (-919) $) NIL) (($ (-765) $) 16) (($ (-569) $) 21))) 
-(((-20 |#1|) (-10 -8 (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -3748 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) (-21)) (T -20)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -3748 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19))) 
-(((-21) (-1284)) (T -21)) 
-((-1377 (*1 *1 *1) (-4 *1 (-21))) (-1377 (*1 *1 *1 *1) (-4 *1 (-21))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-569))))) 
-(-13 (-138) (-10 -8 (-15 -1377 ($ $)) (-15 -1377 ($ $ $)) (-15 * ($ (-569) $)))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-2225 (((-121) $) 10)) (-4483 (($) 15)) (* (($ (-919) $) 14) (($ (-765) $) 18))) 
-(((-22 |#1|) (-10 -8 (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 -4483 (|#1|)) (-15 * (|#1| (-919) |#1|))) (-23)) (T -22)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 -4483 (|#1|)) (-15 * (|#1| (-919) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14))) 
-(((-23) (-1284)) (T -23)) 
-((-2407 (*1 *1) (-4 *1 (-23))) (-4483 (*1 *1) (-4 *1 (-23))) (-2225 (*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-765))))) 
-(-13 (-25) (-10 -8 (-15 (-2407) ($) -3575) (-15 -4483 ($) -3575) (-15 -2225 ((-121) $)) (-15 * ($ (-765) $)))) 
-(((-25) . T) ((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((* (($ (-919) $) 10))) 
-(((-24 |#1|) (-10 -8 (-15 * (|#1| (-919) |#1|))) (-25)) (T -24)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-919) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12))) 
-(((-25) (-1284)) (T -25)) 
-((-1371 (*1 *1 *1 *1) (-4 *1 (-25))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-919))))) 
-(-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)) (-15 * ($ (-919) $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-3298 (((-635 $) (-955 $)) 29) (((-635 $) (-1161 $)) 16) (((-635 $) (-1161 $) (-1165)) 20)) (-2309 (($ (-955 $)) 27) (($ (-1161 $)) 11) (($ (-1161 $) (-1165)) 54)) (-1645 (((-635 $) (-955 $)) 30) (((-635 $) (-1161 $)) 18) (((-635 $) (-1161 $) (-1165)) 19)) (-2306 (($ (-955 $)) 28) (($ (-1161 $)) 13) (($ (-1161 $) (-1165)) NIL))) 
-(((-26 |#1|) (-10 -8 (-15 -3298 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -3298 ((-635 |#1|) (-1161 |#1|))) (-15 -3298 ((-635 |#1|) (-955 |#1|))) (-15 -2309 (|#1| (-1161 |#1|) (-1165))) (-15 -2309 (|#1| (-1161 |#1|))) (-15 -2309 (|#1| (-955 |#1|))) (-15 -1645 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -1645 ((-635 |#1|) (-1161 |#1|))) (-15 -1645 ((-635 |#1|) (-955 |#1|))) (-15 -2306 (|#1| (-1161 |#1|) (-1165))) (-15 -2306 (|#1| (-1161 |#1|))) (-15 -2306 (|#1| (-955 |#1|)))) (-27)) (T -26)) 
-NIL 
-(-10 -8 (-15 -3298 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -3298 ((-635 |#1|) (-1161 |#1|))) (-15 -3298 ((-635 |#1|) (-955 |#1|))) (-15 -2309 (|#1| (-1161 |#1|) (-1165))) (-15 -2309 (|#1| (-1161 |#1|))) (-15 -2309 (|#1| (-955 |#1|))) (-15 -1645 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -1645 ((-635 |#1|) (-1161 |#1|))) (-15 -1645 ((-635 |#1|) (-955 |#1|))) (-15 -2306 (|#1| (-1161 |#1|) (-1165))) (-15 -2306 (|#1| (-1161 |#1|))) (-15 -2306 (|#1| (-955 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-3298 (((-635 $) (-955 $)) 76) (((-635 $) (-1161 $)) 75) (((-635 $) (-1161 $) (-1165)) 74)) (-2309 (($ (-955 $)) 79) (($ (-1161 $)) 78) (($ (-1161 $) (-1165)) 77)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-3422 (($ $) 88)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-1645 (((-635 $) (-955 $)) 82) (((-635 $) (-1161 $)) 81) (((-635 $) (-1161 $) (-1165)) 80)) (-2306 (($ (-955 $)) 85) (($ (-1161 $)) 84) (($ (-1161 $) (-1165)) 83)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 87)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 86)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-27) (-1284)) (T -27)) 
-((-2306 (*1 *1 *2) (-12 (-5 *2 (-955 *1)) (-4 *1 (-27)))) (-2306 (*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-27)))) (-2306 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-27)))) (-1645 (*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-1645 (*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-1645 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *1)) (-5 *4 (-1165)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-2309 (*1 *1 *2) (-12 (-5 *2 (-955 *1)) (-4 *1 (-27)))) (-2309 (*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-27)))) (-2309 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-27)))) (-3298 (*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-3298 (*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-3298 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *1)) (-5 *4 (-1165)) (-4 *1 (-27)) (-5 *2 (-635 *1))))) 
-(-13 (-366) (-1004) (-10 -8 (-15 -2306 ($ (-955 $))) (-15 -2306 ($ (-1161 $))) (-15 -2306 ($ (-1161 $) (-1165))) (-15 -1645 ((-635 $) (-955 $))) (-15 -1645 ((-635 $) (-1161 $))) (-15 -1645 ((-635 $) (-1161 $) (-1165))) (-15 -2309 ($ (-955 $))) (-15 -2309 ($ (-1161 $))) (-15 -2309 ($ (-1161 $) (-1165))) (-15 -3298 ((-635 $) (-955 $))) (-15 -3298 ((-635 $) (-1161 $))) (-15 -3298 ((-635 $) (-1161 $) (-1165))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1004) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
-((-3298 (((-635 $) (-955 $)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-1161 $) (-1165)) 50) (((-635 $) $) 19) (((-635 $) $ (-1165)) 41)) (-2309 (($ (-955 $)) NIL) (($ (-1161 $)) NIL) (($ (-1161 $) (-1165)) 52) (($ $) 17) (($ $ (-1165)) 37)) (-1645 (((-635 $) (-955 $)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-1161 $) (-1165)) 48) (((-635 $) $) 15) (((-635 $) $ (-1165)) 43)) (-2306 (($ (-955 $)) NIL) (($ (-1161 $)) NIL) (($ (-1161 $) (-1165)) NIL) (($ $) 12) (($ $ (-1165)) 39))) 
-(((-28 |#1| |#2|) (-10 -8 (-15 -3298 ((-635 |#1|) |#1| (-1165))) (-15 -2309 (|#1| |#1| (-1165))) (-15 -3298 ((-635 |#1|) |#1|)) (-15 -2309 (|#1| |#1|)) (-15 -1645 ((-635 |#1|) |#1| (-1165))) (-15 -2306 (|#1| |#1| (-1165))) (-15 -1645 ((-635 |#1|) |#1|)) (-15 -2306 (|#1| |#1|)) (-15 -3298 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -3298 ((-635 |#1|) (-1161 |#1|))) (-15 -3298 ((-635 |#1|) (-955 |#1|))) (-15 -2309 (|#1| (-1161 |#1|) (-1165))) (-15 -2309 (|#1| (-1161 |#1|))) (-15 -2309 (|#1| (-955 |#1|))) (-15 -1645 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -1645 ((-635 |#1|) (-1161 |#1|))) (-15 -1645 ((-635 |#1|) (-955 |#1|))) (-15 -2306 (|#1| (-1161 |#1|) (-1165))) (-15 -2306 (|#1| (-1161 |#1|))) (-15 -2306 (|#1| (-955 |#1|)))) (-29 |#2|) (-13 (-844) (-559))) (T -28)) 
-NIL 
-(-10 -8 (-15 -3298 ((-635 |#1|) |#1| (-1165))) (-15 -2309 (|#1| |#1| (-1165))) (-15 -3298 ((-635 |#1|) |#1|)) (-15 -2309 (|#1| |#1|)) (-15 -1645 ((-635 |#1|) |#1| (-1165))) (-15 -2306 (|#1| |#1| (-1165))) (-15 -1645 ((-635 |#1|) |#1|)) (-15 -2306 (|#1| |#1|)) (-15 -3298 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -3298 ((-635 |#1|) (-1161 |#1|))) (-15 -3298 ((-635 |#1|) (-955 |#1|))) (-15 -2309 (|#1| (-1161 |#1|) (-1165))) (-15 -2309 (|#1| (-1161 |#1|))) (-15 -2309 (|#1| (-955 |#1|))) (-15 -1645 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -1645 ((-635 |#1|) (-1161 |#1|))) (-15 -1645 ((-635 |#1|) (-955 |#1|))) (-15 -2306 (|#1| (-1161 |#1|) (-1165))) (-15 -2306 (|#1| (-1161 |#1|))) (-15 -2306 (|#1| (-955 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-3298 (((-635 $) (-955 $)) 76) (((-635 $) (-1161 $)) 75) (((-635 $) (-1161 $) (-1165)) 74) (((-635 $) $) 120) (((-635 $) $ (-1165)) 118)) (-2309 (($ (-955 $)) 79) (($ (-1161 $)) 78) (($ (-1161 $) (-1165)) 77) (($ $) 121) (($ $ (-1165)) 119)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1165)) $) 195)) (-3132 (((-410 (-1161 $)) $ (-608 $)) 227 (|has| |#1| (-559)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-4320 (((-635 (-608 $)) $) 158)) (-3748 (((-3 $ "failed") $ $) 18)) (-2505 (($ $ (-635 (-608 $)) (-635 $)) 148) (($ $ (-635 (-289 $))) 147) (($ $ (-289 $)) 146)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-3422 (($ $) 88)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-1645 (((-635 $) (-955 $)) 82) (((-635 $) (-1161 $)) 81) (((-635 $) (-1161 $) (-1165)) 80) (((-635 $) $) 124) (((-635 $) $ (-1165)) 122)) (-2306 (($ (-955 $)) 85) (($ (-1161 $)) 84) (($ (-1161 $) (-1165)) 83) (($ $) 125) (($ $ (-1165)) 123)) (-3003 (((-3 (-955 |#1|) "failed") $) 245 (|has| |#1| (-1049))) (((-3 (-410 (-955 |#1|)) "failed") $) 229 (|has| |#1| (-559))) (((-3 |#1| "failed") $) 191) (((-3 (-569) "failed") $) 189 (|has| |#1| (-1039 (-569)))) (((-3 (-1165) "failed") $) 182) (((-3 (-608 $) "failed") $) 133) (((-3 (-410 (-569)) "failed") $) 117 (-1929 (-12 (|has| |#1| (-1039 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1039 (-410 (-569))))))) (-1321 (((-955 |#1|) $) 246 (|has| |#1| (-1049))) (((-410 (-955 |#1|)) $) 230 (|has| |#1| (-559))) ((|#1| $) 192) (((-569) $) 188 (|has| |#1| (-1039 (-569)))) (((-1165) $) 183) (((-608 $) $) 134) (((-410 (-569)) $) 116 (-1929 (-12 (|has| |#1| (-1039 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1039 (-410 (-569))))))) (-1614 (($ $ $) 53)) (-3435 (((-681 |#1|) (-681 $)) 235 (|has| |#1| (-1049))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 234 (|has| |#1| (-1049))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 115 (-1929 (-3993 (|has| |#1| (-1049)) (|has| |#1| (-631 (-569)))) (-3993 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))) (((-681 (-569)) (-681 $)) 114 (-1929 (-3993 (|has| |#1| (-1049)) (|has| |#1| (-631 (-569)))) (-3993 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))))) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 187 (|has| |#1| (-883 (-382)))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 186 (|has| |#1| (-883 (-569))))) (-2674 (($ (-635 $)) 152) (($ $) 151)) (-1367 (((-635 (-123)) $) 159)) (-1344 (((-123) (-123)) 160)) (-3934 (((-121) $) 30)) (-3520 (((-121) $) 180 (|has| $ (-1039 (-569))))) (-3043 (($ $) 212 (|has| |#1| (-1049)))) (-3515 (((-1116 |#1| (-608 $)) $) 211 (|has| |#1| (-1049)))) (-2522 (($ $ (-569)) 87)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2387 (((-1161 $) (-608 $)) 177 (|has| $ (-1049)))) (-2157 (($ $ $) 131)) (-2713 (($ $ $) 130)) (-4188 (($ (-1 $ $) (-608 $)) 166)) (-3277 (((-3 (-608 $) "failed") $) 156)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3121 (((-635 (-608 $)) $) 157)) (-3529 (($ (-123) (-635 $)) 165) (($ (-123) $) 164)) (-2617 (((-3 (-635 $) "failed") $) 206 (|has| |#1| (-1105)))) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $) 215 (|has| |#1| (-1049)))) (-2085 (((-3 (-635 $) "failed") $) 208 (|has| |#1| (-25)))) (-1417 (((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $) 209 (|has| |#1| (-25)))) (-2601 (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165)) 214 (|has| |#1| (-1049))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123)) 213 (|has| |#1| (-1049))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $) 207 (|has| |#1| (-1105)))) (-3845 (((-121) $ (-1165)) 163) (((-121) $ (-123)) 162)) (-3243 (($ $) 68)) (-1468 (((-765) $) 155)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 193)) (-3256 ((|#1| $) 194)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-2400 (((-121) $ (-1165)) 168) (((-121) $ $) 167)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-3912 (((-121) $) 179 (|has| $ (-1039 (-569))))) (-1484 (($ $ (-1165) (-765) (-1 $ $)) 219 (|has| |#1| (-1049))) (($ $ (-1165) (-765) (-1 $ (-635 $))) 218 (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $)))) 217 (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $))) 216 (|has| |#1| (-1049))) (($ $ (-635 (-123)) (-635 $) (-1165)) 205 (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1165)) 204 (|has| |#1| (-610 (-542)))) (($ $) 203 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1165))) 202 (|has| |#1| (-610 (-542)))) (($ $ (-1165)) 201 (|has| |#1| (-610 (-542)))) (($ $ (-123) (-1 $ $)) 176) (($ $ (-123) (-1 $ (-635 $))) 175) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 174) (($ $ (-635 (-123)) (-635 (-1 $ $))) 173) (($ $ (-1165) (-1 $ $)) 172) (($ $ (-1165) (-1 $ (-635 $))) 171) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) 170) (($ $ (-635 (-1165)) (-635 (-1 $ $))) 169) (($ $ (-635 $) (-635 $)) 140) (($ $ $ $) 139) (($ $ (-289 $)) 138) (($ $ (-635 (-289 $))) 137) (($ $ (-635 (-608 $)) (-635 $)) 136) (($ $ (-608 $) $) 135)) (-2061 (((-765) $) 56)) (-2503 (($ (-123) (-635 $)) 145) (($ (-123) $ $ $ $) 144) (($ (-123) $ $ $) 143) (($ (-123) $ $) 142) (($ (-123) $) 141)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2454 (($ $ $) 154) (($ $) 153)) (-3289 (($ $ (-1165)) 243 (|has| |#1| (-1049))) (($ $ (-635 (-1165))) 242 (|has| |#1| (-1049))) (($ $ (-1165) (-765)) 241 (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) 240 (|has| |#1| (-1049)))) (-2572 (($ $) 222 (|has| |#1| (-559)))) (-3524 (((-1116 |#1| (-608 $)) $) 221 (|has| |#1| (-559)))) (-3036 (($ $) 178 (|has| $ (-1049)))) (-4035 (((-542) $) 249 (|has| |#1| (-610 (-542)))) (($ (-421 $)) 220 (|has| |#1| (-559))) (((-889 (-382)) $) 185 (|has| |#1| (-610 (-889 (-382))))) (((-889 (-569)) $) 184 (|has| |#1| (-610 (-889 (-569)))))) (-3980 (($ $ $) 248 (|has| |#1| (-479)))) (-2689 (($ $ $) 247 (|has| |#1| (-479)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-955 |#1|)) 244 (|has| |#1| (-1049))) (($ (-410 (-955 |#1|))) 228 (|has| |#1| (-559))) (($ (-410 (-955 (-410 |#1|)))) 226 (|has| |#1| (-559))) (($ (-955 (-410 |#1|))) 225 (|has| |#1| (-559))) (($ (-410 |#1|)) 224 (|has| |#1| (-559))) (($ (-1116 |#1| (-608 $))) 210 (|has| |#1| (-1049))) (($ |#1|) 190) (($ (-1165)) 181) (($ (-608 $)) 132)) (-2277 (((-3 $ "failed") $) 233 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-2856 (($ (-635 $)) 150) (($ $) 149)) (-3791 (((-121) (-123)) 161)) (-2909 (((-121) $ $) 38)) (-3207 (($ (-1165) (-635 $)) 200) (($ (-1165) $ $ $ $) 199) (($ (-1165) $ $ $) 198) (($ (-1165) $ $) 197) (($ (-1165) $) 196)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1165)) 239 (|has| |#1| (-1049))) (($ $ (-635 (-1165))) 238 (|has| |#1| (-1049))) (($ $ (-1165) (-765)) 237 (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) 236 (|has| |#1| (-1049)))) (-1355 (((-121) $ $) 128)) (-1343 (((-121) $ $) 127)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 129)) (-1337 (((-121) $ $) 126)) (-1383 (($ $ $) 62) (($ (-1116 |#1| (-608 $)) (-1116 |#1| (-608 $))) 223 (|has| |#1| (-559)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 86)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 232 (|has| |#1| (-173))) (($ |#1| $) 231 (|has| |#1| (-173))))) 
-(((-29 |#1|) (-1284) (-13 (-844) (-559))) (T -29)) 
-((-2306 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-844) (-559))))) (-1645 (*1 *2 *1) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) (-2306 (*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-844) (-559))))) (-1645 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) (-2309 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-844) (-559))))) (-3298 (*1 *2 *1) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) (-2309 (*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-844) (-559))))) (-3298 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4))))) 
-(-13 (-27) (-433 |t#1|) (-10 -8 (-15 -2306 ($ $)) (-15 -1645 ((-635 $) $)) (-15 -2306 ($ $ (-1165))) (-15 -1645 ((-635 $) $ (-1165))) (-15 -2309 ($ $)) (-15 -3298 ((-635 $) $)) (-15 -2309 ($ $ (-1165))) (-15 -3298 ((-635 $) $ (-1165))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) . T) ((-27) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) |has| |#1| (-173)) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-889 (-382))) |has| |#1| (-610 (-889 (-382)))) ((-610 (-889 (-569))) |has| |#1| (-610 (-889 (-569)))) ((-239) . T) ((-286) . T) ((-302) . T) ((-304 $) . T) ((-297) . T) ((-366) . T) ((-380 |#1|) |has| |#1| (-1049)) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-433 |#1|) . T) ((-454) . T) ((-479) |has| |#1| (-479)) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) |has| |#1| (-173)) ((-638 $) . T) ((-631 (-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) ((-631 |#1|) |has| |#1| (-1049)) ((-709 (-410 (-569))) . T) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) . T) ((-718) . T) ((-844) . T) ((-897 (-1165)) |has| |#1| (-1049)) ((-883 (-382)) |has| |#1| (-883 (-382))) ((-883 (-569)) |has| |#1| (-883 (-569))) ((-881 |#1|) . T) ((-918) . T) ((-1004) . T) ((-1039 (-410 (-569))) -1929 (|has| |#1| (-1039 (-410 (-569)))) (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569))))) ((-1039 (-410 (-955 |#1|))) |has| |#1| (-559)) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 (-608 $)) . T) ((-1039 (-955 |#1|)) |has| |#1| (-1049)) ((-1039 (-1165)) . T) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) . T) ((-1055 |#1|) |has| |#1| (-173)) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1199) . T) ((-1208) . T)) 
-((-4327 (((-1087 (-216)) $) NIL)) (-3724 (((-1087 (-216)) $) NIL)) (-1504 (($ $ (-216)) 122)) (-4160 (($ (-955 (-569)) (-1165) (-1165) (-1087 (-410 (-569))) (-1087 (-410 (-569)))) 84)) (-3499 (((-635 (-635 (-946 (-216)))) $) 134)) (-3956 (((-852) $) 146))) 
-(((-30) (-13 (-957) (-10 -8 (-15 -4160 ($ (-955 (-569)) (-1165) (-1165) (-1087 (-410 (-569))) (-1087 (-410 (-569))))) (-15 -1504 ($ $ (-216)))))) (T -30)) 
-((-4160 (*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-955 (-569))) (-5 *3 (-1165)) (-5 *4 (-1087 (-410 (-569)))) (-5 *1 (-30)))) (-1504 (*1 *1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-30))))) 
-(-13 (-957) (-10 -8 (-15 -4160 ($ (-955 (-569)) (-1165) (-1165) (-1087 (-410 (-569))) (-1087 (-410 (-569))))) (-15 -1504 ($ $ (-216))))) 
-((-1767 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|) 38)) (-3904 (((-635 |#5|) |#3| (-919)) 33)) (-2990 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|)) 40))) 
-(((-31 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2990 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -3904 ((-635 |#5|) |#3| (-919)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|)) (T -31)) 
-((-3904 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-635 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)))) (-1767 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4)))) (-2990 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4))))) 
-(-10 -7 (-15 -2990 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -3904 ((-635 |#5|) |#3| (-919)))) 
-((-1721 (((-1161 (-1161 |#1|)) |#3|) 35)) (-1752 (((-635 (-635 (-1161 (-1161 |#1|)))) (-635 (-1161 (-1161 |#1|)))) 54)) (-1767 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1161 (-1161 |#1|))) 56) (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|) 57)) (-3904 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-919)) 51)) (-4293 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1161 (-1161 |#1|)))) 70)) (-2990 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|)) 50))) 
-(((-32 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1161 (-1161 |#1|)))) (-15 -4293 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1161 (-1161 |#1|))))) (-15 -2990 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -1721 ((-1161 (-1161 |#1|)) |#3|)) (-15 -1752 ((-635 (-635 (-1161 (-1161 |#1|)))) (-635 (-1161 (-1161 |#1|))))) (-15 -3904 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-919)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|)) (T -32)) 
-((-3904 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)))) (-1752 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-635 (-635 (-1161 (-1161 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-635 (-1161 (-1161 *4)))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4)))) (-1721 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-1161 (-1161 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4)))) (-2990 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4)))) (-4293 (*1 *2 *3) (-12 (-5 *3 (-635 (-1161 (-1161 *4)))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4)))) (-1767 (*1 *2 *3) (-12 (-5 *3 (-1161 (-1161 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4)))) (-1767 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4))))) 
-(-10 -7 (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1161 (-1161 |#1|)))) (-15 -4293 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1161 (-1161 |#1|))))) (-15 -2990 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -1721 ((-1161 (-1161 |#1|)) |#3|)) (-15 -1752 ((-635 (-635 (-1161 (-1161 |#1|)))) (-635 (-1161 (-1161 |#1|))))) (-15 -3904 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-919)))) 
-((-1310 (((-121) $ $) NIL)) (-2511 ((|#1| $ (-569) |#1|) NIL)) (-2230 (((-635 $) (-635 $) (-765)) NIL) (((-635 $) (-635 $)) NIL)) (-4429 (((-121) $ (-765)) NIL) (((-121) $) NIL)) (-4069 (((-635 |#1|) $) NIL)) (-4008 (($) NIL)) (-3481 (((-635 $) $) NIL) (((-635 $) $ (-765)) NIL)) (-1832 (((-635 |#1|) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#1| $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-4134 ((|#1| $) NIL)) (-3980 (($ $ (-765)) NIL) (($ $) NIL)) (-3956 (((-852) $) NIL) (((-635 |#1|) $) NIL) (($ (-635 |#1|)) NIL)) (-1649 (($ (-635 |#1|)) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-33 |#1|) (-37 |#1|) (-366)) (T -33)) 
+(3634725 . 3575591508)       
+((-2648 (((-121) (-1 (-121) |#2| |#2|) $) 62) (((-121) $) NIL)) (-3652 (($ (-1 (-121) |#2| |#2|) $) 17) (($ $) NIL)) (-3251 ((|#2| $ (-571) |#2|) NIL) ((|#2| $ (-1224 (-571)) |#2|) 34)) (-4578 (($ $) 58)) (-3074 ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 40) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 38) ((|#2| (-1 |#2| |#2| |#2|) $) 37)) (-3984 (((-571) (-1 (-121) |#2|) $) 22) (((-571) |#2| $) NIL) (((-571) |#2| $ (-571)) 70)) (-4034 (((-637 |#2|) $) 13)) (-3491 (($ (-1 (-121) |#2| |#2|) $ $) 47) (($ $ $) NIL)) (-1923 (($ (-1 |#2| |#2|) $) 29)) (-3799 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 44)) (-2594 (($ |#2| $ (-571)) NIL) (($ $ $ (-571)) 49)) (-3765 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 24)) (-3160 (((-121) (-1 (-121) |#2|) $) 21)) (-3245 ((|#2| $ (-571) |#2|) NIL) ((|#2| $ (-571)) NIL) (($ $ (-1224 (-571))) 48)) (-1933 (($ $ (-571)) 55) (($ $ (-1224 (-571))) 54)) (-1569 (((-768) (-1 (-121) |#2|) $) 26) (((-768) |#2| $) NIL)) (-3427 (($ $ $ (-571)) 51)) (-4316 (($ $) 50)) (-3891 (($ (-637 |#2|)) 52)) (-4498 (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ $ $) 63) (($ (-637 $)) 61)) (-3942 (((-855) $) 69)) (-3027 (((-121) (-1 (-121) |#2|) $) 20)) (-1323 (((-121) $ $) 64)) (-1331 (((-121) $ $) 72))) 
+(((-18 |#1| |#2|) (-10 -8 (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1331 ((-121) |#1| |#1|)) (-15 -3652 (|#1| |#1|)) (-15 -3652 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -4578 (|#1| |#1|)) (-15 -3427 (|#1| |#1| |#1| (-571))) (-15 -2648 ((-121) |#1|)) (-15 -3491 (|#1| |#1| |#1|)) (-15 -3984 ((-571) |#2| |#1| (-571))) (-15 -3984 ((-571) |#2| |#1|)) (-15 -3984 ((-571) (-1 (-121) |#2|) |#1|)) (-15 -2648 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3491 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3251 (|#2| |#1| (-1224 (-571)) |#2|)) (-15 -2594 (|#1| |#1| |#1| (-571))) (-15 -2594 (|#1| |#2| |#1| (-571))) (-15 -1933 (|#1| |#1| (-1224 (-571)))) (-15 -1933 (|#1| |#1| (-571))) (-15 -3245 (|#1| |#1| (-1224 (-571)))) (-15 -3799 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4498 (|#1| (-637 |#1|))) (-15 -4498 (|#1| |#1| |#1|)) (-15 -4498 (|#1| |#2| |#1|)) (-15 -4498 (|#1| |#1| |#2|)) (-15 -3891 (|#1| (-637 |#2|))) (-15 -3765 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3245 (|#2| |#1| (-571))) (-15 -3245 (|#2| |#1| (-571) |#2|)) (-15 -3251 (|#2| |#1| (-571) |#2|)) (-15 -1569 ((-768) |#2| |#1|)) (-15 -4034 ((-637 |#2|) |#1|)) (-15 -1569 ((-768) (-1 (-121) |#2|) |#1|)) (-15 -3160 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1923 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4316 (|#1| |#1|))) (-19 |#2|) (-1203)) (T -18)) 
+NIL 
+(-10 -8 (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1331 ((-121) |#1| |#1|)) (-15 -3652 (|#1| |#1|)) (-15 -3652 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -4578 (|#1| |#1|)) (-15 -3427 (|#1| |#1| |#1| (-571))) (-15 -2648 ((-121) |#1|)) (-15 -3491 (|#1| |#1| |#1|)) (-15 -3984 ((-571) |#2| |#1| (-571))) (-15 -3984 ((-571) |#2| |#1|)) (-15 -3984 ((-571) (-1 (-121) |#2|) |#1|)) (-15 -2648 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3491 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3251 (|#2| |#1| (-1224 (-571)) |#2|)) (-15 -2594 (|#1| |#1| |#1| (-571))) (-15 -2594 (|#1| |#2| |#1| (-571))) (-15 -1933 (|#1| |#1| (-1224 (-571)))) (-15 -1933 (|#1| |#1| (-571))) (-15 -3245 (|#1| |#1| (-1224 (-571)))) (-15 -3799 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4498 (|#1| (-637 |#1|))) (-15 -4498 (|#1| |#1| |#1|)) (-15 -4498 (|#1| |#2| |#1|)) (-15 -4498 (|#1| |#1| |#2|)) (-15 -3891 (|#1| (-637 |#2|))) (-15 -3765 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3245 (|#2| |#1| (-571))) (-15 -3245 (|#2| |#1| (-571) |#2|)) (-15 -3251 (|#2| |#1| (-571) |#2|)) (-15 -1569 ((-768) |#2| |#1|)) (-15 -4034 ((-637 |#2|) |#1|)) (-15 -1569 ((-768) (-1 (-121) |#2|) |#1|)) (-15 -3160 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1923 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4316 (|#1| |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3839 (((-1263) $ (-571) (-571)) 37 (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4601))) (($ $) 81 (-12 (|has| |#1| (-847)) (|has| $ (-6 -4601))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) 8)) (-3251 ((|#1| $ (-571) |#1|) 49 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) 53 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-4578 (($ $) 83 (|has| $ (-6 -4601)))) (-4378 (($ $) 93)) (-4365 (($ $) 73 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#1| $) 72 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) 50 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 48)) (-3984 (((-571) (-1 (-121) |#1|) $) 90) (((-571) |#1| $) 89 (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) 88 (|has| |#1| (-1097)))) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-1364 (($ (-768) |#1|) 64)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 40 (|has| (-571) (-847)))) (-1763 (($ $ $) 80 (|has| |#1| (-847)))) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 41 (|has| (-571) (-847)))) (-2383 (($ $ $) 79 (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) 55) (($ $ $ (-571)) 54)) (-2738 (((-637 (-571)) $) 43)) (-1613 (((-121) (-571) $) 44)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1827 ((|#1| $) 39 (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-4411 (($ $ |#1|) 38 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ (-571) |#1|) 47) ((|#1| $ (-571)) 46) (($ $ (-1224 (-571))) 58)) (-1933 (($ $ (-571)) 57) (($ $ (-1224 (-571))) 56)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3427 (($ $ $ (-571)) 84 (|has| $ (-6 -4601)))) (-4316 (($ $) 13)) (-4050 (((-544) $) 74 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 65)) (-4498 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-637 $)) 60)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) 77 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 76 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-1342 (((-121) $ $) 78 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 75 (|has| |#1| (-847)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-19 |#1|) (-1289) (-1203)) (T -19)) 
+NIL 
+(-13 (-378 |t#1|) (-10 -7 (-6 -4601))) 
+(((-39) . T) ((-105) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-611 (-855)) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-282 (-571) |#1|) . T) ((-284 (-571) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-378 |#1|) . T) ((-502 |#1|) . T) ((-604 (-571) |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-643 |#1|) . T) ((-847) |has| |#1| (-847)) ((-1097) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-1203) . T)) 
+((-4176 (((-3 $ "failed") $ $) 12)) (-1373 (($ $) NIL) (($ $ $) 9)) (* (($ (-922) $) NIL) (($ (-768) $) 16) (($ (-571) $) 21))) 
+(((-20 |#1|) (-10 -8 (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 -4176 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|))) (-21)) (T -20)) 
+NIL 
+(-10 -8 (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 -4176 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19))) 
+(((-21) (-1289)) (T -21)) 
+((-1373 (*1 *1 *1) (-4 *1 (-21))) (-1373 (*1 *1 *1 *1) (-4 *1 (-21))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-571))))) 
+(-13 (-138) (-10 -8 (-15 -1373 ($ $)) (-15 -1373 ($ $ $)) (-15 * ($ (-571) $)))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-4123 (((-121) $) 10)) (-2269 (($) 15)) (* (($ (-922) $) 14) (($ (-768) $) 18))) 
+(((-22 |#1|) (-10 -8 (-15 * (|#1| (-768) |#1|)) (-15 -4123 ((-121) |#1|)) (-15 -2269 (|#1|)) (-15 * (|#1| (-922) |#1|))) (-23)) (T -22)) 
+NIL 
+(-10 -8 (-15 * (|#1| (-768) |#1|)) (-15 -4123 ((-121) |#1|)) (-15 -2269 (|#1|)) (-15 * (|#1| (-922) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-2269 (($) 16 T CONST)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14))) 
+(((-23) (-1289)) (T -23)) 
+((-2369 (*1 *1) (-4 *1 (-23))) (-2269 (*1 *1) (-4 *1 (-23))) (-4123 (*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-768))))) 
+(-13 (-25) (-10 -8 (-15 (-2369) ($) -3177) (-15 -2269 ($) -3177) (-15 -4123 ((-121) $)) (-15 * ($ (-768) $)))) 
+(((-25) . T) ((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((* (($ (-922) $) 10))) 
+(((-24 |#1|) (-10 -8 (-15 * (|#1| (-922) |#1|))) (-25)) (T -24)) 
+NIL 
+(-10 -8 (-15 * (|#1| (-922) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12))) 
+(((-25) (-1289)) (T -25)) 
+((-1367 (*1 *1 *1 *1) (-4 *1 (-25))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-922))))) 
+(-13 (-1097) (-10 -8 (-15 -1367 ($ $ $)) (-15 * ($ (-922) $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-1657 (((-637 $) (-958 $)) 29) (((-637 $) (-1165 $)) 16) (((-637 $) (-1165 $) (-1169)) 20)) (-2025 (($ (-958 $)) 27) (($ (-1165 $)) 11) (($ (-1165 $) (-1169)) 54)) (-1738 (((-637 $) (-958 $)) 30) (((-637 $) (-1165 $)) 18) (((-637 $) (-1165 $) (-1169)) 19)) (-2553 (($ (-958 $)) 28) (($ (-1165 $)) 13) (($ (-1165 $) (-1169)) NIL))) 
+(((-26 |#1|) (-10 -8 (-15 -1657 ((-637 |#1|) (-1165 |#1|) (-1169))) (-15 -1657 ((-637 |#1|) (-1165 |#1|))) (-15 -1657 ((-637 |#1|) (-958 |#1|))) (-15 -2025 (|#1| (-1165 |#1|) (-1169))) (-15 -2025 (|#1| (-1165 |#1|))) (-15 -2025 (|#1| (-958 |#1|))) (-15 -1738 ((-637 |#1|) (-1165 |#1|) (-1169))) (-15 -1738 ((-637 |#1|) (-1165 |#1|))) (-15 -1738 ((-637 |#1|) (-958 |#1|))) (-15 -2553 (|#1| (-1165 |#1|) (-1169))) (-15 -2553 (|#1| (-1165 |#1|))) (-15 -2553 (|#1| (-958 |#1|)))) (-27)) (T -26)) 
+NIL 
+(-10 -8 (-15 -1657 ((-637 |#1|) (-1165 |#1|) (-1169))) (-15 -1657 ((-637 |#1|) (-1165 |#1|))) (-15 -1657 ((-637 |#1|) (-958 |#1|))) (-15 -2025 (|#1| (-1165 |#1|) (-1169))) (-15 -2025 (|#1| (-1165 |#1|))) (-15 -2025 (|#1| (-958 |#1|))) (-15 -1738 ((-637 |#1|) (-1165 |#1|) (-1169))) (-15 -1738 ((-637 |#1|) (-1165 |#1|))) (-15 -1738 ((-637 |#1|) (-958 |#1|))) (-15 -2553 (|#1| (-1165 |#1|) (-1169))) (-15 -2553 (|#1| (-1165 |#1|))) (-15 -2553 (|#1| (-958 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-1657 (((-637 $) (-958 $)) 76) (((-637 $) (-1165 $)) 75) (((-637 $) (-1165 $) (-1169)) 74)) (-2025 (($ (-958 $)) 79) (($ (-1165 $)) 78) (($ (-1165 $) (-1169)) 77)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-4158 (($ $) 88)) (-1295 (((-121) $ $) 57)) (-2269 (($) 16 T CONST)) (-1738 (((-637 $) (-958 $)) 82) (((-637 $) (-1165 $)) 81) (((-637 $) (-1165 $) (-1169)) 80)) (-2553 (($ (-958 $)) 85) (($ (-1165 $)) 84) (($ (-1165 $) (-1169)) 83)) (-2162 (($ $ $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1596 (((-121) $) 69)) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 87)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66) (($ $ (-412 (-571))) 86)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64))) 
+(((-27) (-1289)) (T -27)) 
+((-2553 (*1 *1 *2) (-12 (-5 *2 (-958 *1)) (-4 *1 (-27)))) (-2553 (*1 *1 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-27)))) (-2553 (*1 *1 *2 *3) (-12 (-5 *2 (-1165 *1)) (-5 *3 (-1169)) (-4 *1 (-27)))) (-1738 (*1 *2 *3) (-12 (-5 *3 (-958 *1)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) (-1738 (*1 *2 *3) (-12 (-5 *3 (-1165 *1)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) (-1738 (*1 *2 *3 *4) (-12 (-5 *3 (-1165 *1)) (-5 *4 (-1169)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) (-2025 (*1 *1 *2) (-12 (-5 *2 (-958 *1)) (-4 *1 (-27)))) (-2025 (*1 *1 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-27)))) (-2025 (*1 *1 *2 *3) (-12 (-5 *2 (-1165 *1)) (-5 *3 (-1169)) (-4 *1 (-27)))) (-1657 (*1 *2 *3) (-12 (-5 *3 (-958 *1)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) (-1657 (*1 *2 *3) (-12 (-5 *3 (-1165 *1)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) (-1657 (*1 *2 *3 *4) (-12 (-5 *3 (-1165 *1)) (-5 *4 (-1169)) (-4 *1 (-27)) (-5 *2 (-637 *1))))) 
+(-13 (-367) (-1008) (-10 -8 (-15 -2553 ($ (-958 $))) (-15 -2553 ($ (-1165 $))) (-15 -2553 ($ (-1165 $) (-1169))) (-15 -1738 ((-637 $) (-958 $))) (-15 -1738 ((-637 $) (-1165 $))) (-15 -1738 ((-637 $) (-1165 $) (-1169))) (-15 -2025 ($ (-958 $))) (-15 -2025 ($ (-1165 $))) (-15 -2025 ($ (-1165 $) (-1169))) (-15 -1657 ((-637 $) (-958 $))) (-15 -1657 ((-637 $) (-1165 $))) (-15 -1657 ((-637 $) (-1165 $) (-1169))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-367) . T) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-1008) . T) ((-1059 (-412 (-571))) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T)) 
+((-1657 (((-637 $) (-958 $)) NIL) (((-637 $) (-1165 $)) NIL) (((-637 $) (-1165 $) (-1169)) 50) (((-637 $) $) 19) (((-637 $) $ (-1169)) 41)) (-2025 (($ (-958 $)) NIL) (($ (-1165 $)) NIL) (($ (-1165 $) (-1169)) 52) (($ $) 17) (($ $ (-1169)) 37)) (-1738 (((-637 $) (-958 $)) NIL) (((-637 $) (-1165 $)) NIL) (((-637 $) (-1165 $) (-1169)) 48) (((-637 $) $) 15) (((-637 $) $ (-1169)) 43)) (-2553 (($ (-958 $)) NIL) (($ (-1165 $)) NIL) (($ (-1165 $) (-1169)) NIL) (($ $) 12) (($ $ (-1169)) 39))) 
+(((-28 |#1| |#2|) (-10 -8 (-15 -1657 ((-637 |#1|) |#1| (-1169))) (-15 -2025 (|#1| |#1| (-1169))) (-15 -1657 ((-637 |#1|) |#1|)) (-15 -2025 (|#1| |#1|)) (-15 -1738 ((-637 |#1|) |#1| (-1169))) (-15 -2553 (|#1| |#1| (-1169))) (-15 -1738 ((-637 |#1|) |#1|)) (-15 -2553 (|#1| |#1|)) (-15 -1657 ((-637 |#1|) (-1165 |#1|) (-1169))) (-15 -1657 ((-637 |#1|) (-1165 |#1|))) (-15 -1657 ((-637 |#1|) (-958 |#1|))) (-15 -2025 (|#1| (-1165 |#1|) (-1169))) (-15 -2025 (|#1| (-1165 |#1|))) (-15 -2025 (|#1| (-958 |#1|))) (-15 -1738 ((-637 |#1|) (-1165 |#1|) (-1169))) (-15 -1738 ((-637 |#1|) (-1165 |#1|))) (-15 -1738 ((-637 |#1|) (-958 |#1|))) (-15 -2553 (|#1| (-1165 |#1|) (-1169))) (-15 -2553 (|#1| (-1165 |#1|))) (-15 -2553 (|#1| (-958 |#1|)))) (-29 |#2|) (-13 (-847) (-561))) (T -28)) 
+NIL 
+(-10 -8 (-15 -1657 ((-637 |#1|) |#1| (-1169))) (-15 -2025 (|#1| |#1| (-1169))) (-15 -1657 ((-637 |#1|) |#1|)) (-15 -2025 (|#1| |#1|)) (-15 -1738 ((-637 |#1|) |#1| (-1169))) (-15 -2553 (|#1| |#1| (-1169))) (-15 -1738 ((-637 |#1|) |#1|)) (-15 -2553 (|#1| |#1|)) (-15 -1657 ((-637 |#1|) (-1165 |#1|) (-1169))) (-15 -1657 ((-637 |#1|) (-1165 |#1|))) (-15 -1657 ((-637 |#1|) (-958 |#1|))) (-15 -2025 (|#1| (-1165 |#1|) (-1169))) (-15 -2025 (|#1| (-1165 |#1|))) (-15 -2025 (|#1| (-958 |#1|))) (-15 -1738 ((-637 |#1|) (-1165 |#1|) (-1169))) (-15 -1738 ((-637 |#1|) (-1165 |#1|))) (-15 -1738 ((-637 |#1|) (-958 |#1|))) (-15 -2553 (|#1| (-1165 |#1|) (-1169))) (-15 -2553 (|#1| (-1165 |#1|))) (-15 -2553 (|#1| (-958 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-1657 (((-637 $) (-958 $)) 76) (((-637 $) (-1165 $)) 75) (((-637 $) (-1165 $) (-1169)) 74) (((-637 $) $) 120) (((-637 $) $ (-1169)) 118)) (-2025 (($ (-958 $)) 79) (($ (-1165 $)) 78) (($ (-1165 $) (-1169)) 77) (($ $) 121) (($ $ (-1169)) 119)) (-4123 (((-121) $) 15)) (-3424 (((-637 (-1169)) $) 195)) (-4257 (((-412 (-1165 $)) $ (-610 $)) 227 (|has| |#1| (-561)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4121 (((-637 (-610 $)) $) 158)) (-4176 (((-3 $ "failed") $ $) 18)) (-1448 (($ $ (-637 (-610 $)) (-637 $)) 148) (($ $ (-637 (-289 $))) 147) (($ $ (-289 $)) 146)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-4158 (($ $) 88)) (-1295 (((-121) $ $) 57)) (-2269 (($) 16 T CONST)) (-1738 (((-637 $) (-958 $)) 82) (((-637 $) (-1165 $)) 81) (((-637 $) (-1165 $) (-1169)) 80) (((-637 $) $) 124) (((-637 $) $ (-1169)) 122)) (-2553 (($ (-958 $)) 85) (($ (-1165 $)) 84) (($ (-1165 $) (-1169)) 83) (($ $) 125) (($ $ (-1169)) 123)) (-3337 (((-3 (-958 |#1|) "failed") $) 245 (|has| |#1| (-1053))) (((-3 (-412 (-958 |#1|)) "failed") $) 229 (|has| |#1| (-561))) (((-3 |#1| "failed") $) 191) (((-3 (-571) "failed") $) 189 (|has| |#1| (-1043 (-571)))) (((-3 (-1169) "failed") $) 182) (((-3 (-610 $) "failed") $) 133) (((-3 (-412 (-571)) "failed") $) 117 (-1831 (-12 (|has| |#1| (-1043 (-571))) (|has| |#1| (-561))) (|has| |#1| (-1043 (-412 (-571))))))) (-1316 (((-958 |#1|) $) 246 (|has| |#1| (-1053))) (((-412 (-958 |#1|)) $) 230 (|has| |#1| (-561))) ((|#1| $) 192) (((-571) $) 188 (|has| |#1| (-1043 (-571)))) (((-1169) $) 183) (((-610 $) $) 134) (((-412 (-571)) $) 116 (-1831 (-12 (|has| |#1| (-1043 (-571))) (|has| |#1| (-561))) (|has| |#1| (-1043 (-412 (-571))))))) (-2162 (($ $ $) 53)) (-2680 (((-684 |#1|) (-684 $)) 235 (|has| |#1| (-1053))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 234 (|has| |#1| (-1053))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 115 (-1831 (-3997 (|has| |#1| (-1053)) (|has| |#1| (-633 (-571)))) (-3997 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))))) (((-684 (-571)) (-684 $)) 114 (-1831 (-3997 (|has| |#1| (-1053)) (|has| |#1| (-633 (-571)))) (-3997 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053)))))) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1596 (((-121) $) 69)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 187 (|has| |#1| (-886 (-384)))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 186 (|has| |#1| (-886 (-571))))) (-2122 (($ (-637 $)) 152) (($ $) 151)) (-3645 (((-637 (-123)) $) 159)) (-3513 (((-123) (-123)) 160)) (-2583 (((-121) $) 30)) (-4329 (((-121) $) 180 (|has| $ (-1043 (-571))))) (-3458 (($ $) 212 (|has| |#1| (-1053)))) (-4474 (((-1120 |#1| (-610 $)) $) 211 (|has| |#1| (-1053)))) (-3549 (($ $ (-571)) 87)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-4286 (((-1165 $) (-610 $)) 177 (|has| $ (-1053)))) (-1763 (($ $ $) 131)) (-2383 (($ $ $) 130)) (-3799 (($ (-1 $ $) (-610 $)) 166)) (-1359 (((-3 (-610 $) "failed") $) 156)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4251 (((-637 (-610 $)) $) 157)) (-4485 (($ (-123) (-637 $)) 165) (($ (-123) $) 164)) (-4014 (((-3 (-637 $) "failed") $) 206 (|has| |#1| (-1109)))) (-2304 (((-3 (-2 (|:| |val| $) (|:| -2154 (-571))) "failed") $) 215 (|has| |#1| (-1053)))) (-1910 (((-3 (-637 $) "failed") $) 208 (|has| |#1| (-25)))) (-3928 (((-3 (-2 (|:| -4501 (-571)) (|:| |var| (-610 $))) "failed") $) 209 (|has| |#1| (-25)))) (-3925 (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-1169)) 214 (|has| |#1| (-1053))) (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-123)) 213 (|has| |#1| (-1053))) (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $) 207 (|has| |#1| (-1109)))) (-3340 (((-121) $ (-1169)) 163) (((-121) $ (-123)) 162)) (-4315 (($ $) 68)) (-1454 (((-768) $) 155)) (-2580 (((-1115) $) 10)) (-4321 (((-121) $) 193)) (-4326 ((|#1| $) 194)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-4348 (((-121) $ (-1169)) 168) (((-121) $ $) 167)) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-2385 (((-121) $) 179 (|has| $ (-1043 (-571))))) (-4483 (($ $ (-1169) (-768) (-1 $ $)) 219 (|has| |#1| (-1053))) (($ $ (-1169) (-768) (-1 $ (-637 $))) 218 (|has| |#1| (-1053))) (($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ (-637 $)))) 217 (|has| |#1| (-1053))) (($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ $))) 216 (|has| |#1| (-1053))) (($ $ (-637 (-123)) (-637 $) (-1169)) 205 (|has| |#1| (-612 (-544)))) (($ $ (-123) $ (-1169)) 204 (|has| |#1| (-612 (-544)))) (($ $) 203 (|has| |#1| (-612 (-544)))) (($ $ (-637 (-1169))) 202 (|has| |#1| (-612 (-544)))) (($ $ (-1169)) 201 (|has| |#1| (-612 (-544)))) (($ $ (-123) (-1 $ $)) 176) (($ $ (-123) (-1 $ (-637 $))) 175) (($ $ (-637 (-123)) (-637 (-1 $ (-637 $)))) 174) (($ $ (-637 (-123)) (-637 (-1 $ $))) 173) (($ $ (-1169) (-1 $ $)) 172) (($ $ (-1169) (-1 $ (-637 $))) 171) (($ $ (-637 (-1169)) (-637 (-1 $ (-637 $)))) 170) (($ $ (-637 (-1169)) (-637 (-1 $ $))) 169) (($ $ (-637 $) (-637 $)) 140) (($ $ $ $) 139) (($ $ (-289 $)) 138) (($ $ (-637 (-289 $))) 137) (($ $ (-637 (-610 $)) (-637 $)) 136) (($ $ (-610 $) $) 135)) (-1826 (((-768) $) 56)) (-3245 (($ (-123) (-637 $)) 145) (($ (-123) $ $ $ $) 144) (($ (-123) $ $ $) 143) (($ (-123) $ $) 142) (($ (-123) $) 141)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-4543 (($ $ $) 154) (($ $) 153)) (-3096 (($ $ (-1169)) 243 (|has| |#1| (-1053))) (($ $ (-637 (-1169))) 242 (|has| |#1| (-1053))) (($ $ (-1169) (-768)) 241 (|has| |#1| (-1053))) (($ $ (-637 (-1169)) (-637 (-768))) 240 (|has| |#1| (-1053)))) (-3777 (($ $) 222 (|has| |#1| (-561)))) (-4479 (((-1120 |#1| (-610 $)) $) 221 (|has| |#1| (-561)))) (-3413 (($ $) 178 (|has| $ (-1053)))) (-4050 (((-544) $) 249 (|has| |#1| (-612 (-544)))) (($ (-423 $)) 220 (|has| |#1| (-561))) (((-892 (-384)) $) 185 (|has| |#1| (-612 (-892 (-384))))) (((-892 (-571)) $) 184 (|has| |#1| (-612 (-892 (-571)))))) (-2911 (($ $ $) 248 (|has| |#1| (-481)))) (-2212 (($ $ $) 247 (|has| |#1| (-481)))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63) (($ (-958 |#1|)) 244 (|has| |#1| (-1053))) (($ (-412 (-958 |#1|))) 228 (|has| |#1| (-561))) (($ (-412 (-958 (-412 |#1|)))) 226 (|has| |#1| (-561))) (($ (-958 (-412 |#1|))) 225 (|has| |#1| (-561))) (($ (-412 |#1|)) 224 (|has| |#1| (-561))) (($ (-1120 |#1| (-610 $))) 210 (|has| |#1| (-1053))) (($ |#1|) 190) (($ (-1169)) 181) (($ (-610 $)) 132)) (-2346 (((-3 $ "failed") $) 233 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-4449 (($ (-637 $)) 150) (($ $) 149)) (-3090 (((-121) (-123)) 161)) (-1388 (((-121) $ $) 38)) (-2943 (($ (-1169) (-637 $)) 200) (($ (-1169) $ $ $ $) 199) (($ (-1169) $ $ $) 198) (($ (-1169) $ $) 197) (($ (-1169) $) 196)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-1169)) 239 (|has| |#1| (-1053))) (($ $ (-637 (-1169))) 238 (|has| |#1| (-1053))) (($ $ (-1169) (-768)) 237 (|has| |#1| (-1053))) (($ $ (-637 (-1169)) (-637 (-768))) 236 (|has| |#1| (-1053)))) (-1350 (((-121) $ $) 128)) (-1338 (((-121) $ $) 127)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 129)) (-1331 (((-121) $ $) 126)) (-1379 (($ $ $) 62) (($ (-1120 |#1| (-610 $)) (-1120 |#1| (-610 $))) 223 (|has| |#1| (-561)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66) (($ $ (-412 (-571))) 86)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64) (($ $ |#1|) 232 (|has| |#1| (-173))) (($ |#1| $) 231 (|has| |#1| (-173))))) 
+(((-29 |#1|) (-1289) (-13 (-847) (-561))) (T -29)) 
+((-2553 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-847) (-561))))) (-1738 (*1 *2 *1) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *2 (-637 *1)) (-4 *1 (-29 *3)))) (-2553 (*1 *1 *1 *2) (-12 (-5 *2 (-1169)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-847) (-561))))) (-1738 (*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-637 *1)) (-4 *1 (-29 *4)))) (-2025 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-847) (-561))))) (-1657 (*1 *2 *1) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *2 (-637 *1)) (-4 *1 (-29 *3)))) (-2025 (*1 *1 *1 *2) (-12 (-5 *2 (-1169)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-847) (-561))))) (-1657 (*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-637 *1)) (-4 *1 (-29 *4))))) 
+(-13 (-27) (-435 |t#1|) (-10 -8 (-15 -2553 ($ $)) (-15 -1738 ((-637 $) $)) (-15 -2553 ($ $ (-1169))) (-15 -1738 ((-637 $) $ (-1169))) (-15 -2025 ($ $)) (-15 -1657 ((-637 $) $)) (-15 -2025 ($ $ (-1169))) (-15 -1657 ((-637 $) $ (-1169))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) . T) ((-27) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 |#1| |#1|) |has| |#1| (-173)) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-612 (-892 (-384))) |has| |#1| (-612 (-892 (-384)))) ((-612 (-892 (-571))) |has| |#1| (-612 (-892 (-571)))) ((-239) . T) ((-286) . T) ((-302) . T) ((-304 $) . T) ((-297) . T) ((-367) . T) ((-382 |#1|) |has| |#1| (-1053)) ((-405 |#1|) . T) ((-416 |#1|) . T) ((-435 |#1|) . T) ((-456) . T) ((-481) |has| |#1| (-481)) ((-526 (-610 $) $) . T) ((-526 $ $) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 |#1|) |has| |#1| (-173)) ((-640 $) . T) ((-633 (-571)) -12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) ((-633 |#1|) |has| |#1| (-1053)) ((-712 (-412 (-571))) . T) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) . T) ((-721) . T) ((-847) . T) ((-900 (-1169)) |has| |#1| (-1053)) ((-886 (-384)) |has| |#1| (-886 (-384))) ((-886 (-571)) |has| |#1| (-886 (-571))) ((-884 |#1|) . T) ((-921) . T) ((-1008) . T) ((-1043 (-412 (-571))) -1831 (|has| |#1| (-1043 (-412 (-571)))) (-12 (|has| |#1| (-561)) (|has| |#1| (-1043 (-571))))) ((-1043 (-412 (-958 |#1|))) |has| |#1| (-561)) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 (-610 $)) . T) ((-1043 (-958 |#1|)) |has| |#1| (-1053)) ((-1043 (-1169)) . T) ((-1043 |#1|) . T) ((-1059 (-412 (-571))) . T) ((-1059 |#1|) |has| |#1| (-173)) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1203) . T) ((-1213) . T)) 
+((-4157 (((-1091 (-216)) $) NIL)) (-4053 (((-1091 (-216)) $) NIL)) (-2299 (($ $ (-216)) 122)) (-4493 (($ (-958 (-571)) (-1169) (-1169) (-1091 (-412 (-571))) (-1091 (-412 (-571)))) 84)) (-2963 (((-637 (-637 (-949 (-216)))) $) 134)) (-3942 (((-855) $) 146))) 
+(((-30) (-13 (-961) (-10 -8 (-15 -4493 ($ (-958 (-571)) (-1169) (-1169) (-1091 (-412 (-571))) (-1091 (-412 (-571))))) (-15 -2299 ($ $ (-216)))))) (T -30)) 
+((-4493 (*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-958 (-571))) (-5 *3 (-1169)) (-5 *4 (-1091 (-412 (-571)))) (-5 *1 (-30)))) (-2299 (*1 *1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-30))))) 
+(-13 (-961) (-10 -8 (-15 -4493 ($ (-958 (-571)) (-1169) (-1169) (-1091 (-412 (-571))) (-1091 (-412 (-571))))) (-15 -2299 ($ $ (-216))))) 
+((-3769 (((-3 (-637 |#5|) "failed" "Infinite" (-571)) |#3|) 38)) (-2033 (((-637 |#5|) |#3| (-922)) 33)) (-3184 (((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-637 |#3|)) 40))) 
+(((-31 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3184 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-637 |#3|))) (-15 -3769 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) |#3|)) (-15 -2033 ((-637 |#5|) |#3| (-922)))) (-367) (-637 (-1169)) (-955 |#1| |#4| (-857 |#2|)) (-231 (-4001 |#2|) (-768)) (-977 |#1|)) (T -31)) 
+((-2033 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-5 *2 (-637 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5)))) (-3769 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-231 (-4001 *5) (-768))) (-5 *2 (-3 (-637 *7) "failed" "Infinite" (-571))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *7 (-977 *4)))) (-3184 (*1 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *2 (-3 (-637 *8) "failed" "Infinite" (-571))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4))))) 
+(-10 -7 (-15 -3184 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-637 |#3|))) (-15 -3769 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) |#3|)) (-15 -2033 ((-637 |#5|) |#3| (-922)))) 
+((-3535 (((-1165 (-1165 |#1|)) |#3|) 35)) (-3694 (((-637 (-637 (-1165 (-1165 |#1|)))) (-637 (-1165 (-1165 |#1|)))) 54)) (-3769 (((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-1165 (-1165 |#1|))) 56) (((-3 (-637 |#5|) "failed" "Infinite" (-571)) |#3|) 57)) (-2033 (((-3 (-637 |#5|) "failed" "Infinite" (-571)) |#3| (-922)) 51)) (-3966 (((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-637 (-1165 (-1165 |#1|)))) 70)) (-3184 (((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-637 |#3|)) 50))) 
+(((-32 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3769 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) |#3|)) (-15 -3769 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-1165 (-1165 |#1|)))) (-15 -3966 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-637 (-1165 (-1165 |#1|))))) (-15 -3184 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-637 |#3|))) (-15 -3535 ((-1165 (-1165 |#1|)) |#3|)) (-15 -3694 ((-637 (-637 (-1165 (-1165 |#1|)))) (-637 (-1165 (-1165 |#1|))))) (-15 -2033 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) |#3| (-922)))) (-367) (-637 (-1169)) (-955 |#1| |#4| (-857 |#2|)) (-231 (-4001 |#2|) (-768)) (-977 |#1|)) (T -32)) 
+((-2033 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-5 *2 (-3 (-637 *8) "failed" "Infinite" (-571))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5)))) (-3694 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *7 (-231 (-4001 *5) (-768))) (-5 *2 (-637 (-637 (-1165 (-1165 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-637 (-1165 (-1165 *4)))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *8 (-977 *4)))) (-3535 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-231 (-4001 *5) (-768))) (-5 *2 (-1165 (-1165 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *7 (-977 *4)))) (-3184 (*1 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *2 (-3 (-637 *8) "failed" "Infinite" (-571))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4)))) (-3966 (*1 *2 *3) (-12 (-5 *3 (-637 (-1165 (-1165 *4)))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *7 (-231 (-4001 *5) (-768))) (-5 *2 (-3 (-637 *8) "failed" "Infinite" (-571))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *8 (-977 *4)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-1165 (-1165 *4))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *7 (-231 (-4001 *5) (-768))) (-5 *2 (-3 (-637 *8) "failed" "Infinite" (-571))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *8 (-977 *4)))) (-3769 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-231 (-4001 *5) (-768))) (-5 *2 (-3 (-637 *7) "failed" "Infinite" (-571))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *7 (-977 *4))))) 
+(-10 -7 (-15 -3769 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) |#3|)) (-15 -3769 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-1165 (-1165 |#1|)))) (-15 -3966 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-637 (-1165 (-1165 |#1|))))) (-15 -3184 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) (-637 |#3|))) (-15 -3535 ((-1165 (-1165 |#1|)) |#3|)) (-15 -3694 ((-637 (-637 (-1165 (-1165 |#1|)))) (-637 (-1165 (-1165 |#1|))))) (-15 -2033 ((-3 (-637 |#5|) "failed" "Infinite" (-571)) |#3| (-922)))) 
+((-2234 (((-121) $ $) NIL)) (-3251 ((|#1| $ (-571) |#1|) NIL)) (-4149 (((-637 $) (-637 $) (-768)) NIL) (((-637 $) (-637 $)) NIL)) (-3330 (((-121) $ (-768)) NIL) (((-121) $) NIL)) (-1862 (((-637 |#1|) $) NIL)) (-1600 (($) NIL)) (-2921 (((-637 $) $) NIL) (((-637 $) $ (-768)) NIL)) (-4344 (((-637 |#1|) $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3245 ((|#1| $ (-571)) NIL)) (-2400 (((-922) $) NIL)) (-4364 ((|#1| $) NIL)) (-2911 (($ $ (-768)) NIL) (($ $) NIL)) (-3942 (((-855) $) NIL) (((-637 |#1|) $) NIL) (($ (-637 |#1|)) NIL)) (-1754 (($ (-637 |#1|)) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-33 |#1|) (-37 |#1|) (-367)) (T -33)) 
 NIL 
 (-37 |#1|) 
-((-1310 (((-121) $ $) NIL)) (-2511 (((-859 |#1|) $ (-569) (-859 |#1|)) NIL)) (-2230 (((-635 $) (-635 $) (-765)) NIL) (((-635 $) (-635 $)) NIL)) (-4429 (((-121) $ (-765)) NIL) (((-121) $) NIL)) (-4069 (((-635 (-859 |#1|)) $) NIL)) (-4008 (($) NIL)) (-3481 (((-635 $) $) NIL) (((-635 $) $ (-765)) NIL)) (-1832 (((-635 (-859 |#1|)) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 (((-859 |#1|) $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-4134 (((-859 |#1|) $) NIL)) (-3980 (($ $ (-765)) NIL) (($ $) NIL)) (-3956 (((-852) $) NIL) (((-635 (-859 |#1|)) $) NIL) (($ (-635 (-859 |#1|))) NIL)) (-1649 (($ (-635 (-859 |#1|))) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-34 |#1|) (-37 (-859 |#1|)) (-351)) (T -34)) 
+((-2234 (((-121) $ $) NIL)) (-3251 (((-862 |#1|) $ (-571) (-862 |#1|)) NIL)) (-4149 (((-637 $) (-637 $) (-768)) NIL) (((-637 $) (-637 $)) NIL)) (-3330 (((-121) $ (-768)) NIL) (((-121) $) NIL)) (-1862 (((-637 (-862 |#1|)) $) NIL)) (-1600 (($) NIL)) (-2921 (((-637 $) $) NIL) (((-637 $) $ (-768)) NIL)) (-4344 (((-637 (-862 |#1|)) $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3245 (((-862 |#1|) $ (-571)) NIL)) (-2400 (((-922) $) NIL)) (-4364 (((-862 |#1|) $) NIL)) (-2911 (($ $ (-768)) NIL) (($ $) NIL)) (-3942 (((-855) $) NIL) (((-637 (-862 |#1|)) $) NIL) (($ (-637 (-862 |#1|))) NIL)) (-1754 (($ (-637 (-862 |#1|))) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-34 |#1|) (-37 (-862 |#1|)) (-352)) (T -34)) 
 NIL 
-(-37 (-859 |#1|)) 
-((-1310 (((-121) $ $) NIL)) (-2511 ((|#2| $ (-569) |#2|) NIL)) (-2230 (((-635 $) (-635 $) (-765)) 39) (((-635 $) (-635 $)) 40)) (-4429 (((-121) $ (-765)) 36) (((-121) $) 38)) (-4069 (((-635 |#2|) $) 31)) (-4008 (($) 12)) (-3481 (((-635 $) $) 48) (((-635 $) $ (-765)) 45)) (-1832 (((-635 |#2|) $) 30)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#2| $ (-569)) NIL)) (-2284 (((-919) $) 20)) (-4134 ((|#2| $) 26)) (-3980 (($ $ (-765)) 33) (($ $) 47)) (-3956 (((-852) $) 23) (((-635 |#2|) $) 28) (($ (-635 |#2|)) 51)) (-1649 (($ (-635 |#2|)) 29)) (-1326 (((-121) $ $) 35))) 
-(((-35 |#1| |#2|) (-37 |#2|) (-765) (-366)) (T -35)) 
+(-37 (-862 |#1|)) 
+((-2234 (((-121) $ $) NIL)) (-3251 ((|#2| $ (-571) |#2|) NIL)) (-4149 (((-637 $) (-637 $) (-768)) 39) (((-637 $) (-637 $)) 40)) (-3330 (((-121) $ (-768)) 36) (((-121) $) 38)) (-1862 (((-637 |#2|) $) 31)) (-1600 (($) 12)) (-2921 (((-637 $) $) 48) (((-637 $) $ (-768)) 45)) (-4344 (((-637 |#2|) $) 30)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3245 ((|#2| $ (-571)) NIL)) (-2400 (((-922) $) 20)) (-4364 ((|#2| $) 26)) (-2911 (($ $ (-768)) 33) (($ $) 47)) (-3942 (((-855) $) 23) (((-637 |#2|) $) 28) (($ (-637 |#2|)) 51)) (-1754 (($ (-637 |#2|)) 29)) (-1323 (((-121) $ $) 35))) 
+(((-35 |#1| |#2|) (-37 |#2|) (-768) (-367)) (T -35)) 
 NIL 
 (-37 |#2|) 
-((-2306 ((|#2| (-1161 |#2|) (-1165)) 42)) (-1344 (((-123) (-123)) 54)) (-2387 (((-1161 |#2|) (-608 |#2|)) 129 (|has| |#1| (-1039 (-569))))) (-2244 ((|#2| |#1| (-569)) 108 (|has| |#1| (-1039 (-569))))) (-2734 ((|#2| (-1161 |#2|) |#2|) 30)) (-1692 (((-852) (-635 |#2|)) 84)) (-3036 ((|#2| |#2|) 125 (|has| |#1| (-1039 (-569))))) (-3791 (((-121) (-123)) 18)) (** ((|#2| |#2| (-410 (-569))) 89 (|has| |#1| (-1039 (-569)))))) 
-(((-36 |#1| |#2|) (-10 -7 (-15 -2306 (|#2| (-1161 |#2|) (-1165))) (-15 -1344 ((-123) (-123))) (-15 -3791 ((-121) (-123))) (-15 -2734 (|#2| (-1161 |#2|) |#2|)) (-15 -1692 ((-852) (-635 |#2|))) (IF (|has| |#1| (-1039 (-569))) (PROGN (-15 ** (|#2| |#2| (-410 (-569)))) (-15 -2387 ((-1161 |#2|) (-608 |#2|))) (-15 -3036 (|#2| |#2|)) (-15 -2244 (|#2| |#1| (-569)))) |noBranch|)) (-13 (-844) (-559)) (-433 |#1|)) (T -36)) 
-((-2244 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *2 (-433 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1039 *4)) (-4 *3 (-13 (-844) (-559))))) (-3036 (*1 *2 *2) (-12 (-4 *3 (-1039 (-569))) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-36 *3 *2)) (-4 *2 (-433 *3)))) (-2387 (*1 *2 *3) (-12 (-5 *3 (-608 *5)) (-4 *5 (-433 *4)) (-4 *4 (-1039 (-569))) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-1161 *5)) (-5 *1 (-36 *4 *5)))) (** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-1039 (-569))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-36 *4 *2)) (-4 *2 (-433 *4)))) (-1692 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-852)) (-5 *1 (-36 *4 *5)))) (-2734 (*1 *2 *3 *2) (-12 (-5 *3 (-1161 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-36 *4 *2)))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-433 *4)))) (-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-36 *3 *4)) (-4 *4 (-433 *3)))) (-2306 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *2)) (-5 *4 (-1165)) (-4 *2 (-433 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-844) (-559)))))) 
-(-10 -7 (-15 -2306 (|#2| (-1161 |#2|) (-1165))) (-15 -1344 ((-123) (-123))) (-15 -3791 ((-121) (-123))) (-15 -2734 (|#2| (-1161 |#2|) |#2|)) (-15 -1692 ((-852) (-635 |#2|))) (IF (|has| |#1| (-1039 (-569))) (PROGN (-15 ** (|#2| |#2| (-410 (-569)))) (-15 -2387 ((-1161 |#2|) (-608 |#2|))) (-15 -3036 (|#2| |#2|)) (-15 -2244 (|#2| |#1| (-569)))) |noBranch|)) 
-((-1310 (((-121) $ $) 7)) (-2511 ((|#1| $ (-569) |#1|) 14)) (-2230 (((-635 $) (-635 $) (-765)) 20) (((-635 $) (-635 $)) 19)) (-4429 (((-121) $ (-765)) 18) (((-121) $) 17)) (-4069 (((-635 |#1|) $) 13)) (-4008 (($) 29)) (-3481 (((-635 $) $) 24) (((-635 $) $ (-765)) 23)) (-1832 (((-635 |#1|) $) 16)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2503 ((|#1| $ (-569)) 15)) (-2284 (((-919) $) 12)) (-4134 ((|#1| $) 27)) (-3980 (($ $ (-765)) 22) (($ $) 21)) (-3956 (((-852) $) 11) (((-635 |#1|) $) 26) (($ (-635 |#1|)) 25)) (-1649 (($ (-635 |#1|)) 28)) (-1326 (((-121) $ $) 6))) 
-(((-37 |#1|) (-1284) (-366)) (T -37)) 
-((-4008 (*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-1649 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) (-4134 (*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) (-3481 (*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *3)))) (-3481 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *4)))) (-3980 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) (-3980 (*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-2230 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-765)) (-4 *1 (-37 *4)) (-4 *4 (-366)))) (-2230 (*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) (-4429 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-37 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-1832 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-4069 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
-(-13 (-1091) (-10 -8 (-15 -4008 ($)) (-15 -1649 ($ (-635 |t#1|))) (-15 -4134 (|t#1| $)) (-15 -3956 ((-635 |t#1|) $)) (-15 -3956 ($ (-635 |t#1|))) (-15 -3481 ((-635 $) $)) (-15 -3481 ((-635 $) $ (-765))) (-15 -3980 ($ $ (-765))) (-15 -3980 ($ $)) (-15 -2230 ((-635 $) (-635 $) (-765))) (-15 -2230 ((-635 $) (-635 $))) (-15 -4429 ((-121) $ (-765))) (-15 -4429 ((-121) $)) (-15 -1832 ((-635 |t#1|) $)) (-15 -2503 (|t#1| $ (-569))) (-15 -2511 (|t#1| $ (-569) |t#1|)) (-15 -4069 ((-635 |t#1|) $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T) ((-1091) . T)) 
-((-3350 (((-121) $ (-765)) 16)) (-4483 (($) 10)) (-3206 (((-121) $ (-765)) 15)) (-1396 (((-121) $ (-765)) 14)) (-3186 (((-121) $ $) 8)) (-1668 (((-121) $) 13))) 
-(((-38 |#1|) (-10 -8 (-15 -4483 (|#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765))) (-15 -1668 ((-121) |#1|)) (-15 -3186 ((-121) |#1| |#1|))) (-39)) (T -38)) 
-NIL 
-(-10 -8 (-15 -4483 (|#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765))) (-15 -1668 ((-121) |#1|)) (-15 -3186 ((-121) |#1| |#1|))) 
-((-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-3206 (((-121) $ (-765)) 9)) (-1396 (((-121) $ (-765)) 10)) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-1799 (($ $) 13)) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-39) (-1284)) (T -39)) 
-((-3186 (*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-1799 (*1 *1 *1) (-4 *1 (-39))) (-4016 (*1 *1) (-4 *1 (-39))) (-1668 (*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-1396 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) (-3206 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) (-3350 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) (-4483 (*1 *1) (-4 *1 (-39))) (-2946 (*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-39)) (-5 *2 (-765))))) 
-(-13 (-1199) (-10 -8 (-15 -3186 ((-121) $ $)) (-15 -1799 ($ $)) (-15 -4016 ($)) (-15 -1668 ((-121) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -4483 ($) -3575) (IF (|has| $ (-6 -4571)) (-15 -2946 ((-765) $)) |noBranch|))) 
-(((-1199) . T)) 
-((-3585 (($ $) 11)) (-3572 (($ $) 10)) (-3599 (($ $) 9)) (-4527 (($ $) 8)) (-3592 (($ $) 7)) (-3579 (($ $) 6))) 
-(((-40) (-1284)) (T -40)) 
-((-3585 (*1 *1 *1) (-4 *1 (-40))) (-3572 (*1 *1 *1) (-4 *1 (-40))) (-3599 (*1 *1 *1) (-4 *1 (-40))) (-4527 (*1 *1 *1) (-4 *1 (-40))) (-3592 (*1 *1 *1) (-4 *1 (-40))) (-3579 (*1 *1 *1) (-4 *1 (-40)))) 
-(-13 (-10 -8 (-15 -3579 ($ $)) (-15 -3592 ($ $)) (-15 -4527 ($ $)) (-15 -3599 ($ $)) (-15 -3572 ($ $)) (-15 -3585 ($ $)))) 
-((-1310 (((-121) $ $) 18 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2756 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 117)) (-1823 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 140)) (-2394 (($ $) 138)) (-4404 (($) 66) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 65)) (-1403 (((-1258) $ |#1| |#1|) 93 (|has| $ (-6 -4572))) (((-1258) $ (-569) (-569)) 170 (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 151 (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 201) (((-121) $) 195 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1744 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 192 (|has| $ (-6 -4572))) (($ $) 191 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 202) (($ $) 196 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-3350 (((-121) $ (-765)) 8)) (-4548 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 126 (|has| $ (-6 -4572)))) (-2908 (($ $ $) 147 (|has| $ (-6 -4572)))) (-2450 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 149 (|has| $ (-6 -4572)))) (-2062 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 145 (|has| $ (-6 -4572)))) (-2511 ((|#2| $ |#1| |#2|) 67) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 181 (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-1219 (-569)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 152 (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "last" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 150 (|has| $ (-6 -4572))) (($ $ "rest" $) 148 (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "first" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 146 (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "value" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 125 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 124 (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 42 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 208)) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 52 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 167 (|has| $ (-6 -4571)))) (-4024 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 139)) (-1809 (((-3 |#2| "failed") |#1| $) 57)) (-4483 (($) 7 T CONST)) (-2887 (($ $) 193 (|has| $ (-6 -4572)))) (-1871 (($ $) 203)) (-1864 (($ $ (-765)) 134) (($ $) 132)) (-2938 (($ $) 206 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1858 (($ $) 55 (-1929 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))) (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 43 (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 58) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 212) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 207 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 54 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 51 (|has| $ (-6 -4571))) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 169 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 166 (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 53 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 50 (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 49 (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 168 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 165 (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 164 (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 182 (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) 82) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) 180)) (-1292 (((-121) $) 184)) (-3988 (((-569) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 200) (((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 199 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) (((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) 198 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 30 (|has| $ (-6 -4571))) (((-635 |#2|) $) 73 (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 106 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 115)) (-2638 (((-121) $ $) 123 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-2446 (($ (-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 161)) (-3206 (((-121) $ (-765)) 9)) (-2497 ((|#1| $) 90 (|has| |#1| (-844))) (((-569) $) 172 (|has| (-569) (-844)))) (-2157 (($ $ $) 190 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-4002 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) 209) (($ $ $) 205 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2102 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) 204) (($ $ $) 197 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 29 (|has| $ (-6 -4571))) (((-635 |#2|) $) 74 (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 107 (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 27 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571)))) (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 109 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))))) (-1301 ((|#1| $) 89 (|has| |#1| (-844))) (((-569) $) 173 (|has| (-569) (-844)))) (-2713 (($ $ $) 189 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 34 (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4572))) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 102 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) 158) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 101)) (-1832 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 217)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 120)) (-3491 (((-121) $) 116)) (-2605 (((-1147) $) 22 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-3302 (($ $ (-765)) 137) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 135)) (-1316 (((-635 |#1|) $) 59)) (-1591 (((-121) |#1| $) 60)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 36)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 37) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) 211) (($ $ $ (-569)) 210)) (-2583 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) 154) (($ $ $ (-569)) 153)) (-2761 (((-635 |#1|) $) 87) (((-635 (-569)) $) 175)) (-3292 (((-121) |#1| $) 86) (((-121) (-569) $) 176)) (-1912 (((-1111) $) 21 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1816 ((|#2| $) 91 (|has| |#1| (-844))) (($ $ (-765)) 131) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 129)) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 48) (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 163)) (-2417 (($ $ |#2|) 92 (|has| $ (-6 -4572))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 171 (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 38)) (-4363 (((-121) $) 183)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 32 (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 104 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 26 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 25 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 24 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 23 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) 80 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) 78 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) 77 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 113 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 112 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 111 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 110 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 174 (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-4283 (((-635 |#2|) $) 85) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 177)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 179) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) 178) (($ $ (-1219 (-569))) 157) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "last") 136) (($ $ "rest") 133) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "first") 130) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "value") 118)) (-3248 (((-569) $ $) 121)) (-1353 (($) 46) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 45)) (-1313 (($ $ (-569)) 214) (($ $ (-1219 (-569))) 213)) (-2077 (($ $ (-569)) 156) (($ $ (-1219 (-569))) 155)) (-1630 (((-121) $) 119)) (-2588 (($ $) 143)) (-1390 (($ $) 144 (|has| $ (-6 -4572)))) (-3977 (((-765) $) 142)) (-2483 (($ $) 141)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 31 (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 28 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-765) |#2| $) 75 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 108 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 105 (|has| $ (-6 -4571)))) (-3038 (($ $ $ (-569)) 194 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542)))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 47) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 162)) (-4422 (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 216) (($ $ $) 215)) (-4456 (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 160) (($ (-635 $)) 159) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 128) (($ $ $) 127)) (-3956 (((-852) $) 20 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-4065 (((-635 $) $) 114)) (-3773 (((-121) $ $) 122 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 39)) (-2020 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") |#1| $) 100)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 33 (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 103 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 187 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1343 (((-121) $ $) 186 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1326 (((-121) $ $) 19 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1349 (((-121) $ $) 188 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1337 (((-121) $ $) 185 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-41 |#1| |#2|) (-1284) (-1093) (-1093)) (T -41)) 
-((-2020 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-2 (|:| -3335 *3) (|:| -3175 *4)))))) 
-(-13 (-1176 |t#1| |t#2|) (-659 (-2 (|:| -3335 |t#1|) (|:| -3175 |t#2|))) (-10 -8 (-15 -2020 ((-3 (-2 (|:| -3335 |t#1|) (|:| -3175 |t#2|)) "failed") |t#1| $)))) 
-(((-39) . T) ((-111 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-105) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844))) ((-609 (-852)) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844))) ((-155 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-228 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-282 (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-282 |#1| |#2|) . T) ((-284 (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-284 |#1| |#2|) . T) ((-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-278 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-376 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-500 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-500 |#2|) . T) ((-602 (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-602 |#1| |#2|) . T) ((-524 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-606 |#1| |#2|) . T) ((-641 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-659 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-844) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)) ((-1012 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-1093) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844))) ((-1137 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-1176 |#1| |#2|) . T) ((-1199) . T) ((-1240 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
-((-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) 10))) 
-(((-42 |#1| |#2|) (-10 -8 (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-43 |#2|) (-173)) (T -42)) 
-NIL 
-(-10 -8 (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-43 |#1|) (-1284) (-173)) (T -43)) 
-((-3956 (*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-173))))) 
-(-13 (-1049) (-709 |t#1|) (-10 -8 (-15 -3956 ($ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) . T) ((-718) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-2009 (((-421 |#1|) |#1|) 38)) (-3139 (((-421 |#1|) |#1|) 27) (((-421 |#1|) |#1| (-635 (-53))) 30)) (-3916 (((-121) |#1|) 54))) 
-(((-44 |#1|) (-10 -7 (-15 -3139 ((-421 |#1|) |#1| (-635 (-53)))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2009 ((-421 |#1|) |#1|)) (-15 -3916 ((-121) |#1|))) (-1228 (-53))) (T -44)) 
-((-3916 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) (-2009 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53)))))) 
-(-10 -7 (-15 -3139 ((-421 |#1|) |#1| (-635 (-53)))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2009 ((-421 |#1|) |#1|)) (-15 -3916 ((-121) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3315 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| (-410 |#2|) (-366)))) (-2915 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2735 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-2245 (((-681 (-410 |#2|)) (-1253 $)) NIL) (((-681 (-410 |#2|))) NIL)) (-3588 (((-410 |#2|) $) NIL)) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-410 |#2|) (-351)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3742 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2889 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2675 (((-765)) NIL (|has| (-410 |#2|) (-371)))) (-2147 (((-121)) NIL)) (-4017 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| (-410 |#2|) (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| (-410 |#2|) (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-410 |#2|) $) NIL)) (-2097 (($ (-1253 (-410 |#2|)) (-1253 $)) NIL) (($ (-1253 (-410 |#2|))) 57) (($ (-1253 |#2|) |#2|) 124)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-410 |#2|) (-351)))) (-1614 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1808 (((-681 (-410 |#2|)) $ (-1253 $)) NIL) (((-681 (-410 |#2|)) $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-410 |#2|))) (|:| |vec| (-1253 (-410 |#2|)))) (-681 $) (-1253 $)) NIL) (((-681 (-410 |#2|)) (-681 $)) NIL)) (-3728 (((-1253 $) (-1253 $)) NIL)) (-2793 (($ |#3|) NIL) (((-3 $ "failed") (-410 |#3|)) NIL (|has| (-410 |#2|) (-366)))) (-2611 (((-3 $ "failed") $) NIL)) (-3768 (((-635 (-635 |#1|))) NIL (|has| |#1| (-371)))) (-1596 (((-121) |#1| |#1|) NIL)) (-3358 (((-919)) NIL)) (-3341 (($) NIL (|has| (-410 |#2|) (-371)))) (-3717 (((-121)) NIL)) (-2521 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-1626 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| (-410 |#2|) (-366)))) (-2540 (($ $) NIL)) (-1456 (($) NIL (|has| (-410 |#2|) (-351)))) (-3462 (((-121) $) NIL (|has| (-410 |#2|) (-351)))) (-3238 (($ $ (-765)) NIL (|has| (-410 |#2|) (-351))) (($ $) NIL (|has| (-410 |#2|) (-351)))) (-2005 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-4433 (((-919) $) NIL (|has| (-410 |#2|) (-351))) (((-830 (-919)) $) NIL (|has| (-410 |#2|) (-351)))) (-3934 (((-121) $) NIL)) (-1853 (((-765)) NIL)) (-2749 (((-1253 $) (-1253 $)) 100)) (-3046 (((-410 |#2|) $) NIL)) (-1694 (((-635 (-955 |#1|)) (-1165)) NIL (|has| |#1| (-366)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2415 ((|#3| $) NIL (|has| (-410 |#2|) (-366)))) (-2862 (((-919) $) NIL (|has| (-410 |#2|) (-371)))) (-2786 ((|#3| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2605 (((-1147) $) NIL)) (-1415 (((-1258) (-765)) 78)) (-3561 (((-681 (-410 |#2|))) 51)) (-2715 (((-681 (-410 |#2|))) 44)) (-3243 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-4284 (($ (-1253 |#2|) |#2|) 125)) (-3145 (((-681 (-410 |#2|))) 45)) (-2949 (((-681 (-410 |#2|))) 43)) (-1593 (((-2 (|:| |num| (-681 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 122)) (-1482 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) 63)) (-1365 (((-1253 $)) 42)) (-1629 (((-1253 $)) 41)) (-2722 (((-121) $) NIL)) (-3759 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-1423 (($) NIL (|has| (-410 |#2|) (-351)) CONST)) (-1333 (($ (-919)) NIL (|has| (-410 |#2|) (-371)))) (-3973 (((-3 |#2| "failed")) NIL)) (-1912 (((-1111) $) NIL)) (-2196 (((-765)) NIL)) (-1986 (($) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| (-410 |#2|) (-366)))) (-3964 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-410 |#2|) (-351)))) (-3139 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-1436 (((-3 $ "failed") $ $) NIL (|has| (-410 |#2|) (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2061 (((-765) $) NIL (|has| (-410 |#2|) (-366)))) (-2503 ((|#1| $ |#1| |#1|) NIL)) (-4374 (((-3 |#2| "failed")) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2925 (((-410 |#2|) (-1253 $)) NIL) (((-410 |#2|)) 39)) (-3600 (((-765) $) NIL (|has| (-410 |#2|) (-351))) (((-3 (-765) "failed") $ $) NIL (|has| (-410 |#2|) (-351)))) (-3289 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) 118) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3775 (((-681 (-410 |#2|)) (-1253 $) (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366)))) (-3036 ((|#3|) 50)) (-3563 (($) NIL (|has| (-410 |#2|) (-351)))) (-3672 (((-1253 (-410 |#2|)) $ (-1253 $)) NIL) (((-681 (-410 |#2|)) (-1253 $) (-1253 $)) NIL) (((-1253 (-410 |#2|)) $) 58) (((-681 (-410 |#2|)) (-1253 $)) 101)) (-4035 (((-1253 (-410 |#2|)) $) NIL) (($ (-1253 (-410 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-410 |#2|) (-351)))) (-4482 (((-1253 $) (-1253 $)) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 |#2|)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1039 (-410 (-569)))))) (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2277 (($ $) NIL (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-149)))) (-3033 ((|#3| $) NIL)) (-2320 (((-765)) NIL)) (-4197 (((-121)) 37)) (-3834 (((-121) |#1|) 49) (((-121) |#2|) 130)) (-4079 (((-1253 $)) 91)) (-2909 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-4037 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3268 (((-121)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (-2407 (($) 16 T CONST)) (-3297 (($) 26 T CONST)) (-3712 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 |#2|)) NIL) (($ (-410 |#2|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) NIL (|has| (-410 |#2|) (-366))))) 
-(((-45 |#1| |#2| |#3| |#4|) (-13 (-341 |#1| |#2| |#3|) (-10 -7 (-15 -1415 ((-1258) (-765))))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) |#3|) (T -45)) 
-((-1415 (*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-4 *5 (-1228 *4)) (-5 *2 (-1258)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1228 (-410 *5))) (-14 *7 *6)))) 
-(-13 (-341 |#1| |#2| |#3|) (-10 -7 (-15 -1415 ((-1258) (-765))))) 
-((-3201 ((|#2| |#2|) 47)) (-2374 ((|#2| |#2|) 116 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-844)) (|has| |#1| (-1039 (-569)))))) (-3019 ((|#2| |#2|) 85 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-844)) (|has| |#1| (-1039 (-569)))))) (-1787 ((|#2| |#2|) 86 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-844)) (|has| |#1| (-1039 (-569)))))) (-1795 ((|#2| (-123) |#2| (-765)) 73 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-844)) (|has| |#1| (-1039 (-569)))))) (-4419 (((-1161 |#2|) |#2|) 44)) (-2000 ((|#2| |#2| (-635 (-608 |#2|))) 17) ((|#2| |#2| (-635 |#2|)) 19) ((|#2| |#2| |#2|) 20) ((|#2| |#2|) 15))) 
-(((-46 |#1| |#2|) (-10 -7 (-15 -3201 (|#2| |#2|)) (-15 -2000 (|#2| |#2|)) (-15 -2000 (|#2| |#2| |#2|)) (-15 -2000 (|#2| |#2| (-635 |#2|))) (-15 -2000 (|#2| |#2| (-635 (-608 |#2|)))) (-15 -4419 ((-1161 |#2|) |#2|)) (IF (|has| |#1| (-844)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-1039 (-569))) (IF (|has| |#2| (-433 |#1|)) (PROGN (-15 -1787 (|#2| |#2|)) (-15 -3019 (|#2| |#2|)) (-15 -2374 (|#2| |#2|)) (-15 -1795 (|#2| (-123) |#2| (-765)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-559) (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 |#1| (-608 $)) $)) (-15 -3524 ((-1116 |#1| (-608 $)) $)) (-15 -3956 ($ (-1116 |#1| (-608 $))))))) (T -46)) 
-((-1795 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-765)) (-4 *5 (-454)) (-4 *5 (-844)) (-4 *5 (-1039 (-569))) (-4 *5 (-559)) (-5 *1 (-46 *5 *2)) (-4 *2 (-433 *5)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *5 (-608 $)) $)) (-15 -3524 ((-1116 *5 (-608 $)) $)) (-15 -3956 ($ (-1116 *5 (-608 $))))))))) (-2374 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) (-3019 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) (-1787 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) (-4419 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1161 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $))))))))) (-2000 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-608 *2))) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) (-2000 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) (-2000 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) (-2000 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) (-3201 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $)))))))))) 
-(-10 -7 (-15 -3201 (|#2| |#2|)) (-15 -2000 (|#2| |#2|)) (-15 -2000 (|#2| |#2| |#2|)) (-15 -2000 (|#2| |#2| (-635 |#2|))) (-15 -2000 (|#2| |#2| (-635 (-608 |#2|)))) (-15 -4419 ((-1161 |#2|) |#2|)) (IF (|has| |#1| (-844)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-1039 (-569))) (IF (|has| |#2| (-433 |#1|)) (PROGN (-15 -1787 (|#2| |#2|)) (-15 -3019 (|#2| |#2|)) (-15 -2374 (|#2| |#2|)) (-15 -1795 (|#2| (-123) |#2| (-765)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
-((-3139 (((-421 (-1161 |#3|)) (-1161 |#3|) (-635 (-53))) 22) (((-421 |#3|) |#3| (-635 (-53))) 18))) 
-(((-47 |#1| |#2| |#3|) (-10 -7 (-15 -3139 ((-421 |#3|) |#3| (-635 (-53)))) (-15 -3139 ((-421 (-1161 |#3|)) (-1161 |#3|) (-635 (-53))))) (-844) (-790) (-952 (-53) |#2| |#1|)) (T -47)) 
-((-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *7 (-952 (-53) *6 *5)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *2 (-421 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-952 (-53) *6 *5))))) 
-(-10 -7 (-15 -3139 ((-421 |#3|) |#3| (-635 (-53)))) (-15 -3139 ((-421 (-1161 |#3|)) (-1161 |#3|) (-635 (-53))))) 
-((-1827 (((-765) |#2|) 65)) (-1760 (((-765) |#2|) 68)) (-3056 (((-635 |#2|)) 33)) (-3881 (((-765) |#2|) 67)) (-3347 (((-765) |#2|) 64)) (-4276 (((-765) |#2|) 66)) (-1875 (((-635 (-681 |#1|))) 60)) (-1881 (((-635 |#2|)) 55)) (-2293 (((-635 |#2|) |#2|) 43)) (-2188 (((-635 |#2|)) 57)) (-3767 (((-635 |#2|)) 56)) (-2428 (((-635 (-681 |#1|))) 48)) (-3858 (((-635 |#2|)) 54)) (-2193 (((-635 |#2|) |#2|) 42)) (-2410 (((-635 |#2|)) 50)) (-3771 (((-635 (-681 |#1|))) 61)) (-3111 (((-635 |#2|)) 59)) (-4079 (((-1253 |#2|) (-1253 |#2|)) 83 (|has| |#1| (-302))))) 
-(((-48 |#1| |#2|) (-10 -7 (-15 -3881 ((-765) |#2|)) (-15 -1760 ((-765) |#2|)) (-15 -3347 ((-765) |#2|)) (-15 -1827 ((-765) |#2|)) (-15 -4276 ((-765) |#2|)) (-15 -2410 ((-635 |#2|))) (-15 -2193 ((-635 |#2|) |#2|)) (-15 -2293 ((-635 |#2|) |#2|)) (-15 -3858 ((-635 |#2|))) (-15 -1881 ((-635 |#2|))) (-15 -3767 ((-635 |#2|))) (-15 -2188 ((-635 |#2|))) (-15 -3111 ((-635 |#2|))) (-15 -2428 ((-635 (-681 |#1|)))) (-15 -1875 ((-635 (-681 |#1|)))) (-15 -3771 ((-635 (-681 |#1|)))) (-15 -3056 ((-635 |#2|))) (IF (|has| |#1| (-302)) (-15 -4079 ((-1253 |#2|) (-1253 |#2|))) |noBranch|)) (-559) (-420 |#1|)) (T -48)) 
-((-4079 (*1 *2 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-420 *3)) (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-48 *3 *4)))) (-3056 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3771 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-1875 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2428 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3111 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2188 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3767 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-1881 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3858 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2293 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-2193 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-2410 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-4276 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-1827 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3347 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-1760 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3881 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(-10 -7 (-15 -3881 ((-765) |#2|)) (-15 -1760 ((-765) |#2|)) (-15 -3347 ((-765) |#2|)) (-15 -1827 ((-765) |#2|)) (-15 -4276 ((-765) |#2|)) (-15 -2410 ((-635 |#2|))) (-15 -2193 ((-635 |#2|) |#2|)) (-15 -2293 ((-635 |#2|) |#2|)) (-15 -3858 ((-635 |#2|))) (-15 -1881 ((-635 |#2|))) (-15 -3767 ((-635 |#2|))) (-15 -2188 ((-635 |#2|))) (-15 -3111 ((-635 |#2|))) (-15 -2428 ((-635 (-681 |#1|)))) (-15 -1875 ((-635 (-681 |#1|)))) (-15 -3771 ((-635 (-681 |#1|)))) (-15 -3056 ((-635 |#2|))) (IF (|has| |#1| (-302)) (-15 -4079 ((-1253 |#2|) (-1253 |#2|))) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3667 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3359 (((-1253 (-681 |#1|)) (-1253 $)) NIL) (((-1253 (-681 |#1|))) 24)) (-1552 (((-1253 $)) 50)) (-4483 (($) NIL T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (|has| |#1| (-559)))) (-3943 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-2459 (((-681 |#1|) (-1253 $)) NIL) (((-681 |#1|)) NIL)) (-1478 ((|#1| $) NIL)) (-4471 (((-681 |#1|) $ (-1253 $)) NIL) (((-681 |#1|) $) NIL)) (-4174 (((-3 $ "failed") $) NIL (|has| |#1| (-559)))) (-1965 (((-1161 (-955 |#1|))) NIL (|has| |#1| (-366)))) (-4382 (($ $ (-919)) NIL)) (-3557 ((|#1| $) NIL)) (-2212 (((-1161 |#1|) $) NIL (|has| |#1| (-559)))) (-1547 ((|#1| (-1253 $)) NIL) ((|#1|) NIL)) (-3168 (((-1161 |#1|) $) NIL)) (-3073 (((-121)) 86)) (-2097 (($ (-1253 |#1|) (-1253 $)) NIL) (($ (-1253 |#1|)) NIL)) (-2611 (((-3 $ "failed") $) 14 (|has| |#1| (-559)))) (-3358 (((-919)) 51)) (-3894 (((-121)) NIL)) (-2073 (($ $ (-919)) NIL)) (-1428 (((-121)) NIL)) (-4078 (((-121)) NIL)) (-4015 (((-121)) 88)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (|has| |#1| (-559)))) (-1309 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-3707 (((-681 |#1|) (-1253 $)) NIL) (((-681 |#1|)) NIL)) (-2858 ((|#1| $) NIL)) (-4432 (((-681 |#1|) $ (-1253 $)) NIL) (((-681 |#1|) $) NIL)) (-2983 (((-3 $ "failed") $) NIL (|has| |#1| (-559)))) (-3348 (((-1161 (-955 |#1|))) NIL (|has| |#1| (-366)))) (-2846 (($ $ (-919)) NIL)) (-2170 ((|#1| $) NIL)) (-1650 (((-1161 |#1|) $) NIL (|has| |#1| (-559)))) (-2510 ((|#1| (-1253 $)) NIL) ((|#1|) NIL)) (-4215 (((-1161 |#1|) $) NIL)) (-2431 (((-121)) 85)) (-2605 (((-1147) $) NIL)) (-2826 (((-121)) 92)) (-4161 (((-121)) 91)) (-3983 (((-121)) 93)) (-1912 (((-1111) $) NIL)) (-2067 (((-121)) 87)) (-2503 ((|#1| $ (-569)) 53)) (-3672 (((-1253 |#1|) $ (-1253 $)) 47) (((-681 |#1|) (-1253 $) (-1253 $)) NIL) (((-1253 |#1|) $) 28) (((-681 |#1|) (-1253 $)) NIL)) (-4035 (((-1253 |#1|) $) NIL) (($ (-1253 |#1|)) NIL)) (-3127 (((-635 (-955 |#1|)) (-1253 $)) NIL) (((-635 (-955 |#1|))) NIL)) (-2689 (($ $ $) NIL)) (-2984 (((-121)) 83)) (-3956 (((-852) $) 68) (($ (-1253 |#1|)) 22)) (-4079 (((-1253 $)) 44)) (-2628 (((-635 (-1253 |#1|))) NIL (|has| |#1| (-559)))) (-4379 (($ $ $ $) NIL)) (-1413 (((-121)) 81)) (-1772 (($ (-681 |#1|) $) 18)) (-3924 (($ $ $) NIL)) (-1561 (((-121)) 84)) (-3952 (((-121)) 82)) (-1606 (((-121)) 80)) (-2407 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 75) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-1130 |#2| |#1|) $) 19))) 
-(((-49 |#1| |#2| |#3| |#4|) (-13 (-420 |#1|) (-638 (-1130 |#2| |#1|)) (-10 -8 (-15 -3956 ($ (-1253 |#1|))))) (-366) (-919) (-635 (-1165)) (-1253 (-681 |#1|))) (T -49)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-366)) (-14 *6 (-1253 (-681 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-919)) (-14 *5 (-635 (-1165)))))) 
-(-13 (-420 |#1|) (-638 (-1130 |#2| |#1|)) (-10 -8 (-15 -3956 ($ (-1253 |#1|))))) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2756 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-1823 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2394 (($ $) NIL)) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572))) (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (((-121) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1744 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844))))) (-2930 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-4548 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) 27 (|has| $ (-6 -4572)))) (-2450 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572)))) (-2062 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 29 (|has| $ (-6 -4572)))) (-2511 ((|#2| $ |#1| |#2|) 45) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-1219 (-569)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "last" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572))) (($ $ "rest" $) NIL (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "first" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "value" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-4024 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-1809 (((-3 |#2| "failed") |#1| $) 37)) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1864 (($ $ (-765)) NIL) (($ $) 24)) (-2938 (($ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 46) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) NIL)) (-1292 (((-121) $) NIL)) (-3988 (((-569) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) (((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 18 (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 18 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-2446 (($ (-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844))) (((-569) $) 32 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-4002 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2102 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844))) (((-569) $) 34 (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572))) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) NIL) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-1832 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) 41 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-3302 (($ $ (-765)) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-1316 (((-635 |#1|) $) 20)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2583 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 |#1|) $) NIL) (((-635 (-569)) $) NIL)) (-3292 (((-121) |#1| $) NIL) (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844))) (($ $ (-765)) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 23)) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-4363 (((-121) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-4283 (((-635 |#2|) $) NIL) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 17)) (-1668 (((-121) $) 16)) (-4016 (($) 13)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) NIL) (($ $ (-1219 (-569))) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "first") NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "value") NIL)) (-3248 (((-569) $ $) NIL)) (-1353 (($) 12) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1313 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-1630 (((-121) $) NIL)) (-2588 (($ $) NIL)) (-1390 (($ $) NIL (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-4422 (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL) (($ $ $) NIL)) (-4456 (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL) (($ (-635 $)) NIL) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 25) (($ $ $) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2020 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") |#1| $) 43)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1349 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2946 (((-765) $) 22 (|has| $ (-6 -4571))))) 
-(((-50 |#1| |#2|) (-41 |#1| |#2|) (-1093) (-1093)) (T -50)) 
+((-2553 ((|#2| (-1165 |#2|) (-1169)) 42)) (-3513 (((-123) (-123)) 54)) (-4286 (((-1165 |#2|) (-610 |#2|)) 129 (|has| |#1| (-1043 (-571))))) (-2043 ((|#2| |#1| (-571)) 108 (|has| |#1| (-1043 (-571))))) (-2042 ((|#2| (-1165 |#2|) |#2|) 30)) (-1909 (((-855) (-637 |#2|)) 84)) (-3413 ((|#2| |#2|) 125 (|has| |#1| (-1043 (-571))))) (-3090 (((-121) (-123)) 18)) (** ((|#2| |#2| (-412 (-571))) 89 (|has| |#1| (-1043 (-571)))))) 
+(((-36 |#1| |#2|) (-10 -7 (-15 -2553 (|#2| (-1165 |#2|) (-1169))) (-15 -3513 ((-123) (-123))) (-15 -3090 ((-121) (-123))) (-15 -2042 (|#2| (-1165 |#2|) |#2|)) (-15 -1909 ((-855) (-637 |#2|))) (IF (|has| |#1| (-1043 (-571))) (PROGN (-15 ** (|#2| |#2| (-412 (-571)))) (-15 -4286 ((-1165 |#2|) (-610 |#2|))) (-15 -3413 (|#2| |#2|)) (-15 -2043 (|#2| |#1| (-571)))) |noBranch|)) (-13 (-847) (-561)) (-435 |#1|)) (T -36)) 
+((-2043 (*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *2 (-435 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1043 *4)) (-4 *3 (-13 (-847) (-561))))) (-3413 (*1 *2 *2) (-12 (-4 *3 (-1043 (-571))) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-36 *3 *2)) (-4 *2 (-435 *3)))) (-4286 (*1 *2 *3) (-12 (-5 *3 (-610 *5)) (-4 *5 (-435 *4)) (-4 *4 (-1043 (-571))) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-1165 *5)) (-5 *1 (-36 *4 *5)))) (** (*1 *2 *2 *3) (-12 (-5 *3 (-412 (-571))) (-4 *4 (-1043 (-571))) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-36 *4 *2)) (-4 *2 (-435 *4)))) (-1909 (*1 *2 *3) (-12 (-5 *3 (-637 *5)) (-4 *5 (-435 *4)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-855)) (-5 *1 (-36 *4 *5)))) (-2042 (*1 *2 *3 *2) (-12 (-5 *3 (-1165 *2)) (-4 *2 (-435 *4)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-36 *4 *2)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-435 *4)))) (-3513 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-36 *3 *4)) (-4 *4 (-435 *3)))) (-2553 (*1 *2 *3 *4) (-12 (-5 *3 (-1165 *2)) (-5 *4 (-1169)) (-4 *2 (-435 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-847) (-561)))))) 
+(-10 -7 (-15 -2553 (|#2| (-1165 |#2|) (-1169))) (-15 -3513 ((-123) (-123))) (-15 -3090 ((-121) (-123))) (-15 -2042 (|#2| (-1165 |#2|) |#2|)) (-15 -1909 ((-855) (-637 |#2|))) (IF (|has| |#1| (-1043 (-571))) (PROGN (-15 ** (|#2| |#2| (-412 (-571)))) (-15 -4286 ((-1165 |#2|) (-610 |#2|))) (-15 -3413 (|#2| |#2|)) (-15 -2043 (|#2| |#1| (-571)))) |noBranch|)) 
+((-2234 (((-121) $ $) 7)) (-3251 ((|#1| $ (-571) |#1|) 14)) (-4149 (((-637 $) (-637 $) (-768)) 20) (((-637 $) (-637 $)) 19)) (-3330 (((-121) $ (-768)) 18) (((-121) $) 17)) (-1862 (((-637 |#1|) $) 13)) (-1600 (($) 29)) (-2921 (((-637 $) $) 24) (((-637 $) $ (-768)) 23)) (-4344 (((-637 |#1|) $) 16)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3245 ((|#1| $ (-571)) 15)) (-2400 (((-922) $) 12)) (-4364 ((|#1| $) 27)) (-2911 (($ $ (-768)) 22) (($ $) 21)) (-3942 (((-855) $) 11) (((-637 |#1|) $) 26) (($ (-637 |#1|)) 25)) (-1754 (($ (-637 |#1|)) 28)) (-1323 (((-121) $ $) 6))) 
+(((-37 |#1|) (-1289) (-367)) (T -37)) 
+((-1600 (*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-367)))) (-1754 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-4 *1 (-37 *3)))) (-4364 (*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-367)))) (-3942 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-4 *1 (-37 *3)))) (-2921 (*1 *2 *1) (-12 (-4 *3 (-367)) (-5 *2 (-637 *1)) (-4 *1 (-37 *3)))) (-2921 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *4 (-367)) (-5 *2 (-637 *1)) (-4 *1 (-37 *4)))) (-2911 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-37 *3)) (-4 *3 (-367)))) (-2911 (*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-367)))) (-4149 (*1 *2 *2 *3) (-12 (-5 *2 (-637 *1)) (-5 *3 (-768)) (-4 *1 (-37 *4)) (-4 *4 (-367)))) (-4149 (*1 *2 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-37 *3)) (-4 *3 (-367)))) (-3330 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-37 *4)) (-4 *4 (-367)) (-5 *2 (-121)))) (-3330 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-367)) (-5 *2 (-121)))) (-4344 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-37 *2)) (-4 *2 (-367)))) (-3251 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-37 *2)) (-4 *2 (-367)))) (-1862 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3))))) 
+(-13 (-1095) (-10 -8 (-15 -1600 ($)) (-15 -1754 ($ (-637 |t#1|))) (-15 -4364 (|t#1| $)) (-15 -3942 ((-637 |t#1|) $)) (-15 -3942 ($ (-637 |t#1|))) (-15 -2921 ((-637 $) $)) (-15 -2921 ((-637 $) $ (-768))) (-15 -2911 ($ $ (-768))) (-15 -2911 ($ $)) (-15 -4149 ((-637 $) (-637 $) (-768))) (-15 -4149 ((-637 $) (-637 $))) (-15 -3330 ((-121) $ (-768))) (-15 -3330 ((-121) $)) (-15 -4344 ((-637 |t#1|) $)) (-15 -3245 (|t#1| $ (-571))) (-15 -3251 (|t#1| $ (-571) |t#1|)) (-15 -1862 ((-637 |t#1|) $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T) ((-1095) . T)) 
+((-3133 (((-121) $ (-768)) 16)) (-2269 (($) 10)) (-2262 (((-121) $ (-768)) 15)) (-3794 (((-121) $ (-768)) 14)) (-2127 (((-121) $ $) 8)) (-1828 (((-121) $) 13))) 
+(((-38 |#1|) (-10 -8 (-15 -2269 (|#1|)) (-15 -3133 ((-121) |#1| (-768))) (-15 -2262 ((-121) |#1| (-768))) (-15 -3794 ((-121) |#1| (-768))) (-15 -1828 ((-121) |#1|)) (-15 -2127 ((-121) |#1| |#1|))) (-39)) (T -38)) 
+NIL 
+(-10 -8 (-15 -2269 (|#1|)) (-15 -3133 ((-121) |#1| (-768))) (-15 -2262 ((-121) |#1| (-768))) (-15 -3794 ((-121) |#1| (-768))) (-15 -1828 ((-121) |#1|)) (-15 -2127 ((-121) |#1| |#1|))) 
+((-3133 (((-121) $ (-768)) 8)) (-2269 (($) 7 T CONST)) (-2262 (((-121) $ (-768)) 9)) (-3794 (((-121) $ (-768)) 10)) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-4316 (($ $) 13)) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-39) (-1289)) (T -39)) 
+((-2127 (*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-4316 (*1 *1 *1) (-4 *1 (-39))) (-1630 (*1 *1) (-4 *1 (-39))) (-1828 (*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-3794 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-768)) (-5 *2 (-121)))) (-2262 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-768)) (-5 *2 (-121)))) (-3133 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-768)) (-5 *2 (-121)))) (-2269 (*1 *1) (-4 *1 (-39))) (-4001 (*1 *2 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-39)) (-5 *2 (-768))))) 
+(-13 (-1203) (-10 -8 (-15 -2127 ((-121) $ $)) (-15 -4316 ($ $)) (-15 -1630 ($)) (-15 -1828 ((-121) $)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (-15 -2269 ($) -3177) (IF (|has| $ (-6 -4600)) (-15 -4001 ((-768) $)) |noBranch|))) 
+(((-1203) . T)) 
+((-4294 (($ $) 11)) (-4280 (($ $) 10)) (-4307 (($ $) 9)) (-2656 (($ $) 8)) (-4301 (($ $) 7)) (-4287 (($ $) 6))) 
+(((-40) (-1289)) (T -40)) 
+((-4294 (*1 *1 *1) (-4 *1 (-40))) (-4280 (*1 *1 *1) (-4 *1 (-40))) (-4307 (*1 *1 *1) (-4 *1 (-40))) (-2656 (*1 *1 *1) (-4 *1 (-40))) (-4301 (*1 *1 *1) (-4 *1 (-40))) (-4287 (*1 *1 *1) (-4 *1 (-40)))) 
+(-13 (-10 -8 (-15 -4287 ($ $)) (-15 -4301 ($ $)) (-15 -2656 ($ $)) (-15 -4307 ($ $)) (-15 -4280 ($ $)) (-15 -4294 ($ $)))) 
+((-2234 (((-121) $ $) 18 (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-2139 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 117)) (-4198 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 140)) (-4327 (($ $) 138)) (-2942 (($) 66) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 65)) (-3839 (((-1263) $ |#1| |#1|) 93 (|has| $ (-6 -4601))) (((-1263) $ (-571) (-571)) 170 (|has| $ (-6 -4601)))) (-4065 (($ $ (-571)) 151 (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 201) (((-121) $) 195 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-3652 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 192 (|has| $ (-6 -4601))) (($ $) 191 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)) (|has| $ (-6 -4601))))) (-2972 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 202) (($ $) 196 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-3133 (((-121) $ (-768)) 8)) (-2815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 126 (|has| $ (-6 -4601)))) (-1384 (($ $ $) 147 (|has| $ (-6 -4601)))) (-4531 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 149 (|has| $ (-6 -4601)))) (-1833 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 145 (|has| $ (-6 -4601)))) (-3251 ((|#2| $ |#1| |#2|) 67) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 181 (|has| $ (-6 -4601))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-1224 (-571)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 152 (|has| $ (-6 -4601))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "last" (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 150 (|has| $ (-6 -4601))) (($ $ "rest" $) 148 (|has| $ (-6 -4601))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "first" (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 146 (|has| $ (-6 -4601))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "value" (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 125 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 124 (|has| $ (-6 -4601)))) (-3129 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 42 (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 208)) (-2534 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 52 (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 167 (|has| $ (-6 -4600)))) (-4035 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 139)) (-1741 (((-3 |#2| "failed") |#1| $) 57)) (-2269 (($) 7 T CONST)) (-4578 (($ $) 193 (|has| $ (-6 -4601)))) (-4378 (($ $) 203)) (-4372 (($ $ (-768)) 134) (($ $) 132)) (-2980 (($ $) 206 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-4365 (($ $) 55 (-1831 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600))) (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))))) (-1599 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 44 (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 43 (|has| $ (-6 -4600))) (((-3 |#2| "failed") |#1| $) 58) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 212) (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 207 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-3412 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 54 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 51 (|has| $ (-6 -4600))) (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 169 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 166 (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 53 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 50 (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 49 (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 168 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 165 (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 164 (|has| $ (-6 -4600)))) (-2922 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4601))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 182 (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) 82) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571)) 180)) (-3076 (((-121) $) 184)) (-3984 (((-571) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 200) (((-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 199 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) (((-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571)) 198 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-4034 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 30 (|has| $ (-6 -4600))) (((-637 |#2|) $) 73 (|has| $ (-6 -4600))) (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 106 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 115)) (-4114 (((-121) $ $) 123 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-1364 (($ (-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 161)) (-2262 (((-121) $ (-768)) 9)) (-1414 ((|#1| $) 90 (|has| |#1| (-847))) (((-571) $) 172 (|has| (-571) (-847)))) (-1763 (($ $ $) 190 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-2984 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ $) 209) (($ $ $) 205 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-3491 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ $) 204) (($ $ $) 197 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-3488 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 29 (|has| $ (-6 -4600))) (((-637 |#2|) $) 74 (|has| $ (-6 -4600))) (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 107 (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 27 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1097)) (|has| $ (-6 -4600)))) (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 109 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600))))) (-3113 ((|#1| $) 89 (|has| |#1| (-847))) (((-571) $) 173 (|has| (-571) (-847)))) (-2383 (($ $ $) 189 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 34 (|has| $ (-6 -4601))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4601))) (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 102 (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64) (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ $) 158) (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 101)) (-4344 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 217)) (-3794 (((-121) $ (-768)) 10)) (-3392 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 120)) (-2945 (((-121) $) 116)) (-3944 (((-1151) $) 22 (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-3220 (($ $ (-768)) 137) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 135)) (-3359 (((-637 |#1|) $) 59)) (-1507 (((-121) |#1| $) 60)) (-2377 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 36)) (-2863 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 37) (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571)) 211) (($ $ $ (-571)) 210)) (-2594 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571)) 154) (($ $ $ (-571)) 153)) (-2738 (((-637 |#1|) $) 87) (((-637 (-571)) $) 175)) (-1613 (((-121) |#1| $) 86) (((-121) (-571) $) 176)) (-2580 (((-1115) $) 21 (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1827 ((|#2| $) 91 (|has| |#1| (-847))) (($ $ (-768)) 131) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 129)) (-3765 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 48) (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 163)) (-4411 (($ $ |#2|) 92 (|has| $ (-6 -4601))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 171 (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 38)) (-3032 (((-121) $) 183)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 32 (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 104 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 26 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 25 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 24 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 23 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) 80 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) 78 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-289 |#2|))) 77 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 113 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 112 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 111 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 110 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097)))) (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 174 (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-3909 (((-637 |#2|) $) 85) (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 177)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 179) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571)) 178) (($ $ (-1224 (-571))) 157) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "last") 136) (($ $ "rest") 133) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "first") 130) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "value") 118)) (-2514 (((-571) $ $) 121)) (-3563 (($) 46) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 45)) (-3165 (($ $ (-571)) 214) (($ $ (-1224 (-571))) 213)) (-1933 (($ $ (-571)) 156) (($ $ (-1224 (-571))) 155)) (-1664 (((-121) $) 119)) (-3863 (($ $) 143)) (-3756 (($ $) 144 (|has| $ (-6 -4601)))) (-2895 (((-768) $) 142)) (-1360 (($ $) 141)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 31 (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 28 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (((-768) |#2| $) 75 (-12 (|has| |#2| (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 108 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 105 (|has| $ (-6 -4600)))) (-3427 (($ $ $ (-571)) 194 (|has| $ (-6 -4601)))) (-4316 (($ $) 13)) (-4050 (((-544) $) 56 (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544)))))) (-3891 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 47) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 162)) (-3294 (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 216) (($ $ $) 215)) (-4498 (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 160) (($ (-637 $)) 159) (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 128) (($ $ $) 127)) (-3942 (((-855) $) 20 (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1846 (((-637 $) $) 114)) (-3014 (((-121) $ $) 122 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-3700 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 39)) (-1895 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") |#1| $) 100)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 33 (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 103 (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) 187 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-1338 (((-121) $ $) 186 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-1323 (((-121) $ $) 19 (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1342 (((-121) $ $) 188 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-1331 (((-121) $ $) 185 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-41 |#1| |#2|) (-1289) (-1097) (-1097)) (T -41)) 
+((-1895 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-5 *2 (-2 (|:| -4080 *3) (|:| -4279 *4)))))) 
+(-13 (-1180 |t#1| |t#2|) (-661 (-2 (|:| -4080 |t#1|) (|:| -4279 |t#2|))) (-10 -8 (-15 -1895 ((-3 (-2 (|:| -4080 |t#1|) (|:| -4279 |t#2|)) "failed") |t#1| $)))) 
+(((-39) . T) ((-111 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-105) -1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847))) ((-611 (-855)) -1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847))) ((-155 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-612 (-544)) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))) ((-222 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-228 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-282 (-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-282 |#1| |#2|) . T) ((-284 (-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-284 |#1| |#2|) . T) ((-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) -12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) ((-278 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-378 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-502 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-502 |#2|) . T) ((-604 (-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-604 |#1| |#2|) . T) ((-526 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) -12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) ((-526 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) ((-608 |#1| |#2|) . T) ((-643 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-661 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-847) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)) ((-1016 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-1097) -1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847))) ((-1141 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-1180 |#1| |#2|) . T) ((-1203) . T) ((-1245 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T)) 
+((-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#2|) 10))) 
+(((-42 |#1| |#2|) (-10 -8 (-15 -3942 (|#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) (-43 |#2|) (-173)) (T -42)) 
+NIL 
+(-10 -8 (-15 -3942 (|#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 36)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-43 |#1|) (-1289) (-173)) (T -43)) 
+((-3942 (*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-173))))) 
+(-13 (-1053) (-712 |t#1|) (-10 -8 (-15 -3942 ($ |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-712 |#1|) . T) ((-721) . T) ((-1059 |#1|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-1609 (((-423 |#1|) |#1|) 38)) (-4262 (((-423 |#1|) |#1|) 27) (((-423 |#1|) |#1| (-637 (-53))) 30)) (-2044 (((-121) |#1|) 54))) 
+(((-44 |#1|) (-10 -7 (-15 -4262 ((-423 |#1|) |#1| (-637 (-53)))) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -1609 ((-423 |#1|) |#1|)) (-15 -2044 ((-121) |#1|))) (-1233 (-53))) (T -44)) 
+((-2044 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1233 (-53))))) (-1609 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1233 (-53))))) (-4262 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1233 (-53))))) (-4262 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-53))) (-5 *2 (-423 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1233 (-53)))))) 
+(-10 -7 (-15 -4262 ((-423 |#1|) |#1| (-637 (-53)))) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -1609 ((-423 |#1|) |#1|)) (-15 -2044 ((-121) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1818 (((-2 (|:| |num| (-1258 |#2|)) (|:| |den| |#2|)) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| (-412 |#2|) (-367)))) (-1415 (($ $) NIL (|has| (-412 |#2|) (-367)))) (-2545 (((-121) $) NIL (|has| (-412 |#2|) (-367)))) (-2076 (((-684 (-412 |#2|)) (-1258 $)) NIL) (((-684 (-412 |#2|))) NIL)) (-3490 (((-412 |#2|) $) NIL)) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| (-412 |#2|) (-352)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL (|has| (-412 |#2|) (-367)))) (-4151 (((-423 $) $) NIL (|has| (-412 |#2|) (-367)))) (-1295 (((-121) $ $) NIL (|has| (-412 |#2|) (-367)))) (-4407 (((-768)) NIL (|has| (-412 |#2|) (-373)))) (-3728 (((-121)) NIL)) (-1634 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| (-412 |#2|) (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| (-412 |#2|) (-1043 (-412 (-571))))) (((-3 (-412 |#2|) "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| (-412 |#2|) (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| (-412 |#2|) (-1043 (-412 (-571))))) (((-412 |#2|) $) NIL)) (-3456 (($ (-1258 (-412 |#2|)) (-1258 $)) NIL) (($ (-1258 (-412 |#2|))) 57) (($ (-1258 |#2|) |#2|) 124)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-412 |#2|) (-352)))) (-2162 (($ $ $) NIL (|has| (-412 |#2|) (-367)))) (-3962 (((-684 (-412 |#2|)) $ (-1258 $)) NIL) (((-684 (-412 |#2|)) $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| (-412 |#2|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| (-412 |#2|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-412 |#2|))) (|:| |vec| (-1258 (-412 |#2|)))) (-684 $) (-1258 $)) NIL) (((-684 (-412 |#2|)) (-684 $)) NIL)) (-4078 (((-1258 $) (-1258 $)) NIL)) (-3074 (($ |#3|) NIL) (((-3 $ "failed") (-412 |#3|)) NIL (|has| (-412 |#2|) (-367)))) (-3978 (((-3 $ "failed") $) NIL)) (-3000 (((-637 (-637 |#1|))) NIL (|has| |#1| (-373)))) (-1536 (((-121) |#1| |#1|) NIL)) (-3241 (((-922)) NIL)) (-3254 (($) NIL (|has| (-412 |#2|) (-373)))) (-4009 (((-121)) NIL)) (-3543 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-2180 (($ $ $) NIL (|has| (-412 |#2|) (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| (-412 |#2|) (-367)))) (-3630 (($ $) NIL)) (-1962 (($) NIL (|has| (-412 |#2|) (-352)))) (-2854 (((-121) $) NIL (|has| (-412 |#2|) (-352)))) (-2442 (($ $ (-768)) NIL (|has| (-412 |#2|) (-352))) (($ $) NIL (|has| (-412 |#2|) (-352)))) (-1596 (((-121) $) NIL (|has| (-412 |#2|) (-367)))) (-3347 (((-922) $) NIL (|has| (-412 |#2|) (-352))) (((-833 (-922)) $) NIL (|has| (-412 |#2|) (-352)))) (-2583 (((-121) $) NIL)) (-2017 (((-768)) NIL)) (-2653 (((-1258 $) (-1258 $)) 100)) (-3477 (((-412 |#2|) $) NIL)) (-1915 (((-637 (-958 |#1|)) (-1169)) NIL (|has| |#1| (-367)))) (-2596 (((-3 $ "failed") $) NIL (|has| (-412 |#2|) (-352)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| (-412 |#2|) (-367)))) (-4400 ((|#3| $) NIL (|has| (-412 |#2|) (-367)))) (-4470 (((-922) $) NIL (|has| (-412 |#2|) (-373)))) (-3069 ((|#3| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| (-412 |#2|) (-367))) (($ $ $) NIL (|has| (-412 |#2|) (-367)))) (-3944 (((-1151) $) NIL)) (-3916 (((-1263) (-768)) 78)) (-4471 (((-684 (-412 |#2|))) 51)) (-2401 (((-684 (-412 |#2|))) 44)) (-4315 (($ $) NIL (|has| (-412 |#2|) (-367)))) (-3915 (($ (-1258 |#2|) |#2|) 125)) (-1929 (((-684 (-412 |#2|))) 45)) (-3005 (((-684 (-412 |#2|))) 43)) (-1519 (((-2 (|:| |num| (-684 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 122)) (-2146 (((-2 (|:| |num| (-1258 |#2|)) (|:| |den| |#2|)) $) 63)) (-3633 (((-1258 $)) 42)) (-1659 (((-1258 $)) 41)) (-2446 (((-121) $) NIL)) (-4217 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-1757 (($) NIL (|has| (-412 |#2|) (-352)) CONST)) (-1755 (($ (-922)) NIL (|has| (-412 |#2|) (-373)))) (-2872 (((-3 |#2| "failed")) NIL)) (-2580 (((-1115) $) NIL)) (-3970 (((-768)) NIL)) (-2280 (($) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| (-412 |#2|) (-367)))) (-3026 (($ (-637 $)) NIL (|has| (-412 |#2|) (-367))) (($ $ $) NIL (|has| (-412 |#2|) (-367)))) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| (-412 |#2|) (-352)))) (-4262 (((-423 $) $) NIL (|has| (-412 |#2|) (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-412 |#2|) (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| (-412 |#2|) (-367)))) (-1786 (((-3 $ "failed") $ $) NIL (|has| (-412 |#2|) (-367)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| (-412 |#2|) (-367)))) (-1826 (((-768) $) NIL (|has| (-412 |#2|) (-367)))) (-3804 (((-637 $)) NIL (|has| (-412 |#2|) (-373)))) (-3245 ((|#1| $ |#1| |#1|) NIL)) (-3078 (((-3 |#2| "failed")) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| (-412 |#2|) (-367)))) (-1475 (((-412 |#2|) (-1258 $)) NIL) (((-412 |#2|)) 39)) (-1305 (((-768) $) NIL (|has| (-412 |#2|) (-352))) (((-3 (-768) "failed") $ $) NIL (|has| (-412 |#2|) (-352)))) (-3096 (($ $ (-1 (-412 |#2|) (-412 |#2|)) (-768)) NIL (|has| (-412 |#2|) (-367))) (($ $ (-1 (-412 |#2|) (-412 |#2|))) NIL (|has| (-412 |#2|) (-367))) (($ $ (-1 |#2| |#2|)) 118) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-768)) NIL (-1831 (-12 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352)))) (($ $) NIL (-1831 (-12 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352))))) (-3023 (((-684 (-412 |#2|)) (-1258 $) (-1 (-412 |#2|) (-412 |#2|))) NIL (|has| (-412 |#2|) (-367)))) (-3413 ((|#3|) 50)) (-4481 (($) NIL (|has| (-412 |#2|) (-352)))) (-3723 (((-1258 (-412 |#2|)) $ (-1258 $)) NIL) (((-684 (-412 |#2|)) (-1258 $) (-1258 $)) NIL) (((-1258 (-412 |#2|)) $) 58) (((-684 (-412 |#2|)) (-1258 $)) 101)) (-4050 (((-1258 (-412 |#2|)) $) NIL) (($ (-1258 (-412 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| (-412 |#2|) (-352)))) (-2260 (((-1258 $) (-1258 $)) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ (-412 |#2|)) NIL) (($ (-412 (-571))) NIL (-1831 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-1043 (-412 (-571)))))) (($ $) NIL (|has| (-412 |#2|) (-367)))) (-2346 (($ $) NIL (|has| (-412 |#2|) (-352))) (((-3 $ "failed") $) NIL (|has| (-412 |#2|) (-149)))) (-3393 ((|#3| $) NIL)) (-2661 (((-768)) NIL)) (-1363 (((-121)) 37)) (-3288 (((-121) |#1|) 49) (((-121) |#2|) 130)) (-1899 (((-1258 $)) 91)) (-1388 (((-121) $ $) NIL (|has| (-412 |#2|) (-367)))) (-1726 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-4238 (((-121)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| (-412 |#2|) (-367)))) (-2369 (($) 16 T CONST)) (-3222 (($) 26 T CONST)) (-1544 (($ $ (-1 (-412 |#2|) (-412 |#2|)) (-768)) NIL (|has| (-412 |#2|) (-367))) (($ $ (-1 (-412 |#2|) (-412 |#2|))) NIL (|has| (-412 |#2|) (-367))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-768)) NIL (-1831 (-12 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352)))) (($ $) NIL (-1831 (-12 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352))))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL (|has| (-412 |#2|) (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| (-412 |#2|) (-367)))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 |#2|)) NIL) (($ (-412 |#2|) $) NIL) (($ (-412 (-571)) $) NIL (|has| (-412 |#2|) (-367))) (($ $ (-412 (-571))) NIL (|has| (-412 |#2|) (-367))))) 
+(((-45 |#1| |#2| |#3| |#4|) (-13 (-341 |#1| |#2| |#3|) (-10 -7 (-15 -3916 ((-1263) (-768))))) (-367) (-1233 |#1|) (-1233 (-412 |#2|)) |#3|) (T -45)) 
+((-3916 (*1 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-367)) (-4 *5 (-1233 *4)) (-5 *2 (-1263)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1233 (-412 *5))) (-14 *7 *6)))) 
+(-13 (-341 |#1| |#2| |#3|) (-10 -7 (-15 -3916 ((-1263) (-768))))) 
+((-2051 ((|#2| |#2|) 47)) (-4228 ((|#2| |#2|) 116 (-12 (|has| |#2| (-435 |#1|)) (|has| |#1| (-456)) (|has| |#1| (-847)) (|has| |#1| (-1043 (-571)))))) (-3319 ((|#2| |#2|) 85 (-12 (|has| |#2| (-435 |#1|)) (|has| |#1| (-456)) (|has| |#1| (-847)) (|has| |#1| (-1043 (-571)))))) (-3861 ((|#2| |#2|) 86 (-12 (|has| |#2| (-435 |#1|)) (|has| |#1| (-456)) (|has| |#1| (-847)) (|has| |#1| (-1043 (-571)))))) (-3899 ((|#2| (-123) |#2| (-768)) 73 (-12 (|has| |#2| (-435 |#1|)) (|has| |#1| (-456)) (|has| |#1| (-847)) (|has| |#1| (-1043 (-571)))))) (-3279 (((-1165 |#2|) |#2|) 44)) (-1583 ((|#2| |#2| (-637 (-610 |#2|))) 17) ((|#2| |#2| (-637 |#2|)) 19) ((|#2| |#2| |#2|) 20) ((|#2| |#2|) 15))) 
+(((-46 |#1| |#2|) (-10 -7 (-15 -2051 (|#2| |#2|)) (-15 -1583 (|#2| |#2|)) (-15 -1583 (|#2| |#2| |#2|)) (-15 -1583 (|#2| |#2| (-637 |#2|))) (-15 -1583 (|#2| |#2| (-637 (-610 |#2|)))) (-15 -3279 ((-1165 |#2|) |#2|)) (IF (|has| |#1| (-847)) (IF (|has| |#1| (-456)) (IF (|has| |#1| (-1043 (-571))) (IF (|has| |#2| (-435 |#1|)) (PROGN (-15 -3861 (|#2| |#2|)) (-15 -3319 (|#2| |#2|)) (-15 -4228 (|#2| |#2|)) (-15 -3899 (|#2| (-123) |#2| (-768)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-561) (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 |#1| (-610 $)) $)) (-15 -4479 ((-1120 |#1| (-610 $)) $)) (-15 -3942 ($ (-1120 |#1| (-610 $))))))) (T -46)) 
+((-3899 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-768)) (-4 *5 (-456)) (-4 *5 (-847)) (-4 *5 (-1043 (-571))) (-4 *5 (-561)) (-5 *1 (-46 *5 *2)) (-4 *2 (-435 *5)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *5 (-610 $)) $)) (-15 -4479 ((-1120 *5 (-610 $)) $)) (-15 -3942 ($ (-1120 *5 (-610 $))))))))) (-4228 (*1 *2 *2) (-12 (-4 *3 (-456)) (-4 *3 (-847)) (-4 *3 (-1043 (-571))) (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-435 *3)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $))))))))) (-3319 (*1 *2 *2) (-12 (-4 *3 (-456)) (-4 *3 (-847)) (-4 *3 (-1043 (-571))) (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-435 *3)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $))))))))) (-3861 (*1 *2 *2) (-12 (-4 *3 (-456)) (-4 *3 (-847)) (-4 *3 (-1043 (-571))) (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-435 *3)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $))))))))) (-3279 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-1165 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *4 (-610 $)) $)) (-15 -4479 ((-1120 *4 (-610 $)) $)) (-15 -3942 ($ (-1120 *4 (-610 $))))))))) (-1583 (*1 *2 *2 *3) (-12 (-5 *3 (-637 (-610 *2))) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *4 (-610 $)) $)) (-15 -4479 ((-1120 *4 (-610 $)) $)) (-15 -3942 ($ (-1120 *4 (-610 $))))))) (-4 *4 (-561)) (-5 *1 (-46 *4 *2)))) (-1583 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *4 (-610 $)) $)) (-15 -4479 ((-1120 *4 (-610 $)) $)) (-15 -3942 ($ (-1120 *4 (-610 $))))))) (-4 *4 (-561)) (-5 *1 (-46 *4 *2)))) (-1583 (*1 *2 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $))))))))) (-1583 (*1 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $))))))))) (-2051 (*1 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $)))))))))) 
+(-10 -7 (-15 -2051 (|#2| |#2|)) (-15 -1583 (|#2| |#2|)) (-15 -1583 (|#2| |#2| |#2|)) (-15 -1583 (|#2| |#2| (-637 |#2|))) (-15 -1583 (|#2| |#2| (-637 (-610 |#2|)))) (-15 -3279 ((-1165 |#2|) |#2|)) (IF (|has| |#1| (-847)) (IF (|has| |#1| (-456)) (IF (|has| |#1| (-1043 (-571))) (IF (|has| |#2| (-435 |#1|)) (PROGN (-15 -3861 (|#2| |#2|)) (-15 -3319 (|#2| |#2|)) (-15 -4228 (|#2| |#2|)) (-15 -3899 (|#2| (-123) |#2| (-768)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
+((-4262 (((-423 (-1165 |#3|)) (-1165 |#3|) (-637 (-53))) 22) (((-423 |#3|) |#3| (-637 (-53))) 18))) 
+(((-47 |#1| |#2| |#3|) (-10 -7 (-15 -4262 ((-423 |#3|) |#3| (-637 (-53)))) (-15 -4262 ((-423 (-1165 |#3|)) (-1165 |#3|) (-637 (-53))))) (-847) (-793) (-955 (-53) |#2| |#1|)) (T -47)) 
+((-4262 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-53))) (-4 *5 (-847)) (-4 *6 (-793)) (-4 *7 (-955 (-53) *6 *5)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1165 *7)))) (-4262 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-53))) (-4 *5 (-847)) (-4 *6 (-793)) (-5 *2 (-423 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-955 (-53) *6 *5))))) 
+(-10 -7 (-15 -4262 ((-423 |#3|) |#3| (-637 (-53)))) (-15 -4262 ((-423 (-1165 |#3|)) (-1165 |#3|) (-637 (-53))))) 
+((-4048 (((-768) |#2|) 65)) (-3733 (((-768) |#2|) 68)) (-2069 (((-637 |#2|)) 33)) (-3550 (((-768) |#2|) 67)) (-3059 (((-768) |#2|) 64)) (-3865 (((-768) |#2|) 66)) (-2067 (((-637 (-684 |#1|))) 60)) (-2060 (((-637 |#2|)) 55)) (-2052 (((-637 |#2|) |#2|) 43)) (-3924 (((-637 |#2|)) 57)) (-2996 (((-637 |#2|)) 56)) (-4452 (((-637 (-684 |#1|))) 48)) (-3407 (((-637 |#2|)) 54)) (-3950 (((-637 |#2|) |#2|) 42)) (-4388 (((-637 |#2|)) 50)) (-3009 (((-637 (-684 |#1|))) 61)) (-4210 (((-637 |#2|)) 59)) (-1899 (((-1258 |#2|) (-1258 |#2|)) 83 (|has| |#1| (-302))))) 
+(((-48 |#1| |#2|) (-10 -7 (-15 -3550 ((-768) |#2|)) (-15 -3733 ((-768) |#2|)) (-15 -3059 ((-768) |#2|)) (-15 -4048 ((-768) |#2|)) (-15 -3865 ((-768) |#2|)) (-15 -4388 ((-637 |#2|))) (-15 -3950 ((-637 |#2|) |#2|)) (-15 -2052 ((-637 |#2|) |#2|)) (-15 -3407 ((-637 |#2|))) (-15 -2060 ((-637 |#2|))) (-15 -2996 ((-637 |#2|))) (-15 -3924 ((-637 |#2|))) (-15 -4210 ((-637 |#2|))) (-15 -4452 ((-637 (-684 |#1|)))) (-15 -2067 ((-637 (-684 |#1|)))) (-15 -3009 ((-637 (-684 |#1|)))) (-15 -2069 ((-637 |#2|))) (IF (|has| |#1| (-302)) (-15 -1899 ((-1258 |#2|) (-1258 |#2|))) |noBranch|)) (-561) (-422 |#1|)) (T -48)) 
+((-1899 (*1 *2 *2) (-12 (-5 *2 (-1258 *4)) (-4 *4 (-422 *3)) (-4 *3 (-302)) (-4 *3 (-561)) (-5 *1 (-48 *3 *4)))) (-2069 (*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3)))) (-3009 (*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 (-684 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3)))) (-2067 (*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 (-684 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3)))) (-4452 (*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 (-684 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3)))) (-4210 (*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3)))) (-3924 (*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3)))) (-2996 (*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3)))) (-2060 (*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3)))) (-3407 (*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3)))) (-2052 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4)))) (-3950 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4)))) (-4388 (*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3)))) (-3865 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4)))) (-4048 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4)))) (-3059 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4)))) (-3733 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4)))) (-3550 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4))))) 
+(-10 -7 (-15 -3550 ((-768) |#2|)) (-15 -3733 ((-768) |#2|)) (-15 -3059 ((-768) |#2|)) (-15 -4048 ((-768) |#2|)) (-15 -3865 ((-768) |#2|)) (-15 -4388 ((-637 |#2|))) (-15 -3950 ((-637 |#2|) |#2|)) (-15 -2052 ((-637 |#2|) |#2|)) (-15 -3407 ((-637 |#2|))) (-15 -2060 ((-637 |#2|))) (-15 -2996 ((-637 |#2|))) (-15 -3924 ((-637 |#2|))) (-15 -4210 ((-637 |#2|))) (-15 -4452 ((-637 (-684 |#1|)))) (-15 -2067 ((-637 (-684 |#1|)))) (-15 -3009 ((-637 (-684 |#1|)))) (-15 -2069 ((-637 |#2|))) (IF (|has| |#1| (-302)) (-15 -1899 ((-1258 |#2|) (-1258 |#2|))) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3691 (((-3 $ "failed")) NIL (|has| |#1| (-561)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-3247 (((-1258 (-684 |#1|)) (-1258 $)) NIL) (((-1258 (-684 |#1|))) 24)) (-2664 (((-1258 $)) 50)) (-2269 (($) NIL T CONST)) (-4094 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) NIL (|has| |#1| (-561)))) (-2655 (((-3 $ "failed")) NIL (|has| |#1| (-561)))) (-4560 (((-684 |#1|) (-1258 $)) NIL) (((-684 |#1|)) NIL)) (-2110 ((|#1| $) NIL)) (-3583 (((-684 |#1|) $ (-1258 $)) NIL) (((-684 |#1|) $) NIL)) (-4555 (((-3 $ "failed") $) NIL (|has| |#1| (-561)))) (-2838 (((-1165 (-958 |#1|))) NIL (|has| |#1| (-367)))) (-3116 (($ $ (-922)) NIL)) (-4463 ((|#1| $) NIL)) (-4051 (((-1165 |#1|) $) NIL (|has| |#1| (-561)))) (-2630 ((|#1| (-1258 $)) NIL) ((|#1|) NIL)) (-2015 (((-1165 |#1|) $) NIL)) (-2249 (((-121)) 86)) (-3456 (($ (-1258 |#1|) (-1258 $)) NIL) (($ (-1258 |#1|)) NIL)) (-3978 (((-3 $ "failed") $) 14 (|has| |#1| (-561)))) (-3241 (((-922)) 51)) (-2232 (((-121)) NIL)) (-1869 (($ $ (-922)) NIL)) (-3981 (((-121)) NIL)) (-1896 (((-121)) NIL)) (-1626 (((-121)) 88)) (-1697 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) NIL (|has| |#1| (-561)))) (-3150 (((-3 $ "failed")) NIL (|has| |#1| (-561)))) (-3945 (((-684 |#1|) (-1258 $)) NIL) (((-684 |#1|)) NIL)) (-4456 ((|#1| $) NIL)) (-3344 (((-684 |#1|) $ (-1258 $)) NIL) (((-684 |#1|) $) NIL)) (-3151 (((-3 $ "failed") $) NIL (|has| |#1| (-561)))) (-3064 (((-1165 (-958 |#1|))) NIL (|has| |#1| (-367)))) (-4406 (($ $ (-922)) NIL)) (-3829 ((|#1| $) NIL)) (-1759 (((-1165 |#1|) $) NIL (|has| |#1| (-561)))) (-1474 ((|#1| (-1258 $)) NIL) ((|#1|) NIL)) (-1459 (((-1165 |#1|) $) NIL)) (-4465 (((-121)) 85)) (-3944 (((-1151) $) NIL)) (-4323 (((-121)) 92)) (-4499 (((-121)) 91)) (-2926 (((-121)) 93)) (-2580 (((-1115) $) NIL)) (-1849 (((-121)) 87)) (-3245 ((|#1| $ (-571)) 53)) (-3723 (((-1258 |#1|) $ (-1258 $)) 47) (((-684 |#1|) (-1258 $) (-1258 $)) NIL) (((-1258 |#1|) $) 28) (((-684 |#1|) (-1258 $)) NIL)) (-4050 (((-1258 |#1|) $) NIL) (($ (-1258 |#1|)) NIL)) (-2962 (((-637 (-958 |#1|)) (-1258 $)) NIL) (((-637 (-958 |#1|))) NIL)) (-2212 (($ $ $) NIL)) (-3154 (((-121)) 83)) (-3942 (((-855) $) 68) (($ (-1258 |#1|)) 22)) (-1899 (((-1258 $)) 44)) (-4071 (((-637 (-1258 |#1|))) NIL (|has| |#1| (-561)))) (-3100 (($ $ $ $) NIL)) (-3904 (((-121)) 81)) (-4288 (($ (-684 |#1|) $) 18)) (-2493 (($ $ $) NIL)) (-2742 (((-121)) 84)) (-2740 (((-121)) 82)) (-1582 (((-121)) 80)) (-2369 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 75) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-1134 |#2| |#1|) $) 19))) 
+(((-49 |#1| |#2| |#3| |#4|) (-13 (-422 |#1|) (-640 (-1134 |#2| |#1|)) (-10 -8 (-15 -3942 ($ (-1258 |#1|))))) (-367) (-922) (-637 (-1169)) (-1258 (-684 |#1|))) (T -49)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-367)) (-14 *6 (-1258 (-684 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-922)) (-14 *5 (-637 (-1169)))))) 
+(-13 (-422 |#1|) (-640 (-1134 |#2| |#1|)) (-10 -8 (-15 -3942 ($ (-1258 |#1|))))) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-2139 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-4198 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-4327 (($ $) NIL)) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3839 (((-1263) $ |#1| |#1|) NIL (|has| $ (-6 -4601))) (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-4065 (($ $ (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (((-121) $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-3652 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847))))) (-2972 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (($ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-2815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4601)))) (-1384 (($ $ $) 27 (|has| $ (-6 -4601)))) (-4531 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4601)))) (-1833 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 29 (|has| $ (-6 -4601)))) (-3251 ((|#2| $ |#1| |#2|) 45) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4601))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-1224 (-571)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4601))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "last" (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4601))) (($ $ "rest" $) NIL (|has| $ (-6 -4601))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "first" (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4601))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "value" (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-3129 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL)) (-2534 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-4035 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-1741 (((-3 |#2| "failed") |#1| $) 37)) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4372 (($ $ (-768)) NIL) (($ $) 24)) (-2980 (($ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1599 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-3 |#2| "failed") |#1| $) 46) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-3412 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4601))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) NIL) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571)) NIL)) (-3076 (((-121) $) NIL)) (-3984 (((-571) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (((-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) (((-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571)) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-4034 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 18 (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600))) (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 18 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-1364 (($ (-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 ((|#1| $) NIL (|has| |#1| (-847))) (((-571) $) 32 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-2984 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-3491 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-3488 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600))) (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097)))) (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-3113 ((|#1| $) NIL (|has| |#1| (-847))) (((-571) $) 34 (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4601))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601))) (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ $) NIL) (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL)) (-4344 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3392 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL)) (-2945 (((-121) $) NIL)) (-3944 (((-1151) $) 41 (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3220 (($ $ (-768)) NIL) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-3359 (((-637 |#1|) $) 20)) (-1507 (((-121) |#1| $) NIL)) (-2377 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2863 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL) (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2594 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 |#1|) $) NIL) (((-637 (-571)) $) NIL)) (-1613 (((-121) |#1| $) NIL) (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-1827 ((|#2| $) NIL (|has| |#1| (-847))) (($ $ (-768)) NIL) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 23)) (-3765 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL)) (-4411 (($ $ |#2|) NIL (|has| $ (-6 -4601))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-3032 (((-121) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097)))) (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-3909 (((-637 |#2|) $) NIL) (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 17)) (-1828 (((-121) $) 16)) (-1630 (($) 13)) (-3245 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ (-571)) NIL) (($ $ (-1224 (-571))) NIL) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "first") NIL) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $ "value") NIL)) (-2514 (((-571) $ $) NIL)) (-3563 (($) 12) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3165 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1664 (((-121) $) NIL)) (-3863 (($ $) NIL)) (-3756 (($ $) NIL (|has| $ (-6 -4601)))) (-2895 (((-768) $) NIL)) (-1360 (($ $) NIL)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097)))) (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3294 (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL) (($ $ $) NIL)) (-4498 (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL) (($ (-637 $)) NIL) (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 25) (($ $ $) NIL)) (-3942 (((-855) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-3700 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-1895 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") |#1| $) 43)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-1323 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-1342 (((-121) $ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-847)))) (-4001 (((-768) $) 22 (|has| $ (-6 -4600))))) 
+(((-50 |#1| |#2|) (-41 |#1| |#2|) (-1097) (-1097)) (T -50)) 
 NIL 
 (-41 |#1| |#2|) 
-((-3052 (((-121) $) 12)) (-4188 (($ (-1 |#2| |#2|) $) 21)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ (-410 (-569)) $) 24) (($ $ (-410 (-569))) NIL))) 
-(((-51 |#1| |#2| |#3|) (-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3052 ((-121) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) (-52 |#2| |#3|) (-1049) (-789)) (T -51)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3052 ((-121) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-3052 (((-121) $) 61)) (-3179 (($ |#1| |#2|) 60)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2284 ((|#2| $) 63)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3802 ((|#1| $ |#2|) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-52 |#1| |#2|) (-1284) (-1049) (-789)) (T -52)) 
-((-3270 (*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) (-3263 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) (-3052 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-121)))) (-3179 (*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) (-3373 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) (-3802 (*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) (-1383 (*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-366))))) 
-(-13 (-1049) (-120 |t#1| |t#1|) (-10 -8 (-15 -3270 (|t#1| $)) (-15 -3263 ($ $)) (-15 -2284 (|t#2| $)) (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (-15 -3052 ((-121) $)) (-15 -3179 ($ |t#1| |t#2|)) (-15 -3373 ($ $)) (-15 -3802 (|t#1| $ |t#2|)) (IF (|has| |t#1| (-366)) (-15 -1383 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-6 (-173)) (-6 (-43 |t#1|))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-559)) (-6 (-559)) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (-6 (-43 (-410 (-569)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-3298 (((-635 $) (-1161 $) (-1165)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-955 $)) NIL)) (-2309 (($ (-1161 $) (-1165)) NIL) (($ (-1161 $)) NIL) (($ (-955 $)) NIL)) (-2225 (((-121) $) 11)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-4320 (((-635 (-608 $)) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1645 (((-635 $) (-1161 $) (-1165)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-955 $)) NIL)) (-2306 (($ (-1161 $) (-1165)) NIL) (($ (-1161 $)) NIL) (($ (-955 $)) NIL)) (-3003 (((-3 (-608 $) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-1321 (((-608 $) $) NIL) (((-569) $) NIL) (((-410 (-569)) $) NIL)) (-1614 (($ $ $) NIL)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-410 (-569)))) (|:| |vec| (-1253 (-410 (-569))))) (-681 $) (-1253 $)) NIL) (((-681 (-410 (-569))) (-681 $)) NIL)) (-2793 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2674 (($ $) NIL) (($ (-635 $)) NIL)) (-1367 (((-635 (-123)) $) NIL)) (-1344 (((-123) (-123)) NIL)) (-3934 (((-121) $) 14)) (-3520 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-3515 (((-1116 (-569) (-608 $)) $) NIL)) (-2522 (($ $ (-569)) NIL)) (-3046 (((-1161 $) (-1161 $) (-608 $)) NIL) (((-1161 $) (-1161 $) (-635 (-608 $))) NIL) (($ $ (-608 $)) NIL) (($ $ (-635 (-608 $))) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2387 (((-1161 $) (-608 $)) NIL (|has| $ (-1049)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 $ $) (-608 $)) NIL)) (-3277 (((-3 (-608 $) "failed") $) NIL)) (-1657 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3121 (((-635 (-608 $)) $) NIL)) (-3529 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-3845 (((-121) $ (-123)) NIL) (((-121) $ (-1165)) NIL)) (-3243 (($ $) NIL)) (-1468 (((-765) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2400 (((-121) $ $) NIL) (((-121) $ (-1165)) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2061 (((-765) $) NIL)) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2454 (($ $) NIL) (($ $ $) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-3524 (((-1116 (-569) (-608 $)) $) NIL)) (-3036 (($ $) NIL (|has| $ (-1049)))) (-4035 (((-382) $) NIL) (((-216) $) NIL) (((-170 (-382)) $) NIL)) (-3956 (((-852) $) NIL) (($ (-608 $)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-1116 (-569) (-608 $))) NIL)) (-2320 (((-765)) NIL)) (-2856 (($ $) NIL) (($ (-635 $)) NIL)) (-3791 (((-121) (-123)) NIL)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-569)) NIL) (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) 7 T CONST)) (-3297 (($) 12 T CONST)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 16)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (-1377 (($ $ $) 15) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-410 (-569))) NIL) (($ $ (-569)) NIL) (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL))) 
-(((-53) (-13 (-297) (-27) (-1039 (-569)) (-1039 (-410 (-569))) (-631 (-569)) (-1023) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -3956 ($ (-1116 (-569) (-608 $)))) (-15 -3515 ((-1116 (-569) (-608 $)) $)) (-15 -3524 ((-1116 (-569) (-608 $)) $)) (-15 -2793 ($ $)) (-15 -3046 ((-1161 $) (-1161 $) (-608 $))) (-15 -3046 ((-1161 $) (-1161 $) (-635 (-608 $)))) (-15 -3046 ($ $ (-608 $))) (-15 -3046 ($ $ (-635 (-608 $))))))) (T -53)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-3515 (*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-3524 (*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-2793 (*1 *1 *1) (-5 *1 (-53))) (-3046 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-53))) (-5 *3 (-608 (-53))) (-5 *1 (-53)))) (-3046 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-53))) (-5 *3 (-635 (-608 (-53)))) (-5 *1 (-53)))) (-3046 (*1 *1 *1 *2) (-12 (-5 *2 (-608 (-53))) (-5 *1 (-53)))) (-3046 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-53)))) (-5 *1 (-53))))) 
-(-13 (-297) (-27) (-1039 (-569)) (-1039 (-410 (-569))) (-631 (-569)) (-1023) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -3956 ($ (-1116 (-569) (-608 $)))) (-15 -3515 ((-1116 (-569) (-608 $)) $)) (-15 -3524 ((-1116 (-569) (-608 $)) $)) (-15 -2793 ($ $)) (-15 -3046 ((-1161 $) (-1161 $) (-608 $))) (-15 -3046 ((-1161 $) (-1161 $) (-635 (-608 $)))) (-15 -3046 ($ $ (-608 $))) (-15 -3046 ($ $ (-635 (-608 $)))))) 
-((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 7)) (-1326 (((-121) $ $) NIL))) 
-(((-54) (-1093)) (T -54)) 
-NIL 
-(-1093) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 60)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3713 (((-121) $) 20)) (-3003 (((-3 |#1| "failed") $) 23)) (-1321 ((|#1| $) 24)) (-3373 (($ $) 27)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3270 ((|#1| $) 21)) (-1824 (($ $) 49)) (-2605 (((-1147) $) NIL)) (-2491 (((-121) $) 28)) (-1912 (((-1111) $) NIL)) (-1986 (($ (-765)) 47)) (-3408 (($ (-635 (-569))) 48)) (-2284 (((-765) $) 29)) (-3956 (((-852) $) 63) (($ (-569)) 44) (($ |#1|) 42)) (-3802 ((|#1| $ $) 19)) (-2320 (((-765)) 46)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 30 T CONST)) (-3297 (($) 14 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 40)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 41) (($ |#1| $) 35))) 
-(((-55 |#1| |#2|) (-13 (-613 |#1|) (-1039 |#1|) (-10 -8 (-15 -3270 (|#1| $)) (-15 -1824 ($ $)) (-15 -3373 ($ $)) (-15 -3802 (|#1| $ $)) (-15 -1986 ($ (-765))) (-15 -3408 ($ (-635 (-569)))) (-15 -2491 ((-121) $)) (-15 -3713 ((-121) $)) (-15 -2284 ((-765) $)) (-15 -4188 ($ (-1 |#1| |#1|) $)))) (-1049) (-635 (-1165))) (T -55)) 
-((-3270 (*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1165))))) (-1824 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))))) (-3373 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))))) (-3802 (*1 *2 *1 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1165))))) (-1986 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) (-3408 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) (-2491 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) (-2284 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-55 *3 *4)) (-14 *4 (-635 (-1165)))))) 
-(-13 (-613 |#1|) (-1039 |#1|) (-10 -8 (-15 -3270 (|#1| $)) (-15 -1824 ($ $)) (-15 -3373 ($ $)) (-15 -3802 (|#1| $ $)) (-15 -1986 ($ (-765))) (-15 -3408 ($ (-635 (-569)))) (-15 -2491 ((-121) $)) (-15 -3713 ((-121) $)) (-15 -2284 ((-765) $)) (-15 -4188 ($ (-1 |#1| |#1|) $)))) 
-((-3713 (((-121) (-57)) 13)) (-3003 (((-3 |#1| "failed") (-57)) 21)) (-1321 ((|#1| (-57)) 22)) (-3956 (((-57) |#1|) 18))) 
-(((-56 |#1|) (-10 -7 (-15 -3956 ((-57) |#1|)) (-15 -3003 ((-3 |#1| "failed") (-57))) (-15 -3713 ((-121) (-57))) (-15 -1321 (|#1| (-57)))) (-1199)) (T -56)) 
-((-1321 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1199)))) (-3713 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1199)))) (-3003 (*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1199)))) (-3956 (*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1199))))) 
-(-10 -7 (-15 -3956 ((-57) |#1|)) (-15 -3003 ((-3 |#1| "failed") (-57))) (-15 -3713 ((-121) (-57))) (-15 -1321 (|#1| (-57)))) 
-((-1310 (((-121) $ $) NIL)) (-3081 (((-1147) (-121)) 25)) (-2333 (((-852) $) 24)) (-3017 (((-768) $) 12)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1414 (((-852) $) 16)) (-2296 (((-1097) $) 14)) (-3956 (((-852) $) 32)) (-2559 (($ (-1097) (-768)) 33)) (-1326 (((-121) $ $) 18))) 
-(((-57) (-13 (-1093) (-10 -8 (-15 -2559 ($ (-1097) (-768))) (-15 -1414 ((-852) $)) (-15 -2333 ((-852) $)) (-15 -2296 ((-1097) $)) (-15 -3017 ((-768) $)) (-15 -3081 ((-1147) (-121)))))) (T -57)) 
-((-2559 (*1 *1 *2 *3) (-12 (-5 *2 (-1097)) (-5 *3 (-768)) (-5 *1 (-57)))) (-1414 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-57)))) (-2333 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-57)))) (-2296 (*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-57)))) (-3017 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-57)))) (-3081 (*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1147)) (-5 *1 (-57))))) 
-(-13 (-1093) (-10 -8 (-15 -2559 ($ (-1097) (-768))) (-15 -1414 ((-852) $)) (-15 -2333 ((-852) $)) (-15 -2296 ((-1097) $)) (-15 -3017 ((-768) $)) (-15 -3081 ((-1147) (-121))))) 
-((-3234 (((-1258)) 20)) (-2561 (((-1095 (-1165)) (-1165)) 15)) (-3726 (((-1095 (-1165)) (-1165)) 16)) (-3304 (((-1258)) 19))) 
-(((-58) (-10 -7 (-15 -2561 ((-1095 (-1165)) (-1165))) (-15 -3726 ((-1095 (-1165)) (-1165))) (-15 -3304 ((-1258))) (-15 -3234 ((-1258))))) (T -58)) 
-((-3234 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-58)))) (-3304 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-58)))) (-3726 (*1 *2 *3) (-12 (-5 *2 (-1095 (-1165))) (-5 *1 (-58)) (-5 *3 (-1165)))) (-2561 (*1 *2 *3) (-12 (-5 *2 (-1095 (-1165))) (-5 *1 (-58)) (-5 *3 (-1165))))) 
-(-10 -7 (-15 -2561 ((-1095 (-1165)) (-1165))) (-15 -3726 ((-1095 (-1165)) (-1165))) (-15 -3304 ((-1258))) (-15 -3234 ((-1258)))) 
-((-1772 ((|#2| |#3| (-1 |#2| |#2|) |#2|) 16))) 
-(((-59 |#1| |#2| |#3|) (-10 -7 (-15 -1772 (|#2| |#3| (-1 |#2| |#2|) |#2|))) (-1049) (-638 |#1|) (-846 |#1|)) (T -59)) 
-((-1772 (*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-638 *5)) (-4 *5 (-1049)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-846 *5))))) 
-(-10 -7 (-15 -1772 (|#2| |#3| (-1 |#2| |#2|) |#2|))) 
-((-3857 ((|#3| |#3| (-635 (-1165))) 35)) (-1663 ((|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3| (-919)) 22) ((|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3|) 20))) 
-(((-60 |#1| |#2| |#3|) (-10 -7 (-15 -1663 (|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3|)) (-15 -1663 (|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3| (-919))) (-15 -3857 (|#3| |#3| (-635 (-1165))))) (-1093) (-13 (-1049) (-883 |#1|) (-844) (-610 (-889 |#1|))) (-13 (-433 |#2|) (-883 |#1|) (-610 (-889 |#1|)))) (T -60)) 
-((-3857 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) (-1663 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 (-1071 *5 *6 *2))) (-5 *4 (-919)) (-4 *5 (-1093)) (-4 *6 (-13 (-1049) (-883 *5) (-844) (-610 (-889 *5)))) (-4 *2 (-13 (-433 *6) (-883 *5) (-610 (-889 *5)))) (-5 *1 (-60 *5 *6 *2)))) (-1663 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-1071 *4 *5 *2))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))) (-5 *1 (-60 *4 *5 *2))))) 
-(-10 -7 (-15 -1663 (|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3|)) (-15 -1663 (|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3| (-919))) (-15 -3857 (|#3| |#3| (-635 (-1165))))) 
-((-3350 (((-121) $ (-765)) 23)) (-3890 (($ $ (-569) |#3|) 45)) (-1622 (($ $ (-569) |#4|) 49)) (-4128 ((|#3| $ (-569)) 58)) (-4303 (((-635 |#2|) $) 30)) (-3206 (((-121) $ (-765)) 25)) (-3016 (((-121) |#2| $) 53)) (-2089 (($ (-1 |#2| |#2|) $) 37)) (-4188 (($ (-1 |#2| |#2|) $) 36) (($ (-1 |#2| |#2| |#2|) $ $) 39) (($ (-1 |#2| |#2| |#2|) $ $ |#2|) 41)) (-1396 (((-121) $ (-765)) 24)) (-2417 (($ $ |#2|) 34)) (-2985 (((-121) (-1 (-121) |#2|) $) 19)) (-2503 ((|#2| $ (-569) (-569)) NIL) ((|#2| $ (-569) (-569) |#2|) 27)) (-2691 (((-765) (-1 (-121) |#2|) $) 28) (((-765) |#2| $) 55)) (-1799 (($ $) 33)) (-2349 ((|#4| $ (-569)) 61)) (-3956 (((-852) $) 66)) (-3776 (((-121) (-1 (-121) |#2|) $) 18)) (-1326 (((-121) $ $) 52)) (-2946 (((-765) $) 26))) 
-(((-61 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1622 (|#1| |#1| (-569) |#4|)) (-15 -3890 (|#1| |#1| (-569) |#3|)) (-15 -4303 ((-635 |#2|) |#1|)) (-15 -2349 (|#4| |#1| (-569))) (-15 -4128 (|#3| |#1| (-569))) (-15 -2503 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569))) (-15 -2417 (|#1| |#1| |#2|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765))) (-15 -1799 (|#1| |#1|))) (-62 |#2| |#3| |#4|) (-1199) (-376 |#2|) (-376 |#2|)) (T -61)) 
-NIL 
-(-10 -8 (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1622 (|#1| |#1| (-569) |#4|)) (-15 -3890 (|#1| |#1| (-569) |#3|)) (-15 -4303 ((-635 |#2|) |#1|)) (-15 -2349 (|#4| |#1| (-569))) (-15 -4128 (|#3| |#1| (-569))) (-15 -2503 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569))) (-15 -2417 (|#1| |#1| |#2|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765))) (-15 -1799 (|#1| |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) (-569) |#1|) 41)) (-3890 (($ $ (-569) |#2|) 39)) (-1622 (($ $ (-569) |#3|) 38)) (-4483 (($) 7 T CONST)) (-4128 ((|#2| $ (-569)) 43)) (-3982 ((|#1| $ (-569) (-569) |#1|) 40)) (-4124 ((|#1| $ (-569) (-569)) 45)) (-4303 (((-635 |#1|) $) 30)) (-3568 (((-765) $) 48)) (-2446 (($ (-765) (-765) |#1|) 54)) (-4145 (((-765) $) 47)) (-3206 (((-121) $ (-765)) 9)) (-4094 (((-569) $) 52)) (-3841 (((-569) $) 50)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2376 (((-569) $) 51)) (-2414 (((-569) $) 49)) (-2089 (($ (-1 |#1| |#1|) $) 34)) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) 53)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) (-569)) 46) ((|#1| $ (-569) (-569) |#1|) 44)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-2349 ((|#3| $ (-569)) 42)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-62 |#1| |#2| |#3|) (-1284) (-1199) (-376 |t#1|) (-376 |t#1|)) (T -62)) 
-((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2446 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-765)) (-4 *3 (-1199)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2417 (*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1199)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-4094 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-2376 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-3841 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-2414 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-3568 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-765)))) (-4145 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-765)))) (-2503 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1199)))) (-4124 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1199)))) (-2503 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-4128 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) (-2349 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) (-4303 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 *3)))) (-2511 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-3982 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-3890 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-376 *4)) (-4 *5 (-376 *4)))) (-1622 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *3 (-376 *4)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4188 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4188 (*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
-(-13 (-500 |t#1|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -2446 ($ (-765) (-765) |t#1|)) (-15 -2417 ($ $ |t#1|)) (-15 -4094 ((-569) $)) (-15 -2376 ((-569) $)) (-15 -3841 ((-569) $)) (-15 -2414 ((-569) $)) (-15 -3568 ((-765) $)) (-15 -4145 ((-765) $)) (-15 -2503 (|t#1| $ (-569) (-569))) (-15 -4124 (|t#1| $ (-569) (-569))) (-15 -2503 (|t#1| $ (-569) (-569) |t#1|)) (-15 -4128 (|t#2| $ (-569))) (-15 -2349 (|t#3| $ (-569))) (-15 -4303 ((-635 |t#1|) $)) (-15 -2511 (|t#1| $ (-569) (-569) |t#1|)) (-15 -3982 (|t#1| $ (-569) (-569) |t#1|)) (-15 -3890 ($ $ (-569) |t#2|)) (-15 -1622 ($ $ (-569) |t#3|)) (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (-15 -2089 ($ (-1 |t#1| |t#1|) $)) (-15 -4188 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -4188 ($ (-1 |t#1| |t#1| |t#1|) $ $ |t#1|)))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-2247 (((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 16)) (-2793 ((|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 18)) (-4188 (((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)) 13))) 
-(((-63 |#1| |#2|) (-10 -7 (-15 -2247 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -4188 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) (-1199) (-1199)) (T -63)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-63 *5 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5))))) 
-(-10 -7 (-15 -2247 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -4188 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) 11 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-1554 (($ (-635 |#1|)) 13) (($ (-765) |#1|) 14)) (-2446 (($ (-765) |#1|) 9)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 7)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-64 |#1|) (-13 (-19 |#1|) (-10 -8 (-15 -1554 ($ (-635 |#1|))) (-15 -1554 ($ (-765) |#1|)))) (-1199)) (T -64)) 
-((-1554 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-64 *3)))) (-1554 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *1 (-64 *3)) (-4 *3 (-1199))))) 
-(-13 (-19 |#1|) (-10 -8 (-15 -1554 ($ (-635 |#1|))) (-15 -1554 ($ (-765) |#1|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) NIL)) (-3890 (($ $ (-569) (-64 |#1|)) NIL)) (-1622 (($ $ (-569) (-64 |#1|)) NIL)) (-4483 (($) NIL T CONST)) (-4128 (((-64 |#1|) $ (-569)) NIL)) (-3982 ((|#1| $ (-569) (-569) |#1|) NIL)) (-4124 ((|#1| $ (-569) (-569)) NIL)) (-4303 (((-635 |#1|) $) NIL)) (-3568 (((-765) $) NIL)) (-2446 (($ (-765) (-765) |#1|) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-2349 (((-64 |#1|) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-65 |#1|) (-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4572))) (-1199)) (T -65)) 
-NIL 
-(-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4572))) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 69) (((-3 $ "failed") (-1253 (-311 (-569)))) 58) (((-3 $ "failed") (-1253 (-955 (-382)))) 91) (((-3 $ "failed") (-1253 (-955 (-569)))) 80) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 47) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 36)) (-1321 (($ (-1253 (-311 (-382)))) 65) (($ (-1253 (-311 (-569)))) 54) (($ (-1253 (-955 (-382)))) 87) (($ (-1253 (-955 (-569)))) 76) (($ (-1253 (-410 (-955 (-382))))) 43) (($ (-1253 (-410 (-955 (-569))))) 29)) (-3225 (((-1258) $) 118)) (-3956 (((-852) $) 111) (($ (-635 (-329))) 100) (($ (-329)) 94) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 97) (($ (-1253 (-338 (-3124 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3124) (-690)))) 28))) 
-(((-66 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3124) (-690))))))) (-1165)) (T -66)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3124) (-690)))) (-5 *1 (-66 *3)) (-14 *3 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3124) (-690))))))) 
-((-3225 (((-1258) $) 48) (((-1258)) 49)) (-3956 (((-852) $) 45))) 
-(((-67 |#1|) (-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) (-1165)) (T -67)) 
-((-3225 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-67 *3)) (-14 *3 (-1165))))) 
-(-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 142) (((-3 $ "failed") (-1253 (-311 (-569)))) 132) (((-3 $ "failed") (-1253 (-955 (-382)))) 163) (((-3 $ "failed") (-1253 (-955 (-569)))) 152) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 121) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 110)) (-1321 (($ (-1253 (-311 (-382)))) 138) (($ (-1253 (-311 (-569)))) 128) (($ (-1253 (-955 (-382)))) 159) (($ (-1253 (-955 (-569)))) 148) (($ (-1253 (-410 (-955 (-382))))) 117) (($ (-1253 (-410 (-955 (-569))))) 103)) (-3225 (((-1258) $) 96)) (-3956 (((-852) $) 90) (($ (-635 (-329))) 28) (($ (-329)) 34) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 31) (($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) 88))) 
-(((-68 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690))))))) (-1165)) (T -68)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) (-5 *1 (-68 *3)) (-14 *3 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690))))))) 
-((-3003 (((-3 $ "failed") (-311 (-382))) 36) (((-3 $ "failed") (-311 (-569))) 41) (((-3 $ "failed") (-955 (-382))) 46) (((-3 $ "failed") (-955 (-569))) 51) (((-3 $ "failed") (-410 (-955 (-382)))) 31) (((-3 $ "failed") (-410 (-955 (-569)))) 26)) (-1321 (($ (-311 (-382))) 34) (($ (-311 (-569))) 39) (($ (-955 (-382))) 44) (($ (-955 (-569))) 49) (($ (-410 (-955 (-382)))) 29) (($ (-410 (-955 (-569)))) 23)) (-3225 (((-1258) $) 73)) (-3956 (((-852) $) 66) (($ (-635 (-329))) 57) (($ (-329)) 63) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 60) (($ (-338 (-3124 (QUOTE X)) (-3124) (-690))) 22))) 
-(((-69 |#1|) (-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124 (QUOTE X)) (-3124) (-690)))))) (-1165)) (T -69)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-338 (-3124 (QUOTE X)) (-3124) (-690))) (-5 *1 (-69 *3)) (-14 *3 (-1165))))) 
-(-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124 (QUOTE X)) (-3124) (-690)))))) 
-((-3003 (((-3 $ "failed") (-681 (-311 (-382)))) 100) (((-3 $ "failed") (-681 (-311 (-569)))) 89) (((-3 $ "failed") (-681 (-955 (-382)))) 122) (((-3 $ "failed") (-681 (-955 (-569)))) 111) (((-3 $ "failed") (-681 (-410 (-955 (-382))))) 78) (((-3 $ "failed") (-681 (-410 (-955 (-569))))) 67)) (-1321 (($ (-681 (-311 (-382)))) 96) (($ (-681 (-311 (-569)))) 85) (($ (-681 (-955 (-382)))) 118) (($ (-681 (-955 (-569)))) 107) (($ (-681 (-410 (-955 (-382))))) 74) (($ (-681 (-410 (-955 (-569))))) 60)) (-3225 (((-1258) $) 130)) (-3956 (((-852) $) 124) (($ (-635 (-329))) 27) (($ (-329)) 33) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 30) (($ (-681 (-338 (-3124) (-3124 (QUOTE X) (QUOTE HESS)) (-690)))) 53))) 
-(((-70 |#1|) (-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124) (-3124 (QUOTE X) (QUOTE HESS)) (-690))))))) (-1165)) (T -70)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124) (-3124 (QUOTE X) (QUOTE HESS)) (-690)))) (-5 *1 (-70 *3)) (-14 *3 (-1165))))) 
-(-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124) (-3124 (QUOTE X) (QUOTE HESS)) (-690))))))) 
-((-3003 (((-3 $ "failed") (-311 (-382))) 54) (((-3 $ "failed") (-311 (-569))) 59) (((-3 $ "failed") (-955 (-382))) 64) (((-3 $ "failed") (-955 (-569))) 69) (((-3 $ "failed") (-410 (-955 (-382)))) 49) (((-3 $ "failed") (-410 (-955 (-569)))) 44)) (-1321 (($ (-311 (-382))) 52) (($ (-311 (-569))) 57) (($ (-955 (-382))) 62) (($ (-955 (-569))) 67) (($ (-410 (-955 (-382)))) 47) (($ (-410 (-955 (-569)))) 41)) (-3225 (((-1258) $) 78)) (-3956 (((-852) $) 72) (($ (-635 (-329))) 27) (($ (-329)) 33) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 30) (($ (-338 (-3124) (-3124 (QUOTE XC)) (-690))) 38))) 
-(((-71 |#1|) (-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE XC)) (-690)))))) (-1165)) (T -71)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE XC)) (-690))) (-5 *1 (-71 *3)) (-14 *3 (-1165))))) 
-(-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE XC)) (-690)))))) 
-((-3225 (((-1258) $) 63)) (-3956 (((-852) $) 57) (($ (-681 (-690))) 49) (($ (-635 (-329))) 48) (($ (-329)) 55) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 53))) 
-(((-72 |#1|) (-386) (-1165)) (T -72)) 
-NIL 
-(-386) 
-((-3225 (((-1258) $) 64)) (-3956 (((-852) $) 58) (($ (-681 (-690))) 50) (($ (-635 (-329))) 49) (($ (-329)) 52) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 55))) 
-(((-73 |#1|) (-386) (-1165)) (T -73)) 
-NIL 
-(-386) 
-((-3225 (((-1258) $) NIL) (((-1258)) 32)) (-3956 (((-852) $) NIL))) 
-(((-74 |#1|) (-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) (-1165)) (T -74)) 
-((-3225 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-74 *3)) (-14 *3 (-1165))))) 
-(-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) 
-((-3225 (((-1258) $) 68)) (-3956 (((-852) $) 62) (($ (-681 (-690))) 53) (($ (-635 (-329))) 56) (($ (-329)) 59) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 52))) 
-(((-75 |#1|) (-386) (-1165)) (T -75)) 
-NIL 
-(-386) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 98) (((-3 $ "failed") (-1253 (-311 (-569)))) 87) (((-3 $ "failed") (-1253 (-955 (-382)))) 119) (((-3 $ "failed") (-1253 (-955 (-569)))) 108) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 76) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 65)) (-1321 (($ (-1253 (-311 (-382)))) 94) (($ (-1253 (-311 (-569)))) 83) (($ (-1253 (-955 (-382)))) 115) (($ (-1253 (-955 (-569)))) 104) (($ (-1253 (-410 (-955 (-382))))) 72) (($ (-1253 (-410 (-955 (-569))))) 58)) (-3225 (((-1258) $) 133)) (-3956 (((-852) $) 127) (($ (-635 (-329))) 122) (($ (-329)) 125) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 50) (($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) 51))) 
-(((-76 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))))))) (-1165)) (T -76)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-76 *3)) (-14 *3 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))))))) 
-((-3225 (((-1258) $) 32) (((-1258)) 31)) (-3956 (((-852) $) 35))) 
-(((-77 |#1|) (-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) (-1165)) (T -77)) 
-((-3225 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-77 *3)) (-14 *3 (-1165))))) 
-(-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) 
-((-3225 (((-1258) $) 62)) (-3956 (((-852) $) 56) (($ (-681 (-690))) 47) (($ (-635 (-329))) 50) (($ (-329)) 53) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 46))) 
-(((-78 |#1|) (-386) (-1165)) (T -78)) 
-NIL 
-(-386) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 119) (((-3 $ "failed") (-1253 (-311 (-569)))) 108) (((-3 $ "failed") (-1253 (-955 (-382)))) 141) (((-3 $ "failed") (-1253 (-955 (-569)))) 130) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 98) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 87)) (-1321 (($ (-1253 (-311 (-382)))) 115) (($ (-1253 (-311 (-569)))) 104) (($ (-1253 (-955 (-382)))) 137) (($ (-1253 (-955 (-569)))) 126) (($ (-1253 (-410 (-955 (-382))))) 94) (($ (-1253 (-410 (-955 (-569))))) 80)) (-3225 (((-1258) $) 73)) (-3956 (((-852) $) 27) (($ (-635 (-329))) 63) (($ (-329)) 59) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 66) (($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) 60))) 
-(((-79 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) (-1165)) (T -79)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-79 *3)) (-14 *3 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 125) (((-3 $ "failed") (-1253 (-311 (-569)))) 114) (((-3 $ "failed") (-1253 (-955 (-382)))) 147) (((-3 $ "failed") (-1253 (-955 (-569)))) 136) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 103) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 92)) (-1321 (($ (-1253 (-311 (-382)))) 121) (($ (-1253 (-311 (-569)))) 110) (($ (-1253 (-955 (-382)))) 143) (($ (-1253 (-955 (-569)))) 132) (($ (-1253 (-410 (-955 (-382))))) 99) (($ (-1253 (-410 (-955 (-569))))) 85)) (-3225 (((-1258) $) 78)) (-3956 (((-852) $) 70) (($ (-635 (-329))) NIL) (($ (-329)) NIL) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) NIL) (($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE EPS)) (-3124 (QUOTE -2866)) (-690)))) 65))) 
-(((-80 |#1| |#2| |#3|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE EPS)) (-3124 (QUOTE -2866)) (-690))))))) (-1165) (-1165) (-1165)) (T -80)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X) (QUOTE EPS)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1165)) (-14 *4 (-1165)) (-14 *5 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE EPS)) (-3124 (QUOTE -2866)) (-690))))))) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 129) (((-3 $ "failed") (-1253 (-311 (-569)))) 118) (((-3 $ "failed") (-1253 (-955 (-382)))) 151) (((-3 $ "failed") (-1253 (-955 (-569)))) 140) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 107) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 96)) (-1321 (($ (-1253 (-311 (-382)))) 125) (($ (-1253 (-311 (-569)))) 114) (($ (-1253 (-955 (-382)))) 147) (($ (-1253 (-955 (-569)))) 136) (($ (-1253 (-410 (-955 (-382))))) 103) (($ (-1253 (-410 (-955 (-569))))) 89)) (-3225 (((-1258) $) 82)) (-3956 (((-852) $) 74) (($ (-635 (-329))) NIL) (($ (-329)) NIL) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) NIL) (($ (-1253 (-338 (-3124 (QUOTE EPS)) (-3124 (QUOTE YA) (QUOTE YB)) (-690)))) 69))) 
-(((-81 |#1| |#2| |#3|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE EPS)) (-3124 (QUOTE YA) (QUOTE YB)) (-690))))))) (-1165) (-1165) (-1165)) (T -81)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE EPS)) (-3124 (QUOTE YA) (QUOTE YB)) (-690)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1165)) (-14 *4 (-1165)) (-14 *5 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE EPS)) (-3124 (QUOTE YA) (QUOTE YB)) (-690))))))) 
-((-3003 (((-3 $ "failed") (-311 (-382))) 77) (((-3 $ "failed") (-311 (-569))) 82) (((-3 $ "failed") (-955 (-382))) 87) (((-3 $ "failed") (-955 (-569))) 92) (((-3 $ "failed") (-410 (-955 (-382)))) 72) (((-3 $ "failed") (-410 (-955 (-569)))) 67)) (-1321 (($ (-311 (-382))) 75) (($ (-311 (-569))) 80) (($ (-955 (-382))) 85) (($ (-955 (-569))) 90) (($ (-410 (-955 (-382)))) 70) (($ (-410 (-955 (-569)))) 64)) (-3225 (((-1258) $) 61)) (-3956 (((-852) $) 49) (($ (-635 (-329))) 45) (($ (-329)) 55) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 53) (($ (-338 (-3124) (-3124 (QUOTE X)) (-690))) 46))) 
-(((-82 |#1|) (-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE X)) (-690)))))) (-1165)) (T -82)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE X)) (-690))) (-5 *1 (-82 *3)) (-14 *3 (-1165))))) 
-(-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE X)) (-690)))))) 
-((-3003 (((-3 $ "failed") (-311 (-382))) 41) (((-3 $ "failed") (-311 (-569))) 46) (((-3 $ "failed") (-955 (-382))) 51) (((-3 $ "failed") (-955 (-569))) 56) (((-3 $ "failed") (-410 (-955 (-382)))) 36) (((-3 $ "failed") (-410 (-955 (-569)))) 31)) (-1321 (($ (-311 (-382))) 39) (($ (-311 (-569))) 44) (($ (-955 (-382))) 49) (($ (-955 (-569))) 54) (($ (-410 (-955 (-382)))) 34) (($ (-410 (-955 (-569)))) 28)) (-3225 (((-1258) $) 77)) (-3956 (((-852) $) 71) (($ (-635 (-329))) 62) (($ (-329)) 68) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 65) (($ (-338 (-3124) (-3124 (QUOTE X)) (-690))) 27))) 
-(((-83 |#1|) (-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE X)) (-690)))))) (-1165)) (T -83)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE X)) (-690))) (-5 *1 (-83 *3)) (-14 *3 (-1165))))) 
-(-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE X)) (-690)))))) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 84) (((-3 $ "failed") (-1253 (-311 (-569)))) 73) (((-3 $ "failed") (-1253 (-955 (-382)))) 106) (((-3 $ "failed") (-1253 (-955 (-569)))) 95) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 62) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 51)) (-1321 (($ (-1253 (-311 (-382)))) 80) (($ (-1253 (-311 (-569)))) 69) (($ (-1253 (-955 (-382)))) 102) (($ (-1253 (-955 (-569)))) 91) (($ (-1253 (-410 (-955 (-382))))) 58) (($ (-1253 (-410 (-955 (-569))))) 44)) (-3225 (((-1258) $) 122)) (-3956 (((-852) $) 116) (($ (-635 (-329))) 109) (($ (-329)) 36) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 112) (($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) 37))) 
-(((-84 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690))))))) (-1165)) (T -84)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) (-5 *1 (-84 *3)) (-14 *3 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690))))))) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 137) (((-3 $ "failed") (-1253 (-311 (-569)))) 126) (((-3 $ "failed") (-1253 (-955 (-382)))) 158) (((-3 $ "failed") (-1253 (-955 (-569)))) 147) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 116) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 105)) (-1321 (($ (-1253 (-311 (-382)))) 133) (($ (-1253 (-311 (-569)))) 122) (($ (-1253 (-955 (-382)))) 154) (($ (-1253 (-955 (-569)))) 143) (($ (-1253 (-410 (-955 (-382))))) 112) (($ (-1253 (-410 (-955 (-569))))) 98)) (-3225 (((-1258) $) 91)) (-3956 (((-852) $) 85) (($ (-635 (-329))) 76) (($ (-329)) 83) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 81) (($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) 77))) 
-(((-85 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) (-1165)) (T -85)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-85 *3)) (-14 *3 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 73) (((-3 $ "failed") (-1253 (-311 (-569)))) 62) (((-3 $ "failed") (-1253 (-955 (-382)))) 95) (((-3 $ "failed") (-1253 (-955 (-569)))) 84) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 51) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 40)) (-1321 (($ (-1253 (-311 (-382)))) 69) (($ (-1253 (-311 (-569)))) 58) (($ (-1253 (-955 (-382)))) 91) (($ (-1253 (-955 (-569)))) 80) (($ (-1253 (-410 (-955 (-382))))) 47) (($ (-1253 (-410 (-955 (-569))))) 33)) (-3225 (((-1258) $) 121)) (-3956 (((-852) $) 115) (($ (-635 (-329))) 106) (($ (-329)) 112) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 110) (($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) 32))) 
-(((-86 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) (-1165)) (T -86)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-86 *3)) (-14 *3 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 90) (((-3 $ "failed") (-1253 (-311 (-569)))) 79) (((-3 $ "failed") (-1253 (-955 (-382)))) 112) (((-3 $ "failed") (-1253 (-955 (-569)))) 101) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 68) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 57)) (-1321 (($ (-1253 (-311 (-382)))) 86) (($ (-1253 (-311 (-569)))) 75) (($ (-1253 (-955 (-382)))) 108) (($ (-1253 (-955 (-569)))) 97) (($ (-1253 (-410 (-955 (-382))))) 64) (($ (-1253 (-410 (-955 (-569))))) 50)) (-3225 (((-1258) $) 43)) (-3956 (((-852) $) 36) (($ (-635 (-329))) 26) (($ (-329)) 29) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 32) (($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) 27))) 
-(((-87 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690))))))) (-1165)) (T -87)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) (-5 *1 (-87 *3)) (-14 *3 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690))))))) 
-((-3003 (((-3 $ "failed") (-681 (-311 (-382)))) 103) (((-3 $ "failed") (-681 (-311 (-569)))) 92) (((-3 $ "failed") (-681 (-955 (-382)))) 125) (((-3 $ "failed") (-681 (-955 (-569)))) 114) (((-3 $ "failed") (-681 (-410 (-955 (-382))))) 82) (((-3 $ "failed") (-681 (-410 (-955 (-569))))) 71)) (-1321 (($ (-681 (-311 (-382)))) 99) (($ (-681 (-311 (-569)))) 88) (($ (-681 (-955 (-382)))) 121) (($ (-681 (-955 (-569)))) 110) (($ (-681 (-410 (-955 (-382))))) 78) (($ (-681 (-410 (-955 (-569))))) 64)) (-3225 (((-1258) $) 57)) (-3956 (((-852) $) 43) (($ (-635 (-329))) 50) (($ (-329)) 39) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 47) (($ (-681 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) 40))) 
-(((-88 |#1|) (-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690))))))) (-1165)) (T -88)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) (-5 *1 (-88 *3)) (-14 *3 (-1165))))) 
-(-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690))))))) 
-((-3003 (((-3 $ "failed") (-681 (-311 (-382)))) 103) (((-3 $ "failed") (-681 (-311 (-569)))) 92) (((-3 $ "failed") (-681 (-955 (-382)))) 124) (((-3 $ "failed") (-681 (-955 (-569)))) 113) (((-3 $ "failed") (-681 (-410 (-955 (-382))))) 81) (((-3 $ "failed") (-681 (-410 (-955 (-569))))) 70)) (-1321 (($ (-681 (-311 (-382)))) 99) (($ (-681 (-311 (-569)))) 88) (($ (-681 (-955 (-382)))) 120) (($ (-681 (-955 (-569)))) 109) (($ (-681 (-410 (-955 (-382))))) 77) (($ (-681 (-410 (-955 (-569))))) 63)) (-3225 (((-1258) $) 56)) (-3956 (((-852) $) 50) (($ (-635 (-329))) 44) (($ (-329)) 47) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 40) (($ (-681 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) 41))) 
-(((-89 |#1|) (-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE X)) (-3124) (-690))))))) (-1165)) (T -89)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) (-5 *1 (-89 *3)) (-14 *3 (-1165))))) 
-(-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE X)) (-3124) (-690))))))) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 99) (((-3 $ "failed") (-1253 (-311 (-569)))) 88) (((-3 $ "failed") (-1253 (-955 (-382)))) 121) (((-3 $ "failed") (-1253 (-955 (-569)))) 110) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 77) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 66)) (-1321 (($ (-1253 (-311 (-382)))) 95) (($ (-1253 (-311 (-569)))) 84) (($ (-1253 (-955 (-382)))) 117) (($ (-1253 (-955 (-569)))) 106) (($ (-1253 (-410 (-955 (-382))))) 73) (($ (-1253 (-410 (-955 (-569))))) 59)) (-3225 (((-1258) $) 45)) (-3956 (((-852) $) 39) (($ (-635 (-329))) 48) (($ (-329)) 35) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 51) (($ (-1253 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) 36))) 
-(((-90 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124) (-690))))))) (-1165)) (T -90)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) (-5 *1 (-90 *3)) (-14 *3 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124) (-690))))))) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 74) (((-3 $ "failed") (-1253 (-311 (-569)))) 63) (((-3 $ "failed") (-1253 (-955 (-382)))) 96) (((-3 $ "failed") (-1253 (-955 (-569)))) 85) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 52) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 41)) (-1321 (($ (-1253 (-311 (-382)))) 70) (($ (-1253 (-311 (-569)))) 59) (($ (-1253 (-955 (-382)))) 92) (($ (-1253 (-955 (-569)))) 81) (($ (-1253 (-410 (-955 (-382))))) 48) (($ (-1253 (-410 (-955 (-569))))) 34)) (-3225 (((-1258) $) 122)) (-3956 (((-852) $) 116) (($ (-635 (-329))) 107) (($ (-329)) 113) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 111) (($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) 33))) 
-(((-91 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))))))) (-1165)) (T -91)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-91 *3)) (-14 *3 (-1165))))) 
-(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))))))) 
-((-3003 (((-3 $ "failed") (-681 (-311 (-382)))) 105) (((-3 $ "failed") (-681 (-311 (-569)))) 94) (((-3 $ "failed") (-681 (-955 (-382)))) 127) (((-3 $ "failed") (-681 (-955 (-569)))) 116) (((-3 $ "failed") (-681 (-410 (-955 (-382))))) 83) (((-3 $ "failed") (-681 (-410 (-955 (-569))))) 72)) (-1321 (($ (-681 (-311 (-382)))) 101) (($ (-681 (-311 (-569)))) 90) (($ (-681 (-955 (-382)))) 123) (($ (-681 (-955 (-569)))) 112) (($ (-681 (-410 (-955 (-382))))) 79) (($ (-681 (-410 (-955 (-569))))) 65)) (-3225 (((-1258) $) 58)) (-3956 (((-852) $) 52) (($ (-635 (-329))) 42) (($ (-329)) 49) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 47) (($ (-681 (-338 (-3124 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3124) (-690)))) 43))) 
-(((-92 |#1|) (-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3124) (-690))))))) (-1165)) (T -92)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3124) (-690)))) (-5 *1 (-92 *3)) (-14 *3 (-1165))))) 
-(-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3124) (-690))))))) 
-((-3225 (((-1258) $) 44)) (-3956 (((-852) $) 38) (($ (-1253 (-690))) 88) (($ (-635 (-329))) 29) (($ (-329)) 35) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 32))) 
-(((-93 |#1|) (-442) (-1165)) (T -93)) 
-NIL 
-(-442) 
-((-3003 (((-3 $ "failed") (-311 (-382))) 42) (((-3 $ "failed") (-311 (-569))) 47) (((-3 $ "failed") (-955 (-382))) 52) (((-3 $ "failed") (-955 (-569))) 57) (((-3 $ "failed") (-410 (-955 (-382)))) 37) (((-3 $ "failed") (-410 (-955 (-569)))) 32)) (-1321 (($ (-311 (-382))) 40) (($ (-311 (-569))) 45) (($ (-955 (-382))) 50) (($ (-955 (-569))) 55) (($ (-410 (-955 (-382)))) 35) (($ (-410 (-955 (-569)))) 29)) (-3225 (((-1258) $) 88)) (-3956 (((-852) $) 82) (($ (-635 (-329))) 76) (($ (-329)) 79) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 73) (($ (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))) 28))) 
-(((-94 |#1|) (-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))))) (-1165)) (T -94)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))) (-5 *1 (-94 *3)) (-14 *3 (-1165))))) 
-(-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))))) 
-((-3626 (((-1253 (-681 |#1|)) (-681 |#1|)) 54)) (-3900 (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 (-635 (-919))))) |#2| (-919)) 44)) (-1609 (((-2 (|:| |minor| (-635 (-919))) (|:| -4399 |#2|) (|:| |minors| (-635 (-635 (-919)))) (|:| |ops| (-635 |#2|))) |#2| (-919)) 62 (|has| |#1| (-366))))) 
-(((-95 |#1| |#2|) (-10 -7 (-15 -3900 ((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 (-635 (-919))))) |#2| (-919))) (-15 -3626 ((-1253 (-681 |#1|)) (-681 |#1|))) (IF (|has| |#1| (-366)) (-15 -1609 ((-2 (|:| |minor| (-635 (-919))) (|:| -4399 |#2|) (|:| |minors| (-635 (-635 (-919)))) (|:| |ops| (-635 |#2|))) |#2| (-919))) |noBranch|)) (-559) (-647 |#1|)) (T -95)) 
-((-1609 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |minor| (-635 (-919))) (|:| -4399 *3) (|:| |minors| (-635 (-635 (-919)))) (|:| |ops| (-635 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-919)) (-4 *3 (-647 *5)))) (-3626 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-681 *4)) (-4 *5 (-647 *4)))) (-3900 (*1 *2 *3 *4) (-12 (-4 *5 (-559)) (-5 *2 (-2 (|:| -4463 (-681 *5)) (|:| |vec| (-1253 (-635 (-919)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-919)) (-4 *3 (-647 *5))))) 
-(-10 -7 (-15 -3900 ((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 (-635 (-919))))) |#2| (-919))) (-15 -3626 ((-1253 (-681 |#1|)) (-681 |#1|))) (IF (|has| |#1| (-366)) (-15 -1609 ((-2 (|:| |minor| (-635 (-919))) (|:| -4399 |#2|) (|:| |minors| (-635 (-635 (-919)))) (|:| |ops| (-635 |#2|))) |#2| (-919))) |noBranch|)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1941 ((|#1| $) 34)) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-2692 ((|#1| |#1| $) 30)) (-3651 ((|#1| $) 28)) (-4303 (((-635 |#1|) $) 39 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) 43 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 41)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) 45)) (-2351 (($ |#1| $) 31)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2166 ((|#1| $) 29)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 16)) (-4016 (($) 38)) (-2676 (((-765) $) 26)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 15)) (-3956 (((-852) $) 25 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) NIL)) (-3337 (($ (-635 |#1|)) 36)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 13 (|has| |#1| (-1093)))) (-2946 (((-765) $) 10 (|has| $ (-6 -4571))))) 
-(((-96 |#1|) (-13 (-1112 |#1|) (-10 -8 (-15 -3337 ($ (-635 |#1|))) (-15 -3651 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1941 (|#1| $)) (-15 -2676 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) (-1093)) (T -96)) 
-((-3186 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-4016 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-1396 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) (-3206 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) (-3350 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) (-4483 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-2946 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-96 *4)))) (-4303 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-4457 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-2691 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3016 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-2605 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1310 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) (-2166 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-4496 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-2692 (*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-3651 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-1941 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-2676 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-3337 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3))))) 
-(-13 (-1112 |#1|) (-10 -8 (-15 -3337 ($ (-635 |#1|))) (-15 -3651 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1941 (|#1| $)) (-15 -2676 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) 
-((-3517 (($ $) 10)) (-3525 (($ $) 12))) 
-(((-97 |#1|) (-10 -8 (-15 -3525 (|#1| |#1|)) (-15 -3517 (|#1| |#1|))) (-98)) (T -97)) 
-NIL 
-(-10 -8 (-15 -3525 (|#1| |#1|)) (-15 -3517 (|#1| |#1|))) 
-((-3505 (($ $) 11)) (-3490 (($ $) 10)) (-3517 (($ $) 9)) (-3525 (($ $) 8)) (-3510 (($ $) 7)) (-3497 (($ $) 6))) 
-(((-98) (-1284)) (T -98)) 
-((-3505 (*1 *1 *1) (-4 *1 (-98))) (-3490 (*1 *1 *1) (-4 *1 (-98))) (-3517 (*1 *1 *1) (-4 *1 (-98))) (-3525 (*1 *1 *1) (-4 *1 (-98))) (-3510 (*1 *1 *1) (-4 *1 (-98))) (-3497 (*1 *1 *1) (-4 *1 (-98)))) 
-(-13 (-10 -8 (-15 -3497 ($ $)) (-15 -3510 ($ $)) (-15 -3525 ($ $)) (-15 -3517 ($ $)) (-15 -3490 ($ $)) (-15 -3505 ($ $)))) 
-((-1310 (((-121) $ $) NIL)) (-1974 (((-382) (-1147) (-382)) 42) (((-382) (-1147) (-1147) (-382)) 41)) (-2229 (((-382) (-382)) 33)) (-2896 (((-1258)) 36)) (-2605 (((-1147) $) NIL)) (-4111 (((-382) (-1147) (-1147)) 46) (((-382) (-1147)) 48)) (-1912 (((-1111) $) NIL)) (-4171 (((-382) (-1147) (-1147)) 47)) (-2268 (((-382) (-1147) (-1147)) 49) (((-382) (-1147)) 50)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-99) (-13 (-1093) (-10 -7 (-15 -4111 ((-382) (-1147) (-1147))) (-15 -4111 ((-382) (-1147))) (-15 -2268 ((-382) (-1147) (-1147))) (-15 -2268 ((-382) (-1147))) (-15 -4171 ((-382) (-1147) (-1147))) (-15 -2896 ((-1258))) (-15 -2229 ((-382) (-382))) (-15 -1974 ((-382) (-1147) (-382))) (-15 -1974 ((-382) (-1147) (-1147) (-382))) (-6 -4571)))) (T -99)) 
-((-4111 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) (-4111 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) (-2268 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) (-2268 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) (-4171 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) (-2896 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-99)))) (-2229 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-99)))) (-1974 (*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1147)) (-5 *1 (-99)))) (-1974 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1147)) (-5 *1 (-99))))) 
-(-13 (-1093) (-10 -7 (-15 -4111 ((-382) (-1147) (-1147))) (-15 -4111 ((-382) (-1147))) (-15 -2268 ((-382) (-1147) (-1147))) (-15 -2268 ((-382) (-1147))) (-15 -4171 ((-382) (-1147) (-1147))) (-15 -2896 ((-1258))) (-15 -2229 ((-382) (-382))) (-15 -1974 ((-382) (-1147) (-382))) (-15 -1974 ((-382) (-1147) (-1147) (-382))) (-6 -4571))) 
-NIL 
-(((-100) (-1284)) (T -100)) 
-NIL 
-(-13 (-10 -7 (-6 -4571) (-6 (-4573 "*")) (-6 -4572) (-6 -4568) (-6 -4566) (-6 -4565) (-6 -4564) (-6 -4569) (-6 -4563) (-6 -4562) (-6 -4561) (-6 -4560) (-6 -4559) (-6 -4567) (-6 -4570) (-6 |NullSquare|) (-6 |JacobiIdentity|) (-6 -4558) (-6 -4334))) 
-((-1310 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-3109 (($ (-1 |#1| |#1|)) 25) (($ (-1 |#1| |#1|) (-1 |#1| |#1|)) 24) (($ (-1 |#1| |#1| (-569))) 22)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 14)) (-1912 (((-1111) $) NIL)) (-2503 ((|#1| $ |#1|) 11)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 20)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 8 T CONST)) (-1326 (((-121) $ $) 10)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) 28) (($ $ (-765)) NIL) (($ $ (-569)) 16)) (* (($ $ $) 29))) 
-(((-101 |#1|) (-13 (-479) (-282 |#1| |#1|) (-10 -8 (-15 -3109 ($ (-1 |#1| |#1|))) (-15 -3109 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -3109 ($ (-1 |#1| |#1| (-569)))))) (-1049)) (T -101)) 
-((-3109 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-101 *3)))) (-3109 (*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-101 *3)))) (-3109 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-569))) (-4 *3 (-1049)) (-5 *1 (-101 *3))))) 
-(-13 (-479) (-282 |#1| |#1|) (-10 -8 (-15 -3109 ($ (-1 |#1| |#1|))) (-15 -3109 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -3109 ($ (-1 |#1| |#1| (-569)))))) 
-((-3185 (((-1258) (-1097)) 20)) (-3758 (((-1147) (-1147) (-1147)) 7)) (-1546 (((-1258) (-569) (-1 (-1258) (-1097))) 14))) 
-(((-102) (-10 -7 (-15 -1546 ((-1258) (-569) (-1 (-1258) (-1097)))) (-15 -3185 ((-1258) (-1097))) (-15 -3758 ((-1147) (-1147) (-1147))))) (T -102)) 
-((-3758 (*1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-102)))) (-3185 (*1 *2 *3) (-12 (-5 *3 (-1097)) (-5 *2 (-1258)) (-5 *1 (-102)))) (-1546 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-1 (-1258) (-1097))) (-5 *2 (-1258)) (-5 *1 (-102))))) 
-(-10 -7 (-15 -1546 ((-1258) (-569) (-1 (-1258) (-1097)))) (-15 -3185 ((-1258) (-1097))) (-15 -3758 ((-1147) (-1147) (-1147)))) 
-((-1794 (((-421 |#2|) |#2| (-635 |#2|)) 10) (((-421 |#2|) |#2| |#2|) 11))) 
-(((-103 |#1| |#2|) (-10 -7 (-15 -1794 ((-421 |#2|) |#2| |#2|)) (-15 -1794 ((-421 |#2|) |#2| (-635 |#2|)))) (-13 (-454) (-151)) (-1228 |#1|)) (T -103)) 
-((-1794 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *5 *3)))) (-1794 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -1794 ((-421 |#2|) |#2| |#2|)) (-15 -1794 ((-421 |#2|) |#2| (-635 |#2|)))) 
-((-1310 (((-121) $ $) 9))) 
-(((-104 |#1|) (-10 -8 (-15 -1310 ((-121) |#1| |#1|))) (-105)) (T -104)) 
-NIL 
-(-10 -8 (-15 -1310 ((-121) |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-1326 (((-121) $ $) 6))) 
-(((-105) (-1284)) (T -105)) 
-((-1310 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) (-1326 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121))))) 
-(-13 (-10 -8 (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) 13 (|has| $ (-6 -4572)))) (-3800 (($ $ $) NIL (|has| $ (-6 -4572)))) (-3324 (($ $ $) NIL (|has| $ (-6 -4572)))) (-3141 (($ $ (-635 |#1|)) 15)) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "left" $) NIL (|has| $ (-6 -4572))) (($ $ "right" $) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3417 (($ $) 11)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2033 (($ $ |#1| $) 17)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4219 ((|#1| $ (-1 |#1| |#1| |#1|)) 25) (($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|)) 30)) (-2875 (($ $ |#1| (-1 |#1| |#1| |#1|)) 31) (($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|)) 35)) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-3149 (($ $) 10)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) 12)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 9)) (-4016 (($) 16)) (-2503 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2339 (($ (-765) |#1|) 19)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-106 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -2339 ($ (-765) |#1|)) (-15 -3141 ($ $ (-635 |#1|))) (-15 -4219 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -4219 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -2875 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -2875 ($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|))))) (-1093)) (T -106)) 
-((-2339 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *1 (-106 *3)) (-4 *3 (-1093)))) (-3141 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-106 *3)))) (-4219 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1093)))) (-4219 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-106 *3)))) (-2875 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1093)) (-5 *1 (-106 *2)))) (-2875 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-635 *2) *2 *2 *2)) (-4 *2 (-1093)) (-5 *1 (-106 *2))))) 
-(-13 (-135 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -2339 ($ (-765) |#1|)) (-15 -3141 ($ $ (-635 |#1|))) (-15 -4219 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -4219 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -2875 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -2875 ($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|))))) 
-((-1836 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)) 20)) (-1438 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|)) 17)) (-1670 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)) 21))) 
-(((-107 |#1|) (-10 -7 (-15 -1438 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|))) (-15 -1836 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|))) (-15 -1670 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)))) (-1049)) (T -107)) 
-((-1670 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4)))) (-1836 (*1 *2 *3 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4)))) (-1438 (*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
-(-10 -7 (-15 -1438 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|))) (-15 -1836 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|))) (-15 -1670 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)))) 
-((-4539 ((|#3| |#2| |#2|) 28)) (-1872 ((|#1| |#2| |#2|) 36 (|has| |#1| (-6 (-4573 "*"))))) (-1386 ((|#3| |#2| |#2|) 29)) (-1820 ((|#1| |#2|) 40 (|has| |#1| (-6 (-4573 "*")))))) 
-(((-108 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4539 (|#3| |#2| |#2|)) (-15 -1386 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4573 "*"))) (PROGN (-15 -1872 (|#1| |#2| |#2|)) (-15 -1820 (|#1| |#2|))) |noBranch|)) (-1049) (-1228 |#1|) (-679 |#1| |#4| |#5|) (-376 |#1|) (-376 |#1|)) (T -108)) 
-((-1820 (*1 *2 *3) (-12 (|has| *2 (-6 (-4573 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1049)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1228 *2)) (-4 *4 (-679 *2 *5 *6)))) (-1872 (*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4573 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1049)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1228 *2)) (-4 *4 (-679 *2 *5 *6)))) (-1386 (*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-679 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1228 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)))) (-4539 (*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-679 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1228 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
-(-10 -7 (-15 -4539 (|#3| |#2| |#2|)) (-15 -1386 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4573 "*"))) (PROGN (-15 -1872 (|#1| |#2| |#2|)) (-15 -1820 (|#1| |#2|))) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3203 (((-635 (-1165))) 32)) (-2950 (((-2 (|:| |zeros| (-1145 (-216))) (|:| |ones| (-1145 (-216))) (|:| |singularities| (-1145 (-216)))) (-1165)) 35)) (-1326 (((-121) $ $) NIL))) 
-(((-109) (-13 (-1093) (-10 -7 (-15 -3203 ((-635 (-1165)))) (-15 -2950 ((-2 (|:| |zeros| (-1145 (-216))) (|:| |ones| (-1145 (-216))) (|:| |singularities| (-1145 (-216)))) (-1165))) (-6 -4571)))) (T -109)) 
-((-3203 (*1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-109)))) (-2950 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-2 (|:| |zeros| (-1145 (-216))) (|:| |ones| (-1145 (-216))) (|:| |singularities| (-1145 (-216))))) (-5 *1 (-109))))) 
-(-13 (-1093) (-10 -7 (-15 -3203 ((-635 (-1165)))) (-15 -2950 ((-2 (|:| |zeros| (-1145 (-216))) (|:| |ones| (-1145 (-216))) (|:| |singularities| (-1145 (-216)))) (-1165))) (-6 -4571))) 
-((-1753 (($ (-635 |#2|)) 11))) 
-(((-110 |#1| |#2|) (-10 -8 (-15 -1753 (|#1| (-635 |#2|)))) (-111 |#2|) (-1199)) (T -110)) 
-NIL 
-(-10 -8 (-15 -1753 (|#1| (-635 |#2|)))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-111 |#1|) (-1284) (-1199)) (T -111)) 
-((-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-111 *3)))) (-2166 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199)))) (-2351 (*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199)))) (-4496 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199))))) 
-(-13 (-500 |t#1|) (-10 -8 (-6 -4572) (-15 -1753 ($ (-635 |t#1|))) (-15 -2166 (|t#1| $)) (-15 -2351 ($ |t#1| $)) (-15 -4496 (|t#1| $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-569) $) NIL (|has| (-569) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-569) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-569) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1039 (-569))))) (-1321 (((-569) $) NIL) (((-1165) $) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-569) (-1039 (-569)))) (((-569) $) NIL (|has| (-569) (-1039 (-569))))) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-569) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-569) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-569) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-569) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-569) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-569) (-1139)))) (-4311 (((-121) $) NIL (|has| (-569) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-4188 (($ (-1 (-569) (-569)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-569) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-1807 (((-569) $) NIL (|has| (-569) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1165)) (-635 (-569))) NIL (|has| (-569) (-524 (-1165) (-569)))) (($ $ (-1165) (-569)) NIL (|has| (-569) (-524 (-1165) (-569))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-569) $) NIL)) (-4035 (((-889 (-569)) $) NIL (|has| (-569) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-569) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1023))) (((-216) $) NIL (|has| (-569) (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1165)) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL) (((-1006 2) $) 9)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-569) (-906))) (|has| (-569) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-569) $) NIL (|has| (-569) (-551)))) (-1966 (($ (-410 (-569))) 8)) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| (-569) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1383 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
-(((-112) (-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 2) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -1966 ($ (-410 (-569))))))) (T -112)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1006 2)) (-5 *1 (-112)))) (-1391 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) (-1966 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112))))) 
-(-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 2) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -1966 ($ (-410 (-569)))))) 
-((-1310 (((-121) $ $) NIL)) (-2255 (((-1111) $ (-1111)) 23)) (-3284 (($ $ (-1147)) 17)) (-4006 (((-3 (-1111) "failed") $) 22)) (-3780 (((-1111) $) 20)) (-1363 (((-1111) $ (-1111)) 25)) (-3988 (((-1111) $) 24)) (-4465 (($ (-391)) NIL) (($ (-391) (-1147)) 16)) (-2798 (((-391) $) NIL)) (-2605 (((-1147) $) NIL)) (-4114 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3295 (((-1258) $) NIL)) (-3956 (((-852) $) NIL)) (-2520 (($ $) 18)) (-1326 (((-121) $ $) NIL))) 
-(((-113) (-13 (-367 (-391) (-1111)) (-10 -8 (-15 -4006 ((-3 (-1111) "failed") $)) (-15 -3988 ((-1111) $)) (-15 -1363 ((-1111) $ (-1111)))))) (T -113)) 
-((-4006 (*1 *2 *1) (|partial| -12 (-5 *2 (-1111)) (-5 *1 (-113)))) (-3988 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-113)))) (-1363 (*1 *2 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-113))))) 
-(-13 (-367 (-391) (-1111)) (-10 -8 (-15 -4006 ((-3 (-1111) "failed") $)) (-15 -3988 ((-1111) $)) (-15 -1363 ((-1111) $ (-1111))))) 
-((-1310 (((-121) $ $) NIL)) (-1771 (($ $) NIL)) (-1800 (($ $ $) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) $) NIL (|has| (-121) (-844))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-1744 (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-121) (-844)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4572)))) (-2930 (($ $) NIL (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-121) $ (-1219 (-569)) (-121)) NIL (|has| $ (-6 -4572))) (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-3503 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-2793 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-3982 (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4572)))) (-4124 (((-121) $ (-569)) NIL)) (-3988 (((-569) (-121) $ (-569)) NIL (|has| (-121) (-1093))) (((-569) (-121) $) NIL (|has| (-121) (-1093))) (((-569) (-1 (-121) (-121)) $) NIL)) (-4303 (((-635 (-121)) $) NIL (|has| $ (-6 -4571)))) (-2472 (($ $ $) NIL)) (-3182 (($ $) NIL)) (-2327 (($ $ $) NIL)) (-2446 (($ (-765) (-121)) 8)) (-1681 (($ $ $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL)) (-2102 (($ $ $) NIL (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-4457 (((-635 (-121)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL)) (-2089 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-121) (-121) (-121)) $ $) NIL) (($ (-1 (-121) (-121)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ (-121) $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-121) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-2417 (($ $ (-121)) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-121)) (-635 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-289 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-635 (-289 (-121)))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-4283 (((-635 (-121)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 (($ $ (-1219 (-569))) NIL) (((-121) $ (-569)) NIL) (((-121) $ (-569) (-121)) NIL)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2691 (((-765) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093)))) (((-765) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-121) (-610 (-542))))) (-3124 (($ (-635 (-121))) NIL)) (-4456 (($ (-635 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-3956 (((-852) $) NIL)) (-4420 (($ (-765) (-121)) 9)) (-3776 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-3993 (($ $ $) NIL)) (-3403 (($ $) NIL)) (-1294 (($ $ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1637 (($ $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-114) (-13 (-133) (-10 -8 (-15 -4420 ($ (-765) (-121)))))) (T -114)) 
-((-4420 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-121)) (-5 *1 (-114))))) 
-(-13 (-133) (-10 -8 (-15 -4420 ($ (-765) (-121))))) 
-((-2159 (((-960 (-170 (-216))) (-1111) (-170 (-216)) (-960 (-170 (-216))) (-1111) (-960 (-170 (-216))) (-1111)) 33)) (-2194 (((-569) (-1111) (-960 (-170 (-216))) (-1111)) 32)) (-2231 (((-569) (-569) (-960 (-382)) (-569)) 31)) (-2262 (((-569) (-569) (-960 (-216)) (-569)) 29)) (-2298 (((-569) (-569) (-960 (-170 (-382))) (-569)) 28)) (-2334 (((-216) (-1111) (-960 (-170 (-216))) (-1111)) 25)) (-2371 (((-216) (-1111) (-960 (-170 (-216))) (-1111)) 24)) (-2418 (((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111)) 22)) (-2451 (((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111)) 21)) (-2489 (((-960 (-216)) (-216) (-216) (-216) (-216)) 18)) (-2530 (((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111) (-216) (-216)) 20)) (-2570 (((-216) (-1111) (-960 (-216)) (-1111)) 17)) (-2608 (((-216) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111)) 16)) (-2953 (((-960 (-216)) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111)) 15)) (-3209 (((-216) (-170 (-216))) 10)) (-2360 (((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111) (-960 (-216)) (-1111)) 14)) (-3232 (((-216) (-1111) (-960 (-216)) (-1111)) 13))) 
-(((-115) (-10 -7 (-15 -3209 ((-216) (-170 (-216)))) (-15 -3232 ((-216) (-1111) (-960 (-216)) (-1111))) (-15 -2360 ((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2953 ((-960 (-216)) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2608 ((-216) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2570 ((-216) (-1111) (-960 (-216)) (-1111))) (-15 -2489 ((-960 (-216)) (-216) (-216) (-216) (-216))) (-15 -2530 ((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111) (-216) (-216))) (-15 -2451 ((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111))) (-15 -2418 ((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2371 ((-216) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2334 ((-216) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2298 ((-569) (-569) (-960 (-170 (-382))) (-569))) (-15 -2262 ((-569) (-569) (-960 (-216)) (-569))) (-15 -2231 ((-569) (-569) (-960 (-382)) (-569))) (-15 -2194 ((-569) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2159 ((-960 (-170 (-216))) (-1111) (-170 (-216)) (-960 (-170 (-216))) (-1111) (-960 (-170 (-216))) (-1111))))) (T -115)) 
-((-2159 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-170 (-216)))) (-5 *3 (-1111)) (-5 *4 (-170 (-216))) (-5 *1 (-115)))) (-2194 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-569)) (-5 *1 (-115)))) (-2231 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-382))) (-5 *1 (-115)))) (-2262 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-216))) (-5 *1 (-115)))) (-2298 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-170 (-382)))) (-5 *1 (-115)))) (-2334 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115)))) (-2371 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115)))) (-2418 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-635 (-960 (-216)))) (-5 *1 (-115)) (-5 *4 (-960 (-216))))) (-2451 (*1 *2 *3 *4 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *4 (-216)) (-5 *1 (-115)))) (-2530 (*1 *2 *3 *4 *3 *4 *3 *5 *5) (-12 (-5 *3 (-1111)) (-5 *5 (-216)) (-5 *2 (-635 (-960 *5))) (-5 *1 (-115)) (-5 *4 (-960 *5)))) (-2489 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-960 (-216))) (-5 *1 (-115)) (-5 *3 (-216)))) (-2570 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-2608 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-2953 (*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *1 (-115)))) (-2360 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *4 (-216)) (-5 *1 (-115)))) (-3232 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-3209 (*1 *2 *3) (-12 (-5 *3 (-170 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
-(-10 -7 (-15 -3209 ((-216) (-170 (-216)))) (-15 -3232 ((-216) (-1111) (-960 (-216)) (-1111))) (-15 -2360 ((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2953 ((-960 (-216)) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2608 ((-216) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2570 ((-216) (-1111) (-960 (-216)) (-1111))) (-15 -2489 ((-960 (-216)) (-216) (-216) (-216) (-216))) (-15 -2530 ((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111) (-216) (-216))) (-15 -2451 ((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111))) (-15 -2418 ((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2371 ((-216) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2334 ((-216) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2298 ((-569) (-569) (-960 (-170 (-382))) (-569))) (-15 -2262 ((-569) (-569) (-960 (-216)) (-569))) (-15 -2231 ((-569) (-569) (-960 (-382)) (-569))) (-15 -2194 ((-569) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2159 ((-960 (-170 (-216))) (-1111) (-170 (-216)) (-960 (-170 (-216))) (-1111) (-960 (-170 (-216))) (-1111)))) 
-((-1310 (((-121) $ $) NIL)) (-1425 (((-3 "left" "center" "right" "vertical" "horizontal") $) 17)) (-3683 (((-569) $) 14)) (-4225 (((-569) $) 15)) (-4246 (((-569) $) 16)) (-2605 (((-1147) $) NIL)) (-3863 (((-121) $) 8)) (-1912 (((-1111) $) NIL)) (-3009 (((-569) $) 12)) (-4252 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 11)) (-3956 (((-852) $) 19) (($ (-635 (-569))) NIL)) (-2822 (((-569) $) 13)) (-1326 (((-121) $ $) NIL))) 
+((-3517 (((-121) $) 12)) (-3799 (($ (-1 |#2| |#2|) $) 21)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ (-412 (-571)) $) 24) (($ $ (-412 (-571))) NIL))) 
+(((-51 |#1| |#2| |#3|) (-10 -8 (-15 * (|#1| |#1| (-412 (-571)))) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 -3517 ((-121) |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|))) (-52 |#2| |#3|) (-1053) (-792)) (T -51)) 
+NIL 
+(-10 -8 (-15 * (|#1| |#1| (-412 (-571)))) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 -3517 ((-121) |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 50 (|has| |#1| (-561)))) (-1415 (($ $) 51 (|has| |#1| (-561)))) (-2545 (((-121) $) 53 (|has| |#1| (-561)))) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-4349 (($ $) 59)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3517 (((-121) $) 61)) (-4289 (($ |#1| |#2|) 60)) (-3799 (($ (-1 |#1| |#1|) $) 62)) (-4332 (($ $) 64)) (-4337 ((|#1| $) 65)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1786 (((-3 $ "failed") $ $) 49 (|has| |#1| (-561)))) (-2400 ((|#2| $) 63)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ (-412 (-571))) 56 (|has| |#1| (-43 (-412 (-571))))) (($ $) 48 (|has| |#1| (-561))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3136 ((|#1| $ |#2|) 58)) (-2346 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 52 (|has| |#1| (-561)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 57 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-412 (-571)) $) 55 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 54 (|has| |#1| (-43 (-412 (-571))))))) 
+(((-52 |#1| |#2|) (-1289) (-1053) (-792)) (T -52)) 
+((-4337 (*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)))) (-4332 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)))) (-2400 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)))) (-3517 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-121)))) (-4289 (*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)))) (-4349 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)))) (-3136 (*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)))) (-1379 (*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)) (-4 *2 (-367))))) 
+(-13 (-1053) (-120 |t#1| |t#1|) (-10 -8 (-15 -4337 (|t#1| $)) (-15 -4332 ($ $)) (-15 -2400 (|t#2| $)) (-15 -3799 ($ (-1 |t#1| |t#1|) $)) (-15 -3517 ((-121) $)) (-15 -4289 ($ |t#1| |t#2|)) (-15 -4349 ($ $)) (-15 -3136 (|t#1| $ |t#2|)) (IF (|has| |t#1| (-367)) (-15 -1379 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-6 (-173)) (-6 (-43 |t#1|))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-561)) (-6 (-561)) |noBranch|) (IF (|has| |t#1| (-43 (-412 (-571)))) (-6 (-43 (-412 (-571)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-561)) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-286) |has| |#1| (-561)) ((-561) |has| |#1| (-561)) ((-640 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) |has| |#1| (-561)) ((-721) . T) ((-1059 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-1657 (((-637 $) (-1165 $) (-1169)) NIL) (((-637 $) (-1165 $)) NIL) (((-637 $) (-958 $)) NIL)) (-2025 (($ (-1165 $) (-1169)) NIL) (($ (-1165 $)) NIL) (($ (-958 $)) NIL)) (-4123 (((-121) $) 11)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4121 (((-637 (-610 $)) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1448 (($ $ (-289 $)) NIL) (($ $ (-637 (-289 $))) NIL) (($ $ (-637 (-610 $)) (-637 $)) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-4158 (($ $) NIL)) (-1295 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-1738 (((-637 $) (-1165 $) (-1169)) NIL) (((-637 $) (-1165 $)) NIL) (((-637 $) (-958 $)) NIL)) (-2553 (($ (-1165 $) (-1169)) NIL) (($ (-1165 $)) NIL) (($ (-958 $)) NIL)) (-3337 (((-3 (-610 $) "failed") $) NIL) (((-3 (-571) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL)) (-1316 (((-610 $) $) NIL) (((-571) $) NIL) (((-412 (-571)) $) NIL)) (-2162 (($ $ $) NIL)) (-2680 (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-684 (-571)) (-684 $)) NIL) (((-2 (|:| -3533 (-684 (-412 (-571)))) (|:| |vec| (-1258 (-412 (-571))))) (-684 $) (-1258 $)) NIL) (((-684 (-412 (-571))) (-684 $)) NIL)) (-3074 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2122 (($ $) NIL) (($ (-637 $)) NIL)) (-3645 (((-637 (-123)) $) NIL)) (-3513 (((-123) (-123)) NIL)) (-2583 (((-121) $) 14)) (-4329 (((-121) $) NIL (|has| $ (-1043 (-571))))) (-4474 (((-1120 (-571) (-610 $)) $) NIL)) (-3549 (($ $ (-571)) NIL)) (-3477 (((-1165 $) (-1165 $) (-610 $)) NIL) (((-1165 $) (-1165 $) (-637 (-610 $))) NIL) (($ $ (-610 $)) NIL) (($ $ (-637 (-610 $))) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4286 (((-1165 $) (-610 $)) NIL (|has| $ (-1053)))) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3799 (($ (-1 $ $) (-610 $)) NIL)) (-1359 (((-3 (-610 $) "failed") $) NIL)) (-1622 (($ (-637 $)) NIL) (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-4251 (((-637 (-610 $)) $) NIL)) (-4485 (($ (-123) $) NIL) (($ (-123) (-637 $)) NIL)) (-3340 (((-121) $ (-123)) NIL) (((-121) $ (-1169)) NIL)) (-4315 (($ $) NIL)) (-1454 (((-768) $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ (-637 $)) NIL) (($ $ $) NIL)) (-4348 (((-121) $ $) NIL) (((-121) $ (-1169)) NIL)) (-4262 (((-423 $) $) NIL)) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2385 (((-121) $) NIL (|has| $ (-1043 (-571))))) (-4483 (($ $ (-610 $) $) NIL) (($ $ (-637 (-610 $)) (-637 $)) NIL) (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-1169) (-1 $ (-637 $))) NIL) (($ $ (-1169) (-1 $ $)) NIL) (($ $ (-637 (-123)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-123)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-123) (-1 $ (-637 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-1826 (((-768) $) NIL)) (-3245 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-637 $)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-4543 (($ $) NIL) (($ $ $) NIL)) (-3096 (($ $ (-768)) NIL) (($ $) NIL)) (-4479 (((-1120 (-571) (-610 $)) $) NIL)) (-3413 (($ $) NIL (|has| $ (-1053)))) (-4050 (((-384) $) NIL) (((-216) $) NIL) (((-170 (-384)) $) NIL)) (-3942 (((-855) $) NIL) (($ (-610 $)) NIL) (($ (-412 (-571))) NIL) (($ $) NIL) (($ (-571)) NIL) (($ (-1120 (-571) (-610 $))) NIL)) (-2661 (((-768)) NIL)) (-4449 (($ $) NIL) (($ (-637 $)) NIL)) (-3090 (((-121) (-123)) NIL)) (-1388 (((-121) $ $) NIL)) (-4142 (($ $ (-571)) NIL) (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (-2369 (($) 7 T CONST)) (-3222 (($) 12 T CONST)) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 16)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL)) (-1373 (($ $ $) 15) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-412 (-571))) NIL) (($ $ (-571)) NIL) (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (* (($ (-412 (-571)) $) NIL) (($ $ (-412 (-571))) NIL) (($ $ $) NIL) (($ (-571) $) NIL) (($ (-768) $) NIL) (($ (-922) $) NIL))) 
+(((-53) (-13 (-297) (-27) (-1043 (-571)) (-1043 (-412 (-571))) (-633 (-571)) (-1027) (-633 (-412 (-571))) (-151) (-612 (-170 (-384))) (-226) (-10 -8 (-15 -3942 ($ (-1120 (-571) (-610 $)))) (-15 -4474 ((-1120 (-571) (-610 $)) $)) (-15 -4479 ((-1120 (-571) (-610 $)) $)) (-15 -3074 ($ $)) (-15 -3477 ((-1165 $) (-1165 $) (-610 $))) (-15 -3477 ((-1165 $) (-1165 $) (-637 (-610 $)))) (-15 -3477 ($ $ (-610 $))) (-15 -3477 ($ $ (-637 (-610 $))))))) (T -53)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1120 (-571) (-610 (-53)))) (-5 *1 (-53)))) (-4474 (*1 *2 *1) (-12 (-5 *2 (-1120 (-571) (-610 (-53)))) (-5 *1 (-53)))) (-4479 (*1 *2 *1) (-12 (-5 *2 (-1120 (-571) (-610 (-53)))) (-5 *1 (-53)))) (-3074 (*1 *1 *1) (-5 *1 (-53))) (-3477 (*1 *2 *2 *3) (-12 (-5 *2 (-1165 (-53))) (-5 *3 (-610 (-53))) (-5 *1 (-53)))) (-3477 (*1 *2 *2 *3) (-12 (-5 *2 (-1165 (-53))) (-5 *3 (-637 (-610 (-53)))) (-5 *1 (-53)))) (-3477 (*1 *1 *1 *2) (-12 (-5 *2 (-610 (-53))) (-5 *1 (-53)))) (-3477 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-610 (-53)))) (-5 *1 (-53))))) 
+(-13 (-297) (-27) (-1043 (-571)) (-1043 (-412 (-571))) (-633 (-571)) (-1027) (-633 (-412 (-571))) (-151) (-612 (-170 (-384))) (-226) (-10 -8 (-15 -3942 ($ (-1120 (-571) (-610 $)))) (-15 -4474 ((-1120 (-571) (-610 $)) $)) (-15 -4479 ((-1120 (-571) (-610 $)) $)) (-15 -3074 ($ $)) (-15 -3477 ((-1165 $) (-1165 $) (-610 $))) (-15 -3477 ((-1165 $) (-1165 $) (-637 (-610 $)))) (-15 -3477 ($ $ (-610 $))) (-15 -3477 ($ $ (-637 (-610 $)))))) 
+((-2234 (((-121) $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 7)) (-1323 (((-121) $ $) NIL))) 
+(((-54) (-1097)) (T -54)) 
+NIL 
+(-1097) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 60)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3979 (((-121) $) 20)) (-3337 (((-3 |#1| "failed") $) 23)) (-1316 ((|#1| $) 24)) (-4349 (($ $) 27)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-4337 ((|#1| $) 21)) (-4037 (($ $) 49)) (-3944 (((-1151) $) NIL)) (-1391 (((-121) $) 28)) (-2580 (((-1115) $) NIL)) (-2280 (($ (-768)) 47)) (-4148 (($ (-637 (-571))) 48)) (-2400 (((-768) $) 29)) (-3942 (((-855) $) 63) (($ (-571)) 44) (($ |#1|) 42)) (-3136 ((|#1| $ $) 19)) (-2661 (((-768)) 46)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 30 T CONST)) (-3222 (($) 14 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 40)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 41) (($ |#1| $) 35))) 
+(((-55 |#1| |#2|) (-13 (-615 |#1|) (-1043 |#1|) (-10 -8 (-15 -4337 (|#1| $)) (-15 -4037 ($ $)) (-15 -4349 ($ $)) (-15 -3136 (|#1| $ $)) (-15 -2280 ($ (-768))) (-15 -4148 ($ (-637 (-571)))) (-15 -1391 ((-121) $)) (-15 -3979 ((-121) $)) (-15 -2400 ((-768) $)) (-15 -3799 ($ (-1 |#1| |#1|) $)))) (-1053) (-637 (-1169))) (T -55)) 
+((-4337 (*1 *2 *1) (-12 (-4 *2 (-1053)) (-5 *1 (-55 *2 *3)) (-14 *3 (-637 (-1169))))) (-4037 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-637 (-1169))))) (-4349 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-637 (-1169))))) (-3136 (*1 *2 *1 *1) (-12 (-4 *2 (-1053)) (-5 *1 (-55 *2 *3)) (-14 *3 (-637 (-1169))))) (-2280 (*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))))) (-4148 (*1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))))) (-1391 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))))) (-3979 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))))) (-2400 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-55 *3 *4)) (-14 *4 (-637 (-1169)))))) 
+(-13 (-615 |#1|) (-1043 |#1|) (-10 -8 (-15 -4337 (|#1| $)) (-15 -4037 ($ $)) (-15 -4349 ($ $)) (-15 -3136 (|#1| $ $)) (-15 -2280 ($ (-768))) (-15 -4148 ($ (-637 (-571)))) (-15 -1391 ((-121) $)) (-15 -3979 ((-121) $)) (-15 -2400 ((-768) $)) (-15 -3799 ($ (-1 |#1| |#1|) $)))) 
+((-3979 (((-121) (-57)) 13)) (-3337 (((-3 |#1| "failed") (-57)) 21)) (-1316 ((|#1| (-57)) 22)) (-3942 (((-57) |#1|) 18))) 
+(((-56 |#1|) (-10 -7 (-15 -3942 ((-57) |#1|)) (-15 -3337 ((-3 |#1| "failed") (-57))) (-15 -3979 ((-121) (-57))) (-15 -1316 (|#1| (-57)))) (-1203)) (T -56)) 
+((-1316 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1203)))) (-3979 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1203)))) (-3337 (*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1203)))) (-3942 (*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1203))))) 
+(-10 -7 (-15 -3942 ((-57) |#1|)) (-15 -3337 ((-3 |#1| "failed") (-57))) (-15 -3979 ((-121) (-57))) (-15 -1316 (|#1| (-57)))) 
+((-2234 (((-121) $ $) NIL)) (-2070 (((-1151) (-121)) 25)) (-2750 (((-855) $) 24)) (-3308 (((-771) $) 12)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3910 (((-855) $) 16)) (-3362 (((-1101) $) 14)) (-3942 (((-855) $) 32)) (-1586 (($ (-1101) (-771)) 33)) (-1323 (((-121) $ $) 18))) 
+(((-57) (-13 (-1097) (-10 -8 (-15 -1586 ($ (-1101) (-771))) (-15 -3910 ((-855) $)) (-15 -2750 ((-855) $)) (-15 -3362 ((-1101) $)) (-15 -3308 ((-771) $)) (-15 -2070 ((-1151) (-121)))))) (T -57)) 
+((-1586 (*1 *1 *2 *3) (-12 (-5 *2 (-1101)) (-5 *3 (-771)) (-5 *1 (-57)))) (-3910 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-57)))) (-2750 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-57)))) (-3362 (*1 *2 *1) (-12 (-5 *2 (-1101)) (-5 *1 (-57)))) (-3308 (*1 *2 *1) (-12 (-5 *2 (-771)) (-5 *1 (-57)))) (-2070 (*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1151)) (-5 *1 (-57))))) 
+(-13 (-1097) (-10 -8 (-15 -1586 ($ (-1101) (-771))) (-15 -3910 ((-855) $)) (-15 -2750 ((-855) $)) (-15 -3362 ((-1101) $)) (-15 -3308 ((-771) $)) (-15 -2070 ((-1151) (-121))))) 
+((-3173 (((-1263)) 20)) (-3722 (((-1099 (-1169)) (-1169)) 15)) (-4066 (((-1099 (-1169)) (-1169)) 16)) (-3218 (((-1263)) 19))) 
+(((-58) (-10 -7 (-15 -3722 ((-1099 (-1169)) (-1169))) (-15 -4066 ((-1099 (-1169)) (-1169))) (-15 -3218 ((-1263))) (-15 -3173 ((-1263))))) (T -58)) 
+((-3173 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-58)))) (-3218 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-58)))) (-4066 (*1 *2 *3) (-12 (-5 *2 (-1099 (-1169))) (-5 *1 (-58)) (-5 *3 (-1169)))) (-3722 (*1 *2 *3) (-12 (-5 *2 (-1099 (-1169))) (-5 *1 (-58)) (-5 *3 (-1169))))) 
+(-10 -7 (-15 -3722 ((-1099 (-1169)) (-1169))) (-15 -4066 ((-1099 (-1169)) (-1169))) (-15 -3218 ((-1263))) (-15 -3173 ((-1263)))) 
+((-4288 ((|#2| |#3| (-1 |#2| |#2|) |#2|) 16))) 
+(((-59 |#1| |#2| |#3|) (-10 -7 (-15 -4288 (|#2| |#3| (-1 |#2| |#2|) |#2|))) (-1053) (-640 |#1|) (-849 |#1|)) (T -59)) 
+((-4288 (*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-640 *5)) (-4 *5 (-1053)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-849 *5))))) 
+(-10 -7 (-15 -4288 (|#2| |#3| (-1 |#2| |#2|) |#2|))) 
+((-3401 ((|#3| |#3| (-637 (-1169))) 35)) (-1806 ((|#3| (-637 (-1075 |#1| |#2| |#3|)) |#3| (-922)) 22) ((|#3| (-637 (-1075 |#1| |#2| |#3|)) |#3|) 20))) 
+(((-60 |#1| |#2| |#3|) (-10 -7 (-15 -1806 (|#3| (-637 (-1075 |#1| |#2| |#3|)) |#3|)) (-15 -1806 (|#3| (-637 (-1075 |#1| |#2| |#3|)) |#3| (-922))) (-15 -3401 (|#3| |#3| (-637 (-1169))))) (-1097) (-13 (-1053) (-886 |#1|) (-847) (-612 (-892 |#1|))) (-13 (-435 |#2|) (-886 |#1|) (-612 (-892 |#1|)))) (T -60)) 
+((-3401 (*1 *2 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-435 *5) (-886 *4) (-612 (-892 *4)))))) (-1806 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-637 (-1075 *5 *6 *2))) (-5 *4 (-922)) (-4 *5 (-1097)) (-4 *6 (-13 (-1053) (-886 *5) (-847) (-612 (-892 *5)))) (-4 *2 (-13 (-435 *6) (-886 *5) (-612 (-892 *5)))) (-5 *1 (-60 *5 *6 *2)))) (-1806 (*1 *2 *3 *2) (-12 (-5 *3 (-637 (-1075 *4 *5 *2))) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-4 *2 (-13 (-435 *5) (-886 *4) (-612 (-892 *4)))) (-5 *1 (-60 *4 *5 *2))))) 
+(-10 -7 (-15 -1806 (|#3| (-637 (-1075 |#1| |#2| |#3|)) |#3|)) (-15 -1806 (|#3| (-637 (-1075 |#1| |#2| |#3|)) |#3| (-922))) (-15 -3401 (|#3| |#3| (-637 (-1169))))) 
+((-3133 (((-121) $ (-768)) 23)) (-2071 (($ $ (-571) |#3|) 45)) (-1635 (($ $ (-571) |#4|) 49)) (-4336 ((|#3| $ (-571)) 58)) (-4034 (((-637 |#2|) $) 30)) (-2262 (((-121) $ (-768)) 25)) (-3303 (((-121) |#2| $) 53)) (-1923 (($ (-1 |#2| |#2|) $) 37)) (-3799 (($ (-1 |#2| |#2|) $) 36) (($ (-1 |#2| |#2| |#2|) $ $) 39) (($ (-1 |#2| |#2| |#2|) $ $ |#2|) 41)) (-3794 (((-121) $ (-768)) 24)) (-4411 (($ $ |#2|) 34)) (-3160 (((-121) (-1 (-121) |#2|) $) 19)) (-3245 ((|#2| $ (-571) (-571)) NIL) ((|#2| $ (-571) (-571) |#2|) 27)) (-1569 (((-768) (-1 (-121) |#2|) $) 28) (((-768) |#2| $) 55)) (-4316 (($ $) 33)) (-2852 ((|#4| $ (-571)) 61)) (-3942 (((-855) $) 66)) (-3027 (((-121) (-1 (-121) |#2|) $) 18)) (-1323 (((-121) $ $) 52)) (-4001 (((-768) $) 26))) 
+(((-61 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3799 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -3799 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -1923 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1635 (|#1| |#1| (-571) |#4|)) (-15 -2071 (|#1| |#1| (-571) |#3|)) (-15 -4034 ((-637 |#2|) |#1|)) (-15 -2852 (|#4| |#1| (-571))) (-15 -4336 (|#3| |#1| (-571))) (-15 -3245 (|#2| |#1| (-571) (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571) (-571))) (-15 -4411 (|#1| |#1| |#2|)) (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -3303 ((-121) |#2| |#1|)) (-15 -1569 ((-768) |#2| |#1|)) (-15 -1569 ((-768) (-1 (-121) |#2|) |#1|)) (-15 -3160 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4001 ((-768) |#1|)) (-15 -3133 ((-121) |#1| (-768))) (-15 -2262 ((-121) |#1| (-768))) (-15 -3794 ((-121) |#1| (-768))) (-15 -4316 (|#1| |#1|))) (-62 |#2| |#3| |#4|) (-1203) (-378 |#2|) (-378 |#2|)) (T -61)) 
+NIL 
+(-10 -8 (-15 -3799 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -3799 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -1923 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1635 (|#1| |#1| (-571) |#4|)) (-15 -2071 (|#1| |#1| (-571) |#3|)) (-15 -4034 ((-637 |#2|) |#1|)) (-15 -2852 (|#4| |#1| (-571))) (-15 -4336 (|#3| |#1| (-571))) (-15 -3245 (|#2| |#1| (-571) (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571) (-571))) (-15 -4411 (|#1| |#1| |#2|)) (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -3303 ((-121) |#2| |#1|)) (-15 -1569 ((-768) |#2| |#1|)) (-15 -1569 ((-768) (-1 (-121) |#2|) |#1|)) (-15 -3160 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4001 ((-768) |#1|)) (-15 -3133 ((-121) |#1| (-768))) (-15 -2262 ((-121) |#1| (-768))) (-15 -3794 ((-121) |#1| (-768))) (-15 -4316 (|#1| |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) 8)) (-3251 ((|#1| $ (-571) (-571) |#1|) 41)) (-2071 (($ $ (-571) |#2|) 39)) (-1635 (($ $ (-571) |#3|) 38)) (-2269 (($) 7 T CONST)) (-4336 ((|#2| $ (-571)) 43)) (-2922 ((|#1| $ (-571) (-571) |#1|) 40)) (-4319 ((|#1| $ (-571) (-571)) 45)) (-4034 (((-637 |#1|) $) 30)) (-3673 (((-768) $) 48)) (-1364 (($ (-768) (-768) |#1|) 54)) (-3682 (((-768) $) 47)) (-2262 (((-121) $ (-768)) 9)) (-1950 (((-571) $) 52)) (-3325 (((-571) $) 50)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4239 (((-571) $) 51)) (-4395 (((-571) $) 49)) (-1923 (($ (-1 |#1| |#1|) $) 34)) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-4411 (($ $ |#1|) 53)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ (-571) (-571)) 46) ((|#1| $ (-571) (-571) |#1|) 44)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-2852 ((|#3| $ (-571)) 42)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-62 |#1| |#2| |#3|) (-1289) (-1203) (-378 |t#1|) (-378 |t#1|)) (T -62)) 
+((-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-1364 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-768)) (-4 *3 (-1203)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-4411 (*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1203)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (-1950 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-571)))) (-4239 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-571)))) (-3325 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-571)))) (-4395 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-571)))) (-3673 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-768)))) (-3682 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-768)))) (-3245 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-378 *2)) (-4 *5 (-378 *2)) (-4 *2 (-1203)))) (-4319 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-378 *2)) (-4 *5 (-378 *2)) (-4 *2 (-1203)))) (-3245 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1203)) (-4 *4 (-378 *2)) (-4 *5 (-378 *2)))) (-4336 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1203)) (-4 *5 (-378 *4)) (-4 *2 (-378 *4)))) (-2852 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1203)) (-4 *5 (-378 *4)) (-4 *2 (-378 *4)))) (-4034 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-637 *3)))) (-3251 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1203)) (-4 *4 (-378 *2)) (-4 *5 (-378 *2)))) (-2922 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1203)) (-4 *4 (-378 *2)) (-4 *5 (-378 *2)))) (-2071 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-571)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1203)) (-4 *3 (-378 *4)) (-4 *5 (-378 *4)))) (-1635 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-571)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1203)) (-4 *5 (-378 *4)) (-4 *3 (-378 *4)))) (-1923 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-3799 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-3799 (*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3))))) 
+(-13 (-502 |t#1|) (-10 -8 (-6 -4601) (-6 -4600) (-15 -1364 ($ (-768) (-768) |t#1|)) (-15 -4411 ($ $ |t#1|)) (-15 -1950 ((-571) $)) (-15 -4239 ((-571) $)) (-15 -3325 ((-571) $)) (-15 -4395 ((-571) $)) (-15 -3673 ((-768) $)) (-15 -3682 ((-768) $)) (-15 -3245 (|t#1| $ (-571) (-571))) (-15 -4319 (|t#1| $ (-571) (-571))) (-15 -3245 (|t#1| $ (-571) (-571) |t#1|)) (-15 -4336 (|t#2| $ (-571))) (-15 -2852 (|t#3| $ (-571))) (-15 -4034 ((-637 |t#1|) $)) (-15 -3251 (|t#1| $ (-571) (-571) |t#1|)) (-15 -2922 (|t#1| $ (-571) (-571) |t#1|)) (-15 -2071 ($ $ (-571) |t#2|)) (-15 -1635 ($ $ (-571) |t#3|)) (-15 -3799 ($ (-1 |t#1| |t#1|) $)) (-15 -1923 ($ (-1 |t#1| |t#1|) $)) (-15 -3799 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -3799 ($ (-1 |t#1| |t#1| |t#1|) $ $ |t#1|)))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-2094 (((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 16)) (-3074 ((|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 18)) (-3799 (((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)) 13))) 
+(((-63 |#1| |#2|) (-10 -7 (-15 -2094 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -3074 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -3799 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) (-1203) (-1203)) (T -63)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) (-3074 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-63 *5 *2)))) (-2094 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1203)) (-4 *5 (-1203)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5))))) 
+(-10 -7 (-15 -2094 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -3074 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -3799 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-571) |#1|) 11 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) NIL)) (-3984 (((-571) (-1 (-121) |#1|) $) NIL) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097)))) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2683 (($ (-637 |#1|)) 13) (($ (-768) |#1|) 14)) (-1364 (($ (-768) |#1|) 9)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1827 ((|#1| $) NIL (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 7)) (-3245 ((|#1| $ (-571) |#1|) NIL) ((|#1| $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) NIL)) (-4498 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-64 |#1|) (-13 (-19 |#1|) (-10 -8 (-15 -2683 ($ (-637 |#1|))) (-15 -2683 ($ (-768) |#1|)))) (-1203)) (T -64)) 
+((-2683 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-64 *3)))) (-2683 (*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *1 (-64 *3)) (-4 *3 (-1203))))) 
+(-13 (-19 |#1|) (-10 -8 (-15 -2683 ($ (-637 |#1|))) (-15 -2683 ($ (-768) |#1|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-571) (-571) |#1|) NIL)) (-2071 (($ $ (-571) (-64 |#1|)) NIL)) (-1635 (($ $ (-571) (-64 |#1|)) NIL)) (-2269 (($) NIL T CONST)) (-4336 (((-64 |#1|) $ (-571)) NIL)) (-2922 ((|#1| $ (-571) (-571) |#1|) NIL)) (-4319 ((|#1| $ (-571) (-571)) NIL)) (-4034 (((-637 |#1|) $) NIL)) (-3673 (((-768) $) NIL)) (-1364 (($ (-768) (-768) |#1|) NIL)) (-3682 (((-768) $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1950 (((-571) $) NIL)) (-3325 (((-571) $) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4239 (((-571) $) NIL)) (-4395 (((-571) $) NIL)) (-1923 (($ (-1 |#1| |#1|) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-4411 (($ $ |#1|) NIL)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-571) (-571)) NIL) ((|#1| $ (-571) (-571) |#1|) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-2852 (((-64 |#1|) $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-65 |#1|) (-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4601))) (-1203)) (T -65)) 
+NIL 
+(-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4601))) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 69) (((-3 $ "failed") (-1258 (-311 (-571)))) 58) (((-3 $ "failed") (-1258 (-958 (-384)))) 91) (((-3 $ "failed") (-1258 (-958 (-571)))) 80) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 47) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 36)) (-1316 (($ (-1258 (-311 (-384)))) 65) (($ (-1258 (-311 (-571)))) 54) (($ (-1258 (-958 (-384)))) 87) (($ (-1258 (-958 (-571)))) 76) (($ (-1258 (-412 (-958 (-384))))) 43) (($ (-1258 (-412 (-958 (-571))))) 29)) (-4320 (((-1263) $) 118)) (-3942 (((-855) $) 111) (($ (-637 (-329))) 100) (($ (-329)) 94) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 97) (($ (-1258 (-338 (-3891 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3891) (-693)))) 28))) 
+(((-66 |#1|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3891) (-693))))))) (-1169)) (T -66)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3891) (-693)))) (-5 *1 (-66 *3)) (-14 *3 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3891) (-693))))))) 
+((-4320 (((-1263) $) 48) (((-1263)) 49)) (-3942 (((-855) $) 45))) 
+(((-67 |#1|) (-13 (-400) (-10 -7 (-15 -4320 ((-1263))))) (-1169)) (T -67)) 
+((-4320 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-67 *3)) (-14 *3 (-1169))))) 
+(-13 (-400) (-10 -7 (-15 -4320 ((-1263))))) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 142) (((-3 $ "failed") (-1258 (-311 (-571)))) 132) (((-3 $ "failed") (-1258 (-958 (-384)))) 163) (((-3 $ "failed") (-1258 (-958 (-571)))) 152) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 121) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 110)) (-1316 (($ (-1258 (-311 (-384)))) 138) (($ (-1258 (-311 (-571)))) 128) (($ (-1258 (-958 (-384)))) 159) (($ (-1258 (-958 (-571)))) 148) (($ (-1258 (-412 (-958 (-384))))) 117) (($ (-1258 (-412 (-958 (-571))))) 103)) (-4320 (((-1263) $) 96)) (-3942 (((-855) $) 90) (($ (-637 (-329))) 28) (($ (-329)) 34) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 31) (($ (-1258 (-338 (-3891) (-3891 (QUOTE XC)) (-693)))) 88))) 
+(((-68 |#1|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891) (-3891 (QUOTE XC)) (-693))))))) (-1169)) (T -68)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891) (-3891 (QUOTE XC)) (-693)))) (-5 *1 (-68 *3)) (-14 *3 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891) (-3891 (QUOTE XC)) (-693))))))) 
+((-3337 (((-3 $ "failed") (-311 (-384))) 36) (((-3 $ "failed") (-311 (-571))) 41) (((-3 $ "failed") (-958 (-384))) 46) (((-3 $ "failed") (-958 (-571))) 51) (((-3 $ "failed") (-412 (-958 (-384)))) 31) (((-3 $ "failed") (-412 (-958 (-571)))) 26)) (-1316 (($ (-311 (-384))) 34) (($ (-311 (-571))) 39) (($ (-958 (-384))) 44) (($ (-958 (-571))) 49) (($ (-412 (-958 (-384)))) 29) (($ (-412 (-958 (-571)))) 23)) (-4320 (((-1263) $) 73)) (-3942 (((-855) $) 66) (($ (-637 (-329))) 57) (($ (-329)) 63) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 60) (($ (-338 (-3891 (QUOTE X)) (-3891) (-693))) 22))) 
+(((-69 |#1|) (-13 (-401) (-10 -8 (-15 -3942 ($ (-338 (-3891 (QUOTE X)) (-3891) (-693)))))) (-1169)) (T -69)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-338 (-3891 (QUOTE X)) (-3891) (-693))) (-5 *1 (-69 *3)) (-14 *3 (-1169))))) 
+(-13 (-401) (-10 -8 (-15 -3942 ($ (-338 (-3891 (QUOTE X)) (-3891) (-693)))))) 
+((-3337 (((-3 $ "failed") (-684 (-311 (-384)))) 100) (((-3 $ "failed") (-684 (-311 (-571)))) 89) (((-3 $ "failed") (-684 (-958 (-384)))) 122) (((-3 $ "failed") (-684 (-958 (-571)))) 111) (((-3 $ "failed") (-684 (-412 (-958 (-384))))) 78) (((-3 $ "failed") (-684 (-412 (-958 (-571))))) 67)) (-1316 (($ (-684 (-311 (-384)))) 96) (($ (-684 (-311 (-571)))) 85) (($ (-684 (-958 (-384)))) 118) (($ (-684 (-958 (-571)))) 107) (($ (-684 (-412 (-958 (-384))))) 74) (($ (-684 (-412 (-958 (-571))))) 60)) (-4320 (((-1263) $) 130)) (-3942 (((-855) $) 124) (($ (-637 (-329))) 27) (($ (-329)) 33) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 30) (($ (-684 (-338 (-3891) (-3891 (QUOTE X) (QUOTE HESS)) (-693)))) 53))) 
+(((-70 |#1|) (-13 (-389) (-10 -8 (-15 -3942 ($ (-684 (-338 (-3891) (-3891 (QUOTE X) (QUOTE HESS)) (-693))))))) (-1169)) (T -70)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-684 (-338 (-3891) (-3891 (QUOTE X) (QUOTE HESS)) (-693)))) (-5 *1 (-70 *3)) (-14 *3 (-1169))))) 
+(-13 (-389) (-10 -8 (-15 -3942 ($ (-684 (-338 (-3891) (-3891 (QUOTE X) (QUOTE HESS)) (-693))))))) 
+((-3337 (((-3 $ "failed") (-311 (-384))) 54) (((-3 $ "failed") (-311 (-571))) 59) (((-3 $ "failed") (-958 (-384))) 64) (((-3 $ "failed") (-958 (-571))) 69) (((-3 $ "failed") (-412 (-958 (-384)))) 49) (((-3 $ "failed") (-412 (-958 (-571)))) 44)) (-1316 (($ (-311 (-384))) 52) (($ (-311 (-571))) 57) (($ (-958 (-384))) 62) (($ (-958 (-571))) 67) (($ (-412 (-958 (-384)))) 47) (($ (-412 (-958 (-571)))) 41)) (-4320 (((-1263) $) 78)) (-3942 (((-855) $) 72) (($ (-637 (-329))) 27) (($ (-329)) 33) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 30) (($ (-338 (-3891) (-3891 (QUOTE XC)) (-693))) 38))) 
+(((-71 |#1|) (-13 (-401) (-10 -8 (-15 -3942 ($ (-338 (-3891) (-3891 (QUOTE XC)) (-693)))))) (-1169)) (T -71)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-338 (-3891) (-3891 (QUOTE XC)) (-693))) (-5 *1 (-71 *3)) (-14 *3 (-1169))))) 
+(-13 (-401) (-10 -8 (-15 -3942 ($ (-338 (-3891) (-3891 (QUOTE XC)) (-693)))))) 
+((-4320 (((-1263) $) 63)) (-3942 (((-855) $) 57) (($ (-684 (-693))) 49) (($ (-637 (-329))) 48) (($ (-329)) 55) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 53))) 
+(((-72 |#1|) (-388) (-1169)) (T -72)) 
+NIL 
+(-388) 
+((-4320 (((-1263) $) 64)) (-3942 (((-855) $) 58) (($ (-684 (-693))) 50) (($ (-637 (-329))) 49) (($ (-329)) 52) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 55))) 
+(((-73 |#1|) (-388) (-1169)) (T -73)) 
+NIL 
+(-388) 
+((-4320 (((-1263) $) NIL) (((-1263)) 32)) (-3942 (((-855) $) NIL))) 
+(((-74 |#1|) (-13 (-400) (-10 -7 (-15 -4320 ((-1263))))) (-1169)) (T -74)) 
+((-4320 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-74 *3)) (-14 *3 (-1169))))) 
+(-13 (-400) (-10 -7 (-15 -4320 ((-1263))))) 
+((-4320 (((-1263) $) 68)) (-3942 (((-855) $) 62) (($ (-684 (-693))) 53) (($ (-637 (-329))) 56) (($ (-329)) 59) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 52))) 
+(((-75 |#1|) (-388) (-1169)) (T -75)) 
+NIL 
+(-388) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 98) (((-3 $ "failed") (-1258 (-311 (-571)))) 87) (((-3 $ "failed") (-1258 (-958 (-384)))) 119) (((-3 $ "failed") (-1258 (-958 (-571)))) 108) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 76) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 65)) (-1316 (($ (-1258 (-311 (-384)))) 94) (($ (-1258 (-311 (-571)))) 83) (($ (-1258 (-958 (-384)))) 115) (($ (-1258 (-958 (-571)))) 104) (($ (-1258 (-412 (-958 (-384))))) 72) (($ (-1258 (-412 (-958 (-571))))) 58)) (-4320 (((-1263) $) 133)) (-3942 (((-855) $) 127) (($ (-637 (-329))) 122) (($ (-329)) 125) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 50) (($ (-1258 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693)))) 51))) 
+(((-76 |#1|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693))))))) (-1169)) (T -76)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693)))) (-5 *1 (-76 *3)) (-14 *3 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693))))))) 
+((-4320 (((-1263) $) 32) (((-1263)) 31)) (-3942 (((-855) $) 35))) 
+(((-77 |#1|) (-13 (-400) (-10 -7 (-15 -4320 ((-1263))))) (-1169)) (T -77)) 
+((-4320 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-77 *3)) (-14 *3 (-1169))))) 
+(-13 (-400) (-10 -7 (-15 -4320 ((-1263))))) 
+((-4320 (((-1263) $) 62)) (-3942 (((-855) $) 56) (($ (-684 (-693))) 47) (($ (-637 (-329))) 50) (($ (-329)) 53) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 46))) 
+(((-78 |#1|) (-388) (-1169)) (T -78)) 
+NIL 
+(-388) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 119) (((-3 $ "failed") (-1258 (-311 (-571)))) 108) (((-3 $ "failed") (-1258 (-958 (-384)))) 141) (((-3 $ "failed") (-1258 (-958 (-571)))) 130) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 98) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 87)) (-1316 (($ (-1258 (-311 (-384)))) 115) (($ (-1258 (-311 (-571)))) 104) (($ (-1258 (-958 (-384)))) 137) (($ (-1258 (-958 (-571)))) 126) (($ (-1258 (-412 (-958 (-384))))) 94) (($ (-1258 (-412 (-958 (-571))))) 80)) (-4320 (((-1263) $) 73)) (-3942 (((-855) $) 27) (($ (-637 (-329))) 63) (($ (-329)) 59) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 66) (($ (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693)))) 60))) 
+(((-79 |#1|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693))))))) (-1169)) (T -79)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693)))) (-5 *1 (-79 *3)) (-14 *3 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693))))))) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 125) (((-3 $ "failed") (-1258 (-311 (-571)))) 114) (((-3 $ "failed") (-1258 (-958 (-384)))) 147) (((-3 $ "failed") (-1258 (-958 (-571)))) 136) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 103) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 92)) (-1316 (($ (-1258 (-311 (-384)))) 121) (($ (-1258 (-311 (-571)))) 110) (($ (-1258 (-958 (-384)))) 143) (($ (-1258 (-958 (-571)))) 132) (($ (-1258 (-412 (-958 (-384))))) 99) (($ (-1258 (-412 (-958 (-571))))) 85)) (-4320 (((-1263) $) 78)) (-3942 (((-855) $) 70) (($ (-637 (-329))) NIL) (($ (-329)) NIL) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) NIL) (($ (-1258 (-338 (-3891 (QUOTE X) (QUOTE EPS)) (-3891 (QUOTE -2292)) (-693)))) 65))) 
+(((-80 |#1| |#2| |#3|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE X) (QUOTE EPS)) (-3891 (QUOTE -2292)) (-693))))))) (-1169) (-1169) (-1169)) (T -80)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE X) (QUOTE EPS)) (-3891 (QUOTE -2292)) (-693)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1169)) (-14 *4 (-1169)) (-14 *5 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE X) (QUOTE EPS)) (-3891 (QUOTE -2292)) (-693))))))) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 129) (((-3 $ "failed") (-1258 (-311 (-571)))) 118) (((-3 $ "failed") (-1258 (-958 (-384)))) 151) (((-3 $ "failed") (-1258 (-958 (-571)))) 140) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 107) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 96)) (-1316 (($ (-1258 (-311 (-384)))) 125) (($ (-1258 (-311 (-571)))) 114) (($ (-1258 (-958 (-384)))) 147) (($ (-1258 (-958 (-571)))) 136) (($ (-1258 (-412 (-958 (-384))))) 103) (($ (-1258 (-412 (-958 (-571))))) 89)) (-4320 (((-1263) $) 82)) (-3942 (((-855) $) 74) (($ (-637 (-329))) NIL) (($ (-329)) NIL) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) NIL) (($ (-1258 (-338 (-3891 (QUOTE EPS)) (-3891 (QUOTE YA) (QUOTE YB)) (-693)))) 69))) 
+(((-81 |#1| |#2| |#3|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE EPS)) (-3891 (QUOTE YA) (QUOTE YB)) (-693))))))) (-1169) (-1169) (-1169)) (T -81)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE EPS)) (-3891 (QUOTE YA) (QUOTE YB)) (-693)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1169)) (-14 *4 (-1169)) (-14 *5 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE EPS)) (-3891 (QUOTE YA) (QUOTE YB)) (-693))))))) 
+((-3337 (((-3 $ "failed") (-311 (-384))) 77) (((-3 $ "failed") (-311 (-571))) 82) (((-3 $ "failed") (-958 (-384))) 87) (((-3 $ "failed") (-958 (-571))) 92) (((-3 $ "failed") (-412 (-958 (-384)))) 72) (((-3 $ "failed") (-412 (-958 (-571)))) 67)) (-1316 (($ (-311 (-384))) 75) (($ (-311 (-571))) 80) (($ (-958 (-384))) 85) (($ (-958 (-571))) 90) (($ (-412 (-958 (-384)))) 70) (($ (-412 (-958 (-571)))) 64)) (-4320 (((-1263) $) 61)) (-3942 (((-855) $) 49) (($ (-637 (-329))) 45) (($ (-329)) 55) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 53) (($ (-338 (-3891) (-3891 (QUOTE X)) (-693))) 46))) 
+(((-82 |#1|) (-13 (-401) (-10 -8 (-15 -3942 ($ (-338 (-3891) (-3891 (QUOTE X)) (-693)))))) (-1169)) (T -82)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-338 (-3891) (-3891 (QUOTE X)) (-693))) (-5 *1 (-82 *3)) (-14 *3 (-1169))))) 
+(-13 (-401) (-10 -8 (-15 -3942 ($ (-338 (-3891) (-3891 (QUOTE X)) (-693)))))) 
+((-3337 (((-3 $ "failed") (-311 (-384))) 41) (((-3 $ "failed") (-311 (-571))) 46) (((-3 $ "failed") (-958 (-384))) 51) (((-3 $ "failed") (-958 (-571))) 56) (((-3 $ "failed") (-412 (-958 (-384)))) 36) (((-3 $ "failed") (-412 (-958 (-571)))) 31)) (-1316 (($ (-311 (-384))) 39) (($ (-311 (-571))) 44) (($ (-958 (-384))) 49) (($ (-958 (-571))) 54) (($ (-412 (-958 (-384)))) 34) (($ (-412 (-958 (-571)))) 28)) (-4320 (((-1263) $) 77)) (-3942 (((-855) $) 71) (($ (-637 (-329))) 62) (($ (-329)) 68) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 65) (($ (-338 (-3891) (-3891 (QUOTE X)) (-693))) 27))) 
+(((-83 |#1|) (-13 (-401) (-10 -8 (-15 -3942 ($ (-338 (-3891) (-3891 (QUOTE X)) (-693)))))) (-1169)) (T -83)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-338 (-3891) (-3891 (QUOTE X)) (-693))) (-5 *1 (-83 *3)) (-14 *3 (-1169))))) 
+(-13 (-401) (-10 -8 (-15 -3942 ($ (-338 (-3891) (-3891 (QUOTE X)) (-693)))))) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 84) (((-3 $ "failed") (-1258 (-311 (-571)))) 73) (((-3 $ "failed") (-1258 (-958 (-384)))) 106) (((-3 $ "failed") (-1258 (-958 (-571)))) 95) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 62) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 51)) (-1316 (($ (-1258 (-311 (-384)))) 80) (($ (-1258 (-311 (-571)))) 69) (($ (-1258 (-958 (-384)))) 102) (($ (-1258 (-958 (-571)))) 91) (($ (-1258 (-412 (-958 (-384))))) 58) (($ (-1258 (-412 (-958 (-571))))) 44)) (-4320 (((-1263) $) 122)) (-3942 (((-855) $) 116) (($ (-637 (-329))) 109) (($ (-329)) 36) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 112) (($ (-1258 (-338 (-3891) (-3891 (QUOTE XC)) (-693)))) 37))) 
+(((-84 |#1|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891) (-3891 (QUOTE XC)) (-693))))))) (-1169)) (T -84)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891) (-3891 (QUOTE XC)) (-693)))) (-5 *1 (-84 *3)) (-14 *3 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891) (-3891 (QUOTE XC)) (-693))))))) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 137) (((-3 $ "failed") (-1258 (-311 (-571)))) 126) (((-3 $ "failed") (-1258 (-958 (-384)))) 158) (((-3 $ "failed") (-1258 (-958 (-571)))) 147) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 116) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 105)) (-1316 (($ (-1258 (-311 (-384)))) 133) (($ (-1258 (-311 (-571)))) 122) (($ (-1258 (-958 (-384)))) 154) (($ (-1258 (-958 (-571)))) 143) (($ (-1258 (-412 (-958 (-384))))) 112) (($ (-1258 (-412 (-958 (-571))))) 98)) (-4320 (((-1263) $) 91)) (-3942 (((-855) $) 85) (($ (-637 (-329))) 76) (($ (-329)) 83) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 81) (($ (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693)))) 77))) 
+(((-85 |#1|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693))))))) (-1169)) (T -85)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693)))) (-5 *1 (-85 *3)) (-14 *3 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693))))))) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 73) (((-3 $ "failed") (-1258 (-311 (-571)))) 62) (((-3 $ "failed") (-1258 (-958 (-384)))) 95) (((-3 $ "failed") (-1258 (-958 (-571)))) 84) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 51) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 40)) (-1316 (($ (-1258 (-311 (-384)))) 69) (($ (-1258 (-311 (-571)))) 58) (($ (-1258 (-958 (-384)))) 91) (($ (-1258 (-958 (-571)))) 80) (($ (-1258 (-412 (-958 (-384))))) 47) (($ (-1258 (-412 (-958 (-571))))) 33)) (-4320 (((-1263) $) 121)) (-3942 (((-855) $) 115) (($ (-637 (-329))) 106) (($ (-329)) 112) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 110) (($ (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693)))) 32))) 
+(((-86 |#1|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693))))))) (-1169)) (T -86)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693)))) (-5 *1 (-86 *3)) (-14 *3 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693))))))) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 90) (((-3 $ "failed") (-1258 (-311 (-571)))) 79) (((-3 $ "failed") (-1258 (-958 (-384)))) 112) (((-3 $ "failed") (-1258 (-958 (-571)))) 101) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 68) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 57)) (-1316 (($ (-1258 (-311 (-384)))) 86) (($ (-1258 (-311 (-571)))) 75) (($ (-1258 (-958 (-384)))) 108) (($ (-1258 (-958 (-571)))) 97) (($ (-1258 (-412 (-958 (-384))))) 64) (($ (-1258 (-412 (-958 (-571))))) 50)) (-4320 (((-1263) $) 43)) (-3942 (((-855) $) 36) (($ (-637 (-329))) 26) (($ (-329)) 29) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 32) (($ (-1258 (-338 (-3891 (QUOTE X) (QUOTE -2292)) (-3891) (-693)))) 27))) 
+(((-87 |#1|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE X) (QUOTE -2292)) (-3891) (-693))))))) (-1169)) (T -87)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE X) (QUOTE -2292)) (-3891) (-693)))) (-5 *1 (-87 *3)) (-14 *3 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE X) (QUOTE -2292)) (-3891) (-693))))))) 
+((-3337 (((-3 $ "failed") (-684 (-311 (-384)))) 103) (((-3 $ "failed") (-684 (-311 (-571)))) 92) (((-3 $ "failed") (-684 (-958 (-384)))) 125) (((-3 $ "failed") (-684 (-958 (-571)))) 114) (((-3 $ "failed") (-684 (-412 (-958 (-384))))) 82) (((-3 $ "failed") (-684 (-412 (-958 (-571))))) 71)) (-1316 (($ (-684 (-311 (-384)))) 99) (($ (-684 (-311 (-571)))) 88) (($ (-684 (-958 (-384)))) 121) (($ (-684 (-958 (-571)))) 110) (($ (-684 (-412 (-958 (-384))))) 78) (($ (-684 (-412 (-958 (-571))))) 64)) (-4320 (((-1263) $) 57)) (-3942 (((-855) $) 43) (($ (-637 (-329))) 50) (($ (-329)) 39) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 47) (($ (-684 (-338 (-3891 (QUOTE X) (QUOTE -2292)) (-3891) (-693)))) 40))) 
+(((-88 |#1|) (-13 (-389) (-10 -8 (-15 -3942 ($ (-684 (-338 (-3891 (QUOTE X) (QUOTE -2292)) (-3891) (-693))))))) (-1169)) (T -88)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-684 (-338 (-3891 (QUOTE X) (QUOTE -2292)) (-3891) (-693)))) (-5 *1 (-88 *3)) (-14 *3 (-1169))))) 
+(-13 (-389) (-10 -8 (-15 -3942 ($ (-684 (-338 (-3891 (QUOTE X) (QUOTE -2292)) (-3891) (-693))))))) 
+((-3337 (((-3 $ "failed") (-684 (-311 (-384)))) 103) (((-3 $ "failed") (-684 (-311 (-571)))) 92) (((-3 $ "failed") (-684 (-958 (-384)))) 124) (((-3 $ "failed") (-684 (-958 (-571)))) 113) (((-3 $ "failed") (-684 (-412 (-958 (-384))))) 81) (((-3 $ "failed") (-684 (-412 (-958 (-571))))) 70)) (-1316 (($ (-684 (-311 (-384)))) 99) (($ (-684 (-311 (-571)))) 88) (($ (-684 (-958 (-384)))) 120) (($ (-684 (-958 (-571)))) 109) (($ (-684 (-412 (-958 (-384))))) 77) (($ (-684 (-412 (-958 (-571))))) 63)) (-4320 (((-1263) $) 56)) (-3942 (((-855) $) 50) (($ (-637 (-329))) 44) (($ (-329)) 47) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 40) (($ (-684 (-338 (-3891 (QUOTE X)) (-3891) (-693)))) 41))) 
+(((-89 |#1|) (-13 (-389) (-10 -8 (-15 -3942 ($ (-684 (-338 (-3891 (QUOTE X)) (-3891) (-693))))))) (-1169)) (T -89)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-684 (-338 (-3891 (QUOTE X)) (-3891) (-693)))) (-5 *1 (-89 *3)) (-14 *3 (-1169))))) 
+(-13 (-389) (-10 -8 (-15 -3942 ($ (-684 (-338 (-3891 (QUOTE X)) (-3891) (-693))))))) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 99) (((-3 $ "failed") (-1258 (-311 (-571)))) 88) (((-3 $ "failed") (-1258 (-958 (-384)))) 121) (((-3 $ "failed") (-1258 (-958 (-571)))) 110) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 77) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 66)) (-1316 (($ (-1258 (-311 (-384)))) 95) (($ (-1258 (-311 (-571)))) 84) (($ (-1258 (-958 (-384)))) 117) (($ (-1258 (-958 (-571)))) 106) (($ (-1258 (-412 (-958 (-384))))) 73) (($ (-1258 (-412 (-958 (-571))))) 59)) (-4320 (((-1263) $) 45)) (-3942 (((-855) $) 39) (($ (-637 (-329))) 48) (($ (-329)) 35) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 51) (($ (-1258 (-338 (-3891 (QUOTE X)) (-3891) (-693)))) 36))) 
+(((-90 |#1|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE X)) (-3891) (-693))))))) (-1169)) (T -90)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE X)) (-3891) (-693)))) (-5 *1 (-90 *3)) (-14 *3 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE X)) (-3891) (-693))))))) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 74) (((-3 $ "failed") (-1258 (-311 (-571)))) 63) (((-3 $ "failed") (-1258 (-958 (-384)))) 96) (((-3 $ "failed") (-1258 (-958 (-571)))) 85) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 52) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 41)) (-1316 (($ (-1258 (-311 (-384)))) 70) (($ (-1258 (-311 (-571)))) 59) (($ (-1258 (-958 (-384)))) 92) (($ (-1258 (-958 (-571)))) 81) (($ (-1258 (-412 (-958 (-384))))) 48) (($ (-1258 (-412 (-958 (-571))))) 34)) (-4320 (((-1263) $) 122)) (-3942 (((-855) $) 116) (($ (-637 (-329))) 107) (($ (-329)) 113) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 111) (($ (-1258 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693)))) 33))) 
+(((-91 |#1|) (-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693))))))) (-1169)) (T -91)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693)))) (-5 *1 (-91 *3)) (-14 *3 (-1169))))) 
+(-13 (-445) (-10 -8 (-15 -3942 ($ (-1258 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693))))))) 
+((-3337 (((-3 $ "failed") (-684 (-311 (-384)))) 105) (((-3 $ "failed") (-684 (-311 (-571)))) 94) (((-3 $ "failed") (-684 (-958 (-384)))) 127) (((-3 $ "failed") (-684 (-958 (-571)))) 116) (((-3 $ "failed") (-684 (-412 (-958 (-384))))) 83) (((-3 $ "failed") (-684 (-412 (-958 (-571))))) 72)) (-1316 (($ (-684 (-311 (-384)))) 101) (($ (-684 (-311 (-571)))) 90) (($ (-684 (-958 (-384)))) 123) (($ (-684 (-958 (-571)))) 112) (($ (-684 (-412 (-958 (-384))))) 79) (($ (-684 (-412 (-958 (-571))))) 65)) (-4320 (((-1263) $) 58)) (-3942 (((-855) $) 52) (($ (-637 (-329))) 42) (($ (-329)) 49) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 47) (($ (-684 (-338 (-3891 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3891) (-693)))) 43))) 
+(((-92 |#1|) (-13 (-389) (-10 -8 (-15 -3942 ($ (-684 (-338 (-3891 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3891) (-693))))))) (-1169)) (T -92)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-684 (-338 (-3891 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3891) (-693)))) (-5 *1 (-92 *3)) (-14 *3 (-1169))))) 
+(-13 (-389) (-10 -8 (-15 -3942 ($ (-684 (-338 (-3891 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3891) (-693))))))) 
+((-4320 (((-1263) $) 44)) (-3942 (((-855) $) 38) (($ (-1258 (-693))) 88) (($ (-637 (-329))) 29) (($ (-329)) 35) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 32))) 
+(((-93 |#1|) (-444) (-1169)) (T -93)) 
+NIL 
+(-444) 
+((-3337 (((-3 $ "failed") (-311 (-384))) 42) (((-3 $ "failed") (-311 (-571))) 47) (((-3 $ "failed") (-958 (-384))) 52) (((-3 $ "failed") (-958 (-571))) 57) (((-3 $ "failed") (-412 (-958 (-384)))) 37) (((-3 $ "failed") (-412 (-958 (-571)))) 32)) (-1316 (($ (-311 (-384))) 40) (($ (-311 (-571))) 45) (($ (-958 (-384))) 50) (($ (-958 (-571))) 55) (($ (-412 (-958 (-384)))) 35) (($ (-412 (-958 (-571)))) 29)) (-4320 (((-1263) $) 88)) (-3942 (((-855) $) 82) (($ (-637 (-329))) 76) (($ (-329)) 79) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 73) (($ (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693))) 28))) 
+(((-94 |#1|) (-13 (-401) (-10 -8 (-15 -3942 ($ (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693)))))) (-1169)) (T -94)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693))) (-5 *1 (-94 *3)) (-14 *3 (-1169))))) 
+(-13 (-401) (-10 -8 (-15 -3942 ($ (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693)))))) 
+((-1431 (((-1258 (-684 |#1|)) (-684 |#1|)) 54)) (-2078 (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 (-637 (-922))))) |#2| (-922)) 44)) (-1592 (((-2 (|:| |minor| (-637 (-922))) (|:| -3192 |#2|) (|:| |minors| (-637 (-637 (-922)))) (|:| |ops| (-637 |#2|))) |#2| (-922)) 62 (|has| |#1| (-367))))) 
+(((-95 |#1| |#2|) (-10 -7 (-15 -2078 ((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 (-637 (-922))))) |#2| (-922))) (-15 -1431 ((-1258 (-684 |#1|)) (-684 |#1|))) (IF (|has| |#1| (-367)) (-15 -1592 ((-2 (|:| |minor| (-637 (-922))) (|:| -3192 |#2|) (|:| |minors| (-637 (-637 (-922)))) (|:| |ops| (-637 |#2|))) |#2| (-922))) |noBranch|)) (-561) (-649 |#1|)) (T -95)) 
+((-1592 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *5 (-561)) (-5 *2 (-2 (|:| |minor| (-637 (-922))) (|:| -3192 *3) (|:| |minors| (-637 (-637 (-922)))) (|:| |ops| (-637 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-922)) (-4 *3 (-649 *5)))) (-1431 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-1258 (-684 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-684 *4)) (-4 *5 (-649 *4)))) (-2078 (*1 *2 *3 *4) (-12 (-4 *5 (-561)) (-5 *2 (-2 (|:| -3533 (-684 *5)) (|:| |vec| (-1258 (-637 (-922)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-922)) (-4 *3 (-649 *5))))) 
+(-10 -7 (-15 -2078 ((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 (-637 (-922))))) |#2| (-922))) (-15 -1431 ((-1258 (-684 |#1|)) (-684 |#1|))) (IF (|has| |#1| (-367)) (-15 -1592 ((-2 (|:| |minor| (-637 (-922))) (|:| -3192 |#2|) (|:| |minors| (-637 (-637 (-922)))) (|:| |ops| (-637 |#2|))) |#2| (-922))) |noBranch|)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1601 ((|#1| $) 34)) (-3133 (((-121) $ (-768)) NIL)) (-2269 (($) NIL T CONST)) (-2221 ((|#1| |#1| $) 30)) (-3595 ((|#1| $) 28)) (-4034 (((-637 |#1|) $) 39 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) 43 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 41)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2377 ((|#1| $) 45)) (-2863 (($ |#1| $) 31)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3815 ((|#1| $) 29)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 16)) (-1630 (($) 38)) (-1560 (((-768) $) 26)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) 15)) (-3942 (((-855) $) 25 (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) NIL)) (-3007 (($ (-637 |#1|)) 36)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 13 (|has| |#1| (-1097)))) (-4001 (((-768) $) 10 (|has| $ (-6 -4600))))) 
+(((-96 |#1|) (-13 (-1116 |#1|) (-10 -8 (-15 -3007 ($ (-637 |#1|))) (-15 -3595 (|#1| $)) (-15 -3815 (|#1| $)) (-15 -2221 (|#1| |#1| $)) (-15 -2863 ($ |#1| $)) (-15 -2377 (|#1| $)) (-15 -1601 (|#1| $)) (-15 -1560 ((-768) $)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (-15 -3700 ($ (-637 |#1|))) (-15 -1828 ((-121) $)) (-15 -1630 ($)) (-15 -2269 ($)) (-15 -4316 ($ $)) (-15 -2127 ((-121) $ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-15 -3944 ((-1151) $)) (-15 -2580 ((-1115) $)) (-15 -3942 ((-855) $)) (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3160 ((-121) (-1 (-121) |#1|) $)) (-15 -3027 ((-121) (-1 (-121) |#1|) $)) (-15 -1569 ((-768) (-1 (-121) |#1|) $)) (-15 -4001 ((-768) $)) (-15 -4034 ((-637 |#1|) $)) (-15 -3488 ((-637 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4600)) (IF (|has| |#1| (-1097)) (PROGN (-15 -3303 ((-121) |#1| $)) (-15 -1569 ((-768) |#1| $))) |noBranch|) |noBranch|))) (-1097)) (T -96)) 
+((-2127 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) (-4316 (*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) (-1630 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) (-1828 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) (-3794 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1097)))) (-2262 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1097)))) (-3133 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1097)))) (-2269 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) (-4001 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-96 *3)))) (-1923 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4601)) (-4 *3 (-1097)) (-5 *1 (-96 *3)))) (-3027 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-3160 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-1569 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-768)) (-5 *1 (-96 *4)))) (-4034 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) (-3488 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) (-1569 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3303 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3944 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-2580 (*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-1323 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-2234 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3700 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-96 *3)))) (-3815 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) (-2863 (*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) (-2377 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) (-2221 (*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) (-3595 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) (-1601 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) (-1560 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) (-3007 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-96 *3))))) 
+(-13 (-1116 |#1|) (-10 -8 (-15 -3007 ($ (-637 |#1|))) (-15 -3595 (|#1| $)) (-15 -3815 (|#1| $)) (-15 -2221 (|#1| |#1| $)) (-15 -2863 ($ |#1| $)) (-15 -2377 (|#1| $)) (-15 -1601 (|#1| $)) (-15 -1560 ((-768) $)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (-15 -3700 ($ (-637 |#1|))) (-15 -1828 ((-121) $)) (-15 -1630 ($)) (-15 -2269 ($)) (-15 -4316 ($ $)) (-15 -2127 ((-121) $ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-15 -3944 ((-1151) $)) (-15 -2580 ((-1115) $)) (-15 -3942 ((-855) $)) (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3160 ((-121) (-1 (-121) |#1|) $)) (-15 -3027 ((-121) (-1 (-121) |#1|) $)) (-15 -1569 ((-768) (-1 (-121) |#1|) $)) (-15 -4001 ((-768) $)) (-15 -4034 ((-637 |#1|) $)) (-15 -3488 ((-637 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4600)) (IF (|has| |#1| (-1097)) (PROGN (-15 -3303 ((-121) |#1| $)) (-15 -1569 ((-768) |#1| $))) |noBranch|) |noBranch|))) 
+((-4232 (($ $) 10)) (-4237 (($ $) 12))) 
+(((-97 |#1|) (-10 -8 (-15 -4237 (|#1| |#1|)) (-15 -4232 (|#1| |#1|))) (-98)) (T -97)) 
+NIL 
+(-10 -8 (-15 -4237 (|#1| |#1|)) (-15 -4232 (|#1| |#1|))) 
+((-4220 (($ $) 11)) (-4211 (($ $) 10)) (-4232 (($ $) 9)) (-4237 (($ $) 8)) (-4227 (($ $) 7)) (-4215 (($ $) 6))) 
+(((-98) (-1289)) (T -98)) 
+((-4220 (*1 *1 *1) (-4 *1 (-98))) (-4211 (*1 *1 *1) (-4 *1 (-98))) (-4232 (*1 *1 *1) (-4 *1 (-98))) (-4237 (*1 *1 *1) (-4 *1 (-98))) (-4227 (*1 *1 *1) (-4 *1 (-98))) (-4215 (*1 *1 *1) (-4 *1 (-98)))) 
+(-13 (-10 -8 (-15 -4215 ($ $)) (-15 -4227 ($ $)) (-15 -4237 ($ $)) (-15 -4232 ($ $)) (-15 -4211 ($ $)) (-15 -4220 ($ $)))) 
+((-2234 (((-121) $ $) NIL)) (-1452 (((-384) (-1151) (-384)) 42) (((-384) (-1151) (-1151) (-384)) 41)) (-4143 (((-384) (-384)) 33)) (-1324 (((-1263)) 36)) (-3944 (((-1151) $) NIL)) (-2053 (((-384) (-1151) (-1151)) 46) (((-384) (-1151)) 48)) (-2580 (((-1115) $) NIL)) (-4542 (((-384) (-1151) (-1151)) 47)) (-2079 (((-384) (-1151) (-1151)) 49) (((-384) (-1151)) 50)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-99) (-13 (-1097) (-10 -7 (-15 -2053 ((-384) (-1151) (-1151))) (-15 -2053 ((-384) (-1151))) (-15 -2079 ((-384) (-1151) (-1151))) (-15 -2079 ((-384) (-1151))) (-15 -4542 ((-384) (-1151) (-1151))) (-15 -1324 ((-1263))) (-15 -4143 ((-384) (-384))) (-15 -1452 ((-384) (-1151) (-384))) (-15 -1452 ((-384) (-1151) (-1151) (-384))) (-6 -4600)))) (T -99)) 
+((-2053 (*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-99)))) (-2053 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-99)))) (-2079 (*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-99)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-99)))) (-4542 (*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-99)))) (-1324 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-99)))) (-4143 (*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-99)))) (-1452 (*1 *2 *3 *2) (-12 (-5 *2 (-384)) (-5 *3 (-1151)) (-5 *1 (-99)))) (-1452 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-384)) (-5 *3 (-1151)) (-5 *1 (-99))))) 
+(-13 (-1097) (-10 -7 (-15 -2053 ((-384) (-1151) (-1151))) (-15 -2053 ((-384) (-1151))) (-15 -2079 ((-384) (-1151) (-1151))) (-15 -2079 ((-384) (-1151))) (-15 -4542 ((-384) (-1151) (-1151))) (-15 -1324 ((-1263))) (-15 -4143 ((-384) (-384))) (-15 -1452 ((-384) (-1151) (-384))) (-15 -1452 ((-384) (-1151) (-1151) (-384))) (-6 -4600))) 
+NIL 
+(((-100) (-1289)) (T -100)) 
+NIL 
+(-13 (-10 -7 (-6 -4600) (-6 (-4602 "*")) (-6 -4601) (-6 -4597) (-6 -4595) (-6 -4594) (-6 -4593) (-6 -4598) (-6 -4592) (-6 -4591) (-6 -4590) (-6 -4589) (-6 -4588) (-6 -4596) (-6 -4599) (-6 |NullSquare|) (-6 |JacobiIdentity|) (-6 -4587) (-6 -3367))) 
+((-2234 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-4147 (($ (-1 |#1| |#1|)) 25) (($ (-1 |#1| |#1|) (-1 |#1| |#1|)) 24) (($ (-1 |#1| |#1| (-571))) 22)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 14)) (-2580 (((-1115) $) NIL)) (-3245 ((|#1| $ |#1|) 11)) (-2911 (($ $ $) NIL)) (-2212 (($ $ $) NIL)) (-3942 (((-855) $) 20)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-3222 (($) 8 T CONST)) (-1323 (((-121) $ $) 10)) (-1379 (($ $ $) NIL)) (** (($ $ (-922)) 28) (($ $ (-768)) NIL) (($ $ (-571)) 16)) (* (($ $ $) 29))) 
+(((-101 |#1|) (-13 (-481) (-282 |#1| |#1|) (-10 -8 (-15 -4147 ($ (-1 |#1| |#1|))) (-15 -4147 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -4147 ($ (-1 |#1| |#1| (-571)))))) (-1053)) (T -101)) 
+((-4147 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-101 *3)))) (-4147 (*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-101 *3)))) (-4147 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-571))) (-4 *3 (-1053)) (-5 *1 (-101 *3))))) 
+(-13 (-481) (-282 |#1| |#1|) (-10 -8 (-15 -4147 ($ (-1 |#1| |#1|))) (-15 -4147 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -4147 ($ (-1 |#1| |#1| (-571)))))) 
+((-2088 (((-1263) (-1101)) 20)) (-4213 (((-1151) (-1151) (-1151)) 7)) (-2087 (((-1263) (-571) (-1 (-1263) (-1101))) 14))) 
+(((-102) (-10 -7 (-15 -2087 ((-1263) (-571) (-1 (-1263) (-1101)))) (-15 -2088 ((-1263) (-1101))) (-15 -4213 ((-1151) (-1151) (-1151))))) (T -102)) 
+((-4213 (*1 *2 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-102)))) (-2088 (*1 *2 *3) (-12 (-5 *3 (-1101)) (-5 *2 (-1263)) (-5 *1 (-102)))) (-2087 (*1 *2 *3 *4) (-12 (-5 *3 (-571)) (-5 *4 (-1 (-1263) (-1101))) (-5 *2 (-1263)) (-5 *1 (-102))))) 
+(-10 -7 (-15 -2087 ((-1263) (-571) (-1 (-1263) (-1101)))) (-15 -2088 ((-1263) (-1101))) (-15 -4213 ((-1151) (-1151) (-1151)))) 
+((-3893 (((-423 |#2|) |#2| (-637 |#2|)) 10) (((-423 |#2|) |#2| |#2|) 11))) 
+(((-103 |#1| |#2|) (-10 -7 (-15 -3893 ((-423 |#2|) |#2| |#2|)) (-15 -3893 ((-423 |#2|) |#2| (-637 |#2|)))) (-13 (-456) (-151)) (-1233 |#1|)) (T -103)) 
+((-3893 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-13 (-456) (-151))) (-5 *2 (-423 *3)) (-5 *1 (-103 *5 *3)))) (-3893 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-456) (-151))) (-5 *2 (-423 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -3893 ((-423 |#2|) |#2| |#2|)) (-15 -3893 ((-423 |#2|) |#2| (-637 |#2|)))) 
+((-2234 (((-121) $ $) 9))) 
+(((-104 |#1|) (-10 -8 (-15 -2234 ((-121) |#1| |#1|))) (-105)) (T -104)) 
+NIL 
+(-10 -8 (-15 -2234 ((-121) |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-1323 (((-121) $ $) 6))) 
+(((-105) (-1289)) (T -105)) 
+((-2234 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) (-1323 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121))))) 
+(-13 (-10 -8 (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2815 ((|#1| $ |#1|) 13 (|has| $ (-6 -4601)))) (-3127 (($ $ $) NIL (|has| $ (-6 -4601)))) (-2961 (($ $ $) NIL (|has| $ (-6 -4601)))) (-1535 (($ $ (-637 |#1|)) 15)) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601))) (($ $ "left" $) NIL (|has| $ (-6 -4601))) (($ $ "right" $) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-1852 (($ $) 11)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1719 (($ $ |#1| $) 17)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1483 ((|#1| $ (-1 |#1| |#1| |#1|)) 25) (($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|)) 30)) (-4528 (($ $ |#1| (-1 |#1| |#1| |#1|)) 31) (($ $ |#1| (-1 (-637 |#1|) |#1| |#1| |#1|)) 35)) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-1856 (($ $) 10)) (-3392 (((-637 |#1|) $) NIL)) (-2945 (((-121) $) 12)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 9)) (-1630 (($) 16)) (-3245 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-2514 (((-571) $ $) NIL)) (-1664 (((-121) $) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2792 (($ (-768) |#1|) 19)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-106 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4600) (-6 -4601) (-15 -2792 ($ (-768) |#1|)) (-15 -1535 ($ $ (-637 |#1|))) (-15 -1483 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -1483 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -4528 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -4528 ($ $ |#1| (-1 (-637 |#1|) |#1| |#1| |#1|))))) (-1097)) (T -106)) 
+((-2792 (*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *1 (-106 *3)) (-4 *3 (-1097)))) (-1535 (*1 *1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-106 *3)))) (-1483 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1097)))) (-1483 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-106 *3)))) (-4528 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1097)) (-5 *1 (-106 *2)))) (-4528 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-637 *2) *2 *2 *2)) (-4 *2 (-1097)) (-5 *1 (-106 *2))))) 
+(-13 (-135 |#1|) (-10 -8 (-6 -4600) (-6 -4601) (-15 -2792 ($ (-768) |#1|)) (-15 -1535 ($ $ (-637 |#1|))) (-15 -1483 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -1483 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -4528 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -4528 ($ $ |#1| (-1 (-637 |#1|) |#1| |#1| |#1|))))) 
+((-4097 (((-1 (-637 |#1|) |#1|) (-637 |#1|) (-637 |#1|) (-637 |#1|)) 20)) (-4042 (((-1 (-637 |#1|) |#1|) (-637 |#1|) (-637 |#1|)) 17)) (-1835 (((-1 (-637 |#1|) |#1|) (-637 |#1|) (-637 |#1|) (-637 |#1|) (-637 |#1|)) 21))) 
+(((-107 |#1|) (-10 -7 (-15 -4042 ((-1 (-637 |#1|) |#1|) (-637 |#1|) (-637 |#1|))) (-15 -4097 ((-1 (-637 |#1|) |#1|) (-637 |#1|) (-637 |#1|) (-637 |#1|))) (-15 -1835 ((-1 (-637 |#1|) |#1|) (-637 |#1|) (-637 |#1|) (-637 |#1|) (-637 |#1|)))) (-1053)) (T -107)) 
+((-1835 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-1 (-637 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-637 *4)))) (-4097 (*1 *2 *3 *3 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-1 (-637 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-637 *4)))) (-4042 (*1 *2 *3 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-1 (-637 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-637 *4))))) 
+(-10 -7 (-15 -4042 ((-1 (-637 |#1|) |#1|) (-637 |#1|) (-637 |#1|))) (-15 -4097 ((-1 (-637 |#1|) |#1|) (-637 |#1|) (-637 |#1|) (-637 |#1|))) (-15 -1835 ((-1 (-637 |#1|) |#1|) (-637 |#1|) (-637 |#1|) (-637 |#1|) (-637 |#1|)))) 
+((-2749 ((|#3| |#2| |#2|) 28)) (-2089 ((|#1| |#2| |#2|) 36 (|has| |#1| (-6 (-4602 "*"))))) (-3732 ((|#3| |#2| |#2|) 29)) (-4018 ((|#1| |#2|) 40 (|has| |#1| (-6 (-4602 "*")))))) 
+(((-108 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2749 (|#3| |#2| |#2|)) (-15 -3732 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4602 "*"))) (PROGN (-15 -2089 (|#1| |#2| |#2|)) (-15 -4018 (|#1| |#2|))) |noBranch|)) (-1053) (-1233 |#1|) (-682 |#1| |#4| |#5|) (-378 |#1|) (-378 |#1|)) (T -108)) 
+((-4018 (*1 *2 *3) (-12 (|has| *2 (-6 (-4602 "*"))) (-4 *5 (-378 *2)) (-4 *6 (-378 *2)) (-4 *2 (-1053)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1233 *2)) (-4 *4 (-682 *2 *5 *6)))) (-2089 (*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4602 "*"))) (-4 *5 (-378 *2)) (-4 *6 (-378 *2)) (-4 *2 (-1053)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1233 *2)) (-4 *4 (-682 *2 *5 *6)))) (-3732 (*1 *2 *3 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-682 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1233 *4)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)))) (-2749 (*1 *2 *3 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-682 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1233 *4)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4))))) 
+(-10 -7 (-15 -2749 (|#3| |#2| |#2|)) (-15 -3732 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4602 "*"))) (PROGN (-15 -2089 (|#1| |#2| |#2|)) (-15 -4018 (|#1| |#2|))) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-2096 (((-637 (-1169))) 32)) (-3008 (((-2 (|:| |zeros| (-1149 (-216))) (|:| |ones| (-1149 (-216))) (|:| |singularities| (-1149 (-216)))) (-1169)) 35)) (-1323 (((-121) $ $) NIL))) 
+(((-109) (-13 (-1097) (-10 -7 (-15 -2096 ((-637 (-1169)))) (-15 -3008 ((-2 (|:| |zeros| (-1149 (-216))) (|:| |ones| (-1149 (-216))) (|:| |singularities| (-1149 (-216)))) (-1169))) (-6 -4600)))) (T -109)) 
+((-2096 (*1 *2) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-109)))) (-3008 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-2 (|:| |zeros| (-1149 (-216))) (|:| |ones| (-1149 (-216))) (|:| |singularities| (-1149 (-216))))) (-5 *1 (-109))))) 
+(-13 (-1097) (-10 -7 (-15 -2096 ((-637 (-1169)))) (-15 -3008 ((-2 (|:| |zeros| (-1149 (-216))) (|:| |ones| (-1149 (-216))) (|:| |singularities| (-1149 (-216)))) (-1169))) (-6 -4600))) 
+((-3700 (($ (-637 |#2|)) 11))) 
+(((-110 |#1| |#2|) (-10 -8 (-15 -3700 (|#1| (-637 |#2|)))) (-111 |#2|) (-1203)) (T -110)) 
+NIL 
+(-10 -8 (-15 -3700 (|#1| (-637 |#2|)))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) 8)) (-2269 (($) 7 T CONST)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2377 ((|#1| $) 36)) (-2863 (($ |#1| $) 37)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) 39)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-111 |#1|) (-1289) (-1203)) (T -111)) 
+((-3700 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-4 *1 (-111 *3)))) (-3815 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1203)))) (-2863 (*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1203)))) (-2377 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1203))))) 
+(-13 (-502 |t#1|) (-10 -8 (-6 -4601) (-15 -3700 ($ (-637 |t#1|))) (-15 -3815 (|t#1| $)) (-15 -2863 ($ |t#1| $)) (-15 -2377 (|t#1| $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1533 (((-571) $) NIL (|has| (-571) (-302)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL (|has| (-571) (-820)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL (|has| (-571) (-1043 (-1169)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| (-571) (-1043 (-571)))) (((-3 (-571) "failed") $) NIL (|has| (-571) (-1043 (-571))))) (-1316 (((-571) $) NIL) (((-1169) $) NIL (|has| (-571) (-1043 (-1169)))) (((-412 (-571)) $) NIL (|has| (-571) (-1043 (-571)))) (((-571) $) NIL (|has| (-571) (-1043 (-571))))) (-2162 (($ $ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| (-571) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| (-571) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-684 (-571)) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-571) (-553)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2093 (((-121) $) NIL (|has| (-571) (-820)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| (-571) (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| (-571) (-886 (-384))))) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL)) (-4474 (((-571) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| (-571) (-1143)))) (-4086 (((-121) $) NIL (|has| (-571) (-820)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-571) (-847)))) (-3799 (($ (-1 (-571) (-571)) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-571) (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL (|has| (-571) (-302))) (((-412 (-571)) $) NIL)) (-3955 (((-571) $) NIL (|has| (-571) (-553)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4483 (($ $ (-637 (-571)) (-637 (-571))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-571) (-571)) NIL (|has| (-571) (-304 (-571)))) (($ $ (-289 (-571))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-637 (-289 (-571)))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-637 (-1169)) (-637 (-571))) NIL (|has| (-571) (-526 (-1169) (-571)))) (($ $ (-1169) (-571)) NIL (|has| (-571) (-526 (-1169) (-571))))) (-1826 (((-768) $) NIL)) (-3245 (($ $ (-571)) NIL (|has| (-571) (-282 (-571) (-571))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $) NIL (|has| (-571) (-226))) (($ $ (-768)) NIL (|has| (-571) (-226))) (($ $ (-1169)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1 (-571) (-571)) (-768)) NIL) (($ $ (-1 (-571) (-571))) NIL)) (-3777 (($ $) NIL)) (-4479 (((-571) $) NIL)) (-4050 (((-892 (-571)) $) NIL (|has| (-571) (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| (-571) (-612 (-892 (-384))))) (((-544) $) NIL (|has| (-571) (-612 (-544)))) (((-384) $) NIL (|has| (-571) (-1027))) (((-216) $) NIL (|has| (-571) (-1027)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| (-571) (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) 7) (($ (-571)) NIL) (($ (-1169)) NIL (|has| (-571) (-1043 (-1169)))) (((-412 (-571)) $) NIL) (((-1010 2) $) 9)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-571) (-909))) (|has| (-571) (-149))))) (-2661 (((-768)) NIL)) (-2325 (((-571) $) NIL (|has| (-571) (-553)))) (-2844 (($ (-412 (-571))) 8)) (-1388 (((-121) $ $) NIL)) (-1902 (($ $) NIL (|has| (-571) (-820)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $) NIL (|has| (-571) (-226))) (($ $ (-768)) NIL (|has| (-571) (-226))) (($ $ (-1169)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1 (-571) (-571)) (-768)) NIL) (($ $ (-1 (-571) (-571))) NIL)) (-1350 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1379 (($ $ $) NIL) (($ (-571) (-571)) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ (-571) $) NIL) (($ $ (-571)) NIL))) 
+(((-112) (-13 (-999 (-571)) (-10 -8 (-15 -3942 ((-412 (-571)) $)) (-15 -3942 ((-1010 2) $)) (-15 -3762 ((-412 (-571)) $)) (-15 -2844 ($ (-412 (-571))))))) (T -112)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-112)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1010 2)) (-5 *1 (-112)))) (-3762 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-112)))) (-2844 (*1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-112))))) 
+(-13 (-999 (-571)) (-10 -8 (-15 -3942 ((-412 (-571)) $)) (-15 -3942 ((-1010 2) $)) (-15 -3762 ((-412 (-571)) $)) (-15 -2844 ($ (-412 (-571)))))) 
+((-2234 (((-121) $ $) NIL)) (-2155 (((-1115) $ (-1115)) 23)) (-1539 (($ $ (-1151)) 17)) (-1594 (((-3 (-1115) "failed") $) 22)) (-3043 (((-1115) $) 20)) (-3622 (((-1115) $ (-1115)) 25)) (-3984 (((-1115) $) 24)) (-3545 (($ (-393)) NIL) (($ (-393) (-1151)) 16)) (-3159 (((-393) $) NIL)) (-3944 (((-1151) $) NIL)) (-2072 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1646 (((-1263) $) NIL)) (-3942 (((-855) $) NIL)) (-3537 (($ $) 18)) (-1323 (((-121) $ $) NIL))) 
+(((-113) (-13 (-368 (-393) (-1115)) (-10 -8 (-15 -1594 ((-3 (-1115) "failed") $)) (-15 -3984 ((-1115) $)) (-15 -3622 ((-1115) $ (-1115)))))) (T -113)) 
+((-1594 (*1 *2 *1) (|partial| -12 (-5 *2 (-1115)) (-5 *1 (-113)))) (-3984 (*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-113)))) (-3622 (*1 *2 *1 *2) (-12 (-5 *2 (-1115)) (-5 *1 (-113))))) 
+(-13 (-368 (-393) (-1115)) (-10 -8 (-15 -1594 ((-3 (-1115) "failed") $)) (-15 -3984 ((-1115) $)) (-15 -3622 ((-1115) $ (-1115))))) 
+((-2234 (((-121) $ $) NIL)) (-1996 (($ $) NIL)) (-3917 (($ $ $) NIL)) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) $) NIL (|has| (-121) (-847))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-3652 (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| (-121) (-847)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4601)))) (-2972 (($ $) NIL (|has| (-121) (-847))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-3251 (((-121) $ (-1224 (-571)) (-121)) NIL (|has| $ (-6 -4601))) (((-121) $ (-571) (-121)) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-3412 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4600))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-3074 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-2922 (((-121) $ (-571) (-121)) NIL (|has| $ (-6 -4601)))) (-4319 (((-121) $ (-571)) NIL)) (-3984 (((-571) (-121) $ (-571)) NIL (|has| (-121) (-1097))) (((-571) (-121) $) NIL (|has| (-121) (-1097))) (((-571) (-1 (-121) (-121)) $) NIL)) (-4034 (((-637 (-121)) $) NIL (|has| $ (-6 -4600)))) (-2459 (($ $ $) NIL)) (-2931 (($ $) NIL)) (-2708 (($ $ $) NIL)) (-1364 (($ (-768) (-121)) 8)) (-1878 (($ $ $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL)) (-3491 (($ $ $) NIL (|has| (-121) (-847))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-3488 (((-637 (-121)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL)) (-1923 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-121) (-121) (-121)) $ $) NIL) (($ (-1 (-121) (-121)) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-2594 (($ $ $ (-571)) NIL) (($ (-121) $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 (((-121) $) NIL (|has| (-571) (-847)))) (-3765 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-4411 (($ $ (-121)) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-121)) (-637 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097)))) (($ $ (-289 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097)))) (($ $ (-637 (-289 (-121)))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-3909 (((-637 (-121)) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 (($ $ (-1224 (-571))) NIL) (((-121) $ (-571)) NIL) (((-121) $ (-571) (-121)) NIL)) (-1933 (($ $ (-1224 (-571))) NIL) (($ $ (-571)) NIL)) (-1569 (((-768) (-121) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097)))) (((-768) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4600)))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-121) (-612 (-544))))) (-3891 (($ (-637 (-121))) NIL)) (-4498 (($ (-637 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-3942 (((-855) $) NIL)) (-3284 (($ (-768) (-121)) 9)) (-3027 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4600)))) (-3997 (($ $ $) NIL)) (-4142 (($ $) NIL)) (-2208 (($ $ $) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-2198 (($ $ $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-114) (-13 (-133) (-10 -8 (-15 -3284 ($ (-768) (-121)))))) (T -114)) 
+((-3284 (*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *3 (-121)) (-5 *1 (-114))))) 
+(-13 (-133) (-10 -8 (-15 -3284 ($ (-768) (-121))))) 
+((-3782 (((-964 (-170 (-216))) (-1115) (-170 (-216)) (-964 (-170 (-216))) (-1115) (-964 (-170 (-216))) (-1115)) 33)) (-3956 (((-571) (-1115) (-964 (-170 (-216))) (-1115)) 32)) (-4154 (((-571) (-571) (-964 (-384)) (-571)) 31)) (-2115 (((-571) (-571) (-964 (-216)) (-571)) 29)) (-2107 (((-571) (-571) (-964 (-170 (-384))) (-571)) 28)) (-2753 (((-216) (-1115) (-964 (-170 (-216))) (-1115)) 25)) (-4216 (((-216) (-1115) (-964 (-170 (-216))) (-1115)) 24)) (-4417 (((-637 (-964 (-216))) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115)) 22)) (-4535 (((-964 (-216)) (-1115) (-216) (-964 (-216)) (-1115)) 21)) (-1387 (((-964 (-216)) (-216) (-216) (-216) (-216)) 18)) (-3582 (((-637 (-964 (-216))) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115) (-216) (-216)) 20)) (-3771 (((-216) (-1115) (-964 (-216)) (-1115)) 17)) (-3964 (((-216) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115)) 16)) (-3018 (((-964 (-216)) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115)) 15)) (-2098 (((-216) (-170 (-216))) 10)) (-2902 (((-964 (-216)) (-1115) (-216) (-964 (-216)) (-1115) (-964 (-216)) (-1115)) 14)) (-2106 (((-216) (-1115) (-964 (-216)) (-1115)) 13))) 
+(((-115) (-10 -7 (-15 -2098 ((-216) (-170 (-216)))) (-15 -2106 ((-216) (-1115) (-964 (-216)) (-1115))) (-15 -2902 ((-964 (-216)) (-1115) (-216) (-964 (-216)) (-1115) (-964 (-216)) (-1115))) (-15 -3018 ((-964 (-216)) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115))) (-15 -3964 ((-216) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115))) (-15 -3771 ((-216) (-1115) (-964 (-216)) (-1115))) (-15 -1387 ((-964 (-216)) (-216) (-216) (-216) (-216))) (-15 -3582 ((-637 (-964 (-216))) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115) (-216) (-216))) (-15 -4535 ((-964 (-216)) (-1115) (-216) (-964 (-216)) (-1115))) (-15 -4417 ((-637 (-964 (-216))) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115))) (-15 -4216 ((-216) (-1115) (-964 (-170 (-216))) (-1115))) (-15 -2753 ((-216) (-1115) (-964 (-170 (-216))) (-1115))) (-15 -2107 ((-571) (-571) (-964 (-170 (-384))) (-571))) (-15 -2115 ((-571) (-571) (-964 (-216)) (-571))) (-15 -4154 ((-571) (-571) (-964 (-384)) (-571))) (-15 -3956 ((-571) (-1115) (-964 (-170 (-216))) (-1115))) (-15 -3782 ((-964 (-170 (-216))) (-1115) (-170 (-216)) (-964 (-170 (-216))) (-1115) (-964 (-170 (-216))) (-1115))))) (T -115)) 
+((-3782 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-964 (-170 (-216)))) (-5 *3 (-1115)) (-5 *4 (-170 (-216))) (-5 *1 (-115)))) (-3956 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-170 (-216)))) (-5 *2 (-571)) (-5 *1 (-115)))) (-4154 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-571)) (-5 *3 (-964 (-384))) (-5 *1 (-115)))) (-2115 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-571)) (-5 *3 (-964 (-216))) (-5 *1 (-115)))) (-2107 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-571)) (-5 *3 (-964 (-170 (-384)))) (-5 *1 (-115)))) (-2753 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115)))) (-4216 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115)))) (-4417 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *2 (-637 (-964 (-216)))) (-5 *1 (-115)) (-5 *4 (-964 (-216))))) (-4535 (*1 *2 *3 *4 *2 *3) (-12 (-5 *2 (-964 (-216))) (-5 *3 (-1115)) (-5 *4 (-216)) (-5 *1 (-115)))) (-3582 (*1 *2 *3 *4 *3 *4 *3 *5 *5) (-12 (-5 *3 (-1115)) (-5 *5 (-216)) (-5 *2 (-637 (-964 *5))) (-5 *1 (-115)) (-5 *4 (-964 *5)))) (-1387 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-964 (-216))) (-5 *1 (-115)) (-5 *3 (-216)))) (-3771 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-3964 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-3018 (*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-964 (-216))) (-5 *3 (-1115)) (-5 *1 (-115)))) (-2902 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-964 (-216))) (-5 *3 (-1115)) (-5 *4 (-216)) (-5 *1 (-115)))) (-2106 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-2098 (*1 *2 *3) (-12 (-5 *3 (-170 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(-10 -7 (-15 -2098 ((-216) (-170 (-216)))) (-15 -2106 ((-216) (-1115) (-964 (-216)) (-1115))) (-15 -2902 ((-964 (-216)) (-1115) (-216) (-964 (-216)) (-1115) (-964 (-216)) (-1115))) (-15 -3018 ((-964 (-216)) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115))) (-15 -3964 ((-216) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115))) (-15 -3771 ((-216) (-1115) (-964 (-216)) (-1115))) (-15 -1387 ((-964 (-216)) (-216) (-216) (-216) (-216))) (-15 -3582 ((-637 (-964 (-216))) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115) (-216) (-216))) (-15 -4535 ((-964 (-216)) (-1115) (-216) (-964 (-216)) (-1115))) (-15 -4417 ((-637 (-964 (-216))) (-1115) (-964 (-216)) (-1115) (-964 (-216)) (-1115))) (-15 -4216 ((-216) (-1115) (-964 (-170 (-216))) (-1115))) (-15 -2753 ((-216) (-1115) (-964 (-170 (-216))) (-1115))) (-15 -2107 ((-571) (-571) (-964 (-170 (-384))) (-571))) (-15 -2115 ((-571) (-571) (-964 (-216)) (-571))) (-15 -4154 ((-571) (-571) (-964 (-384)) (-571))) (-15 -3956 ((-571) (-1115) (-964 (-170 (-216))) (-1115))) (-15 -3782 ((-964 (-170 (-216))) (-1115) (-170 (-216)) (-964 (-170 (-216))) (-1115) (-964 (-170 (-216))) (-1115)))) 
+((-2234 (((-121) $ $) NIL)) (-3676 (((-3 "left" "center" "right" "vertical" "horizontal") $) 17)) (-3790 (((-571) $) 14)) (-1518 (((-571) $) 15)) (-3670 (((-571) $) 16)) (-3944 (((-1151) $) NIL)) (-3435 (((-121) $) 8)) (-2580 (((-1115) $) NIL)) (-3273 (((-571) $) 12)) (-3711 (($ (-571) (-571) (-571) (-571) (-571) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 11)) (-3942 (((-855) $) 19) (($ (-637 (-571))) NIL)) (-4304 (((-571) $) 13)) (-1323 (((-121) $ $) NIL))) 
 (((-116) (-13 (-117) (-10 -7 (-6 |HamburgerNoether|)))) (T -116)) 
 NIL 
 (-13 (-117) (-10 -7 (-6 |HamburgerNoether|))) 
-((-1310 (((-121) $ $) 7)) (-1425 (((-3 "left" "center" "right" "vertical" "horizontal") $) 12)) (-3683 (((-569) $) 17)) (-4225 (((-569) $) 15)) (-4246 (((-569) $) 13)) (-2605 (((-1147) $) 9)) (-3863 (((-121) $) 14)) (-1912 (((-1111) $) 10)) (-3009 (((-569) $) 19)) (-4252 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 16)) (-3956 (((-852) $) 11) (($ (-635 (-569))) 20)) (-2822 (((-569) $) 18)) (-1326 (((-121) $ $) 6))) 
-(((-117) (-1284)) (T -117)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-117)))) (-3009 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-2822 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3683 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-4252 (*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-569)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117)))) (-4225 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3863 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121)))) (-4246 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-1425 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ($ (-635 (-569)))) (-15 -3009 ((-569) $)) (-15 -2822 ((-569) $)) (-15 -3683 ((-569) $)) (-15 -4252 ($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -4225 ((-569) $)) (-15 -3863 ((-121) $)) (-15 -4246 ((-569) $)) (-15 -1425 ((-3 "left" "center" "right" "vertical" "horizontal") $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-1425 (((-3 "left" "center" "right" "vertical" "horizontal") $) NIL)) (-3683 (((-569) $) 14)) (-4225 (((-569) $) 11)) (-4246 (((-569) $) 15)) (-2605 (((-1147) $) NIL)) (-3863 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3009 (((-569) $) 12)) (-4252 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) NIL)) (-3956 (((-852) $) 17) (($ (-635 (-569))) 10)) (-2822 (((-569) $) 13)) (-1326 (((-121) $ $) NIL))) 
+((-2234 (((-121) $ $) 7)) (-3676 (((-3 "left" "center" "right" "vertical" "horizontal") $) 12)) (-3790 (((-571) $) 17)) (-1518 (((-571) $) 15)) (-3670 (((-571) $) 13)) (-3944 (((-1151) $) 9)) (-3435 (((-121) $) 14)) (-2580 (((-1115) $) 10)) (-3273 (((-571) $) 19)) (-3711 (($ (-571) (-571) (-571) (-571) (-571) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 16)) (-3942 (((-855) $) 11) (($ (-637 (-571))) 20)) (-4304 (((-571) $) 18)) (-1323 (((-121) $ $) 6))) 
+(((-117) (-1289)) (T -117)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-4 *1 (-117)))) (-3273 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-571)))) (-4304 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-571)))) (-3790 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-571)))) (-3711 (*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-571)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117)))) (-1518 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-571)))) (-3435 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121)))) (-3670 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-571)))) (-3676 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ($ (-637 (-571)))) (-15 -3273 ((-571) $)) (-15 -4304 ((-571) $)) (-15 -3790 ((-571) $)) (-15 -3711 ($ (-571) (-571) (-571) (-571) (-571) (-121) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -1518 ((-571) $)) (-15 -3435 ((-121) $)) (-15 -3670 ((-571) $)) (-15 -3676 ((-3 "left" "center" "right" "vertical" "horizontal") $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-3676 (((-3 "left" "center" "right" "vertical" "horizontal") $) NIL)) (-3790 (((-571) $) 14)) (-1518 (((-571) $) 11)) (-3670 (((-571) $) 15)) (-3944 (((-1151) $) NIL)) (-3435 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-3273 (((-571) $) 12)) (-3711 (($ (-571) (-571) (-571) (-571) (-571) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) NIL)) (-3942 (((-855) $) 17) (($ (-637 (-571))) 10)) (-4304 (((-571) $) 13)) (-1323 (((-121) $ $) NIL))) 
 (((-118) (-13 (-117) (-10 -7 (-6 |QuadraticTransform|)))) (T -118)) 
 NIL 
 (-13 (-117) (-10 -7 (-6 |QuadraticTransform|))) 
-((-1299 (((-2 (|:| |mult| (-765)) (|:| |subMult| (-765)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) |#5| |#1|) 70)) (-1996 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-765) |#5|) 54)) (-2922 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#3| |#5|) 99)) (-1471 (((-635 (-635 (-765))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) NIL)) (-3703 ((|#3| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#5|) 105)) (-3352 ((|#3| |#3| |#5|) 107))) 
-(((-119 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3352 (|#3| |#3| |#5|)) (-15 -1996 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-765) |#5|)) (-15 -1299 ((-2 (|:| |mult| (-765)) (|:| |subMult| (-765)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -1471 ((-635 (-635 (-765))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|))) (-15 -2922 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#3| |#5|)) (-15 -3703 (|#3| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#5|))) (-366) (-635 (-1165)) (-325 |#1| |#4|) (-231 (-2946 |#2|) (-765)) (-117)) (T -119)) 
-((-3703 (*1 *2 *3 *4) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *2 (-325 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *4 (-117)))) (-2922 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-325 *5 *7)) (-4 *4 (-117)))) (-1471 (*1 *2 *3) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-635 (-635 (-765)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-325 *4 *7)) (-4 *8 (-117)))) (-1299 (*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *9 (-231 (-2946 *7) (-765))) (-5 *2 (-2 (|:| |mult| (-765)) (|:| |subMult| (-765)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-3124 (QUOTE X) (QUOTE -2866)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-325 *6 *9)) (-4 *5 (-117)))) (-1996 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-4 *5 (-366)) (-5 *3 (-765)) (-14 *6 (-635 (-1165))) (-4 *8 (-231 (-2946 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-325 *5 *8)) (-4 *4 (-117)))) (-3352 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-325 *4 *6)) (-4 *3 (-117))))) 
-(-10 -7 (-15 -3352 (|#3| |#3| |#5|)) (-15 -1996 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-765) |#5|)) (-15 -1299 ((-2 (|:| |mult| (-765)) (|:| |subMult| (-765)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -1471 ((-635 (-635 (-765))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|))) (-15 -2922 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#3| |#5|)) (-15 -3703 (|#3| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#5|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#2|) 24))) 
-(((-120 |#1| |#2|) (-1284) (-1049) (-1049)) (T -120)) 
-NIL 
-(-13 (-638 |t#1|) (-1055 |t#2|) (-10 -7 (-6 -4566) (-6 -4565))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-1055 |#2|) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-1771 (($ $) 12)) (-1800 (($ $ $) 17)) (-4550 (($) 8 T CONST)) (-2654 (((-121) $) 7)) (-2675 (((-765)) 24)) (-3341 (($) 30)) (-2472 (($ $ $) 15)) (-3182 (($ $) 10)) (-2327 (($ $ $) 18)) (-1681 (($ $ $) 19)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2862 (((-919) $) 29)) (-2605 (((-1147) $) NIL)) (-1333 (($ (-919)) 28)) (-1368 (($ $ $) 21)) (-1912 (((-1111) $) NIL)) (-2544 (($) 9 T CONST)) (-4035 (((-542) $) 36)) (-3956 (((-852) $) 39)) (-3993 (($ $ $) 13)) (-3403 (($ $) 11)) (-1294 (($ $ $) 16)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 20)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 22)) (-1637 (($ $ $) 14))) 
-(((-121) (-13 (-844) (-371) (-652) (-610 (-542)) (-10 -8 (-15 -4550 ($) -3575) (-15 -2544 ($) -3575) (-15 -3403 ($ $)) (-15 -3182 ($ $)) (-15 -3993 ($ $ $)) (-15 -2472 ($ $ $)) (-15 -1800 ($ $ $)) (-15 -1681 ($ $ $)) (-15 -2327 ($ $ $)) (-15 -1368 ($ $ $)) (-15 -2654 ((-121) $))))) (T -121)) 
-((-4550 (*1 *1) (-5 *1 (-121))) (-2544 (*1 *1) (-5 *1 (-121))) (-3403 (*1 *1 *1) (-5 *1 (-121))) (-3182 (*1 *1 *1) (-5 *1 (-121))) (-3993 (*1 *1 *1 *1) (-5 *1 (-121))) (-2472 (*1 *1 *1 *1) (-5 *1 (-121))) (-1800 (*1 *1 *1 *1) (-5 *1 (-121))) (-1681 (*1 *1 *1 *1) (-5 *1 (-121))) (-2327 (*1 *1 *1 *1) (-5 *1 (-121))) (-1368 (*1 *1 *1 *1) (-5 *1 (-121))) (-2654 (*1 *1 *1) (-5 *1 (-121)))) 
-(-13 (-844) (-371) (-652) (-610 (-542)) (-10 -8 (-15 -4550 ($) -3575) (-15 -2544 ($) -3575) (-15 -3403 ($ $)) (-15 -3182 ($ $)) (-15 -3993 ($ $ $)) (-15 -2472 ($ $ $)) (-15 -1800 ($ $ $)) (-15 -1681 ($ $ $)) (-15 -2327 ($ $ $)) (-15 -1368 ($ $ $)) (-15 -2654 ((-121) $)))) 
-((-4520 (((-3 (-1 |#1| (-635 |#1|)) "failed") (-123)) 18) (((-123) (-123) (-1 |#1| |#1|)) 13) (((-123) (-123) (-1 |#1| (-635 |#1|))) 11) (((-3 |#1| "failed") (-123) (-635 |#1|)) 20)) (-3625 (((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123)) 24) (((-123) (-123) (-1 |#1| |#1|)) 30) (((-123) (-123) (-635 (-1 |#1| (-635 |#1|)))) 26)) (-2027 (((-123) |#1|) 53 (|has| |#1| (-844)))) (-4506 (((-3 |#1| "failed") (-123)) 48 (|has| |#1| (-844))))) 
-(((-122 |#1|) (-10 -7 (-15 -4520 ((-3 |#1| "failed") (-123) (-635 |#1|))) (-15 -4520 ((-123) (-123) (-1 |#1| (-635 |#1|)))) (-15 -4520 ((-123) (-123) (-1 |#1| |#1|))) (-15 -4520 ((-3 (-1 |#1| (-635 |#1|)) "failed") (-123))) (-15 -3625 ((-123) (-123) (-635 (-1 |#1| (-635 |#1|))))) (-15 -3625 ((-123) (-123) (-1 |#1| |#1|))) (-15 -3625 ((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123))) (IF (|has| |#1| (-844)) (PROGN (-15 -2027 ((-123) |#1|)) (-15 -4506 ((-3 |#1| "failed") (-123)))) |noBranch|)) (-1093)) (T -122)) 
-((-4506 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1093)) (-4 *2 (-844)) (-5 *1 (-122 *2)))) (-2027 (*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-844)) (-4 *3 (-1093)))) (-3625 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-1 *4 (-635 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1093)))) (-3625 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) (-3625 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-1 *4 (-635 *4)))) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) (-4520 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-635 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1093)))) (-4520 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) (-4520 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-635 *4))) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) (-4520 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-635 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1093))))) 
-(-10 -7 (-15 -4520 ((-3 |#1| "failed") (-123) (-635 |#1|))) (-15 -4520 ((-123) (-123) (-1 |#1| (-635 |#1|)))) (-15 -4520 ((-123) (-123) (-1 |#1| |#1|))) (-15 -4520 ((-3 (-1 |#1| (-635 |#1|)) "failed") (-123))) (-15 -3625 ((-123) (-123) (-635 (-1 |#1| (-635 |#1|))))) (-15 -3625 ((-123) (-123) (-1 |#1| |#1|))) (-15 -3625 ((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123))) (IF (|has| |#1| (-844)) (PROGN (-15 -2027 ((-123) |#1|)) (-15 -4506 ((-3 |#1| "failed") (-123)))) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-2402 (((-765) $) 68) (($ $ (-765)) 30)) (-3743 (((-121) $) 32)) (-3188 (($ $ (-1147) (-768)) 26)) (-2051 (($ $ (-50 (-1147) (-768))) 13)) (-2161 (((-3 (-768) "failed") $ (-1147)) 24)) (-2771 (((-50 (-1147) (-768)) $) 12)) (-1344 (($ (-1165)) 15) (($ (-1165) (-765)) 20)) (-1972 (((-121) $) 31)) (-3643 (((-121) $) 33)) (-2798 (((-1165) $) 8)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3845 (((-121) $ (-1165)) 10)) (-2647 (($ $ (-1 (-542) (-635 (-542)))) 50) (((-3 (-1 (-542) (-635 (-542))) "failed") $) 54)) (-1912 (((-1111) $) NIL)) (-3210 (((-121) $ (-1147)) 29)) (-3770 (($ $ (-1 (-121) $ $)) 35)) (-2442 (((-3 (-1 (-852) (-635 (-852))) "failed") $) 52) (($ $ (-1 (-852) (-635 (-852)))) 41) (($ $ (-1 (-852) (-852))) 43)) (-2026 (($ $ (-1147)) 45)) (-1799 (($ $) 61)) (-4075 (($ $ (-1 (-121) $ $)) 36)) (-3956 (((-852) $) 48)) (-3753 (($ $ (-1147)) 27)) (-4060 (((-3 (-765) "failed") $) 56)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 67)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 72))) 
-(((-123) (-13 (-844) (-10 -8 (-15 -2798 ((-1165) $)) (-15 -2771 ((-50 (-1147) (-768)) $)) (-15 -1799 ($ $)) (-15 -1344 ($ (-1165))) (-15 -1344 ($ (-1165) (-765))) (-15 -4060 ((-3 (-765) "failed") $)) (-15 -1972 ((-121) $)) (-15 -3743 ((-121) $)) (-15 -3643 ((-121) $)) (-15 -2402 ((-765) $)) (-15 -2402 ($ $ (-765))) (-15 -3770 ($ $ (-1 (-121) $ $))) (-15 -4075 ($ $ (-1 (-121) $ $))) (-15 -2442 ((-3 (-1 (-852) (-635 (-852))) "failed") $)) (-15 -2442 ($ $ (-1 (-852) (-635 (-852))))) (-15 -2442 ($ $ (-1 (-852) (-852)))) (-15 -2647 ($ $ (-1 (-542) (-635 (-542))))) (-15 -2647 ((-3 (-1 (-542) (-635 (-542))) "failed") $)) (-15 -3845 ((-121) $ (-1165))) (-15 -3210 ((-121) $ (-1147))) (-15 -3753 ($ $ (-1147))) (-15 -2026 ($ $ (-1147))) (-15 -2161 ((-3 (-768) "failed") $ (-1147))) (-15 -3188 ($ $ (-1147) (-768))) (-15 -2051 ($ $ (-50 (-1147) (-768))))))) (T -123)) 
-((-2798 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-123)))) (-2771 (*1 *2 *1) (-12 (-5 *2 (-50 (-1147) (-768))) (-5 *1 (-123)))) (-1799 (*1 *1 *1) (-5 *1 (-123))) (-1344 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-123)))) (-1344 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *1 (-123)))) (-4060 (*1 *2 *1) (|partial| -12 (-5 *2 (-765)) (-5 *1 (-123)))) (-1972 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-3743 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-3643 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-2402 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-123)))) (-2402 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-123)))) (-3770 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-4075 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-2442 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-852) (-635 (-852)))) (-5 *1 (-123)))) (-2442 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-852) (-635 (-852)))) (-5 *1 (-123)))) (-2442 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-852) (-852))) (-5 *1 (-123)))) (-2647 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) (-2647 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) (-3845 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-121)) (-5 *1 (-123)))) (-3210 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-123)))) (-3753 (*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-123)))) (-2026 (*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-123)))) (-2161 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1147)) (-5 *2 (-768)) (-5 *1 (-123)))) (-3188 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-768)) (-5 *1 (-123)))) (-2051 (*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1147) (-768))) (-5 *1 (-123))))) 
-(-13 (-844) (-10 -8 (-15 -2798 ((-1165) $)) (-15 -2771 ((-50 (-1147) (-768)) $)) (-15 -1799 ($ $)) (-15 -1344 ($ (-1165))) (-15 -1344 ($ (-1165) (-765))) (-15 -4060 ((-3 (-765) "failed") $)) (-15 -1972 ((-121) $)) (-15 -3743 ((-121) $)) (-15 -3643 ((-121) $)) (-15 -2402 ((-765) $)) (-15 -2402 ($ $ (-765))) (-15 -3770 ($ $ (-1 (-121) $ $))) (-15 -4075 ($ $ (-1 (-121) $ $))) (-15 -2442 ((-3 (-1 (-852) (-635 (-852))) "failed") $)) (-15 -2442 ($ $ (-1 (-852) (-635 (-852))))) (-15 -2442 ($ $ (-1 (-852) (-852)))) (-15 -2647 ($ $ (-1 (-542) (-635 (-542))))) (-15 -2647 ((-3 (-1 (-542) (-635 (-542))) "failed") $)) (-15 -3845 ((-121) $ (-1165))) (-15 -3210 ((-121) $ (-1147))) (-15 -3753 ($ $ (-1147))) (-15 -2026 ($ $ (-1147))) (-15 -2161 ((-3 (-768) "failed") $ (-1147))) (-15 -3188 ($ $ (-1147) (-768))) (-15 -2051 ($ $ (-50 (-1147) (-768)))))) 
-((-3907 (((-569) |#2|) 36))) 
-(((-124 |#1| |#2|) (-10 -7 (-15 -3907 ((-569) |#2|))) (-13 (-366) (-1039 (-410 (-569)))) (-1228 |#1|)) (T -124)) 
-((-3907 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-1039 (-410 *2)))) (-5 *2 (-569)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -3907 ((-569) |#2|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $ (-569)) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-3925 (($ (-1161 (-569)) (-569)) NIL)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2314 (($ $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-4433 (((-765) $) NIL)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4138 (((-569)) NIL)) (-2760 (((-569) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3803 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2721 (((-1145 (-569)) $) NIL)) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-4334 (((-569) $ (-569)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
-(((-125 |#1|) (-865 |#1|) (-569)) (T -125)) 
-NIL 
-(-865 |#1|) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-125 |#1|) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-125 |#1|) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-125 |#1|) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-125 |#1|) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-125 |#1|) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-125 |#1|) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-125 |#1|) (-1039 (-569))))) (-1321 (((-125 |#1|) $) NIL) (((-1165) $) NIL (|has| (-125 |#1|) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-125 |#1|) (-1039 (-569)))) (((-569) $) NIL (|has| (-125 |#1|) (-1039 (-569))))) (-4339 (($ $) NIL) (($ (-569) $) NIL)) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-125 |#1|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-125 |#1|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-125 |#1|))) (|:| |vec| (-1253 (-125 |#1|)))) (-681 $) (-1253 $)) NIL) (((-681 (-125 |#1|)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-125 |#1|) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-125 |#1|) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-125 |#1|) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-125 |#1|) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-125 |#1|) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-125 |#1|) (-1139)))) (-4311 (((-121) $) NIL (|has| (-125 |#1|) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-125 |#1|) (-844)))) (-2713 (($ $ $) NIL (|has| (-125 |#1|) (-844)))) (-4188 (($ (-1 (-125 |#1|) (-125 |#1|)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-125 |#1|) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-125 |#1|) (-302)))) (-1807 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-125 |#1|) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-125 |#1|) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-125 |#1|)) (-635 (-125 |#1|))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-125 |#1|) (-125 |#1|)) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-289 (-125 |#1|))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-635 (-289 (-125 |#1|)))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-635 (-1165)) (-635 (-125 |#1|))) NIL (|has| (-125 |#1|) (-524 (-1165) (-125 |#1|)))) (($ $ (-1165) (-125 |#1|)) NIL (|has| (-125 |#1|) (-524 (-1165) (-125 |#1|))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-125 |#1|)) NIL (|has| (-125 |#1|) (-282 (-125 |#1|) (-125 |#1|))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-125 |#1|) (-226))) (($ $ (-765)) NIL (|has| (-125 |#1|) (-226))) (($ $ (-1165)) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-765)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-125 |#1|) $) NIL)) (-4035 (((-889 (-569)) $) NIL (|has| (-125 |#1|) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-125 |#1|) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-125 |#1|) (-610 (-542)))) (((-382) $) NIL (|has| (-125 |#1|) (-1023))) (((-216) $) NIL (|has| (-125 |#1|) (-1023)))) (-2914 (((-174 (-410 (-569))) $) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-125 |#1|) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-125 |#1|)) NIL) (($ (-1165)) NIL (|has| (-125 |#1|) (-1039 (-1165))))) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-125 |#1|) (-906))) (|has| (-125 |#1|) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-551)))) (-2909 (((-121) $ $) NIL)) (-4334 (((-410 (-569)) $ (-569)) NIL)) (-4080 (($ $) NIL (|has| (-125 |#1|) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-125 |#1|) (-226))) (($ $ (-765)) NIL (|has| (-125 |#1|) (-226))) (($ $ (-1165)) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-765)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-125 |#1|) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-125 |#1|) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-125 |#1|) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-125 |#1|) (-844)))) (-1383 (($ $ $) NIL) (($ (-125 |#1|) (-125 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-125 |#1|) $) NIL) (($ $ (-125 |#1|)) NIL))) 
-(((-126 |#1|) (-13 (-995 (-125 |#1|)) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) (-569)) (T -126)) 
-((-4334 (*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-569)))) (-2914 (*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-126 *3)) (-14 *3 (-569)))) (-4339 (*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-569)))) (-4339 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-126 *3)) (-14 *3 *2)))) 
-(-13 (-995 (-125 |#1|)) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) 
-((-2511 ((|#2| $ "value" |#2|) NIL) (($ $ "left" $) 48) (($ $ "right" $) 50)) (-3899 (((-635 $) $) 27)) (-2638 (((-121) $ $) 32)) (-3016 (((-121) |#2| $) 36)) (-1322 (((-635 |#2|) $) 22)) (-3491 (((-121) $) 16)) (-2503 ((|#2| $ "value") NIL) (($ $ "left") 10) (($ $ "right") 13)) (-1630 (((-121) $) 45)) (-3956 (((-852) $) 41)) (-4065 (((-635 $) $) 28)) (-1326 (((-121) $ $) 34)) (-2946 (((-765) $) 43))) 
-(((-127 |#1| |#2|) (-10 -8 (-15 -2511 (|#1| |#1| "right" |#1|)) (-15 -2511 (|#1| |#1| "left" |#1|)) (-15 -2503 (|#1| |#1| "right")) (-15 -2503 (|#1| |#1| "left")) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -2638 ((-121) |#1| |#1|)) (-15 -1322 ((-635 |#2|) |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2946 ((-765) |#1|))) (-128 |#2|) (-1199)) (T -127)) 
-NIL 
-(-10 -8 (-15 -2511 (|#1| |#1| "right" |#1|)) (-15 -2511 (|#1| |#1| "left" |#1|)) (-15 -2503 (|#1| |#1| "right")) (-15 -2503 (|#1| |#1| "left")) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -2638 ((-121) |#1| |#1|)) (-15 -1322 ((-635 |#2|) |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2946 ((-765) |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-3800 (($ $ $) 49 (|has| $ (-6 -4572)))) (-3324 (($ $ $) 51 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) (($ $ "left" $) 52 (|has| $ (-6 -4572))) (($ $ "right" $) 50 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-3417 (($ $) 54)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-3149 (($ $) 56)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-128 |#1|) (-1284) (-1199)) (T -128)) 
-((-3149 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1199)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1199)))) (-3417 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1199)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1199)))) (-2511 (*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4572)) (-4 *1 (-128 *3)) (-4 *3 (-1199)))) (-3324 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-128 *2)) (-4 *2 (-1199)))) (-2511 (*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4572)) (-4 *1 (-128 *3)) (-4 *3 (-1199)))) (-3800 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-128 *2)) (-4 *2 (-1199))))) 
-(-13 (-1012 |t#1|) (-10 -8 (-15 -3149 ($ $)) (-15 -2503 ($ $ "left")) (-15 -3417 ($ $)) (-15 -2503 ($ $ "right")) (IF (|has| $ (-6 -4572)) (PROGN (-15 -2511 ($ $ "left" $)) (-15 -3324 ($ $ $)) (-15 -2511 ($ $ "right" $)) (-15 -3800 ($ $ $))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-3000 (((-121) |#1|) 24)) (-2117 (((-765) (-765)) 23) (((-765)) 22)) (-1287 (((-121) |#1| (-121)) 25) (((-121) |#1|) 26))) 
-(((-129 |#1|) (-10 -7 (-15 -1287 ((-121) |#1|)) (-15 -1287 ((-121) |#1| (-121))) (-15 -2117 ((-765))) (-15 -2117 ((-765) (-765))) (-15 -3000 ((-121) |#1|))) (-1228 (-569))) (T -129)) 
-((-3000 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) (-2117 (*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) (-2117 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) (-1287 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) (-1287 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569)))))) 
-(-10 -7 (-15 -1287 ((-121) |#1|)) (-15 -1287 ((-121) |#1| (-121))) (-15 -2117 ((-765))) (-15 -2117 ((-765) (-765))) (-15 -3000 ((-121) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3050 (((-3 $ "failed") (-1165) (-1165)) 31)) (-1912 (((-1111) $) NIL)) (-3212 (((-3 (-1165) "failed") $) 45)) (-4492 (((-3 $ (-569)) (-1165)) 36)) (-1995 (((-1173 (-1165) $)) 42)) (-2095 (((-635 $)) 40)) (-2217 (((-3 $ "failed") (-1165)) 19)) (-4035 (($ (-1165)) 27) (((-1165) $) NIL)) (-3956 (((-852) $) 21)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL))) 
-(((-130) (-13 (-844) (-10 -8 (-6 (-610 (-1165))) (-15 -2217 ((-3 $ "failed") (-1165))) (-15 -4035 ($ (-1165))) (-15 -3050 ((-3 $ "failed") (-1165) (-1165))) (-15 -4492 ((-3 $ (-569)) (-1165))) (-15 -2095 ((-635 $))) (-15 -1995 ((-1173 (-1165) $))) (-15 -3212 ((-3 (-1165) "failed") $))))) (T -130)) 
-((-2217 (*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-130)))) (-3050 (*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130)))) (-4492 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-3 (-130) (-569))) (-5 *1 (-130)))) (-2095 (*1 *2) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-130)))) (-1995 (*1 *2) (-12 (-5 *2 (-1173 (-1165) (-130))) (-5 *1 (-130)))) (-3212 (*1 *2 *1) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130))))) 
-(-13 (-844) (-10 -8 (-6 (-610 (-1165))) (-15 -2217 ((-3 $ "failed") (-1165))) (-15 -4035 ($ (-1165))) (-15 -3050 ((-3 $ "failed") (-1165) (-1165))) (-15 -4492 ((-3 $ (-569)) (-1165))) (-15 -2095 ((-635 $))) (-15 -1995 ((-1173 (-1165) $))) (-15 -3212 ((-3 (-1165) "failed") $)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 15)) (-2009 (((-2 (|:| |less| $) (|:| |greater| $)) |#1| $) 22)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-3800 (($ $ $) 18 (|has| $ (-6 -4572)))) (-3324 (($ $ $) 20 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "left" $) NIL (|has| $ (-6 -4572))) (($ $ "right" $) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3417 (($ $) 17)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2033 (($ $ |#1| $) 23)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-3149 (($ $) 19)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4179 (($ |#1| $) 24)) (-2351 (($ |#1| $) 10)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 14)) (-4016 (($) 8)) (-2503 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3549 (($ (-635 |#1|)) 12)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-131 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -3549 ($ (-635 |#1|))) (-15 -2351 ($ |#1| $)) (-15 -4179 ($ |#1| $)) (-15 -2009 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) (-844)) (T -131)) 
-((-3549 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-131 *3)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-844)))) (-4179 (*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-844)))) (-2009 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-131 *3)) (|:| |greater| (-131 *3)))) (-5 *1 (-131 *3)) (-4 *3 (-844))))) 
-(-13 (-135 |#1|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -3549 ($ (-635 |#1|))) (-15 -2351 ($ |#1| $)) (-15 -4179 ($ |#1| $)) (-15 -2009 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) 
-((-1771 (($ $) 14)) (-3182 (($ $) 11)) (-2327 (($ $ $) 24)) (-1681 (($ $ $) 22)) (-3403 (($ $) 12)) (-1294 (($ $ $) 20)) (-1637 (($ $ $) 18))) 
-(((-132 |#1|) (-10 -8 (-15 -2327 (|#1| |#1| |#1|)) (-15 -1681 (|#1| |#1| |#1|)) (-15 -3403 (|#1| |#1|)) (-15 -3182 (|#1| |#1|)) (-15 -1771 (|#1| |#1|)) (-15 -1637 (|#1| |#1| |#1|)) (-15 -1294 (|#1| |#1| |#1|))) (-133)) (T -132)) 
-NIL 
-(-10 -8 (-15 -2327 (|#1| |#1| |#1|)) (-15 -1681 (|#1| |#1| |#1|)) (-15 -3403 (|#1| |#1|)) (-15 -3182 (|#1| |#1|)) (-15 -1771 (|#1| |#1|)) (-15 -1637 (|#1| |#1| |#1|)) (-15 -1294 (|#1| |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-1771 (($ $) 103)) (-1800 (($ $ $) 24)) (-1403 (((-1258) $ (-569) (-569)) 66 (|has| $ (-6 -4572)))) (-3382 (((-121) $) 98 (|has| (-121) (-844))) (((-121) (-1 (-121) (-121) (-121)) $) 92)) (-1744 (($ $) 102 (-12 (|has| (-121) (-844)) (|has| $ (-6 -4572)))) (($ (-1 (-121) (-121) (-121)) $) 101 (|has| $ (-6 -4572)))) (-2930 (($ $) 97 (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $) 91)) (-3350 (((-121) $ (-765)) 37)) (-2511 (((-121) $ (-1219 (-569)) (-121)) 88 (|has| $ (-6 -4572))) (((-121) $ (-569) (-121)) 54 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-121)) $) 71 (|has| $ (-6 -4571)))) (-4483 (($) 38 T CONST)) (-2887 (($ $) 100 (|has| $ (-6 -4572)))) (-1871 (($ $) 90)) (-1858 (($ $) 68 (-12 (|has| (-121) (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ (-1 (-121) (-121)) $) 72 (|has| $ (-6 -4571))) (($ (-121) $) 69 (-12 (|has| (-121) (-1093)) (|has| $ (-6 -4571))))) (-2793 (((-121) (-1 (-121) (-121) (-121)) $) 74 (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) 73 (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) 70 (-12 (|has| (-121) (-1093)) (|has| $ (-6 -4571))))) (-3982 (((-121) $ (-569) (-121)) 53 (|has| $ (-6 -4572)))) (-4124 (((-121) $ (-569)) 55)) (-3988 (((-569) (-121) $ (-569)) 95 (|has| (-121) (-1093))) (((-569) (-121) $) 94 (|has| (-121) (-1093))) (((-569) (-1 (-121) (-121)) $) 93)) (-4303 (((-635 (-121)) $) 45 (|has| $ (-6 -4571)))) (-2472 (($ $ $) 25)) (-3182 (($ $) 30)) (-2327 (($ $ $) 27)) (-2446 (($ (-765) (-121)) 77)) (-1681 (($ $ $) 28)) (-3206 (((-121) $ (-765)) 36)) (-2497 (((-569) $) 63 (|has| (-569) (-844)))) (-2157 (($ $ $) 12)) (-2102 (($ $ $) 96 (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $ $) 89)) (-4457 (((-635 (-121)) $) 46 (|has| $ (-6 -4571)))) (-3016 (((-121) (-121) $) 48 (-12 (|has| (-121) (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 62 (|has| (-569) (-844)))) (-2713 (($ $ $) 13)) (-2089 (($ (-1 (-121) (-121)) $) 41 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-121) (-121) (-121)) $ $) 82) (($ (-1 (-121) (-121)) $) 40)) (-1396 (((-121) $ (-765)) 35)) (-2605 (((-1147) $) 9)) (-2583 (($ $ $ (-569)) 87) (($ (-121) $ (-569)) 86)) (-2761 (((-635 (-569)) $) 60)) (-3292 (((-121) (-569) $) 59)) (-1912 (((-1111) $) 10)) (-1816 (((-121) $) 64 (|has| (-569) (-844)))) (-2569 (((-3 (-121) "failed") (-1 (-121) (-121)) $) 75)) (-2417 (($ $ (-121)) 65 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-121)) $) 43 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-121)) (-635 (-121))) 52 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-121) (-121)) 51 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-289 (-121))) 50 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-635 (-289 (-121)))) 49 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093))))) (-3186 (((-121) $ $) 31)) (-3322 (((-121) (-121) $) 61 (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-4283 (((-635 (-121)) $) 58)) (-1668 (((-121) $) 34)) (-4016 (($) 33)) (-2503 (($ $ (-1219 (-569))) 83) (((-121) $ (-569)) 57) (((-121) $ (-569) (-121)) 56)) (-2077 (($ $ (-1219 (-569))) 85) (($ $ (-569)) 84)) (-2691 (((-765) (-121) $) 47 (-12 (|has| (-121) (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) (-121)) $) 44 (|has| $ (-6 -4571)))) (-3038 (($ $ $ (-569)) 99 (|has| $ (-6 -4572)))) (-1799 (($ $) 32)) (-4035 (((-542) $) 67 (|has| (-121) (-610 (-542))))) (-3124 (($ (-635 (-121))) 76)) (-4456 (($ (-635 $)) 81) (($ $ $) 80) (($ (-121) $) 79) (($ $ (-121)) 78)) (-3956 (((-852) $) 11)) (-3776 (((-121) (-1 (-121) (-121)) $) 42 (|has| $ (-6 -4571)))) (-3993 (($ $ $) 26)) (-3403 (($ $) 29)) (-1294 (($ $ $) 105)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1637 (($ $ $) 104)) (-2946 (((-765) $) 39 (|has| $ (-6 -4571))))) 
-(((-133) (-1284)) (T -133)) 
-((-3182 (*1 *1 *1) (-4 *1 (-133))) (-3403 (*1 *1 *1) (-4 *1 (-133))) (-1681 (*1 *1 *1 *1) (-4 *1 (-133))) (-2327 (*1 *1 *1 *1) (-4 *1 (-133))) (-3993 (*1 *1 *1 *1) (-4 *1 (-133))) (-2472 (*1 *1 *1 *1) (-4 *1 (-133))) (-1800 (*1 *1 *1 *1) (-4 *1 (-133)))) 
-(-13 (-844) (-652) (-19 (-121)) (-10 -8 (-15 -3182 ($ $)) (-15 -3403 ($ $)) (-15 -1681 ($ $ $)) (-15 -2327 ($ $ $)) (-15 -3993 ($ $ $)) (-15 -2472 ($ $ $)) (-15 -1800 ($ $ $)))) 
-(((-39) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 (-121)) . T) ((-610 (-542)) |has| (-121) (-610 (-542))) ((-282 (-569) (-121)) . T) ((-284 (-569) (-121)) . T) ((-304 (-121)) -12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093))) ((-376 (-121)) . T) ((-500 (-121)) . T) ((-602 (-569) (-121)) . T) ((-524 (-121) (-121)) -12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093))) ((-641 (-121)) . T) ((-652) . T) ((-19 (-121)) . T) ((-844) . T) ((-1093) . T) ((-1199) . T)) 
-((-2089 (($ (-1 |#2| |#2|) $) 22)) (-1799 (($ $) 16)) (-2946 (((-765) $) 24))) 
-(((-134 |#1| |#2|) (-10 -8 (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -1799 (|#1| |#1|))) (-135 |#2|) (-1093)) (T -134)) 
-NIL 
-(-10 -8 (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -1799 (|#1| |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-3800 (($ $ $) 49 (|has| $ (-6 -4572)))) (-3324 (($ $ $) 51 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) (($ $ "left" $) 52 (|has| $ (-6 -4572))) (($ $ "right" $) 50 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-3417 (($ $) 54)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-2033 (($ $ |#1| $) 57)) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-3149 (($ $) 56)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-135 |#1|) (-1284) (-1093)) (T -135)) 
-((-2033 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-135 *2)) (-4 *2 (-1093))))) 
-(-13 (-128 |t#1|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -2033 ($ $ |t#1| $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-128 |#1|) . T) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 15)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) 19 (|has| $ (-6 -4572)))) (-3800 (($ $ $) 20 (|has| $ (-6 -4572)))) (-3324 (($ $ $) 18 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "left" $) NIL (|has| $ (-6 -4572))) (($ $ "right" $) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3417 (($ $) 21)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2033 (($ $ |#1| $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-3149 (($ $) NIL)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2351 (($ |#1| $) 10)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 14)) (-4016 (($) 8)) (-2503 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 17)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3535 (($ (-635 |#1|)) 12)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-136 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4572) (-15 -3535 ($ (-635 |#1|))) (-15 -2351 ($ |#1| $)))) (-844)) (T -136)) 
-((-3535 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-136 *3)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-844))))) 
-(-13 (-135 |#1|) (-10 -8 (-6 -4572) (-15 -3535 ($ (-635 |#1|))) (-15 -2351 ($ |#1| $)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 24)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) 26 (|has| $ (-6 -4572)))) (-3800 (($ $ $) 30 (|has| $ (-6 -4572)))) (-3324 (($ $ $) 28 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "left" $) NIL (|has| $ (-6 -4572))) (($ $ "right" $) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3417 (($ $) 20)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2033 (($ $ |#1| $) 15)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-3149 (($ $) 19)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) 21)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 18)) (-4016 (($) 11)) (-2503 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3867 (($ |#1|) 17) (($ $ |#1| $) 16)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 10 (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-137 |#1|) (-13 (-135 |#1|) (-10 -8 (-15 -3867 ($ |#1|)) (-15 -3867 ($ $ |#1| $)))) (-1093)) (T -137)) 
-((-3867 (*1 *1 *2) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1093)))) (-3867 (*1 *1 *1 *2 *1) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1093))))) 
-(-13 (-135 |#1|) (-10 -8 (-15 -3867 ($ |#1|)) (-15 -3867 ($ $ |#1| $)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14))) 
-(((-138) (-1284)) (T -138)) 
-((-3748 (*1 *1 *1 *1) (|partial| -4 *1 (-138)))) 
-(-13 (-23) (-10 -8 (-15 -3748 ((-3 $ "failed") $ $)))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) 7)) (-3633 (((-1258) $ (-765)) 18)) (-3988 (((-765) $) 19)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17))) 
-(((-139) (-1284)) (T -139)) 
-((-3988 (*1 *2 *1) (-12 (-4 *1 (-139)) (-5 *2 (-765)))) (-3633 (*1 *2 *1 *3) (-12 (-4 *1 (-139)) (-5 *3 (-765)) (-5 *2 (-1258))))) 
-(-13 (-844) (-10 -8 (-15 -3988 ((-765) $)) (-15 -3633 ((-1258) $ (-765))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-844) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-765) "failed") $) 38)) (-1321 (((-765) $) 36)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) 26)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-4066 (((-121)) 39)) (-2495 (((-121) (-121)) 41)) (-4362 (((-121) $) 23)) (-2219 (((-121) $) 35)) (-3956 (((-852) $) 22) (($ (-765)) 14)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) 12 T CONST)) (-3297 (($) 11 T CONST)) (-1641 (($ (-765)) 15)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 24)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 25)) (-1377 (((-3 $ "failed") $ $) 29)) (-1371 (($ $ $) 27)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ $ $) 34)) (* (($ (-765) $) 32) (($ (-919) $) NIL) (($ $ $) 30))) 
-(((-140) (-13 (-844) (-23) (-718) (-1039 (-765)) (-10 -8 (-6 (-4573 "*")) (-15 -1377 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -1641 ($ (-765))) (-15 -4362 ((-121) $)) (-15 -2219 ((-121) $)) (-15 -4066 ((-121))) (-15 -2495 ((-121) (-121)))))) (T -140)) 
-((-1377 (*1 *1 *1 *1) (|partial| -5 *1 (-140))) (** (*1 *1 *1 *1) (-5 *1 (-140))) (-1641 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-140)))) (-4362 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-2219 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-4066 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-2495 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
-(-13 (-844) (-23) (-718) (-1039 (-765)) (-10 -8 (-6 (-4573 "*")) (-15 -1377 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -1641 ($ (-765))) (-15 -4362 ((-121) $)) (-15 -2219 ((-121) $)) (-15 -4066 ((-121))) (-15 -2495 ((-121) (-121))))) 
-((-2631 (((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|)) 14)) (-4188 (((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)) 18))) 
-(((-141 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2631 ((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|))) (-15 -4188 ((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)))) (-569) (-765) (-173) (-173)) (T -141)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-765)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) (-2631 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-765)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -2631 ((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|))) (-15 -4188 ((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)))) 
-((-1310 (((-121) $ $) NIL)) (-2042 (($ (-635 |#3|)) 38)) (-3976 (($ $) 97) (($ $ (-569) (-569)) 96)) (-4483 (($) 17)) (-3003 (((-3 |#3| "failed") $) 58)) (-1321 ((|#3| $) NIL)) (-1563 (($ $ (-635 (-569))) 98)) (-4397 (((-635 |#3|) $) 34)) (-3358 (((-765) $) 42)) (-1419 (($ $ $) 91)) (-2146 (($) 41)) (-2605 (((-1147) $) NIL)) (-2567 (($) 16)) (-1912 (((-1111) $) NIL)) (-2503 ((|#3| $) 44) ((|#3| $ (-569)) 45) ((|#3| $ (-569) (-569)) 46) ((|#3| $ (-569) (-569) (-569)) 47) ((|#3| $ (-569) (-569) (-569) (-569)) 48) ((|#3| $ (-635 (-569))) 50)) (-2284 (((-765) $) 43)) (-3472 (($ $ (-569) $ (-569)) 92) (($ $ (-569) (-569)) 94)) (-3956 (((-852) $) 65) (($ |#3|) 66) (($ (-233 |#2| |#3|)) 73) (($ (-1130 |#2| |#3|)) 76) (($ (-635 |#3|)) 51) (($ (-635 $)) 56)) (-2407 (($) 67 T CONST)) (-3297 (($) 68 T CONST)) (-1326 (((-121) $ $) 78)) (-1377 (($ $) 84) (($ $ $) 82)) (-1371 (($ $ $) 80)) (* (($ |#3| $) 89) (($ $ |#3|) 90) (($ $ (-569)) 87) (($ (-569) $) 86) (($ $ $) 93))) 
-(((-142 |#1| |#2| |#3|) (-13 (-471 |#3| (-765)) (-476 (-569) (-765)) (-10 -8 (-15 -3956 ($ (-233 |#2| |#3|))) (-15 -3956 ($ (-1130 |#2| |#3|))) (-15 -3956 ($ (-635 |#3|))) (-15 -3956 ($ (-635 $))) (-15 -3358 ((-765) $)) (-15 -2503 (|#3| $)) (-15 -2503 (|#3| $ (-569))) (-15 -2503 (|#3| $ (-569) (-569))) (-15 -2503 (|#3| $ (-569) (-569) (-569))) (-15 -2503 (|#3| $ (-569) (-569) (-569) (-569))) (-15 -2503 (|#3| $ (-635 (-569)))) (-15 -1419 ($ $ $)) (-15 * ($ $ $)) (-15 -3472 ($ $ (-569) $ (-569))) (-15 -3472 ($ $ (-569) (-569))) (-15 -3976 ($ $)) (-15 -3976 ($ $ (-569) (-569))) (-15 -1563 ($ $ (-635 (-569)))) (-15 -2567 ($)) (-15 -2146 ($)) (-15 -4397 ((-635 |#3|) $)) (-15 -2042 ($ (-635 |#3|))) (-15 -4483 ($)))) (-569) (-765) (-173)) (T -142)) 
-((-1419 (*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-233 *4 *5)) (-14 *4 (-765)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1130 *4 *5)) (-14 *4 (-765)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-142 *3 *4 *5))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173)))) (-3358 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 *2) (-4 *5 (-173)))) (-2503 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-142 *3 *4 *2)) (-14 *3 (-569)) (-14 *4 (-765)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) (-2503 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) (-2503 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) (-2503 (*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-569))) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 (-569)) (-14 *5 (-765)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) (-3472 (*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) (-3472 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) (-3976 (*1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) (-3976 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) (-1563 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173)))) (-2567 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) (-2146 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) (-4397 (*1 *2 *1) (-12 (-5 *2 (-635 *5)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173)))) (-2042 (*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)))) (-4483 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173))))) 
-(-13 (-471 |#3| (-765)) (-476 (-569) (-765)) (-10 -8 (-15 -3956 ($ (-233 |#2| |#3|))) (-15 -3956 ($ (-1130 |#2| |#3|))) (-15 -3956 ($ (-635 |#3|))) (-15 -3956 ($ (-635 $))) (-15 -3358 ((-765) $)) (-15 -2503 (|#3| $)) (-15 -2503 (|#3| $ (-569))) (-15 -2503 (|#3| $ (-569) (-569))) (-15 -2503 (|#3| $ (-569) (-569) (-569))) (-15 -2503 (|#3| $ (-569) (-569) (-569) (-569))) (-15 -2503 (|#3| $ (-635 (-569)))) (-15 -1419 ($ $ $)) (-15 * ($ $ $)) (-15 -3472 ($ $ (-569) $ (-569))) (-15 -3472 ($ $ (-569) (-569))) (-15 -3976 ($ $)) (-15 -3976 ($ $ (-569) (-569))) (-15 -1563 ($ $ (-635 (-569)))) (-15 -2567 ($)) (-15 -2146 ($)) (-15 -4397 ((-635 |#3|) $)) (-15 -2042 ($ (-635 |#3|))) (-15 -4483 ($)))) 
-((-1310 (((-121) $ $) NIL)) (-2917 (($) 15 T CONST)) (-2656 (($) NIL (|has| (-148) (-371)))) (-3577 (($ $ $) 17) (($ $ (-148)) NIL) (($ (-148) $) NIL)) (-2045 (($ $ $) NIL)) (-3254 (((-121) $ $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| (-148) (-371)))) (-4414 (($) NIL) (($ (-635 (-148))) NIL)) (-1304 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-2006 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571))) (($ (-148) $) 51 (|has| $ (-6 -4571)))) (-3503 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571))) (($ (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-2793 (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-3341 (($) NIL (|has| (-148) (-371)))) (-4303 (((-635 (-148)) $) 60 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2157 (((-148) $) NIL (|has| (-148) (-844)))) (-4457 (((-635 (-148)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-148) $) 26 (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-2713 (((-148) $) NIL (|has| (-148) (-844)))) (-2089 (($ (-1 (-148) (-148)) $) 59 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-148) (-148)) $) 55)) (-3027 (($) 16 T CONST)) (-2862 (((-919) $) NIL (|has| (-148) (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1433 (($ $ $) 29)) (-4496 (((-148) $) 52)) (-2351 (($ (-148) $) 50)) (-1333 (($ (-919)) NIL (|has| (-148) (-371)))) (-1914 (($) 14 T CONST)) (-1912 (((-1111) $) NIL)) (-2569 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-2166 (((-148) $) 53)) (-2985 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 48)) (-4512 (($) 13 T CONST)) (-2127 (($ $ $) 31) (($ $ (-148)) NIL)) (-1353 (($ (-635 (-148))) NIL) (($) NIL)) (-2691 (((-765) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093)))) (((-765) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-1147) $) 36) (((-542) $) NIL (|has| (-148) (-610 (-542)))) (((-635 (-148)) $) 34)) (-3124 (($ (-635 (-148))) NIL)) (-4266 (($ $) 32 (|has| (-148) (-371)))) (-3956 (((-852) $) 46)) (-1946 (($ (-1147)) 12) (($ (-635 (-148))) 43)) (-2207 (((-765) $) NIL)) (-1785 (($) 49) (($ (-635 (-148))) NIL)) (-1753 (($ (-635 (-148))) NIL)) (-3776 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-3085 (($) 19 T CONST)) (-3947 (($) 18 T CONST)) (-1326 (((-121) $ $) 22)) (-1337 (((-121) $ $) NIL)) (-2946 (((-765) $) 47 (|has| $ (-6 -4571))))) 
-(((-143) (-13 (-1093) (-610 (-1147)) (-428 (-148)) (-610 (-635 (-148))) (-10 -8 (-15 -1946 ($ (-1147))) (-15 -1946 ($ (-635 (-148)))) (-15 -4512 ($) -3575) (-15 -1914 ($) -3575) (-15 -2917 ($) -3575) (-15 -3027 ($) -3575) (-15 -3947 ($) -3575) (-15 -3085 ($) -3575)))) (T -143)) 
-((-1946 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-143)))) (-1946 (*1 *1 *2) (-12 (-5 *2 (-635 (-148))) (-5 *1 (-143)))) (-4512 (*1 *1) (-5 *1 (-143))) (-1914 (*1 *1) (-5 *1 (-143))) (-2917 (*1 *1) (-5 *1 (-143))) (-3027 (*1 *1) (-5 *1 (-143))) (-3947 (*1 *1) (-5 *1 (-143))) (-3085 (*1 *1) (-5 *1 (-143)))) 
-(-13 (-1093) (-610 (-1147)) (-428 (-148)) (-610 (-635 (-148))) (-10 -8 (-15 -1946 ($ (-1147))) (-15 -1946 ($ (-635 (-148)))) (-15 -4512 ($) -3575) (-15 -1914 ($) -3575) (-15 -2917 ($) -3575) (-15 -3027 ($) -3575) (-15 -3947 ($) -3575) (-15 -3085 ($) -3575))) 
-((-3979 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 17)) (-1644 ((|#1| |#3|) 9)) (-3247 ((|#3| |#3|) 15))) 
-(((-144 |#1| |#2| |#3|) (-10 -7 (-15 -1644 (|#1| |#3|)) (-15 -3247 (|#3| |#3|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-559) (-995 |#1|) (-376 |#2|)) (T -144)) 
-((-3979 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-144 *4 *5 *3)) (-4 *3 (-376 *5)))) (-3247 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-995 *3)) (-5 *1 (-144 *3 *4 *2)) (-4 *2 (-376 *4)))) (-1644 (*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-144 *2 *4 *3)) (-4 *3 (-376 *4))))) 
-(-10 -7 (-15 -1644 (|#1| |#3|)) (-15 -3247 (|#3| |#3|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
-((-1310 (((-121) $ $) NIL (|has| (-170 (-216)) (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-146)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) NIL)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 (((-170 (-216)) $ (-569) (-569) (-170 (-216))) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-146)) NIL)) (-1622 (($ $ (-569) (-146)) NIL)) (-2232 (($ (-765) (-170 (-216))) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| (-170 (-216)) (-302)))) (-4128 (((-146) $ (-569)) NIL)) (-3358 (((-765) $) NIL (|has| (-170 (-216)) (-559)))) (-3982 (((-170 (-216)) $ (-569) (-569) (-170 (-216))) 16)) (-2903 (($ (-569) (-569)) 18)) (-4124 (((-170 (-216)) $ (-569) (-569)) 15)) (-3917 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-173)))) (-4303 (((-635 (-170 (-216))) $) NIL)) (-2557 (((-765) $) NIL (|has| (-170 (-216)) (-559)))) (-3970 (((-635 (-146)) $) NIL (|has| (-170 (-216)) (-559)))) (-3568 (((-765) $) 10)) (-2446 (($ (-765) (-765) (-170 (-216))) 19)) (-4145 (((-765) $) 11)) (-3206 (((-121) $ (-765)) NIL)) (-3164 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-6 (-4573 "*"))))) (-4094 (((-569) $) 7)) (-3841 (((-569) $) 8)) (-4457 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-2376 (((-569) $) 12)) (-2414 (((-569) $) 13)) (-2926 (($ (-635 (-635 (-170 (-216))))) NIL) (($ (-765) (-765) (-1 (-170 (-216)) (-569) (-569))) NIL)) (-2089 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL)) (-4188 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $ (-170 (-216))) NIL)) (-4269 (((-635 (-635 (-170 (-216)))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-170 (-216)) (-1093)))) (-1655 (((-3 $ "failed") $) NIL (|has| (-170 (-216)) (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| (-170 (-216)) (-1093)))) (-2417 (($ $ (-170 (-216))) NIL)) (-1436 (((-3 $ "failed") $ (-170 (-216))) NIL (|has| (-170 (-216)) (-559)))) (-2985 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-170 (-216))))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-289 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-635 (-170 (-216))) (-635 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 17)) (-2503 (((-170 (-216)) $ (-569) (-569)) NIL) (((-170 (-216)) $ (-569) (-569) (-170 (-216))) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 (-170 (-216)))) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571))) (((-765) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-146)) $) NIL (|has| (-170 (-216)) (-302)))) (-2349 (((-146) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| (-170 (-216)) (-1093))) (($ (-146)) NIL)) (-3776 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| (-170 (-216)) (-1093)))) (-1383 (($ $ (-170 (-216))) NIL (|has| (-170 (-216)) (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-170 (-216)) (-366)))) (* (($ $ $) NIL) (($ (-170 (-216)) $) NIL) (($ $ (-170 (-216))) NIL) (($ (-569) $) NIL) (((-146) $ (-146)) NIL) (((-146) (-146) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-145) (-13 (-679 (-170 (-216)) (-146) (-146)) (-10 -8 (-15 -2903 ($ (-569) (-569)))))) (T -145)) 
-((-2903 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-145))))) 
-(-13 (-679 (-170 (-216)) (-146) (-146)) (-10 -8 (-15 -2903 ($ (-569) (-569))))) 
-((-1310 (((-121) $ $) NIL (|has| (-170 (-216)) (-1093)))) (-3397 (($ (-765)) NIL (|has| (-170 (-216)) (-23)))) (-3311 (($ (-635 (-170 (-216)))) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL) (((-121) $) NIL (|has| (-170 (-216)) (-844)))) (-1744 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-170 (-216)) (-844))))) (-2930 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL) (($ $) NIL (|has| (-170 (-216)) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-170 (-216)) $ (-569) (-170 (-216))) 18 (|has| $ (-6 -4572))) (((-170 (-216)) $ (-1219 (-569)) (-170 (-216))) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-3503 (($ (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093)))) (($ (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093)))) (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ (-170 (-216))) NIL (|has| $ (-6 -4571))) (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-170 (-216)) $ (-569) (-170 (-216))) 9 (|has| $ (-6 -4572)))) (-2903 (($ (-569)) 14)) (-4124 (((-170 (-216)) $ (-569)) 8)) (-3988 (((-569) (-1 (-121) (-170 (-216))) $) NIL) (((-569) (-170 (-216)) $) NIL (|has| (-170 (-216)) (-1093))) (((-569) (-170 (-216)) $ (-569)) NIL (|has| (-170 (-216)) (-1093)))) (-4303 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-3410 (((-681 (-170 (-216))) $ $) NIL (|has| (-170 (-216)) (-1049)))) (-2446 (($ (-765) (-170 (-216))) 16)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 12 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-170 (-216)) (-844)))) (-2102 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $ $) NIL) (($ $ $) NIL (|has| (-170 (-216)) (-844)))) (-4457 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-170 (-216)) (-844)))) (-2089 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $) NIL)) (-3108 (((-170 (-216)) $) NIL (-12 (|has| (-170 (-216)) (-1004)) (|has| (-170 (-216)) (-1049))))) (-1396 (((-121) $ (-765)) NIL)) (-2718 (((-170 (-216)) $) NIL (-12 (|has| (-170 (-216)) (-1004)) (|has| (-170 (-216)) (-1049))))) (-2605 (((-1147) $) NIL (|has| (-170 (-216)) (-1093)))) (-2583 (($ (-170 (-216)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| (-170 (-216)) (-1093)))) (-1816 (((-170 (-216)) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-170 (-216)) "failed") (-1 (-121) (-170 (-216))) $) NIL)) (-2417 (($ $ (-170 (-216))) 15 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-170 (-216))))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-289 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-635 (-170 (-216))) (-635 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-4283 (((-635 (-170 (-216))) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 13)) (-2503 (((-170 (-216)) $ (-569) (-170 (-216))) NIL) (((-170 (-216)) $ (-569)) 17) (($ $ (-1219 (-569))) NIL)) (-4510 (((-170 (-216)) $ $) NIL (|has| (-170 (-216)) (-1049)))) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-3617 (($ $ $) NIL (|has| (-170 (-216)) (-1049)))) (-2691 (((-765) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571))) (((-765) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-170 (-216)) (-610 (-542))))) (-3124 (($ (-635 (-170 (-216)))) NIL)) (-4456 (($ $ (-170 (-216))) NIL) (($ (-170 (-216)) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| (-170 (-216)) (-1093)))) (-3776 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-170 (-216)) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-170 (-216)) (-844)))) (-1326 (((-121) $ $) NIL (|has| (-170 (-216)) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-170 (-216)) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-170 (-216)) (-844)))) (-1377 (($ $) NIL (|has| (-170 (-216)) (-21))) (($ $ $) NIL (|has| (-170 (-216)) (-21)))) (-1371 (($ $ $) NIL (|has| (-170 (-216)) (-25)))) (* (($ (-569) $) NIL (|has| (-170 (-216)) (-21))) (($ (-170 (-216)) $) NIL (|has| (-170 (-216)) (-718))) (($ $ (-170 (-216))) NIL (|has| (-170 (-216)) (-718)))) (-2946 (((-765) $) 11 (|has| $ (-6 -4571))))) 
-(((-146) (-13 (-1251 (-170 (-216))) (-10 -8 (-15 -2903 ($ (-569))) (-15 -3311 ($ (-635 (-170 (-216)))))))) (T -146)) 
-((-2903 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-146)))) (-3311 (*1 *1 *2) (-12 (-5 *2 (-635 (-170 (-216)))) (-5 *1 (-146))))) 
-(-13 (-1251 (-170 (-216))) (-10 -8 (-15 -2903 ($ (-569))) (-15 -3311 ($ (-635 (-170 (-216))))))) 
-((-2578 (($ $ $) 8)) (-1954 (($ $) 7)) (-4196 (($ $ $) 6))) 
-(((-147) (-1284)) (T -147)) 
-((-2578 (*1 *1 *1 *1) (-4 *1 (-147))) (-1954 (*1 *1 *1) (-4 *1 (-147))) (-4196 (*1 *1 *1 *1) (-4 *1 (-147)))) 
-(-13 (-10 -8 (-15 -4196 ($ $ $)) (-15 -1954 ($ $)) (-15 -2578 ($ $ $)))) 
-((-1310 (((-121) $ $) NIL)) (-2992 (((-121) $) 38)) (-2917 (($ $) 50)) (-3704 (($) 25)) (-2675 (((-765)) 16)) (-3341 (($) 24)) (-4163 (($) 26)) (-4004 (((-569) $) 21)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-3601 (((-121) $) 40)) (-3027 (($ $) 51)) (-2862 (((-919) $) 22)) (-2605 (((-1147) $) 46)) (-1333 (($ (-919)) 20)) (-1667 (((-121) $) 36)) (-1912 (((-1111) $) NIL)) (-1489 (($) 27)) (-2736 (((-121) $) 34)) (-3956 (((-852) $) 29)) (-2168 (($ (-569)) 18) (($ (-1147)) 49)) (-2564 (((-121) $) 44)) (-1729 (((-121) $) 42)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 13)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 14))) 
-(((-148) (-13 (-838) (-10 -8 (-15 -4004 ((-569) $)) (-15 -2168 ($ (-569))) (-15 -2168 ($ (-1147))) (-15 -3704 ($)) (-15 -4163 ($)) (-15 -1489 ($)) (-15 -2917 ($ $)) (-15 -3027 ($ $)) (-15 -2736 ((-121) $)) (-15 -1667 ((-121) $)) (-15 -1729 ((-121) $)) (-15 -2992 ((-121) $)) (-15 -3601 ((-121) $)) (-15 -2564 ((-121) $))))) (T -148)) 
-((-4004 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-148)))) (-2168 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-148)))) (-2168 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-148)))) (-3704 (*1 *1) (-5 *1 (-148))) (-4163 (*1 *1) (-5 *1 (-148))) (-1489 (*1 *1) (-5 *1 (-148))) (-2917 (*1 *1 *1) (-5 *1 (-148))) (-3027 (*1 *1 *1) (-5 *1 (-148))) (-2736 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-1667 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-1729 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-2992 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-3601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-2564 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(-13 (-838) (-10 -8 (-15 -4004 ((-569) $)) (-15 -2168 ($ (-569))) (-15 -2168 ($ (-1147))) (-15 -3704 ($)) (-15 -4163 ($)) (-15 -1489 ($)) (-15 -2917 ($ $)) (-15 -3027 ($ $)) (-15 -2736 ((-121) $)) (-15 -1667 ((-121) $)) (-15 -1729 ((-121) $)) (-15 -2992 ((-121) $)) (-15 -3601 ((-121) $)) (-15 -2564 ((-121) $)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2277 (((-3 $ "failed") $) 34)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-149) (-1284)) (T -149)) 
-((-2277 (*1 *1 *1) (|partial| -4 *1 (-149)))) 
-(-13 (-1049) (-10 -8 (-15 -2277 ((-3 $ "failed") $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-3033 ((|#1| (-681 |#1|) |#1|) 17))) 
-(((-150 |#1|) (-10 -7 (-15 -3033 (|#1| (-681 |#1|) |#1|))) (-173)) (T -150)) 
-((-3033 (*1 *2 *3 *2) (-12 (-5 *3 (-681 *2)) (-4 *2 (-173)) (-5 *1 (-150 *2))))) 
-(-10 -7 (-15 -3033 (|#1| (-681 |#1|) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-151) (-1284)) (T -151)) 
-NIL 
-(-13 (-1049)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1915 (((-2 (|:| -3190 (-765)) (|:| -3550 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-765)) 69)) (-3732 (((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-765))) "failed") |#3|) 51)) (-2741 (((-2 (|:| -3550 (-410 |#2|)) (|:| |poly| |#3|)) |#3|) 36)) (-3678 ((|#1| |#3| |#3|) 39)) (-1484 ((|#3| |#3| (-410 |#2|) (-410 |#2|)) 19)) (-4352 (((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-765))) |#3| |#3|) 48))) 
-(((-152 |#1| |#2| |#3|) (-10 -7 (-15 -2741 ((-2 (|:| -3550 (-410 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -3732 ((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-765))) "failed") |#3|)) (-15 -1915 ((-2 (|:| -3190 (-765)) (|:| -3550 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-765))) (-15 -3678 (|#1| |#3| |#3|)) (-15 -1484 (|#3| |#3| (-410 |#2|) (-410 |#2|))) (-15 -4352 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-765))) |#3| |#3|))) (-1208) (-1228 |#1|) (-1228 (-410 |#2|))) (T -152)) 
-((-4352 (*1 *2 *3 *3) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-410 *5)) (|:| |c2| (-410 *5)) (|:| |deg| (-765)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5))))) (-1484 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *1 (-152 *4 *5 *2)) (-4 *2 (-1228 *3)))) (-3678 (*1 *2 *3 *3) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-1208)) (-5 *1 (-152 *2 *4 *3)) (-4 *3 (-1228 (-410 *4))))) (-1915 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *5 (-1208)) (-4 *6 (-1228 *5)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| *6))) (-5 *1 (-152 *5 *6 *7)) (-5 *4 (-765)) (-4 *7 (-1228 *3)))) (-3732 (*1 *2 *3) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |radicand| (-410 *5)) (|:| |deg| (-765)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5))))) (-2741 (*1 *2 *3) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -3550 (-410 *5)) (|:| |poly| *3))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5)))))) 
-(-10 -7 (-15 -2741 ((-2 (|:| -3550 (-410 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -3732 ((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-765))) "failed") |#3|)) (-15 -1915 ((-2 (|:| -3190 (-765)) (|:| -3550 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-765))) (-15 -3678 (|#1| |#3| |#3|)) (-15 -1484 (|#3| |#3| (-410 |#2|) (-410 |#2|))) (-15 -4352 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-765))) |#3| |#3|))) 
-((-1447 (((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|)) 31))) 
-(((-153 |#1| |#2|) (-10 -7 (-15 -1447 ((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|)))) (-551) (-167 |#1|)) (T -153)) 
-((-1447 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *5))) (-5 *3 (-1161 *5)) (-4 *5 (-167 *4)) (-4 *4 (-551)) (-5 *1 (-153 *4 *5))))) 
-(-10 -7 (-15 -1447 ((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|)))) 
-((-2140 (($ (-1 (-121) |#2|) $) 29)) (-1858 (($ $) 36)) (-3503 (($ (-1 (-121) |#2|) $) 27) (($ |#2| $) 32)) (-2793 ((|#2| (-1 |#2| |#2| |#2|) $) 22) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 24) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 34)) (-2569 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 19)) (-2985 (((-121) (-1 (-121) |#2|) $) 16)) (-2691 (((-765) (-1 (-121) |#2|) $) 13) (((-765) |#2| $) NIL)) (-3776 (((-121) (-1 (-121) |#2|) $) 15)) (-2946 (((-765) $) 11))) 
-(((-154 |#1| |#2|) (-10 -8 (-15 -1858 (|#1| |#1|)) (-15 -3503 (|#1| |#2| |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2140 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3503 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|))) (-155 |#2|) (-1199)) (T -154)) 
-NIL 
-(-10 -8 (-15 -1858 (|#1| |#1|)) (-15 -3503 (|#1| |#2| |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2140 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3503 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-2140 (($ (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-1858 (($ $) 38 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571))) (($ |#1| $) 39 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) 44 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 43 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 40 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 45)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 37 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 46)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-155 |#1|) (-1284) (-1199)) (T -155)) 
-((-3124 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-155 *3)))) (-2569 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) (-2793 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) (-2793 (*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) (-3503 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *3)) (-4 *3 (-1199)))) (-2140 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *3)) (-4 *3 (-1199)))) (-2793 (*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1093)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) (-3503 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) (-1858 (*1 *1 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)) (-4 *2 (-1093))))) 
-(-13 (-500 |t#1|) (-10 -8 (-15 -3124 ($ (-635 |t#1|))) (-15 -2569 ((-3 |t#1| "failed") (-1 (-121) |t#1|) $)) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2793 (|t#1| (-1 |t#1| |t#1| |t#1|) $)) (-15 -2793 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1|)) (-15 -3503 ($ (-1 (-121) |t#1|) $)) (-15 -2140 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1093)) (PROGN (-15 -2793 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1| |t#1|)) (-15 -3503 ($ |t#1| $)) (-15 -1858 ($ $))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) 85)) (-3934 (((-121) $) NIL)) (-3179 (($ |#2| (-635 (-919))) 56)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-4533 (($ (-919)) 48)) (-2174 (((-140)) 23)) (-3956 (((-852) $) 68) (($ (-569)) 46) (($ |#2|) 47)) (-3802 ((|#2| $ (-635 (-919))) 58)) (-2320 (((-765)) 20)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 40 T CONST)) (-3297 (($) 44 T CONST)) (-1326 (((-121) $ $) 26)) (-1383 (($ $ |#2|) NIL)) (-1377 (($ $) 34) (($ $ $) 32)) (-1371 (($ $ $) 30)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 37) (($ $ $) 52) (($ |#2| $) 39) (($ $ |#2|) NIL))) 
-(((-156 |#1| |#2| |#3|) (-13 (-1049) (-43 |#2|) (-1260 |#2|) (-10 -8 (-15 -4533 ($ (-919))) (-15 -3179 ($ |#2| (-635 (-919)))) (-15 -3802 (|#2| $ (-635 (-919)))) (-15 -2611 ((-3 $ "failed") $)))) (-919) (-366) (-996 |#1| |#2|)) (T -156)) 
-((-2611 (*1 *1 *1) (|partial| -12 (-5 *1 (-156 *2 *3 *4)) (-14 *2 (-919)) (-4 *3 (-366)) (-14 *4 (-996 *2 *3)))) (-4533 (*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-156 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-366)) (-14 *5 (-996 *3 *4)))) (-3179 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-919))) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-919)) (-4 *2 (-366)) (-14 *5 (-996 *4 *2)))) (-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-919))) (-4 *2 (-366)) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-919)) (-14 *5 (-996 *4 *2))))) 
-(-13 (-1049) (-43 |#2|) (-1260 |#2|) (-10 -8 (-15 -4533 ($ (-919))) (-15 -3179 ($ |#2| (-635 (-919)))) (-15 -3802 (|#2| $ (-635 (-919)))) (-15 -2611 ((-3 $ "failed") $)))) 
-((-4538 (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216)))) (-216) (-216) (-216) (-216)) 38)) (-3426 (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569))) 62) (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929)) 63)) (-4263 (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216))))) 66) (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-946 (-216)))) 65) (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569))) 57) (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929)) 58))) 
-(((-157) (-10 -7 (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569)))) (-15 -3426 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929))) (-15 -3426 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569)))) (-15 -4538 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216)))) (-216) (-216) (-216) (-216))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-946 (-216))))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216)))))))) (T -157)) 
-((-4263 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-946 (-216))))))) (-4263 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-946 (-216)))))) (-4538 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-216)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 *4)))) (|:| |xValues| (-1087 *4)) (|:| |yValues| (-1087 *4)))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-946 *4)))))) (-3426 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-929)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) (-3426 (*1 *2 *3) (-12 (-5 *3 (-929)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) (-4263 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-929)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) (-4263 (*1 *2 *3) (-12 (-5 *3 (-929)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157))))) 
-(-10 -7 (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569)))) (-15 -3426 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929))) (-15 -3426 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569)))) (-15 -4538 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216)))) (-216) (-216) (-216) (-216))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-946 (-216))))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216))))))) 
-((-1298 (((-635 (-170 |#2|)) |#1| |#2|) 45))) 
-(((-158 |#1| |#2|) (-10 -7 (-15 -1298 ((-635 (-170 |#2|)) |#1| |#2|))) (-1228 (-170 (-569))) (-13 (-366) (-842))) (T -158)) 
-((-1298 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-170 *4))) (-5 *1 (-158 *3 *4)) (-4 *3 (-1228 (-170 (-569)))) (-4 *4 (-13 (-366) (-842)))))) 
-(-10 -7 (-15 -1298 ((-635 (-170 |#2|)) |#1| |#2|))) 
-((-1310 (((-121) $ $) NIL)) (-1412 (($) 15)) (-2308 (($) 14)) (-1457 (((-919)) 22)) (-2605 (((-1147) $) NIL)) (-4365 (((-569) $) 19)) (-1912 (((-1111) $) NIL)) (-2974 (($) 16)) (-4381 (($ (-569)) 23)) (-3956 (((-852) $) 29)) (-1500 (($) 17)) (-1326 (((-121) $ $) 13)) (-1371 (($ $ $) 11)) (* (($ (-919) $) 21) (($ (-216) $) 8))) 
-(((-159) (-13 (-25) (-10 -8 (-15 * ($ (-919) $)) (-15 * ($ (-216) $)) (-15 -1371 ($ $ $)) (-15 -2308 ($)) (-15 -1412 ($)) (-15 -2974 ($)) (-15 -1500 ($)) (-15 -4365 ((-569) $)) (-15 -1457 ((-919))) (-15 -4381 ($ (-569)))))) (T -159)) 
-((-1371 (*1 *1 *1 *1) (-5 *1 (-159))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-159)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-159)))) (-2308 (*1 *1) (-5 *1 (-159))) (-1412 (*1 *1) (-5 *1 (-159))) (-2974 (*1 *1) (-5 *1 (-159))) (-1500 (*1 *1) (-5 *1 (-159))) (-4365 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) (-1457 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-159)))) (-4381 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-159))))) 
-(-13 (-25) (-10 -8 (-15 * ($ (-919) $)) (-15 * ($ (-216) $)) (-15 -1371 ($ $ $)) (-15 -2308 ($)) (-15 -1412 ($)) (-15 -2974 ($)) (-15 -1500 ($)) (-15 -4365 ((-569) $)) (-15 -1457 ((-919))) (-15 -4381 ($ (-569))))) 
-((-1998 ((|#2| |#2| (-1085 |#2|)) 87) ((|#2| |#2| (-1165)) 67)) (-1419 ((|#2| |#2| (-1085 |#2|)) 86) ((|#2| |#2| (-1165)) 66)) (-2578 ((|#2| |#2| |#2|) 27)) (-1344 (((-123) (-123)) 97)) (-2011 ((|#2| (-635 |#2|)) 116)) (-1508 ((|#2| (-635 |#2|)) 134)) (-3047 ((|#2| (-635 |#2|)) 124)) (-4212 ((|#2| |#2|) 122)) (-3448 ((|#2| (-635 |#2|)) 109)) (-3583 ((|#2| (-635 |#2|)) 110)) (-3428 ((|#2| (-635 |#2|)) 132)) (-1389 ((|#2| |#2| (-1165)) 54) ((|#2| |#2|) 53)) (-1954 ((|#2| |#2|) 23)) (-4196 ((|#2| |#2| |#2|) 26)) (-3791 (((-121) (-123)) 47)) (** ((|#2| |#2| |#2|) 38))) 
-(((-160 |#1| |#2|) (-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -4196 (|#2| |#2| |#2|)) (-15 -2578 (|#2| |#2| |#2|)) (-15 -1954 (|#2| |#2|)) (-15 -1389 (|#2| |#2|)) (-15 -1389 (|#2| |#2| (-1165))) (-15 -1998 (|#2| |#2| (-1165))) (-15 -1998 (|#2| |#2| (-1085 |#2|))) (-15 -1419 (|#2| |#2| (-1165))) (-15 -1419 (|#2| |#2| (-1085 |#2|))) (-15 -4212 (|#2| |#2|)) (-15 -3428 (|#2| (-635 |#2|))) (-15 -3047 (|#2| (-635 |#2|))) (-15 -1508 (|#2| (-635 |#2|))) (-15 -3448 (|#2| (-635 |#2|))) (-15 -3583 (|#2| (-635 |#2|))) (-15 -2011 (|#2| (-635 |#2|)))) (-13 (-844) (-559)) (-433 |#1|)) (T -160)) 
-((-2011 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3583 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3448 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-1508 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3047 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3428 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-4212 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-1419 (*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)))) (-1419 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-1998 (*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)))) (-1998 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-1389 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-1389 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-1954 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-2578 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-4196 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (** (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *4)) (-4 *4 (-433 *3)))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-160 *4 *5)) (-4 *5 (-433 *4))))) 
-(-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -4196 (|#2| |#2| |#2|)) (-15 -2578 (|#2| |#2| |#2|)) (-15 -1954 (|#2| |#2|)) (-15 -1389 (|#2| |#2|)) (-15 -1389 (|#2| |#2| (-1165))) (-15 -1998 (|#2| |#2| (-1165))) (-15 -1998 (|#2| |#2| (-1085 |#2|))) (-15 -1419 (|#2| |#2| (-1165))) (-15 -1419 (|#2| |#2| (-1085 |#2|))) (-15 -4212 (|#2| |#2|)) (-15 -3428 (|#2| (-635 |#2|))) (-15 -3047 (|#2| (-635 |#2|))) (-15 -1508 (|#2| (-635 |#2|))) (-15 -3448 (|#2| (-635 |#2|))) (-15 -3583 (|#2| (-635 |#2|))) (-15 -2011 (|#2| (-635 |#2|)))) 
-((-2788 ((|#1| |#1| |#1|) 52)) (-3320 ((|#1| |#1| |#1|) 49)) (-2578 ((|#1| |#1| |#1|) 43)) (-1288 ((|#1| |#1|) 34)) (-3950 ((|#1| |#1| (-635 |#1|)) 42)) (-1954 ((|#1| |#1|) 36)) (-4196 ((|#1| |#1| |#1|) 39))) 
-(((-161 |#1|) (-10 -7 (-15 -4196 (|#1| |#1| |#1|)) (-15 -1954 (|#1| |#1|)) (-15 -3950 (|#1| |#1| (-635 |#1|))) (-15 -1288 (|#1| |#1|)) (-15 -2578 (|#1| |#1| |#1|)) (-15 -3320 (|#1| |#1| |#1|)) (-15 -2788 (|#1| |#1| |#1|))) (-551)) (T -161)) 
-((-2788 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-3320 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-2578 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-1288 (*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-3950 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-551)) (-5 *1 (-161 *2)))) (-1954 (*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-4196 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
-(-10 -7 (-15 -4196 (|#1| |#1| |#1|)) (-15 -1954 (|#1| |#1|)) (-15 -3950 (|#1| |#1| (-635 |#1|))) (-15 -1288 (|#1| |#1|)) (-15 -2578 (|#1| |#1| |#1|)) (-15 -3320 (|#1| |#1| |#1|)) (-15 -2788 (|#1| |#1| |#1|))) 
-((-1998 (($ $ (-1165)) 12) (($ $ (-1085 $)) 11)) (-1419 (($ $ (-1165)) 10) (($ $ (-1085 $)) 9)) (-2578 (($ $ $) 8)) (-1389 (($ $) 14) (($ $ (-1165)) 13)) (-1954 (($ $) 7)) (-4196 (($ $ $) 6))) 
-(((-162) (-1284)) (T -162)) 
-((-1389 (*1 *1 *1) (-4 *1 (-162))) (-1389 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165)))) (-1998 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165)))) (-1998 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-162)))) (-1419 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165)))) (-1419 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-162))))) 
-(-13 (-147) (-10 -8 (-15 -1389 ($ $)) (-15 -1389 ($ $ (-1165))) (-15 -1998 ($ $ (-1165))) (-15 -1998 ($ $ (-1085 $))) (-15 -1419 ($ $ (-1165))) (-15 -1419 ($ $ (-1085 $))))) 
+((-3102 (((-2 (|:| |mult| (-768)) (|:| |subMult| (-768)) (|:| |blUpRec| (-637 (-2 (|:| |recTransStr| (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-33 |#1|) |#5| |#1|) 70)) (-1568 (((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-768) |#5|) 54)) (-1455 (((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) |#3| |#5|) 99)) (-2047 (((-637 (-637 (-768))) (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|)) NIL)) (-3920 ((|#3| (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) |#5|) 105)) (-3178 ((|#3| |#3| |#5|) 107))) 
+(((-119 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3178 (|#3| |#3| |#5|)) (-15 -1568 ((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-768) |#5|)) (-15 -3102 ((-2 (|:| |mult| (-768)) (|:| |subMult| (-768)) (|:| |blUpRec| (-637 (-2 (|:| |recTransStr| (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -2047 ((-637 (-637 (-768))) (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|))) (-15 -1455 ((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) |#3| |#5|)) (-15 -3920 (|#3| (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) |#5|))) (-367) (-637 (-1169)) (-325 |#1| |#4|) (-231 (-4001 |#2|) (-768)) (-117)) (T -119)) 
+((-3920 (*1 *2 *3 *4) (-12 (-5 *3 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *5)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *2 (-325 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *4 (-117)))) (-1455 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-5 *2 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-325 *5 *7)) (-4 *4 (-117)))) (-2047 (*1 *2 *3) (-12 (-5 *3 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *4)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *7 (-231 (-4001 *5) (-768))) (-5 *2 (-637 (-637 (-768)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-325 *4 *7)) (-4 *8 (-117)))) (-3102 (*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *9 (-231 (-4001 *7) (-768))) (-5 *2 (-2 (|:| |mult| (-768)) (|:| |subMult| (-768)) (|:| |blUpRec| (-637 (-2 (|:| |recTransStr| (-243 (-3891 (QUOTE X) (QUOTE -2292)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-325 *6 *9)) (-4 *5 (-117)))) (-1568 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *5)) (-4 *5 (-367)) (-5 *3 (-768)) (-14 *6 (-637 (-1169))) (-4 *8 (-231 (-4001 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-325 *5 *8)) (-4 *4 (-117)))) (-3178 (*1 *2 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-231 (-4001 *5) (-768))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-325 *4 *6)) (-4 *3 (-117))))) 
+(-10 -7 (-15 -3178 (|#3| |#3| |#5|)) (-15 -1568 ((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-768) |#5|)) (-15 -3102 ((-2 (|:| |mult| (-768)) (|:| |subMult| (-768)) (|:| |blUpRec| (-637 (-2 (|:| |recTransStr| (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -2047 ((-637 (-637 (-768))) (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|))) (-15 -1455 ((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) |#3| |#5|)) (-15 -3920 (|#3| (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) |#5|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ |#1| $) 22) (($ $ |#2|) 24))) 
+(((-120 |#1| |#2|) (-1289) (-1053) (-1053)) (T -120)) 
+NIL 
+(-13 (-640 |t#1|) (-1059 |t#2|) (-10 -7 (-6 -4595) (-6 -4594))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-1059 |#2|) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-1996 (($ $) 12)) (-3917 (($ $ $) 17)) (-3508 (($) 8 T CONST)) (-2116 (((-121) $) 7)) (-4407 (((-768)) 24)) (-3254 (($) 30)) (-2459 (($ $ $) 15)) (-2931 (($ $) 10)) (-2708 (($ $ $) 18)) (-1878 (($ $ $) 19)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-4470 (((-922) $) 29)) (-3944 (((-1151) $) NIL)) (-1755 (($ (-922)) 28)) (-3679 (($ $ $) 21)) (-2580 (((-1115) $) NIL)) (-1440 (($) 9 T CONST)) (-3804 (((-637 $)) NIL)) (-4050 (((-544) $) 36)) (-3942 (((-855) $) 39)) (-3997 (($ $ $) 13)) (-4142 (($ $) 11)) (-2208 (($ $ $) 16)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 20)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 22)) (-2198 (($ $ $) 14))) 
+(((-121) (-13 (-847) (-373) (-654) (-612 (-544)) (-10 -8 (-15 -3508 ($) -3177) (-15 -1440 ($) -3177) (-15 -4142 ($ $)) (-15 -2931 ($ $)) (-15 -3997 ($ $ $)) (-15 -2459 ($ $ $)) (-15 -3917 ($ $ $)) (-15 -1878 ($ $ $)) (-15 -2708 ($ $ $)) (-15 -3679 ($ $ $)) (-15 -2116 ((-121) $))))) (T -121)) 
+((-3508 (*1 *1) (-5 *1 (-121))) (-1440 (*1 *1) (-5 *1 (-121))) (-4142 (*1 *1 *1) (-5 *1 (-121))) (-2931 (*1 *1 *1) (-5 *1 (-121))) (-3997 (*1 *1 *1 *1) (-5 *1 (-121))) (-2459 (*1 *1 *1 *1) (-5 *1 (-121))) (-3917 (*1 *1 *1 *1) (-5 *1 (-121))) (-1878 (*1 *1 *1 *1) (-5 *1 (-121))) (-2708 (*1 *1 *1 *1) (-5 *1 (-121))) (-3679 (*1 *1 *1 *1) (-5 *1 (-121))) (-2116 (*1 *1 *1) (-5 *1 (-121)))) 
+(-13 (-847) (-373) (-654) (-612 (-544)) (-10 -8 (-15 -3508 ($) -3177) (-15 -1440 ($) -3177) (-15 -4142 ($ $)) (-15 -2931 ($ $)) (-15 -3997 ($ $ $)) (-15 -2459 ($ $ $)) (-15 -3917 ($ $ $)) (-15 -1878 ($ $ $)) (-15 -2708 ($ $ $)) (-15 -3679 ($ $ $)) (-15 -2116 ((-121) $)))) 
+((-2593 (((-3 (-1 |#1| (-637 |#1|)) "failed") (-123)) 18) (((-123) (-123) (-1 |#1| |#1|)) 13) (((-123) (-123) (-1 |#1| (-637 |#1|))) 11) (((-3 |#1| "failed") (-123) (-637 |#1|)) 20)) (-1426 (((-3 (-637 (-1 |#1| (-637 |#1|))) "failed") (-123)) 24) (((-123) (-123) (-1 |#1| |#1|)) 30) (((-123) (-123) (-637 (-1 |#1| (-637 |#1|)))) 26)) (-1688 (((-123) |#1|) 53 (|has| |#1| (-847)))) (-2118 (((-3 |#1| "failed") (-123)) 48 (|has| |#1| (-847))))) 
+(((-122 |#1|) (-10 -7 (-15 -2593 ((-3 |#1| "failed") (-123) (-637 |#1|))) (-15 -2593 ((-123) (-123) (-1 |#1| (-637 |#1|)))) (-15 -2593 ((-123) (-123) (-1 |#1| |#1|))) (-15 -2593 ((-3 (-1 |#1| (-637 |#1|)) "failed") (-123))) (-15 -1426 ((-123) (-123) (-637 (-1 |#1| (-637 |#1|))))) (-15 -1426 ((-123) (-123) (-1 |#1| |#1|))) (-15 -1426 ((-3 (-637 (-1 |#1| (-637 |#1|))) "failed") (-123))) (IF (|has| |#1| (-847)) (PROGN (-15 -1688 ((-123) |#1|)) (-15 -2118 ((-3 |#1| "failed") (-123)))) |noBranch|)) (-1097)) (T -122)) 
+((-2118 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1097)) (-4 *2 (-847)) (-5 *1 (-122 *2)))) (-1688 (*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-847)) (-4 *3 (-1097)))) (-1426 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-637 (-1 *4 (-637 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1097)))) (-1426 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1097)) (-5 *1 (-122 *4)))) (-1426 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-637 (-1 *4 (-637 *4)))) (-4 *4 (-1097)) (-5 *1 (-122 *4)))) (-2593 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-637 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1097)))) (-2593 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1097)) (-5 *1 (-122 *4)))) (-2593 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-637 *4))) (-4 *4 (-1097)) (-5 *1 (-122 *4)))) (-2593 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-637 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1097))))) 
+(-10 -7 (-15 -2593 ((-3 |#1| "failed") (-123) (-637 |#1|))) (-15 -2593 ((-123) (-123) (-1 |#1| (-637 |#1|)))) (-15 -2593 ((-123) (-123) (-1 |#1| |#1|))) (-15 -2593 ((-3 (-1 |#1| (-637 |#1|)) "failed") (-123))) (-15 -1426 ((-123) (-123) (-637 (-1 |#1| (-637 |#1|))))) (-15 -1426 ((-123) (-123) (-1 |#1| |#1|))) (-15 -1426 ((-3 (-637 (-1 |#1| (-637 |#1|))) "failed") (-123))) (IF (|has| |#1| (-847)) (PROGN (-15 -1688 ((-123) |#1|)) (-15 -2118 ((-3 |#1| "failed") (-123)))) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-4357 (((-768) $) 68) (($ $ (-768)) 30)) (-4156 (((-121) $) 32)) (-2124 (($ $ (-1151) (-771)) 26)) (-1784 (($ $ (-50 (-1151) (-771))) 13)) (-1783 (((-3 (-771) "failed") $ (-1151)) 24)) (-2134 (((-50 (-1151) (-771)) $) 12)) (-3513 (($ (-1169)) 15) (($ (-1169) (-768)) 20)) (-1439 (((-121) $) 31)) (-1528 (((-121) $) 33)) (-3159 (((-1169) $) 8)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-3340 (((-121) $ (-1169)) 10)) (-2133 (($ $ (-1 (-544) (-637 (-544)))) 50) (((-3 (-1 (-544) (-637 (-544))) "failed") $) 54)) (-2580 (((-1115) $) NIL)) (-2125 (((-121) $ (-1151)) 29)) (-3006 (($ $ (-1 (-121) $ $)) 35)) (-2406 (((-3 (-1 (-855) (-637 (-855))) "failed") $) 52) (($ $ (-1 (-855) (-637 (-855)))) 41) (($ $ (-1 (-855) (-855))) 43)) (-1680 (($ $ (-1151)) 45)) (-4316 (($ $) 61)) (-1885 (($ $ (-1 (-121) $ $)) 36)) (-3942 (((-855) $) 48)) (-4219 (($ $ (-1151)) 27)) (-1825 (((-3 (-768) "failed") $) 56)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 67)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 72))) 
+(((-123) (-13 (-847) (-10 -8 (-15 -3159 ((-1169) $)) (-15 -2134 ((-50 (-1151) (-771)) $)) (-15 -4316 ($ $)) (-15 -3513 ($ (-1169))) (-15 -3513 ($ (-1169) (-768))) (-15 -1825 ((-3 (-768) "failed") $)) (-15 -1439 ((-121) $)) (-15 -4156 ((-121) $)) (-15 -1528 ((-121) $)) (-15 -4357 ((-768) $)) (-15 -4357 ($ $ (-768))) (-15 -3006 ($ $ (-1 (-121) $ $))) (-15 -1885 ($ $ (-1 (-121) $ $))) (-15 -2406 ((-3 (-1 (-855) (-637 (-855))) "failed") $)) (-15 -2406 ($ $ (-1 (-855) (-637 (-855))))) (-15 -2406 ($ $ (-1 (-855) (-855)))) (-15 -2133 ($ $ (-1 (-544) (-637 (-544))))) (-15 -2133 ((-3 (-1 (-544) (-637 (-544))) "failed") $)) (-15 -3340 ((-121) $ (-1169))) (-15 -2125 ((-121) $ (-1151))) (-15 -4219 ($ $ (-1151))) (-15 -1680 ($ $ (-1151))) (-15 -1783 ((-3 (-771) "failed") $ (-1151))) (-15 -2124 ($ $ (-1151) (-771))) (-15 -1784 ($ $ (-50 (-1151) (-771))))))) (T -123)) 
+((-3159 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-123)))) (-2134 (*1 *2 *1) (-12 (-5 *2 (-50 (-1151) (-771))) (-5 *1 (-123)))) (-4316 (*1 *1 *1) (-5 *1 (-123))) (-3513 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-123)))) (-3513 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-768)) (-5 *1 (-123)))) (-1825 (*1 *2 *1) (|partial| -12 (-5 *2 (-768)) (-5 *1 (-123)))) (-1439 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-4156 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-1528 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-4357 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-123)))) (-4357 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-123)))) (-3006 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-1885 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-2406 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-855) (-637 (-855)))) (-5 *1 (-123)))) (-2406 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-855) (-637 (-855)))) (-5 *1 (-123)))) (-2406 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-855) (-855))) (-5 *1 (-123)))) (-2133 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-544) (-637 (-544)))) (-5 *1 (-123)))) (-2133 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-544) (-637 (-544)))) (-5 *1 (-123)))) (-3340 (*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-121)) (-5 *1 (-123)))) (-2125 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-121)) (-5 *1 (-123)))) (-4219 (*1 *1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-123)))) (-1680 (*1 *1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-123)))) (-1783 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1151)) (-5 *2 (-771)) (-5 *1 (-123)))) (-2124 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1151)) (-5 *3 (-771)) (-5 *1 (-123)))) (-1784 (*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1151) (-771))) (-5 *1 (-123))))) 
+(-13 (-847) (-10 -8 (-15 -3159 ((-1169) $)) (-15 -2134 ((-50 (-1151) (-771)) $)) (-15 -4316 ($ $)) (-15 -3513 ($ (-1169))) (-15 -3513 ($ (-1169) (-768))) (-15 -1825 ((-3 (-768) "failed") $)) (-15 -1439 ((-121) $)) (-15 -4156 ((-121) $)) (-15 -1528 ((-121) $)) (-15 -4357 ((-768) $)) (-15 -4357 ($ $ (-768))) (-15 -3006 ($ $ (-1 (-121) $ $))) (-15 -1885 ($ $ (-1 (-121) $ $))) (-15 -2406 ((-3 (-1 (-855) (-637 (-855))) "failed") $)) (-15 -2406 ($ $ (-1 (-855) (-637 (-855))))) (-15 -2406 ($ $ (-1 (-855) (-855)))) (-15 -2133 ($ $ (-1 (-544) (-637 (-544))))) (-15 -2133 ((-3 (-1 (-544) (-637 (-544))) "failed") $)) (-15 -3340 ((-121) $ (-1169))) (-15 -2125 ((-121) $ (-1151))) (-15 -4219 ($ $ (-1151))) (-15 -1680 ($ $ (-1151))) (-15 -1783 ((-3 (-771) "failed") $ (-1151))) (-15 -2124 ($ $ (-1151) (-771))) (-15 -1784 ($ $ (-50 (-1151) (-771)))))) 
+((-2142 (((-571) |#2|) 36))) 
+(((-124 |#1| |#2|) (-10 -7 (-15 -2142 ((-571) |#2|))) (-13 (-367) (-1043 (-412 (-571)))) (-1233 |#1|)) (T -124)) 
+((-2142 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-1043 (-412 *2)))) (-5 *2 (-571)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -2142 ((-571) |#2|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-4158 (($ $ (-571)) NIL)) (-1295 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-2502 (($ (-1165 (-571)) (-571)) NIL)) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2616 (($ $) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-3347 (((-768) $) NIL)) (-2583 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4387 (((-571)) NIL)) (-2729 (((-571) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3140 (($ $ (-571)) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-2437 (((-1149 (-571)) $) NIL)) (-3202 (($ $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL)) (-2661 (((-768)) NIL)) (-1388 (((-121) $ $) NIL)) (-3367 (((-571) $ (-571)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL))) 
+(((-125 |#1|) (-868 |#1|) (-571)) (T -125)) 
+NIL 
+(-868 |#1|) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1533 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-302)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-125 |#1|) (-909)))) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| (-125 |#1|) (-909)))) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL (|has| (-125 |#1|) (-820)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-125 |#1|) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL (|has| (-125 |#1|) (-1043 (-1169)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| (-125 |#1|) (-1043 (-571)))) (((-3 (-571) "failed") $) NIL (|has| (-125 |#1|) (-1043 (-571))))) (-1316 (((-125 |#1|) $) NIL) (((-1169) $) NIL (|has| (-125 |#1|) (-1043 (-1169)))) (((-412 (-571)) $) NIL (|has| (-125 |#1|) (-1043 (-571)))) (((-571) $) NIL (|has| (-125 |#1|) (-1043 (-571))))) (-4195 (($ $) NIL) (($ (-571) $) NIL)) (-2162 (($ $ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| (-125 |#1|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| (-125 |#1|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-125 |#1|))) (|:| |vec| (-1258 (-125 |#1|)))) (-684 $) (-1258 $)) NIL) (((-684 (-125 |#1|)) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-125 |#1|) (-553)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2093 (((-121) $) NIL (|has| (-125 |#1|) (-820)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| (-125 |#1|) (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| (-125 |#1|) (-886 (-384))))) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL)) (-4474 (((-125 |#1|) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| (-125 |#1|) (-1143)))) (-4086 (((-121) $) NIL (|has| (-125 |#1|) (-820)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL (|has| (-125 |#1|) (-847)))) (-2383 (($ $ $) NIL (|has| (-125 |#1|) (-847)))) (-3799 (($ (-1 (-125 |#1|) (-125 |#1|)) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-125 |#1|) (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL (|has| (-125 |#1|) (-302)))) (-3955 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-553)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-125 |#1|) (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-125 |#1|) (-909)))) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4483 (($ $ (-637 (-125 |#1|)) (-637 (-125 |#1|))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-125 |#1|) (-125 |#1|)) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-289 (-125 |#1|))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-637 (-289 (-125 |#1|)))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-637 (-1169)) (-637 (-125 |#1|))) NIL (|has| (-125 |#1|) (-526 (-1169) (-125 |#1|)))) (($ $ (-1169) (-125 |#1|)) NIL (|has| (-125 |#1|) (-526 (-1169) (-125 |#1|))))) (-1826 (((-768) $) NIL)) (-3245 (($ $ (-125 |#1|)) NIL (|has| (-125 |#1|) (-282 (-125 |#1|) (-125 |#1|))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $) NIL (|has| (-125 |#1|) (-226))) (($ $ (-768)) NIL (|has| (-125 |#1|) (-226))) (($ $ (-1169)) NIL (|has| (-125 |#1|) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-125 |#1|) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-125 |#1|) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-125 |#1|) (-900 (-1169)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-768)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-3777 (($ $) NIL)) (-4479 (((-125 |#1|) $) NIL)) (-4050 (((-892 (-571)) $) NIL (|has| (-125 |#1|) (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| (-125 |#1|) (-612 (-892 (-384))))) (((-544) $) NIL (|has| (-125 |#1|) (-612 (-544)))) (((-384) $) NIL (|has| (-125 |#1|) (-1027))) (((-216) $) NIL (|has| (-125 |#1|) (-1027)))) (-1410 (((-174 (-412 (-571))) $) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| (-125 |#1|) (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ (-125 |#1|)) NIL) (($ (-1169)) NIL (|has| (-125 |#1|) (-1043 (-1169))))) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-125 |#1|) (-909))) (|has| (-125 |#1|) (-149))))) (-2661 (((-768)) NIL)) (-2325 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-553)))) (-1388 (((-121) $ $) NIL)) (-3367 (((-412 (-571)) $ (-571)) NIL)) (-1902 (($ $) NIL (|has| (-125 |#1|) (-820)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $) NIL (|has| (-125 |#1|) (-226))) (($ $ (-768)) NIL (|has| (-125 |#1|) (-226))) (($ $ (-1169)) NIL (|has| (-125 |#1|) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-125 |#1|) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-125 |#1|) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-125 |#1|) (-900 (-1169)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-768)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-1350 (((-121) $ $) NIL (|has| (-125 |#1|) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-125 |#1|) (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| (-125 |#1|) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-125 |#1|) (-847)))) (-1379 (($ $ $) NIL) (($ (-125 |#1|) (-125 |#1|)) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ (-125 |#1|) $) NIL) (($ $ (-125 |#1|)) NIL))) 
+(((-126 |#1|) (-13 (-999 (-125 |#1|)) (-10 -8 (-15 -3367 ((-412 (-571)) $ (-571))) (-15 -1410 ((-174 (-412 (-571))) $)) (-15 -4195 ($ $)) (-15 -4195 ($ (-571) $)))) (-571)) (T -126)) 
+((-3367 (*1 *2 *1 *3) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-571)))) (-1410 (*1 *2 *1) (-12 (-5 *2 (-174 (-412 (-571)))) (-5 *1 (-126 *3)) (-14 *3 (-571)))) (-4195 (*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-571)))) (-4195 (*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-126 *3)) (-14 *3 *2)))) 
+(-13 (-999 (-125 |#1|)) (-10 -8 (-15 -3367 ((-412 (-571)) $ (-571))) (-15 -1410 ((-174 (-412 (-571))) $)) (-15 -4195 ($ $)) (-15 -4195 ($ (-571) $)))) 
+((-3251 ((|#2| $ "value" |#2|) NIL) (($ $ "left" $) 48) (($ $ "right" $) 50)) (-2268 (((-637 $) $) 27)) (-4114 (((-121) $ $) 32)) (-3303 (((-121) |#2| $) 36)) (-3392 (((-637 |#2|) $) 22)) (-2945 (((-121) $) 16)) (-3245 ((|#2| $ "value") NIL) (($ $ "left") 10) (($ $ "right") 13)) (-1664 (((-121) $) 45)) (-3942 (((-855) $) 41)) (-1846 (((-637 $) $) 28)) (-1323 (((-121) $ $) 34)) (-4001 (((-768) $) 43))) 
+(((-127 |#1| |#2|) (-10 -8 (-15 -3251 (|#1| |#1| "right" |#1|)) (-15 -3251 (|#1| |#1| "left" |#1|)) (-15 -3245 (|#1| |#1| "right")) (-15 -3245 (|#1| |#1| "left")) (-15 -3251 (|#2| |#1| "value" |#2|)) (-15 -4114 ((-121) |#1| |#1|)) (-15 -3392 ((-637 |#2|) |#1|)) (-15 -1664 ((-121) |#1|)) (-15 -3245 (|#2| |#1| "value")) (-15 -2945 ((-121) |#1|)) (-15 -2268 ((-637 |#1|) |#1|)) (-15 -1846 ((-637 |#1|) |#1|)) (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -3303 ((-121) |#2| |#1|)) (-15 -4001 ((-768) |#1|))) (-128 |#2|) (-1203)) (T -127)) 
+NIL 
+(-10 -8 (-15 -3251 (|#1| |#1| "right" |#1|)) (-15 -3251 (|#1| |#1| "left" |#1|)) (-15 -3245 (|#1| |#1| "right")) (-15 -3245 (|#1| |#1| "left")) (-15 -3251 (|#2| |#1| "value" |#2|)) (-15 -4114 ((-121) |#1| |#1|)) (-15 -3392 ((-637 |#2|) |#1|)) (-15 -1664 ((-121) |#1|)) (-15 -3245 (|#2| |#1| "value")) (-15 -2945 ((-121) |#1|)) (-15 -2268 ((-637 |#1|) |#1|)) (-15 -1846 ((-637 |#1|) |#1|)) (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -3303 ((-121) |#2| |#1|)) (-15 -4001 ((-768) |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-2139 ((|#1| $) 45)) (-3133 (((-121) $ (-768)) 8)) (-2815 ((|#1| $ |#1|) 36 (|has| $ (-6 -4601)))) (-3127 (($ $ $) 49 (|has| $ (-6 -4601)))) (-2961 (($ $ $) 51 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4601))) (($ $ "left" $) 52 (|has| $ (-6 -4601))) (($ $ "right" $) 50 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 38 (|has| $ (-6 -4601)))) (-2269 (($) 7 T CONST)) (-1852 (($ $) 54)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 47)) (-4114 (((-121) $ $) 39 (|has| |#1| (-1097)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-1856 (($ $) 56)) (-3392 (((-637 |#1|) $) 42)) (-2945 (((-121) $) 46)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-2514 (((-571) $ $) 41)) (-1664 (((-121) $) 43)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 48)) (-3014 (((-121) $ $) 40 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-128 |#1|) (-1289) (-1203)) (T -128)) 
+((-1856 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1203)))) (-3245 (*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1203)))) (-1852 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1203)))) (-3245 (*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1203)))) (-3251 (*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4601)) (-4 *1 (-128 *3)) (-4 *3 (-1203)))) (-2961 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-128 *2)) (-4 *2 (-1203)))) (-3251 (*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4601)) (-4 *1 (-128 *3)) (-4 *3 (-1203)))) (-3127 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-128 *2)) (-4 *2 (-1203))))) 
+(-13 (-1016 |t#1|) (-10 -8 (-15 -1856 ($ $)) (-15 -3245 ($ $ "left")) (-15 -1852 ($ $)) (-15 -3245 ($ $ "right")) (IF (|has| $ (-6 -4601)) (PROGN (-15 -3251 ($ $ "left" $)) (-15 -2961 ($ $ $)) (-15 -3251 ($ $ "right" $)) (-15 -3127 ($ $ $))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1016 |#1|) . T) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-3231 (((-121) |#1|) 24)) (-3574 (((-768) (-768)) 23) (((-768)) 22)) (-3050 (((-121) |#1| (-121)) 25) (((-121) |#1|) 26))) 
+(((-129 |#1|) (-10 -7 (-15 -3050 ((-121) |#1|)) (-15 -3050 ((-121) |#1| (-121))) (-15 -3574 ((-768))) (-15 -3574 ((-768) (-768))) (-15 -3231 ((-121) |#1|))) (-1233 (-571))) (T -129)) 
+((-3231 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1233 (-571))))) (-3574 (*1 *2 *2) (-12 (-5 *2 (-768)) (-5 *1 (-129 *3)) (-4 *3 (-1233 (-571))))) (-3574 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-129 *3)) (-4 *3 (-1233 (-571))))) (-3050 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1233 (-571))))) (-3050 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1233 (-571)))))) 
+(-10 -7 (-15 -3050 ((-121) |#1|)) (-15 -3050 ((-121) |#1| (-121))) (-15 -3574 ((-768))) (-15 -3574 ((-768) (-768))) (-15 -3231 ((-121) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-3500 (((-3 $ "failed") (-1169) (-1169)) 31)) (-2580 (((-1115) $) NIL)) (-2143 (((-3 (-1169) "failed") $) 45)) (-4224 (((-3 $ (-571)) (-1169)) 36)) (-1563 (((-1177 (-1169) $)) 42)) (-3444 (((-637 $)) 40)) (-4083 (((-3 $ "failed") (-1169)) 19)) (-4050 (($ (-1169)) 27) (((-1169) $) NIL)) (-3942 (((-855) $) 21)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL))) 
+(((-130) (-13 (-847) (-10 -8 (-6 (-612 (-1169))) (-15 -4083 ((-3 $ "failed") (-1169))) (-15 -4050 ($ (-1169))) (-15 -3500 ((-3 $ "failed") (-1169) (-1169))) (-15 -4224 ((-3 $ (-571)) (-1169))) (-15 -3444 ((-637 $))) (-15 -1563 ((-1177 (-1169) $))) (-15 -2143 ((-3 (-1169) "failed") $))))) (T -130)) 
+((-4083 (*1 *1 *2) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-130)))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-130)))) (-3500 (*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-130)))) (-4224 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-3 (-130) (-571))) (-5 *1 (-130)))) (-3444 (*1 *2) (-12 (-5 *2 (-637 (-130))) (-5 *1 (-130)))) (-1563 (*1 *2) (-12 (-5 *2 (-1177 (-1169) (-130))) (-5 *1 (-130)))) (-2143 (*1 *2 *1) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-130))))) 
+(-13 (-847) (-10 -8 (-6 (-612 (-1169))) (-15 -4083 ((-3 $ "failed") (-1169))) (-15 -4050 ($ (-1169))) (-15 -3500 ((-3 $ "failed") (-1169) (-1169))) (-15 -4224 ((-3 $ (-571)) (-1169))) (-15 -3444 ((-637 $))) (-15 -1563 ((-1177 (-1169) $))) (-15 -2143 ((-3 (-1169) "failed") $)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) 15)) (-1609 (((-2 (|:| |less| $) (|:| |greater| $)) |#1| $) 22)) (-3133 (((-121) $ (-768)) NIL)) (-2815 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-3127 (($ $ $) 18 (|has| $ (-6 -4601)))) (-2961 (($ $ $) 20 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601))) (($ $ "left" $) NIL (|has| $ (-6 -4601))) (($ $ "right" $) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-1852 (($ $) 17)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1719 (($ $ |#1| $) 23)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-1856 (($ $) 19)) (-3392 (((-637 |#1|) $) NIL)) (-2945 (((-121) $) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-4575 (($ |#1| $) 24)) (-2863 (($ |#1| $) 10)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 14)) (-1630 (($) 8)) (-3245 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-2514 (((-571) $ $) NIL)) (-1664 (((-121) $) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4432 (($ (-637 |#1|)) 12)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-131 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4601) (-6 -4600) (-15 -4432 ($ (-637 |#1|))) (-15 -2863 ($ |#1| $)) (-15 -4575 ($ |#1| $)) (-15 -1609 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) (-847)) (T -131)) 
+((-4432 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-131 *3)))) (-2863 (*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-847)))) (-4575 (*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-847)))) (-1609 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-131 *3)) (|:| |greater| (-131 *3)))) (-5 *1 (-131 *3)) (-4 *3 (-847))))) 
+(-13 (-135 |#1|) (-10 -8 (-6 -4601) (-6 -4600) (-15 -4432 ($ (-637 |#1|))) (-15 -2863 ($ |#1| $)) (-15 -4575 ($ |#1| $)) (-15 -1609 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) 
+((-1996 (($ $) 14)) (-2931 (($ $) 11)) (-2708 (($ $ $) 24)) (-1878 (($ $ $) 22)) (-4142 (($ $) 12)) (-2208 (($ $ $) 20)) (-2198 (($ $ $) 18))) 
+(((-132 |#1|) (-10 -8 (-15 -2708 (|#1| |#1| |#1|)) (-15 -1878 (|#1| |#1| |#1|)) (-15 -4142 (|#1| |#1|)) (-15 -2931 (|#1| |#1|)) (-15 -1996 (|#1| |#1|)) (-15 -2198 (|#1| |#1| |#1|)) (-15 -2208 (|#1| |#1| |#1|))) (-133)) (T -132)) 
+NIL 
+(-10 -8 (-15 -2708 (|#1| |#1| |#1|)) (-15 -1878 (|#1| |#1| |#1|)) (-15 -4142 (|#1| |#1|)) (-15 -2931 (|#1| |#1|)) (-15 -1996 (|#1| |#1|)) (-15 -2198 (|#1| |#1| |#1|)) (-15 -2208 (|#1| |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-1996 (($ $) 103)) (-3917 (($ $ $) 24)) (-3839 (((-1263) $ (-571) (-571)) 66 (|has| $ (-6 -4601)))) (-2648 (((-121) $) 98 (|has| (-121) (-847))) (((-121) (-1 (-121) (-121) (-121)) $) 92)) (-3652 (($ $) 102 (-12 (|has| (-121) (-847)) (|has| $ (-6 -4601)))) (($ (-1 (-121) (-121) (-121)) $) 101 (|has| $ (-6 -4601)))) (-2972 (($ $) 97 (|has| (-121) (-847))) (($ (-1 (-121) (-121) (-121)) $) 91)) (-3133 (((-121) $ (-768)) 37)) (-3251 (((-121) $ (-1224 (-571)) (-121)) 88 (|has| $ (-6 -4601))) (((-121) $ (-571) (-121)) 54 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-121)) $) 71 (|has| $ (-6 -4600)))) (-2269 (($) 38 T CONST)) (-4578 (($ $) 100 (|has| $ (-6 -4601)))) (-4378 (($ $) 90)) (-4365 (($ $) 68 (-12 (|has| (-121) (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ (-1 (-121) (-121)) $) 72 (|has| $ (-6 -4600))) (($ (-121) $) 69 (-12 (|has| (-121) (-1097)) (|has| $ (-6 -4600))))) (-3074 (((-121) (-1 (-121) (-121) (-121)) $) 74 (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) 73 (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) 70 (-12 (|has| (-121) (-1097)) (|has| $ (-6 -4600))))) (-2922 (((-121) $ (-571) (-121)) 53 (|has| $ (-6 -4601)))) (-4319 (((-121) $ (-571)) 55)) (-3984 (((-571) (-121) $ (-571)) 95 (|has| (-121) (-1097))) (((-571) (-121) $) 94 (|has| (-121) (-1097))) (((-571) (-1 (-121) (-121)) $) 93)) (-4034 (((-637 (-121)) $) 45 (|has| $ (-6 -4600)))) (-2459 (($ $ $) 25)) (-2931 (($ $) 30)) (-2708 (($ $ $) 27)) (-1364 (($ (-768) (-121)) 77)) (-1878 (($ $ $) 28)) (-2262 (((-121) $ (-768)) 36)) (-1414 (((-571) $) 63 (|has| (-571) (-847)))) (-1763 (($ $ $) 12)) (-3491 (($ $ $) 96 (|has| (-121) (-847))) (($ (-1 (-121) (-121) (-121)) $ $) 89)) (-3488 (((-637 (-121)) $) 46 (|has| $ (-6 -4600)))) (-3303 (((-121) (-121) $) 48 (-12 (|has| (-121) (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 62 (|has| (-571) (-847)))) (-2383 (($ $ $) 13)) (-1923 (($ (-1 (-121) (-121)) $) 41 (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-121) (-121) (-121)) $ $) 82) (($ (-1 (-121) (-121)) $) 40)) (-3794 (((-121) $ (-768)) 35)) (-3944 (((-1151) $) 9)) (-2594 (($ $ $ (-571)) 87) (($ (-121) $ (-571)) 86)) (-2738 (((-637 (-571)) $) 60)) (-1613 (((-121) (-571) $) 59)) (-2580 (((-1115) $) 10)) (-1827 (((-121) $) 64 (|has| (-571) (-847)))) (-3765 (((-3 (-121) "failed") (-1 (-121) (-121)) $) 75)) (-4411 (($ $ (-121)) 65 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-121)) $) 43 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-121)) (-637 (-121))) 52 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097)))) (($ $ (-121) (-121)) 51 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097)))) (($ $ (-289 (-121))) 50 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097)))) (($ $ (-637 (-289 (-121)))) 49 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097))))) (-2127 (((-121) $ $) 31)) (-2957 (((-121) (-121) $) 61 (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-3909 (((-637 (-121)) $) 58)) (-1828 (((-121) $) 34)) (-1630 (($) 33)) (-3245 (($ $ (-1224 (-571))) 83) (((-121) $ (-571)) 57) (((-121) $ (-571) (-121)) 56)) (-1933 (($ $ (-1224 (-571))) 85) (($ $ (-571)) 84)) (-1569 (((-768) (-121) $) 47 (-12 (|has| (-121) (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) (-121)) $) 44 (|has| $ (-6 -4600)))) (-3427 (($ $ $ (-571)) 99 (|has| $ (-6 -4601)))) (-4316 (($ $) 32)) (-4050 (((-544) $) 67 (|has| (-121) (-612 (-544))))) (-3891 (($ (-637 (-121))) 76)) (-4498 (($ (-637 $)) 81) (($ $ $) 80) (($ (-121) $) 79) (($ $ (-121)) 78)) (-3942 (((-855) $) 11)) (-3027 (((-121) (-1 (-121) (-121)) $) 42 (|has| $ (-6 -4600)))) (-3997 (($ $ $) 26)) (-4142 (($ $) 29)) (-2208 (($ $ $) 105)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17)) (-2198 (($ $ $) 104)) (-4001 (((-768) $) 39 (|has| $ (-6 -4600))))) 
+(((-133) (-1289)) (T -133)) 
+((-2931 (*1 *1 *1) (-4 *1 (-133))) (-4142 (*1 *1 *1) (-4 *1 (-133))) (-1878 (*1 *1 *1 *1) (-4 *1 (-133))) (-2708 (*1 *1 *1 *1) (-4 *1 (-133))) (-3997 (*1 *1 *1 *1) (-4 *1 (-133))) (-2459 (*1 *1 *1 *1) (-4 *1 (-133))) (-3917 (*1 *1 *1 *1) (-4 *1 (-133)))) 
+(-13 (-847) (-654) (-19 (-121)) (-10 -8 (-15 -2931 ($ $)) (-15 -4142 ($ $)) (-15 -1878 ($ $ $)) (-15 -2708 ($ $ $)) (-15 -3997 ($ $ $)) (-15 -2459 ($ $ $)) (-15 -3917 ($ $ $)))) 
+(((-39) . T) ((-105) . T) ((-611 (-855)) . T) ((-155 (-121)) . T) ((-612 (-544)) |has| (-121) (-612 (-544))) ((-282 (-571) (-121)) . T) ((-284 (-571) (-121)) . T) ((-304 (-121)) -12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097))) ((-378 (-121)) . T) ((-502 (-121)) . T) ((-604 (-571) (-121)) . T) ((-526 (-121) (-121)) -12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097))) ((-643 (-121)) . T) ((-654) . T) ((-19 (-121)) . T) ((-847) . T) ((-1097) . T) ((-1203) . T)) 
+((-1923 (($ (-1 |#2| |#2|) $) 22)) (-4316 (($ $) 16)) (-4001 (((-768) $) 24))) 
+(((-134 |#1| |#2|) (-10 -8 (-15 -1923 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4001 ((-768) |#1|)) (-15 -4316 (|#1| |#1|))) (-135 |#2|) (-1097)) (T -134)) 
+NIL 
+(-10 -8 (-15 -1923 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4001 ((-768) |#1|)) (-15 -4316 (|#1| |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-2139 ((|#1| $) 45)) (-3133 (((-121) $ (-768)) 8)) (-2815 ((|#1| $ |#1|) 36 (|has| $ (-6 -4601)))) (-3127 (($ $ $) 49 (|has| $ (-6 -4601)))) (-2961 (($ $ $) 51 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4601))) (($ $ "left" $) 52 (|has| $ (-6 -4601))) (($ $ "right" $) 50 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 38 (|has| $ (-6 -4601)))) (-2269 (($) 7 T CONST)) (-1852 (($ $) 54)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 47)) (-4114 (((-121) $ $) 39 (|has| |#1| (-1097)))) (-1719 (($ $ |#1| $) 57)) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-1856 (($ $) 56)) (-3392 (((-637 |#1|) $) 42)) (-2945 (((-121) $) 46)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-2514 (((-571) $ $) 41)) (-1664 (((-121) $) 43)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 48)) (-3014 (((-121) $ $) 40 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-135 |#1|) (-1289) (-1097)) (T -135)) 
+((-1719 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-135 *2)) (-4 *2 (-1097))))) 
+(-13 (-128 |t#1|) (-10 -8 (-6 -4601) (-6 -4600) (-15 -1719 ($ $ |t#1| $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-128 |#1|) . T) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1016 |#1|) . T) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) 15)) (-3133 (((-121) $ (-768)) NIL)) (-2815 ((|#1| $ |#1|) 19 (|has| $ (-6 -4601)))) (-3127 (($ $ $) 20 (|has| $ (-6 -4601)))) (-2961 (($ $ $) 18 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601))) (($ $ "left" $) NIL (|has| $ (-6 -4601))) (($ $ "right" $) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-1852 (($ $) 21)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1719 (($ $ |#1| $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-1856 (($ $) NIL)) (-3392 (((-637 |#1|) $) NIL)) (-2945 (((-121) $) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2863 (($ |#1| $) 10)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 14)) (-1630 (($) 8)) (-3245 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-2514 (((-571) $ $) NIL)) (-1664 (((-121) $) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) 17)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4376 (($ (-637 |#1|)) 12)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-136 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4601) (-15 -4376 ($ (-637 |#1|))) (-15 -2863 ($ |#1| $)))) (-847)) (T -136)) 
+((-4376 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-136 *3)))) (-2863 (*1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-847))))) 
+(-13 (-135 |#1|) (-10 -8 (-6 -4601) (-15 -4376 ($ (-637 |#1|))) (-15 -2863 ($ |#1| $)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) 24)) (-3133 (((-121) $ (-768)) NIL)) (-2815 ((|#1| $ |#1|) 26 (|has| $ (-6 -4601)))) (-3127 (($ $ $) 30 (|has| $ (-6 -4601)))) (-2961 (($ $ $) 28 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601))) (($ $ "left" $) NIL (|has| $ (-6 -4601))) (($ $ "right" $) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-1852 (($ $) 20)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1719 (($ $ |#1| $) 15)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-1856 (($ $) 19)) (-3392 (((-637 |#1|) $) NIL)) (-2945 (((-121) $) 21)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 18)) (-1630 (($) 11)) (-3245 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-2514 (((-571) $ $) NIL)) (-1664 (((-121) $) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3457 (($ |#1|) 17) (($ $ |#1| $) 16)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 10 (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-137 |#1|) (-13 (-135 |#1|) (-10 -8 (-15 -3457 ($ |#1|)) (-15 -3457 ($ $ |#1| $)))) (-1097)) (T -137)) 
+((-3457 (*1 *1 *2) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1097)))) (-3457 (*1 *1 *1 *2 *1) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1097))))) 
+(-13 (-135 |#1|) (-10 -8 (-15 -3457 ($ |#1|)) (-15 -3457 ($ $ |#1| $)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14))) 
+(((-138) (-1289)) (T -138)) 
+((-4176 (*1 *1 *1 *1) (|partial| -4 *1 (-138)))) 
+(-13 (-23) (-10 -8 (-15 -4176 ((-3 $ "failed") $ $)))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) 7)) (-1476 (((-1263) $ (-768)) 18)) (-3984 (((-768) $) 19)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17))) 
+(((-139) (-1289)) (T -139)) 
+((-3984 (*1 *2 *1) (-12 (-4 *1 (-139)) (-5 *2 (-768)))) (-1476 (*1 *2 *1 *3) (-12 (-4 *1 (-139)) (-5 *3 (-768)) (-5 *2 (-1263))))) 
+(-13 (-847) (-10 -8 (-15 -3984 ((-768) $)) (-15 -1476 ((-1263) $ (-768))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-847) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-768) "failed") $) 38)) (-1316 (((-768) $) 36)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) 26)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1850 (((-121)) 39)) (-1409 (((-121) (-121)) 41)) (-3028 (((-121) $) 23)) (-4093 (((-121) $) 35)) (-3942 (((-855) $) 22) (($ (-768)) 14)) (-4142 (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (-2369 (($) 12 T CONST)) (-3222 (($) 11 T CONST)) (-1718 (($ (-768)) 15)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 24)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 25)) (-1373 (((-3 $ "failed") $ $) 29)) (-1367 (($ $ $) 27)) (** (($ $ (-768)) NIL) (($ $ (-922)) NIL) (($ $ $) 34)) (* (($ (-768) $) 32) (($ (-922) $) NIL) (($ $ $) 30))) 
+(((-140) (-13 (-847) (-23) (-721) (-1043 (-768)) (-10 -8 (-6 (-4602 "*")) (-15 -1373 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -1718 ($ (-768))) (-15 -3028 ((-121) $)) (-15 -4093 ((-121) $)) (-15 -1850 ((-121))) (-15 -1409 ((-121) (-121)))))) (T -140)) 
+((-1373 (*1 *1 *1 *1) (|partial| -5 *1 (-140))) (** (*1 *1 *1 *1) (-5 *1 (-140))) (-1718 (*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-140)))) (-3028 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-4093 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-1850 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-1409 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(-13 (-847) (-23) (-721) (-1043 (-768)) (-10 -8 (-6 (-4602 "*")) (-15 -1373 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -1718 ($ (-768))) (-15 -3028 ((-121) $)) (-15 -4093 ((-121) $)) (-15 -1850 ((-121))) (-15 -1409 ((-121) (-121))))) 
+((-2667 (((-142 |#1| |#2| |#4|) (-637 |#4|) (-142 |#1| |#2| |#3|)) 14)) (-3799 (((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)) 18))) 
+(((-141 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2667 ((-142 |#1| |#2| |#4|) (-637 |#4|) (-142 |#1| |#2| |#3|))) (-15 -3799 ((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)))) (-571) (-768) (-173) (-173)) (T -141)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-571)) (-14 *6 (-768)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) (-2667 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-571)) (-14 *6 (-768)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -2667 ((-142 |#1| |#2| |#4|) (-637 |#4|) (-142 |#1| |#2| |#3|))) (-15 -3799 ((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)))) 
+((-2234 (((-121) $ $) NIL)) (-1756 (($ (-637 |#3|)) 38)) (-2889 (($ $) 97) (($ $ (-571) (-571)) 96)) (-2269 (($) 17)) (-3337 (((-3 |#3| "failed") $) 58)) (-1316 ((|#3| $) NIL)) (-2758 (($ $ (-637 (-571))) 98)) (-4447 (((-637 |#3|) $) 34)) (-3241 (((-768) $) 42)) (-3940 (($ $ $) 91)) (-3721 (($) 41)) (-3944 (((-1151) $) NIL)) (-3753 (($) 16)) (-2580 (((-1115) $) NIL)) (-3245 ((|#3| $) 44) ((|#3| $ (-571)) 45) ((|#3| $ (-571) (-571)) 46) ((|#3| $ (-571) (-571) (-571)) 47) ((|#3| $ (-571) (-571) (-571) (-571)) 48) ((|#3| $ (-637 (-571))) 50)) (-2400 (((-768) $) 43)) (-2888 (($ $ (-571) $ (-571)) 92) (($ $ (-571) (-571)) 94)) (-3942 (((-855) $) 65) (($ |#3|) 66) (($ (-233 |#2| |#3|)) 73) (($ (-1134 |#2| |#3|)) 76) (($ (-637 |#3|)) 51) (($ (-637 $)) 56)) (-2369 (($) 67 T CONST)) (-3222 (($) 68 T CONST)) (-1323 (((-121) $ $) 78)) (-1373 (($ $) 84) (($ $ $) 82)) (-1367 (($ $ $) 80)) (* (($ |#3| $) 89) (($ $ |#3|) 90) (($ $ (-571)) 87) (($ (-571) $) 86) (($ $ $) 93))) 
+(((-142 |#1| |#2| |#3|) (-13 (-473 |#3| (-768)) (-478 (-571) (-768)) (-10 -8 (-15 -3942 ($ (-233 |#2| |#3|))) (-15 -3942 ($ (-1134 |#2| |#3|))) (-15 -3942 ($ (-637 |#3|))) (-15 -3942 ($ (-637 $))) (-15 -3241 ((-768) $)) (-15 -3245 (|#3| $)) (-15 -3245 (|#3| $ (-571))) (-15 -3245 (|#3| $ (-571) (-571))) (-15 -3245 (|#3| $ (-571) (-571) (-571))) (-15 -3245 (|#3| $ (-571) (-571) (-571) (-571))) (-15 -3245 (|#3| $ (-637 (-571)))) (-15 -3940 ($ $ $)) (-15 * ($ $ $)) (-15 -2888 ($ $ (-571) $ (-571))) (-15 -2888 ($ $ (-571) (-571))) (-15 -2889 ($ $)) (-15 -2889 ($ $ (-571) (-571))) (-15 -2758 ($ $ (-637 (-571)))) (-15 -3753 ($)) (-15 -3721 ($)) (-15 -4447 ((-637 |#3|) $)) (-15 -1756 ($ (-637 |#3|))) (-15 -2269 ($)))) (-571) (-768) (-173)) (T -142)) 
+((-3940 (*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-233 *4 *5)) (-14 *4 (-768)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1134 *4 *5)) (-14 *4 (-768)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 (-768)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-142 *3 *4 *5))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 (-768)) (-4 *5 (-173)))) (-3241 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 *2) (-4 *5 (-173)))) (-3245 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-142 *3 *4 *2)) (-14 *3 (-571)) (-14 *4 (-768)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-768)))) (-3245 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-768)))) (-3245 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-571)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-768)))) (-3245 (*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-571)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-768)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-637 (-571))) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 (-571)) (-14 *5 (-768)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173)))) (-2888 (*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-768)) (-4 *5 (-173)))) (-2888 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-768)) (-4 *5 (-173)))) (-2889 (*1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173)))) (-2889 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-768)) (-4 *5 (-173)))) (-2758 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 (-768)) (-4 *5 (-173)))) (-3753 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173)))) (-3721 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173)))) (-4447 (*1 *2 *1) (-12 (-5 *2 (-637 *5)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 (-768)) (-4 *5 (-173)))) (-1756 (*1 *1 *2) (-12 (-5 *2 (-637 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 (-768)))) (-2269 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173))))) 
+(-13 (-473 |#3| (-768)) (-478 (-571) (-768)) (-10 -8 (-15 -3942 ($ (-233 |#2| |#3|))) (-15 -3942 ($ (-1134 |#2| |#3|))) (-15 -3942 ($ (-637 |#3|))) (-15 -3942 ($ (-637 $))) (-15 -3241 ((-768) $)) (-15 -3245 (|#3| $)) (-15 -3245 (|#3| $ (-571))) (-15 -3245 (|#3| $ (-571) (-571))) (-15 -3245 (|#3| $ (-571) (-571) (-571))) (-15 -3245 (|#3| $ (-571) (-571) (-571) (-571))) (-15 -3245 (|#3| $ (-637 (-571)))) (-15 -3940 ($ $ $)) (-15 * ($ $ $)) (-15 -2888 ($ $ (-571) $ (-571))) (-15 -2888 ($ $ (-571) (-571))) (-15 -2889 ($ $)) (-15 -2889 ($ $ (-571) (-571))) (-15 -2758 ($ $ (-637 (-571)))) (-15 -3753 ($)) (-15 -3721 ($)) (-15 -4447 ((-637 |#3|) $)) (-15 -1756 ($ (-637 |#3|))) (-15 -2269 ($)))) 
+((-2234 (((-121) $ $) NIL)) (-1425 (($) 15 T CONST)) (-4172 (($) NIL (|has| (-148) (-373)))) (-3486 (($ $ $) 17) (($ $ (-148)) NIL) (($ (-148) $) NIL)) (-1768 (($ $ $) NIL)) (-2559 (((-121) $ $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-4407 (((-768)) NIL (|has| (-148) (-373)))) (-4458 (($) NIL) (($ (-637 (-148))) NIL)) (-3129 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-1599 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600))) (($ (-148) $) 51 (|has| $ (-6 -4600)))) (-3412 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600))) (($ (-148) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3074 (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4600))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4600))) (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3254 (($) NIL (|has| (-148) (-373)))) (-4034 (((-637 (-148)) $) 60 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1763 (((-148) $) NIL (|has| (-148) (-847)))) (-3488 (((-637 (-148)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-148) $) 26 (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-2383 (((-148) $) NIL (|has| (-148) (-847)))) (-1923 (($ (-1 (-148) (-148)) $) 59 (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-148) (-148)) $) 55)) (-3356 (($) 16 T CONST)) (-4470 (((-922) $) NIL (|has| (-148) (-373)))) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-4017 (($ $ $) 29)) (-2377 (((-148) $) 52)) (-2863 (($ (-148) $) 50)) (-1755 (($ (-922)) NIL (|has| (-148) (-373)))) (-2151 (($) 14 T CONST)) (-2580 (((-1115) $) NIL)) (-3765 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-3815 (((-148) $) 53)) (-3160 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-148)) (-637 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-637 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097))))) (-2127 (((-121) $ $) NIL)) (-3804 (((-637 $)) NIL (|has| (-148) (-373)))) (-1828 (((-121) $) NIL)) (-1630 (($) 48)) (-2152 (($) 13 T CONST)) (-3629 (($ $ $) 31) (($ $ (-148)) NIL)) (-3563 (($ (-637 (-148))) NIL) (($) NIL)) (-1569 (((-768) (-148) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097)))) (((-768) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-1151) $) 36) (((-544) $) NIL (|has| (-148) (-612 (-544)))) (((-637 (-148)) $) 34)) (-3891 (($ (-637 (-148))) NIL)) (-3800 (($ $) 32 (|has| (-148) (-373)))) (-3942 (((-855) $) 46)) (-2700 (($ (-1151)) 12) (($ (-637 (-148))) 43)) (-4025 (((-768) $) NIL)) (-4303 (($) 49) (($ (-637 (-148))) NIL)) (-3700 (($ (-637 (-148))) NIL)) (-3027 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-2147 (($) 19 T CONST)) (-2698 (($) 18 T CONST)) (-1323 (((-121) $ $) 22)) (-1331 (((-121) $ $) NIL)) (-4001 (((-768) $) 47 (|has| $ (-6 -4600))))) 
+(((-143) (-13 (-1097) (-612 (-1151)) (-430 (-148)) (-612 (-637 (-148))) (-10 -8 (-15 -2700 ($ (-1151))) (-15 -2700 ($ (-637 (-148)))) (-15 -2152 ($) -3177) (-15 -2151 ($) -3177) (-15 -1425 ($) -3177) (-15 -3356 ($) -3177) (-15 -2698 ($) -3177) (-15 -2147 ($) -3177)))) (T -143)) 
+((-2700 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-143)))) (-2700 (*1 *1 *2) (-12 (-5 *2 (-637 (-148))) (-5 *1 (-143)))) (-2152 (*1 *1) (-5 *1 (-143))) (-2151 (*1 *1) (-5 *1 (-143))) (-1425 (*1 *1) (-5 *1 (-143))) (-3356 (*1 *1) (-5 *1 (-143))) (-2698 (*1 *1) (-5 *1 (-143))) (-2147 (*1 *1) (-5 *1 (-143)))) 
+(-13 (-1097) (-612 (-1151)) (-430 (-148)) (-612 (-637 (-148))) (-10 -8 (-15 -2700 ($ (-1151))) (-15 -2700 ($ (-637 (-148)))) (-15 -2152 ($) -3177) (-15 -2151 ($) -3177) (-15 -1425 ($) -3177) (-15 -3356 ($) -3177) (-15 -2698 ($) -3177) (-15 -2147 ($) -3177))) 
+((-2906 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 17)) (-1733 ((|#1| |#3|) 9)) (-2505 ((|#3| |#3|) 15))) 
+(((-144 |#1| |#2| |#3|) (-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -2505 (|#3| |#3|)) (-15 -2906 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-561) (-999 |#1|) (-378 |#2|)) (T -144)) 
+((-2906 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-999 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-144 *4 *5 *3)) (-4 *3 (-378 *5)))) (-2505 (*1 *2 *2) (-12 (-4 *3 (-561)) (-4 *4 (-999 *3)) (-5 *1 (-144 *3 *4 *2)) (-4 *2 (-378 *4)))) (-1733 (*1 *2 *3) (-12 (-4 *4 (-999 *2)) (-4 *2 (-561)) (-5 *1 (-144 *2 *4 *3)) (-4 *3 (-378 *4))))) 
+(-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -2505 (|#3| |#3|)) (-15 -2906 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
+((-2234 (((-121) $ $) NIL (|has| (-170 (-216)) (-1097)))) (-4137 (($ (-768) (-768)) NIL)) (-2657 (($ $ $) NIL)) (-2889 (($ (-146)) NIL) (($ $) NIL)) (-4359 (((-121) $) NIL)) (-3609 (($ $ (-571) (-571)) NIL)) (-4464 (($ $ (-571) (-571)) NIL)) (-3657 (($ $ (-571) (-571) (-571) (-571)) NIL)) (-2797 (($ $) NIL)) (-2209 (((-121) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2316 (($ $ (-571) (-571) $) NIL)) (-3251 (((-170 (-216)) $ (-571) (-571) (-170 (-216))) NIL) (($ $ (-637 (-571)) (-637 (-571)) $) NIL)) (-2071 (($ $ (-571) (-146)) NIL)) (-1635 (($ $ (-571) (-146)) NIL)) (-1986 (($ (-768) (-170 (-216))) NIL)) (-2269 (($) NIL T CONST)) (-2986 (($ $) NIL (|has| (-170 (-216)) (-302)))) (-4336 (((-146) $ (-571)) NIL)) (-3241 (((-768) $) NIL (|has| (-170 (-216)) (-561)))) (-2922 (((-170 (-216)) $ (-571) (-571) (-170 (-216))) 16)) (-1356 (($ (-571) (-571)) 18)) (-4319 (((-170 (-216)) $ (-571) (-571)) 15)) (-2430 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-173)))) (-4034 (((-637 (-170 (-216))) $) NIL)) (-3709 (((-768) $) NIL (|has| (-170 (-216)) (-561)))) (-2855 (((-637 (-146)) $) NIL (|has| (-170 (-216)) (-561)))) (-3673 (((-768) $) 10)) (-1364 (($ (-768) (-768) (-170 (-216))) 19)) (-3682 (((-768) $) 11)) (-2262 (((-121) $ (-768)) NIL)) (-1997 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-6 (-4602 "*"))))) (-1950 (((-571) $) 7)) (-3325 (((-571) $) 8)) (-3488 (((-637 (-170 (-216))) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-170 (-216)) (-1097))))) (-4239 (((-571) $) 12)) (-4395 (((-571) $) 13)) (-3567 (($ (-637 (-637 (-170 (-216))))) NIL) (($ (-768) (-768) (-1 (-170 (-216)) (-571) (-571))) NIL)) (-1923 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL)) (-3799 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $ (-170 (-216))) NIL)) (-3818 (((-637 (-637 (-170 (-216)))) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| (-170 (-216)) (-1097)))) (-1774 (((-3 $ "failed") $) NIL (|has| (-170 (-216)) (-367)))) (-1685 (($ $ $) NIL)) (-2580 (((-1115) $) NIL (|has| (-170 (-216)) (-1097)))) (-4411 (($ $ (-170 (-216))) NIL)) (-1786 (((-3 $ "failed") $ (-170 (-216))) NIL (|has| (-170 (-216)) (-561)))) (-3160 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-170 (-216))))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1097)))) (($ $ (-289 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1097)))) (($ $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1097)))) (($ $ (-637 (-170 (-216))) (-637 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 17)) (-3245 (((-170 (-216)) $ (-571) (-571)) NIL) (((-170 (-216)) $ (-571) (-571) (-170 (-216))) NIL) (($ $ (-637 (-571)) (-637 (-571))) NIL)) (-2949 (($ (-637 (-170 (-216)))) NIL) (($ (-637 $)) NIL)) (-4208 (((-121) $) NIL)) (-3182 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4600))) (((-768) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-170 (-216)) (-1097))))) (-4316 (($ $) NIL)) (-1667 (((-637 (-146)) $) NIL (|has| (-170 (-216)) (-302)))) (-2852 (((-146) $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| (-170 (-216)) (-1097))) (($ (-146)) NIL)) (-3027 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-1323 (((-121) $ $) NIL (|has| (-170 (-216)) (-1097)))) (-1379 (($ $ (-170 (-216))) NIL (|has| (-170 (-216)) (-367)))) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| (-170 (-216)) (-367)))) (* (($ $ $) NIL) (($ (-170 (-216)) $) NIL) (($ $ (-170 (-216))) NIL) (($ (-571) $) NIL) (((-146) $ (-146)) NIL) (((-146) (-146) $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-145) (-13 (-682 (-170 (-216)) (-146) (-146)) (-10 -8 (-15 -1356 ($ (-571) (-571)))))) (T -145)) 
+((-1356 (*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-145))))) 
+(-13 (-682 (-170 (-216)) (-146) (-146)) (-10 -8 (-15 -1356 ($ (-571) (-571))))) 
+((-2234 (((-121) $ $) NIL (|has| (-170 (-216)) (-1097)))) (-4137 (($ (-768)) NIL (|has| (-170 (-216)) (-23)))) (-3112 (($ (-637 (-170 (-216)))) NIL)) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL) (((-121) $) NIL (|has| (-170 (-216)) (-847)))) (-3652 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| (-170 (-216)) (-847))))) (-2972 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL) (($ $) NIL (|has| (-170 (-216)) (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 (((-170 (-216)) $ (-571) (-170 (-216))) 18 (|has| $ (-6 -4601))) (((-170 (-216)) $ (-1224 (-571)) (-170 (-216))) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-170 (-216)) (-1097))))) (-3412 (($ (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-170 (-216)) (-1097)))) (($ (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-170 (-216)) (-1097)))) (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ (-170 (-216))) NIL (|has| $ (-6 -4600))) (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4600)))) (-2922 (((-170 (-216)) $ (-571) (-170 (-216))) 9 (|has| $ (-6 -4601)))) (-1356 (($ (-571)) 14)) (-4319 (((-170 (-216)) $ (-571)) 8)) (-3984 (((-571) (-1 (-121) (-170 (-216))) $) NIL) (((-571) (-170 (-216)) $) NIL (|has| (-170 (-216)) (-1097))) (((-571) (-170 (-216)) $ (-571)) NIL (|has| (-170 (-216)) (-1097)))) (-4034 (((-637 (-170 (-216))) $) NIL (|has| $ (-6 -4600)))) (-3317 (((-684 (-170 (-216))) $ $) NIL (|has| (-170 (-216)) (-1053)))) (-1364 (($ (-768) (-170 (-216))) 16)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 12 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| (-170 (-216)) (-847)))) (-3491 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $ $) NIL) (($ $ $) NIL (|has| (-170 (-216)) (-847)))) (-3488 (((-637 (-170 (-216))) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-170 (-216)) (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-170 (-216)) (-847)))) (-1923 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $) NIL)) (-3725 (((-170 (-216)) $) NIL (-12 (|has| (-170 (-216)) (-1008)) (|has| (-170 (-216)) (-1053))))) (-3794 (((-121) $ (-768)) NIL)) (-3158 (((-170 (-216)) $) NIL (-12 (|has| (-170 (-216)) (-1008)) (|has| (-170 (-216)) (-1053))))) (-3944 (((-1151) $) NIL (|has| (-170 (-216)) (-1097)))) (-2594 (($ (-170 (-216)) $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| (-170 (-216)) (-1097)))) (-1827 (((-170 (-216)) $) NIL (|has| (-571) (-847)))) (-3765 (((-3 (-170 (-216)) "failed") (-1 (-121) (-170 (-216))) $) NIL)) (-4411 (($ $ (-170 (-216))) 15 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-170 (-216))))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1097)))) (($ $ (-289 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1097)))) (($ $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1097)))) (($ $ (-637 (-170 (-216))) (-637 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-170 (-216)) (-1097))))) (-3909 (((-637 (-170 (-216))) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 13)) (-3245 (((-170 (-216)) $ (-571) (-170 (-216))) NIL) (((-170 (-216)) $ (-571)) 17) (($ $ (-1224 (-571))) NIL)) (-2503 (((-170 (-216)) $ $) NIL (|has| (-170 (-216)) (-1053)))) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1389 (($ $ $) NIL (|has| (-170 (-216)) (-1053)))) (-1569 (((-768) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4600))) (((-768) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-170 (-216)) (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-170 (-216)) (-612 (-544))))) (-3891 (($ (-637 (-170 (-216)))) NIL)) (-4498 (($ $ (-170 (-216))) NIL) (($ (-170 (-216)) $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| (-170 (-216)) (-1097)))) (-3027 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| (-170 (-216)) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-170 (-216)) (-847)))) (-1323 (((-121) $ $) NIL (|has| (-170 (-216)) (-1097)))) (-1342 (((-121) $ $) NIL (|has| (-170 (-216)) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-170 (-216)) (-847)))) (-1373 (($ $) NIL (|has| (-170 (-216)) (-21))) (($ $ $) NIL (|has| (-170 (-216)) (-21)))) (-1367 (($ $ $) NIL (|has| (-170 (-216)) (-25)))) (* (($ (-571) $) NIL (|has| (-170 (-216)) (-21))) (($ (-170 (-216)) $) NIL (|has| (-170 (-216)) (-721))) (($ $ (-170 (-216))) NIL (|has| (-170 (-216)) (-721)))) (-4001 (((-768) $) 11 (|has| $ (-6 -4600))))) 
+(((-146) (-13 (-1256 (-170 (-216))) (-10 -8 (-15 -1356 ($ (-571))) (-15 -3112 ($ (-637 (-170 (-216)))))))) (T -146)) 
+((-1356 (*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-146)))) (-3112 (*1 *1 *2) (-12 (-5 *2 (-637 (-170 (-216)))) (-5 *1 (-146))))) 
+(-13 (-1256 (-170 (-216))) (-10 -8 (-15 -1356 ($ (-571))) (-15 -3112 ($ (-637 (-170 (-216))))))) 
+((-3810 (($ $ $) 8)) (-2761 (($ $) 7)) (-1358 (($ $ $) 6))) 
+(((-147) (-1289)) (T -147)) 
+((-3810 (*1 *1 *1 *1) (-4 *1 (-147))) (-2761 (*1 *1 *1) (-4 *1 (-147))) (-1358 (*1 *1 *1 *1) (-4 *1 (-147)))) 
+(-13 (-10 -8 (-15 -1358 ($ $ $)) (-15 -2761 ($ $)) (-15 -3810 ($ $ $)))) 
+((-2234 (((-121) $ $) NIL)) (-3193 (((-121) $) 38)) (-1425 (($ $) 50)) (-3926 (($) 25)) (-4407 (((-768)) 16)) (-3254 (($) 24)) (-4509 (($) 26)) (-2989 (((-571) $) 21)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-1309 (((-121) $) 40)) (-3356 (($ $) 51)) (-4470 (((-922) $) 22)) (-3944 (((-1151) $) 46)) (-1755 (($ (-922)) 20)) (-1823 (((-121) $) 36)) (-2580 (((-1115) $) NIL)) (-2170 (($) 27)) (-3804 (((-637 $)) NIL)) (-2800 (((-121) $) 34)) (-3942 (((-855) $) 29)) (-2008 (($ (-571)) 18) (($ (-1151)) 49)) (-3741 (((-121) $) 44)) (-3580 (((-121) $) 42)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 13)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 14))) 
+(((-148) (-13 (-841) (-10 -8 (-15 -2989 ((-571) $)) (-15 -2008 ($ (-571))) (-15 -2008 ($ (-1151))) (-15 -3926 ($)) (-15 -4509 ($)) (-15 -2170 ($)) (-15 -1425 ($ $)) (-15 -3356 ($ $)) (-15 -2800 ((-121) $)) (-15 -1823 ((-121) $)) (-15 -3580 ((-121) $)) (-15 -3193 ((-121) $)) (-15 -1309 ((-121) $)) (-15 -3741 ((-121) $))))) (T -148)) 
+((-2989 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-148)))) (-2008 (*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-148)))) (-2008 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-148)))) (-3926 (*1 *1) (-5 *1 (-148))) (-4509 (*1 *1) (-5 *1 (-148))) (-2170 (*1 *1) (-5 *1 (-148))) (-1425 (*1 *1 *1) (-5 *1 (-148))) (-3356 (*1 *1 *1) (-5 *1 (-148))) (-2800 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-1823 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-3580 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-3193 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-1309 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-3741 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(-13 (-841) (-10 -8 (-15 -2989 ((-571) $)) (-15 -2008 ($ (-571))) (-15 -2008 ($ (-1151))) (-15 -3926 ($)) (-15 -4509 ($)) (-15 -2170 ($)) (-15 -1425 ($ $)) (-15 -3356 ($ $)) (-15 -2800 ((-121) $)) (-15 -1823 ((-121) $)) (-15 -3580 ((-121) $)) (-15 -3193 ((-121) $)) (-15 -1309 ((-121) $)) (-15 -3741 ((-121) $)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27)) (-2346 (((-3 $ "failed") $) 34)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-149) (-1289)) (T -149)) 
+((-2346 (*1 *1 *1) (|partial| -4 *1 (-149)))) 
+(-13 (-1053) (-10 -8 (-15 -2346 ((-3 $ "failed") $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 $) . T) ((-721) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-3393 ((|#1| (-684 |#1|) |#1|) 17))) 
+(((-150 |#1|) (-10 -7 (-15 -3393 (|#1| (-684 |#1|) |#1|))) (-173)) (T -150)) 
+((-3393 (*1 *2 *3 *2) (-12 (-5 *3 (-684 *2)) (-4 *2 (-173)) (-5 *1 (-150 *2))))) 
+(-10 -7 (-15 -3393 (|#1| (-684 |#1|) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-151) (-1289)) (T -151)) 
+NIL 
+(-13 (-1053)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 $) . T) ((-721) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2196 (((-2 (|:| -2154 (-768)) (|:| -4501 (-412 |#2|)) (|:| |radicand| |#2|)) (-412 |#2|) (-768)) 69)) (-4100 (((-3 (-2 (|:| |radicand| (-412 |#2|)) (|:| |deg| (-768))) "failed") |#3|) 51)) (-2188 (((-2 (|:| -4501 (-412 |#2|)) (|:| |poly| |#3|)) |#3|) 36)) (-3760 ((|#1| |#3| |#3|) 39)) (-4483 ((|#3| |#3| (-412 |#2|) (-412 |#2|)) 19)) (-4259 (((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-412 |#2|)) (|:| |c2| (-412 |#2|)) (|:| |deg| (-768))) |#3| |#3|) 48))) 
+(((-152 |#1| |#2| |#3|) (-10 -7 (-15 -2188 ((-2 (|:| -4501 (-412 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -4100 ((-3 (-2 (|:| |radicand| (-412 |#2|)) (|:| |deg| (-768))) "failed") |#3|)) (-15 -2196 ((-2 (|:| -2154 (-768)) (|:| -4501 (-412 |#2|)) (|:| |radicand| |#2|)) (-412 |#2|) (-768))) (-15 -3760 (|#1| |#3| |#3|)) (-15 -4483 (|#3| |#3| (-412 |#2|) (-412 |#2|))) (-15 -4259 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-412 |#2|)) (|:| |c2| (-412 |#2|)) (|:| |deg| (-768))) |#3| |#3|))) (-1213) (-1233 |#1|) (-1233 (-412 |#2|))) (T -152)) 
+((-4259 (*1 *2 *3 *3) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-412 *5)) (|:| |c2| (-412 *5)) (|:| |deg| (-768)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1233 (-412 *5))))) (-4483 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-412 *5)) (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-5 *1 (-152 *4 *5 *2)) (-4 *2 (-1233 *3)))) (-3760 (*1 *2 *3 *3) (-12 (-4 *4 (-1233 *2)) (-4 *2 (-1213)) (-5 *1 (-152 *2 *4 *3)) (-4 *3 (-1233 (-412 *4))))) (-2196 (*1 *2 *3 *4) (-12 (-5 *3 (-412 *6)) (-4 *5 (-1213)) (-4 *6 (-1233 *5)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *3) (|:| |radicand| *6))) (-5 *1 (-152 *5 *6 *7)) (-5 *4 (-768)) (-4 *7 (-1233 *3)))) (-4100 (*1 *2 *3) (|partial| -12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| |radicand| (-412 *5)) (|:| |deg| (-768)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1233 (-412 *5))))) (-2188 (*1 *2 *3) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| -4501 (-412 *5)) (|:| |poly| *3))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1233 (-412 *5)))))) 
+(-10 -7 (-15 -2188 ((-2 (|:| -4501 (-412 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -4100 ((-3 (-2 (|:| |radicand| (-412 |#2|)) (|:| |deg| (-768))) "failed") |#3|)) (-15 -2196 ((-2 (|:| -2154 (-768)) (|:| -4501 (-412 |#2|)) (|:| |radicand| |#2|)) (-412 |#2|) (-768))) (-15 -3760 (|#1| |#3| |#3|)) (-15 -4483 (|#3| |#3| (-412 |#2|) (-412 |#2|))) (-15 -4259 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-412 |#2|)) (|:| |c2| (-412 |#2|)) (|:| |deg| (-768))) |#3| |#3|))) 
+((-1926 (((-3 (-637 (-1165 |#2|)) "failed") (-637 (-1165 |#2|)) (-1165 |#2|)) 31))) 
+(((-153 |#1| |#2|) (-10 -7 (-15 -1926 ((-3 (-637 (-1165 |#2|)) "failed") (-637 (-1165 |#2|)) (-1165 |#2|)))) (-553) (-167 |#1|)) (T -153)) 
+((-1926 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 *5))) (-5 *3 (-1165 *5)) (-4 *5 (-167 *4)) (-4 *4 (-553)) (-5 *1 (-153 *4 *5))))) 
+(-10 -7 (-15 -1926 ((-3 (-637 (-1165 |#2|)) "failed") (-637 (-1165 |#2|)) (-1165 |#2|)))) 
+((-2534 (($ (-1 (-121) |#2|) $) 29)) (-4365 (($ $) 36)) (-3412 (($ (-1 (-121) |#2|) $) 27) (($ |#2| $) 32)) (-3074 ((|#2| (-1 |#2| |#2| |#2|) $) 22) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 24) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 34)) (-3765 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 19)) (-3160 (((-121) (-1 (-121) |#2|) $) 16)) (-1569 (((-768) (-1 (-121) |#2|) $) 13) (((-768) |#2| $) NIL)) (-3027 (((-121) (-1 (-121) |#2|) $) 15)) (-4001 (((-768) $) 11))) 
+(((-154 |#1| |#2|) (-10 -8 (-15 -4365 (|#1| |#1|)) (-15 -3412 (|#1| |#2| |#1|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2534 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3412 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -3765 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -1569 ((-768) |#2| |#1|)) (-15 -1569 ((-768) (-1 (-121) |#2|) |#1|)) (-15 -3160 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4001 ((-768) |#1|))) (-155 |#2|) (-1203)) (T -154)) 
+NIL 
+(-10 -8 (-15 -4365 (|#1| |#1|)) (-15 -3412 (|#1| |#2| |#1|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2534 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3412 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -3765 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -1569 ((-768) |#2| |#1|)) (-15 -1569 ((-768) (-1 (-121) |#2|) |#1|)) (-15 -3160 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4001 ((-768) |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) 8)) (-2534 (($ (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-4365 (($ $) 38 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4600))) (($ |#1| $) 39 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $) 44 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 43 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 40 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 45)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 37 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 46)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-155 |#1|) (-1289) (-1203)) (T -155)) 
+((-3891 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-4 *1 (-155 *3)))) (-3765 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-155 *2)) (-4 *2 (-1203)))) (-3074 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4600)) (-4 *1 (-155 *2)) (-4 *2 (-1203)))) (-3074 (*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4600)) (-4 *1 (-155 *2)) (-4 *2 (-1203)))) (-3412 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4600)) (-4 *1 (-155 *3)) (-4 *3 (-1203)))) (-2534 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4600)) (-4 *1 (-155 *3)) (-4 *3 (-1203)))) (-3074 (*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1097)) (|has| *1 (-6 -4600)) (-4 *1 (-155 *2)) (-4 *2 (-1203)))) (-3412 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-155 *2)) (-4 *2 (-1203)) (-4 *2 (-1097)))) (-4365 (*1 *1 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-155 *2)) (-4 *2 (-1203)) (-4 *2 (-1097))))) 
+(-13 (-502 |t#1|) (-10 -8 (-15 -3891 ($ (-637 |t#1|))) (-15 -3765 ((-3 |t#1| "failed") (-1 (-121) |t#1|) $)) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3074 (|t#1| (-1 |t#1| |t#1| |t#1|) $)) (-15 -3074 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1|)) (-15 -3412 ($ (-1 (-121) |t#1|) $)) (-15 -2534 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1097)) (PROGN (-15 -3074 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1| |t#1|)) (-15 -3412 ($ |t#1| $)) (-15 -4365 ($ $))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) 85)) (-2583 (((-121) $) NIL)) (-4289 (($ |#2| (-637 (-922))) 56)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4271 (($ (-922)) 48)) (-3847 (((-140)) 23)) (-3942 (((-855) $) 68) (($ (-571)) 46) (($ |#2|) 47)) (-3136 ((|#2| $ (-637 (-922))) 58)) (-2661 (((-768)) 20)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 40 T CONST)) (-3222 (($) 44 T CONST)) (-1323 (((-121) $ $) 26)) (-1379 (($ $ |#2|) NIL)) (-1373 (($ $) 34) (($ $ $) 32)) (-1367 (($ $ $) 30)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 37) (($ $ $) 52) (($ |#2| $) 39) (($ $ |#2|) NIL))) 
+(((-156 |#1| |#2| |#3|) (-13 (-1053) (-43 |#2|) (-1265 |#2|) (-10 -8 (-15 -4271 ($ (-922))) (-15 -4289 ($ |#2| (-637 (-922)))) (-15 -3136 (|#2| $ (-637 (-922)))) (-15 -3978 ((-3 $ "failed") $)))) (-922) (-367) (-1000 |#1| |#2|)) (T -156)) 
+((-3978 (*1 *1 *1) (|partial| -12 (-5 *1 (-156 *2 *3 *4)) (-14 *2 (-922)) (-4 *3 (-367)) (-14 *4 (-1000 *2 *3)))) (-4271 (*1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-156 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-367)) (-14 *5 (-1000 *3 *4)))) (-4289 (*1 *1 *2 *3) (-12 (-5 *3 (-637 (-922))) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-922)) (-4 *2 (-367)) (-14 *5 (-1000 *4 *2)))) (-3136 (*1 *2 *1 *3) (-12 (-5 *3 (-637 (-922))) (-4 *2 (-367)) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-922)) (-14 *5 (-1000 *4 *2))))) 
+(-13 (-1053) (-43 |#2|) (-1265 |#2|) (-10 -8 (-15 -4271 ($ (-922))) (-15 -4289 ($ |#2| (-637 (-922)))) (-15 -3136 (|#2| $ (-637 (-922)))) (-15 -3978 ((-3 $ "failed") $)))) 
+((-2741 (((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-637 (-637 (-949 (-216)))) (-216) (-216) (-216) (-216)) 38)) (-2197 (((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932) (-412 (-571)) (-412 (-571))) 62) (((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932)) 63)) (-3779 (((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-637 (-637 (-949 (-216))))) 66) (((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-637 (-949 (-216)))) 65) (((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932) (-412 (-571)) (-412 (-571))) 57) (((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932)) 58))) 
+(((-157) (-10 -7 (-15 -3779 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932))) (-15 -3779 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932) (-412 (-571)) (-412 (-571)))) (-15 -2197 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932))) (-15 -2197 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932) (-412 (-571)) (-412 (-571)))) (-15 -2741 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-637 (-637 (-949 (-216)))) (-216) (-216) (-216) (-216))) (-15 -3779 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-637 (-949 (-216))))) (-15 -3779 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-637 (-637 (-949 (-216)))))))) (T -157)) 
+((-3779 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157)) (-5 *3 (-637 (-637 (-949 (-216))))))) (-3779 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157)) (-5 *3 (-637 (-949 (-216)))))) (-2741 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-216)) (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 *4)))) (|:| |xValues| (-1091 *4)) (|:| |yValues| (-1091 *4)))) (-5 *1 (-157)) (-5 *3 (-637 (-637 (-949 *4)))))) (-2197 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-932)) (-5 *4 (-412 (-571))) (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157)))) (-2197 (*1 *2 *3) (-12 (-5 *3 (-932)) (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157)))) (-3779 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-932)) (-5 *4 (-412 (-571))) (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157)))) (-3779 (*1 *2 *3) (-12 (-5 *3 (-932)) (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157))))) 
+(-10 -7 (-15 -3779 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932))) (-15 -3779 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932) (-412 (-571)) (-412 (-571)))) (-15 -2197 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932))) (-15 -2197 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-932) (-412 (-571)) (-412 (-571)))) (-15 -2741 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-637 (-637 (-949 (-216)))) (-216) (-216) (-216) (-216))) (-15 -3779 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-637 (-949 (-216))))) (-15 -3779 ((-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216)))) (-637 (-637 (-949 (-216))))))) 
+((-3097 (((-637 (-170 |#2|)) |#1| |#2|) 45))) 
+(((-158 |#1| |#2|) (-10 -7 (-15 -3097 ((-637 (-170 |#2|)) |#1| |#2|))) (-1233 (-170 (-571))) (-13 (-367) (-845))) (T -158)) 
+((-3097 (*1 *2 *3 *4) (-12 (-5 *2 (-637 (-170 *4))) (-5 *1 (-158 *3 *4)) (-4 *3 (-1233 (-170 (-571)))) (-4 *4 (-13 (-367) (-845)))))) 
+(-10 -7 (-15 -3097 ((-637 (-170 |#2|)) |#1| |#2|))) 
+((-2234 (((-121) $ $) NIL)) (-3898 (($) 15)) (-2215 (($) 14)) (-1967 (((-922)) 22)) (-3944 (((-1151) $) NIL)) (-3040 (((-571) $) 19)) (-2580 (((-1115) $) NIL)) (-3111 (($) 16)) (-3110 (($ (-571)) 23)) (-3942 (((-855) $) 29)) (-2206 (($) 17)) (-1323 (((-121) $ $) 13)) (-1367 (($ $ $) 11)) (* (($ (-922) $) 21) (($ (-216) $) 8))) 
+(((-159) (-13 (-25) (-10 -8 (-15 * ($ (-922) $)) (-15 * ($ (-216) $)) (-15 -1367 ($ $ $)) (-15 -2215 ($)) (-15 -3898 ($)) (-15 -3111 ($)) (-15 -2206 ($)) (-15 -3040 ((-571) $)) (-15 -1967 ((-922))) (-15 -3110 ($ (-571)))))) (T -159)) 
+((-1367 (*1 *1 *1 *1) (-5 *1 (-159))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-922)) (-5 *1 (-159)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-159)))) (-2215 (*1 *1) (-5 *1 (-159))) (-3898 (*1 *1) (-5 *1 (-159))) (-3111 (*1 *1) (-5 *1 (-159))) (-2206 (*1 *1) (-5 *1 (-159))) (-3040 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-159)))) (-1967 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-159)))) (-3110 (*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-159))))) 
+(-13 (-25) (-10 -8 (-15 * ($ (-922) $)) (-15 * ($ (-216) $)) (-15 -1367 ($ $ $)) (-15 -2215 ($)) (-15 -3898 ($)) (-15 -3111 ($)) (-15 -2206 ($)) (-15 -3040 ((-571) $)) (-15 -1967 ((-922))) (-15 -3110 ($ (-571))))) 
+((-1576 ((|#2| |#2| (-1089 |#2|)) 87) ((|#2| |#2| (-1169)) 67)) (-3940 ((|#2| |#2| (-1089 |#2|)) 86) ((|#2| |#2| (-1169)) 66)) (-3810 ((|#2| |#2| |#2|) 27)) (-3513 (((-123) (-123)) 97)) (-1616 ((|#2| (-637 |#2|)) 116)) (-2225 ((|#2| (-637 |#2|)) 134)) (-3483 ((|#2| (-637 |#2|)) 124)) (-1437 ((|#2| |#2|) 122)) (-2781 ((|#2| (-637 |#2|)) 109)) (-4545 ((|#2| (-637 |#2|)) 110)) (-2621 ((|#2| (-637 |#2|)) 132)) (-3750 ((|#2| |#2| (-1169)) 54) ((|#2| |#2|) 53)) (-2761 ((|#2| |#2|) 23)) (-1358 ((|#2| |#2| |#2|) 26)) (-3090 (((-121) (-123)) 47)) (** ((|#2| |#2| |#2|) 38))) 
+(((-160 |#1| |#2|) (-10 -7 (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -1358 (|#2| |#2| |#2|)) (-15 -3810 (|#2| |#2| |#2|)) (-15 -2761 (|#2| |#2|)) (-15 -3750 (|#2| |#2|)) (-15 -3750 (|#2| |#2| (-1169))) (-15 -1576 (|#2| |#2| (-1169))) (-15 -1576 (|#2| |#2| (-1089 |#2|))) (-15 -3940 (|#2| |#2| (-1169))) (-15 -3940 (|#2| |#2| (-1089 |#2|))) (-15 -1437 (|#2| |#2|)) (-15 -2621 (|#2| (-637 |#2|))) (-15 -3483 (|#2| (-637 |#2|))) (-15 -2225 (|#2| (-637 |#2|))) (-15 -2781 (|#2| (-637 |#2|))) (-15 -4545 (|#2| (-637 |#2|))) (-15 -1616 (|#2| (-637 |#2|)))) (-13 (-847) (-561)) (-435 |#1|)) (T -160)) 
+((-1616 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-4545 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-2781 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-2225 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-3483 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-2621 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-1437 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) (-3940 (*1 *2 *2 *3) (-12 (-5 *3 (-1089 *2)) (-4 *2 (-435 *4)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-160 *4 *2)))) (-3940 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-160 *4 *2)) (-4 *2 (-435 *4)))) (-1576 (*1 *2 *2 *3) (-12 (-5 *3 (-1089 *2)) (-4 *2 (-435 *4)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-160 *4 *2)))) (-1576 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-160 *4 *2)) (-4 *2 (-435 *4)))) (-3750 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-160 *4 *2)) (-4 *2 (-435 *4)))) (-3750 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) (-2761 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) (-3810 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) (-1358 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) (** (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) (-3513 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *4)) (-4 *4 (-435 *3)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-160 *4 *5)) (-4 *5 (-435 *4))))) 
+(-10 -7 (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -1358 (|#2| |#2| |#2|)) (-15 -3810 (|#2| |#2| |#2|)) (-15 -2761 (|#2| |#2|)) (-15 -3750 (|#2| |#2|)) (-15 -3750 (|#2| |#2| (-1169))) (-15 -1576 (|#2| |#2| (-1169))) (-15 -1576 (|#2| |#2| (-1089 |#2|))) (-15 -3940 (|#2| |#2| (-1169))) (-15 -3940 (|#2| |#2| (-1089 |#2|))) (-15 -1437 (|#2| |#2|)) (-15 -2621 (|#2| (-637 |#2|))) (-15 -3483 (|#2| (-637 |#2|))) (-15 -2225 (|#2| (-637 |#2|))) (-15 -2781 (|#2| (-637 |#2|))) (-15 -4545 (|#2| (-637 |#2|))) (-15 -1616 (|#2| (-637 |#2|)))) 
+((-2890 ((|#1| |#1| |#1|) 52)) (-2950 ((|#1| |#1| |#1|) 49)) (-3810 ((|#1| |#1| |#1|) 43)) (-3056 ((|#1| |#1|) 34)) (-2723 ((|#1| |#1| (-637 |#1|)) 42)) (-2761 ((|#1| |#1|) 36)) (-1358 ((|#1| |#1| |#1|) 39))) 
+(((-161 |#1|) (-10 -7 (-15 -1358 (|#1| |#1| |#1|)) (-15 -2761 (|#1| |#1|)) (-15 -2723 (|#1| |#1| (-637 |#1|))) (-15 -3056 (|#1| |#1|)) (-15 -3810 (|#1| |#1| |#1|)) (-15 -2950 (|#1| |#1| |#1|)) (-15 -2890 (|#1| |#1| |#1|))) (-553)) (T -161)) 
+((-2890 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553)))) (-2950 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553)))) (-3810 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553)))) (-3056 (*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553)))) (-2723 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-553)) (-5 *1 (-161 *2)))) (-2761 (*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553)))) (-1358 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553))))) 
+(-10 -7 (-15 -1358 (|#1| |#1| |#1|)) (-15 -2761 (|#1| |#1|)) (-15 -2723 (|#1| |#1| (-637 |#1|))) (-15 -3056 (|#1| |#1|)) (-15 -3810 (|#1| |#1| |#1|)) (-15 -2950 (|#1| |#1| |#1|)) (-15 -2890 (|#1| |#1| |#1|))) 
+((-1576 (($ $ (-1169)) 12) (($ $ (-1089 $)) 11)) (-3940 (($ $ (-1169)) 10) (($ $ (-1089 $)) 9)) (-3810 (($ $ $) 8)) (-3750 (($ $) 14) (($ $ (-1169)) 13)) (-2761 (($ $) 7)) (-1358 (($ $ $) 6))) 
+(((-162) (-1289)) (T -162)) 
+((-3750 (*1 *1 *1) (-4 *1 (-162))) (-3750 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1169)))) (-1576 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1169)))) (-1576 (*1 *1 *1 *2) (-12 (-5 *2 (-1089 *1)) (-4 *1 (-162)))) (-3940 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1169)))) (-3940 (*1 *1 *1 *2) (-12 (-5 *2 (-1089 *1)) (-4 *1 (-162))))) 
+(-13 (-147) (-10 -8 (-15 -3750 ($ $)) (-15 -3750 ($ $ (-1169))) (-15 -1576 ($ $ (-1169))) (-15 -1576 ($ $ (-1089 $))) (-15 -3940 ($ $ (-1169))) (-15 -3940 ($ $ (-1089 $))))) 
 (((-147) . T)) 
-((-1310 (((-121) $ $) NIL)) (-4115 (($ (-569)) 13) (($ $ $) 14)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 17)) (-1326 (((-121) $ $) 9))) 
-(((-163) (-13 (-1093) (-10 -8 (-15 -4115 ($ (-569))) (-15 -4115 ($ $ $))))) (T -163)) 
-((-4115 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-163)))) (-4115 (*1 *1 *1 *1) (-5 *1 (-163)))) 
-(-13 (-1093) (-10 -8 (-15 -4115 ($ (-569))) (-15 -4115 ($ $ $)))) 
-((-1344 (((-123) (-1165)) 99))) 
-(((-164) (-10 -7 (-15 -1344 ((-123) (-1165))))) (T -164)) 
-((-1344 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-123)) (-5 *1 (-164))))) 
-(-10 -7 (-15 -1344 ((-123) (-1165)))) 
-((-1806 ((|#3| |#3|) 19))) 
-(((-165 |#1| |#2| |#3|) (-10 -7 (-15 -1806 (|#3| |#3|))) (-1049) (-1228 |#1|) (-1228 |#2|)) (T -165)) 
-((-1806 (*1 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-1228 *3)) (-5 *1 (-165 *3 *4 *2)) (-4 *2 (-1228 *4))))) 
-(-10 -7 (-15 -1806 (|#3| |#3|))) 
-((-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 215)) (-3588 ((|#2| $) 95)) (-3544 (($ $) 242)) (-3467 (($ $) 236)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 39)) (-3530 (($ $) 240)) (-3455 (($ $) 234)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 139)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 137)) (-1614 (($ $ $) 220)) (-3435 (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 153) (((-681 |#2|) (-681 $)) 147)) (-2793 (($ (-1161 |#2|)) 118) (((-3 $ "failed") (-410 (-1161 |#2|))) NIL)) (-2611 (((-3 $ "failed") $) 207)) (-1330 (((-3 (-410 (-569)) "failed") $) 197)) (-4429 (((-121) $) 192)) (-2096 (((-410 (-569)) $) 195)) (-3358 (((-919)) 88)) (-1626 (($ $ $) 222)) (-3457 (((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) $) 258)) (-3415 (($) 231)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 184) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 189)) (-3046 ((|#2| $) 93)) (-2415 (((-1161 |#2|) $) 120)) (-4188 (($ (-1 |#2| |#2|) $) 101)) (-3597 (($ $) 233)) (-2786 (((-1161 |#2|) $) 119)) (-3243 (($ $) 200)) (-4526 (($) 96)) (-2769 (((-421 (-1161 $)) (-1161 $)) 87)) (-2059 (((-421 (-1161 $)) (-1161 $)) 56)) (-1436 (((-3 $ "failed") $ |#2|) 202) (((-3 $ "failed") $ $) 205)) (-3408 (($ $) 232)) (-2061 (((-765) $) 217)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 226)) (-2925 ((|#2| (-1253 $)) NIL) ((|#2|) 90)) (-3289 (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 112) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL)) (-3036 (((-1161 |#2|)) 113)) (-3538 (($ $) 241)) (-3460 (($ $) 235)) (-3672 (((-1253 |#2|) $ (-1253 $)) 126) (((-681 |#2|) (-1253 $) (-1253 $)) NIL) (((-1253 |#2|) $) 109) (((-681 |#2|) (-1253 $)) NIL)) (-4035 (((-1253 |#2|) $) NIL) (($ (-1253 |#2|)) NIL) (((-1161 |#2|) $) NIL) (($ (-1161 |#2|)) NIL) (((-889 (-569)) $) 175) (((-889 (-382)) $) 179) (((-170 (-382)) $) 165) (((-170 (-216)) $) 160) (((-542) $) 171)) (-3980 (($ $) 97)) (-3956 (((-852) $) 136) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-410 (-569))) NIL) (($ $) NIL)) (-3033 (((-1161 |#2|) $) 23)) (-2320 (((-765)) 99)) (-3585 (($ $) 245)) (-3505 (($ $) 239)) (-3572 (($ $) 243)) (-3490 (($ $) 237)) (-3955 ((|#2| $) 230)) (-3579 (($ $) 244)) (-3497 (($ $) 238)) (-4080 (($ $) 155)) (-1326 (((-121) $ $) 103)) (-1337 (((-121) $ $) 191)) (-1377 (($ $) 105) (($ $ $) NIL)) (-1371 (($ $ $) 104)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-410 (-569))) 264) (($ $ $) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 111) (($ $ $) 140) (($ $ |#2|) NIL) (($ |#2| $) 107) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL))) 
-(((-166 |#1| |#2|) (-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3956 (|#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -2061 ((-765) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1626 (|#1| |#1| |#1|)) (-15 -1614 (|#1| |#1| |#1|)) (-15 -3243 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-170 (-216)) |#1|)) (-15 -4035 ((-170 (-382)) |#1|)) (-15 -3467 (|#1| |#1|)) (-15 -3455 (|#1| |#1|)) (-15 -3460 (|#1| |#1|)) (-15 -3497 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3505 (|#1| |#1|)) (-15 -3538 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3597 (|#1| |#1|)) (-15 -3408 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -3415 (|#1|)) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -3457 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -3955 (|#2| |#1|)) (-15 -4080 (|#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3980 (|#1| |#1|)) (-15 -4526 (|#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -2793 ((-3 |#1| "failed") (-410 (-1161 |#2|)))) (-15 -2786 ((-1161 |#2|) |#1|)) (-15 -4035 (|#1| (-1161 |#2|))) (-15 -2793 (|#1| (-1161 |#2|))) (-15 -3036 ((-1161 |#2|))) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 ((-1161 |#2|) |#1|)) (-15 -2925 (|#2|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -2415 ((-1161 |#2|) |#1|)) (-15 -3033 ((-1161 |#2|) |#1|)) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -3046 (|#2| |#1|)) (-15 -3588 (|#2| |#1|)) (-15 -3358 ((-919))) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 ** (|#1| |#1| (-765))) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-167 |#2|) (-173)) (T -166)) 
-((-2320 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) (-3358 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-919)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) (-2925 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-166 *3 *2)) (-4 *3 (-167 *2)))) (-3036 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 *4)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4))))) 
-(-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3956 (|#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -2061 ((-765) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1626 (|#1| |#1| |#1|)) (-15 -1614 (|#1| |#1| |#1|)) (-15 -3243 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-170 (-216)) |#1|)) (-15 -4035 ((-170 (-382)) |#1|)) (-15 -3467 (|#1| |#1|)) (-15 -3455 (|#1| |#1|)) (-15 -3460 (|#1| |#1|)) (-15 -3497 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3505 (|#1| |#1|)) (-15 -3538 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3597 (|#1| |#1|)) (-15 -3408 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -3415 (|#1|)) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -3457 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -3955 (|#2| |#1|)) (-15 -4080 (|#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3980 (|#1| |#1|)) (-15 -4526 (|#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -2793 ((-3 |#1| "failed") (-410 (-1161 |#2|)))) (-15 -2786 ((-1161 |#2|) |#1|)) (-15 -4035 (|#1| (-1161 |#2|))) (-15 -2793 (|#1| (-1161 |#2|))) (-15 -3036 ((-1161 |#2|))) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 ((-1161 |#2|) |#1|)) (-15 -2925 (|#2|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -2415 ((-1161 |#2|) |#1|)) (-15 -3033 ((-1161 |#2|) |#1|)) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -3046 (|#2| |#1|)) (-15 -3588 (|#2| |#1|)) (-15 -3358 ((-919))) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 ** (|#1| |#1| (-765))) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 87 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2915 (($ $) 88 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2735 (((-121) $) 90 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2245 (((-681 |#1|) (-1253 $)) 44) (((-681 |#1|)) 55)) (-3588 ((|#1| $) 50)) (-3544 (($ $) 212 (|has| |#1| (-1185)))) (-3467 (($ $) 195 (|has| |#1| (-1185)))) (-2039 (((-1173 (-919) (-765)) (-569)) 141 (|has| |#1| (-351)))) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 226 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2710 (($ $) 107 (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3742 (((-421 $) $) 108 (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3422 (($ $) 225 (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 229 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2889 (((-121) $ $) 98 (|has| |#1| (-302)))) (-2675 (((-765)) 81 (|has| |#1| (-371)))) (-3530 (($ $) 211 (|has| |#1| (-1185)))) (-3455 (($ $) 196 (|has| |#1| (-1185)))) (-3559 (($ $) 210 (|has| |#1| (-1185)))) (-3480 (($ $) 197 (|has| |#1| (-1185)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 163 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 160)) (-1321 (((-569) $) 164 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 162 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 159)) (-2097 (($ (-1253 |#1|) (-1253 $)) 46) (($ (-1253 |#1|)) 58)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| |#1| (-351)))) (-1614 (($ $ $) 102 (|has| |#1| (-302)))) (-1808 (((-681 |#1|) $ (-1253 $)) 51) (((-681 |#1|) $) 53)) (-3435 (((-681 (-569)) (-681 $)) 158 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 157 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 156) (((-681 |#1|) (-681 $)) 155)) (-2793 (($ (-1161 |#1|)) 152) (((-3 $ "failed") (-410 (-1161 |#1|))) 149 (|has| |#1| (-366)))) (-2611 (((-3 $ "failed") $) 33)) (-3147 ((|#1| $) 237)) (-1330 (((-3 (-410 (-569)) "failed") $) 230 (|has| |#1| (-551)))) (-4429 (((-121) $) 232 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 231 (|has| |#1| (-551)))) (-3358 (((-919)) 52)) (-3341 (($) 84 (|has| |#1| (-371)))) (-1626 (($ $ $) 101 (|has| |#1| (-302)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 96 (|has| |#1| (-302)))) (-1456 (($) 143 (|has| |#1| (-351)))) (-3462 (((-121) $) 144 (|has| |#1| (-351)))) (-3238 (($ $ (-765)) 135 (|has| |#1| (-351))) (($ $) 134 (|has| |#1| (-351)))) (-2005 (((-121) $) 109 (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3457 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) 233 (-12 (|has| |#1| (-1058)) (|has| |#1| (-1185))))) (-3415 (($) 222 (|has| |#1| (-1185)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 245 (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 244 (|has| |#1| (-883 (-382))))) (-4433 (((-919) $) 146 (|has| |#1| (-351))) (((-830 (-919)) $) 132 (|has| |#1| (-351)))) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 224 (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185))))) (-3046 ((|#1| $) 49)) (-1542 (((-3 $ "failed") $) 136 (|has| |#1| (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| |#1| (-302)))) (-2415 (((-1161 |#1|) $) 42 (|has| |#1| (-366)))) (-2157 (($ $ $) 191 (|has| |#1| (-844)))) (-2713 (($ $ $) 190 (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) 246)) (-2862 (((-919) $) 83 (|has| |#1| (-371)))) (-3597 (($ $) 219 (|has| |#1| (-1185)))) (-2786 (((-1161 |#1|) $) 150)) (-1657 (($ (-635 $)) 94 (-1929 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (($ $ $) 93 (-1929 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 110 (|has| |#1| (-366)))) (-1423 (($) 137 (|has| |#1| (-351)) CONST)) (-1333 (($ (-919)) 82 (|has| |#1| (-371)))) (-4526 (($) 241)) (-3155 ((|#1| $) 238)) (-1912 (((-1111) $) 10)) (-1986 (($) 154)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 95 (-1929 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-3964 (($ (-635 $)) 92 (-1929 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (($ $ $) 91 (-1929 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 140 (|has| |#1| (-351)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 228 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2059 (((-421 (-1161 $)) (-1161 $)) 227 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-3139 (((-421 $) $) 106 (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| |#1| (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 103 (|has| |#1| (-302)))) (-1436 (((-3 $ "failed") $ |#1|) 236 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 86 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| |#1| (-302)))) (-3408 (($ $) 220 (|has| |#1| (-1185)))) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) 252 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 251 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 250 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 249 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 248 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) 247 (|has| |#1| (-524 (-1165) |#1|)))) (-2061 (((-765) $) 99 (|has| |#1| (-302)))) (-2503 (($ $ |#1|) 253 (|has| |#1| (-282 |#1| |#1|)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 100 (|has| |#1| (-302)))) (-2925 ((|#1| (-1253 $)) 45) ((|#1|) 54)) (-3600 (((-765) $) 145 (|has| |#1| (-351))) (((-3 (-765) "failed") $ $) 133 (|has| |#1| (-351)))) (-3289 (($ $ (-1 |#1| |#1|) (-765)) 117) (($ $ (-1 |#1| |#1|)) 116) (($ $ (-635 (-1165)) (-635 (-765))) 124 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 125 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 126 (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) 127 (|has| |#1| (-897 (-1165)))) (($ $ (-765)) 129 (-1929 (-3993 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))))) (($ $) 131 (-1929 (-3993 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3993 (|has| |#1| (-226)) (|has| |#1| (-366)))))) (-3775 (((-681 |#1|) (-1253 $) (-1 |#1| |#1|)) 148 (|has| |#1| (-366)))) (-3036 (((-1161 |#1|)) 153)) (-3565 (($ $) 209 (|has| |#1| (-1185)))) (-3485 (($ $) 198 (|has| |#1| (-1185)))) (-3563 (($) 142 (|has| |#1| (-351)))) (-3551 (($ $) 208 (|has| |#1| (-1185)))) (-3473 (($ $) 199 (|has| |#1| (-1185)))) (-3538 (($ $) 207 (|has| |#1| (-1185)))) (-3460 (($ $) 200 (|has| |#1| (-1185)))) (-3672 (((-1253 |#1|) $ (-1253 $)) 48) (((-681 |#1|) (-1253 $) (-1253 $)) 47) (((-1253 |#1|) $) 60) (((-681 |#1|) (-1253 $)) 59)) (-4035 (((-1253 |#1|) $) 57) (($ (-1253 |#1|)) 56) (((-1161 |#1|) $) 165) (($ (-1161 |#1|)) 151) (((-889 (-569)) $) 243 (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) 242 (|has| |#1| (-610 (-889 (-382))))) (((-170 (-382)) $) 194 (|has| |#1| (-1023))) (((-170 (-216)) $) 193 (|has| |#1| (-1023))) (((-542) $) 192 (|has| |#1| (-610 (-542))))) (-3980 (($ $) 240)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 139 (-1929 (-3993 (|has| $ (-149)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))) (|has| |#1| (-351))))) (-4340 (($ |#1| |#1|) 239)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 80 (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) 85 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2277 (($ $) 138 (|has| |#1| (-351))) (((-3 $ "failed") $) 41 (-1929 (-3993 (|has| $ (-149)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))) (|has| |#1| (-149))))) (-3033 (((-1161 |#1|) $) 43)) (-2320 (((-765)) 28)) (-4079 (((-1253 $)) 61)) (-3585 (($ $) 218 (|has| |#1| (-1185)))) (-3505 (($ $) 206 (|has| |#1| (-1185)))) (-2909 (((-121) $ $) 89 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-3572 (($ $) 217 (|has| |#1| (-1185)))) (-3490 (($ $) 205 (|has| |#1| (-1185)))) (-3599 (($ $) 216 (|has| |#1| (-1185)))) (-3517 (($ $) 204 (|has| |#1| (-1185)))) (-3955 ((|#1| $) 234 (|has| |#1| (-1185)))) (-4527 (($ $) 215 (|has| |#1| (-1185)))) (-3525 (($ $) 203 (|has| |#1| (-1185)))) (-3592 (($ $) 214 (|has| |#1| (-1185)))) (-3510 (($ $) 202 (|has| |#1| (-1185)))) (-3579 (($ $) 213 (|has| |#1| (-1185)))) (-3497 (($ $) 201 (|has| |#1| (-1185)))) (-4080 (($ $) 235 (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 111 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1 |#1| |#1|) (-765)) 119) (($ $ (-1 |#1| |#1|)) 118) (($ $ (-635 (-1165)) (-635 (-765))) 120 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 121 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 122 (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) 123 (|has| |#1| (-897 (-1165)))) (($ $ (-765)) 128 (-1929 (-3993 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))))) (($ $) 130 (-1929 (-3993 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3993 (|has| |#1| (-226)) (|has| |#1| (-366)))))) (-1355 (((-121) $ $) 188 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 187 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 189 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 186 (|has| |#1| (-844)))) (-1383 (($ $ $) 115 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-410 (-569))) 223 (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185)))) (($ $ $) 221 (|has| |#1| (-1185))) (($ $ (-569)) 112 (|has| |#1| (-366)))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-410 (-569)) $) 114 (|has| |#1| (-366))) (($ $ (-410 (-569))) 113 (|has| |#1| (-366))))) 
-(((-167 |#1|) (-1284) (-173)) (T -167)) 
-((-3046 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-4526 (*1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-3980 (*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-4340 (*1 *1 *2 *2) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-3155 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-3147 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-1436 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-4080 (*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) (-3955 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1185)))) (-3457 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-1058)) (-4 *3 (-1185)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3))))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-2096 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-1330 (*1 *2 *1) (|partial| -12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569)))))) 
-(-13 (-716 |t#1| (-1161 |t#1|)) (-414 |t#1|) (-224 |t#1|) (-337 |t#1|) (-403 |t#1|) (-881 |t#1|) (-380 |t#1|) (-173) (-10 -8 (-6 -4340) (-15 -4526 ($)) (-15 -3980 ($ $)) (-15 -4340 ($ |t#1| |t#1|)) (-15 -3155 (|t#1| $)) (-15 -3147 (|t#1| $)) (-15 -3046 (|t#1| $)) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-559)) (-15 -1436 ((-3 $ "failed") $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-302)) (-6 (-302)) |noBranch|) (IF (|has| |t#1| (-6 -4570)) (-6 -4570) |noBranch|) (IF (|has| |t#1| (-6 -4567)) (-6 -4567) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1023)) (PROGN (-6 (-610 (-170 (-216)))) (-6 (-610 (-170 (-382))))) |noBranch|) (IF (|has| |t#1| (-1058)) (-15 -4080 ($ $)) |noBranch|) (IF (|has| |t#1| (-1185)) (PROGN (-6 (-1185)) (-15 -3955 (|t#1| $)) (IF (|has| |t#1| (-1004)) (-6 (-1004)) |noBranch|) (IF (|has| |t#1| (-1058)) (-15 -3457 ((-2 (|:| |r| |t#1|) (|:| |phi| |t#1|)) $)) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-906)) (IF (|has| |t#1| (-302)) (-6 (-906)) |noBranch|) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-43 |#1|) . T) ((-43 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-40) |has| |#1| (-1185)) ((-98) |has| |#1| (-1185)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| |#1| (-351)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-610 (-170 (-216))) |has| |#1| (-1023)) ((-610 (-170 (-382))) |has| |#1| (-1023)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-889 (-382))) |has| |#1| (-610 (-889 (-382)))) ((-610 (-889 (-569))) |has| |#1| (-610 (-889 (-569)))) ((-610 (-1161 |#1|)) . T) ((-224 |#1|) . T) ((-226) -1929 (|has| |#1| (-351)) (|has| |#1| (-226))) ((-239) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-280) |has| |#1| (-1185)) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) -1929 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-302) -1929 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-366) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-405) |has| |#1| (-351)) ((-371) -1929 (|has| |#1| (-371)) (|has| |#1| (-351))) ((-351) |has| |#1| (-351)) ((-373 |#1| (-1161 |#1|)) . T) ((-412 |#1| (-1161 |#1|)) . T) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-503) |has| |#1| (-1185)) ((-524 (-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-559) -1929 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-709 |#1|) . T) ((-709 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-716 |#1| (-1161 |#1|)) . T) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-883 (-382)) |has| |#1| (-883 (-382))) ((-883 (-569)) |has| |#1| (-883 (-569))) ((-881 |#1|) . T) ((-906) -12 (|has| |#1| (-302)) (|has| |#1| (-906))) ((-918) -1929 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-1004) -12 (|has| |#1| (-1004)) (|has| |#1| (-1185))) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| |#1| (-351)) ((-1185) |has| |#1| (-1185)) ((-1188) |has| |#1| (-1185)) ((-1199) . T) ((-1208) -1929 (|has| |#1| (-351)) (|has| |#1| (-366)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) 
-((-3139 (((-421 |#2|) |#2|) 63))) 
-(((-168 |#1| |#2|) (-10 -7 (-15 -3139 ((-421 |#2|) |#2|))) (-302) (-1228 (-170 |#1|))) (T -168)) 
-((-3139 (*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-168 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
-(-10 -7 (-15 -3139 ((-421 |#2|) |#2|))) 
-((-4188 (((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)) 14))) 
-(((-169 |#1| |#2|) (-10 -7 (-15 -4188 ((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)))) (-173) (-173)) (T -169)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-170 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-5 *2 (-170 *6)) (-5 *1 (-169 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 33)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-2915 (($ $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-2735 (((-121) $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-2245 (((-681 |#1|) (-1253 $)) NIL) (((-681 |#1|)) NIL)) (-3588 ((|#1| $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-1185)))) (-3467 (($ $) NIL (|has| |#1| (-1185)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| |#1| (-351)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2710 (($ $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3742 (((-421 $) $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3422 (($ $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-302)))) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-3530 (($ $) NIL (|has| |#1| (-1185)))) (-3455 (($ $) NIL (|has| |#1| (-1185)))) (-3559 (($ $) NIL (|has| |#1| (-1185)))) (-3480 (($ $) NIL (|has| |#1| (-1185)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-2097 (($ (-1253 |#1|) (-1253 $)) NIL) (($ (-1253 |#1|)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-351)))) (-1614 (($ $ $) NIL (|has| |#1| (-302)))) (-1808 (((-681 |#1|) $ (-1253 $)) NIL) (((-681 |#1|) $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2793 (($ (-1161 |#1|)) NIL) (((-3 $ "failed") (-410 (-1161 |#1|))) NIL (|has| |#1| (-366)))) (-2611 (((-3 $ "failed") $) NIL)) (-3147 ((|#1| $) 13)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-4429 (((-121) $) NIL (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-3358 (((-919)) NIL)) (-3341 (($) NIL (|has| |#1| (-371)))) (-1626 (($ $ $) NIL (|has| |#1| (-302)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-302)))) (-1456 (($) NIL (|has| |#1| (-351)))) (-3462 (((-121) $) NIL (|has| |#1| (-351)))) (-3238 (($ $ (-765)) NIL (|has| |#1| (-351))) (($ $) NIL (|has| |#1| (-351)))) (-2005 (((-121) $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3457 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) NIL (-12 (|has| |#1| (-1058)) (|has| |#1| (-1185))))) (-3415 (($) NIL (|has| |#1| (-1185)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| |#1| (-883 (-382))))) (-4433 (((-919) $) NIL (|has| |#1| (-351))) (((-830 (-919)) $) NIL (|has| |#1| (-351)))) (-3934 (((-121) $) 35)) (-2522 (($ $ (-569)) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185))))) (-3046 ((|#1| $) 46)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-302)))) (-2415 (((-1161 |#1|) $) NIL (|has| |#1| (-366)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-3597 (($ $) NIL (|has| |#1| (-1185)))) (-2786 (((-1161 |#1|) $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-302))) (($ $ $) NIL (|has| |#1| (-302)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1423 (($) NIL (|has| |#1| (-351)) CONST)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-4526 (($) NIL)) (-3155 ((|#1| $) 15)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-302)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-302))) (($ $ $) NIL (|has| |#1| (-302)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| |#1| (-351)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-3139 (((-421 $) $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-302)))) (-1436 (((-3 $ "failed") $ |#1|) 44 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 47 (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-302)))) (-3408 (($ $) NIL (|has| |#1| (-1185)))) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-524 (-1165) |#1|)))) (-2061 (((-765) $) NIL (|has| |#1| (-302)))) (-2503 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-302)))) (-2925 ((|#1| (-1253 $)) NIL) ((|#1|) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-351))) (((-3 (-765) "failed") $ $) NIL (|has| |#1| (-351)))) (-3289 (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-3775 (((-681 |#1|) (-1253 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-3036 (((-1161 |#1|)) NIL)) (-3565 (($ $) NIL (|has| |#1| (-1185)))) (-3485 (($ $) NIL (|has| |#1| (-1185)))) (-3563 (($) NIL (|has| |#1| (-351)))) (-3551 (($ $) NIL (|has| |#1| (-1185)))) (-3473 (($ $) NIL (|has| |#1| (-1185)))) (-3538 (($ $) NIL (|has| |#1| (-1185)))) (-3460 (($ $) NIL (|has| |#1| (-1185)))) (-3672 (((-1253 |#1|) $ (-1253 $)) NIL) (((-681 |#1|) (-1253 $) (-1253 $)) NIL) (((-1253 |#1|) $) NIL) (((-681 |#1|) (-1253 $)) NIL)) (-4035 (((-1253 |#1|) $) NIL) (($ (-1253 |#1|)) NIL) (((-1161 |#1|) $) NIL) (($ (-1161 |#1|)) NIL) (((-889 (-569)) $) NIL (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| |#1| (-610 (-889 (-382))))) (((-170 (-382)) $) NIL (|has| |#1| (-1023))) (((-170 (-216)) $) NIL (|has| |#1| (-1023))) (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3980 (($ $) 45)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-351))))) (-4340 (($ |#1| |#1|) 37)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) 36) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-2277 (($ $) NIL (|has| |#1| (-351))) (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-3033 (((-1161 |#1|) $) NIL)) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL)) (-3585 (($ $) NIL (|has| |#1| (-1185)))) (-3505 (($ $) NIL (|has| |#1| (-1185)))) (-2909 (((-121) $ $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-3572 (($ $) NIL (|has| |#1| (-1185)))) (-3490 (($ $) NIL (|has| |#1| (-1185)))) (-3599 (($ $) NIL (|has| |#1| (-1185)))) (-3517 (($ $) NIL (|has| |#1| (-1185)))) (-3955 ((|#1| $) NIL (|has| |#1| (-1185)))) (-4527 (($ $) NIL (|has| |#1| (-1185)))) (-3525 (($ $) NIL (|has| |#1| (-1185)))) (-3592 (($ $) NIL (|has| |#1| (-1185)))) (-3510 (($ $) NIL (|has| |#1| (-1185)))) (-3579 (($ $) NIL (|has| |#1| (-1185)))) (-3497 (($ $) NIL (|has| |#1| (-1185)))) (-4080 (($ $) NIL (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 28 T CONST)) (-3297 (($) 30 T CONST)) (-3685 (((-1147) $) 23 (|has| |#1| (-825))) (((-1147) $ (-121)) 25 (|has| |#1| (-825))) (((-1258) (-819) $) 26 (|has| |#1| (-825))) (((-1258) (-819) $ (-121)) 27 (|has| |#1| (-825)))) (-3712 (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 39)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-410 (-569))) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185)))) (($ $ $) NIL (|has| |#1| (-1185))) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 42) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))))) 
-(((-170 |#1|) (-13 (-167 |#1|) (-10 -7 (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|))) (-173)) (T -170)) 
-NIL 
-(-13 (-167 |#1|) (-10 -7 (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|))) 
-((-4035 (((-889 |#1|) |#3|) 22))) 
-(((-171 |#1| |#2| |#3|) (-10 -7 (-15 -4035 ((-889 |#1|) |#3|))) (-1093) (-13 (-610 (-889 |#1|)) (-173)) (-167 |#2|)) (T -171)) 
-((-4035 (*1 *2 *3) (-12 (-4 *5 (-13 (-610 *2) (-173))) (-5 *2 (-889 *4)) (-5 *1 (-171 *4 *5 *3)) (-4 *4 (-1093)) (-4 *3 (-167 *5))))) 
-(-10 -7 (-15 -4035 ((-889 |#1|) |#3|))) 
-((-1310 (((-121) $ $) NIL)) (-3251 (((-121) $) 9)) (-1345 (((-121) $ (-121)) 11)) (-2446 (($) 12)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1799 (($ $) 13)) (-3956 (((-852) $) 17)) (-1980 (((-121) $) 8)) (-2412 (((-121) $ (-121)) 10)) (-1326 (((-121) $ $) NIL))) 
-(((-172) (-13 (-1093) (-10 -8 (-15 -2446 ($)) (-15 -1980 ((-121) $)) (-15 -3251 ((-121) $)) (-15 -2412 ((-121) $ (-121))) (-15 -1345 ((-121) $ (-121))) (-15 -1799 ($ $))))) (T -172)) 
-((-2446 (*1 *1) (-5 *1 (-172))) (-1980 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-3251 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-2412 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-1345 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-1799 (*1 *1 *1) (-5 *1 (-172)))) 
-(-13 (-1093) (-10 -8 (-15 -2446 ($)) (-15 -1980 ((-121) $)) (-15 -3251 ((-121) $)) (-15 -2412 ((-121) $ (-121))) (-15 -1345 ((-121) $ (-121))) (-15 -1799 ($ $)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-173) (-1284)) (T -173)) 
-NIL 
-(-13 (-1049) (-120 $ $) (-10 -7 (-6 (-4573 "*")))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 ((|#1| $) 74)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL)) (-3740 (($ $) 19)) (-3948 (($ |#1| (-1145 |#1|)) 47)) (-2611 (((-3 $ "failed") $) 116)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2399 (((-1145 |#1|) $) 81)) (-2836 (((-1145 |#1|) $) 78)) (-1545 (((-1145 |#1|) $) 79)) (-3934 (((-121) $) NIL)) (-2439 (((-1145 |#1|) $) 87)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ (-635 $)) NIL) (($ $ $) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-3803 (($ $ (-569)) 90)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-1685 (((-1145 |#1|) $) 88)) (-2514 (((-1145 (-410 |#1|)) $) 13)) (-2914 (($ (-410 |#1|)) 17) (($ |#1| (-1145 |#1|) (-1145 |#1|)) 37)) (-2994 (($ $) 92)) (-3956 (((-852) $) 126) (($ (-569)) 50) (($ |#1|) 51) (($ (-410 |#1|)) 35) (($ (-410 (-569))) NIL) (($ $) NIL)) (-2320 (((-765)) 63)) (-2909 (((-121) $ $) NIL)) (-3102 (((-1145 (-410 |#1|)) $) 18)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 25 T CONST)) (-3297 (($) 28 T CONST)) (-1326 (((-121) $ $) 34)) (-1383 (($ $ $) 114)) (-1377 (($ $) 105) (($ $ $) 102)) (-1371 (($ $ $) 100)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 112) (($ $ $) 107) (($ $ |#1|) NIL) (($ |#1| $) 109) (($ (-410 |#1|) $) 110) (($ $ (-410 |#1|)) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL))) 
-(((-174 |#1|) (-13 (-43 |#1|) (-43 (-410 |#1|)) (-366) (-10 -8 (-15 -2914 ($ (-410 |#1|))) (-15 -2914 ($ |#1| (-1145 |#1|) (-1145 |#1|))) (-15 -3948 ($ |#1| (-1145 |#1|))) (-15 -2836 ((-1145 |#1|) $)) (-15 -1545 ((-1145 |#1|) $)) (-15 -2399 ((-1145 |#1|) $)) (-15 -3644 (|#1| $)) (-15 -3740 ($ $)) (-15 -3102 ((-1145 (-410 |#1|)) $)) (-15 -2514 ((-1145 (-410 |#1|)) $)) (-15 -2439 ((-1145 |#1|) $)) (-15 -1685 ((-1145 |#1|) $)) (-15 -3803 ($ $ (-569))) (-15 -2994 ($ $)))) (-302)) (T -174)) 
-((-2914 (*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-302)) (-5 *1 (-174 *3)))) (-2914 (*1 *1 *2 *3 *3) (-12 (-5 *3 (-1145 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) (-3948 (*1 *1 *2 *3) (-12 (-5 *3 (-1145 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) (-2836 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-1545 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2399 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3644 (*1 *2 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) (-3740 (*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) (-3102 (*1 *2 *1) (-12 (-5 *2 (-1145 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2514 (*1 *2 *1) (-12 (-5 *2 (-1145 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2439 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-1685 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3803 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2994 (*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302))))) 
-(-13 (-43 |#1|) (-43 (-410 |#1|)) (-366) (-10 -8 (-15 -2914 ($ (-410 |#1|))) (-15 -2914 ($ |#1| (-1145 |#1|) (-1145 |#1|))) (-15 -3948 ($ |#1| (-1145 |#1|))) (-15 -2836 ((-1145 |#1|) $)) (-15 -1545 ((-1145 |#1|) $)) (-15 -2399 ((-1145 |#1|) $)) (-15 -3644 (|#1| $)) (-15 -3740 ($ $)) (-15 -3102 ((-1145 (-410 |#1|)) $)) (-15 -2514 ((-1145 (-410 |#1|)) $)) (-15 -2439 ((-1145 |#1|) $)) (-15 -1685 ((-1145 |#1|) $)) (-15 -3803 ($ $ (-569))) (-15 -2994 ($ $)))) 
-((-4253 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 40)) (-4226 (((-946 |#1|) (-946 |#1|)) 19)) (-3921 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 36)) (-3656 (((-946 |#1|) (-946 |#1|)) 17)) (-1759 (((-946 |#1|) (-946 |#1|)) 25)) (-2379 (((-946 |#1|) (-946 |#1|)) 24)) (-4049 (((-946 |#1|) (-946 |#1|)) 23)) (-1696 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 37)) (-4296 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 35)) (-4374 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 34)) (-4499 (((-946 |#1|) (-946 |#1|)) 18)) (-2310 (((-1 (-946 |#1|) (-946 |#1|)) |#1| |#1|) 43)) (-1577 (((-946 |#1|) (-946 |#1|)) 8)) (-1850 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 39)) (-2902 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 38))) 
-(((-175 |#1|) (-10 -7 (-15 -1577 ((-946 |#1|) (-946 |#1|))) (-15 -3656 ((-946 |#1|) (-946 |#1|))) (-15 -4499 ((-946 |#1|) (-946 |#1|))) (-15 -4226 ((-946 |#1|) (-946 |#1|))) (-15 -4049 ((-946 |#1|) (-946 |#1|))) (-15 -2379 ((-946 |#1|) (-946 |#1|))) (-15 -1759 ((-946 |#1|) (-946 |#1|))) (-15 -4374 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -4296 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -3921 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -1696 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -2902 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -1850 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -4253 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -2310 ((-1 (-946 |#1|) (-946 |#1|)) |#1| |#1|))) (-13 (-366) (-1185) (-1004))) (T -175)) 
-((-2310 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-4253 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-1850 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-2902 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-1696 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-3921 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-4296 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-4374 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-1759 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-2379 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-4049 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-4226 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-4499 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-3656 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-1577 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
-(-10 -7 (-15 -1577 ((-946 |#1|) (-946 |#1|))) (-15 -3656 ((-946 |#1|) (-946 |#1|))) (-15 -4499 ((-946 |#1|) (-946 |#1|))) (-15 -4226 ((-946 |#1|) (-946 |#1|))) (-15 -4049 ((-946 |#1|) (-946 |#1|))) (-15 -2379 ((-946 |#1|) (-946 |#1|))) (-15 -1759 ((-946 |#1|) (-946 |#1|))) (-15 -4374 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -4296 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -3921 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -1696 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -2902 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -1850 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -4253 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -2310 ((-1 (-946 |#1|) (-946 |#1|)) |#1| |#1|))) 
-((-3033 ((|#2| |#3|) 27))) 
-(((-176 |#1| |#2| |#3|) (-10 -7 (-15 -3033 (|#2| |#3|))) (-173) (-1228 |#1|) (-716 |#1| |#2|)) (T -176)) 
-((-3033 (*1 *2 *3) (-12 (-4 *4 (-173)) (-4 *2 (-1228 *4)) (-5 *1 (-176 *4 *2 *3)) (-4 *3 (-716 *4 *2))))) 
-(-10 -7 (-15 -3033 (|#2| |#3|))) 
-((-3318 (((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)) 47 (|has| (-955 |#2|) (-883 |#1|))))) 
-(((-177 |#1| |#2| |#3|) (-10 -7 (IF (|has| (-955 |#2|) (-883 |#1|)) (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))) |noBranch|)) (-1093) (-13 (-883 |#1|) (-173)) (-167 |#2|)) (T -177)) 
-((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *3 (-167 *6)) (-4 (-955 *6) (-883 *5)) (-4 *6 (-13 (-883 *5) (-173))) (-5 *1 (-177 *5 *6 *3))))) 
-(-10 -7 (IF (|has| (-955 |#2|) (-883 |#1|)) (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))) |noBranch|)) 
-((-4369 (((-635 |#1|) (-635 |#1|) |#1|) 36)) (-2479 (((-635 |#1|) |#1| (-635 |#1|)) 19)) (-2719 (((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|)) 31) ((|#1| (-635 |#1|) (-635 |#1|)) 29))) 
-(((-178 |#1|) (-10 -7 (-15 -2479 ((-635 |#1|) |#1| (-635 |#1|))) (-15 -2719 (|#1| (-635 |#1|) (-635 |#1|))) (-15 -2719 ((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|))) (-15 -4369 ((-635 |#1|) (-635 |#1|) |#1|))) (-302)) (T -178)) 
-((-4369 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3)))) (-2719 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-635 *4))) (-5 *2 (-635 *4)) (-4 *4 (-302)) (-5 *1 (-178 *4)))) (-2719 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-178 *2)) (-4 *2 (-302)))) (-2479 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
-(-10 -7 (-15 -2479 ((-635 |#1|) |#1| (-635 |#1|))) (-15 -2719 (|#1| (-635 |#1|) (-635 |#1|))) (-15 -2719 ((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|))) (-15 -4369 ((-635 |#1|) (-635 |#1|) |#1|))) 
-((-4100 (((-2 (|:| |start| |#2|) (|:| -3459 (-421 |#2|))) |#2|) 61)) (-4461 ((|#1| |#1|) 54)) (-1623 (((-170 |#1|) |#2|) 82)) (-1329 ((|#1| |#2|) 122) ((|#1| |#2| |#1|) 80)) (-4054 ((|#2| |#2|) 81)) (-2494 (((-421 |#2|) |#2| |#1|) 112) (((-421 |#2|) |#2| |#1| (-121)) 79)) (-3046 ((|#1| |#2|) 111)) (-2882 ((|#2| |#2|) 118)) (-3139 (((-421 |#2|) |#2|) 133) (((-421 |#2|) |#2| |#1|) 32) (((-421 |#2|) |#2| |#1| (-121)) 132)) (-2057 (((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2|) 131) (((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2| (-121)) 75)) (-1298 (((-635 (-170 |#1|)) |#2| |#1|) 40) (((-635 (-170 |#1|)) |#2|) 41))) 
-(((-179 |#1| |#2|) (-10 -7 (-15 -1298 ((-635 (-170 |#1|)) |#2|)) (-15 -1298 ((-635 (-170 |#1|)) |#2| |#1|)) (-15 -2057 ((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2| (-121))) (-15 -2057 ((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2|)) (-15 -3139 ((-421 |#2|) |#2| |#1| (-121))) (-15 -3139 ((-421 |#2|) |#2| |#1|)) (-15 -3139 ((-421 |#2|) |#2|)) (-15 -2882 (|#2| |#2|)) (-15 -3046 (|#1| |#2|)) (-15 -2494 ((-421 |#2|) |#2| |#1| (-121))) (-15 -2494 ((-421 |#2|) |#2| |#1|)) (-15 -4054 (|#2| |#2|)) (-15 -1329 (|#1| |#2| |#1|)) (-15 -1329 (|#1| |#2|)) (-15 -1623 ((-170 |#1|) |#2|)) (-15 -4461 (|#1| |#1|)) (-15 -4100 ((-2 (|:| |start| |#2|) (|:| -3459 (-421 |#2|))) |#2|))) (-13 (-366) (-842)) (-1228 (-170 |#1|))) (T -179)) 
-((-4100 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-2 (|:| |start| *3) (|:| -3459 (-421 *3)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-4461 (*1 *2 *2) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) (-1623 (*1 *2 *3) (-12 (-5 *2 (-170 *4)) (-5 *1 (-179 *4 *3)) (-4 *4 (-13 (-366) (-842))) (-4 *3 (-1228 *2)))) (-1329 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) (-1329 (*1 *2 *3 *2) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) (-4054 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-842))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1228 (-170 *3))))) (-2494 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-2494 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-3046 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) (-2882 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-842))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1228 (-170 *3))))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-3139 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-3139 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-2057 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-2 (|:| -3459 (-635 *3)) (|:| -3896 *4)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-2057 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-366) (-842))) (-5 *2 (-635 (-2 (|:| -3459 (-635 *3)) (|:| -3896 *5)))) (-5 *1 (-179 *5 *3)) (-4 *3 (-1228 (-170 *5))))) (-1298 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-1298 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
-(-10 -7 (-15 -1298 ((-635 (-170 |#1|)) |#2|)) (-15 -1298 ((-635 (-170 |#1|)) |#2| |#1|)) (-15 -2057 ((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2| (-121))) (-15 -2057 ((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2|)) (-15 -3139 ((-421 |#2|) |#2| |#1| (-121))) (-15 -3139 ((-421 |#2|) |#2| |#1|)) (-15 -3139 ((-421 |#2|) |#2|)) (-15 -2882 (|#2| |#2|)) (-15 -3046 (|#1| |#2|)) (-15 -2494 ((-421 |#2|) |#2| |#1| (-121))) (-15 -2494 ((-421 |#2|) |#2| |#1|)) (-15 -4054 (|#2| |#2|)) (-15 -1329 (|#1| |#2| |#1|)) (-15 -1329 (|#1| |#2|)) (-15 -1623 ((-170 |#1|) |#2|)) (-15 -4461 (|#1| |#1|)) (-15 -4100 ((-2 (|:| |start| |#2|) (|:| -3459 (-421 |#2|))) |#2|))) 
-((-1960 (((-3 |#2| "failed") |#2|) 14)) (-2430 (((-765) |#2|) 16)) (-2022 ((|#2| |#2| |#2|) 18))) 
-(((-180 |#1| |#2|) (-10 -7 (-15 -1960 ((-3 |#2| "failed") |#2|)) (-15 -2430 ((-765) |#2|)) (-15 -2022 (|#2| |#2| |#2|))) (-1199) (-666 |#1|)) (T -180)) 
-((-2022 (*1 *2 *2 *2) (-12 (-4 *3 (-1199)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3)))) (-2430 (*1 *2 *3) (-12 (-4 *4 (-1199)) (-5 *2 (-765)) (-5 *1 (-180 *4 *3)) (-4 *3 (-666 *4)))) (-1960 (*1 *2 *2) (|partial| -12 (-4 *3 (-1199)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
-(-10 -7 (-15 -1960 ((-3 |#2| "failed") |#2|)) (-15 -2430 ((-765) |#2|)) (-15 -2022 (|#2| |#2| |#2|))) 
-((-3309 ((|#2| |#2|) 28)) (-2776 (((-121) |#2|) 19)) (-3147 (((-311 |#1|) |#2|) 12)) (-3155 (((-311 |#1|) |#2|) 14)) (-1439 ((|#2| |#2| (-1165)) 68) ((|#2| |#2|) 69)) (-1608 (((-170 (-311 |#1|)) |#2|) 9)) (-4536 ((|#2| |#2| (-1165)) 65) ((|#2| |#2|) 58))) 
-(((-181 |#1| |#2|) (-10 -7 (-15 -1439 (|#2| |#2|)) (-15 -1439 (|#2| |#2| (-1165))) (-15 -4536 (|#2| |#2|)) (-15 -4536 (|#2| |#2| (-1165))) (-15 -3147 ((-311 |#1|) |#2|)) (-15 -3155 ((-311 |#1|) |#2|)) (-15 -2776 ((-121) |#2|)) (-15 -3309 (|#2| |#2|)) (-15 -1608 ((-170 (-311 |#1|)) |#2|))) (-13 (-559) (-844) (-1039 (-569))) (-13 (-27) (-1185) (-433 (-170 |#1|)))) (T -181)) 
-((-1608 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-170 (-311 *4))) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-3309 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3)))))) (-2776 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-121)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-3155 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-3147 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-4536 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-4536 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3)))))) (-1439 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-1439 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3))))))) 
-(-10 -7 (-15 -1439 (|#2| |#2|)) (-15 -1439 (|#2| |#2| (-1165))) (-15 -4536 (|#2| |#2|)) (-15 -4536 (|#2| |#2| (-1165))) (-15 -3147 ((-311 |#1|) |#2|)) (-15 -3155 ((-311 |#1|) |#2|)) (-15 -2776 ((-121) |#2|)) (-15 -3309 (|#2| |#2|)) (-15 -1608 ((-170 (-311 |#1|)) |#2|))) 
-((-1839 (((-1253 (-681 (-955 |#1|))) (-1253 (-681 |#1|))) 22)) (-3956 (((-1253 (-681 (-410 (-955 |#1|)))) (-1253 (-681 |#1|))) 30))) 
-(((-182 |#1|) (-10 -7 (-15 -1839 ((-1253 (-681 (-955 |#1|))) (-1253 (-681 |#1|)))) (-15 -3956 ((-1253 (-681 (-410 (-955 |#1|)))) (-1253 (-681 |#1|))))) (-173)) (T -182)) 
-((-3956 (*1 *2 *3) (-12 (-5 *3 (-1253 (-681 *4))) (-4 *4 (-173)) (-5 *2 (-1253 (-681 (-410 (-955 *4))))) (-5 *1 (-182 *4)))) (-1839 (*1 *2 *3) (-12 (-5 *3 (-1253 (-681 *4))) (-4 *4 (-173)) (-5 *2 (-1253 (-681 (-955 *4)))) (-5 *1 (-182 *4))))) 
-(-10 -7 (-15 -1839 ((-1253 (-681 (-955 |#1|))) (-1253 (-681 |#1|)))) (-15 -3956 ((-1253 (-681 (-410 (-955 |#1|)))) (-1253 (-681 |#1|))))) 
-((-2585 (((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569)))) 66)) (-2744 (((-1167 (-410 (-569))) (-635 (-569)) (-635 (-569))) 74)) (-2249 (((-1167 (-410 (-569))) (-569)) 40)) (-3325 (((-1167 (-410 (-569))) (-569)) 52)) (-1484 (((-410 (-569)) (-1167 (-410 (-569)))) 62)) (-3751 (((-1167 (-410 (-569))) (-569)) 32)) (-2606 (((-1167 (-410 (-569))) (-569)) 48)) (-4308 (((-1167 (-410 (-569))) (-569)) 46)) (-3958 (((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569)))) 60)) (-2994 (((-1167 (-410 (-569))) (-569)) 25)) (-2369 (((-410 (-569)) (-1167 (-410 (-569))) (-1167 (-410 (-569)))) 64)) (-1392 (((-1167 (-410 (-569))) (-569)) 30)) (-4122 (((-1167 (-410 (-569))) (-635 (-569))) 71))) 
-(((-183) (-10 -7 (-15 -2994 ((-1167 (-410 (-569))) (-569))) (-15 -2249 ((-1167 (-410 (-569))) (-569))) (-15 -3751 ((-1167 (-410 (-569))) (-569))) (-15 -1392 ((-1167 (-410 (-569))) (-569))) (-15 -4308 ((-1167 (-410 (-569))) (-569))) (-15 -2606 ((-1167 (-410 (-569))) (-569))) (-15 -3325 ((-1167 (-410 (-569))) (-569))) (-15 -2369 ((-410 (-569)) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -3958 ((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -1484 ((-410 (-569)) (-1167 (-410 (-569))))) (-15 -2585 ((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -4122 ((-1167 (-410 (-569))) (-635 (-569)))) (-15 -2744 ((-1167 (-410 (-569))) (-635 (-569)) (-635 (-569)))))) (T -183)) 
-((-2744 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)))) (-4122 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)))) (-2585 (*1 *2 *2 *2) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)))) (-1484 (*1 *2 *3) (-12 (-5 *3 (-1167 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) (-3958 (*1 *2 *2 *2) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)))) (-2369 (*1 *2 *3 *3) (-12 (-5 *3 (-1167 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) (-3325 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-2606 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-4308 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-1392 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-3751 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-2249 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-2994 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(-10 -7 (-15 -2994 ((-1167 (-410 (-569))) (-569))) (-15 -2249 ((-1167 (-410 (-569))) (-569))) (-15 -3751 ((-1167 (-410 (-569))) (-569))) (-15 -1392 ((-1167 (-410 (-569))) (-569))) (-15 -4308 ((-1167 (-410 (-569))) (-569))) (-15 -2606 ((-1167 (-410 (-569))) (-569))) (-15 -3325 ((-1167 (-410 (-569))) (-569))) (-15 -2369 ((-410 (-569)) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -3958 ((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -1484 ((-410 (-569)) (-1167 (-410 (-569))))) (-15 -2585 ((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -4122 ((-1167 (-410 (-569))) (-635 (-569)))) (-15 -2744 ((-1167 (-410 (-569))) (-635 (-569)) (-635 (-569))))) 
-((-3378 (((-421 (-1161 (-569))) (-569)) 28)) (-3465 (((-635 (-1161 (-569))) (-569)) 23)) (-1320 (((-1161 (-569)) (-569)) 21))) 
-(((-184) (-10 -7 (-15 -3465 ((-635 (-1161 (-569))) (-569))) (-15 -1320 ((-1161 (-569)) (-569))) (-15 -3378 ((-421 (-1161 (-569))) (-569))))) (T -184)) 
-((-3378 (*1 *2 *3) (-12 (-5 *2 (-421 (-1161 (-569)))) (-5 *1 (-184)) (-5 *3 (-569)))) (-1320 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-184)) (-5 *3 (-569)))) (-3465 (*1 *2 *3) (-12 (-5 *2 (-635 (-1161 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
-(-10 -7 (-15 -3465 ((-635 (-1161 (-569))) (-569))) (-15 -1320 ((-1161 (-569)) (-569))) (-15 -3378 ((-421 (-1161 (-569))) (-569)))) 
-((-3991 (((-1145 (-216)) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 101)) (-2260 (((-635 (-1147)) (-1145 (-216))) NIL)) (-4041 (((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 77)) (-3819 (((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216)))) NIL)) (-3470 (((-635 (-1147)) (-635 (-216))) NIL)) (-3193 (((-216) (-1087 (-837 (-216)))) 22)) (-4166 (((-216) (-1087 (-837 (-216)))) 23)) (-3664 (((-382) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 93)) (-3695 (((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 40)) (-2206 (((-1147) (-216)) NIL)) (-4467 (((-1147) (-635 (-1147))) 19)) (-3431 (((-1037) (-1165) (-1165) (-1037)) 12))) 
-(((-185) (-10 -7 (-15 -4041 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3695 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -3664 ((-382) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3819 ((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216)))) (-15 -4467 ((-1147) (-635 (-1147)))) (-15 -3431 ((-1037) (-1165) (-1165) (-1037))))) (T -185)) 
-((-3431 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1037)) (-5 *3 (-1165)) (-5 *1 (-185)))) (-4467 (*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-185)))) (-2260 (*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-185)))) (-3470 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-185)))) (-2206 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-185)))) (-3991 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-185)))) (-3819 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-185)))) (-3664 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-185)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) (-3193 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) (-3695 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-185)))) (-4041 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-185))))) 
-(-10 -7 (-15 -4041 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3695 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -3664 ((-382) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3819 ((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216)))) (-15 -4467 ((-1147) (-635 (-1147)))) (-15 -3431 ((-1037) (-1165) (-1165) (-1037)))) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 53) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 28) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-186) (-784)) (T -186)) 
-NIL 
-(-784) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 58) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-187) (-784)) (T -187)) 
-NIL 
-(-784) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 67) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 36) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-188) (-784)) (T -188)) 
-NIL 
-(-784) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 54) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 30) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-189) (-784)) (T -189)) 
-NIL 
-(-784) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 65) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 35) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-190) (-784)) (T -190)) 
-NIL 
-(-784) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 71) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-191) (-784)) (T -191)) 
-NIL 
-(-784) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 78) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 43) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-192) (-784)) (T -192)) 
-NIL 
-(-784) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 68) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-193) (-784)) (T -193)) 
-NIL 
-(-784) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 62)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 29)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-194) (-784)) (T -194)) 
-NIL 
-(-784) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 60)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 32)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-195) (-784)) (T -195)) 
-NIL 
-(-784) 
-((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 89) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 77) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-196) (-784)) (T -196)) 
-NIL 
-(-784) 
-((-2506 (((-3 (-2 (|:| -2859 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 80)) (-3294 (((-569) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 39)) (-1407 (((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 69))) 
-(((-197) (-10 -7 (-15 -2506 ((-3 (-2 (|:| -2859 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1407 ((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3294 ((-569) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -197)) 
-((-3294 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-569)) (-5 *1 (-197)))) (-1407 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-197)))) (-2506 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2859 (-123)) (|:| |w| (-216)))) (-5 *1 (-197))))) 
-(-10 -7 (-15 -2506 ((-3 (-2 (|:| -2859 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1407 ((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3294 ((-569) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
-((-4103 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-1789 (((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 127)) (-1724 (((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-681 (-311 (-216)))) 87)) (-1586 (((-382) (-681 (-311 (-216)))) 110)) (-3606 (((-681 (-311 (-216))) (-1253 (-311 (-216))) (-635 (-1165))) 107)) (-1379 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 26)) (-2500 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 42)) (-1484 (((-681 (-311 (-216))) (-681 (-311 (-216))) (-635 (-1165)) (-1253 (-311 (-216)))) 99)) (-4304 (((-382) (-382) (-635 (-382))) 104) (((-382) (-382) (-382)) 102)) (-3264 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33))) 
-(((-198) (-10 -7 (-15 -4304 ((-382) (-382) (-382))) (-15 -4304 ((-382) (-382) (-635 (-382)))) (-15 -1586 ((-382) (-681 (-311 (-216))))) (-15 -3606 ((-681 (-311 (-216))) (-1253 (-311 (-216))) (-635 (-1165)))) (-15 -1484 ((-681 (-311 (-216))) (-681 (-311 (-216))) (-635 (-1165)) (-1253 (-311 (-216))))) (-15 -1724 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-681 (-311 (-216))))) (-15 -1789 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4103 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2500 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3264 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1379 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -198)) 
-((-1379 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-3264 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-2500 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-4103 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-1789 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198)))) (-1724 (*1 *2 *3) (-12 (-5 *3 (-681 (-311 (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198)))) (-1484 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-681 (-311 (-216)))) (-5 *3 (-635 (-1165))) (-5 *4 (-1253 (-311 (-216)))) (-5 *1 (-198)))) (-3606 (*1 *2 *3 *4) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *4 (-635 (-1165))) (-5 *2 (-681 (-311 (-216)))) (-5 *1 (-198)))) (-1586 (*1 *2 *3) (-12 (-5 *3 (-681 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-4304 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-382))) (-5 *2 (-382)) (-5 *1 (-198)))) (-4304 (*1 *2 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-198))))) 
-(-10 -7 (-15 -4304 ((-382) (-382) (-382))) (-15 -4304 ((-382) (-382) (-635 (-382)))) (-15 -1586 ((-382) (-681 (-311 (-216))))) (-15 -3606 ((-681 (-311 (-216))) (-1253 (-311 (-216))) (-635 (-1165)))) (-15 -1484 ((-681 (-311 (-216))) (-681 (-311 (-216))) (-635 (-1165)) (-1253 (-311 (-216))))) (-15 -1724 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-681 (-311 (-216))))) (-15 -1789 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4103 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2500 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3264 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1379 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
-((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3476 (((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 60)) (-1326 (((-121) $ $) NIL))) 
-(((-199) (-797)) (T -199)) 
-NIL 
-(-797) 
-((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3476 (((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 60)) (-1326 (((-121) $ $) NIL))) 
-(((-200) (-797)) (T -200)) 
-NIL 
-(-797) 
-((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 36)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3476 (((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 64)) (-1326 (((-121) $ $) NIL))) 
-(((-201) (-797)) (T -201)) 
-NIL 
-(-797) 
-((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 42)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3476 (((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 73)) (-1326 (((-121) $ $) NIL))) 
-(((-202) (-797)) (T -202)) 
-NIL 
-(-797) 
-((-3810 (((-635 (-1165)) (-1165) (-765)) 22)) (-4385 (((-311 (-216)) (-311 (-216))) 29)) (-1598 (((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 67)) (-2191 (((-121) (-216) (-216) (-635 (-311 (-216)))) 43))) 
-(((-203) (-10 -7 (-15 -3810 ((-635 (-1165)) (-1165) (-765))) (-15 -4385 ((-311 (-216)) (-311 (-216)))) (-15 -2191 ((-121) (-216) (-216) (-635 (-311 (-216))))) (-15 -1598 ((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))))))) (T -203)) 
-((-1598 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-121)) (-5 *1 (-203)))) (-2191 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-635 (-311 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-203)))) (-4385 (*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-203)))) (-3810 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-635 (-1165))) (-5 *1 (-203)) (-5 *3 (-1165))))) 
-(-10 -7 (-15 -3810 ((-635 (-1165)) (-1165) (-765))) (-15 -4385 ((-311 (-216)) (-311 (-216)))) (-15 -2191 ((-121) (-216) (-216) (-635 (-311 (-216))))) (-15 -1598 ((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))))) 
-((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 17)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1976 (((-1037) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 55)) (-1326 (((-121) $ $) NIL))) 
-(((-204) (-892)) (T -204)) 
-NIL 
-(-892) 
-((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 12)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1976 (((-1037) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-205) (-892)) (T -205)) 
-NIL 
-(-892) 
-((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2367 (((-1258) $) 36) (((-1258) $ (-919) (-919)) 38)) (-2503 (($ $ (-992)) 19) (((-241 (-1147)) $ (-1165)) 15)) (-2442 (((-1258) $) 34)) (-3956 (((-852) $) 31) (($ (-635 |#1|)) 8)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $ $) 27)) (-1371 (($ $ $) 22))) 
-(((-206 |#1|) (-13 (-1093) (-10 -8 (-15 -2503 ($ $ (-992))) (-15 -2503 ((-241 (-1147)) $ (-1165))) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)) (-15 -3956 ($ (-635 |#1|))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $)) (-15 -2367 ((-1258) $ (-919) (-919))))) (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))) (T -206)) 
-((-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-992)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-241 (-1147))) (-5 *1 (-206 *4)) (-4 *4 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ *3)) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) (-1371 (*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) (-1377 (*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))) (-5 *1 (-206 *3)))) (-2442 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $))))))) (-2367 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $))))))) (-2367 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-206 *4)) (-4 *4 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $)))))))) 
-(-13 (-1093) (-10 -8 (-15 -2503 ($ $ (-992))) (-15 -2503 ((-241 (-1147)) $ (-1165))) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)) (-15 -3956 ($ (-635 |#1|))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $)) (-15 -2367 ((-1258) $ (-919) (-919))))) 
-((-4513 ((|#2| |#4| (-1 |#2| |#2|)) 46))) 
-(((-207 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4513 (|#2| |#4| (-1 |#2| |#2|)))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -207)) 
-((-4513 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-366)) (-4 *6 (-1228 (-410 *2))) (-4 *2 (-1228 *5)) (-5 *1 (-207 *5 *2 *6 *3)) (-4 *3 (-341 *5 *2 *6))))) 
-(-10 -7 (-15 -4513 (|#2| |#4| (-1 |#2| |#2|)))) 
-((-4029 ((|#2| |#2| (-765) |#2|) 41)) (-2224 ((|#2| |#2| (-765) |#2|) 37)) (-4125 (((-635 |#2|) (-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|)))) 55)) (-4435 (((-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|))) |#2|) 51)) (-3235 (((-121) |#2|) 48)) (-3576 (((-421 |#2|) |#2|) 74)) (-3139 (((-421 |#2|) |#2|) 73)) (-3922 ((|#2| |#2| (-765) |#2|) 35)) (-3612 (((-2 (|:| |cont| |#1|) (|:| -3459 (-635 (-2 (|:| |irr| |#2|) (|:| -4144 (-569)))))) |#2| (-121)) 66))) 
-(((-208 |#1| |#2|) (-10 -7 (-15 -3139 ((-421 |#2|) |#2|)) (-15 -3576 ((-421 |#2|) |#2|)) (-15 -3612 ((-2 (|:| |cont| |#1|) (|:| -3459 (-635 (-2 (|:| |irr| |#2|) (|:| -4144 (-569)))))) |#2| (-121))) (-15 -4435 ((-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|))) |#2|)) (-15 -4125 ((-635 |#2|) (-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|))))) (-15 -3922 (|#2| |#2| (-765) |#2|)) (-15 -2224 (|#2| |#2| (-765) |#2|)) (-15 -4029 (|#2| |#2| (-765) |#2|)) (-15 -3235 ((-121) |#2|))) (-351) (-1228 |#1|)) (T -208)) 
-((-3235 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) (-4029 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4)))) (-2224 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4)))) (-3922 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4)))) (-4125 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |deg| (-765)) (|:| -2988 *5)))) (-4 *5 (-1228 *4)) (-4 *4 (-351)) (-5 *2 (-635 *5)) (-5 *1 (-208 *4 *5)))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 (-2 (|:| |deg| (-765)) (|:| -2988 *3)))) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) (-3612 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-351)) (-5 *2 (-2 (|:| |cont| *5) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-208 *5 *3)) (-4 *3 (-1228 *5)))) (-3576 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -3139 ((-421 |#2|) |#2|)) (-15 -3576 ((-421 |#2|) |#2|)) (-15 -3612 ((-2 (|:| |cont| |#1|) (|:| -3459 (-635 (-2 (|:| |irr| |#2|) (|:| -4144 (-569)))))) |#2| (-121))) (-15 -4435 ((-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|))) |#2|)) (-15 -4125 ((-635 |#2|) (-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|))))) (-15 -3922 (|#2| |#2| (-765) |#2|)) (-15 -2224 (|#2| |#2| (-765) |#2|)) (-15 -4029 (|#2| |#2| (-765) |#2|)) (-15 -3235 ((-121) |#2|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-569) $) NIL (|has| (-569) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-569) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-569) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1039 (-569))))) (-1321 (((-569) $) NIL) (((-1165) $) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-569) (-1039 (-569)))) (((-569) $) NIL (|has| (-569) (-1039 (-569))))) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-569) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-569) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-569) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-569) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-569) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-569) (-1139)))) (-4311 (((-121) $) NIL (|has| (-569) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-4188 (($ (-1 (-569) (-569)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-569) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-1807 (((-569) $) NIL (|has| (-569) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1165)) (-635 (-569))) NIL (|has| (-569) (-524 (-1165) (-569)))) (($ $ (-1165) (-569)) NIL (|has| (-569) (-524 (-1165) (-569))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-569) $) NIL)) (-3701 (($ (-410 (-569))) 8)) (-4035 (((-889 (-569)) $) NIL (|has| (-569) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-569) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1023))) (((-216) $) NIL (|has| (-569) (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1165)) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL) (((-1006 10) $) 9)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-569) (-906))) (|has| (-569) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-569) $) NIL (|has| (-569) (-551)))) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| (-569) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1383 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
-(((-209) (-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 10) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -3701 ($ (-410 (-569))))))) (T -209)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1006 10)) (-5 *1 (-209)))) (-1391 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) (-3701 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209))))) 
-(-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 10) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -3701 ($ (-410 (-569)))))) 
-((-1324 (((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|)) (-1147)) 27) (((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|))) 23)) (-2878 (((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1165) (-837 |#2|) (-837 |#2|) (-121)) 16))) 
-(((-210 |#1| |#2|) (-10 -7 (-15 -1324 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|)))) (-15 -1324 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|)) (-1147))) (-15 -2878 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1165) (-837 |#2|) (-837 |#2|) (-121)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-961) (-29 |#1|))) (T -210)) 
-((-2878 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1165)) (-5 *6 (-121)) (-4 *7 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-1185) (-961) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *7 *3)) (-5 *5 (-837 *3)))) (-1324 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-837 *3))) (-5 *5 (-1147)) (-4 *3 (-13 (-1185) (-961) (-29 *6))) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6 *3)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-837 *3))) (-4 *3 (-13 (-1185) (-961) (-29 *5))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5 *3))))) 
-(-10 -7 (-15 -1324 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|)))) (-15 -1324 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|)) (-1147))) (-15 -2878 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1165) (-837 |#2|) (-837 |#2|) (-121)))) 
-((-1324 (((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|)))) (-1147)) 44) (((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|))))) 41) (((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|))) (-1147)) 45) (((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|)))) 17))) 
-(((-211 |#1|) (-10 -7 (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|))))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|))) (-1147))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|)))))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|)))) (-1147)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (T -211)) 
-((-1324 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-837 (-410 (-955 *6))))) (-5 *5 (-1147)) (-5 *3 (-410 (-955 *6))) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *6))) (|:| |f2| (-635 (-837 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-837 (-410 (-955 *5))))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *5))) (|:| |f2| (-635 (-837 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) (-1324 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-410 (-955 *6))) (-5 *4 (-1085 (-837 (-311 *6)))) (-5 *5 (-1147)) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *6))) (|:| |f2| (-635 (-837 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1085 (-837 (-311 *5)))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *5))) (|:| |f2| (-635 (-837 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5))))) 
-(-10 -7 (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|))))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|))) (-1147))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|)))))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|)))) (-1147)))) 
-((-2793 (((-2 (|:| -2665 (-1161 |#1|)) (|:| |deg| (-919))) (-1161 |#1|)) 20)) (-2121 (((-635 (-311 |#2|)) (-311 |#2|) (-919)) 42))) 
-(((-212 |#1| |#2|) (-10 -7 (-15 -2793 ((-2 (|:| -2665 (-1161 |#1|)) (|:| |deg| (-919))) (-1161 |#1|))) (-15 -2121 ((-635 (-311 |#2|)) (-311 |#2|) (-919)))) (-1049) (-13 (-559) (-844))) (T -212)) 
-((-2121 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *6 (-13 (-559) (-844))) (-5 *2 (-635 (-311 *6))) (-5 *1 (-212 *5 *6)) (-5 *3 (-311 *6)) (-4 *5 (-1049)))) (-2793 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-2 (|:| -2665 (-1161 *4)) (|:| |deg| (-919)))) (-5 *1 (-212 *4 *5)) (-5 *3 (-1161 *4)) (-4 *5 (-13 (-559) (-844)))))) 
-(-10 -7 (-15 -2793 ((-2 (|:| -2665 (-1161 |#1|)) (|:| |deg| (-919))) (-1161 |#1|))) (-15 -2121 ((-635 (-311 |#2|)) (-311 |#2|) (-919)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2518 ((|#1| $) 25)) (-1941 ((|#1| $) 26)) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-4063 (($ $) NIL)) (-2887 (($ $) 32)) (-2692 ((|#1| |#1| $) NIL)) (-3651 ((|#1| $) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2718 (((-765) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) NIL)) (-3354 ((|#1| |#1| $) 29)) (-3475 ((|#1| |#1| $) 31)) (-2351 (($ |#1| $) NIL)) (-1468 (((-765) $) 27)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1678 ((|#1| $) NIL)) (-1705 ((|#1| $) 24)) (-4139 ((|#1| $) 8)) (-2166 ((|#1| $) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3381 ((|#1| |#1| $) NIL)) (-1668 (((-121) $) 15)) (-4016 (($) NIL)) (-4458 ((|#1| $) NIL)) (-4164 (($) NIL) (($ (-635 |#1|)) 13)) (-2676 (((-765) $) 28)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3926 ((|#1| $) 9)) (-1753 (($ (-635 |#1|)) NIL)) (-3063 ((|#1| $) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-213 |#1|) (-13 (-248 |#1|) (-10 -8 (-15 -4164 ($ (-635 |#1|))) (-15 -4458 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -3381 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1678 (|#1| $)) (-15 -3063 (|#1| $)) (-15 -4063 ($ $)) (-15 -2718 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2676 ((-765) $)) (-15 -4164 ($)) (-15 -1468 ((-765) $)) (-15 -1941 (|#1| $)) (-15 -3926 (|#1| $)) (-15 -4139 (|#1| $)) (-15 -1705 (|#1| $)) (-15 -3475 (|#1| |#1| $)) (-15 -3354 (|#1| |#1| $)) (-15 -3651 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2887 ($ $)) (-15 -2518 (|#1| $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) (-1093)) (T -213)) 
-((-3186 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4016 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-1396 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) (-3206 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) (-3350 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) (-4483 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2946 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-213 *4)))) (-4303 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-4457 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-2691 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3016 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-2605 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1310 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) (-2166 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4496 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2692 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-3651 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-1941 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2676 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-3063 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-1678 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-4063 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4458 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-3381 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4164 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4164 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) (-1468 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-2518 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-3926 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-3354 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-3475 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-1705 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4139 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2887 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093))))) 
-(-13 (-248 |#1|) (-10 -8 (-15 -4164 ($ (-635 |#1|))) (-15 -4458 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -3381 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1678 (|#1| $)) (-15 -3063 (|#1| $)) (-15 -4063 ($ $)) (-15 -2718 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2676 ((-765) $)) (-15 -4164 ($)) (-15 -1468 ((-765) $)) (-15 -1941 (|#1| $)) (-15 -3926 (|#1| $)) (-15 -4139 (|#1| $)) (-15 -1705 (|#1| $)) (-15 -3475 (|#1| |#1| $)) (-15 -3354 (|#1| |#1| $)) (-15 -3651 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2887 ($ $)) (-15 -2518 (|#1| $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3060 (($ (-311 |#1|)) 23)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3713 (((-121) $) NIL)) (-3003 (((-3 (-311 |#1|) "failed") $) NIL)) (-1321 (((-311 |#1|) $) NIL)) (-3373 (($ $) 31)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-4188 (($ (-1 (-311 |#1|) (-311 |#1|)) $) NIL)) (-3270 (((-311 |#1|) $) NIL)) (-1824 (($ $) 30)) (-2605 (((-1147) $) NIL)) (-2491 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($ (-765)) NIL)) (-3850 (($ $) 32)) (-2284 (((-569) $) NIL)) (-3956 (((-852) $) 57) (($ (-569)) NIL) (($ (-311 |#1|)) NIL)) (-3802 (((-311 |#1|) $ $) NIL)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 25 T CONST)) (-3297 (($) 50 T CONST)) (-1326 (((-121) $ $) 28)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 19)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 24) (($ (-311 |#1|) $) 18))) 
-(((-214 |#1| |#2|) (-13 (-613 (-311 |#1|)) (-1039 (-311 |#1|)) (-10 -8 (-15 -3270 ((-311 |#1|) $)) (-15 -1824 ($ $)) (-15 -3373 ($ $)) (-15 -3802 ((-311 |#1|) $ $)) (-15 -1986 ($ (-765))) (-15 -2491 ((-121) $)) (-15 -3713 ((-121) $)) (-15 -2284 ((-569) $)) (-15 -4188 ($ (-1 (-311 |#1|) (-311 |#1|)) $)) (-15 -3060 ($ (-311 |#1|))) (-15 -3850 ($ $)))) (-13 (-1049) (-844)) (-635 (-1165))) (T -214)) 
-((-3270 (*1 *2 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-1824 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165))))) (-3373 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165))))) (-3802 (*1 *2 *1 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-1986 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-2491 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-2284 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-311 *3) (-311 *3))) (-4 *3 (-13 (-1049) (-844))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1165))))) (-3060 (*1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-1049) (-844))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1165))))) (-3850 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165)))))) 
-(-13 (-613 (-311 |#1|)) (-1039 (-311 |#1|)) (-10 -8 (-15 -3270 ((-311 |#1|) $)) (-15 -1824 ($ $)) (-15 -3373 ($ $)) (-15 -3802 ((-311 |#1|) $ $)) (-15 -1986 ($ (-765))) (-15 -2491 ((-121) $)) (-15 -3713 ((-121) $)) (-15 -2284 ((-569) $)) (-15 -4188 ($ (-1 (-311 |#1|) (-311 |#1|)) $)) (-15 -3060 ($ (-311 |#1|))) (-15 -3850 ($ $)))) 
-((-3593 (((-121) (-1147)) 22)) (-4217 (((-3 (-837 |#2|) "failed") (-608 |#2|) |#2| (-837 |#2|) (-837 |#2|) (-121)) 32)) (-2857 (((-3 (-121) "failed") (-1161 |#2|) (-837 |#2|) (-837 |#2|) (-121)) 73) (((-3 (-121) "failed") (-955 |#1|) (-1165) (-837 |#2|) (-837 |#2|) (-121)) 74))) 
-(((-215 |#1| |#2|) (-10 -7 (-15 -3593 ((-121) (-1147))) (-15 -4217 ((-3 (-837 |#2|) "failed") (-608 |#2|) |#2| (-837 |#2|) (-837 |#2|) (-121))) (-15 -2857 ((-3 (-121) "failed") (-955 |#1|) (-1165) (-837 |#2|) (-837 |#2|) (-121))) (-15 -2857 ((-3 (-121) "failed") (-1161 |#2|) (-837 |#2|) (-837 |#2|) (-121)))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-29 |#1|))) (T -215)) 
-((-2857 (*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1161 *6)) (-5 *4 (-837 *6)) (-4 *6 (-13 (-1185) (-29 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-215 *5 *6)))) (-2857 (*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-955 *6)) (-5 *4 (-1165)) (-5 *5 (-837 *7)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *7 (-13 (-1185) (-29 *6))) (-5 *1 (-215 *6 *7)))) (-4217 (*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-837 *4)) (-5 *3 (-608 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1185) (-29 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-215 *6 *4)))) (-3593 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-215 *4 *5)) (-4 *5 (-13 (-1185) (-29 *4)))))) 
-(-10 -7 (-15 -3593 ((-121) (-1147))) (-15 -4217 ((-3 (-837 |#2|) "failed") (-608 |#2|) |#2| (-837 |#2|) (-837 |#2|) (-121))) (-15 -2857 ((-3 (-121) "failed") (-955 |#1|) (-1165) (-837 |#2|) (-837 |#2|) (-121))) (-15 -2857 ((-3 (-121) "failed") (-1161 |#2|) (-837 |#2|) (-837 |#2|) (-121)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 95)) (-3644 (((-569) $) 124)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3146 (($ $) NIL)) (-3544 (($ $) 83)) (-3467 (($ $) 71)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) 62)) (-2889 (((-121) $ $) NIL)) (-3530 (($ $) 81)) (-3455 (($ $) 69)) (-3817 (((-569) $) 137)) (-3559 (($ $) 86)) (-3480 (($ $) 73)) (-4483 (($) NIL T CONST)) (-3411 (($ $) NIL)) (-3003 (((-3 (-569) "failed") $) 120) (((-3 (-410 (-569)) "failed") $) 135)) (-1321 (((-569) $) 136) (((-410 (-569)) $) 133)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) 98)) (-3453 (((-410 (-569)) $ (-765)) 131) (((-410 (-569)) $ (-765) (-765)) 130)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2471 (((-919)) 34) (((-919) (-919)) NIL (|has| $ (-6 -4562)))) (-1863 (((-121) $) NIL)) (-2648 (($ $ $) 123)) (-3415 (($) 44)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL)) (-4433 (((-569) $) 40)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL)) (-3046 (($ $) NIL)) (-4311 (((-121) $) 94)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) 59) (($) 39 (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-2713 (($ $ $) 58) (($) 38 (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-3066 (((-569) $) 32)) (-2961 (((-410 (-569)) $) 27)) (-1988 (($ $) 35)) (-1492 (($ $) 63)) (-3597 (($ $) 68)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-2574 (((-635 (-569)) $) 29)) (-1485 (((-919) (-569)) NIL (|has| $ (-6 -4562)))) (-1912 (((-1111) $) NIL) (((-569) $) 96)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL)) (-1807 (($ $) NIL)) (-3222 (($ (-569) (-569)) NIL) (($ (-569) (-569) (-919)) 125)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3190 (((-569) $) 33)) (-1514 (($) 43)) (-3408 (($ $) 67)) (-2061 (((-765) $) NIL)) (-3556 (((-1147) (-1147)) 8)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2721 (((-919)) NIL) (((-919) (-919)) NIL (|has| $ (-6 -4562)))) (-3566 (($ $) 116)) (-3289 (($ $ (-765)) NIL) (($ $) 99)) (-2791 (((-919) (-569)) NIL (|has| $ (-6 -4562)))) (-3565 (($ $) 84)) (-3485 (($ $) 74)) (-3551 (($ $) 85)) (-3473 (($ $) 72)) (-3538 (($ $) 82)) (-3460 (($ $) 70)) (-4035 (((-382) $) 129) (((-216) $) 126) (((-889 (-382)) $) NIL) (((-542) $) 51)) (-3956 (((-852) $) 48) (($ (-569)) 66) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 66) (($ (-410 (-569))) NIL)) (-2320 (((-765)) NIL)) (-3215 (($ $) NIL)) (-4420 (((-919)) 37) (((-919) (-919)) NIL (|has| $ (-6 -4562)))) (-3839 (($ $ $) 112)) (-4489 (($ $ $) 110)) (-1289 (($ $ $) 108)) (-3578 (($ $ $) 106)) (-1710 (((-919)) 31)) (-3585 (($ $) 89)) (-3505 (($ $) 77) (($ $ $) 132)) (-2909 (((-121) $ $) NIL)) (-3572 (($ $) 87)) (-3490 (($ $) 75)) (-3599 (($ $) 92)) (-3517 (($ $) 80)) (-3618 (($ $) 104)) (-4466 (($ $) 102)) (-4527 (($ $) 90)) (-3525 (($ $) 78)) (-3592 (($ $) 91)) (-3510 (($ $) 79)) (-3579 (($ $) 88)) (-3497 (($ $) 76)) (-4080 (($ $) 138)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 41 T CONST)) (-3297 (($) 42 T CONST)) (-3685 (((-1147) $) 19) (((-1147) $ (-121)) 21) (((-1258) (-819) $) 22) (((-1258) (-819) $ (-121)) 23)) (-2246 (($ $) 118) (($ $ $) NIL)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-4028 (($ $ $) 114)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 60)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 52)) (-1383 (($ $ $) 93) (($ $ (-569)) 61)) (-1377 (($ $) 53) (($ $ $) 55)) (-1371 (($ $ $) 54)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 64) (($ $ (-410 (-569))) 148) (($ $ $) 65)) (* (($ (-919) $) 36) (($ (-765) $) NIL) (($ (-569) $) 57) (($ $ $) 56) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-216) (-13 (-407) (-226) (-825) (-1185) (-1127) (-610 (-542)) (-10 -8 (-15 -1383 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -1514 ($)) (-15 -1912 ((-569) $)) (-15 -1988 ($ $)) (-15 -1492 ($ $)) (-15 -3505 ($ $ $)) (-15 -2246 ($ $)) (-15 -4028 ($ $ $)) (-15 -3556 ((-1147) (-1147))) (-15 -3453 ((-410 (-569)) $ (-765))) (-15 -3453 ((-410 (-569)) $ (-765) (-765))) (-15 -2961 ((-410 (-569)) $)) (-15 -2574 ((-635 (-569)) $))))) (T -216)) 
-((** (*1 *1 *1 *1) (-5 *1 (-216))) (-2246 (*1 *1 *1) (-5 *1 (-216))) (-4028 (*1 *1 *1 *1) (-5 *1 (-216))) (-1383 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) (-1514 (*1 *1) (-5 *1 (-216))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) (-1988 (*1 *1 *1) (-5 *1 (-216))) (-1492 (*1 *1 *1) (-5 *1 (-216))) (-3505 (*1 *1 *1 *1) (-5 *1 (-216))) (-3556 (*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-216)))) (-3453 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-3453 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-2961 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-2574 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-216))))) 
-(-13 (-407) (-226) (-825) (-1185) (-1127) (-610 (-542)) (-10 -8 (-15 -1383 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -1514 ($)) (-15 -1912 ((-569) $)) (-15 -1988 ($ $)) (-15 -1492 ($ $)) (-15 -3505 ($ $ $)) (-15 -2246 ($ $)) (-15 -4028 ($ $ $)) (-15 -3556 ((-1147) (-1147))) (-15 -3453 ((-410 (-569)) $ (-765))) (-15 -3453 ((-410 (-569)) $ (-765) (-765))) (-15 -2961 ((-410 (-569)) $)) (-15 -2574 ((-635 (-569)) $)))) 
-((-1310 (((-121) $ $) NIL (|has| (-216) (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-219)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) NIL)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 (((-216) $ (-569) (-569) (-216)) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-219)) NIL)) (-1622 (($ $ (-569) (-219)) NIL)) (-2232 (($ (-765) (-216)) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| (-216) (-302)))) (-4128 (((-219) $ (-569)) NIL)) (-3358 (((-765) $) NIL (|has| (-216) (-559)))) (-3982 (((-216) $ (-569) (-569) (-216)) 16)) (-2903 (($ (-569) (-569)) 18)) (-4124 (((-216) $ (-569) (-569)) 15)) (-3917 (((-216) $) NIL (|has| (-216) (-173)))) (-4303 (((-635 (-216)) $) NIL)) (-2557 (((-765) $) NIL (|has| (-216) (-559)))) (-3970 (((-635 (-219)) $) NIL (|has| (-216) (-559)))) (-3568 (((-765) $) 10)) (-2446 (($ (-765) (-765) (-216)) 19)) (-4145 (((-765) $) 11)) (-3206 (((-121) $ (-765)) NIL)) (-3164 (((-216) $) NIL (|has| (-216) (-6 (-4573 "*"))))) (-4094 (((-569) $) 7)) (-3841 (((-569) $) 8)) (-4457 (((-635 (-216)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-2376 (((-569) $) 12)) (-2414 (((-569) $) 13)) (-2926 (($ (-635 (-635 (-216)))) NIL) (($ (-765) (-765) (-1 (-216) (-569) (-569))) NIL)) (-2089 (($ (-1 (-216) (-216)) $) NIL)) (-4188 (($ (-1 (-216) (-216)) $) NIL) (($ (-1 (-216) (-216) (-216)) $ $) NIL) (($ (-1 (-216) (-216) (-216)) $ $ (-216)) NIL)) (-4269 (((-635 (-635 (-216))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-216) (-1093)))) (-1655 (((-3 $ "failed") $) NIL (|has| (-216) (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| (-216) (-1093)))) (-2417 (($ $ (-216)) NIL)) (-1436 (((-3 $ "failed") $ (-216)) NIL (|has| (-216) (-559)))) (-2985 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-216)))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-289 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-216) (-216)) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-635 (-216)) (-635 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 17)) (-2503 (((-216) $ (-569) (-569)) NIL) (((-216) $ (-569) (-569) (-216)) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 (-216))) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 (((-216) $) NIL (|has| (-216) (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571))) (((-765) (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-219)) $) NIL (|has| (-216) (-302)))) (-2349 (((-219) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| (-216) (-1093))) (($ (-219)) NIL)) (-3776 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| (-216) (-1093)))) (-1383 (($ $ (-216)) NIL (|has| (-216) (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-216) (-366)))) (* (($ $ $) NIL) (($ (-216) $) NIL) (($ $ (-216)) NIL) (($ (-569) $) NIL) (((-219) $ (-219)) NIL) (((-219) (-219) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-217) (-13 (-679 (-216) (-219) (-219)) (-10 -8 (-15 -2903 ($ (-569) (-569)))))) (T -217)) 
-((-2903 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-217))))) 
-(-13 (-679 (-216) (-219) (-219)) (-10 -8 (-15 -2903 ($ (-569) (-569))))) 
-((-2648 (((-170 (-216)) (-765) (-170 (-216))) 61) (((-216) (-765) (-216)) 62)) (-1405 (((-170 (-216)) (-170 (-216))) 63) (((-216) (-216)) 64)) (-3731 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 69) (((-216) (-216) (-216)) 72)) (-4230 (((-382) (-382)) 60)) (-2640 (((-382) (-382)) 59)) (-3566 (((-170 (-216)) (-170 (-216))) 74) (((-216) (-216)) 73)) (-3839 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 91) (((-216) (-216) (-216)) 83)) (-4489 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 94) (((-216) (-216) (-216)) 92)) (-1289 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 65) (((-216) (-216) (-216)) 66)) (-3578 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 67) (((-216) (-216) (-216)) 68)) (-3618 (((-170 (-216)) (-170 (-216))) 105) (((-216) (-216)) 104)) (-4466 (((-216) (-216)) 99) (((-170 (-216)) (-170 (-216))) 103)) (-2246 (((-170 (-216)) (-170 (-216))) 7) (((-216) (-216)) 9)) (-3343 (((-830 (-216)) (-569) (-216)) 23)) (-2358 (((-830 (-216)) (-830 (-216))) 36)) (-2361 (((-830 (-216)) (-830 (-216))) 35)) (-3813 (((-830 (-216)) (-830 (-216))) 34)) (-3723 (((-830 (-216)) (-830 (-216))) 33)) (-3632 (((-830 (-216)) (-830 (-216))) 32)) (-2817 (((-830 (-216)) (-830 (-216))) 31)) (-1618 (((-830 (-216)) (-830 (-216))) 37)) (-4198 (((-830 (-216)) (-216)) 22)) (-4028 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 79) (((-216) (-216) (-216)) 75))) 
-(((-218) (-10 -7 (-15 -2246 ((-216) (-216))) (-15 -2246 ((-170 (-216)) (-170 (-216)))) (-15 -4198 ((-830 (-216)) (-216))) (-15 -3343 ((-830 (-216)) (-569) (-216))) (-15 -1618 ((-830 (-216)) (-830 (-216)))) (-15 -2817 ((-830 (-216)) (-830 (-216)))) (-15 -3632 ((-830 (-216)) (-830 (-216)))) (-15 -3723 ((-830 (-216)) (-830 (-216)))) (-15 -3813 ((-830 (-216)) (-830 (-216)))) (-15 -2361 ((-830 (-216)) (-830 (-216)))) (-15 -2358 ((-830 (-216)) (-830 (-216)))) (-15 -4028 ((-216) (-216) (-216))) (-15 -4028 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -1405 ((-216) (-216))) (-15 -1405 ((-170 (-216)) (-170 (-216)))) (-15 -3566 ((-216) (-216))) (-15 -3566 ((-170 (-216)) (-170 (-216)))) (-15 -2648 ((-216) (-765) (-216))) (-15 -2648 ((-170 (-216)) (-765) (-170 (-216)))) (-15 -1289 ((-216) (-216) (-216))) (-15 -1289 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3839 ((-216) (-216) (-216))) (-15 -3839 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3578 ((-216) (-216) (-216))) (-15 -3578 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4489 ((-216) (-216) (-216))) (-15 -4489 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4466 ((-170 (-216)) (-170 (-216)))) (-15 -4466 ((-216) (-216))) (-15 -3618 ((-216) (-216))) (-15 -3618 ((-170 (-216)) (-170 (-216)))) (-15 -3731 ((-216) (-216) (-216))) (-15 -3731 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4230 ((-382) (-382))) (-15 -2640 ((-382) (-382))))) (T -218)) 
-((-2640 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) (-4230 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) (-3731 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3731 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3618 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3618 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4466 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4466 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-4489 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-4489 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3578 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3578 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3839 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3839 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-1289 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1289 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-2648 (*1 *2 *3 *2) (-12 (-5 *2 (-170 (-216))) (-5 *3 (-765)) (-5 *1 (-218)))) (-2648 (*1 *2 *3 *2) (-12 (-5 *2 (-216)) (-5 *3 (-765)) (-5 *1 (-218)))) (-3566 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3566 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-1405 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1405 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4028 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-4028 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-2358 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-2361 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-3813 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-3723 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-3632 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-2817 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-1618 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-3343 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *2 (-830 (-216))) (-5 *1 (-218)) (-5 *4 (-216)))) (-4198 (*1 *2 *3) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)) (-5 *3 (-216)))) (-2246 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-2246 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218))))) 
-(-10 -7 (-15 -2246 ((-216) (-216))) (-15 -2246 ((-170 (-216)) (-170 (-216)))) (-15 -4198 ((-830 (-216)) (-216))) (-15 -3343 ((-830 (-216)) (-569) (-216))) (-15 -1618 ((-830 (-216)) (-830 (-216)))) (-15 -2817 ((-830 (-216)) (-830 (-216)))) (-15 -3632 ((-830 (-216)) (-830 (-216)))) (-15 -3723 ((-830 (-216)) (-830 (-216)))) (-15 -3813 ((-830 (-216)) (-830 (-216)))) (-15 -2361 ((-830 (-216)) (-830 (-216)))) (-15 -2358 ((-830 (-216)) (-830 (-216)))) (-15 -4028 ((-216) (-216) (-216))) (-15 -4028 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -1405 ((-216) (-216))) (-15 -1405 ((-170 (-216)) (-170 (-216)))) (-15 -3566 ((-216) (-216))) (-15 -3566 ((-170 (-216)) (-170 (-216)))) (-15 -2648 ((-216) (-765) (-216))) (-15 -2648 ((-170 (-216)) (-765) (-170 (-216)))) (-15 -1289 ((-216) (-216) (-216))) (-15 -1289 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3839 ((-216) (-216) (-216))) (-15 -3839 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3578 ((-216) (-216) (-216))) (-15 -3578 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4489 ((-216) (-216) (-216))) (-15 -4489 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4466 ((-170 (-216)) (-170 (-216)))) (-15 -4466 ((-216) (-216))) (-15 -3618 ((-216) (-216))) (-15 -3618 ((-170 (-216)) (-170 (-216)))) (-15 -3731 ((-216) (-216) (-216))) (-15 -3731 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4230 ((-382) (-382))) (-15 -2640 ((-382) (-382)))) 
-((-1310 (((-121) $ $) NIL (|has| (-216) (-1093)))) (-3397 (($ (-765)) NIL (|has| (-216) (-23)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-216) (-216)) $) NIL) (((-121) $) NIL (|has| (-216) (-844)))) (-1744 (($ (-1 (-121) (-216) (-216)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-216) (-844))))) (-2930 (($ (-1 (-121) (-216) (-216)) $) NIL) (($ $) NIL (|has| (-216) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-216) $ (-569) (-216)) 17 (|has| $ (-6 -4572))) (((-216) $ (-1219 (-569)) (-216)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-3503 (($ (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093)))) (($ (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-216) (-1 (-216) (-216) (-216)) $ (-216) (-216)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093)))) (((-216) (-1 (-216) (-216) (-216)) $ (-216)) NIL (|has| $ (-6 -4571))) (((-216) (-1 (-216) (-216) (-216)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-216) $ (-569) (-216)) 9 (|has| $ (-6 -4572)))) (-2903 (($ (-569)) 14)) (-4124 (((-216) $ (-569)) 8)) (-3988 (((-569) (-1 (-121) (-216)) $) NIL) (((-569) (-216) $) NIL (|has| (-216) (-1093))) (((-569) (-216) $ (-569)) NIL (|has| (-216) (-1093)))) (-4303 (((-635 (-216)) $) NIL (|has| $ (-6 -4571)))) (-3410 (((-681 (-216)) $ $) NIL (|has| (-216) (-1049)))) (-2446 (($ (-765) (-216)) 15)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 12 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-216) (-844)))) (-2102 (($ (-1 (-121) (-216) (-216)) $ $) NIL) (($ $ $) NIL (|has| (-216) (-844)))) (-4457 (((-635 (-216)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-216) (-844)))) (-2089 (($ (-1 (-216) (-216)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-216) (-216)) $) NIL) (($ (-1 (-216) (-216) (-216)) $ $) NIL)) (-3108 (((-216) $) NIL (-12 (|has| (-216) (-1004)) (|has| (-216) (-1049))))) (-1396 (((-121) $ (-765)) NIL)) (-2718 (((-216) $) NIL (-12 (|has| (-216) (-1004)) (|has| (-216) (-1049))))) (-2605 (((-1147) $) NIL (|has| (-216) (-1093)))) (-2583 (($ (-216) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| (-216) (-1093)))) (-1816 (((-216) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-216) "failed") (-1 (-121) (-216)) $) NIL)) (-2417 (($ $ (-216)) 18 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-216)))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-289 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-216) (-216)) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-635 (-216)) (-635 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-4283 (((-635 (-216)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 13)) (-2503 (((-216) $ (-569) (-216)) NIL) (((-216) $ (-569)) 16) (($ $ (-1219 (-569))) NIL)) (-4510 (((-216) $ $) NIL (|has| (-216) (-1049)))) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-3617 (($ $ $) NIL (|has| (-216) (-1049)))) (-2691 (((-765) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571))) (((-765) (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-216) (-610 (-542))))) (-3124 (($ (-635 (-216))) NIL)) (-4456 (($ $ (-216)) NIL) (($ (-216) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| (-216) (-1093)))) (-3776 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-216) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-216) (-844)))) (-1326 (((-121) $ $) NIL (|has| (-216) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-216) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-216) (-844)))) (-1377 (($ $) NIL (|has| (-216) (-21))) (($ $ $) NIL (|has| (-216) (-21)))) (-1371 (($ $ $) NIL (|has| (-216) (-25)))) (* (($ (-569) $) NIL (|has| (-216) (-21))) (($ (-216) $) NIL (|has| (-216) (-718))) (($ $ (-216)) NIL (|has| (-216) (-718)))) (-2946 (((-765) $) 11 (|has| $ (-6 -4571))))) 
-(((-219) (-13 (-1251 (-216)) (-10 -8 (-15 -2903 ($ (-569)))))) (T -219)) 
-((-2903 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-219))))) 
-(-13 (-1251 (-216)) (-10 -8 (-15 -2903 ($ (-569))))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-1253 |#1|)) NIL) (($ $) NIL)) (-2512 (($ |#1| |#1| |#1|) 32)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) NIL)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-1253 |#1|)) NIL)) (-1622 (($ $ (-569) (-1253 |#1|)) NIL)) (-3402 (($ |#1| |#1| |#1|) 31)) (-2232 (($ (-765) |#1|) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| |#1| (-302)))) (-4128 (((-1253 |#1|) $ (-569)) NIL)) (-3901 (($ |#1|) 30)) (-4112 (($ |#1|) 29)) (-3972 (($ |#1|) 28)) (-3358 (((-765) $) NIL (|has| |#1| (-559)))) (-3982 ((|#1| $ (-569) (-569) |#1|) NIL)) (-4124 ((|#1| $ (-569) (-569)) NIL)) (-3917 ((|#1| $) NIL (|has| |#1| (-173)))) (-4303 (((-635 |#1|) $) NIL)) (-2557 (((-765) $) NIL (|has| |#1| (-559)))) (-3970 (((-635 (-1253 |#1|)) $) NIL (|has| |#1| (-559)))) (-3568 (((-765) $) NIL)) (-2446 (($ (-765) (-765) |#1|) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-3164 ((|#1| $) NIL (|has| |#1| (-6 (-4573 "*"))))) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2926 (($ (-635 (-635 |#1|))) 10) (($ (-765) (-765) (-1 |#1| (-569) (-569))) NIL)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-4269 (((-635 (-635 |#1|)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1655 (((-3 $ "failed") $) NIL (|has| |#1| (-366)))) (-1483 (($) 11)) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 ((|#1| $) NIL (|has| |#1| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-1253 |#1|)) $) NIL (|has| |#1| (-302)))) (-2349 (((-1253 |#1|) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093))) (($ (-1253 |#1|)) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-1253 |#1|) $ (-1253 |#1|)) 14) (((-1253 |#1|) (-1253 |#1|) $) NIL) (((-946 |#1|) $ (-946 |#1|)) 20)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-220 |#1|) (-13 (-679 |#1| (-1253 |#1|) (-1253 |#1|)) (-10 -8 (-15 * ((-946 |#1|) $ (-946 |#1|))) (-15 -1483 ($)) (-15 -3972 ($ |#1|)) (-15 -4112 ($ |#1|)) (-15 -3901 ($ |#1|)) (-15 -3402 ($ |#1| |#1| |#1|)) (-15 -2512 ($ |#1| |#1| |#1|)))) (-13 (-366) (-1185))) (T -220)) 
-((* (*1 *2 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185))) (-5 *1 (-220 *3)))) (-1483 (*1 *1) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) (-3972 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) (-4112 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) (-3901 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) (-3402 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) (-2512 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185)))))) 
-(-13 (-679 |#1| (-1253 |#1|) (-1253 |#1|)) (-10 -8 (-15 * ((-946 |#1|) $ (-946 |#1|))) (-15 -1483 ($)) (-15 -3972 ($ |#1|)) (-15 -4112 ($ |#1|)) (-15 -3901 ($ |#1|)) (-15 -3402 ($ |#1| |#1| |#1|)) (-15 -2512 ($ |#1| |#1| |#1|)))) 
-((-1304 (($ (-1 (-121) |#2|) $) 17)) (-2006 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 25)) (-1353 (($) NIL) (($ (-635 |#2|)) 11)) (-1326 (((-121) $ $) 23))) 
-(((-221 |#1| |#2|) (-10 -8 (-15 -1304 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -1353 (|#1| (-635 |#2|))) (-15 -1353 (|#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-222 |#2|) (-1093)) (T -221)) 
-NIL 
-(-10 -8 (-15 -1304 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -1353 (|#1| (-635 |#2|))) (-15 -1353 (|#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-222 |#1|) (-1284) (-1093)) (T -222)) 
+((-2234 (((-121) $ $) NIL)) (-2080 (($ (-571)) 13) (($ $ $) 14)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 17)) (-1323 (((-121) $ $) 9))) 
+(((-163) (-13 (-1097) (-10 -8 (-15 -2080 ($ (-571))) (-15 -2080 ($ $ $))))) (T -163)) 
+((-2080 (*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-163)))) (-2080 (*1 *1 *1 *1) (-5 *1 (-163)))) 
+(-13 (-1097) (-10 -8 (-15 -2080 ($ (-571))) (-15 -2080 ($ $ $)))) 
+((-3513 (((-123) (-1169)) 99))) 
+(((-164) (-10 -7 (-15 -3513 ((-123) (-1169))))) (T -164)) 
+((-3513 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-123)) (-5 *1 (-164))))) 
+(-10 -7 (-15 -3513 ((-123) (-1169)))) 
+((-3949 ((|#3| |#3|) 19))) 
+(((-165 |#1| |#2| |#3|) (-10 -7 (-15 -3949 (|#3| |#3|))) (-1053) (-1233 |#1|) (-1233 |#2|)) (T -165)) 
+((-3949 (*1 *2 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-1233 *3)) (-5 *1 (-165 *3 *4 *2)) (-4 *2 (-1233 *4))))) 
+(-10 -7 (-15 -3949 (|#3| |#3|))) 
+((-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 215)) (-3490 ((|#2| $) 95)) (-4255 (($ $) 242)) (-4192 (($ $) 236)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 39)) (-4243 (($ $) 240)) (-4185 (($ $) 234)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 |#2| "failed") $) 139)) (-1316 (((-571) $) NIL) (((-412 (-571)) $) NIL) ((|#2| $) 137)) (-2162 (($ $ $) 220)) (-2680 (((-684 (-571)) (-684 $)) NIL) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) 153) (((-684 |#2|) (-684 $)) 147)) (-3074 (($ (-1165 |#2|)) 118) (((-3 $ "failed") (-412 (-1165 |#2|))) NIL)) (-3978 (((-3 $ "failed") $) 207)) (-3437 (((-3 (-412 (-571)) "failed") $) 197)) (-3330 (((-121) $) 192)) (-3450 (((-412 (-571)) $) 195)) (-3241 (((-922)) 88)) (-2180 (($ $ $) 222)) (-2836 (((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) $) 258)) (-4153 (($) 231)) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 184) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 189)) (-3477 ((|#2| $) 93)) (-4400 (((-1165 |#2|) $) 120)) (-3799 (($ (-1 |#2| |#2|) $) 101)) (-3509 (($ $) 233)) (-3069 (((-1165 |#2|) $) 119)) (-4315 (($ $) 200)) (-2627 (($) 96)) (-2796 (((-423 (-1165 $)) (-1165 $)) 87)) (-1821 (((-423 (-1165 $)) (-1165 $)) 56)) (-1786 (((-3 $ "failed") $ |#2|) 202) (((-3 $ "failed") $ $) 205)) (-4148 (($ $) 232)) (-1826 (((-768) $) 217)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 226)) (-1475 ((|#2| (-1258 $)) NIL) ((|#2|) 90)) (-3096 (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) 112) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) NIL) (($ $ (-768)) NIL) (($ $) NIL)) (-3413 (((-1165 |#2|)) 113)) (-4249 (($ $) 241)) (-4188 (($ $) 235)) (-3723 (((-1258 |#2|) $ (-1258 $)) 126) (((-684 |#2|) (-1258 $) (-1258 $)) NIL) (((-1258 |#2|) $) 109) (((-684 |#2|) (-1258 $)) NIL)) (-4050 (((-1258 |#2|) $) NIL) (($ (-1258 |#2|)) NIL) (((-1165 |#2|) $) NIL) (($ (-1165 |#2|)) NIL) (((-892 (-571)) $) 175) (((-892 (-384)) $) 179) (((-170 (-384)) $) 165) (((-170 (-216)) $) 160) (((-544) $) 171)) (-2911 (($ $) 97)) (-3942 (((-855) $) 136) (($ (-571)) NIL) (($ |#2|) NIL) (($ (-412 (-571))) NIL) (($ $) NIL)) (-3393 (((-1165 |#2|) $) 23)) (-2661 (((-768)) 99)) (-4294 (($ $) 245)) (-4220 (($ $) 239)) (-4280 (($ $) 243)) (-4211 (($ $) 237)) (-2765 ((|#2| $) 230)) (-4287 (($ $) 244)) (-4215 (($ $) 238)) (-1902 (($ $) 155)) (-1323 (((-121) $ $) 103)) (-1331 (((-121) $ $) 191)) (-1373 (($ $) 105) (($ $ $) NIL)) (-1367 (($ $ $) 104)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-412 (-571))) 264) (($ $ $) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 111) (($ $ $) 140) (($ $ |#2|) NIL) (($ |#2| $) 107) (($ (-412 (-571)) $) NIL) (($ $ (-412 (-571))) NIL))) 
+(((-166 |#1| |#2|) (-10 -8 (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3942 (|#1| |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3648 ((-2 (|:| -3691 |#1|) (|:| -4587 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -1826 ((-768) |#1|)) (-15 -3221 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -2180 (|#1| |#1| |#1|)) (-15 -2162 (|#1| |#1| |#1|)) (-15 -4315 (|#1| |#1|)) (-15 ** (|#1| |#1| (-571))) (-15 * (|#1| |#1| (-412 (-571)))) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -1331 ((-121) |#1| |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -4050 ((-170 (-216)) |#1|)) (-15 -4050 ((-170 (-384)) |#1|)) (-15 -4192 (|#1| |#1|)) (-15 -4185 (|#1| |#1|)) (-15 -4188 (|#1| |#1|)) (-15 -4215 (|#1| |#1|)) (-15 -4211 (|#1| |#1|)) (-15 -4220 (|#1| |#1|)) (-15 -4249 (|#1| |#1|)) (-15 -4243 (|#1| |#1|)) (-15 -4255 (|#1| |#1|)) (-15 -4287 (|#1| |#1|)) (-15 -4280 (|#1| |#1|)) (-15 -4294 (|#1| |#1|)) (-15 -3509 (|#1| |#1|)) (-15 -4148 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -4153 (|#1|)) (-15 ** (|#1| |#1| (-412 (-571)))) (-15 -1821 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -2796 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -1926 ((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|))) (-15 -3437 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3450 ((-412 (-571)) |#1|)) (-15 -3330 ((-121) |#1|)) (-15 -2836 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -2765 (|#2| |#1|)) (-15 -1902 (|#1| |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2911 (|#1| |#1|)) (-15 -2627 (|#1|)) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -2941 ((-889 (-384) |#1|) |#1| (-892 (-384)) (-889 (-384) |#1|))) (-15 -2941 ((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|))) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3074 ((-3 |#1| "failed") (-412 (-1165 |#2|)))) (-15 -3069 ((-1165 |#2|) |#1|)) (-15 -4050 (|#1| (-1165 |#2|))) (-15 -3074 (|#1| (-1165 |#2|))) (-15 -3413 ((-1165 |#2|))) (-15 -2680 ((-684 |#2|) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -4050 ((-1165 |#2|) |#1|)) (-15 -1475 (|#2|)) (-15 -4050 (|#1| (-1258 |#2|))) (-15 -4050 ((-1258 |#2|) |#1|)) (-15 -3723 ((-684 |#2|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1|)) (-15 -4400 ((-1165 |#2|) |#1|)) (-15 -3393 ((-1165 |#2|) |#1|)) (-15 -1475 (|#2| (-1258 |#1|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1| (-1258 |#1|))) (-15 -3477 (|#2| |#1|)) (-15 -3490 (|#2| |#1|)) (-15 -3241 ((-922))) (-15 -3942 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 -2661 ((-768))) (-15 ** (|#1| |#1| (-768))) (-15 -3978 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-922))) (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|)) (-15 -1367 (|#1| |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) (-167 |#2|) (-173)) (T -166)) 
+((-2661 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-768)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) (-3241 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-922)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) (-1475 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-166 *3 *2)) (-4 *3 (-167 *2)))) (-3413 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1165 *4)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4))))) 
+(-10 -8 (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3942 (|#1| |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3648 ((-2 (|:| -3691 |#1|) (|:| -4587 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -1826 ((-768) |#1|)) (-15 -3221 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -2180 (|#1| |#1| |#1|)) (-15 -2162 (|#1| |#1| |#1|)) (-15 -4315 (|#1| |#1|)) (-15 ** (|#1| |#1| (-571))) (-15 * (|#1| |#1| (-412 (-571)))) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -1331 ((-121) |#1| |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -4050 ((-170 (-216)) |#1|)) (-15 -4050 ((-170 (-384)) |#1|)) (-15 -4192 (|#1| |#1|)) (-15 -4185 (|#1| |#1|)) (-15 -4188 (|#1| |#1|)) (-15 -4215 (|#1| |#1|)) (-15 -4211 (|#1| |#1|)) (-15 -4220 (|#1| |#1|)) (-15 -4249 (|#1| |#1|)) (-15 -4243 (|#1| |#1|)) (-15 -4255 (|#1| |#1|)) (-15 -4287 (|#1| |#1|)) (-15 -4280 (|#1| |#1|)) (-15 -4294 (|#1| |#1|)) (-15 -3509 (|#1| |#1|)) (-15 -4148 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -4153 (|#1|)) (-15 ** (|#1| |#1| (-412 (-571)))) (-15 -1821 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -2796 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -1926 ((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|))) (-15 -3437 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3450 ((-412 (-571)) |#1|)) (-15 -3330 ((-121) |#1|)) (-15 -2836 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -2765 (|#2| |#1|)) (-15 -1902 (|#1| |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2911 (|#1| |#1|)) (-15 -2627 (|#1|)) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -2941 ((-889 (-384) |#1|) |#1| (-892 (-384)) (-889 (-384) |#1|))) (-15 -2941 ((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|))) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3074 ((-3 |#1| "failed") (-412 (-1165 |#2|)))) (-15 -3069 ((-1165 |#2|) |#1|)) (-15 -4050 (|#1| (-1165 |#2|))) (-15 -3074 (|#1| (-1165 |#2|))) (-15 -3413 ((-1165 |#2|))) (-15 -2680 ((-684 |#2|) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -4050 ((-1165 |#2|) |#1|)) (-15 -1475 (|#2|)) (-15 -4050 (|#1| (-1258 |#2|))) (-15 -4050 ((-1258 |#2|) |#1|)) (-15 -3723 ((-684 |#2|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1|)) (-15 -4400 ((-1165 |#2|) |#1|)) (-15 -3393 ((-1165 |#2|) |#1|)) (-15 -1475 (|#2| (-1258 |#1|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1| (-1258 |#1|))) (-15 -3477 (|#2| |#1|)) (-15 -3490 (|#2| |#1|)) (-15 -3241 ((-922))) (-15 -3942 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 -2661 ((-768))) (-15 ** (|#1| |#1| (-768))) (-15 -3978 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-922))) (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|)) (-15 -1367 (|#1| |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 88 (-1831 (|has| |#1| (-561)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))))) (-1415 (($ $) 89 (-1831 (|has| |#1| (-561)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))))) (-2545 (((-121) $) 91 (-1831 (|has| |#1| (-561)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))))) (-2076 (((-684 |#1|) (-1258 $)) 44) (((-684 |#1|)) 55)) (-3490 ((|#1| $) 50)) (-4255 (($ $) 213 (|has| |#1| (-1189)))) (-4192 (($ $) 196 (|has| |#1| (-1189)))) (-1747 (((-1177 (-922) (-768)) (-571)) 142 (|has| |#1| (-352)))) (-4176 (((-3 $ "failed") $ $) 18)) (-1434 (((-423 (-1165 $)) (-1165 $)) 227 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) (-2356 (($ $) 108 (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-367))))) (-4151 (((-423 $) $) 109 (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-367))))) (-4158 (($ $) 226 (-12 (|has| |#1| (-1008)) (|has| |#1| (-1189))))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 230 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) (-1295 (((-121) $ $) 99 (|has| |#1| (-302)))) (-4407 (((-768)) 81 (|has| |#1| (-373)))) (-4243 (($ $) 212 (|has| |#1| (-1189)))) (-4185 (($ $) 197 (|has| |#1| (-1189)))) (-4266 (($ $) 211 (|has| |#1| (-1189)))) (-4201 (($ $) 198 (|has| |#1| (-1189)))) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 164 (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) 162 (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 161)) (-1316 (((-571) $) 165 (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) 163 (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) 160)) (-3456 (($ (-1258 |#1|) (-1258 $)) 46) (($ (-1258 |#1|)) 58)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 148 (|has| |#1| (-352)))) (-2162 (($ $ $) 103 (|has| |#1| (-302)))) (-3962 (((-684 |#1|) $ (-1258 $)) 51) (((-684 |#1|) $) 53)) (-2680 (((-684 (-571)) (-684 $)) 159 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 158 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 157) (((-684 |#1|) (-684 $)) 156)) (-3074 (($ (-1165 |#1|)) 153) (((-3 $ "failed") (-412 (-1165 |#1|))) 150 (|has| |#1| (-367)))) (-3978 (((-3 $ "failed") $) 33)) (-3327 ((|#1| $) 238)) (-3437 (((-3 (-412 (-571)) "failed") $) 231 (|has| |#1| (-553)))) (-3330 (((-121) $) 233 (|has| |#1| (-553)))) (-3450 (((-412 (-571)) $) 232 (|has| |#1| (-553)))) (-3241 (((-922)) 52)) (-3254 (($) 84 (|has| |#1| (-373)))) (-2180 (($ $ $) 102 (|has| |#1| (-302)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 97 (|has| |#1| (-302)))) (-1962 (($) 144 (|has| |#1| (-352)))) (-2854 (((-121) $) 145 (|has| |#1| (-352)))) (-2442 (($ $ (-768)) 136 (|has| |#1| (-352))) (($ $) 135 (|has| |#1| (-352)))) (-1596 (((-121) $) 110 (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-367))))) (-2836 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) 234 (-12 (|has| |#1| (-1062)) (|has| |#1| (-1189))))) (-4153 (($) 223 (|has| |#1| (-1189)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 246 (|has| |#1| (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 245 (|has| |#1| (-886 (-384))))) (-3347 (((-922) $) 147 (|has| |#1| (-352))) (((-833 (-922)) $) 133 (|has| |#1| (-352)))) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 225 (-12 (|has| |#1| (-1008)) (|has| |#1| (-1189))))) (-3477 ((|#1| $) 49)) (-2596 (((-3 $ "failed") $) 137 (|has| |#1| (-352)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 106 (|has| |#1| (-302)))) (-4400 (((-1165 |#1|) $) 42 (|has| |#1| (-367)))) (-1763 (($ $ $) 192 (|has| |#1| (-847)))) (-2383 (($ $ $) 191 (|has| |#1| (-847)))) (-3799 (($ (-1 |#1| |#1|) $) 247)) (-4470 (((-922) $) 83 (|has| |#1| (-373)))) (-3509 (($ $) 220 (|has| |#1| (-1189)))) (-3069 (((-1165 |#1|) $) 151)) (-1622 (($ (-637 $)) 95 (-1831 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) (($ $ $) 94 (-1831 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))))) (-3944 (((-1151) $) 9)) (-4315 (($ $) 111 (|has| |#1| (-367)))) (-1757 (($) 138 (|has| |#1| (-352)) CONST)) (-1755 (($ (-922)) 82 (|has| |#1| (-373)))) (-2627 (($) 242)) (-4268 ((|#1| $) 239)) (-2580 (((-1115) $) 10)) (-2280 (($) 155)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 96 (-1831 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))))) (-3026 (($ (-637 $)) 93 (-1831 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) (($ $ $) 92 (-1831 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))))) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) 141 (|has| |#1| (-352)))) (-2796 (((-423 (-1165 $)) (-1165 $)) 229 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) (-1821 (((-423 (-1165 $)) (-1165 $)) 228 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) (-4262 (((-423 $) $) 107 (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-367))))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105 (|has| |#1| (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 104 (|has| |#1| (-302)))) (-1786 (((-3 $ "failed") $ |#1|) 237 (|has| |#1| (-561))) (((-3 $ "failed") $ $) 87 (-1831 (|has| |#1| (-561)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 98 (|has| |#1| (-302)))) (-4148 (($ $) 221 (|has| |#1| (-1189)))) (-4483 (($ $ (-637 |#1|) (-637 |#1|)) 253 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 252 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 251 (|has| |#1| (-304 |#1|))) (($ $ (-637 (-289 |#1|))) 250 (|has| |#1| (-304 |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) 249 (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-1169) |#1|) 248 (|has| |#1| (-526 (-1169) |#1|)))) (-1826 (((-768) $) 100 (|has| |#1| (-302)))) (-3804 (((-637 $)) 85 (|has| |#1| (-373)))) (-3245 (($ $ |#1|) 254 (|has| |#1| (-282 |#1| |#1|)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 101 (|has| |#1| (-302)))) (-1475 ((|#1| (-1258 $)) 45) ((|#1|) 54)) (-1305 (((-768) $) 146 (|has| |#1| (-352))) (((-3 (-768) "failed") $ $) 134 (|has| |#1| (-352)))) (-3096 (($ $ (-1 |#1| |#1|) (-768)) 118) (($ $ (-1 |#1| |#1|)) 117) (($ $ (-637 (-1169)) (-637 (-768))) 125 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 126 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 127 (|has| |#1| (-900 (-1169)))) (($ $ (-1169)) 128 (|has| |#1| (-900 (-1169)))) (($ $ (-768)) 130 (-1831 (-3997 (|has| |#1| (-367)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3997 (|has| |#1| (-226)) (|has| |#1| (-367))))) (($ $) 132 (-1831 (-3997 (|has| |#1| (-367)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3997 (|has| |#1| (-226)) (|has| |#1| (-367)))))) (-3023 (((-684 |#1|) (-1258 $) (-1 |#1| |#1|)) 149 (|has| |#1| (-367)))) (-3413 (((-1165 |#1|)) 154)) (-4273 (($ $) 210 (|has| |#1| (-1189)))) (-4206 (($ $) 199 (|has| |#1| (-1189)))) (-4481 (($) 143 (|has| |#1| (-352)))) (-4260 (($ $) 209 (|has| |#1| (-1189)))) (-4196 (($ $) 200 (|has| |#1| (-1189)))) (-4249 (($ $) 208 (|has| |#1| (-1189)))) (-4188 (($ $) 201 (|has| |#1| (-1189)))) (-3723 (((-1258 |#1|) $ (-1258 $)) 48) (((-684 |#1|) (-1258 $) (-1258 $)) 47) (((-1258 |#1|) $) 60) (((-684 |#1|) (-1258 $)) 59)) (-4050 (((-1258 |#1|) $) 57) (($ (-1258 |#1|)) 56) (((-1165 |#1|) $) 166) (($ (-1165 |#1|)) 152) (((-892 (-571)) $) 244 (|has| |#1| (-612 (-892 (-571))))) (((-892 (-384)) $) 243 (|has| |#1| (-612 (-892 (-384))))) (((-170 (-384)) $) 195 (|has| |#1| (-1027))) (((-170 (-216)) $) 194 (|has| |#1| (-1027))) (((-544) $) 193 (|has| |#1| (-612 (-544))))) (-2911 (($ $) 241)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 140 (-1831 (-3997 (|has| $ (-149)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))) (|has| |#1| (-352))))) (-3331 (($ |#1| |#1|) 240)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 36) (($ (-412 (-571))) 80 (-1831 (|has| |#1| (-367)) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) 86 (-1831 (|has| |#1| (-561)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))))) (-2346 (($ $) 139 (|has| |#1| (-352))) (((-3 $ "failed") $) 41 (-1831 (-3997 (|has| $ (-149)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))) (|has| |#1| (-149))))) (-3393 (((-1165 |#1|) $) 43)) (-2661 (((-768)) 28)) (-1899 (((-1258 $)) 61)) (-4294 (($ $) 219 (|has| |#1| (-1189)))) (-4220 (($ $) 207 (|has| |#1| (-1189)))) (-1388 (((-121) $ $) 90 (-1831 (|has| |#1| (-561)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909)))))) (-4280 (($ $) 218 (|has| |#1| (-1189)))) (-4211 (($ $) 206 (|has| |#1| (-1189)))) (-4307 (($ $) 217 (|has| |#1| (-1189)))) (-4232 (($ $) 205 (|has| |#1| (-1189)))) (-2765 ((|#1| $) 235 (|has| |#1| (-1189)))) (-2656 (($ $) 216 (|has| |#1| (-1189)))) (-4237 (($ $) 204 (|has| |#1| (-1189)))) (-4301 (($ $) 215 (|has| |#1| (-1189)))) (-4227 (($ $) 203 (|has| |#1| (-1189)))) (-4287 (($ $) 214 (|has| |#1| (-1189)))) (-4215 (($ $) 202 (|has| |#1| (-1189)))) (-1902 (($ $) 236 (|has| |#1| (-1062)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 112 (|has| |#1| (-367)))) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-1 |#1| |#1|) (-768)) 120) (($ $ (-1 |#1| |#1|)) 119) (($ $ (-637 (-1169)) (-637 (-768))) 121 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 122 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 123 (|has| |#1| (-900 (-1169)))) (($ $ (-1169)) 124 (|has| |#1| (-900 (-1169)))) (($ $ (-768)) 129 (-1831 (-3997 (|has| |#1| (-367)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3997 (|has| |#1| (-226)) (|has| |#1| (-367))))) (($ $) 131 (-1831 (-3997 (|has| |#1| (-367)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3997 (|has| |#1| (-226)) (|has| |#1| (-367)))))) (-1350 (((-121) $ $) 189 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 188 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 190 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 187 (|has| |#1| (-847)))) (-1379 (($ $ $) 116 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-412 (-571))) 224 (-12 (|has| |#1| (-1008)) (|has| |#1| (-1189)))) (($ $ $) 222 (|has| |#1| (-1189))) (($ $ (-571)) 113 (|has| |#1| (-367)))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-412 (-571)) $) 115 (|has| |#1| (-367))) (($ $ (-412 (-571))) 114 (|has| |#1| (-367))))) 
+(((-167 |#1|) (-1289) (-173)) (T -167)) 
+((-3477 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-2627 (*1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-2911 (*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-3331 (*1 *1 *2 *2) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-4268 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-3327 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-1786 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-561)))) (-1902 (*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1062)))) (-2765 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1189)))) (-2836 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-1062)) (-4 *3 (-1189)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3))))) (-3330 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-121)))) (-3450 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571))))) (-3437 (*1 *2 *1) (|partial| -12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571)))))) 
+(-13 (-719 |t#1| (-1165 |t#1|)) (-416 |t#1|) (-224 |t#1|) (-337 |t#1|) (-405 |t#1|) (-884 |t#1|) (-382 |t#1|) (-173) (-10 -8 (-6 -3331) (-15 -2627 ($)) (-15 -2911 ($ $)) (-15 -3331 ($ |t#1| |t#1|)) (-15 -4268 (|t#1| $)) (-15 -3327 (|t#1| $)) (-15 -3477 (|t#1| $)) (IF (|has| |t#1| (-847)) (-6 (-847)) |noBranch|) (IF (|has| |t#1| (-561)) (PROGN (-6 (-561)) (-15 -1786 ((-3 $ "failed") $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-302)) (-6 (-302)) |noBranch|) (IF (|has| |t#1| (-6 -4599)) (-6 -4599) |noBranch|) (IF (|has| |t#1| (-6 -4596)) (-6 -4596) |noBranch|) (IF (|has| |t#1| (-367)) (-6 (-367)) |noBranch|) (IF (|has| |t#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1027)) (PROGN (-6 (-612 (-170 (-216)))) (-6 (-612 (-170 (-384))))) |noBranch|) (IF (|has| |t#1| (-1062)) (-15 -1902 ($ $)) |noBranch|) (IF (|has| |t#1| (-1189)) (PROGN (-6 (-1189)) (-15 -2765 (|t#1| $)) (IF (|has| |t#1| (-1008)) (-6 (-1008)) |noBranch|) (IF (|has| |t#1| (-1062)) (-15 -2836 ((-2 (|:| |r| |t#1|) (|:| |phi| |t#1|)) $)) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-553)) (PROGN (-15 -3330 ((-121) $)) (-15 -3450 ((-412 (-571)) $)) (-15 -3437 ((-3 (-412 (-571)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-909)) (IF (|has| |t#1| (-302)) (-6 (-909)) |noBranch|) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-43 |#1|) . T) ((-43 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-352)) (|has| |#1| (-367)) (|has| |#1| (-302))) ((-40) |has| |#1| (-1189)) ((-98) |has| |#1| (-1189)) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1831 (|has| |#1| (-352)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) . T) ((-612 (-170 (-216))) |has| |#1| (-1027)) ((-612 (-170 (-384))) |has| |#1| (-1027)) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-612 (-892 (-384))) |has| |#1| (-612 (-892 (-384)))) ((-612 (-892 (-571))) |has| |#1| (-612 (-892 (-571)))) ((-612 (-1165 |#1|)) . T) ((-224 |#1|) . T) ((-226) -1831 (|has| |#1| (-352)) (|has| |#1| (-226))) ((-239) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-280) |has| |#1| (-1189)) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) -1831 (|has| |#1| (-561)) (|has| |#1| (-352)) (|has| |#1| (-367)) (|has| |#1| (-302))) ((-302) -1831 (|has| |#1| (-352)) (|has| |#1| (-367)) (|has| |#1| (-302))) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-367) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-407) |has| |#1| (-352)) ((-373) -1831 (|has| |#1| (-373)) (|has| |#1| (-352))) ((-352) |has| |#1| (-352)) ((-375 |#1| (-1165 |#1|)) . T) ((-414 |#1| (-1165 |#1|)) . T) ((-337 |#1|) . T) ((-382 |#1|) . T) ((-405 |#1|) . T) ((-416 |#1|) . T) ((-456) -1831 (|has| |#1| (-352)) (|has| |#1| (-367)) (|has| |#1| (-302))) ((-505) |has| |#1| (-1189)) ((-526 (-1169) |#1|) |has| |#1| (-526 (-1169) |#1|)) ((-526 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-561) -1831 (|has| |#1| (-561)) (|has| |#1| (-352)) (|has| |#1| (-367)) (|has| |#1| (-302))) ((-640 (-412 (-571))) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-640 |#1|) . T) ((-640 $) . T) ((-633 (-571)) |has| |#1| (-633 (-571))) ((-633 |#1|) . T) ((-712 (-412 (-571))) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-712 |#1|) . T) ((-712 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-352)) (|has| |#1| (-367)) (|has| |#1| (-302))) ((-719 |#1| (-1165 |#1|)) . T) ((-721) . T) ((-847) |has| |#1| (-847)) ((-900 (-1169)) |has| |#1| (-900 (-1169))) ((-886 (-384)) |has| |#1| (-886 (-384))) ((-886 (-571)) |has| |#1| (-886 (-571))) ((-884 |#1|) . T) ((-909) -12 (|has| |#1| (-302)) (|has| |#1| (-909))) ((-921) -1831 (|has| |#1| (-352)) (|has| |#1| (-367)) (|has| |#1| (-302))) ((-1008) -12 (|has| |#1| (-1008)) (|has| |#1| (-1189))) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T) ((-1059 (-412 (-571))) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-1059 |#1|) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1143) |has| |#1| (-352)) ((-1189) |has| |#1| (-1189)) ((-1192) |has| |#1| (-1189)) ((-1203) . T) ((-1213) -1831 (|has| |#1| (-352)) (|has| |#1| (-367)) (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) 
+((-4262 (((-423 |#2|) |#2|) 63))) 
+(((-168 |#1| |#2|) (-10 -7 (-15 -4262 ((-423 |#2|) |#2|))) (-302) (-1233 (-170 |#1|))) (T -168)) 
+((-4262 (*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-423 *3)) (-5 *1 (-168 *4 *3)) (-4 *3 (-1233 (-170 *4)))))) 
+(-10 -7 (-15 -4262 ((-423 |#2|) |#2|))) 
+((-3799 (((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)) 14))) 
+(((-169 |#1| |#2|) (-10 -7 (-15 -3799 ((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)))) (-173) (-173)) (T -169)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-170 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-5 *2 (-170 *6)) (-5 *1 (-169 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 33)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-561))))) (-1415 (($ $) NIL (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-561))))) (-2545 (((-121) $) NIL (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-561))))) (-2076 (((-684 |#1|) (-1258 $)) NIL) (((-684 |#1|)) NIL)) (-3490 ((|#1| $) NIL)) (-4255 (($ $) NIL (|has| |#1| (-1189)))) (-4192 (($ $) NIL (|has| |#1| (-1189)))) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| |#1| (-352)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) (-2356 (($ $) NIL (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-367))))) (-4151 (((-423 $) $) NIL (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-367))))) (-4158 (($ $) NIL (-12 (|has| |#1| (-1008)) (|has| |#1| (-1189))))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) (-1295 (((-121) $ $) NIL (|has| |#1| (-302)))) (-4407 (((-768)) NIL (|has| |#1| (-373)))) (-4243 (($ $) NIL (|has| |#1| (-1189)))) (-4185 (($ $) NIL (|has| |#1| (-1189)))) (-4266 (($ $) NIL (|has| |#1| (-1189)))) (-4201 (($ $) NIL (|has| |#1| (-1189)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) NIL)) (-3456 (($ (-1258 |#1|) (-1258 $)) NIL) (($ (-1258 |#1|)) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-352)))) (-2162 (($ $ $) NIL (|has| |#1| (-302)))) (-3962 (((-684 |#1|) $ (-1258 $)) NIL) (((-684 |#1|) $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3074 (($ (-1165 |#1|)) NIL) (((-3 $ "failed") (-412 (-1165 |#1|))) NIL (|has| |#1| (-367)))) (-3978 (((-3 $ "failed") $) NIL)) (-3327 ((|#1| $) 13)) (-3437 (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-553)))) (-3330 (((-121) $) NIL (|has| |#1| (-553)))) (-3450 (((-412 (-571)) $) NIL (|has| |#1| (-553)))) (-3241 (((-922)) NIL)) (-3254 (($) NIL (|has| |#1| (-373)))) (-2180 (($ $ $) NIL (|has| |#1| (-302)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-302)))) (-1962 (($) NIL (|has| |#1| (-352)))) (-2854 (((-121) $) NIL (|has| |#1| (-352)))) (-2442 (($ $ (-768)) NIL (|has| |#1| (-352))) (($ $) NIL (|has| |#1| (-352)))) (-1596 (((-121) $) NIL (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-367))))) (-2836 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) NIL (-12 (|has| |#1| (-1062)) (|has| |#1| (-1189))))) (-4153 (($) NIL (|has| |#1| (-1189)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| |#1| (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| |#1| (-886 (-384))))) (-3347 (((-922) $) NIL (|has| |#1| (-352))) (((-833 (-922)) $) NIL (|has| |#1| (-352)))) (-2583 (((-121) $) 35)) (-3549 (($ $ (-571)) NIL (-12 (|has| |#1| (-1008)) (|has| |#1| (-1189))))) (-3477 ((|#1| $) 46)) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-352)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-302)))) (-4400 (((-1165 |#1|) $) NIL (|has| |#1| (-367)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-4470 (((-922) $) NIL (|has| |#1| (-373)))) (-3509 (($ $) NIL (|has| |#1| (-1189)))) (-3069 (((-1165 |#1|) $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-302))) (($ $ $) NIL (|has| |#1| (-302)))) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| |#1| (-367)))) (-1757 (($) NIL (|has| |#1| (-352)) CONST)) (-1755 (($ (-922)) NIL (|has| |#1| (-373)))) (-2627 (($) NIL)) (-4268 ((|#1| $) 15)) (-2580 (((-1115) $) NIL)) (-2280 (($) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-302)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-302))) (($ $ $) NIL (|has| |#1| (-302)))) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| |#1| (-352)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-909))))) (-4262 (((-423 $) $) NIL (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-367))))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-302)))) (-1786 (((-3 $ "failed") $ |#1|) 44 (|has| |#1| (-561))) (((-3 $ "failed") $ $) 47 (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-561))))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-302)))) (-4148 (($ $) NIL (|has| |#1| (-1189)))) (-4483 (($ $ (-637 |#1|) (-637 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-637 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) NIL (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-1169) |#1|) NIL (|has| |#1| (-526 (-1169) |#1|)))) (-1826 (((-768) $) NIL (|has| |#1| (-302)))) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-3245 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-302)))) (-1475 ((|#1| (-1258 $)) NIL) ((|#1|) NIL)) (-1305 (((-768) $) NIL (|has| |#1| (-352))) (((-3 (-768) "failed") $ $) NIL (|has| |#1| (-352)))) (-3096 (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-3023 (((-684 |#1|) (-1258 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-367)))) (-3413 (((-1165 |#1|)) NIL)) (-4273 (($ $) NIL (|has| |#1| (-1189)))) (-4206 (($ $) NIL (|has| |#1| (-1189)))) (-4481 (($) NIL (|has| |#1| (-352)))) (-4260 (($ $) NIL (|has| |#1| (-1189)))) (-4196 (($ $) NIL (|has| |#1| (-1189)))) (-4249 (($ $) NIL (|has| |#1| (-1189)))) (-4188 (($ $) NIL (|has| |#1| (-1189)))) (-3723 (((-1258 |#1|) $ (-1258 $)) NIL) (((-684 |#1|) (-1258 $) (-1258 $)) NIL) (((-1258 |#1|) $) NIL) (((-684 |#1|) (-1258 $)) NIL)) (-4050 (((-1258 |#1|) $) NIL) (($ (-1258 |#1|)) NIL) (((-1165 |#1|) $) NIL) (($ (-1165 |#1|)) NIL) (((-892 (-571)) $) NIL (|has| |#1| (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| |#1| (-612 (-892 (-384))))) (((-170 (-384)) $) NIL (|has| |#1| (-1027))) (((-170 (-216)) $) NIL (|has| |#1| (-1027))) (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-2911 (($ $) 45)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-352))))) (-3331 (($ |#1| |#1|) 37)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) 36) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-367)) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) NIL (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-561))))) (-2346 (($ $) NIL (|has| |#1| (-352))) (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-3393 (((-1165 |#1|) $) NIL)) (-2661 (((-768)) NIL)) (-1899 (((-1258 $)) NIL)) (-4294 (($ $) NIL (|has| |#1| (-1189)))) (-4220 (($ $) NIL (|has| |#1| (-1189)))) (-1388 (((-121) $ $) NIL (-1831 (-12 (|has| |#1| (-302)) (|has| |#1| (-909))) (|has| |#1| (-561))))) (-4280 (($ $) NIL (|has| |#1| (-1189)))) (-4211 (($ $) NIL (|has| |#1| (-1189)))) (-4307 (($ $) NIL (|has| |#1| (-1189)))) (-4232 (($ $) NIL (|has| |#1| (-1189)))) (-2765 ((|#1| $) NIL (|has| |#1| (-1189)))) (-2656 (($ $) NIL (|has| |#1| (-1189)))) (-4237 (($ $) NIL (|has| |#1| (-1189)))) (-4301 (($ $) NIL (|has| |#1| (-1189)))) (-4227 (($ $) NIL (|has| |#1| (-1189)))) (-4287 (($ $) NIL (|has| |#1| (-1189)))) (-4215 (($ $) NIL (|has| |#1| (-1189)))) (-1902 (($ $) NIL (|has| |#1| (-1062)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) 28 T CONST)) (-3222 (($) 30 T CONST)) (-3805 (((-1151) $) 23 (|has| |#1| (-828))) (((-1151) $ (-121)) 25 (|has| |#1| (-828))) (((-1263) (-822) $) 26 (|has| |#1| (-828))) (((-1263) (-822) $ (-121)) 27 (|has| |#1| (-828)))) (-1544 (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ $) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 39)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-412 (-571))) NIL (-12 (|has| |#1| (-1008)) (|has| |#1| (-1189)))) (($ $ $) NIL (|has| |#1| (-1189))) (($ $ (-571)) NIL (|has| |#1| (-367)))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 42) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-412 (-571)) $) NIL (|has| |#1| (-367))) (($ $ (-412 (-571))) NIL (|has| |#1| (-367))))) 
+(((-170 |#1|) (-13 (-167 |#1|) (-10 -7 (IF (|has| |#1| (-828)) (-6 (-828)) |noBranch|))) (-173)) (T -170)) 
+NIL 
+(-13 (-167 |#1|) (-10 -7 (IF (|has| |#1| (-828)) (-6 (-828)) |noBranch|))) 
+((-4050 (((-892 |#1|) |#3|) 22))) 
+(((-171 |#1| |#2| |#3|) (-10 -7 (-15 -4050 ((-892 |#1|) |#3|))) (-1097) (-13 (-612 (-892 |#1|)) (-173)) (-167 |#2|)) (T -171)) 
+((-4050 (*1 *2 *3) (-12 (-4 *5 (-13 (-612 *2) (-173))) (-5 *2 (-892 *4)) (-5 *1 (-171 *4 *5 *3)) (-4 *4 (-1097)) (-4 *3 (-167 *5))))) 
+(-10 -7 (-15 -4050 ((-892 |#1|) |#3|))) 
+((-2234 (((-121) $ $) NIL)) (-2414 (((-121) $) 9)) (-3520 (((-121) $ (-121)) 11)) (-1364 (($) 12)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4316 (($ $) 13)) (-3942 (((-855) $) 17)) (-1491 (((-121) $) 8)) (-2363 (((-121) $ (-121)) 10)) (-1323 (((-121) $ $) NIL))) 
+(((-172) (-13 (-1097) (-10 -8 (-15 -1364 ($)) (-15 -1491 ((-121) $)) (-15 -2414 ((-121) $)) (-15 -2363 ((-121) $ (-121))) (-15 -3520 ((-121) $ (-121))) (-15 -4316 ($ $))))) (T -172)) 
+((-1364 (*1 *1) (-5 *1 (-172))) (-1491 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-2414 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-2363 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-3520 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-4316 (*1 *1 *1) (-5 *1 (-172)))) 
+(-13 (-1097) (-10 -8 (-15 -1364 ($)) (-15 -1491 ((-121) $)) (-15 -2414 ((-121) $)) (-15 -2363 ((-121) $ (-121))) (-15 -3520 ((-121) $ (-121))) (-15 -4316 ($ $)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-173) (-1289)) (T -173)) 
+NIL 
+(-13 (-1053) (-120 $ $) (-10 -7 (-6 (-4602 "*")))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 $) . T) ((-721) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1533 ((|#1| $) 74)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-2162 (($ $ $) NIL)) (-4140 (($ $) 19)) (-2706 (($ |#1| (-1149 |#1|)) 47)) (-3978 (((-3 $ "failed") $) 116)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-4342 (((-1149 |#1|) $) 81)) (-4358 (((-1149 |#1|) $) 78)) (-2609 (((-1149 |#1|) $) 79)) (-2583 (((-121) $) NIL)) (-4494 (((-1149 |#1|) $) 87)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1622 (($ (-637 $)) NIL) (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ (-637 $)) NIL) (($ $ $) NIL)) (-4262 (((-423 $) $) NIL)) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL)) (-3140 (($ $ (-571)) 90)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1890 (((-1149 |#1|) $) 88)) (-3499 (((-1149 (-412 |#1|)) $) 13)) (-1410 (($ (-412 |#1|)) 17) (($ |#1| (-1149 |#1|) (-1149 |#1|)) 37)) (-3202 (($ $) 92)) (-3942 (((-855) $) 126) (($ (-571)) 50) (($ |#1|) 51) (($ (-412 |#1|)) 35) (($ (-412 (-571))) NIL) (($ $) NIL)) (-2661 (((-768)) 63)) (-1388 (((-121) $ $) NIL)) (-3238 (((-1149 (-412 |#1|)) $) 18)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 25 T CONST)) (-3222 (($) 28 T CONST)) (-1323 (((-121) $ $) 34)) (-1379 (($ $ $) 114)) (-1373 (($ $) 105) (($ $ $) 102)) (-1367 (($ $ $) 100)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 112) (($ $ $) 107) (($ $ |#1|) NIL) (($ |#1| $) 109) (($ (-412 |#1|) $) 110) (($ $ (-412 |#1|)) NIL) (($ (-412 (-571)) $) NIL) (($ $ (-412 (-571))) NIL))) 
+(((-174 |#1|) (-13 (-43 |#1|) (-43 (-412 |#1|)) (-367) (-10 -8 (-15 -1410 ($ (-412 |#1|))) (-15 -1410 ($ |#1| (-1149 |#1|) (-1149 |#1|))) (-15 -2706 ($ |#1| (-1149 |#1|))) (-15 -4358 ((-1149 |#1|) $)) (-15 -2609 ((-1149 |#1|) $)) (-15 -4342 ((-1149 |#1|) $)) (-15 -1533 (|#1| $)) (-15 -4140 ($ $)) (-15 -3238 ((-1149 (-412 |#1|)) $)) (-15 -3499 ((-1149 (-412 |#1|)) $)) (-15 -4494 ((-1149 |#1|) $)) (-15 -1890 ((-1149 |#1|) $)) (-15 -3140 ($ $ (-571))) (-15 -3202 ($ $)))) (-302)) (T -174)) 
+((-1410 (*1 *1 *2) (-12 (-5 *2 (-412 *3)) (-4 *3 (-302)) (-5 *1 (-174 *3)))) (-1410 (*1 *1 *2 *3 *3) (-12 (-5 *3 (-1149 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) (-2706 (*1 *1 *2 *3) (-12 (-5 *3 (-1149 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) (-4358 (*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2609 (*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-4342 (*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-1533 (*1 *2 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) (-4140 (*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) (-3238 (*1 *2 *1) (-12 (-5 *2 (-1149 (-412 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3499 (*1 *2 *1) (-12 (-5 *2 (-1149 (-412 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-4494 (*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-1890 (*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3140 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3202 (*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302))))) 
+(-13 (-43 |#1|) (-43 (-412 |#1|)) (-367) (-10 -8 (-15 -1410 ($ (-412 |#1|))) (-15 -1410 ($ |#1| (-1149 |#1|) (-1149 |#1|))) (-15 -2706 ($ |#1| (-1149 |#1|))) (-15 -4358 ((-1149 |#1|) $)) (-15 -2609 ((-1149 |#1|) $)) (-15 -4342 ((-1149 |#1|) $)) (-15 -1533 (|#1| $)) (-15 -4140 ($ $)) (-15 -3238 ((-1149 (-412 |#1|)) $)) (-15 -3499 ((-1149 (-412 |#1|)) $)) (-15 -4494 ((-1149 |#1|) $)) (-15 -1890 ((-1149 |#1|) $)) (-15 -3140 ($ $ (-571))) (-15 -3202 ($ $)))) 
+((-3718 (((-1 (-949 |#1|) (-949 |#1|)) |#1|) 40)) (-1523 (((-949 |#1|) (-949 |#1|)) 19)) (-2421 (((-1 (-949 |#1|) (-949 |#1|)) |#1|) 36)) (-3626 (((-949 |#1|) (-949 |#1|)) 17)) (-3727 (((-949 |#1|) (-949 |#1|)) 25)) (-4250 (((-949 |#1|) (-949 |#1|)) 24)) (-1776 (((-949 |#1|) (-949 |#1|)) 23)) (-3397 (((-1 (-949 |#1|) (-949 |#1|)) |#1|) 37)) (-3988 (((-1 (-949 |#1|) (-949 |#1|)) |#1|) 35)) (-3078 (((-1 (-949 |#1|) (-949 |#1|)) |#1|) 34)) (-2243 (((-949 |#1|) (-949 |#1|)) 18)) (-2585 (((-1 (-949 |#1|) (-949 |#1|)) |#1| |#1|) 43)) (-1423 (((-949 |#1|) (-949 |#1|)) 8)) (-1994 (((-1 (-949 |#1|) (-949 |#1|)) |#1|) 39)) (-1351 (((-1 (-949 |#1|) (-949 |#1|)) |#1|) 38))) 
+(((-175 |#1|) (-10 -7 (-15 -1423 ((-949 |#1|) (-949 |#1|))) (-15 -3626 ((-949 |#1|) (-949 |#1|))) (-15 -2243 ((-949 |#1|) (-949 |#1|))) (-15 -1523 ((-949 |#1|) (-949 |#1|))) (-15 -1776 ((-949 |#1|) (-949 |#1|))) (-15 -4250 ((-949 |#1|) (-949 |#1|))) (-15 -3727 ((-949 |#1|) (-949 |#1|))) (-15 -3078 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -3988 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -2421 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -3397 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -1351 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -1994 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -3718 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -2585 ((-1 (-949 |#1|) (-949 |#1|)) |#1| |#1|))) (-13 (-367) (-1189) (-1008))) (T -175)) 
+((-2585 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))))) (-3718 (*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))))) (-1994 (*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))))) (-1351 (*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))))) (-3397 (*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))))) (-2421 (*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))))) (-3988 (*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))))) (-3078 (*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))))) (-3727 (*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3)))) (-4250 (*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3)))) (-1776 (*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3)))) (-1523 (*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3)))) (-2243 (*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3)))) (-3626 (*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3)))) (-1423 (*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3))))) 
+(-10 -7 (-15 -1423 ((-949 |#1|) (-949 |#1|))) (-15 -3626 ((-949 |#1|) (-949 |#1|))) (-15 -2243 ((-949 |#1|) (-949 |#1|))) (-15 -1523 ((-949 |#1|) (-949 |#1|))) (-15 -1776 ((-949 |#1|) (-949 |#1|))) (-15 -4250 ((-949 |#1|) (-949 |#1|))) (-15 -3727 ((-949 |#1|) (-949 |#1|))) (-15 -3078 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -3988 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -2421 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -3397 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -1351 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -1994 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -3718 ((-1 (-949 |#1|) (-949 |#1|)) |#1|)) (-15 -2585 ((-1 (-949 |#1|) (-949 |#1|)) |#1| |#1|))) 
+((-3393 ((|#2| |#3|) 27))) 
+(((-176 |#1| |#2| |#3|) (-10 -7 (-15 -3393 (|#2| |#3|))) (-173) (-1233 |#1|) (-719 |#1| |#2|)) (T -176)) 
+((-3393 (*1 *2 *3) (-12 (-4 *4 (-173)) (-4 *2 (-1233 *4)) (-5 *1 (-176 *4 *2 *3)) (-4 *3 (-719 *4 *2))))) 
+(-10 -7 (-15 -3393 (|#2| |#3|))) 
+((-2941 (((-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|)) 47 (|has| (-958 |#2|) (-886 |#1|))))) 
+(((-177 |#1| |#2| |#3|) (-10 -7 (IF (|has| (-958 |#2|) (-886 |#1|)) (-15 -2941 ((-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|))) |noBranch|)) (-1097) (-13 (-886 |#1|) (-173)) (-167 |#2|)) (T -177)) 
+((-2941 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *3)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-4 *3 (-167 *6)) (-4 (-958 *6) (-886 *5)) (-4 *6 (-13 (-886 *5) (-173))) (-5 *1 (-177 *5 *6 *3))))) 
+(-10 -7 (IF (|has| (-958 |#2|) (-886 |#1|)) (-15 -2941 ((-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|))) |noBranch|)) 
+((-3053 (((-637 |#1|) (-637 |#1|) |#1|) 36)) (-1336 (((-637 |#1|) |#1| (-637 |#1|)) 19)) (-2419 (((-637 |#1|) (-637 (-637 |#1|)) (-637 |#1|)) 31) ((|#1| (-637 |#1|) (-637 |#1|)) 29))) 
+(((-178 |#1|) (-10 -7 (-15 -1336 ((-637 |#1|) |#1| (-637 |#1|))) (-15 -2419 (|#1| (-637 |#1|) (-637 |#1|))) (-15 -2419 ((-637 |#1|) (-637 (-637 |#1|)) (-637 |#1|))) (-15 -3053 ((-637 |#1|) (-637 |#1|) |#1|))) (-302)) (T -178)) 
+((-3053 (*1 *2 *2 *3) (-12 (-5 *2 (-637 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3)))) (-2419 (*1 *2 *3 *2) (-12 (-5 *3 (-637 (-637 *4))) (-5 *2 (-637 *4)) (-4 *4 (-302)) (-5 *1 (-178 *4)))) (-2419 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *2)) (-5 *1 (-178 *2)) (-4 *2 (-302)))) (-1336 (*1 *2 *3 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
+(-10 -7 (-15 -1336 ((-637 |#1|) |#1| (-637 |#1|))) (-15 -2419 (|#1| (-637 |#1|) (-637 |#1|))) (-15 -2419 ((-637 |#1|) (-637 (-637 |#1|)) (-637 |#1|))) (-15 -3053 ((-637 |#1|) (-637 |#1|) |#1|))) 
+((-1977 (((-2 (|:| |start| |#2|) (|:| -2842 (-423 |#2|))) |#2|) 61)) (-3519 ((|#1| |#1|) 54)) (-1639 (((-170 |#1|) |#2|) 82)) (-3426 ((|#1| |#2|) 122) ((|#1| |#2| |#1|) 80)) (-1799 ((|#2| |#2|) 81)) (-1404 (((-423 |#2|) |#2| |#1|) 112) (((-423 |#2|) |#2| |#1| (-121)) 79)) (-3477 ((|#1| |#2|) 111)) (-4557 ((|#2| |#2|) 118)) (-4262 (((-423 |#2|) |#2|) 133) (((-423 |#2|) |#2| |#1|) 32) (((-423 |#2|) |#2| |#1| (-121)) 132)) (-1812 (((-637 (-2 (|:| -2842 (-637 |#2|)) (|:| -3871 |#1|))) |#2| |#2|) 131) (((-637 (-2 (|:| -2842 (-637 |#2|)) (|:| -3871 |#1|))) |#2| |#2| (-121)) 75)) (-3097 (((-637 (-170 |#1|)) |#2| |#1|) 40) (((-637 (-170 |#1|)) |#2|) 41))) 
+(((-179 |#1| |#2|) (-10 -7 (-15 -3097 ((-637 (-170 |#1|)) |#2|)) (-15 -3097 ((-637 (-170 |#1|)) |#2| |#1|)) (-15 -1812 ((-637 (-2 (|:| -2842 (-637 |#2|)) (|:| -3871 |#1|))) |#2| |#2| (-121))) (-15 -1812 ((-637 (-2 (|:| -2842 (-637 |#2|)) (|:| -3871 |#1|))) |#2| |#2|)) (-15 -4262 ((-423 |#2|) |#2| |#1| (-121))) (-15 -4262 ((-423 |#2|) |#2| |#1|)) (-15 -4262 ((-423 |#2|) |#2|)) (-15 -4557 (|#2| |#2|)) (-15 -3477 (|#1| |#2|)) (-15 -1404 ((-423 |#2|) |#2| |#1| (-121))) (-15 -1404 ((-423 |#2|) |#2| |#1|)) (-15 -1799 (|#2| |#2|)) (-15 -3426 (|#1| |#2| |#1|)) (-15 -3426 (|#1| |#2|)) (-15 -1639 ((-170 |#1|) |#2|)) (-15 -3519 (|#1| |#1|)) (-15 -1977 ((-2 (|:| |start| |#2|) (|:| -2842 (-423 |#2|))) |#2|))) (-13 (-367) (-845)) (-1233 (-170 |#1|))) (T -179)) 
+((-1977 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-2 (|:| |start| *3) (|:| -2842 (-423 *3)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) (-3519 (*1 *2 *2) (-12 (-4 *2 (-13 (-367) (-845))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1233 (-170 *2))))) (-1639 (*1 *2 *3) (-12 (-5 *2 (-170 *4)) (-5 *1 (-179 *4 *3)) (-4 *4 (-13 (-367) (-845))) (-4 *3 (-1233 *2)))) (-3426 (*1 *2 *3) (-12 (-4 *2 (-13 (-367) (-845))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1233 (-170 *2))))) (-3426 (*1 *2 *3 *2) (-12 (-4 *2 (-13 (-367) (-845))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1233 (-170 *2))))) (-1799 (*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-845))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1233 (-170 *3))))) (-1404 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-423 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) (-1404 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-367) (-845))) (-5 *2 (-423 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) (-3477 (*1 *2 *3) (-12 (-4 *2 (-13 (-367) (-845))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1233 (-170 *2))))) (-4557 (*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-845))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1233 (-170 *3))))) (-4262 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-423 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) (-4262 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-423 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) (-4262 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-367) (-845))) (-5 *2 (-423 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) (-1812 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-637 (-2 (|:| -2842 (-637 *3)) (|:| -3871 *4)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) (-1812 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-367) (-845))) (-5 *2 (-637 (-2 (|:| -2842 (-637 *3)) (|:| -3871 *5)))) (-5 *1 (-179 *5 *3)) (-4 *3 (-1233 (-170 *5))))) (-3097 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-637 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) (-3097 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-637 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4)))))) 
+(-10 -7 (-15 -3097 ((-637 (-170 |#1|)) |#2|)) (-15 -3097 ((-637 (-170 |#1|)) |#2| |#1|)) (-15 -1812 ((-637 (-2 (|:| -2842 (-637 |#2|)) (|:| -3871 |#1|))) |#2| |#2| (-121))) (-15 -1812 ((-637 (-2 (|:| -2842 (-637 |#2|)) (|:| -3871 |#1|))) |#2| |#2|)) (-15 -4262 ((-423 |#2|) |#2| |#1| (-121))) (-15 -4262 ((-423 |#2|) |#2| |#1|)) (-15 -4262 ((-423 |#2|) |#2|)) (-15 -4557 (|#2| |#2|)) (-15 -3477 (|#1| |#2|)) (-15 -1404 ((-423 |#2|) |#2| |#1| (-121))) (-15 -1404 ((-423 |#2|) |#2| |#1|)) (-15 -1799 (|#2| |#2|)) (-15 -3426 (|#1| |#2| |#1|)) (-15 -3426 (|#1| |#2|)) (-15 -1639 ((-170 |#1|) |#2|)) (-15 -3519 (|#1| |#1|)) (-15 -1977 ((-2 (|:| |start| |#2|) (|:| -2842 (-423 |#2|))) |#2|))) 
+((-2802 (((-3 |#2| "failed") |#2|) 14)) (-4461 (((-768) |#2|) 16)) (-1660 ((|#2| |#2| |#2|) 18))) 
+(((-180 |#1| |#2|) (-10 -7 (-15 -2802 ((-3 |#2| "failed") |#2|)) (-15 -4461 ((-768) |#2|)) (-15 -1660 (|#2| |#2| |#2|))) (-1203) (-668 |#1|)) (T -180)) 
+((-1660 (*1 *2 *2 *2) (-12 (-4 *3 (-1203)) (-5 *1 (-180 *3 *2)) (-4 *2 (-668 *3)))) (-4461 (*1 *2 *3) (-12 (-4 *4 (-1203)) (-5 *2 (-768)) (-5 *1 (-180 *4 *3)) (-4 *3 (-668 *4)))) (-2802 (*1 *2 *2) (|partial| -12 (-4 *3 (-1203)) (-5 *1 (-180 *3 *2)) (-4 *2 (-668 *3))))) 
+(-10 -7 (-15 -2802 ((-3 |#2| "failed") |#2|)) (-15 -4461 ((-768) |#2|)) (-15 -1660 (|#2| |#2| |#2|))) 
+((-1793 ((|#2| |#2|) 28)) (-2835 (((-121) |#2|) 19)) (-3327 (((-311 |#1|) |#2|) 12)) (-4268 (((-311 |#1|) |#2|) 14)) (-4049 ((|#2| |#2| (-1169)) 68) ((|#2| |#2|) 69)) (-1589 (((-170 (-311 |#1|)) |#2|) 9)) (-2724 ((|#2| |#2| (-1169)) 65) ((|#2| |#2|) 58))) 
+(((-181 |#1| |#2|) (-10 -7 (-15 -4049 (|#2| |#2|)) (-15 -4049 (|#2| |#2| (-1169))) (-15 -2724 (|#2| |#2|)) (-15 -2724 (|#2| |#2| (-1169))) (-15 -3327 ((-311 |#1|) |#2|)) (-15 -4268 ((-311 |#1|) |#2|)) (-15 -2835 ((-121) |#2|)) (-15 -1793 (|#2| |#2|)) (-15 -1589 ((-170 (-311 |#1|)) |#2|))) (-13 (-561) (-847) (-1043 (-571))) (-13 (-27) (-1189) (-435 (-170 |#1|)))) (T -181)) 
+((-1589 (*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-170 (-311 *4))) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 (-170 *4)))))) (-1793 (*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-847) (-1043 (-571)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 (-170 *3)))))) (-2835 (*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-121)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 (-170 *4)))))) (-4268 (*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 (-170 *4)))))) (-3327 (*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 (-170 *4)))))) (-2724 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 (-170 *4)))))) (-2724 (*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-847) (-1043 (-571)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 (-170 *3)))))) (-4049 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 (-170 *4)))))) (-4049 (*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-847) (-1043 (-571)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 (-170 *3))))))) 
+(-10 -7 (-15 -4049 (|#2| |#2|)) (-15 -4049 (|#2| |#2| (-1169))) (-15 -2724 (|#2| |#2|)) (-15 -2724 (|#2| |#2| (-1169))) (-15 -3327 ((-311 |#1|) |#2|)) (-15 -4268 ((-311 |#1|) |#2|)) (-15 -2835 ((-121) |#2|)) (-15 -1793 (|#2| |#2|)) (-15 -1589 ((-170 (-311 |#1|)) |#2|))) 
+((-4112 (((-1258 (-684 (-958 |#1|))) (-1258 (-684 |#1|))) 22)) (-3942 (((-1258 (-684 (-412 (-958 |#1|)))) (-1258 (-684 |#1|))) 30))) 
+(((-182 |#1|) (-10 -7 (-15 -4112 ((-1258 (-684 (-958 |#1|))) (-1258 (-684 |#1|)))) (-15 -3942 ((-1258 (-684 (-412 (-958 |#1|)))) (-1258 (-684 |#1|))))) (-173)) (T -182)) 
+((-3942 (*1 *2 *3) (-12 (-5 *3 (-1258 (-684 *4))) (-4 *4 (-173)) (-5 *2 (-1258 (-684 (-412 (-958 *4))))) (-5 *1 (-182 *4)))) (-4112 (*1 *2 *3) (-12 (-5 *3 (-1258 (-684 *4))) (-4 *4 (-173)) (-5 *2 (-1258 (-684 (-958 *4)))) (-5 *1 (-182 *4))))) 
+(-10 -7 (-15 -4112 ((-1258 (-684 (-958 |#1|))) (-1258 (-684 |#1|)))) (-15 -3942 ((-1258 (-684 (-412 (-958 |#1|)))) (-1258 (-684 |#1|))))) 
+((-3842 (((-1171 (-412 (-571))) (-1171 (-412 (-571))) (-1171 (-412 (-571)))) 66)) (-2608 (((-1171 (-412 (-571))) (-637 (-571)) (-637 (-571))) 74)) (-2112 (((-1171 (-412 (-571))) (-571)) 40)) (-2968 (((-1171 (-412 (-571))) (-571)) 52)) (-4483 (((-412 (-571)) (-1171 (-412 (-571)))) 62)) (-4186 (((-1171 (-412 (-571))) (-571)) 32)) (-3951 (((-1171 (-412 (-571))) (-571)) 48)) (-4067 (((-1171 (-412 (-571))) (-571)) 46)) (-2782 (((-1171 (-412 (-571))) (-1171 (-412 (-571))) (-1171 (-412 (-571)))) 60)) (-3202 (((-1171 (-412 (-571))) (-571)) 25)) (-4207 (((-412 (-571)) (-1171 (-412 (-571))) (-1171 (-412 (-571)))) 64)) (-3768 (((-1171 (-412 (-571))) (-571)) 30)) (-2144 (((-1171 (-412 (-571))) (-637 (-571))) 71))) 
+(((-183) (-10 -7 (-15 -3202 ((-1171 (-412 (-571))) (-571))) (-15 -2112 ((-1171 (-412 (-571))) (-571))) (-15 -4186 ((-1171 (-412 (-571))) (-571))) (-15 -3768 ((-1171 (-412 (-571))) (-571))) (-15 -4067 ((-1171 (-412 (-571))) (-571))) (-15 -3951 ((-1171 (-412 (-571))) (-571))) (-15 -2968 ((-1171 (-412 (-571))) (-571))) (-15 -4207 ((-412 (-571)) (-1171 (-412 (-571))) (-1171 (-412 (-571))))) (-15 -2782 ((-1171 (-412 (-571))) (-1171 (-412 (-571))) (-1171 (-412 (-571))))) (-15 -4483 ((-412 (-571)) (-1171 (-412 (-571))))) (-15 -3842 ((-1171 (-412 (-571))) (-1171 (-412 (-571))) (-1171 (-412 (-571))))) (-15 -2144 ((-1171 (-412 (-571))) (-637 (-571)))) (-15 -2608 ((-1171 (-412 (-571))) (-637 (-571)) (-637 (-571)))))) (T -183)) 
+((-2608 (*1 *2 *3 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)))) (-2144 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)))) (-3842 (*1 *2 *2 *2) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)))) (-4483 (*1 *2 *3) (-12 (-5 *3 (-1171 (-412 (-571)))) (-5 *2 (-412 (-571))) (-5 *1 (-183)))) (-2782 (*1 *2 *2 *2) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)))) (-4207 (*1 *2 *3 *3) (-12 (-5 *3 (-1171 (-412 (-571)))) (-5 *2 (-412 (-571))) (-5 *1 (-183)))) (-2968 (*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571)))) (-3951 (*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571)))) (-4067 (*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571)))) (-3768 (*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571)))) (-4186 (*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571)))) (-2112 (*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571)))) (-3202 (*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571))))) 
+(-10 -7 (-15 -3202 ((-1171 (-412 (-571))) (-571))) (-15 -2112 ((-1171 (-412 (-571))) (-571))) (-15 -4186 ((-1171 (-412 (-571))) (-571))) (-15 -3768 ((-1171 (-412 (-571))) (-571))) (-15 -4067 ((-1171 (-412 (-571))) (-571))) (-15 -3951 ((-1171 (-412 (-571))) (-571))) (-15 -2968 ((-1171 (-412 (-571))) (-571))) (-15 -4207 ((-412 (-571)) (-1171 (-412 (-571))) (-1171 (-412 (-571))))) (-15 -2782 ((-1171 (-412 (-571))) (-1171 (-412 (-571))) (-1171 (-412 (-571))))) (-15 -4483 ((-412 (-571)) (-1171 (-412 (-571))))) (-15 -3842 ((-1171 (-412 (-571))) (-1171 (-412 (-571))) (-1171 (-412 (-571))))) (-15 -2144 ((-1171 (-412 (-571))) (-637 (-571)))) (-15 -2608 ((-1171 (-412 (-571))) (-637 (-571)) (-637 (-571))))) 
+((-3381 (((-423 (-1165 (-571))) (-571)) 28)) (-2865 (((-637 (-1165 (-571))) (-571)) 23)) (-3386 (((-1165 (-571)) (-571)) 21))) 
+(((-184) (-10 -7 (-15 -2865 ((-637 (-1165 (-571))) (-571))) (-15 -3386 ((-1165 (-571)) (-571))) (-15 -3381 ((-423 (-1165 (-571))) (-571))))) (T -184)) 
+((-3381 (*1 *2 *3) (-12 (-5 *2 (-423 (-1165 (-571)))) (-5 *1 (-184)) (-5 *3 (-571)))) (-3386 (*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-184)) (-5 *3 (-571)))) (-2865 (*1 *2 *3) (-12 (-5 *2 (-637 (-1165 (-571)))) (-5 *1 (-184)) (-5 *3 (-571))))) 
+(-10 -7 (-15 -2865 ((-637 (-1165 (-571))) (-571))) (-15 -3386 ((-1165 (-571)) (-571))) (-15 -3381 ((-423 (-1165 (-571))) (-571)))) 
+((-2952 (((-1149 (-216)) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 101)) (-2210 (((-637 (-1151)) (-1149 (-216))) NIL)) (-1745 (((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 77)) (-3212 (((-637 (-216)) (-311 (-216)) (-1169) (-1091 (-840 (-216)))) NIL)) (-2883 (((-637 (-1151)) (-637 (-216))) NIL)) (-2171 (((-216) (-1091 (-840 (-216)))) 22)) (-4521 (((-216) (-1091 (-840 (-216)))) 23)) (-3669 (((-384) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 93)) (-3870 (((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 40)) (-4019 (((-1151) (-216)) NIL)) (-3558 (((-1151) (-637 (-1151))) 19)) (-2647 (((-1041) (-1169) (-1169) (-1041)) 12))) 
+(((-185) (-10 -7 (-15 -1745 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3870 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2171 ((-216) (-1091 (-840 (-216))))) (-15 -4521 ((-216) (-1091 (-840 (-216))))) (-15 -3669 ((-384) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3212 ((-637 (-216)) (-311 (-216)) (-1169) (-1091 (-840 (-216))))) (-15 -2952 ((-1149 (-216)) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4019 ((-1151) (-216))) (-15 -2883 ((-637 (-1151)) (-637 (-216)))) (-15 -2210 ((-637 (-1151)) (-1149 (-216)))) (-15 -3558 ((-1151) (-637 (-1151)))) (-15 -2647 ((-1041) (-1169) (-1169) (-1041))))) (T -185)) 
+((-2647 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1041)) (-5 *3 (-1169)) (-5 *1 (-185)))) (-3558 (*1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-1151)) (-5 *1 (-185)))) (-2210 (*1 *2 *3) (-12 (-5 *3 (-1149 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-185)))) (-2883 (*1 *2 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-185)))) (-4019 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1151)) (-5 *1 (-185)))) (-2952 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1149 (-216))) (-5 *1 (-185)))) (-3212 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1169)) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-637 (-216))) (-5 *1 (-185)))) (-3669 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-384)) (-5 *1 (-185)))) (-4521 (*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) (-2171 (*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) (-3870 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-185)))) (-1745 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-185))))) 
+(-10 -7 (-15 -1745 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3870 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2171 ((-216) (-1091 (-840 (-216))))) (-15 -4521 ((-216) (-1091 (-840 (-216))))) (-15 -3669 ((-384) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3212 ((-637 (-216)) (-311 (-216)) (-1169) (-1091 (-840 (-216))))) (-15 -2952 ((-1149 (-216)) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4019 ((-1151) (-216))) (-15 -2883 ((-637 (-1151)) (-637 (-216)))) (-15 -2210 ((-637 (-1151)) (-1149 (-216)))) (-15 -3558 ((-1151) (-637 (-1151)))) (-15 -2647 ((-1041) (-1169) (-1169) (-1041)))) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 53) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 28) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-186) (-787)) (T -186)) 
+NIL 
+(-787) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 58) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-187) (-787)) (T -187)) 
+NIL 
+(-787) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 67) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 36) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-188) (-787)) (T -188)) 
+NIL 
+(-787) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 54) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 30) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-189) (-787)) (T -189)) 
+NIL 
+(-787) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 65) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 35) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-190) (-787)) (T -190)) 
+NIL 
+(-787) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 71) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-191) (-787)) (T -191)) 
+NIL 
+(-787) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 78) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 43) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-192) (-787)) (T -192)) 
+NIL 
+(-787) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 68) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-193) (-787)) (T -193)) 
+NIL 
+(-787) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 62)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 29)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-194) (-787)) (T -194)) 
+NIL 
+(-787) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 60)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 32)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-195) (-787)) (T -195)) 
+NIL 
+(-787) 
+((-2234 (((-121) $ $) NIL)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 89) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 77) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-196) (-787)) (T -196)) 
+NIL 
+(-787) 
+((-1456 (((-3 (-2 (|:| -4547 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 80)) (-1633 (((-571) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 39)) (-3866 (((-3 (-637 (-216)) "failed") (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 69))) 
+(((-197) (-10 -7 (-15 -1456 ((-3 (-2 (|:| -4547 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3866 ((-3 (-637 (-216)) "failed") (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1633 ((-571) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -197)) 
+((-1633 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-571)) (-5 *1 (-197)))) (-3866 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-637 (-216))) (-5 *1 (-197)))) (-1456 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -4547 (-123)) (|:| |w| (-216)))) (-5 *1 (-197))))) 
+(-10 -7 (-15 -1456 ((-3 (-2 (|:| -4547 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3866 ((-3 (-637 (-216)) "failed") (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1633 ((-571) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-1995 (((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-3874 (((-2 (|:| |stiffnessFactor| (-384)) (|:| |stabilityFactor| (-384))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 127)) (-3553 (((-2 (|:| |stiffnessFactor| (-384)) (|:| |stabilityFactor| (-384))) (-684 (-311 (-216)))) 87)) (-1478 (((-384) (-684 (-311 (-216)))) 110)) (-1329 (((-684 (-311 (-216))) (-1258 (-311 (-216))) (-637 (-1169))) 107)) (-3699 (((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 26)) (-1429 (((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 42)) (-4483 (((-684 (-311 (-216))) (-684 (-311 (-216))) (-637 (-1169)) (-1258 (-311 (-216)))) 99)) (-4041 (((-384) (-384) (-637 (-384))) 104) (((-384) (-384) (-384)) 102)) (-2612 (((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33))) 
+(((-198) (-10 -7 (-15 -4041 ((-384) (-384) (-384))) (-15 -4041 ((-384) (-384) (-637 (-384)))) (-15 -1478 ((-384) (-684 (-311 (-216))))) (-15 -1329 ((-684 (-311 (-216))) (-1258 (-311 (-216))) (-637 (-1169)))) (-15 -4483 ((-684 (-311 (-216))) (-684 (-311 (-216))) (-637 (-1169)) (-1258 (-311 (-216))))) (-15 -3553 ((-2 (|:| |stiffnessFactor| (-384)) (|:| |stabilityFactor| (-384))) (-684 (-311 (-216))))) (-15 -3874 ((-2 (|:| |stiffnessFactor| (-384)) (|:| |stabilityFactor| (-384))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1995 ((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1429 ((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2612 ((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3699 ((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -198)) 
+((-3699 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-384)) (-5 *1 (-198)))) (-2612 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-384)) (-5 *1 (-198)))) (-1429 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-384)) (-5 *1 (-198)))) (-1995 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-384)) (-5 *1 (-198)))) (-3874 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-384)) (|:| |stabilityFactor| (-384)))) (-5 *1 (-198)))) (-3553 (*1 *2 *3) (-12 (-5 *3 (-684 (-311 (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-384)) (|:| |stabilityFactor| (-384)))) (-5 *1 (-198)))) (-4483 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-684 (-311 (-216)))) (-5 *3 (-637 (-1169))) (-5 *4 (-1258 (-311 (-216)))) (-5 *1 (-198)))) (-1329 (*1 *2 *3 *4) (-12 (-5 *3 (-1258 (-311 (-216)))) (-5 *4 (-637 (-1169))) (-5 *2 (-684 (-311 (-216)))) (-5 *1 (-198)))) (-1478 (*1 *2 *3) (-12 (-5 *3 (-684 (-311 (-216)))) (-5 *2 (-384)) (-5 *1 (-198)))) (-4041 (*1 *2 *2 *3) (-12 (-5 *3 (-637 (-384))) (-5 *2 (-384)) (-5 *1 (-198)))) (-4041 (*1 *2 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-198))))) 
+(-10 -7 (-15 -4041 ((-384) (-384) (-384))) (-15 -4041 ((-384) (-384) (-637 (-384)))) (-15 -1478 ((-384) (-684 (-311 (-216))))) (-15 -1329 ((-684 (-311 (-216))) (-1258 (-311 (-216))) (-637 (-1169)))) (-15 -4483 ((-684 (-311 (-216))) (-684 (-311 (-216))) (-637 (-1169)) (-1258 (-311 (-216))))) (-15 -3553 ((-2 (|:| |stiffnessFactor| (-384)) (|:| |stabilityFactor| (-384))) (-684 (-311 (-216))))) (-15 -3874 ((-2 (|:| |stiffnessFactor| (-384)) (|:| |stabilityFactor| (-384))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1995 ((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1429 ((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2612 ((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3699 ((-384) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-2234 (((-121) $ $) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-2905 (((-1041) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 60)) (-1323 (((-121) $ $) NIL))) 
+(((-199) (-800)) (T -199)) 
+NIL 
+(-800) 
+((-2234 (((-121) $ $) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-2905 (((-1041) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 60)) (-1323 (((-121) $ $) NIL))) 
+(((-200) (-800)) (T -200)) 
+NIL 
+(-800) 
+((-2234 (((-121) $ $) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 36)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-2905 (((-1041) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 64)) (-1323 (((-121) $ $) NIL))) 
+(((-201) (-800)) (T -201)) 
+NIL 
+(-800) 
+((-2234 (((-121) $ $) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 42)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-2905 (((-1041) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 73)) (-1323 (((-121) $ $) NIL))) 
+(((-202) (-800)) (T -202)) 
+NIL 
+(-800) 
+((-3171 (((-637 (-1169)) (-1169) (-768)) 22)) (-3132 (((-311 (-216)) (-311 (-216))) 29)) (-1548 (((-121) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) 67)) (-3943 (((-121) (-216) (-216) (-637 (-311 (-216)))) 43))) 
+(((-203) (-10 -7 (-15 -3171 ((-637 (-1169)) (-1169) (-768))) (-15 -3132 ((-311 (-216)) (-311 (-216)))) (-15 -3943 ((-121) (-216) (-216) (-637 (-311 (-216))))) (-15 -1548 ((-121) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216))))))) (T -203)) 
+((-1548 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) (-5 *2 (-121)) (-5 *1 (-203)))) (-3943 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-637 (-311 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-203)))) (-3132 (*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-203)))) (-3171 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-5 *2 (-637 (-1169))) (-5 *1 (-203)) (-5 *3 (-1169))))) 
+(-10 -7 (-15 -3171 ((-637 (-1169)) (-1169) (-768))) (-15 -3132 ((-311 (-216)) (-311 (-216)))) (-15 -3943 ((-121) (-216) (-216) (-637 (-311 (-216))))) (-15 -1548 ((-121) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))))) 
+((-2234 (((-121) $ $) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) 17)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1467 (((-1041) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) 55)) (-1323 (((-121) $ $) NIL))) 
+(((-204) (-895)) (T -204)) 
+NIL 
+(-895) 
+((-2234 (((-121) $ $) NIL)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) 12)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1467 (((-1041) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-205) (-895)) (T -205)) 
+NIL 
+(-895) 
+((-2234 (((-121) $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4197 (((-1263) $) 36) (((-1263) $ (-922) (-922)) 38)) (-3245 (($ $ (-996)) 19) (((-241 (-1151)) $ (-1169)) 15)) (-2406 (((-1263) $) 34)) (-3942 (((-855) $) 31) (($ (-637 |#1|)) 8)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $ $) 27)) (-1367 (($ $ $) 22))) 
+(((-206 |#1|) (-13 (-1097) (-10 -8 (-15 -3245 ($ $ (-996))) (-15 -3245 ((-241 (-1151)) $ (-1169))) (-15 -1367 ($ $ $)) (-15 -1373 ($ $ $)) (-15 -3942 ($ (-637 |#1|))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $)) (-15 -4197 ((-1263) $ (-922) (-922))))) (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))) (T -206)) 
+((-3245 (*1 *1 *1 *2) (-12 (-5 *2 (-996)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-241 (-1151))) (-5 *1 (-206 *4)) (-4 *4 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ *3)) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))))) (-1367 (*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))))) (-1373 (*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))) (-5 *1 (-206 *3)))) (-2406 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 (*2 $)) (-15 -4197 (*2 $))))))) (-4197 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 (*2 $)) (-15 -4197 (*2 $))))))) (-4197 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1263)) (-5 *1 (-206 *4)) (-4 *4 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 (*2 $)) (-15 -4197 (*2 $)))))))) 
+(-13 (-1097) (-10 -8 (-15 -3245 ($ $ (-996))) (-15 -3245 ((-241 (-1151)) $ (-1169))) (-15 -1367 ($ $ $)) (-15 -1373 ($ $ $)) (-15 -3942 ($ (-637 |#1|))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $)) (-15 -4197 ((-1263) $ (-922) (-922))))) 
+((-2530 ((|#2| |#4| (-1 |#2| |#2|)) 46))) 
+(((-207 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2530 (|#2| |#4| (-1 |#2| |#2|)))) (-367) (-1233 |#1|) (-1233 (-412 |#2|)) (-341 |#1| |#2| |#3|)) (T -207)) 
+((-2530 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-367)) (-4 *6 (-1233 (-412 *2))) (-4 *2 (-1233 *5)) (-5 *1 (-207 *5 *2 *6 *3)) (-4 *3 (-341 *5 *2 *6))))) 
+(-10 -7 (-15 -2530 (|#2| |#4| (-1 |#2| |#2|)))) 
+((-1691 ((|#2| |#2| (-768) |#2|) 41)) (-4118 ((|#2| |#2| (-768) |#2|) 37)) (-4325 (((-637 |#2|) (-637 (-2 (|:| |deg| (-768)) (|:| -3175 |#2|)))) 55)) (-3358 (((-637 (-2 (|:| |deg| (-768)) (|:| -3175 |#2|))) |#2|) 51)) (-2433 (((-121) |#2|) 48)) (-4525 (((-423 |#2|) |#2|) 74)) (-4262 (((-423 |#2|) |#2|) 73)) (-2475 ((|#2| |#2| (-768) |#2|) 35)) (-1362 (((-2 (|:| |cont| |#1|) (|:| -2842 (-637 (-2 (|:| |irr| |#2|) (|:| -4421 (-571)))))) |#2| (-121)) 66))) 
+(((-208 |#1| |#2|) (-10 -7 (-15 -4262 ((-423 |#2|) |#2|)) (-15 -4525 ((-423 |#2|) |#2|)) (-15 -1362 ((-2 (|:| |cont| |#1|) (|:| -2842 (-637 (-2 (|:| |irr| |#2|) (|:| -4421 (-571)))))) |#2| (-121))) (-15 -3358 ((-637 (-2 (|:| |deg| (-768)) (|:| -3175 |#2|))) |#2|)) (-15 -4325 ((-637 |#2|) (-637 (-2 (|:| |deg| (-768)) (|:| -3175 |#2|))))) (-15 -2475 (|#2| |#2| (-768) |#2|)) (-15 -4118 (|#2| |#2| (-768) |#2|)) (-15 -1691 (|#2| |#2| (-768) |#2|)) (-15 -2433 ((-121) |#2|))) (-352) (-1233 |#1|)) (T -208)) 
+((-2433 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1233 *4)))) (-1691 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-768)) (-4 *4 (-352)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1233 *4)))) (-4118 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-768)) (-4 *4 (-352)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1233 *4)))) (-2475 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-768)) (-4 *4 (-352)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1233 *4)))) (-4325 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| |deg| (-768)) (|:| -3175 *5)))) (-4 *5 (-1233 *4)) (-4 *4 (-352)) (-5 *2 (-637 *5)) (-5 *1 (-208 *4 *5)))) (-3358 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-637 (-2 (|:| |deg| (-768)) (|:| -3175 *3)))) (-5 *1 (-208 *4 *3)) (-4 *3 (-1233 *4)))) (-1362 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-352)) (-5 *2 (-2 (|:| |cont| *5) (|:| -2842 (-637 (-2 (|:| |irr| *3) (|:| -4421 (-571))))))) (-5 *1 (-208 *5 *3)) (-4 *3 (-1233 *5)))) (-4525 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1233 *4)))) (-4262 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -4262 ((-423 |#2|) |#2|)) (-15 -4525 ((-423 |#2|) |#2|)) (-15 -1362 ((-2 (|:| |cont| |#1|) (|:| -2842 (-637 (-2 (|:| |irr| |#2|) (|:| -4421 (-571)))))) |#2| (-121))) (-15 -3358 ((-637 (-2 (|:| |deg| (-768)) (|:| -3175 |#2|))) |#2|)) (-15 -4325 ((-637 |#2|) (-637 (-2 (|:| |deg| (-768)) (|:| -3175 |#2|))))) (-15 -2475 (|#2| |#2| (-768) |#2|)) (-15 -4118 (|#2| |#2| (-768) |#2|)) (-15 -1691 (|#2| |#2| (-768) |#2|)) (-15 -2433 ((-121) |#2|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1533 (((-571) $) NIL (|has| (-571) (-302)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL (|has| (-571) (-820)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL (|has| (-571) (-1043 (-1169)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| (-571) (-1043 (-571)))) (((-3 (-571) "failed") $) NIL (|has| (-571) (-1043 (-571))))) (-1316 (((-571) $) NIL) (((-1169) $) NIL (|has| (-571) (-1043 (-1169)))) (((-412 (-571)) $) NIL (|has| (-571) (-1043 (-571)))) (((-571) $) NIL (|has| (-571) (-1043 (-571))))) (-2162 (($ $ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| (-571) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| (-571) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-684 (-571)) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-571) (-553)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2093 (((-121) $) NIL (|has| (-571) (-820)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| (-571) (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| (-571) (-886 (-384))))) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL)) (-4474 (((-571) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| (-571) (-1143)))) (-4086 (((-121) $) NIL (|has| (-571) (-820)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-571) (-847)))) (-3799 (($ (-1 (-571) (-571)) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-571) (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL (|has| (-571) (-302))) (((-412 (-571)) $) NIL)) (-3955 (((-571) $) NIL (|has| (-571) (-553)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4483 (($ $ (-637 (-571)) (-637 (-571))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-571) (-571)) NIL (|has| (-571) (-304 (-571)))) (($ $ (-289 (-571))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-637 (-289 (-571)))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-637 (-1169)) (-637 (-571))) NIL (|has| (-571) (-526 (-1169) (-571)))) (($ $ (-1169) (-571)) NIL (|has| (-571) (-526 (-1169) (-571))))) (-1826 (((-768) $) NIL)) (-3245 (($ $ (-571)) NIL (|has| (-571) (-282 (-571) (-571))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $) NIL (|has| (-571) (-226))) (($ $ (-768)) NIL (|has| (-571) (-226))) (($ $ (-1169)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1 (-571) (-571)) (-768)) NIL) (($ $ (-1 (-571) (-571))) NIL)) (-3777 (($ $) NIL)) (-4479 (((-571) $) NIL)) (-3908 (($ (-412 (-571))) 8)) (-4050 (((-892 (-571)) $) NIL (|has| (-571) (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| (-571) (-612 (-892 (-384))))) (((-544) $) NIL (|has| (-571) (-612 (-544)))) (((-384) $) NIL (|has| (-571) (-1027))) (((-216) $) NIL (|has| (-571) (-1027)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| (-571) (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) 7) (($ (-571)) NIL) (($ (-1169)) NIL (|has| (-571) (-1043 (-1169)))) (((-412 (-571)) $) NIL) (((-1010 10) $) 9)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-571) (-909))) (|has| (-571) (-149))))) (-2661 (((-768)) NIL)) (-2325 (((-571) $) NIL (|has| (-571) (-553)))) (-1388 (((-121) $ $) NIL)) (-1902 (($ $) NIL (|has| (-571) (-820)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $) NIL (|has| (-571) (-226))) (($ $ (-768)) NIL (|has| (-571) (-226))) (($ $ (-1169)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1 (-571) (-571)) (-768)) NIL) (($ $ (-1 (-571) (-571))) NIL)) (-1350 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1379 (($ $ $) NIL) (($ (-571) (-571)) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ (-571) $) NIL) (($ $ (-571)) NIL))) 
+(((-209) (-13 (-999 (-571)) (-10 -8 (-15 -3942 ((-412 (-571)) $)) (-15 -3942 ((-1010 10) $)) (-15 -3762 ((-412 (-571)) $)) (-15 -3908 ($ (-412 (-571))))))) (T -209)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-209)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1010 10)) (-5 *1 (-209)))) (-3762 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-209)))) (-3908 (*1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-209))))) 
+(-13 (-999 (-571)) (-10 -8 (-15 -3942 ((-412 (-571)) $)) (-15 -3942 ((-1010 10) $)) (-15 -3762 ((-412 (-571)) $)) (-15 -3908 ($ (-412 (-571)))))) 
+((-3403 (((-3 (|:| |f1| (-840 |#2|)) (|:| |f2| (-637 (-840 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1089 (-840 |#2|)) (-1151)) 27) (((-3 (|:| |f1| (-840 |#2|)) (|:| |f2| (-637 (-840 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1089 (-840 |#2|))) 23)) (-4540 (((-3 (|:| |f1| (-840 |#2|)) (|:| |f2| (-637 (-840 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1169) (-840 |#2|) (-840 |#2|) (-121)) 16))) 
+(((-210 |#1| |#2|) (-10 -7 (-15 -3403 ((-3 (|:| |f1| (-840 |#2|)) (|:| |f2| (-637 (-840 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1089 (-840 |#2|)))) (-15 -3403 ((-3 (|:| |f1| (-840 |#2|)) (|:| |f2| (-637 (-840 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1089 (-840 |#2|)) (-1151))) (-15 -4540 ((-3 (|:| |f1| (-840 |#2|)) (|:| |f2| (-637 (-840 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1169) (-840 |#2|) (-840 |#2|) (-121)))) (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571))) (-13 (-1189) (-965) (-29 |#1|))) (T -210)) 
+((-4540 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1169)) (-5 *6 (-121)) (-4 *7 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-4 *3 (-13 (-1189) (-965) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-840 *3)) (|:| |f2| (-637 (-840 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *7 *3)) (-5 *5 (-840 *3)))) (-3403 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1089 (-840 *3))) (-5 *5 (-1151)) (-4 *3 (-13 (-1189) (-965) (-29 *6))) (-4 *6 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 *3)) (|:| |f2| (-637 (-840 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6 *3)))) (-3403 (*1 *2 *3 *4) (-12 (-5 *4 (-1089 (-840 *3))) (-4 *3 (-13 (-1189) (-965) (-29 *5))) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 *3)) (|:| |f2| (-637 (-840 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5 *3))))) 
+(-10 -7 (-15 -3403 ((-3 (|:| |f1| (-840 |#2|)) (|:| |f2| (-637 (-840 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1089 (-840 |#2|)))) (-15 -3403 ((-3 (|:| |f1| (-840 |#2|)) (|:| |f2| (-637 (-840 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1089 (-840 |#2|)) (-1151))) (-15 -4540 ((-3 (|:| |f1| (-840 |#2|)) (|:| |f2| (-637 (-840 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1169) (-840 |#2|) (-840 |#2|) (-121)))) 
+((-3403 (((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-412 (-958 |#1|)))) (-1151)) 44) (((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-412 (-958 |#1|))))) 41) (((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-311 |#1|))) (-1151)) 45) (((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-311 |#1|)))) 17))) 
+(((-211 |#1|) (-10 -7 (-15 -3403 ((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-311 |#1|))))) (-15 -3403 ((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-311 |#1|))) (-1151))) (-15 -3403 ((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-412 (-958 |#1|)))))) (-15 -3403 ((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-412 (-958 |#1|)))) (-1151)))) (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (T -211)) 
+((-3403 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1089 (-840 (-412 (-958 *6))))) (-5 *5 (-1151)) (-5 *3 (-412 (-958 *6))) (-4 *6 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 (-311 *6))) (|:| |f2| (-637 (-840 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) (-3403 (*1 *2 *3 *4) (-12 (-5 *4 (-1089 (-840 (-412 (-958 *5))))) (-5 *3 (-412 (-958 *5))) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 (-311 *5))) (|:| |f2| (-637 (-840 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) (-3403 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-412 (-958 *6))) (-5 *4 (-1089 (-840 (-311 *6)))) (-5 *5 (-1151)) (-4 *6 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 (-311 *6))) (|:| |f2| (-637 (-840 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) (-3403 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1089 (-840 (-311 *5)))) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 (-311 *5))) (|:| |f2| (-637 (-840 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5))))) 
+(-10 -7 (-15 -3403 ((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-311 |#1|))))) (-15 -3403 ((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-311 |#1|))) (-1151))) (-15 -3403 ((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-412 (-958 |#1|)))))) (-15 -3403 ((-3 (|:| |f1| (-840 (-311 |#1|))) (|:| |f2| (-637 (-840 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-412 (-958 |#1|)) (-1089 (-840 (-412 (-958 |#1|)))) (-1151)))) 
+((-3074 (((-2 (|:| -2068 (-1165 |#1|)) (|:| |deg| (-922))) (-1165 |#1|)) 20)) (-2507 (((-637 (-311 |#2|)) (-311 |#2|) (-922)) 42))) 
+(((-212 |#1| |#2|) (-10 -7 (-15 -3074 ((-2 (|:| -2068 (-1165 |#1|)) (|:| |deg| (-922))) (-1165 |#1|))) (-15 -2507 ((-637 (-311 |#2|)) (-311 |#2|) (-922)))) (-1053) (-13 (-561) (-847))) (T -212)) 
+((-2507 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *6 (-13 (-561) (-847))) (-5 *2 (-637 (-311 *6))) (-5 *1 (-212 *5 *6)) (-5 *3 (-311 *6)) (-4 *5 (-1053)))) (-3074 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-2 (|:| -2068 (-1165 *4)) (|:| |deg| (-922)))) (-5 *1 (-212 *4 *5)) (-5 *3 (-1165 *4)) (-4 *5 (-13 (-561) (-847)))))) 
+(-10 -7 (-15 -3074 ((-2 (|:| -2068 (-1165 |#1|)) (|:| |deg| (-922))) (-1165 |#1|))) (-15 -2507 ((-637 (-311 |#2|)) (-311 |#2|) (-922)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3523 ((|#1| $) 25)) (-1601 ((|#1| $) 26)) (-3133 (((-121) $ (-768)) NIL)) (-2269 (($) NIL T CONST)) (-1839 (($ $) NIL)) (-4578 (($ $) 32)) (-2221 ((|#1| |#1| $) NIL)) (-3595 ((|#1| $) NIL)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3158 (((-768) $) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2377 ((|#1| $) NIL)) (-3188 ((|#1| |#1| $) 29)) (-2900 ((|#1| |#1| $) 31)) (-2863 (($ |#1| $) NIL)) (-1454 (((-768) $) 27)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1866 ((|#1| $) NIL)) (-3443 ((|#1| $) 24)) (-4389 ((|#1| $) 8)) (-3815 ((|#1| $) NIL)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-3433 ((|#1| |#1| $) NIL)) (-1828 (((-121) $) 15)) (-1630 (($) NIL)) (-3495 ((|#1| $) NIL)) (-4513 (($) NIL) (($ (-637 |#1|)) 13)) (-1560 (((-768) $) 28)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-2467 ((|#1| $) 9)) (-3700 (($ (-637 |#1|)) NIL)) (-2159 ((|#1| $) NIL)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-213 |#1|) (-13 (-248 |#1|) (-10 -8 (-15 -4513 ($ (-637 |#1|))) (-15 -3495 (|#1| $)) (-15 -3815 (|#1| $)) (-15 -3433 (|#1| |#1| $)) (-15 -2863 ($ |#1| $)) (-15 -2377 (|#1| $)) (-15 -1866 (|#1| $)) (-15 -2159 (|#1| $)) (-15 -1839 ($ $)) (-15 -3158 ((-768) $)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (-15 -3700 ($ (-637 |#1|))) (-15 -1828 ((-121) $)) (-15 -1630 ($)) (-15 -2269 ($)) (-15 -4316 ($ $)) (-15 -2127 ((-121) $ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (-15 -1560 ((-768) $)) (-15 -4513 ($)) (-15 -1454 ((-768) $)) (-15 -1601 (|#1| $)) (-15 -2467 (|#1| $)) (-15 -4389 (|#1| $)) (-15 -3443 (|#1| $)) (-15 -2900 (|#1| |#1| $)) (-15 -3188 (|#1| |#1| $)) (-15 -3595 (|#1| $)) (-15 -2221 (|#1| |#1| $)) (-15 -4578 ($ $)) (-15 -3523 (|#1| $)) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-15 -3944 ((-1151) $)) (-15 -2580 ((-1115) $)) (-15 -3942 ((-855) $)) (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3160 ((-121) (-1 (-121) |#1|) $)) (-15 -3027 ((-121) (-1 (-121) |#1|) $)) (-15 -1569 ((-768) (-1 (-121) |#1|) $)) (-15 -4001 ((-768) $)) (-15 -4034 ((-637 |#1|) $)) (-15 -3488 ((-637 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4600)) (IF (|has| |#1| (-1097)) (PROGN (-15 -3303 ((-121) |#1| $)) (-15 -1569 ((-768) |#1| $))) |noBranch|) |noBranch|))) (-1097)) (T -213)) 
+((-2127 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) (-4316 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-1630 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-1828 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) (-3794 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1097)))) (-2262 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1097)))) (-3133 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1097)))) (-2269 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-4001 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-213 *3)))) (-1923 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4601)) (-4 *3 (-1097)) (-5 *1 (-213 *3)))) (-3027 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) (-3160 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) (-1569 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-768)) (-5 *1 (-213 *4)))) (-4034 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) (-3488 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) (-1569 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3303 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3944 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-2580 (*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-1323 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-2234 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3700 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-213 *3)))) (-3815 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-2863 (*1 *1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-2377 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-2221 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-3595 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-1601 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-1560 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) (-2159 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-1866 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-3158 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) (-1839 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-3495 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-3433 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-4513 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-4513 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-213 *3)))) (-1454 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) (-3523 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-2467 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-3188 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-2900 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-3443 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-4389 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) (-4578 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097))))) 
+(-13 (-248 |#1|) (-10 -8 (-15 -4513 ($ (-637 |#1|))) (-15 -3495 (|#1| $)) (-15 -3815 (|#1| $)) (-15 -3433 (|#1| |#1| $)) (-15 -2863 ($ |#1| $)) (-15 -2377 (|#1| $)) (-15 -1866 (|#1| $)) (-15 -2159 (|#1| $)) (-15 -1839 ($ $)) (-15 -3158 ((-768) $)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (-15 -3700 ($ (-637 |#1|))) (-15 -1828 ((-121) $)) (-15 -1630 ($)) (-15 -2269 ($)) (-15 -4316 ($ $)) (-15 -2127 ((-121) $ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (-15 -1560 ((-768) $)) (-15 -4513 ($)) (-15 -1454 ((-768) $)) (-15 -1601 (|#1| $)) (-15 -2467 (|#1| $)) (-15 -4389 (|#1| $)) (-15 -3443 (|#1| $)) (-15 -2900 (|#1| |#1| $)) (-15 -3188 (|#1| |#1| $)) (-15 -3595 (|#1| $)) (-15 -2221 (|#1| |#1| $)) (-15 -4578 ($ $)) (-15 -3523 (|#1| $)) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-15 -3944 ((-1151) $)) (-15 -2580 ((-1115) $)) (-15 -3942 ((-855) $)) (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3160 ((-121) (-1 (-121) |#1|) $)) (-15 -3027 ((-121) (-1 (-121) |#1|) $)) (-15 -1569 ((-768) (-1 (-121) |#1|) $)) (-15 -4001 ((-768) $)) (-15 -4034 ((-637 |#1|) $)) (-15 -3488 ((-637 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4600)) (IF (|has| |#1| (-1097)) (PROGN (-15 -3303 ((-121) |#1| $)) (-15 -1569 ((-768) |#1| $))) |noBranch|) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-2132 (($ (-311 |#1|)) 23)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3979 (((-121) $) NIL)) (-3337 (((-3 (-311 |#1|) "failed") $) NIL)) (-1316 (((-311 |#1|) $) NIL)) (-4349 (($ $) 31)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-3799 (($ (-1 (-311 |#1|) (-311 |#1|)) $) NIL)) (-4337 (((-311 |#1|) $) NIL)) (-4037 (($ $) 30)) (-3944 (((-1151) $) NIL)) (-1391 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-2280 (($ (-768)) NIL)) (-3364 (($ $) 32)) (-2400 (((-571) $) NIL)) (-3942 (((-855) $) 57) (($ (-571)) NIL) (($ (-311 |#1|)) NIL)) (-3136 (((-311 |#1|) $ $) NIL)) (-2661 (((-768)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 25 T CONST)) (-3222 (($) 50 T CONST)) (-1323 (((-121) $ $) 28)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 19)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 24) (($ (-311 |#1|) $) 18))) 
+(((-214 |#1| |#2|) (-13 (-615 (-311 |#1|)) (-1043 (-311 |#1|)) (-10 -8 (-15 -4337 ((-311 |#1|) $)) (-15 -4037 ($ $)) (-15 -4349 ($ $)) (-15 -3136 ((-311 |#1|) $ $)) (-15 -2280 ($ (-768))) (-15 -1391 ((-121) $)) (-15 -3979 ((-121) $)) (-15 -2400 ((-571) $)) (-15 -3799 ($ (-1 (-311 |#1|) (-311 |#1|)) $)) (-15 -2132 ($ (-311 |#1|))) (-15 -3364 ($ $)))) (-13 (-1053) (-847)) (-637 (-1169))) (T -214)) 
+((-4337 (*1 *2 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) (-4037 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1053) (-847))) (-14 *3 (-637 (-1169))))) (-4349 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1053) (-847))) (-14 *3 (-637 (-1169))))) (-3136 (*1 *2 *1 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) (-2280 (*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) (-1391 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) (-3979 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) (-2400 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-311 *3) (-311 *3))) (-4 *3 (-13 (-1053) (-847))) (-5 *1 (-214 *3 *4)) (-14 *4 (-637 (-1169))))) (-2132 (*1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-1053) (-847))) (-5 *1 (-214 *3 *4)) (-14 *4 (-637 (-1169))))) (-3364 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1053) (-847))) (-14 *3 (-637 (-1169)))))) 
+(-13 (-615 (-311 |#1|)) (-1043 (-311 |#1|)) (-10 -8 (-15 -4337 ((-311 |#1|) $)) (-15 -4037 ($ $)) (-15 -4349 ($ $)) (-15 -3136 ((-311 |#1|) $ $)) (-15 -2280 ($ (-768))) (-15 -1391 ((-121) $)) (-15 -3979 ((-121) $)) (-15 -2400 ((-571) $)) (-15 -3799 ($ (-1 (-311 |#1|) (-311 |#1|)) $)) (-15 -2132 ($ (-311 |#1|))) (-15 -3364 ($ $)))) 
+((-4574 (((-121) (-1151)) 22)) (-1471 (((-3 (-840 |#2|) "failed") (-610 |#2|) |#2| (-840 |#2|) (-840 |#2|) (-121)) 32)) (-4453 (((-3 (-121) "failed") (-1165 |#2|) (-840 |#2|) (-840 |#2|) (-121)) 73) (((-3 (-121) "failed") (-958 |#1|) (-1169) (-840 |#2|) (-840 |#2|) (-121)) 74))) 
+(((-215 |#1| |#2|) (-10 -7 (-15 -4574 ((-121) (-1151))) (-15 -1471 ((-3 (-840 |#2|) "failed") (-610 |#2|) |#2| (-840 |#2|) (-840 |#2|) (-121))) (-15 -4453 ((-3 (-121) "failed") (-958 |#1|) (-1169) (-840 |#2|) (-840 |#2|) (-121))) (-15 -4453 ((-3 (-121) "failed") (-1165 |#2|) (-840 |#2|) (-840 |#2|) (-121)))) (-13 (-456) (-847) (-1043 (-571)) (-633 (-571))) (-13 (-1189) (-29 |#1|))) (T -215)) 
+((-4453 (*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1165 *6)) (-5 *4 (-840 *6)) (-4 *6 (-13 (-1189) (-29 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-215 *5 *6)))) (-4453 (*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-958 *6)) (-5 *4 (-1169)) (-5 *5 (-840 *7)) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-4 *7 (-13 (-1189) (-29 *6))) (-5 *1 (-215 *6 *7)))) (-1471 (*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-840 *4)) (-5 *3 (-610 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1189) (-29 *6))) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-215 *6 *4)))) (-4574 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-121)) (-5 *1 (-215 *4 *5)) (-4 *5 (-13 (-1189) (-29 *4)))))) 
+(-10 -7 (-15 -4574 ((-121) (-1151))) (-15 -1471 ((-3 (-840 |#2|) "failed") (-610 |#2|) |#2| (-840 |#2|) (-840 |#2|) (-121))) (-15 -4453 ((-3 (-121) "failed") (-958 |#1|) (-1169) (-840 |#2|) (-840 |#2|) (-121))) (-15 -4453 ((-3 (-121) "failed") (-1165 |#2|) (-840 |#2|) (-840 |#2|) (-121)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 95)) (-1533 (((-571) $) 124)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-1934 (($ $) NIL)) (-4255 (($ $) 83)) (-4192 (($ $) 71)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-4158 (($ $) 62)) (-1295 (((-121) $ $) NIL)) (-4243 (($ $) 81)) (-4185 (($ $) 69)) (-3203 (((-571) $) 137)) (-4266 (($ $) 86)) (-4201 (($ $) 73)) (-2269 (($) NIL T CONST)) (-2528 (($ $) NIL)) (-3337 (((-3 (-571) "failed") $) 120) (((-3 (-412 (-571)) "failed") $) 135)) (-1316 (((-571) $) 136) (((-412 (-571)) $) 133)) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) 98)) (-2813 (((-412 (-571)) $ (-768)) 131) (((-412 (-571)) $ (-768) (-768)) 130)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-1524 (((-922)) 34) (((-922) (-922)) NIL (|has| $ (-6 -4591)))) (-2093 (((-121) $) NIL)) (-4150 (($ $ $) 123)) (-4153 (($) 44)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL)) (-3347 (((-571) $) 40)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL)) (-3477 (($ $) NIL)) (-4086 (((-121) $) 94)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) 59) (($) 39 (-12 (-2931 (|has| $ (-6 -4583))) (-2931 (|has| $ (-6 -4591)))))) (-2383 (($ $ $) 58) (($) 38 (-12 (-2931 (|has| $ (-6 -4583))) (-2931 (|has| $ (-6 -4591)))))) (-2186 (((-571) $) 32)) (-3051 (((-412 (-571)) $) 27)) (-1526 (($ $) 35)) (-2216 (($ $) 63)) (-3509 (($ $) 68)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-3789 (((-637 (-571)) $) 29)) (-2161 (((-922) (-571)) NIL (|has| $ (-6 -4591)))) (-2580 (((-1115) $) NIL) (((-571) $) 96)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL)) (-3955 (($ $) NIL)) (-3967 (($ (-571) (-571)) NIL) (($ (-571) (-571) (-922)) 125)) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2154 (((-571) $) 33)) (-2315 (($) 43)) (-4148 (($ $) 67)) (-1826 (((-768) $) NIL)) (-4459 (((-1151) (-1151)) 8)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-2437 (((-922)) NIL) (((-922) (-922)) NIL (|has| $ (-6 -4591)))) (-4492 (($ $) 116)) (-3096 (($ $ (-768)) NIL) (($ $) 99)) (-2904 (((-922) (-571)) NIL (|has| $ (-6 -4591)))) (-4273 (($ $) 84)) (-4206 (($ $) 74)) (-4260 (($ $) 85)) (-4196 (($ $) 72)) (-4249 (($ $) 82)) (-4188 (($ $) 70)) (-4050 (((-384) $) 129) (((-216) $) 126) (((-892 (-384)) $) NIL) (((-544) $) 51)) (-3942 (((-855) $) 48) (($ (-571)) 66) (($ $) NIL) (($ (-412 (-571))) NIL) (($ (-571)) 66) (($ (-412 (-571))) NIL)) (-2661 (((-768)) NIL)) (-2325 (($ $) NIL)) (-3284 (((-922)) 37) (((-922) (-922)) NIL (|has| $ (-6 -4591)))) (-3315 (($ $ $) 112)) (-2323 (($ $ $) 110)) (-3061 (($ $ $) 108)) (-4529 (($ $ $) 106)) (-3468 (((-922)) 31)) (-4294 (($ $) 89)) (-4220 (($ $) 77) (($ $ $) 132)) (-1388 (((-121) $ $) NIL)) (-4280 (($ $) 87)) (-4211 (($ $) 75)) (-4307 (($ $) 92)) (-4232 (($ $) 80)) (-1393 (($ $) 104)) (-3551 (($ $) 102)) (-2656 (($ $) 90)) (-4237 (($ $) 78)) (-4301 (($ $) 91)) (-4227 (($ $) 79)) (-4287 (($ $) 88)) (-4215 (($ $) 76)) (-1902 (($ $) 138)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 41 T CONST)) (-3222 (($) 42 T CONST)) (-3805 (((-1151) $) 19) (((-1151) $ (-121)) 21) (((-1263) (-822) $) 22) (((-1263) (-822) $ (-121)) 23)) (-2085 (($ $) 118) (($ $ $) NIL)) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-1686 (($ $ $) 114)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 60)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 52)) (-1379 (($ $ $) 93) (($ $ (-571)) 61)) (-1373 (($ $) 53) (($ $ $) 55)) (-1367 (($ $ $) 54)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) 64) (($ $ (-412 (-571))) 148) (($ $ $) 65)) (* (($ (-922) $) 36) (($ (-768) $) NIL) (($ (-571) $) 57) (($ $ $) 56) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL))) 
+(((-216) (-13 (-409) (-226) (-828) (-1189) (-1131) (-612 (-544)) (-10 -8 (-15 -1379 ($ $ (-571))) (-15 ** ($ $ $)) (-15 -2315 ($)) (-15 -2580 ((-571) $)) (-15 -1526 ($ $)) (-15 -2216 ($ $)) (-15 -4220 ($ $ $)) (-15 -2085 ($ $)) (-15 -1686 ($ $ $)) (-15 -4459 ((-1151) (-1151))) (-15 -2813 ((-412 (-571)) $ (-768))) (-15 -2813 ((-412 (-571)) $ (-768) (-768))) (-15 -3051 ((-412 (-571)) $)) (-15 -3789 ((-637 (-571)) $))))) (T -216)) 
+((** (*1 *1 *1 *1) (-5 *1 (-216))) (-2085 (*1 *1 *1) (-5 *1 (-216))) (-1686 (*1 *1 *1 *1) (-5 *1 (-216))) (-1379 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-216)))) (-2315 (*1 *1) (-5 *1 (-216))) (-2580 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-216)))) (-1526 (*1 *1 *1) (-5 *1 (-216))) (-2216 (*1 *1 *1) (-5 *1 (-216))) (-4220 (*1 *1 *1 *1) (-5 *1 (-216))) (-4459 (*1 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-216)))) (-2813 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-412 (-571))) (-5 *1 (-216)))) (-2813 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-412 (-571))) (-5 *1 (-216)))) (-3051 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-216)))) (-3789 (*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-216))))) 
+(-13 (-409) (-226) (-828) (-1189) (-1131) (-612 (-544)) (-10 -8 (-15 -1379 ($ $ (-571))) (-15 ** ($ $ $)) (-15 -2315 ($)) (-15 -2580 ((-571) $)) (-15 -1526 ($ $)) (-15 -2216 ($ $)) (-15 -4220 ($ $ $)) (-15 -2085 ($ $)) (-15 -1686 ($ $ $)) (-15 -4459 ((-1151) (-1151))) (-15 -2813 ((-412 (-571)) $ (-768))) (-15 -2813 ((-412 (-571)) $ (-768) (-768))) (-15 -3051 ((-412 (-571)) $)) (-15 -3789 ((-637 (-571)) $)))) 
+((-2234 (((-121) $ $) NIL (|has| (-216) (-1097)))) (-4137 (($ (-768) (-768)) NIL)) (-2657 (($ $ $) NIL)) (-2889 (($ (-219)) NIL) (($ $) NIL)) (-4359 (((-121) $) NIL)) (-3609 (($ $ (-571) (-571)) NIL)) (-4464 (($ $ (-571) (-571)) NIL)) (-3657 (($ $ (-571) (-571) (-571) (-571)) NIL)) (-2797 (($ $) NIL)) (-2209 (((-121) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2316 (($ $ (-571) (-571) $) NIL)) (-3251 (((-216) $ (-571) (-571) (-216)) NIL) (($ $ (-637 (-571)) (-637 (-571)) $) NIL)) (-2071 (($ $ (-571) (-219)) NIL)) (-1635 (($ $ (-571) (-219)) NIL)) (-1986 (($ (-768) (-216)) NIL)) (-2269 (($) NIL T CONST)) (-2986 (($ $) NIL (|has| (-216) (-302)))) (-4336 (((-219) $ (-571)) NIL)) (-3241 (((-768) $) NIL (|has| (-216) (-561)))) (-2922 (((-216) $ (-571) (-571) (-216)) 16)) (-1356 (($ (-571) (-571)) 18)) (-4319 (((-216) $ (-571) (-571)) 15)) (-2430 (((-216) $) NIL (|has| (-216) (-173)))) (-4034 (((-637 (-216)) $) NIL)) (-3709 (((-768) $) NIL (|has| (-216) (-561)))) (-2855 (((-637 (-219)) $) NIL (|has| (-216) (-561)))) (-3673 (((-768) $) 10)) (-1364 (($ (-768) (-768) (-216)) 19)) (-3682 (((-768) $) 11)) (-2262 (((-121) $ (-768)) NIL)) (-1997 (((-216) $) NIL (|has| (-216) (-6 (-4602 "*"))))) (-1950 (((-571) $) 7)) (-3325 (((-571) $) 8)) (-3488 (((-637 (-216)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-216) (-1097))))) (-4239 (((-571) $) 12)) (-4395 (((-571) $) 13)) (-3567 (($ (-637 (-637 (-216)))) NIL) (($ (-768) (-768) (-1 (-216) (-571) (-571))) NIL)) (-1923 (($ (-1 (-216) (-216)) $) NIL)) (-3799 (($ (-1 (-216) (-216)) $) NIL) (($ (-1 (-216) (-216) (-216)) $ $) NIL) (($ (-1 (-216) (-216) (-216)) $ $ (-216)) NIL)) (-3818 (((-637 (-637 (-216))) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| (-216) (-1097)))) (-1774 (((-3 $ "failed") $) NIL (|has| (-216) (-367)))) (-1685 (($ $ $) NIL)) (-2580 (((-1115) $) NIL (|has| (-216) (-1097)))) (-4411 (($ $ (-216)) NIL)) (-1786 (((-3 $ "failed") $ (-216)) NIL (|has| (-216) (-561)))) (-3160 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-216)))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1097)))) (($ $ (-289 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1097)))) (($ $ (-216) (-216)) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1097)))) (($ $ (-637 (-216)) (-637 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 17)) (-3245 (((-216) $ (-571) (-571)) NIL) (((-216) $ (-571) (-571) (-216)) NIL) (($ $ (-637 (-571)) (-637 (-571))) NIL)) (-2949 (($ (-637 (-216))) NIL) (($ (-637 $)) NIL)) (-4208 (((-121) $) NIL)) (-3182 (((-216) $) NIL (|has| (-216) (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4600))) (((-768) (-216) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-216) (-1097))))) (-4316 (($ $) NIL)) (-1667 (((-637 (-219)) $) NIL (|has| (-216) (-302)))) (-2852 (((-219) $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| (-216) (-1097))) (($ (-219)) NIL)) (-3027 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-1323 (((-121) $ $) NIL (|has| (-216) (-1097)))) (-1379 (($ $ (-216)) NIL (|has| (-216) (-367)))) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| (-216) (-367)))) (* (($ $ $) NIL) (($ (-216) $) NIL) (($ $ (-216)) NIL) (($ (-571) $) NIL) (((-219) $ (-219)) NIL) (((-219) (-219) $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-217) (-13 (-682 (-216) (-219) (-219)) (-10 -8 (-15 -1356 ($ (-571) (-571)))))) (T -217)) 
+((-1356 (*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-217))))) 
+(-13 (-682 (-216) (-219) (-219)) (-10 -8 (-15 -1356 ($ (-571) (-571))))) 
+((-4150 (((-170 (-216)) (-768) (-170 (-216))) 61) (((-216) (-768) (-216)) 62)) (-3852 (((-170 (-216)) (-170 (-216))) 63) (((-216) (-216)) 64)) (-4095 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 69) (((-216) (-216) (-216)) 72)) (-1547 (((-384) (-384)) 60)) (-4119 (((-384) (-384)) 59)) (-4492 (((-170 (-216)) (-170 (-216))) 74) (((-216) (-216)) 73)) (-3315 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 91) (((-216) (-216) (-216)) 83)) (-2323 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 94) (((-216) (-216) (-216)) 92)) (-3061 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 65) (((-216) (-216) (-216)) 66)) (-4529 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 67) (((-216) (-216) (-216)) 68)) (-1393 (((-170 (-216)) (-170 (-216))) 105) (((-216) (-216)) 104)) (-3551 (((-216) (-216)) 99) (((-170 (-216)) (-170 (-216))) 103)) (-2085 (((-170 (-216)) (-170 (-216))) 7) (((-216) (-216)) 9)) (-3029 (((-833 (-216)) (-571) (-216)) 23)) (-2896 (((-833 (-216)) (-833 (-216))) 36)) (-2907 (((-833 (-216)) (-833 (-216))) 35)) (-3185 (((-833 (-216)) (-833 (-216))) 34)) (-4046 (((-833 (-216)) (-833 (-216))) 33)) (-1470 (((-833 (-216)) (-833 (-216))) 32)) (-4276 (((-833 (-216)) (-833 (-216))) 31)) (-1619 (((-833 (-216)) (-833 (-216))) 37)) (-1370 (((-833 (-216)) (-216)) 22)) (-1686 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 79) (((-216) (-216) (-216)) 75))) 
+(((-218) (-10 -7 (-15 -2085 ((-216) (-216))) (-15 -2085 ((-170 (-216)) (-170 (-216)))) (-15 -1370 ((-833 (-216)) (-216))) (-15 -3029 ((-833 (-216)) (-571) (-216))) (-15 -1619 ((-833 (-216)) (-833 (-216)))) (-15 -4276 ((-833 (-216)) (-833 (-216)))) (-15 -1470 ((-833 (-216)) (-833 (-216)))) (-15 -4046 ((-833 (-216)) (-833 (-216)))) (-15 -3185 ((-833 (-216)) (-833 (-216)))) (-15 -2907 ((-833 (-216)) (-833 (-216)))) (-15 -2896 ((-833 (-216)) (-833 (-216)))) (-15 -1686 ((-216) (-216) (-216))) (-15 -1686 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3852 ((-216) (-216))) (-15 -3852 ((-170 (-216)) (-170 (-216)))) (-15 -4492 ((-216) (-216))) (-15 -4492 ((-170 (-216)) (-170 (-216)))) (-15 -4150 ((-216) (-768) (-216))) (-15 -4150 ((-170 (-216)) (-768) (-170 (-216)))) (-15 -3061 ((-216) (-216) (-216))) (-15 -3061 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3315 ((-216) (-216) (-216))) (-15 -3315 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4529 ((-216) (-216) (-216))) (-15 -4529 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -2323 ((-216) (-216) (-216))) (-15 -2323 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3551 ((-170 (-216)) (-170 (-216)))) (-15 -3551 ((-216) (-216))) (-15 -1393 ((-216) (-216))) (-15 -1393 ((-170 (-216)) (-170 (-216)))) (-15 -4095 ((-216) (-216) (-216))) (-15 -4095 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -1547 ((-384) (-384))) (-15 -4119 ((-384) (-384))))) (T -218)) 
+((-4119 (*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-218)))) (-1547 (*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-218)))) (-4095 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-4095 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-1393 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1393 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3551 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3551 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-2323 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-2323 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4529 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-4529 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3315 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3315 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3061 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3061 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4150 (*1 *2 *3 *2) (-12 (-5 *2 (-170 (-216))) (-5 *3 (-768)) (-5 *1 (-218)))) (-4150 (*1 *2 *3 *2) (-12 (-5 *2 (-216)) (-5 *3 (-768)) (-5 *1 (-218)))) (-4492 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-4492 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3852 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3852 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-1686 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1686 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-2896 (*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218)))) (-2907 (*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218)))) (-3185 (*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218)))) (-4046 (*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218)))) (-1470 (*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218)))) (-4276 (*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218)))) (-1619 (*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218)))) (-3029 (*1 *2 *3 *4) (-12 (-5 *3 (-571)) (-5 *2 (-833 (-216))) (-5 *1 (-218)) (-5 *4 (-216)))) (-1370 (*1 *2 *3) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218)) (-5 *3 (-216)))) (-2085 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-2085 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218))))) 
+(-10 -7 (-15 -2085 ((-216) (-216))) (-15 -2085 ((-170 (-216)) (-170 (-216)))) (-15 -1370 ((-833 (-216)) (-216))) (-15 -3029 ((-833 (-216)) (-571) (-216))) (-15 -1619 ((-833 (-216)) (-833 (-216)))) (-15 -4276 ((-833 (-216)) (-833 (-216)))) (-15 -1470 ((-833 (-216)) (-833 (-216)))) (-15 -4046 ((-833 (-216)) (-833 (-216)))) (-15 -3185 ((-833 (-216)) (-833 (-216)))) (-15 -2907 ((-833 (-216)) (-833 (-216)))) (-15 -2896 ((-833 (-216)) (-833 (-216)))) (-15 -1686 ((-216) (-216) (-216))) (-15 -1686 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3852 ((-216) (-216))) (-15 -3852 ((-170 (-216)) (-170 (-216)))) (-15 -4492 ((-216) (-216))) (-15 -4492 ((-170 (-216)) (-170 (-216)))) (-15 -4150 ((-216) (-768) (-216))) (-15 -4150 ((-170 (-216)) (-768) (-170 (-216)))) (-15 -3061 ((-216) (-216) (-216))) (-15 -3061 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3315 ((-216) (-216) (-216))) (-15 -3315 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4529 ((-216) (-216) (-216))) (-15 -4529 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -2323 ((-216) (-216) (-216))) (-15 -2323 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3551 ((-170 (-216)) (-170 (-216)))) (-15 -3551 ((-216) (-216))) (-15 -1393 ((-216) (-216))) (-15 -1393 ((-170 (-216)) (-170 (-216)))) (-15 -4095 ((-216) (-216) (-216))) (-15 -4095 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -1547 ((-384) (-384))) (-15 -4119 ((-384) (-384)))) 
+((-2234 (((-121) $ $) NIL (|has| (-216) (-1097)))) (-4137 (($ (-768)) NIL (|has| (-216) (-23)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) (-216) (-216)) $) NIL) (((-121) $) NIL (|has| (-216) (-847)))) (-3652 (($ (-1 (-121) (-216) (-216)) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| (-216) (-847))))) (-2972 (($ (-1 (-121) (-216) (-216)) $) NIL) (($ $) NIL (|has| (-216) (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 (((-216) $ (-571) (-216)) 17 (|has| $ (-6 -4601))) (((-216) $ (-1224 (-571)) (-216)) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-216) (-1097))))) (-3412 (($ (-216) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-216) (-1097)))) (($ (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-216) (-1 (-216) (-216) (-216)) $ (-216) (-216)) NIL (-12 (|has| $ (-6 -4600)) (|has| (-216) (-1097)))) (((-216) (-1 (-216) (-216) (-216)) $ (-216)) NIL (|has| $ (-6 -4600))) (((-216) (-1 (-216) (-216) (-216)) $) NIL (|has| $ (-6 -4600)))) (-2922 (((-216) $ (-571) (-216)) 9 (|has| $ (-6 -4601)))) (-1356 (($ (-571)) 14)) (-4319 (((-216) $ (-571)) 8)) (-3984 (((-571) (-1 (-121) (-216)) $) NIL) (((-571) (-216) $) NIL (|has| (-216) (-1097))) (((-571) (-216) $ (-571)) NIL (|has| (-216) (-1097)))) (-4034 (((-637 (-216)) $) NIL (|has| $ (-6 -4600)))) (-3317 (((-684 (-216)) $ $) NIL (|has| (-216) (-1053)))) (-1364 (($ (-768) (-216)) 15)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 12 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| (-216) (-847)))) (-3491 (($ (-1 (-121) (-216) (-216)) $ $) NIL) (($ $ $) NIL (|has| (-216) (-847)))) (-3488 (((-637 (-216)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-216) (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-216) (-847)))) (-1923 (($ (-1 (-216) (-216)) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-216) (-216)) $) NIL) (($ (-1 (-216) (-216) (-216)) $ $) NIL)) (-3725 (((-216) $) NIL (-12 (|has| (-216) (-1008)) (|has| (-216) (-1053))))) (-3794 (((-121) $ (-768)) NIL)) (-3158 (((-216) $) NIL (-12 (|has| (-216) (-1008)) (|has| (-216) (-1053))))) (-3944 (((-1151) $) NIL (|has| (-216) (-1097)))) (-2594 (($ (-216) $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| (-216) (-1097)))) (-1827 (((-216) $) NIL (|has| (-571) (-847)))) (-3765 (((-3 (-216) "failed") (-1 (-121) (-216)) $) NIL)) (-4411 (($ $ (-216)) 18 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-216)))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1097)))) (($ $ (-289 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1097)))) (($ $ (-216) (-216)) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1097)))) (($ $ (-637 (-216)) (-637 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-216) (-1097))))) (-3909 (((-637 (-216)) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 13)) (-3245 (((-216) $ (-571) (-216)) NIL) (((-216) $ (-571)) 16) (($ $ (-1224 (-571))) NIL)) (-2503 (((-216) $ $) NIL (|has| (-216) (-1053)))) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1389 (($ $ $) NIL (|has| (-216) (-1053)))) (-1569 (((-768) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4600))) (((-768) (-216) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-216) (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-216) (-612 (-544))))) (-3891 (($ (-637 (-216))) NIL)) (-4498 (($ $ (-216)) NIL) (($ (-216) $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| (-216) (-1097)))) (-3027 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| (-216) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-216) (-847)))) (-1323 (((-121) $ $) NIL (|has| (-216) (-1097)))) (-1342 (((-121) $ $) NIL (|has| (-216) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-216) (-847)))) (-1373 (($ $) NIL (|has| (-216) (-21))) (($ $ $) NIL (|has| (-216) (-21)))) (-1367 (($ $ $) NIL (|has| (-216) (-25)))) (* (($ (-571) $) NIL (|has| (-216) (-21))) (($ (-216) $) NIL (|has| (-216) (-721))) (($ $ (-216)) NIL (|has| (-216) (-721)))) (-4001 (((-768) $) 11 (|has| $ (-6 -4600))))) 
+(((-219) (-13 (-1256 (-216)) (-10 -8 (-15 -1356 ($ (-571)))))) (T -219)) 
+((-1356 (*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-219))))) 
+(-13 (-1256 (-216)) (-10 -8 (-15 -1356 ($ (-571))))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4137 (($ (-768) (-768)) NIL)) (-2657 (($ $ $) NIL)) (-2889 (($ (-1258 |#1|)) NIL) (($ $) NIL)) (-2918 (($ |#1| |#1| |#1|) 32)) (-4359 (((-121) $) NIL)) (-3609 (($ $ (-571) (-571)) NIL)) (-4464 (($ $ (-571) (-571)) NIL)) (-3657 (($ $ (-571) (-571) (-571) (-571)) NIL)) (-2797 (($ $) NIL)) (-2209 (((-121) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2316 (($ $ (-571) (-571) $) NIL)) (-3251 ((|#1| $ (-571) (-571) |#1|) NIL) (($ $ (-637 (-571)) (-637 (-571)) $) NIL)) (-2071 (($ $ (-571) (-1258 |#1|)) NIL)) (-1635 (($ $ (-571) (-1258 |#1|)) NIL)) (-2483 (($ |#1| |#1| |#1|) 31)) (-1986 (($ (-768) |#1|) NIL)) (-2269 (($) NIL T CONST)) (-2986 (($ $) NIL (|has| |#1| (-302)))) (-4336 (((-1258 |#1|) $ (-571)) NIL)) (-2270 (($ |#1|) 30)) (-2061 (($ |#1|) 29)) (-2866 (($ |#1|) 28)) (-3241 (((-768) $) NIL (|has| |#1| (-561)))) (-2922 ((|#1| $ (-571) (-571) |#1|) NIL)) (-4319 ((|#1| $ (-571) (-571)) NIL)) (-2430 ((|#1| $) NIL (|has| |#1| (-173)))) (-4034 (((-637 |#1|) $) NIL)) (-3709 (((-768) $) NIL (|has| |#1| (-561)))) (-2855 (((-637 (-1258 |#1|)) $) NIL (|has| |#1| (-561)))) (-3673 (((-768) $) NIL)) (-1364 (($ (-768) (-768) |#1|) NIL)) (-3682 (((-768) $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1997 ((|#1| $) NIL (|has| |#1| (-6 (-4602 "*"))))) (-1950 (((-571) $) NIL)) (-3325 (((-571) $) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4239 (((-571) $) NIL)) (-4395 (((-571) $) NIL)) (-3567 (($ (-637 (-637 |#1|))) 10) (($ (-768) (-768) (-1 |#1| (-571) (-571))) NIL)) (-1923 (($ (-1 |#1| |#1|) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-3818 (((-637 (-637 |#1|)) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-1774 (((-3 $ "failed") $) NIL (|has| |#1| (-367)))) (-2153 (($) 11)) (-1685 (($ $ $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-4411 (($ $ |#1|) NIL)) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-571) (-571)) NIL) ((|#1| $ (-571) (-571) |#1|) NIL) (($ $ (-637 (-571)) (-637 (-571))) NIL)) (-2949 (($ (-637 |#1|)) NIL) (($ (-637 $)) NIL)) (-4208 (((-121) $) NIL)) (-3182 ((|#1| $) NIL (|has| |#1| (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-1667 (((-637 (-1258 |#1|)) $) NIL (|has| |#1| (-302)))) (-2852 (((-1258 |#1|) $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097))) (($ (-1258 |#1|)) NIL)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-571) $) NIL) (((-1258 |#1|) $ (-1258 |#1|)) 14) (((-1258 |#1|) (-1258 |#1|) $) NIL) (((-949 |#1|) $ (-949 |#1|)) 20)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-220 |#1|) (-13 (-682 |#1| (-1258 |#1|) (-1258 |#1|)) (-10 -8 (-15 * ((-949 |#1|) $ (-949 |#1|))) (-15 -2153 ($)) (-15 -2866 ($ |#1|)) (-15 -2061 ($ |#1|)) (-15 -2270 ($ |#1|)) (-15 -2483 ($ |#1| |#1| |#1|)) (-15 -2918 ($ |#1| |#1| |#1|)))) (-13 (-367) (-1189))) (T -220)) 
+((* (*1 *2 *1 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189))) (-5 *1 (-220 *3)))) (-2153 (*1 *1) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189))))) (-2866 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189))))) (-2061 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189))))) (-2270 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189))))) (-2483 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189))))) (-2918 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189)))))) 
+(-13 (-682 |#1| (-1258 |#1|) (-1258 |#1|)) (-10 -8 (-15 * ((-949 |#1|) $ (-949 |#1|))) (-15 -2153 ($)) (-15 -2866 ($ |#1|)) (-15 -2061 ($ |#1|)) (-15 -2270 ($ |#1|)) (-15 -2483 ($ |#1| |#1| |#1|)) (-15 -2918 ($ |#1| |#1| |#1|)))) 
+((-3129 (($ (-1 (-121) |#2|) $) 17)) (-1599 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 25)) (-3563 (($) NIL) (($ (-637 |#2|)) 11)) (-1323 (((-121) $ $) 23))) 
+(((-221 |#1| |#2|) (-10 -8 (-15 -3129 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1599 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1599 (|#1| |#2| |#1|)) (-15 -3563 (|#1| (-637 |#2|))) (-15 -3563 (|#1|)) (-15 -1323 ((-121) |#1| |#1|))) (-222 |#2|) (-1097)) (T -221)) 
+NIL 
+(-10 -8 (-15 -3129 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1599 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1599 (|#1| |#2| |#1|)) (-15 -3563 (|#1| (-637 |#2|))) (-15 -3563 (|#1|)) (-15 -1323 ((-121) |#1| |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) 8)) (-3129 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-4365 (($ $) 55 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1599 (($ |#1| $) 44 (|has| $ (-6 -4600))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4600)))) (-3412 (($ |#1| $) 54 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4600)))) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2377 ((|#1| $) 36)) (-2863 (($ |#1| $) 37)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3563 (($) 46) (($ (-637 |#1|)) 45)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 56 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 47)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) 39)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-222 |#1|) (-1289) (-1097)) (T -222)) 
 NIL 
 (-13 (-228 |t#1|)) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-3289 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) 11) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) 19) (($ $ (-765)) NIL) (($ $) 16)) (-3712 (($ $ (-1 |#2| |#2|)) 12) (($ $ (-1 |#2| |#2|) (-765)) 14) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL))) 
-(((-223 |#1| |#2|) (-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3712 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3712 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3712 (|#1| |#1| (-1165))) (-15 -3712 (|#1| |#1| (-635 (-1165)))) (-15 -3712 (|#1| |#1| (-1165) (-765))) (-15 -3712 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3712 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3712 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|)))) (-224 |#2|) (-1049)) (T -223)) 
-NIL 
-(-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3712 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3712 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3712 (|#1| |#1| (-1165))) (-15 -3712 (|#1| |#1| (-635 (-1165)))) (-15 -3712 (|#1| |#1| (-1165) (-765))) (-15 -3712 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3712 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3712 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3289 (($ $ (-1 |#1| |#1|)) 51) (($ $ (-1 |#1| |#1|) (-765)) 50) (($ $ (-635 (-1165)) (-635 (-765))) 43 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 42 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 41 (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) 40 (|has| |#1| (-897 (-1165)))) (($ $ (-765)) 38 (|has| |#1| (-226))) (($ $) 36 (|has| |#1| (-226)))) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1 |#1| |#1|)) 49) (($ $ (-1 |#1| |#1|) (-765)) 48) (($ $ (-635 (-1165)) (-635 (-765))) 47 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 46 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 45 (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) 44 (|has| |#1| (-897 (-1165)))) (($ $ (-765)) 39 (|has| |#1| (-226))) (($ $) 37 (|has| |#1| (-226)))) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-224 |#1|) (-1284) (-1049)) (T -224)) 
-((-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1049)))) (-3289 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *1 (-224 *4)) (-4 *4 (-1049)))) (-3712 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1049)))) (-3712 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *1 (-224 *4)) (-4 *4 (-1049))))) 
-(-13 (-1049) (-10 -8 (-15 -3289 ($ $ (-1 |t#1| |t#1|))) (-15 -3289 ($ $ (-1 |t#1| |t#1|) (-765))) (-15 -3712 ($ $ (-1 |t#1| |t#1|))) (-15 -3712 ($ $ (-1 |t#1| |t#1|) (-765))) (IF (|has| |t#1| (-226)) (-6 (-226)) |noBranch|) (IF (|has| |t#1| (-897 (-1165))) (-6 (-897 (-1165))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-226) |has| |#1| (-226)) ((-638 $) . T) ((-718) . T) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-3289 (($ $) NIL) (($ $ (-765)) 10)) (-3712 (($ $) 8) (($ $ (-765)) 12))) 
-(((-225 |#1|) (-10 -8 (-15 -3712 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3712 (|#1| |#1|)) (-15 -3289 (|#1| |#1|))) (-226)) (T -225)) 
-NIL 
-(-10 -8 (-15 -3712 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3712 (|#1| |#1|)) (-15 -3289 (|#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3289 (($ $) 37) (($ $ (-765)) 35)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $) 36) (($ $ (-765)) 34)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-226) (-1284)) (T -226)) 
-((-3289 (*1 *1 *1) (-4 *1 (-226))) (-3712 (*1 *1 *1) (-4 *1 (-226))) (-3289 (*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-765)))) (-3712 (*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-765))))) 
-(-13 (-1049) (-10 -8 (-15 -3289 ($ $)) (-15 -3712 ($ $)) (-15 -3289 ($ $ (-765))) (-15 -3712 ($ $ (-765))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1353 (($) 12) (($ (-635 |#2|)) NIL)) (-1799 (($ $) 14)) (-3124 (($ (-635 |#2|)) 10)) (-3956 (((-852) $) 21))) 
-(((-227 |#1| |#2|) (-10 -8 (-15 -1353 (|#1| (-635 |#2|))) (-15 -1353 (|#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -3956 ((-852) |#1|)) (-15 -1799 (|#1| |#1|))) (-228 |#2|) (-1093)) (T -227)) 
-NIL 
-(-10 -8 (-15 -1353 (|#1| (-635 |#2|))) (-15 -1353 (|#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -3956 ((-852) |#1|)) (-15 -1799 (|#1| |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-228 |#1|) (-1284) (-1093)) (T -228)) 
-((-1353 (*1 *1) (-12 (-4 *1 (-228 *2)) (-4 *2 (-1093)))) (-1353 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-228 *3)))) (-2006 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-228 *2)) (-4 *2 (-1093)))) (-2006 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-228 *3)) (-4 *3 (-1093)))) (-1304 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-228 *3)) (-4 *3 (-1093))))) 
-(-13 (-111 |t#1|) (-155 |t#1|) (-10 -8 (-15 -1353 ($)) (-15 -1353 ($ (-635 |t#1|))) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2006 ($ |t#1| $)) (-15 -2006 ($ (-1 (-121) |t#1|) $)) (-15 -1304 ($ (-1 (-121) |t#1|) $))) |noBranch|))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-4033 (((-2 (|:| |varOrder| (-635 (-1165))) (|:| |inhom| (-3 (-635 (-1253 (-765))) "failed")) (|:| |hom| (-635 (-1253 (-765))))) (-289 (-955 (-569)))) 25))) 
-(((-229) (-10 -7 (-15 -4033 ((-2 (|:| |varOrder| (-635 (-1165))) (|:| |inhom| (-3 (-635 (-1253 (-765))) "failed")) (|:| |hom| (-635 (-1253 (-765))))) (-289 (-955 (-569))))))) (T -229)) 
-((-4033 (*1 *2 *3) (-12 (-5 *3 (-289 (-955 (-569)))) (-5 *2 (-2 (|:| |varOrder| (-635 (-1165))) (|:| |inhom| (-3 (-635 (-1253 (-765))) "failed")) (|:| |hom| (-635 (-1253 (-765)))))) (-5 *1 (-229))))) 
-(-10 -7 (-15 -4033 ((-2 (|:| |varOrder| (-635 (-1165))) (|:| |inhom| (-3 (-635 (-1253 (-765))) "failed")) (|:| |hom| (-635 (-1253 (-765))))) (-289 (-955 (-569)))))) 
-((-2675 (((-765)) 51)) (-3435 (((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 $) (-1253 $)) 49) (((-681 |#3|) (-681 $)) 41) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2174 (((-140)) 57)) (-3289 (($ $ (-1 |#3| |#3|) (-765)) NIL) (($ $ (-1 |#3| |#3|)) 18) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL)) (-3956 (((-1253 |#3|) $) NIL) (($ |#3|) NIL) (((-852) $) NIL) (($ (-569)) 12) (($ (-410 (-569))) NIL)) (-2320 (((-765)) 15)) (-1383 (($ $ |#3|) 54))) 
-(((-230 |#1| |#2| |#3|) (-10 -8 (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|)) (-15 -2320 ((-765))) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3956 (|#1| |#3|)) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|) (-765))) (-15 -3435 ((-681 |#3|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 |#1|) (-1253 |#1|))) (-15 -2675 ((-765))) (-15 -1383 (|#1| |#1| |#3|)) (-15 -2174 ((-140))) (-15 -3956 ((-1253 |#3|) |#1|))) (-231 |#2| |#3|) (-765) (-1199)) (T -230)) 
-((-2174 (*1 *2) (-12 (-14 *4 (-765)) (-4 *5 (-1199)) (-5 *2 (-140)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) (-2675 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1199)) (-5 *2 (-765)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) (-2320 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1199)) (-5 *2 (-765)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5))))) 
-(-10 -8 (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|)) (-15 -2320 ((-765))) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3956 (|#1| |#3|)) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|) (-765))) (-15 -3435 ((-681 |#3|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 |#1|) (-1253 |#1|))) (-15 -2675 ((-765))) (-15 -1383 (|#1| |#1| |#3|)) (-15 -2174 ((-140))) (-15 -3956 ((-1253 |#3|) |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#2| (-1093)))) (-2225 (((-121) $) 67 (|has| |#2| (-138)))) (-4148 (($ (-919)) 122 (|has| |#2| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-4288 (($ $ $) 118 (|has| |#2| (-790)))) (-3748 (((-3 $ "failed") $ $) 69 (|has| |#2| (-138)))) (-3350 (((-121) $ (-765)) 8)) (-2675 (((-765)) 104 (|has| |#2| (-371)))) (-3817 (((-569) $) 116 (|has| |#2| (-842)))) (-2511 ((|#2| $ (-569) |#2|) 49 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-3003 (((-3 (-569) "failed") $) 62 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-3 (-410 (-569)) "failed") $) 59 (-3993 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (((-3 |#2| "failed") $) 56 (|has| |#2| (-1093)))) (-1321 (((-569) $) 63 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-410 (-569)) $) 60 (-3993 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) ((|#2| $) 55 (|has| |#2| (-1093)))) (-3435 (((-681 (-569)) (-681 $)) 103 (-3993 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 102 (-3993 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 101 (|has| |#2| (-1049))) (((-681 |#2|) (-681 $)) 100 (|has| |#2| (-1049)))) (-2611 (((-3 $ "failed") $) 75 (|has| |#2| (-718)))) (-3341 (($) 107 (|has| |#2| (-371)))) (-3982 ((|#2| $ (-569) |#2|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#2| $ (-569)) 48)) (-1863 (((-121) $) 114 (|has| |#2| (-842)))) (-4303 (((-635 |#2|) $) 30 (|has| $ (-6 -4571)))) (-3934 (((-121) $) 78 (|has| |#2| (-718)))) (-4311 (((-121) $) 115 (|has| |#2| (-842)))) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 113 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-4457 (((-635 |#2|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 112 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-2089 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2|) $) 35)) (-2862 (((-919) $) 106 (|has| |#2| (-371)))) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#2| (-1093)))) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1333 (($ (-919)) 105 (|has| |#2| (-371)))) (-1912 (((-1111) $) 21 (|has| |#2| (-1093)))) (-1816 ((|#2| $) 39 (|has| (-569) (-844)))) (-2417 (($ $ |#2|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) 26 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) 25 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) 23 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#2| $ (-569) |#2|) 47) ((|#2| $ (-569)) 46)) (-4510 ((|#2| $ $) 121 (|has| |#2| (-1049)))) (-3161 (($ (-1253 |#2|)) 123)) (-2174 (((-140)) 120 (|has| |#2| (-366)))) (-3289 (($ $) 95 (-3993 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) 93 (-3993 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) 91 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) 90 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) 89 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) 88 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) 81 (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) 80 (|has| |#2| (-1049)))) (-2691 (((-765) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4571))) (((-765) |#2| $) 28 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-1253 |#2|) $) 124) (((-852) $) 20 (|has| |#2| (-1093))) (($ (-569)) 61 (-1929 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (|has| |#2| (-1049)))) (($ (-410 (-569))) 58 (-3993 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (($ |#2|) 57 (|has| |#2| (-1093)))) (-2320 (((-765)) 99 (|has| |#2| (-1049)))) (-3776 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4571)))) (-4080 (($ $) 117 (|has| |#2| (-842)))) (-3403 (($ $ (-765)) 76 (|has| |#2| (-718))) (($ $ (-919)) 72 (|has| |#2| (-718)))) (-2407 (($) 66 (|has| |#2| (-138)) CONST)) (-3297 (($) 79 (|has| |#2| (-718)) CONST)) (-3712 (($ $) 94 (-3993 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) 92 (-3993 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) 87 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) 86 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) 85 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) 84 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) 83 (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) 82 (|has| |#2| (-1049)))) (-1355 (((-121) $ $) 110 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-1343 (((-121) $ $) 109 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-1326 (((-121) $ $) 19 (|has| |#2| (-1093)))) (-1349 (((-121) $ $) 111 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-1337 (((-121) $ $) 108 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-1383 (($ $ |#2|) 119 (|has| |#2| (-366)))) (-1377 (($ $ $) 97 (|has| |#2| (-1049))) (($ $) 96 (|has| |#2| (-1049)))) (-1371 (($ $ $) 64 (|has| |#2| (-25)))) (** (($ $ (-765)) 77 (|has| |#2| (-718))) (($ $ (-919)) 73 (|has| |#2| (-718)))) (* (($ (-569) $) 98 (|has| |#2| (-1049))) (($ $ $) 74 (|has| |#2| (-718))) (($ $ |#2|) 71 (|has| |#2| (-1049))) (($ |#2| $) 70 (|has| |#2| (-1049))) (($ (-765) $) 68 (|has| |#2| (-138))) (($ (-919) $) 65 (|has| |#2| (-25)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-231 |#1| |#2|) (-1284) (-765) (-1199)) (T -231)) 
-((-3161 (*1 *1 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1199)) (-4 *1 (-231 *3 *4)))) (-4148 (*1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-231 *3 *4)) (-4 *4 (-1049)) (-4 *4 (-1199)))) (-4510 (*1 *2 *1 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1199)) (-4 *2 (-1049))))) 
-(-13 (-602 (-569) |t#2|) (-609 (-1253 |t#2|)) (-10 -8 (-6 -4571) (-15 -3161 ($ (-1253 |t#2|))) (IF (|has| |t#2| (-1093)) (-6 (-414 |t#2|)) |noBranch|) (IF (|has| |t#2| (-1049)) (PROGN (-6 (-120 |t#2| |t#2|)) (-6 (-224 |t#2|)) (-6 (-380 |t#2|)) (-15 -4148 ($ (-919))) (-15 -4510 (|t#2| $ $))) |noBranch|) (IF (|has| |t#2| (-25)) (-6 (-25)) |noBranch|) (IF (|has| |t#2| (-138)) (-6 (-138)) |noBranch|) (IF (|has| |t#2| (-718)) (-6 (-718 (SEQ (|:| * (-1 $ |t#2| $)) (|exit| 1 (|:| * (-1 $ $ |t#2|)))))) |noBranch|) (IF (|has| |t#2| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#2| (-173)) (PROGN (-6 (-43 |t#2|)) (-6 (-173))) |noBranch|) (IF (|has| |t#2| (-6 -4568)) (-6 -4568) |noBranch|) (IF (|has| |t#2| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |t#2| (-790)) (-6 (-790)) |noBranch|) (IF (|has| |t#2| (-366)) (-6 (-1260 |t#2|)) |noBranch|))) 
-(((-21) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-23) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138))) ((-25) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-39) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) -1929 (|has| |#2| (-1093)) (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-718)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-120 |#2| |#2|) -1929 (|has| |#2| (-1049)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-120 $ $) |has| |#2| (-173)) ((-138) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138))) ((-609 (-852)) -1929 (|has| |#2| (-1093)) (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-718)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-609 (-1253 |#2|)) . T) ((-173) |has| |#2| (-173)) ((-224 |#2|) |has| |#2| (-1049)) ((-226) -12 (|has| |#2| (-226)) (|has| |#2| (-1049))) ((-282 (-569) |#2|) . T) ((-284 (-569) |#2|) . T) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-371) |has| |#2| (-371)) ((-380 |#2|) |has| |#2| (-1049)) ((-414 |#2|) |has| |#2| (-1093)) ((-500 |#2|) . T) ((-602 (-569) |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-638 |#2|) -1929 (|has| |#2| (-1049)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-638 $) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-173))) ((-631 (-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049))) ((-631 |#2|) |has| |#2| (-1049)) ((-709 |#2|) -1929 (|has| |#2| (-366)) (|has| |#2| (-173))) ((-718 (SEQ (|:| * (-1 $ |#2| $)) (|exit| 1 (|:| * (-1 $ $ |#2|))))) |has| |#2| (-718)) ((-718) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-173))) ((-788) |has| |#2| (-842)) ((-789) -1929 (|has| |#2| (-842)) (|has| |#2| (-790))) ((-790) |has| |#2| (-790)) ((-791) -1929 (|has| |#2| (-842)) (|has| |#2| (-790))) ((-792) -1929 (|has| |#2| (-842)) (|has| |#2| (-790))) ((-842) |has| |#2| (-842)) ((-844) -1929 (|has| |#2| (-842)) (|has| |#2| (-790))) ((-897 (-1165)) -12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049))) ((-1039 (-410 (-569))) -12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093))) ((-1039 (-569)) -12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) ((-1039 |#2|) |has| |#2| (-1093)) ((-1055 |#2|) -1929 (|has| |#2| (-1049)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-1055 $) |has| |#2| (-173)) ((-1049) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-173))) ((-1056) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-173))) ((-1105) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-718)) (|has| |#2| (-173))) ((-1093) -1929 (|has| |#2| (-1093)) (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-718)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-1199) . T) ((-1260 |#2|) |has| |#2| (-366))) 
-((-2247 (((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|) 21)) (-2793 ((|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|) 23)) (-4188 (((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)) 18))) 
-(((-232 |#1| |#2| |#3|) (-10 -7 (-15 -2247 ((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -2793 (|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -4188 ((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)))) (-765) (-1199) (-1199)) (T -232)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-233 *5 *6)) (-14 *5 (-765)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-5 *2 (-233 *5 *7)) (-5 *1 (-232 *5 *6 *7)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-233 *5 *6)) (-14 *5 (-765)) (-4 *6 (-1199)) (-4 *2 (-1199)) (-5 *1 (-232 *5 *6 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-233 *6 *7)) (-14 *6 (-765)) (-4 *7 (-1199)) (-4 *5 (-1199)) (-5 *2 (-233 *6 *5)) (-5 *1 (-232 *6 *7 *5))))) 
-(-10 -7 (-15 -2247 ((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -2793 (|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -4188 ((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#2| (-1093)))) (-2225 (((-121) $) NIL (|has| |#2| (-138)))) (-4148 (($ (-919)) 56 (|has| |#2| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) 60 (|has| |#2| (-790)))) (-3748 (((-3 $ "failed") $ $) 49 (|has| |#2| (-138)))) (-3350 (((-121) $ (-765)) 17)) (-2675 (((-765)) NIL (|has| |#2| (-371)))) (-3817 (((-569) $) NIL (|has| |#2| (-842)))) (-2511 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (((-3 |#2| "failed") $) 29 (|has| |#2| (-1093)))) (-1321 (((-569) $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) ((|#2| $) 27 (|has| |#2| (-1093)))) (-3435 (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL (|has| |#2| (-1049))) (((-681 |#2|) (-681 $)) NIL (|has| |#2| (-1049)))) (-2611 (((-3 $ "failed") $) 53 (|has| |#2| (-718)))) (-3341 (($) NIL (|has| |#2| (-371)))) (-3982 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ (-569)) 51)) (-1863 (((-121) $) NIL (|has| |#2| (-842)))) (-4303 (((-635 |#2|) $) 15 (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (|has| |#2| (-718)))) (-4311 (((-121) $) NIL (|has| |#2| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 20 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-4457 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 (((-569) $) 50 (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-2089 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2|) $) 41)) (-2862 (((-919) $) NIL (|has| |#2| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#2| (-1093)))) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#2| (-371)))) (-1912 (((-1111) $) NIL (|has| |#2| (-1093)))) (-1816 ((|#2| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#2|) $) 24 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) 21)) (-4510 ((|#2| $ $) NIL (|has| |#2| (-1049)))) (-3161 (($ (-1253 |#2|)) 18)) (-2174 (((-140)) NIL (|has| |#2| (-366)))) (-3289 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-2691 (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#2|) $) 10) (((-852) $) NIL (|has| |#2| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (|has| |#2| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (($ |#2|) 13 (|has| |#2| (-1093)))) (-2320 (((-765)) NIL (|has| |#2| (-1049)))) (-3776 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#2| (-842)))) (-3403 (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (-2407 (($) 35 (|has| |#2| (-138)) CONST)) (-3297 (($) 38 (|has| |#2| (-718)) CONST)) (-3712 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1326 (((-121) $ $) 26 (|has| |#2| (-1093)))) (-1349 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1337 (((-121) $ $) 58 (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $ $) NIL (|has| |#2| (-1049))) (($ $) NIL (|has| |#2| (-1049)))) (-1371 (($ $ $) 33 (|has| |#2| (-25)))) (** (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (* (($ (-569) $) NIL (|has| |#2| (-1049))) (($ $ $) 44 (|has| |#2| (-718))) (($ $ |#2|) 42 (|has| |#2| (-1049))) (($ |#2| $) 43 (|has| |#2| (-1049))) (($ (-765) $) NIL (|has| |#2| (-138))) (($ (-919) $) NIL (|has| |#2| (-25)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-233 |#1| |#2|) (-231 |#1| |#2|) (-765) (-1199)) (T -233)) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-3096 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-768)) 11) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) 19) (($ $ (-768)) NIL) (($ $) 16)) (-1544 (($ $ (-1 |#2| |#2|)) 12) (($ $ (-1 |#2| |#2|) (-768)) 14) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) NIL) (($ $ (-768)) NIL) (($ $) NIL))) 
+(((-223 |#1| |#2|) (-10 -8 (-15 -3096 (|#1| |#1|)) (-15 -1544 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -1544 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -1544 (|#1| |#1| (-1169))) (-15 -1544 (|#1| |#1| (-637 (-1169)))) (-15 -1544 (|#1| |#1| (-1169) (-768))) (-15 -1544 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -1544 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -1544 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|)))) (-224 |#2|) (-1053)) (T -223)) 
+NIL 
+(-10 -8 (-15 -3096 (|#1| |#1|)) (-15 -1544 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -1544 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -1544 (|#1| |#1| (-1169))) (-15 -1544 (|#1| |#1| (-637 (-1169)))) (-15 -1544 (|#1| |#1| (-1169) (-768))) (-15 -1544 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -1544 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -1544 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3096 (($ $ (-1 |#1| |#1|)) 51) (($ $ (-1 |#1| |#1|) (-768)) 50) (($ $ (-637 (-1169)) (-637 (-768))) 43 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 42 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 41 (|has| |#1| (-900 (-1169)))) (($ $ (-1169)) 40 (|has| |#1| (-900 (-1169)))) (($ $ (-768)) 38 (|has| |#1| (-226))) (($ $) 36 (|has| |#1| (-226)))) (-3942 (((-855) $) 11) (($ (-571)) 27)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-1 |#1| |#1|)) 49) (($ $ (-1 |#1| |#1|) (-768)) 48) (($ $ (-637 (-1169)) (-637 (-768))) 47 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 46 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 45 (|has| |#1| (-900 (-1169)))) (($ $ (-1169)) 44 (|has| |#1| (-900 (-1169)))) (($ $ (-768)) 39 (|has| |#1| (-226))) (($ $) 37 (|has| |#1| (-226)))) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-224 |#1|) (-1289) (-1053)) (T -224)) 
+((-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1053)))) (-3096 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-768)) (-4 *1 (-224 *4)) (-4 *4 (-1053)))) (-1544 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1053)))) (-1544 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-768)) (-4 *1 (-224 *4)) (-4 *4 (-1053))))) 
+(-13 (-1053) (-10 -8 (-15 -3096 ($ $ (-1 |t#1| |t#1|))) (-15 -3096 ($ $ (-1 |t#1| |t#1|) (-768))) (-15 -1544 ($ $ (-1 |t#1| |t#1|))) (-15 -1544 ($ $ (-1 |t#1| |t#1|) (-768))) (IF (|has| |t#1| (-226)) (-6 (-226)) |noBranch|) (IF (|has| |t#1| (-900 (-1169))) (-6 (-900 (-1169))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-226) |has| |#1| (-226)) ((-640 $) . T) ((-721) . T) ((-900 (-1169)) |has| |#1| (-900 (-1169))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-3096 (($ $) NIL) (($ $ (-768)) 10)) (-1544 (($ $) 8) (($ $ (-768)) 12))) 
+(((-225 |#1|) (-10 -8 (-15 -1544 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-768))) (-15 -1544 (|#1| |#1|)) (-15 -3096 (|#1| |#1|))) (-226)) (T -225)) 
+NIL 
+(-10 -8 (-15 -1544 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-768))) (-15 -1544 (|#1| |#1|)) (-15 -3096 (|#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3096 (($ $) 37) (($ $ (-768)) 35)) (-3942 (((-855) $) 11) (($ (-571)) 27)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $) 36) (($ $ (-768)) 34)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-226) (-1289)) (T -226)) 
+((-3096 (*1 *1 *1) (-4 *1 (-226))) (-1544 (*1 *1 *1) (-4 *1 (-226))) (-3096 (*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-768)))) (-1544 (*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-768))))) 
+(-13 (-1053) (-10 -8 (-15 -3096 ($ $)) (-15 -1544 ($ $)) (-15 -3096 ($ $ (-768))) (-15 -1544 ($ $ (-768))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 $) . T) ((-721) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-3563 (($) 12) (($ (-637 |#2|)) NIL)) (-4316 (($ $) 14)) (-3891 (($ (-637 |#2|)) 10)) (-3942 (((-855) $) 21))) 
+(((-227 |#1| |#2|) (-10 -8 (-15 -3563 (|#1| (-637 |#2|))) (-15 -3563 (|#1|)) (-15 -3891 (|#1| (-637 |#2|))) (-15 -3942 ((-855) |#1|)) (-15 -4316 (|#1| |#1|))) (-228 |#2|) (-1097)) (T -227)) 
+NIL 
+(-10 -8 (-15 -3563 (|#1| (-637 |#2|))) (-15 -3563 (|#1|)) (-15 -3891 (|#1| (-637 |#2|))) (-15 -3942 ((-855) |#1|)) (-15 -4316 (|#1| |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) 8)) (-3129 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-4365 (($ $) 55 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1599 (($ |#1| $) 44 (|has| $ (-6 -4600))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4600)))) (-3412 (($ |#1| $) 54 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4600)))) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2377 ((|#1| $) 36)) (-2863 (($ |#1| $) 37)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3563 (($) 46) (($ (-637 |#1|)) 45)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 56 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 47)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) 39)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-228 |#1|) (-1289) (-1097)) (T -228)) 
+((-3563 (*1 *1) (-12 (-4 *1 (-228 *2)) (-4 *2 (-1097)))) (-3563 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-4 *1 (-228 *3)))) (-1599 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-228 *2)) (-4 *2 (-1097)))) (-1599 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4600)) (-4 *1 (-228 *3)) (-4 *3 (-1097)))) (-3129 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4600)) (-4 *1 (-228 *3)) (-4 *3 (-1097))))) 
+(-13 (-111 |t#1|) (-155 |t#1|) (-10 -8 (-15 -3563 ($)) (-15 -3563 ($ (-637 |t#1|))) (IF (|has| $ (-6 -4600)) (PROGN (-15 -1599 ($ |t#1| $)) (-15 -1599 ($ (-1 (-121) |t#1|) $)) (-15 -3129 ($ (-1 (-121) |t#1|) $))) |noBranch|))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-1713 (((-2 (|:| |varOrder| (-637 (-1169))) (|:| |inhom| (-3 (-637 (-1258 (-768))) "failed")) (|:| |hom| (-637 (-1258 (-768))))) (-289 (-958 (-571)))) 25))) 
+(((-229) (-10 -7 (-15 -1713 ((-2 (|:| |varOrder| (-637 (-1169))) (|:| |inhom| (-3 (-637 (-1258 (-768))) "failed")) (|:| |hom| (-637 (-1258 (-768))))) (-289 (-958 (-571))))))) (T -229)) 
+((-1713 (*1 *2 *3) (-12 (-5 *3 (-289 (-958 (-571)))) (-5 *2 (-2 (|:| |varOrder| (-637 (-1169))) (|:| |inhom| (-3 (-637 (-1258 (-768))) "failed")) (|:| |hom| (-637 (-1258 (-768)))))) (-5 *1 (-229))))) 
+(-10 -7 (-15 -1713 ((-2 (|:| |varOrder| (-637 (-1169))) (|:| |inhom| (-3 (-637 (-1258 (-768))) "failed")) (|:| |hom| (-637 (-1258 (-768))))) (-289 (-958 (-571)))))) 
+((-4407 (((-768)) 51)) (-2680 (((-2 (|:| -3533 (-684 |#3|)) (|:| |vec| (-1258 |#3|))) (-684 $) (-1258 $)) 49) (((-684 |#3|) (-684 $)) 41) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-684 (-571)) (-684 $)) NIL)) (-3847 (((-140)) 57)) (-3096 (($ $ (-1 |#3| |#3|) (-768)) NIL) (($ $ (-1 |#3| |#3|)) 18) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) NIL) (($ $ (-768)) NIL) (($ $) NIL)) (-3942 (((-1258 |#3|) $) NIL) (($ |#3|) NIL) (((-855) $) NIL) (($ (-571)) 12) (($ (-412 (-571))) NIL)) (-2661 (((-768)) 15)) (-1379 (($ $ |#3|) 54))) 
+(((-230 |#1| |#2| |#3|) (-10 -8 (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|)) (-15 -2661 ((-768))) (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -3942 (|#1| |#3|)) (-15 -3096 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3096 (|#1| |#1| (-1 |#3| |#3|) (-768))) (-15 -2680 ((-684 |#3|) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#3|)) (|:| |vec| (-1258 |#3|))) (-684 |#1|) (-1258 |#1|))) (-15 -4407 ((-768))) (-15 -1379 (|#1| |#1| |#3|)) (-15 -3847 ((-140))) (-15 -3942 ((-1258 |#3|) |#1|))) (-231 |#2| |#3|) (-768) (-1203)) (T -230)) 
+((-3847 (*1 *2) (-12 (-14 *4 (-768)) (-4 *5 (-1203)) (-5 *2 (-140)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) (-4407 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1203)) (-5 *2 (-768)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) (-2661 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1203)) (-5 *2 (-768)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5))))) 
+(-10 -8 (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|)) (-15 -2661 ((-768))) (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -3942 (|#1| |#3|)) (-15 -3096 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3096 (|#1| |#1| (-1 |#3| |#3|) (-768))) (-15 -2680 ((-684 |#3|) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#3|)) (|:| |vec| (-1258 |#3|))) (-684 |#1|) (-1258 |#1|))) (-15 -4407 ((-768))) (-15 -1379 (|#1| |#1| |#3|)) (-15 -3847 ((-140))) (-15 -3942 ((-1258 |#3|) |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#2| (-1097)))) (-4123 (((-121) $) 67 (|has| |#2| (-138)))) (-4436 (($ (-922)) 123 (|has| |#2| (-1053)))) (-3839 (((-1263) $ (-571) (-571)) 37 (|has| $ (-6 -4601)))) (-3933 (($ $ $) 119 (|has| |#2| (-793)))) (-4176 (((-3 $ "failed") $ $) 69 (|has| |#2| (-138)))) (-3133 (((-121) $ (-768)) 8)) (-4407 (((-768)) 104 (|has| |#2| (-373)))) (-3203 (((-571) $) 117 (|has| |#2| (-845)))) (-3251 ((|#2| $ (-571) |#2|) 49 (|has| $ (-6 -4601)))) (-2269 (($) 7 T CONST)) (-3337 (((-3 (-571) "failed") $) 62 (-3997 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097)))) (((-3 (-412 (-571)) "failed") $) 59 (-3997 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) (((-3 |#2| "failed") $) 56 (|has| |#2| (-1097)))) (-1316 (((-571) $) 63 (-3997 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097)))) (((-412 (-571)) $) 60 (-3997 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) ((|#2| $) 55 (|has| |#2| (-1097)))) (-2680 (((-684 (-571)) (-684 $)) 103 (-3997 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 102 (-3997 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) 101 (|has| |#2| (-1053))) (((-684 |#2|) (-684 $)) 100 (|has| |#2| (-1053)))) (-3978 (((-3 $ "failed") $) 75 (|has| |#2| (-721)))) (-3254 (($) 107 (|has| |#2| (-373)))) (-2922 ((|#2| $ (-571) |#2|) 50 (|has| $ (-6 -4601)))) (-4319 ((|#2| $ (-571)) 48)) (-2093 (((-121) $) 115 (|has| |#2| (-845)))) (-4034 (((-637 |#2|) $) 30 (|has| $ (-6 -4600)))) (-2583 (((-121) $) 78 (|has| |#2| (-721)))) (-4086 (((-121) $) 116 (|has| |#2| (-845)))) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 40 (|has| (-571) (-847)))) (-1763 (($ $ $) 114 (-1831 (|has| |#2| (-845)) (|has| |#2| (-793))))) (-3488 (((-637 |#2|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 41 (|has| (-571) (-847)))) (-2383 (($ $ $) 113 (-1831 (|has| |#2| (-845)) (|has| |#2| (-793))))) (-1923 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#2| |#2|) $) 35)) (-4470 (((-922) $) 106 (|has| |#2| (-373)))) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#2| (-1097)))) (-2738 (((-637 (-571)) $) 43)) (-1613 (((-121) (-571) $) 44)) (-1755 (($ (-922)) 105 (|has| |#2| (-373)))) (-2580 (((-1115) $) 21 (|has| |#2| (-1097)))) (-1827 ((|#2| $) 39 (|has| (-571) (-847)))) (-4411 (($ $ |#2|) 38 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#2|))) 26 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) 25 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) 23 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) 14)) (-3804 (((-637 $)) 108 (|has| |#2| (-373)))) (-2957 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#2| $ (-571) |#2|) 47) ((|#2| $ (-571)) 46)) (-2503 ((|#2| $ $) 122 (|has| |#2| (-1053)))) (-4274 (($ (-1258 |#2|)) 124)) (-3847 (((-140)) 121 (|has| |#2| (-367)))) (-3096 (($ $) 95 (-3997 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-768)) 93 (-3997 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-1169)) 91 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169))) 90 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1169) (-768)) 89 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169)) (-637 (-768))) 88 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1 |#2| |#2|) (-768)) 81 (|has| |#2| (-1053))) (($ $ (-1 |#2| |#2|)) 80 (|has| |#2| (-1053)))) (-1569 (((-768) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4600))) (((-768) |#2| $) 28 (-12 (|has| |#2| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-1258 |#2|) $) 125) (((-855) $) 20 (|has| |#2| (-1097))) (($ (-571)) 61 (-1831 (-3997 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097))) (|has| |#2| (-1053)))) (($ (-412 (-571))) 58 (-3997 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) (($ |#2|) 57 (|has| |#2| (-1097)))) (-2661 (((-768)) 99 (|has| |#2| (-1053)))) (-3027 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4600)))) (-1902 (($ $) 118 (|has| |#2| (-845)))) (-4142 (($ $ (-768)) 76 (|has| |#2| (-721))) (($ $ (-922)) 72 (|has| |#2| (-721)))) (-2369 (($) 66 (|has| |#2| (-138)) CONST)) (-3222 (($) 79 (|has| |#2| (-721)) CONST)) (-1544 (($ $) 94 (-3997 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-768)) 92 (-3997 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-1169)) 87 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169))) 86 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1169) (-768)) 85 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169)) (-637 (-768))) 84 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1 |#2| |#2|) (-768)) 83 (|has| |#2| (-1053))) (($ $ (-1 |#2| |#2|)) 82 (|has| |#2| (-1053)))) (-1350 (((-121) $ $) 111 (-1831 (|has| |#2| (-845)) (|has| |#2| (-793))))) (-1338 (((-121) $ $) 110 (-1831 (|has| |#2| (-845)) (|has| |#2| (-793))))) (-1323 (((-121) $ $) 19 (|has| |#2| (-1097)))) (-1342 (((-121) $ $) 112 (-1831 (|has| |#2| (-845)) (|has| |#2| (-793))))) (-1331 (((-121) $ $) 109 (-1831 (|has| |#2| (-845)) (|has| |#2| (-793))))) (-1379 (($ $ |#2|) 120 (|has| |#2| (-367)))) (-1373 (($ $ $) 97 (|has| |#2| (-1053))) (($ $) 96 (|has| |#2| (-1053)))) (-1367 (($ $ $) 64 (|has| |#2| (-25)))) (** (($ $ (-768)) 77 (|has| |#2| (-721))) (($ $ (-922)) 73 (|has| |#2| (-721)))) (* (($ (-571) $) 98 (|has| |#2| (-1053))) (($ $ $) 74 (|has| |#2| (-721))) (($ $ |#2|) 71 (|has| |#2| (-721))) (($ |#2| $) 70 (|has| |#2| (-721))) (($ (-768) $) 68 (|has| |#2| (-138))) (($ (-922) $) 65 (|has| |#2| (-25)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-231 |#1| |#2|) (-1289) (-768) (-1203)) (T -231)) 
+((-4274 (*1 *1 *2) (-12 (-5 *2 (-1258 *4)) (-4 *4 (-1203)) (-4 *1 (-231 *3 *4)))) (-4436 (*1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-231 *3 *4)) (-4 *4 (-1053)) (-4 *4 (-1203)))) (-2503 (*1 *2 *1 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1203)) (-4 *2 (-1053)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1203)) (-4 *2 (-721)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1203)) (-4 *2 (-721))))) 
+(-13 (-604 (-571) |t#2|) (-611 (-1258 |t#2|)) (-10 -8 (-6 -4600) (-15 -4274 ($ (-1258 |t#2|))) (IF (|has| |t#2| (-1097)) (-6 (-416 |t#2|)) |noBranch|) (IF (|has| |t#2| (-1053)) (PROGN (-6 (-120 |t#2| |t#2|)) (-6 (-224 |t#2|)) (-6 (-382 |t#2|)) (-15 -4436 ($ (-922))) (-15 -2503 (|t#2| $ $))) |noBranch|) (IF (|has| |t#2| (-25)) (-6 (-25)) |noBranch|) (IF (|has| |t#2| (-138)) (-6 (-138)) |noBranch|) (IF (|has| |t#2| (-721)) (PROGN (-6 (-721)) (-15 * ($ |t#2| $)) (-15 * ($ $ |t#2|))) |noBranch|) (IF (|has| |t#2| (-373)) (-6 (-373)) |noBranch|) (IF (|has| |t#2| (-173)) (PROGN (-6 (-43 |t#2|)) (-6 (-173))) |noBranch|) (IF (|has| |t#2| (-6 -4597)) (-6 -4597) |noBranch|) (IF (|has| |t#2| (-845)) (-6 (-845)) |noBranch|) (IF (|has| |t#2| (-793)) (-6 (-793)) |noBranch|) (IF (|has| |t#2| (-367)) (-6 (-1265 |t#2|)) |noBranch|))) 
+(((-21) -1831 (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-367)) (|has| |#2| (-173))) ((-23) -1831 (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-793)) (|has| |#2| (-367)) (|has| |#2| (-173)) (|has| |#2| (-138))) ((-25) -1831 (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-793)) (|has| |#2| (-367)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-39) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) -1831 (|has| |#2| (-1097)) (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-793)) (|has| |#2| (-721)) (|has| |#2| (-373)) (|has| |#2| (-367)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-120 |#2| |#2|) -1831 (|has| |#2| (-1053)) (|has| |#2| (-367)) (|has| |#2| (-173))) ((-120 $ $) |has| |#2| (-173)) ((-138) -1831 (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-793)) (|has| |#2| (-367)) (|has| |#2| (-173)) (|has| |#2| (-138))) ((-611 (-855)) -1831 (|has| |#2| (-1097)) (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-793)) (|has| |#2| (-721)) (|has| |#2| (-373)) (|has| |#2| (-367)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-611 (-1258 |#2|)) . T) ((-173) |has| |#2| (-173)) ((-224 |#2|) |has| |#2| (-1053)) ((-226) -12 (|has| |#2| (-226)) (|has| |#2| (-1053))) ((-282 (-571) |#2|) . T) ((-284 (-571) |#2|) . T) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) ((-373) |has| |#2| (-373)) ((-382 |#2|) |has| |#2| (-1053)) ((-416 |#2|) |has| |#2| (-1097)) ((-502 |#2|) . T) ((-604 (-571) |#2|) . T) ((-526 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) ((-640 |#2|) -1831 (|has| |#2| (-1053)) (|has| |#2| (-367)) (|has| |#2| (-173))) ((-640 $) -1831 (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-173))) ((-633 (-571)) -12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053))) ((-633 |#2|) |has| |#2| (-1053)) ((-712 |#2|) -1831 (|has| |#2| (-367)) (|has| |#2| (-173))) ((-721) -1831 (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-721)) (|has| |#2| (-173))) ((-791) |has| |#2| (-845)) ((-792) -1831 (|has| |#2| (-845)) (|has| |#2| (-793))) ((-793) |has| |#2| (-793)) ((-794) -1831 (|has| |#2| (-845)) (|has| |#2| (-793))) ((-795) -1831 (|has| |#2| (-845)) (|has| |#2| (-793))) ((-845) |has| |#2| (-845)) ((-847) -1831 (|has| |#2| (-845)) (|has| |#2| (-793))) ((-900 (-1169)) -12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053))) ((-1043 (-412 (-571))) -12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097))) ((-1043 (-571)) -12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097))) ((-1043 |#2|) |has| |#2| (-1097)) ((-1059 |#2|) -1831 (|has| |#2| (-1053)) (|has| |#2| (-367)) (|has| |#2| (-173))) ((-1059 $) |has| |#2| (-173)) ((-1053) -1831 (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-173))) ((-1060) -1831 (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-173))) ((-1109) -1831 (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-721)) (|has| |#2| (-173))) ((-1097) -1831 (|has| |#2| (-1097)) (|has| |#2| (-1053)) (|has| |#2| (-845)) (|has| |#2| (-793)) (|has| |#2| (-721)) (|has| |#2| (-373)) (|has| |#2| (-367)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-1203) . T) ((-1265 |#2|) |has| |#2| (-367))) 
+((-2094 (((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|) 21)) (-3074 ((|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|) 23)) (-3799 (((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)) 18))) 
+(((-232 |#1| |#2| |#3|) (-10 -7 (-15 -2094 ((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -3074 (|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -3799 ((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)))) (-768) (-1203) (-1203)) (T -232)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-233 *5 *6)) (-14 *5 (-768)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-5 *2 (-233 *5 *7)) (-5 *1 (-232 *5 *6 *7)))) (-3074 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-233 *5 *6)) (-14 *5 (-768)) (-4 *6 (-1203)) (-4 *2 (-1203)) (-5 *1 (-232 *5 *6 *2)))) (-2094 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-233 *6 *7)) (-14 *6 (-768)) (-4 *7 (-1203)) (-4 *5 (-1203)) (-5 *2 (-233 *6 *5)) (-5 *1 (-232 *6 *7 *5))))) 
+(-10 -7 (-15 -2094 ((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -3074 (|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -3799 ((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#2| (-1097)))) (-4123 (((-121) $) NIL (|has| |#2| (-138)))) (-4436 (($ (-922)) 56 (|has| |#2| (-1053)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-3933 (($ $ $) 60 (|has| |#2| (-793)))) (-4176 (((-3 $ "failed") $ $) 49 (|has| |#2| (-138)))) (-3133 (((-121) $ (-768)) 17)) (-4407 (((-768)) NIL (|has| |#2| (-373)))) (-3203 (((-571) $) NIL (|has| |#2| (-845)))) (-3251 ((|#2| $ (-571) |#2|) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (-12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097)))) (((-3 (-412 (-571)) "failed") $) NIL (-12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) (((-3 |#2| "failed") $) 29 (|has| |#2| (-1097)))) (-1316 (((-571) $) NIL (-12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097)))) (((-412 (-571)) $) NIL (-12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) ((|#2| $) 27 (|has| |#2| (-1097)))) (-2680 (((-684 (-571)) (-684 $)) NIL (-12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL (|has| |#2| (-1053))) (((-684 |#2|) (-684 $)) NIL (|has| |#2| (-1053)))) (-3978 (((-3 $ "failed") $) 53 (|has| |#2| (-721)))) (-3254 (($) NIL (|has| |#2| (-373)))) (-2922 ((|#2| $ (-571) |#2|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#2| $ (-571)) 51)) (-2093 (((-121) $) NIL (|has| |#2| (-845)))) (-4034 (((-637 |#2|) $) 15 (|has| $ (-6 -4600)))) (-2583 (((-121) $) NIL (|has| |#2| (-721)))) (-4086 (((-121) $) NIL (|has| |#2| (-845)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 20 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-3488 (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3113 (((-571) $) 50 (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1923 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#2| |#2|) $) 41)) (-4470 (((-922) $) NIL (|has| |#2| (-373)))) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#2| (-1097)))) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-1755 (($ (-922)) NIL (|has| |#2| (-373)))) (-2580 (((-1115) $) NIL (|has| |#2| (-1097)))) (-1827 ((|#2| $) NIL (|has| (-571) (-847)))) (-4411 (($ $ |#2|) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#2|) $) 24 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-3804 (((-637 $)) NIL (|has| |#2| (-373)))) (-2957 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#2| $ (-571) |#2|) NIL) ((|#2| $ (-571)) 21)) (-2503 ((|#2| $ $) NIL (|has| |#2| (-1053)))) (-4274 (($ (-1258 |#2|)) 18)) (-3847 (((-140)) NIL (|has| |#2| (-367)))) (-3096 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1 |#2| |#2|) (-768)) NIL (|has| |#2| (-1053))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1053)))) (-1569 (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-1258 |#2|) $) 10) (((-855) $) NIL (|has| |#2| (-1097))) (($ (-571)) NIL (-1831 (-12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097))) (|has| |#2| (-1053)))) (($ (-412 (-571))) NIL (-12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) (($ |#2|) 13 (|has| |#2| (-1097)))) (-2661 (((-768)) NIL (|has| |#2| (-1053)))) (-3027 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-1902 (($ $) NIL (|has| |#2| (-845)))) (-4142 (($ $ (-768)) NIL (|has| |#2| (-721))) (($ $ (-922)) NIL (|has| |#2| (-721)))) (-2369 (($) 35 (|has| |#2| (-138)) CONST)) (-3222 (($) 38 (|has| |#2| (-721)) CONST)) (-1544 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1 |#2| |#2|) (-768)) NIL (|has| |#2| (-1053))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1053)))) (-1350 (((-121) $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1338 (((-121) $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1323 (((-121) $ $) 26 (|has| |#2| (-1097)))) (-1342 (((-121) $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1331 (((-121) $ $) 58 (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $ $) NIL (|has| |#2| (-1053))) (($ $) NIL (|has| |#2| (-1053)))) (-1367 (($ $ $) 33 (|has| |#2| (-25)))) (** (($ $ (-768)) NIL (|has| |#2| (-721))) (($ $ (-922)) NIL (|has| |#2| (-721)))) (* (($ (-571) $) NIL (|has| |#2| (-1053))) (($ $ $) 44 (|has| |#2| (-721))) (($ $ |#2|) 42 (|has| |#2| (-721))) (($ |#2| $) 43 (|has| |#2| (-721))) (($ (-768) $) NIL (|has| |#2| (-138))) (($ (-922) $) NIL (|has| |#2| (-25)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-233 |#1| |#2|) (-231 |#1| |#2|) (-768) (-1203)) (T -233)) 
 NIL 
 (-231 |#1| |#2|) 
-((-1310 (((-121) $ $) NIL)) (-1801 (($) 34 T CONST)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-173)))) (-2915 (($ $) NIL (|has| |#1| (-173)))) (-2735 (((-121) $) 54 (|has| |#1| (-173)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) 55)) (-3934 (((-121) $) NIL)) (-2679 (((-121) $ (-919)) 71)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-173)))) (-2503 ((|#1| $ (-919)) 9)) (-3956 (((-852) $) 29) (($ (-569)) NIL) (($ (-1 |#1| (-919))) 12) (((-1 |#1| (-919)) $) 11) (($ (-1145 |#1|)) 26) (((-1145 |#1|) $) 24) (($ |#1|) NIL (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-173)))) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL (|has| |#1| (-173)))) (-2435 (((-121) $ (-919)) 72)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 33 T CONST)) (-3297 (($) 13 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) 38) (($ $ $) NIL)) (-1371 (($ $ $) 36)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 40) (($ $ $) 51) (($ |#1| $) 42 (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
-(((-234 |#1|) (-13 (-1049) (-282 (-919) |#1|) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-559)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 ($ (-1 |#1| (-919)))) (-15 -3956 ((-1 |#1| (-919)) $)) (-15 -3956 ($ (-1145 |#1|))) (-15 -3956 ((-1145 |#1|) $)) (-15 -1801 ($) -3575) (-15 -2679 ((-121) $ (-919))) (-15 -2435 ((-121) $ (-919))))) (-1049)) (T -234)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1 *3 (-919))) (-4 *3 (-1049)) (-5 *1 (-234 *3)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1 *3 (-919))) (-5 *1 (-234 *3)) (-4 *3 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-234 *3)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1049)))) (-1801 (*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1049)))) (-2679 (*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1049)))) (-2435 (*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1049))))) 
-(-13 (-1049) (-282 (-919) |#1|) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-559)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 ($ (-1 |#1| (-919)))) (-15 -3956 ((-1 |#1| (-919)) $)) (-15 -3956 ($ (-1145 |#1|))) (-15 -3956 ((-1145 |#1|) $)) (-15 -1801 ($) -3575) (-15 -2679 ((-121) $ (-919))) (-15 -2435 ((-121) $ (-919))))) 
-((-2753 (((-569) (-635 (-1147))) 24) (((-569) (-1147)) 19)) (-3086 (((-1258) (-635 (-1147))) 29) (((-1258) (-1147)) 28)) (-2031 (((-1147)) 14)) (-4543 (((-1147) (-569) (-1147)) 16)) (-1736 (((-635 (-1147)) (-635 (-1147)) (-569) (-1147)) 25) (((-1147) (-1147) (-569) (-1147)) 23)) (-1945 (((-635 (-1147)) (-635 (-1147))) 13) (((-635 (-1147)) (-1147)) 11))) 
-(((-235) (-10 -7 (-15 -1945 ((-635 (-1147)) (-1147))) (-15 -1945 ((-635 (-1147)) (-635 (-1147)))) (-15 -2031 ((-1147))) (-15 -4543 ((-1147) (-569) (-1147))) (-15 -1736 ((-1147) (-1147) (-569) (-1147))) (-15 -1736 ((-635 (-1147)) (-635 (-1147)) (-569) (-1147))) (-15 -3086 ((-1258) (-1147))) (-15 -3086 ((-1258) (-635 (-1147)))) (-15 -2753 ((-569) (-1147))) (-15 -2753 ((-569) (-635 (-1147)))))) (T -235)) 
-((-2753 (*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-569)) (-5 *1 (-235)))) (-2753 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-569)) (-5 *1 (-235)))) (-3086 (*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1258)) (-5 *1 (-235)))) (-3086 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-235)))) (-1736 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 (-1147))) (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *1 (-235)))) (-1736 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-235)))) (-4543 (*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-235)))) (-2031 (*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-235)))) (-1945 (*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-235)))) (-1945 (*1 *2 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-235)) (-5 *3 (-1147))))) 
-(-10 -7 (-15 -1945 ((-635 (-1147)) (-1147))) (-15 -1945 ((-635 (-1147)) (-635 (-1147)))) (-15 -2031 ((-1147))) (-15 -4543 ((-1147) (-569) (-1147))) (-15 -1736 ((-1147) (-1147) (-569) (-1147))) (-15 -1736 ((-635 (-1147)) (-635 (-1147)) (-569) (-1147))) (-15 -3086 ((-1258) (-1147))) (-15 -3086 ((-1258) (-635 (-1147)))) (-15 -2753 ((-569) (-1147))) (-15 -2753 ((-569) (-635 (-1147))))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $) 44)) (-3125 (((-635 |#1|) $) 30)) (-2566 (((-635 |#1|) $) 29)) (-1918 (((-635 |#1|) $) 31)) (-3748 (((-3 $ "failed") $ $) 18)) (-2009 (((-635 $) $) 36)) (-2675 (((-765) $) 43)) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 39)) (-1321 ((|#1| $) 40)) (-1906 ((|#1| $ (-569)) 46)) (-3244 (((-569) $ (-569)) 45)) (-1648 (($ (-1 |#1| |#1|) $) 49)) (-1797 (($ (-1 (-569) (-569)) $) 48)) (-2605 (((-1147) $) 9)) (-2046 (($ $) 26)) (-4046 (($ $ $) 50 (|has| (-569) (-789)))) (-1912 (((-1111) $) 10)) (-4479 (((-121) $) 32)) (-1293 (($ $) 28)) (-2928 (($ $) 27)) (-2284 (((-569) $) 37)) (-4456 (($ $ $) 33)) (-2239 (($ $) 34)) (-3956 (((-852) $) 11) (($ |#1|) 38)) (-3802 (((-569) |#1| $) 47)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 35)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13) (($ |#1| $) 41)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ (-569)) 52) (($ (-569) $) 51) (($ (-569) |#1|) 42))) 
-(((-236 |#1|) (-1284) (-1093)) (T -236)) 
-((-2284 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-569)))) (-2009 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-236 *3)))) (-1349 (*1 *2 *1 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-2239 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) (-4456 (*1 *1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) (-4479 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-1918 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3)))) (-3125 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3)))) (-2566 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3)))) (-1293 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) (-2928 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) (-2046 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093))))) 
-(-13 (-21) (-709 (-569)) (-321 |t#1| (-569)) (-10 -8 (-15 -2284 ((-569) $)) (-15 -2009 ((-635 $) $)) (-15 -1349 ((-121) $ $)) (-15 -2239 ($ $)) (-15 -4456 ($ $ $)) (-15 -4479 ((-121) $)) (-15 -1918 ((-635 |t#1|) $)) (-15 -3125 ((-635 |t#1|) $)) (-15 -2566 ((-635 |t#1|) $)) (-15 -1293 ($ $)) (-15 -2928 ($ $)) (-15 -2046 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 (-569) (-569)) . T) ((-138) . T) ((-609 (-852)) . T) ((-321 |#1| (-569)) . T) ((-638 (-569)) . T) ((-709 (-569)) . T) ((-1039 |#1|) . T) ((-1055 (-569)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 17)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $) 30)) (-3125 (((-635 |#1|) $) 36)) (-2566 (((-635 |#1|) $) 37)) (-1918 (((-635 |#1|) $) 35)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2009 (((-635 $) $) 29)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-3373 (($ $) 24)) (-1906 ((|#1| $ (-569)) NIL)) (-3244 (((-569) $ (-569)) NIL)) (-1648 (($ (-1 |#1| |#1|) $) NIL)) (-1797 (($ (-1 (-569) (-569)) $) NIL)) (-2605 (((-1147) $) NIL)) (-2046 (($ $) 8)) (-4046 (($ $ $) NIL (|has| (-569) (-789)))) (-1603 (((-2 (|:| |gen| |#1|) (|:| -3408 (-569))) $) 26)) (-1912 (((-1111) $) NIL)) (-4479 (((-121) $) 50)) (-1293 (($ $) 38)) (-2928 (($ $) 39)) (-2284 (((-569) $) 58)) (-4456 (($ $ $) 44)) (-2239 (($ $) 33)) (-3956 (((-852) $) 22) (($ |#1|) 27)) (-3802 (((-569) |#1| $) 32)) (-2407 (($) 23 T CONST)) (-1326 (((-121) $ $) 40)) (-1349 (((-121) $ $) 51)) (-1377 (($ $) 48) (($ $ $) 47)) (-1371 (($ $ $) 45) (($ |#1| $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 49) (($ $ (-569)) NIL) (($ (-569) $) 49) (($ (-569) |#1|) NIL))) 
-(((-237 |#1|) (-13 (-236 |#1|) (-10 -8 (-15 -1603 ((-2 (|:| |gen| |#1|) (|:| -3408 (-569))) $)) (-15 -3373 ($ $)))) (-1091)) (T -237)) 
-((-1603 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -3408 (-569)))) (-5 *1 (-237 *3)) (-4 *3 (-1091)))) (-3373 (*1 *1 *1) (-12 (-5 *1 (-237 *2)) (-4 *2 (-1091))))) 
-(-13 (-236 |#1|) (-10 -8 (-15 -1603 ((-2 (|:| |gen| |#1|) (|:| -3408 (-569))) $)) (-15 -3373 ($ $)))) 
-((-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 9)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 18)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-410 (-569)) $) 25) (($ $ (-410 (-569))) NIL))) 
-(((-238 |#1|) (-10 -8 (-15 -3403 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 ** (|#1| |#1| (-765))) (-15 -3403 (|#1| |#1| (-765))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 -3403 (|#1| |#1| (-919))) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) (-239)) (T -238)) 
-NIL 
-(-10 -8 (-15 -3403 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 ** (|#1| |#1| (-765))) (-15 -3403 (|#1| |#1| (-765))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 -3403 (|#1| |#1| (-919))) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 38)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 43)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 39)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 40)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ (-410 (-569)) $) 42) (($ $ (-410 (-569))) 41))) 
-(((-239) (-1284)) (T -239)) 
-((** (*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) (-3403 (*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) (-3243 (*1 *1 *1) (-4 *1 (-239)))) 
-(-13 (-286) (-43 (-410 (-569))) (-10 -8 (-15 ** ($ $ (-569))) (-15 -3403 ($ $ (-569))) (-15 -3243 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-286) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-718) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-2394 (($ $) 54)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2370 (($ $ $) 50 (|has| $ (-6 -4572)))) (-3553 (($ $ $) 49 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-1314 (($ $) 53)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-2198 (($ $) 52)) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-3302 ((|#1| $) 56)) (-1603 (($ $) 55)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4422 (($ $ $) 51 (|has| $ (-6 -4572)))) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-240 |#1|) (-1284) (-1199)) (T -240)) 
-((-3302 (*1 *2 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-1603 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-2394 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-1314 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-2198 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-4422 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-2370 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-3553 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199))))) 
-(-13 (-1012 |t#1|) (-10 -8 (-15 -3302 (|t#1| $)) (-15 -1603 ($ $)) (-15 -2394 ($ $)) (-15 -1314 ($ $)) (-15 -2198 ($ $)) (IF (|has| $ (-6 -4572)) (PROGN (-15 -4422 ($ $ $)) (-15 -2370 ($ $ $)) (-15 -3553 ($ $ $))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) NIL)) (-1823 ((|#1| $) NIL)) (-2394 (($ $) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) $) NIL (|has| |#1| (-844))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-1744 (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-2930 (($ $) 10 (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) NIL (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "rest" $) NIL (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) NIL)) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4024 ((|#1| $) NIL)) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1864 (($ $) NIL) (($ $ (-765)) NIL)) (-2938 (($ $) NIL (|has| |#1| (-1093)))) (-1858 (($ $) 7 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) NIL (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) NIL)) (-3503 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-1292 (((-121) $) NIL)) (-3988 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093))) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) (-1 (-121) |#1|) $) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-4002 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-2102 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1832 (($ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-3302 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2351 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-4363 (((-121) $) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1219 (-569))) NIL) ((|#1| $ (-569)) NIL) ((|#1| $ (-569) |#1|) NIL) (($ $ "unique") 9) (($ $ "sort") 12) (((-765) $ "count") 16)) (-3248 (((-569) $ $) NIL)) (-1313 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2712 (($ (-635 |#1|)) 22)) (-1630 (((-121) $) NIL)) (-2588 (($ $) NIL)) (-1390 (($ $) NIL (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4422 (($ $ $) NIL) (($ $ |#1|) NIL)) (-4456 (($ $ $) NIL) (($ |#1| $) NIL) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-3956 (($ (-635 |#1|)) 17) (((-635 |#1|) $) 18) (((-852) $) 21 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) 14 (|has| $ (-6 -4571))))) 
-(((-241 |#1|) (-13 (-659 |#1|) (-10 -8 (-15 -3956 ($ (-635 |#1|))) (-15 -3956 ((-635 |#1|) $)) (-15 -2712 ($ (-635 |#1|))) (-15 -2503 ($ $ "unique")) (-15 -2503 ($ $ "sort")) (-15 -2503 ((-765) $ "count")))) (-844)) (T -241)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-241 *3)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-241 *3)) (-4 *3 (-844)))) (-2712 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-241 *3)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-241 *3)) (-4 *3 (-844)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-241 *3)) (-4 *3 (-844)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-765)) (-5 *1 (-241 *4)) (-4 *4 (-844))))) 
-(-13 (-659 |#1|) (-10 -8 (-15 -3956 ($ (-635 |#1|))) (-15 -3956 ((-635 |#1|) $)) (-15 -2712 ($ (-635 |#1|))) (-15 -2503 ($ $ "unique")) (-15 -2503 ($ $ "sort")) (-15 -2503 ((-765) $ "count")))) 
-((-2941 (((-3 (-765) "failed") |#1| |#1| (-765)) 26))) 
-(((-242 |#1|) (-10 -7 (-15 -2941 ((-3 (-765) "failed") |#1| |#1| (-765)))) (-13 (-718) (-371) (-10 -7 (-15 ** (|#1| |#1| (-569)))))) (T -242)) 
-((-2941 (*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-765)) (-4 *3 (-13 (-718) (-371) (-10 -7 (-15 ** (*3 *3 (-569)))))) (-5 *1 (-242 *3))))) 
-(-10 -7 (-15 -2941 ((-3 (-765) "failed") |#1| |#1| (-765)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-854 |#1|)) $) NIL)) (-3132 (((-1161 $) $ (-854 |#1|)) NIL) (((-1161 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-854 |#1|))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-854 |#1|) "failed") $) NIL)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-854 |#1|) $) NIL)) (-3673 (($ $ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-4474 (($ $ (-635 (-569))) NIL)) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| (-233 (-2946 |#1|) (-765)) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#2|) (-854 |#1|)) NIL) (($ (-1161 $) (-854 |#1|)) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#2| (-233 (-2946 |#1|) (-765))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-854 |#1|)) NIL)) (-4294 (((-233 (-2946 |#1|) (-765)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 (-233 (-2946 |#1|) (-765)) (-233 (-2946 |#1|) (-765))) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3407 (((-3 (-854 |#1|) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-854 |#1|)) (|:| -3190 (-765))) "failed") $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-854 |#1|) |#2|) NIL) (($ $ (-635 (-854 |#1|)) (-635 |#2|)) NIL) (($ $ (-854 |#1|) $) NIL) (($ $ (-635 (-854 |#1|)) (-635 $)) NIL)) (-2925 (($ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2284 (((-233 (-2946 |#1|) (-765)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-854 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-854 |#1|)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-233 (-2946 |#1|) (-765))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-243 |#1| |#2|) (-13 (-952 |#2| (-233 (-2946 |#1|) (-765)) (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) (-635 (-1165)) (-1049)) (T -243)) 
-((-4474 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-243 *3 *4)) (-14 *3 (-635 (-1165))) (-4 *4 (-1049))))) 
-(-13 (-952 |#2| (-233 (-2946 |#1|) (-765)) (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4148 (($ (-919)) NIL (|has| |#4| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) NIL (|has| |#4| (-790)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#4| (-371)))) (-3817 (((-569) $) NIL (|has| |#4| (-842)))) (-2511 ((|#4| $ (-569) |#4|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#4| "failed") $) NIL (|has| |#4| (-1093))) (((-3 (-569) "failed") $) NIL (-12 (|has| |#4| (-1039 (-569))) (|has| |#4| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#4| (-1039 (-410 (-569)))) (|has| |#4| (-1093))))) (-1321 ((|#4| $) NIL (|has| |#4| (-1093))) (((-569) $) NIL (-12 (|has| |#4| (-1039 (-569))) (|has| |#4| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#4| (-1039 (-410 (-569)))) (|has| |#4| (-1093))))) (-3435 (((-2 (|:| -4463 (-681 |#4|)) (|:| |vec| (-1253 |#4|))) (-681 $) (-1253 $)) NIL (|has| |#4| (-1049))) (((-681 |#4|) (-681 $)) NIL (|has| |#4| (-1049))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))))) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))))) (-3341 (($) NIL (|has| |#4| (-371)))) (-3982 ((|#4| $ (-569) |#4|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#4| $ (-569)) NIL)) (-1863 (((-121) $) NIL (|has| |#4| (-842)))) (-4303 (((-635 |#4|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))))) (-4311 (((-121) $) NIL (|has| |#4| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-4457 (((-635 |#4|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-2089 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#4| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#4| (-371)))) (-1912 (((-1111) $) NIL)) (-1816 ((|#4| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#4|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-4283 (((-635 |#4|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#4| $ (-569) |#4|) NIL) ((|#4| $ (-569)) 12)) (-4510 ((|#4| $ $) NIL (|has| |#4| (-1049)))) (-3161 (($ (-1253 |#4|)) NIL)) (-2174 (((-140)) NIL (|has| |#4| (-366)))) (-3289 (($ $ (-1 |#4| |#4|) (-765)) NIL (|has| |#4| (-1049))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1049)))) (($ $) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))))) (-2691 (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571))) (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#4|) $) NIL) (((-852) $) NIL) (($ |#4|) NIL (|has| |#4| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#4| (-1039 (-569))) (|has| |#4| (-1093))) (|has| |#4| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#4| (-1039 (-410 (-569)))) (|has| |#4| (-1093))))) (-2320 (((-765)) NIL (|has| |#4| (-1049)))) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#4| (-842)))) (-3403 (($ $ (-765)) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) CONST)) (-3712 (($ $ (-1 |#4| |#4|) (-765)) NIL (|has| |#4| (-1049))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1049)))) (($ $) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-1337 (((-121) $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-1383 (($ $ |#4|) NIL (|has| |#4| (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))))) (* (($ |#2| $) 14) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL) (($ |#3| $) 18) (($ $ |#4|) NIL (|has| |#4| (-1049))) (($ |#4| $) NIL (|has| |#4| (-1049))) (($ $ $) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-244 |#1| |#2| |#3| |#4|) (-13 (-231 |#1| |#4|) (-638 |#2|) (-638 |#3|)) (-919) (-1049) (-1114 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-638 |#2|)) (T -244)) 
-NIL 
-(-13 (-231 |#1| |#4|) (-638 |#2|) (-638 |#3|)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4148 (($ (-919)) NIL (|has| |#3| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) NIL (|has| |#3| (-790)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#3| (-371)))) (-3817 (((-569) $) NIL (|has| |#3| (-842)))) (-2511 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#3| "failed") $) NIL (|has| |#3| (-1093))) (((-3 (-569) "failed") $) NIL (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093))))) (-1321 ((|#3| $) NIL (|has| |#3| (-1093))) (((-569) $) NIL (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093))))) (-3435 (((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 $) (-1253 $)) NIL (|has| |#3| (-1049))) (((-681 |#3|) (-681 $)) NIL (|has| |#3| (-1049))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))))) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))))) (-3341 (($) NIL (|has| |#3| (-371)))) (-3982 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#3| $ (-569)) NIL)) (-1863 (((-121) $) NIL (|has| |#3| (-842)))) (-4303 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))))) (-4311 (((-121) $) NIL (|has| |#3| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-4457 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-2089 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#3| |#3|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#3| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#3| (-371)))) (-1912 (((-1111) $) NIL)) (-1816 ((|#3| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#3|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-4283 (((-635 |#3|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#3| $ (-569) |#3|) NIL) ((|#3| $ (-569)) 11)) (-4510 ((|#3| $ $) NIL (|has| |#3| (-1049)))) (-3161 (($ (-1253 |#3|)) NIL)) (-2174 (((-140)) NIL (|has| |#3| (-366)))) (-3289 (($ $ (-1 |#3| |#3|) (-765)) NIL (|has| |#3| (-1049))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))))) (-2691 (((-765) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571))) (((-765) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#3|) $) NIL) (((-852) $) NIL) (($ |#3|) NIL (|has| |#3| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093))) (|has| |#3| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093))))) (-2320 (((-765)) NIL (|has| |#3| (-1049)))) (-3776 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#3| (-842)))) (-3403 (($ $ (-765)) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) CONST)) (-3712 (($ $ (-1 |#3| |#3|) (-765)) NIL (|has| |#3| (-1049))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1337 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1383 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))))) (* (($ |#2| $) 13) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL) (($ $ |#3|) NIL (|has| |#3| (-1049))) (($ |#3| $) NIL (|has| |#3| (-1049))) (($ $ $) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-245 |#1| |#2| |#3|) (-13 (-231 |#1| |#3|) (-638 |#2|)) (-765) (-1049) (-638 |#2|)) (T -245)) 
-NIL 
-(-13 (-231 |#1| |#3|) (-638 |#2|)) 
-((-3590 (((-635 (-765)) $) 47) (((-635 (-765)) $ |#3|) 50)) (-2402 (((-765) $) 49) (((-765) $ |#3|) 52)) (-2918 (($ $) 65)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 |#3| "failed") $) 72)) (-4433 (((-765) $ |#3|) 39) (((-765) $) 36)) (-4428 (((-1 $ (-765)) |#3|) 15) (((-1 $ (-765)) $) 77)) (-2934 ((|#4| $) 58)) (-4344 (((-121) $) 56)) (-2690 (($ $) 64)) (-1484 (($ $ (-635 (-289 $))) 96) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-635 |#4|) (-635 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-635 |#4|) (-635 $)) NIL) (($ $ |#3| $) NIL) (($ $ (-635 |#3|) (-635 $)) 89) (($ $ |#3| |#2|) NIL) (($ $ (-635 |#3|) (-635 |#2|)) 84)) (-3289 (($ $ |#4|) NIL) (($ $ (-635 |#4|)) NIL) (($ $ |#4| (-765)) NIL) (($ $ (-635 |#4|) (-635 (-765))) NIL) (($ $) NIL) (($ $ (-765)) NIL) (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 32)) (-3445 (((-635 |#3|) $) 75)) (-2284 ((|#5| $) NIL) (((-765) $ |#4|) NIL) (((-635 (-765)) $ (-635 |#4|)) NIL) (((-765) $ |#3|) 44)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (($ |#3|) 67) (($ (-410 (-569))) NIL) (($ $) NIL))) 
-(((-246 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1484 (|#1| |#1| (-635 |#3|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#3| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#3|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#3| |#1|)) (-15 -4428 ((-1 |#1| (-765)) |#1|)) (-15 -2918 (|#1| |#1|)) (-15 -2690 (|#1| |#1|)) (-15 -2934 (|#4| |#1|)) (-15 -4344 ((-121) |#1|)) (-15 -2402 ((-765) |#1| |#3|)) (-15 -3590 ((-635 (-765)) |#1| |#3|)) (-15 -2402 ((-765) |#1|)) (-15 -3590 ((-635 (-765)) |#1|)) (-15 -2284 ((-765) |#1| |#3|)) (-15 -4433 ((-765) |#1|)) (-15 -4433 ((-765) |#1| |#3|)) (-15 -3445 ((-635 |#3|) |#1|)) (-15 -4428 ((-1 |#1| (-765)) |#3|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -3956 (|#1| |#3|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -2284 ((-635 (-765)) |#1| (-635 |#4|))) (-15 -2284 ((-765) |#1| |#4|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -3956 (|#1| |#4|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#4| |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#4| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2284 (|#5| |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3289 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3289 (|#1| |#1| |#4| (-765))) (-15 -3289 (|#1| |#1| (-635 |#4|))) (-15 -3289 (|#1| |#1| |#4|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-247 |#2| |#3| |#4| |#5|) (-1049) (-844) (-263 |#3|) (-790)) (T -246)) 
-NIL 
-(-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1484 (|#1| |#1| (-635 |#3|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#3| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#3|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#3| |#1|)) (-15 -4428 ((-1 |#1| (-765)) |#1|)) (-15 -2918 (|#1| |#1|)) (-15 -2690 (|#1| |#1|)) (-15 -2934 (|#4| |#1|)) (-15 -4344 ((-121) |#1|)) (-15 -2402 ((-765) |#1| |#3|)) (-15 -3590 ((-635 (-765)) |#1| |#3|)) (-15 -2402 ((-765) |#1|)) (-15 -3590 ((-635 (-765)) |#1|)) (-15 -2284 ((-765) |#1| |#3|)) (-15 -4433 ((-765) |#1|)) (-15 -4433 ((-765) |#1| |#3|)) (-15 -3445 ((-635 |#3|) |#1|)) (-15 -4428 ((-1 |#1| (-765)) |#3|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -3956 (|#1| |#3|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -2284 ((-635 (-765)) |#1| (-635 |#4|))) (-15 -2284 ((-765) |#1| |#4|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -3956 (|#1| |#4|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#4| |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#4| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2284 (|#5| |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3289 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3289 (|#1| |#1| |#4| (-765))) (-15 -3289 (|#1| |#1| (-635 |#4|))) (-15 -3289 (|#1| |#1| |#4|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3590 (((-635 (-765)) $) 193) (((-635 (-765)) $ |#2|) 191)) (-2402 (((-765) $) 192) (((-765) $ |#2|) 190)) (-3195 (((-635 |#3|) $) 108)) (-3132 (((-1161 $) $ |#3|) 123) (((-1161 |#1|) $) 122)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-2915 (($ $) 86 (|has| |#1| (-559)))) (-2735 (((-121) $) 88 (|has| |#1| (-559)))) (-1290 (((-765) $) 110) (((-765) $ (-635 |#3|)) 109)) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 98 (|has| |#1| (-906)))) (-2710 (($ $) 96 (|has| |#1| (-454)))) (-3742 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 101 (|has| |#1| (-906)))) (-2918 (($ $) 186)) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1039 (-569)))) (((-3 |#3| "failed") $) 134) (((-3 |#2| "failed") $) 200)) (-1321 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1039 (-569)))) ((|#3| $) 133) ((|#2| $) 199)) (-3673 (($ $ $ |#3|) 106 (|has| |#1| (-173)))) (-3373 (($ $) 152)) (-3435 (((-681 (-569)) (-681 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 130) (((-681 |#1|) (-681 $)) 129)) (-2611 (((-3 $ "failed") $) 33)) (-2540 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-3367 (((-635 $) $) 107)) (-2005 (((-121) $) 94 (|has| |#1| (-906)))) (-2916 (($ $ |#1| |#4| $) 170)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 82 (-12 (|has| |#3| (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 81 (-12 (|has| |#3| (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ |#2|) 196) (((-765) $) 195)) (-3934 (((-121) $) 30)) (-4118 (((-765) $) 167)) (-3187 (($ (-1161 |#1|) |#3|) 115) (($ (-1161 $) |#3|) 114)) (-2905 (((-635 $) $) 124)) (-3052 (((-121) $) 150)) (-3179 (($ |#1| |#4|) 151) (($ $ |#3| (-765)) 117) (($ $ (-635 |#3|) (-635 (-765))) 116)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#3|) 118)) (-4294 ((|#4| $) 168) (((-765) $ |#3|) 120) (((-635 (-765)) $ (-635 |#3|)) 119)) (-2157 (($ $ $) 77 (|has| |#1| (-844)))) (-2713 (($ $ $) 76 (|has| |#1| (-844)))) (-1541 (($ (-1 |#4| |#4|) $) 169)) (-4188 (($ (-1 |#1| |#1|) $) 149)) (-4428 (((-1 $ (-765)) |#2|) 198) (((-1 $ (-765)) $) 185 (|has| |#1| (-226)))) (-3407 (((-3 |#3| "failed") $) 121)) (-3263 (($ $) 147)) (-3270 ((|#1| $) 146)) (-2934 ((|#3| $) 188)) (-1657 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2605 (((-1147) $) 9)) (-4344 (((-121) $) 189)) (-2617 (((-3 (-635 $) "failed") $) 112)) (-2085 (((-3 (-635 $) "failed") $) 113)) (-2601 (((-3 (-2 (|:| |var| |#3|) (|:| -3190 (-765))) "failed") $) 111)) (-2690 (($ $) 187)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 164)) (-3256 ((|#1| $) 165)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 93 (|has| |#1| (-454)))) (-3964 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 100 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 99 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 97 (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136) (($ $ |#2| $) 184 (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 $)) 183 (|has| |#1| (-226))) (($ $ |#2| |#1|) 182 (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 |#1|)) 181 (|has| |#1| (-226)))) (-2925 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3289 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-765)) 39) (($ $ (-635 |#3|) (-635 (-765))) 38) (($ $) 217 (|has| |#1| (-226))) (($ $ (-765)) 215 (|has| |#1| (-226))) (($ $ (-1165)) 213 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 212 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 211 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 210 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 203) (($ $ (-1 |#1| |#1|)) 202)) (-3445 (((-635 |#2|) $) 197)) (-2284 ((|#4| $) 148) (((-765) $ |#3|) 128) (((-635 (-765)) $ (-635 |#3|)) 127) (((-765) $ |#2|) 194)) (-4035 (((-889 (-382)) $) 80 (-12 (|has| |#3| (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) 79 (-12 (|has| |#3| (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 102 (-3993 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ |#2|) 201) (($ (-410 (-569))) 70 (-1929 (|has| |#1| (-1039 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) 166)) (-3802 ((|#1| $ |#4|) 153) (($ $ |#3| (-765)) 126) (($ $ (-635 |#3|) (-635 (-765))) 125)) (-2277 (((-3 $ "failed") $) 71 (-1929 (-3993 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 28)) (-2587 (($ $ $ (-765)) 171 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 87 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-765)) 35) (($ $ (-635 |#3|) (-635 (-765))) 34) (($ $) 216 (|has| |#1| (-226))) (($ $ (-765)) 214 (|has| |#1| (-226))) (($ $ (-1165)) 209 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 208 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 207 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 206 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 205) (($ $ (-1 |#1| |#1|)) 204)) (-1355 (((-121) $ $) 74 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 73 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 72 (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-247 |#1| |#2| |#3| |#4|) (-1284) (-1049) (-844) (-263 |t#2|) (-790)) (T -247)) 
-((-4428 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-1 *1 (-765))) (-4 *1 (-247 *4 *3 *5 *6)))) (-3445 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-635 *4)))) (-4433 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-765)))) (-2284 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) (-3590 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-635 (-765))))) (-2402 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-765)))) (-3590 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-635 (-765))))) (-2402 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) (-4344 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-121)))) (-2934 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-4 *2 (-263 *4)))) (-2690 (*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-263 *3)) (-4 *5 (-790)))) (-2918 (*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-263 *3)) (-4 *5 (-790)))) (-4428 (*1 *2 *1) (-12 (-4 *3 (-226)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-1 *1 (-765))) (-4 *1 (-247 *3 *4 *5 *6))))) 
-(-13 (-952 |t#1| |t#4| |t#3|) (-224 |t#1|) (-1039 |t#2|) (-10 -8 (-15 -4428 ((-1 $ (-765)) |t#2|)) (-15 -3445 ((-635 |t#2|) $)) (-15 -4433 ((-765) $ |t#2|)) (-15 -4433 ((-765) $)) (-15 -2284 ((-765) $ |t#2|)) (-15 -3590 ((-635 (-765)) $)) (-15 -2402 ((-765) $)) (-15 -3590 ((-635 (-765)) $ |t#2|)) (-15 -2402 ((-765) $ |t#2|)) (-15 -4344 ((-121) $)) (-15 -2934 (|t#3| $)) (-15 -2690 ($ $)) (-15 -2918 ($ $)) (IF (|has| |t#1| (-226)) (PROGN (-6 (-524 |t#2| |t#1|)) (-6 (-524 |t#2| $)) (-6 (-304 $)) (-15 -4428 ((-1 $ (-765)) $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#4|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#3| (-610 (-889 (-382))))) ((-610 (-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#3| (-610 (-889 (-569))))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-286) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#4|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-906)) (|has| |#1| (-454))) ((-524 |#2| |#1|) |has| |#1| (-226)) ((-524 |#2| $) |has| |#1| (-226)) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-897 |#3|) . T) ((-883 (-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#3| (-883 (-382)))) ((-883 (-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#3| (-883 (-569)))) ((-952 |#1| |#4| |#3|) . T) ((-906) |has| |#1| (-906)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1039 |#2|) . T) ((-1039 |#3|) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) |has| |#1| (-906))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2518 ((|#1| $) 51)) (-1941 ((|#1| $) 41)) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-4063 (($ $) 57)) (-2887 (($ $) 45)) (-2692 ((|#1| |#1| $) 43)) (-3651 ((|#1| $) 42)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2718 (((-765) $) 58)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-3354 ((|#1| |#1| $) 49)) (-3475 ((|#1| |#1| $) 48)) (-2351 (($ |#1| $) 37)) (-1468 (((-765) $) 52)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1678 ((|#1| $) 59)) (-1705 ((|#1| $) 47)) (-4139 ((|#1| $) 46)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3381 ((|#1| |#1| $) 55)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-4458 ((|#1| $) 56)) (-4164 (($) 54) (($ (-635 |#1|)) 53)) (-2676 (((-765) $) 40)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3926 ((|#1| $) 50)) (-1753 (($ (-635 |#1|)) 39)) (-3063 ((|#1| $) 60)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-248 |#1|) (-1284) (-1199)) (T -248)) 
-((-4164 (*1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-4164 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-248 *3)))) (-1468 (*1 *2 *1) (-12 (-4 *1 (-248 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) (-2518 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-3926 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-3354 (*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-3475 (*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-1705 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-4139 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-2887 (*1 *1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
-(-13 (-1112 |t#1|) (-997 |t#1|) (-10 -8 (-15 -4164 ($)) (-15 -4164 ($ (-635 |t#1|))) (-15 -1468 ((-765) $)) (-15 -2518 (|t#1| $)) (-15 -3926 (|t#1| $)) (-15 -3354 (|t#1| |t#1| $)) (-15 -3475 (|t#1| |t#1| $)) (-15 -1705 (|t#1| $)) (-15 -4139 (|t#1| $)) (-15 -2887 ($ $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-997 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1112 |#1|) . T) ((-1199) . T)) 
-((-2814 (((-1 (-946 (-216)) (-216) (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))) 139)) (-3542 (((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382))) 160) (((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 158) (((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382))) 163) (((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 159) (((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382))) 150) (((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 149) (((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382))) 129) (((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257))) 127) (((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382))) 128) (((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257))) 125)) (-3536 (((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382))) 162) (((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 161) (((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382))) 165) (((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 164) (((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382))) 152) (((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 151) (((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382))) 135) (((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257))) 134) (((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382))) 133) (((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257))) 132) (((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382))) 99) (((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257))) 98) (((-1254) (-1 (-216) (-216)) (-1087 (-382))) 95) (((-1254) (-1 (-216) (-216)) (-1087 (-382)) (-635 (-257))) 94))) 
-(((-249) (-10 -7 (-15 -3536 ((-1254) (-1 (-216) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-1 (-216) (-216)) (-1087 (-382)))) (-15 -3536 ((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3536 ((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3536 ((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)))) (-15 -2814 ((-1 (-946 (-216)) (-216) (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216)))))) (T -249)) 
-((-2814 (*1 *2 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216) (-216))) (-5 *3 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-875 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1254)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1254)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-249))))) 
-(-10 -7 (-15 -3536 ((-1254) (-1 (-216) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-1 (-216) (-216)) (-1087 (-382)))) (-15 -3536 ((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3536 ((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3536 ((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)))) (-15 -2814 ((-1 (-946 (-216)) (-216) (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))))) 
-((-3536 (((-1254) (-289 |#2|) (-1165) (-1165) (-635 (-257))) 93))) 
-(((-250 |#1| |#2|) (-10 -7 (-15 -3536 ((-1254) (-289 |#2|) (-1165) (-1165) (-635 (-257))))) (-13 (-559) (-844) (-1039 (-569))) (-433 |#1|)) (T -250)) 
-((-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-1165)) (-5 *5 (-635 (-257))) (-4 *7 (-433 *6)) (-4 *6 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-1254)) (-5 *1 (-250 *6 *7))))) 
-(-10 -7 (-15 -3536 ((-1254) (-289 |#2|) (-1165) (-1165) (-635 (-257))))) 
-((-4330 (((-569) (-569)) 50)) (-2267 (((-569) (-569)) 51)) (-4387 (((-216) (-216)) 52)) (-4130 (((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216))) 49)) (-1562 (((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216)) (-121)) 47))) 
-(((-251) (-10 -7 (-15 -1562 ((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216)) (-121))) (-15 -4130 ((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216)))) (-15 -4330 ((-569) (-569))) (-15 -2267 ((-569) (-569))) (-15 -4387 ((-216) (-216))))) (T -251)) 
-((-4387 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-251)))) (-2267 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251)))) (-4330 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251)))) (-4130 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1087 (-216))) (-5 *2 (-1255)) (-5 *1 (-251)))) (-1562 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1087 (-216))) (-5 *5 (-121)) (-5 *2 (-1255)) (-5 *1 (-251))))) 
-(-10 -7 (-15 -1562 ((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216)) (-121))) (-15 -4130 ((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216)))) (-15 -4330 ((-569) (-569))) (-15 -2267 ((-569) (-569))) (-15 -4387 ((-216) (-216)))) 
-((-3956 (((-1085 (-382)) (-1085 (-311 |#1|))) 16))) 
-(((-252 |#1|) (-10 -7 (-15 -3956 ((-1085 (-382)) (-1085 (-311 |#1|))))) (-13 (-844) (-559) (-610 (-382)))) (T -252)) 
-((-3956 (*1 *2 *3) (-12 (-5 *3 (-1085 (-311 *4))) (-4 *4 (-13 (-844) (-559) (-610 (-382)))) (-5 *2 (-1085 (-382))) (-5 *1 (-252 *4))))) 
-(-10 -7 (-15 -3956 ((-1085 (-382)) (-1085 (-311 |#1|))))) 
-((-3542 (((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382))) 69) (((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 68) (((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382))) 59) (((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 58) (((-1124 (-216)) (-877 |#1|) (-1085 (-382))) 50) (((-1124 (-216)) (-877 |#1|) (-1085 (-382)) (-635 (-257))) 49)) (-3536 (((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382))) 72) (((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 71) (((-1255) |#1| (-1085 (-382)) (-1085 (-382))) 62) (((-1255) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 61) (((-1255) (-877 |#1|) (-1085 (-382))) 54) (((-1255) (-877 |#1|) (-1085 (-382)) (-635 (-257))) 53) (((-1254) (-875 |#1|) (-1085 (-382))) 41) (((-1254) (-875 |#1|) (-1085 (-382)) (-635 (-257))) 40) (((-1254) |#1| (-1085 (-382))) 33) (((-1254) |#1| (-1085 (-382)) (-635 (-257))) 32))) 
-(((-253 |#1|) (-10 -7 (-15 -3536 ((-1254) |#1| (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) |#1| (-1085 (-382)))) (-15 -3536 ((-1254) (-875 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-875 |#1|) (-1085 (-382)))) (-15 -3536 ((-1255) (-877 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-877 |#1|) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) (-877 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-877 |#1|) (-1085 (-382)))) (-15 -3536 ((-1255) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) |#1| (-1085 (-382)) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382)))) (-15 -3536 ((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382))))) (-13 (-610 (-542)) (-1093))) (T -253)) 
-((-3542 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *5)))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *6)))) (-3536 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *5)))) (-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *6)))) (-3542 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) (-3536 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1255)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) (-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) (-3542 (*1 *2 *3 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *5)))) (-3542 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *6)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *5)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *6)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-875 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1254)) (-5 *1 (-253 *5)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1254)) (-5 *1 (-253 *6)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1254)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093)))))) 
-(-10 -7 (-15 -3536 ((-1254) |#1| (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) |#1| (-1085 (-382)))) (-15 -3536 ((-1254) (-875 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-875 |#1|) (-1085 (-382)))) (-15 -3536 ((-1255) (-877 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-877 |#1|) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) (-877 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-877 |#1|) (-1085 (-382)))) (-15 -3536 ((-1255) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) |#1| (-1085 (-382)) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382)))) (-15 -3536 ((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382))))) 
-((-3536 (((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257))) 21) (((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216))) 22) (((-1254) (-635 (-946 (-216))) (-635 (-257))) 13) (((-1254) (-635 (-946 (-216)))) 14) (((-1254) (-635 (-216)) (-635 (-216)) (-635 (-257))) 18) (((-1254) (-635 (-216)) (-635 (-216))) 19))) 
-(((-254) (-10 -7 (-15 -3536 ((-1254) (-635 (-216)) (-635 (-216)))) (-15 -3536 ((-1254) (-635 (-216)) (-635 (-216)) (-635 (-257)))) (-15 -3536 ((-1254) (-635 (-946 (-216))))) (-15 -3536 ((-1254) (-635 (-946 (-216))) (-635 (-257)))) (-15 -3536 ((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216)))) (-15 -3536 ((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257)))))) (T -254)) 
-((-3536 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-254)))) (-3536 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1255)) (-5 *1 (-254)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-254)))) (-3536 (*1 *2 *3) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *2 (-1254)) (-5 *1 (-254)))) (-3536 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-254)))) (-3536 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1254)) (-5 *1 (-254))))) 
-(-10 -7 (-15 -3536 ((-1254) (-635 (-216)) (-635 (-216)))) (-15 -3536 ((-1254) (-635 (-216)) (-635 (-216)) (-635 (-257)))) (-15 -3536 ((-1254) (-635 (-946 (-216))))) (-15 -3536 ((-1254) (-635 (-946 (-216))) (-635 (-257)))) (-15 -3536 ((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216)))) (-15 -3536 ((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257))))) 
-((-3818 (((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 24)) (-1296 (((-919) (-635 (-257)) (-919)) 49)) (-3814 (((-919) (-635 (-257)) (-919)) 48)) (-2175 (((-635 (-382)) (-635 (-257)) (-635 (-382))) 65)) (-3189 (((-382) (-635 (-257)) (-382)) 55)) (-3809 (((-919) (-635 (-257)) (-919)) 50)) (-4248 (((-121) (-635 (-257)) (-121)) 26)) (-3301 (((-1147) (-635 (-257)) (-1147)) 19)) (-3260 (((-1147) (-635 (-257)) (-1147)) 25)) (-3704 (((-1124 (-216)) (-635 (-257))) 43)) (-4335 (((-635 (-1087 (-382))) (-635 (-257)) (-635 (-1087 (-382)))) 37)) (-2727 (((-871) (-635 (-257)) (-871)) 31)) (-2181 (((-871) (-635 (-257)) (-871)) 32)) (-1897 (((-1 (-946 (-216)) (-946 (-216))) (-635 (-257)) (-1 (-946 (-216)) (-946 (-216)))) 60)) (-2996 (((-121) (-635 (-257)) (-121)) 15)) (-1893 (((-121) (-635 (-257)) (-121)) 14))) 
-(((-255) (-10 -7 (-15 -1893 ((-121) (-635 (-257)) (-121))) (-15 -2996 ((-121) (-635 (-257)) (-121))) (-15 -3818 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3301 ((-1147) (-635 (-257)) (-1147))) (-15 -3260 ((-1147) (-635 (-257)) (-1147))) (-15 -4248 ((-121) (-635 (-257)) (-121))) (-15 -2727 ((-871) (-635 (-257)) (-871))) (-15 -2181 ((-871) (-635 (-257)) (-871))) (-15 -4335 ((-635 (-1087 (-382))) (-635 (-257)) (-635 (-1087 (-382))))) (-15 -3814 ((-919) (-635 (-257)) (-919))) (-15 -1296 ((-919) (-635 (-257)) (-919))) (-15 -3704 ((-1124 (-216)) (-635 (-257)))) (-15 -3809 ((-919) (-635 (-257)) (-919))) (-15 -3189 ((-382) (-635 (-257)) (-382))) (-15 -1897 ((-1 (-946 (-216)) (-946 (-216))) (-635 (-257)) (-1 (-946 (-216)) (-946 (-216))))) (-15 -2175 ((-635 (-382)) (-635 (-257)) (-635 (-382)))))) (T -255)) 
-((-2175 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-382))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1897 (*1 *2 *3 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3189 (*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3809 (*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3704 (*1 *2 *3) (-12 (-5 *3 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-255)))) (-1296 (*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3814 (*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-4335 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2181 (*1 *2 *3 *2) (-12 (-5 *2 (-871)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2727 (*1 *2 *3 *2) (-12 (-5 *2 (-871)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-4248 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3260 (*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3301 (*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3818 (*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2996 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1893 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
-(-10 -7 (-15 -1893 ((-121) (-635 (-257)) (-121))) (-15 -2996 ((-121) (-635 (-257)) (-121))) (-15 -3818 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3301 ((-1147) (-635 (-257)) (-1147))) (-15 -3260 ((-1147) (-635 (-257)) (-1147))) (-15 -4248 ((-121) (-635 (-257)) (-121))) (-15 -2727 ((-871) (-635 (-257)) (-871))) (-15 -2181 ((-871) (-635 (-257)) (-871))) (-15 -4335 ((-635 (-1087 (-382))) (-635 (-257)) (-635 (-1087 (-382))))) (-15 -3814 ((-919) (-635 (-257)) (-919))) (-15 -1296 ((-919) (-635 (-257)) (-919))) (-15 -3704 ((-1124 (-216)) (-635 (-257)))) (-15 -3809 ((-919) (-635 (-257)) (-919))) (-15 -3189 ((-382) (-635 (-257)) (-382))) (-15 -1897 ((-1 (-946 (-216)) (-946 (-216))) (-635 (-257)) (-1 (-946 (-216)) (-946 (-216))))) (-15 -2175 ((-635 (-382)) (-635 (-257)) (-635 (-382))))) 
-((-2365 (((-3 |#1| "failed") (-635 (-257)) (-1165)) 17))) 
-(((-256 |#1|) (-10 -7 (-15 -2365 ((-3 |#1| "failed") (-635 (-257)) (-1165)))) (-1199)) (T -256)) 
-((-2365 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *1 (-256 *2)) (-4 *2 (-1199))))) 
-(-10 -7 (-15 -2365 ((-3 |#1| "failed") (-635 (-257)) (-1165)))) 
-((-1310 (((-121) $ $) NIL)) (-3818 (($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 14)) (-1296 (($ (-919)) 70)) (-3814 (($ (-919)) 69)) (-3667 (($ (-635 (-382))) 76)) (-3189 (($ (-382)) 55)) (-3809 (($ (-919)) 71)) (-4248 (($ (-121)) 22)) (-3301 (($ (-1147)) 17)) (-3260 (($ (-1147)) 18)) (-3704 (($ (-1124 (-216))) 65)) (-4335 (($ (-635 (-1087 (-382)))) 61)) (-1848 (($ (-635 (-1087 (-382)))) 56) (($ (-635 (-1087 (-410 (-569))))) 60)) (-1475 (($ (-382)) 28) (($ (-871)) 32)) (-3669 (((-121) (-635 $) (-1165)) 85)) (-2365 (((-3 (-57) "failed") (-635 $) (-1165)) 87)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2380 (($ (-382)) 33) (($ (-871)) 34)) (-3672 (($ (-1 (-946 (-216)) (-946 (-216)))) 54)) (-1897 (($ (-1 (-946 (-216)) (-946 (-216)))) 72)) (-2043 (($ (-1 (-216) (-216))) 38) (($ (-1 (-216) (-216) (-216))) 42) (($ (-1 (-216) (-216) (-216) (-216))) 46)) (-3956 (((-852) $) 81)) (-4263 (($ (-121)) 23) (($ (-635 (-1087 (-382)))) 50)) (-1893 (($ (-121)) 24)) (-1326 (((-121) $ $) 83))) 
-(((-257) (-13 (-1093) (-10 -8 (-15 -1893 ($ (-121))) (-15 -4263 ($ (-121))) (-15 -3818 ($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3301 ($ (-1147))) (-15 -3260 ($ (-1147))) (-15 -4248 ($ (-121))) (-15 -4263 ($ (-635 (-1087 (-382))))) (-15 -3672 ($ (-1 (-946 (-216)) (-946 (-216))))) (-15 -1475 ($ (-382))) (-15 -1475 ($ (-871))) (-15 -2380 ($ (-382))) (-15 -2380 ($ (-871))) (-15 -2043 ($ (-1 (-216) (-216)))) (-15 -2043 ($ (-1 (-216) (-216) (-216)))) (-15 -2043 ($ (-1 (-216) (-216) (-216) (-216)))) (-15 -3189 ($ (-382))) (-15 -1848 ($ (-635 (-1087 (-382))))) (-15 -1848 ($ (-635 (-1087 (-410 (-569)))))) (-15 -4335 ($ (-635 (-1087 (-382))))) (-15 -3704 ($ (-1124 (-216)))) (-15 -3814 ($ (-919))) (-15 -1296 ($ (-919))) (-15 -3809 ($ (-919))) (-15 -1897 ($ (-1 (-946 (-216)) (-946 (-216))))) (-15 -3667 ($ (-635 (-382)))) (-15 -2365 ((-3 (-57) "failed") (-635 $) (-1165))) (-15 -3669 ((-121) (-635 $) (-1165)))))) (T -257)) 
-((-1893 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-4263 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-3818 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-257)))) (-3301 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-257)))) (-3260 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-257)))) (-4248 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-4263 (*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257)))) (-3672 (*1 *1 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *1 (-257)))) (-1475 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-1475 (*1 *1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-257)))) (-2380 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-2380 (*1 *1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-257)))) (-2043 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-257)))) (-2043 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-257)))) (-2043 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-257)))) (-3189 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-1848 (*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257)))) (-1848 (*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-410 (-569))))) (-5 *1 (-257)))) (-4335 (*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257)))) (-3704 (*1 *1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-257)))) (-3814 (*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257)))) (-1296 (*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257)))) (-3809 (*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257)))) (-1897 (*1 *1 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *1 (-257)))) (-3667 (*1 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-257)))) (-2365 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *2 (-57)) (-5 *1 (-257)))) (-3669 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *2 (-121)) (-5 *1 (-257))))) 
-(-13 (-1093) (-10 -8 (-15 -1893 ($ (-121))) (-15 -4263 ($ (-121))) (-15 -3818 ($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3301 ($ (-1147))) (-15 -3260 ($ (-1147))) (-15 -4248 ($ (-121))) (-15 -4263 ($ (-635 (-1087 (-382))))) (-15 -3672 ($ (-1 (-946 (-216)) (-946 (-216))))) (-15 -1475 ($ (-382))) (-15 -1475 ($ (-871))) (-15 -2380 ($ (-382))) (-15 -2380 ($ (-871))) (-15 -2043 ($ (-1 (-216) (-216)))) (-15 -2043 ($ (-1 (-216) (-216) (-216)))) (-15 -2043 ($ (-1 (-216) (-216) (-216) (-216)))) (-15 -3189 ($ (-382))) (-15 -1848 ($ (-635 (-1087 (-382))))) (-15 -1848 ($ (-635 (-1087 (-410 (-569)))))) (-15 -4335 ($ (-635 (-1087 (-382))))) (-15 -3704 ($ (-1124 (-216)))) (-15 -3814 ($ (-919))) (-15 -1296 ($ (-919))) (-15 -3809 ($ (-919))) (-15 -1897 ($ (-1 (-946 (-216)) (-946 (-216))))) (-15 -3667 ($ (-635 (-382)))) (-15 -2365 ((-3 (-57) "failed") (-635 $) (-1165))) (-15 -3669 ((-121) (-635 $) (-1165))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3590 (((-635 (-765)) $) NIL) (((-635 (-765)) $ |#2|) NIL)) (-2402 (((-765) $) NIL) (((-765) $ |#2|) NIL)) (-3195 (((-635 |#3|) $) NIL)) (-3132 (((-1161 $) $ |#3|) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 |#3|)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2918 (($ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 |#3| "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-1116 |#1| |#2|) "failed") $) 20)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) ((|#3| $) NIL) ((|#2| $) NIL) (((-1116 |#1| |#2|) $) NIL)) (-3673 (($ $ $ |#3|) NIL (|has| |#1| (-173)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ |#3|) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-535 |#3|) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| |#1| (-883 (-382))) (|has| |#3| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| |#1| (-883 (-569))) (|has| |#3| (-883 (-569)))))) (-4433 (((-765) $ |#2|) NIL) (((-765) $) 10)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#1|) |#3|) NIL) (($ (-1161 $) |#3|) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-535 |#3|)) NIL) (($ $ |#3| (-765)) NIL) (($ $ (-635 |#3|) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#3|) NIL)) (-4294 (((-535 |#3|) $) NIL) (((-765) $ |#3|) NIL) (((-635 (-765)) $ (-635 |#3|)) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 |#3|) (-535 |#3|)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4428 (((-1 $ (-765)) |#2|) NIL) (((-1 $ (-765)) $) NIL (|has| |#1| (-226)))) (-3407 (((-3 |#3| "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2934 ((|#3| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-4344 (((-121) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| |#3|) (|:| -3190 (-765))) "failed") $) NIL)) (-2690 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#3| |#1|) NIL) (($ $ (-635 |#3|) (-635 |#1|)) NIL) (($ $ |#3| $) NIL) (($ $ (-635 |#3|) (-635 $)) NIL) (($ $ |#2| $) NIL (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 $)) NIL (|has| |#1| (-226))) (($ $ |#2| |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2925 (($ $ |#3|) NIL (|has| |#1| (-173)))) (-3289 (($ $ |#3|) NIL) (($ $ (-635 |#3|)) NIL) (($ $ |#3| (-765)) NIL) (($ $ (-635 |#3|) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3445 (((-635 |#2|) $) NIL)) (-2284 (((-535 |#3|) $) NIL) (((-765) $ |#3|) NIL) (((-635 (-765)) $ (-635 |#3|)) NIL) (((-765) $ |#2|) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#3| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#3| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ |#3|) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) 23) (($ |#3|) 22) (($ |#2|) NIL) (($ (-1116 |#1| |#2|)) 28) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-535 |#3|)) NIL) (($ $ |#3| (-765)) NIL) (($ $ (-635 |#3|) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ |#3|) NIL) (($ $ (-635 |#3|)) NIL) (($ $ |#3| (-765)) NIL) (($ $ (-635 |#3|) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-258 |#1| |#2| |#3|) (-13 (-247 |#1| |#2| |#3| (-535 |#3|)) (-1039 (-1116 |#1| |#2|))) (-1049) (-844) (-263 |#2|)) (T -258)) 
-NIL 
-(-13 (-247 |#1| |#2| |#3| (-535 |#3|)) (-1039 (-1116 |#1| |#2|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-1838 (($ |#1| (-635 $)) 51) (($ |#1|) 50) (($ (-635 |#1|)) 49)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-259 |#1|) (-1284) (-1093)) (T -259)) 
-((-1838 (*1 *1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-259 *2)) (-4 *2 (-1093)))) (-1838 (*1 *1 *2) (-12 (-4 *1 (-259 *2)) (-4 *2 (-1093)))) (-1838 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-259 *3))))) 
-(-13 (-1012 |t#1|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -1838 ($ |t#1| (-635 $))) (-15 -1838 ($ |t#1|)) (-15 -1838 ($ (-635 |t#1|))))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 12)) (-1838 (($ |#1| (-635 $)) 31) (($ |#1|) 32) (($ (-635 |#1|)) 33)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) 35 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 34 (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 |#1|) $) 22)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1804 (((-121) (-121)) 18) (((-121)) 19)) (-3795 (((-852) $) 15)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-4487 (((-1147) $) 28)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ "value") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) 30 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 8)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 26 (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-260 |#1|) (-13 (-259 |#1|) (-10 -8 (-15 -4487 ((-1147) $)) (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) (-1093)) (T -260)) 
-((-4487 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) (-3795 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) (-1804 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) (-1804 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1093))))) 
-(-13 (-259 |#1|) (-10 -8 (-15 -4487 ((-1147) $)) (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) 
-((-2997 (((-1258) |#10| (-635 |#3|)) 133) (((-1258) |#10|) 135)) (-4184 (((-1258) |#10|) NIL)) (-2434 ((|#8| |#10|) 28)) (-4312 (((-569) (-765) (-635 |#10|)) 147)) (-1992 (((-765) (-765) (-635 |#10|)) 145)) (-4289 (((-569) |#3|) 148)) (-2196 (((-765) |#3|) 146)) (-4204 (((-1258) |#10|) 136)) (-4086 ((|#8| |#3| |#10|) 111)) (-3456 ((|#10| |#5| |#3|) 138)) (-3344 (((-635 |#10|) |#3|) 144)) (-3035 (((-1258) |#10|) 134)) (-3942 (((-635 |#9|) |#9|) 87)) (-2774 ((|#8| |#10|) 110))) 
-(((-261 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -3942 ((-635 |#9|) |#9|)) (-15 -4086 (|#8| |#3| |#10|)) (-15 -2774 (|#8| |#10|)) (-15 -3035 ((-1258) |#10|)) (-15 -3456 (|#10| |#5| |#3|)) (-15 -3344 ((-635 |#10|) |#3|)) (-15 -4204 ((-1258) |#10|)) (-15 -4184 ((-1258) |#10|)) (-15 -2997 ((-1258) |#10|)) (-15 -2997 ((-1258) |#10| (-635 |#3|))) (-15 -2196 ((-765) |#3|)) (-15 -4289 ((-569) |#3|)) (-15 -1992 ((-765) (-765) (-635 |#10|))) (-15 -2434 (|#8| |#10|)) (-15 -4312 ((-569) (-765) (-635 |#10|)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -261)) 
-((-4312 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *14)) (-4 *14 (-259 *13)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) *3)) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *12 (-236 *11)) (-5 *3 (-765)) (-5 *2 (-569)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15)))) (-2434 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) (-1992 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *13)) (-4 *13 (-259 *12)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) *2)) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-5 *2 (-765)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)))) (-4289 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2196 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) *2)) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-765)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2997 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-259 *13)))) (-2997 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-4184 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-4204 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-3344 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3456 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *4 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *3 (-973 *5)) (-4 *8 (-642 *5)) (-4 *9 (-922 *5 *8)) (-4 *10 (-236 *9)) (-4 *12 (-117)) (-4 *2 (-259 *11)) (-5 *1 (-261 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-537 *5 *6 *4 *7 *3 *8 *9 *10 *12)))) (-3035 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-2774 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) (-4086 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *8 (-973 *5)) (-4 *9 (-642 *5)) (-4 *10 (-922 *5 *9)) (-4 *11 (-537 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-259 *11)))) (-3942 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *3 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-635 *3)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-259 *3))))) 
-(-10 -7 (-15 -3942 ((-635 |#9|) |#9|)) (-15 -4086 (|#8| |#3| |#10|)) (-15 -2774 (|#8| |#10|)) (-15 -3035 ((-1258) |#10|)) (-15 -3456 (|#10| |#5| |#3|)) (-15 -3344 ((-635 |#10|) |#3|)) (-15 -4204 ((-1258) |#10|)) (-15 -4184 ((-1258) |#10|)) (-15 -2997 ((-1258) |#10|)) (-15 -2997 ((-1258) |#10| (-635 |#3|))) (-15 -2196 ((-765) |#3|)) (-15 -4289 ((-569) |#3|)) (-15 -1992 ((-765) (-765) (-635 |#10|))) (-15 -2434 (|#8| |#10|)) (-15 -4312 ((-569) (-765) (-635 |#10|)))) 
-((-2402 (((-765) $) 30)) (-3003 (((-3 |#2| "failed") $) 17)) (-1321 ((|#2| $) 27)) (-3289 (($ $) 12) (($ $ (-765)) 15)) (-3956 (((-852) $) 26) (($ |#2|) 10)) (-1326 (((-121) $ $) 20)) (-1337 (((-121) $ $) 29))) 
-(((-262 |#1| |#2|) (-10 -8 (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -2402 ((-765) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-263 |#2|) (-844)) (T -262)) 
-NIL 
-(-10 -8 (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -2402 ((-765) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2402 (((-765) $) 21)) (-1948 ((|#1| $) 22)) (-3003 (((-3 |#1| "failed") $) 26)) (-1321 ((|#1| $) 25)) (-4433 (((-765) $) 23)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-4428 (($ |#1| (-765)) 24)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3289 (($ $) 20) (($ $ (-765)) 19)) (-3956 (((-852) $) 11) (($ |#1|) 27)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17))) 
-(((-263 |#1|) (-1284) (-844)) (T -263)) 
-((-3956 (*1 *1 *2) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) (-4428 (*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-263 *2)) (-4 *2 (-844)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-844)) (-5 *2 (-765)))) (-1948 (*1 *2 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) (-2402 (*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-844)) (-5 *2 (-765)))) (-3289 (*1 *1 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-263 *3)) (-4 *3 (-844))))) 
-(-13 (-844) (-1039 |t#1|) (-10 -8 (-15 -4428 ($ |t#1| (-765))) (-15 -4433 ((-765) $)) (-15 -1948 (|t#1| $)) (-15 -2402 ((-765) $)) (-15 -3289 ($ $)) (-15 -3289 ($ $ (-765))) (-15 -3956 ($ |t#1|)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-844) . T) ((-1039 |#1|) . T) ((-1093) . T)) 
-((-3195 (((-635 (-1165)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 40)) (-3810 (((-635 (-1165)) (-311 (-216)) (-765)) 79)) (-2897 (((-3 (-311 (-216)) "failed") (-311 (-216))) 50)) (-4201 (((-311 (-216)) (-311 (-216))) 65)) (-3727 (((-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 26)) (-2179 (((-121) (-635 (-311 (-216)))) 83)) (-1479 (((-121) (-311 (-216))) 24)) (-1889 (((-635 (-1147)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) 104)) (-1919 (((-635 (-311 (-216))) (-635 (-311 (-216)))) 86)) (-2730 (((-635 (-311 (-216))) (-635 (-311 (-216)))) 85)) (-4349 (((-681 (-216)) (-635 (-311 (-216))) (-765)) 93)) (-2683 (((-121) (-311 (-216))) 20) (((-121) (-635 (-311 (-216)))) 84)) (-1672 (((-635 (-216)) (-635 (-837 (-216))) (-216)) 14)) (-1901 (((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 99)) (-2183 (((-1037) (-1165) (-1037)) 33))) 
-(((-264) (-10 -7 (-15 -1672 ((-635 (-216)) (-635 (-837 (-216))) (-216))) (-15 -3727 ((-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))) (-15 -2897 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -4201 ((-311 (-216)) (-311 (-216)))) (-15 -2179 ((-121) (-635 (-311 (-216))))) (-15 -2683 ((-121) (-635 (-311 (-216))))) (-15 -2683 ((-121) (-311 (-216)))) (-15 -4349 ((-681 (-216)) (-635 (-311 (-216))) (-765))) (-15 -2730 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -1919 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -1479 ((-121) (-311 (-216)))) (-15 -3195 ((-635 (-1165)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -3810 ((-635 (-1165)) (-311 (-216)) (-765))) (-15 -2183 ((-1037) (-1165) (-1037))) (-15 -1901 ((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -1889 ((-635 (-1147)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))))))) (T -264)) 
-((-1889 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *2 (-635 (-1147))) (-5 *1 (-264)))) (-1901 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-382)) (-5 *1 (-264)))) (-2183 (*1 *2 *3 *2) (-12 (-5 *2 (-1037)) (-5 *3 (-1165)) (-5 *1 (-264)))) (-3810 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-765)) (-5 *2 (-635 (-1165))) (-5 *1 (-264)))) (-3195 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-635 (-1165))) (-5 *1 (-264)))) (-1479 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) (-1919 (*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264)))) (-2730 (*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264)))) (-4349 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *4 (-765)) (-5 *2 (-681 (-216))) (-5 *1 (-264)))) (-2683 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) (-2683 (*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) (-2179 (*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) (-4201 (*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-264)))) (-2897 (*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-264)))) (-3727 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *1 (-264)))) (-1672 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-837 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 *4)) (-5 *1 (-264))))) 
-(-10 -7 (-15 -1672 ((-635 (-216)) (-635 (-837 (-216))) (-216))) (-15 -3727 ((-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))) (-15 -2897 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -4201 ((-311 (-216)) (-311 (-216)))) (-15 -2179 ((-121) (-635 (-311 (-216))))) (-15 -2683 ((-121) (-635 (-311 (-216))))) (-15 -2683 ((-121) (-311 (-216)))) (-15 -4349 ((-681 (-216)) (-635 (-311 (-216))) (-765))) (-15 -2730 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -1919 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -1479 ((-121) (-311 (-216)))) (-15 -3195 ((-635 (-1165)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -3810 ((-635 (-1165)) (-311 (-216)) (-765))) (-15 -2183 ((-1037) (-1165) (-1037))) (-15 -1901 ((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -1889 ((-635 (-1147)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))))) 
-((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 39)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 20) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-265) (-833)) (T -265)) 
-NIL 
-(-833) 
-((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 54) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 49)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 29) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 31)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-266) (-833)) (T -266)) 
-NIL 
-(-833) 
-((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 73) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 69)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 40) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 51)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-267) (-833)) (T -267)) 
-NIL 
-(-833) 
-((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 48)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 27) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-268) (-833)) (T -268)) 
-NIL 
-(-833) 
-((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 48)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 23) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-269) (-833)) (T -269)) 
-NIL 
-(-833) 
-((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 69)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 23) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-270) (-833)) (T -270)) 
-NIL 
-(-833) 
-((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 73)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 19) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-271) (-833)) (T -271)) 
-NIL 
-(-833) 
-((-1310 (((-121) $ $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1768 (((-635 (-569)) $) 16)) (-2284 (((-765) $) 14)) (-3956 (((-852) $) 20) (($ (-635 (-569))) 12)) (-2204 (($ (-765)) 17)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 9)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 10))) 
-(((-272) (-13 (-844) (-10 -8 (-15 -3956 ($ (-635 (-569)))) (-15 -2284 ((-765) $)) (-15 -1768 ((-635 (-569)) $)) (-15 -2204 ($ (-765)))))) (T -272)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) (-2284 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-272)))) (-1768 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) (-2204 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-272))))) 
-(-13 (-844) (-10 -8 (-15 -3956 ($ (-635 (-569)))) (-15 -2284 ((-765) $)) (-15 -1768 ((-635 (-569)) $)) (-15 -2204 ($ (-765))))) 
-((-3544 ((|#2| |#2|) 77)) (-3467 ((|#2| |#2|) 65)) (-4157 (((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121))))) 116)) (-3530 ((|#2| |#2|) 75)) (-3455 ((|#2| |#2|) 63)) (-3559 ((|#2| |#2|) 79)) (-3480 ((|#2| |#2|) 67)) (-3415 ((|#2|) 46)) (-1344 (((-123) (-123)) 95)) (-3597 ((|#2| |#2|) 61)) (-1713 (((-121) |#2|) 134)) (-4245 ((|#2| |#2|) 180)) (-1323 ((|#2| |#2|) 156)) (-1743 ((|#2|) 59)) (-4194 ((|#2|) 58)) (-3688 ((|#2| |#2|) 176)) (-4498 ((|#2| |#2|) 152)) (-4056 ((|#2| |#2|) 184)) (-3097 ((|#2| |#2|) 160)) (-4087 ((|#2| |#2|) 148)) (-1454 ((|#2| |#2|) 150)) (-1332 ((|#2| |#2|) 186)) (-3512 ((|#2| |#2|) 162)) (-1441 ((|#2| |#2|) 182)) (-1967 ((|#2| |#2|) 158)) (-1971 ((|#2| |#2|) 178)) (-4292 ((|#2| |#2|) 154)) (-4053 ((|#2| |#2|) 192)) (-1921 ((|#2| |#2|) 168)) (-1989 ((|#2| |#2|) 188)) (-3077 ((|#2| |#2|) 164)) (-2354 ((|#2| |#2|) 196)) (-2625 ((|#2| |#2|) 172)) (-4386 ((|#2| |#2|) 198)) (-4131 ((|#2| |#2|) 174)) (-3794 ((|#2| |#2|) 194)) (-4097 ((|#2| |#2|) 170)) (-2636 ((|#2| |#2|) 190)) (-4260 ((|#2| |#2|) 166)) (-3408 ((|#2| |#2|) 62)) (-3565 ((|#2| |#2|) 80)) (-3485 ((|#2| |#2|) 68)) (-3551 ((|#2| |#2|) 78)) (-3473 ((|#2| |#2|) 66)) (-3538 ((|#2| |#2|) 76)) (-3460 ((|#2| |#2|) 64)) (-3791 (((-121) (-123)) 93)) (-3585 ((|#2| |#2|) 83)) (-3505 ((|#2| |#2|) 71)) (-3572 ((|#2| |#2|) 81)) (-3490 ((|#2| |#2|) 69)) (-3599 ((|#2| |#2|) 85)) (-3517 ((|#2| |#2|) 73)) (-4527 ((|#2| |#2|) 86)) (-3525 ((|#2| |#2|) 74)) (-3592 ((|#2| |#2|) 84)) (-3510 ((|#2| |#2|) 72)) (-3579 ((|#2| |#2|) 82)) (-3497 ((|#2| |#2|) 70))) 
-(((-273 |#1| |#2|) (-10 -7 (-15 -3408 (|#2| |#2|)) (-15 -3597 (|#2| |#2|)) (-15 -3455 (|#2| |#2|)) (-15 -3460 (|#2| |#2|)) (-15 -3467 (|#2| |#2|)) (-15 -3473 (|#2| |#2|)) (-15 -3480 (|#2| |#2|)) (-15 -3485 (|#2| |#2|)) (-15 -3490 (|#2| |#2|)) (-15 -3497 (|#2| |#2|)) (-15 -3505 (|#2| |#2|)) (-15 -3510 (|#2| |#2|)) (-15 -3517 (|#2| |#2|)) (-15 -3525 (|#2| |#2|)) (-15 -3530 (|#2| |#2|)) (-15 -3538 (|#2| |#2|)) (-15 -3544 (|#2| |#2|)) (-15 -3551 (|#2| |#2|)) (-15 -3559 (|#2| |#2|)) (-15 -3565 (|#2| |#2|)) (-15 -3572 (|#2| |#2|)) (-15 -3579 (|#2| |#2|)) (-15 -3585 (|#2| |#2|)) (-15 -3592 (|#2| |#2|)) (-15 -3599 (|#2| |#2|)) (-15 -4527 (|#2| |#2|)) (-15 -3415 (|#2|)) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -4194 (|#2|)) (-15 -1743 (|#2|)) (-15 -1454 (|#2| |#2|)) (-15 -4087 (|#2| |#2|)) (-15 -4498 (|#2| |#2|)) (-15 -4292 (|#2| |#2|)) (-15 -1323 (|#2| |#2|)) (-15 -1967 (|#2| |#2|)) (-15 -3097 (|#2| |#2|)) (-15 -3512 (|#2| |#2|)) (-15 -3077 (|#2| |#2|)) (-15 -4260 (|#2| |#2|)) (-15 -1921 (|#2| |#2|)) (-15 -4097 (|#2| |#2|)) (-15 -2625 (|#2| |#2|)) (-15 -4131 (|#2| |#2|)) (-15 -3688 (|#2| |#2|)) (-15 -1971 (|#2| |#2|)) (-15 -4245 (|#2| |#2|)) (-15 -1441 (|#2| |#2|)) (-15 -4056 (|#2| |#2|)) (-15 -1332 (|#2| |#2|)) (-15 -1989 (|#2| |#2|)) (-15 -2636 (|#2| |#2|)) (-15 -4053 (|#2| |#2|)) (-15 -3794 (|#2| |#2|)) (-15 -2354 (|#2| |#2|)) (-15 -4386 (|#2| |#2|)) (-15 -4157 ((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -1713 ((-121) |#2|))) (-13 (-844) (-559)) (-13 (-433 |#1|) (-1004))) (T -273)) 
-((-1713 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *3)) (-4 *3 (-13 (-433 *4) (-1004))))) (-4157 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-635 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-433 *4) (-1004))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-273 *4 *2)))) (-4386 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-2354 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3794 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4053 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-2636 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1989 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1332 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4056 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1441 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4245 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1971 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3688 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4131 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-2625 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4097 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1921 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4260 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3077 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3512 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3097 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1967 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1323 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4292 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4498 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4087 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1454 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1743 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559))))) (-4194 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559))))) (-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *4)) (-4 *4 (-13 (-433 *3) (-1004))))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *5)) (-4 *5 (-13 (-433 *4) (-1004))))) (-3415 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559))))) (-4527 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3599 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3592 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3585 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3579 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3572 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3565 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3559 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3551 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3544 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3538 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3530 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3525 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3517 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3510 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3505 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3497 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3490 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3485 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3480 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3473 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3467 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3460 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3455 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3597 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3408 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(-10 -7 (-15 -3408 (|#2| |#2|)) (-15 -3597 (|#2| |#2|)) (-15 -3455 (|#2| |#2|)) (-15 -3460 (|#2| |#2|)) (-15 -3467 (|#2| |#2|)) (-15 -3473 (|#2| |#2|)) (-15 -3480 (|#2| |#2|)) (-15 -3485 (|#2| |#2|)) (-15 -3490 (|#2| |#2|)) (-15 -3497 (|#2| |#2|)) (-15 -3505 (|#2| |#2|)) (-15 -3510 (|#2| |#2|)) (-15 -3517 (|#2| |#2|)) (-15 -3525 (|#2| |#2|)) (-15 -3530 (|#2| |#2|)) (-15 -3538 (|#2| |#2|)) (-15 -3544 (|#2| |#2|)) (-15 -3551 (|#2| |#2|)) (-15 -3559 (|#2| |#2|)) (-15 -3565 (|#2| |#2|)) (-15 -3572 (|#2| |#2|)) (-15 -3579 (|#2| |#2|)) (-15 -3585 (|#2| |#2|)) (-15 -3592 (|#2| |#2|)) (-15 -3599 (|#2| |#2|)) (-15 -4527 (|#2| |#2|)) (-15 -3415 (|#2|)) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -4194 (|#2|)) (-15 -1743 (|#2|)) (-15 -1454 (|#2| |#2|)) (-15 -4087 (|#2| |#2|)) (-15 -4498 (|#2| |#2|)) (-15 -4292 (|#2| |#2|)) (-15 -1323 (|#2| |#2|)) (-15 -1967 (|#2| |#2|)) (-15 -3097 (|#2| |#2|)) (-15 -3512 (|#2| |#2|)) (-15 -3077 (|#2| |#2|)) (-15 -4260 (|#2| |#2|)) (-15 -1921 (|#2| |#2|)) (-15 -4097 (|#2| |#2|)) (-15 -2625 (|#2| |#2|)) (-15 -4131 (|#2| |#2|)) (-15 -3688 (|#2| |#2|)) (-15 -1971 (|#2| |#2|)) (-15 -4245 (|#2| |#2|)) (-15 -1441 (|#2| |#2|)) (-15 -4056 (|#2| |#2|)) (-15 -1332 (|#2| |#2|)) (-15 -1989 (|#2| |#2|)) (-15 -2636 (|#2| |#2|)) (-15 -4053 (|#2| |#2|)) (-15 -3794 (|#2| |#2|)) (-15 -2354 (|#2| |#2|)) (-15 -4386 (|#2| |#2|)) (-15 -4157 ((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -1713 ((-121) |#2|))) 
-((-1317 (((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1165)) 133)) (-1445 ((|#2| (-410 (-569)) |#2|) 50)) (-4085 ((|#2| |#2| (-608 |#2|)) 126)) (-4421 (((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1165)) 125)) (-3687 ((|#2| |#2| (-1165)) 19) ((|#2| |#2|) 22)) (-1666 ((|#2| |#2| (-1165)) 139) ((|#2| |#2|) 137))) 
-(((-274 |#1| |#2|) (-10 -7 (-15 -1666 (|#2| |#2|)) (-15 -1666 (|#2| |#2| (-1165))) (-15 -4421 ((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1165))) (-15 -3687 (|#2| |#2|)) (-15 -3687 (|#2| |#2| (-1165))) (-15 -1317 ((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1165))) (-15 -4085 (|#2| |#2| (-608 |#2|))) (-15 -1445 (|#2| (-410 (-569)) |#2|))) (-13 (-559) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -274)) 
-((-1445 (*1 *2 *3 *2) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-4085 (*1 *2 *2 *3) (-12 (-5 *3 (-608 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)))) (-1317 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-1165)) (-4 *2 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *5 *2)))) (-3687 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-3687 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) (-4421 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-635 (-608 *3))) (|:| |vals| (-635 *3)))) (-5 *1 (-274 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-1666 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-1666 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3)))))) 
-(-10 -7 (-15 -1666 (|#2| |#2|)) (-15 -1666 (|#2| |#2| (-1165))) (-15 -4421 ((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1165))) (-15 -3687 (|#2| |#2|)) (-15 -3687 (|#2| |#2| (-1165))) (-15 -1317 ((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1165))) (-15 -4085 (|#2| |#2| (-608 |#2|))) (-15 -1445 (|#2| (-410 (-569)) |#2|))) 
-((-1459 (((-3 |#3| "failed") |#3|) 110)) (-3544 ((|#3| |#3|) 131)) (-3443 (((-3 |#3| "failed") |#3|) 82)) (-3467 ((|#3| |#3|) 121)) (-2658 (((-3 |#3| "failed") |#3|) 58)) (-3530 ((|#3| |#3|) 129)) (-2942 (((-3 |#3| "failed") |#3|) 46)) (-3455 ((|#3| |#3|) 119)) (-3876 (((-3 |#3| "failed") |#3|) 112)) (-3559 ((|#3| |#3|) 133)) (-4446 (((-3 |#3| "failed") |#3|) 84)) (-3480 ((|#3| |#3|) 123)) (-1517 (((-3 |#3| "failed") |#3| (-765)) 36)) (-3015 (((-3 |#3| "failed") |#3|) 74)) (-3597 ((|#3| |#3|) 118)) (-1981 (((-3 |#3| "failed") |#3|) 44)) (-3408 ((|#3| |#3|) 117)) (-2123 (((-3 |#3| "failed") |#3|) 113)) (-3565 ((|#3| |#3|) 134)) (-4159 (((-3 |#3| "failed") |#3|) 85)) (-3485 ((|#3| |#3|) 124)) (-4098 (((-3 |#3| "failed") |#3|) 111)) (-3551 ((|#3| |#3|) 132)) (-3454 (((-3 |#3| "failed") |#3|) 83)) (-3473 ((|#3| |#3|) 122)) (-4323 (((-3 |#3| "failed") |#3|) 60)) (-3538 ((|#3| |#3|) 130)) (-2920 (((-3 |#3| "failed") |#3|) 48)) (-3460 ((|#3| |#3|) 120)) (-4306 (((-3 |#3| "failed") |#3|) 66)) (-3585 ((|#3| |#3|) 137)) (-2837 (((-3 |#3| "failed") |#3|) 104)) (-3505 ((|#3| |#3|) 142)) (-3968 (((-3 |#3| "failed") |#3|) 62)) (-3572 ((|#3| |#3|) 135)) (-2812 (((-3 |#3| "failed") |#3|) 50)) (-3490 ((|#3| |#3|) 125)) (-2737 (((-3 |#3| "failed") |#3|) 70)) (-3599 ((|#3| |#3|) 139)) (-2475 (((-3 |#3| "failed") |#3|) 54)) (-3517 ((|#3| |#3|) 127)) (-1315 (((-3 |#3| "failed") |#3|) 72)) (-4527 ((|#3| |#3|) 140)) (-3098 (((-3 |#3| "failed") |#3|) 56)) (-3525 ((|#3| |#3|) 128)) (-2135 (((-3 |#3| "failed") |#3|) 68)) (-3592 ((|#3| |#3|) 138)) (-4358 (((-3 |#3| "failed") |#3|) 107)) (-3510 ((|#3| |#3|) 143)) (-2780 (((-3 |#3| "failed") |#3|) 64)) (-3579 ((|#3| |#3|) 136)) (-3811 (((-3 |#3| "failed") |#3|) 52)) (-3497 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-410 (-569))) 40 (|has| |#1| (-366))))) 
-(((-275 |#1| |#2| |#3|) (-13 (-986 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -3408 (|#3| |#3|)) (-15 -3597 (|#3| |#3|)) (-15 -3455 (|#3| |#3|)) (-15 -3460 (|#3| |#3|)) (-15 -3467 (|#3| |#3|)) (-15 -3473 (|#3| |#3|)) (-15 -3480 (|#3| |#3|)) (-15 -3485 (|#3| |#3|)) (-15 -3490 (|#3| |#3|)) (-15 -3497 (|#3| |#3|)) (-15 -3505 (|#3| |#3|)) (-15 -3510 (|#3| |#3|)) (-15 -3517 (|#3| |#3|)) (-15 -3525 (|#3| |#3|)) (-15 -3530 (|#3| |#3|)) (-15 -3538 (|#3| |#3|)) (-15 -3544 (|#3| |#3|)) (-15 -3551 (|#3| |#3|)) (-15 -3559 (|#3| |#3|)) (-15 -3565 (|#3| |#3|)) (-15 -3572 (|#3| |#3|)) (-15 -3579 (|#3| |#3|)) (-15 -3585 (|#3| |#3|)) (-15 -3592 (|#3| |#3|)) (-15 -3599 (|#3| |#3|)) (-15 -4527 (|#3| |#3|)))) (-43 (-410 (-569))) (-1243 |#1|) (-1214 |#1| |#2|)) (T -275)) 
-((** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1243 *4)) (-5 *1 (-275 *4 *5 *2)) (-4 *2 (-1214 *4 *5)))) (-3408 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3597 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3455 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3460 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3467 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3473 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3480 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3485 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3490 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3497 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3505 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3510 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3517 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3525 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3530 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3538 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3544 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3551 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3559 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3565 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3572 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3579 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3585 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3592 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3599 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-4527 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4))))) 
-(-13 (-986 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -3408 (|#3| |#3|)) (-15 -3597 (|#3| |#3|)) (-15 -3455 (|#3| |#3|)) (-15 -3460 (|#3| |#3|)) (-15 -3467 (|#3| |#3|)) (-15 -3473 (|#3| |#3|)) (-15 -3480 (|#3| |#3|)) (-15 -3485 (|#3| |#3|)) (-15 -3490 (|#3| |#3|)) (-15 -3497 (|#3| |#3|)) (-15 -3505 (|#3| |#3|)) (-15 -3510 (|#3| |#3|)) (-15 -3517 (|#3| |#3|)) (-15 -3525 (|#3| |#3|)) (-15 -3530 (|#3| |#3|)) (-15 -3538 (|#3| |#3|)) (-15 -3544 (|#3| |#3|)) (-15 -3551 (|#3| |#3|)) (-15 -3559 (|#3| |#3|)) (-15 -3565 (|#3| |#3|)) (-15 -3572 (|#3| |#3|)) (-15 -3579 (|#3| |#3|)) (-15 -3585 (|#3| |#3|)) (-15 -3592 (|#3| |#3|)) (-15 -3599 (|#3| |#3|)) (-15 -4527 (|#3| |#3|)))) 
-((-1459 (((-3 |#3| "failed") |#3|) 66)) (-3544 ((|#3| |#3|) 133)) (-3443 (((-3 |#3| "failed") |#3|) 50)) (-3467 ((|#3| |#3|) 121)) (-2658 (((-3 |#3| "failed") |#3|) 62)) (-3530 ((|#3| |#3|) 131)) (-2942 (((-3 |#3| "failed") |#3|) 46)) (-3455 ((|#3| |#3|) 119)) (-3876 (((-3 |#3| "failed") |#3|) 70)) (-3559 ((|#3| |#3|) 135)) (-4446 (((-3 |#3| "failed") |#3|) 54)) (-3480 ((|#3| |#3|) 123)) (-1517 (((-3 |#3| "failed") |#3| (-765)) 35)) (-3015 (((-3 |#3| "failed") |#3|) 44)) (-3597 ((|#3| |#3|) 112)) (-1981 (((-3 |#3| "failed") |#3|) 42)) (-3408 ((|#3| |#3|) 118)) (-2123 (((-3 |#3| "failed") |#3|) 72)) (-3565 ((|#3| |#3|) 136)) (-4159 (((-3 |#3| "failed") |#3|) 56)) (-3485 ((|#3| |#3|) 124)) (-4098 (((-3 |#3| "failed") |#3|) 68)) (-3551 ((|#3| |#3|) 134)) (-3454 (((-3 |#3| "failed") |#3|) 52)) (-3473 ((|#3| |#3|) 122)) (-4323 (((-3 |#3| "failed") |#3|) 64)) (-3538 ((|#3| |#3|) 132)) (-2920 (((-3 |#3| "failed") |#3|) 48)) (-3460 ((|#3| |#3|) 120)) (-4306 (((-3 |#3| "failed") |#3|) 78)) (-3585 ((|#3| |#3|) 139)) (-2837 (((-3 |#3| "failed") |#3|) 58)) (-3505 ((|#3| |#3|) 127)) (-3968 (((-3 |#3| "failed") |#3|) 74)) (-3572 ((|#3| |#3|) 137)) (-2812 (((-3 |#3| "failed") |#3|) 102)) (-3490 ((|#3| |#3|) 125)) (-2737 (((-3 |#3| "failed") |#3|) 82)) (-3599 ((|#3| |#3|) 141)) (-2475 (((-3 |#3| "failed") |#3|) 109)) (-3517 ((|#3| |#3|) 129)) (-1315 (((-3 |#3| "failed") |#3|) 84)) (-4527 ((|#3| |#3|) 142)) (-3098 (((-3 |#3| "failed") |#3|) 111)) (-3525 ((|#3| |#3|) 130)) (-2135 (((-3 |#3| "failed") |#3|) 80)) (-3592 ((|#3| |#3|) 140)) (-4358 (((-3 |#3| "failed") |#3|) 60)) (-3510 ((|#3| |#3|) 128)) (-2780 (((-3 |#3| "failed") |#3|) 76)) (-3579 ((|#3| |#3|) 138)) (-3811 (((-3 |#3| "failed") |#3|) 105)) (-3497 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-410 (-569))) 40 (|has| |#1| (-366))))) 
-(((-276 |#1| |#2| |#3| |#4|) (-13 (-986 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -3408 (|#3| |#3|)) (-15 -3597 (|#3| |#3|)) (-15 -3455 (|#3| |#3|)) (-15 -3460 (|#3| |#3|)) (-15 -3467 (|#3| |#3|)) (-15 -3473 (|#3| |#3|)) (-15 -3480 (|#3| |#3|)) (-15 -3485 (|#3| |#3|)) (-15 -3490 (|#3| |#3|)) (-15 -3497 (|#3| |#3|)) (-15 -3505 (|#3| |#3|)) (-15 -3510 (|#3| |#3|)) (-15 -3517 (|#3| |#3|)) (-15 -3525 (|#3| |#3|)) (-15 -3530 (|#3| |#3|)) (-15 -3538 (|#3| |#3|)) (-15 -3544 (|#3| |#3|)) (-15 -3551 (|#3| |#3|)) (-15 -3559 (|#3| |#3|)) (-15 -3565 (|#3| |#3|)) (-15 -3572 (|#3| |#3|)) (-15 -3579 (|#3| |#3|)) (-15 -3585 (|#3| |#3|)) (-15 -3592 (|#3| |#3|)) (-15 -3599 (|#3| |#3|)) (-15 -4527 (|#3| |#3|)))) (-43 (-410 (-569))) (-1212 |#1|) (-1235 |#1| |#2|) (-986 |#2|)) (T -276)) 
-((** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1212 *4)) (-5 *1 (-276 *4 *5 *2 *6)) (-4 *2 (-1235 *4 *5)) (-4 *6 (-986 *5)))) (-3408 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3597 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3455 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3460 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3467 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3473 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3480 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3485 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3490 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3497 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3505 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3510 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3517 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3525 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3530 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3538 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3544 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3551 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3559 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3565 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3572 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3579 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3585 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3592 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3599 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-4527 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4))))) 
-(-13 (-986 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -3408 (|#3| |#3|)) (-15 -3597 (|#3| |#3|)) (-15 -3455 (|#3| |#3|)) (-15 -3460 (|#3| |#3|)) (-15 -3467 (|#3| |#3|)) (-15 -3473 (|#3| |#3|)) (-15 -3480 (|#3| |#3|)) (-15 -3485 (|#3| |#3|)) (-15 -3490 (|#3| |#3|)) (-15 -3497 (|#3| |#3|)) (-15 -3505 (|#3| |#3|)) (-15 -3510 (|#3| |#3|)) (-15 -3517 (|#3| |#3|)) (-15 -3525 (|#3| |#3|)) (-15 -3530 (|#3| |#3|)) (-15 -3538 (|#3| |#3|)) (-15 -3544 (|#3| |#3|)) (-15 -3551 (|#3| |#3|)) (-15 -3559 (|#3| |#3|)) (-15 -3565 (|#3| |#3|)) (-15 -3572 (|#3| |#3|)) (-15 -3579 (|#3| |#3|)) (-15 -3585 (|#3| |#3|)) (-15 -3592 (|#3| |#3|)) (-15 -3599 (|#3| |#3|)) (-15 -4527 (|#3| |#3|)))) 
-((-2140 (($ (-1 (-121) |#2|) $) 23)) (-1858 (($ $) 36)) (-2006 (($ (-1 (-121) |#2|) $) NIL) (($ |#2| $) 34)) (-3503 (($ |#2| $) 31) (($ (-1 (-121) |#2|) $) 17)) (-4002 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 40)) (-2583 (($ |#2| $ (-569)) 19) (($ $ $ (-569)) 21)) (-2077 (($ $ (-569)) 11) (($ $ (-1219 (-569))) 14)) (-4422 (($ $ |#2|) 29) (($ $ $) NIL)) (-4456 (($ $ |#2|) 28) (($ |#2| $) NIL) (($ $ $) 25) (($ (-635 $)) NIL))) 
-(((-277 |#1| |#2|) (-10 -8 (-15 -4002 (|#1| |#1| |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -4002 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4422 (|#1| |#1| |#1|)) (-15 -4422 (|#1| |#1| |#2|)) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -3503 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2140 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3503 (|#1| |#2| |#1|)) (-15 -1858 (|#1| |#1|))) (-278 |#2|) (-1199)) (T -277)) 
-NIL 
-(-10 -8 (-15 -4002 (|#1| |#1| |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -4002 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4422 (|#1| |#1| |#1|)) (-15 -4422 (|#1| |#1| |#2|)) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -3503 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2140 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3503 (|#1| |#2| |#1|)) (-15 -1858 (|#1| |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) 78)) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2938 (($ $) 76 (|has| |#1| (-1093)))) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ (-1 (-121) |#1|) $) 82) (($ |#1| $) 77 (|has| |#1| (-1093)))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-4002 (($ (-1 (-121) |#1| |#1|) $ $) 79) (($ $ $) 75 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2351 (($ |#1| $ (-569)) 81) (($ $ $ (-569)) 80)) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-1313 (($ $ (-569)) 84) (($ $ (-1219 (-569))) 83)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 65)) (-4422 (($ $ |#1|) 86) (($ $ $) 85)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-278 |#1|) (-1284) (-1199)) (T -278)) 
-((-4422 (*1 *1 *1 *2) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)))) (-4422 (*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)))) (-1313 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-1313 (*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-2006 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-2351 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-278 *2)) (-4 *2 (-1199)))) (-2351 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-4002 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-1304 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-2006 (*1 *1 *2 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) (-2938 (*1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) (-4002 (*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-844))))) 
-(-13 (-641 |t#1|) (-10 -8 (-6 -4572) (-15 -4422 ($ $ |t#1|)) (-15 -4422 ($ $ $)) (-15 -1313 ($ $ (-569))) (-15 -1313 ($ $ (-1219 (-569)))) (-15 -2006 ($ (-1 (-121) |t#1|) $)) (-15 -2351 ($ |t#1| $ (-569))) (-15 -2351 ($ $ $ (-569))) (-15 -4002 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -1304 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1093)) (PROGN (-15 -2006 ($ |t#1| $)) (-15 -2938 ($ $))) |noBranch|) (IF (|has| |t#1| (-844)) (-15 -4002 ($ $ $)) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-2234 (((-121) $ $) NIL)) (-3923 (($) 34 T CONST)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-173)))) (-1415 (($ $) NIL (|has| |#1| (-173)))) (-2545 (((-121) $) 54 (|has| |#1| (-173)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) 55)) (-2583 (((-121) $) NIL)) (-2149 (((-121) $ (-922)) 71)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-173)))) (-3245 ((|#1| $ (-922)) 9)) (-3942 (((-855) $) 29) (($ (-571)) NIL) (($ (-1 |#1| (-922))) 12) (((-1 |#1| (-922)) $) 11) (($ (-1149 |#1|)) 26) (((-1149 |#1|) $) 24) (($ |#1|) NIL (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-173)))) (-2661 (((-768)) NIL)) (-1388 (((-121) $ $) NIL (|has| |#1| (-173)))) (-4478 (((-121) $ (-922)) 72)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 33 T CONST)) (-3222 (($) 13 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) 38) (($ $ $) NIL)) (-1367 (($ $ $) 36)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 40) (($ $ $) 51) (($ |#1| $) 42 (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-234 |#1|) (-13 (-1053) (-282 (-922) |#1|) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-561)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3942 ($ (-1 |#1| (-922)))) (-15 -3942 ((-1 |#1| (-922)) $)) (-15 -3942 ($ (-1149 |#1|))) (-15 -3942 ((-1149 |#1|) $)) (-15 -3923 ($) -3177) (-15 -2149 ((-121) $ (-922))) (-15 -4478 ((-121) $ (-922))))) (-1053)) (T -234)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1 *3 (-922))) (-4 *3 (-1053)) (-5 *1 (-234 *3)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1 *3 (-922))) (-5 *1 (-234 *3)) (-4 *3 (-1053)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-234 *3)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1053)))) (-3923 (*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1053)))) (-2149 (*1 *2 *1 *3) (-12 (-5 *3 (-922)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1053)))) (-4478 (*1 *2 *1 *3) (-12 (-5 *3 (-922)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1053))))) 
+(-13 (-1053) (-282 (-922) |#1|) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-561)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3942 ($ (-1 |#1| (-922)))) (-15 -3942 ((-1 |#1| (-922)) $)) (-15 -3942 ($ (-1149 |#1|))) (-15 -3942 ((-1149 |#1|) $)) (-15 -3923 ($) -3177) (-15 -2149 ((-121) $ (-922))) (-15 -4478 ((-121) $ (-922))))) 
+((-2688 (((-571) (-637 (-1151))) 24) (((-571) (-1151)) 19)) (-3851 (((-1263) (-637 (-1151))) 29) (((-1263) (-1151)) 28)) (-1710 (((-1151)) 14)) (-2775 (((-1151) (-571) (-1151)) 16)) (-1681 (((-637 (-1151)) (-637 (-1151)) (-571) (-1151)) 25) (((-1151) (-1151) (-571) (-1151)) 23)) (-1840 (((-637 (-1151)) (-637 (-1151))) 13) (((-637 (-1151)) (-1151)) 11))) 
+(((-235) (-10 -7 (-15 -1840 ((-637 (-1151)) (-1151))) (-15 -1840 ((-637 (-1151)) (-637 (-1151)))) (-15 -1710 ((-1151))) (-15 -2775 ((-1151) (-571) (-1151))) (-15 -1681 ((-1151) (-1151) (-571) (-1151))) (-15 -1681 ((-637 (-1151)) (-637 (-1151)) (-571) (-1151))) (-15 -3851 ((-1263) (-1151))) (-15 -3851 ((-1263) (-637 (-1151)))) (-15 -2688 ((-571) (-1151))) (-15 -2688 ((-571) (-637 (-1151)))))) (T -235)) 
+((-2688 (*1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-571)) (-5 *1 (-235)))) (-2688 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-571)) (-5 *1 (-235)))) (-3851 (*1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-1263)) (-5 *1 (-235)))) (-3851 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-235)))) (-1681 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-637 (-1151))) (-5 *3 (-571)) (-5 *4 (-1151)) (-5 *1 (-235)))) (-1681 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-1151)) (-5 *3 (-571)) (-5 *1 (-235)))) (-2775 (*1 *2 *3 *2) (-12 (-5 *2 (-1151)) (-5 *3 (-571)) (-5 *1 (-235)))) (-1710 (*1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-235)))) (-1840 (*1 *2 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-235)))) (-1840 (*1 *2 *3) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-235)) (-5 *3 (-1151))))) 
+(-10 -7 (-15 -1840 ((-637 (-1151)) (-1151))) (-15 -1840 ((-637 (-1151)) (-637 (-1151)))) (-15 -1710 ((-1151))) (-15 -2775 ((-1151) (-571) (-1151))) (-15 -1681 ((-1151) (-1151) (-571) (-1151))) (-15 -1681 ((-637 (-1151)) (-637 (-1151)) (-571) (-1151))) (-15 -3851 ((-1263) (-1151))) (-15 -3851 ((-1263) (-637 (-1151)))) (-15 -2688 ((-571) (-1151))) (-15 -2688 ((-571) (-637 (-1151))))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3236 (((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-571)))) $) 44)) (-2007 (((-637 |#1|) $) 30)) (-3747 (((-637 |#1|) $) 29)) (-2466 (((-637 |#1|) $) 31)) (-4176 (((-3 $ "failed") $ $) 18)) (-1609 (((-637 $) $) 36)) (-4407 (((-768) $) 43)) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#1| "failed") $) 39)) (-1316 ((|#1| $) 40)) (-2408 ((|#1| $ (-571)) 46)) (-2478 (((-571) $ (-571)) 45)) (-1750 (($ (-1 |#1| |#1|) $) 49)) (-3911 (($ (-1 (-571) (-571)) $) 48)) (-3944 (((-1151) $) 9)) (-2381 (($ $) 26)) (-1766 (($ $ $) 50 (|has| (-571) (-792)))) (-2580 (((-1115) $) 10)) (-2226 (((-121) $) 32)) (-3079 (($ $) 28)) (-1487 (($ $) 27)) (-2400 (((-571) $) 37)) (-4498 (($ $ $) 33)) (-2031 (($ $) 34)) (-3942 (((-855) $) 11) (($ |#1|) 38)) (-3136 (((-571) |#1| $) 47)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 35)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13) (($ |#1| $) 41)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ (-571)) 52) (($ (-571) $) 51) (($ (-571) |#1|) 42))) 
+(((-236 |#1|) (-1289) (-1097)) (T -236)) 
+((-2400 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-571)))) (-1609 (*1 *2 *1) (-12 (-4 *3 (-1097)) (-5 *2 (-637 *1)) (-4 *1 (-236 *3)))) (-1342 (*1 *2 *1 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-121)))) (-2031 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1097)))) (-4498 (*1 *1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1097)))) (-2226 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-121)))) (-2466 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-637 *3)))) (-2007 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-637 *3)))) (-3747 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-637 *3)))) (-3079 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1097)))) (-1487 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1097)))) (-2381 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1097))))) 
+(-13 (-21) (-712 (-571)) (-321 |t#1| (-571)) (-10 -8 (-15 -2400 ((-571) $)) (-15 -1609 ((-637 $) $)) (-15 -1342 ((-121) $ $)) (-15 -2031 ($ $)) (-15 -4498 ($ $ $)) (-15 -2226 ((-121) $)) (-15 -2466 ((-637 |t#1|) $)) (-15 -2007 ((-637 |t#1|) $)) (-15 -3747 ((-637 |t#1|) $)) (-15 -3079 ($ $)) (-15 -1487 ($ $)) (-15 -2381 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 (-571) (-571)) . T) ((-138) . T) ((-611 (-855)) . T) ((-321 |#1| (-571)) . T) ((-640 (-571)) . T) ((-712 (-571)) . T) ((-1043 |#1|) . T) ((-1059 (-571)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 17)) (-3236 (((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-571)))) $) 30)) (-2007 (((-637 |#1|) $) 36)) (-3747 (((-637 |#1|) $) 37)) (-2466 (((-637 |#1|) $) 35)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1609 (((-637 $) $) 29)) (-4407 (((-768) $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-4349 (($ $) 24)) (-2408 ((|#1| $ (-571)) NIL)) (-2478 (((-571) $ (-571)) NIL)) (-1750 (($ (-1 |#1| |#1|) $) NIL)) (-3911 (($ (-1 (-571) (-571)) $) NIL)) (-3944 (((-1151) $) NIL)) (-2381 (($ $) 8)) (-1766 (($ $ $) NIL (|has| (-571) (-792)))) (-1571 (((-2 (|:| |gen| |#1|) (|:| -4148 (-571))) $) 26)) (-2580 (((-1115) $) NIL)) (-2226 (((-121) $) 50)) (-3079 (($ $) 38)) (-1487 (($ $) 39)) (-2400 (((-571) $) 58)) (-4498 (($ $ $) 44)) (-2031 (($ $) 33)) (-3942 (((-855) $) 22) (($ |#1|) 27)) (-3136 (((-571) |#1| $) 32)) (-2369 (($) 23 T CONST)) (-1323 (((-121) $ $) 40)) (-1342 (((-121) $ $) 51)) (-1373 (($ $) 48) (($ $ $) 47)) (-1367 (($ $ $) 45) (($ |#1| $) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 49) (($ $ (-571)) NIL) (($ (-571) $) 49) (($ (-571) |#1|) NIL))) 
+(((-237 |#1|) (-13 (-236 |#1|) (-10 -8 (-15 -1571 ((-2 (|:| |gen| |#1|) (|:| -4148 (-571))) $)) (-15 -4349 ($ $)))) (-1095)) (T -237)) 
+((-1571 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -4148 (-571)))) (-5 *1 (-237 *3)) (-4 *3 (-1095)))) (-4349 (*1 *1 *1) (-12 (-5 *1 (-237 *2)) (-4 *2 (-1095))))) 
+(-13 (-236 |#1|) (-10 -8 (-15 -1571 ((-2 (|:| |gen| |#1|) (|:| -4148 (-571))) $)) (-15 -4349 ($ $)))) 
+((-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) 9)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) 18)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ (-412 (-571)) $) 25) (($ $ (-412 (-571))) NIL))) 
+(((-238 |#1|) (-10 -8 (-15 -4142 (|#1| |#1| (-571))) (-15 ** (|#1| |#1| (-571))) (-15 * (|#1| |#1| (-412 (-571)))) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 ** (|#1| |#1| (-768))) (-15 -4142 (|#1| |#1| (-768))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-922))) (-15 -4142 (|#1| |#1| (-922))) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|))) (-239)) (T -238)) 
+NIL 
+(-10 -8 (-15 -4142 (|#1| |#1| (-571))) (-15 ** (|#1| |#1| (-571))) (-15 * (|#1| |#1| (-412 (-571)))) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 ** (|#1| |#1| (-768))) (-15 -4142 (|#1| |#1| (-768))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-922))) (-15 -4142 (|#1| |#1| (-922))) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 38)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ (-412 (-571))) 43)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 39)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 40)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ (-412 (-571)) $) 42) (($ $ (-412 (-571))) 41))) 
+(((-239) (-1289)) (T -239)) 
+((** (*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-571)))) (-4142 (*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-571)))) (-4315 (*1 *1 *1) (-4 *1 (-239)))) 
+(-13 (-286) (-43 (-412 (-571))) (-10 -8 (-15 ** ($ $ (-571))) (-15 -4142 ($ $ (-571))) (-15 -4315 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-286) . T) ((-640 (-412 (-571))) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-721) . T) ((-1059 (-412 (-571))) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-2139 ((|#1| $) 45)) (-4327 (($ $) 54)) (-3133 (((-121) $ (-768)) 8)) (-2815 ((|#1| $ |#1|) 36 (|has| $ (-6 -4601)))) (-4212 (($ $ $) 50 (|has| $ (-6 -4601)))) (-4442 (($ $ $) 49 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 38 (|has| $ (-6 -4601)))) (-2269 (($) 7 T CONST)) (-3169 (($ $) 53)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 47)) (-4114 (((-121) $ $) 39 (|has| |#1| (-1097)))) (-2034 (($ $) 52)) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3392 (((-637 |#1|) $) 42)) (-2945 (((-121) $) 46)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-3220 ((|#1| $) 56)) (-1571 (($ $) 55)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ "value") 44)) (-2514 (((-571) $ $) 41)) (-1664 (((-121) $) 43)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3294 (($ $ $) 51 (|has| $ (-6 -4601)))) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 48)) (-3014 (((-121) $ $) 40 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-240 |#1|) (-1289) (-1203)) (T -240)) 
+((-3220 (*1 *2 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1203)))) (-1571 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1203)))) (-4327 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1203)))) (-3169 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1203)))) (-2034 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1203)))) (-3294 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-240 *2)) (-4 *2 (-1203)))) (-4212 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-240 *2)) (-4 *2 (-1203)))) (-4442 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-240 *2)) (-4 *2 (-1203))))) 
+(-13 (-1016 |t#1|) (-10 -8 (-15 -3220 (|t#1| $)) (-15 -1571 ($ $)) (-15 -4327 ($ $)) (-15 -3169 ($ $)) (-15 -2034 ($ $)) (IF (|has| $ (-6 -4601)) (PROGN (-15 -3294 ($ $ $)) (-15 -4212 ($ $ $)) (-15 -4442 ($ $ $))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1016 |#1|) . T) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) NIL)) (-4198 ((|#1| $) NIL)) (-4327 (($ $) NIL)) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-4065 (($ $ (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) $) NIL (|has| |#1| (-847))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-3652 (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-2972 (($ $) 10 (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2815 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-1384 (($ $ $) NIL (|has| $ (-6 -4601)))) (-4531 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-1833 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4601))) (($ $ "rest" $) NIL (|has| $ (-6 -4601))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-3129 (($ (-1 (-121) |#1|) $) NIL)) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4035 ((|#1| $) NIL)) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4372 (($ $) NIL) (($ $ (-768)) NIL)) (-2980 (($ $) NIL (|has| |#1| (-1097)))) (-4365 (($ $) 7 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1599 (($ |#1| $) NIL (|has| |#1| (-1097))) (($ (-1 (-121) |#1|) $) NIL)) (-3412 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-2922 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) NIL)) (-3076 (((-121) $) NIL)) (-3984 (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097))) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) (-1 (-121) |#1|) $) NIL)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1364 (($ (-768) |#1|) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2984 (($ $ $) NIL (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3491 (($ $ $) NIL (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-4344 (($ |#1|) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3392 (((-637 |#1|) $) NIL)) (-2945 (((-121) $) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-3220 ((|#1| $) NIL) (($ $ (-768)) NIL)) (-2863 (($ $ $ (-571)) NIL) (($ |#1| $ (-571)) NIL)) (-2594 (($ $ $ (-571)) NIL) (($ |#1| $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1827 ((|#1| $) NIL) (($ $ (-768)) NIL)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) NIL (|has| $ (-6 -4601)))) (-3032 (((-121) $) NIL)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1224 (-571))) NIL) ((|#1| $ (-571)) NIL) ((|#1| $ (-571) |#1|) NIL) (($ $ "unique") 9) (($ $ "sort") 12) (((-768) $ "count") 16)) (-2514 (((-571) $ $) NIL)) (-3165 (($ $ (-1224 (-571))) NIL) (($ $ (-571)) NIL)) (-1933 (($ $ (-1224 (-571))) NIL) (($ $ (-571)) NIL)) (-2277 (($ (-637 |#1|)) 22)) (-1664 (((-121) $) NIL)) (-3863 (($ $) NIL)) (-3756 (($ $) NIL (|has| $ (-6 -4601)))) (-2895 (((-768) $) NIL)) (-1360 (($ $) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) NIL)) (-3294 (($ $ $) NIL) (($ $ |#1|) NIL)) (-4498 (($ $ $) NIL) (($ |#1| $) NIL) (($ (-637 $)) NIL) (($ $ |#1|) NIL)) (-3942 (($ (-637 |#1|)) 17) (((-637 |#1|) $) 18) (((-855) $) 21 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-4001 (((-768) $) 14 (|has| $ (-6 -4600))))) 
+(((-241 |#1|) (-13 (-661 |#1|) (-10 -8 (-15 -3942 ($ (-637 |#1|))) (-15 -3942 ((-637 |#1|) $)) (-15 -2277 ($ (-637 |#1|))) (-15 -3245 ($ $ "unique")) (-15 -3245 ($ $ "sort")) (-15 -3245 ((-768) $ "count")))) (-847)) (T -241)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-241 *3)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-241 *3)) (-4 *3 (-847)))) (-2277 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-241 *3)))) (-3245 (*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-241 *3)) (-4 *3 (-847)))) (-3245 (*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-241 *3)) (-4 *3 (-847)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-768)) (-5 *1 (-241 *4)) (-4 *4 (-847))))) 
+(-13 (-661 |#1|) (-10 -8 (-15 -3942 ($ (-637 |#1|))) (-15 -3942 ((-637 |#1|) $)) (-15 -2277 ($ (-637 |#1|))) (-15 -3245 ($ $ "unique")) (-15 -3245 ($ $ "sort")) (-15 -3245 ((-768) $ "count")))) 
+((-2985 (((-3 (-768) "failed") |#1| |#1| (-768)) 26))) 
+(((-242 |#1|) (-10 -7 (-15 -2985 ((-3 (-768) "failed") |#1| |#1| (-768)))) (-13 (-721) (-373) (-10 -7 (-15 ** (|#1| |#1| (-571)))))) (T -242)) 
+((-2985 (*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-768)) (-4 *3 (-13 (-721) (-373) (-10 -7 (-15 ** (*3 *3 (-571)))))) (-5 *1 (-242 *3))))) 
+(-10 -7 (-15 -2985 ((-3 (-768) "failed") |#1| |#1| (-768)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-857 |#1|)) $) NIL)) (-4257 (((-1165 $) $ (-857 |#1|)) NIL) (((-1165 |#2|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#2| (-561)))) (-1415 (($ $) NIL (|has| |#2| (-561)))) (-2545 (((-121) $) NIL (|has| |#2| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-857 |#1|))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2356 (($ $) NIL (|has| |#2| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#2| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#2| (-1043 (-571)))) (((-3 (-857 |#1|) "failed") $) NIL)) (-1316 ((|#2| $) NIL) (((-412 (-571)) $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#2| (-1043 (-571)))) (((-857 |#1|) $) NIL)) (-3730 (($ $ $ (-857 |#1|)) NIL (|has| |#2| (-173)))) (-3602 (($ $ (-637 (-571))) NIL)) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL) (((-684 |#2|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#2| (-456))) (($ $ (-857 |#1|)) NIL (|has| |#2| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#2| (-909)))) (-1420 (($ $ |#2| (-233 (-4001 |#1|) (-768)) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-857 |#1|) (-886 (-384))) (|has| |#2| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-857 |#1|) (-886 (-571))) (|has| |#2| (-886 (-571)))))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-4296 (($ (-1165 |#2|) (-857 |#1|)) NIL) (($ (-1165 $) (-857 |#1|)) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#2| (-233 (-4001 |#1|) (-768))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-857 |#1|)) NIL)) (-3973 (((-233 (-4001 |#1|) (-768)) $) NIL) (((-768) $ (-857 |#1|)) NIL) (((-637 (-768)) $ (-637 (-857 |#1|))) NIL)) (-1763 (($ $ $) NIL (|has| |#2| (-847)))) (-2383 (($ $ $) NIL (|has| |#2| (-847)))) (-2587 (($ (-1 (-233 (-4001 |#1|) (-768)) (-233 (-4001 |#1|) (-768))) $) NIL)) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-2510 (((-3 (-857 |#1|) "failed") $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#2| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-3944 (((-1151) $) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-857 |#1|)) (|:| -2154 (-768))) "failed") $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#2| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#2| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#2| (-909)))) (-1786 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-561)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-857 |#1|) |#2|) NIL) (($ $ (-637 (-857 |#1|)) (-637 |#2|)) NIL) (($ $ (-857 |#1|) $) NIL) (($ $ (-637 (-857 |#1|)) (-637 $)) NIL)) (-1475 (($ $ (-857 |#1|)) NIL (|has| |#2| (-173)))) (-3096 (($ $ (-857 |#1|)) NIL) (($ $ (-637 (-857 |#1|))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-2400 (((-233 (-4001 |#1|) (-768)) $) NIL) (((-768) $ (-857 |#1|)) NIL) (((-637 (-768)) $ (-637 (-857 |#1|))) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-857 |#1|) (-612 (-892 (-384)))) (|has| |#2| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-857 |#1|) (-612 (-892 (-571)))) (|has| |#2| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-857 |#1|) (-612 (-544))) (|has| |#2| (-612 (-544)))))) (-4189 ((|#2| $) NIL (|has| |#2| (-456))) (($ $ (-857 |#1|)) NIL (|has| |#2| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#2|) NIL) (($ (-857 |#1|)) NIL) (($ (-412 (-571))) NIL (-1831 (|has| |#2| (-43 (-412 (-571)))) (|has| |#2| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#2| (-561)))) (-1314 (((-637 |#2|) $) NIL)) (-3136 ((|#2| $ (-233 (-4001 |#1|) (-768))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#2| (-909))) (|has| |#2| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#2| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#2| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-857 |#1|)) NIL) (($ $ (-637 (-857 |#1|))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-1350 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#2| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#2| (-43 (-412 (-571))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-243 |#1| |#2|) (-13 (-955 |#2| (-233 (-4001 |#1|) (-768)) (-857 |#1|)) (-10 -8 (-15 -3602 ($ $ (-637 (-571)))))) (-637 (-1169)) (-1053)) (T -243)) 
+((-3602 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-243 *3 *4)) (-14 *3 (-637 (-1169))) (-4 *4 (-1053))))) 
+(-13 (-955 |#2| (-233 (-4001 |#1|) (-768)) (-857 |#1|)) (-10 -8 (-15 -3602 ($ $ (-637 (-571)))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4436 (($ (-922)) NIL (|has| |#4| (-1053)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-3933 (($ $ $) NIL (|has| |#4| (-793)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-4407 (((-768)) NIL (|has| |#4| (-373)))) (-3203 (((-571) $) NIL (|has| |#4| (-845)))) (-3251 ((|#4| $ (-571) |#4|) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#4| "failed") $) NIL (|has| |#4| (-1097))) (((-3 (-571) "failed") $) NIL (-12 (|has| |#4| (-1043 (-571))) (|has| |#4| (-1097)))) (((-3 (-412 (-571)) "failed") $) NIL (-12 (|has| |#4| (-1043 (-412 (-571)))) (|has| |#4| (-1097))))) (-1316 ((|#4| $) NIL (|has| |#4| (-1097))) (((-571) $) NIL (-12 (|has| |#4| (-1043 (-571))) (|has| |#4| (-1097)))) (((-412 (-571)) $) NIL (-12 (|has| |#4| (-1043 (-412 (-571)))) (|has| |#4| (-1097))))) (-2680 (((-2 (|:| -3533 (-684 |#4|)) (|:| |vec| (-1258 |#4|))) (-684 $) (-1258 $)) NIL (|has| |#4| (-1053))) (((-684 |#4|) (-684 $)) NIL (|has| |#4| (-1053))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053)))) (((-684 (-571)) (-684 $)) NIL (-12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053))))) (-3978 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| |#4| (-226)) (|has| |#4| (-1053))) (-12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053))) (|has| |#4| (-721)) (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))))) (-3254 (($) NIL (|has| |#4| (-373)))) (-2922 ((|#4| $ (-571) |#4|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#4| $ (-571)) NIL)) (-2093 (((-121) $) NIL (|has| |#4| (-845)))) (-4034 (((-637 |#4|) $) NIL (|has| $ (-6 -4600)))) (-2583 (((-121) $) NIL (-1831 (-12 (|has| |#4| (-226)) (|has| |#4| (-1053))) (-12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053))) (|has| |#4| (-721)) (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))))) (-4086 (((-121) $) NIL (|has| |#4| (-845)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (-1831 (|has| |#4| (-793)) (|has| |#4| (-845))))) (-3488 (((-637 |#4|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (-1831 (|has| |#4| (-793)) (|has| |#4| (-845))))) (-1923 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) NIL)) (-4470 (((-922) $) NIL (|has| |#4| (-373)))) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-1755 (($ (-922)) NIL (|has| |#4| (-373)))) (-2580 (((-1115) $) NIL)) (-1827 ((|#4| $) NIL (|has| (-571) (-847)))) (-4411 (($ $ |#4|) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 |#4|) (-637 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) NIL)) (-3804 (((-637 $)) NIL (|has| |#4| (-373)))) (-2957 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-3909 (((-637 |#4|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#4| $ (-571) |#4|) NIL) ((|#4| $ (-571)) 12)) (-2503 ((|#4| $ $) NIL (|has| |#4| (-1053)))) (-4274 (($ (-1258 |#4|)) NIL)) (-3847 (((-140)) NIL (|has| |#4| (-367)))) (-3096 (($ $ (-1 |#4| |#4|) (-768)) NIL (|has| |#4| (-1053))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1053))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1053)))) (($ $) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1053))))) (-1569 (((-768) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600))) (((-768) |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-1258 |#4|) $) NIL) (((-855) $) NIL) (($ |#4|) NIL (|has| |#4| (-1097))) (($ (-571)) NIL (-1831 (-12 (|has| |#4| (-1043 (-571))) (|has| |#4| (-1097))) (|has| |#4| (-1053)))) (($ (-412 (-571))) NIL (-12 (|has| |#4| (-1043 (-412 (-571)))) (|has| |#4| (-1097))))) (-2661 (((-768)) NIL (|has| |#4| (-1053)))) (-3027 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-1902 (($ $) NIL (|has| |#4| (-845)))) (-4142 (($ $ (-768)) NIL (-1831 (-12 (|has| |#4| (-226)) (|has| |#4| (-1053))) (-12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053))) (|has| |#4| (-721)) (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053))))) (($ $ (-922)) NIL (-1831 (-12 (|has| |#4| (-226)) (|has| |#4| (-1053))) (-12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053))) (|has| |#4| (-721)) (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))))) (-2369 (($) NIL T CONST)) (-3222 (($) NIL (-1831 (-12 (|has| |#4| (-226)) (|has| |#4| (-1053))) (-12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053))) (|has| |#4| (-721)) (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))) CONST)) (-1544 (($ $ (-1 |#4| |#4|) (-768)) NIL (|has| |#4| (-1053))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1053))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1053)))) (($ $) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1053))))) (-1350 (((-121) $ $) NIL (-1831 (|has| |#4| (-793)) (|has| |#4| (-845))))) (-1338 (((-121) $ $) NIL (-1831 (|has| |#4| (-793)) (|has| |#4| (-845))))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (-1831 (|has| |#4| (-793)) (|has| |#4| (-845))))) (-1331 (((-121) $ $) NIL (-1831 (|has| |#4| (-793)) (|has| |#4| (-845))))) (-1379 (($ $ |#4|) NIL (|has| |#4| (-367)))) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL (-1831 (-12 (|has| |#4| (-226)) (|has| |#4| (-1053))) (-12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053))) (|has| |#4| (-721)) (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053))))) (($ $ (-922)) NIL (-1831 (-12 (|has| |#4| (-226)) (|has| |#4| (-1053))) (-12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053))) (|has| |#4| (-721)) (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))))) (* (($ |#2| $) 14) (($ (-571) $) NIL) (($ (-768) $) NIL) (($ (-922) $) NIL) (($ |#3| $) 18) (($ $ |#4|) NIL (|has| |#4| (-721))) (($ |#4| $) NIL (|has| |#4| (-721))) (($ $ $) NIL (-1831 (-12 (|has| |#4| (-226)) (|has| |#4| (-1053))) (-12 (|has| |#4| (-633 (-571))) (|has| |#4| (-1053))) (|has| |#4| (-721)) (-12 (|has| |#4| (-900 (-1169))) (|has| |#4| (-1053)))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-244 |#1| |#2| |#3| |#4|) (-13 (-231 |#1| |#4|) (-640 |#2|) (-640 |#3|)) (-922) (-1053) (-1118 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-640 |#2|)) (T -244)) 
+NIL 
+(-13 (-231 |#1| |#4|) (-640 |#2|) (-640 |#3|)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4436 (($ (-922)) NIL (|has| |#3| (-1053)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-3933 (($ $ $) NIL (|has| |#3| (-793)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-4407 (((-768)) NIL (|has| |#3| (-373)))) (-3203 (((-571) $) NIL (|has| |#3| (-845)))) (-3251 ((|#3| $ (-571) |#3|) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#3| "failed") $) NIL (|has| |#3| (-1097))) (((-3 (-571) "failed") $) NIL (-12 (|has| |#3| (-1043 (-571))) (|has| |#3| (-1097)))) (((-3 (-412 (-571)) "failed") $) NIL (-12 (|has| |#3| (-1043 (-412 (-571)))) (|has| |#3| (-1097))))) (-1316 ((|#3| $) NIL (|has| |#3| (-1097))) (((-571) $) NIL (-12 (|has| |#3| (-1043 (-571))) (|has| |#3| (-1097)))) (((-412 (-571)) $) NIL (-12 (|has| |#3| (-1043 (-412 (-571)))) (|has| |#3| (-1097))))) (-2680 (((-2 (|:| -3533 (-684 |#3|)) (|:| |vec| (-1258 |#3|))) (-684 $) (-1258 $)) NIL (|has| |#3| (-1053))) (((-684 |#3|) (-684 $)) NIL (|has| |#3| (-1053))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053)))) (((-684 (-571)) (-684 $)) NIL (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053))))) (-3978 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| |#3| (-226)) (|has| |#3| (-1053))) (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053))) (|has| |#3| (-721)) (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))))) (-3254 (($) NIL (|has| |#3| (-373)))) (-2922 ((|#3| $ (-571) |#3|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#3| $ (-571)) NIL)) (-2093 (((-121) $) NIL (|has| |#3| (-845)))) (-4034 (((-637 |#3|) $) NIL (|has| $ (-6 -4600)))) (-2583 (((-121) $) NIL (-1831 (-12 (|has| |#3| (-226)) (|has| |#3| (-1053))) (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053))) (|has| |#3| (-721)) (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))))) (-4086 (((-121) $) NIL (|has| |#3| (-845)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-3488 (((-637 |#3|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#3| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-1923 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#3| |#3|) $) NIL)) (-4470 (((-922) $) NIL (|has| |#3| (-373)))) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-1755 (($ (-922)) NIL (|has| |#3| (-373)))) (-2580 (((-1115) $) NIL)) (-1827 ((|#3| $) NIL (|has| (-571) (-847)))) (-4411 (($ $ |#3|) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ (-637 |#3|) (-637 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097))))) (-2127 (((-121) $ $) NIL)) (-3804 (((-637 $)) NIL (|has| |#3| (-373)))) (-2957 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#3| (-1097))))) (-3909 (((-637 |#3|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#3| $ (-571) |#3|) NIL) ((|#3| $ (-571)) 11)) (-2503 ((|#3| $ $) NIL (|has| |#3| (-1053)))) (-4274 (($ (-1258 |#3|)) NIL)) (-3847 (((-140)) NIL (|has| |#3| (-367)))) (-3096 (($ $ (-1 |#3| |#3|) (-768)) NIL (|has| |#3| (-1053))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1053))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1053)))) (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1053))))) (-1569 (((-768) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4600))) (((-768) |#3| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#3| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-1258 |#3|) $) NIL) (((-855) $) NIL) (($ |#3|) NIL (|has| |#3| (-1097))) (($ (-571)) NIL (-1831 (-12 (|has| |#3| (-1043 (-571))) (|has| |#3| (-1097))) (|has| |#3| (-1053)))) (($ (-412 (-571))) NIL (-12 (|has| |#3| (-1043 (-412 (-571)))) (|has| |#3| (-1097))))) (-2661 (((-768)) NIL (|has| |#3| (-1053)))) (-3027 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4600)))) (-1902 (($ $) NIL (|has| |#3| (-845)))) (-4142 (($ $ (-768)) NIL (-1831 (-12 (|has| |#3| (-226)) (|has| |#3| (-1053))) (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053))) (|has| |#3| (-721)) (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053))))) (($ $ (-922)) NIL (-1831 (-12 (|has| |#3| (-226)) (|has| |#3| (-1053))) (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053))) (|has| |#3| (-721)) (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))))) (-2369 (($) NIL T CONST)) (-3222 (($) NIL (-1831 (-12 (|has| |#3| (-226)) (|has| |#3| (-1053))) (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053))) (|has| |#3| (-721)) (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) CONST)) (-1544 (($ $ (-1 |#3| |#3|) (-768)) NIL (|has| |#3| (-1053))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1053))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1053)))) (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1053))))) (-1350 (((-121) $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-1338 (((-121) $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-1331 (((-121) $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-1379 (($ $ |#3|) NIL (|has| |#3| (-367)))) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL (-1831 (-12 (|has| |#3| (-226)) (|has| |#3| (-1053))) (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053))) (|has| |#3| (-721)) (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053))))) (($ $ (-922)) NIL (-1831 (-12 (|has| |#3| (-226)) (|has| |#3| (-1053))) (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053))) (|has| |#3| (-721)) (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))))) (* (($ |#2| $) 13) (($ (-571) $) NIL) (($ (-768) $) NIL) (($ (-922) $) NIL) (($ $ |#3|) NIL (|has| |#3| (-721))) (($ |#3| $) NIL (|has| |#3| (-721))) (($ $ $) NIL (-1831 (-12 (|has| |#3| (-226)) (|has| |#3| (-1053))) (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053))) (|has| |#3| (-721)) (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-245 |#1| |#2| |#3|) (-13 (-231 |#1| |#3|) (-640 |#2|)) (-768) (-1053) (-640 |#2|)) (T -245)) 
+NIL 
+(-13 (-231 |#1| |#3|) (-640 |#2|)) 
+((-4566 (((-637 (-768)) $) 47) (((-637 (-768)) $ |#3|) 50)) (-4357 (((-768) $) 49) (((-768) $ |#3|) 52)) (-1430 (($ $) 65)) (-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 (-571) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 |#3| "failed") $) 72)) (-3347 (((-768) $ |#3|) 39) (((-768) $) 36)) (-3326 (((-1 $ (-768)) |#3|) 15) (((-1 $ (-768)) $) 77)) (-3993 ((|#4| $) 58)) (-4214 (((-121) $) 56)) (-2097 (($ $) 64)) (-4483 (($ $ (-637 (-289 $))) 96) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-637 |#4|) (-637 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-637 |#4|) (-637 $)) NIL) (($ $ |#3| $) NIL) (($ $ (-637 |#3|) (-637 $)) 89) (($ $ |#3| |#2|) NIL) (($ $ (-637 |#3|) (-637 |#2|)) 84)) (-3096 (($ $ |#4|) NIL) (($ $ (-637 |#4|)) NIL) (($ $ |#4| (-768)) NIL) (($ $ (-637 |#4|) (-637 (-768))) NIL) (($ $) NIL) (($ $ (-768)) NIL) (($ $ (-1169)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) 32)) (-2755 (((-637 |#3|) $) 75)) (-2400 ((|#5| $) NIL) (((-768) $ |#4|) NIL) (((-637 (-768)) $ (-637 |#4|)) NIL) (((-768) $ |#3|) 44)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (($ |#3|) 67) (($ (-412 (-571))) NIL) (($ $) NIL))) 
+(((-246 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3942 (|#1| |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -4483 (|#1| |#1| (-637 |#3|) (-637 |#2|))) (-15 -4483 (|#1| |#1| |#3| |#2|)) (-15 -4483 (|#1| |#1| (-637 |#3|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#3| |#1|)) (-15 -3326 ((-1 |#1| (-768)) |#1|)) (-15 -1430 (|#1| |#1|)) (-15 -2097 (|#1| |#1|)) (-15 -3993 (|#4| |#1|)) (-15 -4214 ((-121) |#1|)) (-15 -4357 ((-768) |#1| |#3|)) (-15 -4566 ((-637 (-768)) |#1| |#3|)) (-15 -4357 ((-768) |#1|)) (-15 -4566 ((-637 (-768)) |#1|)) (-15 -2400 ((-768) |#1| |#3|)) (-15 -3347 ((-768) |#1|)) (-15 -3347 ((-768) |#1| |#3|)) (-15 -2755 ((-637 |#3|) |#1|)) (-15 -3326 ((-1 |#1| (-768)) |#3|)) (-15 -3337 ((-3 |#3| "failed") |#1|)) (-15 -3942 (|#1| |#3|)) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1|)) (-15 -2400 ((-637 (-768)) |#1| (-637 |#4|))) (-15 -2400 ((-768) |#1| |#4|)) (-15 -3337 ((-3 |#4| "failed") |#1|)) (-15 -3942 (|#1| |#4|)) (-15 -4483 (|#1| |#1| (-637 |#4|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#4| |#1|)) (-15 -4483 (|#1| |#1| (-637 |#4|) (-637 |#2|))) (-15 -4483 (|#1| |#1| |#4| |#2|)) (-15 -4483 (|#1| |#1| (-637 |#1|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#1| |#1|)) (-15 -4483 (|#1| |#1| (-289 |#1|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -2400 (|#5| |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3096 (|#1| |#1| (-637 |#4|) (-637 (-768)))) (-15 -3096 (|#1| |#1| |#4| (-768))) (-15 -3096 (|#1| |#1| (-637 |#4|))) (-15 -3096 (|#1| |#1| |#4|)) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) (-247 |#2| |#3| |#4| |#5|) (-1053) (-847) (-263 |#3|) (-793)) (T -246)) 
+NIL 
+(-10 -8 (-15 -3942 (|#1| |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -4483 (|#1| |#1| (-637 |#3|) (-637 |#2|))) (-15 -4483 (|#1| |#1| |#3| |#2|)) (-15 -4483 (|#1| |#1| (-637 |#3|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#3| |#1|)) (-15 -3326 ((-1 |#1| (-768)) |#1|)) (-15 -1430 (|#1| |#1|)) (-15 -2097 (|#1| |#1|)) (-15 -3993 (|#4| |#1|)) (-15 -4214 ((-121) |#1|)) (-15 -4357 ((-768) |#1| |#3|)) (-15 -4566 ((-637 (-768)) |#1| |#3|)) (-15 -4357 ((-768) |#1|)) (-15 -4566 ((-637 (-768)) |#1|)) (-15 -2400 ((-768) |#1| |#3|)) (-15 -3347 ((-768) |#1|)) (-15 -3347 ((-768) |#1| |#3|)) (-15 -2755 ((-637 |#3|) |#1|)) (-15 -3326 ((-1 |#1| (-768)) |#3|)) (-15 -3337 ((-3 |#3| "failed") |#1|)) (-15 -3942 (|#1| |#3|)) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1|)) (-15 -2400 ((-637 (-768)) |#1| (-637 |#4|))) (-15 -2400 ((-768) |#1| |#4|)) (-15 -3337 ((-3 |#4| "failed") |#1|)) (-15 -3942 (|#1| |#4|)) (-15 -4483 (|#1| |#1| (-637 |#4|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#4| |#1|)) (-15 -4483 (|#1| |#1| (-637 |#4|) (-637 |#2|))) (-15 -4483 (|#1| |#1| |#4| |#2|)) (-15 -4483 (|#1| |#1| (-637 |#1|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#1| |#1|)) (-15 -4483 (|#1| |#1| (-289 |#1|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -2400 (|#5| |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3096 (|#1| |#1| (-637 |#4|) (-637 (-768)))) (-15 -3096 (|#1| |#1| |#4| (-768))) (-15 -3096 (|#1| |#1| (-637 |#4|))) (-15 -3096 (|#1| |#1| |#4|)) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4566 (((-637 (-768)) $) 193) (((-637 (-768)) $ |#2|) 191)) (-4357 (((-768) $) 192) (((-768) $ |#2|) 190)) (-3424 (((-637 |#3|) $) 108)) (-4257 (((-1165 $) $ |#3|) 123) (((-1165 |#1|) $) 122)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 85 (|has| |#1| (-561)))) (-1415 (($ $) 86 (|has| |#1| (-561)))) (-2545 (((-121) $) 88 (|has| |#1| (-561)))) (-3066 (((-768) $) 110) (((-768) $ (-637 |#3|)) 109)) (-4176 (((-3 $ "failed") $ $) 18)) (-1434 (((-423 (-1165 $)) (-1165 $)) 98 (|has| |#1| (-909)))) (-2356 (($ $) 96 (|has| |#1| (-456)))) (-4151 (((-423 $) $) 95 (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 101 (|has| |#1| (-909)))) (-1430 (($ $) 186)) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#1| "failed") $) 162) (((-3 (-412 (-571)) "failed") $) 160 (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) 158 (|has| |#1| (-1043 (-571)))) (((-3 |#3| "failed") $) 134) (((-3 |#2| "failed") $) 200)) (-1316 ((|#1| $) 163) (((-412 (-571)) $) 159 (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) 157 (|has| |#1| (-1043 (-571)))) ((|#3| $) 133) ((|#2| $) 199)) (-3730 (($ $ $ |#3|) 106 (|has| |#1| (-173)))) (-4349 (($ $) 152)) (-2680 (((-684 (-571)) (-684 $)) 132 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 131 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 130) (((-684 |#1|) (-684 $)) 129)) (-3978 (((-3 $ "failed") $) 33)) (-3630 (($ $) 174 (|has| |#1| (-456))) (($ $ |#3|) 103 (|has| |#1| (-456)))) (-4343 (((-637 $) $) 107)) (-1596 (((-121) $) 94 (|has| |#1| (-909)))) (-1420 (($ $ |#1| |#4| $) 170)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 82 (-12 (|has| |#3| (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 81 (-12 (|has| |#3| (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-3347 (((-768) $ |#2|) 196) (((-768) $) 195)) (-2583 (((-121) $) 30)) (-2108 (((-768) $) 167)) (-4296 (($ (-1165 |#1|) |#3|) 115) (($ (-1165 $) |#3|) 114)) (-1368 (((-637 $) $) 124)) (-3517 (((-121) $) 150)) (-4289 (($ |#1| |#4|) 151) (($ $ |#3| (-768)) 117) (($ $ (-637 |#3|) (-637 (-768))) 116)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ |#3|) 118)) (-3973 ((|#4| $) 168) (((-768) $ |#3|) 120) (((-637 (-768)) $ (-637 |#3|)) 119)) (-1763 (($ $ $) 77 (|has| |#1| (-847)))) (-2383 (($ $ $) 76 (|has| |#1| (-847)))) (-2587 (($ (-1 |#4| |#4|) $) 169)) (-3799 (($ (-1 |#1| |#1|) $) 149)) (-3326 (((-1 $ (-768)) |#2|) 198) (((-1 $ (-768)) $) 185 (|has| |#1| (-226)))) (-2510 (((-3 |#3| "failed") $) 121)) (-4332 (($ $) 147)) (-4337 ((|#1| $) 146)) (-3993 ((|#3| $) 188)) (-1622 (($ (-637 $)) 92 (|has| |#1| (-456))) (($ $ $) 91 (|has| |#1| (-456)))) (-3944 (((-1151) $) 9)) (-4214 (((-121) $) 189)) (-4014 (((-3 (-637 $) "failed") $) 112)) (-1910 (((-3 (-637 $) "failed") $) 113)) (-3925 (((-3 (-2 (|:| |var| |#3|) (|:| -2154 (-768))) "failed") $) 111)) (-2097 (($ $) 187)) (-2580 (((-1115) $) 10)) (-4321 (((-121) $) 164)) (-4326 ((|#1| $) 165)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 93 (|has| |#1| (-456)))) (-3026 (($ (-637 $)) 90 (|has| |#1| (-456))) (($ $ $) 89 (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) 100 (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) 99 (|has| |#1| (-909)))) (-4262 (((-423 $) $) 97 (|has| |#1| (-909)))) (-1786 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-561))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-561)))) (-4483 (($ $ (-637 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-637 $) (-637 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-637 |#3|) (-637 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-637 |#3|) (-637 $)) 136) (($ $ |#2| $) 184 (|has| |#1| (-226))) (($ $ (-637 |#2|) (-637 $)) 183 (|has| |#1| (-226))) (($ $ |#2| |#1|) 182 (|has| |#1| (-226))) (($ $ (-637 |#2|) (-637 |#1|)) 181 (|has| |#1| (-226)))) (-1475 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3096 (($ $ |#3|) 41) (($ $ (-637 |#3|)) 40) (($ $ |#3| (-768)) 39) (($ $ (-637 |#3|) (-637 (-768))) 38) (($ $) 217 (|has| |#1| (-226))) (($ $ (-768)) 215 (|has| |#1| (-226))) (($ $ (-1169)) 213 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 212 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 211 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) 210 (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) 203) (($ $ (-1 |#1| |#1|)) 202)) (-2755 (((-637 |#2|) $) 197)) (-2400 ((|#4| $) 148) (((-768) $ |#3|) 128) (((-637 (-768)) $ (-637 |#3|)) 127) (((-768) $ |#2|) 194)) (-4050 (((-892 (-384)) $) 80 (-12 (|has| |#3| (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) 79 (-12 (|has| |#3| (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) 78 (-12 (|has| |#3| (-612 (-544))) (|has| |#1| (-612 (-544)))))) (-4189 ((|#1| $) 173 (|has| |#1| (-456))) (($ $ |#3|) 104 (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 102 (-3997 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ |#2|) 201) (($ (-412 (-571))) 70 (-1831 (|has| |#1| (-1043 (-412 (-571)))) (|has| |#1| (-43 (-412 (-571)))))) (($ $) 83 (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) 166)) (-3136 ((|#1| $ |#4|) 153) (($ $ |#3| (-768)) 126) (($ $ (-637 |#3|) (-637 (-768))) 125)) (-2346 (((-3 $ "failed") $) 71 (-1831 (-3997 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) 28)) (-3855 (($ $ $ (-768)) 171 (|has| |#1| (-173)))) (-1388 (((-121) $ $) 87 (|has| |#1| (-561)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ |#3|) 37) (($ $ (-637 |#3|)) 36) (($ $ |#3| (-768)) 35) (($ $ (-637 |#3|) (-637 (-768))) 34) (($ $) 216 (|has| |#1| (-226))) (($ $ (-768)) 214 (|has| |#1| (-226))) (($ $ (-1169)) 209 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 208 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 207 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) 206 (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) 205) (($ $ (-1 |#1| |#1|)) 204)) (-1350 (((-121) $ $) 74 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 73 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 75 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 72 (|has| |#1| (-847)))) (-1379 (($ $ |#1|) 154 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 156 (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) 155 (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-247 |#1| |#2| |#3| |#4|) (-1289) (-1053) (-847) (-263 |t#2|) (-793)) (T -247)) 
+((-3326 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *3 (-847)) (-4 *5 (-263 *3)) (-4 *6 (-793)) (-5 *2 (-1 *1 (-768))) (-4 *1 (-247 *4 *3 *5 *6)))) (-2755 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-637 *4)))) (-3347 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1053)) (-4 *3 (-847)) (-4 *5 (-263 *3)) (-4 *6 (-793)) (-5 *2 (-768)))) (-3347 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-768)))) (-2400 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1053)) (-4 *3 (-847)) (-4 *5 (-263 *3)) (-4 *6 (-793)) (-5 *2 (-768)))) (-4566 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-637 (-768))))) (-4357 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-768)))) (-4566 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1053)) (-4 *3 (-847)) (-4 *5 (-263 *3)) (-4 *6 (-793)) (-5 *2 (-637 (-768))))) (-4357 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1053)) (-4 *3 (-847)) (-4 *5 (-263 *3)) (-4 *6 (-793)) (-5 *2 (-768)))) (-4214 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-121)))) (-3993 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *2 *5)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-793)) (-4 *2 (-263 *4)))) (-2097 (*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1053)) (-4 *3 (-847)) (-4 *4 (-263 *3)) (-4 *5 (-793)))) (-1430 (*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1053)) (-4 *3 (-847)) (-4 *4 (-263 *3)) (-4 *5 (-793)))) (-3326 (*1 *2 *1) (-12 (-4 *3 (-226)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-1 *1 (-768))) (-4 *1 (-247 *3 *4 *5 *6))))) 
+(-13 (-955 |t#1| |t#4| |t#3|) (-224 |t#1|) (-1043 |t#2|) (-10 -8 (-15 -3326 ((-1 $ (-768)) |t#2|)) (-15 -2755 ((-637 |t#2|) $)) (-15 -3347 ((-768) $ |t#2|)) (-15 -3347 ((-768) $)) (-15 -2400 ((-768) $ |t#2|)) (-15 -4566 ((-637 (-768)) $)) (-15 -4357 ((-768) $)) (-15 -4566 ((-637 (-768)) $ |t#2|)) (-15 -4357 ((-768) $ |t#2|)) (-15 -4214 ((-121) $)) (-15 -3993 (|t#3| $)) (-15 -2097 ($ $)) (-15 -1430 ($ $)) (IF (|has| |t#1| (-226)) (PROGN (-6 (-526 |t#2| |t#1|)) (-6 (-526 |t#2| $)) (-6 (-304 $)) (-15 -3326 ((-1 $ (-768)) $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#4|) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-173))) ((-612 (-544)) -12 (|has| |#1| (-612 (-544))) (|has| |#3| (-612 (-544)))) ((-612 (-892 (-384))) -12 (|has| |#1| (-612 (-892 (-384)))) (|has| |#3| (-612 (-892 (-384))))) ((-612 (-892 (-571))) -12 (|has| |#1| (-612 (-892 (-571)))) (|has| |#3| (-612 (-892 (-571))))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-286) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-304 $) . T) ((-325 |#1| |#4|) . T) ((-382 |#1|) . T) ((-416 |#1|) . T) ((-456) -1831 (|has| |#1| (-909)) (|has| |#1| (-456))) ((-526 |#2| |#1|) |has| |#1| (-226)) ((-526 |#2| $) |has| |#1| (-226)) ((-526 |#3| |#1|) . T) ((-526 |#3| $) . T) ((-526 $ $) . T) ((-561) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-640 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-640 |#1|) . T) ((-640 $) . T) ((-633 (-571)) |has| |#1| (-633 (-571))) ((-633 |#1|) . T) ((-712 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-721) . T) ((-847) |has| |#1| (-847)) ((-900 (-1169)) |has| |#1| (-900 (-1169))) ((-900 |#3|) . T) ((-886 (-384)) -12 (|has| |#1| (-886 (-384))) (|has| |#3| (-886 (-384)))) ((-886 (-571)) -12 (|has| |#1| (-886 (-571))) (|has| |#3| (-886 (-571)))) ((-955 |#1| |#4| |#3|) . T) ((-909) |has| |#1| (-909)) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T) ((-1043 |#2|) . T) ((-1043 |#3|) . T) ((-1059 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) |has| |#1| (-909))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3523 ((|#1| $) 51)) (-1601 ((|#1| $) 41)) (-3133 (((-121) $ (-768)) 8)) (-2269 (($) 7 T CONST)) (-1839 (($ $) 57)) (-4578 (($ $) 45)) (-2221 ((|#1| |#1| $) 43)) (-3595 ((|#1| $) 42)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3158 (((-768) $) 58)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2377 ((|#1| $) 36)) (-3188 ((|#1| |#1| $) 49)) (-2900 ((|#1| |#1| $) 48)) (-2863 (($ |#1| $) 37)) (-1454 (((-768) $) 52)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1866 ((|#1| $) 59)) (-3443 ((|#1| $) 47)) (-4389 ((|#1| $) 46)) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-3433 ((|#1| |#1| $) 55)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3495 ((|#1| $) 56)) (-4513 (($) 54) (($ (-637 |#1|)) 53)) (-1560 (((-768) $) 40)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-2467 ((|#1| $) 50)) (-3700 (($ (-637 |#1|)) 39)) (-2159 ((|#1| $) 60)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-248 |#1|) (-1289) (-1203)) (T -248)) 
+((-4513 (*1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203)))) (-4513 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-4 *1 (-248 *3)))) (-1454 (*1 *2 *1) (-12 (-4 *1 (-248 *3)) (-4 *3 (-1203)) (-5 *2 (-768)))) (-3523 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203)))) (-2467 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203)))) (-3188 (*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203)))) (-2900 (*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203)))) (-3443 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203)))) (-4389 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203)))) (-4578 (*1 *1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203))))) 
+(-13 (-1116 |t#1|) (-1001 |t#1|) (-10 -8 (-15 -4513 ($)) (-15 -4513 ($ (-637 |t#1|))) (-15 -1454 ((-768) $)) (-15 -3523 (|t#1| $)) (-15 -2467 (|t#1| $)) (-15 -3188 (|t#1| |t#1| $)) (-15 -2900 (|t#1| |t#1| $)) (-15 -3443 (|t#1| $)) (-15 -4389 (|t#1| $)) (-15 -4578 ($ $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1001 |#1|) . T) ((-1097) |has| |#1| (-1097)) ((-1116 |#1|) . T) ((-1203) . T)) 
+((-4263 (((-1 (-949 (-216)) (-216) (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))) 139)) (-4495 (((-1128 (-216)) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384))) 160) (((-1128 (-216)) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384)) (-637 (-257))) 158) (((-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384))) 163) (((-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257))) 159) (((-1128 (-216)) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384))) 150) (((-1128 (-216)) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257))) 149) (((-1128 (-216)) (-1 (-949 (-216)) (-216)) (-1091 (-384))) 129) (((-1128 (-216)) (-1 (-949 (-216)) (-216)) (-1091 (-384)) (-637 (-257))) 127) (((-1128 (-216)) (-880 (-1 (-216) (-216))) (-1091 (-384))) 128) (((-1128 (-216)) (-880 (-1 (-216) (-216))) (-1091 (-384)) (-637 (-257))) 125)) (-4489 (((-1260) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384))) 162) (((-1260) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384)) (-637 (-257))) 161) (((-1260) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384))) 165) (((-1260) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257))) 164) (((-1260) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384))) 152) (((-1260) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257))) 151) (((-1260) (-1 (-949 (-216)) (-216)) (-1091 (-384))) 135) (((-1260) (-1 (-949 (-216)) (-216)) (-1091 (-384)) (-637 (-257))) 134) (((-1260) (-880 (-1 (-216) (-216))) (-1091 (-384))) 133) (((-1260) (-880 (-1 (-216) (-216))) (-1091 (-384)) (-637 (-257))) 132) (((-1259) (-878 (-1 (-216) (-216))) (-1091 (-384))) 99) (((-1259) (-878 (-1 (-216) (-216))) (-1091 (-384)) (-637 (-257))) 98) (((-1259) (-1 (-216) (-216)) (-1091 (-384))) 95) (((-1259) (-1 (-216) (-216)) (-1091 (-384)) (-637 (-257))) 94))) 
+(((-249) (-10 -7 (-15 -4489 ((-1259) (-1 (-216) (-216)) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1259) (-1 (-216) (-216)) (-1091 (-384)))) (-15 -4489 ((-1259) (-878 (-1 (-216) (-216))) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1259) (-878 (-1 (-216) (-216))) (-1091 (-384)))) (-15 -4489 ((-1260) (-880 (-1 (-216) (-216))) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-880 (-1 (-216) (-216))) (-1091 (-384)))) (-15 -4489 ((-1260) (-1 (-949 (-216)) (-216)) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-1 (-949 (-216)) (-216)) (-1091 (-384)))) (-15 -4495 ((-1128 (-216)) (-880 (-1 (-216) (-216))) (-1091 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-880 (-1 (-216) (-216))) (-1091 (-384)))) (-15 -4495 ((-1128 (-216)) (-1 (-949 (-216)) (-216)) (-1091 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-1 (-949 (-216)) (-216)) (-1091 (-384)))) (-15 -4489 ((-1260) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384)))) (-15 -4495 ((-1128 (-216)) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384)))) (-15 -4489 ((-1260) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384)))) (-15 -4495 ((-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384)))) (-15 -4489 ((-1260) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384)))) (-15 -4495 ((-1128 (-216)) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384)))) (-15 -4263 ((-1 (-949 (-216)) (-216) (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216)))))) (T -249)) 
+((-4263 (*1 *2 *2 *3) (-12 (-5 *2 (-1 (-949 (-216)) (-216) (-216))) (-5 *3 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-249)))) (-4495 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-882 (-1 (-216) (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) (-4495 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-882 (-1 (-216) (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-882 (-1 (-216) (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *2 (-1260)) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-882 (-1 (-216) (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-249)))) (-4495 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) (-4495 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1260)) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-249)))) (-4495 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) (-4495 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1260)) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-249)))) (-4495 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-949 (-216)) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) (-4495 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-949 (-216)) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) (-4495 (*1 *2 *3 *4) (-12 (-5 *3 (-880 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) (-4495 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-880 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-949 (-216)) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1260)) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-949 (-216)) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4) (-12 (-5 *3 (-880 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *2 (-1260)) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-880 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4) (-12 (-5 *3 (-878 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *2 (-1259)) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-878 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1259)) (-5 *1 (-249)))) (-4489 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-249))))) 
+(-10 -7 (-15 -4489 ((-1259) (-1 (-216) (-216)) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1259) (-1 (-216) (-216)) (-1091 (-384)))) (-15 -4489 ((-1259) (-878 (-1 (-216) (-216))) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1259) (-878 (-1 (-216) (-216))) (-1091 (-384)))) (-15 -4489 ((-1260) (-880 (-1 (-216) (-216))) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-880 (-1 (-216) (-216))) (-1091 (-384)))) (-15 -4489 ((-1260) (-1 (-949 (-216)) (-216)) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-1 (-949 (-216)) (-216)) (-1091 (-384)))) (-15 -4495 ((-1128 (-216)) (-880 (-1 (-216) (-216))) (-1091 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-880 (-1 (-216) (-216))) (-1091 (-384)))) (-15 -4495 ((-1128 (-216)) (-1 (-949 (-216)) (-216)) (-1091 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-1 (-949 (-216)) (-216)) (-1091 (-384)))) (-15 -4489 ((-1260) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384)))) (-15 -4495 ((-1128 (-216)) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-1 (-216) (-216) (-216)) (-1091 (-384)) (-1091 (-384)))) (-15 -4489 ((-1260) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384)))) (-15 -4495 ((-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-384)) (-1091 (-384)))) (-15 -4489 ((-1260) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384)))) (-15 -4495 ((-1128 (-216)) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-882 (-1 (-216) (-216) (-216))) (-1091 (-384)) (-1091 (-384)))) (-15 -4263 ((-1 (-949 (-216)) (-216) (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))))) 
+((-4489 (((-1259) (-289 |#2|) (-1169) (-1169) (-637 (-257))) 93))) 
+(((-250 |#1| |#2|) (-10 -7 (-15 -4489 ((-1259) (-289 |#2|) (-1169) (-1169) (-637 (-257))))) (-13 (-561) (-847) (-1043 (-571))) (-435 |#1|)) (T -250)) 
+((-4489 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-1169)) (-5 *5 (-637 (-257))) (-4 *7 (-435 *6)) (-4 *6 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-1259)) (-5 *1 (-250 *6 *7))))) 
+(-10 -7 (-15 -4489 ((-1259) (-289 |#2|) (-1169) (-1169) (-637 (-257))))) 
+((-4170 (((-571) (-571)) 50)) (-2272 (((-571) (-571)) 51)) (-3141 (((-216) (-216)) 52)) (-4347 (((-1260) (-1 (-170 (-216)) (-170 (-216))) (-1091 (-216)) (-1091 (-216))) 49)) (-2751 (((-1260) (-1 (-170 (-216)) (-170 (-216))) (-1091 (-216)) (-1091 (-216)) (-121)) 47))) 
+(((-251) (-10 -7 (-15 -2751 ((-1260) (-1 (-170 (-216)) (-170 (-216))) (-1091 (-216)) (-1091 (-216)) (-121))) (-15 -4347 ((-1260) (-1 (-170 (-216)) (-170 (-216))) (-1091 (-216)) (-1091 (-216)))) (-15 -4170 ((-571) (-571))) (-15 -2272 ((-571) (-571))) (-15 -3141 ((-216) (-216))))) (T -251)) 
+((-3141 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-251)))) (-2272 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-251)))) (-4170 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-251)))) (-4347 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1091 (-216))) (-5 *2 (-1260)) (-5 *1 (-251)))) (-2751 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1091 (-216))) (-5 *5 (-121)) (-5 *2 (-1260)) (-5 *1 (-251))))) 
+(-10 -7 (-15 -2751 ((-1260) (-1 (-170 (-216)) (-170 (-216))) (-1091 (-216)) (-1091 (-216)) (-121))) (-15 -4347 ((-1260) (-1 (-170 (-216)) (-170 (-216))) (-1091 (-216)) (-1091 (-216)))) (-15 -4170 ((-571) (-571))) (-15 -2272 ((-571) (-571))) (-15 -3141 ((-216) (-216)))) 
+((-3942 (((-1089 (-384)) (-1089 (-311 |#1|))) 16))) 
+(((-252 |#1|) (-10 -7 (-15 -3942 ((-1089 (-384)) (-1089 (-311 |#1|))))) (-13 (-847) (-561) (-612 (-384)))) (T -252)) 
+((-3942 (*1 *2 *3) (-12 (-5 *3 (-1089 (-311 *4))) (-4 *4 (-13 (-847) (-561) (-612 (-384)))) (-5 *2 (-1089 (-384))) (-5 *1 (-252 *4))))) 
+(-10 -7 (-15 -3942 ((-1089 (-384)) (-1089 (-311 |#1|))))) 
+((-4495 (((-1128 (-216)) (-882 |#1|) (-1089 (-384)) (-1089 (-384))) 69) (((-1128 (-216)) (-882 |#1|) (-1089 (-384)) (-1089 (-384)) (-637 (-257))) 68) (((-1128 (-216)) |#1| (-1089 (-384)) (-1089 (-384))) 59) (((-1128 (-216)) |#1| (-1089 (-384)) (-1089 (-384)) (-637 (-257))) 58) (((-1128 (-216)) (-880 |#1|) (-1089 (-384))) 50) (((-1128 (-216)) (-880 |#1|) (-1089 (-384)) (-637 (-257))) 49)) (-4489 (((-1260) (-882 |#1|) (-1089 (-384)) (-1089 (-384))) 72) (((-1260) (-882 |#1|) (-1089 (-384)) (-1089 (-384)) (-637 (-257))) 71) (((-1260) |#1| (-1089 (-384)) (-1089 (-384))) 62) (((-1260) |#1| (-1089 (-384)) (-1089 (-384)) (-637 (-257))) 61) (((-1260) (-880 |#1|) (-1089 (-384))) 54) (((-1260) (-880 |#1|) (-1089 (-384)) (-637 (-257))) 53) (((-1259) (-878 |#1|) (-1089 (-384))) 41) (((-1259) (-878 |#1|) (-1089 (-384)) (-637 (-257))) 40) (((-1259) |#1| (-1089 (-384))) 33) (((-1259) |#1| (-1089 (-384)) (-637 (-257))) 32))) 
+(((-253 |#1|) (-10 -7 (-15 -4489 ((-1259) |#1| (-1089 (-384)) (-637 (-257)))) (-15 -4489 ((-1259) |#1| (-1089 (-384)))) (-15 -4489 ((-1259) (-878 |#1|) (-1089 (-384)) (-637 (-257)))) (-15 -4489 ((-1259) (-878 |#1|) (-1089 (-384)))) (-15 -4489 ((-1260) (-880 |#1|) (-1089 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-880 |#1|) (-1089 (-384)))) (-15 -4495 ((-1128 (-216)) (-880 |#1|) (-1089 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-880 |#1|) (-1089 (-384)))) (-15 -4489 ((-1260) |#1| (-1089 (-384)) (-1089 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) |#1| (-1089 (-384)) (-1089 (-384)))) (-15 -4495 ((-1128 (-216)) |#1| (-1089 (-384)) (-1089 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) |#1| (-1089 (-384)) (-1089 (-384)))) (-15 -4489 ((-1260) (-882 |#1|) (-1089 (-384)) (-1089 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-882 |#1|) (-1089 (-384)) (-1089 (-384)))) (-15 -4495 ((-1128 (-216)) (-882 |#1|) (-1089 (-384)) (-1089 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-882 |#1|) (-1089 (-384)) (-1089 (-384))))) (-13 (-612 (-544)) (-1097))) (T -253)) 
+((-4495 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-882 *5)) (-5 *4 (-1089 (-384))) (-4 *5 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *5)))) (-4495 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-882 *6)) (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-4 *6 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *6)))) (-4489 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-882 *5)) (-5 *4 (-1089 (-384))) (-4 *5 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1260)) (-5 *1 (-253 *5)))) (-4489 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-882 *6)) (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-4 *6 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1260)) (-5 *1 (-253 *6)))) (-4495 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1089 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) (-4495 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) (-4489 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1089 (-384))) (-5 *2 (-1260)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) (-4489 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) (-4495 (*1 *2 *3 *4) (-12 (-5 *3 (-880 *5)) (-5 *4 (-1089 (-384))) (-4 *5 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *5)))) (-4495 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-880 *6)) (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-4 *6 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *6)))) (-4489 (*1 *2 *3 *4) (-12 (-5 *3 (-880 *5)) (-5 *4 (-1089 (-384))) (-4 *5 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1260)) (-5 *1 (-253 *5)))) (-4489 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-880 *6)) (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-4 *6 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1260)) (-5 *1 (-253 *6)))) (-4489 (*1 *2 *3 *4) (-12 (-5 *3 (-878 *5)) (-5 *4 (-1089 (-384))) (-4 *5 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1259)) (-5 *1 (-253 *5)))) (-4489 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-878 *6)) (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-4 *6 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1259)) (-5 *1 (-253 *6)))) (-4489 (*1 *2 *3 *4) (-12 (-5 *4 (-1089 (-384))) (-5 *2 (-1259)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) (-4489 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097)))))) 
+(-10 -7 (-15 -4489 ((-1259) |#1| (-1089 (-384)) (-637 (-257)))) (-15 -4489 ((-1259) |#1| (-1089 (-384)))) (-15 -4489 ((-1259) (-878 |#1|) (-1089 (-384)) (-637 (-257)))) (-15 -4489 ((-1259) (-878 |#1|) (-1089 (-384)))) (-15 -4489 ((-1260) (-880 |#1|) (-1089 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-880 |#1|) (-1089 (-384)))) (-15 -4495 ((-1128 (-216)) (-880 |#1|) (-1089 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-880 |#1|) (-1089 (-384)))) (-15 -4489 ((-1260) |#1| (-1089 (-384)) (-1089 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) |#1| (-1089 (-384)) (-1089 (-384)))) (-15 -4495 ((-1128 (-216)) |#1| (-1089 (-384)) (-1089 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) |#1| (-1089 (-384)) (-1089 (-384)))) (-15 -4489 ((-1260) (-882 |#1|) (-1089 (-384)) (-1089 (-384)) (-637 (-257)))) (-15 -4489 ((-1260) (-882 |#1|) (-1089 (-384)) (-1089 (-384)))) (-15 -4495 ((-1128 (-216)) (-882 |#1|) (-1089 (-384)) (-1089 (-384)) (-637 (-257)))) (-15 -4495 ((-1128 (-216)) (-882 |#1|) (-1089 (-384)) (-1089 (-384))))) 
+((-4489 (((-1260) (-637 (-216)) (-637 (-216)) (-637 (-216)) (-637 (-257))) 21) (((-1260) (-637 (-216)) (-637 (-216)) (-637 (-216))) 22) (((-1259) (-637 (-949 (-216))) (-637 (-257))) 13) (((-1259) (-637 (-949 (-216)))) 14) (((-1259) (-637 (-216)) (-637 (-216)) (-637 (-257))) 18) (((-1259) (-637 (-216)) (-637 (-216))) 19))) 
+(((-254) (-10 -7 (-15 -4489 ((-1259) (-637 (-216)) (-637 (-216)))) (-15 -4489 ((-1259) (-637 (-216)) (-637 (-216)) (-637 (-257)))) (-15 -4489 ((-1259) (-637 (-949 (-216))))) (-15 -4489 ((-1259) (-637 (-949 (-216))) (-637 (-257)))) (-15 -4489 ((-1260) (-637 (-216)) (-637 (-216)) (-637 (-216)))) (-15 -4489 ((-1260) (-637 (-216)) (-637 (-216)) (-637 (-216)) (-637 (-257)))))) (T -254)) 
+((-4489 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-637 (-216))) (-5 *4 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-254)))) (-4489 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-1260)) (-5 *1 (-254)))) (-4489 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-949 (-216)))) (-5 *4 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-254)))) (-4489 (*1 *2 *3) (-12 (-5 *3 (-637 (-949 (-216)))) (-5 *2 (-1259)) (-5 *1 (-254)))) (-4489 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-637 (-216))) (-5 *4 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-254)))) (-4489 (*1 *2 *3 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-1259)) (-5 *1 (-254))))) 
+(-10 -7 (-15 -4489 ((-1259) (-637 (-216)) (-637 (-216)))) (-15 -4489 ((-1259) (-637 (-216)) (-637 (-216)) (-637 (-257)))) (-15 -4489 ((-1259) (-637 (-949 (-216))))) (-15 -4489 ((-1259) (-637 (-949 (-216))) (-637 (-257)))) (-15 -4489 ((-1260) (-637 (-216)) (-637 (-216)) (-637 (-216)))) (-15 -4489 ((-1260) (-637 (-216)) (-637 (-216)) (-637 (-216)) (-637 (-257))))) 
+((-3208 (((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-637 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 24)) (-3088 (((-922) (-637 (-257)) (-922)) 49)) (-3191 (((-922) (-637 (-257)) (-922)) 48)) (-1795 (((-637 (-384)) (-637 (-257)) (-637 (-384))) 65)) (-2145 (((-384) (-637 (-257)) (-384)) 55)) (-3167 (((-922) (-637 (-257)) (-922)) 50)) (-3686 (((-121) (-637 (-257)) (-121)) 26)) (-3462 (((-1151) (-637 (-257)) (-1151)) 19)) (-2586 (((-1151) (-637 (-257)) (-1151)) 25)) (-3926 (((-1128 (-216)) (-637 (-257))) 43)) (-4180 (((-637 (-1091 (-384))) (-637 (-257)) (-637 (-1091 (-384)))) 37)) (-2468 (((-874) (-637 (-257)) (-874)) 31)) (-3887 (((-874) (-637 (-257)) (-874)) 32)) (-2335 (((-1 (-949 (-216)) (-949 (-216))) (-637 (-257)) (-1 (-949 (-216)) (-949 (-216)))) 60)) (-3211 (((-121) (-637 (-257)) (-121)) 15)) (-2307 (((-121) (-637 (-257)) (-121)) 14))) 
+(((-255) (-10 -7 (-15 -2307 ((-121) (-637 (-257)) (-121))) (-15 -3211 ((-121) (-637 (-257)) (-121))) (-15 -3208 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-637 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3462 ((-1151) (-637 (-257)) (-1151))) (-15 -2586 ((-1151) (-637 (-257)) (-1151))) (-15 -3686 ((-121) (-637 (-257)) (-121))) (-15 -2468 ((-874) (-637 (-257)) (-874))) (-15 -3887 ((-874) (-637 (-257)) (-874))) (-15 -4180 ((-637 (-1091 (-384))) (-637 (-257)) (-637 (-1091 (-384))))) (-15 -3191 ((-922) (-637 (-257)) (-922))) (-15 -3088 ((-922) (-637 (-257)) (-922))) (-15 -3926 ((-1128 (-216)) (-637 (-257)))) (-15 -3167 ((-922) (-637 (-257)) (-922))) (-15 -2145 ((-384) (-637 (-257)) (-384))) (-15 -2335 ((-1 (-949 (-216)) (-949 (-216))) (-637 (-257)) (-1 (-949 (-216)) (-949 (-216))))) (-15 -1795 ((-637 (-384)) (-637 (-257)) (-637 (-384)))))) (T -255)) 
+((-1795 (*1 *2 *3 *2) (-12 (-5 *2 (-637 (-384))) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-2335 (*1 *2 *3 *2) (-12 (-5 *2 (-1 (-949 (-216)) (-949 (-216)))) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-2145 (*1 *2 *3 *2) (-12 (-5 *2 (-384)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-3167 (*1 *2 *3 *2) (-12 (-5 *2 (-922)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-3926 (*1 *2 *3) (-12 (-5 *3 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-255)))) (-3088 (*1 *2 *3 *2) (-12 (-5 *2 (-922)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-3191 (*1 *2 *3 *2) (-12 (-5 *2 (-922)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-4180 (*1 *2 *3 *2) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-3887 (*1 *2 *3 *2) (-12 (-5 *2 (-874)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-2468 (*1 *2 *3 *2) (-12 (-5 *2 (-874)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-3686 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-2586 (*1 *2 *3 *2) (-12 (-5 *2 (-1151)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-3462 (*1 *2 *3 *2) (-12 (-5 *2 (-1151)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-3208 (*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-3211 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) (-2307 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-637 (-257))) (-5 *1 (-255))))) 
+(-10 -7 (-15 -2307 ((-121) (-637 (-257)) (-121))) (-15 -3211 ((-121) (-637 (-257)) (-121))) (-15 -3208 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-637 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3462 ((-1151) (-637 (-257)) (-1151))) (-15 -2586 ((-1151) (-637 (-257)) (-1151))) (-15 -3686 ((-121) (-637 (-257)) (-121))) (-15 -2468 ((-874) (-637 (-257)) (-874))) (-15 -3887 ((-874) (-637 (-257)) (-874))) (-15 -4180 ((-637 (-1091 (-384))) (-637 (-257)) (-637 (-1091 (-384))))) (-15 -3191 ((-922) (-637 (-257)) (-922))) (-15 -3088 ((-922) (-637 (-257)) (-922))) (-15 -3926 ((-1128 (-216)) (-637 (-257)))) (-15 -3167 ((-922) (-637 (-257)) (-922))) (-15 -2145 ((-384) (-637 (-257)) (-384))) (-15 -2335 ((-1 (-949 (-216)) (-949 (-216))) (-637 (-257)) (-1 (-949 (-216)) (-949 (-216))))) (-15 -1795 ((-637 (-384)) (-637 (-257)) (-637 (-384))))) 
+((-2875 (((-3 |#1| "failed") (-637 (-257)) (-1169)) 17))) 
+(((-256 |#1|) (-10 -7 (-15 -2875 ((-3 |#1| "failed") (-637 (-257)) (-1169)))) (-1203)) (T -256)) 
+((-2875 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-637 (-257))) (-5 *4 (-1169)) (-5 *1 (-256 *2)) (-4 *2 (-1203))))) 
+(-10 -7 (-15 -2875 ((-3 |#1| "failed") (-637 (-257)) (-1169)))) 
+((-2234 (((-121) $ $) NIL)) (-3208 (($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 14)) (-3088 (($ (-922)) 70)) (-3191 (($ (-922)) 69)) (-3691 (($ (-637 (-384))) 76)) (-2145 (($ (-384)) 55)) (-3167 (($ (-922)) 71)) (-3686 (($ (-121)) 22)) (-3462 (($ (-1151)) 17)) (-2586 (($ (-1151)) 18)) (-3926 (($ (-1128 (-216))) 65)) (-4180 (($ (-637 (-1091 (-384)))) 61)) (-1981 (($ (-637 (-1091 (-384)))) 56) (($ (-637 (-1091 (-412 (-571))))) 60)) (-2083 (($ (-384)) 28) (($ (-874)) 32)) (-3703 (((-121) (-637 $) (-1169)) 85)) (-2875 (((-3 (-57) "failed") (-637 $) (-1169)) 87)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4256 (($ (-384)) 33) (($ (-874)) 34)) (-3723 (($ (-1 (-949 (-216)) (-949 (-216)))) 54)) (-2335 (($ (-1 (-949 (-216)) (-949 (-216)))) 72)) (-1761 (($ (-1 (-216) (-216))) 38) (($ (-1 (-216) (-216) (-216))) 42) (($ (-1 (-216) (-216) (-216) (-216))) 46)) (-3942 (((-855) $) 81)) (-3779 (($ (-121)) 23) (($ (-637 (-1091 (-384)))) 50)) (-2307 (($ (-121)) 24)) (-1323 (((-121) $ $) 83))) 
+(((-257) (-13 (-1097) (-10 -8 (-15 -2307 ($ (-121))) (-15 -3779 ($ (-121))) (-15 -3208 ($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3462 ($ (-1151))) (-15 -2586 ($ (-1151))) (-15 -3686 ($ (-121))) (-15 -3779 ($ (-637 (-1091 (-384))))) (-15 -3723 ($ (-1 (-949 (-216)) (-949 (-216))))) (-15 -2083 ($ (-384))) (-15 -2083 ($ (-874))) (-15 -4256 ($ (-384))) (-15 -4256 ($ (-874))) (-15 -1761 ($ (-1 (-216) (-216)))) (-15 -1761 ($ (-1 (-216) (-216) (-216)))) (-15 -1761 ($ (-1 (-216) (-216) (-216) (-216)))) (-15 -2145 ($ (-384))) (-15 -1981 ($ (-637 (-1091 (-384))))) (-15 -1981 ($ (-637 (-1091 (-412 (-571)))))) (-15 -4180 ($ (-637 (-1091 (-384))))) (-15 -3926 ($ (-1128 (-216)))) (-15 -3191 ($ (-922))) (-15 -3088 ($ (-922))) (-15 -3167 ($ (-922))) (-15 -2335 ($ (-1 (-949 (-216)) (-949 (-216))))) (-15 -3691 ($ (-637 (-384)))) (-15 -2875 ((-3 (-57) "failed") (-637 $) (-1169))) (-15 -3703 ((-121) (-637 $) (-1169)))))) (T -257)) 
+((-2307 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-3779 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-3208 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-257)))) (-3462 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-257)))) (-2586 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-257)))) (-3686 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-3779 (*1 *1 *2) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *1 (-257)))) (-3723 (*1 *1 *2) (-12 (-5 *2 (-1 (-949 (-216)) (-949 (-216)))) (-5 *1 (-257)))) (-2083 (*1 *1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-257)))) (-2083 (*1 *1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-257)))) (-4256 (*1 *1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-257)))) (-4256 (*1 *1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-257)))) (-1761 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-257)))) (-1761 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-257)))) (-1761 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-257)))) (-2145 (*1 *1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-257)))) (-1981 (*1 *1 *2) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *1 (-257)))) (-1981 (*1 *1 *2) (-12 (-5 *2 (-637 (-1091 (-412 (-571))))) (-5 *1 (-257)))) (-4180 (*1 *1 *2) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *1 (-257)))) (-3926 (*1 *1 *2) (-12 (-5 *2 (-1128 (-216))) (-5 *1 (-257)))) (-3191 (*1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-257)))) (-3088 (*1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-257)))) (-3167 (*1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-257)))) (-2335 (*1 *1 *2) (-12 (-5 *2 (-1 (-949 (-216)) (-949 (-216)))) (-5 *1 (-257)))) (-3691 (*1 *1 *2) (-12 (-5 *2 (-637 (-384))) (-5 *1 (-257)))) (-2875 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-637 (-257))) (-5 *4 (-1169)) (-5 *2 (-57)) (-5 *1 (-257)))) (-3703 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-257))) (-5 *4 (-1169)) (-5 *2 (-121)) (-5 *1 (-257))))) 
+(-13 (-1097) (-10 -8 (-15 -2307 ($ (-121))) (-15 -3779 ($ (-121))) (-15 -3208 ($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3462 ($ (-1151))) (-15 -2586 ($ (-1151))) (-15 -3686 ($ (-121))) (-15 -3779 ($ (-637 (-1091 (-384))))) (-15 -3723 ($ (-1 (-949 (-216)) (-949 (-216))))) (-15 -2083 ($ (-384))) (-15 -2083 ($ (-874))) (-15 -4256 ($ (-384))) (-15 -4256 ($ (-874))) (-15 -1761 ($ (-1 (-216) (-216)))) (-15 -1761 ($ (-1 (-216) (-216) (-216)))) (-15 -1761 ($ (-1 (-216) (-216) (-216) (-216)))) (-15 -2145 ($ (-384))) (-15 -1981 ($ (-637 (-1091 (-384))))) (-15 -1981 ($ (-637 (-1091 (-412 (-571)))))) (-15 -4180 ($ (-637 (-1091 (-384))))) (-15 -3926 ($ (-1128 (-216)))) (-15 -3191 ($ (-922))) (-15 -3088 ($ (-922))) (-15 -3167 ($ (-922))) (-15 -2335 ($ (-1 (-949 (-216)) (-949 (-216))))) (-15 -3691 ($ (-637 (-384)))) (-15 -2875 ((-3 (-57) "failed") (-637 $) (-1169))) (-15 -3703 ((-121) (-637 $) (-1169))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4566 (((-637 (-768)) $) NIL) (((-637 (-768)) $ |#2|) NIL)) (-4357 (((-768) $) NIL) (((-768) $ |#2|) NIL)) (-3424 (((-637 |#3|) $) NIL)) (-4257 (((-1165 $) $ |#3|) NIL) (((-1165 |#1|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 |#3|)) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2356 (($ $) NIL (|has| |#1| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1430 (($ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 |#3| "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-1120 |#1| |#2|) "failed") $) 20)) (-1316 ((|#1| $) NIL) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) ((|#3| $) NIL) ((|#2| $) NIL) (((-1120 |#1| |#2|) $) NIL)) (-3730 (($ $ $ |#3|) NIL (|has| |#1| (-173)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#1| (-456))) (($ $ |#3|) NIL (|has| |#1| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#1| (-909)))) (-1420 (($ $ |#1| (-537 |#3|) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| |#1| (-886 (-384))) (|has| |#3| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| |#1| (-886 (-571))) (|has| |#3| (-886 (-571)))))) (-3347 (((-768) $ |#2|) NIL) (((-768) $) 10)) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-4296 (($ (-1165 |#1|) |#3|) NIL) (($ (-1165 $) |#3|) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-537 |#3|)) NIL) (($ $ |#3| (-768)) NIL) (($ $ (-637 |#3|) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ |#3|) NIL)) (-3973 (((-537 |#3|) $) NIL) (((-768) $ |#3|) NIL) (((-637 (-768)) $ (-637 |#3|)) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-2587 (($ (-1 (-537 |#3|) (-537 |#3|)) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3326 (((-1 $ (-768)) |#2|) NIL) (((-1 $ (-768)) $) NIL (|has| |#1| (-226)))) (-2510 (((-3 |#3| "failed") $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3993 ((|#3| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-3944 (((-1151) $) NIL)) (-4214 (((-121) $) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| |#3|) (|:| -2154 (-768))) "failed") $) NIL)) (-2097 (($ $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#1| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-909)))) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ |#3| |#1|) NIL) (($ $ (-637 |#3|) (-637 |#1|)) NIL) (($ $ |#3| $) NIL) (($ $ (-637 |#3|) (-637 $)) NIL) (($ $ |#2| $) NIL (|has| |#1| (-226))) (($ $ (-637 |#2|) (-637 $)) NIL (|has| |#1| (-226))) (($ $ |#2| |#1|) NIL (|has| |#1| (-226))) (($ $ (-637 |#2|) (-637 |#1|)) NIL (|has| |#1| (-226)))) (-1475 (($ $ |#3|) NIL (|has| |#1| (-173)))) (-3096 (($ $ |#3|) NIL) (($ $ (-637 |#3|)) NIL) (($ $ |#3| (-768)) NIL) (($ $ (-637 |#3|) (-637 (-768))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2755 (((-637 |#2|) $) NIL)) (-2400 (((-537 |#3|) $) NIL) (((-768) $ |#3|) NIL) (((-637 (-768)) $ (-637 |#3|)) NIL) (((-768) $ |#2|) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| |#1| (-612 (-892 (-384)))) (|has| |#3| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| |#1| (-612 (-892 (-571)))) (|has| |#3| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| |#1| (-612 (-544))) (|has| |#3| (-612 (-544)))))) (-4189 ((|#1| $) NIL (|has| |#1| (-456))) (($ $ |#3|) NIL (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) 23) (($ |#3|) 22) (($ |#2|) NIL) (($ (-1120 |#1| |#2|)) 28) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-537 |#3|)) NIL) (($ $ |#3| (-768)) NIL) (($ $ (-637 |#3|) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#1| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ |#3|) NIL) (($ $ (-637 |#3|)) NIL) (($ $ |#3| (-768)) NIL) (($ $ (-637 |#3|) (-637 (-768))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-258 |#1| |#2| |#3|) (-13 (-247 |#1| |#2| |#3| (-537 |#3|)) (-1043 (-1120 |#1| |#2|))) (-1053) (-847) (-263 |#2|)) (T -258)) 
+NIL 
+(-13 (-247 |#1| |#2| |#3| (-537 |#3|)) (-1043 (-1120 |#1| |#2|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-2139 ((|#1| $) 45)) (-4107 (($ |#1| (-637 $)) 51) (($ |#1|) 50) (($ (-637 |#1|)) 49)) (-3133 (((-121) $ (-768)) 8)) (-2815 ((|#1| $ |#1|) 36 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 38 (|has| $ (-6 -4601)))) (-2269 (($) 7 T CONST)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 47)) (-4114 (((-121) $ $) 39 (|has| |#1| (-1097)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3392 (((-637 |#1|) $) 42)) (-2945 (((-121) $) 46)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ "value") 44)) (-2514 (((-571) $ $) 41)) (-1664 (((-121) $) 43)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 48)) (-3014 (((-121) $ $) 40 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-259 |#1|) (-1289) (-1097)) (T -259)) 
+((-4107 (*1 *1 *2 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-259 *2)) (-4 *2 (-1097)))) (-4107 (*1 *1 *2) (-12 (-4 *1 (-259 *2)) (-4 *2 (-1097)))) (-4107 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-4 *1 (-259 *3))))) 
+(-13 (-1016 |t#1|) (-10 -8 (-6 -4601) (-6 -4600) (-15 -4107 ($ |t#1| (-637 $))) (-15 -4107 ($ |t#1|)) (-15 -4107 ($ (-637 |t#1|))))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1016 |#1|) . T) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) 12)) (-4107 (($ |#1| (-637 $)) 31) (($ |#1|) 32) (($ (-637 |#1|)) 33)) (-3133 (((-121) $ (-768)) NIL)) (-2815 ((|#1| $ |#1|) 35 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 34 (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3392 (((-637 |#1|) $) 22)) (-2945 (((-121) $) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3941 (((-121) (-121)) 18) (((-121)) 19)) (-3104 (((-855) $) 15)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2279 (((-1151) $) 28)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ "value") NIL)) (-2514 (((-571) $ $) NIL)) (-1664 (((-121) $) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-855) $) 30 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 8)) (-3014 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 26 (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-260 |#1|) (-13 (-259 |#1|) (-10 -8 (-15 -2279 ((-1151) $)) (-15 -3104 ((-855) $)) (-15 -3941 ((-121) (-121))) (-15 -3941 ((-121))))) (-1097)) (T -260)) 
+((-2279 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-260 *3)) (-4 *3 (-1097)))) (-3104 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-260 *3)) (-4 *3 (-1097)))) (-3941 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1097)))) (-3941 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1097))))) 
+(-13 (-259 |#1|) (-10 -8 (-15 -2279 ((-1151) $)) (-15 -3104 ((-855) $)) (-15 -3941 ((-121) (-121))) (-15 -3941 ((-121))))) 
+((-3215 (((-1263) |#10| (-637 |#3|)) 133) (((-1263) |#10|) 135)) (-1301 (((-1263) |#10|) NIL)) (-4473 ((|#8| |#10|) 28)) (-4091 (((-571) (-768) (-637 |#10|)) 147)) (-1549 (((-768) (-768) (-637 |#10|)) 145)) (-3939 (((-571) |#3|) 148)) (-3970 (((-768) |#3|) 146)) (-1398 (((-1263) |#10|) 136)) (-1921 ((|#8| |#3| |#10|) 111)) (-2828 ((|#10| |#5| |#3|) 138)) (-3033 (((-637 |#10|) |#3|) 144)) (-3406 (((-1263) |#10|) 134)) (-2654 (((-637 |#9|) |#9|) 87)) (-2820 ((|#8| |#10|) 110))) 
+(((-261 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -2654 ((-637 |#9|) |#9|)) (-15 -1921 (|#8| |#3| |#10|)) (-15 -2820 (|#8| |#10|)) (-15 -3406 ((-1263) |#10|)) (-15 -2828 (|#10| |#5| |#3|)) (-15 -3033 ((-637 |#10|) |#3|)) (-15 -1398 ((-1263) |#10|)) (-15 -1301 ((-1263) |#10|)) (-15 -3215 ((-1263) |#10|)) (-15 -3215 ((-1263) |#10| (-637 |#3|))) (-15 -3970 ((-768) |#3|)) (-15 -3939 ((-571) |#3|)) (-15 -1549 ((-768) (-768) (-637 |#10|))) (-15 -4473 (|#8| |#10|)) (-15 -4091 ((-571) (-768) (-637 |#10|)))) (-367) (-637 (-1169)) (-955 |#1| |#4| (-857 |#2|)) (-231 (-4001 |#2|) (-768)) (-977 |#1|) (-644 |#1|) (-925 |#1| |#6|) (-236 |#7|) (-539 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -261)) 
+((-4091 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *14)) (-4 *14 (-259 *13)) (-4 *13 (-539 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) *3)) (-4 *9 (-977 *5)) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-4 *12 (-236 *11)) (-5 *3 (-768)) (-5 *2 (-571)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15)))) (-4473 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-539 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) (-1549 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *13)) (-4 *13 (-259 *12)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) *2)) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-5 *2 (-768)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)))) (-3939 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-571)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3970 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) *2)) (-4 *7 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-768)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3215 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *7)) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) (-768))) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *9 (-977 *5)) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-4 *12 (-236 *11)) (-4 *13 (-539 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1263)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-259 *13)))) (-3215 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1263)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-1301 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1263)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-1398 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1263)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-3033 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *12)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2828 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *4 (-955 *5 *7 (-857 *6))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *3 (-977 *5)) (-4 *8 (-644 *5)) (-4 *9 (-925 *5 *8)) (-4 *10 (-236 *9)) (-4 *12 (-117)) (-4 *2 (-259 *11)) (-5 *1 (-261 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-539 *5 *6 *4 *7 *3 *8 *9 *10 *12)))) (-3406 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1263)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-2820 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-539 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) (-1921 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *8 (-977 *5)) (-4 *9 (-644 *5)) (-4 *10 (-925 *5 *9)) (-4 *11 (-539 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-259 *11)))) (-2654 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *3 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-637 *3)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-259 *3))))) 
+(-10 -7 (-15 -2654 ((-637 |#9|) |#9|)) (-15 -1921 (|#8| |#3| |#10|)) (-15 -2820 (|#8| |#10|)) (-15 -3406 ((-1263) |#10|)) (-15 -2828 (|#10| |#5| |#3|)) (-15 -3033 ((-637 |#10|) |#3|)) (-15 -1398 ((-1263) |#10|)) (-15 -1301 ((-1263) |#10|)) (-15 -3215 ((-1263) |#10|)) (-15 -3215 ((-1263) |#10| (-637 |#3|))) (-15 -3970 ((-768) |#3|)) (-15 -3939 ((-571) |#3|)) (-15 -1549 ((-768) (-768) (-637 |#10|))) (-15 -4473 (|#8| |#10|)) (-15 -4091 ((-571) (-768) (-637 |#10|)))) 
+((-4357 (((-768) $) 30)) (-3337 (((-3 |#2| "failed") $) 17)) (-1316 ((|#2| $) 27)) (-3096 (($ $) 12) (($ $ (-768)) 15)) (-3942 (((-855) $) 26) (($ |#2|) 10)) (-1323 (((-121) $ $) 20)) (-1331 (((-121) $ $) 29))) 
+(((-262 |#1| |#2|) (-10 -8 (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1|)) (-15 -4357 ((-768) |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -1331 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) (-263 |#2|) (-847)) (T -262)) 
+NIL 
+(-10 -8 (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1|)) (-15 -4357 ((-768) |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -1331 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4357 (((-768) $) 21)) (-3312 ((|#1| $) 22)) (-3337 (((-3 |#1| "failed") $) 26)) (-1316 ((|#1| $) 25)) (-3347 (((-768) $) 23)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3326 (($ |#1| (-768)) 24)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3096 (($ $) 20) (($ $ (-768)) 19)) (-3942 (((-855) $) 11) (($ |#1|) 27)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17))) 
+(((-263 |#1|) (-1289) (-847)) (T -263)) 
+((-3942 (*1 *1 *2) (-12 (-4 *1 (-263 *2)) (-4 *2 (-847)))) (-3326 (*1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-263 *2)) (-4 *2 (-847)))) (-3347 (*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-847)) (-5 *2 (-768)))) (-3312 (*1 *2 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-847)))) (-4357 (*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-847)) (-5 *2 (-768)))) (-3096 (*1 *1 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-847)))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-263 *3)) (-4 *3 (-847))))) 
+(-13 (-847) (-1043 |t#1|) (-10 -8 (-15 -3326 ($ |t#1| (-768))) (-15 -3347 ((-768) $)) (-15 -3312 (|t#1| $)) (-15 -4357 ((-768) $)) (-15 -3096 ($ $)) (-15 -3096 ($ $ (-768))) (-15 -3942 ($ |t#1|)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-847) . T) ((-1043 |#1|) . T) ((-1097) . T)) 
+((-3424 (((-637 (-1169)) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) 40)) (-3171 (((-637 (-1169)) (-311 (-216)) (-768)) 79)) (-1328 (((-3 (-311 (-216)) "failed") (-311 (-216))) 50)) (-1386 (((-311 (-216)) (-311 (-216))) 65)) (-4072 (((-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 26)) (-3875 (((-121) (-637 (-311 (-216)))) 83)) (-2119 (((-121) (-311 (-216))) 24)) (-2273 (((-637 (-1151)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))))) 104)) (-2500 (((-637 (-311 (-216))) (-637 (-311 (-216)))) 86)) (-2477 (((-637 (-311 (-216))) (-637 (-311 (-216)))) 85)) (-4242 (((-684 (-216)) (-637 (-311 (-216))) (-768)) 93)) (-2167 (((-121) (-311 (-216))) 20) (((-121) (-637 (-311 (-216)))) 84)) (-1844 (((-637 (-216)) (-637 (-840 (-216))) (-216)) 14)) (-2305 (((-384) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) 99)) (-3900 (((-1041) (-1169) (-1041)) 33))) 
+(((-264) (-10 -7 (-15 -1844 ((-637 (-216)) (-637 (-840 (-216))) (-216))) (-15 -4072 ((-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216))))))) (-15 -1328 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -1386 ((-311 (-216)) (-311 (-216)))) (-15 -3875 ((-121) (-637 (-311 (-216))))) (-15 -2167 ((-121) (-637 (-311 (-216))))) (-15 -2167 ((-121) (-311 (-216)))) (-15 -4242 ((-684 (-216)) (-637 (-311 (-216))) (-768))) (-15 -2477 ((-637 (-311 (-216))) (-637 (-311 (-216))))) (-15 -2500 ((-637 (-311 (-216))) (-637 (-311 (-216))))) (-15 -2119 ((-121) (-311 (-216)))) (-15 -3424 ((-637 (-1169)) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) (-15 -3171 ((-637 (-1169)) (-311 (-216)) (-768))) (-15 -3900 ((-1041) (-1169) (-1041))) (-15 -2305 ((-384) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) (-15 -2273 ((-637 (-1151)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))))))) (T -264)) 
+((-2273 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))))) (-5 *2 (-637 (-1151))) (-5 *1 (-264)))) (-2305 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) (-5 *2 (-384)) (-5 *1 (-264)))) (-3900 (*1 *2 *3 *2) (-12 (-5 *2 (-1041)) (-5 *3 (-1169)) (-5 *1 (-264)))) (-3171 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-768)) (-5 *2 (-637 (-1169))) (-5 *1 (-264)))) (-3424 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) (-5 *2 (-637 (-1169))) (-5 *1 (-264)))) (-2119 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) (-2500 (*1 *2 *2) (-12 (-5 *2 (-637 (-311 (-216)))) (-5 *1 (-264)))) (-2477 (*1 *2 *2) (-12 (-5 *2 (-637 (-311 (-216)))) (-5 *1 (-264)))) (-4242 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-311 (-216)))) (-5 *4 (-768)) (-5 *2 (-684 (-216))) (-5 *1 (-264)))) (-2167 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) (-2167 (*1 *2 *3) (-12 (-5 *3 (-637 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) (-3875 (*1 *2 *3) (-12 (-5 *3 (-637 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) (-1386 (*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-264)))) (-1328 (*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-264)))) (-4072 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (-5 *1 (-264)))) (-1844 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-840 (-216)))) (-5 *4 (-216)) (-5 *2 (-637 *4)) (-5 *1 (-264))))) 
+(-10 -7 (-15 -1844 ((-637 (-216)) (-637 (-840 (-216))) (-216))) (-15 -4072 ((-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216))))))) (-15 -1328 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -1386 ((-311 (-216)) (-311 (-216)))) (-15 -3875 ((-121) (-637 (-311 (-216))))) (-15 -2167 ((-121) (-637 (-311 (-216))))) (-15 -2167 ((-121) (-311 (-216)))) (-15 -4242 ((-684 (-216)) (-637 (-311 (-216))) (-768))) (-15 -2477 ((-637 (-311 (-216))) (-637 (-311 (-216))))) (-15 -2500 ((-637 (-311 (-216))) (-637 (-311 (-216))))) (-15 -2119 ((-121) (-311 (-216)))) (-15 -3424 ((-637 (-1169)) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) (-15 -3171 ((-637 (-1169)) (-311 (-216)) (-768))) (-15 -3900 ((-1041) (-1169) (-1041))) (-15 -2305 ((-384) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) (-15 -2273 ((-637 (-1151)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))))))) 
+((-2234 (((-121) $ $) NIL)) (-1765 (((-1041) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) NIL) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 39)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 20) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-265) (-836)) (T -265)) 
+NIL 
+(-836) 
+((-2234 (((-121) $ $) NIL)) (-1765 (((-1041) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) 54) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 49)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 29) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) 31)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-266) (-836)) (T -266)) 
+NIL 
+(-836) 
+((-2234 (((-121) $ $) NIL)) (-1765 (((-1041) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) 73) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 69)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 40) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) 51)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-267) (-836)) (T -267)) 
+NIL 
+(-836) 
+((-2234 (((-121) $ $) NIL)) (-1765 (((-1041) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) NIL) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 48)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 27) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-268) (-836)) (T -268)) 
+NIL 
+(-836) 
+((-2234 (((-121) $ $) NIL)) (-1765 (((-1041) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) NIL) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 48)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 23) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-269) (-836)) (T -269)) 
+NIL 
+(-836) 
+((-2234 (((-121) $ $) NIL)) (-1765 (((-1041) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) NIL) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 69)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 23) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-270) (-836)) (T -270)) 
+NIL 
+(-836) 
+((-2234 (((-121) $ $) NIL)) (-1765 (((-1041) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) NIL) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 73)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 19) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-271) (-836)) (T -271)) 
+NIL 
+(-836) 
+((-2234 (((-121) $ $) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3775 (((-637 (-571)) $) 16)) (-2400 (((-768) $) 14)) (-3942 (((-855) $) 20) (($ (-637 (-571))) 12)) (-4007 (($ (-768)) 17)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 9)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 10))) 
+(((-272) (-13 (-847) (-10 -8 (-15 -3942 ($ (-637 (-571)))) (-15 -2400 ((-768) $)) (-15 -3775 ((-637 (-571)) $)) (-15 -4007 ($ (-768)))))) (T -272)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-272)))) (-2400 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-272)))) (-3775 (*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-272)))) (-4007 (*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-272))))) 
+(-13 (-847) (-10 -8 (-15 -3942 ($ (-637 (-571)))) (-15 -2400 ((-768) $)) (-15 -3775 ((-637 (-571)) $)) (-15 -4007 ($ (-768))))) 
+((-4255 ((|#2| |#2|) 77)) (-4192 ((|#2| |#2|) 65)) (-4477 (((-3 |#2| "failed") |#2| (-637 (-2 (|:| |func| |#2|) (|:| |pole| (-121))))) 116)) (-4243 ((|#2| |#2|) 75)) (-4185 ((|#2| |#2|) 63)) (-4266 ((|#2| |#2|) 79)) (-4201 ((|#2| |#2|) 67)) (-4153 ((|#2|) 46)) (-3513 (((-123) (-123)) 95)) (-3509 ((|#2| |#2|) 61)) (-3484 (((-121) |#2|) 134)) (-3663 ((|#2| |#2|) 180)) (-3396 ((|#2| |#2|) 156)) (-3646 ((|#2|) 59)) (-1347 ((|#2|) 58)) (-3824 ((|#2| |#2|) 176)) (-2395 ((|#2| |#2|) 152)) (-1809 ((|#2| |#2|) 184)) (-2784 ((|#2| |#2|) 160)) (-1924 ((|#2| |#2|) 148)) (-1952 ((|#2| |#2|) 150)) (-3448 ((|#2| |#2|) 186)) (-4298 ((|#2| |#2|) 162)) (-4062 ((|#2| |#2|) 182)) (-2850 ((|#2| |#2|) 158)) (-2873 ((|#2| |#2|) 178)) (-3959 ((|#2| |#2|) 154)) (-1794 ((|#2| |#2|) 192)) (-2531 ((|#2| |#2|) 168)) (-1531 ((|#2| |#2|) 188)) (-2285 ((|#2| |#2|) 164)) (-2874 ((|#2| |#2|) 196)) (-4059 ((|#2| |#2|) 172)) (-3137 ((|#2| |#2|) 198)) (-4352 ((|#2| |#2|) 174)) (-3098 ((|#2| |#2|) 194)) (-1965 ((|#2| |#2|) 170)) (-4104 ((|#2| |#2|) 190)) (-3761 ((|#2| |#2|) 166)) (-4148 ((|#2| |#2|) 62)) (-4273 ((|#2| |#2|) 80)) (-4206 ((|#2| |#2|) 68)) (-4260 ((|#2| |#2|) 78)) (-4196 ((|#2| |#2|) 66)) (-4249 ((|#2| |#2|) 76)) (-4188 ((|#2| |#2|) 64)) (-3090 (((-121) (-123)) 93)) (-4294 ((|#2| |#2|) 83)) (-4220 ((|#2| |#2|) 71)) (-4280 ((|#2| |#2|) 81)) (-4211 ((|#2| |#2|) 69)) (-4307 ((|#2| |#2|) 85)) (-4232 ((|#2| |#2|) 73)) (-2656 ((|#2| |#2|) 86)) (-4237 ((|#2| |#2|) 74)) (-4301 ((|#2| |#2|) 84)) (-4227 ((|#2| |#2|) 72)) (-4287 ((|#2| |#2|) 82)) (-4215 ((|#2| |#2|) 70))) 
+(((-273 |#1| |#2|) (-10 -7 (-15 -4148 (|#2| |#2|)) (-15 -3509 (|#2| |#2|)) (-15 -4185 (|#2| |#2|)) (-15 -4188 (|#2| |#2|)) (-15 -4192 (|#2| |#2|)) (-15 -4196 (|#2| |#2|)) (-15 -4201 (|#2| |#2|)) (-15 -4206 (|#2| |#2|)) (-15 -4211 (|#2| |#2|)) (-15 -4215 (|#2| |#2|)) (-15 -4220 (|#2| |#2|)) (-15 -4227 (|#2| |#2|)) (-15 -4232 (|#2| |#2|)) (-15 -4237 (|#2| |#2|)) (-15 -4243 (|#2| |#2|)) (-15 -4249 (|#2| |#2|)) (-15 -4255 (|#2| |#2|)) (-15 -4260 (|#2| |#2|)) (-15 -4266 (|#2| |#2|)) (-15 -4273 (|#2| |#2|)) (-15 -4280 (|#2| |#2|)) (-15 -4287 (|#2| |#2|)) (-15 -4294 (|#2| |#2|)) (-15 -4301 (|#2| |#2|)) (-15 -4307 (|#2| |#2|)) (-15 -2656 (|#2| |#2|)) (-15 -4153 (|#2|)) (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 -1347 (|#2|)) (-15 -3646 (|#2|)) (-15 -1952 (|#2| |#2|)) (-15 -1924 (|#2| |#2|)) (-15 -2395 (|#2| |#2|)) (-15 -3959 (|#2| |#2|)) (-15 -3396 (|#2| |#2|)) (-15 -2850 (|#2| |#2|)) (-15 -2784 (|#2| |#2|)) (-15 -4298 (|#2| |#2|)) (-15 -2285 (|#2| |#2|)) (-15 -3761 (|#2| |#2|)) (-15 -2531 (|#2| |#2|)) (-15 -1965 (|#2| |#2|)) (-15 -4059 (|#2| |#2|)) (-15 -4352 (|#2| |#2|)) (-15 -3824 (|#2| |#2|)) (-15 -2873 (|#2| |#2|)) (-15 -3663 (|#2| |#2|)) (-15 -4062 (|#2| |#2|)) (-15 -1809 (|#2| |#2|)) (-15 -3448 (|#2| |#2|)) (-15 -1531 (|#2| |#2|)) (-15 -4104 (|#2| |#2|)) (-15 -1794 (|#2| |#2|)) (-15 -3098 (|#2| |#2|)) (-15 -2874 (|#2| |#2|)) (-15 -3137 (|#2| |#2|)) (-15 -4477 ((-3 |#2| "failed") |#2| (-637 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -3484 ((-121) |#2|))) (-13 (-847) (-561)) (-13 (-435 |#1|) (-1008))) (T -273)) 
+((-3484 (*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-273 *4 *3)) (-4 *3 (-13 (-435 *4) (-1008))))) (-4477 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-637 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-435 *4) (-1008))) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-273 *4 *2)))) (-3137 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-2874 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-3098 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-1794 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4104 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-1531 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-3448 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-1809 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4062 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-3663 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-2873 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-3824 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4352 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4059 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-1965 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-2531 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-3761 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-2285 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4298 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-2784 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-2850 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-3396 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-3959 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-2395 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-1924 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-1952 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-3646 (*1 *2) (-12 (-4 *2 (-13 (-435 *3) (-1008))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-847) (-561))))) (-1347 (*1 *2) (-12 (-4 *2 (-13 (-435 *3) (-1008))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-847) (-561))))) (-3513 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *4)) (-4 *4 (-13 (-435 *3) (-1008))))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-273 *4 *5)) (-4 *5 (-13 (-435 *4) (-1008))))) (-4153 (*1 *2) (-12 (-4 *2 (-13 (-435 *3) (-1008))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-847) (-561))))) (-2656 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4307 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4301 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4294 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4287 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4280 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4273 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4266 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4260 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4255 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4249 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4243 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4237 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4232 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4227 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4220 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4215 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4211 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4206 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4201 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4196 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4192 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4188 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4185 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-3509 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) (-4148 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(-10 -7 (-15 -4148 (|#2| |#2|)) (-15 -3509 (|#2| |#2|)) (-15 -4185 (|#2| |#2|)) (-15 -4188 (|#2| |#2|)) (-15 -4192 (|#2| |#2|)) (-15 -4196 (|#2| |#2|)) (-15 -4201 (|#2| |#2|)) (-15 -4206 (|#2| |#2|)) (-15 -4211 (|#2| |#2|)) (-15 -4215 (|#2| |#2|)) (-15 -4220 (|#2| |#2|)) (-15 -4227 (|#2| |#2|)) (-15 -4232 (|#2| |#2|)) (-15 -4237 (|#2| |#2|)) (-15 -4243 (|#2| |#2|)) (-15 -4249 (|#2| |#2|)) (-15 -4255 (|#2| |#2|)) (-15 -4260 (|#2| |#2|)) (-15 -4266 (|#2| |#2|)) (-15 -4273 (|#2| |#2|)) (-15 -4280 (|#2| |#2|)) (-15 -4287 (|#2| |#2|)) (-15 -4294 (|#2| |#2|)) (-15 -4301 (|#2| |#2|)) (-15 -4307 (|#2| |#2|)) (-15 -2656 (|#2| |#2|)) (-15 -4153 (|#2|)) (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 -1347 (|#2|)) (-15 -3646 (|#2|)) (-15 -1952 (|#2| |#2|)) (-15 -1924 (|#2| |#2|)) (-15 -2395 (|#2| |#2|)) (-15 -3959 (|#2| |#2|)) (-15 -3396 (|#2| |#2|)) (-15 -2850 (|#2| |#2|)) (-15 -2784 (|#2| |#2|)) (-15 -4298 (|#2| |#2|)) (-15 -2285 (|#2| |#2|)) (-15 -3761 (|#2| |#2|)) (-15 -2531 (|#2| |#2|)) (-15 -1965 (|#2| |#2|)) (-15 -4059 (|#2| |#2|)) (-15 -4352 (|#2| |#2|)) (-15 -3824 (|#2| |#2|)) (-15 -2873 (|#2| |#2|)) (-15 -3663 (|#2| |#2|)) (-15 -4062 (|#2| |#2|)) (-15 -1809 (|#2| |#2|)) (-15 -3448 (|#2| |#2|)) (-15 -1531 (|#2| |#2|)) (-15 -4104 (|#2| |#2|)) (-15 -1794 (|#2| |#2|)) (-15 -3098 (|#2| |#2|)) (-15 -2874 (|#2| |#2|)) (-15 -3137 (|#2| |#2|)) (-15 -4477 ((-3 |#2| "failed") |#2| (-637 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -3484 ((-121) |#2|))) 
+((-3366 (((-3 |#2| "failed") (-637 (-610 |#2|)) |#2| (-1169)) 133)) (-4081 ((|#2| (-412 (-571)) |#2|) 50)) (-1917 ((|#2| |#2| (-610 |#2|)) 126)) (-3289 (((-2 (|:| |func| |#2|) (|:| |kers| (-637 (-610 |#2|))) (|:| |vals| (-637 |#2|))) |#2| (-1169)) 125)) (-3817 ((|#2| |#2| (-1169)) 19) ((|#2| |#2|) 22)) (-1820 ((|#2| |#2| (-1169)) 139) ((|#2| |#2|) 137))) 
+(((-274 |#1| |#2|) (-10 -7 (-15 -1820 (|#2| |#2|)) (-15 -1820 (|#2| |#2| (-1169))) (-15 -3289 ((-2 (|:| |func| |#2|) (|:| |kers| (-637 (-610 |#2|))) (|:| |vals| (-637 |#2|))) |#2| (-1169))) (-15 -3817 (|#2| |#2|)) (-15 -3817 (|#2| |#2| (-1169))) (-15 -3366 ((-3 |#2| "failed") (-637 (-610 |#2|)) |#2| (-1169))) (-15 -1917 (|#2| |#2| (-610 |#2|))) (-15 -4081 (|#2| (-412 (-571)) |#2|))) (-13 (-561) (-847) (-1043 (-571)) (-633 (-571))) (-13 (-27) (-1189) (-435 |#1|))) (T -274)) 
+((-4081 (*1 *2 *3 *2) (-12 (-5 *3 (-412 (-571))) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4))))) (-1917 (*1 *2 *2 *3) (-12 (-5 *3 (-610 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4))) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *4 *2)))) (-3366 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-637 (-610 *2))) (-5 *4 (-1169)) (-4 *2 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *5 *2)))) (-3817 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4))))) (-3817 (*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3))))) (-3289 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-637 (-610 *3))) (|:| |vals| (-637 *3)))) (-5 *1 (-274 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) (-1820 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4))))) (-1820 (*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3)))))) 
+(-10 -7 (-15 -1820 (|#2| |#2|)) (-15 -1820 (|#2| |#2| (-1169))) (-15 -3289 ((-2 (|:| |func| |#2|) (|:| |kers| (-637 (-610 |#2|))) (|:| |vals| (-637 |#2|))) |#2| (-1169))) (-15 -3817 (|#2| |#2|)) (-15 -3817 (|#2| |#2| (-1169))) (-15 -3366 ((-3 |#2| "failed") (-637 (-610 |#2|)) |#2| (-1169))) (-15 -1917 (|#2| |#2| (-610 |#2|))) (-15 -4081 (|#2| (-412 (-571)) |#2|))) 
+((-1975 (((-3 |#3| "failed") |#3|) 110)) (-4255 ((|#3| |#3|) 131)) (-2739 (((-3 |#3| "failed") |#3|) 82)) (-4192 ((|#3| |#3|) 121)) (-4178 (((-3 |#3| "failed") |#3|) 58)) (-4243 ((|#3| |#3|) 129)) (-2988 (((-3 |#3| "failed") |#3|) 46)) (-4185 ((|#3| |#3|) 119)) (-3525 (((-3 |#3| "failed") |#3|) 112)) (-4266 ((|#3| |#3|) 133)) (-3422 (((-3 |#3| "failed") |#3|) 84)) (-4201 ((|#3| |#3|) 123)) (-2407 (((-3 |#3| "failed") |#3| (-768)) 36)) (-3298 (((-3 |#3| "failed") |#3|) 74)) (-3509 ((|#3| |#3|) 118)) (-1497 (((-3 |#3| "failed") |#3|) 44)) (-4148 ((|#3| |#3|) 117)) (-3605 (((-3 |#3| "failed") |#3|) 113)) (-4273 ((|#3| |#3|) 134)) (-4488 (((-3 |#3| "failed") |#3|) 85)) (-4206 ((|#3| |#3|) 124)) (-1969 (((-3 |#3| "failed") |#3|) 111)) (-4260 ((|#3| |#3|) 132)) (-2821 (((-3 |#3| "failed") |#3|) 83)) (-4196 ((|#3| |#3|) 122)) (-4136 (((-3 |#3| "failed") |#3|) 60)) (-4249 ((|#3| |#3|) 130)) (-1443 (((-3 |#3| "failed") |#3|) 48)) (-4188 ((|#3| |#3|) 120)) (-4054 (((-3 |#3| "failed") |#3|) 66)) (-4294 ((|#3| |#3|) 137)) (-4362 (((-3 |#3| "failed") |#3|) 104)) (-4220 ((|#3| |#3|) 142)) (-2843 (((-3 |#3| "failed") |#3|) 62)) (-4280 ((|#3| |#3|) 135)) (-4252 (((-3 |#3| "failed") |#3|) 50)) (-4211 ((|#3| |#3|) 125)) (-2554 (((-3 |#3| "failed") |#3|) 70)) (-4307 ((|#3| |#3|) 139)) (-1322 (((-3 |#3| "failed") |#3|) 54)) (-4232 ((|#3| |#3|) 127)) (-3353 (((-3 |#3| "failed") |#3|) 72)) (-2656 ((|#3| |#3|) 140)) (-2795 (((-3 |#3| "failed") |#3|) 56)) (-4237 ((|#3| |#3|) 128)) (-3660 (((-3 |#3| "failed") |#3|) 68)) (-4301 ((|#3| |#3|) 138)) (-4299 (((-3 |#3| "failed") |#3|) 107)) (-4227 ((|#3| |#3|) 143)) (-2853 (((-3 |#3| "failed") |#3|) 64)) (-4287 ((|#3| |#3|) 136)) (-3176 (((-3 |#3| "failed") |#3|) 52)) (-4215 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-412 (-571))) 40 (|has| |#1| (-367))))) 
+(((-275 |#1| |#2| |#3|) (-13 (-990 |#3|) (-10 -7 (IF (|has| |#1| (-367)) (-15 ** (|#3| |#3| (-412 (-571)))) |noBranch|) (-15 -4148 (|#3| |#3|)) (-15 -3509 (|#3| |#3|)) (-15 -4185 (|#3| |#3|)) (-15 -4188 (|#3| |#3|)) (-15 -4192 (|#3| |#3|)) (-15 -4196 (|#3| |#3|)) (-15 -4201 (|#3| |#3|)) (-15 -4206 (|#3| |#3|)) (-15 -4211 (|#3| |#3|)) (-15 -4215 (|#3| |#3|)) (-15 -4220 (|#3| |#3|)) (-15 -4227 (|#3| |#3|)) (-15 -4232 (|#3| |#3|)) (-15 -4237 (|#3| |#3|)) (-15 -4243 (|#3| |#3|)) (-15 -4249 (|#3| |#3|)) (-15 -4255 (|#3| |#3|)) (-15 -4260 (|#3| |#3|)) (-15 -4266 (|#3| |#3|)) (-15 -4273 (|#3| |#3|)) (-15 -4280 (|#3| |#3|)) (-15 -4287 (|#3| |#3|)) (-15 -4294 (|#3| |#3|)) (-15 -4301 (|#3| |#3|)) (-15 -4307 (|#3| |#3|)) (-15 -2656 (|#3| |#3|)))) (-43 (-412 (-571))) (-1248 |#1|) (-1219 |#1| |#2|)) (T -275)) 
+((** (*1 *2 *2 *3) (-12 (-5 *3 (-412 (-571))) (-4 *4 (-367)) (-4 *4 (-43 *3)) (-4 *5 (-1248 *4)) (-5 *1 (-275 *4 *5 *2)) (-4 *2 (-1219 *4 *5)))) (-4148 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-3509 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4185 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4188 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4192 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4196 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4201 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4206 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4211 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4215 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4220 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4227 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4232 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4237 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4243 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4249 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4255 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4260 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4266 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4273 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4280 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4287 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4294 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4301 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-4307 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) (-2656 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4))))) 
+(-13 (-990 |#3|) (-10 -7 (IF (|has| |#1| (-367)) (-15 ** (|#3| |#3| (-412 (-571)))) |noBranch|) (-15 -4148 (|#3| |#3|)) (-15 -3509 (|#3| |#3|)) (-15 -4185 (|#3| |#3|)) (-15 -4188 (|#3| |#3|)) (-15 -4192 (|#3| |#3|)) (-15 -4196 (|#3| |#3|)) (-15 -4201 (|#3| |#3|)) (-15 -4206 (|#3| |#3|)) (-15 -4211 (|#3| |#3|)) (-15 -4215 (|#3| |#3|)) (-15 -4220 (|#3| |#3|)) (-15 -4227 (|#3| |#3|)) (-15 -4232 (|#3| |#3|)) (-15 -4237 (|#3| |#3|)) (-15 -4243 (|#3| |#3|)) (-15 -4249 (|#3| |#3|)) (-15 -4255 (|#3| |#3|)) (-15 -4260 (|#3| |#3|)) (-15 -4266 (|#3| |#3|)) (-15 -4273 (|#3| |#3|)) (-15 -4280 (|#3| |#3|)) (-15 -4287 (|#3| |#3|)) (-15 -4294 (|#3| |#3|)) (-15 -4301 (|#3| |#3|)) (-15 -4307 (|#3| |#3|)) (-15 -2656 (|#3| |#3|)))) 
+((-1975 (((-3 |#3| "failed") |#3|) 66)) (-4255 ((|#3| |#3|) 133)) (-2739 (((-3 |#3| "failed") |#3|) 50)) (-4192 ((|#3| |#3|) 121)) (-4178 (((-3 |#3| "failed") |#3|) 62)) (-4243 ((|#3| |#3|) 131)) (-2988 (((-3 |#3| "failed") |#3|) 46)) (-4185 ((|#3| |#3|) 119)) (-3525 (((-3 |#3| "failed") |#3|) 70)) (-4266 ((|#3| |#3|) 135)) (-3422 (((-3 |#3| "failed") |#3|) 54)) (-4201 ((|#3| |#3|) 123)) (-2407 (((-3 |#3| "failed") |#3| (-768)) 35)) (-3298 (((-3 |#3| "failed") |#3|) 44)) (-3509 ((|#3| |#3|) 112)) (-1497 (((-3 |#3| "failed") |#3|) 42)) (-4148 ((|#3| |#3|) 118)) (-3605 (((-3 |#3| "failed") |#3|) 72)) (-4273 ((|#3| |#3|) 136)) (-4488 (((-3 |#3| "failed") |#3|) 56)) (-4206 ((|#3| |#3|) 124)) (-1969 (((-3 |#3| "failed") |#3|) 68)) (-4260 ((|#3| |#3|) 134)) (-2821 (((-3 |#3| "failed") |#3|) 52)) (-4196 ((|#3| |#3|) 122)) (-4136 (((-3 |#3| "failed") |#3|) 64)) (-4249 ((|#3| |#3|) 132)) (-1443 (((-3 |#3| "failed") |#3|) 48)) (-4188 ((|#3| |#3|) 120)) (-4054 (((-3 |#3| "failed") |#3|) 78)) (-4294 ((|#3| |#3|) 139)) (-4362 (((-3 |#3| "failed") |#3|) 58)) (-4220 ((|#3| |#3|) 127)) (-2843 (((-3 |#3| "failed") |#3|) 74)) (-4280 ((|#3| |#3|) 137)) (-4252 (((-3 |#3| "failed") |#3|) 102)) (-4211 ((|#3| |#3|) 125)) (-2554 (((-3 |#3| "failed") |#3|) 82)) (-4307 ((|#3| |#3|) 141)) (-1322 (((-3 |#3| "failed") |#3|) 109)) (-4232 ((|#3| |#3|) 129)) (-3353 (((-3 |#3| "failed") |#3|) 84)) (-2656 ((|#3| |#3|) 142)) (-2795 (((-3 |#3| "failed") |#3|) 111)) (-4237 ((|#3| |#3|) 130)) (-3660 (((-3 |#3| "failed") |#3|) 80)) (-4301 ((|#3| |#3|) 140)) (-4299 (((-3 |#3| "failed") |#3|) 60)) (-4227 ((|#3| |#3|) 128)) (-2853 (((-3 |#3| "failed") |#3|) 76)) (-4287 ((|#3| |#3|) 138)) (-3176 (((-3 |#3| "failed") |#3|) 105)) (-4215 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-412 (-571))) 40 (|has| |#1| (-367))))) 
+(((-276 |#1| |#2| |#3| |#4|) (-13 (-990 |#3|) (-10 -7 (IF (|has| |#1| (-367)) (-15 ** (|#3| |#3| (-412 (-571)))) |noBranch|) (-15 -4148 (|#3| |#3|)) (-15 -3509 (|#3| |#3|)) (-15 -4185 (|#3| |#3|)) (-15 -4188 (|#3| |#3|)) (-15 -4192 (|#3| |#3|)) (-15 -4196 (|#3| |#3|)) (-15 -4201 (|#3| |#3|)) (-15 -4206 (|#3| |#3|)) (-15 -4211 (|#3| |#3|)) (-15 -4215 (|#3| |#3|)) (-15 -4220 (|#3| |#3|)) (-15 -4227 (|#3| |#3|)) (-15 -4232 (|#3| |#3|)) (-15 -4237 (|#3| |#3|)) (-15 -4243 (|#3| |#3|)) (-15 -4249 (|#3| |#3|)) (-15 -4255 (|#3| |#3|)) (-15 -4260 (|#3| |#3|)) (-15 -4266 (|#3| |#3|)) (-15 -4273 (|#3| |#3|)) (-15 -4280 (|#3| |#3|)) (-15 -4287 (|#3| |#3|)) (-15 -4294 (|#3| |#3|)) (-15 -4301 (|#3| |#3|)) (-15 -4307 (|#3| |#3|)) (-15 -2656 (|#3| |#3|)))) (-43 (-412 (-571))) (-1217 |#1|) (-1240 |#1| |#2|) (-990 |#2|)) (T -276)) 
+((** (*1 *2 *2 *3) (-12 (-5 *3 (-412 (-571))) (-4 *4 (-367)) (-4 *4 (-43 *3)) (-4 *5 (-1217 *4)) (-5 *1 (-276 *4 *5 *2 *6)) (-4 *2 (-1240 *4 *5)) (-4 *6 (-990 *5)))) (-4148 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-3509 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4185 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4188 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4192 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4196 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4201 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4206 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4211 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4215 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4220 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4227 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4232 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4237 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4243 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4249 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4255 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4260 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4266 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4273 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4280 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4287 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4294 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4301 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-4307 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) (-2656 (*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4))))) 
+(-13 (-990 |#3|) (-10 -7 (IF (|has| |#1| (-367)) (-15 ** (|#3| |#3| (-412 (-571)))) |noBranch|) (-15 -4148 (|#3| |#3|)) (-15 -3509 (|#3| |#3|)) (-15 -4185 (|#3| |#3|)) (-15 -4188 (|#3| |#3|)) (-15 -4192 (|#3| |#3|)) (-15 -4196 (|#3| |#3|)) (-15 -4201 (|#3| |#3|)) (-15 -4206 (|#3| |#3|)) (-15 -4211 (|#3| |#3|)) (-15 -4215 (|#3| |#3|)) (-15 -4220 (|#3| |#3|)) (-15 -4227 (|#3| |#3|)) (-15 -4232 (|#3| |#3|)) (-15 -4237 (|#3| |#3|)) (-15 -4243 (|#3| |#3|)) (-15 -4249 (|#3| |#3|)) (-15 -4255 (|#3| |#3|)) (-15 -4260 (|#3| |#3|)) (-15 -4266 (|#3| |#3|)) (-15 -4273 (|#3| |#3|)) (-15 -4280 (|#3| |#3|)) (-15 -4287 (|#3| |#3|)) (-15 -4294 (|#3| |#3|)) (-15 -4301 (|#3| |#3|)) (-15 -4307 (|#3| |#3|)) (-15 -2656 (|#3| |#3|)))) 
+((-2534 (($ (-1 (-121) |#2|) $) 23)) (-4365 (($ $) 36)) (-1599 (($ (-1 (-121) |#2|) $) NIL) (($ |#2| $) 34)) (-3412 (($ |#2| $) 31) (($ (-1 (-121) |#2|) $) 17)) (-2984 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 40)) (-2594 (($ |#2| $ (-571)) 19) (($ $ $ (-571)) 21)) (-1933 (($ $ (-571)) 11) (($ $ (-1224 (-571))) 14)) (-3294 (($ $ |#2|) 29) (($ $ $) NIL)) (-4498 (($ $ |#2|) 28) (($ |#2| $) NIL) (($ $ $) 25) (($ (-637 $)) NIL))) 
+(((-277 |#1| |#2|) (-10 -8 (-15 -2984 (|#1| |#1| |#1|)) (-15 -1599 (|#1| |#2| |#1|)) (-15 -2984 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -1599 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3294 (|#1| |#1| |#1|)) (-15 -3294 (|#1| |#1| |#2|)) (-15 -2594 (|#1| |#1| |#1| (-571))) (-15 -2594 (|#1| |#2| |#1| (-571))) (-15 -1933 (|#1| |#1| (-1224 (-571)))) (-15 -1933 (|#1| |#1| (-571))) (-15 -4498 (|#1| (-637 |#1|))) (-15 -4498 (|#1| |#1| |#1|)) (-15 -4498 (|#1| |#2| |#1|)) (-15 -4498 (|#1| |#1| |#2|)) (-15 -3412 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2534 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3412 (|#1| |#2| |#1|)) (-15 -4365 (|#1| |#1|))) (-278 |#2|) (-1203)) (T -277)) 
+NIL 
+(-10 -8 (-15 -2984 (|#1| |#1| |#1|)) (-15 -1599 (|#1| |#2| |#1|)) (-15 -2984 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -1599 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3294 (|#1| |#1| |#1|)) (-15 -3294 (|#1| |#1| |#2|)) (-15 -2594 (|#1| |#1| |#1| (-571))) (-15 -2594 (|#1| |#2| |#1| (-571))) (-15 -1933 (|#1| |#1| (-1224 (-571)))) (-15 -1933 (|#1| |#1| (-571))) (-15 -4498 (|#1| (-637 |#1|))) (-15 -4498 (|#1| |#1| |#1|)) (-15 -4498 (|#1| |#2| |#1|)) (-15 -4498 (|#1| |#1| |#2|)) (-15 -3412 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2534 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3412 (|#1| |#2| |#1|)) (-15 -4365 (|#1| |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3839 (((-1263) $ (-571) (-571)) 37 (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) 8)) (-3251 ((|#1| $ (-571) |#1|) 49 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) 53 (|has| $ (-6 -4601)))) (-3129 (($ (-1 (-121) |#1|) $) 78)) (-2534 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-2980 (($ $) 76 (|has| |#1| (-1097)))) (-4365 (($ $) 73 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1599 (($ (-1 (-121) |#1|) $) 82) (($ |#1| $) 77 (|has| |#1| (-1097)))) (-3412 (($ |#1| $) 72 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) 50 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 48)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-1364 (($ (-768) |#1|) 64)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 40 (|has| (-571) (-847)))) (-2984 (($ (-1 (-121) |#1| |#1|) $ $) 79) (($ $ $) 75 (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 41 (|has| (-571) (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2863 (($ |#1| $ (-571)) 81) (($ $ $ (-571)) 80)) (-2594 (($ |#1| $ (-571)) 55) (($ $ $ (-571)) 54)) (-2738 (((-637 (-571)) $) 43)) (-1613 (((-121) (-571) $) 44)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1827 ((|#1| $) 39 (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-4411 (($ $ |#1|) 38 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ (-571) |#1|) 47) ((|#1| $ (-571)) 46) (($ $ (-1224 (-571))) 58)) (-3165 (($ $ (-571)) 84) (($ $ (-1224 (-571))) 83)) (-1933 (($ $ (-571)) 57) (($ $ (-1224 (-571))) 56)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 74 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 65)) (-3294 (($ $ |#1|) 86) (($ $ $) 85)) (-4498 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-637 $)) 60)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-278 |#1|) (-1289) (-1203)) (T -278)) 
+((-3294 (*1 *1 *1 *2) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1203)))) (-3294 (*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1203)))) (-3165 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-278 *3)) (-4 *3 (-1203)))) (-3165 (*1 *1 *1 *2) (-12 (-5 *2 (-1224 (-571))) (-4 *1 (-278 *3)) (-4 *3 (-1203)))) (-1599 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1203)))) (-2863 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-278 *2)) (-4 *2 (-1203)))) (-2863 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-278 *3)) (-4 *3 (-1203)))) (-2984 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1203)))) (-3129 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1203)))) (-1599 (*1 *1 *2 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1203)) (-4 *2 (-1097)))) (-2980 (*1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1203)) (-4 *2 (-1097)))) (-2984 (*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1203)) (-4 *2 (-847))))) 
+(-13 (-643 |t#1|) (-10 -8 (-6 -4601) (-15 -3294 ($ $ |t#1|)) (-15 -3294 ($ $ $)) (-15 -3165 ($ $ (-571))) (-15 -3165 ($ $ (-1224 (-571)))) (-15 -1599 ($ (-1 (-121) |t#1|) $)) (-15 -2863 ($ |t#1| $ (-571))) (-15 -2863 ($ $ $ (-571))) (-15 -2984 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -3129 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1097)) (PROGN (-15 -1599 ($ |t#1| $)) (-15 -2980 ($ $))) |noBranch|) (IF (|has| |t#1| (-847)) (-15 -2984 ($ $ $)) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-282 (-571) |#1|) . T) ((-284 (-571) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-604 (-571) |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-643 |#1|) . T) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
 ((** (($ $ $) 10))) 
 (((-279 |#1|) (-10 -8 (-15 ** (|#1| |#1| |#1|))) (-280)) (T -279)) 
 NIL 
 (-10 -8 (-15 ** (|#1| |#1| |#1|))) 
-((-3597 (($ $) 6)) (-3408 (($ $) 7)) (** (($ $ $) 8))) 
-(((-280) (-1284)) (T -280)) 
-((** (*1 *1 *1 *1) (-4 *1 (-280))) (-3408 (*1 *1 *1) (-4 *1 (-280))) (-3597 (*1 *1 *1) (-4 *1 (-280)))) 
-(-13 (-10 -8 (-15 -3597 ($ $)) (-15 -3408 ($ $)) (-15 ** ($ $ $)))) 
-((-3137 (((-635 (-1145 |#1|)) (-1145 |#1|) |#1|) 35)) (-1773 ((|#2| |#2| |#1|) 38)) (-2669 ((|#2| |#2| |#1|) 40)) (-4032 ((|#2| |#2| |#1|) 39))) 
-(((-281 |#1| |#2|) (-10 -7 (-15 -1773 (|#2| |#2| |#1|)) (-15 -4032 (|#2| |#2| |#1|)) (-15 -2669 (|#2| |#2| |#1|)) (-15 -3137 ((-635 (-1145 |#1|)) (-1145 |#1|) |#1|))) (-366) (-1243 |#1|)) (T -281)) 
-((-3137 (*1 *2 *3 *4) (-12 (-4 *4 (-366)) (-5 *2 (-635 (-1145 *4))) (-5 *1 (-281 *4 *5)) (-5 *3 (-1145 *4)) (-4 *5 (-1243 *4)))) (-2669 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3)))) (-4032 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3)))) (-1773 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3))))) 
-(-10 -7 (-15 -1773 (|#2| |#2| |#1|)) (-15 -4032 (|#2| |#2| |#1|)) (-15 -2669 (|#2| |#2| |#1|)) (-15 -3137 ((-635 (-1145 |#1|)) (-1145 |#1|) |#1|))) 
-((-2503 ((|#2| $ |#1|) 6))) 
-(((-282 |#1| |#2|) (-1284) (-1093) (-1199)) (T -282)) 
-((-2503 (*1 *2 *1 *3) (-12 (-4 *1 (-282 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199))))) 
-(-13 (-10 -8 (-15 -2503 (|t#2| $ |t#1|)))) 
-((-3982 ((|#3| $ |#2| |#3|) 12)) (-4124 ((|#3| $ |#2|) 10))) 
-(((-283 |#1| |#2| |#3|) (-10 -8 (-15 -3982 (|#3| |#1| |#2| |#3|)) (-15 -4124 (|#3| |#1| |#2|))) (-284 |#2| |#3|) (-1093) (-1199)) (T -283)) 
-NIL 
-(-10 -8 (-15 -3982 (|#3| |#1| |#2| |#3|)) (-15 -4124 (|#3| |#1| |#2|))) 
-((-2511 ((|#2| $ |#1| |#2|) 8 (|has| $ (-6 -4572)))) (-3982 ((|#2| $ |#1| |#2|) 7 (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) 9)) (-2503 ((|#2| $ |#1|) 6) ((|#2| $ |#1| |#2|) 10))) 
-(((-284 |#1| |#2|) (-1284) (-1093) (-1199)) (T -284)) 
-((-2503 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) (-4124 (*1 *2 *1 *3) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) (-2511 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) (-3982 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199))))) 
-(-13 (-282 |t#1| |t#2|) (-10 -8 (-15 -2503 (|t#2| $ |t#1| |t#2|)) (-15 -4124 (|t#2| $ |t#1|)) (IF (|has| $ (-6 -4572)) (PROGN (-15 -2511 (|t#2| $ |t#1| |t#2|)) (-15 -3982 (|t#2| $ |t#1| |t#2|))) |noBranch|))) 
+((-3509 (($ $) 6)) (-4148 (($ $) 7)) (** (($ $ $) 8))) 
+(((-280) (-1289)) (T -280)) 
+((** (*1 *1 *1 *1) (-4 *1 (-280))) (-4148 (*1 *1 *1) (-4 *1 (-280))) (-3509 (*1 *1 *1) (-4 *1 (-280)))) 
+(-13 (-10 -8 (-15 -3509 ($ $)) (-15 -4148 ($ $)) (-15 ** ($ $ $)))) 
+((-2063 (((-637 (-1149 |#1|)) (-1149 |#1|) |#1|) 35)) (-3787 ((|#2| |#2| |#1|) 38)) (-2086 ((|#2| |#2| |#1|) 40)) (-1708 ((|#2| |#2| |#1|) 39))) 
+(((-281 |#1| |#2|) (-10 -7 (-15 -3787 (|#2| |#2| |#1|)) (-15 -1708 (|#2| |#2| |#1|)) (-15 -2086 (|#2| |#2| |#1|)) (-15 -2063 ((-637 (-1149 |#1|)) (-1149 |#1|) |#1|))) (-367) (-1248 |#1|)) (T -281)) 
+((-2063 (*1 *2 *3 *4) (-12 (-4 *4 (-367)) (-5 *2 (-637 (-1149 *4))) (-5 *1 (-281 *4 *5)) (-5 *3 (-1149 *4)) (-4 *5 (-1248 *4)))) (-2086 (*1 *2 *2 *3) (-12 (-4 *3 (-367)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1248 *3)))) (-1708 (*1 *2 *2 *3) (-12 (-4 *3 (-367)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1248 *3)))) (-3787 (*1 *2 *2 *3) (-12 (-4 *3 (-367)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1248 *3))))) 
+(-10 -7 (-15 -3787 (|#2| |#2| |#1|)) (-15 -1708 (|#2| |#2| |#1|)) (-15 -2086 (|#2| |#2| |#1|)) (-15 -2063 ((-637 (-1149 |#1|)) (-1149 |#1|) |#1|))) 
+((-3245 ((|#2| $ |#1|) 6))) 
+(((-282 |#1| |#2|) (-1289) (-1097) (-1203)) (T -282)) 
+((-3245 (*1 *2 *1 *3) (-12 (-4 *1 (-282 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203))))) 
+(-13 (-10 -8 (-15 -3245 (|t#2| $ |t#1|)))) 
+((-2922 ((|#3| $ |#2| |#3|) 12)) (-4319 ((|#3| $ |#2|) 10))) 
+(((-283 |#1| |#2| |#3|) (-10 -8 (-15 -2922 (|#3| |#1| |#2| |#3|)) (-15 -4319 (|#3| |#1| |#2|))) (-284 |#2| |#3|) (-1097) (-1203)) (T -283)) 
+NIL 
+(-10 -8 (-15 -2922 (|#3| |#1| |#2| |#3|)) (-15 -4319 (|#3| |#1| |#2|))) 
+((-3251 ((|#2| $ |#1| |#2|) 8 (|has| $ (-6 -4601)))) (-2922 ((|#2| $ |#1| |#2|) 7 (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) 9)) (-3245 ((|#2| $ |#1|) 6) ((|#2| $ |#1| |#2|) 10))) 
+(((-284 |#1| |#2|) (-1289) (-1097) (-1203)) (T -284)) 
+((-3245 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203)))) (-4319 (*1 *2 *1 *3) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203)))) (-3251 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203)))) (-2922 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203))))) 
+(-13 (-282 |t#1| |t#2|) (-10 -8 (-15 -3245 (|t#2| $ |t#1| |t#2|)) (-15 -4319 (|t#2| $ |t#1|)) (IF (|has| $ (-6 -4601)) (PROGN (-15 -3251 (|t#2| $ |t#1| |t#2|)) (-15 -2922 (|t#2| $ |t#1| |t#2|))) |noBranch|))) 
 (((-282 |#1| |#2|) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 34)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 39)) (-2915 (($ $) 37)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) 32)) (-2793 (($ |#2| |#3|) 19)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4138 ((|#3| $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 20)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3010 (((-3 $ "failed") $ $) NIL)) (-2061 (((-765) $) 33)) (-2503 ((|#2| $ |#2|) 41)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 24)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) ((|#2| $) NIL)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 27 T CONST)) (-3297 (($) 35 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 36))) 
-(((-285 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-302) (-10 -8 (-15 -4138 (|#3| $)) (-15 -3956 (|#2| $)) (-15 -2793 ($ |#2| |#3|)) (-15 -3010 ((-3 $ "failed") $ $)) (-15 -2611 ((-3 $ "failed") $)) (-15 -3243 ($ $)) (-15 -2503 (|#2| $ |#2|)))) (-173) (-1228 |#1|) (-23) (-1 |#2| |#2| |#3|) (-1 (-3 |#3| "failed") |#3| |#3|) (-1 (-3 |#2| "failed") |#2| |#2| |#3|)) (T -285)) 
-((-2611 (*1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-4138 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-23)) (-5 *1 (-285 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1228 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) (-3956 (*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *3 (-173)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) (-2793 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-285 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1228 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3010 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-3243 (*1 *1 *1) (-12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-2503 (*1 *2 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1228 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4))))) 
-(-13 (-302) (-10 -8 (-15 -4138 (|#3| $)) (-15 -3956 (|#2| $)) (-15 -2793 ($ |#2| |#3|)) (-15 -3010 ((-3 $ "failed") $ $)) (-15 -2611 ((-3 $ "failed") $)) (-15 -3243 ($ $)) (-15 -2503 (|#2| $ |#2|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-286) (-1284)) (T -286)) 
-NIL 
-(-13 (-1049) (-120 $ $) (-10 -7 (-6 -4564))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-4190 (((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |geneigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|)))) 83)) (-1962 (((-635 (-681 (-410 (-955 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|)))))) (-681 (-410 (-955 |#1|)))) 78) (((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|))) (-765) (-765)) 36)) (-3853 (((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|)))) 80)) (-4185 (((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|)))) 60)) (-3684 (((-635 (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (-681 (-410 (-955 |#1|)))) 59)) (-3033 (((-955 |#1|) (-681 (-410 (-955 |#1|)))) 47) (((-955 |#1|) (-681 (-410 (-955 |#1|))) (-1165)) 48))) 
-(((-287 |#1|) (-10 -7 (-15 -3033 ((-955 |#1|) (-681 (-410 (-955 |#1|))) (-1165))) (-15 -3033 ((-955 |#1|) (-681 (-410 (-955 |#1|))))) (-15 -3684 ((-635 (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (-681 (-410 (-955 |#1|))))) (-15 -4185 ((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|))))) (-15 -1962 ((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|))) (-765) (-765))) (-15 -1962 ((-635 (-681 (-410 (-955 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|)))))) (-681 (-410 (-955 |#1|))))) (-15 -4190 ((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |geneigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|))))) (-15 -3853 ((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|)))))) (-454)) (T -287)) 
-((-3853 (*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-681 (-410 (-955 *4)))))) (-4190 (*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4)))) (|:| |geneigvec| (-635 (-681 (-410 (-955 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-681 (-410 (-955 *4)))))) (-1962 (*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-410 (-955 *5)) (-1154 (-1165) (-955 *5)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 *4)))) (-4 *5 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-681 (-410 (-955 *5)))))) (-1962 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-410 (-955 *6)) (-1154 (-1165) (-955 *6)))) (-5 *5 (-765)) (-4 *6 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *6))))) (-5 *1 (-287 *6)) (-5 *4 (-681 (-410 (-955 *6)))))) (-4185 (*1 *2 *3 *4) (-12 (-5 *3 (-3 (-410 (-955 *5)) (-1154 (-1165) (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-681 (-410 (-955 *5)))))) (-3684 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 *4)))) (-4 *4 (-454)) (-5 *2 (-635 (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4))))) (-5 *1 (-287 *4)))) (-3033 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 *4)))) (-5 *2 (-955 *4)) (-5 *1 (-287 *4)) (-4 *4 (-454)))) (-3033 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-955 *5)))) (-5 *4 (-1165)) (-5 *2 (-955 *5)) (-5 *1 (-287 *5)) (-4 *5 (-454))))) 
-(-10 -7 (-15 -3033 ((-955 |#1|) (-681 (-410 (-955 |#1|))) (-1165))) (-15 -3033 ((-955 |#1|) (-681 (-410 (-955 |#1|))))) (-15 -3684 ((-635 (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (-681 (-410 (-955 |#1|))))) (-15 -4185 ((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|))))) (-15 -1962 ((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|))) (-765) (-765))) (-15 -1962 ((-635 (-681 (-410 (-955 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|)))))) (-681 (-410 (-955 |#1|))))) (-15 -4190 ((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |geneigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|))))) (-15 -3853 ((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|)))))) 
-((-4188 (((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)) 14))) 
-(((-288 |#1| |#2|) (-10 -7 (-15 -4188 ((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)))) (-1199) (-1199)) (T -288)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-289 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-289 *6)) (-5 *1 (-288 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2225 (((-121) $) NIL (|has| |#1| (-21)))) (-1806 (($ $) 22)) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-2505 (($ $ $) 93 (|has| |#1| (-297)))) (-4483 (($) NIL (-1929 (|has| |#1| (-21)) (|has| |#1| (-718))) CONST)) (-3842 (($ $) 8 (|has| |#1| (-21)))) (-4484 (((-3 $ "failed") $) 68 (|has| |#1| (-718)))) (-4255 ((|#1| $) 21)) (-2611 (((-3 $ "failed") $) 66 (|has| |#1| (-718)))) (-3934 (((-121) $) NIL (|has| |#1| (-718)))) (-4188 (($ (-1 |#1| |#1|) $) 24)) (-1338 ((|#1| $) 9)) (-3909 (($ $) 57 (|has| |#1| (-21)))) (-2162 (((-3 $ "failed") $) 67 (|has| |#1| (-718)))) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-3243 (($ $) 70 (-1929 (|has| |#1| (-366)) (|has| |#1| (-479))))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1984 (((-635 $) $) 19 (|has| |#1| (-559)))) (-1484 (($ $ $) 34 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 $)) 37 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-1165) |#1|) 27 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 31 (|has| |#1| (-524 (-1165) |#1|)))) (-4183 (($ |#1| |#1|) 17)) (-2174 (((-140)) 88 (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) 85 (|has| |#1| (-897 (-1165))))) (-3980 (($ $ $) NIL (|has| |#1| (-479)))) (-2689 (($ $ $) NIL (|has| |#1| (-479)))) (-3956 (($ (-569)) NIL (|has| |#1| (-1049))) (((-121) $) 45 (|has| |#1| (-1093))) (((-852) $) 44 (|has| |#1| (-1093)))) (-2320 (((-765)) 73 (|has| |#1| (-1049)))) (-3403 (($ $ (-569)) NIL (|has| |#1| (-479))) (($ $ (-765)) NIL (|has| |#1| (-718))) (($ $ (-919)) NIL (|has| |#1| (-1105)))) (-2407 (($) 55 (|has| |#1| (-21)) CONST)) (-3297 (($) 63 (|has| |#1| (-718)) CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165))))) (-1326 (($ |#1| |#1|) 20) (((-121) $ $) 40 (|has| |#1| (-1093)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 90 (-1929 (|has| |#1| (-366)) (|has| |#1| (-479))))) (-1377 (($ |#1| $) 53 (|has| |#1| (-21))) (($ $ |#1|) 54 (|has| |#1| (-21))) (($ $ $) 52 (|has| |#1| (-21))) (($ $) 51 (|has| |#1| (-21)))) (-1371 (($ |#1| $) 48 (|has| |#1| (-25))) (($ $ |#1|) 49 (|has| |#1| (-25))) (($ $ $) 47 (|has| |#1| (-25)))) (** (($ $ (-569)) NIL (|has| |#1| (-479))) (($ $ (-765)) NIL (|has| |#1| (-718))) (($ $ (-919)) NIL (|has| |#1| (-1105)))) (* (($ $ |#1|) 61 (|has| |#1| (-1105))) (($ |#1| $) 60 (|has| |#1| (-1105))) (($ $ $) 59 (|has| |#1| (-1105))) (($ (-569) $) 76 (|has| |#1| (-21))) (($ (-765) $) NIL (|has| |#1| (-21))) (($ (-919) $) NIL (|has| |#1| (-25))))) 
-(((-289 |#1|) (-13 (-1199) (-10 -8 (-15 -1326 ($ |#1| |#1|)) (-15 -4183 ($ |#1| |#1|)) (-15 -1806 ($ $)) (-15 -1338 (|#1| $)) (-15 -4255 (|#1| $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-524 (-1165) |#1|)) (-6 (-524 (-1165) |#1|)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-6 (-1093)) (-6 (-609 (-121))) (IF (|has| |#1| (-304 |#1|)) (PROGN (-15 -1484 ($ $ $)) (-15 -1484 ($ $ (-635 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1371 ($ |#1| $)) (-15 -1371 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -3909 ($ $)) (-15 -3842 ($ $)) (-15 -1377 ($ |#1| $)) (-15 -1377 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1105)) (PROGN (-6 (-1105)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-718)) (PROGN (-6 (-718)) (-15 -2162 ((-3 $ "failed") $)) (-15 -4484 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-479)) (PROGN (-6 (-479)) (-15 -2162 ((-3 $ "failed") $)) (-15 -4484 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-6 (-1049)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-709 |#1|)) |noBranch|) (IF (|has| |#1| (-559)) (-15 -1984 ((-635 $) $)) |noBranch|) (IF (|has| |#1| (-897 (-1165))) (-6 (-897 (-1165))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-1260 |#1|)) (-15 -1383 ($ $ $)) (-15 -3243 ($ $))) |noBranch|) (IF (|has| |#1| (-297)) (-15 -2505 ($ $ $)) |noBranch|))) (-1199)) (T -289)) 
-((-1326 (*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) (-4183 (*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) (-1806 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) (-1338 (*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) (-4255 (*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-289 *3)))) (-1484 (*1 *1 *1 *1) (-12 (-4 *2 (-304 *2)) (-4 *2 (-1093)) (-4 *2 (-1199)) (-5 *1 (-289 *2)))) (-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *3 (-304 *3)) (-4 *3 (-1093)) (-4 *3 (-1199)) (-5 *1 (-289 *3)))) (-1371 (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1199)))) (-1371 (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1199)))) (-3909 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) (-3842 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) (-1377 (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) (-1377 (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) (-2162 (*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-718)) (-4 *2 (-1199)))) (-4484 (*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-718)) (-4 *2 (-1199)))) (-1984 (*1 *2 *1) (-12 (-5 *2 (-635 (-289 *3))) (-5 *1 (-289 *3)) (-4 *3 (-559)) (-4 *3 (-1199)))) (-2505 (*1 *1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-297)) (-4 *2 (-1199)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1105)) (-4 *2 (-1199)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1105)) (-4 *2 (-1199)))) (-1383 (*1 *1 *1 *1) (-1929 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1199))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1199))))) (-3243 (*1 *1 *1) (-1929 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1199))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1199)))))) 
-(-13 (-1199) (-10 -8 (-15 -1326 ($ |#1| |#1|)) (-15 -4183 ($ |#1| |#1|)) (-15 -1806 ($ $)) (-15 -1338 (|#1| $)) (-15 -4255 (|#1| $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-524 (-1165) |#1|)) (-6 (-524 (-1165) |#1|)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-6 (-1093)) (-6 (-609 (-121))) (IF (|has| |#1| (-304 |#1|)) (PROGN (-15 -1484 ($ $ $)) (-15 -1484 ($ $ (-635 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1371 ($ |#1| $)) (-15 -1371 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -3909 ($ $)) (-15 -3842 ($ $)) (-15 -1377 ($ |#1| $)) (-15 -1377 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1105)) (PROGN (-6 (-1105)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-718)) (PROGN (-6 (-718)) (-15 -2162 ((-3 $ "failed") $)) (-15 -4484 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-479)) (PROGN (-6 (-479)) (-15 -2162 ((-3 $ "failed") $)) (-15 -4484 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-6 (-1049)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-709 |#1|)) |noBranch|) (IF (|has| |#1| (-559)) (-15 -1984 ((-635 $) $)) |noBranch|) (IF (|has| |#1| (-897 (-1165))) (-6 (-897 (-1165))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-1260 |#1|)) (-15 -1383 ($ $ $)) (-15 -3243 ($ $))) |noBranch|) (IF (|has| |#1| (-297)) (-15 -2505 ($ $ $)) |noBranch|))) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) NIL)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) NIL)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-290 |#1| |#2|) (-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) (-1093) (-1093)) (T -290)) 
-NIL 
-(-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) 
-((-3896 (((-306) (-1147) (-635 (-1147))) 16) (((-306) (-1147) (-1147)) 15) (((-306) (-635 (-1147))) 14) (((-306) (-1147)) 12))) 
-(((-291) (-10 -7 (-15 -3896 ((-306) (-1147))) (-15 -3896 ((-306) (-635 (-1147)))) (-15 -3896 ((-306) (-1147) (-1147))) (-15 -3896 ((-306) (-1147) (-635 (-1147)))))) (T -291)) 
-((-3896 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1147))) (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291)))) (-3896 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291)))) (-3896 (*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-306)) (-5 *1 (-291)))) (-3896 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291))))) 
-(-10 -7 (-15 -3896 ((-306) (-1147))) (-15 -3896 ((-306) (-635 (-1147)))) (-15 -3896 ((-306) (-1147) (-1147))) (-15 -3896 ((-306) (-1147) (-635 (-1147))))) 
-((-4188 ((|#2| (-1 |#2| |#1|) (-1147) (-608 |#1|)) 17))) 
-(((-292 |#1| |#2|) (-10 -7 (-15 -4188 (|#2| (-1 |#2| |#1|) (-1147) (-608 |#1|)))) (-297) (-1199)) (T -292)) 
-((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1147)) (-5 *5 (-608 *6)) (-4 *6 (-297)) (-4 *2 (-1199)) (-5 *1 (-292 *6 *2))))) 
-(-10 -7 (-15 -4188 (|#2| (-1 |#2| |#1|) (-1147) (-608 |#1|)))) 
-((-4188 ((|#2| (-1 |#2| |#1|) (-608 |#1|)) 17))) 
-(((-293 |#1| |#2|) (-10 -7 (-15 -4188 (|#2| (-1 |#2| |#1|) (-608 |#1|)))) (-297) (-297)) (T -293)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-608 *5)) (-4 *5 (-297)) (-4 *2 (-297)) (-5 *1 (-293 *5 *2))))) 
-(-10 -7 (-15 -4188 (|#2| (-1 |#2| |#1|) (-608 |#1|)))) 
-((-1922 (((-121) (-216)) 10))) 
-(((-294 |#1| |#2|) (-10 -7 (-15 -1922 ((-121) (-216)))) (-216) (-216)) (T -294)) 
-((-1922 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-294 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(-10 -7 (-15 -1922 ((-121) (-216)))) 
-((-3298 (((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216)))) 88)) (-3991 (((-1145 (-216)) (-1253 (-311 (-216))) (-635 (-1165)) (-1087 (-837 (-216)))) 103) (((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216)))) 58)) (-2260 (((-635 (-1147)) (-1145 (-216))) NIL)) (-3819 (((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216)))) 55)) (-2873 (((-635 (-216)) (-955 (-410 (-569))) (-1165) (-1087 (-837 (-216)))) 47)) (-3470 (((-635 (-1147)) (-635 (-216))) NIL)) (-3193 (((-216) (-1087 (-837 (-216)))) 23)) (-4166 (((-216) (-1087 (-837 (-216)))) 24)) (-4231 (((-121) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 51)) (-2206 (((-1147) (-216)) NIL))) 
-(((-295) (-10 -7 (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -4231 ((-121) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3819 ((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216))))) (-15 -3298 ((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-1253 (-311 (-216))) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -2873 ((-635 (-216)) (-955 (-410 (-569))) (-1165) (-1087 (-837 (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216)))))) (T -295)) 
-((-2260 (*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-295)))) (-3470 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-295)))) (-2206 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-295)))) (-2873 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295)))) (-3991 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295)))) (-3991 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295)))) (-3298 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295)))) (-3819 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295)))) (-4231 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-121)) (-5 *1 (-295)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) (-3193 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-295))))) 
-(-10 -7 (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -4231 ((-121) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3819 ((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216))))) (-15 -3298 ((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-1253 (-311 (-216))) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -2873 ((-635 (-216)) (-955 (-410 (-569))) (-1165) (-1087 (-837 (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216))))) 
-((-4320 (((-635 (-608 $)) $) 28)) (-2505 (($ $ (-289 $)) 80) (($ $ (-635 (-289 $))) 120) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-3003 (((-3 (-608 $) "failed") $) 110)) (-1321 (((-608 $) $) 109)) (-2674 (($ $) 19) (($ (-635 $)) 54)) (-1367 (((-635 (-123)) $) 37)) (-1344 (((-123) (-123)) 90)) (-3520 (((-121) $) 128)) (-4188 (($ (-1 $ $) (-608 $)) 88)) (-3277 (((-3 (-608 $) "failed") $) 92)) (-3529 (($ (-123) $) 60) (($ (-123) (-635 $)) 98)) (-3845 (((-121) $ (-123)) 114) (((-121) $ (-1165)) 113)) (-1468 (((-765) $) 45)) (-2400 (((-121) $ $) 58) (((-121) $ (-1165)) 49)) (-3912 (((-121) $) 126)) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) 118) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) 83) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) 68) (($ $ (-1165) (-1 $ $)) 74) (($ $ (-635 (-123)) (-635 (-1 $ $))) 82) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 84) (($ $ (-123) (-1 $ (-635 $))) 70) (($ $ (-123) (-1 $ $)) 76)) (-2503 (($ (-123) $) 61) (($ (-123) $ $) 62) (($ (-123) $ $ $) 63) (($ (-123) $ $ $ $) 64) (($ (-123) (-635 $)) 106)) (-2454 (($ $) 51) (($ $ $) 116)) (-2856 (($ $) 17) (($ (-635 $)) 53)) (-3791 (((-121) (-123)) 22))) 
-(((-296 |#1|) (-10 -8 (-15 -3520 ((-121) |#1|)) (-15 -3912 ((-121) |#1|)) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| |#1|)))) (-15 -2400 ((-121) |#1| (-1165))) (-15 -2400 ((-121) |#1| |#1|)) (-15 -4188 (|#1| (-1 |#1| |#1|) (-608 |#1|))) (-15 -3529 (|#1| (-123) (-635 |#1|))) (-15 -3529 (|#1| (-123) |#1|)) (-15 -3845 ((-121) |#1| (-1165))) (-15 -3845 ((-121) |#1| (-123))) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -1367 ((-635 (-123)) |#1|)) (-15 -4320 ((-635 (-608 |#1|)) |#1|)) (-15 -3277 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -1468 ((-765) |#1|)) (-15 -2454 (|#1| |#1| |#1|)) (-15 -2454 (|#1| |#1|)) (-15 -2674 (|#1| (-635 |#1|))) (-15 -2674 (|#1| |#1|)) (-15 -2856 (|#1| (-635 |#1|))) (-15 -2856 (|#1| |#1|)) (-15 -2505 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2505 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2505 (|#1| |#1| (-289 |#1|))) (-15 -2503 (|#1| (-123) (-635 |#1|))) (-15 -2503 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -1321 ((-608 |#1|) |#1|)) (-15 -3003 ((-3 (-608 |#1|) "failed") |#1|))) (-297)) (T -296)) 
-((-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-296 *3)) (-4 *3 (-297)))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-296 *4)) (-4 *4 (-297))))) 
-(-10 -8 (-15 -3520 ((-121) |#1|)) (-15 -3912 ((-121) |#1|)) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| |#1|)))) (-15 -2400 ((-121) |#1| (-1165))) (-15 -2400 ((-121) |#1| |#1|)) (-15 -4188 (|#1| (-1 |#1| |#1|) (-608 |#1|))) (-15 -3529 (|#1| (-123) (-635 |#1|))) (-15 -3529 (|#1| (-123) |#1|)) (-15 -3845 ((-121) |#1| (-1165))) (-15 -3845 ((-121) |#1| (-123))) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -1367 ((-635 (-123)) |#1|)) (-15 -4320 ((-635 (-608 |#1|)) |#1|)) (-15 -3277 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -1468 ((-765) |#1|)) (-15 -2454 (|#1| |#1| |#1|)) (-15 -2454 (|#1| |#1|)) (-15 -2674 (|#1| (-635 |#1|))) (-15 -2674 (|#1| |#1|)) (-15 -2856 (|#1| (-635 |#1|))) (-15 -2856 (|#1| |#1|)) (-15 -2505 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2505 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2505 (|#1| |#1| (-289 |#1|))) (-15 -2503 (|#1| (-123) (-635 |#1|))) (-15 -2503 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -1321 ((-608 |#1|) |#1|)) (-15 -3003 ((-3 (-608 |#1|) "failed") |#1|))) 
-((-1310 (((-121) $ $) 7)) (-4320 (((-635 (-608 $)) $) 43)) (-2505 (($ $ (-289 $)) 55) (($ $ (-635 (-289 $))) 54) (($ $ (-635 (-608 $)) (-635 $)) 53)) (-3003 (((-3 (-608 $) "failed") $) 68)) (-1321 (((-608 $) $) 67)) (-2674 (($ $) 50) (($ (-635 $)) 49)) (-1367 (((-635 (-123)) $) 42)) (-1344 (((-123) (-123)) 41)) (-3520 (((-121) $) 21 (|has| $ (-1039 (-569))))) (-2387 (((-1161 $) (-608 $)) 24 (|has| $ (-1049)))) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-4188 (($ (-1 $ $) (-608 $)) 35)) (-3277 (((-3 (-608 $) "failed") $) 45)) (-2605 (((-1147) $) 9)) (-3121 (((-635 (-608 $)) $) 44)) (-3529 (($ (-123) $) 37) (($ (-123) (-635 $)) 36)) (-3845 (((-121) $ (-123)) 39) (((-121) $ (-1165)) 38)) (-1468 (((-765) $) 46)) (-1912 (((-1111) $) 10)) (-2400 (((-121) $ $) 34) (((-121) $ (-1165)) 33)) (-3912 (((-121) $) 22 (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) 66) (($ $ (-635 (-608 $)) (-635 $)) 65) (($ $ (-635 (-289 $))) 64) (($ $ (-289 $)) 63) (($ $ $ $) 62) (($ $ (-635 $) (-635 $)) 61) (($ $ (-635 (-1165)) (-635 (-1 $ $))) 32) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) 31) (($ $ (-1165) (-1 $ (-635 $))) 30) (($ $ (-1165) (-1 $ $)) 29) (($ $ (-635 (-123)) (-635 (-1 $ $))) 28) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 27) (($ $ (-123) (-1 $ (-635 $))) 26) (($ $ (-123) (-1 $ $)) 25)) (-2503 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-635 $)) 56)) (-2454 (($ $) 48) (($ $ $) 47)) (-3036 (($ $) 23 (|has| $ (-1049)))) (-3956 (((-852) $) 11) (($ (-608 $)) 69)) (-2856 (($ $) 52) (($ (-635 $)) 51)) (-3791 (((-121) (-123)) 40)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17))) 
-(((-297) (-1284)) (T -297)) 
-((-2503 (*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-2503 (*1 *1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-2503 (*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-2503 (*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-2503 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-2505 (*1 *1 *1 *2) (-12 (-5 *2 (-289 *1)) (-4 *1 (-297)))) (-2505 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *1))) (-4 *1 (-297)))) (-2505 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-608 *1))) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-2856 (*1 *1 *1) (-4 *1 (-297))) (-2856 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) (-2674 (*1 *1 *1) (-4 *1 (-297))) (-2674 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) (-2454 (*1 *1 *1) (-4 *1 (-297))) (-2454 (*1 *1 *1 *1) (-4 *1 (-297))) (-1468 (*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-765)))) (-3277 (*1 *2 *1) (|partial| -12 (-5 *2 (-608 *1)) (-4 *1 (-297)))) (-3121 (*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297)))) (-4320 (*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297)))) (-1367 (*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-635 (-123))))) (-1344 (*1 *2 *2) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-3791 (*1 *2 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) (-3845 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) (-3845 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1165)) (-5 *2 (-121)))) (-3529 (*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-3529 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-4188 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-608 *1)) (-4 *1 (-297)))) (-2400 (*1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-121)))) (-2400 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1165)) (-5 *2 (-121)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) (-2387 (*1 *2 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-1049)) (-4 *1 (-297)) (-5 *2 (-1161 *1)))) (-3036 (*1 *1 *1) (-12 (-4 *1 (-1049)) (-4 *1 (-297)))) (-3912 (*1 *2 *1) (-12 (-4 *1 (-1039 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) (-3520 (*1 *2 *1) (-12 (-4 *1 (-1039 (-569))) (-4 *1 (-297)) (-5 *2 (-121))))) 
-(-13 (-844) (-1039 (-608 $)) (-524 (-608 $) $) (-304 $) (-10 -8 (-15 -2503 ($ (-123) $)) (-15 -2503 ($ (-123) $ $)) (-15 -2503 ($ (-123) $ $ $)) (-15 -2503 ($ (-123) $ $ $ $)) (-15 -2503 ($ (-123) (-635 $))) (-15 -2505 ($ $ (-289 $))) (-15 -2505 ($ $ (-635 (-289 $)))) (-15 -2505 ($ $ (-635 (-608 $)) (-635 $))) (-15 -2856 ($ $)) (-15 -2856 ($ (-635 $))) (-15 -2674 ($ $)) (-15 -2674 ($ (-635 $))) (-15 -2454 ($ $)) (-15 -2454 ($ $ $)) (-15 -1468 ((-765) $)) (-15 -3277 ((-3 (-608 $) "failed") $)) (-15 -3121 ((-635 (-608 $)) $)) (-15 -4320 ((-635 (-608 $)) $)) (-15 -1367 ((-635 (-123)) $)) (-15 -1344 ((-123) (-123))) (-15 -3791 ((-121) (-123))) (-15 -3845 ((-121) $ (-123))) (-15 -3845 ((-121) $ (-1165))) (-15 -3529 ($ (-123) $)) (-15 -3529 ($ (-123) (-635 $))) (-15 -4188 ($ (-1 $ $) (-608 $))) (-15 -2400 ((-121) $ $)) (-15 -2400 ((-121) $ (-1165))) (-15 -1484 ($ $ (-635 (-1165)) (-635 (-1 $ $)))) (-15 -1484 ($ $ (-635 (-1165)) (-635 (-1 $ (-635 $))))) (-15 -1484 ($ $ (-1165) (-1 $ (-635 $)))) (-15 -1484 ($ $ (-1165) (-1 $ $))) (-15 -1484 ($ $ (-635 (-123)) (-635 (-1 $ $)))) (-15 -1484 ($ $ (-635 (-123)) (-635 (-1 $ (-635 $))))) (-15 -1484 ($ $ (-123) (-1 $ (-635 $)))) (-15 -1484 ($ $ (-123) (-1 $ $))) (IF (|has| $ (-1049)) (PROGN (-15 -2387 ((-1161 $) (-608 $))) (-15 -3036 ($ $))) |noBranch|) (IF (|has| $ (-1039 (-569))) (PROGN (-15 -3912 ((-121) $)) (-15 -3520 ((-121) $))) |noBranch|))) 
-(((-105) . T) ((-609 (-852)) . T) ((-304 $) . T) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-844) . T) ((-1039 (-608 $)) . T) ((-1093) . T)) 
-((-2923 (((-635 |#1|) (-635 |#1|)) 10))) 
-(((-298 |#1|) (-10 -7 (-15 -2923 ((-635 |#1|) (-635 |#1|)))) (-842)) (T -298)) 
-((-2923 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-842)) (-5 *1 (-298 *3))))) 
-(-10 -7 (-15 -2923 ((-635 |#1|) (-635 |#1|)))) 
-((-4188 (((-681 |#2|) (-1 |#2| |#1|) (-681 |#1|)) 15))) 
-(((-299 |#1| |#2|) (-10 -7 (-15 -4188 ((-681 |#2|) (-1 |#2| |#1|) (-681 |#1|)))) (-1049) (-1049)) (T -299)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-681 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-681 *6)) (-5 *1 (-299 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-681 |#2|) (-1 |#2| |#1|) (-681 |#1|)))) 
-((-3004 (((-1253 (-311 (-382))) (-1253 (-311 (-216)))) 105)) (-2269 (((-1087 (-837 (-216))) (-1087 (-837 (-382)))) 39)) (-2260 (((-635 (-1147)) (-1145 (-216))) 87)) (-1841 (((-311 (-382)) (-955 (-216))) 49)) (-1453 (((-216) (-955 (-216))) 45)) (-2844 (((-1147) (-382)) 167)) (-4093 (((-837 (-216)) (-837 (-382))) 33)) (-2357 (((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1253 (-311 (-216)))) 142)) (-2725 (((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) 180) (((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) 178)) (-4463 (((-681 (-216)) (-635 (-216)) (-765)) 13)) (-3822 (((-1253 (-690)) (-635 (-216))) 94)) (-3470 (((-635 (-1147)) (-635 (-216))) 74)) (-3961 (((-3 (-311 (-216)) "failed") (-311 (-216))) 120)) (-1922 (((-121) (-216) (-1087 (-837 (-216)))) 109)) (-3271 (((-1037) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) 198)) (-3193 (((-216) (-1087 (-837 (-216)))) 107)) (-4166 (((-216) (-1087 (-837 (-216)))) 108)) (-4297 (((-216) (-410 (-569))) 26)) (-1607 (((-1147) (-382)) 72)) (-1395 (((-216) (-382)) 17)) (-1901 (((-382) (-1253 (-311 (-216)))) 153)) (-2801 (((-311 (-216)) (-311 (-382))) 23)) (-1434 (((-410 (-569)) (-311 (-216))) 52)) (-1521 (((-311 (-410 (-569))) (-311 (-216))) 68)) (-2864 (((-311 (-382)) (-311 (-216))) 98)) (-2362 (((-216) (-311 (-216))) 53)) (-4014 (((-635 (-216)) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) 63)) (-1821 (((-1087 (-837 (-216))) (-1087 (-837 (-216)))) 60)) (-2206 (((-1147) (-216)) 71)) (-3555 (((-690) (-216)) 90)) (-4013 (((-410 (-569)) (-216)) 54)) (-2392 (((-311 (-382)) (-216)) 48)) (-4035 (((-635 (-1087 (-837 (-216)))) (-635 (-1087 (-837 (-382))))) 42)) (-4456 (((-1037) (-635 (-1037))) 163) (((-1037) (-1037) (-1037)) 160)) (-1592 (((-1037) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) 194))) 
-(((-300) (-10 -7 (-15 -1395 ((-216) (-382))) (-15 -2801 ((-311 (-216)) (-311 (-382)))) (-15 -4093 ((-837 (-216)) (-837 (-382)))) (-15 -2269 ((-1087 (-837 (-216))) (-1087 (-837 (-382))))) (-15 -4035 ((-635 (-1087 (-837 (-216)))) (-635 (-1087 (-837 (-382)))))) (-15 -4013 ((-410 (-569)) (-216))) (-15 -1434 ((-410 (-569)) (-311 (-216)))) (-15 -2362 ((-216) (-311 (-216)))) (-15 -3961 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -1901 ((-382) (-1253 (-311 (-216))))) (-15 -2357 ((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1253 (-311 (-216))))) (-15 -1521 ((-311 (-410 (-569))) (-311 (-216)))) (-15 -1821 ((-1087 (-837 (-216))) (-1087 (-837 (-216))))) (-15 -4014 ((-635 (-216)) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) (-15 -3555 ((-690) (-216))) (-15 -3822 ((-1253 (-690)) (-635 (-216)))) (-15 -2864 ((-311 (-382)) (-311 (-216)))) (-15 -3004 ((-1253 (-311 (-382))) (-1253 (-311 (-216))))) (-15 -1922 ((-121) (-216) (-1087 (-837 (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -1607 ((-1147) (-382))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216)))) (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -4456 ((-1037) (-1037) (-1037))) (-15 -4456 ((-1037) (-635 (-1037)))) (-15 -2844 ((-1147) (-382))) (-15 -2725 ((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))))) (-15 -2725 ((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))))) (-15 -1592 ((-1037) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -3271 ((-1037) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))) (-15 -1841 ((-311 (-382)) (-955 (-216)))) (-15 -1453 ((-216) (-955 (-216)))) (-15 -2392 ((-311 (-382)) (-216))) (-15 -4297 ((-216) (-410 (-569)))) (-15 -4463 ((-681 (-216)) (-635 (-216)) (-765))))) (T -300)) 
-((-4463 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-765)) (-5 *2 (-681 (-216))) (-5 *1 (-300)))) (-4297 (*1 *2 *3) (-12 (-5 *3 (-410 (-569))) (-5 *2 (-216)) (-5 *1 (-300)))) (-2392 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-1453 (*1 *2 *3) (-12 (-5 *3 (-955 (-216))) (-5 *2 (-216)) (-5 *1 (-300)))) (-1841 (*1 *2 *3) (-12 (-5 *3 (-955 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-3271 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *2 (-1037)) (-5 *1 (-300)))) (-1592 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1037)) (-5 *1 (-300)))) (-2725 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *2 (-1037)) (-5 *1 (-300)))) (-2725 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *2 (-1037)) (-5 *1 (-300)))) (-2844 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1147)) (-5 *1 (-300)))) (-4456 (*1 *2 *3) (-12 (-5 *3 (-635 (-1037))) (-5 *2 (-1037)) (-5 *1 (-300)))) (-4456 (*1 *2 *2 *2) (-12 (-5 *2 (-1037)) (-5 *1 (-300)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-300)))) (-3193 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-300)))) (-2260 (*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-300)))) (-3470 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-300)))) (-1607 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1147)) (-5 *1 (-300)))) (-2206 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-300)))) (-1922 (*1 *2 *3 *4) (-12 (-5 *4 (-1087 (-837 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-300)))) (-3004 (*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-1253 (-311 (-382)))) (-5 *1 (-300)))) (-2864 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-3822 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1253 (-690))) (-5 *1 (-300)))) (-3555 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-690)) (-5 *1 (-300)))) (-4014 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *2 (-635 (-216))) (-5 *1 (-300)))) (-1821 (*1 *2 *2) (-12 (-5 *2 (-1087 (-837 (-216)))) (-5 *1 (-300)))) (-1521 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-410 (-569)))) (-5 *1 (-300)))) (-2357 (*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569)))) (-5 *1 (-300)))) (-1901 (*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-300)))) (-3961 (*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-300)))) (-2362 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-216)) (-5 *1 (-300)))) (-1434 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-410 (-569))) (-5 *1 (-300)))) (-4013 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-410 (-569))) (-5 *1 (-300)))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-635 (-1087 (-837 (-382))))) (-5 *2 (-635 (-1087 (-837 (-216))))) (-5 *1 (-300)))) (-2269 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-382)))) (-5 *2 (-1087 (-837 (-216)))) (-5 *1 (-300)))) (-4093 (*1 *2 *3) (-12 (-5 *3 (-837 (-382))) (-5 *2 (-837 (-216))) (-5 *1 (-300)))) (-2801 (*1 *2 *3) (-12 (-5 *3 (-311 (-382))) (-5 *2 (-311 (-216))) (-5 *1 (-300)))) (-1395 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(-10 -7 (-15 -1395 ((-216) (-382))) (-15 -2801 ((-311 (-216)) (-311 (-382)))) (-15 -4093 ((-837 (-216)) (-837 (-382)))) (-15 -2269 ((-1087 (-837 (-216))) (-1087 (-837 (-382))))) (-15 -4035 ((-635 (-1087 (-837 (-216)))) (-635 (-1087 (-837 (-382)))))) (-15 -4013 ((-410 (-569)) (-216))) (-15 -1434 ((-410 (-569)) (-311 (-216)))) (-15 -2362 ((-216) (-311 (-216)))) (-15 -3961 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -1901 ((-382) (-1253 (-311 (-216))))) (-15 -2357 ((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1253 (-311 (-216))))) (-15 -1521 ((-311 (-410 (-569))) (-311 (-216)))) (-15 -1821 ((-1087 (-837 (-216))) (-1087 (-837 (-216))))) (-15 -4014 ((-635 (-216)) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) (-15 -3555 ((-690) (-216))) (-15 -3822 ((-1253 (-690)) (-635 (-216)))) (-15 -2864 ((-311 (-382)) (-311 (-216)))) (-15 -3004 ((-1253 (-311 (-382))) (-1253 (-311 (-216))))) (-15 -1922 ((-121) (-216) (-1087 (-837 (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -1607 ((-1147) (-382))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216)))) (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -4456 ((-1037) (-1037) (-1037))) (-15 -4456 ((-1037) (-635 (-1037)))) (-15 -2844 ((-1147) (-382))) (-15 -2725 ((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))))) (-15 -2725 ((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))))) (-15 -1592 ((-1037) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -3271 ((-1037) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))) (-15 -1841 ((-311 (-382)) (-955 (-216)))) (-15 -1453 ((-216) (-955 (-216)))) (-15 -2392 ((-311 (-382)) (-216))) (-15 -4297 ((-216) (-410 (-569)))) (-15 -4463 ((-681 (-216)) (-635 (-216)) (-765)))) 
-((-2889 (((-121) $ $) 11)) (-1614 (($ $ $) 15)) (-1626 (($ $ $) 14)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 43)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 52)) (-3964 (($ $ $) 21) (($ (-635 $)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 31) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 36)) (-1436 (((-3 $ "failed") $ $) 18)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 45))) 
-(((-301 |#1|) (-10 -8 (-15 -4153 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2804 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -2804 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -1614 (|#1| |#1| |#1|)) (-15 -1626 (|#1| |#1| |#1|)) (-15 -2889 ((-121) |#1| |#1|)) (-15 -2213 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2153 ((-2 (|:| -3550 (-635 |#1|)) (|:| -1986 |#1|)) (-635 |#1|))) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|))) (-302)) (T -301)) 
-NIL 
-(-10 -8 (-15 -4153 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2804 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -2804 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -1614 (|#1| |#1| |#1|)) (-15 -1626 (|#1| |#1| |#1|)) (-15 -2889 ((-121) |#1| |#1|)) (-15 -2213 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2153 ((-2 (|:| -3550 (-635 |#1|)) (|:| -1986 |#1|)) (-635 |#1|))) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3934 (((-121) $) 30)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-302) (-1284)) (T -302)) 
-((-2889 (*1 *2 *1 *1) (-12 (-4 *1 (-302)) (-5 *2 (-121)))) (-2061 (*1 *2 *1) (-12 (-4 *1 (-302)) (-5 *2 (-765)))) (-3135 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-302)))) (-1626 (*1 *1 *1 *1) (-4 *1 (-302))) (-1614 (*1 *1 *1 *1) (-4 *1 (-302))) (-2804 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-302)))) (-2804 (*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-302)))) (-4153 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-302))))) 
-(-13 (-918) (-10 -8 (-15 -2889 ((-121) $ $)) (-15 -2061 ((-765) $)) (-15 -3135 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -1626 ($ $ $)) (-15 -1614 ($ $ $)) (-15 -2804 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $)) (-15 -2804 ((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $)) (-15 -4153 ((-3 (-635 $) "failed") (-635 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1484 (($ $ (-635 |#2|) (-635 |#2|)) 14) (($ $ |#2| |#2|) NIL) (($ $ (-289 |#2|)) 11) (($ $ (-635 (-289 |#2|))) NIL))) 
-(((-303 |#1| |#2|) (-10 -8 (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|)))) (-304 |#2|) (-1093)) (T -303)) 
-NIL 
-(-10 -8 (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|)))) 
-((-1484 (($ $ (-635 |#1|) (-635 |#1|)) 7) (($ $ |#1| |#1|) 6) (($ $ (-289 |#1|)) 9) (($ $ (-635 (-289 |#1|))) 8))) 
-(((-304 |#1|) (-1284) (-1093)) (T -304)) 
-((-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-289 *3)) (-4 *1 (-304 *3)) (-4 *3 (-1093)))) (-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *1 (-304 *3)) (-4 *3 (-1093))))) 
-(-13 (-524 |t#1| |t#1|) (-10 -8 (-15 -1484 ($ $ (-289 |t#1|))) (-15 -1484 ($ $ (-635 (-289 |t#1|)))))) 
-(((-524 |#1| |#1|) . T)) 
-((-1484 ((|#1| (-1 |#1| (-569)) (-1167 (-410 (-569)))) 24))) 
-(((-305 |#1|) (-10 -7 (-15 -1484 (|#1| (-1 |#1| (-569)) (-1167 (-410 (-569)))))) (-43 (-410 (-569)))) (T -305)) 
-((-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-569))) (-5 *4 (-1167 (-410 (-569)))) (-5 *1 (-305 *2)) (-4 *2 (-43 (-410 (-569))))))) 
-(-10 -7 (-15 -1484 (|#1| (-1 |#1| (-569)) (-1167 (-410 (-569)))))) 
-((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 7)) (-1326 (((-121) $ $) 9))) 
-(((-306) (-1093)) (T -306)) 
-NIL 
-(-1093) 
-((-3427 (((-1258) (-1153 3 (-216)) (-1147)) 38))) 
-(((-307) (-10 -7 (-15 -3427 ((-1258) (-1153 3 (-216)) (-1147))))) (T -307)) 
-((-3427 (*1 *2 *3 *4) (-12 (-5 *3 (-1153 3 (-216))) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-307))))) 
-(-10 -7 (-15 -3427 ((-1258) (-1153 3 (-216)) (-1147)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 62)) (-3644 (((-1238 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-1238 |#1| |#2| |#3| |#4|) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-569)))) (((-3 (-1237 |#2| |#3| |#4|) "failed") $) 24)) (-1321 (((-1238 |#1| |#2| |#3| |#4|) $) NIL) (((-1165) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-569)))) (((-569) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-569)))) (((-1237 |#2| |#3| |#4|) $) NIL)) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-1238 |#1| |#2| |#3| |#4|))) (|:| |vec| (-1253 (-1238 |#1| |#2| |#3| |#4|)))) (-681 $) (-1253 $)) NIL) (((-681 (-1238 |#1| |#2| |#3| |#4|)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-1238 |#1| |#2| |#3| |#4|) $) 21)) (-1542 (((-3 $ "failed") $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1139)))) (-4311 (((-121) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-2713 (($ $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-4188 (($ (-1 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) $) NIL)) (-3805 (((-3 (-837 |#2|) "failed") $) 76)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-302)))) (-1807 (((-1238 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-1238 |#1| |#2| |#3| |#4|)) (-635 (-1238 |#1| |#2| |#3| |#4|))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) (($ $ (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) (($ $ (-289 (-1238 |#1| |#2| |#3| |#4|))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) (($ $ (-635 (-289 (-1238 |#1| |#2| |#3| |#4|)))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) (($ $ (-635 (-1165)) (-635 (-1238 |#1| |#2| |#3| |#4|))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-524 (-1165) (-1238 |#1| |#2| |#3| |#4|)))) (($ $ (-1165) (-1238 |#1| |#2| |#3| |#4|)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-524 (-1165) (-1238 |#1| |#2| |#3| |#4|))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-1238 |#1| |#2| |#3| |#4|)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-282 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-765)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-1165)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-1 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) (-765)) NIL) (($ $ (-1 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-1238 |#1| |#2| |#3| |#4|) $) 17)) (-4035 (((-889 (-569)) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-610 (-542)))) (((-382) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1023))) (((-216) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-1238 |#1| |#2| |#3| |#4|) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-1238 |#1| |#2| |#3| |#4|)) 28) (($ (-1165)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-1165)))) (($ (-1237 |#2| |#3| |#4|)) 36)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-1238 |#1| |#2| |#3| |#4|) (-906))) (|has| (-1238 |#1| |#2| |#3| |#4|) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-1238 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-551)))) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 41 T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-765)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-1165)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-1 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) (-765)) NIL) (($ $ (-1 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-1383 (($ $ $) 33) (($ (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) 30)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-1238 |#1| |#2| |#3| |#4|) $) 29) (($ $ (-1238 |#1| |#2| |#3| |#4|)) NIL))) 
-(((-308 |#1| |#2| |#3| |#4|) (-13 (-995 (-1238 |#1| |#2| |#3| |#4|)) (-1039 (-1237 |#2| |#3| |#4|)) (-10 -8 (-15 -3805 ((-3 (-837 |#2|) "failed") $)) (-15 -3956 ($ (-1237 |#2| |#3| |#4|))))) (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1185) (-433 |#1|)) (-1165) |#2|) (T -308)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1237 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4) (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *1 (-308 *3 *4 *5 *6)))) (-3805 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-837 *4)) (-5 *1 (-308 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4)))) 
-(-13 (-995 (-1238 |#1| |#2| |#3| |#4|)) (-1039 (-1237 |#2| |#3| |#4|)) (-10 -8 (-15 -3805 ((-3 (-837 |#2|) "failed") $)) (-15 -3956 ($ (-1237 |#2| |#3| |#4|))))) 
-((-4188 (((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)) 13))) 
-(((-309 |#1| |#2|) (-10 -7 (-15 -4188 ((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)))) (-844) (-844)) (T -309)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-311 *5)) (-4 *5 (-844)) (-4 *6 (-844)) (-5 *2 (-311 *6)) (-5 *1 (-309 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)))) 
-((-3221 (((-57) |#2| (-289 |#2|) (-765)) 33) (((-57) |#2| (-289 |#2|)) 24) (((-57) |#2| (-765)) 28) (((-57) |#2|) 25) (((-57) (-1165)) 21)) (-4314 (((-57) |#2| (-289 |#2|) (-410 (-569))) 51) (((-57) |#2| (-289 |#2|)) 48) (((-57) |#2| (-410 (-569))) 50) (((-57) |#2|) 49) (((-57) (-1165)) 47)) (-3236 (((-57) |#2| (-289 |#2|) (-410 (-569))) 46) (((-57) |#2| (-289 |#2|)) 43) (((-57) |#2| (-410 (-569))) 45) (((-57) |#2|) 44) (((-57) (-1165)) 42)) (-3228 (((-57) |#2| (-289 |#2|) (-569)) 39) (((-57) |#2| (-289 |#2|)) 35) (((-57) |#2| (-569)) 38) (((-57) |#2|) 36) (((-57) (-1165)) 34))) 
-(((-310 |#1| |#2|) (-10 -7 (-15 -3221 ((-57) (-1165))) (-15 -3221 ((-57) |#2|)) (-15 -3221 ((-57) |#2| (-765))) (-15 -3221 ((-57) |#2| (-289 |#2|))) (-15 -3221 ((-57) |#2| (-289 |#2|) (-765))) (-15 -3228 ((-57) (-1165))) (-15 -3228 ((-57) |#2|)) (-15 -3228 ((-57) |#2| (-569))) (-15 -3228 ((-57) |#2| (-289 |#2|))) (-15 -3228 ((-57) |#2| (-289 |#2|) (-569))) (-15 -3236 ((-57) (-1165))) (-15 -3236 ((-57) |#2|)) (-15 -3236 ((-57) |#2| (-410 (-569)))) (-15 -3236 ((-57) |#2| (-289 |#2|))) (-15 -3236 ((-57) |#2| (-289 |#2|) (-410 (-569)))) (-15 -4314 ((-57) (-1165))) (-15 -4314 ((-57) |#2|)) (-15 -4314 ((-57) |#2| (-410 (-569)))) (-15 -4314 ((-57) |#2| (-289 |#2|))) (-15 -4314 ((-57) |#2| (-289 |#2|) (-410 (-569))))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -310)) 
-((-4314 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-4314 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-4314 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-4314 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-4314 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) (-3236 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-3236 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-3236 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-3236 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-3236 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) (-3228 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 *5) (-631 *5))) (-5 *5 (-569)) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-3228 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-3228 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-13 (-454) (-844) (-1039 *4) (-631 *4))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-3228 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-3228 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) (-3221 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-765)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-3221 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-3221 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-3221 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-3221 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4)))))) 
-(-10 -7 (-15 -3221 ((-57) (-1165))) (-15 -3221 ((-57) |#2|)) (-15 -3221 ((-57) |#2| (-765))) (-15 -3221 ((-57) |#2| (-289 |#2|))) (-15 -3221 ((-57) |#2| (-289 |#2|) (-765))) (-15 -3228 ((-57) (-1165))) (-15 -3228 ((-57) |#2|)) (-15 -3228 ((-57) |#2| (-569))) (-15 -3228 ((-57) |#2| (-289 |#2|))) (-15 -3228 ((-57) |#2| (-289 |#2|) (-569))) (-15 -3236 ((-57) (-1165))) (-15 -3236 ((-57) |#2|)) (-15 -3236 ((-57) |#2| (-410 (-569)))) (-15 -3236 ((-57) |#2| (-289 |#2|))) (-15 -3236 ((-57) |#2| (-289 |#2|) (-410 (-569)))) (-15 -4314 ((-57) (-1165))) (-15 -4314 ((-57) |#2|)) (-15 -4314 ((-57) |#2| (-410 (-569)))) (-15 -4314 ((-57) |#2| (-289 |#2|))) (-15 -4314 ((-57) |#2| (-289 |#2|) (-410 (-569))))) 
-((-1310 (((-121) $ $) NIL)) (-3298 (((-635 $) $ (-1165)) NIL (|has| |#1| (-559))) (((-635 $) $) NIL (|has| |#1| (-559))) (((-635 $) (-1161 $) (-1165)) NIL (|has| |#1| (-559))) (((-635 $) (-1161 $)) NIL (|has| |#1| (-559))) (((-635 $) (-955 $)) NIL (|has| |#1| (-559)))) (-2309 (($ $ (-1165)) NIL (|has| |#1| (-559))) (($ $) NIL (|has| |#1| (-559))) (($ (-1161 $) (-1165)) NIL (|has| |#1| (-559))) (($ (-1161 $)) NIL (|has| |#1| (-559))) (($ (-955 $)) NIL (|has| |#1| (-559)))) (-2225 (((-121) $) 27 (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))))) (-3195 (((-635 (-1165)) $) 348)) (-3132 (((-410 (-1161 $)) $ (-608 $)) NIL (|has| |#1| (-559)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-4320 (((-635 (-608 $)) $) NIL)) (-3544 (($ $) 154 (|has| |#1| (-559)))) (-3467 (($ $) 130 (|has| |#1| (-559)))) (-1998 (($ $ (-1085 $)) 215 (|has| |#1| (-559))) (($ $ (-1165)) 211 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) NIL (-1929 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))))) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) 364) (($ $ (-635 (-608 $)) (-635 $)) 407)) (-2501 (((-421 (-1161 $)) (-1161 $)) 292 (-12 (|has| |#1| (-454)) (|has| |#1| (-559))))) (-2710 (($ $) NIL (|has| |#1| (-559)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-559)))) (-3422 (($ $) NIL (|has| |#1| (-559)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3530 (($ $) 150 (|has| |#1| (-559)))) (-3455 (($ $) 126 (|has| |#1| (-559)))) (-4221 (($ $ (-569)) 64 (|has| |#1| (-559)))) (-3559 (($ $) 158 (|has| |#1| (-559)))) (-3480 (($ $) 134 (|has| |#1| (-559)))) (-4483 (($) NIL (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))) CONST)) (-1645 (((-635 $) $ (-1165)) NIL (|has| |#1| (-559))) (((-635 $) $) NIL (|has| |#1| (-559))) (((-635 $) (-1161 $) (-1165)) NIL (|has| |#1| (-559))) (((-635 $) (-1161 $)) NIL (|has| |#1| (-559))) (((-635 $) (-955 $)) NIL (|has| |#1| (-559)))) (-2306 (($ $ (-1165)) NIL (|has| |#1| (-559))) (($ $) NIL (|has| |#1| (-559))) (($ (-1161 $) (-1165)) 117 (|has| |#1| (-559))) (($ (-1161 $)) NIL (|has| |#1| (-559))) (($ (-955 $)) NIL (|has| |#1| (-559)))) (-3003 (((-3 (-608 $) "failed") $) 17) (((-3 (-1165) "failed") $) NIL) (((-3 |#1| "failed") $) 416) (((-3 (-53) "failed") $) 321 (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-955 |#1|)) "failed") $) NIL (|has| |#1| (-559))) (((-3 (-955 |#1|) "failed") $) NIL (|has| |#1| (-1049))) (((-3 (-410 (-569)) "failed") $) 45 (-1929 (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-1321 (((-608 $) $) 11) (((-1165) $) NIL) ((|#1| $) 398) (((-53) $) NIL (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-955 |#1|)) $) NIL (|has| |#1| (-559))) (((-955 |#1|) $) NIL (|has| |#1| (-1049))) (((-410 (-569)) $) 305 (-1929 (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-1614 (($ $ $) NIL (|has| |#1| (-559)))) (-3435 (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 110 (|has| |#1| (-1049))) (((-681 |#1|) (-681 $)) 102 (|has| |#1| (-1049))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))) (-2793 (($ $) 84 (|has| |#1| (-559)))) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))))) (-1626 (($ $ $) NIL (|has| |#1| (-559)))) (-1419 (($ $ (-1085 $)) 219 (|has| |#1| (-559))) (($ $ (-1165)) 217 (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-559)))) (-2005 (((-121) $) NIL (|has| |#1| (-559)))) (-2648 (($ $ $) 185 (|has| |#1| (-559)))) (-3415 (($) 120 (|has| |#1| (-559)))) (-2578 (($ $ $) 205 (|has| |#1| (-559)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 370 (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 376 (|has| |#1| (-883 (-382))))) (-2674 (($ $) NIL) (($ (-635 $)) NIL)) (-1367 (((-635 (-123)) $) NIL)) (-1344 (((-123) (-123)) 264)) (-3934 (((-121) $) 25 (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))))) (-3520 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-3043 (($ $) 66 (|has| |#1| (-1049)))) (-3515 (((-1116 |#1| (-608 $)) $) 79 (|has| |#1| (-1049)))) (-1418 (((-121) $) 46 (|has| |#1| (-559)))) (-2522 (($ $ (-569)) NIL (|has| |#1| (-559)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-559)))) (-2387 (((-1161 $) (-608 $)) 265 (|has| $ (-1049)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 $ $) (-608 $)) 403)) (-3277 (((-3 (-608 $) "failed") $) NIL)) (-3597 (($ $) 124 (|has| |#1| (-559)))) (-3433 (($ $) 230 (|has| |#1| (-559)))) (-1657 (($ (-635 $)) NIL (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-2605 (((-1147) $) NIL)) (-3121 (((-635 (-608 $)) $) 48)) (-3529 (($ (-123) $) NIL) (($ (-123) (-635 $)) 408)) (-2617 (((-3 (-635 $) "failed") $) NIL (|has| |#1| (-1105)))) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $) NIL (|has| |#1| (-1049)))) (-2085 (((-3 (-635 $) "failed") $) 411 (|has| |#1| (-25)))) (-1417 (((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $) 415 (|has| |#1| (-25)))) (-2601 (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $) NIL (|has| |#1| (-1105))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123)) NIL (|has| |#1| (-1049))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165)) NIL (|has| |#1| (-1049)))) (-3845 (((-121) $ (-123)) NIL) (((-121) $ (-1165)) 52)) (-3243 (($ $) NIL (-1929 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-2553 (($ $ (-1165)) 238 (|has| |#1| (-559))) (($ $ (-1085 $)) 240 (|has| |#1| (-559)))) (-1468 (((-765) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 43)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 285 (|has| |#1| (-559)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-4230 (($ $) 234 (|has| |#1| (-559)))) (-2640 (($ $) 236 (|has| |#1| (-559)))) (-2400 (((-121) $ $) NIL) (((-121) $ (-1165)) NIL)) (-1389 (($ $ (-1165)) 209 (|has| |#1| (-559))) (($ $) 207 (|has| |#1| (-559)))) (-1954 (($ $) 201 (|has| |#1| (-559)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 290 (-12 (|has| |#1| (-454)) (|has| |#1| (-559))))) (-3139 (((-421 $) $) NIL (|has| |#1| (-559)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-559)))) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-559)))) (-3408 (($ $) 122 (|has| |#1| (-559)))) (-3912 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) 402) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) 358) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1165)) NIL (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-610 (-542)))) (($ $) NIL (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1165)) 346 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1165)) 345 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $))) NIL (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $)))) NIL (|has| |#1| (-1049))) (($ $ (-1165) (-765) (-1 $ (-635 $))) NIL (|has| |#1| (-1049))) (($ $ (-1165) (-765) (-1 $ $)) NIL (|has| |#1| (-1049)))) (-2061 (((-765) $) NIL (|has| |#1| (-559)))) (-3438 (($ $) 222 (|has| |#1| (-559)))) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-2454 (($ $) NIL) (($ $ $) NIL)) (-3450 (($ $) 232 (|has| |#1| (-559)))) (-3566 (($ $) 183 (|has| |#1| (-559)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-1049))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-1049))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-1049))) (($ $ (-1165)) NIL (|has| |#1| (-1049)))) (-2572 (($ $) 67 (|has| |#1| (-559)))) (-3524 (((-1116 |#1| (-608 $)) $) 81 (|has| |#1| (-559)))) (-3036 (($ $) 303 (|has| $ (-1049)))) (-3565 (($ $) 160 (|has| |#1| (-559)))) (-3485 (($ $) 136 (|has| |#1| (-559)))) (-3551 (($ $) 156 (|has| |#1| (-559)))) (-3473 (($ $) 132 (|has| |#1| (-559)))) (-3538 (($ $) 152 (|has| |#1| (-559)))) (-3460 (($ $) 128 (|has| |#1| (-559)))) (-4035 (((-889 (-569)) $) NIL (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| |#1| (-610 (-889 (-382))))) (($ (-421 $)) NIL (|has| |#1| (-559))) (((-542) $) 343 (|has| |#1| (-610 (-542))))) (-3980 (($ $ $) NIL (|has| |#1| (-479)))) (-2689 (($ $ $) NIL (|has| |#1| (-479)))) (-3956 (((-852) $) 401) (($ (-608 $)) 392) (($ (-1165)) 360) (($ |#1|) 322) (($ $) NIL (|has| |#1| (-559))) (($ (-53)) 297 (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569))))) (($ (-1116 |#1| (-608 $))) 83 (|has| |#1| (-1049))) (($ (-410 |#1|)) NIL (|has| |#1| (-559))) (($ (-955 (-410 |#1|))) NIL (|has| |#1| (-559))) (($ (-410 (-955 (-410 |#1|)))) NIL (|has| |#1| (-559))) (($ (-410 (-955 |#1|))) NIL (|has| |#1| (-559))) (($ (-955 |#1|)) NIL (|has| |#1| (-1049))) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-559)) (|has| |#1| (-1039 (-410 (-569)))))) (($ (-569)) 34 (-1929 (|has| |#1| (-1039 (-569))) (|has| |#1| (-1049))))) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL (|has| |#1| (-1049)))) (-2856 (($ $) NIL) (($ (-635 $)) NIL)) (-4196 (($ $ $) 203 (|has| |#1| (-559)))) (-3839 (($ $ $) 189 (|has| |#1| (-559)))) (-4489 (($ $ $) 193 (|has| |#1| (-559)))) (-1289 (($ $ $) 187 (|has| |#1| (-559)))) (-3578 (($ $ $) 191 (|has| |#1| (-559)))) (-3791 (((-121) (-123)) 9)) (-3585 (($ $) 166 (|has| |#1| (-559)))) (-3505 (($ $) 142 (|has| |#1| (-559)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) 162 (|has| |#1| (-559)))) (-3490 (($ $) 138 (|has| |#1| (-559)))) (-3599 (($ $) 170 (|has| |#1| (-559)))) (-3517 (($ $) 146 (|has| |#1| (-559)))) (-3207 (($ (-1165) $) NIL) (($ (-1165) $ $) NIL) (($ (-1165) $ $ $) NIL) (($ (-1165) $ $ $ $) NIL) (($ (-1165) (-635 $)) NIL)) (-3618 (($ $) 197 (|has| |#1| (-559)))) (-4466 (($ $) 195 (|has| |#1| (-559)))) (-4527 (($ $) 172 (|has| |#1| (-559)))) (-3525 (($ $) 148 (|has| |#1| (-559)))) (-3592 (($ $) 168 (|has| |#1| (-559)))) (-3510 (($ $) 144 (|has| |#1| (-559)))) (-3579 (($ $) 164 (|has| |#1| (-559)))) (-3497 (($ $) 140 (|has| |#1| (-559)))) (-4080 (($ $) 175 (|has| |#1| (-559)))) (-3403 (($ $ (-569)) NIL (-1929 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105)))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))))) (-2407 (($) 20 (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))) CONST)) (-1900 (($ $) 226 (|has| |#1| (-559)))) (-3297 (($) 22 (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))) CONST)) (-2246 (($ $) 177 (|has| |#1| (-559))) (($ $ $) 179 (|has| |#1| (-559)))) (-1618 (($ $) 224 (|has| |#1| (-559)))) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-1049))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-1049))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-1049))) (($ $ (-1165)) NIL (|has| |#1| (-1049)))) (-3184 (($ $) 228 (|has| |#1| (-559)))) (-4028 (($ $ $) 181 (|has| |#1| (-559)))) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 76)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 75)) (-1383 (($ (-1116 |#1| (-608 $)) (-1116 |#1| (-608 $))) 93 (|has| |#1| (-559))) (($ $ $) 42 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-1377 (($ $ $) 40 (-1929 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))) (($ $) 29 (-1929 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))))) (-1371 (($ $ $) 38 (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))))) (** (($ $ $) 61 (|has| |#1| (-559))) (($ $ (-410 (-569))) 300 (|has| |#1| (-559))) (($ $ (-569)) 71 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-765)) 68 (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105)))) (($ $ (-919)) 73 (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))))) (* (($ (-410 (-569)) $) NIL (|has| |#1| (-559))) (($ $ (-410 (-569))) NIL (|has| |#1| (-559))) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))) (($ $ $) 36 (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105)))) (($ (-569) $) 32 (-1929 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))) (($ (-765) $) NIL (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))) (($ (-919) $) NIL (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))))) 
-(((-311 |#1|) (-13 (-433 |#1|) (-10 -8 (IF (|has| |#1| (-559)) (PROGN (-6 (-29 |#1|)) (-6 (-1185)) (-6 (-162)) (-6 (-621)) (-6 (-1127)) (-15 -2793 ($ $)) (-15 -1418 ((-121) $)) (-15 -4221 ($ $ (-569))) (IF (|has| |#1| (-454)) (PROGN (-15 -2059 ((-421 (-1161 $)) (-1161 $))) (-15 -2501 ((-421 (-1161 $)) (-1161 $)))) |noBranch|) (IF (|has| |#1| (-1039 (-569))) (-6 (-1039 (-53))) |noBranch|)) |noBranch|))) (-844)) (T -311)) 
-((-2793 (*1 *1 *1) (-12 (-5 *1 (-311 *2)) (-4 *2 (-559)) (-4 *2 (-844)))) (-1418 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-844)))) (-4221 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-844)))) (-2059 (*1 *2 *3) (-12 (-5 *2 (-421 (-1161 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1161 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-844)))) (-2501 (*1 *2 *3) (-12 (-5 *2 (-421 (-1161 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1161 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-844))))) 
-(-13 (-433 |#1|) (-10 -8 (IF (|has| |#1| (-559)) (PROGN (-6 (-29 |#1|)) (-6 (-1185)) (-6 (-162)) (-6 (-621)) (-6 (-1127)) (-15 -2793 ($ $)) (-15 -1418 ((-121) $)) (-15 -4221 ($ $ (-569))) (IF (|has| |#1| (-454)) (PROGN (-15 -2059 ((-421 (-1161 $)) (-1161 $))) (-15 -2501 ((-421 (-1161 $)) (-1161 $)))) |noBranch|) (IF (|has| |#1| (-1039 (-569))) (-6 (-1039 (-53))) |noBranch|)) |noBranch|))) 
-((-4152 (((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)) 86) (((-57) |#2| (-123) (-289 |#2|) (-289 |#2|)) 82) (((-57) |#2| (-123) (-289 |#2|) |#2|) 84) (((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|) 85) (((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|))) 78) (((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|)) 80) (((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|)) 81) (((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|))) 79) (((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|)) 87) (((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|)) 83))) 
-(((-312 |#1| |#2|) (-10 -7 (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|))) (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -4152 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|)) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) |#2|)) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) (-289 |#2|))) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)))) (-13 (-844) (-559) (-610 (-542))) (-433 |#1|)) (T -312)) 
-((-4152 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *3)))) (-4152 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) (-4152 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) (-4152 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *5)) (-5 *4 (-123)) (-4 *5 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *5)))) (-4152 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-123))) (-5 *6 (-635 (-289 *8))) (-4 *8 (-433 *7)) (-5 *5 (-289 *8)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) (-4152 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-4152 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 (-289 *8))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *8)) (-5 *6 (-635 *8)) (-4 *8 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) (-4152 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-4152 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-635 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-4152 (*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-289 *6)) (-5 *4 (-123)) (-4 *6 (-433 *5)) (-4 *5 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *5 *6))))) 
-(-10 -7 (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|))) (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -4152 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|)) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) |#2|)) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) (-289 |#2|))) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)))) 
-((-4152 ((|#3| |#2| (-123) (-1165) (-635 |#2|)) 53)) (-2702 ((|#2| |#2| (-123) (-1165)) 30))) 
-(((-313 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4152 (|#3| |#2| (-123) (-1165) (-635 |#2|))) (-15 -2702 (|#2| |#2| (-123) (-1165)))) (-13 (-844) (-559) (-610 (-542))) (-433 |#1|) (-1243 |#2|) (-1243 (-1159 |#2|))) (T -313)) 
-((-2702 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-559) (-610 (-542)))) (-4 *2 (-433 *5)) (-5 *1 (-313 *5 *2 *6 *7)) (-4 *6 (-1243 *2)) (-4 *7 (-1243 (-1159 *2))))) (-4152 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1165)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-4 *2 (-1243 *3)) (-5 *1 (-313 *7 *3 *2 *8)) (-4 *8 (-1243 (-1159 *3)))))) 
-(-10 -7 (-15 -4152 (|#3| |#2| (-123) (-1165) (-635 |#2|))) (-15 -2702 (|#2| |#2| (-123) (-1165)))) 
-((-1833 (((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569) (-1147)) 45) (((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569)) 46) (((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569) (-1147)) 42) (((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569)) 43)) (-3789 (((-1 (-216) (-216)) (-216)) 44))) 
-(((-314) (-10 -7 (-15 -3789 ((-1 (-216) (-216)) (-216))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569) (-1147))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569) (-1147))))) (T -314)) 
-((-1833 (*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *8 (-1147)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) (-1833 (*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) (-1833 (*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-569)) (-5 *7 (-1147)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) (-1833 (*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-569)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) (-3789 (*1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-314)) (-5 *3 (-216))))) 
-(-10 -7 (-15 -3789 ((-1 (-216) (-216)) (-216))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569) (-1147))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569) (-1147)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 24)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 19)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) 30)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) 15)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) NIL) (($ $ (-410 (-569))) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-410 (-569))) NIL) (($ $ (-1077) (-410 (-569))) NIL) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185)))))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3196 (((-410 (-569)) $) 16)) (-4199 (($ (-1237 |#1| |#2| |#3|)) 11)) (-3190 (((-1237 |#1| |#2| |#3|) $) 12)) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2284 (((-410 (-569)) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 10)) (-3956 (((-852) $) 36) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) 28)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) NIL)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 26)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 31)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-315 |#1| |#2| |#3|) (-13 (-1233 |#1|) (-789) (-10 -8 (-15 -4199 ($ (-1237 |#1| |#2| |#3|))) (-15 -3190 ((-1237 |#1| |#2| |#3|) $)) (-15 -3196 ((-410 (-569)) $)))) (-13 (-366) (-844)) (-1165) |#1|) (T -315)) 
-((-4199 (*1 *1 *2) (-12 (-5 *2 (-1237 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-315 *3 *4 *5)))) (-3190 (*1 *2 *1) (-12 (-5 *2 (-1237 *3 *4 *5)) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3))) (-3196 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3)))) 
-(-13 (-1233 |#1|) (-789) (-10 -8 (-15 -4199 ($ (-1237 |#1| |#2| |#3|))) (-15 -3190 ((-1237 |#1| |#2| |#3|) $)) (-15 -3196 ((-410 (-569)) $)))) 
-((-2552 (((-421 (-1161 |#1|)) (-1161 |#1|) |#1|) 15)) (-3139 (((-421 (-1161 |#1|)) (-1161 |#1|) |#1|) 24))) 
-(((-316 |#1|) (-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|)) (-15 -2552 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|))) (-856)) (T -316)) 
-((-2552 (*1 *2 *3 *4) (-12 (-4 *4 (-856)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1161 *4)))) (-3139 (*1 *2 *3 *4) (-12 (-4 *4 (-856)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1161 *4))))) 
-(-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|)) (-15 -2552 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|))) 
-((-2522 (((-2 (|:| -3190 (-765)) (|:| -3550 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-765)) 24)) (-3597 (((-635 (-2 (|:| -3550 (-765)) (|:| |logand| |#1|))) (-421 |#1|)) 28))) 
-(((-317 |#1|) (-10 -7 (-15 -2522 ((-2 (|:| -3190 (-765)) (|:| -3550 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-765))) (-15 -3597 ((-635 (-2 (|:| -3550 (-765)) (|:| |logand| |#1|))) (-421 |#1|)))) (-559)) (T -317)) 
-((-3597 (*1 *2 *3) (-12 (-5 *3 (-421 *4)) (-4 *4 (-559)) (-5 *2 (-635 (-2 (|:| -3550 (-765)) (|:| |logand| *4)))) (-5 *1 (-317 *4)))) (-2522 (*1 *2 *3 *4) (-12 (-5 *3 (-421 *5)) (-4 *5 (-559)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *5) (|:| |radicand| (-635 *5)))) (-5 *1 (-317 *5)) (-5 *4 (-765))))) 
-(-10 -7 (-15 -2522 ((-2 (|:| -3190 (-765)) (|:| -3550 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-765))) (-15 -3597 ((-635 (-2 (|:| -3550 (-765)) (|:| |logand| |#1|))) (-421 |#1|)))) 
-((-2552 (((-421 (-1161 |#1|)) (-1161 |#1|) |#1|) 15)) (-3139 (((-421 (-1161 |#1|)) (-1161 |#1|) |#1|) 24))) 
-(((-318 |#1|) (-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|)) (-15 -2552 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|))) (-861)) (T -318)) 
-((-2552 (*1 *2 *3 *4) (-12 (-4 *4 (-861)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1161 *4)))) (-3139 (*1 *2 *3 *4) (-12 (-4 *4 (-861)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1161 *4))))) 
-(-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|)) (-15 -2552 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|))) 
-((-3195 (((-635 |#2|) (-1161 |#4|)) 43)) (-4503 ((|#3| (-569)) 46)) (-4285 (((-1161 |#4|) (-1161 |#3|)) 30)) (-3690 (((-1161 |#4|) (-1161 |#4|) (-569)) 55)) (-2243 (((-1161 |#3|) (-1161 |#4|)) 21)) (-2284 (((-635 (-765)) (-1161 |#4|) (-635 |#2|)) 40)) (-4486 (((-1161 |#3|) (-1161 |#4|) (-635 |#2|) (-635 |#3|)) 35))) 
-(((-319 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4486 ((-1161 |#3|) (-1161 |#4|) (-635 |#2|) (-635 |#3|))) (-15 -2284 ((-635 (-765)) (-1161 |#4|) (-635 |#2|))) (-15 -3195 ((-635 |#2|) (-1161 |#4|))) (-15 -2243 ((-1161 |#3|) (-1161 |#4|))) (-15 -4285 ((-1161 |#4|) (-1161 |#3|))) (-15 -3690 ((-1161 |#4|) (-1161 |#4|) (-569))) (-15 -4503 (|#3| (-569)))) (-790) (-844) (-1049) (-952 |#3| |#1| |#2|)) (T -319)) 
-((-4503 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1049)) (-5 *1 (-319 *4 *5 *2 *6)) (-4 *6 (-952 *2 *4 *5)))) (-3690 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 *7)) (-5 *3 (-569)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *1 (-319 *4 *5 *6 *7)))) (-4285 (*1 *2 *3) (-12 (-5 *3 (-1161 *6)) (-4 *6 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-1161 *7)) (-5 *1 (-319 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) (-2243 (*1 *2 *3) (-12 (-5 *3 (-1161 *7)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *2 (-1161 *6)) (-5 *1 (-319 *4 *5 *6 *7)))) (-3195 (*1 *2 *3) (-12 (-5 *3 (-1161 *7)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *2 (-635 *5)) (-5 *1 (-319 *4 *5 *6 *7)))) (-2284 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *8)) (-5 *4 (-635 *6)) (-4 *6 (-844)) (-4 *8 (-952 *7 *5 *6)) (-4 *5 (-790)) (-4 *7 (-1049)) (-5 *2 (-635 (-765))) (-5 *1 (-319 *5 *6 *7 *8)))) (-4486 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 *8)) (-4 *7 (-844)) (-4 *8 (-1049)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-5 *2 (-1161 *8)) (-5 *1 (-319 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -4486 ((-1161 |#3|) (-1161 |#4|) (-635 |#2|) (-635 |#3|))) (-15 -2284 ((-635 (-765)) (-1161 |#4|) (-635 |#2|))) (-15 -3195 ((-635 |#2|) (-1161 |#4|))) (-15 -2243 ((-1161 |#3|) (-1161 |#4|))) (-15 -4285 ((-1161 |#4|) (-1161 |#3|))) (-15 -3690 ((-1161 |#4|) (-1161 |#4|) (-569))) (-15 -4503 (|#3| (-569)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 14)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $) 18)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-1906 ((|#1| $ (-569)) NIL)) (-3244 (((-569) $ (-569)) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1648 (($ (-1 |#1| |#1|) $) NIL)) (-1797 (($ (-1 (-569) (-569)) $) 10)) (-2605 (((-1147) $) NIL)) (-4046 (($ $ $) NIL (|has| (-569) (-789)))) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL) (($ |#1|) NIL)) (-3802 (((-569) |#1| $) NIL)) (-2407 (($) 15 T CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) 21 (|has| |#1| (-844)))) (-1377 (($ $) 11) (($ $ $) 20)) (-1371 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL) (($ (-569) |#1|) 19))) 
-(((-320 |#1|) (-13 (-21) (-709 (-569)) (-321 |#1| (-569)) (-10 -7 (IF (|has| |#1| (-844)) (-6 (-844)) |noBranch|))) (-1093)) (T -320)) 
-NIL 
-(-13 (-21) (-709 (-569)) (-321 |#1| (-569)) (-10 -7 (IF (|has| |#1| (-844)) (-6 (-844)) |noBranch|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))) $) 26)) (-3748 (((-3 $ "failed") $ $) 18)) (-2675 (((-765) $) 27)) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 31)) (-1321 ((|#1| $) 30)) (-1906 ((|#1| $ (-569)) 24)) (-3244 ((|#2| $ (-569)) 25)) (-1648 (($ (-1 |#1| |#1|) $) 21)) (-1797 (($ (-1 |#2| |#2|) $) 22)) (-2605 (((-1147) $) 9)) (-4046 (($ $ $) 20 (|has| |#2| (-789)))) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ |#1|) 32)) (-3802 ((|#2| |#1| $) 23)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1371 (($ $ $) 13) (($ |#1| $) 29)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ |#2| |#1|) 28))) 
-(((-321 |#1| |#2|) (-1284) (-1093) (-138)) (T -321)) 
-((-1371 (*1 *1 *2 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-138)))) (* (*1 *1 *2 *3) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-138)))) (-2675 (*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)) (-5 *2 (-765)))) (-3824 (*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)) (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))))) (-3244 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *4 *2)) (-4 *4 (-1093)) (-4 *2 (-138)))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *2 *4)) (-4 *4 (-138)) (-4 *2 (-1093)))) (-3802 (*1 *2 *3 *1) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-138)))) (-1797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)))) (-1648 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)))) (-4046 (*1 *1 *1 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-138)) (-4 *3 (-789))))) 
-(-13 (-138) (-1039 |t#1|) (-10 -8 (-15 -1371 ($ |t#1| $)) (-15 * ($ |t#2| |t#1|)) (-15 -2675 ((-765) $)) (-15 -3824 ((-635 (-2 (|:| |gen| |t#1|) (|:| -3408 |t#2|))) $)) (-15 -3244 (|t#2| $ (-569))) (-15 -1906 (|t#1| $ (-569))) (-15 -3802 (|t#2| |t#1| $)) (-15 -1797 ($ (-1 |t#2| |t#2|) $)) (-15 -1648 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#2| (-789)) (-15 -4046 ($ $ $)) |noBranch|))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1039 |#1|) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-1906 ((|#1| $ (-569)) NIL)) (-3244 (((-765) $ (-569)) NIL)) (-1648 (($ (-1 |#1| |#1|) $) NIL)) (-1797 (($ (-1 (-765) (-765)) $) NIL)) (-2605 (((-1147) $) NIL)) (-4046 (($ $ $) NIL (|has| (-765) (-789)))) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL) (($ |#1|) NIL)) (-3802 (((-765) |#1| $) NIL)) (-2407 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1371 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-765) |#1|) NIL))) 
-(((-322 |#1|) (-321 |#1| (-765)) (-1093)) (T -322)) 
-NIL 
-(-321 |#1| (-765)) 
-((-4188 ((|#5| (-1 |#4| |#2|) |#3|) 19))) 
-(((-323 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4188 (|#5| (-1 |#4| |#2|) |#3|))) (-789) (-1049) (-325 |#2| |#1|) (-1049) (-325 |#4| |#1|)) (T -323)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1049)) (-4 *7 (-1049)) (-4 *5 (-789)) (-4 *2 (-325 *7 *5)) (-5 *1 (-323 *5 *6 *4 *7 *2)) (-4 *4 (-325 *6 *5))))) 
-(-10 -7 (-15 -4188 (|#5| (-1 |#4| |#2|) |#3|))) 
-((-2540 (($ $) 52)) (-2916 (($ $ |#2| |#3| $) 14)) (-1541 (($ (-1 |#3| |#3|) $) 35)) (-3249 (((-121) $) 27)) (-3256 ((|#2| $) 29)) (-1436 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ |#2|) 45)) (-2363 ((|#2| $) 48)) (-2894 (((-635 |#2|) $) 38)) (-2587 (($ $ $ (-765)) 23)) (-1383 (($ $ |#2|) 42))) 
-(((-324 |#1| |#2| |#3|) (-10 -8 (-15 -2540 (|#1| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2587 (|#1| |#1| |#1| (-765))) (-15 -2916 (|#1| |#1| |#2| |#3| |#1|)) (-15 -1541 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2894 ((-635 |#2|) |#1|)) (-15 -3256 (|#2| |#1|)) (-15 -3249 ((-121) |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1383 (|#1| |#1| |#2|))) (-325 |#2| |#3|) (-1049) (-789)) (T -324)) 
-NIL 
-(-10 -8 (-15 -2540 (|#1| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2587 (|#1| |#1| |#1| (-765))) (-15 -2916 (|#1| |#1| |#2| |#3| |#1|)) (-15 -1541 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2894 ((-635 |#2|) |#1|)) (-15 -3256 (|#2| |#1|)) (-15 -3249 ((-121) |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1383 (|#1| |#1| |#2|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 86 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 84 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 83)) (-1321 (((-569) $) 87 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 85 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 82)) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-2540 (($ $) 71 (|has| |#1| (-454)))) (-2916 (($ $ |#1| |#2| $) 75)) (-3934 (((-121) $) 30)) (-4118 (((-765) $) 78)) (-3052 (((-121) $) 61)) (-3179 (($ |#1| |#2|) 60)) (-4294 ((|#2| $) 77)) (-1541 (($ (-1 |#2| |#2|) $) 76)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 81)) (-3256 ((|#1| $) 80)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) 73 (|has| |#1| (-559)))) (-2284 ((|#2| $) 63)) (-2363 ((|#1| $) 72 (|has| |#1| (-454)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46) (($ (-410 (-569))) 56 (-1929 (|has| |#1| (-1039 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569))))))) (-2894 (((-635 |#1|) $) 79)) (-3802 ((|#1| $ |#2|) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-2587 (($ $ $ (-765)) 74 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-325 |#1| |#2|) (-1284) (-1049) (-789)) (T -325)) 
-((-3249 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-121)))) (-3256 (*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) (-2894 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-635 *3)))) (-4118 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-765)))) (-4294 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-1541 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) (-2916 (*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) (-2587 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *3 (-173)))) (-1436 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-559)))) (-2363 (*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)) (-4 *2 (-454)))) (-2540 (*1 *1 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-454))))) 
-(-13 (-52 |t#1| |t#2|) (-414 |t#1|) (-10 -8 (-15 -3249 ((-121) $)) (-15 -3256 (|t#1| $)) (-15 -2894 ((-635 |t#1|) $)) (-15 -4118 ((-765) $)) (-15 -4294 (|t#2| $)) (-15 -1541 ($ (-1 |t#2| |t#2|) $)) (-15 -2916 ($ $ |t#1| |t#2| $)) (IF (|has| |t#1| (-173)) (-15 -2587 ($ $ $ (-765))) |noBranch|) (IF (|has| |t#1| (-559)) (-15 -1436 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -2363 (|t#1| $)) (-15 -2540 ($ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-414 |#1|) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2723 (((-121) (-121)) NIL)) (-2511 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) NIL)) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-2938 (($ $) NIL (|has| |#1| (-1093)))) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) NIL (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) NIL)) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-3274 (($ $ (-569)) NIL)) (-4105 (((-765) $) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-4002 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2351 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-3582 (($ (-635 |#1|)) NIL)) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-1313 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4422 (($ $ $) NIL) (($ $ |#1|) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-326 |#1|) (-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3582 ($ (-635 |#1|))) (-15 -4105 ((-765) $)) (-15 -3274 ($ $ (-569))) (-15 -2723 ((-121) (-121))))) (-1199)) (T -326)) 
-((-3582 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-326 *3)))) (-4105 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-326 *3)) (-4 *3 (-1199)))) (-3274 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-326 *3)) (-4 *3 (-1199)))) (-2723 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-326 *3)) (-4 *3 (-1199))))) 
-(-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3582 ($ (-635 |#1|))) (-15 -4105 ((-765) $)) (-15 -3274 ($ $ (-569))) (-15 -2723 ((-121) (-121))))) 
-((-1402 (((-121) $) 37)) (-4102 (((-765)) 22)) (-3588 ((|#2| $) 41) (($ $ (-919)) 99)) (-2675 (((-765)) 93)) (-2097 (($ (-1253 |#2|)) 20)) (-3761 (((-121) $) 111)) (-3046 ((|#2| $) 43) (($ $ (-919)) 97)) (-2415 (((-1161 |#2|) $) NIL) (((-1161 $) $ (-919)) 88)) (-2130 (((-1161 |#2|) $) 78)) (-2632 (((-1161 |#2|) $) 75) (((-3 (-1161 |#2|) "failed") $ $) 72)) (-3946 (($ $ (-1161 |#2|)) 48)) (-3648 (((-830 (-919))) 91) (((-919)) 38)) (-2174 (((-140)) 25)) (-2284 (((-830 (-919)) $) NIL) (((-919) $) 112)) (-2433 (($) 105)) (-3672 (((-1253 |#2|) $) NIL) (((-681 |#2|) (-1253 $)) 34)) (-2277 (($ $) NIL) (((-3 $ "failed") $) 81)) (-3345 (((-121) $) 36))) 
-(((-327 |#1| |#2|) (-10 -8 (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -2675 ((-765))) (-15 -2277 (|#1| |#1|)) (-15 -2632 ((-3 (-1161 |#2|) "failed") |#1| |#1|)) (-15 -2632 ((-1161 |#2|) |#1|)) (-15 -2130 ((-1161 |#2|) |#1|)) (-15 -3946 (|#1| |#1| (-1161 |#2|))) (-15 -3761 ((-121) |#1|)) (-15 -2433 (|#1|)) (-15 -3588 (|#1| |#1| (-919))) (-15 -3046 (|#1| |#1| (-919))) (-15 -2415 ((-1161 |#1|) |#1| (-919))) (-15 -3588 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -2284 ((-919) |#1|)) (-15 -3648 ((-919))) (-15 -2415 ((-1161 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -4102 ((-765))) (-15 -3648 ((-830 (-919)))) (-15 -2284 ((-830 (-919)) |#1|)) (-15 -1402 ((-121) |#1|)) (-15 -3345 ((-121) |#1|)) (-15 -2174 ((-140)))) (-328 |#2|) (-366)) (T -327)) 
-((-2174 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-140)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-3648 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-830 (-919))) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-4102 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-3648 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-919)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-2675 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4))))) 
-(-10 -8 (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -2675 ((-765))) (-15 -2277 (|#1| |#1|)) (-15 -2632 ((-3 (-1161 |#2|) "failed") |#1| |#1|)) (-15 -2632 ((-1161 |#2|) |#1|)) (-15 -2130 ((-1161 |#2|) |#1|)) (-15 -3946 (|#1| |#1| (-1161 |#2|))) (-15 -3761 ((-121) |#1|)) (-15 -2433 (|#1|)) (-15 -3588 (|#1| |#1| (-919))) (-15 -3046 (|#1| |#1| (-919))) (-15 -2415 ((-1161 |#1|) |#1| (-919))) (-15 -3588 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -2284 ((-919) |#1|)) (-15 -3648 ((-919))) (-15 -2415 ((-1161 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -4102 ((-765))) (-15 -3648 ((-830 (-919)))) (-15 -2284 ((-830 (-919)) |#1|)) (-15 -1402 ((-121) |#1|)) (-15 -3345 ((-121) |#1|)) (-15 -2174 ((-140)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-1402 (((-121) $) 90)) (-4102 (((-765)) 86)) (-3588 ((|#1| $) 133) (($ $ (-919)) 130 (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) 115 (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2675 (((-765)) 105 (|has| |#1| (-371)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 97)) (-1321 ((|#1| $) 96)) (-2097 (($ (-1253 |#1|)) 139)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 121 (|has| |#1| (-371)))) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-3341 (($) 102 (|has| |#1| (-371)))) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-1456 (($) 117 (|has| |#1| (-371)))) (-3462 (((-121) $) 118 (|has| |#1| (-371)))) (-3238 (($ $ (-765)) 83 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) 82 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) 69)) (-4433 (((-919) $) 120 (|has| |#1| (-371))) (((-830 (-919)) $) 80 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) 30)) (-4109 (($) 128 (|has| |#1| (-371)))) (-3761 (((-121) $) 127 (|has| |#1| (-371)))) (-3046 ((|#1| $) 134) (($ $ (-919)) 131 (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) 106 (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2415 (((-1161 |#1|) $) 138) (((-1161 $) $ (-919)) 132 (|has| |#1| (-371)))) (-2862 (((-919) $) 103 (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) 124 (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) 123 (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) 122 (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) 125 (|has| |#1| (-371)))) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1423 (($) 107 (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) 104 (|has| |#1| (-371)))) (-1346 (((-121) $) 89)) (-1912 (((-1111) $) 10)) (-1986 (($) 126 (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 114 (|has| |#1| (-371)))) (-3139 (((-421 $) $) 72)) (-3648 (((-830 (-919))) 87) (((-919)) 136)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3600 (((-765) $) 119 (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) 81 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) 95)) (-3289 (($ $) 111 (|has| |#1| (-371))) (($ $ (-765)) 109 (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) 88) (((-919) $) 135)) (-3036 (((-1161 |#1|)) 137)) (-3563 (($) 116 (|has| |#1| (-371)))) (-2433 (($) 129 (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) 141) (((-681 |#1|) (-1253 $)) 140)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 113 (|has| |#1| (-371)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 98)) (-2277 (($ $) 112 (|has| |#1| (-371))) (((-3 $ "failed") $) 79 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) 28)) (-4079 (((-1253 $)) 143) (((-1253 $) (-919)) 142)) (-2909 (((-121) $ $) 38)) (-3345 (((-121) $) 91)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-4167 (($ $) 85 (|has| |#1| (-371))) (($ $ (-765)) 84 (|has| |#1| (-371)))) (-3712 (($ $) 110 (|has| |#1| (-371))) (($ $ (-765)) 108 (|has| |#1| (-371)))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62) (($ $ |#1|) 94)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
-(((-328 |#1|) (-1284) (-366)) (T -328)) 
-((-4079 (*1 *2) (-12 (-4 *3 (-366)) (-5 *2 (-1253 *1)) (-4 *1 (-328 *3)))) (-4079 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-366)) (-5 *2 (-1253 *1)) (-4 *1 (-328 *4)))) (-3672 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1253 *3)))) (-3672 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-328 *4)) (-4 *4 (-366)) (-5 *2 (-681 *4)))) (-2097 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-366)) (-4 *1 (-328 *3)))) (-2415 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1161 *3)))) (-3036 (*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1161 *3)))) (-3648 (*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-919)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-919)))) (-3046 (*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) (-3588 (*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) (-2415 (*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-5 *2 (-1161 *1)) (-4 *1 (-328 *4)))) (-3046 (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) (-3588 (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) (-2433 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-4109 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-3761 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-121)))) (-1986 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-3946 (*1 *1 *1 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-371)) (-4 *1 (-328 *3)) (-4 *3 (-366)))) (-2130 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3)))) (-2632 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3)))) (-2632 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3))))) 
-(-13 (-1270 |t#1|) (-1039 |t#1|) (-10 -8 (-15 -4079 ((-1253 $))) (-15 -4079 ((-1253 $) (-919))) (-15 -3672 ((-1253 |t#1|) $)) (-15 -3672 ((-681 |t#1|) (-1253 $))) (-15 -2097 ($ (-1253 |t#1|))) (-15 -2415 ((-1161 |t#1|) $)) (-15 -3036 ((-1161 |t#1|))) (-15 -3648 ((-919))) (-15 -2284 ((-919) $)) (-15 -3046 (|t#1| $)) (-15 -3588 (|t#1| $)) (IF (|has| |t#1| (-371)) (PROGN (-6 (-351)) (-15 -2415 ((-1161 $) $ (-919))) (-15 -3046 ($ $ (-919))) (-15 -3588 ($ $ (-919))) (-15 -2433 ($)) (-15 -4109 ($)) (-15 -3761 ((-121) $)) (-15 -1986 ($)) (-15 -3946 ($ $ (-1161 |t#1|))) (-15 -2130 ((-1161 |t#1|) $)) (-15 -2632 ((-1161 |t#1|) $)) (-15 -2632 ((-3 (-1161 |t#1|) "failed") $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-226) |has| |#1| (-371)) ((-239) . T) ((-286) . T) ((-302) . T) ((-1270 |#1|) . T) ((-366) . T) ((-405) -1929 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-371) |has| |#1| (-371)) ((-351) |has| |#1| (-371)) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 |#1|) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) . T) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| |#1| (-371)) ((-1208) . T) ((-1260 |#1|) . T)) 
-((-1310 (((-121) $ $) NIL)) (-1308 (($ (-1164) $) 88)) (-1369 (($) 76)) (-3031 (((-1111) (-1111)) 11)) (-3796 (($) 77)) (-3630 (($) 90) (($ (-311 (-690))) 96) (($ (-311 (-692))) 93) (($ (-311 (-685))) 99) (($ (-311 (-382))) 105) (($ (-311 (-569))) 102) (($ (-311 (-170 (-382)))) 108)) (-3971 (($ (-1164) $) 89)) (-2014 (($ (-635 (-852))) 79)) (-4305 (((-1258) $) 73)) (-1497 (((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) 27)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2111 (($ (-1111)) 45)) (-1688 (((-1097) $) 25)) (-4318 (($ (-1085 (-955 (-569))) $) 85) (($ (-1085 (-955 (-569))) (-955 (-569)) $) 86)) (-2742 (($ (-1111)) 87)) (-2655 (($ (-1164) $) 110) (($ (-1164) $ $) 111)) (-3444 (($ (-1165) (-635 (-1165))) 75)) (-3213 (($ (-1147)) 82) (($ (-635 (-1147))) 80)) (-3956 (((-852) $) 113)) (-2200 (((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1165)) (|:| |arrayIndex| (-635 (-955 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1165)) (|:| |rand| (-852)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1164)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1668 (-121)) (|:| -2756 (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1147))) (|:| |callBranch| (-1147)) (|:| |forBranch| (-2 (|:| -1848 (-1085 (-955 (-569)))) (|:| |span| (-955 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1111)) (|:| |loopBranch| (-2 (|:| |switch| (-1164)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -2798 (-1165)) (|:| |contents| (-635 (-1165))))) (|:| |printBranch| (-635 (-852)))) $) 37)) (-3603 (($ (-1147)) 182)) (-4391 (($ (-635 $)) 109)) (-4205 (($ (-1165) (-1147)) 115) (($ (-1165) (-311 (-692))) 155) (($ (-1165) (-311 (-690))) 156) (($ (-1165) (-311 (-685))) 157) (($ (-1165) (-681 (-692))) 118) (($ (-1165) (-681 (-690))) 121) (($ (-1165) (-681 (-685))) 124) (($ (-1165) (-1253 (-692))) 127) (($ (-1165) (-1253 (-690))) 130) (($ (-1165) (-1253 (-685))) 133) (($ (-1165) (-681 (-311 (-692)))) 136) (($ (-1165) (-681 (-311 (-690)))) 139) (($ (-1165) (-681 (-311 (-685)))) 142) (($ (-1165) (-1253 (-311 (-692)))) 145) (($ (-1165) (-1253 (-311 (-690)))) 148) (($ (-1165) (-1253 (-311 (-685)))) 151) (($ (-1165) (-635 (-955 (-569))) (-311 (-692))) 152) (($ (-1165) (-635 (-955 (-569))) (-311 (-690))) 153) (($ (-1165) (-635 (-955 (-569))) (-311 (-685))) 154) (($ (-1165) (-311 (-569))) 179) (($ (-1165) (-311 (-382))) 180) (($ (-1165) (-311 (-170 (-382)))) 181) (($ (-1165) (-681 (-311 (-569)))) 160) (($ (-1165) (-681 (-311 (-382)))) 163) (($ (-1165) (-681 (-311 (-170 (-382))))) 166) (($ (-1165) (-1253 (-311 (-569)))) 169) (($ (-1165) (-1253 (-311 (-382)))) 172) (($ (-1165) (-1253 (-311 (-170 (-382))))) 175) (($ (-1165) (-635 (-955 (-569))) (-311 (-569))) 176) (($ (-1165) (-635 (-955 (-569))) (-311 (-382))) 177) (($ (-1165) (-635 (-955 (-569))) (-311 (-170 (-382)))) 178)) (-1326 (((-121) $ $) NIL))) 
-(((-329) (-13 (-1093) (-10 -8 (-15 -3956 ((-852) $)) (-15 -4318 ($ (-1085 (-955 (-569))) $)) (-15 -4318 ($ (-1085 (-955 (-569))) (-955 (-569)) $)) (-15 -1308 ($ (-1164) $)) (-15 -3971 ($ (-1164) $)) (-15 -2111 ($ (-1111))) (-15 -2742 ($ (-1111))) (-15 -3213 ($ (-1147))) (-15 -3213 ($ (-635 (-1147)))) (-15 -3603 ($ (-1147))) (-15 -3630 ($)) (-15 -3630 ($ (-311 (-690)))) (-15 -3630 ($ (-311 (-692)))) (-15 -3630 ($ (-311 (-685)))) (-15 -3630 ($ (-311 (-382)))) (-15 -3630 ($ (-311 (-569)))) (-15 -3630 ($ (-311 (-170 (-382))))) (-15 -2655 ($ (-1164) $)) (-15 -2655 ($ (-1164) $ $)) (-15 -4205 ($ (-1165) (-1147))) (-15 -4205 ($ (-1165) (-311 (-692)))) (-15 -4205 ($ (-1165) (-311 (-690)))) (-15 -4205 ($ (-1165) (-311 (-685)))) (-15 -4205 ($ (-1165) (-681 (-692)))) (-15 -4205 ($ (-1165) (-681 (-690)))) (-15 -4205 ($ (-1165) (-681 (-685)))) (-15 -4205 ($ (-1165) (-1253 (-692)))) (-15 -4205 ($ (-1165) (-1253 (-690)))) (-15 -4205 ($ (-1165) (-1253 (-685)))) (-15 -4205 ($ (-1165) (-681 (-311 (-692))))) (-15 -4205 ($ (-1165) (-681 (-311 (-690))))) (-15 -4205 ($ (-1165) (-681 (-311 (-685))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-692))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-690))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-685))))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-692)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-690)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-685)))) (-15 -4205 ($ (-1165) (-311 (-569)))) (-15 -4205 ($ (-1165) (-311 (-382)))) (-15 -4205 ($ (-1165) (-311 (-170 (-382))))) (-15 -4205 ($ (-1165) (-681 (-311 (-569))))) (-15 -4205 ($ (-1165) (-681 (-311 (-382))))) (-15 -4205 ($ (-1165) (-681 (-311 (-170 (-382)))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-569))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-382))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-170 (-382)))))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-569)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-382)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-170 (-382))))) (-15 -4391 ($ (-635 $))) (-15 -1369 ($)) (-15 -3796 ($)) (-15 -2014 ($ (-635 (-852)))) (-15 -3444 ($ (-1165) (-635 (-1165)))) (-15 -1497 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -2200 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1165)) (|:| |arrayIndex| (-635 (-955 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1165)) (|:| |rand| (-852)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1164)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1668 (-121)) (|:| -2756 (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1147))) (|:| |callBranch| (-1147)) (|:| |forBranch| (-2 (|:| -1848 (-1085 (-955 (-569)))) (|:| |span| (-955 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1111)) (|:| |loopBranch| (-2 (|:| |switch| (-1164)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -2798 (-1165)) (|:| |contents| (-635 (-1165))))) (|:| |printBranch| (-635 (-852)))) $)) (-15 -4305 ((-1258) $)) (-15 -1688 ((-1097) $)) (-15 -3031 ((-1111) (-1111)))))) (T -329)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-329)))) (-4318 (*1 *1 *2 *1) (-12 (-5 *2 (-1085 (-955 (-569)))) (-5 *1 (-329)))) (-4318 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-1085 (-955 (-569)))) (-5 *3 (-955 (-569))) (-5 *1 (-329)))) (-1308 (*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329)))) (-3971 (*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329)))) (-2111 (*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329)))) (-2742 (*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329)))) (-3213 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-329)))) (-3213 (*1 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-329)))) (-3603 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-329)))) (-3630 (*1 *1) (-5 *1 (-329))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-690))) (-5 *1 (-329)))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-692))) (-5 *1 (-329)))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-685))) (-5 *1 (-329)))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-329)))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-329)))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-2655 (*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329)))) (-2655 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1147)) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-692))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-690))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-685))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-692))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-690))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-685))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-692))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-690))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-685))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-692)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-690)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-685)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-692)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-690)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-685)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-692))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-690))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-685))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-569))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-382))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-569)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-382)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-170 (-382))))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-569)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-382)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-170 (-382))))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-569))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-382))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-4391 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-329)))) (-1369 (*1 *1) (-5 *1 (-329))) (-3796 (*1 *1) (-5 *1 (-329))) (-2014 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-329)))) (-3444 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1165)) (-5 *1 (-329)))) (-1497 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-329)))) (-2200 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1165)) (|:| |arrayIndex| (-635 (-955 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1165)) (|:| |rand| (-852)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1164)) (|:| |thenClause| (-329)) (|:| |elseClause| (-329)))) (|:| |returnBranch| (-2 (|:| -1668 (-121)) (|:| -2756 (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |blockBranch| (-635 (-329))) (|:| |commentBranch| (-635 (-1147))) (|:| |callBranch| (-1147)) (|:| |forBranch| (-2 (|:| -1848 (-1085 (-955 (-569)))) (|:| |span| (-955 (-569))) (|:| |body| (-329)))) (|:| |labelBranch| (-1111)) (|:| |loopBranch| (-2 (|:| |switch| (-1164)) (|:| |body| (-329)))) (|:| |commonBranch| (-2 (|:| -2798 (-1165)) (|:| |contents| (-635 (-1165))))) (|:| |printBranch| (-635 (-852))))) (-5 *1 (-329)))) (-4305 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-329)))) (-1688 (*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-329)))) (-3031 (*1 *2 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ((-852) $)) (-15 -4318 ($ (-1085 (-955 (-569))) $)) (-15 -4318 ($ (-1085 (-955 (-569))) (-955 (-569)) $)) (-15 -1308 ($ (-1164) $)) (-15 -3971 ($ (-1164) $)) (-15 -2111 ($ (-1111))) (-15 -2742 ($ (-1111))) (-15 -3213 ($ (-1147))) (-15 -3213 ($ (-635 (-1147)))) (-15 -3603 ($ (-1147))) (-15 -3630 ($)) (-15 -3630 ($ (-311 (-690)))) (-15 -3630 ($ (-311 (-692)))) (-15 -3630 ($ (-311 (-685)))) (-15 -3630 ($ (-311 (-382)))) (-15 -3630 ($ (-311 (-569)))) (-15 -3630 ($ (-311 (-170 (-382))))) (-15 -2655 ($ (-1164) $)) (-15 -2655 ($ (-1164) $ $)) (-15 -4205 ($ (-1165) (-1147))) (-15 -4205 ($ (-1165) (-311 (-692)))) (-15 -4205 ($ (-1165) (-311 (-690)))) (-15 -4205 ($ (-1165) (-311 (-685)))) (-15 -4205 ($ (-1165) (-681 (-692)))) (-15 -4205 ($ (-1165) (-681 (-690)))) (-15 -4205 ($ (-1165) (-681 (-685)))) (-15 -4205 ($ (-1165) (-1253 (-692)))) (-15 -4205 ($ (-1165) (-1253 (-690)))) (-15 -4205 ($ (-1165) (-1253 (-685)))) (-15 -4205 ($ (-1165) (-681 (-311 (-692))))) (-15 -4205 ($ (-1165) (-681 (-311 (-690))))) (-15 -4205 ($ (-1165) (-681 (-311 (-685))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-692))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-690))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-685))))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-692)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-690)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-685)))) (-15 -4205 ($ (-1165) (-311 (-569)))) (-15 -4205 ($ (-1165) (-311 (-382)))) (-15 -4205 ($ (-1165) (-311 (-170 (-382))))) (-15 -4205 ($ (-1165) (-681 (-311 (-569))))) (-15 -4205 ($ (-1165) (-681 (-311 (-382))))) (-15 -4205 ($ (-1165) (-681 (-311 (-170 (-382)))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-569))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-382))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-170 (-382)))))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-569)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-382)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-170 (-382))))) (-15 -4391 ($ (-635 $))) (-15 -1369 ($)) (-15 -3796 ($)) (-15 -2014 ($ (-635 (-852)))) (-15 -3444 ($ (-1165) (-635 (-1165)))) (-15 -1497 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -2200 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1165)) (|:| |arrayIndex| (-635 (-955 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1165)) (|:| |rand| (-852)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1164)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1668 (-121)) (|:| -2756 (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1147))) (|:| |callBranch| (-1147)) (|:| |forBranch| (-2 (|:| -1848 (-1085 (-955 (-569)))) (|:| |span| (-955 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1111)) (|:| |loopBranch| (-2 (|:| |switch| (-1164)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -2798 (-1165)) (|:| |contents| (-635 (-1165))))) (|:| |printBranch| (-635 (-852)))) $)) (-15 -4305 ((-1258) $)) (-15 -1688 ((-1097) $)) (-15 -3031 ((-1111) (-1111))))) 
-((-1310 (((-121) $ $) NIL)) (-4135 (((-121) $) 11)) (-3455 (($ |#1|) 8)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3460 (($ |#1|) 9)) (-3956 (((-852) $) 17)) (-3955 ((|#1| $) 12)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 19))) 
-(((-330 |#1|) (-13 (-844) (-10 -8 (-15 -3455 ($ |#1|)) (-15 -3460 ($ |#1|)) (-15 -4135 ((-121) $)) (-15 -3955 (|#1| $)))) (-844)) (T -330)) 
-((-3455 (*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844)))) (-3460 (*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844)))) (-4135 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-330 *3)) (-4 *3 (-844)))) (-3955 (*1 *2 *1) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844))))) 
-(-13 (-844) (-10 -8 (-15 -3455 ($ |#1|)) (-15 -3460 ($ |#1|)) (-15 -4135 ((-121) $)) (-15 -3955 (|#1| $)))) 
-((-4451 (((-329) (-1165) (-955 (-569))) 22)) (-2678 (((-329) (-1165) (-955 (-569))) 26)) (-2535 (((-329) (-1165) (-1085 (-955 (-569))) (-1085 (-955 (-569)))) 25) (((-329) (-1165) (-955 (-569)) (-955 (-569))) 23)) (-3008 (((-329) (-1165) (-955 (-569))) 30))) 
-(((-331) (-10 -7 (-15 -4451 ((-329) (-1165) (-955 (-569)))) (-15 -2535 ((-329) (-1165) (-955 (-569)) (-955 (-569)))) (-15 -2535 ((-329) (-1165) (-1085 (-955 (-569))) (-1085 (-955 (-569))))) (-15 -2678 ((-329) (-1165) (-955 (-569)))) (-15 -3008 ((-329) (-1165) (-955 (-569)))))) (T -331)) 
-((-3008 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-2678 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-2535 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1085 (-955 (-569)))) (-5 *2 (-329)) (-5 *1 (-331)))) (-2535 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-4451 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
-(-10 -7 (-15 -4451 ((-329) (-1165) (-955 (-569)))) (-15 -2535 ((-329) (-1165) (-955 (-569)) (-955 (-569)))) (-15 -2535 ((-329) (-1165) (-1085 (-955 (-569))) (-1085 (-955 (-569))))) (-15 -2678 ((-329) (-1165) (-955 (-569)))) (-15 -3008 ((-329) (-1165) (-955 (-569))))) 
-((-4188 (((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)) 31))) 
-(((-332 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4188 ((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-366) (-1228 |#5|) (-1228 (-410 |#6|)) (-341 |#5| |#6| |#7|)) (T -332)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-335 *5 *6 *7 *8)) (-4 *5 (-366)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *9 (-366)) (-4 *10 (-1228 *9)) (-4 *11 (-1228 (-410 *10))) (-5 *2 (-335 *9 *10 *11 *12)) (-5 *1 (-332 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-341 *9 *10 *11))))) 
-(-10 -7 (-15 -4188 ((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)))) 
-((-3569 (((-121) $) 14))) 
-(((-333 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3569 ((-121) |#1|))) (-334 |#2| |#3| |#4| |#5|) (-366) (-1228 |#2|) (-1228 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -333)) 
-NIL 
-(-10 -8 (-15 -3569 ((-121) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2793 (($ $) 25)) (-3569 (((-121) $) 24)) (-2605 (((-1147) $) 9)) (-2018 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 31)) (-1912 (((-1111) $) 10)) (-1986 (((-3 |#4| "failed") $) 23)) (-2124 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 30) (($ |#4|) 29) (($ |#1| |#1|) 28) (($ |#1| |#1| (-569)) 27) (($ |#4| |#2| |#2| |#2| |#1|) 22)) (-3861 (((-2 (|:| -3227 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 26)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19))) 
-(((-334 |#1| |#2| |#3| |#4|) (-1284) (-366) (-1228 |t#1|) (-1228 (-410 |t#2|)) (-341 |t#1| |t#2| |t#3|)) (T -334)) 
-((-2018 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-416 *4 (-410 *4) *5 *6)))) (-2124 (*1 *1 *2) (-12 (-5 *2 (-416 *4 (-410 *4) *5 *6)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-4 *3 (-366)) (-4 *1 (-334 *3 *4 *5 *6)))) (-2124 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *1 (-334 *3 *4 *5 *2)) (-4 *2 (-341 *3 *4 *5)))) (-2124 (*1 *1 *2 *2) (-12 (-4 *2 (-366)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))) (-4 *1 (-334 *2 *3 *4 *5)) (-4 *5 (-341 *2 *3 *4)))) (-2124 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-366)) (-4 *4 (-1228 *2)) (-4 *5 (-1228 (-410 *4))) (-4 *1 (-334 *2 *4 *5 *6)) (-4 *6 (-341 *2 *4 *5)))) (-3861 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-2 (|:| -3227 (-416 *4 (-410 *4) *5 *6)) (|:| |principalPart| *6))))) (-2793 (*1 *1 *1) (-12 (-4 *1 (-334 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))) (-4 *5 (-341 *2 *3 *4)))) (-3569 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-121)))) (-1986 (*1 *2 *1) (|partial| -12 (-4 *1 (-334 *3 *4 *5 *2)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *2 (-341 *3 *4 *5)))) (-2124 (*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-366)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-4 *1 (-334 *4 *3 *5 *2)) (-4 *2 (-341 *4 *3 *5))))) 
-(-13 (-21) (-10 -8 (-15 -2018 ((-416 |t#2| (-410 |t#2|) |t#3| |t#4|) $)) (-15 -2124 ($ (-416 |t#2| (-410 |t#2|) |t#3| |t#4|))) (-15 -2124 ($ |t#4|)) (-15 -2124 ($ |t#1| |t#1|)) (-15 -2124 ($ |t#1| |t#1| (-569))) (-15 -3861 ((-2 (|:| -3227 (-416 |t#2| (-410 |t#2|) |t#3| |t#4|)) (|:| |principalPart| |t#4|)) $)) (-15 -2793 ($ $)) (-15 -3569 ((-121) $)) (-15 -1986 ((-3 |t#4| "failed") $)) (-15 -2124 ($ |t#4| |t#2| |t#2| |t#2| |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2793 (($ $) 32)) (-3569 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-3611 (((-1253 |#4|) $) 124)) (-2018 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 30)) (-1912 (((-1111) $) NIL)) (-1986 (((-3 |#4| "failed") $) 35)) (-3634 (((-1253 |#4|) $) 117)) (-2124 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 40) (($ |#4|) 42) (($ |#1| |#1|) 44) (($ |#1| |#1| (-569)) 46) (($ |#4| |#2| |#2| |#2| |#1|) 48)) (-3861 (((-2 (|:| -3227 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 38)) (-3956 (((-852) $) 17)) (-2407 (($) 14 T CONST)) (-1326 (((-121) $ $) 20)) (-1377 (($ $) 27) (($ $ $) NIL)) (-1371 (($ $ $) 25)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 23))) 
-(((-335 |#1| |#2| |#3| |#4|) (-13 (-334 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3634 ((-1253 |#4|) $)) (-15 -3611 ((-1253 |#4|) $)))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -335)) 
-((-3634 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5)))) (-3611 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
-(-13 (-334 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3634 ((-1253 |#4|) $)) (-15 -3611 ((-1253 |#4|) $)))) 
-((-1484 (($ $ (-1165) |#2|) NIL) (($ $ (-635 (-1165)) (-635 |#2|)) 18) (($ $ (-635 (-289 |#2|))) 14) (($ $ (-289 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-635 |#2|) (-635 |#2|)) NIL)) (-2503 (($ $ |#2|) 11))) 
-(((-336 |#1| |#2|) (-10 -8 (-15 -2503 (|#1| |#1| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 |#2|))) (-15 -1484 (|#1| |#1| (-1165) |#2|))) (-337 |#2|) (-1093)) (T -336)) 
-NIL 
-(-10 -8 (-15 -2503 (|#1| |#1| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 |#2|))) (-15 -1484 (|#1| |#1| (-1165) |#2|))) 
-((-4188 (($ (-1 |#1| |#1|) $) 6)) (-1484 (($ $ (-1165) |#1|) 16 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 15 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-635 (-289 |#1|))) 14 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 13 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 12 (|has| |#1| (-304 |#1|))) (($ $ (-635 |#1|) (-635 |#1|)) 11 (|has| |#1| (-304 |#1|)))) (-2503 (($ $ |#1|) 10 (|has| |#1| (-282 |#1| |#1|))))) 
-(((-337 |#1|) (-1284) (-1093)) (T -337)) 
-((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-337 *3)) (-4 *3 (-1093))))) 
-(-13 (-10 -8 (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-282 |t#1| |t#1|)) (-6 (-282 |t#1| $)) |noBranch|) (IF (|has| |t#1| (-304 |t#1|)) (-6 (-304 |t#1|)) |noBranch|) (IF (|has| |t#1| (-524 (-1165) |t#1|)) (-6 (-524 (-1165) |t#1|)) |noBranch|))) 
-(((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-524 (-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1165)) $) NIL)) (-2481 (((-121)) 87) (((-121) (-121)) 88)) (-4320 (((-635 (-608 $)) $) NIL)) (-3544 (($ $) NIL)) (-3467 (($ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-3422 (($ $) NIL)) (-3530 (($ $) NIL)) (-3455 (($ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-608 $) "failed") $) NIL) (((-3 |#3| "failed") $) NIL) (((-3 $ "failed") (-311 |#3|)) 69) (((-3 $ "failed") (-1165)) 93) (((-3 $ "failed") (-311 (-569))) 56 (|has| |#3| (-1039 (-569)))) (((-3 $ "failed") (-410 (-955 (-569)))) 62 (|has| |#3| (-1039 (-569)))) (((-3 $ "failed") (-955 (-569))) 57 (|has| |#3| (-1039 (-569)))) (((-3 $ "failed") (-311 (-382))) 74 (|has| |#3| (-1039 (-382)))) (((-3 $ "failed") (-410 (-955 (-382)))) 80 (|has| |#3| (-1039 (-382)))) (((-3 $ "failed") (-955 (-382))) 75 (|has| |#3| (-1039 (-382))))) (-1321 (((-608 $) $) NIL) ((|#3| $) NIL) (($ (-311 |#3|)) 70) (($ (-1165)) 94) (($ (-311 (-569))) 58 (|has| |#3| (-1039 (-569)))) (($ (-410 (-955 (-569)))) 63 (|has| |#3| (-1039 (-569)))) (($ (-955 (-569))) 59 (|has| |#3| (-1039 (-569)))) (($ (-311 (-382))) 76 (|has| |#3| (-1039 (-382)))) (($ (-410 (-955 (-382)))) 81 (|has| |#3| (-1039 (-382)))) (($ (-955 (-382))) 77 (|has| |#3| (-1039 (-382))))) (-2611 (((-3 $ "failed") $) NIL)) (-3415 (($) 10)) (-2674 (($ $) NIL) (($ (-635 $)) NIL)) (-1367 (((-635 (-123)) $) NIL)) (-1344 (((-123) (-123)) NIL)) (-3934 (((-121) $) NIL)) (-3520 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-2387 (((-1161 $) (-608 $)) NIL (|has| $ (-1049)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 $ $) (-608 $)) NIL)) (-3277 (((-3 (-608 $) "failed") $) NIL)) (-1492 (($ $) 90)) (-3597 (($ $) NIL)) (-2605 (((-1147) $) NIL)) (-3121 (((-635 (-608 $)) $) NIL)) (-3529 (($ (-123) $) 89) (($ (-123) (-635 $)) NIL)) (-3845 (((-121) $ (-123)) NIL) (((-121) $ (-1165)) NIL)) (-1468 (((-765) $) NIL)) (-1912 (((-1111) $) NIL)) (-2400 (((-121) $ $) NIL) (((-121) $ (-1165)) NIL)) (-3408 (($ $) NIL)) (-3912 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-2454 (($ $) NIL) (($ $ $) NIL)) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL)) (-3036 (($ $) NIL (|has| $ (-1049)))) (-3538 (($ $) NIL)) (-3460 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-608 $)) NIL) (($ |#3|) NIL) (($ (-569)) NIL) (((-311 |#3|) $) 92)) (-2320 (((-765)) NIL)) (-2856 (($ $) NIL) (($ (-635 $)) NIL)) (-3791 (((-121) (-123)) NIL)) (-3505 (($ $) NIL)) (-3490 (($ $) NIL)) (-3497 (($ $) NIL)) (-4080 (($ $) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) 91 T CONST)) (-3297 (($) 22 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ |#3| $) NIL) (($ $ |#3|) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL))) 
-(((-338 |#1| |#2| |#3|) (-13 (-297) (-43 |#3|) (-1039 |#3|) (-897 (-1165)) (-10 -8 (-15 -1321 ($ (-311 |#3|))) (-15 -3003 ((-3 $ "failed") (-311 |#3|))) (-15 -1321 ($ (-1165))) (-15 -3003 ((-3 $ "failed") (-1165))) (-15 -3956 ((-311 |#3|) $)) (IF (|has| |#3| (-1039 (-569))) (PROGN (-15 -1321 ($ (-311 (-569)))) (-15 -3003 ((-3 $ "failed") (-311 (-569)))) (-15 -1321 ($ (-410 (-955 (-569))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-569))))) (-15 -1321 ($ (-955 (-569)))) (-15 -3003 ((-3 $ "failed") (-955 (-569))))) |noBranch|) (IF (|has| |#3| (-1039 (-382))) (PROGN (-15 -1321 ($ (-311 (-382)))) (-15 -3003 ((-3 $ "failed") (-311 (-382)))) (-15 -1321 ($ (-410 (-955 (-382))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-382))))) (-15 -1321 ($ (-955 (-382)))) (-15 -3003 ((-3 $ "failed") (-955 (-382))))) |noBranch|) (-15 -4080 ($ $)) (-15 -3422 ($ $)) (-15 -3408 ($ $)) (-15 -3597 ($ $)) (-15 -1492 ($ $)) (-15 -3455 ($ $)) (-15 -3460 ($ $)) (-15 -3467 ($ $)) (-15 -3490 ($ $)) (-15 -3497 ($ $)) (-15 -3505 ($ $)) (-15 -3530 ($ $)) (-15 -3538 ($ $)) (-15 -3544 ($ $)) (-15 -3415 ($)) (-15 -3195 ((-635 (-1165)) $)) (-15 -2481 ((-121))) (-15 -2481 ((-121) (-121))))) (-635 (-1165)) (-635 (-1165)) (-390)) (T -338)) 
-((-1321 (*1 *1 *2) (-12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-311 *5)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-955 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-955 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-4080 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3422 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3408 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3597 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-1492 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3455 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3460 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3467 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3490 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3497 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3505 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3530 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3538 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3544 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3415 (*1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3195 (*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-338 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-390)))) (-2481 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-2481 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390))))) 
-(-13 (-297) (-43 |#3|) (-1039 |#3|) (-897 (-1165)) (-10 -8 (-15 -1321 ($ (-311 |#3|))) (-15 -3003 ((-3 $ "failed") (-311 |#3|))) (-15 -1321 ($ (-1165))) (-15 -3003 ((-3 $ "failed") (-1165))) (-15 -3956 ((-311 |#3|) $)) (IF (|has| |#3| (-1039 (-569))) (PROGN (-15 -1321 ($ (-311 (-569)))) (-15 -3003 ((-3 $ "failed") (-311 (-569)))) (-15 -1321 ($ (-410 (-955 (-569))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-569))))) (-15 -1321 ($ (-955 (-569)))) (-15 -3003 ((-3 $ "failed") (-955 (-569))))) |noBranch|) (IF (|has| |#3| (-1039 (-382))) (PROGN (-15 -1321 ($ (-311 (-382)))) (-15 -3003 ((-3 $ "failed") (-311 (-382)))) (-15 -1321 ($ (-410 (-955 (-382))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-382))))) (-15 -1321 ($ (-955 (-382)))) (-15 -3003 ((-3 $ "failed") (-955 (-382))))) |noBranch|) (-15 -4080 ($ $)) (-15 -3422 ($ $)) (-15 -3408 ($ $)) (-15 -3597 ($ $)) (-15 -1492 ($ $)) (-15 -3455 ($ $)) (-15 -3460 ($ $)) (-15 -3467 ($ $)) (-15 -3490 ($ $)) (-15 -3497 ($ $)) (-15 -3505 ($ $)) (-15 -3530 ($ $)) (-15 -3538 ($ $)) (-15 -3544 ($ $)) (-15 -3415 ($)) (-15 -3195 ((-635 (-1165)) $)) (-15 -2481 ((-121))) (-15 -2481 ((-121) (-121))))) 
-((-4188 ((|#8| (-1 |#5| |#1|) |#4|) 19))) 
-(((-339 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4188 (|#8| (-1 |#5| |#1|) |#4|))) (-1208) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-1208) (-1228 |#5|) (-1228 (-410 |#6|)) (-341 |#5| |#6| |#7|)) (T -339)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1208)) (-4 *8 (-1208)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *9 (-1228 *8)) (-4 *2 (-341 *8 *9 *10)) (-5 *1 (-339 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-341 *5 *6 *7)) (-4 *10 (-1228 (-410 *9)))))) 
-(-10 -7 (-15 -4188 (|#8| (-1 |#5| |#1|) |#4|))) 
-((-3315 (((-2 (|:| |num| (-1253 |#3|)) (|:| |den| |#3|)) $) 37)) (-2097 (($ (-1253 (-410 |#3|)) (-1253 $)) NIL) (($ (-1253 (-410 |#3|))) NIL) (($ (-1253 |#3|) |#3|) 158)) (-3728 (((-1253 $) (-1253 $)) 142)) (-3768 (((-635 (-635 |#2|))) 115)) (-1596 (((-121) |#2| |#2|) 71)) (-2540 (($ $) 136)) (-1853 (((-765)) 30)) (-2749 (((-1253 $) (-1253 $)) 195)) (-1694 (((-635 (-955 |#2|)) (-1165)) 108)) (-2722 (((-121) $) 155)) (-3759 (((-121) $) 24) (((-121) $ |#2|) 28) (((-121) $ |#3|) 199)) (-3973 (((-3 |#3| "failed")) 48)) (-2196 (((-765)) 167)) (-2503 ((|#2| $ |#2| |#2|) 129)) (-4374 (((-3 |#3| "failed")) 66)) (-3289 (($ $ (-1 (-410 |#3|) (-410 |#3|)) (-765)) NIL) (($ $ (-1 (-410 |#3|) (-410 |#3|))) NIL) (($ $ (-1 |#3| |#3|)) 203) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL)) (-4482 (((-1253 $) (-1253 $)) 148)) (-4037 (((-2 (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (-1 |#3| |#3|)) 64)) (-3268 (((-121)) 32))) 
-(((-340 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3768 ((-635 (-635 |#2|)))) (-15 -1694 ((-635 (-955 |#2|)) (-1165))) (-15 -4037 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -3973 ((-3 |#3| "failed"))) (-15 -4374 ((-3 |#3| "failed"))) (-15 -2503 (|#2| |#1| |#2| |#2|)) (-15 -2540 (|#1| |#1|)) (-15 -2097 (|#1| (-1253 |#3|) |#3|)) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3759 ((-121) |#1| |#3|)) (-15 -3759 ((-121) |#1| |#2|)) (-15 -3315 ((-2 (|:| |num| (-1253 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -3728 ((-1253 |#1|) (-1253 |#1|))) (-15 -2749 ((-1253 |#1|) (-1253 |#1|))) (-15 -4482 ((-1253 |#1|) (-1253 |#1|))) (-15 -3759 ((-121) |#1|)) (-15 -2722 ((-121) |#1|)) (-15 -1596 ((-121) |#2| |#2|)) (-15 -3268 ((-121))) (-15 -2196 ((-765))) (-15 -1853 ((-765))) (-15 -3289 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)))) (-15 -3289 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)) (-765))) (-15 -2097 (|#1| (-1253 (-410 |#3|)))) (-15 -2097 (|#1| (-1253 (-410 |#3|)) (-1253 |#1|)))) (-341 |#2| |#3| |#4|) (-1208) (-1228 |#2|) (-1228 (-410 |#3|))) (T -340)) 
-((-1853 (*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-765)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-2196 (*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-765)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-3268 (*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-1596 (*1 *2 *3 *3) (-12 (-4 *3 (-1208)) (-4 *5 (-1228 *3)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *4 *3 *5 *6)) (-4 *4 (-341 *3 *5 *6)))) (-4374 (*1 *2) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) (-3973 (*1 *2) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) (-1694 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *5 (-1208)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-635 (-955 *5))) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *4 (-341 *5 *6 *7)))) (-3768 (*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6))))) 
-(-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3768 ((-635 (-635 |#2|)))) (-15 -1694 ((-635 (-955 |#2|)) (-1165))) (-15 -4037 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -3973 ((-3 |#3| "failed"))) (-15 -4374 ((-3 |#3| "failed"))) (-15 -2503 (|#2| |#1| |#2| |#2|)) (-15 -2540 (|#1| |#1|)) (-15 -2097 (|#1| (-1253 |#3|) |#3|)) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3759 ((-121) |#1| |#3|)) (-15 -3759 ((-121) |#1| |#2|)) (-15 -3315 ((-2 (|:| |num| (-1253 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -3728 ((-1253 |#1|) (-1253 |#1|))) (-15 -2749 ((-1253 |#1|) (-1253 |#1|))) (-15 -4482 ((-1253 |#1|) (-1253 |#1|))) (-15 -3759 ((-121) |#1|)) (-15 -2722 ((-121) |#1|)) (-15 -1596 ((-121) |#2| |#2|)) (-15 -3268 ((-121))) (-15 -2196 ((-765))) (-15 -1853 ((-765))) (-15 -3289 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)))) (-15 -3289 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)) (-765))) (-15 -2097 (|#1| (-1253 (-410 |#3|)))) (-15 -2097 (|#1| (-1253 (-410 |#3|)) (-1253 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3315 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) 180)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 87 (|has| (-410 |#2|) (-366)))) (-2915 (($ $) 88 (|has| (-410 |#2|) (-366)))) (-2735 (((-121) $) 90 (|has| (-410 |#2|) (-366)))) (-2245 (((-681 (-410 |#2|)) (-1253 $)) 44) (((-681 (-410 |#2|))) 55)) (-3588 (((-410 |#2|) $) 50)) (-2039 (((-1173 (-919) (-765)) (-569)) 141 (|has| (-410 |#2|) (-351)))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 107 (|has| (-410 |#2|) (-366)))) (-3742 (((-421 $) $) 108 (|has| (-410 |#2|) (-366)))) (-2889 (((-121) $ $) 98 (|has| (-410 |#2|) (-366)))) (-2675 (((-765)) 81 (|has| (-410 |#2|) (-371)))) (-2147 (((-121)) 197)) (-4017 (((-121) |#1|) 196) (((-121) |#2|) 195)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 163 (|has| (-410 |#2|) (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) 160)) (-1321 (((-569) $) 164 (|has| (-410 |#2|) (-1039 (-569)))) (((-410 (-569)) $) 162 (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-410 |#2|) $) 159)) (-2097 (($ (-1253 (-410 |#2|)) (-1253 $)) 46) (($ (-1253 (-410 |#2|))) 58) (($ (-1253 |#2|) |#2|) 173)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| (-410 |#2|) (-351)))) (-1614 (($ $ $) 102 (|has| (-410 |#2|) (-366)))) (-1808 (((-681 (-410 |#2|)) $ (-1253 $)) 51) (((-681 (-410 |#2|)) $) 53)) (-3435 (((-681 (-569)) (-681 $)) 158 (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 157 (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-410 |#2|))) (|:| |vec| (-1253 (-410 |#2|)))) (-681 $) (-1253 $)) 156) (((-681 (-410 |#2|)) (-681 $)) 155)) (-3728 (((-1253 $) (-1253 $)) 185)) (-2793 (($ |#3|) 152) (((-3 $ "failed") (-410 |#3|)) 149 (|has| (-410 |#2|) (-366)))) (-2611 (((-3 $ "failed") $) 33)) (-3768 (((-635 (-635 |#1|))) 166 (|has| |#1| (-371)))) (-1596 (((-121) |#1| |#1|) 201)) (-3358 (((-919)) 52)) (-3341 (($) 84 (|has| (-410 |#2|) (-371)))) (-3717 (((-121)) 194)) (-2521 (((-121) |#1|) 193) (((-121) |#2|) 192)) (-1626 (($ $ $) 101 (|has| (-410 |#2|) (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 96 (|has| (-410 |#2|) (-366)))) (-2540 (($ $) 172)) (-1456 (($) 143 (|has| (-410 |#2|) (-351)))) (-3462 (((-121) $) 144 (|has| (-410 |#2|) (-351)))) (-3238 (($ $ (-765)) 135 (|has| (-410 |#2|) (-351))) (($ $) 134 (|has| (-410 |#2|) (-351)))) (-2005 (((-121) $) 109 (|has| (-410 |#2|) (-366)))) (-4433 (((-919) $) 146 (|has| (-410 |#2|) (-351))) (((-830 (-919)) $) 132 (|has| (-410 |#2|) (-351)))) (-3934 (((-121) $) 30)) (-1853 (((-765)) 204)) (-2749 (((-1253 $) (-1253 $)) 186)) (-3046 (((-410 |#2|) $) 49)) (-1694 (((-635 (-955 |#1|)) (-1165)) 167 (|has| |#1| (-366)))) (-1542 (((-3 $ "failed") $) 136 (|has| (-410 |#2|) (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| (-410 |#2|) (-366)))) (-2415 ((|#3| $) 42 (|has| (-410 |#2|) (-366)))) (-2862 (((-919) $) 83 (|has| (-410 |#2|) (-371)))) (-2786 ((|#3| $) 150)) (-1657 (($ (-635 $)) 94 (|has| (-410 |#2|) (-366))) (($ $ $) 93 (|has| (-410 |#2|) (-366)))) (-2605 (((-1147) $) 9)) (-3561 (((-681 (-410 |#2|))) 181)) (-2715 (((-681 (-410 |#2|))) 183)) (-3243 (($ $) 110 (|has| (-410 |#2|) (-366)))) (-4284 (($ (-1253 |#2|) |#2|) 178)) (-3145 (((-681 (-410 |#2|))) 182)) (-2949 (((-681 (-410 |#2|))) 184)) (-1593 (((-2 (|:| |num| (-681 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 177)) (-1482 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) 179)) (-1365 (((-1253 $)) 190)) (-1629 (((-1253 $)) 191)) (-2722 (((-121) $) 189)) (-3759 (((-121) $) 188) (((-121) $ |#1|) 176) (((-121) $ |#2|) 175)) (-1423 (($) 137 (|has| (-410 |#2|) (-351)) CONST)) (-1333 (($ (-919)) 82 (|has| (-410 |#2|) (-371)))) (-3973 (((-3 |#2| "failed")) 169)) (-1912 (((-1111) $) 10)) (-2196 (((-765)) 203)) (-1986 (($) 154)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 95 (|has| (-410 |#2|) (-366)))) (-3964 (($ (-635 $)) 92 (|has| (-410 |#2|) (-366))) (($ $ $) 91 (|has| (-410 |#2|) (-366)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 140 (|has| (-410 |#2|) (-351)))) (-3139 (((-421 $) $) 106 (|has| (-410 |#2|) (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 103 (|has| (-410 |#2|) (-366)))) (-1436 (((-3 $ "failed") $ $) 86 (|has| (-410 |#2|) (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| (-410 |#2|) (-366)))) (-2061 (((-765) $) 99 (|has| (-410 |#2|) (-366)))) (-2503 ((|#1| $ |#1| |#1|) 171)) (-4374 (((-3 |#2| "failed")) 170)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 100 (|has| (-410 |#2|) (-366)))) (-2925 (((-410 |#2|) (-1253 $)) 45) (((-410 |#2|)) 54)) (-3600 (((-765) $) 145 (|has| (-410 |#2|) (-351))) (((-3 (-765) "failed") $ $) 133 (|has| (-410 |#2|) (-351)))) (-3289 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) 117 (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) 116 (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) 174) (($ $ (-635 (-1165)) (-635 (-765))) 124 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-1165) (-765)) 125 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-635 (-1165))) 126 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-1165)) 127 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-765)) 129 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-3993 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) 131 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-3993 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3775 (((-681 (-410 |#2|)) (-1253 $) (-1 (-410 |#2|) (-410 |#2|))) 148 (|has| (-410 |#2|) (-366)))) (-3036 ((|#3|) 153)) (-3563 (($) 142 (|has| (-410 |#2|) (-351)))) (-3672 (((-1253 (-410 |#2|)) $ (-1253 $)) 48) (((-681 (-410 |#2|)) (-1253 $) (-1253 $)) 47) (((-1253 (-410 |#2|)) $) 60) (((-681 (-410 |#2|)) (-1253 $)) 59)) (-4035 (((-1253 (-410 |#2|)) $) 57) (($ (-1253 (-410 |#2|))) 56) ((|#3| $) 165) (($ |#3|) 151)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 139 (|has| (-410 |#2|) (-351)))) (-4482 (((-1253 $) (-1253 $)) 187)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 |#2|)) 36) (($ (-410 (-569))) 80 (-1929 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1039 (-410 (-569)))))) (($ $) 85 (|has| (-410 |#2|) (-366)))) (-2277 (($ $) 138 (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) 41 (|has| (-410 |#2|) (-149)))) (-3033 ((|#3| $) 43)) (-2320 (((-765)) 28)) (-4197 (((-121)) 200)) (-3834 (((-121) |#1|) 199) (((-121) |#2|) 198)) (-4079 (((-1253 $)) 61)) (-2909 (((-121) $ $) 89 (|has| (-410 |#2|) (-366)))) (-4037 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) 168)) (-3268 (((-121)) 202)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 111 (|has| (-410 |#2|) (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) 119 (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) 118 (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1165)) (-635 (-765))) 120 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-1165) (-765)) 121 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-635 (-1165))) 122 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-1165)) 123 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-765)) 128 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-3993 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) 130 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-3993 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 115 (|has| (-410 |#2|) (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 112 (|has| (-410 |#2|) (-366)))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 |#2|)) 38) (($ (-410 |#2|) $) 37) (($ (-410 (-569)) $) 114 (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) 113 (|has| (-410 |#2|) (-366))))) 
-(((-341 |#1| |#2| |#3|) (-1284) (-1208) (-1228 |t#1|) (-1228 (-410 |t#2|))) (T -341)) 
-((-1853 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-765)))) (-2196 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-765)))) (-3268 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-1596 (*1 *2 *3 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-4197 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-3834 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-3834 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) (-2147 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-4017 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-4017 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) (-3717 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-2521 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-2521 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) (-1629 (*1 *2) (-12 (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)))) (-1365 (*1 *2) (-12 (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)))) (-2722 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-3759 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-4482 (*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))))) (-2749 (*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))))) (-3728 (*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))))) (-2949 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4))))) (-2715 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4))))) (-3145 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4))))) (-3561 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4))))) (-3315 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1253 *4)) (|:| |den| *4))))) (-1482 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1253 *4)) (|:| |den| *4))))) (-4284 (*1 *1 *2 *3) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1228 *4)) (-4 *4 (-1208)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1228 (-410 *3))))) (-1593 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-2 (|:| |num| (-681 *5)) (|:| |den| *5))))) (-3759 (*1 *2 *1 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-3759 (*1 *2 *1 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))))) (-2097 (*1 *1 *2 *3) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1228 *4)) (-4 *4 (-1208)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1228 (-410 *3))))) (-2540 (*1 *1 *1) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1208)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))))) (-2503 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1208)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))))) (-4374 (*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1208)) (-4 *4 (-1228 (-410 *2))) (-4 *2 (-1228 *3)))) (-3973 (*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1208)) (-4 *4 (-1228 (-410 *2))) (-4 *2 (-1228 *3)))) (-4037 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-1208)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-341 *4 *5 *6)))) (-1694 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-4 *4 (-366)) (-5 *2 (-635 (-955 *4))))) (-3768 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *3 (-371)) (-5 *2 (-635 (-635 *3)))))) 
-(-13 (-716 (-410 |t#2|) |t#3|) (-10 -8 (-15 -1853 ((-765))) (-15 -2196 ((-765))) (-15 -3268 ((-121))) (-15 -1596 ((-121) |t#1| |t#1|)) (-15 -4197 ((-121))) (-15 -3834 ((-121) |t#1|)) (-15 -3834 ((-121) |t#2|)) (-15 -2147 ((-121))) (-15 -4017 ((-121) |t#1|)) (-15 -4017 ((-121) |t#2|)) (-15 -3717 ((-121))) (-15 -2521 ((-121) |t#1|)) (-15 -2521 ((-121) |t#2|)) (-15 -1629 ((-1253 $))) (-15 -1365 ((-1253 $))) (-15 -2722 ((-121) $)) (-15 -3759 ((-121) $)) (-15 -4482 ((-1253 $) (-1253 $))) (-15 -2749 ((-1253 $) (-1253 $))) (-15 -3728 ((-1253 $) (-1253 $))) (-15 -2949 ((-681 (-410 |t#2|)))) (-15 -2715 ((-681 (-410 |t#2|)))) (-15 -3145 ((-681 (-410 |t#2|)))) (-15 -3561 ((-681 (-410 |t#2|)))) (-15 -3315 ((-2 (|:| |num| (-1253 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -2097 ($ (-1253 |t#2|) |t#2|)) (-15 -1482 ((-2 (|:| |num| (-1253 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -4284 ($ (-1253 |t#2|) |t#2|)) (-15 -1593 ((-2 (|:| |num| (-681 |t#2|)) (|:| |den| |t#2|)) (-1 |t#2| |t#2|))) (-15 -3759 ((-121) $ |t#1|)) (-15 -3759 ((-121) $ |t#2|)) (-15 -3289 ($ $ (-1 |t#2| |t#2|))) (-15 -2097 ($ (-1253 |t#2|) |t#2|)) (-15 -2540 ($ $)) (-15 -2503 (|t#1| $ |t#1| |t#1|)) (-15 -4374 ((-3 |t#2| "failed"))) (-15 -3973 ((-3 |t#2| "failed"))) (-15 -4037 ((-2 (|:| |num| $) (|:| |den| |t#2|) (|:| |derivden| |t#2|) (|:| |gd| |t#2|)) $ (-1 |t#2| |t#2|))) (IF (|has| |t#1| (-366)) (-15 -1694 ((-635 (-955 |t#1|)) (-1165))) |noBranch|) (IF (|has| |t#1| (-371)) (-15 -3768 ((-635 (-635 |t#1|)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-43 (-410 |#2|)) . T) ((-43 $) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-120 (-410 |#2|) (-410 |#2|)) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-149))) ((-151) |has| (-410 |#2|) (-151)) ((-609 (-852)) . T) ((-173) . T) ((-610 |#3|) . T) ((-224 (-410 |#2|)) |has| (-410 |#2|) (-366)) ((-226) -1929 (|has| (-410 |#2|) (-351)) (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366)))) ((-239) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-286) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-302) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-366) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-405) |has| (-410 |#2|) (-351)) ((-371) -1929 (|has| (-410 |#2|) (-371)) (|has| (-410 |#2|) (-351))) ((-351) |has| (-410 |#2|) (-351)) ((-373 (-410 |#2|) |#3|) . T) ((-412 (-410 |#2|) |#3|) . T) ((-380 (-410 |#2|)) . T) ((-414 (-410 |#2|)) . T) ((-454) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-559) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-638 (-410 (-569))) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-638 (-410 |#2|)) . T) ((-638 $) . T) ((-631 (-410 |#2|)) . T) ((-631 (-569)) |has| (-410 |#2|) (-631 (-569))) ((-709 (-410 (-569))) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-709 (-410 |#2|)) . T) ((-709 $) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-716 (-410 |#2|) |#3|) . T) ((-718) . T) ((-897 (-1165)) -12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) ((-918) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-1039 (-410 (-569))) |has| (-410 |#2|) (-1039 (-410 (-569)))) ((-1039 (-410 |#2|)) . T) ((-1039 (-569)) |has| (-410 |#2|) (-1039 (-569))) ((-1055 (-410 (-569))) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-1055 (-410 |#2|)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| (-410 |#2|) (-351)) ((-1208) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-907 |#1|) (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| (-907 |#1|) (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-907 |#1|) "failed") $) NIL)) (-1321 (((-907 |#1|) $) NIL)) (-2097 (($ (-1253 (-907 |#1|))) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-907 |#1|) (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-907 |#1|) (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| (-907 |#1|) (-371)))) (-3462 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371)))) (($ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| (-907 |#1|) (-371))) (((-830 (-919)) $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| (-907 |#1|) (-371)))) (-3761 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3046 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-907 |#1|) (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 (-907 |#1|)) $) NIL) (((-1161 $) $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2862 (((-919) $) NIL (|has| (-907 |#1|) (-371)))) (-2130 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371)))) (-2632 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-1161 (-907 |#1|)) "failed") $ $) NIL (|has| (-907 |#1|) (-371)))) (-3946 (($ $ (-1161 (-907 |#1|))) NIL (|has| (-907 |#1|) (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-907 |#1|) (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3878 (((-960 (-1111))) NIL)) (-1986 (($) NIL (|has| (-907 |#1|) (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-907 |#1|) (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 (-907 |#1|))) NIL)) (-3563 (($) NIL (|has| (-907 |#1|) (-371)))) (-2433 (($) NIL (|has| (-907 |#1|) (-371)))) (-3672 (((-1253 (-907 |#1|)) $) NIL) (((-681 (-907 |#1|)) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-907 |#1|) (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-907 |#1|)) NIL)) (-2277 (($ $) NIL (|has| (-907 |#1|) (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-3712 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ (-907 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-907 |#1|)) NIL) (($ (-907 |#1|) $) NIL))) 
-(((-342 |#1| |#2|) (-13 (-328 (-907 |#1|)) (-10 -7 (-15 -3878 ((-960 (-1111)))))) (-919) (-919)) (T -342)) 
-((-3878 (*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-342 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919))))) 
-(-13 (-328 (-907 |#1|)) (-10 -7 (-15 -3878 ((-960 (-1111)))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 46)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) 43 (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 113)) (-1321 ((|#1| $) 84)) (-2097 (($ (-1253 |#1|)) 102)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 93 (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) 96 (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) 128 (|has| |#1| (-371)))) (-3462 (((-121) $) 49 (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) 47 (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) 130 (|has| |#1| (-371)))) (-3761 (((-121) $) NIL (|has| |#1| (-371)))) (-3046 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) 88) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) 138 (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) NIL (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) NIL (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 145)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) 70 (|has| |#1| (-371)))) (-1346 (((-121) $) 116)) (-1912 (((-1111) $) NIL)) (-3878 (((-960 (-1111))) 44)) (-1986 (($) 126 (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 91 (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) 67) (((-919)) 68)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) 129 (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) 123 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 |#1|)) 94)) (-3563 (($) 127 (|has| |#1| (-371)))) (-2433 (($) 135 (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) 59) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) 141) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 74)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) 137)) (-4079 (((-1253 $)) 115) (((-1253 $) (-919)) 72)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 32 T CONST)) (-3297 (($) 19 T CONST)) (-4167 (($ $) 80 (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) 48)) (-1383 (($ $ $) 143) (($ $ |#1|) 144)) (-1377 (($ $) 125) (($ $ $) NIL)) (-1371 (($ $ $) 61)) (** (($ $ (-919)) 147) (($ $ (-765)) 148) (($ $ (-569)) 146)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 76) (($ $ $) 75) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 142))) 
-(((-343 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -3878 ((-960 (-1111)))))) (-351) (-1161 |#1|)) (T -343)) 
-((-3878 (*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-343 *3 *4)) (-4 *3 (-351)) (-14 *4 (-1161 *3))))) 
-(-13 (-328 |#1|) (-10 -7 (-15 -3878 ((-960 (-1111)))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2097 (($ (-1253 |#1|)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| |#1| (-371)))) (-3462 (((-121) $) NIL (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| |#1| (-371)))) (-3761 (((-121) $) NIL (|has| |#1| (-371)))) (-3046 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) NIL) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) NIL (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) NIL (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3878 (((-960 (-1111))) NIL)) (-1986 (($) NIL (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 |#1|)) NIL)) (-3563 (($) NIL (|has| |#1| (-371)))) (-2433 (($) NIL (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) NIL) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-344 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -3878 ((-960 (-1111)))))) (-351) (-919)) (T -344)) 
-((-3878 (*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-344 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
-(-13 (-328 |#1|) (-10 -7 (-15 -3878 ((-960 (-1111)))))) 
-((-3235 (((-121) |#2|) 68)) (-1335 (((-421 |#2|) |#2|) 56)) (-2075 (((-421 |#2|) |#2|) 58)) (-3576 (((-635 |#2|) |#2|) 61)) (-3436 (((-635 |#2|) |#2| (-765)) 62)) (-3139 (((-421 |#2|) |#2|) 59))) 
-(((-345 |#1| |#2|) (-10 -7 (-15 -3576 ((-635 |#2|) |#2|)) (-15 -3436 ((-635 |#2|) |#2| (-765))) (-15 -3139 ((-421 |#2|) |#2|)) (-15 -1335 ((-421 |#2|) |#2|)) (-15 -2075 ((-421 |#2|) |#2|)) (-15 -3235 ((-121) |#2|))) (-351) (-1228 |#1|)) (T -345)) 
-((-3235 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) (-2075 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) (-1335 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) (-3436 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *5 *3)) (-4 *3 (-1228 *5)))) (-3576 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -3576 ((-635 |#2|) |#2|)) (-15 -3436 ((-635 |#2|) |#2| (-765))) (-15 -3139 ((-421 |#2|) |#2|)) (-15 -1335 ((-421 |#2|) |#2|)) (-15 -2075 ((-421 |#2|) |#2|)) (-15 -3235 ((-121) |#2|))) 
-((-3733 (((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-765) (-765)) 54) (((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-635 (-765))) 42))) 
-(((-346 |#1| |#2| |#3|) (-10 -7 (-15 -3733 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-635 (-765)))) (-15 -3733 ((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-765) (-765)))) (-13 (-559) (-454)) (-325 |#1| (-765)) (-325 (-410 |#1|) (-765))) (T -346)) 
-((-3733 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *9)) (-5 *6 (-765)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 *6)) (-4 *9 (-325 (-410 *7) *6)) (-5 *2 (-1145 (-681 (-1161 *7)))) (-5 *1 (-346 *7 *8 *9)))) (-3733 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *9)) (-5 *6 (-635 (-765))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 (-765))) (-4 *9 (-325 (-410 *7) (-765))) (-5 *2 (-681 (-1161 *7))) (-5 *1 (-346 *7 *8 *9))))) 
-(-10 -7 (-15 -3733 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-635 (-765)))) (-15 -3733 ((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-765) (-765)))) 
-((-2202 (((-635 |#1|) |#1| (-765)) 21)) (-3441 ((|#1| |#1| (-765) (-765) |#2|) 20)) (-3393 (((-410 (-1161 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-765)) 75) (((-410 (-1161 |#1|)) (-635 |#1|) (-635 |#1|) (-765)) 68)) (-3733 (((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-765)) 62) (((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-635 (-765))) 44)) (-3214 ((|#1| (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-1253 (-1161 |#1|))) 37)) (-4140 (((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-1253 (-1161 |#1|))) (-635 (-765))) 43)) (-3442 (((-635 |#1|) (-765)) 17)) (-1860 ((|#1| (-765) (-765) |#2|) 11)) (-4123 (((-635 |#1|) (-765)) 24)) (-2622 ((|#1| (-765) (-765) |#2|) 22))) 
-(((-347 |#1| |#2|) (-10 -7 (-15 -4140 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-1253 (-1161 |#1|))) (-635 (-765)))) (-15 -3393 ((-410 (-1161 |#1|)) (-635 |#1|) (-635 |#1|) (-765))) (-15 -3393 ((-410 (-1161 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-765))) (-15 -3733 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-635 (-765)))) (-15 -3733 ((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-765))) (-15 -3214 (|#1| (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-1253 (-1161 |#1|)))) (-15 -1860 (|#1| (-765) (-765) |#2|)) (-15 -3442 ((-635 |#1|) (-765))) (-15 -2622 (|#1| (-765) (-765) |#2|)) (-15 -4123 ((-635 |#1|) (-765))) (-15 -3441 (|#1| |#1| (-765) (-765) |#2|)) (-15 -2202 ((-635 |#1|) |#1| (-765)))) (-13 (-559) (-454)) (-52 |#1| (-765))) (T -347)) 
-((-2202 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *3 (-13 (-559) (-454))) (-5 *2 (-635 *3)) (-5 *1 (-347 *3 *5)) (-4 *5 (-52 *3 *4)))) (-3441 (*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-4123 (*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3)))) (-2622 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-3442 (*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3)))) (-1860 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-3214 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-765) (-765) *7)) (-5 *4 (-1253 *7)) (-5 *5 (-765)) (-5 *6 (-1253 (-1161 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *7)))) (-3733 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *8)) (-5 *6 (-765)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1145 (-681 (-1161 *7)))) (-5 *1 (-347 *7 *8)))) (-3733 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *8)) (-5 *6 (-635 (-765))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 (-765))) (-5 *2 (-681 (-1161 *7))) (-5 *1 (-347 *7 *8)))) (-3393 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-410 *5))) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-765)) (-5 *2 (-410 (-1161 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) (-3393 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 *5)) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-765)) (-5 *2 (-410 (-1161 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) (-4140 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1 *6 (-765) (-1253 (-1161 *6)))) (-5 *5 (-635 (-765))) (-4 *6 (-13 (-559) (-454))) (-5 *2 (-681 (-1161 *6))) (-5 *1 (-347 *6 *7)) (-4 *7 (-52 *6 (-765)))))) 
-(-10 -7 (-15 -4140 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-1253 (-1161 |#1|))) (-635 (-765)))) (-15 -3393 ((-410 (-1161 |#1|)) (-635 |#1|) (-635 |#1|) (-765))) (-15 -3393 ((-410 (-1161 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-765))) (-15 -3733 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-635 (-765)))) (-15 -3733 ((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-765))) (-15 -3214 (|#1| (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-1253 (-1161 |#1|)))) (-15 -1860 (|#1| (-765) (-765) |#2|)) (-15 -3442 ((-635 |#1|) (-765))) (-15 -2622 (|#1| (-765) (-765) |#2|)) (-15 -4123 ((-635 |#1|) (-765))) (-15 -3441 (|#1| |#1| (-765) (-765) |#2|)) (-15 -2202 ((-635 |#1|) |#1| (-765)))) 
-((-3918 (((-765) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) 40)) (-1868 (((-960 (-1111)) (-1161 |#1|)) 84)) (-2563 (((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) (-1161 |#1|)) 77)) (-1463 (((-681 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) 85)) (-1465 (((-3 (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) "failed") (-919)) 10)) (-3784 (((-3 (-1161 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) (-919)) 15))) 
-(((-348 |#1|) (-10 -7 (-15 -1868 ((-960 (-1111)) (-1161 |#1|))) (-15 -2563 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) (-1161 |#1|))) (-15 -1463 ((-681 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -3918 ((-765) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -1465 ((-3 (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) "failed") (-919))) (-15 -3784 ((-3 (-1161 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) (-919)))) (-351)) (T -348)) 
-((-3784 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-3 (-1161 *4) (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111))))))) (-5 *1 (-348 *4)) (-4 *4 (-351)))) (-1465 (*1 *2 *3) (|partial| -12 (-5 *3 (-919)) (-5 *2 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-5 *1 (-348 *4)) (-4 *4 (-351)))) (-3918 (*1 *2 *3) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-765)) (-5 *1 (-348 *4)))) (-1463 (*1 *2 *3) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-681 *4)) (-5 *1 (-348 *4)))) (-2563 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-5 *1 (-348 *4)))) (-1868 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-960 (-1111))) (-5 *1 (-348 *4))))) 
-(-10 -7 (-15 -1868 ((-960 (-1111)) (-1161 |#1|))) (-15 -2563 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) (-1161 |#1|))) (-15 -1463 ((-681 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -3918 ((-765) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -1465 ((-3 (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) "failed") (-919))) (-15 -3784 ((-3 (-1161 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) (-919)))) 
-((-3956 ((|#1| |#3|) 84) ((|#3| |#1|) 68))) 
-(((-349 |#1| |#2| |#3|) (-10 -7 (-15 -3956 (|#3| |#1|)) (-15 -3956 (|#1| |#3|))) (-328 |#2|) (-351) (-328 |#2|)) (T -349)) 
-((-3956 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *2 *4 *3)) (-4 *3 (-328 *4)))) (-3956 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *3 *4 *2)) (-4 *3 (-328 *4))))) 
-(-10 -7 (-15 -3956 (|#3| |#1|)) (-15 -3956 (|#1| |#3|))) 
-((-3462 (((-121) $) 50)) (-4433 (((-830 (-919)) $) 21) (((-919) $) 51)) (-1542 (((-3 $ "failed") $) 16)) (-1423 (($) 9)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 91)) (-3600 (((-3 (-765) "failed") $ $) 70) (((-765) $) 59)) (-3289 (($ $ (-765)) NIL) (($ $) 8)) (-3563 (($) 44)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 33)) (-2277 (((-3 $ "failed") $) 39) (($ $) 38))) 
-(((-350 |#1|) (-10 -8 (-15 -4433 ((-919) |#1|)) (-15 -3600 ((-765) |#1|)) (-15 -3462 ((-121) |#1|)) (-15 -3563 (|#1|)) (-15 -2662 ((-3 (-1253 |#1|) "failed") (-681 |#1|))) (-15 -2277 (|#1| |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -3600 ((-3 (-765) "failed") |#1| |#1|)) (-15 -4433 ((-830 (-919)) |#1|)) (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|)))) (-351)) (T -350)) 
-NIL 
-(-10 -8 (-15 -4433 ((-919) |#1|)) (-15 -3600 ((-765) |#1|)) (-15 -3462 ((-121) |#1|)) (-15 -3563 (|#1|)) (-15 -2662 ((-3 (-1253 |#1|) "failed") (-681 |#1|))) (-15 -2277 (|#1| |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -3600 ((-3 (-765) "failed") |#1| |#1|)) (-15 -4433 ((-830 (-919)) |#1|)) (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-2039 (((-1173 (-919) (-765)) (-569)) 88)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2675 (((-765)) 98)) (-4483 (($) 16 T CONST)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-3341 (($) 101)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-1456 (($) 86)) (-3462 (((-121) $) 85)) (-3238 (($ $) 75) (($ $ (-765)) 74)) (-2005 (((-121) $) 69)) (-4433 (((-830 (-919)) $) 77) (((-919) $) 83)) (-3934 (((-121) $) 30)) (-1542 (((-3 $ "failed") $) 97)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2862 (((-919) $) 100)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1423 (($) 96 T CONST)) (-1333 (($ (-919)) 99)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 89)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3600 (((-3 (-765) "failed") $ $) 76) (((-765) $) 84)) (-3289 (($ $ (-765)) 94) (($ $) 92)) (-3563 (($) 87)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 90)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2277 (((-3 $ "failed") $) 78) (($ $) 91)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-765)) 95) (($ $) 93)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-351) (-1284)) (T -351)) 
-((-2277 (*1 *1 *1) (-4 *1 (-351))) (-2662 (*1 *2 *3) (|partial| -12 (-5 *3 (-681 *1)) (-4 *1 (-351)) (-5 *2 (-1253 *1)))) (-3219 (*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))))) (-2039 (*1 *2 *3) (-12 (-4 *1 (-351)) (-5 *3 (-569)) (-5 *2 (-1173 (-919) (-765))))) (-3563 (*1 *1) (-4 *1 (-351))) (-1456 (*1 *1) (-4 *1 (-351))) (-3462 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-121)))) (-3600 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-765)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-919)))) (-1840 (*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(-13 (-405) (-371) (-1139) (-226) (-10 -8 (-15 -2277 ($ $)) (-15 -2662 ((-3 (-1253 $) "failed") (-681 $))) (-15 -3219 ((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569)))))) (-15 -2039 ((-1173 (-919) (-765)) (-569))) (-15 -3563 ($)) (-15 -1456 ($)) (-15 -3462 ((-121) $)) (-15 -3600 ((-765) $)) (-15 -4433 ((-919) $)) (-15 -1840 ((-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-852)) . T) ((-173) . T) ((-226) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) . T) ((-371) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) . T) ((-1208) . T)) 
-((-4356 (((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) |#1|) 51)) (-1629 (((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|)))) 49))) 
-(((-352 |#1| |#2| |#3|) (-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) |#1|))) (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $)))) (-1228 |#1|) (-412 |#1| |#2|)) (T -352)) 
-((-4356 (*1 *2 *3) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-1629 (*1 *2) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
-(-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-907 |#1|) (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3918 (((-765)) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| (-907 |#1|) (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-907 |#1|) "failed") $) NIL)) (-1321 (((-907 |#1|) $) NIL)) (-2097 (($ (-1253 (-907 |#1|))) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-907 |#1|) (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-907 |#1|) (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| (-907 |#1|) (-371)))) (-3462 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371)))) (($ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| (-907 |#1|) (-371))) (((-830 (-919)) $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| (-907 |#1|) (-371)))) (-3761 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3046 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-907 |#1|) (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 (-907 |#1|)) $) NIL) (((-1161 $) $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2862 (((-919) $) NIL (|has| (-907 |#1|) (-371)))) (-2130 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371)))) (-2632 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-1161 (-907 |#1|)) "failed") $ $) NIL (|has| (-907 |#1|) (-371)))) (-3946 (($ $ (-1161 (-907 |#1|))) NIL (|has| (-907 |#1|) (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-907 |#1|) (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-4082 (((-1253 (-635 (-2 (|:| -2756 (-907 |#1|)) (|:| -1333 (-1111)))))) NIL)) (-2291 (((-681 (-907 |#1|))) NIL)) (-1986 (($) NIL (|has| (-907 |#1|) (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-907 |#1|) (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 (-907 |#1|))) NIL)) (-3563 (($) NIL (|has| (-907 |#1|) (-371)))) (-2433 (($) NIL (|has| (-907 |#1|) (-371)))) (-3672 (((-1253 (-907 |#1|)) $) NIL) (((-681 (-907 |#1|)) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-907 |#1|) (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-907 |#1|)) NIL)) (-2277 (($ $) NIL (|has| (-907 |#1|) (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-3712 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ (-907 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-907 |#1|)) NIL) (($ (-907 |#1|) $) NIL))) 
-(((-353 |#1| |#2|) (-13 (-328 (-907 |#1|)) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 (-907 |#1|)) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 (-907 |#1|)))) (-15 -3918 ((-765))))) (-919) (-919)) (T -353)) 
-((-4082 (*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 (-907 *3)) (|:| -1333 (-1111)))))) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) (-2291 (*1 *2) (-12 (-5 *2 (-681 (-907 *3))) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) (-3918 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919))))) 
-(-13 (-328 (-907 |#1|)) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 (-907 |#1|)) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 (-907 |#1|)))) (-15 -3918 ((-765))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 74)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) 92) (($ $ (-919)) 90 (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) 148 (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3918 (((-765)) 89)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) 162 (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 111)) (-1321 ((|#1| $) 91)) (-2097 (($ (-1253 |#1|)) 57)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 187 (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) 158 (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) 149 (|has| |#1| (-371)))) (-3462 (((-121) $) NIL (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) 97 (|has| |#1| (-371)))) (-3761 (((-121) $) 175 (|has| |#1| (-371)))) (-3046 ((|#1| $) 94) (($ $ (-919)) 93 (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) 188) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) 133 (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) 73 (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) 70 (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) 82 (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) 69 (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 191)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) 136 (|has| |#1| (-371)))) (-1346 (((-121) $) 107)) (-1912 (((-1111) $) NIL)) (-4082 (((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) 83)) (-2291 (((-681 |#1|)) 87)) (-1986 (($) 96 (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 150 (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) 151)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) 62)) (-3036 (((-1161 |#1|)) 152)) (-3563 (($) 132 (|has| |#1| (-371)))) (-2433 (($) NIL (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) 105) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) 123) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 56)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) 156)) (-4079 (((-1253 $)) 172) (((-1253 $) (-919)) 100)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 30 T CONST)) (-3297 (($) 22 T CONST)) (-4167 (($ $) 106 (|has| |#1| (-371))) (($ $ (-765)) 98 (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) 60)) (-1383 (($ $ $) 103) (($ $ |#1|) 104)) (-1377 (($ $) 177) (($ $ $) 181)) (-1371 (($ $ $) 179)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 137)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 185) (($ $ $) 142) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 102))) 
-(((-354 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 |#1|))) (-15 -3918 ((-765))))) (-351) (-3 (-1161 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (T -354)) 
-((-4082 (*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111)))))) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) *2)))) (-2291 (*1 *2) (-12 (-5 *2 (-681 *3)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111))))))))) (-3918 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111)))))))))) 
-(-13 (-328 |#1|) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 |#1|))) (-15 -3918 ((-765))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3918 (((-765)) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2097 (($ (-1253 |#1|)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| |#1| (-371)))) (-3462 (((-121) $) NIL (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| |#1| (-371)))) (-3761 (((-121) $) NIL (|has| |#1| (-371)))) (-3046 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) NIL) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) NIL (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) NIL (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-4082 (((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) NIL)) (-2291 (((-681 |#1|)) NIL)) (-1986 (($) NIL (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 |#1|)) NIL)) (-3563 (($) NIL (|has| |#1| (-371)))) (-2433 (($) NIL (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) NIL) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-355 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 |#1|))) (-15 -3918 ((-765))))) (-351) (-919)) (T -355)) 
-((-4082 (*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111)))))) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919)))) (-2291 (*1 *2) (-12 (-5 *2 (-681 *3)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919)))) (-3918 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
-(-13 (-328 |#1|) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 |#1|))) (-15 -3918 ((-765))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-907 |#1|) (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| (-907 |#1|) (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-907 |#1|) "failed") $) NIL)) (-1321 (((-907 |#1|) $) NIL)) (-2097 (($ (-1253 (-907 |#1|))) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-907 |#1|) (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-907 |#1|) (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| (-907 |#1|) (-371)))) (-3462 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371)))) (($ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| (-907 |#1|) (-371))) (((-830 (-919)) $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| (-907 |#1|) (-371)))) (-3761 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3046 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-907 |#1|) (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 (-907 |#1|)) $) NIL) (((-1161 $) $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2862 (((-919) $) NIL (|has| (-907 |#1|) (-371)))) (-2130 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371)))) (-2632 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-1161 (-907 |#1|)) "failed") $ $) NIL (|has| (-907 |#1|) (-371)))) (-3946 (($ $ (-1161 (-907 |#1|))) NIL (|has| (-907 |#1|) (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-907 |#1|) (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL (|has| (-907 |#1|) (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-907 |#1|) (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 (-907 |#1|))) NIL)) (-3563 (($) NIL (|has| (-907 |#1|) (-371)))) (-2433 (($) NIL (|has| (-907 |#1|) (-371)))) (-3672 (((-1253 (-907 |#1|)) $) NIL) (((-681 (-907 |#1|)) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-907 |#1|) (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-907 |#1|)) NIL)) (-2277 (($ $) NIL (|has| (-907 |#1|) (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-3712 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ (-907 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-907 |#1|)) NIL) (($ (-907 |#1|) $) NIL))) 
-(((-356 |#1| |#2|) (-328 (-907 |#1|)) (-919) (-919)) (T -356)) 
-NIL 
-(-328 (-907 |#1|)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) 119 (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) 138 (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 91)) (-1321 ((|#1| $) 88)) (-2097 (($ (-1253 |#1|)) 83)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 115 (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) 80 (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) 39 (|has| |#1| (-371)))) (-3462 (((-121) $) NIL (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) 120 (|has| |#1| (-371)))) (-3761 (((-121) $) 72 (|has| |#1| (-371)))) (-3046 ((|#1| $) 38) (($ $ (-919)) 40 (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) 62) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) 95 (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) NIL (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) NIL (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) 93 (|has| |#1| (-371)))) (-1346 (((-121) $) 140)) (-1912 (((-1111) $) NIL)) (-1986 (($) 35 (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 113 (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) 137)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) 56)) (-3036 (((-1161 |#1|)) 86)) (-3563 (($) 125 (|has| |#1| (-371)))) (-2433 (($) NIL (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) 50) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) 136) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 85)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) 142)) (-4079 (((-1253 $)) 107) (((-1253 $) (-919)) 46)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 109 T CONST)) (-3297 (($) 31 T CONST)) (-4167 (($ $) 65 (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) 105)) (-1383 (($ $ $) 97) (($ $ |#1|) 98)) (-1377 (($ $) 78) (($ $ $) 103)) (-1371 (($ $ $) 101)) (** (($ $ (-919)) NIL) (($ $ (-765)) 41) (($ $ (-569)) 128)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 76) (($ $ $) 53) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 74))) 
-(((-357 |#1| |#2|) (-328 |#1|) (-351) (-1161 |#1|)) (T -357)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 34)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 39)) (-1415 (($ $) 37)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1295 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-2162 (($ $ $) 32)) (-3074 (($ |#2| |#3|) 19)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-2583 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4387 ((|#3| $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 20)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-3277 (((-3 $ "failed") $ $) NIL)) (-1826 (((-768) $) 33)) (-3245 ((|#2| $ |#2|) 41)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 24)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) ((|#2| $) NIL)) (-2661 (((-768)) NIL)) (-1388 (((-121) $ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 27 T CONST)) (-3222 (($) 35 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 36))) 
+(((-285 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-302) (-10 -8 (-15 -4387 (|#3| $)) (-15 -3942 (|#2| $)) (-15 -3074 ($ |#2| |#3|)) (-15 -3277 ((-3 $ "failed") $ $)) (-15 -3978 ((-3 $ "failed") $)) (-15 -4315 ($ $)) (-15 -3245 (|#2| $ |#2|)))) (-173) (-1233 |#1|) (-23) (-1 |#2| |#2| |#3|) (-1 (-3 |#3| "failed") |#3| |#3|) (-1 (-3 |#2| "failed") |#2| |#2| |#3|)) (T -285)) 
+((-3978 (*1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1233 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-4387 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-23)) (-5 *1 (-285 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1233 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) (-3942 (*1 *2 *1) (-12 (-4 *2 (-1233 *3)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *3 (-173)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) (-3074 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-285 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1233 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3277 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1233 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-4315 (*1 *1 *1) (-12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1233 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-3245 (*1 *2 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1233 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4))))) 
+(-13 (-302) (-10 -8 (-15 -4387 (|#3| $)) (-15 -3942 (|#2| $)) (-15 -3074 ($ |#2| |#3|)) (-15 -3277 ((-3 $ "failed") $ $)) (-15 -3978 ((-3 $ "failed") $)) (-15 -4315 ($ $)) (-15 -3245 (|#2| $ |#2|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-286) (-1289)) (T -286)) 
+NIL 
+(-13 (-1053) (-120 $ $) (-10 -7 (-6 -4593))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 $) . T) ((-721) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-1326 (((-637 (-2 (|:| |eigval| (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (|:| |geneigvec| (-637 (-684 (-412 (-958 |#1|))))))) (-684 (-412 (-958 |#1|)))) 83)) (-2816 (((-637 (-684 (-412 (-958 |#1|)))) (-2 (|:| |eigval| (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (|:| |eigmult| (-768)) (|:| |eigvec| (-637 (-684 (-412 (-958 |#1|)))))) (-684 (-412 (-958 |#1|)))) 78) (((-637 (-684 (-412 (-958 |#1|)))) (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|))) (-684 (-412 (-958 |#1|))) (-768) (-768)) 36)) (-3384 (((-637 (-2 (|:| |eigval| (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (|:| |eigmult| (-768)) (|:| |eigvec| (-637 (-684 (-412 (-958 |#1|))))))) (-684 (-412 (-958 |#1|)))) 80)) (-1306 (((-637 (-684 (-412 (-958 |#1|)))) (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|))) (-684 (-412 (-958 |#1|)))) 60)) (-3798 (((-637 (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (-684 (-412 (-958 |#1|)))) 59)) (-3393 (((-958 |#1|) (-684 (-412 (-958 |#1|)))) 47) (((-958 |#1|) (-684 (-412 (-958 |#1|))) (-1169)) 48))) 
+(((-287 |#1|) (-10 -7 (-15 -3393 ((-958 |#1|) (-684 (-412 (-958 |#1|))) (-1169))) (-15 -3393 ((-958 |#1|) (-684 (-412 (-958 |#1|))))) (-15 -3798 ((-637 (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (-684 (-412 (-958 |#1|))))) (-15 -1306 ((-637 (-684 (-412 (-958 |#1|)))) (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|))) (-684 (-412 (-958 |#1|))))) (-15 -2816 ((-637 (-684 (-412 (-958 |#1|)))) (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|))) (-684 (-412 (-958 |#1|))) (-768) (-768))) (-15 -2816 ((-637 (-684 (-412 (-958 |#1|)))) (-2 (|:| |eigval| (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (|:| |eigmult| (-768)) (|:| |eigvec| (-637 (-684 (-412 (-958 |#1|)))))) (-684 (-412 (-958 |#1|))))) (-15 -1326 ((-637 (-2 (|:| |eigval| (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (|:| |geneigvec| (-637 (-684 (-412 (-958 |#1|))))))) (-684 (-412 (-958 |#1|))))) (-15 -3384 ((-637 (-2 (|:| |eigval| (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (|:| |eigmult| (-768)) (|:| |eigvec| (-637 (-684 (-412 (-958 |#1|))))))) (-684 (-412 (-958 |#1|)))))) (-456)) (T -287)) 
+((-3384 (*1 *2 *3) (-12 (-4 *4 (-456)) (-5 *2 (-637 (-2 (|:| |eigval| (-3 (-412 (-958 *4)) (-1158 (-1169) (-958 *4)))) (|:| |eigmult| (-768)) (|:| |eigvec| (-637 (-684 (-412 (-958 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-684 (-412 (-958 *4)))))) (-1326 (*1 *2 *3) (-12 (-4 *4 (-456)) (-5 *2 (-637 (-2 (|:| |eigval| (-3 (-412 (-958 *4)) (-1158 (-1169) (-958 *4)))) (|:| |geneigvec| (-637 (-684 (-412 (-958 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-684 (-412 (-958 *4)))))) (-2816 (*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-412 (-958 *5)) (-1158 (-1169) (-958 *5)))) (|:| |eigmult| (-768)) (|:| |eigvec| (-637 *4)))) (-4 *5 (-456)) (-5 *2 (-637 (-684 (-412 (-958 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-684 (-412 (-958 *5)))))) (-2816 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-412 (-958 *6)) (-1158 (-1169) (-958 *6)))) (-5 *5 (-768)) (-4 *6 (-456)) (-5 *2 (-637 (-684 (-412 (-958 *6))))) (-5 *1 (-287 *6)) (-5 *4 (-684 (-412 (-958 *6)))))) (-1306 (*1 *2 *3 *4) (-12 (-5 *3 (-3 (-412 (-958 *5)) (-1158 (-1169) (-958 *5)))) (-4 *5 (-456)) (-5 *2 (-637 (-684 (-412 (-958 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-684 (-412 (-958 *5)))))) (-3798 (*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-958 *4)))) (-4 *4 (-456)) (-5 *2 (-637 (-3 (-412 (-958 *4)) (-1158 (-1169) (-958 *4))))) (-5 *1 (-287 *4)))) (-3393 (*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-958 *4)))) (-5 *2 (-958 *4)) (-5 *1 (-287 *4)) (-4 *4 (-456)))) (-3393 (*1 *2 *3 *4) (-12 (-5 *3 (-684 (-412 (-958 *5)))) (-5 *4 (-1169)) (-5 *2 (-958 *5)) (-5 *1 (-287 *5)) (-4 *5 (-456))))) 
+(-10 -7 (-15 -3393 ((-958 |#1|) (-684 (-412 (-958 |#1|))) (-1169))) (-15 -3393 ((-958 |#1|) (-684 (-412 (-958 |#1|))))) (-15 -3798 ((-637 (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (-684 (-412 (-958 |#1|))))) (-15 -1306 ((-637 (-684 (-412 (-958 |#1|)))) (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|))) (-684 (-412 (-958 |#1|))))) (-15 -2816 ((-637 (-684 (-412 (-958 |#1|)))) (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|))) (-684 (-412 (-958 |#1|))) (-768) (-768))) (-15 -2816 ((-637 (-684 (-412 (-958 |#1|)))) (-2 (|:| |eigval| (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (|:| |eigmult| (-768)) (|:| |eigvec| (-637 (-684 (-412 (-958 |#1|)))))) (-684 (-412 (-958 |#1|))))) (-15 -1326 ((-637 (-2 (|:| |eigval| (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (|:| |geneigvec| (-637 (-684 (-412 (-958 |#1|))))))) (-684 (-412 (-958 |#1|))))) (-15 -3384 ((-637 (-2 (|:| |eigval| (-3 (-412 (-958 |#1|)) (-1158 (-1169) (-958 |#1|)))) (|:| |eigmult| (-768)) (|:| |eigvec| (-637 (-684 (-412 (-958 |#1|))))))) (-684 (-412 (-958 |#1|)))))) 
+((-3799 (((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)) 14))) 
+(((-288 |#1| |#2|) (-10 -7 (-15 -3799 ((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)))) (-1203) (-1203)) (T -288)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-289 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-289 *6)) (-5 *1 (-288 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4123 (((-121) $) NIL (|has| |#1| (-21)))) (-3949 (($ $) 22)) (-4176 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-1448 (($ $ $) 93 (|has| |#1| (-297)))) (-2269 (($) NIL (-1831 (|has| |#1| (-21)) (|has| |#1| (-721))) CONST)) (-3329 (($ $) 8 (|has| |#1| (-21)))) (-2278 (((-3 $ "failed") $) 68 (|has| |#1| (-721)))) (-3731 ((|#1| $) 21)) (-3978 (((-3 $ "failed") $) 66 (|has| |#1| (-721)))) (-2583 (((-121) $) NIL (|has| |#1| (-721)))) (-3799 (($ (-1 |#1| |#1|) $) 24)) (-3473 ((|#1| $) 9)) (-2286 (($ $) 57 (|has| |#1| (-21)))) (-3788 (((-3 $ "failed") $) 67 (|has| |#1| (-721)))) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-4315 (($ $) 70 (-1831 (|has| |#1| (-367)) (|has| |#1| (-481))))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1508 (((-637 $) $) 19 (|has| |#1| (-561)))) (-4483 (($ $ $) 34 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 $)) 37 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-1169) |#1|) 27 (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) 31 (|has| |#1| (-526 (-1169) |#1|)))) (-3791 (($ |#1| |#1|) 17)) (-3847 (((-140)) 88 (|has| |#1| (-367)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169)) 85 (|has| |#1| (-900 (-1169))))) (-2911 (($ $ $) NIL (|has| |#1| (-481)))) (-2212 (($ $ $) NIL (|has| |#1| (-481)))) (-3942 (($ (-571)) NIL (|has| |#1| (-1053))) (((-121) $) 45 (|has| |#1| (-1097))) (((-855) $) 44 (|has| |#1| (-1097)))) (-2661 (((-768)) 73 (|has| |#1| (-1053)))) (-4142 (($ $ (-571)) NIL (|has| |#1| (-481))) (($ $ (-768)) NIL (|has| |#1| (-721))) (($ $ (-922)) NIL (|has| |#1| (-1109)))) (-2369 (($) 55 (|has| |#1| (-21)) CONST)) (-3222 (($) 63 (|has| |#1| (-721)) CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169))))) (-1323 (($ |#1| |#1|) 20) (((-121) $ $) 40 (|has| |#1| (-1097)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367))) (($ $ $) 90 (-1831 (|has| |#1| (-367)) (|has| |#1| (-481))))) (-1373 (($ |#1| $) 53 (|has| |#1| (-21))) (($ $ |#1|) 54 (|has| |#1| (-21))) (($ $ $) 52 (|has| |#1| (-21))) (($ $) 51 (|has| |#1| (-21)))) (-1367 (($ |#1| $) 48 (|has| |#1| (-25))) (($ $ |#1|) 49 (|has| |#1| (-25))) (($ $ $) 47 (|has| |#1| (-25)))) (** (($ $ (-571)) NIL (|has| |#1| (-481))) (($ $ (-768)) NIL (|has| |#1| (-721))) (($ $ (-922)) NIL (|has| |#1| (-1109)))) (* (($ $ |#1|) 61 (|has| |#1| (-1109))) (($ |#1| $) 60 (|has| |#1| (-1109))) (($ $ $) 59 (|has| |#1| (-1109))) (($ (-571) $) 76 (|has| |#1| (-21))) (($ (-768) $) NIL (|has| |#1| (-21))) (($ (-922) $) NIL (|has| |#1| (-25))))) 
+(((-289 |#1|) (-13 (-1203) (-10 -8 (-15 -1323 ($ |#1| |#1|)) (-15 -3791 ($ |#1| |#1|)) (-15 -3949 ($ $)) (-15 -3473 (|#1| $)) (-15 -3731 (|#1| $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-526 (-1169) |#1|)) (-6 (-526 (-1169) |#1|)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-6 (-1097)) (-6 (-611 (-121))) (IF (|has| |#1| (-304 |#1|)) (PROGN (-15 -4483 ($ $ $)) (-15 -4483 ($ $ (-637 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1367 ($ |#1| $)) (-15 -1367 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -2286 ($ $)) (-15 -3329 ($ $)) (-15 -1373 ($ |#1| $)) (-15 -1373 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1109)) (PROGN (-6 (-1109)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-721)) (PROGN (-6 (-721)) (-15 -3788 ((-3 $ "failed") $)) (-15 -2278 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-481)) (PROGN (-6 (-481)) (-15 -3788 ((-3 $ "failed") $)) (-15 -2278 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1053)) (PROGN (-6 (-1053)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-712 |#1|)) |noBranch|) (IF (|has| |#1| (-561)) (-15 -1508 ((-637 $) $)) |noBranch|) (IF (|has| |#1| (-900 (-1169))) (-6 (-900 (-1169))) |noBranch|) (IF (|has| |#1| (-367)) (PROGN (-6 (-1265 |#1|)) (-15 -1379 ($ $ $)) (-15 -4315 ($ $))) |noBranch|) (IF (|has| |#1| (-297)) (-15 -1448 ($ $ $)) |noBranch|))) (-1203)) (T -289)) 
+((-1323 (*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1203)))) (-3791 (*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1203)))) (-3949 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1203)))) (-3473 (*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1203)))) (-3731 (*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1203)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1203)) (-5 *1 (-289 *3)))) (-4483 (*1 *1 *1 *1) (-12 (-4 *2 (-304 *2)) (-4 *2 (-1097)) (-4 *2 (-1203)) (-5 *1 (-289 *2)))) (-4483 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-289 *3))) (-4 *3 (-304 *3)) (-4 *3 (-1097)) (-4 *3 (-1203)) (-5 *1 (-289 *3)))) (-1367 (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1203)))) (-1367 (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1203)))) (-2286 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1203)))) (-3329 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1203)))) (-1373 (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1203)))) (-1373 (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1203)))) (-3788 (*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-721)) (-4 *2 (-1203)))) (-2278 (*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-721)) (-4 *2 (-1203)))) (-1508 (*1 *2 *1) (-12 (-5 *2 (-637 (-289 *3))) (-5 *1 (-289 *3)) (-4 *3 (-561)) (-4 *3 (-1203)))) (-1448 (*1 *1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-297)) (-4 *2 (-1203)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1109)) (-4 *2 (-1203)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1109)) (-4 *2 (-1203)))) (-1379 (*1 *1 *1 *1) (-1831 (-12 (-5 *1 (-289 *2)) (-4 *2 (-367)) (-4 *2 (-1203))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-481)) (-4 *2 (-1203))))) (-4315 (*1 *1 *1) (-1831 (-12 (-5 *1 (-289 *2)) (-4 *2 (-367)) (-4 *2 (-1203))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-481)) (-4 *2 (-1203)))))) 
+(-13 (-1203) (-10 -8 (-15 -1323 ($ |#1| |#1|)) (-15 -3791 ($ |#1| |#1|)) (-15 -3949 ($ $)) (-15 -3473 (|#1| $)) (-15 -3731 (|#1| $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-526 (-1169) |#1|)) (-6 (-526 (-1169) |#1|)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-6 (-1097)) (-6 (-611 (-121))) (IF (|has| |#1| (-304 |#1|)) (PROGN (-15 -4483 ($ $ $)) (-15 -4483 ($ $ (-637 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1367 ($ |#1| $)) (-15 -1367 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -2286 ($ $)) (-15 -3329 ($ $)) (-15 -1373 ($ |#1| $)) (-15 -1373 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1109)) (PROGN (-6 (-1109)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-721)) (PROGN (-6 (-721)) (-15 -3788 ((-3 $ "failed") $)) (-15 -2278 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-481)) (PROGN (-6 (-481)) (-15 -3788 ((-3 $ "failed") $)) (-15 -2278 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1053)) (PROGN (-6 (-1053)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-712 |#1|)) |noBranch|) (IF (|has| |#1| (-561)) (-15 -1508 ((-637 $) $)) |noBranch|) (IF (|has| |#1| (-900 (-1169))) (-6 (-900 (-1169))) |noBranch|) (IF (|has| |#1| (-367)) (PROGN (-6 (-1265 |#1|)) (-15 -1379 ($ $ $)) (-15 -4315 ($ $))) |noBranch|) (IF (|has| |#1| (-297)) (-15 -1448 ($ $ $)) |noBranch|))) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3839 (((-1263) $ |#1| |#1|) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#2| $ |#1| |#2|) NIL)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-1741 (((-3 |#2| "failed") |#1| $) NIL)) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1599 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-3 |#2| "failed") |#1| $) NIL)) (-3412 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) NIL)) (-4034 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 ((|#1| $) NIL (|has| |#1| (-847)))) (-3488 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3113 ((|#1| $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4601))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3359 (((-637 |#1|) $) NIL)) (-1507 (((-121) |#1| $) NIL)) (-2377 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2863 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2738 (((-637 |#1|) $) NIL)) (-1613 (((-121) |#1| $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-1827 ((|#2| $) NIL (|has| |#1| (-847)))) (-3765 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL)) (-4411 (($ $ |#2|) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-3563 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097)))) (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3942 (((-855) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3700 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-290 |#1| |#2|) (-13 (-1180 |#1| |#2|) (-10 -7 (-6 -4600))) (-1097) (-1097)) (T -290)) 
+NIL 
+(-13 (-1180 |#1| |#2|) (-10 -7 (-6 -4600))) 
+((-3871 (((-306) (-1151) (-637 (-1151))) 16) (((-306) (-1151) (-1151)) 15) (((-306) (-637 (-1151))) 14) (((-306) (-1151)) 12))) 
+(((-291) (-10 -7 (-15 -3871 ((-306) (-1151))) (-15 -3871 ((-306) (-637 (-1151)))) (-15 -3871 ((-306) (-1151) (-1151))) (-15 -3871 ((-306) (-1151) (-637 (-1151)))))) (T -291)) 
+((-3871 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-1151))) (-5 *3 (-1151)) (-5 *2 (-306)) (-5 *1 (-291)))) (-3871 (*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-306)) (-5 *1 (-291)))) (-3871 (*1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-306)) (-5 *1 (-291)))) (-3871 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-306)) (-5 *1 (-291))))) 
+(-10 -7 (-15 -3871 ((-306) (-1151))) (-15 -3871 ((-306) (-637 (-1151)))) (-15 -3871 ((-306) (-1151) (-1151))) (-15 -3871 ((-306) (-1151) (-637 (-1151))))) 
+((-3799 ((|#2| (-1 |#2| |#1|) (-1151) (-610 |#1|)) 17))) 
+(((-292 |#1| |#2|) (-10 -7 (-15 -3799 (|#2| (-1 |#2| |#1|) (-1151) (-610 |#1|)))) (-297) (-1203)) (T -292)) 
+((-3799 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1151)) (-5 *5 (-610 *6)) (-4 *6 (-297)) (-4 *2 (-1203)) (-5 *1 (-292 *6 *2))))) 
+(-10 -7 (-15 -3799 (|#2| (-1 |#2| |#1|) (-1151) (-610 |#1|)))) 
+((-3799 ((|#2| (-1 |#2| |#1|) (-610 |#1|)) 17))) 
+(((-293 |#1| |#2|) (-10 -7 (-15 -3799 (|#2| (-1 |#2| |#1|) (-610 |#1|)))) (-297) (-297)) (T -293)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-610 *5)) (-4 *5 (-297)) (-4 *2 (-297)) (-5 *1 (-293 *5 *2))))) 
+(-10 -7 (-15 -3799 (|#2| (-1 |#2| |#1|) (-610 |#1|)))) 
+((-2543 (((-121) (-216)) 10))) 
+(((-294 |#1| |#2|) (-10 -7 (-15 -2543 ((-121) (-216)))) (-216) (-216)) (T -294)) 
+((-2543 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-294 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
+(-10 -7 (-15 -2543 ((-121) (-216)))) 
+((-1657 (((-1149 (-216)) (-311 (-216)) (-637 (-1169)) (-1091 (-840 (-216)))) 88)) (-2952 (((-1149 (-216)) (-1258 (-311 (-216))) (-637 (-1169)) (-1091 (-840 (-216)))) 103) (((-1149 (-216)) (-311 (-216)) (-637 (-1169)) (-1091 (-840 (-216)))) 58)) (-2210 (((-637 (-1151)) (-1149 (-216))) NIL)) (-3212 (((-637 (-216)) (-311 (-216)) (-1169) (-1091 (-840 (-216)))) 55)) (-4519 (((-637 (-216)) (-958 (-412 (-571))) (-1169) (-1091 (-840 (-216)))) 47)) (-2883 (((-637 (-1151)) (-637 (-216))) NIL)) (-2171 (((-216) (-1091 (-840 (-216)))) 23)) (-4521 (((-216) (-1091 (-840 (-216)))) 24)) (-1553 (((-121) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 51)) (-4019 (((-1151) (-216)) NIL))) 
+(((-295) (-10 -7 (-15 -2171 ((-216) (-1091 (-840 (-216))))) (-15 -4521 ((-216) (-1091 (-840 (-216))))) (-15 -1553 ((-121) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3212 ((-637 (-216)) (-311 (-216)) (-1169) (-1091 (-840 (-216))))) (-15 -1657 ((-1149 (-216)) (-311 (-216)) (-637 (-1169)) (-1091 (-840 (-216))))) (-15 -2952 ((-1149 (-216)) (-311 (-216)) (-637 (-1169)) (-1091 (-840 (-216))))) (-15 -2952 ((-1149 (-216)) (-1258 (-311 (-216))) (-637 (-1169)) (-1091 (-840 (-216))))) (-15 -4519 ((-637 (-216)) (-958 (-412 (-571))) (-1169) (-1091 (-840 (-216))))) (-15 -4019 ((-1151) (-216))) (-15 -2883 ((-637 (-1151)) (-637 (-216)))) (-15 -2210 ((-637 (-1151)) (-1149 (-216)))))) (T -295)) 
+((-2210 (*1 *2 *3) (-12 (-5 *3 (-1149 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-295)))) (-2883 (*1 *2 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-295)))) (-4019 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1151)) (-5 *1 (-295)))) (-4519 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-958 (-412 (-571)))) (-5 *4 (-1169)) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-637 (-216))) (-5 *1 (-295)))) (-2952 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1258 (-311 (-216)))) (-5 *4 (-637 (-1169))) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-1149 (-216))) (-5 *1 (-295)))) (-2952 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-637 (-1169))) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-1149 (-216))) (-5 *1 (-295)))) (-1657 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-637 (-1169))) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-1149 (-216))) (-5 *1 (-295)))) (-3212 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1169)) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-637 (-216))) (-5 *1 (-295)))) (-1553 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-121)) (-5 *1 (-295)))) (-4521 (*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) (-2171 (*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-295))))) 
+(-10 -7 (-15 -2171 ((-216) (-1091 (-840 (-216))))) (-15 -4521 ((-216) (-1091 (-840 (-216))))) (-15 -1553 ((-121) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3212 ((-637 (-216)) (-311 (-216)) (-1169) (-1091 (-840 (-216))))) (-15 -1657 ((-1149 (-216)) (-311 (-216)) (-637 (-1169)) (-1091 (-840 (-216))))) (-15 -2952 ((-1149 (-216)) (-311 (-216)) (-637 (-1169)) (-1091 (-840 (-216))))) (-15 -2952 ((-1149 (-216)) (-1258 (-311 (-216))) (-637 (-1169)) (-1091 (-840 (-216))))) (-15 -4519 ((-637 (-216)) (-958 (-412 (-571))) (-1169) (-1091 (-840 (-216))))) (-15 -4019 ((-1151) (-216))) (-15 -2883 ((-637 (-1151)) (-637 (-216)))) (-15 -2210 ((-637 (-1151)) (-1149 (-216))))) 
+((-4121 (((-637 (-610 $)) $) 28)) (-1448 (($ $ (-289 $)) 80) (($ $ (-637 (-289 $))) 120) (($ $ (-637 (-610 $)) (-637 $)) NIL)) (-3337 (((-3 (-610 $) "failed") $) 110)) (-1316 (((-610 $) $) 109)) (-2122 (($ $) 19) (($ (-637 $)) 54)) (-3645 (((-637 (-123)) $) 37)) (-3513 (((-123) (-123)) 90)) (-4329 (((-121) $) 128)) (-3799 (($ (-1 $ $) (-610 $)) 88)) (-1359 (((-3 (-610 $) "failed") $) 92)) (-4485 (($ (-123) $) 60) (($ (-123) (-637 $)) 98)) (-3340 (((-121) $ (-123)) 114) (((-121) $ (-1169)) 113)) (-1454 (((-768) $) 45)) (-4348 (((-121) $ $) 58) (((-121) $ (-1169)) 49)) (-2385 (((-121) $) 126)) (-4483 (($ $ (-610 $) $) NIL) (($ $ (-637 (-610 $)) (-637 $)) NIL) (($ $ (-637 (-289 $))) 118) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ $))) 83) (($ $ (-637 (-1169)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-1169) (-1 $ (-637 $))) 68) (($ $ (-1169) (-1 $ $)) 74) (($ $ (-637 (-123)) (-637 (-1 $ $))) 82) (($ $ (-637 (-123)) (-637 (-1 $ (-637 $)))) 84) (($ $ (-123) (-1 $ (-637 $))) 70) (($ $ (-123) (-1 $ $)) 76)) (-3245 (($ (-123) $) 61) (($ (-123) $ $) 62) (($ (-123) $ $ $) 63) (($ (-123) $ $ $ $) 64) (($ (-123) (-637 $)) 106)) (-4543 (($ $) 51) (($ $ $) 116)) (-4449 (($ $) 17) (($ (-637 $)) 53)) (-3090 (((-121) (-123)) 22))) 
+(((-296 |#1|) (-10 -8 (-15 -4329 ((-121) |#1|)) (-15 -2385 ((-121) |#1|)) (-15 -4483 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -4483 (|#1| |#1| (-123) (-1 |#1| (-637 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-123)) (-637 (-1 |#1| (-637 |#1|))))) (-15 -4483 (|#1| |#1| (-637 (-123)) (-637 (-1 |#1| |#1|)))) (-15 -4483 (|#1| |#1| (-1169) (-1 |#1| |#1|))) (-15 -4483 (|#1| |#1| (-1169) (-1 |#1| (-637 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-1 |#1| (-637 |#1|))))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-1 |#1| |#1|)))) (-15 -4348 ((-121) |#1| (-1169))) (-15 -4348 ((-121) |#1| |#1|)) (-15 -3799 (|#1| (-1 |#1| |#1|) (-610 |#1|))) (-15 -4485 (|#1| (-123) (-637 |#1|))) (-15 -4485 (|#1| (-123) |#1|)) (-15 -3340 ((-121) |#1| (-1169))) (-15 -3340 ((-121) |#1| (-123))) (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 -3645 ((-637 (-123)) |#1|)) (-15 -4121 ((-637 (-610 |#1|)) |#1|)) (-15 -1359 ((-3 (-610 |#1|) "failed") |#1|)) (-15 -1454 ((-768) |#1|)) (-15 -4543 (|#1| |#1| |#1|)) (-15 -4543 (|#1| |#1|)) (-15 -2122 (|#1| (-637 |#1|))) (-15 -2122 (|#1| |#1|)) (-15 -4449 (|#1| (-637 |#1|))) (-15 -4449 (|#1| |#1|)) (-15 -1448 (|#1| |#1| (-637 (-610 |#1|)) (-637 |#1|))) (-15 -1448 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -1448 (|#1| |#1| (-289 |#1|))) (-15 -3245 (|#1| (-123) (-637 |#1|))) (-15 -3245 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1| |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1|)) (-15 -4483 (|#1| |#1| (-637 |#1|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#1| |#1|)) (-15 -4483 (|#1| |#1| (-289 |#1|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-610 |#1|)) (-637 |#1|))) (-15 -4483 (|#1| |#1| (-610 |#1|) |#1|)) (-15 -1316 ((-610 |#1|) |#1|)) (-15 -3337 ((-3 (-610 |#1|) "failed") |#1|))) (-297)) (T -296)) 
+((-3513 (*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-296 *3)) (-4 *3 (-297)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-296 *4)) (-4 *4 (-297))))) 
+(-10 -8 (-15 -4329 ((-121) |#1|)) (-15 -2385 ((-121) |#1|)) (-15 -4483 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -4483 (|#1| |#1| (-123) (-1 |#1| (-637 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-123)) (-637 (-1 |#1| (-637 |#1|))))) (-15 -4483 (|#1| |#1| (-637 (-123)) (-637 (-1 |#1| |#1|)))) (-15 -4483 (|#1| |#1| (-1169) (-1 |#1| |#1|))) (-15 -4483 (|#1| |#1| (-1169) (-1 |#1| (-637 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-1 |#1| (-637 |#1|))))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-1 |#1| |#1|)))) (-15 -4348 ((-121) |#1| (-1169))) (-15 -4348 ((-121) |#1| |#1|)) (-15 -3799 (|#1| (-1 |#1| |#1|) (-610 |#1|))) (-15 -4485 (|#1| (-123) (-637 |#1|))) (-15 -4485 (|#1| (-123) |#1|)) (-15 -3340 ((-121) |#1| (-1169))) (-15 -3340 ((-121) |#1| (-123))) (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 -3645 ((-637 (-123)) |#1|)) (-15 -4121 ((-637 (-610 |#1|)) |#1|)) (-15 -1359 ((-3 (-610 |#1|) "failed") |#1|)) (-15 -1454 ((-768) |#1|)) (-15 -4543 (|#1| |#1| |#1|)) (-15 -4543 (|#1| |#1|)) (-15 -2122 (|#1| (-637 |#1|))) (-15 -2122 (|#1| |#1|)) (-15 -4449 (|#1| (-637 |#1|))) (-15 -4449 (|#1| |#1|)) (-15 -1448 (|#1| |#1| (-637 (-610 |#1|)) (-637 |#1|))) (-15 -1448 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -1448 (|#1| |#1| (-289 |#1|))) (-15 -3245 (|#1| (-123) (-637 |#1|))) (-15 -3245 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1| |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1|)) (-15 -4483 (|#1| |#1| (-637 |#1|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#1| |#1|)) (-15 -4483 (|#1| |#1| (-289 |#1|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-610 |#1|)) (-637 |#1|))) (-15 -4483 (|#1| |#1| (-610 |#1|) |#1|)) (-15 -1316 ((-610 |#1|) |#1|)) (-15 -3337 ((-3 (-610 |#1|) "failed") |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4121 (((-637 (-610 $)) $) 43)) (-1448 (($ $ (-289 $)) 55) (($ $ (-637 (-289 $))) 54) (($ $ (-637 (-610 $)) (-637 $)) 53)) (-3337 (((-3 (-610 $) "failed") $) 68)) (-1316 (((-610 $) $) 67)) (-2122 (($ $) 50) (($ (-637 $)) 49)) (-3645 (((-637 (-123)) $) 42)) (-3513 (((-123) (-123)) 41)) (-4329 (((-121) $) 21 (|has| $ (-1043 (-571))))) (-4286 (((-1165 $) (-610 $)) 24 (|has| $ (-1053)))) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3799 (($ (-1 $ $) (-610 $)) 35)) (-1359 (((-3 (-610 $) "failed") $) 45)) (-3944 (((-1151) $) 9)) (-4251 (((-637 (-610 $)) $) 44)) (-4485 (($ (-123) $) 37) (($ (-123) (-637 $)) 36)) (-3340 (((-121) $ (-123)) 39) (((-121) $ (-1169)) 38)) (-1454 (((-768) $) 46)) (-2580 (((-1115) $) 10)) (-4348 (((-121) $ $) 34) (((-121) $ (-1169)) 33)) (-2385 (((-121) $) 22 (|has| $ (-1043 (-571))))) (-4483 (($ $ (-610 $) $) 66) (($ $ (-637 (-610 $)) (-637 $)) 65) (($ $ (-637 (-289 $))) 64) (($ $ (-289 $)) 63) (($ $ $ $) 62) (($ $ (-637 $) (-637 $)) 61) (($ $ (-637 (-1169)) (-637 (-1 $ $))) 32) (($ $ (-637 (-1169)) (-637 (-1 $ (-637 $)))) 31) (($ $ (-1169) (-1 $ (-637 $))) 30) (($ $ (-1169) (-1 $ $)) 29) (($ $ (-637 (-123)) (-637 (-1 $ $))) 28) (($ $ (-637 (-123)) (-637 (-1 $ (-637 $)))) 27) (($ $ (-123) (-1 $ (-637 $))) 26) (($ $ (-123) (-1 $ $)) 25)) (-3245 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-637 $)) 56)) (-4543 (($ $) 48) (($ $ $) 47)) (-3413 (($ $) 23 (|has| $ (-1053)))) (-3942 (((-855) $) 11) (($ (-610 $)) 69)) (-4449 (($ $) 52) (($ (-637 $)) 51)) (-3090 (((-121) (-123)) 40)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17))) 
+(((-297) (-1289)) (T -297)) 
+((-3245 (*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-3245 (*1 *1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-3245 (*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-3245 (*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-3245 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-637 *1)) (-4 *1 (-297)))) (-1448 (*1 *1 *1 *2) (-12 (-5 *2 (-289 *1)) (-4 *1 (-297)))) (-1448 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-289 *1))) (-4 *1 (-297)))) (-1448 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-610 *1))) (-5 *3 (-637 *1)) (-4 *1 (-297)))) (-4449 (*1 *1 *1) (-4 *1 (-297))) (-4449 (*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-297)))) (-2122 (*1 *1 *1) (-4 *1 (-297))) (-2122 (*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-297)))) (-4543 (*1 *1 *1) (-4 *1 (-297))) (-4543 (*1 *1 *1 *1) (-4 *1 (-297))) (-1454 (*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-768)))) (-1359 (*1 *2 *1) (|partial| -12 (-5 *2 (-610 *1)) (-4 *1 (-297)))) (-4251 (*1 *2 *1) (-12 (-5 *2 (-637 (-610 *1))) (-4 *1 (-297)))) (-4121 (*1 *2 *1) (-12 (-5 *2 (-637 (-610 *1))) (-4 *1 (-297)))) (-3645 (*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-637 (-123))))) (-3513 (*1 *2 *2) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-3090 (*1 *2 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) (-3340 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) (-3340 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1169)) (-5 *2 (-121)))) (-4485 (*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-4485 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-637 *1)) (-4 *1 (-297)))) (-3799 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-610 *1)) (-4 *1 (-297)))) (-4348 (*1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-121)))) (-4348 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1169)) (-5 *2 (-121)))) (-4483 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-637 (-1 *1 *1))) (-4 *1 (-297)))) (-4483 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-637 (-1 *1 (-637 *1)))) (-4 *1 (-297)))) (-4483 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1 *1 (-637 *1))) (-4 *1 (-297)))) (-4483 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) (-4483 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-123))) (-5 *3 (-637 (-1 *1 *1))) (-4 *1 (-297)))) (-4483 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-123))) (-5 *3 (-637 (-1 *1 (-637 *1)))) (-4 *1 (-297)))) (-4483 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-637 *1))) (-4 *1 (-297)))) (-4483 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) (-4286 (*1 *2 *3) (-12 (-5 *3 (-610 *1)) (-4 *1 (-1053)) (-4 *1 (-297)) (-5 *2 (-1165 *1)))) (-3413 (*1 *1 *1) (-12 (-4 *1 (-1053)) (-4 *1 (-297)))) (-2385 (*1 *2 *1) (-12 (-4 *1 (-1043 (-571))) (-4 *1 (-297)) (-5 *2 (-121)))) (-4329 (*1 *2 *1) (-12 (-4 *1 (-1043 (-571))) (-4 *1 (-297)) (-5 *2 (-121))))) 
+(-13 (-847) (-1043 (-610 $)) (-526 (-610 $) $) (-304 $) (-10 -8 (-15 -3245 ($ (-123) $)) (-15 -3245 ($ (-123) $ $)) (-15 -3245 ($ (-123) $ $ $)) (-15 -3245 ($ (-123) $ $ $ $)) (-15 -3245 ($ (-123) (-637 $))) (-15 -1448 ($ $ (-289 $))) (-15 -1448 ($ $ (-637 (-289 $)))) (-15 -1448 ($ $ (-637 (-610 $)) (-637 $))) (-15 -4449 ($ $)) (-15 -4449 ($ (-637 $))) (-15 -2122 ($ $)) (-15 -2122 ($ (-637 $))) (-15 -4543 ($ $)) (-15 -4543 ($ $ $)) (-15 -1454 ((-768) $)) (-15 -1359 ((-3 (-610 $) "failed") $)) (-15 -4251 ((-637 (-610 $)) $)) (-15 -4121 ((-637 (-610 $)) $)) (-15 -3645 ((-637 (-123)) $)) (-15 -3513 ((-123) (-123))) (-15 -3090 ((-121) (-123))) (-15 -3340 ((-121) $ (-123))) (-15 -3340 ((-121) $ (-1169))) (-15 -4485 ($ (-123) $)) (-15 -4485 ($ (-123) (-637 $))) (-15 -3799 ($ (-1 $ $) (-610 $))) (-15 -4348 ((-121) $ $)) (-15 -4348 ((-121) $ (-1169))) (-15 -4483 ($ $ (-637 (-1169)) (-637 (-1 $ $)))) (-15 -4483 ($ $ (-637 (-1169)) (-637 (-1 $ (-637 $))))) (-15 -4483 ($ $ (-1169) (-1 $ (-637 $)))) (-15 -4483 ($ $ (-1169) (-1 $ $))) (-15 -4483 ($ $ (-637 (-123)) (-637 (-1 $ $)))) (-15 -4483 ($ $ (-637 (-123)) (-637 (-1 $ (-637 $))))) (-15 -4483 ($ $ (-123) (-1 $ (-637 $)))) (-15 -4483 ($ $ (-123) (-1 $ $))) (IF (|has| $ (-1053)) (PROGN (-15 -4286 ((-1165 $) (-610 $))) (-15 -3413 ($ $))) |noBranch|) (IF (|has| $ (-1043 (-571))) (PROGN (-15 -2385 ((-121) $)) (-15 -4329 ((-121) $))) |noBranch|))) 
+(((-105) . T) ((-611 (-855)) . T) ((-304 $) . T) ((-526 (-610 $) $) . T) ((-526 $ $) . T) ((-847) . T) ((-1043 (-610 $)) . T) ((-1097) . T)) 
+((-1463 (((-637 |#1|) (-637 |#1|)) 10))) 
+(((-298 |#1|) (-10 -7 (-15 -1463 ((-637 |#1|) (-637 |#1|)))) (-845)) (T -298)) 
+((-1463 (*1 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-845)) (-5 *1 (-298 *3))))) 
+(-10 -7 (-15 -1463 ((-637 |#1|) (-637 |#1|)))) 
+((-3799 (((-684 |#2|) (-1 |#2| |#1|) (-684 |#1|)) 15))) 
+(((-299 |#1| |#2|) (-10 -7 (-15 -3799 ((-684 |#2|) (-1 |#2| |#1|) (-684 |#1|)))) (-1053) (-1053)) (T -299)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-684 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-5 *2 (-684 *6)) (-5 *1 (-299 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-684 |#2|) (-1 |#2| |#1|) (-684 |#1|)))) 
+((-3248 (((-1258 (-311 (-384))) (-1258 (-311 (-216)))) 105)) (-2288 (((-1091 (-840 (-216))) (-1091 (-840 (-384)))) 39)) (-2210 (((-637 (-1151)) (-1149 (-216))) 87)) (-1953 (((-311 (-384)) (-958 (-216))) 49)) (-1948 (((-216) (-958 (-216))) 45)) (-4394 (((-1151) (-384)) 167)) (-1946 (((-840 (-216)) (-840 (-384))) 33)) (-2891 (((-2 (|:| |additions| (-571)) (|:| |multiplications| (-571)) (|:| |exponentiations| (-571)) (|:| |functionCalls| (-571))) (-1258 (-311 (-216)))) 142)) (-2464 (((-1041) (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041)))) 180) (((-1041) (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) 178)) (-3533 (((-684 (-216)) (-637 (-216)) (-768)) 13)) (-3226 (((-1258 (-693)) (-637 (-216))) 94)) (-2883 (((-637 (-1151)) (-637 (-216))) 74)) (-3948 (((-3 (-311 (-216)) "failed") (-311 (-216))) 120)) (-2543 (((-121) (-216) (-1091 (-840 (-216)))) 109)) (-4576 (((-1041) (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384)))) 198)) (-2171 (((-216) (-1091 (-840 (-216)))) 107)) (-4521 (((-216) (-1091 (-840 (-216)))) 108)) (-3995 (((-216) (-412 (-571))) 26)) (-1587 (((-1151) (-384)) 72)) (-3786 (((-216) (-384)) 17)) (-2305 (((-384) (-1258 (-311 (-216)))) 153)) (-2930 (((-311 (-216)) (-311 (-384))) 23)) (-4023 (((-412 (-571)) (-311 (-216))) 52)) (-2432 (((-311 (-412 (-571))) (-311 (-216))) 68)) (-4480 (((-311 (-384)) (-311 (-216))) 98)) (-2912 (((-216) (-311 (-216))) 53)) (-1623 (((-637 (-216)) (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) 63)) (-4024 (((-1091 (-840 (-216))) (-1091 (-840 (-216)))) 60)) (-4019 (((-1151) (-216)) 71)) (-4454 (((-693) (-216)) 90)) (-1617 (((-412 (-571)) (-216)) 54)) (-4314 (((-311 (-384)) (-216)) 48)) (-4050 (((-637 (-1091 (-840 (-216)))) (-637 (-1091 (-840 (-384))))) 42)) (-4498 (((-1041) (-637 (-1041))) 163) (((-1041) (-1041) (-1041)) 160)) (-1513 (((-1041) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) 194))) 
+(((-300) (-10 -7 (-15 -3786 ((-216) (-384))) (-15 -2930 ((-311 (-216)) (-311 (-384)))) (-15 -1946 ((-840 (-216)) (-840 (-384)))) (-15 -2288 ((-1091 (-840 (-216))) (-1091 (-840 (-384))))) (-15 -4050 ((-637 (-1091 (-840 (-216)))) (-637 (-1091 (-840 (-384)))))) (-15 -1617 ((-412 (-571)) (-216))) (-15 -4023 ((-412 (-571)) (-311 (-216)))) (-15 -2912 ((-216) (-311 (-216)))) (-15 -3948 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -2305 ((-384) (-1258 (-311 (-216))))) (-15 -2891 ((-2 (|:| |additions| (-571)) (|:| |multiplications| (-571)) (|:| |exponentiations| (-571)) (|:| |functionCalls| (-571))) (-1258 (-311 (-216))))) (-15 -2432 ((-311 (-412 (-571))) (-311 (-216)))) (-15 -4024 ((-1091 (-840 (-216))) (-1091 (-840 (-216))))) (-15 -1623 ((-637 (-216)) (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))))) (-15 -4454 ((-693) (-216))) (-15 -3226 ((-1258 (-693)) (-637 (-216)))) (-15 -4480 ((-311 (-384)) (-311 (-216)))) (-15 -3248 ((-1258 (-311 (-384))) (-1258 (-311 (-216))))) (-15 -2543 ((-121) (-216) (-1091 (-840 (-216))))) (-15 -4019 ((-1151) (-216))) (-15 -1587 ((-1151) (-384))) (-15 -2883 ((-637 (-1151)) (-637 (-216)))) (-15 -2210 ((-637 (-1151)) (-1149 (-216)))) (-15 -2171 ((-216) (-1091 (-840 (-216))))) (-15 -4521 ((-216) (-1091 (-840 (-216))))) (-15 -4498 ((-1041) (-1041) (-1041))) (-15 -4498 ((-1041) (-637 (-1041)))) (-15 -4394 ((-1151) (-384))) (-15 -2464 ((-1041) (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))))) (-15 -2464 ((-1041) (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041))))) (-15 -1513 ((-1041) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -4576 ((-1041) (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384))))) (-15 -1953 ((-311 (-384)) (-958 (-216)))) (-15 -1948 ((-216) (-958 (-216)))) (-15 -4314 ((-311 (-384)) (-216))) (-15 -3995 ((-216) (-412 (-571)))) (-15 -3533 ((-684 (-216)) (-637 (-216)) (-768))))) (T -300)) 
+((-3533 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-216))) (-5 *4 (-768)) (-5 *2 (-684 (-216))) (-5 *1 (-300)))) (-3995 (*1 *2 *3) (-12 (-5 *3 (-412 (-571))) (-5 *2 (-216)) (-5 *1 (-300)))) (-4314 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-311 (-384))) (-5 *1 (-300)))) (-1948 (*1 *2 *3) (-12 (-5 *3 (-958 (-216))) (-5 *2 (-216)) (-5 *1 (-300)))) (-1953 (*1 *2 *3) (-12 (-5 *3 (-958 (-216))) (-5 *2 (-311 (-384))) (-5 *1 (-300)))) (-4576 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384)))) (-5 *2 (-1041)) (-5 *1 (-300)))) (-1513 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1041)) (-5 *1 (-300)))) (-2464 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041)))) (-5 *2 (-1041)) (-5 *1 (-300)))) (-2464 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *2 (-1041)) (-5 *1 (-300)))) (-4394 (*1 *2 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1151)) (-5 *1 (-300)))) (-4498 (*1 *2 *3) (-12 (-5 *3 (-637 (-1041))) (-5 *2 (-1041)) (-5 *1 (-300)))) (-4498 (*1 *2 *2 *2) (-12 (-5 *2 (-1041)) (-5 *1 (-300)))) (-4521 (*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-300)))) (-2171 (*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-300)))) (-2210 (*1 *2 *3) (-12 (-5 *3 (-1149 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-300)))) (-2883 (*1 *2 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-300)))) (-1587 (*1 *2 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1151)) (-5 *1 (-300)))) (-4019 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1151)) (-5 *1 (-300)))) (-2543 (*1 *2 *3 *4) (-12 (-5 *4 (-1091 (-840 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-300)))) (-3248 (*1 *2 *3) (-12 (-5 *3 (-1258 (-311 (-216)))) (-5 *2 (-1258 (-311 (-384)))) (-5 *1 (-300)))) (-4480 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-384))) (-5 *1 (-300)))) (-3226 (*1 *2 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-1258 (-693))) (-5 *1 (-300)))) (-4454 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-693)) (-5 *1 (-300)))) (-1623 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *2 (-637 (-216))) (-5 *1 (-300)))) (-4024 (*1 *2 *2) (-12 (-5 *2 (-1091 (-840 (-216)))) (-5 *1 (-300)))) (-2432 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-412 (-571)))) (-5 *1 (-300)))) (-2891 (*1 *2 *3) (-12 (-5 *3 (-1258 (-311 (-216)))) (-5 *2 (-2 (|:| |additions| (-571)) (|:| |multiplications| (-571)) (|:| |exponentiations| (-571)) (|:| |functionCalls| (-571)))) (-5 *1 (-300)))) (-2305 (*1 *2 *3) (-12 (-5 *3 (-1258 (-311 (-216)))) (-5 *2 (-384)) (-5 *1 (-300)))) (-3948 (*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-300)))) (-2912 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-216)) (-5 *1 (-300)))) (-4023 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-412 (-571))) (-5 *1 (-300)))) (-1617 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-412 (-571))) (-5 *1 (-300)))) (-4050 (*1 *2 *3) (-12 (-5 *3 (-637 (-1091 (-840 (-384))))) (-5 *2 (-637 (-1091 (-840 (-216))))) (-5 *1 (-300)))) (-2288 (*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-384)))) (-5 *2 (-1091 (-840 (-216)))) (-5 *1 (-300)))) (-1946 (*1 *2 *3) (-12 (-5 *3 (-840 (-384))) (-5 *2 (-840 (-216))) (-5 *1 (-300)))) (-2930 (*1 *2 *3) (-12 (-5 *3 (-311 (-384))) (-5 *2 (-311 (-216))) (-5 *1 (-300)))) (-3786 (*1 *2 *3) (-12 (-5 *3 (-384)) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(-10 -7 (-15 -3786 ((-216) (-384))) (-15 -2930 ((-311 (-216)) (-311 (-384)))) (-15 -1946 ((-840 (-216)) (-840 (-384)))) (-15 -2288 ((-1091 (-840 (-216))) (-1091 (-840 (-384))))) (-15 -4050 ((-637 (-1091 (-840 (-216)))) (-637 (-1091 (-840 (-384)))))) (-15 -1617 ((-412 (-571)) (-216))) (-15 -4023 ((-412 (-571)) (-311 (-216)))) (-15 -2912 ((-216) (-311 (-216)))) (-15 -3948 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -2305 ((-384) (-1258 (-311 (-216))))) (-15 -2891 ((-2 (|:| |additions| (-571)) (|:| |multiplications| (-571)) (|:| |exponentiations| (-571)) (|:| |functionCalls| (-571))) (-1258 (-311 (-216))))) (-15 -2432 ((-311 (-412 (-571))) (-311 (-216)))) (-15 -4024 ((-1091 (-840 (-216))) (-1091 (-840 (-216))))) (-15 -1623 ((-637 (-216)) (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))))) (-15 -4454 ((-693) (-216))) (-15 -3226 ((-1258 (-693)) (-637 (-216)))) (-15 -4480 ((-311 (-384)) (-311 (-216)))) (-15 -3248 ((-1258 (-311 (-384))) (-1258 (-311 (-216))))) (-15 -2543 ((-121) (-216) (-1091 (-840 (-216))))) (-15 -4019 ((-1151) (-216))) (-15 -1587 ((-1151) (-384))) (-15 -2883 ((-637 (-1151)) (-637 (-216)))) (-15 -2210 ((-637 (-1151)) (-1149 (-216)))) (-15 -2171 ((-216) (-1091 (-840 (-216))))) (-15 -4521 ((-216) (-1091 (-840 (-216))))) (-15 -4498 ((-1041) (-1041) (-1041))) (-15 -4498 ((-1041) (-637 (-1041)))) (-15 -4394 ((-1151) (-384))) (-15 -2464 ((-1041) (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))))) (-15 -2464 ((-1041) (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041))))) (-15 -1513 ((-1041) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -4576 ((-1041) (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384))))) (-15 -1953 ((-311 (-384)) (-958 (-216)))) (-15 -1948 ((-216) (-958 (-216)))) (-15 -4314 ((-311 (-384)) (-216))) (-15 -3995 ((-216) (-412 (-571)))) (-15 -3533 ((-684 (-216)) (-637 (-216)) (-768)))) 
+((-1295 (((-121) $ $) 11)) (-2162 (($ $ $) 15)) (-2180 (($ $ $) 14)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 43)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 52)) (-3026 (($ $ $) 21) (($ (-637 $)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 31) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 36)) (-1786 (((-3 $ "failed") $ $) 18)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 45))) 
+(((-301 |#1|) (-10 -8 (-15 -4460 ((-3 (-637 |#1|) "failed") (-637 |#1|) |#1|)) (-15 -2938 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -2938 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2280 |#1|)) |#1| |#1|)) (-15 -2162 (|#1| |#1| |#1|)) (-15 -2180 (|#1| |#1| |#1|)) (-15 -1295 ((-121) |#1| |#1|)) (-15 -4058 ((-3 (-637 |#1|) "failed") (-637 |#1|) |#1|)) (-15 -3758 ((-2 (|:| -4501 (-637 |#1|)) (|:| -2280 |#1|)) (-637 |#1|))) (-15 -3026 (|#1| (-637 |#1|))) (-15 -3026 (|#1| |#1| |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#1|))) (-302)) (T -301)) 
+NIL 
+(-10 -8 (-15 -4460 ((-3 (-637 |#1|) "failed") (-637 |#1|) |#1|)) (-15 -2938 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -2938 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2280 |#1|)) |#1| |#1|)) (-15 -2162 (|#1| |#1| |#1|)) (-15 -2180 (|#1| |#1| |#1|)) (-15 -1295 ((-121) |#1| |#1|)) (-15 -4058 ((-3 (-637 |#1|) "failed") (-637 |#1|) |#1|)) (-15 -3758 ((-2 (|:| -4501 (-637 |#1|)) (|:| -2280 |#1|)) (-637 |#1|))) (-15 -3026 (|#1| (-637 |#1|))) (-15 -3026 (|#1| |#1| |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-1295 (((-121) $ $) 57)) (-2269 (($) 16 T CONST)) (-2162 (($ $ $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-2583 (((-121) $) 30)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-302) (-1289)) (T -302)) 
+((-1295 (*1 *2 *1 *1) (-12 (-4 *1 (-302)) (-5 *2 (-121)))) (-1826 (*1 *2 *1) (-12 (-4 *1 (-302)) (-5 *2 (-768)))) (-3221 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-302)))) (-2180 (*1 *1 *1 *1) (-4 *1 (-302))) (-2162 (*1 *1 *1 *1) (-4 *1 (-302))) (-2938 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2280 *1))) (-4 *1 (-302)))) (-2938 (*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-302)))) (-4460 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-637 *1)) (-4 *1 (-302))))) 
+(-13 (-921) (-10 -8 (-15 -1295 ((-121) $ $)) (-15 -1826 ((-768) $)) (-15 -3221 ((-2 (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -2180 ($ $ $)) (-15 -2162 ($ $ $)) (-15 -2938 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $)) (-15 -2938 ((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $)) (-15 -4460 ((-3 (-637 $) "failed") (-637 $) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-286) . T) ((-456) . T) ((-561) . T) ((-640 $) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-4483 (($ $ (-637 |#2|) (-637 |#2|)) 14) (($ $ |#2| |#2|) NIL) (($ $ (-289 |#2|)) 11) (($ $ (-637 (-289 |#2|))) NIL))) 
+(((-303 |#1| |#2|) (-10 -8 (-15 -4483 (|#1| |#1| (-637 (-289 |#2|)))) (-15 -4483 (|#1| |#1| (-289 |#2|))) (-15 -4483 (|#1| |#1| |#2| |#2|)) (-15 -4483 (|#1| |#1| (-637 |#2|) (-637 |#2|)))) (-304 |#2|) (-1097)) (T -303)) 
+NIL 
+(-10 -8 (-15 -4483 (|#1| |#1| (-637 (-289 |#2|)))) (-15 -4483 (|#1| |#1| (-289 |#2|))) (-15 -4483 (|#1| |#1| |#2| |#2|)) (-15 -4483 (|#1| |#1| (-637 |#2|) (-637 |#2|)))) 
+((-4483 (($ $ (-637 |#1|) (-637 |#1|)) 7) (($ $ |#1| |#1|) 6) (($ $ (-289 |#1|)) 9) (($ $ (-637 (-289 |#1|))) 8))) 
+(((-304 |#1|) (-1289) (-1097)) (T -304)) 
+((-4483 (*1 *1 *1 *2) (-12 (-5 *2 (-289 *3)) (-4 *1 (-304 *3)) (-4 *3 (-1097)))) (-4483 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-289 *3))) (-4 *1 (-304 *3)) (-4 *3 (-1097))))) 
+(-13 (-526 |t#1| |t#1|) (-10 -8 (-15 -4483 ($ $ (-289 |t#1|))) (-15 -4483 ($ $ (-637 (-289 |t#1|)))))) 
+(((-526 |#1| |#1|) . T)) 
+((-4483 ((|#1| (-1 |#1| (-571)) (-1171 (-412 (-571)))) 24))) 
+(((-305 |#1|) (-10 -7 (-15 -4483 (|#1| (-1 |#1| (-571)) (-1171 (-412 (-571)))))) (-43 (-412 (-571)))) (T -305)) 
+((-4483 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-571))) (-5 *4 (-1171 (-412 (-571)))) (-5 *1 (-305 *2)) (-4 *2 (-43 (-412 (-571))))))) 
+(-10 -7 (-15 -4483 (|#1| (-1 |#1| (-571)) (-1171 (-412 (-571)))))) 
+((-2234 (((-121) $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 7)) (-1323 (((-121) $ $) 9))) 
+(((-306) (-1097)) (T -306)) 
+NIL 
+(-1097) 
+((-2618 (((-1263) (-1157 3 (-216)) (-1151)) 38))) 
+(((-307) (-10 -7 (-15 -2618 ((-1263) (-1157 3 (-216)) (-1151))))) (T -307)) 
+((-2618 (*1 *2 *3 *4) (-12 (-5 *3 (-1157 3 (-216))) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-307))))) 
+(-10 -7 (-15 -2618 ((-1263) (-1157 3 (-216)) (-1151)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 62)) (-1533 (((-1243 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-302)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-909)))) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-909)))) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-820)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-1243 |#1| |#2| |#3| |#4|) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1043 (-1169)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1043 (-571)))) (((-3 (-571) "failed") $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1043 (-571)))) (((-3 (-1242 |#2| |#3| |#4|) "failed") $) 24)) (-1316 (((-1243 |#1| |#2| |#3| |#4|) $) NIL) (((-1169) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1043 (-1169)))) (((-412 (-571)) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1043 (-571)))) (((-571) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1043 (-571)))) (((-1242 |#2| |#3| |#4|) $) NIL)) (-2162 (($ $ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-1243 |#1| |#2| |#3| |#4|))) (|:| |vec| (-1258 (-1243 |#1| |#2| |#3| |#4|)))) (-684 $) (-1258 $)) NIL) (((-684 (-1243 |#1| |#2| |#3| |#4|)) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-553)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2093 (((-121) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-820)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-886 (-384))))) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL)) (-4474 (((-1243 |#1| |#2| |#3| |#4|) $) 21)) (-2596 (((-3 $ "failed") $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1143)))) (-4086 (((-121) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-820)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-847)))) (-2383 (($ $ $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-847)))) (-3799 (($ (-1 (-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|)) $) NIL)) (-3148 (((-3 (-840 |#2|) "failed") $) 76)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-302)))) (-3955 (((-1243 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-553)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-909)))) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4483 (($ $ (-637 (-1243 |#1| |#2| |#3| |#4|)) (-637 (-1243 |#1| |#2| |#3| |#4|))) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-304 (-1243 |#1| |#2| |#3| |#4|)))) (($ $ (-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-304 (-1243 |#1| |#2| |#3| |#4|)))) (($ $ (-289 (-1243 |#1| |#2| |#3| |#4|))) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-304 (-1243 |#1| |#2| |#3| |#4|)))) (($ $ (-637 (-289 (-1243 |#1| |#2| |#3| |#4|)))) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-304 (-1243 |#1| |#2| |#3| |#4|)))) (($ $ (-637 (-1169)) (-637 (-1243 |#1| |#2| |#3| |#4|))) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-526 (-1169) (-1243 |#1| |#2| |#3| |#4|)))) (($ $ (-1169) (-1243 |#1| |#2| |#3| |#4|)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-526 (-1169) (-1243 |#1| |#2| |#3| |#4|))))) (-1826 (((-768) $) NIL)) (-3245 (($ $ (-1243 |#1| |#2| |#3| |#4|)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-282 (-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-768)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-1169)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-900 (-1169)))) (($ $ (-1 (-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|)) (-768)) NIL) (($ $ (-1 (-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|))) NIL)) (-3777 (($ $) NIL)) (-4479 (((-1243 |#1| |#2| |#3| |#4|) $) 17)) (-4050 (((-892 (-571)) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-612 (-892 (-384))))) (((-544) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-612 (-544)))) (((-384) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1027))) (((-216) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1027)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| (-1243 |#1| |#2| |#3| |#4|) (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ (-1243 |#1| |#2| |#3| |#4|)) 28) (($ (-1169)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-1043 (-1169)))) (($ (-1242 |#2| |#3| |#4|)) 36)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-1243 |#1| |#2| |#3| |#4|) (-909))) (|has| (-1243 |#1| |#2| |#3| |#4|) (-149))))) (-2661 (((-768)) NIL)) (-2325 (((-1243 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-553)))) (-1388 (((-121) $ $) NIL)) (-1902 (($ $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-820)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 41 T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-768)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-1169)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-900 (-1169)))) (($ $ (-1 (-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|)) (-768)) NIL) (($ $ (-1 (-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|))) NIL)) (-1350 (((-121) $ $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-1243 |#1| |#2| |#3| |#4|) (-847)))) (-1379 (($ $ $) 33) (($ (-1243 |#1| |#2| |#3| |#4|) (-1243 |#1| |#2| |#3| |#4|)) 30)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ (-1243 |#1| |#2| |#3| |#4|) $) 29) (($ $ (-1243 |#1| |#2| |#3| |#4|)) NIL))) 
+(((-308 |#1| |#2| |#3| |#4|) (-13 (-999 (-1243 |#1| |#2| |#3| |#4|)) (-1043 (-1242 |#2| |#3| |#4|)) (-10 -8 (-15 -3148 ((-3 (-840 |#2|) "failed") $)) (-15 -3942 ($ (-1242 |#2| |#3| |#4|))))) (-13 (-847) (-1043 (-571)) (-633 (-571)) (-456)) (-13 (-27) (-1189) (-435 |#1|)) (-1169) |#2|) (T -308)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1242 *4 *5 *6)) (-4 *4 (-13 (-27) (-1189) (-435 *3))) (-14 *5 (-1169)) (-14 *6 *4) (-4 *3 (-13 (-847) (-1043 (-571)) (-633 (-571)) (-456))) (-5 *1 (-308 *3 *4 *5 *6)))) (-3148 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-847) (-1043 (-571)) (-633 (-571)) (-456))) (-5 *2 (-840 *4)) (-5 *1 (-308 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1189) (-435 *3))) (-14 *5 (-1169)) (-14 *6 *4)))) 
+(-13 (-999 (-1243 |#1| |#2| |#3| |#4|)) (-1043 (-1242 |#2| |#3| |#4|)) (-10 -8 (-15 -3148 ((-3 (-840 |#2|) "failed") $)) (-15 -3942 ($ (-1242 |#2| |#3| |#4|))))) 
+((-3799 (((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)) 13))) 
+(((-309 |#1| |#2|) (-10 -7 (-15 -3799 ((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)))) (-847) (-847)) (T -309)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-311 *5)) (-4 *5 (-847)) (-4 *6 (-847)) (-5 *2 (-311 *6)) (-5 *1 (-309 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)))) 
+((-1871 (((-57) |#2| (-289 |#2|) (-768)) 33) (((-57) |#2| (-289 |#2|)) 24) (((-57) |#2| (-768)) 28) (((-57) |#2|) 25) (((-57) (-1169)) 21)) (-4096 (((-57) |#2| (-289 |#2|) (-412 (-571))) 51) (((-57) |#2| (-289 |#2|)) 48) (((-57) |#2| (-412 (-571))) 50) (((-57) |#2|) 49) (((-57) (-1169)) 47)) (-1879 (((-57) |#2| (-289 |#2|) (-412 (-571))) 46) (((-57) |#2| (-289 |#2|)) 43) (((-57) |#2| (-412 (-571))) 45) (((-57) |#2|) 44) (((-57) (-1169)) 42)) (-1874 (((-57) |#2| (-289 |#2|) (-571)) 39) (((-57) |#2| (-289 |#2|)) 35) (((-57) |#2| (-571)) 38) (((-57) |#2|) 36) (((-57) (-1169)) 34))) 
+(((-310 |#1| |#2|) (-10 -7 (-15 -1871 ((-57) (-1169))) (-15 -1871 ((-57) |#2|)) (-15 -1871 ((-57) |#2| (-768))) (-15 -1871 ((-57) |#2| (-289 |#2|))) (-15 -1871 ((-57) |#2| (-289 |#2|) (-768))) (-15 -1874 ((-57) (-1169))) (-15 -1874 ((-57) |#2|)) (-15 -1874 ((-57) |#2| (-571))) (-15 -1874 ((-57) |#2| (-289 |#2|))) (-15 -1874 ((-57) |#2| (-289 |#2|) (-571))) (-15 -1879 ((-57) (-1169))) (-15 -1879 ((-57) |#2|)) (-15 -1879 ((-57) |#2| (-412 (-571)))) (-15 -1879 ((-57) |#2| (-289 |#2|))) (-15 -1879 ((-57) |#2| (-289 |#2|) (-412 (-571)))) (-15 -4096 ((-57) (-1169))) (-15 -4096 ((-57) |#2|)) (-15 -4096 ((-57) |#2| (-412 (-571)))) (-15 -4096 ((-57) |#2| (-289 |#2|))) (-15 -4096 ((-57) |#2| (-289 |#2|) (-412 (-571))))) (-13 (-456) (-847) (-1043 (-571)) (-633 (-571))) (-13 (-27) (-1189) (-435 |#1|))) (T -310)) 
+((-4096 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-412 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-4096 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-4096 (*1 *2 *3 *4) (-12 (-5 *4 (-412 (-571))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) (-4096 (*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) (-4096 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1189) (-435 *4))))) (-1879 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-412 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-1879 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-1879 (*1 *2 *3 *4) (-12 (-5 *4 (-412 (-571))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) (-1879 (*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) (-1879 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1189) (-435 *4))))) (-1874 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-1043 *5) (-633 *5))) (-5 *5 (-571)) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-1874 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-1874 (*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-13 (-456) (-847) (-1043 *4) (-633 *4))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) (-1874 (*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) (-1874 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1189) (-435 *4))))) (-1871 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-768)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-1871 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-1871 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) (-1871 (*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) (-1871 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1189) (-435 *4)))))) 
+(-10 -7 (-15 -1871 ((-57) (-1169))) (-15 -1871 ((-57) |#2|)) (-15 -1871 ((-57) |#2| (-768))) (-15 -1871 ((-57) |#2| (-289 |#2|))) (-15 -1871 ((-57) |#2| (-289 |#2|) (-768))) (-15 -1874 ((-57) (-1169))) (-15 -1874 ((-57) |#2|)) (-15 -1874 ((-57) |#2| (-571))) (-15 -1874 ((-57) |#2| (-289 |#2|))) (-15 -1874 ((-57) |#2| (-289 |#2|) (-571))) (-15 -1879 ((-57) (-1169))) (-15 -1879 ((-57) |#2|)) (-15 -1879 ((-57) |#2| (-412 (-571)))) (-15 -1879 ((-57) |#2| (-289 |#2|))) (-15 -1879 ((-57) |#2| (-289 |#2|) (-412 (-571)))) (-15 -4096 ((-57) (-1169))) (-15 -4096 ((-57) |#2|)) (-15 -4096 ((-57) |#2| (-412 (-571)))) (-15 -4096 ((-57) |#2| (-289 |#2|))) (-15 -4096 ((-57) |#2| (-289 |#2|) (-412 (-571))))) 
+((-2234 (((-121) $ $) NIL)) (-1657 (((-637 $) $ (-1169)) NIL (|has| |#1| (-561))) (((-637 $) $) NIL (|has| |#1| (-561))) (((-637 $) (-1165 $) (-1169)) NIL (|has| |#1| (-561))) (((-637 $) (-1165 $)) NIL (|has| |#1| (-561))) (((-637 $) (-958 $)) NIL (|has| |#1| (-561)))) (-2025 (($ $ (-1169)) NIL (|has| |#1| (-561))) (($ $) NIL (|has| |#1| (-561))) (($ (-1165 $) (-1169)) NIL (|has| |#1| (-561))) (($ (-1165 $)) NIL (|has| |#1| (-561))) (($ (-958 $)) NIL (|has| |#1| (-561)))) (-4123 (((-121) $) 27 (-1831 (|has| |#1| (-25)) (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053)))))) (-3424 (((-637 (-1169)) $) 348)) (-4257 (((-412 (-1165 $)) $ (-610 $)) NIL (|has| |#1| (-561)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-4121 (((-637 (-610 $)) $) NIL)) (-4255 (($ $) 154 (|has| |#1| (-561)))) (-4192 (($ $) 130 (|has| |#1| (-561)))) (-1576 (($ $ (-1089 $)) 215 (|has| |#1| (-561))) (($ $ (-1169)) 211 (|has| |#1| (-561)))) (-4176 (((-3 $ "failed") $ $) NIL (-1831 (|has| |#1| (-21)) (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053)))))) (-1448 (($ $ (-289 $)) NIL) (($ $ (-637 (-289 $))) 364) (($ $ (-637 (-610 $)) (-637 $)) 407)) (-1434 (((-423 (-1165 $)) (-1165 $)) 292 (-12 (|has| |#1| (-456)) (|has| |#1| (-561))))) (-2356 (($ $) NIL (|has| |#1| (-561)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-561)))) (-4158 (($ $) NIL (|has| |#1| (-561)))) (-1295 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4243 (($ $) 150 (|has| |#1| (-561)))) (-4185 (($ $) 126 (|has| |#1| (-561)))) (-1495 (($ $ (-571)) 64 (|has| |#1| (-561)))) (-4266 (($ $) 158 (|has| |#1| (-561)))) (-4201 (($ $) 134 (|has| |#1| (-561)))) (-2269 (($) NIL (-1831 (|has| |#1| (-25)) (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) (|has| |#1| (-1109))) CONST)) (-1738 (((-637 $) $ (-1169)) NIL (|has| |#1| (-561))) (((-637 $) $) NIL (|has| |#1| (-561))) (((-637 $) (-1165 $) (-1169)) NIL (|has| |#1| (-561))) (((-637 $) (-1165 $)) NIL (|has| |#1| (-561))) (((-637 $) (-958 $)) NIL (|has| |#1| (-561)))) (-2553 (($ $ (-1169)) NIL (|has| |#1| (-561))) (($ $) NIL (|has| |#1| (-561))) (($ (-1165 $) (-1169)) 117 (|has| |#1| (-561))) (($ (-1165 $)) NIL (|has| |#1| (-561))) (($ (-958 $)) NIL (|has| |#1| (-561)))) (-3337 (((-3 (-610 $) "failed") $) 17) (((-3 (-1169) "failed") $) NIL) (((-3 |#1| "failed") $) 416) (((-3 (-53) "failed") $) 321 (-12 (|has| |#1| (-561)) (|has| |#1| (-1043 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-958 |#1|)) "failed") $) NIL (|has| |#1| (-561))) (((-3 (-958 |#1|) "failed") $) NIL (|has| |#1| (-1053))) (((-3 (-412 (-571)) "failed") $) 45 (-1831 (-12 (|has| |#1| (-561)) (|has| |#1| (-1043 (-571)))) (|has| |#1| (-1043 (-412 (-571))))))) (-1316 (((-610 $) $) 11) (((-1169) $) NIL) ((|#1| $) 398) (((-53) $) NIL (-12 (|has| |#1| (-561)) (|has| |#1| (-1043 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-958 |#1|)) $) NIL (|has| |#1| (-561))) (((-958 |#1|) $) NIL (|has| |#1| (-1053))) (((-412 (-571)) $) 305 (-1831 (-12 (|has| |#1| (-561)) (|has| |#1| (-1043 (-571)))) (|has| |#1| (-1043 (-412 (-571))))))) (-2162 (($ $ $) NIL (|has| |#1| (-561)))) (-2680 (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 110 (|has| |#1| (-1053))) (((-684 |#1|) (-684 $)) 102 (|has| |#1| (-1053))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053)))) (((-684 (-571)) (-684 $)) NIL (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))))) (-3074 (($ $) 84 (|has| |#1| (-561)))) (-3978 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) (|has| |#1| (-1109))))) (-2180 (($ $ $) NIL (|has| |#1| (-561)))) (-3940 (($ $ (-1089 $)) 219 (|has| |#1| (-561))) (($ $ (-1169)) 217 (|has| |#1| (-561)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-561)))) (-1596 (((-121) $) NIL (|has| |#1| (-561)))) (-4150 (($ $ $) 185 (|has| |#1| (-561)))) (-4153 (($) 120 (|has| |#1| (-561)))) (-3810 (($ $ $) 205 (|has| |#1| (-561)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 370 (|has| |#1| (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 376 (|has| |#1| (-886 (-384))))) (-2122 (($ $) NIL) (($ (-637 $)) NIL)) (-3645 (((-637 (-123)) $) NIL)) (-3513 (((-123) (-123)) 264)) (-2583 (((-121) $) 25 (-1831 (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) (|has| |#1| (-1109))))) (-4329 (((-121) $) NIL (|has| $ (-1043 (-571))))) (-3458 (($ $) 66 (|has| |#1| (-1053)))) (-4474 (((-1120 |#1| (-610 $)) $) 79 (|has| |#1| (-1053)))) (-3934 (((-121) $) 46 (|has| |#1| (-561)))) (-3549 (($ $ (-571)) NIL (|has| |#1| (-561)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-561)))) (-4286 (((-1165 $) (-610 $)) 265 (|has| $ (-1053)))) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3799 (($ (-1 $ $) (-610 $)) 403)) (-1359 (((-3 (-610 $) "failed") $) NIL)) (-3509 (($ $) 124 (|has| |#1| (-561)))) (-4166 (($ $) 230 (|has| |#1| (-561)))) (-1622 (($ (-637 $)) NIL (|has| |#1| (-561))) (($ $ $) NIL (|has| |#1| (-561)))) (-3944 (((-1151) $) NIL)) (-4251 (((-637 (-610 $)) $) 48)) (-4485 (($ (-123) $) NIL) (($ (-123) (-637 $)) 408)) (-4014 (((-3 (-637 $) "failed") $) NIL (|has| |#1| (-1109)))) (-2304 (((-3 (-2 (|:| |val| $) (|:| -2154 (-571))) "failed") $) NIL (|has| |#1| (-1053)))) (-1910 (((-3 (-637 $) "failed") $) 411 (|has| |#1| (-25)))) (-3928 (((-3 (-2 (|:| -4501 (-571)) (|:| |var| (-610 $))) "failed") $) 415 (|has| |#1| (-25)))) (-3925 (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $) NIL (|has| |#1| (-1109))) (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-123)) NIL (|has| |#1| (-1053))) (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-1169)) NIL (|has| |#1| (-1053)))) (-3340 (((-121) $ (-123)) NIL) (((-121) $ (-1169)) 52)) (-4315 (($ $) NIL (-1831 (|has| |#1| (-481)) (|has| |#1| (-561))))) (-3690 (($ $ (-1169)) 238 (|has| |#1| (-561))) (($ $ (-1089 $)) 240 (|has| |#1| (-561)))) (-1454 (((-768) $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) 43)) (-4326 ((|#1| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 285 (|has| |#1| (-561)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-561))) (($ $ $) NIL (|has| |#1| (-561)))) (-1547 (($ $) 234 (|has| |#1| (-561)))) (-4119 (($ $) 236 (|has| |#1| (-561)))) (-4348 (((-121) $ $) NIL) (((-121) $ (-1169)) NIL)) (-3750 (($ $ (-1169)) 209 (|has| |#1| (-561))) (($ $) 207 (|has| |#1| (-561)))) (-2761 (($ $) 201 (|has| |#1| (-561)))) (-1821 (((-423 (-1165 $)) (-1165 $)) 290 (-12 (|has| |#1| (-456)) (|has| |#1| (-561))))) (-4262 (((-423 $) $) NIL (|has| |#1| (-561)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-561))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-561)))) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-561)))) (-4148 (($ $) 122 (|has| |#1| (-561)))) (-2385 (((-121) $) NIL (|has| $ (-1043 (-571))))) (-4483 (($ $ (-610 $) $) NIL) (($ $ (-637 (-610 $)) (-637 $)) 402) (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-1169) (-1 $ (-637 $))) NIL) (($ $ (-1169) (-1 $ $)) NIL) (($ $ (-637 (-123)) (-637 (-1 $ $))) 358) (($ $ (-637 (-123)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-123) (-1 $ (-637 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1169)) NIL (|has| |#1| (-612 (-544)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-612 (-544)))) (($ $) NIL (|has| |#1| (-612 (-544)))) (($ $ (-123) $ (-1169)) 346 (|has| |#1| (-612 (-544)))) (($ $ (-637 (-123)) (-637 $) (-1169)) 345 (|has| |#1| (-612 (-544)))) (($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ $))) NIL (|has| |#1| (-1053))) (($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ (-637 $)))) NIL (|has| |#1| (-1053))) (($ $ (-1169) (-768) (-1 $ (-637 $))) NIL (|has| |#1| (-1053))) (($ $ (-1169) (-768) (-1 $ $)) NIL (|has| |#1| (-1053)))) (-1826 (((-768) $) NIL (|has| |#1| (-561)))) (-4171 (($ $) 222 (|has| |#1| (-561)))) (-3245 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-637 $)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-561)))) (-4543 (($ $) NIL) (($ $ $) NIL)) (-4181 (($ $) 232 (|has| |#1| (-561)))) (-4492 (($ $) 183 (|has| |#1| (-561)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-1053))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-1053))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-1053))) (($ $ (-1169)) NIL (|has| |#1| (-1053)))) (-3777 (($ $) 67 (|has| |#1| (-561)))) (-4479 (((-1120 |#1| (-610 $)) $) 81 (|has| |#1| (-561)))) (-3413 (($ $) 303 (|has| $ (-1053)))) (-4273 (($ $) 160 (|has| |#1| (-561)))) (-4206 (($ $) 136 (|has| |#1| (-561)))) (-4260 (($ $) 156 (|has| |#1| (-561)))) (-4196 (($ $) 132 (|has| |#1| (-561)))) (-4249 (($ $) 152 (|has| |#1| (-561)))) (-4188 (($ $) 128 (|has| |#1| (-561)))) (-4050 (((-892 (-571)) $) NIL (|has| |#1| (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| |#1| (-612 (-892 (-384))))) (($ (-423 $)) NIL (|has| |#1| (-561))) (((-544) $) 343 (|has| |#1| (-612 (-544))))) (-2911 (($ $ $) NIL (|has| |#1| (-481)))) (-2212 (($ $ $) NIL (|has| |#1| (-481)))) (-3942 (((-855) $) 401) (($ (-610 $)) 392) (($ (-1169)) 360) (($ |#1|) 322) (($ $) NIL (|has| |#1| (-561))) (($ (-53)) 297 (-12 (|has| |#1| (-561)) (|has| |#1| (-1043 (-571))))) (($ (-1120 |#1| (-610 $))) 83 (|has| |#1| (-1053))) (($ (-412 |#1|)) NIL (|has| |#1| (-561))) (($ (-958 (-412 |#1|))) NIL (|has| |#1| (-561))) (($ (-412 (-958 (-412 |#1|)))) NIL (|has| |#1| (-561))) (($ (-412 (-958 |#1|))) NIL (|has| |#1| (-561))) (($ (-958 |#1|)) NIL (|has| |#1| (-1053))) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-561)) (|has| |#1| (-1043 (-412 (-571)))))) (($ (-571)) 34 (-1831 (|has| |#1| (-1043 (-571))) (|has| |#1| (-1053))))) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL (|has| |#1| (-1053)))) (-4449 (($ $) NIL) (($ (-637 $)) NIL)) (-1358 (($ $ $) 203 (|has| |#1| (-561)))) (-3315 (($ $ $) 189 (|has| |#1| (-561)))) (-2323 (($ $ $) 193 (|has| |#1| (-561)))) (-3061 (($ $ $) 187 (|has| |#1| (-561)))) (-4529 (($ $ $) 191 (|has| |#1| (-561)))) (-3090 (((-121) (-123)) 9)) (-4294 (($ $) 166 (|has| |#1| (-561)))) (-4220 (($ $) 142 (|has| |#1| (-561)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) 162 (|has| |#1| (-561)))) (-4211 (($ $) 138 (|has| |#1| (-561)))) (-4307 (($ $) 170 (|has| |#1| (-561)))) (-4232 (($ $) 146 (|has| |#1| (-561)))) (-2943 (($ (-1169) $) NIL) (($ (-1169) $ $) NIL) (($ (-1169) $ $ $) NIL) (($ (-1169) $ $ $ $) NIL) (($ (-1169) (-637 $)) NIL)) (-1393 (($ $) 197 (|has| |#1| (-561)))) (-3551 (($ $) 195 (|has| |#1| (-561)))) (-2656 (($ $) 172 (|has| |#1| (-561)))) (-4237 (($ $) 148 (|has| |#1| (-561)))) (-4301 (($ $) 168 (|has| |#1| (-561)))) (-4227 (($ $) 144 (|has| |#1| (-561)))) (-4287 (($ $) 164 (|has| |#1| (-561)))) (-4215 (($ $) 140 (|has| |#1| (-561)))) (-1902 (($ $) 175 (|has| |#1| (-561)))) (-4142 (($ $ (-571)) NIL (-1831 (|has| |#1| (-481)) (|has| |#1| (-561)))) (($ $ (-768)) NIL (-1831 (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) (|has| |#1| (-1109)))) (($ $ (-922)) NIL (-1831 (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) (|has| |#1| (-1109))))) (-2369 (($) 20 (-1831 (|has| |#1| (-25)) (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053)))) CONST)) (-2358 (($ $) 226 (|has| |#1| (-561)))) (-3222 (($) 22 (-1831 (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) (|has| |#1| (-1109))) CONST)) (-2085 (($ $) 177 (|has| |#1| (-561))) (($ $ $) 179 (|has| |#1| (-561)))) (-1619 (($ $) 224 (|has| |#1| (-561)))) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-1053))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-1053))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-1053))) (($ $ (-1169)) NIL (|has| |#1| (-1053)))) (-2109 (($ $) 228 (|has| |#1| (-561)))) (-1686 (($ $ $) 181 (|has| |#1| (-561)))) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 76)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 75)) (-1379 (($ (-1120 |#1| (-610 $)) (-1120 |#1| (-610 $))) 93 (|has| |#1| (-561))) (($ $ $) 42 (-1831 (|has| |#1| (-481)) (|has| |#1| (-561))))) (-1373 (($ $ $) 40 (-1831 (|has| |#1| (-21)) (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))))) (($ $) 29 (-1831 (|has| |#1| (-21)) (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053)))))) (-1367 (($ $ $) 38 (-1831 (|has| |#1| (-25)) (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053)))))) (** (($ $ $) 61 (|has| |#1| (-561))) (($ $ (-412 (-571))) 300 (|has| |#1| (-561))) (($ $ (-571)) 71 (-1831 (|has| |#1| (-481)) (|has| |#1| (-561)))) (($ $ (-768)) 68 (-1831 (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) (|has| |#1| (-1109)))) (($ $ (-922)) 73 (-1831 (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) (|has| |#1| (-1109))))) (* (($ (-412 (-571)) $) NIL (|has| |#1| (-561))) (($ $ (-412 (-571))) NIL (|has| |#1| (-561))) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))) (($ $ $) 36 (-1831 (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) (|has| |#1| (-1109)))) (($ (-571) $) 32 (-1831 (|has| |#1| (-21)) (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))))) (($ (-768) $) NIL (-1831 (|has| |#1| (-25)) (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))))) (($ (-922) $) NIL (-1831 (|has| |#1| (-25)) (-12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))))))) 
+(((-311 |#1|) (-13 (-435 |#1|) (-10 -8 (IF (|has| |#1| (-561)) (PROGN (-6 (-29 |#1|)) (-6 (-1189)) (-6 (-162)) (-6 (-623)) (-6 (-1131)) (-15 -3074 ($ $)) (-15 -3934 ((-121) $)) (-15 -1495 ($ $ (-571))) (IF (|has| |#1| (-456)) (PROGN (-15 -1821 ((-423 (-1165 $)) (-1165 $))) (-15 -1434 ((-423 (-1165 $)) (-1165 $)))) |noBranch|) (IF (|has| |#1| (-1043 (-571))) (-6 (-1043 (-53))) |noBranch|)) |noBranch|))) (-847)) (T -311)) 
+((-3074 (*1 *1 *1) (-12 (-5 *1 (-311 *2)) (-4 *2 (-561)) (-4 *2 (-847)))) (-3934 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-311 *3)) (-4 *3 (-561)) (-4 *3 (-847)))) (-1495 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-311 *3)) (-4 *3 (-561)) (-4 *3 (-847)))) (-1821 (*1 *2 *3) (-12 (-5 *2 (-423 (-1165 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1165 *1)) (-4 *4 (-456)) (-4 *4 (-561)) (-4 *4 (-847)))) (-1434 (*1 *2 *3) (-12 (-5 *2 (-423 (-1165 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1165 *1)) (-4 *4 (-456)) (-4 *4 (-561)) (-4 *4 (-847))))) 
+(-13 (-435 |#1|) (-10 -8 (IF (|has| |#1| (-561)) (PROGN (-6 (-29 |#1|)) (-6 (-1189)) (-6 (-162)) (-6 (-623)) (-6 (-1131)) (-15 -3074 ($ $)) (-15 -3934 ((-121) $)) (-15 -1495 ($ $ (-571))) (IF (|has| |#1| (-456)) (PROGN (-15 -1821 ((-423 (-1165 $)) (-1165 $))) (-15 -1434 ((-423 (-1165 $)) (-1165 $)))) |noBranch|) (IF (|has| |#1| (-1043 (-571))) (-6 (-1043 (-53))) |noBranch|)) |noBranch|))) 
+((-4455 (((-57) |#2| (-123) (-289 |#2|) (-637 |#2|)) 86) (((-57) |#2| (-123) (-289 |#2|) (-289 |#2|)) 82) (((-57) |#2| (-123) (-289 |#2|) |#2|) 84) (((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|) 85) (((-57) (-637 |#2|) (-637 (-123)) (-289 |#2|) (-637 (-289 |#2|))) 78) (((-57) (-637 |#2|) (-637 (-123)) (-289 |#2|) (-637 |#2|)) 80) (((-57) (-637 (-289 |#2|)) (-637 (-123)) (-289 |#2|) (-637 |#2|)) 81) (((-57) (-637 (-289 |#2|)) (-637 (-123)) (-289 |#2|) (-637 (-289 |#2|))) 79) (((-57) (-289 |#2|) (-123) (-289 |#2|) (-637 |#2|)) 87) (((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|)) 83))) 
+(((-312 |#1| |#2|) (-10 -7 (-15 -4455 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|))) (-15 -4455 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-637 |#2|))) (-15 -4455 ((-57) (-637 (-289 |#2|)) (-637 (-123)) (-289 |#2|) (-637 (-289 |#2|)))) (-15 -4455 ((-57) (-637 (-289 |#2|)) (-637 (-123)) (-289 |#2|) (-637 |#2|))) (-15 -4455 ((-57) (-637 |#2|) (-637 (-123)) (-289 |#2|) (-637 |#2|))) (-15 -4455 ((-57) (-637 |#2|) (-637 (-123)) (-289 |#2|) (-637 (-289 |#2|)))) (-15 -4455 ((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|)) (-15 -4455 ((-57) |#2| (-123) (-289 |#2|) |#2|)) (-15 -4455 ((-57) |#2| (-123) (-289 |#2|) (-289 |#2|))) (-15 -4455 ((-57) |#2| (-123) (-289 |#2|) (-637 |#2|)))) (-13 (-847) (-561) (-612 (-544))) (-435 |#1|)) (T -312)) 
+((-4455 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-5 *6 (-637 *3)) (-4 *3 (-435 *7)) (-4 *7 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *3)))) (-4455 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) (-4455 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) (-4455 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *5)) (-5 *4 (-123)) (-4 *5 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *5)))) (-4455 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 (-123))) (-5 *6 (-637 (-289 *8))) (-4 *8 (-435 *7)) (-5 *5 (-289 *8)) (-4 *7 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) (-4455 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-637 *7)) (-5 *4 (-637 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-4455 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-637 (-289 *8))) (-5 *4 (-637 (-123))) (-5 *5 (-289 *8)) (-5 *6 (-637 *8)) (-4 *8 (-435 *7)) (-4 *7 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) (-4455 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-637 (-289 *7))) (-5 *4 (-637 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-4455 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-637 *7)) (-4 *7 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-4455 (*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-289 *6)) (-5 *4 (-123)) (-4 *6 (-435 *5)) (-4 *5 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *5 *6))))) 
+(-10 -7 (-15 -4455 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|))) (-15 -4455 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-637 |#2|))) (-15 -4455 ((-57) (-637 (-289 |#2|)) (-637 (-123)) (-289 |#2|) (-637 (-289 |#2|)))) (-15 -4455 ((-57) (-637 (-289 |#2|)) (-637 (-123)) (-289 |#2|) (-637 |#2|))) (-15 -4455 ((-57) (-637 |#2|) (-637 (-123)) (-289 |#2|) (-637 |#2|))) (-15 -4455 ((-57) (-637 |#2|) (-637 (-123)) (-289 |#2|) (-637 (-289 |#2|)))) (-15 -4455 ((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|)) (-15 -4455 ((-57) |#2| (-123) (-289 |#2|) |#2|)) (-15 -4455 ((-57) |#2| (-123) (-289 |#2|) (-289 |#2|))) (-15 -4455 ((-57) |#2| (-123) (-289 |#2|) (-637 |#2|)))) 
+((-4455 ((|#3| |#2| (-123) (-1169) (-637 |#2|)) 53)) (-2302 ((|#2| |#2| (-123) (-1169)) 30))) 
+(((-313 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4455 (|#3| |#2| (-123) (-1169) (-637 |#2|))) (-15 -2302 (|#2| |#2| (-123) (-1169)))) (-13 (-847) (-561) (-612 (-544))) (-435 |#1|) (-1248 |#2|) (-1248 (-1163 |#2|))) (T -313)) 
+((-2302 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1169)) (-4 *5 (-13 (-847) (-561) (-612 (-544)))) (-4 *2 (-435 *5)) (-5 *1 (-313 *5 *2 *6 *7)) (-4 *6 (-1248 *2)) (-4 *7 (-1248 (-1163 *2))))) (-4455 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1169)) (-5 *6 (-637 *3)) (-4 *3 (-435 *7)) (-4 *7 (-13 (-847) (-561) (-612 (-544)))) (-4 *2 (-1248 *3)) (-5 *1 (-313 *7 *3 *2 *8)) (-4 *8 (-1248 (-1163 *3)))))) 
+(-10 -7 (-15 -4455 (|#3| |#2| (-123) (-1169) (-637 |#2|))) (-15 -2302 (|#2| |#2| (-123) (-1169)))) 
+((-4082 (((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-216) (-571) (-1151)) 45) (((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-216) (-571)) 46) (((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-1 (-216) (-216)) (-571) (-1151)) 42) (((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-1 (-216) (-216)) (-571)) 43)) (-3081 (((-1 (-216) (-216)) (-216)) 44))) 
+(((-314) (-10 -7 (-15 -3081 ((-1 (-216) (-216)) (-216))) (-15 -4082 ((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-1 (-216) (-216)) (-571))) (-15 -4082 ((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-1 (-216) (-216)) (-571) (-1151))) (-15 -4082 ((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-216) (-571))) (-15 -4082 ((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-216) (-571) (-1151))))) (T -314)) 
+((-4082 (*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-311 (-571))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1091 (-216))) (-5 *6 (-216)) (-5 *7 (-571)) (-5 *8 (-1151)) (-5 *2 (-1199 (-931))) (-5 *1 (-314)))) (-4082 (*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-311 (-571))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1091 (-216))) (-5 *6 (-216)) (-5 *7 (-571)) (-5 *2 (-1199 (-931))) (-5 *1 (-314)))) (-4082 (*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-311 (-571))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1091 (-216))) (-5 *6 (-571)) (-5 *7 (-1151)) (-5 *2 (-1199 (-931))) (-5 *1 (-314)))) (-4082 (*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-311 (-571))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1091 (-216))) (-5 *6 (-571)) (-5 *2 (-1199 (-931))) (-5 *1 (-314)))) (-3081 (*1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-314)) (-5 *3 (-216))))) 
+(-10 -7 (-15 -3081 ((-1 (-216) (-216)) (-216))) (-15 -4082 ((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-1 (-216) (-216)) (-571))) (-15 -4082 ((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-1 (-216) (-216)) (-571) (-1151))) (-15 -4082 ((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-216) (-571))) (-15 -4082 ((-1199 (-931)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-216) (-571) (-1151)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 24)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-1934 (($ $ (-412 (-571))) NIL) (($ $ (-412 (-571)) (-412 (-571))) NIL)) (-3236 (((-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|))) $) 19)) (-4255 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL (|has| |#1| (-367)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-367)))) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4243 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-768) (-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|)))) NIL)) (-4266 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) 30)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-1596 (((-121) $) NIL (|has| |#1| (-367)))) (-4124 (((-121) $) NIL)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-412 (-571)) $) NIL) (((-412 (-571)) $ (-412 (-571))) 15)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1817 (($ $ (-922)) NIL) (($ $ (-412 (-571))) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-412 (-571))) NIL) (($ $ (-1081) (-412 (-571))) NIL) (($ $ (-637 (-1081)) (-637 (-412 (-571)))) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3509 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| |#1| (-367)))) (-3403 (($ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189)))))) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-3140 (($ $ (-412 (-571))) NIL)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-2189 (((-412 (-571)) $) 16)) (-1376 (($ (-1242 |#1| |#2| |#3|)) 11)) (-2154 (((-1242 |#1| |#2| |#3|) $) 12)) (-4148 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))))) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ (-412 (-571))) NIL) (($ $ $) NIL (|has| (-412 (-571)) (-1109)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-2400 (((-412 (-571)) $) NIL)) (-4273 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) 10)) (-3942 (((-855) $) 36) (($ (-571)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561)))) (-3136 ((|#1| $ (-412 (-571))) 28)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) NIL)) (-4294 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-412 (-571))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 26)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 31)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-315 |#1| |#2| |#3|) (-13 (-1238 |#1|) (-792) (-10 -8 (-15 -1376 ($ (-1242 |#1| |#2| |#3|))) (-15 -2154 ((-1242 |#1| |#2| |#3|) $)) (-15 -2189 ((-412 (-571)) $)))) (-13 (-367) (-847)) (-1169) |#1|) (T -315)) 
+((-1376 (*1 *1 *2) (-12 (-5 *2 (-1242 *3 *4 *5)) (-4 *3 (-13 (-367) (-847))) (-14 *4 (-1169)) (-14 *5 *3) (-5 *1 (-315 *3 *4 *5)))) (-2154 (*1 *2 *1) (-12 (-5 *2 (-1242 *3 *4 *5)) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-367) (-847))) (-14 *4 (-1169)) (-14 *5 *3))) (-2189 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-367) (-847))) (-14 *4 (-1169)) (-14 *5 *3)))) 
+(-13 (-1238 |#1|) (-792) (-10 -8 (-15 -1376 ($ (-1242 |#1| |#2| |#3|))) (-15 -2154 ((-1242 |#1| |#2| |#3|) $)) (-15 -2189 ((-412 (-571)) $)))) 
+((-3684 (((-423 (-1165 |#1|)) (-1165 |#1|) |#1|) 15)) (-4262 (((-423 (-1165 |#1|)) (-1165 |#1|) |#1|) 24))) 
+(((-316 |#1|) (-10 -7 (-15 -4262 ((-423 (-1165 |#1|)) (-1165 |#1|) |#1|)) (-15 -3684 ((-423 (-1165 |#1|)) (-1165 |#1|) |#1|))) (-859)) (T -316)) 
+((-3684 (*1 *2 *3 *4) (-12 (-4 *4 (-859)) (-5 *2 (-423 (-1165 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1165 *4)))) (-4262 (*1 *2 *3 *4) (-12 (-4 *4 (-859)) (-5 *2 (-423 (-1165 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1165 *4))))) 
+(-10 -7 (-15 -4262 ((-423 (-1165 |#1|)) (-1165 |#1|) |#1|)) (-15 -3684 ((-423 (-1165 |#1|)) (-1165 |#1|) |#1|))) 
+((-3549 (((-2 (|:| -2154 (-768)) (|:| -4501 |#1|) (|:| |radicand| (-637 |#1|))) (-423 |#1|) (-768)) 24)) (-3509 (((-637 (-2 (|:| -4501 (-768)) (|:| |logand| |#1|))) (-423 |#1|)) 28))) 
+(((-317 |#1|) (-10 -7 (-15 -3549 ((-2 (|:| -2154 (-768)) (|:| -4501 |#1|) (|:| |radicand| (-637 |#1|))) (-423 |#1|) (-768))) (-15 -3509 ((-637 (-2 (|:| -4501 (-768)) (|:| |logand| |#1|))) (-423 |#1|)))) (-561)) (T -317)) 
+((-3509 (*1 *2 *3) (-12 (-5 *3 (-423 *4)) (-4 *4 (-561)) (-5 *2 (-637 (-2 (|:| -4501 (-768)) (|:| |logand| *4)))) (-5 *1 (-317 *4)))) (-3549 (*1 *2 *3 *4) (-12 (-5 *3 (-423 *5)) (-4 *5 (-561)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *5) (|:| |radicand| (-637 *5)))) (-5 *1 (-317 *5)) (-5 *4 (-768))))) 
+(-10 -7 (-15 -3549 ((-2 (|:| -2154 (-768)) (|:| -4501 |#1|) (|:| |radicand| (-637 |#1|))) (-423 |#1|) (-768))) (-15 -3509 ((-637 (-2 (|:| -4501 (-768)) (|:| |logand| |#1|))) (-423 |#1|)))) 
+((-3684 (((-423 (-1165 |#1|)) (-1165 |#1|) |#1|) 15)) (-4262 (((-423 (-1165 |#1|)) (-1165 |#1|) |#1|) 24))) 
+(((-318 |#1|) (-10 -7 (-15 -4262 ((-423 (-1165 |#1|)) (-1165 |#1|) |#1|)) (-15 -3684 ((-423 (-1165 |#1|)) (-1165 |#1|) |#1|))) (-864)) (T -318)) 
+((-3684 (*1 *2 *3 *4) (-12 (-4 *4 (-864)) (-5 *2 (-423 (-1165 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1165 *4)))) (-4262 (*1 *2 *3 *4) (-12 (-4 *4 (-864)) (-5 *2 (-423 (-1165 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1165 *4))))) 
+(-10 -7 (-15 -4262 ((-423 (-1165 |#1|)) (-1165 |#1|) |#1|)) (-15 -3684 ((-423 (-1165 |#1|)) (-1165 |#1|) |#1|))) 
+((-3424 (((-637 |#2|) (-1165 |#4|)) 43)) (-2440 ((|#3| (-571)) 46)) (-3921 (((-1165 |#4|) (-1165 |#3|)) 30)) (-3837 (((-1165 |#4|) (-1165 |#4|) (-571)) 55)) (-2058 (((-1165 |#3|) (-1165 |#4|)) 21)) (-2400 (((-637 (-768)) (-1165 |#4|) (-637 |#2|)) 40)) (-2296 (((-1165 |#3|) (-1165 |#4|) (-637 |#2|) (-637 |#3|)) 35))) 
+(((-319 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2296 ((-1165 |#3|) (-1165 |#4|) (-637 |#2|) (-637 |#3|))) (-15 -2400 ((-637 (-768)) (-1165 |#4|) (-637 |#2|))) (-15 -3424 ((-637 |#2|) (-1165 |#4|))) (-15 -2058 ((-1165 |#3|) (-1165 |#4|))) (-15 -3921 ((-1165 |#4|) (-1165 |#3|))) (-15 -3837 ((-1165 |#4|) (-1165 |#4|) (-571))) (-15 -2440 (|#3| (-571)))) (-793) (-847) (-1053) (-955 |#3| |#1| |#2|)) (T -319)) 
+((-2440 (*1 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1053)) (-5 *1 (-319 *4 *5 *2 *6)) (-4 *6 (-955 *2 *4 *5)))) (-3837 (*1 *2 *2 *3) (-12 (-5 *2 (-1165 *7)) (-5 *3 (-571)) (-4 *7 (-955 *6 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-5 *1 (-319 *4 *5 *6 *7)))) (-3921 (*1 *2 *3) (-12 (-5 *3 (-1165 *6)) (-4 *6 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-1165 *7)) (-5 *1 (-319 *4 *5 *6 *7)) (-4 *7 (-955 *6 *4 *5)))) (-2058 (*1 *2 *3) (-12 (-5 *3 (-1165 *7)) (-4 *7 (-955 *6 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-5 *2 (-1165 *6)) (-5 *1 (-319 *4 *5 *6 *7)))) (-3424 (*1 *2 *3) (-12 (-5 *3 (-1165 *7)) (-4 *7 (-955 *6 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-5 *2 (-637 *5)) (-5 *1 (-319 *4 *5 *6 *7)))) (-2400 (*1 *2 *3 *4) (-12 (-5 *3 (-1165 *8)) (-5 *4 (-637 *6)) (-4 *6 (-847)) (-4 *8 (-955 *7 *5 *6)) (-4 *5 (-793)) (-4 *7 (-1053)) (-5 *2 (-637 (-768))) (-5 *1 (-319 *5 *6 *7 *8)))) (-2296 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1165 *9)) (-5 *4 (-637 *7)) (-5 *5 (-637 *8)) (-4 *7 (-847)) (-4 *8 (-1053)) (-4 *9 (-955 *8 *6 *7)) (-4 *6 (-793)) (-5 *2 (-1165 *8)) (-5 *1 (-319 *6 *7 *8 *9))))) 
+(-10 -7 (-15 -2296 ((-1165 |#3|) (-1165 |#4|) (-637 |#2|) (-637 |#3|))) (-15 -2400 ((-637 (-768)) (-1165 |#4|) (-637 |#2|))) (-15 -3424 ((-637 |#2|) (-1165 |#4|))) (-15 -2058 ((-1165 |#3|) (-1165 |#4|))) (-15 -3921 ((-1165 |#4|) (-1165 |#3|))) (-15 -3837 ((-1165 |#4|) (-1165 |#4|) (-571))) (-15 -2440 (|#3| (-571)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 14)) (-3236 (((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-571)))) $) 18)) (-4176 (((-3 $ "failed") $ $) NIL)) (-4407 (((-768) $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-2408 ((|#1| $ (-571)) NIL)) (-2478 (((-571) $ (-571)) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1750 (($ (-1 |#1| |#1|) $) NIL)) (-3911 (($ (-1 (-571) (-571)) $) 10)) (-3944 (((-1151) $) NIL)) (-1766 (($ $ $) NIL (|has| (-571) (-792)))) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL) (($ |#1|) NIL)) (-3136 (((-571) |#1| $) NIL)) (-2369 (($) 15 T CONST)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) 21 (|has| |#1| (-847)))) (-1373 (($ $) 11) (($ $ $) 20)) (-1367 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ (-571)) NIL) (($ (-571) |#1|) 19))) 
+(((-320 |#1|) (-13 (-21) (-712 (-571)) (-321 |#1| (-571)) (-10 -7 (IF (|has| |#1| (-847)) (-6 (-847)) |noBranch|))) (-1097)) (T -320)) 
+NIL 
+(-13 (-21) (-712 (-571)) (-321 |#1| (-571)) (-10 -7 (IF (|has| |#1| (-847)) (-6 (-847)) |noBranch|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3236 (((-637 (-2 (|:| |gen| |#1|) (|:| -4148 |#2|))) $) 26)) (-4176 (((-3 $ "failed") $ $) 18)) (-4407 (((-768) $) 27)) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#1| "failed") $) 31)) (-1316 ((|#1| $) 30)) (-2408 ((|#1| $ (-571)) 24)) (-2478 ((|#2| $ (-571)) 25)) (-1750 (($ (-1 |#1| |#1|) $) 21)) (-3911 (($ (-1 |#2| |#2|) $) 22)) (-3944 (((-1151) $) 9)) (-1766 (($ $ $) 20 (|has| |#2| (-792)))) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ |#1|) 32)) (-3136 ((|#2| |#1| $) 23)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1367 (($ $ $) 13) (($ |#1| $) 29)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ |#2| |#1|) 28))) 
+(((-321 |#1| |#2|) (-1289) (-1097) (-138)) (T -321)) 
+((-1367 (*1 *1 *2 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-138)))) (* (*1 *1 *2 *3) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-138)))) (-4407 (*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-138)) (-5 *2 (-768)))) (-3236 (*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-138)) (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 *4)))))) (-2478 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-321 *4 *2)) (-4 *4 (-1097)) (-4 *2 (-138)))) (-2408 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-321 *2 *4)) (-4 *4 (-138)) (-4 *2 (-1097)))) (-3136 (*1 *2 *3 *1) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-138)))) (-3911 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-138)))) (-1750 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-138)))) (-1766 (*1 *1 *1 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-138)) (-4 *3 (-792))))) 
+(-13 (-138) (-1043 |t#1|) (-10 -8 (-15 -1367 ($ |t#1| $)) (-15 * ($ |t#2| |t#1|)) (-15 -4407 ((-768) $)) (-15 -3236 ((-637 (-2 (|:| |gen| |t#1|) (|:| -4148 |t#2|))) $)) (-15 -2478 (|t#2| $ (-571))) (-15 -2408 (|t#1| $ (-571))) (-15 -3136 (|t#2| |t#1| $)) (-15 -3911 ($ (-1 |t#2| |t#2|) $)) (-15 -1750 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#2| (-792)) (-15 -1766 ($ $ $)) |noBranch|))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-1043 |#1|) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3236 (((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-768)))) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-4407 (((-768) $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-2408 ((|#1| $ (-571)) NIL)) (-2478 (((-768) $ (-571)) NIL)) (-1750 (($ (-1 |#1| |#1|) $) NIL)) (-3911 (($ (-1 (-768) (-768)) $) NIL)) (-3944 (((-1151) $) NIL)) (-1766 (($ $ $) NIL (|has| (-768) (-792)))) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL) (($ |#1|) NIL)) (-3136 (((-768) |#1| $) NIL)) (-2369 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1367 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-768) |#1|) NIL))) 
+(((-322 |#1|) (-321 |#1| (-768)) (-1097)) (T -322)) 
+NIL 
+(-321 |#1| (-768)) 
+((-3799 ((|#5| (-1 |#4| |#2|) |#3|) 19))) 
+(((-323 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3799 (|#5| (-1 |#4| |#2|) |#3|))) (-792) (-1053) (-325 |#2| |#1|) (-1053) (-325 |#4| |#1|)) (T -323)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1053)) (-4 *7 (-1053)) (-4 *5 (-792)) (-4 *2 (-325 *7 *5)) (-5 *1 (-323 *5 *6 *4 *7 *2)) (-4 *4 (-325 *6 *5))))) 
+(-10 -7 (-15 -3799 (|#5| (-1 |#4| |#2|) |#3|))) 
+((-3630 (($ $) 52)) (-1420 (($ $ |#2| |#3| $) 14)) (-2587 (($ (-1 |#3| |#3|) $) 35)) (-4321 (((-121) $) 27)) (-4326 ((|#2| $) 29)) (-1786 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ |#2|) 45)) (-4189 ((|#2| $) 48)) (-1314 (((-637 |#2|) $) 38)) (-3855 (($ $ $ (-768)) 23)) (-1379 (($ $ |#2|) 42))) 
+(((-324 |#1| |#2| |#3|) (-10 -8 (-15 -3630 (|#1| |#1|)) (-15 -4189 (|#2| |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3855 (|#1| |#1| |#1| (-768))) (-15 -1420 (|#1| |#1| |#2| |#3| |#1|)) (-15 -2587 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1314 ((-637 |#2|) |#1|)) (-15 -4326 (|#2| |#1|)) (-15 -4321 ((-121) |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1379 (|#1| |#1| |#2|))) (-325 |#2| |#3|) (-1053) (-792)) (T -324)) 
+NIL 
+(-10 -8 (-15 -3630 (|#1| |#1|)) (-15 -4189 (|#2| |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3855 (|#1| |#1| |#1| (-768))) (-15 -1420 (|#1| |#1| |#2| |#3| |#1|)) (-15 -2587 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1314 ((-637 |#2|) |#1|)) (-15 -4326 (|#2| |#1|)) (-15 -4321 ((-121) |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1379 (|#1| |#1| |#2|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 50 (|has| |#1| (-561)))) (-1415 (($ $) 51 (|has| |#1| (-561)))) (-2545 (((-121) $) 53 (|has| |#1| (-561)))) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 86 (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) 84 (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 83)) (-1316 (((-571) $) 87 (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) 85 (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) 82)) (-4349 (($ $) 59)) (-3978 (((-3 $ "failed") $) 33)) (-3630 (($ $) 71 (|has| |#1| (-456)))) (-1420 (($ $ |#1| |#2| $) 75)) (-2583 (((-121) $) 30)) (-2108 (((-768) $) 78)) (-3517 (((-121) $) 61)) (-4289 (($ |#1| |#2|) 60)) (-3973 ((|#2| $) 77)) (-2587 (($ (-1 |#2| |#2|) $) 76)) (-3799 (($ (-1 |#1| |#1|) $) 62)) (-4332 (($ $) 64)) (-4337 ((|#1| $) 65)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-4321 (((-121) $) 81)) (-4326 ((|#1| $) 80)) (-1786 (((-3 $ "failed") $ $) 49 (|has| |#1| (-561))) (((-3 $ "failed") $ |#1|) 73 (|has| |#1| (-561)))) (-2400 ((|#2| $) 63)) (-4189 ((|#1| $) 72 (|has| |#1| (-456)))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 48 (|has| |#1| (-561))) (($ |#1|) 46) (($ (-412 (-571))) 56 (-1831 (|has| |#1| (-1043 (-412 (-571)))) (|has| |#1| (-43 (-412 (-571))))))) (-1314 (((-637 |#1|) $) 79)) (-3136 ((|#1| $ |#2|) 58)) (-2346 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-3855 (($ $ $ (-768)) 74 (|has| |#1| (-173)))) (-1388 (((-121) $ $) 52 (|has| |#1| (-561)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 57 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-412 (-571)) $) 55 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 54 (|has| |#1| (-43 (-412 (-571))))))) 
+(((-325 |#1| |#2|) (-1289) (-1053) (-792)) (T -325)) 
+((-4321 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-121)))) (-4326 (*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)))) (-1314 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-637 *3)))) (-2108 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-768)))) (-3973 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) (-2587 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)))) (-1420 (*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)))) (-3855 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-4 *3 (-173)))) (-1786 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)) (-4 *2 (-561)))) (-4189 (*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)) (-4 *2 (-456)))) (-3630 (*1 *1 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)) (-4 *2 (-456))))) 
+(-13 (-52 |t#1| |t#2|) (-416 |t#1|) (-10 -8 (-15 -4321 ((-121) $)) (-15 -4326 (|t#1| $)) (-15 -1314 ((-637 |t#1|) $)) (-15 -2108 ((-768) $)) (-15 -3973 (|t#2| $)) (-15 -2587 ($ (-1 |t#2| |t#2|) $)) (-15 -1420 ($ $ |t#1| |t#2| $)) (IF (|has| |t#1| (-173)) (-15 -3855 ($ $ $ (-768))) |noBranch|) (IF (|has| |t#1| (-561)) (-15 -1786 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-456)) (PROGN (-15 -4189 (|t#1| $)) (-15 -3630 ($ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-561)) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-286) |has| |#1| (-561)) ((-416 |#1|) . T) ((-561) |has| |#1| (-561)) ((-640 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) |has| |#1| (-561)) ((-721) . T) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T) ((-1059 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-2455 (((-121) (-121)) NIL)) (-3251 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601)))) (-3129 (($ (-1 (-121) |#1|) $) NIL)) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-2980 (($ $) NIL (|has| |#1| (-1097)))) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1599 (($ |#1| $) NIL (|has| |#1| (-1097))) (($ (-1 (-121) |#1|) $) NIL)) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) NIL)) (-3984 (((-571) (-1 (-121) |#1|) $) NIL) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097)))) (-1349 (($ $ (-571)) NIL)) (-2009 (((-768) $) NIL)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-1364 (($ (-768) |#1|) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2984 (($ $ $) NIL (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2863 (($ $ $ (-571)) NIL) (($ |#1| $ (-571)) NIL)) (-2594 (($ |#1| $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-4541 (($ (-637 |#1|)) NIL)) (-1827 ((|#1| $) NIL (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-571) |#1|) NIL) ((|#1| $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-3165 (($ $ (-1224 (-571))) NIL) (($ $ (-571)) NIL)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) NIL)) (-3294 (($ $ $) NIL) (($ $ |#1|) NIL)) (-4498 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-326 |#1|) (-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -4541 ($ (-637 |#1|))) (-15 -2009 ((-768) $)) (-15 -1349 ($ $ (-571))) (-15 -2455 ((-121) (-121))))) (-1203)) (T -326)) 
+((-4541 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-326 *3)))) (-2009 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-326 *3)) (-4 *3 (-1203)))) (-1349 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-326 *3)) (-4 *3 (-1203)))) (-2455 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-326 *3)) (-4 *3 (-1203))))) 
+(-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -4541 ($ (-637 |#1|))) (-15 -2009 ((-768) $)) (-15 -1349 ($ $ (-571))) (-15 -2455 ((-121) (-121))))) 
+((-3833 (((-121) $) 37)) (-1989 (((-768)) 22)) (-3490 ((|#2| $) 41) (($ $ (-922)) 99)) (-4407 (((-768)) 93)) (-3456 (($ (-1258 |#2|)) 20)) (-4230 (((-121) $) 111)) (-3477 ((|#2| $) 43) (($ $ (-922)) 97)) (-4400 (((-1165 |#2|) $) NIL) (((-1165 $) $ (-922)) 88)) (-3641 (((-1165 |#2|) $) 78)) (-4089 (((-1165 |#2|) $) 75) (((-3 (-1165 |#2|) "failed") $ $) 72)) (-2690 (($ $ (-1165 |#2|)) 48)) (-1556 (((-833 (-922))) 91) (((-922)) 38)) (-3847 (((-140)) 25)) (-2400 (((-833 (-922)) $) NIL) (((-922) $) 112)) (-4469 (($) 105)) (-3723 (((-1258 |#2|) $) NIL) (((-684 |#2|) (-1258 $)) 34)) (-2346 (($ $) NIL) (((-3 $ "failed") $) 81)) (-3049 (((-121) $) 36))) 
+(((-327 |#1| |#2|) (-10 -8 (-15 -2346 ((-3 |#1| "failed") |#1|)) (-15 -4407 ((-768))) (-15 -2346 (|#1| |#1|)) (-15 -4089 ((-3 (-1165 |#2|) "failed") |#1| |#1|)) (-15 -4089 ((-1165 |#2|) |#1|)) (-15 -3641 ((-1165 |#2|) |#1|)) (-15 -2690 (|#1| |#1| (-1165 |#2|))) (-15 -4230 ((-121) |#1|)) (-15 -4469 (|#1|)) (-15 -3490 (|#1| |#1| (-922))) (-15 -3477 (|#1| |#1| (-922))) (-15 -4400 ((-1165 |#1|) |#1| (-922))) (-15 -3490 (|#2| |#1|)) (-15 -3477 (|#2| |#1|)) (-15 -2400 ((-922) |#1|)) (-15 -1556 ((-922))) (-15 -4400 ((-1165 |#2|) |#1|)) (-15 -3456 (|#1| (-1258 |#2|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1|)) (-15 -1989 ((-768))) (-15 -1556 ((-833 (-922)))) (-15 -2400 ((-833 (-922)) |#1|)) (-15 -3833 ((-121) |#1|)) (-15 -3049 ((-121) |#1|)) (-15 -3847 ((-140)))) (-328 |#2|) (-367)) (T -327)) 
+((-3847 (*1 *2) (-12 (-4 *4 (-367)) (-5 *2 (-140)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-1556 (*1 *2) (-12 (-4 *4 (-367)) (-5 *2 (-833 (-922))) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-1989 (*1 *2) (-12 (-4 *4 (-367)) (-5 *2 (-768)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-1556 (*1 *2) (-12 (-4 *4 (-367)) (-5 *2 (-922)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-4407 (*1 *2) (-12 (-4 *4 (-367)) (-5 *2 (-768)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4))))) 
+(-10 -8 (-15 -2346 ((-3 |#1| "failed") |#1|)) (-15 -4407 ((-768))) (-15 -2346 (|#1| |#1|)) (-15 -4089 ((-3 (-1165 |#2|) "failed") |#1| |#1|)) (-15 -4089 ((-1165 |#2|) |#1|)) (-15 -3641 ((-1165 |#2|) |#1|)) (-15 -2690 (|#1| |#1| (-1165 |#2|))) (-15 -4230 ((-121) |#1|)) (-15 -4469 (|#1|)) (-15 -3490 (|#1| |#1| (-922))) (-15 -3477 (|#1| |#1| (-922))) (-15 -4400 ((-1165 |#1|) |#1| (-922))) (-15 -3490 (|#2| |#1|)) (-15 -3477 (|#2| |#1|)) (-15 -2400 ((-922) |#1|)) (-15 -1556 ((-922))) (-15 -4400 ((-1165 |#2|) |#1|)) (-15 -3456 (|#1| (-1258 |#2|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1|)) (-15 -1989 ((-768))) (-15 -1556 ((-833 (-922)))) (-15 -2400 ((-833 (-922)) |#1|)) (-15 -3833 ((-121) |#1|)) (-15 -3049 ((-121) |#1|)) (-15 -3847 ((-140)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-3833 (((-121) $) 90)) (-1989 (((-768)) 86)) (-3490 ((|#1| $) 134) (($ $ (-922)) 131 (|has| |#1| (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) 116 (|has| |#1| (-373)))) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1295 (((-121) $ $) 57)) (-4407 (((-768)) 106 (|has| |#1| (-373)))) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#1| "failed") $) 97)) (-1316 ((|#1| $) 96)) (-3456 (($ (-1258 |#1|)) 140)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 122 (|has| |#1| (-373)))) (-2162 (($ $ $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-3254 (($) 103 (|has| |#1| (-373)))) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1962 (($) 118 (|has| |#1| (-373)))) (-2854 (((-121) $) 119 (|has| |#1| (-373)))) (-2442 (($ $ (-768)) 83 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373)))) (($ $) 82 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-1596 (((-121) $) 69)) (-3347 (((-922) $) 121 (|has| |#1| (-373))) (((-833 (-922)) $) 80 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2583 (((-121) $) 30)) (-2035 (($) 129 (|has| |#1| (-373)))) (-4230 (((-121) $) 128 (|has| |#1| (-373)))) (-3477 ((|#1| $) 135) (($ $ (-922)) 132 (|has| |#1| (-373)))) (-2596 (((-3 $ "failed") $) 107 (|has| |#1| (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-4400 (((-1165 |#1|) $) 139) (((-1165 $) $ (-922)) 133 (|has| |#1| (-373)))) (-4470 (((-922) $) 104 (|has| |#1| (-373)))) (-3641 (((-1165 |#1|) $) 125 (|has| |#1| (-373)))) (-4089 (((-1165 |#1|) $) 124 (|has| |#1| (-373))) (((-3 (-1165 |#1|) "failed") $ $) 123 (|has| |#1| (-373)))) (-2690 (($ $ (-1165 |#1|)) 126 (|has| |#1| (-373)))) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-1757 (($) 108 (|has| |#1| (-373)) CONST)) (-1755 (($ (-922)) 105 (|has| |#1| (-373)))) (-3527 (((-121) $) 89)) (-2580 (((-1115) $) 10)) (-2280 (($) 127 (|has| |#1| (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) 115 (|has| |#1| (-373)))) (-4262 (((-423 $) $) 72)) (-1556 (((-833 (-922))) 87) (((-922)) 137)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3804 (((-637 $)) 102 (|has| |#1| (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-1305 (((-768) $) 120 (|has| |#1| (-373))) (((-3 (-768) "failed") $ $) 81 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-3847 (((-140)) 95)) (-3096 (($ $) 112 (|has| |#1| (-373))) (($ $ (-768)) 110 (|has| |#1| (-373)))) (-2400 (((-833 (-922)) $) 88) (((-922) $) 136)) (-3413 (((-1165 |#1|)) 138)) (-4481 (($) 117 (|has| |#1| (-373)))) (-4469 (($) 130 (|has| |#1| (-373)))) (-3723 (((-1258 |#1|) $) 142) (((-684 |#1|) (-1258 $)) 141)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 114 (|has| |#1| (-373)))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63) (($ |#1|) 98)) (-2346 (($ $) 113 (|has| |#1| (-373))) (((-3 $ "failed") $) 79 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2661 (((-768)) 28)) (-1899 (((-1258 $)) 144) (((-1258 $) (-922)) 143)) (-1388 (((-121) $ $) 38)) (-3049 (((-121) $) 91)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-4526 (($ $) 85 (|has| |#1| (-373))) (($ $ (-768)) 84 (|has| |#1| (-373)))) (-1544 (($ $) 111 (|has| |#1| (-373))) (($ $ (-768)) 109 (|has| |#1| (-373)))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62) (($ $ |#1|) 94)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
+(((-328 |#1|) (-1289) (-367)) (T -328)) 
+((-1899 (*1 *2) (-12 (-4 *3 (-367)) (-5 *2 (-1258 *1)) (-4 *1 (-328 *3)))) (-1899 (*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-367)) (-5 *2 (-1258 *1)) (-4 *1 (-328 *4)))) (-3723 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-5 *2 (-1258 *3)))) (-3723 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-328 *4)) (-4 *4 (-367)) (-5 *2 (-684 *4)))) (-3456 (*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-367)) (-4 *1 (-328 *3)))) (-4400 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-5 *2 (-1165 *3)))) (-3413 (*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-5 *2 (-1165 *3)))) (-1556 (*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-5 *2 (-922)))) (-2400 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-5 *2 (-922)))) (-3477 (*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-367)))) (-3490 (*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-367)))) (-4400 (*1 *2 *1 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-5 *2 (-1165 *1)) (-4 *1 (-328 *4)))) (-3477 (*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)))) (-3490 (*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)))) (-4469 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-373)) (-4 *2 (-367)))) (-2035 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-373)) (-4 *2 (-367)))) (-4230 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)) (-5 *2 (-121)))) (-2280 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-373)) (-4 *2 (-367)))) (-2690 (*1 *1 *1 *2) (-12 (-5 *2 (-1165 *3)) (-4 *3 (-373)) (-4 *1 (-328 *3)) (-4 *3 (-367)))) (-3641 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)) (-5 *2 (-1165 *3)))) (-4089 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)) (-5 *2 (-1165 *3)))) (-4089 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)) (-5 *2 (-1165 *3))))) 
+(-13 (-1275 |t#1|) (-1043 |t#1|) (-10 -8 (-15 -1899 ((-1258 $))) (-15 -1899 ((-1258 $) (-922))) (-15 -3723 ((-1258 |t#1|) $)) (-15 -3723 ((-684 |t#1|) (-1258 $))) (-15 -3456 ($ (-1258 |t#1|))) (-15 -4400 ((-1165 |t#1|) $)) (-15 -3413 ((-1165 |t#1|))) (-15 -1556 ((-922))) (-15 -2400 ((-922) $)) (-15 -3477 (|t#1| $)) (-15 -3490 (|t#1| $)) (IF (|has| |t#1| (-373)) (PROGN (-6 (-352)) (-15 -4400 ((-1165 $) $ (-922))) (-15 -3477 ($ $ (-922))) (-15 -3490 ($ $ (-922))) (-15 -4469 ($)) (-15 -2035 ($)) (-15 -4230 ((-121) $)) (-15 -2280 ($)) (-15 -2690 ($ $ (-1165 |t#1|))) (-15 -3641 ((-1165 |t#1|) $)) (-15 -4089 ((-1165 |t#1|) $)) (-15 -4089 ((-3 (-1165 |t#1|) "failed") $ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1831 (|has| |#1| (-373)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) . T) ((-226) |has| |#1| (-373)) ((-239) . T) ((-286) . T) ((-302) . T) ((-1275 |#1|) . T) ((-367) . T) ((-407) -1831 (|has| |#1| (-373)) (|has| |#1| (-149))) ((-373) |has| |#1| (-373)) ((-352) |has| |#1| (-373)) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 |#1|) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-1043 |#1|) . T) ((-1059 (-412 (-571))) . T) ((-1059 |#1|) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1143) |has| |#1| (-373)) ((-1213) . T) ((-1265 |#1|) . T)) 
+((-2234 (((-121) $ $) NIL)) (-3146 (($ (-1168) $) 88)) (-3651 (($) 76)) (-3383 (((-1115) (-1115)) 11)) (-3297 (($) 77)) (-1458 (($) 90) (($ (-311 (-693))) 96) (($ (-311 (-695))) 93) (($ (-311 (-688))) 99) (($ (-311 (-384))) 105) (($ (-311 (-571))) 102) (($ (-311 (-170 (-384)))) 108)) (-2860 (($ (-1168) $) 89)) (-1628 (($ (-637 (-855))) 79)) (-4047 (((-1263) $) 73)) (-1457 (((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) 27)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3548 (($ (-1115)) 45)) (-1900 (((-1101) $) 25)) (-4111 (($ (-1089 (-958 (-571))) $) 85) (($ (-1089 (-958 (-571))) (-958 (-571)) $) 86)) (-2808 (($ (-1115)) 87)) (-1545 (($ (-1168) $) 110) (($ (-1168) $ $) 111)) (-2747 (($ (-1169) (-637 (-1169))) 75)) (-3960 (($ (-1151)) 82) (($ (-637 (-1151))) 80)) (-3942 (((-855) $) 113)) (-1815 (((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1169)) (|:| |arrayIndex| (-637 (-958 (-571)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -4522 (-855)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1169)) (|:| |rand| (-855)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1168)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1828 (-121)) (|:| -2139 (-2 (|:| |ints2Floats?| (-121)) (|:| -4522 (-855)))))) (|:| |blockBranch| (-637 $)) (|:| |commentBranch| (-637 (-1151))) (|:| |callBranch| (-1151)) (|:| |forBranch| (-2 (|:| -1981 (-1089 (-958 (-571)))) (|:| |span| (-958 (-571))) (|:| |body| $))) (|:| |labelBranch| (-1115)) (|:| |loopBranch| (-2 (|:| |switch| (-1168)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -3159 (-1169)) (|:| |contents| (-637 (-1169))))) (|:| |printBranch| (-637 (-855)))) $) 37)) (-1302 (($ (-1151)) 182)) (-3157 (($ (-637 $)) 109)) (-1402 (($ (-1169) (-1151)) 115) (($ (-1169) (-311 (-695))) 155) (($ (-1169) (-311 (-693))) 156) (($ (-1169) (-311 (-688))) 157) (($ (-1169) (-684 (-695))) 118) (($ (-1169) (-684 (-693))) 121) (($ (-1169) (-684 (-688))) 124) (($ (-1169) (-1258 (-695))) 127) (($ (-1169) (-1258 (-693))) 130) (($ (-1169) (-1258 (-688))) 133) (($ (-1169) (-684 (-311 (-695)))) 136) (($ (-1169) (-684 (-311 (-693)))) 139) (($ (-1169) (-684 (-311 (-688)))) 142) (($ (-1169) (-1258 (-311 (-695)))) 145) (($ (-1169) (-1258 (-311 (-693)))) 148) (($ (-1169) (-1258 (-311 (-688)))) 151) (($ (-1169) (-637 (-958 (-571))) (-311 (-695))) 152) (($ (-1169) (-637 (-958 (-571))) (-311 (-693))) 153) (($ (-1169) (-637 (-958 (-571))) (-311 (-688))) 154) (($ (-1169) (-311 (-571))) 179) (($ (-1169) (-311 (-384))) 180) (($ (-1169) (-311 (-170 (-384)))) 181) (($ (-1169) (-684 (-311 (-571)))) 160) (($ (-1169) (-684 (-311 (-384)))) 163) (($ (-1169) (-684 (-311 (-170 (-384))))) 166) (($ (-1169) (-1258 (-311 (-571)))) 169) (($ (-1169) (-1258 (-311 (-384)))) 172) (($ (-1169) (-1258 (-311 (-170 (-384))))) 175) (($ (-1169) (-637 (-958 (-571))) (-311 (-571))) 176) (($ (-1169) (-637 (-958 (-571))) (-311 (-384))) 177) (($ (-1169) (-637 (-958 (-571))) (-311 (-170 (-384)))) 178)) (-1323 (((-121) $ $) NIL))) 
+(((-329) (-13 (-1097) (-10 -8 (-15 -3942 ((-855) $)) (-15 -4111 ($ (-1089 (-958 (-571))) $)) (-15 -4111 ($ (-1089 (-958 (-571))) (-958 (-571)) $)) (-15 -3146 ($ (-1168) $)) (-15 -2860 ($ (-1168) $)) (-15 -3548 ($ (-1115))) (-15 -2808 ($ (-1115))) (-15 -3960 ($ (-1151))) (-15 -3960 ($ (-637 (-1151)))) (-15 -1302 ($ (-1151))) (-15 -1458 ($)) (-15 -1458 ($ (-311 (-693)))) (-15 -1458 ($ (-311 (-695)))) (-15 -1458 ($ (-311 (-688)))) (-15 -1458 ($ (-311 (-384)))) (-15 -1458 ($ (-311 (-571)))) (-15 -1458 ($ (-311 (-170 (-384))))) (-15 -1545 ($ (-1168) $)) (-15 -1545 ($ (-1168) $ $)) (-15 -1402 ($ (-1169) (-1151))) (-15 -1402 ($ (-1169) (-311 (-695)))) (-15 -1402 ($ (-1169) (-311 (-693)))) (-15 -1402 ($ (-1169) (-311 (-688)))) (-15 -1402 ($ (-1169) (-684 (-695)))) (-15 -1402 ($ (-1169) (-684 (-693)))) (-15 -1402 ($ (-1169) (-684 (-688)))) (-15 -1402 ($ (-1169) (-1258 (-695)))) (-15 -1402 ($ (-1169) (-1258 (-693)))) (-15 -1402 ($ (-1169) (-1258 (-688)))) (-15 -1402 ($ (-1169) (-684 (-311 (-695))))) (-15 -1402 ($ (-1169) (-684 (-311 (-693))))) (-15 -1402 ($ (-1169) (-684 (-311 (-688))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-695))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-693))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-688))))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-695)))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-693)))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-688)))) (-15 -1402 ($ (-1169) (-311 (-571)))) (-15 -1402 ($ (-1169) (-311 (-384)))) (-15 -1402 ($ (-1169) (-311 (-170 (-384))))) (-15 -1402 ($ (-1169) (-684 (-311 (-571))))) (-15 -1402 ($ (-1169) (-684 (-311 (-384))))) (-15 -1402 ($ (-1169) (-684 (-311 (-170 (-384)))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-571))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-384))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-170 (-384)))))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-571)))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-384)))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-170 (-384))))) (-15 -3157 ($ (-637 $))) (-15 -3651 ($)) (-15 -3297 ($)) (-15 -1628 ($ (-637 (-855)))) (-15 -2747 ($ (-1169) (-637 (-1169)))) (-15 -1457 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -1815 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1169)) (|:| |arrayIndex| (-637 (-958 (-571)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -4522 (-855)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1169)) (|:| |rand| (-855)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1168)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1828 (-121)) (|:| -2139 (-2 (|:| |ints2Floats?| (-121)) (|:| -4522 (-855)))))) (|:| |blockBranch| (-637 $)) (|:| |commentBranch| (-637 (-1151))) (|:| |callBranch| (-1151)) (|:| |forBranch| (-2 (|:| -1981 (-1089 (-958 (-571)))) (|:| |span| (-958 (-571))) (|:| |body| $))) (|:| |labelBranch| (-1115)) (|:| |loopBranch| (-2 (|:| |switch| (-1168)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -3159 (-1169)) (|:| |contents| (-637 (-1169))))) (|:| |printBranch| (-637 (-855)))) $)) (-15 -4047 ((-1263) $)) (-15 -1900 ((-1101) $)) (-15 -3383 ((-1115) (-1115)))))) (T -329)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-329)))) (-4111 (*1 *1 *2 *1) (-12 (-5 *2 (-1089 (-958 (-571)))) (-5 *1 (-329)))) (-4111 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-1089 (-958 (-571)))) (-5 *3 (-958 (-571))) (-5 *1 (-329)))) (-3146 (*1 *1 *2 *1) (-12 (-5 *2 (-1168)) (-5 *1 (-329)))) (-2860 (*1 *1 *2 *1) (-12 (-5 *2 (-1168)) (-5 *1 (-329)))) (-3548 (*1 *1 *2) (-12 (-5 *2 (-1115)) (-5 *1 (-329)))) (-2808 (*1 *1 *2) (-12 (-5 *2 (-1115)) (-5 *1 (-329)))) (-3960 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-329)))) (-3960 (*1 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-329)))) (-1302 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-329)))) (-1458 (*1 *1) (-5 *1 (-329))) (-1458 (*1 *1 *2) (-12 (-5 *2 (-311 (-693))) (-5 *1 (-329)))) (-1458 (*1 *1 *2) (-12 (-5 *2 (-311 (-695))) (-5 *1 (-329)))) (-1458 (*1 *1 *2) (-12 (-5 *2 (-311 (-688))) (-5 *1 (-329)))) (-1458 (*1 *1 *2) (-12 (-5 *2 (-311 (-384))) (-5 *1 (-329)))) (-1458 (*1 *1 *2) (-12 (-5 *2 (-311 (-571))) (-5 *1 (-329)))) (-1458 (*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-384)))) (-5 *1 (-329)))) (-1545 (*1 *1 *2 *1) (-12 (-5 *2 (-1168)) (-5 *1 (-329)))) (-1545 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1168)) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1151)) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-695))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-693))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-688))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-695))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-693))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-688))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-695))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-693))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-688))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-695)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-693)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-688)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-695)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-693)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-688)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-695))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-693))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-688))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-571))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-384))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-170 (-384)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-571)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-384)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-170 (-384))))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-571)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-384)))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-170 (-384))))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-571))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-384))) (-5 *1 (-329)))) (-1402 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-170 (-384)))) (-5 *1 (-329)))) (-3157 (*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-5 *1 (-329)))) (-3651 (*1 *1) (-5 *1 (-329))) (-3297 (*1 *1) (-5 *1 (-329))) (-1628 (*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-329)))) (-2747 (*1 *1 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-5 *2 (-1169)) (-5 *1 (-329)))) (-1457 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-329)))) (-1815 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1169)) (|:| |arrayIndex| (-637 (-958 (-571)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -4522 (-855)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1169)) (|:| |rand| (-855)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1168)) (|:| |thenClause| (-329)) (|:| |elseClause| (-329)))) (|:| |returnBranch| (-2 (|:| -1828 (-121)) (|:| -2139 (-2 (|:| |ints2Floats?| (-121)) (|:| -4522 (-855)))))) (|:| |blockBranch| (-637 (-329))) (|:| |commentBranch| (-637 (-1151))) (|:| |callBranch| (-1151)) (|:| |forBranch| (-2 (|:| -1981 (-1089 (-958 (-571)))) (|:| |span| (-958 (-571))) (|:| |body| (-329)))) (|:| |labelBranch| (-1115)) (|:| |loopBranch| (-2 (|:| |switch| (-1168)) (|:| |body| (-329)))) (|:| |commonBranch| (-2 (|:| -3159 (-1169)) (|:| |contents| (-637 (-1169))))) (|:| |printBranch| (-637 (-855))))) (-5 *1 (-329)))) (-4047 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-329)))) (-1900 (*1 *2 *1) (-12 (-5 *2 (-1101)) (-5 *1 (-329)))) (-3383 (*1 *2 *2) (-12 (-5 *2 (-1115)) (-5 *1 (-329))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ((-855) $)) (-15 -4111 ($ (-1089 (-958 (-571))) $)) (-15 -4111 ($ (-1089 (-958 (-571))) (-958 (-571)) $)) (-15 -3146 ($ (-1168) $)) (-15 -2860 ($ (-1168) $)) (-15 -3548 ($ (-1115))) (-15 -2808 ($ (-1115))) (-15 -3960 ($ (-1151))) (-15 -3960 ($ (-637 (-1151)))) (-15 -1302 ($ (-1151))) (-15 -1458 ($)) (-15 -1458 ($ (-311 (-693)))) (-15 -1458 ($ (-311 (-695)))) (-15 -1458 ($ (-311 (-688)))) (-15 -1458 ($ (-311 (-384)))) (-15 -1458 ($ (-311 (-571)))) (-15 -1458 ($ (-311 (-170 (-384))))) (-15 -1545 ($ (-1168) $)) (-15 -1545 ($ (-1168) $ $)) (-15 -1402 ($ (-1169) (-1151))) (-15 -1402 ($ (-1169) (-311 (-695)))) (-15 -1402 ($ (-1169) (-311 (-693)))) (-15 -1402 ($ (-1169) (-311 (-688)))) (-15 -1402 ($ (-1169) (-684 (-695)))) (-15 -1402 ($ (-1169) (-684 (-693)))) (-15 -1402 ($ (-1169) (-684 (-688)))) (-15 -1402 ($ (-1169) (-1258 (-695)))) (-15 -1402 ($ (-1169) (-1258 (-693)))) (-15 -1402 ($ (-1169) (-1258 (-688)))) (-15 -1402 ($ (-1169) (-684 (-311 (-695))))) (-15 -1402 ($ (-1169) (-684 (-311 (-693))))) (-15 -1402 ($ (-1169) (-684 (-311 (-688))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-695))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-693))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-688))))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-695)))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-693)))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-688)))) (-15 -1402 ($ (-1169) (-311 (-571)))) (-15 -1402 ($ (-1169) (-311 (-384)))) (-15 -1402 ($ (-1169) (-311 (-170 (-384))))) (-15 -1402 ($ (-1169) (-684 (-311 (-571))))) (-15 -1402 ($ (-1169) (-684 (-311 (-384))))) (-15 -1402 ($ (-1169) (-684 (-311 (-170 (-384)))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-571))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-384))))) (-15 -1402 ($ (-1169) (-1258 (-311 (-170 (-384)))))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-571)))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-384)))) (-15 -1402 ($ (-1169) (-637 (-958 (-571))) (-311 (-170 (-384))))) (-15 -3157 ($ (-637 $))) (-15 -3651 ($)) (-15 -3297 ($)) (-15 -1628 ($ (-637 (-855)))) (-15 -2747 ($ (-1169) (-637 (-1169)))) (-15 -1457 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -1815 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1169)) (|:| |arrayIndex| (-637 (-958 (-571)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -4522 (-855)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1169)) (|:| |rand| (-855)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1168)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1828 (-121)) (|:| -2139 (-2 (|:| |ints2Floats?| (-121)) (|:| -4522 (-855)))))) (|:| |blockBranch| (-637 $)) (|:| |commentBranch| (-637 (-1151))) (|:| |callBranch| (-1151)) (|:| |forBranch| (-2 (|:| -1981 (-1089 (-958 (-571)))) (|:| |span| (-958 (-571))) (|:| |body| $))) (|:| |labelBranch| (-1115)) (|:| |loopBranch| (-2 (|:| |switch| (-1168)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -3159 (-1169)) (|:| |contents| (-637 (-1169))))) (|:| |printBranch| (-637 (-855)))) $)) (-15 -4047 ((-1263) $)) (-15 -1900 ((-1101) $)) (-15 -3383 ((-1115) (-1115))))) 
+((-2234 (((-121) $ $) NIL)) (-4369 (((-121) $) 11)) (-4185 (($ |#1|) 8)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4188 (($ |#1|) 9)) (-3942 (((-855) $) 17)) (-2765 ((|#1| $) 12)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 19))) 
+(((-330 |#1|) (-13 (-847) (-10 -8 (-15 -4185 ($ |#1|)) (-15 -4188 ($ |#1|)) (-15 -4369 ((-121) $)) (-15 -2765 (|#1| $)))) (-847)) (T -330)) 
+((-4185 (*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-847)))) (-4188 (*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-847)))) (-4369 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-330 *3)) (-4 *3 (-847)))) (-2765 (*1 *2 *1) (-12 (-5 *1 (-330 *2)) (-4 *2 (-847))))) 
+(-13 (-847) (-10 -8 (-15 -4185 ($ |#1|)) (-15 -4188 ($ |#1|)) (-15 -4369 ((-121) $)) (-15 -2765 (|#1| $)))) 
+((-3453 (((-329) (-1169) (-958 (-571))) 22)) (-2140 (((-329) (-1169) (-958 (-571))) 26)) (-3606 (((-329) (-1169) (-1089 (-958 (-571))) (-1089 (-958 (-571)))) 25) (((-329) (-1169) (-958 (-571)) (-958 (-571))) 23)) (-3268 (((-329) (-1169) (-958 (-571))) 30))) 
+(((-331) (-10 -7 (-15 -3453 ((-329) (-1169) (-958 (-571)))) (-15 -3606 ((-329) (-1169) (-958 (-571)) (-958 (-571)))) (-15 -3606 ((-329) (-1169) (-1089 (-958 (-571))) (-1089 (-958 (-571))))) (-15 -2140 ((-329) (-1169) (-958 (-571)))) (-15 -3268 ((-329) (-1169) (-958 (-571)))))) (T -331)) 
+((-3268 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-958 (-571))) (-5 *2 (-329)) (-5 *1 (-331)))) (-2140 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-958 (-571))) (-5 *2 (-329)) (-5 *1 (-331)))) (-3606 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-1089 (-958 (-571)))) (-5 *2 (-329)) (-5 *1 (-331)))) (-3606 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-958 (-571))) (-5 *2 (-329)) (-5 *1 (-331)))) (-3453 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-958 (-571))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(-10 -7 (-15 -3453 ((-329) (-1169) (-958 (-571)))) (-15 -3606 ((-329) (-1169) (-958 (-571)) (-958 (-571)))) (-15 -3606 ((-329) (-1169) (-1089 (-958 (-571))) (-1089 (-958 (-571))))) (-15 -2140 ((-329) (-1169) (-958 (-571)))) (-15 -3268 ((-329) (-1169) (-958 (-571))))) 
+((-3799 (((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)) 31))) 
+(((-332 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -3799 ((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)))) (-367) (-1233 |#1|) (-1233 (-412 |#2|)) (-341 |#1| |#2| |#3|) (-367) (-1233 |#5|) (-1233 (-412 |#6|)) (-341 |#5| |#6| |#7|)) (T -332)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-335 *5 *6 *7 *8)) (-4 *5 (-367)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *9 (-367)) (-4 *10 (-1233 *9)) (-4 *11 (-1233 (-412 *10))) (-5 *2 (-335 *9 *10 *11 *12)) (-5 *1 (-332 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-341 *9 *10 *11))))) 
+(-10 -7 (-15 -3799 ((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)))) 
+((-4503 (((-121) $) 14))) 
+(((-333 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -4503 ((-121) |#1|))) (-334 |#2| |#3| |#4| |#5|) (-367) (-1233 |#2|) (-1233 (-412 |#3|)) (-341 |#2| |#3| |#4|)) (T -333)) 
+NIL 
+(-10 -8 (-15 -4503 ((-121) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3074 (($ $) 25)) (-4503 (((-121) $) 24)) (-3944 (((-1151) $) 9)) (-1644 (((-418 |#2| (-412 |#2|) |#3| |#4|) $) 31)) (-2580 (((-1115) $) 10)) (-2280 (((-3 |#4| "failed") $) 23)) (-3612 (($ (-418 |#2| (-412 |#2|) |#3| |#4|)) 30) (($ |#4|) 29) (($ |#1| |#1|) 28) (($ |#1| |#1| (-571)) 27) (($ |#4| |#2| |#2| |#2| |#1|) 22)) (-3421 (((-2 (|:| -3974 (-418 |#2| (-412 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 26)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19))) 
+(((-334 |#1| |#2| |#3| |#4|) (-1289) (-367) (-1233 |t#1|) (-1233 (-412 |t#2|)) (-341 |t#1| |t#2| |t#3|)) (T -334)) 
+((-1644 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-418 *4 (-412 *4) *5 *6)))) (-3612 (*1 *1 *2) (-12 (-5 *2 (-418 *4 (-412 *4) *5 *6)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 *3 *4 *5)) (-4 *3 (-367)) (-4 *1 (-334 *3 *4 *5 *6)))) (-3612 (*1 *1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *1 (-334 *3 *4 *5 *2)) (-4 *2 (-341 *3 *4 *5)))) (-3612 (*1 *1 *2 *2) (-12 (-4 *2 (-367)) (-4 *3 (-1233 *2)) (-4 *4 (-1233 (-412 *3))) (-4 *1 (-334 *2 *3 *4 *5)) (-4 *5 (-341 *2 *3 *4)))) (-3612 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *2 (-367)) (-4 *4 (-1233 *2)) (-4 *5 (-1233 (-412 *4))) (-4 *1 (-334 *2 *4 *5 *6)) (-4 *6 (-341 *2 *4 *5)))) (-3421 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-2 (|:| -3974 (-418 *4 (-412 *4) *5 *6)) (|:| |principalPart| *6))))) (-3074 (*1 *1 *1) (-12 (-4 *1 (-334 *2 *3 *4 *5)) (-4 *2 (-367)) (-4 *3 (-1233 *2)) (-4 *4 (-1233 (-412 *3))) (-4 *5 (-341 *2 *3 *4)))) (-4503 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-121)))) (-2280 (*1 *2 *1) (|partial| -12 (-4 *1 (-334 *3 *4 *5 *2)) (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *2 (-341 *3 *4 *5)))) (-3612 (*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-367)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 (-412 *3))) (-4 *1 (-334 *4 *3 *5 *2)) (-4 *2 (-341 *4 *3 *5))))) 
+(-13 (-21) (-10 -8 (-15 -1644 ((-418 |t#2| (-412 |t#2|) |t#3| |t#4|) $)) (-15 -3612 ($ (-418 |t#2| (-412 |t#2|) |t#3| |t#4|))) (-15 -3612 ($ |t#4|)) (-15 -3612 ($ |t#1| |t#1|)) (-15 -3612 ($ |t#1| |t#1| (-571))) (-15 -3421 ((-2 (|:| -3974 (-418 |t#2| (-412 |t#2|) |t#3| |t#4|)) (|:| |principalPart| |t#4|)) $)) (-15 -3074 ($ $)) (-15 -4503 ((-121) $)) (-15 -2280 ((-3 |t#4| "failed") $)) (-15 -3612 ($ |t#4| |t#2| |t#2| |t#2| |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3074 (($ $) 32)) (-4503 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-1357 (((-1258 |#4|) $) 124)) (-1644 (((-418 |#2| (-412 |#2|) |#3| |#4|) $) 30)) (-2580 (((-1115) $) NIL)) (-2280 (((-3 |#4| "failed") $) 35)) (-1482 (((-1258 |#4|) $) 117)) (-3612 (($ (-418 |#2| (-412 |#2|) |#3| |#4|)) 40) (($ |#4|) 42) (($ |#1| |#1|) 44) (($ |#1| |#1| (-571)) 46) (($ |#4| |#2| |#2| |#2| |#1|) 48)) (-3421 (((-2 (|:| -3974 (-418 |#2| (-412 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 38)) (-3942 (((-855) $) 17)) (-2369 (($) 14 T CONST)) (-1323 (((-121) $ $) 20)) (-1373 (($ $) 27) (($ $ $) NIL)) (-1367 (($ $ $) 25)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 23))) 
+(((-335 |#1| |#2| |#3| |#4|) (-13 (-334 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -1482 ((-1258 |#4|) $)) (-15 -1357 ((-1258 |#4|) $)))) (-367) (-1233 |#1|) (-1233 (-412 |#2|)) (-341 |#1| |#2| |#3|)) (T -335)) 
+((-1482 (*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-1258 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5)))) (-1357 (*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-1258 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
+(-13 (-334 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -1482 ((-1258 |#4|) $)) (-15 -1357 ((-1258 |#4|) $)))) 
+((-4483 (($ $ (-1169) |#2|) NIL) (($ $ (-637 (-1169)) (-637 |#2|)) 18) (($ $ (-637 (-289 |#2|))) 14) (($ $ (-289 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-637 |#2|) (-637 |#2|)) NIL)) (-3245 (($ $ |#2|) 11))) 
+(((-336 |#1| |#2|) (-10 -8 (-15 -3245 (|#1| |#1| |#2|)) (-15 -4483 (|#1| |#1| (-637 |#2|) (-637 |#2|))) (-15 -4483 (|#1| |#1| |#2| |#2|)) (-15 -4483 (|#1| |#1| (-289 |#2|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#2|)))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 |#2|))) (-15 -4483 (|#1| |#1| (-1169) |#2|))) (-337 |#2|) (-1097)) (T -336)) 
+NIL 
+(-10 -8 (-15 -3245 (|#1| |#1| |#2|)) (-15 -4483 (|#1| |#1| (-637 |#2|) (-637 |#2|))) (-15 -4483 (|#1| |#1| |#2| |#2|)) (-15 -4483 (|#1| |#1| (-289 |#2|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#2|)))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 |#2|))) (-15 -4483 (|#1| |#1| (-1169) |#2|))) 
+((-3799 (($ (-1 |#1| |#1|) $) 6)) (-4483 (($ $ (-1169) |#1|) 16 (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) 15 (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-637 (-289 |#1|))) 14 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 13 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 12 (|has| |#1| (-304 |#1|))) (($ $ (-637 |#1|) (-637 |#1|)) 11 (|has| |#1| (-304 |#1|)))) (-3245 (($ $ |#1|) 10 (|has| |#1| (-282 |#1| |#1|))))) 
+(((-337 |#1|) (-1289) (-1097)) (T -337)) 
+((-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-337 *3)) (-4 *3 (-1097))))) 
+(-13 (-10 -8 (-15 -3799 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-282 |t#1| |t#1|)) (-6 (-282 |t#1| $)) |noBranch|) (IF (|has| |t#1| (-304 |t#1|)) (-6 (-304 |t#1|)) |noBranch|) (IF (|has| |t#1| (-526 (-1169) |t#1|)) (-6 (-526 (-1169) |t#1|)) |noBranch|))) 
+(((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-526 (-1169) |#1|) |has| |#1| (-526 (-1169) |#1|)) ((-526 |#1| |#1|) |has| |#1| (-304 |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1169)) $) NIL)) (-1348 (((-121)) 87) (((-121) (-121)) 88)) (-4121 (((-637 (-610 $)) $) NIL)) (-4255 (($ $) NIL)) (-4192 (($ $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1448 (($ $ (-289 $)) NIL) (($ $ (-637 (-289 $))) NIL) (($ $ (-637 (-610 $)) (-637 $)) NIL)) (-4158 (($ $) NIL)) (-4243 (($ $) NIL)) (-4185 (($ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-610 $) "failed") $) NIL) (((-3 |#3| "failed") $) NIL) (((-3 $ "failed") (-311 |#3|)) 69) (((-3 $ "failed") (-1169)) 93) (((-3 $ "failed") (-311 (-571))) 56 (|has| |#3| (-1043 (-571)))) (((-3 $ "failed") (-412 (-958 (-571)))) 62 (|has| |#3| (-1043 (-571)))) (((-3 $ "failed") (-958 (-571))) 57 (|has| |#3| (-1043 (-571)))) (((-3 $ "failed") (-311 (-384))) 74 (|has| |#3| (-1043 (-384)))) (((-3 $ "failed") (-412 (-958 (-384)))) 80 (|has| |#3| (-1043 (-384)))) (((-3 $ "failed") (-958 (-384))) 75 (|has| |#3| (-1043 (-384))))) (-1316 (((-610 $) $) NIL) ((|#3| $) NIL) (($ (-311 |#3|)) 70) (($ (-1169)) 94) (($ (-311 (-571))) 58 (|has| |#3| (-1043 (-571)))) (($ (-412 (-958 (-571)))) 63 (|has| |#3| (-1043 (-571)))) (($ (-958 (-571))) 59 (|has| |#3| (-1043 (-571)))) (($ (-311 (-384))) 76 (|has| |#3| (-1043 (-384)))) (($ (-412 (-958 (-384)))) 81 (|has| |#3| (-1043 (-384)))) (($ (-958 (-384))) 77 (|has| |#3| (-1043 (-384))))) (-3978 (((-3 $ "failed") $) NIL)) (-4153 (($) 10)) (-2122 (($ $) NIL) (($ (-637 $)) NIL)) (-3645 (((-637 (-123)) $) NIL)) (-3513 (((-123) (-123)) NIL)) (-2583 (((-121) $) NIL)) (-4329 (((-121) $) NIL (|has| $ (-1043 (-571))))) (-4286 (((-1165 $) (-610 $)) NIL (|has| $ (-1053)))) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3799 (($ (-1 $ $) (-610 $)) NIL)) (-1359 (((-3 (-610 $) "failed") $) NIL)) (-2216 (($ $) 90)) (-3509 (($ $) NIL)) (-3944 (((-1151) $) NIL)) (-4251 (((-637 (-610 $)) $) NIL)) (-4485 (($ (-123) $) 89) (($ (-123) (-637 $)) NIL)) (-3340 (((-121) $ (-123)) NIL) (((-121) $ (-1169)) NIL)) (-1454 (((-768) $) NIL)) (-2580 (((-1115) $) NIL)) (-4348 (((-121) $ $) NIL) (((-121) $ (-1169)) NIL)) (-4148 (($ $) NIL)) (-2385 (((-121) $) NIL (|has| $ (-1043 (-571))))) (-4483 (($ $ (-610 $) $) NIL) (($ $ (-637 (-610 $)) (-637 $)) NIL) (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-1169) (-1 $ (-637 $))) NIL) (($ $ (-1169) (-1 $ $)) NIL) (($ $ (-637 (-123)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-123)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-123) (-1 $ (-637 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-3245 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-637 $)) NIL)) (-4543 (($ $) NIL) (($ $ $) NIL)) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) NIL)) (-3413 (($ $) NIL (|has| $ (-1053)))) (-4249 (($ $) NIL)) (-4188 (($ $) NIL)) (-3942 (((-855) $) NIL) (($ (-610 $)) NIL) (($ |#3|) NIL) (($ (-571)) NIL) (((-311 |#3|) $) 92)) (-2661 (((-768)) NIL)) (-4449 (($ $) NIL) (($ (-637 $)) NIL)) (-3090 (((-121) (-123)) NIL)) (-4220 (($ $) NIL)) (-4211 (($ $) NIL)) (-4215 (($ $) NIL)) (-1902 (($ $) NIL)) (-4142 (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (-2369 (($) 91 T CONST)) (-3222 (($) 22 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (* (($ |#3| $) NIL) (($ $ |#3|) NIL) (($ $ $) NIL) (($ (-571) $) NIL) (($ (-768) $) NIL) (($ (-922) $) NIL))) 
+(((-338 |#1| |#2| |#3|) (-13 (-297) (-43 |#3|) (-1043 |#3|) (-900 (-1169)) (-10 -8 (-15 -1316 ($ (-311 |#3|))) (-15 -3337 ((-3 $ "failed") (-311 |#3|))) (-15 -1316 ($ (-1169))) (-15 -3337 ((-3 $ "failed") (-1169))) (-15 -3942 ((-311 |#3|) $)) (IF (|has| |#3| (-1043 (-571))) (PROGN (-15 -1316 ($ (-311 (-571)))) (-15 -3337 ((-3 $ "failed") (-311 (-571)))) (-15 -1316 ($ (-412 (-958 (-571))))) (-15 -3337 ((-3 $ "failed") (-412 (-958 (-571))))) (-15 -1316 ($ (-958 (-571)))) (-15 -3337 ((-3 $ "failed") (-958 (-571))))) |noBranch|) (IF (|has| |#3| (-1043 (-384))) (PROGN (-15 -1316 ($ (-311 (-384)))) (-15 -3337 ((-3 $ "failed") (-311 (-384)))) (-15 -1316 ($ (-412 (-958 (-384))))) (-15 -3337 ((-3 $ "failed") (-412 (-958 (-384))))) (-15 -1316 ($ (-958 (-384)))) (-15 -3337 ((-3 $ "failed") (-958 (-384))))) |noBranch|) (-15 -1902 ($ $)) (-15 -4158 ($ $)) (-15 -4148 ($ $)) (-15 -3509 ($ $)) (-15 -2216 ($ $)) (-15 -4185 ($ $)) (-15 -4188 ($ $)) (-15 -4192 ($ $)) (-15 -4211 ($ $)) (-15 -4215 ($ $)) (-15 -4220 ($ $)) (-15 -4243 ($ $)) (-15 -4249 ($ $)) (-15 -4255 ($ $)) (-15 -4153 ($)) (-15 -3424 ((-637 (-1169)) $)) (-15 -1348 ((-121))) (-15 -1348 ((-121) (-121))))) (-637 (-1169)) (-637 (-1169)) (-392)) (T -338)) 
+((-1316 (*1 *1 *2) (-12 (-5 *2 (-311 *5)) (-4 *5 (-392)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 *5)) (-4 *5 (-392)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 *2)) (-14 *4 (-637 *2)) (-4 *5 (-392)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 *2)) (-14 *4 (-637 *2)) (-4 *5 (-392)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-311 *5)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-311 (-571))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-571))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-412 (-958 (-571)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-412 (-958 (-571)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-958 (-571))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-958 (-571))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-311 (-384))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-384))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-412 (-958 (-384)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-412 (-958 (-384)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-958 (-384))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-958 (-384))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-1902 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4158 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4148 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-3509 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-2216 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4185 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4188 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4192 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4211 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4215 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4220 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4243 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4249 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4255 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-4153 (*1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) (-3424 (*1 *2 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-338 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-392)))) (-1348 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) (-1348 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392))))) 
+(-13 (-297) (-43 |#3|) (-1043 |#3|) (-900 (-1169)) (-10 -8 (-15 -1316 ($ (-311 |#3|))) (-15 -3337 ((-3 $ "failed") (-311 |#3|))) (-15 -1316 ($ (-1169))) (-15 -3337 ((-3 $ "failed") (-1169))) (-15 -3942 ((-311 |#3|) $)) (IF (|has| |#3| (-1043 (-571))) (PROGN (-15 -1316 ($ (-311 (-571)))) (-15 -3337 ((-3 $ "failed") (-311 (-571)))) (-15 -1316 ($ (-412 (-958 (-571))))) (-15 -3337 ((-3 $ "failed") (-412 (-958 (-571))))) (-15 -1316 ($ (-958 (-571)))) (-15 -3337 ((-3 $ "failed") (-958 (-571))))) |noBranch|) (IF (|has| |#3| (-1043 (-384))) (PROGN (-15 -1316 ($ (-311 (-384)))) (-15 -3337 ((-3 $ "failed") (-311 (-384)))) (-15 -1316 ($ (-412 (-958 (-384))))) (-15 -3337 ((-3 $ "failed") (-412 (-958 (-384))))) (-15 -1316 ($ (-958 (-384)))) (-15 -3337 ((-3 $ "failed") (-958 (-384))))) |noBranch|) (-15 -1902 ($ $)) (-15 -4158 ($ $)) (-15 -4148 ($ $)) (-15 -3509 ($ $)) (-15 -2216 ($ $)) (-15 -4185 ($ $)) (-15 -4188 ($ $)) (-15 -4192 ($ $)) (-15 -4211 ($ $)) (-15 -4215 ($ $)) (-15 -4220 ($ $)) (-15 -4243 ($ $)) (-15 -4249 ($ $)) (-15 -4255 ($ $)) (-15 -4153 ($)) (-15 -3424 ((-637 (-1169)) $)) (-15 -1348 ((-121))) (-15 -1348 ((-121) (-121))))) 
+((-3799 ((|#8| (-1 |#5| |#1|) |#4|) 19))) 
+(((-339 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -3799 (|#8| (-1 |#5| |#1|) |#4|))) (-1213) (-1233 |#1|) (-1233 (-412 |#2|)) (-341 |#1| |#2| |#3|) (-1213) (-1233 |#5|) (-1233 (-412 |#6|)) (-341 |#5| |#6| |#7|)) (T -339)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1213)) (-4 *8 (-1213)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-4 *9 (-1233 *8)) (-4 *2 (-341 *8 *9 *10)) (-5 *1 (-339 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-341 *5 *6 *7)) (-4 *10 (-1233 (-412 *9)))))) 
+(-10 -7 (-15 -3799 (|#8| (-1 |#5| |#1|) |#4|))) 
+((-1818 (((-2 (|:| |num| (-1258 |#3|)) (|:| |den| |#3|)) $) 37)) (-3456 (($ (-1258 (-412 |#3|)) (-1258 $)) NIL) (($ (-1258 (-412 |#3|))) NIL) (($ (-1258 |#3|) |#3|) 158)) (-4078 (((-1258 $) (-1258 $)) 142)) (-3000 (((-637 (-637 |#2|))) 115)) (-1536 (((-121) |#2| |#2|) 71)) (-3630 (($ $) 136)) (-2017 (((-768)) 30)) (-2653 (((-1258 $) (-1258 $)) 195)) (-1915 (((-637 (-958 |#2|)) (-1169)) 108)) (-2446 (((-121) $) 155)) (-4217 (((-121) $) 24) (((-121) $ |#2|) 28) (((-121) $ |#3|) 199)) (-2872 (((-3 |#3| "failed")) 48)) (-3970 (((-768)) 167)) (-3245 ((|#2| $ |#2| |#2|) 129)) (-3078 (((-3 |#3| "failed")) 66)) (-3096 (($ $ (-1 (-412 |#3|) (-412 |#3|)) (-768)) NIL) (($ $ (-1 (-412 |#3|) (-412 |#3|))) NIL) (($ $ (-1 |#3| |#3|)) 203) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) NIL) (($ $ (-768)) NIL) (($ $) NIL)) (-2260 (((-1258 $) (-1258 $)) 148)) (-1726 (((-2 (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (-1 |#3| |#3|)) 64)) (-4238 (((-121)) 32))) 
+(((-340 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3000 ((-637 (-637 |#2|)))) (-15 -1915 ((-637 (-958 |#2|)) (-1169))) (-15 -1726 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -2872 ((-3 |#3| "failed"))) (-15 -3078 ((-3 |#3| "failed"))) (-15 -3245 (|#2| |#1| |#2| |#2|)) (-15 -3630 (|#1| |#1|)) (-15 -3456 (|#1| (-1258 |#3|) |#3|)) (-15 -3096 (|#1| |#1| (-1 |#3| |#3|))) (-15 -4217 ((-121) |#1| |#3|)) (-15 -4217 ((-121) |#1| |#2|)) (-15 -1818 ((-2 (|:| |num| (-1258 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -4078 ((-1258 |#1|) (-1258 |#1|))) (-15 -2653 ((-1258 |#1|) (-1258 |#1|))) (-15 -2260 ((-1258 |#1|) (-1258 |#1|))) (-15 -4217 ((-121) |#1|)) (-15 -2446 ((-121) |#1|)) (-15 -1536 ((-121) |#2| |#2|)) (-15 -4238 ((-121))) (-15 -3970 ((-768))) (-15 -2017 ((-768))) (-15 -3096 (|#1| |#1| (-1 (-412 |#3|) (-412 |#3|)))) (-15 -3096 (|#1| |#1| (-1 (-412 |#3|) (-412 |#3|)) (-768))) (-15 -3456 (|#1| (-1258 (-412 |#3|)))) (-15 -3456 (|#1| (-1258 (-412 |#3|)) (-1258 |#1|)))) (-341 |#2| |#3| |#4|) (-1213) (-1233 |#2|) (-1233 (-412 |#3|))) (T -340)) 
+((-2017 (*1 *2) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-768)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-3970 (*1 *2) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-768)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-4238 (*1 *2) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-121)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-1536 (*1 *2 *3 *3) (-12 (-4 *3 (-1213)) (-4 *5 (-1233 *3)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-121)) (-5 *1 (-340 *4 *3 *5 *6)) (-4 *4 (-341 *3 *5 *6)))) (-3078 (*1 *2) (|partial| -12 (-4 *4 (-1213)) (-4 *5 (-1233 (-412 *2))) (-4 *2 (-1233 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) (-2872 (*1 *2) (|partial| -12 (-4 *4 (-1213)) (-4 *5 (-1233 (-412 *2))) (-4 *2 (-1233 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) (-1915 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *5 (-1213)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-5 *2 (-637 (-958 *5))) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *4 (-341 *5 *6 *7)))) (-3000 (*1 *2) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-637 (-637 *4))) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6))))) 
+(-10 -8 (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3000 ((-637 (-637 |#2|)))) (-15 -1915 ((-637 (-958 |#2|)) (-1169))) (-15 -1726 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -2872 ((-3 |#3| "failed"))) (-15 -3078 ((-3 |#3| "failed"))) (-15 -3245 (|#2| |#1| |#2| |#2|)) (-15 -3630 (|#1| |#1|)) (-15 -3456 (|#1| (-1258 |#3|) |#3|)) (-15 -3096 (|#1| |#1| (-1 |#3| |#3|))) (-15 -4217 ((-121) |#1| |#3|)) (-15 -4217 ((-121) |#1| |#2|)) (-15 -1818 ((-2 (|:| |num| (-1258 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -4078 ((-1258 |#1|) (-1258 |#1|))) (-15 -2653 ((-1258 |#1|) (-1258 |#1|))) (-15 -2260 ((-1258 |#1|) (-1258 |#1|))) (-15 -4217 ((-121) |#1|)) (-15 -2446 ((-121) |#1|)) (-15 -1536 ((-121) |#2| |#2|)) (-15 -4238 ((-121))) (-15 -3970 ((-768))) (-15 -2017 ((-768))) (-15 -3096 (|#1| |#1| (-1 (-412 |#3|) (-412 |#3|)))) (-15 -3096 (|#1| |#1| (-1 (-412 |#3|) (-412 |#3|)) (-768))) (-15 -3456 (|#1| (-1258 (-412 |#3|)))) (-15 -3456 (|#1| (-1258 (-412 |#3|)) (-1258 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-1818 (((-2 (|:| |num| (-1258 |#2|)) (|:| |den| |#2|)) $) 181)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 88 (|has| (-412 |#2|) (-367)))) (-1415 (($ $) 89 (|has| (-412 |#2|) (-367)))) (-2545 (((-121) $) 91 (|has| (-412 |#2|) (-367)))) (-2076 (((-684 (-412 |#2|)) (-1258 $)) 44) (((-684 (-412 |#2|))) 55)) (-3490 (((-412 |#2|) $) 50)) (-1747 (((-1177 (-922) (-768)) (-571)) 142 (|has| (-412 |#2|) (-352)))) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 108 (|has| (-412 |#2|) (-367)))) (-4151 (((-423 $) $) 109 (|has| (-412 |#2|) (-367)))) (-1295 (((-121) $ $) 99 (|has| (-412 |#2|) (-367)))) (-4407 (((-768)) 81 (|has| (-412 |#2|) (-373)))) (-3728 (((-121)) 198)) (-1634 (((-121) |#1|) 197) (((-121) |#2|) 196)) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 164 (|has| (-412 |#2|) (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) 162 (|has| (-412 |#2|) (-1043 (-412 (-571))))) (((-3 (-412 |#2|) "failed") $) 161)) (-1316 (((-571) $) 165 (|has| (-412 |#2|) (-1043 (-571)))) (((-412 (-571)) $) 163 (|has| (-412 |#2|) (-1043 (-412 (-571))))) (((-412 |#2|) $) 160)) (-3456 (($ (-1258 (-412 |#2|)) (-1258 $)) 46) (($ (-1258 (-412 |#2|))) 58) (($ (-1258 |#2|) |#2|) 174)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 148 (|has| (-412 |#2|) (-352)))) (-2162 (($ $ $) 103 (|has| (-412 |#2|) (-367)))) (-3962 (((-684 (-412 |#2|)) $ (-1258 $)) 51) (((-684 (-412 |#2|)) $) 53)) (-2680 (((-684 (-571)) (-684 $)) 159 (|has| (-412 |#2|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 158 (|has| (-412 |#2|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-412 |#2|))) (|:| |vec| (-1258 (-412 |#2|)))) (-684 $) (-1258 $)) 157) (((-684 (-412 |#2|)) (-684 $)) 156)) (-4078 (((-1258 $) (-1258 $)) 186)) (-3074 (($ |#3|) 153) (((-3 $ "failed") (-412 |#3|)) 150 (|has| (-412 |#2|) (-367)))) (-3978 (((-3 $ "failed") $) 33)) (-3000 (((-637 (-637 |#1|))) 167 (|has| |#1| (-373)))) (-1536 (((-121) |#1| |#1|) 202)) (-3241 (((-922)) 52)) (-3254 (($) 84 (|has| (-412 |#2|) (-373)))) (-4009 (((-121)) 195)) (-3543 (((-121) |#1|) 194) (((-121) |#2|) 193)) (-2180 (($ $ $) 102 (|has| (-412 |#2|) (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 97 (|has| (-412 |#2|) (-367)))) (-3630 (($ $) 173)) (-1962 (($) 144 (|has| (-412 |#2|) (-352)))) (-2854 (((-121) $) 145 (|has| (-412 |#2|) (-352)))) (-2442 (($ $ (-768)) 136 (|has| (-412 |#2|) (-352))) (($ $) 135 (|has| (-412 |#2|) (-352)))) (-1596 (((-121) $) 110 (|has| (-412 |#2|) (-367)))) (-3347 (((-922) $) 147 (|has| (-412 |#2|) (-352))) (((-833 (-922)) $) 133 (|has| (-412 |#2|) (-352)))) (-2583 (((-121) $) 30)) (-2017 (((-768)) 205)) (-2653 (((-1258 $) (-1258 $)) 187)) (-3477 (((-412 |#2|) $) 49)) (-1915 (((-637 (-958 |#1|)) (-1169)) 168 (|has| |#1| (-367)))) (-2596 (((-3 $ "failed") $) 137 (|has| (-412 |#2|) (-352)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 106 (|has| (-412 |#2|) (-367)))) (-4400 ((|#3| $) 42 (|has| (-412 |#2|) (-367)))) (-4470 (((-922) $) 83 (|has| (-412 |#2|) (-373)))) (-3069 ((|#3| $) 151)) (-1622 (($ (-637 $)) 95 (|has| (-412 |#2|) (-367))) (($ $ $) 94 (|has| (-412 |#2|) (-367)))) (-3944 (((-1151) $) 9)) (-4471 (((-684 (-412 |#2|))) 182)) (-2401 (((-684 (-412 |#2|))) 184)) (-4315 (($ $) 111 (|has| (-412 |#2|) (-367)))) (-3915 (($ (-1258 |#2|) |#2|) 179)) (-1929 (((-684 (-412 |#2|))) 183)) (-3005 (((-684 (-412 |#2|))) 185)) (-1519 (((-2 (|:| |num| (-684 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 178)) (-2146 (((-2 (|:| |num| (-1258 |#2|)) (|:| |den| |#2|)) $) 180)) (-3633 (((-1258 $)) 191)) (-1659 (((-1258 $)) 192)) (-2446 (((-121) $) 190)) (-4217 (((-121) $) 189) (((-121) $ |#1|) 177) (((-121) $ |#2|) 176)) (-1757 (($) 138 (|has| (-412 |#2|) (-352)) CONST)) (-1755 (($ (-922)) 82 (|has| (-412 |#2|) (-373)))) (-2872 (((-3 |#2| "failed")) 170)) (-2580 (((-1115) $) 10)) (-3970 (((-768)) 204)) (-2280 (($) 155)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 96 (|has| (-412 |#2|) (-367)))) (-3026 (($ (-637 $)) 93 (|has| (-412 |#2|) (-367))) (($ $ $) 92 (|has| (-412 |#2|) (-367)))) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) 141 (|has| (-412 |#2|) (-352)))) (-4262 (((-423 $) $) 107 (|has| (-412 |#2|) (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105 (|has| (-412 |#2|) (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 104 (|has| (-412 |#2|) (-367)))) (-1786 (((-3 $ "failed") $ $) 87 (|has| (-412 |#2|) (-367)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 98 (|has| (-412 |#2|) (-367)))) (-1826 (((-768) $) 100 (|has| (-412 |#2|) (-367)))) (-3804 (((-637 $)) 85 (|has| (-412 |#2|) (-373)))) (-3245 ((|#1| $ |#1| |#1|) 172)) (-3078 (((-3 |#2| "failed")) 171)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 101 (|has| (-412 |#2|) (-367)))) (-1475 (((-412 |#2|) (-1258 $)) 45) (((-412 |#2|)) 54)) (-1305 (((-768) $) 146 (|has| (-412 |#2|) (-352))) (((-3 (-768) "failed") $ $) 134 (|has| (-412 |#2|) (-352)))) (-3096 (($ $ (-1 (-412 |#2|) (-412 |#2|)) (-768)) 118 (|has| (-412 |#2|) (-367))) (($ $ (-1 (-412 |#2|) (-412 |#2|))) 117 (|has| (-412 |#2|) (-367))) (($ $ (-1 |#2| |#2|)) 175) (($ $ (-637 (-1169)) (-637 (-768))) 125 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169)))) (-3997 (|has| (-412 |#2|) (-900 (-1169))) (|has| (-412 |#2|) (-367))))) (($ $ (-1169) (-768)) 126 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169)))) (-3997 (|has| (-412 |#2|) (-900 (-1169))) (|has| (-412 |#2|) (-367))))) (($ $ (-637 (-1169))) 127 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169)))) (-3997 (|has| (-412 |#2|) (-900 (-1169))) (|has| (-412 |#2|) (-367))))) (($ $ (-1169)) 128 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169)))) (-3997 (|has| (-412 |#2|) (-900 (-1169))) (|has| (-412 |#2|) (-367))))) (($ $ (-768)) 130 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-226))) (-3997 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352)))) (($ $) 132 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-226))) (-3997 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352))))) (-3023 (((-684 (-412 |#2|)) (-1258 $) (-1 (-412 |#2|) (-412 |#2|))) 149 (|has| (-412 |#2|) (-367)))) (-3413 ((|#3|) 154)) (-4481 (($) 143 (|has| (-412 |#2|) (-352)))) (-3723 (((-1258 (-412 |#2|)) $ (-1258 $)) 48) (((-684 (-412 |#2|)) (-1258 $) (-1258 $)) 47) (((-1258 (-412 |#2|)) $) 60) (((-684 (-412 |#2|)) (-1258 $)) 59)) (-4050 (((-1258 (-412 |#2|)) $) 57) (($ (-1258 (-412 |#2|))) 56) ((|#3| $) 166) (($ |#3|) 152)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 140 (|has| (-412 |#2|) (-352)))) (-2260 (((-1258 $) (-1258 $)) 188)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ (-412 |#2|)) 36) (($ (-412 (-571))) 80 (-1831 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-1043 (-412 (-571)))))) (($ $) 86 (|has| (-412 |#2|) (-367)))) (-2346 (($ $) 139 (|has| (-412 |#2|) (-352))) (((-3 $ "failed") $) 41 (|has| (-412 |#2|) (-149)))) (-3393 ((|#3| $) 43)) (-2661 (((-768)) 28)) (-1363 (((-121)) 201)) (-3288 (((-121) |#1|) 200) (((-121) |#2|) 199)) (-1899 (((-1258 $)) 61)) (-1388 (((-121) $ $) 90 (|has| (-412 |#2|) (-367)))) (-1726 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) 169)) (-4238 (((-121)) 203)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 112 (|has| (-412 |#2|) (-367)))) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-1 (-412 |#2|) (-412 |#2|)) (-768)) 120 (|has| (-412 |#2|) (-367))) (($ $ (-1 (-412 |#2|) (-412 |#2|))) 119 (|has| (-412 |#2|) (-367))) (($ $ (-637 (-1169)) (-637 (-768))) 121 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169)))) (-3997 (|has| (-412 |#2|) (-900 (-1169))) (|has| (-412 |#2|) (-367))))) (($ $ (-1169) (-768)) 122 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169)))) (-3997 (|has| (-412 |#2|) (-900 (-1169))) (|has| (-412 |#2|) (-367))))) (($ $ (-637 (-1169))) 123 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169)))) (-3997 (|has| (-412 |#2|) (-900 (-1169))) (|has| (-412 |#2|) (-367))))) (($ $ (-1169)) 124 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169)))) (-3997 (|has| (-412 |#2|) (-900 (-1169))) (|has| (-412 |#2|) (-367))))) (($ $ (-768)) 129 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-226))) (-3997 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352)))) (($ $) 131 (-1831 (-3997 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-226))) (-3997 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352))))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 116 (|has| (-412 |#2|) (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 113 (|has| (-412 |#2|) (-367)))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 |#2|)) 38) (($ (-412 |#2|) $) 37) (($ (-412 (-571)) $) 115 (|has| (-412 |#2|) (-367))) (($ $ (-412 (-571))) 114 (|has| (-412 |#2|) (-367))))) 
+(((-341 |#1| |#2| |#3|) (-1289) (-1213) (-1233 |t#1|) (-1233 (-412 |t#2|))) (T -341)) 
+((-2017 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-768)))) (-3970 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-768)))) (-4238 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-1536 (*1 *2 *3 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-1363 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-3288 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-3288 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1213)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 (-412 *3))) (-5 *2 (-121)))) (-3728 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-1634 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-1634 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1213)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 (-412 *3))) (-5 *2 (-121)))) (-4009 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-3543 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-3543 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1213)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 (-412 *3))) (-5 *2 (-121)))) (-1659 (*1 *2) (-12 (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-1258 *1)) (-4 *1 (-341 *3 *4 *5)))) (-3633 (*1 *2) (-12 (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-1258 *1)) (-4 *1 (-341 *3 *4 *5)))) (-2446 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-4217 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-2260 (*1 *2 *2) (-12 (-5 *2 (-1258 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))))) (-2653 (*1 *2 *2) (-12 (-5 *2 (-1258 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))))) (-4078 (*1 *2 *2) (-12 (-5 *2 (-1258 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))))) (-3005 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-684 (-412 *4))))) (-2401 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-684 (-412 *4))))) (-1929 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-684 (-412 *4))))) (-4471 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-684 (-412 *4))))) (-1818 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-2 (|:| |num| (-1258 *4)) (|:| |den| *4))))) (-2146 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-2 (|:| |num| (-1258 *4)) (|:| |den| *4))))) (-3915 (*1 *1 *2 *3) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-1233 *4)) (-4 *4 (-1213)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1233 (-412 *3))))) (-1519 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-2 (|:| |num| (-684 *5)) (|:| |den| *5))))) (-4217 (*1 *2 *1 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) (-4217 (*1 *2 *1 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1213)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 (-412 *3))) (-5 *2 (-121)))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))))) (-3456 (*1 *1 *2 *3) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-1233 *4)) (-4 *4 (-1213)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1233 (-412 *3))))) (-3630 (*1 *1 *1) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1213)) (-4 *3 (-1233 *2)) (-4 *4 (-1233 (-412 *3))))) (-3245 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1213)) (-4 *3 (-1233 *2)) (-4 *4 (-1233 (-412 *3))))) (-3078 (*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1213)) (-4 *4 (-1233 (-412 *2))) (-4 *2 (-1233 *3)))) (-2872 (*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1213)) (-4 *4 (-1233 (-412 *2))) (-4 *2 (-1233 *3)))) (-1726 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1233 *4)) (-4 *4 (-1213)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-341 *4 *5 *6)))) (-1915 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-4 *4 (-367)) (-5 *2 (-637 (-958 *4))))) (-3000 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *3 (-373)) (-5 *2 (-637 (-637 *3)))))) 
+(-13 (-719 (-412 |t#2|) |t#3|) (-10 -8 (-15 -2017 ((-768))) (-15 -3970 ((-768))) (-15 -4238 ((-121))) (-15 -1536 ((-121) |t#1| |t#1|)) (-15 -1363 ((-121))) (-15 -3288 ((-121) |t#1|)) (-15 -3288 ((-121) |t#2|)) (-15 -3728 ((-121))) (-15 -1634 ((-121) |t#1|)) (-15 -1634 ((-121) |t#2|)) (-15 -4009 ((-121))) (-15 -3543 ((-121) |t#1|)) (-15 -3543 ((-121) |t#2|)) (-15 -1659 ((-1258 $))) (-15 -3633 ((-1258 $))) (-15 -2446 ((-121) $)) (-15 -4217 ((-121) $)) (-15 -2260 ((-1258 $) (-1258 $))) (-15 -2653 ((-1258 $) (-1258 $))) (-15 -4078 ((-1258 $) (-1258 $))) (-15 -3005 ((-684 (-412 |t#2|)))) (-15 -2401 ((-684 (-412 |t#2|)))) (-15 -1929 ((-684 (-412 |t#2|)))) (-15 -4471 ((-684 (-412 |t#2|)))) (-15 -1818 ((-2 (|:| |num| (-1258 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -3456 ($ (-1258 |t#2|) |t#2|)) (-15 -2146 ((-2 (|:| |num| (-1258 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -3915 ($ (-1258 |t#2|) |t#2|)) (-15 -1519 ((-2 (|:| |num| (-684 |t#2|)) (|:| |den| |t#2|)) (-1 |t#2| |t#2|))) (-15 -4217 ((-121) $ |t#1|)) (-15 -4217 ((-121) $ |t#2|)) (-15 -3096 ($ $ (-1 |t#2| |t#2|))) (-15 -3456 ($ (-1258 |t#2|) |t#2|)) (-15 -3630 ($ $)) (-15 -3245 (|t#1| $ |t#1| |t#1|)) (-15 -3078 ((-3 |t#2| "failed"))) (-15 -2872 ((-3 |t#2| "failed"))) (-15 -1726 ((-2 (|:| |num| $) (|:| |den| |t#2|) (|:| |derivden| |t#2|) (|:| |gd| |t#2|)) $ (-1 |t#2| |t#2|))) (IF (|has| |t#1| (-367)) (-15 -1915 ((-637 (-958 |t#1|)) (-1169))) |noBranch|) (IF (|has| |t#1| (-373)) (-15 -3000 ((-637 (-637 |t#1|)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-43 (-412 |#2|)) . T) ((-43 $) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-120 (-412 |#2|) (-412 |#2|)) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-149))) ((-151) |has| (-412 |#2|) (-151)) ((-611 (-855)) . T) ((-173) . T) ((-612 |#3|) . T) ((-224 (-412 |#2|)) |has| (-412 |#2|) (-367)) ((-226) -1831 (|has| (-412 |#2|) (-352)) (-12 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367)))) ((-239) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-286) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-302) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-367) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-407) |has| (-412 |#2|) (-352)) ((-373) -1831 (|has| (-412 |#2|) (-373)) (|has| (-412 |#2|) (-352))) ((-352) |has| (-412 |#2|) (-352)) ((-375 (-412 |#2|) |#3|) . T) ((-414 (-412 |#2|) |#3|) . T) ((-382 (-412 |#2|)) . T) ((-416 (-412 |#2|)) . T) ((-456) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-561) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-640 (-412 (-571))) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-640 (-412 |#2|)) . T) ((-640 $) . T) ((-633 (-412 |#2|)) . T) ((-633 (-571)) |has| (-412 |#2|) (-633 (-571))) ((-712 (-412 (-571))) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-712 (-412 |#2|)) . T) ((-712 $) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-719 (-412 |#2|) |#3|) . T) ((-721) . T) ((-900 (-1169)) -12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169)))) ((-921) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-1043 (-412 (-571))) |has| (-412 |#2|) (-1043 (-412 (-571)))) ((-1043 (-412 |#2|)) . T) ((-1043 (-571)) |has| (-412 |#2|) (-1043 (-571))) ((-1059 (-412 (-571))) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367))) ((-1059 (-412 |#2|)) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1143) |has| (-412 |#2|) (-352)) ((-1213) -1831 (|has| (-412 |#2|) (-352)) (|has| (-412 |#2|) (-367)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 (((-910 |#1|) $) NIL) (($ $ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| (-910 |#1|) (-373)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) NIL (|has| (-910 |#1|) (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-910 |#1|) "failed") $) NIL)) (-1316 (((-910 |#1|) $) NIL)) (-3456 (($ (-1258 (-910 |#1|))) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-910 |#1|) (-373)))) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-910 |#1|) (-373)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) NIL (|has| (-910 |#1|) (-373)))) (-2854 (((-121) $) NIL (|has| (-910 |#1|) (-373)))) (-2442 (($ $ (-768)) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373)))) (($ $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-1596 (((-121) $) NIL)) (-3347 (((-922) $) NIL (|has| (-910 |#1|) (-373))) (((-833 (-922)) $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-2583 (((-121) $) NIL)) (-2035 (($) NIL (|has| (-910 |#1|) (-373)))) (-4230 (((-121) $) NIL (|has| (-910 |#1|) (-373)))) (-3477 (((-910 |#1|) $) NIL) (($ $ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-2596 (((-3 $ "failed") $) NIL (|has| (-910 |#1|) (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 (-910 |#1|)) $) NIL) (((-1165 $) $ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-4470 (((-922) $) NIL (|has| (-910 |#1|) (-373)))) (-3641 (((-1165 (-910 |#1|)) $) NIL (|has| (-910 |#1|) (-373)))) (-4089 (((-1165 (-910 |#1|)) $) NIL (|has| (-910 |#1|) (-373))) (((-3 (-1165 (-910 |#1|)) "failed") $ $) NIL (|has| (-910 |#1|) (-373)))) (-2690 (($ $ (-1165 (-910 |#1|))) NIL (|has| (-910 |#1|) (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-910 |#1|) (-373)) CONST)) (-1755 (($ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-3538 (((-964 (-1115))) NIL)) (-2280 (($) NIL (|has| (-910 |#1|) (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| (-910 |#1|) (-373)))) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL) (((-922)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL (|has| (-910 |#1|) (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-768) $) NIL (|has| (-910 |#1|) (-373))) (((-3 (-768) "failed") $ $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-3847 (((-140)) NIL)) (-3096 (($ $) NIL (|has| (-910 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-910 |#1|) (-373)))) (-2400 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-3413 (((-1165 (-910 |#1|))) NIL)) (-4481 (($) NIL (|has| (-910 |#1|) (-373)))) (-4469 (($) NIL (|has| (-910 |#1|) (-373)))) (-3723 (((-1258 (-910 |#1|)) $) NIL) (((-684 (-910 |#1|)) (-1258 $)) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| (-910 |#1|) (-373)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ (-910 |#1|)) NIL)) (-2346 (($ $) NIL (|has| (-910 |#1|) (-373))) (((-3 $ "failed") $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-2661 (((-768)) NIL)) (-1899 (((-1258 $)) NIL) (((-1258 $) (-922)) NIL)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-4526 (($ $) NIL (|has| (-910 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-910 |#1|) (-373)))) (-1544 (($ $) NIL (|has| (-910 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-910 |#1|) (-373)))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL) (($ $ (-910 |#1|)) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ $ (-910 |#1|)) NIL) (($ (-910 |#1|) $) NIL))) 
+(((-342 |#1| |#2|) (-13 (-328 (-910 |#1|)) (-10 -7 (-15 -3538 ((-964 (-1115)))))) (-922) (-922)) (T -342)) 
+((-3538 (*1 *2) (-12 (-5 *2 (-964 (-1115))) (-5 *1 (-342 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922))))) 
+(-13 (-328 (-910 |#1|)) (-10 -7 (-15 -3538 ((-964 (-1115)))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 46)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 ((|#1| $) NIL) (($ $ (-922)) NIL (|has| |#1| (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) 43 (|has| |#1| (-373)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) NIL (|has| |#1| (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) 113)) (-1316 ((|#1| $) 84)) (-3456 (($ (-1258 |#1|)) 102)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 93 (|has| |#1| (-373)))) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) 96 (|has| |#1| (-373)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) 128 (|has| |#1| (-373)))) (-2854 (((-121) $) 49 (|has| |#1| (-373)))) (-2442 (($ $ (-768)) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373)))) (($ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-1596 (((-121) $) NIL)) (-3347 (((-922) $) 47 (|has| |#1| (-373))) (((-833 (-922)) $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2583 (((-121) $) NIL)) (-2035 (($) 130 (|has| |#1| (-373)))) (-4230 (((-121) $) NIL (|has| |#1| (-373)))) (-3477 ((|#1| $) NIL) (($ $ (-922)) NIL (|has| |#1| (-373)))) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 |#1|) $) 88) (((-1165 $) $ (-922)) NIL (|has| |#1| (-373)))) (-4470 (((-922) $) 138 (|has| |#1| (-373)))) (-3641 (((-1165 |#1|) $) NIL (|has| |#1| (-373)))) (-4089 (((-1165 |#1|) $) NIL (|has| |#1| (-373))) (((-3 (-1165 |#1|) "failed") $ $) NIL (|has| |#1| (-373)))) (-2690 (($ $ (-1165 |#1|)) NIL (|has| |#1| (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 145)) (-1757 (($) NIL (|has| |#1| (-373)) CONST)) (-1755 (($ (-922)) 70 (|has| |#1| (-373)))) (-3527 (((-121) $) 116)) (-2580 (((-1115) $) NIL)) (-3538 (((-964 (-1115))) 44)) (-2280 (($) 126 (|has| |#1| (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) 91 (|has| |#1| (-373)))) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) 67) (((-922)) 68)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-768) $) 129 (|has| |#1| (-373))) (((-3 (-768) "failed") $ $) 123 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-3847 (((-140)) NIL)) (-3096 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-2400 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-3413 (((-1165 |#1|)) 94)) (-4481 (($) 127 (|has| |#1| (-373)))) (-4469 (($) 135 (|has| |#1| (-373)))) (-3723 (((-1258 |#1|) $) 59) (((-684 |#1|) (-1258 $)) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| |#1| (-373)))) (-3942 (((-855) $) 141) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ |#1|) 74)) (-2346 (($ $) NIL (|has| |#1| (-373))) (((-3 $ "failed") $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2661 (((-768)) 137)) (-1899 (((-1258 $)) 115) (((-1258 $) (-922)) 72)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 32 T CONST)) (-3222 (($) 19 T CONST)) (-4526 (($ $) 80 (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1544 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1323 (((-121) $ $) 48)) (-1379 (($ $ $) 143) (($ $ |#1|) 144)) (-1373 (($ $) 125) (($ $ $) NIL)) (-1367 (($ $ $) 61)) (** (($ $ (-922)) 147) (($ $ (-768)) 148) (($ $ (-571)) 146)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 76) (($ $ $) 75) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 142))) 
+(((-343 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -3538 ((-964 (-1115)))))) (-352) (-1165 |#1|)) (T -343)) 
+((-3538 (*1 *2) (-12 (-5 *2 (-964 (-1115))) (-5 *1 (-343 *3 *4)) (-4 *3 (-352)) (-14 *4 (-1165 *3))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -3538 ((-964 (-1115)))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 ((|#1| $) NIL) (($ $ (-922)) NIL (|has| |#1| (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| |#1| (-373)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) NIL (|has| |#1| (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-3456 (($ (-1258 |#1|)) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-373)))) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| |#1| (-373)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) NIL (|has| |#1| (-373)))) (-2854 (((-121) $) NIL (|has| |#1| (-373)))) (-2442 (($ $ (-768)) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373)))) (($ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-1596 (((-121) $) NIL)) (-3347 (((-922) $) NIL (|has| |#1| (-373))) (((-833 (-922)) $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2583 (((-121) $) NIL)) (-2035 (($) NIL (|has| |#1| (-373)))) (-4230 (((-121) $) NIL (|has| |#1| (-373)))) (-3477 ((|#1| $) NIL) (($ $ (-922)) NIL (|has| |#1| (-373)))) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 |#1|) $) NIL) (((-1165 $) $ (-922)) NIL (|has| |#1| (-373)))) (-4470 (((-922) $) NIL (|has| |#1| (-373)))) (-3641 (((-1165 |#1|) $) NIL (|has| |#1| (-373)))) (-4089 (((-1165 |#1|) $) NIL (|has| |#1| (-373))) (((-3 (-1165 |#1|) "failed") $ $) NIL (|has| |#1| (-373)))) (-2690 (($ $ (-1165 |#1|)) NIL (|has| |#1| (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| |#1| (-373)) CONST)) (-1755 (($ (-922)) NIL (|has| |#1| (-373)))) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-3538 (((-964 (-1115))) NIL)) (-2280 (($) NIL (|has| |#1| (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| |#1| (-373)))) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL) (((-922)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-768) $) NIL (|has| |#1| (-373))) (((-3 (-768) "failed") $ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-3847 (((-140)) NIL)) (-3096 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-2400 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-3413 (((-1165 |#1|)) NIL)) (-4481 (($) NIL (|has| |#1| (-373)))) (-4469 (($) NIL (|has| |#1| (-373)))) (-3723 (((-1258 |#1|) $) NIL) (((-684 |#1|) (-1258 $)) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| |#1| (-373)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ |#1|) NIL)) (-2346 (($ $) NIL (|has| |#1| (-373))) (((-3 $ "failed") $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2661 (((-768)) NIL)) (-1899 (((-1258 $)) NIL) (((-1258 $) (-922)) NIL)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-4526 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1544 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-344 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -3538 ((-964 (-1115)))))) (-352) (-922)) (T -344)) 
+((-3538 (*1 *2) (-12 (-5 *2 (-964 (-1115))) (-5 *1 (-344 *3 *4)) (-4 *3 (-352)) (-14 *4 (-922))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -3538 ((-964 (-1115)))))) 
+((-2433 (((-121) |#2|) 68)) (-3459 (((-423 |#2|) |#2|) 56)) (-1880 (((-423 |#2|) |#2|) 58)) (-4525 (((-637 |#2|) |#2|) 61)) (-2689 (((-637 |#2|) |#2| (-768)) 62)) (-4262 (((-423 |#2|) |#2|) 59))) 
+(((-345 |#1| |#2|) (-10 -7 (-15 -4525 ((-637 |#2|) |#2|)) (-15 -2689 ((-637 |#2|) |#2| (-768))) (-15 -4262 ((-423 |#2|) |#2|)) (-15 -3459 ((-423 |#2|) |#2|)) (-15 -1880 ((-423 |#2|) |#2|)) (-15 -2433 ((-121) |#2|))) (-352) (-1233 |#1|)) (T -345)) 
+((-2433 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1233 *4)))) (-1880 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1233 *4)))) (-3459 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1233 *4)))) (-4262 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1233 *4)))) (-2689 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-352)) (-5 *2 (-637 *3)) (-5 *1 (-345 *5 *3)) (-4 *3 (-1233 *5)))) (-4525 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-637 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -4525 ((-637 |#2|) |#2|)) (-15 -2689 ((-637 |#2|) |#2| (-768))) (-15 -4262 ((-423 |#2|) |#2|)) (-15 -3459 ((-423 |#2|) |#2|)) (-15 -1880 ((-423 |#2|) |#2|)) (-15 -2433 ((-121) |#2|))) 
+((-2433 (((-121) |#2|) 68)) (-3459 (((-423 |#2|) |#2|) 56)) (-1880 (((-423 |#2|) |#2|) 58)) (-4525 (((-637 |#2|) |#2|) 61)) (-2689 (((-637 |#2|) |#2| (-768)) 62)) (-4262 (((-423 |#2|) |#2|) 59))) 
+(((-346 |#1| |#2|) (-10 -7 (-15 -4525 ((-637 |#2|) |#2|)) (-15 -2689 ((-637 |#2|) |#2| (-768))) (-15 -4262 ((-423 |#2|) |#2|)) (-15 -3459 ((-423 |#2|) |#2|)) (-15 -1880 ((-423 |#2|) |#2|)) (-15 -2433 ((-121) |#2|))) (-352) (-1233 |#1|)) (T -346)) 
+((-2433 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-346 *4 *3)) (-4 *3 (-1233 *4)))) (-1880 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-346 *4 *3)) (-4 *3 (-1233 *4)))) (-3459 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-346 *4 *3)) (-4 *3 (-1233 *4)))) (-4262 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-346 *4 *3)) (-4 *3 (-1233 *4)))) (-2689 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-352)) (-5 *2 (-637 *3)) (-5 *1 (-346 *5 *3)) (-4 *3 (-1233 *5)))) (-4525 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-637 *3)) (-5 *1 (-346 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -4525 ((-637 |#2|) |#2|)) (-15 -2689 ((-637 |#2|) |#2| (-768))) (-15 -4262 ((-423 |#2|) |#2|)) (-15 -3459 ((-423 |#2|) |#2|)) (-15 -1880 ((-423 |#2|) |#2|)) (-15 -2433 ((-121) |#2|))) 
+((-4105 (((-1149 (-684 (-1165 |#1|))) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#3|) (-768) (-768)) 54) (((-684 (-1165 |#1|)) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#3|) (-637 (-768))) 42))) 
+(((-347 |#1| |#2| |#3|) (-10 -7 (-15 -4105 ((-684 (-1165 |#1|)) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#3|) (-637 (-768)))) (-15 -4105 ((-1149 (-684 (-1165 |#1|))) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#3|) (-768) (-768)))) (-13 (-561) (-456)) (-325 |#1| (-768)) (-325 (-412 |#1|) (-768))) (T -347)) 
+((-4105 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-637 *7)) (-5 *4 (-1 *7 (-768) (-768) *8)) (-5 *5 (-1258 *9)) (-5 *6 (-768)) (-4 *7 (-13 (-561) (-456))) (-4 *8 (-325 *7 *6)) (-4 *9 (-325 (-412 *7) *6)) (-5 *2 (-1149 (-684 (-1165 *7)))) (-5 *1 (-347 *7 *8 *9)))) (-4105 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-637 *7)) (-5 *4 (-1 *7 (-768) (-768) *8)) (-5 *5 (-1258 *9)) (-5 *6 (-637 (-768))) (-4 *7 (-13 (-561) (-456))) (-4 *8 (-325 *7 (-768))) (-4 *9 (-325 (-412 *7) (-768))) (-5 *2 (-684 (-1165 *7))) (-5 *1 (-347 *7 *8 *9))))) 
+(-10 -7 (-15 -4105 ((-684 (-1165 |#1|)) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#3|) (-637 (-768)))) (-15 -4105 ((-1149 (-684 (-1165 |#1|))) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#3|) (-768) (-768)))) 
+((-3991 (((-637 |#1|) |#1| (-768)) 21)) (-2722 ((|#1| |#1| (-768) (-768) |#2|) 20)) (-2429 (((-412 (-1165 |#1|)) (-637 (-412 |#1|)) (-637 (-412 |#1|)) (-768)) 75) (((-412 (-1165 |#1|)) (-637 |#1|) (-637 |#1|) (-768)) 68)) (-4105 (((-1149 (-684 (-1165 |#1|))) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#2|) (-768) (-768)) 62) (((-684 (-1165 |#1|)) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#2|) (-637 (-768))) 44)) (-2306 ((|#1| (-1 |#1| (-768) (-768) |#2|) (-1258 |#2|) (-768) (-1258 (-1165 |#1|))) 37)) (-4396 (((-684 (-1165 |#1|)) (-637 |#1|) (-1 |#1| (-768) (-1258 (-1165 |#1|))) (-637 (-768))) 43)) (-2730 (((-637 |#1|) (-768)) 17)) (-2066 ((|#1| (-768) (-768) |#2|) 11)) (-4312 (((-637 |#1|) (-768)) 24)) (-4039 ((|#1| (-768) (-768) |#2|) 22))) 
+(((-348 |#1| |#2|) (-10 -7 (-15 -4396 ((-684 (-1165 |#1|)) (-637 |#1|) (-1 |#1| (-768) (-1258 (-1165 |#1|))) (-637 (-768)))) (-15 -2429 ((-412 (-1165 |#1|)) (-637 |#1|) (-637 |#1|) (-768))) (-15 -2429 ((-412 (-1165 |#1|)) (-637 (-412 |#1|)) (-637 (-412 |#1|)) (-768))) (-15 -4105 ((-684 (-1165 |#1|)) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#2|) (-637 (-768)))) (-15 -4105 ((-1149 (-684 (-1165 |#1|))) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#2|) (-768) (-768))) (-15 -2306 (|#1| (-1 |#1| (-768) (-768) |#2|) (-1258 |#2|) (-768) (-1258 (-1165 |#1|)))) (-15 -2066 (|#1| (-768) (-768) |#2|)) (-15 -2730 ((-637 |#1|) (-768))) (-15 -4039 (|#1| (-768) (-768) |#2|)) (-15 -4312 ((-637 |#1|) (-768))) (-15 -2722 (|#1| |#1| (-768) (-768) |#2|)) (-15 -3991 ((-637 |#1|) |#1| (-768)))) (-13 (-561) (-456)) (-52 |#1| (-768))) (T -348)) 
+((-3991 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *3 (-13 (-561) (-456))) (-5 *2 (-637 *3)) (-5 *1 (-348 *3 *5)) (-4 *5 (-52 *3 *4)))) (-2722 (*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-768)) (-4 *2 (-13 (-561) (-456))) (-5 *1 (-348 *2 *4)) (-4 *4 (-52 *2 *3)))) (-4312 (*1 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-13 (-561) (-456))) (-5 *2 (-637 *4)) (-5 *1 (-348 *4 *5)) (-4 *5 (-52 *4 *3)))) (-4039 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-768)) (-4 *2 (-13 (-561) (-456))) (-5 *1 (-348 *2 *4)) (-4 *4 (-52 *2 *3)))) (-2730 (*1 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-13 (-561) (-456))) (-5 *2 (-637 *4)) (-5 *1 (-348 *4 *5)) (-4 *5 (-52 *4 *3)))) (-2066 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-768)) (-4 *2 (-13 (-561) (-456))) (-5 *1 (-348 *2 *4)) (-4 *4 (-52 *2 *3)))) (-2306 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-768) (-768) *7)) (-5 *4 (-1258 *7)) (-5 *5 (-768)) (-5 *6 (-1258 (-1165 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-561) (-456))) (-5 *1 (-348 *2 *7)))) (-4105 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-637 *7)) (-5 *4 (-1 *7 (-768) (-768) *8)) (-5 *5 (-1258 *8)) (-5 *6 (-768)) (-4 *7 (-13 (-561) (-456))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1149 (-684 (-1165 *7)))) (-5 *1 (-348 *7 *8)))) (-4105 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-637 *7)) (-5 *4 (-1 *7 (-768) (-768) *8)) (-5 *5 (-1258 *8)) (-5 *6 (-637 (-768))) (-4 *7 (-13 (-561) (-456))) (-4 *8 (-52 *7 (-768))) (-5 *2 (-684 (-1165 *7))) (-5 *1 (-348 *7 *8)))) (-2429 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-637 (-412 *5))) (-4 *5 (-13 (-561) (-456))) (-5 *4 (-768)) (-5 *2 (-412 (-1165 *5))) (-5 *1 (-348 *5 *6)) (-4 *6 (-52 *5 *4)))) (-2429 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-637 *5)) (-4 *5 (-13 (-561) (-456))) (-5 *4 (-768)) (-5 *2 (-412 (-1165 *5))) (-5 *1 (-348 *5 *6)) (-4 *6 (-52 *5 *4)))) (-4396 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 *6)) (-5 *4 (-1 *6 (-768) (-1258 (-1165 *6)))) (-5 *5 (-637 (-768))) (-4 *6 (-13 (-561) (-456))) (-5 *2 (-684 (-1165 *6))) (-5 *1 (-348 *6 *7)) (-4 *7 (-52 *6 (-768)))))) 
+(-10 -7 (-15 -4396 ((-684 (-1165 |#1|)) (-637 |#1|) (-1 |#1| (-768) (-1258 (-1165 |#1|))) (-637 (-768)))) (-15 -2429 ((-412 (-1165 |#1|)) (-637 |#1|) (-637 |#1|) (-768))) (-15 -2429 ((-412 (-1165 |#1|)) (-637 (-412 |#1|)) (-637 (-412 |#1|)) (-768))) (-15 -4105 ((-684 (-1165 |#1|)) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#2|) (-637 (-768)))) (-15 -4105 ((-1149 (-684 (-1165 |#1|))) (-637 |#1|) (-1 |#1| (-768) (-768) |#2|) (-1258 |#2|) (-768) (-768))) (-15 -2306 (|#1| (-1 |#1| (-768) (-768) |#2|) (-1258 |#2|) (-768) (-1258 (-1165 |#1|)))) (-15 -2066 (|#1| (-768) (-768) |#2|)) (-15 -2730 ((-637 |#1|) (-768))) (-15 -4039 (|#1| (-768) (-768) |#2|)) (-15 -4312 ((-637 |#1|) (-768))) (-15 -2722 (|#1| |#1| (-768) (-768) |#2|)) (-15 -3991 ((-637 |#1|) |#1| (-768)))) 
+((-2439 (((-768) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115)))))) 40)) (-2129 (((-964 (-1115)) (-1165 |#1|)) 84)) (-3735 (((-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))) (-1165 |#1|)) 77)) (-1998 (((-684 |#1|) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115)))))) 85)) (-2011 (((-3 (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))) "failed") (-922)) 10)) (-3062 (((-3 (-1165 |#1|) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115)))))) (-922)) 15))) 
+(((-349 |#1|) (-10 -7 (-15 -2129 ((-964 (-1115)) (-1165 |#1|))) (-15 -3735 ((-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))) (-1165 |#1|))) (-15 -1998 ((-684 |#1|) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))))) (-15 -2439 ((-768) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))))) (-15 -2011 ((-3 (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))) "failed") (-922))) (-15 -3062 ((-3 (-1165 |#1|) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115)))))) (-922)))) (-352)) (T -349)) 
+((-3062 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-3 (-1165 *4) (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115))))))) (-5 *1 (-349 *4)) (-4 *4 (-352)))) (-2011 (*1 *2 *3) (|partial| -12 (-5 *3 (-922)) (-5 *2 (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115)))))) (-5 *1 (-349 *4)) (-4 *4 (-352)))) (-2439 (*1 *2 *3) (-12 (-5 *3 (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115)))))) (-4 *4 (-352)) (-5 *2 (-768)) (-5 *1 (-349 *4)))) (-1998 (*1 *2 *3) (-12 (-5 *3 (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115)))))) (-4 *4 (-352)) (-5 *2 (-684 *4)) (-5 *1 (-349 *4)))) (-3735 (*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-352)) (-5 *2 (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115)))))) (-5 *1 (-349 *4)))) (-2129 (*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-352)) (-5 *2 (-964 (-1115))) (-5 *1 (-349 *4))))) 
+(-10 -7 (-15 -2129 ((-964 (-1115)) (-1165 |#1|))) (-15 -3735 ((-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))) (-1165 |#1|))) (-15 -1998 ((-684 |#1|) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))))) (-15 -2439 ((-768) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))))) (-15 -2011 ((-3 (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))) "failed") (-922))) (-15 -3062 ((-3 (-1165 |#1|) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115)))))) (-922)))) 
+((-3942 ((|#1| |#3|) 84) ((|#3| |#1|) 68))) 
+(((-350 |#1| |#2| |#3|) (-10 -7 (-15 -3942 (|#3| |#1|)) (-15 -3942 (|#1| |#3|))) (-328 |#2|) (-352) (-328 |#2|)) (T -350)) 
+((-3942 (*1 *2 *3) (-12 (-4 *4 (-352)) (-4 *2 (-328 *4)) (-5 *1 (-350 *2 *4 *3)) (-4 *3 (-328 *4)))) (-3942 (*1 *2 *3) (-12 (-4 *4 (-352)) (-4 *2 (-328 *4)) (-5 *1 (-350 *3 *4 *2)) (-4 *3 (-328 *4))))) 
+(-10 -7 (-15 -3942 (|#3| |#1|)) (-15 -3942 (|#1| |#3|))) 
+((-2854 (((-121) $) 50)) (-3347 (((-833 (-922)) $) 21) (((-922) $) 51)) (-2596 (((-3 $ "failed") $) 16)) (-1757 (($) 9)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 91)) (-1305 (((-3 (-768) "failed") $ $) 70) (((-768) $) 59)) (-3096 (($ $ (-768)) NIL) (($ $) 8)) (-4481 (($) 44)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 33)) (-2346 (((-3 $ "failed") $) 39) (($ $) 38))) 
+(((-351 |#1|) (-10 -8 (-15 -3347 ((-922) |#1|)) (-15 -1305 ((-768) |#1|)) (-15 -2854 ((-121) |#1|)) (-15 -4481 (|#1|)) (-15 -2041 ((-3 (-1258 |#1|) "failed") (-684 |#1|))) (-15 -2346 (|#1| |#1|)) (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -1757 (|#1|)) (-15 -2596 ((-3 |#1| "failed") |#1|)) (-15 -1305 ((-3 (-768) "failed") |#1| |#1|)) (-15 -3347 ((-833 (-922)) |#1|)) (-15 -2346 ((-3 |#1| "failed") |#1|)) (-15 -2184 ((-1165 |#1|) (-1165 |#1|) (-1165 |#1|)))) (-352)) (T -351)) 
+NIL 
+(-10 -8 (-15 -3347 ((-922) |#1|)) (-15 -1305 ((-768) |#1|)) (-15 -2854 ((-121) |#1|)) (-15 -4481 (|#1|)) (-15 -2041 ((-3 (-1258 |#1|) "failed") (-684 |#1|))) (-15 -2346 (|#1| |#1|)) (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -1757 (|#1|)) (-15 -2596 ((-3 |#1| "failed") |#1|)) (-15 -1305 ((-3 (-768) "failed") |#1| |#1|)) (-15 -3347 ((-833 (-922)) |#1|)) (-15 -2346 ((-3 |#1| "failed") |#1|)) (-15 -2184 ((-1165 |#1|) (-1165 |#1|) (-1165 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-1747 (((-1177 (-922) (-768)) (-571)) 88)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1295 (((-121) $ $) 57)) (-4407 (((-768)) 98)) (-2269 (($) 16 T CONST)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-2162 (($ $ $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-3254 (($) 101)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1962 (($) 86)) (-2854 (((-121) $) 85)) (-2442 (($ $) 75) (($ $ (-768)) 74)) (-1596 (((-121) $) 69)) (-3347 (((-833 (-922)) $) 77) (((-922) $) 83)) (-2583 (((-121) $) 30)) (-2596 (((-3 $ "failed") $) 97)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-4470 (((-922) $) 100)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-1757 (($) 96 T CONST)) (-1755 (($ (-922)) 99)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) 89)) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3804 (((-637 $)) 102)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-1305 (((-3 (-768) "failed") $ $) 76) (((-768) $) 84)) (-3096 (($ $ (-768)) 94) (($ $) 92)) (-4481 (($) 87)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 90)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63)) (-2346 (((-3 $ "failed") $) 78) (($ $) 91)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-768)) 95) (($ $) 93)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64))) 
+(((-352) (-1289)) (T -352)) 
+((-2346 (*1 *1 *1) (-4 *1 (-352))) (-2041 (*1 *2 *3) (|partial| -12 (-5 *3 (-684 *1)) (-4 *1 (-352)) (-5 *2 (-1258 *1)))) (-2313 (*1 *2) (-12 (-4 *1 (-352)) (-5 *2 (-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))))) (-1747 (*1 *2 *3) (-12 (-4 *1 (-352)) (-5 *3 (-571)) (-5 *2 (-1177 (-922) (-768))))) (-4481 (*1 *1) (-4 *1 (-352))) (-1962 (*1 *1) (-4 *1 (-352))) (-2854 (*1 *2 *1) (-12 (-4 *1 (-352)) (-5 *2 (-121)))) (-1305 (*1 *2 *1) (-12 (-4 *1 (-352)) (-5 *2 (-768)))) (-3347 (*1 *2 *1) (-12 (-4 *1 (-352)) (-5 *2 (-922)))) (-4117 (*1 *2) (-12 (-4 *1 (-352)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
+(-13 (-407) (-373) (-1143) (-226) (-10 -8 (-15 -2346 ($ $)) (-15 -2041 ((-3 (-1258 $) "failed") (-684 $))) (-15 -2313 ((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571)))))) (-15 -1747 ((-1177 (-922) (-768)) (-571))) (-15 -4481 ($)) (-15 -1962 ($)) (-15 -2854 ((-121) $)) (-15 -1305 ((-768) $)) (-15 -3347 ((-922) $)) (-15 -4117 ((-3 "prime" "polynomial" "normal" "cyclic"))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-611 (-855)) . T) ((-173) . T) ((-226) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-367) . T) ((-407) . T) ((-373) . T) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-1059 (-412 (-571))) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1143) . T) ((-1213) . T)) 
+((-4285 (((-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))) |#1|) 51)) (-1659 (((-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|)))) 49))) 
+(((-353 |#1| |#2| |#3|) (-10 -7 (-15 -1659 ((-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))))) (-15 -4285 ((-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))) |#1|))) (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $)))) (-1233 |#1|) (-414 |#1| |#2|)) (T -353)) 
+((-4285 (*1 *2 *3) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-5 *1 (-353 *3 *4 *5)) (-4 *5 (-414 *3 *4)))) (-1659 (*1 *2) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-5 *1 (-353 *3 *4 *5)) (-4 *5 (-414 *3 *4))))) 
+(-10 -7 (-15 -1659 ((-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))))) (-15 -4285 ((-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 (((-910 |#1|) $) NIL) (($ $ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| (-910 |#1|) (-373)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-2439 (((-768)) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) NIL (|has| (-910 |#1|) (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-910 |#1|) "failed") $) NIL)) (-1316 (((-910 |#1|) $) NIL)) (-3456 (($ (-1258 (-910 |#1|))) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-910 |#1|) (-373)))) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-910 |#1|) (-373)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) NIL (|has| (-910 |#1|) (-373)))) (-2854 (((-121) $) NIL (|has| (-910 |#1|) (-373)))) (-2442 (($ $ (-768)) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373)))) (($ $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-1596 (((-121) $) NIL)) (-3347 (((-922) $) NIL (|has| (-910 |#1|) (-373))) (((-833 (-922)) $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-2583 (((-121) $) NIL)) (-2035 (($) NIL (|has| (-910 |#1|) (-373)))) (-4230 (((-121) $) NIL (|has| (-910 |#1|) (-373)))) (-3477 (((-910 |#1|) $) NIL) (($ $ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-2596 (((-3 $ "failed") $) NIL (|has| (-910 |#1|) (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 (-910 |#1|)) $) NIL) (((-1165 $) $ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-4470 (((-922) $) NIL (|has| (-910 |#1|) (-373)))) (-3641 (((-1165 (-910 |#1|)) $) NIL (|has| (-910 |#1|) (-373)))) (-4089 (((-1165 (-910 |#1|)) $) NIL (|has| (-910 |#1|) (-373))) (((-3 (-1165 (-910 |#1|)) "failed") $ $) NIL (|has| (-910 |#1|) (-373)))) (-2690 (($ $ (-1165 (-910 |#1|))) NIL (|has| (-910 |#1|) (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-910 |#1|) (-373)) CONST)) (-1755 (($ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-1908 (((-1258 (-637 (-2 (|:| -2139 (-910 |#1|)) (|:| -1755 (-1115)))))) NIL)) (-2450 (((-684 (-910 |#1|))) NIL)) (-2280 (($) NIL (|has| (-910 |#1|) (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| (-910 |#1|) (-373)))) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL) (((-922)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL (|has| (-910 |#1|) (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-768) $) NIL (|has| (-910 |#1|) (-373))) (((-3 (-768) "failed") $ $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-3847 (((-140)) NIL)) (-3096 (($ $) NIL (|has| (-910 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-910 |#1|) (-373)))) (-2400 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-3413 (((-1165 (-910 |#1|))) NIL)) (-4481 (($) NIL (|has| (-910 |#1|) (-373)))) (-4469 (($) NIL (|has| (-910 |#1|) (-373)))) (-3723 (((-1258 (-910 |#1|)) $) NIL) (((-684 (-910 |#1|)) (-1258 $)) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| (-910 |#1|) (-373)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ (-910 |#1|)) NIL)) (-2346 (($ $) NIL (|has| (-910 |#1|) (-373))) (((-3 $ "failed") $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-2661 (((-768)) NIL)) (-1899 (((-1258 $)) NIL) (((-1258 $) (-922)) NIL)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-4526 (($ $) NIL (|has| (-910 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-910 |#1|) (-373)))) (-1544 (($ $) NIL (|has| (-910 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-910 |#1|) (-373)))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL) (($ $ (-910 |#1|)) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ $ (-910 |#1|)) NIL) (($ (-910 |#1|) $) NIL))) 
+(((-354 |#1| |#2|) (-13 (-328 (-910 |#1|)) (-10 -7 (-15 -1908 ((-1258 (-637 (-2 (|:| -2139 (-910 |#1|)) (|:| -1755 (-1115))))))) (-15 -2450 ((-684 (-910 |#1|)))) (-15 -2439 ((-768))))) (-922) (-922)) (T -354)) 
+((-1908 (*1 *2) (-12 (-5 *2 (-1258 (-637 (-2 (|:| -2139 (-910 *3)) (|:| -1755 (-1115)))))) (-5 *1 (-354 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922)))) (-2450 (*1 *2) (-12 (-5 *2 (-684 (-910 *3))) (-5 *1 (-354 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922)))) (-2439 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-354 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922))))) 
+(-13 (-328 (-910 |#1|)) (-10 -7 (-15 -1908 ((-1258 (-637 (-2 (|:| -2139 (-910 |#1|)) (|:| -1755 (-1115))))))) (-15 -2450 ((-684 (-910 |#1|)))) (-15 -2439 ((-768))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 74)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 ((|#1| $) 92) (($ $ (-922)) 90 (|has| |#1| (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) 148 (|has| |#1| (-373)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-2439 (((-768)) 89)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) 162 (|has| |#1| (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) 111)) (-1316 ((|#1| $) 91)) (-3456 (($ (-1258 |#1|)) 57)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 187 (|has| |#1| (-373)))) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) 158 (|has| |#1| (-373)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) 149 (|has| |#1| (-373)))) (-2854 (((-121) $) NIL (|has| |#1| (-373)))) (-2442 (($ $ (-768)) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373)))) (($ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-1596 (((-121) $) NIL)) (-3347 (((-922) $) NIL (|has| |#1| (-373))) (((-833 (-922)) $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2583 (((-121) $) NIL)) (-2035 (($) 97 (|has| |#1| (-373)))) (-4230 (((-121) $) 175 (|has| |#1| (-373)))) (-3477 ((|#1| $) 94) (($ $ (-922)) 93 (|has| |#1| (-373)))) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 |#1|) $) 188) (((-1165 $) $ (-922)) NIL (|has| |#1| (-373)))) (-4470 (((-922) $) 133 (|has| |#1| (-373)))) (-3641 (((-1165 |#1|) $) 73 (|has| |#1| (-373)))) (-4089 (((-1165 |#1|) $) 70 (|has| |#1| (-373))) (((-3 (-1165 |#1|) "failed") $ $) 82 (|has| |#1| (-373)))) (-2690 (($ $ (-1165 |#1|)) 69 (|has| |#1| (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 191)) (-1757 (($) NIL (|has| |#1| (-373)) CONST)) (-1755 (($ (-922)) 136 (|has| |#1| (-373)))) (-3527 (((-121) $) 107)) (-2580 (((-1115) $) NIL)) (-1908 (((-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115)))))) 83)) (-2450 (((-684 |#1|)) 87)) (-2280 (($) 96 (|has| |#1| (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) 150 (|has| |#1| (-373)))) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL) (((-922)) 151)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-768) $) NIL (|has| |#1| (-373))) (((-3 (-768) "failed") $ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-3847 (((-140)) NIL)) (-3096 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-2400 (((-833 (-922)) $) NIL) (((-922) $) 62)) (-3413 (((-1165 |#1|)) 152)) (-4481 (($) 132 (|has| |#1| (-373)))) (-4469 (($) NIL (|has| |#1| (-373)))) (-3723 (((-1258 |#1|) $) 105) (((-684 |#1|) (-1258 $)) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| |#1| (-373)))) (-3942 (((-855) $) 123) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ |#1|) 56)) (-2346 (($ $) NIL (|has| |#1| (-373))) (((-3 $ "failed") $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2661 (((-768)) 156)) (-1899 (((-1258 $)) 172) (((-1258 $) (-922)) 100)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 30 T CONST)) (-3222 (($) 22 T CONST)) (-4526 (($ $) 106 (|has| |#1| (-373))) (($ $ (-768)) 98 (|has| |#1| (-373)))) (-1544 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1323 (((-121) $ $) 60)) (-1379 (($ $ $) 103) (($ $ |#1|) 104)) (-1373 (($ $) 177) (($ $ $) 181)) (-1367 (($ $ $) 179)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) 137)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 185) (($ $ $) 142) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 102))) 
+(((-355 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -1908 ((-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))))) (-15 -2450 ((-684 |#1|))) (-15 -2439 ((-768))))) (-352) (-3 (-1165 |#1|) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))))) (T -355)) 
+((-1908 (*1 *2) (-12 (-5 *2 (-1258 (-637 (-2 (|:| -2139 *3) (|:| -1755 (-1115)))))) (-5 *1 (-355 *3 *4)) (-4 *3 (-352)) (-14 *4 (-3 (-1165 *3) *2)))) (-2450 (*1 *2) (-12 (-5 *2 (-684 *3)) (-5 *1 (-355 *3 *4)) (-4 *3 (-352)) (-14 *4 (-3 (-1165 *3) (-1258 (-637 (-2 (|:| -2139 *3) (|:| -1755 (-1115))))))))) (-2439 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-355 *3 *4)) (-4 *3 (-352)) (-14 *4 (-3 (-1165 *3) (-1258 (-637 (-2 (|:| -2139 *3) (|:| -1755 (-1115)))))))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -1908 ((-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))))) (-15 -2450 ((-684 |#1|))) (-15 -2439 ((-768))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 ((|#1| $) NIL) (($ $ (-922)) NIL (|has| |#1| (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| |#1| (-373)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-2439 (((-768)) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) NIL (|has| |#1| (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-3456 (($ (-1258 |#1|)) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-373)))) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| |#1| (-373)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) NIL (|has| |#1| (-373)))) (-2854 (((-121) $) NIL (|has| |#1| (-373)))) (-2442 (($ $ (-768)) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373)))) (($ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-1596 (((-121) $) NIL)) (-3347 (((-922) $) NIL (|has| |#1| (-373))) (((-833 (-922)) $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2583 (((-121) $) NIL)) (-2035 (($) NIL (|has| |#1| (-373)))) (-4230 (((-121) $) NIL (|has| |#1| (-373)))) (-3477 ((|#1| $) NIL) (($ $ (-922)) NIL (|has| |#1| (-373)))) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 |#1|) $) NIL) (((-1165 $) $ (-922)) NIL (|has| |#1| (-373)))) (-4470 (((-922) $) NIL (|has| |#1| (-373)))) (-3641 (((-1165 |#1|) $) NIL (|has| |#1| (-373)))) (-4089 (((-1165 |#1|) $) NIL (|has| |#1| (-373))) (((-3 (-1165 |#1|) "failed") $ $) NIL (|has| |#1| (-373)))) (-2690 (($ $ (-1165 |#1|)) NIL (|has| |#1| (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| |#1| (-373)) CONST)) (-1755 (($ (-922)) NIL (|has| |#1| (-373)))) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-1908 (((-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115)))))) NIL)) (-2450 (((-684 |#1|)) NIL)) (-2280 (($) NIL (|has| |#1| (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| |#1| (-373)))) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL) (((-922)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-768) $) NIL (|has| |#1| (-373))) (((-3 (-768) "failed") $ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-3847 (((-140)) NIL)) (-3096 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-2400 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-3413 (((-1165 |#1|)) NIL)) (-4481 (($) NIL (|has| |#1| (-373)))) (-4469 (($) NIL (|has| |#1| (-373)))) (-3723 (((-1258 |#1|) $) NIL) (((-684 |#1|) (-1258 $)) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| |#1| (-373)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ |#1|) NIL)) (-2346 (($ $) NIL (|has| |#1| (-373))) (((-3 $ "failed") $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2661 (((-768)) NIL)) (-1899 (((-1258 $)) NIL) (((-1258 $) (-922)) NIL)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-4526 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1544 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-356 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -1908 ((-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))))) (-15 -2450 ((-684 |#1|))) (-15 -2439 ((-768))))) (-352) (-922)) (T -356)) 
+((-1908 (*1 *2) (-12 (-5 *2 (-1258 (-637 (-2 (|:| -2139 *3) (|:| -1755 (-1115)))))) (-5 *1 (-356 *3 *4)) (-4 *3 (-352)) (-14 *4 (-922)))) (-2450 (*1 *2) (-12 (-5 *2 (-684 *3)) (-5 *1 (-356 *3 *4)) (-4 *3 (-352)) (-14 *4 (-922)))) (-2439 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-356 *3 *4)) (-4 *3 (-352)) (-14 *4 (-922))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -1908 ((-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))))) (-15 -2450 ((-684 |#1|))) (-15 -2439 ((-768))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 (((-910 |#1|) $) NIL) (($ $ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| (-910 |#1|) (-373)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) NIL (|has| (-910 |#1|) (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-910 |#1|) "failed") $) NIL)) (-1316 (((-910 |#1|) $) NIL)) (-3456 (($ (-1258 (-910 |#1|))) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-910 |#1|) (-373)))) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-910 |#1|) (-373)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) NIL (|has| (-910 |#1|) (-373)))) (-2854 (((-121) $) NIL (|has| (-910 |#1|) (-373)))) (-2442 (($ $ (-768)) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373)))) (($ $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-1596 (((-121) $) NIL)) (-3347 (((-922) $) NIL (|has| (-910 |#1|) (-373))) (((-833 (-922)) $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-2583 (((-121) $) NIL)) (-2035 (($) NIL (|has| (-910 |#1|) (-373)))) (-4230 (((-121) $) NIL (|has| (-910 |#1|) (-373)))) (-3477 (((-910 |#1|) $) NIL) (($ $ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-2596 (((-3 $ "failed") $) NIL (|has| (-910 |#1|) (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 (-910 |#1|)) $) NIL) (((-1165 $) $ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-4470 (((-922) $) NIL (|has| (-910 |#1|) (-373)))) (-3641 (((-1165 (-910 |#1|)) $) NIL (|has| (-910 |#1|) (-373)))) (-4089 (((-1165 (-910 |#1|)) $) NIL (|has| (-910 |#1|) (-373))) (((-3 (-1165 (-910 |#1|)) "failed") $ $) NIL (|has| (-910 |#1|) (-373)))) (-2690 (($ $ (-1165 (-910 |#1|))) NIL (|has| (-910 |#1|) (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-910 |#1|) (-373)) CONST)) (-1755 (($ (-922)) NIL (|has| (-910 |#1|) (-373)))) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-2280 (($) NIL (|has| (-910 |#1|) (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| (-910 |#1|) (-373)))) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL) (((-922)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL (|has| (-910 |#1|) (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-768) $) NIL (|has| (-910 |#1|) (-373))) (((-3 (-768) "failed") $ $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-3847 (((-140)) NIL)) (-3096 (($ $) NIL (|has| (-910 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-910 |#1|) (-373)))) (-2400 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-3413 (((-1165 (-910 |#1|))) NIL)) (-4481 (($) NIL (|has| (-910 |#1|) (-373)))) (-4469 (($) NIL (|has| (-910 |#1|) (-373)))) (-3723 (((-1258 (-910 |#1|)) $) NIL) (((-684 (-910 |#1|)) (-1258 $)) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| (-910 |#1|) (-373)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ (-910 |#1|)) NIL)) (-2346 (($ $) NIL (|has| (-910 |#1|) (-373))) (((-3 $ "failed") $) NIL (-1831 (|has| (-910 |#1|) (-149)) (|has| (-910 |#1|) (-373))))) (-2661 (((-768)) NIL)) (-1899 (((-1258 $)) NIL) (((-1258 $) (-922)) NIL)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-4526 (($ $) NIL (|has| (-910 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-910 |#1|) (-373)))) (-1544 (($ $) NIL (|has| (-910 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-910 |#1|) (-373)))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL) (($ $ (-910 |#1|)) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ $ (-910 |#1|)) NIL) (($ (-910 |#1|) $) NIL))) 
+(((-357 |#1| |#2|) (-328 (-910 |#1|)) (-922) (-922)) (T -357)) 
+NIL 
+(-328 (-910 |#1|)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 ((|#1| $) NIL) (($ $ (-922)) NIL (|has| |#1| (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) 119 (|has| |#1| (-373)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) 138 (|has| |#1| (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) 91)) (-1316 ((|#1| $) 88)) (-3456 (($ (-1258 |#1|)) 83)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 115 (|has| |#1| (-373)))) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) 80 (|has| |#1| (-373)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) 39 (|has| |#1| (-373)))) (-2854 (((-121) $) NIL (|has| |#1| (-373)))) (-2442 (($ $ (-768)) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373)))) (($ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-1596 (((-121) $) NIL)) (-3347 (((-922) $) NIL (|has| |#1| (-373))) (((-833 (-922)) $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2583 (((-121) $) NIL)) (-2035 (($) 120 (|has| |#1| (-373)))) (-4230 (((-121) $) 72 (|has| |#1| (-373)))) (-3477 ((|#1| $) 38) (($ $ (-922)) 40 (|has| |#1| (-373)))) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 |#1|) $) 62) (((-1165 $) $ (-922)) NIL (|has| |#1| (-373)))) (-4470 (((-922) $) 95 (|has| |#1| (-373)))) (-3641 (((-1165 |#1|) $) NIL (|has| |#1| (-373)))) (-4089 (((-1165 |#1|) $) NIL (|has| |#1| (-373))) (((-3 (-1165 |#1|) "failed") $ $) NIL (|has| |#1| (-373)))) (-2690 (($ $ (-1165 |#1|)) NIL (|has| |#1| (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| |#1| (-373)) CONST)) (-1755 (($ (-922)) 93 (|has| |#1| (-373)))) (-3527 (((-121) $) 140)) (-2580 (((-1115) $) NIL)) (-2280 (($) 35 (|has| |#1| (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) 113 (|has| |#1| (-373)))) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL) (((-922)) 137)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-768) $) NIL (|has| |#1| (-373))) (((-3 (-768) "failed") $ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-3847 (((-140)) NIL)) (-3096 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-2400 (((-833 (-922)) $) NIL) (((-922) $) 56)) (-3413 (((-1165 |#1|)) 86)) (-4481 (($) 125 (|has| |#1| (-373)))) (-4469 (($) NIL (|has| |#1| (-373)))) (-3723 (((-1258 |#1|) $) 50) (((-684 |#1|) (-1258 $)) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| |#1| (-373)))) (-3942 (((-855) $) 136) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ |#1|) 85)) (-2346 (($ $) NIL (|has| |#1| (-373))) (((-3 $ "failed") $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2661 (((-768)) 142)) (-1899 (((-1258 $)) 107) (((-1258 $) (-922)) 46)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 109 T CONST)) (-3222 (($) 31 T CONST)) (-4526 (($ $) 65 (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1544 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1323 (((-121) $ $) 105)) (-1379 (($ $ $) 97) (($ $ |#1|) 98)) (-1373 (($ $) 78) (($ $ $) 103)) (-1367 (($ $ $) 101)) (** (($ $ (-922)) NIL) (($ $ (-768)) 41) (($ $ (-571)) 128)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 76) (($ $ $) 53) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 74))) 
+(((-358 |#1| |#2|) (-328 |#1|) (-352) (-1165 |#1|)) (T -358)) 
 NIL 
 (-328 |#1|) 
-((-4009 ((|#1| (-1161 |#2|)) 51))) 
-(((-358 |#1| |#2|) (-10 -7 (-15 -4009 (|#1| (-1161 |#2|)))) (-13 (-405) (-10 -7 (-15 -3956 (|#1| |#2|)) (-15 -2862 ((-919) |#1|)) (-15 -4079 ((-1253 |#1|) (-919))) (-15 -4167 (|#1| |#1|)))) (-351)) (T -358)) 
-((-4009 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-4 *2 (-13 (-405) (-10 -7 (-15 -3956 (*2 *4)) (-15 -2862 ((-919) *2)) (-15 -4079 ((-1253 *2) (-919))) (-15 -4167 (*2 *2))))) (-5 *1 (-358 *2 *4))))) 
-(-10 -7 (-15 -4009 (|#1| (-1161 |#2|)))) 
-((-3655 (((-960 (-1161 |#1|)) (-1161 |#1|)) 36)) (-3341 (((-1161 |#1|) (-919) (-919)) 109) (((-1161 |#1|) (-919)) 108)) (-3462 (((-121) (-1161 |#1|)) 81)) (-2620 (((-919) (-919)) 71)) (-2493 (((-919) (-919)) 73)) (-2845 (((-919) (-919)) 69)) (-3761 (((-121) (-1161 |#1|)) 85)) (-4072 (((-3 (-1161 |#1|) "failed") (-1161 |#1|)) 97)) (-1375 (((-3 (-1161 |#1|) "failed") (-1161 |#1|)) 100)) (-1404 (((-3 (-1161 |#1|) "failed") (-1161 |#1|)) 99)) (-1877 (((-3 (-1161 |#1|) "failed") (-1161 |#1|)) 98)) (-3931 (((-3 (-1161 |#1|) "failed") (-1161 |#1|)) 94)) (-3142 (((-1161 |#1|) (-1161 |#1|)) 62)) (-1408 (((-1161 |#1|) (-919)) 103)) (-3030 (((-1161 |#1|) (-919)) 106)) (-2029 (((-1161 |#1|) (-919)) 105)) (-1958 (((-1161 |#1|) (-919)) 104)) (-2169 (((-1161 |#1|) (-919)) 101))) 
-(((-359 |#1|) (-10 -7 (-15 -3462 ((-121) (-1161 |#1|))) (-15 -3761 ((-121) (-1161 |#1|))) (-15 -2845 ((-919) (-919))) (-15 -2620 ((-919) (-919))) (-15 -2493 ((-919) (-919))) (-15 -2169 ((-1161 |#1|) (-919))) (-15 -1408 ((-1161 |#1|) (-919))) (-15 -1958 ((-1161 |#1|) (-919))) (-15 -2029 ((-1161 |#1|) (-919))) (-15 -3030 ((-1161 |#1|) (-919))) (-15 -3931 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -4072 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1877 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1404 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1375 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -3341 ((-1161 |#1|) (-919))) (-15 -3341 ((-1161 |#1|) (-919) (-919))) (-15 -3142 ((-1161 |#1|) (-1161 |#1|))) (-15 -3655 ((-960 (-1161 |#1|)) (-1161 |#1|)))) (-351)) (T -359)) 
-((-3655 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-960 (-1161 *4))) (-5 *1 (-359 *4)) (-5 *3 (-1161 *4)))) (-3142 (*1 *2 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-3341 (*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3341 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-1375 (*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-1404 (*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-1877 (*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-4072 (*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-3931 (*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-3030 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-2029 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-1958 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-1408 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-2169 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-2493 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-2620 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-2845 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-3761 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4)))) (-3462 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4))))) 
-(-10 -7 (-15 -3462 ((-121) (-1161 |#1|))) (-15 -3761 ((-121) (-1161 |#1|))) (-15 -2845 ((-919) (-919))) (-15 -2620 ((-919) (-919))) (-15 -2493 ((-919) (-919))) (-15 -2169 ((-1161 |#1|) (-919))) (-15 -1408 ((-1161 |#1|) (-919))) (-15 -1958 ((-1161 |#1|) (-919))) (-15 -2029 ((-1161 |#1|) (-919))) (-15 -3030 ((-1161 |#1|) (-919))) (-15 -3931 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -4072 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1877 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1404 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1375 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -3341 ((-1161 |#1|) (-919))) (-15 -3341 ((-1161 |#1|) (-919) (-919))) (-15 -3142 ((-1161 |#1|) (-1161 |#1|))) (-15 -3655 ((-960 (-1161 |#1|)) (-1161 |#1|)))) 
-((-1447 (((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|) 33))) 
-(((-360 |#1| |#2| |#3|) (-10 -7 (-15 -1447 ((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|))) (-351) (-1228 |#1|) (-1228 |#2|)) (T -360)) 
-((-1447 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-351)) (-5 *1 (-360 *4 *5 *3))))) 
-(-10 -7 (-15 -1447 ((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|))) 
-((-2125 (((-421 |#2|) |#2|) 46)) (-4547 (((-421 |#2|) |#2|) 36))) 
-(((-361 |#1| |#2|) (-10 -7 (-15 -4547 ((-421 |#2|) |#2|)) (-15 -2125 ((-421 |#2|) |#2|))) (-351) (-1228 |#1|)) (T -361)) 
-((-2125 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1228 *4)))) (-4547 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -4547 ((-421 |#2|) |#2|)) (-15 -2125 ((-421 |#2|) |#2|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2097 (($ (-1253 |#1|)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| |#1| (-371)))) (-3462 (((-121) $) NIL (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| |#1| (-371)))) (-3761 (((-121) $) NIL (|has| |#1| (-371)))) (-3046 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) NIL) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) NIL (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) NIL (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 |#1|)) NIL)) (-3563 (($) NIL (|has| |#1| (-371)))) (-2433 (($) NIL (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) NIL) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-362 |#1| |#2|) (-328 |#1|) (-351) (-919)) (T -362)) 
+((-1604 ((|#1| (-1165 |#2|)) 51))) 
+(((-359 |#1| |#2|) (-10 -7 (-15 -1604 (|#1| (-1165 |#2|)))) (-13 (-407) (-10 -7 (-15 -3942 (|#1| |#2|)) (-15 -4470 ((-922) |#1|)) (-15 -1899 ((-1258 |#1|) (-922))) (-15 -4526 (|#1| |#1|)))) (-352)) (T -359)) 
+((-1604 (*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-352)) (-4 *2 (-13 (-407) (-10 -7 (-15 -3942 (*2 *4)) (-15 -4470 ((-922) *2)) (-15 -1899 ((-1258 *2) (-922))) (-15 -4526 (*2 *2))))) (-5 *1 (-359 *2 *4))))) 
+(-10 -7 (-15 -1604 (|#1| (-1165 |#2|)))) 
+((-3620 (((-964 (-1165 |#1|)) (-1165 |#1|)) 36)) (-3254 (((-1165 |#1|) (-922) (-922)) 109) (((-1165 |#1|) (-922)) 108)) (-2854 (((-121) (-1165 |#1|)) 81)) (-4032 (((-922) (-922)) 71)) (-1399 (((-922) (-922)) 73)) (-4399 (((-922) (-922)) 69)) (-4230 (((-121) (-1165 |#1|)) 85)) (-1873 (((-3 (-1165 |#1|) "failed") (-1165 |#1|)) 97)) (-3680 (((-3 (-1165 |#1|) "failed") (-1165 |#1|)) 100)) (-3845 (((-3 (-1165 |#1|) "failed") (-1165 |#1|)) 99)) (-2190 (((-3 (-1165 |#1|) "failed") (-1165 |#1|)) 98)) (-2556 (((-3 (-1165 |#1|) "failed") (-1165 |#1|)) 94)) (-1618 (((-1165 |#1|) (-1165 |#1|)) 62)) (-3873 (((-1165 |#1|) (-922)) 103)) (-3376 (((-1165 |#1|) (-922)) 106)) (-1698 (((-1165 |#1|) (-922)) 105)) (-2786 (((-1165 |#1|) (-922)) 104)) (-3822 (((-1165 |#1|) (-922)) 101))) 
+(((-360 |#1|) (-10 -7 (-15 -2854 ((-121) (-1165 |#1|))) (-15 -4230 ((-121) (-1165 |#1|))) (-15 -4399 ((-922) (-922))) (-15 -4032 ((-922) (-922))) (-15 -1399 ((-922) (-922))) (-15 -3822 ((-1165 |#1|) (-922))) (-15 -3873 ((-1165 |#1|) (-922))) (-15 -2786 ((-1165 |#1|) (-922))) (-15 -1698 ((-1165 |#1|) (-922))) (-15 -3376 ((-1165 |#1|) (-922))) (-15 -2556 ((-3 (-1165 |#1|) "failed") (-1165 |#1|))) (-15 -1873 ((-3 (-1165 |#1|) "failed") (-1165 |#1|))) (-15 -2190 ((-3 (-1165 |#1|) "failed") (-1165 |#1|))) (-15 -3845 ((-3 (-1165 |#1|) "failed") (-1165 |#1|))) (-15 -3680 ((-3 (-1165 |#1|) "failed") (-1165 |#1|))) (-15 -3254 ((-1165 |#1|) (-922))) (-15 -3254 ((-1165 |#1|) (-922) (-922))) (-15 -1618 ((-1165 |#1|) (-1165 |#1|))) (-15 -3620 ((-964 (-1165 |#1|)) (-1165 |#1|)))) (-352)) (T -360)) 
+((-3620 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-964 (-1165 *4))) (-5 *1 (-360 *4)) (-5 *3 (-1165 *4)))) (-1618 (*1 *2 *2) (-12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3)))) (-3254 (*1 *2 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352)))) (-3254 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352)))) (-3680 (*1 *2 *2) (|partial| -12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3)))) (-3845 (*1 *2 *2) (|partial| -12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3)))) (-2190 (*1 *2 *2) (|partial| -12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3)))) (-1873 (*1 *2 *2) (|partial| -12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3)))) (-2556 (*1 *2 *2) (|partial| -12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3)))) (-3376 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352)))) (-1698 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352)))) (-2786 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352)))) (-3873 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352)))) (-3822 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352)))) (-1399 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-360 *3)) (-4 *3 (-352)))) (-4032 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-360 *3)) (-4 *3 (-352)))) (-4399 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-360 *3)) (-4 *3 (-352)))) (-4230 (*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-360 *4)))) (-2854 (*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-360 *4))))) 
+(-10 -7 (-15 -2854 ((-121) (-1165 |#1|))) (-15 -4230 ((-121) (-1165 |#1|))) (-15 -4399 ((-922) (-922))) (-15 -4032 ((-922) (-922))) (-15 -1399 ((-922) (-922))) (-15 -3822 ((-1165 |#1|) (-922))) (-15 -3873 ((-1165 |#1|) (-922))) (-15 -2786 ((-1165 |#1|) (-922))) (-15 -1698 ((-1165 |#1|) (-922))) (-15 -3376 ((-1165 |#1|) (-922))) (-15 -2556 ((-3 (-1165 |#1|) "failed") (-1165 |#1|))) (-15 -1873 ((-3 (-1165 |#1|) "failed") (-1165 |#1|))) (-15 -2190 ((-3 (-1165 |#1|) "failed") (-1165 |#1|))) (-15 -3845 ((-3 (-1165 |#1|) "failed") (-1165 |#1|))) (-15 -3680 ((-3 (-1165 |#1|) "failed") (-1165 |#1|))) (-15 -3254 ((-1165 |#1|) (-922))) (-15 -3254 ((-1165 |#1|) (-922) (-922))) (-15 -1618 ((-1165 |#1|) (-1165 |#1|))) (-15 -3620 ((-964 (-1165 |#1|)) (-1165 |#1|)))) 
+((-1926 (((-3 (-637 |#3|) "failed") (-637 |#3|) |#3|) 33))) 
+(((-361 |#1| |#2| |#3|) (-10 -7 (-15 -1926 ((-3 (-637 |#3|) "failed") (-637 |#3|) |#3|))) (-352) (-1233 |#1|) (-1233 |#2|)) (T -361)) 
+((-1926 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-1233 *4)) (-4 *4 (-352)) (-5 *1 (-361 *4 *5 *3))))) 
+(-10 -7 (-15 -1926 ((-3 (-637 |#3|) "failed") (-637 |#3|) |#3|))) 
+((-3618 (((-423 |#2|) |#2|) 46)) (-2807 (((-423 |#2|) |#2|) 36))) 
+(((-362 |#1| |#2|) (-10 -7 (-15 -2807 ((-423 |#2|) |#2|)) (-15 -3618 ((-423 |#2|) |#2|))) (-352) (-1233 |#1|)) (T -362)) 
+((-3618 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-362 *4 *3)) (-4 *3 (-1233 *4)))) (-2807 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-362 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -2807 ((-423 |#2|) |#2|)) (-15 -3618 ((-423 |#2|) |#2|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 ((|#1| $) NIL) (($ $ (-922)) NIL (|has| |#1| (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| |#1| (-373)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) NIL (|has| |#1| (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-3456 (($ (-1258 |#1|)) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-373)))) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| |#1| (-373)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) NIL (|has| |#1| (-373)))) (-2854 (((-121) $) NIL (|has| |#1| (-373)))) (-2442 (($ $ (-768)) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373)))) (($ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-1596 (((-121) $) NIL)) (-3347 (((-922) $) NIL (|has| |#1| (-373))) (((-833 (-922)) $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2583 (((-121) $) NIL)) (-2035 (($) NIL (|has| |#1| (-373)))) (-4230 (((-121) $) NIL (|has| |#1| (-373)))) (-3477 ((|#1| $) NIL) (($ $ (-922)) NIL (|has| |#1| (-373)))) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 |#1|) $) NIL) (((-1165 $) $ (-922)) NIL (|has| |#1| (-373)))) (-4470 (((-922) $) NIL (|has| |#1| (-373)))) (-3641 (((-1165 |#1|) $) NIL (|has| |#1| (-373)))) (-4089 (((-1165 |#1|) $) NIL (|has| |#1| (-373))) (((-3 (-1165 |#1|) "failed") $ $) NIL (|has| |#1| (-373)))) (-2690 (($ $ (-1165 |#1|)) NIL (|has| |#1| (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| |#1| (-373)) CONST)) (-1755 (($ (-922)) NIL (|has| |#1| (-373)))) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-2280 (($) NIL (|has| |#1| (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| |#1| (-373)))) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL) (((-922)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-768) $) NIL (|has| |#1| (-373))) (((-3 (-768) "failed") $ $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-3847 (((-140)) NIL)) (-3096 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-2400 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-3413 (((-1165 |#1|)) NIL)) (-4481 (($) NIL (|has| |#1| (-373)))) (-4469 (($) NIL (|has| |#1| (-373)))) (-3723 (((-1258 |#1|) $) NIL) (((-684 |#1|) (-1258 $)) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| |#1| (-373)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ |#1|) NIL)) (-2346 (($ $) NIL (|has| |#1| (-373))) (((-3 $ "failed") $) NIL (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2661 (((-768)) NIL)) (-1899 (((-1258 $)) NIL) (((-1258 $) (-922)) NIL)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-4526 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1544 (($ $) NIL (|has| |#1| (-373))) (($ $ (-768)) NIL (|has| |#1| (-373)))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-363 |#1| |#2|) (-328 |#1|) (-352) (-922)) (T -363)) 
 NIL 
 (-328 |#1|) 
-((-3355 (((-121) (-635 (-955 |#1|))) 31)) (-4378 (((-635 (-955 |#1|)) (-635 (-955 |#1|))) 42)) (-2238 (((-3 (-635 (-955 |#1|)) "failed") (-635 (-955 |#1|))) 38))) 
-(((-363 |#1| |#2|) (-10 -7 (-15 -3355 ((-121) (-635 (-955 |#1|)))) (-15 -2238 ((-3 (-635 (-955 |#1|)) "failed") (-635 (-955 |#1|)))) (-15 -4378 ((-635 (-955 |#1|)) (-635 (-955 |#1|))))) (-454) (-635 (-1165))) (T -363)) 
-((-4378 (*1 *2 *2) (-12 (-5 *2 (-635 (-955 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1165))))) (-2238 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-955 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1165))))) (-3355 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-454)) (-5 *2 (-121)) (-5 *1 (-363 *4 *5)) (-14 *5 (-635 (-1165)))))) 
-(-10 -7 (-15 -3355 ((-121) (-635 (-955 |#1|)))) (-15 -2238 ((-3 (-635 (-955 |#1|)) "failed") (-635 (-955 |#1|)))) (-15 -4378 ((-635 (-955 |#1|)) (-635 (-955 |#1|))))) 
-((-1310 (((-121) $ $) NIL)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) 14)) (-1906 ((|#1| $ (-569)) NIL)) (-2237 (((-569) $ (-569)) NIL)) (-1648 (($ (-1 |#1| |#1|) $) 32)) (-1611 (($ (-1 (-569) (-569)) $) 24)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 26)) (-1912 (((-1111) $) NIL)) (-3459 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $) 28)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 38) (($ |#1|) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 9 T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL) (($ |#1| (-569)) 17)) (* (($ $ $) 43) (($ |#1| $) 21) (($ $ |#1|) 19))) 
-(((-364 |#1|) (-13 (-479) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-569))) (-15 -2675 ((-765) $)) (-15 -2237 ((-569) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1611 ($ (-1 (-569) (-569)) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $)))) (-1093)) (T -364)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1093)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1093)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1093)))) (-2675 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) (-2237 (*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1093)))) (-1611 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-569) (-569))) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) (-1648 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-364 *3)))) (-3459 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-569))))) (-5 *1 (-364 *3)) (-4 *3 (-1093))))) 
-(-13 (-479) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-569))) (-15 -2675 ((-765) $)) (-15 -2237 ((-569) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1611 ($ (-1 (-569) (-569)) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $)))) 
-((-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 13)) (-2915 (($ $) 14)) (-3742 (((-421 $) $) 29)) (-2005 (((-121) $) 25)) (-3243 (($ $) 18)) (-3964 (($ $ $) 22) (($ (-635 $)) NIL)) (-3139 (((-421 $) $) 30)) (-1436 (((-3 $ "failed") $ $) 21)) (-2061 (((-765) $) 24)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 34)) (-2909 (((-121) $ $) 15)) (-1383 (($ $ $) 32))) 
-(((-365 |#1|) (-10 -8 (-15 -1383 (|#1| |#1| |#1|)) (-15 -3243 (|#1| |#1|)) (-15 -2005 ((-121) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2061 ((-765) |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|)) (-15 -2909 ((-121) |#1| |#1|)) (-15 -2915 (|#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|))) (-366)) (T -365)) 
-NIL 
-(-10 -8 (-15 -1383 (|#1| |#1| |#1|)) (-15 -3243 (|#1| |#1|)) (-15 -2005 ((-121) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2061 ((-765) |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|)) (-15 -2909 ((-121) |#1| |#1|)) (-15 -2915 (|#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-3934 (((-121) $) 30)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-366) (-1284)) (T -366)) 
-((-1383 (*1 *1 *1 *1) (-4 *1 (-366)))) 
-(-13 (-302) (-1208) (-239) (-10 -8 (-15 -1383 ($ $ $)) (-6 -4569) (-6 -4563))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
-((-1310 (((-121) $ $) 7)) (-2255 ((|#2| $ |#2|) 13)) (-3284 (($ $ (-1147)) 18)) (-3780 ((|#2| $) 14)) (-4465 (($ |#1|) 20) (($ |#1| (-1147)) 19)) (-2798 ((|#1| $) 16)) (-2605 (((-1147) $) 9)) (-4114 (((-1147) $) 15)) (-1912 (((-1111) $) 10)) (-3295 (((-1258) $) 12)) (-3956 (((-852) $) 11)) (-2520 (($ $) 17)) (-1326 (((-121) $ $) 6))) 
-(((-367 |#1| |#2|) (-1284) (-1093) (-1093)) (T -367)) 
-((-4465 (*1 *1 *2) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-4465 (*1 *1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *1 (-367 *2 *4)) (-4 *2 (-1093)) (-4 *4 (-1093)))) (-3284 (*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-2520 (*1 *1 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-2798 (*1 *2 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-4114 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-1147)))) (-3780 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-2255 (*1 *2 *1 *2) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-3295 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-1258))))) 
-(-13 (-1093) (-10 -8 (-15 -4465 ($ |t#1|)) (-15 -4465 ($ |t#1| (-1147))) (-15 -3284 ($ $ (-1147))) (-15 -2520 ($ $)) (-15 -2798 (|t#1| $)) (-15 -4114 ((-1147) $)) (-15 -3780 (|t#2| $)) (-15 -2255 (|t#2| $ |t#2|)) (-15 -3295 ((-1258) $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2255 ((|#1| $ |#1|) 29)) (-3284 (($ $ (-1147)) 22)) (-4006 (((-3 |#1| "failed") $) 28)) (-3780 ((|#1| $) 26)) (-4465 (($ (-391)) 21) (($ (-391) (-1147)) 20)) (-2798 (((-391) $) 24)) (-2605 (((-1147) $) NIL)) (-4114 (((-1147) $) 25)) (-1912 (((-1111) $) NIL)) (-3295 (((-1258) $) 31)) (-3956 (((-852) $) 19)) (-2520 (($ $) 23)) (-1326 (((-121) $ $) 18))) 
-(((-368 |#1|) (-13 (-367 (-391) |#1|) (-10 -8 (-15 -4006 ((-3 |#1| "failed") $)))) (-1093)) (T -368)) 
-((-4006 (*1 *2 *1) (|partial| -12 (-5 *1 (-368 *2)) (-4 *2 (-1093))))) 
-(-13 (-367 (-391) |#1|) (-10 -8 (-15 -4006 ((-3 |#1| "failed") $)))) 
-((-3359 (((-1253 (-681 |#2|)) (-1253 $)) 62)) (-2459 (((-681 |#2|) (-1253 $)) 120)) (-1478 ((|#2| $) 32)) (-4471 (((-681 |#2|) $ (-1253 $)) 124)) (-4174 (((-3 $ "failed") $) 76)) (-3557 ((|#2| $) 35)) (-2212 (((-1161 |#2|) $) 84)) (-1547 ((|#2| (-1253 $)) 107)) (-3168 (((-1161 |#2|) $) 28)) (-3073 (((-121)) 101)) (-2097 (($ (-1253 |#2|) (-1253 $)) 114)) (-2611 (((-3 $ "failed") $) 80)) (-1428 (((-121)) 96)) (-4078 (((-121)) 91)) (-4015 (((-121)) 54)) (-3707 (((-681 |#2|) (-1253 $)) 118)) (-2858 ((|#2| $) 31)) (-4432 (((-681 |#2|) $ (-1253 $)) 123)) (-2983 (((-3 $ "failed") $) 74)) (-2170 ((|#2| $) 34)) (-1650 (((-1161 |#2|) $) 83)) (-2510 ((|#2| (-1253 $)) 105)) (-4215 (((-1161 |#2|) $) 26)) (-2431 (((-121)) 100)) (-2826 (((-121)) 93)) (-4161 (((-121)) 52)) (-3983 (((-121)) 88)) (-2067 (((-121)) 102)) (-3672 (((-1253 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) (-1253 $) (-1253 $)) 112)) (-2984 (((-121)) 98)) (-2628 (((-635 (-1253 |#2|))) 87)) (-1413 (((-121)) 99)) (-1561 (((-121)) 97)) (-3952 (((-121)) 46)) (-1606 (((-121)) 103))) 
-(((-369 |#1| |#2|) (-10 -8 (-15 -2212 ((-1161 |#2|) |#1|)) (-15 -1650 ((-1161 |#2|) |#1|)) (-15 -2628 ((-635 (-1253 |#2|)))) (-15 -4174 ((-3 |#1| "failed") |#1|)) (-15 -2983 ((-3 |#1| "failed") |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -4078 ((-121))) (-15 -2826 ((-121))) (-15 -1428 ((-121))) (-15 -4161 ((-121))) (-15 -4015 ((-121))) (-15 -3983 ((-121))) (-15 -1606 ((-121))) (-15 -2067 ((-121))) (-15 -3073 ((-121))) (-15 -2431 ((-121))) (-15 -3952 ((-121))) (-15 -1413 ((-121))) (-15 -1561 ((-121))) (-15 -2984 ((-121))) (-15 -3168 ((-1161 |#2|) |#1|)) (-15 -4215 ((-1161 |#2|) |#1|)) (-15 -2459 ((-681 |#2|) (-1253 |#1|))) (-15 -3707 ((-681 |#2|) (-1253 |#1|))) (-15 -1547 (|#2| (-1253 |#1|))) (-15 -2510 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -3557 (|#2| |#1|)) (-15 -2170 (|#2| |#1|)) (-15 -1478 (|#2| |#1|)) (-15 -2858 (|#2| |#1|)) (-15 -4471 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -4432 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -3359 ((-1253 (-681 |#2|)) (-1253 |#1|)))) (-370 |#2|) (-173)) (T -369)) 
-((-2984 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1561 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1413 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3952 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2431 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3073 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2067 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1606 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3983 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4015 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4161 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1428 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2826 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4078 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2628 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-1253 *4))) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4))))) 
-(-10 -8 (-15 -2212 ((-1161 |#2|) |#1|)) (-15 -1650 ((-1161 |#2|) |#1|)) (-15 -2628 ((-635 (-1253 |#2|)))) (-15 -4174 ((-3 |#1| "failed") |#1|)) (-15 -2983 ((-3 |#1| "failed") |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -4078 ((-121))) (-15 -2826 ((-121))) (-15 -1428 ((-121))) (-15 -4161 ((-121))) (-15 -4015 ((-121))) (-15 -3983 ((-121))) (-15 -1606 ((-121))) (-15 -2067 ((-121))) (-15 -3073 ((-121))) (-15 -2431 ((-121))) (-15 -3952 ((-121))) (-15 -1413 ((-121))) (-15 -1561 ((-121))) (-15 -2984 ((-121))) (-15 -3168 ((-1161 |#2|) |#1|)) (-15 -4215 ((-1161 |#2|) |#1|)) (-15 -2459 ((-681 |#2|) (-1253 |#1|))) (-15 -3707 ((-681 |#2|) (-1253 |#1|))) (-15 -1547 (|#2| (-1253 |#1|))) (-15 -2510 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -3557 (|#2| |#1|)) (-15 -2170 (|#2| |#1|)) (-15 -1478 (|#2| |#1|)) (-15 -2858 (|#2| |#1|)) (-15 -4471 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -4432 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -3359 ((-1253 (-681 |#2|)) (-1253 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3667 (((-3 $ "failed")) 35 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) 18)) (-3359 (((-1253 (-681 |#1|)) (-1253 $)) 76)) (-1552 (((-1253 $)) 79)) (-4483 (($) 16 T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 38 (|has| |#1| (-559)))) (-3943 (((-3 $ "failed")) 36 (|has| |#1| (-559)))) (-2459 (((-681 |#1|) (-1253 $)) 63)) (-1478 ((|#1| $) 72)) (-4471 (((-681 |#1|) $ (-1253 $)) 74)) (-4174 (((-3 $ "failed") $) 43 (|has| |#1| (-559)))) (-4382 (($ $ (-919)) 27)) (-3557 ((|#1| $) 70)) (-2212 (((-1161 |#1|) $) 40 (|has| |#1| (-559)))) (-1547 ((|#1| (-1253 $)) 65)) (-3168 (((-1161 |#1|) $) 61)) (-3073 (((-121)) 55)) (-2097 (($ (-1253 |#1|) (-1253 $)) 67)) (-2611 (((-3 $ "failed") $) 45 (|has| |#1| (-559)))) (-3358 (((-919)) 78)) (-3894 (((-121)) 52)) (-2073 (($ $ (-919)) 32)) (-1428 (((-121)) 48)) (-4078 (((-121)) 46)) (-4015 (((-121)) 50)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 39 (|has| |#1| (-559)))) (-1309 (((-3 $ "failed")) 37 (|has| |#1| (-559)))) (-3707 (((-681 |#1|) (-1253 $)) 64)) (-2858 ((|#1| $) 73)) (-4432 (((-681 |#1|) $ (-1253 $)) 75)) (-2983 (((-3 $ "failed") $) 44 (|has| |#1| (-559)))) (-2846 (($ $ (-919)) 28)) (-2170 ((|#1| $) 71)) (-1650 (((-1161 |#1|) $) 41 (|has| |#1| (-559)))) (-2510 ((|#1| (-1253 $)) 66)) (-4215 (((-1161 |#1|) $) 62)) (-2431 (((-121)) 56)) (-2605 (((-1147) $) 9)) (-2826 (((-121)) 47)) (-4161 (((-121)) 49)) (-3983 (((-121)) 51)) (-1912 (((-1111) $) 10)) (-2067 (((-121)) 54)) (-3672 (((-1253 |#1|) $ (-1253 $)) 69) (((-681 |#1|) (-1253 $) (-1253 $)) 68)) (-3127 (((-635 (-955 |#1|)) (-1253 $)) 77)) (-2689 (($ $ $) 24)) (-2984 (((-121)) 60)) (-3956 (((-852) $) 11)) (-2628 (((-635 (-1253 |#1|))) 42 (|has| |#1| (-559)))) (-4379 (($ $ $ $) 25)) (-1413 (((-121)) 58)) (-3924 (($ $ $) 23)) (-1561 (((-121)) 59)) (-3952 (((-121)) 57)) (-1606 (((-121)) 53)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 29)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-370 |#1|) (-1284) (-173)) (T -370)) 
-((-1552 (*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1253 *1)) (-4 *1 (-370 *3)))) (-3358 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-919)))) (-3127 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-635 (-955 *4))))) (-3359 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1253 (-681 *4))))) (-4432 (*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-4471 (*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-2858 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-1478 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-2170 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-3557 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-3672 (*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1253 *4)))) (-3672 (*1 *2 *3 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-2097 (*1 *1 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1253 *1)) (-4 *4 (-173)) (-4 *1 (-370 *4)))) (-2510 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-1547 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-3707 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-2459 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-4215 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1161 *3)))) (-3168 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1161 *3)))) (-2984 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1561 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1413 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3952 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2431 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3073 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2067 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1606 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3894 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3983 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4015 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4161 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1428 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2826 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4078 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2611 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-2983 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-4174 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-2628 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-635 (-1253 *3))))) (-1650 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1161 *3)))) (-2212 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1161 *3)))) (-4030 (*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -4079 (-635 *1)))) (-4 *1 (-370 *3)))) (-2634 (*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -4079 (-635 *1)))) (-4 *1 (-370 *3)))) (-1309 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) (-3943 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) (-3667 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
-(-13 (-738 |t#1|) (-10 -8 (-15 -1552 ((-1253 $))) (-15 -3358 ((-919))) (-15 -3127 ((-635 (-955 |t#1|)) (-1253 $))) (-15 -3359 ((-1253 (-681 |t#1|)) (-1253 $))) (-15 -4432 ((-681 |t#1|) $ (-1253 $))) (-15 -4471 ((-681 |t#1|) $ (-1253 $))) (-15 -2858 (|t#1| $)) (-15 -1478 (|t#1| $)) (-15 -2170 (|t#1| $)) (-15 -3557 (|t#1| $)) (-15 -3672 ((-1253 |t#1|) $ (-1253 $))) (-15 -3672 ((-681 |t#1|) (-1253 $) (-1253 $))) (-15 -2097 ($ (-1253 |t#1|) (-1253 $))) (-15 -2510 (|t#1| (-1253 $))) (-15 -1547 (|t#1| (-1253 $))) (-15 -3707 ((-681 |t#1|) (-1253 $))) (-15 -2459 ((-681 |t#1|) (-1253 $))) (-15 -4215 ((-1161 |t#1|) $)) (-15 -3168 ((-1161 |t#1|) $)) (-15 -2984 ((-121))) (-15 -1561 ((-121))) (-15 -1413 ((-121))) (-15 -3952 ((-121))) (-15 -2431 ((-121))) (-15 -3073 ((-121))) (-15 -2067 ((-121))) (-15 -1606 ((-121))) (-15 -3894 ((-121))) (-15 -3983 ((-121))) (-15 -4015 ((-121))) (-15 -4161 ((-121))) (-15 -1428 ((-121))) (-15 -2826 ((-121))) (-15 -4078 ((-121))) (IF (|has| |t#1| (-559)) (PROGN (-15 -2611 ((-3 $ "failed") $)) (-15 -2983 ((-3 $ "failed") $)) (-15 -4174 ((-3 $ "failed") $)) (-15 -2628 ((-635 (-1253 |t#1|)))) (-15 -1650 ((-1161 |t#1|) $)) (-15 -2212 ((-1161 |t#1|) $)) (-15 -4030 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -2634 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -1309 ((-3 $ "failed"))) (-15 -3943 ((-3 $ "failed"))) (-15 -3667 ((-3 $ "failed"))) (-6 -4568)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-709 |#1|) . T) ((-712) . T) ((-738 |#1|) . T) ((-755) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) 7)) (-2675 (((-765)) 15)) (-3341 (($) 12)) (-2862 (((-919) $) 13)) (-2605 (((-1147) $) 9)) (-1333 (($ (-919)) 14)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
-(((-371) (-1284)) (T -371)) 
-((-2675 (*1 *2) (-12 (-4 *1 (-371)) (-5 *2 (-765)))) (-1333 (*1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-371)))) (-2862 (*1 *2 *1) (-12 (-4 *1 (-371)) (-5 *2 (-919)))) (-3341 (*1 *1) (-4 *1 (-371)))) 
-(-13 (-1093) (-10 -8 (-15 -2675 ((-765))) (-15 -1333 ($ (-919))) (-15 -2862 ((-919) $)) (-15 -3341 ($)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-2245 (((-681 |#2|) (-1253 $)) 40)) (-2097 (($ (-1253 |#2|) (-1253 $)) 35)) (-1808 (((-681 |#2|) $ (-1253 $)) 43)) (-2925 ((|#2| (-1253 $)) 13)) (-3672 (((-1253 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) (-1253 $) (-1253 $)) 25))) 
-(((-372 |#1| |#2| |#3|) (-10 -8 (-15 -2245 ((-681 |#2|) (-1253 |#1|))) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -1808 ((-681 |#2|) |#1| (-1253 |#1|)))) (-373 |#2| |#3|) (-173) (-1228 |#2|)) (T -372)) 
-NIL 
-(-10 -8 (-15 -2245 ((-681 |#2|) (-1253 |#1|))) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -1808 ((-681 |#2|) |#1| (-1253 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2245 (((-681 |#1|) (-1253 $)) 44)) (-3588 ((|#1| $) 50)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2097 (($ (-1253 |#1|) (-1253 $)) 46)) (-1808 (((-681 |#1|) $ (-1253 $)) 51)) (-2611 (((-3 $ "failed") $) 33)) (-3358 (((-919)) 52)) (-3934 (((-121) $) 30)) (-3046 ((|#1| $) 49)) (-2415 ((|#2| $) 42 (|has| |#1| (-366)))) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2925 ((|#1| (-1253 $)) 45)) (-3672 (((-1253 |#1|) $ (-1253 $)) 48) (((-681 |#1|) (-1253 $) (-1253 $)) 47)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-2277 (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-3033 ((|#2| $) 43)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-373 |#1| |#2|) (-1284) (-173) (-1228 |t#1|)) (T -373)) 
-((-3358 (*1 *2) (-12 (-4 *1 (-373 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-919)))) (-1808 (*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) (-3588 (*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) (-3046 (*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) (-3672 (*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *4)))) (-3672 (*1 *2 *3 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) (-2097 (*1 *1 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1253 *1)) (-4 *4 (-173)) (-4 *1 (-373 *4 *5)) (-4 *5 (-1228 *4)))) (-2925 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *2 *4)) (-4 *4 (-1228 *2)) (-4 *2 (-173)))) (-2245 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) (-3033 (*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) (-2415 (*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *3 (-366)) (-4 *2 (-1228 *3))))) 
-(-13 (-43 |t#1|) (-10 -8 (-15 -3358 ((-919))) (-15 -1808 ((-681 |t#1|) $ (-1253 $))) (-15 -3588 (|t#1| $)) (-15 -3046 (|t#1| $)) (-15 -3672 ((-1253 |t#1|) $ (-1253 $))) (-15 -3672 ((-681 |t#1|) (-1253 $) (-1253 $))) (-15 -2097 ($ (-1253 |t#1|) (-1253 $))) (-15 -2925 (|t#1| (-1253 $))) (-15 -2245 ((-681 |t#1|) (-1253 $))) (-15 -3033 (|t#2| $)) (IF (|has| |t#1| (-366)) (-15 -2415 (|t#2| $)) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) . T) ((-718) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-2247 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 23)) (-2793 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 15)) (-4188 ((|#4| (-1 |#3| |#1|) |#2|) 21))) 
-(((-374 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -2793 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2247 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1199) (-376 |#1|) (-1199) (-376 |#3|)) (T -374)) 
-((-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-4 *2 (-376 *5)) (-5 *1 (-374 *6 *4 *5 *2)) (-4 *4 (-376 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-374 *5 *4 *2 *6)) (-4 *4 (-376 *5)) (-4 *6 (-376 *2)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *2 (-376 *6)) (-5 *1 (-374 *5 *4 *6 *2)) (-4 *4 (-376 *5))))) 
-(-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -2793 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2247 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
-((-3382 (((-121) (-1 (-121) |#2| |#2|) $) NIL) (((-121) $) 18)) (-1744 (($ (-1 (-121) |#2| |#2|) $) NIL) (($ $) 28)) (-2930 (($ (-1 (-121) |#2| |#2|) $) 27) (($ $) 22)) (-1871 (($ $) 25)) (-3988 (((-569) (-1 (-121) |#2|) $) NIL) (((-569) |#2| $) 11) (((-569) |#2| $ (-569)) NIL)) (-2102 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 20))) 
-(((-375 |#1| |#2|) (-10 -8 (-15 -1744 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3382 ((-121) |#1|)) (-15 -2930 (|#1| |#1|)) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2930 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1871 (|#1| |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) (-376 |#2|) (-1199)) (T -375)) 
-NIL 
-(-10 -8 (-15 -1744 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3382 ((-121) |#1|)) (-15 -2930 (|#1| |#1|)) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2930 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1871 (|#1| |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| |#1| (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-3988 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 65)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 77 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 76 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) 78 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 75 (|has| |#1| (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-376 |#1|) (-1284) (-1199)) (T -376)) 
-((-2102 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) (-1871 (*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)))) (-2930 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) (-3382 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-376 *4)) (-4 *4 (-1199)) (-5 *2 (-121)))) (-3988 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-376 *4)) (-4 *4 (-1199)) (-5 *2 (-569)))) (-3988 (*1 *2 *3 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-569)))) (-3988 (*1 *2 *3 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)))) (-2102 (*1 *1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) (-2930 (*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) (-3382 (*1 *2 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-844)) (-5 *2 (-121)))) (-3038 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4572)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) (-2887 (*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-376 *2)) (-4 *2 (-1199)))) (-1744 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4572)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) (-1744 (*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844))))) 
-(-13 (-641 |t#1|) (-10 -8 (-6 -4571) (-15 -2102 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -1871 ($ $)) (-15 -2930 ($ (-1 (-121) |t#1| |t#1|) $)) (-15 -3382 ((-121) (-1 (-121) |t#1| |t#1|) $)) (-15 -3988 ((-569) (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1093)) (PROGN (-15 -3988 ((-569) |t#1| $)) (-15 -3988 ((-569) |t#1| $ (-569)))) |noBranch|) (IF (|has| |t#1| (-844)) (PROGN (-6 (-844)) (-15 -2102 ($ $ $)) (-15 -2930 ($ $)) (-15 -3382 ((-121) $))) |noBranch|) (IF (|has| $ (-6 -4572)) (PROGN (-15 -3038 ($ $ $ (-569))) (-15 -2887 ($ $)) (-15 -1744 ($ (-1 (-121) |t#1| |t#1|) $)) (IF (|has| |t#1| (-844)) (-15 -1744 ($ $)) |noBranch|)) |noBranch|))) 
-(((-39) . T) ((-105) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-609 (-852)) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-844) |has| |#1| (-844)) ((-1093) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-1199) . T)) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3810 (((-635 |#1|) $) 29)) (-4480 (($ $ (-765)) 30)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2368 (((-1275 |#1| |#2|) (-1275 |#1| |#2|) $) 33)) (-2745 (($ $) 31)) (-3927 (((-1275 |#1| |#2|) (-1275 |#1| |#2|) $) 34)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1484 (($ $ |#1| $) 28) (($ $ (-635 |#1|) (-635 $)) 27)) (-2284 (((-765) $) 35)) (-3124 (($ $ $) 26)) (-3956 (((-852) $) 11) (($ |#1|) 38) (((-1266 |#1| |#2|) $) 37) (((-1275 |#1| |#2|) $) 36)) (-3550 ((|#2| (-1275 |#1| |#2|) $) 39)) (-2407 (($) 17 T CONST)) (-4067 (($ (-664 |#1|)) 32)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#2|) 25 (|has| |#2| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#2| $) 22) (($ $ |#2|) 24))) 
-(((-377 |#1| |#2|) (-1284) (-844) (-173)) (T -377)) 
-((-3550 (*1 *2 *3 *1) (-12 (-5 *3 (-1275 *4 *2)) (-4 *1 (-377 *4 *2)) (-4 *4 (-844)) (-4 *2 (-173)))) (-3956 (*1 *1 *2) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-1266 *3 *4)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-1275 *3 *4)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-765)))) (-3927 (*1 *2 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-2368 (*1 *2 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-4067 (*1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-4 *1 (-377 *3 *4)) (-4 *4 (-173)))) (-2745 (*1 *1 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) (-4480 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-3810 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-635 *3)))) (-1484 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *1)) (-4 *1 (-377 *4 *5)) (-4 *4 (-844)) (-4 *5 (-173))))) 
-(-13 (-626 |t#2|) (-10 -8 (-15 -3550 (|t#2| (-1275 |t#1| |t#2|) $)) (-15 -3956 ($ |t#1|)) (-15 -3956 ((-1266 |t#1| |t#2|) $)) (-15 -3956 ((-1275 |t#1| |t#2|) $)) (-15 -2284 ((-765) $)) (-15 -3927 ((-1275 |t#1| |t#2|) (-1275 |t#1| |t#2|) $)) (-15 -2368 ((-1275 |t#1| |t#2|) (-1275 |t#1| |t#2|) $)) (-15 -4067 ($ (-664 |t#1|))) (-15 -2745 ($ $)) (-15 -4480 ($ $ (-765))) (-15 -3810 ((-635 |t#1|) $)) (-15 -1484 ($ $ |t#1| $)) (-15 -1484 ($ $ (-635 |t#1|) (-635 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#2|) . T) ((-626 |#2|) . T) ((-709 |#2|) . T) ((-1055 |#2|) . T) ((-1093) . T)) 
-((-3114 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 22)) (-4158 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 12)) (-1634 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 21))) 
-(((-378 |#1| |#2|) (-10 -7 (-15 -4158 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1634 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -3114 (|#2| (-1 (-121) |#1| |#1|) |#2|))) (-1199) (-13 (-376 |#1|) (-10 -7 (-6 -4572)))) (T -378)) 
-((-3114 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572)))))) (-1634 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572)))))) (-4158 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572))))))) 
-(-10 -7 (-15 -4158 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1634 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -3114 (|#2| (-1 (-121) |#1| |#1|) |#2|))) 
-((-3435 (((-681 |#2|) (-681 $)) NIL) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 19) (((-681 (-569)) (-681 $)) 13))) 
-(((-379 |#1| |#2|) (-10 -8 (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 |#2|) (-681 |#1|)))) (-380 |#2|) (-1049)) (T -379)) 
-NIL 
-(-10 -8 (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 |#2|) (-681 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3435 (((-681 |#1|) (-681 $)) 35) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 34) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 38 (|has| |#1| (-631 (-569)))) (((-681 (-569)) (-681 $)) 37 (|has| |#1| (-631 (-569))))) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-380 |#1|) (-1284) (-1049)) (T -380)) 
-NIL 
-(-13 (-631 |t#1|) (-10 -7 (IF (|has| |t#1| (-631 (-569))) (-6 (-631 (-569))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1909 (((-635 (-289 (-955 (-170 |#1|)))) (-289 (-410 (-955 (-170 (-569))))) |#1|) 52) (((-635 (-289 (-955 (-170 |#1|)))) (-410 (-955 (-170 (-569)))) |#1|) 51) (((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-289 (-410 (-955 (-170 (-569)))))) |#1|) 47) (((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-410 (-955 (-170 (-569))))) |#1|) 40)) (-2126 (((-635 (-635 (-170 |#1|))) (-635 (-410 (-955 (-170 (-569))))) (-635 (-1165)) |#1|) 28) (((-635 (-170 |#1|)) (-410 (-955 (-170 (-569)))) |#1|) 15))) 
-(((-381 |#1|) (-10 -7 (-15 -1909 ((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-410 (-955 (-170 (-569))))) |#1|)) (-15 -1909 ((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-289 (-410 (-955 (-170 (-569)))))) |#1|)) (-15 -1909 ((-635 (-289 (-955 (-170 |#1|)))) (-410 (-955 (-170 (-569)))) |#1|)) (-15 -1909 ((-635 (-289 (-955 (-170 |#1|)))) (-289 (-410 (-955 (-170 (-569))))) |#1|)) (-15 -2126 ((-635 (-170 |#1|)) (-410 (-955 (-170 (-569)))) |#1|)) (-15 -2126 ((-635 (-635 (-170 |#1|))) (-635 (-410 (-955 (-170 (-569))))) (-635 (-1165)) |#1|))) (-13 (-366) (-842))) (T -381)) 
-((-2126 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-955 (-170 (-569)))))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 (-170 *5)))) (-5 *1 (-381 *5)) (-4 *5 (-13 (-366) (-842))))) (-2126 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) (-1909 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 (-170 (-569)))))) (-5 *2 (-635 (-289 (-955 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) (-1909 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 (-569))))) (-5 *2 (-635 (-289 (-955 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) (-1909 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 (-170 (-569))))))) (-5 *2 (-635 (-635 (-289 (-955 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) (-1909 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-170 (-569)))))) (-5 *2 (-635 (-635 (-289 (-955 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842)))))) 
-(-10 -7 (-15 -1909 ((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-410 (-955 (-170 (-569))))) |#1|)) (-15 -1909 ((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-289 (-410 (-955 (-170 (-569)))))) |#1|)) (-15 -1909 ((-635 (-289 (-955 (-170 |#1|)))) (-410 (-955 (-170 (-569)))) |#1|)) (-15 -1909 ((-635 (-289 (-955 (-170 |#1|)))) (-289 (-410 (-955 (-170 (-569))))) |#1|)) (-15 -2126 ((-635 (-170 |#1|)) (-410 (-955 (-170 (-569)))) |#1|)) (-15 -2126 ((-635 (-635 (-170 |#1|))) (-635 (-410 (-955 (-170 (-569))))) (-635 (-1165)) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 33)) (-3644 (((-569) $) 55)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3146 (($ $) 109)) (-3544 (($ $) 81)) (-3467 (($ $) 70)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) 44)) (-2889 (((-121) $ $) NIL)) (-3530 (($ $) 79)) (-3455 (($ $) 68)) (-3817 (((-569) $) 63)) (-2546 (($ $ (-569)) 62)) (-3559 (($ $) NIL)) (-3480 (($ $) NIL)) (-4483 (($) NIL T CONST)) (-3411 (($ $) 111)) (-3003 (((-3 (-569) "failed") $) 187) (((-3 (-410 (-569)) "failed") $) 183)) (-1321 (((-569) $) 185) (((-410 (-569)) $) 181)) (-1614 (($ $ $) NIL)) (-4522 (((-569) $ $) 101)) (-2611 (((-3 $ "failed") $) 113)) (-3453 (((-410 (-569)) $ (-765)) 188) (((-410 (-569)) $ (-765) (-765)) 180)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2471 (((-919)) 72) (((-919) (-919)) 97 (|has| $ (-6 -4562)))) (-1863 (((-121) $) 105)) (-3415 (($) 40)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL)) (-1556 (((-1258) (-765)) 150)) (-4524 (((-1258)) 155) (((-1258) (-765)) 156)) (-2315 (((-1258)) 157) (((-1258) (-765)) 158)) (-2405 (((-1258)) 153) (((-1258) (-765)) 154)) (-4433 (((-569) $) 58)) (-3934 (((-121) $) 103)) (-2522 (($ $ (-569)) NIL)) (-1666 (($ $) 48)) (-3046 (($ $) NIL)) (-4311 (((-121) $) 35)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL) (($) NIL (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-2713 (($ $ $) NIL) (($) 98 (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-3066 (((-569) $) 17)) (-1988 (($) 86) (($ $) 91)) (-1492 (($) 90) (($ $) 92)) (-3597 (($ $) 82)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 115)) (-1485 (((-919) (-569)) 43 (|has| $ (-6 -4562)))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) 53)) (-1807 (($ $) 108)) (-3222 (($ (-569) (-569)) 106) (($ (-569) (-569) (-919)) 107)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3190 (((-569) $) 19)) (-1514 (($) 93)) (-3408 (($ $) 78)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2721 (((-919)) 99) (((-919) (-919)) 100 (|has| $ (-6 -4562)))) (-3289 (($ $ (-765)) NIL) (($ $) 114)) (-2791 (((-919) (-569)) 47 (|has| $ (-6 -4562)))) (-3565 (($ $) NIL)) (-3485 (($ $) NIL)) (-3551 (($ $) NIL)) (-3473 (($ $) NIL)) (-3538 (($ $) 80)) (-3460 (($ $) 69)) (-4035 (((-382) $) 173) (((-216) $) 175) (((-889 (-382)) $) NIL) (((-1147) $) 160) (((-542) $) 171) (($ (-216)) 179)) (-3956 (((-852) $) 162) (($ (-569)) 184) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 184) (($ (-410 (-569))) NIL) (((-216) $) 176)) (-2320 (((-765)) NIL)) (-3215 (($ $) 110)) (-4420 (((-919)) 54) (((-919) (-919)) 65 (|has| $ (-6 -4562)))) (-1710 (((-919)) 102)) (-3585 (($ $) 85)) (-3505 (($ $) 46) (($ $ $) 52)) (-2909 (((-121) $ $) NIL)) (-3572 (($ $) 83)) (-3490 (($ $) 37)) (-3599 (($ $) NIL)) (-3517 (($ $) NIL)) (-4527 (($ $) NIL)) (-3525 (($ $) NIL)) (-3592 (($ $) NIL)) (-3510 (($ $) NIL)) (-3579 (($ $) 84)) (-3497 (($ $) 49)) (-4080 (($ $) 51)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 34 T CONST)) (-3297 (($) 38 T CONST)) (-3685 (((-1147) $) 27) (((-1147) $ (-121)) 29) (((-1258) (-819) $) 30) (((-1258) (-819) $ (-121)) 31)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 39)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 42)) (-1383 (($ $ $) 45) (($ $ (-569)) 41)) (-1377 (($ $) 36) (($ $ $) 50)) (-1371 (($ $ $) 61)) (** (($ $ (-919)) 66) (($ $ (-765)) NIL) (($ $ (-569)) 87) (($ $ (-410 (-569))) 124) (($ $ $) 116)) (* (($ (-919) $) 64) (($ (-765) $) NIL) (($ (-569) $) 67) (($ $ $) 60) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-382) (-13 (-407) (-226) (-610 (-1147)) (-825) (-609 (-216)) (-1185) (-610 (-542)) (-10 -8 (-15 -1383 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -1666 ($ $)) (-15 -4522 ((-569) $ $)) (-15 -2546 ($ $ (-569))) (-15 -3453 ((-410 (-569)) $ (-765))) (-15 -3453 ((-410 (-569)) $ (-765) (-765))) (-15 -1988 ($)) (-15 -1492 ($)) (-15 -1514 ($)) (-15 -3505 ($ $ $)) (-15 -1988 ($ $)) (-15 -1492 ($ $)) (-15 -4035 ($ (-216))) (-15 -2315 ((-1258))) (-15 -2315 ((-1258) (-765))) (-15 -2405 ((-1258))) (-15 -2405 ((-1258) (-765))) (-15 -4524 ((-1258))) (-15 -4524 ((-1258) (-765))) (-15 -1556 ((-1258) (-765))) (-6 -4562) (-6 -4554)))) (T -382)) 
-((** (*1 *1 *1 *1) (-5 *1 (-382))) (-1383 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-1666 (*1 *1 *1) (-5 *1 (-382))) (-4522 (*1 *2 *1 *1) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-2546 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-3453 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) (-3453 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) (-1988 (*1 *1) (-5 *1 (-382))) (-1492 (*1 *1) (-5 *1 (-382))) (-1514 (*1 *1) (-5 *1 (-382))) (-3505 (*1 *1 *1 *1) (-5 *1 (-382))) (-1988 (*1 *1 *1) (-5 *1 (-382))) (-1492 (*1 *1 *1) (-5 *1 (-382))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-382)))) (-2315 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382)))) (-2315 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) (-2405 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382)))) (-2405 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) (-4524 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382)))) (-4524 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) (-1556 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382))))) 
-(-13 (-407) (-226) (-610 (-1147)) (-825) (-609 (-216)) (-1185) (-610 (-542)) (-10 -8 (-15 -1383 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -1666 ($ $)) (-15 -4522 ((-569) $ $)) (-15 -2546 ($ $ (-569))) (-15 -3453 ((-410 (-569)) $ (-765))) (-15 -3453 ((-410 (-569)) $ (-765) (-765))) (-15 -1988 ($)) (-15 -1492 ($)) (-15 -1514 ($)) (-15 -3505 ($ $ $)) (-15 -1988 ($ $)) (-15 -1492 ($ $)) (-15 -4035 ($ (-216))) (-15 -2315 ((-1258))) (-15 -2315 ((-1258) (-765))) (-15 -2405 ((-1258))) (-15 -2405 ((-1258) (-765))) (-15 -4524 ((-1258))) (-15 -4524 ((-1258) (-765))) (-15 -1556 ((-1258) (-765))) (-6 -4562) (-6 -4554))) 
-((-2880 (((-635 (-289 (-955 |#1|))) (-289 (-410 (-955 (-569)))) |#1|) 47) (((-635 (-289 (-955 |#1|))) (-410 (-955 (-569))) |#1|) 46) (((-635 (-635 (-289 (-955 |#1|)))) (-635 (-289 (-410 (-955 (-569))))) |#1|) 42) (((-635 (-635 (-289 (-955 |#1|)))) (-635 (-410 (-955 (-569)))) |#1|) 36)) (-4262 (((-635 |#1|) (-410 (-955 (-569))) |#1|) 19) (((-635 (-635 |#1|)) (-635 (-410 (-955 (-569)))) (-635 (-1165)) |#1|) 31))) 
-(((-383 |#1|) (-10 -7 (-15 -2880 ((-635 (-635 (-289 (-955 |#1|)))) (-635 (-410 (-955 (-569)))) |#1|)) (-15 -2880 ((-635 (-635 (-289 (-955 |#1|)))) (-635 (-289 (-410 (-955 (-569))))) |#1|)) (-15 -2880 ((-635 (-289 (-955 |#1|))) (-410 (-955 (-569))) |#1|)) (-15 -2880 ((-635 (-289 (-955 |#1|))) (-289 (-410 (-955 (-569)))) |#1|)) (-15 -4262 ((-635 (-635 |#1|)) (-635 (-410 (-955 (-569)))) (-635 (-1165)) |#1|)) (-15 -4262 ((-635 |#1|) (-410 (-955 (-569))) |#1|))) (-13 (-842) (-366))) (T -383)) 
-((-4262 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) (-4262 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 *5))) (-5 *1 (-383 *5)) (-4 *5 (-13 (-842) (-366))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 (-569))))) (-5 *2 (-635 (-289 (-955 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-569)))) (-5 *2 (-635 (-289 (-955 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 (-569)))))) (-5 *2 (-635 (-635 (-289 (-955 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-635 (-289 (-955 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366)))))) 
-(-10 -7 (-15 -2880 ((-635 (-635 (-289 (-955 |#1|)))) (-635 (-410 (-955 (-569)))) |#1|)) (-15 -2880 ((-635 (-635 (-289 (-955 |#1|)))) (-635 (-289 (-410 (-955 (-569))))) |#1|)) (-15 -2880 ((-635 (-289 (-955 |#1|))) (-410 (-955 (-569))) |#1|)) (-15 -2880 ((-635 (-289 (-955 |#1|))) (-289 (-410 (-955 (-569)))) |#1|)) (-15 -4262 ((-635 (-635 |#1|)) (-635 (-410 (-955 (-569)))) (-635 (-1165)) |#1|)) (-15 -4262 ((-635 |#1|) (-410 (-955 (-569))) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) 25)) (-1321 ((|#2| $) 27)) (-3373 (($ $) NIL)) (-4118 (((-765) $) 10)) (-2905 (((-635 $) $) 20)) (-3052 (((-121) $) NIL)) (-3558 (($ |#2| |#1|) 18)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2210 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 13)) (-2133 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 14)) (-3263 ((|#2| $) 15)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 43) (($ |#2|) 26)) (-2894 (((-635 |#1|) $) 17)) (-3802 ((|#1| $ |#2|) 45)) (-2407 (($) 28 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#1| $) 31) (($ $ |#1|) 32) (($ |#1| |#2|) 33) (($ |#2| |#1|) 34))) 
-(((-384 |#1| |#2|) (-13 (-385 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) (-1049) (-844)) (T -384)) 
-((* (*1 *1 *2 *3) (-12 (-5 *1 (-384 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-844))))) 
-(-13 (-385 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#2| "failed") $) 41)) (-1321 ((|#2| $) 40)) (-3373 (($ $) 27)) (-4118 (((-765) $) 31)) (-2905 (((-635 $) $) 32)) (-3052 (((-121) $) 35)) (-3558 (($ |#2| |#1|) 36)) (-4188 (($ (-1 |#1| |#1|) $) 37)) (-2210 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 34)) (-2133 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 28)) (-3263 ((|#2| $) 30)) (-3270 ((|#1| $) 29)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ |#2|) 42)) (-2894 (((-635 |#1|) $) 33)) (-3802 ((|#1| $ |#2|) 38)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24) (($ |#1| |#2|) 39))) 
-(((-385 |#1| |#2|) (-1284) (-1049) (-1093)) (T -385)) 
-((* (*1 *1 *2 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1093)))) (-3802 (*1 *2 *1 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1049)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)))) (-3558 (*1 *1 *2 *3) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1093)))) (-3052 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-121)))) (-2210 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-2894 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 *3)))) (-2905 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-385 *3 *4)))) (-4118 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-765)))) (-3263 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1093)))) (-3270 (*1 *2 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1049)))) (-2133 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3))))) (-3373 (*1 *1 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1093))))) 
-(-13 (-120 |t#1| |t#1|) (-1039 |t#2|) (-10 -8 (-15 * ($ |t#1| |t#2|)) (-15 -3802 (|t#1| $ |t#2|)) (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (-15 -3558 ($ |t#2| |t#1|)) (-15 -3052 ((-121) $)) (-15 -2210 ((-635 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -2894 ((-635 |t#1|) $)) (-15 -2905 ((-635 $) $)) (-15 -4118 ((-765) $)) (-15 -3263 (|t#2| $)) (-15 -3270 (|t#1| $)) (-15 -2133 ((-2 (|:| |k| |t#2|) (|:| |c| |t#1|)) $)) (-15 -3373 ($ $)) (IF (|has| |t#1| (-173)) (-6 (-709 |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-709 |#1|) |has| |#1| (-173)) ((-1039 |#2|) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
-((-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8) (($ (-681 (-690))) 12) (($ (-635 (-329))) 11) (($ (-329)) 10) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 9))) 
-(((-386) (-1284)) (T -386)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-681 (-690))) (-4 *1 (-386)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-386)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-386)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-386))))) 
-(-13 (-398) (-10 -8 (-15 -3956 ($ (-681 (-690)))) (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-329))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))))) 
-(((-609 (-852)) . T) ((-398) . T) ((-1199) . T)) 
-((-3003 (((-3 $ "failed") (-681 (-311 (-382)))) 19) (((-3 $ "failed") (-681 (-311 (-569)))) 17) (((-3 $ "failed") (-681 (-955 (-382)))) 15) (((-3 $ "failed") (-681 (-955 (-569)))) 13) (((-3 $ "failed") (-681 (-410 (-955 (-382))))) 11) (((-3 $ "failed") (-681 (-410 (-955 (-569))))) 9)) (-1321 (($ (-681 (-311 (-382)))) 20) (($ (-681 (-311 (-569)))) 18) (($ (-681 (-955 (-382)))) 16) (($ (-681 (-955 (-569)))) 14) (($ (-681 (-410 (-955 (-382))))) 12) (($ (-681 (-410 (-955 (-569))))) 10)) (-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 21))) 
-(((-387) (-1284)) (T -387)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-387)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-387)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-311 (-382)))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-311 (-382)))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-311 (-569)))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-311 (-569)))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-955 (-382)))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-955 (-382)))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-955 (-569)))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-955 (-569)))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-410 (-955 (-382))))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-410 (-955 (-382))))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-410 (-955 (-569))))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-410 (-955 (-569))))) (-4 *1 (-387))))) 
-(-13 (-398) (-10 -8 (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-329))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))) (-15 -1321 ($ (-681 (-311 (-382))))) (-15 -3003 ((-3 $ "failed") (-681 (-311 (-382))))) (-15 -1321 ($ (-681 (-311 (-569))))) (-15 -3003 ((-3 $ "failed") (-681 (-311 (-569))))) (-15 -1321 ($ (-681 (-955 (-382))))) (-15 -3003 ((-3 $ "failed") (-681 (-955 (-382))))) (-15 -1321 ($ (-681 (-955 (-569))))) (-15 -3003 ((-3 $ "failed") (-681 (-955 (-569))))) (-15 -1321 ($ (-681 (-410 (-955 (-382)))))) (-15 -3003 ((-3 $ "failed") (-681 (-410 (-955 (-382)))))) (-15 -1321 ($ (-681 (-410 (-955 (-569)))))) (-15 -3003 ((-3 $ "failed") (-681 (-410 (-955 (-569)))))))) 
-(((-609 (-852)) . T) ((-398) . T) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-3179 (($ |#1| |#2|) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4418 ((|#2| $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 27)) (-2407 (($) 12 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#1| $) 16) (($ $ |#1|) 18))) 
-(((-388 |#1| |#2|) (-13 (-120 |#1| |#1|) (-519 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-173)) (-6 (-709 |#1|)) |noBranch|))) (-1049) (-844)) (T -388)) 
-NIL 
-(-13 (-120 |#1| |#1|) (-519 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-173)) (-6 (-709 |#1|)) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2675 (((-765) $) 56)) (-4483 (($) NIL T CONST)) (-2368 (((-3 $ "failed") $ $) 58)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2598 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) 52)) (-3934 (((-121) $) 14)) (-1906 ((|#1| $ (-569)) NIL)) (-2237 (((-765) $ (-569)) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1648 (($ (-1 |#1| |#1|) $) 37)) (-1611 (($ (-1 (-765) (-765)) $) 34)) (-3927 (((-3 $ "failed") $ $) 49)) (-2605 (((-1147) $) NIL)) (-3856 (($ $ $) 25)) (-1486 (($ $ $) 23)) (-1912 (((-1111) $) NIL)) (-3459 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $) 31)) (-3135 (((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $) 55)) (-3956 (((-852) $) 21) (($ |#1|) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-3297 (($) 9 T CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 41)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) 60 (|has| |#1| (-844)))) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ |#1| (-765)) 40)) (* (($ $ $) 47) (($ |#1| $) 29) (($ $ |#1|) 27))) 
-(((-389 |#1|) (-13 (-718) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-765))) (-15 -1486 ($ $ $)) (-15 -3856 ($ $ $)) (-15 -3927 ((-3 $ "failed") $ $)) (-15 -2368 ((-3 $ "failed") $ $)) (-15 -3135 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -2598 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2675 ((-765) $)) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $)) (-15 -2237 ((-765) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1611 ($ (-1 (-765) (-765)) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-844)) (-6 (-844)) |noBranch|))) (-1093)) (T -389)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-1486 (*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-3856 (*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-3927 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-2368 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-3135 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) (-2598 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |mm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) (-2675 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) (-3459 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-765))))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) (-2237 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-765)) (-5 *1 (-389 *4)) (-4 *4 (-1093)))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-1611 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-765) (-765))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) (-1648 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-389 *3))))) 
-(-13 (-718) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-765))) (-15 -1486 ($ $ $)) (-15 -3856 ($ $ $)) (-15 -3927 ((-3 $ "failed") $ $)) (-15 -2368 ((-3 $ "failed") $ $)) (-15 -3135 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -2598 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2675 ((-765) $)) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $)) (-15 -2237 ((-765) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1611 ($ (-1 (-765) (-765)) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-844)) (-6 (-844)) |noBranch|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 46)) (-1321 (((-569) $) 45)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2157 (($ $ $) 53)) (-2713 (($ $ $) 52)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ $) 41)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 47)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 50)) (-1343 (((-121) $ $) 49)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 51)) (-1337 (((-121) $ $) 48)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-390) (-1284)) (T -390)) 
-NIL 
-(-13 (-559) (-844) (-1039 (-569))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-844) . T) ((-1039 (-569)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2668 (((-121) $) 20)) (-2906 (((-121) $) 19)) (-2446 (($ (-1147) (-1147) (-1147)) 21)) (-2798 (((-1147) $) 16)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3204 (($ (-1147) (-1147) (-1147)) 14)) (-2301 (((-1147) $) 17)) (-2290 (((-121) $) 18)) (-2525 (((-1147) $) 15)) (-3956 (((-852) $) 12) (($ (-1147)) 13) (((-1147) $) 9)) (-1326 (((-121) $ $) 7))) 
-(((-391) (-392)) (T -391)) 
-NIL 
-(-392) 
-((-1310 (((-121) $ $) 7)) (-2668 (((-121) $) 13)) (-2906 (((-121) $) 14)) (-2446 (($ (-1147) (-1147) (-1147)) 12)) (-2798 (((-1147) $) 17)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3204 (($ (-1147) (-1147) (-1147)) 19)) (-2301 (((-1147) $) 16)) (-2290 (((-121) $) 15)) (-2525 (((-1147) $) 18)) (-3956 (((-852) $) 11) (($ (-1147)) 21) (((-1147) $) 20)) (-1326 (((-121) $ $) 6))) 
-(((-392) (-1284)) (T -392)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) (-3204 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392)))) (-2525 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) (-2798 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) (-2301 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) (-2290 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-2906 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-2668 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-2446 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ($ (-1147))) (-15 -3956 ((-1147) $)) (-15 -3204 ($ (-1147) (-1147) (-1147))) (-15 -2525 ((-1147) $)) (-15 -2798 ((-1147) $)) (-15 -2301 ((-1147) $)) (-15 -2290 ((-121) $)) (-15 -2906 ((-121) $)) (-15 -2668 ((-121) $)) (-15 -2446 ($ (-1147) (-1147) (-1147))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4264 (((-852) $) 50)) (-4483 (($) NIL T CONST)) (-4382 (($ $ (-919)) NIL)) (-2073 (($ $ (-919)) NIL)) (-2846 (($ $ (-919)) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($ (-765)) 26)) (-2174 (((-765)) 15)) (-3103 (((-852) $) 52)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) NIL)) (-4379 (($ $ $ $) NIL)) (-3924 (($ $ $) NIL)) (-2407 (($) 20 T CONST)) (-1326 (((-121) $ $) 28)) (-1377 (($ $) 34) (($ $ $) 36)) (-1371 (($ $ $) 37)) (** (($ $ (-919)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 38) (($ $ |#3|) NIL) (($ |#3| $) 33))) 
-(((-393 |#1| |#2| |#3|) (-13 (-738 |#3|) (-10 -8 (-15 -2174 ((-765))) (-15 -3103 ((-852) $)) (-15 -4264 ((-852) $)) (-15 -1986 ($ (-765))))) (-765) (-765) (-173)) (T -393)) 
-((-2174 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) (-3103 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-173)))) (-4264 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-173)))) (-1986 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173))))) 
-(-13 (-738 |#3|) (-10 -8 (-15 -2174 ((-765))) (-15 -3103 ((-852) $)) (-15 -4264 ((-852) $)) (-15 -1986 ($ (-765))))) 
-((-4346 (((-1147)) 10)) (-2772 (((-1135 (-1147))) 28)) (-3198 (((-1258) (-1147)) 25) (((-1258) (-391)) 24)) (-3217 (((-1258)) 26)) (-2610 (((-1135 (-1147))) 27))) 
-(((-394) (-10 -7 (-15 -2610 ((-1135 (-1147)))) (-15 -2772 ((-1135 (-1147)))) (-15 -3217 ((-1258))) (-15 -3198 ((-1258) (-391))) (-15 -3198 ((-1258) (-1147))) (-15 -4346 ((-1147))))) (T -394)) 
-((-4346 (*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-394)))) (-3198 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-394)))) (-3198 (*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1258)) (-5 *1 (-394)))) (-3217 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-394)))) (-2772 (*1 *2) (-12 (-5 *2 (-1135 (-1147))) (-5 *1 (-394)))) (-2610 (*1 *2) (-12 (-5 *2 (-1135 (-1147))) (-5 *1 (-394))))) 
-(-10 -7 (-15 -2610 ((-1135 (-1147)))) (-15 -2772 ((-1135 (-1147)))) (-15 -3217 ((-1258))) (-15 -3198 ((-1258) (-391))) (-15 -3198 ((-1258) (-1147))) (-15 -4346 ((-1147)))) 
-((-4433 (((-765) (-335 |#1| |#2| |#3| |#4|)) 16))) 
-(((-395 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4433 ((-765) (-335 |#1| |#2| |#3| |#4|)))) (-13 (-371) (-366)) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -395)) 
-((-4433 (*1 *2 *3) (-12 (-5 *3 (-335 *4 *5 *6 *7)) (-4 *4 (-13 (-371) (-366))) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-4 *7 (-341 *4 *5 *6)) (-5 *2 (-765)) (-5 *1 (-395 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -4433 ((-765) (-335 |#1| |#2| |#3| |#4|)))) 
-((-3956 (((-397) |#1|) 11))) 
-(((-396 |#1|) (-10 -7 (-15 -3956 ((-397) |#1|))) (-1093)) (T -396)) 
-((-3956 (*1 *2 *3) (-12 (-5 *2 (-397)) (-5 *1 (-396 *3)) (-4 *3 (-1093))))) 
-(-10 -7 (-15 -3956 ((-397) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2554 (((-635 (-1147)) $ (-635 (-1147))) 37)) (-1936 (((-635 (-1147)) $ (-635 (-1147))) 38)) (-4541 (((-635 (-1147)) $ (-635 (-1147))) 39)) (-4278 (((-635 (-1147)) $) 34)) (-2446 (($) 23)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3048 (((-635 (-1147)) $) 35)) (-3641 (((-635 (-1147)) $) 36)) (-2442 (((-1258) $ (-569)) 32) (((-1258) $) 33)) (-4035 (($ (-852) (-569)) 29)) (-3956 (((-852) $) 41) (($ (-852)) 25)) (-1326 (((-121) $ $) NIL))) 
-(((-397) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-852))) (-15 -4035 ($ (-852) (-569))) (-15 -2442 ((-1258) $ (-569))) (-15 -2442 ((-1258) $)) (-15 -3641 ((-635 (-1147)) $)) (-15 -3048 ((-635 (-1147)) $)) (-15 -2446 ($)) (-15 -4278 ((-635 (-1147)) $)) (-15 -4541 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -1936 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2554 ((-635 (-1147)) $ (-635 (-1147))))))) (T -397)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-397)))) (-4035 (*1 *1 *2 *3) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-397)))) (-2442 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-397)))) (-2442 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-397)))) (-3641 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) (-3048 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) (-2446 (*1 *1) (-5 *1 (-397))) (-4278 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) (-4541 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) (-1936 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) (-2554 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ($ (-852))) (-15 -4035 ($ (-852) (-569))) (-15 -2442 ((-1258) $ (-569))) (-15 -2442 ((-1258) $)) (-15 -3641 ((-635 (-1147)) $)) (-15 -3048 ((-635 (-1147)) $)) (-15 -2446 ($)) (-15 -4278 ((-635 (-1147)) $)) (-15 -4541 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -1936 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2554 ((-635 (-1147)) $ (-635 (-1147)))))) 
-((-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8))) 
-(((-398) (-1284)) (T -398)) 
-((-3225 (*1 *2 *1) (-12 (-4 *1 (-398)) (-5 *2 (-1258))))) 
-(-13 (-1199) (-609 (-852)) (-10 -8 (-15 -3225 ((-1258) $)))) 
-(((-609 (-852)) . T) ((-1199) . T)) 
-((-3003 (((-3 $ "failed") (-311 (-382))) 19) (((-3 $ "failed") (-311 (-569))) 17) (((-3 $ "failed") (-955 (-382))) 15) (((-3 $ "failed") (-955 (-569))) 13) (((-3 $ "failed") (-410 (-955 (-382)))) 11) (((-3 $ "failed") (-410 (-955 (-569)))) 9)) (-1321 (($ (-311 (-382))) 20) (($ (-311 (-569))) 18) (($ (-955 (-382))) 16) (($ (-955 (-569))) 14) (($ (-410 (-955 (-382)))) 12) (($ (-410 (-955 (-569)))) 10)) (-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 21))) 
-(((-399) (-1284)) (T -399)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-399)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-399)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-955 (-382))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-382))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-569))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-382)))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-382)))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-569)))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-569)))) (-4 *1 (-399))))) 
-(-13 (-398) (-10 -8 (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-329))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))) (-15 -1321 ($ (-311 (-382)))) (-15 -3003 ((-3 $ "failed") (-311 (-382)))) (-15 -1321 ($ (-311 (-569)))) (-15 -3003 ((-3 $ "failed") (-311 (-569)))) (-15 -1321 ($ (-955 (-382)))) (-15 -3003 ((-3 $ "failed") (-955 (-382)))) (-15 -1321 ($ (-955 (-569)))) (-15 -3003 ((-3 $ "failed") (-955 (-569)))) (-15 -1321 ($ (-410 (-955 (-382))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-382))))) (-15 -1321 ($ (-410 (-955 (-569))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-569))))))) 
-(((-609 (-852)) . T) ((-398) . T) ((-1199) . T)) 
-((-4502 (((-635 (-1147)) (-635 (-1147))) 8)) (-3225 (((-1258) (-391)) 27)) (-4521 (((-1097) (-1165) (-635 (-1165)) (-1168) (-635 (-1165))) 59) (((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165)) (-1165)) 35) (((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165))) 34))) 
-(((-400) (-10 -7 (-15 -4521 ((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165)))) (-15 -4521 ((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165)) (-1165))) (-15 -4521 ((-1097) (-1165) (-635 (-1165)) (-1168) (-635 (-1165)))) (-15 -3225 ((-1258) (-391))) (-15 -4502 ((-635 (-1147)) (-635 (-1147)))))) (T -400)) 
-((-4502 (*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-400)))) (-3225 (*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1258)) (-5 *1 (-400)))) (-4521 (*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *5 (-1168)) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400)))) (-4521 (*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1165))))) (-5 *6 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400)))) (-4521 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1165))))) (-5 *6 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400))))) 
-(-10 -7 (-15 -4521 ((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165)))) (-15 -4521 ((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165)) (-1165))) (-15 -4521 ((-1097) (-1165) (-635 (-1165)) (-1168) (-635 (-1165)))) (-15 -3225 ((-1258) (-391))) (-15 -4502 ((-635 (-1147)) (-635 (-1147))))) 
-((-3225 (((-1258) $) 37)) (-3956 (((-852) $) 89) (($ (-329)) 92) (($ (-635 (-329))) 91) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 88) (($ (-311 (-692))) 52) (($ (-311 (-690))) 66) (($ (-311 (-685))) 78) (($ (-289 (-311 (-692)))) 62) (($ (-289 (-311 (-690)))) 74) (($ (-289 (-311 (-685)))) 86) (($ (-311 (-569))) 96) (($ (-311 (-382))) 108) (($ (-311 (-170 (-382)))) 120) (($ (-289 (-311 (-569)))) 104) (($ (-289 (-311 (-382)))) 116) (($ (-289 (-311 (-170 (-382))))) 128))) 
-(((-401 |#1| |#2| |#3| |#4|) (-13 (-398) (-10 -8 (-15 -3956 ($ (-329))) (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))) (-15 -3956 ($ (-311 (-692)))) (-15 -3956 ($ (-311 (-690)))) (-15 -3956 ($ (-311 (-685)))) (-15 -3956 ($ (-289 (-311 (-692))))) (-15 -3956 ($ (-289 (-311 (-690))))) (-15 -3956 ($ (-289 (-311 (-685))))) (-15 -3956 ($ (-311 (-569)))) (-15 -3956 ($ (-311 (-382)))) (-15 -3956 ($ (-311 (-170 (-382))))) (-15 -3956 ($ (-289 (-311 (-569))))) (-15 -3956 ($ (-289 (-311 (-382))))) (-15 -3956 ($ (-289 (-311 (-170 (-382)))))))) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-1165)) (-1169)) (T -401)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-692))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-690))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-685))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-692)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-690)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-685)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-569)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-170 (-382))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169))))) 
-(-13 (-398) (-10 -8 (-15 -3956 ($ (-329))) (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))) (-15 -3956 ($ (-311 (-692)))) (-15 -3956 ($ (-311 (-690)))) (-15 -3956 ($ (-311 (-685)))) (-15 -3956 ($ (-289 (-311 (-692))))) (-15 -3956 ($ (-289 (-311 (-690))))) (-15 -3956 ($ (-289 (-311 (-685))))) (-15 -3956 ($ (-311 (-569)))) (-15 -3956 ($ (-311 (-382)))) (-15 -3956 ($ (-311 (-170 (-382))))) (-15 -3956 ($ (-289 (-311 (-569))))) (-15 -3956 ($ (-289 (-311 (-382))))) (-15 -3956 ($ (-289 (-311 (-170 (-382)))))))) 
-((-1310 (((-121) $ $) NIL)) (-2877 ((|#2| $) 36)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3721 (($ (-410 |#2|)) 84)) (-2266 (((-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|))) $) 37)) (-3289 (($ $) 32) (($ $ (-765)) 34)) (-4035 (((-410 |#2|) $) 46)) (-3124 (($ (-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|)))) 31)) (-3956 (((-852) $) 120)) (-3712 (($ $) 33) (($ $ (-765)) 35)) (-1326 (((-121) $ $) NIL)) (-1371 (($ |#2| $) 39))) 
-(((-402 |#1| |#2|) (-13 (-1093) (-610 (-410 |#2|)) (-10 -8 (-15 -1371 ($ |#2| $)) (-15 -3721 ($ (-410 |#2|))) (-15 -2877 (|#2| $)) (-15 -2266 ((-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|))) $)) (-15 -3124 ($ (-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|))))) (-15 -3289 ($ $)) (-15 -3712 ($ $)) (-15 -3289 ($ $ (-765))) (-15 -3712 ($ $ (-765))))) (-13 (-366) (-151)) (-1228 |#1|)) (T -402)) 
-((-1371 (*1 *1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *2)) (-4 *2 (-1228 *3)))) (-3721 (*1 *1 *2) (-12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) (-2877 (*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-402 *3 *2)) (-4 *3 (-13 (-366) (-151))))) (-2266 (*1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *2 (-635 (-2 (|:| -3190 (-765)) (|:| -1736 *4) (|:| |num| *4)))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3)))) (-3124 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3190 (-765)) (|:| -1736 *4) (|:| |num| *4)))) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) (-3289 (*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1228 *2)))) (-3712 (*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1228 *2)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3)))) (-3712 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3))))) 
-(-13 (-1093) (-610 (-410 |#2|)) (-10 -8 (-15 -1371 ($ |#2| $)) (-15 -3721 ($ (-410 |#2|))) (-15 -2877 (|#2| $)) (-15 -2266 ((-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|))) $)) (-15 -3124 ($ (-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|))))) (-15 -3289 ($ $)) (-15 -3712 ($ $)) (-15 -3289 ($ $ (-765))) (-15 -3712 ($ $ (-765))))) 
-((-1310 (((-121) $ $) 9 (-1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))))) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 15 (|has| |#1| (-883 (-382)))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 14 (|has| |#1| (-883 (-569))))) (-2605 (((-1147) $) 13 (-1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))))) (-1912 (((-1111) $) 12 (-1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))))) (-3956 (((-852) $) 11 (-1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))))) (-1326 (((-121) $ $) 10 (-1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382))))))) 
-(((-403 |#1|) (-1284) (-1199)) (T -403)) 
-NIL 
-(-13 (-1199) (-10 -7 (IF (|has| |t#1| (-883 (-569))) (-6 (-883 (-569))) |noBranch|) (IF (|has| |t#1| (-883 (-382))) (-6 (-883 (-382))) |noBranch|))) 
-(((-105) -1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))) ((-609 (-852)) -1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))) ((-883 (-382)) |has| |#1| (-883 (-382))) ((-883 (-569)) |has| |#1| (-883 (-569))) ((-1093) -1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))) ((-1199) . T)) 
-((-3238 (($ $) 10) (($ $ (-765)) 11))) 
-(((-404 |#1|) (-10 -8 (-15 -3238 (|#1| |#1| (-765))) (-15 -3238 (|#1| |#1|))) (-405)) (T -404)) 
-NIL 
-(-10 -8 (-15 -3238 (|#1| |#1| (-765))) (-15 -3238 (|#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3238 (($ $) 75) (($ $ (-765)) 74)) (-2005 (((-121) $) 69)) (-4433 (((-830 (-919)) $) 77)) (-3934 (((-121) $) 30)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3600 (((-3 (-765) "failed") $ $) 76)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2277 (((-3 $ "failed") $) 78)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-405) (-1284)) (T -405)) 
-((-4433 (*1 *2 *1) (-12 (-4 *1 (-405)) (-5 *2 (-830 (-919))))) (-3600 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-405)) (-5 *2 (-765)))) (-3238 (*1 *1 *1) (-4 *1 (-405))) (-3238 (*1 *1 *1 *2) (-12 (-4 *1 (-405)) (-5 *2 (-765))))) 
-(-13 (-366) (-149) (-10 -8 (-15 -4433 ((-830 (-919)) $)) (-15 -3600 ((-3 (-765) "failed") $ $)) (-15 -3238 ($ $)) (-15 -3238 ($ $ (-765))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
-((-3222 (($ (-569) (-569)) 11) (($ (-569) (-569) (-919)) NIL)) (-2721 (((-919)) 16) (((-919) (-919)) NIL))) 
-(((-406 |#1|) (-10 -8 (-15 -2721 ((-919) (-919))) (-15 -2721 ((-919))) (-15 -3222 (|#1| (-569) (-569) (-919))) (-15 -3222 (|#1| (-569) (-569)))) (-407)) (T -406)) 
-((-2721 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) (-2721 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-406 *3)) (-4 *3 (-407))))) 
-(-10 -8 (-15 -2721 ((-919) (-919))) (-15 -2721 ((-919))) (-15 -3222 (|#1| (-569) (-569) (-919))) (-15 -3222 (|#1| (-569) (-569)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3644 (((-569) $) 85)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3146 (($ $) 83)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-3422 (($ $) 93)) (-2889 (((-121) $ $) 57)) (-3817 (((-569) $) 110)) (-4483 (($) 16 T CONST)) (-3411 (($ $) 82)) (-3003 (((-3 (-569) "failed") $) 98) (((-3 (-410 (-569)) "failed") $) 95)) (-1321 (((-569) $) 97) (((-410 (-569)) $) 94)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-2471 (((-919)) 119) (((-919) (-919)) 116 (|has| $ (-6 -4562)))) (-1863 (((-121) $) 108)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 89)) (-4433 (((-569) $) 125)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 92)) (-3046 (($ $) 88)) (-4311 (((-121) $) 109)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2157 (($ $ $) 107) (($) 113 (-12 (-3182 (|has| $ (-6 -4562))) (-3182 (|has| $ (-6 -4554)))))) (-2713 (($ $ $) 106) (($) 112 (-12 (-3182 (|has| $ (-6 -4562))) (-3182 (|has| $ (-6 -4554)))))) (-3066 (((-569) $) 122)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1485 (((-919) (-569)) 115 (|has| $ (-6 -4562)))) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1391 (($ $) 84)) (-1807 (($ $) 86)) (-3222 (($ (-569) (-569)) 127) (($ (-569) (-569) (-919)) 126)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-3190 (((-569) $) 123)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2721 (((-919)) 120) (((-919) (-919)) 117 (|has| $ (-6 -4562)))) (-2791 (((-919) (-569)) 114 (|has| $ (-6 -4562)))) (-4035 (((-382) $) 101) (((-216) $) 100) (((-889 (-382)) $) 90)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 99) (($ (-410 (-569))) 96)) (-2320 (((-765)) 28)) (-3215 (($ $) 87)) (-4420 (((-919)) 121) (((-919) (-919)) 118 (|has| $ (-6 -4562)))) (-1710 (((-919)) 124)) (-2909 (((-121) $ $) 38)) (-4080 (($ $) 111)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 104)) (-1343 (((-121) $ $) 103)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 105)) (-1337 (((-121) $ $) 102)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 91)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-407) (-1284)) (T -407)) 
-((-3222 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-407)))) (-3222 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-919)) (-4 *1 (-407)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-1710 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) (-3190 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-3066 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-4420 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) (-2721 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) (-2471 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) (-4420 (*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) (-2721 (*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) (-2471 (*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) (-1485 (*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4562)) (-4 *1 (-407)) (-5 *2 (-919)))) (-2791 (*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4562)) (-4 *1 (-407)) (-5 *2 (-919)))) (-2157 (*1 *1) (-12 (-4 *1 (-407)) (-3182 (|has| *1 (-6 -4562))) (-3182 (|has| *1 (-6 -4554))))) (-2713 (*1 *1) (-12 (-4 *1 (-407)) (-3182 (|has| *1 (-6 -4562))) (-3182 (|has| *1 (-6 -4554)))))) 
-(-13 (-1058) (-10 -8 (-6 -4334) (-15 -3222 ($ (-569) (-569))) (-15 -3222 ($ (-569) (-569) (-919))) (-15 -4433 ((-569) $)) (-15 -1710 ((-919))) (-15 -3190 ((-569) $)) (-15 -3066 ((-569) $)) (-15 -4420 ((-919))) (-15 -2721 ((-919))) (-15 -2471 ((-919))) (IF (|has| $ (-6 -4562)) (PROGN (-15 -4420 ((-919) (-919))) (-15 -2721 ((-919) (-919))) (-15 -2471 ((-919) (-919))) (-15 -1485 ((-919) (-569))) (-15 -2791 ((-919) (-569)))) |noBranch|) (IF (|has| $ (-6 -4554)) |noBranch| (IF (|has| $ (-6 -4562)) |noBranch| (PROGN (-15 -2157 ($)) (-15 -2713 ($))))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-889 (-382))) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-842) . T) ((-844) . T) ((-883 (-382)) . T) ((-918) . T) ((-1004) . T) ((-1023) . T) ((-1058) . T) ((-1039 (-410 (-569))) . T) ((-1039 (-569)) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
-((-4188 (((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)) 20))) 
-(((-408 |#1| |#2|) (-10 -7 (-15 -4188 ((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)))) (-559) (-559)) (T -408)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-421 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-421 *6)) (-5 *1 (-408 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)))) 
-((-4188 (((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)) 13))) 
-(((-409 |#1| |#2|) (-10 -7 (-15 -4188 ((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)))) (-559) (-559)) (T -409)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-410 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-410 *6)) (-5 *1 (-409 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 13)) (-3644 ((|#1| $) 21 (|has| |#1| (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| |#1| (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 17) (((-3 (-1165) "failed") $) NIL (|has| |#1| (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) 70 (|has| |#1| (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569))))) (-1321 ((|#1| $) 15) (((-1165) $) NIL (|has| |#1| (-1039 (-1165)))) (((-410 (-569)) $) 67 (|has| |#1| (-1039 (-569)))) (((-569) $) NIL (|has| |#1| (-1039 (-569))))) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) 50)) (-3341 (($) NIL (|has| |#1| (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| |#1| (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| |#1| (-883 (-382))))) (-3934 (((-121) $) 64)) (-3043 (($ $) NIL)) (-3515 ((|#1| $) 71)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-1139)))) (-4311 (((-121) $) NIL (|has| |#1| (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 97)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| |#1| (-302)))) (-1807 ((|#1| $) 28 (|has| |#1| (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 133 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 129 (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-524 (-1165) |#1|)))) (-2061 (((-765) $) NIL)) (-2503 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) 63)) (-2572 (($ $) NIL)) (-3524 ((|#1| $) 73)) (-4035 (((-889 (-569)) $) NIL (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| |#1| (-610 (-889 (-382))))) (((-542) $) NIL (|has| |#1| (-610 (-542)))) (((-382) $) NIL (|has| |#1| (-1023))) (((-216) $) NIL (|has| |#1| (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 113 (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 10) (($ (-1165)) NIL (|has| |#1| (-1039 (-1165))))) (-2277 (((-3 $ "failed") $) 99 (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 100)) (-3215 ((|#1| $) 26 (|has| |#1| (-551)))) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| |#1| (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 22 T CONST)) (-3297 (($) 8 T CONST)) (-3685 (((-1147) $) 43 (-12 (|has| |#1| (-551)) (|has| |#1| (-825)))) (((-1147) $ (-121)) 44 (-12 (|has| |#1| (-551)) (|has| |#1| (-825)))) (((-1258) (-819) $) 45 (-12 (|has| |#1| (-551)) (|has| |#1| (-825)))) (((-1258) (-819) $ (-121)) 46 (-12 (|has| |#1| (-551)) (|has| |#1| (-825))))) (-3712 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 56)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) 24 (|has| |#1| (-844)))) (-1383 (($ $ $) 124) (($ |#1| |#1|) 52)) (-1377 (($ $) 25) (($ $ $) 55)) (-1371 (($ $ $) 53)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 123)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 60) (($ $ $) 57) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 61) (($ $ |#1|) 85))) 
-(((-410 |#1|) (-13 (-995 |#1|) (-10 -7 (IF (|has| |#1| (-551)) (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4558)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-6 -4569)) (-6 -4558) |noBranch|) |noBranch|) |noBranch|))) (-559)) (T -410)) 
-NIL 
-(-13 (-995 |#1|) (-10 -7 (IF (|has| |#1| (-551)) (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4558)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-6 -4569)) (-6 -4558) |noBranch|) |noBranch|) |noBranch|))) 
-((-2245 (((-681 |#2|) (-1253 $)) NIL) (((-681 |#2|)) 18)) (-2097 (($ (-1253 |#2|) (-1253 $)) NIL) (($ (-1253 |#2|)) 26)) (-1808 (((-681 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) $) 22)) (-2415 ((|#3| $) 59)) (-2925 ((|#2| (-1253 $)) NIL) ((|#2|) 20)) (-3672 (((-1253 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) (-1253 $) (-1253 $)) NIL) (((-1253 |#2|) $) NIL) (((-681 |#2|) (-1253 $)) 24)) (-4035 (((-1253 |#2|) $) 11) (($ (-1253 |#2|)) 13)) (-3033 ((|#3| $) 51))) 
-(((-411 |#1| |#2| |#3|) (-10 -8 (-15 -1808 ((-681 |#2|) |#1|)) (-15 -2925 (|#2|)) (-15 -2245 ((-681 |#2|))) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -2415 (|#3| |#1|)) (-15 -3033 (|#3| |#1|)) (-15 -2245 ((-681 |#2|) (-1253 |#1|))) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -1808 ((-681 |#2|) |#1| (-1253 |#1|)))) (-412 |#2| |#3|) (-173) (-1228 |#2|)) (T -411)) 
-((-2245 (*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)) (-5 *1 (-411 *3 *4 *5)) (-4 *3 (-412 *4 *5)))) (-2925 (*1 *2) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-173)) (-5 *1 (-411 *3 *2 *4)) (-4 *3 (-412 *2 *4))))) 
-(-10 -8 (-15 -1808 ((-681 |#2|) |#1|)) (-15 -2925 (|#2|)) (-15 -2245 ((-681 |#2|))) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -2415 (|#3| |#1|)) (-15 -3033 (|#3| |#1|)) (-15 -2245 ((-681 |#2|) (-1253 |#1|))) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -1808 ((-681 |#2|) |#1| (-1253 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2245 (((-681 |#1|) (-1253 $)) 44) (((-681 |#1|)) 55)) (-3588 ((|#1| $) 50)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2097 (($ (-1253 |#1|) (-1253 $)) 46) (($ (-1253 |#1|)) 58)) (-1808 (((-681 |#1|) $ (-1253 $)) 51) (((-681 |#1|) $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-3358 (((-919)) 52)) (-3934 (((-121) $) 30)) (-3046 ((|#1| $) 49)) (-2415 ((|#2| $) 42 (|has| |#1| (-366)))) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2925 ((|#1| (-1253 $)) 45) ((|#1|) 54)) (-3672 (((-1253 |#1|) $ (-1253 $)) 48) (((-681 |#1|) (-1253 $) (-1253 $)) 47) (((-1253 |#1|) $) 60) (((-681 |#1|) (-1253 $)) 59)) (-4035 (((-1253 |#1|) $) 57) (($ (-1253 |#1|)) 56)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-2277 (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-3033 ((|#2| $) 43)) (-2320 (((-765)) 28)) (-4079 (((-1253 $)) 61)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-412 |#1| |#2|) (-1284) (-173) (-1228 |t#1|)) (T -412)) 
-((-4079 (*1 *2) (-12 (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *1)) (-4 *1 (-412 *3 *4)))) (-3672 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *3)))) (-3672 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-412 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) (-2097 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1228 *3)))) (-4035 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *3)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1228 *3)))) (-2245 (*1 *2) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-681 *3)))) (-2925 (*1 *2) (-12 (-4 *1 (-412 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) (-1808 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-681 *3))))) 
-(-13 (-373 |t#1| |t#2|) (-10 -8 (-15 -4079 ((-1253 $))) (-15 -3672 ((-1253 |t#1|) $)) (-15 -3672 ((-681 |t#1|) (-1253 $))) (-15 -2097 ($ (-1253 |t#1|))) (-15 -4035 ((-1253 |t#1|) $)) (-15 -4035 ($ (-1253 |t#1|))) (-15 -2245 ((-681 |t#1|))) (-15 -2925 (|t#1|)) (-15 -1808 ((-681 |t#1|) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-373 |#1| |#2|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) . T) ((-718) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) 27) (((-3 (-569) "failed") $) 19)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) 24) (((-569) $) 14)) (-3956 (($ |#2|) NIL) (($ (-410 (-569))) 22) (($ (-569)) 11))) 
-(((-413 |#1| |#2|) (-10 -8 (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -3956 (|#1| (-569))) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|))) (-414 |#2|) (-1199)) (T -413)) 
-NIL 
-(-10 -8 (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -3956 (|#1| (-569))) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|))) 
-((-3003 (((-3 |#1| "failed") $) 7) (((-3 (-410 (-569)) "failed") $) 15 (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) 12 (|has| |#1| (-1039 (-569))))) (-1321 ((|#1| $) 8) (((-410 (-569)) $) 14 (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) 11 (|has| |#1| (-1039 (-569))))) (-3956 (($ |#1|) 6) (($ (-410 (-569))) 16 (|has| |#1| (-1039 (-410 (-569))))) (($ (-569)) 13 (|has| |#1| (-1039 (-569)))))) 
-(((-414 |#1|) (-1284) (-1199)) (T -414)) 
-NIL 
-(-13 (-1039 |t#1|) (-10 -7 (IF (|has| |t#1| (-1039 (-569))) (-6 (-1039 (-569))) |noBranch|) (IF (|has| |t#1| (-1039 (-410 (-569)))) (-6 (-1039 (-410 (-569)))) |noBranch|))) 
-(((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T)) 
-((-4188 (((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)) 33))) 
-(((-415 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4188 ((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)))) (-302) (-995 |#1|) (-1228 |#2|) (-13 (-412 |#2| |#3|) (-1039 |#2|)) (-302) (-995 |#5|) (-1228 |#6|) (-13 (-412 |#6| |#7|) (-1039 |#6|))) (T -415)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-416 *5 *6 *7 *8)) (-4 *5 (-302)) (-4 *6 (-995 *5)) (-4 *7 (-1228 *6)) (-4 *8 (-13 (-412 *6 *7) (-1039 *6))) (-4 *9 (-302)) (-4 *10 (-995 *9)) (-4 *11 (-1228 *10)) (-5 *2 (-416 *9 *10 *11 *12)) (-5 *1 (-415 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-412 *10 *11) (-1039 *10)))))) 
-(-10 -7 (-15 -4188 ((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)))) 
-((-1310 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-1635 ((|#4| (-765) (-1253 |#4|)) 55)) (-3934 (((-121) $) NIL)) (-3515 (((-1253 |#4|) $) 17)) (-3046 ((|#2| $) 53)) (-3087 (($ $) 136)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 98)) (-2018 (($ (-1253 |#4|)) 97)) (-1912 (((-1111) $) NIL)) (-3524 ((|#1| $) 18)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 131)) (-4079 (((-1253 |#4|) $) 126)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 11 T CONST)) (-1326 (((-121) $ $) 39)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 119)) (* (($ $ $) 118))) 
-(((-416 |#1| |#2| |#3| |#4|) (-13 (-479) (-10 -8 (-15 -2018 ($ (-1253 |#4|))) (-15 -4079 ((-1253 |#4|) $)) (-15 -3046 (|#2| $)) (-15 -3515 ((-1253 |#4|) $)) (-15 -3524 (|#1| $)) (-15 -3087 ($ $)) (-15 -1635 (|#4| (-765) (-1253 |#4|))))) (-302) (-995 |#1|) (-1228 |#2|) (-13 (-412 |#2| |#3|) (-1039 |#2|))) (T -416)) 
-((-2018 (*1 *1 *2) (-12 (-5 *2 (-1253 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *3 (-302)) (-5 *1 (-416 *3 *4 *5 *6)))) (-4079 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))))) (-3046 (*1 *2 *1) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-995 *3)) (-5 *1 (-416 *3 *2 *4 *5)) (-4 *3 (-302)) (-4 *5 (-13 (-412 *2 *4) (-1039 *2))))) (-3515 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))))) (-3524 (*1 *2 *1) (-12 (-4 *3 (-995 *2)) (-4 *4 (-1228 *3)) (-4 *2 (-302)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1039 *3))))) (-3087 (*1 *1 *1) (-12 (-4 *2 (-302)) (-4 *3 (-995 *2)) (-4 *4 (-1228 *3)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1039 *3))))) (-1635 (*1 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-1253 *2)) (-4 *5 (-302)) (-4 *6 (-995 *5)) (-4 *2 (-13 (-412 *6 *7) (-1039 *6))) (-5 *1 (-416 *5 *6 *7 *2)) (-4 *7 (-1228 *6))))) 
-(-13 (-479) (-10 -8 (-15 -2018 ($ (-1253 |#4|))) (-15 -4079 ((-1253 |#4|) $)) (-15 -3046 (|#2| $)) (-15 -3515 ((-1253 |#4|) $)) (-15 -3524 (|#1| $)) (-15 -3087 ($ $)) (-15 -1635 (|#4| (-765) (-1253 |#4|))))) 
-((-1310 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-3046 ((|#2| $) 60)) (-3830 (($ (-1253 |#4|)) 25) (($ (-416 |#1| |#2| |#3| |#4|)) 75 (|has| |#4| (-1039 |#2|)))) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 34)) (-4079 (((-1253 |#4|) $) 26)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-3297 (($) 23 T CONST)) (-1326 (((-121) $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ $ $) 72))) 
-(((-417 |#1| |#2| |#3| |#4| |#5|) (-13 (-718) (-10 -8 (-15 -4079 ((-1253 |#4|) $)) (-15 -3046 (|#2| $)) (-15 -3830 ($ (-1253 |#4|))) (IF (|has| |#4| (-1039 |#2|)) (-15 -3830 ($ (-416 |#1| |#2| |#3| |#4|))) |noBranch|))) (-302) (-995 |#1|) (-1228 |#2|) (-412 |#2| |#3|) (-1253 |#4|)) (T -417)) 
-((-4079 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-4 *6 (-412 *4 *5)) (-14 *7 *2))) (-3046 (*1 *2 *1) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-995 *3)) (-5 *1 (-417 *3 *2 *4 *5 *6)) (-4 *3 (-302)) (-4 *5 (-412 *2 *4)) (-14 *6 (-1253 *5)))) (-3830 (*1 *1 *2) (-12 (-5 *2 (-1253 *6)) (-4 *6 (-412 *4 *5)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *3 (-302)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-14 *7 *2))) (-3830 (*1 *1 *2) (-12 (-5 *2 (-416 *3 *4 *5 *6)) (-4 *6 (-1039 *4)) (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *6 (-412 *4 *5)) (-14 *7 (-1253 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7))))) 
-(-13 (-718) (-10 -8 (-15 -4079 ((-1253 |#4|) $)) (-15 -3046 (|#2| $)) (-15 -3830 ($ (-1253 |#4|))) (IF (|has| |#4| (-1039 |#2|)) (-15 -3830 ($ (-416 |#1| |#2| |#3| |#4|))) |noBranch|))) 
-((-4188 ((|#3| (-1 |#4| |#2|) |#1|) 26))) 
-(((-418 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) (-420 |#2|) (-173) (-420 |#4|) (-173)) (T -418)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-420 *6)) (-5 *1 (-418 *4 *5 *2 *6)) (-4 *4 (-420 *5))))) 
-(-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-3667 (((-3 $ "failed")) 85)) (-3359 (((-1253 (-681 |#2|)) (-1253 $)) NIL) (((-1253 (-681 |#2|))) 90)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 84)) (-3943 (((-3 $ "failed")) 83)) (-2459 (((-681 |#2|) (-1253 $)) NIL) (((-681 |#2|)) 101)) (-4471 (((-681 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) $) 109)) (-1965 (((-1161 (-955 |#2|))) 54)) (-1547 ((|#2| (-1253 $)) NIL) ((|#2|) 105)) (-2097 (($ (-1253 |#2|) (-1253 $)) NIL) (($ (-1253 |#2|)) 112)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 82)) (-1309 (((-3 $ "failed")) 74)) (-3707 (((-681 |#2|) (-1253 $)) NIL) (((-681 |#2|)) 99)) (-4432 (((-681 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) $) 107)) (-3348 (((-1161 (-955 |#2|))) 53)) (-2510 ((|#2| (-1253 $)) NIL) ((|#2|) 103)) (-3672 (((-1253 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) (-1253 $) (-1253 $)) NIL) (((-1253 |#2|) $) NIL) (((-681 |#2|) (-1253 $)) 111)) (-4035 (((-1253 |#2|) $) 95) (($ (-1253 |#2|)) 97)) (-3127 (((-635 (-955 |#2|)) (-1253 $)) NIL) (((-635 (-955 |#2|))) 93)) (-1772 (($ (-681 |#2|) $) 89))) 
-(((-419 |#1| |#2|) (-10 -8 (-15 -1772 (|#1| (-681 |#2|) |#1|)) (-15 -1965 ((-1161 (-955 |#2|)))) (-15 -3348 ((-1161 (-955 |#2|)))) (-15 -4471 ((-681 |#2|) |#1|)) (-15 -4432 ((-681 |#2|) |#1|)) (-15 -2459 ((-681 |#2|))) (-15 -3707 ((-681 |#2|))) (-15 -1547 (|#2|)) (-15 -2510 (|#2|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3127 ((-635 (-955 |#2|)))) (-15 -3359 ((-1253 (-681 |#2|)))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -3667 ((-3 |#1| "failed"))) (-15 -3943 ((-3 |#1| "failed"))) (-15 -1309 ((-3 |#1| "failed"))) (-15 -2634 ((-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed"))) (-15 -4030 ((-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed"))) (-15 -2459 ((-681 |#2|) (-1253 |#1|))) (-15 -3707 ((-681 |#2|) (-1253 |#1|))) (-15 -1547 (|#2| (-1253 |#1|))) (-15 -2510 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -4471 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -4432 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -3359 ((-1253 (-681 |#2|)) (-1253 |#1|))) (-15 -3127 ((-635 (-955 |#2|)) (-1253 |#1|)))) (-420 |#2|) (-173)) (T -419)) 
-((-3359 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-3127 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-2510 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) (-1547 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) (-3707 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-681 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-2459 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-681 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-3348 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-1965 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4))))) 
-(-10 -8 (-15 -1772 (|#1| (-681 |#2|) |#1|)) (-15 -1965 ((-1161 (-955 |#2|)))) (-15 -3348 ((-1161 (-955 |#2|)))) (-15 -4471 ((-681 |#2|) |#1|)) (-15 -4432 ((-681 |#2|) |#1|)) (-15 -2459 ((-681 |#2|))) (-15 -3707 ((-681 |#2|))) (-15 -1547 (|#2|)) (-15 -2510 (|#2|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3127 ((-635 (-955 |#2|)))) (-15 -3359 ((-1253 (-681 |#2|)))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -3667 ((-3 |#1| "failed"))) (-15 -3943 ((-3 |#1| "failed"))) (-15 -1309 ((-3 |#1| "failed"))) (-15 -2634 ((-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed"))) (-15 -4030 ((-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed"))) (-15 -2459 ((-681 |#2|) (-1253 |#1|))) (-15 -3707 ((-681 |#2|) (-1253 |#1|))) (-15 -1547 (|#2| (-1253 |#1|))) (-15 -2510 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -4471 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -4432 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -3359 ((-1253 (-681 |#2|)) (-1253 |#1|))) (-15 -3127 ((-635 (-955 |#2|)) (-1253 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3667 (((-3 $ "failed")) 35 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) 18)) (-3359 (((-1253 (-681 |#1|)) (-1253 $)) 76) (((-1253 (-681 |#1|))) 93)) (-1552 (((-1253 $)) 79)) (-4483 (($) 16 T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 38 (|has| |#1| (-559)))) (-3943 (((-3 $ "failed")) 36 (|has| |#1| (-559)))) (-2459 (((-681 |#1|) (-1253 $)) 63) (((-681 |#1|)) 85)) (-1478 ((|#1| $) 72)) (-4471 (((-681 |#1|) $ (-1253 $)) 74) (((-681 |#1|) $) 83)) (-4174 (((-3 $ "failed") $) 43 (|has| |#1| (-559)))) (-1965 (((-1161 (-955 |#1|))) 81 (|has| |#1| (-366)))) (-4382 (($ $ (-919)) 27)) (-3557 ((|#1| $) 70)) (-2212 (((-1161 |#1|) $) 40 (|has| |#1| (-559)))) (-1547 ((|#1| (-1253 $)) 65) ((|#1|) 87)) (-3168 (((-1161 |#1|) $) 61)) (-3073 (((-121)) 55)) (-2097 (($ (-1253 |#1|) (-1253 $)) 67) (($ (-1253 |#1|)) 91)) (-2611 (((-3 $ "failed") $) 45 (|has| |#1| (-559)))) (-3358 (((-919)) 78)) (-3894 (((-121)) 52)) (-2073 (($ $ (-919)) 32)) (-1428 (((-121)) 48)) (-4078 (((-121)) 46)) (-4015 (((-121)) 50)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 39 (|has| |#1| (-559)))) (-1309 (((-3 $ "failed")) 37 (|has| |#1| (-559)))) (-3707 (((-681 |#1|) (-1253 $)) 64) (((-681 |#1|)) 86)) (-2858 ((|#1| $) 73)) (-4432 (((-681 |#1|) $ (-1253 $)) 75) (((-681 |#1|) $) 84)) (-2983 (((-3 $ "failed") $) 44 (|has| |#1| (-559)))) (-3348 (((-1161 (-955 |#1|))) 82 (|has| |#1| (-366)))) (-2846 (($ $ (-919)) 28)) (-2170 ((|#1| $) 71)) (-1650 (((-1161 |#1|) $) 41 (|has| |#1| (-559)))) (-2510 ((|#1| (-1253 $)) 66) ((|#1|) 88)) (-4215 (((-1161 |#1|) $) 62)) (-2431 (((-121)) 56)) (-2605 (((-1147) $) 9)) (-2826 (((-121)) 47)) (-4161 (((-121)) 49)) (-3983 (((-121)) 51)) (-1912 (((-1111) $) 10)) (-2067 (((-121)) 54)) (-2503 ((|#1| $ (-569)) 94)) (-3672 (((-1253 |#1|) $ (-1253 $)) 69) (((-681 |#1|) (-1253 $) (-1253 $)) 68) (((-1253 |#1|) $) 96) (((-681 |#1|) (-1253 $)) 95)) (-4035 (((-1253 |#1|) $) 90) (($ (-1253 |#1|)) 89)) (-3127 (((-635 (-955 |#1|)) (-1253 $)) 77) (((-635 (-955 |#1|))) 92)) (-2689 (($ $ $) 24)) (-2984 (((-121)) 60)) (-3956 (((-852) $) 11)) (-4079 (((-1253 $)) 97)) (-2628 (((-635 (-1253 |#1|))) 42 (|has| |#1| (-559)))) (-4379 (($ $ $ $) 25)) (-1413 (((-121)) 58)) (-1772 (($ (-681 |#1|) $) 80)) (-3924 (($ $ $) 23)) (-1561 (((-121)) 59)) (-3952 (((-121)) 57)) (-1606 (((-121)) 53)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 29)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-420 |#1|) (-1284) (-173)) (T -420)) 
-((-4079 (*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1253 *1)) (-4 *1 (-420 *3)))) (-3672 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 *3)))) (-3672 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-420 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-3359 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 (-681 *3))))) (-3127 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-635 (-955 *3))))) (-2097 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) (-4035 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 *3)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) (-2510 (*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-1547 (*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-3707 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3)))) (-2459 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3)))) (-4432 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3)))) (-4471 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3)))) (-3348 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1161 (-955 *3))))) (-1965 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1161 (-955 *3))))) (-1772 (*1 *1 *2 *1) (-12 (-5 *2 (-681 *3)) (-4 *1 (-420 *3)) (-4 *3 (-173))))) 
-(-13 (-370 |t#1|) (-10 -8 (-15 -4079 ((-1253 $))) (-15 -3672 ((-1253 |t#1|) $)) (-15 -3672 ((-681 |t#1|) (-1253 $))) (-15 -2503 (|t#1| $ (-569))) (-15 -3359 ((-1253 (-681 |t#1|)))) (-15 -3127 ((-635 (-955 |t#1|)))) (-15 -2097 ($ (-1253 |t#1|))) (-15 -4035 ((-1253 |t#1|) $)) (-15 -4035 ($ (-1253 |t#1|))) (-15 -2510 (|t#1|)) (-15 -1547 (|t#1|)) (-15 -3707 ((-681 |t#1|))) (-15 -2459 ((-681 |t#1|))) (-15 -4432 ((-681 |t#1|) $)) (-15 -4471 ((-681 |t#1|) $)) (IF (|has| |t#1| (-366)) (PROGN (-15 -3348 ((-1161 (-955 |t#1|)))) (-15 -1965 ((-1161 (-955 |t#1|))))) |noBranch|) (-15 -1772 ($ (-681 |t#1|) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-370 |#1|) . T) ((-638 |#1|) . T) ((-709 |#1|) . T) ((-712) . T) ((-738 |#1|) . T) ((-755) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 40)) (-3128 (($ $) 55)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 142)) (-2915 (($ $) NIL)) (-2735 (((-121) $) 34)) (-3667 ((|#1| $) 12)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-1208)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-1208)))) (-2002 (($ |#1| (-569)) 30)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 112)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 53)) (-2611 (((-3 $ "failed") $) 127)) (-1330 (((-3 (-410 (-569)) "failed") $) 61 (|has| |#1| (-551)))) (-4429 (((-121) $) 57 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 59 (|has| |#1| (-551)))) (-2964 (($ |#1| (-569)) 32)) (-2005 (((-121) $) 148 (|has| |#1| (-1208)))) (-3934 (((-121) $) 41)) (-1741 (((-765) $) 36)) (-3787 (((-3 "nil" "sqfr" "irred" "prime") $ (-569)) 133)) (-1906 ((|#1| $ (-569)) 132)) (-4544 (((-569) $ (-569)) 131)) (-4020 (($ |#1| (-569)) 29)) (-4188 (($ (-1 |#1| |#1|) $) 139)) (-3609 (($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569))))) 56)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-1718 (($ |#1| (-569)) 31)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) 143 (|has| |#1| (-454)))) (-2457 (($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime")) 28)) (-3459 (((-635 (-2 (|:| -3139 |#1|) (|:| -3190 (-569)))) $) 52)) (-4181 (((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $) 11)) (-3139 (((-421 $) $) NIL (|has| |#1| (-1208)))) (-1436 (((-3 $ "failed") $ $) 134)) (-3190 (((-569) $) 128)) (-2121 ((|#1| $) 54)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 76 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 81 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) $) NIL (|has| |#1| (-524 (-1165) $))) (($ $ (-635 (-1165)) (-635 $)) 82 (|has| |#1| (-524 (-1165) $))) (($ $ (-635 (-289 $))) 78 (|has| |#1| (-304 $))) (($ $ (-289 $)) NIL (|has| |#1| (-304 $))) (($ $ $ $) NIL (|has| |#1| (-304 $))) (($ $ (-635 $) (-635 $)) NIL (|has| |#1| (-304 $)))) (-2503 (($ $ |#1|) 68 (|has| |#1| (-282 |#1| |#1|))) (($ $ $) 69 (|has| |#1| (-282 $ $)))) (-3289 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) 138)) (-4035 (((-542) $) 26 (|has| |#1| (-610 (-542)))) (((-382) $) 88 (|has| |#1| (-1023))) (((-216) $) 91 (|has| |#1| (-1023)))) (-3956 (((-852) $) 110) (($ (-569)) 44) (($ $) NIL) (($ |#1|) 43) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569)))))) (-2320 (((-765)) 46)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 38 T CONST)) (-3297 (($) 37 T CONST)) (-3712 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1326 (((-121) $ $) 92)) (-1377 (($ $) 124) (($ $ $) NIL)) (-1371 (($ $ $) 136)) (** (($ $ (-919)) NIL) (($ $ (-765)) 98)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 48) (($ $ $) 47) (($ |#1| $) 49) (($ $ |#1|) NIL))) 
-(((-421 |#1|) (-13 (-559) (-224 |#1|) (-43 |#1|) (-337 |#1|) (-414 |#1|) (-10 -8 (-15 -2121 (|#1| $)) (-15 -3190 ((-569) $)) (-15 -3609 ($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))))) (-15 -4181 ((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $)) (-15 -4020 ($ |#1| (-569))) (-15 -3459 ((-635 (-2 (|:| -3139 |#1|) (|:| -3190 (-569)))) $)) (-15 -1718 ($ |#1| (-569))) (-15 -4544 ((-569) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -3787 ((-3 "nil" "sqfr" "irred" "prime") $ (-569))) (-15 -1741 ((-765) $)) (-15 -2964 ($ |#1| (-569))) (-15 -2002 ($ |#1| (-569))) (-15 -2457 ($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -3667 (|#1| $)) (-15 -3128 ($ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-454)) (-6 (-454)) |noBranch|) (IF (|has| |#1| (-1023)) (-6 (-1023)) |noBranch|) (IF (|has| |#1| (-1208)) (-6 (-1208)) |noBranch|) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |#1| (-282 $ $)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |#1| (-304 $)) (-6 (-304 $)) |noBranch|) (IF (|has| |#1| (-524 (-1165) $)) (-6 (-524 (-1165) $)) |noBranch|))) (-559)) (T -421)) 
-((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-559)) (-5 *1 (-421 *3)))) (-2121 (*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3190 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-3609 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-569))))) (-4 *2 (-559)) (-5 *1 (-421 *2)))) (-4181 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-4020 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3459 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3139 *3) (|:| -3190 (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-1718 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-4544 (*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3787 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *4)) (-4 *4 (-559)))) (-1741 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-2964 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-2002 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-2457 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3667 (*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3128 (*1 *1 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) (-2096 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) (-1330 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559))))) 
-(-13 (-559) (-224 |#1|) (-43 |#1|) (-337 |#1|) (-414 |#1|) (-10 -8 (-15 -2121 (|#1| $)) (-15 -3190 ((-569) $)) (-15 -3609 ($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))))) (-15 -4181 ((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $)) (-15 -4020 ($ |#1| (-569))) (-15 -3459 ((-635 (-2 (|:| -3139 |#1|) (|:| -3190 (-569)))) $)) (-15 -1718 ($ |#1| (-569))) (-15 -4544 ((-569) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -3787 ((-3 "nil" "sqfr" "irred" "prime") $ (-569))) (-15 -1741 ((-765) $)) (-15 -2964 ($ |#1| (-569))) (-15 -2002 ($ |#1| (-569))) (-15 -2457 ($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -3667 (|#1| $)) (-15 -3128 ($ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-454)) (-6 (-454)) |noBranch|) (IF (|has| |#1| (-1023)) (-6 (-1023)) |noBranch|) (IF (|has| |#1| (-1208)) (-6 (-1208)) |noBranch|) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |#1| (-282 $ $)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |#1| (-304 $)) (-6 (-304 $)) |noBranch|) (IF (|has| |#1| (-524 (-1165) $)) (-6 (-524 (-1165) $)) |noBranch|))) 
-((-1504 (((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|)) 20)) (-3305 (((-421 |#1|) (-421 |#1|) (-421 |#1|)) 15))) 
-(((-422 |#1|) (-10 -7 (-15 -1504 ((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|))) (-15 -3305 ((-421 |#1|) (-421 |#1|) (-421 |#1|)))) (-559)) (T -422)) 
-((-3305 (*1 *2 *2 *2) (-12 (-5 *2 (-421 *3)) (-4 *3 (-559)) (-5 *1 (-422 *3)))) (-1504 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-421 *4) *4)) (-4 *4 (-559)) (-5 *2 (-421 *4)) (-5 *1 (-422 *4))))) 
-(-10 -7 (-15 -1504 ((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|))) (-15 -3305 ((-421 |#1|) (-421 |#1|) (-421 |#1|)))) 
-((-1572 ((|#2| |#2|) 160)) (-3220 (((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121)) 55))) 
-(((-423 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3220 ((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121))) (-15 -1572 (|#2| |#2|))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|)) (-1165) |#2|) (T -423)) 
-((-1572 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-423 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1185) (-433 *3))) (-14 *4 (-1165)) (-14 *5 *2))) (-3220 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |%expansion| (-308 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-423 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-14 *6 (-1165)) (-14 *7 *3)))) 
-(-10 -7 (-15 -3220 ((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121))) (-15 -1572 (|#2| |#2|))) 
-((-4188 ((|#4| (-1 |#3| |#1|) |#2|) 11))) 
-(((-424 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|))) (-13 (-1049) (-844)) (-433 |#1|) (-13 (-1049) (-844)) (-433 |#3|)) (T -424)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1049) (-844))) (-4 *6 (-13 (-1049) (-844))) (-4 *2 (-433 *6)) (-5 *1 (-424 *5 *4 *6 *2)) (-4 *4 (-433 *5))))) 
-(-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|))) 
-((-1572 ((|#2| |#2|) 87)) (-3316 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147)) 46)) (-3835 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147)) 152))) 
-(((-425 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3316 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147))) (-15 -3835 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147))) (-15 -1572 (|#2| |#2|))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|) (-10 -8 (-15 -3956 ($ |#3|)))) (-842) (-13 (-1230 |#2| |#3|) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $)))) (-986 |#4|) (-1165)) (T -425)) 
-((-1572 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *2 (-13 (-27) (-1185) (-433 *3) (-10 -8 (-15 -3956 ($ *4))))) (-4 *4 (-842)) (-4 *5 (-13 (-1230 *2 *4) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *1 (-425 *3 *2 *4 *5 *6 *7)) (-4 *6 (-986 *5)) (-14 *7 (-1165)))) (-3835 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1185) (-433 *6) (-10 -8 (-15 -3956 ($ *7))))) (-4 *7 (-842)) (-4 *8 (-13 (-1230 *3 *7) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1147)) (-4 *9 (-986 *8)) (-14 *10 (-1165)))) (-3316 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1185) (-433 *6) (-10 -8 (-15 -3956 ($ *7))))) (-4 *7 (-842)) (-4 *8 (-13 (-1230 *3 *7) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1147)) (-4 *9 (-986 *8)) (-14 *10 (-1165))))) 
-(-10 -7 (-15 -3316 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147))) (-15 -3835 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147))) (-15 -1572 (|#2| |#2|))) 
-((-2247 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 22)) (-2793 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 20)) (-4188 ((|#4| (-1 |#3| |#1|) |#2|) 17))) 
-(((-426 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -2793 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2247 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1093) (-428 |#1|) (-1093) (-428 |#3|)) (T -426)) 
-((-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1093)) (-4 *5 (-1093)) (-4 *2 (-428 *5)) (-5 *1 (-426 *6 *4 *5 *2)) (-4 *4 (-428 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1093)) (-4 *2 (-1093)) (-5 *1 (-426 *5 *4 *2 *6)) (-4 *4 (-428 *5)) (-4 *6 (-428 *2)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-428 *6)) (-5 *1 (-426 *5 *4 *6 *2)) (-4 *4 (-428 *5))))) 
-(-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -2793 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2247 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
-((-2656 (($) 44)) (-3577 (($ |#2| $) NIL) (($ $ |#2|) NIL) (($ $ $) 40)) (-2045 (($ $ $) 39)) (-3254 (((-121) $ $) 28)) (-2675 (((-765)) 47)) (-4414 (($ (-635 |#2|)) 20) (($) NIL)) (-3341 (($) 53)) (-2157 ((|#2| $) 61)) (-2713 ((|#2| $) 59)) (-2862 (((-919) $) 55)) (-1433 (($ $ $) 35)) (-1333 (($ (-919)) 50)) (-2127 (($ $ |#2|) NIL) (($ $ $) 38)) (-2691 (((-765) (-1 (-121) |#2|) $) NIL) (((-765) |#2| $) 26)) (-3124 (($ (-635 |#2|)) 24)) (-4266 (($ $) 46)) (-3956 (((-852) $) 33)) (-2207 (((-765) $) 21)) (-1785 (($ (-635 |#2|)) 19) (($) NIL)) (-1326 (((-121) $ $) 16)) (-1337 (((-121) $ $) 13))) 
-(((-427 |#1| |#2|) (-10 -8 (-15 -2675 ((-765))) (-15 -1333 (|#1| (-919))) (-15 -2862 ((-919) |#1|)) (-15 -3341 (|#1|)) (-15 -2157 (|#2| |#1|)) (-15 -2713 (|#2| |#1|)) (-15 -2656 (|#1|)) (-15 -4266 (|#1| |#1|)) (-15 -2207 ((-765) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -1785 (|#1|)) (-15 -1785 (|#1| (-635 |#2|))) (-15 -4414 (|#1|)) (-15 -4414 (|#1| (-635 |#2|))) (-15 -1433 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#2|)) (-15 -2045 (|#1| |#1| |#1|)) (-15 -3254 ((-121) |#1| |#1|)) (-15 -3577 (|#1| |#1| |#1|)) (-15 -3577 (|#1| |#1| |#2|)) (-15 -3577 (|#1| |#2| |#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|))) (-428 |#2|) (-1093)) (T -427)) 
-((-2675 (*1 *2) (-12 (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-427 *3 *4)) (-4 *3 (-428 *4))))) 
-(-10 -8 (-15 -2675 ((-765))) (-15 -1333 (|#1| (-919))) (-15 -2862 ((-919) |#1|)) (-15 -3341 (|#1|)) (-15 -2157 (|#2| |#1|)) (-15 -2713 (|#2| |#1|)) (-15 -2656 (|#1|)) (-15 -4266 (|#1| |#1|)) (-15 -2207 ((-765) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -1785 (|#1|)) (-15 -1785 (|#1| (-635 |#2|))) (-15 -4414 (|#1|)) (-15 -4414 (|#1| (-635 |#2|))) (-15 -1433 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#2|)) (-15 -2045 (|#1| |#1| |#1|)) (-15 -3254 ((-121) |#1| |#1|)) (-15 -3577 (|#1| |#1| |#1|)) (-15 -3577 (|#1| |#1| |#2|)) (-15 -3577 (|#1| |#2| |#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|))) 
-((-1310 (((-121) $ $) 18)) (-2656 (($) 63 (|has| |#1| (-371)))) (-3577 (($ |#1| $) 78) (($ $ |#1|) 77) (($ $ $) 76)) (-2045 (($ $ $) 74)) (-3254 (((-121) $ $) 75)) (-3350 (((-121) $ (-765)) 8)) (-2675 (((-765)) 57 (|has| |#1| (-371)))) (-4414 (($ (-635 |#1|)) 70) (($) 69)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-3341 (($) 60 (|has| |#1| (-371)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-2157 ((|#1| $) 61 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2713 ((|#1| $) 62 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-2862 (((-919) $) 59 (|has| |#1| (-371)))) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22)) (-1433 (($ $ $) 71)) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1333 (($ (-919)) 58 (|has| |#1| (-371)))) (-1912 (((-1111) $) 21)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2127 (($ $ |#1|) 73) (($ $ $) 72)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-4266 (($ $) 64 (|has| |#1| (-371)))) (-3956 (((-852) $) 20)) (-2207 (((-765) $) 65)) (-1785 (($ (-635 |#1|)) 68) (($) 67)) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19)) (-1337 (((-121) $ $) 66)) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-428 |#1|) (-1284) (-1093)) (T -428)) 
-((-2207 (*1 *2 *1) (-12 (-4 *1 (-428 *3)) (-4 *3 (-1093)) (-5 *2 (-765)))) (-4266 (*1 *1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-371)))) (-2656 (*1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-371)) (-4 *2 (-1093)))) (-2713 (*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-844)))) (-2157 (*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-844))))) 
-(-13 (-222 |t#1|) (-1090 |t#1|) (-10 -8 (-6 -4571) (-15 -2207 ((-765) $)) (IF (|has| |t#1| (-371)) (PROGN (-6 (-371)) (-15 -4266 ($ $)) (-15 -2656 ($))) |noBranch|) (IF (|has| |t#1| (-844)) (PROGN (-15 -2713 (|t#1| $)) (-15 -2157 (|t#1| $))) |noBranch|))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-222 |#1|) . T) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-371) |has| |#1| (-371)) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1090 |#1|) . T) ((-1093) . T) ((-1199) . T)) 
-((-1640 (((-586 |#2|) |#2| (-1165)) 35)) (-4258 (((-586 |#2|) |#2| (-1165)) 19)) (-2967 ((|#2| |#2| (-1165)) 24))) 
-(((-429 |#1| |#2|) (-10 -7 (-15 -4258 ((-586 |#2|) |#2| (-1165))) (-15 -1640 ((-586 |#2|) |#2| (-1165))) (-15 -2967 (|#2| |#2| (-1165)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-29 |#1|))) (T -429)) 
-((-2967 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-429 *4 *2)) (-4 *2 (-13 (-1185) (-29 *4))))) (-1640 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1185) (-29 *5))))) (-4258 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1185) (-29 *5)))))) 
-(-10 -7 (-15 -4258 ((-586 |#2|) |#2| (-1165))) (-15 -1640 ((-586 |#2|) |#2| (-1165))) (-15 -2967 (|#2| |#2| (-1165)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-3246 (($ |#2| |#1|) 35)) (-3363 (($ |#2| |#1|) 33)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-330 |#2|)) 25)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 10 T CONST)) (-3297 (($) 16 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 34)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 36) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-430 |#1| |#2|) (-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4558)) (IF (|has| |#1| (-6 -4558)) (-6 -4558) |noBranch|) |noBranch|) (-15 -3956 ($ |#1|)) (-15 -3956 ($ (-330 |#2|))) (-15 -3246 ($ |#2| |#1|)) (-15 -3363 ($ |#2| |#1|)))) (-13 (-173) (-43 (-410 (-569)))) (-13 (-844) (-21))) (T -430)) 
-((-3956 (*1 *1 *2) (-12 (-5 *1 (-430 *2 *3)) (-4 *2 (-13 (-173) (-43 (-410 (-569))))) (-4 *3 (-13 (-844) (-21))))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-330 *4)) (-4 *4 (-13 (-844) (-21))) (-5 *1 (-430 *3 *4)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))))) (-3246 (*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-844) (-21))))) (-3363 (*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-844) (-21)))))) 
-(-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4558)) (IF (|has| |#1| (-6 -4558)) (-6 -4558) |noBranch|) |noBranch|) (-15 -3956 ($ |#1|)) (-15 -3956 ($ (-330 |#2|))) (-15 -3246 ($ |#2| |#1|)) (-15 -3363 ($ |#2| |#1|)))) 
-((-1324 (((-3 |#2| (-635 |#2|)) |#2| (-1165)) 104))) 
-(((-431 |#1| |#2|) (-10 -7 (-15 -1324 ((-3 |#2| (-635 |#2|)) |#2| (-1165)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-961) (-29 |#1|))) (T -431)) 
-((-1324 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 *3 (-635 *3))) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1185) (-961) (-29 *5)))))) 
-(-10 -7 (-15 -1324 ((-3 |#2| (-635 |#2|)) |#2| (-1165)))) 
-((-3195 (((-635 (-1165)) $) 72)) (-3132 (((-410 (-1161 $)) $ (-608 $)) 268)) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) 233)) (-3003 (((-3 (-608 $) "failed") $) NIL) (((-3 (-1165) "failed") $) 75) (((-3 (-569) "failed") $) NIL) (((-3 |#2| "failed") $) 229) (((-3 (-410 (-955 |#2|)) "failed") $) 319) (((-3 (-955 |#2|) "failed") $) 231) (((-3 (-410 (-569)) "failed") $) NIL)) (-1321 (((-608 $) $) NIL) (((-1165) $) 30) (((-569) $) NIL) ((|#2| $) 227) (((-410 (-955 |#2|)) $) 300) (((-955 |#2|) $) 228) (((-410 (-569)) $) NIL)) (-1344 (((-123) (-123)) 47)) (-3043 (($ $) 87)) (-3277 (((-3 (-608 $) "failed") $) 224)) (-3121 (((-635 (-608 $)) $) 225)) (-2617 (((-3 (-635 $) "failed") $) 243)) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $) 250)) (-2085 (((-3 (-635 $) "failed") $) 241)) (-1417 (((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $) 259)) (-2601 (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $) 247) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123)) 214) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165)) 216)) (-3249 (((-121) $) 19)) (-3256 ((|#2| $) 21)) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) 232) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) 96) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1165)) 57) (($ $ (-635 (-1165))) 236) (($ $) 237) (($ $ (-123) $ (-1165)) 60) (($ $ (-635 (-123)) (-635 $) (-1165)) 67) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $))) 107) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $)))) 238) (($ $ (-1165) (-765) (-1 $ (-635 $))) 94) (($ $ (-1165) (-765) (-1 $ $)) 93)) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) 106)) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) 234)) (-2572 (($ $) 279)) (-4035 (((-889 (-569)) $) 253) (((-889 (-382)) $) 256) (($ (-421 $)) 315) (((-542) $) NIL)) (-3956 (((-852) $) 235) (($ (-608 $)) 84) (($ (-1165)) 26) (($ |#2|) NIL) (($ (-1116 |#2| (-608 $))) NIL) (($ (-410 |#2|)) 284) (($ (-955 (-410 |#2|))) 324) (($ (-410 (-955 (-410 |#2|)))) 296) (($ (-410 (-955 |#2|))) 290) (($ $) NIL) (($ (-955 |#2|)) 183) (($ (-410 (-569))) 329) (($ (-569)) NIL)) (-2320 (((-765)) 79)) (-3791 (((-121) (-123)) 41)) (-3207 (($ (-1165) $) 33) (($ (-1165) $ $) 34) (($ (-1165) $ $ $) 35) (($ (-1165) $ $ $ $) 36) (($ (-1165) (-635 $)) 39)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ |#2| $) 261) (($ $ |#2|) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL))) 
-(((-432 |#1| |#2|) (-10 -8 (-15 * (|#1| (-919) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -2320 ((-765))) (-15 -3956 (|#1| (-569))) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-955 |#2|) |#1|)) (-15 -3003 ((-3 (-955 |#2|) "failed") |#1|)) (-15 -3956 (|#1| (-955 |#2|))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3956 (|#1| |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1321 ((-410 (-955 |#2|)) |#1|)) (-15 -3003 ((-3 (-410 (-955 |#2|)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-955 |#2|)))) (-15 -3132 ((-410 (-1161 |#1|)) |#1| (-608 |#1|))) (-15 -3956 (|#1| (-410 (-955 (-410 |#2|))))) (-15 -3956 (|#1| (-955 (-410 |#2|)))) (-15 -3956 (|#1| (-410 |#2|))) (-15 -2572 (|#1| |#1|)) (-15 -4035 (|#1| (-421 |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-765) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-765) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-765)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-765)) (-635 (-1 |#1| |#1|)))) (-15 -3903 ((-3 (-2 (|:| |val| |#1|) (|:| -3190 (-569))) "failed") |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1| (-1165))) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1| (-123))) (-15 -3043 (|#1| |#1|)) (-15 -3956 (|#1| (-1116 |#2| (-608 |#1|)))) (-15 -1417 ((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 |#1|))) "failed") |#1|)) (-15 -2085 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1|)) (-15 -2617 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 |#1|) (-1165))) (-15 -1484 (|#1| |#1| (-123) |#1| (-1165))) (-15 -1484 (|#1| |#1|)) (-15 -1484 (|#1| |#1| (-635 (-1165)))) (-15 -1484 (|#1| |#1| (-1165))) (-15 -3207 (|#1| (-1165) (-635 |#1|))) (-15 -3207 (|#1| (-1165) |#1| |#1| |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1| |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1|)) (-15 -3195 ((-635 (-1165)) |#1|)) (-15 -3256 (|#2| |#1|)) (-15 -3249 ((-121) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -3956 (|#1| (-1165))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| |#1|)))) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -3121 ((-635 (-608 |#1|)) |#1|)) (-15 -3277 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2505 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2505 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2505 (|#1| |#1| (-289 |#1|))) (-15 -2503 (|#1| (-123) (-635 |#1|))) (-15 -2503 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -1321 ((-608 |#1|) |#1|)) (-15 -3003 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -3956 (|#1| (-608 |#1|))) (-15 -3956 ((-852) |#1|))) (-433 |#2|) (-844)) (T -432)) 
-((-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-844)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-432 *4 *5)) (-4 *4 (-433 *5)))) (-2320 (*1 *2) (-12 (-4 *4 (-844)) (-5 *2 (-765)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4))))) 
-(-10 -8 (-15 * (|#1| (-919) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -2320 ((-765))) (-15 -3956 (|#1| (-569))) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-955 |#2|) |#1|)) (-15 -3003 ((-3 (-955 |#2|) "failed") |#1|)) (-15 -3956 (|#1| (-955 |#2|))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3956 (|#1| |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1321 ((-410 (-955 |#2|)) |#1|)) (-15 -3003 ((-3 (-410 (-955 |#2|)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-955 |#2|)))) (-15 -3132 ((-410 (-1161 |#1|)) |#1| (-608 |#1|))) (-15 -3956 (|#1| (-410 (-955 (-410 |#2|))))) (-15 -3956 (|#1| (-955 (-410 |#2|)))) (-15 -3956 (|#1| (-410 |#2|))) (-15 -2572 (|#1| |#1|)) (-15 -4035 (|#1| (-421 |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-765) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-765) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-765)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-765)) (-635 (-1 |#1| |#1|)))) (-15 -3903 ((-3 (-2 (|:| |val| |#1|) (|:| -3190 (-569))) "failed") |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1| (-1165))) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1| (-123))) (-15 -3043 (|#1| |#1|)) (-15 -3956 (|#1| (-1116 |#2| (-608 |#1|)))) (-15 -1417 ((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 |#1|))) "failed") |#1|)) (-15 -2085 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1|)) (-15 -2617 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 |#1|) (-1165))) (-15 -1484 (|#1| |#1| (-123) |#1| (-1165))) (-15 -1484 (|#1| |#1|)) (-15 -1484 (|#1| |#1| (-635 (-1165)))) (-15 -1484 (|#1| |#1| (-1165))) (-15 -3207 (|#1| (-1165) (-635 |#1|))) (-15 -3207 (|#1| (-1165) |#1| |#1| |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1| |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1|)) (-15 -3195 ((-635 (-1165)) |#1|)) (-15 -3256 (|#2| |#1|)) (-15 -3249 ((-121) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -3956 (|#1| (-1165))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| |#1|)))) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -3121 ((-635 (-608 |#1|)) |#1|)) (-15 -3277 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2505 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2505 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2505 (|#1| |#1| (-289 |#1|))) (-15 -2503 (|#1| (-123) (-635 |#1|))) (-15 -2503 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -1321 ((-608 |#1|) |#1|)) (-15 -3003 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -3956 (|#1| (-608 |#1|))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 108 (|has| |#1| (-25)))) (-3195 (((-635 (-1165)) $) 195)) (-3132 (((-410 (-1161 $)) $ (-608 $)) 163 (|has| |#1| (-559)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 135 (|has| |#1| (-559)))) (-2915 (($ $) 136 (|has| |#1| (-559)))) (-2735 (((-121) $) 138 (|has| |#1| (-559)))) (-4320 (((-635 (-608 $)) $) 43)) (-3748 (((-3 $ "failed") $ $) 110 (|has| |#1| (-21)))) (-2505 (($ $ (-289 $)) 55) (($ $ (-635 (-289 $))) 54) (($ $ (-635 (-608 $)) (-635 $)) 53)) (-2710 (($ $) 155 (|has| |#1| (-559)))) (-3742 (((-421 $) $) 156 (|has| |#1| (-559)))) (-2889 (((-121) $ $) 146 (|has| |#1| (-559)))) (-4483 (($) 94 (-1929 (|has| |#1| (-1105)) (|has| |#1| (-25))) CONST)) (-3003 (((-3 (-608 $) "failed") $) 68) (((-3 (-1165) "failed") $) 208) (((-3 (-569) "failed") $) 201 (|has| |#1| (-1039 (-569)))) (((-3 |#1| "failed") $) 199) (((-3 (-410 (-955 |#1|)) "failed") $) 161 (|has| |#1| (-559))) (((-3 (-955 |#1|) "failed") $) 115 (|has| |#1| (-1049))) (((-3 (-410 (-569)) "failed") $) 87 (-1929 (-12 (|has| |#1| (-1039 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1039 (-410 (-569))))))) (-1321 (((-608 $) $) 67) (((-1165) $) 207) (((-569) $) 202 (|has| |#1| (-1039 (-569)))) ((|#1| $) 198) (((-410 (-955 |#1|)) $) 160 (|has| |#1| (-559))) (((-955 |#1|) $) 114 (|has| |#1| (-1049))) (((-410 (-569)) $) 86 (-1929 (-12 (|has| |#1| (-1039 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1039 (-410 (-569))))))) (-1614 (($ $ $) 150 (|has| |#1| (-559)))) (-3435 (((-681 (-569)) (-681 $)) 129 (-3993 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 128 (-3993 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 127 (|has| |#1| (-1049))) (((-681 |#1|) (-681 $)) 126 (|has| |#1| (-1049)))) (-2611 (((-3 $ "failed") $) 97 (|has| |#1| (-1105)))) (-1626 (($ $ $) 149 (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 144 (|has| |#1| (-559)))) (-2005 (((-121) $) 157 (|has| |#1| (-559)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 204 (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 203 (|has| |#1| (-883 (-382))))) (-2674 (($ $) 50) (($ (-635 $)) 49)) (-1367 (((-635 (-123)) $) 42)) (-1344 (((-123) (-123)) 41)) (-3934 (((-121) $) 95 (|has| |#1| (-1105)))) (-3520 (((-121) $) 21 (|has| $ (-1039 (-569))))) (-3043 (($ $) 178 (|has| |#1| (-1049)))) (-3515 (((-1116 |#1| (-608 $)) $) 179 (|has| |#1| (-1049)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 153 (|has| |#1| (-559)))) (-2387 (((-1161 $) (-608 $)) 24 (|has| $ (-1049)))) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-4188 (($ (-1 $ $) (-608 $)) 35)) (-3277 (((-3 (-608 $) "failed") $) 45)) (-1657 (($ (-635 $)) 142 (|has| |#1| (-559))) (($ $ $) 141 (|has| |#1| (-559)))) (-2605 (((-1147) $) 9)) (-3121 (((-635 (-608 $)) $) 44)) (-3529 (($ (-123) $) 37) (($ (-123) (-635 $)) 36)) (-2617 (((-3 (-635 $) "failed") $) 184 (|has| |#1| (-1105)))) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $) 175 (|has| |#1| (-1049)))) (-2085 (((-3 (-635 $) "failed") $) 182 (|has| |#1| (-25)))) (-1417 (((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $) 181 (|has| |#1| (-25)))) (-2601 (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $) 183 (|has| |#1| (-1105))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123)) 177 (|has| |#1| (-1049))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165)) 176 (|has| |#1| (-1049)))) (-3845 (((-121) $ (-123)) 39) (((-121) $ (-1165)) 38)) (-3243 (($ $) 99 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-1468 (((-765) $) 46)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 197)) (-3256 ((|#1| $) 196)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 143 (|has| |#1| (-559)))) (-3964 (($ (-635 $)) 140 (|has| |#1| (-559))) (($ $ $) 139 (|has| |#1| (-559)))) (-2400 (((-121) $ $) 34) (((-121) $ (-1165)) 33)) (-3139 (((-421 $) $) 154 (|has| |#1| (-559)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 151 (|has| |#1| (-559)))) (-1436 (((-3 $ "failed") $ $) 134 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 145 (|has| |#1| (-559)))) (-3912 (((-121) $) 22 (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) 66) (($ $ (-635 (-608 $)) (-635 $)) 65) (($ $ (-635 (-289 $))) 64) (($ $ (-289 $)) 63) (($ $ $ $) 62) (($ $ (-635 $) (-635 $)) 61) (($ $ (-635 (-1165)) (-635 (-1 $ $))) 32) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) 31) (($ $ (-1165) (-1 $ (-635 $))) 30) (($ $ (-1165) (-1 $ $)) 29) (($ $ (-635 (-123)) (-635 (-1 $ $))) 28) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 27) (($ $ (-123) (-1 $ (-635 $))) 26) (($ $ (-123) (-1 $ $)) 25) (($ $ (-1165)) 189 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1165))) 188 (|has| |#1| (-610 (-542)))) (($ $) 187 (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1165)) 186 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1165)) 185 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $))) 174 (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $)))) 173 (|has| |#1| (-1049))) (($ $ (-1165) (-765) (-1 $ (-635 $))) 172 (|has| |#1| (-1049))) (($ $ (-1165) (-765) (-1 $ $)) 171 (|has| |#1| (-1049)))) (-2061 (((-765) $) 147 (|has| |#1| (-559)))) (-2503 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-635 $)) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 148 (|has| |#1| (-559)))) (-2454 (($ $) 48) (($ $ $) 47)) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 120 (|has| |#1| (-1049))) (($ $ (-1165) (-765)) 119 (|has| |#1| (-1049))) (($ $ (-635 (-1165))) 118 (|has| |#1| (-1049))) (($ $ (-1165)) 117 (|has| |#1| (-1049)))) (-2572 (($ $) 168 (|has| |#1| (-559)))) (-3524 (((-1116 |#1| (-608 $)) $) 169 (|has| |#1| (-559)))) (-3036 (($ $) 23 (|has| $ (-1049)))) (-4035 (((-889 (-569)) $) 206 (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) 205 (|has| |#1| (-610 (-889 (-382))))) (($ (-421 $)) 170 (|has| |#1| (-559))) (((-542) $) 89 (|has| |#1| (-610 (-542))))) (-3980 (($ $ $) 103 (|has| |#1| (-479)))) (-2689 (($ $ $) 104 (|has| |#1| (-479)))) (-3956 (((-852) $) 11) (($ (-608 $)) 69) (($ (-1165)) 209) (($ |#1|) 200) (($ (-1116 |#1| (-608 $))) 180 (|has| |#1| (-1049))) (($ (-410 |#1|)) 166 (|has| |#1| (-559))) (($ (-955 (-410 |#1|))) 165 (|has| |#1| (-559))) (($ (-410 (-955 (-410 |#1|)))) 164 (|has| |#1| (-559))) (($ (-410 (-955 |#1|))) 162 (|has| |#1| (-559))) (($ $) 133 (|has| |#1| (-559))) (($ (-955 |#1|)) 116 (|has| |#1| (-1049))) (($ (-410 (-569))) 88 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-1039 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1039 (-410 (-569)))))) (($ (-569)) 85 (-1929 (|has| |#1| (-1049)) (|has| |#1| (-1039 (-569)))))) (-2277 (((-3 $ "failed") $) 130 (|has| |#1| (-149)))) (-2320 (((-765)) 125 (|has| |#1| (-1049)))) (-2856 (($ $) 52) (($ (-635 $)) 51)) (-3791 (((-121) (-123)) 40)) (-2909 (((-121) $ $) 137 (|has| |#1| (-559)))) (-3207 (($ (-1165) $) 194) (($ (-1165) $ $) 193) (($ (-1165) $ $ $) 192) (($ (-1165) $ $ $ $) 191) (($ (-1165) (-635 $)) 190)) (-3403 (($ $ (-569)) 102 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-765)) 96 (|has| |#1| (-1105))) (($ $ (-919)) 92 (|has| |#1| (-1105)))) (-2407 (($) 107 (|has| |#1| (-25)) CONST)) (-3297 (($) 93 (|has| |#1| (-1105)) CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 124 (|has| |#1| (-1049))) (($ $ (-1165) (-765)) 123 (|has| |#1| (-1049))) (($ $ (-635 (-1165))) 122 (|has| |#1| (-1049))) (($ $ (-1165)) 121 (|has| |#1| (-1049)))) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1383 (($ (-1116 |#1| (-608 $)) (-1116 |#1| (-608 $))) 167 (|has| |#1| (-559))) (($ $ $) 100 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-1377 (($ $ $) 112 (|has| |#1| (-21))) (($ $) 111 (|has| |#1| (-21)))) (-1371 (($ $ $) 105 (|has| |#1| (-25)))) (** (($ $ (-569)) 101 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-765)) 98 (|has| |#1| (-1105))) (($ $ (-919)) 91 (|has| |#1| (-1105)))) (* (($ (-410 (-569)) $) 159 (|has| |#1| (-559))) (($ $ (-410 (-569))) 158 (|has| |#1| (-559))) (($ |#1| $) 132 (|has| |#1| (-173))) (($ $ |#1|) 131 (|has| |#1| (-173))) (($ (-569) $) 113 (|has| |#1| (-21))) (($ (-765) $) 109 (|has| |#1| (-25))) (($ (-919) $) 106 (|has| |#1| (-25))) (($ $ $) 90 (|has| |#1| (-1105))))) 
-(((-433 |#1|) (-1284) (-844)) (T -433)) 
-((-3249 (*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-844)) (-5 *2 (-121)))) (-3256 (*1 *2 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)))) (-3195 (*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-844)) (-5 *2 (-635 (-1165))))) (-3207 (*1 *1 *2 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) (-3207 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) (-3207 (*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) (-3207 (*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) (-3207 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-635 *1)) (-4 *1 (-433 *4)) (-4 *4 (-844)))) (-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-610 (-542))))) (-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-610 (-542))))) (-1484 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-610 (-542))))) (-1484 (*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1165)) (-4 *1 (-433 *4)) (-4 *4 (-844)) (-4 *4 (-610 (-542))))) (-1484 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 *1)) (-5 *4 (-1165)) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-610 (-542))))) (-2617 (*1 *2 *1) (|partial| -12 (-4 *3 (-1105)) (-4 *3 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) (-2601 (*1 *2 *1) (|partial| -12 (-4 *3 (-1105)) (-4 *3 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *3)))) (-2085 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) (-1417 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 (-569)) (|:| |var| (-608 *1)))) (-4 *1 (-433 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1116 *3 (-608 *1))) (-4 *3 (-1049)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) (-3515 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *3 (-844)) (-5 *2 (-1116 *3 (-608 *1))) (-4 *1 (-433 *3)))) (-3043 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-1049)))) (-2601 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1049)) (-4 *4 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *4)))) (-2601 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-1049)) (-4 *4 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *4)))) (-3903 (*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *3 (-844)) (-5 *2 (-2 (|:| |val| *1) (|:| -3190 (-569)))) (-4 *1 (-433 *3)))) (-1484 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-765))) (-5 *4 (-635 (-1 *1 *1))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) (-1484 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-765))) (-5 *4 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) (-1484 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *4 (-1 *1 (-635 *1))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) (-1484 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *4 (-1 *1 *1)) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-421 *1)) (-4 *1 (-433 *3)) (-4 *3 (-559)) (-4 *3 (-844)))) (-3524 (*1 *2 *1) (-12 (-4 *3 (-559)) (-4 *3 (-844)) (-5 *2 (-1116 *3 (-608 *1))) (-4 *1 (-433 *3)))) (-2572 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-559)))) (-1383 (*1 *1 *2 *2) (-12 (-5 *2 (-1116 *3 (-608 *1))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-955 (-410 *3))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-410 *3)))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) (-3132 (*1 *2 *1 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-433 *4)) (-4 *4 (-844)) (-4 *4 (-559)) (-5 *2 (-410 (-1161 *1))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-1105))))) 
-(-13 (-297) (-1039 (-1165)) (-881 |t#1|) (-403 |t#1|) (-414 |t#1|) (-10 -8 (-15 -3249 ((-121) $)) (-15 -3256 (|t#1| $)) (-15 -3195 ((-635 (-1165)) $)) (-15 -3207 ($ (-1165) $)) (-15 -3207 ($ (-1165) $ $)) (-15 -3207 ($ (-1165) $ $ $)) (-15 -3207 ($ (-1165) $ $ $ $)) (-15 -3207 ($ (-1165) (-635 $))) (IF (|has| |t#1| (-610 (-542))) (PROGN (-6 (-610 (-542))) (-15 -1484 ($ $ (-1165))) (-15 -1484 ($ $ (-635 (-1165)))) (-15 -1484 ($ $)) (-15 -1484 ($ $ (-123) $ (-1165))) (-15 -1484 ($ $ (-635 (-123)) (-635 $) (-1165)))) |noBranch|) (IF (|has| |t#1| (-1105)) (PROGN (-6 (-718)) (-15 ** ($ $ (-765))) (-15 -2617 ((-3 (-635 $) "failed") $)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-479)) (-6 (-479)) |noBranch|) (IF (|has| |t#1| (-25)) (PROGN (-6 (-23)) (-15 -2085 ((-3 (-635 $) "failed") $)) (-15 -1417 ((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |t#1| (-1049)) (PROGN (-6 (-1049)) (-6 (-1039 (-955 |t#1|))) (-6 (-897 (-1165))) (-6 (-380 |t#1|)) (-15 -3956 ($ (-1116 |t#1| (-608 $)))) (-15 -3515 ((-1116 |t#1| (-608 $)) $)) (-15 -3043 ($ $)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123))) (-15 -2601 ((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165))) (-15 -3903 ((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $)) (-15 -1484 ($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $)))) (-15 -1484 ($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $))))) (-15 -1484 ($ $ (-1165) (-765) (-1 $ (-635 $)))) (-15 -1484 ($ $ (-1165) (-765) (-1 $ $)))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-366)) (-6 (-1039 (-410 (-955 |t#1|)))) (-15 -4035 ($ (-421 $))) (-15 -3524 ((-1116 |t#1| (-608 $)) $)) (-15 -2572 ($ $)) (-15 -1383 ($ (-1116 |t#1| (-608 $)) (-1116 |t#1| (-608 $)))) (-15 -3956 ($ (-410 |t#1|))) (-15 -3956 ($ (-955 (-410 |t#1|)))) (-15 -3956 ($ (-410 (-955 (-410 |t#1|))))) (-15 -3132 ((-410 (-1161 $)) $ (-608 $))) (IF (|has| |t#1| (-1039 (-569))) (-6 (-1039 (-410 (-569)))) |noBranch|)) |noBranch|))) 
-(((-21) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-21))) ((-23) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-25) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-43 (-410 (-569))) |has| |#1| (-559)) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-559)) ((-120 |#1| |#1|) |has| |#1| (-173)) ((-120 $ $) |has| |#1| (-559)) ((-138) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-21))) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) |has| |#1| (-559)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-889 (-382))) |has| |#1| (-610 (-889 (-382)))) ((-610 (-889 (-569))) |has| |#1| (-610 (-889 (-569)))) ((-239) |has| |#1| (-559)) ((-286) |has| |#1| (-559)) ((-302) |has| |#1| (-559)) ((-304 $) . T) ((-297) . T) ((-366) |has| |#1| (-559)) ((-380 |#1|) |has| |#1| (-1049)) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-454) |has| |#1| (-559)) ((-479) |has| |#1| (-479)) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-559)) ((-638 |#1|) |has| |#1| (-173)) ((-638 $) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-631 (-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) ((-631 |#1|) |has| |#1| (-1049)) ((-709 (-410 (-569))) |has| |#1| (-559)) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) -1929 (|has| |#1| (-1105)) (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-479)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-844) . T) ((-897 (-1165)) |has| |#1| (-1049)) ((-883 (-382)) |has| |#1| (-883 (-382))) ((-883 (-569)) |has| |#1| (-883 (-569))) ((-881 |#1|) . T) ((-918) |has| |#1| (-559)) ((-1039 (-410 (-569))) -1929 (|has| |#1| (-1039 (-410 (-569)))) (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569))))) ((-1039 (-410 (-955 |#1|))) |has| |#1| (-559)) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 (-608 $)) . T) ((-1039 (-955 |#1|)) |has| |#1| (-1049)) ((-1039 (-1165)) . T) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) |has| |#1| (-559)) ((-1055 |#1|) |has| |#1| (-173)) ((-1055 $) |has| |#1| (-559)) ((-1049) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1056) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1105) -1929 (|has| |#1| (-1105)) (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-479)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1093) . T) ((-1199) . T) ((-1208) |has| |#1| (-559))) 
-((-2648 ((|#2| |#2| |#2|) 33)) (-1344 (((-123) (-123)) 44)) (-4412 ((|#2| (-635 |#2|)) 79)) (-3886 ((|#2| |#2|) 77)) (-4213 ((|#2| |#2|) 68)) (-3994 ((|#2| |#2|) 71)) (-3645 ((|#2| (-635 |#2|)) 75)) (-3404 ((|#2| (-635 |#2|)) 83)) (-2136 ((|#2| (-635 |#2|)) 87)) (-2993 ((|#2| (-635 |#2|)) 81)) (-4043 ((|#2| (-635 |#2|)) 85)) (-2499 ((|#2| |#2|) 91)) (-1955 ((|#2| |#2|) 89)) (-3566 ((|#2| |#2|) 32)) (-3839 ((|#2| |#2| |#2|) 35)) (-4489 ((|#2| |#2| |#2|) 37)) (-1289 ((|#2| |#2| |#2|) 34)) (-3578 ((|#2| |#2| |#2|) 36)) (-3791 (((-121) (-123)) 42)) (-3618 ((|#2| |#2|) 39)) (-4466 ((|#2| |#2|) 38)) (-4080 ((|#2| |#2|) 27)) (-2246 ((|#2| |#2| |#2|) 30) ((|#2| |#2|) 28)) (-4028 ((|#2| |#2| |#2|) 31))) 
-(((-434 |#1| |#2|) (-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -4080 (|#2| |#2|)) (-15 -2246 (|#2| |#2|)) (-15 -2246 (|#2| |#2| |#2|)) (-15 -4028 (|#2| |#2| |#2|)) (-15 -3566 (|#2| |#2|)) (-15 -2648 (|#2| |#2| |#2|)) (-15 -1289 (|#2| |#2| |#2|)) (-15 -3839 (|#2| |#2| |#2|)) (-15 -3578 (|#2| |#2| |#2|)) (-15 -4489 (|#2| |#2| |#2|)) (-15 -4466 (|#2| |#2|)) (-15 -3618 (|#2| |#2|)) (-15 -3994 (|#2| |#2|)) (-15 -4213 (|#2| |#2|)) (-15 -3645 (|#2| (-635 |#2|))) (-15 -3886 (|#2| |#2|)) (-15 -4412 (|#2| (-635 |#2|))) (-15 -2993 (|#2| (-635 |#2|))) (-15 -3404 (|#2| (-635 |#2|))) (-15 -4043 (|#2| (-635 |#2|))) (-15 -2136 (|#2| (-635 |#2|))) (-15 -1955 (|#2| |#2|)) (-15 -2499 (|#2| |#2|))) (-13 (-844) (-559)) (-433 |#1|)) (T -434)) 
-((-2499 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1955 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2136 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-4043 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3404 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-2993 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-4412 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3886 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3645 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-4213 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3994 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3618 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4466 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4489 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3578 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3839 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1289 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2648 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3566 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4028 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2246 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2246 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4080 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *4)) (-4 *4 (-433 *3)))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-434 *4 *5)) (-4 *5 (-433 *4))))) 
-(-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -4080 (|#2| |#2|)) (-15 -2246 (|#2| |#2|)) (-15 -2246 (|#2| |#2| |#2|)) (-15 -4028 (|#2| |#2| |#2|)) (-15 -3566 (|#2| |#2|)) (-15 -2648 (|#2| |#2| |#2|)) (-15 -1289 (|#2| |#2| |#2|)) (-15 -3839 (|#2| |#2| |#2|)) (-15 -3578 (|#2| |#2| |#2|)) (-15 -4489 (|#2| |#2| |#2|)) (-15 -4466 (|#2| |#2|)) (-15 -3618 (|#2| |#2|)) (-15 -3994 (|#2| |#2|)) (-15 -4213 (|#2| |#2|)) (-15 -3645 (|#2| (-635 |#2|))) (-15 -3886 (|#2| |#2|)) (-15 -4412 (|#2| (-635 |#2|))) (-15 -2993 (|#2| (-635 |#2|))) (-15 -3404 (|#2| (-635 |#2|))) (-15 -4043 (|#2| (-635 |#2|))) (-15 -2136 (|#2| (-635 |#2|))) (-15 -1955 (|#2| |#2|)) (-15 -2499 (|#2| |#2|))) 
-((-1456 (((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1161 |#2|)) (|:| |pol2| (-1161 |#2|)) (|:| |prim| (-1161 |#2|))) |#2| |#2|) 93 (|has| |#2| (-27))) (((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1161 |#2|))) (|:| |prim| (-1161 |#2|))) (-635 |#2|)) 58))) 
-(((-435 |#1| |#2|) (-10 -7 (-15 -1456 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1161 |#2|))) (|:| |prim| (-1161 |#2|))) (-635 |#2|))) (IF (|has| |#2| (-27)) (-15 -1456 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1161 |#2|)) (|:| |pol2| (-1161 |#2|)) (|:| |prim| (-1161 |#2|))) |#2| |#2|)) |noBranch|)) (-13 (-559) (-844) (-151)) (-433 |#1|)) (T -435)) 
-((-1456 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-559) (-844) (-151))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1161 *3)) (|:| |pol2| (-1161 *3)) (|:| |prim| (-1161 *3)))) (-5 *1 (-435 *4 *3)) (-4 *3 (-27)) (-4 *3 (-433 *4)))) (-1456 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-559) (-844) (-151))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-635 (-1161 *5))) (|:| |prim| (-1161 *5)))) (-5 *1 (-435 *4 *5))))) 
-(-10 -7 (-15 -1456 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1161 |#2|))) (|:| |prim| (-1161 |#2|))) (-635 |#2|))) (IF (|has| |#2| (-27)) (-15 -1456 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1161 |#2|)) (|:| |pol2| (-1161 |#2|)) (|:| |prim| (-1161 |#2|))) |#2| |#2|)) |noBranch|)) 
-((-1990 (((-1258)) 18)) (-2100 (((-1161 (-410 (-569))) |#2| (-608 |#2|)) 40) (((-410 (-569)) |#2|) 23))) 
-(((-436 |#1| |#2|) (-10 -7 (-15 -2100 ((-410 (-569)) |#2|)) (-15 -2100 ((-1161 (-410 (-569))) |#2| (-608 |#2|))) (-15 -1990 ((-1258)))) (-13 (-844) (-559) (-1039 (-569))) (-433 |#1|)) (T -436)) 
-((-1990 (*1 *2) (-12 (-4 *3 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-1258)) (-5 *1 (-436 *3 *4)) (-4 *4 (-433 *3)))) (-2100 (*1 *2 *3 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-433 *5)) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-436 *5 *3)))) (-2100 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-436 *4 *3)) (-4 *3 (-433 *4))))) 
-(-10 -7 (-15 -2100 ((-410 (-569)) |#2|)) (-15 -2100 ((-1161 (-410 (-569))) |#2| (-608 |#2|))) (-15 -1990 ((-1258)))) 
-((-2776 (((-121) $) 28)) (-3205 (((-121) $) 30)) (-1325 (((-121) $) 31)) (-2833 (((-121) $) 34)) (-4301 (((-121) $) 29)) (-2118 (((-121) $) 33)) (-3956 (((-852) $) 18) (($ (-1147)) 27) (($ (-1165)) 23) (((-1165) $) 22) (((-1097) $) 21)) (-3120 (((-121) $) 32)) (-1326 (((-121) $ $) 15))) 
-(((-437) (-13 (-609 (-852)) (-10 -8 (-15 -3956 ($ (-1147))) (-15 -3956 ($ (-1165))) (-15 -3956 ((-1165) $)) (-15 -3956 ((-1097) $)) (-15 -2776 ((-121) $)) (-15 -4301 ((-121) $)) (-15 -1325 ((-121) $)) (-15 -2118 ((-121) $)) (-15 -2833 ((-121) $)) (-15 -3120 ((-121) $)) (-15 -3205 ((-121) $)) (-15 -1326 ((-121) $ $))))) (T -437)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-437)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-437)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-437)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-437)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-4301 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-1325 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-2118 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-2833 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3120 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3205 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(-13 (-609 (-852)) (-10 -8 (-15 -3956 ($ (-1147))) (-15 -3956 ($ (-1165))) (-15 -3956 ((-1165) $)) (-15 -3956 ((-1097) $)) (-15 -2776 ((-121) $)) (-15 -4301 ((-121) $)) (-15 -1325 ((-121) $)) (-15 -2118 ((-121) $)) (-15 -2833 ((-121) $)) (-15 -3120 ((-121) $)) (-15 -3205 ((-121) $)) (-15 -1326 ((-121) $ $)))) 
-((-3741 (((-3 (-421 (-1161 (-410 (-569)))) "failed") |#3|) 68)) (-1529 (((-421 |#3|) |#3|) 33)) (-3372 (((-3 (-421 (-1161 (-53))) "failed") |#3|) 27 (|has| |#2| (-1039 (-53))))) (-4050 (((-3 (|:| |overq| (-1161 (-410 (-569)))) (|:| |overan| (-1161 (-53))) (|:| -2795 (-121))) |#3|) 35))) 
-(((-438 |#1| |#2| |#3|) (-10 -7 (-15 -1529 ((-421 |#3|) |#3|)) (-15 -3741 ((-3 (-421 (-1161 (-410 (-569)))) "failed") |#3|)) (-15 -4050 ((-3 (|:| |overq| (-1161 (-410 (-569)))) (|:| |overan| (-1161 (-53))) (|:| -2795 (-121))) |#3|)) (IF (|has| |#2| (-1039 (-53))) (-15 -3372 ((-3 (-421 (-1161 (-53))) "failed") |#3|)) |noBranch|)) (-13 (-559) (-844) (-1039 (-569))) (-433 |#1|) (-1228 |#2|)) (T -438)) 
-((-3372 (*1 *2 *3) (|partial| -12 (-4 *5 (-1039 (-53))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1161 (-53)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5)))) (-4050 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-3 (|:| |overq| (-1161 (-410 (-569)))) (|:| |overan| (-1161 (-53))) (|:| -2795 (-121)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5)))) (-3741 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1161 (-410 (-569))))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5)))) (-1529 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 *3)) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
-(-10 -7 (-15 -1529 ((-421 |#3|) |#3|)) (-15 -3741 ((-3 (-421 (-1161 (-410 (-569)))) "failed") |#3|)) (-15 -4050 ((-3 (|:| |overq| (-1161 (-410 (-569)))) (|:| |overan| (-1161 (-53))) (|:| -2795 (-121))) |#3|)) (IF (|has| |#2| (-1039 (-53))) (-15 -3372 ((-3 (-421 (-1161 (-53))) "failed") |#3|)) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-2255 (((-1147) $ (-1147)) NIL)) (-3284 (($ $ (-1147)) NIL)) (-3780 (((-1147) $) NIL)) (-3985 (((-391) (-391) (-391)) 17) (((-391) (-391)) 15)) (-4465 (($ (-391)) NIL) (($ (-391) (-1147)) NIL)) (-2798 (((-391) $) NIL)) (-2605 (((-1147) $) NIL)) (-4114 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2754 (((-1258) (-1147)) 9)) (-3905 (((-1258) (-1147)) 10)) (-1662 (((-1258)) 11)) (-3295 (((-1258) $) NIL)) (-3956 (((-852) $) NIL)) (-2520 (($ $) 34)) (-1326 (((-121) $ $) NIL))) 
-(((-439) (-13 (-367 (-391) (-1147)) (-10 -7 (-15 -3985 ((-391) (-391) (-391))) (-15 -3985 ((-391) (-391))) (-15 -2754 ((-1258) (-1147))) (-15 -3905 ((-1258) (-1147))) (-15 -1662 ((-1258)))))) (T -439)) 
-((-3985 (*1 *2 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) (-3985 (*1 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) (-2754 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-439)))) (-3905 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-439)))) (-1662 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-439))))) 
-(-13 (-367 (-391) (-1147)) (-10 -7 (-15 -3985 ((-391) (-391) (-391))) (-15 -3985 ((-391) (-391))) (-15 -2754 ((-1258) (-1147))) (-15 -3905 ((-1258) (-1147))) (-15 -1662 ((-1258))))) 
-((-1310 (((-121) $ $) NIL)) (-3288 (((-3 (|:| |fst| (-437)) (|:| -2667 "void")) $) 10)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1882 (($) 31)) (-3034 (($) 37)) (-2326 (($) 33)) (-1879 (($) 35)) (-3502 (($) 32)) (-1674 (($) 34)) (-3827 (($) 36)) (-3143 (((-121) $) 8)) (-1765 (((-635 (-955 (-569))) $) 16)) (-3124 (($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-1165)) (-121)) 25) (($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-955 (-569))) (-121)) 26)) (-3956 (((-852) $) 21) (($ (-437)) 28)) (-1326 (((-121) $ $) NIL))) 
-(((-440) (-13 (-1093) (-10 -8 (-15 -3956 ((-852) $)) (-15 -3956 ($ (-437))) (-15 -3288 ((-3 (|:| |fst| (-437)) (|:| -2667 "void")) $)) (-15 -1765 ((-635 (-955 (-569))) $)) (-15 -3143 ((-121) $)) (-15 -3124 ($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-1165)) (-121))) (-15 -3124 ($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-955 (-569))) (-121))) (-15 -1882 ($)) (-15 -3502 ($)) (-15 -2326 ($)) (-15 -3034 ($)) (-15 -1674 ($)) (-15 -1879 ($)) (-15 -3827 ($))))) (T -440)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-440)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-437)) (-5 *1 (-440)))) (-3288 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *1 (-440)))) (-1765 (*1 *2 *1) (-12 (-5 *2 (-635 (-955 (-569)))) (-5 *1 (-440)))) (-3143 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-440)))) (-3124 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *3 (-635 (-1165))) (-5 *4 (-121)) (-5 *1 (-440)))) (-3124 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-121)) (-5 *1 (-440)))) (-1882 (*1 *1) (-5 *1 (-440))) (-3502 (*1 *1) (-5 *1 (-440))) (-2326 (*1 *1) (-5 *1 (-440))) (-3034 (*1 *1) (-5 *1 (-440))) (-1674 (*1 *1) (-5 *1 (-440))) (-1879 (*1 *1) (-5 *1 (-440))) (-3827 (*1 *1) (-5 *1 (-440)))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ((-852) $)) (-15 -3956 ($ (-437))) (-15 -3288 ((-3 (|:| |fst| (-437)) (|:| -2667 "void")) $)) (-15 -1765 ((-635 (-955 (-569))) $)) (-15 -3143 ((-121) $)) (-15 -3124 ($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-1165)) (-121))) (-15 -3124 ($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-955 (-569))) (-121))) (-15 -1882 ($)) (-15 -3502 ($)) (-15 -2326 ($)) (-15 -3034 ($)) (-15 -1674 ($)) (-15 -1879 ($)) (-15 -3827 ($)))) 
-((-1310 (((-121) $ $) NIL)) (-2798 (((-1165) $) 8)) (-2605 (((-1147) $) 16)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 13))) 
-(((-441 |#1|) (-13 (-1093) (-10 -8 (-15 -2798 ((-1165) $)))) (-1165)) (T -441)) 
-((-2798 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-441 *3)) (-14 *3 *2)))) 
-(-13 (-1093) (-10 -8 (-15 -2798 ((-1165) $)))) 
-((-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8) (($ (-1253 (-690))) 12) (($ (-635 (-329))) 11) (($ (-329)) 10) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 9))) 
-(((-442) (-1284)) (T -442)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-690))) (-4 *1 (-442)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-442)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-442)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-442))))) 
-(-13 (-398) (-10 -8 (-15 -3956 ($ (-1253 (-690)))) (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-329))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))))) 
-(((-609 (-852)) . T) ((-398) . T) ((-1199) . T)) 
-((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 19) (((-3 $ "failed") (-1253 (-311 (-569)))) 17) (((-3 $ "failed") (-1253 (-955 (-382)))) 15) (((-3 $ "failed") (-1253 (-955 (-569)))) 13) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 11) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 9)) (-1321 (($ (-1253 (-311 (-382)))) 20) (($ (-1253 (-311 (-569)))) 18) (($ (-1253 (-955 (-382)))) 16) (($ (-1253 (-955 (-569)))) 14) (($ (-1253 (-410 (-955 (-382))))) 12) (($ (-1253 (-410 (-955 (-569))))) 10)) (-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 21))) 
-(((-443) (-1284)) (T -443)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-443)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-443)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-311 (-382)))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-311 (-382)))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-311 (-569)))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-311 (-569)))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-955 (-382)))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-955 (-382)))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-955 (-569)))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-955 (-569)))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 (-382))))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-410 (-955 (-382))))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 (-569))))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-410 (-955 (-569))))) (-4 *1 (-443))))) 
-(-13 (-398) (-10 -8 (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-329))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))) (-15 -1321 ($ (-1253 (-311 (-382))))) (-15 -3003 ((-3 $ "failed") (-1253 (-311 (-382))))) (-15 -1321 ($ (-1253 (-311 (-569))))) (-15 -3003 ((-3 $ "failed") (-1253 (-311 (-569))))) (-15 -1321 ($ (-1253 (-955 (-382))))) (-15 -3003 ((-3 $ "failed") (-1253 (-955 (-382))))) (-15 -1321 ($ (-1253 (-955 (-569))))) (-15 -3003 ((-3 $ "failed") (-1253 (-955 (-569))))) (-15 -1321 ($ (-1253 (-410 (-955 (-382)))))) (-15 -3003 ((-3 $ "failed") (-1253 (-410 (-955 (-382)))))) (-15 -1321 ($ (-1253 (-410 (-955 (-569)))))) (-15 -3003 ((-3 $ "failed") (-1253 (-410 (-955 (-569)))))))) 
-(((-609 (-852)) . T) ((-398) . T) ((-1199) . T)) 
-((-2508 (((-121)) 17)) (-4074 (((-121) (-121)) 18)) (-3564 (((-121)) 13)) (-4062 (((-121) (-121)) 14)) (-3898 (((-121)) 15)) (-4535 (((-121) (-121)) 16)) (-1691 (((-919) (-919)) 21) (((-919)) 20)) (-1741 (((-765) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569))))) 41)) (-3698 (((-919) (-919)) 23) (((-919)) 22)) (-2251 (((-2 (|:| -2318 (-569)) (|:| -3459 (-635 |#1|))) |#1|) 61)) (-3609 (((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569))))))) 125)) (-2250 (((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121)) 151)) (-3576 (((-421 |#1|) |#1| (-765) (-765)) 164) (((-421 |#1|) |#1| (-635 (-765)) (-765)) 161) (((-421 |#1|) |#1| (-635 (-765))) 163) (((-421 |#1|) |#1| (-765)) 162) (((-421 |#1|) |#1|) 160)) (-4350 (((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765) (-121)) 166) (((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765)) 167) (((-3 |#1| "failed") (-919) |#1| (-635 (-765))) 169) (((-3 |#1| "failed") (-919) |#1| (-765)) 168) (((-3 |#1| "failed") (-919) |#1|) 170)) (-3139 (((-421 |#1|) |#1| (-765) (-765)) 159) (((-421 |#1|) |#1| (-635 (-765)) (-765)) 155) (((-421 |#1|) |#1| (-635 (-765))) 157) (((-421 |#1|) |#1| (-765)) 156) (((-421 |#1|) |#1|) 154)) (-4177 (((-121) |#1|) 36)) (-3864 (((-729 (-765)) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569))))) 66)) (-3054 (((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121) (-1095 (-765)) (-765)) 153))) 
-(((-444 |#1|) (-10 -7 (-15 -3609 ((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))))) (-15 -3864 ((-729 (-765)) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))))) (-15 -3698 ((-919))) (-15 -3698 ((-919) (-919))) (-15 -1691 ((-919))) (-15 -1691 ((-919) (-919))) (-15 -1741 ((-765) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))))) (-15 -2251 ((-2 (|:| -2318 (-569)) (|:| -3459 (-635 |#1|))) |#1|)) (-15 -2508 ((-121))) (-15 -4074 ((-121) (-121))) (-15 -3564 ((-121))) (-15 -4062 ((-121) (-121))) (-15 -4177 ((-121) |#1|)) (-15 -3898 ((-121))) (-15 -4535 ((-121) (-121))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3139 ((-421 |#1|) |#1| (-765))) (-15 -3139 ((-421 |#1|) |#1| (-635 (-765)))) (-15 -3139 ((-421 |#1|) |#1| (-635 (-765)) (-765))) (-15 -3139 ((-421 |#1|) |#1| (-765) (-765))) (-15 -3576 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1| (-765))) (-15 -3576 ((-421 |#1|) |#1| (-635 (-765)))) (-15 -3576 ((-421 |#1|) |#1| (-635 (-765)) (-765))) (-15 -3576 ((-421 |#1|) |#1| (-765) (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1|)) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765) (-121))) (-15 -2250 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121))) (-15 -3054 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121) (-1095 (-765)) (-765)))) (-1228 (-569))) (T -444)) 
-((-3054 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1095 (-765))) (-5 *6 (-765)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-2250 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-4350 (*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *6 (-121)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) (-4350 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) (-4350 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) (-4350 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-765)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) (-4350 (*1 *2 *3 *2) (|partial| -12 (-5 *3 (-919)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) (-3576 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3576 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3576 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-765))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3576 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3576 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-765))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-4535 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3898 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-4177 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-4062 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3564 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-4074 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-2508 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-2251 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -2318 (-569)) (|:| -3459 (-635 *3)))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-1741 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 *4) (|:| -2284 (-569))))) (-4 *4 (-1228 (-569))) (-5 *2 (-765)) (-5 *1 (-444 *4)))) (-1691 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-1691 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3698 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3698 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3864 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 *4) (|:| -2284 (-569))))) (-4 *4 (-1228 (-569))) (-5 *2 (-729 (-765))) (-5 *1 (-444 *4)))) (-3609 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *4) (|:| -4144 (-569))))))) (-4 *4 (-1228 (-569))) (-5 *2 (-421 *4)) (-5 *1 (-444 *4))))) 
-(-10 -7 (-15 -3609 ((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))))) (-15 -3864 ((-729 (-765)) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))))) (-15 -3698 ((-919))) (-15 -3698 ((-919) (-919))) (-15 -1691 ((-919))) (-15 -1691 ((-919) (-919))) (-15 -1741 ((-765) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))))) (-15 -2251 ((-2 (|:| -2318 (-569)) (|:| -3459 (-635 |#1|))) |#1|)) (-15 -2508 ((-121))) (-15 -4074 ((-121) (-121))) (-15 -3564 ((-121))) (-15 -4062 ((-121) (-121))) (-15 -4177 ((-121) |#1|)) (-15 -3898 ((-121))) (-15 -4535 ((-121) (-121))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3139 ((-421 |#1|) |#1| (-765))) (-15 -3139 ((-421 |#1|) |#1| (-635 (-765)))) (-15 -3139 ((-421 |#1|) |#1| (-635 (-765)) (-765))) (-15 -3139 ((-421 |#1|) |#1| (-765) (-765))) (-15 -3576 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1| (-765))) (-15 -3576 ((-421 |#1|) |#1| (-635 (-765)))) (-15 -3576 ((-421 |#1|) |#1| (-635 (-765)) (-765))) (-15 -3576 ((-421 |#1|) |#1| (-765) (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1|)) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765) (-121))) (-15 -2250 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121))) (-15 -3054 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121) (-1095 (-765)) (-765)))) 
-((-3478 (((-569) |#2|) 48) (((-569) |#2| (-765)) 47)) (-4000 (((-569) |#2|) 55)) (-4549 ((|#3| |#2|) 25)) (-3046 ((|#3| |#2| (-919)) 14)) (-2718 ((|#3| |#2|) 15)) (-2007 ((|#3| |#2|) 9)) (-1468 ((|#3| |#2|) 10)) (-3951 ((|#3| |#2| (-919)) 62) ((|#3| |#2|) 30)) (-4137 (((-569) |#2|) 57))) 
-(((-445 |#1| |#2| |#3|) (-10 -7 (-15 -4137 ((-569) |#2|)) (-15 -3951 (|#3| |#2|)) (-15 -3951 (|#3| |#2| (-919))) (-15 -4000 ((-569) |#2|)) (-15 -3478 ((-569) |#2| (-765))) (-15 -3478 ((-569) |#2|)) (-15 -3046 (|#3| |#2| (-919))) (-15 -4549 (|#3| |#2|)) (-15 -2007 (|#3| |#2|)) (-15 -1468 (|#3| |#2|)) (-15 -2718 (|#3| |#2|))) (-1049) (-1228 |#1|) (-13 (-407) (-1039 |#1|) (-366) (-1185) (-280))) (T -445)) 
-((-2718 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) (-1468 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) (-2007 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) (-4549 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *2 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1228 *5)))) (-3478 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))))) (-3478 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *5 *3 *6)) (-4 *3 (-1228 *5)) (-4 *6 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))))) (-4000 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))))) (-3951 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *2 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1228 *5)))) (-3951 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) (-4137 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280)))))) 
-(-10 -7 (-15 -4137 ((-569) |#2|)) (-15 -3951 (|#3| |#2|)) (-15 -3951 (|#3| |#2| (-919))) (-15 -4000 ((-569) |#2|)) (-15 -3478 ((-569) |#2| (-765))) (-15 -3478 ((-569) |#2|)) (-15 -3046 (|#3| |#2| (-919))) (-15 -4549 (|#3| |#2|)) (-15 -2007 (|#3| |#2|)) (-15 -1468 (|#3| |#2|)) (-15 -2718 (|#3| |#2|))) 
-((-3067 ((|#2| (-1253 |#1|)) 36)) (-1362 ((|#2| |#2| |#1|) 49)) (-2799 ((|#2| |#2| |#1|) 41)) (-1871 ((|#2| |#2|) 38)) (-3312 (((-121) |#2|) 30)) (-2700 (((-635 |#2|) (-919) (-421 |#2|)) 16)) (-4350 ((|#2| (-919) (-421 |#2|)) 21)) (-3864 (((-729 (-765)) (-421 |#2|)) 25))) 
-(((-446 |#1| |#2|) (-10 -7 (-15 -3312 ((-121) |#2|)) (-15 -3067 (|#2| (-1253 |#1|))) (-15 -1871 (|#2| |#2|)) (-15 -2799 (|#2| |#2| |#1|)) (-15 -1362 (|#2| |#2| |#1|)) (-15 -3864 ((-729 (-765)) (-421 |#2|))) (-15 -4350 (|#2| (-919) (-421 |#2|))) (-15 -2700 ((-635 |#2|) (-919) (-421 |#2|)))) (-1049) (-1228 |#1|)) (T -446)) 
-((-2700 (*1 *2 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-421 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-1049)) (-5 *2 (-635 *6)) (-5 *1 (-446 *5 *6)))) (-4350 (*1 *2 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-421 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-446 *5 *2)) (-4 *5 (-1049)))) (-3864 (*1 *2 *3) (-12 (-5 *3 (-421 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-1049)) (-5 *2 (-729 (-765))) (-5 *1 (-446 *4 *5)))) (-1362 (*1 *2 *2 *3) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3)))) (-2799 (*1 *2 *2 *3) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3)))) (-1871 (*1 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3)))) (-3067 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-1049)) (-4 *2 (-1228 *4)) (-5 *1 (-446 *4 *2)))) (-3312 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-121)) (-5 *1 (-446 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -3312 ((-121) |#2|)) (-15 -3067 (|#2| (-1253 |#1|))) (-15 -1871 (|#2| |#2|)) (-15 -2799 (|#2| |#2| |#1|)) (-15 -1362 (|#2| |#2| |#1|)) (-15 -3864 ((-729 (-765)) (-421 |#2|))) (-15 -4350 (|#2| (-919) (-421 |#2|))) (-15 -2700 ((-635 |#2|) (-919) (-421 |#2|)))) 
-((-3986 (((-765)) 41)) (-3272 (((-765)) 23 (|has| |#1| (-407))) (((-765) (-765)) 22 (|has| |#1| (-407)))) (-2158 (((-569) |#1|) 18 (|has| |#1| (-407)))) (-1432 (((-569) |#1|) 20 (|has| |#1| (-407)))) (-1774 (((-765)) 40) (((-765) (-765)) 39)) (-4477 ((|#1| (-765) (-569)) 29)) (-1684 (((-1258)) 43))) 
-(((-447 |#1|) (-10 -7 (-15 -4477 (|#1| (-765) (-569))) (-15 -1774 ((-765) (-765))) (-15 -1774 ((-765))) (-15 -3986 ((-765))) (-15 -1684 ((-1258))) (IF (|has| |#1| (-407)) (PROGN (-15 -1432 ((-569) |#1|)) (-15 -2158 ((-569) |#1|)) (-15 -3272 ((-765) (-765))) (-15 -3272 ((-765)))) |noBranch|)) (-1049)) (T -447)) 
-((-3272 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049)))) (-3272 (*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049)))) (-2158 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049)))) (-1432 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049)))) (-1684 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-447 *3)) (-4 *3 (-1049)))) (-3986 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049)))) (-1774 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049)))) (-1774 (*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049)))) (-4477 (*1 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-569)) (-5 *1 (-447 *2)) (-4 *2 (-1049))))) 
-(-10 -7 (-15 -4477 (|#1| (-765) (-569))) (-15 -1774 ((-765) (-765))) (-15 -1774 ((-765))) (-15 -3986 ((-765))) (-15 -1684 ((-1258))) (IF (|has| |#1| (-407)) (PROGN (-15 -1432 ((-569) |#1|)) (-15 -2158 ((-569) |#1|)) (-15 -3272 ((-765) (-765))) (-15 -3272 ((-765)))) |noBranch|)) 
-((-4057 (((-635 (-569)) (-569)) 57)) (-2005 (((-121) (-170 (-569))) 61)) (-3139 (((-421 (-170 (-569))) (-170 (-569))) 56))) 
-(((-448) (-10 -7 (-15 -3139 ((-421 (-170 (-569))) (-170 (-569)))) (-15 -4057 ((-635 (-569)) (-569))) (-15 -2005 ((-121) (-170 (-569)))))) (T -448)) 
-((-2005 (*1 *2 *3) (-12 (-5 *3 (-170 (-569))) (-5 *2 (-121)) (-5 *1 (-448)))) (-4057 (*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-448)) (-5 *3 (-569)))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 (-170 (-569)))) (-5 *1 (-448)) (-5 *3 (-170 (-569)))))) 
-(-10 -7 (-15 -3139 ((-421 (-170 (-569))) (-170 (-569)))) (-15 -4057 ((-635 (-569)) (-569))) (-15 -2005 ((-121) (-170 (-569))))) 
-((-2740 ((|#4| |#4| (-635 |#4|)) 57)) (-4295 (((-635 |#4|) (-635 |#4|) (-1147) (-1147)) 17) (((-635 |#4|) (-635 |#4|) (-1147)) 16) (((-635 |#4|) (-635 |#4|)) 11))) 
-(((-449 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2740 (|#4| |#4| (-635 |#4|))) (-15 -4295 ((-635 |#4|) (-635 |#4|))) (-15 -4295 ((-635 |#4|) (-635 |#4|) (-1147))) (-15 -4295 ((-635 |#4|) (-635 |#4|) (-1147) (-1147)))) (-302) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -449)) 
-((-4295 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *7)))) (-4295 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *7)))) (-4295 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-449 *3 *4 *5 *6)))) (-2740 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *2))))) 
-(-10 -7 (-15 -2740 (|#4| |#4| (-635 |#4|))) (-15 -4295 ((-635 |#4|) (-635 |#4|))) (-15 -4295 ((-635 |#4|) (-635 |#4|) (-1147))) (-15 -4295 ((-635 |#4|) (-635 |#4|) (-1147) (-1147)))) 
-((-3447 (((-635 (-635 |#4|)) (-635 |#4|) (-121)) 70) (((-635 (-635 |#4|)) (-635 |#4|)) 69) (((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121)) 63) (((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|)) 64)) (-2099 (((-635 (-635 |#4|)) (-635 |#4|) (-121)) 40) (((-635 (-635 |#4|)) (-635 |#4|)) 60))) 
-(((-450 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2099 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -2099 ((-635 (-635 |#4|)) (-635 |#4|) (-121))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-121)))) (-13 (-302) (-151)) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -450)) 
-((-3447 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-3447 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-3447 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-3447 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2099 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-2099 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(-10 -7 (-15 -2099 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -2099 ((-635 (-635 |#4|)) (-635 |#4|) (-121))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-121)))) 
-((-1286 (((-765) |#4|) 12)) (-3755 (((-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|))) |#4| (-765) (-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|)))) 31)) (-1646 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 37)) (-4237 ((|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 38)) (-4256 ((|#4| |#4| (-635 |#4|)) 39)) (-2743 (((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|)) 68)) (-3681 (((-1258) |#4|) 41)) (-3852 (((-1258) (-635 |#4|)) 50)) (-3862 (((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569)) 47)) (-1358 (((-1258) (-569)) 75)) (-2283 (((-635 |#4|) (-635 |#4|)) 73)) (-4403 (((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|)) |#4| (-765)) 25)) (-1907 (((-569) |#4|) 74)) (-4200 ((|#4| |#4|) 29)) (-3082 (((-635 |#4|) (-635 |#4|) (-569) (-569)) 54)) (-4444 (((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569)) 85)) (-1487 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 16)) (-1307 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 57)) (-3152 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 56)) (-4242 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 35)) (-3719 (((-121) |#2| |#2|) 55)) (-2205 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 36)) (-3386 (((-121) |#2| |#2| |#2| |#2|) 58)) (-4490 ((|#4| |#4| (-635 |#4|)) 69))) 
-(((-451 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4490 (|#4| |#4| (-635 |#4|))) (-15 -4256 (|#4| |#4| (-635 |#4|))) (-15 -3082 ((-635 |#4|) (-635 |#4|) (-569) (-569))) (-15 -1307 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -3719 ((-121) |#2| |#2|)) (-15 -3386 ((-121) |#2| |#2| |#2| |#2|)) (-15 -2205 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -4242 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3152 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2743 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|))) (-15 -4200 (|#4| |#4|)) (-15 -3755 ((-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|))) |#4| (-765) (-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|))))) (-15 -4237 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1646 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2283 ((-635 |#4|) (-635 |#4|))) (-15 -1907 ((-569) |#4|)) (-15 -3681 ((-1258) |#4|)) (-15 -3862 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569))) (-15 -4444 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569))) (-15 -3852 ((-1258) (-635 |#4|))) (-15 -1358 ((-1258) (-569))) (-15 -1487 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4403 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|)) |#4| (-765))) (-15 -1286 ((-765) |#4|))) (-454) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -451)) 
-((-1286 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-765)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6)))) (-4403 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-765)) (|:| -2665 *4))) (-5 *5 (-765)) (-4 *4 (-952 *6 *7 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-451 *6 *7 *8 *4)))) (-1487 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-790)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7)))) (-1358 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6)))) (-3852 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *7)))) (-4444 (*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-765)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-790)) (-4 *4 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *4)))) (-3862 (*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-765)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-790)) (-4 *4 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *4)))) (-3681 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6)))) (-1907 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-569)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6)))) (-2283 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6)))) (-1646 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-790)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6)))) (-4237 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-790)) (-4 *2 (-952 *4 *5 *6)) (-5 *1 (-451 *4 *5 *6 *2)) (-4 *4 (-454)) (-4 *6 (-844)))) (-3755 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 *3)))) (-5 *4 (-765)) (-4 *3 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *3)))) (-4200 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5)))) (-2743 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-451 *5 *6 *7 *3)))) (-3152 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-790)) (-4 *6 (-952 *4 *3 *5)) (-4 *4 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *4 *3 *5 *6)))) (-4242 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-790)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6)))) (-2205 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-790)) (-4 *3 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *3)))) (-3386 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-952 *4 *3 *5)))) (-3719 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-952 *4 *3 *5)))) (-1307 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-790)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7)))) (-3082 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-569)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *7)))) (-4256 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *2)))) (-4490 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *2))))) 
-(-10 -7 (-15 -4490 (|#4| |#4| (-635 |#4|))) (-15 -4256 (|#4| |#4| (-635 |#4|))) (-15 -3082 ((-635 |#4|) (-635 |#4|) (-569) (-569))) (-15 -1307 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -3719 ((-121) |#2| |#2|)) (-15 -3386 ((-121) |#2| |#2| |#2| |#2|)) (-15 -2205 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -4242 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3152 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2743 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|))) (-15 -4200 (|#4| |#4|)) (-15 -3755 ((-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|))) |#4| (-765) (-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|))))) (-15 -4237 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1646 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2283 ((-635 |#4|) (-635 |#4|))) (-15 -1907 ((-569) |#4|)) (-15 -3681 ((-1258) |#4|)) (-15 -3862 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569))) (-15 -4444 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569))) (-15 -3852 ((-1258) (-635 |#4|))) (-15 -1358 ((-1258) (-569))) (-15 -1487 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4403 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|)) |#4| (-765))) (-15 -1286 ((-765) |#4|))) 
-((-1890 ((|#4| |#4| (-635 |#4|)) 22 (|has| |#1| (-366)))) (-4378 (((-635 |#4|) (-635 |#4|) (-1147) (-1147)) 41) (((-635 |#4|) (-635 |#4|) (-1147)) 40) (((-635 |#4|) (-635 |#4|)) 35))) 
-(((-452 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4378 ((-635 |#4|) (-635 |#4|))) (-15 -4378 ((-635 |#4|) (-635 |#4|) (-1147))) (-15 -4378 ((-635 |#4|) (-635 |#4|) (-1147) (-1147))) (IF (|has| |#1| (-366)) (-15 -1890 (|#4| |#4| (-635 |#4|))) |noBranch|)) (-454) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -452)) 
-((-1890 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-366)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *2)))) (-4378 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *7)))) (-4378 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *7)))) (-4378 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-452 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -4378 ((-635 |#4|) (-635 |#4|))) (-15 -4378 ((-635 |#4|) (-635 |#4|) (-1147))) (-15 -4378 ((-635 |#4|) (-635 |#4|) (-1147) (-1147))) (IF (|has| |#1| (-366)) (-15 -1890 (|#4| |#4| (-635 |#4|))) |noBranch|)) 
-((-1657 (($ $ $) 14) (($ (-635 $)) 21)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 41)) (-3964 (($ $ $) NIL) (($ (-635 $)) 22))) 
-(((-453 |#1|) (-10 -8 (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -1657 (|#1| (-635 |#1|))) (-15 -1657 (|#1| |#1| |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|))) (-454)) (T -453)) 
-NIL 
-(-10 -8 (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -1657 (|#1| (-635 |#1|))) (-15 -1657 (|#1| |#1| |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1436 (((-3 $ "failed") $ $) 41)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-454) (-1284)) (T -454)) 
-((-3964 (*1 *1 *1 *1) (-4 *1 (-454))) (-3964 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) (-1657 (*1 *1 *1 *1) (-4 *1 (-454))) (-1657 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) (-2257 (*1 *2 *2 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-454))))) 
-(-13 (-559) (-10 -8 (-15 -3964 ($ $ $)) (-15 -3964 ($ (-635 $))) (-15 -1657 ($ $ $)) (-15 -1657 ($ (-635 $))) (-15 -2257 ((-1161 $) (-1161 $) (-1161 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3667 (((-3 $ "failed")) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3359 (((-1253 (-681 (-410 (-955 |#1|)))) (-1253 $)) NIL) (((-1253 (-681 (-410 (-955 |#1|))))) NIL)) (-1552 (((-1253 $)) NIL)) (-4483 (($) NIL T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL)) (-3943 (((-3 $ "failed")) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-2459 (((-681 (-410 (-955 |#1|))) (-1253 $)) NIL) (((-681 (-410 (-955 |#1|)))) NIL)) (-1478 (((-410 (-955 |#1|)) $) NIL)) (-4471 (((-681 (-410 (-955 |#1|))) $ (-1253 $)) NIL) (((-681 (-410 (-955 |#1|))) $) NIL)) (-4174 (((-3 $ "failed") $) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-1965 (((-1161 (-955 (-410 (-955 |#1|))))) NIL (|has| (-410 (-955 |#1|)) (-366))) (((-1161 (-410 (-955 |#1|)))) 79 (|has| |#1| (-559)))) (-4382 (($ $ (-919)) NIL)) (-3557 (((-410 (-955 |#1|)) $) NIL)) (-2212 (((-1161 (-410 (-955 |#1|))) $) 77 (|has| (-410 (-955 |#1|)) (-559)))) (-1547 (((-410 (-955 |#1|)) (-1253 $)) NIL) (((-410 (-955 |#1|))) NIL)) (-3168 (((-1161 (-410 (-955 |#1|))) $) NIL)) (-3073 (((-121)) NIL)) (-2097 (($ (-1253 (-410 (-955 |#1|))) (-1253 $)) 97) (($ (-1253 (-410 (-955 |#1|)))) NIL)) (-2611 (((-3 $ "failed") $) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-3358 (((-919)) NIL)) (-3894 (((-121)) NIL)) (-2073 (($ $ (-919)) NIL)) (-1428 (((-121)) NIL)) (-4078 (((-121)) NIL)) (-4015 (((-121)) NIL)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL)) (-1309 (((-3 $ "failed")) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-3707 (((-681 (-410 (-955 |#1|))) (-1253 $)) NIL) (((-681 (-410 (-955 |#1|)))) NIL)) (-2858 (((-410 (-955 |#1|)) $) NIL)) (-4432 (((-681 (-410 (-955 |#1|))) $ (-1253 $)) NIL) (((-681 (-410 (-955 |#1|))) $) NIL)) (-2983 (((-3 $ "failed") $) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-3348 (((-1161 (-955 (-410 (-955 |#1|))))) NIL (|has| (-410 (-955 |#1|)) (-366))) (((-1161 (-410 (-955 |#1|)))) 78 (|has| |#1| (-559)))) (-2846 (($ $ (-919)) NIL)) (-2170 (((-410 (-955 |#1|)) $) NIL)) (-1650 (((-1161 (-410 (-955 |#1|))) $) 72 (|has| (-410 (-955 |#1|)) (-559)))) (-2510 (((-410 (-955 |#1|)) (-1253 $)) NIL) (((-410 (-955 |#1|))) NIL)) (-4215 (((-1161 (-410 (-955 |#1|))) $) NIL)) (-2431 (((-121)) NIL)) (-2605 (((-1147) $) NIL)) (-2826 (((-121)) NIL)) (-4161 (((-121)) NIL)) (-3983 (((-121)) NIL)) (-1912 (((-1111) $) NIL)) (-2629 (((-410 (-955 |#1|)) $ $) 66 (|has| |#1| (-559)))) (-3619 (((-410 (-955 |#1|)) $) 65 (|has| |#1| (-559)))) (-2270 (((-410 (-955 |#1|)) $) 89 (|has| |#1| (-559)))) (-3136 (((-1161 (-410 (-955 |#1|))) $) 83 (|has| |#1| (-559)))) (-2787 (((-410 (-955 |#1|))) 67 (|has| |#1| (-559)))) (-1725 (((-410 (-955 |#1|)) $ $) 54 (|has| |#1| (-559)))) (-2138 (((-410 (-955 |#1|)) $) 53 (|has| |#1| (-559)))) (-1535 (((-410 (-955 |#1|)) $) 88 (|has| |#1| (-559)))) (-2035 (((-1161 (-410 (-955 |#1|))) $) 82 (|has| |#1| (-559)))) (-4048 (((-410 (-955 |#1|))) 64 (|has| |#1| (-559)))) (-1997 (($) 95) (($ (-1165)) 101) (($ (-1253 (-1165))) 100) (($ (-1253 $)) 90) (($ (-1165) (-1253 $)) 99) (($ (-1253 (-1165)) (-1253 $)) 98)) (-2067 (((-121)) NIL)) (-2503 (((-410 (-955 |#1|)) $ (-569)) NIL)) (-3672 (((-1253 (-410 (-955 |#1|))) $ (-1253 $)) 92) (((-681 (-410 (-955 |#1|))) (-1253 $) (-1253 $)) NIL) (((-1253 (-410 (-955 |#1|))) $) 37) (((-681 (-410 (-955 |#1|))) (-1253 $)) NIL)) (-4035 (((-1253 (-410 (-955 |#1|))) $) NIL) (($ (-1253 (-410 (-955 |#1|)))) 34)) (-3127 (((-635 (-955 (-410 (-955 |#1|)))) (-1253 $)) NIL) (((-635 (-955 (-410 (-955 |#1|))))) NIL) (((-635 (-955 |#1|)) (-1253 $)) 93 (|has| |#1| (-559))) (((-635 (-955 |#1|))) 94 (|has| |#1| (-559)))) (-2689 (($ $ $) NIL)) (-2984 (((-121)) NIL)) (-3956 (((-852) $) NIL) (($ (-1253 (-410 (-955 |#1|)))) NIL)) (-4079 (((-1253 $)) 56)) (-2628 (((-635 (-1253 (-410 (-955 |#1|))))) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-4379 (($ $ $ $) NIL)) (-1413 (((-121)) NIL)) (-1772 (($ (-681 (-410 (-955 |#1|))) $) NIL)) (-3924 (($ $ $) NIL)) (-1561 (((-121)) NIL)) (-3952 (((-121)) NIL)) (-1606 (((-121)) NIL)) (-2407 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) 91)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 52) (($ $ (-410 (-955 |#1|))) NIL) (($ (-410 (-955 |#1|)) $) NIL) (($ (-1130 |#2| (-410 (-955 |#1|))) $) NIL))) 
-(((-455 |#1| |#2| |#3| |#4|) (-13 (-420 (-410 (-955 |#1|))) (-638 (-1130 |#2| (-410 (-955 |#1|)))) (-10 -8 (-15 -3956 ($ (-1253 (-410 (-955 |#1|))))) (-15 -4030 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -2634 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -1997 ($)) (-15 -1997 ($ (-1165))) (-15 -1997 ($ (-1253 (-1165)))) (-15 -1997 ($ (-1253 $))) (-15 -1997 ($ (-1165) (-1253 $))) (-15 -1997 ($ (-1253 (-1165)) (-1253 $))) (IF (|has| |#1| (-559)) (PROGN (-15 -3348 ((-1161 (-410 (-955 |#1|))))) (-15 -2035 ((-1161 (-410 (-955 |#1|))) $)) (-15 -2138 ((-410 (-955 |#1|)) $)) (-15 -1535 ((-410 (-955 |#1|)) $)) (-15 -1965 ((-1161 (-410 (-955 |#1|))))) (-15 -3136 ((-1161 (-410 (-955 |#1|))) $)) (-15 -3619 ((-410 (-955 |#1|)) $)) (-15 -2270 ((-410 (-955 |#1|)) $)) (-15 -1725 ((-410 (-955 |#1|)) $ $)) (-15 -4048 ((-410 (-955 |#1|)))) (-15 -2629 ((-410 (-955 |#1|)) $ $)) (-15 -2787 ((-410 (-955 |#1|)))) (-15 -3127 ((-635 (-955 |#1|)) (-1253 $))) (-15 -3127 ((-635 (-955 |#1|))))) |noBranch|))) (-173) (-919) (-635 (-1165)) (-1253 (-681 |#1|))) (T -455)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 *3)))) (-4 *3 (-173)) (-14 *6 (-1253 (-681 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))))) (-4030 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -4079 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2634 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -4079 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1997 (*1 *1) (-12 (-5 *1 (-455 *2 *3 *4 *5)) (-4 *2 (-173)) (-14 *3 (-919)) (-14 *4 (-635 (-1165))) (-14 *5 (-1253 (-681 *2))))) (-1997 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 *2)) (-14 *6 (-1253 (-681 *3))))) (-1997 (*1 *1 *2) (-12 (-5 *2 (-1253 (-1165))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1997 (*1 *1 *2) (-12 (-5 *2 (-1253 (-455 *3 *4 *5 *6))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1997 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 *2)) (-14 *7 (-1253 (-681 *4))))) (-1997 (*1 *1 *2 *3) (-12 (-5 *2 (-1253 (-1165))) (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 (-1165))) (-14 *7 (-1253 (-681 *4))))) (-3348 (*1 *2) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2035 (*1 *2 *1) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2138 (*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1535 (*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1965 (*1 *2) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-3136 (*1 *2 *1) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-3619 (*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2270 (*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1725 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-4048 (*1 *2) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2629 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2787 (*1 *2) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-3127 (*1 *2 *3) (-12 (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *2 (-635 (-955 *4))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 (-1165))) (-14 *7 (-1253 (-681 *4))))) (-3127 (*1 *2) (-12 (-5 *2 (-635 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(-13 (-420 (-410 (-955 |#1|))) (-638 (-1130 |#2| (-410 (-955 |#1|)))) (-10 -8 (-15 -3956 ($ (-1253 (-410 (-955 |#1|))))) (-15 -4030 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -2634 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -1997 ($)) (-15 -1997 ($ (-1165))) (-15 -1997 ($ (-1253 (-1165)))) (-15 -1997 ($ (-1253 $))) (-15 -1997 ($ (-1165) (-1253 $))) (-15 -1997 ($ (-1253 (-1165)) (-1253 $))) (IF (|has| |#1| (-559)) (PROGN (-15 -3348 ((-1161 (-410 (-955 |#1|))))) (-15 -2035 ((-1161 (-410 (-955 |#1|))) $)) (-15 -2138 ((-410 (-955 |#1|)) $)) (-15 -1535 ((-410 (-955 |#1|)) $)) (-15 -1965 ((-1161 (-410 (-955 |#1|))))) (-15 -3136 ((-1161 (-410 (-955 |#1|))) $)) (-15 -3619 ((-410 (-955 |#1|)) $)) (-15 -2270 ((-410 (-955 |#1|)) $)) (-15 -1725 ((-410 (-955 |#1|)) $ $)) (-15 -4048 ((-410 (-955 |#1|)))) (-15 -2629 ((-410 (-955 |#1|)) $ $)) (-15 -2787 ((-410 (-955 |#1|)))) (-15 -3127 ((-635 (-955 |#1|)) (-1253 $))) (-15 -3127 ((-635 (-955 |#1|))))) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 13)) (-3195 (((-635 (-854 |#1|)) $) 73)) (-3132 (((-1161 $) $ (-854 |#1|)) 46) (((-1161 |#2|) $) 115)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) 21) (((-765) $ (-635 (-854 |#1|))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) 44) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-854 |#1|) "failed") $) NIL)) (-1321 ((|#2| $) 42) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-854 |#1|) $) NIL)) (-3673 (($ $ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-4474 (($ $ (-635 (-569))) 78)) (-3373 (($ $) 67)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| |#3| $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) 58)) (-3187 (($ (-1161 |#2|) (-854 |#1|)) 120) (($ (-1161 $) (-854 |#1|)) 52)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) 59)) (-3179 (($ |#2| |#3|) 28) (($ $ (-854 |#1|) (-765)) 30) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-854 |#1|)) NIL)) (-4294 ((|#3| $) NIL) (((-765) $ (-854 |#1|)) 50) (((-635 (-765)) $ (-635 (-854 |#1|))) 57)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 |#3| |#3|) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3407 (((-3 (-854 |#1|) "failed") $) 39)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) 41)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-854 |#1|)) (|:| -3190 (-765))) "failed") $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 40)) (-3256 ((|#2| $) 113)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) 125 (|has| |#2| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-854 |#1|) |#2|) 85) (($ $ (-635 (-854 |#1|)) (-635 |#2|)) 88) (($ $ (-854 |#1|) $) 83) (($ $ (-635 (-854 |#1|)) (-635 $)) 104)) (-2925 (($ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-854 |#1|)) 53) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2284 ((|#3| $) 66) (((-765) $ (-854 |#1|)) 37) (((-635 (-765)) $ (-635 (-854 |#1|))) 56)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-854 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) 122 (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-3956 (((-852) $) 141) (($ (-569)) NIL) (($ |#2|) 84) (($ (-854 |#1|)) 31) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ |#3|) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 16 T CONST)) (-3297 (($) 25 T CONST)) (-3712 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) 64 (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 109)) (** (($ $ (-919)) NIL) (($ $ (-765)) 107)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 29) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) 63) (($ $ |#2|) NIL))) 
-(((-456 |#1| |#2| |#3|) (-13 (-952 |#2| |#3| (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) (-635 (-1165)) (-1049) (-231 (-2946 |#1|) (-765))) (T -456)) 
-((-4474 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-14 *3 (-635 (-1165))) (-5 *1 (-456 *3 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-231 (-2946 *3) (-765)))))) 
-(-13 (-952 |#2| |#3| (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) 
-((-3823 (((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147)) 49) (((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147) (-635 (-257))) 48) (((-1258) (-311 (-382)) (-1085 (-382)) (-1147)) 42) (((-1258) (-311 (-382)) (-1085 (-382)) (-1147) (-635 (-257))) 39))) 
-(((-457) (-10 -7 (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1147) (-635 (-257)))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1147))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147) (-635 (-257)))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147))))) (T -457)) 
-((-3823 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *2 (-1258)) (-5 *1 (-457)))) (-3823 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *6 (-635 (-257))) (-5 *2 (-1258)) (-5 *1 (-457)))) (-3823 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *2 (-1258)) (-5 *1 (-457)))) (-3823 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *6 (-635 (-257))) (-5 *2 (-1258)) (-5 *1 (-457))))) 
-(-10 -7 (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1147) (-635 (-257)))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1147))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147) (-635 (-257)))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147)))) 
-((-3020 (((-121) |#1| (-635 |#2|)) 65)) (-2220 (((-3 (-1253 (-635 |#2|)) "failed") (-765) |#1| (-635 |#2|)) 74)) (-1474 (((-3 (-635 |#2|) "failed") |#2| |#1| (-1253 (-635 |#2|))) 76)) (-2688 ((|#2| |#2| |#1|) 28)) (-1464 (((-765) |#2| (-635 |#2|)) 20))) 
-(((-458 |#1| |#2|) (-10 -7 (-15 -2688 (|#2| |#2| |#1|)) (-15 -1464 ((-765) |#2| (-635 |#2|))) (-15 -2220 ((-3 (-1253 (-635 |#2|)) "failed") (-765) |#1| (-635 |#2|))) (-15 -1474 ((-3 (-635 |#2|) "failed") |#2| |#1| (-1253 (-635 |#2|)))) (-15 -3020 ((-121) |#1| (-635 |#2|)))) (-302) (-1228 |#1|)) (T -458)) 
-((-3020 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-1228 *3)) (-4 *3 (-302)) (-5 *2 (-121)) (-5 *1 (-458 *3 *5)))) (-1474 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1253 (-635 *3))) (-4 *4 (-302)) (-5 *2 (-635 *3)) (-5 *1 (-458 *4 *3)) (-4 *3 (-1228 *4)))) (-2220 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-302)) (-4 *6 (-1228 *4)) (-5 *2 (-1253 (-635 *6))) (-5 *1 (-458 *4 *6)) (-5 *5 (-635 *6)))) (-1464 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-302)) (-5 *2 (-765)) (-5 *1 (-458 *5 *3)))) (-2688 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-458 *3 *2)) (-4 *2 (-1228 *3))))) 
-(-10 -7 (-15 -2688 (|#2| |#2| |#1|)) (-15 -1464 ((-765) |#2| (-635 |#2|))) (-15 -2220 ((-3 (-1253 (-635 |#2|)) "failed") (-765) |#1| (-635 |#2|))) (-15 -1474 ((-3 (-635 |#2|) "failed") |#2| |#1| (-1253 (-635 |#2|)))) (-15 -3020 ((-121) |#1| (-635 |#2|)))) 
-((-3139 (((-421 |#5|) |#5|) 24))) 
-(((-459 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3139 ((-421 |#5|) |#5|))) (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165))))) (-790) (-559) (-559) (-952 |#4| |#2| |#1|)) (T -459)) 
-((-3139 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *5 (-790)) (-4 *7 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-459 *4 *5 *6 *7 *3)) (-4 *6 (-559)) (-4 *3 (-952 *7 *5 *4))))) 
-(-10 -7 (-15 -3139 ((-421 |#5|) |#5|))) 
-((-4326 ((|#3|) 36)) (-2257 (((-1161 |#4|) (-1161 |#4|) (-1161 |#4|)) 32))) 
-(((-460 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2257 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -4326 (|#3|))) (-790) (-844) (-906) (-952 |#3| |#1| |#2|)) (T -460)) 
-((-4326 (*1 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-906)) (-5 *1 (-460 *3 *4 *2 *5)) (-4 *5 (-952 *2 *3 *4)))) (-2257 (*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-906)) (-5 *1 (-460 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -2257 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -4326 (|#3|))) 
-((-3139 (((-421 (-1161 |#1|)) (-1161 |#1|)) 41))) 
-(((-461 |#1|) (-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|)))) (-302)) (T -461)) 
-((-3139 (*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-461 *4)) (-5 *3 (-1161 *4))))) 
-(-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|)))) 
-((-3221 (((-57) |#2| (-1165) (-289 |#2|) (-1219 (-765))) 42) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-765))) 41) (((-57) |#2| (-1165) (-289 |#2|)) 35) (((-57) (-1 |#2| (-569)) (-289 |#2|)) 27)) (-4314 (((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))) 80) (((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))) 79) (((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569))) 78) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569))) 77) (((-57) |#2| (-1165) (-289 |#2|)) 72) (((-57) (-1 |#2| (-569)) (-289 |#2|)) 71)) (-3236 (((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))) 66) (((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))) 64)) (-3228 (((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569))) 48) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569))) 47))) 
-(((-462 |#1| |#2|) (-10 -7 (-15 -3221 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -3221 ((-57) |#2| (-1165) (-289 |#2|))) (-15 -3221 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-765)))) (-15 -3221 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-765)))) (-15 -3228 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569)))) (-15 -3228 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569)))) (-15 -3236 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -3236 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -4314 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|))) (-15 -4314 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569)))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569)))) (-15 -4314 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))))) (-13 (-559) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -462)) 
-((-4314 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *8))) (-4 *8 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) (-4314 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1219 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) (-4314 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-4314 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-569))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-4314 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) (-4314 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) (-3236 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *8))) (-4 *8 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) (-3236 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1219 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) (-3228 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-3228 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-569))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-3221 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-765))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-3221 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-765))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-3221 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) (-3221 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6))))) 
-(-10 -7 (-15 -3221 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -3221 ((-57) |#2| (-1165) (-289 |#2|))) (-15 -3221 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-765)))) (-15 -3221 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-765)))) (-15 -3228 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569)))) (-15 -3228 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569)))) (-15 -3236 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -3236 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -4314 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|))) (-15 -4314 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569)))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569)))) (-15 -4314 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))))) 
-((-2688 ((|#2| |#2| |#1|) 15)) (-3058 (((-635 |#2|) |#2| (-635 |#2|) |#1| (-919)) 65)) (-4299 (((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-919)) 58))) 
-(((-463 |#1| |#2|) (-10 -7 (-15 -4299 ((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-919))) (-15 -3058 ((-635 |#2|) |#2| (-635 |#2|) |#1| (-919))) (-15 -2688 (|#2| |#2| |#1|))) (-302) (-1228 |#1|)) (T -463)) 
-((-2688 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-463 *3 *2)) (-4 *2 (-1228 *3)))) (-3058 (*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-635 *3)) (-5 *5 (-919)) (-4 *3 (-1228 *4)) (-4 *4 (-302)) (-5 *1 (-463 *4 *3)))) (-4299 (*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-919)) (-4 *5 (-302)) (-4 *3 (-1228 *5)) (-5 *2 (-2 (|:| |plist| (-635 *3)) (|:| |modulo| *5))) (-5 *1 (-463 *5 *3)) (-5 *4 (-635 *3))))) 
-(-10 -7 (-15 -4299 ((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-919))) (-15 -3058 ((-635 |#2|) |#2| (-635 |#2|) |#1| (-919))) (-15 -2688 (|#2| |#2| |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 28)) (-4148 (($ |#3|) 25)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) 32)) (-3001 (($ |#2| |#4| $) 33)) (-3179 (($ |#2| (-705 |#3| |#4| |#5|)) 24)) (-3263 (((-705 |#3| |#4| |#5|) $) 15)) (-1399 ((|#3| $) 19)) (-3570 ((|#4| $) 17)) (-3270 ((|#2| $) 29)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3160 (($ |#2| |#3| |#4|) 26)) (-2407 (($) 36 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 34)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#6| $) 40) (($ $ |#6|) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-464 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-709 |#6|) (-709 |#2|) (-10 -8 (-15 -3270 (|#2| $)) (-15 -3263 ((-705 |#3| |#4| |#5|) $)) (-15 -3570 (|#4| $)) (-15 -1399 (|#3| $)) (-15 -3373 ($ $)) (-15 -3179 ($ |#2| (-705 |#3| |#4| |#5|))) (-15 -4148 ($ |#3|)) (-15 -3160 ($ |#2| |#3| |#4|)) (-15 -3001 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) (-635 (-1165)) (-173) (-844) (-231 (-2946 |#1|) (-765)) (-1 (-121) (-2 (|:| -1333 |#3|) (|:| -3190 |#4|)) (-2 (|:| -1333 |#3|) (|:| -3190 |#4|))) (-952 |#2| |#4| (-854 |#1|))) (T -464)) 
-((* (*1 *1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *6 (-231 (-2946 *3) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-5 *1 (-464 *3 *4 *5 *6 *7 *2)) (-4 *5 (-844)) (-4 *2 (-952 *4 *6 (-854 *3))))) (-3270 (*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *4) (|:| -3190 *5)) (-2 (|:| -1333 *4) (|:| -3190 *5)))) (-4 *2 (-173)) (-5 *1 (-464 *3 *2 *4 *5 *6 *7)) (-4 *4 (-844)) (-4 *7 (-952 *2 *5 (-854 *3))))) (-3263 (*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *6 (-231 (-2946 *3) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-5 *2 (-705 *5 *6 *7)) (-5 *1 (-464 *3 *4 *5 *6 *7 *8)) (-4 *5 (-844)) (-4 *8 (-952 *4 *6 (-854 *3))))) (-3570 (*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-14 *6 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *2)) (-2 (|:| -1333 *5) (|:| -3190 *2)))) (-4 *2 (-231 (-2946 *3) (-765))) (-5 *1 (-464 *3 *4 *5 *2 *6 *7)) (-4 *5 (-844)) (-4 *7 (-952 *4 *2 (-854 *3))))) (-1399 (*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *5)) (-2 (|:| -1333 *2) (|:| -3190 *5)))) (-4 *2 (-844)) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *7 (-952 *4 *5 (-854 *3))))) (-3373 (*1 *1 *1) (-12 (-14 *2 (-635 (-1165))) (-4 *3 (-173)) (-4 *5 (-231 (-2946 *2) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *4) (|:| -3190 *5)) (-2 (|:| -1333 *4) (|:| -3190 *5)))) (-5 *1 (-464 *2 *3 *4 *5 *6 *7)) (-4 *4 (-844)) (-4 *7 (-952 *3 *5 (-854 *2))))) (-3179 (*1 *1 *2 *3) (-12 (-5 *3 (-705 *5 *6 *7)) (-4 *5 (-844)) (-4 *6 (-231 (-2946 *4) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-14 *4 (-635 (-1165))) (-4 *2 (-173)) (-5 *1 (-464 *4 *2 *5 *6 *7 *8)) (-4 *8 (-952 *2 *6 (-854 *4))))) (-4148 (*1 *1 *2) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *5)) (-2 (|:| -1333 *2) (|:| -3190 *5)))) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *2 (-844)) (-4 *7 (-952 *4 *5 (-854 *3))))) (-3160 (*1 *1 *2 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *2 (-173)) (-4 *4 (-231 (-2946 *5) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *3) (|:| -3190 *4)) (-2 (|:| -1333 *3) (|:| -3190 *4)))) (-5 *1 (-464 *5 *2 *3 *4 *6 *7)) (-4 *3 (-844)) (-4 *7 (-952 *2 *4 (-854 *5))))) (-3001 (*1 *1 *2 *3 *1) (-12 (-14 *4 (-635 (-1165))) (-4 *2 (-173)) (-4 *3 (-231 (-2946 *4) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *3)) (-2 (|:| -1333 *5) (|:| -3190 *3)))) (-5 *1 (-464 *4 *2 *5 *3 *6 *7)) (-4 *5 (-844)) (-4 *7 (-952 *2 *3 (-854 *4)))))) 
-(-13 (-709 |#6|) (-709 |#2|) (-10 -8 (-15 -3270 (|#2| $)) (-15 -3263 ((-705 |#3| |#4| |#5|) $)) (-15 -3570 (|#4| $)) (-15 -1399 (|#3| $)) (-15 -3373 ($ $)) (-15 -3179 ($ |#2| (-705 |#3| |#4| |#5|))) (-15 -4148 ($ |#3|)) (-15 -3160 ($ |#2| |#3| |#4|)) (-15 -3001 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) 
-((-1310 (((-121) $ $) NIL)) (-2304 (((-1165) (-635 (-466))) 48)) (-3631 (((-765) (-635 (-466))) 33)) (-3390 (((-121) (-635 (-466))) 39)) (-2729 (((-3 (-919) "arbitrary") (-635 (-466))) 20)) (-2004 (((-3 (-765) "arbitrary") (-635 (-466))) 18)) (-3053 (((-3 (-919) "arbitrary") (-635 (-466))) 32)) (-1579 (((-765) (-635 (-466))) 25)) (-1677 (((-3 (-765) "arbitrary") (-635 (-466))) 16)) (-1426 (((-3 (-765) "arbitrary") (-635 (-466))) 17)) (-3148 (((-3 (-765) "arbitrary") (-635 (-466))) 21)) (-2605 (((-1147) $) NIL)) (-1993 (((-1165) (-635 (-466))) 50)) (-4313 (((-3 (-919) (-121)) (-635 (-466))) 44)) (-1912 (((-1111) $) NIL)) (-4437 (((-1165) (-635 (-466))) 49)) (-1455 (((-121) (-635 (-466))) 51)) (-3093 (((-121) (-635 (-466))) 40)) (-3956 (((-852) $) NIL)) (-3437 (((-1258) (-635 (-466))) 61)) (-1749 (((-121) (-635 (-466))) 38)) (-4370 (((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466))) 37)) (-2971 (((-121) (-635 (-466))) 29)) (-1902 (((-3 (-919) (-121)) (-635 (-466))) 45)) (-1326 (((-121) $ $) NIL))) 
-(((-465) (-13 (-1093) (-10 -7 (-15 -1426 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -2004 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -2729 ((-3 (-919) "arbitrary") (-635 (-466)))) (-15 -3053 ((-3 (-919) "arbitrary") (-635 (-466)))) (-15 -4313 ((-3 (-919) (-121)) (-635 (-466)))) (-15 -1902 ((-3 (-919) (-121)) (-635 (-466)))) (-15 -1677 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -3148 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -1579 ((-765) (-635 (-466)))) (-15 -2971 ((-121) (-635 (-466)))) (-15 -3631 ((-765) (-635 (-466)))) (-15 -4370 ((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466)))) (-15 -1749 ((-121) (-635 (-466)))) (-15 -3390 ((-121) (-635 (-466)))) (-15 -4437 ((-1165) (-635 (-466)))) (-15 -2304 ((-1165) (-635 (-466)))) (-15 -1993 ((-1165) (-635 (-466)))) (-15 -1455 ((-121) (-635 (-466)))) (-15 -3093 ((-121) (-635 (-466)))) (-15 -3437 ((-1258) (-635 (-466))))))) (T -465)) 
-((-1426 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) (-2004 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) (-2729 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-465)))) (-3053 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-465)))) (-4313 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) (-121))) (-5 *1 (-465)))) (-1902 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) (-121))) (-5 *1 (-465)))) (-1677 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) (-3148 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) (-1579 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-765)) (-5 *1 (-465)))) (-2971 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-3631 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-765)) (-5 *1 (-465)))) (-4370 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-465)))) (-1749 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-3390 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-4437 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) (-2304 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) (-1993 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) (-1455 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-3093 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-3437 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1258)) (-5 *1 (-465))))) 
-(-13 (-1093) (-10 -7 (-15 -1426 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -2004 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -2729 ((-3 (-919) "arbitrary") (-635 (-466)))) (-15 -3053 ((-3 (-919) "arbitrary") (-635 (-466)))) (-15 -4313 ((-3 (-919) (-121)) (-635 (-466)))) (-15 -1902 ((-3 (-919) (-121)) (-635 (-466)))) (-15 -1677 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -3148 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -1579 ((-765) (-635 (-466)))) (-15 -2971 ((-121) (-635 (-466)))) (-15 -3631 ((-765) (-635 (-466)))) (-15 -4370 ((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466)))) (-15 -1749 ((-121) (-635 (-466)))) (-15 -3390 ((-121) (-635 (-466)))) (-15 -4437 ((-1165) (-635 (-466)))) (-15 -2304 ((-1165) (-635 (-466)))) (-15 -1993 ((-1165) (-635 (-466)))) (-15 -1455 ((-121) (-635 (-466)))) (-15 -3093 ((-121) (-635 (-466)))) (-15 -3437 ((-1258) (-635 (-466)))))) 
-((-1310 (((-121) $ $) NIL)) (-2304 (($ (-1165)) 49)) (-3631 (($ (-765)) 28)) (-2365 (((-3 (-57) "failed") (-635 $) (-1165)) 61)) (-3390 (($ (-121)) 40)) (-2729 (($ (-3 (-919) "arbitrary")) 15)) (-2004 (($ (-3 (-765) "arbitrary")) 13)) (-3053 (($ (-3 (-919) "arbitrary")) 27)) (-1579 (($ (-765)) 20)) (-1677 (($ (-3 (-765) "arbitrary")) 11)) (-1426 (($ (-3 (-765) "arbitrary")) 12)) (-3148 (($ (-3 (-765) "arbitrary")) 16)) (-2605 (((-1147) $) NIL)) (-1993 (($ (-1165)) 50)) (-4313 (($ (-3 (-919) (-121))) 32)) (-1912 (((-1111) $) NIL)) (-3119 (($ (-635 (-1165))) 48)) (-4437 (($ (-1165)) 44)) (-3153 (($ (-1165)) 51)) (-3093 (($ (-121)) 34)) (-3956 (((-852) $) 56)) (-1749 (($ (-121)) 39)) (-4370 (($ (-3 "skip" "MonteCarlo" "deterministic")) 38)) (-2971 (($ (-121)) 24)) (-1902 (($ (-3 (-919) (-121))) 33)) (-1326 (((-121) $ $) 58))) 
-(((-466) (-13 (-1093) (-10 -8 (-15 -1426 ($ (-3 (-765) "arbitrary"))) (-15 -2004 ($ (-3 (-765) "arbitrary"))) (-15 -2729 ($ (-3 (-919) "arbitrary"))) (-15 -3053 ($ (-3 (-919) "arbitrary"))) (-15 -4313 ($ (-3 (-919) (-121)))) (-15 -1902 ($ (-3 (-919) (-121)))) (-15 -1677 ($ (-3 (-765) "arbitrary"))) (-15 -3148 ($ (-3 (-765) "arbitrary"))) (-15 -1579 ($ (-765))) (-15 -2971 ($ (-121))) (-15 -3631 ($ (-765))) (-15 -4370 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -1749 ($ (-121))) (-15 -3390 ($ (-121))) (-15 -3093 ($ (-121))) (-15 -4437 ($ (-1165))) (-15 -3119 ($ (-635 (-1165)))) (-15 -2304 ($ (-1165))) (-15 -1993 ($ (-1165))) (-15 -3153 ($ (-1165))) (-15 -2365 ((-3 (-57) "failed") (-635 $) (-1165)))))) (T -466)) 
-((-1426 (*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466)))) (-2004 (*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466)))) (-2729 (*1 *1 *2) (-12 (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-466)))) (-3053 (*1 *1 *2) (-12 (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-466)))) (-4313 (*1 *1 *2) (-12 (-5 *2 (-3 (-919) (-121))) (-5 *1 (-466)))) (-1902 (*1 *1 *2) (-12 (-5 *2 (-3 (-919) (-121))) (-5 *1 (-466)))) (-1677 (*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466)))) (-3148 (*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466)))) (-1579 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-466)))) (-2971 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-3631 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-466)))) (-4370 (*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-466)))) (-1749 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-3390 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-3093 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-4437 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466)))) (-3119 (*1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-466)))) (-2304 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466)))) (-1993 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466)))) (-3153 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466)))) (-2365 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-466))) (-5 *4 (-1165)) (-5 *2 (-57)) (-5 *1 (-466))))) 
-(-13 (-1093) (-10 -8 (-15 -1426 ($ (-3 (-765) "arbitrary"))) (-15 -2004 ($ (-3 (-765) "arbitrary"))) (-15 -2729 ($ (-3 (-919) "arbitrary"))) (-15 -3053 ($ (-3 (-919) "arbitrary"))) (-15 -4313 ($ (-3 (-919) (-121)))) (-15 -1902 ($ (-3 (-919) (-121)))) (-15 -1677 ($ (-3 (-765) "arbitrary"))) (-15 -3148 ($ (-3 (-765) "arbitrary"))) (-15 -1579 ($ (-765))) (-15 -2971 ($ (-121))) (-15 -3631 ($ (-765))) (-15 -4370 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -1749 ($ (-121))) (-15 -3390 ($ (-121))) (-15 -3093 ($ (-121))) (-15 -4437 ($ (-1165))) (-15 -3119 ($ (-635 (-1165)))) (-15 -2304 ($ (-1165))) (-15 -1993 ($ (-1165))) (-15 -3153 ($ (-1165))) (-15 -2365 ((-3 (-57) "failed") (-635 $) (-1165))))) 
-((-1854 (((-3 |#5| "failed") |#5| |#2| (-1 |#2|)) 35))) 
-(((-467 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1854 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) (-790) (-844) (-559) (-952 |#3| |#1| |#2|) (-13 (-1039 (-410 (-569))) (-366) (-10 -8 (-15 -3956 ($ |#4|)) (-15 -3515 (|#4| $)) (-15 -3524 (|#4| $))))) (T -467)) 
-((-1854 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-844)) (-4 *5 (-790)) (-4 *6 (-559)) (-4 *7 (-952 *6 *5 *3)) (-5 *1 (-467 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1039 (-410 (-569))) (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
-(-10 -7 (-15 -1854 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) 
-((-3370 ((|#3|) 43)) (-1940 (((-635 |#5|)) 47)) (-2337 (((-635 |#5|) (-635 |#5|)) 129)) (-1818 ((|#3| |#3|) 107)) (-3786 (((-1258)) 106)) (-3768 (((-635 |#5|)) 150 (|has| |#1| (-371)))) (-1559 (((-635 |#7|)) 153 (|has| |#1| (-371)))) (-2847 (((-1258) (-635 (-121))) 120)) (-2778 ((|#5| |#7|) 94)) (-2080 (((-635 |#7|) (-919)) 149 (|has| |#1| (-371)))) (-2921 (((-635 |#7|) |#5|) 92)) (-3362 ((|#6| |#3| |#7|) 97)) (-3088 (((-569) (-919)) 194 (|has| |#1| (-371)))) (-4107 (((-569) (-919) (-919)) 193 (|has| |#1| (-371)))) (-2390 (((-569) (-919)) 176 (|has| |#1| (-371)))) (-3375 (((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|) 69)) (-2966 ((|#8| |#3|) 50)) (-2087 (((-635 |#3|) |#8| (-635 |#3|)) 136)) (-3280 (((-635 |#3|) |#8| (-765)) 65)) (-4209 ((|#3| |#3| (-569)) 40)) (-4289 (((-569)) 74)) (-2196 (((-765)) 73)) (-1560 (((-2 (|:| -4004 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569)) 114)) (-1788 (((-3 |#1| "failed") (-410 |#3|) |#7|) 144) (((-3 |#1| "failed") |#3| |#3| |#7|) 139) (((-3 |#1| "failed") |#3| |#7|) 104)) (-1484 ((|#1| (-410 |#3|) |#7|) 145) ((|#1| |#3| |#3| |#7|) 140) ((|#1| |#3| |#7|) 105)) (-4427 (((-635 |#10|)) 70)) (-3344 (((-635 |#10|)) 45)) (-3552 (((-569)) 204 (|has| |#1| (-371)))) (-2774 ((|#8|) 54)) (-3278 (((-1248 (-569) -4542) (-919)) 155 (|has| |#1| (-371))) (((-1248 (-569) -4542)) 156 (|has| |#1| (-371)))) (-4377 (((-1161 (-569)) (-919)) 158 (|has| |#1| (-371))) (((-1161 (-569))) 196 (|has| |#1| (-371))))) 
-(((-468 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -3786 ((-1258))) (-15 -1818 (|#3| |#3|)) (-15 -4209 (|#3| |#3| (-569))) (-15 -2847 ((-1258) (-635 (-121)))) (-15 -3370 (|#3|)) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -3344 ((-635 |#10|))) (-15 -4427 ((-635 |#10|))) (-15 -2337 ((-635 |#5|) (-635 |#5|))) (-15 -1940 ((-635 |#5|))) (-15 -3362 (|#6| |#3| |#7|)) (-15 -3375 ((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569))) (-15 -3280 ((-635 |#3|) |#8| (-765))) (-15 -2087 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1484 (|#1| |#3| |#7|)) (-15 -1484 (|#1| |#3| |#3| |#7|)) (-15 -1484 (|#1| (-410 |#3|) |#7|)) (-15 -1788 ((-3 |#1| "failed") |#3| |#7|)) (-15 -1788 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -1788 ((-3 |#1| "failed") (-410 |#3|) |#7|)) (-15 -2966 (|#8| |#3|)) (-15 -2774 (|#8|)) (-15 -2921 ((-635 |#7|) |#5|)) (-15 -2778 (|#5| |#7|)) (IF (|has| |#1| (-371)) (PROGN (-15 -1559 ((-635 |#7|))) (-15 -3768 ((-635 |#5|))) (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 |#7|) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -468)) 
-((-3278 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3278 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4107 (*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3088 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2390 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2080 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-635 *10)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3552 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4377 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1161 (-569))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-4377 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1161 (-569))) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3768 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1559 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2778 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-642 *4)) (-4 *3 (-922 *4 *8)) (-4 *9 (-236 *3)) (-4 *10 (-537 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-973 *4)) (-5 *1 (-468 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2921 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *3 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2774 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2966 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-537 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 *6)) (-4 *6 (-952 *2 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *2)) (-4 *9 (-642 *2)) (-4 *4 (-922 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1788 (*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *6 (-952 *2 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *2)) (-4 *9 (-642 *2)) (-4 *4 (-922 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1484 (*1 *2 *3 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1484 (*1 *2 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2087 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3280 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) *4)) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-259 *12)))) (-1560 (*1 *2 *3 *4 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-569)))) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-569)) (-4 *13 (-259 *12)))) (-3375 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-635 *6)) (|:| |den| *6))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3362 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)) (-4 *9 (-236 *4)) (-4 *10 (-537 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-642 *5)) (-5 *1 (-468 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1940 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2337 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-973 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4427 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3344 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4289 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2196 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-765)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3370 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-231 (-2946 *4) (-765))) (-4 *6 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-952 *3 *5 (-854 *4))) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2847 (*1 *2 *3) (-12 (-5 *3 (-635 (-121))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1258)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-4209 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *2 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1818 (*1 *2 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *2 (-952 *3 *5 (-854 *4))) (-4 *5 (-231 (-2946 *4) (-765))) (-4 *6 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-3786 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11))))) 
-(-10 -7 (-15 -3786 ((-1258))) (-15 -1818 (|#3| |#3|)) (-15 -4209 (|#3| |#3| (-569))) (-15 -2847 ((-1258) (-635 (-121)))) (-15 -3370 (|#3|)) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -3344 ((-635 |#10|))) (-15 -4427 ((-635 |#10|))) (-15 -2337 ((-635 |#5|) (-635 |#5|))) (-15 -1940 ((-635 |#5|))) (-15 -3362 (|#6| |#3| |#7|)) (-15 -3375 ((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569))) (-15 -3280 ((-635 |#3|) |#8| (-765))) (-15 -2087 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1484 (|#1| |#3| |#7|)) (-15 -1484 (|#1| |#3| |#3| |#7|)) (-15 -1484 (|#1| (-410 |#3|) |#7|)) (-15 -1788 ((-3 |#1| "failed") |#3| |#7|)) (-15 -1788 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -1788 ((-3 |#1| "failed") (-410 |#3|) |#7|)) (-15 -2966 (|#8| |#3|)) (-15 -2774 (|#8|)) (-15 -2921 ((-635 |#7|) |#5|)) (-15 -2778 (|#5| |#7|)) (IF (|has| |#1| (-371)) (PROGN (-15 -1559 ((-635 |#7|))) (-15 -3768 ((-635 |#5|))) (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 |#7|) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-3195 (((-635 |#3|) $) 41)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) NIL (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-3279 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 47)) (-1321 (($ (-635 |#4|)) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-3503 (($ |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4571)))) (-4303 (((-635 |#4|) $) 18 (|has| $ (-6 -4571)))) (-1473 ((|#3| $) 45)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#4|) $) 14 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 26 (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-2089 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 21)) (-3069 (((-635 |#3|) $) NIL)) (-2107 (((-121) |#3| $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-1912 (((-1111) $) NIL)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 39)) (-4016 (($) 17)) (-2691 (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) 16)) (-4035 (((-542) $) NIL (|has| |#4| (-610 (-542)))) (($ (-635 |#4|)) 49)) (-3124 (($ (-635 |#4|)) 13)) (-2201 (($ $ |#3|) NIL)) (-4081 (($ $ |#3|) NIL)) (-2239 (($ $ |#3|) NIL)) (-3956 (((-852) $) 38) (((-635 |#4|) $) 48)) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 30)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-469 |#1| |#2| |#3| |#4|) (-13 (-979 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4035 ($ (-635 |#4|))) (-6 -4571) (-6 -4572))) (-1049) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -469)) 
-((-4035 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-469 *3 *4 *5 *6))))) 
-(-13 (-979 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4035 ($ (-635 |#4|))) (-6 -4571) (-6 -4572))) 
-((-2407 (($) 11)) (-3297 (($) 13)) (* (($ |#2| $) 15) (($ $ |#2|) 16))) 
-(((-470 |#1| |#2| |#3|) (-10 -8 (-15 -3297 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2407 (|#1|))) (-471 |#2| |#3|) (-173) (-23)) (T -470)) 
-NIL 
-(-10 -8 (-15 -3297 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2407 (|#1|))) 
-((-1310 (((-121) $ $) 7)) (-3003 (((-3 |#1| "failed") $) 23)) (-1321 ((|#1| $) 22)) (-1419 (($ $ $) 20)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2284 ((|#2| $) 18)) (-3956 (((-852) $) 11) (($ |#1|) 24)) (-2407 (($) 17 T CONST)) (-3297 (($) 21 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 14) (($ $ $) 12)) (-1371 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
-(((-471 |#1| |#2|) (-1284) (-173) (-23)) (T -471)) 
-((-3297 (*1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1419 (*1 *1 *1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23))))) 
-(-13 (-476 |t#1| |t#2|) (-1039 |t#1|) (-10 -8 (-15 (-3297) ($) -3575) (-15 -1419 ($ $ $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-476 |#1| |#2|) . T) ((-1039 |#1|) . T) ((-1093) . T)) 
-((-1970 (((-1253 (-1253 (-569))) (-1253 (-1253 (-569))) (-919)) 18)) (-3885 (((-1253 (-1253 (-569))) (-919)) 16))) 
-(((-472) (-10 -7 (-15 -1970 ((-1253 (-1253 (-569))) (-1253 (-1253 (-569))) (-919))) (-15 -3885 ((-1253 (-1253 (-569))) (-919))))) (T -472)) 
-((-3885 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 (-1253 (-569)))) (-5 *1 (-472)))) (-1970 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 (-1253 (-569)))) (-5 *3 (-919)) (-5 *1 (-472))))) 
-(-10 -7 (-15 -1970 ((-1253 (-1253 (-569))) (-1253 (-1253 (-569))) (-919))) (-15 -3885 ((-1253 (-1253 (-569))) (-919)))) 
-((-3313 (((-569) (-569)) 30) (((-569)) 22)) (-1822 (((-569) (-569)) 26) (((-569)) 18)) (-2209 (((-569) (-569)) 28) (((-569)) 20)) (-2389 (((-121) (-121)) 12) (((-121)) 10)) (-3930 (((-121) (-121)) 11) (((-121)) 9)) (-1893 (((-121) (-121)) 24) (((-121)) 15))) 
-(((-473) (-10 -7 (-15 -3930 ((-121))) (-15 -2389 ((-121))) (-15 -3930 ((-121) (-121))) (-15 -2389 ((-121) (-121))) (-15 -1893 ((-121))) (-15 -2209 ((-569))) (-15 -1822 ((-569))) (-15 -3313 ((-569))) (-15 -1893 ((-121) (-121))) (-15 -2209 ((-569) (-569))) (-15 -1822 ((-569) (-569))) (-15 -3313 ((-569) (-569))))) (T -473)) 
-((-3313 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1822 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-2209 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1893 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3313 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1822 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-2209 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1893 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-2389 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3930 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-2389 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3930 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
-(-10 -7 (-15 -3930 ((-121))) (-15 -2389 ((-121))) (-15 -3930 ((-121) (-121))) (-15 -2389 ((-121) (-121))) (-15 -1893 ((-121))) (-15 -2209 ((-569))) (-15 -1822 ((-569))) (-15 -3313 ((-569))) (-15 -1893 ((-121) (-121))) (-15 -2209 ((-569) (-569))) (-15 -1822 ((-569) (-569))) (-15 -3313 ((-569) (-569)))) 
-((-1310 (((-121) $ $) NIL)) (-2175 (((-635 (-382)) $) 27) (((-635 (-382)) $ (-635 (-382))) 90)) (-4335 (((-635 (-1087 (-382))) $) 14) (((-635 (-1087 (-382))) $ (-635 (-1087 (-382)))) 87)) (-2529 (((-635 (-635 (-946 (-216)))) (-635 (-635 (-946 (-216)))) (-635 (-871))) 42)) (-2890 (((-635 (-635 (-946 (-216)))) $) 83)) (-2131 (((-1258) $ (-946 (-216)) (-871)) 103)) (-2023 (($ $) 82) (($ (-635 (-635 (-946 (-216))))) 93) (($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919))) 92) (($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919)) (-635 (-257))) 94)) (-2605 (((-1147) $) NIL)) (-3335 (((-569) $) 65)) (-1912 (((-1111) $) NIL)) (-4092 (($) 91)) (-3739 (((-635 (-216)) (-635 (-635 (-946 (-216))))) 52)) (-2141 (((-1258) $ (-635 (-946 (-216))) (-871) (-871) (-919)) 97) (((-1258) $ (-946 (-216))) 99) (((-1258) $ (-946 (-216)) (-871) (-871) (-919)) 98)) (-3956 (((-852) $) 109) (($ (-635 (-635 (-946 (-216))))) 104)) (-2762 (((-1258) $ (-946 (-216))) 102)) (-1326 (((-121) $ $) NIL))) 
-(((-474) (-13 (-1093) (-10 -8 (-15 -4092 ($)) (-15 -2023 ($ $)) (-15 -2023 ($ (-635 (-635 (-946 (-216)))))) (-15 -2023 ($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919)))) (-15 -2023 ($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919)) (-635 (-257)))) (-15 -2890 ((-635 (-635 (-946 (-216)))) $)) (-15 -3335 ((-569) $)) (-15 -4335 ((-635 (-1087 (-382))) $)) (-15 -4335 ((-635 (-1087 (-382))) $ (-635 (-1087 (-382))))) (-15 -2175 ((-635 (-382)) $)) (-15 -2175 ((-635 (-382)) $ (-635 (-382)))) (-15 -2141 ((-1258) $ (-635 (-946 (-216))) (-871) (-871) (-919))) (-15 -2141 ((-1258) $ (-946 (-216)))) (-15 -2141 ((-1258) $ (-946 (-216)) (-871) (-871) (-919))) (-15 -2762 ((-1258) $ (-946 (-216)))) (-15 -2131 ((-1258) $ (-946 (-216)) (-871))) (-15 -3956 ($ (-635 (-635 (-946 (-216)))))) (-15 -3956 ((-852) $)) (-15 -2529 ((-635 (-635 (-946 (-216)))) (-635 (-635 (-946 (-216)))) (-635 (-871)))) (-15 -3739 ((-635 (-216)) (-635 (-635 (-946 (-216))))))))) (T -474)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-474)))) (-4092 (*1 *1) (-5 *1 (-474))) (-2023 (*1 *1 *1) (-5 *1 (-474))) (-2023 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474)))) (-2023 (*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *4 (-635 (-919))) (-5 *1 (-474)))) (-2023 (*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *4 (-635 (-919))) (-5 *5 (-635 (-257))) (-5 *1 (-474)))) (-2890 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474)))) (-3335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-474)))) (-4335 (*1 *2 *1) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-474)))) (-4335 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-474)))) (-2175 (*1 *2 *1) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) (-2175 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) (-2141 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *2 (-1258)) (-5 *1 (-474)))) (-2141 (*1 *2 *1 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-474)))) (-2141 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-946 (-216))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *2 (-1258)) (-5 *1 (-474)))) (-2762 (*1 *2 *1 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-474)))) (-2131 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-946 (-216))) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-474)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474)))) (-2529 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *1 (-474)))) (-3739 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-635 (-216))) (-5 *1 (-474))))) 
-(-13 (-1093) (-10 -8 (-15 -4092 ($)) (-15 -2023 ($ $)) (-15 -2023 ($ (-635 (-635 (-946 (-216)))))) (-15 -2023 ($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919)))) (-15 -2023 ($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919)) (-635 (-257)))) (-15 -2890 ((-635 (-635 (-946 (-216)))) $)) (-15 -3335 ((-569) $)) (-15 -4335 ((-635 (-1087 (-382))) $)) (-15 -4335 ((-635 (-1087 (-382))) $ (-635 (-1087 (-382))))) (-15 -2175 ((-635 (-382)) $)) (-15 -2175 ((-635 (-382)) $ (-635 (-382)))) (-15 -2141 ((-1258) $ (-635 (-946 (-216))) (-871) (-871) (-919))) (-15 -2141 ((-1258) $ (-946 (-216)))) (-15 -2141 ((-1258) $ (-946 (-216)) (-871) (-871) (-919))) (-15 -2762 ((-1258) $ (-946 (-216)))) (-15 -2131 ((-1258) $ (-946 (-216)) (-871))) (-15 -3956 ($ (-635 (-635 (-946 (-216)))))) (-15 -3956 ((-852) $)) (-15 -2529 ((-635 (-635 (-946 (-216)))) (-635 (-635 (-946 (-216)))) (-635 (-871)))) (-15 -3739 ((-635 (-216)) (-635 (-635 (-946 (-216)))))))) 
-((-1377 (($ $) NIL) (($ $ $) 11))) 
-(((-475 |#1| |#2| |#3|) (-10 -8 (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|))) (-476 |#2| |#3|) (-173) (-23)) (T -475)) 
-NIL 
-(-10 -8 (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2284 ((|#2| $) 18)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 14) (($ $ $) 12)) (-1371 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
-(((-476 |#1| |#2|) (-1284) (-173) (-23)) (T -476)) 
-((-2284 (*1 *2 *1) (-12 (-4 *1 (-476 *3 *2)) (-4 *3 (-173)) (-4 *2 (-23)))) (-2407 (*1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1377 (*1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1371 (*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1377 (*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23))))) 
-(-13 (-1093) (-10 -8 (-15 -2284 (|t#2| $)) (-15 (-2407) ($) -3575) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 -1377 ($ $)) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-2330 (((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-854 |#1|))) 88)) (-3693 (((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|))) 86)) (-4023 (((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|))) 58))) 
-(((-477 |#1| |#2| |#3|) (-10 -7 (-15 -3693 ((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|)))) (-15 -2330 ((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-854 |#1|)))) (-15 -4023 ((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|))))) (-635 (-1165)) (-454) (-454)) (T -477)) 
-((-4023 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-854 *5))) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-2 (|:| |dpolys| (-635 (-243 *5 *6))) (|:| |coords| (-635 (-569))))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454)))) (-2330 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-635 (-854 *4))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-477 *4 *5 *6)) (-4 *6 (-454)))) (-3693 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-854 *5))) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-635 (-635 (-243 *5 *6)))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
-(-10 -7 (-15 -3693 ((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|)))) (-15 -2330 ((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-854 |#1|)))) (-15 -4023 ((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|))))) 
-((-2611 (((-3 $ "failed") $) 11)) (-3980 (($ $ $) 20)) (-2689 (($ $ $) 21)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 14)) (-1383 (($ $ $) 9)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 19))) 
-(((-478 |#1|) (-10 -8 (-15 -2689 (|#1| |#1| |#1|)) (-15 -3980 (|#1| |#1| |#1|)) (-15 -3403 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 -1383 (|#1| |#1| |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -3403 (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-765))) (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) (-479)) (T -478)) 
-NIL 
-(-10 -8 (-15 -2689 (|#1| |#1| |#1|)) (-15 -3980 (|#1| |#1| |#1|)) (-15 -3403 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 -1383 (|#1| |#1| |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -3403 (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-765))) (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) 
-((-1310 (((-121) $ $) 7)) (-4483 (($) 19 T CONST)) (-2611 (((-3 $ "failed") $) 15)) (-3934 (((-121) $) 18)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 26)) (-1912 (((-1111) $) 10)) (-3980 (($ $ $) 22)) (-2689 (($ $ $) 21)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) 12) (($ $ (-765)) 16) (($ $ (-569)) 23)) (-3297 (($) 20 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 25)) (** (($ $ (-919)) 13) (($ $ (-765)) 17) (($ $ (-569)) 24)) (* (($ $ $) 14))) 
-(((-479) (-1284)) (T -479)) 
-((-3243 (*1 *1 *1) (-4 *1 (-479))) (-1383 (*1 *1 *1 *1) (-4 *1 (-479))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) (-3403 (*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) (-3980 (*1 *1 *1 *1) (-4 *1 (-479))) (-2689 (*1 *1 *1 *1) (-4 *1 (-479)))) 
-(-13 (-718) (-10 -8 (-15 -3243 ($ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ (-569))) (-15 -3403 ($ $ (-569))) (-6 -4568) (-15 -3980 ($ $ $)) (-15 -2689 ($ $ $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-718) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 17)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) NIL) (($ $ (-410 (-569))) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-410 (-569))) NIL) (($ $ (-1077) (-410 (-569))) NIL) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 22)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) 26 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 33 (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 27 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) 25 (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 13 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1249 |#2|)) 15)) (-2284 (((-410 (-569)) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1249 |#2|)) NIL) (($ (-1237 |#1| |#2| |#3|)) 9) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 18)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) 24)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 23) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-480 |#1| |#2| |#3|) (-13 (-1233 |#1|) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3956 ($ (-1237 |#1| |#2| |#3|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -480)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-480 *3 *4 *5)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
-(-13 (-1233 |#1|) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3956 ($ (-1237 |#1| |#2| |#3|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) 18)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) 19)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 16)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) NIL)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ |#1|) 13) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-481 |#1| |#2| |#3| |#4|) (-1176 |#1| |#2|) (-1093) (-1093) (-1176 |#1| |#2|) |#2|) (T -481)) 
-NIL 
-(-1176 |#1| |#2|) 
-((-1310 (((-121) $ $) NIL)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) NIL)) (-3202 (((-635 $) (-635 |#4|)) NIL)) (-3195 (((-635 |#3|) $) NIL)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1815 ((|#4| |#4| $) NIL)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) NIL)) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) 26 (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3279 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) NIL)) (-1321 (($ (-635 |#4|)) NIL)) (-1864 (((-3 $ "failed") $) 39)) (-3562 ((|#4| |#4| $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-3503 (($ |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-4417 ((|#4| |#4| $) NIL)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) NIL)) (-4303 (((-635 |#4|) $) 16 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#4|) $) 17 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-2089 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 21)) (-3069 (((-635 |#3|) $) NIL)) (-2107 (((-121) |#3| $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-3302 (((-3 |#4| "failed") $) 37)) (-1536 (((-635 |#4|) $) NIL)) (-2114 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2709 ((|#4| |#4| $) NIL)) (-1861 (((-121) $ $) NIL)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1910 ((|#4| |#4| $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-3 |#4| "failed") $) 35)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4300 (((-3 $ "failed") $ |#4|) 46)) (-3803 (($ $ |#4|) NIL)) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 15)) (-4016 (($) 13)) (-2284 (((-765) $) NIL)) (-2691 (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) 12)) (-4035 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 20)) (-2201 (($ $ |#3|) 42)) (-4081 (($ $ |#3|) 43)) (-2406 (($ $) NIL)) (-2239 (($ $ |#3|) NIL)) (-3956 (((-852) $) 31) (((-635 |#4|) $) 40)) (-1448 (((-765) $) NIL (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) NIL)) (-3345 (((-121) |#3| $) NIL)) (-1326 (((-121) $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-482 |#1| |#2| |#3| |#4|) (-1193 |#1| |#2| |#3| |#4|) (-559) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -482)) 
-NIL 
-(-1193 |#1| |#2| |#3| |#4|) 
-((-4291 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) NIL)) (-1845 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-3929 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL)) (-4468 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL)) (-3769 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL)) (-1756 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-2900 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) NIL)) (-3725 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-3100 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-1777 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-3037 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-4108 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-3571 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) NIL))) 
-(((-483) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (IF (|has| (-53) (-1039 (-1165))) (IF (|has| (-53) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (IF (|has| (-53) (-1039 (-1165))) (IF (|has| (-53) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|))) (T -483)) 
-((-3037 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3929 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3769 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-1845 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3571 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *1 (-483)))) (-4291 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *1 (-483)))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765))))) (-5 *1 (-483)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765))))) (-5 *1 (-483)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3100 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3725 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483))))) 
-(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (IF (|has| (-53) (-1039 (-1165))) (IF (|has| (-53) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (IF (|has| (-53) (-1039 (-1165))) (IF (|has| (-53) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) 
-((-2653 (((-311 (-569)) |#1|) 11))) 
-(((-484 |#1|) (-10 -7 (-15 -2653 ((-311 (-569)) |#1|))) (-13 (-351) (-610 (-569)))) (T -484)) 
-((-2653 (*1 *2 *3) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-484 *3)) (-4 *3 (-13 (-351) (-610 (-569))))))) 
-(-10 -7 (-15 -2653 ((-311 (-569)) |#1|))) 
-((-4291 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) NIL)) (-1845 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-3929 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL)) (-4468 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL)) (-3769 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL)) (-1756 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-2900 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466)))) NIL)) (-3725 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-3100 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-1777 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-3037 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-4108 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-3571 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) NIL))) 
-(((-485 |#1|) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#1| (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#1| (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) (-13 (-351) (-610 (-569)))) (T -485)) 
-((-3037 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *7)))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 *6)) (-4 *6 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *6)))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4))))) 
-(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#1| (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#1| (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) 
-((-4291 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) NIL)) (-1845 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-3929 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-4468 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-3769 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-1756 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-2900 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) NIL)) (-3725 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-3100 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-1777 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-3037 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-4108 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-3571 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) NIL))) 
-(((-486) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1039 (-1165))) (IF (|has| (-569) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1039 (-1165))) (IF (|has| (-569) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|))) (T -486)) 
-((-3037 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3929 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3769 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-1845 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3571 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *1 (-486)))) (-4291 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *1 (-486)))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765))))) (-5 *1 (-486)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765))))) (-5 *1 (-486)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3100 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3725 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486))))) 
-(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1039 (-1165))) (IF (|has| (-569) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1039 (-1165))) (IF (|has| (-569) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) 
-((-4291 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165)) 367 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) 361)) (-1845 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 484 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 477) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 478)) (-3929 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 486 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 483) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 482)) (-4468 (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 475) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 474)) (-3769 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 485 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 480) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 479)) (-1756 (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 471) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 472)) (-2900 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466)))) 463)) (-3725 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 193 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 191) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 190)) (-3100 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 219 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 208) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 207)) (-1777 (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 468) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 469)) (-3037 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 476 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 464) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 465)) (-4108 (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) 509) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165))) 514) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 513) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 512)) (-3571 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165)) 336 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) 326))) 
-(((-487 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3725 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3100 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#2| (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3037 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1777 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1756 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3929 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#2| (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) (-366) (-454) (-13 (-433 (-569)) (-559) (-1039 |#4|) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $)))) (-13 (-844) (-559)) (-1 |#1| |#4|) (-1 |#3| |#1|)) (T -487)) 
-((-3037 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 *3)) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) *3 *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 *3)) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) *3 *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 *9) (|:| -4433 (-765)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-366)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-844) (-559))) (-14 *11 (-1 *7 *10)) (-5 *2 (-635 (-2 (|:| -3659 *9) (|:| -4433 (-765))))) (-5 *1 (-487 *7 *8 *9 *10 *11 *12)) (-4 *8 (-454)) (-4 *9 (-13 (-433 (-569)) (-559) (-1039 *10) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 *8) (|:| -4433 (-765)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 *6)) (-4 *6 (-366)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-844) (-559))) (-14 *10 (-1 *6 *9)) (-5 *2 (-635 (-2 (|:| -3659 *8) (|:| -4433 (-765))))) (-5 *1 (-487 *6 *7 *8 *9 *10 *11)) (-4 *7 (-454)) (-4 *8 (-13 (-433 (-569)) (-559) (-1039 *9) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $)))))))) 
-(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3725 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3100 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#2| (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3037 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1777 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1756 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3929 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#2| (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) 
-((-4291 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) NIL)) (-1845 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-3929 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL)) (-4468 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL)) (-3769 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL)) (-1756 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-2900 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) NIL)) (-3725 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-3100 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-1777 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-3037 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-4108 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-3571 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) NIL))) 
-(((-488) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (IF (|has| (-410 (-955 (-569))) (-1039 (-1165))) (IF (|has| (-955 (-569)) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (IF (|has| (-410 (-955 (-569))) (-1039 (-1165))) (IF (|has| (-955 (-569)) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|))) (T -488)) 
-((-3037 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3929 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3769 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-1845 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3571 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *1 (-488)))) (-4291 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *1 (-488)))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765))))) (-5 *1 (-488)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765))))) (-5 *1 (-488)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3100 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3725 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488))))) 
-(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (IF (|has| (-410 (-955 (-569))) (-1039 (-1165))) (IF (|has| (-955 (-569)) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (IF (|has| (-410 (-955 (-569))) (-1039 (-1165))) (IF (|has| (-955 (-569)) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) 
-((-4291 (((-1 HPSPEC (-635 (-466))) (-1165)) NIL) ((HPSPEC (-635 (-466))) NIL)) (-1845 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-3929 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL)) (-4468 (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL)) (-3769 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL)) (-1756 (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-2900 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466)))) NIL)) (-3725 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-3100 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-1777 (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-3037 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-4108 (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-3571 (((-1 HPSPEC (-635 (-466))) (-1165)) NIL) ((HPSPEC (-635 (-466))) NIL))) 
-(((-489 |#1|) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3571 (HPSPEC (-635 (-466)))) (-15 -4291 (HPSPEC (-635 (-466)))) (-15 -4291 ((-1 HPSPEC (-635 (-466))) (-1165))) (-15 -3571 ((-1 HPSPEC (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)))) (-1165)) (T -489)) 
-((-3037 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1165)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1165)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 (-1165)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-735 *7 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *7 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-736 *7 (-569))))) (-14 *7 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *7 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *7)))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-735 *6 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *6 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-736 *6 (-569))))) (-14 *6 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *6 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *6)))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4))))) 
-(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3571 (HPSPEC (-635 (-466)))) (-15 -4291 (HPSPEC (-635 (-466)))) (-15 -4291 ((-1 HPSPEC (-635 (-466))) (-1165))) (-15 -3571 ((-1 HPSPEC (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-3415 (($) 18)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4035 (((-382) $) 22) (((-216) $) 25) (((-410 (-1161 (-569))) $) 19) (((-542) $) 52)) (-3956 (((-852) $) 50) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (((-216) $) 24) (((-382) $) 21)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 36 T CONST)) (-3297 (($) 11 T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-490) (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))) (-1023) (-609 (-216)) (-609 (-382)) (-610 (-410 (-1161 (-569)))) (-610 (-542)) (-10 -8 (-15 -3415 ($))))) (T -490)) 
-((-3415 (*1 *1) (-5 *1 (-490)))) 
-(-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))) (-1023) (-609 (-216)) (-609 (-382)) (-610 (-410 (-1161 (-569)))) (-610 (-542)) (-10 -8 (-15 -3415 ($)))) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) 16)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) 20)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 18)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) 13)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 19)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 11 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) 15 (|has| $ (-6 -4571))))) 
-(((-491 |#1| |#2| |#3|) (-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) (-1093) (-1093) (-1147)) (T -491)) 
-NIL 
-(-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) 
-((-1715 (((-569) (-569) (-569)) 7)) (-3589 (((-121) (-569) (-569) (-569) (-569)) 11)) (-2109 (((-1253 (-635 (-569))) (-765) (-765)) 22))) 
-(((-492) (-10 -7 (-15 -1715 ((-569) (-569) (-569))) (-15 -3589 ((-121) (-569) (-569) (-569) (-569))) (-15 -2109 ((-1253 (-635 (-569))) (-765) (-765))))) (T -492)) 
-((-2109 (*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1253 (-635 (-569)))) (-5 *1 (-492)))) (-3589 (*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-492)))) (-1715 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-492))))) 
-(-10 -7 (-15 -1715 ((-569) (-569) (-569))) (-15 -3589 ((-121) (-569) (-569) (-569) (-569))) (-15 -2109 ((-1253 (-635 (-569))) (-765) (-765)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-854 |#1|)) $) NIL)) (-3132 (((-1161 $) $ (-854 |#1|)) NIL) (((-1161 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-854 |#1|))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-854 |#1|) "failed") $) NIL)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-854 |#1|) $) NIL)) (-3673 (($ $ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-4474 (($ $ (-635 (-569))) NIL)) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| (-494 (-2946 |#1|) (-765)) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#2|) (-854 |#1|)) NIL) (($ (-1161 $) (-854 |#1|)) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#2| (-494 (-2946 |#1|) (-765))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-854 |#1|)) NIL)) (-4294 (((-494 (-2946 |#1|) (-765)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 (-494 (-2946 |#1|) (-765)) (-494 (-2946 |#1|) (-765))) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3407 (((-3 (-854 |#1|) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-854 |#1|)) (|:| -3190 (-765))) "failed") $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-854 |#1|) |#2|) NIL) (($ $ (-635 (-854 |#1|)) (-635 |#2|)) NIL) (($ $ (-854 |#1|) $) NIL) (($ $ (-635 (-854 |#1|)) (-635 $)) NIL)) (-2925 (($ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2284 (((-494 (-2946 |#1|) (-765)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-854 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-854 |#1|)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-494 (-2946 |#1|) (-765))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-493 |#1| |#2|) (-13 (-952 |#2| (-494 (-2946 |#1|) (-765)) (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) (-635 (-1165)) (-1049)) (T -493)) 
-((-4474 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-493 *3 *4)) (-14 *3 (-635 (-1165))) (-4 *4 (-1049))))) 
-(-13 (-952 |#2| (-494 (-2946 |#1|) (-765)) (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) 
-((-1310 (((-121) $ $) NIL (|has| |#2| (-1093)))) (-2225 (((-121) $) NIL (|has| |#2| (-138)))) (-4148 (($ (-919)) NIL (|has| |#2| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) NIL (|has| |#2| (-790)))) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#2| (-138)))) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#2| (-371)))) (-3817 (((-569) $) NIL (|has| |#2| (-842)))) (-2511 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1093)))) (-1321 (((-569) $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) ((|#2| $) NIL (|has| |#2| (-1093)))) (-3435 (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL (|has| |#2| (-1049))) (((-681 |#2|) (-681 $)) NIL (|has| |#2| (-1049)))) (-2611 (((-3 $ "failed") $) NIL (|has| |#2| (-718)))) (-3341 (($) NIL (|has| |#2| (-371)))) (-3982 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ (-569)) 11)) (-1863 (((-121) $) NIL (|has| |#2| (-842)))) (-4303 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (|has| |#2| (-718)))) (-4311 (((-121) $) NIL (|has| |#2| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-4457 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-2089 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#2| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#2| (-1093)))) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#2| (-371)))) (-1912 (((-1111) $) NIL (|has| |#2| (-1093)))) (-1816 ((|#2| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL)) (-4510 ((|#2| $ $) NIL (|has| |#2| (-1049)))) (-3161 (($ (-1253 |#2|)) NIL)) (-2174 (((-140)) NIL (|has| |#2| (-366)))) (-3289 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-2691 (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#2|) $) NIL) (((-852) $) NIL (|has| |#2| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (|has| |#2| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (($ |#2|) NIL (|has| |#2| (-1093)))) (-2320 (((-765)) NIL (|has| |#2| (-1049)))) (-3776 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#2| (-842)))) (-3403 (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (-2407 (($) NIL (|has| |#2| (-138)) CONST)) (-3297 (($) NIL (|has| |#2| (-718)) CONST)) (-3712 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1326 (((-121) $ $) NIL (|has| |#2| (-1093)))) (-1349 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1337 (((-121) $ $) 15 (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $ $) NIL (|has| |#2| (-1049))) (($ $) NIL (|has| |#2| (-1049)))) (-1371 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (* (($ (-569) $) NIL (|has| |#2| (-1049))) (($ $ $) NIL (|has| |#2| (-718))) (($ $ |#2|) NIL (|has| |#2| (-1049))) (($ |#2| $) NIL (|has| |#2| (-1049))) (($ (-765) $) NIL (|has| |#2| (-138))) (($ (-919) $) NIL (|has| |#2| (-25)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-494 |#1| |#2|) (-231 |#1| |#2|) (-765) (-790)) (T -494)) 
+((-3200 (((-121) (-637 (-958 |#1|))) 31)) (-3095 (((-637 (-958 |#1|)) (-637 (-958 |#1|))) 42)) (-2023 (((-3 (-637 (-958 |#1|)) "failed") (-637 (-958 |#1|))) 38))) 
+(((-364 |#1| |#2|) (-10 -7 (-15 -3200 ((-121) (-637 (-958 |#1|)))) (-15 -2023 ((-3 (-637 (-958 |#1|)) "failed") (-637 (-958 |#1|)))) (-15 -3095 ((-637 (-958 |#1|)) (-637 (-958 |#1|))))) (-456) (-637 (-1169))) (T -364)) 
+((-3095 (*1 *2 *2) (-12 (-5 *2 (-637 (-958 *3))) (-4 *3 (-456)) (-5 *1 (-364 *3 *4)) (-14 *4 (-637 (-1169))))) (-2023 (*1 *2 *2) (|partial| -12 (-5 *2 (-637 (-958 *3))) (-4 *3 (-456)) (-5 *1 (-364 *3 *4)) (-14 *4 (-637 (-1169))))) (-3200 (*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-456)) (-5 *2 (-121)) (-5 *1 (-364 *4 *5)) (-14 *5 (-637 (-1169)))))) 
+(-10 -7 (-15 -3200 ((-121) (-637 (-958 |#1|)))) (-15 -2023 ((-3 (-637 (-958 |#1|)) "failed") (-637 (-958 |#1|)))) (-15 -3095 ((-637 (-958 |#1|)) (-637 (-958 |#1|))))) 
+((-2234 (((-121) $ $) NIL)) (-4407 (((-768) $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) 14)) (-2408 ((|#1| $ (-571)) NIL)) (-2018 (((-571) $ (-571)) NIL)) (-1750 (($ (-1 |#1| |#1|) $) 32)) (-1598 (($ (-1 (-571) (-571)) $) 24)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 26)) (-2580 (((-1115) $) NIL)) (-2842 (((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-571)))) $) 28)) (-2911 (($ $ $) NIL)) (-2212 (($ $ $) NIL)) (-3942 (((-855) $) 38) (($ |#1|) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-3222 (($) 9 T CONST)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL) (($ |#1| (-571)) 17)) (* (($ $ $) 43) (($ |#1| $) 21) (($ $ |#1|) 19))) 
+(((-365 |#1|) (-13 (-481) (-1043 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-571))) (-15 -4407 ((-768) $)) (-15 -2018 ((-571) $ (-571))) (-15 -2408 (|#1| $ (-571))) (-15 -1598 ($ (-1 (-571) (-571)) $)) (-15 -1750 ($ (-1 |#1| |#1|) $)) (-15 -2842 ((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-571)))) $)))) (-1097)) (T -365)) 
+((* (*1 *1 *2 *1) (-12 (-5 *1 (-365 *2)) (-4 *2 (-1097)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-365 *2)) (-4 *2 (-1097)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-365 *2)) (-4 *2 (-1097)))) (-4407 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-365 *3)) (-4 *3 (-1097)))) (-2018 (*1 *2 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-365 *3)) (-4 *3 (-1097)))) (-2408 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-365 *2)) (-4 *2 (-1097)))) (-1598 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-571) (-571))) (-5 *1 (-365 *3)) (-4 *3 (-1097)))) (-1750 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-365 *3)))) (-2842 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 (-571))))) (-5 *1 (-365 *3)) (-4 *3 (-1097))))) 
+(-13 (-481) (-1043 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-571))) (-15 -4407 ((-768) $)) (-15 -2018 ((-571) $ (-571))) (-15 -2408 (|#1| $ (-571))) (-15 -1598 ($ (-1 (-571) (-571)) $)) (-15 -1750 ($ (-1 |#1| |#1|) $)) (-15 -2842 ((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-571)))) $)))) 
+((-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 13)) (-1415 (($ $) 14)) (-4151 (((-423 $) $) 29)) (-1596 (((-121) $) 25)) (-4315 (($ $) 18)) (-3026 (($ $ $) 22) (($ (-637 $)) NIL)) (-4262 (((-423 $) $) 30)) (-1786 (((-3 $ "failed") $ $) 21)) (-1826 (((-768) $) 24)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 34)) (-1388 (((-121) $ $) 15)) (-1379 (($ $ $) 32))) 
+(((-366 |#1|) (-10 -8 (-15 -1379 (|#1| |#1| |#1|)) (-15 -4315 (|#1| |#1|)) (-15 -1596 ((-121) |#1|)) (-15 -4151 ((-423 |#1|) |#1|)) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -3221 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -1826 ((-768) |#1|)) (-15 -3026 (|#1| (-637 |#1|))) (-15 -3026 (|#1| |#1| |#1|)) (-15 -1388 ((-121) |#1| |#1|)) (-15 -1415 (|#1| |#1|)) (-15 -3648 ((-2 (|:| -3691 |#1|) (|:| -4587 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#1|))) (-367)) (T -366)) 
+NIL 
+(-10 -8 (-15 -1379 (|#1| |#1| |#1|)) (-15 -4315 (|#1| |#1|)) (-15 -1596 ((-121) |#1|)) (-15 -4151 ((-423 |#1|) |#1|)) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -3221 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -1826 ((-768) |#1|)) (-15 -3026 (|#1| (-637 |#1|))) (-15 -3026 (|#1| |#1| |#1|)) (-15 -1388 ((-121) |#1| |#1|)) (-15 -1415 (|#1| |#1|)) (-15 -3648 ((-2 (|:| -3691 |#1|) (|:| -4587 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1295 (((-121) $ $) 57)) (-2269 (($) 16 T CONST)) (-2162 (($ $ $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1596 (((-121) $) 69)) (-2583 (((-121) $) 30)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64))) 
+(((-367) (-1289)) (T -367)) 
+((-1379 (*1 *1 *1 *1) (-4 *1 (-367)))) 
+(-13 (-302) (-1213) (-239) (-10 -8 (-15 -1379 ($ $ $)) (-6 -4598) (-6 -4592))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-1059 (-412 (-571))) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T)) 
+((-2234 (((-121) $ $) 7)) (-2155 ((|#2| $ |#2|) 13)) (-1539 (($ $ (-1151)) 18)) (-3043 ((|#2| $) 14)) (-3545 (($ |#1|) 20) (($ |#1| (-1151)) 19)) (-3159 ((|#1| $) 16)) (-3944 (((-1151) $) 9)) (-2072 (((-1151) $) 15)) (-2580 (((-1115) $) 10)) (-1646 (((-1263) $) 12)) (-3942 (((-855) $) 11)) (-3537 (($ $) 17)) (-1323 (((-121) $ $) 6))) 
+(((-368 |#1| |#2|) (-1289) (-1097) (-1097)) (T -368)) 
+((-3545 (*1 *1 *2) (-12 (-4 *1 (-368 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) (-3545 (*1 *1 *2 *3) (-12 (-5 *3 (-1151)) (-4 *1 (-368 *2 *4)) (-4 *2 (-1097)) (-4 *4 (-1097)))) (-1539 (*1 *1 *1 *2) (-12 (-5 *2 (-1151)) (-4 *1 (-368 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) (-3537 (*1 *1 *1) (-12 (-4 *1 (-368 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) (-3159 (*1 *2 *1) (-12 (-4 *1 (-368 *2 *3)) (-4 *3 (-1097)) (-4 *2 (-1097)))) (-2072 (*1 *2 *1) (-12 (-4 *1 (-368 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-5 *2 (-1151)))) (-3043 (*1 *2 *1) (-12 (-4 *1 (-368 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097)))) (-2155 (*1 *2 *1 *2) (-12 (-4 *1 (-368 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097)))) (-1646 (*1 *2 *1) (-12 (-4 *1 (-368 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-5 *2 (-1263))))) 
+(-13 (-1097) (-10 -8 (-15 -3545 ($ |t#1|)) (-15 -3545 ($ |t#1| (-1151))) (-15 -1539 ($ $ (-1151))) (-15 -3537 ($ $)) (-15 -3159 (|t#1| $)) (-15 -2072 ((-1151) $)) (-15 -3043 (|t#2| $)) (-15 -2155 (|t#2| $ |t#2|)) (-15 -1646 ((-1263) $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-2155 ((|#1| $ |#1|) 29)) (-1539 (($ $ (-1151)) 22)) (-1594 (((-3 |#1| "failed") $) 28)) (-3043 ((|#1| $) 26)) (-3545 (($ (-393)) 21) (($ (-393) (-1151)) 20)) (-3159 (((-393) $) 24)) (-3944 (((-1151) $) NIL)) (-2072 (((-1151) $) 25)) (-2580 (((-1115) $) NIL)) (-1646 (((-1263) $) 31)) (-3942 (((-855) $) 19)) (-3537 (($ $) 23)) (-1323 (((-121) $ $) 18))) 
+(((-369 |#1|) (-13 (-368 (-393) |#1|) (-10 -8 (-15 -1594 ((-3 |#1| "failed") $)))) (-1097)) (T -369)) 
+((-1594 (*1 *2 *1) (|partial| -12 (-5 *1 (-369 *2)) (-4 *2 (-1097))))) 
+(-13 (-368 (-393) |#1|) (-10 -8 (-15 -1594 ((-3 |#1| "failed") $)))) 
+((-3247 (((-1258 (-684 |#2|)) (-1258 $)) 62)) (-4560 (((-684 |#2|) (-1258 $)) 120)) (-2110 ((|#2| $) 32)) (-3583 (((-684 |#2|) $ (-1258 $)) 124)) (-4555 (((-3 $ "failed") $) 76)) (-4463 ((|#2| $) 35)) (-4051 (((-1165 |#2|) $) 84)) (-2630 ((|#2| (-1258 $)) 107)) (-2015 (((-1165 |#2|) $) 28)) (-2249 (((-121)) 101)) (-3456 (($ (-1258 |#2|) (-1258 $)) 114)) (-3978 (((-3 $ "failed") $) 80)) (-3981 (((-121)) 96)) (-1896 (((-121)) 91)) (-1626 (((-121)) 54)) (-3945 (((-684 |#2|) (-1258 $)) 118)) (-4456 ((|#2| $) 31)) (-3344 (((-684 |#2|) $ (-1258 $)) 123)) (-3151 (((-3 $ "failed") $) 74)) (-3829 ((|#2| $) 34)) (-1759 (((-1165 |#2|) $) 83)) (-1474 ((|#2| (-1258 $)) 105)) (-1459 (((-1165 |#2|) $) 26)) (-4465 (((-121)) 100)) (-4323 (((-121)) 93)) (-4499 (((-121)) 52)) (-2926 (((-121)) 88)) (-1849 (((-121)) 102)) (-3723 (((-1258 |#2|) $ (-1258 $)) NIL) (((-684 |#2|) (-1258 $) (-1258 $)) 112)) (-3154 (((-121)) 98)) (-4071 (((-637 (-1258 |#2|))) 87)) (-3904 (((-121)) 99)) (-2742 (((-121)) 97)) (-2740 (((-121)) 46)) (-1582 (((-121)) 103))) 
+(((-370 |#1| |#2|) (-10 -8 (-15 -4051 ((-1165 |#2|) |#1|)) (-15 -1759 ((-1165 |#2|) |#1|)) (-15 -4071 ((-637 (-1258 |#2|)))) (-15 -4555 ((-3 |#1| "failed") |#1|)) (-15 -3151 ((-3 |#1| "failed") |#1|)) (-15 -3978 ((-3 |#1| "failed") |#1|)) (-15 -1896 ((-121))) (-15 -4323 ((-121))) (-15 -3981 ((-121))) (-15 -4499 ((-121))) (-15 -1626 ((-121))) (-15 -2926 ((-121))) (-15 -1582 ((-121))) (-15 -1849 ((-121))) (-15 -2249 ((-121))) (-15 -4465 ((-121))) (-15 -2740 ((-121))) (-15 -3904 ((-121))) (-15 -2742 ((-121))) (-15 -3154 ((-121))) (-15 -2015 ((-1165 |#2|) |#1|)) (-15 -1459 ((-1165 |#2|) |#1|)) (-15 -4560 ((-684 |#2|) (-1258 |#1|))) (-15 -3945 ((-684 |#2|) (-1258 |#1|))) (-15 -2630 (|#2| (-1258 |#1|))) (-15 -1474 (|#2| (-1258 |#1|))) (-15 -3456 (|#1| (-1258 |#2|) (-1258 |#1|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1| (-1258 |#1|))) (-15 -4463 (|#2| |#1|)) (-15 -3829 (|#2| |#1|)) (-15 -2110 (|#2| |#1|)) (-15 -4456 (|#2| |#1|)) (-15 -3583 ((-684 |#2|) |#1| (-1258 |#1|))) (-15 -3344 ((-684 |#2|) |#1| (-1258 |#1|))) (-15 -3247 ((-1258 (-684 |#2|)) (-1258 |#1|)))) (-371 |#2|) (-173)) (T -370)) 
+((-3154 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-2742 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-3904 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-2740 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-4465 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-2249 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-1849 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-1582 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-2926 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-1626 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-4499 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-3981 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-4323 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-1896 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) (-4071 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-637 (-1258 *4))) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4))))) 
+(-10 -8 (-15 -4051 ((-1165 |#2|) |#1|)) (-15 -1759 ((-1165 |#2|) |#1|)) (-15 -4071 ((-637 (-1258 |#2|)))) (-15 -4555 ((-3 |#1| "failed") |#1|)) (-15 -3151 ((-3 |#1| "failed") |#1|)) (-15 -3978 ((-3 |#1| "failed") |#1|)) (-15 -1896 ((-121))) (-15 -4323 ((-121))) (-15 -3981 ((-121))) (-15 -4499 ((-121))) (-15 -1626 ((-121))) (-15 -2926 ((-121))) (-15 -1582 ((-121))) (-15 -1849 ((-121))) (-15 -2249 ((-121))) (-15 -4465 ((-121))) (-15 -2740 ((-121))) (-15 -3904 ((-121))) (-15 -2742 ((-121))) (-15 -3154 ((-121))) (-15 -2015 ((-1165 |#2|) |#1|)) (-15 -1459 ((-1165 |#2|) |#1|)) (-15 -4560 ((-684 |#2|) (-1258 |#1|))) (-15 -3945 ((-684 |#2|) (-1258 |#1|))) (-15 -2630 (|#2| (-1258 |#1|))) (-15 -1474 (|#2| (-1258 |#1|))) (-15 -3456 (|#1| (-1258 |#2|) (-1258 |#1|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1| (-1258 |#1|))) (-15 -4463 (|#2| |#1|)) (-15 -3829 (|#2| |#1|)) (-15 -2110 (|#2| |#1|)) (-15 -4456 (|#2| |#1|)) (-15 -3583 ((-684 |#2|) |#1| (-1258 |#1|))) (-15 -3344 ((-684 |#2|) |#1| (-1258 |#1|))) (-15 -3247 ((-1258 (-684 |#2|)) (-1258 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3691 (((-3 $ "failed")) 35 (|has| |#1| (-561)))) (-4176 (((-3 $ "failed") $ $) 18)) (-3247 (((-1258 (-684 |#1|)) (-1258 $)) 76)) (-2664 (((-1258 $)) 79)) (-2269 (($) 16 T CONST)) (-4094 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) 38 (|has| |#1| (-561)))) (-2655 (((-3 $ "failed")) 36 (|has| |#1| (-561)))) (-4560 (((-684 |#1|) (-1258 $)) 63)) (-2110 ((|#1| $) 72)) (-3583 (((-684 |#1|) $ (-1258 $)) 74)) (-4555 (((-3 $ "failed") $) 43 (|has| |#1| (-561)))) (-3116 (($ $ (-922)) 27)) (-4463 ((|#1| $) 70)) (-4051 (((-1165 |#1|) $) 40 (|has| |#1| (-561)))) (-2630 ((|#1| (-1258 $)) 65)) (-2015 (((-1165 |#1|) $) 61)) (-2249 (((-121)) 55)) (-3456 (($ (-1258 |#1|) (-1258 $)) 67)) (-3978 (((-3 $ "failed") $) 45 (|has| |#1| (-561)))) (-3241 (((-922)) 78)) (-2232 (((-121)) 52)) (-1869 (($ $ (-922)) 32)) (-3981 (((-121)) 48)) (-1896 (((-121)) 46)) (-1626 (((-121)) 50)) (-1697 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) 39 (|has| |#1| (-561)))) (-3150 (((-3 $ "failed")) 37 (|has| |#1| (-561)))) (-3945 (((-684 |#1|) (-1258 $)) 64)) (-4456 ((|#1| $) 73)) (-3344 (((-684 |#1|) $ (-1258 $)) 75)) (-3151 (((-3 $ "failed") $) 44 (|has| |#1| (-561)))) (-4406 (($ $ (-922)) 28)) (-3829 ((|#1| $) 71)) (-1759 (((-1165 |#1|) $) 41 (|has| |#1| (-561)))) (-1474 ((|#1| (-1258 $)) 66)) (-1459 (((-1165 |#1|) $) 62)) (-4465 (((-121)) 56)) (-3944 (((-1151) $) 9)) (-4323 (((-121)) 47)) (-4499 (((-121)) 49)) (-2926 (((-121)) 51)) (-2580 (((-1115) $) 10)) (-1849 (((-121)) 54)) (-3723 (((-1258 |#1|) $ (-1258 $)) 69) (((-684 |#1|) (-1258 $) (-1258 $)) 68)) (-2962 (((-637 (-958 |#1|)) (-1258 $)) 77)) (-2212 (($ $ $) 24)) (-3154 (((-121)) 60)) (-3942 (((-855) $) 11)) (-4071 (((-637 (-1258 |#1|))) 42 (|has| |#1| (-561)))) (-3100 (($ $ $ $) 25)) (-3904 (((-121)) 58)) (-2493 (($ $ $) 23)) (-2742 (((-121)) 59)) (-2740 (((-121)) 57)) (-1582 (((-121)) 53)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 29)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((-371 |#1|) (-1289) (-173)) (T -371)) 
+((-2664 (*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1258 *1)) (-4 *1 (-371 *3)))) (-3241 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-922)))) (-2962 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-637 (-958 *4))))) (-3247 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-1258 (-684 *4))))) (-3344 (*1 *2 *1 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) (-3583 (*1 *2 *1 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) (-4456 (*1 *2 *1) (-12 (-4 *1 (-371 *2)) (-4 *2 (-173)))) (-2110 (*1 *2 *1) (-12 (-4 *1 (-371 *2)) (-4 *2 (-173)))) (-3829 (*1 *2 *1) (-12 (-4 *1 (-371 *2)) (-4 *2 (-173)))) (-4463 (*1 *2 *1) (-12 (-4 *1 (-371 *2)) (-4 *2 (-173)))) (-3723 (*1 *2 *1 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-1258 *4)))) (-3723 (*1 *2 *3 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) (-3456 (*1 *1 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-1258 *1)) (-4 *4 (-173)) (-4 *1 (-371 *4)))) (-1474 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *2)) (-4 *2 (-173)))) (-2630 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *2)) (-4 *2 (-173)))) (-3945 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) (-4560 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) (-1459 (*1 *2 *1) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-1165 *3)))) (-2015 (*1 *2 *1) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-1165 *3)))) (-3154 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2742 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3904 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2740 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4465 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2249 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1849 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1582 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2232 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2926 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1626 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4499 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3981 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4323 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1896 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3978 (*1 *1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-173)) (-4 *2 (-561)))) (-3151 (*1 *1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-173)) (-4 *2 (-561)))) (-4555 (*1 *1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-173)) (-4 *2 (-561)))) (-4071 (*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-4 *3 (-561)) (-5 *2 (-637 (-1258 *3))))) (-1759 (*1 *2 *1) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-4 *3 (-561)) (-5 *2 (-1165 *3)))) (-4051 (*1 *2 *1) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-4 *3 (-561)) (-5 *2 (-1165 *3)))) (-1697 (*1 *2) (|partial| -12 (-4 *3 (-561)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -1899 (-637 *1)))) (-4 *1 (-371 *3)))) (-4094 (*1 *2) (|partial| -12 (-4 *3 (-561)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -1899 (-637 *1)))) (-4 *1 (-371 *3)))) (-3150 (*1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-561)) (-4 *2 (-173)))) (-2655 (*1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-561)) (-4 *2 (-173)))) (-3691 (*1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-561)) (-4 *2 (-173))))) 
+(-13 (-741 |t#1|) (-10 -8 (-15 -2664 ((-1258 $))) (-15 -3241 ((-922))) (-15 -2962 ((-637 (-958 |t#1|)) (-1258 $))) (-15 -3247 ((-1258 (-684 |t#1|)) (-1258 $))) (-15 -3344 ((-684 |t#1|) $ (-1258 $))) (-15 -3583 ((-684 |t#1|) $ (-1258 $))) (-15 -4456 (|t#1| $)) (-15 -2110 (|t#1| $)) (-15 -3829 (|t#1| $)) (-15 -4463 (|t#1| $)) (-15 -3723 ((-1258 |t#1|) $ (-1258 $))) (-15 -3723 ((-684 |t#1|) (-1258 $) (-1258 $))) (-15 -3456 ($ (-1258 |t#1|) (-1258 $))) (-15 -1474 (|t#1| (-1258 $))) (-15 -2630 (|t#1| (-1258 $))) (-15 -3945 ((-684 |t#1|) (-1258 $))) (-15 -4560 ((-684 |t#1|) (-1258 $))) (-15 -1459 ((-1165 |t#1|) $)) (-15 -2015 ((-1165 |t#1|) $)) (-15 -3154 ((-121))) (-15 -2742 ((-121))) (-15 -3904 ((-121))) (-15 -2740 ((-121))) (-15 -4465 ((-121))) (-15 -2249 ((-121))) (-15 -1849 ((-121))) (-15 -1582 ((-121))) (-15 -2232 ((-121))) (-15 -2926 ((-121))) (-15 -1626 ((-121))) (-15 -4499 ((-121))) (-15 -3981 ((-121))) (-15 -4323 ((-121))) (-15 -1896 ((-121))) (IF (|has| |t#1| (-561)) (PROGN (-15 -3978 ((-3 $ "failed") $)) (-15 -3151 ((-3 $ "failed") $)) (-15 -4555 ((-3 $ "failed") $)) (-15 -4071 ((-637 (-1258 |t#1|)))) (-15 -1759 ((-1165 |t#1|) $)) (-15 -4051 ((-1165 |t#1|) $)) (-15 -1697 ((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed"))) (-15 -4094 ((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed"))) (-15 -3150 ((-3 $ "failed"))) (-15 -2655 ((-3 $ "failed"))) (-15 -3691 ((-3 $ "failed"))) (-6 -4597)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-712 |#1|) . T) ((-715) . T) ((-741 |#1|) . T) ((-758) . T) ((-1059 |#1|) . T) ((-1097) . T)) 
+((-3254 (($) 13)) (-3804 (((-637 $)) 15))) 
+(((-372 |#1|) (-10 -8 (-15 -3804 ((-637 |#1|))) (-15 -3254 (|#1|))) (-373)) (T -372)) 
+NIL 
+(-10 -8 (-15 -3804 ((-637 |#1|))) (-15 -3254 (|#1|))) 
+((-2234 (((-121) $ $) 7)) (-4407 (((-768)) 16)) (-3254 (($) 13)) (-4470 (((-922) $) 14)) (-3944 (((-1151) $) 9)) (-1755 (($ (-922)) 15)) (-2580 (((-1115) $) 10)) (-3804 (((-637 $)) 12)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6))) 
+(((-373) (-1289)) (T -373)) 
+((-4407 (*1 *2) (-12 (-4 *1 (-373)) (-5 *2 (-768)))) (-1755 (*1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-373)))) (-4470 (*1 *2 *1) (-12 (-4 *1 (-373)) (-5 *2 (-922)))) (-3254 (*1 *1) (-4 *1 (-373))) (-3804 (*1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-373))))) 
+(-13 (-1097) (-10 -8 (-15 -4407 ((-768))) (-15 -1755 ($ (-922))) (-15 -4470 ((-922) $)) (-15 -3254 ($)) (-15 -3804 ((-637 $))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2076 (((-684 |#2|) (-1258 $)) 40)) (-3456 (($ (-1258 |#2|) (-1258 $)) 35)) (-3962 (((-684 |#2|) $ (-1258 $)) 43)) (-1475 ((|#2| (-1258 $)) 13)) (-3723 (((-1258 |#2|) $ (-1258 $)) NIL) (((-684 |#2|) (-1258 $) (-1258 $)) 25))) 
+(((-374 |#1| |#2| |#3|) (-10 -8 (-15 -2076 ((-684 |#2|) (-1258 |#1|))) (-15 -1475 (|#2| (-1258 |#1|))) (-15 -3456 (|#1| (-1258 |#2|) (-1258 |#1|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1| (-1258 |#1|))) (-15 -3962 ((-684 |#2|) |#1| (-1258 |#1|)))) (-375 |#2| |#3|) (-173) (-1233 |#2|)) (T -374)) 
+NIL 
+(-10 -8 (-15 -2076 ((-684 |#2|) (-1258 |#1|))) (-15 -1475 (|#2| (-1258 |#1|))) (-15 -3456 (|#1| (-1258 |#2|) (-1258 |#1|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1| (-1258 |#1|))) (-15 -3962 ((-684 |#2|) |#1| (-1258 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-2076 (((-684 |#1|) (-1258 $)) 44)) (-3490 ((|#1| $) 50)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3456 (($ (-1258 |#1|) (-1258 $)) 46)) (-3962 (((-684 |#1|) $ (-1258 $)) 51)) (-3978 (((-3 $ "failed") $) 33)) (-3241 (((-922)) 52)) (-2583 (((-121) $) 30)) (-3477 ((|#1| $) 49)) (-4400 ((|#2| $) 42 (|has| |#1| (-367)))) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1475 ((|#1| (-1258 $)) 45)) (-3723 (((-1258 |#1|) $ (-1258 $)) 48) (((-684 |#1|) (-1258 $) (-1258 $)) 47)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 36)) (-2346 (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-3393 ((|#2| $) 43)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-375 |#1| |#2|) (-1289) (-173) (-1233 |t#1|)) (T -375)) 
+((-3241 (*1 *2) (-12 (-4 *1 (-375 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-922)))) (-3962 (*1 *2 *1 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-375 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-684 *4)))) (-3490 (*1 *2 *1) (-12 (-4 *1 (-375 *2 *3)) (-4 *3 (-1233 *2)) (-4 *2 (-173)))) (-3477 (*1 *2 *1) (-12 (-4 *1 (-375 *2 *3)) (-4 *3 (-1233 *2)) (-4 *2 (-173)))) (-3723 (*1 *2 *1 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-375 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-1258 *4)))) (-3723 (*1 *2 *3 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-375 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-684 *4)))) (-3456 (*1 *1 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-1258 *1)) (-4 *4 (-173)) (-4 *1 (-375 *4 *5)) (-4 *5 (-1233 *4)))) (-1475 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-375 *2 *4)) (-4 *4 (-1233 *2)) (-4 *2 (-173)))) (-2076 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-375 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-684 *4)))) (-3393 (*1 *2 *1) (-12 (-4 *1 (-375 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1233 *3)))) (-4400 (*1 *2 *1) (-12 (-4 *1 (-375 *3 *2)) (-4 *3 (-173)) (-4 *3 (-367)) (-4 *2 (-1233 *3))))) 
+(-13 (-43 |t#1|) (-10 -8 (-15 -3241 ((-922))) (-15 -3962 ((-684 |t#1|) $ (-1258 $))) (-15 -3490 (|t#1| $)) (-15 -3477 (|t#1| $)) (-15 -3723 ((-1258 |t#1|) $ (-1258 $))) (-15 -3723 ((-684 |t#1|) (-1258 $) (-1258 $))) (-15 -3456 ($ (-1258 |t#1|) (-1258 $))) (-15 -1475 (|t#1| (-1258 $))) (-15 -2076 ((-684 |t#1|) (-1258 $))) (-15 -3393 (|t#2| $)) (IF (|has| |t#1| (-367)) (-15 -4400 (|t#2| $)) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-712 |#1|) . T) ((-721) . T) ((-1059 |#1|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2094 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 23)) (-3074 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 15)) (-3799 ((|#4| (-1 |#3| |#1|) |#2|) 21))) 
+(((-376 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3799 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3074 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2094 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1203) (-378 |#1|) (-1203) (-378 |#3|)) (T -376)) 
+((-2094 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1203)) (-4 *5 (-1203)) (-4 *2 (-378 *5)) (-5 *1 (-376 *6 *4 *5 *2)) (-4 *4 (-378 *6)))) (-3074 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-376 *5 *4 *2 *6)) (-4 *4 (-378 *5)) (-4 *6 (-378 *2)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-4 *2 (-378 *6)) (-5 *1 (-376 *5 *4 *6 *2)) (-4 *4 (-378 *5))))) 
+(-10 -7 (-15 -3799 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3074 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2094 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
+((-2648 (((-121) (-1 (-121) |#2| |#2|) $) NIL) (((-121) $) 18)) (-3652 (($ (-1 (-121) |#2| |#2|) $) NIL) (($ $) 28)) (-2972 (($ (-1 (-121) |#2| |#2|) $) 27) (($ $) 22)) (-4378 (($ $) 25)) (-3984 (((-571) (-1 (-121) |#2|) $) NIL) (((-571) |#2| $) 11) (((-571) |#2| $ (-571)) NIL)) (-3491 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 20))) 
+(((-377 |#1| |#2|) (-10 -8 (-15 -3652 (|#1| |#1|)) (-15 -3652 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2648 ((-121) |#1|)) (-15 -2972 (|#1| |#1|)) (-15 -3491 (|#1| |#1| |#1|)) (-15 -3984 ((-571) |#2| |#1| (-571))) (-15 -3984 ((-571) |#2| |#1|)) (-15 -3984 ((-571) (-1 (-121) |#2|) |#1|)) (-15 -2648 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2972 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -4378 (|#1| |#1|)) (-15 -3491 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) (-378 |#2|) (-1203)) (T -377)) 
+NIL 
+(-10 -8 (-15 -3652 (|#1| |#1|)) (-15 -3652 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2648 ((-121) |#1|)) (-15 -2972 (|#1| |#1|)) (-15 -3491 (|#1| |#1| |#1|)) (-15 -3984 ((-571) |#2| |#1| (-571))) (-15 -3984 ((-571) |#2| |#1|)) (-15 -3984 ((-571) (-1 (-121) |#2|) |#1|)) (-15 -2648 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2972 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -4378 (|#1| |#1|)) (-15 -3491 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3839 (((-1263) $ (-571) (-571)) 37 (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4601))) (($ $) 81 (-12 (|has| |#1| (-847)) (|has| $ (-6 -4601))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) 8)) (-3251 ((|#1| $ (-571) |#1|) 49 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) 53 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-4578 (($ $) 83 (|has| $ (-6 -4601)))) (-4378 (($ $) 93)) (-4365 (($ $) 73 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#1| $) 72 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) 50 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 48)) (-3984 (((-571) (-1 (-121) |#1|) $) 90) (((-571) |#1| $) 89 (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) 88 (|has| |#1| (-1097)))) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-1364 (($ (-768) |#1|) 64)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 40 (|has| (-571) (-847)))) (-1763 (($ $ $) 80 (|has| |#1| (-847)))) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 41 (|has| (-571) (-847)))) (-2383 (($ $ $) 79 (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) 55) (($ $ $ (-571)) 54)) (-2738 (((-637 (-571)) $) 43)) (-1613 (((-121) (-571) $) 44)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1827 ((|#1| $) 39 (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-4411 (($ $ |#1|) 38 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ (-571) |#1|) 47) ((|#1| $ (-571)) 46) (($ $ (-1224 (-571))) 58)) (-1933 (($ $ (-571)) 57) (($ $ (-1224 (-571))) 56)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3427 (($ $ $ (-571)) 84 (|has| $ (-6 -4601)))) (-4316 (($ $) 13)) (-4050 (((-544) $) 74 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 65)) (-4498 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-637 $)) 60)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) 77 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 76 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-1342 (((-121) $ $) 78 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 75 (|has| |#1| (-847)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-378 |#1|) (-1289) (-1203)) (T -378)) 
+((-3491 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-378 *3)) (-4 *3 (-1203)))) (-4378 (*1 *1 *1) (-12 (-4 *1 (-378 *2)) (-4 *2 (-1203)))) (-2972 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-378 *3)) (-4 *3 (-1203)))) (-2648 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-378 *4)) (-4 *4 (-1203)) (-5 *2 (-121)))) (-3984 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-378 *4)) (-4 *4 (-1203)) (-5 *2 (-571)))) (-3984 (*1 *2 *3 *1) (-12 (-4 *1 (-378 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-571)))) (-3984 (*1 *2 *3 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-378 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)))) (-3491 (*1 *1 *1 *1) (-12 (-4 *1 (-378 *2)) (-4 *2 (-1203)) (-4 *2 (-847)))) (-2972 (*1 *1 *1) (-12 (-4 *1 (-378 *2)) (-4 *2 (-1203)) (-4 *2 (-847)))) (-2648 (*1 *2 *1) (-12 (-4 *1 (-378 *3)) (-4 *3 (-1203)) (-4 *3 (-847)) (-5 *2 (-121)))) (-3427 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-571)) (|has| *1 (-6 -4601)) (-4 *1 (-378 *3)) (-4 *3 (-1203)))) (-4578 (*1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-378 *2)) (-4 *2 (-1203)))) (-3652 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4601)) (-4 *1 (-378 *3)) (-4 *3 (-1203)))) (-3652 (*1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-378 *2)) (-4 *2 (-1203)) (-4 *2 (-847))))) 
+(-13 (-643 |t#1|) (-10 -8 (-6 -4600) (-15 -3491 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -4378 ($ $)) (-15 -2972 ($ (-1 (-121) |t#1| |t#1|) $)) (-15 -2648 ((-121) (-1 (-121) |t#1| |t#1|) $)) (-15 -3984 ((-571) (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1097)) (PROGN (-15 -3984 ((-571) |t#1| $)) (-15 -3984 ((-571) |t#1| $ (-571)))) |noBranch|) (IF (|has| |t#1| (-847)) (PROGN (-6 (-847)) (-15 -3491 ($ $ $)) (-15 -2972 ($ $)) (-15 -2648 ((-121) $))) |noBranch|) (IF (|has| $ (-6 -4601)) (PROGN (-15 -3427 ($ $ $ (-571))) (-15 -4578 ($ $)) (-15 -3652 ($ (-1 (-121) |t#1| |t#1|) $)) (IF (|has| |t#1| (-847)) (-15 -3652 ($ $)) |noBranch|)) |noBranch|))) 
+(((-39) . T) ((-105) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-611 (-855)) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-282 (-571) |#1|) . T) ((-284 (-571) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-604 (-571) |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-643 |#1|) . T) ((-847) |has| |#1| (-847)) ((-1097) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-1203) . T)) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3171 (((-637 |#1|) $) 29)) (-2242 (($ $ (-768)) 30)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-4202 (((-1280 |#1| |#2|) (-1280 |#1| |#2|) $) 33)) (-2617 (($ $) 31)) (-2520 (((-1280 |#1| |#2|) (-1280 |#1| |#2|) $) 34)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-4483 (($ $ |#1| $) 28) (($ $ (-637 |#1|) (-637 $)) 27)) (-2400 (((-768) $) 35)) (-3891 (($ $ $) 26)) (-3942 (((-855) $) 11) (($ |#1|) 38) (((-1271 |#1| |#2|) $) 37) (((-1280 |#1| |#2|) $) 36)) (-4501 ((|#2| (-1280 |#1| |#2|) $) 39)) (-2369 (($) 17 T CONST)) (-1855 (($ (-666 |#1|)) 32)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#2|) 25 (|has| |#2| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ |#2| $) 22) (($ $ |#2|) 24))) 
+(((-379 |#1| |#2|) (-1289) (-847) (-173)) (T -379)) 
+((-4501 (*1 *2 *3 *1) (-12 (-5 *3 (-1280 *4 *2)) (-4 *1 (-379 *4 *2)) (-4 *4 (-847)) (-4 *2 (-173)))) (-3942 (*1 *1 *2) (-12 (-4 *1 (-379 *2 *3)) (-4 *2 (-847)) (-4 *3 (-173)))) (-3942 (*1 *2 *1) (-12 (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *2 (-1271 *3 *4)))) (-3942 (*1 *2 *1) (-12 (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *2 (-1280 *3 *4)))) (-2400 (*1 *2 *1) (-12 (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *2 (-768)))) (-2520 (*1 *2 *2 *1) (-12 (-5 *2 (-1280 *3 *4)) (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) (-4202 (*1 *2 *2 *1) (-12 (-5 *2 (-1280 *3 *4)) (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) (-1855 (*1 *1 *2) (-12 (-5 *2 (-666 *3)) (-4 *3 (-847)) (-4 *1 (-379 *3 *4)) (-4 *4 (-173)))) (-2617 (*1 *1 *1) (-12 (-4 *1 (-379 *2 *3)) (-4 *2 (-847)) (-4 *3 (-173)))) (-2242 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) (-3171 (*1 *2 *1) (-12 (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *2 (-637 *3)))) (-4483 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-379 *2 *3)) (-4 *2 (-847)) (-4 *3 (-173)))) (-4483 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *4)) (-5 *3 (-637 *1)) (-4 *1 (-379 *4 *5)) (-4 *4 (-847)) (-4 *5 (-173))))) 
+(-13 (-628 |t#2|) (-10 -8 (-15 -4501 (|t#2| (-1280 |t#1| |t#2|) $)) (-15 -3942 ($ |t#1|)) (-15 -3942 ((-1271 |t#1| |t#2|) $)) (-15 -3942 ((-1280 |t#1| |t#2|) $)) (-15 -2400 ((-768) $)) (-15 -2520 ((-1280 |t#1| |t#2|) (-1280 |t#1| |t#2|) $)) (-15 -4202 ((-1280 |t#1| |t#2|) (-1280 |t#1| |t#2|) $)) (-15 -1855 ($ (-666 |t#1|))) (-15 -2617 ($ $)) (-15 -2242 ($ $ (-768))) (-15 -3171 ((-637 |t#1|) $)) (-15 -4483 ($ $ |t#1| $)) (-15 -4483 ($ $ (-637 |t#1|) (-637 $))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#2|) . T) ((-628 |#2|) . T) ((-712 |#2|) . T) ((-1059 |#2|) . T) ((-1097) . T)) 
+((-1674 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 22)) (-4482 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 12)) (-1687 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 21))) 
+(((-380 |#1| |#2|) (-10 -7 (-15 -4482 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1687 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1674 (|#2| (-1 (-121) |#1| |#1|) |#2|))) (-1203) (-13 (-378 |#1|) (-10 -7 (-6 -4601)))) (T -380)) 
+((-1674 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1203)) (-5 *1 (-380 *4 *2)) (-4 *2 (-13 (-378 *4) (-10 -7 (-6 -4601)))))) (-1687 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1203)) (-5 *1 (-380 *4 *2)) (-4 *2 (-13 (-378 *4) (-10 -7 (-6 -4601)))))) (-4482 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1203)) (-5 *1 (-380 *4 *2)) (-4 *2 (-13 (-378 *4) (-10 -7 (-6 -4601))))))) 
+(-10 -7 (-15 -4482 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1687 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1674 (|#2| (-1 (-121) |#1| |#1|) |#2|))) 
+((-2680 (((-684 |#2|) (-684 $)) NIL) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 19) (((-684 (-571)) (-684 $)) 13))) 
+(((-381 |#1| |#2|) (-10 -8 (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-684 |#2|) (-684 |#1|)))) (-382 |#2|) (-1053)) (T -381)) 
+NIL 
+(-10 -8 (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-684 |#2|) (-684 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-2680 (((-684 |#1|) (-684 $)) 35) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 34) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 38 (|has| |#1| (-633 (-571)))) (((-684 (-571)) (-684 $)) 37 (|has| |#1| (-633 (-571))))) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-382 |#1|) (-1289) (-1053)) (T -382)) 
+NIL 
+(-13 (-633 |t#1|) (-10 -7 (IF (|has| |t#1| (-633 (-571))) (-6 (-633 (-571))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 $) . T) ((-633 (-571)) |has| |#1| (-633 (-571))) ((-633 |#1|) . T) ((-721) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2434 (((-637 (-289 (-958 (-170 |#1|)))) (-289 (-412 (-958 (-170 (-571))))) |#1|) 52) (((-637 (-289 (-958 (-170 |#1|)))) (-412 (-958 (-170 (-571)))) |#1|) 51) (((-637 (-637 (-289 (-958 (-170 |#1|))))) (-637 (-289 (-412 (-958 (-170 (-571)))))) |#1|) 47) (((-637 (-637 (-289 (-958 (-170 |#1|))))) (-637 (-412 (-958 (-170 (-571))))) |#1|) 40)) (-3624 (((-637 (-637 (-170 |#1|))) (-637 (-412 (-958 (-170 (-571))))) (-637 (-1169)) |#1|) 28) (((-637 (-170 |#1|)) (-412 (-958 (-170 (-571)))) |#1|) 15))) 
+(((-383 |#1|) (-10 -7 (-15 -2434 ((-637 (-637 (-289 (-958 (-170 |#1|))))) (-637 (-412 (-958 (-170 (-571))))) |#1|)) (-15 -2434 ((-637 (-637 (-289 (-958 (-170 |#1|))))) (-637 (-289 (-412 (-958 (-170 (-571)))))) |#1|)) (-15 -2434 ((-637 (-289 (-958 (-170 |#1|)))) (-412 (-958 (-170 (-571)))) |#1|)) (-15 -2434 ((-637 (-289 (-958 (-170 |#1|)))) (-289 (-412 (-958 (-170 (-571))))) |#1|)) (-15 -3624 ((-637 (-170 |#1|)) (-412 (-958 (-170 (-571)))) |#1|)) (-15 -3624 ((-637 (-637 (-170 |#1|))) (-637 (-412 (-958 (-170 (-571))))) (-637 (-1169)) |#1|))) (-13 (-367) (-845))) (T -383)) 
+((-3624 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-412 (-958 (-170 (-571)))))) (-5 *4 (-637 (-1169))) (-5 *2 (-637 (-637 (-170 *5)))) (-5 *1 (-383 *5)) (-4 *5 (-13 (-367) (-845))))) (-3624 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 (-170 (-571))))) (-5 *2 (-637 (-170 *4))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-367) (-845))))) (-2434 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-412 (-958 (-170 (-571)))))) (-5 *2 (-637 (-289 (-958 (-170 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-367) (-845))))) (-2434 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 (-170 (-571))))) (-5 *2 (-637 (-289 (-958 (-170 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-367) (-845))))) (-2434 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-289 (-412 (-958 (-170 (-571))))))) (-5 *2 (-637 (-637 (-289 (-958 (-170 *4)))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-367) (-845))))) (-2434 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-170 (-571)))))) (-5 *2 (-637 (-637 (-289 (-958 (-170 *4)))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-367) (-845)))))) 
+(-10 -7 (-15 -2434 ((-637 (-637 (-289 (-958 (-170 |#1|))))) (-637 (-412 (-958 (-170 (-571))))) |#1|)) (-15 -2434 ((-637 (-637 (-289 (-958 (-170 |#1|))))) (-637 (-289 (-412 (-958 (-170 (-571)))))) |#1|)) (-15 -2434 ((-637 (-289 (-958 (-170 |#1|)))) (-412 (-958 (-170 (-571)))) |#1|)) (-15 -2434 ((-637 (-289 (-958 (-170 |#1|)))) (-289 (-412 (-958 (-170 (-571))))) |#1|)) (-15 -3624 ((-637 (-170 |#1|)) (-412 (-958 (-170 (-571)))) |#1|)) (-15 -3624 ((-637 (-637 (-170 |#1|))) (-637 (-412 (-958 (-170 (-571))))) (-637 (-1169)) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 33)) (-1533 (((-571) $) 55)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-1934 (($ $) 109)) (-4255 (($ $) 81)) (-4192 (($ $) 70)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-4158 (($ $) 44)) (-1295 (((-121) $ $) NIL)) (-4243 (($ $) 79)) (-4185 (($ $) 68)) (-3203 (((-571) $) 63)) (-3309 (($ $ (-571)) 62)) (-4266 (($ $) NIL)) (-4201 (($ $) NIL)) (-2269 (($) NIL T CONST)) (-2528 (($ $) 111)) (-3337 (((-3 (-571) "failed") $) 187) (((-3 (-412 (-571)) "failed") $) 183)) (-1316 (((-571) $) 185) (((-412 (-571)) $) 181)) (-2162 (($ $ $) NIL)) (-2611 (((-571) $ $) 101)) (-3978 (((-3 $ "failed") $) 113)) (-2813 (((-412 (-571)) $ (-768)) 188) (((-412 (-571)) $ (-768) (-768)) 180)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-1524 (((-922)) 72) (((-922) (-922)) 97 (|has| $ (-6 -4591)))) (-2093 (((-121) $) 105)) (-4153 (($) 40)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL)) (-2701 (((-1263) (-768)) 150)) (-2629 (((-1263)) 155) (((-1263) (-768)) 156)) (-2623 (((-1263)) 157) (((-1263) (-768)) 158)) (-4366 (((-1263)) 153) (((-1263) (-768)) 154)) (-3347 (((-571) $) 58)) (-2583 (((-121) $) 103)) (-3549 (($ $ (-571)) NIL)) (-1820 (($ $) 48)) (-3477 (($ $) NIL)) (-4086 (((-121) $) 35)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL) (($) NIL (-12 (-2931 (|has| $ (-6 -4583))) (-2931 (|has| $ (-6 -4591)))))) (-2383 (($ $ $) NIL) (($) 98 (-12 (-2931 (|has| $ (-6 -4583))) (-2931 (|has| $ (-6 -4591)))))) (-2186 (((-571) $) 17)) (-1526 (($) 86) (($ $) 91)) (-2216 (($) 90) (($ $) 92)) (-3509 (($ $) 82)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 115)) (-2161 (((-922) (-571)) 43 (|has| $ (-6 -4591)))) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) 53)) (-3955 (($ $) 108)) (-3967 (($ (-571) (-571)) 106) (($ (-571) (-571) (-922)) 107)) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2154 (((-571) $) 19)) (-2315 (($) 93)) (-4148 (($ $) 78)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-2437 (((-922)) 99) (((-922) (-922)) 100 (|has| $ (-6 -4591)))) (-3096 (($ $ (-768)) NIL) (($ $) 114)) (-2904 (((-922) (-571)) 47 (|has| $ (-6 -4591)))) (-4273 (($ $) NIL)) (-4206 (($ $) NIL)) (-4260 (($ $) NIL)) (-4196 (($ $) NIL)) (-4249 (($ $) 80)) (-4188 (($ $) 69)) (-4050 (((-384) $) 173) (((-216) $) 175) (((-892 (-384)) $) NIL) (((-1151) $) 160) (((-544) $) 171) (($ (-216)) 179)) (-3942 (((-855) $) 162) (($ (-571)) 184) (($ $) NIL) (($ (-412 (-571))) NIL) (($ (-571)) 184) (($ (-412 (-571))) NIL) (((-216) $) 176)) (-2661 (((-768)) NIL)) (-2325 (($ $) 110)) (-3284 (((-922)) 54) (((-922) (-922)) 65 (|has| $ (-6 -4591)))) (-3468 (((-922)) 102)) (-4294 (($ $) 85)) (-4220 (($ $) 46) (($ $ $) 52)) (-1388 (((-121) $ $) NIL)) (-4280 (($ $) 83)) (-4211 (($ $) 37)) (-4307 (($ $) NIL)) (-4232 (($ $) NIL)) (-2656 (($ $) NIL)) (-4237 (($ $) NIL)) (-4301 (($ $) NIL)) (-4227 (($ $) NIL)) (-4287 (($ $) 84)) (-4215 (($ $) 49)) (-1902 (($ $) 51)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 34 T CONST)) (-3222 (($) 38 T CONST)) (-3805 (((-1151) $) 27) (((-1151) $ (-121)) 29) (((-1263) (-822) $) 30) (((-1263) (-822) $ (-121)) 31)) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 39)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 42)) (-1379 (($ $ $) 45) (($ $ (-571)) 41)) (-1373 (($ $) 36) (($ $ $) 50)) (-1367 (($ $ $) 61)) (** (($ $ (-922)) 66) (($ $ (-768)) NIL) (($ $ (-571)) 87) (($ $ (-412 (-571))) 124) (($ $ $) 116)) (* (($ (-922) $) 64) (($ (-768) $) NIL) (($ (-571) $) 67) (($ $ $) 60) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL))) 
+(((-384) (-13 (-409) (-226) (-612 (-1151)) (-828) (-611 (-216)) (-1189) (-612 (-544)) (-10 -8 (-15 -1379 ($ $ (-571))) (-15 ** ($ $ $)) (-15 -1820 ($ $)) (-15 -2611 ((-571) $ $)) (-15 -3309 ($ $ (-571))) (-15 -2813 ((-412 (-571)) $ (-768))) (-15 -2813 ((-412 (-571)) $ (-768) (-768))) (-15 -1526 ($)) (-15 -2216 ($)) (-15 -2315 ($)) (-15 -4220 ($ $ $)) (-15 -1526 ($ $)) (-15 -2216 ($ $)) (-15 -4050 ($ (-216))) (-15 -2623 ((-1263))) (-15 -2623 ((-1263) (-768))) (-15 -4366 ((-1263))) (-15 -4366 ((-1263) (-768))) (-15 -2629 ((-1263))) (-15 -2629 ((-1263) (-768))) (-15 -2701 ((-1263) (-768))) (-6 -4591) (-6 -4583)))) (T -384)) 
+((** (*1 *1 *1 *1) (-5 *1 (-384))) (-1379 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-384)))) (-1820 (*1 *1 *1) (-5 *1 (-384))) (-2611 (*1 *2 *1 *1) (-12 (-5 *2 (-571)) (-5 *1 (-384)))) (-3309 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-384)))) (-2813 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-412 (-571))) (-5 *1 (-384)))) (-2813 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-412 (-571))) (-5 *1 (-384)))) (-1526 (*1 *1) (-5 *1 (-384))) (-2216 (*1 *1) (-5 *1 (-384))) (-2315 (*1 *1) (-5 *1 (-384))) (-4220 (*1 *1 *1 *1) (-5 *1 (-384))) (-1526 (*1 *1 *1) (-5 *1 (-384))) (-2216 (*1 *1 *1) (-5 *1 (-384))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-384)))) (-2623 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-384)))) (-2623 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-384)))) (-4366 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-384)))) (-4366 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-384)))) (-2629 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-384)))) (-2629 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-384)))) (-2701 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-384))))) 
+(-13 (-409) (-226) (-612 (-1151)) (-828) (-611 (-216)) (-1189) (-612 (-544)) (-10 -8 (-15 -1379 ($ $ (-571))) (-15 ** ($ $ $)) (-15 -1820 ($ $)) (-15 -2611 ((-571) $ $)) (-15 -3309 ($ $ (-571))) (-15 -2813 ((-412 (-571)) $ (-768))) (-15 -2813 ((-412 (-571)) $ (-768) (-768))) (-15 -1526 ($)) (-15 -2216 ($)) (-15 -2315 ($)) (-15 -4220 ($ $ $)) (-15 -1526 ($ $)) (-15 -2216 ($ $)) (-15 -4050 ($ (-216))) (-15 -2623 ((-1263))) (-15 -2623 ((-1263) (-768))) (-15 -4366 ((-1263))) (-15 -4366 ((-1263) (-768))) (-15 -2629 ((-1263))) (-15 -2629 ((-1263) (-768))) (-15 -2701 ((-1263) (-768))) (-6 -4591) (-6 -4583))) 
+((-4549 (((-637 (-289 (-958 |#1|))) (-289 (-412 (-958 (-571)))) |#1|) 47) (((-637 (-289 (-958 |#1|))) (-412 (-958 (-571))) |#1|) 46) (((-637 (-637 (-289 (-958 |#1|)))) (-637 (-289 (-412 (-958 (-571))))) |#1|) 42) (((-637 (-637 (-289 (-958 |#1|)))) (-637 (-412 (-958 (-571)))) |#1|) 36)) (-3773 (((-637 |#1|) (-412 (-958 (-571))) |#1|) 19) (((-637 (-637 |#1|)) (-637 (-412 (-958 (-571)))) (-637 (-1169)) |#1|) 31))) 
+(((-385 |#1|) (-10 -7 (-15 -4549 ((-637 (-637 (-289 (-958 |#1|)))) (-637 (-412 (-958 (-571)))) |#1|)) (-15 -4549 ((-637 (-637 (-289 (-958 |#1|)))) (-637 (-289 (-412 (-958 (-571))))) |#1|)) (-15 -4549 ((-637 (-289 (-958 |#1|))) (-412 (-958 (-571))) |#1|)) (-15 -4549 ((-637 (-289 (-958 |#1|))) (-289 (-412 (-958 (-571)))) |#1|)) (-15 -3773 ((-637 (-637 |#1|)) (-637 (-412 (-958 (-571)))) (-637 (-1169)) |#1|)) (-15 -3773 ((-637 |#1|) (-412 (-958 (-571))) |#1|))) (-13 (-845) (-367))) (T -385)) 
+((-3773 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 (-571)))) (-5 *2 (-637 *4)) (-5 *1 (-385 *4)) (-4 *4 (-13 (-845) (-367))))) (-3773 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-1169))) (-5 *2 (-637 (-637 *5))) (-5 *1 (-385 *5)) (-4 *5 (-13 (-845) (-367))))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-412 (-958 (-571))))) (-5 *2 (-637 (-289 (-958 *4)))) (-5 *1 (-385 *4)) (-4 *4 (-13 (-845) (-367))))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 (-571)))) (-5 *2 (-637 (-289 (-958 *4)))) (-5 *1 (-385 *4)) (-4 *4 (-13 (-845) (-367))))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-289 (-412 (-958 (-571)))))) (-5 *2 (-637 (-637 (-289 (-958 *4))))) (-5 *1 (-385 *4)) (-4 *4 (-13 (-845) (-367))))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-637 (-289 (-958 *4))))) (-5 *1 (-385 *4)) (-4 *4 (-13 (-845) (-367)))))) 
+(-10 -7 (-15 -4549 ((-637 (-637 (-289 (-958 |#1|)))) (-637 (-412 (-958 (-571)))) |#1|)) (-15 -4549 ((-637 (-637 (-289 (-958 |#1|)))) (-637 (-289 (-412 (-958 (-571))))) |#1|)) (-15 -4549 ((-637 (-289 (-958 |#1|))) (-412 (-958 (-571))) |#1|)) (-15 -4549 ((-637 (-289 (-958 |#1|))) (-289 (-412 (-958 (-571)))) |#1|)) (-15 -3773 ((-637 (-637 |#1|)) (-637 (-412 (-958 (-571)))) (-637 (-1169)) |#1|)) (-15 -3773 ((-637 |#1|) (-412 (-958 (-571))) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) 25)) (-1316 ((|#2| $) 27)) (-4349 (($ $) NIL)) (-2108 (((-768) $) 10)) (-1368 (((-637 $) $) 20)) (-3517 (((-121) $) NIL)) (-4506 (($ |#2| |#1|) 18)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-4044 (((-637 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 13)) (-3654 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 14)) (-4332 ((|#2| $) 15)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 43) (($ |#2|) 26)) (-1314 (((-637 |#1|) $) 17)) (-3136 ((|#1| $ |#2|) 45)) (-2369 (($) 28 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ |#1| $) 31) (($ $ |#1|) 32) (($ |#1| |#2|) 33) (($ |#2| |#1|) 34))) 
+(((-386 |#1| |#2|) (-13 (-387 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) (-1053) (-847)) (T -386)) 
+((* (*1 *1 *2 *3) (-12 (-5 *1 (-386 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-847))))) 
+(-13 (-387 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#2| "failed") $) 41)) (-1316 ((|#2| $) 40)) (-4349 (($ $) 27)) (-2108 (((-768) $) 31)) (-1368 (((-637 $) $) 32)) (-3517 (((-121) $) 35)) (-4506 (($ |#2| |#1|) 36)) (-3799 (($ (-1 |#1| |#1|) $) 37)) (-4044 (((-637 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 34)) (-3654 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 28)) (-4332 ((|#2| $) 30)) (-4337 ((|#1| $) 29)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ |#2|) 42)) (-1314 (((-637 |#1|) $) 33)) (-3136 ((|#1| $ |#2|) 38)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24) (($ |#1| |#2|) 39))) 
+(((-387 |#1| |#2|) (-1289) (-1053) (-1097)) (T -387)) 
+((* (*1 *1 *2 *3) (-12 (-4 *1 (-387 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-1097)))) (-3136 (*1 *2 *1 *3) (-12 (-4 *1 (-387 *2 *3)) (-4 *3 (-1097)) (-4 *2 (-1053)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)))) (-4506 (*1 *1 *2 *3) (-12 (-4 *1 (-387 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1097)))) (-3517 (*1 *2 *1) (-12 (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-121)))) (-4044 (*1 *2 *1) (-12 (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-637 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-1314 (*1 *2 *1) (-12 (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-637 *3)))) (-1368 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-637 *1)) (-4 *1 (-387 *3 *4)))) (-2108 (*1 *2 *1) (-12 (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-768)))) (-4332 (*1 *2 *1) (-12 (-4 *1 (-387 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1097)))) (-4337 (*1 *2 *1) (-12 (-4 *1 (-387 *2 *3)) (-4 *3 (-1097)) (-4 *2 (-1053)))) (-3654 (*1 *2 *1) (-12 (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3))))) (-4349 (*1 *1 *1) (-12 (-4 *1 (-387 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-1097))))) 
+(-13 (-120 |t#1| |t#1|) (-1043 |t#2|) (-10 -8 (-15 * ($ |t#1| |t#2|)) (-15 -3136 (|t#1| $ |t#2|)) (-15 -3799 ($ (-1 |t#1| |t#1|) $)) (-15 -4506 ($ |t#2| |t#1|)) (-15 -3517 ((-121) $)) (-15 -4044 ((-637 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -1314 ((-637 |t#1|) $)) (-15 -1368 ((-637 $) $)) (-15 -2108 ((-768) $)) (-15 -4332 (|t#2| $)) (-15 -4337 (|t#1| $)) (-15 -3654 ((-2 (|:| |k| |t#2|) (|:| |c| |t#1|)) $)) (-15 -4349 ($ $)) (IF (|has| |t#1| (-173)) (-6 (-712 |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-712 |#1|) |has| |#1| (-173)) ((-1043 |#2|) . T) ((-1059 |#1|) . T) ((-1097) . T)) 
+((-4320 (((-1263) $) 7)) (-3942 (((-855) $) 8) (($ (-684 (-693))) 12) (($ (-637 (-329))) 11) (($ (-329)) 10) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 9))) 
+(((-388) (-1289)) (T -388)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-684 (-693))) (-4 *1 (-388)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-4 *1 (-388)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-388)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-4 *1 (-388))))) 
+(-13 (-400) (-10 -8 (-15 -3942 ($ (-684 (-693)))) (-15 -3942 ($ (-637 (-329)))) (-15 -3942 ($ (-329))) (-15 -3942 ($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329)))))))) 
+(((-611 (-855)) . T) ((-400) . T) ((-1203) . T)) 
+((-3337 (((-3 $ "failed") (-684 (-311 (-384)))) 19) (((-3 $ "failed") (-684 (-311 (-571)))) 17) (((-3 $ "failed") (-684 (-958 (-384)))) 15) (((-3 $ "failed") (-684 (-958 (-571)))) 13) (((-3 $ "failed") (-684 (-412 (-958 (-384))))) 11) (((-3 $ "failed") (-684 (-412 (-958 (-571))))) 9)) (-1316 (($ (-684 (-311 (-384)))) 20) (($ (-684 (-311 (-571)))) 18) (($ (-684 (-958 (-384)))) 16) (($ (-684 (-958 (-571)))) 14) (($ (-684 (-412 (-958 (-384))))) 12) (($ (-684 (-412 (-958 (-571))))) 10)) (-4320 (((-1263) $) 7)) (-3942 (((-855) $) 8) (($ (-637 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 21))) 
+(((-389) (-1289)) (T -389)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-4 *1 (-389)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-389)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-4 *1 (-389)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-684 (-311 (-384)))) (-4 *1 (-389)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-311 (-384)))) (-4 *1 (-389)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-684 (-311 (-571)))) (-4 *1 (-389)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-311 (-571)))) (-4 *1 (-389)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-684 (-958 (-384)))) (-4 *1 (-389)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-958 (-384)))) (-4 *1 (-389)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-684 (-958 (-571)))) (-4 *1 (-389)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-958 (-571)))) (-4 *1 (-389)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-684 (-412 (-958 (-384))))) (-4 *1 (-389)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-412 (-958 (-384))))) (-4 *1 (-389)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-684 (-412 (-958 (-571))))) (-4 *1 (-389)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-412 (-958 (-571))))) (-4 *1 (-389))))) 
+(-13 (-400) (-10 -8 (-15 -3942 ($ (-637 (-329)))) (-15 -3942 ($ (-329))) (-15 -3942 ($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329)))))) (-15 -1316 ($ (-684 (-311 (-384))))) (-15 -3337 ((-3 $ "failed") (-684 (-311 (-384))))) (-15 -1316 ($ (-684 (-311 (-571))))) (-15 -3337 ((-3 $ "failed") (-684 (-311 (-571))))) (-15 -1316 ($ (-684 (-958 (-384))))) (-15 -3337 ((-3 $ "failed") (-684 (-958 (-384))))) (-15 -1316 ($ (-684 (-958 (-571))))) (-15 -3337 ((-3 $ "failed") (-684 (-958 (-571))))) (-15 -1316 ($ (-684 (-412 (-958 (-384)))))) (-15 -3337 ((-3 $ "failed") (-684 (-412 (-958 (-384)))))) (-15 -1316 ($ (-684 (-412 (-958 (-571)))))) (-15 -3337 ((-3 $ "failed") (-684 (-412 (-958 (-571)))))))) 
+(((-611 (-855)) . T) ((-400) . T) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4349 (($ $) NIL)) (-4289 (($ |#1| |#2|) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3275 ((|#2| $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 27)) (-2369 (($) 12 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ |#1| $) 16) (($ $ |#1|) 18))) 
+(((-390 |#1| |#2|) (-13 (-120 |#1| |#1|) (-521 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-173)) (-6 (-712 |#1|)) |noBranch|))) (-1053) (-847)) (T -390)) 
+NIL 
+(-13 (-120 |#1| |#1|) (-521 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-173)) (-6 (-712 |#1|)) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-4407 (((-768) $) 56)) (-2269 (($) NIL T CONST)) (-4202 (((-3 $ "failed") $ $) 58)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3907 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) 52)) (-2583 (((-121) $) 14)) (-2408 ((|#1| $ (-571)) NIL)) (-2018 (((-768) $ (-571)) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1750 (($ (-1 |#1| |#1|) $) 37)) (-1598 (($ (-1 (-768) (-768)) $) 34)) (-2520 (((-3 $ "failed") $ $) 49)) (-3944 (((-1151) $) NIL)) (-3394 (($ $ $) 25)) (-2173 (($ $ $) 23)) (-2580 (((-1115) $) NIL)) (-2842 (((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-768)))) $) 31)) (-3221 (((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $) 55)) (-3942 (((-855) $) 21) (($ |#1|) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-3222 (($) 9 T CONST)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) 41)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) 60 (|has| |#1| (-847)))) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ |#1| (-768)) 40)) (* (($ $ $) 47) (($ |#1| $) 29) (($ $ |#1|) 27))) 
+(((-391 |#1|) (-13 (-721) (-1043 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-768))) (-15 -2173 ($ $ $)) (-15 -3394 ($ $ $)) (-15 -2520 ((-3 $ "failed") $ $)) (-15 -4202 ((-3 $ "failed") $ $)) (-15 -3221 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -3907 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -4407 ((-768) $)) (-15 -2842 ((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-768)))) $)) (-15 -2018 ((-768) $ (-571))) (-15 -2408 (|#1| $ (-571))) (-15 -1598 ($ (-1 (-768) (-768)) $)) (-15 -1750 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-847)) (-6 (-847)) |noBranch|))) (-1097)) (T -391)) 
+((* (*1 *1 *2 *1) (-12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-768)) (-5 *1 (-391 *2)) (-4 *2 (-1097)))) (-2173 (*1 *1 *1 *1) (-12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) (-3394 (*1 *1 *1 *1) (-12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) (-2520 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) (-4202 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) (-3221 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-391 *3)) (|:| |rm| (-391 *3)))) (-5 *1 (-391 *3)) (-4 *3 (-1097)))) (-3907 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-391 *3)) (|:| |mm| (-391 *3)) (|:| |rm| (-391 *3)))) (-5 *1 (-391 *3)) (-4 *3 (-1097)))) (-4407 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-391 *3)) (-4 *3 (-1097)))) (-2842 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 (-768))))) (-5 *1 (-391 *3)) (-4 *3 (-1097)))) (-2018 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-768)) (-5 *1 (-391 *4)) (-4 *4 (-1097)))) (-2408 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-391 *2)) (-4 *2 (-1097)))) (-1598 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-768) (-768))) (-5 *1 (-391 *3)) (-4 *3 (-1097)))) (-1750 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-391 *3))))) 
+(-13 (-721) (-1043 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-768))) (-15 -2173 ($ $ $)) (-15 -3394 ($ $ $)) (-15 -2520 ((-3 $ "failed") $ $)) (-15 -4202 ((-3 $ "failed") $ $)) (-15 -3221 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -3907 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -4407 ((-768) $)) (-15 -2842 ((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-768)))) $)) (-15 -2018 ((-768) $ (-571))) (-15 -2408 (|#1| $ (-571))) (-15 -1598 ($ (-1 (-768) (-768)) $)) (-15 -1750 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-847)) (-6 (-847)) |noBranch|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 46)) (-1316 (((-571) $) 45)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-1763 (($ $ $) 53)) (-2383 (($ $ $) 52)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1786 (((-3 $ "failed") $ $) 41)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-571)) 47)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1350 (((-121) $ $) 50)) (-1338 (((-121) $ $) 49)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 51)) (-1331 (((-121) $ $) 48)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-392) (-1289)) (T -392)) 
+NIL 
+(-13 (-561) (-847) (-1043 (-571))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-286) . T) ((-561) . T) ((-640 $) . T) ((-712 $) . T) ((-721) . T) ((-847) . T) ((-1043 (-571)) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-2077 (((-121) $) 20)) (-1374 (((-121) $) 19)) (-1364 (($ (-1151) (-1151) (-1151)) 21)) (-3159 (((-1151) $) 16)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4306 (($ (-1151) (-1151) (-1151)) 14)) (-2511 (((-1151) $) 17)) (-2441 (((-121) $) 18)) (-1566 (((-1151) $) 15)) (-3942 (((-855) $) 12) (($ (-1151)) 13) (((-1151) $) 9)) (-1323 (((-121) $ $) 7))) 
+(((-393) (-394)) (T -393)) 
+NIL 
+(-394) 
+((-2234 (((-121) $ $) 7)) (-2077 (((-121) $) 13)) (-1374 (((-121) $) 14)) (-1364 (($ (-1151) (-1151) (-1151)) 12)) (-3159 (((-1151) $) 17)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-4306 (($ (-1151) (-1151) (-1151)) 19)) (-2511 (((-1151) $) 16)) (-2441 (((-121) $) 15)) (-1566 (((-1151) $) 18)) (-3942 (((-855) $) 11) (($ (-1151)) 21) (((-1151) $) 20)) (-1323 (((-121) $ $) 6))) 
+(((-394) (-1289)) (T -394)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-4 *1 (-394)))) (-3942 (*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-1151)))) (-4306 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1151)) (-4 *1 (-394)))) (-1566 (*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-1151)))) (-3159 (*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-1151)))) (-2511 (*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-1151)))) (-2441 (*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-121)))) (-1374 (*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-121)))) (-2077 (*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-121)))) (-1364 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1151)) (-4 *1 (-394))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ($ (-1151))) (-15 -3942 ((-1151) $)) (-15 -4306 ($ (-1151) (-1151) (-1151))) (-15 -1566 ((-1151) $)) (-15 -3159 ((-1151) $)) (-15 -2511 ((-1151) $)) (-15 -2441 ((-121) $)) (-15 -1374 ((-121) $)) (-15 -2077 ((-121) $)) (-15 -1364 ($ (-1151) (-1151) (-1151))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3785 (((-855) $) 50)) (-2269 (($) NIL T CONST)) (-3116 (($ $ (-922)) NIL)) (-1869 (($ $ (-922)) NIL)) (-4406 (($ $ (-922)) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2280 (($ (-768)) 26)) (-3847 (((-768)) 15)) (-3306 (((-855) $) 52)) (-2212 (($ $ $) NIL)) (-3942 (((-855) $) NIL)) (-3100 (($ $ $ $) NIL)) (-2493 (($ $ $) NIL)) (-2369 (($) 20 T CONST)) (-1323 (((-121) $ $) 28)) (-1373 (($ $) 34) (($ $ $) 36)) (-1367 (($ $ $) 37)) (** (($ $ (-922)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 38) (($ $ |#3|) NIL) (($ |#3| $) 33))) 
+(((-395 |#1| |#2| |#3|) (-13 (-741 |#3|) (-10 -8 (-15 -3847 ((-768))) (-15 -3306 ((-855) $)) (-15 -3785 ((-855) $)) (-15 -2280 ($ (-768))))) (-768) (-768) (-173)) (T -395)) 
+((-3847 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-395 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) (-3306 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-395 *3 *4 *5)) (-14 *3 (-768)) (-14 *4 (-768)) (-4 *5 (-173)))) (-3785 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-395 *3 *4 *5)) (-14 *3 (-768)) (-14 *4 (-768)) (-4 *5 (-173)))) (-2280 (*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-395 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173))))) 
+(-13 (-741 |#3|) (-10 -8 (-15 -3847 ((-768))) (-15 -3306 ((-855) $)) (-15 -3785 ((-855) $)) (-15 -2280 ($ (-768))))) 
+((-4226 (((-1151)) 10)) (-2804 (((-1139 (-1151))) 28)) (-4300 (((-1263) (-1151)) 25) (((-1263) (-393)) 24)) (-4313 (((-1263)) 26)) (-3971 (((-1139 (-1151))) 27))) 
+(((-396) (-10 -7 (-15 -3971 ((-1139 (-1151)))) (-15 -2804 ((-1139 (-1151)))) (-15 -4313 ((-1263))) (-15 -4300 ((-1263) (-393))) (-15 -4300 ((-1263) (-1151))) (-15 -4226 ((-1151))))) (T -396)) 
+((-4226 (*1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-396)))) (-4300 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-396)))) (-4300 (*1 *2 *3) (-12 (-5 *3 (-393)) (-5 *2 (-1263)) (-5 *1 (-396)))) (-4313 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-396)))) (-2804 (*1 *2) (-12 (-5 *2 (-1139 (-1151))) (-5 *1 (-396)))) (-3971 (*1 *2) (-12 (-5 *2 (-1139 (-1151))) (-5 *1 (-396))))) 
+(-10 -7 (-15 -3971 ((-1139 (-1151)))) (-15 -2804 ((-1139 (-1151)))) (-15 -4313 ((-1263))) (-15 -4300 ((-1263) (-393))) (-15 -4300 ((-1263) (-1151))) (-15 -4226 ((-1151)))) 
+((-3347 (((-768) (-335 |#1| |#2| |#3| |#4|)) 16))) 
+(((-397 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3347 ((-768) (-335 |#1| |#2| |#3| |#4|)))) (-13 (-373) (-367)) (-1233 |#1|) (-1233 (-412 |#2|)) (-341 |#1| |#2| |#3|)) (T -397)) 
+((-3347 (*1 *2 *3) (-12 (-5 *3 (-335 *4 *5 *6 *7)) (-4 *4 (-13 (-373) (-367))) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-4 *7 (-341 *4 *5 *6)) (-5 *2 (-768)) (-5 *1 (-397 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -3347 ((-768) (-335 |#1| |#2| |#3| |#4|)))) 
+((-3942 (((-399) |#1|) 11))) 
+(((-398 |#1|) (-10 -7 (-15 -3942 ((-399) |#1|))) (-1097)) (T -398)) 
+((-3942 (*1 *2 *3) (-12 (-5 *2 (-399)) (-5 *1 (-398 *3)) (-4 *3 (-1097))))) 
+(-10 -7 (-15 -3942 ((-399) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-3696 (((-637 (-1151)) $ (-637 (-1151))) 37)) (-2639 (((-637 (-1151)) $ (-637 (-1151))) 38)) (-2766 (((-637 (-1151)) $ (-637 (-1151))) 39)) (-3878 (((-637 (-1151)) $) 34)) (-1364 (($) 23)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3712 (((-637 (-1151)) $) 35)) (-1517 (((-637 (-1151)) $) 36)) (-2406 (((-1263) $ (-571)) 32) (((-1263) $) 33)) (-4050 (($ (-855) (-571)) 29)) (-3942 (((-855) $) 41) (($ (-855)) 25)) (-1323 (((-121) $ $) NIL))) 
+(((-399) (-13 (-1097) (-10 -8 (-15 -3942 ($ (-855))) (-15 -4050 ($ (-855) (-571))) (-15 -2406 ((-1263) $ (-571))) (-15 -2406 ((-1263) $)) (-15 -1517 ((-637 (-1151)) $)) (-15 -3712 ((-637 (-1151)) $)) (-15 -1364 ($)) (-15 -3878 ((-637 (-1151)) $)) (-15 -2766 ((-637 (-1151)) $ (-637 (-1151)))) (-15 -2639 ((-637 (-1151)) $ (-637 (-1151)))) (-15 -3696 ((-637 (-1151)) $ (-637 (-1151))))))) (T -399)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-855)) (-5 *1 (-399)))) (-4050 (*1 *1 *2 *3) (-12 (-5 *2 (-855)) (-5 *3 (-571)) (-5 *1 (-399)))) (-2406 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-399)))) (-2406 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-399)))) (-1517 (*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399)))) (-3712 (*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399)))) (-1364 (*1 *1) (-5 *1 (-399))) (-3878 (*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399)))) (-2766 (*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399)))) (-2639 (*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399)))) (-3696 (*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ($ (-855))) (-15 -4050 ($ (-855) (-571))) (-15 -2406 ((-1263) $ (-571))) (-15 -2406 ((-1263) $)) (-15 -1517 ((-637 (-1151)) $)) (-15 -3712 ((-637 (-1151)) $)) (-15 -1364 ($)) (-15 -3878 ((-637 (-1151)) $)) (-15 -2766 ((-637 (-1151)) $ (-637 (-1151)))) (-15 -2639 ((-637 (-1151)) $ (-637 (-1151)))) (-15 -3696 ((-637 (-1151)) $ (-637 (-1151)))))) 
+((-4320 (((-1263) $) 7)) (-3942 (((-855) $) 8))) 
+(((-400) (-1289)) (T -400)) 
+((-4320 (*1 *2 *1) (-12 (-4 *1 (-400)) (-5 *2 (-1263))))) 
+(-13 (-1203) (-611 (-855)) (-10 -8 (-15 -4320 ((-1263) $)))) 
+(((-611 (-855)) . T) ((-1203) . T)) 
+((-3337 (((-3 $ "failed") (-311 (-384))) 19) (((-3 $ "failed") (-311 (-571))) 17) (((-3 $ "failed") (-958 (-384))) 15) (((-3 $ "failed") (-958 (-571))) 13) (((-3 $ "failed") (-412 (-958 (-384)))) 11) (((-3 $ "failed") (-412 (-958 (-571)))) 9)) (-1316 (($ (-311 (-384))) 20) (($ (-311 (-571))) 18) (($ (-958 (-384))) 16) (($ (-958 (-571))) 14) (($ (-412 (-958 (-384)))) 12) (($ (-412 (-958 (-571)))) 10)) (-4320 (((-1263) $) 7)) (-3942 (((-855) $) 8) (($ (-637 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 21))) 
+(((-401) (-1289)) (T -401)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-4 *1 (-401)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-401)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-4 *1 (-401)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-311 (-384))) (-4 *1 (-401)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-384))) (-4 *1 (-401)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-311 (-571))) (-4 *1 (-401)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-571))) (-4 *1 (-401)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-958 (-384))) (-4 *1 (-401)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-958 (-384))) (-4 *1 (-401)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-958 (-571))) (-4 *1 (-401)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-958 (-571))) (-4 *1 (-401)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-412 (-958 (-384)))) (-4 *1 (-401)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-412 (-958 (-384)))) (-4 *1 (-401)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-412 (-958 (-571)))) (-4 *1 (-401)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-412 (-958 (-571)))) (-4 *1 (-401))))) 
+(-13 (-400) (-10 -8 (-15 -3942 ($ (-637 (-329)))) (-15 -3942 ($ (-329))) (-15 -3942 ($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329)))))) (-15 -1316 ($ (-311 (-384)))) (-15 -3337 ((-3 $ "failed") (-311 (-384)))) (-15 -1316 ($ (-311 (-571)))) (-15 -3337 ((-3 $ "failed") (-311 (-571)))) (-15 -1316 ($ (-958 (-384)))) (-15 -3337 ((-3 $ "failed") (-958 (-384)))) (-15 -1316 ($ (-958 (-571)))) (-15 -3337 ((-3 $ "failed") (-958 (-571)))) (-15 -1316 ($ (-412 (-958 (-384))))) (-15 -3337 ((-3 $ "failed") (-412 (-958 (-384))))) (-15 -1316 ($ (-412 (-958 (-571))))) (-15 -3337 ((-3 $ "failed") (-412 (-958 (-571))))))) 
+(((-611 (-855)) . T) ((-400) . T) ((-1203) . T)) 
+((-2431 (((-637 (-1151)) (-637 (-1151))) 8)) (-4320 (((-1263) (-393)) 27)) (-2602 (((-1101) (-1169) (-637 (-1169)) (-1172) (-637 (-1169))) 59) (((-1101) (-1169) (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169)))) (-637 (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169))))) (-637 (-1169)) (-1169)) 35) (((-1101) (-1169) (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169)))) (-637 (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169))))) (-637 (-1169))) 34))) 
+(((-402) (-10 -7 (-15 -2602 ((-1101) (-1169) (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169)))) (-637 (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169))))) (-637 (-1169)))) (-15 -2602 ((-1101) (-1169) (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169)))) (-637 (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169))))) (-637 (-1169)) (-1169))) (-15 -2602 ((-1101) (-1169) (-637 (-1169)) (-1172) (-637 (-1169)))) (-15 -4320 ((-1263) (-393))) (-15 -2431 ((-637 (-1151)) (-637 (-1151)))))) (T -402)) 
+((-2431 (*1 *2 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-402)))) (-4320 (*1 *2 *3) (-12 (-5 *3 (-393)) (-5 *2 (-1263)) (-5 *1 (-402)))) (-2602 (*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-637 (-1169))) (-5 *5 (-1172)) (-5 *3 (-1169)) (-5 *2 (-1101)) (-5 *1 (-402)))) (-2602 (*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-637 (-637 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-637 (-3 (|:| |array| (-637 *3)) (|:| |scalar| (-1169))))) (-5 *6 (-637 (-1169))) (-5 *3 (-1169)) (-5 *2 (-1101)) (-5 *1 (-402)))) (-2602 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-637 (-637 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-637 (-3 (|:| |array| (-637 *3)) (|:| |scalar| (-1169))))) (-5 *6 (-637 (-1169))) (-5 *3 (-1169)) (-5 *2 (-1101)) (-5 *1 (-402))))) 
+(-10 -7 (-15 -2602 ((-1101) (-1169) (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169)))) (-637 (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169))))) (-637 (-1169)))) (-15 -2602 ((-1101) (-1169) (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169)))) (-637 (-637 (-3 (|:| |array| (-637 (-1169))) (|:| |scalar| (-1169))))) (-637 (-1169)) (-1169))) (-15 -2602 ((-1101) (-1169) (-637 (-1169)) (-1172) (-637 (-1169)))) (-15 -4320 ((-1263) (-393))) (-15 -2431 ((-637 (-1151)) (-637 (-1151))))) 
+((-4320 (((-1263) $) 37)) (-3942 (((-855) $) 89) (($ (-329)) 92) (($ (-637 (-329))) 91) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 88) (($ (-311 (-695))) 52) (($ (-311 (-693))) 66) (($ (-311 (-688))) 78) (($ (-289 (-311 (-695)))) 62) (($ (-289 (-311 (-693)))) 74) (($ (-289 (-311 (-688)))) 86) (($ (-311 (-571))) 96) (($ (-311 (-384))) 108) (($ (-311 (-170 (-384)))) 120) (($ (-289 (-311 (-571)))) 104) (($ (-289 (-311 (-384)))) 116) (($ (-289 (-311 (-170 (-384))))) 128))) 
+(((-403 |#1| |#2| |#3| |#4|) (-13 (-400) (-10 -8 (-15 -3942 ($ (-329))) (-15 -3942 ($ (-637 (-329)))) (-15 -3942 ($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329)))))) (-15 -3942 ($ (-311 (-695)))) (-15 -3942 ($ (-311 (-693)))) (-15 -3942 ($ (-311 (-688)))) (-15 -3942 ($ (-289 (-311 (-695))))) (-15 -3942 ($ (-289 (-311 (-693))))) (-15 -3942 ($ (-289 (-311 (-688))))) (-15 -3942 ($ (-311 (-571)))) (-15 -3942 ($ (-311 (-384)))) (-15 -3942 ($ (-311 (-170 (-384))))) (-15 -3942 ($ (-289 (-311 (-571))))) (-15 -3942 ($ (-289 (-311 (-384))))) (-15 -3942 ($ (-289 (-311 (-170 (-384)))))))) (-1169) (-3 (|:| |fst| (-439)) (|:| -3124 "void")) (-637 (-1169)) (-1173)) (T -403)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-329)) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-311 (-695))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-311 (-693))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-311 (-688))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-695)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-693)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-688)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-311 (-571))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-311 (-384))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-384)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-571)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-384)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-170 (-384))))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173))))) 
+(-13 (-400) (-10 -8 (-15 -3942 ($ (-329))) (-15 -3942 ($ (-637 (-329)))) (-15 -3942 ($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329)))))) (-15 -3942 ($ (-311 (-695)))) (-15 -3942 ($ (-311 (-693)))) (-15 -3942 ($ (-311 (-688)))) (-15 -3942 ($ (-289 (-311 (-695))))) (-15 -3942 ($ (-289 (-311 (-693))))) (-15 -3942 ($ (-289 (-311 (-688))))) (-15 -3942 ($ (-311 (-571)))) (-15 -3942 ($ (-311 (-384)))) (-15 -3942 ($ (-311 (-170 (-384))))) (-15 -3942 ($ (-289 (-311 (-571))))) (-15 -3942 ($ (-289 (-311 (-384))))) (-15 -3942 ($ (-289 (-311 (-170 (-384)))))))) 
+((-2234 (((-121) $ $) NIL)) (-4536 ((|#2| $) 36)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4033 (($ (-412 |#2|)) 84)) (-2261 (((-637 (-2 (|:| -2154 (-768)) (|:| -1681 |#2|) (|:| |num| |#2|))) $) 37)) (-3096 (($ $) 32) (($ $ (-768)) 34)) (-4050 (((-412 |#2|) $) 46)) (-3891 (($ (-637 (-2 (|:| -2154 (-768)) (|:| -1681 |#2|) (|:| |num| |#2|)))) 31)) (-3942 (((-855) $) 120)) (-1544 (($ $) 33) (($ $ (-768)) 35)) (-1323 (((-121) $ $) NIL)) (-1367 (($ |#2| $) 39))) 
+(((-404 |#1| |#2|) (-13 (-1097) (-612 (-412 |#2|)) (-10 -8 (-15 -1367 ($ |#2| $)) (-15 -4033 ($ (-412 |#2|))) (-15 -4536 (|#2| $)) (-15 -2261 ((-637 (-2 (|:| -2154 (-768)) (|:| -1681 |#2|) (|:| |num| |#2|))) $)) (-15 -3891 ($ (-637 (-2 (|:| -2154 (-768)) (|:| -1681 |#2|) (|:| |num| |#2|))))) (-15 -3096 ($ $)) (-15 -1544 ($ $)) (-15 -3096 ($ $ (-768))) (-15 -1544 ($ $ (-768))))) (-13 (-367) (-151)) (-1233 |#1|)) (T -404)) 
+((-1367 (*1 *1 *2 *1) (-12 (-4 *3 (-13 (-367) (-151))) (-5 *1 (-404 *3 *2)) (-4 *2 (-1233 *3)))) (-4033 (*1 *1 *2) (-12 (-5 *2 (-412 *4)) (-4 *4 (-1233 *3)) (-4 *3 (-13 (-367) (-151))) (-5 *1 (-404 *3 *4)))) (-4536 (*1 *2 *1) (-12 (-4 *2 (-1233 *3)) (-5 *1 (-404 *3 *2)) (-4 *3 (-13 (-367) (-151))))) (-2261 (*1 *2 *1) (-12 (-4 *3 (-13 (-367) (-151))) (-5 *2 (-637 (-2 (|:| -2154 (-768)) (|:| -1681 *4) (|:| |num| *4)))) (-5 *1 (-404 *3 *4)) (-4 *4 (-1233 *3)))) (-3891 (*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -2154 (-768)) (|:| -1681 *4) (|:| |num| *4)))) (-4 *4 (-1233 *3)) (-4 *3 (-13 (-367) (-151))) (-5 *1 (-404 *3 *4)))) (-3096 (*1 *1 *1) (-12 (-4 *2 (-13 (-367) (-151))) (-5 *1 (-404 *2 *3)) (-4 *3 (-1233 *2)))) (-1544 (*1 *1 *1) (-12 (-4 *2 (-13 (-367) (-151))) (-5 *1 (-404 *2 *3)) (-4 *3 (-1233 *2)))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *3 (-13 (-367) (-151))) (-5 *1 (-404 *3 *4)) (-4 *4 (-1233 *3)))) (-1544 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *3 (-13 (-367) (-151))) (-5 *1 (-404 *3 *4)) (-4 *4 (-1233 *3))))) 
+(-13 (-1097) (-612 (-412 |#2|)) (-10 -8 (-15 -1367 ($ |#2| $)) (-15 -4033 ($ (-412 |#2|))) (-15 -4536 (|#2| $)) (-15 -2261 ((-637 (-2 (|:| -2154 (-768)) (|:| -1681 |#2|) (|:| |num| |#2|))) $)) (-15 -3891 ($ (-637 (-2 (|:| -2154 (-768)) (|:| -1681 |#2|) (|:| |num| |#2|))))) (-15 -3096 ($ $)) (-15 -1544 ($ $)) (-15 -3096 ($ $ (-768))) (-15 -1544 ($ $ (-768))))) 
+((-2234 (((-121) $ $) 9 (-1831 (|has| |#1| (-886 (-571))) (|has| |#1| (-886 (-384)))))) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 15 (|has| |#1| (-886 (-384)))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 14 (|has| |#1| (-886 (-571))))) (-3944 (((-1151) $) 13 (-1831 (|has| |#1| (-886 (-571))) (|has| |#1| (-886 (-384)))))) (-2580 (((-1115) $) 12 (-1831 (|has| |#1| (-886 (-571))) (|has| |#1| (-886 (-384)))))) (-3942 (((-855) $) 11 (-1831 (|has| |#1| (-886 (-571))) (|has| |#1| (-886 (-384)))))) (-1323 (((-121) $ $) 10 (-1831 (|has| |#1| (-886 (-571))) (|has| |#1| (-886 (-384))))))) 
+(((-405 |#1|) (-1289) (-1203)) (T -405)) 
+NIL 
+(-13 (-1203) (-10 -7 (IF (|has| |t#1| (-886 (-571))) (-6 (-886 (-571))) |noBranch|) (IF (|has| |t#1| (-886 (-384))) (-6 (-886 (-384))) |noBranch|))) 
+(((-105) -1831 (|has| |#1| (-886 (-571))) (|has| |#1| (-886 (-384)))) ((-611 (-855)) -1831 (|has| |#1| (-886 (-571))) (|has| |#1| (-886 (-384)))) ((-886 (-384)) |has| |#1| (-886 (-384))) ((-886 (-571)) |has| |#1| (-886 (-571))) ((-1097) -1831 (|has| |#1| (-886 (-571))) (|has| |#1| (-886 (-384)))) ((-1203) . T)) 
+((-2442 (($ $) 10) (($ $ (-768)) 11))) 
+(((-406 |#1|) (-10 -8 (-15 -2442 (|#1| |#1| (-768))) (-15 -2442 (|#1| |#1|))) (-407)) (T -406)) 
+NIL 
+(-10 -8 (-15 -2442 (|#1| |#1| (-768))) (-15 -2442 (|#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1295 (((-121) $ $) 57)) (-2269 (($) 16 T CONST)) (-2162 (($ $ $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-2442 (($ $) 75) (($ $ (-768)) 74)) (-1596 (((-121) $) 69)) (-3347 (((-833 (-922)) $) 77)) (-2583 (((-121) $) 30)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-1305 (((-3 (-768) "failed") $ $) 76)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63)) (-2346 (((-3 $ "failed") $) 78)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64))) 
+(((-407) (-1289)) (T -407)) 
+((-3347 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-833 (-922))))) (-1305 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-407)) (-5 *2 (-768)))) (-2442 (*1 *1 *1) (-4 *1 (-407))) (-2442 (*1 *1 *1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-768))))) 
+(-13 (-367) (-149) (-10 -8 (-15 -3347 ((-833 (-922)) $)) (-15 -1305 ((-3 (-768) "failed") $ $)) (-15 -2442 ($ $)) (-15 -2442 ($ $ (-768))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-611 (-855)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-367) . T) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-1059 (-412 (-571))) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T)) 
+((-3967 (($ (-571) (-571)) 11) (($ (-571) (-571) (-922)) NIL)) (-2437 (((-922)) 16) (((-922) (-922)) NIL))) 
+(((-408 |#1|) (-10 -8 (-15 -2437 ((-922) (-922))) (-15 -2437 ((-922))) (-15 -3967 (|#1| (-571) (-571) (-922))) (-15 -3967 (|#1| (-571) (-571)))) (-409)) (T -408)) 
+((-2437 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-408 *3)) (-4 *3 (-409)))) (-2437 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-408 *3)) (-4 *3 (-409))))) 
+(-10 -8 (-15 -2437 ((-922) (-922))) (-15 -2437 ((-922))) (-15 -3967 (|#1| (-571) (-571) (-922))) (-15 -3967 (|#1| (-571) (-571)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-1533 (((-571) $) 85)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-1934 (($ $) 83)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-4158 (($ $) 93)) (-1295 (((-121) $ $) 57)) (-3203 (((-571) $) 110)) (-2269 (($) 16 T CONST)) (-2528 (($ $) 82)) (-3337 (((-3 (-571) "failed") $) 98) (((-3 (-412 (-571)) "failed") $) 95)) (-1316 (((-571) $) 97) (((-412 (-571)) $) 94)) (-2162 (($ $ $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1596 (((-121) $) 69)) (-1524 (((-922)) 119) (((-922) (-922)) 116 (|has| $ (-6 -4591)))) (-2093 (((-121) $) 108)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 89)) (-3347 (((-571) $) 125)) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 92)) (-3477 (($ $) 88)) (-4086 (((-121) $) 109)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-1763 (($ $ $) 107) (($) 113 (-12 (-2931 (|has| $ (-6 -4591))) (-2931 (|has| $ (-6 -4583)))))) (-2383 (($ $ $) 106) (($) 112 (-12 (-2931 (|has| $ (-6 -4591))) (-2931 (|has| $ (-6 -4583)))))) (-2186 (((-571) $) 122)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-2161 (((-922) (-571)) 115 (|has| $ (-6 -4591)))) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-3762 (($ $) 84)) (-3955 (($ $) 86)) (-3967 (($ (-571) (-571)) 127) (($ (-571) (-571) (-922)) 126)) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-2154 (((-571) $) 123)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-2437 (((-922)) 120) (((-922) (-922)) 117 (|has| $ (-6 -4591)))) (-2904 (((-922) (-571)) 114 (|has| $ (-6 -4591)))) (-4050 (((-384) $) 101) (((-216) $) 100) (((-892 (-384)) $) 90)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63) (($ (-571)) 99) (($ (-412 (-571))) 96)) (-2661 (((-768)) 28)) (-2325 (($ $) 87)) (-3284 (((-922)) 121) (((-922) (-922)) 118 (|has| $ (-6 -4591)))) (-3468 (((-922)) 124)) (-1388 (((-121) $ $) 38)) (-1902 (($ $) 111)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1350 (((-121) $ $) 104)) (-1338 (((-121) $ $) 103)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 105)) (-1331 (((-121) $ $) 102)) (-1379 (($ $ $) 62)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66) (($ $ (-412 (-571))) 91)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64))) 
+(((-409) (-1289)) (T -409)) 
+((-3967 (*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-4 *1 (-409)))) (-3967 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-571)) (-5 *3 (-922)) (-4 *1 (-409)))) (-3347 (*1 *2 *1) (-12 (-4 *1 (-409)) (-5 *2 (-571)))) (-3468 (*1 *2) (-12 (-4 *1 (-409)) (-5 *2 (-922)))) (-2154 (*1 *2 *1) (-12 (-4 *1 (-409)) (-5 *2 (-571)))) (-2186 (*1 *2 *1) (-12 (-4 *1 (-409)) (-5 *2 (-571)))) (-3284 (*1 *2) (-12 (-4 *1 (-409)) (-5 *2 (-922)))) (-2437 (*1 *2) (-12 (-4 *1 (-409)) (-5 *2 (-922)))) (-1524 (*1 *2) (-12 (-4 *1 (-409)) (-5 *2 (-922)))) (-3284 (*1 *2 *2) (-12 (-5 *2 (-922)) (|has| *1 (-6 -4591)) (-4 *1 (-409)))) (-2437 (*1 *2 *2) (-12 (-5 *2 (-922)) (|has| *1 (-6 -4591)) (-4 *1 (-409)))) (-1524 (*1 *2 *2) (-12 (-5 *2 (-922)) (|has| *1 (-6 -4591)) (-4 *1 (-409)))) (-2161 (*1 *2 *3) (-12 (-5 *3 (-571)) (|has| *1 (-6 -4591)) (-4 *1 (-409)) (-5 *2 (-922)))) (-2904 (*1 *2 *3) (-12 (-5 *3 (-571)) (|has| *1 (-6 -4591)) (-4 *1 (-409)) (-5 *2 (-922)))) (-1763 (*1 *1) (-12 (-4 *1 (-409)) (-2931 (|has| *1 (-6 -4591))) (-2931 (|has| *1 (-6 -4583))))) (-2383 (*1 *1) (-12 (-4 *1 (-409)) (-2931 (|has| *1 (-6 -4591))) (-2931 (|has| *1 (-6 -4583)))))) 
+(-13 (-1062) (-10 -8 (-6 -3367) (-15 -3967 ($ (-571) (-571))) (-15 -3967 ($ (-571) (-571) (-922))) (-15 -3347 ((-571) $)) (-15 -3468 ((-922))) (-15 -2154 ((-571) $)) (-15 -2186 ((-571) $)) (-15 -3284 ((-922))) (-15 -2437 ((-922))) (-15 -1524 ((-922))) (IF (|has| $ (-6 -4591)) (PROGN (-15 -3284 ((-922) (-922))) (-15 -2437 ((-922) (-922))) (-15 -1524 ((-922) (-922))) (-15 -2161 ((-922) (-571))) (-15 -2904 ((-922) (-571)))) |noBranch|) (IF (|has| $ (-6 -4583)) |noBranch| (IF (|has| $ (-6 -4591)) |noBranch| (PROGN (-15 -1763 ($)) (-15 -2383 ($))))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-611 (-855)) . T) ((-173) . T) ((-612 (-216)) . T) ((-612 (-384)) . T) ((-612 (-892 (-384))) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-367) . T) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 $) . T) ((-721) . T) ((-791) . T) ((-792) . T) ((-794) . T) ((-795) . T) ((-845) . T) ((-847) . T) ((-886 (-384)) . T) ((-921) . T) ((-1008) . T) ((-1027) . T) ((-1062) . T) ((-1043 (-412 (-571))) . T) ((-1043 (-571)) . T) ((-1059 (-412 (-571))) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T)) 
+((-3799 (((-423 |#2|) (-1 |#2| |#1|) (-423 |#1|)) 20))) 
+(((-410 |#1| |#2|) (-10 -7 (-15 -3799 ((-423 |#2|) (-1 |#2| |#1|) (-423 |#1|)))) (-561) (-561)) (T -410)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-423 *5)) (-4 *5 (-561)) (-4 *6 (-561)) (-5 *2 (-423 *6)) (-5 *1 (-410 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-423 |#2|) (-1 |#2| |#1|) (-423 |#1|)))) 
+((-3799 (((-412 |#2|) (-1 |#2| |#1|) (-412 |#1|)) 13))) 
+(((-411 |#1| |#2|) (-10 -7 (-15 -3799 ((-412 |#2|) (-1 |#2| |#1|) (-412 |#1|)))) (-561) (-561)) (T -411)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-412 *5)) (-4 *5 (-561)) (-4 *6 (-561)) (-5 *2 (-412 *6)) (-5 *1 (-411 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-412 |#2|) (-1 |#2| |#1|) (-412 |#1|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 13)) (-1533 ((|#1| $) 21 (|has| |#1| (-302)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL (|has| |#1| (-820)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) 17) (((-3 (-1169) "failed") $) NIL (|has| |#1| (-1043 (-1169)))) (((-3 (-412 (-571)) "failed") $) 70 (|has| |#1| (-1043 (-571)))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571))))) (-1316 ((|#1| $) 15) (((-1169) $) NIL (|has| |#1| (-1043 (-1169)))) (((-412 (-571)) $) 67 (|has| |#1| (-1043 (-571)))) (((-571) $) NIL (|has| |#1| (-1043 (-571))))) (-2162 (($ $ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) 50)) (-3254 (($) NIL (|has| |#1| (-553)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2093 (((-121) $) NIL (|has| |#1| (-820)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| |#1| (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| |#1| (-886 (-384))))) (-2583 (((-121) $) 64)) (-3458 (($ $) NIL)) (-4474 ((|#1| $) 71)) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-1143)))) (-4086 (((-121) $) NIL (|has| |#1| (-820)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| |#1| (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 97)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL (|has| |#1| (-302)))) (-3955 ((|#1| $) 28 (|has| |#1| (-553)))) (-2796 (((-423 (-1165 $)) (-1165 $)) 133 (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) 129 (|has| |#1| (-909)))) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4483 (($ $ (-637 |#1|) (-637 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-637 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) NIL (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-1169) |#1|) NIL (|has| |#1| (-526 (-1169) |#1|)))) (-1826 (((-768) $) NIL)) (-3245 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) 63)) (-3777 (($ $) NIL)) (-4479 ((|#1| $) 73)) (-4050 (((-892 (-571)) $) NIL (|has| |#1| (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| |#1| (-612 (-892 (-384))))) (((-544) $) NIL (|has| |#1| (-612 (-544)))) (((-384) $) NIL (|has| |#1| (-1027))) (((-216) $) NIL (|has| |#1| (-1027)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 113 (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ |#1|) 10) (($ (-1169)) NIL (|has| |#1| (-1043 (-1169))))) (-2346 (((-3 $ "failed") $) 99 (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) 100)) (-2325 ((|#1| $) 26 (|has| |#1| (-553)))) (-1388 (((-121) $ $) NIL)) (-1902 (($ $) NIL (|has| |#1| (-820)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 22 T CONST)) (-3222 (($) 8 T CONST)) (-3805 (((-1151) $) 43 (-12 (|has| |#1| (-553)) (|has| |#1| (-828)))) (((-1151) $ (-121)) 44 (-12 (|has| |#1| (-553)) (|has| |#1| (-828)))) (((-1263) (-822) $) 45 (-12 (|has| |#1| (-553)) (|has| |#1| (-828)))) (((-1263) (-822) $ (-121)) 46 (-12 (|has| |#1| (-553)) (|has| |#1| (-828))))) (-1544 (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) 56)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) 24 (|has| |#1| (-847)))) (-1379 (($ $ $) 124) (($ |#1| |#1|) 52)) (-1373 (($ $) 25) (($ $ $) 55)) (-1367 (($ $ $) 53)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) 123)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 60) (($ $ $) 57) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ |#1| $) 61) (($ $ |#1|) 85))) 
+(((-412 |#1|) (-13 (-999 |#1|) (-10 -7 (IF (|has| |#1| (-553)) (IF (|has| |#1| (-828)) (-6 (-828)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4587)) (IF (|has| |#1| (-456)) (IF (|has| |#1| (-6 -4598)) (-6 -4587) |noBranch|) |noBranch|) |noBranch|))) (-561)) (T -412)) 
+NIL 
+(-13 (-999 |#1|) (-10 -7 (IF (|has| |#1| (-553)) (IF (|has| |#1| (-828)) (-6 (-828)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4587)) (IF (|has| |#1| (-456)) (IF (|has| |#1| (-6 -4598)) (-6 -4587) |noBranch|) |noBranch|) |noBranch|))) 
+((-2076 (((-684 |#2|) (-1258 $)) NIL) (((-684 |#2|)) 18)) (-3456 (($ (-1258 |#2|) (-1258 $)) NIL) (($ (-1258 |#2|)) 26)) (-3962 (((-684 |#2|) $ (-1258 $)) NIL) (((-684 |#2|) $) 22)) (-4400 ((|#3| $) 59)) (-1475 ((|#2| (-1258 $)) NIL) ((|#2|) 20)) (-3723 (((-1258 |#2|) $ (-1258 $)) NIL) (((-684 |#2|) (-1258 $) (-1258 $)) NIL) (((-1258 |#2|) $) NIL) (((-684 |#2|) (-1258 $)) 24)) (-4050 (((-1258 |#2|) $) 11) (($ (-1258 |#2|)) 13)) (-3393 ((|#3| $) 51))) 
+(((-413 |#1| |#2| |#3|) (-10 -8 (-15 -3962 ((-684 |#2|) |#1|)) (-15 -1475 (|#2|)) (-15 -2076 ((-684 |#2|))) (-15 -4050 (|#1| (-1258 |#2|))) (-15 -4050 ((-1258 |#2|) |#1|)) (-15 -3456 (|#1| (-1258 |#2|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1|)) (-15 -4400 (|#3| |#1|)) (-15 -3393 (|#3| |#1|)) (-15 -2076 ((-684 |#2|) (-1258 |#1|))) (-15 -1475 (|#2| (-1258 |#1|))) (-15 -3456 (|#1| (-1258 |#2|) (-1258 |#1|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1| (-1258 |#1|))) (-15 -3962 ((-684 |#2|) |#1| (-1258 |#1|)))) (-414 |#2| |#3|) (-173) (-1233 |#2|)) (T -413)) 
+((-2076 (*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-684 *4)) (-5 *1 (-413 *3 *4 *5)) (-4 *3 (-414 *4 *5)))) (-1475 (*1 *2) (-12 (-4 *4 (-1233 *2)) (-4 *2 (-173)) (-5 *1 (-413 *3 *2 *4)) (-4 *3 (-414 *2 *4))))) 
+(-10 -8 (-15 -3962 ((-684 |#2|) |#1|)) (-15 -1475 (|#2|)) (-15 -2076 ((-684 |#2|))) (-15 -4050 (|#1| (-1258 |#2|))) (-15 -4050 ((-1258 |#2|) |#1|)) (-15 -3456 (|#1| (-1258 |#2|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1|)) (-15 -4400 (|#3| |#1|)) (-15 -3393 (|#3| |#1|)) (-15 -2076 ((-684 |#2|) (-1258 |#1|))) (-15 -1475 (|#2| (-1258 |#1|))) (-15 -3456 (|#1| (-1258 |#2|) (-1258 |#1|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1| (-1258 |#1|))) (-15 -3962 ((-684 |#2|) |#1| (-1258 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-2076 (((-684 |#1|) (-1258 $)) 44) (((-684 |#1|)) 55)) (-3490 ((|#1| $) 50)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3456 (($ (-1258 |#1|) (-1258 $)) 46) (($ (-1258 |#1|)) 58)) (-3962 (((-684 |#1|) $ (-1258 $)) 51) (((-684 |#1|) $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-3241 (((-922)) 52)) (-2583 (((-121) $) 30)) (-3477 ((|#1| $) 49)) (-4400 ((|#2| $) 42 (|has| |#1| (-367)))) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1475 ((|#1| (-1258 $)) 45) ((|#1|) 54)) (-3723 (((-1258 |#1|) $ (-1258 $)) 48) (((-684 |#1|) (-1258 $) (-1258 $)) 47) (((-1258 |#1|) $) 60) (((-684 |#1|) (-1258 $)) 59)) (-4050 (((-1258 |#1|) $) 57) (($ (-1258 |#1|)) 56)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 36)) (-2346 (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-3393 ((|#2| $) 43)) (-2661 (((-768)) 28)) (-1899 (((-1258 $)) 61)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-414 |#1| |#2|) (-1289) (-173) (-1233 |t#1|)) (T -414)) 
+((-1899 (*1 *2) (-12 (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-1258 *1)) (-4 *1 (-414 *3 *4)))) (-3723 (*1 *2 *1) (-12 (-4 *1 (-414 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-1258 *3)))) (-3723 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-414 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-684 *4)))) (-3456 (*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-173)) (-4 *1 (-414 *3 *4)) (-4 *4 (-1233 *3)))) (-4050 (*1 *2 *1) (-12 (-4 *1 (-414 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-1258 *3)))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-173)) (-4 *1 (-414 *3 *4)) (-4 *4 (-1233 *3)))) (-2076 (*1 *2) (-12 (-4 *1 (-414 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-684 *3)))) (-1475 (*1 *2) (-12 (-4 *1 (-414 *2 *3)) (-4 *3 (-1233 *2)) (-4 *2 (-173)))) (-3962 (*1 *2 *1) (-12 (-4 *1 (-414 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-684 *3))))) 
+(-13 (-375 |t#1| |t#2|) (-10 -8 (-15 -1899 ((-1258 $))) (-15 -3723 ((-1258 |t#1|) $)) (-15 -3723 ((-684 |t#1|) (-1258 $))) (-15 -3456 ($ (-1258 |t#1|))) (-15 -4050 ((-1258 |t#1|) $)) (-15 -4050 ($ (-1258 |t#1|))) (-15 -2076 ((-684 |t#1|))) (-15 -1475 (|t#1|)) (-15 -3962 ((-684 |t#1|) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-375 |#1| |#2|) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-712 |#1|) . T) ((-721) . T) ((-1059 |#1|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) 27) (((-3 (-571) "failed") $) 19)) (-1316 ((|#2| $) NIL) (((-412 (-571)) $) 24) (((-571) $) 14)) (-3942 (($ |#2|) NIL) (($ (-412 (-571))) 22) (($ (-571)) 11))) 
+(((-415 |#1| |#2|) (-10 -8 (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -3942 (|#1| (-571))) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| |#2|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -1316 (|#2| |#1|))) (-416 |#2|) (-1203)) (T -415)) 
+NIL 
+(-10 -8 (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -3942 (|#1| (-571))) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| |#2|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -1316 (|#2| |#1|))) 
+((-3337 (((-3 |#1| "failed") $) 7) (((-3 (-412 (-571)) "failed") $) 15 (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) 12 (|has| |#1| (-1043 (-571))))) (-1316 ((|#1| $) 8) (((-412 (-571)) $) 14 (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) 11 (|has| |#1| (-1043 (-571))))) (-3942 (($ |#1|) 6) (($ (-412 (-571))) 16 (|has| |#1| (-1043 (-412 (-571))))) (($ (-571)) 13 (|has| |#1| (-1043 (-571)))))) 
+(((-416 |#1|) (-1289) (-1203)) (T -416)) 
+NIL 
+(-13 (-1043 |t#1|) (-10 -7 (IF (|has| |t#1| (-1043 (-571))) (-6 (-1043 (-571))) |noBranch|) (IF (|has| |t#1| (-1043 (-412 (-571)))) (-6 (-1043 (-412 (-571)))) |noBranch|))) 
+(((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T)) 
+((-3799 (((-418 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-418 |#1| |#2| |#3| |#4|)) 33))) 
+(((-417 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -3799 ((-418 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-418 |#1| |#2| |#3| |#4|)))) (-302) (-999 |#1|) (-1233 |#2|) (-13 (-414 |#2| |#3|) (-1043 |#2|)) (-302) (-999 |#5|) (-1233 |#6|) (-13 (-414 |#6| |#7|) (-1043 |#6|))) (T -417)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-418 *5 *6 *7 *8)) (-4 *5 (-302)) (-4 *6 (-999 *5)) (-4 *7 (-1233 *6)) (-4 *8 (-13 (-414 *6 *7) (-1043 *6))) (-4 *9 (-302)) (-4 *10 (-999 *9)) (-4 *11 (-1233 *10)) (-5 *2 (-418 *9 *10 *11 *12)) (-5 *1 (-417 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-414 *10 *11) (-1043 *10)))))) 
+(-10 -7 (-15 -3799 ((-418 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-418 |#1| |#2| |#3| |#4|)))) 
+((-2234 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL)) (-1692 ((|#4| (-768) (-1258 |#4|)) 55)) (-2583 (((-121) $) NIL)) (-4474 (((-1258 |#4|) $) 17)) (-3477 ((|#2| $) 53)) (-2321 (($ $) 136)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 98)) (-1644 (($ (-1258 |#4|)) 97)) (-2580 (((-1115) $) NIL)) (-4479 ((|#1| $) 18)) (-2911 (($ $ $) NIL)) (-2212 (($ $ $) NIL)) (-3942 (((-855) $) 131)) (-1899 (((-1258 |#4|) $) 126)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-3222 (($) 11 T CONST)) (-1323 (((-121) $ $) 39)) (-1379 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) 119)) (* (($ $ $) 118))) 
+(((-418 |#1| |#2| |#3| |#4|) (-13 (-481) (-10 -8 (-15 -1644 ($ (-1258 |#4|))) (-15 -1899 ((-1258 |#4|) $)) (-15 -3477 (|#2| $)) (-15 -4474 ((-1258 |#4|) $)) (-15 -4479 (|#1| $)) (-15 -2321 ($ $)) (-15 -1692 (|#4| (-768) (-1258 |#4|))))) (-302) (-999 |#1|) (-1233 |#2|) (-13 (-414 |#2| |#3|) (-1043 |#2|))) (T -418)) 
+((-1644 (*1 *1 *2) (-12 (-5 *2 (-1258 *6)) (-4 *6 (-13 (-414 *4 *5) (-1043 *4))) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-4 *3 (-302)) (-5 *1 (-418 *3 *4 *5 *6)))) (-1899 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-5 *2 (-1258 *6)) (-5 *1 (-418 *3 *4 *5 *6)) (-4 *6 (-13 (-414 *4 *5) (-1043 *4))))) (-3477 (*1 *2 *1) (-12 (-4 *4 (-1233 *2)) (-4 *2 (-999 *3)) (-5 *1 (-418 *3 *2 *4 *5)) (-4 *3 (-302)) (-4 *5 (-13 (-414 *2 *4) (-1043 *2))))) (-4474 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-5 *2 (-1258 *6)) (-5 *1 (-418 *3 *4 *5 *6)) (-4 *6 (-13 (-414 *4 *5) (-1043 *4))))) (-4479 (*1 *2 *1) (-12 (-4 *3 (-999 *2)) (-4 *4 (-1233 *3)) (-4 *2 (-302)) (-5 *1 (-418 *2 *3 *4 *5)) (-4 *5 (-13 (-414 *3 *4) (-1043 *3))))) (-2321 (*1 *1 *1) (-12 (-4 *2 (-302)) (-4 *3 (-999 *2)) (-4 *4 (-1233 *3)) (-5 *1 (-418 *2 *3 *4 *5)) (-4 *5 (-13 (-414 *3 *4) (-1043 *3))))) (-1692 (*1 *2 *3 *4) (-12 (-5 *3 (-768)) (-5 *4 (-1258 *2)) (-4 *5 (-302)) (-4 *6 (-999 *5)) (-4 *2 (-13 (-414 *6 *7) (-1043 *6))) (-5 *1 (-418 *5 *6 *7 *2)) (-4 *7 (-1233 *6))))) 
+(-13 (-481) (-10 -8 (-15 -1644 ($ (-1258 |#4|))) (-15 -1899 ((-1258 |#4|) $)) (-15 -3477 (|#2| $)) (-15 -4474 ((-1258 |#4|) $)) (-15 -4479 (|#1| $)) (-15 -2321 ($ $)) (-15 -1692 (|#4| (-768) (-1258 |#4|))))) 
+((-2234 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-3477 ((|#2| $) 60)) (-3270 (($ (-1258 |#4|)) 25) (($ (-418 |#1| |#2| |#3| |#4|)) 75 (|has| |#4| (-1043 |#2|)))) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 34)) (-1899 (((-1258 |#4|) $) 26)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-3222 (($) 23 T CONST)) (-1323 (((-121) $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ $ $) 72))) 
+(((-419 |#1| |#2| |#3| |#4| |#5|) (-13 (-721) (-10 -8 (-15 -1899 ((-1258 |#4|) $)) (-15 -3477 (|#2| $)) (-15 -3270 ($ (-1258 |#4|))) (IF (|has| |#4| (-1043 |#2|)) (-15 -3270 ($ (-418 |#1| |#2| |#3| |#4|))) |noBranch|))) (-302) (-999 |#1|) (-1233 |#2|) (-414 |#2| |#3|) (-1258 |#4|)) (T -419)) 
+((-1899 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-5 *2 (-1258 *6)) (-5 *1 (-419 *3 *4 *5 *6 *7)) (-4 *6 (-414 *4 *5)) (-14 *7 *2))) (-3477 (*1 *2 *1) (-12 (-4 *4 (-1233 *2)) (-4 *2 (-999 *3)) (-5 *1 (-419 *3 *2 *4 *5 *6)) (-4 *3 (-302)) (-4 *5 (-414 *2 *4)) (-14 *6 (-1258 *5)))) (-3270 (*1 *1 *2) (-12 (-5 *2 (-1258 *6)) (-4 *6 (-414 *4 *5)) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-4 *3 (-302)) (-5 *1 (-419 *3 *4 *5 *6 *7)) (-14 *7 *2))) (-3270 (*1 *1 *2) (-12 (-5 *2 (-418 *3 *4 *5 *6)) (-4 *6 (-1043 *4)) (-4 *3 (-302)) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-4 *6 (-414 *4 *5)) (-14 *7 (-1258 *6)) (-5 *1 (-419 *3 *4 *5 *6 *7))))) 
+(-13 (-721) (-10 -8 (-15 -1899 ((-1258 |#4|) $)) (-15 -3477 (|#2| $)) (-15 -3270 ($ (-1258 |#4|))) (IF (|has| |#4| (-1043 |#2|)) (-15 -3270 ($ (-418 |#1| |#2| |#3| |#4|))) |noBranch|))) 
+((-3799 ((|#3| (-1 |#4| |#2|) |#1|) 26))) 
+(((-420 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3799 (|#3| (-1 |#4| |#2|) |#1|))) (-422 |#2|) (-173) (-422 |#4|) (-173)) (T -420)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-422 *6)) (-5 *1 (-420 *4 *5 *2 *6)) (-4 *4 (-422 *5))))) 
+(-10 -7 (-15 -3799 (|#3| (-1 |#4| |#2|) |#1|))) 
+((-3691 (((-3 $ "failed")) 85)) (-3247 (((-1258 (-684 |#2|)) (-1258 $)) NIL) (((-1258 (-684 |#2|))) 90)) (-4094 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) 84)) (-2655 (((-3 $ "failed")) 83)) (-4560 (((-684 |#2|) (-1258 $)) NIL) (((-684 |#2|)) 101)) (-3583 (((-684 |#2|) $ (-1258 $)) NIL) (((-684 |#2|) $) 109)) (-2838 (((-1165 (-958 |#2|))) 54)) (-2630 ((|#2| (-1258 $)) NIL) ((|#2|) 105)) (-3456 (($ (-1258 |#2|) (-1258 $)) NIL) (($ (-1258 |#2|)) 112)) (-1697 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) 82)) (-3150 (((-3 $ "failed")) 74)) (-3945 (((-684 |#2|) (-1258 $)) NIL) (((-684 |#2|)) 99)) (-3344 (((-684 |#2|) $ (-1258 $)) NIL) (((-684 |#2|) $) 107)) (-3064 (((-1165 (-958 |#2|))) 53)) (-1474 ((|#2| (-1258 $)) NIL) ((|#2|) 103)) (-3723 (((-1258 |#2|) $ (-1258 $)) NIL) (((-684 |#2|) (-1258 $) (-1258 $)) NIL) (((-1258 |#2|) $) NIL) (((-684 |#2|) (-1258 $)) 111)) (-4050 (((-1258 |#2|) $) 95) (($ (-1258 |#2|)) 97)) (-2962 (((-637 (-958 |#2|)) (-1258 $)) NIL) (((-637 (-958 |#2|))) 93)) (-4288 (($ (-684 |#2|) $) 89))) 
+(((-421 |#1| |#2|) (-10 -8 (-15 -4288 (|#1| (-684 |#2|) |#1|)) (-15 -2838 ((-1165 (-958 |#2|)))) (-15 -3064 ((-1165 (-958 |#2|)))) (-15 -3583 ((-684 |#2|) |#1|)) (-15 -3344 ((-684 |#2|) |#1|)) (-15 -4560 ((-684 |#2|))) (-15 -3945 ((-684 |#2|))) (-15 -2630 (|#2|)) (-15 -1474 (|#2|)) (-15 -4050 (|#1| (-1258 |#2|))) (-15 -4050 ((-1258 |#2|) |#1|)) (-15 -3456 (|#1| (-1258 |#2|))) (-15 -2962 ((-637 (-958 |#2|)))) (-15 -3247 ((-1258 (-684 |#2|)))) (-15 -3723 ((-684 |#2|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1|)) (-15 -3691 ((-3 |#1| "failed"))) (-15 -2655 ((-3 |#1| "failed"))) (-15 -3150 ((-3 |#1| "failed"))) (-15 -4094 ((-3 (-2 (|:| |particular| |#1|) (|:| -1899 (-637 |#1|))) "failed"))) (-15 -1697 ((-3 (-2 (|:| |particular| |#1|) (|:| -1899 (-637 |#1|))) "failed"))) (-15 -4560 ((-684 |#2|) (-1258 |#1|))) (-15 -3945 ((-684 |#2|) (-1258 |#1|))) (-15 -2630 (|#2| (-1258 |#1|))) (-15 -1474 (|#2| (-1258 |#1|))) (-15 -3456 (|#1| (-1258 |#2|) (-1258 |#1|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1| (-1258 |#1|))) (-15 -3583 ((-684 |#2|) |#1| (-1258 |#1|))) (-15 -3344 ((-684 |#2|) |#1| (-1258 |#1|))) (-15 -3247 ((-1258 (-684 |#2|)) (-1258 |#1|))) (-15 -2962 ((-637 (-958 |#2|)) (-1258 |#1|)))) (-422 |#2|) (-173)) (T -421)) 
+((-3247 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1258 (-684 *4))) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) (-2962 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-637 (-958 *4))) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) (-1474 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-421 *3 *2)) (-4 *3 (-422 *2)))) (-2630 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-421 *3 *2)) (-4 *3 (-422 *2)))) (-3945 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-684 *4)) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) (-4560 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-684 *4)) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) (-3064 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1165 (-958 *4))) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) (-2838 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1165 (-958 *4))) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4))))) 
+(-10 -8 (-15 -4288 (|#1| (-684 |#2|) |#1|)) (-15 -2838 ((-1165 (-958 |#2|)))) (-15 -3064 ((-1165 (-958 |#2|)))) (-15 -3583 ((-684 |#2|) |#1|)) (-15 -3344 ((-684 |#2|) |#1|)) (-15 -4560 ((-684 |#2|))) (-15 -3945 ((-684 |#2|))) (-15 -2630 (|#2|)) (-15 -1474 (|#2|)) (-15 -4050 (|#1| (-1258 |#2|))) (-15 -4050 ((-1258 |#2|) |#1|)) (-15 -3456 (|#1| (-1258 |#2|))) (-15 -2962 ((-637 (-958 |#2|)))) (-15 -3247 ((-1258 (-684 |#2|)))) (-15 -3723 ((-684 |#2|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1|)) (-15 -3691 ((-3 |#1| "failed"))) (-15 -2655 ((-3 |#1| "failed"))) (-15 -3150 ((-3 |#1| "failed"))) (-15 -4094 ((-3 (-2 (|:| |particular| |#1|) (|:| -1899 (-637 |#1|))) "failed"))) (-15 -1697 ((-3 (-2 (|:| |particular| |#1|) (|:| -1899 (-637 |#1|))) "failed"))) (-15 -4560 ((-684 |#2|) (-1258 |#1|))) (-15 -3945 ((-684 |#2|) (-1258 |#1|))) (-15 -2630 (|#2| (-1258 |#1|))) (-15 -1474 (|#2| (-1258 |#1|))) (-15 -3456 (|#1| (-1258 |#2|) (-1258 |#1|))) (-15 -3723 ((-684 |#2|) (-1258 |#1|) (-1258 |#1|))) (-15 -3723 ((-1258 |#2|) |#1| (-1258 |#1|))) (-15 -3583 ((-684 |#2|) |#1| (-1258 |#1|))) (-15 -3344 ((-684 |#2|) |#1| (-1258 |#1|))) (-15 -3247 ((-1258 (-684 |#2|)) (-1258 |#1|))) (-15 -2962 ((-637 (-958 |#2|)) (-1258 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3691 (((-3 $ "failed")) 35 (|has| |#1| (-561)))) (-4176 (((-3 $ "failed") $ $) 18)) (-3247 (((-1258 (-684 |#1|)) (-1258 $)) 76) (((-1258 (-684 |#1|))) 93)) (-2664 (((-1258 $)) 79)) (-2269 (($) 16 T CONST)) (-4094 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) 38 (|has| |#1| (-561)))) (-2655 (((-3 $ "failed")) 36 (|has| |#1| (-561)))) (-4560 (((-684 |#1|) (-1258 $)) 63) (((-684 |#1|)) 85)) (-2110 ((|#1| $) 72)) (-3583 (((-684 |#1|) $ (-1258 $)) 74) (((-684 |#1|) $) 83)) (-4555 (((-3 $ "failed") $) 43 (|has| |#1| (-561)))) (-2838 (((-1165 (-958 |#1|))) 81 (|has| |#1| (-367)))) (-3116 (($ $ (-922)) 27)) (-4463 ((|#1| $) 70)) (-4051 (((-1165 |#1|) $) 40 (|has| |#1| (-561)))) (-2630 ((|#1| (-1258 $)) 65) ((|#1|) 87)) (-2015 (((-1165 |#1|) $) 61)) (-2249 (((-121)) 55)) (-3456 (($ (-1258 |#1|) (-1258 $)) 67) (($ (-1258 |#1|)) 91)) (-3978 (((-3 $ "failed") $) 45 (|has| |#1| (-561)))) (-3241 (((-922)) 78)) (-2232 (((-121)) 52)) (-1869 (($ $ (-922)) 32)) (-3981 (((-121)) 48)) (-1896 (((-121)) 46)) (-1626 (((-121)) 50)) (-1697 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) 39 (|has| |#1| (-561)))) (-3150 (((-3 $ "failed")) 37 (|has| |#1| (-561)))) (-3945 (((-684 |#1|) (-1258 $)) 64) (((-684 |#1|)) 86)) (-4456 ((|#1| $) 73)) (-3344 (((-684 |#1|) $ (-1258 $)) 75) (((-684 |#1|) $) 84)) (-3151 (((-3 $ "failed") $) 44 (|has| |#1| (-561)))) (-3064 (((-1165 (-958 |#1|))) 82 (|has| |#1| (-367)))) (-4406 (($ $ (-922)) 28)) (-3829 ((|#1| $) 71)) (-1759 (((-1165 |#1|) $) 41 (|has| |#1| (-561)))) (-1474 ((|#1| (-1258 $)) 66) ((|#1|) 88)) (-1459 (((-1165 |#1|) $) 62)) (-4465 (((-121)) 56)) (-3944 (((-1151) $) 9)) (-4323 (((-121)) 47)) (-4499 (((-121)) 49)) (-2926 (((-121)) 51)) (-2580 (((-1115) $) 10)) (-1849 (((-121)) 54)) (-3245 ((|#1| $ (-571)) 94)) (-3723 (((-1258 |#1|) $ (-1258 $)) 69) (((-684 |#1|) (-1258 $) (-1258 $)) 68) (((-1258 |#1|) $) 96) (((-684 |#1|) (-1258 $)) 95)) (-4050 (((-1258 |#1|) $) 90) (($ (-1258 |#1|)) 89)) (-2962 (((-637 (-958 |#1|)) (-1258 $)) 77) (((-637 (-958 |#1|))) 92)) (-2212 (($ $ $) 24)) (-3154 (((-121)) 60)) (-3942 (((-855) $) 11)) (-1899 (((-1258 $)) 97)) (-4071 (((-637 (-1258 |#1|))) 42 (|has| |#1| (-561)))) (-3100 (($ $ $ $) 25)) (-3904 (((-121)) 58)) (-4288 (($ (-684 |#1|) $) 80)) (-2493 (($ $ $) 23)) (-2742 (((-121)) 59)) (-2740 (((-121)) 57)) (-1582 (((-121)) 53)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 29)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((-422 |#1|) (-1289) (-173)) (T -422)) 
+((-1899 (*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1258 *1)) (-4 *1 (-422 *3)))) (-3723 (*1 *2 *1) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-1258 *3)))) (-3723 (*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-422 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-422 *2)) (-4 *2 (-173)))) (-3247 (*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-1258 (-684 *3))))) (-2962 (*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-637 (-958 *3))))) (-3456 (*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-173)) (-4 *1 (-422 *3)))) (-4050 (*1 *2 *1) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-1258 *3)))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-173)) (-4 *1 (-422 *3)))) (-1474 (*1 *2) (-12 (-4 *1 (-422 *2)) (-4 *2 (-173)))) (-2630 (*1 *2) (-12 (-4 *1 (-422 *2)) (-4 *2 (-173)))) (-3945 (*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-684 *3)))) (-4560 (*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-684 *3)))) (-3344 (*1 *2 *1) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-684 *3)))) (-3583 (*1 *2 *1) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-684 *3)))) (-3064 (*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-4 *3 (-367)) (-5 *2 (-1165 (-958 *3))))) (-2838 (*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-4 *3 (-367)) (-5 *2 (-1165 (-958 *3))))) (-4288 (*1 *1 *2 *1) (-12 (-5 *2 (-684 *3)) (-4 *1 (-422 *3)) (-4 *3 (-173))))) 
+(-13 (-371 |t#1|) (-10 -8 (-15 -1899 ((-1258 $))) (-15 -3723 ((-1258 |t#1|) $)) (-15 -3723 ((-684 |t#1|) (-1258 $))) (-15 -3245 (|t#1| $ (-571))) (-15 -3247 ((-1258 (-684 |t#1|)))) (-15 -2962 ((-637 (-958 |t#1|)))) (-15 -3456 ($ (-1258 |t#1|))) (-15 -4050 ((-1258 |t#1|) $)) (-15 -4050 ($ (-1258 |t#1|))) (-15 -1474 (|t#1|)) (-15 -2630 (|t#1|)) (-15 -3945 ((-684 |t#1|))) (-15 -4560 ((-684 |t#1|))) (-15 -3344 ((-684 |t#1|) $)) (-15 -3583 ((-684 |t#1|) $)) (IF (|has| |t#1| (-367)) (PROGN (-15 -3064 ((-1165 (-958 |t#1|)))) (-15 -2838 ((-1165 (-958 |t#1|))))) |noBranch|) (-15 -4288 ($ (-684 |t#1|) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-371 |#1|) . T) ((-640 |#1|) . T) ((-712 |#1|) . T) ((-715) . T) ((-741 |#1|) . T) ((-758) . T) ((-1059 |#1|) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 40)) (-2973 (($ $) 55)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 142)) (-1415 (($ $) NIL)) (-2545 (((-121) $) 34)) (-3691 ((|#1| $) 12)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL (|has| |#1| (-1213)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-1213)))) (-1588 (($ |#1| (-571)) 30)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 112)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) 53)) (-3978 (((-3 $ "failed") $) 127)) (-3437 (((-3 (-412 (-571)) "failed") $) 61 (|has| |#1| (-553)))) (-3330 (((-121) $) 57 (|has| |#1| (-553)))) (-3450 (((-412 (-571)) $) 59 (|has| |#1| (-553)))) (-3065 (($ |#1| (-571)) 32)) (-1596 (((-121) $) 148 (|has| |#1| (-1213)))) (-2583 (((-121) $) 41)) (-3634 (((-768) $) 36)) (-3072 (((-3 "nil" "sqfr" "irred" "prime") $ (-571)) 133)) (-2408 ((|#1| $ (-571)) 132)) (-2783 (((-571) $ (-571)) 131)) (-1647 (($ |#1| (-571)) 29)) (-3799 (($ (-1 |#1| |#1|) $) 139)) (-1346 (($ |#1| (-637 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-571))))) 56)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-3944 (((-1151) $) NIL)) (-3521 (($ |#1| (-571)) 31)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) 143 (|has| |#1| (-456)))) (-4556 (($ |#1| (-571) (-3 "nil" "sqfr" "irred" "prime")) 28)) (-2842 (((-637 (-2 (|:| -4262 |#1|) (|:| -2154 (-571)))) $) 52)) (-1293 (((-637 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-571)))) $) 11)) (-4262 (((-423 $) $) NIL (|has| |#1| (-1213)))) (-1786 (((-3 $ "failed") $ $) 134)) (-2154 (((-571) $) 128)) (-2507 ((|#1| $) 54)) (-4483 (($ $ (-637 |#1|) (-637 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-637 (-289 |#1|))) 76 (|has| |#1| (-304 |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) 81 (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-1169) |#1|) NIL (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-1169) $) NIL (|has| |#1| (-526 (-1169) $))) (($ $ (-637 (-1169)) (-637 $)) 82 (|has| |#1| (-526 (-1169) $))) (($ $ (-637 (-289 $))) 78 (|has| |#1| (-304 $))) (($ $ (-289 $)) NIL (|has| |#1| (-304 $))) (($ $ $ $) NIL (|has| |#1| (-304 $))) (($ $ (-637 $) (-637 $)) NIL (|has| |#1| (-304 $)))) (-3245 (($ $ |#1|) 68 (|has| |#1| (-282 |#1| |#1|))) (($ $ $) 69 (|has| |#1| (-282 $ $)))) (-3096 (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) 138)) (-4050 (((-544) $) 26 (|has| |#1| (-612 (-544)))) (((-384) $) 88 (|has| |#1| (-1027))) (((-216) $) 91 (|has| |#1| (-1027)))) (-3942 (((-855) $) 110) (($ (-571)) 44) (($ $) NIL) (($ |#1|) 43) (($ (-412 (-571))) NIL (|has| |#1| (-1043 (-412 (-571)))))) (-2661 (((-768)) 46)) (-1388 (((-121) $ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 38 T CONST)) (-3222 (($) 37 T CONST)) (-1544 (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1323 (((-121) $ $) 92)) (-1373 (($ $) 124) (($ $ $) NIL)) (-1367 (($ $ $) 136)) (** (($ $ (-922)) NIL) (($ $ (-768)) 98)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 48) (($ $ $) 47) (($ |#1| $) 49) (($ $ |#1|) NIL))) 
+(((-423 |#1|) (-13 (-561) (-224 |#1|) (-43 |#1|) (-337 |#1|) (-416 |#1|) (-10 -8 (-15 -2507 (|#1| $)) (-15 -2154 ((-571) $)) (-15 -1346 ($ |#1| (-637 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-571)))))) (-15 -1293 ((-637 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-571)))) $)) (-15 -1647 ($ |#1| (-571))) (-15 -2842 ((-637 (-2 (|:| -4262 |#1|) (|:| -2154 (-571)))) $)) (-15 -3521 ($ |#1| (-571))) (-15 -2783 ((-571) $ (-571))) (-15 -2408 (|#1| $ (-571))) (-15 -3072 ((-3 "nil" "sqfr" "irred" "prime") $ (-571))) (-15 -3634 ((-768) $)) (-15 -3065 ($ |#1| (-571))) (-15 -1588 ($ |#1| (-571))) (-15 -4556 ($ |#1| (-571) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -3691 (|#1| $)) (-15 -2973 ($ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-456)) (-6 (-456)) |noBranch|) (IF (|has| |#1| (-1027)) (-6 (-1027)) |noBranch|) (IF (|has| |#1| (-1213)) (-6 (-1213)) |noBranch|) (IF (|has| |#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) (IF (|has| |#1| (-553)) (PROGN (-15 -3330 ((-121) $)) (-15 -3450 ((-412 (-571)) $)) (-15 -3437 ((-3 (-412 (-571)) "failed") $))) |noBranch|) (IF (|has| |#1| (-282 $ $)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |#1| (-304 $)) (-6 (-304 $)) |noBranch|) (IF (|has| |#1| (-526 (-1169) $)) (-6 (-526 (-1169) $)) |noBranch|))) (-561)) (T -423)) 
+((-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-561)) (-5 *1 (-423 *3)))) (-2507 (*1 *2 *1) (-12 (-5 *1 (-423 *2)) (-4 *2 (-561)))) (-2154 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-423 *3)) (-4 *3 (-561)))) (-1346 (*1 *1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-571))))) (-4 *2 (-561)) (-5 *1 (-423 *2)))) (-1293 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-571))))) (-5 *1 (-423 *3)) (-4 *3 (-561)))) (-1647 (*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-423 *2)) (-4 *2 (-561)))) (-2842 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| -4262 *3) (|:| -2154 (-571))))) (-5 *1 (-423 *3)) (-4 *3 (-561)))) (-3521 (*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-423 *2)) (-4 *2 (-561)))) (-2783 (*1 *2 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-423 *3)) (-4 *3 (-561)))) (-2408 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-423 *2)) (-4 *2 (-561)))) (-3072 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-423 *4)) (-4 *4 (-561)))) (-3634 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-423 *3)) (-4 *3 (-561)))) (-3065 (*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-423 *2)) (-4 *2 (-561)))) (-1588 (*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-423 *2)) (-4 *2 (-561)))) (-4556 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-571)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-423 *2)) (-4 *2 (-561)))) (-3691 (*1 *2 *1) (-12 (-5 *1 (-423 *2)) (-4 *2 (-561)))) (-2973 (*1 *1 *1) (-12 (-5 *1 (-423 *2)) (-4 *2 (-561)))) (-3330 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-423 *3)) (-4 *3 (-553)) (-4 *3 (-561)))) (-3450 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-423 *3)) (-4 *3 (-553)) (-4 *3 (-561)))) (-3437 (*1 *2 *1) (|partial| -12 (-5 *2 (-412 (-571))) (-5 *1 (-423 *3)) (-4 *3 (-553)) (-4 *3 (-561))))) 
+(-13 (-561) (-224 |#1|) (-43 |#1|) (-337 |#1|) (-416 |#1|) (-10 -8 (-15 -2507 (|#1| $)) (-15 -2154 ((-571) $)) (-15 -1346 ($ |#1| (-637 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-571)))))) (-15 -1293 ((-637 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-571)))) $)) (-15 -1647 ($ |#1| (-571))) (-15 -2842 ((-637 (-2 (|:| -4262 |#1|) (|:| -2154 (-571)))) $)) (-15 -3521 ($ |#1| (-571))) (-15 -2783 ((-571) $ (-571))) (-15 -2408 (|#1| $ (-571))) (-15 -3072 ((-3 "nil" "sqfr" "irred" "prime") $ (-571))) (-15 -3634 ((-768) $)) (-15 -3065 ($ |#1| (-571))) (-15 -1588 ($ |#1| (-571))) (-15 -4556 ($ |#1| (-571) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -3691 (|#1| $)) (-15 -2973 ($ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-456)) (-6 (-456)) |noBranch|) (IF (|has| |#1| (-1027)) (-6 (-1027)) |noBranch|) (IF (|has| |#1| (-1213)) (-6 (-1213)) |noBranch|) (IF (|has| |#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) (IF (|has| |#1| (-553)) (PROGN (-15 -3330 ((-121) $)) (-15 -3450 ((-412 (-571)) $)) (-15 -3437 ((-3 (-412 (-571)) "failed") $))) |noBranch|) (IF (|has| |#1| (-282 $ $)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |#1| (-304 $)) (-6 (-304 $)) |noBranch|) (IF (|has| |#1| (-526 (-1169) $)) (-6 (-526 (-1169) $)) |noBranch|))) 
+((-2299 (((-423 |#1|) (-423 |#1|) (-1 (-423 |#1|) |#1|)) 20)) (-1678 (((-423 |#1|) (-423 |#1|) (-423 |#1|)) 15))) 
+(((-424 |#1|) (-10 -7 (-15 -2299 ((-423 |#1|) (-423 |#1|) (-1 (-423 |#1|) |#1|))) (-15 -1678 ((-423 |#1|) (-423 |#1|) (-423 |#1|)))) (-561)) (T -424)) 
+((-1678 (*1 *2 *2 *2) (-12 (-5 *2 (-423 *3)) (-4 *3 (-561)) (-5 *1 (-424 *3)))) (-2299 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-423 *4) *4)) (-4 *4 (-561)) (-5 *2 (-423 *4)) (-5 *1 (-424 *4))))) 
+(-10 -7 (-15 -2299 ((-423 |#1|) (-423 |#1|) (-1 (-423 |#1|) |#1|))) (-15 -1678 ((-423 |#1|) (-423 |#1|) (-423 |#1|)))) 
+((-2831 ((|#2| |#2|) 160)) (-2340 (((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151))))) |#2| (-121)) 55))) 
+(((-425 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2340 ((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151))))) |#2| (-121))) (-15 -2831 (|#2| |#2|))) (-13 (-456) (-847) (-1043 (-571)) (-633 (-571))) (-13 (-27) (-1189) (-435 |#1|)) (-1169) |#2|) (T -425)) 
+((-2831 (*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-425 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1189) (-435 *3))) (-14 *4 (-1169)) (-14 *5 *2))) (-2340 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |%expansion| (-308 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151)))))) (-5 *1 (-425 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-14 *6 (-1169)) (-14 *7 *3)))) 
+(-10 -7 (-15 -2340 ((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151))))) |#2| (-121))) (-15 -2831 (|#2| |#2|))) 
+((-3799 ((|#4| (-1 |#3| |#1|) |#2|) 11))) 
+(((-426 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3799 (|#4| (-1 |#3| |#1|) |#2|))) (-13 (-1053) (-847)) (-435 |#1|) (-13 (-1053) (-847)) (-435 |#3|)) (T -426)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1053) (-847))) (-4 *6 (-13 (-1053) (-847))) (-4 *2 (-435 *6)) (-5 *1 (-426 *5 *4 *6 *2)) (-4 *4 (-435 *5))))) 
+(-10 -7 (-15 -3799 (|#4| (-1 |#3| |#1|) |#2|))) 
+((-2831 ((|#2| |#2|) 87)) (-2937 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151))))) |#2| (-121) (-1151)) 46)) (-3293 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151))))) |#2| (-121) (-1151)) 152))) 
+(((-427 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2937 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151))))) |#2| (-121) (-1151))) (-15 -3293 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151))))) |#2| (-121) (-1151))) (-15 -2831 (|#2| |#2|))) (-13 (-456) (-847) (-1043 (-571)) (-633 (-571))) (-13 (-27) (-1189) (-435 |#1|) (-10 -8 (-15 -3942 ($ |#3|)))) (-845) (-13 (-1235 |#2| |#3|) (-367) (-1189) (-10 -8 (-15 -3096 ($ $)) (-15 -3403 ($ $)))) (-990 |#4|) (-1169)) (T -427)) 
+((-2831 (*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-4 *2 (-13 (-27) (-1189) (-435 *3) (-10 -8 (-15 -3942 ($ *4))))) (-4 *4 (-845)) (-4 *5 (-13 (-1235 *2 *4) (-367) (-1189) (-10 -8 (-15 -3096 ($ $)) (-15 -3403 ($ $))))) (-5 *1 (-427 *3 *2 *4 *5 *6 *7)) (-4 *6 (-990 *5)) (-14 *7 (-1169)))) (-3293 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-4 *3 (-13 (-27) (-1189) (-435 *6) (-10 -8 (-15 -3942 ($ *7))))) (-4 *7 (-845)) (-4 *8 (-13 (-1235 *3 *7) (-367) (-1189) (-10 -8 (-15 -3096 ($ $)) (-15 -3403 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151)))))) (-5 *1 (-427 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1151)) (-4 *9 (-990 *8)) (-14 *10 (-1169)))) (-2937 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-4 *3 (-13 (-27) (-1189) (-435 *6) (-10 -8 (-15 -3942 ($ *7))))) (-4 *7 (-845)) (-4 *8 (-13 (-1235 *3 *7) (-367) (-1189) (-10 -8 (-15 -3096 ($ $)) (-15 -3403 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151)))))) (-5 *1 (-427 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1151)) (-4 *9 (-990 *8)) (-14 *10 (-1169))))) 
+(-10 -7 (-15 -2937 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151))))) |#2| (-121) (-1151))) (-15 -3293 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151))))) |#2| (-121) (-1151))) (-15 -2831 (|#2| |#2|))) 
+((-2094 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 22)) (-3074 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 20)) (-3799 ((|#4| (-1 |#3| |#1|) |#2|) 17))) 
+(((-428 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3799 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3074 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2094 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1097) (-430 |#1|) (-1097) (-430 |#3|)) (T -428)) 
+((-2094 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1097)) (-4 *5 (-1097)) (-4 *2 (-430 *5)) (-5 *1 (-428 *6 *4 *5 *2)) (-4 *4 (-430 *6)))) (-3074 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1097)) (-4 *2 (-1097)) (-5 *1 (-428 *5 *4 *2 *6)) (-4 *4 (-430 *5)) (-4 *6 (-430 *2)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-430 *6)) (-5 *1 (-428 *5 *4 *6 *2)) (-4 *4 (-430 *5))))) 
+(-10 -7 (-15 -3799 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -3074 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2094 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
+((-4172 (($) 44)) (-3486 (($ |#2| $) NIL) (($ $ |#2|) NIL) (($ $ $) 40)) (-1768 (($ $ $) 39)) (-2559 (((-121) $ $) 28)) (-4407 (((-768)) 47)) (-4458 (($ (-637 |#2|)) 20) (($) NIL)) (-3254 (($) 53)) (-1763 ((|#2| $) 61)) (-2383 ((|#2| $) 59)) (-4470 (((-922) $) 55)) (-4017 (($ $ $) 35)) (-1755 (($ (-922)) 50)) (-3629 (($ $ |#2|) NIL) (($ $ $) 38)) (-1569 (((-768) (-1 (-121) |#2|) $) NIL) (((-768) |#2| $) 26)) (-3891 (($ (-637 |#2|)) 24)) (-3800 (($ $) 46)) (-3942 (((-855) $) 33)) (-4025 (((-768) $) 21)) (-4303 (($ (-637 |#2|)) 19) (($) NIL)) (-1323 (((-121) $ $) 16)) (-1331 (((-121) $ $) 13))) 
+(((-429 |#1| |#2|) (-10 -8 (-15 -4407 ((-768))) (-15 -1755 (|#1| (-922))) (-15 -4470 ((-922) |#1|)) (-15 -3254 (|#1|)) (-15 -1763 (|#2| |#1|)) (-15 -2383 (|#2| |#1|)) (-15 -4172 (|#1|)) (-15 -3800 (|#1| |#1|)) (-15 -4025 ((-768) |#1|)) (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1331 ((-121) |#1| |#1|)) (-15 -4303 (|#1|)) (-15 -4303 (|#1| (-637 |#2|))) (-15 -4458 (|#1|)) (-15 -4458 (|#1| (-637 |#2|))) (-15 -4017 (|#1| |#1| |#1|)) (-15 -3629 (|#1| |#1| |#1|)) (-15 -3629 (|#1| |#1| |#2|)) (-15 -1768 (|#1| |#1| |#1|)) (-15 -2559 ((-121) |#1| |#1|)) (-15 -3486 (|#1| |#1| |#1|)) (-15 -3486 (|#1| |#1| |#2|)) (-15 -3486 (|#1| |#2| |#1|)) (-15 -3891 (|#1| (-637 |#2|))) (-15 -1569 ((-768) |#2| |#1|)) (-15 -1569 ((-768) (-1 (-121) |#2|) |#1|))) (-430 |#2|) (-1097)) (T -429)) 
+((-4407 (*1 *2) (-12 (-4 *4 (-1097)) (-5 *2 (-768)) (-5 *1 (-429 *3 *4)) (-4 *3 (-430 *4))))) 
+(-10 -8 (-15 -4407 ((-768))) (-15 -1755 (|#1| (-922))) (-15 -4470 ((-922) |#1|)) (-15 -3254 (|#1|)) (-15 -1763 (|#2| |#1|)) (-15 -2383 (|#2| |#1|)) (-15 -4172 (|#1|)) (-15 -3800 (|#1| |#1|)) (-15 -4025 ((-768) |#1|)) (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1331 ((-121) |#1| |#1|)) (-15 -4303 (|#1|)) (-15 -4303 (|#1| (-637 |#2|))) (-15 -4458 (|#1|)) (-15 -4458 (|#1| (-637 |#2|))) (-15 -4017 (|#1| |#1| |#1|)) (-15 -3629 (|#1| |#1| |#1|)) (-15 -3629 (|#1| |#1| |#2|)) (-15 -1768 (|#1| |#1| |#1|)) (-15 -2559 ((-121) |#1| |#1|)) (-15 -3486 (|#1| |#1| |#1|)) (-15 -3486 (|#1| |#1| |#2|)) (-15 -3486 (|#1| |#2| |#1|)) (-15 -3891 (|#1| (-637 |#2|))) (-15 -1569 ((-768) |#2| |#1|)) (-15 -1569 ((-768) (-1 (-121) |#2|) |#1|))) 
+((-2234 (((-121) $ $) 18)) (-4172 (($) 64 (|has| |#1| (-373)))) (-3486 (($ |#1| $) 79) (($ $ |#1|) 78) (($ $ $) 77)) (-1768 (($ $ $) 75)) (-2559 (((-121) $ $) 76)) (-3133 (((-121) $ (-768)) 8)) (-4407 (((-768)) 57 (|has| |#1| (-373)))) (-4458 (($ (-637 |#1|)) 71) (($) 70)) (-3129 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-4365 (($ $) 55 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1599 (($ |#1| $) 44 (|has| $ (-6 -4600))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4600)))) (-3412 (($ |#1| $) 54 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4600)))) (-3254 (($) 60 (|has| |#1| (-373)))) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-1763 ((|#1| $) 62 (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-2383 ((|#1| $) 63 (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-4470 (((-922) $) 59 (|has| |#1| (-373)))) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22)) (-4017 (($ $ $) 72)) (-2377 ((|#1| $) 36)) (-2863 (($ |#1| $) 37)) (-1755 (($ (-922)) 58 (|has| |#1| (-373)))) (-2580 (((-1115) $) 21)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-3804 (((-637 $)) 61 (|has| |#1| (-373)))) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3629 (($ $ |#1|) 74) (($ $ $) 73)) (-3563 (($) 46) (($ (-637 |#1|)) 45)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 56 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 47)) (-3800 (($ $) 65 (|has| |#1| (-373)))) (-3942 (((-855) $) 20)) (-4025 (((-768) $) 66)) (-4303 (($ (-637 |#1|)) 69) (($) 68)) (-3700 (($ (-637 |#1|)) 39)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19)) (-1331 (((-121) $ $) 67)) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-430 |#1|) (-1289) (-1097)) (T -430)) 
+((-4025 (*1 *2 *1) (-12 (-4 *1 (-430 *3)) (-4 *3 (-1097)) (-5 *2 (-768)))) (-3800 (*1 *1 *1) (-12 (-4 *1 (-430 *2)) (-4 *2 (-1097)) (-4 *2 (-373)))) (-4172 (*1 *1) (-12 (-4 *1 (-430 *2)) (-4 *2 (-373)) (-4 *2 (-1097)))) (-2383 (*1 *2 *1) (-12 (-4 *1 (-430 *2)) (-4 *2 (-1097)) (-4 *2 (-847)))) (-1763 (*1 *2 *1) (-12 (-4 *1 (-430 *2)) (-4 *2 (-1097)) (-4 *2 (-847))))) 
+(-13 (-222 |t#1|) (-1094 |t#1|) (-10 -8 (-6 -4600) (-15 -4025 ((-768) $)) (IF (|has| |t#1| (-373)) (PROGN (-6 (-373)) (-15 -3800 ($ $)) (-15 -4172 ($))) |noBranch|) (IF (|has| |t#1| (-847)) (PROGN (-15 -2383 (|t#1| $)) (-15 -1763 (|t#1| $))) |noBranch|))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-611 (-855)) . T) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-222 |#1|) . T) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-373) |has| |#1| (-373)) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1094 |#1|) . T) ((-1097) . T) ((-1203) . T)) 
+((-1714 (((-588 |#2|) |#2| (-1169)) 35)) (-3749 (((-588 |#2|) |#2| (-1169)) 19)) (-3080 ((|#2| |#2| (-1169)) 24))) 
+(((-431 |#1| |#2|) (-10 -7 (-15 -3749 ((-588 |#2|) |#2| (-1169))) (-15 -1714 ((-588 |#2|) |#2| (-1169))) (-15 -3080 (|#2| |#2| (-1169)))) (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571))) (-13 (-1189) (-29 |#1|))) (T -431)) 
+((-3080 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-431 *4 *2)) (-4 *2 (-13 (-1189) (-29 *4))))) (-1714 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1189) (-29 *5))))) (-3749 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1189) (-29 *5)))))) 
+(-10 -7 (-15 -3749 ((-588 |#2|) |#2| (-1169))) (-15 -1714 ((-588 |#2|) |#2| (-1169))) (-15 -3080 (|#2| |#2| (-1169)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-2495 (($ |#2| |#1|) 35)) (-3295 (($ |#2| |#1|) 33)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL) (($ (-330 |#2|)) 25)) (-2661 (((-768)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 10 T CONST)) (-3222 (($) 16 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 34)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 36) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-432 |#1| |#2|) (-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4587)) (IF (|has| |#1| (-6 -4587)) (-6 -4587) |noBranch|) |noBranch|) (-15 -3942 ($ |#1|)) (-15 -3942 ($ (-330 |#2|))) (-15 -2495 ($ |#2| |#1|)) (-15 -3295 ($ |#2| |#1|)))) (-13 (-173) (-43 (-412 (-571)))) (-13 (-847) (-21))) (T -432)) 
+((-3942 (*1 *1 *2) (-12 (-5 *1 (-432 *2 *3)) (-4 *2 (-13 (-173) (-43 (-412 (-571))))) (-4 *3 (-13 (-847) (-21))))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-330 *4)) (-4 *4 (-13 (-847) (-21))) (-5 *1 (-432 *3 *4)) (-4 *3 (-13 (-173) (-43 (-412 (-571))))))) (-2495 (*1 *1 *2 *3) (-12 (-5 *1 (-432 *3 *2)) (-4 *3 (-13 (-173) (-43 (-412 (-571))))) (-4 *2 (-13 (-847) (-21))))) (-3295 (*1 *1 *2 *3) (-12 (-5 *1 (-432 *3 *2)) (-4 *3 (-13 (-173) (-43 (-412 (-571))))) (-4 *2 (-13 (-847) (-21)))))) 
+(-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4587)) (IF (|has| |#1| (-6 -4587)) (-6 -4587) |noBranch|) |noBranch|) (-15 -3942 ($ |#1|)) (-15 -3942 ($ (-330 |#2|))) (-15 -2495 ($ |#2| |#1|)) (-15 -3295 ($ |#2| |#1|)))) 
+((-3403 (((-3 |#2| (-637 |#2|)) |#2| (-1169)) 104))) 
+(((-433 |#1| |#2|) (-10 -7 (-15 -3403 ((-3 |#2| (-637 |#2|)) |#2| (-1169)))) (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571))) (-13 (-1189) (-965) (-29 |#1|))) (T -433)) 
+((-3403 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 *3 (-637 *3))) (-5 *1 (-433 *5 *3)) (-4 *3 (-13 (-1189) (-965) (-29 *5)))))) 
+(-10 -7 (-15 -3403 ((-3 |#2| (-637 |#2|)) |#2| (-1169)))) 
+((-3424 (((-637 (-1169)) $) 72)) (-4257 (((-412 (-1165 $)) $ (-610 $)) 268)) (-1448 (($ $ (-289 $)) NIL) (($ $ (-637 (-289 $))) NIL) (($ $ (-637 (-610 $)) (-637 $)) 233)) (-3337 (((-3 (-610 $) "failed") $) NIL) (((-3 (-1169) "failed") $) 75) (((-3 (-571) "failed") $) NIL) (((-3 |#2| "failed") $) 229) (((-3 (-412 (-958 |#2|)) "failed") $) 319) (((-3 (-958 |#2|) "failed") $) 231) (((-3 (-412 (-571)) "failed") $) NIL)) (-1316 (((-610 $) $) NIL) (((-1169) $) 30) (((-571) $) NIL) ((|#2| $) 227) (((-412 (-958 |#2|)) $) 300) (((-958 |#2|) $) 228) (((-412 (-571)) $) NIL)) (-3513 (((-123) (-123)) 47)) (-3458 (($ $) 87)) (-1359 (((-3 (-610 $) "failed") $) 224)) (-4251 (((-637 (-610 $)) $) 225)) (-4014 (((-3 (-637 $) "failed") $) 243)) (-2304 (((-3 (-2 (|:| |val| $) (|:| -2154 (-571))) "failed") $) 250)) (-1910 (((-3 (-637 $) "failed") $) 241)) (-3928 (((-3 (-2 (|:| -4501 (-571)) (|:| |var| (-610 $))) "failed") $) 259)) (-3925 (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $) 247) (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-123)) 214) (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-1169)) 216)) (-4321 (((-121) $) 19)) (-4326 ((|#2| $) 21)) (-4483 (($ $ (-610 $) $) NIL) (($ $ (-637 (-610 $)) (-637 $)) 232) (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ (-637 $)))) 96) (($ $ (-1169) (-1 $ (-637 $))) NIL) (($ $ (-1169) (-1 $ $)) NIL) (($ $ (-637 (-123)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-123)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-123) (-1 $ (-637 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1169)) 57) (($ $ (-637 (-1169))) 236) (($ $) 237) (($ $ (-123) $ (-1169)) 60) (($ $ (-637 (-123)) (-637 $) (-1169)) 67) (($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ $))) 107) (($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ (-637 $)))) 238) (($ $ (-1169) (-768) (-1 $ (-637 $))) 94) (($ $ (-1169) (-768) (-1 $ $)) 93)) (-3245 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-637 $)) 106)) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) 234)) (-3777 (($ $) 279)) (-4050 (((-892 (-571)) $) 253) (((-892 (-384)) $) 256) (($ (-423 $)) 315) (((-544) $) NIL)) (-3942 (((-855) $) 235) (($ (-610 $)) 84) (($ (-1169)) 26) (($ |#2|) NIL) (($ (-1120 |#2| (-610 $))) NIL) (($ (-412 |#2|)) 284) (($ (-958 (-412 |#2|))) 324) (($ (-412 (-958 (-412 |#2|)))) 296) (($ (-412 (-958 |#2|))) 290) (($ $) NIL) (($ (-958 |#2|)) 183) (($ (-412 (-571))) 329) (($ (-571)) NIL)) (-2661 (((-768)) 79)) (-3090 (((-121) (-123)) 41)) (-2943 (($ (-1169) $) 33) (($ (-1169) $ $) 34) (($ (-1169) $ $ $) 35) (($ (-1169) $ $ $ $) 36) (($ (-1169) (-637 $)) 39)) (* (($ (-412 (-571)) $) NIL) (($ $ (-412 (-571))) NIL) (($ |#2| $) 261) (($ $ |#2|) NIL) (($ $ $) NIL) (($ (-571) $) NIL) (($ (-768) $) NIL) (($ (-922) $) NIL))) 
+(((-434 |#1| |#2|) (-10 -8 (-15 * (|#1| (-922) |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -2661 ((-768))) (-15 -3942 (|#1| (-571))) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -4050 ((-544) |#1|)) (-15 -1316 ((-958 |#2|) |#1|)) (-15 -3337 ((-3 (-958 |#2|) "failed") |#1|)) (-15 -3942 (|#1| (-958 |#2|))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3942 (|#1| |#1|)) (-15 * (|#1| |#1| (-412 (-571)))) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 -1316 ((-412 (-958 |#2|)) |#1|)) (-15 -3337 ((-3 (-412 (-958 |#2|)) "failed") |#1|)) (-15 -3942 (|#1| (-412 (-958 |#2|)))) (-15 -4257 ((-412 (-1165 |#1|)) |#1| (-610 |#1|))) (-15 -3942 (|#1| (-412 (-958 (-412 |#2|))))) (-15 -3942 (|#1| (-958 (-412 |#2|)))) (-15 -3942 (|#1| (-412 |#2|))) (-15 -3777 (|#1| |#1|)) (-15 -4050 (|#1| (-423 |#1|))) (-15 -4483 (|#1| |#1| (-1169) (-768) (-1 |#1| |#1|))) (-15 -4483 (|#1| |#1| (-1169) (-768) (-1 |#1| (-637 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-768)) (-637 (-1 |#1| (-637 |#1|))))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-768)) (-637 (-1 |#1| |#1|)))) (-15 -2304 ((-3 (-2 (|:| |val| |#1|) (|:| -2154 (-571))) "failed") |#1|)) (-15 -3925 ((-3 (-2 (|:| |var| (-610 |#1|)) (|:| -2154 (-571))) "failed") |#1| (-1169))) (-15 -3925 ((-3 (-2 (|:| |var| (-610 |#1|)) (|:| -2154 (-571))) "failed") |#1| (-123))) (-15 -3458 (|#1| |#1|)) (-15 -3942 (|#1| (-1120 |#2| (-610 |#1|)))) (-15 -3928 ((-3 (-2 (|:| -4501 (-571)) (|:| |var| (-610 |#1|))) "failed") |#1|)) (-15 -1910 ((-3 (-637 |#1|) "failed") |#1|)) (-15 -3925 ((-3 (-2 (|:| |var| (-610 |#1|)) (|:| -2154 (-571))) "failed") |#1|)) (-15 -4014 ((-3 (-637 |#1|) "failed") |#1|)) (-15 -4483 (|#1| |#1| (-637 (-123)) (-637 |#1|) (-1169))) (-15 -4483 (|#1| |#1| (-123) |#1| (-1169))) (-15 -4483 (|#1| |#1|)) (-15 -4483 (|#1| |#1| (-637 (-1169)))) (-15 -4483 (|#1| |#1| (-1169))) (-15 -2943 (|#1| (-1169) (-637 |#1|))) (-15 -2943 (|#1| (-1169) |#1| |#1| |#1| |#1|)) (-15 -2943 (|#1| (-1169) |#1| |#1| |#1|)) (-15 -2943 (|#1| (-1169) |#1| |#1|)) (-15 -2943 (|#1| (-1169) |#1|)) (-15 -3424 ((-637 (-1169)) |#1|)) (-15 -4326 (|#2| |#1|)) (-15 -4321 ((-121) |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -1316 ((-1169) |#1|)) (-15 -3337 ((-3 (-1169) "failed") |#1|)) (-15 -3942 (|#1| (-1169))) (-15 -4483 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -4483 (|#1| |#1| (-123) (-1 |#1| (-637 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-123)) (-637 (-1 |#1| (-637 |#1|))))) (-15 -4483 (|#1| |#1| (-637 (-123)) (-637 (-1 |#1| |#1|)))) (-15 -4483 (|#1| |#1| (-1169) (-1 |#1| |#1|))) (-15 -4483 (|#1| |#1| (-1169) (-1 |#1| (-637 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-1 |#1| (-637 |#1|))))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-1 |#1| |#1|)))) (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 -4251 ((-637 (-610 |#1|)) |#1|)) (-15 -1359 ((-3 (-610 |#1|) "failed") |#1|)) (-15 -1448 (|#1| |#1| (-637 (-610 |#1|)) (-637 |#1|))) (-15 -1448 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -1448 (|#1| |#1| (-289 |#1|))) (-15 -3245 (|#1| (-123) (-637 |#1|))) (-15 -3245 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1| |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1|)) (-15 -4483 (|#1| |#1| (-637 |#1|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#1| |#1|)) (-15 -4483 (|#1| |#1| (-289 |#1|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-610 |#1|)) (-637 |#1|))) (-15 -4483 (|#1| |#1| (-610 |#1|) |#1|)) (-15 -1316 ((-610 |#1|) |#1|)) (-15 -3337 ((-3 (-610 |#1|) "failed") |#1|)) (-15 -3942 (|#1| (-610 |#1|))) (-15 -3942 ((-855) |#1|))) (-435 |#2|) (-847)) (T -434)) 
+((-3513 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-847)) (-5 *1 (-434 *3 *4)) (-4 *3 (-435 *4)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-434 *4 *5)) (-4 *4 (-435 *5)))) (-2661 (*1 *2) (-12 (-4 *4 (-847)) (-5 *2 (-768)) (-5 *1 (-434 *3 *4)) (-4 *3 (-435 *4))))) 
+(-10 -8 (-15 * (|#1| (-922) |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -2661 ((-768))) (-15 -3942 (|#1| (-571))) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -4050 ((-544) |#1|)) (-15 -1316 ((-958 |#2|) |#1|)) (-15 -3337 ((-3 (-958 |#2|) "failed") |#1|)) (-15 -3942 (|#1| (-958 |#2|))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3942 (|#1| |#1|)) (-15 * (|#1| |#1| (-412 (-571)))) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 -1316 ((-412 (-958 |#2|)) |#1|)) (-15 -3337 ((-3 (-412 (-958 |#2|)) "failed") |#1|)) (-15 -3942 (|#1| (-412 (-958 |#2|)))) (-15 -4257 ((-412 (-1165 |#1|)) |#1| (-610 |#1|))) (-15 -3942 (|#1| (-412 (-958 (-412 |#2|))))) (-15 -3942 (|#1| (-958 (-412 |#2|)))) (-15 -3942 (|#1| (-412 |#2|))) (-15 -3777 (|#1| |#1|)) (-15 -4050 (|#1| (-423 |#1|))) (-15 -4483 (|#1| |#1| (-1169) (-768) (-1 |#1| |#1|))) (-15 -4483 (|#1| |#1| (-1169) (-768) (-1 |#1| (-637 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-768)) (-637 (-1 |#1| (-637 |#1|))))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-768)) (-637 (-1 |#1| |#1|)))) (-15 -2304 ((-3 (-2 (|:| |val| |#1|) (|:| -2154 (-571))) "failed") |#1|)) (-15 -3925 ((-3 (-2 (|:| |var| (-610 |#1|)) (|:| -2154 (-571))) "failed") |#1| (-1169))) (-15 -3925 ((-3 (-2 (|:| |var| (-610 |#1|)) (|:| -2154 (-571))) "failed") |#1| (-123))) (-15 -3458 (|#1| |#1|)) (-15 -3942 (|#1| (-1120 |#2| (-610 |#1|)))) (-15 -3928 ((-3 (-2 (|:| -4501 (-571)) (|:| |var| (-610 |#1|))) "failed") |#1|)) (-15 -1910 ((-3 (-637 |#1|) "failed") |#1|)) (-15 -3925 ((-3 (-2 (|:| |var| (-610 |#1|)) (|:| -2154 (-571))) "failed") |#1|)) (-15 -4014 ((-3 (-637 |#1|) "failed") |#1|)) (-15 -4483 (|#1| |#1| (-637 (-123)) (-637 |#1|) (-1169))) (-15 -4483 (|#1| |#1| (-123) |#1| (-1169))) (-15 -4483 (|#1| |#1|)) (-15 -4483 (|#1| |#1| (-637 (-1169)))) (-15 -4483 (|#1| |#1| (-1169))) (-15 -2943 (|#1| (-1169) (-637 |#1|))) (-15 -2943 (|#1| (-1169) |#1| |#1| |#1| |#1|)) (-15 -2943 (|#1| (-1169) |#1| |#1| |#1|)) (-15 -2943 (|#1| (-1169) |#1| |#1|)) (-15 -2943 (|#1| (-1169) |#1|)) (-15 -3424 ((-637 (-1169)) |#1|)) (-15 -4326 (|#2| |#1|)) (-15 -4321 ((-121) |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -1316 ((-1169) |#1|)) (-15 -3337 ((-3 (-1169) "failed") |#1|)) (-15 -3942 (|#1| (-1169))) (-15 -4483 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -4483 (|#1| |#1| (-123) (-1 |#1| (-637 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-123)) (-637 (-1 |#1| (-637 |#1|))))) (-15 -4483 (|#1| |#1| (-637 (-123)) (-637 (-1 |#1| |#1|)))) (-15 -4483 (|#1| |#1| (-1169) (-1 |#1| |#1|))) (-15 -4483 (|#1| |#1| (-1169) (-1 |#1| (-637 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-1 |#1| (-637 |#1|))))) (-15 -4483 (|#1| |#1| (-637 (-1169)) (-637 (-1 |#1| |#1|)))) (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 -4251 ((-637 (-610 |#1|)) |#1|)) (-15 -1359 ((-3 (-610 |#1|) "failed") |#1|)) (-15 -1448 (|#1| |#1| (-637 (-610 |#1|)) (-637 |#1|))) (-15 -1448 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -1448 (|#1| |#1| (-289 |#1|))) (-15 -3245 (|#1| (-123) (-637 |#1|))) (-15 -3245 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1| |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1| |#1|)) (-15 -3245 (|#1| (-123) |#1|)) (-15 -4483 (|#1| |#1| (-637 |#1|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#1| |#1|)) (-15 -4483 (|#1| |#1| (-289 |#1|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -4483 (|#1| |#1| (-637 (-610 |#1|)) (-637 |#1|))) (-15 -4483 (|#1| |#1| (-610 |#1|) |#1|)) (-15 -1316 ((-610 |#1|) |#1|)) (-15 -3337 ((-3 (-610 |#1|) "failed") |#1|)) (-15 -3942 (|#1| (-610 |#1|))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 108 (|has| |#1| (-25)))) (-3424 (((-637 (-1169)) $) 195)) (-4257 (((-412 (-1165 $)) $ (-610 $)) 163 (|has| |#1| (-561)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 135 (|has| |#1| (-561)))) (-1415 (($ $) 136 (|has| |#1| (-561)))) (-2545 (((-121) $) 138 (|has| |#1| (-561)))) (-4121 (((-637 (-610 $)) $) 43)) (-4176 (((-3 $ "failed") $ $) 110 (|has| |#1| (-21)))) (-1448 (($ $ (-289 $)) 55) (($ $ (-637 (-289 $))) 54) (($ $ (-637 (-610 $)) (-637 $)) 53)) (-2356 (($ $) 155 (|has| |#1| (-561)))) (-4151 (((-423 $) $) 156 (|has| |#1| (-561)))) (-1295 (((-121) $ $) 146 (|has| |#1| (-561)))) (-2269 (($) 94 (-1831 (|has| |#1| (-1109)) (|has| |#1| (-25))) CONST)) (-3337 (((-3 (-610 $) "failed") $) 68) (((-3 (-1169) "failed") $) 208) (((-3 (-571) "failed") $) 201 (|has| |#1| (-1043 (-571)))) (((-3 |#1| "failed") $) 199) (((-3 (-412 (-958 |#1|)) "failed") $) 161 (|has| |#1| (-561))) (((-3 (-958 |#1|) "failed") $) 115 (|has| |#1| (-1053))) (((-3 (-412 (-571)) "failed") $) 87 (-1831 (-12 (|has| |#1| (-1043 (-571))) (|has| |#1| (-561))) (|has| |#1| (-1043 (-412 (-571))))))) (-1316 (((-610 $) $) 67) (((-1169) $) 207) (((-571) $) 202 (|has| |#1| (-1043 (-571)))) ((|#1| $) 198) (((-412 (-958 |#1|)) $) 160 (|has| |#1| (-561))) (((-958 |#1|) $) 114 (|has| |#1| (-1053))) (((-412 (-571)) $) 86 (-1831 (-12 (|has| |#1| (-1043 (-571))) (|has| |#1| (-561))) (|has| |#1| (-1043 (-412 (-571))))))) (-2162 (($ $ $) 150 (|has| |#1| (-561)))) (-2680 (((-684 (-571)) (-684 $)) 129 (-3997 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 128 (-3997 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 127 (|has| |#1| (-1053))) (((-684 |#1|) (-684 $)) 126 (|has| |#1| (-1053)))) (-3978 (((-3 $ "failed") $) 97 (|has| |#1| (-1109)))) (-2180 (($ $ $) 149 (|has| |#1| (-561)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 144 (|has| |#1| (-561)))) (-1596 (((-121) $) 157 (|has| |#1| (-561)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 204 (|has| |#1| (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 203 (|has| |#1| (-886 (-384))))) (-2122 (($ $) 50) (($ (-637 $)) 49)) (-3645 (((-637 (-123)) $) 42)) (-3513 (((-123) (-123)) 41)) (-2583 (((-121) $) 95 (|has| |#1| (-1109)))) (-4329 (((-121) $) 21 (|has| $ (-1043 (-571))))) (-3458 (($ $) 178 (|has| |#1| (-1053)))) (-4474 (((-1120 |#1| (-610 $)) $) 179 (|has| |#1| (-1053)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 153 (|has| |#1| (-561)))) (-4286 (((-1165 $) (-610 $)) 24 (|has| $ (-1053)))) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3799 (($ (-1 $ $) (-610 $)) 35)) (-1359 (((-3 (-610 $) "failed") $) 45)) (-1622 (($ (-637 $)) 142 (|has| |#1| (-561))) (($ $ $) 141 (|has| |#1| (-561)))) (-3944 (((-1151) $) 9)) (-4251 (((-637 (-610 $)) $) 44)) (-4485 (($ (-123) $) 37) (($ (-123) (-637 $)) 36)) (-4014 (((-3 (-637 $) "failed") $) 184 (|has| |#1| (-1109)))) (-2304 (((-3 (-2 (|:| |val| $) (|:| -2154 (-571))) "failed") $) 175 (|has| |#1| (-1053)))) (-1910 (((-3 (-637 $) "failed") $) 182 (|has| |#1| (-25)))) (-3928 (((-3 (-2 (|:| -4501 (-571)) (|:| |var| (-610 $))) "failed") $) 181 (|has| |#1| (-25)))) (-3925 (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $) 183 (|has| |#1| (-1109))) (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-123)) 177 (|has| |#1| (-1053))) (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-1169)) 176 (|has| |#1| (-1053)))) (-3340 (((-121) $ (-123)) 39) (((-121) $ (-1169)) 38)) (-4315 (($ $) 99 (-1831 (|has| |#1| (-481)) (|has| |#1| (-561))))) (-1454 (((-768) $) 46)) (-2580 (((-1115) $) 10)) (-4321 (((-121) $) 197)) (-4326 ((|#1| $) 196)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 143 (|has| |#1| (-561)))) (-3026 (($ (-637 $)) 140 (|has| |#1| (-561))) (($ $ $) 139 (|has| |#1| (-561)))) (-4348 (((-121) $ $) 34) (((-121) $ (-1169)) 33)) (-4262 (((-423 $) $) 154 (|has| |#1| (-561)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (-561))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 151 (|has| |#1| (-561)))) (-1786 (((-3 $ "failed") $ $) 134 (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 145 (|has| |#1| (-561)))) (-2385 (((-121) $) 22 (|has| $ (-1043 (-571))))) (-4483 (($ $ (-610 $) $) 66) (($ $ (-637 (-610 $)) (-637 $)) 65) (($ $ (-637 (-289 $))) 64) (($ $ (-289 $)) 63) (($ $ $ $) 62) (($ $ (-637 $) (-637 $)) 61) (($ $ (-637 (-1169)) (-637 (-1 $ $))) 32) (($ $ (-637 (-1169)) (-637 (-1 $ (-637 $)))) 31) (($ $ (-1169) (-1 $ (-637 $))) 30) (($ $ (-1169) (-1 $ $)) 29) (($ $ (-637 (-123)) (-637 (-1 $ $))) 28) (($ $ (-637 (-123)) (-637 (-1 $ (-637 $)))) 27) (($ $ (-123) (-1 $ (-637 $))) 26) (($ $ (-123) (-1 $ $)) 25) (($ $ (-1169)) 189 (|has| |#1| (-612 (-544)))) (($ $ (-637 (-1169))) 188 (|has| |#1| (-612 (-544)))) (($ $) 187 (|has| |#1| (-612 (-544)))) (($ $ (-123) $ (-1169)) 186 (|has| |#1| (-612 (-544)))) (($ $ (-637 (-123)) (-637 $) (-1169)) 185 (|has| |#1| (-612 (-544)))) (($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ $))) 174 (|has| |#1| (-1053))) (($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ (-637 $)))) 173 (|has| |#1| (-1053))) (($ $ (-1169) (-768) (-1 $ (-637 $))) 172 (|has| |#1| (-1053))) (($ $ (-1169) (-768) (-1 $ $)) 171 (|has| |#1| (-1053)))) (-1826 (((-768) $) 147 (|has| |#1| (-561)))) (-3245 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-637 $)) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 148 (|has| |#1| (-561)))) (-4543 (($ $) 48) (($ $ $) 47)) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) 120 (|has| |#1| (-1053))) (($ $ (-1169) (-768)) 119 (|has| |#1| (-1053))) (($ $ (-637 (-1169))) 118 (|has| |#1| (-1053))) (($ $ (-1169)) 117 (|has| |#1| (-1053)))) (-3777 (($ $) 168 (|has| |#1| (-561)))) (-4479 (((-1120 |#1| (-610 $)) $) 169 (|has| |#1| (-561)))) (-3413 (($ $) 23 (|has| $ (-1053)))) (-4050 (((-892 (-571)) $) 206 (|has| |#1| (-612 (-892 (-571))))) (((-892 (-384)) $) 205 (|has| |#1| (-612 (-892 (-384))))) (($ (-423 $)) 170 (|has| |#1| (-561))) (((-544) $) 89 (|has| |#1| (-612 (-544))))) (-2911 (($ $ $) 103 (|has| |#1| (-481)))) (-2212 (($ $ $) 104 (|has| |#1| (-481)))) (-3942 (((-855) $) 11) (($ (-610 $)) 69) (($ (-1169)) 209) (($ |#1|) 200) (($ (-1120 |#1| (-610 $))) 180 (|has| |#1| (-1053))) (($ (-412 |#1|)) 166 (|has| |#1| (-561))) (($ (-958 (-412 |#1|))) 165 (|has| |#1| (-561))) (($ (-412 (-958 (-412 |#1|)))) 164 (|has| |#1| (-561))) (($ (-412 (-958 |#1|))) 162 (|has| |#1| (-561))) (($ $) 133 (|has| |#1| (-561))) (($ (-958 |#1|)) 116 (|has| |#1| (-1053))) (($ (-412 (-571))) 88 (-1831 (|has| |#1| (-561)) (-12 (|has| |#1| (-1043 (-571))) (|has| |#1| (-561))) (|has| |#1| (-1043 (-412 (-571)))))) (($ (-571)) 85 (-1831 (|has| |#1| (-1053)) (|has| |#1| (-1043 (-571)))))) (-2346 (((-3 $ "failed") $) 130 (|has| |#1| (-149)))) (-2661 (((-768)) 125 (|has| |#1| (-1053)))) (-4449 (($ $) 52) (($ (-637 $)) 51)) (-3090 (((-121) (-123)) 40)) (-1388 (((-121) $ $) 137 (|has| |#1| (-561)))) (-2943 (($ (-1169) $) 194) (($ (-1169) $ $) 193) (($ (-1169) $ $ $) 192) (($ (-1169) $ $ $ $) 191) (($ (-1169) (-637 $)) 190)) (-4142 (($ $ (-571)) 102 (-1831 (|has| |#1| (-481)) (|has| |#1| (-561)))) (($ $ (-768)) 96 (|has| |#1| (-1109))) (($ $ (-922)) 92 (|has| |#1| (-1109)))) (-2369 (($) 107 (|has| |#1| (-25)) CONST)) (-3222 (($) 93 (|has| |#1| (-1109)) CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) 124 (|has| |#1| (-1053))) (($ $ (-1169) (-768)) 123 (|has| |#1| (-1053))) (($ $ (-637 (-1169))) 122 (|has| |#1| (-1053))) (($ $ (-1169)) 121 (|has| |#1| (-1053)))) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17)) (-1379 (($ (-1120 |#1| (-610 $)) (-1120 |#1| (-610 $))) 167 (|has| |#1| (-561))) (($ $ $) 100 (-1831 (|has| |#1| (-481)) (|has| |#1| (-561))))) (-1373 (($ $ $) 112 (|has| |#1| (-21))) (($ $) 111 (|has| |#1| (-21)))) (-1367 (($ $ $) 105 (|has| |#1| (-25)))) (** (($ $ (-571)) 101 (-1831 (|has| |#1| (-481)) (|has| |#1| (-561)))) (($ $ (-768)) 98 (|has| |#1| (-1109))) (($ $ (-922)) 91 (|has| |#1| (-1109)))) (* (($ (-412 (-571)) $) 159 (|has| |#1| (-561))) (($ $ (-412 (-571))) 158 (|has| |#1| (-561))) (($ |#1| $) 132 (|has| |#1| (-173))) (($ $ |#1|) 131 (|has| |#1| (-173))) (($ (-571) $) 113 (|has| |#1| (-21))) (($ (-768) $) 109 (|has| |#1| (-25))) (($ (-922) $) 106 (|has| |#1| (-25))) (($ $ $) 90 (|has| |#1| (-1109))))) 
+(((-435 |#1|) (-1289) (-847)) (T -435)) 
+((-4321 (*1 *2 *1) (-12 (-4 *1 (-435 *3)) (-4 *3 (-847)) (-5 *2 (-121)))) (-4326 (*1 *2 *1) (-12 (-4 *1 (-435 *2)) (-4 *2 (-847)))) (-3424 (*1 *2 *1) (-12 (-4 *1 (-435 *3)) (-4 *3 (-847)) (-5 *2 (-637 (-1169))))) (-2943 (*1 *1 *2 *1) (-12 (-5 *2 (-1169)) (-4 *1 (-435 *3)) (-4 *3 (-847)))) (-2943 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1169)) (-4 *1 (-435 *3)) (-4 *3 (-847)))) (-2943 (*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1169)) (-4 *1 (-435 *3)) (-4 *3 (-847)))) (-2943 (*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1169)) (-4 *1 (-435 *3)) (-4 *3 (-847)))) (-2943 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-637 *1)) (-4 *1 (-435 *4)) (-4 *4 (-847)))) (-4483 (*1 *1 *1 *2) (-12 (-5 *2 (-1169)) (-4 *1 (-435 *3)) (-4 *3 (-847)) (-4 *3 (-612 (-544))))) (-4483 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-1169))) (-4 *1 (-435 *3)) (-4 *3 (-847)) (-4 *3 (-612 (-544))))) (-4483 (*1 *1 *1) (-12 (-4 *1 (-435 *2)) (-4 *2 (-847)) (-4 *2 (-612 (-544))))) (-4483 (*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1169)) (-4 *1 (-435 *4)) (-4 *4 (-847)) (-4 *4 (-612 (-544))))) (-4483 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-637 (-123))) (-5 *3 (-637 *1)) (-5 *4 (-1169)) (-4 *1 (-435 *5)) (-4 *5 (-847)) (-4 *5 (-612 (-544))))) (-4014 (*1 *2 *1) (|partial| -12 (-4 *3 (-1109)) (-4 *3 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-435 *3)))) (-3925 (*1 *2 *1) (|partial| -12 (-4 *3 (-1109)) (-4 *3 (-847)) (-5 *2 (-2 (|:| |var| (-610 *1)) (|:| -2154 (-571)))) (-4 *1 (-435 *3)))) (-1910 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-435 *3)))) (-3928 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-847)) (-5 *2 (-2 (|:| -4501 (-571)) (|:| |var| (-610 *1)))) (-4 *1 (-435 *3)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1120 *3 (-610 *1))) (-4 *3 (-1053)) (-4 *3 (-847)) (-4 *1 (-435 *3)))) (-4474 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *3 (-847)) (-5 *2 (-1120 *3 (-610 *1))) (-4 *1 (-435 *3)))) (-3458 (*1 *1 *1) (-12 (-4 *1 (-435 *2)) (-4 *2 (-847)) (-4 *2 (-1053)))) (-3925 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1053)) (-4 *4 (-847)) (-5 *2 (-2 (|:| |var| (-610 *1)) (|:| -2154 (-571)))) (-4 *1 (-435 *4)))) (-3925 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1169)) (-4 *4 (-1053)) (-4 *4 (-847)) (-5 *2 (-2 (|:| |var| (-610 *1)) (|:| -2154 (-571)))) (-4 *1 (-435 *4)))) (-2304 (*1 *2 *1) (|partial| -12 (-4 *3 (-1053)) (-4 *3 (-847)) (-5 *2 (-2 (|:| |val| *1) (|:| -2154 (-571)))) (-4 *1 (-435 *3)))) (-4483 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-637 (-768))) (-5 *4 (-637 (-1 *1 *1))) (-4 *1 (-435 *5)) (-4 *5 (-847)) (-4 *5 (-1053)))) (-4483 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-637 (-768))) (-5 *4 (-637 (-1 *1 (-637 *1)))) (-4 *1 (-435 *5)) (-4 *5 (-847)) (-4 *5 (-1053)))) (-4483 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-768)) (-5 *4 (-1 *1 (-637 *1))) (-4 *1 (-435 *5)) (-4 *5 (-847)) (-4 *5 (-1053)))) (-4483 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-768)) (-5 *4 (-1 *1 *1)) (-4 *1 (-435 *5)) (-4 *5 (-847)) (-4 *5 (-1053)))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-423 *1)) (-4 *1 (-435 *3)) (-4 *3 (-561)) (-4 *3 (-847)))) (-4479 (*1 *2 *1) (-12 (-4 *3 (-561)) (-4 *3 (-847)) (-5 *2 (-1120 *3 (-610 *1))) (-4 *1 (-435 *3)))) (-3777 (*1 *1 *1) (-12 (-4 *1 (-435 *2)) (-4 *2 (-847)) (-4 *2 (-561)))) (-1379 (*1 *1 *2 *2) (-12 (-5 *2 (-1120 *3 (-610 *1))) (-4 *3 (-561)) (-4 *3 (-847)) (-4 *1 (-435 *3)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-412 *3)) (-4 *3 (-561)) (-4 *3 (-847)) (-4 *1 (-435 *3)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-958 (-412 *3))) (-4 *3 (-561)) (-4 *3 (-847)) (-4 *1 (-435 *3)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-412 (-958 (-412 *3)))) (-4 *3 (-561)) (-4 *3 (-847)) (-4 *1 (-435 *3)))) (-4257 (*1 *2 *1 *3) (-12 (-5 *3 (-610 *1)) (-4 *1 (-435 *4)) (-4 *4 (-847)) (-4 *4 (-561)) (-5 *2 (-412 (-1165 *1))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-435 *3)) (-4 *3 (-847)) (-4 *3 (-1109))))) 
+(-13 (-297) (-1043 (-1169)) (-884 |t#1|) (-405 |t#1|) (-416 |t#1|) (-10 -8 (-15 -4321 ((-121) $)) (-15 -4326 (|t#1| $)) (-15 -3424 ((-637 (-1169)) $)) (-15 -2943 ($ (-1169) $)) (-15 -2943 ($ (-1169) $ $)) (-15 -2943 ($ (-1169) $ $ $)) (-15 -2943 ($ (-1169) $ $ $ $)) (-15 -2943 ($ (-1169) (-637 $))) (IF (|has| |t#1| (-612 (-544))) (PROGN (-6 (-612 (-544))) (-15 -4483 ($ $ (-1169))) (-15 -4483 ($ $ (-637 (-1169)))) (-15 -4483 ($ $)) (-15 -4483 ($ $ (-123) $ (-1169))) (-15 -4483 ($ $ (-637 (-123)) (-637 $) (-1169)))) |noBranch|) (IF (|has| |t#1| (-1109)) (PROGN (-6 (-721)) (-15 ** ($ $ (-768))) (-15 -4014 ((-3 (-637 $) "failed") $)) (-15 -3925 ((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-481)) (-6 (-481)) |noBranch|) (IF (|has| |t#1| (-25)) (PROGN (-6 (-23)) (-15 -1910 ((-3 (-637 $) "failed") $)) (-15 -3928 ((-3 (-2 (|:| -4501 (-571)) (|:| |var| (-610 $))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |t#1| (-1053)) (PROGN (-6 (-1053)) (-6 (-1043 (-958 |t#1|))) (-6 (-900 (-1169))) (-6 (-382 |t#1|)) (-15 -3942 ($ (-1120 |t#1| (-610 $)))) (-15 -4474 ((-1120 |t#1| (-610 $)) $)) (-15 -3458 ($ $)) (-15 -3925 ((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-123))) (-15 -3925 ((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-1169))) (-15 -2304 ((-3 (-2 (|:| |val| $) (|:| -2154 (-571))) "failed") $)) (-15 -4483 ($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ $)))) (-15 -4483 ($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ (-637 $))))) (-15 -4483 ($ $ (-1169) (-768) (-1 $ (-637 $)))) (-15 -4483 ($ $ (-1169) (-768) (-1 $ $)))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-561)) (PROGN (-6 (-367)) (-6 (-1043 (-412 (-958 |t#1|)))) (-15 -4050 ($ (-423 $))) (-15 -4479 ((-1120 |t#1| (-610 $)) $)) (-15 -3777 ($ $)) (-15 -1379 ($ (-1120 |t#1| (-610 $)) (-1120 |t#1| (-610 $)))) (-15 -3942 ($ (-412 |t#1|))) (-15 -3942 ($ (-958 (-412 |t#1|)))) (-15 -3942 ($ (-412 (-958 (-412 |t#1|))))) (-15 -4257 ((-412 (-1165 $)) $ (-610 $))) (IF (|has| |t#1| (-1043 (-571))) (-6 (-1043 (-412 (-571)))) |noBranch|)) |noBranch|))) 
+(((-21) -1831 (|has| |#1| (-1053)) (|has| |#1| (-561)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-21))) ((-23) -1831 (|has| |#1| (-1053)) (|has| |#1| (-561)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-25) -1831 (|has| |#1| (-1053)) (|has| |#1| (-561)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-43 (-412 (-571))) |has| |#1| (-561)) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-561)) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-561)) ((-120 |#1| |#1|) |has| |#1| (-173)) ((-120 $ $) |has| |#1| (-561)) ((-138) -1831 (|has| |#1| (-1053)) (|has| |#1| (-561)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-21))) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) |has| |#1| (-561)) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-612 (-892 (-384))) |has| |#1| (-612 (-892 (-384)))) ((-612 (-892 (-571))) |has| |#1| (-612 (-892 (-571)))) ((-239) |has| |#1| (-561)) ((-286) |has| |#1| (-561)) ((-302) |has| |#1| (-561)) ((-304 $) . T) ((-297) . T) ((-367) |has| |#1| (-561)) ((-382 |#1|) |has| |#1| (-1053)) ((-405 |#1|) . T) ((-416 |#1|) . T) ((-456) |has| |#1| (-561)) ((-481) |has| |#1| (-481)) ((-526 (-610 $) $) . T) ((-526 $ $) . T) ((-561) |has| |#1| (-561)) ((-640 (-412 (-571))) |has| |#1| (-561)) ((-640 |#1|) |has| |#1| (-173)) ((-640 $) -1831 (|has| |#1| (-1053)) (|has| |#1| (-561)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-633 (-571)) -12 (|has| |#1| (-633 (-571))) (|has| |#1| (-1053))) ((-633 |#1|) |has| |#1| (-1053)) ((-712 (-412 (-571))) |has| |#1| (-561)) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) |has| |#1| (-561)) ((-721) -1831 (|has| |#1| (-1109)) (|has| |#1| (-1053)) (|has| |#1| (-561)) (|has| |#1| (-481)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-847) . T) ((-900 (-1169)) |has| |#1| (-1053)) ((-886 (-384)) |has| |#1| (-886 (-384))) ((-886 (-571)) |has| |#1| (-886 (-571))) ((-884 |#1|) . T) ((-921) |has| |#1| (-561)) ((-1043 (-412 (-571))) -1831 (|has| |#1| (-1043 (-412 (-571)))) (-12 (|has| |#1| (-561)) (|has| |#1| (-1043 (-571))))) ((-1043 (-412 (-958 |#1|))) |has| |#1| (-561)) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 (-610 $)) . T) ((-1043 (-958 |#1|)) |has| |#1| (-1053)) ((-1043 (-1169)) . T) ((-1043 |#1|) . T) ((-1059 (-412 (-571))) |has| |#1| (-561)) ((-1059 |#1|) |has| |#1| (-173)) ((-1059 $) |has| |#1| (-561)) ((-1053) -1831 (|has| |#1| (-1053)) (|has| |#1| (-561)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1060) -1831 (|has| |#1| (-1053)) (|has| |#1| (-561)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1109) -1831 (|has| |#1| (-1109)) (|has| |#1| (-1053)) (|has| |#1| (-561)) (|has| |#1| (-481)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1097) . T) ((-1203) . T) ((-1213) |has| |#1| (-561))) 
+((-4150 ((|#2| |#2| |#2|) 33)) (-3513 (((-123) (-123)) 44)) (-3250 ((|#2| (-637 |#2|)) 79)) (-2160 ((|#2| |#2|) 77)) (-1441 ((|#2| |#2|) 68)) (-2960 ((|#2| |#2|) 71)) (-1540 ((|#2| (-637 |#2|)) 75)) (-2492 ((|#2| (-637 |#2|)) 83)) (-3666 ((|#2| (-637 |#2|)) 87)) (-3197 ((|#2| (-637 |#2|)) 81)) (-1753 ((|#2| (-637 |#2|)) 85)) (-1424 ((|#2| |#2|) 91)) (-2767 ((|#2| |#2|) 89)) (-4492 ((|#2| |#2|) 32)) (-3315 ((|#2| |#2| |#2|) 35)) (-2323 ((|#2| |#2| |#2|) 37)) (-3061 ((|#2| |#2| |#2|) 34)) (-4529 ((|#2| |#2| |#2|) 36)) (-3090 (((-121) (-123)) 42)) (-1393 ((|#2| |#2|) 39)) (-3551 ((|#2| |#2|) 38)) (-1902 ((|#2| |#2|) 27)) (-2085 ((|#2| |#2| |#2|) 30) ((|#2| |#2|) 28)) (-1686 ((|#2| |#2| |#2|) 31))) 
+(((-436 |#1| |#2|) (-10 -7 (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 -1902 (|#2| |#2|)) (-15 -2085 (|#2| |#2|)) (-15 -2085 (|#2| |#2| |#2|)) (-15 -1686 (|#2| |#2| |#2|)) (-15 -4492 (|#2| |#2|)) (-15 -4150 (|#2| |#2| |#2|)) (-15 -3061 (|#2| |#2| |#2|)) (-15 -3315 (|#2| |#2| |#2|)) (-15 -4529 (|#2| |#2| |#2|)) (-15 -2323 (|#2| |#2| |#2|)) (-15 -3551 (|#2| |#2|)) (-15 -1393 (|#2| |#2|)) (-15 -2960 (|#2| |#2|)) (-15 -1441 (|#2| |#2|)) (-15 -1540 (|#2| (-637 |#2|))) (-15 -2160 (|#2| |#2|)) (-15 -3250 (|#2| (-637 |#2|))) (-15 -3197 (|#2| (-637 |#2|))) (-15 -2492 (|#2| (-637 |#2|))) (-15 -1753 (|#2| (-637 |#2|))) (-15 -3666 (|#2| (-637 |#2|))) (-15 -2767 (|#2| |#2|)) (-15 -1424 (|#2| |#2|))) (-13 (-847) (-561)) (-435 |#1|)) (T -436)) 
+((-1424 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-2767 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-3666 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-1753 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-2492 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-3197 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-3250 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-2160 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-1540 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561))))) (-1441 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-2960 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-1393 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-3551 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-2323 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-4529 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-3315 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-3061 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-4150 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-4492 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-1686 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-2085 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-2085 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-1902 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) (-3513 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *4)) (-4 *4 (-435 *3)))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-436 *4 *5)) (-4 *5 (-435 *4))))) 
+(-10 -7 (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 -1902 (|#2| |#2|)) (-15 -2085 (|#2| |#2|)) (-15 -2085 (|#2| |#2| |#2|)) (-15 -1686 (|#2| |#2| |#2|)) (-15 -4492 (|#2| |#2|)) (-15 -4150 (|#2| |#2| |#2|)) (-15 -3061 (|#2| |#2| |#2|)) (-15 -3315 (|#2| |#2| |#2|)) (-15 -4529 (|#2| |#2| |#2|)) (-15 -2323 (|#2| |#2| |#2|)) (-15 -3551 (|#2| |#2|)) (-15 -1393 (|#2| |#2|)) (-15 -2960 (|#2| |#2|)) (-15 -1441 (|#2| |#2|)) (-15 -1540 (|#2| (-637 |#2|))) (-15 -2160 (|#2| |#2|)) (-15 -3250 (|#2| (-637 |#2|))) (-15 -3197 (|#2| (-637 |#2|))) (-15 -2492 (|#2| (-637 |#2|))) (-15 -1753 (|#2| (-637 |#2|))) (-15 -3666 (|#2| (-637 |#2|))) (-15 -2767 (|#2| |#2|)) (-15 -1424 (|#2| |#2|))) 
+((-1962 (((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1165 |#2|)) (|:| |pol2| (-1165 |#2|)) (|:| |prim| (-1165 |#2|))) |#2| |#2|) 93 (|has| |#2| (-27))) (((-2 (|:| |primelt| |#2|) (|:| |poly| (-637 (-1165 |#2|))) (|:| |prim| (-1165 |#2|))) (-637 |#2|)) 58))) 
+(((-437 |#1| |#2|) (-10 -7 (-15 -1962 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-637 (-1165 |#2|))) (|:| |prim| (-1165 |#2|))) (-637 |#2|))) (IF (|has| |#2| (-27)) (-15 -1962 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1165 |#2|)) (|:| |pol2| (-1165 |#2|)) (|:| |prim| (-1165 |#2|))) |#2| |#2|)) |noBranch|)) (-13 (-561) (-847) (-151)) (-435 |#1|)) (T -437)) 
+((-1962 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-561) (-847) (-151))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1165 *3)) (|:| |pol2| (-1165 *3)) (|:| |prim| (-1165 *3)))) (-5 *1 (-437 *4 *3)) (-4 *3 (-27)) (-4 *3 (-435 *4)))) (-1962 (*1 *2 *3) (-12 (-5 *3 (-637 *5)) (-4 *5 (-435 *4)) (-4 *4 (-13 (-561) (-847) (-151))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-637 (-1165 *5))) (|:| |prim| (-1165 *5)))) (-5 *1 (-437 *4 *5))))) 
+(-10 -7 (-15 -1962 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-637 (-1165 |#2|))) (|:| |prim| (-1165 |#2|))) (-637 |#2|))) (IF (|has| |#2| (-27)) (-15 -1962 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1165 |#2|)) (|:| |pol2| (-1165 |#2|)) (|:| |prim| (-1165 |#2|))) |#2| |#2|)) |noBranch|)) 
+((-1537 (((-1263)) 18)) (-3475 (((-1165 (-412 (-571))) |#2| (-610 |#2|)) 40) (((-412 (-571)) |#2|) 23))) 
+(((-438 |#1| |#2|) (-10 -7 (-15 -3475 ((-412 (-571)) |#2|)) (-15 -3475 ((-1165 (-412 (-571))) |#2| (-610 |#2|))) (-15 -1537 ((-1263)))) (-13 (-847) (-561) (-1043 (-571))) (-435 |#1|)) (T -438)) 
+((-1537 (*1 *2) (-12 (-4 *3 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-1263)) (-5 *1 (-438 *3 *4)) (-4 *4 (-435 *3)))) (-3475 (*1 *2 *3 *4) (-12 (-5 *4 (-610 *3)) (-4 *3 (-435 *5)) (-4 *5 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-1165 (-412 (-571)))) (-5 *1 (-438 *5 *3)))) (-3475 (*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-412 (-571))) (-5 *1 (-438 *4 *3)) (-4 *3 (-435 *4))))) 
+(-10 -7 (-15 -3475 ((-412 (-571)) |#2|)) (-15 -3475 ((-1165 (-412 (-571))) |#2| (-610 |#2|))) (-15 -1537 ((-1263)))) 
+((-2835 (((-121) $) 28)) (-2252 (((-121) $) 30)) (-3409 (((-121) $) 31)) (-4350 (((-121) $) 34)) (-4022 (((-121) $) 29)) (-3581 (((-121) $) 33)) (-3942 (((-855) $) 18) (($ (-1151)) 27) (($ (-1169)) 23) (((-1169) $) 22) (((-1101) $) 21)) (-1958 (((-121) $) 32)) (-1323 (((-121) $ $) 15))) 
+(((-439) (-13 (-611 (-855)) (-10 -8 (-15 -3942 ($ (-1151))) (-15 -3942 ($ (-1169))) (-15 -3942 ((-1169) $)) (-15 -3942 ((-1101) $)) (-15 -2835 ((-121) $)) (-15 -4022 ((-121) $)) (-15 -3409 ((-121) $)) (-15 -3581 ((-121) $)) (-15 -4350 ((-121) $)) (-15 -1958 ((-121) $)) (-15 -2252 ((-121) $)) (-15 -1323 ((-121) $ $))))) (T -439)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-439)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-439)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-439)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1101)) (-5 *1 (-439)))) (-2835 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) (-4022 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) (-3409 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) (-3581 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) (-4350 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) (-1958 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) (-2252 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) (-1323 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439))))) 
+(-13 (-611 (-855)) (-10 -8 (-15 -3942 ($ (-1151))) (-15 -3942 ($ (-1169))) (-15 -3942 ((-1169) $)) (-15 -3942 ((-1101) $)) (-15 -2835 ((-121) $)) (-15 -4022 ((-121) $)) (-15 -3409 ((-121) $)) (-15 -3581 ((-121) $)) (-15 -4350 ((-121) $)) (-15 -1958 ((-121) $)) (-15 -2252 ((-121) $)) (-15 -1323 ((-121) $ $)))) 
+((-4145 (((-3 (-423 (-1165 (-412 (-571)))) "failed") |#3|) 68)) (-2496 (((-423 |#3|) |#3|) 33)) (-3354 (((-3 (-423 (-1165 (-53))) "failed") |#3|) 27 (|has| |#2| (-1043 (-53))))) (-1779 (((-3 (|:| |overq| (-1165 (-412 (-571)))) (|:| |overan| (-1165 (-53))) (|:| -1629 (-121))) |#3|) 35))) 
+(((-440 |#1| |#2| |#3|) (-10 -7 (-15 -2496 ((-423 |#3|) |#3|)) (-15 -4145 ((-3 (-423 (-1165 (-412 (-571)))) "failed") |#3|)) (-15 -1779 ((-3 (|:| |overq| (-1165 (-412 (-571)))) (|:| |overan| (-1165 (-53))) (|:| -1629 (-121))) |#3|)) (IF (|has| |#2| (-1043 (-53))) (-15 -3354 ((-3 (-423 (-1165 (-53))) "failed") |#3|)) |noBranch|)) (-13 (-561) (-847) (-1043 (-571))) (-435 |#1|) (-1233 |#2|)) (T -440)) 
+((-3354 (*1 *2 *3) (|partial| -12 (-4 *5 (-1043 (-53))) (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-4 *5 (-435 *4)) (-5 *2 (-423 (-1165 (-53)))) (-5 *1 (-440 *4 *5 *3)) (-4 *3 (-1233 *5)))) (-1779 (*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-4 *5 (-435 *4)) (-5 *2 (-3 (|:| |overq| (-1165 (-412 (-571)))) (|:| |overan| (-1165 (-53))) (|:| -1629 (-121)))) (-5 *1 (-440 *4 *5 *3)) (-4 *3 (-1233 *5)))) (-4145 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-4 *5 (-435 *4)) (-5 *2 (-423 (-1165 (-412 (-571))))) (-5 *1 (-440 *4 *5 *3)) (-4 *3 (-1233 *5)))) (-2496 (*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-4 *5 (-435 *4)) (-5 *2 (-423 *3)) (-5 *1 (-440 *4 *5 *3)) (-4 *3 (-1233 *5))))) 
+(-10 -7 (-15 -2496 ((-423 |#3|) |#3|)) (-15 -4145 ((-3 (-423 (-1165 (-412 (-571)))) "failed") |#3|)) (-15 -1779 ((-3 (|:| |overq| (-1165 (-412 (-571)))) (|:| |overan| (-1165 (-53))) (|:| -1629 (-121))) |#3|)) (IF (|has| |#2| (-1043 (-53))) (-15 -3354 ((-3 (-423 (-1165 (-53))) "failed") |#3|)) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-2155 (((-1151) $ (-1151)) NIL)) (-1539 (($ $ (-1151)) NIL)) (-3043 (((-1151) $) NIL)) (-2933 (((-393) (-393) (-393)) 17) (((-393) (-393)) 15)) (-3545 (($ (-393)) NIL) (($ (-393) (-1151)) NIL)) (-3159 (((-393) $) NIL)) (-3944 (((-1151) $) NIL)) (-2072 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2696 (((-1263) (-1151)) 9)) (-2322 (((-1263) (-1151)) 10)) (-1800 (((-1263)) 11)) (-1646 (((-1263) $) NIL)) (-3942 (((-855) $) NIL)) (-3537 (($ $) 34)) (-1323 (((-121) $ $) NIL))) 
+(((-441) (-13 (-368 (-393) (-1151)) (-10 -7 (-15 -2933 ((-393) (-393) (-393))) (-15 -2933 ((-393) (-393))) (-15 -2696 ((-1263) (-1151))) (-15 -2322 ((-1263) (-1151))) (-15 -1800 ((-1263)))))) (T -441)) 
+((-2933 (*1 *2 *2 *2) (-12 (-5 *2 (-393)) (-5 *1 (-441)))) (-2933 (*1 *2 *2) (-12 (-5 *2 (-393)) (-5 *1 (-441)))) (-2696 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-441)))) (-2322 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-441)))) (-1800 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-441))))) 
+(-13 (-368 (-393) (-1151)) (-10 -7 (-15 -2933 ((-393) (-393) (-393))) (-15 -2933 ((-393) (-393))) (-15 -2696 ((-1263) (-1151))) (-15 -2322 ((-1263) (-1151))) (-15 -1800 ((-1263))))) 
+((-2234 (((-121) $ $) NIL)) (-1577 (((-3 (|:| |fst| (-439)) (|:| -3124 "void")) $) 10)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2218 (($) 31)) (-3400 (($) 37)) (-2702 (($) 33)) (-2200 (($) 35)) (-2969 (($) 32)) (-1851 (($) 34)) (-3256 (($) 36)) (-1801 (((-121) $) 8)) (-3757 (((-637 (-958 (-571))) $) 16)) (-3891 (($ (-3 (|:| |fst| (-439)) (|:| -3124 "void")) (-637 (-1169)) (-121)) 25) (($ (-3 (|:| |fst| (-439)) (|:| -3124 "void")) (-637 (-958 (-571))) (-121)) 26)) (-3942 (((-855) $) 21) (($ (-439)) 28)) (-1323 (((-121) $ $) NIL))) 
+(((-442) (-13 (-1097) (-10 -8 (-15 -3942 ((-855) $)) (-15 -3942 ($ (-439))) (-15 -1577 ((-3 (|:| |fst| (-439)) (|:| -3124 "void")) $)) (-15 -3757 ((-637 (-958 (-571))) $)) (-15 -1801 ((-121) $)) (-15 -3891 ($ (-3 (|:| |fst| (-439)) (|:| -3124 "void")) (-637 (-1169)) (-121))) (-15 -3891 ($ (-3 (|:| |fst| (-439)) (|:| -3124 "void")) (-637 (-958 (-571))) (-121))) (-15 -2218 ($)) (-15 -2969 ($)) (-15 -2702 ($)) (-15 -3400 ($)) (-15 -1851 ($)) (-15 -2200 ($)) (-15 -3256 ($))))) (T -442)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-442)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-439)) (-5 *1 (-442)))) (-1577 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *1 (-442)))) (-3757 (*1 *2 *1) (-12 (-5 *2 (-637 (-958 (-571)))) (-5 *1 (-442)))) (-1801 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-442)))) (-3891 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *3 (-637 (-1169))) (-5 *4 (-121)) (-5 *1 (-442)))) (-3891 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-121)) (-5 *1 (-442)))) (-2218 (*1 *1) (-5 *1 (-442))) (-2969 (*1 *1) (-5 *1 (-442))) (-2702 (*1 *1) (-5 *1 (-442))) (-3400 (*1 *1) (-5 *1 (-442))) (-1851 (*1 *1) (-5 *1 (-442))) (-2200 (*1 *1) (-5 *1 (-442))) (-3256 (*1 *1) (-5 *1 (-442)))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ((-855) $)) (-15 -3942 ($ (-439))) (-15 -1577 ((-3 (|:| |fst| (-439)) (|:| -3124 "void")) $)) (-15 -3757 ((-637 (-958 (-571))) $)) (-15 -1801 ((-121) $)) (-15 -3891 ($ (-3 (|:| |fst| (-439)) (|:| -3124 "void")) (-637 (-1169)) (-121))) (-15 -3891 ($ (-3 (|:| |fst| (-439)) (|:| -3124 "void")) (-637 (-958 (-571))) (-121))) (-15 -2218 ($)) (-15 -2969 ($)) (-15 -2702 ($)) (-15 -3400 ($)) (-15 -1851 ($)) (-15 -2200 ($)) (-15 -3256 ($)))) 
+((-2234 (((-121) $ $) NIL)) (-3159 (((-1169) $) 8)) (-3944 (((-1151) $) 16)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 13))) 
+(((-443 |#1|) (-13 (-1097) (-10 -8 (-15 -3159 ((-1169) $)))) (-1169)) (T -443)) 
+((-3159 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-443 *3)) (-14 *3 *2)))) 
+(-13 (-1097) (-10 -8 (-15 -3159 ((-1169) $)))) 
+((-4320 (((-1263) $) 7)) (-3942 (((-855) $) 8) (($ (-1258 (-693))) 12) (($ (-637 (-329))) 11) (($ (-329)) 10) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 9))) 
+(((-444) (-1289)) (T -444)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-693))) (-4 *1 (-444)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-4 *1 (-444)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-444)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-4 *1 (-444))))) 
+(-13 (-400) (-10 -8 (-15 -3942 ($ (-1258 (-693)))) (-15 -3942 ($ (-637 (-329)))) (-15 -3942 ($ (-329))) (-15 -3942 ($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329)))))))) 
+(((-611 (-855)) . T) ((-400) . T) ((-1203) . T)) 
+((-3337 (((-3 $ "failed") (-1258 (-311 (-384)))) 19) (((-3 $ "failed") (-1258 (-311 (-571)))) 17) (((-3 $ "failed") (-1258 (-958 (-384)))) 15) (((-3 $ "failed") (-1258 (-958 (-571)))) 13) (((-3 $ "failed") (-1258 (-412 (-958 (-384))))) 11) (((-3 $ "failed") (-1258 (-412 (-958 (-571))))) 9)) (-1316 (($ (-1258 (-311 (-384)))) 20) (($ (-1258 (-311 (-571)))) 18) (($ (-1258 (-958 (-384)))) 16) (($ (-1258 (-958 (-571)))) 14) (($ (-1258 (-412 (-958 (-384))))) 12) (($ (-1258 (-412 (-958 (-571))))) 10)) (-4320 (((-1263) $) 7)) (-3942 (((-855) $) 8) (($ (-637 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) 21))) 
+(((-445) (-1289)) (T -445)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-4 *1 (-445)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-445)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-4 *1 (-445)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-1258 (-311 (-384)))) (-4 *1 (-445)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-311 (-384)))) (-4 *1 (-445)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-1258 (-311 (-571)))) (-4 *1 (-445)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-311 (-571)))) (-4 *1 (-445)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-1258 (-958 (-384)))) (-4 *1 (-445)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-958 (-384)))) (-4 *1 (-445)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-1258 (-958 (-571)))) (-4 *1 (-445)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-958 (-571)))) (-4 *1 (-445)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-1258 (-412 (-958 (-384))))) (-4 *1 (-445)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-412 (-958 (-384))))) (-4 *1 (-445)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-1258 (-412 (-958 (-571))))) (-4 *1 (-445)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-412 (-958 (-571))))) (-4 *1 (-445))))) 
+(-13 (-400) (-10 -8 (-15 -3942 ($ (-637 (-329)))) (-15 -3942 ($ (-329))) (-15 -3942 ($ (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329)))))) (-15 -1316 ($ (-1258 (-311 (-384))))) (-15 -3337 ((-3 $ "failed") (-1258 (-311 (-384))))) (-15 -1316 ($ (-1258 (-311 (-571))))) (-15 -3337 ((-3 $ "failed") (-1258 (-311 (-571))))) (-15 -1316 ($ (-1258 (-958 (-384))))) (-15 -3337 ((-3 $ "failed") (-1258 (-958 (-384))))) (-15 -1316 ($ (-1258 (-958 (-571))))) (-15 -3337 ((-3 $ "failed") (-1258 (-958 (-571))))) (-15 -1316 ($ (-1258 (-412 (-958 (-384)))))) (-15 -3337 ((-3 $ "failed") (-1258 (-412 (-958 (-384)))))) (-15 -1316 ($ (-1258 (-412 (-958 (-571)))))) (-15 -3337 ((-3 $ "failed") (-1258 (-412 (-958 (-571)))))))) 
+(((-611 (-855)) . T) ((-400) . T) ((-1203) . T)) 
+((-1468 (((-121)) 17)) (-1881 (((-121) (-121)) 18)) (-4487 (((-121)) 13)) (-1834 (((-121) (-121)) 14)) (-2259 (((-121)) 15)) (-2715 (((-121) (-121)) 16)) (-1906 (((-922) (-922)) 21) (((-922)) 20)) (-3634 (((-768) (-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571))))) 41)) (-3889 (((-922) (-922)) 23) (((-922)) 22)) (-2130 (((-2 (|:| -2643 (-571)) (|:| -2842 (-637 |#1|))) |#1|) 61)) (-1346 (((-423 |#1|) (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571))))))) 125)) (-2121 (((-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))) |#1| (-121)) 151)) (-4525 (((-423 |#1|) |#1| (-768) (-768)) 164) (((-423 |#1|) |#1| (-637 (-768)) (-768)) 161) (((-423 |#1|) |#1| (-637 (-768))) 163) (((-423 |#1|) |#1| (-768)) 162) (((-423 |#1|) |#1|) 160)) (-4248 (((-3 |#1| "failed") (-922) |#1| (-637 (-768)) (-768) (-121)) 166) (((-3 |#1| "failed") (-922) |#1| (-637 (-768)) (-768)) 167) (((-3 |#1| "failed") (-922) |#1| (-637 (-768))) 169) (((-3 |#1| "failed") (-922) |#1| (-768)) 168) (((-3 |#1| "failed") (-922) |#1|) 170)) (-4262 (((-423 |#1|) |#1| (-768) (-768)) 159) (((-423 |#1|) |#1| (-637 (-768)) (-768)) 155) (((-423 |#1|) |#1| (-637 (-768))) 157) (((-423 |#1|) |#1| (-768)) 156) (((-423 |#1|) |#1|) 154)) (-4567 (((-121) |#1|) 36)) (-3440 (((-732 (-768)) (-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571))))) 66)) (-3531 (((-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))) |#1| (-121) (-1099 (-768)) (-768)) 153))) 
+(((-446 |#1|) (-10 -7 (-15 -1346 ((-423 |#1|) (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))))) (-15 -3440 ((-732 (-768)) (-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571)))))) (-15 -3889 ((-922))) (-15 -3889 ((-922) (-922))) (-15 -1906 ((-922))) (-15 -1906 ((-922) (-922))) (-15 -3634 ((-768) (-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571)))))) (-15 -2130 ((-2 (|:| -2643 (-571)) (|:| -2842 (-637 |#1|))) |#1|)) (-15 -1468 ((-121))) (-15 -1881 ((-121) (-121))) (-15 -4487 ((-121))) (-15 -1834 ((-121) (-121))) (-15 -4567 ((-121) |#1|)) (-15 -2259 ((-121))) (-15 -2715 ((-121) (-121))) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -4262 ((-423 |#1|) |#1| (-768))) (-15 -4262 ((-423 |#1|) |#1| (-637 (-768)))) (-15 -4262 ((-423 |#1|) |#1| (-637 (-768)) (-768))) (-15 -4262 ((-423 |#1|) |#1| (-768) (-768))) (-15 -4525 ((-423 |#1|) |#1|)) (-15 -4525 ((-423 |#1|) |#1| (-768))) (-15 -4525 ((-423 |#1|) |#1| (-637 (-768)))) (-15 -4525 ((-423 |#1|) |#1| (-637 (-768)) (-768))) (-15 -4525 ((-423 |#1|) |#1| (-768) (-768))) (-15 -4248 ((-3 |#1| "failed") (-922) |#1|)) (-15 -4248 ((-3 |#1| "failed") (-922) |#1| (-768))) (-15 -4248 ((-3 |#1| "failed") (-922) |#1| (-637 (-768)))) (-15 -4248 ((-3 |#1| "failed") (-922) |#1| (-637 (-768)) (-768))) (-15 -4248 ((-3 |#1| "failed") (-922) |#1| (-637 (-768)) (-768) (-121))) (-15 -2121 ((-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))) |#1| (-121))) (-15 -3531 ((-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))) |#1| (-121) (-1099 (-768)) (-768)))) (-1233 (-571))) (T -446)) 
+((-3531 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1099 (-768))) (-5 *6 (-768)) (-5 *2 (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| *3) (|:| -4421 (-571))))))) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-2121 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| *3) (|:| -4421 (-571))))))) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4248 (*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-922)) (-5 *4 (-637 (-768))) (-5 *5 (-768)) (-5 *6 (-121)) (-5 *1 (-446 *2)) (-4 *2 (-1233 (-571))))) (-4248 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-922)) (-5 *4 (-637 (-768))) (-5 *5 (-768)) (-5 *1 (-446 *2)) (-4 *2 (-1233 (-571))))) (-4248 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-922)) (-5 *4 (-637 (-768))) (-5 *1 (-446 *2)) (-4 *2 (-1233 (-571))))) (-4248 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-922)) (-5 *4 (-768)) (-5 *1 (-446 *2)) (-4 *2 (-1233 (-571))))) (-4248 (*1 *2 *3 *2) (|partial| -12 (-5 *3 (-922)) (-5 *1 (-446 *2)) (-4 *2 (-1233 (-571))))) (-4525 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4525 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-768))) (-5 *5 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4525 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-768))) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4525 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4525 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4262 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4262 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-768))) (-5 *5 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4262 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-768))) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4262 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4262 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-2715 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-2259 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4567 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-1834 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-4487 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-1881 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-1468 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-2130 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -2643 (-571)) (|:| -2842 (-637 *3)))) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-3634 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -4262 *4) (|:| -2400 (-571))))) (-4 *4 (-1233 (-571))) (-5 *2 (-768)) (-5 *1 (-446 *4)))) (-1906 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-1906 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-3889 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-3889 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) (-3440 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -4262 *4) (|:| -2400 (-571))))) (-4 *4 (-1233 (-571))) (-5 *2 (-732 (-768))) (-5 *1 (-446 *4)))) (-1346 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| *4) (|:| -4421 (-571))))))) (-4 *4 (-1233 (-571))) (-5 *2 (-423 *4)) (-5 *1 (-446 *4))))) 
+(-10 -7 (-15 -1346 ((-423 |#1|) (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))))) (-15 -3440 ((-732 (-768)) (-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571)))))) (-15 -3889 ((-922))) (-15 -3889 ((-922) (-922))) (-15 -1906 ((-922))) (-15 -1906 ((-922) (-922))) (-15 -3634 ((-768) (-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571)))))) (-15 -2130 ((-2 (|:| -2643 (-571)) (|:| -2842 (-637 |#1|))) |#1|)) (-15 -1468 ((-121))) (-15 -1881 ((-121) (-121))) (-15 -4487 ((-121))) (-15 -1834 ((-121) (-121))) (-15 -4567 ((-121) |#1|)) (-15 -2259 ((-121))) (-15 -2715 ((-121) (-121))) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -4262 ((-423 |#1|) |#1| (-768))) (-15 -4262 ((-423 |#1|) |#1| (-637 (-768)))) (-15 -4262 ((-423 |#1|) |#1| (-637 (-768)) (-768))) (-15 -4262 ((-423 |#1|) |#1| (-768) (-768))) (-15 -4525 ((-423 |#1|) |#1|)) (-15 -4525 ((-423 |#1|) |#1| (-768))) (-15 -4525 ((-423 |#1|) |#1| (-637 (-768)))) (-15 -4525 ((-423 |#1|) |#1| (-637 (-768)) (-768))) (-15 -4525 ((-423 |#1|) |#1| (-768) (-768))) (-15 -4248 ((-3 |#1| "failed") (-922) |#1|)) (-15 -4248 ((-3 |#1| "failed") (-922) |#1| (-768))) (-15 -4248 ((-3 |#1| "failed") (-922) |#1| (-637 (-768)))) (-15 -4248 ((-3 |#1| "failed") (-922) |#1| (-637 (-768)) (-768))) (-15 -4248 ((-3 |#1| "failed") (-922) |#1| (-637 (-768)) (-768) (-121))) (-15 -2121 ((-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))) |#1| (-121))) (-15 -3531 ((-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))) |#1| (-121) (-1099 (-768)) (-768)))) 
+((-2910 (((-571) |#2|) 48) (((-571) |#2| (-768)) 47)) (-2977 (((-571) |#2|) 55)) (-2823 ((|#3| |#2|) 25)) (-3477 ((|#3| |#2| (-922)) 14)) (-3158 ((|#3| |#2|) 15)) (-1603 ((|#3| |#2|) 9)) (-1454 ((|#3| |#2|) 10)) (-2731 ((|#3| |#2| (-922)) 62) ((|#3| |#2|) 30)) (-4380 (((-571) |#2|) 57))) 
+(((-447 |#1| |#2| |#3|) (-10 -7 (-15 -4380 ((-571) |#2|)) (-15 -2731 (|#3| |#2|)) (-15 -2731 (|#3| |#2| (-922))) (-15 -2977 ((-571) |#2|)) (-15 -2910 ((-571) |#2| (-768))) (-15 -2910 ((-571) |#2|)) (-15 -3477 (|#3| |#2| (-922))) (-15 -2823 (|#3| |#2|)) (-15 -1603 (|#3| |#2|)) (-15 -1454 (|#3| |#2|)) (-15 -3158 (|#3| |#2|))) (-1053) (-1233 |#1|) (-13 (-409) (-1043 |#1|) (-367) (-1189) (-280))) (T -447)) 
+((-3158 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))) (-5 *1 (-447 *4 *3 *2)) (-4 *3 (-1233 *4)))) (-1454 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))) (-5 *1 (-447 *4 *3 *2)) (-4 *3 (-1233 *4)))) (-1603 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))) (-5 *1 (-447 *4 *3 *2)) (-4 *3 (-1233 *4)))) (-2823 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))) (-5 *1 (-447 *4 *3 *2)) (-4 *3 (-1233 *4)))) (-3477 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *2 (-13 (-409) (-1043 *5) (-367) (-1189) (-280))) (-5 *1 (-447 *5 *3 *2)) (-4 *3 (-1233 *5)))) (-2910 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-571)) (-5 *1 (-447 *4 *3 *5)) (-4 *3 (-1233 *4)) (-4 *5 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))))) (-2910 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-1053)) (-5 *2 (-571)) (-5 *1 (-447 *5 *3 *6)) (-4 *3 (-1233 *5)) (-4 *6 (-13 (-409) (-1043 *5) (-367) (-1189) (-280))))) (-2977 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-571)) (-5 *1 (-447 *4 *3 *5)) (-4 *3 (-1233 *4)) (-4 *5 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))))) (-2731 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *2 (-13 (-409) (-1043 *5) (-367) (-1189) (-280))) (-5 *1 (-447 *5 *3 *2)) (-4 *3 (-1233 *5)))) (-2731 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))) (-5 *1 (-447 *4 *3 *2)) (-4 *3 (-1233 *4)))) (-4380 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-571)) (-5 *1 (-447 *4 *3 *5)) (-4 *3 (-1233 *4)) (-4 *5 (-13 (-409) (-1043 *4) (-367) (-1189) (-280)))))) 
+(-10 -7 (-15 -4380 ((-571) |#2|)) (-15 -2731 (|#3| |#2|)) (-15 -2731 (|#3| |#2| (-922))) (-15 -2977 ((-571) |#2|)) (-15 -2910 ((-571) |#2| (-768))) (-15 -2910 ((-571) |#2|)) (-15 -3477 (|#3| |#2| (-922))) (-15 -2823 (|#3| |#2|)) (-15 -1603 (|#3| |#2|)) (-15 -1454 (|#3| |#2|)) (-15 -3158 (|#3| |#2|))) 
+((-2195 ((|#2| (-1258 |#1|)) 36)) (-3616 ((|#2| |#2| |#1|) 49)) (-2923 ((|#2| |#2| |#1|) 41)) (-4378 ((|#2| |#2|) 38)) (-1804 (((-121) |#2|) 30)) (-2284 (((-637 |#2|) (-922) (-423 |#2|)) 16)) (-4248 ((|#2| (-922) (-423 |#2|)) 21)) (-3440 (((-732 (-768)) (-423 |#2|)) 25))) 
+(((-448 |#1| |#2|) (-10 -7 (-15 -1804 ((-121) |#2|)) (-15 -2195 (|#2| (-1258 |#1|))) (-15 -4378 (|#2| |#2|)) (-15 -2923 (|#2| |#2| |#1|)) (-15 -3616 (|#2| |#2| |#1|)) (-15 -3440 ((-732 (-768)) (-423 |#2|))) (-15 -4248 (|#2| (-922) (-423 |#2|))) (-15 -2284 ((-637 |#2|) (-922) (-423 |#2|)))) (-1053) (-1233 |#1|)) (T -448)) 
+((-2284 (*1 *2 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-423 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-1053)) (-5 *2 (-637 *6)) (-5 *1 (-448 *5 *6)))) (-4248 (*1 *2 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-423 *2)) (-4 *2 (-1233 *5)) (-5 *1 (-448 *5 *2)) (-4 *5 (-1053)))) (-3440 (*1 *2 *3) (-12 (-5 *3 (-423 *5)) (-4 *5 (-1233 *4)) (-4 *4 (-1053)) (-5 *2 (-732 (-768))) (-5 *1 (-448 *4 *5)))) (-3616 (*1 *2 *2 *3) (-12 (-4 *3 (-1053)) (-5 *1 (-448 *3 *2)) (-4 *2 (-1233 *3)))) (-2923 (*1 *2 *2 *3) (-12 (-4 *3 (-1053)) (-5 *1 (-448 *3 *2)) (-4 *2 (-1233 *3)))) (-4378 (*1 *2 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-448 *3 *2)) (-4 *2 (-1233 *3)))) (-2195 (*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-1053)) (-4 *2 (-1233 *4)) (-5 *1 (-448 *4 *2)))) (-1804 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-121)) (-5 *1 (-448 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -1804 ((-121) |#2|)) (-15 -2195 (|#2| (-1258 |#1|))) (-15 -4378 (|#2| |#2|)) (-15 -2923 (|#2| |#2| |#1|)) (-15 -3616 (|#2| |#2| |#1|)) (-15 -3440 ((-732 (-768)) (-423 |#2|))) (-15 -4248 (|#2| (-922) (-423 |#2|))) (-15 -2284 ((-637 |#2|) (-922) (-423 |#2|)))) 
+((-2936 (((-768)) 41)) (-1337 (((-768)) 23 (|has| |#1| (-409))) (((-768) (-768)) 22 (|has| |#1| (-409)))) (-3776 (((-571) |#1|) 18 (|has| |#1| (-409)))) (-4011 (((-571) |#1|) 20 (|has| |#1| (-409)))) (-3795 (((-768)) 40) (((-768) (-768)) 39)) (-3621 ((|#1| (-768) (-571)) 29)) (-1886 (((-1263)) 43))) 
+(((-449 |#1|) (-10 -7 (-15 -3621 (|#1| (-768) (-571))) (-15 -3795 ((-768) (-768))) (-15 -3795 ((-768))) (-15 -2936 ((-768))) (-15 -1886 ((-1263))) (IF (|has| |#1| (-409)) (PROGN (-15 -4011 ((-571) |#1|)) (-15 -3776 ((-571) |#1|)) (-15 -1337 ((-768) (-768))) (-15 -1337 ((-768)))) |noBranch|)) (-1053)) (T -449)) 
+((-1337 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-449 *3)) (-4 *3 (-409)) (-4 *3 (-1053)))) (-1337 (*1 *2 *2) (-12 (-5 *2 (-768)) (-5 *1 (-449 *3)) (-4 *3 (-409)) (-4 *3 (-1053)))) (-3776 (*1 *2 *3) (-12 (-5 *2 (-571)) (-5 *1 (-449 *3)) (-4 *3 (-409)) (-4 *3 (-1053)))) (-4011 (*1 *2 *3) (-12 (-5 *2 (-571)) (-5 *1 (-449 *3)) (-4 *3 (-409)) (-4 *3 (-1053)))) (-1886 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-449 *3)) (-4 *3 (-1053)))) (-2936 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-449 *3)) (-4 *3 (-1053)))) (-3795 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-449 *3)) (-4 *3 (-1053)))) (-3795 (*1 *2 *2) (-12 (-5 *2 (-768)) (-5 *1 (-449 *3)) (-4 *3 (-1053)))) (-3621 (*1 *2 *3 *4) (-12 (-5 *3 (-768)) (-5 *4 (-571)) (-5 *1 (-449 *2)) (-4 *2 (-1053))))) 
+(-10 -7 (-15 -3621 (|#1| (-768) (-571))) (-15 -3795 ((-768) (-768))) (-15 -3795 ((-768))) (-15 -2936 ((-768))) (-15 -1886 ((-1263))) (IF (|has| |#1| (-409)) (PROGN (-15 -4011 ((-571) |#1|)) (-15 -3776 ((-571) |#1|)) (-15 -1337 ((-768) (-768))) (-15 -1337 ((-768)))) |noBranch|)) 
+((-1814 (((-637 (-571)) (-571)) 57)) (-1596 (((-121) (-170 (-571))) 61)) (-4262 (((-423 (-170 (-571))) (-170 (-571))) 56))) 
+(((-450) (-10 -7 (-15 -4262 ((-423 (-170 (-571))) (-170 (-571)))) (-15 -1814 ((-637 (-571)) (-571))) (-15 -1596 ((-121) (-170 (-571)))))) (T -450)) 
+((-1596 (*1 *2 *3) (-12 (-5 *3 (-170 (-571))) (-5 *2 (-121)) (-5 *1 (-450)))) (-1814 (*1 *2 *3) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-450)) (-5 *3 (-571)))) (-4262 (*1 *2 *3) (-12 (-5 *2 (-423 (-170 (-571)))) (-5 *1 (-450)) (-5 *3 (-170 (-571)))))) 
+(-10 -7 (-15 -4262 ((-423 (-170 (-571))) (-170 (-571)))) (-15 -1814 ((-637 (-571)) (-571))) (-15 -1596 ((-121) (-170 (-571))))) 
+((-2581 ((|#4| |#4| (-637 |#4|)) 57)) (-3980 (((-637 |#4|) (-637 |#4|) (-1151) (-1151)) 17) (((-637 |#4|) (-637 |#4|) (-1151)) 16) (((-637 |#4|) (-637 |#4|)) 11))) 
+(((-451 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2581 (|#4| |#4| (-637 |#4|))) (-15 -3980 ((-637 |#4|) (-637 |#4|))) (-15 -3980 ((-637 |#4|) (-637 |#4|) (-1151))) (-15 -3980 ((-637 |#4|) (-637 |#4|) (-1151) (-1151)))) (-302) (-793) (-847) (-955 |#1| |#2| |#3|)) (T -451)) 
+((-3980 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-1151)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-451 *4 *5 *6 *7)))) (-3980 (*1 *2 *2 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-1151)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-451 *4 *5 *6 *7)))) (-3980 (*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-302)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-451 *3 *4 *5 *6)))) (-2581 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-451 *4 *5 *6 *2))))) 
+(-10 -7 (-15 -2581 (|#4| |#4| (-637 |#4|))) (-15 -3980 ((-637 |#4|) (-637 |#4|))) (-15 -3980 ((-637 |#4|) (-637 |#4|) (-1151))) (-15 -3980 ((-637 |#4|) (-637 |#4|) (-1151) (-1151)))) 
+((-2773 (((-637 (-637 |#4|)) (-637 |#4|) (-121)) 70) (((-637 (-637 |#4|)) (-637 |#4|)) 69) (((-637 (-637 |#4|)) (-637 |#4|) (-637 |#4|) (-121)) 63) (((-637 (-637 |#4|)) (-637 |#4|) (-637 |#4|)) 64)) (-3469 (((-637 (-637 |#4|)) (-637 |#4|) (-121)) 40) (((-637 (-637 |#4|)) (-637 |#4|)) 60))) 
+(((-452 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3469 ((-637 (-637 |#4|)) (-637 |#4|))) (-15 -3469 ((-637 (-637 |#4|)) (-637 |#4|) (-121))) (-15 -2773 ((-637 (-637 |#4|)) (-637 |#4|) (-637 |#4|))) (-15 -2773 ((-637 (-637 |#4|)) (-637 |#4|) (-637 |#4|) (-121))) (-15 -2773 ((-637 (-637 |#4|)) (-637 |#4|))) (-15 -2773 ((-637 (-637 |#4|)) (-637 |#4|) (-121)))) (-13 (-302) (-151)) (-793) (-847) (-955 |#1| |#2| |#3|)) (T -452)) 
+((-2773 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-955 *5 *6 *7)) (-5 *2 (-637 (-637 *8))) (-5 *1 (-452 *5 *6 *7 *8)) (-5 *3 (-637 *8)))) (-2773 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-955 *4 *5 *6)) (-5 *2 (-637 (-637 *7))) (-5 *1 (-452 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) (-2773 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-955 *5 *6 *7)) (-5 *2 (-637 (-637 *8))) (-5 *1 (-452 *5 *6 *7 *8)) (-5 *3 (-637 *8)))) (-2773 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-955 *4 *5 *6)) (-5 *2 (-637 (-637 *7))) (-5 *1 (-452 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) (-3469 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-955 *5 *6 *7)) (-5 *2 (-637 (-637 *8))) (-5 *1 (-452 *5 *6 *7 *8)) (-5 *3 (-637 *8)))) (-3469 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-955 *4 *5 *6)) (-5 *2 (-637 (-637 *7))) (-5 *1 (-452 *4 *5 *6 *7)) (-5 *3 (-637 *7))))) 
+(-10 -7 (-15 -3469 ((-637 (-637 |#4|)) (-637 |#4|))) (-15 -3469 ((-637 (-637 |#4|)) (-637 |#4|) (-121))) (-15 -2773 ((-637 (-637 |#4|)) (-637 |#4|) (-637 |#4|))) (-15 -2773 ((-637 (-637 |#4|)) (-637 |#4|) (-637 |#4|) (-121))) (-15 -2773 ((-637 (-637 |#4|)) (-637 |#4|))) (-15 -2773 ((-637 (-637 |#4|)) (-637 |#4|) (-121)))) 
+((-3045 (((-768) |#4|) 12)) (-4199 (((-637 (-2 (|:| |totdeg| (-768)) (|:| -2068 |#4|))) |#4| (-768) (-637 (-2 (|:| |totdeg| (-768)) (|:| -2068 |#4|)))) 31)) (-1746 (((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 37)) (-1578 ((|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 38)) (-3737 ((|#4| |#4| (-637 |#4|)) 39)) (-2599 (((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-637 |#4|)) 68)) (-3778 (((-1263) |#4|) 41)) (-3377 (((-1263) (-637 |#4|)) 50)) (-3428 (((-571) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-571) (-571) (-571)) 47)) (-3591 (((-1263) (-571)) 75)) (-2374 (((-637 |#4|) (-637 |#4|)) 73)) (-3209 (((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-768)) (|:| -2068 |#4|)) |#4| (-768)) 25)) (-2415 (((-571) |#4|) 74)) (-1382 ((|#4| |#4|) 29)) (-2330 (((-637 |#4|) (-637 |#4|) (-571) (-571)) 54)) (-3408 (((-571) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-571) (-571) (-571) (-571)) 85)) (-2172 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 16)) (-3142 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 57)) (-1951 (((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 56)) (-3644 (((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 35)) (-4021 (((-121) |#2| |#2|) 55)) (-4013 (((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 36)) (-2733 (((-121) |#2| |#2| |#2| |#2|) 58)) (-2332 ((|#4| |#4| (-637 |#4|)) 69))) 
+(((-453 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2332 (|#4| |#4| (-637 |#4|))) (-15 -3737 (|#4| |#4| (-637 |#4|))) (-15 -2330 ((-637 |#4|) (-637 |#4|) (-571) (-571))) (-15 -3142 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4021 ((-121) |#2| |#2|)) (-15 -2733 ((-121) |#2| |#2| |#2| |#2|)) (-15 -4013 ((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3644 ((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1951 ((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2599 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-637 |#4|))) (-15 -1382 (|#4| |#4|)) (-15 -4199 ((-637 (-2 (|:| |totdeg| (-768)) (|:| -2068 |#4|))) |#4| (-768) (-637 (-2 (|:| |totdeg| (-768)) (|:| -2068 |#4|))))) (-15 -1578 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1746 ((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2374 ((-637 |#4|) (-637 |#4|))) (-15 -2415 ((-571) |#4|)) (-15 -3778 ((-1263) |#4|)) (-15 -3428 ((-571) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-571) (-571) (-571))) (-15 -3408 ((-571) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-571) (-571) (-571) (-571))) (-15 -3377 ((-1263) (-637 |#4|))) (-15 -3591 ((-1263) (-571))) (-15 -2172 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -3209 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-768)) (|:| -2068 |#4|)) |#4| (-768))) (-15 -3045 ((-768) |#4|))) (-456) (-793) (-847) (-955 |#1| |#2| |#3|)) (T -453)) 
+((-3045 (*1 *2 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-768)) (-5 *1 (-453 *4 *5 *6 *3)) (-4 *3 (-955 *4 *5 *6)))) (-3209 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-768)) (|:| -2068 *4))) (-5 *5 (-768)) (-4 *4 (-955 *6 *7 *8)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-453 *6 *7 *8 *4)))) (-2172 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-768)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-793)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-453 *4 *5 *6 *7)))) (-3591 (*1 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1263)) (-5 *1 (-453 *4 *5 *6 *7)) (-4 *7 (-955 *4 *5 *6)))) (-3377 (*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1263)) (-5 *1 (-453 *4 *5 *6 *7)))) (-3408 (*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-768)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-793)) (-4 *4 (-955 *5 *6 *7)) (-4 *5 (-456)) (-4 *7 (-847)) (-5 *1 (-453 *5 *6 *7 *4)))) (-3428 (*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-768)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-793)) (-4 *4 (-955 *5 *6 *7)) (-4 *5 (-456)) (-4 *7 (-847)) (-5 *1 (-453 *5 *6 *7 *4)))) (-3778 (*1 *2 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1263)) (-5 *1 (-453 *4 *5 *6 *3)) (-4 *3 (-955 *4 *5 *6)))) (-2415 (*1 *2 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-571)) (-5 *1 (-453 *4 *5 *6 *3)) (-4 *3 (-955 *4 *5 *6)))) (-2374 (*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-453 *3 *4 *5 *6)))) (-1746 (*1 *2 *2 *2) (-12 (-5 *2 (-637 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-768)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-793)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-456)) (-4 *5 (-847)) (-5 *1 (-453 *3 *4 *5 *6)))) (-1578 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-768)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-793)) (-4 *2 (-955 *4 *5 *6)) (-5 *1 (-453 *4 *5 *6 *2)) (-4 *4 (-456)) (-4 *6 (-847)))) (-4199 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-637 (-2 (|:| |totdeg| (-768)) (|:| -2068 *3)))) (-5 *4 (-768)) (-4 *3 (-955 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-453 *5 *6 *7 *3)))) (-1382 (*1 *2 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-453 *3 *4 *5 *2)) (-4 *2 (-955 *3 *4 *5)))) (-2599 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-955 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-453 *5 *6 *7 *3)))) (-1951 (*1 *2 *3 *2) (-12 (-5 *2 (-637 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-768)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-793)) (-4 *6 (-955 *4 *3 *5)) (-4 *4 (-456)) (-4 *5 (-847)) (-5 *1 (-453 *4 *3 *5 *6)))) (-3644 (*1 *2 *2) (-12 (-5 *2 (-637 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-768)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-793)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-456)) (-4 *5 (-847)) (-5 *1 (-453 *3 *4 *5 *6)))) (-4013 (*1 *2 *3 *2) (-12 (-5 *2 (-637 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-768)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-793)) (-4 *3 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *6 (-847)) (-5 *1 (-453 *4 *5 *6 *3)))) (-2733 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-456)) (-4 *3 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-453 *4 *3 *5 *6)) (-4 *6 (-955 *4 *3 *5)))) (-4021 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *3 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-453 *4 *3 *5 *6)) (-4 *6 (-955 *4 *3 *5)))) (-3142 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-768)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-793)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-453 *4 *5 *6 *7)))) (-2330 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-571)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-453 *4 *5 *6 *7)))) (-3737 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-453 *4 *5 *6 *2)))) (-2332 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-453 *4 *5 *6 *2))))) 
+(-10 -7 (-15 -2332 (|#4| |#4| (-637 |#4|))) (-15 -3737 (|#4| |#4| (-637 |#4|))) (-15 -2330 ((-637 |#4|) (-637 |#4|) (-571) (-571))) (-15 -3142 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4021 ((-121) |#2| |#2|)) (-15 -2733 ((-121) |#2| |#2| |#2| |#2|)) (-15 -4013 ((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3644 ((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1951 ((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2599 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-637 |#4|))) (-15 -1382 (|#4| |#4|)) (-15 -4199 ((-637 (-2 (|:| |totdeg| (-768)) (|:| -2068 |#4|))) |#4| (-768) (-637 (-2 (|:| |totdeg| (-768)) (|:| -2068 |#4|))))) (-15 -1578 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1746 ((-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-637 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2374 ((-637 |#4|) (-637 |#4|))) (-15 -2415 ((-571) |#4|)) (-15 -3778 ((-1263) |#4|)) (-15 -3428 ((-571) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-571) (-571) (-571))) (-15 -3408 ((-571) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-571) (-571) (-571) (-571))) (-15 -3377 ((-1263) (-637 |#4|))) (-15 -3591 ((-1263) (-571))) (-15 -2172 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -3209 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-768)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-768)) (|:| -2068 |#4|)) |#4| (-768))) (-15 -3045 ((-768) |#4|))) 
+((-2282 ((|#4| |#4| (-637 |#4|)) 22 (|has| |#1| (-367)))) (-3095 (((-637 |#4|) (-637 |#4|) (-1151) (-1151)) 41) (((-637 |#4|) (-637 |#4|) (-1151)) 40) (((-637 |#4|) (-637 |#4|)) 35))) 
+(((-454 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3095 ((-637 |#4|) (-637 |#4|))) (-15 -3095 ((-637 |#4|) (-637 |#4|) (-1151))) (-15 -3095 ((-637 |#4|) (-637 |#4|) (-1151) (-1151))) (IF (|has| |#1| (-367)) (-15 -2282 (|#4| |#4| (-637 |#4|))) |noBranch|)) (-456) (-793) (-847) (-955 |#1| |#2| |#3|)) (T -454)) 
+((-2282 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *4 *5 *6)) (-4 *4 (-367)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-454 *4 *5 *6 *2)))) (-3095 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-1151)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-454 *4 *5 *6 *7)))) (-3095 (*1 *2 *2 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-1151)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-454 *4 *5 *6 *7)))) (-3095 (*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-454 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -3095 ((-637 |#4|) (-637 |#4|))) (-15 -3095 ((-637 |#4|) (-637 |#4|) (-1151))) (-15 -3095 ((-637 |#4|) (-637 |#4|) (-1151) (-1151))) (IF (|has| |#1| (-367)) (-15 -2282 (|#4| |#4| (-637 |#4|))) |noBranch|)) 
+((-1622 (($ $ $) 14) (($ (-637 $)) 21)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 41)) (-3026 (($ $ $) NIL) (($ (-637 $)) 22))) 
+(((-455 |#1|) (-10 -8 (-15 -2184 ((-1165 |#1|) (-1165 |#1|) (-1165 |#1|))) (-15 -1622 (|#1| (-637 |#1|))) (-15 -1622 (|#1| |#1| |#1|)) (-15 -3026 (|#1| (-637 |#1|))) (-15 -3026 (|#1| |#1| |#1|))) (-456)) (T -455)) 
+NIL 
+(-10 -8 (-15 -2184 ((-1165 |#1|) (-1165 |#1|) (-1165 |#1|))) (-15 -1622 (|#1| (-637 |#1|))) (-15 -1622 (|#1| |#1| |#1|)) (-15 -3026 (|#1| (-637 |#1|))) (-15 -3026 (|#1| |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-1786 (((-3 $ "failed") $ $) 41)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-456) (-1289)) (T -456)) 
+((-3026 (*1 *1 *1 *1) (-4 *1 (-456))) (-3026 (*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-456)))) (-1622 (*1 *1 *1 *1) (-4 *1 (-456))) (-1622 (*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-456)))) (-2184 (*1 *2 *2 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-456))))) 
+(-13 (-561) (-10 -8 (-15 -3026 ($ $ $)) (-15 -3026 ($ (-637 $))) (-15 -1622 ($ $ $)) (-15 -1622 ($ (-637 $))) (-15 -2184 ((-1165 $) (-1165 $) (-1165 $))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-286) . T) ((-561) . T) ((-640 $) . T) ((-712 $) . T) ((-721) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3691 (((-3 $ "failed")) NIL (|has| (-412 (-958 |#1|)) (-561)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-3247 (((-1258 (-684 (-412 (-958 |#1|)))) (-1258 $)) NIL) (((-1258 (-684 (-412 (-958 |#1|))))) NIL)) (-2664 (((-1258 $)) NIL)) (-2269 (($) NIL T CONST)) (-4094 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) NIL)) (-2655 (((-3 $ "failed")) NIL (|has| (-412 (-958 |#1|)) (-561)))) (-4560 (((-684 (-412 (-958 |#1|))) (-1258 $)) NIL) (((-684 (-412 (-958 |#1|)))) NIL)) (-2110 (((-412 (-958 |#1|)) $) NIL)) (-3583 (((-684 (-412 (-958 |#1|))) $ (-1258 $)) NIL) (((-684 (-412 (-958 |#1|))) $) NIL)) (-4555 (((-3 $ "failed") $) NIL (|has| (-412 (-958 |#1|)) (-561)))) (-2838 (((-1165 (-958 (-412 (-958 |#1|))))) NIL (|has| (-412 (-958 |#1|)) (-367))) (((-1165 (-412 (-958 |#1|)))) 79 (|has| |#1| (-561)))) (-3116 (($ $ (-922)) NIL)) (-4463 (((-412 (-958 |#1|)) $) NIL)) (-4051 (((-1165 (-412 (-958 |#1|))) $) 77 (|has| (-412 (-958 |#1|)) (-561)))) (-2630 (((-412 (-958 |#1|)) (-1258 $)) NIL) (((-412 (-958 |#1|))) NIL)) (-2015 (((-1165 (-412 (-958 |#1|))) $) NIL)) (-2249 (((-121)) NIL)) (-3456 (($ (-1258 (-412 (-958 |#1|))) (-1258 $)) 97) (($ (-1258 (-412 (-958 |#1|)))) NIL)) (-3978 (((-3 $ "failed") $) NIL (|has| (-412 (-958 |#1|)) (-561)))) (-3241 (((-922)) NIL)) (-2232 (((-121)) NIL)) (-1869 (($ $ (-922)) NIL)) (-3981 (((-121)) NIL)) (-1896 (((-121)) NIL)) (-1626 (((-121)) NIL)) (-1697 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) NIL)) (-3150 (((-3 $ "failed")) NIL (|has| (-412 (-958 |#1|)) (-561)))) (-3945 (((-684 (-412 (-958 |#1|))) (-1258 $)) NIL) (((-684 (-412 (-958 |#1|)))) NIL)) (-4456 (((-412 (-958 |#1|)) $) NIL)) (-3344 (((-684 (-412 (-958 |#1|))) $ (-1258 $)) NIL) (((-684 (-412 (-958 |#1|))) $) NIL)) (-3151 (((-3 $ "failed") $) NIL (|has| (-412 (-958 |#1|)) (-561)))) (-3064 (((-1165 (-958 (-412 (-958 |#1|))))) NIL (|has| (-412 (-958 |#1|)) (-367))) (((-1165 (-412 (-958 |#1|)))) 78 (|has| |#1| (-561)))) (-4406 (($ $ (-922)) NIL)) (-3829 (((-412 (-958 |#1|)) $) NIL)) (-1759 (((-1165 (-412 (-958 |#1|))) $) 72 (|has| (-412 (-958 |#1|)) (-561)))) (-1474 (((-412 (-958 |#1|)) (-1258 $)) NIL) (((-412 (-958 |#1|))) NIL)) (-1459 (((-1165 (-412 (-958 |#1|))) $) NIL)) (-4465 (((-121)) NIL)) (-3944 (((-1151) $) NIL)) (-4323 (((-121)) NIL)) (-4499 (((-121)) NIL)) (-2926 (((-121)) NIL)) (-2580 (((-1115) $) NIL)) (-4077 (((-412 (-958 |#1|)) $ $) 66 (|has| |#1| (-561)))) (-1397 (((-412 (-958 |#1|)) $) 65 (|has| |#1| (-561)))) (-2297 (((-412 (-958 |#1|)) $) 89 (|has| |#1| (-561)))) (-3355 (((-1165 (-412 (-958 |#1|))) $) 83 (|has| |#1| (-561)))) (-2887 (((-412 (-958 |#1|))) 67 (|has| |#1| (-561)))) (-3556 (((-412 (-958 |#1|)) $ $) 54 (|has| |#1| (-561)))) (-3683 (((-412 (-958 |#1|)) $) 53 (|has| |#1| (-561)))) (-2536 (((-412 (-958 |#1|)) $) 88 (|has| |#1| (-561)))) (-1728 (((-1165 (-412 (-958 |#1|))) $) 82 (|has| |#1| (-561)))) (-1773 (((-412 (-958 |#1|))) 64 (|has| |#1| (-561)))) (-1572 (($) 95) (($ (-1169)) 101) (($ (-1258 (-1169))) 100) (($ (-1258 $)) 90) (($ (-1169) (-1258 $)) 99) (($ (-1258 (-1169)) (-1258 $)) 98)) (-1849 (((-121)) NIL)) (-3245 (((-412 (-958 |#1|)) $ (-571)) NIL)) (-3723 (((-1258 (-412 (-958 |#1|))) $ (-1258 $)) 92) (((-684 (-412 (-958 |#1|))) (-1258 $) (-1258 $)) NIL) (((-1258 (-412 (-958 |#1|))) $) 37) (((-684 (-412 (-958 |#1|))) (-1258 $)) NIL)) (-4050 (((-1258 (-412 (-958 |#1|))) $) NIL) (($ (-1258 (-412 (-958 |#1|)))) 34)) (-2962 (((-637 (-958 (-412 (-958 |#1|)))) (-1258 $)) NIL) (((-637 (-958 (-412 (-958 |#1|))))) NIL) (((-637 (-958 |#1|)) (-1258 $)) 93 (|has| |#1| (-561))) (((-637 (-958 |#1|))) 94 (|has| |#1| (-561)))) (-2212 (($ $ $) NIL)) (-3154 (((-121)) NIL)) (-3942 (((-855) $) NIL) (($ (-1258 (-412 (-958 |#1|)))) NIL)) (-1899 (((-1258 $)) 56)) (-4071 (((-637 (-1258 (-412 (-958 |#1|))))) NIL (|has| (-412 (-958 |#1|)) (-561)))) (-3100 (($ $ $ $) NIL)) (-3904 (((-121)) NIL)) (-4288 (($ (-684 (-412 (-958 |#1|))) $) NIL)) (-2493 (($ $ $) NIL)) (-2742 (((-121)) NIL)) (-2740 (((-121)) NIL)) (-1582 (((-121)) NIL)) (-2369 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) 91)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 52) (($ $ (-412 (-958 |#1|))) NIL) (($ (-412 (-958 |#1|)) $) NIL) (($ (-1134 |#2| (-412 (-958 |#1|))) $) NIL))) 
+(((-457 |#1| |#2| |#3| |#4|) (-13 (-422 (-412 (-958 |#1|))) (-640 (-1134 |#2| (-412 (-958 |#1|)))) (-10 -8 (-15 -3942 ($ (-1258 (-412 (-958 |#1|))))) (-15 -1697 ((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed"))) (-15 -4094 ((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed"))) (-15 -1572 ($)) (-15 -1572 ($ (-1169))) (-15 -1572 ($ (-1258 (-1169)))) (-15 -1572 ($ (-1258 $))) (-15 -1572 ($ (-1169) (-1258 $))) (-15 -1572 ($ (-1258 (-1169)) (-1258 $))) (IF (|has| |#1| (-561)) (PROGN (-15 -3064 ((-1165 (-412 (-958 |#1|))))) (-15 -1728 ((-1165 (-412 (-958 |#1|))) $)) (-15 -3683 ((-412 (-958 |#1|)) $)) (-15 -2536 ((-412 (-958 |#1|)) $)) (-15 -2838 ((-1165 (-412 (-958 |#1|))))) (-15 -3355 ((-1165 (-412 (-958 |#1|))) $)) (-15 -1397 ((-412 (-958 |#1|)) $)) (-15 -2297 ((-412 (-958 |#1|)) $)) (-15 -3556 ((-412 (-958 |#1|)) $ $)) (-15 -1773 ((-412 (-958 |#1|)))) (-15 -4077 ((-412 (-958 |#1|)) $ $)) (-15 -2887 ((-412 (-958 |#1|)))) (-15 -2962 ((-637 (-958 |#1|)) (-1258 $))) (-15 -2962 ((-637 (-958 |#1|))))) |noBranch|))) (-173) (-922) (-637 (-1169)) (-1258 (-684 |#1|))) (T -457)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1258 (-412 (-958 *3)))) (-4 *3 (-173)) (-14 *6 (-1258 (-684 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))))) (-1697 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-457 *3 *4 *5 *6)) (|:| -1899 (-637 (-457 *3 *4 *5 *6))))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-4094 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-457 *3 *4 *5 *6)) (|:| -1899 (-637 (-457 *3 *4 *5 *6))))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-1572 (*1 *1) (-12 (-5 *1 (-457 *2 *3 *4 *5)) (-4 *2 (-173)) (-14 *3 (-922)) (-14 *4 (-637 (-1169))) (-14 *5 (-1258 (-684 *2))))) (-1572 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 *2)) (-14 *6 (-1258 (-684 *3))))) (-1572 (*1 *1 *2) (-12 (-5 *2 (-1258 (-1169))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-1572 (*1 *1 *2) (-12 (-5 *2 (-1258 (-457 *3 *4 *5 *6))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-1572 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-457 *4 *5 *6 *7))) (-5 *1 (-457 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-922)) (-14 *6 (-637 *2)) (-14 *7 (-1258 (-684 *4))))) (-1572 (*1 *1 *2 *3) (-12 (-5 *2 (-1258 (-1169))) (-5 *3 (-1258 (-457 *4 *5 *6 *7))) (-5 *1 (-457 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-922)) (-14 *6 (-637 (-1169))) (-14 *7 (-1258 (-684 *4))))) (-3064 (*1 *2) (-12 (-5 *2 (-1165 (-412 (-958 *3)))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-1728 (*1 *2 *1) (-12 (-5 *2 (-1165 (-412 (-958 *3)))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-3683 (*1 *2 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-2536 (*1 *2 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-2838 (*1 *2) (-12 (-5 *2 (-1165 (-412 (-958 *3)))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-3355 (*1 *2 *1) (-12 (-5 *2 (-1165 (-412 (-958 *3)))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-1397 (*1 *2 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-2297 (*1 *2 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-3556 (*1 *2 *1 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-1773 (*1 *2) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-4077 (*1 *2 *1 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-2887 (*1 *2) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) (-2962 (*1 *2 *3) (-12 (-5 *3 (-1258 (-457 *4 *5 *6 *7))) (-5 *2 (-637 (-958 *4))) (-5 *1 (-457 *4 *5 *6 *7)) (-4 *4 (-561)) (-4 *4 (-173)) (-14 *5 (-922)) (-14 *6 (-637 (-1169))) (-14 *7 (-1258 (-684 *4))))) (-2962 (*1 *2) (-12 (-5 *2 (-637 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(-13 (-422 (-412 (-958 |#1|))) (-640 (-1134 |#2| (-412 (-958 |#1|)))) (-10 -8 (-15 -3942 ($ (-1258 (-412 (-958 |#1|))))) (-15 -1697 ((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed"))) (-15 -4094 ((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed"))) (-15 -1572 ($)) (-15 -1572 ($ (-1169))) (-15 -1572 ($ (-1258 (-1169)))) (-15 -1572 ($ (-1258 $))) (-15 -1572 ($ (-1169) (-1258 $))) (-15 -1572 ($ (-1258 (-1169)) (-1258 $))) (IF (|has| |#1| (-561)) (PROGN (-15 -3064 ((-1165 (-412 (-958 |#1|))))) (-15 -1728 ((-1165 (-412 (-958 |#1|))) $)) (-15 -3683 ((-412 (-958 |#1|)) $)) (-15 -2536 ((-412 (-958 |#1|)) $)) (-15 -2838 ((-1165 (-412 (-958 |#1|))))) (-15 -3355 ((-1165 (-412 (-958 |#1|))) $)) (-15 -1397 ((-412 (-958 |#1|)) $)) (-15 -2297 ((-412 (-958 |#1|)) $)) (-15 -3556 ((-412 (-958 |#1|)) $ $)) (-15 -1773 ((-412 (-958 |#1|)))) (-15 -4077 ((-412 (-958 |#1|)) $ $)) (-15 -2887 ((-412 (-958 |#1|)))) (-15 -2962 ((-637 (-958 |#1|)) (-1258 $))) (-15 -2962 ((-637 (-958 |#1|))))) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 13)) (-3424 (((-637 (-857 |#1|)) $) 73)) (-4257 (((-1165 $) $ (-857 |#1|)) 46) (((-1165 |#2|) $) 115)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#2| (-561)))) (-1415 (($ $) NIL (|has| |#2| (-561)))) (-2545 (((-121) $) NIL (|has| |#2| (-561)))) (-3066 (((-768) $) 21) (((-768) $ (-637 (-857 |#1|))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2356 (($ $) NIL (|has| |#2| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#2| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) 44) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#2| (-1043 (-571)))) (((-3 (-857 |#1|) "failed") $) NIL)) (-1316 ((|#2| $) 42) (((-412 (-571)) $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#2| (-1043 (-571)))) (((-857 |#1|) $) NIL)) (-3730 (($ $ $ (-857 |#1|)) NIL (|has| |#2| (-173)))) (-3602 (($ $ (-637 (-571))) 78)) (-4349 (($ $) 67)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL) (((-684 |#2|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#2| (-456))) (($ $ (-857 |#1|)) NIL (|has| |#2| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#2| (-909)))) (-1420 (($ $ |#2| |#3| $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-857 |#1|) (-886 (-384))) (|has| |#2| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-857 |#1|) (-886 (-571))) (|has| |#2| (-886 (-571)))))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) 58)) (-4296 (($ (-1165 |#2|) (-857 |#1|)) 120) (($ (-1165 $) (-857 |#1|)) 52)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) 59)) (-4289 (($ |#2| |#3|) 28) (($ $ (-857 |#1|) (-768)) 30) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-857 |#1|)) NIL)) (-3973 ((|#3| $) NIL) (((-768) $ (-857 |#1|)) 50) (((-637 (-768)) $ (-637 (-857 |#1|))) 57)) (-1763 (($ $ $) NIL (|has| |#2| (-847)))) (-2383 (($ $ $) NIL (|has| |#2| (-847)))) (-2587 (($ (-1 |#3| |#3|) $) NIL)) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-2510 (((-3 (-857 |#1|) "failed") $) 39)) (-4332 (($ $) NIL)) (-4337 ((|#2| $) 41)) (-1622 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-3944 (((-1151) $) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-857 |#1|)) (|:| -2154 (-768))) "failed") $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) 40)) (-4326 ((|#2| $) 113)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#2| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) 125 (|has| |#2| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#2| (-909)))) (-1786 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-561)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-857 |#1|) |#2|) 85) (($ $ (-637 (-857 |#1|)) (-637 |#2|)) 88) (($ $ (-857 |#1|) $) 83) (($ $ (-637 (-857 |#1|)) (-637 $)) 104)) (-1475 (($ $ (-857 |#1|)) NIL (|has| |#2| (-173)))) (-3096 (($ $ (-857 |#1|)) 53) (($ $ (-637 (-857 |#1|))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-2400 ((|#3| $) 66) (((-768) $ (-857 |#1|)) 37) (((-637 (-768)) $ (-637 (-857 |#1|))) 56)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-857 |#1|) (-612 (-892 (-384)))) (|has| |#2| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-857 |#1|) (-612 (-892 (-571)))) (|has| |#2| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-857 |#1|) (-612 (-544))) (|has| |#2| (-612 (-544)))))) (-4189 ((|#2| $) 122 (|has| |#2| (-456))) (($ $ (-857 |#1|)) NIL (|has| |#2| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-909))))) (-3942 (((-855) $) 141) (($ (-571)) NIL) (($ |#2|) 84) (($ (-857 |#1|)) 31) (($ (-412 (-571))) NIL (-1831 (|has| |#2| (-43 (-412 (-571)))) (|has| |#2| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#2| (-561)))) (-1314 (((-637 |#2|) $) NIL)) (-3136 ((|#2| $ |#3|) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#2| (-909))) (|has| |#2| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#2| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#2| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 16 T CONST)) (-3222 (($) 25 T CONST)) (-1544 (($ $ (-857 |#1|)) NIL) (($ $ (-637 (-857 |#1|))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-1350 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1379 (($ $ |#2|) 64 (|has| |#2| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 109)) (** (($ $ (-922)) NIL) (($ $ (-768)) 107)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 29) (($ $ (-412 (-571))) NIL (|has| |#2| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#2| (-43 (-412 (-571))))) (($ |#2| $) 63) (($ $ |#2|) NIL))) 
+(((-458 |#1| |#2| |#3|) (-13 (-955 |#2| |#3| (-857 |#1|)) (-10 -8 (-15 -3602 ($ $ (-637 (-571)))))) (-637 (-1169)) (-1053) (-231 (-4001 |#1|) (-768))) (T -458)) 
+((-3602 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-14 *3 (-637 (-1169))) (-5 *1 (-458 *3 *4 *5)) (-4 *4 (-1053)) (-4 *5 (-231 (-4001 *3) (-768)))))) 
+(-13 (-955 |#2| |#3| (-857 |#1|)) (-10 -8 (-15 -3602 ($ $ (-637 (-571)))))) 
+((-3232 (((-1263) (-311 (-384)) (-1089 (-384)) (-1089 (-384)) (-1151)) 49) (((-1263) (-311 (-384)) (-1089 (-384)) (-1089 (-384)) (-1151) (-637 (-257))) 48) (((-1263) (-311 (-384)) (-1089 (-384)) (-1151)) 42) (((-1263) (-311 (-384)) (-1089 (-384)) (-1151) (-637 (-257))) 39))) 
+(((-459) (-10 -7 (-15 -3232 ((-1263) (-311 (-384)) (-1089 (-384)) (-1151) (-637 (-257)))) (-15 -3232 ((-1263) (-311 (-384)) (-1089 (-384)) (-1151))) (-15 -3232 ((-1263) (-311 (-384)) (-1089 (-384)) (-1089 (-384)) (-1151) (-637 (-257)))) (-15 -3232 ((-1263) (-311 (-384)) (-1089 (-384)) (-1089 (-384)) (-1151))))) (T -459)) 
+((-3232 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-384))) (-5 *5 (-1151)) (-5 *2 (-1263)) (-5 *1 (-459)))) (-3232 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-384))) (-5 *5 (-1151)) (-5 *6 (-637 (-257))) (-5 *2 (-1263)) (-5 *1 (-459)))) (-3232 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-384))) (-5 *5 (-1151)) (-5 *2 (-1263)) (-5 *1 (-459)))) (-3232 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-384))) (-5 *5 (-1151)) (-5 *6 (-637 (-257))) (-5 *2 (-1263)) (-5 *1 (-459))))) 
+(-10 -7 (-15 -3232 ((-1263) (-311 (-384)) (-1089 (-384)) (-1151) (-637 (-257)))) (-15 -3232 ((-1263) (-311 (-384)) (-1089 (-384)) (-1151))) (-15 -3232 ((-1263) (-311 (-384)) (-1089 (-384)) (-1089 (-384)) (-1151) (-637 (-257)))) (-15 -3232 ((-1263) (-311 (-384)) (-1089 (-384)) (-1089 (-384)) (-1151)))) 
+((-3324 (((-121) |#1| (-637 |#2|)) 65)) (-4098 (((-3 (-1258 (-637 |#2|)) "failed") (-768) |#1| (-637 |#2|)) 74)) (-2074 (((-3 (-637 |#2|) "failed") |#2| |#1| (-1258 (-637 |#2|))) 76)) (-2203 ((|#2| |#2| |#1|) 28)) (-2001 (((-768) |#2| (-637 |#2|)) 20))) 
+(((-460 |#1| |#2|) (-10 -7 (-15 -2203 (|#2| |#2| |#1|)) (-15 -2001 ((-768) |#2| (-637 |#2|))) (-15 -4098 ((-3 (-1258 (-637 |#2|)) "failed") (-768) |#1| (-637 |#2|))) (-15 -2074 ((-3 (-637 |#2|) "failed") |#2| |#1| (-1258 (-637 |#2|)))) (-15 -3324 ((-121) |#1| (-637 |#2|)))) (-302) (-1233 |#1|)) (T -460)) 
+((-3324 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *5)) (-4 *5 (-1233 *3)) (-4 *3 (-302)) (-5 *2 (-121)) (-5 *1 (-460 *3 *5)))) (-2074 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1258 (-637 *3))) (-4 *4 (-302)) (-5 *2 (-637 *3)) (-5 *1 (-460 *4 *3)) (-4 *3 (-1233 *4)))) (-4098 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-768)) (-4 *4 (-302)) (-4 *6 (-1233 *4)) (-5 *2 (-1258 (-637 *6))) (-5 *1 (-460 *4 *6)) (-5 *5 (-637 *6)))) (-2001 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-302)) (-5 *2 (-768)) (-5 *1 (-460 *5 *3)))) (-2203 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-460 *3 *2)) (-4 *2 (-1233 *3))))) 
+(-10 -7 (-15 -2203 (|#2| |#2| |#1|)) (-15 -2001 ((-768) |#2| (-637 |#2|))) (-15 -4098 ((-3 (-1258 (-637 |#2|)) "failed") (-768) |#1| (-637 |#2|))) (-15 -2074 ((-3 (-637 |#2|) "failed") |#2| |#1| (-1258 (-637 |#2|)))) (-15 -3324 ((-121) |#1| (-637 |#2|)))) 
+((-4262 (((-423 |#5|) |#5|) 24))) 
+(((-461 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4262 ((-423 |#5|) |#5|))) (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169))))) (-793) (-561) (-561) (-955 |#4| |#2| |#1|)) (T -461)) 
+((-4262 (*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-4 *5 (-793)) (-4 *7 (-561)) (-5 *2 (-423 *3)) (-5 *1 (-461 *4 *5 *6 *7 *3)) (-4 *6 (-561)) (-4 *3 (-955 *7 *5 *4))))) 
+(-10 -7 (-15 -4262 ((-423 |#5|) |#5|))) 
+((-4152 ((|#3|) 36)) (-2184 (((-1165 |#4|) (-1165 |#4|) (-1165 |#4|)) 32))) 
+(((-462 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2184 ((-1165 |#4|) (-1165 |#4|) (-1165 |#4|))) (-15 -4152 (|#3|))) (-793) (-847) (-909) (-955 |#3| |#1| |#2|)) (T -462)) 
+((-4152 (*1 *2) (-12 (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-909)) (-5 *1 (-462 *3 *4 *2 *5)) (-4 *5 (-955 *2 *3 *4)))) (-2184 (*1 *2 *2 *2) (-12 (-5 *2 (-1165 *6)) (-4 *6 (-955 *5 *3 *4)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-909)) (-5 *1 (-462 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -2184 ((-1165 |#4|) (-1165 |#4|) (-1165 |#4|))) (-15 -4152 (|#3|))) 
+((-4262 (((-423 (-1165 |#1|)) (-1165 |#1|)) 41))) 
+(((-463 |#1|) (-10 -7 (-15 -4262 ((-423 (-1165 |#1|)) (-1165 |#1|)))) (-302)) (T -463)) 
+((-4262 (*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-423 (-1165 *4))) (-5 *1 (-463 *4)) (-5 *3 (-1165 *4))))) 
+(-10 -7 (-15 -4262 ((-423 (-1165 |#1|)) (-1165 |#1|)))) 
+((-1871 (((-57) |#2| (-1169) (-289 |#2|) (-1224 (-768))) 42) (((-57) (-1 |#2| (-571)) (-289 |#2|) (-1224 (-768))) 41) (((-57) |#2| (-1169) (-289 |#2|)) 35) (((-57) (-1 |#2| (-571)) (-289 |#2|)) 27)) (-4096 (((-57) |#2| (-1169) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571))) 80) (((-57) (-1 |#2| (-412 (-571))) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571))) 79) (((-57) |#2| (-1169) (-289 |#2|) (-1224 (-571))) 78) (((-57) (-1 |#2| (-571)) (-289 |#2|) (-1224 (-571))) 77) (((-57) |#2| (-1169) (-289 |#2|)) 72) (((-57) (-1 |#2| (-571)) (-289 |#2|)) 71)) (-1879 (((-57) |#2| (-1169) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571))) 66) (((-57) (-1 |#2| (-412 (-571))) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571))) 64)) (-1874 (((-57) |#2| (-1169) (-289 |#2|) (-1224 (-571))) 48) (((-57) (-1 |#2| (-571)) (-289 |#2|) (-1224 (-571))) 47))) 
+(((-464 |#1| |#2|) (-10 -7 (-15 -1871 ((-57) (-1 |#2| (-571)) (-289 |#2|))) (-15 -1871 ((-57) |#2| (-1169) (-289 |#2|))) (-15 -1871 ((-57) (-1 |#2| (-571)) (-289 |#2|) (-1224 (-768)))) (-15 -1871 ((-57) |#2| (-1169) (-289 |#2|) (-1224 (-768)))) (-15 -1874 ((-57) (-1 |#2| (-571)) (-289 |#2|) (-1224 (-571)))) (-15 -1874 ((-57) |#2| (-1169) (-289 |#2|) (-1224 (-571)))) (-15 -1879 ((-57) (-1 |#2| (-412 (-571))) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571)))) (-15 -1879 ((-57) |#2| (-1169) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571)))) (-15 -4096 ((-57) (-1 |#2| (-571)) (-289 |#2|))) (-15 -4096 ((-57) |#2| (-1169) (-289 |#2|))) (-15 -4096 ((-57) (-1 |#2| (-571)) (-289 |#2|) (-1224 (-571)))) (-15 -4096 ((-57) |#2| (-1169) (-289 |#2|) (-1224 (-571)))) (-15 -4096 ((-57) (-1 |#2| (-412 (-571))) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571)))) (-15 -4096 ((-57) |#2| (-1169) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571))))) (-13 (-561) (-847) (-1043 (-571)) (-633 (-571))) (-13 (-27) (-1189) (-435 |#1|))) (T -464)) 
+((-4096 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-5 *6 (-1224 (-412 (-571)))) (-5 *7 (-412 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *8))) (-4 *8 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *8 *3)))) (-4096 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-412 (-571)))) (-5 *4 (-289 *8)) (-5 *5 (-1224 (-412 (-571)))) (-5 *6 (-412 (-571))) (-4 *8 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *7 *8)))) (-4096 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-5 *6 (-1224 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *7 *3)))) (-4096 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-571))) (-5 *4 (-289 *7)) (-5 *5 (-1224 (-571))) (-4 *7 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *6 *7)))) (-4096 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *6 *3)))) (-4096 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-571))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *5 *6)))) (-1879 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-5 *6 (-1224 (-412 (-571)))) (-5 *7 (-412 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *8))) (-4 *8 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *8 *3)))) (-1879 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-412 (-571)))) (-5 *4 (-289 *8)) (-5 *5 (-1224 (-412 (-571)))) (-5 *6 (-412 (-571))) (-4 *8 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *7 *8)))) (-1874 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-5 *6 (-1224 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *7 *3)))) (-1874 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-571))) (-5 *4 (-289 *7)) (-5 *5 (-1224 (-571))) (-4 *7 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *6 *7)))) (-1871 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-5 *6 (-1224 (-768))) (-4 *3 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *7 *3)))) (-1871 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-571))) (-5 *4 (-289 *7)) (-5 *5 (-1224 (-768))) (-4 *7 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *6 *7)))) (-1871 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *6 *3)))) (-1871 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-571))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *5 *6))))) 
+(-10 -7 (-15 -1871 ((-57) (-1 |#2| (-571)) (-289 |#2|))) (-15 -1871 ((-57) |#2| (-1169) (-289 |#2|))) (-15 -1871 ((-57) (-1 |#2| (-571)) (-289 |#2|) (-1224 (-768)))) (-15 -1871 ((-57) |#2| (-1169) (-289 |#2|) (-1224 (-768)))) (-15 -1874 ((-57) (-1 |#2| (-571)) (-289 |#2|) (-1224 (-571)))) (-15 -1874 ((-57) |#2| (-1169) (-289 |#2|) (-1224 (-571)))) (-15 -1879 ((-57) (-1 |#2| (-412 (-571))) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571)))) (-15 -1879 ((-57) |#2| (-1169) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571)))) (-15 -4096 ((-57) (-1 |#2| (-571)) (-289 |#2|))) (-15 -4096 ((-57) |#2| (-1169) (-289 |#2|))) (-15 -4096 ((-57) (-1 |#2| (-571)) (-289 |#2|) (-1224 (-571)))) (-15 -4096 ((-57) |#2| (-1169) (-289 |#2|) (-1224 (-571)))) (-15 -4096 ((-57) (-1 |#2| (-412 (-571))) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571)))) (-15 -4096 ((-57) |#2| (-1169) (-289 |#2|) (-1224 (-412 (-571))) (-412 (-571))))) 
+((-2203 ((|#2| |#2| |#1|) 15)) (-2114 (((-637 |#2|) |#2| (-637 |#2|) |#1| (-922)) 65)) (-4010 (((-2 (|:| |plist| (-637 |#2|)) (|:| |modulo| |#1|)) |#2| (-637 |#2|) |#1| (-922)) 58))) 
+(((-465 |#1| |#2|) (-10 -7 (-15 -4010 ((-2 (|:| |plist| (-637 |#2|)) (|:| |modulo| |#1|)) |#2| (-637 |#2|) |#1| (-922))) (-15 -2114 ((-637 |#2|) |#2| (-637 |#2|) |#1| (-922))) (-15 -2203 (|#2| |#2| |#1|))) (-302) (-1233 |#1|)) (T -465)) 
+((-2203 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-465 *3 *2)) (-4 *2 (-1233 *3)))) (-2114 (*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-637 *3)) (-5 *5 (-922)) (-4 *3 (-1233 *4)) (-4 *4 (-302)) (-5 *1 (-465 *4 *3)))) (-4010 (*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-922)) (-4 *5 (-302)) (-4 *3 (-1233 *5)) (-5 *2 (-2 (|:| |plist| (-637 *3)) (|:| |modulo| *5))) (-5 *1 (-465 *5 *3)) (-5 *4 (-637 *3))))) 
+(-10 -7 (-15 -4010 ((-2 (|:| |plist| (-637 |#2|)) (|:| |modulo| |#1|)) |#2| (-637 |#2|) |#1| (-922))) (-15 -2114 ((-637 |#2|) |#2| (-637 |#2|) |#1| (-922))) (-15 -2203 (|#2| |#2| |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 28)) (-4436 (($ |#3|) 25)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4349 (($ $) 32)) (-3235 (($ |#2| |#4| $) 33)) (-4289 (($ |#2| (-708 |#3| |#4| |#5|)) 24)) (-4332 (((-708 |#3| |#4| |#5|) $) 15)) (-3813 ((|#3| $) 19)) (-4508 ((|#4| $) 17)) (-4337 ((|#2| $) 29)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-1978 (($ |#2| |#3| |#4|) 26)) (-2369 (($) 36 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 34)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ |#6| $) 40) (($ $ |#6|) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-466 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-712 |#6|) (-712 |#2|) (-10 -8 (-15 -4337 (|#2| $)) (-15 -4332 ((-708 |#3| |#4| |#5|) $)) (-15 -4508 (|#4| $)) (-15 -3813 (|#3| $)) (-15 -4349 ($ $)) (-15 -4289 ($ |#2| (-708 |#3| |#4| |#5|))) (-15 -4436 ($ |#3|)) (-15 -1978 ($ |#2| |#3| |#4|)) (-15 -3235 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) (-637 (-1169)) (-173) (-847) (-231 (-4001 |#1|) (-768)) (-1 (-121) (-2 (|:| -1755 |#3|) (|:| -2154 |#4|)) (-2 (|:| -1755 |#3|) (|:| -2154 |#4|))) (-955 |#2| |#4| (-857 |#1|))) (T -466)) 
+((* (*1 *1 *2 *1) (-12 (-14 *3 (-637 (-1169))) (-4 *4 (-173)) (-4 *6 (-231 (-4001 *3) (-768))) (-14 *7 (-1 (-121) (-2 (|:| -1755 *5) (|:| -2154 *6)) (-2 (|:| -1755 *5) (|:| -2154 *6)))) (-5 *1 (-466 *3 *4 *5 *6 *7 *2)) (-4 *5 (-847)) (-4 *2 (-955 *4 *6 (-857 *3))))) (-4337 (*1 *2 *1) (-12 (-14 *3 (-637 (-1169))) (-4 *5 (-231 (-4001 *3) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *4) (|:| -2154 *5)) (-2 (|:| -1755 *4) (|:| -2154 *5)))) (-4 *2 (-173)) (-5 *1 (-466 *3 *2 *4 *5 *6 *7)) (-4 *4 (-847)) (-4 *7 (-955 *2 *5 (-857 *3))))) (-4332 (*1 *2 *1) (-12 (-14 *3 (-637 (-1169))) (-4 *4 (-173)) (-4 *6 (-231 (-4001 *3) (-768))) (-14 *7 (-1 (-121) (-2 (|:| -1755 *5) (|:| -2154 *6)) (-2 (|:| -1755 *5) (|:| -2154 *6)))) (-5 *2 (-708 *5 *6 *7)) (-5 *1 (-466 *3 *4 *5 *6 *7 *8)) (-4 *5 (-847)) (-4 *8 (-955 *4 *6 (-857 *3))))) (-4508 (*1 *2 *1) (-12 (-14 *3 (-637 (-1169))) (-4 *4 (-173)) (-14 *6 (-1 (-121) (-2 (|:| -1755 *5) (|:| -2154 *2)) (-2 (|:| -1755 *5) (|:| -2154 *2)))) (-4 *2 (-231 (-4001 *3) (-768))) (-5 *1 (-466 *3 *4 *5 *2 *6 *7)) (-4 *5 (-847)) (-4 *7 (-955 *4 *2 (-857 *3))))) (-3813 (*1 *2 *1) (-12 (-14 *3 (-637 (-1169))) (-4 *4 (-173)) (-4 *5 (-231 (-4001 *3) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *2) (|:| -2154 *5)) (-2 (|:| -1755 *2) (|:| -2154 *5)))) (-4 *2 (-847)) (-5 *1 (-466 *3 *4 *2 *5 *6 *7)) (-4 *7 (-955 *4 *5 (-857 *3))))) (-4349 (*1 *1 *1) (-12 (-14 *2 (-637 (-1169))) (-4 *3 (-173)) (-4 *5 (-231 (-4001 *2) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *4) (|:| -2154 *5)) (-2 (|:| -1755 *4) (|:| -2154 *5)))) (-5 *1 (-466 *2 *3 *4 *5 *6 *7)) (-4 *4 (-847)) (-4 *7 (-955 *3 *5 (-857 *2))))) (-4289 (*1 *1 *2 *3) (-12 (-5 *3 (-708 *5 *6 *7)) (-4 *5 (-847)) (-4 *6 (-231 (-4001 *4) (-768))) (-14 *7 (-1 (-121) (-2 (|:| -1755 *5) (|:| -2154 *6)) (-2 (|:| -1755 *5) (|:| -2154 *6)))) (-14 *4 (-637 (-1169))) (-4 *2 (-173)) (-5 *1 (-466 *4 *2 *5 *6 *7 *8)) (-4 *8 (-955 *2 *6 (-857 *4))))) (-4436 (*1 *1 *2) (-12 (-14 *3 (-637 (-1169))) (-4 *4 (-173)) (-4 *5 (-231 (-4001 *3) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *2) (|:| -2154 *5)) (-2 (|:| -1755 *2) (|:| -2154 *5)))) (-5 *1 (-466 *3 *4 *2 *5 *6 *7)) (-4 *2 (-847)) (-4 *7 (-955 *4 *5 (-857 *3))))) (-1978 (*1 *1 *2 *3 *4) (-12 (-14 *5 (-637 (-1169))) (-4 *2 (-173)) (-4 *4 (-231 (-4001 *5) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *3) (|:| -2154 *4)) (-2 (|:| -1755 *3) (|:| -2154 *4)))) (-5 *1 (-466 *5 *2 *3 *4 *6 *7)) (-4 *3 (-847)) (-4 *7 (-955 *2 *4 (-857 *5))))) (-3235 (*1 *1 *2 *3 *1) (-12 (-14 *4 (-637 (-1169))) (-4 *2 (-173)) (-4 *3 (-231 (-4001 *4) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *5) (|:| -2154 *3)) (-2 (|:| -1755 *5) (|:| -2154 *3)))) (-5 *1 (-466 *4 *2 *5 *3 *6 *7)) (-4 *5 (-847)) (-4 *7 (-955 *2 *3 (-857 *4)))))) 
+(-13 (-712 |#6|) (-712 |#2|) (-10 -8 (-15 -4337 (|#2| $)) (-15 -4332 ((-708 |#3| |#4| |#5|) $)) (-15 -4508 (|#4| $)) (-15 -3813 (|#3| $)) (-15 -4349 ($ $)) (-15 -4289 ($ |#2| (-708 |#3| |#4| |#5|))) (-15 -4436 ($ |#3|)) (-15 -1978 ($ |#2| |#3| |#4|)) (-15 -3235 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) 
+((-2234 (((-121) $ $) NIL)) (-2540 (((-1169) (-637 (-468))) 48)) (-1464 (((-768) (-637 (-468))) 33)) (-4132 (((-121) (-637 (-468))) 39)) (-2491 (((-3 (-922) "arbitrary") (-637 (-468))) 20)) (-1593 (((-3 (-768) "arbitrary") (-637 (-468))) 18)) (-3524 (((-3 (-922) "arbitrary") (-637 (-468))) 32)) (-1433 (((-768) (-637 (-468))) 25)) (-1863 (((-3 (-768) "arbitrary") (-637 (-468))) 16)) (-3968 (((-3 (-768) "arbitrary") (-637 (-468))) 17)) (-1938 (((-3 (-768) "arbitrary") (-637 (-468))) 21)) (-3944 (((-1151) $) NIL)) (-1555 (((-1169) (-637 (-468))) 50)) (-1311 (((-3 (-922) (-121)) (-637 (-468))) 44)) (-2580 (((-1115) $) NIL)) (-2965 (((-1169) (-637 (-468))) 49)) (-1956 (((-121) (-637 (-468))) 51)) (-3859 (((-121) (-637 (-468))) 40)) (-3942 (((-855) $) NIL)) (-2697 (((-1263) (-637 (-468))) 61)) (-3681 (((-121) (-637 (-468))) 38)) (-3058 (((-3 "skip" "MonteCarlo" "deterministic") (-637 (-468))) 37)) (-3099 (((-121) (-637 (-468))) 29)) (-2378 (((-3 (-922) (-121)) (-637 (-468))) 45)) (-1323 (((-121) $ $) NIL))) 
+(((-467) (-13 (-1097) (-10 -7 (-15 -3968 ((-3 (-768) "arbitrary") (-637 (-468)))) (-15 -1593 ((-3 (-768) "arbitrary") (-637 (-468)))) (-15 -2491 ((-3 (-922) "arbitrary") (-637 (-468)))) (-15 -3524 ((-3 (-922) "arbitrary") (-637 (-468)))) (-15 -1311 ((-3 (-922) (-121)) (-637 (-468)))) (-15 -2378 ((-3 (-922) (-121)) (-637 (-468)))) (-15 -1863 ((-3 (-768) "arbitrary") (-637 (-468)))) (-15 -1938 ((-3 (-768) "arbitrary") (-637 (-468)))) (-15 -1433 ((-768) (-637 (-468)))) (-15 -3099 ((-121) (-637 (-468)))) (-15 -1464 ((-768) (-637 (-468)))) (-15 -3058 ((-3 "skip" "MonteCarlo" "deterministic") (-637 (-468)))) (-15 -3681 ((-121) (-637 (-468)))) (-15 -4132 ((-121) (-637 (-468)))) (-15 -2965 ((-1169) (-637 (-468)))) (-15 -2540 ((-1169) (-637 (-468)))) (-15 -1555 ((-1169) (-637 (-468)))) (-15 -1956 ((-121) (-637 (-468)))) (-15 -3859 ((-121) (-637 (-468)))) (-15 -2697 ((-1263) (-637 (-468))))))) (T -467)) 
+((-3968 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-467)))) (-1593 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-467)))) (-2491 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-922) "arbitrary")) (-5 *1 (-467)))) (-3524 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-922) "arbitrary")) (-5 *1 (-467)))) (-1311 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-922) (-121))) (-5 *1 (-467)))) (-2378 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-922) (-121))) (-5 *1 (-467)))) (-1863 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-467)))) (-1938 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-467)))) (-1433 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-768)) (-5 *1 (-467)))) (-3099 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-121)) (-5 *1 (-467)))) (-1464 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-768)) (-5 *1 (-467)))) (-3058 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-467)))) (-3681 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-121)) (-5 *1 (-467)))) (-4132 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-121)) (-5 *1 (-467)))) (-2965 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-1169)) (-5 *1 (-467)))) (-2540 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-1169)) (-5 *1 (-467)))) (-1555 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-1169)) (-5 *1 (-467)))) (-1956 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-121)) (-5 *1 (-467)))) (-3859 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-121)) (-5 *1 (-467)))) (-2697 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-1263)) (-5 *1 (-467))))) 
+(-13 (-1097) (-10 -7 (-15 -3968 ((-3 (-768) "arbitrary") (-637 (-468)))) (-15 -1593 ((-3 (-768) "arbitrary") (-637 (-468)))) (-15 -2491 ((-3 (-922) "arbitrary") (-637 (-468)))) (-15 -3524 ((-3 (-922) "arbitrary") (-637 (-468)))) (-15 -1311 ((-3 (-922) (-121)) (-637 (-468)))) (-15 -2378 ((-3 (-922) (-121)) (-637 (-468)))) (-15 -1863 ((-3 (-768) "arbitrary") (-637 (-468)))) (-15 -1938 ((-3 (-768) "arbitrary") (-637 (-468)))) (-15 -1433 ((-768) (-637 (-468)))) (-15 -3099 ((-121) (-637 (-468)))) (-15 -1464 ((-768) (-637 (-468)))) (-15 -3058 ((-3 "skip" "MonteCarlo" "deterministic") (-637 (-468)))) (-15 -3681 ((-121) (-637 (-468)))) (-15 -4132 ((-121) (-637 (-468)))) (-15 -2965 ((-1169) (-637 (-468)))) (-15 -2540 ((-1169) (-637 (-468)))) (-15 -1555 ((-1169) (-637 (-468)))) (-15 -1956 ((-121) (-637 (-468)))) (-15 -3859 ((-121) (-637 (-468)))) (-15 -2697 ((-1263) (-637 (-468)))))) 
+((-2234 (((-121) $ $) NIL)) (-2540 (($ (-1169)) 49)) (-1464 (($ (-768)) 28)) (-2875 (((-3 (-57) "failed") (-637 $) (-1169)) 61)) (-4132 (($ (-121)) 40)) (-2491 (($ (-3 (-922) "arbitrary")) 15)) (-1593 (($ (-3 (-768) "arbitrary")) 13)) (-3524 (($ (-3 (-922) "arbitrary")) 27)) (-1433 (($ (-768)) 20)) (-1863 (($ (-3 (-768) "arbitrary")) 11)) (-3968 (($ (-3 (-768) "arbitrary")) 12)) (-1938 (($ (-3 (-768) "arbitrary")) 16)) (-3944 (((-1151) $) NIL)) (-1555 (($ (-1169)) 50)) (-1311 (($ (-3 (-922) (-121))) 32)) (-2580 (((-1115) $) NIL)) (-1949 (($ (-637 (-1169))) 48)) (-2965 (($ (-1169)) 44)) (-1955 (($ (-1169)) 51)) (-3859 (($ (-121)) 34)) (-3942 (((-855) $) 56)) (-3681 (($ (-121)) 39)) (-3058 (($ (-3 "skip" "MonteCarlo" "deterministic")) 38)) (-3099 (($ (-121)) 24)) (-2378 (($ (-3 (-922) (-121))) 33)) (-1323 (((-121) $ $) 58))) 
+(((-468) (-13 (-1097) (-10 -8 (-15 -3968 ($ (-3 (-768) "arbitrary"))) (-15 -1593 ($ (-3 (-768) "arbitrary"))) (-15 -2491 ($ (-3 (-922) "arbitrary"))) (-15 -3524 ($ (-3 (-922) "arbitrary"))) (-15 -1311 ($ (-3 (-922) (-121)))) (-15 -2378 ($ (-3 (-922) (-121)))) (-15 -1863 ($ (-3 (-768) "arbitrary"))) (-15 -1938 ($ (-3 (-768) "arbitrary"))) (-15 -1433 ($ (-768))) (-15 -3099 ($ (-121))) (-15 -1464 ($ (-768))) (-15 -3058 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -3681 ($ (-121))) (-15 -4132 ($ (-121))) (-15 -3859 ($ (-121))) (-15 -2965 ($ (-1169))) (-15 -1949 ($ (-637 (-1169)))) (-15 -2540 ($ (-1169))) (-15 -1555 ($ (-1169))) (-15 -1955 ($ (-1169))) (-15 -2875 ((-3 (-57) "failed") (-637 $) (-1169)))))) (T -468)) 
+((-3968 (*1 *1 *2) (-12 (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-468)))) (-1593 (*1 *1 *2) (-12 (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-468)))) (-2491 (*1 *1 *2) (-12 (-5 *2 (-3 (-922) "arbitrary")) (-5 *1 (-468)))) (-3524 (*1 *1 *2) (-12 (-5 *2 (-3 (-922) "arbitrary")) (-5 *1 (-468)))) (-1311 (*1 *1 *2) (-12 (-5 *2 (-3 (-922) (-121))) (-5 *1 (-468)))) (-2378 (*1 *1 *2) (-12 (-5 *2 (-3 (-922) (-121))) (-5 *1 (-468)))) (-1863 (*1 *1 *2) (-12 (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-468)))) (-1938 (*1 *1 *2) (-12 (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-468)))) (-1433 (*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-468)))) (-3099 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-468)))) (-1464 (*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-468)))) (-3058 (*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-468)))) (-3681 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-468)))) (-4132 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-468)))) (-3859 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-468)))) (-2965 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-468)))) (-1949 (*1 *1 *2) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-468)))) (-2540 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-468)))) (-1555 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-468)))) (-1955 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-468)))) (-2875 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-637 (-468))) (-5 *4 (-1169)) (-5 *2 (-57)) (-5 *1 (-468))))) 
+(-13 (-1097) (-10 -8 (-15 -3968 ($ (-3 (-768) "arbitrary"))) (-15 -1593 ($ (-3 (-768) "arbitrary"))) (-15 -2491 ($ (-3 (-922) "arbitrary"))) (-15 -3524 ($ (-3 (-922) "arbitrary"))) (-15 -1311 ($ (-3 (-922) (-121)))) (-15 -2378 ($ (-3 (-922) (-121)))) (-15 -1863 ($ (-3 (-768) "arbitrary"))) (-15 -1938 ($ (-3 (-768) "arbitrary"))) (-15 -1433 ($ (-768))) (-15 -3099 ($ (-121))) (-15 -1464 ($ (-768))) (-15 -3058 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -3681 ($ (-121))) (-15 -4132 ($ (-121))) (-15 -3859 ($ (-121))) (-15 -2965 ($ (-1169))) (-15 -1949 ($ (-637 (-1169)))) (-15 -2540 ($ (-1169))) (-15 -1555 ($ (-1169))) (-15 -1955 ($ (-1169))) (-15 -2875 ((-3 (-57) "failed") (-637 $) (-1169))))) 
+((-2019 (((-3 |#5| "failed") |#5| |#2| (-1 |#2|)) 35))) 
+(((-469 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2019 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) (-793) (-847) (-561) (-955 |#3| |#1| |#2|) (-13 (-1043 (-412 (-571))) (-367) (-10 -8 (-15 -3942 ($ |#4|)) (-15 -4474 (|#4| $)) (-15 -4479 (|#4| $))))) (T -469)) 
+((-2019 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-847)) (-4 *5 (-793)) (-4 *6 (-561)) (-4 *7 (-955 *6 *5 *3)) (-5 *1 (-469 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1043 (-412 (-571))) (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $)))))))) 
+(-10 -7 (-15 -2019 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) 
+((-3349 ((|#3|) 43)) (-2669 (((-637 |#5|)) 47)) (-2779 (((-637 |#5|) (-637 |#5|)) 129)) (-4012 ((|#3| |#3|) 107)) (-3286 (((-1263)) 106)) (-3000 (((-637 |#5|)) 150 (|has| |#1| (-373)))) (-2726 (((-637 |#7|)) 153 (|has| |#1| (-373)))) (-2913 (((-1263) (-637 (-121))) 120)) (-2841 ((|#5| |#7|) 94)) (-1894 (((-637 |#7|) (-922)) 149 (|has| |#1| (-373)))) (-1449 (((-637 |#7|) |#5|) 92)) (-3259 ((|#6| |#3| |#7|) 97)) (-2375 (((-571) (-922)) 194 (|has| |#1| (-373)))) (-2020 (((-571) (-922) (-922)) 193 (|has| |#1| (-373)))) (-4308 (((-571) (-922)) 176 (|has| |#1| (-373)))) (-3369 (((-2 (|:| |num| (-637 |#3|)) (|:| |den| |#3|)) |#8|) 69)) (-3075 ((|#8| |#3|) 50)) (-1916 (((-637 |#3|) |#8| (-637 |#3|)) 136)) (-1377 (((-637 |#3|) |#8| (-768)) 65)) (-1422 ((|#3| |#3| (-571)) 40)) (-3939 (((-571)) 74)) (-3970 (((-768)) 73)) (-2735 (((-2 (|:| -2989 (-571)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-571))) |#8| (-571) (-571)) 114)) (-3867 (((-3 |#1| "failed") (-412 |#3|) |#7|) 144) (((-3 |#1| "failed") |#3| |#3| |#7|) 139) (((-3 |#1| "failed") |#3| |#7|) 104)) (-4483 ((|#1| (-412 |#3|) |#7|) 145) ((|#1| |#3| |#3| |#7|) 140) ((|#1| |#3| |#7|) 105)) (-3321 (((-637 |#10|)) 70)) (-3033 (((-637 |#10|)) 45)) (-4437 (((-571)) 204 (|has| |#1| (-373)))) (-2820 ((|#8|) 54)) (-1365 (((-1253 (-571) -3481) (-922)) 155 (|has| |#1| (-373))) (((-1253 (-571) -3481)) 156 (|has| |#1| (-373)))) (-3091 (((-1165 (-571)) (-922)) 158 (|has| |#1| (-373))) (((-1165 (-571))) 196 (|has| |#1| (-373))))) 
+(((-470 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -3286 ((-1263))) (-15 -4012 (|#3| |#3|)) (-15 -1422 (|#3| |#3| (-571))) (-15 -2913 ((-1263) (-637 (-121)))) (-15 -3349 (|#3|)) (-15 -3970 ((-768))) (-15 -3939 ((-571))) (-15 -3033 ((-637 |#10|))) (-15 -3321 ((-637 |#10|))) (-15 -2779 ((-637 |#5|) (-637 |#5|))) (-15 -2669 ((-637 |#5|))) (-15 -3259 (|#6| |#3| |#7|)) (-15 -3369 ((-2 (|:| |num| (-637 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -2735 ((-2 (|:| -2989 (-571)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-571))) |#8| (-571) (-571))) (-15 -1377 ((-637 |#3|) |#8| (-768))) (-15 -1916 ((-637 |#3|) |#8| (-637 |#3|))) (-15 -4483 (|#1| |#3| |#7|)) (-15 -4483 (|#1| |#3| |#3| |#7|)) (-15 -4483 (|#1| (-412 |#3|) |#7|)) (-15 -3867 ((-3 |#1| "failed") |#3| |#7|)) (-15 -3867 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -3867 ((-3 |#1| "failed") (-412 |#3|) |#7|)) (-15 -3075 (|#8| |#3|)) (-15 -2820 (|#8|)) (-15 -1449 ((-637 |#7|) |#5|)) (-15 -2841 (|#5| |#7|)) (IF (|has| |#1| (-373)) (PROGN (-15 -2726 ((-637 |#7|))) (-15 -3000 ((-637 |#5|))) (-15 -3091 ((-1165 (-571)))) (-15 -3091 ((-1165 (-571)) (-922))) (-15 -4437 ((-571))) (-15 -1894 ((-637 |#7|) (-922))) (-15 -4308 ((-571) (-922))) (-15 -2375 ((-571) (-922))) (-15 -2020 ((-571) (-922) (-922))) (-15 -1365 ((-1253 (-571) -3481))) (-15 -1365 ((-1253 (-571) -3481) (-922)))) |noBranch|)) (-367) (-637 (-1169)) (-955 |#1| |#4| (-857 |#2|)) (-231 (-4001 |#2|) (-768)) (-977 |#1|) (-644 |#1|) (-925 |#1| |#6|) (-236 |#7|) (-539 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -470)) 
+((-1365 (*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-1365 (*1 *2) (-12 (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2020 (*1 *2 *3 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-571)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2375 (*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-571)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-4308 (*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-571)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-1894 (*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-637 *10)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-4437 (*1 *2) (-12 (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-571)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3091 (*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1165 (-571))) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3091 (*1 *2) (-12 (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1165 (-571))) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3000 (*1 *2) (-12 (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *7)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2726 (*1 *2) (-12 (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *9)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2841 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-644 *4)) (-4 *3 (-925 *4 *8)) (-4 *9 (-236 *3)) (-4 *10 (-539 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-977 *4)) (-5 *1 (-470 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1449 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *3 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *9)) (-5 *1 (-470 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2820 (*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-539 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) (-3075 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-539 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-470 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) (-3867 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 *6)) (-4 *6 (-955 *2 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-14 *5 (-637 (-1169))) (-4 *8 (-977 *2)) (-4 *9 (-644 *2)) (-4 *4 (-925 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-539 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3867 (*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-637 (-1169))) (-4 *3 (-955 *2 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *2)) (-4 *8 (-644 *2)) (-4 *4 (-925 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-539 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-3867 (*1 *2 *3 *4) (|partial| -12 (-14 *5 (-637 (-1169))) (-4 *3 (-955 *2 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *2)) (-4 *8 (-644 *2)) (-4 *4 (-925 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-539 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-4483 (*1 *2 *3 *4) (-12 (-5 *3 (-412 *6)) (-4 *6 (-955 *2 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-14 *5 (-637 (-1169))) (-4 *8 (-977 *2)) (-4 *9 (-644 *2)) (-4 *4 (-925 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-539 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4483 (*1 *2 *3 *3 *4) (-12 (-14 *5 (-637 (-1169))) (-4 *3 (-955 *2 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *2)) (-4 *8 (-644 *2)) (-4 *4 (-925 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-539 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-4483 (*1 *2 *3 *4) (-12 (-14 *5 (-637 (-1169))) (-4 *3 (-955 *2 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *2)) (-4 *8 (-644 *2)) (-4 *4 (-925 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-539 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1916 (*1 *2 *3 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-539 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1377 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) *4)) (-4 *9 (-977 *5)) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-539 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-637 *7)) (-5 *1 (-470 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2735 (*1 *2 *3 *4 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) (-768))) (-4 *9 (-977 *5)) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-539 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -2989 (-571)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-571)))) (-5 *1 (-470 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-571)) (-4 *13 (-259 *12)))) (-3369 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-539 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-637 *6)) (|:| |den| *6))) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3259 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *8 (-977 *5)) (-4 *4 (-925 *5 *2)) (-4 *9 (-236 *4)) (-4 *10 (-539 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-644 *5)) (-5 *1 (-470 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2669 (*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *7)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2779 (*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-977 *3)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3321 (*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *12)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3033 (*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *12)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3939 (*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-571)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3970 (*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) *2)) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-768)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3349 (*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-231 (-4001 *4) (-768))) (-4 *6 (-977 *3)) (-4 *7 (-644 *3)) (-4 *8 (-925 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-539 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-955 *3 *5 (-857 *4))) (-5 *1 (-470 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2913 (*1 *2 *3) (-12 (-5 *3 (-637 (-121))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1263)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-1422 (*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *2 (-955 *4 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-470 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4012 (*1 *2 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *2 (-955 *3 *5 (-857 *4))) (-4 *5 (-231 (-4001 *4) (-768))) (-4 *6 (-977 *3)) (-4 *7 (-644 *3)) (-4 *8 (-925 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-539 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-470 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-3286 (*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1263)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11))))) 
+(-10 -7 (-15 -3286 ((-1263))) (-15 -4012 (|#3| |#3|)) (-15 -1422 (|#3| |#3| (-571))) (-15 -2913 ((-1263) (-637 (-121)))) (-15 -3349 (|#3|)) (-15 -3970 ((-768))) (-15 -3939 ((-571))) (-15 -3033 ((-637 |#10|))) (-15 -3321 ((-637 |#10|))) (-15 -2779 ((-637 |#5|) (-637 |#5|))) (-15 -2669 ((-637 |#5|))) (-15 -3259 (|#6| |#3| |#7|)) (-15 -3369 ((-2 (|:| |num| (-637 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -2735 ((-2 (|:| -2989 (-571)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-571))) |#8| (-571) (-571))) (-15 -1377 ((-637 |#3|) |#8| (-768))) (-15 -1916 ((-637 |#3|) |#8| (-637 |#3|))) (-15 -4483 (|#1| |#3| |#7|)) (-15 -4483 (|#1| |#3| |#3| |#7|)) (-15 -4483 (|#1| (-412 |#3|) |#7|)) (-15 -3867 ((-3 |#1| "failed") |#3| |#7|)) (-15 -3867 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -3867 ((-3 |#1| "failed") (-412 |#3|) |#7|)) (-15 -3075 (|#8| |#3|)) (-15 -2820 (|#8|)) (-15 -1449 ((-637 |#7|) |#5|)) (-15 -2841 (|#5| |#7|)) (IF (|has| |#1| (-373)) (PROGN (-15 -2726 ((-637 |#7|))) (-15 -3000 ((-637 |#5|))) (-15 -3091 ((-1165 (-571)))) (-15 -3091 ((-1165 (-571)) (-922))) (-15 -4437 ((-571))) (-15 -1894 ((-637 |#7|) (-922))) (-15 -4308 ((-571) (-922))) (-15 -2375 ((-571) (-922))) (-15 -2020 ((-571) (-922) (-922))) (-15 -1365 ((-1253 (-571) -3481))) (-15 -1365 ((-1253 (-571) -3481) (-922)))) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-3424 (((-637 |#3|) $) 41)) (-2927 (((-121) $) NIL)) (-4409 (((-121) $) NIL (|has| |#1| (-561)))) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2534 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-2940 (((-121) $) NIL (|has| |#1| (-561)))) (-4203 (((-121) $ $) NIL (|has| |#1| (-561)))) (-2568 (((-121) $ $) NIL (|has| |#1| (-561)))) (-3455 (((-121) $) NIL (|has| |#1| (-561)))) (-1372 (((-637 |#4|) (-637 |#4|) $) NIL (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) NIL (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) 47)) (-1316 (($ (-637 |#4|)) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-3412 (($ |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-561)))) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4600)))) (-4034 (((-637 |#4|) $) 18 (|has| $ (-6 -4600)))) (-2065 ((|#3| $) 45)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#4|) $) 14 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) 26 (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-1923 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) 21)) (-2213 (((-637 |#3|) $) NIL)) (-3529 (((-121) |#3| $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-561)))) (-2580 (((-1115) $) NIL)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-3160 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 39)) (-1630 (($) 17)) (-1569 (((-768) |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) (((-768) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) 16)) (-4050 (((-544) $) NIL (|has| |#4| (-612 (-544)))) (($ (-637 |#4|)) 49)) (-3891 (($ (-637 |#4|)) 13)) (-3985 (($ $ |#3|) NIL)) (-1905 (($ $ |#3|) NIL)) (-2031 (($ $ |#3|) NIL)) (-3942 (((-855) $) 38) (((-637 |#4|) $) 48)) (-3027 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 30)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-471 |#1| |#2| |#3| |#4|) (-13 (-983 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4050 ($ (-637 |#4|))) (-6 -4600) (-6 -4601))) (-1053) (-793) (-847) (-1067 |#1| |#2| |#3|)) (T -471)) 
+((-4050 (*1 *1 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-471 *3 *4 *5 *6))))) 
+(-13 (-983 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4050 ($ (-637 |#4|))) (-6 -4600) (-6 -4601))) 
+((-2369 (($) 11)) (-3222 (($) 13)) (* (($ |#2| $) 15) (($ $ |#2|) 16))) 
+(((-472 |#1| |#2| |#3|) (-10 -8 (-15 -3222 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2369 (|#1|))) (-473 |#2| |#3|) (-173) (-23)) (T -472)) 
+NIL 
+(-10 -8 (-15 -3222 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2369 (|#1|))) 
+((-2234 (((-121) $ $) 7)) (-3337 (((-3 |#1| "failed") $) 23)) (-1316 ((|#1| $) 22)) (-3940 (($ $ $) 20)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2400 ((|#2| $) 18)) (-3942 (((-855) $) 11) (($ |#1|) 24)) (-2369 (($) 17 T CONST)) (-3222 (($) 21 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 14) (($ $ $) 12)) (-1367 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
+(((-473 |#1| |#2|) (-1289) (-173) (-23)) (T -473)) 
+((-3222 (*1 *1) (-12 (-4 *1 (-473 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-3940 (*1 *1 *1 *1) (-12 (-4 *1 (-473 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23))))) 
+(-13 (-478 |t#1| |t#2|) (-1043 |t#1|) (-10 -8 (-15 (-3222) ($) -3177) (-15 -3940 ($ $ $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-478 |#1| |#2|) . T) ((-1043 |#1|) . T) ((-1097) . T)) 
+((-2867 (((-1258 (-1258 (-571))) (-1258 (-1258 (-571))) (-922)) 18)) (-3576 (((-1258 (-1258 (-571))) (-922)) 16))) 
+(((-474) (-10 -7 (-15 -2867 ((-1258 (-1258 (-571))) (-1258 (-1258 (-571))) (-922))) (-15 -3576 ((-1258 (-1258 (-571))) (-922))))) (T -474)) 
+((-3576 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1258 (-1258 (-571)))) (-5 *1 (-474)))) (-2867 (*1 *2 *2 *3) (-12 (-5 *2 (-1258 (-1258 (-571)))) (-5 *3 (-922)) (-5 *1 (-474))))) 
+(-10 -7 (-15 -2867 ((-1258 (-1258 (-571))) (-1258 (-1258 (-571))) (-922))) (-15 -3576 ((-1258 (-1258 (-571))) (-922)))) 
+((-1808 (((-571) (-571)) 30) (((-571)) 22)) (-4030 (((-571) (-571)) 26) (((-571)) 18)) (-4038 (((-571) (-571)) 28) (((-571)) 20)) (-4302 (((-121) (-121)) 12) (((-121)) 10)) (-2542 (((-121) (-121)) 11) (((-121)) 9)) (-2307 (((-121) (-121)) 24) (((-121)) 15))) 
+(((-475) (-10 -7 (-15 -2542 ((-121))) (-15 -4302 ((-121))) (-15 -2542 ((-121) (-121))) (-15 -4302 ((-121) (-121))) (-15 -2307 ((-121))) (-15 -4038 ((-571))) (-15 -4030 ((-571))) (-15 -1808 ((-571))) (-15 -2307 ((-121) (-121))) (-15 -4038 ((-571) (-571))) (-15 -4030 ((-571) (-571))) (-15 -1808 ((-571) (-571))))) (T -475)) 
+((-1808 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) (-4030 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) (-4038 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) (-2307 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475)))) (-1808 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) (-4030 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) (-4038 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) (-2307 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475)))) (-4302 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475)))) (-2542 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475)))) (-4302 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475)))) (-2542 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475))))) 
+(-10 -7 (-15 -2542 ((-121))) (-15 -4302 ((-121))) (-15 -2542 ((-121) (-121))) (-15 -4302 ((-121) (-121))) (-15 -2307 ((-121))) (-15 -4038 ((-571))) (-15 -4030 ((-571))) (-15 -1808 ((-571))) (-15 -2307 ((-121) (-121))) (-15 -4038 ((-571) (-571))) (-15 -4030 ((-571) (-571))) (-15 -1808 ((-571) (-571)))) 
+((-2234 (((-121) $ $) NIL)) (-1795 (((-637 (-384)) $) 27) (((-637 (-384)) $ (-637 (-384))) 90)) (-4180 (((-637 (-1091 (-384))) $) 14) (((-637 (-1091 (-384))) $ (-637 (-1091 (-384)))) 87)) (-3575 (((-637 (-637 (-949 (-216)))) (-637 (-637 (-949 (-216)))) (-637 (-874))) 42)) (-1299 (((-637 (-637 (-949 (-216)))) $) 83)) (-1760 (((-1263) $ (-949 (-216)) (-874)) 103)) (-1665 (($ $) 82) (($ (-637 (-637 (-949 (-216))))) 93) (($ (-637 (-637 (-949 (-216)))) (-637 (-874)) (-637 (-874)) (-637 (-922))) 92) (($ (-637 (-637 (-949 (-216)))) (-637 (-874)) (-637 (-874)) (-637 (-922)) (-637 (-257))) 94)) (-3944 (((-1151) $) NIL)) (-4080 (((-571) $) 65)) (-2580 (((-1115) $) NIL)) (-1941 (($) 91)) (-4135 (((-637 (-216)) (-637 (-637 (-949 (-216))))) 52)) (-3695 (((-1263) $ (-637 (-949 (-216))) (-874) (-874) (-922)) 97) (((-1263) $ (-949 (-216))) 99) (((-1263) $ (-949 (-216)) (-874) (-874) (-922)) 98)) (-3942 (((-855) $) 109) (($ (-637 (-637 (-949 (-216))))) 104)) (-2746 (((-1263) $ (-949 (-216))) 102)) (-1323 (((-121) $ $) NIL))) 
+(((-476) (-13 (-1097) (-10 -8 (-15 -1941 ($)) (-15 -1665 ($ $)) (-15 -1665 ($ (-637 (-637 (-949 (-216)))))) (-15 -1665 ($ (-637 (-637 (-949 (-216)))) (-637 (-874)) (-637 (-874)) (-637 (-922)))) (-15 -1665 ($ (-637 (-637 (-949 (-216)))) (-637 (-874)) (-637 (-874)) (-637 (-922)) (-637 (-257)))) (-15 -1299 ((-637 (-637 (-949 (-216)))) $)) (-15 -4080 ((-571) $)) (-15 -4180 ((-637 (-1091 (-384))) $)) (-15 -4180 ((-637 (-1091 (-384))) $ (-637 (-1091 (-384))))) (-15 -1795 ((-637 (-384)) $)) (-15 -1795 ((-637 (-384)) $ (-637 (-384)))) (-15 -3695 ((-1263) $ (-637 (-949 (-216))) (-874) (-874) (-922))) (-15 -3695 ((-1263) $ (-949 (-216)))) (-15 -3695 ((-1263) $ (-949 (-216)) (-874) (-874) (-922))) (-15 -2746 ((-1263) $ (-949 (-216)))) (-15 -1760 ((-1263) $ (-949 (-216)) (-874))) (-15 -3942 ($ (-637 (-637 (-949 (-216)))))) (-15 -3942 ((-855) $)) (-15 -3575 ((-637 (-637 (-949 (-216)))) (-637 (-637 (-949 (-216)))) (-637 (-874)))) (-15 -4135 ((-637 (-216)) (-637 (-637 (-949 (-216))))))))) (T -476)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-476)))) (-1941 (*1 *1) (-5 *1 (-476))) (-1665 (*1 *1 *1) (-5 *1 (-476))) (-1665 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *1 (-476)))) (-1665 (*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *3 (-637 (-874))) (-5 *4 (-637 (-922))) (-5 *1 (-476)))) (-1665 (*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *3 (-637 (-874))) (-5 *4 (-637 (-922))) (-5 *5 (-637 (-257))) (-5 *1 (-476)))) (-1299 (*1 *2 *1) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *1 (-476)))) (-4080 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-476)))) (-4180 (*1 *2 *1) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *1 (-476)))) (-4180 (*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *1 (-476)))) (-1795 (*1 *2 *1) (-12 (-5 *2 (-637 (-384))) (-5 *1 (-476)))) (-1795 (*1 *2 *1 *2) (-12 (-5 *2 (-637 (-384))) (-5 *1 (-476)))) (-3695 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-637 (-949 (-216)))) (-5 *4 (-874)) (-5 *5 (-922)) (-5 *2 (-1263)) (-5 *1 (-476)))) (-3695 (*1 *2 *1 *3) (-12 (-5 *3 (-949 (-216))) (-5 *2 (-1263)) (-5 *1 (-476)))) (-3695 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-949 (-216))) (-5 *4 (-874)) (-5 *5 (-922)) (-5 *2 (-1263)) (-5 *1 (-476)))) (-2746 (*1 *2 *1 *3) (-12 (-5 *3 (-949 (-216))) (-5 *2 (-1263)) (-5 *1 (-476)))) (-1760 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-949 (-216))) (-5 *4 (-874)) (-5 *2 (-1263)) (-5 *1 (-476)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *1 (-476)))) (-3575 (*1 *2 *2 *3) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *3 (-637 (-874))) (-5 *1 (-476)))) (-4135 (*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *2 (-637 (-216))) (-5 *1 (-476))))) 
+(-13 (-1097) (-10 -8 (-15 -1941 ($)) (-15 -1665 ($ $)) (-15 -1665 ($ (-637 (-637 (-949 (-216)))))) (-15 -1665 ($ (-637 (-637 (-949 (-216)))) (-637 (-874)) (-637 (-874)) (-637 (-922)))) (-15 -1665 ($ (-637 (-637 (-949 (-216)))) (-637 (-874)) (-637 (-874)) (-637 (-922)) (-637 (-257)))) (-15 -1299 ((-637 (-637 (-949 (-216)))) $)) (-15 -4080 ((-571) $)) (-15 -4180 ((-637 (-1091 (-384))) $)) (-15 -4180 ((-637 (-1091 (-384))) $ (-637 (-1091 (-384))))) (-15 -1795 ((-637 (-384)) $)) (-15 -1795 ((-637 (-384)) $ (-637 (-384)))) (-15 -3695 ((-1263) $ (-637 (-949 (-216))) (-874) (-874) (-922))) (-15 -3695 ((-1263) $ (-949 (-216)))) (-15 -3695 ((-1263) $ (-949 (-216)) (-874) (-874) (-922))) (-15 -2746 ((-1263) $ (-949 (-216)))) (-15 -1760 ((-1263) $ (-949 (-216)) (-874))) (-15 -3942 ($ (-637 (-637 (-949 (-216)))))) (-15 -3942 ((-855) $)) (-15 -3575 ((-637 (-637 (-949 (-216)))) (-637 (-637 (-949 (-216)))) (-637 (-874)))) (-15 -4135 ((-637 (-216)) (-637 (-637 (-949 (-216)))))))) 
+((-1373 (($ $) NIL) (($ $ $) 11))) 
+(((-477 |#1| |#2| |#3|) (-10 -8 (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|))) (-478 |#2| |#3|) (-173) (-23)) (T -477)) 
+NIL 
+(-10 -8 (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2400 ((|#2| $) 18)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 14) (($ $ $) 12)) (-1367 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
+(((-478 |#1| |#2|) (-1289) (-173) (-23)) (T -478)) 
+((-2400 (*1 *2 *1) (-12 (-4 *1 (-478 *3 *2)) (-4 *3 (-173)) (-4 *2 (-23)))) (-2369 (*1 *1) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1373 (*1 *1 *1) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1367 (*1 *1 *1 *1) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1373 (*1 *1 *1 *1) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23))))) 
+(-13 (-1097) (-10 -8 (-15 -2400 (|t#2| $)) (-15 (-2369) ($) -3177) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 -1373 ($ $)) (-15 -1367 ($ $ $)) (-15 -1373 ($ $ $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2725 (((-3 (-637 (-495 |#1| |#2|)) "failed") (-637 (-495 |#1| |#2|)) (-637 (-857 |#1|))) 88)) (-3856 (((-637 (-637 (-243 |#1| |#2|))) (-637 (-243 |#1| |#2|)) (-637 (-857 |#1|))) 86)) (-1663 (((-2 (|:| |dpolys| (-637 (-243 |#1| |#2|))) (|:| |coords| (-637 (-571)))) (-637 (-243 |#1| |#2|)) (-637 (-857 |#1|))) 58))) 
+(((-479 |#1| |#2| |#3|) (-10 -7 (-15 -3856 ((-637 (-637 (-243 |#1| |#2|))) (-637 (-243 |#1| |#2|)) (-637 (-857 |#1|)))) (-15 -2725 ((-3 (-637 (-495 |#1| |#2|)) "failed") (-637 (-495 |#1| |#2|)) (-637 (-857 |#1|)))) (-15 -1663 ((-2 (|:| |dpolys| (-637 (-243 |#1| |#2|))) (|:| |coords| (-637 (-571)))) (-637 (-243 |#1| |#2|)) (-637 (-857 |#1|))))) (-637 (-1169)) (-456) (-456)) (T -479)) 
+((-1663 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-857 *5))) (-14 *5 (-637 (-1169))) (-4 *6 (-456)) (-5 *2 (-2 (|:| |dpolys| (-637 (-243 *5 *6))) (|:| |coords| (-637 (-571))))) (-5 *1 (-479 *5 *6 *7)) (-5 *3 (-637 (-243 *5 *6))) (-4 *7 (-456)))) (-2725 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-495 *4 *5))) (-5 *3 (-637 (-857 *4))) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *1 (-479 *4 *5 *6)) (-4 *6 (-456)))) (-3856 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-857 *5))) (-14 *5 (-637 (-1169))) (-4 *6 (-456)) (-5 *2 (-637 (-637 (-243 *5 *6)))) (-5 *1 (-479 *5 *6 *7)) (-5 *3 (-637 (-243 *5 *6))) (-4 *7 (-456))))) 
+(-10 -7 (-15 -3856 ((-637 (-637 (-243 |#1| |#2|))) (-637 (-243 |#1| |#2|)) (-637 (-857 |#1|)))) (-15 -2725 ((-3 (-637 (-495 |#1| |#2|)) "failed") (-637 (-495 |#1| |#2|)) (-637 (-857 |#1|)))) (-15 -1663 ((-2 (|:| |dpolys| (-637 (-243 |#1| |#2|))) (|:| |coords| (-637 (-571)))) (-637 (-243 |#1| |#2|)) (-637 (-857 |#1|))))) 
+((-3978 (((-3 $ "failed") $) 11)) (-2911 (($ $ $) 20)) (-2212 (($ $ $) 21)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) 14)) (-1379 (($ $ $) 9)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) 19))) 
+(((-480 |#1|) (-10 -8 (-15 -2212 (|#1| |#1| |#1|)) (-15 -2911 (|#1| |#1| |#1|)) (-15 -4142 (|#1| |#1| (-571))) (-15 ** (|#1| |#1| (-571))) (-15 -1379 (|#1| |#1| |#1|)) (-15 -3978 ((-3 |#1| "failed") |#1|)) (-15 -4142 (|#1| |#1| (-768))) (-15 ** (|#1| |#1| (-768))) (-15 -4142 (|#1| |#1| (-922))) (-15 ** (|#1| |#1| (-922)))) (-481)) (T -480)) 
+NIL 
+(-10 -8 (-15 -2212 (|#1| |#1| |#1|)) (-15 -2911 (|#1| |#1| |#1|)) (-15 -4142 (|#1| |#1| (-571))) (-15 ** (|#1| |#1| (-571))) (-15 -1379 (|#1| |#1| |#1|)) (-15 -3978 ((-3 |#1| "failed") |#1|)) (-15 -4142 (|#1| |#1| (-768))) (-15 ** (|#1| |#1| (-768))) (-15 -4142 (|#1| |#1| (-922))) (-15 ** (|#1| |#1| (-922)))) 
+((-2234 (((-121) $ $) 7)) (-2269 (($) 19 T CONST)) (-3978 (((-3 $ "failed") $) 15)) (-2583 (((-121) $) 18)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 26)) (-2580 (((-1115) $) 10)) (-2911 (($ $ $) 22)) (-2212 (($ $ $) 21)) (-3942 (((-855) $) 11)) (-4142 (($ $ (-922)) 12) (($ $ (-768)) 16) (($ $ (-571)) 23)) (-3222 (($) 20 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 25)) (** (($ $ (-922)) 13) (($ $ (-768)) 17) (($ $ (-571)) 24)) (* (($ $ $) 14))) 
+(((-481) (-1289)) (T -481)) 
+((-4315 (*1 *1 *1) (-4 *1 (-481))) (-1379 (*1 *1 *1 *1) (-4 *1 (-481))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-481)) (-5 *2 (-571)))) (-4142 (*1 *1 *1 *2) (-12 (-4 *1 (-481)) (-5 *2 (-571)))) (-2911 (*1 *1 *1 *1) (-4 *1 (-481))) (-2212 (*1 *1 *1 *1) (-4 *1 (-481)))) 
+(-13 (-721) (-10 -8 (-15 -4315 ($ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ (-571))) (-15 -4142 ($ $ (-571))) (-6 -4597) (-15 -2911 ($ $ $)) (-15 -2212 ($ $ $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-721) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) 17)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-1934 (($ $ (-412 (-571))) NIL) (($ $ (-412 (-571)) (-412 (-571))) NIL)) (-3236 (((-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|))) $) NIL)) (-4255 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL (|has| |#1| (-367)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-367)))) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4243 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-768) (-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|)))) NIL)) (-4266 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-1596 (((-121) $) NIL (|has| |#1| (-367)))) (-4124 (((-121) $) NIL)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-412 (-571)) $) NIL) (((-412 (-571)) $ (-412 (-571))) NIL)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1817 (($ $ (-922)) NIL) (($ $ (-412 (-571))) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-412 (-571))) NIL) (($ $ (-1081) (-412 (-571))) NIL) (($ $ (-637 (-1081)) (-637 (-412 (-571)))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) 22)) (-3509 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| |#1| (-367)))) (-3403 (($ $) 26 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) 33 (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189))))) (($ $ (-1254 |#2|)) 27 (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-3140 (($ $ (-412 (-571))) NIL)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4148 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))))) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ (-412 (-571))) NIL) (($ $ $) NIL (|has| (-412 (-571)) (-1109)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) 25 (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) 13 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $ (-1254 |#2|)) 15)) (-2400 (((-412 (-571)) $) NIL)) (-4273 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1254 |#2|)) NIL) (($ (-1242 |#1| |#2| |#3|)) 9) (($ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561)))) (-3136 ((|#1| $ (-412 (-571))) NIL)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) 18)) (-4294 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-412 (-571))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) 24)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 23) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-482 |#1| |#2| |#3|) (-13 (-1238 |#1|) (-10 -8 (-15 -3942 ($ (-1254 |#2|))) (-15 -3942 ($ (-1242 |#1| |#2| |#3|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) (-1053) (-1169) |#1|) (T -482)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-482 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1242 *3 *4 *5)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3) (-5 *1 (-482 *3 *4 *5)))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-482 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-482 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3)))) 
+(-13 (-1238 |#1|) (-10 -8 (-15 -3942 ($ (-1254 |#2|))) (-15 -3942 ($ (-1242 |#1| |#2| |#3|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3839 (((-1263) $ |#1| |#1|) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#2| $ |#1| |#2|) 18)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-1741 (((-3 |#2| "failed") |#1| $) 19)) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1599 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-3 |#2| "failed") |#1| $) 16)) (-3412 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) NIL)) (-4034 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 ((|#1| $) NIL (|has| |#1| (-847)))) (-3488 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3113 ((|#1| $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4601))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3359 (((-637 |#1|) $) NIL)) (-1507 (((-121) |#1| $) NIL)) (-2377 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2863 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2738 (((-637 |#1|) $) NIL)) (-1613 (((-121) |#1| $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-1827 ((|#2| $) NIL (|has| |#1| (-847)))) (-3765 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL)) (-4411 (($ $ |#2|) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#2| $ |#1|) 13) ((|#2| $ |#1| |#2|) NIL)) (-3563 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097)))) (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3942 (((-855) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3700 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-483 |#1| |#2| |#3| |#4|) (-1180 |#1| |#2|) (-1097) (-1097) (-1180 |#1| |#2|) |#2|) (T -483)) 
+NIL 
+(-1180 |#1| |#2|) 
+((-2234 (((-121) $ $) NIL)) (-2626 (((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 |#4|)))) (-637 |#4|)) NIL)) (-2235 (((-637 $) (-637 |#4|)) NIL)) (-3424 (((-637 |#3|) $) NIL)) (-2927 (((-121) $) NIL)) (-4409 (((-121) $) NIL (|has| |#1| (-561)))) (-3766 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3998 ((|#4| |#4| $) NIL)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2534 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600))) (((-3 |#4| "failed") $ |#3|) NIL)) (-2269 (($) NIL T CONST)) (-2940 (((-121) $) 26 (|has| |#1| (-561)))) (-4203 (((-121) $ $) NIL (|has| |#1| (-561)))) (-2568 (((-121) $ $) NIL (|has| |#1| (-561)))) (-3455 (((-121) $) NIL (|has| |#1| (-561)))) (-3516 (((-637 |#4|) (-637 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1372 (((-637 |#4|) (-637 |#4|) $) NIL (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) NIL (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) NIL)) (-1316 (($ (-637 |#4|)) NIL)) (-4372 (((-3 $ "failed") $) 39)) (-4476 ((|#4| |#4| $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-3412 (($ |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-561)))) (-3052 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-3271 ((|#4| |#4| $) NIL)) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4600))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1770 (((-2 (|:| -2363 (-637 |#4|)) (|:| -3545 (-637 |#4|))) $) NIL)) (-4034 (((-637 |#4|) $) 16 (|has| $ (-6 -4600)))) (-1791 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2065 ((|#3| $) 33)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#4|) $) 17 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-1923 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) 21)) (-2213 (((-637 |#3|) $) NIL)) (-3529 (((-121) |#3| $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-3220 (((-3 |#4| "failed") $) 37)) (-2551 (((-637 |#4|) $) NIL)) (-3554 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2347 ((|#4| |#4| $) NIL)) (-2075 (((-121) $ $) NIL)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-561)))) (-2240 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2444 ((|#4| |#4| $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 (((-3 |#4| "failed") $) 35)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4016 (((-3 $ "failed") $ |#4|) 46)) (-3140 (($ $ |#4|) NIL)) (-3160 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 15)) (-1630 (($) 13)) (-2400 (((-768) $) NIL)) (-1569 (((-768) |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) (((-768) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) 12)) (-4050 (((-544) $) NIL (|has| |#4| (-612 (-544))))) (-3891 (($ (-637 |#4|)) 20)) (-3985 (($ $ |#3|) 42)) (-1905 (($ $ |#3|) 43)) (-4371 (($ $) NIL)) (-2031 (($ $ |#3|) NIL)) (-3942 (((-855) $) 31) (((-637 |#4|) $) 40)) (-1930 (((-768) $) NIL (|has| |#3| (-373)))) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1875 (((-121) $ (-1 (-121) |#4| (-637 |#4|))) NIL)) (-3027 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-3557 (((-637 |#3|) $) NIL)) (-3049 (((-121) |#3| $) NIL)) (-1323 (((-121) $ $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-484 |#1| |#2| |#3| |#4|) (-1197 |#1| |#2| |#3| |#4|) (-561) (-793) (-847) (-1067 |#1| |#2| |#3|)) (T -484)) 
+NIL 
+(-1197 |#1| |#2| |#3| |#4|) 
+((-3953 (((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468))) (-1169)) NIL (|has| (-53) (-1043 (-1169)))) (((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468))) NIL)) (-1972 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169)) NIL (|has| (-53) (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53))) NIL)) (-2538 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169)) NIL (|has| (-53) (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) NIL)) (-3565 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) NIL)) (-3003 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169)) NIL (|has| (-53) (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) NIL)) (-3720 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53))) NIL)) (-1339 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) NIL)) (-4060 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169)) NIL (|has| (-53) (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53))) NIL)) (-3187 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169)) NIL (|has| (-53) (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53))) NIL)) (-3814 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53))) NIL)) (-3419 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169)) NIL (|has| (-53) (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53))) NIL)) (-2026 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-637 (-1169)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-637 (-1169))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53))) NIL)) (-4512 (((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468))) (-1169)) NIL (|has| (-53) (-1043 (-1169)))) (((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468))) NIL))) 
+(((-485) (-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (IF (|has| (-53) (-1043 (-1169))) (IF (|has| (-53) (-1043 (-1169))) (PROGN (-15 -4060 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -4512 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) (-15 -3953 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) (IF (|has| (-53) (-1043 (-1169))) (IF (|has| (-53) (-1043 (-1169))) (PROGN (-15 -3953 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468))) (-1169))) (-15 -4512 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|))) (T -485)) 
+((-3419 (*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) (-2538 (*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) (-3003 (*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) (-1972 (*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) (-4512 (*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) (-5 *1 (-485)))) (-3953 (*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) (-5 *1 (-485)))) (-3953 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768))))) (-5 *1 (-485)))) (-4512 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768))))) (-5 *1 (-485)))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-2538 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3003 (*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3003 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-1972 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3565 (*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3565 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3720 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3720 (*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3814 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3814 (*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3419 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3419 (*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-1339 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) (-3187 (*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) (-4060 (*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) (-3187 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-3187 (*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-4060 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-4060 (*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-2026 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-2026 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-2026 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) (-2026 (*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485))))) 
+(-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (IF (|has| (-53) (-1043 (-1169))) (IF (|has| (-53) (-1043 (-1169))) (PROGN (-15 -4060 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)))) (-15 -4512 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) (-15 -3953 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) (IF (|has| (-53) (-1043 (-1169))) (IF (|has| (-53) (-1043 (-1169))) (PROGN (-15 -3953 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468))) (-1169))) (-15 -4512 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|)) 
+((-4168 (((-311 (-571)) |#1|) 11))) 
+(((-486 |#1|) (-10 -7 (-15 -4168 ((-311 (-571)) |#1|))) (-13 (-352) (-612 (-571)))) (T -486)) 
+((-4168 (*1 *2 *3) (-12 (-5 *2 (-311 (-571))) (-5 *1 (-486 *3)) (-4 *3 (-13 (-352) (-612 (-571))))))) 
+(-10 -7 (-15 -4168 ((-311 (-571)) |#1|))) 
+((-3953 (((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468))) (-1169)) NIL (|has| |#1| (-1043 (-1169)))) (((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468))) NIL)) (-1972 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) NIL (|has| |#1| (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|)) NIL)) (-2538 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) NIL (|has| |#1| (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|)) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) NIL)) (-3565 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|)) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) NIL)) (-3003 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) NIL (|has| |#1| (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|)) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) NIL)) (-3720 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|)) NIL)) (-1339 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468)))) NIL)) (-4060 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) NIL (|has| |#1| (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|)) NIL)) (-3187 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) NIL (|has| |#1| (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|)) NIL)) (-3814 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|)) NIL)) (-3419 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) NIL (|has| |#1| (-1043 (-1169)))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|)) NIL)) (-2026 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|)) NIL)) (-4512 (((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468))) (-1169)) NIL (|has| |#1| (-1043 (-1169)))) (((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468))) NIL))) 
+(((-487 |#1|) (-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (IF (|has| |#1| (-1043 (-1169))) (IF (|has| |#1| (-1043 (-1169))) (PROGN (-15 -4060 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -4512 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468)))) (-15 -3953 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468)))) (IF (|has| |#1| (-1043 (-1169))) (IF (|has| |#1| (-1043 (-1169))) (PROGN (-15 -3953 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468))) (-1169))) (-15 -4512 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|)) (-13 (-352) (-612 (-571)))) (T -487)) 
+((-3419 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) (-3003 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) (-4512 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 *4 (-768) (-768) (-1165 *4))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 *4) (-768)))) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) (-3953 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 *4 (-768) (-768) (-1165 *4))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 *4) (-768)))) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) (-3953 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 *4 (-768) (-768) (-1165 *4))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 *4) (-768))))) (-5 *1 (-487 *4)) (-4 *4 (-13 (-352) (-612 (-571)))))) (-4512 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 *4 (-768) (-768) (-1165 *4))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 *4) (-768))))) (-5 *1 (-487 *4)) (-4 *4 (-13 (-352) (-612 (-571)))))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) (-2538 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) (-3003 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) (-3003 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) (-1972 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) (-3565 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) (-3565 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) (-3720 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) (-3720 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) (-3814 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) (-3814 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) (-3419 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) (-3419 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) (-1339 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 *4 (-768) (-768) (-1165 *4))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 *4) (-768)))) (-637 (-468)))) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)))) (-3187 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) (-4060 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) (-3187 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) (-3187 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) (-4060 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) (-4060 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) (-2026 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *7) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 *7)) (-4 *7 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *7)))) (-2026 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *6) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 *6)) (-4 *6 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *6)))) (-2026 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) (-2026 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4))))) 
+(-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (IF (|has| |#1| (-1043 (-1169))) (IF (|has| |#1| (-1043 (-1169))) (PROGN (-15 -4060 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -4512 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468)))) (-15 -3953 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468)))) (IF (|has| |#1| (-1043 (-1169))) (IF (|has| |#1| (-1043 (-1169))) (PROGN (-15 -3953 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468))) (-1169))) (-15 -4512 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 |#1| (-768) (-768) (-1165 |#1|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 |#1|) (-768)))) (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|)) 
+((-3953 (((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-571)) (-1043 (-1169))) (|has| (-571) (-1043 (-1169))))) (((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468))) NIL)) (-1972 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-571)) (-1043 (-1169))) (|has| (-571) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571)))) NIL)) (-2538 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-571)) (-1043 (-1169))) (|has| (-571) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571)))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) NIL)) (-3565 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571)))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) NIL)) (-3003 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-571)) (-1043 (-1169))) (|has| (-571) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571)))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) NIL)) (-3720 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571)))) NIL)) (-1339 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) NIL)) (-4060 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-571)) (-1043 (-1169))) (|has| (-571) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571)))) NIL)) (-3187 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-571)) (-1043 (-1169))) (|has| (-571) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571)))) NIL)) (-3814 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571)))) NIL)) (-3419 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-571)) (-1043 (-1169))) (|has| (-571) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571)))) NIL)) (-2026 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-637 (-1169)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-637 (-1169))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571)))) NIL)) (-4512 (((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-571)) (-1043 (-1169))) (|has| (-571) (-1043 (-1169))))) (((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468))) NIL))) 
+(((-488) (-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (IF (|has| (-412 (-571)) (-1043 (-1169))) (IF (|has| (-571) (-1043 (-1169))) (PROGN (-15 -4060 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -4512 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) (-15 -3953 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) (IF (|has| (-412 (-571)) (-1043 (-1169))) (IF (|has| (-571) (-1043 (-1169))) (PROGN (-15 -3953 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468))) (-1169))) (-15 -4512 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|))) (T -488)) 
+((-3419 (*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) (-2538 (*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) (-3003 (*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) (-1972 (*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) (-4512 (*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) (-5 *1 (-488)))) (-3953 (*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) (-5 *1 (-488)))) (-3953 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768))))) (-5 *1 (-488)))) (-4512 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768))))) (-5 *1 (-488)))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-2538 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3003 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3003 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-1972 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3565 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3565 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3720 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3720 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3814 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3814 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3419 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3419 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-1339 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) (-3187 (*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) (-4060 (*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) (-3187 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-3187 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-4060 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-4060 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-2026 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-2026 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-2026 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) (-2026 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488))))) 
+(-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (IF (|has| (-412 (-571)) (-1043 (-1169))) (IF (|has| (-571) (-1043 (-1169))) (PROGN (-15 -4060 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))))) (-15 -4512 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) (-15 -3953 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) (IF (|has| (-412 (-571)) (-1043 (-1169))) (IF (|has| (-571) (-1043 (-1169))) (PROGN (-15 -3953 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468))) (-1169))) (-15 -4512 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|)) 
+((-3953 (((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468))) (-1169)) 367 (-12 (|has| |#1| (-1043 (-1169))) (|has| |#2| (-1043 (-1169))))) (((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468))) 361)) (-1972 (((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) 484 (-12 (|has| |#1| (-1043 (-1169))) (|has| |#2| (-1043 (-1169))))) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) 477) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|)) 478)) (-2538 (((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) 486 (-12 (|has| |#1| (-1043 (-1169))) (|has| |#2| (-1043 (-1169))))) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|)) 483) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) 482)) (-3565 (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|)) 475) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) 474)) (-3003 (((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) 485 (-12 (|has| |#1| (-1043 (-1169))) (|has| |#2| (-1043 (-1169))))) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|)) 480) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) 479)) (-3720 (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) 471) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|)) 472)) (-1339 (((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468)))) 463)) (-4060 (((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) 193 (-12 (|has| |#1| (-1043 (-1169))) (|has| |#2| (-1043 (-1169))))) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) 191) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|)) 190)) (-3187 (((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) 219 (-12 (|has| |#1| (-1043 (-1169))) (|has| |#2| (-1043 (-1169))))) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) 208) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|)) 207)) (-3814 (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) 468) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|)) 469)) (-3419 (((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)) 476 (-12 (|has| |#1| (-1043 (-1169))) (|has| |#2| (-1043 (-1169))))) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) 464) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|)) 465)) (-2026 (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169)) (-637 (-468))) 509) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169))) 514) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) 513) (((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|)) 512)) (-4512 (((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468))) (-1169)) 336 (-12 (|has| |#1| (-1043 (-1169))) (|has| |#2| (-1043 (-1169))))) (((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468))) 326))) 
+(((-489 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -2026 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -4060 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3187 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (IF (|has| |#1| (-1043 (-1169))) (IF (|has| |#2| (-1043 (-1169))) (PROGN (-15 -4060 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3419 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3814 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3720 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -1972 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -1972 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -2538 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -4512 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468)))) (-15 -3953 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468)))) (IF (|has| |#1| (-1043 (-1169))) (IF (|has| |#2| (-1043 (-1169))) (PROGN (-15 -3953 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468))) (-1169))) (-15 -4512 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|)) (-367) (-456) (-13 (-435 (-571)) (-561) (-1043 |#4|) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $)))) (-13 (-847) (-561)) (-1 |#1| |#4|) (-1 |#3| |#1|)) (T -489)) 
+((-3419 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3003 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-4512 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 *6) *6 *3)) (|:| A (-1 *5 (-768) (-768) (-1165 *5))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 *6 (-768) *3 *6)) (|:| C (-1 (-637 *5) (-768)))) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3953 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 *6) *6 *3)) (|:| A (-1 *5 (-768) (-768) (-1165 *5))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 *6 (-768) *3 *6)) (|:| C (-1 (-637 *5) (-768)))) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3953 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 *6) *6 (-1169))) (|:| A (-1 *5 (-768) (-768) (-1165 *5))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 *6 (-768) (-1169) *6)) (|:| C (-1 (-637 *5) (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-4512 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 *6) *6 (-1169))) (|:| A (-1 *5 (-768) (-768) (-1165 *5))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 *6 (-768) (-1169) *6)) (|:| C (-1 (-637 *5) (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-2538 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3003 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3003 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-1972 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3565 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3565 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3720 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3720 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3814 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3814 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3419 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3419 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-1339 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 *6) *6 (-1169))) (|:| A (-1 *5 (-768) (-768) (-1165 *5))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 *6 (-768) (-1169) *6)) (|:| C (-1 (-637 *5) (-768)))) (-637 (-468)))) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)))) (-3187 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-4060 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3187 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-3187 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-4060 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-4060 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-2026 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 *9) (|:| -3347 (-768)))) (-637 *7) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 *7)) (-4 *7 (-367)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-847) (-561))) (-14 *11 (-1 *7 *10)) (-5 *2 (-637 (-2 (|:| -3584 *9) (|:| -3347 (-768))))) (-5 *1 (-489 *7 *8 *9 *10 *11 *12)) (-4 *8 (-456)) (-4 *9 (-13 (-435 (-571)) (-561) (-1043 *10) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-2026 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 *8) (|:| -3347 (-768)))) (-637 *6) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 *6)) (-4 *6 (-367)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-847) (-561))) (-14 *10 (-1 *6 *9)) (-5 *2 (-637 (-2 (|:| -3584 *8) (|:| -3347 (-768))))) (-5 *1 (-489 *6 *7 *8 *9 *10 *11)) (-4 *7 (-456)) (-4 *8 (-13 (-435 (-571)) (-561) (-1043 *9) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-2026 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) (-2026 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $)))))))) 
+(-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -2026 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -4060 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3187 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (IF (|has| |#1| (-1043 (-1169))) (IF (|has| |#2| (-1043 (-1169))) (PROGN (-15 -4060 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3419 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3814 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -3720 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -1972 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -1972 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -2538 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|))) (-15 -4512 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468)))) (-15 -3953 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468)))) (IF (|has| |#1| (-1043 (-1169))) (IF (|has| |#2| (-1043 (-1169))) (PROGN (-15 -3953 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468))) (-1169))) (-15 -4512 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 |#1|)) (-1215 |#1|))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 |#1|))) (-1215 (-1165 |#1|)))) (|:| |exprStream| (-1 (-1149 |#3|) |#3| (-1169))) (|:| A (-1 |#2| (-768) (-768) (-1165 |#2|))) (|:| AF (-1 (-1165 |#1|) (-768) (-768) (-1215 (-1165 |#1|)))) (|:| AX (-1 |#3| (-768) (-1169) |#3|)) (|:| C (-1 (-637 |#2|) (-768)))) (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 |#3|) (|:| -3347 (-768)))) (-637 |#1|) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|)) 
+((-3953 (((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-958 (-571))) (-1043 (-1169))) (|has| (-958 (-571)) (-1043 (-1169))))) (((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468))) NIL)) (-1972 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-958 (-571))) (-1043 (-1169))) (|has| (-958 (-571)) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571))))) NIL)) (-2538 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-958 (-571))) (-1043 (-1169))) (|has| (-958 (-571)) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571))))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) NIL)) (-3565 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571))))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) NIL)) (-3003 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-958 (-571))) (-1043 (-1169))) (|has| (-958 (-571)) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571))))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) NIL)) (-3720 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571))))) NIL)) (-1339 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) NIL)) (-4060 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-958 (-571))) (-1043 (-1169))) (|has| (-958 (-571)) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571))))) NIL)) (-3187 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-958 (-571))) (-1043 (-1169))) (|has| (-958 (-571)) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571))))) NIL)) (-3814 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571))))) NIL)) (-3419 (((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-958 (-571))) (-1043 (-1169))) (|has| (-958 (-571)) (-1043 (-1169))))) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571))))) NIL)) (-2026 (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-637 (-1169)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-637 (-1169))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571))))) NIL)) (-4512 (((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468))) (-1169)) NIL (-12 (|has| (-412 (-958 (-571))) (-1043 (-1169))) (|has| (-958 (-571)) (-1043 (-1169))))) (((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468))) NIL))) 
+(((-490) (-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (IF (|has| (-412 (-958 (-571))) (-1043 (-1169))) (IF (|has| (-958 (-571)) (-1043 (-1169))) (PROGN (-15 -4060 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -4512 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) (-15 -3953 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) (IF (|has| (-412 (-958 (-571))) (-1043 (-1169))) (IF (|has| (-958 (-571)) (-1043 (-1169))) (PROGN (-15 -3953 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468))) (-1169))) (-15 -4512 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|))) (T -490)) 
+((-3419 (*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) (-2538 (*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) (-3003 (*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) (-1972 (*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) (-4512 (*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) (-5 *1 (-490)))) (-3953 (*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) (-5 *1 (-490)))) (-3953 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768))))) (-5 *1 (-490)))) (-4512 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768))))) (-5 *1 (-490)))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-2538 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3003 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3003 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-1972 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3565 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3565 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3720 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3720 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3814 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3814 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3419 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3419 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-1339 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) (-3187 (*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) (-4060 (*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) (-3187 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-3187 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-4060 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-4060 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-2026 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-2026 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-2026 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) (-2026 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490))))) 
+(-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -4060 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -3187 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (IF (|has| (-412 (-958 (-571))) (-1043 (-1169))) (IF (|has| (-958 (-571)) (-1043 (-1169))) (PROGN (-15 -4060 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -3814 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -3720 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))))) (-15 -4512 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) (-15 -3953 ((-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) (IF (|has| (-412 (-958 (-571))) (-1043 (-1169))) (IF (|has| (-958 (-571)) (-1043 (-1169))) (PROGN (-15 -3953 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468))) (-1169))) (-15 -4512 ((-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))) (-1169)))) |noBranch|) |noBranch|)) 
+((-3953 (((-1 HPSPEC (-637 (-468))) (-1169)) NIL) ((HPSPEC (-637 (-468))) NIL)) (-1972 (((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169)) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571))))) NIL)) (-2538 (((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169)) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571))))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) NIL)) (-3565 (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571))))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) NIL)) (-3003 (((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169)) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571))))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) NIL)) (-3720 (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571))))) NIL)) (-1339 (((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1 HPSPEC (-637 (-468)))) NIL)) (-4060 (((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169)) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571))))) NIL)) (-3187 (((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169)) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571))))) NIL)) (-3814 (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571))))) NIL)) (-3419 (((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169)) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571))))) NIL)) (-2026 (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-637 (-1169)) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-637 (-1169))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) NIL) (((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571))))) NIL)) (-4512 (((-1 HPSPEC (-637 (-468))) (-1169)) NIL) ((HPSPEC (-637 (-468))) NIL))) 
+(((-491 |#1|) (-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -2026 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -4060 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -3187 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -4060 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169))) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1 HPSPEC (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -3814 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -3720 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -2538 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -4512 (HPSPEC (-637 (-468)))) (-15 -3953 (HPSPEC (-637 (-468)))) (-15 -3953 ((-1 HPSPEC (-637 (-468))) (-1169))) (-15 -4512 ((-1 HPSPEC (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169)))) (-1169)) (T -491)) 
+((-3419 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3))) (-3003 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3))) (-4512 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 HPSPEC (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3))) (-3953 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 HPSPEC (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3))) (-3953 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 HPSPEC) (-5 *1 (-491 *4)) (-14 *4 (-1169)))) (-4512 (*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 HPSPEC) (-5 *1 (-491 *4)) (-14 *4 (-1169)))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) (-2538 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) (-3003 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) (-3003 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) (-1972 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) (-3565 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) (-3565 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) (-3720 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) (-3720 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) (-3814 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) (-3814 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) (-3419 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) (-3419 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) (-1339 (*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-637 (-468)))) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 (-1169)))) (-3187 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3))) (-4060 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3))) (-3187 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) (-3187 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) (-4060 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) (-4060 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) (-2026 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-738 *7 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *7 (-571)))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 (-412 (-739 *7 (-571))))) (-14 *7 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *7 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *7)))) (-2026 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-738 *6 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *6 (-571)))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 (-412 (-739 *6 (-571))))) (-14 *6 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *6 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *6)))) (-2026 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) (-2026 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4))))) 
+(-10 -7 (-15 -2026 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -2026 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-637 (-1169)))) (-15 -2026 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-637 (-1169)) (-637 (-468)))) (-15 -4060 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -4060 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3187 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -3187 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -4060 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169))) (-15 -3187 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169))) (-15 -1339 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1 HPSPEC (-637 (-468))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -3419 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3814 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -3814 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3720 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -3720 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3565 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -1972 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -3003 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -2538 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468)))) (-15 -2538 ((-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))))) (-15 -4512 (HPSPEC (-637 (-468)))) (-15 -3953 (HPSPEC (-637 (-468)))) (-15 -3953 ((-1 HPSPEC (-637 (-468))) (-1169))) (-15 -4512 ((-1 HPSPEC (-637 (-468))) (-1169))) (-15 -1972 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169))) (-15 -3003 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169))) (-15 -2538 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169))) (-15 -3419 ((-1 (-637 (-2 (|:| -3584 (-738 |#1| (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 |#1| (-571)))) (-637 (-468))) (-1169)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL)) (-1316 (((-571) $) NIL) (((-412 (-571)) $) NIL)) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-4153 (($) 18)) (-2583 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-4050 (((-384) $) 22) (((-216) $) 25) (((-412 (-1165 (-571))) $) 19) (((-544) $) 52)) (-3942 (((-855) $) 50) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (((-216) $) 24) (((-384) $) 21)) (-2661 (((-768)) NIL)) (-1388 (((-121) $ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 36 T CONST)) (-3222 (($) 11 T CONST)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL))) 
+(((-492) (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))) (-1027) (-611 (-216)) (-611 (-384)) (-612 (-412 (-1165 (-571)))) (-612 (-544)) (-10 -8 (-15 -4153 ($))))) (T -492)) 
+((-4153 (*1 *1) (-5 *1 (-492)))) 
+(-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))) (-1027) (-611 (-216)) (-611 (-384)) (-612 (-412 (-1165 (-571)))) (-612 (-544)) (-10 -8 (-15 -4153 ($)))) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3839 (((-1263) $ |#1| |#1|) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#2| $ |#1| |#2|) 16)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-1741 (((-3 |#2| "failed") |#1| $) 20)) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1599 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-3 |#2| "failed") |#1| $) 18)) (-3412 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) NIL)) (-4034 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 ((|#1| $) NIL (|has| |#1| (-847)))) (-3488 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3113 ((|#1| $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4601))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3359 (((-637 |#1|) $) 13)) (-1507 (((-121) |#1| $) NIL)) (-2377 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2863 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2738 (((-637 |#1|) $) NIL)) (-1613 (((-121) |#1| $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-1827 ((|#2| $) NIL (|has| |#1| (-847)))) (-3765 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL)) (-4411 (($ $ |#2|) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 19)) (-3245 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-3563 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097)))) (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3942 (((-855) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3700 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 11 (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-4001 (((-768) $) 15 (|has| $ (-6 -4600))))) 
+(((-493 |#1| |#2| |#3|) (-13 (-1180 |#1| |#2|) (-10 -7 (-6 -4600))) (-1097) (-1097) (-1151)) (T -493)) 
+NIL 
+(-13 (-1180 |#1| |#2|) (-10 -7 (-6 -4600))) 
+((-3497 (((-571) (-571) (-571)) 7)) (-4562 (((-121) (-571) (-571) (-571) (-571)) 11)) (-2489 (((-1258 (-637 (-571))) (-768) (-768)) 22))) 
+(((-494) (-10 -7 (-15 -3497 ((-571) (-571) (-571))) (-15 -4562 ((-121) (-571) (-571) (-571) (-571))) (-15 -2489 ((-1258 (-637 (-571))) (-768) (-768))))) (T -494)) 
+((-2489 (*1 *2 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1258 (-637 (-571)))) (-5 *1 (-494)))) (-4562 (*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *2 (-121)) (-5 *1 (-494)))) (-3497 (*1 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-494))))) 
+(-10 -7 (-15 -3497 ((-571) (-571) (-571))) (-15 -4562 ((-121) (-571) (-571) (-571) (-571))) (-15 -2489 ((-1258 (-637 (-571))) (-768) (-768)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-857 |#1|)) $) NIL)) (-4257 (((-1165 $) $ (-857 |#1|)) NIL) (((-1165 |#2|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#2| (-561)))) (-1415 (($ $) NIL (|has| |#2| (-561)))) (-2545 (((-121) $) NIL (|has| |#2| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-857 |#1|))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2356 (($ $) NIL (|has| |#2| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#2| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#2| (-1043 (-571)))) (((-3 (-857 |#1|) "failed") $) NIL)) (-1316 ((|#2| $) NIL) (((-412 (-571)) $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#2| (-1043 (-571)))) (((-857 |#1|) $) NIL)) (-3730 (($ $ $ (-857 |#1|)) NIL (|has| |#2| (-173)))) (-3602 (($ $ (-637 (-571))) NIL)) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL) (((-684 |#2|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#2| (-456))) (($ $ (-857 |#1|)) NIL (|has| |#2| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#2| (-909)))) (-1420 (($ $ |#2| (-496 (-4001 |#1|) (-768)) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-857 |#1|) (-886 (-384))) (|has| |#2| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-857 |#1|) (-886 (-571))) (|has| |#2| (-886 (-571)))))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-4296 (($ (-1165 |#2|) (-857 |#1|)) NIL) (($ (-1165 $) (-857 |#1|)) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#2| (-496 (-4001 |#1|) (-768))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-857 |#1|)) NIL)) (-3973 (((-496 (-4001 |#1|) (-768)) $) NIL) (((-768) $ (-857 |#1|)) NIL) (((-637 (-768)) $ (-637 (-857 |#1|))) NIL)) (-1763 (($ $ $) NIL (|has| |#2| (-847)))) (-2383 (($ $ $) NIL (|has| |#2| (-847)))) (-2587 (($ (-1 (-496 (-4001 |#1|) (-768)) (-496 (-4001 |#1|) (-768))) $) NIL)) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-2510 (((-3 (-857 |#1|) "failed") $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#2| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-3944 (((-1151) $) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-857 |#1|)) (|:| -2154 (-768))) "failed") $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#2| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#2| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#2| (-909)))) (-1786 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-561)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-857 |#1|) |#2|) NIL) (($ $ (-637 (-857 |#1|)) (-637 |#2|)) NIL) (($ $ (-857 |#1|) $) NIL) (($ $ (-637 (-857 |#1|)) (-637 $)) NIL)) (-1475 (($ $ (-857 |#1|)) NIL (|has| |#2| (-173)))) (-3096 (($ $ (-857 |#1|)) NIL) (($ $ (-637 (-857 |#1|))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-2400 (((-496 (-4001 |#1|) (-768)) $) NIL) (((-768) $ (-857 |#1|)) NIL) (((-637 (-768)) $ (-637 (-857 |#1|))) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-857 |#1|) (-612 (-892 (-384)))) (|has| |#2| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-857 |#1|) (-612 (-892 (-571)))) (|has| |#2| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-857 |#1|) (-612 (-544))) (|has| |#2| (-612 (-544)))))) (-4189 ((|#2| $) NIL (|has| |#2| (-456))) (($ $ (-857 |#1|)) NIL (|has| |#2| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#2|) NIL) (($ (-857 |#1|)) NIL) (($ (-412 (-571))) NIL (-1831 (|has| |#2| (-43 (-412 (-571)))) (|has| |#2| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#2| (-561)))) (-1314 (((-637 |#2|) $) NIL)) (-3136 ((|#2| $ (-496 (-4001 |#1|) (-768))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#2| (-909))) (|has| |#2| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#2| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#2| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-857 |#1|)) NIL) (($ $ (-637 (-857 |#1|))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-1350 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#2| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#2| (-43 (-412 (-571))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-495 |#1| |#2|) (-13 (-955 |#2| (-496 (-4001 |#1|) (-768)) (-857 |#1|)) (-10 -8 (-15 -3602 ($ $ (-637 (-571)))))) (-637 (-1169)) (-1053)) (T -495)) 
+((-3602 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-495 *3 *4)) (-14 *3 (-637 (-1169))) (-4 *4 (-1053))))) 
+(-13 (-955 |#2| (-496 (-4001 |#1|) (-768)) (-857 |#1|)) (-10 -8 (-15 -3602 ($ $ (-637 (-571)))))) 
+((-2234 (((-121) $ $) NIL (|has| |#2| (-1097)))) (-4123 (((-121) $) NIL (|has| |#2| (-138)))) (-4436 (($ (-922)) NIL (|has| |#2| (-1053)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-3933 (($ $ $) NIL (|has| |#2| (-793)))) (-4176 (((-3 $ "failed") $ $) NIL (|has| |#2| (-138)))) (-3133 (((-121) $ (-768)) NIL)) (-4407 (((-768)) NIL (|has| |#2| (-373)))) (-3203 (((-571) $) NIL (|has| |#2| (-845)))) (-3251 ((|#2| $ (-571) |#2|) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (-12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097)))) (((-3 (-412 (-571)) "failed") $) NIL (-12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1097)))) (-1316 (((-571) $) NIL (-12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097)))) (((-412 (-571)) $) NIL (-12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) ((|#2| $) NIL (|has| |#2| (-1097)))) (-2680 (((-684 (-571)) (-684 $)) NIL (-12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL (|has| |#2| (-1053))) (((-684 |#2|) (-684 $)) NIL (|has| |#2| (-1053)))) (-3978 (((-3 $ "failed") $) NIL (|has| |#2| (-721)))) (-3254 (($) NIL (|has| |#2| (-373)))) (-2922 ((|#2| $ (-571) |#2|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#2| $ (-571)) 11)) (-2093 (((-121) $) NIL (|has| |#2| (-845)))) (-4034 (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-2583 (((-121) $) NIL (|has| |#2| (-721)))) (-4086 (((-121) $) NIL (|has| |#2| (-845)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-3488 (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1923 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-4470 (((-922) $) NIL (|has| |#2| (-373)))) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#2| (-1097)))) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-1755 (($ (-922)) NIL (|has| |#2| (-373)))) (-2580 (((-1115) $) NIL (|has| |#2| (-1097)))) (-1827 ((|#2| $) NIL (|has| (-571) (-847)))) (-4411 (($ $ |#2|) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-3804 (((-637 $)) NIL (|has| |#2| (-373)))) (-2957 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#2| $ (-571) |#2|) NIL) ((|#2| $ (-571)) NIL)) (-2503 ((|#2| $ $) NIL (|has| |#2| (-1053)))) (-4274 (($ (-1258 |#2|)) NIL)) (-3847 (((-140)) NIL (|has| |#2| (-367)))) (-3096 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1 |#2| |#2|) (-768)) NIL (|has| |#2| (-1053))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1053)))) (-1569 (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-1258 |#2|) $) NIL) (((-855) $) NIL (|has| |#2| (-1097))) (($ (-571)) NIL (-1831 (-12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097))) (|has| |#2| (-1053)))) (($ (-412 (-571))) NIL (-12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) (($ |#2|) NIL (|has| |#2| (-1097)))) (-2661 (((-768)) NIL (|has| |#2| (-1053)))) (-3027 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-1902 (($ $) NIL (|has| |#2| (-845)))) (-4142 (($ $ (-768)) NIL (|has| |#2| (-721))) (($ $ (-922)) NIL (|has| |#2| (-721)))) (-2369 (($) NIL (|has| |#2| (-138)) CONST)) (-3222 (($) NIL (|has| |#2| (-721)) CONST)) (-1544 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1 |#2| |#2|) (-768)) NIL (|has| |#2| (-1053))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1053)))) (-1350 (((-121) $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1338 (((-121) $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1323 (((-121) $ $) NIL (|has| |#2| (-1097)))) (-1342 (((-121) $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1331 (((-121) $ $) 15 (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $ $) NIL (|has| |#2| (-1053))) (($ $) NIL (|has| |#2| (-1053)))) (-1367 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-768)) NIL (|has| |#2| (-721))) (($ $ (-922)) NIL (|has| |#2| (-721)))) (* (($ (-571) $) NIL (|has| |#2| (-1053))) (($ $ $) NIL (|has| |#2| (-721))) (($ $ |#2|) NIL (|has| |#2| (-721))) (($ |#2| $) NIL (|has| |#2| (-721))) (($ (-768) $) NIL (|has| |#2| (-138))) (($ (-922) $) NIL (|has| |#2| (-25)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-496 |#1| |#2|) (-231 |#1| |#2|) (-768) (-793)) (T -496)) 
 NIL 
 (-231 |#1| |#2|) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4002 (($ $ $) 32)) (-2102 (($ $ $) 31)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2713 ((|#1| $) 26)) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) 27)) (-2351 (($ |#1| $) 10)) (-3746 (($ (-635 |#1|)) 12)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2166 ((|#1| $) 23)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 9)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 29)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) 21 (|has| $ (-6 -4571))))) 
-(((-495 |#1|) (-13 (-971 |#1|) (-10 -8 (-15 -3746 ($ (-635 |#1|))) (-15 -1753 ($ (-635 |#1|))) (-15 -1799 ($ $)) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -3186 ((-121) $ $)) (-15 -2166 (|#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2713 (|#1| $)) (-15 -2102 ($ $ $)) (-15 -4002 ($ $ $)) (-15 -4483 ($)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) (-844)) (T -495)) 
-((-3186 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-4016 (*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) (-1396 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) (-3206 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) (-3350 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) (-4483 (*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-2946 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-765)) (-5 *1 (-495 *4)))) (-4303 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) (-4457 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) (-2691 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-3016 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-2605 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-1310 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) (-2166 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-4496 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-2713 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-2102 (*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-4002 (*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-3746 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3))))) 
-(-13 (-971 |#1|) (-10 -8 (-15 -3746 ($ (-635 |#1|))) (-15 -1753 ($ (-635 |#1|))) (-15 -1799 ($ $)) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -3186 ((-121) $ $)) (-15 -2166 (|#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2713 (|#1| $)) (-15 -2102 ($ $ $)) (-15 -4002 ($ $ $)) (-15 -4483 ($)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2793 (($ $) 69)) (-3569 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-2018 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 43)) (-1912 (((-1111) $) NIL)) (-1986 (((-3 |#4| "failed") $) 105)) (-2124 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 76) (($ |#4|) 32) (($ |#1| |#1|) 113) (($ |#1| |#1| (-569)) NIL) (($ |#4| |#2| |#2| |#2| |#1|) 125)) (-3861 (((-2 (|:| -3227 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 45)) (-3956 (((-852) $) 100)) (-2407 (($) 33 T CONST)) (-1326 (((-121) $ $) 107)) (-1377 (($ $) 72) (($ $ $) NIL)) (-1371 (($ $ $) 70)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 73))) 
-(((-496 |#1| |#2| |#3| |#4|) (-334 |#1| |#2| |#3| |#4|) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -496)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) NIL)) (-2269 (($) NIL T CONST)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-2984 (($ $ $) 32)) (-3491 (($ $ $) 31)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-2383 ((|#1| $) 26)) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2377 ((|#1| $) 27)) (-2863 (($ |#1| $) 10)) (-4169 (($ (-637 |#1|)) 12)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3815 ((|#1| $) 23)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 9)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) 29)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4001 (((-768) $) 21 (|has| $ (-6 -4600))))) 
+(((-497 |#1|) (-13 (-975 |#1|) (-10 -8 (-15 -4169 ($ (-637 |#1|))) (-15 -3700 ($ (-637 |#1|))) (-15 -4316 ($ $)) (-15 -1828 ((-121) $)) (-15 -1630 ($)) (-15 -2127 ((-121) $ $)) (-15 -3815 (|#1| $)) (-15 -2863 ($ |#1| $)) (-15 -2377 (|#1| $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (-15 -2383 (|#1| $)) (-15 -3491 ($ $ $)) (-15 -2984 ($ $ $)) (-15 -2269 ($)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-15 -3944 ((-1151) $)) (-15 -2580 ((-1115) $)) (-15 -3942 ((-855) $)) (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3160 ((-121) (-1 (-121) |#1|) $)) (-15 -3027 ((-121) (-1 (-121) |#1|) $)) (-15 -1569 ((-768) (-1 (-121) |#1|) $)) (-15 -4001 ((-768) $)) (-15 -4034 ((-637 |#1|) $)) (-15 -3488 ((-637 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4600)) (IF (|has| |#1| (-1097)) (PROGN (-15 -3303 ((-121) |#1| $)) (-15 -1569 ((-768) |#1| $))) |noBranch|) |noBranch|))) (-847)) (T -497)) 
+((-2127 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-497 *3)) (-4 *3 (-847)))) (-4316 (*1 *1 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) (-1630 (*1 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) (-1828 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-497 *3)) (-4 *3 (-847)))) (-3794 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-497 *4)) (-4 *4 (-847)))) (-2262 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-497 *4)) (-4 *4 (-847)))) (-3133 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-497 *4)) (-4 *4 (-847)))) (-2269 (*1 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) (-4001 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-497 *3)) (-4 *3 (-847)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-847)) (-5 *1 (-497 *3)))) (-1923 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4601)) (-4 *3 (-847)) (-5 *1 (-497 *3)))) (-3027 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-847)) (-5 *2 (-121)) (-5 *1 (-497 *4)))) (-3160 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-847)) (-5 *2 (-121)) (-5 *1 (-497 *4)))) (-1569 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-847)) (-5 *2 (-768)) (-5 *1 (-497 *4)))) (-4034 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-497 *3)) (-4 *3 (-847)))) (-3488 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-497 *3)) (-4 *3 (-847)))) (-1569 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) (-3303 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-121)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) (-3944 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) (-2580 (*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) (-1323 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) (-2234 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) (-3700 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-497 *3)))) (-3815 (*1 *2 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) (-2863 (*1 *1 *2 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) (-2377 (*1 *2 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) (-2383 (*1 *2 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) (-3491 (*1 *1 *1 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) (-2984 (*1 *1 *1 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) (-4169 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-497 *3))))) 
+(-13 (-975 |#1|) (-10 -8 (-15 -4169 ($ (-637 |#1|))) (-15 -3700 ($ (-637 |#1|))) (-15 -4316 ($ $)) (-15 -1828 ((-121) $)) (-15 -1630 ($)) (-15 -2127 ((-121) $ $)) (-15 -3815 (|#1| $)) (-15 -2863 ($ |#1| $)) (-15 -2377 (|#1| $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (-15 -2383 (|#1| $)) (-15 -3491 ($ $ $)) (-15 -2984 ($ $ $)) (-15 -2269 ($)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-15 -3944 ((-1151) $)) (-15 -2580 ((-1115) $)) (-15 -3942 ((-855) $)) (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3160 ((-121) (-1 (-121) |#1|) $)) (-15 -3027 ((-121) (-1 (-121) |#1|) $)) (-15 -1569 ((-768) (-1 (-121) |#1|) $)) (-15 -4001 ((-768) $)) (-15 -4034 ((-637 |#1|) $)) (-15 -3488 ((-637 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4600)) (IF (|has| |#1| (-1097)) (PROGN (-15 -3303 ((-121) |#1| $)) (-15 -1569 ((-768) |#1| $))) |noBranch|) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3074 (($ $) 69)) (-4503 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-1644 (((-418 |#2| (-412 |#2|) |#3| |#4|) $) 43)) (-2580 (((-1115) $) NIL)) (-2280 (((-3 |#4| "failed") $) 105)) (-3612 (($ (-418 |#2| (-412 |#2|) |#3| |#4|)) 76) (($ |#4|) 32) (($ |#1| |#1|) 113) (($ |#1| |#1| (-571)) NIL) (($ |#4| |#2| |#2| |#2| |#1|) 125)) (-3421 (((-2 (|:| -3974 (-418 |#2| (-412 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 45)) (-3942 (((-855) $) 100)) (-2369 (($) 33 T CONST)) (-1323 (((-121) $ $) 107)) (-1373 (($ $) 72) (($ $ $) NIL)) (-1367 (($ $ $) 70)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 73))) 
+(((-498 |#1| |#2| |#3| |#4|) (-334 |#1| |#2| |#3| |#4|) (-367) (-1233 |#1|) (-1233 (-412 |#2|)) (-341 |#1| |#2| |#3|)) (T -498)) 
 NIL 
 (-334 |#1| |#2| |#3| |#4|) 
-((-2936 (((-569) (-635 (-569))) 28)) (-1342 ((|#1| (-635 |#1|)) 56)) (-3452 (((-635 |#1|) (-635 |#1|)) 57)) (-4302 (((-635 |#1|) (-635 |#1|)) 59)) (-3964 ((|#1| (-635 |#1|)) 58)) (-2363 (((-635 (-569)) (-635 |#1|)) 31))) 
-(((-497 |#1|) (-10 -7 (-15 -3964 (|#1| (-635 |#1|))) (-15 -1342 (|#1| (-635 |#1|))) (-15 -4302 ((-635 |#1|) (-635 |#1|))) (-15 -3452 ((-635 |#1|) (-635 |#1|))) (-15 -2363 ((-635 (-569)) (-635 |#1|))) (-15 -2936 ((-569) (-635 (-569))))) (-1228 (-569))) (T -497)) 
-((-2936 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-569)) (-5 *1 (-497 *4)) (-4 *4 (-1228 *2)))) (-2363 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1228 (-569))) (-5 *2 (-635 (-569))) (-5 *1 (-497 *4)))) (-3452 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1228 (-569))) (-5 *1 (-497 *3)))) (-4302 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1228 (-569))) (-5 *1 (-497 *3)))) (-1342 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1228 (-569))))) (-3964 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1228 (-569)))))) 
-(-10 -7 (-15 -3964 (|#1| (-635 |#1|))) (-15 -1342 (|#1| (-635 |#1|))) (-15 -4302 ((-635 |#1|) (-635 |#1|))) (-15 -3452 ((-635 |#1|) (-635 |#1|))) (-15 -2363 ((-635 (-569)) (-635 |#1|))) (-15 -2936 ((-569) (-635 (-569))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-569) $) NIL (|has| (-569) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-569) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-569) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1039 (-569))))) (-1321 (((-569) $) NIL) (((-1165) $) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-569) (-1039 (-569)))) (((-569) $) NIL (|has| (-569) (-1039 (-569))))) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-569) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-569) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-569) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-569) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-569) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-569) (-1139)))) (-4311 (((-121) $) NIL (|has| (-569) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-4188 (($ (-1 (-569) (-569)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-569) (-1139)) CONST)) (-2977 (($ (-410 (-569))) 8)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-1807 (((-569) $) NIL (|has| (-569) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1165)) (-635 (-569))) NIL (|has| (-569) (-524 (-1165) (-569)))) (($ $ (-1165) (-569)) NIL (|has| (-569) (-524 (-1165) (-569))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-569) $) NIL)) (-4035 (((-889 (-569)) $) NIL (|has| (-569) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-569) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1023))) (((-216) $) NIL (|has| (-569) (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1165)) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL) (((-1006 16) $) 9)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-569) (-906))) (|has| (-569) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-569) $) NIL (|has| (-569) (-551)))) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| (-569) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1383 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
-(((-498) (-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 16) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -2977 ($ (-410 (-569))))))) (T -498)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1006 16)) (-5 *1 (-498)))) (-1391 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) (-2977 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498))))) 
-(-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 16) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -2977 ($ (-410 (-569)))))) 
-((-4457 (((-635 |#2|) $) 22)) (-3016 (((-121) |#2| $) 27)) (-2985 (((-121) (-1 (-121) |#2|) $) 20)) (-1484 (($ $ (-635 (-289 |#2|))) 12) (($ $ (-289 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-635 |#2|) (-635 |#2|)) NIL)) (-2691 (((-765) (-1 (-121) |#2|) $) 21) (((-765) |#2| $) 25)) (-3956 (((-852) $) 36)) (-3776 (((-121) (-1 (-121) |#2|) $) 19)) (-1326 (((-121) $ $) 30)) (-2946 (((-765) $) 16))) 
-(((-499 |#1| |#2|) (-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -4457 ((-635 |#2|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|))) (-500 |#2|) (-1199)) (T -499)) 
-NIL 
-(-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -4457 ((-635 |#2|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-500 |#1|) (-1284) (-1199)) (T -500)) 
-((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-500 *3)) (-4 *3 (-1199)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4572)) (-4 *1 (-500 *3)) (-4 *3 (-1199)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-121)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-121)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-765)))) (-4303 (*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3)))) (-4457 (*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3)))) (-2691 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-765)))) (-3016 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
-(-13 (-39) (-10 -8 (IF (|has| |t#1| (-1093)) (-6 (-1093)) |noBranch|) (IF (|has| |t#1| (-1093)) (IF (|has| |t#1| (-304 |t#1|)) (-6 (-304 |t#1|)) |noBranch|) |noBranch|) (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |t#1| |t#1|) $)) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -3776 ((-121) (-1 (-121) |t#1|) $)) (-15 -2985 ((-121) (-1 (-121) |t#1|) $)) (-15 -2691 ((-765) (-1 (-121) |t#1|) $)) (-15 -4303 ((-635 |t#1|) $)) (-15 -4457 ((-635 |t#1|) $)) (IF (|has| |t#1| (-1093)) (PROGN (-15 -2691 ((-765) |t#1| $)) (-15 -3016 ((-121) |t#1| $))) |noBranch|)) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1723 (((-1147) (-852)) 40)) (-2442 (((-1258) (-1147)) 29)) (-2539 (((-1147) (-852)) 25)) (-1303 (((-1147) (-852)) 26)) (-3956 (((-852) $) NIL) (((-1147) (-852)) 24)) (-1326 (((-121) $ $) NIL))) 
-(((-501) (-13 (-1093) (-10 -7 (-15 -3956 ((-1147) (-852))) (-15 -2539 ((-1147) (-852))) (-15 -1303 ((-1147) (-852))) (-15 -1723 ((-1147) (-852))) (-15 -2442 ((-1258) (-1147)))))) (T -501)) 
-((-3956 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) (-2539 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) (-1303 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) (-1723 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) (-2442 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-501))))) 
-(-13 (-1093) (-10 -7 (-15 -3956 ((-1147) (-852))) (-15 -2539 ((-1147) (-852))) (-15 -1303 ((-1147) (-852))) (-15 -1723 ((-1147) (-852))) (-15 -2442 ((-1258) (-1147))))) 
-((-3544 (($ $) 15)) (-3530 (($ $) 24)) (-3559 (($ $) 12)) (-3565 (($ $) 10)) (-3551 (($ $) 17)) (-3538 (($ $) 22))) 
-(((-502 |#1|) (-10 -8 (-15 -3538 (|#1| |#1|)) (-15 -3551 (|#1| |#1|)) (-15 -3565 (|#1| |#1|)) (-15 -3559 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|))) (-503)) (T -502)) 
-NIL 
-(-10 -8 (-15 -3538 (|#1| |#1|)) (-15 -3551 (|#1| |#1|)) (-15 -3565 (|#1| |#1|)) (-15 -3559 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|))) 
-((-3544 (($ $) 11)) (-3530 (($ $) 10)) (-3559 (($ $) 9)) (-3565 (($ $) 8)) (-3551 (($ $) 7)) (-3538 (($ $) 6))) 
-(((-503) (-1284)) (T -503)) 
-((-3544 (*1 *1 *1) (-4 *1 (-503))) (-3530 (*1 *1 *1) (-4 *1 (-503))) (-3559 (*1 *1 *1) (-4 *1 (-503))) (-3565 (*1 *1 *1) (-4 *1 (-503))) (-3551 (*1 *1 *1) (-4 *1 (-503))) (-3538 (*1 *1 *1) (-4 *1 (-503)))) 
-(-13 (-10 -8 (-15 -3538 ($ $)) (-15 -3551 ($ $)) (-15 -3565 ($ $)) (-15 -3559 ($ $)) (-15 -3530 ($ $)) (-15 -3544 ($ $)))) 
-((-3139 (((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)) 42))) 
-(((-504 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)))) (-366) (-1228 |#1|) (-13 (-366) (-151) (-716 |#1| |#2|)) (-1228 |#3|)) (T -504)) 
-((-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-4 *7 (-13 (-366) (-151) (-716 *5 *6))) (-5 *2 (-421 *3)) (-5 *1 (-504 *5 *6 *7 *3)) (-4 *3 (-1228 *7))))) 
-(-10 -7 (-15 -3139 ((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)))) 
-((-1310 (((-121) $ $) NIL)) (-3298 (((-635 $) (-1161 $) (-1165)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-955 $)) NIL)) (-2309 (($ (-1161 $) (-1165)) NIL) (($ (-1161 $)) NIL) (($ (-955 $)) NIL)) (-2225 (((-121) $) 36)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-4415 (((-121) $ $) 62)) (-4320 (((-635 (-608 $)) $) 46)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1645 (((-635 $) (-1161 $) (-1165)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-955 $)) NIL)) (-2306 (($ (-1161 $) (-1165)) NIL) (($ (-1161 $)) NIL) (($ (-955 $)) NIL)) (-3003 (((-3 (-608 $) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-1321 (((-608 $) $) NIL) (((-569) $) NIL) (((-410 (-569)) $) 48)) (-1614 (($ $ $) NIL)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-410 (-569)))) (|:| |vec| (-1253 (-410 (-569))))) (-681 $) (-1253 $)) NIL) (((-681 (-410 (-569))) (-681 $)) NIL)) (-2793 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2674 (($ $) NIL) (($ (-635 $)) NIL)) (-1367 (((-635 (-123)) $) NIL)) (-1344 (((-123) (-123)) NIL)) (-3934 (((-121) $) 39)) (-3520 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-3515 (((-1116 (-569) (-608 $)) $) 34)) (-2522 (($ $ (-569)) NIL)) (-3046 (((-1161 $) (-1161 $) (-608 $)) 77) (((-1161 $) (-1161 $) (-635 (-608 $))) 53) (($ $ (-608 $)) 66) (($ $ (-635 (-608 $))) 67)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2387 (((-1161 $) (-608 $)) 64 (|has| $ (-1049)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 $ $) (-608 $)) NIL)) (-3277 (((-3 (-608 $) "failed") $) NIL)) (-1657 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3121 (((-635 (-608 $)) $) NIL)) (-3529 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-3845 (((-121) $ (-123)) NIL) (((-121) $ (-1165)) NIL)) (-3243 (($ $) NIL)) (-1468 (((-765) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2400 (((-121) $ $) NIL) (((-121) $ (-1165)) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2061 (((-765) $) NIL)) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2454 (($ $) NIL) (($ $ $) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) 33)) (-3524 (((-1116 (-569) (-608 $)) $) 17)) (-3036 (($ $) NIL (|has| $ (-1049)))) (-4035 (((-382) $) 91) (((-216) $) 99) (((-170 (-382)) $) 107)) (-3956 (((-852) $) NIL) (($ (-608 $)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-1116 (-569) (-608 $))) 18)) (-2320 (((-765)) NIL)) (-2856 (($ $) NIL) (($ (-635 $)) NIL)) (-3791 (((-121) (-123)) 83)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-569)) NIL) (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) 9 T CONST)) (-3297 (($) 19 T CONST)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 21)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1383 (($ $ $) 41)) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-410 (-569))) NIL) (($ $ (-569)) 44) (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ $ $) 24) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL))) 
-(((-505) (-13 (-297) (-27) (-1039 (-569)) (-1039 (-410 (-569))) (-631 (-569)) (-1023) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -3956 ($ (-1116 (-569) (-608 $)))) (-15 -3515 ((-1116 (-569) (-608 $)) $)) (-15 -3524 ((-1116 (-569) (-608 $)) $)) (-15 -2793 ($ $)) (-15 -4415 ((-121) $ $)) (-15 -3046 ((-1161 $) (-1161 $) (-608 $))) (-15 -3046 ((-1161 $) (-1161 $) (-635 (-608 $)))) (-15 -3046 ($ $ (-608 $))) (-15 -3046 ($ $ (-635 (-608 $))))))) (T -505)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-3515 (*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-3524 (*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-2793 (*1 *1 *1) (-5 *1 (-505))) (-4415 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-505)))) (-3046 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-505))) (-5 *3 (-608 (-505))) (-5 *1 (-505)))) (-3046 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-505))) (-5 *3 (-635 (-608 (-505)))) (-5 *1 (-505)))) (-3046 (*1 *1 *1 *2) (-12 (-5 *2 (-608 (-505))) (-5 *1 (-505)))) (-3046 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-505)))) (-5 *1 (-505))))) 
-(-13 (-297) (-27) (-1039 (-569)) (-1039 (-410 (-569))) (-631 (-569)) (-1023) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -3956 ($ (-1116 (-569) (-608 $)))) (-15 -3515 ((-1116 (-569) (-608 $)) $)) (-15 -3524 ((-1116 (-569) (-608 $)) $)) (-15 -2793 ($ $)) (-15 -4415 ((-121) $ $)) (-15 -3046 ((-1161 $) (-1161 $) (-608 $))) (-15 -3046 ((-1161 $) (-1161 $) (-635 (-608 $)))) (-15 -3046 ($ $ (-608 $))) (-15 -3046 ($ $ (-635 (-608 $)))))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) 25 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 22 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 21)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 14)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 12 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) 23 (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 16 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 17) (($ (-1 |#1| |#1| |#1|) $ $) 19)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) 10 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 13)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 24) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) 9 (|has| $ (-6 -4571))))) 
-(((-506 |#1| |#2|) (-19 |#1|) (-1199) (-569)) (T -506)) 
+((-2974 (((-571) (-637 (-571))) 28)) (-3501 ((|#1| (-637 |#1|)) 56)) (-2805 (((-637 |#1|) (-637 |#1|)) 57)) (-4028 (((-637 |#1|) (-637 |#1|)) 59)) (-3026 ((|#1| (-637 |#1|)) 58)) (-4189 (((-637 (-571)) (-637 |#1|)) 31))) 
+(((-499 |#1|) (-10 -7 (-15 -3026 (|#1| (-637 |#1|))) (-15 -3501 (|#1| (-637 |#1|))) (-15 -4028 ((-637 |#1|) (-637 |#1|))) (-15 -2805 ((-637 |#1|) (-637 |#1|))) (-15 -4189 ((-637 (-571)) (-637 |#1|))) (-15 -2974 ((-571) (-637 (-571))))) (-1233 (-571))) (T -499)) 
+((-2974 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-571)) (-5 *1 (-499 *4)) (-4 *4 (-1233 *2)))) (-4189 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1233 (-571))) (-5 *2 (-637 (-571))) (-5 *1 (-499 *4)))) (-2805 (*1 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1233 (-571))) (-5 *1 (-499 *3)))) (-4028 (*1 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1233 (-571))) (-5 *1 (-499 *3)))) (-3501 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-5 *1 (-499 *2)) (-4 *2 (-1233 (-571))))) (-3026 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-5 *1 (-499 *2)) (-4 *2 (-1233 (-571)))))) 
+(-10 -7 (-15 -3026 (|#1| (-637 |#1|))) (-15 -3501 (|#1| (-637 |#1|))) (-15 -4028 ((-637 |#1|) (-637 |#1|))) (-15 -2805 ((-637 |#1|) (-637 |#1|))) (-15 -4189 ((-637 (-571)) (-637 |#1|))) (-15 -2974 ((-571) (-637 (-571))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1533 (((-571) $) NIL (|has| (-571) (-302)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL (|has| (-571) (-820)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL (|has| (-571) (-1043 (-1169)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| (-571) (-1043 (-571)))) (((-3 (-571) "failed") $) NIL (|has| (-571) (-1043 (-571))))) (-1316 (((-571) $) NIL) (((-1169) $) NIL (|has| (-571) (-1043 (-1169)))) (((-412 (-571)) $) NIL (|has| (-571) (-1043 (-571)))) (((-571) $) NIL (|has| (-571) (-1043 (-571))))) (-2162 (($ $ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| (-571) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| (-571) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-684 (-571)) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-571) (-553)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2093 (((-121) $) NIL (|has| (-571) (-820)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| (-571) (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| (-571) (-886 (-384))))) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL)) (-4474 (((-571) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| (-571) (-1143)))) (-4086 (((-121) $) NIL (|has| (-571) (-820)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-571) (-847)))) (-3799 (($ (-1 (-571) (-571)) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-571) (-1143)) CONST)) (-3130 (($ (-412 (-571))) 8)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL (|has| (-571) (-302))) (((-412 (-571)) $) NIL)) (-3955 (((-571) $) NIL (|has| (-571) (-553)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4483 (($ $ (-637 (-571)) (-637 (-571))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-571) (-571)) NIL (|has| (-571) (-304 (-571)))) (($ $ (-289 (-571))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-637 (-289 (-571)))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-637 (-1169)) (-637 (-571))) NIL (|has| (-571) (-526 (-1169) (-571)))) (($ $ (-1169) (-571)) NIL (|has| (-571) (-526 (-1169) (-571))))) (-1826 (((-768) $) NIL)) (-3245 (($ $ (-571)) NIL (|has| (-571) (-282 (-571) (-571))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $) NIL (|has| (-571) (-226))) (($ $ (-768)) NIL (|has| (-571) (-226))) (($ $ (-1169)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1 (-571) (-571)) (-768)) NIL) (($ $ (-1 (-571) (-571))) NIL)) (-3777 (($ $) NIL)) (-4479 (((-571) $) NIL)) (-4050 (((-892 (-571)) $) NIL (|has| (-571) (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| (-571) (-612 (-892 (-384))))) (((-544) $) NIL (|has| (-571) (-612 (-544)))) (((-384) $) NIL (|has| (-571) (-1027))) (((-216) $) NIL (|has| (-571) (-1027)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| (-571) (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) 7) (($ (-571)) NIL) (($ (-1169)) NIL (|has| (-571) (-1043 (-1169)))) (((-412 (-571)) $) NIL) (((-1010 16) $) 9)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-571) (-909))) (|has| (-571) (-149))))) (-2661 (((-768)) NIL)) (-2325 (((-571) $) NIL (|has| (-571) (-553)))) (-1388 (((-121) $ $) NIL)) (-1902 (($ $) NIL (|has| (-571) (-820)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $) NIL (|has| (-571) (-226))) (($ $ (-768)) NIL (|has| (-571) (-226))) (($ $ (-1169)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1 (-571) (-571)) (-768)) NIL) (($ $ (-1 (-571) (-571))) NIL)) (-1350 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1379 (($ $ $) NIL) (($ (-571) (-571)) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ (-571) $) NIL) (($ $ (-571)) NIL))) 
+(((-500) (-13 (-999 (-571)) (-10 -8 (-15 -3942 ((-412 (-571)) $)) (-15 -3942 ((-1010 16) $)) (-15 -3762 ((-412 (-571)) $)) (-15 -3130 ($ (-412 (-571))))))) (T -500)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-500)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1010 16)) (-5 *1 (-500)))) (-3762 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-500)))) (-3130 (*1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-500))))) 
+(-13 (-999 (-571)) (-10 -8 (-15 -3942 ((-412 (-571)) $)) (-15 -3942 ((-1010 16) $)) (-15 -3762 ((-412 (-571)) $)) (-15 -3130 ($ (-412 (-571)))))) 
+((-3488 (((-637 |#2|) $) 22)) (-3303 (((-121) |#2| $) 27)) (-3160 (((-121) (-1 (-121) |#2|) $) 20)) (-4483 (($ $ (-637 (-289 |#2|))) 12) (($ $ (-289 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-637 |#2|) (-637 |#2|)) NIL)) (-1569 (((-768) (-1 (-121) |#2|) $) 21) (((-768) |#2| $) 25)) (-3942 (((-855) $) 36)) (-3027 (((-121) (-1 (-121) |#2|) $) 19)) (-1323 (((-121) $ $) 30)) (-4001 (((-768) $) 16))) 
+(((-501 |#1| |#2|) (-10 -8 (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -4483 (|#1| |#1| (-637 |#2|) (-637 |#2|))) (-15 -4483 (|#1| |#1| |#2| |#2|)) (-15 -4483 (|#1| |#1| (-289 |#2|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#2|)))) (-15 -3303 ((-121) |#2| |#1|)) (-15 -1569 ((-768) |#2| |#1|)) (-15 -3488 ((-637 |#2|) |#1|)) (-15 -1569 ((-768) (-1 (-121) |#2|) |#1|)) (-15 -3160 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4001 ((-768) |#1|))) (-502 |#2|) (-1203)) (T -501)) 
+NIL 
+(-10 -8 (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -4483 (|#1| |#1| (-637 |#2|) (-637 |#2|))) (-15 -4483 (|#1| |#1| |#2| |#2|)) (-15 -4483 (|#1| |#1| (-289 |#2|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#2|)))) (-15 -3303 ((-121) |#2| |#1|)) (-15 -1569 ((-768) |#2| |#1|)) (-15 -3488 ((-637 |#2|) |#1|)) (-15 -1569 ((-768) (-1 (-121) |#2|) |#1|)) (-15 -3160 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4001 ((-768) |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) 8)) (-2269 (($) 7 T CONST)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-502 |#1|) (-1289) (-1203)) (T -502)) 
+((-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-502 *3)) (-4 *3 (-1203)))) (-1923 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4601)) (-4 *1 (-502 *3)) (-4 *3 (-1203)))) (-3027 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4600)) (-4 *1 (-502 *4)) (-4 *4 (-1203)) (-5 *2 (-121)))) (-3160 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4600)) (-4 *1 (-502 *4)) (-4 *4 (-1203)) (-5 *2 (-121)))) (-1569 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4600)) (-4 *1 (-502 *4)) (-4 *4 (-1203)) (-5 *2 (-768)))) (-4034 (*1 *2 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-502 *3)) (-4 *3 (-1203)) (-5 *2 (-637 *3)))) (-3488 (*1 *2 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-502 *3)) (-4 *3 (-1203)) (-5 *2 (-637 *3)))) (-1569 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-502 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-768)))) (-3303 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-502 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-121))))) 
+(-13 (-39) (-10 -8 (IF (|has| |t#1| (-1097)) (-6 (-1097)) |noBranch|) (IF (|has| |t#1| (-1097)) (IF (|has| |t#1| (-304 |t#1|)) (-6 (-304 |t#1|)) |noBranch|) |noBranch|) (-15 -3799 ($ (-1 |t#1| |t#1|) $)) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |t#1| |t#1|) $)) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3027 ((-121) (-1 (-121) |t#1|) $)) (-15 -3160 ((-121) (-1 (-121) |t#1|) $)) (-15 -1569 ((-768) (-1 (-121) |t#1|) $)) (-15 -4034 ((-637 |t#1|) $)) (-15 -3488 ((-637 |t#1|) $)) (IF (|has| |t#1| (-1097)) (PROGN (-15 -1569 ((-768) |t#1| $)) (-15 -3303 ((-121) |t#1| $))) |noBranch|)) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3547 (((-1151) (-855)) 40)) (-2406 (((-1263) (-1151)) 29)) (-3625 (((-1151) (-855)) 25)) (-3126 (((-1151) (-855)) 26)) (-3942 (((-855) $) NIL) (((-1151) (-855)) 24)) (-1323 (((-121) $ $) NIL))) 
+(((-503) (-13 (-1097) (-10 -7 (-15 -3942 ((-1151) (-855))) (-15 -3625 ((-1151) (-855))) (-15 -3126 ((-1151) (-855))) (-15 -3547 ((-1151) (-855))) (-15 -2406 ((-1263) (-1151)))))) (T -503)) 
+((-3942 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-503)))) (-3625 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-503)))) (-3126 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-503)))) (-3547 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-503)))) (-2406 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-503))))) 
+(-13 (-1097) (-10 -7 (-15 -3942 ((-1151) (-855))) (-15 -3625 ((-1151) (-855))) (-15 -3126 ((-1151) (-855))) (-15 -3547 ((-1151) (-855))) (-15 -2406 ((-1263) (-1151))))) 
+((-4255 (($ $) 15)) (-4243 (($ $) 24)) (-4266 (($ $) 12)) (-4273 (($ $) 10)) (-4260 (($ $) 17)) (-4249 (($ $) 22))) 
+(((-504 |#1|) (-10 -8 (-15 -4249 (|#1| |#1|)) (-15 -4260 (|#1| |#1|)) (-15 -4273 (|#1| |#1|)) (-15 -4266 (|#1| |#1|)) (-15 -4243 (|#1| |#1|)) (-15 -4255 (|#1| |#1|))) (-505)) (T -504)) 
+NIL 
+(-10 -8 (-15 -4249 (|#1| |#1|)) (-15 -4260 (|#1| |#1|)) (-15 -4273 (|#1| |#1|)) (-15 -4266 (|#1| |#1|)) (-15 -4243 (|#1| |#1|)) (-15 -4255 (|#1| |#1|))) 
+((-4255 (($ $) 11)) (-4243 (($ $) 10)) (-4266 (($ $) 9)) (-4273 (($ $) 8)) (-4260 (($ $) 7)) (-4249 (($ $) 6))) 
+(((-505) (-1289)) (T -505)) 
+((-4255 (*1 *1 *1) (-4 *1 (-505))) (-4243 (*1 *1 *1) (-4 *1 (-505))) (-4266 (*1 *1 *1) (-4 *1 (-505))) (-4273 (*1 *1 *1) (-4 *1 (-505))) (-4260 (*1 *1 *1) (-4 *1 (-505))) (-4249 (*1 *1 *1) (-4 *1 (-505)))) 
+(-13 (-10 -8 (-15 -4249 ($ $)) (-15 -4260 ($ $)) (-15 -4273 ($ $)) (-15 -4266 ($ $)) (-15 -4243 ($ $)) (-15 -4255 ($ $)))) 
+((-4262 (((-423 |#4|) |#4| (-1 (-423 |#2|) |#2|)) 42))) 
+(((-506 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4262 ((-423 |#4|) |#4| (-1 (-423 |#2|) |#2|)))) (-367) (-1233 |#1|) (-13 (-367) (-151) (-719 |#1| |#2|)) (-1233 |#3|)) (T -506)) 
+((-4262 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-423 *6) *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-4 *7 (-13 (-367) (-151) (-719 *5 *6))) (-5 *2 (-423 *3)) (-5 *1 (-506 *5 *6 *7 *3)) (-4 *3 (-1233 *7))))) 
+(-10 -7 (-15 -4262 ((-423 |#4|) |#4| (-1 (-423 |#2|) |#2|)))) 
+((-2234 (((-121) $ $) NIL)) (-1657 (((-637 $) (-1165 $) (-1169)) NIL) (((-637 $) (-1165 $)) NIL) (((-637 $) (-958 $)) NIL)) (-2025 (($ (-1165 $) (-1169)) NIL) (($ (-1165 $)) NIL) (($ (-958 $)) NIL)) (-4123 (((-121) $) 36)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3262 (((-121) $ $) 62)) (-4121 (((-637 (-610 $)) $) 46)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1448 (($ $ (-289 $)) NIL) (($ $ (-637 (-289 $))) NIL) (($ $ (-637 (-610 $)) (-637 $)) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-4158 (($ $) NIL)) (-1295 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-1738 (((-637 $) (-1165 $) (-1169)) NIL) (((-637 $) (-1165 $)) NIL) (((-637 $) (-958 $)) NIL)) (-2553 (($ (-1165 $) (-1169)) NIL) (($ (-1165 $)) NIL) (($ (-958 $)) NIL)) (-3337 (((-3 (-610 $) "failed") $) NIL) (((-3 (-571) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL)) (-1316 (((-610 $) $) NIL) (((-571) $) NIL) (((-412 (-571)) $) 48)) (-2162 (($ $ $) NIL)) (-2680 (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-684 (-571)) (-684 $)) NIL) (((-2 (|:| -3533 (-684 (-412 (-571)))) (|:| |vec| (-1258 (-412 (-571))))) (-684 $) (-1258 $)) NIL) (((-684 (-412 (-571))) (-684 $)) NIL)) (-3074 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2122 (($ $) NIL) (($ (-637 $)) NIL)) (-3645 (((-637 (-123)) $) NIL)) (-3513 (((-123) (-123)) NIL)) (-2583 (((-121) $) 39)) (-4329 (((-121) $) NIL (|has| $ (-1043 (-571))))) (-4474 (((-1120 (-571) (-610 $)) $) 34)) (-3549 (($ $ (-571)) NIL)) (-3477 (((-1165 $) (-1165 $) (-610 $)) 77) (((-1165 $) (-1165 $) (-637 (-610 $))) 53) (($ $ (-610 $)) 66) (($ $ (-637 (-610 $))) 67)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4286 (((-1165 $) (-610 $)) 64 (|has| $ (-1053)))) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3799 (($ (-1 $ $) (-610 $)) NIL)) (-1359 (((-3 (-610 $) "failed") $) NIL)) (-1622 (($ (-637 $)) NIL) (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-4251 (((-637 (-610 $)) $) NIL)) (-4485 (($ (-123) $) NIL) (($ (-123) (-637 $)) NIL)) (-3340 (((-121) $ (-123)) NIL) (((-121) $ (-1169)) NIL)) (-4315 (($ $) NIL)) (-1454 (((-768) $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ (-637 $)) NIL) (($ $ $) NIL)) (-4348 (((-121) $ $) NIL) (((-121) $ (-1169)) NIL)) (-4262 (((-423 $) $) NIL)) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2385 (((-121) $) NIL (|has| $ (-1043 (-571))))) (-4483 (($ $ (-610 $) $) NIL) (($ $ (-637 (-610 $)) (-637 $)) NIL) (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-1169) (-1 $ (-637 $))) NIL) (($ $ (-1169) (-1 $ $)) NIL) (($ $ (-637 (-123)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-123)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-123) (-1 $ (-637 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-1826 (((-768) $) NIL)) (-3245 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-637 $)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-4543 (($ $) NIL) (($ $ $) NIL)) (-3096 (($ $ (-768)) NIL) (($ $) 33)) (-4479 (((-1120 (-571) (-610 $)) $) 17)) (-3413 (($ $) NIL (|has| $ (-1053)))) (-4050 (((-384) $) 91) (((-216) $) 99) (((-170 (-384)) $) 107)) (-3942 (((-855) $) NIL) (($ (-610 $)) NIL) (($ (-412 (-571))) NIL) (($ $) NIL) (($ (-571)) NIL) (($ (-1120 (-571) (-610 $))) 18)) (-2661 (((-768)) NIL)) (-4449 (($ $) NIL) (($ (-637 $)) NIL)) (-3090 (((-121) (-123)) 83)) (-1388 (((-121) $ $) NIL)) (-4142 (($ $ (-571)) NIL) (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (-2369 (($) 9 T CONST)) (-3222 (($) 19 T CONST)) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 21)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1379 (($ $ $) 41)) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-412 (-571))) NIL) (($ $ (-571)) 44) (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (* (($ (-412 (-571)) $) NIL) (($ $ (-412 (-571))) NIL) (($ $ $) 24) (($ (-571) $) NIL) (($ (-768) $) NIL) (($ (-922) $) NIL))) 
+(((-507) (-13 (-297) (-27) (-1043 (-571)) (-1043 (-412 (-571))) (-633 (-571)) (-1027) (-633 (-412 (-571))) (-151) (-612 (-170 (-384))) (-226) (-10 -8 (-15 -3942 ($ (-1120 (-571) (-610 $)))) (-15 -4474 ((-1120 (-571) (-610 $)) $)) (-15 -4479 ((-1120 (-571) (-610 $)) $)) (-15 -3074 ($ $)) (-15 -3262 ((-121) $ $)) (-15 -3477 ((-1165 $) (-1165 $) (-610 $))) (-15 -3477 ((-1165 $) (-1165 $) (-637 (-610 $)))) (-15 -3477 ($ $ (-610 $))) (-15 -3477 ($ $ (-637 (-610 $))))))) (T -507)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1120 (-571) (-610 (-507)))) (-5 *1 (-507)))) (-4474 (*1 *2 *1) (-12 (-5 *2 (-1120 (-571) (-610 (-507)))) (-5 *1 (-507)))) (-4479 (*1 *2 *1) (-12 (-5 *2 (-1120 (-571) (-610 (-507)))) (-5 *1 (-507)))) (-3074 (*1 *1 *1) (-5 *1 (-507))) (-3262 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-507)))) (-3477 (*1 *2 *2 *3) (-12 (-5 *2 (-1165 (-507))) (-5 *3 (-610 (-507))) (-5 *1 (-507)))) (-3477 (*1 *2 *2 *3) (-12 (-5 *2 (-1165 (-507))) (-5 *3 (-637 (-610 (-507)))) (-5 *1 (-507)))) (-3477 (*1 *1 *1 *2) (-12 (-5 *2 (-610 (-507))) (-5 *1 (-507)))) (-3477 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-610 (-507)))) (-5 *1 (-507))))) 
+(-13 (-297) (-27) (-1043 (-571)) (-1043 (-412 (-571))) (-633 (-571)) (-1027) (-633 (-412 (-571))) (-151) (-612 (-170 (-384))) (-226) (-10 -8 (-15 -3942 ($ (-1120 (-571) (-610 $)))) (-15 -4474 ((-1120 (-571) (-610 $)) $)) (-15 -4479 ((-1120 (-571) (-610 $)) $)) (-15 -3074 ($ $)) (-15 -3262 ((-121) $ $)) (-15 -3477 ((-1165 $) (-1165 $) (-610 $))) (-15 -3477 ((-1165 $) (-1165 $) (-637 (-610 $)))) (-15 -3477 ($ $ (-610 $))) (-15 -3477 ($ $ (-637 (-610 $)))))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-571) |#1|) 25 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) 22 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 21)) (-3984 (((-571) (-1 (-121) |#1|) $) NIL) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097)))) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-1364 (($ (-768) |#1|) 14)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 12 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) 23 (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 16 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 17) (($ (-1 |#1| |#1| |#1|) $ $) 19)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1827 ((|#1| $) NIL (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) 10 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 13)) (-3245 ((|#1| $ (-571) |#1|) NIL) ((|#1| $ (-571)) 24) (($ $ (-1224 (-571))) NIL)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) NIL)) (-4498 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-4001 (((-768) $) 9 (|has| $ (-6 -4600))))) 
+(((-508 |#1| |#2|) (-19 |#1|) (-1203) (-571)) (T -508)) 
 NIL 
 (-19 |#1|) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) NIL)) (-3890 (($ $ (-569) (-506 |#1| |#3|)) NIL)) (-1622 (($ $ (-569) (-506 |#1| |#2|)) NIL)) (-4483 (($) NIL T CONST)) (-4128 (((-506 |#1| |#3|) $ (-569)) NIL)) (-3982 ((|#1| $ (-569) (-569) |#1|) NIL)) (-4124 ((|#1| $ (-569) (-569)) NIL)) (-4303 (((-635 |#1|) $) NIL)) (-3568 (((-765) $) NIL)) (-2446 (($ (-765) (-765) |#1|) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-2349 (((-506 |#1| |#2|) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-507 |#1| |#2| |#3|) (-62 |#1| (-506 |#1| |#3|) (-506 |#1| |#2|)) (-1199) (-569) (-569)) (T -507)) 
-NIL 
-(-62 |#1| (-506 |#1| |#3|) (-506 |#1| |#2|)) 
-((-1835 (((-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-765) (-765)) 27)) (-4181 (((-635 (-1161 |#1|)) |#1| (-765) (-765) (-765)) 34)) (-2719 (((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-635 |#3|) (-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-765)) 83))) 
-(((-508 |#1| |#2| |#3|) (-10 -7 (-15 -4181 ((-635 (-1161 |#1|)) |#1| (-765) (-765) (-765))) (-15 -1835 ((-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-765) (-765))) (-15 -2719 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-635 |#3|) (-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-765)))) (-351) (-1228 |#1|) (-1228 |#2|)) (T -508)) 
-((-2719 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-2 (|:| -4079 (-681 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-681 *7))))) (-5 *5 (-765)) (-4 *8 (-1228 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-351)) (-5 *2 (-2 (|:| -4079 (-681 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-681 *7)))) (-5 *1 (-508 *6 *7 *8)))) (-1835 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-4 *5 (-351)) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -4079 (-681 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-681 *6))))) (-5 *1 (-508 *5 *6 *7)) (-5 *3 (-2 (|:| -4079 (-681 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-681 *6)))) (-4 *7 (-1228 *6)))) (-4181 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-765)) (-4 *3 (-351)) (-4 *5 (-1228 *3)) (-5 *2 (-635 (-1161 *3))) (-5 *1 (-508 *3 *5 *6)) (-4 *6 (-1228 *5))))) 
-(-10 -7 (-15 -4181 ((-635 (-1161 |#1|)) |#1| (-765) (-765) (-765))) (-15 -1835 ((-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-765) (-765))) (-15 -2719 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-635 |#3|) (-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-765)))) 
-((-1534 (((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|)))) 60)) (-3492 ((|#1| (-681 |#1|) |#1| (-765)) 25)) (-4449 (((-765) (-765) (-765)) 30)) (-2661 (((-681 |#1|) (-681 |#1|) (-681 |#1|)) 42)) (-1602 (((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|) 50) (((-681 |#1|) (-681 |#1|) (-681 |#1|)) 47)) (-2441 ((|#1| (-681 |#1|) (-681 |#1|) |#1| (-569)) 29)) (-4517 ((|#1| (-681 |#1|)) 18))) 
-(((-509 |#1| |#2| |#3|) (-10 -7 (-15 -4517 (|#1| (-681 |#1|))) (-15 -3492 (|#1| (-681 |#1|) |#1| (-765))) (-15 -2441 (|#1| (-681 |#1|) (-681 |#1|) |#1| (-569))) (-15 -4449 ((-765) (-765) (-765))) (-15 -1602 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -1602 ((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|)) (-15 -2661 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -1534 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|)))))) (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $)))) (-1228 |#1|) (-412 |#1| |#2|)) (T -509)) 
-((-1534 (*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-2661 (*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-1602 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-1602 (*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-4449 (*1 *2 *2 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-2441 (*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-681 *2)) (-5 *4 (-569)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *5 (-1228 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5)))) (-3492 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-681 *2)) (-5 *4 (-765)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *5 (-1228 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5)))) (-4517 (*1 *2 *3) (-12 (-5 *3 (-681 *2)) (-4 *4 (-1228 *2)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-5 *1 (-509 *2 *4 *5)) (-4 *5 (-412 *2 *4))))) 
-(-10 -7 (-15 -4517 (|#1| (-681 |#1|))) (-15 -3492 (|#1| (-681 |#1|) |#1| (-765))) (-15 -2441 (|#1| (-681 |#1|) (-681 |#1|) |#1| (-569))) (-15 -4449 ((-765) (-765) (-765))) (-15 -1602 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -1602 ((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|)) (-15 -2661 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -1534 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|)))))) 
-((-1310 (((-121) $ $) NIL)) (-1771 (($ $) NIL)) (-1800 (($ $ $) 35)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) $) NIL (|has| (-121) (-844))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-1744 (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-121) (-844)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4572)))) (-2930 (($ $) NIL (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-121) $ (-1219 (-569)) (-121)) NIL (|has| $ (-6 -4572))) (((-121) $ (-569) (-121)) 36 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-3503 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-2793 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-3982 (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4572)))) (-4124 (((-121) $ (-569)) NIL)) (-3988 (((-569) (-121) $ (-569)) NIL (|has| (-121) (-1093))) (((-569) (-121) $) NIL (|has| (-121) (-1093))) (((-569) (-1 (-121) (-121)) $) NIL)) (-4303 (((-635 (-121)) $) NIL (|has| $ (-6 -4571)))) (-2472 (($ $ $) 33)) (-3182 (($ $) NIL)) (-2327 (($ $ $) NIL)) (-2446 (($ (-765) (-121)) 23)) (-1681 (($ $ $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 8 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL)) (-2102 (($ $ $) NIL (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-4457 (((-635 (-121)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL)) (-2089 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-121) (-121) (-121)) $ $) 30) (($ (-1 (-121) (-121)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ (-121) $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-121) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-2417 (($ $ (-121)) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-121)) (-635 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-289 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-635 (-289 (-121)))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-4283 (((-635 (-121)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 24)) (-2503 (($ $ (-1219 (-569))) NIL) (((-121) $ (-569)) 18) (((-121) $ (-569) (-121)) NIL)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2691 (((-765) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093)))) (((-765) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) 25)) (-4035 (((-542) $) NIL (|has| (-121) (-610 (-542))))) (-3124 (($ (-635 (-121))) NIL)) (-4456 (($ (-635 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-3956 (((-852) $) 22)) (-3776 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-3993 (($ $ $) 31)) (-3403 (($ $) NIL)) (-1294 (($ $ $) NIL)) (-3424 (($ $ $) 39)) (-3392 (($ $) 37)) (-2384 (($ $ $) 38)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 26)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 27)) (-1637 (($ $ $) NIL)) (-2946 (((-765) $) 10 (|has| $ (-6 -4571))))) 
-(((-510 |#1|) (-13 (-133) (-10 -8 (-15 -3392 ($ $)) (-15 -3424 ($ $ $)) (-15 -2384 ($ $ $)))) (-569)) (T -510)) 
-((-3392 (*1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) (-3424 (*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) (-2384 (*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569))))) 
-(-13 (-133) (-10 -8 (-15 -3392 ($ $)) (-15 -3424 ($ $ $)) (-15 -2384 ($ $ $)))) 
-((-3851 (((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1161 |#4|)) 34)) (-2607 (((-1161 |#4|) (-1 |#4| |#1|) |#2|) 30) ((|#2| (-1 |#1| |#4|) (-1161 |#4|)) 21)) (-3999 (((-3 (-681 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-681 (-1161 |#4|))) 45)) (-1825 (((-1161 (-1161 |#4|)) (-1 |#4| |#1|) |#3|) 54))) 
-(((-511 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2607 (|#2| (-1 |#1| |#4|) (-1161 |#4|))) (-15 -2607 ((-1161 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -3851 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1161 |#4|))) (-15 -3999 ((-3 (-681 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-681 (-1161 |#4|)))) (-15 -1825 ((-1161 (-1161 |#4|)) (-1 |#4| |#1|) |#3|))) (-1049) (-1228 |#1|) (-1228 |#2|) (-1049)) (T -511)) 
-((-1825 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *6 (-1228 *5)) (-5 *2 (-1161 (-1161 *7))) (-5 *1 (-511 *5 *6 *4 *7)) (-4 *4 (-1228 *6)))) (-3999 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-681 (-1161 *8))) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-1228 *5)) (-5 *2 (-681 *6)) (-5 *1 (-511 *5 *6 *7 *8)) (-4 *7 (-1228 *6)))) (-3851 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1161 *7)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1228 *2)))) (-2607 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *4 (-1228 *5)) (-5 *2 (-1161 *7)) (-5 *1 (-511 *5 *4 *6 *7)) (-4 *6 (-1228 *4)))) (-2607 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1161 *7)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1228 *2))))) 
-(-10 -7 (-15 -2607 (|#2| (-1 |#1| |#4|) (-1161 |#4|))) (-15 -2607 ((-1161 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -3851 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1161 |#4|))) (-15 -3999 ((-3 (-681 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-681 (-1161 |#4|)))) (-15 -1825 ((-1161 (-1161 |#4|)) (-1 |#4| |#1|) |#3|))) 
-((-1310 (((-121) $ $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2367 (((-1258) $) 18)) (-2503 (((-1147) $ (-1165)) 22)) (-2442 (((-1258) $) 14)) (-3956 (((-852) $) 20) (($ (-1147)) 19)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 8)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 7))) 
-(((-512) (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $)) (-15 -3956 ($ (-1147)))))) (T -512)) 
-((-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1147)) (-5 *1 (-512)))) (-2442 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-512)))) (-2367 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-512)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-512))))) 
-(-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $)) (-15 -3956 ($ (-1147))))) 
-((-3979 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) 19)) (-1644 ((|#1| |#4|) 10)) (-3247 ((|#3| |#4|) 17))) 
-(((-513 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1644 (|#1| |#4|)) (-15 -3247 (|#3| |#4|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) (-559) (-995 |#1|) (-376 |#1|) (-376 |#2|)) (T -513)) 
-((-3979 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-513 *4 *5 *6 *3)) (-4 *6 (-376 *4)) (-4 *3 (-376 *5)))) (-3247 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-4 *2 (-376 *4)) (-5 *1 (-513 *4 *5 *2 *3)) (-4 *3 (-376 *5)))) (-1644 (*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-513 *2 *4 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-376 *4))))) 
-(-10 -7 (-15 -1644 (|#1| |#4|)) (-15 -3247 (|#3| |#4|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) 
-((-1310 (((-121) $ $) NIL)) (-2086 (((-1165) $) NIL)) (-1578 (((-765) $) NIL)) (-1913 (((-1165) $ (-1165)) NIL)) (-1435 (((-765) $ (-765)) NIL)) (-1600 (((-968 |#1|) $ (-968 |#1|)) NIL)) (-1664 (((-765) $ (-765)) NIL)) (-1411 (((-33 |#1|) $ (-33 |#1|)) NIL)) (-1524 (((-635 (-776 |#1|)) $ (-635 (-776 |#1|))) NIL)) (-1755 (((-237 (-923 |#1|)) $ (-237 (-923 |#1|))) NIL)) (-4409 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $ (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) NIL)) (-3584 ((|#3| $ |#3|) NIL)) (-2440 (((-968 |#1|) $) NIL)) (-1359 (((-765) $) NIL)) (-3376 (((-33 |#1|) $) NIL)) (-4073 (((-635 (-776 |#1|)) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1804 (((-121) (-121)) NIL) (((-121)) NIL)) (-3795 (((-852) $) NIL)) (-1621 (((-237 (-923 |#1|)) $) NIL)) (-2284 (((-919) $) NIL)) (-1828 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $) NIL)) (-1896 (($ (-968 |#1|) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) (-765) |#3| (-765) (-237 (-923 |#1|)) |#1| (-1165)) NIL) (($ (-968 |#1|) (-243 |#2| |#1|)) NIL)) (-3956 (((-852) $) NIL)) (-4460 ((|#3| $) NIL)) (-2870 ((|#1| $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-514 |#1| |#2| |#3|) (-13 (-537 |#1| |#2| (-243 |#2| |#1|) (-233 (-2946 |#2|) (-765)) (-968 |#1|) (-776 |#1|) (-923 |#1|) (-237 (-923 |#1|)) |#3|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) (-366) (-635 (-1165)) (-117)) (T -514)) 
-((-3795 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1804 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1804 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(-13 (-537 |#1| |#2| (-243 |#2| |#1|) (-233 (-2946 |#2|) (-765)) (-968 |#1|) (-776 |#1|) (-923 |#1|) (-237 (-923 |#1|)) |#3|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) 
-((-1310 (((-121) $ $) NIL)) (-2595 (((-121) $ (-635 |#3|)) 101) (((-121) $) 102)) (-2225 (((-121) $) 144)) (-3749 (($ $ |#4|) 93) (($ $ |#4| (-635 |#3|)) 97)) (-1731 (((-1154 (-635 (-955 |#1|)) (-635 (-289 (-955 |#1|)))) (-635 |#4|)) 137 (|has| |#3| (-610 (-1165))))) (-3483 (($ $ $) 87) (($ $ |#4|) 85)) (-3934 (((-121) $) 143)) (-3013 (($ $) 105)) (-2605 (((-1147) $) NIL)) (-1433 (($ $ $) 79) (($ (-635 $)) 81)) (-2180 (((-121) |#4| $) 104)) (-1922 (((-121) $ $) 68)) (-2018 (($ (-635 |#4|)) 86)) (-1912 (((-1111) $) NIL)) (-1499 (($ (-635 |#4|)) 141)) (-2332 (((-121) $) 142)) (-4378 (($ $) 70)) (-4021 (((-635 |#4|) $) 55)) (-4321 (((-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|)) NIL)) (-2226 (((-121) |#4| $) 73)) (-2174 (((-569) $ (-635 |#3|)) 106) (((-569) $) 107)) (-3956 (((-852) $) 140) (($ (-635 |#4|)) 82)) (-3944 (($ (-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $))) NIL)) (-1326 (((-121) $ $) 69)) (-1371 (($ $ $) 89)) (** (($ $ (-765)) 92)) (* (($ $ $) 91))) 
-(((-515 |#1| |#2| |#3| |#4|) (-13 (-1093) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-765))) (-15 -1371 ($ $ $)) (-15 -3934 ((-121) $)) (-15 -2225 ((-121) $)) (-15 -2226 ((-121) |#4| $)) (-15 -1922 ((-121) $ $)) (-15 -2180 ((-121) |#4| $)) (-15 -2595 ((-121) $ (-635 |#3|))) (-15 -2595 ((-121) $)) (-15 -1433 ($ $ $)) (-15 -1433 ($ (-635 $))) (-15 -3483 ($ $ $)) (-15 -3483 ($ $ |#4|)) (-15 -4378 ($ $)) (-15 -4321 ((-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|))) (-15 -3944 ($ (-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $)))) (-15 -2174 ((-569) $ (-635 |#3|))) (-15 -2174 ((-569) $)) (-15 -3013 ($ $)) (-15 -2018 ($ (-635 |#4|))) (-15 -1499 ($ (-635 |#4|))) (-15 -2332 ((-121) $)) (-15 -4021 ((-635 |#4|) $)) (-15 -3956 ($ (-635 |#4|))) (-15 -3749 ($ $ |#4|)) (-15 -3749 ($ $ |#4| (-635 |#3|))) (IF (|has| |#3| (-610 (-1165))) (-15 -1731 ((-1154 (-635 (-955 |#1|)) (-635 (-289 (-955 |#1|)))) (-635 |#4|))) |noBranch|))) (-366) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -515)) 
-((* (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-1371 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-3934 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-2225 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-2226 (*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6)))) (-1922 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-2180 (*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6)))) (-2595 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6)))) (-2595 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-1433 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-1433 (*1 *1 *2) (-12 (-5 *2 (-635 (-515 *3 *4 *5 *6))) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-3483 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-3483 (*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5)))) (-4378 (*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-4321 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-2 (|:| |mval| (-681 *4)) (|:| |invmval| (-681 *4)) (|:| |genIdeal| (-515 *4 *5 *6 *7)))) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6)))) (-3944 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-681 *3)) (|:| |invmval| (-681 *3)) (|:| |genIdeal| (-515 *3 *4 *5 *6)))) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-2174 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-569)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6)))) (-2174 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-569)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-3013 (*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-2018 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)))) (-1499 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)))) (-2332 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-4021 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *6)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)))) (-3749 (*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5)))) (-3749 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *1 (-515 *4 *5 *6 *2)) (-4 *2 (-952 *4 *5 *6)))) (-1731 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *6 (-610 (-1165))) (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1154 (-635 (-955 *4)) (-635 (-289 (-955 *4))))) (-5 *1 (-515 *4 *5 *6 *7))))) 
-(-13 (-1093) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-765))) (-15 -1371 ($ $ $)) (-15 -3934 ((-121) $)) (-15 -2225 ((-121) $)) (-15 -2226 ((-121) |#4| $)) (-15 -1922 ((-121) $ $)) (-15 -2180 ((-121) |#4| $)) (-15 -2595 ((-121) $ (-635 |#3|))) (-15 -2595 ((-121) $)) (-15 -1433 ($ $ $)) (-15 -1433 ($ (-635 $))) (-15 -3483 ($ $ $)) (-15 -3483 ($ $ |#4|)) (-15 -4378 ($ $)) (-15 -4321 ((-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|))) (-15 -3944 ($ (-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $)))) (-15 -2174 ((-569) $ (-635 |#3|))) (-15 -2174 ((-569) $)) (-15 -3013 ($ $)) (-15 -2018 ($ (-635 |#4|))) (-15 -1499 ($ (-635 |#4|))) (-15 -2332 ((-121) $)) (-15 -4021 ((-635 |#4|) $)) (-15 -3956 ($ (-635 |#4|))) (-15 -3749 ($ $ |#4|)) (-15 -3749 ($ $ |#4| (-635 |#3|))) (IF (|has| |#3| (-610 (-1165))) (-15 -1731 ((-1154 (-635 (-955 |#1|)) (-635 (-289 (-955 |#1|)))) (-635 |#4|))) |noBranch|))) 
-((-2068 (((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) 144)) (-3169 (((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) 145)) (-3174 (((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) 103)) (-2005 (((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) NIL)) (-2527 (((-635 (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) 147)) (-3472 (((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-854 |#1|))) 159))) 
-(((-516 |#1| |#2|) (-10 -7 (-15 -2068 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3169 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2005 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3174 ((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2527 ((-635 (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3472 ((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-854 |#1|))))) (-635 (-1165)) (-765)) (T -516)) 
-((-3472 (*1 *2 *2 *3) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-5 *3 (-635 (-854 *4))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *1 (-516 *4 *5)))) (-2527 (*1 *2 *3) (-12 (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-635 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569)))))) (-5 *1 (-516 *4 *5)) (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))))) (-3174 (*1 *2 *2) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *4 (-765)) (-854 *3) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1165))) (-14 *4 (-765)) (-5 *1 (-516 *3 *4)))) (-2005 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) (-3169 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) (-2068 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
-(-10 -7 (-15 -2068 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3169 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2005 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3174 ((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2527 ((-635 (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3472 ((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-854 |#1|))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-3179 (($ |#1| |#2|) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4418 ((|#2| $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-2407 (($) 12 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) 11) (($ $ $) 23)) (-1371 (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 18))) 
-(((-517 |#1| |#2|) (-13 (-21) (-519 |#1| |#2|)) (-21) (-844)) (T -517)) 
-NIL 
-(-13 (-21) (-519 |#1| |#2|)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 12)) (-4483 (($) NIL T CONST)) (-3373 (($ $) 26)) (-3179 (($ |#1| |#2|) 23)) (-4188 (($ (-1 |#1| |#1|) $) 25)) (-4418 ((|#2| $) NIL)) (-3270 ((|#1| $) 27)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-2407 (($) 10 T CONST)) (-1326 (((-121) $ $) NIL)) (-1371 (($ $ $) 17)) (* (($ (-919) $) NIL) (($ (-765) $) 22))) 
-(((-518 |#1| |#2|) (-13 (-23) (-519 |#1| |#2|)) (-23) (-844)) (T -518)) 
-NIL 
-(-13 (-23) (-519 |#1| |#2|)) 
-((-1310 (((-121) $ $) 7)) (-3373 (($ $) 12)) (-3179 (($ |#1| |#2|) 15)) (-4188 (($ (-1 |#1| |#1|) $) 16)) (-4418 ((|#2| $) 13)) (-3270 ((|#1| $) 14)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
-(((-519 |#1| |#2|) (-1284) (-1093) (-844)) (T -519)) 
-((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-519 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-844)))) (-3179 (*1 *1 *2 *3) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-844)))) (-3270 (*1 *2 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *3 (-844)) (-4 *2 (-1093)))) (-4418 (*1 *2 *1) (-12 (-4 *1 (-519 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-844)))) (-3373 (*1 *1 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-844))))) 
-(-13 (-1093) (-10 -8 (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (-15 -3179 ($ |t#1| |t#2|)) (-15 -3270 (|t#1| $)) (-15 -4418 (|t#2| $)) (-15 -3373 ($ $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-3179 (($ |#1| |#2|) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4418 ((|#2| $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-2407 (($) NIL T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 13)) (-1371 (($ $ $) NIL)) (* (($ (-765) $) NIL) (($ (-919) $) NIL))) 
-(((-520 |#1| |#2|) (-13 (-789) (-519 |#1| |#2|)) (-789) (-844)) (T -520)) 
-NIL 
-(-13 (-789) (-519 |#1| |#2|)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4288 (($ $ $) 16)) (-3748 (((-3 $ "failed") $ $) 13)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-3179 (($ |#1| |#2|) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4418 ((|#2| $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-2407 (($) NIL T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-765) $) NIL) (($ (-919) $) NIL))) 
-(((-521 |#1| |#2|) (-13 (-790) (-519 |#1| |#2|)) (-790) (-844)) (T -521)) 
-NIL 
-(-13 (-790) (-519 |#1| |#2|)) 
-((-1310 (((-121) $ $) NIL)) (-3373 (($ $) 24)) (-3179 (($ |#1| |#2|) 21)) (-4188 (($ (-1 |#1| |#1|) $) 23)) (-4418 ((|#2| $) 26)) (-3270 ((|#1| $) 25)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 20)) (-1326 (((-121) $ $) 13))) 
-(((-522 |#1| |#2|) (-519 |#1| |#2|) (-1093) (-844)) (T -522)) 
-NIL 
-(-519 |#1| |#2|) 
-((-1484 (($ $ (-635 |#2|) (-635 |#3|)) NIL) (($ $ |#2| |#3|) 12))) 
-(((-523 |#1| |#2| |#3|) (-10 -8 (-15 -1484 (|#1| |#1| |#2| |#3|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#3|)))) (-524 |#2| |#3|) (-1093) (-1199)) (T -523)) 
-NIL 
-(-10 -8 (-15 -1484 (|#1| |#1| |#2| |#3|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#3|)))) 
-((-1484 (($ $ (-635 |#1|) (-635 |#2|)) 7) (($ $ |#1| |#2|) 6))) 
-(((-524 |#1| |#2|) (-1284) (-1093) (-1199)) (T -524)) 
-((-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *5)) (-4 *1 (-524 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1199)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-524 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1199))))) 
-(-13 (-10 -8 (-15 -1484 ($ $ |t#1| |t#2|)) (-15 -1484 ($ $ (-635 |t#1|) (-635 |t#2|))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 16)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))) $) 18)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-1906 ((|#1| $ (-569)) 23)) (-3244 ((|#2| $ (-569)) 21)) (-1648 (($ (-1 |#1| |#1|) $) 46)) (-1797 (($ (-1 |#2| |#2|) $) 43)) (-2605 (((-1147) $) NIL)) (-4046 (($ $ $) 53 (|has| |#2| (-789)))) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 42) (($ |#1|) NIL)) (-3802 ((|#2| |#1| $) 49)) (-2407 (($) 11 T CONST)) (-1326 (((-121) $ $) 29)) (-1371 (($ $ $) 27) (($ |#1| $) 25)) (* (($ (-919) $) NIL) (($ (-765) $) 36) (($ |#2| |#1|) 31))) 
-(((-525 |#1| |#2| |#3|) (-321 |#1| |#2|) (-1093) (-138) |#2|) (T -525)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-571) (-571) |#1|) NIL)) (-2071 (($ $ (-571) (-508 |#1| |#3|)) NIL)) (-1635 (($ $ (-571) (-508 |#1| |#2|)) NIL)) (-2269 (($) NIL T CONST)) (-4336 (((-508 |#1| |#3|) $ (-571)) NIL)) (-2922 ((|#1| $ (-571) (-571) |#1|) NIL)) (-4319 ((|#1| $ (-571) (-571)) NIL)) (-4034 (((-637 |#1|) $) NIL)) (-3673 (((-768) $) NIL)) (-1364 (($ (-768) (-768) |#1|) NIL)) (-3682 (((-768) $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1950 (((-571) $) NIL)) (-3325 (((-571) $) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4239 (((-571) $) NIL)) (-4395 (((-571) $) NIL)) (-1923 (($ (-1 |#1| |#1|) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-4411 (($ $ |#1|) NIL)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-571) (-571)) NIL) ((|#1| $ (-571) (-571) |#1|) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-2852 (((-508 |#1| |#2|) $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-509 |#1| |#2| |#3|) (-62 |#1| (-508 |#1| |#3|) (-508 |#1| |#2|)) (-1203) (-571) (-571)) (T -509)) 
+NIL 
+(-62 |#1| (-508 |#1| |#3|) (-508 |#1| |#2|)) 
+((-4092 (((-637 (-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|)))) (-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) (-768) (-768)) 27)) (-1293 (((-637 (-1165 |#1|)) |#1| (-768) (-768) (-768)) 34)) (-2419 (((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) (-637 |#3|) (-637 (-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|)))) (-768)) 83))) 
+(((-510 |#1| |#2| |#3|) (-10 -7 (-15 -1293 ((-637 (-1165 |#1|)) |#1| (-768) (-768) (-768))) (-15 -4092 ((-637 (-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|)))) (-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) (-768) (-768))) (-15 -2419 ((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) (-637 |#3|) (-637 (-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|)))) (-768)))) (-352) (-1233 |#1|) (-1233 |#2|)) (T -510)) 
+((-2419 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 (-2 (|:| -1899 (-684 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-684 *7))))) (-5 *5 (-768)) (-4 *8 (-1233 *7)) (-4 *7 (-1233 *6)) (-4 *6 (-352)) (-5 *2 (-2 (|:| -1899 (-684 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-684 *7)))) (-5 *1 (-510 *6 *7 *8)))) (-4092 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-768)) (-4 *5 (-352)) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-2 (|:| -1899 (-684 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-684 *6))))) (-5 *1 (-510 *5 *6 *7)) (-5 *3 (-2 (|:| -1899 (-684 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-684 *6)))) (-4 *7 (-1233 *6)))) (-1293 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-768)) (-4 *3 (-352)) (-4 *5 (-1233 *3)) (-5 *2 (-637 (-1165 *3))) (-5 *1 (-510 *3 *5 *6)) (-4 *6 (-1233 *5))))) 
+(-10 -7 (-15 -1293 ((-637 (-1165 |#1|)) |#1| (-768) (-768) (-768))) (-15 -4092 ((-637 (-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|)))) (-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) (-768) (-768))) (-15 -2419 ((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) (-637 |#3|) (-637 (-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|)))) (-768)))) 
+((-2532 (((-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))) (-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))) (-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|)))) 60)) (-2948 ((|#1| (-684 |#1|) |#1| (-768)) 25)) (-3441 (((-768) (-768) (-768)) 30)) (-2032 (((-684 |#1|) (-684 |#1|) (-684 |#1|)) 42)) (-1567 (((-684 |#1|) (-684 |#1|) (-684 |#1|) |#1|) 50) (((-684 |#1|) (-684 |#1|) (-684 |#1|)) 47)) (-4505 ((|#1| (-684 |#1|) (-684 |#1|) |#1| (-571)) 29)) (-2566 ((|#1| (-684 |#1|)) 18))) 
+(((-511 |#1| |#2| |#3|) (-10 -7 (-15 -2566 (|#1| (-684 |#1|))) (-15 -2948 (|#1| (-684 |#1|) |#1| (-768))) (-15 -4505 (|#1| (-684 |#1|) (-684 |#1|) |#1| (-571))) (-15 -3441 ((-768) (-768) (-768))) (-15 -1567 ((-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -1567 ((-684 |#1|) (-684 |#1|) (-684 |#1|) |#1|)) (-15 -2032 ((-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -2532 ((-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))) (-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))) (-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|)))))) (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $)))) (-1233 |#1|) (-414 |#1| |#2|)) (T -511)) 
+((-2532 (*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *1 (-511 *3 *4 *5)) (-4 *5 (-414 *3 *4)))) (-2032 (*1 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *1 (-511 *3 *4 *5)) (-4 *5 (-414 *3 *4)))) (-1567 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-684 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *1 (-511 *3 *4 *5)) (-4 *5 (-414 *3 *4)))) (-1567 (*1 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *1 (-511 *3 *4 *5)) (-4 *5 (-414 *3 *4)))) (-3441 (*1 *2 *2 *2) (-12 (-5 *2 (-768)) (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *1 (-511 *3 *4 *5)) (-4 *5 (-414 *3 *4)))) (-4505 (*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-684 *2)) (-5 *4 (-571)) (-4 *2 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *5 (-1233 *2)) (-5 *1 (-511 *2 *5 *6)) (-4 *6 (-414 *2 *5)))) (-2948 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-684 *2)) (-5 *4 (-768)) (-4 *2 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *5 (-1233 *2)) (-5 *1 (-511 *2 *5 *6)) (-4 *6 (-414 *2 *5)))) (-2566 (*1 *2 *3) (-12 (-5 *3 (-684 *2)) (-4 *4 (-1233 *2)) (-4 *2 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-5 *1 (-511 *2 *4 *5)) (-4 *5 (-414 *2 *4))))) 
+(-10 -7 (-15 -2566 (|#1| (-684 |#1|))) (-15 -2948 (|#1| (-684 |#1|) |#1| (-768))) (-15 -4505 (|#1| (-684 |#1|) (-684 |#1|) |#1| (-571))) (-15 -3441 ((-768) (-768) (-768))) (-15 -1567 ((-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -1567 ((-684 |#1|) (-684 |#1|) (-684 |#1|) |#1|)) (-15 -2032 ((-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -2532 ((-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))) (-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|))) (-2 (|:| -1899 (-684 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-684 |#1|)))))) 
+((-2234 (((-121) $ $) NIL)) (-1996 (($ $) NIL)) (-3917 (($ $ $) 35)) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) $) NIL (|has| (-121) (-847))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-3652 (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| (-121) (-847)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4601)))) (-2972 (($ $) NIL (|has| (-121) (-847))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-3251 (((-121) $ (-1224 (-571)) (-121)) NIL (|has| $ (-6 -4601))) (((-121) $ (-571) (-121)) 36 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-3412 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4600))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-3074 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-2922 (((-121) $ (-571) (-121)) NIL (|has| $ (-6 -4601)))) (-4319 (((-121) $ (-571)) NIL)) (-3984 (((-571) (-121) $ (-571)) NIL (|has| (-121) (-1097))) (((-571) (-121) $) NIL (|has| (-121) (-1097))) (((-571) (-1 (-121) (-121)) $) NIL)) (-4034 (((-637 (-121)) $) NIL (|has| $ (-6 -4600)))) (-2459 (($ $ $) 33)) (-2931 (($ $) NIL)) (-2708 (($ $ $) NIL)) (-1364 (($ (-768) (-121)) 23)) (-1878 (($ $ $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 8 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL)) (-3491 (($ $ $) NIL (|has| (-121) (-847))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-3488 (((-637 (-121)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL)) (-1923 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-121) (-121) (-121)) $ $) 30) (($ (-1 (-121) (-121)) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-2594 (($ $ $ (-571)) NIL) (($ (-121) $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 (((-121) $) NIL (|has| (-571) (-847)))) (-3765 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-4411 (($ $ (-121)) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-121)) (-637 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097)))) (($ $ (-289 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097)))) (($ $ (-637 (-289 (-121)))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097))))) (-3909 (((-637 (-121)) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 24)) (-3245 (($ $ (-1224 (-571))) NIL) (((-121) $ (-571)) 18) (((-121) $ (-571) (-121)) NIL)) (-1933 (($ $ (-1224 (-571))) NIL) (($ $ (-571)) NIL)) (-1569 (((-768) (-121) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-121) (-1097)))) (((-768) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4600)))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) 25)) (-4050 (((-544) $) NIL (|has| (-121) (-612 (-544))))) (-3891 (($ (-637 (-121))) NIL)) (-4498 (($ (-637 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-3942 (((-855) $) 22)) (-3027 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4600)))) (-3997 (($ $ $) 31)) (-4142 (($ $) NIL)) (-2208 (($ $ $) NIL)) (-3057 (($ $ $) 39)) (-3039 (($ $) 37)) (-2893 (($ $ $) 38)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 26)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 27)) (-2198 (($ $ $) NIL)) (-4001 (((-768) $) 10 (|has| $ (-6 -4600))))) 
+(((-512 |#1|) (-13 (-133) (-10 -8 (-15 -3039 ($ $)) (-15 -3057 ($ $ $)) (-15 -2893 ($ $ $)))) (-571)) (T -512)) 
+((-3039 (*1 *1 *1) (-12 (-5 *1 (-512 *2)) (-14 *2 (-571)))) (-3057 (*1 *1 *1 *1) (-12 (-5 *1 (-512 *2)) (-14 *2 (-571)))) (-2893 (*1 *1 *1 *1) (-12 (-5 *1 (-512 *2)) (-14 *2 (-571))))) 
+(-13 (-133) (-10 -8 (-15 -3039 ($ $)) (-15 -3057 ($ $ $)) (-15 -2893 ($ $ $)))) 
+((-3371 (((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1165 |#4|)) 34)) (-3957 (((-1165 |#4|) (-1 |#4| |#1|) |#2|) 30) ((|#2| (-1 |#1| |#4|) (-1165 |#4|)) 21)) (-2975 (((-3 (-684 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-684 (-1165 |#4|))) 45)) (-4043 (((-1165 (-1165 |#4|)) (-1 |#4| |#1|) |#3|) 54))) 
+(((-513 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3957 (|#2| (-1 |#1| |#4|) (-1165 |#4|))) (-15 -3957 ((-1165 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -3371 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1165 |#4|))) (-15 -2975 ((-3 (-684 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-684 (-1165 |#4|)))) (-15 -4043 ((-1165 (-1165 |#4|)) (-1 |#4| |#1|) |#3|))) (-1053) (-1233 |#1|) (-1233 |#2|) (-1053)) (T -513)) 
+((-4043 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1053)) (-4 *7 (-1053)) (-4 *6 (-1233 *5)) (-5 *2 (-1165 (-1165 *7))) (-5 *1 (-513 *5 *6 *4 *7)) (-4 *4 (-1233 *6)))) (-2975 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-684 (-1165 *8))) (-4 *5 (-1053)) (-4 *8 (-1053)) (-4 *6 (-1233 *5)) (-5 *2 (-684 *6)) (-5 *1 (-513 *5 *6 *7 *8)) (-4 *7 (-1233 *6)))) (-3371 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1165 *7)) (-4 *5 (-1053)) (-4 *7 (-1053)) (-4 *2 (-1233 *5)) (-5 *1 (-513 *5 *2 *6 *7)) (-4 *6 (-1233 *2)))) (-3957 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1053)) (-4 *7 (-1053)) (-4 *4 (-1233 *5)) (-5 *2 (-1165 *7)) (-5 *1 (-513 *5 *4 *6 *7)) (-4 *6 (-1233 *4)))) (-3957 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1165 *7)) (-4 *5 (-1053)) (-4 *7 (-1053)) (-4 *2 (-1233 *5)) (-5 *1 (-513 *5 *2 *6 *7)) (-4 *6 (-1233 *2))))) 
+(-10 -7 (-15 -3957 (|#2| (-1 |#1| |#4|) (-1165 |#4|))) (-15 -3957 ((-1165 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -3371 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1165 |#4|))) (-15 -2975 ((-3 (-684 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-684 (-1165 |#4|)))) (-15 -4043 ((-1165 (-1165 |#4|)) (-1 |#4| |#1|) |#3|))) 
+((-2234 (((-121) $ $) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4197 (((-1263) $) 18)) (-3245 (((-1151) $ (-1169)) 22)) (-2406 (((-1263) $) 14)) (-3942 (((-855) $) 20) (($ (-1151)) 19)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 8)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 7))) 
+(((-514) (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $)) (-15 -3942 ($ (-1151)))))) (T -514)) 
+((-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1151)) (-5 *1 (-514)))) (-2406 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-514)))) (-4197 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-514)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-514))))) 
+(-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $)) (-15 -3942 ($ (-1151))))) 
+((-2906 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) 19)) (-1733 ((|#1| |#4|) 10)) (-2505 ((|#3| |#4|) 17))) 
+(((-515 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1733 (|#1| |#4|)) (-15 -2505 (|#3| |#4|)) (-15 -2906 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) (-561) (-999 |#1|) (-378 |#1|) (-378 |#2|)) (T -515)) 
+((-2906 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-999 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *6 (-378 *4)) (-4 *3 (-378 *5)))) (-2505 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-999 *4)) (-4 *2 (-378 *4)) (-5 *1 (-515 *4 *5 *2 *3)) (-4 *3 (-378 *5)))) (-1733 (*1 *2 *3) (-12 (-4 *4 (-999 *2)) (-4 *2 (-561)) (-5 *1 (-515 *2 *4 *5 *3)) (-4 *5 (-378 *2)) (-4 *3 (-378 *4))))) 
+(-10 -7 (-15 -1733 (|#1| |#4|)) (-15 -2505 (|#3| |#4|)) (-15 -2906 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) 
+((-2234 (((-121) $ $) NIL)) (-1913 (((-1169) $) NIL)) (-1428 (((-768) $) NIL)) (-2462 (((-1169) $ (-1169)) NIL)) (-4029 (((-768) $ (-768)) NIL)) (-1558 (((-972 |#1|) $ (-972 |#1|)) NIL)) (-1810 (((-768) $ (-768)) NIL)) (-3892 (((-33 |#1|) $ (-33 |#1|)) NIL)) (-2461 (((-637 (-779 |#1|)) $ (-637 (-779 |#1|))) NIL)) (-3714 (((-237 (-926 |#1|)) $ (-237 (-926 |#1|))) NIL)) (-3233 (((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) $ (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|)) NIL)) (-4550 ((|#3| $ |#3|) NIL)) (-4500 (((-972 |#1|) $) NIL)) (-3597 (((-768) $) NIL)) (-3374 (((-33 |#1|) $) NIL)) (-1877 (((-637 (-779 |#1|)) $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3941 (((-121) (-121)) NIL) (((-121)) NIL)) (-3104 (((-855) $) NIL)) (-1631 (((-237 (-926 |#1|)) $) NIL)) (-2400 (((-922) $) NIL)) (-4055 (((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) $) NIL)) (-2327 (($ (-972 |#1|) (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-33 |#1|) (-768) |#3| (-768) (-237 (-926 |#1|)) |#1| (-1169)) NIL) (($ (-972 |#1|) (-243 |#2| |#1|)) NIL)) (-3942 (((-855) $) NIL)) (-3512 ((|#3| $) NIL)) (-4507 ((|#1| $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-516 |#1| |#2| |#3|) (-13 (-539 |#1| |#2| (-243 |#2| |#1|) (-233 (-4001 |#2|) (-768)) (-972 |#1|) (-779 |#1|) (-926 |#1|) (-237 (-926 |#1|)) |#3|) (-10 -8 (-15 -3104 ((-855) $)) (-15 -3941 ((-121) (-121))) (-15 -3941 ((-121))))) (-367) (-637 (-1169)) (-117)) (T -516)) 
+((-3104 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-516 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3941 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-516 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3941 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-516 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(-13 (-539 |#1| |#2| (-243 |#2| |#1|) (-233 (-4001 |#2|) (-768)) (-972 |#1|) (-779 |#1|) (-926 |#1|) (-237 (-926 |#1|)) |#3|) (-10 -8 (-15 -3104 ((-855) $)) (-15 -3941 ((-121) (-121))) (-15 -3941 ((-121))))) 
+((-2234 (((-121) $ $) NIL)) (-3895 (((-121) $ (-637 |#3|)) 101) (((-121) $) 102)) (-4123 (((-121) $) 144)) (-4179 (($ $ |#4|) 93) (($ $ |#4| (-637 |#3|)) 97)) (-3592 (((-1158 (-637 (-958 |#1|)) (-637 (-289 (-958 |#1|)))) (-637 |#4|)) 137 (|has| |#3| (-612 (-1169))))) (-2924 (($ $ $) 87) (($ $ |#4|) 85)) (-2583 (((-121) $) 143)) (-3292 (($ $) 105)) (-3944 (((-1151) $) NIL)) (-4017 (($ $ $) 79) (($ (-637 $)) 81)) (-3881 (((-121) |#4| $) 104)) (-2543 (((-121) $ $) 68)) (-1644 (($ (-637 |#4|)) 86)) (-2580 (((-1115) $) NIL)) (-2263 (($ (-637 |#4|)) 141)) (-2743 (((-121) $) 142)) (-3095 (($ $) 70)) (-1652 (((-637 |#4|) $) 55)) (-4126 (((-2 (|:| |mval| (-684 |#1|)) (|:| |invmval| (-684 |#1|)) (|:| |genIdeal| $)) $ (-637 |#3|)) NIL)) (-4128 (((-121) |#4| $) 73)) (-3847 (((-571) $ (-637 |#3|)) 106) (((-571) $) 107)) (-3942 (((-855) $) 140) (($ (-637 |#4|)) 82)) (-2673 (($ (-2 (|:| |mval| (-684 |#1|)) (|:| |invmval| (-684 |#1|)) (|:| |genIdeal| $))) NIL)) (-1323 (((-121) $ $) 69)) (-1367 (($ $ $) 89)) (** (($ $ (-768)) 92)) (* (($ $ $) 91))) 
+(((-517 |#1| |#2| |#3| |#4|) (-13 (-1097) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-768))) (-15 -1367 ($ $ $)) (-15 -2583 ((-121) $)) (-15 -4123 ((-121) $)) (-15 -4128 ((-121) |#4| $)) (-15 -2543 ((-121) $ $)) (-15 -3881 ((-121) |#4| $)) (-15 -3895 ((-121) $ (-637 |#3|))) (-15 -3895 ((-121) $)) (-15 -4017 ($ $ $)) (-15 -4017 ($ (-637 $))) (-15 -2924 ($ $ $)) (-15 -2924 ($ $ |#4|)) (-15 -3095 ($ $)) (-15 -4126 ((-2 (|:| |mval| (-684 |#1|)) (|:| |invmval| (-684 |#1|)) (|:| |genIdeal| $)) $ (-637 |#3|))) (-15 -2673 ($ (-2 (|:| |mval| (-684 |#1|)) (|:| |invmval| (-684 |#1|)) (|:| |genIdeal| $)))) (-15 -3847 ((-571) $ (-637 |#3|))) (-15 -3847 ((-571) $)) (-15 -3292 ($ $)) (-15 -1644 ($ (-637 |#4|))) (-15 -2263 ($ (-637 |#4|))) (-15 -2743 ((-121) $)) (-15 -1652 ((-637 |#4|) $)) (-15 -3942 ($ (-637 |#4|))) (-15 -4179 ($ $ |#4|)) (-15 -4179 ($ $ |#4| (-637 |#3|))) (IF (|has| |#3| (-612 (-1169))) (-15 -3592 ((-1158 (-637 (-958 |#1|)) (-637 (-289 (-958 |#1|)))) (-637 |#4|))) |noBranch|))) (-367) (-793) (-847) (-955 |#1| |#2| |#3|)) (T -517)) 
+((* (*1 *1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) (-1367 (*1 *1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) (-2583 (*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) (-4123 (*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) (-4128 (*1 *2 *3 *1) (-12 (-4 *4 (-367)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *4 *5 *6 *3)) (-4 *3 (-955 *4 *5 *6)))) (-2543 (*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) (-3881 (*1 *2 *3 *1) (-12 (-4 *4 (-367)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *4 *5 *6 *3)) (-4 *3 (-955 *4 *5 *6)))) (-3895 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-847)) (-4 *4 (-367)) (-4 *5 (-793)) (-5 *2 (-121)) (-5 *1 (-517 *4 *5 *6 *7)) (-4 *7 (-955 *4 *5 *6)))) (-3895 (*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) (-4017 (*1 *1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) (-4017 (*1 *1 *2) (-12 (-5 *2 (-637 (-517 *3 *4 *5 *6))) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) (-2924 (*1 *1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) (-2924 (*1 *1 *1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *2)) (-4 *2 (-955 *3 *4 *5)))) (-3095 (*1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) (-4126 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-847)) (-4 *4 (-367)) (-4 *5 (-793)) (-5 *2 (-2 (|:| |mval| (-684 *4)) (|:| |invmval| (-684 *4)) (|:| |genIdeal| (-517 *4 *5 *6 *7)))) (-5 *1 (-517 *4 *5 *6 *7)) (-4 *7 (-955 *4 *5 *6)))) (-2673 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-684 *3)) (|:| |invmval| (-684 *3)) (|:| |genIdeal| (-517 *3 *4 *5 *6)))) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) (-3847 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-847)) (-4 *4 (-367)) (-4 *5 (-793)) (-5 *2 (-571)) (-5 *1 (-517 *4 *5 *6 *7)) (-4 *7 (-955 *4 *5 *6)))) (-3847 (*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-571)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) (-3292 (*1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) (-1644 (*1 *1 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6)))) (-2263 (*1 *1 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6)))) (-2743 (*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) (-1652 (*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *6)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6)))) (-4179 (*1 *1 *1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *2)) (-4 *2 (-955 *3 *4 *5)))) (-4179 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-847)) (-4 *4 (-367)) (-4 *5 (-793)) (-5 *1 (-517 *4 *5 *6 *2)) (-4 *2 (-955 *4 *5 *6)))) (-3592 (*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-955 *4 *5 *6)) (-4 *6 (-612 (-1169))) (-4 *4 (-367)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1158 (-637 (-958 *4)) (-637 (-289 (-958 *4))))) (-5 *1 (-517 *4 *5 *6 *7))))) 
+(-13 (-1097) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-768))) (-15 -1367 ($ $ $)) (-15 -2583 ((-121) $)) (-15 -4123 ((-121) $)) (-15 -4128 ((-121) |#4| $)) (-15 -2543 ((-121) $ $)) (-15 -3881 ((-121) |#4| $)) (-15 -3895 ((-121) $ (-637 |#3|))) (-15 -3895 ((-121) $)) (-15 -4017 ($ $ $)) (-15 -4017 ($ (-637 $))) (-15 -2924 ($ $ $)) (-15 -2924 ($ $ |#4|)) (-15 -3095 ($ $)) (-15 -4126 ((-2 (|:| |mval| (-684 |#1|)) (|:| |invmval| (-684 |#1|)) (|:| |genIdeal| $)) $ (-637 |#3|))) (-15 -2673 ($ (-2 (|:| |mval| (-684 |#1|)) (|:| |invmval| (-684 |#1|)) (|:| |genIdeal| $)))) (-15 -3847 ((-571) $ (-637 |#3|))) (-15 -3847 ((-571) $)) (-15 -3292 ($ $)) (-15 -1644 ($ (-637 |#4|))) (-15 -2263 ($ (-637 |#4|))) (-15 -2743 ((-121) $)) (-15 -1652 ((-637 |#4|) $)) (-15 -3942 ($ (-637 |#4|))) (-15 -4179 ($ $ |#4|)) (-15 -4179 ($ $ |#4| (-637 |#3|))) (IF (|has| |#3| (-612 (-1169))) (-15 -3592 ((-1158 (-637 (-958 |#1|)) (-637 (-289 (-958 |#1|)))) (-637 |#4|))) |noBranch|))) 
+((-1853 (((-121) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571))))) 144)) (-2021 (((-121) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571))))) 145)) (-1739 (((-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571))))) 103)) (-1596 (((-121) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571))))) NIL)) (-3562 (((-637 (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571))))) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571))))) 147)) (-2888 (((-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))) (-637 (-857 |#1|))) 159))) 
+(((-518 |#1| |#2|) (-10 -7 (-15 -1853 ((-121) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))))) (-15 -2021 ((-121) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))))) (-15 -1596 ((-121) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))))) (-15 -1739 ((-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))))) (-15 -3562 ((-637 (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571))))) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))))) (-15 -2888 ((-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))) (-637 (-857 |#1|))))) (-637 (-1169)) (-768)) (T -518)) 
+((-2888 (*1 *2 *2 *3) (-12 (-5 *2 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571))))) (-5 *3 (-637 (-857 *4))) (-14 *4 (-637 (-1169))) (-14 *5 (-768)) (-5 *1 (-518 *4 *5)))) (-3562 (*1 *2 *3) (-12 (-14 *4 (-637 (-1169))) (-14 *5 (-768)) (-5 *2 (-637 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571)))))) (-5 *1 (-518 *4 *5)) (-5 *3 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571))))))) (-1739 (*1 *2 *2) (-12 (-5 *2 (-517 (-412 (-571)) (-233 *4 (-768)) (-857 *3) (-243 *3 (-412 (-571))))) (-14 *3 (-637 (-1169))) (-14 *4 (-768)) (-5 *1 (-518 *3 *4)))) (-1596 (*1 *2 *3) (-12 (-5 *3 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571))))) (-14 *4 (-637 (-1169))) (-14 *5 (-768)) (-5 *2 (-121)) (-5 *1 (-518 *4 *5)))) (-2021 (*1 *2 *3) (-12 (-5 *3 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571))))) (-14 *4 (-637 (-1169))) (-14 *5 (-768)) (-5 *2 (-121)) (-5 *1 (-518 *4 *5)))) (-1853 (*1 *2 *3) (-12 (-5 *3 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571))))) (-14 *4 (-637 (-1169))) (-14 *5 (-768)) (-5 *2 (-121)) (-5 *1 (-518 *4 *5))))) 
+(-10 -7 (-15 -1853 ((-121) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))))) (-15 -2021 ((-121) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))))) (-15 -1596 ((-121) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))))) (-15 -1739 ((-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))))) (-15 -3562 ((-637 (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571))))) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))))) (-15 -2888 ((-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))) (-517 (-412 (-571)) (-233 |#2| (-768)) (-857 |#1|) (-243 |#1| (-412 (-571)))) (-637 (-857 |#1|))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4349 (($ $) NIL)) (-4289 (($ |#1| |#2|) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3275 ((|#2| $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-2369 (($) 12 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) 11) (($ $ $) 23)) (-1367 (($ $ $) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 18))) 
+(((-519 |#1| |#2|) (-13 (-21) (-521 |#1| |#2|)) (-21) (-847)) (T -519)) 
+NIL 
+(-13 (-21) (-521 |#1| |#2|)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 12)) (-2269 (($) NIL T CONST)) (-4349 (($ $) 26)) (-4289 (($ |#1| |#2|) 23)) (-3799 (($ (-1 |#1| |#1|) $) 25)) (-3275 ((|#2| $) NIL)) (-4337 ((|#1| $) 27)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-2369 (($) 10 T CONST)) (-1323 (((-121) $ $) NIL)) (-1367 (($ $ $) 17)) (* (($ (-922) $) NIL) (($ (-768) $) 22))) 
+(((-520 |#1| |#2|) (-13 (-23) (-521 |#1| |#2|)) (-23) (-847)) (T -520)) 
+NIL 
+(-13 (-23) (-521 |#1| |#2|)) 
+((-2234 (((-121) $ $) 7)) (-4349 (($ $) 12)) (-4289 (($ |#1| |#2|) 15)) (-3799 (($ (-1 |#1| |#1|) $) 16)) (-3275 ((|#2| $) 13)) (-4337 ((|#1| $) 14)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6))) 
+(((-521 |#1| |#2|) (-1289) (-1097) (-847)) (T -521)) 
+((-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-521 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-847)))) (-4289 (*1 *1 *2 *3) (-12 (-4 *1 (-521 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-847)))) (-4337 (*1 *2 *1) (-12 (-4 *1 (-521 *2 *3)) (-4 *3 (-847)) (-4 *2 (-1097)))) (-3275 (*1 *2 *1) (-12 (-4 *1 (-521 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-847)))) (-4349 (*1 *1 *1) (-12 (-4 *1 (-521 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-847))))) 
+(-13 (-1097) (-10 -8 (-15 -3799 ($ (-1 |t#1| |t#1|) $)) (-15 -4289 ($ |t#1| |t#2|)) (-15 -4337 (|t#1| $)) (-15 -3275 (|t#2| $)) (-15 -4349 ($ $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-2269 (($) NIL T CONST)) (-4349 (($ $) NIL)) (-4289 (($ |#1| |#2|) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3275 ((|#2| $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-2369 (($) NIL T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 13)) (-1367 (($ $ $) NIL)) (* (($ (-768) $) NIL) (($ (-922) $) NIL))) 
+(((-522 |#1| |#2|) (-13 (-792) (-521 |#1| |#2|)) (-792) (-847)) (T -522)) 
+NIL 
+(-13 (-792) (-521 |#1| |#2|)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3933 (($ $ $) 16)) (-4176 (((-3 $ "failed") $ $) 13)) (-2269 (($) NIL T CONST)) (-4349 (($ $) NIL)) (-4289 (($ |#1| |#2|) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3275 ((|#2| $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL)) (-2369 (($) NIL T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1367 (($ $ $) NIL)) (* (($ (-768) $) NIL) (($ (-922) $) NIL))) 
+(((-523 |#1| |#2|) (-13 (-793) (-521 |#1| |#2|)) (-793) (-847)) (T -523)) 
+NIL 
+(-13 (-793) (-521 |#1| |#2|)) 
+((-2234 (((-121) $ $) NIL)) (-4349 (($ $) 24)) (-4289 (($ |#1| |#2|) 21)) (-3799 (($ (-1 |#1| |#1|) $) 23)) (-3275 ((|#2| $) 26)) (-4337 ((|#1| $) 25)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 20)) (-1323 (((-121) $ $) 13))) 
+(((-524 |#1| |#2|) (-521 |#1| |#2|) (-1097) (-847)) (T -524)) 
+NIL 
+(-521 |#1| |#2|) 
+((-4483 (($ $ (-637 |#2|) (-637 |#3|)) NIL) (($ $ |#2| |#3|) 12))) 
+(((-525 |#1| |#2| |#3|) (-10 -8 (-15 -4483 (|#1| |#1| |#2| |#3|)) (-15 -4483 (|#1| |#1| (-637 |#2|) (-637 |#3|)))) (-526 |#2| |#3|) (-1097) (-1203)) (T -525)) 
+NIL 
+(-10 -8 (-15 -4483 (|#1| |#1| |#2| |#3|)) (-15 -4483 (|#1| |#1| (-637 |#2|) (-637 |#3|)))) 
+((-4483 (($ $ (-637 |#1|) (-637 |#2|)) 7) (($ $ |#1| |#2|) 6))) 
+(((-526 |#1| |#2|) (-1289) (-1097) (-1203)) (T -526)) 
+((-4483 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *4)) (-5 *3 (-637 *5)) (-4 *1 (-526 *4 *5)) (-4 *4 (-1097)) (-4 *5 (-1203)))) (-4483 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-526 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1203))))) 
+(-13 (-10 -8 (-15 -4483 ($ $ |t#1| |t#2|)) (-15 -4483 ($ $ (-637 |t#1|) (-637 |t#2|))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 16)) (-3236 (((-637 (-2 (|:| |gen| |#1|) (|:| -4148 |#2|))) $) 18)) (-4176 (((-3 $ "failed") $ $) NIL)) (-4407 (((-768) $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-2408 ((|#1| $ (-571)) 23)) (-2478 ((|#2| $ (-571)) 21)) (-1750 (($ (-1 |#1| |#1|) $) 46)) (-3911 (($ (-1 |#2| |#2|) $) 43)) (-3944 (((-1151) $) NIL)) (-1766 (($ $ $) 53 (|has| |#2| (-792)))) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 42) (($ |#1|) NIL)) (-3136 ((|#2| |#1| $) 49)) (-2369 (($) 11 T CONST)) (-1323 (((-121) $ $) 29)) (-1367 (($ $ $) 27) (($ |#1| $) 25)) (* (($ (-922) $) NIL) (($ (-768) $) 36) (($ |#2| |#1|) 31))) 
+(((-527 |#1| |#2| |#3|) (-321 |#1| |#2|) (-1097) (-138) |#2|) (T -527)) 
 NIL 
 (-321 |#1| |#2|) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2723 (((-121) (-121)) 24)) (-2511 ((|#1| $ (-569) |#1|) 27 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) 51)) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-2938 (($ $) 54 (|has| |#1| (-1093)))) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) NIL (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) 43)) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-3274 (($ $ (-569)) 13)) (-4105 (((-765) $) 11)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 22)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 20 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-4002 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) 34)) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) 35) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) 19 (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2351 (($ $ $ (-569)) 50) (($ |#1| $ (-569)) 36)) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-3582 (($ (-635 |#1|)) 28)) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) 18 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 39)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 14)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 32) (($ $ (-1219 (-569))) NIL)) (-1313 (($ $ (-1219 (-569))) 49) (($ $ (-569)) 44)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) 40 (|has| $ (-6 -4572)))) (-1799 (($ $) 31)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4422 (($ $ $) 41) (($ $ |#1|) 38)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) 37) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) 15 (|has| $ (-6 -4571))))) 
-(((-526 |#1| |#2|) (-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3582 ($ (-635 |#1|))) (-15 -4105 ((-765) $)) (-15 -3274 ($ $ (-569))) (-15 -2723 ((-121) (-121))))) (-1199) (-569)) (T -526)) 
-((-3582 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-526 *3 *4)) (-14 *4 (-569)))) (-4105 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 (-569)))) (-3274 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 *2))) (-2723 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 (-569))))) 
-(-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3582 ($ (-635 |#1|))) (-15 -4105 ((-765) $)) (-15 -3274 ($ $ (-569))) (-15 -2723 ((-121) (-121))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (((-582 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-582 |#1|) (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-582 |#1|) (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| (-582 |#1|) (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-582 |#1|) "failed") $) NIL)) (-1321 (((-582 |#1|) $) NIL)) (-2097 (($ (-1253 (-582 |#1|))) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-582 |#1|) (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-582 |#1|) (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| (-582 |#1|) (-371)))) (-3462 (((-121) $) NIL (|has| (-582 |#1|) (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371)))) (($ $) NIL (-1929 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| (-582 |#1|) (-371))) (((-830 (-919)) $) NIL (-1929 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| (-582 |#1|) (-371)))) (-3761 (((-121) $) NIL (|has| (-582 |#1|) (-371)))) (-3046 (((-582 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-582 |#1|) (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-582 |#1|) (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 (-582 |#1|)) $) NIL) (((-1161 $) $ (-919)) NIL (|has| (-582 |#1|) (-371)))) (-2862 (((-919) $) NIL (|has| (-582 |#1|) (-371)))) (-2130 (((-1161 (-582 |#1|)) $) NIL (|has| (-582 |#1|) (-371)))) (-2632 (((-1161 (-582 |#1|)) $) NIL (|has| (-582 |#1|) (-371))) (((-3 (-1161 (-582 |#1|)) "failed") $ $) NIL (|has| (-582 |#1|) (-371)))) (-3946 (($ $ (-1161 (-582 |#1|))) NIL (|has| (-582 |#1|) (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-582 |#1|) (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| (-582 |#1|) (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL (|has| (-582 |#1|) (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-582 |#1|) (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| (-582 |#1|) (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-582 |#1|) (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 (-582 |#1|))) NIL)) (-3563 (($) NIL (|has| (-582 |#1|) (-371)))) (-2433 (($) NIL (|has| (-582 |#1|) (-371)))) (-3672 (((-1253 (-582 |#1|)) $) NIL) (((-681 (-582 |#1|)) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-582 |#1|) (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-582 |#1|)) NIL)) (-2277 (($ $) NIL (|has| (-582 |#1|) (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-582 |#1|) (-371)))) (-3712 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-582 |#1|) (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ (-582 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-582 |#1|)) NIL) (($ (-582 |#1|) $) NIL))) 
-(((-527 |#1| |#2|) (-328 (-582 |#1|)) (-919) (-919)) (T -527)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-2455 (((-121) (-121)) 24)) (-3251 ((|#1| $ (-571) |#1|) 27 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601)))) (-3129 (($ (-1 (-121) |#1|) $) 51)) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-2980 (($ $) 54 (|has| |#1| (-1097)))) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1599 (($ |#1| $) NIL (|has| |#1| (-1097))) (($ (-1 (-121) |#1|) $) 43)) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) NIL)) (-3984 (((-571) (-1 (-121) |#1|) $) NIL) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097)))) (-1349 (($ $ (-571)) 13)) (-2009 (((-768) $) 11)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-1364 (($ (-768) |#1|) 22)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 20 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2984 (($ $ $) NIL (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $ $) 34)) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) 35) (($ $ $) NIL (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) 19 (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2863 (($ $ $ (-571)) 50) (($ |#1| $ (-571)) 36)) (-2594 (($ |#1| $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-4541 (($ (-637 |#1|)) 28)) (-1827 ((|#1| $) NIL (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) 18 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 39)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 14)) (-3245 ((|#1| $ (-571) |#1|) NIL) ((|#1| $ (-571)) 32) (($ $ (-1224 (-571))) NIL)) (-3165 (($ $ (-1224 (-571))) 49) (($ $ (-571)) 44)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) 40 (|has| $ (-6 -4601)))) (-4316 (($ $) 31)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) NIL)) (-3294 (($ $ $) 41) (($ $ |#1|) 38)) (-4498 (($ $ |#1|) NIL) (($ |#1| $) 37) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-4001 (((-768) $) 15 (|has| $ (-6 -4600))))) 
+(((-528 |#1| |#2|) (-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -4541 ($ (-637 |#1|))) (-15 -2009 ((-768) $)) (-15 -1349 ($ $ (-571))) (-15 -2455 ((-121) (-121))))) (-1203) (-571)) (T -528)) 
+((-4541 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-528 *3 *4)) (-14 *4 (-571)))) (-2009 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-528 *3 *4)) (-4 *3 (-1203)) (-14 *4 (-571)))) (-1349 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-528 *3 *4)) (-4 *3 (-1203)) (-14 *4 *2))) (-2455 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-528 *3 *4)) (-4 *3 (-1203)) (-14 *4 (-571))))) 
+(-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -4541 ($ (-637 |#1|))) (-15 -2009 ((-768) $)) (-15 -1349 ($ $ (-571))) (-15 -2455 ((-121) (-121))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 (((-584 |#1|) $) NIL) (($ $ (-922)) NIL (|has| (-584 |#1|) (-373)))) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| (-584 |#1|) (-373)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) NIL (|has| (-584 |#1|) (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-584 |#1|) "failed") $) NIL)) (-1316 (((-584 |#1|) $) NIL)) (-3456 (($ (-1258 (-584 |#1|))) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-584 |#1|) (-373)))) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-584 |#1|) (-373)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) NIL (|has| (-584 |#1|) (-373)))) (-2854 (((-121) $) NIL (|has| (-584 |#1|) (-373)))) (-2442 (($ $ (-768)) NIL (-1831 (|has| (-584 |#1|) (-149)) (|has| (-584 |#1|) (-373)))) (($ $) NIL (-1831 (|has| (-584 |#1|) (-149)) (|has| (-584 |#1|) (-373))))) (-1596 (((-121) $) NIL)) (-3347 (((-922) $) NIL (|has| (-584 |#1|) (-373))) (((-833 (-922)) $) NIL (-1831 (|has| (-584 |#1|) (-149)) (|has| (-584 |#1|) (-373))))) (-2583 (((-121) $) NIL)) (-2035 (($) NIL (|has| (-584 |#1|) (-373)))) (-4230 (((-121) $) NIL (|has| (-584 |#1|) (-373)))) (-3477 (((-584 |#1|) $) NIL) (($ $ (-922)) NIL (|has| (-584 |#1|) (-373)))) (-2596 (((-3 $ "failed") $) NIL (|has| (-584 |#1|) (-373)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 (-584 |#1|)) $) NIL) (((-1165 $) $ (-922)) NIL (|has| (-584 |#1|) (-373)))) (-4470 (((-922) $) NIL (|has| (-584 |#1|) (-373)))) (-3641 (((-1165 (-584 |#1|)) $) NIL (|has| (-584 |#1|) (-373)))) (-4089 (((-1165 (-584 |#1|)) $) NIL (|has| (-584 |#1|) (-373))) (((-3 (-1165 (-584 |#1|)) "failed") $ $) NIL (|has| (-584 |#1|) (-373)))) (-2690 (($ $ (-1165 (-584 |#1|))) NIL (|has| (-584 |#1|) (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-584 |#1|) (-373)) CONST)) (-1755 (($ (-922)) NIL (|has| (-584 |#1|) (-373)))) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-2280 (($) NIL (|has| (-584 |#1|) (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| (-584 |#1|) (-373)))) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL) (((-922)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL (|has| (-584 |#1|) (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-768) $) NIL (|has| (-584 |#1|) (-373))) (((-3 (-768) "failed") $ $) NIL (-1831 (|has| (-584 |#1|) (-149)) (|has| (-584 |#1|) (-373))))) (-3847 (((-140)) NIL)) (-3096 (($ $) NIL (|has| (-584 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-584 |#1|) (-373)))) (-2400 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-3413 (((-1165 (-584 |#1|))) NIL)) (-4481 (($) NIL (|has| (-584 |#1|) (-373)))) (-4469 (($) NIL (|has| (-584 |#1|) (-373)))) (-3723 (((-1258 (-584 |#1|)) $) NIL) (((-684 (-584 |#1|)) (-1258 $)) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| (-584 |#1|) (-373)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ (-584 |#1|)) NIL)) (-2346 (($ $) NIL (|has| (-584 |#1|) (-373))) (((-3 $ "failed") $) NIL (-1831 (|has| (-584 |#1|) (-149)) (|has| (-584 |#1|) (-373))))) (-2661 (((-768)) NIL)) (-1899 (((-1258 $)) NIL) (((-1258 $) (-922)) NIL)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-4526 (($ $) NIL (|has| (-584 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-584 |#1|) (-373)))) (-1544 (($ $) NIL (|has| (-584 |#1|) (-373))) (($ $ (-768)) NIL (|has| (-584 |#1|) (-373)))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL) (($ $ (-584 |#1|)) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ $ (-584 |#1|)) NIL) (($ (-584 |#1|) $) NIL))) 
+(((-529 |#1| |#2|) (-328 (-584 |#1|)) (-922) (-922)) (T -529)) 
 NIL 
-(-328 (-582 |#1|)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) 33)) (-3890 (($ $ (-569) |#4|) NIL)) (-1622 (($ $ (-569) |#5|) NIL)) (-4483 (($) NIL T CONST)) (-4128 ((|#4| $ (-569)) NIL)) (-3982 ((|#1| $ (-569) (-569) |#1|) 32)) (-4124 ((|#1| $ (-569) (-569)) 30)) (-4303 (((-635 |#1|) $) NIL)) (-3568 (((-765) $) 26)) (-2446 (($ (-765) (-765) |#1|) 23)) (-4145 (((-765) $) 28)) (-3206 (((-121) $ (-765)) NIL)) (-4094 (((-569) $) 24)) (-3841 (((-569) $) 25)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) 27)) (-2414 (((-569) $) 29)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) 36 (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 14)) (-4016 (($) 15)) (-2503 ((|#1| $ (-569) (-569)) 31) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-2349 ((|#5| $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-528 |#1| |#2| |#3| |#4| |#5|) (-62 |#1| |#4| |#5|) (-1199) (-569) (-569) (-376 |#1|) (-376 |#1|)) (T -528)) 
+(-328 (-584 |#1|)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-571) (-571) |#1|) 33)) (-2071 (($ $ (-571) |#4|) NIL)) (-1635 (($ $ (-571) |#5|) NIL)) (-2269 (($) NIL T CONST)) (-4336 ((|#4| $ (-571)) NIL)) (-2922 ((|#1| $ (-571) (-571) |#1|) 32)) (-4319 ((|#1| $ (-571) (-571)) 30)) (-4034 (((-637 |#1|) $) NIL)) (-3673 (((-768) $) 26)) (-1364 (($ (-768) (-768) |#1|) 23)) (-3682 (((-768) $) 28)) (-2262 (((-121) $ (-768)) NIL)) (-1950 (((-571) $) 24)) (-3325 (((-571) $) 25)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4239 (((-571) $) 27)) (-4395 (((-571) $) 29)) (-1923 (($ (-1 |#1| |#1|) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) 36 (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-4411 (($ $ |#1|) NIL)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 14)) (-1630 (($) 15)) (-3245 ((|#1| $ (-571) (-571)) 31) ((|#1| $ (-571) (-571) |#1|) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-2852 ((|#5| $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-530 |#1| |#2| |#3| |#4| |#5|) (-62 |#1| |#4| |#5|) (-1203) (-571) (-571) (-378 |#1|) (-378 |#1|)) (T -530)) 
 NIL 
 (-62 |#1| |#4| |#5|) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) NIL)) (-1823 ((|#1| $) NIL)) (-2394 (($ $) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 57 (|has| $ (-6 -4572)))) (-3382 (((-121) $) NIL (|has| |#1| (-844))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-1744 (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844)))) (($ (-1 (-121) |#1| |#1|) $) 55 (|has| $ (-6 -4572)))) (-2930 (($ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) 23 (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 21 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 22 (|has| $ (-6 -4572))) (($ $ "rest" $) 24 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) NIL)) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4024 ((|#1| $) NIL)) (-4483 (($) NIL T CONST)) (-2887 (($ $) 28 (|has| $ (-6 -4572)))) (-1871 (($ $) 29)) (-1864 (($ $) 18) (($ $ (-765)) 32)) (-2938 (($ $) 53 (|has| |#1| (-1093)))) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) NIL (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) NIL)) (-3503 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-1292 (((-121) $) NIL)) (-3988 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093))) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) (-1 (-121) |#1|) $) NIL)) (-4303 (((-635 |#1|) $) 27 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 31 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-4002 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) 56)) (-2102 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 51 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1832 (($ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) 50 (|has| |#1| (-1093)))) (-3302 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2351 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) 13) (($ $ (-765)) NIL)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-4363 (((-121) $) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 12)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) 17)) (-4016 (($) 16)) (-2503 ((|#1| $ "value") NIL) ((|#1| $ "first") 15) (($ $ "rest") 20) ((|#1| $ "last") NIL) (($ $ (-1219 (-569))) NIL) ((|#1| $ (-569)) NIL) ((|#1| $ (-569) |#1|) NIL)) (-3248 (((-569) $ $) NIL)) (-1313 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-1630 (((-121) $) 33)) (-2588 (($ $) NIL)) (-1390 (($ $) NIL (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) 35)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) 34)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 26)) (-4422 (($ $ $) 52) (($ $ |#1|) NIL)) (-4456 (($ $ $) NIL) (($ |#1| $) 10) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-3956 (((-852) $) 45 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 47 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) 9 (|has| $ (-6 -4571))))) 
-(((-529 |#1| |#2|) (-659 |#1|) (-1199) (-569)) (T -529)) 
-NIL 
-(-659 |#1|) 
-((-4003 ((|#4| |#4|) 26)) (-3358 (((-765) |#4|) 31)) (-2557 (((-765) |#4|) 32)) (-3970 (((-635 |#3|) |#4|) 37 (|has| |#3| (-6 -4572)))) (-1655 (((-3 |#4| "failed") |#4|) 47)) (-3658 ((|#4| |#4|) 40)) (-4396 ((|#1| |#4|) 39))) 
-(((-530 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4003 (|#4| |#4|)) (-15 -3358 ((-765) |#4|)) (-15 -2557 ((-765) |#4|)) (IF (|has| |#3| (-6 -4572)) (-15 -3970 ((-635 |#3|) |#4|)) |noBranch|) (-15 -4396 (|#1| |#4|)) (-15 -3658 (|#4| |#4|)) (-15 -1655 ((-3 |#4| "failed") |#4|))) (-366) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|)) (T -530)) 
-((-1655 (*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-3658 (*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-4396 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-366)) (-5 *1 (-530 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5)))) (-3970 (*1 *2 *3) (-12 (|has| *6 (-6 -4572)) (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-2557 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-3358 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-4003 (*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
-(-10 -7 (-15 -4003 (|#4| |#4|)) (-15 -3358 ((-765) |#4|)) (-15 -2557 ((-765) |#4|)) (IF (|has| |#3| (-6 -4572)) (-15 -3970 ((-635 |#3|) |#4|)) |noBranch|) (-15 -4396 (|#1| |#4|)) (-15 -3658 (|#4| |#4|)) (-15 -1655 ((-3 |#4| "failed") |#4|))) 
-((-4003 ((|#8| |#4|) 20)) (-3970 (((-635 |#3|) |#4|) 29 (|has| |#7| (-6 -4572)))) (-1655 (((-3 |#8| "failed") |#4|) 23))) 
-(((-531 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4003 (|#8| |#4|)) (-15 -1655 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4572)) (-15 -3970 ((-635 |#3|) |#4|)) |noBranch|)) (-559) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|) (-995 |#1|) (-376 |#5|) (-376 |#5|) (-679 |#5| |#6| |#7|)) (T -531)) 
-((-3970 (*1 *2 *3) (-12 (|has| *9 (-6 -4572)) (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)) (-5 *2 (-635 *6)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-679 *4 *5 *6)) (-4 *10 (-679 *7 *8 *9)))) (-1655 (*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *2 (-679 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-679 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) (-4003 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *2 (-679 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-679 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7))))) 
-(-10 -7 (-15 -4003 (|#8| |#4|)) (-15 -1655 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4572)) (-15 -3970 ((-635 |#3|) |#4|)) |noBranch|)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-600 |#1| |#3|)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) 12)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-600 |#1| |#3|)) NIL)) (-1622 (($ $ (-569) (-600 |#1| |#2|)) NIL)) (-2232 (($ (-765) |#1|) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) 19 (|has| |#1| (-302)))) (-4128 (((-600 |#1| |#3|) $ (-569)) NIL)) (-3358 (((-765) $) 22 (|has| |#1| (-559)))) (-3982 ((|#1| $ (-569) (-569) |#1|) NIL)) (-4124 ((|#1| $ (-569) (-569)) NIL)) (-3917 ((|#1| $) NIL (|has| |#1| (-173)))) (-4303 (((-635 |#1|) $) NIL)) (-2557 (((-765) $) 24 (|has| |#1| (-559)))) (-3970 (((-635 (-600 |#1| |#2|)) $) 27 (|has| |#1| (-559)))) (-3568 (((-765) $) NIL)) (-2446 (($ (-765) (-765) |#1|) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-3164 ((|#1| $) 17 (|has| |#1| (-6 (-4573 "*"))))) (-4094 (((-569) $) 10)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) 11)) (-2414 (((-569) $) NIL)) (-2926 (($ (-635 (-635 |#1|))) NIL) (($ (-765) (-765) (-1 |#1| (-569) (-569))) NIL)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-4269 (((-635 (-635 |#1|)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1655 (((-3 $ "failed") $) 31 (|has| |#1| (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 ((|#1| $) 15 (|has| |#1| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-600 |#1| |#2|)) $) NIL (|has| |#1| (-302)))) (-2349 (((-600 |#1| |#2|) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093))) (($ (-600 |#1| |#2|)) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-600 |#1| |#2|) $ (-600 |#1| |#2|)) NIL) (((-600 |#1| |#3|) (-600 |#1| |#3|) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-532 |#1| |#2| |#3|) (-679 |#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) (-1049) (-569) (-569)) (T -532)) 
-NIL 
-(-679 |#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) 
-((-2975 (((-1161 |#1|) (-765)) 74)) (-3588 (((-1253 |#1|) (-1253 |#1|) (-919)) 67)) (-1327 (((-1258) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) |#1|) 82)) (-2684 (((-1253 |#1|) (-1253 |#1|) (-765)) 36)) (-3341 (((-1253 |#1|) (-919)) 69)) (-2408 (((-1253 |#1|) (-1253 |#1|) (-569)) 24)) (-2665 (((-1161 |#1|) (-1253 |#1|)) 75)) (-4109 (((-1253 |#1|) (-919)) 93)) (-3761 (((-121) (-1253 |#1|)) 78)) (-3046 (((-1253 |#1|) (-1253 |#1|) (-919)) 59)) (-2415 (((-1161 |#1|) (-1253 |#1|)) 87)) (-2862 (((-919) (-1253 |#1|)) 56)) (-3243 (((-1253 |#1|) (-1253 |#1|)) 30)) (-1333 (((-1253 |#1|) (-919) (-919)) 95)) (-3396 (((-1253 |#1|) (-1253 |#1|) (-1111) (-1111)) 23)) (-1964 (((-1253 |#1|) (-1253 |#1|) (-765) (-1111)) 37)) (-4079 (((-1253 (-1253 |#1|)) (-919)) 92)) (-1383 (((-1253 |#1|) (-1253 |#1|) (-1253 |#1|)) 79)) (** (((-1253 |#1|) (-1253 |#1|) (-569)) 43)) (* (((-1253 |#1|) (-1253 |#1|) (-1253 |#1|)) 25))) 
-(((-533 |#1|) (-10 -7 (-15 -1327 ((-1258) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) |#1|)) (-15 -3341 ((-1253 |#1|) (-919))) (-15 -1333 ((-1253 |#1|) (-919) (-919))) (-15 -2665 ((-1161 |#1|) (-1253 |#1|))) (-15 -2975 ((-1161 |#1|) (-765))) (-15 -1964 ((-1253 |#1|) (-1253 |#1|) (-765) (-1111))) (-15 -2684 ((-1253 |#1|) (-1253 |#1|) (-765))) (-15 -3396 ((-1253 |#1|) (-1253 |#1|) (-1111) (-1111))) (-15 -2408 ((-1253 |#1|) (-1253 |#1|) (-569))) (-15 ** ((-1253 |#1|) (-1253 |#1|) (-569))) (-15 * ((-1253 |#1|) (-1253 |#1|) (-1253 |#1|))) (-15 -1383 ((-1253 |#1|) (-1253 |#1|) (-1253 |#1|))) (-15 -3046 ((-1253 |#1|) (-1253 |#1|) (-919))) (-15 -3588 ((-1253 |#1|) (-1253 |#1|) (-919))) (-15 -3243 ((-1253 |#1|) (-1253 |#1|))) (-15 -2862 ((-919) (-1253 |#1|))) (-15 -3761 ((-121) (-1253 |#1|))) (-15 -4079 ((-1253 (-1253 |#1|)) (-919))) (-15 -4109 ((-1253 |#1|) (-919))) (-15 -2415 ((-1161 |#1|) (-1253 |#1|)))) (-351)) (T -533)) 
-((-2415 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4)))) (-4109 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-4079 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 (-1253 *4))) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3761 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-533 *4)))) (-2862 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-919)) (-5 *1 (-533 *4)))) (-3243 (*1 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (-3588 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-919)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-3046 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-919)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-1383 (*1 *2 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-2408 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-3396 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1111)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-2684 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-1964 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-1253 *5)) (-5 *3 (-765)) (-5 *4 (-1111)) (-4 *5 (-351)) (-5 *1 (-533 *5)))) (-2975 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-2665 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4)))) (-1333 (*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3341 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-1327 (*1 *2 *3 *4) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-1258)) (-5 *1 (-533 *4))))) 
-(-10 -7 (-15 -1327 ((-1258) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) |#1|)) (-15 -3341 ((-1253 |#1|) (-919))) (-15 -1333 ((-1253 |#1|) (-919) (-919))) (-15 -2665 ((-1161 |#1|) (-1253 |#1|))) (-15 -2975 ((-1161 |#1|) (-765))) (-15 -1964 ((-1253 |#1|) (-1253 |#1|) (-765) (-1111))) (-15 -2684 ((-1253 |#1|) (-1253 |#1|) (-765))) (-15 -3396 ((-1253 |#1|) (-1253 |#1|) (-1111) (-1111))) (-15 -2408 ((-1253 |#1|) (-1253 |#1|) (-569))) (-15 ** ((-1253 |#1|) (-1253 |#1|) (-569))) (-15 * ((-1253 |#1|) (-1253 |#1|) (-1253 |#1|))) (-15 -1383 ((-1253 |#1|) (-1253 |#1|) (-1253 |#1|))) (-15 -3046 ((-1253 |#1|) (-1253 |#1|) (-919))) (-15 -3588 ((-1253 |#1|) (-1253 |#1|) (-919))) (-15 -3243 ((-1253 |#1|) (-1253 |#1|))) (-15 -2862 ((-919) (-1253 |#1|))) (-15 -3761 ((-121) (-1253 |#1|))) (-15 -4079 ((-1253 (-1253 |#1|)) (-919))) (-15 -4109 ((-1253 |#1|) (-919))) (-15 -2415 ((-1161 |#1|) (-1253 |#1|)))) 
-((-2112 (((-1 |#1| |#1|) |#1|) 11)) (-1589 (((-1 |#1| |#1|)) 10))) 
-(((-534 |#1|) (-10 -7 (-15 -1589 ((-1 |#1| |#1|))) (-15 -2112 ((-1 |#1| |#1|) |#1|))) (-13 (-718) (-25))) (T -534)) 
-((-2112 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-718) (-25))))) (-1589 (*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-718) (-25)))))) 
-(-10 -7 (-15 -1589 ((-1 |#1| |#1|))) (-15 -2112 ((-1 |#1| |#1|) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4288 (($ $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-3179 (($ (-765) |#1|) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 (-765) (-765)) $) NIL)) (-4418 ((|#1| $) NIL)) (-3270 (((-765) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 20)) (-2407 (($) NIL T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-765) $) NIL) (($ (-919) $) NIL))) 
-(((-535 |#1|) (-13 (-790) (-519 (-765) |#1|)) (-844)) (T -535)) 
-NIL 
-(-13 (-790) (-519 (-765) |#1|)) 
-((-1558 (((-635 |#2|) (-1161 |#1|) |#3|) 83)) (-2637 (((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#2|))))) (-681 |#1|) |#3| (-1 (-421 (-1161 |#1|)) (-1161 |#1|))) 99)) (-3250 (((-1161 |#1|) (-681 |#1|)) 95))) 
-(((-536 |#1| |#2| |#3|) (-10 -7 (-15 -3250 ((-1161 |#1|) (-681 |#1|))) (-15 -1558 ((-635 |#2|) (-1161 |#1|) |#3|)) (-15 -2637 ((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#2|))))) (-681 |#1|) |#3| (-1 (-421 (-1161 |#1|)) (-1161 |#1|))))) (-366) (-366) (-13 (-366) (-842))) (T -536)) 
-((-2637 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *6)) (-5 *5 (-1 (-421 (-1161 *6)) (-1161 *6))) (-4 *6 (-366)) (-5 *2 (-635 (-2 (|:| |outval| *7) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 *7)))))) (-5 *1 (-536 *6 *7 *4)) (-4 *7 (-366)) (-4 *4 (-13 (-366) (-842))))) (-1558 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *5)) (-4 *5 (-366)) (-5 *2 (-635 *6)) (-5 *1 (-536 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842))))) (-3250 (*1 *2 *3) (-12 (-5 *3 (-681 *4)) (-4 *4 (-366)) (-5 *2 (-1161 *4)) (-5 *1 (-536 *4 *5 *6)) (-4 *5 (-366)) (-4 *6 (-13 (-366) (-842)))))) 
-(-10 -7 (-15 -3250 ((-1161 |#1|) (-681 |#1|))) (-15 -1558 ((-635 |#2|) (-1161 |#1|) |#3|)) (-15 -2637 ((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#2|))))) (-681 |#1|) |#3| (-1 (-421 (-1161 |#1|)) (-1161 |#1|))))) 
-((-1310 (((-121) $ $) 7)) (-2086 (((-1165) $) 20)) (-1578 (((-765) $) 22)) (-1913 (((-1165) $ (-1165)) 23)) (-1435 (((-765) $ (-765)) 28)) (-1600 ((|#5| $ |#5|) 31)) (-1664 (((-765) $ (-765)) 27)) (-1411 (((-33 |#1|) $ (-33 |#1|)) 29)) (-1524 (((-635 |#6|) $ (-635 |#6|)) 24)) (-1755 ((|#8| $ |#8|) 25)) (-4409 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $ (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) 30)) (-3584 ((|#9| $ |#9|) 26)) (-2440 ((|#5| $) 19)) (-1359 (((-765) $) 16)) (-3376 (((-33 |#1|) $) 17)) (-4073 (((-635 |#6|) $) 21)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1621 ((|#8| $) 14)) (-2284 (((-919) $) 12)) (-1828 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $) 18)) (-1896 (($ |#5| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) (-765) |#9| (-765) |#8| |#1| (-1165)) 33) (($ |#5| |#3|) 32)) (-3956 (((-852) $) 11)) (-4460 ((|#9| $) 15)) (-2870 ((|#1| $) 13)) (-1326 (((-121) $ $) 6))) 
-(((-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-1284) (-366) (-635 (-1165)) (-952 |t#1| |t#4| (-854 |t#2|)) (-231 (-2946 |t#2|) (-765)) (-973 |t#1|) (-642 |t#1|) (-922 |t#1| |t#6|) (-236 |t#7|) (-117)) (T -537)) 
-((-1896 (*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1165)) (-4 *8 (-366)) (-5 *5 (-765)) (-4 *12 (-231 (-2946 *10) *5)) (-4 *13 (-642 *8)) (-4 *14 (-922 *8 *13)) (-4 *1 (-537 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-952 *8 *12 (-854 *10))) (-4 *2 (-973 *8)) (-4 *7 (-236 *14)) (-4 *6 (-117)))) (-1896 (*1 *1 *2 *3) (-12 (-4 *4 (-366)) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-642 *4)) (-4 *8 (-922 *4 *7)) (-4 *1 (-537 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *2 (-973 *4)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) (-1600 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *2 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) (-4409 (*1 *2 *1 *2) (-12 (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1411 (*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1435 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765)))) (-1664 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765)))) (-3584 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117)))) (-1755 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *2 (-236 *9)) (-4 *10 (-117)))) (-1524 (*1 *2 *1 *2) (-12 (-5 *2 (-635 *8)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1913 (*1 *2 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1578 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765)))) (-4073 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-635 *8)))) (-2086 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-1165)))) (-2440 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-973 *3)))) (-1828 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *3)))) (-3376 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3)))) (-1359 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765)))) (-4460 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117)))) (-1621 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-117)) (-4 *2 (-236 *9)))) (-2870 (*1 *2 *1) (-12 (-4 *1 (-537 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-952 *2 *5 (-854 *3))) (-4 *5 (-231 (-2946 *3) (-765))) (-4 *6 (-973 *2)) (-4 *7 (-642 *2)) (-4 *8 (-922 *2 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-366))))) 
-(-13 (-1091) (-10 -8 (-15 -1896 ($ |t#5| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |t#1|) (-33 |t#1|) (-765) |t#9| (-765) |t#8| |t#1| (-1165))) (-15 -1896 ($ |t#5| |t#3|)) (-15 -1600 (|t#5| $ |t#5|)) (-15 -4409 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |t#1|) $ (-243 (-3124 (QUOTE X) (QUOTE -2866)) |t#1|))) (-15 -1411 ((-33 |t#1|) $ (-33 |t#1|))) (-15 -1435 ((-765) $ (-765))) (-15 -1664 ((-765) $ (-765))) (-15 -3584 (|t#9| $ |t#9|)) (-15 -1755 (|t#8| $ |t#8|)) (-15 -1524 ((-635 |t#6|) $ (-635 |t#6|))) (-15 -1913 ((-1165) $ (-1165))) (-15 -1578 ((-765) $)) (-15 -4073 ((-635 |t#6|) $)) (-15 -2086 ((-1165) $)) (-15 -2440 (|t#5| $)) (-15 -1828 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |t#1|) $)) (-15 -3376 ((-33 |t#1|) $)) (-15 -1359 ((-765) $)) (-15 -4460 (|t#9| $)) (-15 -1621 (|t#8| $)) (-15 -2870 (|t#1| $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T) ((-1091) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2086 (((-1165) $) NIL)) (-1578 (((-765) $) NIL)) (-1913 (((-1165) $ (-1165)) NIL)) (-1435 (((-765) $ (-765)) NIL)) (-1600 (((-969 |#1|) $ (-969 |#1|)) NIL)) (-1664 (((-765) $ (-765)) NIL)) (-1411 (((-33 (-859 |#1|)) $ (-33 (-859 |#1|))) NIL)) (-1524 (((-635 (-776 (-859 |#1|))) $ (-635 (-776 (-859 |#1|)))) NIL)) (-1755 (((-237 (-924 |#1|)) $ (-237 (-924 |#1|))) NIL)) (-4409 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) (-859 |#1|)) $ (-243 (-3124 (QUOTE X) (QUOTE -2866)) (-859 |#1|))) NIL)) (-3584 ((|#3| $ |#3|) NIL)) (-2440 (((-969 |#1|) $) NIL)) (-1359 (((-765) $) NIL)) (-3376 (((-33 (-859 |#1|)) $) NIL)) (-4073 (((-635 (-776 (-859 |#1|))) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1804 (((-121) (-121)) NIL) (((-121)) NIL)) (-3795 (((-852) $) NIL)) (-1621 (((-237 (-924 |#1|)) $) NIL)) (-2284 (((-919) $) NIL)) (-1828 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) (-859 |#1|)) $) NIL)) (-1896 (($ (-969 |#1|) (-243 (-3124 (QUOTE X) (QUOTE -2866)) (-859 |#1|)) (-33 (-859 |#1|)) (-765) |#3| (-765) (-237 (-924 |#1|)) (-859 |#1|) (-1165)) NIL) (($ (-969 |#1|) (-243 |#2| (-859 |#1|))) NIL)) (-3956 (((-852) $) NIL)) (-4460 ((|#3| $) NIL)) (-2870 (((-859 |#1|) $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-538 |#1| |#2| |#3|) (-13 (-537 (-859 |#1|) |#2| (-243 |#2| (-859 |#1|)) (-233 (-2946 |#2|) (-765)) (-969 |#1|) (-776 (-859 |#1|)) (-924 |#1|) (-237 (-924 |#1|)) |#3|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) (-351) (-635 (-1165)) (-117)) (T -538)) 
-((-3795 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1804 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1804 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(-13 (-537 (-859 |#1|) |#2| (-243 |#2| (-859 |#1|)) (-233 (-2946 |#2|) (-765)) (-969 |#1|) (-776 (-859 |#1|)) (-924 |#1|) (-237 (-924 |#1|)) |#3|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) 
-((-1310 (((-121) $ $) NIL)) (-2086 (((-1165) $) 42)) (-1578 (((-765) $) 48)) (-1913 (((-1165) $ (-1165)) 81)) (-1435 (((-765) $ (-765)) 71)) (-1600 ((|#5| $ |#5|) 74)) (-1664 (((-765) $ (-765)) 77)) (-1411 (((-33 |#1|) $ (-33 |#1|)) 76)) (-1524 (((-635 |#6|) $ (-635 |#6|)) 79)) (-1755 ((|#8| $ |#8|) 80)) (-4409 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $ (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) 75)) (-3584 ((|#9| $ |#9|) 78)) (-2440 ((|#5| $) 40)) (-1359 (((-765) $) 43)) (-3376 (((-33 |#1|) $) 45)) (-4073 (((-635 |#6|) $) 73)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1804 (((-121) (-121)) 52) (((-121)) 53)) (-3795 (((-852) $) 50)) (-1621 ((|#8| $) 47)) (-2284 (((-919) $) 58)) (-1828 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $) 44)) (-1896 (($ |#5| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) (-765) |#9| (-765) |#8| |#1| (-1165)) 59) (($ |#5| |#3|) 70)) (-3956 (((-852) $) 54)) (-4460 ((|#9| $) 46)) (-2870 ((|#1| $) 55)) (-1326 (((-121) $ $) NIL))) 
-(((-539 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-13 (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|) (-236 |#7|) (-117)) (T -539)) 
-((-3795 (*1 *2 *1) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *2 (-852)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1804 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1804 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *2 (-121)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(-13 (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) 
-((-3420 (((-837 (-569))) 11)) (-3413 (((-837 (-569))) 13)) (-2036 (((-830 (-569))) 8))) 
-(((-540) (-10 -7 (-15 -2036 ((-830 (-569)))) (-15 -3420 ((-837 (-569)))) (-15 -3413 ((-837 (-569)))))) (T -540)) 
-((-3413 (*1 *2) (-12 (-5 *2 (-837 (-569))) (-5 *1 (-540)))) (-3420 (*1 *2) (-12 (-5 *2 (-837 (-569))) (-5 *1 (-540)))) (-2036 (*1 *2) (-12 (-5 *2 (-830 (-569))) (-5 *1 (-540))))) 
-(-10 -7 (-15 -2036 ((-830 (-569)))) (-15 -3420 ((-837 (-569)))) (-15 -3413 ((-837 (-569))))) 
-((-1847 (((-542) (-1165)) 15)) (-2064 ((|#1| (-542)) 20))) 
-(((-541 |#1|) (-10 -7 (-15 -1847 ((-542) (-1165))) (-15 -2064 (|#1| (-542)))) (-1199)) (T -541)) 
-((-2064 (*1 *2 *3) (-12 (-5 *3 (-542)) (-5 *1 (-541 *2)) (-4 *2 (-1199)))) (-1847 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-542)) (-5 *1 (-541 *4)) (-4 *4 (-1199))))) 
-(-10 -7 (-15 -1847 ((-542) (-1165))) (-15 -2064 (|#1| (-542)))) 
-((-1310 (((-121) $ $) NIL)) (-3760 (((-1147) $) 46)) (-1285 (((-121) $) 43)) (-3379 (((-1165) $) 44)) (-4249 (((-121) $) 41)) (-3257 (((-1147) $) 42)) (-4347 (($ (-1147)) 47)) (-3766 (((-121) $) NIL)) (-2767 (((-121) $) NIL)) (-3613 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1862 (($ $ (-635 (-1165))) 20)) (-2064 (((-57) $) 22)) (-1325 (((-121) $) NIL)) (-3237 (((-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-3659 (($ $ (-635 (-1165)) (-1165)) 59)) (-2275 (((-121) $) NIL)) (-3222 (((-216) $) NIL)) (-4038 (($ $) 38)) (-2824 (((-852) $) NIL)) (-4399 (((-121) $ $) NIL)) (-2503 (($ $ (-569)) NIL) (($ $ (-635 (-569))) NIL)) (-3171 (((-635 $) $) 28)) (-1937 (((-1165) (-635 $)) 48)) (-4035 (($ (-635 $)) 52) (($ (-1147)) NIL) (($ (-1165)) 18) (($ (-569)) 8) (($ (-216)) 25) (($ (-852)) NIL) (((-1097) $) 11) (($ (-1097)) 12)) (-3306 (((-1165) (-1165) (-635 $)) 51)) (-3956 (((-852) $) NIL)) (-3860 (($ $) 50)) (-3854 (($ $) 49)) (-1966 (($ $ (-635 $)) 56)) (-2437 (((-121) $) 27)) (-2407 (($) 9 T CONST)) (-3297 (($) 10 T CONST)) (-1326 (((-121) $ $) 60)) (-1383 (($ $ $) 65)) (-1371 (($ $ $) 61)) (** (($ $ (-765)) 64) (($ $ (-569)) 63)) (* (($ $ $) 62)) (-2946 (((-569) $) NIL))) 
-(((-542) (-13 (-1096 (-1147) (-1165) (-569) (-216) (-852)) (-610 (-1097)) (-10 -8 (-15 -2064 ((-57) $)) (-15 -4035 ($ (-1097))) (-15 -1966 ($ $ (-635 $))) (-15 -3659 ($ $ (-635 (-1165)) (-1165))) (-15 -1862 ($ $ (-635 (-1165)))) (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ (-765))) (-15 ** ($ $ (-569))) (-15 0 ($) -3575) (-15 1 ($) -3575) (-15 -4038 ($ $)) (-15 -3760 ((-1147) $)) (-15 -4347 ($ (-1147))) (-15 -1937 ((-1165) (-635 $))) (-15 -3306 ((-1165) (-1165) (-635 $)))))) (T -542)) 
-((-2064 (*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-542)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-1097)) (-5 *1 (-542)))) (-1966 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-542))) (-5 *1 (-542)))) (-3659 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-1165)) (-5 *1 (-542)))) (-1862 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-542)))) (-1371 (*1 *1 *1 *1) (-5 *1 (-542))) (* (*1 *1 *1 *1) (-5 *1 (-542))) (-1383 (*1 *1 *1 *1) (-5 *1 (-542))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-542)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-542)))) (-2407 (*1 *1) (-5 *1 (-542))) (-3297 (*1 *1) (-5 *1 (-542))) (-4038 (*1 *1 *1) (-5 *1 (-542))) (-3760 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-542)))) (-4347 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-542)))) (-1937 (*1 *2 *3) (-12 (-5 *3 (-635 (-542))) (-5 *2 (-1165)) (-5 *1 (-542)))) (-3306 (*1 *2 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-542))) (-5 *1 (-542))))) 
-(-13 (-1096 (-1147) (-1165) (-569) (-216) (-852)) (-610 (-1097)) (-10 -8 (-15 -2064 ((-57) $)) (-15 -4035 ($ (-1097))) (-15 -1966 ($ $ (-635 $))) (-15 -3659 ($ $ (-635 (-1165)) (-1165))) (-15 -1862 ($ $ (-635 (-1165)))) (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ (-765))) (-15 ** ($ $ (-569))) (-15 (-2407) ($) -3575) (-15 (-3297) ($) -3575) (-15 -4038 ($ $)) (-15 -3760 ((-1147) $)) (-15 -4347 ($ (-1147))) (-15 -1937 ((-1165) (-635 $))) (-15 -3306 ((-1165) (-1165) (-635 $))))) 
-((-3140 ((|#2| |#2|) 17)) (-3380 ((|#2| |#2|) 13)) (-4195 ((|#2| |#2| (-569) (-569)) 20)) (-1401 ((|#2| |#2|) 15))) 
-(((-543 |#1| |#2|) (-10 -7 (-15 -3380 (|#2| |#2|)) (-15 -1401 (|#2| |#2|)) (-15 -3140 (|#2| |#2|)) (-15 -4195 (|#2| |#2| (-569) (-569)))) (-13 (-559) (-151)) (-1243 |#1|)) (T -543)) 
-((-4195 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-543 *4 *2)) (-4 *2 (-1243 *4)))) (-3140 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3)))) (-1401 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3)))) (-3380 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3))))) 
-(-10 -7 (-15 -3380 (|#2| |#2|)) (-15 -1401 (|#2| |#2|)) (-15 -3140 (|#2| |#2|)) (-15 -4195 (|#2| |#2| (-569) (-569)))) 
-((-2991 (((-635 (-289 (-955 |#2|))) (-635 |#2|) (-635 (-1165))) 32)) (-4147 (((-635 |#2|) (-955 |#1|) |#3|) 53) (((-635 |#2|) (-1161 |#1|) |#3|) 52)) (-4519 (((-635 (-635 |#2|)) (-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165)) |#3|) 87))) 
-(((-544 |#1| |#2| |#3|) (-10 -7 (-15 -4147 ((-635 |#2|) (-1161 |#1|) |#3|)) (-15 -4147 ((-635 |#2|) (-955 |#1|) |#3|)) (-15 -4519 ((-635 (-635 |#2|)) (-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165)) |#3|)) (-15 -2991 ((-635 (-289 (-955 |#2|))) (-635 |#2|) (-635 (-1165))))) (-454) (-366) (-13 (-366) (-842))) (T -544)) 
-((-2991 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1165))) (-4 *6 (-366)) (-5 *2 (-635 (-289 (-955 *6)))) (-5 *1 (-544 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-13 (-366) (-842))))) (-4519 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-544 *6 *7 *5)) (-4 *7 (-366)) (-4 *5 (-13 (-366) (-842))))) (-4147 (*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842))))) (-4147 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842)))))) 
-(-10 -7 (-15 -4147 ((-635 |#2|) (-1161 |#1|) |#3|)) (-15 -4147 ((-635 |#2|) (-955 |#1|) |#3|)) (-15 -4519 ((-635 (-635 |#2|)) (-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165)) |#3|)) (-15 -2991 ((-635 (-289 (-955 |#2|))) (-635 |#2|) (-635 (-1165))))) 
-((-2688 ((|#2| |#2| |#1|) 17)) (-2575 ((|#2| (-635 |#2|)) 26)) (-2959 ((|#2| (-635 |#2|)) 45))) 
-(((-545 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2575 (|#2| (-635 |#2|))) (-15 -2959 (|#2| (-635 |#2|))) (-15 -2688 (|#2| |#2| |#1|))) (-302) (-1228 |#1|) |#1| (-1 |#1| |#1| (-765))) (T -545)) 
-((-2688 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-765))) (-5 *1 (-545 *3 *2 *4 *5)) (-4 *2 (-1228 *3)))) (-2959 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-765))))) (-2575 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-765)))))) 
-(-10 -7 (-15 -2575 (|#2| (-635 |#2|))) (-15 -2959 (|#2| (-635 |#2|))) (-15 -2688 (|#2| |#2| |#1|))) 
-((-3139 (((-421 (-1161 |#4|)) (-1161 |#4|) (-1 (-421 (-1161 |#3|)) (-1161 |#3|))) 79) (((-421 |#4|) |#4| (-1 (-421 (-1161 |#3|)) (-1161 |#3|))) 164))) 
-(((-546 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4| (-1 (-421 (-1161 |#3|)) (-1161 |#3|)))) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|) (-1 (-421 (-1161 |#3|)) (-1161 |#3|))))) (-844) (-790) (-13 (-302) (-151)) (-952 |#3| |#2| |#1|)) (T -546)) 
-((-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1161 *7)) (-1161 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *8 (-952 *7 *6 *5)) (-5 *2 (-421 (-1161 *8))) (-5 *1 (-546 *5 *6 *7 *8)) (-5 *3 (-1161 *8)))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1161 *7)) (-1161 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *2 (-421 *3)) (-5 *1 (-546 *5 *6 *7 *3)) (-4 *3 (-952 *7 *6 *5))))) 
-(-10 -7 (-15 -3139 ((-421 |#4|) |#4| (-1 (-421 (-1161 |#3|)) (-1161 |#3|)))) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|) (-1 (-421 (-1161 |#3|)) (-1161 |#3|))))) 
-((-3140 ((|#4| |#4|) 73)) (-3380 ((|#4| |#4|) 69)) (-4195 ((|#4| |#4| (-569) (-569)) 75)) (-1401 ((|#4| |#4|) 71))) 
-(((-547 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3380 (|#4| |#4|)) (-15 -1401 (|#4| |#4|)) (-15 -3140 (|#4| |#4|)) (-15 -4195 (|#4| |#4| (-569) (-569)))) (-13 (-366) (-371) (-610 (-569))) (-1228 |#1|) (-716 |#1| |#2|) (-1243 |#3|)) (T -547)) 
-((-4195 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-4 *5 (-1228 *4)) (-4 *6 (-716 *4 *5)) (-5 *1 (-547 *4 *5 *6 *2)) (-4 *2 (-1243 *6)))) (-3140 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5)))) (-1401 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5)))) (-3380 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5))))) 
-(-10 -7 (-15 -3380 (|#4| |#4|)) (-15 -1401 (|#4| |#4|)) (-15 -3140 (|#4| |#4|)) (-15 -4195 (|#4| |#4| (-569) (-569)))) 
-((-3140 ((|#2| |#2|) 27)) (-3380 ((|#2| |#2|) 23)) (-4195 ((|#2| |#2| (-569) (-569)) 29)) (-1401 ((|#2| |#2|) 25))) 
-(((-548 |#1| |#2|) (-10 -7 (-15 -3380 (|#2| |#2|)) (-15 -1401 (|#2| |#2|)) (-15 -3140 (|#2| |#2|)) (-15 -4195 (|#2| |#2| (-569) (-569)))) (-13 (-366) (-371) (-610 (-569))) (-1243 |#1|)) (T -548)) 
-((-4195 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-5 *1 (-548 *4 *2)) (-4 *2 (-1243 *4)))) (-3140 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3)))) (-1401 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3)))) (-3380 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3))))) 
-(-10 -7 (-15 -3380 (|#2| |#2|)) (-15 -1401 (|#2| |#2|)) (-15 -3140 (|#2| |#2|)) (-15 -4195 (|#2| |#2| (-569) (-569)))) 
-((-2701 (((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)) 14) (((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|)) 13) (((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|)) 26))) 
-(((-549 |#1| |#2|) (-10 -7 (-15 -2701 ((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -2701 ((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -2701 ((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)))) (-1049) (-1228 |#1|)) (T -549)) 
-((-2701 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1228 *4)))) (-2701 (*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1228 *4)))) (-2701 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-569) "failed") *5)) (-4 *5 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *5 *3)) (-4 *3 (-1228 *5))))) 
-(-10 -7 (-15 -2701 ((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -2701 ((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -2701 ((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)))) 
-((-3163 (($ $ $) 78)) (-3742 (((-421 $) $) 46)) (-3003 (((-3 (-569) "failed") $) 58)) (-1321 (((-569) $) 36)) (-1330 (((-3 (-410 (-569)) "failed") $) 73)) (-4429 (((-121) $) 23)) (-2096 (((-410 (-569)) $) 71)) (-2005 (((-121) $) 49)) (-1306 (($ $ $ $) 85)) (-1863 (((-121) $) 15)) (-2578 (($ $ $) 56)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 68)) (-1542 (((-3 $ "failed") $) 63)) (-1852 (($ $) 22)) (-2624 (($ $ $) 83)) (-1423 (($) 59)) (-1954 (($ $) 52)) (-3139 (((-421 $) $) 44)) (-3912 (((-121) $) 13)) (-2061 (((-765) $) 27)) (-3289 (($ $ (-765)) NIL) (($ $) 10)) (-1799 (($ $) 16)) (-4035 (((-569) $) NIL) (((-542) $) 35) (((-889 (-569)) $) 39) (((-382) $) 30) (((-216) $) 32)) (-2320 (((-765)) 8)) (-3245 (((-121) $ $) 19)) (-4196 (($ $ $) 54))) 
-(((-550 |#1|) (-10 -8 (-15 -2624 (|#1| |#1| |#1|)) (-15 -1306 (|#1| |#1| |#1| |#1|)) (-15 -1852 (|#1| |#1|)) (-15 -1799 (|#1| |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -3163 (|#1| |#1| |#1|)) (-15 -3245 ((-121) |#1| |#1|)) (-15 -3912 ((-121) |#1|)) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -2578 (|#1| |#1| |#1|)) (-15 -1954 (|#1| |#1|)) (-15 -4196 (|#1| |#1| |#1|)) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -4035 ((-569) |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -1863 ((-121) |#1|)) (-15 -2061 ((-765) |#1|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2005 ((-121) |#1|)) (-15 -2320 ((-765)))) (-551)) (T -550)) 
-((-2320 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-550 *3)) (-4 *3 (-551))))) 
-(-10 -8 (-15 -2624 (|#1| |#1| |#1|)) (-15 -1306 (|#1| |#1| |#1| |#1|)) (-15 -1852 (|#1| |#1|)) (-15 -1799 (|#1| |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -3163 (|#1| |#1| |#1|)) (-15 -3245 ((-121) |#1| |#1|)) (-15 -3912 ((-121) |#1|)) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -2578 (|#1| |#1| |#1|)) (-15 -1954 (|#1| |#1|)) (-15 -4196 (|#1| |#1| |#1|)) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -4035 ((-569) |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -1863 ((-121) |#1|)) (-15 -2061 ((-765) |#1|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2005 ((-121) |#1|)) (-15 -2320 ((-765)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3163 (($ $ $) 82)) (-3748 (((-3 $ "failed") $ $) 18)) (-1796 (($ $ $ $) 70)) (-2710 (($ $) 49)) (-3742 (((-421 $) $) 50)) (-2889 (((-121) $ $) 122)) (-3817 (((-569) $) 111)) (-2546 (($ $ $) 85)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 103)) (-1321 (((-569) $) 102)) (-1614 (($ $ $) 126)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 101) (((-681 (-569)) (-681 $)) 100)) (-2611 (((-3 $ "failed") $) 33)) (-1330 (((-3 (-410 (-569)) "failed") $) 79)) (-4429 (((-121) $) 81)) (-2096 (((-410 (-569)) $) 80)) (-3341 (($) 78) (($ $) 77)) (-1626 (($ $ $) 125)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 120)) (-2005 (((-121) $) 51)) (-1306 (($ $ $ $) 68)) (-3872 (($ $ $) 83)) (-1863 (((-121) $) 113)) (-2578 (($ $ $) 94)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 97)) (-3934 (((-121) $) 30)) (-3520 (((-121) $) 89)) (-1542 (((-3 $ "failed") $) 91)) (-4311 (((-121) $) 112)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 129)) (-4416 (($ $ $ $) 69)) (-2157 (($ $ $) 114)) (-2713 (($ $ $) 115)) (-1852 (($ $) 72)) (-2718 (($ $) 86)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-2624 (($ $ $) 67)) (-1423 (($) 90 T CONST)) (-2144 (($ $) 74)) (-1912 (((-1111) $) 10) (($ $) 76)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1954 (($ $) 95)) (-3139 (((-421 $) $) 48)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 128) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 127)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 121)) (-3912 (((-121) $) 88)) (-2061 (((-765) $) 123)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 124)) (-3289 (($ $ (-765)) 108) (($ $) 106)) (-3231 (($ $) 73)) (-1799 (($ $) 75)) (-4035 (((-569) $) 105) (((-542) $) 99) (((-889 (-569)) $) 98) (((-382) $) 93) (((-216) $) 92)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 104)) (-2320 (((-765)) 28)) (-3245 (((-121) $ $) 84)) (-4196 (($ $ $) 96)) (-1710 (($) 87)) (-2909 (((-121) $ $) 38)) (-4005 (($ $ $ $) 71)) (-4080 (($ $) 110)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-765)) 109) (($ $) 107)) (-1355 (((-121) $ $) 117)) (-1343 (((-121) $ $) 118)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 116)) (-1337 (((-121) $ $) 119)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-551) (-1284)) (T -551)) 
-((-3520 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-3912 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-1710 (*1 *1) (-4 *1 (-551))) (-2718 (*1 *1 *1) (-4 *1 (-551))) (-2546 (*1 *1 *1 *1) (-4 *1 (-551))) (-3245 (*1 *2 *1 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-3872 (*1 *1 *1 *1) (-4 *1 (-551))) (-3163 (*1 *1 *1 *1) (-4 *1 (-551))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-2096 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) (-1330 (*1 *2 *1) (|partial| -12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) (-3341 (*1 *1) (-4 *1 (-551))) (-3341 (*1 *1 *1) (-4 *1 (-551))) (-1912 (*1 *1 *1) (-4 *1 (-551))) (-1799 (*1 *1 *1) (-4 *1 (-551))) (-2144 (*1 *1 *1) (-4 *1 (-551))) (-3231 (*1 *1 *1) (-4 *1 (-551))) (-1852 (*1 *1 *1) (-4 *1 (-551))) (-4005 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-1796 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-4416 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-1306 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-2624 (*1 *1 *1 *1) (-4 *1 (-551)))) 
-(-13 (-1208) (-302) (-817) (-226) (-610 (-569)) (-1039 (-569)) (-631 (-569)) (-610 (-542)) (-610 (-889 (-569))) (-883 (-569)) (-147) (-1023) (-151) (-1139) (-10 -8 (-15 -3520 ((-121) $)) (-15 -3912 ((-121) $)) (-6 -4570) (-15 -1710 ($)) (-15 -2718 ($ $)) (-15 -2546 ($ $ $)) (-15 -3245 ((-121) $ $)) (-15 -3872 ($ $ $)) (-15 -3163 ($ $ $)) (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $)) (-15 -3341 ($)) (-15 -3341 ($ $)) (-15 -1912 ($ $)) (-15 -1799 ($ $)) (-15 -2144 ($ $)) (-15 -3231 ($ $)) (-15 -1852 ($ $)) (-15 -4005 ($ $ $ $)) (-15 -1796 ($ $ $ $)) (-15 -4416 ($ $ $ $)) (-15 -1306 ($ $ $ $)) (-15 -2624 ($ $ $)) (-6 -4569))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-852)) . T) ((-147) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-542)) . T) ((-610 (-569)) . T) ((-610 (-889 (-569))) . T) ((-226) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-631 (-569)) . T) ((-709 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-817) . T) ((-842) . T) ((-844) . T) ((-883 (-569)) . T) ((-918) . T) ((-1023) . T) ((-1039 (-569)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) . T) ((-1208) . T)) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) NIL)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) NIL)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-552 |#1| |#2| |#3|) (-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) (-1093) (-1093) (-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571)))) (T -552)) 
-NIL 
-(-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) 
-((-3224 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1161 |#2|) (-1161 |#2|))) 49))) 
-(((-553 |#1| |#2|) (-10 -7 (-15 -3224 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1161 |#2|) (-1161 |#2|))))) (-13 (-844) (-559)) (-13 (-27) (-433 |#1|))) (T -553)) 
-((-3224 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1 (-1161 *3) (-1161 *3))) (-4 *3 (-13 (-27) (-433 *6))) (-4 *6 (-13 (-844) (-559))) (-5 *2 (-586 *3)) (-5 *1 (-553 *6 *3))))) 
-(-10 -7 (-15 -3224 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1161 |#2|) (-1161 |#2|))))) 
-((-1699 (((-586 |#5|) |#5| (-1 |#3| |#3|)) 195)) (-3846 (((-3 |#5| "failed") |#5| (-1 |#3| |#3|)) 191)) (-4182 (((-586 |#5|) |#5| (-1 |#3| |#3|)) 198))) 
-(((-554 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4182 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -1699 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3846 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) (-13 (-844) (-559) (-1039 (-569))) (-13 (-27) (-433 |#1|)) (-1228 |#2|) (-1228 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -554)) 
-((-3846 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-27) (-433 *4))) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-4 *7 (-1228 (-410 *6))) (-5 *1 (-554 *4 *5 *6 *7 *2)) (-4 *2 (-341 *5 *6 *7)))) (-1699 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-4 *8 (-1228 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8)))) (-4182 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-4 *8 (-1228 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
-(-10 -7 (-15 -4182 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -1699 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3846 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) 
-((-3177 (((-121) (-569) (-569)) 10)) (-3018 (((-569) (-569)) 7)) (-3493 (((-569) (-569) (-569)) 8))) 
-(((-555) (-10 -7 (-15 -3018 ((-569) (-569))) (-15 -3493 ((-569) (-569) (-569))) (-15 -3177 ((-121) (-569) (-569))))) (T -555)) 
-((-3177 (*1 *2 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-555)))) (-3493 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555)))) (-3018 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
-(-10 -7 (-15 -3018 ((-569) (-569))) (-15 -3493 ((-569) (-569) (-569))) (-15 -3177 ((-121) (-569) (-569)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-4469 ((|#1| $) 59)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3544 (($ $) 89)) (-3467 (($ $) 72)) (-4288 ((|#1| $) 60)) (-3748 (((-3 $ "failed") $ $) 18)) (-3422 (($ $) 71)) (-3530 (($ $) 88)) (-3455 (($ $) 73)) (-3559 (($ $) 87)) (-3480 (($ $) 74)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 67)) (-1321 (((-569) $) 66)) (-2611 (((-3 $ "failed") $) 33)) (-3764 (($ |#1| |#1|) 64)) (-1863 (((-121) $) 58)) (-3415 (($) 99)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 70)) (-4311 (((-121) $) 57)) (-2157 (($ $ $) 105)) (-2713 (($ $ $) 104)) (-3597 (($ $) 96)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3074 (($ |#1| |#1|) 65) (($ |#1|) 63) (($ (-410 (-569))) 62)) (-3790 ((|#1| $) 61)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1436 (((-3 $ "failed") $ $) 41)) (-3408 (($ $) 97)) (-3565 (($ $) 86)) (-3485 (($ $) 75)) (-3551 (($ $) 85)) (-3473 (($ $) 76)) (-3538 (($ $) 84)) (-3460 (($ $) 77)) (-3342 (((-121) $ |#1|) 56)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 68)) (-2320 (((-765)) 28)) (-3585 (($ $) 95)) (-3505 (($ $) 83)) (-2909 (((-121) $ $) 38)) (-3572 (($ $) 94)) (-3490 (($ $) 82)) (-3599 (($ $) 93)) (-3517 (($ $) 81)) (-4527 (($ $) 92)) (-3525 (($ $) 80)) (-3592 (($ $) 91)) (-3510 (($ $) 79)) (-3579 (($ $) 90)) (-3497 (($ $) 78)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 102)) (-1343 (((-121) $ $) 101)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 103)) (-1337 (((-121) $ $) 100)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ $) 98) (($ $ (-410 (-569))) 69)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-556 |#1|) (-1284) (-13 (-407) (-1185))) (T -556)) 
-((-3074 (*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-3764 (*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-3074 (*1 *1 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-3074 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))))) (-3790 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-4288 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-4469 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-1863 (*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121)))) (-4311 (*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121)))) (-3342 (*1 *2 *1 *3) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121))))) 
-(-13 (-454) (-844) (-1185) (-1004) (-1039 (-569)) (-10 -8 (-6 -4334) (-15 -3074 ($ |t#1| |t#1|)) (-15 -3764 ($ |t#1| |t#1|)) (-15 -3074 ($ |t#1|)) (-15 -3074 ($ (-410 (-569)))) (-15 -3790 (|t#1| $)) (-15 -4288 (|t#1| $)) (-15 -4469 (|t#1| $)) (-15 -1863 ((-121) $)) (-15 -4311 ((-121) $)) (-15 -3342 ((-121) $ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-40) . T) ((-98) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-280) . T) ((-286) . T) ((-454) . T) ((-503) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-844) . T) ((-1004) . T) ((-1039 (-569)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) . T) ((-1188) . T)) 
-((-2080 (((-1258) (-919) |#3| (-635 |#5|)) 55)) (-2966 ((|#8| |#3| |#3| (-635 |#10|) (-635 |#5|)) 52))) 
-(((-557 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -2966 (|#8| |#3| |#3| (-635 |#10|) (-635 |#5|))) (-15 -2080 ((-1258) (-919) |#3| (-635 |#5|)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -557)) 
-((-2080 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-919)) (-5 *5 (-635 *9)) (-4 *9 (-973 *6)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *4 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1258)) (-5 *1 (-557 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-259 *13)))) (-2966 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-635 *13)) (-5 *5 (-635 *9)) (-4 *9 (-973 *6)) (-4 *13 (-259 *12)) (-4 *6 (-366)) (-4 *12 (-537 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-635 (-1165))) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-4 *2 (-236 *11)) (-5 *1 (-557 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14))))) 
-(-10 -7 (-15 -2966 (|#8| |#3| |#3| (-635 |#10|) (-635 |#5|))) (-15 -2080 ((-1258) (-919) |#3| (-635 |#5|)))) 
-((-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 9)) (-2915 (($ $) 11)) (-2735 (((-121) $) 18)) (-2611 (((-3 $ "failed") $) 16)) (-2909 (((-121) $ $) 20))) 
-(((-558 |#1|) (-10 -8 (-15 -2735 ((-121) |#1|)) (-15 -2909 ((-121) |#1| |#1|)) (-15 -2915 (|#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|))) (-559)) (T -558)) 
-NIL 
-(-10 -8 (-15 -2735 ((-121) |#1|)) (-15 -2909 ((-121) |#1| |#1|)) (-15 -2915 (|#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ $) 41)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-559) (-1284)) (T -559)) 
-((-1436 (*1 *1 *1 *1) (|partial| -4 *1 (-559))) (-2545 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3667 *1) (|:| -4558 *1) (|:| |associate| *1))) (-4 *1 (-559)))) (-2915 (*1 *1 *1) (-4 *1 (-559))) (-2909 (*1 *2 *1 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121)))) (-2735 (*1 *2 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
-(-13 (-173) (-43 $) (-286) (-10 -8 (-15 -1436 ((-3 $ "failed") $ $)) (-15 -2545 ((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $)) (-15 -2915 ($ $)) (-15 -2909 ((-121) $ $)) (-15 -2735 ((-121) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-3747 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1165) (-635 |#2|)) 35)) (-4319 (((-586 |#2|) |#2| (-1165)) 58)) (-3412 (((-3 |#2| "failed") |#2| (-1165)) 147)) (-2008 (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) (-608 |#2|) (-635 (-608 |#2|))) 149)) (-3414 (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) |#2|) 38))) 
-(((-560 |#1| |#2|) (-10 -7 (-15 -3414 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) |#2|)) (-15 -3747 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1165) (-635 |#2|))) (-15 -3412 ((-3 |#2| "failed") |#2| (-1165))) (-15 -4319 ((-586 |#2|) |#2| (-1165))) (-15 -2008 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) (-608 |#2|) (-635 (-608 |#2|))))) (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -560)) 
-((-2008 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1165)) (-5 *6 (-635 (-608 *3))) (-5 *5 (-608 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-560 *7 *3)))) (-4319 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-3412 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-560 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-3747 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-560 *6 *3)))) (-3414 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
-(-10 -7 (-15 -3414 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) |#2|)) (-15 -3747 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1165) (-635 |#2|))) (-15 -3412 ((-3 |#2| "failed") |#2| (-1165))) (-15 -4319 ((-586 |#2|) |#2| (-1165))) (-15 -2008 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) (-608 |#2|) (-635 (-608 |#2|))))) 
-((-4378 (((-635 |#5|) (-635 |#5|)) 41))) 
-(((-561 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4378 ((-635 |#5|) (-635 |#5|)))) (-366) (-635 (-1165)) (-790) (-844) (-952 |#1| |#3| |#4|)) (T -561)) 
-((-4378 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-952 *3 *5 *6)) (-4 *3 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-561 *3 *4 *5 *6 *7)) (-14 *4 (-635 (-1165)))))) 
-(-10 -7 (-15 -4378 ((-635 |#5|) (-635 |#5|)))) 
-((-3742 (((-421 |#1|) |#1|) 18)) (-3139 (((-421 |#1|) |#1|) 32)) (-1522 (((-3 |#1| "failed") |#1|) 43)) (-1440 (((-421 |#1|) |#1|) 49))) 
-(((-562 |#1|) (-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -1440 ((-421 |#1|) |#1|)) (-15 -1522 ((-3 |#1| "failed") |#1|))) (-551)) (T -562)) 
-((-1522 (*1 *2 *2) (|partial| -12 (-5 *1 (-562 *2)) (-4 *2 (-551)))) (-1440 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) (-3742 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551))))) 
-(-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -1440 ((-421 |#1|) |#1|)) (-15 -1522 ((-3 |#1| "failed") |#1|))) 
-((-2087 (((-635 |#3|) |#8| (-635 |#3|)) 45)) (-3280 (((-635 |#3|) |#8| (-765) |#3| (-635 |#3|)) 44)) (-2533 (((-635 (-1253 |#1|)) |#8| (-635 |#3|)) 26)) (-1356 (((-635 (-1253 |#1|)) |#8| (-635 |#3|)) 27))) 
-(((-563 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1356 ((-635 (-1253 |#1|)) |#8| (-635 |#3|))) (-15 -2533 ((-635 (-1253 |#1|)) |#8| (-635 |#3|))) (-15 -2087 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -3280 ((-635 |#3|) |#8| (-765) |#3| (-635 |#3|)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|) (-236 |#7|)) (T -563)) 
-((-3280 (*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) *4)) (-5 *4 (-765)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-5 *1 (-563 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-973 *6)) (-4 *3 (-236 *11)))) (-2087 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-5 *1 (-563 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-973 *4)) (-4 *3 (-236 *10)))) (-2533 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-5 *2 (-635 (-1253 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-973 *5)) (-4 *3 (-236 *11)))) (-1356 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-5 *2 (-635 (-1253 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-973 *5)) (-4 *3 (-236 *11))))) 
-(-10 -7 (-15 -1356 ((-635 (-1253 |#1|)) |#8| (-635 |#3|))) (-15 -2533 ((-635 (-1253 |#1|)) |#8| (-635 |#3|))) (-15 -2087 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -3280 ((-635 |#3|) |#8| (-765) |#3| (-635 |#3|)))) 
-((-2549 (($) 9)) (-3291 (((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 29)) (-1316 (((-635 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $) 26)) (-2351 (($ (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) 23)) (-4394 (($ (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) 21)) (-3175 (((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33)) (-4283 (((-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) 31)) (-3080 (((-1258)) 12))) 
-(((-564) (-10 -8 (-15 -2549 ($)) (-15 -3080 ((-1258))) (-15 -1316 ((-635 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -4394 ($ (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -2351 ($ (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -3291 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4283 ((-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -3175 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -564)) 
-((-3175 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564)))) (-4283 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) (-3291 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564)))) (-2351 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-564)))) (-4394 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) (-1316 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-564)))) (-3080 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-564)))) (-2549 (*1 *1) (-5 *1 (-564)))) 
-(-10 -8 (-15 -2549 ($)) (-15 -3080 ((-1258))) (-15 -1316 ((-635 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -4394 ($ (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -2351 ($ (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -3291 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4283 ((-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -3175 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
-((-3132 (((-1161 (-410 (-1161 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1161 |#2|)) 28)) (-3434 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|))) 96) (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1161 |#2|)) 106)) (-2466 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|))) 78) (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|)) 50)) (-1318 (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1161 |#2|))) 85) (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1161 |#2|)) 105)) (-2098 (((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) (-608 |#2|) |#2| (-410 (-1161 |#2|))) 101) (((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) |#2| (-1161 |#2|)) 107)) (-4504 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|))) 124 (|has| |#3| (-647 |#2|))) (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|)) 123 (|has| |#3| (-647 |#2|)))) (-3187 ((|#2| (-1161 (-410 (-1161 |#2|))) (-608 |#2|) |#2|) 48)) (-2786 (((-1161 (-410 (-1161 |#2|))) (-1161 |#2|) (-608 |#2|)) 27))) 
-(((-565 |#1| |#2| |#3|) (-10 -7 (-15 -2466 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|))) (-15 -2466 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -1318 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1161 |#2|))) (-15 -1318 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -3434 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1161 |#2|))) (-15 -3434 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -2098 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) |#2| (-1161 |#2|))) (-15 -2098 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -3132 ((-1161 (-410 (-1161 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1161 |#2|))) (-15 -3187 (|#2| (-1161 (-410 (-1161 |#2|))) (-608 |#2|) |#2|)) (-15 -2786 ((-1161 (-410 (-1161 |#2|))) (-1161 |#2|) (-608 |#2|))) (IF (|has| |#3| (-647 |#2|)) (PROGN (-15 -4504 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|))) (-15 -4504 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|))))) |noBranch|)) (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569))) (-13 (-433 |#1|) (-27) (-1185)) (-1093)) (T -565)) 
-((-4504 (*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-410 (-1161 *4))) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093)))) (-4504 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1161 *4)) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093)))) (-2786 (*1 *2 *3 *4) (-12 (-5 *4 (-608 *6)) (-4 *6 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-1161 (-410 (-1161 *6)))) (-5 *1 (-565 *5 *6 *7)) (-5 *3 (-1161 *6)) (-4 *7 (-1093)))) (-3187 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1161 (-410 (-1161 *2)))) (-5 *4 (-608 *2)) (-4 *2 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *5 *2 *6)) (-4 *6 (-1093)))) (-3132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-1161 (-410 (-1161 *3)))) (-5 *1 (-565 *6 *3 *7)) (-5 *5 (-1161 *3)) (-4 *7 (-1093)))) (-2098 (*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-5 *5 (-410 (-1161 *2))) (-4 *2 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1093)))) (-2098 (*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-5 *5 (-1161 *2)) (-4 *2 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1093)))) (-3434 (*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1093)))) (-3434 (*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-1161 *3)) (-4 *3 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1093)))) (-1318 (*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093)))) (-1318 (*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-1161 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093)))) (-2466 (*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093)))) (-2466 (*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1161 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093))))) 
-(-10 -7 (-15 -2466 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|))) (-15 -2466 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -1318 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1161 |#2|))) (-15 -1318 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -3434 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1161 |#2|))) (-15 -3434 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -2098 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) |#2| (-1161 |#2|))) (-15 -2098 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -3132 ((-1161 (-410 (-1161 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1161 |#2|))) (-15 -3187 (|#2| (-1161 (-410 (-1161 |#2|))) (-608 |#2|) |#2|)) (-15 -2786 ((-1161 (-410 (-1161 |#2|))) (-1161 |#2|) (-608 |#2|))) (IF (|has| |#3| (-647 |#2|)) (PROGN (-15 -4504 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|))) (-15 -4504 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|))))) |noBranch|)) 
-((-2748 (((-569) (-569) (-765)) 65)) (-4208 (((-569) (-569)) 64)) (-1605 (((-569) (-569)) 63)) (-1711 (((-569) (-569)) 68)) (-1581 (((-569) (-569) (-569)) 48)) (-3314 (((-569) (-569) (-569)) 45)) (-1700 (((-410 (-569)) (-569)) 20)) (-3065 (((-569) (-569)) 21)) (-4475 (((-569) (-569)) 57)) (-3615 (((-569) (-569)) 32)) (-2021 (((-635 (-569)) (-569)) 62)) (-2719 (((-569) (-569) (-569) (-569) (-569)) 43)) (-1584 (((-410 (-569)) (-569)) 41))) 
-(((-566) (-10 -7 (-15 -1584 ((-410 (-569)) (-569))) (-15 -2719 ((-569) (-569) (-569) (-569) (-569))) (-15 -2021 ((-635 (-569)) (-569))) (-15 -3615 ((-569) (-569))) (-15 -4475 ((-569) (-569))) (-15 -3065 ((-569) (-569))) (-15 -1700 ((-410 (-569)) (-569))) (-15 -3314 ((-569) (-569) (-569))) (-15 -1581 ((-569) (-569) (-569))) (-15 -1711 ((-569) (-569))) (-15 -1605 ((-569) (-569))) (-15 -4208 ((-569) (-569))) (-15 -2748 ((-569) (-569) (-765))))) (T -566)) 
-((-2748 (*1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-765)) (-5 *1 (-566)))) (-4208 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1605 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1711 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1581 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-3314 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1700 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) (-3065 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-4475 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-3615 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2021 (*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) (-2719 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1584 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
-(-10 -7 (-15 -1584 ((-410 (-569)) (-569))) (-15 -2719 ((-569) (-569) (-569) (-569) (-569))) (-15 -2021 ((-635 (-569)) (-569))) (-15 -3615 ((-569) (-569))) (-15 -4475 ((-569) (-569))) (-15 -3065 ((-569) (-569))) (-15 -1700 ((-410 (-569)) (-569))) (-15 -3314 ((-569) (-569) (-569))) (-15 -1581 ((-569) (-569) (-569))) (-15 -1711 ((-569) (-569))) (-15 -1605 ((-569) (-569))) (-15 -4208 ((-569) (-569))) (-15 -2748 ((-569) (-569) (-765)))) 
-((-3892 (((-2 (|:| |answer| |#4|) (|:| -3519 |#4|)) |#4| (-1 |#2| |#2|)) 52))) 
-(((-567 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3892 ((-2 (|:| |answer| |#4|) (|:| -3519 |#4|)) |#4| (-1 |#2| |#2|)))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -567)) 
-((-3892 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -3519 *3))) (-5 *1 (-567 *5 *6 *7 *3)) (-4 *3 (-341 *5 *6 *7))))) 
-(-10 -7 (-15 -3892 ((-2 (|:| |answer| |#4|) (|:| -3519 |#4|)) |#4| (-1 |#2| |#2|)))) 
-((-3892 (((-2 (|:| |answer| (-410 |#2|)) (|:| -3519 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)) 18))) 
-(((-568 |#1| |#2|) (-10 -7 (-15 -3892 ((-2 (|:| |answer| (-410 |#2|)) (|:| -3519 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)))) (-366) (-1228 |#1|)) (T -568)) 
-((-3892 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| (-410 *6)) (|:| -3519 (-410 *6)) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-568 *5 *6)) (-5 *3 (-410 *6))))) 
-(-10 -7 (-15 -3892 ((-2 (|:| |answer| (-410 |#2|)) (|:| -3519 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 25)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 86)) (-2915 (($ $) 87)) (-2735 (((-121) $) NIL)) (-3163 (($ $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1796 (($ $ $ $) 42)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL)) (-2546 (($ $ $) 80)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL)) (-1321 (((-569) $) NIL)) (-1614 (($ $ $) 79)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 60) (((-681 (-569)) (-681 $)) 57)) (-2611 (((-3 $ "failed") $) 83)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL)) (-4429 (((-121) $) NIL)) (-2096 (((-410 (-569)) $) NIL)) (-3341 (($) 62) (($ $) 63)) (-1626 (($ $ $) 78)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1306 (($ $ $ $) NIL)) (-3872 (($ $ $) 54)) (-1863 (((-121) $) NIL)) (-2578 (($ $ $) NIL)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL)) (-3934 (((-121) $) 26)) (-3520 (((-121) $) 73)) (-1542 (((-3 $ "failed") $) NIL)) (-4311 (((-121) $) 34)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4416 (($ $ $ $) 43)) (-2157 (($ $ $) 75)) (-2713 (($ $ $) 74)) (-1852 (($ $) NIL)) (-2718 (($ $) 40)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) 53)) (-2624 (($ $ $) NIL)) (-1423 (($) NIL T CONST)) (-2144 (($ $) 31)) (-1912 (((-1111) $) NIL) (($ $) 33)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 117)) (-3964 (($ $ $) 84) (($ (-635 $)) NIL)) (-1954 (($ $) NIL)) (-3139 (((-421 $) $) 103)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) 82)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 77)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-3231 (($ $) 32)) (-1799 (($ $) 30)) (-4035 (((-569) $) 39) (((-542) $) 51) (((-889 (-569)) $) NIL) (((-382) $) 46) (((-216) $) 48) (((-1147) $) 52)) (-3956 (((-852) $) 37) (($ (-569)) 38) (($ $) NIL) (($ (-569)) 38)) (-2320 (((-765)) NIL)) (-3245 (((-121) $ $) NIL)) (-4196 (($ $ $) NIL)) (-1710 (($) 29)) (-2909 (((-121) $ $) NIL)) (-4005 (($ $ $ $) 41)) (-4080 (($ $) 61)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 27 T CONST)) (-3297 (($) 28 T CONST)) (-3685 (((-1147) $) 20) (((-1147) $ (-121)) 22) (((-1258) (-819) $) 23) (((-1258) (-819) $ (-121)) 24)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 64)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 65)) (-1377 (($ $) 66) (($ $ $) 68)) (-1371 (($ $ $) 67)) (** (($ $ (-919)) NIL) (($ $ (-765)) 72)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 70) (($ $ $) 69))) 
-(((-569) (-13 (-551) (-610 (-1147)) (-825) (-10 -8 (-15 -3341 ($ $)) (-6 -4558) (-6 -4563) (-6 -4559) (-6 -4553)))) (T -569)) 
-((-3341 (*1 *1 *1) (-5 *1 (-569)))) 
-(-13 (-551) (-610 (-1147)) (-825) (-10 -8 (-15 -3341 ($ $)) (-6 -4558) (-6 -4563) (-6 -4559) (-6 -4553))) 
-((-1550 (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763) (-1061)) 103) (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763)) 105)) (-1324 (((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1165)) 168) (((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1147)) 167) (((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382) (-1061)) 173) (((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382)) 174) (((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382)) 175) (((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382))))) 176) (((-1037) (-311 (-382)) (-1087 (-837 (-382)))) 163) (((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382)) 162) (((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382)) 158) (((-1037) (-763)) 150) (((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382) (-1061)) 157))) 
-(((-570) (-10 -7 (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382) (-1061))) (-15 -1324 ((-1037) (-763))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382) (-1061))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763) (-1061))) (-15 -1324 ((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1147))) (-15 -1324 ((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1165))))) (T -570)) 
-((-1324 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-837 (-382)))) (-5 *5 (-1165)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-837 (-382)))) (-5 *5 (-1147)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *1 (-570)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *6 (-1061)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *6 (-1061)) (-5 *2 (-1037)) (-5 *1 (-570))))) 
-(-10 -7 (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382) (-1061))) (-15 -1324 ((-1037) (-763))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382) (-1061))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763) (-1061))) (-15 -1324 ((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1147))) (-15 -1324 ((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1165)))) 
-((-2488 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|)) 179)) (-3891 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|)) 97)) (-4172 (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|) 175)) (-3949 (((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165))) 184)) (-1924 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1165)) 192 (|has| |#3| (-647 |#2|))))) 
-(((-571 |#1| |#2| |#3|) (-10 -7 (-15 -3891 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|))) (-15 -4172 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|)) (-15 -2488 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|))) (-15 -3949 ((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)))) (IF (|has| |#3| (-647 |#2|)) (-15 -1924 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1165))) |noBranch|)) (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569))) (-13 (-433 |#1|) (-27) (-1185)) (-1093)) (T -571)) 
-((-1924 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1165)) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-571 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093)))) (-3949 (*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-4 *2 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-571 *5 *2 *6)) (-4 *6 (-1093)))) (-2488 (*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-571 *6 *3 *7)) (-4 *7 (-1093)))) (-4172 (*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1093)))) (-3891 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1093))))) 
-(-10 -7 (-15 -3891 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|))) (-15 -4172 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|)) (-15 -2488 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|))) (-15 -3949 ((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)))) (IF (|has| |#3| (-647 |#2|)) (-15 -1924 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1165))) |noBranch|)) 
-((-3430 (((-2 (|:| -2303 |#2|) (|:| |nconst| |#2|)) |#2| (-1165)) 62)) (-2049 (((-3 |#2| "failed") |#2| (-1165) (-837 |#2|) (-837 |#2|)) 159 (-12 (|has| |#2| (-1127)) (|has| |#1| (-610 (-889 (-569)))) (|has| |#1| (-883 (-569))))) (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)) 133 (-12 (|has| |#2| (-621)) (|has| |#1| (-610 (-889 (-569)))) (|has| |#1| (-883 (-569)))))) (-4438 (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)) 142 (-12 (|has| |#2| (-621)) (|has| |#1| (-610 (-889 (-569)))) (|has| |#1| (-883 (-569))))))) 
-(((-572 |#1| |#2|) (-10 -7 (-15 -3430 ((-2 (|:| -2303 |#2|) (|:| |nconst| |#2|)) |#2| (-1165))) (IF (|has| |#1| (-610 (-889 (-569)))) (IF (|has| |#1| (-883 (-569))) (PROGN (IF (|has| |#2| (-621)) (PROGN (-15 -4438 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165))) (-15 -2049 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)))) |noBranch|) (IF (|has| |#2| (-1127)) (-15 -2049 ((-3 |#2| "failed") |#2| (-1165) (-837 |#2|) (-837 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) (-13 (-844) (-1039 (-569)) (-454) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -572)) 
-((-2049 (*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1165)) (-5 *4 (-837 *2)) (-4 *2 (-1127)) (-4 *2 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *1 (-572 *5 *2)))) (-2049 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-4438 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-3430 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| -2303 *3) (|:| |nconst| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
-(-10 -7 (-15 -3430 ((-2 (|:| -2303 |#2|) (|:| |nconst| |#2|)) |#2| (-1165))) (IF (|has| |#1| (-610 (-889 (-569)))) (IF (|has| |#1| (-883 (-569))) (PROGN (IF (|has| |#2| (-621)) (PROGN (-15 -4438 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165))) (-15 -2049 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)))) |noBranch|) (IF (|has| |#2| (-1127)) (-15 -2049 ((-3 |#2| "failed") |#2| (-1165) (-837 |#2|) (-837 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) 
-((-3608 (((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))) 39)) (-1324 (((-586 (-410 |#2|)) (-410 |#2|)) 27)) (-2703 (((-3 (-410 |#2|) "failed") (-410 |#2|)) 16)) (-2825 (((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|)) 46))) 
-(((-573 |#1| |#2|) (-10 -7 (-15 -1324 ((-586 (-410 |#2|)) (-410 |#2|))) (-15 -2703 ((-3 (-410 |#2|) "failed") (-410 |#2|))) (-15 -2825 ((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|))) (-15 -3608 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))))) (-13 (-366) (-151) (-1039 (-569))) (-1228 |#1|)) (T -573)) 
-((-3608 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-635 (-410 *6))) (-5 *3 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-573 *5 *6)))) (-2825 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -3339 (-410 *5)) (|:| |coeff| (-410 *5)))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5)))) (-2703 (*1 *2 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151) (-1039 (-569)))) (-5 *1 (-573 *3 *4)))) (-1324 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-586 (-410 *5))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5))))) 
-(-10 -7 (-15 -1324 ((-586 (-410 |#2|)) (-410 |#2|))) (-15 -2703 ((-3 (-410 |#2|) "failed") (-410 |#2|))) (-15 -2825 ((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|))) (-15 -3608 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))))) 
-((-4101 (((-3 (-569) "failed") |#1|) 14)) (-1325 (((-121) |#1|) 13)) (-3237 (((-569) |#1|) 9))) 
-(((-574 |#1|) (-10 -7 (-15 -3237 ((-569) |#1|)) (-15 -1325 ((-121) |#1|)) (-15 -4101 ((-3 (-569) "failed") |#1|))) (-1039 (-569))) (T -574)) 
-((-4101 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1039 *2)))) (-1325 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-574 *3)) (-4 *3 (-1039 (-569))))) (-3237 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1039 *2))))) 
-(-10 -7 (-15 -3237 ((-569) |#1|)) (-15 -1325 ((-121) |#1|)) (-15 -4101 ((-3 (-569) "failed") |#1|))) 
-((-2015 (((-3 (-2 (|:| |mainpart| (-410 (-955 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-955 |#1|))) (|:| |logand| (-410 (-955 |#1|))))))) "failed") (-410 (-955 |#1|)) (-1165) (-635 (-410 (-955 |#1|)))) 43)) (-4258 (((-586 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-1165)) 25)) (-2377 (((-3 (-410 (-955 |#1|)) "failed") (-410 (-955 |#1|)) (-1165)) 20)) (-2218 (((-3 (-2 (|:| -3339 (-410 (-955 |#1|))) (|:| |coeff| (-410 (-955 |#1|)))) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|))) 32))) 
-(((-575 |#1|) (-10 -7 (-15 -4258 ((-586 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -2377 ((-3 (-410 (-955 |#1|)) "failed") (-410 (-955 |#1|)) (-1165))) (-15 -2015 ((-3 (-2 (|:| |mainpart| (-410 (-955 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-955 |#1|))) (|:| |logand| (-410 (-955 |#1|))))))) "failed") (-410 (-955 |#1|)) (-1165) (-635 (-410 (-955 |#1|))))) (-15 -2218 ((-3 (-2 (|:| -3339 (-410 (-955 |#1|))) (|:| |coeff| (-410 (-955 |#1|)))) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|))))) (-13 (-559) (-1039 (-569)) (-151))) (T -575)) 
-((-2218 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-2 (|:| -3339 (-410 (-955 *5))) (|:| |coeff| (-410 (-955 *5))))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-955 *5))))) (-2015 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 (-410 (-955 *6)))) (-5 *3 (-410 (-955 *6))) (-4 *6 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-575 *6)))) (-2377 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-410 (-955 *4))) (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-1039 (-569)) (-151))) (-5 *1 (-575 *4)))) (-4258 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-586 (-410 (-955 *5)))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-955 *5)))))) 
-(-10 -7 (-15 -4258 ((-586 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -2377 ((-3 (-410 (-955 |#1|)) "failed") (-410 (-955 |#1|)) (-1165))) (-15 -2015 ((-3 (-2 (|:| |mainpart| (-410 (-955 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-955 |#1|))) (|:| |logand| (-410 (-955 |#1|))))))) "failed") (-410 (-955 |#1|)) (-1165) (-635 (-410 (-955 |#1|))))) (-15 -2218 ((-3 (-2 (|:| -3339 (-410 (-955 |#1|))) (|:| |coeff| (-410 (-955 |#1|)))) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|))))) 
-((-1310 (((-121) $ $) 59)) (-2225 (((-121) $) 36)) (-4469 ((|#1| $) 30)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) 63)) (-3544 (($ $) 123)) (-3467 (($ $) 103)) (-4288 ((|#1| $) 28)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL)) (-3530 (($ $) 125)) (-3455 (($ $) 99)) (-3559 (($ $) 127)) (-3480 (($ $) 107)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) 78)) (-1321 (((-569) $) 80)) (-2611 (((-3 $ "failed") $) 62)) (-3764 (($ |#1| |#1|) 26)) (-1863 (((-121) $) 33)) (-3415 (($) 89)) (-3934 (((-121) $) 43)) (-2522 (($ $ (-569)) NIL)) (-4311 (((-121) $) 34)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-3597 (($ $) 91)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3074 (($ |#1| |#1|) 20) (($ |#1|) 25) (($ (-410 (-569))) 77)) (-3790 ((|#1| $) 27)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) 65) (($ (-635 $)) NIL)) (-1436 (((-3 $ "failed") $ $) 64)) (-3408 (($ $) 93)) (-3565 (($ $) 131)) (-3485 (($ $) 105)) (-3551 (($ $) 133)) (-3473 (($ $) 109)) (-3538 (($ $) 129)) (-3460 (($ $) 101)) (-3342 (((-121) $ |#1|) 31)) (-3956 (((-852) $) 85) (($ (-569)) 67) (($ $) NIL) (($ (-569)) 67)) (-2320 (((-765)) 87)) (-3585 (($ $) 145)) (-3505 (($ $) 115)) (-2909 (((-121) $ $) NIL)) (-3572 (($ $) 143)) (-3490 (($ $) 111)) (-3599 (($ $) 141)) (-3517 (($ $) 121)) (-4527 (($ $) 139)) (-3525 (($ $) 119)) (-3592 (($ $) 137)) (-3510 (($ $) 117)) (-3579 (($ $) 135)) (-3497 (($ $) 113)) (-3403 (($ $ (-919)) 55) (($ $ (-765)) NIL)) (-2407 (($) 21 T CONST)) (-3297 (($) 10 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 37)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 35)) (-1377 (($ $) 41) (($ $ $) 42)) (-1371 (($ $ $) 40)) (** (($ $ (-919)) 54) (($ $ (-765)) NIL) (($ $ $) 95) (($ $ (-410 (-569))) 147)) (* (($ (-919) $) 51) (($ (-765) $) NIL) (($ (-569) $) 50) (($ $ $) 48))) 
-(((-576 |#1|) (-556 |#1|) (-13 (-407) (-1185))) (T -576)) 
-NIL 
-(-556 |#1|) 
-((-1447 (((-3 (-635 (-1161 (-569))) "failed") (-635 (-1161 (-569))) (-1161 (-569))) 24))) 
-(((-577) (-10 -7 (-15 -1447 ((-3 (-635 (-1161 (-569))) "failed") (-635 (-1161 (-569))) (-1161 (-569)))))) (T -577)) 
-((-1447 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 (-569)))) (-5 *3 (-1161 (-569))) (-5 *1 (-577))))) 
-(-10 -7 (-15 -1447 ((-3 (-635 (-1161 (-569))) "failed") (-635 (-1161 (-569))) (-1161 (-569))))) 
-((-1930 (((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1165)) 18)) (-3923 (((-635 (-608 |#2|)) (-635 |#2|) (-1165)) 23)) (-3577 (((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|))) 10)) (-1866 ((|#2| |#2| (-1165)) 51 (|has| |#1| (-559)))) (-4247 ((|#2| |#2| (-1165)) 76 (-12 (|has| |#2| (-280)) (|has| |#1| (-454))))) (-1380 (((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1165)) 25)) (-2865 (((-608 |#2|) (-635 (-608 |#2|))) 24)) (-3129 (((-586 |#2|) |#2| (-1165) (-1 (-586 |#2|) |#2| (-1165)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165))) 100 (-12 (|has| |#2| (-280)) (|has| |#2| (-621)) (|has| |#2| (-1039 (-1165))) (|has| |#1| (-610 (-889 (-569)))) (|has| |#1| (-454)) (|has| |#1| (-883 (-569))))))) 
-(((-578 |#1| |#2|) (-10 -7 (-15 -1930 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1165))) (-15 -2865 ((-608 |#2|) (-635 (-608 |#2|)))) (-15 -1380 ((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1165))) (-15 -3577 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|)))) (-15 -3923 ((-635 (-608 |#2|)) (-635 |#2|) (-1165))) (IF (|has| |#1| (-559)) (-15 -1866 (|#2| |#2| (-1165))) |noBranch|) (IF (|has| |#1| (-454)) (IF (|has| |#2| (-280)) (PROGN (-15 -4247 (|#2| |#2| (-1165))) (IF (|has| |#1| (-610 (-889 (-569)))) (IF (|has| |#1| (-883 (-569))) (IF (|has| |#2| (-621)) (IF (|has| |#2| (-1039 (-1165))) (-15 -3129 ((-586 |#2|) |#2| (-1165) (-1 (-586 |#2|) |#2| (-1165)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) (-844) (-433 |#1|)) (T -578)) 
-((-3129 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-586 *3) *3 (-1165))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1165))) (-4 *3 (-280)) (-4 *3 (-621)) (-4 *3 (-1039 *4)) (-4 *3 (-433 *7)) (-5 *4 (-1165)) (-4 *7 (-610 (-889 (-569)))) (-4 *7 (-454)) (-4 *7 (-883 (-569))) (-4 *7 (-844)) (-5 *2 (-586 *3)) (-5 *1 (-578 *7 *3)))) (-4247 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-454)) (-4 *4 (-844)) (-5 *1 (-578 *4 *2)) (-4 *2 (-280)) (-4 *2 (-433 *4)))) (-1866 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-559)) (-4 *4 (-844)) (-5 *1 (-578 *4 *2)) (-4 *2 (-433 *4)))) (-3923 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1165)) (-4 *6 (-433 *5)) (-4 *5 (-844)) (-5 *2 (-635 (-608 *6))) (-5 *1 (-578 *5 *6)))) (-3577 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-608 *4))) (-4 *4 (-433 *3)) (-4 *3 (-844)) (-5 *1 (-578 *3 *4)))) (-1380 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *6))) (-5 *4 (-1165)) (-5 *2 (-608 *6)) (-4 *6 (-433 *5)) (-4 *5 (-844)) (-5 *1 (-578 *5 *6)))) (-2865 (*1 *2 *3) (-12 (-5 *3 (-635 (-608 *5))) (-4 *4 (-844)) (-5 *2 (-608 *5)) (-5 *1 (-578 *4 *5)) (-4 *5 (-433 *4)))) (-1930 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-608 *5))) (-5 *3 (-1165)) (-4 *5 (-433 *4)) (-4 *4 (-844)) (-5 *1 (-578 *4 *5))))) 
-(-10 -7 (-15 -1930 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1165))) (-15 -2865 ((-608 |#2|) (-635 (-608 |#2|)))) (-15 -1380 ((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1165))) (-15 -3577 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|)))) (-15 -3923 ((-635 (-608 |#2|)) (-635 |#2|) (-1165))) (IF (|has| |#1| (-559)) (-15 -1866 (|#2| |#2| (-1165))) |noBranch|) (IF (|has| |#1| (-454)) (IF (|has| |#2| (-280)) (PROGN (-15 -4247 (|#2| |#2| (-1165))) (IF (|has| |#1| (-610 (-889 (-569)))) (IF (|has| |#1| (-883 (-569))) (IF (|has| |#2| (-621)) (IF (|has| |#2| (-1039 (-1165))) (-15 -3129 ((-586 |#2|) |#2| (-1165) (-1 (-586 |#2|) |#2| (-1165)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) 
-((-4351 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|)) 167)) (-3933 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|))) 143)) (-3405 (((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|))) 140)) (-3104 (((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) 129)) (-2228 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) 153)) (-2832 (((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|)) 170)) (-3094 (((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|)) 173)) (-1394 (((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)) 81)) (-4551 (((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)) 88)) (-3532 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|))) 147)) (-2694 (((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|)) 133)) (-3042 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|)) 157)) (-2659 (((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|)) 178))) 
-(((-579 |#1| |#2|) (-10 -7 (-15 -2228 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -3042 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -4351 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|))) (-15 -3094 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|))) (-15 -2659 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|))) (-15 -3933 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|)))) (-15 -3532 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|)))) (-15 -2832 ((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|))) (-15 -3405 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|)))) (-15 -3104 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -2694 ((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -1394 ((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|))) (-15 -4551 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) (-366) (-1228 |#1|)) (T -579)) 
-((-4551 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-579 *5 *3)))) (-1394 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |ir| (-586 (-410 *6))) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6)))) (-2694 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-616 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -3417 *4) (|:| |sol?| (-121))) (-569) *4)) (-4 *4 (-366)) (-4 *5 (-1228 *4)) (-5 *1 (-579 *4 *5)))) (-3104 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-366)) (-5 *1 (-579 *4 *2)) (-4 *2 (-1228 *4)))) (-3405 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-635 (-410 *7))) (-4 *7 (-1228 *6)) (-5 *3 (-410 *7)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-579 *6 *7)))) (-2832 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3339 (-410 *6)) (|:| |coeff| (-410 *6)))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6)))) (-3532 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -3417 *7) (|:| |sol?| (-121))) (-569) *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1228 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8)))) (-3933 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1228 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8)))) (-2659 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3417 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3339 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-3094 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3339 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-4351 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-635 *6) "failed") (-569) *6 *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-3042 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3417 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-2228 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(-10 -7 (-15 -2228 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -3042 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -4351 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|))) (-15 -3094 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|))) (-15 -2659 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|))) (-15 -3933 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|)))) (-15 -3532 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|)))) (-15 -2832 ((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|))) (-15 -3405 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|)))) (-15 -3104 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -2694 ((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -1394 ((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|))) (-15 -4551 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) 
-((-2987 (((-3 |#2| "failed") |#2| (-1165) (-1165)) 10))) 
-(((-580 |#1| |#2|) (-10 -7 (-15 -2987 ((-3 |#2| "failed") |#2| (-1165) (-1165)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-961) (-1127) (-29 |#1|))) (T -580)) 
-((-2987 (*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-580 *4 *2)) (-4 *2 (-13 (-1185) (-961) (-1127) (-29 *4)))))) 
-(-10 -7 (-15 -2987 ((-3 |#2| "failed") |#2| (-1165) (-1165)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $ (-569)) 65)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-3925 (($ (-1161 (-569)) (-569)) 71)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) 57)) (-2314 (($ $) 33)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-4433 (((-765) $) 15)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4138 (((-569)) 27)) (-2760 (((-569) $) 31)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3803 (($ $ (-569)) 21)) (-1436 (((-3 $ "failed") $ $) 58)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) 16)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 60)) (-2721 (((-1145 (-569)) $) 18)) (-2994 (($ $) 23)) (-3956 (((-852) $) 85) (($ (-569)) 51) (($ $) NIL)) (-2320 (((-765)) 14)) (-2909 (((-121) $ $) NIL)) (-4334 (((-569) $ (-569)) 35)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 34 T CONST)) (-3297 (($) 19 T CONST)) (-1326 (((-121) $ $) 38)) (-1377 (($ $) 50) (($ $ $) 36)) (-1371 (($ $ $) 49)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 53) (($ $ $) 54))) 
-(((-581 |#1| |#2|) (-865 |#1|) (-569) (-121)) (T -581)) 
-NIL 
-(-865 |#1|) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 18)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (($ $ (-919)) NIL (|has| $ (-371))) (($ $) NIL)) (-2039 (((-1173 (-919) (-765)) (-569)) 47)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 $ "failed") $) 75)) (-1321 (($ $) 74)) (-2097 (($ (-1253 $)) 73)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 42)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) 30)) (-3341 (($) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) 49)) (-3462 (((-121) $) NIL)) (-3238 (($ $) NIL) (($ $ (-765)) NIL)) (-2005 (((-121) $) NIL)) (-4433 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3934 (((-121) $) NIL)) (-4109 (($) 35 (|has| $ (-371)))) (-3761 (((-121) $) NIL (|has| $ (-371)))) (-3046 (($ $ (-919)) NIL (|has| $ (-371))) (($ $) NIL)) (-1542 (((-3 $ "failed") $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 $) $ (-919)) NIL (|has| $ (-371))) (((-1161 $) $) 83)) (-2862 (((-919) $) 55)) (-2130 (((-1161 $) $) NIL (|has| $ (-371)))) (-2632 (((-3 (-1161 $) "failed") $ $) NIL (|has| $ (-371))) (((-1161 $) $) NIL (|has| $ (-371)))) (-3946 (($ $ (-1161 $)) NIL (|has| $ (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL T CONST)) (-1333 (($ (-919)) 48)) (-1346 (((-121) $) 67)) (-1912 (((-1111) $) NIL)) (-1986 (($) 16 (|has| $ (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 40)) (-3139 (((-421 $) $) NIL)) (-3648 (((-919)) 66) (((-830 (-919))) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-3 (-765) "failed") $ $) NIL) (((-765) $) NIL)) (-2174 (((-140)) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-2284 (((-919) $) 65) (((-830 (-919)) $) NIL)) (-3036 (((-1161 $)) 82)) (-3563 (($) 54)) (-2433 (($) 36 (|has| $ (-371)))) (-3672 (((-681 $) (-1253 $)) NIL) (((-1253 $) $) 71)) (-4035 (((-569) $) 26)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) 28) (($ $) NIL) (($ (-410 (-569))) NIL)) (-2277 (((-3 $ "failed") $) NIL) (($ $) 84)) (-2320 (((-765)) 37)) (-4079 (((-1253 $) (-919)) 77) (((-1253 $)) 76)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 19 T CONST)) (-3297 (($) 15 T CONST)) (-4167 (($ $ (-765)) NIL (|has| $ (-371))) (($ $) NIL (|has| $ (-371)))) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 24)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 61) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-582 |#1|) (-13 (-351) (-328 $) (-610 (-569))) (-919)) (T -582)) 
-NIL 
-(-13 (-351) (-328 $) (-610 (-569))) 
-((-3539 (((-1258) (-1147)) 10))) 
-(((-583) (-10 -7 (-15 -3539 ((-1258) (-1147))))) (T -583)) 
-((-3539 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-583))))) 
-(-10 -7 (-15 -3539 ((-1258) (-1147)))) 
-((-2009 (((-586 |#2|) (-586 |#2|)) 37)) (-2121 (((-635 |#2|) (-586 |#2|)) 39)) (-2693 ((|#2| (-586 |#2|)) 46))) 
-(((-584 |#1| |#2|) (-10 -7 (-15 -2009 ((-586 |#2|) (-586 |#2|))) (-15 -2121 ((-635 |#2|) (-586 |#2|))) (-15 -2693 (|#2| (-586 |#2|)))) (-13 (-454) (-1039 (-569)) (-844) (-631 (-569))) (-13 (-29 |#1|) (-1185))) (T -584)) 
-((-2693 (*1 *2 *3) (-12 (-5 *3 (-586 *2)) (-4 *2 (-13 (-29 *4) (-1185))) (-5 *1 (-584 *4 *2)) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))))) (-2121 (*1 *2 *3) (-12 (-5 *3 (-586 *5)) (-4 *5 (-13 (-29 *4) (-1185))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-635 *5)) (-5 *1 (-584 *4 *5)))) (-2009 (*1 *2 *2) (-12 (-5 *2 (-586 *4)) (-4 *4 (-13 (-29 *3) (-1185))) (-4 *3 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *1 (-584 *3 *4))))) 
-(-10 -7 (-15 -2009 ((-586 |#2|) (-586 |#2|))) (-15 -2121 ((-635 |#2|) (-586 |#2|))) (-15 -2693 (|#2| (-586 |#2|)))) 
-((-4188 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) 38) (((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed")) 11) (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed")) 31) (((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|)) 26))) 
-(((-585 |#1| |#2|) (-10 -7 (-15 -4188 ((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|))) (-15 -4188 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -4188 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -4188 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) (-366) (-366)) (T -585)) 
-((-4188 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-585 *5 *6)))) (-4188 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-366)) (-4 *2 (-366)) (-5 *1 (-585 *5 *2)))) (-4188 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3339 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| -3339 *6) (|:| |coeff| *6))) (-5 *1 (-585 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-586 *5)) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-586 *6)) (-5 *1 (-585 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|))) (-15 -4188 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -4188 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -4188 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 68)) (-1321 ((|#1| $) NIL)) (-3339 ((|#1| $) 24)) (-2604 (((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) 26)) (-3838 (($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) 22)) (-3519 (((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) $) 25)) (-2605 (((-1147) $) NIL)) (-2553 (($ |#1| |#1|) 32) (($ |#1| (-1165)) 43 (|has| |#1| (-1039 (-1165))))) (-1912 (((-1111) $) NIL)) (-2781 (((-121) $) 28)) (-3289 ((|#1| $ (-1 |#1| |#1|)) 80) ((|#1| $ (-1165)) 81 (|has| |#1| (-897 (-1165))))) (-3956 (((-852) $) 95) (($ |#1|) 23)) (-2407 (($) 16 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) 15) (($ $ $) NIL)) (-1371 (($ $ $) 77)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 14) (($ (-410 (-569)) $) 35) (($ $ (-410 (-569))) NIL))) 
-(((-586 |#1|) (-13 (-709 (-410 (-569))) (-1039 |#1|) (-10 -8 (-15 -3838 ($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3339 (|#1| $)) (-15 -3519 ((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) $)) (-15 -2604 ((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -2781 ((-121) $)) (-15 -2553 ($ |#1| |#1|)) (-15 -3289 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-897 (-1165))) (-15 -3289 (|#1| $ (-1165))) |noBranch|) (IF (|has| |#1| (-1039 (-1165))) (-15 -2553 ($ |#1| (-1165))) |noBranch|))) (-366)) (T -586)) 
-((-3838 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 *2)) (|:| |logand| (-1161 *2))))) (-5 *4 (-635 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-366)) (-5 *1 (-586 *2)))) (-3339 (*1 *2 *1) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-3519 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 *3)) (|:| |logand| (-1161 *3))))) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-2604 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-2781 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-2553 (*1 *1 *2 *2) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-3289 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-3289 (*1 *2 *1 *3) (-12 (-4 *2 (-366)) (-4 *2 (-897 *3)) (-5 *1 (-586 *2)) (-5 *3 (-1165)))) (-2553 (*1 *1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *1 (-586 *2)) (-4 *2 (-1039 *3)) (-4 *2 (-366))))) 
-(-13 (-709 (-410 (-569))) (-1039 |#1|) (-10 -8 (-15 -3838 ($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3339 (|#1| $)) (-15 -3519 ((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) $)) (-15 -2604 ((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -2781 ((-121) $)) (-15 -2553 ($ |#1| |#1|)) (-15 -3289 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-897 (-1165))) (-15 -3289 (|#1| $ (-1165))) |noBranch|) (IF (|has| |#1| (-1039 (-1165))) (-15 -2553 ($ |#1| (-1165))) |noBranch|))) 
-((-3113 (((-121) |#1|) 16)) (-3440 (((-3 |#1| "failed") |#1|) 14)) (-3117 (((-2 (|:| -1710 |#1|) (|:| -3190 (-765))) |#1|) 30) (((-3 |#1| "failed") |#1| (-765)) 18)) (-3992 (((-121) |#1| (-765)) 19)) (-3025 ((|#1| |#1|) 31)) (-2115 ((|#1| |#1| (-765)) 33))) 
-(((-587 |#1|) (-10 -7 (-15 -3992 ((-121) |#1| (-765))) (-15 -3117 ((-3 |#1| "failed") |#1| (-765))) (-15 -3117 ((-2 (|:| -1710 |#1|) (|:| -3190 (-765))) |#1|)) (-15 -2115 (|#1| |#1| (-765))) (-15 -3113 ((-121) |#1|)) (-15 -3440 ((-3 |#1| "failed") |#1|)) (-15 -3025 (|#1| |#1|))) (-551)) (T -587)) 
-((-3025 (*1 *2 *2) (-12 (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3440 (*1 *2 *2) (|partial| -12 (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3113 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551)))) (-2115 (*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3117 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1710 *3) (|:| -3190 (-765)))) (-5 *1 (-587 *3)) (-4 *3 (-551)))) (-3117 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3992 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
-(-10 -7 (-15 -3992 ((-121) |#1| (-765))) (-15 -3117 ((-3 |#1| "failed") |#1| (-765))) (-15 -3117 ((-2 (|:| -1710 |#1|) (|:| -3190 (-765))) |#1|)) (-15 -2115 (|#1| |#1| (-765))) (-15 -3113 ((-121) |#1|)) (-15 -3440 ((-3 |#1| "failed") |#1|)) (-15 -3025 (|#1| |#1|))) 
-((-2853 (((-1161 |#1|) (-919)) 26))) 
-(((-588 |#1|) (-10 -7 (-15 -2853 ((-1161 |#1|) (-919)))) (-351)) (T -588)) 
-((-2853 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-588 *4)) (-4 *4 (-351))))) 
-(-10 -7 (-15 -2853 ((-1161 |#1|) (-919)))) 
-((-2009 (((-586 (-410 (-955 |#1|))) (-586 (-410 (-955 |#1|)))) 26)) (-1324 (((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-955 |#1|)) (-1165)) 32 (|has| |#1| (-151)))) (-2121 (((-635 (-311 |#1|)) (-586 (-410 (-955 |#1|)))) 18)) (-2967 (((-311 |#1|) (-410 (-955 |#1|)) (-1165)) 30 (|has| |#1| (-151)))) (-2693 (((-311 |#1|) (-586 (-410 (-955 |#1|)))) 20))) 
-(((-589 |#1|) (-10 -7 (-15 -2009 ((-586 (-410 (-955 |#1|))) (-586 (-410 (-955 |#1|))))) (-15 -2121 ((-635 (-311 |#1|)) (-586 (-410 (-955 |#1|))))) (-15 -2693 ((-311 |#1|) (-586 (-410 (-955 |#1|))))) (IF (|has| |#1| (-151)) (PROGN (-15 -1324 ((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -2967 ((-311 |#1|) (-410 (-955 |#1|)) (-1165)))) |noBranch|)) (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (T -589)) 
-((-2967 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-311 *5)) (-5 *1 (-589 *5)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-3 (-311 *5) (-635 (-311 *5)))) (-5 *1 (-589 *5)))) (-2693 (*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-955 *4)))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-589 *4)))) (-2121 (*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-955 *4)))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-635 (-311 *4))) (-5 *1 (-589 *4)))) (-2009 (*1 *2 *2) (-12 (-5 *2 (-586 (-410 (-955 *3)))) (-4 *3 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *1 (-589 *3))))) 
-(-10 -7 (-15 -2009 ((-586 (-410 (-955 |#1|))) (-586 (-410 (-955 |#1|))))) (-15 -2121 ((-635 (-311 |#1|)) (-586 (-410 (-955 |#1|))))) (-15 -2693 ((-311 |#1|) (-586 (-410 (-955 |#1|))))) (IF (|has| |#1| (-151)) (PROGN (-15 -1324 ((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -2967 ((-311 |#1|) (-410 (-955 |#1|)) (-1165)))) |noBranch|)) 
-((-1803 (((-635 (-681 (-569))) (-635 (-569)) (-635 (-902 (-569)))) 45) (((-635 (-681 (-569))) (-635 (-569))) 46) (((-681 (-569)) (-635 (-569)) (-902 (-569))) 41)) (-2307 (((-765) (-635 (-569))) 39))) 
-(((-590) (-10 -7 (-15 -2307 ((-765) (-635 (-569)))) (-15 -1803 ((-681 (-569)) (-635 (-569)) (-902 (-569)))) (-15 -1803 ((-635 (-681 (-569))) (-635 (-569)))) (-15 -1803 ((-635 (-681 (-569))) (-635 (-569)) (-635 (-902 (-569))))))) (T -590)) 
-((-1803 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-635 (-902 (-569)))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-590)))) (-1803 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-590)))) (-1803 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-902 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-590)))) (-2307 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-765)) (-5 *1 (-590))))) 
-(-10 -7 (-15 -2307 ((-765) (-635 (-569)))) (-15 -1803 ((-681 (-569)) (-635 (-569)) (-902 (-569)))) (-15 -1803 ((-635 (-681 (-569))) (-635 (-569)))) (-15 -1803 ((-635 (-681 (-569))) (-635 (-569)) (-635 (-902 (-569)))))) 
-((-1366 (((-635 |#5|) |#5| (-121)) 72)) (-3083 (((-121) |#5| (-635 |#5|)) 30))) 
-(((-591 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1366 ((-635 |#5|) |#5| (-121))) (-15 -3083 ((-121) |#5| (-635 |#5|)))) (-13 (-302) (-151)) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1102 |#1| |#2| |#3| |#4|)) (T -591)) 
-((-3083 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1102 *5 *6 *7 *8)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-591 *5 *6 *7 *8 *3)))) (-1366 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-635 *3)) (-5 *1 (-591 *5 *6 *7 *8 *3)) (-4 *3 (-1102 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -1366 ((-635 |#5|) |#5| (-121))) (-15 -3083 ((-121) |#5| (-635 |#5|)))) 
-((-1310 (((-121) $ $) NIL (|has| (-148) (-1093)))) (-3507 (($ $) 34)) (-2917 (($ $) NIL)) (-1735 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2211 (((-121) $ $) 51)) (-2167 (((-121) $ $ (-569)) 46)) (-2009 (((-635 $) $ (-148)) 59) (((-635 $) $ (-143)) 60)) (-3382 (((-121) (-1 (-121) (-148) (-148)) $) NIL) (((-121) $) NIL (|has| (-148) (-844)))) (-1744 (($ (-1 (-121) (-148) (-148)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-148) (-844))))) (-2930 (($ (-1 (-121) (-148) (-148)) $) NIL) (($ $) NIL (|has| (-148) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-148) $ (-569) (-148)) 45 (|has| $ (-6 -4572))) (((-148) $ (-1219 (-569)) (-148)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-3494 (($ $ (-148)) 63) (($ $ (-143)) 64)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-3652 (($ $ (-1219 (-569)) $) 44)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-3503 (($ (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093)))) (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4572)))) (-4124 (((-148) $ (-569)) NIL)) (-2273 (((-121) $ $) 70)) (-3988 (((-569) (-1 (-121) (-148)) $) NIL) (((-569) (-148) $) NIL (|has| (-148) (-1093))) (((-569) (-148) $ (-569)) 48 (|has| (-148) (-1093))) (((-569) $ $ (-569)) 47) (((-569) (-143) $ (-569)) 50)) (-4303 (((-635 (-148)) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-148)) 9)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 28 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-148) (-844)))) (-2102 (($ (-1 (-121) (-148) (-148)) $ $) NIL) (($ $ $) NIL (|has| (-148) (-844)))) (-4457 (((-635 (-148)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-1301 (((-569) $) 42 (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-148) (-844)))) (-2523 (((-121) $ $ (-148)) 71)) (-2907 (((-765) $ $ (-148)) 69)) (-2089 (($ (-1 (-148) (-148)) $) 33 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-148) (-148)) $) NIL) (($ (-1 (-148) (-148) (-148)) $ $) NIL)) (-1328 (($ $) 37)) (-3027 (($ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1880 (($ $ (-148)) 61) (($ $ (-143)) 62)) (-2605 (((-1147) $) 38 (|has| (-148) (-1093)))) (-2583 (($ (-148) $ (-569)) NIL) (($ $ $ (-569)) 23)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-569) $) 68) (((-1111) $) NIL (|has| (-148) (-1093)))) (-1816 (((-148) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-2417 (($ $ (-148)) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-4283 (((-635 (-148)) $) NIL)) (-1668 (((-121) $) 12)) (-4016 (($) 10)) (-2503 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) 52) (($ $ (-1219 (-569))) 21) (($ $ $) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571))) (((-765) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-3038 (($ $ $ (-569)) 65 (|has| $ (-6 -4572)))) (-1799 (($ $) 17)) (-4035 (((-542) $) NIL (|has| (-148) (-610 (-542))))) (-3124 (($ (-635 (-148))) NIL)) (-4456 (($ $ (-148)) NIL) (($ (-148) $) NIL) (($ $ $) 16) (($ (-635 $)) 66)) (-3956 (($ (-148)) NIL) (((-852) $) 27 (|has| (-148) (-1093)))) (-3776 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1326 (((-121) $ $) 14 (|has| (-148) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1337 (((-121) $ $) 15 (|has| (-148) (-844)))) (-2946 (((-765) $) 13 (|has| $ (-6 -4571))))) 
-(((-592 |#1|) (-13 (-1132) (-10 -8 (-15 -1912 ((-569) $)))) (-569)) (T -592)) 
-((-1912 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-592 *3)) (-14 *3 *2)))) 
-(-13 (-1132) (-10 -8 (-15 -1912 ((-569) $)))) 
-((-4286 (((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|) 23) (((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1087 |#4|)) 32))) 
-(((-593 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4286 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1087 |#4|))) (-15 -4286 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|))) (-790) (-844) (-559) (-952 |#3| |#1| |#2|)) (T -593)) 
-((-4286 (*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *5 *4 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) (-4286 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1087 *3)) (-4 *3 (-952 *7 *6 *4)) (-4 *6 (-790)) (-4 *4 (-844)) (-4 *7 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *6 *4 *7 *3))))) 
-(-10 -7 (-15 -4286 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1087 |#4|))) (-15 -4286 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 63)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-569)) 54) (($ $ (-569) (-569)) 55)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 60)) (-2276 (($ $) 99)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4088 (((-852) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1028 (-837 (-569))) (-1165) |#1| (-410 (-569))) 214)) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 34)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2641 (((-121) $) NIL)) (-4433 (((-569) $) 58) (((-569) $ (-569)) 59)) (-3934 (((-121) $) NIL)) (-2058 (($ $ (-919)) 76)) (-3449 (($ (-1 |#1| (-569)) $) 73)) (-3052 (((-121) $) 25)) (-3179 (($ |#1| (-569)) 22) (($ $ (-1077) (-569)) NIL) (($ $ (-635 (-1077)) (-635 (-569))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 67)) (-2060 (($ (-1028 (-837 (-569))) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 11)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1324 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3661 (((-3 $ "failed") $ $ (-121)) 98)) (-3596 (($ $ $) 107)) (-1912 (((-1111) $) NIL)) (-2105 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 13)) (-3045 (((-1028 (-837 (-569))) $) 12)) (-3803 (($ $ (-569)) 45)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-2503 ((|#1| $ (-569)) 57) (($ $ $) NIL (|has| (-569) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 70 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-2284 (((-569) $) NIL)) (-2994 (($ $) 46)) (-3956 (((-852) $) NIL) (($ (-569)) 28) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 27 (|has| |#1| (-173)))) (-3802 ((|#1| $ (-569)) 56)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) 37)) (-1736 ((|#1| $) NIL)) (-3528 (($ $) 179 (|has| |#1| (-43 (-410 (-569)))))) (-4423 (($ $) 155 (|has| |#1| (-43 (-410 (-569)))))) (-1728 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-2976 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-3888 (($ $) 181 (|has| |#1| (-43 (-410 (-569)))))) (-2943 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-2223 (($ $ (-410 (-569))) 145 (|has| |#1| (-43 (-410 (-569)))))) (-2340 (($ $ |#1|) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3692 (($ $) 149 (|has| |#1| (-43 (-410 (-569)))))) (-3023 (($ $) 147 (|has| |#1| (-43 (-410 (-569)))))) (-2714 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-4272 (($ $) 159 (|has| |#1| (-43 (-410 (-569)))))) (-2651 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-3391 (($ $) 157 (|has| |#1| (-43 (-410 (-569)))))) (-3730 (($ $) 177 (|has| |#1| (-43 (-410 (-569)))))) (-3484 (($ $) 153 (|has| |#1| (-43 (-410 (-569)))))) (-3384 (($ $) 187 (|has| |#1| (-43 (-410 (-569)))))) (-4390 (($ $) 167 (|has| |#1| (-43 (-410 (-569)))))) (-2222 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-4136 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-2568 (($ $) 191 (|has| |#1| (-43 (-410 (-569)))))) (-3068 (($ $) 171 (|has| |#1| (-43 (-410 (-569)))))) (-1851 (($ $) 193 (|has| |#1| (-43 (-410 (-569)))))) (-3421 (($ $) 173 (|has| |#1| (-43 (-410 (-569)))))) (-3801 (($ $) 189 (|has| |#1| (-43 (-410 (-569)))))) (-2482 (($ $) 169 (|has| |#1| (-43 (-410 (-569)))))) (-2792 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-4089 (($ $) 165 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-4334 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 29 T CONST)) (-3297 (($) 38 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-1326 (((-121) $ $) 65)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) 84) (($ $ $) 64)) (-1371 (($ $ $) 81)) (** (($ $ (-919)) NIL) (($ $ (-765)) 102)) (* (($ (-919) $) 89) (($ (-765) $) 87) (($ (-569) $) 85) (($ $ $) 95) (($ $ |#1|) NIL) (($ |#1| $) 114) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-594 |#1|) (-13 (-1230 |#1| (-569)) (-10 -8 (-15 -2060 ($ (-1028 (-837 (-569))) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3045 ((-1028 (-837 (-569))) $)) (-15 -2105 ((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $)) (-15 -4314 ($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3052 ((-121) $)) (-15 -3449 ($ (-1 |#1| (-569)) $)) (-15 -3661 ((-3 $ "failed") $ $ (-121))) (-15 -2276 ($ $)) (-15 -3596 ($ $ $)) (-15 -4088 ((-852) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1028 (-837 (-569))) (-1165) |#1| (-410 (-569)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $)) (-15 -2340 ($ $ |#1|)) (-15 -2223 ($ $ (-410 (-569)))) (-15 -3023 ($ $)) (-15 -3692 ($ $)) (-15 -2976 ($ $)) (-15 -3484 ($ $)) (-15 -4423 ($ $)) (-15 -3391 ($ $)) (-15 -2943 ($ $)) (-15 -4272 ($ $)) (-15 -4136 ($ $)) (-15 -4089 ($ $)) (-15 -4390 ($ $)) (-15 -2482 ($ $)) (-15 -3068 ($ $)) (-15 -3421 ($ $)) (-15 -1728 ($ $)) (-15 -3730 ($ $)) (-15 -3528 ($ $)) (-15 -2651 ($ $)) (-15 -3888 ($ $)) (-15 -2714 ($ $)) (-15 -2222 ($ $)) (-15 -2792 ($ $)) (-15 -3384 ($ $)) (-15 -3801 ($ $)) (-15 -2568 ($ $)) (-15 -1851 ($ $))) |noBranch|))) (-1049)) (T -594)) 
-((-3052 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1049)))) (-2060 (*1 *1 *2 *3) (-12 (-5 *2 (-1028 (-837 (-569)))) (-5 *3 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *4)))) (-4 *4 (-1049)) (-5 *1 (-594 *4)))) (-3045 (*1 *2 *1) (-12 (-5 *2 (-1028 (-837 (-569)))) (-5 *1 (-594 *3)) (-4 *3 (-1049)))) (-2105 (*1 *2 *1) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-5 *1 (-594 *3)) (-4 *3 (-1049)))) (-4314 (*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1049)) (-5 *1 (-594 *3)))) (-3449 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *3 (-1049)) (-5 *1 (-594 *3)))) (-3661 (*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1049)))) (-2276 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1049)))) (-3596 (*1 *1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1049)))) (-4088 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *6)))) (-5 *4 (-1028 (-837 (-569)))) (-5 *5 (-1165)) (-5 *7 (-410 (-569))) (-4 *6 (-1049)) (-5 *2 (-852)) (-5 *1 (-594 *6)))) (-1324 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2340 (*1 *1 *1 *2) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2223 (*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-594 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1049)))) (-3023 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3692 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2976 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3484 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-4423 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3391 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2943 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-4272 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-4136 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-4089 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-4390 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2482 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3068 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3421 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-1728 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3730 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3528 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2651 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3888 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2714 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2222 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2792 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3384 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3801 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2568 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-1851 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(-13 (-1230 |#1| (-569)) (-10 -8 (-15 -2060 ($ (-1028 (-837 (-569))) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3045 ((-1028 (-837 (-569))) $)) (-15 -2105 ((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $)) (-15 -4314 ($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3052 ((-121) $)) (-15 -3449 ($ (-1 |#1| (-569)) $)) (-15 -3661 ((-3 $ "failed") $ $ (-121))) (-15 -2276 ($ $)) (-15 -3596 ($ $ $)) (-15 -4088 ((-852) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1028 (-837 (-569))) (-1165) |#1| (-410 (-569)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $)) (-15 -2340 ($ $ |#1|)) (-15 -2223 ($ $ (-410 (-569)))) (-15 -3023 ($ $)) (-15 -3692 ($ $)) (-15 -2976 ($ $)) (-15 -3484 ($ $)) (-15 -4423 ($ $)) (-15 -3391 ($ $)) (-15 -2943 ($ $)) (-15 -4272 ($ $)) (-15 -4136 ($ $)) (-15 -4089 ($ $)) (-15 -4390 ($ $)) (-15 -2482 ($ $)) (-15 -3068 ($ $)) (-15 -3421 ($ $)) (-15 -1728 ($ $)) (-15 -3730 ($ $)) (-15 -3528 ($ $)) (-15 -2651 ($ $)) (-15 -3888 ($ $)) (-15 -2714 ($ $)) (-15 -2222 ($ $)) (-15 -2792 ($ $)) (-15 -3384 ($ $)) (-15 -3801 ($ $)) (-15 -2568 ($ $)) (-15 -1851 ($ $))) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4314 (($ (-1145 |#1|)) 9)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) 42)) (-2641 (((-121) $) 52)) (-4433 (((-765) $) 55) (((-765) $ (-765)) 54)) (-3934 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ $) 44 (|has| |#1| (-559)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-1145 |#1|) $) 23)) (-2320 (((-765)) 51)) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 10 T CONST)) (-3297 (($) 14 T CONST)) (-1326 (((-121) $ $) 22)) (-1377 (($ $) 30) (($ $ $) 16)) (-1371 (($ $ $) 25)) (** (($ $ (-919)) NIL) (($ $ (-765)) 49)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 34) (($ $ $) 28) (($ |#1| $) 37) (($ $ |#1|) 38) (($ $ (-569)) 36))) 
-(((-595 |#1|) (-13 (-1049) (-10 -8 (-15 -2894 ((-1145 |#1|) $)) (-15 -4314 ($ (-1145 |#1|))) (-15 -2641 ((-121) $)) (-15 -4433 ((-765) $)) (-15 -4433 ((-765) $ (-765))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-569))) (IF (|has| |#1| (-559)) (-6 (-559)) |noBranch|))) (-1049)) (T -595)) 
-((-2894 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) (-4314 (*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-595 *3)))) (-2641 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) (-4433 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) (-4433 (*1 *2 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1049)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1049)))) (* (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-595 *3)) (-4 *3 (-1049))))) 
-(-13 (-1049) (-10 -8 (-15 -2894 ((-1145 |#1|) $)) (-15 -4314 ($ (-1145 |#1|))) (-15 -2641 ((-121) $)) (-15 -4433 ((-765) $)) (-15 -4433 ((-765) $ (-765))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-569))) (IF (|has| |#1| (-559)) (-6 (-559)) |noBranch|))) 
-((-4188 (((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)) 15))) 
-(((-596 |#1| |#2|) (-10 -7 (-15 -4188 ((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)))) (-1199) (-1199)) (T -596)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-599 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-599 *6)) (-5 *1 (-596 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)))) 
-((-4188 (((-1145 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1145 |#2|)) 20) (((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-599 |#2|)) 19) (((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|)) 18))) 
-(((-597 |#1| |#2| |#3|) (-10 -7 (-15 -4188 ((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|))) (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-599 |#2|))) (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1145 |#2|)))) (-1199) (-1199) (-1199)) (T -597)) 
-((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-1145 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-597 *6 *7 *8)))) (-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1145 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-597 *6 *7 *8)))) (-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-599 *8)) (-5 *1 (-597 *6 *7 *8))))) 
-(-10 -7 (-15 -4188 ((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|))) (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-599 |#2|))) (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1145 |#2|)))) 
-((-1706 ((|#3| |#3| (-635 (-608 |#3|)) (-635 (-1165))) 55)) (-4546 (((-170 |#2|) |#3|) 116)) (-2840 ((|#3| (-170 |#2|)) 43)) (-1844 ((|#2| |#3|) 19)) (-1430 ((|#3| |#2|) 32))) 
-(((-598 |#1| |#2| |#3|) (-10 -7 (-15 -2840 (|#3| (-170 |#2|))) (-15 -1844 (|#2| |#3|)) (-15 -1430 (|#3| |#2|)) (-15 -4546 ((-170 |#2|) |#3|)) (-15 -1706 (|#3| |#3| (-635 (-608 |#3|)) (-635 (-1165))))) (-13 (-559) (-844)) (-13 (-433 |#1|) (-1004) (-1185)) (-13 (-433 (-170 |#1|)) (-1004) (-1185))) (T -598)) 
-((-1706 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-635 (-1165))) (-4 *2 (-13 (-433 (-170 *5)) (-1004) (-1185))) (-4 *5 (-13 (-559) (-844))) (-5 *1 (-598 *5 *6 *2)) (-4 *6 (-13 (-433 *5) (-1004) (-1185))))) (-4546 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-5 *2 (-170 *5)) (-5 *1 (-598 *4 *5 *3)) (-4 *5 (-13 (-433 *4) (-1004) (-1185))) (-4 *3 (-13 (-433 (-170 *4)) (-1004) (-1185))))) (-1430 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 (-170 *4)) (-1004) (-1185))) (-5 *1 (-598 *4 *3 *2)) (-4 *3 (-13 (-433 *4) (-1004) (-1185))))) (-1844 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 *4) (-1004) (-1185))) (-5 *1 (-598 *4 *2 *3)) (-4 *3 (-13 (-433 (-170 *4)) (-1004) (-1185))))) (-2840 (*1 *2 *3) (-12 (-5 *3 (-170 *5)) (-4 *5 (-13 (-433 *4) (-1004) (-1185))) (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 (-170 *4)) (-1004) (-1185))) (-5 *1 (-598 *4 *5 *2))))) 
-(-10 -7 (-15 -2840 (|#3| (-170 |#2|))) (-15 -1844 (|#2| |#3|)) (-15 -1430 (|#3| |#2|)) (-15 -4546 ((-170 |#2|) |#3|)) (-15 -1706 (|#3| |#3| (-635 (-608 |#3|)) (-635 (-1165))))) 
-((-2140 (($ (-1 (-121) |#1|) $) 16)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2109 (($ (-1 |#1| |#1|) |#1|) 9)) (-2128 (($ (-1 (-121) |#1|) $) 12)) (-2134 (($ (-1 (-121) |#1|) $) 14)) (-3124 (((-1145 |#1|) $) 17)) (-3956 (((-852) $) NIL))) 
-(((-599 |#1|) (-13 (-609 (-852)) (-10 -8 (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2128 ($ (-1 (-121) |#1|) $)) (-15 -2134 ($ (-1 (-121) |#1|) $)) (-15 -2140 ($ (-1 (-121) |#1|) $)) (-15 -2109 ($ (-1 |#1| |#1|) |#1|)) (-15 -3124 ((-1145 |#1|) $)))) (-1199)) (T -599)) 
-((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) (-2128 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) (-2134 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) (-2140 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) (-2109 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) (-3124 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-599 *3)) (-4 *3 (-1199))))) 
-(-13 (-609 (-852)) (-10 -8 (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2128 ($ (-1 (-121) |#1|) $)) (-15 -2134 ($ (-1 (-121) |#1|) $)) (-15 -2140 ($ (-1 (-121) |#1|) $)) (-15 -2109 ($ (-1 |#1| |#1|) |#1|)) (-15 -3124 ((-1145 |#1|) $)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765)) NIL (|has| |#1| (-23)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3410 (((-681 |#1|) $ $) NIL (|has| |#1| (-1049)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3108 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-1396 (((-121) $ (-765)) NIL)) (-2718 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-4510 ((|#1| $ $) NIL (|has| |#1| (-1049)))) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-3617 (($ $ $) NIL (|has| |#1| (-1049)))) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1377 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1371 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-718))) (($ $ |#1|) NIL (|has| |#1| (-718)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-600 |#1| |#2|) (-1251 |#1|) (-1199) (-569)) (T -600)) 
-NIL 
-(-1251 |#1|) 
-((-1403 (((-1258) $ |#2| |#2|) 36)) (-2497 ((|#2| $) 23)) (-1301 ((|#2| $) 21)) (-2089 (($ (-1 |#3| |#3|) $) 32)) (-4188 (($ (-1 |#3| |#3|) $) 30)) (-1816 ((|#3| $) 26)) (-2417 (($ $ |#3|) 33)) (-3322 (((-121) |#3| $) 17)) (-4283 (((-635 |#3|) $) 15)) (-2503 ((|#3| $ |#2| |#3|) 12) ((|#3| $ |#2|) NIL))) 
-(((-601 |#1| |#2| |#3|) (-10 -8 (-15 -1403 ((-1258) |#1| |#2| |#2|)) (-15 -2417 (|#1| |#1| |#3|)) (-15 -1816 (|#3| |#1|)) (-15 -2497 (|#2| |#1|)) (-15 -1301 (|#2| |#1|)) (-15 -3322 ((-121) |#3| |#1|)) (-15 -4283 ((-635 |#3|) |#1|)) (-15 -2503 (|#3| |#1| |#2|)) (-15 -2503 (|#3| |#1| |#2| |#3|)) (-15 -2089 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -4188 (|#1| (-1 |#3| |#3|) |#1|))) (-602 |#2| |#3|) (-1093) (-1199)) (T -601)) 
-NIL 
-(-10 -8 (-15 -1403 ((-1258) |#1| |#2| |#2|)) (-15 -2417 (|#1| |#1| |#3|)) (-15 -1816 (|#3| |#1|)) (-15 -2497 (|#2| |#1|)) (-15 -1301 (|#2| |#1|)) (-15 -3322 ((-121) |#3| |#1|)) (-15 -4283 ((-635 |#3|) |#1|)) (-15 -2503 (|#3| |#1| |#2|)) (-15 -2503 (|#3| |#1| |#2| |#3|)) (-15 -2089 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -4188 (|#1| (-1 |#3| |#3|) |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#2| (-1093)))) (-1403 (((-1258) $ |#1| |#1|) 37 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#2| $ |#1| |#2|) 49 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-3982 ((|#2| $ |#1| |#2|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) 48)) (-4303 (((-635 |#2|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-2497 ((|#1| $) 40 (|has| |#1| (-844)))) (-4457 (((-635 |#2|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1301 ((|#1| $) 41 (|has| |#1| (-844)))) (-2089 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#2| (-1093)))) (-2761 (((-635 |#1|) $) 43)) (-3292 (((-121) |#1| $) 44)) (-1912 (((-1111) $) 21 (|has| |#2| (-1093)))) (-1816 ((|#2| $) 39 (|has| |#1| (-844)))) (-2417 (($ $ |#2|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) 26 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) 25 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) 23 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#2| $ |#1| |#2|) 47) ((|#2| $ |#1|) 46)) (-2691 (((-765) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4571))) (((-765) |#2| $) 28 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#2| (-1093)))) (-3776 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#2| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-602 |#1| |#2|) (-1284) (-1093) (-1199)) (T -602)) 
-((-4283 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-635 *4)))) (-3292 (*1 *2 *3 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-121)))) (-2761 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-635 *3)))) (-3322 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-602 *4 *3)) (-4 *4 (-1093)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-1301 (*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1199)) (-4 *2 (-1093)) (-4 *2 (-844)))) (-2497 (*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1199)) (-4 *2 (-1093)) (-4 *2 (-844)))) (-1816 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *2)) (-4 *3 (-1093)) (-4 *3 (-844)) (-4 *2 (-1199)))) (-2417 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-602 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) (-1403 (*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-1258))))) 
-(-13 (-500 |t#2|) (-284 |t#1| |t#2|) (-10 -8 (-15 -4283 ((-635 |t#2|) $)) (-15 -3292 ((-121) |t#1| $)) (-15 -2761 ((-635 |t#1|) $)) (IF (|has| |t#2| (-1093)) (IF (|has| $ (-6 -4571)) (-15 -3322 ((-121) |t#2| $)) |noBranch|) |noBranch|) (IF (|has| |t#1| (-844)) (PROGN (-15 -1301 (|t#1| $)) (-15 -2497 (|t#1| $)) (-15 -1816 (|t#2| $))) |noBranch|) (IF (|has| $ (-6 -4572)) (PROGN (-15 -2417 ($ $ |t#2|)) (-15 -1403 ((-1258) $ |t#1| |t#1|))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#2| (-1093)) ((-609 (-852)) |has| |#2| (-1093)) ((-282 |#1| |#2|) . T) ((-284 |#1| |#2|) . T) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-500 |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-1093) |has| |#2| (-1093)) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3667 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3359 (((-1253 (-681 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-1253 (-681 |#1|)) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-1552 (((-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4483 (($) NIL T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3943 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2459 (((-681 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-1478 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4471 (((-681 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4174 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1965 (((-1161 (-955 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-4382 (($ $ (-919)) NIL)) (-3557 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-2212 (((-1161 |#1|) $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1547 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-3168 (((-1161 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-3073 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2097 (($ (-1253 |#1|)) NIL (|has| |#2| (-420 |#1|))) (($ (-1253 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3358 (((-919)) NIL (|has| |#2| (-370 |#1|)))) (-3894 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2073 (($ $ (-919)) NIL)) (-1428 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4078 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4015 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1309 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3707 (((-681 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2858 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4432 (((-681 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2983 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3348 (((-1161 (-955 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-2846 (($ $ (-919)) NIL)) (-2170 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-1650 (((-1161 |#1|) $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2510 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4215 (((-1161 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2431 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2605 (((-1147) $) NIL)) (-2826 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4161 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3983 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1912 (((-1111) $) NIL)) (-2067 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2503 ((|#1| $ (-569)) NIL (|has| |#2| (-420 |#1|)))) (-3672 (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-420 |#1|))) (((-1253 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $) (-1253 $)) NIL (|has| |#2| (-370 |#1|))) (((-1253 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4035 (($ (-1253 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-1253 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3127 (((-635 (-955 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-635 (-955 |#1|)) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2689 (($ $ $) NIL)) (-2984 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3956 (((-852) $) NIL) ((|#2| $) 21) (($ |#2|) 22)) (-4079 (((-1253 $)) NIL (|has| |#2| (-420 |#1|)))) (-2628 (((-635 (-1253 |#1|))) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-4379 (($ $ $ $) NIL)) (-1413 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1772 (($ (-681 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3924 (($ $ $) NIL)) (-1561 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3952 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1606 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2407 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) 24)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) 19) (($ |#1| $) NIL))) 
-(((-603 |#1| |#2|) (-13 (-738 |#1|) (-609 |#2|) (-10 -8 (-15 -3956 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) (-173) (-738 |#1|)) (T -603)) 
-((-3956 (*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-603 *3 *2)) (-4 *2 (-738 *3))))) 
-(-13 (-738 |#1|) (-609 |#2|) (-10 -8 (-15 -3956 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2255 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) 33)) (-4404 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL) (($) NIL)) (-1403 (((-1258) $ (-1147) (-1147)) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-1147) |#1|) 43)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#1| "failed") (-1147) $) 46)) (-4483 (($) NIL T CONST)) (-3284 (($ $ (-1147)) 25)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-2006 (((-3 |#1| "failed") (-1147) $) 47) (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (|has| $ (-6 -4571)))) (-3503 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-2793 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-3780 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) 32)) (-3982 ((|#1| $ (-1147) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-1147)) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-3281 (($ $) 48)) (-4465 (($ (-391)) 23) (($ (-391) (-1147)) 22)) (-2798 (((-391) $) 34)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-1147) $) NIL (|has| (-1147) (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (((-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-1301 (((-1147) $) NIL (|has| (-1147) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1316 (((-635 (-1147)) $) 39)) (-1591 (((-121) (-1147) $) NIL)) (-4114 (((-1147) $) 35)) (-4496 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2761 (((-635 (-1147)) $) NIL)) (-3292 (((-121) (-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3295 (((-1258) $) NIL)) (-1816 ((|#1| $) NIL (|has| (-1147) (-844)))) (-2569 (((-3 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) "failed") (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-635 (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 37)) (-2503 ((|#1| $ (-1147) |#1|) NIL) ((|#1| $ (-1147)) 42)) (-1353 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL) (($) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (((-765) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (((-765) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-3956 (((-852) $) 21)) (-2520 (($ $) 26)) (-1753 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 20)) (-2946 (((-765) $) 41 (|has| $ (-6 -4571))))) 
-(((-604 |#1|) (-13 (-367 (-391) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) (-1176 (-1147) |#1|) (-10 -8 (-6 -4571) (-15 -3281 ($ $)))) (-1093)) (T -604)) 
-((-3281 (*1 *1 *1) (-12 (-5 *1 (-604 *2)) (-4 *2 (-1093))))) 
-(-13 (-367 (-391) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) (-1176 (-1147) |#1|) (-10 -8 (-6 -4571) (-15 -3281 ($ $)))) 
-((-3016 (((-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) 15)) (-1316 (((-635 |#2|) $) 19)) (-1591 (((-121) |#2| $) 12))) 
-(((-605 |#1| |#2| |#3|) (-10 -8 (-15 -1316 ((-635 |#2|) |#1|)) (-15 -1591 ((-121) |#2| |#1|)) (-15 -3016 ((-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|))) (-606 |#2| |#3|) (-1093) (-1093)) (T -605)) 
-NIL 
-(-10 -8 (-15 -1316 ((-635 |#2|) |#1|)) (-15 -1591 ((-121) |#2| |#1|)) (-15 -3016 ((-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 52 (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) 57)) (-4483 (($) 7 T CONST)) (-1858 (($ $) 55 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 43 (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 58)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 54 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 51 (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 53 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 50 (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 27 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1316 (((-635 |#1|) $) 59)) (-1591 (((-121) |#1| $) 60)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 36)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 37)) (-1912 (((-1111) $) 21 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 48)) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 38)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 26 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 25 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 24 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 23 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-1353 (($) 46) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 45)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 31 (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 28 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 47)) (-3956 (((-852) $) 20 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 39)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-606 |#1| |#2|) (-1284) (-1093) (-1093)) (T -606)) 
-((-1591 (*1 *2 *3 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-121)))) (-1316 (*1 *2 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-635 *3)))) (-2006 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-1809 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093))))) 
-(-13 (-222 (-2 (|:| -3335 |t#1|) (|:| -3175 |t#2|))) (-10 -8 (-15 -1591 ((-121) |t#1| $)) (-15 -1316 ((-635 |t#1|) $)) (-15 -2006 ((-3 |t#2| "failed") |t#1| $)) (-15 -1809 ((-3 |t#2| "failed") |t#1| $)))) 
-(((-39) . T) ((-111 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-105) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) ((-609 (-852)) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) ((-155 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-228 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-500 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-524 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-1093) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) ((-1199) . T)) 
-((-1495 (((-608 |#2|) |#1|) 15)) (-2436 (((-3 |#1| "failed") (-608 |#2|)) 19))) 
-(((-607 |#1| |#2|) (-10 -7 (-15 -1495 ((-608 |#2|) |#1|)) (-15 -2436 ((-3 |#1| "failed") (-608 |#2|)))) (-844) (-844)) (T -607)) 
-((-2436 (*1 *2 *3) (|partial| -12 (-5 *3 (-608 *4)) (-4 *4 (-844)) (-4 *2 (-844)) (-5 *1 (-607 *2 *4)))) (-1495 (*1 *2 *3) (-12 (-5 *2 (-608 *4)) (-5 *1 (-607 *3 *4)) (-4 *3 (-844)) (-4 *4 (-844))))) 
-(-10 -7 (-15 -1495 ((-608 |#2|) |#1|)) (-15 -2436 ((-3 |#1| "failed") (-608 |#2|)))) 
-((-1310 (((-121) $ $) NIL)) (-1811 (((-3 (-1165) "failed") $) 36)) (-3633 (((-1258) $ (-765)) 26)) (-3988 (((-765) $) 25)) (-1344 (((-123) $) 12)) (-2798 (((-1165) $) 20)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3529 (($ (-123) (-635 |#1|) (-765)) 30) (($ (-1165)) 31)) (-3845 (((-121) $ (-123)) 18) (((-121) $ (-1165)) 16)) (-1468 (((-765) $) 22)) (-1912 (((-1111) $) NIL)) (-4035 (((-889 (-569)) $) 69 (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) 75 (|has| |#1| (-610 (-889 (-382))))) (((-542) $) 62 (|has| |#1| (-610 (-542))))) (-3956 (((-852) $) 51)) (-3955 (((-635 |#1|) $) 24)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 39)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 40))) 
-(((-608 |#1|) (-13 (-139) (-881 |#1|) (-10 -8 (-15 -2798 ((-1165) $)) (-15 -1344 ((-123) $)) (-15 -3955 ((-635 |#1|) $)) (-15 -1468 ((-765) $)) (-15 -3529 ($ (-123) (-635 |#1|) (-765))) (-15 -3529 ($ (-1165))) (-15 -1811 ((-3 (-1165) "failed") $)) (-15 -3845 ((-121) $ (-123))) (-15 -3845 ((-121) $ (-1165))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) (-844)) (T -608)) 
-((-2798 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-1344 (*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-3955 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-1468 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-3529 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-635 *5)) (-5 *4 (-765)) (-4 *5 (-844)) (-5 *1 (-608 *5)))) (-3529 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-1811 (*1 *2 *1) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-3845 (*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-844)))) (-3845 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-844))))) 
-(-13 (-139) (-881 |#1|) (-10 -8 (-15 -2798 ((-1165) $)) (-15 -1344 ((-123) $)) (-15 -3955 ((-635 |#1|) $)) (-15 -1468 ((-765) $)) (-15 -3529 ($ (-123) (-635 |#1|) (-765))) (-15 -3529 ($ (-1165))) (-15 -1811 ((-3 (-1165) "failed") $)) (-15 -3845 ((-121) $ (-123))) (-15 -3845 ((-121) $ (-1165))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
-((-3956 ((|#1| $) 6))) 
-(((-609 |#1|) (-1284) (-1199)) (T -609)) 
-((-3956 (*1 *2 *1) (-12 (-4 *1 (-609 *2)) (-4 *2 (-1199))))) 
-(-13 (-10 -8 (-15 -3956 (|t#1| $)))) 
-((-4035 ((|#1| $) 6))) 
-(((-610 |#1|) (-1284) (-1199)) (T -610)) 
-((-4035 (*1 *2 *1) (-12 (-4 *1 (-610 *2)) (-4 *2 (-1199))))) 
-(-13 (-10 -8 (-15 -4035 (|t#1| $)))) 
-((-1516 (((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)) 13) (((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)) 14))) 
-(((-611 |#1| |#2|) (-10 -7 (-15 -1516 ((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|))) (-15 -1516 ((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)))) (-13 (-151) (-27) (-1039 (-569)) (-1039 (-410 (-569)))) (-1228 |#1|)) (T -611)) 
-((-1516 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-151) (-27) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-1161 (-410 *6))) (-5 *1 (-611 *5 *6)) (-5 *3 (-410 *6)))) (-1516 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-151) (-27) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-1161 (-410 *5))) (-5 *1 (-611 *4 *5)) (-5 *3 (-410 *5))))) 
-(-10 -7 (-15 -1516 ((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|))) (-15 -1516 ((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)))) 
-((-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) 10))) 
-(((-612 |#1| |#2|) (-10 -8 (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-613 |#2|) (-1049)) (T -612)) 
-NIL 
-(-10 -8 (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 35)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#1| $) 36))) 
-(((-613 |#1|) (-1284) (-1049)) (T -613)) 
-((-3956 (*1 *1 *2) (-12 (-4 *1 (-613 *2)) (-4 *2 (-1049))))) 
-(-13 (-1049) (-638 |t#1|) (-10 -8 (-15 -3956 ($ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3817 (((-569) $) NIL (|has| |#1| (-842)))) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-1863 (((-121) $) NIL (|has| |#1| (-842)))) (-3934 (((-121) $) NIL)) (-3515 ((|#1| $) 13)) (-4311 (((-121) $) NIL (|has| |#1| (-842)))) (-2157 (($ $ $) NIL (|has| |#1| (-842)))) (-2713 (($ $ $) NIL (|has| |#1| (-842)))) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3524 ((|#3| $) 15)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL)) (-2320 (((-765)) 20)) (-4080 (($ $) NIL (|has| |#1| (-842)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) 12 T CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1383 (($ $ |#3|) NIL) (($ |#1| |#3|) 11)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 17) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-614 |#1| |#2| |#3|) (-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (-15 -1383 ($ $ |#3|)) (-15 -1383 ($ |#1| |#3|)) (-15 -3515 (|#1| $)) (-15 -3524 (|#3| $)))) (-43 |#2|) (-173) (|SubsetCategory| (-718) |#2|)) (T -614)) 
-((-1383 (*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-718) *4)))) (-1383 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-614 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-718) *4)))) (-3515 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-43 *3)) (-5 *1 (-614 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-718) *3)))) (-3524 (*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-718) *4)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4))))) 
-(-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (-15 -1383 ($ $ |#3|)) (-15 -1383 ($ |#1| |#3|)) (-15 -3515 (|#1| $)) (-15 -3524 (|#3| $)))) 
-((-3547 ((|#2| |#2| (-1165) (-1165)) 18))) 
-(((-615 |#1| |#2|) (-10 -7 (-15 -3547 (|#2| |#2| (-1165) (-1165)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-961) (-29 |#1|))) (T -615)) 
-((-3547 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-615 *4 *2)) (-4 *2 (-13 (-1185) (-961) (-29 *4)))))) 
-(-10 -7 (-15 -3547 (|#2| |#2| (-1165) (-1165)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 52)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1387 ((|#1| $) 49)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2507 (((-2 (|:| -2877 $) (|:| -2266 (-410 |#2|))) (-410 |#2|)) 95 (|has| |#1| (-366)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 83) (((-3 |#2| "failed") $) 80)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL) ((|#2| $) NIL)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) 24)) (-2611 (((-3 $ "failed") $) 74)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-4433 (((-569) $) 19)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) 36)) (-3179 (($ |#1| (-569)) 21)) (-3270 ((|#1| $) 51)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) 85 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 98 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ $) 78)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2061 (((-765) $) 97 (|has| |#1| (-366)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 96 (|has| |#1| (-366)))) (-3289 (($ $ (-1 |#2| |#2|)) 65) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-2284 (((-569) $) 34)) (-4035 (((-410 |#2|) $) 42)) (-3956 (((-852) $) 61) (($ (-569)) 32) (($ $) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) 31) (($ |#2|) 22)) (-3802 ((|#1| $ (-569)) 62)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) 29)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 9 T CONST)) (-3297 (($) 12 T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1326 (((-121) $ $) 17)) (-1377 (($ $) 46) (($ $ $) NIL)) (-1371 (($ $ $) 75)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 26) (($ $ $) 44))) 
-(((-616 |#1| |#2|) (-13 (-224 |#2|) (-559) (-610 (-410 |#2|)) (-414 |#1|) (-1039 |#2|) (-10 -8 (-15 -3052 ((-121) $)) (-15 -2284 ((-569) $)) (-15 -4433 ((-569) $)) (-15 -3373 ($ $)) (-15 -3270 (|#1| $)) (-15 -1387 (|#1| $)) (-15 -3802 (|#1| $ (-569))) (-15 -3179 ($ |#1| (-569))) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-302)) (-15 -2507 ((-2 (|:| -2877 $) (|:| -2266 (-410 |#2|))) (-410 |#2|)))) |noBranch|))) (-559) (-1228 |#1|)) (T -616)) 
-((-3052 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-121)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) (-2284 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) (-4433 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) (-3373 (*1 *1 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2)))) (-3270 (*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2)))) (-1387 (*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2)))) (-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1228 *2)))) (-3179 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1228 *2)))) (-2507 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-559)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -2877 (-616 *4 *5)) (|:| -2266 (-410 *5)))) (-5 *1 (-616 *4 *5)) (-5 *3 (-410 *5))))) 
-(-13 (-224 |#2|) (-559) (-610 (-410 |#2|)) (-414 |#1|) (-1039 |#2|) (-10 -8 (-15 -3052 ((-121) $)) (-15 -2284 ((-569) $)) (-15 -4433 ((-569) $)) (-15 -3373 ($ $)) (-15 -3270 (|#1| $)) (-15 -1387 (|#1| $)) (-15 -3802 (|#1| $ (-569))) (-15 -3179 ($ |#1| (-569))) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-302)) (-15 -2507 ((-2 (|:| -2877 $) (|:| -2266 (-410 |#2|))) (-410 |#2|)))) |noBranch|))) 
-((-3202 (((-635 |#6|) (-635 |#4|) (-121)) 46)) (-3957 ((|#6| |#6|) 39))) 
-(((-617 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3957 (|#6| |#6|)) (-15 -3202 ((-635 |#6|) (-635 |#4|) (-121)))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|) (-1102 |#1| |#2| |#3| |#4|)) (T -617)) 
-((-3202 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 *10)) (-5 *1 (-617 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *10 (-1102 *5 *6 *7 *8)))) (-3957 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-617 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *2 (-1102 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -3957 (|#6| |#6|)) (-15 -3202 ((-635 |#6|) (-635 |#4|) (-121)))) 
-((-1347 (((-121) |#3| (-765) (-635 |#3|)) 22)) (-2034 (((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1161 |#3|)))) "failed") |#3| (-635 (-1161 |#3|)) (-2 (|:| |contp| |#3|) (|:| -3459 (-635 (-2 (|:| |irr| |#4|) (|:| -4144 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)) 51))) 
-(((-618 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1347 ((-121) |#3| (-765) (-635 |#3|))) (-15 -2034 ((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1161 |#3|)))) "failed") |#3| (-635 (-1161 |#3|)) (-2 (|:| |contp| |#3|) (|:| -3459 (-635 (-2 (|:| |irr| |#4|) (|:| -4144 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)))) (-844) (-790) (-302) (-952 |#3| |#2| |#1|)) (T -618)) 
-((-2034 (*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -3459 (-635 (-2 (|:| |irr| *10) (|:| -4144 (-569))))))) (-5 *6 (-635 *3)) (-5 *7 (-635 *8)) (-4 *8 (-844)) (-4 *3 (-302)) (-4 *10 (-952 *3 *9 *8)) (-4 *9 (-790)) (-5 *2 (-2 (|:| |polfac| (-635 *10)) (|:| |correct| *3) (|:| |corrfact| (-635 (-1161 *3))))) (-5 *1 (-618 *8 *9 *3 *10)) (-5 *4 (-635 (-1161 *3))))) (-1347 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-765)) (-5 *5 (-635 *3)) (-4 *3 (-302)) (-4 *6 (-844)) (-4 *7 (-790)) (-5 *2 (-121)) (-5 *1 (-618 *6 *7 *3 *8)) (-4 *8 (-952 *3 *7 *6))))) 
-(-10 -7 (-15 -1347 ((-121) |#3| (-765) (-635 |#3|))) (-15 -2034 ((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1161 |#3|)))) "failed") |#3| (-635 (-1161 |#3|)) (-2 (|:| |contp| |#3|) (|:| -3459 (-635 (-2 (|:| |irr| |#4|) (|:| -4144 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)))) 
-((-1310 (((-121) $ $) NIL)) (-3810 (((-635 |#1|) $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2745 (($ $) 67)) (-3597 (((-657 |#1| |#2|) $) 52)) (-2210 (((-635 (-2 (|:| |k| (-890 |#1|)) (|:| |c| |#2|))) $) 36)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 70)) (-3496 (((-635 (-289 |#2|)) $ $) 33)) (-1912 (((-1111) $) NIL)) (-3408 (($ (-657 |#1| |#2|)) 48)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 58) (((-1266 |#1| |#2|) $) NIL) (((-1271 |#1| |#2|) $) 66)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 53 T CONST)) (-4218 (((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $) 31)) (-3637 (((-635 (-657 |#1| |#2|)) (-635 |#1|)) 65)) (-1326 (((-121) $ $) 54)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 44))) 
-(((-619 |#1| |#2| |#3|) (-13 (-479) (-10 -8 (-15 -3408 ($ (-657 |#1| |#2|))) (-15 -3597 ((-657 |#1| |#2|) $)) (-15 -2210 ((-635 (-2 (|:| |k| (-890 |#1|)) (|:| |c| |#2|))) $)) (-15 -3956 ((-1266 |#1| |#2|) $)) (-15 -3956 ((-1271 |#1| |#2|) $)) (-15 -2745 ($ $)) (-15 -3810 ((-635 |#1|) $)) (-15 -3637 ((-635 (-657 |#1| |#2|)) (-635 |#1|))) (-15 -4218 ((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $)) (-15 -3496 ((-635 (-289 |#2|)) $ $)))) (-844) (-13 (-173) (-709 (-410 (-569)))) (-919)) (T -619)) 
-((-3408 (*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-5 *1 (-619 *3 *4 *5)) (-14 *5 (-919)))) (-3597 (*1 *2 *1) (-12 (-5 *2 (-657 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-2210 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-890 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1271 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-2745 (*1 *1 *1) (-12 (-5 *1 (-619 *2 *3 *4)) (-4 *2 (-844)) (-4 *3 (-13 (-173) (-709 (-410 (-569))))) (-14 *4 (-919)))) (-3810 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-3637 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-844)) (-5 *2 (-635 (-657 *4 *5))) (-5 *1 (-619 *4 *5 *6)) (-4 *5 (-13 (-173) (-709 (-410 (-569))))) (-14 *6 (-919)))) (-4218 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-664 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-3496 (*1 *2 *1 *1) (-12 (-5 *2 (-635 (-289 *4))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919))))) 
-(-13 (-479) (-10 -8 (-15 -3408 ($ (-657 |#1| |#2|))) (-15 -3597 ((-657 |#1| |#2|) $)) (-15 -2210 ((-635 (-2 (|:| |k| (-890 |#1|)) (|:| |c| |#2|))) $)) (-15 -3956 ((-1266 |#1| |#2|) $)) (-15 -3956 ((-1271 |#1| |#2|) $)) (-15 -2745 ($ $)) (-15 -3810 ((-635 |#1|) $)) (-15 -3637 ((-635 (-657 |#1| |#2|)) (-635 |#1|))) (-15 -4218 ((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $)) (-15 -3496 ((-635 (-289 |#2|)) $ $)))) 
-((-3202 (((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121)) 70) (((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121)) 56)) (-3355 (((-121) (-635 (-777 |#1| (-854 |#2|)))) 22)) (-3605 (((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121)) 69)) (-4452 (((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121)) 55)) (-4378 (((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|)))) 26)) (-2238 (((-3 (-635 (-777 |#1| (-854 |#2|))) "failed") (-635 (-777 |#1| (-854 |#2|)))) 25))) 
-(((-620 |#1| |#2|) (-10 -7 (-15 -3355 ((-121) (-635 (-777 |#1| (-854 |#2|))))) (-15 -2238 ((-3 (-635 (-777 |#1| (-854 |#2|))) "failed") (-635 (-777 |#1| (-854 |#2|))))) (-15 -4378 ((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|))))) (-15 -4452 ((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3605 ((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3202 ((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3202 ((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121)))) (-454) (-635 (-1165))) (T -620)) 
-((-3202 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1134 *5 (-535 (-854 *6)) (-854 *6) (-777 *5 (-854 *6))))) (-5 *1 (-620 *5 *6)))) (-3202 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-620 *5 *6)))) (-3605 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1134 *5 (-535 (-854 *6)) (-854 *6) (-777 *5 (-854 *6))))) (-5 *1 (-620 *5 *6)))) (-4452 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-620 *5 *6)))) (-4378 (*1 *2 *2) (-12 (-5 *2 (-635 (-777 *3 (-854 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1165))) (-5 *1 (-620 *3 *4)))) (-2238 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-777 *3 (-854 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1165))) (-5 *1 (-620 *3 *4)))) (-3355 (*1 *2 *3) (-12 (-5 *3 (-635 (-777 *4 (-854 *5)))) (-4 *4 (-454)) (-14 *5 (-635 (-1165))) (-5 *2 (-121)) (-5 *1 (-620 *4 *5))))) 
-(-10 -7 (-15 -3355 ((-121) (-635 (-777 |#1| (-854 |#2|))))) (-15 -2238 ((-3 (-635 (-777 |#1| (-854 |#2|))) "failed") (-635 (-777 |#1| (-854 |#2|))))) (-15 -4378 ((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|))))) (-15 -4452 ((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3605 ((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3202 ((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3202 ((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121)))) 
-((-3544 (($ $) 38)) (-3467 (($ $) 21)) (-3530 (($ $) 37)) (-3455 (($ $) 22)) (-3559 (($ $) 36)) (-3480 (($ $) 23)) (-3415 (($) 48)) (-3597 (($ $) 45)) (-3433 (($ $) 17)) (-2553 (($ $ (-1085 $)) 7) (($ $ (-1165)) 6)) (-4230 (($ $) 14)) (-2640 (($ $) 13)) (-3408 (($ $) 46)) (-3438 (($ $) 15)) (-3450 (($ $) 16)) (-3565 (($ $) 35)) (-3485 (($ $) 24)) (-3551 (($ $) 34)) (-3473 (($ $) 25)) (-3538 (($ $) 33)) (-3460 (($ $) 26)) (-3585 (($ $) 44)) (-3505 (($ $) 32)) (-3572 (($ $) 43)) (-3490 (($ $) 31)) (-3599 (($ $) 42)) (-3517 (($ $) 30)) (-4527 (($ $) 41)) (-3525 (($ $) 29)) (-3592 (($ $) 40)) (-3510 (($ $) 28)) (-3579 (($ $) 39)) (-3497 (($ $) 27)) (-1900 (($ $) 19)) (-1618 (($ $) 20)) (-3184 (($ $) 18)) (** (($ $ $) 47))) 
-(((-621) (-1284)) (T -621)) 
-((-1618 (*1 *1 *1) (-4 *1 (-621))) (-1900 (*1 *1 *1) (-4 *1 (-621))) (-3184 (*1 *1 *1) (-4 *1 (-621))) (-3433 (*1 *1 *1) (-4 *1 (-621))) (-3450 (*1 *1 *1) (-4 *1 (-621))) (-3438 (*1 *1 *1) (-4 *1 (-621))) (-4230 (*1 *1 *1) (-4 *1 (-621))) (-2640 (*1 *1 *1) (-4 *1 (-621)))) 
-(-13 (-961) (-1185) (-10 -8 (-15 -1618 ($ $)) (-15 -1900 ($ $)) (-15 -3184 ($ $)) (-15 -3433 ($ $)) (-15 -3450 ($ $)) (-15 -3438 ($ $)) (-15 -4230 ($ $)) (-15 -2640 ($ $)))) 
-(((-40) . T) ((-98) . T) ((-280) . T) ((-503) . T) ((-961) . T) ((-1185) . T) ((-1188) . T)) 
-((-1344 (((-123) (-123)) 87)) (-3433 ((|#2| |#2|) 32)) (-2553 ((|#2| |#2| (-1085 |#2|)) 83) ((|#2| |#2| (-1165)) 56)) (-4230 ((|#2| |#2|) 34)) (-2640 ((|#2| |#2|) 35)) (-3438 ((|#2| |#2|) 31)) (-3450 ((|#2| |#2|) 33)) (-3791 (((-121) (-123)) 38)) (-1900 ((|#2| |#2|) 28)) (-1618 ((|#2| |#2|) 30)) (-3184 ((|#2| |#2|) 29))) 
-(((-622 |#1| |#2|) (-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -1618 (|#2| |#2|)) (-15 -1900 (|#2| |#2|)) (-15 -3184 (|#2| |#2|)) (-15 -3433 (|#2| |#2|)) (-15 -3438 (|#2| |#2|)) (-15 -3450 (|#2| |#2|)) (-15 -4230 (|#2| |#2|)) (-15 -2640 (|#2| |#2|)) (-15 -2553 (|#2| |#2| (-1165))) (-15 -2553 (|#2| |#2| (-1085 |#2|)))) (-13 (-844) (-559)) (-13 (-433 |#1|) (-1004) (-1185))) (T -622)) 
-((-2553 (*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-13 (-433 *4) (-1004) (-1185))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-622 *4 *2)))) (-2553 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-622 *4 *2)) (-4 *2 (-13 (-433 *4) (-1004) (-1185))))) (-2640 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-4230 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-3450 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-3438 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-3433 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-3184 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-1900 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-1618 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *4)) (-4 *4 (-13 (-433 *3) (-1004) (-1185))))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-622 *4 *5)) (-4 *5 (-13 (-433 *4) (-1004) (-1185)))))) 
-(-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -1618 (|#2| |#2|)) (-15 -1900 (|#2| |#2|)) (-15 -3184 (|#2| |#2|)) (-15 -3433 (|#2| |#2|)) (-15 -3438 (|#2| |#2|)) (-15 -3450 (|#2| |#2|)) (-15 -4230 (|#2| |#2|)) (-15 -2640 (|#2| |#2|)) (-15 -2553 (|#2| |#2| (-1165))) (-15 -2553 (|#2| |#2| (-1085 |#2|)))) 
-((-1719 (((-493 |#1| |#2|) (-243 |#1| |#2|)) 52)) (-1617 (((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 67)) (-2686 (((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-854 |#1|)) 69) (((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-854 |#1|)) 68)) (-4129 (((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|))) 105)) (-1461 (((-635 (-493 |#1| |#2|)) (-854 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 82)) (-2843 (((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|))) 116)) (-1897 (((-1253 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|))) 57)) (-4222 (((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 39)) (-1727 (((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|))) 49)) (-3797 (((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|))) 89))) 
-(((-623 |#1| |#2|) (-10 -7 (-15 -4129 ((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|)))) (-15 -2843 ((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|)))) (-15 -1617 ((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -2686 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-854 |#1|))) (-15 -2686 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-854 |#1|))) (-15 -4222 ((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1897 ((-1253 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|)))) (-15 -3797 ((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -1461 ((-635 (-493 |#1| |#2|)) (-854 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1727 ((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -1719 ((-493 |#1| |#2|) (-243 |#1| |#2|)))) (-635 (-1165)) (-454)) (T -623)) 
-((-1719 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-493 *4 *5)) (-5 *1 (-623 *4 *5)))) (-1727 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-243 *4 *5))) (-5 *2 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5)))) (-1461 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-854 *4)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5)))) (-3797 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-243 *5 *6))) (-4 *6 (-454)) (-5 *2 (-243 *5 *6)) (-14 *5 (-635 (-1165))) (-5 *1 (-623 *5 *6)))) (-1897 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-493 *5 *6))) (-5 *3 (-493 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-1253 *6)) (-5 *1 (-623 *5 *6)))) (-4222 (*1 *2 *2) (-12 (-5 *2 (-635 (-493 *3 *4))) (-14 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-623 *3 *4)))) (-2686 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-854 *5)) (-14 *5 (-635 (-1165))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) (-2686 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-854 *5)) (-14 *5 (-635 (-1165))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) (-1617 (*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-635 (-243 *4 *5))) (-5 *1 (-623 *4 *5)))) (-2843 (*1 *2 *3) (-12 (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |glbase| (-635 (-243 *4 *5))) (|:| |glval| (-635 (-569))))) (-5 *1 (-623 *4 *5)) (-5 *3 (-635 (-243 *4 *5))))) (-4129 (*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |gblist| (-635 (-243 *4 *5))) (|:| |gvlist| (-635 (-569))))) (-5 *1 (-623 *4 *5))))) 
-(-10 -7 (-15 -4129 ((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|)))) (-15 -2843 ((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|)))) (-15 -1617 ((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -2686 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-854 |#1|))) (-15 -2686 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-854 |#1|))) (-15 -4222 ((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1897 ((-1253 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|)))) (-15 -3797 ((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -1461 ((-635 (-493 |#1| |#2|)) (-854 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1727 ((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -1719 ((-493 |#1| |#2|) (-243 |#1| |#2|)))) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL)) (-1403 (((-1258) $ (-1147) (-1147)) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-57) $ (-1147) (-57)) 16) (((-57) $ (-1165) (-57)) 17)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 (-57) "failed") (-1147) $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-2006 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-3 (-57) "failed") (-1147) $) NIL)) (-3503 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-57) $ (-1147) (-57)) NIL (|has| $ (-6 -4572)))) (-4124 (((-57) $ (-1147)) NIL)) (-4303 (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3281 (($ $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-1147) $) NIL (|has| (-1147) (-844)))) (-4457 (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-1301 (((-1147) $) NIL (|has| (-1147) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4572))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-4090 (($ (-391)) 9)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-1316 (((-635 (-1147)) $) NIL)) (-1591 (((-121) (-1147) $) NIL)) (-4496 (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL)) (-2351 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL)) (-2761 (((-635 (-1147)) $) NIL)) (-3292 (((-121) (-1147) $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-1816 (((-57) $) NIL (|has| (-1147) (-844)))) (-2569 (((-3 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) "failed") (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL)) (-2417 (($ $ (-57)) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (($ $ (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (($ $ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-4283 (((-635 (-57)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 (((-57) $ (-1147)) 14) (((-57) $ (-1147) (-57)) NIL) (((-57) $ (-1165)) 15)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (((-765) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093)))) (((-765) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-2520 (($ $) NIL)) (-1753 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-624) (-13 (-1176 (-1147) (-57)) (-10 -8 (-15 -4090 ($ (-391))) (-15 -3281 ($ $)) (-15 -2503 ((-57) $ (-1165))) (-15 -2511 ((-57) $ (-1165) (-57))) (-15 -2520 ($ $))))) (T -624)) 
-((-4090 (*1 *1 *2) (-12 (-5 *2 (-391)) (-5 *1 (-624)))) (-3281 (*1 *1 *1) (-5 *1 (-624))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-57)) (-5 *1 (-624)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1165)) (-5 *1 (-624)))) (-2520 (*1 *1 *1) (-5 *1 (-624)))) 
-(-13 (-1176 (-1147) (-57)) (-10 -8 (-15 -4090 ($ (-391))) (-15 -3281 ($ $)) (-15 -2503 ((-57) $ (-1165))) (-15 -2511 ((-57) $ (-1165) (-57))) (-15 -2520 ($ $)))) 
-((-1383 (($ $ |#2|) 10))) 
-(((-625 |#1| |#2|) (-10 -8 (-15 -1383 (|#1| |#1| |#2|))) (-626 |#2|) (-173)) (T -625)) 
-NIL 
-(-10 -8 (-15 -1383 (|#1| |#1| |#2|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3124 (($ $ $) 26)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 25 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-626 |#1|) (-1284) (-173)) (T -626)) 
-((-3124 (*1 *1 *1 *1) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)))) (-1383 (*1 *1 *1 *2) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
-(-13 (-709 |t#1|) (-10 -8 (-15 -3124 ($ $ $)) (-6 |NullSquare|) (-6 |JacobiIdentity|) (IF (|has| |t#1| (-366)) (-15 -1383 ($ $ |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-709 |#1|) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3667 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3359 (((-1253 (-681 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-1253 (-681 |#1|)) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-1552 (((-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4483 (($) NIL T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3943 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2459 (((-681 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-1478 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4471 (((-681 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4174 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1965 (((-1161 (-955 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-4382 (($ $ (-919)) NIL)) (-3557 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-2212 (((-1161 |#1|) $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1547 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-3168 (((-1161 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-3073 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2097 (($ (-1253 |#1|)) NIL (|has| |#2| (-420 |#1|))) (($ (-1253 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3358 (((-919)) NIL (|has| |#2| (-370 |#1|)))) (-3894 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2073 (($ $ (-919)) NIL)) (-1428 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4078 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4015 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1309 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3707 (((-681 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2858 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4432 (((-681 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2983 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3348 (((-1161 (-955 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-2846 (($ $ (-919)) NIL)) (-2170 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-1650 (((-1161 |#1|) $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2510 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4215 (((-1161 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2431 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2605 (((-1147) $) NIL)) (-2826 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4161 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3983 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1912 (((-1111) $) NIL)) (-2067 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2503 ((|#1| $ (-569)) NIL (|has| |#2| (-420 |#1|)))) (-3672 (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-420 |#1|))) (((-1253 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $) (-1253 $)) NIL (|has| |#2| (-370 |#1|))) (((-1253 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4035 (($ (-1253 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-1253 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3127 (((-635 (-955 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-635 (-955 |#1|)) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2689 (($ $ $) NIL)) (-2984 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3956 (((-852) $) NIL) ((|#2| $) 12) (($ |#2|) 13)) (-4079 (((-1253 $)) NIL (|has| |#2| (-420 |#1|)))) (-2628 (((-635 (-1253 |#1|))) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-4379 (($ $ $ $) NIL)) (-1413 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1772 (($ (-681 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3924 (($ $ $) NIL)) (-1561 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3952 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1606 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2407 (($) 15 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) 17)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 11) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-627 |#1| |#2|) (-13 (-738 |#1|) (-609 |#2|) (-10 -8 (-15 -3956 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) (-173) (-738 |#1|)) (T -627)) 
-((-3956 (*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-627 *3 *2)) (-4 *2 (-738 *3))))) 
-(-13 (-738 |#1|) (-609 |#2|) (-10 -8 (-15 -3956 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) 
-((-2091 (((-3 (-837 |#2|) "failed") |#2| (-289 |#2|) (-1147)) 78) (((-3 (-837 |#2|) (-2 (|:| |leftHandLimit| (-3 (-837 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-837 |#2|) "failed"))) "failed") |#2| (-289 (-837 |#2|))) 100)) (-1782 (((-3 (-830 |#2|) "failed") |#2| (-289 (-830 |#2|))) 105))) 
-(((-628 |#1| |#2|) (-10 -7 (-15 -2091 ((-3 (-837 |#2|) (-2 (|:| |leftHandLimit| (-3 (-837 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-837 |#2|) "failed"))) "failed") |#2| (-289 (-837 |#2|)))) (-15 -1782 ((-3 (-830 |#2|) "failed") |#2| (-289 (-830 |#2|)))) (-15 -2091 ((-3 (-837 |#2|) "failed") |#2| (-289 |#2|) (-1147)))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -628)) 
-((-2091 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 *3)) (-5 *5 (-1147)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-837 *3)) (-5 *1 (-628 *6 *3)))) (-1782 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-289 (-830 *3))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-830 *3)) (-5 *1 (-628 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-2091 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-837 *3))) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (-837 *3) (-2 (|:| |leftHandLimit| (-3 (-837 *3) "failed")) (|:| |rightHandLimit| (-3 (-837 *3) "failed"))) "failed")) (-5 *1 (-628 *5 *3))))) 
-(-10 -7 (-15 -2091 ((-3 (-837 |#2|) (-2 (|:| |leftHandLimit| (-3 (-837 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-837 |#2|) "failed"))) "failed") |#2| (-289 (-837 |#2|)))) (-15 -1782 ((-3 (-830 |#2|) "failed") |#2| (-289 (-830 |#2|)))) (-15 -2091 ((-3 (-837 |#2|) "failed") |#2| (-289 |#2|) (-1147)))) 
-((-2091 (((-3 (-837 (-410 (-955 |#1|))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))) (-1147)) 79) (((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|)))) 18) (((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-837 (-955 |#1|)))) 34)) (-1782 (((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|)))) 21) (((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-830 (-955 |#1|)))) 42))) 
-(((-629 |#1|) (-10 -7 (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-837 (-955 |#1|))))) (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -1782 ((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-830 (-955 |#1|))))) (-15 -1782 ((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))) (-1147)))) (-454)) (T -629)) 
-((-2091 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 (-410 (-955 *6)))) (-5 *5 (-1147)) (-5 *3 (-410 (-955 *6))) (-4 *6 (-454)) (-5 *2 (-837 *3)) (-5 *1 (-629 *6)))) (-1782 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-454)) (-5 *2 (-830 *3)) (-5 *1 (-629 *5)))) (-1782 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-830 (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-830 (-410 (-955 *5)))) (-5 *1 (-629 *5)) (-5 *3 (-410 (-955 *5))))) (-2091 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-454)) (-5 *2 (-3 (-837 *3) (-2 (|:| |leftHandLimit| (-3 (-837 *3) "failed")) (|:| |rightHandLimit| (-3 (-837 *3) "failed"))) "failed")) (-5 *1 (-629 *5)))) (-2091 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-837 (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-3 (-837 (-410 (-955 *5))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 *5))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 *5))) "failed"))) "failed")) (-5 *1 (-629 *5)) (-5 *3 (-410 (-955 *5)))))) 
-(-10 -7 (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-837 (-955 |#1|))))) (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -1782 ((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-830 (-955 |#1|))))) (-15 -1782 ((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))) (-1147)))) 
-((-1977 (((-3 (-1253 (-410 |#1|)) "failed") (-1253 |#2|) |#2|) 57 (-3182 (|has| |#1| (-366)))) (((-3 (-1253 |#1|) "failed") (-1253 |#2|) |#2|) 42 (|has| |#1| (-366)))) (-4045 (((-121) (-1253 |#2|)) 30)) (-2453 (((-3 (-1253 |#1|) "failed") (-1253 |#2|)) 33))) 
-(((-630 |#1| |#2|) (-10 -7 (-15 -4045 ((-121) (-1253 |#2|))) (-15 -2453 ((-3 (-1253 |#1|) "failed") (-1253 |#2|))) (IF (|has| |#1| (-366)) (-15 -1977 ((-3 (-1253 |#1|) "failed") (-1253 |#2|) |#2|)) (-15 -1977 ((-3 (-1253 (-410 |#1|)) "failed") (-1253 |#2|) |#2|)))) (-559) (-631 |#1|)) (T -630)) 
-((-1977 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 *5)) (-3182 (-4 *5 (-366))) (-4 *5 (-559)) (-5 *2 (-1253 (-410 *5))) (-5 *1 (-630 *5 *4)))) (-1977 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 *5)) (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-1253 *5)) (-5 *1 (-630 *5 *4)))) (-2453 (*1 *2 *3) (|partial| -12 (-5 *3 (-1253 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-1253 *4)) (-5 *1 (-630 *4 *5)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-121)) (-5 *1 (-630 *4 *5))))) 
-(-10 -7 (-15 -4045 ((-121) (-1253 |#2|))) (-15 -2453 ((-3 (-1253 |#1|) "failed") (-1253 |#2|))) (IF (|has| |#1| (-366)) (-15 -1977 ((-3 (-1253 |#1|) "failed") (-1253 |#2|) |#2|)) (-15 -1977 ((-3 (-1253 (-410 |#1|)) "failed") (-1253 |#2|) |#2|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3435 (((-681 |#1|) (-681 $)) 35) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 34)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-631 |#1|) (-1284) (-1049)) (T -631)) 
-((-3435 (*1 *2 *3) (-12 (-5 *3 (-681 *1)) (-4 *1 (-631 *4)) (-4 *4 (-1049)) (-5 *2 (-681 *4)))) (-3435 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *1)) (-5 *4 (-1253 *1)) (-4 *1 (-631 *5)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -4463 (-681 *5)) (|:| |vec| (-1253 *5))))))) 
-(-13 (-1049) (-10 -8 (-15 -3435 ((-681 |t#1|) (-681 $))) (-15 -3435 ((-2 (|:| -4463 (-681 |t#1|)) (|:| |vec| (-1253 |t#1|))) (-681 $) (-1253 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-2907 ((|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)) 18) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|)) 19) ((|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|) 16) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|) 17) ((|#2| (-635 |#1|) (-635 |#2|) |#1|) 10) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|)) 12))) 
-(((-632 |#1| |#2|) (-10 -7 (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|))) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1|)) (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|)) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|)) (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|))) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)))) (-1093) (-1199)) (T -632)) 
-((-2907 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) (-2907 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *1 (-632 *5 *6)))) (-2907 (*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) (-2907 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 *5)) (-4 *6 (-1093)) (-4 *5 (-1199)) (-5 *2 (-1 *5 *6)) (-5 *1 (-632 *6 *5)))) (-2907 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) (-2907 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *2 (-1 *6 *5)) (-5 *1 (-632 *5 *6))))) 
-(-10 -7 (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|))) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1|)) (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|)) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|)) (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|))) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)))) 
-((-2247 (((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|) 16)) (-2793 ((|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|) 18)) (-4188 (((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)) 13))) 
-(((-633 |#1| |#2|) (-10 -7 (-15 -2247 ((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -4188 ((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)))) (-1199) (-1199)) (T -633)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-635 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-635 *6)) (-5 *1 (-633 *5 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-635 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-633 *5 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-635 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-635 *5)) (-5 *1 (-633 *6 *5))))) 
-(-10 -7 (-15 -2247 ((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -4188 ((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)))) 
-((-4188 (((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)) 13))) 
-(((-634 |#1| |#2| |#3|) (-10 -7 (-15 -4188 ((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)))) (-1199) (-1199) (-1199)) (T -634)) 
-((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-635 *6)) (-5 *5 (-635 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-635 *8)) (-5 *1 (-634 *6 *7 *8))))) 
-(-10 -7 (-15 -4188 ((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) NIL)) (-1823 ((|#1| $) NIL)) (-2394 (($ $) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) $) NIL (|has| |#1| (-844))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-1744 (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-2930 (($ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) NIL (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "rest" $) NIL (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-1895 (($ $ $) 31 (|has| |#1| (-1093)))) (-1884 (($ $ $) 33 (|has| |#1| (-1093)))) (-1878 (($ $ $) 36 (|has| |#1| (-1093)))) (-1304 (($ (-1 (-121) |#1|) $) NIL)) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4024 ((|#1| $) NIL)) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1864 (($ $) NIL) (($ $ (-765)) NIL)) (-2938 (($ $) NIL (|has| |#1| (-1093)))) (-1858 (($ $) 30 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) NIL (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) NIL)) (-3503 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-1292 (((-121) $) NIL)) (-3988 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093))) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) (-1 (-121) |#1|) $) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3844 (((-121) $) 9)) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-4317 (($) 7)) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-4002 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-2102 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 32 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1832 (($ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-3302 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2351 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-4363 (((-121) $) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1219 (-569))) NIL) ((|#1| $ (-569)) 35) ((|#1| $ (-569) |#1|) NIL)) (-3248 (((-569) $ $) NIL)) (-1313 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-1630 (((-121) $) NIL)) (-2588 (($ $) NIL)) (-1390 (($ $) NIL (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) 44 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-1792 (($ |#1| $) 10)) (-4422 (($ $ $) NIL) (($ $ |#1|) NIL)) (-4456 (($ $ $) 29) (($ |#1| $) NIL) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3650 (($ $ $) 11)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-3685 (((-1147) $) 25 (|has| |#1| (-825))) (((-1147) $ (-121)) 26 (|has| |#1| (-825))) (((-1258) (-819) $) 27 (|has| |#1| (-825))) (((-1258) (-819) $ (-121)) 28 (|has| |#1| (-825)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-635 |#1|) (-13 (-659 |#1|) (-10 -8 (-15 -4317 ($)) (-15 -3844 ((-121) $)) (-15 -1792 ($ |#1| $)) (-15 -3650 ($ $ $)) (IF (|has| |#1| (-1093)) (PROGN (-15 -1895 ($ $ $)) (-15 -1884 ($ $ $)) (-15 -1878 ($ $ $))) |noBranch|) (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|))) (-1199)) (T -635)) 
-((-4317 (*1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199)))) (-3844 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-635 *3)) (-4 *3 (-1199)))) (-1792 (*1 *1 *2 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199)))) (-3650 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199)))) (-1895 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199)))) (-1884 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199)))) (-1878 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199))))) 
-(-13 (-659 |#1|) (-10 -8 (-15 -4317 ($)) (-15 -3844 ((-121) $)) (-15 -1792 ($ |#1| $)) (-15 -3650 ($ $ $)) (IF (|has| |#1| (-1093)) (PROGN (-15 -1895 ($ $ $)) (-15 -1884 ($ $ $)) (-15 -1878 ($ $ $))) |noBranch|) (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|))) 
-((-1865 (((-635 |#1|) |#2| (-569)) 21)) (-2163 (((-681 |#1|) (-635 |#2|) (-569)) 30)) (-3653 (((-681 |#1|) (-635 |#2|) (-569)) 28))) 
-(((-636 |#1| |#2|) (-10 -7 (-15 -2163 ((-681 |#1|) (-635 |#2|) (-569))) (-15 -3653 ((-681 |#1|) (-635 |#2|) (-569))) (-15 -1865 ((-635 |#1|) |#2| (-569)))) (-366) (-642 |#1|)) (T -636)) 
-((-1865 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-5 *2 (-635 *5)) (-5 *1 (-636 *5 *3)) (-4 *3 (-642 *5)))) (-3653 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-636 *5 *6)))) (-2163 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-636 *5 *6))))) 
-(-10 -7 (-15 -2163 ((-681 |#1|) (-635 |#2|) (-569))) (-15 -3653 ((-681 |#1|) (-635 |#2|) (-569))) (-15 -1865 ((-635 |#1|) |#2| (-569)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2681 (($ |#1| |#1| $) 43)) (-3350 (((-121) $ (-765)) NIL)) (-1304 (($ (-1 (-121) |#1|) $) 56 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2938 (($ $) 45)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) 51 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 53 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 9 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 37)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) 46)) (-2351 (($ |#1| $) 26) (($ |#1| $ (-765)) 42)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2166 ((|#1| $) 48)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 21)) (-4016 (($) 25)) (-2469 (((-121) $) 49)) (-2820 (((-635 (-2 (|:| -3175 |#1|) (|:| -2691 (-765)))) $) 60)) (-1353 (($) 23) (($ (-635 |#1|)) 18)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) 57 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 19)) (-4035 (((-542) $) 34 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-3956 (((-852) $) 14 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 22)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 62 (|has| |#1| (-1093)))) (-2946 (((-765) $) 16 (|has| $ (-6 -4571))))) 
-(((-637 |#1|) (-13 (-686 |#1|) (-10 -8 (-6 -4571) (-15 -2469 ((-121) $)) (-15 -2681 ($ |#1| |#1| $)))) (-1093)) (T -637)) 
-((-2469 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-637 *3)) (-4 *3 (-1093)))) (-2681 (*1 *1 *2 *2 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1093))))) 
-(-13 (-686 |#1|) (-10 -8 (-6 -4571) (-15 -2469 ((-121) $)) (-15 -2681 ($ |#1| |#1| $)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22))) 
-(((-638 |#1|) (-1284) (-1056)) (T -638)) 
-((* (*1 *1 *2 *1) (-12 (-4 *1 (-638 *2)) (-4 *2 (-1056))))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) NIL)) (-4198 ((|#1| $) NIL)) (-4327 (($ $) NIL)) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-4065 (($ $ (-571)) 57 (|has| $ (-6 -4601)))) (-2648 (((-121) $) NIL (|has| |#1| (-847))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-3652 (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847)))) (($ (-1 (-121) |#1| |#1|) $) 55 (|has| $ (-6 -4601)))) (-2972 (($ $) NIL (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2815 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-1384 (($ $ $) 23 (|has| $ (-6 -4601)))) (-4531 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-1833 ((|#1| $ |#1|) 21 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ "first" |#1|) 22 (|has| $ (-6 -4601))) (($ $ "rest" $) 24 (|has| $ (-6 -4601))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-3129 (($ (-1 (-121) |#1|) $) NIL)) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4035 ((|#1| $) NIL)) (-2269 (($) NIL T CONST)) (-4578 (($ $) 28 (|has| $ (-6 -4601)))) (-4378 (($ $) 29)) (-4372 (($ $) 18) (($ $ (-768)) 32)) (-2980 (($ $) 53 (|has| |#1| (-1097)))) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1599 (($ |#1| $) NIL (|has| |#1| (-1097))) (($ (-1 (-121) |#1|) $) NIL)) (-3412 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-2922 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) NIL)) (-3076 (((-121) $) NIL)) (-3984 (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097))) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) (-1 (-121) |#1|) $) NIL)) (-4034 (((-637 |#1|) $) 27 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1364 (($ (-768) |#1|) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 31 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2984 (($ $ $) NIL (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $ $) 56)) (-3491 (($ $ $) NIL (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 51 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-4344 (($ |#1|) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3392 (((-637 |#1|) $) NIL)) (-2945 (((-121) $) NIL)) (-3944 (((-1151) $) 50 (|has| |#1| (-1097)))) (-3220 ((|#1| $) NIL) (($ $ (-768)) NIL)) (-2863 (($ $ $ (-571)) NIL) (($ |#1| $ (-571)) NIL)) (-2594 (($ $ $ (-571)) NIL) (($ |#1| $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1827 ((|#1| $) 13) (($ $ (-768)) NIL)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) NIL (|has| $ (-6 -4601)))) (-3032 (((-121) $) NIL)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 12)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) 17)) (-1630 (($) 16)) (-3245 ((|#1| $ "value") NIL) ((|#1| $ "first") 15) (($ $ "rest") 20) ((|#1| $ "last") NIL) (($ $ (-1224 (-571))) NIL) ((|#1| $ (-571)) NIL) ((|#1| $ (-571) |#1|) NIL)) (-2514 (((-571) $ $) NIL)) (-3165 (($ $ (-1224 (-571))) NIL) (($ $ (-571)) NIL)) (-1933 (($ $ (-1224 (-571))) NIL) (($ $ (-571)) NIL)) (-1664 (((-121) $) 33)) (-3863 (($ $) NIL)) (-3756 (($ $) NIL (|has| $ (-6 -4601)))) (-2895 (((-768) $) NIL)) (-1360 (($ $) 35)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) 34)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 26)) (-3294 (($ $ $) 52) (($ $ |#1|) NIL)) (-4498 (($ $ $) NIL) (($ |#1| $) 10) (($ (-637 $)) NIL) (($ $ |#1|) NIL)) (-3942 (((-855) $) 45 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) 47 (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-4001 (((-768) $) 9 (|has| $ (-6 -4600))))) 
+(((-531 |#1| |#2|) (-661 |#1|) (-1203) (-571)) (T -531)) 
+NIL 
+(-661 |#1|) 
+((-2986 ((|#4| |#4|) 26)) (-3241 (((-768) |#4|) 31)) (-3709 (((-768) |#4|) 32)) (-2855 (((-637 |#3|) |#4|) 37 (|has| |#3| (-6 -4601)))) (-1774 (((-3 |#4| "failed") |#4|) 47)) (-3637 ((|#4| |#4|) 40)) (-3182 ((|#1| |#4|) 39))) 
+(((-532 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2986 (|#4| |#4|)) (-15 -3241 ((-768) |#4|)) (-15 -3709 ((-768) |#4|)) (IF (|has| |#3| (-6 -4601)) (-15 -2855 ((-637 |#3|) |#4|)) |noBranch|) (-15 -3182 (|#1| |#4|)) (-15 -3637 (|#4| |#4|)) (-15 -1774 ((-3 |#4| "failed") |#4|))) (-367) (-378 |#1|) (-378 |#1|) (-682 |#1| |#2| |#3|)) (T -532)) 
+((-1774 (*1 *2 *2) (|partial| -12 (-4 *3 (-367)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-532 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) (-3637 (*1 *2 *2) (-12 (-4 *3 (-367)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-532 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) (-3182 (*1 *2 *3) (-12 (-4 *4 (-378 *2)) (-4 *5 (-378 *2)) (-4 *2 (-367)) (-5 *1 (-532 *2 *4 *5 *3)) (-4 *3 (-682 *2 *4 *5)))) (-2855 (*1 *2 *3) (-12 (|has| *6 (-6 -4601)) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-637 *6)) (-5 *1 (-532 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) (-3709 (*1 *2 *3) (-12 (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-768)) (-5 *1 (-532 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) (-3241 (*1 *2 *3) (-12 (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-768)) (-5 *1 (-532 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) (-2986 (*1 *2 *2) (-12 (-4 *3 (-367)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-532 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5))))) 
+(-10 -7 (-15 -2986 (|#4| |#4|)) (-15 -3241 ((-768) |#4|)) (-15 -3709 ((-768) |#4|)) (IF (|has| |#3| (-6 -4601)) (-15 -2855 ((-637 |#3|) |#4|)) |noBranch|) (-15 -3182 (|#1| |#4|)) (-15 -3637 (|#4| |#4|)) (-15 -1774 ((-3 |#4| "failed") |#4|))) 
+((-2986 ((|#8| |#4|) 20)) (-2855 (((-637 |#3|) |#4|) 29 (|has| |#7| (-6 -4601)))) (-1774 (((-3 |#8| "failed") |#4|) 23))) 
+(((-533 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -2986 (|#8| |#4|)) (-15 -1774 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4601)) (-15 -2855 ((-637 |#3|) |#4|)) |noBranch|)) (-561) (-378 |#1|) (-378 |#1|) (-682 |#1| |#2| |#3|) (-999 |#1|) (-378 |#5|) (-378 |#5|) (-682 |#5| |#6| |#7|)) (T -533)) 
+((-2855 (*1 *2 *3) (-12 (|has| *9 (-6 -4601)) (-4 *4 (-561)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-4 *7 (-999 *4)) (-4 *8 (-378 *7)) (-4 *9 (-378 *7)) (-5 *2 (-637 *6)) (-5 *1 (-533 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-682 *4 *5 *6)) (-4 *10 (-682 *7 *8 *9)))) (-1774 (*1 *2 *3) (|partial| -12 (-4 *4 (-561)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-4 *7 (-999 *4)) (-4 *2 (-682 *7 *8 *9)) (-5 *1 (-533 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-682 *4 *5 *6)) (-4 *8 (-378 *7)) (-4 *9 (-378 *7)))) (-2986 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-4 *7 (-999 *4)) (-4 *2 (-682 *7 *8 *9)) (-5 *1 (-533 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-682 *4 *5 *6)) (-4 *8 (-378 *7)) (-4 *9 (-378 *7))))) 
+(-10 -7 (-15 -2986 (|#8| |#4|)) (-15 -1774 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4601)) (-15 -2855 ((-637 |#3|) |#4|)) |noBranch|)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4137 (($ (-768) (-768)) NIL)) (-2657 (($ $ $) NIL)) (-2889 (($ (-602 |#1| |#3|)) NIL) (($ $) NIL)) (-4359 (((-121) $) NIL)) (-3609 (($ $ (-571) (-571)) 12)) (-4464 (($ $ (-571) (-571)) NIL)) (-3657 (($ $ (-571) (-571) (-571) (-571)) NIL)) (-2797 (($ $) NIL)) (-2209 (((-121) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2316 (($ $ (-571) (-571) $) NIL)) (-3251 ((|#1| $ (-571) (-571) |#1|) NIL) (($ $ (-637 (-571)) (-637 (-571)) $) NIL)) (-2071 (($ $ (-571) (-602 |#1| |#3|)) NIL)) (-1635 (($ $ (-571) (-602 |#1| |#2|)) NIL)) (-1986 (($ (-768) |#1|) NIL)) (-2269 (($) NIL T CONST)) (-2986 (($ $) 19 (|has| |#1| (-302)))) (-4336 (((-602 |#1| |#3|) $ (-571)) NIL)) (-3241 (((-768) $) 22 (|has| |#1| (-561)))) (-2922 ((|#1| $ (-571) (-571) |#1|) NIL)) (-4319 ((|#1| $ (-571) (-571)) NIL)) (-2430 ((|#1| $) NIL (|has| |#1| (-173)))) (-4034 (((-637 |#1|) $) NIL)) (-3709 (((-768) $) 24 (|has| |#1| (-561)))) (-2855 (((-637 (-602 |#1| |#2|)) $) 27 (|has| |#1| (-561)))) (-3673 (((-768) $) NIL)) (-1364 (($ (-768) (-768) |#1|) NIL)) (-3682 (((-768) $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1997 ((|#1| $) 17 (|has| |#1| (-6 (-4602 "*"))))) (-1950 (((-571) $) 10)) (-3325 (((-571) $) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4239 (((-571) $) 11)) (-4395 (((-571) $) NIL)) (-3567 (($ (-637 (-637 |#1|))) NIL) (($ (-768) (-768) (-1 |#1| (-571) (-571))) NIL)) (-1923 (($ (-1 |#1| |#1|) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-3818 (((-637 (-637 |#1|)) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-1774 (((-3 $ "failed") $) 31 (|has| |#1| (-367)))) (-1685 (($ $ $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-4411 (($ $ |#1|) NIL)) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-571) (-571)) NIL) ((|#1| $ (-571) (-571) |#1|) NIL) (($ $ (-637 (-571)) (-637 (-571))) NIL)) (-2949 (($ (-637 |#1|)) NIL) (($ (-637 $)) NIL)) (-4208 (((-121) $) NIL)) (-3182 ((|#1| $) 15 (|has| |#1| (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-1667 (((-637 (-602 |#1| |#2|)) $) NIL (|has| |#1| (-302)))) (-2852 (((-602 |#1| |#2|) $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097))) (($ (-602 |#1| |#2|)) NIL)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-571) $) NIL) (((-602 |#1| |#2|) $ (-602 |#1| |#2|)) NIL) (((-602 |#1| |#3|) (-602 |#1| |#3|) $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-534 |#1| |#2| |#3|) (-682 |#1| (-602 |#1| |#3|) (-602 |#1| |#2|)) (-1053) (-571) (-571)) (T -534)) 
+NIL 
+(-682 |#1| (-602 |#1| |#3|) (-602 |#1| |#2|)) 
+((-3120 (((-1165 |#1|) (-768)) 74)) (-3490 (((-1258 |#1|) (-1258 |#1|) (-922)) 67)) (-3416 (((-1263) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))) |#1|) 82)) (-2176 (((-1258 |#1|) (-1258 |#1|) (-768)) 36)) (-3254 (((-1258 |#1|) (-922)) 69)) (-4377 (((-1258 |#1|) (-1258 |#1|) (-571)) 24)) (-2068 (((-1165 |#1|) (-1258 |#1|)) 75)) (-2035 (((-1258 |#1|) (-922)) 93)) (-4230 (((-121) (-1258 |#1|)) 78)) (-3477 (((-1258 |#1|) (-1258 |#1|) (-922)) 59)) (-4400 (((-1165 |#1|) (-1258 |#1|)) 87)) (-4470 (((-922) (-1258 |#1|)) 56)) (-4315 (((-1258 |#1|) (-1258 |#1|)) 30)) (-1755 (((-1258 |#1|) (-922) (-922)) 95)) (-2447 (((-1258 |#1|) (-1258 |#1|) (-1115) (-1115)) 23)) (-2832 (((-1258 |#1|) (-1258 |#1|) (-768) (-1115)) 37)) (-1899 (((-1258 (-1258 |#1|)) (-922)) 92)) (-1379 (((-1258 |#1|) (-1258 |#1|) (-1258 |#1|)) 79)) (** (((-1258 |#1|) (-1258 |#1|) (-571)) 43)) (* (((-1258 |#1|) (-1258 |#1|) (-1258 |#1|)) 25))) 
+(((-535 |#1|) (-10 -7 (-15 -3416 ((-1263) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))) |#1|)) (-15 -3254 ((-1258 |#1|) (-922))) (-15 -1755 ((-1258 |#1|) (-922) (-922))) (-15 -2068 ((-1165 |#1|) (-1258 |#1|))) (-15 -3120 ((-1165 |#1|) (-768))) (-15 -2832 ((-1258 |#1|) (-1258 |#1|) (-768) (-1115))) (-15 -2176 ((-1258 |#1|) (-1258 |#1|) (-768))) (-15 -2447 ((-1258 |#1|) (-1258 |#1|) (-1115) (-1115))) (-15 -4377 ((-1258 |#1|) (-1258 |#1|) (-571))) (-15 ** ((-1258 |#1|) (-1258 |#1|) (-571))) (-15 * ((-1258 |#1|) (-1258 |#1|) (-1258 |#1|))) (-15 -1379 ((-1258 |#1|) (-1258 |#1|) (-1258 |#1|))) (-15 -3477 ((-1258 |#1|) (-1258 |#1|) (-922))) (-15 -3490 ((-1258 |#1|) (-1258 |#1|) (-922))) (-15 -4315 ((-1258 |#1|) (-1258 |#1|))) (-15 -4470 ((-922) (-1258 |#1|))) (-15 -4230 ((-121) (-1258 |#1|))) (-15 -1899 ((-1258 (-1258 |#1|)) (-922))) (-15 -2035 ((-1258 |#1|) (-922))) (-15 -4400 ((-1165 |#1|) (-1258 |#1|)))) (-352)) (T -535)) 
+((-4400 (*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-352)) (-5 *2 (-1165 *4)) (-5 *1 (-535 *4)))) (-2035 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1258 *4)) (-5 *1 (-535 *4)) (-4 *4 (-352)))) (-1899 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1258 (-1258 *4))) (-5 *1 (-535 *4)) (-4 *4 (-352)))) (-4230 (*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-535 *4)))) (-4470 (*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-352)) (-5 *2 (-922)) (-5 *1 (-535 *4)))) (-4315 (*1 *2 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-352)) (-5 *1 (-535 *3)))) (-3490 (*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-922)) (-4 *4 (-352)) (-5 *1 (-535 *4)))) (-3477 (*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-922)) (-4 *4 (-352)) (-5 *1 (-535 *4)))) (-1379 (*1 *2 *2 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-352)) (-5 *1 (-535 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-352)) (-5 *1 (-535 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-571)) (-4 *4 (-352)) (-5 *1 (-535 *4)))) (-4377 (*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-571)) (-4 *4 (-352)) (-5 *1 (-535 *4)))) (-2447 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-1115)) (-4 *4 (-352)) (-5 *1 (-535 *4)))) (-2176 (*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-768)) (-4 *4 (-352)) (-5 *1 (-535 *4)))) (-2832 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-1258 *5)) (-5 *3 (-768)) (-5 *4 (-1115)) (-4 *5 (-352)) (-5 *1 (-535 *5)))) (-3120 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1165 *4)) (-5 *1 (-535 *4)) (-4 *4 (-352)))) (-2068 (*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-352)) (-5 *2 (-1165 *4)) (-5 *1 (-535 *4)))) (-1755 (*1 *2 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1258 *4)) (-5 *1 (-535 *4)) (-4 *4 (-352)))) (-3254 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1258 *4)) (-5 *1 (-535 *4)) (-4 *4 (-352)))) (-3416 (*1 *2 *3 *4) (-12 (-5 *3 (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115)))))) (-4 *4 (-352)) (-5 *2 (-1263)) (-5 *1 (-535 *4))))) 
+(-10 -7 (-15 -3416 ((-1263) (-1258 (-637 (-2 (|:| -2139 |#1|) (|:| -1755 (-1115))))) |#1|)) (-15 -3254 ((-1258 |#1|) (-922))) (-15 -1755 ((-1258 |#1|) (-922) (-922))) (-15 -2068 ((-1165 |#1|) (-1258 |#1|))) (-15 -3120 ((-1165 |#1|) (-768))) (-15 -2832 ((-1258 |#1|) (-1258 |#1|) (-768) (-1115))) (-15 -2176 ((-1258 |#1|) (-1258 |#1|) (-768))) (-15 -2447 ((-1258 |#1|) (-1258 |#1|) (-1115) (-1115))) (-15 -4377 ((-1258 |#1|) (-1258 |#1|) (-571))) (-15 ** ((-1258 |#1|) (-1258 |#1|) (-571))) (-15 * ((-1258 |#1|) (-1258 |#1|) (-1258 |#1|))) (-15 -1379 ((-1258 |#1|) (-1258 |#1|) (-1258 |#1|))) (-15 -3477 ((-1258 |#1|) (-1258 |#1|) (-922))) (-15 -3490 ((-1258 |#1|) (-1258 |#1|) (-922))) (-15 -4315 ((-1258 |#1|) (-1258 |#1|))) (-15 -4470 ((-922) (-1258 |#1|))) (-15 -4230 ((-121) (-1258 |#1|))) (-15 -1899 ((-1258 (-1258 |#1|)) (-922))) (-15 -2035 ((-1258 |#1|) (-922))) (-15 -4400 ((-1165 |#1|) (-1258 |#1|)))) 
+((-2497 (((-1 |#1| |#1|) |#1|) 11)) (-1496 (((-1 |#1| |#1|)) 10))) 
+(((-536 |#1|) (-10 -7 (-15 -1496 ((-1 |#1| |#1|))) (-15 -2497 ((-1 |#1| |#1|) |#1|))) (-13 (-721) (-25))) (T -536)) 
+((-2497 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-536 *3)) (-4 *3 (-13 (-721) (-25))))) (-1496 (*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-536 *3)) (-4 *3 (-13 (-721) (-25)))))) 
+(-10 -7 (-15 -1496 ((-1 |#1| |#1|))) (-15 -2497 ((-1 |#1| |#1|) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3933 (($ $ $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4349 (($ $) NIL)) (-4289 (($ (-768) |#1|) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3799 (($ (-1 (-768) (-768)) $) NIL)) (-3275 ((|#1| $) NIL)) (-4337 (((-768) $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 20)) (-2369 (($) NIL T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1367 (($ $ $) NIL)) (* (($ (-768) $) NIL) (($ (-922) $) NIL))) 
+(((-537 |#1|) (-13 (-793) (-521 (-768) |#1|)) (-847)) (T -537)) 
+NIL 
+(-13 (-793) (-521 (-768) |#1|)) 
+((-2716 (((-637 |#2|) (-1165 |#1|) |#3|) 83)) (-4109 (((-637 (-2 (|:| |outval| |#2|) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 |#2|))))) (-684 |#1|) |#3| (-1 (-423 (-1165 |#1|)) (-1165 |#1|))) 99)) (-2521 (((-1165 |#1|) (-684 |#1|)) 95))) 
+(((-538 |#1| |#2| |#3|) (-10 -7 (-15 -2521 ((-1165 |#1|) (-684 |#1|))) (-15 -2716 ((-637 |#2|) (-1165 |#1|) |#3|)) (-15 -4109 ((-637 (-2 (|:| |outval| |#2|) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 |#2|))))) (-684 |#1|) |#3| (-1 (-423 (-1165 |#1|)) (-1165 |#1|))))) (-367) (-367) (-13 (-367) (-845))) (T -538)) 
+((-4109 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *6)) (-5 *5 (-1 (-423 (-1165 *6)) (-1165 *6))) (-4 *6 (-367)) (-5 *2 (-637 (-2 (|:| |outval| *7) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 *7)))))) (-5 *1 (-538 *6 *7 *4)) (-4 *7 (-367)) (-4 *4 (-13 (-367) (-845))))) (-2716 (*1 *2 *3 *4) (-12 (-5 *3 (-1165 *5)) (-4 *5 (-367)) (-5 *2 (-637 *6)) (-5 *1 (-538 *5 *6 *4)) (-4 *6 (-367)) (-4 *4 (-13 (-367) (-845))))) (-2521 (*1 *2 *3) (-12 (-5 *3 (-684 *4)) (-4 *4 (-367)) (-5 *2 (-1165 *4)) (-5 *1 (-538 *4 *5 *6)) (-4 *5 (-367)) (-4 *6 (-13 (-367) (-845)))))) 
+(-10 -7 (-15 -2521 ((-1165 |#1|) (-684 |#1|))) (-15 -2716 ((-637 |#2|) (-1165 |#1|) |#3|)) (-15 -4109 ((-637 (-2 (|:| |outval| |#2|) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 |#2|))))) (-684 |#1|) |#3| (-1 (-423 (-1165 |#1|)) (-1165 |#1|))))) 
+((-2234 (((-121) $ $) 7)) (-1913 (((-1169) $) 20)) (-1428 (((-768) $) 22)) (-2462 (((-1169) $ (-1169)) 23)) (-4029 (((-768) $ (-768)) 28)) (-1558 ((|#5| $ |#5|) 31)) (-1810 (((-768) $ (-768)) 27)) (-3892 (((-33 |#1|) $ (-33 |#1|)) 29)) (-2461 (((-637 |#6|) $ (-637 |#6|)) 24)) (-3714 ((|#8| $ |#8|) 25)) (-3233 (((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) $ (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|)) 30)) (-4550 ((|#9| $ |#9|) 26)) (-4500 ((|#5| $) 19)) (-3597 (((-768) $) 16)) (-3374 (((-33 |#1|) $) 17)) (-1877 (((-637 |#6|) $) 21)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1631 ((|#8| $) 14)) (-2400 (((-922) $) 12)) (-4055 (((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) $) 18)) (-2327 (($ |#5| (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-33 |#1|) (-768) |#9| (-768) |#8| |#1| (-1169)) 33) (($ |#5| |#3|) 32)) (-3942 (((-855) $) 11)) (-3512 ((|#9| $) 15)) (-4507 ((|#1| $) 13)) (-1323 (((-121) $ $) 6))) 
+(((-539 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-1289) (-367) (-637 (-1169)) (-955 |t#1| |t#4| (-857 |t#2|)) (-231 (-4001 |t#2|) (-768)) (-977 |t#1|) (-644 |t#1|) (-925 |t#1| |t#6|) (-236 |t#7|) (-117)) (T -539)) 
+((-2327 (*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1169)) (-4 *8 (-367)) (-5 *5 (-768)) (-4 *12 (-231 (-4001 *10) *5)) (-4 *13 (-644 *8)) (-4 *14 (-925 *8 *13)) (-4 *1 (-539 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-955 *8 *12 (-857 *10))) (-4 *2 (-977 *8)) (-4 *7 (-236 *14)) (-4 *6 (-117)))) (-2327 (*1 *1 *2 *3) (-12 (-4 *4 (-367)) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-644 *4)) (-4 *8 (-925 *4 *7)) (-4 *1 (-539 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *2 (-977 *4)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) (-1558 (*1 *2 *1 *2) (-12 (-4 *1 (-539 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *2 (-977 *3)) (-4 *7 (-644 *3)) (-4 *8 (-925 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) (-3233 (*1 *2 *1 *2) (-12 (-5 *2 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *3)) (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-3892 (*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-4029 (*1 *2 *1 *2) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) *2)) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-768)))) (-1810 (*1 *2 *1 *2) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) *2)) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-768)))) (-4550 (*1 *2 *1 *2) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117)))) (-3714 (*1 *2 *1 *2) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *2 (-236 *9)) (-4 *10 (-117)))) (-2461 (*1 *2 *1 *2) (-12 (-5 *2 (-637 *8)) (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-2462 (*1 *2 *1 *2) (-12 (-5 *2 (-1169)) (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1428 (*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) *2)) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-768)))) (-1877 (*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-637 *8)))) (-1913 (*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-1169)))) (-4500 (*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-644 *3)) (-4 *8 (-925 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-977 *3)))) (-4055 (*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *3)))) (-3374 (*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3)))) (-3597 (*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) *2)) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-768)))) (-3512 (*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117)))) (-1631 (*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-117)) (-4 *2 (-236 *9)))) (-4507 (*1 *2 *1) (-12 (-4 *1 (-539 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-955 *2 *5 (-857 *3))) (-4 *5 (-231 (-4001 *3) (-768))) (-4 *6 (-977 *2)) (-4 *7 (-644 *2)) (-4 *8 (-925 *2 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-367))))) 
+(-13 (-1095) (-10 -8 (-15 -2327 ($ |t#5| (-243 (-3891 (QUOTE X) (QUOTE -2292)) |t#1|) (-33 |t#1|) (-768) |t#9| (-768) |t#8| |t#1| (-1169))) (-15 -2327 ($ |t#5| |t#3|)) (-15 -1558 (|t#5| $ |t#5|)) (-15 -3233 ((-243 (-3891 (QUOTE X) (QUOTE -2292)) |t#1|) $ (-243 (-3891 (QUOTE X) (QUOTE -2292)) |t#1|))) (-15 -3892 ((-33 |t#1|) $ (-33 |t#1|))) (-15 -4029 ((-768) $ (-768))) (-15 -1810 ((-768) $ (-768))) (-15 -4550 (|t#9| $ |t#9|)) (-15 -3714 (|t#8| $ |t#8|)) (-15 -2461 ((-637 |t#6|) $ (-637 |t#6|))) (-15 -2462 ((-1169) $ (-1169))) (-15 -1428 ((-768) $)) (-15 -1877 ((-637 |t#6|) $)) (-15 -1913 ((-1169) $)) (-15 -4500 (|t#5| $)) (-15 -4055 ((-243 (-3891 (QUOTE X) (QUOTE -2292)) |t#1|) $)) (-15 -3374 ((-33 |t#1|) $)) (-15 -3597 ((-768) $)) (-15 -3512 (|t#9| $)) (-15 -1631 (|t#8| $)) (-15 -4507 (|t#1| $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T) ((-1095) . T)) 
+((-2234 (((-121) $ $) NIL)) (-1913 (((-1169) $) NIL)) (-1428 (((-768) $) NIL)) (-2462 (((-1169) $ (-1169)) NIL)) (-4029 (((-768) $ (-768)) NIL)) (-1558 (((-973 |#1|) $ (-973 |#1|)) NIL)) (-1810 (((-768) $ (-768)) NIL)) (-3892 (((-33 (-862 |#1|)) $ (-33 (-862 |#1|))) NIL)) (-2461 (((-637 (-779 (-862 |#1|))) $ (-637 (-779 (-862 |#1|)))) NIL)) (-3714 (((-237 (-927 |#1|)) $ (-237 (-927 |#1|))) NIL)) (-3233 (((-243 (-3891 (QUOTE X) (QUOTE -2292)) (-862 |#1|)) $ (-243 (-3891 (QUOTE X) (QUOTE -2292)) (-862 |#1|))) NIL)) (-4550 ((|#3| $ |#3|) NIL)) (-4500 (((-973 |#1|) $) NIL)) (-3597 (((-768) $) NIL)) (-3374 (((-33 (-862 |#1|)) $) NIL)) (-1877 (((-637 (-779 (-862 |#1|))) $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3941 (((-121) (-121)) NIL) (((-121)) NIL)) (-3104 (((-855) $) NIL)) (-1631 (((-237 (-927 |#1|)) $) NIL)) (-2400 (((-922) $) NIL)) (-4055 (((-243 (-3891 (QUOTE X) (QUOTE -2292)) (-862 |#1|)) $) NIL)) (-2327 (($ (-973 |#1|) (-243 (-3891 (QUOTE X) (QUOTE -2292)) (-862 |#1|)) (-33 (-862 |#1|)) (-768) |#3| (-768) (-237 (-927 |#1|)) (-862 |#1|) (-1169)) NIL) (($ (-973 |#1|) (-243 |#2| (-862 |#1|))) NIL)) (-3942 (((-855) $) NIL)) (-3512 ((|#3| $) NIL)) (-4507 (((-862 |#1|) $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-540 |#1| |#2| |#3|) (-13 (-539 (-862 |#1|) |#2| (-243 |#2| (-862 |#1|)) (-233 (-4001 |#2|) (-768)) (-973 |#1|) (-779 (-862 |#1|)) (-927 |#1|) (-237 (-927 |#1|)) |#3|) (-10 -8 (-15 -3104 ((-855) $)) (-15 -3941 ((-121) (-121))) (-15 -3941 ((-121))))) (-352) (-637 (-1169)) (-117)) (T -540)) 
+((-3104 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-540 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3941 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-540 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3941 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-540 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(-13 (-539 (-862 |#1|) |#2| (-243 |#2| (-862 |#1|)) (-233 (-4001 |#2|) (-768)) (-973 |#1|) (-779 (-862 |#1|)) (-927 |#1|) (-237 (-927 |#1|)) |#3|) (-10 -8 (-15 -3104 ((-855) $)) (-15 -3941 ((-121) (-121))) (-15 -3941 ((-121))))) 
+((-2234 (((-121) $ $) NIL)) (-1913 (((-1169) $) 42)) (-1428 (((-768) $) 48)) (-2462 (((-1169) $ (-1169)) 81)) (-4029 (((-768) $ (-768)) 71)) (-1558 ((|#5| $ |#5|) 74)) (-1810 (((-768) $ (-768)) 77)) (-3892 (((-33 |#1|) $ (-33 |#1|)) 76)) (-2461 (((-637 |#6|) $ (-637 |#6|)) 79)) (-3714 ((|#8| $ |#8|) 80)) (-3233 (((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) $ (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|)) 75)) (-4550 ((|#9| $ |#9|) 78)) (-4500 ((|#5| $) 40)) (-3597 (((-768) $) 43)) (-3374 (((-33 |#1|) $) 45)) (-1877 (((-637 |#6|) $) 73)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3941 (((-121) (-121)) 52) (((-121)) 53)) (-3104 (((-855) $) 50)) (-1631 ((|#8| $) 47)) (-2400 (((-922) $) 58)) (-4055 (((-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) $) 44)) (-2327 (($ |#5| (-243 (-3891 (QUOTE X) (QUOTE -2292)) |#1|) (-33 |#1|) (-768) |#9| (-768) |#8| |#1| (-1169)) 59) (($ |#5| |#3|) 70)) (-3942 (((-855) $) 54)) (-3512 ((|#9| $) 46)) (-4507 ((|#1| $) 55)) (-1323 (((-121) $ $) NIL))) 
+(((-541 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-13 (-539 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -3104 ((-855) $)) (-15 -3941 ((-121) (-121))) (-15 -3941 ((-121))))) (-367) (-637 (-1169)) (-955 |#1| |#4| (-857 |#2|)) (-231 (-4001 |#2|) (-768)) (-977 |#1|) (-644 |#1|) (-925 |#1| |#6|) (-236 |#7|) (-117)) (T -541)) 
+((-3104 (*1 *2 *1) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-5 *2 (-855)) (-5 *1 (-541 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *7 (-977 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-3941 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-5 *1 (-541 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *7 (-977 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-3941 (*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-5 *2 (-121)) (-5 *1 (-541 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *7 (-977 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(-13 (-539 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -3104 ((-855) $)) (-15 -3941 ((-121) (-121))) (-15 -3941 ((-121))))) 
+((-3323 (((-840 (-571))) 11)) (-3318 (((-840 (-571))) 13)) (-1740 (((-833 (-571))) 8))) 
+(((-542) (-10 -7 (-15 -1740 ((-833 (-571)))) (-15 -3323 ((-840 (-571)))) (-15 -3318 ((-840 (-571)))))) (T -542)) 
+((-3318 (*1 *2) (-12 (-5 *2 (-840 (-571))) (-5 *1 (-542)))) (-3323 (*1 *2) (-12 (-5 *2 (-840 (-571))) (-5 *1 (-542)))) (-1740 (*1 *2) (-12 (-5 *2 (-833 (-571))) (-5 *1 (-542))))) 
+(-10 -7 (-15 -1740 ((-833 (-571)))) (-15 -3323 ((-840 (-571)))) (-15 -3318 ((-840 (-571))))) 
+((-1980 (((-544) (-1169)) 15)) (-1920 ((|#1| (-544)) 20))) 
+(((-543 |#1|) (-10 -7 (-15 -1980 ((-544) (-1169))) (-15 -1920 (|#1| (-544)))) (-1203)) (T -543)) 
+((-1920 (*1 *2 *3) (-12 (-5 *3 (-544)) (-5 *1 (-543 *2)) (-4 *2 (-1203)))) (-1980 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-544)) (-5 *1 (-543 *4)) (-4 *4 (-1203))))) 
+(-10 -7 (-15 -1980 ((-544) (-1169))) (-15 -1920 (|#1| (-544)))) 
+((-2234 (((-121) $ $) NIL)) (-4225 (((-1151) $) 46)) (-3042 (((-121) $) 43)) (-4122 (((-1169) $) 44)) (-3692 (((-121) $) 41)) (-4004 (((-1151) $) 42)) (-4231 (($ (-1151)) 47)) (-2994 (((-121) $) NIL)) (-2780 (((-121) $) NIL)) (-1369 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-2084 (($ $ (-637 (-1169))) 20)) (-1920 (((-57) $) 22)) (-3409 (((-121) $) NIL)) (-3982 (((-571) $) NIL)) (-2580 (((-1115) $) NIL)) (-3584 (($ $ (-637 (-1169)) (-1169)) 59)) (-2328 (((-121) $) NIL)) (-3967 (((-216) $) NIL)) (-4057 (($ $) 38)) (-4522 (((-855) $) NIL)) (-3192 (((-121) $ $) NIL)) (-3245 (($ $ (-571)) NIL) (($ $ (-637 (-571))) NIL)) (-4282 (((-637 $) $) 28)) (-1836 (((-1169) (-637 $)) 48)) (-4050 (($ (-637 $)) 52) (($ (-1151)) NIL) (($ (-1169)) 18) (($ (-571)) 8) (($ (-216)) 25) (($ (-855)) NIL) (((-1101) $) 11) (($ (-1101)) 12)) (-3219 (((-1169) (-1169) (-637 $)) 51)) (-3942 (((-855) $) NIL)) (-3826 (($ $) 50)) (-3819 (($ $) 49)) (-2844 (($ $ (-637 $)) 56)) (-4490 (((-121) $) 27)) (-2369 (($) 9 T CONST)) (-3222 (($) 10 T CONST)) (-1323 (((-121) $ $) 60)) (-1379 (($ $ $) 65)) (-1367 (($ $ $) 61)) (** (($ $ (-768)) 64) (($ $ (-571)) 63)) (* (($ $ $) 62)) (-4001 (((-571) $) NIL))) 
+(((-544) (-13 (-1100 (-1151) (-1169) (-571) (-216) (-855)) (-612 (-1101)) (-10 -8 (-15 -1920 ((-57) $)) (-15 -4050 ($ (-1101))) (-15 -2844 ($ $ (-637 $))) (-15 -3584 ($ $ (-637 (-1169)) (-1169))) (-15 -2084 ($ $ (-637 (-1169)))) (-15 -1367 ($ $ $)) (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ (-768))) (-15 ** ($ $ (-571))) (-15 0 ($) -3177) (-15 1 ($) -3177) (-15 -4057 ($ $)) (-15 -4225 ((-1151) $)) (-15 -4231 ($ (-1151))) (-15 -1836 ((-1169) (-637 $))) (-15 -3219 ((-1169) (-1169) (-637 $)))))) (T -544)) 
+((-1920 (*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-544)))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-1101)) (-5 *1 (-544)))) (-2844 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-544))) (-5 *1 (-544)))) (-3584 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-1169)) (-5 *1 (-544)))) (-2084 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-544)))) (-1367 (*1 *1 *1 *1) (-5 *1 (-544))) (* (*1 *1 *1 *1) (-5 *1 (-544))) (-1379 (*1 *1 *1 *1) (-5 *1 (-544))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-544)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-544)))) (-2369 (*1 *1) (-5 *1 (-544))) (-3222 (*1 *1) (-5 *1 (-544))) (-4057 (*1 *1 *1) (-5 *1 (-544))) (-4225 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-544)))) (-4231 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-544)))) (-1836 (*1 *2 *3) (-12 (-5 *3 (-637 (-544))) (-5 *2 (-1169)) (-5 *1 (-544)))) (-3219 (*1 *2 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-544))) (-5 *1 (-544))))) 
+(-13 (-1100 (-1151) (-1169) (-571) (-216) (-855)) (-612 (-1101)) (-10 -8 (-15 -1920 ((-57) $)) (-15 -4050 ($ (-1101))) (-15 -2844 ($ $ (-637 $))) (-15 -3584 ($ $ (-637 (-1169)) (-1169))) (-15 -2084 ($ $ (-637 (-1169)))) (-15 -1367 ($ $ $)) (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ (-768))) (-15 ** ($ $ (-571))) (-15 (-2369) ($) -3177) (-15 (-3222) ($) -3177) (-15 -4057 ($ $)) (-15 -4225 ((-1151) $)) (-15 -4231 ($ (-1151))) (-15 -1836 ((-1169) (-637 $))) (-15 -3219 ((-1169) (-1169) (-637 $))))) 
+((-2719 ((|#2| |#2|) 17)) (-3388 ((|#2| |#2|) 13)) (-1353 ((|#2| |#2| (-571) (-571)) 20)) (-3827 ((|#2| |#2|) 15))) 
+(((-545 |#1| |#2|) (-10 -7 (-15 -3388 (|#2| |#2|)) (-15 -3827 (|#2| |#2|)) (-15 -2719 (|#2| |#2|)) (-15 -1353 (|#2| |#2| (-571) (-571)))) (-13 (-561) (-151)) (-1248 |#1|)) (T -545)) 
+((-1353 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-571)) (-4 *4 (-13 (-561) (-151))) (-5 *1 (-545 *4 *2)) (-4 *2 (-1248 *4)))) (-2719 (*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-151))) (-5 *1 (-545 *3 *2)) (-4 *2 (-1248 *3)))) (-3827 (*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-151))) (-5 *1 (-545 *3 *2)) (-4 *2 (-1248 *3)))) (-3388 (*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-151))) (-5 *1 (-545 *3 *2)) (-4 *2 (-1248 *3))))) 
+(-10 -7 (-15 -3388 (|#2| |#2|)) (-15 -3827 (|#2| |#2|)) (-15 -2719 (|#2| |#2|)) (-15 -1353 (|#2| |#2| (-571) (-571)))) 
+((-3190 (((-637 (-289 (-958 |#2|))) (-637 |#2|) (-637 (-1169))) 32)) (-4427 (((-637 |#2|) (-958 |#1|) |#3|) 53) (((-637 |#2|) (-1165 |#1|) |#3|) 52)) (-2584 (((-637 (-637 |#2|)) (-637 (-958 |#1|)) (-637 (-958 |#1|)) (-637 (-1169)) |#3|) 87))) 
+(((-546 |#1| |#2| |#3|) (-10 -7 (-15 -4427 ((-637 |#2|) (-1165 |#1|) |#3|)) (-15 -4427 ((-637 |#2|) (-958 |#1|) |#3|)) (-15 -2584 ((-637 (-637 |#2|)) (-637 (-958 |#1|)) (-637 (-958 |#1|)) (-637 (-1169)) |#3|)) (-15 -3190 ((-637 (-289 (-958 |#2|))) (-637 |#2|) (-637 (-1169))))) (-456) (-367) (-13 (-367) (-845))) (T -546)) 
+((-3190 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-637 (-1169))) (-4 *6 (-367)) (-5 *2 (-637 (-289 (-958 *6)))) (-5 *1 (-546 *5 *6 *7)) (-4 *5 (-456)) (-4 *7 (-13 (-367) (-845))))) (-2584 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-637 (-958 *6))) (-5 *4 (-637 (-1169))) (-4 *6 (-456)) (-5 *2 (-637 (-637 *7))) (-5 *1 (-546 *6 *7 *5)) (-4 *7 (-367)) (-4 *5 (-13 (-367) (-845))))) (-4427 (*1 *2 *3 *4) (-12 (-5 *3 (-958 *5)) (-4 *5 (-456)) (-5 *2 (-637 *6)) (-5 *1 (-546 *5 *6 *4)) (-4 *6 (-367)) (-4 *4 (-13 (-367) (-845))))) (-4427 (*1 *2 *3 *4) (-12 (-5 *3 (-1165 *5)) (-4 *5 (-456)) (-5 *2 (-637 *6)) (-5 *1 (-546 *5 *6 *4)) (-4 *6 (-367)) (-4 *4 (-13 (-367) (-845)))))) 
+(-10 -7 (-15 -4427 ((-637 |#2|) (-1165 |#1|) |#3|)) (-15 -4427 ((-637 |#2|) (-958 |#1|) |#3|)) (-15 -2584 ((-637 (-637 |#2|)) (-637 (-958 |#1|)) (-637 (-958 |#1|)) (-637 (-1169)) |#3|)) (-15 -3190 ((-637 (-289 (-958 |#2|))) (-637 |#2|) (-637 (-1169))))) 
+((-2203 ((|#2| |#2| |#1|) 17)) (-3797 ((|#2| (-637 |#2|)) 26)) (-3041 ((|#2| (-637 |#2|)) 45))) 
+(((-547 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3797 (|#2| (-637 |#2|))) (-15 -3041 (|#2| (-637 |#2|))) (-15 -2203 (|#2| |#2| |#1|))) (-302) (-1233 |#1|) |#1| (-1 |#1| |#1| (-768))) (T -547)) 
+((-2203 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-768))) (-5 *1 (-547 *3 *2 *4 *5)) (-4 *2 (-1233 *3)))) (-3041 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-1233 *4)) (-5 *1 (-547 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-768))))) (-3797 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-1233 *4)) (-5 *1 (-547 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-768)))))) 
+(-10 -7 (-15 -3797 (|#2| (-637 |#2|))) (-15 -3041 (|#2| (-637 |#2|))) (-15 -2203 (|#2| |#2| |#1|))) 
+((-4262 (((-423 (-1165 |#4|)) (-1165 |#4|) (-1 (-423 (-1165 |#3|)) (-1165 |#3|))) 79) (((-423 |#4|) |#4| (-1 (-423 (-1165 |#3|)) (-1165 |#3|))) 164))) 
+(((-548 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4262 ((-423 |#4|) |#4| (-1 (-423 (-1165 |#3|)) (-1165 |#3|)))) (-15 -4262 ((-423 (-1165 |#4|)) (-1165 |#4|) (-1 (-423 (-1165 |#3|)) (-1165 |#3|))))) (-847) (-793) (-13 (-302) (-151)) (-955 |#3| |#2| |#1|)) (T -548)) 
+((-4262 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-423 (-1165 *7)) (-1165 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-847)) (-4 *6 (-793)) (-4 *8 (-955 *7 *6 *5)) (-5 *2 (-423 (-1165 *8))) (-5 *1 (-548 *5 *6 *7 *8)) (-5 *3 (-1165 *8)))) (-4262 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-423 (-1165 *7)) (-1165 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-847)) (-4 *6 (-793)) (-5 *2 (-423 *3)) (-5 *1 (-548 *5 *6 *7 *3)) (-4 *3 (-955 *7 *6 *5))))) 
+(-10 -7 (-15 -4262 ((-423 |#4|) |#4| (-1 (-423 (-1165 |#3|)) (-1165 |#3|)))) (-15 -4262 ((-423 (-1165 |#4|)) (-1165 |#4|) (-1 (-423 (-1165 |#3|)) (-1165 |#3|))))) 
+((-2719 ((|#4| |#4|) 73)) (-3388 ((|#4| |#4|) 69)) (-1353 ((|#4| |#4| (-571) (-571)) 75)) (-3827 ((|#4| |#4|) 71))) 
+(((-549 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3388 (|#4| |#4|)) (-15 -3827 (|#4| |#4|)) (-15 -2719 (|#4| |#4|)) (-15 -1353 (|#4| |#4| (-571) (-571)))) (-13 (-367) (-373) (-612 (-571))) (-1233 |#1|) (-719 |#1| |#2|) (-1248 |#3|)) (T -549)) 
+((-1353 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-571)) (-4 *4 (-13 (-367) (-373) (-612 *3))) (-4 *5 (-1233 *4)) (-4 *6 (-719 *4 *5)) (-5 *1 (-549 *4 *5 *6 *2)) (-4 *2 (-1248 *6)))) (-2719 (*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-4 *4 (-1233 *3)) (-4 *5 (-719 *3 *4)) (-5 *1 (-549 *3 *4 *5 *2)) (-4 *2 (-1248 *5)))) (-3827 (*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-4 *4 (-1233 *3)) (-4 *5 (-719 *3 *4)) (-5 *1 (-549 *3 *4 *5 *2)) (-4 *2 (-1248 *5)))) (-3388 (*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-4 *4 (-1233 *3)) (-4 *5 (-719 *3 *4)) (-5 *1 (-549 *3 *4 *5 *2)) (-4 *2 (-1248 *5))))) 
+(-10 -7 (-15 -3388 (|#4| |#4|)) (-15 -3827 (|#4| |#4|)) (-15 -2719 (|#4| |#4|)) (-15 -1353 (|#4| |#4| (-571) (-571)))) 
+((-2719 ((|#2| |#2|) 27)) (-3388 ((|#2| |#2|) 23)) (-1353 ((|#2| |#2| (-571) (-571)) 29)) (-3827 ((|#2| |#2|) 25))) 
+(((-550 |#1| |#2|) (-10 -7 (-15 -3388 (|#2| |#2|)) (-15 -3827 (|#2| |#2|)) (-15 -2719 (|#2| |#2|)) (-15 -1353 (|#2| |#2| (-571) (-571)))) (-13 (-367) (-373) (-612 (-571))) (-1248 |#1|)) (T -550)) 
+((-1353 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-571)) (-4 *4 (-13 (-367) (-373) (-612 *3))) (-5 *1 (-550 *4 *2)) (-4 *2 (-1248 *4)))) (-2719 (*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-5 *1 (-550 *3 *2)) (-4 *2 (-1248 *3)))) (-3827 (*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-5 *1 (-550 *3 *2)) (-4 *2 (-1248 *3)))) (-3388 (*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-5 *1 (-550 *3 *2)) (-4 *2 (-1248 *3))))) 
+(-10 -7 (-15 -3388 (|#2| |#2|)) (-15 -3827 (|#2| |#2|)) (-15 -2719 (|#2| |#2|)) (-15 -1353 (|#2| |#2| (-571) (-571)))) 
+((-2293 (((-3 (-571) "failed") |#2| |#1| (-1 (-3 (-571) "failed") |#1|)) 14) (((-3 (-571) "failed") |#2| |#1| (-571) (-1 (-3 (-571) "failed") |#1|)) 13) (((-3 (-571) "failed") |#2| (-571) (-1 (-3 (-571) "failed") |#1|)) 26))) 
+(((-551 |#1| |#2|) (-10 -7 (-15 -2293 ((-3 (-571) "failed") |#2| (-571) (-1 (-3 (-571) "failed") |#1|))) (-15 -2293 ((-3 (-571) "failed") |#2| |#1| (-571) (-1 (-3 (-571) "failed") |#1|))) (-15 -2293 ((-3 (-571) "failed") |#2| |#1| (-1 (-3 (-571) "failed") |#1|)))) (-1053) (-1233 |#1|)) (T -551)) 
+((-2293 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-571) "failed") *4)) (-4 *4 (-1053)) (-5 *2 (-571)) (-5 *1 (-551 *4 *3)) (-4 *3 (-1233 *4)))) (-2293 (*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-571) "failed") *4)) (-4 *4 (-1053)) (-5 *2 (-571)) (-5 *1 (-551 *4 *3)) (-4 *3 (-1233 *4)))) (-2293 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-571) "failed") *5)) (-4 *5 (-1053)) (-5 *2 (-571)) (-5 *1 (-551 *5 *3)) (-4 *3 (-1233 *5))))) 
+(-10 -7 (-15 -2293 ((-3 (-571) "failed") |#2| (-571) (-1 (-3 (-571) "failed") |#1|))) (-15 -2293 ((-3 (-571) "failed") |#2| |#1| (-571) (-1 (-3 (-571) "failed") |#1|))) (-15 -2293 ((-3 (-571) "failed") |#2| |#1| (-1 (-3 (-571) "failed") |#1|)))) 
+((-1988 (($ $ $) 78)) (-4151 (((-423 $) $) 46)) (-3337 (((-3 (-571) "failed") $) 58)) (-1316 (((-571) $) 36)) (-3437 (((-3 (-412 (-571)) "failed") $) 73)) (-3330 (((-121) $) 23)) (-3450 (((-412 (-571)) $) 71)) (-1596 (((-121) $) 49)) (-3138 (($ $ $ $) 85)) (-2093 (((-121) $) 15)) (-3810 (($ $ $) 56)) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 68)) (-2596 (((-3 $ "failed") $) 63)) (-2012 (($ $) 22)) (-4052 (($ $ $) 83)) (-1757 (($) 59)) (-2761 (($ $) 52)) (-4262 (((-423 $) $) 44)) (-2385 (((-121) $) 13)) (-1826 (((-768) $) 27)) (-3096 (($ $ (-768)) NIL) (($ $) 10)) (-4316 (($ $) 16)) (-4050 (((-571) $) NIL) (((-544) $) 35) (((-892 (-571)) $) 39) (((-384) $) 30) (((-216) $) 32)) (-2661 (((-768)) 8)) (-2482 (((-121) $ $) 19)) (-1358 (($ $ $) 54))) 
+(((-552 |#1|) (-10 -8 (-15 -4052 (|#1| |#1| |#1|)) (-15 -3138 (|#1| |#1| |#1| |#1|)) (-15 -2012 (|#1| |#1|)) (-15 -4316 (|#1| |#1|)) (-15 -3437 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3450 ((-412 (-571)) |#1|)) (-15 -3330 ((-121) |#1|)) (-15 -1988 (|#1| |#1| |#1|)) (-15 -2482 ((-121) |#1| |#1|)) (-15 -2385 ((-121) |#1|)) (-15 -1757 (|#1|)) (-15 -2596 ((-3 |#1| "failed") |#1|)) (-15 -4050 ((-216) |#1|)) (-15 -4050 ((-384) |#1|)) (-15 -3810 (|#1| |#1| |#1|)) (-15 -2761 (|#1| |#1|)) (-15 -1358 (|#1| |#1| |#1|)) (-15 -2941 ((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|))) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -4050 ((-571) |#1|)) (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -2093 ((-121) |#1|)) (-15 -1826 ((-768) |#1|)) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -4151 ((-423 |#1|) |#1|)) (-15 -1596 ((-121) |#1|)) (-15 -2661 ((-768)))) (-553)) (T -552)) 
+((-2661 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-552 *3)) (-4 *3 (-553))))) 
+(-10 -8 (-15 -4052 (|#1| |#1| |#1|)) (-15 -3138 (|#1| |#1| |#1| |#1|)) (-15 -2012 (|#1| |#1|)) (-15 -4316 (|#1| |#1|)) (-15 -3437 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3450 ((-412 (-571)) |#1|)) (-15 -3330 ((-121) |#1|)) (-15 -1988 (|#1| |#1| |#1|)) (-15 -2482 ((-121) |#1| |#1|)) (-15 -2385 ((-121) |#1|)) (-15 -1757 (|#1|)) (-15 -2596 ((-3 |#1| "failed") |#1|)) (-15 -4050 ((-216) |#1|)) (-15 -4050 ((-384) |#1|)) (-15 -3810 (|#1| |#1| |#1|)) (-15 -2761 (|#1| |#1|)) (-15 -1358 (|#1| |#1| |#1|)) (-15 -2941 ((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|))) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -4050 ((-571) |#1|)) (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -2093 ((-121) |#1|)) (-15 -1826 ((-768) |#1|)) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -4151 ((-423 |#1|) |#1|)) (-15 -1596 ((-121) |#1|)) (-15 -2661 ((-768)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-1988 (($ $ $) 82)) (-4176 (((-3 $ "failed") $ $) 18)) (-3905 (($ $ $ $) 70)) (-2356 (($ $) 49)) (-4151 (((-423 $) $) 50)) (-1295 (((-121) $ $) 122)) (-3203 (((-571) $) 111)) (-3309 (($ $ $) 85)) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 103)) (-1316 (((-571) $) 102)) (-2162 (($ $ $) 126)) (-2680 (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 101) (((-684 (-571)) (-684 $)) 100)) (-3978 (((-3 $ "failed") $) 33)) (-3437 (((-3 (-412 (-571)) "failed") $) 79)) (-3330 (((-121) $) 81)) (-3450 (((-412 (-571)) $) 80)) (-3254 (($) 78) (($ $) 77)) (-2180 (($ $ $) 125)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 120)) (-1596 (((-121) $) 51)) (-3138 (($ $ $ $) 68)) (-3494 (($ $ $) 83)) (-2093 (((-121) $) 113)) (-3810 (($ $ $) 94)) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 97)) (-2583 (((-121) $) 30)) (-4329 (((-121) $) 89)) (-2596 (((-3 $ "failed") $) 91)) (-4086 (((-121) $) 112)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 129)) (-3266 (($ $ $ $) 69)) (-1763 (($ $ $) 114)) (-2383 (($ $ $) 115)) (-2012 (($ $) 72)) (-3158 (($ $) 86)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4052 (($ $ $) 67)) (-1757 (($) 90 T CONST)) (-3708 (($ $) 74)) (-2580 (((-1115) $) 10) (($ $) 76)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-2761 (($ $) 95)) (-4262 (((-423 $) $) 48)) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 128) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 127)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 121)) (-2385 (((-121) $) 88)) (-1826 (((-768) $) 123)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 124)) (-3096 (($ $ (-768)) 108) (($ $) 106)) (-2404 (($ $) 73)) (-4316 (($ $) 75)) (-4050 (((-571) $) 105) (((-544) $) 99) (((-892 (-571)) $) 98) (((-384) $) 93) (((-216) $) 92)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-571)) 104)) (-2661 (((-768)) 28)) (-2482 (((-121) $ $) 84)) (-1358 (($ $ $) 96)) (-3468 (($) 87)) (-1388 (((-121) $ $) 38)) (-1591 (($ $ $ $) 71)) (-1902 (($ $) 110)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-768)) 109) (($ $) 107)) (-1350 (((-121) $ $) 117)) (-1338 (((-121) $ $) 118)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 116)) (-1331 (((-121) $ $) 119)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-553) (-1289)) (T -553)) 
+((-4329 (*1 *2 *1) (-12 (-4 *1 (-553)) (-5 *2 (-121)))) (-2385 (*1 *2 *1) (-12 (-4 *1 (-553)) (-5 *2 (-121)))) (-3468 (*1 *1) (-4 *1 (-553))) (-3158 (*1 *1 *1) (-4 *1 (-553))) (-3309 (*1 *1 *1 *1) (-4 *1 (-553))) (-2482 (*1 *2 *1 *1) (-12 (-4 *1 (-553)) (-5 *2 (-121)))) (-3494 (*1 *1 *1 *1) (-4 *1 (-553))) (-1988 (*1 *1 *1 *1) (-4 *1 (-553))) (-3330 (*1 *2 *1) (-12 (-4 *1 (-553)) (-5 *2 (-121)))) (-3450 (*1 *2 *1) (-12 (-4 *1 (-553)) (-5 *2 (-412 (-571))))) (-3437 (*1 *2 *1) (|partial| -12 (-4 *1 (-553)) (-5 *2 (-412 (-571))))) (-3254 (*1 *1) (-4 *1 (-553))) (-3254 (*1 *1 *1) (-4 *1 (-553))) (-2580 (*1 *1 *1) (-4 *1 (-553))) (-4316 (*1 *1 *1) (-4 *1 (-553))) (-3708 (*1 *1 *1) (-4 *1 (-553))) (-2404 (*1 *1 *1) (-4 *1 (-553))) (-2012 (*1 *1 *1) (-4 *1 (-553))) (-1591 (*1 *1 *1 *1 *1) (-4 *1 (-553))) (-3905 (*1 *1 *1 *1 *1) (-4 *1 (-553))) (-3266 (*1 *1 *1 *1 *1) (-4 *1 (-553))) (-3138 (*1 *1 *1 *1 *1) (-4 *1 (-553))) (-4052 (*1 *1 *1 *1) (-4 *1 (-553)))) 
+(-13 (-1213) (-302) (-820) (-226) (-612 (-571)) (-1043 (-571)) (-633 (-571)) (-612 (-544)) (-612 (-892 (-571))) (-886 (-571)) (-147) (-1027) (-151) (-1143) (-10 -8 (-15 -4329 ((-121) $)) (-15 -2385 ((-121) $)) (-6 -4599) (-15 -3468 ($)) (-15 -3158 ($ $)) (-15 -3309 ($ $ $)) (-15 -2482 ((-121) $ $)) (-15 -3494 ($ $ $)) (-15 -1988 ($ $ $)) (-15 -3330 ((-121) $)) (-15 -3450 ((-412 (-571)) $)) (-15 -3437 ((-3 (-412 (-571)) "failed") $)) (-15 -3254 ($)) (-15 -3254 ($ $)) (-15 -2580 ($ $)) (-15 -4316 ($ $)) (-15 -3708 ($ $)) (-15 -2404 ($ $)) (-15 -2012 ($ $)) (-15 -1591 ($ $ $ $)) (-15 -3905 ($ $ $ $)) (-15 -3266 ($ $ $ $)) (-15 -3138 ($ $ $ $)) (-15 -4052 ($ $ $)) (-6 -4598))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-611 (-855)) . T) ((-147) . T) ((-173) . T) ((-612 (-216)) . T) ((-612 (-384)) . T) ((-612 (-544)) . T) ((-612 (-571)) . T) ((-612 (-892 (-571))) . T) ((-226) . T) ((-286) . T) ((-302) . T) ((-456) . T) ((-561) . T) ((-640 $) . T) ((-633 (-571)) . T) ((-712 $) . T) ((-721) . T) ((-791) . T) ((-792) . T) ((-794) . T) ((-795) . T) ((-820) . T) ((-845) . T) ((-847) . T) ((-886 (-571)) . T) ((-921) . T) ((-1027) . T) ((-1043 (-571)) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1143) . T) ((-1213) . T)) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3839 (((-1263) $ |#1| |#1|) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#2| $ |#1| |#2|) NIL)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-1741 (((-3 |#2| "failed") |#1| $) NIL)) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1599 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-3 |#2| "failed") |#1| $) NIL)) (-3412 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) NIL)) (-4034 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 ((|#1| $) NIL (|has| |#1| (-847)))) (-3488 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3113 ((|#1| $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4601))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3359 (((-637 |#1|) $) NIL)) (-1507 (((-121) |#1| $) NIL)) (-2377 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2863 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2738 (((-637 |#1|) $) NIL)) (-1613 (((-121) |#1| $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-1827 ((|#2| $) NIL (|has| |#1| (-847)))) (-3765 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL)) (-4411 (($ $ |#2|) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-3563 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097)))) (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3942 (((-855) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3700 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-554 |#1| |#2| |#3|) (-13 (-1180 |#1| |#2|) (-10 -7 (-6 -4600))) (-1097) (-1097) (-13 (-1180 |#1| |#2|) (-10 -7 (-6 -4600)))) (T -554)) 
+NIL 
+(-13 (-1180 |#1| |#2|) (-10 -7 (-6 -4600))) 
+((-2357 (((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|) (-1 (-1165 |#2|) (-1165 |#2|))) 49))) 
+(((-555 |#1| |#2|) (-10 -7 (-15 -2357 ((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|) (-1 (-1165 |#2|) (-1165 |#2|))))) (-13 (-847) (-561)) (-13 (-27) (-435 |#1|))) (T -555)) 
+((-2357 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-610 *3)) (-5 *5 (-1 (-1165 *3) (-1165 *3))) (-4 *3 (-13 (-27) (-435 *6))) (-4 *6 (-13 (-847) (-561))) (-5 *2 (-588 *3)) (-5 *1 (-555 *6 *3))))) 
+(-10 -7 (-15 -2357 ((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|) (-1 (-1165 |#2|) (-1165 |#2|))))) 
+((-3417 (((-588 |#5|) |#5| (-1 |#3| |#3|)) 195)) (-3343 (((-3 |#5| "failed") |#5| (-1 |#3| |#3|)) 191)) (-1297 (((-588 |#5|) |#5| (-1 |#3| |#3|)) 198))) 
+(((-556 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1297 ((-588 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3417 ((-588 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3343 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) (-13 (-847) (-561) (-1043 (-571))) (-13 (-27) (-435 |#1|)) (-1233 |#2|) (-1233 (-412 |#3|)) (-341 |#2| |#3| |#4|)) (T -556)) 
+((-3343 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-27) (-435 *4))) (-4 *4 (-13 (-847) (-561) (-1043 (-571)))) (-4 *7 (-1233 (-412 *6))) (-5 *1 (-556 *4 *5 *6 *7 *2)) (-4 *2 (-341 *5 *6 *7)))) (-3417 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1233 *6)) (-4 *6 (-13 (-27) (-435 *5))) (-4 *5 (-13 (-847) (-561) (-1043 (-571)))) (-4 *8 (-1233 (-412 *7))) (-5 *2 (-588 *3)) (-5 *1 (-556 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8)))) (-1297 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1233 *6)) (-4 *6 (-13 (-27) (-435 *5))) (-4 *5 (-13 (-847) (-561) (-1043 (-571)))) (-4 *8 (-1233 (-412 *7))) (-5 *2 (-588 *3)) (-5 *1 (-556 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
+(-10 -7 (-15 -1297 ((-588 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3417 ((-588 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3343 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) 
+((-2064 (((-121) (-571) (-571)) 10)) (-3314 (((-571) (-571)) 7)) (-2951 (((-571) (-571) (-571)) 8))) 
+(((-557) (-10 -7 (-15 -3314 ((-571) (-571))) (-15 -2951 ((-571) (-571) (-571))) (-15 -2064 ((-121) (-571) (-571))))) (T -557)) 
+((-2064 (*1 *2 *3 *3) (-12 (-5 *3 (-571)) (-5 *2 (-121)) (-5 *1 (-557)))) (-2951 (*1 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-557)))) (-3314 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-557))))) 
+(-10 -7 (-15 -3314 ((-571) (-571))) (-15 -2951 ((-571) (-571) (-571))) (-15 -2064 ((-121) (-571) (-571)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3571 ((|#1| $) 59)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4255 (($ $) 89)) (-4192 (($ $) 72)) (-3933 ((|#1| $) 60)) (-4176 (((-3 $ "failed") $ $) 18)) (-4158 (($ $) 71)) (-4243 (($ $) 88)) (-4185 (($ $) 73)) (-4266 (($ $) 87)) (-4201 (($ $) 74)) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 67)) (-1316 (((-571) $) 66)) (-3978 (((-3 $ "failed") $) 33)) (-4247 (($ |#1| |#1|) 64)) (-2093 (((-121) $) 58)) (-4153 (($) 99)) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 70)) (-4086 (((-121) $) 57)) (-1763 (($ $ $) 105)) (-2383 (($ $ $) 104)) (-3509 (($ $) 96)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-2258 (($ |#1| |#1|) 65) (($ |#1|) 63) (($ (-412 (-571))) 62)) (-3085 ((|#1| $) 61)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-1786 (((-3 $ "failed") $ $) 41)) (-4148 (($ $) 97)) (-4273 (($ $) 86)) (-4206 (($ $) 75)) (-4260 (($ $) 85)) (-4196 (($ $) 76)) (-4249 (($ $) 84)) (-4188 (($ $) 77)) (-3021 (((-121) $ |#1|) 56)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-571)) 68)) (-2661 (((-768)) 28)) (-4294 (($ $) 95)) (-4220 (($ $) 83)) (-1388 (((-121) $ $) 38)) (-4280 (($ $) 94)) (-4211 (($ $) 82)) (-4307 (($ $) 93)) (-4232 (($ $) 81)) (-2656 (($ $) 92)) (-4237 (($ $) 80)) (-4301 (($ $) 91)) (-4227 (($ $) 79)) (-4287 (($ $) 90)) (-4215 (($ $) 78)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1350 (((-121) $ $) 102)) (-1338 (((-121) $ $) 101)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 103)) (-1331 (((-121) $ $) 100)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ $) 98) (($ $ (-412 (-571))) 69)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-558 |#1|) (-1289) (-13 (-409) (-1189))) (T -558)) 
+((-2258 (*1 *1 *2 *2) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189))))) (-4247 (*1 *1 *2 *2) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189))))) (-2258 (*1 *1 *2) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189))))) (-2258 (*1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-4 *1 (-558 *3)) (-4 *3 (-13 (-409) (-1189))))) (-3085 (*1 *2 *1) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189))))) (-3933 (*1 *2 *1) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189))))) (-3571 (*1 *2 *1) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189))))) (-2093 (*1 *2 *1) (-12 (-4 *1 (-558 *3)) (-4 *3 (-13 (-409) (-1189))) (-5 *2 (-121)))) (-4086 (*1 *2 *1) (-12 (-4 *1 (-558 *3)) (-4 *3 (-13 (-409) (-1189))) (-5 *2 (-121)))) (-3021 (*1 *2 *1 *3) (-12 (-4 *1 (-558 *3)) (-4 *3 (-13 (-409) (-1189))) (-5 *2 (-121))))) 
+(-13 (-456) (-847) (-1189) (-1008) (-1043 (-571)) (-10 -8 (-6 -3367) (-15 -2258 ($ |t#1| |t#1|)) (-15 -4247 ($ |t#1| |t#1|)) (-15 -2258 ($ |t#1|)) (-15 -2258 ($ (-412 (-571)))) (-15 -3085 (|t#1| $)) (-15 -3933 (|t#1| $)) (-15 -3571 (|t#1| $)) (-15 -2093 ((-121) $)) (-15 -4086 ((-121) $)) (-15 -3021 ((-121) $ |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-40) . T) ((-98) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-280) . T) ((-286) . T) ((-456) . T) ((-505) . T) ((-561) . T) ((-640 $) . T) ((-712 $) . T) ((-721) . T) ((-847) . T) ((-1008) . T) ((-1043 (-571)) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1189) . T) ((-1192) . T)) 
+((-1894 (((-1263) (-922) |#3| (-637 |#5|)) 55)) (-3075 ((|#8| |#3| |#3| (-637 |#10|) (-637 |#5|)) 52))) 
+(((-559 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -3075 (|#8| |#3| |#3| (-637 |#10|) (-637 |#5|))) (-15 -1894 ((-1263) (-922) |#3| (-637 |#5|)))) (-367) (-637 (-1169)) (-955 |#1| |#4| (-857 |#2|)) (-231 (-4001 |#2|) (-768)) (-977 |#1|) (-644 |#1|) (-925 |#1| |#6|) (-236 |#7|) (-539 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -559)) 
+((-1894 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-922)) (-5 *5 (-637 *9)) (-4 *9 (-977 *6)) (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *4 (-955 *6 *8 (-857 *7))) (-4 *8 (-231 (-4001 *7) (-768))) (-4 *10 (-644 *6)) (-4 *11 (-925 *6 *10)) (-4 *12 (-236 *11)) (-4 *13 (-539 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1263)) (-5 *1 (-559 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-259 *13)))) (-3075 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-637 *13)) (-5 *5 (-637 *9)) (-4 *9 (-977 *6)) (-4 *13 (-259 *12)) (-4 *6 (-367)) (-4 *12 (-539 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-637 (-1169))) (-4 *3 (-955 *6 *8 (-857 *7))) (-4 *8 (-231 (-4001 *7) (-768))) (-4 *10 (-644 *6)) (-4 *11 (-925 *6 *10)) (-4 *2 (-236 *11)) (-5 *1 (-559 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14))))) 
+(-10 -7 (-15 -3075 (|#8| |#3| |#3| (-637 |#10|) (-637 |#5|))) (-15 -1894 ((-1263) (-922) |#3| (-637 |#5|)))) 
+((-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 9)) (-1415 (($ $) 11)) (-2545 (((-121) $) 18)) (-3978 (((-3 $ "failed") $) 16)) (-1388 (((-121) $ $) 20))) 
+(((-560 |#1|) (-10 -8 (-15 -2545 ((-121) |#1|)) (-15 -1388 ((-121) |#1| |#1|)) (-15 -1415 (|#1| |#1|)) (-15 -3648 ((-2 (|:| -3691 |#1|) (|:| -4587 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3978 ((-3 |#1| "failed") |#1|))) (-561)) (T -560)) 
+NIL 
+(-10 -8 (-15 -2545 ((-121) |#1|)) (-15 -1388 ((-121) |#1| |#1|)) (-15 -1415 (|#1| |#1|)) (-15 -3648 ((-2 (|:| -3691 |#1|) (|:| -4587 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3978 ((-3 |#1| "failed") |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1786 (((-3 $ "failed") $ $) 41)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-561) (-1289)) (T -561)) 
+((-1786 (*1 *1 *1 *1) (|partial| -4 *1 (-561))) (-3648 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3691 *1) (|:| -4587 *1) (|:| |associate| *1))) (-4 *1 (-561)))) (-1415 (*1 *1 *1) (-4 *1 (-561))) (-1388 (*1 *2 *1 *1) (-12 (-4 *1 (-561)) (-5 *2 (-121)))) (-2545 (*1 *2 *1) (-12 (-4 *1 (-561)) (-5 *2 (-121))))) 
+(-13 (-173) (-43 $) (-286) (-10 -8 (-15 -1786 ((-3 $ "failed") $ $)) (-15 -3648 ((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $)) (-15 -1415 ($ $)) (-15 -1388 ((-121) $ $)) (-15 -2545 ((-121) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-286) . T) ((-640 $) . T) ((-712 $) . T) ((-721) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-4173 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1169) (-637 |#2|)) 35)) (-4116 (((-588 |#2|) |#2| (-1169)) 58)) (-2537 (((-3 |#2| "failed") |#2| (-1169)) 147)) (-1606 (((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1169) (-610 |#2|) (-637 (-610 |#2|))) 149)) (-2546 (((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1169) |#2|) 38))) 
+(((-562 |#1| |#2|) (-10 -7 (-15 -2546 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1169) |#2|)) (-15 -4173 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1169) (-637 |#2|))) (-15 -2537 ((-3 |#2| "failed") |#2| (-1169))) (-15 -4116 ((-588 |#2|) |#2| (-1169))) (-15 -1606 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1169) (-610 |#2|) (-637 (-610 |#2|))))) (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571))) (-13 (-27) (-1189) (-435 |#1|))) (T -562)) 
+((-1606 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1169)) (-5 *6 (-637 (-610 *3))) (-5 *5 (-610 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-2 (|:| -3017 *3) (|:| |coeff| *3))) (-5 *1 (-562 *7 *3)))) (-4116 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-562 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) (-2537 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-562 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4))))) (-4173 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-637 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-562 *6 *3)))) (-2546 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1169)) (-4 *5 (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-2 (|:| -3017 *3) (|:| |coeff| *3))) (-5 *1 (-562 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5)))))) 
+(-10 -7 (-15 -2546 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1169) |#2|)) (-15 -4173 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1169) (-637 |#2|))) (-15 -2537 ((-3 |#2| "failed") |#2| (-1169))) (-15 -4116 ((-588 |#2|) |#2| (-1169))) (-15 -1606 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1169) (-610 |#2|) (-637 (-610 |#2|))))) 
+((-3095 (((-637 |#5|) (-637 |#5|)) 41))) 
+(((-563 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3095 ((-637 |#5|) (-637 |#5|)))) (-367) (-637 (-1169)) (-793) (-847) (-955 |#1| |#3| |#4|)) (T -563)) 
+((-3095 (*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-955 *3 *5 *6)) (-4 *3 (-367)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-563 *3 *4 *5 *6 *7)) (-14 *4 (-637 (-1169)))))) 
+(-10 -7 (-15 -3095 ((-637 |#5|) (-637 |#5|)))) 
+((-4151 (((-423 |#1|) |#1|) 18)) (-4262 (((-423 |#1|) |#1|) 32)) (-2443 (((-3 |#1| "failed") |#1|) 43)) (-4056 (((-423 |#1|) |#1|) 49))) 
+(((-564 |#1|) (-10 -7 (-15 -4262 ((-423 |#1|) |#1|)) (-15 -4151 ((-423 |#1|) |#1|)) (-15 -4056 ((-423 |#1|) |#1|)) (-15 -2443 ((-3 |#1| "failed") |#1|))) (-553)) (T -564)) 
+((-2443 (*1 *2 *2) (|partial| -12 (-5 *1 (-564 *2)) (-4 *2 (-553)))) (-4056 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-564 *3)) (-4 *3 (-553)))) (-4151 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-564 *3)) (-4 *3 (-553)))) (-4262 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-564 *3)) (-4 *3 (-553))))) 
+(-10 -7 (-15 -4262 ((-423 |#1|) |#1|)) (-15 -4151 ((-423 |#1|) |#1|)) (-15 -4056 ((-423 |#1|) |#1|)) (-15 -2443 ((-3 |#1| "failed") |#1|))) 
+((-1916 (((-637 |#3|) |#8| (-637 |#3|)) 45)) (-1377 (((-637 |#3|) |#8| (-768) |#3| (-637 |#3|)) 44)) (-3594 (((-637 (-1258 |#1|)) |#8| (-637 |#3|)) 26)) (-3577 (((-637 (-1258 |#1|)) |#8| (-637 |#3|)) 27))) 
+(((-565 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -3577 ((-637 (-1258 |#1|)) |#8| (-637 |#3|))) (-15 -3594 ((-637 (-1258 |#1|)) |#8| (-637 |#3|))) (-15 -1916 ((-637 |#3|) |#8| (-637 |#3|))) (-15 -1377 ((-637 |#3|) |#8| (-768) |#3| (-637 |#3|)))) (-367) (-637 (-1169)) (-955 |#1| |#4| (-857 |#2|)) (-231 (-4001 |#2|) (-768)) (-977 |#1|) (-644 |#1|) (-925 |#1| |#6|) (-236 |#7|)) (T -565)) 
+((-1377 (*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-637 *5)) (-4 *5 (-955 *6 *8 (-857 *7))) (-4 *8 (-231 (-4001 *7) *4)) (-5 *4 (-768)) (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *10 (-644 *6)) (-4 *11 (-925 *6 *10)) (-5 *1 (-565 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-977 *6)) (-4 *3 (-236 *11)))) (-1916 (*1 *2 *3 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-5 *1 (-565 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-977 *4)) (-4 *3 (-236 *10)))) (-3594 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *7)) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) (-768))) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-5 *2 (-637 (-1258 *5))) (-5 *1 (-565 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-977 *5)) (-4 *3 (-236 *11)))) (-3577 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *7)) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) (-768))) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-5 *2 (-637 (-1258 *5))) (-5 *1 (-565 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-977 *5)) (-4 *3 (-236 *11))))) 
+(-10 -7 (-15 -3577 ((-637 (-1258 |#1|)) |#8| (-637 |#3|))) (-15 -3594 ((-637 (-1258 |#1|)) |#8| (-637 |#3|))) (-15 -1916 ((-637 |#3|) |#8| (-637 |#3|))) (-15 -1377 ((-637 |#3|) |#8| (-768) |#3| (-637 |#3|)))) 
+((-3667 (($) 9)) (-3213 (((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 29)) (-3359 (((-637 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $) 26)) (-2863 (($ (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) 23)) (-3172 (($ (-637 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) 21)) (-4279 (((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33)) (-3909 (((-637 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) 31)) (-2312 (((-1263)) 12))) 
+(((-566) (-10 -8 (-15 -3667 ($)) (-15 -2312 ((-1263))) (-15 -3359 ((-637 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -3172 ($ (-637 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -2863 ($ (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -3213 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3909 ((-637 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -4279 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -566)) 
+((-4279 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-566)))) (-3909 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-566)))) (-3213 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-566)))) (-2863 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-566)))) (-3172 (*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-566)))) (-3359 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-566)))) (-2312 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-566)))) (-3667 (*1 *1) (-5 *1 (-566)))) 
+(-10 -8 (-15 -3667 ($)) (-15 -2312 ((-1263))) (-15 -3359 ((-637 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -3172 ($ (-637 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -2863 ($ (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -3213 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3909 ((-637 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -4279 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-4257 (((-1165 (-412 (-1165 |#2|))) |#2| (-610 |#2|) (-610 |#2|) (-1165 |#2|)) 28)) (-2672 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-610 |#2|) (-610 |#2|) (-637 |#2|) (-610 |#2|) |#2| (-412 (-1165 |#2|))) 96) (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-610 |#2|) (-610 |#2|) (-637 |#2|) |#2| (-1165 |#2|)) 106)) (-1294 (((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|) (-610 |#2|) |#2| (-412 (-1165 |#2|))) 78) (((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|) |#2| (-1165 |#2|)) 50)) (-3373 (((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-610 |#2|) (-610 |#2|) |#2| (-610 |#2|) |#2| (-412 (-1165 |#2|))) 85) (((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-610 |#2|) (-610 |#2|) |#2| |#2| (-1165 |#2|)) 105)) (-3463 (((-3 |#2| "failed") |#2| |#2| (-610 |#2|) (-610 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1169)) (-610 |#2|) |#2| (-412 (-1165 |#2|))) 101) (((-3 |#2| "failed") |#2| |#2| (-610 |#2|) (-610 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1169)) |#2| (-1165 |#2|)) 107)) (-2449 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -1899 (-637 |#2|))) |#3| |#2| (-610 |#2|) (-610 |#2|) (-610 |#2|) |#2| (-412 (-1165 |#2|))) 124 (|has| |#3| (-649 |#2|))) (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -1899 (-637 |#2|))) |#3| |#2| (-610 |#2|) (-610 |#2|) |#2| (-1165 |#2|)) 123 (|has| |#3| (-649 |#2|)))) (-4296 ((|#2| (-1165 (-412 (-1165 |#2|))) (-610 |#2|) |#2|) 48)) (-3069 (((-1165 (-412 (-1165 |#2|))) (-1165 |#2|) (-610 |#2|)) 27))) 
+(((-567 |#1| |#2| |#3|) (-10 -7 (-15 -1294 ((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|) |#2| (-1165 |#2|))) (-15 -1294 ((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|) (-610 |#2|) |#2| (-412 (-1165 |#2|)))) (-15 -3373 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-610 |#2|) (-610 |#2|) |#2| |#2| (-1165 |#2|))) (-15 -3373 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-610 |#2|) (-610 |#2|) |#2| (-610 |#2|) |#2| (-412 (-1165 |#2|)))) (-15 -2672 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-610 |#2|) (-610 |#2|) (-637 |#2|) |#2| (-1165 |#2|))) (-15 -2672 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-610 |#2|) (-610 |#2|) (-637 |#2|) (-610 |#2|) |#2| (-412 (-1165 |#2|)))) (-15 -3463 ((-3 |#2| "failed") |#2| |#2| (-610 |#2|) (-610 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1169)) |#2| (-1165 |#2|))) (-15 -3463 ((-3 |#2| "failed") |#2| |#2| (-610 |#2|) (-610 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1169)) (-610 |#2|) |#2| (-412 (-1165 |#2|)))) (-15 -4257 ((-1165 (-412 (-1165 |#2|))) |#2| (-610 |#2|) (-610 |#2|) (-1165 |#2|))) (-15 -4296 (|#2| (-1165 (-412 (-1165 |#2|))) (-610 |#2|) |#2|)) (-15 -3069 ((-1165 (-412 (-1165 |#2|))) (-1165 |#2|) (-610 |#2|))) (IF (|has| |#3| (-649 |#2|)) (PROGN (-15 -2449 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -1899 (-637 |#2|))) |#3| |#2| (-610 |#2|) (-610 |#2|) |#2| (-1165 |#2|))) (-15 -2449 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -1899 (-637 |#2|))) |#3| |#2| (-610 |#2|) (-610 |#2|) (-610 |#2|) |#2| (-412 (-1165 |#2|))))) |noBranch|)) (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571))) (-13 (-435 |#1|) (-27) (-1189)) (-1097)) (T -567)) 
+((-2449 (*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-610 *4)) (-5 *6 (-412 (-1165 *4))) (-4 *4 (-13 (-435 *7) (-27) (-1189))) (-4 *7 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-567 *7 *4 *3)) (-4 *3 (-649 *4)) (-4 *3 (-1097)))) (-2449 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-610 *4)) (-5 *6 (-1165 *4)) (-4 *4 (-13 (-435 *7) (-27) (-1189))) (-4 *7 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-567 *7 *4 *3)) (-4 *3 (-649 *4)) (-4 *3 (-1097)))) (-3069 (*1 *2 *3 *4) (-12 (-5 *4 (-610 *6)) (-4 *6 (-13 (-435 *5) (-27) (-1189))) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-1165 (-412 (-1165 *6)))) (-5 *1 (-567 *5 *6 *7)) (-5 *3 (-1165 *6)) (-4 *7 (-1097)))) (-4296 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1165 (-412 (-1165 *2)))) (-5 *4 (-610 *2)) (-4 *2 (-13 (-435 *5) (-27) (-1189))) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *1 (-567 *5 *2 *6)) (-4 *6 (-1097)))) (-4257 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-610 *3)) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-1165 (-412 (-1165 *3)))) (-5 *1 (-567 *6 *3 *7)) (-5 *5 (-1165 *3)) (-4 *7 (-1097)))) (-3463 (*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-610 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1169))) (-5 *5 (-412 (-1165 *2))) (-4 *2 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *1 (-567 *6 *2 *7)) (-4 *7 (-1097)))) (-3463 (*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-610 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1169))) (-5 *5 (-1165 *2)) (-4 *2 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *1 (-567 *6 *2 *7)) (-4 *7 (-1097)))) (-2672 (*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-610 *3)) (-5 *5 (-637 *3)) (-5 *6 (-412 (-1165 *3))) (-4 *3 (-13 (-435 *7) (-27) (-1189))) (-4 *7 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-567 *7 *3 *8)) (-4 *8 (-1097)))) (-2672 (*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-610 *3)) (-5 *5 (-637 *3)) (-5 *6 (-1165 *3)) (-4 *3 (-13 (-435 *7) (-27) (-1189))) (-4 *7 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-567 *7 *3 *8)) (-4 *8 (-1097)))) (-3373 (*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-610 *3)) (-5 *5 (-412 (-1165 *3))) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| -3017 *3) (|:| |coeff| *3))) (-5 *1 (-567 *6 *3 *7)) (-4 *7 (-1097)))) (-3373 (*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-610 *3)) (-5 *5 (-1165 *3)) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| -3017 *3) (|:| |coeff| *3))) (-5 *1 (-567 *6 *3 *7)) (-4 *7 (-1097)))) (-1294 (*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-610 *3)) (-5 *5 (-412 (-1165 *3))) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-567 *6 *3 *7)) (-4 *7 (-1097)))) (-1294 (*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-610 *3)) (-5 *5 (-1165 *3)) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-567 *6 *3 *7)) (-4 *7 (-1097))))) 
+(-10 -7 (-15 -1294 ((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|) |#2| (-1165 |#2|))) (-15 -1294 ((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|) (-610 |#2|) |#2| (-412 (-1165 |#2|)))) (-15 -3373 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-610 |#2|) (-610 |#2|) |#2| |#2| (-1165 |#2|))) (-15 -3373 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-610 |#2|) (-610 |#2|) |#2| (-610 |#2|) |#2| (-412 (-1165 |#2|)))) (-15 -2672 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-610 |#2|) (-610 |#2|) (-637 |#2|) |#2| (-1165 |#2|))) (-15 -2672 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-610 |#2|) (-610 |#2|) (-637 |#2|) (-610 |#2|) |#2| (-412 (-1165 |#2|)))) (-15 -3463 ((-3 |#2| "failed") |#2| |#2| (-610 |#2|) (-610 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1169)) |#2| (-1165 |#2|))) (-15 -3463 ((-3 |#2| "failed") |#2| |#2| (-610 |#2|) (-610 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1169)) (-610 |#2|) |#2| (-412 (-1165 |#2|)))) (-15 -4257 ((-1165 (-412 (-1165 |#2|))) |#2| (-610 |#2|) (-610 |#2|) (-1165 |#2|))) (-15 -4296 (|#2| (-1165 (-412 (-1165 |#2|))) (-610 |#2|) |#2|)) (-15 -3069 ((-1165 (-412 (-1165 |#2|))) (-1165 |#2|) (-610 |#2|))) (IF (|has| |#3| (-649 |#2|)) (PROGN (-15 -2449 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -1899 (-637 |#2|))) |#3| |#2| (-610 |#2|) (-610 |#2|) |#2| (-1165 |#2|))) (-15 -2449 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -1899 (-637 |#2|))) |#3| |#2| (-610 |#2|) (-610 |#2|) (-610 |#2|) |#2| (-412 (-1165 |#2|))))) |noBranch|)) 
+((-2644 (((-571) (-571) (-768)) 65)) (-1417 (((-571) (-571)) 64)) (-1579 (((-571) (-571)) 63)) (-3474 (((-571) (-571)) 68)) (-1446 (((-571) (-571) (-571)) 48)) (-1813 (((-571) (-571) (-571)) 45)) (-3420 (((-412 (-571)) (-571)) 20)) (-2177 (((-571) (-571)) 21)) (-3608 (((-571) (-571)) 57)) (-1381 (((-571) (-571)) 32)) (-1655 (((-637 (-571)) (-571)) 62)) (-2419 (((-571) (-571) (-571) (-571) (-571)) 43)) (-1466 (((-412 (-571)) (-571)) 41))) 
+(((-568) (-10 -7 (-15 -1466 ((-412 (-571)) (-571))) (-15 -2419 ((-571) (-571) (-571) (-571) (-571))) (-15 -1655 ((-637 (-571)) (-571))) (-15 -1381 ((-571) (-571))) (-15 -3608 ((-571) (-571))) (-15 -2177 ((-571) (-571))) (-15 -3420 ((-412 (-571)) (-571))) (-15 -1813 ((-571) (-571) (-571))) (-15 -1446 ((-571) (-571) (-571))) (-15 -3474 ((-571) (-571))) (-15 -1579 ((-571) (-571))) (-15 -1417 ((-571) (-571))) (-15 -2644 ((-571) (-571) (-768))))) (T -568)) 
+((-2644 (*1 *2 *2 *3) (-12 (-5 *2 (-571)) (-5 *3 (-768)) (-5 *1 (-568)))) (-1417 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) (-1579 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) (-3474 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) (-1446 (*1 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) (-1813 (*1 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) (-3420 (*1 *2 *3) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-568)) (-5 *3 (-571)))) (-2177 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) (-3608 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) (-1381 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) (-1655 (*1 *2 *3) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-568)) (-5 *3 (-571)))) (-2419 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) (-1466 (*1 *2 *3) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-568)) (-5 *3 (-571))))) 
+(-10 -7 (-15 -1466 ((-412 (-571)) (-571))) (-15 -2419 ((-571) (-571) (-571) (-571) (-571))) (-15 -1655 ((-637 (-571)) (-571))) (-15 -1381 ((-571) (-571))) (-15 -3608 ((-571) (-571))) (-15 -2177 ((-571) (-571))) (-15 -3420 ((-412 (-571)) (-571))) (-15 -1813 ((-571) (-571) (-571))) (-15 -1446 ((-571) (-571) (-571))) (-15 -3474 ((-571) (-571))) (-15 -1579 ((-571) (-571))) (-15 -1417 ((-571) (-571))) (-15 -2644 ((-571) (-571) (-768)))) 
+((-2214 (((-2 (|:| |answer| |#4|) (|:| -4324 |#4|)) |#4| (-1 |#2| |#2|)) 52))) 
+(((-569 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2214 ((-2 (|:| |answer| |#4|) (|:| -4324 |#4|)) |#4| (-1 |#2| |#2|)))) (-367) (-1233 |#1|) (-1233 (-412 |#2|)) (-341 |#1| |#2| |#3|)) (T -569)) 
+((-2214 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-4 *7 (-1233 (-412 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -4324 *3))) (-5 *1 (-569 *5 *6 *7 *3)) (-4 *3 (-341 *5 *6 *7))))) 
+(-10 -7 (-15 -2214 ((-2 (|:| |answer| |#4|) (|:| -4324 |#4|)) |#4| (-1 |#2| |#2|)))) 
+((-2214 (((-2 (|:| |answer| (-412 |#2|)) (|:| -4324 (-412 |#2|)) (|:| |specpart| (-412 |#2|)) (|:| |polypart| |#2|)) (-412 |#2|) (-1 |#2| |#2|)) 18))) 
+(((-570 |#1| |#2|) (-10 -7 (-15 -2214 ((-2 (|:| |answer| (-412 |#2|)) (|:| -4324 (-412 |#2|)) (|:| |specpart| (-412 |#2|)) (|:| |polypart| |#2|)) (-412 |#2|) (-1 |#2| |#2|)))) (-367) (-1233 |#1|)) (T -570)) 
+((-2214 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| |answer| (-412 *6)) (|:| -4324 (-412 *6)) (|:| |specpart| (-412 *6)) (|:| |polypart| *6))) (-5 *1 (-570 *5 *6)) (-5 *3 (-412 *6))))) 
+(-10 -7 (-15 -2214 ((-2 (|:| |answer| (-412 |#2|)) (|:| -4324 (-412 |#2|)) (|:| |specpart| (-412 |#2|)) (|:| |polypart| |#2|)) (-412 |#2|) (-1 |#2| |#2|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 25)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 86)) (-1415 (($ $) 87)) (-2545 (((-121) $) NIL)) (-1988 (($ $ $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3905 (($ $ $ $) 42)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL)) (-3309 (($ $ $) 80)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL)) (-1316 (((-571) $) NIL)) (-2162 (($ $ $) 79)) (-2680 (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 60) (((-684 (-571)) (-684 $)) 57)) (-3978 (((-3 $ "failed") $) 83)) (-3437 (((-3 (-412 (-571)) "failed") $) NIL)) (-3330 (((-121) $) NIL)) (-3450 (((-412 (-571)) $) NIL)) (-3254 (($) 62) (($ $) 63)) (-2180 (($ $ $) 78)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-3138 (($ $ $ $) NIL)) (-3494 (($ $ $) 54)) (-2093 (((-121) $) NIL)) (-3810 (($ $ $) NIL)) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL)) (-2583 (((-121) $) 26)) (-4329 (((-121) $) 73)) (-2596 (((-3 $ "failed") $) NIL)) (-4086 (((-121) $) 34)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-3266 (($ $ $ $) 43)) (-1763 (($ $ $) 75)) (-2383 (($ $ $) 74)) (-2012 (($ $) NIL)) (-3158 (($ $) 40)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) 53)) (-4052 (($ $ $) NIL)) (-1757 (($) NIL T CONST)) (-3708 (($ $) 31)) (-2580 (((-1115) $) NIL) (($ $) 33)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 117)) (-3026 (($ $ $) 84) (($ (-637 $)) NIL)) (-2761 (($ $) NIL)) (-4262 (((-423 $) $) 103)) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL)) (-1786 (((-3 $ "failed") $ $) 82)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2385 (((-121) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 77)) (-3096 (($ $ (-768)) NIL) (($ $) NIL)) (-2404 (($ $) 32)) (-4316 (($ $) 30)) (-4050 (((-571) $) 39) (((-544) $) 51) (((-892 (-571)) $) NIL) (((-384) $) 46) (((-216) $) 48) (((-1151) $) 52)) (-3942 (((-855) $) 37) (($ (-571)) 38) (($ $) NIL) (($ (-571)) 38)) (-2661 (((-768)) NIL)) (-2482 (((-121) $ $) NIL)) (-1358 (($ $ $) NIL)) (-3468 (($) 29)) (-1388 (((-121) $ $) NIL)) (-1591 (($ $ $ $) 41)) (-1902 (($ $) 61)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 27 T CONST)) (-3222 (($) 28 T CONST)) (-3805 (((-1151) $) 20) (((-1151) $ (-121)) 22) (((-1263) (-822) $) 23) (((-1263) (-822) $ (-121)) 24)) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 64)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 65)) (-1373 (($ $) 66) (($ $ $) 68)) (-1367 (($ $ $) 67)) (** (($ $ (-922)) NIL) (($ $ (-768)) 72)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 70) (($ $ $) 69))) 
+(((-571) (-13 (-553) (-612 (-1151)) (-828) (-10 -8 (-15 -3254 ($ $)) (-6 -4587) (-6 -4592) (-6 -4588) (-6 -4582)))) (T -571)) 
+((-3254 (*1 *1 *1) (-5 *1 (-571)))) 
+(-13 (-553) (-612 (-1151)) (-828) (-10 -8 (-15 -3254 ($ $)) (-6 -4587) (-6 -4592) (-6 -4588) (-6 -4582))) 
+((-1538 (((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041))) (-766) (-1065)) 103) (((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041))) (-766)) 105)) (-3403 (((-3 (-1041) "failed") (-311 (-384)) (-1089 (-840 (-384))) (-1169)) 168) (((-3 (-1041) "failed") (-311 (-384)) (-1089 (-840 (-384))) (-1151)) 167) (((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))) (-384) (-384) (-1065)) 173) (((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))) (-384) (-384)) 174) (((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))) (-384)) 175) (((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384))))) 176) (((-1041) (-311 (-384)) (-1091 (-840 (-384)))) 163) (((-1041) (-311 (-384)) (-1091 (-840 (-384))) (-384)) 162) (((-1041) (-311 (-384)) (-1091 (-840 (-384))) (-384) (-384)) 158) (((-1041) (-766)) 150) (((-1041) (-311 (-384)) (-1091 (-840 (-384))) (-384) (-384) (-1065)) 157))) 
+(((-572) (-10 -7 (-15 -3403 ((-1041) (-311 (-384)) (-1091 (-840 (-384))) (-384) (-384) (-1065))) (-15 -3403 ((-1041) (-766))) (-15 -3403 ((-1041) (-311 (-384)) (-1091 (-840 (-384))) (-384) (-384))) (-15 -3403 ((-1041) (-311 (-384)) (-1091 (-840 (-384))) (-384))) (-15 -3403 ((-1041) (-311 (-384)) (-1091 (-840 (-384))))) (-15 -3403 ((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))))) (-15 -3403 ((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))) (-384))) (-15 -3403 ((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))) (-384) (-384))) (-15 -3403 ((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))) (-384) (-384) (-1065))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041))) (-766))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041))) (-766) (-1065))) (-15 -3403 ((-3 (-1041) "failed") (-311 (-384)) (-1089 (-840 (-384))) (-1151))) (-15 -3403 ((-3 (-1041) "failed") (-311 (-384)) (-1089 (-840 (-384))) (-1169))))) (T -572)) 
+((-3403 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-840 (-384)))) (-5 *5 (-1169)) (-5 *2 (-1041)) (-5 *1 (-572)))) (-3403 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-840 (-384)))) (-5 *5 (-1151)) (-5 *2 (-1041)) (-5 *1 (-572)))) (-1538 (*1 *2 *3 *4) (-12 (-5 *3 (-766)) (-5 *4 (-1065)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041)))) (-5 *1 (-572)))) (-1538 (*1 *2 *3) (-12 (-5 *3 (-766)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041)))) (-5 *1 (-572)))) (-3403 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-1091 (-840 (-384))))) (-5 *5 (-384)) (-5 *6 (-1065)) (-5 *2 (-1041)) (-5 *1 (-572)))) (-3403 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-1091 (-840 (-384))))) (-5 *5 (-384)) (-5 *2 (-1041)) (-5 *1 (-572)))) (-3403 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-1091 (-840 (-384))))) (-5 *5 (-384)) (-5 *2 (-1041)) (-5 *1 (-572)))) (-3403 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-1091 (-840 (-384))))) (-5 *2 (-1041)) (-5 *1 (-572)))) (-3403 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1091 (-840 (-384)))) (-5 *2 (-1041)) (-5 *1 (-572)))) (-3403 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1091 (-840 (-384)))) (-5 *5 (-384)) (-5 *2 (-1041)) (-5 *1 (-572)))) (-3403 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1091 (-840 (-384)))) (-5 *5 (-384)) (-5 *2 (-1041)) (-5 *1 (-572)))) (-3403 (*1 *2 *3) (-12 (-5 *3 (-766)) (-5 *2 (-1041)) (-5 *1 (-572)))) (-3403 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1091 (-840 (-384)))) (-5 *5 (-384)) (-5 *6 (-1065)) (-5 *2 (-1041)) (-5 *1 (-572))))) 
+(-10 -7 (-15 -3403 ((-1041) (-311 (-384)) (-1091 (-840 (-384))) (-384) (-384) (-1065))) (-15 -3403 ((-1041) (-766))) (-15 -3403 ((-1041) (-311 (-384)) (-1091 (-840 (-384))) (-384) (-384))) (-15 -3403 ((-1041) (-311 (-384)) (-1091 (-840 (-384))) (-384))) (-15 -3403 ((-1041) (-311 (-384)) (-1091 (-840 (-384))))) (-15 -3403 ((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))))) (-15 -3403 ((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))) (-384))) (-15 -3403 ((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))) (-384) (-384))) (-15 -3403 ((-1041) (-311 (-384)) (-637 (-1091 (-840 (-384)))) (-384) (-384) (-1065))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041))) (-766))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041))) (-766) (-1065))) (-15 -3403 ((-3 (-1041) "failed") (-311 (-384)) (-1089 (-840 (-384))) (-1151))) (-15 -3403 ((-3 (-1041) "failed") (-311 (-384)) (-1089 (-840 (-384))) (-1169)))) 
+((-1383 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-610 |#2|) (-610 |#2|) (-637 |#2|)) 179)) (-2205 (((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|)) 97)) (-4546 (((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-610 |#2|) (-610 |#2|) |#2|) 175)) (-2714 (((-3 |#2| "failed") |#2| |#2| |#2| (-610 |#2|) (-610 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1169))) 184)) (-2547 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -1899 (-637 |#2|))) |#3| |#2| (-610 |#2|) (-610 |#2|) (-1169)) 192 (|has| |#3| (-649 |#2|))))) 
+(((-573 |#1| |#2| |#3|) (-10 -7 (-15 -2205 ((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|))) (-15 -4546 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-610 |#2|) (-610 |#2|) |#2|)) (-15 -1383 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-610 |#2|) (-610 |#2|) (-637 |#2|))) (-15 -2714 ((-3 |#2| "failed") |#2| |#2| |#2| (-610 |#2|) (-610 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1169)))) (IF (|has| |#3| (-649 |#2|)) (-15 -2547 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -1899 (-637 |#2|))) |#3| |#2| (-610 |#2|) (-610 |#2|) (-1169))) |noBranch|)) (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571))) (-13 (-435 |#1|) (-27) (-1189)) (-1097)) (T -573)) 
+((-2547 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-610 *4)) (-5 *6 (-1169)) (-4 *4 (-13 (-435 *7) (-27) (-1189))) (-4 *7 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-573 *7 *4 *3)) (-4 *3 (-649 *4)) (-4 *3 (-1097)))) (-2714 (*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-610 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1169))) (-4 *2 (-13 (-435 *5) (-27) (-1189))) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *1 (-573 *5 *2 *6)) (-4 *6 (-1097)))) (-1383 (*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-610 *3)) (-5 *5 (-637 *3)) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-573 *6 *3 *7)) (-4 *7 (-1097)))) (-4546 (*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-610 *3)) (-4 *3 (-13 (-435 *5) (-27) (-1189))) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| -3017 *3) (|:| |coeff| *3))) (-5 *1 (-573 *5 *3 *6)) (-4 *6 (-1097)))) (-2205 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-610 *3)) (-4 *3 (-13 (-435 *5) (-27) (-1189))) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-573 *5 *3 *6)) (-4 *6 (-1097))))) 
+(-10 -7 (-15 -2205 ((-588 |#2|) |#2| (-610 |#2|) (-610 |#2|))) (-15 -4546 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-610 |#2|) (-610 |#2|) |#2|)) (-15 -1383 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-610 |#2|) (-610 |#2|) (-637 |#2|))) (-15 -2714 ((-3 |#2| "failed") |#2| |#2| |#2| (-610 |#2|) (-610 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1169)))) (IF (|has| |#3| (-649 |#2|)) (-15 -2547 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -1899 (-637 |#2|))) |#3| |#2| (-610 |#2|) (-610 |#2|) (-1169))) |noBranch|)) 
+((-2645 (((-2 (|:| -2533 |#2|) (|:| |nconst| |#2|)) |#2| (-1169)) 62)) (-1778 (((-3 |#2| "failed") |#2| (-1169) (-840 |#2|) (-840 |#2|)) 159 (-12 (|has| |#2| (-1131)) (|has| |#1| (-612 (-892 (-571)))) (|has| |#1| (-886 (-571))))) (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1169)) 133 (-12 (|has| |#2| (-623)) (|has| |#1| (-612 (-892 (-571)))) (|has| |#1| (-886 (-571)))))) (-3372 (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1169)) 142 (-12 (|has| |#2| (-623)) (|has| |#1| (-612 (-892 (-571)))) (|has| |#1| (-886 (-571))))))) 
+(((-574 |#1| |#2|) (-10 -7 (-15 -2645 ((-2 (|:| -2533 |#2|) (|:| |nconst| |#2|)) |#2| (-1169))) (IF (|has| |#1| (-612 (-892 (-571)))) (IF (|has| |#1| (-886 (-571))) (PROGN (IF (|has| |#2| (-623)) (PROGN (-15 -3372 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1169))) (-15 -1778 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1169)))) |noBranch|) (IF (|has| |#2| (-1131)) (-15 -1778 ((-3 |#2| "failed") |#2| (-1169) (-840 |#2|) (-840 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) (-13 (-847) (-1043 (-571)) (-456) (-633 (-571))) (-13 (-27) (-1189) (-435 |#1|))) (T -574)) 
+((-1778 (*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1169)) (-5 *4 (-840 *2)) (-4 *2 (-1131)) (-4 *2 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-612 (-892 (-571)))) (-4 *5 (-886 (-571))) (-4 *5 (-13 (-847) (-1043 (-571)) (-456) (-633 (-571)))) (-5 *1 (-574 *5 *2)))) (-1778 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1169)) (-4 *5 (-612 (-892 (-571)))) (-4 *5 (-886 (-571))) (-4 *5 (-13 (-847) (-1043 (-571)) (-456) (-633 (-571)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-574 *5 *3)) (-4 *3 (-623)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) (-3372 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1169)) (-4 *5 (-612 (-892 (-571)))) (-4 *5 (-886 (-571))) (-4 *5 (-13 (-847) (-1043 (-571)) (-456) (-633 (-571)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-574 *5 *3)) (-4 *3 (-623)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) (-2645 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-847) (-1043 (-571)) (-456) (-633 (-571)))) (-5 *2 (-2 (|:| -2533 *3) (|:| |nconst| *3))) (-5 *1 (-574 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5)))))) 
+(-10 -7 (-15 -2645 ((-2 (|:| -2533 |#2|) (|:| |nconst| |#2|)) |#2| (-1169))) (IF (|has| |#1| (-612 (-892 (-571)))) (IF (|has| |#1| (-886 (-571))) (PROGN (IF (|has| |#2| (-623)) (PROGN (-15 -3372 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1169))) (-15 -1778 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1169)))) |noBranch|) (IF (|has| |#2| (-1131)) (-15 -1778 ((-3 |#2| "failed") |#2| (-1169) (-840 |#2|) (-840 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) 
+((-1340 (((-3 (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|)))))) "failed") (-412 |#2|) (-637 (-412 |#2|))) 39)) (-3403 (((-588 (-412 |#2|)) (-412 |#2|)) 27)) (-2311 (((-3 (-412 |#2|) "failed") (-412 |#2|)) 16)) (-4317 (((-3 (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-412 |#2|)) 46))) 
+(((-575 |#1| |#2|) (-10 -7 (-15 -3403 ((-588 (-412 |#2|)) (-412 |#2|))) (-15 -2311 ((-3 (-412 |#2|) "failed") (-412 |#2|))) (-15 -4317 ((-3 (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-412 |#2|))) (-15 -1340 ((-3 (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|)))))) "failed") (-412 |#2|) (-637 (-412 |#2|))))) (-13 (-367) (-151) (-1043 (-571))) (-1233 |#1|)) (T -575)) 
+((-1340 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-637 (-412 *6))) (-5 *3 (-412 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-575 *5 *6)))) (-4317 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-367) (-151) (-1043 (-571)))) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| -3017 (-412 *5)) (|:| |coeff| (-412 *5)))) (-5 *1 (-575 *4 *5)) (-5 *3 (-412 *5)))) (-2311 (*1 *2 *2) (|partial| -12 (-5 *2 (-412 *4)) (-4 *4 (-1233 *3)) (-4 *3 (-13 (-367) (-151) (-1043 (-571)))) (-5 *1 (-575 *3 *4)))) (-3403 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-571)))) (-4 *5 (-1233 *4)) (-5 *2 (-588 (-412 *5))) (-5 *1 (-575 *4 *5)) (-5 *3 (-412 *5))))) 
+(-10 -7 (-15 -3403 ((-588 (-412 |#2|)) (-412 |#2|))) (-15 -2311 ((-3 (-412 |#2|) "failed") (-412 |#2|))) (-15 -4317 ((-3 (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-412 |#2|))) (-15 -1340 ((-3 (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|)))))) "failed") (-412 |#2|) (-637 (-412 |#2|))))) 
+((-1982 (((-3 (-571) "failed") |#1|) 14)) (-3409 (((-121) |#1|) 13)) (-3982 (((-571) |#1|) 9))) 
+(((-576 |#1|) (-10 -7 (-15 -3982 ((-571) |#1|)) (-15 -3409 ((-121) |#1|)) (-15 -1982 ((-3 (-571) "failed") |#1|))) (-1043 (-571))) (T -576)) 
+((-1982 (*1 *2 *3) (|partial| -12 (-5 *2 (-571)) (-5 *1 (-576 *3)) (-4 *3 (-1043 *2)))) (-3409 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-576 *3)) (-4 *3 (-1043 (-571))))) (-3982 (*1 *2 *3) (-12 (-5 *2 (-571)) (-5 *1 (-576 *3)) (-4 *3 (-1043 *2))))) 
+(-10 -7 (-15 -3982 ((-571) |#1|)) (-15 -3409 ((-121) |#1|)) (-15 -1982 ((-3 (-571) "failed") |#1|))) 
+((-1632 (((-3 (-2 (|:| |mainpart| (-412 (-958 |#1|))) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 (-958 |#1|))) (|:| |logand| (-412 (-958 |#1|))))))) "failed") (-412 (-958 |#1|)) (-1169) (-637 (-412 (-958 |#1|)))) 43)) (-3749 (((-588 (-412 (-958 |#1|))) (-412 (-958 |#1|)) (-1169)) 25)) (-4244 (((-3 (-412 (-958 |#1|)) "failed") (-412 (-958 |#1|)) (-1169)) 20)) (-4088 (((-3 (-2 (|:| -3017 (-412 (-958 |#1|))) (|:| |coeff| (-412 (-958 |#1|)))) "failed") (-412 (-958 |#1|)) (-1169) (-412 (-958 |#1|))) 32))) 
+(((-577 |#1|) (-10 -7 (-15 -3749 ((-588 (-412 (-958 |#1|))) (-412 (-958 |#1|)) (-1169))) (-15 -4244 ((-3 (-412 (-958 |#1|)) "failed") (-412 (-958 |#1|)) (-1169))) (-15 -1632 ((-3 (-2 (|:| |mainpart| (-412 (-958 |#1|))) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 (-958 |#1|))) (|:| |logand| (-412 (-958 |#1|))))))) "failed") (-412 (-958 |#1|)) (-1169) (-637 (-412 (-958 |#1|))))) (-15 -4088 ((-3 (-2 (|:| -3017 (-412 (-958 |#1|))) (|:| |coeff| (-412 (-958 |#1|)))) "failed") (-412 (-958 |#1|)) (-1169) (-412 (-958 |#1|))))) (-13 (-561) (-1043 (-571)) (-151))) (T -577)) 
+((-4088 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1169)) (-4 *5 (-13 (-561) (-1043 (-571)) (-151))) (-5 *2 (-2 (|:| -3017 (-412 (-958 *5))) (|:| |coeff| (-412 (-958 *5))))) (-5 *1 (-577 *5)) (-5 *3 (-412 (-958 *5))))) (-1632 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-637 (-412 (-958 *6)))) (-5 *3 (-412 (-958 *6))) (-4 *6 (-13 (-561) (-1043 (-571)) (-151))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-577 *6)))) (-4244 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-412 (-958 *4))) (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-1043 (-571)) (-151))) (-5 *1 (-577 *4)))) (-3749 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-561) (-1043 (-571)) (-151))) (-5 *2 (-588 (-412 (-958 *5)))) (-5 *1 (-577 *5)) (-5 *3 (-412 (-958 *5)))))) 
+(-10 -7 (-15 -3749 ((-588 (-412 (-958 |#1|))) (-412 (-958 |#1|)) (-1169))) (-15 -4244 ((-3 (-412 (-958 |#1|)) "failed") (-412 (-958 |#1|)) (-1169))) (-15 -1632 ((-3 (-2 (|:| |mainpart| (-412 (-958 |#1|))) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 (-958 |#1|))) (|:| |logand| (-412 (-958 |#1|))))))) "failed") (-412 (-958 |#1|)) (-1169) (-637 (-412 (-958 |#1|))))) (-15 -4088 ((-3 (-2 (|:| -3017 (-412 (-958 |#1|))) (|:| |coeff| (-412 (-958 |#1|)))) "failed") (-412 (-958 |#1|)) (-1169) (-412 (-958 |#1|))))) 
+((-2234 (((-121) $ $) 59)) (-4123 (((-121) $) 36)) (-3571 ((|#1| $) 30)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) 63)) (-4255 (($ $) 123)) (-4192 (($ $) 103)) (-3933 ((|#1| $) 28)) (-4176 (((-3 $ "failed") $ $) NIL)) (-4158 (($ $) NIL)) (-4243 (($ $) 125)) (-4185 (($ $) 99)) (-4266 (($ $) 127)) (-4201 (($ $) 107)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) 78)) (-1316 (((-571) $) 80)) (-3978 (((-3 $ "failed") $) 62)) (-4247 (($ |#1| |#1|) 26)) (-2093 (((-121) $) 33)) (-4153 (($) 89)) (-2583 (((-121) $) 43)) (-3549 (($ $ (-571)) NIL)) (-4086 (((-121) $) 34)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3509 (($ $) 91)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-2258 (($ |#1| |#1|) 20) (($ |#1|) 25) (($ (-412 (-571))) 77)) (-3085 ((|#1| $) 27)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) 65) (($ (-637 $)) NIL)) (-1786 (((-3 $ "failed") $ $) 64)) (-4148 (($ $) 93)) (-4273 (($ $) 131)) (-4206 (($ $) 105)) (-4260 (($ $) 133)) (-4196 (($ $) 109)) (-4249 (($ $) 129)) (-4188 (($ $) 101)) (-3021 (((-121) $ |#1|) 31)) (-3942 (((-855) $) 85) (($ (-571)) 67) (($ $) NIL) (($ (-571)) 67)) (-2661 (((-768)) 87)) (-4294 (($ $) 145)) (-4220 (($ $) 115)) (-1388 (((-121) $ $) NIL)) (-4280 (($ $) 143)) (-4211 (($ $) 111)) (-4307 (($ $) 141)) (-4232 (($ $) 121)) (-2656 (($ $) 139)) (-4237 (($ $) 119)) (-4301 (($ $) 137)) (-4227 (($ $) 117)) (-4287 (($ $) 135)) (-4215 (($ $) 113)) (-4142 (($ $ (-922)) 55) (($ $ (-768)) NIL)) (-2369 (($) 21 T CONST)) (-3222 (($) 10 T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 37)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 35)) (-1373 (($ $) 41) (($ $ $) 42)) (-1367 (($ $ $) 40)) (** (($ $ (-922)) 54) (($ $ (-768)) NIL) (($ $ $) 95) (($ $ (-412 (-571))) 147)) (* (($ (-922) $) 51) (($ (-768) $) NIL) (($ (-571) $) 50) (($ $ $) 48))) 
+(((-578 |#1|) (-558 |#1|) (-13 (-409) (-1189))) (T -578)) 
+NIL 
+(-558 |#1|) 
+((-1926 (((-3 (-637 (-1165 (-571))) "failed") (-637 (-1165 (-571))) (-1165 (-571))) 24))) 
+(((-579) (-10 -7 (-15 -1926 ((-3 (-637 (-1165 (-571))) "failed") (-637 (-1165 (-571))) (-1165 (-571)))))) (T -579)) 
+((-1926 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 (-571)))) (-5 *3 (-1165 (-571))) (-5 *1 (-579))))) 
+(-10 -7 (-15 -1926 ((-3 (-637 (-1165 (-571))) "failed") (-637 (-1165 (-571))) (-1165 (-571))))) 
+((-2590 (((-637 (-610 |#2|)) (-637 (-610 |#2|)) (-1169)) 18)) (-2484 (((-637 (-610 |#2|)) (-637 |#2|) (-1169)) 23)) (-3486 (((-637 (-610 |#2|)) (-637 (-610 |#2|)) (-637 (-610 |#2|))) 10)) (-2111 ((|#2| |#2| (-1169)) 51 (|has| |#1| (-561)))) (-3678 ((|#2| |#2| (-1169)) 76 (-12 (|has| |#2| (-280)) (|has| |#1| (-456))))) (-3705 (((-610 |#2|) (-610 |#2|) (-637 (-610 |#2|)) (-1169)) 25)) (-4486 (((-610 |#2|) (-637 (-610 |#2|))) 24)) (-2990 (((-588 |#2|) |#2| (-1169) (-1 (-588 |#2|) |#2| (-1169)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1169))) 100 (-12 (|has| |#2| (-280)) (|has| |#2| (-623)) (|has| |#2| (-1043 (-1169))) (|has| |#1| (-612 (-892 (-571)))) (|has| |#1| (-456)) (|has| |#1| (-886 (-571))))))) 
+(((-580 |#1| |#2|) (-10 -7 (-15 -2590 ((-637 (-610 |#2|)) (-637 (-610 |#2|)) (-1169))) (-15 -4486 ((-610 |#2|) (-637 (-610 |#2|)))) (-15 -3705 ((-610 |#2|) (-610 |#2|) (-637 (-610 |#2|)) (-1169))) (-15 -3486 ((-637 (-610 |#2|)) (-637 (-610 |#2|)) (-637 (-610 |#2|)))) (-15 -2484 ((-637 (-610 |#2|)) (-637 |#2|) (-1169))) (IF (|has| |#1| (-561)) (-15 -2111 (|#2| |#2| (-1169))) |noBranch|) (IF (|has| |#1| (-456)) (IF (|has| |#2| (-280)) (PROGN (-15 -3678 (|#2| |#2| (-1169))) (IF (|has| |#1| (-612 (-892 (-571)))) (IF (|has| |#1| (-886 (-571))) (IF (|has| |#2| (-623)) (IF (|has| |#2| (-1043 (-1169))) (-15 -2990 ((-588 |#2|) |#2| (-1169) (-1 (-588 |#2|) |#2| (-1169)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1169)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) (-847) (-435 |#1|)) (T -580)) 
+((-2990 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-588 *3) *3 (-1169))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1169))) (-4 *3 (-280)) (-4 *3 (-623)) (-4 *3 (-1043 *4)) (-4 *3 (-435 *7)) (-5 *4 (-1169)) (-4 *7 (-612 (-892 (-571)))) (-4 *7 (-456)) (-4 *7 (-886 (-571))) (-4 *7 (-847)) (-5 *2 (-588 *3)) (-5 *1 (-580 *7 *3)))) (-3678 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-456)) (-4 *4 (-847)) (-5 *1 (-580 *4 *2)) (-4 *2 (-280)) (-4 *2 (-435 *4)))) (-2111 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-561)) (-4 *4 (-847)) (-5 *1 (-580 *4 *2)) (-4 *2 (-435 *4)))) (-2484 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-1169)) (-4 *6 (-435 *5)) (-4 *5 (-847)) (-5 *2 (-637 (-610 *6))) (-5 *1 (-580 *5 *6)))) (-3486 (*1 *2 *2 *2) (-12 (-5 *2 (-637 (-610 *4))) (-4 *4 (-435 *3)) (-4 *3 (-847)) (-5 *1 (-580 *3 *4)))) (-3705 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-637 (-610 *6))) (-5 *4 (-1169)) (-5 *2 (-610 *6)) (-4 *6 (-435 *5)) (-4 *5 (-847)) (-5 *1 (-580 *5 *6)))) (-4486 (*1 *2 *3) (-12 (-5 *3 (-637 (-610 *5))) (-4 *4 (-847)) (-5 *2 (-610 *5)) (-5 *1 (-580 *4 *5)) (-4 *5 (-435 *4)))) (-2590 (*1 *2 *2 *3) (-12 (-5 *2 (-637 (-610 *5))) (-5 *3 (-1169)) (-4 *5 (-435 *4)) (-4 *4 (-847)) (-5 *1 (-580 *4 *5))))) 
+(-10 -7 (-15 -2590 ((-637 (-610 |#2|)) (-637 (-610 |#2|)) (-1169))) (-15 -4486 ((-610 |#2|) (-637 (-610 |#2|)))) (-15 -3705 ((-610 |#2|) (-610 |#2|) (-637 (-610 |#2|)) (-1169))) (-15 -3486 ((-637 (-610 |#2|)) (-637 (-610 |#2|)) (-637 (-610 |#2|)))) (-15 -2484 ((-637 (-610 |#2|)) (-637 |#2|) (-1169))) (IF (|has| |#1| (-561)) (-15 -2111 (|#2| |#2| (-1169))) |noBranch|) (IF (|has| |#1| (-456)) (IF (|has| |#2| (-280)) (PROGN (-15 -3678 (|#2| |#2| (-1169))) (IF (|has| |#1| (-612 (-892 (-571)))) (IF (|has| |#1| (-886 (-571))) (IF (|has| |#2| (-623)) (IF (|has| |#2| (-1043 (-1169))) (-15 -2990 ((-588 |#2|) |#2| (-1169) (-1 (-588 |#2|) |#2| (-1169)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1169)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) 
+((-4254 (((-2 (|:| |answer| (-588 (-412 |#2|))) (|:| |a0| |#1|)) (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-637 |#1|) "failed") (-571) |#1| |#1|)) 167)) (-2567 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|))))))) (|:| |a0| |#1|)) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-637 (-412 |#2|))) 143)) (-2501 (((-3 (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|)))))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-637 (-412 |#2|))) 140)) (-3485 (((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) 129)) (-4138 (((-2 (|:| |answer| (-588 (-412 |#2|))) (|:| |a0| |#1|)) (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) 153)) (-4345 (((-3 (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-412 |#2|)) 170)) (-2549 (((-3 (-2 (|:| |answer| (-412 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-412 |#2|)) 173)) (-3780 (((-2 (|:| |ir| (-588 (-412 |#2|))) (|:| |specpart| (-412 |#2|)) (|:| |polypart| |#2|)) (-412 |#2|) (-1 |#2| |#2|)) 81)) (-2830 (((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)) 88)) (-4363 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|))))))) (|:| |a0| |#1|)) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|) (-637 (-412 |#2|))) 147)) (-2239 (((-3 (-618 |#1| |#2|) "failed") (-618 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|)) 133)) (-3451 (((-2 (|:| |answer| (-588 (-412 |#2|))) (|:| |a0| |#1|)) (-412 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|)) 157)) (-4182 (((-3 (-2 (|:| |answer| (-412 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|) (-412 |#2|)) 178))) 
+(((-581 |#1| |#2|) (-10 -7 (-15 -4138 ((-2 (|:| |answer| (-588 (-412 |#2|))) (|:| |a0| |#1|)) (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -3451 ((-2 (|:| |answer| (-588 (-412 |#2|))) (|:| |a0| |#1|)) (-412 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|))) (-15 -4254 ((-2 (|:| |answer| (-588 (-412 |#2|))) (|:| |a0| |#1|)) (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-637 |#1|) "failed") (-571) |#1| |#1|))) (-15 -2549 ((-3 (-2 (|:| |answer| (-412 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-412 |#2|))) (-15 -4182 ((-3 (-2 (|:| |answer| (-412 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|) (-412 |#2|))) (-15 -2567 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|))))))) (|:| |a0| |#1|)) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-637 (-412 |#2|)))) (-15 -4363 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|))))))) (|:| |a0| |#1|)) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|) (-637 (-412 |#2|)))) (-15 -4345 ((-3 (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-412 |#2|))) (-15 -2501 ((-3 (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|)))))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-637 (-412 |#2|)))) (-15 -3485 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -2239 ((-3 (-618 |#1| |#2|) "failed") (-618 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|))) (-15 -3780 ((-2 (|:| |ir| (-588 (-412 |#2|))) (|:| |specpart| (-412 |#2|)) (|:| |polypart| |#2|)) (-412 |#2|) (-1 |#2| |#2|))) (-15 -2830 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) (-367) (-1233 |#1|)) (T -581)) 
+((-2830 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-581 *5 *3)))) (-3780 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| |ir| (-588 (-412 *6))) (|:| |specpart| (-412 *6)) (|:| |polypart| *6))) (-5 *1 (-581 *5 *6)) (-5 *3 (-412 *6)))) (-2239 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-618 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -1852 *4) (|:| |sol?| (-121))) (-571) *4)) (-4 *4 (-367)) (-4 *5 (-1233 *4)) (-5 *1 (-581 *4 *5)))) (-3485 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3017 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-367)) (-5 *1 (-581 *4 *2)) (-4 *2 (-1233 *4)))) (-2501 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-637 (-412 *7))) (-4 *7 (-1233 *6)) (-5 *3 (-412 *7)) (-4 *6 (-367)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-581 *6 *7)))) (-4345 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| -3017 (-412 *6)) (|:| |coeff| (-412 *6)))) (-5 *1 (-581 *5 *6)) (-5 *3 (-412 *6)))) (-4363 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -1852 *7) (|:| |sol?| (-121))) (-571) *7)) (-5 *6 (-637 (-412 *8))) (-4 *7 (-367)) (-4 *8 (-1233 *7)) (-5 *3 (-412 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-581 *7 *8)))) (-2567 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3017 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-637 (-412 *8))) (-4 *7 (-367)) (-4 *8 (-1233 *7)) (-5 *3 (-412 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-581 *7 *8)))) (-4182 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1852 *6) (|:| |sol?| (-121))) (-571) *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-412 *7)) (|:| |a0| *6)) (-2 (|:| -3017 (-412 *7)) (|:| |coeff| (-412 *7))) "failed")) (-5 *1 (-581 *6 *7)) (-5 *3 (-412 *7)))) (-2549 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3017 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-412 *7)) (|:| |a0| *6)) (-2 (|:| -3017 (-412 *7)) (|:| |coeff| (-412 *7))) "failed")) (-5 *1 (-581 *6 *7)) (-5 *3 (-412 *7)))) (-4254 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-637 *6) "failed") (-571) *6 *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-5 *2 (-2 (|:| |answer| (-588 (-412 *7))) (|:| |a0| *6))) (-5 *1 (-581 *6 *7)) (-5 *3 (-412 *7)))) (-3451 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1852 *6) (|:| |sol?| (-121))) (-571) *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-5 *2 (-2 (|:| |answer| (-588 (-412 *7))) (|:| |a0| *6))) (-5 *1 (-581 *6 *7)) (-5 *3 (-412 *7)))) (-4138 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3017 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-5 *2 (-2 (|:| |answer| (-588 (-412 *7))) (|:| |a0| *6))) (-5 *1 (-581 *6 *7)) (-5 *3 (-412 *7))))) 
+(-10 -7 (-15 -4138 ((-2 (|:| |answer| (-588 (-412 |#2|))) (|:| |a0| |#1|)) (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -3451 ((-2 (|:| |answer| (-588 (-412 |#2|))) (|:| |a0| |#1|)) (-412 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|))) (-15 -4254 ((-2 (|:| |answer| (-588 (-412 |#2|))) (|:| |a0| |#1|)) (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-637 |#1|) "failed") (-571) |#1| |#1|))) (-15 -2549 ((-3 (-2 (|:| |answer| (-412 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-412 |#2|))) (-15 -4182 ((-3 (-2 (|:| |answer| (-412 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|) (-412 |#2|))) (-15 -2567 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|))))))) (|:| |a0| |#1|)) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-637 (-412 |#2|)))) (-15 -4363 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|))))))) (|:| |a0| |#1|)) "failed") (-412 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|) (-637 (-412 |#2|)))) (-15 -4345 ((-3 (-2 (|:| -3017 (-412 |#2|)) (|:| |coeff| (-412 |#2|))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-412 |#2|))) (-15 -2501 ((-3 (-2 (|:| |mainpart| (-412 |#2|)) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| (-412 |#2|)) (|:| |logand| (-412 |#2|)))))) "failed") (-412 |#2|) (-1 |#2| |#2|) (-637 (-412 |#2|)))) (-15 -3485 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -2239 ((-3 (-618 |#1| |#2|) "failed") (-618 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1852 |#1|) (|:| |sol?| (-121))) (-571) |#1|))) (-15 -3780 ((-2 (|:| |ir| (-588 (-412 |#2|))) (|:| |specpart| (-412 |#2|)) (|:| |polypart| |#2|)) (-412 |#2|) (-1 |#2| |#2|))) (-15 -2830 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) 
+((-3170 (((-3 |#2| "failed") |#2| (-1169) (-1169)) 10))) 
+(((-582 |#1| |#2|) (-10 -7 (-15 -3170 ((-3 |#2| "failed") |#2| (-1169) (-1169)))) (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571))) (-13 (-1189) (-965) (-1131) (-29 |#1|))) (T -582)) 
+((-3170 (*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1169)) (-4 *4 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-582 *4 *2)) (-4 *2 (-13 (-1189) (-965) (-1131) (-29 *4)))))) 
+(-10 -7 (-15 -3170 ((-3 |#2| "failed") |#2| (-1169) (-1169)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-4158 (($ $ (-571)) 65)) (-1295 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-2502 (($ (-1165 (-571)) (-571)) 71)) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) 57)) (-2616 (($ $) 33)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-3347 (((-768) $) 15)) (-2583 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4387 (((-571)) 27)) (-2729 (((-571) $) 31)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3140 (($ $ (-571)) 21)) (-1786 (((-3 $ "failed") $ $) 58)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) 16)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 60)) (-2437 (((-1149 (-571)) $) 18)) (-3202 (($ $) 23)) (-3942 (((-855) $) 85) (($ (-571)) 51) (($ $) NIL)) (-2661 (((-768)) 14)) (-1388 (((-121) $ $) NIL)) (-3367 (((-571) $ (-571)) 35)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 34 T CONST)) (-3222 (($) 19 T CONST)) (-1323 (((-121) $ $) 38)) (-1373 (($ $) 50) (($ $ $) 36)) (-1367 (($ $ $) 49)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 53) (($ $ $) 54))) 
+(((-583 |#1| |#2|) (-868 |#1|) (-571) (-121)) (T -583)) 
+NIL 
+(-868 |#1|) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 18)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 (($ $ (-922)) NIL (|has| $ (-373))) (($ $) NIL)) (-1747 (((-1177 (-922) (-768)) (-571)) 47)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 $ "failed") $) 75)) (-1316 (($ $) 74)) (-3456 (($ (-1258 $)) 73)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 42)) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) 30)) (-3254 (($) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) 49)) (-2854 (((-121) $) NIL)) (-2442 (($ $) NIL) (($ $ (-768)) NIL)) (-1596 (((-121) $) NIL)) (-3347 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-2583 (((-121) $) NIL)) (-2035 (($) 35 (|has| $ (-373)))) (-4230 (((-121) $) NIL (|has| $ (-373)))) (-3477 (($ $ (-922)) NIL (|has| $ (-373))) (($ $) NIL)) (-2596 (((-3 $ "failed") $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 $) $ (-922)) NIL (|has| $ (-373))) (((-1165 $) $) 83)) (-4470 (((-922) $) 55)) (-3641 (((-1165 $) $) NIL (|has| $ (-373)))) (-4089 (((-3 (-1165 $) "failed") $ $) NIL (|has| $ (-373))) (((-1165 $) $) NIL (|has| $ (-373)))) (-2690 (($ $ (-1165 $)) NIL (|has| $ (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL T CONST)) (-1755 (($ (-922)) 48)) (-3527 (((-121) $) 67)) (-2580 (((-1115) $) NIL)) (-2280 (($) 16 (|has| $ (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) 40)) (-4262 (((-423 $) $) NIL)) (-1556 (((-922)) 66) (((-833 (-922))) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-3 (-768) "failed") $ $) NIL) (((-768) $) NIL)) (-3847 (((-140)) NIL)) (-3096 (($ $ (-768)) NIL) (($ $) NIL)) (-2400 (((-922) $) 65) (((-833 (-922)) $) NIL)) (-3413 (((-1165 $)) 82)) (-4481 (($) 54)) (-4469 (($) 36 (|has| $ (-373)))) (-3723 (((-684 $) (-1258 $)) NIL) (((-1258 $) $) 71)) (-4050 (((-571) $) 26)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) 28) (($ $) NIL) (($ (-412 (-571))) NIL)) (-2346 (((-3 $ "failed") $) NIL) (($ $) 84)) (-2661 (((-768)) 37)) (-1899 (((-1258 $) (-922)) 77) (((-1258 $)) 76)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 19 T CONST)) (-3222 (($) 15 T CONST)) (-4526 (($ $ (-768)) NIL (|has| $ (-373))) (($ $) NIL (|has| $ (-373)))) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) 24)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 61) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL))) 
+(((-584 |#1|) (-13 (-352) (-328 $) (-612 (-571))) (-922)) (T -584)) 
+NIL 
+(-13 (-352) (-328 $) (-612 (-571))) 
+((-4392 (((-1263) (-1151)) 10))) 
+(((-585) (-10 -7 (-15 -4392 ((-1263) (-1151))))) (T -585)) 
+((-4392 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-585))))) 
+(-10 -7 (-15 -4392 ((-1263) (-1151)))) 
+((-1609 (((-588 |#2|) (-588 |#2|)) 37)) (-2507 (((-637 |#2|) (-588 |#2|)) 39)) (-2230 ((|#2| (-588 |#2|)) 46))) 
+(((-586 |#1| |#2|) (-10 -7 (-15 -1609 ((-588 |#2|) (-588 |#2|))) (-15 -2507 ((-637 |#2|) (-588 |#2|))) (-15 -2230 (|#2| (-588 |#2|)))) (-13 (-456) (-1043 (-571)) (-847) (-633 (-571))) (-13 (-29 |#1|) (-1189))) (T -586)) 
+((-2230 (*1 *2 *3) (-12 (-5 *3 (-588 *2)) (-4 *2 (-13 (-29 *4) (-1189))) (-5 *1 (-586 *4 *2)) (-4 *4 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))))) (-2507 (*1 *2 *3) (-12 (-5 *3 (-588 *5)) (-4 *5 (-13 (-29 *4) (-1189))) (-4 *4 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *2 (-637 *5)) (-5 *1 (-586 *4 *5)))) (-1609 (*1 *2 *2) (-12 (-5 *2 (-588 *4)) (-4 *4 (-13 (-29 *3) (-1189))) (-4 *3 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *1 (-586 *3 *4))))) 
+(-10 -7 (-15 -1609 ((-588 |#2|) (-588 |#2|))) (-15 -2507 ((-637 |#2|) (-588 |#2|))) (-15 -2230 (|#2| (-588 |#2|)))) 
+((-3799 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) 38) (((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed")) 11) (((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed")) 31) (((-588 |#2|) (-1 |#2| |#1|) (-588 |#1|)) 26))) 
+(((-587 |#1| |#2|) (-10 -7 (-15 -3799 ((-588 |#2|) (-1 |#2| |#1|) (-588 |#1|))) (-15 -3799 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -3799 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -3799 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) (-367) (-367)) (T -587)) 
+((-3799 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-367)) (-4 *6 (-367)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-587 *5 *6)))) (-3799 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-367)) (-4 *2 (-367)) (-5 *1 (-587 *5 *2)))) (-3799 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3017 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-367)) (-4 *6 (-367)) (-5 *2 (-2 (|:| -3017 *6) (|:| |coeff| *6))) (-5 *1 (-587 *5 *6)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-588 *5)) (-4 *5 (-367)) (-4 *6 (-367)) (-5 *2 (-588 *6)) (-5 *1 (-587 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-588 |#2|) (-1 |#2| |#1|) (-588 |#1|))) (-15 -3799 ((-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3017 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -3799 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -3799 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) 68)) (-1316 ((|#1| $) NIL)) (-3017 ((|#1| $) 24)) (-3937 (((-637 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) 26)) (-3310 (($ |#1| (-637 (-2 (|:| |scalar| (-412 (-571))) (|:| |coeff| (-1165 |#1|)) (|:| |logand| (-1165 |#1|)))) (-637 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) 22)) (-4324 (((-637 (-2 (|:| |scalar| (-412 (-571))) (|:| |coeff| (-1165 |#1|)) (|:| |logand| (-1165 |#1|)))) $) 25)) (-3944 (((-1151) $) NIL)) (-3690 (($ |#1| |#1|) 32) (($ |#1| (-1169)) 43 (|has| |#1| (-1043 (-1169))))) (-2580 (((-1115) $) NIL)) (-2858 (((-121) $) 28)) (-3096 ((|#1| $ (-1 |#1| |#1|)) 80) ((|#1| $ (-1169)) 81 (|has| |#1| (-900 (-1169))))) (-3942 (((-855) $) 95) (($ |#1|) 23)) (-2369 (($) 16 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) 15) (($ $ $) NIL)) (-1367 (($ $ $) 77)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 14) (($ (-412 (-571)) $) 35) (($ $ (-412 (-571))) NIL))) 
+(((-588 |#1|) (-13 (-712 (-412 (-571))) (-1043 |#1|) (-10 -8 (-15 -3310 ($ |#1| (-637 (-2 (|:| |scalar| (-412 (-571))) (|:| |coeff| (-1165 |#1|)) (|:| |logand| (-1165 |#1|)))) (-637 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3017 (|#1| $)) (-15 -4324 ((-637 (-2 (|:| |scalar| (-412 (-571))) (|:| |coeff| (-1165 |#1|)) (|:| |logand| (-1165 |#1|)))) $)) (-15 -3937 ((-637 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -2858 ((-121) $)) (-15 -3690 ($ |#1| |#1|)) (-15 -3096 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-900 (-1169))) (-15 -3096 (|#1| $ (-1169))) |noBranch|) (IF (|has| |#1| (-1043 (-1169))) (-15 -3690 ($ |#1| (-1169))) |noBranch|))) (-367)) (T -588)) 
+((-3310 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-637 (-2 (|:| |scalar| (-412 (-571))) (|:| |coeff| (-1165 *2)) (|:| |logand| (-1165 *2))))) (-5 *4 (-637 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-367)) (-5 *1 (-588 *2)))) (-3017 (*1 *2 *1) (-12 (-5 *1 (-588 *2)) (-4 *2 (-367)))) (-4324 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |scalar| (-412 (-571))) (|:| |coeff| (-1165 *3)) (|:| |logand| (-1165 *3))))) (-5 *1 (-588 *3)) (-4 *3 (-367)))) (-3937 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-588 *3)) (-4 *3 (-367)))) (-2858 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-588 *3)) (-4 *3 (-367)))) (-3690 (*1 *1 *2 *2) (-12 (-5 *1 (-588 *2)) (-4 *2 (-367)))) (-3096 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-588 *2)) (-4 *2 (-367)))) (-3096 (*1 *2 *1 *3) (-12 (-4 *2 (-367)) (-4 *2 (-900 *3)) (-5 *1 (-588 *2)) (-5 *3 (-1169)))) (-3690 (*1 *1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *1 (-588 *2)) (-4 *2 (-1043 *3)) (-4 *2 (-367))))) 
+(-13 (-712 (-412 (-571))) (-1043 |#1|) (-10 -8 (-15 -3310 ($ |#1| (-637 (-2 (|:| |scalar| (-412 (-571))) (|:| |coeff| (-1165 |#1|)) (|:| |logand| (-1165 |#1|)))) (-637 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3017 (|#1| $)) (-15 -4324 ((-637 (-2 (|:| |scalar| (-412 (-571))) (|:| |coeff| (-1165 |#1|)) (|:| |logand| (-1165 |#1|)))) $)) (-15 -3937 ((-637 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -2858 ((-121) $)) (-15 -3690 ($ |#1| |#1|)) (-15 -3096 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-900 (-1169))) (-15 -3096 (|#1| $ (-1169))) |noBranch|) (IF (|has| |#1| (-1043 (-1169))) (-15 -3690 ($ |#1| (-1169))) |noBranch|))) 
+((-1584 (((-121) |#1|) 16)) (-2713 (((-3 |#1| "failed") |#1|) 14)) (-1769 (((-2 (|:| -3468 |#1|) (|:| -2154 (-768))) |#1|) 30) (((-3 |#1| "failed") |#1| (-768)) 18)) (-2956 (((-121) |#1| (-768)) 19)) (-3345 ((|#1| |#1|) 31)) (-3561 ((|#1| |#1| (-768)) 33))) 
+(((-589 |#1|) (-10 -7 (-15 -2956 ((-121) |#1| (-768))) (-15 -1769 ((-3 |#1| "failed") |#1| (-768))) (-15 -1769 ((-2 (|:| -3468 |#1|) (|:| -2154 (-768))) |#1|)) (-15 -3561 (|#1| |#1| (-768))) (-15 -1584 ((-121) |#1|)) (-15 -2713 ((-3 |#1| "failed") |#1|)) (-15 -3345 (|#1| |#1|))) (-553)) (T -589)) 
+((-3345 (*1 *2 *2) (-12 (-5 *1 (-589 *2)) (-4 *2 (-553)))) (-2713 (*1 *2 *2) (|partial| -12 (-5 *1 (-589 *2)) (-4 *2 (-553)))) (-1584 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-589 *3)) (-4 *3 (-553)))) (-3561 (*1 *2 *2 *3) (-12 (-5 *3 (-768)) (-5 *1 (-589 *2)) (-4 *2 (-553)))) (-1769 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -3468 *3) (|:| -2154 (-768)))) (-5 *1 (-589 *3)) (-4 *3 (-553)))) (-1769 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-768)) (-5 *1 (-589 *2)) (-4 *2 (-553)))) (-2956 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-5 *2 (-121)) (-5 *1 (-589 *3)) (-4 *3 (-553))))) 
+(-10 -7 (-15 -2956 ((-121) |#1| (-768))) (-15 -1769 ((-3 |#1| "failed") |#1| (-768))) (-15 -1769 ((-2 (|:| -3468 |#1|) (|:| -2154 (-768))) |#1|)) (-15 -3561 (|#1| |#1| (-768))) (-15 -1584 ((-121) |#1|)) (-15 -2713 ((-3 |#1| "failed") |#1|)) (-15 -3345 (|#1| |#1|))) 
+((-4434 (((-1165 |#1|) (-922)) 26))) 
+(((-590 |#1|) (-10 -7 (-15 -4434 ((-1165 |#1|) (-922)))) (-352)) (T -590)) 
+((-4434 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-590 *4)) (-4 *4 (-352))))) 
+(-10 -7 (-15 -4434 ((-1165 |#1|) (-922)))) 
+((-1609 (((-588 (-412 (-958 |#1|))) (-588 (-412 (-958 |#1|)))) 26)) (-3403 (((-3 (-311 |#1|) (-637 (-311 |#1|))) (-412 (-958 |#1|)) (-1169)) 32 (|has| |#1| (-151)))) (-2507 (((-637 (-311 |#1|)) (-588 (-412 (-958 |#1|)))) 18)) (-3080 (((-311 |#1|) (-412 (-958 |#1|)) (-1169)) 30 (|has| |#1| (-151)))) (-2230 (((-311 |#1|) (-588 (-412 (-958 |#1|)))) 20))) 
+(((-591 |#1|) (-10 -7 (-15 -1609 ((-588 (-412 (-958 |#1|))) (-588 (-412 (-958 |#1|))))) (-15 -2507 ((-637 (-311 |#1|)) (-588 (-412 (-958 |#1|))))) (-15 -2230 ((-311 |#1|) (-588 (-412 (-958 |#1|))))) (IF (|has| |#1| (-151)) (PROGN (-15 -3403 ((-3 (-311 |#1|) (-637 (-311 |#1|))) (-412 (-958 |#1|)) (-1169))) (-15 -3080 ((-311 |#1|) (-412 (-958 |#1|)) (-1169)))) |noBranch|)) (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (T -591)) 
+((-3080 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-151)) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *2 (-311 *5)) (-5 *1 (-591 *5)))) (-3403 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-151)) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *2 (-3 (-311 *5) (-637 (-311 *5)))) (-5 *1 (-591 *5)))) (-2230 (*1 *2 *3) (-12 (-5 *3 (-588 (-412 (-958 *4)))) (-4 *4 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *2 (-311 *4)) (-5 *1 (-591 *4)))) (-2507 (*1 *2 *3) (-12 (-5 *3 (-588 (-412 (-958 *4)))) (-4 *4 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *2 (-637 (-311 *4))) (-5 *1 (-591 *4)))) (-1609 (*1 *2 *2) (-12 (-5 *2 (-588 (-412 (-958 *3)))) (-4 *3 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *1 (-591 *3))))) 
+(-10 -7 (-15 -1609 ((-588 (-412 (-958 |#1|))) (-588 (-412 (-958 |#1|))))) (-15 -2507 ((-637 (-311 |#1|)) (-588 (-412 (-958 |#1|))))) (-15 -2230 ((-311 |#1|) (-588 (-412 (-958 |#1|))))) (IF (|has| |#1| (-151)) (PROGN (-15 -3403 ((-3 (-311 |#1|) (-637 (-311 |#1|))) (-412 (-958 |#1|)) (-1169))) (-15 -3080 ((-311 |#1|) (-412 (-958 |#1|)) (-1169)))) |noBranch|)) 
+((-3935 (((-637 (-684 (-571))) (-637 (-571)) (-637 (-905 (-571)))) 45) (((-637 (-684 (-571))) (-637 (-571))) 46) (((-684 (-571)) (-637 (-571)) (-905 (-571))) 41)) (-2558 (((-768) (-637 (-571))) 39))) 
+(((-592) (-10 -7 (-15 -2558 ((-768) (-637 (-571)))) (-15 -3935 ((-684 (-571)) (-637 (-571)) (-905 (-571)))) (-15 -3935 ((-637 (-684 (-571))) (-637 (-571)))) (-15 -3935 ((-637 (-684 (-571))) (-637 (-571)) (-637 (-905 (-571))))))) (T -592)) 
+((-3935 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-571))) (-5 *4 (-637 (-905 (-571)))) (-5 *2 (-637 (-684 (-571)))) (-5 *1 (-592)))) (-3935 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-637 (-684 (-571)))) (-5 *1 (-592)))) (-3935 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-571))) (-5 *4 (-905 (-571))) (-5 *2 (-684 (-571))) (-5 *1 (-592)))) (-2558 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-768)) (-5 *1 (-592))))) 
+(-10 -7 (-15 -2558 ((-768) (-637 (-571)))) (-15 -3935 ((-684 (-571)) (-637 (-571)) (-905 (-571)))) (-15 -3935 ((-637 (-684 (-571))) (-637 (-571)))) (-15 -3935 ((-637 (-684 (-571))) (-637 (-571)) (-637 (-905 (-571)))))) 
+((-3639 (((-637 |#5|) |#5| (-121)) 72)) (-2339 (((-121) |#5| (-637 |#5|)) 30))) 
+(((-593 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3639 ((-637 |#5|) |#5| (-121))) (-15 -2339 ((-121) |#5| (-637 |#5|)))) (-13 (-302) (-151)) (-793) (-847) (-1067 |#1| |#2| |#3|) (-1106 |#1| |#2| |#3| |#4|)) (T -593)) 
+((-2339 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-1106 *5 *6 *7 *8)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-593 *5 *6 *7 *8 *3)))) (-3639 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-637 *3)) (-5 *1 (-593 *5 *6 *7 *8 *3)) (-4 *3 (-1106 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -3639 ((-637 |#5|) |#5| (-121))) (-15 -2339 ((-121) |#5| (-637 |#5|)))) 
+((-2234 (((-121) $ $) NIL (|has| (-148) (-1097)))) (-4277 (($ $) 34)) (-1425 (($ $) NIL)) (-3610 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2057 (((-121) $ $) 51)) (-2005 (((-121) $ $ (-571)) 46)) (-1609 (((-637 $) $ (-148)) 59) (((-637 $) $ (-143)) 60)) (-2648 (((-121) (-1 (-121) (-148) (-148)) $) NIL) (((-121) $) NIL (|has| (-148) (-847)))) (-3652 (($ (-1 (-121) (-148) (-148)) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| (-148) (-847))))) (-2972 (($ (-1 (-121) (-148) (-148)) $) NIL) (($ $) NIL (|has| (-148) (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 (((-148) $ (-571) (-148)) 45 (|has| $ (-6 -4601))) (((-148) $ (-1224 (-571)) (-148)) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-3398 (($ $ (-148)) 63) (($ $ (-143)) 64)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-3601 (($ $ (-1224 (-571)) $) 44)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3412 (($ (-148) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097)))) (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4600))) (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4600)))) (-2922 (((-148) $ (-571) (-148)) NIL (|has| $ (-6 -4601)))) (-4319 (((-148) $ (-571)) NIL)) (-2165 (((-121) $ $) 70)) (-3984 (((-571) (-1 (-121) (-148)) $) NIL) (((-571) (-148) $) NIL (|has| (-148) (-1097))) (((-571) (-148) $ (-571)) 48 (|has| (-148) (-1097))) (((-571) $ $ (-571)) 47) (((-571) (-143) $ (-571)) 50)) (-4034 (((-637 (-148)) $) NIL (|has| $ (-6 -4600)))) (-1364 (($ (-768) (-148)) 9)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 28 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| (-148) (-847)))) (-3491 (($ (-1 (-121) (-148) (-148)) $ $) NIL) (($ $ $) NIL (|has| (-148) (-847)))) (-3488 (((-637 (-148)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3113 (((-571) $) 42 (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-148) (-847)))) (-2515 (((-121) $ $ (-148)) 71)) (-1380 (((-768) $ $ (-148)) 69)) (-1923 (($ (-1 (-148) (-148)) $) 33 (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-148) (-148)) $) NIL) (($ (-1 (-148) (-148) (-148)) $ $) NIL)) (-3423 (($ $) 37)) (-3356 (($ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-1789 (($ $ (-148)) 61) (($ $ (-143)) 62)) (-3944 (((-1151) $) 38 (|has| (-148) (-1097)))) (-2594 (($ (-148) $ (-571)) NIL) (($ $ $ (-571)) 23)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-571) $) 68) (((-1115) $) NIL (|has| (-148) (-1097)))) (-1827 (((-148) $) NIL (|has| (-571) (-847)))) (-3765 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-4411 (($ $ (-148)) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-637 (-148)) (-637 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3909 (((-637 (-148)) $) NIL)) (-1828 (((-121) $) 12)) (-1630 (($) 10)) (-3245 (((-148) $ (-571) (-148)) NIL) (((-148) $ (-571)) 52) (($ $ (-1224 (-571))) 21) (($ $ $) NIL)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1569 (((-768) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600))) (((-768) (-148) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3427 (($ $ $ (-571)) 65 (|has| $ (-6 -4601)))) (-4316 (($ $) 17)) (-4050 (((-544) $) NIL (|has| (-148) (-612 (-544))))) (-3891 (($ (-637 (-148))) NIL)) (-4498 (($ $ (-148)) NIL) (($ (-148) $) NIL) (($ $ $) 16) (($ (-637 $)) 66)) (-3942 (($ (-148)) NIL) (((-855) $) 27 (|has| (-148) (-1097)))) (-3027 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| (-148) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-148) (-847)))) (-1323 (((-121) $ $) 14 (|has| (-148) (-1097)))) (-1342 (((-121) $ $) NIL (|has| (-148) (-847)))) (-1331 (((-121) $ $) 15 (|has| (-148) (-847)))) (-4001 (((-768) $) 13 (|has| $ (-6 -4600))))) 
+(((-594 |#1|) (-13 (-1136) (-10 -8 (-15 -2580 ((-571) $)))) (-571)) (T -594)) 
+((-2580 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-594 *3)) (-14 *3 *2)))) 
+(-13 (-1136) (-10 -8 (-15 -2580 ((-571) $)))) 
+((-4335 (((-2 (|:| |num| |#4|) (|:| |den| (-571))) |#4| |#2|) 23) (((-2 (|:| |num| |#4|) (|:| |den| (-571))) |#4| |#2| (-1091 |#4|)) 32))) 
+(((-595 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4335 ((-2 (|:| |num| |#4|) (|:| |den| (-571))) |#4| |#2| (-1091 |#4|))) (-15 -4335 ((-2 (|:| |num| |#4|) (|:| |den| (-571))) |#4| |#2|))) (-793) (-847) (-561) (-955 |#3| |#1| |#2|)) (T -595)) 
+((-4335 (*1 *2 *3 *4) (-12 (-4 *5 (-793)) (-4 *4 (-847)) (-4 *6 (-561)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-571)))) (-5 *1 (-595 *5 *4 *6 *3)) (-4 *3 (-955 *6 *5 *4)))) (-4335 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1091 *3)) (-4 *3 (-955 *7 *6 *4)) (-4 *6 (-793)) (-4 *4 (-847)) (-4 *7 (-561)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-571)))) (-5 *1 (-595 *6 *4 *7 *3))))) 
+(-10 -7 (-15 -4335 ((-2 (|:| |num| |#4|) (|:| |den| (-571))) |#4| |#2| (-1091 |#4|))) (-15 -4335 ((-2 (|:| |num| |#4|) (|:| |den| (-571))) |#4| |#2|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 63)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-1934 (($ $ (-571)) 54) (($ $ (-571) (-571)) 55)) (-3236 (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) 60)) (-2333 (($ $) 99)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1928 (((-855) (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) (-1032 (-840 (-571))) (-1169) |#1| (-412 (-571))) 214)) (-4096 (($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) 34)) (-2269 (($) NIL T CONST)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-4124 (((-121) $) NIL)) (-3347 (((-571) $) 58) (((-571) $ (-571)) 59)) (-2583 (((-121) $) NIL)) (-1817 (($ $ (-922)) 76)) (-2789 (($ (-1 |#1| (-571)) $) 73)) (-3517 (((-121) $) 25)) (-4289 (($ |#1| (-571)) 22) (($ $ (-1081) (-571)) NIL) (($ $ (-637 (-1081)) (-637 (-571))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) 67)) (-1824 (($ (-1032 (-840 (-571))) (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) 11)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-3403 (($ $) 111 (|has| |#1| (-43 (-412 (-571)))))) (-3649 (((-3 $ "failed") $ $ (-121)) 98)) (-1296 (($ $ $) 107)) (-2580 (((-1115) $) NIL)) (-3515 (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) 13)) (-3470 (((-1032 (-840 (-571))) $) 12)) (-3140 (($ $ (-571)) 45)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4483 (((-1149 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-571)))))) (-3245 ((|#1| $ (-571)) 57) (($ $ $) NIL (|has| (-571) (-1109)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $) 70 (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (-2400 (((-571) $) NIL)) (-3202 (($ $) 46)) (-3942 (((-855) $) NIL) (($ (-571)) 28) (($ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561))) (($ |#1|) 27 (|has| |#1| (-173)))) (-3136 ((|#1| $ (-571)) 56)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) 37)) (-1681 ((|#1| $) NIL)) (-4355 (($ $) 179 (|has| |#1| (-43 (-412 (-571)))))) (-3300 (($ $) 155 (|has| |#1| (-43 (-412 (-571)))))) (-3573 (($ $) 176 (|has| |#1| (-43 (-412 (-571)))))) (-3125 (($ $) 152 (|has| |#1| (-43 (-412 (-571)))))) (-2178 (($ $) 181 (|has| |#1| (-43 (-412 (-571)))))) (-2991 (($ $) 158 (|has| |#1| (-43 (-412 (-571)))))) (-4113 (($ $ (-412 (-571))) 145 (|has| |#1| (-43 (-412 (-571)))))) (-2803 (($ $ |#1|) 120 (|has| |#1| (-43 (-412 (-571)))))) (-3849 (($ $) 149 (|has| |#1| (-43 (-412 (-571)))))) (-3339 (($ $) 147 (|has| |#1| (-43 (-412 (-571)))))) (-2392 (($ $) 182 (|has| |#1| (-43 (-412 (-571)))))) (-3838 (($ $) 159 (|has| |#1| (-43 (-412 (-571)))))) (-4163 (($ $) 180 (|has| |#1| (-43 (-412 (-571)))))) (-2420 (($ $) 157 (|has| |#1| (-43 (-412 (-571)))))) (-4090 (($ $) 177 (|has| |#1| (-43 (-412 (-571)))))) (-2928 (($ $) 153 (|has| |#1| (-43 (-412 (-571)))))) (-2666 (($ $) 187 (|has| |#1| (-43 (-412 (-571)))))) (-3153 (($ $) 167 (|has| |#1| (-43 (-412 (-571)))))) (-4108 (($ $) 184 (|has| |#1| (-43 (-412 (-571)))))) (-4370 (($ $) 162 (|has| |#1| (-43 (-412 (-571)))))) (-3759 (($ $) 191 (|has| |#1| (-43 (-412 (-571)))))) (-2204 (($ $) 171 (|has| |#1| (-43 (-412 (-571)))))) (-2004 (($ $) 193 (|has| |#1| (-43 (-412 (-571)))))) (-2582 (($ $) 173 (|has| |#1| (-43 (-412 (-571)))))) (-3131 (($ $) 189 (|has| |#1| (-43 (-412 (-571)))))) (-1354 (($ $) 169 (|has| |#1| (-43 (-412 (-571)))))) (-2909 (($ $) 186 (|has| |#1| (-43 (-412 (-571)))))) (-1932 (($ $) 165 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-3367 ((|#1| $ (-571)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-571)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 29 T CONST)) (-3222 (($) 38 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (-1323 (((-121) $ $) 65)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) 84) (($ $ $) 64)) (-1367 (($ $ $) 81)) (** (($ $ (-922)) NIL) (($ $ (-768)) 102)) (* (($ (-922) $) 89) (($ (-768) $) 87) (($ (-571) $) 85) (($ $ $) 95) (($ $ |#1|) NIL) (($ |#1| $) 114) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-596 |#1|) (-13 (-1235 |#1| (-571)) (-10 -8 (-15 -1824 ($ (-1032 (-840 (-571))) (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))))) (-15 -3470 ((-1032 (-840 (-571))) $)) (-15 -3515 ((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $)) (-15 -4096 ($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))))) (-15 -3517 ((-121) $)) (-15 -2789 ($ (-1 |#1| (-571)) $)) (-15 -3649 ((-3 $ "failed") $ $ (-121))) (-15 -2333 ($ $)) (-15 -1296 ($ $ $)) (-15 -1928 ((-855) (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) (-1032 (-840 (-571))) (-1169) |#1| (-412 (-571)))) (IF (|has| |#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ($ $)) (-15 -2803 ($ $ |#1|)) (-15 -4113 ($ $ (-412 (-571)))) (-15 -3339 ($ $)) (-15 -3849 ($ $)) (-15 -3125 ($ $)) (-15 -2928 ($ $)) (-15 -3300 ($ $)) (-15 -2420 ($ $)) (-15 -2991 ($ $)) (-15 -3838 ($ $)) (-15 -4370 ($ $)) (-15 -1932 ($ $)) (-15 -3153 ($ $)) (-15 -1354 ($ $)) (-15 -2204 ($ $)) (-15 -2582 ($ $)) (-15 -3573 ($ $)) (-15 -4090 ($ $)) (-15 -4355 ($ $)) (-15 -4163 ($ $)) (-15 -2178 ($ $)) (-15 -2392 ($ $)) (-15 -4108 ($ $)) (-15 -2909 ($ $)) (-15 -2666 ($ $)) (-15 -3131 ($ $)) (-15 -3759 ($ $)) (-15 -2004 ($ $))) |noBranch|))) (-1053)) (T -596)) 
+((-3517 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-596 *3)) (-4 *3 (-1053)))) (-1824 (*1 *1 *2 *3) (-12 (-5 *2 (-1032 (-840 (-571)))) (-5 *3 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *4)))) (-4 *4 (-1053)) (-5 *1 (-596 *4)))) (-3470 (*1 *2 *1) (-12 (-5 *2 (-1032 (-840 (-571)))) (-5 *1 (-596 *3)) (-4 *3 (-1053)))) (-3515 (*1 *2 *1) (-12 (-5 *2 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *3)))) (-5 *1 (-596 *3)) (-4 *3 (-1053)))) (-4096 (*1 *1 *2) (-12 (-5 *2 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *3)))) (-4 *3 (-1053)) (-5 *1 (-596 *3)))) (-2789 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-571))) (-4 *3 (-1053)) (-5 *1 (-596 *3)))) (-3649 (*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-596 *3)) (-4 *3 (-1053)))) (-2333 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-1053)))) (-1296 (*1 *1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-1053)))) (-1928 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *6)))) (-5 *4 (-1032 (-840 (-571)))) (-5 *5 (-1169)) (-5 *7 (-412 (-571))) (-4 *6 (-1053)) (-5 *2 (-855)) (-5 *1 (-596 *6)))) (-3403 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2803 (*1 *1 *1 *2) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-4113 (*1 *1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-596 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1053)))) (-3339 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-3849 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-3125 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2928 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-3300 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2420 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2991 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-3838 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-4370 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-1932 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-3153 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-1354 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2204 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2582 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-3573 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-4090 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-4355 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-4163 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2178 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2392 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-4108 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2909 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2666 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-3131 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-3759 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) (-2004 (*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(-13 (-1235 |#1| (-571)) (-10 -8 (-15 -1824 ($ (-1032 (-840 (-571))) (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))))) (-15 -3470 ((-1032 (-840 (-571))) $)) (-15 -3515 ((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $)) (-15 -4096 ($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))))) (-15 -3517 ((-121) $)) (-15 -2789 ($ (-1 |#1| (-571)) $)) (-15 -3649 ((-3 $ "failed") $ $ (-121))) (-15 -2333 ($ $)) (-15 -1296 ($ $ $)) (-15 -1928 ((-855) (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) (-1032 (-840 (-571))) (-1169) |#1| (-412 (-571)))) (IF (|has| |#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ($ $)) (-15 -2803 ($ $ |#1|)) (-15 -4113 ($ $ (-412 (-571)))) (-15 -3339 ($ $)) (-15 -3849 ($ $)) (-15 -3125 ($ $)) (-15 -2928 ($ $)) (-15 -3300 ($ $)) (-15 -2420 ($ $)) (-15 -2991 ($ $)) (-15 -3838 ($ $)) (-15 -4370 ($ $)) (-15 -1932 ($ $)) (-15 -3153 ($ $)) (-15 -1354 ($ $)) (-15 -2204 ($ $)) (-15 -2582 ($ $)) (-15 -3573 ($ $)) (-15 -4090 ($ $)) (-15 -4355 ($ $)) (-15 -4163 ($ $)) (-15 -2178 ($ $)) (-15 -2392 ($ $)) (-15 -4108 ($ $)) (-15 -2909 ($ $)) (-15 -2666 ($ $)) (-15 -3131 ($ $)) (-15 -3759 ($ $)) (-15 -2004 ($ $))) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-4096 (($ (-1149 |#1|)) 9)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) 42)) (-4124 (((-121) $) 52)) (-3347 (((-768) $) 55) (((-768) $ (-768)) 54)) (-2583 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1786 (((-3 $ "failed") $ $) 44 (|has| |#1| (-561)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL (|has| |#1| (-561)))) (-1314 (((-1149 |#1|) $) 23)) (-2661 (((-768)) 51)) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 10 T CONST)) (-3222 (($) 14 T CONST)) (-1323 (((-121) $ $) 22)) (-1373 (($ $) 30) (($ $ $) 16)) (-1367 (($ $ $) 25)) (** (($ $ (-922)) NIL) (($ $ (-768)) 49)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 34) (($ $ $) 28) (($ |#1| $) 37) (($ $ |#1|) 38) (($ $ (-571)) 36))) 
+(((-597 |#1|) (-13 (-1053) (-10 -8 (-15 -1314 ((-1149 |#1|) $)) (-15 -4096 ($ (-1149 |#1|))) (-15 -4124 ((-121) $)) (-15 -3347 ((-768) $)) (-15 -3347 ((-768) $ (-768))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-571))) (IF (|has| |#1| (-561)) (-6 (-561)) |noBranch|))) (-1053)) (T -597)) 
+((-1314 (*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-597 *3)) (-4 *3 (-1053)))) (-4096 (*1 *1 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-597 *3)))) (-4124 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-597 *3)) (-4 *3 (-1053)))) (-3347 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-597 *3)) (-4 *3 (-1053)))) (-3347 (*1 *2 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-597 *3)) (-4 *3 (-1053)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-597 *2)) (-4 *2 (-1053)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-597 *2)) (-4 *2 (-1053)))) (* (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-597 *3)) (-4 *3 (-1053))))) 
+(-13 (-1053) (-10 -8 (-15 -1314 ((-1149 |#1|) $)) (-15 -4096 ($ (-1149 |#1|))) (-15 -4124 ((-121) $)) (-15 -3347 ((-768) $)) (-15 -3347 ((-768) $ (-768))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-571))) (IF (|has| |#1| (-561)) (-6 (-561)) |noBranch|))) 
+((-3799 (((-601 |#2|) (-1 |#2| |#1|) (-601 |#1|)) 15))) 
+(((-598 |#1| |#2|) (-10 -7 (-15 -3799 ((-601 |#2|) (-1 |#2| |#1|) (-601 |#1|)))) (-1203) (-1203)) (T -598)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-601 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-601 *6)) (-5 *1 (-598 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-601 |#2|) (-1 |#2| |#1|) (-601 |#1|)))) 
+((-3799 (((-1149 |#3|) (-1 |#3| |#1| |#2|) (-601 |#1|) (-1149 |#2|)) 20) (((-1149 |#3|) (-1 |#3| |#1| |#2|) (-1149 |#1|) (-601 |#2|)) 19) (((-601 |#3|) (-1 |#3| |#1| |#2|) (-601 |#1|) (-601 |#2|)) 18))) 
+(((-599 |#1| |#2| |#3|) (-10 -7 (-15 -3799 ((-601 |#3|) (-1 |#3| |#1| |#2|) (-601 |#1|) (-601 |#2|))) (-15 -3799 ((-1149 |#3|) (-1 |#3| |#1| |#2|) (-1149 |#1|) (-601 |#2|))) (-15 -3799 ((-1149 |#3|) (-1 |#3| |#1| |#2|) (-601 |#1|) (-1149 |#2|)))) (-1203) (-1203) (-1203)) (T -599)) 
+((-3799 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-601 *6)) (-5 *5 (-1149 *7)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-4 *8 (-1203)) (-5 *2 (-1149 *8)) (-5 *1 (-599 *6 *7 *8)))) (-3799 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1149 *6)) (-5 *5 (-601 *7)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-4 *8 (-1203)) (-5 *2 (-1149 *8)) (-5 *1 (-599 *6 *7 *8)))) (-3799 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-601 *6)) (-5 *5 (-601 *7)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-4 *8 (-1203)) (-5 *2 (-601 *8)) (-5 *1 (-599 *6 *7 *8))))) 
+(-10 -7 (-15 -3799 ((-601 |#3|) (-1 |#3| |#1| |#2|) (-601 |#1|) (-601 |#2|))) (-15 -3799 ((-1149 |#3|) (-1 |#3| |#1| |#2|) (-1149 |#1|) (-601 |#2|))) (-15 -3799 ((-1149 |#3|) (-1 |#3| |#1| |#2|) (-601 |#1|) (-1149 |#2|)))) 
+((-3449 ((|#3| |#3| (-637 (-610 |#3|)) (-637 (-1169))) 55)) (-2799 (((-170 |#2|) |#3|) 116)) (-4379 ((|#3| (-170 |#2|)) 43)) (-1968 ((|#2| |#3|) 19)) (-3996 ((|#3| |#2|) 32))) 
+(((-600 |#1| |#2| |#3|) (-10 -7 (-15 -4379 (|#3| (-170 |#2|))) (-15 -1968 (|#2| |#3|)) (-15 -3996 (|#3| |#2|)) (-15 -2799 ((-170 |#2|) |#3|)) (-15 -3449 (|#3| |#3| (-637 (-610 |#3|)) (-637 (-1169))))) (-13 (-561) (-847)) (-13 (-435 |#1|) (-1008) (-1189)) (-13 (-435 (-170 |#1|)) (-1008) (-1189))) (T -600)) 
+((-3449 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-637 (-610 *2))) (-5 *4 (-637 (-1169))) (-4 *2 (-13 (-435 (-170 *5)) (-1008) (-1189))) (-4 *5 (-13 (-561) (-847))) (-5 *1 (-600 *5 *6 *2)) (-4 *6 (-13 (-435 *5) (-1008) (-1189))))) (-2799 (*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847))) (-5 *2 (-170 *5)) (-5 *1 (-600 *4 *5 *3)) (-4 *5 (-13 (-435 *4) (-1008) (-1189))) (-4 *3 (-13 (-435 (-170 *4)) (-1008) (-1189))))) (-3996 (*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847))) (-4 *2 (-13 (-435 (-170 *4)) (-1008) (-1189))) (-5 *1 (-600 *4 *3 *2)) (-4 *3 (-13 (-435 *4) (-1008) (-1189))))) (-1968 (*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847))) (-4 *2 (-13 (-435 *4) (-1008) (-1189))) (-5 *1 (-600 *4 *2 *3)) (-4 *3 (-13 (-435 (-170 *4)) (-1008) (-1189))))) (-4379 (*1 *2 *3) (-12 (-5 *3 (-170 *5)) (-4 *5 (-13 (-435 *4) (-1008) (-1189))) (-4 *4 (-13 (-561) (-847))) (-4 *2 (-13 (-435 (-170 *4)) (-1008) (-1189))) (-5 *1 (-600 *4 *5 *2))))) 
+(-10 -7 (-15 -4379 (|#3| (-170 |#2|))) (-15 -1968 (|#2| |#3|)) (-15 -3996 (|#3| |#2|)) (-15 -2799 ((-170 |#2|) |#3|)) (-15 -3449 (|#3| |#3| (-637 (-610 |#3|)) (-637 (-1169))))) 
+((-2534 (($ (-1 (-121) |#1|) $) 16)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-2489 (($ (-1 |#1| |#1|) |#1|) 9)) (-2516 (($ (-1 (-121) |#1|) $) 12)) (-2525 (($ (-1 (-121) |#1|) $) 14)) (-3891 (((-1149 |#1|) $) 17)) (-3942 (((-855) $) NIL))) 
+(((-601 |#1|) (-13 (-611 (-855)) (-10 -8 (-15 -3799 ($ (-1 |#1| |#1|) $)) (-15 -2516 ($ (-1 (-121) |#1|) $)) (-15 -2525 ($ (-1 (-121) |#1|) $)) (-15 -2534 ($ (-1 (-121) |#1|) $)) (-15 -2489 ($ (-1 |#1| |#1|) |#1|)) (-15 -3891 ((-1149 |#1|) $)))) (-1203)) (T -601)) 
+((-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1203)) (-5 *1 (-601 *3)))) (-2516 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1203)) (-5 *1 (-601 *3)))) (-2525 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1203)) (-5 *1 (-601 *3)))) (-2534 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1203)) (-5 *1 (-601 *3)))) (-2489 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1203)) (-5 *1 (-601 *3)))) (-3891 (*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-601 *3)) (-4 *3 (-1203))))) 
+(-13 (-611 (-855)) (-10 -8 (-15 -3799 ($ (-1 |#1| |#1|) $)) (-15 -2516 ($ (-1 (-121) |#1|) $)) (-15 -2525 ($ (-1 (-121) |#1|) $)) (-15 -2534 ($ (-1 (-121) |#1|) $)) (-15 -2489 ($ (-1 |#1| |#1|) |#1|)) (-15 -3891 ((-1149 |#1|) $)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4137 (($ (-768)) NIL (|has| |#1| (-23)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) NIL)) (-3984 (((-571) (-1 (-121) |#1|) $) NIL) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097)))) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3317 (((-684 |#1|) $ $) NIL (|has| |#1| (-1053)))) (-1364 (($ (-768) |#1|) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3725 ((|#1| $) NIL (-12 (|has| |#1| (-1008)) (|has| |#1| (-1053))))) (-3794 (((-121) $ (-768)) NIL)) (-3158 ((|#1| $) NIL (-12 (|has| |#1| (-1008)) (|has| |#1| (-1053))))) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1827 ((|#1| $) NIL (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-571) |#1|) NIL) ((|#1| $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-2503 ((|#1| $ $) NIL (|has| |#1| (-1053)))) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1389 (($ $ $) NIL (|has| |#1| (-1053)))) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) NIL)) (-4498 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1373 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1367 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-571) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-721))) (($ $ |#1|) NIL (|has| |#1| (-721)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-602 |#1| |#2|) (-1256 |#1|) (-1203) (-571)) (T -602)) 
+NIL 
+(-1256 |#1|) 
+((-3839 (((-1263) $ |#2| |#2|) 36)) (-1414 ((|#2| $) 23)) (-3113 ((|#2| $) 21)) (-1923 (($ (-1 |#3| |#3|) $) 32)) (-3799 (($ (-1 |#3| |#3|) $) 30)) (-1827 ((|#3| $) 26)) (-4411 (($ $ |#3|) 33)) (-2957 (((-121) |#3| $) 17)) (-3909 (((-637 |#3|) $) 15)) (-3245 ((|#3| $ |#2| |#3|) 12) ((|#3| $ |#2|) NIL))) 
+(((-603 |#1| |#2| |#3|) (-10 -8 (-15 -3839 ((-1263) |#1| |#2| |#2|)) (-15 -4411 (|#1| |#1| |#3|)) (-15 -1827 (|#3| |#1|)) (-15 -1414 (|#2| |#1|)) (-15 -3113 (|#2| |#1|)) (-15 -2957 ((-121) |#3| |#1|)) (-15 -3909 ((-637 |#3|) |#1|)) (-15 -3245 (|#3| |#1| |#2|)) (-15 -3245 (|#3| |#1| |#2| |#3|)) (-15 -1923 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3799 (|#1| (-1 |#3| |#3|) |#1|))) (-604 |#2| |#3|) (-1097) (-1203)) (T -603)) 
+NIL 
+(-10 -8 (-15 -3839 ((-1263) |#1| |#2| |#2|)) (-15 -4411 (|#1| |#1| |#3|)) (-15 -1827 (|#3| |#1|)) (-15 -1414 (|#2| |#1|)) (-15 -3113 (|#2| |#1|)) (-15 -2957 ((-121) |#3| |#1|)) (-15 -3909 ((-637 |#3|) |#1|)) (-15 -3245 (|#3| |#1| |#2|)) (-15 -3245 (|#3| |#1| |#2| |#3|)) (-15 -1923 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3799 (|#1| (-1 |#3| |#3|) |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#2| (-1097)))) (-3839 (((-1263) $ |#1| |#1|) 37 (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) 8)) (-3251 ((|#2| $ |#1| |#2|) 49 (|has| $ (-6 -4601)))) (-2269 (($) 7 T CONST)) (-2922 ((|#2| $ |#1| |#2|) 50 (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) 48)) (-4034 (((-637 |#2|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-1414 ((|#1| $) 40 (|has| |#1| (-847)))) (-3488 (((-637 |#2|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1097)) (|has| $ (-6 -4600))))) (-3113 ((|#1| $) 41 (|has| |#1| (-847)))) (-1923 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#2| |#2|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#2| (-1097)))) (-2738 (((-637 |#1|) $) 43)) (-1613 (((-121) |#1| $) 44)) (-2580 (((-1115) $) 21 (|has| |#2| (-1097)))) (-1827 ((|#2| $) 39 (|has| |#1| (-847)))) (-4411 (($ $ |#2|) 38 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#2|))) 26 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) 25 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) 23 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#2| $ |#1| |#2|) 47) ((|#2| $ |#1|) 46)) (-1569 (((-768) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4600))) (((-768) |#2| $) 28 (-12 (|has| |#2| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#2| (-1097)))) (-3027 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#2| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-604 |#1| |#2|) (-1289) (-1097) (-1203)) (T -604)) 
+((-3909 (*1 *2 *1) (-12 (-4 *1 (-604 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1203)) (-5 *2 (-637 *4)))) (-1613 (*1 *2 *3 *1) (-12 (-4 *1 (-604 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1203)) (-5 *2 (-121)))) (-2738 (*1 *2 *1) (-12 (-4 *1 (-604 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1203)) (-5 *2 (-637 *3)))) (-2957 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-604 *4 *3)) (-4 *4 (-1097)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-121)))) (-3113 (*1 *2 *1) (-12 (-4 *1 (-604 *2 *3)) (-4 *3 (-1203)) (-4 *2 (-1097)) (-4 *2 (-847)))) (-1414 (*1 *2 *1) (-12 (-4 *1 (-604 *2 *3)) (-4 *3 (-1203)) (-4 *2 (-1097)) (-4 *2 (-847)))) (-1827 (*1 *2 *1) (-12 (-4 *1 (-604 *3 *2)) (-4 *3 (-1097)) (-4 *3 (-847)) (-4 *2 (-1203)))) (-4411 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-604 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203)))) (-3839 (*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-604 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1203)) (-5 *2 (-1263))))) 
+(-13 (-502 |t#2|) (-284 |t#1| |t#2|) (-10 -8 (-15 -3909 ((-637 |t#2|) $)) (-15 -1613 ((-121) |t#1| $)) (-15 -2738 ((-637 |t#1|) $)) (IF (|has| |t#2| (-1097)) (IF (|has| $ (-6 -4600)) (-15 -2957 ((-121) |t#2| $)) |noBranch|) |noBranch|) (IF (|has| |t#1| (-847)) (PROGN (-15 -3113 (|t#1| $)) (-15 -1414 (|t#1| $)) (-15 -1827 (|t#2| $))) |noBranch|) (IF (|has| $ (-6 -4601)) (PROGN (-15 -4411 ($ $ |t#2|)) (-15 -3839 ((-1263) $ |t#1| |t#1|))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#2| (-1097)) ((-611 (-855)) |has| |#2| (-1097)) ((-282 |#1| |#2|) . T) ((-284 |#1| |#2|) . T) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) ((-502 |#2|) . T) ((-526 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) ((-1097) |has| |#2| (-1097)) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3691 (((-3 $ "failed")) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-3247 (((-1258 (-684 |#1|))) NIL (|has| |#2| (-422 |#1|))) (((-1258 (-684 |#1|)) (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-2664 (((-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-2269 (($) NIL T CONST)) (-4094 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-2655 (((-3 $ "failed")) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-4560 (((-684 |#1|)) NIL (|has| |#2| (-422 |#1|))) (((-684 |#1|) (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-2110 ((|#1| $) NIL (|has| |#2| (-371 |#1|)))) (-3583 (((-684 |#1|) $) NIL (|has| |#2| (-422 |#1|))) (((-684 |#1|) $ (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-4555 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-2838 (((-1165 (-958 |#1|))) NIL (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-367))))) (-3116 (($ $ (-922)) NIL)) (-4463 ((|#1| $) NIL (|has| |#2| (-371 |#1|)))) (-4051 (((-1165 |#1|) $) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-2630 ((|#1|) NIL (|has| |#2| (-422 |#1|))) ((|#1| (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-2015 (((-1165 |#1|) $) NIL (|has| |#2| (-371 |#1|)))) (-2249 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-3456 (($ (-1258 |#1|)) NIL (|has| |#2| (-422 |#1|))) (($ (-1258 |#1|) (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-3978 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-3241 (((-922)) NIL (|has| |#2| (-371 |#1|)))) (-2232 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-1869 (($ $ (-922)) NIL)) (-3981 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-1896 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-1626 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-1697 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-3150 (((-3 $ "failed")) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-3945 (((-684 |#1|)) NIL (|has| |#2| (-422 |#1|))) (((-684 |#1|) (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-4456 ((|#1| $) NIL (|has| |#2| (-371 |#1|)))) (-3344 (((-684 |#1|) $) NIL (|has| |#2| (-422 |#1|))) (((-684 |#1|) $ (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-3151 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-3064 (((-1165 (-958 |#1|))) NIL (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-367))))) (-4406 (($ $ (-922)) NIL)) (-3829 ((|#1| $) NIL (|has| |#2| (-371 |#1|)))) (-1759 (((-1165 |#1|) $) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-1474 ((|#1|) NIL (|has| |#2| (-422 |#1|))) ((|#1| (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-1459 (((-1165 |#1|) $) NIL (|has| |#2| (-371 |#1|)))) (-4465 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-3944 (((-1151) $) NIL)) (-4323 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-4499 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-2926 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-2580 (((-1115) $) NIL)) (-1849 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-3245 ((|#1| $ (-571)) NIL (|has| |#2| (-422 |#1|)))) (-3723 (((-684 |#1|) (-1258 $)) NIL (|has| |#2| (-422 |#1|))) (((-1258 |#1|) $) NIL (|has| |#2| (-422 |#1|))) (((-684 |#1|) (-1258 $) (-1258 $)) NIL (|has| |#2| (-371 |#1|))) (((-1258 |#1|) $ (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-4050 (($ (-1258 |#1|)) NIL (|has| |#2| (-422 |#1|))) (((-1258 |#1|) $) NIL (|has| |#2| (-422 |#1|)))) (-2962 (((-637 (-958 |#1|))) NIL (|has| |#2| (-422 |#1|))) (((-637 (-958 |#1|)) (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-2212 (($ $ $) NIL)) (-3154 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-3942 (((-855) $) NIL) ((|#2| $) 21) (($ |#2|) 22)) (-1899 (((-1258 $)) NIL (|has| |#2| (-422 |#1|)))) (-4071 (((-637 (-1258 |#1|))) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-3100 (($ $ $ $) NIL)) (-3904 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-4288 (($ (-684 |#1|) $) NIL (|has| |#2| (-422 |#1|)))) (-2493 (($ $ $) NIL)) (-2742 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-2740 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-1582 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-2369 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) 24)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 20) (($ $ |#1|) 19) (($ |#1| $) NIL))) 
+(((-605 |#1| |#2|) (-13 (-741 |#1|) (-611 |#2|) (-10 -8 (-15 -3942 ($ |#2|)) (IF (|has| |#2| (-422 |#1|)) (-6 (-422 |#1|)) |noBranch|) (IF (|has| |#2| (-371 |#1|)) (-6 (-371 |#1|)) |noBranch|))) (-173) (-741 |#1|)) (T -605)) 
+((-3942 (*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-605 *3 *2)) (-4 *2 (-741 *3))))) 
+(-13 (-741 |#1|) (-611 |#2|) (-10 -8 (-15 -3942 ($ |#2|)) (IF (|has| |#2| (-422 |#1|)) (-6 (-422 |#1|)) |noBranch|) (IF (|has| |#2| (-371 |#1|)) (-6 (-371 |#1|)) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-2155 (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) 33)) (-2942 (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL) (($) NIL)) (-3839 (((-1263) $ (-1151) (-1151)) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-1151) |#1|) 43)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-1741 (((-3 |#1| "failed") (-1151) $) 46)) (-2269 (($) NIL T CONST)) (-1539 (($ $ (-1151)) 25)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097))))) (-1599 (((-3 |#1| "failed") (-1151) $) 47) (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600))) (($ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL (|has| $ (-6 -4600)))) (-3412 (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600))) (($ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097))))) (-3074 (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097))))) (-3043 (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) 32)) (-2922 ((|#1| $ (-1151) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-1151)) NIL)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600))) (((-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-3269 (($ $) 48)) (-3545 (($ (-393)) 23) (($ (-393) (-1151)) 22)) (-3159 (((-393) $) 34)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-1151) $) NIL (|has| (-1151) (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600))) (((-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (((-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097))))) (-3113 (((-1151) $) NIL (|has| (-1151) (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601))) (($ (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-3359 (((-637 (-1151)) $) 39)) (-1507 (((-121) (-1151) $) NIL)) (-2072 (((-1151) $) 35)) (-2377 (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL)) (-2863 (($ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL)) (-2738 (((-637 (-1151)) $) NIL)) (-1613 (((-121) (-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1646 (((-1263) $) NIL)) (-1827 ((|#1| $) NIL (|has| (-1151) (-847)))) (-3765 (((-3 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) "failed") (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL)) (-4411 (($ $ |#1|) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (($ $ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (($ $ (-637 (-289 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 37)) (-3245 ((|#1| $ (-1151) |#1|) NIL) ((|#1| $ (-1151)) 42)) (-3563 (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL) (($) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (((-768) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (((-768) (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL)) (-3942 (((-855) $) 21)) (-3537 (($ $) 26)) (-3700 (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 20)) (-4001 (((-768) $) 41 (|has| $ (-6 -4600))))) 
+(((-606 |#1|) (-13 (-368 (-393) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) (-1180 (-1151) |#1|) (-10 -8 (-6 -4600) (-15 -3269 ($ $)))) (-1097)) (T -606)) 
+((-3269 (*1 *1 *1) (-12 (-5 *1 (-606 *2)) (-4 *2 (-1097))))) 
+(-13 (-368 (-393) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) (-1180 (-1151) |#1|) (-10 -8 (-6 -4600) (-15 -3269 ($ $)))) 
+((-3303 (((-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) $) 15)) (-3359 (((-637 |#2|) $) 19)) (-1507 (((-121) |#2| $) 12))) 
+(((-607 |#1| |#2| |#3|) (-10 -8 (-15 -3359 ((-637 |#2|) |#1|)) (-15 -1507 ((-121) |#2| |#1|)) (-15 -3303 ((-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|))) (-608 |#2| |#3|) (-1097) (-1097)) (T -607)) 
+NIL 
+(-10 -8 (-15 -3359 ((-637 |#2|) |#1|)) (-15 -1507 ((-121) |#2| |#1|)) (-15 -3303 ((-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-3133 (((-121) $ (-768)) 8)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 42 (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 52 (|has| $ (-6 -4600)))) (-1741 (((-3 |#2| "failed") |#1| $) 57)) (-2269 (($) 7 T CONST)) (-4365 (($ $) 55 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600))))) (-1599 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 44 (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 43 (|has| $ (-6 -4600))) (((-3 |#2| "failed") |#1| $) 58)) (-3412 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 54 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 51 (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 53 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 50 (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 49 (|has| $ (-6 -4600)))) (-4034 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 27 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-3359 (((-637 |#1|) $) 59)) (-1507 (((-121) |#1| $) 60)) (-2377 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 36)) (-2863 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 37)) (-2580 (((-1115) $) 21 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-3765 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 48)) (-3815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 38)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 26 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 25 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 24 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 23 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3563 (($) 46) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 45)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 31 (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 28 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 56 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 47)) (-3942 (((-855) $) 20 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-3700 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 39)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-608 |#1| |#2|) (-1289) (-1097) (-1097)) (T -608)) 
+((-1507 (*1 *2 *3 *1) (-12 (-4 *1 (-608 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-5 *2 (-121)))) (-3359 (*1 *2 *1) (-12 (-4 *1 (-608 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-5 *2 (-637 *3)))) (-1599 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-608 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097)))) (-1741 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-608 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097))))) 
+(-13 (-222 (-2 (|:| -4080 |t#1|) (|:| -4279 |t#2|))) (-10 -8 (-15 -1507 ((-121) |t#1| $)) (-15 -3359 ((-637 |t#1|) $)) (-15 -1599 ((-3 |t#2| "failed") |t#1| $)) (-15 -1741 ((-3 |t#2| "failed") |t#1| $)))) 
+(((-39) . T) ((-111 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-105) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) ((-611 (-855)) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) ((-155 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-612 (-544)) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))) ((-222 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-228 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) -12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) ((-502 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-526 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) -12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) ((-1097) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) ((-1203) . T)) 
+((-2244 (((-610 |#2|) |#1|) 15)) (-4484 (((-3 |#1| "failed") (-610 |#2|)) 19))) 
+(((-609 |#1| |#2|) (-10 -7 (-15 -2244 ((-610 |#2|) |#1|)) (-15 -4484 ((-3 |#1| "failed") (-610 |#2|)))) (-847) (-847)) (T -609)) 
+((-4484 (*1 *2 *3) (|partial| -12 (-5 *3 (-610 *4)) (-4 *4 (-847)) (-4 *2 (-847)) (-5 *1 (-609 *2 *4)))) (-2244 (*1 *2 *3) (-12 (-5 *2 (-610 *4)) (-5 *1 (-609 *3 *4)) (-4 *3 (-847)) (-4 *4 (-847))))) 
+(-10 -7 (-15 -2244 ((-610 |#2|) |#1|)) (-15 -4484 ((-3 |#1| "failed") (-610 |#2|)))) 
+((-2234 (((-121) $ $) NIL)) (-3976 (((-3 (-1169) "failed") $) 36)) (-1476 (((-1263) $ (-768)) 26)) (-3984 (((-768) $) 25)) (-3513 (((-123) $) 12)) (-3159 (((-1169) $) 20)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-4485 (($ (-123) (-637 |#1|) (-768)) 30) (($ (-1169)) 31)) (-3340 (((-121) $ (-123)) 18) (((-121) $ (-1169)) 16)) (-1454 (((-768) $) 22)) (-2580 (((-1115) $) NIL)) (-4050 (((-892 (-571)) $) 69 (|has| |#1| (-612 (-892 (-571))))) (((-892 (-384)) $) 75 (|has| |#1| (-612 (-892 (-384))))) (((-544) $) 62 (|has| |#1| (-612 (-544))))) (-3942 (((-855) $) 51)) (-2765 (((-637 |#1|) $) 24)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 39)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 40))) 
+(((-610 |#1|) (-13 (-139) (-884 |#1|) (-10 -8 (-15 -3159 ((-1169) $)) (-15 -3513 ((-123) $)) (-15 -2765 ((-637 |#1|) $)) (-15 -1454 ((-768) $)) (-15 -4485 ($ (-123) (-637 |#1|) (-768))) (-15 -4485 ($ (-1169))) (-15 -3976 ((-3 (-1169) "failed") $)) (-15 -3340 ((-121) $ (-123))) (-15 -3340 ((-121) $ (-1169))) (IF (|has| |#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|))) (-847)) (T -610)) 
+((-3159 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-610 *3)) (-4 *3 (-847)))) (-3513 (*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-610 *3)) (-4 *3 (-847)))) (-2765 (*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-610 *3)) (-4 *3 (-847)))) (-1454 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-610 *3)) (-4 *3 (-847)))) (-4485 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-637 *5)) (-5 *4 (-768)) (-4 *5 (-847)) (-5 *1 (-610 *5)))) (-4485 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-610 *3)) (-4 *3 (-847)))) (-3976 (*1 *2 *1) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-610 *3)) (-4 *3 (-847)))) (-3340 (*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-610 *4)) (-4 *4 (-847)))) (-3340 (*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-121)) (-5 *1 (-610 *4)) (-4 *4 (-847))))) 
+(-13 (-139) (-884 |#1|) (-10 -8 (-15 -3159 ((-1169) $)) (-15 -3513 ((-123) $)) (-15 -2765 ((-637 |#1|) $)) (-15 -1454 ((-768) $)) (-15 -4485 ($ (-123) (-637 |#1|) (-768))) (-15 -4485 ($ (-1169))) (-15 -3976 ((-3 (-1169) "failed") $)) (-15 -3340 ((-121) $ (-123))) (-15 -3340 ((-121) $ (-1169))) (IF (|has| |#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|))) 
+((-3942 ((|#1| $) 6))) 
+(((-611 |#1|) (-1289) (-1203)) (T -611)) 
+((-3942 (*1 *2 *1) (-12 (-4 *1 (-611 *2)) (-4 *2 (-1203))))) 
+(-13 (-10 -8 (-15 -3942 (|t#1| $)))) 
+((-4050 ((|#1| $) 6))) 
+(((-612 |#1|) (-1289) (-1203)) (T -612)) 
+((-4050 (*1 *2 *1) (-12 (-4 *1 (-612 *2)) (-4 *2 (-1203))))) 
+(-13 (-10 -8 (-15 -4050 (|t#1| $)))) 
+((-2396 (((-3 (-1165 (-412 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|) (-1 (-423 |#2|) |#2|)) 13) (((-3 (-1165 (-412 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|)) 14))) 
+(((-613 |#1| |#2|) (-10 -7 (-15 -2396 ((-3 (-1165 (-412 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|))) (-15 -2396 ((-3 (-1165 (-412 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|) (-1 (-423 |#2|) |#2|)))) (-13 (-151) (-27) (-1043 (-571)) (-1043 (-412 (-571)))) (-1233 |#1|)) (T -613)) 
+((-2396 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-423 *6) *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-151) (-27) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-1165 (-412 *6))) (-5 *1 (-613 *5 *6)) (-5 *3 (-412 *6)))) (-2396 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-151) (-27) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-1165 (-412 *5))) (-5 *1 (-613 *4 *5)) (-5 *3 (-412 *5))))) 
+(-10 -7 (-15 -2396 ((-3 (-1165 (-412 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|))) (-15 -2396 ((-3 (-1165 (-412 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|) (-1 (-423 |#2|) |#2|)))) 
+((-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#2|) 10))) 
+(((-614 |#1| |#2|) (-10 -8 (-15 -3942 (|#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) (-615 |#2|) (-1053)) (T -614)) 
+NIL 
+(-10 -8 (-15 -3942 (|#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 35)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ |#1| $) 36))) 
+(((-615 |#1|) (-1289) (-1053)) (T -615)) 
+((-3942 (*1 *1 *2) (-12 (-4 *1 (-615 *2)) (-4 *2 (-1053))))) 
+(-13 (-1053) (-640 |t#1|) (-10 -8 (-15 -3942 ($ |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-721) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3203 (((-571) $) NIL (|has| |#1| (-845)))) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL)) (-2093 (((-121) $) NIL (|has| |#1| (-845)))) (-2583 (((-121) $) NIL)) (-4474 ((|#1| $) 13)) (-4086 (((-121) $) NIL (|has| |#1| (-845)))) (-1763 (($ $ $) NIL (|has| |#1| (-845)))) (-2383 (($ $ $) NIL (|has| |#1| (-845)))) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4479 ((|#3| $) 15)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#2|) NIL)) (-2661 (((-768)) 20)) (-1902 (($ $) NIL (|has| |#1| (-845)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) 12 T CONST)) (-1350 (((-121) $ $) NIL (|has| |#1| (-845)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-845)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-845)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-845)))) (-1379 (($ $ |#3|) NIL) (($ |#1| |#3|) 11)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 17) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-616 |#1| |#2| |#3|) (-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-845)) (-6 (-845)) |noBranch|) (-15 -1379 ($ $ |#3|)) (-15 -1379 ($ |#1| |#3|)) (-15 -4474 (|#1| $)) (-15 -4479 (|#3| $)))) (-43 |#2|) (-173) (|SubsetCategory| (-721) |#2|)) (T -616)) 
+((-1379 (*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-616 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-721) *4)))) (-1379 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-616 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-721) *4)))) (-4474 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-43 *3)) (-5 *1 (-616 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-721) *3)))) (-4479 (*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-721) *4)) (-5 *1 (-616 *3 *4 *2)) (-4 *3 (-43 *4))))) 
+(-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-845)) (-6 (-845)) |noBranch|) (-15 -1379 ($ $ |#3|)) (-15 -1379 ($ |#1| |#3|)) (-15 -4474 (|#1| $)) (-15 -4479 (|#3| $)))) 
+((-4422 ((|#2| |#2| (-1169) (-1169)) 18))) 
+(((-617 |#1| |#2|) (-10 -7 (-15 -4422 (|#2| |#2| (-1169) (-1169)))) (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571))) (-13 (-1189) (-965) (-29 |#1|))) (T -617)) 
+((-4422 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-617 *4 *2)) (-4 *2 (-13 (-1189) (-965) (-29 *4)))))) 
+(-10 -7 (-15 -4422 (|#2| |#2| (-1169) (-1169)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 52)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3738 ((|#1| $) 49)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-1462 (((-2 (|:| -4536 $) (|:| -2261 (-412 |#2|))) (-412 |#2|)) 95 (|has| |#1| (-367)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 83) (((-3 |#2| "failed") $) 80)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) NIL) ((|#2| $) NIL)) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) 24)) (-3978 (((-3 $ "failed") $) 74)) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-3347 (((-571) $) 19)) (-2583 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-3517 (((-121) $) 36)) (-4289 (($ |#1| (-571)) 21)) (-4337 ((|#1| $) 51)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) 85 (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 98 (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-1786 (((-3 $ "failed") $ $) 78)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-1826 (((-768) $) 97 (|has| |#1| (-367)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 96 (|has| |#1| (-367)))) (-3096 (($ $ (-1 |#2| |#2|)) 65) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-768)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-2400 (((-571) $) 34)) (-4050 (((-412 |#2|) $) 42)) (-3942 (((-855) $) 61) (($ (-571)) 32) (($ $) NIL) (($ (-412 (-571))) NIL (|has| |#1| (-1043 (-412 (-571))))) (($ |#1|) 31) (($ |#2|) 22)) (-3136 ((|#1| $ (-571)) 62)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) 29)) (-1388 (((-121) $ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 9 T CONST)) (-3222 (($) 12 T CONST)) (-1544 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-768)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1323 (((-121) $ $) 17)) (-1373 (($ $) 46) (($ $ $) NIL)) (-1367 (($ $ $) 75)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 26) (($ $ $) 44))) 
+(((-618 |#1| |#2|) (-13 (-224 |#2|) (-561) (-612 (-412 |#2|)) (-416 |#1|) (-1043 |#2|) (-10 -8 (-15 -3517 ((-121) $)) (-15 -2400 ((-571) $)) (-15 -3347 ((-571) $)) (-15 -4349 ($ $)) (-15 -4337 (|#1| $)) (-15 -3738 (|#1| $)) (-15 -3136 (|#1| $ (-571))) (-15 -4289 ($ |#1| (-571))) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-367)) (PROGN (-6 (-302)) (-15 -1462 ((-2 (|:| -4536 $) (|:| -2261 (-412 |#2|))) (-412 |#2|)))) |noBranch|))) (-561) (-1233 |#1|)) (T -618)) 
+((-3517 (*1 *2 *1) (-12 (-4 *3 (-561)) (-5 *2 (-121)) (-5 *1 (-618 *3 *4)) (-4 *4 (-1233 *3)))) (-2400 (*1 *2 *1) (-12 (-4 *3 (-561)) (-5 *2 (-571)) (-5 *1 (-618 *3 *4)) (-4 *4 (-1233 *3)))) (-3347 (*1 *2 *1) (-12 (-4 *3 (-561)) (-5 *2 (-571)) (-5 *1 (-618 *3 *4)) (-4 *4 (-1233 *3)))) (-4349 (*1 *1 *1) (-12 (-4 *2 (-561)) (-5 *1 (-618 *2 *3)) (-4 *3 (-1233 *2)))) (-4337 (*1 *2 *1) (-12 (-4 *2 (-561)) (-5 *1 (-618 *2 *3)) (-4 *3 (-1233 *2)))) (-3738 (*1 *2 *1) (-12 (-4 *2 (-561)) (-5 *1 (-618 *2 *3)) (-4 *3 (-1233 *2)))) (-3136 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *2 (-561)) (-5 *1 (-618 *2 *4)) (-4 *4 (-1233 *2)))) (-4289 (*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-4 *2 (-561)) (-5 *1 (-618 *2 *4)) (-4 *4 (-1233 *2)))) (-1462 (*1 *2 *3) (-12 (-4 *4 (-367)) (-4 *4 (-561)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| -4536 (-618 *4 *5)) (|:| -2261 (-412 *5)))) (-5 *1 (-618 *4 *5)) (-5 *3 (-412 *5))))) 
+(-13 (-224 |#2|) (-561) (-612 (-412 |#2|)) (-416 |#1|) (-1043 |#2|) (-10 -8 (-15 -3517 ((-121) $)) (-15 -2400 ((-571) $)) (-15 -3347 ((-571) $)) (-15 -4349 ($ $)) (-15 -4337 (|#1| $)) (-15 -3738 (|#1| $)) (-15 -3136 (|#1| $ (-571))) (-15 -4289 ($ |#1| (-571))) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-367)) (PROGN (-6 (-302)) (-15 -1462 ((-2 (|:| -4536 $) (|:| -2261 (-412 |#2|))) (-412 |#2|)))) |noBranch|))) 
+((-2235 (((-637 |#6|) (-637 |#4|) (-121)) 46)) (-2774 ((|#6| |#6|) 39))) 
+(((-619 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2774 (|#6| |#6|)) (-15 -2235 ((-637 |#6|) (-637 |#4|) (-121)))) (-456) (-793) (-847) (-1067 |#1| |#2| |#3|) (-1072 |#1| |#2| |#3| |#4|) (-1106 |#1| |#2| |#3| |#4|)) (T -619)) 
+((-2235 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 *10)) (-5 *1 (-619 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *10 (-1106 *5 *6 *7 *8)))) (-2774 (*1 *2 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *1 (-619 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *2 (-1106 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -2774 (|#6| |#6|)) (-15 -2235 ((-637 |#6|) (-637 |#4|) (-121)))) 
+((-3534 (((-121) |#3| (-768) (-637 |#3|)) 22)) (-1723 (((-3 (-2 (|:| |polfac| (-637 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-637 (-1165 |#3|)))) "failed") |#3| (-637 (-1165 |#3|)) (-2 (|:| |contp| |#3|) (|:| -2842 (-637 (-2 (|:| |irr| |#4|) (|:| -4421 (-571)))))) (-637 |#3|) (-637 |#1|) (-637 |#3|)) 51))) 
+(((-620 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3534 ((-121) |#3| (-768) (-637 |#3|))) (-15 -1723 ((-3 (-2 (|:| |polfac| (-637 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-637 (-1165 |#3|)))) "failed") |#3| (-637 (-1165 |#3|)) (-2 (|:| |contp| |#3|) (|:| -2842 (-637 (-2 (|:| |irr| |#4|) (|:| -4421 (-571)))))) (-637 |#3|) (-637 |#1|) (-637 |#3|)))) (-847) (-793) (-302) (-955 |#3| |#2| |#1|)) (T -620)) 
+((-1723 (*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -2842 (-637 (-2 (|:| |irr| *10) (|:| -4421 (-571))))))) (-5 *6 (-637 *3)) (-5 *7 (-637 *8)) (-4 *8 (-847)) (-4 *3 (-302)) (-4 *10 (-955 *3 *9 *8)) (-4 *9 (-793)) (-5 *2 (-2 (|:| |polfac| (-637 *10)) (|:| |correct| *3) (|:| |corrfact| (-637 (-1165 *3))))) (-5 *1 (-620 *8 *9 *3 *10)) (-5 *4 (-637 (-1165 *3))))) (-3534 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-768)) (-5 *5 (-637 *3)) (-4 *3 (-302)) (-4 *6 (-847)) (-4 *7 (-793)) (-5 *2 (-121)) (-5 *1 (-620 *6 *7 *3 *8)) (-4 *8 (-955 *3 *7 *6))))) 
+(-10 -7 (-15 -3534 ((-121) |#3| (-768) (-637 |#3|))) (-15 -1723 ((-3 (-2 (|:| |polfac| (-637 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-637 (-1165 |#3|)))) "failed") |#3| (-637 (-1165 |#3|)) (-2 (|:| |contp| |#3|) (|:| -2842 (-637 (-2 (|:| |irr| |#4|) (|:| -4421 (-571)))))) (-637 |#3|) (-637 |#1|) (-637 |#3|)))) 
+((-2234 (((-121) $ $) NIL)) (-3171 (((-637 |#1|) $) NIL)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-2617 (($ $) 67)) (-3509 (((-659 |#1| |#2|) $) 52)) (-4044 (((-637 (-2 (|:| |k| (-893 |#1|)) (|:| |c| |#2|))) $) 36)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 70)) (-2955 (((-637 (-289 |#2|)) $ $) 33)) (-2580 (((-1115) $) NIL)) (-4148 (($ (-659 |#1| |#2|)) 48)) (-2911 (($ $ $) NIL)) (-2212 (($ $ $) NIL)) (-3942 (((-855) $) 58) (((-1271 |#1| |#2|) $) NIL) (((-1276 |#1| |#2|) $) 66)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-3222 (($) 53 T CONST)) (-1477 (((-637 (-2 (|:| |k| (-666 |#1|)) (|:| |c| |#2|))) $) 31)) (-1500 (((-637 (-659 |#1| |#2|)) (-637 |#1|)) 65)) (-1323 (((-121) $ $) 54)) (-1379 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ $ $) 44))) 
+(((-621 |#1| |#2| |#3|) (-13 (-481) (-10 -8 (-15 -4148 ($ (-659 |#1| |#2|))) (-15 -3509 ((-659 |#1| |#2|) $)) (-15 -4044 ((-637 (-2 (|:| |k| (-893 |#1|)) (|:| |c| |#2|))) $)) (-15 -3942 ((-1271 |#1| |#2|) $)) (-15 -3942 ((-1276 |#1| |#2|) $)) (-15 -2617 ($ $)) (-15 -3171 ((-637 |#1|) $)) (-15 -1500 ((-637 (-659 |#1| |#2|)) (-637 |#1|))) (-15 -1477 ((-637 (-2 (|:| |k| (-666 |#1|)) (|:| |c| |#2|))) $)) (-15 -2955 ((-637 (-289 |#2|)) $ $)))) (-847) (-13 (-173) (-712 (-412 (-571)))) (-922)) (T -621)) 
+((-4148 (*1 *1 *2) (-12 (-5 *2 (-659 *3 *4)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-5 *1 (-621 *3 *4 *5)) (-14 *5 (-922)))) (-3509 (*1 *2 *1) (-12 (-5 *2 (-659 *3 *4)) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) (-4044 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |k| (-893 *3)) (|:| |c| *4)))) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1271 *3 *4)) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1276 *3 *4)) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) (-2617 (*1 *1 *1) (-12 (-5 *1 (-621 *2 *3 *4)) (-4 *2 (-847)) (-4 *3 (-13 (-173) (-712 (-412 (-571))))) (-14 *4 (-922)))) (-3171 (*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) (-1500 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-847)) (-5 *2 (-637 (-659 *4 *5))) (-5 *1 (-621 *4 *5 *6)) (-4 *5 (-13 (-173) (-712 (-412 (-571))))) (-14 *6 (-922)))) (-1477 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |k| (-666 *3)) (|:| |c| *4)))) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) (-2955 (*1 *2 *1 *1) (-12 (-5 *2 (-637 (-289 *4))) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922))))) 
+(-13 (-481) (-10 -8 (-15 -4148 ($ (-659 |#1| |#2|))) (-15 -3509 ((-659 |#1| |#2|) $)) (-15 -4044 ((-637 (-2 (|:| |k| (-893 |#1|)) (|:| |c| |#2|))) $)) (-15 -3942 ((-1271 |#1| |#2|) $)) (-15 -3942 ((-1276 |#1| |#2|) $)) (-15 -2617 ($ $)) (-15 -3171 ((-637 |#1|) $)) (-15 -1500 ((-637 (-659 |#1| |#2|)) (-637 |#1|))) (-15 -1477 ((-637 (-2 (|:| |k| (-666 |#1|)) (|:| |c| |#2|))) $)) (-15 -2955 ((-637 (-289 |#2|)) $ $)))) 
+((-2235 (((-637 (-1138 |#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|)))) (-637 (-780 |#1| (-857 |#2|))) (-121)) 70) (((-637 (-1050 |#1| |#2|)) (-637 (-780 |#1| (-857 |#2|))) (-121)) 56)) (-3200 (((-121) (-637 (-780 |#1| (-857 |#2|)))) 22)) (-1325 (((-637 (-1138 |#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|)))) (-637 (-780 |#1| (-857 |#2|))) (-121)) 69)) (-3460 (((-637 (-1050 |#1| |#2|)) (-637 (-780 |#1| (-857 |#2|))) (-121)) 55)) (-3095 (((-637 (-780 |#1| (-857 |#2|))) (-637 (-780 |#1| (-857 |#2|)))) 26)) (-2023 (((-3 (-637 (-780 |#1| (-857 |#2|))) "failed") (-637 (-780 |#1| (-857 |#2|)))) 25))) 
+(((-622 |#1| |#2|) (-10 -7 (-15 -3200 ((-121) (-637 (-780 |#1| (-857 |#2|))))) (-15 -2023 ((-3 (-637 (-780 |#1| (-857 |#2|))) "failed") (-637 (-780 |#1| (-857 |#2|))))) (-15 -3095 ((-637 (-780 |#1| (-857 |#2|))) (-637 (-780 |#1| (-857 |#2|))))) (-15 -3460 ((-637 (-1050 |#1| |#2|)) (-637 (-780 |#1| (-857 |#2|))) (-121))) (-15 -1325 ((-637 (-1138 |#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|)))) (-637 (-780 |#1| (-857 |#2|))) (-121))) (-15 -2235 ((-637 (-1050 |#1| |#2|)) (-637 (-780 |#1| (-857 |#2|))) (-121))) (-15 -2235 ((-637 (-1138 |#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|)))) (-637 (-780 |#1| (-857 |#2|))) (-121)))) (-456) (-637 (-1169))) (T -622)) 
+((-2235 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-780 *5 (-857 *6)))) (-5 *4 (-121)) (-4 *5 (-456)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-1138 *5 (-537 (-857 *6)) (-857 *6) (-780 *5 (-857 *6))))) (-5 *1 (-622 *5 *6)))) (-2235 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-780 *5 (-857 *6)))) (-5 *4 (-121)) (-4 *5 (-456)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-1050 *5 *6))) (-5 *1 (-622 *5 *6)))) (-1325 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-780 *5 (-857 *6)))) (-5 *4 (-121)) (-4 *5 (-456)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-1138 *5 (-537 (-857 *6)) (-857 *6) (-780 *5 (-857 *6))))) (-5 *1 (-622 *5 *6)))) (-3460 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-780 *5 (-857 *6)))) (-5 *4 (-121)) (-4 *5 (-456)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-1050 *5 *6))) (-5 *1 (-622 *5 *6)))) (-3095 (*1 *2 *2) (-12 (-5 *2 (-637 (-780 *3 (-857 *4)))) (-4 *3 (-456)) (-14 *4 (-637 (-1169))) (-5 *1 (-622 *3 *4)))) (-2023 (*1 *2 *2) (|partial| -12 (-5 *2 (-637 (-780 *3 (-857 *4)))) (-4 *3 (-456)) (-14 *4 (-637 (-1169))) (-5 *1 (-622 *3 *4)))) (-3200 (*1 *2 *3) (-12 (-5 *3 (-637 (-780 *4 (-857 *5)))) (-4 *4 (-456)) (-14 *5 (-637 (-1169))) (-5 *2 (-121)) (-5 *1 (-622 *4 *5))))) 
+(-10 -7 (-15 -3200 ((-121) (-637 (-780 |#1| (-857 |#2|))))) (-15 -2023 ((-3 (-637 (-780 |#1| (-857 |#2|))) "failed") (-637 (-780 |#1| (-857 |#2|))))) (-15 -3095 ((-637 (-780 |#1| (-857 |#2|))) (-637 (-780 |#1| (-857 |#2|))))) (-15 -3460 ((-637 (-1050 |#1| |#2|)) (-637 (-780 |#1| (-857 |#2|))) (-121))) (-15 -1325 ((-637 (-1138 |#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|)))) (-637 (-780 |#1| (-857 |#2|))) (-121))) (-15 -2235 ((-637 (-1050 |#1| |#2|)) (-637 (-780 |#1| (-857 |#2|))) (-121))) (-15 -2235 ((-637 (-1138 |#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|)))) (-637 (-780 |#1| (-857 |#2|))) (-121)))) 
+((-4255 (($ $) 38)) (-4192 (($ $) 21)) (-4243 (($ $) 37)) (-4185 (($ $) 22)) (-4266 (($ $) 36)) (-4201 (($ $) 23)) (-4153 (($) 48)) (-3509 (($ $) 45)) (-4166 (($ $) 17)) (-3690 (($ $ (-1089 $)) 7) (($ $ (-1169)) 6)) (-1547 (($ $) 14)) (-4119 (($ $) 13)) (-4148 (($ $) 46)) (-4171 (($ $) 15)) (-4181 (($ $) 16)) (-4273 (($ $) 35)) (-4206 (($ $) 24)) (-4260 (($ $) 34)) (-4196 (($ $) 25)) (-4249 (($ $) 33)) (-4188 (($ $) 26)) (-4294 (($ $) 44)) (-4220 (($ $) 32)) (-4280 (($ $) 43)) (-4211 (($ $) 31)) (-4307 (($ $) 42)) (-4232 (($ $) 30)) (-2656 (($ $) 41)) (-4237 (($ $) 29)) (-4301 (($ $) 40)) (-4227 (($ $) 28)) (-4287 (($ $) 39)) (-4215 (($ $) 27)) (-2358 (($ $) 19)) (-1619 (($ $) 20)) (-2109 (($ $) 18)) (** (($ $ $) 47))) 
+(((-623) (-1289)) (T -623)) 
+((-1619 (*1 *1 *1) (-4 *1 (-623))) (-2358 (*1 *1 *1) (-4 *1 (-623))) (-2109 (*1 *1 *1) (-4 *1 (-623))) (-4166 (*1 *1 *1) (-4 *1 (-623))) (-4181 (*1 *1 *1) (-4 *1 (-623))) (-4171 (*1 *1 *1) (-4 *1 (-623))) (-1547 (*1 *1 *1) (-4 *1 (-623))) (-4119 (*1 *1 *1) (-4 *1 (-623)))) 
+(-13 (-965) (-1189) (-10 -8 (-15 -1619 ($ $)) (-15 -2358 ($ $)) (-15 -2109 ($ $)) (-15 -4166 ($ $)) (-15 -4181 ($ $)) (-15 -4171 ($ $)) (-15 -1547 ($ $)) (-15 -4119 ($ $)))) 
+(((-40) . T) ((-98) . T) ((-280) . T) ((-505) . T) ((-965) . T) ((-1189) . T) ((-1192) . T)) 
+((-3513 (((-123) (-123)) 87)) (-4166 ((|#2| |#2|) 32)) (-3690 ((|#2| |#2| (-1089 |#2|)) 83) ((|#2| |#2| (-1169)) 56)) (-1547 ((|#2| |#2|) 34)) (-4119 ((|#2| |#2|) 35)) (-4171 ((|#2| |#2|) 31)) (-4181 ((|#2| |#2|) 33)) (-3090 (((-121) (-123)) 38)) (-2358 ((|#2| |#2|) 28)) (-1619 ((|#2| |#2|) 30)) (-2109 ((|#2| |#2|) 29))) 
+(((-624 |#1| |#2|) (-10 -7 (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 -1619 (|#2| |#2|)) (-15 -2358 (|#2| |#2|)) (-15 -2109 (|#2| |#2|)) (-15 -4166 (|#2| |#2|)) (-15 -4171 (|#2| |#2|)) (-15 -4181 (|#2| |#2|)) (-15 -1547 (|#2| |#2|)) (-15 -4119 (|#2| |#2|)) (-15 -3690 (|#2| |#2| (-1169))) (-15 -3690 (|#2| |#2| (-1089 |#2|)))) (-13 (-847) (-561)) (-13 (-435 |#1|) (-1008) (-1189))) (T -624)) 
+((-3690 (*1 *2 *2 *3) (-12 (-5 *3 (-1089 *2)) (-4 *2 (-13 (-435 *4) (-1008) (-1189))) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-624 *4 *2)))) (-3690 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-624 *4 *2)) (-4 *2 (-13 (-435 *4) (-1008) (-1189))))) (-4119 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189))))) (-1547 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189))))) (-4181 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189))))) (-4171 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189))))) (-4166 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189))))) (-2109 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189))))) (-2358 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189))))) (-1619 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189))))) (-3513 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *4)) (-4 *4 (-13 (-435 *3) (-1008) (-1189))))) (-3090 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-624 *4 *5)) (-4 *5 (-13 (-435 *4) (-1008) (-1189)))))) 
+(-10 -7 (-15 -3090 ((-121) (-123))) (-15 -3513 ((-123) (-123))) (-15 -1619 (|#2| |#2|)) (-15 -2358 (|#2| |#2|)) (-15 -2109 (|#2| |#2|)) (-15 -4166 (|#2| |#2|)) (-15 -4171 (|#2| |#2|)) (-15 -4181 (|#2| |#2|)) (-15 -1547 (|#2| |#2|)) (-15 -4119 (|#2| |#2|)) (-15 -3690 (|#2| |#2| (-1169))) (-15 -3690 (|#2| |#2| (-1089 |#2|)))) 
+((-3528 (((-495 |#1| |#2|) (-243 |#1| |#2|)) 52)) (-1615 (((-637 (-243 |#1| |#2|)) (-637 (-495 |#1| |#2|))) 67)) (-2194 (((-495 |#1| |#2|) (-637 (-495 |#1| |#2|)) (-857 |#1|)) 69) (((-495 |#1| |#2|) (-637 (-495 |#1| |#2|)) (-637 (-495 |#1| |#2|)) (-857 |#1|)) 68)) (-4341 (((-2 (|:| |gblist| (-637 (-243 |#1| |#2|))) (|:| |gvlist| (-637 (-571)))) (-637 (-495 |#1| |#2|))) 105)) (-1984 (((-637 (-495 |#1| |#2|)) (-857 |#1|) (-637 (-495 |#1| |#2|)) (-637 (-495 |#1| |#2|))) 82)) (-4391 (((-2 (|:| |glbase| (-637 (-243 |#1| |#2|))) (|:| |glval| (-637 (-571)))) (-637 (-243 |#1| |#2|))) 116)) (-2335 (((-1258 |#2|) (-495 |#1| |#2|) (-637 (-495 |#1| |#2|))) 57)) (-1501 (((-637 (-495 |#1| |#2|)) (-637 (-495 |#1| |#2|))) 39)) (-3566 (((-243 |#1| |#2|) (-243 |#1| |#2|) (-637 (-243 |#1| |#2|))) 49)) (-3109 (((-243 |#1| |#2|) (-637 |#2|) (-243 |#1| |#2|) (-637 (-243 |#1| |#2|))) 89))) 
+(((-625 |#1| |#2|) (-10 -7 (-15 -4341 ((-2 (|:| |gblist| (-637 (-243 |#1| |#2|))) (|:| |gvlist| (-637 (-571)))) (-637 (-495 |#1| |#2|)))) (-15 -4391 ((-2 (|:| |glbase| (-637 (-243 |#1| |#2|))) (|:| |glval| (-637 (-571)))) (-637 (-243 |#1| |#2|)))) (-15 -1615 ((-637 (-243 |#1| |#2|)) (-637 (-495 |#1| |#2|)))) (-15 -2194 ((-495 |#1| |#2|) (-637 (-495 |#1| |#2|)) (-637 (-495 |#1| |#2|)) (-857 |#1|))) (-15 -2194 ((-495 |#1| |#2|) (-637 (-495 |#1| |#2|)) (-857 |#1|))) (-15 -1501 ((-637 (-495 |#1| |#2|)) (-637 (-495 |#1| |#2|)))) (-15 -2335 ((-1258 |#2|) (-495 |#1| |#2|) (-637 (-495 |#1| |#2|)))) (-15 -3109 ((-243 |#1| |#2|) (-637 |#2|) (-243 |#1| |#2|) (-637 (-243 |#1| |#2|)))) (-15 -1984 ((-637 (-495 |#1| |#2|)) (-857 |#1|) (-637 (-495 |#1| |#2|)) (-637 (-495 |#1| |#2|)))) (-15 -3566 ((-243 |#1| |#2|) (-243 |#1| |#2|) (-637 (-243 |#1| |#2|)))) (-15 -3528 ((-495 |#1| |#2|) (-243 |#1| |#2|)))) (-637 (-1169)) (-456)) (T -625)) 
+((-3528 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *2 (-495 *4 *5)) (-5 *1 (-625 *4 *5)))) (-3566 (*1 *2 *2 *3) (-12 (-5 *3 (-637 (-243 *4 *5))) (-5 *2 (-243 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *1 (-625 *4 *5)))) (-1984 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-637 (-495 *4 *5))) (-5 *3 (-857 *4)) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *1 (-625 *4 *5)))) (-3109 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-637 (-243 *5 *6))) (-4 *6 (-456)) (-5 *2 (-243 *5 *6)) (-14 *5 (-637 (-1169))) (-5 *1 (-625 *5 *6)))) (-2335 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-495 *5 *6))) (-5 *3 (-495 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-456)) (-5 *2 (-1258 *6)) (-5 *1 (-625 *5 *6)))) (-1501 (*1 *2 *2) (-12 (-5 *2 (-637 (-495 *3 *4))) (-14 *3 (-637 (-1169))) (-4 *4 (-456)) (-5 *1 (-625 *3 *4)))) (-2194 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-495 *5 *6))) (-5 *4 (-857 *5)) (-14 *5 (-637 (-1169))) (-5 *2 (-495 *5 *6)) (-5 *1 (-625 *5 *6)) (-4 *6 (-456)))) (-2194 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-637 (-495 *5 *6))) (-5 *4 (-857 *5)) (-14 *5 (-637 (-1169))) (-5 *2 (-495 *5 *6)) (-5 *1 (-625 *5 *6)) (-4 *6 (-456)))) (-1615 (*1 *2 *3) (-12 (-5 *3 (-637 (-495 *4 *5))) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *2 (-637 (-243 *4 *5))) (-5 *1 (-625 *4 *5)))) (-4391 (*1 *2 *3) (-12 (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *2 (-2 (|:| |glbase| (-637 (-243 *4 *5))) (|:| |glval| (-637 (-571))))) (-5 *1 (-625 *4 *5)) (-5 *3 (-637 (-243 *4 *5))))) (-4341 (*1 *2 *3) (-12 (-5 *3 (-637 (-495 *4 *5))) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *2 (-2 (|:| |gblist| (-637 (-243 *4 *5))) (|:| |gvlist| (-637 (-571))))) (-5 *1 (-625 *4 *5))))) 
+(-10 -7 (-15 -4341 ((-2 (|:| |gblist| (-637 (-243 |#1| |#2|))) (|:| |gvlist| (-637 (-571)))) (-637 (-495 |#1| |#2|)))) (-15 -4391 ((-2 (|:| |glbase| (-637 (-243 |#1| |#2|))) (|:| |glval| (-637 (-571)))) (-637 (-243 |#1| |#2|)))) (-15 -1615 ((-637 (-243 |#1| |#2|)) (-637 (-495 |#1| |#2|)))) (-15 -2194 ((-495 |#1| |#2|) (-637 (-495 |#1| |#2|)) (-637 (-495 |#1| |#2|)) (-857 |#1|))) (-15 -2194 ((-495 |#1| |#2|) (-637 (-495 |#1| |#2|)) (-857 |#1|))) (-15 -1501 ((-637 (-495 |#1| |#2|)) (-637 (-495 |#1| |#2|)))) (-15 -2335 ((-1258 |#2|) (-495 |#1| |#2|) (-637 (-495 |#1| |#2|)))) (-15 -3109 ((-243 |#1| |#2|) (-637 |#2|) (-243 |#1| |#2|) (-637 (-243 |#1| |#2|)))) (-15 -1984 ((-637 (-495 |#1| |#2|)) (-857 |#1|) (-637 (-495 |#1| |#2|)) (-637 (-495 |#1| |#2|)))) (-15 -3566 ((-243 |#1| |#2|) (-243 |#1| |#2|) (-637 (-243 |#1| |#2|)))) (-15 -3528 ((-495 |#1| |#2|) (-243 |#1| |#2|)))) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097))))) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))))) NIL)) (-3839 (((-1263) $ (-1151) (-1151)) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 (((-57) $ (-1151) (-57)) 16) (((-57) $ (-1169) (-57)) 17)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-1741 (((-3 (-57) "failed") (-1151) $) NIL)) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097))))) (-1599 (($ (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-3 (-57) "failed") (-1151) $) NIL)) (-3412 (($ (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $ (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097)))) (((-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $ (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-2922 (((-57) $ (-1151) (-57)) NIL (|has| $ (-6 -4601)))) (-4319 (((-57) $ (-1151)) NIL)) (-4034 (((-637 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-637 (-57)) $) NIL (|has| $ (-6 -4600)))) (-3269 (($ $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-1151) $) NIL (|has| (-1151) (-847)))) (-3488 (((-637 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-637 (-57)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-57) (-1097))))) (-3113 (((-1151) $) NIL (|has| (-1151) (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4601))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-4127 (($ (-393)) 9)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097))))) (-3359 (((-637 (-1151)) $) NIL)) (-1507 (((-121) (-1151) $) NIL)) (-2377 (((-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) $) NIL)) (-2863 (($ (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) $) NIL)) (-2738 (((-637 (-1151)) $) NIL)) (-1613 (((-121) (-1151) $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097))))) (-1827 (((-57) $) NIL (|has| (-1151) (-847)))) (-3765 (((-3 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) "failed") (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL)) (-4411 (($ $ (-57)) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097)))) (($ $ (-289 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097)))) (($ $ (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097)))) (($ $ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097)))) (($ $ (-637 (-57)) (-637 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097)))) (($ $ (-637 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-57) (-1097))))) (-3909 (((-637 (-57)) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 (((-57) $ (-1151)) 14) (((-57) $ (-1151) (-57)) NIL) (((-57) $ (-1169)) 15)) (-3563 (($) NIL) (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))))) NIL)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097)))) (((-768) (-57) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-57) (-1097)))) (((-768) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))))) NIL)) (-3942 (((-855) $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097))))) (-3537 (($ $) NIL)) (-3700 (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))))) NIL)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 (-57))) (-1097))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-626) (-13 (-1180 (-1151) (-57)) (-10 -8 (-15 -4127 ($ (-393))) (-15 -3269 ($ $)) (-15 -3245 ((-57) $ (-1169))) (-15 -3251 ((-57) $ (-1169) (-57))) (-15 -3537 ($ $))))) (T -626)) 
+((-4127 (*1 *1 *2) (-12 (-5 *2 (-393)) (-5 *1 (-626)))) (-3269 (*1 *1 *1) (-5 *1 (-626))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-57)) (-5 *1 (-626)))) (-3251 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1169)) (-5 *1 (-626)))) (-3537 (*1 *1 *1) (-5 *1 (-626)))) 
+(-13 (-1180 (-1151) (-57)) (-10 -8 (-15 -4127 ($ (-393))) (-15 -3269 ($ $)) (-15 -3245 ((-57) $ (-1169))) (-15 -3251 ((-57) $ (-1169) (-57))) (-15 -3537 ($ $)))) 
+((-1379 (($ $ |#2|) 10))) 
+(((-627 |#1| |#2|) (-10 -8 (-15 -1379 (|#1| |#1| |#2|))) (-628 |#2|) (-173)) (T -627)) 
+NIL 
+(-10 -8 (-15 -1379 (|#1| |#1| |#2|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3891 (($ $ $) 26)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 25 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((-628 |#1|) (-1289) (-173)) (T -628)) 
+((-3891 (*1 *1 *1 *1) (-12 (-4 *1 (-628 *2)) (-4 *2 (-173)))) (-1379 (*1 *1 *1 *2) (-12 (-4 *1 (-628 *2)) (-4 *2 (-173)) (-4 *2 (-367))))) 
+(-13 (-712 |t#1|) (-10 -8 (-15 -3891 ($ $ $)) (-6 |NullSquare|) (-6 |JacobiIdentity|) (IF (|has| |t#1| (-367)) (-15 -1379 ($ $ |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-712 |#1|) . T) ((-1059 |#1|) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3691 (((-3 $ "failed")) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-3247 (((-1258 (-684 |#1|))) NIL (|has| |#2| (-422 |#1|))) (((-1258 (-684 |#1|)) (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-2664 (((-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-2269 (($) NIL T CONST)) (-4094 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-2655 (((-3 $ "failed")) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-4560 (((-684 |#1|)) NIL (|has| |#2| (-422 |#1|))) (((-684 |#1|) (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-2110 ((|#1| $) NIL (|has| |#2| (-371 |#1|)))) (-3583 (((-684 |#1|) $) NIL (|has| |#2| (-422 |#1|))) (((-684 |#1|) $ (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-4555 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-2838 (((-1165 (-958 |#1|))) NIL (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-367))))) (-3116 (($ $ (-922)) NIL)) (-4463 ((|#1| $) NIL (|has| |#2| (-371 |#1|)))) (-4051 (((-1165 |#1|) $) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-2630 ((|#1|) NIL (|has| |#2| (-422 |#1|))) ((|#1| (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-2015 (((-1165 |#1|) $) NIL (|has| |#2| (-371 |#1|)))) (-2249 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-3456 (($ (-1258 |#1|)) NIL (|has| |#2| (-422 |#1|))) (($ (-1258 |#1|) (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-3978 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-3241 (((-922)) NIL (|has| |#2| (-371 |#1|)))) (-2232 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-1869 (($ $ (-922)) NIL)) (-3981 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-1896 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-1626 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-1697 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-3150 (((-3 $ "failed")) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-3945 (((-684 |#1|)) NIL (|has| |#2| (-422 |#1|))) (((-684 |#1|) (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-4456 ((|#1| $) NIL (|has| |#2| (-371 |#1|)))) (-3344 (((-684 |#1|) $) NIL (|has| |#2| (-422 |#1|))) (((-684 |#1|) $ (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-3151 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-3064 (((-1165 (-958 |#1|))) NIL (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-367))))) (-4406 (($ $ (-922)) NIL)) (-3829 ((|#1| $) NIL (|has| |#2| (-371 |#1|)))) (-1759 (((-1165 |#1|) $) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-1474 ((|#1|) NIL (|has| |#2| (-422 |#1|))) ((|#1| (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-1459 (((-1165 |#1|) $) NIL (|has| |#2| (-371 |#1|)))) (-4465 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-3944 (((-1151) $) NIL)) (-4323 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-4499 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-2926 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-2580 (((-1115) $) NIL)) (-1849 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-3245 ((|#1| $ (-571)) NIL (|has| |#2| (-422 |#1|)))) (-3723 (((-684 |#1|) (-1258 $)) NIL (|has| |#2| (-422 |#1|))) (((-1258 |#1|) $) NIL (|has| |#2| (-422 |#1|))) (((-684 |#1|) (-1258 $) (-1258 $)) NIL (|has| |#2| (-371 |#1|))) (((-1258 |#1|) $ (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-4050 (($ (-1258 |#1|)) NIL (|has| |#2| (-422 |#1|))) (((-1258 |#1|) $) NIL (|has| |#2| (-422 |#1|)))) (-2962 (((-637 (-958 |#1|))) NIL (|has| |#2| (-422 |#1|))) (((-637 (-958 |#1|)) (-1258 $)) NIL (|has| |#2| (-371 |#1|)))) (-2212 (($ $ $) NIL)) (-3154 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-3942 (((-855) $) NIL) ((|#2| $) 12) (($ |#2|) 13)) (-1899 (((-1258 $)) NIL (|has| |#2| (-422 |#1|)))) (-4071 (((-637 (-1258 |#1|))) NIL (-1831 (-12 (|has| |#2| (-371 |#1|)) (|has| |#1| (-561))) (-12 (|has| |#2| (-422 |#1|)) (|has| |#1| (-561)))))) (-3100 (($ $ $ $) NIL)) (-3904 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-4288 (($ (-684 |#1|) $) NIL (|has| |#2| (-422 |#1|)))) (-2493 (($ $ $) NIL)) (-2742 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-2740 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-1582 (((-121)) NIL (|has| |#2| (-371 |#1|)))) (-2369 (($) 15 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) 17)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 11) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-629 |#1| |#2|) (-13 (-741 |#1|) (-611 |#2|) (-10 -8 (-15 -3942 ($ |#2|)) (IF (|has| |#2| (-422 |#1|)) (-6 (-422 |#1|)) |noBranch|) (IF (|has| |#2| (-371 |#1|)) (-6 (-371 |#1|)) |noBranch|))) (-173) (-741 |#1|)) (T -629)) 
+((-3942 (*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-629 *3 *2)) (-4 *2 (-741 *3))))) 
+(-13 (-741 |#1|) (-611 |#2|) (-10 -8 (-15 -3942 ($ |#2|)) (IF (|has| |#2| (-422 |#1|)) (-6 (-422 |#1|)) |noBranch|) (IF (|has| |#2| (-371 |#1|)) (-6 (-371 |#1|)) |noBranch|))) 
+((-1931 (((-3 (-840 |#2|) "failed") |#2| (-289 |#2|) (-1151)) 78) (((-3 (-840 |#2|) (-2 (|:| |leftHandLimit| (-3 (-840 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-840 |#2|) "failed"))) "failed") |#2| (-289 (-840 |#2|))) 100)) (-3840 (((-3 (-833 |#2|) "failed") |#2| (-289 (-833 |#2|))) 105))) 
+(((-630 |#1| |#2|) (-10 -7 (-15 -1931 ((-3 (-840 |#2|) (-2 (|:| |leftHandLimit| (-3 (-840 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-840 |#2|) "failed"))) "failed") |#2| (-289 (-840 |#2|)))) (-15 -3840 ((-3 (-833 |#2|) "failed") |#2| (-289 (-833 |#2|)))) (-15 -1931 ((-3 (-840 |#2|) "failed") |#2| (-289 |#2|) (-1151)))) (-13 (-456) (-847) (-1043 (-571)) (-633 (-571))) (-13 (-27) (-1189) (-435 |#1|))) (T -630)) 
+((-1931 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 *3)) (-5 *5 (-1151)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-840 *3)) (-5 *1 (-630 *6 *3)))) (-3840 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-289 (-833 *3))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-833 *3)) (-5 *1 (-630 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) (-1931 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-840 *3))) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (-840 *3) (-2 (|:| |leftHandLimit| (-3 (-840 *3) "failed")) (|:| |rightHandLimit| (-3 (-840 *3) "failed"))) "failed")) (-5 *1 (-630 *5 *3))))) 
+(-10 -7 (-15 -1931 ((-3 (-840 |#2|) (-2 (|:| |leftHandLimit| (-3 (-840 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-840 |#2|) "failed"))) "failed") |#2| (-289 (-840 |#2|)))) (-15 -3840 ((-3 (-833 |#2|) "failed") |#2| (-289 (-833 |#2|)))) (-15 -1931 ((-3 (-840 |#2|) "failed") |#2| (-289 |#2|) (-1151)))) 
+((-1931 (((-3 (-840 (-412 (-958 |#1|))) "failed") (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|))) (-1151)) 79) (((-3 (-840 (-412 (-958 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed"))) "failed") (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|)))) 18) (((-3 (-840 (-412 (-958 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed"))) "failed") (-412 (-958 |#1|)) (-289 (-840 (-958 |#1|)))) 34)) (-3840 (((-833 (-412 (-958 |#1|))) (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|)))) 21) (((-833 (-412 (-958 |#1|))) (-412 (-958 |#1|)) (-289 (-833 (-958 |#1|)))) 42))) 
+(((-631 |#1|) (-10 -7 (-15 -1931 ((-3 (-840 (-412 (-958 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed"))) "failed") (-412 (-958 |#1|)) (-289 (-840 (-958 |#1|))))) (-15 -1931 ((-3 (-840 (-412 (-958 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed"))) "failed") (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|))))) (-15 -3840 ((-833 (-412 (-958 |#1|))) (-412 (-958 |#1|)) (-289 (-833 (-958 |#1|))))) (-15 -3840 ((-833 (-412 (-958 |#1|))) (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|))))) (-15 -1931 ((-3 (-840 (-412 (-958 |#1|))) "failed") (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|))) (-1151)))) (-456)) (T -631)) 
+((-1931 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 (-412 (-958 *6)))) (-5 *5 (-1151)) (-5 *3 (-412 (-958 *6))) (-4 *6 (-456)) (-5 *2 (-840 *3)) (-5 *1 (-631 *6)))) (-3840 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-412 (-958 *5)))) (-5 *3 (-412 (-958 *5))) (-4 *5 (-456)) (-5 *2 (-833 *3)) (-5 *1 (-631 *5)))) (-3840 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-833 (-958 *5)))) (-4 *5 (-456)) (-5 *2 (-833 (-412 (-958 *5)))) (-5 *1 (-631 *5)) (-5 *3 (-412 (-958 *5))))) (-1931 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-412 (-958 *5)))) (-5 *3 (-412 (-958 *5))) (-4 *5 (-456)) (-5 *2 (-3 (-840 *3) (-2 (|:| |leftHandLimit| (-3 (-840 *3) "failed")) (|:| |rightHandLimit| (-3 (-840 *3) "failed"))) "failed")) (-5 *1 (-631 *5)))) (-1931 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-840 (-958 *5)))) (-4 *5 (-456)) (-5 *2 (-3 (-840 (-412 (-958 *5))) (-2 (|:| |leftHandLimit| (-3 (-840 (-412 (-958 *5))) "failed")) (|:| |rightHandLimit| (-3 (-840 (-412 (-958 *5))) "failed"))) "failed")) (-5 *1 (-631 *5)) (-5 *3 (-412 (-958 *5)))))) 
+(-10 -7 (-15 -1931 ((-3 (-840 (-412 (-958 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed"))) "failed") (-412 (-958 |#1|)) (-289 (-840 (-958 |#1|))))) (-15 -1931 ((-3 (-840 (-412 (-958 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-840 (-412 (-958 |#1|))) "failed"))) "failed") (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|))))) (-15 -3840 ((-833 (-412 (-958 |#1|))) (-412 (-958 |#1|)) (-289 (-833 (-958 |#1|))))) (-15 -3840 ((-833 (-412 (-958 |#1|))) (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|))))) (-15 -1931 ((-3 (-840 (-412 (-958 |#1|))) "failed") (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|))) (-1151)))) 
+((-1473 (((-3 (-1258 (-412 |#1|)) "failed") (-1258 |#2|) |#2|) 57 (-2931 (|has| |#1| (-367)))) (((-3 (-1258 |#1|) "failed") (-1258 |#2|) |#2|) 42 (|has| |#1| (-367)))) (-1762 (((-121) (-1258 |#2|)) 30)) (-4539 (((-3 (-1258 |#1|) "failed") (-1258 |#2|)) 33))) 
+(((-632 |#1| |#2|) (-10 -7 (-15 -1762 ((-121) (-1258 |#2|))) (-15 -4539 ((-3 (-1258 |#1|) "failed") (-1258 |#2|))) (IF (|has| |#1| (-367)) (-15 -1473 ((-3 (-1258 |#1|) "failed") (-1258 |#2|) |#2|)) (-15 -1473 ((-3 (-1258 (-412 |#1|)) "failed") (-1258 |#2|) |#2|)))) (-561) (-633 |#1|)) (T -632)) 
+((-1473 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1258 *4)) (-4 *4 (-633 *5)) (-2931 (-4 *5 (-367))) (-4 *5 (-561)) (-5 *2 (-1258 (-412 *5))) (-5 *1 (-632 *5 *4)))) (-1473 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1258 *4)) (-4 *4 (-633 *5)) (-4 *5 (-367)) (-4 *5 (-561)) (-5 *2 (-1258 *5)) (-5 *1 (-632 *5 *4)))) (-4539 (*1 *2 *3) (|partial| -12 (-5 *3 (-1258 *5)) (-4 *5 (-633 *4)) (-4 *4 (-561)) (-5 *2 (-1258 *4)) (-5 *1 (-632 *4 *5)))) (-1762 (*1 *2 *3) (-12 (-5 *3 (-1258 *5)) (-4 *5 (-633 *4)) (-4 *4 (-561)) (-5 *2 (-121)) (-5 *1 (-632 *4 *5))))) 
+(-10 -7 (-15 -1762 ((-121) (-1258 |#2|))) (-15 -4539 ((-3 (-1258 |#1|) "failed") (-1258 |#2|))) (IF (|has| |#1| (-367)) (-15 -1473 ((-3 (-1258 |#1|) "failed") (-1258 |#2|) |#2|)) (-15 -1473 ((-3 (-1258 (-412 |#1|)) "failed") (-1258 |#2|) |#2|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-2680 (((-684 |#1|) (-684 $)) 35) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 34)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-633 |#1|) (-1289) (-1053)) (T -633)) 
+((-2680 (*1 *2 *3) (-12 (-5 *3 (-684 *1)) (-4 *1 (-633 *4)) (-4 *4 (-1053)) (-5 *2 (-684 *4)))) (-2680 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *1)) (-5 *4 (-1258 *1)) (-4 *1 (-633 *5)) (-4 *5 (-1053)) (-5 *2 (-2 (|:| -3533 (-684 *5)) (|:| |vec| (-1258 *5))))))) 
+(-13 (-1053) (-10 -8 (-15 -2680 ((-684 |t#1|) (-684 $))) (-15 -2680 ((-2 (|:| -3533 (-684 |t#1|)) (|:| |vec| (-1258 |t#1|))) (-684 $) (-1258 $))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 $) . T) ((-721) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-1380 ((|#2| (-637 |#1|) (-637 |#2|) |#1| (-1 |#2| |#1|)) 18) (((-1 |#2| |#1|) (-637 |#1|) (-637 |#2|) (-1 |#2| |#1|)) 19) ((|#2| (-637 |#1|) (-637 |#2|) |#1| |#2|) 16) (((-1 |#2| |#1|) (-637 |#1|) (-637 |#2|) |#2|) 17) ((|#2| (-637 |#1|) (-637 |#2|) |#1|) 10) (((-1 |#2| |#1|) (-637 |#1|) (-637 |#2|)) 12))) 
+(((-634 |#1| |#2|) (-10 -7 (-15 -1380 ((-1 |#2| |#1|) (-637 |#1|) (-637 |#2|))) (-15 -1380 (|#2| (-637 |#1|) (-637 |#2|) |#1|)) (-15 -1380 ((-1 |#2| |#1|) (-637 |#1|) (-637 |#2|) |#2|)) (-15 -1380 (|#2| (-637 |#1|) (-637 |#2|) |#1| |#2|)) (-15 -1380 ((-1 |#2| |#1|) (-637 |#1|) (-637 |#2|) (-1 |#2| |#1|))) (-15 -1380 (|#2| (-637 |#1|) (-637 |#2|) |#1| (-1 |#2| |#1|)))) (-1097) (-1203)) (T -634)) 
+((-1380 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1097)) (-4 *2 (-1203)) (-5 *1 (-634 *5 *2)))) (-1380 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-637 *5)) (-5 *4 (-637 *6)) (-4 *5 (-1097)) (-4 *6 (-1203)) (-5 *1 (-634 *5 *6)))) (-1380 (*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 *2)) (-4 *5 (-1097)) (-4 *2 (-1203)) (-5 *1 (-634 *5 *2)))) (-1380 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 *6)) (-5 *4 (-637 *5)) (-4 *6 (-1097)) (-4 *5 (-1203)) (-5 *2 (-1 *5 *6)) (-5 *1 (-634 *6 *5)))) (-1380 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 *2)) (-4 *5 (-1097)) (-4 *2 (-1203)) (-5 *1 (-634 *5 *2)))) (-1380 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 *6)) (-4 *5 (-1097)) (-4 *6 (-1203)) (-5 *2 (-1 *6 *5)) (-5 *1 (-634 *5 *6))))) 
+(-10 -7 (-15 -1380 ((-1 |#2| |#1|) (-637 |#1|) (-637 |#2|))) (-15 -1380 (|#2| (-637 |#1|) (-637 |#2|) |#1|)) (-15 -1380 ((-1 |#2| |#1|) (-637 |#1|) (-637 |#2|) |#2|)) (-15 -1380 (|#2| (-637 |#1|) (-637 |#2|) |#1| |#2|)) (-15 -1380 ((-1 |#2| |#1|) (-637 |#1|) (-637 |#2|) (-1 |#2| |#1|))) (-15 -1380 (|#2| (-637 |#1|) (-637 |#2|) |#1| (-1 |#2| |#1|)))) 
+((-2094 (((-637 |#2|) (-1 |#2| |#1| |#2|) (-637 |#1|) |#2|) 16)) (-3074 ((|#2| (-1 |#2| |#1| |#2|) (-637 |#1|) |#2|) 18)) (-3799 (((-637 |#2|) (-1 |#2| |#1|) (-637 |#1|)) 13))) 
+(((-635 |#1| |#2|) (-10 -7 (-15 -2094 ((-637 |#2|) (-1 |#2| |#1| |#2|) (-637 |#1|) |#2|)) (-15 -3074 (|#2| (-1 |#2| |#1| |#2|) (-637 |#1|) |#2|)) (-15 -3799 ((-637 |#2|) (-1 |#2| |#1|) (-637 |#1|)))) (-1203) (-1203)) (T -635)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-637 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-637 *6)) (-5 *1 (-635 *5 *6)))) (-3074 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-637 *5)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-635 *5 *2)))) (-2094 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-637 *6)) (-4 *6 (-1203)) (-4 *5 (-1203)) (-5 *2 (-637 *5)) (-5 *1 (-635 *6 *5))))) 
+(-10 -7 (-15 -2094 ((-637 |#2|) (-1 |#2| |#1| |#2|) (-637 |#1|) |#2|)) (-15 -3074 (|#2| (-1 |#2| |#1| |#2|) (-637 |#1|) |#2|)) (-15 -3799 ((-637 |#2|) (-1 |#2| |#1|) (-637 |#1|)))) 
+((-3799 (((-637 |#3|) (-1 |#3| |#1| |#2|) (-637 |#1|) (-637 |#2|)) 13))) 
+(((-636 |#1| |#2| |#3|) (-10 -7 (-15 -3799 ((-637 |#3|) (-1 |#3| |#1| |#2|) (-637 |#1|) (-637 |#2|)))) (-1203) (-1203) (-1203)) (T -636)) 
+((-3799 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-637 *6)) (-5 *5 (-637 *7)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-4 *8 (-1203)) (-5 *2 (-637 *8)) (-5 *1 (-636 *6 *7 *8))))) 
+(-10 -7 (-15 -3799 ((-637 |#3|) (-1 |#3| |#1| |#2|) (-637 |#1|) (-637 |#2|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) NIL)) (-4198 ((|#1| $) NIL)) (-4327 (($ $) NIL)) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-4065 (($ $ (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) $) NIL (|has| |#1| (-847))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-3652 (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-2972 (($ $) NIL (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2815 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-1384 (($ $ $) NIL (|has| $ (-6 -4601)))) (-4531 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-1833 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4601))) (($ $ "rest" $) NIL (|has| $ (-6 -4601))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-4401 (($ $ $) 31 (|has| |#1| (-1097)))) (-4390 (($ $ $) 33 (|has| |#1| (-1097)))) (-4382 (($ $ $) 36 (|has| |#1| (-1097)))) (-3129 (($ (-1 (-121) |#1|) $) NIL)) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4035 ((|#1| $) NIL)) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4372 (($ $) NIL) (($ $ (-768)) NIL)) (-2980 (($ $) NIL (|has| |#1| (-1097)))) (-4365 (($ $) 30 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1599 (($ |#1| $) NIL (|has| |#1| (-1097))) (($ (-1 (-121) |#1|) $) NIL)) (-3412 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-2922 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) NIL)) (-3076 (((-121) $) NIL)) (-3984 (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097))) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) (-1 (-121) |#1|) $) NIL)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2954 (((-121) $) 9)) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3348 (($) 7)) (-1364 (($ (-768) |#1|) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2984 (($ $ $) NIL (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3491 (($ $ $) NIL (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 32 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-4344 (($ |#1|) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3392 (((-637 |#1|) $) NIL)) (-2945 (((-121) $) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-3220 ((|#1| $) NIL) (($ $ (-768)) NIL)) (-2863 (($ $ $ (-571)) NIL) (($ |#1| $ (-571)) NIL)) (-2594 (($ $ $ (-571)) NIL) (($ |#1| $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1827 ((|#1| $) NIL) (($ $ (-768)) NIL)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) NIL (|has| $ (-6 -4601)))) (-3032 (((-121) $) NIL)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1224 (-571))) NIL) ((|#1| $ (-571)) 35) ((|#1| $ (-571) |#1|) NIL)) (-2514 (((-571) $ $) NIL)) (-3165 (($ $ (-1224 (-571))) NIL) (($ $ (-571)) NIL)) (-1933 (($ $ (-1224 (-571))) NIL) (($ $ (-571)) NIL)) (-1664 (((-121) $) NIL)) (-3863 (($ $) NIL)) (-3756 (($ $) NIL (|has| $ (-6 -4601)))) (-2895 (((-768) $) NIL)) (-1360 (($ $) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) 44 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) NIL)) (-4309 (($ |#1| $) 10)) (-3294 (($ $ $) NIL) (($ $ |#1|) NIL)) (-4498 (($ $ $) 29) (($ |#1| $) NIL) (($ (-637 $)) NIL) (($ $ |#1|) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3579 (($ $ $) 11)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3805 (((-1151) $) 25 (|has| |#1| (-828))) (((-1151) $ (-121)) 26 (|has| |#1| (-828))) (((-1263) (-822) $) 27 (|has| |#1| (-828))) (((-1263) (-822) $ (-121)) 28 (|has| |#1| (-828)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-637 |#1|) (-13 (-661 |#1|) (-10 -8 (-15 -3348 ($)) (-15 -2954 ((-121) $)) (-15 -4309 ($ |#1| $)) (-15 -3579 ($ $ $)) (IF (|has| |#1| (-1097)) (PROGN (-15 -4401 ($ $ $)) (-15 -4390 ($ $ $)) (-15 -4382 ($ $ $))) |noBranch|) (IF (|has| |#1| (-828)) (-6 (-828)) |noBranch|))) (-1203)) (T -637)) 
+((-3348 (*1 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1203)))) (-2954 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-637 *3)) (-4 *3 (-1203)))) (-4309 (*1 *1 *2 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1203)))) (-3579 (*1 *1 *1 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1203)))) (-4401 (*1 *1 *1 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1097)) (-4 *2 (-1203)))) (-4390 (*1 *1 *1 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1097)) (-4 *2 (-1203)))) (-4382 (*1 *1 *1 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1097)) (-4 *2 (-1203))))) 
+(-13 (-661 |#1|) (-10 -8 (-15 -3348 ($)) (-15 -2954 ((-121) $)) (-15 -4309 ($ |#1| $)) (-15 -3579 ($ $ $)) (IF (|has| |#1| (-1097)) (PROGN (-15 -4401 ($ $ $)) (-15 -4390 ($ $ $)) (-15 -4382 ($ $ $))) |noBranch|) (IF (|has| |#1| (-828)) (-6 (-828)) |noBranch|))) 
+((-2102 (((-637 |#1|) |#2| (-571)) 21)) (-3796 (((-684 |#1|) (-637 |#2|) (-571)) 30)) (-3607 (((-684 |#1|) (-637 |#2|) (-571)) 28))) 
+(((-638 |#1| |#2|) (-10 -7 (-15 -3796 ((-684 |#1|) (-637 |#2|) (-571))) (-15 -3607 ((-684 |#1|) (-637 |#2|) (-571))) (-15 -2102 ((-637 |#1|) |#2| (-571)))) (-367) (-644 |#1|)) (T -638)) 
+((-2102 (*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-367)) (-5 *2 (-637 *5)) (-5 *1 (-638 *5 *3)) (-4 *3 (-644 *5)))) (-3607 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-571)) (-4 *6 (-644 *5)) (-4 *5 (-367)) (-5 *2 (-684 *5)) (-5 *1 (-638 *5 *6)))) (-3796 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-571)) (-4 *6 (-644 *5)) (-4 *5 (-367)) (-5 *2 (-684 *5)) (-5 *1 (-638 *5 *6))))) 
+(-10 -7 (-15 -3796 ((-684 |#1|) (-637 |#2|) (-571))) (-15 -3607 ((-684 |#1|) (-637 |#2|) (-571))) (-15 -2102 ((-637 |#1|) |#2| (-571)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4412 (($ |#1| |#1| $) 43)) (-3133 (((-121) $ (-768)) NIL)) (-3129 (($ (-1 (-121) |#1|) $) 56 (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-2980 (($ $) 45)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1599 (($ |#1| $) 51 (|has| $ (-6 -4600))) (($ (-1 (-121) |#1|) $) 53 (|has| $ (-6 -4600)))) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600)))) (-4034 (((-637 |#1|) $) 9 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 37)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2377 ((|#1| $) 46)) (-2863 (($ |#1| $) 26) (($ |#1| $ (-768)) 42)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3815 ((|#1| $) 48)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 21)) (-1630 (($) 25)) (-1307 (((-121) $) 49)) (-4297 (((-637 (-2 (|:| -4279 |#1|) (|:| -1569 (-768)))) $) 60)) (-3563 (($) 23) (($ (-637 |#1|)) 18)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) 57 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) 19)) (-4050 (((-544) $) 34 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) NIL)) (-3942 (((-855) $) 14 (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) 22)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 62 (|has| |#1| (-1097)))) (-4001 (((-768) $) 16 (|has| $ (-6 -4600))))) 
+(((-639 |#1|) (-13 (-689 |#1|) (-10 -8 (-6 -4600) (-15 -1307 ((-121) $)) (-15 -4412 ($ |#1| |#1| $)))) (-1097)) (T -639)) 
+((-1307 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-639 *3)) (-4 *3 (-1097)))) (-4412 (*1 *1 *2 *2 *1) (-12 (-5 *1 (-639 *2)) (-4 *2 (-1097))))) 
+(-13 (-689 |#1|) (-10 -8 (-6 -4600) (-15 -1307 ((-121) $)) (-15 -4412 ($ |#1| |#1| $)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ |#1| $) 22))) 
+(((-640 |#1|) (-1289) (-1060)) (T -640)) 
+((* (*1 *1 *2 *1) (-12 (-4 *1 (-640 *2)) (-4 *2 (-1060))))) 
 (-13 (-21) (-10 -8 (-15 * ($ |t#1| $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2675 (((-765) $) 15)) (-4121 (($ $ |#1|) 55)) (-2887 (($ $) 32)) (-1871 (($ $) 31)) (-3003 (((-3 |#1| "failed") $) 47)) (-1321 ((|#1| $) NIL)) (-2271 (($ |#1| |#2| $) 60) (($ $ $) 61)) (-2078 (((-852) $ (-1 (-852) (-852) (-852)) (-1 (-852) (-852) (-852)) (-569)) 45)) (-1906 ((|#1| $ (-569)) 30)) (-2237 ((|#2| $ (-569)) 29)) (-1648 (($ (-1 |#1| |#1|) $) 34)) (-1611 (($ (-1 |#2| |#2|) $) 38)) (-4354 (($) 10)) (-2534 (($ |#1| |#2|) 22)) (-3062 (($ (-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|)))) 23)) (-2752 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))) $) 13)) (-3820 (($ |#1| $) 56)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2074 (((-121) $ $) 58)) (-3956 (((-852) $) 19) (($ |#1|) 16)) (-1326 (((-121) $ $) 25))) 
-(((-639 |#1| |#2| |#3|) (-13 (-1093) (-1039 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-1 (-852) (-852) (-852)) (-1 (-852) (-852) (-852)) (-569))) (-15 -2752 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))) $)) (-15 -2534 ($ |#1| |#2|)) (-15 -3062 ($ (-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))))) (-15 -2237 (|#2| $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1871 ($ $)) (-15 -2887 ($ $)) (-15 -2675 ((-765) $)) (-15 -4354 ($)) (-15 -4121 ($ $ |#1|)) (-15 -3820 ($ |#1| $)) (-15 -2271 ($ |#1| |#2| $)) (-15 -2271 ($ $ $)) (-15 -2074 ((-121) $ $)) (-15 -1611 ($ (-1 |#2| |#2|) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)))) (-1093) (-23) |#2|) (T -639)) 
-((-2078 (*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-852) (-852) (-852))) (-5 *4 (-569)) (-5 *2 (-852)) (-5 *1 (-639 *5 *6 *7)) (-4 *5 (-1093)) (-4 *6 (-23)) (-14 *7 *6))) (-2752 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4))) (-2534 (*1 *1 *2 *3) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-3062 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)))) (-2237 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-23)) (-5 *1 (-639 *4 *2 *5)) (-4 *4 (-1093)) (-14 *5 *2))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-1093)) (-5 *1 (-639 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) (-1871 (*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-2887 (*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-2675 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4))) (-4354 (*1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-4121 (*1 *1 *1 *2) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-3820 (*1 *1 *2 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-2271 (*1 *1 *2 *3 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-2271 (*1 *1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-2074 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4))) (-1611 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)))) (-1648 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-639 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(-13 (-1093) (-1039 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-1 (-852) (-852) (-852)) (-1 (-852) (-852) (-852)) (-569))) (-15 -2752 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))) $)) (-15 -2534 ($ |#1| |#2|)) (-15 -3062 ($ (-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))))) (-15 -2237 (|#2| $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1871 ($ $)) (-15 -2887 ($ $)) (-15 -2675 ((-765) $)) (-15 -4354 ($)) (-15 -4121 ($ $ |#1|)) (-15 -3820 ($ |#1| $)) (-15 -2271 ($ |#1| |#2| $)) (-15 -2271 ($ $ $)) (-15 -2074 ((-121) $ $)) (-15 -1611 ($ (-1 |#2| |#2|) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)))) 
-((-1301 (((-569) $) 23)) (-2583 (($ |#2| $ (-569)) 21) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) 12)) (-3292 (((-121) (-569) $) 14)) (-4456 (($ $ |#2|) 18) (($ |#2| $) 19) (($ $ $) NIL) (($ (-635 $)) NIL))) 
-(((-640 |#1| |#2|) (-10 -8 (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -1301 ((-569) |#1|)) (-15 -2761 ((-635 (-569)) |#1|)) (-15 -3292 ((-121) (-569) |#1|))) (-641 |#2|) (-1199)) (T -640)) 
-NIL 
-(-10 -8 (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -1301 ((-569) |#1|)) (-15 -2761 ((-635 (-569)) |#1|)) (-15 -3292 ((-121) (-569) |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 65)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-641 |#1|) (-1284) (-1199)) (T -641)) 
-((-2446 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-4456 (*1 *1 *1 *2) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) (-4456 (*1 *1 *2 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) (-4456 (*1 *1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) (-4456 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-4188 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-2077 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-2077 (*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-2583 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-641 *2)) (-4 *2 (-1199)))) (-2583 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-1219 (-569))) (|has| *1 (-6 -4572)) (-4 *1 (-641 *2)) (-4 *2 (-1199))))) 
-(-13 (-602 (-569) |t#1|) (-155 |t#1|) (-10 -8 (-15 -2446 ($ (-765) |t#1|)) (-15 -4456 ($ $ |t#1|)) (-15 -4456 ($ |t#1| $)) (-15 -4456 ($ $ $)) (-15 -4456 ($ (-635 $))) (-15 -4188 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -2503 ($ $ (-1219 (-569)))) (-15 -2077 ($ $ (-569))) (-15 -2077 ($ $ (-1219 (-569)))) (-15 -2583 ($ |t#1| $ (-569))) (-15 -2583 ($ $ $ (-569))) (IF (|has| $ (-6 -4572)) (-15 -2511 (|t#1| $ (-1219 (-569)) |t#1|)) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 115)) (-1948 (((-1165) $) 120)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3146 (($ $ (-569) (-569)) 126) (($ $ (-569)) 125)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 118)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2546 (($ $ (-569)) 86)) (-4314 (($ (-569) |#1| $) 87)) (-1887 (($ $ $) 92)) (-4483 (($) 16 T CONST)) (-4339 (($ (-569) $) 89) (($ $) 88)) (-4187 (($ $) 93)) (-1614 (($ $ $) 53)) (-3373 (($ $) 108)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2847 (((-121) (-121)) 83) (((-121)) 82)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-4120 (($ $) 95)) (-2641 (((-121) $) 116)) (-4398 (((-3 (-569) "failed") $) 94)) (-4433 (((-569) $ (-569)) 124) (((-569) $) 123) (((-569) $) 99)) (-3934 (((-121) $) 30)) (-2058 (($ $ (-919)) 122)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3052 (((-121) $) 106)) (-1548 (($ (-635 $) (-635 (-765)) (-569)) 90)) (-3179 (($ $ (-635 (-1077)) (-635 (-569))) 114) (($ $ (-1077) (-569)) 113) (($ |#1| (-569)) 107)) (-4188 (($ (-1 |#1| |#1|) $) 105)) (-3263 (($ $) 103)) (-3270 ((|#1| $) 102)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-2765 ((|#1| $ (-569)) 98)) (-3241 (($ $ (-569)) 85)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3803 (($ $ (-569)) 128)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-1484 (((-1145 |#1|) $ |#1|) 129 (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-2061 (((-765) $) 56)) (-2503 (($ $ $) 142 (|has| (-569) (-1105))) ((|#1| $ (-569)) 119)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3289 (($ $) 141 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-765)) 139 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1165)) 137 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165))) 136 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165) (-765)) 135 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) 134 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (-2393 (($ (-1 $)) 91)) (-2284 (((-569) $) 104)) (-2994 (($ $) 117)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 112 (|has| |#1| (-173))) (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 97) (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 96)) (-3802 ((|#1| $ (-569)) 109)) (-4220 ((|#1| $) 84)) (-2277 (((-3 $ "failed") $) 111 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 121)) (-2909 (((-121) $ $) 38)) (-4334 ((|#1| $ (-569)) 127 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $) 140 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-765)) 138 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1165)) 133 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165))) 132 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165) (-765)) 131 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) 130 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62) (($ $ |#1|) 110 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ |#1| $) 101) (($ $ |#1|) 100))) 
-(((-642 |#1|) (-1284) (-366)) (T -642)) 
-((-4433 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-2765 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-366)) (-4 *1 (-642 *3)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))))) (-4120 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-4398 (*1 *2 *1) (|partial| -12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-4187 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-1887 (*1 *1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-2393 (*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-1548 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 (-765))) (-5 *4 (-569)) (-4 *1 (-642 *5)) (-4 *5 (-366)))) (-4339 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-4339 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-4314 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-2546 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-3241 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-4220 (*1 *2 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-2847 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-2847 (*1 *2) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
-(-13 (-366) (-1230 |t#1| (-569)) (-10 -8 (-15 -4433 ((-569) $)) (-15 -2765 (|t#1| $ (-569))) (-15 -3956 ($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))))) (-15 -3956 ((-1145 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))) $)) (-15 -4120 ($ $)) (-15 -4398 ((-3 (-569) "failed") $)) (-15 -4187 ($ $)) (-15 -1887 ($ $ $)) (-15 -2393 ($ (-1 $))) (-15 -1548 ($ (-635 $) (-635 (-765)) (-569))) (-15 -4339 ($ (-569) $)) (-15 -4339 ($ $)) (-15 -4314 ($ (-569) |t#1| $)) (-15 -2546 ($ $ (-569))) (-15 -3241 ($ $ (-569))) (-15 -4220 (|t#1| $)) (-15 -2847 ((-121) (-121))) (-15 -2847 ((-121))))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-226) |has| |#1| (-15 * (|#1| (-569) |#1|))) ((-239) . T) ((-282 $ $) |has| (-569) (-1105)) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) . T) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| (-569) (-1077)) . T) ((-918) . T) ((-1055 (-410 (-569))) . T) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T) ((-1230 |#1| (-569)) . T)) 
-((-2880 (((-3 |#2| "failed") |#3| |#2| (-1165) |#2| (-635 |#2|)) 159) (((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) "failed") |#3| |#2| (-1165)) 43))) 
-(((-643 |#1| |#2| |#3|) (-10 -7 (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) "failed") |#3| |#2| (-1165))) (-15 -2880 ((-3 |#2| "failed") |#3| |#2| (-1165) |#2| (-635 |#2|)))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1185) (-961)) (-647 |#2|)) (T -643)) 
-((-2880 (*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-643 *6 *2 *3)) (-4 *3 (-647 *2)))) (-2880 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1185) (-961))) (-5 *2 (-2 (|:| |particular| *4) (|:| -4079 (-635 *4)))) (-5 *1 (-643 *6 *4 *3)) (-4 *3 (-647 *4))))) 
-(-10 -7 (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) "failed") |#3| |#2| (-1165))) (-15 -2880 ((-3 |#2| "failed") |#3| |#2| (-1165) |#2| (-635 |#2|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4156 (($ $) NIL (|has| |#1| (-366)))) (-2016 (($ $ $) NIL (|has| |#1| (-366)))) (-3165 (($ $ (-765)) NIL (|has| |#1| (-366)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4298 (($ $ $) NIL (|has| |#1| (-366)))) (-2425 (($ $ $) NIL (|has| |#1| (-366)))) (-2581 (($ $ $) NIL (|has| |#1| (-366)))) (-4431 (($ $ $) NIL (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-3934 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-4294 (((-765) $) NIL)) (-3602 (($ $ $) NIL (|has| |#1| (-366)))) (-2807 (($ $ $) NIL (|has| |#1| (-366)))) (-3262 (($ $ $) NIL (|has| |#1| (-366)))) (-3336 (($ $ $) NIL (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2503 ((|#1| $ |#1|) NIL)) (-1295 (($ $ $) NIL (|has| |#1| (-366)))) (-2284 (((-765) $) NIL)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) NIL)) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-1772 ((|#1| $ |#1| |#1|) NIL)) (-1947 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($) NIL)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-644 |#1|) (-647 |#1|) (-226)) (T -644)) 
-NIL 
-(-647 |#1|) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4156 (($ $) NIL (|has| |#1| (-366)))) (-2016 (($ $ $) NIL (|has| |#1| (-366)))) (-3165 (($ $ (-765)) NIL (|has| |#1| (-366)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4298 (($ $ $) NIL (|has| |#1| (-366)))) (-2425 (($ $ $) NIL (|has| |#1| (-366)))) (-2581 (($ $ $) NIL (|has| |#1| (-366)))) (-4431 (($ $ $) NIL (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-3934 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-4294 (((-765) $) NIL)) (-3602 (($ $ $) NIL (|has| |#1| (-366)))) (-2807 (($ $ $) NIL (|has| |#1| (-366)))) (-3262 (($ $ $) NIL (|has| |#1| (-366)))) (-3336 (($ $ $) NIL (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2503 ((|#1| $ |#1|) NIL) ((|#2| $ |#2|) 13)) (-1295 (($ $ $) NIL (|has| |#1| (-366)))) (-2284 (((-765) $) NIL)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) NIL)) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-1772 ((|#1| $ |#1| |#1|) NIL)) (-1947 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($) NIL)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-645 |#1| |#2|) (-13 (-647 |#1|) (-282 |#2| |#2|)) (-226) (-13 (-638 |#1|) (-10 -8 (-15 -3289 ($ $))))) (T -645)) 
-NIL 
-(-13 (-647 |#1|) (-282 |#2| |#2|)) 
-((-4156 (($ $) 26)) (-1947 (($ $) 24)) (-3712 (($) 12))) 
-(((-646 |#1| |#2|) (-10 -8 (-15 -4156 (|#1| |#1|)) (-15 -1947 (|#1| |#1|)) (-15 -3712 (|#1|))) (-647 |#2|) (-1049)) (T -646)) 
-NIL 
-(-10 -8 (-15 -4156 (|#1| |#1|)) (-15 -1947 (|#1| |#1|)) (-15 -3712 (|#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-4156 (($ $) 79 (|has| |#1| (-366)))) (-2016 (($ $ $) 81 (|has| |#1| (-366)))) (-3165 (($ $ (-765)) 80 (|has| |#1| (-366)))) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-4298 (($ $ $) 44 (|has| |#1| (-366)))) (-2425 (($ $ $) 45 (|has| |#1| (-366)))) (-2581 (($ $ $) 47 (|has| |#1| (-366)))) (-4431 (($ $ $) 42 (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 41 (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) 43 (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 46 (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) 73 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 71 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 68)) (-1321 (((-569) $) 74 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 72 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 67)) (-3373 (($ $) 63)) (-2611 (((-3 $ "failed") $) 33)) (-2540 (($ $) 54 (|has| |#1| (-454)))) (-3934 (((-121) $) 30)) (-3179 (($ |#1| (-765)) 61)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 56 (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 57 (|has| |#1| (-559)))) (-4294 (((-765) $) 65)) (-3602 (($ $ $) 51 (|has| |#1| (-366)))) (-2807 (($ $ $) 52 (|has| |#1| (-366)))) (-3262 (($ $ $) 40 (|has| |#1| (-366)))) (-3336 (($ $ $) 49 (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 48 (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) 50 (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 53 (|has| |#1| (-366)))) (-3270 ((|#1| $) 64)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-559)))) (-2503 ((|#1| $ |#1|) 84)) (-1295 (($ $ $) 78 (|has| |#1| (-366)))) (-2284 (((-765) $) 66)) (-2363 ((|#1| $) 55 (|has| |#1| (-454)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 70 (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) 69)) (-2894 (((-635 |#1|) $) 60)) (-3802 ((|#1| $ (-765)) 62)) (-2320 (((-765)) 28)) (-1772 ((|#1| $ |#1| |#1|) 59)) (-1947 (($ $) 82)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($) 83)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
-(((-647 |#1|) (-1284) (-1049)) (T -647)) 
-((-3712 (*1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)))) (-1947 (*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)))) (-2016 (*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-3165 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-647 *3)) (-4 *3 (-1049)) (-4 *3 (-366)))) (-4156 (*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-1295 (*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(-13 (-846 |t#1|) (-282 |t#1| |t#1|) (-10 -8 (-15 -3712 ($)) (-15 -1947 ($ $)) (IF (|has| |t#1| (-366)) (PROGN (-15 -2016 ($ $ $)) (-15 -3165 ($ $ (-765))) (-15 -4156 ($ $)) (-15 -1295 ($ $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-282 |#1| |#1|) . T) ((-414 |#1|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) |has| |#1| (-173)) ((-718) . T) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-846 |#1|) . T)) 
-((-4279 (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))) 72 (|has| |#1| (-27)))) (-3139 (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))) 71 (|has| |#1| (-27))) (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 15))) 
-(((-648 |#1| |#2|) (-10 -7 (-15 -3139 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -3139 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)))) (-15 -4279 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))))) |noBranch|)) (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569)))) (-1228 |#1|)) (T -648)) 
-((-4279 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-644 (-410 *6)))) (-5 *1 (-648 *5 *6)) (-5 *3 (-644 (-410 *6)))))) 
-(-10 -7 (-15 -3139 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -3139 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)))) (-15 -4279 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))))) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4156 (($ $) NIL (|has| |#1| (-366)))) (-2016 (($ $ $) 28 (|has| |#1| (-366)))) (-3165 (($ $ (-765)) 31 (|has| |#1| (-366)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4298 (($ $ $) NIL (|has| |#1| (-366)))) (-2425 (($ $ $) NIL (|has| |#1| (-366)))) (-2581 (($ $ $) NIL (|has| |#1| (-366)))) (-4431 (($ $ $) NIL (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-3934 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-4294 (((-765) $) NIL)) (-3602 (($ $ $) NIL (|has| |#1| (-366)))) (-2807 (($ $ $) NIL (|has| |#1| (-366)))) (-3262 (($ $ $) NIL (|has| |#1| (-366)))) (-3336 (($ $ $) NIL (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2503 ((|#1| $ |#1|) 24)) (-1295 (($ $ $) 33 (|has| |#1| (-366)))) (-2284 (((-765) $) NIL)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) 20) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) NIL)) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-1772 ((|#1| $ |#1| |#1|) 23)) (-1947 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 21 T CONST)) (-3297 (($) 8 T CONST)) (-3712 (($) NIL)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-649 |#1| |#2|) (-647 |#1|) (-1049) (-1 |#1| |#1|)) (T -649)) 
-NIL 
-(-647 |#1|) 
-((-2016 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 61)) (-3165 ((|#2| |#2| (-765) (-1 |#1| |#1|)) 42)) (-1295 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 63))) 
-(((-650 |#1| |#2|) (-10 -7 (-15 -2016 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -3165 (|#2| |#2| (-765) (-1 |#1| |#1|))) (-15 -1295 (|#2| |#2| |#2| (-1 |#1| |#1|)))) (-366) (-647 |#1|)) (T -650)) 
-((-1295 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4)))) (-3165 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-650 *5 *2)) (-4 *2 (-647 *5)))) (-2016 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
-(-10 -7 (-15 -2016 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -3165 (|#2| |#2| (-765) (-1 |#1| |#1|))) (-15 -1295 (|#2| |#2| |#2| (-1 |#1| |#1|)))) 
-((-1294 (($ $ $) 9))) 
-(((-651 |#1|) (-10 -8 (-15 -1294 (|#1| |#1| |#1|))) (-652)) (T -651)) 
-NIL 
-(-10 -8 (-15 -1294 (|#1| |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-1771 (($ $) 10)) (-1294 (($ $ $) 8)) (-1326 (((-121) $ $) 6)) (-1637 (($ $ $) 9))) 
-(((-652) (-1284)) (T -652)) 
-((-1771 (*1 *1 *1) (-4 *1 (-652))) (-1637 (*1 *1 *1 *1) (-4 *1 (-652))) (-1294 (*1 *1 *1 *1) (-4 *1 (-652)))) 
-(-13 (-105) (-10 -8 (-15 -1771 ($ $)) (-15 -1637 ($ $ $)) (-15 -1294 ($ $ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4407 (((-768) $) 15)) (-2135 (($ $ |#1|) 55)) (-4578 (($ $) 32)) (-4378 (($ $) 31)) (-3337 (((-3 |#1| "failed") $) 47)) (-1316 ((|#1| $) NIL)) (-2309 (($ |#1| |#2| $) 60) (($ $ $) 61)) (-1888 (((-855) $ (-1 (-855) (-855) (-855)) (-1 (-855) (-855) (-855)) (-571)) 45)) (-2408 ((|#1| $ (-571)) 30)) (-2018 ((|#2| $ (-571)) 29)) (-1750 (($ (-1 |#1| |#1|) $) 34)) (-1598 (($ (-1 |#2| |#2|) $) 38)) (-4272 (($) 10)) (-3600 (($ |#1| |#2|) 22)) (-2150 (($ (-637 (-2 (|:| |gen| |#1|) (|:| -4148 |#2|)))) 23)) (-2679 (((-637 (-2 (|:| |gen| |#1|) (|:| -4148 |#2|))) $) 13)) (-3216 (($ |#1| $) 56)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1876 (((-121) $ $) 58)) (-3942 (((-855) $) 19) (($ |#1|) 16)) (-1323 (((-121) $ $) 25))) 
+(((-641 |#1| |#2| |#3|) (-13 (-1097) (-1043 |#1|) (-10 -8 (-15 -1888 ((-855) $ (-1 (-855) (-855) (-855)) (-1 (-855) (-855) (-855)) (-571))) (-15 -2679 ((-637 (-2 (|:| |gen| |#1|) (|:| -4148 |#2|))) $)) (-15 -3600 ($ |#1| |#2|)) (-15 -2150 ($ (-637 (-2 (|:| |gen| |#1|) (|:| -4148 |#2|))))) (-15 -2018 (|#2| $ (-571))) (-15 -2408 (|#1| $ (-571))) (-15 -4378 ($ $)) (-15 -4578 ($ $)) (-15 -4407 ((-768) $)) (-15 -4272 ($)) (-15 -2135 ($ $ |#1|)) (-15 -3216 ($ |#1| $)) (-15 -2309 ($ |#1| |#2| $)) (-15 -2309 ($ $ $)) (-15 -1876 ((-121) $ $)) (-15 -1598 ($ (-1 |#2| |#2|) $)) (-15 -1750 ($ (-1 |#1| |#1|) $)))) (-1097) (-23) |#2|) (T -641)) 
+((-1888 (*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-855) (-855) (-855))) (-5 *4 (-571)) (-5 *2 (-855)) (-5 *1 (-641 *5 *6 *7)) (-4 *5 (-1097)) (-4 *6 (-23)) (-14 *7 *6))) (-2679 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 *4)))) (-5 *1 (-641 *3 *4 *5)) (-4 *3 (-1097)) (-4 *4 (-23)) (-14 *5 *4))) (-3600 (*1 *1 *2 *3) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3))) (-2150 (*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 *4)))) (-4 *3 (-1097)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-641 *3 *4 *5)))) (-2018 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *2 (-23)) (-5 *1 (-641 *4 *2 *5)) (-4 *4 (-1097)) (-14 *5 *2))) (-2408 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *2 (-1097)) (-5 *1 (-641 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) (-4378 (*1 *1 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3))) (-4578 (*1 *1 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3))) (-4407 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-641 *3 *4 *5)) (-4 *3 (-1097)) (-4 *4 (-23)) (-14 *5 *4))) (-4272 (*1 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3))) (-2135 (*1 *1 *1 *2) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3))) (-3216 (*1 *1 *2 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3))) (-2309 (*1 *1 *2 *3 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3))) (-2309 (*1 *1 *1 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3))) (-1876 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-641 *3 *4 *5)) (-4 *3 (-1097)) (-4 *4 (-23)) (-14 *5 *4))) (-1598 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-641 *3 *4 *5)) (-4 *3 (-1097)))) (-1750 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-641 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(-13 (-1097) (-1043 |#1|) (-10 -8 (-15 -1888 ((-855) $ (-1 (-855) (-855) (-855)) (-1 (-855) (-855) (-855)) (-571))) (-15 -2679 ((-637 (-2 (|:| |gen| |#1|) (|:| -4148 |#2|))) $)) (-15 -3600 ($ |#1| |#2|)) (-15 -2150 ($ (-637 (-2 (|:| |gen| |#1|) (|:| -4148 |#2|))))) (-15 -2018 (|#2| $ (-571))) (-15 -2408 (|#1| $ (-571))) (-15 -4378 ($ $)) (-15 -4578 ($ $)) (-15 -4407 ((-768) $)) (-15 -4272 ($)) (-15 -2135 ($ $ |#1|)) (-15 -3216 ($ |#1| $)) (-15 -2309 ($ |#1| |#2| $)) (-15 -2309 ($ $ $)) (-15 -1876 ((-121) $ $)) (-15 -1598 ($ (-1 |#2| |#2|) $)) (-15 -1750 ($ (-1 |#1| |#1|) $)))) 
+((-3113 (((-571) $) 23)) (-2594 (($ |#2| $ (-571)) 21) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) 12)) (-1613 (((-121) (-571) $) 14)) (-4498 (($ $ |#2|) 18) (($ |#2| $) 19) (($ $ $) NIL) (($ (-637 $)) NIL))) 
+(((-642 |#1| |#2|) (-10 -8 (-15 -2594 (|#1| |#1| |#1| (-571))) (-15 -2594 (|#1| |#2| |#1| (-571))) (-15 -4498 (|#1| (-637 |#1|))) (-15 -4498 (|#1| |#1| |#1|)) (-15 -4498 (|#1| |#2| |#1|)) (-15 -4498 (|#1| |#1| |#2|)) (-15 -3113 ((-571) |#1|)) (-15 -2738 ((-637 (-571)) |#1|)) (-15 -1613 ((-121) (-571) |#1|))) (-643 |#2|) (-1203)) (T -642)) 
+NIL 
+(-10 -8 (-15 -2594 (|#1| |#1| |#1| (-571))) (-15 -2594 (|#1| |#2| |#1| (-571))) (-15 -4498 (|#1| (-637 |#1|))) (-15 -4498 (|#1| |#1| |#1|)) (-15 -4498 (|#1| |#2| |#1|)) (-15 -4498 (|#1| |#1| |#2|)) (-15 -3113 ((-571) |#1|)) (-15 -2738 ((-637 (-571)) |#1|)) (-15 -1613 ((-121) (-571) |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3839 (((-1263) $ (-571) (-571)) 37 (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) 8)) (-3251 ((|#1| $ (-571) |#1|) 49 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) 53 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-4365 (($ $) 73 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#1| $) 72 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) 50 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 48)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-1364 (($ (-768) |#1|) 64)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 40 (|has| (-571) (-847)))) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 41 (|has| (-571) (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) 55) (($ $ $ (-571)) 54)) (-2738 (((-637 (-571)) $) 43)) (-1613 (((-121) (-571) $) 44)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1827 ((|#1| $) 39 (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-4411 (($ $ |#1|) 38 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ (-571) |#1|) 47) ((|#1| $ (-571)) 46) (($ $ (-1224 (-571))) 58)) (-1933 (($ $ (-571)) 57) (($ $ (-1224 (-571))) 56)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 74 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 65)) (-4498 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-637 $)) 60)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-643 |#1|) (-1289) (-1203)) (T -643)) 
+((-1364 (*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) (-4498 (*1 *1 *1 *2) (-12 (-4 *1 (-643 *2)) (-4 *2 (-1203)))) (-4498 (*1 *1 *2 *1) (-12 (-4 *1 (-643 *2)) (-4 *2 (-1203)))) (-4498 (*1 *1 *1 *1) (-12 (-4 *1 (-643 *2)) (-4 *2 (-1203)))) (-4498 (*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) (-3799 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) (-3245 (*1 *1 *1 *2) (-12 (-5 *2 (-1224 (-571))) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) (-1933 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) (-1933 (*1 *1 *1 *2) (-12 (-5 *2 (-1224 (-571))) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) (-2594 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-643 *2)) (-4 *2 (-1203)))) (-2594 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) (-3251 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-1224 (-571))) (|has| *1 (-6 -4601)) (-4 *1 (-643 *2)) (-4 *2 (-1203))))) 
+(-13 (-604 (-571) |t#1|) (-155 |t#1|) (-10 -8 (-15 -1364 ($ (-768) |t#1|)) (-15 -4498 ($ $ |t#1|)) (-15 -4498 ($ |t#1| $)) (-15 -4498 ($ $ $)) (-15 -4498 ($ (-637 $))) (-15 -3799 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -3245 ($ $ (-1224 (-571)))) (-15 -1933 ($ $ (-571))) (-15 -1933 ($ $ (-1224 (-571)))) (-15 -2594 ($ |t#1| $ (-571))) (-15 -2594 ($ $ $ (-571))) (IF (|has| $ (-6 -4601)) (-15 -3251 (|t#1| $ (-1224 (-571)) |t#1|)) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-282 (-571) |#1|) . T) ((-284 (-571) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-604 (-571) |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3424 (((-637 (-1081)) $) 115)) (-3312 (((-1169) $) 120)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-1934 (($ $ (-571) (-571)) 126) (($ $ (-571)) 125)) (-3236 (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) 118)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1295 (((-121) $ $) 57)) (-3309 (($ $ (-571)) 86)) (-4096 (($ (-571) |#1| $) 87)) (-2253 (($ $ $) 92)) (-2269 (($) 16 T CONST)) (-4195 (($ (-571) $) 89) (($ $) 88)) (-1312 (($ $) 93)) (-2162 (($ $ $) 53)) (-4349 (($ $) 108)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-2913 (((-121) (-121)) 83) (((-121)) 82)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1596 (((-121) $) 69)) (-2126 (($ $) 95)) (-4124 (((-121) $) 116)) (-3186 (((-3 (-571) "failed") $) 94)) (-3347 (((-571) $ (-571)) 124) (((-571) $) 123) (((-571) $) 99)) (-2583 (((-121) $) 30)) (-1817 (($ $ (-922)) 122)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-3517 (((-121) $) 106)) (-2641 (($ (-637 $) (-637 (-768)) (-571)) 90)) (-4289 (($ $ (-637 (-1081)) (-637 (-571))) 114) (($ $ (-1081) (-571)) 113) (($ |#1| (-571)) 107)) (-3799 (($ (-1 |#1| |#1|) $) 105)) (-4332 (($ $) 103)) (-4337 ((|#1| $) 102)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-2763 ((|#1| $ (-571)) 98)) (-2469 (($ $ (-571)) 85)) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3140 (($ $ (-571)) 128)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-4483 (((-1149 |#1|) $ |#1|) 129 (|has| |#1| (-15 ** (|#1| |#1| (-571)))))) (-1826 (((-768) $) 56)) (-3245 (($ $ $) 142 (|has| (-571) (-1109))) ((|#1| $ (-571)) 119)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-3096 (($ $) 141 (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $ (-768)) 139 (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $ (-1169)) 137 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169))) 136 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-1169) (-768)) 135 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169)) (-637 (-768))) 134 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))))) (-4322 (($ (-1 $)) 91)) (-2400 (((-571) $) 104)) (-3202 (($ $) 117)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63) (($ |#1|) 112 (|has| |#1| (-173))) (($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) 97) (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) 96)) (-3136 ((|#1| $ (-571)) 109)) (-1489 ((|#1| $) 84)) (-2346 (((-3 $ "failed") $) 111 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-1681 ((|#1| $) 121)) (-1388 (((-121) $ $) 38)) (-3367 ((|#1| $ (-571)) 127 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-571)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $) 140 (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $ (-768)) 138 (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $ (-1169)) 133 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169))) 132 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-1169) (-768)) 131 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169)) (-637 (-768))) 130 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62) (($ $ |#1|) 110 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64) (($ |#1| $) 101) (($ $ |#1|) 100))) 
+(((-644 |#1|) (-1289) (-367)) (T -644)) 
+((-3347 (*1 *2 *1) (-12 (-4 *1 (-644 *3)) (-4 *3 (-367)) (-5 *2 (-571)))) (-3347 (*1 *2 *1) (-12 (-4 *1 (-644 *3)) (-4 *3 (-367)) (-5 *2 (-571)))) (-2763 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-644 *2)) (-4 *2 (-367)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *3)))) (-4 *3 (-367)) (-4 *1 (-644 *3)))) (-3942 (*1 *2 *1) (-12 (-4 *1 (-644 *3)) (-4 *3 (-367)) (-5 *2 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *3)))))) (-2126 (*1 *1 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-367)))) (-3186 (*1 *2 *1) (|partial| -12 (-4 *1 (-644 *3)) (-4 *3 (-367)) (-5 *2 (-571)))) (-1312 (*1 *1 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-367)))) (-2253 (*1 *1 *1 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-367)))) (-4322 (*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) (-2641 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-637 *1)) (-5 *3 (-637 (-768))) (-5 *4 (-571)) (-4 *1 (-644 *5)) (-4 *5 (-367)))) (-4195 (*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) (-4195 (*1 *1 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-367)))) (-4096 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-571)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) (-3309 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) (-2469 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) (-1489 (*1 *2 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-367)))) (-2913 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) (-2913 (*1 *2) (-12 (-4 *1 (-644 *3)) (-4 *3 (-367)) (-5 *2 (-121))))) 
+(-13 (-367) (-1235 |t#1| (-571)) (-10 -8 (-15 -3347 ((-571) $)) (-15 -2763 (|t#1| $ (-571))) (-15 -3942 ($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |t#1|))))) (-15 -3942 ((-1149 (-2 (|:| |k| (-571)) (|:| |c| |t#1|))) $)) (-15 -2126 ($ $)) (-15 -3186 ((-3 (-571) "failed") $)) (-15 -1312 ($ $)) (-15 -2253 ($ $ $)) (-15 -4322 ($ (-1 $))) (-15 -2641 ($ (-637 $) (-637 (-768)) (-571))) (-15 -4195 ($ (-571) $)) (-15 -4195 ($ $)) (-15 -4096 ($ (-571) |t#1| $)) (-15 -3309 ($ $ (-571))) (-15 -2469 ($ $ (-571))) (-15 -1489 (|t#1| $)) (-15 -2913 ((-121) (-121))) (-15 -2913 ((-121))))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-571)) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) . T) ((-226) |has| |#1| (-15 * (|#1| (-571) |#1|))) ((-239) . T) ((-282 $ $) |has| (-571) (-1109)) ((-286) . T) ((-302) . T) ((-367) . T) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) . T) ((-721) . T) ((-900 (-1169)) -12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))) ((-980 |#1| (-571) (-1081)) . T) ((-921) . T) ((-1059 (-412 (-571))) . T) ((-1059 |#1|) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T) ((-1235 |#1| (-571)) . T)) 
+((-4549 (((-3 |#2| "failed") |#3| |#2| (-1169) |#2| (-637 |#2|)) 159) (((-3 (-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) "failed") |#3| |#2| (-1169)) 43))) 
+(((-645 |#1| |#2| |#3|) (-10 -7 (-15 -4549 ((-3 (-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) "failed") |#3| |#2| (-1169))) (-15 -4549 ((-3 |#2| "failed") |#3| |#2| (-1169) |#2| (-637 |#2|)))) (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151)) (-13 (-29 |#1|) (-1189) (-965)) (-649 |#2|)) (T -645)) 
+((-4549 (*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-637 *2)) (-4 *2 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *1 (-645 *6 *2 *3)) (-4 *3 (-649 *2)))) (-4549 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1169)) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-4 *4 (-13 (-29 *6) (-1189) (-965))) (-5 *2 (-2 (|:| |particular| *4) (|:| -1899 (-637 *4)))) (-5 *1 (-645 *6 *4 *3)) (-4 *3 (-649 *4))))) 
+(-10 -7 (-15 -4549 ((-3 (-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) "failed") |#3| |#2| (-1169))) (-15 -4549 ((-3 |#2| "failed") |#3| |#2| (-1169) |#2| (-637 |#2|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4472 (($ $) NIL (|has| |#1| (-367)))) (-1636 (($ $ $) NIL (|has| |#1| (-367)))) (-2003 (($ $ (-768)) NIL (|has| |#1| (-367)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4003 (($ $ $) NIL (|has| |#1| (-367)))) (-4443 (($ $ $) NIL (|has| |#1| (-367)))) (-3830 (($ $ $) NIL (|has| |#1| (-367)))) (-3341 (($ $ $) NIL (|has| |#1| (-367)))) (-3067 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-4103 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-3638 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) NIL)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#1| (-456)))) (-2583 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) NIL)) (-3480 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-561)))) (-3811 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-561)))) (-3973 (((-768) $) NIL)) (-1315 (($ $ $) NIL (|has| |#1| (-367)))) (-4229 (($ $ $) NIL (|has| |#1| (-367)))) (-2604 (($ $ $) NIL (|has| |#1| (-367)))) (-3004 (($ $ $) NIL (|has| |#1| (-367)))) (-3038 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-2771 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-3335 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561)))) (-3245 ((|#1| $ |#1|) NIL)) (-3083 (($ $ $) NIL (|has| |#1| (-367)))) (-2400 (((-768) $) NIL)) (-4189 ((|#1| $) NIL (|has| |#1| (-456)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ (-412 (-571))) NIL (|has| |#1| (-1043 (-412 (-571))))) (($ |#1|) NIL)) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) NIL)) (-2661 (((-768)) NIL)) (-4288 ((|#1| $ |#1| |#1|) NIL)) (-2710 (($ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($) NIL)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-646 |#1|) (-649 |#1|) (-226)) (T -646)) 
+NIL 
+(-649 |#1|) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4472 (($ $) NIL (|has| |#1| (-367)))) (-1636 (($ $ $) NIL (|has| |#1| (-367)))) (-2003 (($ $ (-768)) NIL (|has| |#1| (-367)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4003 (($ $ $) NIL (|has| |#1| (-367)))) (-4443 (($ $ $) NIL (|has| |#1| (-367)))) (-3830 (($ $ $) NIL (|has| |#1| (-367)))) (-3341 (($ $ $) NIL (|has| |#1| (-367)))) (-3067 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-4103 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-3638 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) NIL)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#1| (-456)))) (-2583 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) NIL)) (-3480 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-561)))) (-3811 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-561)))) (-3973 (((-768) $) NIL)) (-1315 (($ $ $) NIL (|has| |#1| (-367)))) (-4229 (($ $ $) NIL (|has| |#1| (-367)))) (-2604 (($ $ $) NIL (|has| |#1| (-367)))) (-3004 (($ $ $) NIL (|has| |#1| (-367)))) (-3038 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-2771 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-3335 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561)))) (-3245 ((|#1| $ |#1|) NIL) ((|#2| $ |#2|) 13)) (-3083 (($ $ $) NIL (|has| |#1| (-367)))) (-2400 (((-768) $) NIL)) (-4189 ((|#1| $) NIL (|has| |#1| (-456)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ (-412 (-571))) NIL (|has| |#1| (-1043 (-412 (-571))))) (($ |#1|) NIL)) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) NIL)) (-2661 (((-768)) NIL)) (-4288 ((|#1| $ |#1| |#1|) NIL)) (-2710 (($ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($) NIL)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-647 |#1| |#2|) (-13 (-649 |#1|) (-282 |#2| |#2|)) (-226) (-13 (-640 |#1|) (-10 -8 (-15 -3096 ($ $))))) (T -647)) 
+NIL 
+(-13 (-649 |#1|) (-282 |#2| |#2|)) 
+((-4472 (($ $) 26)) (-2710 (($ $) 24)) (-1544 (($) 12))) 
+(((-648 |#1| |#2|) (-10 -8 (-15 -4472 (|#1| |#1|)) (-15 -2710 (|#1| |#1|)) (-15 -1544 (|#1|))) (-649 |#2|) (-1053)) (T -648)) 
+NIL 
+(-10 -8 (-15 -4472 (|#1| |#1|)) (-15 -2710 (|#1| |#1|)) (-15 -1544 (|#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4472 (($ $) 79 (|has| |#1| (-367)))) (-1636 (($ $ $) 81 (|has| |#1| (-367)))) (-2003 (($ $ (-768)) 80 (|has| |#1| (-367)))) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-4003 (($ $ $) 44 (|has| |#1| (-367)))) (-4443 (($ $ $) 45 (|has| |#1| (-367)))) (-3830 (($ $ $) 47 (|has| |#1| (-367)))) (-3341 (($ $ $) 42 (|has| |#1| (-367)))) (-3067 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 41 (|has| |#1| (-367)))) (-4103 (((-3 $ "failed") $ $) 43 (|has| |#1| (-367)))) (-3638 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 46 (|has| |#1| (-367)))) (-3337 (((-3 (-571) "failed") $) 73 (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) 71 (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 68)) (-1316 (((-571) $) 74 (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) 72 (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) 67)) (-4349 (($ $) 63)) (-3978 (((-3 $ "failed") $) 33)) (-3630 (($ $) 54 (|has| |#1| (-456)))) (-2583 (((-121) $) 30)) (-4289 (($ |#1| (-768)) 61)) (-3480 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 56 (|has| |#1| (-561)))) (-3811 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 57 (|has| |#1| (-561)))) (-3973 (((-768) $) 65)) (-1315 (($ $ $) 51 (|has| |#1| (-367)))) (-4229 (($ $ $) 52 (|has| |#1| (-367)))) (-2604 (($ $ $) 40 (|has| |#1| (-367)))) (-3004 (($ $ $) 49 (|has| |#1| (-367)))) (-3038 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 48 (|has| |#1| (-367)))) (-2771 (((-3 $ "failed") $ $) 50 (|has| |#1| (-367)))) (-3335 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 53 (|has| |#1| (-367)))) (-4337 ((|#1| $) 64)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1786 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-561)))) (-3245 ((|#1| $ |#1|) 84)) (-3083 (($ $ $) 78 (|has| |#1| (-367)))) (-2400 (((-768) $) 66)) (-4189 ((|#1| $) 55 (|has| |#1| (-456)))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ (-412 (-571))) 70 (|has| |#1| (-1043 (-412 (-571))))) (($ |#1|) 69)) (-1314 (((-637 |#1|) $) 60)) (-3136 ((|#1| $ (-768)) 62)) (-2661 (((-768)) 28)) (-4288 ((|#1| $ |#1| |#1|) 59)) (-2710 (($ $) 82)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($) 83)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
+(((-649 |#1|) (-1289) (-1053)) (T -649)) 
+((-1544 (*1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-1053)))) (-2710 (*1 *1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-1053)))) (-1636 (*1 *1 *1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-2003 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-649 *3)) (-4 *3 (-1053)) (-4 *3 (-367)))) (-4472 (*1 *1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-3083 (*1 *1 *1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(-13 (-849 |t#1|) (-282 |t#1| |t#1|) (-10 -8 (-15 -1544 ($)) (-15 -2710 ($ $)) (IF (|has| |t#1| (-367)) (PROGN (-15 -1636 ($ $ $)) (-15 -2003 ($ $ (-768))) (-15 -4472 ($ $)) (-15 -3083 ($ $ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-282 |#1| |#1|) . T) ((-416 |#1|) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-712 |#1|) |has| |#1| (-173)) ((-721) . T) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T) ((-1059 |#1|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-849 |#1|) . T)) 
+((-3884 (((-637 (-646 (-412 |#2|))) (-646 (-412 |#2|))) 72 (|has| |#1| (-27)))) (-4262 (((-637 (-646 (-412 |#2|))) (-646 (-412 |#2|))) 71 (|has| |#1| (-27))) (((-637 (-646 (-412 |#2|))) (-646 (-412 |#2|)) (-1 (-637 |#1|) |#2|)) 15))) 
+(((-650 |#1| |#2|) (-10 -7 (-15 -4262 ((-637 (-646 (-412 |#2|))) (-646 (-412 |#2|)) (-1 (-637 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -4262 ((-637 (-646 (-412 |#2|))) (-646 (-412 |#2|)))) (-15 -3884 ((-637 (-646 (-412 |#2|))) (-646 (-412 |#2|))))) |noBranch|)) (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571)))) (-1233 |#1|)) (T -650)) 
+((-3884 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-646 (-412 *5)))) (-5 *1 (-650 *4 *5)) (-5 *3 (-646 (-412 *5))))) (-4262 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-646 (-412 *5)))) (-5 *1 (-650 *4 *5)) (-5 *3 (-646 (-412 *5))))) (-4262 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-646 (-412 *6)))) (-5 *1 (-650 *5 *6)) (-5 *3 (-646 (-412 *6)))))) 
+(-10 -7 (-15 -4262 ((-637 (-646 (-412 |#2|))) (-646 (-412 |#2|)) (-1 (-637 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -4262 ((-637 (-646 (-412 |#2|))) (-646 (-412 |#2|)))) (-15 -3884 ((-637 (-646 (-412 |#2|))) (-646 (-412 |#2|))))) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4472 (($ $) NIL (|has| |#1| (-367)))) (-1636 (($ $ $) 28 (|has| |#1| (-367)))) (-2003 (($ $ (-768)) 31 (|has| |#1| (-367)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4003 (($ $ $) NIL (|has| |#1| (-367)))) (-4443 (($ $ $) NIL (|has| |#1| (-367)))) (-3830 (($ $ $) NIL (|has| |#1| (-367)))) (-3341 (($ $ $) NIL (|has| |#1| (-367)))) (-3067 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-4103 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-3638 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) NIL)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#1| (-456)))) (-2583 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) NIL)) (-3480 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-561)))) (-3811 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-561)))) (-3973 (((-768) $) NIL)) (-1315 (($ $ $) NIL (|has| |#1| (-367)))) (-4229 (($ $ $) NIL (|has| |#1| (-367)))) (-2604 (($ $ $) NIL (|has| |#1| (-367)))) (-3004 (($ $ $) NIL (|has| |#1| (-367)))) (-3038 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-2771 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-3335 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561)))) (-3245 ((|#1| $ |#1|) 24)) (-3083 (($ $ $) 33 (|has| |#1| (-367)))) (-2400 (((-768) $) NIL)) (-4189 ((|#1| $) NIL (|has| |#1| (-456)))) (-3942 (((-855) $) 20) (($ (-571)) NIL) (($ (-412 (-571))) NIL (|has| |#1| (-1043 (-412 (-571))))) (($ |#1|) NIL)) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) NIL)) (-2661 (((-768)) NIL)) (-4288 ((|#1| $ |#1| |#1|) 23)) (-2710 (($ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 21 T CONST)) (-3222 (($) 8 T CONST)) (-1544 (($) NIL)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-651 |#1| |#2|) (-649 |#1|) (-1053) (-1 |#1| |#1|)) (T -651)) 
+NIL 
+(-649 |#1|) 
+((-1636 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 61)) (-2003 ((|#2| |#2| (-768) (-1 |#1| |#1|)) 42)) (-3083 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 63))) 
+(((-652 |#1| |#2|) (-10 -7 (-15 -1636 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -2003 (|#2| |#2| (-768) (-1 |#1| |#1|))) (-15 -3083 (|#2| |#2| |#2| (-1 |#1| |#1|)))) (-367) (-649 |#1|)) (T -652)) 
+((-3083 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-367)) (-5 *1 (-652 *4 *2)) (-4 *2 (-649 *4)))) (-2003 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-768)) (-5 *4 (-1 *5 *5)) (-4 *5 (-367)) (-5 *1 (-652 *5 *2)) (-4 *2 (-649 *5)))) (-1636 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-367)) (-5 *1 (-652 *4 *2)) (-4 *2 (-649 *4))))) 
+(-10 -7 (-15 -1636 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -2003 (|#2| |#2| (-768) (-1 |#1| |#1|))) (-15 -3083 (|#2| |#2| |#2| (-1 |#1| |#1|)))) 
+((-2208 (($ $ $) 9))) 
+(((-653 |#1|) (-10 -8 (-15 -2208 (|#1| |#1| |#1|))) (-654)) (T -653)) 
+NIL 
+(-10 -8 (-15 -2208 (|#1| |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-1996 (($ $) 10)) (-2208 (($ $ $) 8)) (-1323 (((-121) $ $) 6)) (-2198 (($ $ $) 9))) 
+(((-654) (-1289)) (T -654)) 
+((-1996 (*1 *1 *1) (-4 *1 (-654))) (-2198 (*1 *1 *1 *1) (-4 *1 (-654))) (-2208 (*1 *1 *1 *1) (-4 *1 (-654)))) 
+(-13 (-105) (-10 -8 (-15 -1996 ($ $)) (-15 -2198 ($ $ $)) (-15 -2208 ($ $ $)))) 
 (((-105) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3515 ((|#1| $) 21)) (-2157 (($ $ $) NIL (|has| |#1| (-788)))) (-2713 (($ $ $) NIL (|has| |#1| (-788)))) (-2605 (((-1147) $) 46)) (-1912 (((-1111) $) NIL)) (-3524 ((|#3| $) 22)) (-3956 (((-852) $) 42)) (-2407 (($) 10 T CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-788)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-788)))) (-1326 (((-121) $ $) 20)) (-1349 (((-121) $ $) NIL (|has| |#1| (-788)))) (-1337 (((-121) $ $) 24 (|has| |#1| (-788)))) (-1383 (($ $ |#3|) 34) (($ |#1| |#3|) 35)) (-1377 (($ $) 17) (($ $ $) NIL)) (-1371 (($ $ $) 27)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 30) (($ |#2| $) 32) (($ $ |#2|) NIL))) 
-(((-653 |#1| |#2| |#3|) (-13 (-709 |#2|) (-10 -8 (IF (|has| |#1| (-788)) (-6 (-788)) |noBranch|) (-15 -1383 ($ $ |#3|)) (-15 -1383 ($ |#1| |#3|)) (-15 -3515 (|#1| $)) (-15 -3524 (|#3| $)))) (-709 |#2|) (-173) (|SubsetCategory| (-718) |#2|)) (T -653)) 
-((-1383 (*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-709 *4)) (-4 *2 (|SubsetCategory| (-718) *4)))) (-1383 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-653 *2 *4 *3)) (-4 *2 (-709 *4)) (-4 *3 (|SubsetCategory| (-718) *4)))) (-3515 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-709 *3)) (-5 *1 (-653 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-718) *3)))) (-3524 (*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-718) *4)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-709 *4))))) 
-(-13 (-709 |#2|) (-10 -8 (IF (|has| |#1| (-788)) (-6 (-788)) |noBranch|) (-15 -1383 ($ $ |#3|)) (-15 -1383 ($ |#1| |#3|)) (-15 -3515 (|#1| $)) (-15 -3524 (|#3| $)))) 
-((-2403 (((-681 |#1|) (-681 |#1|)) 27)) (-2868 (((-681 |#1|) (-681 |#1|)) 26)) (-4026 (((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))) 44)) (-4210 (((-635 (-635 |#1|)) (-635 (-635 |#1|))) 29)) (-3366 (((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|) 43)) (-1943 (((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|))) 34))) 
-(((-654 |#1|) (-10 -7 (-15 -2403 ((-681 |#1|) (-681 |#1|))) (-15 -2868 ((-681 |#1|) (-681 |#1|))) (-15 -4210 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1943 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3366 ((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|)) (-15 -4026 ((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))))) (-366)) (T -654)) 
-((-4026 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *4))) (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *1 (-654 *4)))) (-3366 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-1943 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-4210 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-2868 (*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-2403 (*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(-10 -7 (-15 -2403 ((-681 |#1|) (-681 |#1|))) (-15 -2868 ((-681 |#1|) (-681 |#1|))) (-15 -4210 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1943 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3366 ((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|)) (-15 -4026 ((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))))) 
-((-2847 (((-121)) 46) (((-121) (-121)) 47)) (-2630 ((|#7| |#5| |#3|) 44)) (-2778 ((|#5| |#7|) 29)) (-3581 (((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)) 99)) (-3533 (((-635 |#6|) |#5| |#3| (-569)) 35))) 
-(((-655 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -2847 ((-121) (-121))) (-15 -2847 ((-121))) (-15 -2630 (|#7| |#5| |#3|)) (-15 -3533 ((-635 |#6|) |#5| |#3| (-569))) (-15 -2778 (|#5| |#7|)) (-15 -3581 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|)) (T -655)) 
-((-3581 (*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *9 (-642 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-635 (-569))))) (-5 *1 (-655 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-569)) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *4 (-973 *6)) (-4 *10 (-922 *6 *9)))) (-2778 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-642 *4)) (-4 *2 (-973 *4)) (-5 *1 (-655 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *3 (-922 *4 *8)))) (-3533 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *9 (-642 *6)) (-5 *2 (-635 *9)) (-5 *1 (-655 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-952 *6 *8 (-854 *7))) (-4 *3 (-973 *6)) (-4 *10 (-922 *6 *9)))) (-2630 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-922 *5 *8)) (-5 *1 (-655 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-952 *5 *7 (-854 *6))) (-4 *3 (-973 *5)) (-4 *8 (-642 *5)))) (-2847 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-5 *2 (-121)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *9 (-922 *3 *8)))) (-2847 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *9 (-922 *3 *8))))) 
-(-10 -7 (-15 -2847 ((-121) (-121))) (-15 -2847 ((-121))) (-15 -2630 (|#7| |#5| |#3|)) (-15 -3533 ((-635 |#6|) |#5| |#3| (-569))) (-15 -2778 (|#5| |#7|)) (-15 -3581 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)))) 
-((-3671 (((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|)) 33))) 
-(((-656 |#1|) (-10 -7 (-15 -3671 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|)))) (-906)) (T -656)) 
-((-3671 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *4))) (-5 *3 (-1161 *4)) (-4 *4 (-906)) (-5 *1 (-656 *4))))) 
-(-10 -7 (-15 -3671 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3810 (((-635 |#1|) $) 82)) (-4480 (($ $ (-765)) 90)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2368 (((-1275 |#1| |#2|) (-1275 |#1| |#2|) $) 48)) (-3003 (((-3 (-664 |#1|) "failed") $) NIL)) (-1321 (((-664 |#1|) $) NIL)) (-3373 (($ $) 89)) (-4118 (((-765) $) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ (-664 |#1|) |#2|) 68)) (-2745 (($ $) 86)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3927 (((-1275 |#1| |#2|) (-1275 |#1| |#2|) $) 47)) (-2210 (((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $) NIL)) (-2133 (((-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3263 (((-664 |#1|) $) NIL)) (-3270 ((|#2| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1484 (($ $ |#1| $) 30) (($ $ (-635 |#1|) (-635 $)) 32)) (-2284 (((-765) $) 88)) (-3124 (($ $ $) 20) (($ (-664 |#1|) (-664 |#1|)) 77) (($ (-664 |#1|) $) 75) (($ $ (-664 |#1|)) 76)) (-3956 (((-852) $) NIL) (($ |#1|) 74) (((-1266 |#1| |#2|) $) 58) (((-1275 |#1| |#2|) $) 41) (($ (-664 |#1|)) 25)) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-664 |#1|)) NIL)) (-3550 ((|#2| (-1275 |#1| |#2|) $) 43)) (-2407 (($) 23 T CONST)) (-2072 (((-3 $ "failed") (-1266 |#1| |#2|)) 60)) (-4067 (($ (-664 |#1|)) 14)) (-1326 (((-121) $ $) 44)) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) 66) (($ $ $) NIL)) (-1371 (($ $ $) 29)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#2| $) 28) (($ $ |#2|) NIL) (($ |#2| (-664 |#1|)) NIL))) 
-(((-657 |#1| |#2|) (-13 (-377 |#1| |#2|) (-385 |#2| (-664 |#1|)) (-10 -8 (-15 -2072 ((-3 $ "failed") (-1266 |#1| |#2|))) (-15 -3124 ($ (-664 |#1|) (-664 |#1|))) (-15 -3124 ($ (-664 |#1|) $)) (-15 -3124 ($ $ (-664 |#1|))))) (-844) (-173)) (T -657)) 
-((-2072 (*1 *1 *2) (|partial| -12 (-5 *2 (-1266 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *1 (-657 *3 *4)))) (-3124 (*1 *1 *2 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) (-3124 (*1 *1 *2 *1) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) (-3124 (*1 *1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173))))) 
-(-13 (-377 |#1| |#2|) (-385 |#2| (-664 |#1|)) (-10 -8 (-15 -2072 ((-3 $ "failed") (-1266 |#1| |#2|))) (-15 -3124 ($ (-664 |#1|) (-664 |#1|))) (-15 -3124 ($ (-664 |#1|) $)) (-15 -3124 ($ $ (-664 |#1|))))) 
-((-3382 (((-121) $) NIL) (((-121) (-1 (-121) |#2| |#2|) $) 49)) (-1744 (($ $) NIL) (($ (-1 (-121) |#2| |#2|) $) 11)) (-1304 (($ (-1 (-121) |#2|) $) 27)) (-2887 (($ $) 55)) (-2938 (($ $) 62)) (-2006 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 36)) (-2793 ((|#2| (-1 |#2| |#2| |#2|) $) 21) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 50) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 52)) (-3988 (((-569) |#2| $ (-569)) 60) (((-569) |#2| $) NIL) (((-569) (-1 (-121) |#2|) $) 46)) (-2446 (($ (-765) |#2|) 53)) (-4002 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 29)) (-2102 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 24)) (-4188 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 54)) (-1832 (($ |#2|) 14)) (-2351 (($ $ $ (-569)) 35) (($ |#2| $ (-569)) 33)) (-2569 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 45)) (-1313 (($ $ (-1219 (-569))) 43) (($ $ (-569)) 37)) (-3038 (($ $ $ (-569)) 59)) (-1799 (($ $) 57)) (-1337 (((-121) $ $) 64))) 
-(((-658 |#1| |#2|) (-10 -8 (-15 -1832 (|#1| |#2|)) (-15 -1313 (|#1| |#1| (-569))) (-15 -1313 (|#1| |#1| (-1219 (-569)))) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2351 (|#1| |#2| |#1| (-569))) (-15 -2351 (|#1| |#1| |#1| (-569))) (-15 -4002 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -1304 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -2938 (|#1| |#1|)) (-15 -4002 (|#1| |#1| |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3382 ((-121) |#1|)) (-15 -3038 (|#1| |#1| |#1| (-569))) (-15 -2887 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2446 (|#1| (-765) |#2|)) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1799 (|#1| |#1|))) (-659 |#2|) (-1199)) (T -658)) 
-NIL 
-(-10 -8 (-15 -1832 (|#1| |#2|)) (-15 -1313 (|#1| |#1| (-569))) (-15 -1313 (|#1| |#1| (-1219 (-569)))) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2351 (|#1| |#2| |#1| (-569))) (-15 -2351 (|#1| |#1| |#1| (-569))) (-15 -4002 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -1304 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -2938 (|#1| |#1|)) (-15 -4002 (|#1| |#1| |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3382 ((-121) |#1|)) (-15 -3038 (|#1| |#1| |#1| (-569))) (-15 -2887 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2446 (|#1| (-765) |#2|)) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1799 (|#1| |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-1823 ((|#1| $) 62)) (-2394 (($ $) 64)) (-1403 (((-1258) $ (-569) (-569)) 94 (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 49 (|has| $ (-6 -4572)))) (-3382 (((-121) $) 136 (|has| |#1| (-844))) (((-121) (-1 (-121) |#1| |#1|) $) 130)) (-1744 (($ $) 140 (-12 (|has| |#1| (-844)) (|has| $ (-6 -4572)))) (($ (-1 (-121) |#1| |#1|) $) 139 (|has| $ (-6 -4572)))) (-2930 (($ $) 135 (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $) 129)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2908 (($ $ $) 53 (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) 51 (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 55 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4572))) (($ $ "rest" $) 52 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 114 (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) 123)) (-2140 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4571)))) (-4024 ((|#1| $) 63)) (-4483 (($) 7 T CONST)) (-2887 (($ $) 138 (|has| $ (-6 -4572)))) (-1871 (($ $) 128)) (-1864 (($ $) 70) (($ $ (-765)) 68)) (-2938 (($ $) 125 (|has| |#1| (-1093)))) (-1858 (($ $) 96 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 124 (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) 119)) (-3503 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4571))) (($ |#1| $) 97 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3982 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 84)) (-1292 (((-121) $) 80)) (-3988 (((-569) |#1| $ (-569)) 133 (|has| |#1| (-1093))) (((-569) |#1| $) 132 (|has| |#1| (-1093))) (((-569) (-1 (-121) |#1|) $) 131)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) 105)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 92 (|has| (-569) (-844)))) (-2157 (($ $ $) 141 (|has| |#1| (-844)))) (-4002 (($ $ $) 126 (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) 122)) (-2102 (($ $ $) 134 (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) 127)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 91 (|has| (-569) (-844)))) (-2713 (($ $ $) 142 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-1832 (($ |#1|) 116)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-3302 ((|#1| $) 67) (($ $ (-765)) 65)) (-2351 (($ $ $ (-569)) 121) (($ |#1| $ (-569)) 120)) (-2583 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-2761 (((-635 (-569)) $) 89)) (-3292 (((-121) (-569) $) 88)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 73) (($ $ (-765)) 71)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-2417 (($ $ |#1|) 93 (|has| $ (-6 -4572)))) (-4363 (((-121) $) 81)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 87)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1219 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-3248 (((-569) $ $) 41)) (-1313 (($ $ (-1219 (-569))) 118) (($ $ (-569)) 117)) (-2077 (($ $ (-1219 (-569))) 111) (($ $ (-569)) 110)) (-1630 (((-121) $) 43)) (-2588 (($ $) 59)) (-1390 (($ $) 56 (|has| $ (-6 -4572)))) (-3977 (((-765) $) 60)) (-2483 (($ $) 61)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 137 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 104)) (-4422 (($ $ $) 58) (($ $ |#1|) 57)) (-4456 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 144 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 145 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) 143 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 146 (|has| |#1| (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-659 |#1|) (-1284) (-1199)) (T -659)) 
-((-1832 (*1 *1 *2) (-12 (-4 *1 (-659 *2)) (-4 *2 (-1199))))) 
-(-13 (-1137 |t#1|) (-376 |t#1|) (-278 |t#1|) (-10 -8 (-15 -1832 ($ |t#1|)))) 
-(((-39) . T) ((-105) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-609 (-852)) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-278 |#1|) . T) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-844) |has| |#1| (-844)) ((-1012 |#1|) . T) ((-1093) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-1137 |#1|) . T) ((-1199) . T) ((-1240 |#1|) . T)) 
-((-2880 (((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-635 (-635 |#1|)) (-635 (-1253 |#1|))) 21) (((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-681 |#1|) (-635 (-1253 |#1|))) 20) (((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-635 (-635 |#1|)) (-1253 |#1|)) 16) (((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|)) 13)) (-3358 (((-765) (-681 |#1|) (-1253 |#1|)) 29)) (-4192 (((-3 (-1253 |#1|) "failed") (-681 |#1|) (-1253 |#1|)) 23)) (-2802 (((-121) (-681 |#1|) (-1253 |#1|)) 26))) 
-(((-660 |#1|) (-10 -7 (-15 -2880 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|))) (-15 -2880 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-635 (-635 |#1|)) (-1253 |#1|))) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-681 |#1|) (-635 (-1253 |#1|)))) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-635 (-635 |#1|)) (-635 (-1253 |#1|)))) (-15 -4192 ((-3 (-1253 |#1|) "failed") (-681 |#1|) (-1253 |#1|))) (-15 -2802 ((-121) (-681 |#1|) (-1253 |#1|))) (-15 -3358 ((-765) (-681 |#1|) (-1253 |#1|)))) (-366)) (T -660)) 
-((-3358 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-5 *2 (-765)) (-5 *1 (-660 *5)))) (-2802 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-660 *5)))) (-4192 (*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1253 *4)) (-5 *3 (-681 *4)) (-4 *4 (-366)) (-5 *1 (-660 *4)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1253 *5))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1253 *5))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1253 *5)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1253 *5))))) 
-(-10 -7 (-15 -2880 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|))) (-15 -2880 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-635 (-635 |#1|)) (-1253 |#1|))) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-681 |#1|) (-635 (-1253 |#1|)))) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-635 (-635 |#1|)) (-635 (-1253 |#1|)))) (-15 -4192 ((-3 (-1253 |#1|) "failed") (-681 |#1|) (-1253 |#1|))) (-15 -2802 ((-121) (-681 |#1|) (-1253 |#1|))) (-15 -3358 ((-765) (-681 |#1|) (-1253 |#1|)))) 
-((-2880 (((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|)))) |#4| (-635 |#3|)) 47) (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|) 45)) (-3358 (((-765) |#4| |#3|) 17)) (-4192 (((-3 |#3| "failed") |#4| |#3|) 20)) (-2802 (((-121) |#4| |#3|) 13))) 
-(((-661 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2880 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|)) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|)))) |#4| (-635 |#3|))) (-15 -4192 ((-3 |#3| "failed") |#4| |#3|)) (-15 -2802 ((-121) |#4| |#3|)) (-15 -3358 ((-765) |#4| |#3|))) (-366) (-13 (-376 |#1|) (-10 -7 (-6 -4572))) (-13 (-376 |#1|) (-10 -7 (-6 -4572))) (-679 |#1| |#2| |#3|)) (T -661)) 
-((-3358 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-765)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4)))) (-2802 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-121)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4)))) (-4192 (*1 *2 *3 *2) (|partial| -12 (-4 *4 (-366)) (-4 *5 (-13 (-376 *4) (-10 -7 (-6 -4572)))) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572)))) (-5 *1 (-661 *4 *5 *2 *3)) (-4 *3 (-679 *4 *5 *2)))) (-2880 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *7 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-635 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -4079 (-635 *7))))) (-5 *1 (-661 *5 *6 *7 *3)) (-5 *4 (-635 *7)) (-4 *3 (-679 *5 *6 *7)))) (-2880 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4))))) 
-(-10 -7 (-15 -2880 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|)) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|)))) |#4| (-635 |#3|))) (-15 -4192 ((-3 |#3| "failed") |#4| |#3|)) (-15 -2802 ((-121) |#4| |#3|)) (-15 -3358 ((-765) |#4| |#3|))) 
-((-3002 (((-2 (|:| |particular| (-3 (-1253 (-410 |#4|)) "failed")) (|:| -4079 (-635 (-1253 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)) 44))) 
-(((-662 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3002 ((-2 (|:| |particular| (-3 (-1253 (-410 |#4|)) "failed")) (|:| -4079 (-635 (-1253 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)))) (-559) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -662)) 
-((-3002 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *7)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 (-410 *8)) "failed")) (|:| -4079 (-635 (-1253 (-410 *8)))))) (-5 *1 (-662 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -3002 ((-2 (|:| |particular| (-3 (-1253 (-410 |#4|)) "failed")) (|:| -4079 (-635 (-1253 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3667 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-3588 ((|#2| $) NIL)) (-3531 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3359 (((-1253 (-681 |#2|))) NIL) (((-1253 (-681 |#2|)) (-1253 $)) NIL)) (-1491 (((-121) $) NIL)) (-1552 (((-1253 $)) 37)) (-3350 (((-121) $ (-765)) NIL)) (-2232 (($ |#2|) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| |#2| (-302)))) (-4128 (((-233 |#1| |#2|) $ (-569)) NIL)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (|has| |#2| (-559)))) (-3943 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-2459 (((-681 |#2|)) NIL) (((-681 |#2|) (-1253 $)) NIL)) (-1478 ((|#2| $) NIL)) (-4471 (((-681 |#2|) $) NIL) (((-681 |#2|) $ (-1253 $)) NIL)) (-4174 (((-3 $ "failed") $) NIL (|has| |#2| (-559)))) (-1965 (((-1161 (-955 |#2|))) NIL (|has| |#2| (-366)))) (-4382 (($ $ (-919)) NIL)) (-3557 ((|#2| $) NIL)) (-2212 (((-1161 |#2|) $) NIL (|has| |#2| (-559)))) (-1547 ((|#2|) NIL) ((|#2| (-1253 $)) NIL)) (-3168 (((-1161 |#2|) $) NIL)) (-3073 (((-121)) NIL)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) ((|#2| $) NIL)) (-2097 (($ (-1253 |#2|)) NIL) (($ (-1253 |#2|) (-1253 $)) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3358 (((-765) $) NIL (|has| |#2| (-559))) (((-919)) 38)) (-4124 ((|#2| $ (-569) (-569)) NIL)) (-3894 (((-121)) NIL)) (-2073 (($ $ (-919)) NIL)) (-4303 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL)) (-2557 (((-765) $) NIL (|has| |#2| (-559)))) (-3970 (((-635 (-233 |#1| |#2|)) $) NIL (|has| |#2| (-559)))) (-3568 (((-765) $) NIL)) (-1428 (((-121)) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-3164 ((|#2| $) NIL (|has| |#2| (-6 (-4573 "*"))))) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2926 (($ (-635 (-635 |#2|))) NIL)) (-2089 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-4269 (((-635 (-635 |#2|)) $) NIL)) (-4078 (((-121)) NIL)) (-4015 (((-121)) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (|has| |#2| (-559)))) (-1309 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-3707 (((-681 |#2|)) NIL) (((-681 |#2|) (-1253 $)) NIL)) (-2858 ((|#2| $) NIL)) (-4432 (((-681 |#2|) $) NIL) (((-681 |#2|) $ (-1253 $)) NIL)) (-2983 (((-3 $ "failed") $) NIL (|has| |#2| (-559)))) (-3348 (((-1161 (-955 |#2|))) NIL (|has| |#2| (-366)))) (-2846 (($ $ (-919)) NIL)) (-2170 ((|#2| $) NIL)) (-1650 (((-1161 |#2|) $) NIL (|has| |#2| (-559)))) (-2510 ((|#2|) NIL) ((|#2| (-1253 $)) NIL)) (-4215 (((-1161 |#2|) $) NIL)) (-2431 (((-121)) NIL)) (-2605 (((-1147) $) NIL)) (-2826 (((-121)) NIL)) (-4161 (((-121)) NIL)) (-3983 (((-121)) NIL)) (-1655 (((-3 $ "failed") $) NIL (|has| |#2| (-366)))) (-1912 (((-1111) $) NIL)) (-2067 (((-121)) NIL)) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-2985 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ (-569) (-569) |#2|) NIL) ((|#2| $ (-569) (-569)) 22) ((|#2| $ (-569)) NIL)) (-3289 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-4517 ((|#2| $) NIL)) (-3990 (($ (-635 |#2|)) NIL)) (-3757 (((-121) $) NIL)) (-2513 (((-233 |#1| |#2|) $) NIL)) (-4396 ((|#2| $) NIL (|has| |#2| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1799 (($ $) NIL)) (-3672 (((-681 |#2|) (-1253 $)) NIL) (((-1253 |#2|) $) NIL) (((-681 |#2|) (-1253 $) (-1253 $)) NIL) (((-1253 |#2|) $ (-1253 $)) 25)) (-4035 (($ (-1253 |#2|)) NIL) (((-1253 |#2|) $) NIL)) (-3127 (((-635 (-955 |#2|))) NIL) (((-635 (-955 |#2|)) (-1253 $)) NIL)) (-2689 (($ $ $) NIL)) (-2984 (((-121)) NIL)) (-2349 (((-233 |#1| |#2|) $ (-569)) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1039 (-410 (-569))))) (($ |#2|) NIL) (((-681 |#2|) $) NIL)) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) 36)) (-2628 (((-635 (-1253 |#2|))) NIL (|has| |#2| (-559)))) (-4379 (($ $ $ $) NIL)) (-1413 (((-121)) NIL)) (-1772 (($ (-681 |#2|) $) NIL)) (-3776 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-3924 (($ $ $) NIL)) (-1561 (((-121)) NIL)) (-3952 (((-121)) NIL)) (-1606 (((-121)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#2| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-233 |#1| |#2|) $ (-233 |#1| |#2|)) NIL) (((-233 |#1| |#2|) (-233 |#1| |#2|) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-663 |#1| |#2|) (-13 (-1114 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-681 |#2|)) (-420 |#2|)) (-919) (-173)) (T -663)) 
-NIL 
-(-13 (-1114 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-681 |#2|)) (-420 |#2|)) 
-((-1310 (((-121) $ $) NIL)) (-3810 (((-635 |#1|) $) NIL)) (-3417 (($ $) 50)) (-3713 (((-121) $) NIL)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4165 (((-3 $ "failed") (-816 |#1|)) 22)) (-1512 (((-121) (-816 |#1|)) 14)) (-1750 (($ (-816 |#1|)) 23)) (-1873 (((-121) $ $) 28)) (-2718 (((-919) $) 35)) (-3149 (($ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3139 (((-635 $) (-816 |#1|)) 16)) (-3956 (((-852) $) 41) (($ |#1|) 32) (((-816 |#1|) $) 37) (((-669 |#1|) $) 42)) (-4497 (((-64 (-635 $)) (-635 |#1|) (-919)) 55)) (-1565 (((-635 $) (-635 |#1|) (-919)) 57)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 51)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 36))) 
-(((-664 |#1|) (-13 (-844) (-1039 |#1|) (-10 -8 (-15 -3713 ((-121) $)) (-15 -3149 ($ $)) (-15 -3417 ($ $)) (-15 -2718 ((-919) $)) (-15 -1873 ((-121) $ $)) (-15 -3956 ((-816 |#1|) $)) (-15 -3956 ((-669 |#1|) $)) (-15 -3139 ((-635 $) (-816 |#1|))) (-15 -1512 ((-121) (-816 |#1|))) (-15 -1750 ($ (-816 |#1|))) (-15 -4165 ((-3 $ "failed") (-816 |#1|))) (-15 -3810 ((-635 |#1|) $)) (-15 -4497 ((-64 (-635 $)) (-635 |#1|) (-919))) (-15 -1565 ((-635 $) (-635 |#1|) (-919))))) (-844)) (T -664)) 
-((-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-3149 (*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-844)))) (-3417 (*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-844)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-1873 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-669 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-3139 (*1 *2 *3) (-12 (-5 *3 (-816 *4)) (-4 *4 (-844)) (-5 *2 (-635 (-664 *4))) (-5 *1 (-664 *4)))) (-1512 (*1 *2 *3) (-12 (-5 *3 (-816 *4)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-664 *4)))) (-1750 (*1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *3 (-844)) (-5 *1 (-664 *3)))) (-4165 (*1 *1 *2) (|partial| -12 (-5 *2 (-816 *3)) (-4 *3 (-844)) (-5 *1 (-664 *3)))) (-3810 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-4497 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-919)) (-4 *5 (-844)) (-5 *2 (-64 (-635 (-664 *5)))) (-5 *1 (-664 *5)))) (-1565 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-919)) (-4 *5 (-844)) (-5 *2 (-635 (-664 *5))) (-5 *1 (-664 *5))))) 
-(-13 (-844) (-1039 |#1|) (-10 -8 (-15 -3713 ((-121) $)) (-15 -3149 ($ $)) (-15 -3417 ($ $)) (-15 -2718 ((-919) $)) (-15 -1873 ((-121) $ $)) (-15 -3956 ((-816 |#1|) $)) (-15 -3956 ((-669 |#1|) $)) (-15 -3139 ((-635 $) (-816 |#1|))) (-15 -1512 ((-121) (-816 |#1|))) (-15 -1750 ($ (-816 |#1|))) (-15 -4165 ((-3 $ "failed") (-816 |#1|))) (-15 -3810 ((-635 |#1|) $)) (-15 -4497 ((-64 (-635 $)) (-635 |#1|) (-919))) (-15 -1565 ((-635 $) (-635 |#1|) (-919))))) 
-((-2756 ((|#2| $) 76)) (-2394 (($ $) 96)) (-3350 (((-121) $ (-765)) 26)) (-1864 (($ $) 85) (($ $ (-765)) 88)) (-1292 (((-121) $) 97)) (-3899 (((-635 $) $) 72)) (-2638 (((-121) $ $) 71)) (-3206 (((-121) $ (-765)) 24)) (-2497 (((-569) $) 46)) (-1301 (((-569) $) 45)) (-1396 (((-121) $ (-765)) 22)) (-3491 (((-121) $) 74)) (-3302 ((|#2| $) 89) (($ $ (-765)) 92)) (-2583 (($ $ $ (-569)) 62) (($ |#2| $ (-569)) 61)) (-2761 (((-635 (-569)) $) 44)) (-3292 (((-121) (-569) $) 42)) (-1816 ((|#2| $) NIL) (($ $ (-765)) 84)) (-3803 (($ $ (-569)) 99)) (-4363 (((-121) $) 98)) (-2985 (((-121) (-1 (-121) |#2|) $) 32)) (-4283 (((-635 |#2|) $) 33)) (-2503 ((|#2| $ "value") NIL) ((|#2| $ "first") 83) (($ $ "rest") 87) ((|#2| $ "last") 95) (($ $ (-1219 (-569))) 58) ((|#2| $ (-569)) 40) ((|#2| $ (-569) |#2|) 41)) (-3248 (((-569) $ $) 70)) (-2077 (($ $ (-1219 (-569))) 57) (($ $ (-569)) 51)) (-1630 (((-121) $) 66)) (-2588 (($ $) 81)) (-3977 (((-765) $) 80)) (-2483 (($ $) 79)) (-3124 (($ (-635 |#2|)) 37)) (-2994 (($ $) 100)) (-4065 (((-635 $) $) 69)) (-3773 (((-121) $ $) 68)) (-3776 (((-121) (-1 (-121) |#2|) $) 31)) (-1326 (((-121) $ $) 18)) (-2946 (((-765) $) 29))) 
-(((-665 |#1| |#2|) (-10 -8 (-15 -2994 (|#1| |#1|)) (-15 -3803 (|#1| |#1| (-569))) (-15 -1292 ((-121) |#1|)) (-15 -4363 ((-121) |#1|)) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -4283 ((-635 |#2|) |#1|)) (-15 -3292 ((-121) (-569) |#1|)) (-15 -2761 ((-635 (-569)) |#1|)) (-15 -1301 ((-569) |#1|)) (-15 -2497 ((-569) |#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2588 (|#1| |#1|)) (-15 -3977 ((-765) |#1|)) (-15 -2483 (|#1| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -3302 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "last")) (-15 -3302 (|#2| |#1|)) (-15 -1864 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| "rest")) (-15 -1864 (|#1| |#1|)) (-15 -1816 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "first")) (-15 -1816 (|#2| |#1|)) (-15 -2638 ((-121) |#1| |#1|)) (-15 -3773 ((-121) |#1| |#1|)) (-15 -3248 ((-569) |#1| |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2756 (|#2| |#1|)) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765)))) (-666 |#2|) (-1199)) (T -665)) 
-NIL 
-(-10 -8 (-15 -2994 (|#1| |#1|)) (-15 -3803 (|#1| |#1| (-569))) (-15 -1292 ((-121) |#1|)) (-15 -4363 ((-121) |#1|)) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -4283 ((-635 |#2|) |#1|)) (-15 -3292 ((-121) (-569) |#1|)) (-15 -2761 ((-635 (-569)) |#1|)) (-15 -1301 ((-569) |#1|)) (-15 -2497 ((-569) |#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2588 (|#1| |#1|)) (-15 -3977 ((-765) |#1|)) (-15 -2483 (|#1| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -3302 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "last")) (-15 -3302 (|#2| |#1|)) (-15 -1864 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| "rest")) (-15 -1864 (|#1| |#1|)) (-15 -1816 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "first")) (-15 -1816 (|#2| |#1|)) (-15 -2638 ((-121) |#1| |#1|)) (-15 -3773 ((-121) |#1| |#1|)) (-15 -3248 ((-569) |#1| |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2756 (|#2| |#1|)) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765)))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-1823 ((|#1| $) 62)) (-2394 (($ $) 64)) (-1403 (((-1258) $ (-569) (-569)) 94 (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 49 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2908 (($ $ $) 53 (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) 51 (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 55 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4572))) (($ $ "rest" $) 52 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 114 (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 99)) (-4024 ((|#1| $) 63)) (-4483 (($) 7 T CONST)) (-3788 (($ $) 118)) (-1864 (($ $) 70) (($ $ (-765)) 68)) (-1858 (($ $) 96 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 97 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 100)) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3982 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 84)) (-1292 (((-121) $) 80)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-1938 (((-765) $) 117)) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) 105)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 92 (|has| (-569) (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 91 (|has| (-569) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2176 (($ $) 120)) (-1849 (((-121) $) 121)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-3302 ((|#1| $) 67) (($ $ (-765)) 65)) (-2583 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-2761 (((-635 (-569)) $) 89)) (-3292 (((-121) (-569) $) 88)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2409 ((|#1| $) 119)) (-1816 ((|#1| $) 73) (($ $ (-765)) 71)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-2417 (($ $ |#1|) 93 (|has| $ (-6 -4572)))) (-3803 (($ $ (-569)) 116)) (-4363 (((-121) $) 81)) (-1385 (((-121) $) 122)) (-3522 (((-121) $) 123)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 87)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1219 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-3248 (((-569) $ $) 41)) (-2077 (($ $ (-1219 (-569))) 111) (($ $ (-569)) 110)) (-1630 (((-121) $) 43)) (-2588 (($ $) 59)) (-1390 (($ $) 56 (|has| $ (-6 -4572)))) (-3977 (((-765) $) 60)) (-2483 (($ $) 61)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 104)) (-4422 (($ $ $) 58 (|has| $ (-6 -4572))) (($ $ |#1|) 57 (|has| $ (-6 -4572)))) (-4456 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-2994 (($ $) 115)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-666 |#1|) (-1284) (-1199)) (T -666)) 
-((-3503 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) (-2140 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) (-3522 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-1385 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-1849 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-2176 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199)))) (-2409 (*1 *2 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199)))) (-3788 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199)))) (-1938 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) (-3803 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) (-2994 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199))))) 
-(-13 (-1137 |t#1|) (-10 -8 (-15 -3503 ($ (-1 (-121) |t#1|) $)) (-15 -2140 ($ (-1 (-121) |t#1|) $)) (-15 -3522 ((-121) $)) (-15 -1385 ((-121) $)) (-15 -1849 ((-121) $)) (-15 -2176 ($ $)) (-15 -2409 (|t#1| $)) (-15 -3788 ($ $)) (-15 -1938 ((-765) $)) (-15 -3803 ($ $ (-569))) (-15 -2994 ($ $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1137 |#1|) . T) ((-1199) . T) ((-1240 |#1|) . T)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2535 (($ (-765) (-765) (-765)) 32 (|has| |#1| (-1049)))) (-3350 (((-121) $ (-765)) NIL)) (-2416 ((|#1| $ (-765) (-765) (-765) |#1|) 27)) (-4483 (($) NIL T CONST)) (-2271 (($ $ $) 36 (|has| |#1| (-1049)))) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2600 (((-1253 (-765)) $) 8)) (-2883 (($ (-1165) $ $) 22)) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2643 (($ (-765)) 34 (|has| |#1| (-1049)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-765) (-765) (-765)) 25)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3124 (($ (-635 (-635 (-635 |#1|)))) 43)) (-3956 (((-852) $) NIL (|has| |#1| (-1093))) (($ (-960 (-960 (-960 |#1|)))) 15) (((-960 (-960 (-960 |#1|))) $) 12)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-667 |#1|) (-13 (-500 |#1|) (-10 -8 (IF (|has| |#1| (-1049)) (PROGN (-15 -2535 ($ (-765) (-765) (-765))) (-15 -2643 ($ (-765))) (-15 -2271 ($ $ $))) |noBranch|) (-15 -3124 ($ (-635 (-635 (-635 |#1|))))) (-15 -2503 (|#1| $ (-765) (-765) (-765))) (-15 -2416 (|#1| $ (-765) (-765) (-765) |#1|)) (-15 -3956 ($ (-960 (-960 (-960 |#1|))))) (-15 -3956 ((-960 (-960 (-960 |#1|))) $)) (-15 -2883 ($ (-1165) $ $)) (-15 -2600 ((-1253 (-765)) $)))) (-1093)) (T -667)) 
-((-2535 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-667 *3)) (-4 *3 (-1049)) (-4 *3 (-1093)))) (-2643 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-667 *3)) (-4 *3 (-1049)) (-4 *3 (-1093)))) (-2271 (*1 *1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-1049)) (-4 *2 (-1093)))) (-3124 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-635 *3)))) (-4 *3 (-1093)) (-5 *1 (-667 *3)))) (-2503 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-765)) (-5 *1 (-667 *2)) (-4 *2 (-1093)))) (-2416 (*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-667 *2)) (-4 *2 (-1093)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-960 (-960 (-960 *3)))) (-4 *3 (-1093)) (-5 *1 (-667 *3)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-960 (-960 (-960 *3)))) (-5 *1 (-667 *3)) (-4 *3 (-1093)))) (-2883 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-667 *3)) (-4 *3 (-1093)))) (-2600 (*1 *2 *1) (-12 (-5 *2 (-1253 (-765))) (-5 *1 (-667 *3)) (-4 *3 (-1093))))) 
-(-13 (-500 |#1|) (-10 -8 (IF (|has| |#1| (-1049)) (PROGN (-15 -2535 ($ (-765) (-765) (-765))) (-15 -2643 ($ (-765))) (-15 -2271 ($ $ $))) |noBranch|) (-15 -3124 ($ (-635 (-635 (-635 |#1|))))) (-15 -2503 (|#1| $ (-765) (-765) (-765))) (-15 -2416 (|#1| $ (-765) (-765) (-765) |#1|)) (-15 -3956 ($ (-960 (-960 (-960 |#1|))))) (-15 -3956 ((-960 (-960 (-960 |#1|))) $)) (-15 -2883 ($ (-1165) $ $)) (-15 -2600 ((-1253 (-765)) $)))) 
-((-2225 (((-121) |#1|) 5)) (-1911 (((-1258) |#1| (-1203) (-569) |#2|) 8)) (-1931 ((|#1| |#1| |#1| |#2|) 1)) (-1973 (((-3 |#2| "failed") (-635 (-955 (-569))) (-635 (-1165)) (-569)) 3)) (-2048 ((|SortedExponentVector| (-569) (-569) |#2|) 7)) (-2284 (((-569) |#1|) 6)) (-4143 (((-3 |#1| "failed") |#1| |#2|) 2)) (-4173 ((|#1| (-955 (-569)) (-1165) (-635 (-1165)) |#2|) 4))) 
-(((-668 |#1| |#2|) (-1284) (-1199) (-1199)) (T -668)) 
-((-1911 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1203)) (-5 *5 (-569)) (-4 *1 (-668 *3 *6)) (-4 *3 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1258)))) (-2048 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-569)) (-4 *1 (-668 *5 *4)) (-4 *5 (-1199)) (-4 *4 (-1199)) (-5 *2 |SortedExponentVector|))) (-2284 (*1 *2 *3) (-12 (-4 *1 (-668 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199)) (-5 *2 (-569)))) (-2225 (*1 *2 *3) (-12 (-4 *1 (-668 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199)) (-5 *2 (-121)))) (-4173 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-955 (-569))) (-5 *5 (-635 (-1165))) (-4 *1 (-668 *2 *6)) (-4 *6 (-1199)) (-5 *4 (-1165)) (-4 *2 (-1199)))) (-1973 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-635 (-1165))) (-5 *5 (-569)) (-4 *1 (-668 *6 *2)) (-4 *6 (-1199)) (-4 *2 (-1199)))) (-4143 (*1 *2 *2 *3) (|partial| -12 (-4 *1 (-668 *2 *3)) (-4 *2 (-1199)) (-4 *3 (-1199)))) (-1931 (*1 *2 *2 *2 *3) (-12 (-4 *1 (-668 *2 *3)) (-4 *2 (-1199)) (-4 *3 (-1199))))) 
-(-13 (-10 -7 (-15 -1931 (|t#1| |t#1| |t#1| |t#2|)) (-15 -4143 ((-3 |t#1| "failed") |t#1| |t#2|)) (-15 -1973 ((-3 |t#2| "failed") (-635 (-955 (-569))) (-635 (-1165)) (-569))) (-15 -4173 (|t#1| (-955 (-569)) (-1165) (-635 (-1165)) |t#2|)) (-15 -2225 ((-121) |t#1|)) (-15 -2284 ((-569) |t#1|)) (-15 -2048 (|SortedExponentVector| (-569) (-569) |t#2|)) (-15 -1911 ((-1258) |t#1| (-1203) (-569) |t#2|)))) 
-((-1310 (((-121) $ $) NIL)) (-3810 (((-635 |#1|) $) 14)) (-3417 (($ $) 18)) (-3713 (((-121) $) 19)) (-3003 (((-3 |#1| "failed") $) 22)) (-1321 ((|#1| $) 20)) (-1864 (($ $) 36)) (-2745 (($ $) 24)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-1873 (((-121) $ $) 41)) (-2718 (((-919) $) 38)) (-3149 (($ $) 17)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 ((|#1| $) 35)) (-3956 (((-852) $) 31) (($ |#1|) 23) (((-816 |#1|) $) 27)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 12)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 40)) (* (($ $ $) 34))) 
-(((-669 |#1|) (-13 (-844) (-1039 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -3956 ((-816 |#1|) $)) (-15 -1816 (|#1| $)) (-15 -3149 ($ $)) (-15 -2718 ((-919) $)) (-15 -1873 ((-121) $ $)) (-15 -2745 ($ $)) (-15 -1864 ($ $)) (-15 -3713 ((-121) $)) (-15 -3417 ($ $)) (-15 -3810 ((-635 |#1|) $)))) (-844)) (T -669)) 
-((* (*1 *1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) (-1816 (*1 *2 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-3149 (*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) (-1873 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) (-2745 (*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-1864 (*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) (-3417 (*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-3810 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-669 *3)) (-4 *3 (-844))))) 
-(-13 (-844) (-1039 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -3956 ((-816 |#1|) $)) (-15 -1816 (|#1| $)) (-15 -3149 ($ $)) (-15 -2718 ((-919) $)) (-15 -1873 ((-121) $ $)) (-15 -2745 ($ $)) (-15 -1864 ($ $)) (-15 -3713 ((-121) $)) (-15 -3417 ($ $)) (-15 -3810 ((-635 |#1|) $)))) 
-((-3623 ((|#1| (-1 |#1| (-765) |#1|) (-765) |#1|) 11)) (-4155 ((|#1| (-1 |#1| |#1|) (-765) |#1|) 9))) 
-(((-670 |#1|) (-10 -7 (-15 -4155 (|#1| (-1 |#1| |#1|) (-765) |#1|)) (-15 -3623 (|#1| (-1 |#1| (-765) |#1|) (-765) |#1|))) (-1093)) (T -670)) 
-((-3623 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-765) *2)) (-5 *4 (-765)) (-4 *2 (-1093)) (-5 *1 (-670 *2)))) (-4155 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-765)) (-4 *2 (-1093)) (-5 *1 (-670 *2))))) 
-(-10 -7 (-15 -4155 (|#1| (-1 |#1| |#1|) (-765) |#1|)) (-15 -3623 (|#1| (-1 |#1| (-765) |#1|) (-765) |#1|))) 
-((-2898 ((|#2| |#1| |#2|) 9)) (-2893 ((|#1| |#1| |#2|) 8))) 
-(((-671 |#1| |#2|) (-10 -7 (-15 -2893 (|#1| |#1| |#2|)) (-15 -2898 (|#2| |#1| |#2|))) (-1093) (-1093)) (T -671)) 
-((-2898 (*1 *2 *3 *2) (-12 (-5 *1 (-671 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-2893 (*1 *2 *2 *3) (-12 (-5 *1 (-671 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
-(-10 -7 (-15 -2893 (|#1| |#1| |#2|)) (-15 -2898 (|#2| |#1| |#2|))) 
-((-3014 ((|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|) 11))) 
-(((-672 |#1| |#2| |#3|) (-10 -7 (-15 -3014 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) (-1093) (-1093) (-1093)) (T -672)) 
-((-3014 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)) (-5 *1 (-672 *5 *6 *2))))) 
-(-10 -7 (-15 -3014 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) 
-((-3623 (((-1 |#1| (-765) |#1|) (-1 |#1| (-765) |#1|)) 23)) (-3798 (((-1 |#1|) |#1|) 8)) (-3227 ((|#1| |#1|) 16)) (-1431 (((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569)) 15) ((|#1| (-1 |#1| |#1|)) 11)) (-3956 (((-1 |#1|) |#1|) 9)) (** (((-1 |#1| |#1|) (-1 |#1| |#1|) (-765)) 20))) 
-(((-673 |#1|) (-10 -7 (-15 -3798 ((-1 |#1|) |#1|)) (-15 -3956 ((-1 |#1|) |#1|)) (-15 -1431 (|#1| (-1 |#1| |#1|))) (-15 -1431 ((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569))) (-15 -3227 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-765))) (-15 -3623 ((-1 |#1| (-765) |#1|) (-1 |#1| (-765) |#1|)))) (-1093)) (T -673)) 
-((-3623 (*1 *2 *2) (-12 (-5 *2 (-1 *3 (-765) *3)) (-4 *3 (-1093)) (-5 *1 (-673 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *4 (-1093)) (-5 *1 (-673 *4)))) (-3227 (*1 *2 *2) (-12 (-5 *1 (-673 *2)) (-4 *2 (-1093)))) (-1431 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 *5) (-635 *5))) (-5 *4 (-569)) (-5 *2 (-635 *5)) (-5 *1 (-673 *5)) (-4 *5 (-1093)))) (-1431 (*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-673 *2)) (-4 *2 (-1093)))) (-3956 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-673 *3)) (-4 *3 (-1093)))) (-3798 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-673 *3)) (-4 *3 (-1093))))) 
-(-10 -7 (-15 -3798 ((-1 |#1|) |#1|)) (-15 -3956 ((-1 |#1|) |#1|)) (-15 -1431 (|#1| (-1 |#1| |#1|))) (-15 -1431 ((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569))) (-15 -3227 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-765))) (-15 -3623 ((-1 |#1| (-765) |#1|) (-1 |#1| (-765) |#1|)))) 
-((-2302 (((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)) 16)) (-2152 (((-1 |#2|) (-1 |#2| |#1|) |#1|) 13)) (-3575 (((-1 |#2| |#1|) (-1 |#2|)) 14)) (-2303 (((-1 |#2| |#1|) |#2|) 11))) 
-(((-674 |#1| |#2|) (-10 -7 (-15 -2303 ((-1 |#2| |#1|) |#2|)) (-15 -2152 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -3575 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -2302 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) (-1093) (-1093)) (T -674)) 
-((-2302 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-5 *2 (-1 *5 *4)) (-5 *1 (-674 *4 *5)))) (-3575 (*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1093)) (-5 *2 (-1 *5 *4)) (-5 *1 (-674 *4 *5)) (-4 *4 (-1093)))) (-2152 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-5 *2 (-1 *5)) (-5 *1 (-674 *4 *5)))) (-2303 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-674 *4 *3)) (-4 *4 (-1093)) (-4 *3 (-1093))))) 
-(-10 -7 (-15 -2303 ((-1 |#2| |#1|) |#2|)) (-15 -2152 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -3575 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -2302 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) 
-((-1354 (((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|)) 17)) (-3106 (((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|) 11)) (-1697 (((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|) 13)) (-4151 (((-1 |#3| |#1| |#2|) (-1 |#3| |#1|)) 14)) (-2172 (((-1 |#3| |#1| |#2|) (-1 |#3| |#2|)) 15)) (* (((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)) 21))) 
-(((-675 |#1| |#2| |#3|) (-10 -7 (-15 -3106 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -1697 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -4151 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -2172 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -1354 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) (-1093) (-1093) (-1093)) (T -675)) 
-((* (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-1 *7 *5)) (-5 *1 (-675 *5 *6 *7)))) (-1354 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-675 *4 *5 *6)))) (-2172 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-675 *4 *5 *6)) (-4 *4 (-1093)))) (-4151 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-675 *4 *5 *6)) (-4 *5 (-1093)))) (-1697 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5)) (-5 *1 (-675 *4 *5 *6)))) (-3106 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1093)) (-4 *4 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5)) (-5 *1 (-675 *5 *4 *6))))) 
-(-10 -7 (-15 -3106 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -1697 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -4151 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -2172 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -1354 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) 
-((-1383 (((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)) 18)) (-1377 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 12)) (-1371 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 10)) (* (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 14))) 
-(((-676 |#1| |#2|) (-10 -7 (-15 -1371 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1377 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1383 ((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)))) (-1093) (-1049)) (T -676)) 
-((-1383 (*1 *2 *2 *2) (-12 (-5 *2 (-1 (-311 (-569)) *3)) (-4 *3 (-1093)) (-5 *1 (-676 *3 *4)) (-4 *4 (-1049)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4)))) (-1377 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4)))) (-1371 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4))))) 
-(-10 -7 (-15 -1371 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1377 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1383 ((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)))) 
-((-2793 ((|#5| (-1 |#5| |#1| |#5|) |#4| |#5|) 39)) (-4188 (((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|) 37) ((|#8| (-1 |#5| |#1|) |#4|) 31))) 
-(((-677 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4188 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -4188 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -2793 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) (-1049) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|) (-1049) (-376 |#5|) (-376 |#5|) (-679 |#5| |#6| |#7|)) (T -677)) 
-((-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1049)) (-4 *2 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *8 (-376 *2)) (-4 *9 (-376 *2)) (-5 *1 (-677 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-679 *5 *6 *7)) (-4 *10 (-679 *2 *8 *9)))) (-4188 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-679 *8 *9 *10)) (-5 *1 (-677 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-679 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-679 *8 *9 *10)) (-5 *1 (-677 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-679 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8))))) 
-(-10 -7 (-15 -4188 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -4188 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -2793 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) 
-((-3397 (($ (-765) (-765)) 31)) (-1939 (($ $ $) 56)) (-3976 (($ |#3|) 52) (($ $) 53)) (-3531 (((-121) $) 26)) (-1361 (($ $ (-569) (-569)) 58)) (-4154 (($ $ (-569) (-569)) 59)) (-4244 (($ $ (-569) (-569) (-569) (-569)) 63)) (-3451 (($ $) 54)) (-1491 (((-121) $) 14)) (-1506 (($ $ (-569) (-569) $) 64)) (-2511 ((|#2| $ (-569) (-569) |#2|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) 62)) (-2232 (($ (-765) |#2|) 38)) (-3917 ((|#2| $) 107)) (-2926 (($ (-635 (-635 |#2|))) 34) (($ (-765) (-765) (-1 |#2| (-569) (-569))) 36)) (-4269 (((-635 (-635 |#2|)) $) 57)) (-3116 (($ $ $) 55)) (-1436 (((-3 $ "failed") $ |#2|) 110)) (-2503 ((|#2| $ (-569) (-569)) NIL) ((|#2| $ (-569) (-569) |#2|) NIL) (($ $ (-635 (-569)) (-635 (-569))) 61)) (-3990 (($ (-635 |#2|)) 40) (($ (-635 $)) 42)) (-3757 (((-121) $) 23)) (-3300 (((-635 |#4|) $) 93)) (-3956 (((-852) $) NIL) (($ |#4|) 47)) (-2421 (((-121) $) 28)) (-1383 (($ $ |#2|) 112)) (-1377 (($ $ $) 68) (($ $) 71)) (-1371 (($ $ $) 66)) (** (($ $ (-765)) 80) (($ $ (-569)) 115)) (* (($ $ $) 77) (($ |#2| $) 73) (($ $ |#2|) 74) (($ (-569) $) 76) ((|#4| $ |#4|) 84) ((|#3| |#3| $) 88))) 
-(((-678 |#1| |#2| |#3| |#4|) (-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -3917 (|#2| |#1|)) (-15 -3300 ((-635 |#4|) |#1|)) (-15 -1383 (|#1| |#1| |#2|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-765))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -1506 (|#1| |#1| (-569) (-569) |#1|)) (-15 -4244 (|#1| |#1| (-569) (-569) (-569) (-569))) (-15 -4154 (|#1| |#1| (-569) (-569))) (-15 -1361 (|#1| |#1| (-569) (-569))) (-15 -2511 (|#1| |#1| (-635 (-569)) (-635 (-569)) |#1|)) (-15 -2503 (|#1| |#1| (-635 (-569)) (-635 (-569)))) (-15 -4269 ((-635 (-635 |#2|)) |#1|)) (-15 -1939 (|#1| |#1| |#1|)) (-15 -3116 (|#1| |#1| |#1|)) (-15 -3451 (|#1| |#1|)) (-15 -3976 (|#1| |#1|)) (-15 -3976 (|#1| |#3|)) (-15 -3956 (|#1| |#4|)) (-15 -3990 (|#1| (-635 |#1|))) (-15 -3990 (|#1| (-635 |#2|))) (-15 -2232 (|#1| (-765) |#2|)) (-15 -2926 (|#1| (-765) (-765) (-1 |#2| (-569) (-569)))) (-15 -2926 (|#1| (-635 (-635 |#2|)))) (-15 -3397 (|#1| (-765) (-765))) (-15 -2421 ((-121) |#1|)) (-15 -3531 ((-121) |#1|)) (-15 -3757 ((-121) |#1|)) (-15 -1491 ((-121) |#1|)) (-15 -2511 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569))) (-15 -3956 ((-852) |#1|))) (-679 |#2| |#3| |#4|) (-1049) (-376 |#2|) (-376 |#2|)) (T -678)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -3917 (|#2| |#1|)) (-15 -3300 ((-635 |#4|) |#1|)) (-15 -1383 (|#1| |#1| |#2|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-765))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -1506 (|#1| |#1| (-569) (-569) |#1|)) (-15 -4244 (|#1| |#1| (-569) (-569) (-569) (-569))) (-15 -4154 (|#1| |#1| (-569) (-569))) (-15 -1361 (|#1| |#1| (-569) (-569))) (-15 -2511 (|#1| |#1| (-635 (-569)) (-635 (-569)) |#1|)) (-15 -2503 (|#1| |#1| (-635 (-569)) (-635 (-569)))) (-15 -4269 ((-635 (-635 |#2|)) |#1|)) (-15 -1939 (|#1| |#1| |#1|)) (-15 -3116 (|#1| |#1| |#1|)) (-15 -3451 (|#1| |#1|)) (-15 -3976 (|#1| |#1|)) (-15 -3976 (|#1| |#3|)) (-15 -3956 (|#1| |#4|)) (-15 -3990 (|#1| (-635 |#1|))) (-15 -3990 (|#1| (-635 |#2|))) (-15 -2232 (|#1| (-765) |#2|)) (-15 -2926 (|#1| (-765) (-765) (-1 |#2| (-569) (-569)))) (-15 -2926 (|#1| (-635 (-635 |#2|)))) (-15 -3397 (|#1| (-765) (-765))) (-15 -2421 ((-121) |#1|)) (-15 -3531 ((-121) |#1|)) (-15 -3757 ((-121) |#1|)) (-15 -1491 ((-121) |#1|)) (-15 -2511 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3397 (($ (-765) (-765)) 95)) (-1939 (($ $ $) 84)) (-3976 (($ |#2|) 88) (($ $) 87)) (-3531 (((-121) $) 97)) (-1361 (($ $ (-569) (-569)) 80)) (-4154 (($ $ (-569) (-569)) 79)) (-4244 (($ $ (-569) (-569) (-569) (-569)) 78)) (-3451 (($ $) 86)) (-1491 (((-121) $) 99)) (-3350 (((-121) $ (-765)) 8)) (-1506 (($ $ (-569) (-569) $) 77)) (-2511 ((|#1| $ (-569) (-569) |#1|) 41) (($ $ (-635 (-569)) (-635 (-569)) $) 81)) (-3890 (($ $ (-569) |#2|) 39)) (-1622 (($ $ (-569) |#3|) 38)) (-2232 (($ (-765) |#1|) 92)) (-4483 (($) 7 T CONST)) (-4003 (($ $) 64 (|has| |#1| (-302)))) (-4128 ((|#2| $ (-569)) 43)) (-3358 (((-765) $) 62 (|has| |#1| (-559)))) (-3982 ((|#1| $ (-569) (-569) |#1|) 40)) (-4124 ((|#1| $ (-569) (-569)) 45)) (-3917 ((|#1| $) 57 (|has| |#1| (-173)))) (-4303 (((-635 |#1|) $) 30)) (-2557 (((-765) $) 61 (|has| |#1| (-559)))) (-3970 (((-635 |#3|) $) 60 (|has| |#1| (-559)))) (-3568 (((-765) $) 48)) (-2446 (($ (-765) (-765) |#1|) 54)) (-4145 (((-765) $) 47)) (-3206 (((-121) $ (-765)) 9)) (-3164 ((|#1| $) 58 (|has| |#1| (-6 (-4573 "*"))))) (-4094 (((-569) $) 52)) (-3841 (((-569) $) 50)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2376 (((-569) $) 51)) (-2414 (((-569) $) 49)) (-2926 (($ (-635 (-635 |#1|))) 94) (($ (-765) (-765) (-1 |#1| (-569) (-569))) 93)) (-2089 (($ (-1 |#1| |#1|) $) 34)) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-4269 (((-635 (-635 |#1|)) $) 83)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1655 (((-3 $ "failed") $) 56 (|has| |#1| (-366)))) (-3116 (($ $ $) 85)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) 53)) (-1436 (((-3 $ "failed") $ |#1|) 66 (|has| |#1| (-559)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) (-569)) 46) ((|#1| $ (-569) (-569) |#1|) 44) (($ $ (-635 (-569)) (-635 (-569))) 82)) (-3990 (($ (-635 |#1|)) 91) (($ (-635 $)) 90)) (-3757 (((-121) $) 98)) (-4396 ((|#1| $) 59 (|has| |#1| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3300 (((-635 |#3|) $) 63 (|has| |#1| (-302)))) (-2349 ((|#3| $ (-569)) 42)) (-3956 (((-852) $) 20 (|has| |#1| (-1093))) (($ |#3|) 89)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-2421 (((-121) $) 96)) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1383 (($ $ |#1|) 65 (|has| |#1| (-366)))) (-1377 (($ $ $) 75) (($ $) 74)) (-1371 (($ $ $) 76)) (** (($ $ (-765)) 67) (($ $ (-569)) 55 (|has| |#1| (-366)))) (* (($ $ $) 73) (($ |#1| $) 72) (($ $ |#1|) 71) (($ (-569) $) 70) ((|#3| $ |#3|) 69) ((|#2| |#2| $) 68)) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-679 |#1| |#2| |#3|) (-1284) (-1049) (-376 |t#1|) (-376 |t#1|)) (T -679)) 
-((-1491 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-3757 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-3531 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-2421 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-3397 (*1 *1 *2 *2) (-12 (-5 *2 (-765)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2926 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2926 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-1 *4 (-569) (-569))) (-4 *4 (-1049)) (-4 *1 (-679 *4 *5 *6)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)))) (-2232 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-3990 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-3990 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *2)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) (-3976 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-679 *3 *2 *4)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) (-3976 (*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-3451 (*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-3116 (*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1939 (*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-4269 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 (-635 *3))))) (-2503 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2511 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1361 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4154 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4244 (*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1506 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1371 (*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1377 (*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1377 (*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-679 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-679 *3 *2 *4)) (-4 *3 (-1049)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1436 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-559)))) (-1383 (*1 *1 *1 *2) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) (-4003 (*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-302)))) (-3300 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-302)) (-5 *2 (-635 *5)))) (-3358 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-765)))) (-2557 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-765)))) (-3970 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-635 *5)))) (-4396 (*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) (-3164 (*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) (-3917 (*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-1049)) (-4 *2 (-173)))) (-1655 (*1 *1 *1) (|partial| -12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-366))))) 
-(-13 (-62 |t#1| |t#2| |t#3|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -1491 ((-121) $)) (-15 -3757 ((-121) $)) (-15 -3531 ((-121) $)) (-15 -2421 ((-121) $)) (-15 -3397 ($ (-765) (-765))) (-15 -2926 ($ (-635 (-635 |t#1|)))) (-15 -2926 ($ (-765) (-765) (-1 |t#1| (-569) (-569)))) (-15 -2232 ($ (-765) |t#1|)) (-15 -3990 ($ (-635 |t#1|))) (-15 -3990 ($ (-635 $))) (-15 -3956 ($ |t#3|)) (-15 -3976 ($ |t#2|)) (-15 -3976 ($ $)) (-15 -3451 ($ $)) (-15 -3116 ($ $ $)) (-15 -1939 ($ $ $)) (-15 -4269 ((-635 (-635 |t#1|)) $)) (-15 -2503 ($ $ (-635 (-569)) (-635 (-569)))) (-15 -2511 ($ $ (-635 (-569)) (-635 (-569)) $)) (-15 -1361 ($ $ (-569) (-569))) (-15 -4154 ($ $ (-569) (-569))) (-15 -4244 ($ $ (-569) (-569) (-569) (-569))) (-15 -1506 ($ $ (-569) (-569) $)) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)) (-15 -1377 ($ $)) (-15 * ($ $ $)) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 * ($ (-569) $)) (-15 * (|t#3| $ |t#3|)) (-15 * (|t#2| |t#2| $)) (-15 ** ($ $ (-765))) (IF (|has| |t#1| (-559)) (-15 -1436 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-366)) (-15 -1383 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-302)) (PROGN (-15 -4003 ($ $)) (-15 -3300 ((-635 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -3358 ((-765) $)) (-15 -2557 ((-765) $)) (-15 -3970 ((-635 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-6 (-4573 "*"))) (PROGN (-15 -4396 (|t#1| $)) (-15 -3164 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-173)) (-15 -3917 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-15 -1655 ((-3 $ "failed") $)) (-15 ** ($ $ (-569)))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-62 |#1| |#2| |#3|) . T) ((-1199) . T)) 
-((-4003 ((|#4| |#4|) 67 (|has| |#1| (-302)))) (-3358 (((-765) |#4|) 69 (|has| |#1| (-559)))) (-2557 (((-765) |#4|) 71 (|has| |#1| (-559)))) (-3970 (((-635 |#3|) |#4|) 78 (|has| |#1| (-559)))) (-1883 (((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|) 95 (|has| |#1| (-302)))) (-3164 ((|#1| |#4|) 33)) (-3526 (((-3 |#4| "failed") |#4|) 61 (|has| |#1| (-559)))) (-1655 (((-3 |#4| "failed") |#4|) 75 (|has| |#1| (-366)))) (-4119 ((|#4| |#4|) 54 (|has| |#1| (-559)))) (-2755 ((|#4| |#4| |#1| (-569) (-569)) 41)) (-1416 ((|#4| |#4| (-569) (-569)) 36)) (-1628 ((|#4| |#4| |#1| (-569) (-569)) 46)) (-4396 ((|#1| |#4|) 73)) (-1947 (((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) 57 (|has| |#1| (-559))))) 
-(((-680 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4396 (|#1| |#4|)) (-15 -3164 (|#1| |#4|)) (-15 -1416 (|#4| |#4| (-569) (-569))) (-15 -2755 (|#4| |#4| |#1| (-569) (-569))) (-15 -1628 (|#4| |#4| |#1| (-569) (-569))) (IF (|has| |#1| (-559)) (PROGN (-15 -3358 ((-765) |#4|)) (-15 -2557 ((-765) |#4|)) (-15 -3970 ((-635 |#3|) |#4|)) (-15 -4119 (|#4| |#4|)) (-15 -3526 ((-3 |#4| "failed") |#4|)) (-15 -1947 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-302)) (PROGN (-15 -4003 (|#4| |#4|)) (-15 -1883 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -1655 ((-3 |#4| "failed") |#4|)) |noBranch|)) (-173) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|)) (T -680)) 
-((-1655 (*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-1883 (*1 *2 *3 *3) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-680 *3 *4 *5 *6)) (-4 *6 (-679 *3 *4 *5)))) (-4003 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-1947 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-3526 (*1 *2 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-4119 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-3970 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-2557 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-3358 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-1628 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-680 *3 *5 *6 *2)) (-4 *2 (-679 *3 *5 *6)))) (-2755 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-680 *3 *5 *6 *2)) (-4 *2 (-679 *3 *5 *6)))) (-1416 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *1 (-680 *4 *5 *6 *2)) (-4 *2 (-679 *4 *5 *6)))) (-3164 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-680 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5)))) (-4396 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-680 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5))))) 
-(-10 -7 (-15 -4396 (|#1| |#4|)) (-15 -3164 (|#1| |#4|)) (-15 -1416 (|#4| |#4| (-569) (-569))) (-15 -2755 (|#4| |#4| |#1| (-569) (-569))) (-15 -1628 (|#4| |#4| |#1| (-569) (-569))) (IF (|has| |#1| (-559)) (PROGN (-15 -3358 ((-765) |#4|)) (-15 -2557 ((-765) |#4|)) (-15 -3970 ((-635 |#3|) |#4|)) (-15 -4119 (|#4| |#4|)) (-15 -3526 ((-3 |#4| "failed") |#4|)) (-15 -1947 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-302)) (PROGN (-15 -4003 (|#4| |#4|)) (-15 -1883 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -1655 ((-3 |#4| "failed") |#4|)) |noBranch|)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765) (-765)) 45)) (-1939 (($ $ $) NIL)) (-3976 (($ (-1253 |#1|)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) 12)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-1253 |#1|)) NIL)) (-1622 (($ $ (-569) (-1253 |#1|)) NIL)) (-2232 (($ (-765) |#1|) 22)) (-4483 (($) NIL T CONST)) (-4003 (($ $) 30 (|has| |#1| (-302)))) (-4128 (((-1253 |#1|) $ (-569)) NIL)) (-3358 (((-765) $) 32 (|has| |#1| (-559)))) (-3982 ((|#1| $ (-569) (-569) |#1|) 50)) (-4124 ((|#1| $ (-569) (-569)) NIL)) (-3917 ((|#1| $) NIL (|has| |#1| (-173)))) (-4303 (((-635 |#1|) $) NIL)) (-2557 (((-765) $) 34 (|has| |#1| (-559)))) (-3970 (((-635 (-1253 |#1|)) $) 37 (|has| |#1| (-559)))) (-3568 (((-765) $) 20)) (-2446 (($ (-765) (-765) |#1|) NIL)) (-4145 (((-765) $) 21)) (-3206 (((-121) $ (-765)) NIL)) (-3164 ((|#1| $) 28 (|has| |#1| (-6 (-4573 "*"))))) (-4094 (((-569) $) 9)) (-3841 (((-569) $) 10)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) 11)) (-2414 (((-569) $) 46)) (-2926 (($ (-635 (-635 |#1|))) NIL) (($ (-765) (-765) (-1 |#1| (-569) (-569))) NIL)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-4269 (((-635 (-635 |#1|)) $) 58)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1655 (((-3 $ "failed") $) 41 (|has| |#1| (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL) (($ (-1253 |#1|)) 51)) (-3757 (((-121) $) NIL)) (-4396 ((|#1| $) 26 (|has| |#1| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-4035 (((-542) $) 62 (|has| |#1| (-610 (-542))))) (-3300 (((-635 (-1253 |#1|)) $) NIL (|has| |#1| (-302)))) (-2349 (((-1253 |#1|) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093))) (($ (-1253 |#1|)) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) 23) (($ $ (-569)) 44 (|has| |#1| (-366)))) (* (($ $ $) 13) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-1253 |#1|) $ (-1253 |#1|)) NIL) (((-1253 |#1|) (-1253 |#1|) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-681 |#1|) (-13 (-679 |#1| (-1253 |#1|) (-1253 |#1|)) (-10 -8 (-15 -3990 ($ (-1253 |#1|))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -1655 ((-3 $ "failed") $)) |noBranch|))) (-1049)) (T -681)) 
-((-1655 (*1 *1 *1) (|partial| -12 (-5 *1 (-681 *2)) (-4 *2 (-366)) (-4 *2 (-1049)))) (-3990 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1049)) (-5 *1 (-681 *3))))) 
-(-13 (-679 |#1| (-1253 |#1|) (-1253 |#1|)) (-10 -8 (-15 -3990 ($ (-1253 |#1|))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -1655 ((-3 $ "failed") $)) |noBranch|))) 
-((-1717 (((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|)) 25)) (-4223 (((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|) 21)) (-4309 (((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-765)) 26)) (-2227 (((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|)) 14)) (-3369 (((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|)) 18) (((-681 |#1|) (-681 |#1|) (-681 |#1|)) 16)) (-3308 (((-681 |#1|) (-681 |#1|) |#1| (-681 |#1|)) 20)) (-3677 (((-681 |#1|) (-681 |#1|) (-681 |#1|)) 12)) (** (((-681 |#1|) (-681 |#1|) (-765)) 30))) 
-(((-682 |#1|) (-10 -7 (-15 -3677 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -2227 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3369 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3369 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3308 ((-681 |#1|) (-681 |#1|) |#1| (-681 |#1|))) (-15 -4223 ((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|)) (-15 -1717 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -4309 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-765))) (-15 ** ((-681 |#1|) (-681 |#1|) (-765)))) (-1049)) (T -682)) 
-((** (*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-682 *4)))) (-4309 (*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-682 *4)))) (-1717 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-4223 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-3308 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-3369 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-3369 (*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-2227 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-3677 (*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
-(-10 -7 (-15 -3677 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -2227 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3369 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3369 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3308 ((-681 |#1|) (-681 |#1|) |#1| (-681 |#1|))) (-15 -4223 ((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|)) (-15 -1717 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -4309 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-765))) (-15 ** ((-681 |#1|) (-681 |#1|) (-765)))) 
-((-1737 ((|#2| |#2| |#4|) 25)) (-3606 (((-681 |#2|) |#3| |#4|) 31)) (-1874 (((-681 |#2|) |#2| |#4|) 30)) (-4091 (((-1253 |#2|) |#2| |#4|) 16)) (-3479 ((|#2| |#3| |#4|) 24)) (-3122 (((-681 |#2|) |#3| |#4| (-765) (-765)) 38)) (-3997 (((-681 |#2|) |#2| |#4| (-765)) 37))) 
-(((-683 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4091 ((-1253 |#2|) |#2| |#4|)) (-15 -3479 (|#2| |#3| |#4|)) (-15 -1737 (|#2| |#2| |#4|)) (-15 -1874 ((-681 |#2|) |#2| |#4|)) (-15 -3997 ((-681 |#2|) |#2| |#4| (-765))) (-15 -3606 ((-681 |#2|) |#3| |#4|)) (-15 -3122 ((-681 |#2|) |#3| |#4| (-765) (-765)))) (-1093) (-897 |#1|) (-376 |#2|) (-13 (-376 |#1|) (-10 -7 (-6 -4571)))) (T -683)) 
-((-3122 (*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-765)) (-4 *6 (-1093)) (-4 *7 (-897 *6)) (-5 *2 (-681 *7)) (-5 *1 (-683 *6 *7 *3 *4)) (-4 *3 (-376 *7)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4571)))))) (-3606 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *6 (-897 *5)) (-5 *2 (-681 *6)) (-5 *1 (-683 *5 *6 *3 *4)) (-4 *3 (-376 *6)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571)))))) (-3997 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-1093)) (-4 *3 (-897 *6)) (-5 *2 (-681 *3)) (-5 *1 (-683 *6 *3 *7 *4)) (-4 *7 (-376 *3)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4571)))))) (-1874 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *3 (-897 *5)) (-5 *2 (-681 *3)) (-5 *1 (-683 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571)))))) (-1737 (*1 *2 *2 *3) (-12 (-4 *4 (-1093)) (-4 *2 (-897 *4)) (-5 *1 (-683 *4 *2 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-13 (-376 *4) (-10 -7 (-6 -4571)))))) (-3479 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *2 (-897 *5)) (-5 *1 (-683 *5 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571)))))) (-4091 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *3 (-897 *5)) (-5 *2 (-1253 *3)) (-5 *1 (-683 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571))))))) 
-(-10 -7 (-15 -4091 ((-1253 |#2|) |#2| |#4|)) (-15 -3479 (|#2| |#3| |#4|)) (-15 -1737 (|#2| |#2| |#4|)) (-15 -1874 ((-681 |#2|) |#2| |#4|)) (-15 -3997 ((-681 |#2|) |#2| |#4| (-765))) (-15 -3606 ((-681 |#2|) |#3| |#4|)) (-15 -3122 ((-681 |#2|) |#3| |#4| (-765) (-765)))) 
-((-3979 (((-2 (|:| |num| (-681 |#1|)) (|:| |den| |#1|)) (-681 |#2|)) 18)) (-1644 ((|#1| (-681 |#2|)) 9)) (-3247 (((-681 |#1|) (-681 |#2|)) 16))) 
-(((-684 |#1| |#2|) (-10 -7 (-15 -1644 (|#1| (-681 |#2|))) (-15 -3247 ((-681 |#1|) (-681 |#2|))) (-15 -3979 ((-2 (|:| |num| (-681 |#1|)) (|:| |den| |#1|)) (-681 |#2|)))) (-559) (-995 |#1|)) (T -684)) 
-((-3979 (*1 *2 *3) (-12 (-5 *3 (-681 *5)) (-4 *5 (-995 *4)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| (-681 *4)) (|:| |den| *4))) (-5 *1 (-684 *4 *5)))) (-3247 (*1 *2 *3) (-12 (-5 *3 (-681 *5)) (-4 *5 (-995 *4)) (-4 *4 (-559)) (-5 *2 (-681 *4)) (-5 *1 (-684 *4 *5)))) (-1644 (*1 *2 *3) (-12 (-5 *3 (-681 *4)) (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-684 *2 *4))))) 
-(-10 -7 (-15 -1644 (|#1| (-681 |#2|))) (-15 -3247 ((-681 |#1|) (-681 |#2|))) (-15 -3979 ((-2 (|:| |num| (-681 |#1|)) (|:| |den| |#1|)) (-681 |#2|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-2245 (((-681 (-690))) NIL) (((-681 (-690)) (-1253 $)) NIL)) (-3588 (((-690) $) NIL)) (-3544 (($ $) NIL (|has| (-690) (-1185)))) (-3467 (($ $) NIL (|has| (-690) (-1185)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-690) (-351)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-690) (-302)) (|has| (-690) (-906))))) (-2710 (($ $) NIL (-1929 (-12 (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-366))))) (-3742 (((-421 $) $) NIL (-1929 (-12 (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-366))))) (-3422 (($ $) NIL (-12 (|has| (-690) (-1004)) (|has| (-690) (-1185))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-690) (-302)) (|has| (-690) (-906))))) (-2889 (((-121) $ $) NIL (|has| (-690) (-302)))) (-2675 (((-765)) NIL (|has| (-690) (-371)))) (-3530 (($ $) NIL (|has| (-690) (-1185)))) (-3455 (($ $) NIL (|has| (-690) (-1185)))) (-3559 (($ $) NIL (|has| (-690) (-1185)))) (-3480 (($ $) NIL (|has| (-690) (-1185)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-690) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-690) (-1039 (-410 (-569)))))) (-1321 (((-569) $) NIL) (((-690) $) NIL) (((-410 (-569)) $) NIL (|has| (-690) (-1039 (-410 (-569)))))) (-2097 (($ (-1253 (-690))) NIL) (($ (-1253 (-690)) (-1253 $)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-690) (-351)))) (-1614 (($ $ $) NIL (|has| (-690) (-302)))) (-1808 (((-681 (-690)) $) NIL) (((-681 (-690)) $ (-1253 $)) NIL)) (-3435 (((-681 (-690)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-690))) (|:| |vec| (-1253 (-690)))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-690) (-631 (-569)))) (((-681 (-569)) (-681 $)) NIL (|has| (-690) (-631 (-569))))) (-2793 (((-3 $ "failed") (-410 (-1161 (-690)))) NIL (|has| (-690) (-366))) (($ (-1161 (-690))) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3147 (((-690) $) 29)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL (|has| (-690) (-551)))) (-4429 (((-121) $) NIL (|has| (-690) (-551)))) (-2096 (((-410 (-569)) $) NIL (|has| (-690) (-551)))) (-3358 (((-919)) NIL)) (-3341 (($) NIL (|has| (-690) (-371)))) (-1626 (($ $ $) NIL (|has| (-690) (-302)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| (-690) (-302)))) (-1456 (($) NIL (|has| (-690) (-351)))) (-3462 (((-121) $) NIL (|has| (-690) (-351)))) (-3238 (($ $) NIL (|has| (-690) (-351))) (($ $ (-765)) NIL (|has| (-690) (-351)))) (-2005 (((-121) $) NIL (-1929 (-12 (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-366))))) (-3457 (((-2 (|:| |r| (-690)) (|:| |phi| (-690))) $) NIL (-12 (|has| (-690) (-1058)) (|has| (-690) (-1185))))) (-3415 (($) NIL (|has| (-690) (-1185)))) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-690) (-883 (-382)))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-690) (-883 (-569))))) (-4433 (((-830 (-919)) $) NIL (|has| (-690) (-351))) (((-919) $) NIL (|has| (-690) (-351)))) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (-12 (|has| (-690) (-1004)) (|has| (-690) (-1185))))) (-3046 (((-690) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-690) (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-690) (-302)))) (-2415 (((-1161 (-690)) $) NIL (|has| (-690) (-366)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 (-690) (-690)) $) NIL)) (-2862 (((-919) $) NIL (|has| (-690) (-371)))) (-3597 (($ $) NIL (|has| (-690) (-1185)))) (-2786 (((-1161 (-690)) $) NIL)) (-1657 (($ (-635 $)) NIL (|has| (-690) (-302))) (($ $ $) NIL (|has| (-690) (-302)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| (-690) (-366)))) (-1423 (($) NIL (|has| (-690) (-351)) CONST)) (-1333 (($ (-919)) NIL (|has| (-690) (-371)))) (-4526 (($) NIL)) (-3155 (((-690) $) 31)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| (-690) (-302)))) (-3964 (($ (-635 $)) NIL (|has| (-690) (-302))) (($ $ $) NIL (|has| (-690) (-302)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-690) (-351)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-690) (-302)) (|has| (-690) (-906))))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-690) (-302)) (|has| (-690) (-906))))) (-3139 (((-421 $) $) NIL (-1929 (-12 (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-366))))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-690) (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| (-690) (-302)))) (-1436 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ (-690)) NIL (|has| (-690) (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-690) (-302)))) (-3408 (($ $) NIL (|has| (-690) (-1185)))) (-1484 (($ $ (-1165) (-690)) NIL (|has| (-690) (-524 (-1165) (-690)))) (($ $ (-635 (-1165)) (-635 (-690))) NIL (|has| (-690) (-524 (-1165) (-690)))) (($ $ (-635 (-289 (-690)))) NIL (|has| (-690) (-304 (-690)))) (($ $ (-289 (-690))) NIL (|has| (-690) (-304 (-690)))) (($ $ (-690) (-690)) NIL (|has| (-690) (-304 (-690)))) (($ $ (-635 (-690)) (-635 (-690))) NIL (|has| (-690) (-304 (-690))))) (-2061 (((-765) $) NIL (|has| (-690) (-302)))) (-2503 (($ $ (-690)) NIL (|has| (-690) (-282 (-690) (-690))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| (-690) (-302)))) (-2925 (((-690)) NIL) (((-690) (-1253 $)) NIL)) (-3600 (((-3 (-765) "failed") $ $) NIL (|has| (-690) (-351))) (((-765) $) NIL (|has| (-690) (-351)))) (-3289 (($ $ (-1 (-690) (-690))) NIL) (($ $ (-1 (-690) (-690)) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-1165)) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-765)) NIL (|has| (-690) (-226))) (($ $) NIL (|has| (-690) (-226)))) (-3775 (((-681 (-690)) (-1253 $) (-1 (-690) (-690))) NIL (|has| (-690) (-366)))) (-3036 (((-1161 (-690))) NIL)) (-3565 (($ $) NIL (|has| (-690) (-1185)))) (-3485 (($ $) NIL (|has| (-690) (-1185)))) (-3563 (($) NIL (|has| (-690) (-351)))) (-3551 (($ $) NIL (|has| (-690) (-1185)))) (-3473 (($ $) NIL (|has| (-690) (-1185)))) (-3538 (($ $) NIL (|has| (-690) (-1185)))) (-3460 (($ $) NIL (|has| (-690) (-1185)))) (-3672 (((-681 (-690)) (-1253 $)) NIL) (((-1253 (-690)) $) NIL) (((-681 (-690)) (-1253 $) (-1253 $)) NIL) (((-1253 (-690)) $ (-1253 $)) NIL)) (-4035 (((-542) $) NIL (|has| (-690) (-610 (-542)))) (((-170 (-216)) $) NIL (|has| (-690) (-1023))) (((-170 (-382)) $) NIL (|has| (-690) (-1023))) (((-889 (-382)) $) NIL (|has| (-690) (-610 (-889 (-382))))) (((-889 (-569)) $) NIL (|has| (-690) (-610 (-889 (-569))))) (($ (-1161 (-690))) NIL) (((-1161 (-690)) $) NIL) (($ (-1253 (-690))) NIL) (((-1253 (-690)) $) NIL)) (-3980 (($ $) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-351))))) (-4340 (($ (-690) (-690)) 12)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-690)) NIL) (($ (-170 (-382))) 13) (($ (-170 (-569))) 19) (($ (-170 (-690))) 28) (($ (-170 (-692))) 25) (((-170 (-382)) $) 33) (($ (-410 (-569))) NIL (-1929 (|has| (-690) (-366)) (|has| (-690) (-1039 (-410 (-569))))))) (-2277 (($ $) NIL (|has| (-690) (-351))) (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-149))))) (-3033 (((-1161 (-690)) $) NIL)) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL)) (-3585 (($ $) NIL (|has| (-690) (-1185)))) (-3505 (($ $) NIL (|has| (-690) (-1185)))) (-2909 (((-121) $ $) NIL)) (-3572 (($ $) NIL (|has| (-690) (-1185)))) (-3490 (($ $) NIL (|has| (-690) (-1185)))) (-3599 (($ $) NIL (|has| (-690) (-1185)))) (-3517 (($ $) NIL (|has| (-690) (-1185)))) (-3955 (((-690) $) NIL (|has| (-690) (-1185)))) (-4527 (($ $) NIL (|has| (-690) (-1185)))) (-3525 (($ $) NIL (|has| (-690) (-1185)))) (-3592 (($ $) NIL (|has| (-690) (-1185)))) (-3510 (($ $) NIL (|has| (-690) (-1185)))) (-3579 (($ $) NIL (|has| (-690) (-1185)))) (-3497 (($ $) NIL (|has| (-690) (-1185)))) (-4080 (($ $) NIL (|has| (-690) (-1058)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-690) (-366)))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1 (-690) (-690))) NIL) (($ $ (-1 (-690) (-690)) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-1165)) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-765)) NIL (|has| (-690) (-226))) (($ $) NIL (|has| (-690) (-226)))) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL (|has| (-690) (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ $) NIL (|has| (-690) (-1185))) (($ $ (-410 (-569))) NIL (-12 (|has| (-690) (-1004)) (|has| (-690) (-1185)))) (($ $ (-569)) NIL (|has| (-690) (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-690) $) NIL) (($ $ (-690)) NIL) (($ (-410 (-569)) $) NIL (|has| (-690) (-366))) (($ $ (-410 (-569))) NIL (|has| (-690) (-366))))) 
-(((-685) (-13 (-390) (-167 (-690)) (-10 -8 (-15 -3956 ($ (-170 (-382)))) (-15 -3956 ($ (-170 (-569)))) (-15 -3956 ($ (-170 (-690)))) (-15 -3956 ($ (-170 (-692)))) (-15 -3956 ((-170 (-382)) $))))) (T -685)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-685)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-170 (-569))) (-5 *1 (-685)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-170 (-690))) (-5 *1 (-685)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-170 (-692))) (-5 *1 (-685)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-685))))) 
-(-13 (-390) (-167 (-690)) (-10 -8 (-15 -3956 ($ (-170 (-382)))) (-15 -3956 ($ (-170 (-569)))) (-15 -3956 ($ (-170 (-690)))) (-15 -3956 ($ (-170 (-692)))) (-15 -3956 ((-170 (-382)) $)))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2938 (($ $) 58)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37) (($ |#1| $ (-765)) 59)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2820 (((-635 (-2 (|:| -3175 |#1|) (|:| -2691 (-765)))) $) 57)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-686 |#1|) (-1284) (-1093)) (T -686)) 
-((-2351 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-686 *2)) (-4 *2 (-1093)))) (-2938 (*1 *1 *1) (-12 (-4 *1 (-686 *2)) (-4 *2 (-1093)))) (-2820 (*1 *2 *1) (-12 (-4 *1 (-686 *3)) (-4 *3 (-1093)) (-5 *2 (-635 (-2 (|:| -3175 *3) (|:| -2691 (-765)))))))) 
-(-13 (-228 |t#1|) (-10 -8 (-15 -2351 ($ |t#1| $ (-765))) (-15 -2938 ($ $)) (-15 -2820 ((-635 (-2 (|:| -3175 |t#1|) (|:| -2691 (-765)))) $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-4125 (((-635 |#1|) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) (-569)) 46)) (-2050 ((|#1| |#1| (-569)) 45)) (-3964 ((|#1| |#1| |#1| (-569)) 35)) (-3139 (((-635 |#1|) |#1| (-569)) 38)) (-3922 ((|#1| |#1| (-569) |#1| (-569)) 32)) (-2143 (((-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) |#1| (-569)) 44))) 
-(((-687 |#1|) (-10 -7 (-15 -3964 (|#1| |#1| |#1| (-569))) (-15 -2050 (|#1| |#1| (-569))) (-15 -3139 ((-635 |#1|) |#1| (-569))) (-15 -2143 ((-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) |#1| (-569))) (-15 -4125 ((-635 |#1|) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) (-569))) (-15 -3922 (|#1| |#1| (-569) |#1| (-569)))) (-1228 (-569))) (T -687)) 
-((-3922 (*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3)))) (-4125 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| -3139 *5) (|:| -2284 (-569))))) (-5 *4 (-569)) (-4 *5 (-1228 *4)) (-5 *2 (-635 *5)) (-5 *1 (-687 *5)))) (-2143 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 (-2 (|:| -3139 *3) (|:| -2284 *4)))) (-5 *1 (-687 *3)) (-4 *3 (-1228 *4)))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 *3)) (-5 *1 (-687 *3)) (-4 *3 (-1228 *4)))) (-2050 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3)))) (-3964 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3))))) 
-(-10 -7 (-15 -3964 (|#1| |#1| |#1| (-569))) (-15 -2050 (|#1| |#1| (-569))) (-15 -3139 ((-635 |#1|) |#1| (-569))) (-15 -2143 ((-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) |#1| (-569))) (-15 -4125 ((-635 |#1|) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) (-569))) (-15 -3922 (|#1| |#1| (-569) |#1| (-569)))) 
-((-2532 (((-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))) 17)) (-4514 (((-1124 (-216)) (-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257))) 38) (((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257))) 40) (((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257))) 42)) (-1505 (((-1124 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-635 (-257))) NIL)) (-3610 (((-1124 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257))) 43))) 
-(((-688) (-10 -7 (-15 -4514 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -4514 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -4514 ((-1124 (-216)) (-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -3610 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -1505 ((-1124 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -2532 ((-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216)))))) (T -688)) 
-((-2532 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1 (-216) (-216) (-216) (-216))) (-5 *2 (-1 (-946 (-216)) (-216) (-216))) (-5 *1 (-688)))) (-1505 (*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688)))) (-3610 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688)))) (-4514 (*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-216))) (-5 *5 (-635 (-257))) (-5 *1 (-688)))) (-4514 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-216))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688)))) (-4514 (*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688))))) 
-(-10 -7 (-15 -4514 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -4514 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -4514 ((-1124 (-216)) (-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -3610 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -1505 ((-1124 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -2532 ((-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))))) 
-((-3139 (((-421 (-1161 |#4|)) (-1161 |#4|)) 73) (((-421 |#4|) |#4|) 215))) 
-(((-689 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4|)) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|)))) (-844) (-790) (-351) (-952 |#3| |#2| |#1|)) (T -689)) 
-((-3139 (*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-351)) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-689 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-689 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4))))) 
-(-10 -7 (-15 -3139 ((-421 |#4|) |#4|)) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 84)) (-3644 (((-569) $) 30)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3146 (($ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL)) (-4483 (($) NIL T CONST)) (-3411 (($ $) NIL)) (-3003 (((-3 (-569) "failed") $) 73) (((-3 (-410 (-569)) "failed") $) 26) (((-3 (-382) "failed") $) 70)) (-1321 (((-569) $) 75) (((-410 (-569)) $) 67) (((-382) $) 68)) (-1614 (($ $ $) 96)) (-2611 (((-3 $ "failed") $) 87)) (-1626 (($ $ $) 95)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2471 (((-919)) 77) (((-919) (-919)) 76)) (-1863 (((-121) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL)) (-4433 (((-569) $) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL)) (-3046 (($ $) NIL)) (-4311 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1709 (((-569) (-569)) 81) (((-569)) 82)) (-2157 (($ $ $) NIL) (($) NIL (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-2673 (((-569) (-569)) 79) (((-569)) 80)) (-2713 (($ $ $) NIL) (($) NIL (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-3066 (((-569) $) 16)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 91)) (-1485 (((-919) (-569)) NIL (|has| $ (-6 -4562)))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL)) (-1807 (($ $) NIL)) (-3222 (($ (-569) (-569)) NIL) (($ (-569) (-569) (-919)) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) 92)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3190 (((-569) $) 22)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 94)) (-2721 (((-919)) NIL) (((-919) (-919)) NIL (|has| $ (-6 -4562)))) (-2791 (((-919) (-569)) NIL (|has| $ (-6 -4562)))) (-4035 (((-382) $) NIL) (((-216) $) NIL) (((-889 (-382)) $) NIL)) (-3956 (((-852) $) 52) (($ (-569)) 63) (($ $) NIL) (($ (-410 (-569))) 66) (($ (-569)) 63) (($ (-410 (-569))) 66) (($ (-382)) 60) (((-382) $) 50) (($ (-692)) 55)) (-2320 (((-765)) 103)) (-2550 (($ (-569) (-569) (-919)) 44)) (-3215 (($ $) NIL)) (-4420 (((-919)) NIL) (((-919) (-919)) NIL (|has| $ (-6 -4562)))) (-1710 (((-919)) 35) (((-919) (-919)) 78)) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 32 T CONST)) (-3297 (($) 17 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 83)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 101)) (-1383 (($ $ $) 65)) (-1377 (($ $) 99) (($ $ $) 100)) (-1371 (($ $ $) 98)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) 90)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 97) (($ $ $) 88) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-690) (-13 (-407) (-390) (-366) (-1039 (-382)) (-1039 (-410 (-569))) (-151) (-10 -8 (-15 -2471 ((-919) (-919))) (-15 -2471 ((-919))) (-15 -1710 ((-919) (-919))) (-15 -1710 ((-919))) (-15 -2673 ((-569) (-569))) (-15 -2673 ((-569))) (-15 -1709 ((-569) (-569))) (-15 -1709 ((-569))) (-15 -3956 ((-382) $)) (-15 -3956 ($ (-692))) (-15 -3066 ((-569) $)) (-15 -3190 ((-569) $)) (-15 -2550 ($ (-569) (-569) (-919)))))) (T -690)) 
-((-1710 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) (-3190 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-3066 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-2471 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) (-2471 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) (-1710 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) (-2673 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-2673 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-1709 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-1709 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-382)) (-5 *1 (-690)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-692)) (-5 *1 (-690)))) (-2550 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-919)) (-5 *1 (-690))))) 
-(-13 (-407) (-390) (-366) (-1039 (-382)) (-1039 (-410 (-569))) (-151) (-10 -8 (-15 -2471 ((-919) (-919))) (-15 -2471 ((-919))) (-15 -1710 ((-919) (-919))) (-15 -1710 ((-919))) (-15 -2673 ((-569) (-569))) (-15 -2673 ((-569))) (-15 -1709 ((-569) (-569))) (-15 -1709 ((-569))) (-15 -3956 ((-382) $)) (-15 -3956 ($ (-692))) (-15 -3066 ((-569) $)) (-15 -3190 ((-569) $)) (-15 -2550 ($ (-569) (-569) (-919))))) 
-((-2657 (((-681 |#1|) (-681 |#1|) |#1| |#1|) 66)) (-4003 (((-681 |#1|) (-681 |#1|) |#1|) 49)) (-4039 (((-681 |#1|) (-681 |#1|) |#1|) 67)) (-4236 (((-681 |#1|) (-681 |#1|)) 50)) (-1883 (((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|) 65))) 
-(((-691 |#1|) (-10 -7 (-15 -4236 ((-681 |#1|) (-681 |#1|))) (-15 -4003 ((-681 |#1|) (-681 |#1|) |#1|)) (-15 -4039 ((-681 |#1|) (-681 |#1|) |#1|)) (-15 -2657 ((-681 |#1|) (-681 |#1|) |#1| |#1|)) (-15 -1883 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|))) (-302)) (T -691)) 
-((-1883 (*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-691 *3)) (-4 *3 (-302)))) (-2657 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3)))) (-4039 (*1 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3)))) (-4003 (*1 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3)))) (-4236 (*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3))))) 
-(-10 -7 (-15 -4236 ((-681 |#1|) (-681 |#1|))) (-15 -4003 ((-681 |#1|) (-681 |#1|) |#1|)) (-15 -4039 ((-681 |#1|) (-681 |#1|) |#1|)) (-15 -2657 ((-681 |#1|) (-681 |#1|) |#1| |#1|)) (-15 -1883 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3163 (($ $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1796 (($ $ $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL)) (-2546 (($ $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) 27)) (-1321 (((-569) $) 25)) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL)) (-4429 (((-121) $) NIL)) (-2096 (((-410 (-569)) $) NIL)) (-3341 (($ $) NIL) (($) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1306 (($ $ $ $) NIL)) (-3872 (($ $ $) NIL)) (-1863 (((-121) $) NIL)) (-2578 (($ $ $) NIL)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL)) (-3934 (((-121) $) NIL)) (-3520 (((-121) $) NIL)) (-1542 (((-3 $ "failed") $) NIL)) (-4311 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4416 (($ $ $ $) NIL)) (-2157 (($ $ $) NIL)) (-2613 (((-919) (-919)) 10) (((-919)) 9)) (-2713 (($ $ $) NIL)) (-1852 (($ $) NIL)) (-2718 (($ $) NIL)) (-1657 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-2624 (($ $ $) NIL)) (-1423 (($) NIL T CONST)) (-2144 (($ $) NIL)) (-1912 (((-1111) $) NIL) (($ $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1954 (($ $) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL) (($ $ (-765)) NIL)) (-3231 (($ $) NIL)) (-1799 (($ $) NIL)) (-4035 (((-216) $) NIL) (((-382) $) NIL) (((-889 (-569)) $) NIL) (((-542) $) NIL) (((-569) $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) 24) (($ $) NIL) (($ (-569)) 24) (((-311 $) (-311 (-569))) 18)) (-2320 (((-765)) NIL)) (-3245 (((-121) $ $) NIL)) (-4196 (($ $ $) NIL)) (-1710 (($) NIL)) (-2909 (((-121) $ $) NIL)) (-4005 (($ $ $ $) NIL)) (-4080 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL) (($ $ (-765)) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
-(((-692) (-13 (-390) (-551) (-10 -8 (-15 -2613 ((-919) (-919))) (-15 -2613 ((-919))) (-15 -3956 ((-311 $) (-311 (-569))))))) (T -692)) 
-((-2613 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-692)))) (-2613 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-692)))) (-3956 (*1 *2 *3) (-12 (-5 *3 (-311 (-569))) (-5 *2 (-311 (-692))) (-5 *1 (-692))))) 
-(-13 (-390) (-551) (-10 -8 (-15 -2613 ((-919) (-919))) (-15 -2613 ((-919))) (-15 -3956 ((-311 $) (-311 (-569)))))) 
-((-1638 (((-1 |#4| |#2| |#3|) |#1| (-1165) (-1165)) 19)) (-4393 (((-1 |#4| |#2| |#3|) (-1165)) 12))) 
-(((-693 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4393 ((-1 |#4| |#2| |#3|) (-1165))) (-15 -1638 ((-1 |#4| |#2| |#3|) |#1| (-1165) (-1165)))) (-610 (-542)) (-1199) (-1199) (-1199)) (T -693)) 
-((-1638 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-693 *3 *5 *6 *7)) (-4 *3 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *7 (-1199)))) (-4393 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-693 *4 *5 *6 *7)) (-4 *4 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *7 (-1199))))) 
-(-10 -7 (-15 -4393 ((-1 |#4| |#2| |#3|) (-1165))) (-15 -1638 ((-1 |#4| |#2| |#3|) |#1| (-1165) (-1165)))) 
-((-1310 (((-121) $ $) NIL)) (-3633 (((-1258) $ (-765)) 14)) (-3988 (((-765) $) 12)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 18) ((|#1| $) 15) (($ |#1|) 23)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 25)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 24))) 
-(((-694 |#1|) (-13 (-139) (-609 |#1|) (-10 -8 (-15 -3956 ($ |#1|)))) (-1093)) (T -694)) 
-((-3956 (*1 *1 *2) (-12 (-5 *1 (-694 *2)) (-4 *2 (-1093))))) 
-(-13 (-139) (-609 |#1|) (-10 -8 (-15 -3956 ($ |#1|)))) 
-((-2259 (((-1 (-216) (-216) (-216)) |#1| (-1165) (-1165)) 33) (((-1 (-216) (-216)) |#1| (-1165)) 38))) 
-(((-695 |#1|) (-10 -7 (-15 -2259 ((-1 (-216) (-216)) |#1| (-1165))) (-15 -2259 ((-1 (-216) (-216) (-216)) |#1| (-1165) (-1165)))) (-610 (-542))) (T -695)) 
-((-2259 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) (-2259 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 (-216) (-216))) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542)))))) 
-(-10 -7 (-15 -2259 ((-1 (-216) (-216)) |#1| (-1165))) (-15 -2259 ((-1 (-216) (-216) (-216)) |#1| (-1165) (-1165)))) 
-((-3659 (((-1165) |#1| (-1165) (-635 (-1165))) 9) (((-1165) |#1| (-1165) (-1165) (-1165)) 12) (((-1165) |#1| (-1165) (-1165)) 11) (((-1165) |#1| (-1165)) 10))) 
-(((-696 |#1|) (-10 -7 (-15 -3659 ((-1165) |#1| (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-1165) (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-635 (-1165))))) (-610 (-542))) (T -696)) 
-((-3659 (*1 *2 *3 *2 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) (-3659 (*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) (-3659 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) (-3659 (*1 *2 *3 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542)))))) 
-(-10 -7 (-15 -3659 ((-1165) |#1| (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-1165) (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-635 (-1165))))) 
-((-2173 (((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) 9))) 
-(((-697 |#1| |#2|) (-10 -7 (-15 -2173 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) (-1199) (-1199)) (T -697)) 
-((-2173 (*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-697 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199))))) 
-(-10 -7 (-15 -2173 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) 
-((-3895 (((-1 |#3| |#2|) (-1165)) 11)) (-1638 (((-1 |#3| |#2|) |#1| (-1165)) 21))) 
-(((-698 |#1| |#2| |#3|) (-10 -7 (-15 -3895 ((-1 |#3| |#2|) (-1165))) (-15 -1638 ((-1 |#3| |#2|) |#1| (-1165)))) (-610 (-542)) (-1199) (-1199)) (T -698)) 
-((-1638 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 *6 *5)) (-5 *1 (-698 *3 *5 *6)) (-4 *3 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199)))) (-3895 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 *6 *5)) (-5 *1 (-698 *4 *5 *6)) (-4 *4 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199))))) 
-(-10 -7 (-15 -3895 ((-1 |#3| |#2|) (-1165))) (-15 -1638 ((-1 |#3| |#2|) |#1| (-1165)))) 
-((-1830 (((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#4|)))) (-635 (-765)) (-1253 (-635 (-1161 |#3|))) |#3|) 58)) (-2708 (((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-765)) |#3|) 71)) (-1925 (((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-765)) (-635 (-1161 |#4|)) (-1253 (-635 (-1161 |#3|))) |#3|) 32))) 
-(((-699 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1925 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-765)) (-635 (-1161 |#4|)) (-1253 (-635 (-1161 |#3|))) |#3|)) (-15 -2708 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-765)) |#3|)) (-15 -1830 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#4|)))) (-635 (-765)) (-1253 (-635 (-1161 |#3|))) |#3|))) (-790) (-844) (-302) (-952 |#3| |#1| |#2|)) (T -699)) 
-((-1830 (*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-635 (-1161 *13))) (-5 *3 (-1161 *13)) (-5 *4 (-635 *12)) (-5 *5 (-635 *10)) (-5 *6 (-635 *13)) (-5 *7 (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| *13))))) (-5 *8 (-635 (-765))) (-5 *9 (-1253 (-635 (-1161 *10)))) (-4 *12 (-844)) (-4 *10 (-302)) (-4 *13 (-952 *10 *11 *12)) (-4 *11 (-790)) (-5 *1 (-699 *11 *12 *10 *13)))) (-2708 (*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-635 *11)) (-5 *5 (-635 (-1161 *9))) (-5 *6 (-635 *9)) (-5 *7 (-635 *12)) (-5 *8 (-635 (-765))) (-4 *11 (-844)) (-4 *9 (-302)) (-4 *12 (-952 *9 *10 *11)) (-4 *10 (-790)) (-5 *2 (-635 (-1161 *12))) (-5 *1 (-699 *10 *11 *9 *12)) (-5 *3 (-1161 *12)))) (-1925 (*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-635 (-1161 *11))) (-5 *3 (-1161 *11)) (-5 *4 (-635 *10)) (-5 *5 (-635 *8)) (-5 *6 (-635 (-765))) (-5 *7 (-1253 (-635 (-1161 *8)))) (-4 *10 (-844)) (-4 *8 (-302)) (-4 *11 (-952 *8 *9 *10)) (-4 *9 (-790)) (-5 *1 (-699 *9 *10 *8 *11))))) 
-(-10 -7 (-15 -1925 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-765)) (-635 (-1161 |#4|)) (-1253 (-635 (-1161 |#3|))) |#3|)) (-15 -2708 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-765)) |#3|)) (-15 -1830 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#4|)))) (-635 (-765)) (-1253 (-635 (-1161 |#3|))) |#3|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3373 (($ $) 40)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-3179 (($ |#1| (-765)) 38)) (-4294 (((-765) $) 42)) (-3270 ((|#1| $) 41)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2284 (((-765) $) 43)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 37 (|has| |#1| (-173)))) (-3802 ((|#1| $ (-765)) 39)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 45) (($ |#1| $) 44))) 
-(((-700 |#1|) (-1284) (-1049)) (T -700)) 
-((-2284 (*1 *2 *1) (-12 (-4 *1 (-700 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-4294 (*1 *2 *1) (-12 (-4 *1 (-700 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-3270 (*1 *2 *1) (-12 (-4 *1 (-700 *2)) (-4 *2 (-1049)))) (-3373 (*1 *1 *1) (-12 (-4 *1 (-700 *2)) (-4 *2 (-1049)))) (-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-700 *2)) (-4 *2 (-1049)))) (-3179 (*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-700 *2)) (-4 *2 (-1049))))) 
-(-13 (-1049) (-120 |t#1| |t#1|) (-10 -8 (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (-15 -2284 ((-765) $)) (-15 -4294 ((-765) $)) (-15 -3270 (|t#1| $)) (-15 -3373 ($ $)) (-15 -3802 (|t#1| $ (-765))) (-15 -3179 ($ |t#1| (-765))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) |has| |#1| (-173)) ((-718) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-4188 ((|#6| (-1 |#4| |#1|) |#3|) 23))) 
-(((-701 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -4188 (|#6| (-1 |#4| |#1|) |#3|))) (-559) (-1228 |#1|) (-1228 (-410 |#2|)) (-559) (-1228 |#4|) (-1228 (-410 |#5|))) (T -701)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-559)) (-4 *7 (-559)) (-4 *6 (-1228 *5)) (-4 *2 (-1228 (-410 *8))) (-5 *1 (-701 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1228 (-410 *6))) (-4 *8 (-1228 *7))))) 
-(-10 -7 (-15 -4188 (|#6| (-1 |#4| |#1|) |#3|))) 
-((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1723 (((-1147) (-852)) 31)) (-2442 (((-1258) (-1147)) 28)) (-2539 (((-1147) (-852)) 24)) (-1303 (((-1147) (-852)) 25)) (-3956 (((-852) $) NIL) (((-1147) (-852)) 23)) (-1326 (((-121) $ $) NIL))) 
-(((-702) (-13 (-1093) (-10 -7 (-15 -3956 ((-1147) (-852))) (-15 -2539 ((-1147) (-852))) (-15 -1303 ((-1147) (-852))) (-15 -1723 ((-1147) (-852))) (-15 -2442 ((-1258) (-1147)))))) (T -702)) 
-((-3956 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702)))) (-2539 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702)))) (-1303 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702)))) (-1723 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702)))) (-2442 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-702))))) 
-(-13 (-1093) (-10 -7 (-15 -3956 ((-1147) (-852))) (-15 -2539 ((-1147) (-852))) (-15 -1303 ((-1147) (-852))) (-15 -1723 ((-1147) (-852))) (-15 -2442 ((-1258) (-1147))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL)) (-2793 (($ |#1| |#2|) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4138 ((|#2| $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3010 (((-3 $ "failed") $ $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) ((|#1| $) NIL)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-703 |#1| |#2| |#3| |#4| |#5|) (-13 (-366) (-10 -8 (-15 -4138 (|#2| $)) (-15 -3956 (|#1| $)) (-15 -2793 ($ |#1| |#2|)) (-15 -3010 ((-3 $ "failed") $ $)))) (-173) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -703)) 
-((-4138 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-703 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-3956 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2793 (*1 *1 *2 *3) (-12 (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3010 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(-13 (-366) (-10 -8 (-15 -4138 (|#2| $)) (-15 -3956 (|#1| $)) (-15 -2793 ($ |#1| |#2|)) (-15 -3010 ((-3 $ "failed") $ $)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 30)) (-3676 (((-1253 |#1|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#1|)) NIL)) (-3132 (((-1161 $) $ (-1077)) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) NIL (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2675 (((-765)) 46 (|has| |#1| (-371)))) (-3286 (($ $ (-765)) NIL)) (-1738 (($ $ (-765)) NIL)) (-3808 ((|#2| |#2|) 43)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1077) $) NIL)) (-3673 (($ $ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $ $) NIL (|has| |#1| (-173)))) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) 33)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2793 (($ |#2|) 41)) (-2611 (((-3 $ "failed") $) 84)) (-3341 (($) 50 (|has| |#1| (-371)))) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3621 (($ $ $) NIL)) (-4425 (($ $ $) NIL (|has| |#1| (-559)))) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-4144 (((-960 $)) 78)) (-2916 (($ $ |#1| (-765) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ $) NIL (|has| |#1| (-559)))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-1139)))) (-3187 (($ (-1161 |#1|) (-1077)) NIL) (($ (-1161 $) (-1077)) NIL)) (-2058 (($ $ (-765)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) 76) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4138 ((|#2|) 44)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3071 (((-1161 |#1|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-2786 ((|#2| $) 40)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) 28)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#1| (-1139)) CONST)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-4146 (($ $) 77 (|has| |#1| (-351)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#1|) NIL) (($ $ (-635 (-1077)) (-635 |#1|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 85 (|has| |#1| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2284 (((-765) $) 31) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-2104 (((-960 $)) 35)) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-3956 (((-852) $) 60) (($ (-569)) NIL) (($ |#1|) 57) (($ (-1077)) NIL) (($ |#2|) 67) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) 62) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 20 T CONST)) (-1779 (((-1253 |#1|) $) 74)) (-1949 (($ (-1253 |#1|)) 49)) (-3297 (($) 8 T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3837 (((-1253 |#1|) $) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 68)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) 71) (($ $ $) NIL)) (-1371 (($ $ $) 32)) (** (($ $ (-919)) NIL) (($ $ (-765)) 79)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 56) (($ $ $) 73) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 54) (($ $ |#1|) NIL))) 
-(((-704 |#1| |#2|) (-13 (-1228 |#1|) (-10 -8 (-15 -3808 (|#2| |#2|)) (-15 -4138 (|#2|)) (-15 -2793 ($ |#2|)) (-15 -2786 (|#2| $)) (-15 -3956 ($ |#2|)) (-15 -1779 ((-1253 |#1|) $)) (-15 -1949 ($ (-1253 |#1|))) (-15 -3837 ((-1253 |#1|) $)) (-15 -4144 ((-960 $))) (-15 -2104 ((-960 $))) (IF (|has| |#1| (-351)) (-15 -4146 ($ $)) |noBranch|) (IF (|has| |#1| (-371)) (-6 (-371)) |noBranch|))) (-1049) (-1228 |#1|)) (T -704)) 
-((-3808 (*1 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3)))) (-4138 (*1 *2) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-704 *3 *2)) (-4 *3 (-1049)))) (-2793 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3)))) (-2786 (*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-704 *3 *2)) (-4 *3 (-1049)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3)))) (-1779 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-1253 *3)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3)))) (-1949 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1049)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3)))) (-3837 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-1253 *3)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3)))) (-4144 (*1 *2) (-12 (-4 *3 (-1049)) (-5 *2 (-960 (-704 *3 *4))) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3)))) (-2104 (*1 *2) (-12 (-4 *3 (-1049)) (-5 *2 (-960 (-704 *3 *4))) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3)))) (-4146 (*1 *1 *1) (-12 (-4 *2 (-351)) (-4 *2 (-1049)) (-5 *1 (-704 *2 *3)) (-4 *3 (-1228 *2))))) 
-(-13 (-1228 |#1|) (-10 -8 (-15 -3808 (|#2| |#2|)) (-15 -4138 (|#2|)) (-15 -2793 ($ |#2|)) (-15 -2786 (|#2| $)) (-15 -3956 ($ |#2|)) (-15 -1779 ((-1253 |#1|) $)) (-15 -1949 ($ (-1253 |#1|))) (-15 -3837 ((-1253 |#1|) $)) (-15 -4144 ((-960 $))) (-15 -2104 ((-960 $))) (IF (|has| |#1| (-351)) (-15 -4146 ($ $)) |noBranch|) (IF (|has| |#1| (-371)) (-6 (-371)) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1333 ((|#1| $) 13)) (-1912 (((-1111) $) NIL)) (-3190 ((|#2| $) 12)) (-3124 (($ |#1| |#2|) 16)) (-3956 (((-852) $) NIL) (($ (-2 (|:| -1333 |#1|) (|:| -3190 |#2|))) 15) (((-2 (|:| -1333 |#1|) (|:| -3190 |#2|)) $) 14)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 11))) 
-(((-705 |#1| |#2| |#3|) (-13 (-844) (-10 -8 (-15 -3190 (|#2| $)) (-15 -1333 (|#1| $)) (-15 -3956 ($ (-2 (|:| -1333 |#1|) (|:| -3190 |#2|)))) (-15 -3956 ((-2 (|:| -1333 |#1|) (|:| -3190 |#2|)) $)) (-15 -3124 ($ |#1| |#2|)))) (-844) (-1093) (-1 (-121) (-2 (|:| -1333 |#1|) (|:| -3190 |#2|)) (-2 (|:| -1333 |#1|) (|:| -3190 |#2|)))) (T -705)) 
-((-3190 (*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-705 *3 *2 *4)) (-4 *3 (-844)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *3) (|:| -3190 *2)) (-2 (|:| -1333 *3) (|:| -3190 *2)))))) (-1333 (*1 *2 *1) (-12 (-4 *2 (-844)) (-5 *1 (-705 *2 *3 *4)) (-4 *3 (-1093)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *3)) (-2 (|:| -1333 *2) (|:| -3190 *3)))))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1333 *3) (|:| -3190 *4))) (-4 *3 (-844)) (-4 *4 (-1093)) (-5 *1 (-705 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1333 *3) (|:| -3190 *4))) (-5 *1 (-705 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-1093)) (-14 *5 (-1 (-121) *2 *2)))) (-3124 (*1 *1 *2 *3) (-12 (-5 *1 (-705 *2 *3 *4)) (-4 *2 (-844)) (-4 *3 (-1093)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *3)) (-2 (|:| -1333 *2) (|:| -3190 *3))))))) 
-(-13 (-844) (-10 -8 (-15 -3190 (|#2| $)) (-15 -1333 (|#1| $)) (-15 -3956 ($ (-2 (|:| -1333 |#1|) (|:| -3190 |#2|)))) (-15 -3956 ((-2 (|:| -1333 |#1|) (|:| -3190 |#2|)) $)) (-15 -3124 ($ |#1| |#2|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 59)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 89) (((-3 (-123) "failed") $) 95)) (-1321 ((|#1| $) NIL) (((-123) $) 39)) (-2611 (((-3 $ "failed") $) 90)) (-3474 ((|#2| (-123) |#2|) 82)) (-3934 (((-121) $) NIL)) (-1357 (($ |#1| (-364 (-123))) 13)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2190 (($ $ (-1 |#2| |#2|)) 58)) (-4520 (($ $ (-1 |#2| |#2|)) 44)) (-2503 ((|#2| $ |#2|) 32)) (-2663 ((|#1| |#1|) 100 (|has| |#1| (-173)))) (-3956 (((-852) $) 66) (($ (-569)) 17) (($ |#1|) 16) (($ (-123)) 23)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) 36)) (-1947 (($ $) 99 (|has| |#1| (-173))) (($ $ $) 103 (|has| |#1| (-173)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 20 T CONST)) (-3297 (($) 9 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) 48) (($ $ $) NIL)) (-1371 (($ $ $) 73)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ (-123) (-569)) NIL) (($ $ (-569)) 57)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 98) (($ $ $) 50) (($ |#1| $) 96 (|has| |#1| (-173))) (($ $ |#1|) 97 (|has| |#1| (-173))))) 
-(((-706 |#1| |#2|) (-13 (-1049) (-1039 |#1|) (-1039 (-123)) (-282 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -1947 ($ $)) (-15 -1947 ($ $ $)) (-15 -2663 (|#1| |#1|))) |noBranch|) (-15 -4520 ($ $ (-1 |#2| |#2|))) (-15 -2190 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -3474 (|#2| (-123) |#2|)) (-15 -1357 ($ |#1| (-364 (-123)))))) (-1049) (-638 |#1|)) (T -706)) 
-((-1947 (*1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) (-1947 (*1 *1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) (-2663 (*1 *2 *2) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) (-4520 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)))) (-2190 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-706 *4 *5)) (-4 *5 (-638 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)) (-4 *4 (-638 *3)))) (-3474 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1049)) (-5 *1 (-706 *4 *2)) (-4 *2 (-638 *4)))) (-1357 (*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-4 *2 (-1049)) (-5 *1 (-706 *2 *4)) (-4 *4 (-638 *2))))) 
-(-13 (-1049) (-1039 |#1|) (-1039 (-123)) (-282 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -1947 ($ $)) (-15 -1947 ($ $ $)) (-15 -2663 (|#1| |#1|))) |noBranch|) (-15 -4520 ($ $ (-1 |#2| |#2|))) (-15 -2190 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -3474 (|#2| (-123) |#2|)) (-15 -1357 ($ |#1| (-364 (-123)))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 33)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2793 (($ |#1| |#2|) 25)) (-2611 (((-3 $ "failed") $) 47)) (-3934 (((-121) $) 35)) (-4138 ((|#2| $) 12)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 48)) (-1912 (((-1111) $) NIL)) (-3010 (((-3 $ "failed") $ $) 46)) (-3956 (((-852) $) 24) (($ (-569)) 19) ((|#1| $) 13)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 16 T CONST)) (-3297 (($) 30 T CONST)) (-1326 (((-121) $ $) 38)) (-1377 (($ $) 43) (($ $ $) 37)) (-1371 (($ $ $) 40)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 21) (($ $ $) 20))) 
-(((-707 |#1| |#2| |#3| |#4| |#5|) (-13 (-1049) (-10 -8 (-15 -4138 (|#2| $)) (-15 -3956 (|#1| $)) (-15 -2793 ($ |#1| |#2|)) (-15 -3010 ((-3 $ "failed") $ $)) (-15 -2611 ((-3 $ "failed") $)) (-15 -3243 ($ $)))) (-173) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -707)) 
-((-2611 (*1 *1 *1) (|partial| -12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4138 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-707 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-3956 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2793 (*1 *1 *2 *3) (-12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3010 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3243 (*1 *1 *1) (-12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(-13 (-1049) (-10 -8 (-15 -4138 (|#2| $)) (-15 -3956 (|#1| $)) (-15 -2793 ($ |#1| |#2|)) (-15 -3010 ((-3 $ "failed") $ $)) (-15 -2611 ((-3 $ "failed") $)) (-15 -3243 ($ $)))) 
-((* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#2| $) NIL) (($ $ |#2|) 9))) 
-(((-708 |#1| |#2|) (-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) (-709 |#2|) (-173)) (T -708)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-709 |#1|) (-1284) (-173)) (T -709)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4474 ((|#1| $) 21)) (-1763 (($ $ $) NIL (|has| |#1| (-791)))) (-2383 (($ $ $) NIL (|has| |#1| (-791)))) (-3944 (((-1151) $) 46)) (-2580 (((-1115) $) NIL)) (-4479 ((|#3| $) 22)) (-3942 (((-855) $) 42)) (-2369 (($) 10 T CONST)) (-1350 (((-121) $ $) NIL (|has| |#1| (-791)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-791)))) (-1323 (((-121) $ $) 20)) (-1342 (((-121) $ $) NIL (|has| |#1| (-791)))) (-1331 (((-121) $ $) 24 (|has| |#1| (-791)))) (-1379 (($ $ |#3|) 34) (($ |#1| |#3|) 35)) (-1373 (($ $) 17) (($ $ $) NIL)) (-1367 (($ $ $) 27)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 30) (($ |#2| $) 32) (($ $ |#2|) NIL))) 
+(((-655 |#1| |#2| |#3|) (-13 (-712 |#2|) (-10 -8 (IF (|has| |#1| (-791)) (-6 (-791)) |noBranch|) (-15 -1379 ($ $ |#3|)) (-15 -1379 ($ |#1| |#3|)) (-15 -4474 (|#1| $)) (-15 -4479 (|#3| $)))) (-712 |#2|) (-173) (|SubsetCategory| (-721) |#2|)) (T -655)) 
+((-1379 (*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-655 *3 *4 *2)) (-4 *3 (-712 *4)) (-4 *2 (|SubsetCategory| (-721) *4)))) (-1379 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-655 *2 *4 *3)) (-4 *2 (-712 *4)) (-4 *3 (|SubsetCategory| (-721) *4)))) (-4474 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-712 *3)) (-5 *1 (-655 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-721) *3)))) (-4479 (*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-721) *4)) (-5 *1 (-655 *3 *4 *2)) (-4 *3 (-712 *4))))) 
+(-13 (-712 |#2|) (-10 -8 (IF (|has| |#1| (-791)) (-6 (-791)) |noBranch|) (-15 -1379 ($ $ |#3|)) (-15 -1379 ($ |#1| |#3|)) (-15 -4474 (|#1| $)) (-15 -4479 (|#3| $)))) 
+((-4361 (((-684 |#1|) (-684 |#1|)) 27)) (-4496 (((-684 |#1|) (-684 |#1|)) 26)) (-1673 (((-637 (-637 |#1|)) (-637 |#1|) (-637 (-637 |#1|))) 44)) (-1427 (((-637 (-637 |#1|)) (-637 (-637 |#1|))) 29)) (-3322 (((-637 |#1|) (-637 |#1|) (-637 |#1|) |#1|) 43)) (-2685 (((-637 (-637 |#1|)) (-637 (-637 |#1|)) (-637 (-637 |#1|))) 34))) 
+(((-656 |#1|) (-10 -7 (-15 -4361 ((-684 |#1|) (-684 |#1|))) (-15 -4496 ((-684 |#1|) (-684 |#1|))) (-15 -1427 ((-637 (-637 |#1|)) (-637 (-637 |#1|)))) (-15 -2685 ((-637 (-637 |#1|)) (-637 (-637 |#1|)) (-637 (-637 |#1|)))) (-15 -3322 ((-637 |#1|) (-637 |#1|) (-637 |#1|) |#1|)) (-15 -1673 ((-637 (-637 |#1|)) (-637 |#1|) (-637 (-637 |#1|))))) (-367)) (T -656)) 
+((-1673 (*1 *2 *3 *2) (-12 (-5 *2 (-637 (-637 *4))) (-5 *3 (-637 *4)) (-4 *4 (-367)) (-5 *1 (-656 *4)))) (-3322 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-5 *1 (-656 *3)))) (-2685 (*1 *2 *2 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-367)) (-5 *1 (-656 *3)))) (-1427 (*1 *2 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-367)) (-5 *1 (-656 *3)))) (-4496 (*1 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-367)) (-5 *1 (-656 *3)))) (-4361 (*1 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-367)) (-5 *1 (-656 *3))))) 
+(-10 -7 (-15 -4361 ((-684 |#1|) (-684 |#1|))) (-15 -4496 ((-684 |#1|) (-684 |#1|))) (-15 -1427 ((-637 (-637 |#1|)) (-637 (-637 |#1|)))) (-15 -2685 ((-637 (-637 |#1|)) (-637 (-637 |#1|)) (-637 (-637 |#1|)))) (-15 -3322 ((-637 |#1|) (-637 |#1|) (-637 |#1|) |#1|)) (-15 -1673 ((-637 (-637 |#1|)) (-637 |#1|) (-637 (-637 |#1|))))) 
+((-2913 (((-121)) 46) (((-121) (-121)) 47)) (-4084 ((|#7| |#5| |#3|) 44)) (-2841 ((|#5| |#7|) 29)) (-4537 (((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-637 (-571)))) |#3| |#5| |#3| (-571)) 99)) (-4368 (((-637 |#6|) |#5| |#3| (-571)) 35))) 
+(((-657 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -2913 ((-121) (-121))) (-15 -2913 ((-121))) (-15 -4084 (|#7| |#5| |#3|)) (-15 -4368 ((-637 |#6|) |#5| |#3| (-571))) (-15 -2841 (|#5| |#7|)) (-15 -4537 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-637 (-571)))) |#3| |#5| |#3| (-571)))) (-367) (-637 (-1169)) (-955 |#1| |#4| (-857 |#2|)) (-231 (-4001 |#2|) (-768)) (-977 |#1|) (-644 |#1|) (-925 |#1| |#6|)) (T -657)) 
+((-4537 (*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *8 (-231 (-4001 *7) (-768))) (-4 *9 (-644 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-637 (-571))))) (-5 *1 (-657 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-571)) (-4 *3 (-955 *6 *8 (-857 *7))) (-4 *4 (-977 *6)) (-4 *10 (-925 *6 *9)))) (-2841 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-644 *4)) (-4 *2 (-977 *4)) (-5 *1 (-657 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *3 (-925 *4 *8)))) (-4368 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-571)) (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *8 (-231 (-4001 *7) (-768))) (-4 *9 (-644 *6)) (-5 *2 (-637 *9)) (-5 *1 (-657 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-955 *6 *8 (-857 *7))) (-4 *3 (-977 *6)) (-4 *10 (-925 *6 *9)))) (-4084 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *2 (-925 *5 *8)) (-5 *1 (-657 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-955 *5 *7 (-857 *6))) (-4 *3 (-977 *5)) (-4 *8 (-644 *5)))) (-2913 (*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-5 *2 (-121)) (-5 *1 (-657 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *7 (-977 *3)) (-4 *9 (-925 *3 *8)))) (-2913 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-5 *1 (-657 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *7 (-977 *3)) (-4 *9 (-925 *3 *8))))) 
+(-10 -7 (-15 -2913 ((-121) (-121))) (-15 -2913 ((-121))) (-15 -4084 (|#7| |#5| |#3|)) (-15 -4368 ((-637 |#6|) |#5| |#3| (-571))) (-15 -2841 (|#5| |#7|)) (-15 -4537 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-637 (-571)))) |#3| |#5| |#3| (-571)))) 
+((-3717 (((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|)) 33))) 
+(((-658 |#1|) (-10 -7 (-15 -3717 ((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|)))) (-909)) (T -658)) 
+((-3717 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 *4))) (-5 *3 (-1165 *4)) (-4 *4 (-909)) (-5 *1 (-658 *4))))) 
+(-10 -7 (-15 -3717 ((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3171 (((-637 |#1|) $) 82)) (-2242 (($ $ (-768)) 90)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4202 (((-1280 |#1| |#2|) (-1280 |#1| |#2|) $) 48)) (-3337 (((-3 (-666 |#1|) "failed") $) NIL)) (-1316 (((-666 |#1|) $) NIL)) (-4349 (($ $) 89)) (-2108 (((-768) $) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4506 (($ (-666 |#1|) |#2|) 68)) (-2617 (($ $) 86)) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-2520 (((-1280 |#1| |#2|) (-1280 |#1| |#2|) $) 47)) (-4044 (((-637 (-2 (|:| |k| (-666 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3654 (((-2 (|:| |k| (-666 |#1|)) (|:| |c| |#2|)) $) NIL)) (-4332 (((-666 |#1|) $) NIL)) (-4337 ((|#2| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4483 (($ $ |#1| $) 30) (($ $ (-637 |#1|) (-637 $)) 32)) (-2400 (((-768) $) 88)) (-3891 (($ $ $) 20) (($ (-666 |#1|) (-666 |#1|)) 77) (($ (-666 |#1|) $) 75) (($ $ (-666 |#1|)) 76)) (-3942 (((-855) $) NIL) (($ |#1|) 74) (((-1271 |#1| |#2|) $) 58) (((-1280 |#1| |#2|) $) 41) (($ (-666 |#1|)) 25)) (-1314 (((-637 |#2|) $) NIL)) (-3136 ((|#2| $ (-666 |#1|)) NIL)) (-4501 ((|#2| (-1280 |#1| |#2|) $) 43)) (-2369 (($) 23 T CONST)) (-1867 (((-3 $ "failed") (-1271 |#1| |#2|)) 60)) (-1855 (($ (-666 |#1|)) 14)) (-1323 (((-121) $ $) 44)) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $) 66) (($ $ $) NIL)) (-1367 (($ $ $) 29)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ |#2| $) 28) (($ $ |#2|) NIL) (($ |#2| (-666 |#1|)) NIL))) 
+(((-659 |#1| |#2|) (-13 (-379 |#1| |#2|) (-387 |#2| (-666 |#1|)) (-10 -8 (-15 -1867 ((-3 $ "failed") (-1271 |#1| |#2|))) (-15 -3891 ($ (-666 |#1|) (-666 |#1|))) (-15 -3891 ($ (-666 |#1|) $)) (-15 -3891 ($ $ (-666 |#1|))))) (-847) (-173)) (T -659)) 
+((-1867 (*1 *1 *2) (|partial| -12 (-5 *2 (-1271 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *1 (-659 *3 *4)))) (-3891 (*1 *1 *2 *2) (-12 (-5 *2 (-666 *3)) (-4 *3 (-847)) (-5 *1 (-659 *3 *4)) (-4 *4 (-173)))) (-3891 (*1 *1 *2 *1) (-12 (-5 *2 (-666 *3)) (-4 *3 (-847)) (-5 *1 (-659 *3 *4)) (-4 *4 (-173)))) (-3891 (*1 *1 *1 *2) (-12 (-5 *2 (-666 *3)) (-4 *3 (-847)) (-5 *1 (-659 *3 *4)) (-4 *4 (-173))))) 
+(-13 (-379 |#1| |#2|) (-387 |#2| (-666 |#1|)) (-10 -8 (-15 -1867 ((-3 $ "failed") (-1271 |#1| |#2|))) (-15 -3891 ($ (-666 |#1|) (-666 |#1|))) (-15 -3891 ($ (-666 |#1|) $)) (-15 -3891 ($ $ (-666 |#1|))))) 
+((-2648 (((-121) $) NIL) (((-121) (-1 (-121) |#2| |#2|) $) 49)) (-3652 (($ $) NIL) (($ (-1 (-121) |#2| |#2|) $) 11)) (-3129 (($ (-1 (-121) |#2|) $) 27)) (-4578 (($ $) 55)) (-2980 (($ $) 62)) (-1599 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 36)) (-3074 ((|#2| (-1 |#2| |#2| |#2|) $) 21) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 50) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 52)) (-3984 (((-571) |#2| $ (-571)) 60) (((-571) |#2| $) NIL) (((-571) (-1 (-121) |#2|) $) 46)) (-1364 (($ (-768) |#2|) 53)) (-2984 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 29)) (-3491 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 24)) (-3799 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 54)) (-4344 (($ |#2|) 14)) (-2863 (($ $ $ (-571)) 35) (($ |#2| $ (-571)) 33)) (-3765 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 45)) (-3165 (($ $ (-1224 (-571))) 43) (($ $ (-571)) 37)) (-3427 (($ $ $ (-571)) 59)) (-4316 (($ $) 57)) (-1331 (((-121) $ $) 64))) 
+(((-660 |#1| |#2|) (-10 -8 (-15 -4344 (|#1| |#2|)) (-15 -3165 (|#1| |#1| (-571))) (-15 -3165 (|#1| |#1| (-1224 (-571)))) (-15 -1599 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2863 (|#1| |#2| |#1| (-571))) (-15 -2863 (|#1| |#1| |#1| (-571))) (-15 -2984 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3129 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1599 (|#1| |#2| |#1|)) (-15 -2980 (|#1| |#1|)) (-15 -2984 (|#1| |#1| |#1|)) (-15 -3491 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2648 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3984 ((-571) (-1 (-121) |#2|) |#1|)) (-15 -3984 ((-571) |#2| |#1|)) (-15 -3984 ((-571) |#2| |#1| (-571))) (-15 -3491 (|#1| |#1| |#1|)) (-15 -2648 ((-121) |#1|)) (-15 -3427 (|#1| |#1| |#1| (-571))) (-15 -4578 (|#1| |#1|)) (-15 -3652 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3652 (|#1| |#1|)) (-15 -1331 ((-121) |#1| |#1|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -3765 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -1364 (|#1| (-768) |#2|)) (-15 -3799 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4316 (|#1| |#1|))) (-661 |#2|) (-1203)) (T -660)) 
+NIL 
+(-10 -8 (-15 -4344 (|#1| |#2|)) (-15 -3165 (|#1| |#1| (-571))) (-15 -3165 (|#1| |#1| (-1224 (-571)))) (-15 -1599 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2863 (|#1| |#2| |#1| (-571))) (-15 -2863 (|#1| |#1| |#1| (-571))) (-15 -2984 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3129 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1599 (|#1| |#2| |#1|)) (-15 -2980 (|#1| |#1|)) (-15 -2984 (|#1| |#1| |#1|)) (-15 -3491 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2648 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3984 ((-571) (-1 (-121) |#2|) |#1|)) (-15 -3984 ((-571) |#2| |#1|)) (-15 -3984 ((-571) |#2| |#1| (-571))) (-15 -3491 (|#1| |#1| |#1|)) (-15 -2648 ((-121) |#1|)) (-15 -3427 (|#1| |#1| |#1| (-571))) (-15 -4578 (|#1| |#1|)) (-15 -3652 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3652 (|#1| |#1|)) (-15 -1331 ((-121) |#1| |#1|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -3074 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -3765 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -1364 (|#1| (-768) |#2|)) (-15 -3799 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4316 (|#1| |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-2139 ((|#1| $) 45)) (-4198 ((|#1| $) 62)) (-4327 (($ $) 64)) (-3839 (((-1263) $ (-571) (-571)) 94 (|has| $ (-6 -4601)))) (-4065 (($ $ (-571)) 49 (|has| $ (-6 -4601)))) (-2648 (((-121) $) 136 (|has| |#1| (-847))) (((-121) (-1 (-121) |#1| |#1|) $) 130)) (-3652 (($ $) 140 (-12 (|has| |#1| (-847)) (|has| $ (-6 -4601)))) (($ (-1 (-121) |#1| |#1|) $) 139 (|has| $ (-6 -4601)))) (-2972 (($ $) 135 (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $) 129)) (-3133 (((-121) $ (-768)) 8)) (-2815 ((|#1| $ |#1|) 36 (|has| $ (-6 -4601)))) (-1384 (($ $ $) 53 (|has| $ (-6 -4601)))) (-4531 ((|#1| $ |#1|) 51 (|has| $ (-6 -4601)))) (-1833 ((|#1| $ |#1|) 55 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4601))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4601))) (($ $ "rest" $) 52 (|has| $ (-6 -4601))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) 114 (|has| $ (-6 -4601))) ((|#1| $ (-571) |#1|) 83 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 38 (|has| $ (-6 -4601)))) (-3129 (($ (-1 (-121) |#1|) $) 123)) (-2534 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4600)))) (-4035 ((|#1| $) 63)) (-2269 (($) 7 T CONST)) (-4578 (($ $) 138 (|has| $ (-6 -4601)))) (-4378 (($ $) 128)) (-4372 (($ $) 70) (($ $ (-768)) 68)) (-2980 (($ $) 125 (|has| |#1| (-1097)))) (-4365 (($ $) 96 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1599 (($ |#1| $) 124 (|has| |#1| (-1097))) (($ (-1 (-121) |#1|) $) 119)) (-3412 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4600))) (($ |#1| $) 97 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-2922 ((|#1| $ (-571) |#1|) 82 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 84)) (-3076 (((-121) $) 80)) (-3984 (((-571) |#1| $ (-571)) 133 (|has| |#1| (-1097))) (((-571) |#1| $) 132 (|has| |#1| (-1097))) (((-571) (-1 (-121) |#1|) $) 131)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 47)) (-4114 (((-121) $ $) 39 (|has| |#1| (-1097)))) (-1364 (($ (-768) |#1|) 105)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 92 (|has| (-571) (-847)))) (-1763 (($ $ $) 141 (|has| |#1| (-847)))) (-2984 (($ $ $) 126 (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $ $) 122)) (-3491 (($ $ $) 134 (|has| |#1| (-847))) (($ (-1 (-121) |#1| |#1|) $ $) 127)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 91 (|has| (-571) (-847)))) (-2383 (($ $ $) 142 (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-4344 (($ |#1|) 116)) (-3794 (((-121) $ (-768)) 10)) (-3392 (((-637 |#1|) $) 42)) (-2945 (((-121) $) 46)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-3220 ((|#1| $) 67) (($ $ (-768)) 65)) (-2863 (($ $ $ (-571)) 121) (($ |#1| $ (-571)) 120)) (-2594 (($ $ $ (-571)) 113) (($ |#1| $ (-571)) 112)) (-2738 (((-637 (-571)) $) 89)) (-1613 (((-121) (-571) $) 88)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1827 ((|#1| $) 73) (($ $ (-768)) 71)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-4411 (($ $ |#1|) 93 (|has| $ (-6 -4601)))) (-3032 (((-121) $) 81)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) 87)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1224 (-571))) 109) ((|#1| $ (-571)) 86) ((|#1| $ (-571) |#1|) 85)) (-2514 (((-571) $ $) 41)) (-3165 (($ $ (-1224 (-571))) 118) (($ $ (-571)) 117)) (-1933 (($ $ (-1224 (-571))) 111) (($ $ (-571)) 110)) (-1664 (((-121) $) 43)) (-3863 (($ $) 59)) (-3756 (($ $) 56 (|has| $ (-6 -4601)))) (-2895 (((-768) $) 60)) (-1360 (($ $) 61)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3427 (($ $ $ (-571)) 137 (|has| $ (-6 -4601)))) (-4316 (($ $) 13)) (-4050 (((-544) $) 95 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 104)) (-3294 (($ $ $) 58) (($ $ |#1|) 57)) (-4498 (($ $ $) 75) (($ |#1| $) 74) (($ (-637 $)) 107) (($ $ |#1|) 106)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 48)) (-3014 (((-121) $ $) 40 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) 144 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 145 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-1342 (((-121) $ $) 143 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 146 (|has| |#1| (-847)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-661 |#1|) (-1289) (-1203)) (T -661)) 
+((-4344 (*1 *1 *2) (-12 (-4 *1 (-661 *2)) (-4 *2 (-1203))))) 
+(-13 (-1141 |t#1|) (-378 |t#1|) (-278 |t#1|) (-10 -8 (-15 -4344 ($ |t#1|)))) 
+(((-39) . T) ((-105) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-611 (-855)) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-282 (-571) |#1|) . T) ((-284 (-571) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-278 |#1|) . T) ((-378 |#1|) . T) ((-502 |#1|) . T) ((-604 (-571) |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-643 |#1|) . T) ((-847) |has| |#1| (-847)) ((-1016 |#1|) . T) ((-1097) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-1141 |#1|) . T) ((-1203) . T) ((-1245 |#1|) . T)) 
+((-4549 (((-637 (-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|))))) (-637 (-637 |#1|)) (-637 (-1258 |#1|))) 21) (((-637 (-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|))))) (-684 |#1|) (-637 (-1258 |#1|))) 20) (((-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|)))) (-637 (-637 |#1|)) (-1258 |#1|)) 16) (((-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|)))) (-684 |#1|) (-1258 |#1|)) 13)) (-3241 (((-768) (-684 |#1|) (-1258 |#1|)) 29)) (-1335 (((-3 (-1258 |#1|) "failed") (-684 |#1|) (-1258 |#1|)) 23)) (-2934 (((-121) (-684 |#1|) (-1258 |#1|)) 26))) 
+(((-662 |#1|) (-10 -7 (-15 -4549 ((-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|)))) (-684 |#1|) (-1258 |#1|))) (-15 -4549 ((-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|)))) (-637 (-637 |#1|)) (-1258 |#1|))) (-15 -4549 ((-637 (-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|))))) (-684 |#1|) (-637 (-1258 |#1|)))) (-15 -4549 ((-637 (-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|))))) (-637 (-637 |#1|)) (-637 (-1258 |#1|)))) (-15 -1335 ((-3 (-1258 |#1|) "failed") (-684 |#1|) (-1258 |#1|))) (-15 -2934 ((-121) (-684 |#1|) (-1258 |#1|))) (-15 -3241 ((-768) (-684 |#1|) (-1258 |#1|)))) (-367)) (T -662)) 
+((-3241 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *5)) (-5 *4 (-1258 *5)) (-4 *5 (-367)) (-5 *2 (-768)) (-5 *1 (-662 *5)))) (-2934 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *5)) (-5 *4 (-1258 *5)) (-4 *5 (-367)) (-5 *2 (-121)) (-5 *1 (-662 *5)))) (-1335 (*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1258 *4)) (-5 *3 (-684 *4)) (-4 *4 (-367)) (-5 *1 (-662 *4)))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-637 *5))) (-4 *5 (-367)) (-5 *2 (-637 (-2 (|:| |particular| (-3 (-1258 *5) "failed")) (|:| -1899 (-637 (-1258 *5)))))) (-5 *1 (-662 *5)) (-5 *4 (-637 (-1258 *5))))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *5)) (-4 *5 (-367)) (-5 *2 (-637 (-2 (|:| |particular| (-3 (-1258 *5) "failed")) (|:| -1899 (-637 (-1258 *5)))))) (-5 *1 (-662 *5)) (-5 *4 (-637 (-1258 *5))))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-637 *5))) (-4 *5 (-367)) (-5 *2 (-2 (|:| |particular| (-3 (-1258 *5) "failed")) (|:| -1899 (-637 (-1258 *5))))) (-5 *1 (-662 *5)) (-5 *4 (-1258 *5)))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| |particular| (-3 (-1258 *5) "failed")) (|:| -1899 (-637 (-1258 *5))))) (-5 *1 (-662 *5)) (-5 *4 (-1258 *5))))) 
+(-10 -7 (-15 -4549 ((-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|)))) (-684 |#1|) (-1258 |#1|))) (-15 -4549 ((-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|)))) (-637 (-637 |#1|)) (-1258 |#1|))) (-15 -4549 ((-637 (-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|))))) (-684 |#1|) (-637 (-1258 |#1|)))) (-15 -4549 ((-637 (-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|))))) (-637 (-637 |#1|)) (-637 (-1258 |#1|)))) (-15 -1335 ((-3 (-1258 |#1|) "failed") (-684 |#1|) (-1258 |#1|))) (-15 -2934 ((-121) (-684 |#1|) (-1258 |#1|))) (-15 -3241 ((-768) (-684 |#1|) (-1258 |#1|)))) 
+((-4549 (((-637 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -1899 (-637 |#3|)))) |#4| (-637 |#3|)) 47) (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -1899 (-637 |#3|))) |#4| |#3|) 45)) (-3241 (((-768) |#4| |#3|) 17)) (-1335 (((-3 |#3| "failed") |#4| |#3|) 20)) (-2934 (((-121) |#4| |#3|) 13))) 
+(((-663 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4549 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -1899 (-637 |#3|))) |#4| |#3|)) (-15 -4549 ((-637 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -1899 (-637 |#3|)))) |#4| (-637 |#3|))) (-15 -1335 ((-3 |#3| "failed") |#4| |#3|)) (-15 -2934 ((-121) |#4| |#3|)) (-15 -3241 ((-768) |#4| |#3|))) (-367) (-13 (-378 |#1|) (-10 -7 (-6 -4601))) (-13 (-378 |#1|) (-10 -7 (-6 -4601))) (-682 |#1| |#2| |#3|)) (T -663)) 
+((-3241 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-5 *2 (-768)) (-5 *1 (-663 *5 *6 *4 *3)) (-4 *3 (-682 *5 *6 *4)))) (-2934 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-5 *2 (-121)) (-5 *1 (-663 *5 *6 *4 *3)) (-4 *3 (-682 *5 *6 *4)))) (-1335 (*1 *2 *3 *2) (|partial| -12 (-4 *4 (-367)) (-4 *5 (-13 (-378 *4) (-10 -7 (-6 -4601)))) (-4 *2 (-13 (-378 *4) (-10 -7 (-6 -4601)))) (-5 *1 (-663 *4 *5 *2 *3)) (-4 *3 (-682 *4 *5 *2)))) (-4549 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-4 *7 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-5 *2 (-637 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -1899 (-637 *7))))) (-5 *1 (-663 *5 *6 *7 *3)) (-5 *4 (-637 *7)) (-4 *3 (-682 *5 *6 *7)))) (-4549 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-663 *5 *6 *4 *3)) (-4 *3 (-682 *5 *6 *4))))) 
+(-10 -7 (-15 -4549 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -1899 (-637 |#3|))) |#4| |#3|)) (-15 -4549 ((-637 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -1899 (-637 |#3|)))) |#4| (-637 |#3|))) (-15 -1335 ((-3 |#3| "failed") |#4| |#3|)) (-15 -2934 ((-121) |#4| |#3|)) (-15 -3241 ((-768) |#4| |#3|))) 
+((-3242 (((-2 (|:| |particular| (-3 (-1258 (-412 |#4|)) "failed")) (|:| -1899 (-637 (-1258 (-412 |#4|))))) (-637 |#4|) (-637 |#3|)) 44))) 
+(((-664 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3242 ((-2 (|:| |particular| (-3 (-1258 (-412 |#4|)) "failed")) (|:| -1899 (-637 (-1258 (-412 |#4|))))) (-637 |#4|) (-637 |#3|)))) (-561) (-793) (-847) (-955 |#1| |#2| |#3|)) (T -664)) 
+((-3242 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 *7)) (-4 *7 (-847)) (-4 *8 (-955 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-5 *2 (-2 (|:| |particular| (-3 (-1258 (-412 *8)) "failed")) (|:| -1899 (-637 (-1258 (-412 *8)))))) (-5 *1 (-664 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -3242 ((-2 (|:| |particular| (-3 (-1258 (-412 |#4|)) "failed")) (|:| -1899 (-637 (-1258 (-412 |#4|))))) (-637 |#4|) (-637 |#3|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3691 (((-3 $ "failed")) NIL (|has| |#2| (-561)))) (-3490 ((|#2| $) NIL)) (-4359 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3247 (((-1258 (-684 |#2|))) NIL) (((-1258 (-684 |#2|)) (-1258 $)) NIL)) (-2209 (((-121) $) NIL)) (-2664 (((-1258 $)) 37)) (-3133 (((-121) $ (-768)) NIL)) (-1986 (($ |#2|) NIL)) (-2269 (($) NIL T CONST)) (-2986 (($ $) NIL (|has| |#2| (-302)))) (-4336 (((-233 |#1| |#2|) $ (-571)) NIL)) (-4094 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) NIL (|has| |#2| (-561)))) (-2655 (((-3 $ "failed")) NIL (|has| |#2| (-561)))) (-4560 (((-684 |#2|)) NIL) (((-684 |#2|) (-1258 $)) NIL)) (-2110 ((|#2| $) NIL)) (-3583 (((-684 |#2|) $) NIL) (((-684 |#2|) $ (-1258 $)) NIL)) (-4555 (((-3 $ "failed") $) NIL (|has| |#2| (-561)))) (-2838 (((-1165 (-958 |#2|))) NIL (|has| |#2| (-367)))) (-3116 (($ $ (-922)) NIL)) (-4463 ((|#2| $) NIL)) (-4051 (((-1165 |#2|) $) NIL (|has| |#2| (-561)))) (-2630 ((|#2|) NIL) ((|#2| (-1258 $)) NIL)) (-2015 (((-1165 |#2|) $) NIL)) (-2249 (((-121)) NIL)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#2| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-3 |#2| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#2| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#2| (-1043 (-412 (-571))))) ((|#2| $) NIL)) (-3456 (($ (-1258 |#2|)) NIL) (($ (-1258 |#2|) (-1258 $)) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL) (((-684 |#2|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3241 (((-768) $) NIL (|has| |#2| (-561))) (((-922)) 38)) (-4319 ((|#2| $ (-571) (-571)) NIL)) (-2232 (((-121)) NIL)) (-1869 (($ $ (-922)) NIL)) (-4034 (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-2583 (((-121) $) NIL)) (-3709 (((-768) $) NIL (|has| |#2| (-561)))) (-2855 (((-637 (-233 |#1| |#2|)) $) NIL (|has| |#2| (-561)))) (-3673 (((-768) $) NIL)) (-3981 (((-121)) NIL)) (-3682 (((-768) $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1997 ((|#2| $) NIL (|has| |#2| (-6 (-4602 "*"))))) (-1950 (((-571) $) NIL)) (-3325 (((-571) $) NIL)) (-3488 (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-4239 (((-571) $) NIL)) (-4395 (((-571) $) NIL)) (-3567 (($ (-637 (-637 |#2|))) NIL)) (-1923 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-3818 (((-637 (-637 |#2|)) $) NIL)) (-1896 (((-121)) NIL)) (-1626 (((-121)) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-1697 (((-3 (-2 (|:| |particular| $) (|:| -1899 (-637 $))) "failed")) NIL (|has| |#2| (-561)))) (-3150 (((-3 $ "failed")) NIL (|has| |#2| (-561)))) (-3945 (((-684 |#2|)) NIL) (((-684 |#2|) (-1258 $)) NIL)) (-4456 ((|#2| $) NIL)) (-3344 (((-684 |#2|) $) NIL) (((-684 |#2|) $ (-1258 $)) NIL)) (-3151 (((-3 $ "failed") $) NIL (|has| |#2| (-561)))) (-3064 (((-1165 (-958 |#2|))) NIL (|has| |#2| (-367)))) (-4406 (($ $ (-922)) NIL)) (-3829 ((|#2| $) NIL)) (-1759 (((-1165 |#2|) $) NIL (|has| |#2| (-561)))) (-1474 ((|#2|) NIL) ((|#2| (-1258 $)) NIL)) (-1459 (((-1165 |#2|) $) NIL)) (-4465 (((-121)) NIL)) (-3944 (((-1151) $) NIL)) (-4323 (((-121)) NIL)) (-4499 (((-121)) NIL)) (-2926 (((-121)) NIL)) (-1774 (((-3 $ "failed") $) NIL (|has| |#2| (-367)))) (-2580 (((-1115) $) NIL)) (-1849 (((-121)) NIL)) (-1786 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-561)))) (-3160 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#2| $ (-571) (-571) |#2|) NIL) ((|#2| $ (-571) (-571)) 22) ((|#2| $ (-571)) NIL)) (-3096 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-768)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-2566 ((|#2| $) NIL)) (-2949 (($ (-637 |#2|)) NIL)) (-4208 (((-121) $) NIL)) (-3492 (((-233 |#1| |#2|) $) NIL)) (-3182 ((|#2| $) NIL (|has| |#2| (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-4316 (($ $) NIL)) (-3723 (((-684 |#2|) (-1258 $)) NIL) (((-1258 |#2|) $) NIL) (((-684 |#2|) (-1258 $) (-1258 $)) NIL) (((-1258 |#2|) $ (-1258 $)) 25)) (-4050 (($ (-1258 |#2|)) NIL) (((-1258 |#2|) $) NIL)) (-2962 (((-637 (-958 |#2|))) NIL) (((-637 (-958 |#2|)) (-1258 $)) NIL)) (-2212 (($ $ $) NIL)) (-3154 (((-121)) NIL)) (-2852 (((-233 |#1| |#2|) $ (-571)) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ (-412 (-571))) NIL (|has| |#2| (-1043 (-412 (-571))))) (($ |#2|) NIL) (((-684 |#2|) $) NIL)) (-2661 (((-768)) NIL)) (-1899 (((-1258 $)) 36)) (-4071 (((-637 (-1258 |#2|))) NIL (|has| |#2| (-561)))) (-3100 (($ $ $ $) NIL)) (-3904 (((-121)) NIL)) (-4288 (($ (-684 |#2|) $) NIL)) (-3027 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-2493 (($ $ $) NIL)) (-2742 (((-121)) NIL)) (-2740 (((-121)) NIL)) (-1582 (((-121)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-768)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#2| (-367)))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-233 |#1| |#2|) $ (-233 |#1| |#2|)) NIL) (((-233 |#1| |#2|) (-233 |#1| |#2|) $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-665 |#1| |#2|) (-13 (-1118 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-611 (-684 |#2|)) (-422 |#2|)) (-922) (-173)) (T -665)) 
+NIL 
+(-13 (-1118 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-611 (-684 |#2|)) (-422 |#2|)) 
+((-2234 (((-121) $ $) NIL)) (-3171 (((-637 |#1|) $) NIL)) (-1852 (($ $) 50)) (-3979 (((-121) $) NIL)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-4517 (((-3 $ "failed") (-819 |#1|)) 22)) (-2360 (((-121) (-819 |#1|)) 14)) (-3688 (($ (-819 |#1|)) 23)) (-2156 (((-121) $ $) 28)) (-3158 (((-922) $) 35)) (-1856 (($ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4262 (((-637 $) (-819 |#1|)) 16)) (-3942 (((-855) $) 41) (($ |#1|) 32) (((-819 |#1|) $) 37) (((-671 |#1|) $) 42)) (-2386 (((-64 (-637 $)) (-637 |#1|) (-922)) 55)) (-2776 (((-637 $) (-637 |#1|) (-922)) 57)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 51)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 36))) 
+(((-666 |#1|) (-13 (-847) (-1043 |#1|) (-10 -8 (-15 -3979 ((-121) $)) (-15 -1856 ($ $)) (-15 -1852 ($ $)) (-15 -3158 ((-922) $)) (-15 -2156 ((-121) $ $)) (-15 -3942 ((-819 |#1|) $)) (-15 -3942 ((-671 |#1|) $)) (-15 -4262 ((-637 $) (-819 |#1|))) (-15 -2360 ((-121) (-819 |#1|))) (-15 -3688 ($ (-819 |#1|))) (-15 -4517 ((-3 $ "failed") (-819 |#1|))) (-15 -3171 ((-637 |#1|) $)) (-15 -2386 ((-64 (-637 $)) (-637 |#1|) (-922))) (-15 -2776 ((-637 $) (-637 |#1|) (-922))))) (-847)) (T -666)) 
+((-3979 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) (-1856 (*1 *1 *1) (-12 (-5 *1 (-666 *2)) (-4 *2 (-847)))) (-1852 (*1 *1 *1) (-12 (-5 *1 (-666 *2)) (-4 *2 (-847)))) (-3158 (*1 *2 *1) (-12 (-5 *2 (-922)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) (-2156 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-819 *3)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-671 *3)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) (-4262 (*1 *2 *3) (-12 (-5 *3 (-819 *4)) (-4 *4 (-847)) (-5 *2 (-637 (-666 *4))) (-5 *1 (-666 *4)))) (-2360 (*1 *2 *3) (-12 (-5 *3 (-819 *4)) (-4 *4 (-847)) (-5 *2 (-121)) (-5 *1 (-666 *4)))) (-3688 (*1 *1 *2) (-12 (-5 *2 (-819 *3)) (-4 *3 (-847)) (-5 *1 (-666 *3)))) (-4517 (*1 *1 *2) (|partial| -12 (-5 *2 (-819 *3)) (-4 *3 (-847)) (-5 *1 (-666 *3)))) (-3171 (*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) (-2386 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-922)) (-4 *5 (-847)) (-5 *2 (-64 (-637 (-666 *5)))) (-5 *1 (-666 *5)))) (-2776 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-922)) (-4 *5 (-847)) (-5 *2 (-637 (-666 *5))) (-5 *1 (-666 *5))))) 
+(-13 (-847) (-1043 |#1|) (-10 -8 (-15 -3979 ((-121) $)) (-15 -1856 ($ $)) (-15 -1852 ($ $)) (-15 -3158 ((-922) $)) (-15 -2156 ((-121) $ $)) (-15 -3942 ((-819 |#1|) $)) (-15 -3942 ((-671 |#1|) $)) (-15 -4262 ((-637 $) (-819 |#1|))) (-15 -2360 ((-121) (-819 |#1|))) (-15 -3688 ($ (-819 |#1|))) (-15 -4517 ((-3 $ "failed") (-819 |#1|))) (-15 -3171 ((-637 |#1|) $)) (-15 -2386 ((-64 (-637 $)) (-637 |#1|) (-922))) (-15 -2776 ((-637 $) (-637 |#1|) (-922))))) 
+((-2139 ((|#2| $) 76)) (-4327 (($ $) 96)) (-3133 (((-121) $ (-768)) 26)) (-4372 (($ $) 85) (($ $ (-768)) 88)) (-3076 (((-121) $) 97)) (-2268 (((-637 $) $) 72)) (-4114 (((-121) $ $) 71)) (-2262 (((-121) $ (-768)) 24)) (-1414 (((-571) $) 46)) (-3113 (((-571) $) 45)) (-3794 (((-121) $ (-768)) 22)) (-2945 (((-121) $) 74)) (-3220 ((|#2| $) 89) (($ $ (-768)) 92)) (-2594 (($ $ $ (-571)) 62) (($ |#2| $ (-571)) 61)) (-2738 (((-637 (-571)) $) 44)) (-1613 (((-121) (-571) $) 42)) (-1827 ((|#2| $) NIL) (($ $ (-768)) 84)) (-3140 (($ $ (-571)) 99)) (-3032 (((-121) $) 98)) (-3160 (((-121) (-1 (-121) |#2|) $) 32)) (-3909 (((-637 |#2|) $) 33)) (-3245 ((|#2| $ "value") NIL) ((|#2| $ "first") 83) (($ $ "rest") 87) ((|#2| $ "last") 95) (($ $ (-1224 (-571))) 58) ((|#2| $ (-571)) 40) ((|#2| $ (-571) |#2|) 41)) (-2514 (((-571) $ $) 70)) (-1933 (($ $ (-1224 (-571))) 57) (($ $ (-571)) 51)) (-1664 (((-121) $) 66)) (-3863 (($ $) 81)) (-2895 (((-768) $) 80)) (-1360 (($ $) 79)) (-3891 (($ (-637 |#2|)) 37)) (-3202 (($ $) 100)) (-1846 (((-637 $) $) 69)) (-3014 (((-121) $ $) 68)) (-3027 (((-121) (-1 (-121) |#2|) $) 31)) (-1323 (((-121) $ $) 18)) (-4001 (((-768) $) 29))) 
+(((-667 |#1| |#2|) (-10 -8 (-15 -3202 (|#1| |#1|)) (-15 -3140 (|#1| |#1| (-571))) (-15 -3076 ((-121) |#1|)) (-15 -3032 ((-121) |#1|)) (-15 -3245 (|#2| |#1| (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571))) (-15 -3909 ((-637 |#2|) |#1|)) (-15 -1613 ((-121) (-571) |#1|)) (-15 -2738 ((-637 (-571)) |#1|)) (-15 -3113 ((-571) |#1|)) (-15 -1414 ((-571) |#1|)) (-15 -3891 (|#1| (-637 |#2|))) (-15 -3245 (|#1| |#1| (-1224 (-571)))) (-15 -1933 (|#1| |#1| (-571))) (-15 -1933 (|#1| |#1| (-1224 (-571)))) (-15 -2594 (|#1| |#2| |#1| (-571))) (-15 -2594 (|#1| |#1| |#1| (-571))) (-15 -3863 (|#1| |#1|)) (-15 -2895 ((-768) |#1|)) (-15 -1360 (|#1| |#1|)) (-15 -4327 (|#1| |#1|)) (-15 -3220 (|#1| |#1| (-768))) (-15 -3245 (|#2| |#1| "last")) (-15 -3220 (|#2| |#1|)) (-15 -4372 (|#1| |#1| (-768))) (-15 -3245 (|#1| |#1| "rest")) (-15 -4372 (|#1| |#1|)) (-15 -1827 (|#1| |#1| (-768))) (-15 -3245 (|#2| |#1| "first")) (-15 -1827 (|#2| |#1|)) (-15 -4114 ((-121) |#1| |#1|)) (-15 -3014 ((-121) |#1| |#1|)) (-15 -2514 ((-571) |#1| |#1|)) (-15 -1664 ((-121) |#1|)) (-15 -3245 (|#2| |#1| "value")) (-15 -2139 (|#2| |#1|)) (-15 -2945 ((-121) |#1|)) (-15 -2268 ((-637 |#1|) |#1|)) (-15 -1846 ((-637 |#1|) |#1|)) (-15 -1323 ((-121) |#1| |#1|)) (-15 -3160 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4001 ((-768) |#1|)) (-15 -3133 ((-121) |#1| (-768))) (-15 -2262 ((-121) |#1| (-768))) (-15 -3794 ((-121) |#1| (-768)))) (-668 |#2|) (-1203)) (T -667)) 
+NIL 
+(-10 -8 (-15 -3202 (|#1| |#1|)) (-15 -3140 (|#1| |#1| (-571))) (-15 -3076 ((-121) |#1|)) (-15 -3032 ((-121) |#1|)) (-15 -3245 (|#2| |#1| (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571))) (-15 -3909 ((-637 |#2|) |#1|)) (-15 -1613 ((-121) (-571) |#1|)) (-15 -2738 ((-637 (-571)) |#1|)) (-15 -3113 ((-571) |#1|)) (-15 -1414 ((-571) |#1|)) (-15 -3891 (|#1| (-637 |#2|))) (-15 -3245 (|#1| |#1| (-1224 (-571)))) (-15 -1933 (|#1| |#1| (-571))) (-15 -1933 (|#1| |#1| (-1224 (-571)))) (-15 -2594 (|#1| |#2| |#1| (-571))) (-15 -2594 (|#1| |#1| |#1| (-571))) (-15 -3863 (|#1| |#1|)) (-15 -2895 ((-768) |#1|)) (-15 -1360 (|#1| |#1|)) (-15 -4327 (|#1| |#1|)) (-15 -3220 (|#1| |#1| (-768))) (-15 -3245 (|#2| |#1| "last")) (-15 -3220 (|#2| |#1|)) (-15 -4372 (|#1| |#1| (-768))) (-15 -3245 (|#1| |#1| "rest")) (-15 -4372 (|#1| |#1|)) (-15 -1827 (|#1| |#1| (-768))) (-15 -3245 (|#2| |#1| "first")) (-15 -1827 (|#2| |#1|)) (-15 -4114 ((-121) |#1| |#1|)) (-15 -3014 ((-121) |#1| |#1|)) (-15 -2514 ((-571) |#1| |#1|)) (-15 -1664 ((-121) |#1|)) (-15 -3245 (|#2| |#1| "value")) (-15 -2139 (|#2| |#1|)) (-15 -2945 ((-121) |#1|)) (-15 -2268 ((-637 |#1|) |#1|)) (-15 -1846 ((-637 |#1|) |#1|)) (-15 -1323 ((-121) |#1| |#1|)) (-15 -3160 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4001 ((-768) |#1|)) (-15 -3133 ((-121) |#1| (-768))) (-15 -2262 ((-121) |#1| (-768))) (-15 -3794 ((-121) |#1| (-768)))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-2139 ((|#1| $) 45)) (-4198 ((|#1| $) 62)) (-4327 (($ $) 64)) (-3839 (((-1263) $ (-571) (-571)) 94 (|has| $ (-6 -4601)))) (-4065 (($ $ (-571)) 49 (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) 8)) (-2815 ((|#1| $ |#1|) 36 (|has| $ (-6 -4601)))) (-1384 (($ $ $) 53 (|has| $ (-6 -4601)))) (-4531 ((|#1| $ |#1|) 51 (|has| $ (-6 -4601)))) (-1833 ((|#1| $ |#1|) 55 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4601))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4601))) (($ $ "rest" $) 52 (|has| $ (-6 -4601))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) 114 (|has| $ (-6 -4601))) ((|#1| $ (-571) |#1|) 83 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 38 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) 99)) (-4035 ((|#1| $) 63)) (-2269 (($) 7 T CONST)) (-3077 (($ $) 118)) (-4372 (($ $) 70) (($ $ (-768)) 68)) (-4365 (($ $) 96 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#1| $) 97 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 100)) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-2922 ((|#1| $ (-571) |#1|) 82 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 84)) (-3076 (((-121) $) 80)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2649 (((-768) $) 117)) (-2268 (((-637 $) $) 47)) (-4114 (((-121) $ $) 39 (|has| |#1| (-1097)))) (-1364 (($ (-768) |#1|) 105)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 92 (|has| (-571) (-847)))) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 91 (|has| (-571) (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-3794 (((-121) $ (-768)) 10)) (-3392 (((-637 |#1|) $) 42)) (-2945 (((-121) $) 46)) (-3854 (($ $) 120)) (-1990 (((-121) $) 121)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-3220 ((|#1| $) 67) (($ $ (-768)) 65)) (-2594 (($ $ $ (-571)) 113) (($ |#1| $ (-571)) 112)) (-2738 (((-637 (-571)) $) 89)) (-1613 (((-121) (-571) $) 88)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-4383 ((|#1| $) 119)) (-1827 ((|#1| $) 73) (($ $ (-768)) 71)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-4411 (($ $ |#1|) 93 (|has| $ (-6 -4601)))) (-3140 (($ $ (-571)) 116)) (-3032 (((-121) $) 81)) (-3726 (((-121) $) 122)) (-4331 (((-121) $) 123)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) 87)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1224 (-571))) 109) ((|#1| $ (-571)) 86) ((|#1| $ (-571) |#1|) 85)) (-2514 (((-571) $ $) 41)) (-1933 (($ $ (-1224 (-571))) 111) (($ $ (-571)) 110)) (-1664 (((-121) $) 43)) (-3863 (($ $) 59)) (-3756 (($ $) 56 (|has| $ (-6 -4601)))) (-2895 (((-768) $) 60)) (-1360 (($ $) 61)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 95 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 104)) (-3294 (($ $ $) 58 (|has| $ (-6 -4601))) (($ $ |#1|) 57 (|has| $ (-6 -4601)))) (-4498 (($ $ $) 75) (($ |#1| $) 74) (($ (-637 $)) 107) (($ $ |#1|) 106)) (-3202 (($ $) 115)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 48)) (-3014 (((-121) $ $) 40 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-668 |#1|) (-1289) (-1203)) (T -668)) 
+((-3412 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-668 *3)) (-4 *3 (-1203)))) (-2534 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-668 *3)) (-4 *3 (-1203)))) (-4331 (*1 *2 *1) (-12 (-4 *1 (-668 *3)) (-4 *3 (-1203)) (-5 *2 (-121)))) (-3726 (*1 *2 *1) (-12 (-4 *1 (-668 *3)) (-4 *3 (-1203)) (-5 *2 (-121)))) (-1990 (*1 *2 *1) (-12 (-4 *1 (-668 *3)) (-4 *3 (-1203)) (-5 *2 (-121)))) (-3854 (*1 *1 *1) (-12 (-4 *1 (-668 *2)) (-4 *2 (-1203)))) (-4383 (*1 *2 *1) (-12 (-4 *1 (-668 *2)) (-4 *2 (-1203)))) (-3077 (*1 *1 *1) (-12 (-4 *1 (-668 *2)) (-4 *2 (-1203)))) (-2649 (*1 *2 *1) (-12 (-4 *1 (-668 *3)) (-4 *3 (-1203)) (-5 *2 (-768)))) (-3140 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-668 *3)) (-4 *3 (-1203)))) (-3202 (*1 *1 *1) (-12 (-4 *1 (-668 *2)) (-4 *2 (-1203))))) 
+(-13 (-1141 |t#1|) (-10 -8 (-15 -3412 ($ (-1 (-121) |t#1|) $)) (-15 -2534 ($ (-1 (-121) |t#1|) $)) (-15 -4331 ((-121) $)) (-15 -3726 ((-121) $)) (-15 -1990 ((-121) $)) (-15 -3854 ($ $)) (-15 -4383 (|t#1| $)) (-15 -3077 ($ $)) (-15 -2649 ((-768) $)) (-15 -3140 ($ $ (-571))) (-15 -3202 ($ $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-282 (-571) |#1|) . T) ((-284 (-571) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-604 (-571) |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-643 |#1|) . T) ((-1016 |#1|) . T) ((-1097) |has| |#1| (-1097)) ((-1141 |#1|) . T) ((-1203) . T) ((-1245 |#1|) . T)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3606 (($ (-768) (-768) (-768)) 32 (|has| |#1| (-1053)))) (-3133 (((-121) $ (-768)) NIL)) (-4405 ((|#1| $ (-768) (-768) (-768) |#1|) 27)) (-2269 (($) NIL T CONST)) (-2309 (($ $ $) 36 (|has| |#1| (-1053)))) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3919 (((-1258 (-768)) $) 8)) (-4561 (($ (-1169) $ $) 22)) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-4134 (($ (-768)) 34 (|has| |#1| (-1053)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-768) (-768) (-768)) 25)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-3891 (($ (-637 (-637 (-637 |#1|)))) 43)) (-3942 (((-855) $) NIL (|has| |#1| (-1097))) (($ (-964 (-964 (-964 |#1|)))) 15) (((-964 (-964 (-964 |#1|))) $) 12)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-669 |#1|) (-13 (-502 |#1|) (-10 -8 (IF (|has| |#1| (-1053)) (PROGN (-15 -3606 ($ (-768) (-768) (-768))) (-15 -4134 ($ (-768))) (-15 -2309 ($ $ $))) |noBranch|) (-15 -3891 ($ (-637 (-637 (-637 |#1|))))) (-15 -3245 (|#1| $ (-768) (-768) (-768))) (-15 -4405 (|#1| $ (-768) (-768) (-768) |#1|)) (-15 -3942 ($ (-964 (-964 (-964 |#1|))))) (-15 -3942 ((-964 (-964 (-964 |#1|))) $)) (-15 -4561 ($ (-1169) $ $)) (-15 -3919 ((-1258 (-768)) $)))) (-1097)) (T -669)) 
+((-3606 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-768)) (-5 *1 (-669 *3)) (-4 *3 (-1053)) (-4 *3 (-1097)))) (-4134 (*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-669 *3)) (-4 *3 (-1053)) (-4 *3 (-1097)))) (-2309 (*1 *1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-1053)) (-4 *2 (-1097)))) (-3891 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 (-637 *3)))) (-4 *3 (-1097)) (-5 *1 (-669 *3)))) (-3245 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-768)) (-5 *1 (-669 *2)) (-4 *2 (-1097)))) (-4405 (*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-669 *2)) (-4 *2 (-1097)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-964 (-964 (-964 *3)))) (-4 *3 (-1097)) (-5 *1 (-669 *3)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-964 (-964 (-964 *3)))) (-5 *1 (-669 *3)) (-4 *3 (-1097)))) (-4561 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-669 *3)) (-4 *3 (-1097)))) (-3919 (*1 *2 *1) (-12 (-5 *2 (-1258 (-768))) (-5 *1 (-669 *3)) (-4 *3 (-1097))))) 
+(-13 (-502 |#1|) (-10 -8 (IF (|has| |#1| (-1053)) (PROGN (-15 -3606 ($ (-768) (-768) (-768))) (-15 -4134 ($ (-768))) (-15 -2309 ($ $ $))) |noBranch|) (-15 -3891 ($ (-637 (-637 (-637 |#1|))))) (-15 -3245 (|#1| $ (-768) (-768) (-768))) (-15 -4405 (|#1| $ (-768) (-768) (-768) |#1|)) (-15 -3942 ($ (-964 (-964 (-964 |#1|))))) (-15 -3942 ((-964 (-964 (-964 |#1|))) $)) (-15 -4561 ($ (-1169) $ $)) (-15 -3919 ((-1258 (-768)) $)))) 
+((-4123 (((-121) |#1|) 5)) (-2453 (((-1263) |#1| (-1207) (-571) |#2|) 8)) (-2603 ((|#1| |#1| |#1| |#2|) 1)) (-1447 (((-3 |#2| "failed") (-637 (-958 (-571))) (-637 (-1169)) (-571)) 3)) (-1775 ((|SortedExponentVector| (-571) (-571) |#2|) 7)) (-2400 (((-571) |#1|) 6)) (-4413 (((-3 |#1| "failed") |#1| |#2|) 2)) (-4551 ((|#1| (-958 (-571)) (-1169) (-637 (-1169)) |#2|) 4))) 
+(((-670 |#1| |#2|) (-1289) (-1203) (-1203)) (T -670)) 
+((-2453 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1207)) (-5 *5 (-571)) (-4 *1 (-670 *3 *6)) (-4 *3 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1263)))) (-1775 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-571)) (-4 *1 (-670 *5 *4)) (-4 *5 (-1203)) (-4 *4 (-1203)) (-5 *2 |SortedExponentVector|))) (-2400 (*1 *2 *3) (-12 (-4 *1 (-670 *3 *4)) (-4 *3 (-1203)) (-4 *4 (-1203)) (-5 *2 (-571)))) (-4123 (*1 *2 *3) (-12 (-4 *1 (-670 *3 *4)) (-4 *3 (-1203)) (-4 *4 (-1203)) (-5 *2 (-121)))) (-4551 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-958 (-571))) (-5 *5 (-637 (-1169))) (-4 *1 (-670 *2 *6)) (-4 *6 (-1203)) (-5 *4 (-1169)) (-4 *2 (-1203)))) (-1447 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-637 (-1169))) (-5 *5 (-571)) (-4 *1 (-670 *6 *2)) (-4 *6 (-1203)) (-4 *2 (-1203)))) (-4413 (*1 *2 *2 *3) (|partial| -12 (-4 *1 (-670 *2 *3)) (-4 *2 (-1203)) (-4 *3 (-1203)))) (-2603 (*1 *2 *2 *2 *3) (-12 (-4 *1 (-670 *2 *3)) (-4 *2 (-1203)) (-4 *3 (-1203))))) 
+(-13 (-10 -7 (-15 -2603 (|t#1| |t#1| |t#1| |t#2|)) (-15 -4413 ((-3 |t#1| "failed") |t#1| |t#2|)) (-15 -1447 ((-3 |t#2| "failed") (-637 (-958 (-571))) (-637 (-1169)) (-571))) (-15 -4551 (|t#1| (-958 (-571)) (-1169) (-637 (-1169)) |t#2|)) (-15 -4123 ((-121) |t#1|)) (-15 -2400 ((-571) |t#1|)) (-15 -1775 (|SortedExponentVector| (-571) (-571) |t#2|)) (-15 -2453 ((-1263) |t#1| (-1207) (-571) |t#2|)))) 
+((-2234 (((-121) $ $) NIL)) (-3171 (((-637 |#1|) $) 14)) (-1852 (($ $) 18)) (-3979 (((-121) $) 19)) (-3337 (((-3 |#1| "failed") $) 22)) (-1316 ((|#1| $) 20)) (-4372 (($ $) 36)) (-2617 (($ $) 24)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-2156 (((-121) $ $) 41)) (-3158 (((-922) $) 38)) (-1856 (($ $) 17)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 ((|#1| $) 35)) (-3942 (((-855) $) 31) (($ |#1|) 23) (((-819 |#1|) $) 27)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 12)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 40)) (* (($ $ $) 34))) 
+(((-671 |#1|) (-13 (-847) (-1043 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -3942 ((-819 |#1|) $)) (-15 -1827 (|#1| $)) (-15 -1856 ($ $)) (-15 -3158 ((-922) $)) (-15 -2156 ((-121) $ $)) (-15 -2617 ($ $)) (-15 -4372 ($ $)) (-15 -3979 ((-121) $)) (-15 -1852 ($ $)) (-15 -3171 ((-637 |#1|) $)))) (-847)) (T -671)) 
+((* (*1 *1 *1 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-819 *3)) (-5 *1 (-671 *3)) (-4 *3 (-847)))) (-1827 (*1 *2 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) (-1856 (*1 *1 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) (-3158 (*1 *2 *1) (-12 (-5 *2 (-922)) (-5 *1 (-671 *3)) (-4 *3 (-847)))) (-2156 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-671 *3)) (-4 *3 (-847)))) (-2617 (*1 *1 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) (-4372 (*1 *1 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) (-3979 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-671 *3)) (-4 *3 (-847)))) (-1852 (*1 *1 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) (-3171 (*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-671 *3)) (-4 *3 (-847))))) 
+(-13 (-847) (-1043 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -3942 ((-819 |#1|) $)) (-15 -1827 (|#1| $)) (-15 -1856 ($ $)) (-15 -3158 ((-922) $)) (-15 -2156 ((-121) $ $)) (-15 -2617 ($ $)) (-15 -4372 ($ $)) (-15 -3979 ((-121) $)) (-15 -1852 ($ $)) (-15 -3171 ((-637 |#1|) $)))) 
+((-1683 (((-637 |#4|) |#4| (-637 (-922))) 72) (((-637 |#4|) |#4| (-922)) 62)) (-2657 ((|#4| (-637 |#4|)) 59)) (-3657 ((|#4| |#4| (-1091 (-922)) (-1091 (-922))) 57) ((|#4| |#4| (-637 (-922)) (-637 (-922))) 54)) (-3653 ((|#4| |#4| (-1091 (-922))) 31) ((|#4| |#4| (-637 (-922))) 30)) (-1693 (((-637 |#4|) |#4| (-637 (-922))) 74) (((-637 |#4|) |#4| (-922)) 73)) (-1685 ((|#4| (-637 |#4|)) 58)) (-1700 ((|#4| |#4| (-922) (-922)) 20)) (-2949 ((|#4| |#4|) 45) ((|#4| |#4| (-571)) 44)) (-1707 ((|#4| |#4| (-1091 (-922))) 37) ((|#4| |#4| (-637 (-922))) 36)) (-1712 (((-637 (-637 |#4|)) |#4| (-637 (-922)) (-637 (-922))) 78) (((-637 (-637 |#4|)) |#4| (-922) (-637 (-922))) 77) (((-637 (-637 |#4|)) |#4| (-637 (-922)) (-922)) 76) (((-637 (-637 |#4|)) |#4| (-922) (-922)) 75)) (-1725 ((|#4| (-637 (-637 |#4|))) 53)) (-1730 ((|#4| |#4| (-1091 (-571))) 51) ((|#4| |#4| (-637 (-571))) 48)) (-1736 ((|#4| |#4| (-922)) 24)) (-1744 ((|#4| |#4| (-922)) 34))) 
+(((-672 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1700 (|#4| |#4| (-922) (-922))) (-15 -1736 (|#4| |#4| (-922))) (-15 -3653 (|#4| |#4| (-637 (-922)))) (-15 -3653 (|#4| |#4| (-1091 (-922)))) (-15 -1744 (|#4| |#4| (-922))) (-15 -1707 (|#4| |#4| (-637 (-922)))) (-15 -1707 (|#4| |#4| (-1091 (-922)))) (-15 -3657 (|#4| |#4| (-637 (-922)) (-637 (-922)))) (-15 -3657 (|#4| |#4| (-1091 (-922)) (-1091 (-922)))) (-15 -2949 (|#4| |#4| (-571))) (-15 -2949 (|#4| |#4|)) (-15 -1730 (|#4| |#4| (-637 (-571)))) (-15 -1730 (|#4| |#4| (-1091 (-571)))) (-15 -1685 (|#4| (-637 |#4|))) (-15 -2657 (|#4| (-637 |#4|))) (-15 -1725 (|#4| (-637 (-637 |#4|)))) (-15 -1683 ((-637 |#4|) |#4| (-922))) (-15 -1683 ((-637 |#4|) |#4| (-637 (-922)))) (-15 -1693 ((-637 |#4|) |#4| (-922))) (-15 -1693 ((-637 |#4|) |#4| (-637 (-922)))) (-15 -1712 ((-637 (-637 |#4|)) |#4| (-922) (-922))) (-15 -1712 ((-637 (-637 |#4|)) |#4| (-637 (-922)) (-922))) (-15 -1712 ((-637 (-637 |#4|)) |#4| (-922) (-637 (-922)))) (-15 -1712 ((-637 (-637 |#4|)) |#4| (-637 (-922)) (-637 (-922))))) (-367) (-378 |#1|) (-378 |#1|) (-682 |#1| |#2| |#3|)) (T -672)) 
+((-1712 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-637 (-922))) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 (-637 *3))) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7)))) (-1712 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-637 (-922))) (-5 *4 (-922)) (-4 *6 (-367)) (-4 *7 (-378 *6)) (-4 *8 (-378 *6)) (-5 *2 (-637 (-637 *3))) (-5 *1 (-672 *6 *7 *8 *3)) (-4 *3 (-682 *6 *7 *8)))) (-1712 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-922))) (-5 *5 (-922)) (-4 *6 (-367)) (-4 *7 (-378 *6)) (-4 *8 (-378 *6)) (-5 *2 (-637 (-637 *3))) (-5 *1 (-672 *6 *7 *8 *3)) (-4 *3 (-682 *6 *7 *8)))) (-1712 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 (-637 *3))) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7)))) (-1693 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-922))) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 *3)) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7)))) (-1693 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 *3)) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7)))) (-1683 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-922))) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 *3)) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7)))) (-1683 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 *3)) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7)))) (-1725 (*1 *2 *3) (-12 (-5 *3 (-637 (-637 *2))) (-4 *4 (-367)) (-4 *2 (-682 *4 *5 *6)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)))) (-2657 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *4 (-367)) (-4 *2 (-682 *4 *5 *6)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)))) (-1685 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *4 (-367)) (-4 *2 (-682 *4 *5 *6)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)))) (-1730 (*1 *2 *2 *3) (-12 (-5 *3 (-1091 (-571))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-1730 (*1 *2 *2 *3) (-12 (-5 *3 (-637 (-571))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-2949 (*1 *2 *2) (-12 (-4 *3 (-367)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-672 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) (-2949 (*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-3657 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-1091 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-3657 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-637 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-1707 (*1 *2 *2 *3) (-12 (-5 *3 (-1091 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-1707 (*1 *2 *2 *3) (-12 (-5 *3 (-637 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-1744 (*1 *2 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-3653 (*1 *2 *2 *3) (-12 (-5 *3 (-1091 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-3653 (*1 *2 *2 *3) (-12 (-5 *3 (-637 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-1736 (*1 *2 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-1700 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-922)) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6))))) 
+(-10 -7 (-15 -1700 (|#4| |#4| (-922) (-922))) (-15 -1736 (|#4| |#4| (-922))) (-15 -3653 (|#4| |#4| (-637 (-922)))) (-15 -3653 (|#4| |#4| (-1091 (-922)))) (-15 -1744 (|#4| |#4| (-922))) (-15 -1707 (|#4| |#4| (-637 (-922)))) (-15 -1707 (|#4| |#4| (-1091 (-922)))) (-15 -3657 (|#4| |#4| (-637 (-922)) (-637 (-922)))) (-15 -3657 (|#4| |#4| (-1091 (-922)) (-1091 (-922)))) (-15 -2949 (|#4| |#4| (-571))) (-15 -2949 (|#4| |#4|)) (-15 -1730 (|#4| |#4| (-637 (-571)))) (-15 -1730 (|#4| |#4| (-1091 (-571)))) (-15 -1685 (|#4| (-637 |#4|))) (-15 -2657 (|#4| (-637 |#4|))) (-15 -1725 (|#4| (-637 (-637 |#4|)))) (-15 -1683 ((-637 |#4|) |#4| (-922))) (-15 -1683 ((-637 |#4|) |#4| (-637 (-922)))) (-15 -1693 ((-637 |#4|) |#4| (-922))) (-15 -1693 ((-637 |#4|) |#4| (-637 (-922)))) (-15 -1712 ((-637 (-637 |#4|)) |#4| (-922) (-922))) (-15 -1712 ((-637 (-637 |#4|)) |#4| (-637 (-922)) (-922))) (-15 -1712 ((-637 (-637 |#4|)) |#4| (-922) (-637 (-922)))) (-15 -1712 ((-637 (-637 |#4|)) |#4| (-637 (-922)) (-637 (-922))))) 
+((-1416 ((|#1| (-1 |#1| (-768) |#1|) (-768) |#1|) 11)) (-4468 ((|#1| (-1 |#1| |#1|) (-768) |#1|) 9))) 
+(((-673 |#1|) (-10 -7 (-15 -4468 (|#1| (-1 |#1| |#1|) (-768) |#1|)) (-15 -1416 (|#1| (-1 |#1| (-768) |#1|) (-768) |#1|))) (-1097)) (T -673)) 
+((-1416 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-768) *2)) (-5 *4 (-768)) (-4 *2 (-1097)) (-5 *1 (-673 *2)))) (-4468 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-768)) (-4 *2 (-1097)) (-5 *1 (-673 *2))))) 
+(-10 -7 (-15 -4468 (|#1| (-1 |#1| |#1|) (-768) |#1|)) (-15 -1416 (|#1| (-1 |#1| (-768) |#1|) (-768) |#1|))) 
+((-2342 ((|#2| |#1| |#2|) 9)) (-2336 ((|#1| |#1| |#2|) 8))) 
+(((-674 |#1| |#2|) (-10 -7 (-15 -2336 (|#1| |#1| |#2|)) (-15 -2342 (|#2| |#1| |#2|))) (-1097) (-1097)) (T -674)) 
+((-2342 (*1 *2 *3 *2) (-12 (-5 *1 (-674 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097)))) (-2336 (*1 *2 *2 *3) (-12 (-5 *1 (-674 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097))))) 
+(-10 -7 (-15 -2336 (|#1| |#1| |#2|)) (-15 -2342 (|#2| |#1| |#2|))) 
+((-3016 ((|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|) 11))) 
+(((-675 |#1| |#2| |#3|) (-10 -7 (-15 -3016 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) (-1097) (-1097) (-1097)) (T -675)) 
+((-3016 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097)) (-5 *1 (-675 *5 *6 *2))))) 
+(-10 -7 (-15 -3016 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) 
+((-1416 (((-1 |#1| (-768) |#1|) (-1 |#1| (-768) |#1|)) 23)) (-3114 (((-1 |#1|) |#1|) 8)) (-3974 ((|#1| |#1|) 16)) (-4005 (((-637 |#1|) (-1 (-637 |#1|) (-637 |#1|)) (-571)) 15) ((|#1| (-1 |#1| |#1|)) 11)) (-3942 (((-1 |#1|) |#1|) 9)) (** (((-1 |#1| |#1|) (-1 |#1| |#1|) (-768)) 20))) 
+(((-676 |#1|) (-10 -7 (-15 -3114 ((-1 |#1|) |#1|)) (-15 -3942 ((-1 |#1|) |#1|)) (-15 -4005 (|#1| (-1 |#1| |#1|))) (-15 -4005 ((-637 |#1|) (-1 (-637 |#1|) (-637 |#1|)) (-571))) (-15 -3974 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-768))) (-15 -1416 ((-1 |#1| (-768) |#1|) (-1 |#1| (-768) |#1|)))) (-1097)) (T -676)) 
+((-1416 (*1 *2 *2) (-12 (-5 *2 (-1 *3 (-768) *3)) (-4 *3 (-1097)) (-5 *1 (-676 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-768)) (-4 *4 (-1097)) (-5 *1 (-676 *4)))) (-3974 (*1 *2 *2) (-12 (-5 *1 (-676 *2)) (-4 *2 (-1097)))) (-4005 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-637 *5) (-637 *5))) (-5 *4 (-571)) (-5 *2 (-637 *5)) (-5 *1 (-676 *5)) (-4 *5 (-1097)))) (-4005 (*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-676 *2)) (-4 *2 (-1097)))) (-3942 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-676 *3)) (-4 *3 (-1097)))) (-3114 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-676 *3)) (-4 *3 (-1097))))) 
+(-10 -7 (-15 -3114 ((-1 |#1|) |#1|)) (-15 -3942 ((-1 |#1|) |#1|)) (-15 -4005 (|#1| (-1 |#1| |#1|))) (-15 -4005 ((-637 |#1|) (-1 (-637 |#1|) (-637 |#1|)) (-571))) (-15 -3974 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-768))) (-15 -1416 ((-1 |#1| (-768) |#1|) (-1 |#1| (-768) |#1|)))) 
+((-2522 (((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)) 16)) (-3752 (((-1 |#2|) (-1 |#2| |#1|) |#1|) 13)) (-3177 (((-1 |#2| |#1|) (-1 |#2|)) 14)) (-2533 (((-1 |#2| |#1|) |#2|) 11))) 
+(((-677 |#1| |#2|) (-10 -7 (-15 -2533 ((-1 |#2| |#1|) |#2|)) (-15 -3752 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -3177 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -2522 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) (-1097) (-1097)) (T -677)) 
+((-2522 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-5 *2 (-1 *5 *4)) (-5 *1 (-677 *4 *5)))) (-3177 (*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1097)) (-5 *2 (-1 *5 *4)) (-5 *1 (-677 *4 *5)) (-4 *4 (-1097)))) (-3752 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-5 *2 (-1 *5)) (-5 *1 (-677 *4 *5)))) (-2533 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-677 *4 *3)) (-4 *4 (-1097)) (-4 *3 (-1097))))) 
+(-10 -7 (-15 -2533 ((-1 |#2| |#1|) |#2|)) (-15 -3752 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -3177 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -2522 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) 
+((-3572 (((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|)) 17)) (-3560 (((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|) 11)) (-3404 (((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|) 13)) (-4451 (((-1 |#3| |#1| |#2|) (-1 |#3| |#1|)) 14)) (-3841 (((-1 |#3| |#1| |#2|) (-1 |#3| |#2|)) 15)) (* (((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)) 21))) 
+(((-678 |#1| |#2| |#3|) (-10 -7 (-15 -3560 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -3404 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -4451 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -3841 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -3572 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) (-1097) (-1097) (-1097)) (T -678)) 
+((* (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-1 *7 *5)) (-5 *1 (-678 *5 *6 *7)))) (-3572 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-678 *4 *5 *6)))) (-3841 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-678 *4 *5 *6)) (-4 *4 (-1097)))) (-4451 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1097)) (-4 *6 (-1097)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-678 *4 *5 *6)) (-4 *5 (-1097)))) (-3404 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-1 *6 *5)) (-5 *1 (-678 *4 *5 *6)))) (-3560 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1097)) (-4 *4 (-1097)) (-4 *6 (-1097)) (-5 *2 (-1 *6 *5)) (-5 *1 (-678 *5 *4 *6))))) 
+(-10 -7 (-15 -3560 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -3404 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -4451 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -3841 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -3572 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) 
+((-1379 (((-1 (-311 (-571)) |#1|) (-1 (-311 (-571)) |#1|) (-1 (-311 (-571)) |#1|)) 18)) (-1373 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 12)) (-1367 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 10)) (* (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 14))) 
+(((-679 |#1| |#2|) (-10 -7 (-15 -1367 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1373 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1379 ((-1 (-311 (-571)) |#1|) (-1 (-311 (-571)) |#1|) (-1 (-311 (-571)) |#1|)))) (-1097) (-1053)) (T -679)) 
+((-1379 (*1 *2 *2 *2) (-12 (-5 *2 (-1 (-311 (-571)) *3)) (-4 *3 (-1097)) (-5 *1 (-679 *3 *4)) (-4 *4 (-1053)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1097)) (-4 *4 (-1053)) (-5 *1 (-679 *3 *4)))) (-1373 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1097)) (-4 *4 (-1053)) (-5 *1 (-679 *3 *4)))) (-1367 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1097)) (-4 *4 (-1053)) (-5 *1 (-679 *3 *4))))) 
+(-10 -7 (-15 -1367 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1373 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1379 ((-1 (-311 (-571)) |#1|) (-1 (-311 (-571)) |#1|) (-1 (-311 (-571)) |#1|)))) 
+((-3074 ((|#5| (-1 |#5| |#1| |#5|) |#4| |#5|) 39)) (-3799 (((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|) 37) ((|#8| (-1 |#5| |#1|) |#4|) 31))) 
+(((-680 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -3799 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -3799 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -3074 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) (-1053) (-378 |#1|) (-378 |#1|) (-682 |#1| |#2| |#3|) (-1053) (-378 |#5|) (-378 |#5|) (-682 |#5| |#6| |#7|)) (T -680)) 
+((-3074 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1053)) (-4 *2 (-1053)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-4 *8 (-378 *2)) (-4 *9 (-378 *2)) (-5 *1 (-680 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-682 *5 *6 *7)) (-4 *10 (-682 *2 *8 *9)))) (-3799 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1053)) (-4 *8 (-1053)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-4 *2 (-682 *8 *9 *10)) (-5 *1 (-680 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-682 *5 *6 *7)) (-4 *9 (-378 *8)) (-4 *10 (-378 *8)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1053)) (-4 *8 (-1053)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-4 *2 (-682 *8 *9 *10)) (-5 *1 (-680 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-682 *5 *6 *7)) (-4 *9 (-378 *8)) (-4 *10 (-378 *8))))) 
+(-10 -7 (-15 -3799 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -3799 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -3074 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) 
+((-4137 (($ (-768) (-768)) 31)) (-2657 (($ $ $) 56)) (-2889 (($ |#3|) 52) (($ $) 53)) (-4359 (((-121) $) 26)) (-3609 (($ $ (-571) (-571)) 58)) (-4464 (($ $ (-571) (-571)) 59)) (-3657 (($ $ (-571) (-571) (-571) (-571)) 63)) (-2797 (($ $) 54)) (-2209 (((-121) $) 14)) (-2316 (($ $ (-571) (-571) $) 64)) (-3251 ((|#2| $ (-571) (-571) |#2|) NIL) (($ $ (-637 (-571)) (-637 (-571)) $) 62)) (-1986 (($ (-768) |#2|) 38)) (-2430 ((|#2| $) 107)) (-3567 (($ (-637 (-637 |#2|))) 34) (($ (-768) (-768) (-1 |#2| (-571) (-571))) 36)) (-3818 (((-637 (-637 |#2|)) $) 57)) (-1685 (($ $ $) 55)) (-1786 (((-3 $ "failed") $ |#2|) 110)) (-3245 ((|#2| $ (-571) (-571)) NIL) ((|#2| $ (-571) (-571) |#2|) NIL) (($ $ (-637 (-571)) (-637 (-571))) 61)) (-2949 (($ (-637 |#2|)) 40) (($ (-637 $)) 42)) (-4208 (((-121) $) 23)) (-1667 (((-637 |#4|) $) 93)) (-3942 (((-855) $) NIL) (($ |#4|) 47)) (-4423 (((-121) $) 28)) (-1379 (($ $ |#2|) 112)) (-1373 (($ $ $) 68) (($ $) 71)) (-1367 (($ $ $) 66)) (** (($ $ (-768)) 80) (($ $ (-571)) 115)) (* (($ $ $) 77) (($ |#2| $) 73) (($ $ |#2|) 74) (($ (-571) $) 76) ((|#4| $ |#4|) 84) ((|#3| |#3| $) 88))) 
+(((-681 |#1| |#2| |#3| |#4|) (-10 -8 (-15 ** (|#1| |#1| (-571))) (-15 -2430 (|#2| |#1|)) (-15 -1667 ((-637 |#4|) |#1|)) (-15 -1379 (|#1| |#1| |#2|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-768))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1367 (|#1| |#1| |#1|)) (-15 -2316 (|#1| |#1| (-571) (-571) |#1|)) (-15 -3657 (|#1| |#1| (-571) (-571) (-571) (-571))) (-15 -4464 (|#1| |#1| (-571) (-571))) (-15 -3609 (|#1| |#1| (-571) (-571))) (-15 -3251 (|#1| |#1| (-637 (-571)) (-637 (-571)) |#1|)) (-15 -3245 (|#1| |#1| (-637 (-571)) (-637 (-571)))) (-15 -3818 ((-637 (-637 |#2|)) |#1|)) (-15 -2657 (|#1| |#1| |#1|)) (-15 -1685 (|#1| |#1| |#1|)) (-15 -2797 (|#1| |#1|)) (-15 -2889 (|#1| |#1|)) (-15 -2889 (|#1| |#3|)) (-15 -3942 (|#1| |#4|)) (-15 -2949 (|#1| (-637 |#1|))) (-15 -2949 (|#1| (-637 |#2|))) (-15 -1986 (|#1| (-768) |#2|)) (-15 -3567 (|#1| (-768) (-768) (-1 |#2| (-571) (-571)))) (-15 -3567 (|#1| (-637 (-637 |#2|)))) (-15 -4137 (|#1| (-768) (-768))) (-15 -4423 ((-121) |#1|)) (-15 -4359 ((-121) |#1|)) (-15 -4208 ((-121) |#1|)) (-15 -2209 ((-121) |#1|)) (-15 -3251 (|#2| |#1| (-571) (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571) (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571) (-571))) (-15 -3942 ((-855) |#1|))) (-682 |#2| |#3| |#4|) (-1053) (-378 |#2|) (-378 |#2|)) (T -681)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-571))) (-15 -2430 (|#2| |#1|)) (-15 -1667 ((-637 |#4|) |#1|)) (-15 -1379 (|#1| |#1| |#2|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-768))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1367 (|#1| |#1| |#1|)) (-15 -2316 (|#1| |#1| (-571) (-571) |#1|)) (-15 -3657 (|#1| |#1| (-571) (-571) (-571) (-571))) (-15 -4464 (|#1| |#1| (-571) (-571))) (-15 -3609 (|#1| |#1| (-571) (-571))) (-15 -3251 (|#1| |#1| (-637 (-571)) (-637 (-571)) |#1|)) (-15 -3245 (|#1| |#1| (-637 (-571)) (-637 (-571)))) (-15 -3818 ((-637 (-637 |#2|)) |#1|)) (-15 -2657 (|#1| |#1| |#1|)) (-15 -1685 (|#1| |#1| |#1|)) (-15 -2797 (|#1| |#1|)) (-15 -2889 (|#1| |#1|)) (-15 -2889 (|#1| |#3|)) (-15 -3942 (|#1| |#4|)) (-15 -2949 (|#1| (-637 |#1|))) (-15 -2949 (|#1| (-637 |#2|))) (-15 -1986 (|#1| (-768) |#2|)) (-15 -3567 (|#1| (-768) (-768) (-1 |#2| (-571) (-571)))) (-15 -3567 (|#1| (-637 (-637 |#2|)))) (-15 -4137 (|#1| (-768) (-768))) (-15 -4423 ((-121) |#1|)) (-15 -4359 ((-121) |#1|)) (-15 -4208 ((-121) |#1|)) (-15 -2209 ((-121) |#1|)) (-15 -3251 (|#2| |#1| (-571) (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571) (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571) (-571))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-4137 (($ (-768) (-768)) 95)) (-2657 (($ $ $) 84)) (-2889 (($ |#2|) 88) (($ $) 87)) (-4359 (((-121) $) 97)) (-3609 (($ $ (-571) (-571)) 80)) (-4464 (($ $ (-571) (-571)) 79)) (-3657 (($ $ (-571) (-571) (-571) (-571)) 78)) (-2797 (($ $) 86)) (-2209 (((-121) $) 99)) (-3133 (((-121) $ (-768)) 8)) (-2316 (($ $ (-571) (-571) $) 77)) (-3251 ((|#1| $ (-571) (-571) |#1|) 41) (($ $ (-637 (-571)) (-637 (-571)) $) 81)) (-2071 (($ $ (-571) |#2|) 39)) (-1635 (($ $ (-571) |#3|) 38)) (-1986 (($ (-768) |#1|) 92)) (-2269 (($) 7 T CONST)) (-2986 (($ $) 64 (|has| |#1| (-302)))) (-4336 ((|#2| $ (-571)) 43)) (-3241 (((-768) $) 62 (|has| |#1| (-561)))) (-2922 ((|#1| $ (-571) (-571) |#1|) 40)) (-4319 ((|#1| $ (-571) (-571)) 45)) (-2430 ((|#1| $) 57 (|has| |#1| (-173)))) (-4034 (((-637 |#1|) $) 30)) (-3709 (((-768) $) 61 (|has| |#1| (-561)))) (-2855 (((-637 |#3|) $) 60 (|has| |#1| (-561)))) (-3673 (((-768) $) 48)) (-1364 (($ (-768) (-768) |#1|) 54)) (-3682 (((-768) $) 47)) (-2262 (((-121) $ (-768)) 9)) (-1997 ((|#1| $) 58 (|has| |#1| (-6 (-4602 "*"))))) (-1950 (((-571) $) 52)) (-3325 (((-571) $) 50)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4239 (((-571) $) 51)) (-4395 (((-571) $) 49)) (-3567 (($ (-637 (-637 |#1|))) 94) (($ (-768) (-768) (-1 |#1| (-571) (-571))) 93)) (-1923 (($ (-1 |#1| |#1|) $) 34)) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-3818 (((-637 (-637 |#1|)) $) 83)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-1774 (((-3 $ "failed") $) 56 (|has| |#1| (-367)))) (-1685 (($ $ $) 85)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-4411 (($ $ |#1|) 53)) (-1786 (((-3 $ "failed") $ |#1|) 66 (|has| |#1| (-561)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ (-571) (-571)) 46) ((|#1| $ (-571) (-571) |#1|) 44) (($ $ (-637 (-571)) (-637 (-571))) 82)) (-2949 (($ (-637 |#1|)) 91) (($ (-637 $)) 90)) (-4208 (((-121) $) 98)) (-3182 ((|#1| $) 59 (|has| |#1| (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-1667 (((-637 |#3|) $) 63 (|has| |#1| (-302)))) (-2852 ((|#3| $ (-571)) 42)) (-3942 (((-855) $) 20 (|has| |#1| (-1097))) (($ |#3|) 89)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-4423 (((-121) $) 96)) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-1379 (($ $ |#1|) 65 (|has| |#1| (-367)))) (-1373 (($ $ $) 75) (($ $) 74)) (-1367 (($ $ $) 76)) (** (($ $ (-768)) 67) (($ $ (-571)) 55 (|has| |#1| (-367)))) (* (($ $ $) 73) (($ |#1| $) 72) (($ $ |#1|) 71) (($ (-571) $) 70) ((|#3| $ |#3|) 69) ((|#2| |#2| $) 68)) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-682 |#1| |#2| |#3|) (-1289) (-1053) (-378 |t#1|) (-378 |t#1|)) (T -682)) 
+((-2209 (*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-121)))) (-4208 (*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-121)))) (-4359 (*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-121)))) (-4423 (*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-121)))) (-4137 (*1 *1 *2 *2) (-12 (-5 *2 (-768)) (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-3567 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-3567 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-768)) (-5 *3 (-1 *4 (-571) (-571))) (-4 *4 (-1053)) (-4 *1 (-682 *4 *5 *6)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)))) (-1986 (*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-2949 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-2949 (*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-3942 (*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *2)) (-4 *4 (-378 *3)) (-4 *2 (-378 *3)))) (-2889 (*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *1 (-682 *3 *2 *4)) (-4 *2 (-378 *3)) (-4 *4 (-378 *3)))) (-2889 (*1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (-2797 (*1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (-1685 (*1 *1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (-2657 (*1 *1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (-3818 (*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-637 (-637 *3))))) (-3245 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-637 (-571))) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-3251 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-637 (-571))) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-3609 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-4464 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-3657 (*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-2316 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-1367 (*1 *1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (-1373 (*1 *1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (-1373 (*1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (* (*1 *1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-682 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *2 (-378 *3)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-682 *3 *2 *4)) (-4 *3 (-1053)) (-4 *2 (-378 *3)) (-4 *4 (-378 *3)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) (-1786 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (-4 *2 (-561)))) (-1379 (*1 *1 *1 *2) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (-4 *2 (-367)))) (-2986 (*1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (-4 *2 (-302)))) (-1667 (*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-4 *3 (-302)) (-5 *2 (-637 *5)))) (-3241 (*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-4 *3 (-561)) (-5 *2 (-768)))) (-3709 (*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-4 *3 (-561)) (-5 *2 (-768)))) (-2855 (*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-4 *3 (-561)) (-5 *2 (-637 *5)))) (-3182 (*1 *2 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (|has| *2 (-6 (-4602 "*"))) (-4 *2 (-1053)))) (-1997 (*1 *2 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (|has| *2 (-6 (-4602 "*"))) (-4 *2 (-1053)))) (-2430 (*1 *2 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (-4 *2 (-1053)) (-4 *2 (-173)))) (-1774 (*1 *1 *1) (|partial| -12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (-4 *2 (-367)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-4 *3 (-367))))) 
+(-13 (-62 |t#1| |t#2| |t#3|) (-10 -8 (-6 -4601) (-6 -4600) (-15 -2209 ((-121) $)) (-15 -4208 ((-121) $)) (-15 -4359 ((-121) $)) (-15 -4423 ((-121) $)) (-15 -4137 ($ (-768) (-768))) (-15 -3567 ($ (-637 (-637 |t#1|)))) (-15 -3567 ($ (-768) (-768) (-1 |t#1| (-571) (-571)))) (-15 -1986 ($ (-768) |t#1|)) (-15 -2949 ($ (-637 |t#1|))) (-15 -2949 ($ (-637 $))) (-15 -3942 ($ |t#3|)) (-15 -2889 ($ |t#2|)) (-15 -2889 ($ $)) (-15 -2797 ($ $)) (-15 -1685 ($ $ $)) (-15 -2657 ($ $ $)) (-15 -3818 ((-637 (-637 |t#1|)) $)) (-15 -3245 ($ $ (-637 (-571)) (-637 (-571)))) (-15 -3251 ($ $ (-637 (-571)) (-637 (-571)) $)) (-15 -3609 ($ $ (-571) (-571))) (-15 -4464 ($ $ (-571) (-571))) (-15 -3657 ($ $ (-571) (-571) (-571) (-571))) (-15 -2316 ($ $ (-571) (-571) $)) (-15 -1367 ($ $ $)) (-15 -1373 ($ $ $)) (-15 -1373 ($ $)) (-15 * ($ $ $)) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 * ($ (-571) $)) (-15 * (|t#3| $ |t#3|)) (-15 * (|t#2| |t#2| $)) (-15 ** ($ $ (-768))) (IF (|has| |t#1| (-561)) (-15 -1786 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-367)) (-15 -1379 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-302)) (PROGN (-15 -2986 ($ $)) (-15 -1667 ((-637 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-561)) (PROGN (-15 -3241 ((-768) $)) (-15 -3709 ((-768) $)) (-15 -2855 ((-637 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-6 (-4602 "*"))) (PROGN (-15 -3182 (|t#1| $)) (-15 -1997 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-173)) (-15 -2430 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-367)) (PROGN (-15 -1774 ((-3 $ "failed") $)) (-15 ** ($ $ (-571)))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-62 |#1| |#2| |#3|) . T) ((-1203) . T)) 
+((-2986 ((|#4| |#4|) 67 (|has| |#1| (-302)))) (-3241 (((-768) |#4|) 69 (|has| |#1| (-561)))) (-3709 (((-768) |#4|) 71 (|has| |#1| (-561)))) (-2855 (((-637 |#3|) |#4|) 78 (|has| |#1| (-561)))) (-2228 (((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|) 95 (|has| |#1| (-302)))) (-1997 ((|#1| |#4|) 33)) (-4346 (((-3 |#4| "failed") |#4|) 61 (|has| |#1| (-561)))) (-1774 (((-3 |#4| "failed") |#4|) 75 (|has| |#1| (-367)))) (-2117 ((|#4| |#4|) 54 (|has| |#1| (-561)))) (-2704 ((|#4| |#4| |#1| (-571) (-571)) 41)) (-3922 ((|#4| |#4| (-571) (-571)) 36)) (-1653 ((|#4| |#4| |#1| (-571) (-571)) 46)) (-3182 ((|#1| |#4|) 73)) (-2710 (((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) 57 (|has| |#1| (-561))))) 
+(((-683 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3182 (|#1| |#4|)) (-15 -1997 (|#1| |#4|)) (-15 -3922 (|#4| |#4| (-571) (-571))) (-15 -2704 (|#4| |#4| |#1| (-571) (-571))) (-15 -1653 (|#4| |#4| |#1| (-571) (-571))) (IF (|has| |#1| (-561)) (PROGN (-15 -3241 ((-768) |#4|)) (-15 -3709 ((-768) |#4|)) (-15 -2855 ((-637 |#3|) |#4|)) (-15 -2117 (|#4| |#4|)) (-15 -4346 ((-3 |#4| "failed") |#4|)) (-15 -2710 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-302)) (PROGN (-15 -2986 (|#4| |#4|)) (-15 -2228 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-367)) (-15 -1774 ((-3 |#4| "failed") |#4|)) |noBranch|)) (-173) (-378 |#1|) (-378 |#1|) (-682 |#1| |#2| |#3|)) (T -683)) 
+((-1774 (*1 *2 *2) (|partial| -12 (-4 *3 (-367)) (-4 *3 (-173)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-683 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) (-2228 (*1 *2 *3 *3) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-683 *3 *4 *5 *6)) (-4 *6 (-682 *3 *4 *5)))) (-2986 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-683 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) (-2710 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *4 (-173)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-683 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) (-4346 (*1 *2 *2) (|partial| -12 (-4 *3 (-561)) (-4 *3 (-173)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-683 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) (-2117 (*1 *2 *2) (-12 (-4 *3 (-561)) (-4 *3 (-173)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-683 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) (-2855 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *4 (-173)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-637 *6)) (-5 *1 (-683 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) (-3709 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *4 (-173)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-768)) (-5 *1 (-683 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) (-3241 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *4 (-173)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-768)) (-5 *1 (-683 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) (-1653 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-571)) (-4 *3 (-173)) (-4 *5 (-378 *3)) (-4 *6 (-378 *3)) (-5 *1 (-683 *3 *5 *6 *2)) (-4 *2 (-682 *3 *5 *6)))) (-2704 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-571)) (-4 *3 (-173)) (-4 *5 (-378 *3)) (-4 *6 (-378 *3)) (-5 *1 (-683 *3 *5 *6 *2)) (-4 *2 (-682 *3 *5 *6)))) (-3922 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-571)) (-4 *4 (-173)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-683 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) (-1997 (*1 *2 *3) (-12 (-4 *4 (-378 *2)) (-4 *5 (-378 *2)) (-4 *2 (-173)) (-5 *1 (-683 *2 *4 *5 *3)) (-4 *3 (-682 *2 *4 *5)))) (-3182 (*1 *2 *3) (-12 (-4 *4 (-378 *2)) (-4 *5 (-378 *2)) (-4 *2 (-173)) (-5 *1 (-683 *2 *4 *5 *3)) (-4 *3 (-682 *2 *4 *5))))) 
+(-10 -7 (-15 -3182 (|#1| |#4|)) (-15 -1997 (|#1| |#4|)) (-15 -3922 (|#4| |#4| (-571) (-571))) (-15 -2704 (|#4| |#4| |#1| (-571) (-571))) (-15 -1653 (|#4| |#4| |#1| (-571) (-571))) (IF (|has| |#1| (-561)) (PROGN (-15 -3241 ((-768) |#4|)) (-15 -3709 ((-768) |#4|)) (-15 -2855 ((-637 |#3|) |#4|)) (-15 -2117 (|#4| |#4|)) (-15 -4346 ((-3 |#4| "failed") |#4|)) (-15 -2710 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-302)) (PROGN (-15 -2986 (|#4| |#4|)) (-15 -2228 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-367)) (-15 -1774 ((-3 |#4| "failed") |#4|)) |noBranch|)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4137 (($ (-768) (-768)) 45)) (-2657 (($ $ $) NIL)) (-2889 (($ (-1258 |#1|)) NIL) (($ $) NIL)) (-4359 (((-121) $) NIL)) (-3609 (($ $ (-571) (-571)) 12)) (-4464 (($ $ (-571) (-571)) NIL)) (-3657 (($ $ (-571) (-571) (-571) (-571)) NIL)) (-2797 (($ $) NIL)) (-2209 (((-121) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2316 (($ $ (-571) (-571) $) NIL)) (-3251 ((|#1| $ (-571) (-571) |#1|) NIL) (($ $ (-637 (-571)) (-637 (-571)) $) NIL)) (-2071 (($ $ (-571) (-1258 |#1|)) NIL)) (-1635 (($ $ (-571) (-1258 |#1|)) NIL)) (-1986 (($ (-768) |#1|) 22)) (-2269 (($) NIL T CONST)) (-2986 (($ $) 30 (|has| |#1| (-302)))) (-4336 (((-1258 |#1|) $ (-571)) NIL)) (-3241 (((-768) $) 32 (|has| |#1| (-561)))) (-2922 ((|#1| $ (-571) (-571) |#1|) 50)) (-4319 ((|#1| $ (-571) (-571)) NIL)) (-2430 ((|#1| $) NIL (|has| |#1| (-173)))) (-4034 (((-637 |#1|) $) NIL)) (-3709 (((-768) $) 34 (|has| |#1| (-561)))) (-2855 (((-637 (-1258 |#1|)) $) 37 (|has| |#1| (-561)))) (-3673 (((-768) $) 20)) (-1364 (($ (-768) (-768) |#1|) NIL)) (-3682 (((-768) $) 21)) (-2262 (((-121) $ (-768)) NIL)) (-1997 ((|#1| $) 28 (|has| |#1| (-6 (-4602 "*"))))) (-1950 (((-571) $) 9)) (-3325 (((-571) $) 10)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4239 (((-571) $) 11)) (-4395 (((-571) $) 46)) (-3567 (($ (-637 (-637 |#1|))) NIL) (($ (-768) (-768) (-1 |#1| (-571) (-571))) NIL)) (-1923 (($ (-1 |#1| |#1|) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-3818 (((-637 (-637 |#1|)) $) 58)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-1774 (((-3 $ "failed") $) 41 (|has| |#1| (-367)))) (-1685 (($ $ $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-4411 (($ $ |#1|) NIL)) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-571) (-571)) NIL) ((|#1| $ (-571) (-571) |#1|) NIL) (($ $ (-637 (-571)) (-637 (-571))) NIL)) (-2949 (($ (-637 |#1|)) NIL) (($ (-637 $)) NIL) (($ (-1258 |#1|)) 51)) (-4208 (((-121) $) NIL)) (-3182 ((|#1| $) 26 (|has| |#1| (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-4050 (((-544) $) 62 (|has| |#1| (-612 (-544))))) (-1667 (((-637 (-1258 |#1|)) $) NIL (|has| |#1| (-302)))) (-2852 (((-1258 |#1|) $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097))) (($ (-1258 |#1|)) NIL)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) 23) (($ $ (-571)) 44 (|has| |#1| (-367)))) (* (($ $ $) 13) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-571) $) NIL) (((-1258 |#1|) $ (-1258 |#1|)) NIL) (((-1258 |#1|) (-1258 |#1|) $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-684 |#1|) (-13 (-682 |#1| (-1258 |#1|) (-1258 |#1|)) (-10 -8 (-15 -2949 ($ (-1258 |#1|))) (IF (|has| |#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) (IF (|has| |#1| (-367)) (-15 -1774 ((-3 $ "failed") $)) |noBranch|))) (-1053)) (T -684)) 
+((-1774 (*1 *1 *1) (|partial| -12 (-5 *1 (-684 *2)) (-4 *2 (-367)) (-4 *2 (-1053)))) (-2949 (*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-1053)) (-5 *1 (-684 *3))))) 
+(-13 (-682 |#1| (-1258 |#1|) (-1258 |#1|)) (-10 -8 (-15 -2949 ($ (-1258 |#1|))) (IF (|has| |#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) (IF (|has| |#1| (-367)) (-15 -1774 ((-3 $ "failed") $)) |noBranch|))) 
+((-3514 (((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|)) 25)) (-1506 (((-684 |#1|) (-684 |#1|) (-684 |#1|) |#1|) 21)) (-4073 (((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|) (-768)) 26)) (-4133 (((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|)) 14)) (-3338 (((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|)) 18) (((-684 |#1|) (-684 |#1|) (-684 |#1|)) 16)) (-1696 (((-684 |#1|) (-684 |#1|) |#1| (-684 |#1|)) 20)) (-3754 (((-684 |#1|) (-684 |#1|) (-684 |#1|)) 12)) (** (((-684 |#1|) (-684 |#1|) (-768)) 30))) 
+(((-685 |#1|) (-10 -7 (-15 -3754 ((-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -4133 ((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -3338 ((-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -3338 ((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -1696 ((-684 |#1|) (-684 |#1|) |#1| (-684 |#1|))) (-15 -1506 ((-684 |#1|) (-684 |#1|) (-684 |#1|) |#1|)) (-15 -3514 ((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -4073 ((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|) (-768))) (-15 ** ((-684 |#1|) (-684 |#1|) (-768)))) (-1053)) (T -685)) 
+((** (*1 *2 *2 *3) (-12 (-5 *2 (-684 *4)) (-5 *3 (-768)) (-4 *4 (-1053)) (-5 *1 (-685 *4)))) (-4073 (*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-684 *4)) (-5 *3 (-768)) (-4 *4 (-1053)) (-5 *1 (-685 *4)))) (-3514 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3)))) (-1506 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3)))) (-1696 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3)))) (-3338 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3)))) (-3338 (*1 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3)))) (-4133 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3)))) (-3754 (*1 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3))))) 
+(-10 -7 (-15 -3754 ((-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -4133 ((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -3338 ((-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -3338 ((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -1696 ((-684 |#1|) (-684 |#1|) |#1| (-684 |#1|))) (-15 -1506 ((-684 |#1|) (-684 |#1|) (-684 |#1|) |#1|)) (-15 -3514 ((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -4073 ((-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|) (-684 |#1|) (-768))) (-15 ** ((-684 |#1|) (-684 |#1|) (-768)))) 
+((-3617 ((|#2| |#2| |#4|) 25)) (-1329 (((-684 |#2|) |#3| |#4|) 31)) (-2164 (((-684 |#2|) |#2| |#4|) 30)) (-1937 (((-1258 |#2|) |#2| |#4|) 16)) (-2914 ((|#2| |#3| |#4|) 24)) (-1964 (((-684 |#2|) |#3| |#4| (-768) (-768)) 38)) (-2970 (((-684 |#2|) |#2| |#4| (-768)) 37))) 
+(((-686 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1937 ((-1258 |#2|) |#2| |#4|)) (-15 -2914 (|#2| |#3| |#4|)) (-15 -3617 (|#2| |#2| |#4|)) (-15 -2164 ((-684 |#2|) |#2| |#4|)) (-15 -2970 ((-684 |#2|) |#2| |#4| (-768))) (-15 -1329 ((-684 |#2|) |#3| |#4|)) (-15 -1964 ((-684 |#2|) |#3| |#4| (-768) (-768)))) (-1097) (-900 |#1|) (-378 |#2|) (-13 (-378 |#1|) (-10 -7 (-6 -4600)))) (T -686)) 
+((-1964 (*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-768)) (-4 *6 (-1097)) (-4 *7 (-900 *6)) (-5 *2 (-684 *7)) (-5 *1 (-686 *6 *7 *3 *4)) (-4 *3 (-378 *7)) (-4 *4 (-13 (-378 *6) (-10 -7 (-6 -4600)))))) (-1329 (*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-4 *6 (-900 *5)) (-5 *2 (-684 *6)) (-5 *1 (-686 *5 *6 *3 *4)) (-4 *3 (-378 *6)) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4600)))))) (-2970 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-768)) (-4 *6 (-1097)) (-4 *3 (-900 *6)) (-5 *2 (-684 *3)) (-5 *1 (-686 *6 *3 *7 *4)) (-4 *7 (-378 *3)) (-4 *4 (-13 (-378 *6) (-10 -7 (-6 -4600)))))) (-2164 (*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-4 *3 (-900 *5)) (-5 *2 (-684 *3)) (-5 *1 (-686 *5 *3 *6 *4)) (-4 *6 (-378 *3)) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4600)))))) (-3617 (*1 *2 *2 *3) (-12 (-4 *4 (-1097)) (-4 *2 (-900 *4)) (-5 *1 (-686 *4 *2 *5 *3)) (-4 *5 (-378 *2)) (-4 *3 (-13 (-378 *4) (-10 -7 (-6 -4600)))))) (-2914 (*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-4 *2 (-900 *5)) (-5 *1 (-686 *5 *2 *3 *4)) (-4 *3 (-378 *2)) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4600)))))) (-1937 (*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-4 *3 (-900 *5)) (-5 *2 (-1258 *3)) (-5 *1 (-686 *5 *3 *6 *4)) (-4 *6 (-378 *3)) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4600))))))) 
+(-10 -7 (-15 -1937 ((-1258 |#2|) |#2| |#4|)) (-15 -2914 (|#2| |#3| |#4|)) (-15 -3617 (|#2| |#2| |#4|)) (-15 -2164 ((-684 |#2|) |#2| |#4|)) (-15 -2970 ((-684 |#2|) |#2| |#4| (-768))) (-15 -1329 ((-684 |#2|) |#3| |#4|)) (-15 -1964 ((-684 |#2|) |#3| |#4| (-768) (-768)))) 
+((-2906 (((-2 (|:| |num| (-684 |#1|)) (|:| |den| |#1|)) (-684 |#2|)) 18)) (-1733 ((|#1| (-684 |#2|)) 9)) (-2505 (((-684 |#1|) (-684 |#2|)) 16))) 
+(((-687 |#1| |#2|) (-10 -7 (-15 -1733 (|#1| (-684 |#2|))) (-15 -2505 ((-684 |#1|) (-684 |#2|))) (-15 -2906 ((-2 (|:| |num| (-684 |#1|)) (|:| |den| |#1|)) (-684 |#2|)))) (-561) (-999 |#1|)) (T -687)) 
+((-2906 (*1 *2 *3) (-12 (-5 *3 (-684 *5)) (-4 *5 (-999 *4)) (-4 *4 (-561)) (-5 *2 (-2 (|:| |num| (-684 *4)) (|:| |den| *4))) (-5 *1 (-687 *4 *5)))) (-2505 (*1 *2 *3) (-12 (-5 *3 (-684 *5)) (-4 *5 (-999 *4)) (-4 *4 (-561)) (-5 *2 (-684 *4)) (-5 *1 (-687 *4 *5)))) (-1733 (*1 *2 *3) (-12 (-5 *3 (-684 *4)) (-4 *4 (-999 *2)) (-4 *2 (-561)) (-5 *1 (-687 *2 *4))))) 
+(-10 -7 (-15 -1733 (|#1| (-684 |#2|))) (-15 -2505 ((-684 |#1|) (-684 |#2|))) (-15 -2906 ((-2 (|:| |num| (-684 |#1|)) (|:| |den| |#1|)) (-684 |#2|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-2076 (((-684 (-693))) NIL) (((-684 (-693)) (-1258 $)) NIL)) (-3490 (((-693) $) NIL)) (-4255 (($ $) NIL (|has| (-693) (-1189)))) (-4192 (($ $) NIL (|has| (-693) (-1189)))) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| (-693) (-352)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-693) (-302)) (|has| (-693) (-909))))) (-2356 (($ $) NIL (-1831 (-12 (|has| (-693) (-302)) (|has| (-693) (-909))) (|has| (-693) (-367))))) (-4151 (((-423 $) $) NIL (-1831 (-12 (|has| (-693) (-302)) (|has| (-693) (-909))) (|has| (-693) (-367))))) (-4158 (($ $) NIL (-12 (|has| (-693) (-1008)) (|has| (-693) (-1189))))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-693) (-302)) (|has| (-693) (-909))))) (-1295 (((-121) $ $) NIL (|has| (-693) (-302)))) (-4407 (((-768)) NIL (|has| (-693) (-373)))) (-4243 (($ $) NIL (|has| (-693) (-1189)))) (-4185 (($ $) NIL (|has| (-693) (-1189)))) (-4266 (($ $) NIL (|has| (-693) (-1189)))) (-4201 (($ $) NIL (|has| (-693) (-1189)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-693) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| (-693) (-1043 (-412 (-571)))))) (-1316 (((-571) $) NIL) (((-693) $) NIL) (((-412 (-571)) $) NIL (|has| (-693) (-1043 (-412 (-571)))))) (-3456 (($ (-1258 (-693))) NIL) (($ (-1258 (-693)) (-1258 $)) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-693) (-352)))) (-2162 (($ $ $) NIL (|has| (-693) (-302)))) (-3962 (((-684 (-693)) $) NIL) (((-684 (-693)) $ (-1258 $)) NIL)) (-2680 (((-684 (-693)) (-684 $)) NIL) (((-2 (|:| -3533 (-684 (-693))) (|:| |vec| (-1258 (-693)))) (-684 $) (-1258 $)) NIL) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| (-693) (-633 (-571)))) (((-684 (-571)) (-684 $)) NIL (|has| (-693) (-633 (-571))))) (-3074 (((-3 $ "failed") (-412 (-1165 (-693)))) NIL (|has| (-693) (-367))) (($ (-1165 (-693))) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3327 (((-693) $) 29)) (-3437 (((-3 (-412 (-571)) "failed") $) NIL (|has| (-693) (-553)))) (-3330 (((-121) $) NIL (|has| (-693) (-553)))) (-3450 (((-412 (-571)) $) NIL (|has| (-693) (-553)))) (-3241 (((-922)) NIL)) (-3254 (($) NIL (|has| (-693) (-373)))) (-2180 (($ $ $) NIL (|has| (-693) (-302)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| (-693) (-302)))) (-1962 (($) NIL (|has| (-693) (-352)))) (-2854 (((-121) $) NIL (|has| (-693) (-352)))) (-2442 (($ $) NIL (|has| (-693) (-352))) (($ $ (-768)) NIL (|has| (-693) (-352)))) (-1596 (((-121) $) NIL (-1831 (-12 (|has| (-693) (-302)) (|has| (-693) (-909))) (|has| (-693) (-367))))) (-2836 (((-2 (|:| |r| (-693)) (|:| |phi| (-693))) $) NIL (-12 (|has| (-693) (-1062)) (|has| (-693) (-1189))))) (-4153 (($) NIL (|has| (-693) (-1189)))) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| (-693) (-886 (-384)))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| (-693) (-886 (-571))))) (-3347 (((-833 (-922)) $) NIL (|has| (-693) (-352))) (((-922) $) NIL (|has| (-693) (-352)))) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL (-12 (|has| (-693) (-1008)) (|has| (-693) (-1189))))) (-3477 (((-693) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| (-693) (-352)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| (-693) (-302)))) (-4400 (((-1165 (-693)) $) NIL (|has| (-693) (-367)))) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3799 (($ (-1 (-693) (-693)) $) NIL)) (-4470 (((-922) $) NIL (|has| (-693) (-373)))) (-3509 (($ $) NIL (|has| (-693) (-1189)))) (-3069 (((-1165 (-693)) $) NIL)) (-1622 (($ (-637 $)) NIL (|has| (-693) (-302))) (($ $ $) NIL (|has| (-693) (-302)))) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| (-693) (-367)))) (-1757 (($) NIL (|has| (-693) (-352)) CONST)) (-1755 (($ (-922)) NIL (|has| (-693) (-373)))) (-2627 (($) NIL)) (-4268 (((-693) $) 31)) (-2580 (((-1115) $) NIL)) (-2280 (($) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| (-693) (-302)))) (-3026 (($ (-637 $)) NIL (|has| (-693) (-302))) (($ $ $) NIL (|has| (-693) (-302)))) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| (-693) (-352)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-693) (-302)) (|has| (-693) (-909))))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-693) (-302)) (|has| (-693) (-909))))) (-4262 (((-423 $) $) NIL (-1831 (-12 (|has| (-693) (-302)) (|has| (-693) (-909))) (|has| (-693) (-367))))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-693) (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| (-693) (-302)))) (-1786 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ (-693)) NIL (|has| (-693) (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| (-693) (-302)))) (-4148 (($ $) NIL (|has| (-693) (-1189)))) (-4483 (($ $ (-1169) (-693)) NIL (|has| (-693) (-526 (-1169) (-693)))) (($ $ (-637 (-1169)) (-637 (-693))) NIL (|has| (-693) (-526 (-1169) (-693)))) (($ $ (-637 (-289 (-693)))) NIL (|has| (-693) (-304 (-693)))) (($ $ (-289 (-693))) NIL (|has| (-693) (-304 (-693)))) (($ $ (-693) (-693)) NIL (|has| (-693) (-304 (-693)))) (($ $ (-637 (-693)) (-637 (-693))) NIL (|has| (-693) (-304 (-693))))) (-1826 (((-768) $) NIL (|has| (-693) (-302)))) (-3804 (((-637 $)) NIL (|has| (-693) (-373)))) (-3245 (($ $ (-693)) NIL (|has| (-693) (-282 (-693) (-693))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| (-693) (-302)))) (-1475 (((-693)) NIL) (((-693) (-1258 $)) NIL)) (-1305 (((-3 (-768) "failed") $ $) NIL (|has| (-693) (-352))) (((-768) $) NIL (|has| (-693) (-352)))) (-3096 (($ $ (-1 (-693) (-693))) NIL) (($ $ (-1 (-693) (-693)) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-693) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-693) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-693) (-900 (-1169)))) (($ $ (-1169)) NIL (|has| (-693) (-900 (-1169)))) (($ $ (-768)) NIL (|has| (-693) (-226))) (($ $) NIL (|has| (-693) (-226)))) (-3023 (((-684 (-693)) (-1258 $) (-1 (-693) (-693))) NIL (|has| (-693) (-367)))) (-3413 (((-1165 (-693))) NIL)) (-4273 (($ $) NIL (|has| (-693) (-1189)))) (-4206 (($ $) NIL (|has| (-693) (-1189)))) (-4481 (($) NIL (|has| (-693) (-352)))) (-4260 (($ $) NIL (|has| (-693) (-1189)))) (-4196 (($ $) NIL (|has| (-693) (-1189)))) (-4249 (($ $) NIL (|has| (-693) (-1189)))) (-4188 (($ $) NIL (|has| (-693) (-1189)))) (-3723 (((-684 (-693)) (-1258 $)) NIL) (((-1258 (-693)) $) NIL) (((-684 (-693)) (-1258 $) (-1258 $)) NIL) (((-1258 (-693)) $ (-1258 $)) NIL)) (-4050 (((-544) $) NIL (|has| (-693) (-612 (-544)))) (((-170 (-216)) $) NIL (|has| (-693) (-1027))) (((-170 (-384)) $) NIL (|has| (-693) (-1027))) (((-892 (-384)) $) NIL (|has| (-693) (-612 (-892 (-384))))) (((-892 (-571)) $) NIL (|has| (-693) (-612 (-892 (-571))))) (($ (-1165 (-693))) NIL) (((-1165 (-693)) $) NIL) (($ (-1258 (-693))) NIL) (((-1258 (-693)) $) NIL)) (-2911 (($ $) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-693) (-302)) (|has| (-693) (-909))) (|has| (-693) (-352))))) (-3331 (($ (-693) (-693)) 12)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-571)) NIL) (($ (-693)) NIL) (($ (-170 (-384))) 13) (($ (-170 (-571))) 19) (($ (-170 (-693))) 28) (($ (-170 (-695))) 25) (((-170 (-384)) $) 33) (($ (-412 (-571))) NIL (-1831 (|has| (-693) (-367)) (|has| (-693) (-1043 (-412 (-571))))))) (-2346 (($ $) NIL (|has| (-693) (-352))) (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-693) (-302)) (|has| (-693) (-909))) (|has| (-693) (-149))))) (-3393 (((-1165 (-693)) $) NIL)) (-2661 (((-768)) NIL)) (-1899 (((-1258 $)) NIL)) (-4294 (($ $) NIL (|has| (-693) (-1189)))) (-4220 (($ $) NIL (|has| (-693) (-1189)))) (-1388 (((-121) $ $) NIL)) (-4280 (($ $) NIL (|has| (-693) (-1189)))) (-4211 (($ $) NIL (|has| (-693) (-1189)))) (-4307 (($ $) NIL (|has| (-693) (-1189)))) (-4232 (($ $) NIL (|has| (-693) (-1189)))) (-2765 (((-693) $) NIL (|has| (-693) (-1189)))) (-2656 (($ $) NIL (|has| (-693) (-1189)))) (-4237 (($ $) NIL (|has| (-693) (-1189)))) (-4301 (($ $) NIL (|has| (-693) (-1189)))) (-4227 (($ $) NIL (|has| (-693) (-1189)))) (-4287 (($ $) NIL (|has| (-693) (-1189)))) (-4215 (($ $) NIL (|has| (-693) (-1189)))) (-1902 (($ $) NIL (|has| (-693) (-1062)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| (-693) (-367)))) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-1 (-693) (-693))) NIL) (($ $ (-1 (-693) (-693)) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-693) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-693) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-693) (-900 (-1169)))) (($ $ (-1169)) NIL (|has| (-693) (-900 (-1169)))) (($ $ (-768)) NIL (|has| (-693) (-226))) (($ $) NIL (|has| (-693) (-226)))) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL (|has| (-693) (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ $) NIL (|has| (-693) (-1189))) (($ $ (-412 (-571))) NIL (-12 (|has| (-693) (-1008)) (|has| (-693) (-1189)))) (($ $ (-571)) NIL (|has| (-693) (-367)))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ (-693) $) NIL) (($ $ (-693)) NIL) (($ (-412 (-571)) $) NIL (|has| (-693) (-367))) (($ $ (-412 (-571))) NIL (|has| (-693) (-367))))) 
+(((-688) (-13 (-392) (-167 (-693)) (-10 -8 (-15 -3942 ($ (-170 (-384)))) (-15 -3942 ($ (-170 (-571)))) (-15 -3942 ($ (-170 (-693)))) (-15 -3942 ($ (-170 (-695)))) (-15 -3942 ((-170 (-384)) $))))) (T -688)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-170 (-384))) (-5 *1 (-688)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-170 (-571))) (-5 *1 (-688)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-170 (-693))) (-5 *1 (-688)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-170 (-695))) (-5 *1 (-688)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-170 (-384))) (-5 *1 (-688))))) 
+(-13 (-392) (-167 (-693)) (-10 -8 (-15 -3942 ($ (-170 (-384)))) (-15 -3942 ($ (-170 (-571)))) (-15 -3942 ($ (-170 (-693)))) (-15 -3942 ($ (-170 (-695)))) (-15 -3942 ((-170 (-384)) $)))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) 8)) (-3129 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-2980 (($ $) 58)) (-4365 (($ $) 55 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1599 (($ |#1| $) 44 (|has| $ (-6 -4600))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4600)))) (-3412 (($ |#1| $) 54 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4600)))) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2377 ((|#1| $) 36)) (-2863 (($ |#1| $) 37) (($ |#1| $ (-768)) 59)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-4297 (((-637 (-2 (|:| -4279 |#1|) (|:| -1569 (-768)))) $) 57)) (-3563 (($) 46) (($ (-637 |#1|)) 45)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 56 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 47)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) 39)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-689 |#1|) (-1289) (-1097)) (T -689)) 
+((-2863 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-689 *2)) (-4 *2 (-1097)))) (-2980 (*1 *1 *1) (-12 (-4 *1 (-689 *2)) (-4 *2 (-1097)))) (-4297 (*1 *2 *1) (-12 (-4 *1 (-689 *3)) (-4 *3 (-1097)) (-5 *2 (-637 (-2 (|:| -4279 *3) (|:| -1569 (-768)))))))) 
+(-13 (-228 |t#1|) (-10 -8 (-15 -2863 ($ |t#1| $ (-768))) (-15 -2980 ($ $)) (-15 -4297 ((-637 (-2 (|:| -4279 |t#1|) (|:| -1569 (-768)))) $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-4325 (((-637 |#1|) (-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571)))) (-571)) 46)) (-1781 ((|#1| |#1| (-571)) 45)) (-3026 ((|#1| |#1| |#1| (-571)) 35)) (-4262 (((-637 |#1|) |#1| (-571)) 38)) (-2475 ((|#1| |#1| (-571) |#1| (-571)) 32)) (-3701 (((-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571)))) |#1| (-571)) 44))) 
+(((-690 |#1|) (-10 -7 (-15 -3026 (|#1| |#1| |#1| (-571))) (-15 -1781 (|#1| |#1| (-571))) (-15 -4262 ((-637 |#1|) |#1| (-571))) (-15 -3701 ((-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571)))) |#1| (-571))) (-15 -4325 ((-637 |#1|) (-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571)))) (-571))) (-15 -2475 (|#1| |#1| (-571) |#1| (-571)))) (-1233 (-571))) (T -690)) 
+((-2475 (*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-690 *2)) (-4 *2 (-1233 *3)))) (-4325 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-2 (|:| -4262 *5) (|:| -2400 (-571))))) (-5 *4 (-571)) (-4 *5 (-1233 *4)) (-5 *2 (-637 *5)) (-5 *1 (-690 *5)))) (-3701 (*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-5 *2 (-637 (-2 (|:| -4262 *3) (|:| -2400 *4)))) (-5 *1 (-690 *3)) (-4 *3 (-1233 *4)))) (-4262 (*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-5 *2 (-637 *3)) (-5 *1 (-690 *3)) (-4 *3 (-1233 *4)))) (-1781 (*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-690 *2)) (-4 *2 (-1233 *3)))) (-3026 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-690 *2)) (-4 *2 (-1233 *3))))) 
+(-10 -7 (-15 -3026 (|#1| |#1| |#1| (-571))) (-15 -1781 (|#1| |#1| (-571))) (-15 -4262 ((-637 |#1|) |#1| (-571))) (-15 -3701 ((-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571)))) |#1| (-571))) (-15 -4325 ((-637 |#1|) (-637 (-2 (|:| -4262 |#1|) (|:| -2400 (-571)))) (-571))) (-15 -2475 (|#1| |#1| (-571) |#1| (-571)))) 
+((-3588 (((-1 (-949 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))) 17)) (-2539 (((-1128 (-216)) (-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-637 (-257))) 38) (((-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-637 (-257))) 40) (((-1128 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1091 (-216)) (-1091 (-216)) (-637 (-257))) 42)) (-2308 (((-1128 (-216)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-637 (-257))) NIL)) (-1352 (((-1128 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1091 (-216)) (-1091 (-216)) (-637 (-257))) 43))) 
+(((-691) (-10 -7 (-15 -2539 ((-1128 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1091 (-216)) (-1091 (-216)) (-637 (-257)))) (-15 -2539 ((-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-637 (-257)))) (-15 -2539 ((-1128 (-216)) (-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-637 (-257)))) (-15 -1352 ((-1128 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1091 (-216)) (-1091 (-216)) (-637 (-257)))) (-15 -2308 ((-1128 (-216)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-637 (-257)))) (-15 -3588 ((-1 (-949 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216)))))) (T -691)) 
+((-3588 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1 (-216) (-216) (-216) (-216))) (-5 *2 (-1 (-949 (-216)) (-216) (-216))) (-5 *1 (-691)))) (-2308 (*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-571))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1091 (-216))) (-5 *6 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-691)))) (-1352 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1091 (-216))) (-5 *6 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-691)))) (-2539 (*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1128 (-216))) (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-216))) (-5 *5 (-637 (-257))) (-5 *1 (-691)))) (-2539 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-216))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-691)))) (-2539 (*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1091 (-216))) (-5 *6 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-691))))) 
+(-10 -7 (-15 -2539 ((-1128 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1091 (-216)) (-1091 (-216)) (-637 (-257)))) (-15 -2539 ((-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-637 (-257)))) (-15 -2539 ((-1128 (-216)) (-1128 (-216)) (-1 (-949 (-216)) (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-637 (-257)))) (-15 -1352 ((-1128 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1091 (-216)) (-1091 (-216)) (-637 (-257)))) (-15 -2308 ((-1128 (-216)) (-311 (-571)) (-311 (-571)) (-311 (-571)) (-1 (-216) (-216)) (-1091 (-216)) (-637 (-257)))) (-15 -3588 ((-1 (-949 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))))) 
+((-4262 (((-423 (-1165 |#4|)) (-1165 |#4|)) 73) (((-423 |#4|) |#4|) 215))) 
+(((-692 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4262 ((-423 |#4|) |#4|)) (-15 -4262 ((-423 (-1165 |#4|)) (-1165 |#4|)))) (-847) (-793) (-352) (-955 |#3| |#2| |#1|)) (T -692)) 
+((-4262 (*1 *2 *3) (-12 (-4 *4 (-847)) (-4 *5 (-793)) (-4 *6 (-352)) (-4 *7 (-955 *6 *5 *4)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-692 *4 *5 *6 *7)) (-5 *3 (-1165 *7)))) (-4262 (*1 *2 *3) (-12 (-4 *4 (-847)) (-4 *5 (-793)) (-4 *6 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-692 *4 *5 *6 *3)) (-4 *3 (-955 *6 *5 *4))))) 
+(-10 -7 (-15 -4262 ((-423 |#4|) |#4|)) (-15 -4262 ((-423 (-1165 |#4|)) (-1165 |#4|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 84)) (-1533 (((-571) $) 30)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-1934 (($ $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-4158 (($ $) NIL)) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL)) (-2269 (($) NIL T CONST)) (-2528 (($ $) NIL)) (-3337 (((-3 (-571) "failed") $) 73) (((-3 (-412 (-571)) "failed") $) 26) (((-3 (-384) "failed") $) 70)) (-1316 (((-571) $) 75) (((-412 (-571)) $) 67) (((-384) $) 68)) (-2162 (($ $ $) 96)) (-3978 (((-3 $ "failed") $) 87)) (-2180 (($ $ $) 95)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-1524 (((-922)) 77) (((-922) (-922)) 76)) (-2093 (((-121) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL)) (-3347 (((-571) $) NIL)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL)) (-3477 (($ $) NIL)) (-4086 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-3461 (((-571) (-571)) 81) (((-571)) 82)) (-1763 (($ $ $) NIL) (($) NIL (-12 (-2931 (|has| $ (-6 -4583))) (-2931 (|has| $ (-6 -4591)))))) (-2113 (((-571) (-571)) 79) (((-571)) 80)) (-2383 (($ $ $) NIL) (($) NIL (-12 (-2931 (|has| $ (-6 -4583))) (-2931 (|has| $ (-6 -4591)))))) (-2186 (((-571) $) 16)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 91)) (-2161 (((-922) (-571)) NIL (|has| $ (-6 -4591)))) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL)) (-3955 (($ $) NIL)) (-3967 (($ (-571) (-571)) NIL) (($ (-571) (-571) (-922)) NIL)) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) 92)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2154 (((-571) $) 22)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 94)) (-2437 (((-922)) NIL) (((-922) (-922)) NIL (|has| $ (-6 -4591)))) (-2904 (((-922) (-571)) NIL (|has| $ (-6 -4591)))) (-4050 (((-384) $) NIL) (((-216) $) NIL) (((-892 (-384)) $) NIL)) (-3942 (((-855) $) 52) (($ (-571)) 63) (($ $) NIL) (($ (-412 (-571))) 66) (($ (-571)) 63) (($ (-412 (-571))) 66) (($ (-384)) 60) (((-384) $) 50) (($ (-695)) 55)) (-2661 (((-768)) 103)) (-3675 (($ (-571) (-571) (-922)) 44)) (-2325 (($ $) NIL)) (-3284 (((-922)) NIL) (((-922) (-922)) NIL (|has| $ (-6 -4591)))) (-3468 (((-922)) 35) (((-922) (-922)) 78)) (-1388 (((-121) $ $) NIL)) (-1902 (($ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 32 T CONST)) (-3222 (($) 17 T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 83)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 101)) (-1379 (($ $ $) 65)) (-1373 (($ $) 99) (($ $ $) 100)) (-1367 (($ $ $) 98)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL) (($ $ (-412 (-571))) 90)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 97) (($ $ $) 88) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL))) 
+(((-693) (-13 (-409) (-392) (-367) (-1043 (-384)) (-1043 (-412 (-571))) (-151) (-10 -8 (-15 -1524 ((-922) (-922))) (-15 -1524 ((-922))) (-15 -3468 ((-922) (-922))) (-15 -3468 ((-922))) (-15 -2113 ((-571) (-571))) (-15 -2113 ((-571))) (-15 -3461 ((-571) (-571))) (-15 -3461 ((-571))) (-15 -3942 ((-384) $)) (-15 -3942 ($ (-695))) (-15 -2186 ((-571) $)) (-15 -2154 ((-571) $)) (-15 -3675 ($ (-571) (-571) (-922)))))) (T -693)) 
+((-3468 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-693)))) (-2154 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-693)))) (-2186 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-693)))) (-1524 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-693)))) (-1524 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-693)))) (-3468 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-693)))) (-2113 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-693)))) (-2113 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-693)))) (-3461 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-693)))) (-3461 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-693)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-384)) (-5 *1 (-693)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-695)) (-5 *1 (-693)))) (-3675 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-571)) (-5 *3 (-922)) (-5 *1 (-693))))) 
+(-13 (-409) (-392) (-367) (-1043 (-384)) (-1043 (-412 (-571))) (-151) (-10 -8 (-15 -1524 ((-922) (-922))) (-15 -1524 ((-922))) (-15 -3468 ((-922) (-922))) (-15 -3468 ((-922))) (-15 -2113 ((-571) (-571))) (-15 -2113 ((-571))) (-15 -3461 ((-571) (-571))) (-15 -3461 ((-571))) (-15 -3942 ((-384) $)) (-15 -3942 ($ (-695))) (-15 -2186 ((-571) $)) (-15 -2154 ((-571) $)) (-15 -3675 ($ (-571) (-571) (-922))))) 
+((-4175 (((-684 |#1|) (-684 |#1|) |#1| |#1|) 66)) (-2986 (((-684 |#1|) (-684 |#1|) |#1|) 49)) (-1731 (((-684 |#1|) (-684 |#1|) |#1|) 67)) (-1574 (((-684 |#1|) (-684 |#1|)) 50)) (-2228 (((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|) 65))) 
+(((-694 |#1|) (-10 -7 (-15 -1574 ((-684 |#1|) (-684 |#1|))) (-15 -2986 ((-684 |#1|) (-684 |#1|) |#1|)) (-15 -1731 ((-684 |#1|) (-684 |#1|) |#1|)) (-15 -4175 ((-684 |#1|) (-684 |#1|) |#1| |#1|)) (-15 -2228 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|))) (-302)) (T -694)) 
+((-2228 (*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-694 *3)) (-4 *3 (-302)))) (-4175 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-684 *3)) (-4 *3 (-302)) (-5 *1 (-694 *3)))) (-1731 (*1 *2 *2 *3) (-12 (-5 *2 (-684 *3)) (-4 *3 (-302)) (-5 *1 (-694 *3)))) (-2986 (*1 *2 *2 *3) (-12 (-5 *2 (-684 *3)) (-4 *3 (-302)) (-5 *1 (-694 *3)))) (-1574 (*1 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-302)) (-5 *1 (-694 *3))))) 
+(-10 -7 (-15 -1574 ((-684 |#1|) (-684 |#1|))) (-15 -2986 ((-684 |#1|) (-684 |#1|) |#1|)) (-15 -1731 ((-684 |#1|) (-684 |#1|) |#1|)) (-15 -4175 ((-684 |#1|) (-684 |#1|) |#1| |#1|)) (-15 -2228 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-1988 (($ $ $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3905 (($ $ $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL)) (-3309 (($ $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) 27)) (-1316 (((-571) $) 25)) (-2162 (($ $ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3437 (((-3 (-412 (-571)) "failed") $) NIL)) (-3330 (((-121) $) NIL)) (-3450 (((-412 (-571)) $) NIL)) (-3254 (($ $) NIL) (($) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-3138 (($ $ $ $) NIL)) (-3494 (($ $ $) NIL)) (-2093 (((-121) $) NIL)) (-3810 (($ $ $) NIL)) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL)) (-2583 (((-121) $) NIL)) (-4329 (((-121) $) NIL)) (-2596 (((-3 $ "failed") $) NIL)) (-4086 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-3266 (($ $ $ $) NIL)) (-1763 (($ $ $) NIL)) (-3992 (((-922) (-922)) 10) (((-922)) 9)) (-2383 (($ $ $) NIL)) (-2012 (($ $) NIL)) (-3158 (($ $) NIL)) (-1622 (($ (-637 $)) NIL) (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-4052 (($ $ $) NIL)) (-1757 (($) NIL T CONST)) (-3708 (($ $) NIL)) (-2580 (((-1115) $) NIL) (($ $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ (-637 $)) NIL) (($ $ $) NIL)) (-2761 (($ $) NIL)) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2385 (((-121) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $) NIL) (($ $ (-768)) NIL)) (-2404 (($ $) NIL)) (-4316 (($ $) NIL)) (-4050 (((-216) $) NIL) (((-384) $) NIL) (((-892 (-571)) $) NIL) (((-544) $) NIL) (((-571) $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) 24) (($ $) NIL) (($ (-571)) 24) (((-311 $) (-311 (-571))) 18)) (-2661 (((-768)) NIL)) (-2482 (((-121) $ $) NIL)) (-1358 (($ $ $) NIL)) (-3468 (($) NIL)) (-1388 (((-121) $ $) NIL)) (-1591 (($ $ $ $) NIL)) (-1902 (($ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $) NIL) (($ $ (-768)) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL))) 
+(((-695) (-13 (-392) (-553) (-10 -8 (-15 -3992 ((-922) (-922))) (-15 -3992 ((-922))) (-15 -3942 ((-311 $) (-311 (-571))))))) (T -695)) 
+((-3992 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-695)))) (-3992 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-695)))) (-3942 (*1 *2 *3) (-12 (-5 *3 (-311 (-571))) (-5 *2 (-311 (-695))) (-5 *1 (-695))))) 
+(-13 (-392) (-553) (-10 -8 (-15 -3992 ((-922) (-922))) (-15 -3992 ((-922))) (-15 -3942 ((-311 $) (-311 (-571)))))) 
+((-1704 (((-1 |#4| |#2| |#3|) |#1| (-1169) (-1169)) 19)) (-3168 (((-1 |#4| |#2| |#3|) (-1169)) 12))) 
+(((-696 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3168 ((-1 |#4| |#2| |#3|) (-1169))) (-15 -1704 ((-1 |#4| |#2| |#3|) |#1| (-1169) (-1169)))) (-612 (-544)) (-1203) (-1203) (-1203)) (T -696)) 
+((-1704 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1169)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-696 *3 *5 *6 *7)) (-4 *3 (-612 (-544))) (-4 *5 (-1203)) (-4 *6 (-1203)) (-4 *7 (-1203)))) (-3168 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-696 *4 *5 *6 *7)) (-4 *4 (-612 (-544))) (-4 *5 (-1203)) (-4 *6 (-1203)) (-4 *7 (-1203))))) 
+(-10 -7 (-15 -3168 ((-1 |#4| |#2| |#3|) (-1169))) (-15 -1704 ((-1 |#4| |#2| |#3|) |#1| (-1169) (-1169)))) 
+((-2234 (((-121) $ $) NIL)) (-1476 (((-1263) $ (-768)) 14)) (-3984 (((-768) $) 12)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 18) ((|#1| $) 15) (($ |#1|) 23)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 25)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 24))) 
+(((-697 |#1|) (-13 (-139) (-611 |#1|) (-10 -8 (-15 -3942 ($ |#1|)))) (-1097)) (T -697)) 
+((-3942 (*1 *1 *2) (-12 (-5 *1 (-697 *2)) (-4 *2 (-1097))))) 
+(-13 (-139) (-611 |#1|) (-10 -8 (-15 -3942 ($ |#1|)))) 
+((-2201 (((-1 (-216) (-216) (-216)) |#1| (-1169) (-1169)) 33) (((-1 (-216) (-216)) |#1| (-1169)) 38))) 
+(((-698 |#1|) (-10 -7 (-15 -2201 ((-1 (-216) (-216)) |#1| (-1169))) (-15 -2201 ((-1 (-216) (-216) (-216)) |#1| (-1169) (-1169)))) (-612 (-544))) (T -698)) 
+((-2201 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1169)) (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-698 *3)) (-4 *3 (-612 (-544))))) (-2201 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-5 *2 (-1 (-216) (-216))) (-5 *1 (-698 *3)) (-4 *3 (-612 (-544)))))) 
+(-10 -7 (-15 -2201 ((-1 (-216) (-216)) |#1| (-1169))) (-15 -2201 ((-1 (-216) (-216) (-216)) |#1| (-1169) (-1169)))) 
+((-3584 (((-1169) |#1| (-1169) (-637 (-1169))) 9) (((-1169) |#1| (-1169) (-1169) (-1169)) 12) (((-1169) |#1| (-1169) (-1169)) 11) (((-1169) |#1| (-1169)) 10))) 
+(((-699 |#1|) (-10 -7 (-15 -3584 ((-1169) |#1| (-1169))) (-15 -3584 ((-1169) |#1| (-1169) (-1169))) (-15 -3584 ((-1169) |#1| (-1169) (-1169) (-1169))) (-15 -3584 ((-1169) |#1| (-1169) (-637 (-1169))))) (-612 (-544))) (T -699)) 
+((-3584 (*1 *2 *3 *2 *4) (-12 (-5 *4 (-637 (-1169))) (-5 *2 (-1169)) (-5 *1 (-699 *3)) (-4 *3 (-612 (-544))))) (-3584 (*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-699 *3)) (-4 *3 (-612 (-544))))) (-3584 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-699 *3)) (-4 *3 (-612 (-544))))) (-3584 (*1 *2 *3 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-699 *3)) (-4 *3 (-612 (-544)))))) 
+(-10 -7 (-15 -3584 ((-1169) |#1| (-1169))) (-15 -3584 ((-1169) |#1| (-1169) (-1169))) (-15 -3584 ((-1169) |#1| (-1169) (-1169) (-1169))) (-15 -3584 ((-1169) |#1| (-1169) (-637 (-1169))))) 
+((-2574 (((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) 9))) 
+(((-700 |#1| |#2|) (-10 -7 (-15 -2574 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) (-1203) (-1203)) (T -700)) 
+((-2574 (*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-700 *3 *4)) (-4 *3 (-1203)) (-4 *4 (-1203))))) 
+(-10 -7 (-15 -2574 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) 
+((-2241 (((-1 |#3| |#2|) (-1169)) 11)) (-1704 (((-1 |#3| |#2|) |#1| (-1169)) 21))) 
+(((-701 |#1| |#2| |#3|) (-10 -7 (-15 -2241 ((-1 |#3| |#2|) (-1169))) (-15 -1704 ((-1 |#3| |#2|) |#1| (-1169)))) (-612 (-544)) (-1203) (-1203)) (T -701)) 
+((-1704 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-5 *2 (-1 *6 *5)) (-5 *1 (-701 *3 *5 *6)) (-4 *3 (-612 (-544))) (-4 *5 (-1203)) (-4 *6 (-1203)))) (-2241 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 *6 *5)) (-5 *1 (-701 *4 *5 *6)) (-4 *4 (-612 (-544))) (-4 *5 (-1203)) (-4 *6 (-1203))))) 
+(-10 -7 (-15 -2241 ((-1 |#3| |#2|) (-1169))) (-15 -1704 ((-1 |#3| |#2|) |#1| (-1169)))) 
+((-4069 (((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-637 |#2|) (-637 (-1165 |#4|)) (-637 |#3|) (-637 |#4|) (-637 (-637 (-2 (|:| -1385 (-768)) (|:| |pcoef| |#4|)))) (-637 (-768)) (-1258 (-637 (-1165 |#3|))) |#3|) 58)) (-2338 (((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-637 |#2|) (-637 (-1165 |#3|)) (-637 |#3|) (-637 |#4|) (-637 (-768)) |#3|) 71)) (-2561 (((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-637 |#2|) (-637 |#3|) (-637 (-768)) (-637 (-1165 |#4|)) (-1258 (-637 (-1165 |#3|))) |#3|) 32))) 
+(((-702 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2561 ((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-637 |#2|) (-637 |#3|) (-637 (-768)) (-637 (-1165 |#4|)) (-1258 (-637 (-1165 |#3|))) |#3|)) (-15 -2338 ((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-637 |#2|) (-637 (-1165 |#3|)) (-637 |#3|) (-637 |#4|) (-637 (-768)) |#3|)) (-15 -4069 ((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-637 |#2|) (-637 (-1165 |#4|)) (-637 |#3|) (-637 |#4|) (-637 (-637 (-2 (|:| -1385 (-768)) (|:| |pcoef| |#4|)))) (-637 (-768)) (-1258 (-637 (-1165 |#3|))) |#3|))) (-793) (-847) (-302) (-955 |#3| |#1| |#2|)) (T -702)) 
+((-4069 (*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-637 (-1165 *13))) (-5 *3 (-1165 *13)) (-5 *4 (-637 *12)) (-5 *5 (-637 *10)) (-5 *6 (-637 *13)) (-5 *7 (-637 (-637 (-2 (|:| -1385 (-768)) (|:| |pcoef| *13))))) (-5 *8 (-637 (-768))) (-5 *9 (-1258 (-637 (-1165 *10)))) (-4 *12 (-847)) (-4 *10 (-302)) (-4 *13 (-955 *10 *11 *12)) (-4 *11 (-793)) (-5 *1 (-702 *11 *12 *10 *13)))) (-2338 (*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-637 *11)) (-5 *5 (-637 (-1165 *9))) (-5 *6 (-637 *9)) (-5 *7 (-637 *12)) (-5 *8 (-637 (-768))) (-4 *11 (-847)) (-4 *9 (-302)) (-4 *12 (-955 *9 *10 *11)) (-4 *10 (-793)) (-5 *2 (-637 (-1165 *12))) (-5 *1 (-702 *10 *11 *9 *12)) (-5 *3 (-1165 *12)))) (-2561 (*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-637 (-1165 *11))) (-5 *3 (-1165 *11)) (-5 *4 (-637 *10)) (-5 *5 (-637 *8)) (-5 *6 (-637 (-768))) (-5 *7 (-1258 (-637 (-1165 *8)))) (-4 *10 (-847)) (-4 *8 (-302)) (-4 *11 (-955 *8 *9 *10)) (-4 *9 (-793)) (-5 *1 (-702 *9 *10 *8 *11))))) 
+(-10 -7 (-15 -2561 ((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-637 |#2|) (-637 |#3|) (-637 (-768)) (-637 (-1165 |#4|)) (-1258 (-637 (-1165 |#3|))) |#3|)) (-15 -2338 ((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-637 |#2|) (-637 (-1165 |#3|)) (-637 |#3|) (-637 |#4|) (-637 (-768)) |#3|)) (-15 -4069 ((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-637 |#2|) (-637 (-1165 |#4|)) (-637 |#3|) (-637 |#4|) (-637 (-637 (-2 (|:| -1385 (-768)) (|:| |pcoef| |#4|)))) (-637 (-768)) (-1258 (-637 (-1165 |#3|))) |#3|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-4349 (($ $) 40)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-4289 (($ |#1| (-768)) 38)) (-3973 (((-768) $) 42)) (-4337 ((|#1| $) 41)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2400 (((-768) $) 43)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 37 (|has| |#1| (-173)))) (-3136 ((|#1| $ (-768)) 39)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 45) (($ |#1| $) 44))) 
+(((-703 |#1|) (-1289) (-1053)) (T -703)) 
+((-2400 (*1 *2 *1) (-12 (-4 *1 (-703 *3)) (-4 *3 (-1053)) (-5 *2 (-768)))) (-3973 (*1 *2 *1) (-12 (-4 *1 (-703 *3)) (-4 *3 (-1053)) (-5 *2 (-768)))) (-4337 (*1 *2 *1) (-12 (-4 *1 (-703 *2)) (-4 *2 (-1053)))) (-4349 (*1 *1 *1) (-12 (-4 *1 (-703 *2)) (-4 *2 (-1053)))) (-3136 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-703 *2)) (-4 *2 (-1053)))) (-4289 (*1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-703 *2)) (-4 *2 (-1053))))) 
+(-13 (-1053) (-120 |t#1| |t#1|) (-10 -8 (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (-15 -2400 ((-768) $)) (-15 -3973 ((-768) $)) (-15 -4337 (|t#1| $)) (-15 -4349 ($ $)) (-15 -3136 (|t#1| $ (-768))) (-15 -4289 ($ |t#1| (-768))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-712 |#1|) |has| |#1| (-173)) ((-721) . T) ((-1059 |#1|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-3799 ((|#6| (-1 |#4| |#1|) |#3|) 23))) 
+(((-704 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3799 (|#6| (-1 |#4| |#1|) |#3|))) (-561) (-1233 |#1|) (-1233 (-412 |#2|)) (-561) (-1233 |#4|) (-1233 (-412 |#5|))) (T -704)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-561)) (-4 *7 (-561)) (-4 *6 (-1233 *5)) (-4 *2 (-1233 (-412 *8))) (-5 *1 (-704 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1233 (-412 *6))) (-4 *8 (-1233 *7))))) 
+(-10 -7 (-15 -3799 (|#6| (-1 |#4| |#1|) |#3|))) 
+((-2234 (((-121) $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3547 (((-1151) (-855)) 31)) (-2406 (((-1263) (-1151)) 28)) (-3625 (((-1151) (-855)) 24)) (-3126 (((-1151) (-855)) 25)) (-3942 (((-855) $) NIL) (((-1151) (-855)) 23)) (-1323 (((-121) $ $) NIL))) 
+(((-705) (-13 (-1097) (-10 -7 (-15 -3942 ((-1151) (-855))) (-15 -3625 ((-1151) (-855))) (-15 -3126 ((-1151) (-855))) (-15 -3547 ((-1151) (-855))) (-15 -2406 ((-1263) (-1151)))))) (T -705)) 
+((-3942 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-705)))) (-3625 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-705)))) (-3126 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-705)))) (-3547 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-705)))) (-2406 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-705))))) 
+(-13 (-1097) (-10 -7 (-15 -3942 ((-1151) (-855))) (-15 -3625 ((-1151) (-855))) (-15 -3126 ((-1151) (-855))) (-15 -3547 ((-1151) (-855))) (-15 -2406 ((-1263) (-1151))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-2162 (($ $ $) NIL)) (-3074 (($ |#1| |#2|) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2583 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4387 ((|#2| $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-3277 (((-3 $ "failed") $ $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) ((|#1| $) NIL)) (-2661 (((-768)) NIL)) (-1388 (((-121) $ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL))) 
+(((-706 |#1| |#2| |#3| |#4| |#5|) (-13 (-367) (-10 -8 (-15 -4387 (|#2| $)) (-15 -3942 (|#1| $)) (-15 -3074 ($ |#1| |#2|)) (-15 -3277 ((-3 $ "failed") $ $)))) (-173) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -706)) 
+((-4387 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-706 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-3942 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3074 (*1 *1 *2 *3) (-12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3277 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
+(-13 (-367) (-10 -8 (-15 -4387 (|#2| $)) (-15 -3942 (|#1| $)) (-15 -3074 ($ |#1| |#2|)) (-15 -3277 ((-3 $ "failed") $ $)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 30)) (-3748 (((-1258 |#1|) $ (-768)) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-2693 (($ (-1165 |#1|)) NIL)) (-4257 (((-1165 $) $ (-1081)) NIL) (((-1165 |#1|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-1081))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3888 (($ $ $) NIL (|has| |#1| (-561)))) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2356 (($ $) NIL (|has| |#1| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4407 (((-768)) 46 (|has| |#1| (-373)))) (-1564 (($ $ (-768)) NIL)) (-3623 (($ $ (-768)) NIL)) (-3162 ((|#2| |#2|) 43)) (-1462 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-456)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-1081) "failed") $) NIL)) (-1316 ((|#1| $) NIL) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-1081) $) NIL)) (-3730 (($ $ $ (-1081)) NIL (|has| |#1| (-173))) ((|#1| $ $) NIL (|has| |#1| (-173)))) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) 33)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3074 (($ |#2|) 41)) (-3978 (((-3 $ "failed") $) 84)) (-3254 (($) 50 (|has| |#1| (-373)))) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-1406 (($ $ $) NIL)) (-3311 (($ $ $) NIL (|has| |#1| (-561)))) (-2506 (((-2 (|:| -4501 |#1|) (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-561)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-3630 (($ $) NIL (|has| |#1| (-456))) (($ $ (-1081)) NIL (|has| |#1| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#1| (-909)))) (-4421 (((-964 $)) 78)) (-1420 (($ $ |#1| (-768) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-1081) (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-1081) (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-3347 (((-768) $ $) NIL (|has| |#1| (-561)))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-1143)))) (-4296 (($ (-1165 |#1|) (-1081)) NIL) (($ (-1165 $) (-1081)) NIL)) (-1817 (($ $ (-768)) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) 76) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-1081)) NIL) (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-4387 ((|#2|) 44)) (-3973 (((-768) $) NIL) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-2587 (($ (-1 (-768) (-768)) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-2231 (((-1165 |#1|) $) NIL)) (-2510 (((-3 (-1081) "failed") $) NIL)) (-4470 (((-922) $) NIL (|has| |#1| (-373)))) (-3069 ((|#2| $) 40)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) 28)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-3944 (((-1151) $) NIL)) (-2752 (((-2 (|:| -2924 $) (|:| -3363 $)) $ (-768)) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-1081)) (|:| -2154 (-768))) "failed") $) NIL)) (-3403 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1757 (($) NIL (|has| |#1| (-1143)) CONST)) (-1755 (($ (-922)) NIL (|has| |#1| (-373)))) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#1| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-4425 (($ $) 77 (|has| |#1| (-352)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-909)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-1081) |#1|) NIL) (($ $ (-637 (-1081)) (-637 |#1|)) NIL) (($ $ (-1081) $) NIL) (($ $ (-637 (-1081)) (-637 $)) NIL)) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-3245 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-412 $) (-412 $) (-412 $)) NIL (|has| |#1| (-561))) ((|#1| (-412 $) |#1|) NIL (|has| |#1| (-367))) (((-412 $) $ (-412 $)) NIL (|has| |#1| (-561)))) (-3144 (((-3 $ "failed") $ (-768)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 85 (|has| |#1| (-367)))) (-1475 (($ $ (-1081)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3096 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2400 (((-768) $) 31) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-1081) (-612 (-544))) (|has| |#1| (-612 (-544)))))) (-4189 ((|#1| $) NIL (|has| |#1| (-456))) (($ $ (-1081)) NIL (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3506 (((-964 $)) 35)) (-3820 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561))) (((-3 (-412 $) "failed") (-412 $) $) NIL (|has| |#1| (-561)))) (-3942 (((-855) $) 60) (($ (-571)) NIL) (($ |#1|) 57) (($ (-1081)) NIL) (($ |#2|) 67) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) 62) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#1| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 20 T CONST)) (-3821 (((-1258 |#1|) $) 74)) (-2717 (($ (-1258 |#1|)) 49)) (-3222 (($) 8 T CONST)) (-1544 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3304 (((-1258 |#1|) $) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) 68)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) 71) (($ $ $) NIL)) (-1367 (($ $ $) 32)) (** (($ $ (-922)) NIL) (($ $ (-768)) 79)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 56) (($ $ $) 73) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 54) (($ $ |#1|) NIL))) 
+(((-707 |#1| |#2|) (-13 (-1233 |#1|) (-10 -8 (-15 -3162 (|#2| |#2|)) (-15 -4387 (|#2|)) (-15 -3074 ($ |#2|)) (-15 -3069 (|#2| $)) (-15 -3942 ($ |#2|)) (-15 -3821 ((-1258 |#1|) $)) (-15 -2717 ($ (-1258 |#1|))) (-15 -3304 ((-1258 |#1|) $)) (-15 -4421 ((-964 $))) (-15 -3506 ((-964 $))) (IF (|has| |#1| (-352)) (-15 -4425 ($ $)) |noBranch|) (IF (|has| |#1| (-373)) (-6 (-373)) |noBranch|))) (-1053) (-1233 |#1|)) (T -707)) 
+((-3162 (*1 *2 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-707 *3 *2)) (-4 *2 (-1233 *3)))) (-4387 (*1 *2) (-12 (-4 *2 (-1233 *3)) (-5 *1 (-707 *3 *2)) (-4 *3 (-1053)))) (-3074 (*1 *1 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-707 *3 *2)) (-4 *2 (-1233 *3)))) (-3069 (*1 *2 *1) (-12 (-4 *2 (-1233 *3)) (-5 *1 (-707 *3 *2)) (-4 *3 (-1053)))) (-3942 (*1 *1 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-707 *3 *2)) (-4 *2 (-1233 *3)))) (-3821 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-5 *2 (-1258 *3)) (-5 *1 (-707 *3 *4)) (-4 *4 (-1233 *3)))) (-2717 (*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-1053)) (-5 *1 (-707 *3 *4)) (-4 *4 (-1233 *3)))) (-3304 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-5 *2 (-1258 *3)) (-5 *1 (-707 *3 *4)) (-4 *4 (-1233 *3)))) (-4421 (*1 *2) (-12 (-4 *3 (-1053)) (-5 *2 (-964 (-707 *3 *4))) (-5 *1 (-707 *3 *4)) (-4 *4 (-1233 *3)))) (-3506 (*1 *2) (-12 (-4 *3 (-1053)) (-5 *2 (-964 (-707 *3 *4))) (-5 *1 (-707 *3 *4)) (-4 *4 (-1233 *3)))) (-4425 (*1 *1 *1) (-12 (-4 *2 (-352)) (-4 *2 (-1053)) (-5 *1 (-707 *2 *3)) (-4 *3 (-1233 *2))))) 
+(-13 (-1233 |#1|) (-10 -8 (-15 -3162 (|#2| |#2|)) (-15 -4387 (|#2|)) (-15 -3074 ($ |#2|)) (-15 -3069 (|#2| $)) (-15 -3942 ($ |#2|)) (-15 -3821 ((-1258 |#1|) $)) (-15 -2717 ($ (-1258 |#1|))) (-15 -3304 ((-1258 |#1|) $)) (-15 -4421 ((-964 $))) (-15 -3506 ((-964 $))) (IF (|has| |#1| (-352)) (-15 -4425 ($ $)) |noBranch|) (IF (|has| |#1| (-373)) (-6 (-373)) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-1755 ((|#1| $) 13)) (-2580 (((-1115) $) NIL)) (-2154 ((|#2| $) 12)) (-3891 (($ |#1| |#2|) 16)) (-3942 (((-855) $) NIL) (($ (-2 (|:| -1755 |#1|) (|:| -2154 |#2|))) 15) (((-2 (|:| -1755 |#1|) (|:| -2154 |#2|)) $) 14)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 11))) 
+(((-708 |#1| |#2| |#3|) (-13 (-847) (-10 -8 (-15 -2154 (|#2| $)) (-15 -1755 (|#1| $)) (-15 -3942 ($ (-2 (|:| -1755 |#1|) (|:| -2154 |#2|)))) (-15 -3942 ((-2 (|:| -1755 |#1|) (|:| -2154 |#2|)) $)) (-15 -3891 ($ |#1| |#2|)))) (-847) (-1097) (-1 (-121) (-2 (|:| -1755 |#1|) (|:| -2154 |#2|)) (-2 (|:| -1755 |#1|) (|:| -2154 |#2|)))) (T -708)) 
+((-2154 (*1 *2 *1) (-12 (-4 *2 (-1097)) (-5 *1 (-708 *3 *2 *4)) (-4 *3 (-847)) (-14 *4 (-1 (-121) (-2 (|:| -1755 *3) (|:| -2154 *2)) (-2 (|:| -1755 *3) (|:| -2154 *2)))))) (-1755 (*1 *2 *1) (-12 (-4 *2 (-847)) (-5 *1 (-708 *2 *3 *4)) (-4 *3 (-1097)) (-14 *4 (-1 (-121) (-2 (|:| -1755 *2) (|:| -2154 *3)) (-2 (|:| -1755 *2) (|:| -2154 *3)))))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1755 *3) (|:| -2154 *4))) (-4 *3 (-847)) (-4 *4 (-1097)) (-5 *1 (-708 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1755 *3) (|:| -2154 *4))) (-5 *1 (-708 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-1097)) (-14 *5 (-1 (-121) *2 *2)))) (-3891 (*1 *1 *2 *3) (-12 (-5 *1 (-708 *2 *3 *4)) (-4 *2 (-847)) (-4 *3 (-1097)) (-14 *4 (-1 (-121) (-2 (|:| -1755 *2) (|:| -2154 *3)) (-2 (|:| -1755 *2) (|:| -2154 *3))))))) 
+(-13 (-847) (-10 -8 (-15 -2154 (|#2| $)) (-15 -1755 (|#1| $)) (-15 -3942 ($ (-2 (|:| -1755 |#1|) (|:| -2154 |#2|)))) (-15 -3942 ((-2 (|:| -1755 |#1|) (|:| -2154 |#2|)) $)) (-15 -3891 ($ |#1| |#2|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 59)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) 89) (((-3 (-123) "failed") $) 95)) (-1316 ((|#1| $) NIL) (((-123) $) 39)) (-3978 (((-3 $ "failed") $) 90)) (-2894 ((|#2| (-123) |#2|) 82)) (-2583 (((-121) $) NIL)) (-3585 (($ |#1| (-365 (-123))) 13)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3936 (($ $ (-1 |#2| |#2|)) 58)) (-2593 (($ $ (-1 |#2| |#2|)) 44)) (-3245 ((|#2| $ |#2|) 32)) (-2050 ((|#1| |#1|) 100 (|has| |#1| (-173)))) (-3942 (((-855) $) 66) (($ (-571)) 17) (($ |#1|) 16) (($ (-123)) 23)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) 36)) (-2710 (($ $) 99 (|has| |#1| (-173))) (($ $ $) 103 (|has| |#1| (-173)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 20 T CONST)) (-3222 (($) 9 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) 48) (($ $ $) NIL)) (-1367 (($ $ $) 73)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ (-123) (-571)) NIL) (($ $ (-571)) 57)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 98) (($ $ $) 50) (($ |#1| $) 96 (|has| |#1| (-173))) (($ $ |#1|) 97 (|has| |#1| (-173))))) 
+(((-709 |#1| |#2|) (-13 (-1053) (-1043 |#1|) (-1043 (-123)) (-282 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -2710 ($ $)) (-15 -2710 ($ $ $)) (-15 -2050 (|#1| |#1|))) |noBranch|) (-15 -2593 ($ $ (-1 |#2| |#2|))) (-15 -3936 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-571))) (-15 ** ($ $ (-571))) (-15 -2894 (|#2| (-123) |#2|)) (-15 -3585 ($ |#1| (-365 (-123)))))) (-1053) (-640 |#1|)) (T -709)) 
+((-2710 (*1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1053)) (-5 *1 (-709 *2 *3)) (-4 *3 (-640 *2)))) (-2710 (*1 *1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1053)) (-5 *1 (-709 *2 *3)) (-4 *3 (-640 *2)))) (-2050 (*1 *2 *2) (-12 (-4 *2 (-173)) (-4 *2 (-1053)) (-5 *1 (-709 *2 *3)) (-4 *3 (-640 *2)))) (-2593 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-640 *3)) (-4 *3 (-1053)) (-5 *1 (-709 *3 *4)))) (-3936 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-640 *3)) (-4 *3 (-1053)) (-5 *1 (-709 *3 *4)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-571)) (-4 *4 (-1053)) (-5 *1 (-709 *4 *5)) (-4 *5 (-640 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *3 (-1053)) (-5 *1 (-709 *3 *4)) (-4 *4 (-640 *3)))) (-2894 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1053)) (-5 *1 (-709 *4 *2)) (-4 *2 (-640 *4)))) (-3585 (*1 *1 *2 *3) (-12 (-5 *3 (-365 (-123))) (-4 *2 (-1053)) (-5 *1 (-709 *2 *4)) (-4 *4 (-640 *2))))) 
+(-13 (-1053) (-1043 |#1|) (-1043 (-123)) (-282 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -2710 ($ $)) (-15 -2710 ($ $ $)) (-15 -2050 (|#1| |#1|))) |noBranch|) (-15 -2593 ($ $ (-1 |#2| |#2|))) (-15 -3936 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-571))) (-15 ** ($ $ (-571))) (-15 -2894 (|#2| (-123) |#2|)) (-15 -3585 ($ |#1| (-365 (-123)))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 33)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3074 (($ |#1| |#2|) 25)) (-3978 (((-3 $ "failed") $) 47)) (-2583 (((-121) $) 35)) (-4387 ((|#2| $) 12)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 48)) (-2580 (((-1115) $) NIL)) (-3277 (((-3 $ "failed") $ $) 46)) (-3942 (((-855) $) 24) (($ (-571)) 19) ((|#1| $) 13)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 16 T CONST)) (-3222 (($) 30 T CONST)) (-1323 (((-121) $ $) 38)) (-1373 (($ $) 43) (($ $ $) 37)) (-1367 (($ $ $) 40)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 21) (($ $ $) 20))) 
+(((-710 |#1| |#2| |#3| |#4| |#5|) (-13 (-1053) (-10 -8 (-15 -4387 (|#2| $)) (-15 -3942 (|#1| $)) (-15 -3074 ($ |#1| |#2|)) (-15 -3277 ((-3 $ "failed") $ $)) (-15 -3978 ((-3 $ "failed") $)) (-15 -4315 ($ $)))) (-173) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -710)) 
+((-3978 (*1 *1 *1) (|partial| -12 (-5 *1 (-710 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4387 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-710 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-3942 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-710 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3074 (*1 *1 *2 *3) (-12 (-5 *1 (-710 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3277 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-710 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4315 (*1 *1 *1) (-12 (-5 *1 (-710 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
+(-13 (-1053) (-10 -8 (-15 -4387 (|#2| $)) (-15 -3942 (|#1| $)) (-15 -3074 ($ |#1| |#2|)) (-15 -3277 ((-3 $ "failed") $ $)) (-15 -3978 ((-3 $ "failed") $)) (-15 -4315 ($ $)))) 
+((* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ |#2| $) NIL) (($ $ |#2|) 9))) 
+(((-711 |#1| |#2|) (-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|))) (-712 |#2|) (-173)) (T -711)) 
+NIL 
+(-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((-712 |#1|) (-1289) (-173)) (T -712)) 
 NIL 
 (-13 (-120 |t#1| |t#1|)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2546 (($ |#1|) 17) (($ $ |#1|) 20)) (-3402 (($ |#1|) 18) (($ $ |#1|) 21)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL) (($) 19) (($ $) 22)) (-3934 (((-121) $) NIL)) (-4267 (($ |#1| |#1| |#1| |#1|) 8)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 16)) (-1912 (((-1111) $) NIL)) (-1484 ((|#1| $ |#1|) 24) (((-830 |#1|) $ (-830 |#1|)) 32)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 39)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 9 T CONST)) (-1326 (((-121) $ $) 44)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 14))) 
-(((-710 |#1|) (-13 (-479) (-10 -8 (-15 -4267 ($ |#1| |#1| |#1| |#1|)) (-15 -2546 ($ |#1|)) (-15 -3402 ($ |#1|)) (-15 -2611 ($)) (-15 -2546 ($ $ |#1|)) (-15 -3402 ($ $ |#1|)) (-15 -2611 ($ $)) (-15 -1484 (|#1| $ |#1|)) (-15 -1484 ((-830 |#1|) $ (-830 |#1|))))) (-366)) (T -710)) 
-((-4267 (*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-2546 (*1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-3402 (*1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-2611 (*1 *1) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-2546 (*1 *1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-3402 (*1 *1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-2611 (*1 *1 *1) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-1484 (*1 *2 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-1484 (*1 *2 *1 *2) (-12 (-5 *2 (-830 *3)) (-4 *3 (-366)) (-5 *1 (-710 *3))))) 
-(-13 (-479) (-10 -8 (-15 -4267 ($ |#1| |#1| |#1| |#1|)) (-15 -2546 ($ |#1|)) (-15 -3402 ($ |#1|)) (-15 -2611 ($)) (-15 -2546 ($ $ |#1|)) (-15 -3402 ($ $ |#1|)) (-15 -2611 ($ $)) (-15 -1484 (|#1| $ |#1|)) (-15 -1484 ((-830 |#1|) $ (-830 |#1|))))) 
-((-4382 (($ $ (-919)) 12)) (-2846 (($ $ (-919)) 13)) (** (($ $ (-919)) 10))) 
-(((-711 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-919))) (-15 -2846 (|#1| |#1| (-919))) (-15 -4382 (|#1| |#1| (-919)))) (-712)) (T -711)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-919))) (-15 -2846 (|#1| |#1| (-919))) (-15 -4382 (|#1| |#1| (-919)))) 
-((-1310 (((-121) $ $) 7)) (-4382 (($ $ (-919)) 14)) (-2846 (($ $ (-919)) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6)) (** (($ $ (-919)) 12)) (* (($ $ $) 15))) 
-(((-712) (-1284)) (T -712)) 
-((* (*1 *1 *1 *1) (-4 *1 (-712))) (-4382 (*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919)))) (-2846 (*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919))))) 
-(-13 (-1093) (-10 -8 (-15 * ($ $ $)) (-15 -4382 ($ $ (-919))) (-15 -2846 ($ $ (-919))) (-15 ** ($ $ (-919))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-4382 (($ $ (-919)) NIL) (($ $ (-765)) 17)) (-3934 (((-121) $) 10)) (-2846 (($ $ (-919)) NIL) (($ $ (-765)) 18)) (** (($ $ (-919)) NIL) (($ $ (-765)) 15))) 
-(((-713 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-765))) (-15 -2846 (|#1| |#1| (-765))) (-15 -4382 (|#1| |#1| (-765))) (-15 -3934 ((-121) |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 -2846 (|#1| |#1| (-919))) (-15 -4382 (|#1| |#1| (-919)))) (-714)) (T -713)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-765))) (-15 -2846 (|#1| |#1| (-765))) (-15 -4382 (|#1| |#1| (-765))) (-15 -3934 ((-121) |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 -2846 (|#1| |#1| (-919))) (-15 -4382 (|#1| |#1| (-919)))) 
-((-1310 (((-121) $ $) 7)) (-4174 (((-3 $ "failed") $) 16)) (-4382 (($ $ (-919)) 14) (($ $ (-765)) 21)) (-2611 (((-3 $ "failed") $) 18)) (-3934 (((-121) $) 22)) (-2983 (((-3 $ "failed") $) 17)) (-2846 (($ $ (-919)) 13) (($ $ (-765)) 20)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3297 (($) 23 T CONST)) (-1326 (((-121) $ $) 6)) (** (($ $ (-919)) 12) (($ $ (-765)) 19)) (* (($ $ $) 15))) 
-(((-714) (-1284)) (T -714)) 
-((-3297 (*1 *1) (-4 *1 (-714))) (-3934 (*1 *2 *1) (-12 (-4 *1 (-714)) (-5 *2 (-121)))) (-4382 (*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765)))) (-2846 (*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765)))) (-2611 (*1 *1 *1) (|partial| -4 *1 (-714))) (-2983 (*1 *1 *1) (|partial| -4 *1 (-714))) (-4174 (*1 *1 *1) (|partial| -4 *1 (-714)))) 
-(-13 (-712) (-10 -8 (-15 (-3297) ($) -3575) (-15 -3934 ((-121) $)) (-15 -4382 ($ $ (-765))) (-15 -2846 ($ $ (-765))) (-15 ** ($ $ (-765))) (-15 -2611 ((-3 $ "failed") $)) (-15 -2983 ((-3 $ "failed") $)) (-15 -4174 ((-3 $ "failed") $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-712) . T) ((-1093) . T)) 
-((-2675 (((-765)) 35)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 22)) (-2793 (($ |#3|) NIL) (((-3 $ "failed") (-410 |#3|)) 45)) (-2611 (((-3 $ "failed") $) 65)) (-3341 (($) 39)) (-3046 ((|#2| $) 20)) (-1986 (($) 17)) (-3289 (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 53) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL)) (-3775 (((-681 |#2|) (-1253 $) (-1 |#2| |#2|)) 60)) (-4035 (((-1253 |#2|) $) NIL) (($ (-1253 |#2|)) NIL) ((|#3| $) 10) (($ |#3|) 12)) (-3033 ((|#3| $) 32)) (-4079 (((-1253 $)) 29))) 
-(((-715 |#1| |#2| |#3|) (-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3341 (|#1|)) (-15 -2675 ((-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3775 ((-681 |#2|) (-1253 |#1|) (-1 |#2| |#2|))) (-15 -2793 ((-3 |#1| "failed") (-410 |#3|))) (-15 -4035 (|#1| |#3|)) (-15 -2793 (|#1| |#3|)) (-15 -1986 (|#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 (|#3| |#1|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -4079 ((-1253 |#1|))) (-15 -3033 (|#3| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|))) (-716 |#2| |#3|) (-173) (-1228 |#2|)) (T -715)) 
-((-2675 (*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-765)) (-5 *1 (-715 *3 *4 *5)) (-4 *3 (-716 *4 *5))))) 
-(-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3341 (|#1|)) (-15 -2675 ((-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3775 ((-681 |#2|) (-1253 |#1|) (-1 |#2| |#2|))) (-15 -2793 ((-3 |#1| "failed") (-410 |#3|))) (-15 -4035 (|#1| |#3|)) (-15 -2793 (|#1| |#3|)) (-15 -1986 (|#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 (|#3| |#1|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -4079 ((-1253 |#1|))) (-15 -3033 (|#3| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 87 (|has| |#1| (-366)))) (-2915 (($ $) 88 (|has| |#1| (-366)))) (-2735 (((-121) $) 90 (|has| |#1| (-366)))) (-2245 (((-681 |#1|) (-1253 $)) 44) (((-681 |#1|)) 55)) (-3588 ((|#1| $) 50)) (-2039 (((-1173 (-919) (-765)) (-569)) 141 (|has| |#1| (-351)))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 107 (|has| |#1| (-366)))) (-3742 (((-421 $) $) 108 (|has| |#1| (-366)))) (-2889 (((-121) $ $) 98 (|has| |#1| (-366)))) (-2675 (((-765)) 81 (|has| |#1| (-371)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 163 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 160)) (-1321 (((-569) $) 164 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 162 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 159)) (-2097 (($ (-1253 |#1|) (-1253 $)) 46) (($ (-1253 |#1|)) 58)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| |#1| (-351)))) (-1614 (($ $ $) 102 (|has| |#1| (-366)))) (-1808 (((-681 |#1|) $ (-1253 $)) 51) (((-681 |#1|) $) 53)) (-3435 (((-681 (-569)) (-681 $)) 158 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 157 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 156) (((-681 |#1|) (-681 $)) 155)) (-2793 (($ |#2|) 152) (((-3 $ "failed") (-410 |#2|)) 149 (|has| |#1| (-366)))) (-2611 (((-3 $ "failed") $) 33)) (-3358 (((-919)) 52)) (-3341 (($) 84 (|has| |#1| (-371)))) (-1626 (($ $ $) 101 (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 96 (|has| |#1| (-366)))) (-1456 (($) 143 (|has| |#1| (-351)))) (-3462 (((-121) $) 144 (|has| |#1| (-351)))) (-3238 (($ $ (-765)) 135 (|has| |#1| (-351))) (($ $) 134 (|has| |#1| (-351)))) (-2005 (((-121) $) 109 (|has| |#1| (-366)))) (-4433 (((-919) $) 146 (|has| |#1| (-351))) (((-830 (-919)) $) 132 (|has| |#1| (-351)))) (-3934 (((-121) $) 30)) (-3046 ((|#1| $) 49)) (-1542 (((-3 $ "failed") $) 136 (|has| |#1| (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| |#1| (-366)))) (-2415 ((|#2| $) 42 (|has| |#1| (-366)))) (-2862 (((-919) $) 83 (|has| |#1| (-371)))) (-2786 ((|#2| $) 150)) (-1657 (($ (-635 $)) 94 (|has| |#1| (-366))) (($ $ $) 93 (|has| |#1| (-366)))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 110 (|has| |#1| (-366)))) (-1423 (($) 137 (|has| |#1| (-351)) CONST)) (-1333 (($ (-919)) 82 (|has| |#1| (-371)))) (-1912 (((-1111) $) 10)) (-1986 (($) 154)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 95 (|has| |#1| (-366)))) (-3964 (($ (-635 $)) 92 (|has| |#1| (-366))) (($ $ $) 91 (|has| |#1| (-366)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 140 (|has| |#1| (-351)))) (-3139 (((-421 $) $) 106 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 103 (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ $) 86 (|has| |#1| (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| |#1| (-366)))) (-2061 (((-765) $) 99 (|has| |#1| (-366)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 100 (|has| |#1| (-366)))) (-2925 ((|#1| (-1253 $)) 45) ((|#1|) 54)) (-3600 (((-765) $) 145 (|has| |#1| (-351))) (((-3 (-765) "failed") $ $) 133 (|has| |#1| (-351)))) (-3289 (($ $) 131 (-1929 (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-765)) 129 (-1929 (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1165)) 127 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-635 (-1165))) 126 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-1165) (-765)) 125 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 (-765))) 124 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-1 |#1| |#1|) (-765)) 117 (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) 116 (|has| |#1| (-366)))) (-3775 (((-681 |#1|) (-1253 $) (-1 |#1| |#1|)) 148 (|has| |#1| (-366)))) (-3036 ((|#2|) 153)) (-3563 (($) 142 (|has| |#1| (-351)))) (-3672 (((-1253 |#1|) $ (-1253 $)) 48) (((-681 |#1|) (-1253 $) (-1253 $)) 47) (((-1253 |#1|) $) 60) (((-681 |#1|) (-1253 $)) 59)) (-4035 (((-1253 |#1|) $) 57) (($ (-1253 |#1|)) 56) ((|#2| $) 165) (($ |#2|) 151)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 139 (|has| |#1| (-351)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ $) 85 (|has| |#1| (-366))) (($ (-410 (-569))) 80 (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569))))))) (-2277 (($ $) 138 (|has| |#1| (-351))) (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-3033 ((|#2| $) 43)) (-2320 (((-765)) 28)) (-4079 (((-1253 $)) 61)) (-2909 (((-121) $ $) 89 (|has| |#1| (-366)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 111 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $) 130 (-1929 (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-765)) 128 (-1929 (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1165)) 123 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-635 (-1165))) 122 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-1165) (-765)) 121 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 (-765))) 120 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-1 |#1| |#1|) (-765)) 119 (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) 118 (|has| |#1| (-366)))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 115 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 112 (|has| |#1| (-366)))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-410 (-569)) $) 114 (|has| |#1| (-366))) (($ $ (-410 (-569))) 113 (|has| |#1| (-366))))) 
-(((-716 |#1| |#2|) (-1284) (-173) (-1228 |t#1|)) (T -716)) 
-((-1986 (*1 *1) (-12 (-4 *2 (-173)) (-4 *1 (-716 *2 *3)) (-4 *3 (-1228 *2)))) (-3036 (*1 *2) (-12 (-4 *1 (-716 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) (-2793 (*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-716 *3 *2)) (-4 *2 (-1228 *3)))) (-4035 (*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-716 *3 *2)) (-4 *2 (-1228 *3)))) (-2786 (*1 *2 *1) (-12 (-4 *1 (-716 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) (-2793 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-366)) (-4 *3 (-173)) (-4 *1 (-716 *3 *4)))) (-3775 (*1 *2 *3 *4) (-12 (-5 *3 (-1253 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-4 *1 (-716 *5 *6)) (-4 *5 (-173)) (-4 *6 (-1228 *5)) (-5 *2 (-681 *5))))) 
-(-13 (-412 |t#1| |t#2|) (-173) (-610 |t#2|) (-414 |t#1|) (-380 |t#1|) (-10 -8 (-15 -1986 ($)) (-15 -3036 (|t#2|)) (-15 -2793 ($ |t#2|)) (-15 -4035 ($ |t#2|)) (-15 -2786 (|t#2| $)) (IF (|has| |t#1| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-6 (-366)) (-6 (-224 |t#1|)) (-15 -2793 ((-3 $ "failed") (-410 |t#2|))) (-15 -3775 ((-681 |t#1|) (-1253 $) (-1 |t#1| |t#1|)))) |noBranch|) (IF (|has| |t#1| (-351)) (-6 (-351)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-43 |#1|) . T) ((-43 $) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| |#1| (-351)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-610 |#2|) . T) ((-224 |#1|) |has| |#1| (-366)) ((-226) -1929 (|has| |#1| (-351)) (-12 (|has| |#1| (-226)) (|has| |#1| (-366)))) ((-239) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-286) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-302) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-366) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-405) |has| |#1| (-351)) ((-371) -1929 (|has| |#1| (-371)) (|has| |#1| (-351))) ((-351) |has| |#1| (-351)) ((-373 |#1| |#2|) . T) ((-412 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-559) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-709 |#1|) . T) ((-709 $) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165)))) ((-918) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| |#1| (-351)) ((-1208) -1929 (|has| |#1| (-351)) (|has| |#1| (-366)))) 
-((-4483 (($) 14)) (-2611 (((-3 $ "failed") $) 16)) (-3934 (((-121) $) 13)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) 9)) (** (($ $ (-919)) NIL) (($ $ (-765)) 20))) 
-(((-717 |#1|) (-10 -8 (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -3403 (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-765))) (-15 -3934 ((-121) |#1|)) (-15 -4483 (|#1|)) (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) (-718)) (T -717)) 
-NIL 
-(-10 -8 (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -3403 (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-765))) (-15 -3934 ((-121) |#1|)) (-15 -4483 (|#1|)) (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) 
-((-1310 (((-121) $ $) 7)) (-4483 (($) 19 T CONST)) (-2611 (((-3 $ "failed") $) 15)) (-3934 (((-121) $) 18)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) 12) (($ $ (-765)) 16)) (-3297 (($) 20 T CONST)) (-1326 (((-121) $ $) 6)) (** (($ $ (-919)) 13) (($ $ (-765)) 17)) (* (($ $ $) 14))) 
-(((-718) (-1284)) (T -718)) 
-((-3297 (*1 *1) (-4 *1 (-718))) (-4483 (*1 *1) (-4 *1 (-718))) (-3934 (*1 *2 *1) (-12 (-4 *1 (-718)) (-5 *2 (-121)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-718)) (-5 *2 (-765)))) (-3403 (*1 *1 *1 *2) (-12 (-4 *1 (-718)) (-5 *2 (-765)))) (-2611 (*1 *1 *1) (|partial| -4 *1 (-718)))) 
-(-13 (-1105) (-10 -8 (-15 (-3297) ($) -3575) (-15 -4483 ($) -3575) (-15 -3934 ((-121) $)) (-15 ** ($ $ (-765))) (-15 -3403 ($ $ (-765))) (-15 -2611 ((-3 $ "failed") $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1105) . T) ((-1093) . T)) 
-((-2848 (((-2 (|:| -2556 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|)) 38)) (-2009 (((-2 (|:| -2556 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|)) 12)) (-2345 ((|#2| (-410 |#2|) (-1 |#2| |#2|)) 13)) (-3861 (((-2 (|:| |poly| |#2|) (|:| -2556 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)) 47))) 
-(((-719 |#1| |#2|) (-10 -7 (-15 -2009 ((-2 (|:| -2556 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -2848 ((-2 (|:| -2556 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -2345 (|#2| (-410 |#2|) (-1 |#2| |#2|))) (-15 -3861 ((-2 (|:| |poly| |#2|) (|:| -2556 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)))) (-366) (-1228 |#1|)) (T -719)) 
-((-3861 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2556 (-410 *6)) (|:| |special| (-410 *6)))) (-5 *1 (-719 *5 *6)) (-5 *3 (-410 *6)))) (-2345 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-719 *5 *2)) (-4 *5 (-366)))) (-2848 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2556 (-421 *3)) (|:| |special| (-421 *3)))) (-5 *1 (-719 *5 *3)))) (-2009 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2556 *3) (|:| |special| *3))) (-5 *1 (-719 *5 *3))))) 
-(-10 -7 (-15 -2009 ((-2 (|:| -2556 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -2848 ((-2 (|:| -2556 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -2345 (|#2| (-410 |#2|) (-1 |#2| |#2|))) (-15 -3861 ((-2 (|:| |poly| |#2|) (|:| -2556 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)))) 
-((-2631 ((|#7| (-635 |#5|) |#6|) NIL)) (-4188 ((|#7| (-1 |#5| |#4|) |#6|) 26))) 
-(((-720 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -4188 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -2631 (|#7| (-635 |#5|) |#6|))) (-844) (-790) (-790) (-1049) (-1049) (-952 |#4| |#2| |#1|) (-952 |#5| |#3| |#1|)) (T -720)) 
-((-2631 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *9)) (-4 *9 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *8 (-1049)) (-4 *2 (-952 *9 *7 *5)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-790)) (-4 *4 (-952 *8 *6 *5)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1049)) (-4 *9 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *2 (-952 *9 *7 *5)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-790)) (-4 *4 (-952 *8 *6 *5))))) 
-(-10 -7 (-15 -4188 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -2631 (|#7| (-635 |#5|) |#6|))) 
-((-4188 ((|#7| (-1 |#2| |#1|) |#6|) 28))) 
-(((-721 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -4188 (|#7| (-1 |#2| |#1|) |#6|))) (-844) (-844) (-790) (-790) (-1049) (-952 |#5| |#3| |#1|) (-952 |#5| |#4| |#2|)) (T -721)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-844)) (-4 *6 (-844)) (-4 *7 (-790)) (-4 *9 (-1049)) (-4 *2 (-952 *9 *8 *6)) (-5 *1 (-721 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-790)) (-4 *4 (-952 *9 *7 *5))))) 
-(-10 -7 (-15 -4188 (|#7| (-1 |#2| |#1|) |#6|))) 
-((-3139 (((-421 |#4|) |#4|) 39))) 
-(((-722 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4|))) (-790) (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165))))) (-302) (-952 (-955 |#3|) |#1| |#2|)) (T -722)) 
-((-3139 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-722 *4 *5 *6 *3)) (-4 *3 (-952 (-955 *6) *4 *5))))) 
-(-10 -7 (-15 -3139 ((-421 |#4|) |#4|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-854 |#1|)) $) NIL)) (-3132 (((-1161 $) $ (-854 |#1|)) NIL) (((-1161 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-854 |#1|))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-854 |#1|) "failed") $) NIL)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-854 |#1|) $) NIL)) (-3673 (($ $ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| (-535 (-854 |#1|)) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#2|) (-854 |#1|)) NIL) (($ (-1161 $) (-854 |#1|)) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#2| (-535 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-854 |#1|)) NIL)) (-4294 (((-535 (-854 |#1|)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 (-535 (-854 |#1|)) (-535 (-854 |#1|))) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3407 (((-3 (-854 |#1|) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-854 |#1|)) (|:| -3190 (-765))) "failed") $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-854 |#1|) |#2|) NIL) (($ $ (-635 (-854 |#1|)) (-635 |#2|)) NIL) (($ $ (-854 |#1|) $) NIL) (($ $ (-635 (-854 |#1|)) (-635 $)) NIL)) (-2925 (($ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2284 (((-535 (-854 |#1|)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-854 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-854 |#1|)) NIL) (($ $) NIL (|has| |#2| (-559))) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569))))))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-535 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-723 |#1| |#2|) (-952 |#2| (-535 (-854 |#1|)) (-854 |#1|)) (-635 (-1165)) (-1049)) (T -723)) 
-NIL 
-(-952 |#2| (-535 (-854 |#1|)) (-854 |#1|)) 
-((-1927 (((-2 (|:| -4288 (-955 |#3|)) (|:| -3790 (-955 |#3|))) |#4|) 13)) (-2927 ((|#4| |#4| |#2|) 30)) (-2253 ((|#4| (-410 (-955 |#3|)) |#2|) 63)) (-2214 ((|#4| (-1161 (-955 |#3|)) |#2|) 76)) (-3729 ((|#4| (-1161 |#4|) |#2|) 49)) (-4453 ((|#4| |#4| |#2|) 52)) (-3139 (((-421 |#4|) |#4|) 38))) 
-(((-724 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1927 ((-2 (|:| -4288 (-955 |#3|)) (|:| -3790 (-955 |#3|))) |#4|)) (-15 -4453 (|#4| |#4| |#2|)) (-15 -3729 (|#4| (-1161 |#4|) |#2|)) (-15 -2927 (|#4| |#4| |#2|)) (-15 -2214 (|#4| (-1161 (-955 |#3|)) |#2|)) (-15 -2253 (|#4| (-410 (-955 |#3|)) |#2|)) (-15 -3139 ((-421 |#4|) |#4|))) (-790) (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)))) (-559) (-952 (-410 (-955 |#3|)) |#1| |#2|)) (T -724)) 
-((-3139 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-952 (-410 (-955 *6)) *4 *5)))) (-2253 (*1 *2 *3 *4) (-12 (-4 *6 (-559)) (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-5 *3 (-410 (-955 *6))) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))))) (-2214 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 (-955 *6))) (-4 *6 (-559)) (-4 *2 (-952 (-410 (-955 *6)) *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))))) (-2927 (*1 *2 *2 *3) (-12 (-4 *4 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *5 (-559)) (-5 *1 (-724 *4 *3 *5 *2)) (-4 *2 (-952 (-410 (-955 *5)) *4 *3)))) (-3729 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *2)) (-4 *2 (-952 (-410 (-955 *6)) *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559)))) (-4453 (*1 *2 *2 *3) (-12 (-4 *4 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *5 (-559)) (-5 *1 (-724 *4 *3 *5 *2)) (-4 *2 (-952 (-410 (-955 *5)) *4 *3)))) (-1927 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559)) (-5 *2 (-2 (|:| -4288 (-955 *6)) (|:| -3790 (-955 *6)))) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-952 (-410 (-955 *6)) *4 *5))))) 
-(-10 -7 (-15 -1927 ((-2 (|:| -4288 (-955 |#3|)) (|:| -3790 (-955 |#3|))) |#4|)) (-15 -4453 (|#4| |#4| |#2|)) (-15 -3729 (|#4| (-1161 |#4|) |#2|)) (-15 -2927 (|#4| |#4| |#2|)) (-15 -2214 (|#4| (-1161 (-955 |#3|)) |#2|)) (-15 -2253 (|#4| (-410 (-955 |#3|)) |#2|)) (-15 -3139 ((-421 |#4|) |#4|))) 
-((-3139 (((-421 |#4|) |#4|) 51))) 
-(((-725 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4|))) (-790) (-844) (-13 (-302) (-151)) (-952 (-410 |#3|) |#1| |#2|)) (T -725)) 
-((-3139 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-725 *4 *5 *6 *3)) (-4 *3 (-952 (-410 *6) *4 *5))))) 
-(-10 -7 (-15 -3139 ((-421 |#4|) |#4|))) 
-((-4188 (((-727 |#2| |#3|) (-1 |#2| |#1|) (-727 |#1| |#3|)) 18))) 
-(((-726 |#1| |#2| |#3|) (-10 -7 (-15 -4188 ((-727 |#2| |#3|) (-1 |#2| |#1|) (-727 |#1| |#3|)))) (-1049) (-1049) (-718)) (T -726)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-727 *5 *7)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *7 (-718)) (-5 *2 (-727 *6 *7)) (-5 *1 (-726 *5 *6 *7))))) 
-(-10 -7 (-15 -4188 ((-727 |#2| |#3|) (-1 |#2| |#1|) (-727 |#1| |#3|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 26)) (-3824 (((-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|))) $) 27)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765)) 20 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) 55) (((-3 |#1| "failed") $) 58)) (-1321 ((|#2| $) NIL) ((|#1| $) NIL)) (-3373 (($ $) 75 (|has| |#2| (-844)))) (-2611 (((-3 $ "failed") $) 62)) (-3341 (($) 33 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) 53)) (-2905 (((-635 $) $) 37)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| |#2|) 16)) (-4188 (($ (-1 |#1| |#1|) $) 52)) (-2862 (((-919) $) 30 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-3263 ((|#2| $) 74 (|has| |#2| (-844)))) (-3270 ((|#1| $) 73 (|has| |#2| (-844)))) (-2605 (((-1147) $) NIL)) (-1333 (($ (-919)) 25 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 72) (($ (-569)) 44) (($ |#2|) 40) (($ |#1|) 41) (($ (-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|)))) 11)) (-2894 (((-635 |#1|) $) 39)) (-3802 ((|#1| $ |#2|) 83)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 12 T CONST)) (-3297 (($) 31 T CONST)) (-1326 (((-121) $ $) 76)) (-1377 (($ $) 46) (($ $ $) NIL)) (-1371 (($ $ $) 24)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 50) (($ $ $) 85) (($ |#1| $) 48 (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
-(((-727 |#1| |#2|) (-13 (-1049) (-1039 |#2|) (-1039 |#1|) (-10 -8 (-15 -3179 ($ |#1| |#2|)) (-15 -3802 (|#1| $ |#2|)) (-15 -3956 ($ (-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|))))) (-15 -3824 ((-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|))) $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -3052 ((-121) $)) (-15 -2894 ((-635 |#1|) $)) (-15 -2905 ((-635 $) $)) (-15 -4118 ((-765) $)) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#2| (-844)) (PROGN (-15 -3263 (|#2| $)) (-15 -3270 (|#1| $)) (-15 -3373 ($ $))) |noBranch|))) (-1049) (-718)) (T -727)) 
-((-3179 (*1 *1 *2 *3) (-12 (-5 *1 (-727 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-718)))) (-3802 (*1 *2 *1 *3) (-12 (-4 *2 (-1049)) (-5 *1 (-727 *2 *3)) (-4 *3 (-718)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3550 *3) (|:| -3558 *4)))) (-4 *3 (-1049)) (-4 *4 (-718)) (-5 *1 (-727 *3 *4)))) (-3824 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3550 *3) (|:| -3558 *4)))) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-727 *3 *4)) (-4 *4 (-718)))) (-3052 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) (-2894 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) (-2905 (*1 *2 *1) (-12 (-5 *2 (-635 (-727 *3 *4))) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) (-4118 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) (-3263 (*1 *2 *1) (-12 (-4 *2 (-718)) (-4 *2 (-844)) (-5 *1 (-727 *3 *2)) (-4 *3 (-1049)))) (-3270 (*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-727 *2 *3)) (-4 *3 (-844)) (-4 *3 (-718)))) (-3373 (*1 *1 *1) (-12 (-5 *1 (-727 *2 *3)) (-4 *3 (-844)) (-4 *2 (-1049)) (-4 *3 (-718))))) 
-(-13 (-1049) (-1039 |#2|) (-1039 |#1|) (-10 -8 (-15 -3179 ($ |#1| |#2|)) (-15 -3802 (|#1| $ |#2|)) (-15 -3956 ($ (-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|))))) (-15 -3824 ((-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|))) $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -3052 ((-121) $)) (-15 -2894 ((-635 |#1|) $)) (-15 -2905 ((-635 $) $)) (-15 -4118 ((-765) $)) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#2| (-844)) (PROGN (-15 -3263 (|#2| $)) (-15 -3270 (|#1| $)) (-15 -3373 ($ $))) |noBranch|))) 
-((-1310 (((-121) $ $) 18)) (-3577 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-2045 (($ $ $) 68)) (-3254 (((-121) $ $) 69)) (-3350 (((-121) $ (-765)) 8)) (-4414 (($ (-635 |#1|)) 64) (($) 63)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2938 (($ $) 58)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22)) (-1433 (($ $ $) 65)) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37) (($ |#1| $ (-765)) 59)) (-1912 (((-1111) $) 21)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2820 (((-635 (-2 (|:| -3175 |#1|) (|:| -2691 (-765)))) $) 57)) (-2127 (($ $ |#1|) 67) (($ $ $) 66)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-3956 (((-852) $) 20)) (-1785 (($ (-635 |#1|)) 62) (($) 61)) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19)) (-1337 (((-121) $ $) 60)) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-728 |#1|) (-1284) (-1093)) (T -728)) 
-NIL 
-(-13 (-686 |t#1|) (-1090 |t#1|)) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-686 |#1|) . T) ((-1090 |#1|) . T) ((-1093) . T) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL)) (-3577 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 77)) (-2045 (($ $ $) 80)) (-3254 (((-121) $ $) 83)) (-3350 (((-121) $ (-765)) NIL)) (-4414 (($ (-635 |#1|)) 24) (($) 15)) (-1304 (($ (-1 (-121) |#1|) $) 71 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2938 (($ $) 72)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) 61 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 64 (|has| $ (-6 -4571))) (($ |#1| $ (-569)) 62) (($ (-1 (-121) |#1|) $ (-569)) 65)) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (($ |#1| $ (-569)) 67) (($ (-1 (-121) |#1|) $ (-569)) 68)) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 32 (|has| $ (-6 -4571)))) (-2937 (($) 13) (($ |#1|) 26) (($ (-635 |#1|)) 21)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) 38)) (-3016 (((-121) |#1| $) 57 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) 75 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 76)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1433 (($ $ $) 78)) (-4496 ((|#1| $) 54)) (-2351 (($ |#1| $) 55) (($ |#1| $ (-765)) 73)) (-1912 (((-1111) $) NIL)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2166 ((|#1| $) 53)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 49)) (-4016 (($) 12)) (-2820 (((-635 (-2 (|:| -3175 |#1|) (|:| -2691 (-765)))) $) 47)) (-2127 (($ $ |#1|) NIL) (($ $ $) 79)) (-1353 (($) 14) (($ (-635 |#1|)) 23)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) 60 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 66)) (-4035 (((-542) $) 36 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 20)) (-3956 (((-852) $) 44)) (-1785 (($ (-635 |#1|)) 25) (($) 16)) (-1753 (($ (-635 |#1|)) 22)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 81)) (-1337 (((-121) $ $) 82)) (-2946 (((-765) $) 59 (|has| $ (-6 -4571))))) 
-(((-729 |#1|) (-13 (-728 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -2937 ($)) (-15 -2937 ($ |#1|)) (-15 -2937 ($ (-635 |#1|))) (-15 -4457 ((-635 |#1|) $)) (-15 -3503 ($ |#1| $ (-569))) (-15 -3503 ($ (-1 (-121) |#1|) $ (-569))) (-15 -2006 ($ |#1| $ (-569))) (-15 -2006 ($ (-1 (-121) |#1|) $ (-569))))) (-1093)) (T -729)) 
-((-2937 (*1 *1) (-12 (-5 *1 (-729 *2)) (-4 *2 (-1093)))) (-2937 (*1 *1 *2) (-12 (-5 *1 (-729 *2)) (-4 *2 (-1093)))) (-2937 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-729 *3)))) (-4457 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-729 *3)) (-4 *3 (-1093)))) (-3503 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-729 *2)) (-4 *2 (-1093)))) (-3503 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1093)) (-5 *1 (-729 *4)))) (-2006 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-729 *2)) (-4 *2 (-1093)))) (-2006 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1093)) (-5 *1 (-729 *4))))) 
-(-13 (-728 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -2937 ($)) (-15 -2937 ($ |#1|)) (-15 -2937 ($ (-635 |#1|))) (-15 -4457 ((-635 |#1|) $)) (-15 -3503 ($ |#1| $ (-569))) (-15 -3503 ($ (-1 (-121) |#1|) $ (-569))) (-15 -2006 ($ |#1| $ (-569))) (-15 -2006 ($ (-1 (-121) |#1|) $ (-569))))) 
-((-1758 (((-1258) (-1147)) 8))) 
-(((-730) (-10 -7 (-15 -1758 ((-1258) (-1147))))) (T -730)) 
-((-1758 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-730))))) 
-(-10 -7 (-15 -1758 ((-1258) (-1147)))) 
-((-4331 (((-635 |#1|) (-635 |#1|) (-635 |#1|)) 10))) 
-(((-731 |#1|) (-10 -7 (-15 -4331 ((-635 |#1|) (-635 |#1|) (-635 |#1|)))) (-844)) (T -731)) 
-((-4331 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-731 *3))))) 
-(-10 -7 (-15 -4331 ((-635 |#1|) (-635 |#1|) (-635 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 |#2|) $) 134)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 127 (|has| |#1| (-559)))) (-2915 (($ $) 126 (|has| |#1| (-559)))) (-2735 (((-121) $) 124 (|has| |#1| (-559)))) (-3544 (($ $) 83 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 66 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-3422 (($ $) 65 (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) 82 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 67 (|has| |#1| (-43 (-410 (-569)))))) (-3559 (($ $) 81 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 68 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-3373 (($ $) 118)) (-2611 (((-3 $ "failed") $) 33)) (-2849 (((-955 |#1|) $ (-765)) 96) (((-955 |#1|) $ (-765) (-765)) 95)) (-2641 (((-121) $) 135)) (-3415 (($) 93 (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $ |#2|) 98) (((-765) $ |#2| (-765)) 97)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 64 (|has| |#1| (-43 (-410 (-569)))))) (-3052 (((-121) $) 116)) (-3179 (($ $ (-635 |#2|) (-635 (-535 |#2|))) 133) (($ $ |#2| (-535 |#2|)) 132) (($ |#1| (-535 |#2|)) 117) (($ $ |#2| (-765)) 100) (($ $ (-635 |#2|) (-635 (-765))) 99)) (-4188 (($ (-1 |#1| |#1|) $) 115)) (-3597 (($ $) 90 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 113)) (-3270 ((|#1| $) 112)) (-2605 (((-1147) $) 9)) (-1324 (($ $ |#2|) 94 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) 10)) (-3803 (($ $ (-765)) 101)) (-1436 (((-3 $ "failed") $ $) 128 (|has| |#1| (-559)))) (-3408 (($ $) 91 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (($ $ |#2| $) 109) (($ $ (-635 |#2|) (-635 $)) 108) (($ $ (-635 (-289 $))) 107) (($ $ (-289 $)) 106) (($ $ $ $) 105) (($ $ (-635 $) (-635 $)) 104)) (-3289 (($ $ |#2|) 41) (($ $ (-635 |#2|)) 40) (($ $ |#2| (-765)) 39) (($ $ (-635 |#2|) (-635 (-765))) 38)) (-2284 (((-535 |#2|) $) 114)) (-3565 (($ $) 80 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 69 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 79 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 70 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 78 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 71 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 136)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 131 (|has| |#1| (-173))) (($ $) 129 (|has| |#1| (-559))) (($ (-410 (-569))) 121 (|has| |#1| (-43 (-410 (-569)))))) (-3802 ((|#1| $ (-535 |#2|)) 119) (($ $ |#2| (-765)) 103) (($ $ (-635 |#2|) (-635 (-765))) 102)) (-2277 (((-3 $ "failed") $) 130 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-3585 (($ $) 89 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 77 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 125 (|has| |#1| (-559)))) (-3572 (($ $) 88 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 76 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 87 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 75 (|has| |#1| (-43 (-410 (-569)))))) (-4527 (($ $) 86 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 74 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 85 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 73 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 84 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 72 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ |#2|) 37) (($ $ (-635 |#2|)) 36) (($ $ |#2| (-765)) 35) (($ $ (-635 |#2|) (-635 (-765))) 34)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 120 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ $) 92 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 63 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 123 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 122 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 111) (($ $ |#1|) 110))) 
-(((-732 |#1| |#2|) (-1284) (-1049) (-844)) (T -732)) 
-((-3802 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *2)) (-4 *4 (-1049)) (-4 *2 (-844)))) (-3802 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-765))) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)))) (-3803 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-732 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-844)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *2)) (-4 *4 (-1049)) (-4 *2 (-844)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-765))) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)))) (-4433 (*1 *2 *1 *3) (-12 (-4 *1 (-732 *4 *3)) (-4 *4 (-1049)) (-4 *3 (-844)) (-5 *2 (-765)))) (-4433 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-765)) (-4 *1 (-732 *4 *3)) (-4 *4 (-1049)) (-4 *3 (-844)))) (-2849 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)) (-5 *2 (-955 *4)))) (-2849 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)) (-5 *2 (-955 *4)))) (-1324 (*1 *1 *1 *2) (-12 (-4 *1 (-732 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-844)) (-4 *3 (-43 (-410 (-569))))))) 
-(-13 (-897 |t#2|) (-976 |t#1| (-535 |t#2|) |t#2|) (-524 |t#2| $) (-304 $) (-10 -8 (-15 -3802 ($ $ |t#2| (-765))) (-15 -3802 ($ $ (-635 |t#2|) (-635 (-765)))) (-15 -3803 ($ $ (-765))) (-15 -3179 ($ $ |t#2| (-765))) (-15 -3179 ($ $ (-635 |t#2|) (-635 (-765)))) (-15 -4433 ((-765) $ |t#2|)) (-15 -4433 ((-765) $ |t#2| (-765))) (-15 -2849 ((-955 |t#1|) $ (-765))) (-15 -2849 ((-955 |t#1|) $ (-765) (-765))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $ |t#2|)) (-6 (-1004)) (-6 (-1185))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-535 |#2|)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-286) |has| |#1| (-559)) ((-304 $) . T) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-524 |#2| $) . T) ((-524 $ $) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-897 |#2|) . T) ((-976 |#1| (-535 |#2|) |#2|) . T) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569))))) 
-((-3139 (((-421 (-1161 |#4|)) (-1161 |#4|)) 28) (((-421 |#4|) |#4|) 24))) 
-(((-733 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4|)) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|)))) (-844) (-790) (-13 (-302) (-151)) (-952 |#3| |#2| |#1|)) (T -733)) 
-((-3139 (*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-733 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4))))) 
-(-10 -7 (-15 -3139 ((-421 |#4|) |#4|)) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|)))) 
-((-2919 (((-421 |#4|) |#4| |#2|) 116)) (-3540 (((-421 |#4|) |#4|) NIL)) (-3742 (((-421 (-1161 |#4|)) (-1161 |#4|)) 107) (((-421 |#4|) |#4|) 38)) (-3736 (((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -3139 (-1161 |#4|)) (|:| -3190 (-569)))))) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|))) 65)) (-4178 (((-1161 |#3|) (-1161 |#3|) (-569)) 133)) (-1567 (((-635 (-765)) (-1161 |#4|) (-635 |#2|) (-765)) 58)) (-2786 (((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-1161 |#3|) (-1161 |#3|) |#4| (-635 |#2|) (-635 (-765)) (-635 |#3|)) 62)) (-2536 (((-2 (|:| |upol| (-1161 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569))))) (|:| |ctpol| |#3|)) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|))) 22)) (-2555 (((-2 (|:| -2665 (-1161 |#4|)) (|:| |polval| (-1161 |#3|))) (-1161 |#4|) (-1161 |#3|) (-569)) 54)) (-2739 (((-569) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569))))) 130)) (-1510 ((|#4| (-569) (-421 |#4|)) 55)) (-4370 (((-121) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569))))) NIL))) 
-(((-734 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3742 ((-421 |#4|) |#4|)) (-15 -3742 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -3540 ((-421 |#4|) |#4|)) (-15 -2739 ((-569) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))))) (-15 -2919 ((-421 |#4|) |#4| |#2|)) (-15 -2555 ((-2 (|:| -2665 (-1161 |#4|)) (|:| |polval| (-1161 |#3|))) (-1161 |#4|) (-1161 |#3|) (-569))) (-15 -3736 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -3139 (-1161 |#4|)) (|:| -3190 (-569)))))) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -2536 ((-2 (|:| |upol| (-1161 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569))))) (|:| |ctpol| |#3|)) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -1510 (|#4| (-569) (-421 |#4|))) (-15 -4370 ((-121) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))))) (-15 -2786 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-1161 |#3|) (-1161 |#3|) |#4| (-635 |#2|) (-635 (-765)) (-635 |#3|))) (-15 -1567 ((-635 (-765)) (-1161 |#4|) (-635 |#2|) (-765))) (-15 -4178 ((-1161 |#3|) (-1161 |#3|) (-569)))) (-790) (-844) (-302) (-952 |#3| |#1| |#2|)) (T -734)) 
-((-4178 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 *6)) (-5 *3 (-569)) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) (-1567 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-4 *7 (-844)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-4 *8 (-302)) (-5 *2 (-635 (-765))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *5 (-765)))) (-2786 (*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1161 *11)) (-5 *6 (-635 *10)) (-5 *7 (-635 (-765))) (-5 *8 (-635 *11)) (-4 *10 (-844)) (-4 *11 (-302)) (-4 *9 (-790)) (-4 *5 (-952 *11 *9 *10)) (-5 *2 (-635 (-1161 *5))) (-5 *1 (-734 *9 *10 *11 *5)) (-5 *3 (-1161 *5)))) (-4370 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 (-1161 *6)) (|:| -3190 (-569))))) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) (-1510 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-421 *2)) (-4 *2 (-952 *7 *5 *6)) (-5 *1 (-734 *5 *6 *7 *2)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-302)))) (-2536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-5 *2 (-2 (|:| |upol| (-1161 *8)) (|:| |Lval| (-635 *8)) (|:| |Lfact| (-635 (-2 (|:| -3139 (-1161 *8)) (|:| -3190 (-569))))) (|:| |ctpol| *8))) (-5 *1 (-734 *6 *7 *8 *9)))) (-3736 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *6 (-790)) (-4 *9 (-952 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-635 (-2 (|:| -3139 (-1161 *9)) (|:| -3190 (-569))))))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *3 (-1161 *9)))) (-2555 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *9 (-952 *8 *6 *7)) (-5 *2 (-2 (|:| -2665 (-1161 *9)) (|:| |polval| (-1161 *8)))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *3 (-1161 *9)) (-5 *4 (-1161 *8)))) (-2919 (*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *5 *4 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) (-2739 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 (-1161 *6)) (|:| -3190 (-569))))) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-569)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) (-3540 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *4 *5 *6 *3)) (-4 *3 (-952 *6 *4 *5)))) (-3742 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-734 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-3742 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *4 *5 *6 *3)) (-4 *3 (-952 *6 *4 *5))))) 
-(-10 -7 (-15 -3742 ((-421 |#4|) |#4|)) (-15 -3742 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -3540 ((-421 |#4|) |#4|)) (-15 -2739 ((-569) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))))) (-15 -2919 ((-421 |#4|) |#4| |#2|)) (-15 -2555 ((-2 (|:| -2665 (-1161 |#4|)) (|:| |polval| (-1161 |#3|))) (-1161 |#4|) (-1161 |#3|) (-569))) (-15 -3736 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -3139 (-1161 |#4|)) (|:| -3190 (-569)))))) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -2536 ((-2 (|:| |upol| (-1161 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569))))) (|:| |ctpol| |#3|)) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -1510 (|#4| (-569) (-421 |#4|))) (-15 -4370 ((-121) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))))) (-15 -2786 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-1161 |#3|) (-1161 |#3|) |#4| (-635 |#2|) (-635 (-765)) (-635 |#3|))) (-15 -1567 ((-635 (-765)) (-1161 |#4|) (-635 |#2|) (-765))) (-15 -4178 ((-1161 |#3|) (-1161 |#3|) (-569)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1165)) $) NIL)) (-3132 (((-410 (-1161 $)) $ (-608 $)) NIL (|has| |#2| (-559)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-4320 (((-635 (-608 $)) $) NIL)) (-1998 (($ $ (-1085 $)) NIL) (($ $ (-1165)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2710 (($ $) NIL (|has| |#2| (-559)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-559)))) (-2889 (((-121) $ $) NIL (|has| |#2| (-559)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-608 $) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-955 |#2|)) "failed") $) NIL (|has| |#2| (-559))) (((-3 (-955 |#2|) "failed") $) NIL (|has| |#2| (-1049))) (((-3 (-736 |#1| |#2|) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (-1929 (-12 (|has| |#2| (-559)) (|has| |#2| (-1039 (-569)))) (|has| |#2| (-1039 (-410 (-569))))))) (-1321 (((-608 $) $) NIL) (((-1165) $) NIL) ((|#2| $) NIL) (((-410 (-955 |#2|)) $) 20 (|has| |#2| (-559))) (((-955 |#2|) $) 26 (|has| |#2| (-1049))) (((-736 |#1| |#2|) $) 27) (((-569) $) NIL) (((-410 (-736 |#1| |#2|)) $) 25) (((-410 (-569)) $) NIL (-1929 (-12 (|has| |#2| (-559)) (|has| |#2| (-1039 (-569)))) (|has| |#2| (-1039 (-410 (-569))))))) (-1614 (($ $ $) NIL (|has| |#2| (-559)))) (-3435 (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL (|has| |#2| (-1049))) (((-681 |#2|) (-681 $)) NIL (|has| |#2| (-1049))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049))))) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#2| (-559)))) (-1419 (($ $ (-1085 $)) NIL) (($ $ (-1165)) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#2| (-559)))) (-2005 (((-121) $) NIL (|has| |#2| (-559)))) (-2578 (($ $ $) NIL)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| |#2| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| |#2| (-883 (-382))))) (-2674 (($ $) NIL) (($ (-635 $)) NIL)) (-1367 (((-635 (-123)) $) NIL)) (-1344 (((-123) (-123)) NIL)) (-3934 (((-121) $) NIL)) (-3520 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-3043 (($ $) NIL)) (-3515 (((-1116 |#2| (-608 $)) $) NIL (|has| |#2| (-1049)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-559)))) (-2387 (((-1161 $) (-608 $)) NIL (|has| $ (-1049)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 $ $) (-608 $)) NIL)) (-3277 (((-3 (-608 $) "failed") $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-559))) (($ $ $) NIL (|has| |#2| (-559)))) (-2605 (((-1147) $) NIL)) (-3121 (((-635 (-608 $)) $) NIL)) (-3529 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL (|has| |#2| (-1105)))) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $) NIL (|has| |#2| (-1049)))) (-2085 (((-3 (-635 $) "failed") $) NIL (|has| |#2| (-25)))) (-1417 (((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $) NIL (|has| |#2| (-25)))) (-2601 (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $) NIL (|has| |#2| (-1105))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123)) NIL (|has| |#2| (-1049))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165)) NIL (|has| |#2| (-1049)))) (-3845 (((-121) $ (-123)) NIL) (((-121) $ (-1165)) NIL)) (-3243 (($ $) NIL (-1929 (|has| |#2| (-479)) (|has| |#2| (-559))))) (-1468 (((-765) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-559)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-559))) (($ $ $) NIL (|has| |#2| (-559)))) (-2400 (((-121) $ $) NIL) (((-121) $ (-1165)) NIL)) (-1389 (($ $ (-1165)) NIL) (($ $) NIL)) (-1954 (($ $) NIL)) (-3139 (((-421 $) $) NIL (|has| |#2| (-559)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-559)))) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-559)))) (-3912 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1165)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-610 (-542)))) (($ $) NIL (|has| |#2| (-610 (-542)))) (($ $ (-123) $ (-1165)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1165)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $))) NIL (|has| |#2| (-1049))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $)))) NIL (|has| |#2| (-1049))) (($ $ (-1165) (-765) (-1 $ (-635 $))) NIL (|has| |#2| (-1049))) (($ $ (-1165) (-765) (-1 $ $)) NIL (|has| |#2| (-1049)))) (-2061 (((-765) $) NIL (|has| |#2| (-559)))) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-559)))) (-2454 (($ $) NIL) (($ $ $) NIL)) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL)) (-2572 (($ $) NIL)) (-3524 (((-1116 |#2| (-608 $)) $) NIL (|has| |#2| (-559)))) (-3036 (($ $) NIL (|has| $ (-1049)))) (-4035 (((-889 (-569)) $) NIL (|has| |#2| (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| |#2| (-610 (-889 (-382))))) (($ (-421 $)) NIL (|has| |#2| (-559))) (((-542) $) NIL (|has| |#2| (-610 (-542))))) (-3980 (($ $ $) NIL (|has| |#2| (-479)))) (-2689 (($ $ $) NIL (|has| |#2| (-479)))) (-3956 (((-852) $) NIL) (($ (-608 $)) NIL) (($ (-1165)) NIL) (($ |#2|) NIL) (($ (-1116 |#2| (-608 $))) NIL (|has| |#2| (-1049))) (($ (-410 |#2|)) NIL (|has| |#2| (-559))) (($ (-955 (-410 |#2|))) NIL (|has| |#2| (-559))) (($ (-410 (-955 (-410 |#2|)))) NIL (|has| |#2| (-559))) (($ (-410 (-955 |#2|))) NIL (|has| |#2| (-559))) (($ (-955 |#2|)) NIL (|has| |#2| (-1049))) (($ $) NIL) (($ (-569)) NIL) (($ (-736 |#1| |#2|)) NIL) (($ (-410 (-736 |#1| |#2|))) 35) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-559)) (|has| |#2| (-1039 (-410 (-569))))))) (-2277 (((-3 $ "failed") $) NIL (|has| |#2| (-149)))) (-2320 (((-765)) NIL)) (-2856 (($ $) NIL) (($ (-635 $)) NIL)) (-4196 (($ $ $) NIL)) (-3791 (((-121) (-123)) NIL)) (-2909 (((-121) $ $) NIL)) (-3207 (($ (-1165) $) NIL) (($ (-1165) $ $) NIL) (($ (-1165) $ $ $) NIL) (($ (-1165) $ $ $ $) NIL) (($ (-1165) (-635 $)) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ $ (-569)) NIL (-1929 (|has| |#2| (-479)) (|has| |#2| (-559))))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1383 (($ (-1116 |#2| (-608 $)) (-1116 |#2| (-608 $))) NIL (|has| |#2| (-559))) (($ $ $) NIL)) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ $ $) NIL) (($ $ (-569)) NIL (-1929 (|has| |#2| (-479)) (|has| |#2| (-559))))) (* (($ (-410 (-569)) $) NIL (|has| |#2| (-559))) (($ $ (-410 (-569))) NIL (|has| |#2| (-559))) (($ |#2| $) NIL (|has| |#2| (-173))) (($ $ |#2|) NIL (|has| |#2| (-173))) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL))) 
-(((-735 |#1| |#2|) (-13 (-433 |#2|) (-559) (-1039 (-736 |#1| |#2|)) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $)) (-15 -3956 ($ (-410 (-736 |#1| |#2|)))) (-15 -1321 ((-410 (-736 |#1| |#2|)) $)))) (-1165) (-13 (-1049) (-844) (-559))) (T -735)) 
-((-3249 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-735 *3 *4)) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559))))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) (-1383 (*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) (-3043 (*1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) (-2572 (*1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-410 (-736 *3 *4))) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559))) (-5 *1 (-735 *3 *4)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-410 (-736 *3 *4))) (-5 *1 (-735 *3 *4)) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559)))))) 
-(-13 (-433 |#2|) (-559) (-1039 (-736 |#1| |#2|)) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $)) (-15 -3956 ($ (-410 (-736 |#1| |#2|)))) (-15 -1321 ((-410 (-736 |#1| |#2|)) $)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3676 (((-1253 |#2|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#2|)) NIL)) (-3132 (((-1161 $) $ (-1077)) NIL) (((-1161 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) NIL (|has| |#2| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#2| (-366)))) (-3286 (($ $ (-765)) NIL)) (-1738 (($ $ (-765)) NIL)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-454)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-1077) $) 22) (((-1165) $) 23)) (-3673 (($ $ $ (-1077)) NIL (|has| |#2| (-173))) ((|#2| $ $) NIL (|has| |#2| (-173)))) (-1614 (($ $ $) NIL (|has| |#2| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#2| (-366)))) (-3621 (($ $ $) NIL)) (-4425 (($ $ $) NIL (|has| |#2| (-559)))) (-1530 (((-2 (|:| -3550 |#2|) (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-1077)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| (-765) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-4433 (((-765) $ $) NIL (|has| |#2| (-559)))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#2| (-1139)))) (-3187 (($ (-1161 |#2|) (-1077)) NIL) (($ (-1161 $) (-1077)) NIL)) (-2058 (($ $ (-765)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#2| (-765)) 17) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3071 (((-1161 |#2|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#2| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#2| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-4259 (($ $ (-765) |#2| $) NIL)) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-366)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#2|) NIL) (($ $ (-635 (-1077)) (-635 |#2|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#2| (-366)))) (-2503 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#2| (-559))) ((|#2| (-410 $) |#2|) NIL (|has| |#2| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#2| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#2| (-173))) ((|#2| $) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-2284 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-1077)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#2| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#2| (-559)))) (-3956 (((-852) $) 13) (($ (-569)) NIL) (($ |#2|) 26) (($ (-1077)) NIL) (($ (-1249 |#1|)) 20) (($ (-955 |#2|)) 34) (($ (-1165)) 18) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) 14 T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-736 |#1| |#2|) (-13 (-1228 |#2|) (-10 -8 (-6 (-1039 (-1165))) (-15 -3956 ($ (-1249 |#1|))) (-15 -4259 ($ $ (-765) |#2| $)) (IF (|has| |#2| (-15 -3132 ((-1161 |#2|) |#2| (-1165)))) (-15 -3956 ($ |#2|)) |noBranch|) (-15 -3956 ($ (-955 |#2|))))) (-1165) (-1049)) (T -736)) 
-((-3956 (*1 *1 *2) (-12 (-5 *1 (-736 *3 *2)) (-14 *3 (-1165)) (-4 *2 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-736 *3 *4)) (-4 *4 (-1049)))) (-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-736 *4 *3)) (-14 *4 (-1165)) (-4 *3 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-955 *4)) (-4 *4 (-1049)) (-5 *1 (-736 *3 *4)) (-14 *3 (-1165))))) 
-(-13 (-1228 |#2|) (-10 -8 (-6 (-1039 (-1165))) (-15 -3956 ($ (-1249 |#1|))) (-15 -4259 ($ $ (-765) |#2| $)) (IF (|has| |#2| (-15 -3132 ((-1161 |#2|) |#2| (-1165)))) (-15 -3956 ($ |#2|)) |noBranch|) (-15 -3956 ($ (-955 |#2|))))) 
-((-2073 (($ $ (-919)) 12))) 
-(((-737 |#1| |#2|) (-10 -8 (-15 -2073 (|#1| |#1| (-919)))) (-738 |#2|) (-173)) (T -737)) 
-NIL 
-(-10 -8 (-15 -2073 (|#1| |#1| (-919)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-4382 (($ $ (-919)) 27)) (-2073 (($ $ (-919)) 32)) (-2846 (($ $ (-919)) 28)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2689 (($ $ $) 24)) (-3956 (((-852) $) 11)) (-4379 (($ $ $ $) 25)) (-3924 (($ $ $) 23)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 29)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-738 |#1|) (-1284) (-173)) (T -738)) 
-((-2073 (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-738 *3)) (-4 *3 (-173))))) 
-(-13 (-755) (-709 |t#1|) (-10 -8 (-15 -2073 ($ $ (-919))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-709 |#1|) . T) ((-712) . T) ((-755) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
-((-3269 (((-1037) (-681 (-216)) (-569) (-121) (-569)) 24)) (-3276 (((-1037) (-681 (-216)) (-569) (-121) (-569)) 23))) 
-(((-739) (-10 -7 (-15 -3276 ((-1037) (-681 (-216)) (-569) (-121) (-569))) (-15 -3269 ((-1037) (-681 (-216)) (-569) (-121) (-569))))) (T -739)) 
-((-3269 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-739)))) (-3276 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-739))))) 
-(-10 -7 (-15 -3276 ((-1037) (-681 (-216)) (-569) (-121) (-569))) (-15 -3269 ((-1037) (-681 (-216)) (-569) (-121) (-569)))) 
-((-3290 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) 43)) (-2274 (((-1037) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) 39)) (-2280 (((-1037) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) 32))) 
-(((-740) (-10 -7 (-15 -2280 ((-1037) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2274 ((-1037) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN))))) (-15 -3290 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN))))))) (T -740)) 
-((-3290 (*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1037)) (-5 *1 (-740)))) (-2274 (*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1037)) (-5 *1 (-740)))) (-2280 (*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-740))))) 
-(-10 -7 (-15 -2280 ((-1037) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2274 ((-1037) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN))))) (-15 -3290 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))))) 
-((-2286 (((-1037) (-569) (-569) (-681 (-216)) (-569)) 33)) (-2292 (((-1037) (-569) (-569) (-681 (-216)) (-569)) 32)) (-2299 (((-1037) (-569) (-681 (-216)) (-569)) 31)) (-2305 (((-1037) (-569) (-681 (-216)) (-569)) 30)) (-2311 (((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 29)) (-2317 (((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 28)) (-2323 (((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569)) 27)) (-2329 (((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569)) 26)) (-2335 (((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 23)) (-2341 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569)) 22)) (-2347 (((-1037) (-569) (-681 (-216)) (-569)) 21)) (-2353 (((-1037) (-569) (-681 (-216)) (-569)) 20))) 
-(((-741) (-10 -7 (-15 -2353 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2347 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2341 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2335 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2329 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2323 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2317 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2311 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2305 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2299 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2292 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -2286 ((-1037) (-569) (-569) (-681 (-216)) (-569))))) (T -741)) 
-((-2286 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2292 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2299 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2305 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2311 (*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2317 (*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2323 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2329 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2335 (*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2341 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2347 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2353 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(-10 -7 (-15 -2353 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2347 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2341 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2335 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2329 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2323 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2317 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2311 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2305 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2299 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2292 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -2286 ((-1037) (-569) (-569) (-681 (-216)) (-569)))) 
-((-3458 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) 52)) (-3464 (((-1037) (-681 (-216)) (-681 (-216)) (-569) (-569)) 51)) (-3471 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) 50)) (-3477 (((-1037) (-216) (-216) (-569) (-569) (-569) (-569)) 46)) (-3482 (((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 45)) (-2531 (((-1037) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 44)) (-2543 (((-1037) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 43)) (-2558 (((-1037) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 42)) (-2565 (((-1037) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) 38)) (-2571 (((-1037) (-216) (-216) (-569) (-681 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) 37)) (-2584 (((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) 33)) (-2597 (((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) 32))) 
-(((-742) (-10 -7 (-15 -2597 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2584 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2571 ((-1037) (-216) (-216) (-569) (-681 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2565 ((-1037) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2558 ((-1037) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -2543 ((-1037) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -2531 ((-1037) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3482 ((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3477 ((-1037) (-216) (-216) (-569) (-569) (-569) (-569))) (-15 -3471 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))) (-15 -3464 ((-1037) (-681 (-216)) (-681 (-216)) (-569) (-569))) (-15 -3458 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))))) (T -742)) 
-((-3458 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-3464 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-742)))) (-3471 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-3477 (*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-742)))) (-3482 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2531 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2543 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2558 (*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2565 (*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2571 (*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2584 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2597 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(-10 -7 (-15 -2597 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2584 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2571 ((-1037) (-216) (-216) (-569) (-681 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2565 ((-1037) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2558 ((-1037) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -2543 ((-1037) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -2531 ((-1037) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3482 ((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3477 ((-1037) (-216) (-216) (-569) (-569) (-569) (-569))) (-15 -3471 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))) (-15 -3464 ((-1037) (-681 (-216)) (-681 (-216)) (-569) (-569))) (-15 -3458 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))))) 
-((-3495 (((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) 76)) (-3501 (((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391)) 69) (((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) 68)) (-3508 (((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) 57)) (-3514 (((-1037) (-681 (-216)) (-681 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) 50)) (-3521 (((-1037) (-216) (-569) (-569) (-1147) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 49)) (-2142 (((-1037) (-216) (-569) (-569) (-216) (-1147) (-216) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 45)) (-2148 (((-1037) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) 42)) (-2154 (((-1037) (-216) (-569) (-569) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 38))) 
-(((-743) (-10 -7 (-15 -2154 ((-1037) (-216) (-569) (-569) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -2148 ((-1037) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -2142 ((-1037) (-216) (-569) (-569) (-216) (-1147) (-216) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3521 ((-1037) (-216) (-569) (-569) (-1147) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3514 ((-1037) (-681 (-216)) (-681 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3508 ((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG))))) (-15 -3501 ((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))))) (-15 -3501 ((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391))) (-15 -3495 ((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP))))))) (T -743)) 
-((-3495 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-3501 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-391)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-3501 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1037)) (-5 *1 (-743)))) (-3508 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-3514 (*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1037)) (-5 *1 (-743)))) (-3521 (*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-2142 (*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-2148 (*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-2154 (*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
-(-10 -7 (-15 -2154 ((-1037) (-216) (-569) (-569) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -2148 ((-1037) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -2142 ((-1037) (-216) (-569) (-569) (-216) (-1147) (-216) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3521 ((-1037) (-216) (-569) (-569) (-1147) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3514 ((-1037) (-681 (-216)) (-681 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3508 ((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG))))) (-15 -3501 ((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))))) (-15 -3501 ((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391))) (-15 -3495 ((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))))) 
-((-2186 (((-1037) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569)) 45)) (-2192 (((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1147) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) 41)) (-2199 (((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 23))) 
-(((-744) (-10 -7 (-15 -2199 ((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2192 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1147) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY))))) (-15 -2186 ((-1037) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569))))) (T -744)) 
-((-2186 (*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-667 (-216))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-744)))) (-2192 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1037)) (-5 *1 (-744)))) (-2199 (*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-744))))) 
-(-10 -7 (-15 -2199 ((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2192 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1147) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY))))) (-15 -2186 ((-1037) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569)))) 
-((-3560 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-681 (-216)) (-216) (-216) (-569)) 35)) (-3317 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-216) (-216) (-569)) 34)) (-3218 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-681 (-216)) (-216) (-216) (-569)) 33)) (-3323 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 29)) (-3329 (((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 28)) (-3334 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569)) 27)) (-3340 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569)) 23)) (-3346 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569)) 22)) (-3351 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569)) 21)) (-3356 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569)) 20))) 
-(((-745) (-10 -7 (-15 -3356 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569))) (-15 -3351 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3346 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -3340 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -3334 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569))) (-15 -3329 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3323 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3218 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-681 (-216)) (-216) (-216) (-569))) (-15 -3317 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-216) (-216) (-569))) (-15 -3560 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-681 (-216)) (-216) (-216) (-569))))) (T -745)) 
-((-3560 (*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3317 (*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3218 (*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3323 (*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3329 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3334 (*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3340 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3346 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3351 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3356 (*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(-10 -7 (-15 -3356 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569))) (-15 -3351 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3346 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -3340 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -3334 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569))) (-15 -3329 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3323 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3218 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-681 (-216)) (-216) (-216) (-569))) (-15 -3317 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-216) (-216) (-569))) (-15 -3560 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-681 (-216)) (-216) (-216) (-569)))) 
-((-3361 (((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569)) 45)) (-3365 (((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-569)) 44)) (-3371 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569)) 43)) (-3377 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 42)) (-3383 (((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569)) 41)) (-3388 (((-1037) (-1147) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569)) 40)) (-3395 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569) (-569) (-569) (-216) (-681 (-216)) (-569)) 39)) (-3401 (((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569))) 38)) (-3406 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569)) 35)) (-1683 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569)) 34)) (-1689 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569)) 33)) (-1695 (((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 32)) (-1701 (((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569)) 31)) (-1708 (((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-569)) 30)) (-2160 (((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-569) (-569) (-569)) 29)) (-2517 (((-1037) (-569) (-569) (-569) (-216) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-569)) (-569) (-569) (-569)) 28)) (-3255 (((-1037) (-569) (-681 (-216)) (-216) (-569)) 24)) (-3283 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 20))) 
-(((-746) (-10 -7 (-15 -3283 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3255 ((-1037) (-569) (-681 (-216)) (-216) (-569))) (-15 -2517 ((-1037) (-569) (-569) (-569) (-216) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-569)) (-569) (-569) (-569))) (-15 -2160 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -1708 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-569))) (-15 -1701 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569))) (-15 -1695 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1689 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569))) (-15 -1683 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569))) (-15 -3406 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3401 ((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569)))) (-15 -3395 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569) (-569) (-569) (-216) (-681 (-216)) (-569))) (-15 -3388 ((-1037) (-1147) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569))) (-15 -3383 ((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3377 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3371 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569))) (-15 -3365 ((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3361 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569))))) (T -746)) 
-((-3361 (*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3365 (*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3371 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3377 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3383 (*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3388 (*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3395 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3401 (*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3406 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746)))) (-1683 (*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-1689 (*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-1695 (*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746)))) (-1701 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-1708 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-2160 (*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-2517 (*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3255 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3283 (*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(-10 -7 (-15 -3283 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3255 ((-1037) (-569) (-681 (-216)) (-216) (-569))) (-15 -2517 ((-1037) (-569) (-569) (-569) (-216) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-569)) (-569) (-569) (-569))) (-15 -2160 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -1708 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-569))) (-15 -1701 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569))) (-15 -1695 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1689 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569))) (-15 -1683 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569))) (-15 -3406 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3401 ((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569)))) (-15 -3395 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569) (-569) (-569) (-216) (-681 (-216)) (-569))) (-15 -3388 ((-1037) (-1147) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569))) (-15 -3383 ((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3377 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3371 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569))) (-15 -3365 ((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3361 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569)))) 
-((-1714 (((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-569) (-681 (-216)) (-569)) 63)) (-1720 (((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) 62)) (-1726 (((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-121) (-121) (-569) (-569) (-681 (-216)) (-681 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) 58)) (-1732 (((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-569) (-569) (-681 (-216)) (-569)) 51)) (-1739 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) 50)) (-1745 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) 46)) (-1751 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) 42)) (-1757 (((-1037) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) 38))) 
-(((-747) (-10 -7 (-15 -1757 ((-1037) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -1751 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1))))) (-15 -1745 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2))))) (-15 -1739 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1))))) (-15 -1732 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-569) (-569) (-681 (-216)) (-569))) (-15 -1726 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-121) (-121) (-569) (-569) (-681 (-216)) (-681 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS))))) (-15 -1720 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -1714 ((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-569) (-681 (-216)) (-569))))) (T -747)) 
-((-1714 (*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1720 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1726 (*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-681 (-216))) (-5 *6 (-121)) (-5 *7 (-681 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1732 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1739 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1745 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1751 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1757 (*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
-(-10 -7 (-15 -1757 ((-1037) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -1751 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1))))) (-15 -1745 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2))))) (-15 -1739 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1))))) (-15 -1732 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-569) (-569) (-681 (-216)) (-569))) (-15 -1726 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-121) (-121) (-569) (-569) (-681 (-216)) (-681 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS))))) (-15 -1720 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -1714 ((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-569) (-681 (-216)) (-569)))) 
-((-1764 (((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569)) 46)) (-1770 (((-1037) (-1147) (-1147) (-569) (-569) (-681 (-170 (-216))) (-569) (-681 (-170 (-216))) (-569) (-569) (-681 (-170 (-216))) (-569)) 45)) (-1778 (((-1037) (-569) (-569) (-569) (-681 (-170 (-216))) (-569)) 44)) (-1784 (((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 40)) (-1791 (((-1037) (-1147) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-681 (-216)) (-569)) 39)) (-1798 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-569)) 36)) (-1805 (((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569)) 35)) (-1812 (((-1037) (-569) (-569) (-569) (-569) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-216) (-216) (-569)) 34)) (-1819 (((-1037) (-569) (-569) (-569) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-121) (-216) (-121) (-681 (-569)) (-681 (-216)) (-569)) 33)) (-1826 (((-1037) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-569)) 32))) 
-(((-748) (-10 -7 (-15 -1826 ((-1037) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-569))) (-15 -1819 ((-1037) (-569) (-569) (-569) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-121) (-216) (-121) (-681 (-569)) (-681 (-216)) (-569))) (-15 -1812 ((-1037) (-569) (-569) (-569) (-569) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-216) (-216) (-569))) (-15 -1805 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569))) (-15 -1798 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-569))) (-15 -1791 ((-1037) (-1147) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-681 (-216)) (-569))) (-15 -1784 ((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1778 ((-1037) (-569) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -1770 ((-1037) (-1147) (-1147) (-569) (-569) (-681 (-170 (-216))) (-569) (-681 (-170 (-216))) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -1764 ((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569))))) (T -748)) 
-((-1764 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1770 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1778 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1784 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1791 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1798 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1805 (*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1812 (*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-635 (-121))) (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *7 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1819 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-681 (-569))) (-5 *5 (-121)) (-5 *7 (-681 (-216))) (-5 *3 (-569)) (-5 *6 (-216)) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1826 (*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-635 (-121))) (-5 *7 (-681 (-216))) (-5 *8 (-681 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(-10 -7 (-15 -1826 ((-1037) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-569))) (-15 -1819 ((-1037) (-569) (-569) (-569) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-121) (-216) (-121) (-681 (-569)) (-681 (-216)) (-569))) (-15 -1812 ((-1037) (-569) (-569) (-569) (-569) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-216) (-216) (-569))) (-15 -1805 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569))) (-15 -1798 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-569))) (-15 -1791 ((-1037) (-1147) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-681 (-216)) (-569))) (-15 -1784 ((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1778 ((-1037) (-569) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -1770 ((-1037) (-1147) (-1147) (-569) (-569) (-681 (-170 (-216))) (-569) (-681 (-170 (-216))) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -1764 ((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569)))) 
-((-2809 (((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569)) 64)) (-2815 (((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569)) 60)) (-2821 (((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391)) 56) (((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) 55)) (-2828 (((-1037) (-569) (-569) (-569) (-216) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569)) 37)) (-2835 (((-1037) (-569) (-569) (-216) (-216) (-569) (-569) (-681 (-216)) (-569)) 33)) (-2841 (((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569) (-569)) 29)) (-1490 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 28)) (-1496 (((-1037) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 27)) (-1503 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 26)) (-1509 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569)) 25)) (-1520 (((-1037) (-569) (-569) (-681 (-216)) (-569)) 24)) (-1526 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 23)) (-1532 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 22)) (-1538 (((-1037) (-681 (-216)) (-569) (-569) (-569) (-569)) 21)) (-1544 (((-1037) (-569) (-569) (-681 (-216)) (-569)) 20))) 
-(((-749) (-10 -7 (-15 -1544 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -1538 ((-1037) (-681 (-216)) (-569) (-569) (-569) (-569))) (-15 -1532 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1526 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1520 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -1509 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569))) (-15 -1503 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1496 ((-1037) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1490 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2841 ((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2835 ((-1037) (-569) (-569) (-216) (-216) (-569) (-569) (-681 (-216)) (-569))) (-15 -2828 ((-1037) (-569) (-569) (-569) (-216) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2821 ((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))))) (-15 -2821 ((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391))) (-15 -2815 ((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2809 ((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569))))) (T -749)) 
-((-2809 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2815 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2821 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-391)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2821 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2828 (*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2835 (*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2841 (*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1490 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1496 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1503 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1509 (*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1520 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1526 (*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1532 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1538 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1544 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(-10 -7 (-15 -1544 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -1538 ((-1037) (-681 (-216)) (-569) (-569) (-569) (-569))) (-15 -1532 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1526 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1520 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -1509 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569))) (-15 -1503 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1496 ((-1037) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1490 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2841 ((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2835 ((-1037) (-569) (-569) (-216) (-216) (-569) (-569) (-681 (-216)) (-569))) (-15 -2828 ((-1037) (-569) (-569) (-569) (-216) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2821 ((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))))) (-15 -2821 ((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391))) (-15 -2815 ((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2809 ((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569)))) 
-((-2639 (((-1037) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) 60)) (-2645 (((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569)) 56)) (-2652 (((-1037) (-569) (-681 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) 55)) (-2660 (((-1037) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569)) 36)) (-2666 (((-1037) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-569)) 35)) (-2672 (((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 31)) (-2680 (((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216))) 30)) (-2687 (((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569)) 26)) (-2695 (((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569)) 25)) (-2707 (((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569)) 24)) (-2717 (((-1037) (-569) (-681 (-170 (-216))) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-569)) 20))) 
-(((-750) (-10 -7 (-15 -2717 ((-1037) (-569) (-681 (-170 (-216))) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -2707 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -2695 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -2687 ((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569))) (-15 -2680 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216)))) (-15 -2672 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2666 ((-1037) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2660 ((-1037) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569))) (-15 -2652 ((-1037) (-569) (-681 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE))))) (-15 -2645 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569))) (-15 -2639 ((-1037) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD))))))) (T -750)) 
-((-2639 (*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2645 (*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2652 (*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2660 (*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2666 (*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2672 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2680 (*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2687 (*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2695 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2707 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2717 (*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(-10 -7 (-15 -2717 ((-1037) (-569) (-681 (-170 (-216))) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -2707 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -2695 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -2687 ((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569))) (-15 -2680 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216)))) (-15 -2672 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2666 ((-1037) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2660 ((-1037) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569))) (-15 -2652 ((-1037) (-569) (-681 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE))))) (-15 -2645 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569))) (-15 -2639 ((-1037) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))))) 
-((-2758 (((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-569) (-681 (-216))) 28)) (-2764 (((-1037) (-1147) (-569) (-569) (-681 (-216))) 27)) (-2770 (((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-216))) 26)) (-2777 (((-1037) (-569) (-569) (-569) (-681 (-216))) 20))) 
-(((-751) (-10 -7 (-15 -2777 ((-1037) (-569) (-569) (-569) (-681 (-216)))) (-15 -2770 ((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-216)))) (-15 -2764 ((-1037) (-1147) (-569) (-569) (-681 (-216)))) (-15 -2758 ((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-569) (-681 (-216)))))) (T -751)) 
-((-2758 (*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751)))) (-2764 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751)))) (-2770 (*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-751)))) (-2777 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751))))) 
-(-10 -7 (-15 -2777 ((-1037) (-569) (-569) (-569) (-681 (-216)))) (-15 -2770 ((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-216)))) (-15 -2764 ((-1037) (-1147) (-569) (-569) (-681 (-216)))) (-15 -2758 ((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-569) (-681 (-216))))) 
-((-2484 (((-1037) (-216) (-216) (-216) (-216) (-569)) 62)) (-2490 (((-1037) (-216) (-216) (-216) (-569)) 61)) (-2496 (((-1037) (-216) (-216) (-216) (-569)) 60)) (-2502 (((-1037) (-216) (-216) (-569)) 59)) (-2509 (((-1037) (-216) (-569)) 58)) (-2524 (((-1037) (-216) (-569)) 57)) (-2537 (((-1037) (-216) (-569)) 56)) (-2551 (((-1037) (-216) (-569)) 55)) (-2577 (((-1037) (-216) (-569)) 54)) (-2591 (((-1037) (-216) (-569)) 53)) (-2603 (((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569)) 52)) (-2609 (((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569)) 51)) (-2615 (((-1037) (-216) (-569)) 50)) (-2621 (((-1037) (-216) (-569)) 49)) (-2626 (((-1037) (-216) (-569)) 48)) (-2633 (((-1037) (-216) (-569)) 47)) (-2790 (((-1037) (-569) (-216) (-170 (-216)) (-569) (-1147) (-569)) 46)) (-2797 (((-1037) (-1147) (-170 (-216)) (-1147) (-569)) 45)) (-2803 (((-1037) (-1147) (-170 (-216)) (-1147) (-569)) 44)) (-2359 (((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569)) 43)) (-2366 (((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569)) 42)) (-2372 (((-1037) (-216) (-569)) 39)) (-2378 (((-1037) (-216) (-569)) 38)) (-2385 (((-1037) (-216) (-569)) 37)) (-2391 (((-1037) (-216) (-569)) 36)) (-2398 (((-1037) (-216) (-569)) 35)) (-2404 (((-1037) (-216) (-569)) 34)) (-2411 (((-1037) (-216) (-569)) 33)) (-2419 (((-1037) (-216) (-569)) 32)) (-2426 (((-1037) (-216) (-569)) 31)) (-2432 (((-1037) (-216) (-569)) 30)) (-2438 (((-1037) (-216) (-216) (-216) (-569)) 29)) (-2445 (((-1037) (-216) (-569)) 28)) (-2452 (((-1037) (-216) (-569)) 27)) (-2458 (((-1037) (-216) (-569)) 26)) (-2464 (((-1037) (-216) (-569)) 25)) (-2470 (((-1037) (-216) (-569)) 24)) (-2478 (((-1037) (-170 (-216)) (-569)) 20))) 
-(((-752) (-10 -7 (-15 -2478 ((-1037) (-170 (-216)) (-569))) (-15 -2470 ((-1037) (-216) (-569))) (-15 -2464 ((-1037) (-216) (-569))) (-15 -2458 ((-1037) (-216) (-569))) (-15 -2452 ((-1037) (-216) (-569))) (-15 -2445 ((-1037) (-216) (-569))) (-15 -2438 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2432 ((-1037) (-216) (-569))) (-15 -2426 ((-1037) (-216) (-569))) (-15 -2419 ((-1037) (-216) (-569))) (-15 -2411 ((-1037) (-216) (-569))) (-15 -2404 ((-1037) (-216) (-569))) (-15 -2398 ((-1037) (-216) (-569))) (-15 -2391 ((-1037) (-216) (-569))) (-15 -2385 ((-1037) (-216) (-569))) (-15 -2378 ((-1037) (-216) (-569))) (-15 -2372 ((-1037) (-216) (-569))) (-15 -2366 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2359 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2803 ((-1037) (-1147) (-170 (-216)) (-1147) (-569))) (-15 -2797 ((-1037) (-1147) (-170 (-216)) (-1147) (-569))) (-15 -2790 ((-1037) (-569) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2633 ((-1037) (-216) (-569))) (-15 -2626 ((-1037) (-216) (-569))) (-15 -2621 ((-1037) (-216) (-569))) (-15 -2615 ((-1037) (-216) (-569))) (-15 -2609 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2603 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2591 ((-1037) (-216) (-569))) (-15 -2577 ((-1037) (-216) (-569))) (-15 -2551 ((-1037) (-216) (-569))) (-15 -2537 ((-1037) (-216) (-569))) (-15 -2524 ((-1037) (-216) (-569))) (-15 -2509 ((-1037) (-216) (-569))) (-15 -2502 ((-1037) (-216) (-216) (-569))) (-15 -2496 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2490 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2484 ((-1037) (-216) (-216) (-216) (-216) (-569))))) (T -752)) 
-((-2484 (*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2490 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2496 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2502 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2509 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2524 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2537 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2551 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2577 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2591 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2603 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2609 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2615 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2621 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2626 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2633 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2790 (*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-170 (-216))) (-5 *6 (-1147)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2797 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2803 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2359 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2366 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2372 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2378 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2385 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2391 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2398 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2404 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2411 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2419 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2426 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2432 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2438 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2445 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2452 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2458 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2464 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2470 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2478 (*1 *2 *3 *4) (-12 (-5 *3 (-170 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(-10 -7 (-15 -2478 ((-1037) (-170 (-216)) (-569))) (-15 -2470 ((-1037) (-216) (-569))) (-15 -2464 ((-1037) (-216) (-569))) (-15 -2458 ((-1037) (-216) (-569))) (-15 -2452 ((-1037) (-216) (-569))) (-15 -2445 ((-1037) (-216) (-569))) (-15 -2438 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2432 ((-1037) (-216) (-569))) (-15 -2426 ((-1037) (-216) (-569))) (-15 -2419 ((-1037) (-216) (-569))) (-15 -2411 ((-1037) (-216) (-569))) (-15 -2404 ((-1037) (-216) (-569))) (-15 -2398 ((-1037) (-216) (-569))) (-15 -2391 ((-1037) (-216) (-569))) (-15 -2385 ((-1037) (-216) (-569))) (-15 -2378 ((-1037) (-216) (-569))) (-15 -2372 ((-1037) (-216) (-569))) (-15 -2366 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2359 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2803 ((-1037) (-1147) (-170 (-216)) (-1147) (-569))) (-15 -2797 ((-1037) (-1147) (-170 (-216)) (-1147) (-569))) (-15 -2790 ((-1037) (-569) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2633 ((-1037) (-216) (-569))) (-15 -2626 ((-1037) (-216) (-569))) (-15 -2621 ((-1037) (-216) (-569))) (-15 -2615 ((-1037) (-216) (-569))) (-15 -2609 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2603 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2591 ((-1037) (-216) (-569))) (-15 -2577 ((-1037) (-216) (-569))) (-15 -2551 ((-1037) (-216) (-569))) (-15 -2537 ((-1037) (-216) (-569))) (-15 -2524 ((-1037) (-216) (-569))) (-15 -2509 ((-1037) (-216) (-569))) (-15 -2502 ((-1037) (-216) (-216) (-569))) (-15 -2496 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2490 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2484 ((-1037) (-216) (-216) (-216) (-216) (-569)))) 
-((-4545 (((-1258)) 18)) (-1968 (((-1147)) 22)) (-1963 (((-1147)) 21)) (-1765 (((-1097) (-1165) (-681 (-569))) 35) (((-1097) (-1165) (-681 (-216))) 31)) (-3130 (((-121)) 16)) (-4336 (((-1147) (-1147)) 25))) 
-(((-753) (-10 -7 (-15 -1963 ((-1147))) (-15 -1968 ((-1147))) (-15 -4336 ((-1147) (-1147))) (-15 -1765 ((-1097) (-1165) (-681 (-216)))) (-15 -1765 ((-1097) (-1165) (-681 (-569)))) (-15 -3130 ((-121))) (-15 -4545 ((-1258))))) (T -753)) 
-((-4545 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-753)))) (-3130 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-753)))) (-1765 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-681 (-569))) (-5 *2 (-1097)) (-5 *1 (-753)))) (-1765 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-681 (-216))) (-5 *2 (-1097)) (-5 *1 (-753)))) (-4336 (*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753)))) (-1968 (*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753)))) (-1963 (*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753))))) 
-(-10 -7 (-15 -1963 ((-1147))) (-15 -1968 ((-1147))) (-15 -4336 ((-1147) (-1147))) (-15 -1765 ((-1097) (-1165) (-681 (-216)))) (-15 -1765 ((-1097) (-1165) (-681 (-569)))) (-15 -3130 ((-121))) (-15 -4545 ((-1258)))) 
-((-2689 (($ $ $) 10)) (-4379 (($ $ $ $) 9)) (-3924 (($ $ $) 12))) 
-(((-754 |#1|) (-10 -8 (-15 -3924 (|#1| |#1| |#1|)) (-15 -2689 (|#1| |#1| |#1|)) (-15 -4379 (|#1| |#1| |#1| |#1|))) (-755)) (T -754)) 
-NIL 
-(-10 -8 (-15 -3924 (|#1| |#1| |#1|)) (-15 -2689 (|#1| |#1| |#1|)) (-15 -4379 (|#1| |#1| |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-4382 (($ $ (-919)) 27)) (-2846 (($ $ (-919)) 28)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2689 (($ $ $) 24)) (-3956 (((-852) $) 11)) (-4379 (($ $ $ $) 25)) (-3924 (($ $ $) 23)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 29)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 26))) 
-(((-755) (-1284)) (T -755)) 
-((-4379 (*1 *1 *1 *1 *1) (-4 *1 (-755))) (-2689 (*1 *1 *1 *1) (-4 *1 (-755))) (-3924 (*1 *1 *1 *1) (-4 *1 (-755)))) 
-(-13 (-21) (-712) (-10 -8 (-15 -4379 ($ $ $ $)) (-15 -2689 ($ $ $)) (-15 -3924 ($ $ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-712) . T) ((-1093) . T)) 
-((-3956 (((-852) $) NIL) (($ (-569)) 10))) 
-(((-756 |#1|) (-10 -8 (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-757)) (T -756)) 
-NIL 
-(-10 -8 (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-4174 (((-3 $ "failed") $) 39)) (-4382 (($ $ (-919)) 27) (($ $ (-765)) 34)) (-2611 (((-3 $ "failed") $) 37)) (-3934 (((-121) $) 33)) (-2983 (((-3 $ "failed") $) 38)) (-2846 (($ $ (-919)) 28) (($ $ (-765)) 35)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2689 (($ $ $) 24)) (-3956 (((-852) $) 11) (($ (-569)) 30)) (-2320 (((-765)) 31)) (-4379 (($ $ $ $) 25)) (-3924 (($ $ $) 23)) (-2407 (($) 17 T CONST)) (-3297 (($) 32 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 29) (($ $ (-765)) 36)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 26))) 
-(((-757) (-1284)) (T -757)) 
-((-2320 (*1 *2) (-12 (-4 *1 (-757)) (-5 *2 (-765)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-757))))) 
-(-13 (-755) (-714) (-10 -8 (-15 -2320 ((-765))) (-15 -3956 ($ (-569))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-712) . T) ((-714) . T) ((-755) . T) ((-1093) . T)) 
-((-2704 (((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 (-170 |#1|)))))) (-681 (-170 (-410 (-569)))) |#1|) 27)) (-4019 (((-635 (-170 |#1|)) (-681 (-170 (-410 (-569)))) |#1|) 19)) (-3033 (((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569)))) (-1165)) 16) (((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569))))) 15))) 
-(((-758 |#1|) (-10 -7 (-15 -3033 ((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569)))))) (-15 -3033 ((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569)))) (-1165))) (-15 -4019 ((-635 (-170 |#1|)) (-681 (-170 (-410 (-569)))) |#1|)) (-15 -2704 ((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 (-170 |#1|)))))) (-681 (-170 (-410 (-569)))) |#1|))) (-13 (-366) (-842))) (T -758)) 
-((-2704 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |outval| (-170 *4)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 (-170 *4))))))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842))))) (-4019 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842))))) (-3033 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *4 (-1165)) (-5 *2 (-955 (-170 (-410 (-569))))) (-5 *1 (-758 *5)) (-4 *5 (-13 (-366) (-842))))) (-3033 (*1 *2 *3) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-955 (-170 (-410 (-569))))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842)))))) 
-(-10 -7 (-15 -3033 ((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569)))))) (-15 -3033 ((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569)))) (-1165))) (-15 -4019 ((-635 (-170 |#1|)) (-681 (-170 (-410 (-569)))) |#1|)) (-15 -2704 ((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 (-170 |#1|)))))) (-681 (-170 (-410 (-569)))) |#1|))) 
-((-2914 (((-174 (-569)) |#1|) 25))) 
-(((-759 |#1|) (-10 -7 (-15 -2914 ((-174 (-569)) |#1|))) (-407)) (T -759)) 
-((-2914 (*1 *2 *3) (-12 (-5 *2 (-174 (-569))) (-5 *1 (-759 *3)) (-4 *3 (-407))))) 
-(-10 -7 (-15 -2914 ((-174 (-569)) |#1|))) 
-((-3602 ((|#1| |#1| |#1|) 24)) (-2807 ((|#1| |#1| |#1|) 23)) (-3262 ((|#1| |#1| |#1|) 31)) (-3336 ((|#1| |#1| |#1|) 27)) (-2336 (((-3 |#1| "failed") |#1| |#1|) 26)) (-3843 (((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|) 22))) 
-(((-760 |#1| |#2|) (-10 -7 (-15 -3843 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2807 (|#1| |#1| |#1|)) (-15 -3602 (|#1| |#1| |#1|)) (-15 -2336 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3336 (|#1| |#1| |#1|)) (-15 -3262 (|#1| |#1| |#1|))) (-700 |#2|) (-366)) (T -760)) 
-((-3262 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) (-3336 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) (-2336 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) (-3602 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) (-2807 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) (-3843 (*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-760 *3 *4)) (-4 *3 (-700 *4))))) 
-(-10 -7 (-15 -3843 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2807 (|#1| |#1| |#1|)) (-15 -3602 (|#1| |#1| |#1|)) (-15 -2336 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3336 (|#1| |#1| |#1|)) (-15 -3262 (|#1| |#1| |#1|))) 
-((-3865 (((-1161 |#1|) (-635 |#1|)) 25))) 
-(((-761 |#1|) (-10 -7 (-15 -3865 ((-1161 |#1|) (-635 |#1|)))) (-559)) (T -761)) 
-((-3865 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-559)) (-5 *2 (-1161 *4)) (-5 *1 (-761 *4))))) 
-(-10 -7 (-15 -3865 ((-1161 |#1|) (-635 |#1|)))) 
-((-4356 (((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569)))) (-569)) 58)) (-1629 (((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569))))) 56)) (-2925 (((-569)) 68))) 
-(((-762 |#1| |#2|) (-10 -7 (-15 -2925 ((-569))) (-15 -1629 ((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569)))))) (-15 -4356 ((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569)))) (-569)))) (-1228 (-569)) (-412 (-569) |#1|)) (T -762)) 
-((-4356 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-762 *4 *5)) (-4 *5 (-412 *3 *4)))) (-1629 (*1 *2) (-12 (-4 *3 (-1228 (-569))) (-5 *2 (-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569))))) (-5 *1 (-762 *3 *4)) (-4 *4 (-412 (-569) *3)))) (-2925 (*1 *2) (-12 (-4 *3 (-1228 *2)) (-5 *2 (-569)) (-5 *1 (-762 *3 *4)) (-4 *4 (-412 *2 *3))))) 
-(-10 -7 (-15 -2925 ((-569))) (-15 -1629 ((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569)))))) (-15 -4356 ((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569)))) (-569)))) 
-((-1310 (((-121) $ $) NIL)) (-1321 (((-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $) 15)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 14) (($ (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 8) (($ (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 10) (($ (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 12)) (-1326 (((-121) $ $) NIL))) 
-(((-763) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $))))) (T -763)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-763)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-763)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-763)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-763)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-763))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $)))) 
-((-3089 (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|))) 14) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165))) 13)) (-2880 (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|))) 16) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165))) 15))) 
-(((-764 |#1|) (-10 -7 (-15 -3089 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -3089 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|))))) (-559)) (T -764)) 
-((-2880 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-764 *4)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-764 *5)))) (-3089 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-764 *4)))) (-3089 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-764 *5))))) 
-(-10 -7 (-15 -3089 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -3089 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4288 (($ $ $) 6)) (-3748 (((-3 $ "failed") $ $) 9)) (-2546 (($ $ (-569)) 7)) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($ $) NIL)) (-1626 (($ $ $) NIL)) (-3934 (((-121) $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3964 (($ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3956 (((-852) $) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ (-765) $) NIL) (($ (-919) $) NIL) (($ $ $) NIL))) 
-(((-765) (-13 (-790) (-718) (-10 -8 (-15 -1626 ($ $ $)) (-15 -1614 ($ $ $)) (-15 -3964 ($ $ $)) (-15 -3135 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -1436 ((-3 $ "failed") $ $)) (-15 -2546 ($ $ (-569))) (-15 -3341 ($ $)) (-6 (-4573 "*"))))) (T -765)) 
-((-1626 (*1 *1 *1 *1) (-5 *1 (-765))) (-1614 (*1 *1 *1 *1) (-5 *1 (-765))) (-3964 (*1 *1 *1 *1) (-5 *1 (-765))) (-3135 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3483 (-765)) (|:| -3028 (-765)))) (-5 *1 (-765)))) (-1436 (*1 *1 *1 *1) (|partial| -5 *1 (-765))) (-2546 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-765)))) (-3341 (*1 *1 *1) (-5 *1 (-765)))) 
-(-13 (-790) (-718) (-10 -8 (-15 -1626 ($ $ $)) (-15 -1614 ($ $ $)) (-15 -3964 ($ $ $)) (-15 -3135 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -1436 ((-3 $ "failed") $ $)) (-15 -2546 ($ $ (-569))) (-15 -3341 ($ $)) (-6 (-4573 "*")))) 
-((-2880 (((-3 |#2| "failed") |#2| |#2| (-123) (-1165)) 35))) 
-(((-766 |#1| |#2|) (-10 -7 (-15 -2880 ((-3 |#2| "failed") |#2| |#2| (-123) (-1165)))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1185) (-961))) (T -766)) 
-((-2880 (*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-766 *5 *2)) (-4 *2 (-13 (-29 *5) (-1185) (-961)))))) 
-(-10 -7 (-15 -2880 ((-3 |#2| "failed") |#2| |#2| (-123) (-1165)))) 
-((-3956 (((-768) |#1|) 8))) 
-(((-767 |#1|) (-10 -7 (-15 -3956 ((-768) |#1|))) (-1199)) (T -767)) 
-((-3956 (*1 *2 *3) (-12 (-5 *2 (-768)) (-5 *1 (-767 *3)) (-4 *3 (-1199))))) 
-(-10 -7 (-15 -3956 ((-768) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 7)) (-1326 (((-121) $ $) 9))) 
-(((-768) (-1093)) (T -768)) 
-NIL 
-(-1093) 
-((-3046 ((|#2| |#4|) 35))) 
-(((-769 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3046 (|#2| |#4|))) (-454) (-1228 |#1|) (-716 |#1| |#2|) (-1228 |#3|)) (T -769)) 
-((-3046 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-716 *4 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-769 *4 *2 *5 *3)) (-4 *3 (-1228 *5))))) 
-(-10 -7 (-15 -3046 (|#2| |#4|))) 
-((-2611 (((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) 56)) (-4439 (((-1258) (-1147) (-1147) |#4| |#5|) 33)) (-2375 ((|#4| |#4| |#5|) 72)) (-1666 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|) 76)) (-3240 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|) 15))) 
-(((-770 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2611 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -2375 (|#4| |#4| |#5|)) (-15 -1666 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -4439 ((-1258) (-1147) (-1147) |#4| |#5|)) (-15 -3240 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -770)) 
-((-3240 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-4439 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1147)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *4 (-1063 *6 *7 *8)) (-5 *2 (-1258)) (-5 *1 (-770 *6 *7 *8 *4 *5)) (-4 *5 (-1068 *6 *7 *8 *4)))) (-1666 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2375 (*1 *2 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *2 (-1063 *4 *5 *6)) (-5 *1 (-770 *4 *5 *6 *2 *3)) (-4 *3 (-1068 *4 *5 *6 *2)))) (-2611 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(-10 -7 (-15 -2611 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -2375 (|#4| |#4| |#5|)) (-15 -1666 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -4439 ((-1258) (-1147) (-1147) |#4| |#5|)) (-15 -3240 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|))) 
-((-3003 (((-3 (-1161 (-1161 |#1|)) "failed") |#4|) 43)) (-4464 (((-635 |#4|) |#4|) 15)) (-4167 ((|#4| |#4|) 11))) 
-(((-771 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4464 ((-635 |#4|) |#4|)) (-15 -3003 ((-3 (-1161 (-1161 |#1|)) "failed") |#4|)) (-15 -4167 (|#4| |#4|))) (-351) (-328 |#1|) (-1228 |#2|) (-1228 |#3|) (-919)) (T -771)) 
-((-4167 (*1 *2 *2) (-12 (-4 *3 (-351)) (-4 *4 (-328 *3)) (-4 *5 (-1228 *4)) (-5 *1 (-771 *3 *4 *5 *2 *6)) (-4 *2 (-1228 *5)) (-14 *6 (-919)))) (-3003 (*1 *2 *3) (|partial| -12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1228 *5)) (-5 *2 (-1161 (-1161 *4))) (-5 *1 (-771 *4 *5 *6 *3 *7)) (-4 *3 (-1228 *6)) (-14 *7 (-919)))) (-4464 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1228 *5)) (-5 *2 (-635 *3)) (-5 *1 (-771 *4 *5 *6 *3 *7)) (-4 *3 (-1228 *6)) (-14 *7 (-919))))) 
-(-10 -7 (-15 -4464 ((-635 |#4|) |#4|)) (-15 -3003 ((-3 (-1161 (-1161 |#1|)) "failed") |#4|)) (-15 -4167 (|#4| |#4|))) 
-((-1310 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1321 (($ (-1210 |#1|)) 21)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 26)) (-1912 (((-1111) $) NIL)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 18 T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 24))) 
-(((-772 |#1|) (-13 (-479) (-10 -8 (-15 -1321 ($ (-1210 |#1|))))) (-351)) (T -772)) 
-((-1321 (*1 *1 *2) (-12 (-5 *2 (-1210 *3)) (-4 *3 (-351)) (-5 *1 (-772 *3))))) 
-(-13 (-479) (-10 -8 (-15 -1321 ($ (-1210 |#1|))))) 
-((-1531 (((-2 (|:| |deter| (-635 (-1161 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1161 |#5|) (-635 |#1|) (-635 |#5|)) 51)) (-4375 (((-635 (-765)) |#1|) 12))) 
-(((-773 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1531 ((-2 (|:| |deter| (-635 (-1161 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1161 |#5|) (-635 |#1|) (-635 |#5|))) (-15 -4375 ((-635 (-765)) |#1|))) (-1228 |#4|) (-790) (-844) (-302) (-952 |#4| |#2| |#3|)) (T -773)) 
-((-4375 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-635 (-765))) (-5 *1 (-773 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *6)) (-4 *7 (-952 *6 *4 *5)))) (-1531 (*1 *2 *3 *4 *5) (-12 (-4 *6 (-1228 *9)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-302)) (-4 *10 (-952 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-635 (-1161 *10))) (|:| |dterm| (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| *10))))) (|:| |nfacts| (-635 *6)) (|:| |nlead| (-635 *10)))) (-5 *1 (-773 *6 *7 *8 *9 *10)) (-5 *3 (-1161 *10)) (-5 *4 (-635 *6)) (-5 *5 (-635 *10))))) 
-(-10 -7 (-15 -1531 ((-2 (|:| |deter| (-635 (-1161 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1161 |#5|) (-635 |#1|) (-635 |#5|))) (-15 -4375 ((-635 (-765)) |#1|))) 
-((-2816 (((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)) 18) (((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|) 16)) (-1513 (((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal")) 32)) (-1934 (((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|))) 24)) (-2618 (((-765) (-635 (-635 |#2|))) 27))) 
-(((-774 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1513 ((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -2618 ((-765) (-635 (-635 |#2|)))) (-15 -1934 ((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|)))) (-15 -2816 ((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -2816 ((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)))) (-1049) (-325 |#1| |#3|) (-231 |#4| (-765)) (-765)) (T -774)) 
-((-2816 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-774 *4 *5 *6 *7)))) (-2816 (*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-774 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-1934 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-325 *4 *5)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *4 (-1049)) (-5 *1 (-774 *4 *3 *5 *6)))) (-2618 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-4 *4 (-1049)) (-5 *2 (-765)) (-5 *1 (-774 *4 *5 *6 *7)))) (-1513 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-569)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1049)) (-4 *7 (-231 *8 (-765))) (-14 *8 (-765)) (-5 *2 (-635 (-635 *3))) (-5 *1 (-774 *6 *3 *7 *8)) (-4 *3 (-325 *6 *7))))) 
-(-10 -7 (-15 -1513 ((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -2618 ((-765) (-635 (-635 |#2|)))) (-15 -1934 ((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|)))) (-15 -2816 ((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -2816 ((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)))) 
-((-3252 (((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#1|))))) (-681 (-410 (-569))) |#1|) 27)) (-4402 (((-635 |#1|) (-681 (-410 (-569))) |#1|) 19)) (-3033 (((-955 (-410 (-569))) (-681 (-410 (-569))) (-1165)) 16) (((-955 (-410 (-569))) (-681 (-410 (-569)))) 15))) 
-(((-775 |#1|) (-10 -7 (-15 -3033 ((-955 (-410 (-569))) (-681 (-410 (-569))))) (-15 -3033 ((-955 (-410 (-569))) (-681 (-410 (-569))) (-1165))) (-15 -4402 ((-635 |#1|) (-681 (-410 (-569))) |#1|)) (-15 -3252 ((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#1|))))) (-681 (-410 (-569))) |#1|))) (-13 (-366) (-842))) (T -775)) 
-((-3252 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| |outval| *4) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 *4)))))) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842))))) (-4402 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842))))) (-3033 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *4 (-1165)) (-5 *2 (-955 (-410 (-569)))) (-5 *1 (-775 *5)) (-4 *5 (-13 (-366) (-842))))) (-3033 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-955 (-410 (-569)))) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842)))))) 
-(-10 -7 (-15 -3033 ((-955 (-410 (-569))) (-681 (-410 (-569))))) (-15 -3033 ((-955 (-410 (-569))) (-681 (-410 (-569))) (-1165))) (-15 -4402 ((-635 |#1|) (-681 (-410 (-569))) |#1|)) (-15 -3252 ((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#1|))))) (-681 (-410 (-569))) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 10)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) NIL)) (-2756 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3146 (($ $ (-569) (-569)) NIL) (($ $ (-569)) NIL)) (-1823 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-2394 (($ $) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2627 (($ $ (-569)) NIL (|has| $ (-6 -4572)))) (-2889 (((-121) $ $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2546 (($ $ (-569)) 36)) (-4548 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) NIL (|has| $ (-6 -4572)))) (-2450 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-2062 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-2511 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-1219 (-569)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "last" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572))) (($ $ "rest" $) NIL (|has| $ (-6 -4572))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "first" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "value" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4314 (($ (-569) |#1| $) 41)) (-2140 (($ (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-4024 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-1887 (($ $ $) 51)) (-4483 (($) NIL T CONST)) (-3788 (($ $) 21)) (-1864 (($ $ (-765)) NIL) (($ $) 14)) (-4339 (($ (-569) $) 78) (($ $) 31)) (-4187 (($ $) 35)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093))))) (-3503 (($ (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL) (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093))))) (-1614 (($ $ $) NIL)) (-3373 (($ $) NIL)) (-2793 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-2611 (((-3 $ "failed") $) 38)) (-1626 (($ $ $) NIL)) (-3982 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-4124 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL)) (-2847 (((-121) (-121)) 30) (((-121)) 29)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1292 (((-121) $) NIL)) (-4120 (($ $) 22)) (-2641 (((-121) $) NIL)) (-4303 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-4398 (((-3 (-569) "failed") $) 16)) (-4433 (((-569) $ (-569)) NIL) (((-569) $) 19) (((-569) $) 19)) (-3934 (((-121) $) NIL)) (-1938 (((-765) $) NIL)) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (-2446 (($ (-765) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL)) (-2058 (($ $ (-919)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-3052 (((-121) $) NIL)) (-1548 (($ (-635 $) (-635 (-765)) (-569)) 85)) (-3179 (($ $ (-635 (-1077)) (-635 (-569))) NIL) (($ $ (-1077) (-569)) NIL) (($ |#1| (-569)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-4457 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2089 (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ $) NIL) (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-3491 (((-121) $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2176 (($ $) NIL)) (-1849 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-3302 (($ $ (-765)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-3243 (($ $) 39)) (-2583 (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2409 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) 12)) (-1816 (($ $ (-765)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-4511 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) 24)) (-2765 ((|#1| $ (-569)) 25)) (-2569 (((-3 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) "failed") (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-3241 (($ $ (-569)) 89)) (-2417 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3803 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4363 (((-121) $) NIL)) (-1385 (((-121) $) NIL)) (-3522 (((-121) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (($ $ (-289 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (($ $ (-635 (-289 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093))))) (-2061 (((-765) $) NIL)) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093))))) (-4283 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1668 (((-121) $) 23)) (-4016 (($) 94)) (-2503 (($ $ $) NIL (|has| (-569) (-1105))) ((|#1| $ (-569)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL) (($ $ (-1219 (-569))) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "first") NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "value") NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3248 (((-569) $ $) NIL)) (-3289 (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2393 (($ (-1 $)) 34)) (-2284 (((-569) $) NIL)) (-1630 (((-121) $) NIL)) (-2588 (($ $) NIL)) (-1390 (($ $) NIL (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) NIL)) (-2691 (((-765) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (((-765) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 95)) (-4422 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572))) (($ $ $) NIL (|has| $ (-6 -4572)))) (-4456 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL) (($ (-635 $)) NIL) (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) 32) (($ $ $) NIL)) (-2994 (($ $) NIL)) (-3956 (((-852) $) 65) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 27) (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 26)) (-3802 ((|#1| $ (-569)) NIL)) (-4220 ((|#1| $) 86)) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) NIL)) (-2909 (((-121) $ $) NIL)) (-4334 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-3776 (((-121) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 17 T CONST)) (-3297 (($) 74 T CONST)) (-3712 (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) 47) (($ $ $) 43)) (-1371 (($ $ $) 53)) (** (($ $ (-919)) NIL) (($ $ (-765)) 79) (($ $ (-569)) 52)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 42) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 46) (($ $ |#1|) 100)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-776 |#1|) (-13 (-642 |#1|) (-666 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-10 -8 (-15 -4511 ((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569))))) (-366)) (T -776)) 
-((-4511 (*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-569)) (|:| |c| *4))) (-5 *1 (-776 *4)) (-4 *4 (-366)) (-5 *3 (-569))))) 
-(-13 (-642 |#1|) (-666 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-10 -8 (-15 -4511 ((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 34)) (-3195 (((-635 |#2|) $) NIL)) (-3132 (((-1161 $) $ |#2|) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 |#2|)) NIL)) (-2394 (($ $) 28)) (-1712 (((-121) $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) 92 (|has| |#1| (-559)))) (-4507 (((-635 $) $ $) 105 (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 |#2| "failed") $) NIL) (((-3 $ "failed") (-955 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165))))) (((-3 $ "failed") (-955 (-569))) NIL (-1929 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165)))))) (((-3 $ "failed") (-955 |#1|)) NIL (-1929 (-12 (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-43 (-569))))) (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-551)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-995 (-569))))))) (((-3 (-1116 |#1| |#2|) "failed") $) 18)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) ((|#2| $) NIL) (($ (-955 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165))))) (($ (-955 (-569))) NIL (-1929 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165)))))) (($ (-955 |#1|)) NIL (-1929 (-12 (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-43 (-569))))) (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-551)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-995 (-569))))))) (((-1116 |#1| |#2|) $) NIL)) (-3673 (($ $ $ |#2|) NIL (|has| |#1| (-173))) (($ $ $) 103 (|has| |#1| (-559)))) (-3373 (($ $) NIL) (($ $ |#2|) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-3782 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-4325 (((-121) $) NIL)) (-1530 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 69)) (-4186 (($ $) 118 (|has| |#1| (-454)))) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2823 (($ $) NIL (|has| |#1| (-559)))) (-2145 (($ $) NIL (|has| |#1| (-559)))) (-3706 (($ $ $) 64) (($ $ $ |#2|) NIL)) (-4027 (($ $ $) 67) (($ $ $ |#2|) NIL)) (-2916 (($ $ |#1| (-535 |#2|) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| |#1| (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| |#1| (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1660 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-3151 (($ $ $ $ $) 89 (|has| |#1| (-559)))) (-1473 ((|#2| $) 19)) (-3187 (($ (-1161 |#1|) |#2|) NIL) (($ (-1161 $) |#2|) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-535 |#2|)) NIL) (($ $ |#2| (-765)) 36) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-4518 (($ $ $) 60)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#2|) NIL)) (-3312 (((-121) $) NIL)) (-4294 (((-535 |#2|) $) NIL) (((-765) $ |#2|) NIL) (((-635 (-765)) $ (-635 |#2|)) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-3889 (((-765) $) 20)) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 |#2|) (-535 |#2|)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3407 (((-3 |#2| "failed") $) NIL)) (-3675 (($ $) NIL (|has| |#1| (-454)))) (-2796 (($ $) NIL (|has| |#1| (-454)))) (-2047 (((-635 $) $) NIL)) (-3866 (($ $) 37)) (-1564 (($ $) NIL (|has| |#1| (-454)))) (-2248 (((-635 $) $) 41)) (-3516 (($ $) 39)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL) (($ $ |#2|) 45)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2879 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2978 (-765))) $ $) 81)) (-2579 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $) 66) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $ |#2|) NIL)) (-1734 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $) NIL) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $ |#2|) NIL)) (-3181 (($ $ $) 71) (($ $ $ |#2|) NIL)) (-3253 (($ $ $) 74) (($ $ $ |#2|) NIL)) (-2605 (((-1147) $) NIL)) (-1961 (($ $ $) 107 (|has| |#1| (-559)))) (-3940 (((-635 $) $) 30)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| |#2|) (|:| -3190 (-765))) "failed") $) NIL)) (-2114 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-2709 (($ $ $) NIL)) (-1423 (($ $) 21)) (-1861 (((-121) $ $) NIL)) (-3072 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-1910 (($ $ $) NIL)) (-1603 (($ $) 23)) (-1912 (((-1111) $) NIL)) (-3049 (((-2 (|:| -3964 $) (|:| |coef2| $)) $ $) 98 (|has| |#1| (-559)))) (-3178 (((-2 (|:| -3964 $) (|:| |coef1| $)) $ $) 95 (|has| |#1| (-559)))) (-3249 (((-121) $) 52)) (-3256 ((|#1| $) 55)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 ((|#1| |#1| $) 115 (|has| |#1| (-454))) (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-3061 (((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 101 (|has| |#1| (-559)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-559)))) (-2056 (($ $ |#1|) 111 (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-4239 (($ $ |#1|) 110 (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#2| |#1|) NIL) (($ $ (-635 |#2|) (-635 |#1|)) NIL) (($ $ |#2| $) NIL) (($ $ (-635 |#2|) (-635 $)) NIL)) (-2925 (($ $ |#2|) NIL (|has| |#1| (-173)))) (-3289 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-2284 (((-535 |#2|) $) NIL) (((-765) $ |#2|) 43) (((-635 (-765)) $ (-635 |#2|)) NIL)) (-1444 (($ $) NIL)) (-3486 (($ $) 33)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542))))) (($ (-955 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165))))) (($ (-955 (-569))) NIL (-1929 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165)))))) (($ (-955 |#1|)) NIL (|has| |#2| (-610 (-1165)))) (((-1147) $) NIL (-12 (|has| |#1| (-1039 (-569))) (|has| |#2| (-610 (-1165))))) (((-955 |#1|) $) NIL (|has| |#2| (-610 (-1165))))) (-2363 ((|#1| $) 114 (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ |#2|) NIL) (((-955 |#1|) $) NIL (|has| |#2| (-610 (-1165)))) (((-1116 |#1| |#2|) $) 15) (($ (-1116 |#1| |#2|)) 16) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-535 |#2|)) NIL) (($ $ |#2| (-765)) 44) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 13 T CONST)) (-3183 (((-3 (-121) "failed") $ $) NIL)) (-3297 (($) 35 T CONST)) (-2088 (($ $ $ $ (-765)) 87 (|has| |#1| (-559)))) (-4117 (($ $ $ (-765)) 86 (|has| |#1| (-559)))) (-3712 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 54)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) 63)) (-1371 (($ $ $) 73)) (** (($ $ (-919)) NIL) (($ $ (-765)) 61)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 59) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 58) (($ $ |#1|) NIL))) 
-(((-777 |#1| |#2|) (-13 (-1063 |#1| (-535 |#2|) |#2|) (-609 (-1116 |#1| |#2|)) (-1039 (-1116 |#1| |#2|))) (-1049) (-844)) (T -777)) 
-NIL 
-(-13 (-1063 |#1| (-535 |#2|) |#2|) (-609 (-1116 |#1| |#2|)) (-1039 (-1116 |#1| |#2|))) 
-((-4188 (((-779 |#2|) (-1 |#2| |#1|) (-779 |#1|)) 13))) 
-(((-778 |#1| |#2|) (-10 -7 (-15 -4188 ((-779 |#2|) (-1 |#2| |#1|) (-779 |#1|)))) (-1049) (-1049)) (T -778)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-779 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-779 *6)) (-5 *1 (-778 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-779 |#2|) (-1 |#2| |#1|) (-779 |#1|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 12)) (-3676 (((-1253 |#1|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#1|)) NIL)) (-3132 (((-1161 $) $ (-1077)) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1956 (((-635 $) $ $) 39 (|has| |#1| (-559)))) (-2594 (($ $ $) 35 (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3286 (($ $ (-765)) NIL)) (-1738 (($ $ (-765)) NIL)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL) (((-3 (-1161 |#1|) "failed") $) 10)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1077) $) NIL) (((-1161 |#1|) $) NIL)) (-3673 (($ $ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $ $) 43 (|has| |#1| (-173)))) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3621 (($ $ $) NIL)) (-4425 (($ $ $) 71 (|has| |#1| (-559)))) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 $) (|:| -3028 $)) $ $) 70 (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-765) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ $) NIL (|has| |#1| (-559)))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-1139)))) (-3187 (($ (-1161 |#1|) (-1077)) NIL) (($ (-1161 $) (-1077)) NIL)) (-2058 (($ $ (-765)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4518 (($ $ $) 20)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3071 (((-1161 |#1|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2879 (((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -2978 (-765))) $ $) 26)) (-1388 (($ $ $) 29)) (-2149 (($ $ $) 32)) (-2579 (((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $) 31)) (-2605 (((-1147) $) NIL)) (-1961 (($ $ $) 41 (|has| |#1| (-559)))) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-3049 (((-2 (|:| -3964 $) (|:| |coef2| $)) $ $) 67 (|has| |#1| (-559)))) (-3178 (((-2 (|:| -3964 $) (|:| |coef1| $)) $ $) 63 (|has| |#1| (-559)))) (-2806 (((-2 (|:| -3673 |#1|) (|:| |coef2| $)) $ $) 55 (|has| |#1| (-559)))) (-2066 (((-2 (|:| -3673 |#1|) (|:| |coef1| $)) $ $) 51 (|has| |#1| (-559)))) (-3249 (((-121) $) 13)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-4259 (($ $ (-765) |#1| $) 19)) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-3061 (((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 59 (|has| |#1| (-559)))) (-3981 (((-2 (|:| -3673 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) 47 (|has| |#1| (-559)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#1|) NIL) (($ $ (-635 (-1077)) (-635 |#1|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2284 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1077)) NIL) (((-1161 |#1|) $) 7) (($ (-1161 |#1|)) 8) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 21 T CONST)) (-3297 (($) 24 T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) 28) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 23) (($ $ |#1|) NIL))) 
-(((-779 |#1|) (-13 (-1228 |#1|) (-609 (-1161 |#1|)) (-1039 (-1161 |#1|)) (-10 -8 (-15 -4259 ($ $ (-765) |#1| $)) (-15 -4518 ($ $ $)) (-15 -2879 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -2978 (-765))) $ $)) (-15 -1388 ($ $ $)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -2149 ($ $ $)) (IF (|has| |#1| (-559)) (PROGN (-15 -1956 ((-635 $) $ $)) (-15 -1961 ($ $ $)) (-15 -3061 ((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3178 ((-2 (|:| -3964 $) (|:| |coef1| $)) $ $)) (-15 -3049 ((-2 (|:| -3964 $) (|:| |coef2| $)) $ $)) (-15 -3981 ((-2 (|:| -3673 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2066 ((-2 (|:| -3673 |#1|) (|:| |coef1| $)) $ $)) (-15 -2806 ((-2 (|:| -3673 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) (-1049)) (T -779)) 
-((-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) (-4518 (*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049)))) (-2879 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-779 *3)) (|:| |polden| *3) (|:| -2978 (-765)))) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) (-1388 (*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049)))) (-2579 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3550 *3) (|:| |gap| (-765)) (|:| -3483 (-779 *3)) (|:| -3028 (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) (-2149 (*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049)))) (-1956 (*1 *2 *1 *1) (-12 (-5 *2 (-635 (-779 *3))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-1961 (*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-559)) (-4 *2 (-1049)))) (-3061 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef1| (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-3178 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef1| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-3049 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-3981 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef1| (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-2066 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef1| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-2806 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
-(-13 (-1228 |#1|) (-609 (-1161 |#1|)) (-1039 (-1161 |#1|)) (-10 -8 (-15 -4259 ($ $ (-765) |#1| $)) (-15 -4518 ($ $ $)) (-15 -2879 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -2978 (-765))) $ $)) (-15 -1388 ($ $ $)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -2149 ($ $ $)) (IF (|has| |#1| (-559)) (PROGN (-15 -1956 ((-635 $) $ $)) (-15 -1961 ($ $ $)) (-15 -3061 ((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3178 ((-2 (|:| -3964 $) (|:| |coef1| $)) $ $)) (-15 -3049 ((-2 (|:| -3964 $) (|:| |coef2| $)) $ $)) (-15 -3981 ((-2 (|:| -3673 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2066 ((-2 (|:| -3673 |#1|) (|:| |coef1| $)) $ $)) (-15 -2806 ((-2 (|:| -3673 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) 
-((-2116 ((|#1| (-765) |#1|) 32 (|has| |#1| (-43 (-410 (-569)))))) (-1320 ((|#1| (-765) |#1|) 22)) (-2616 ((|#1| (-765) |#1|) 34 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-780 |#1|) (-10 -7 (-15 -1320 (|#1| (-765) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2616 (|#1| (-765) |#1|)) (-15 -2116 (|#1| (-765) |#1|))) |noBranch|)) (-173)) (T -780)) 
-((-2116 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-2616 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-1320 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-173))))) 
-(-10 -7 (-15 -1320 (|#1| (-765) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2616 (|#1| (-765) |#1|)) (-15 -2116 (|#1| (-765) |#1|))) |noBranch|)) 
-((-1310 (((-121) $ $) 7)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) 78)) (-3202 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) 94) (((-121) $) 90)) (-1815 ((|#4| |#4| $) 85)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 119)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 72)) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1864 (((-3 $ "failed") $) 75)) (-3562 ((|#4| |#4| $) 82)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-4417 ((|#4| |#4| $) 80)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) 98)) (-4018 (((-121) |#4| $) 129)) (-3594 (((-121) |#4| $) 126)) (-4508 (((-121) |#4| $) 130) (((-121) $) 127)) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) 97) (((-121) $) 96)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 120)) (-3302 (((-3 |#4| "failed") $) 76)) (-2079 (((-635 $) |#4| $) 122)) (-2090 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1433 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3487 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-1536 (((-635 |#4|) $) 100)) (-2114 (((-121) |#4| $) 92) (((-121) $) 88)) (-2709 ((|#4| |#4| $) 83)) (-1861 (((-121) $ $) 103)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) 93) (((-121) $) 89)) (-1910 ((|#4| |#4| $) 84)) (-1912 (((-1111) $) 10)) (-1816 (((-3 |#4| "failed") $) 77)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4300 (((-3 $ "failed") $ |#4|) 71)) (-3803 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2284 (((-765) $) 99)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2406 (($ $) 81)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-1448 (((-765) $) 69 (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-2272 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) 74)) (-3267 (((-121) |#4| $) 128)) (-3345 (((-121) |#3| $) 73)) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
-(((-781 |#1| |#2| |#3| |#4|) (-1284) (-454) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -781)) 
-NIL 
-(-13 (-1068 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-979 |#1| |#2| |#3| |#4|) . T) ((-1068 |#1| |#2| |#3| |#4|) . T) ((-1093) . T) ((-1193 |#1| |#2| |#3| |#4|) . T) ((-1199) . T)) 
-((-2981 (((-3 (-382) "failed") (-311 |#1|) (-919)) 60 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-382) "failed") (-311 |#1|)) 52 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-382) "failed") (-410 (-955 |#1|)) (-919)) 39 (|has| |#1| (-559))) (((-3 (-382) "failed") (-410 (-955 |#1|))) 35 (|has| |#1| (-559))) (((-3 (-382) "failed") (-955 |#1|) (-919)) 30 (|has| |#1| (-1049))) (((-3 (-382) "failed") (-955 |#1|)) 24 (|has| |#1| (-1049)))) (-1382 (((-382) (-311 |#1|) (-919)) 92 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-382) (-311 |#1|)) 87 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-382) (-410 (-955 |#1|)) (-919)) 84 (|has| |#1| (-559))) (((-382) (-410 (-955 |#1|))) 81 (|has| |#1| (-559))) (((-382) (-955 |#1|) (-919)) 80 (|has| |#1| (-1049))) (((-382) (-955 |#1|)) 77 (|has| |#1| (-1049))) (((-382) |#1| (-919)) 73) (((-382) |#1|) 22)) (-4410 (((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-919)) 68 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-170 (-382)) "failed") (-311 (-170 |#1|))) 58 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-170 (-382)) "failed") (-311 |#1|) (-919)) 61 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-170 (-382)) "failed") (-311 |#1|)) 59 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|))) (-919)) 44 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|)))) 43 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-955 |#1|)) (-919)) 38 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-955 |#1|))) 37 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-955 |#1|) (-919)) 28 (|has| |#1| (-1049))) (((-3 (-170 (-382)) "failed") (-955 |#1|)) 26 (|has| |#1| (-1049))) (((-3 (-170 (-382)) "failed") (-955 (-170 |#1|)) (-919)) 17 (|has| |#1| (-173))) (((-3 (-170 (-382)) "failed") (-955 (-170 |#1|))) 14 (|has| |#1| (-173)))) (-3115 (((-170 (-382)) (-311 (-170 |#1|)) (-919)) 95 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-170 (-382)) (-311 (-170 |#1|))) 94 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-170 (-382)) (-311 |#1|) (-919)) 93 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-170 (-382)) (-311 |#1|)) 91 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-170 (-382)) (-410 (-955 (-170 |#1|))) (-919)) 86 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-955 (-170 |#1|)))) 85 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-955 |#1|)) (-919)) 83 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-955 |#1|))) 82 (|has| |#1| (-559))) (((-170 (-382)) (-955 |#1|) (-919)) 79 (|has| |#1| (-1049))) (((-170 (-382)) (-955 |#1|)) 78 (|has| |#1| (-1049))) (((-170 (-382)) (-955 (-170 |#1|)) (-919)) 75 (|has| |#1| (-173))) (((-170 (-382)) (-955 (-170 |#1|))) 74 (|has| |#1| (-173))) (((-170 (-382)) (-170 |#1|) (-919)) 16 (|has| |#1| (-173))) (((-170 (-382)) (-170 |#1|)) 12 (|has| |#1| (-173))) (((-170 (-382)) |#1| (-919)) 27) (((-170 (-382)) |#1|) 25))) 
-(((-782 |#1|) (-10 -7 (-15 -1382 ((-382) |#1|)) (-15 -1382 ((-382) |#1| (-919))) (-15 -3115 ((-170 (-382)) |#1|)) (-15 -3115 ((-170 (-382)) |#1| (-919))) (IF (|has| |#1| (-173)) (PROGN (-15 -3115 ((-170 (-382)) (-170 |#1|))) (-15 -3115 ((-170 (-382)) (-170 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-955 (-170 |#1|)))) (-15 -3115 ((-170 (-382)) (-955 (-170 |#1|)) (-919)))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-15 -1382 ((-382) (-955 |#1|))) (-15 -1382 ((-382) (-955 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-955 |#1|))) (-15 -3115 ((-170 (-382)) (-955 |#1|) (-919)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -1382 ((-382) (-410 (-955 |#1|)))) (-15 -1382 ((-382) (-410 (-955 |#1|)) (-919))) (-15 -3115 ((-170 (-382)) (-410 (-955 |#1|)))) (-15 -3115 ((-170 (-382)) (-410 (-955 |#1|)) (-919))) (-15 -3115 ((-170 (-382)) (-410 (-955 (-170 |#1|))))) (-15 -3115 ((-170 (-382)) (-410 (-955 (-170 |#1|))) (-919))) (IF (|has| |#1| (-844)) (PROGN (-15 -1382 ((-382) (-311 |#1|))) (-15 -1382 ((-382) (-311 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-311 |#1|))) (-15 -3115 ((-170 (-382)) (-311 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-311 (-170 |#1|)))) (-15 -3115 ((-170 (-382)) (-311 (-170 |#1|)) (-919)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 (-170 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 (-170 |#1|)) (-919)))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-955 |#1|))) (-15 -2981 ((-3 (-382) "failed") (-955 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 |#1|))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 |#1|) (-919)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-410 (-955 |#1|)))) (-15 -2981 ((-3 (-382) "failed") (-410 (-955 |#1|)) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 |#1|)) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|))))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|))) (-919))) (IF (|has| |#1| (-844)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-311 |#1|))) (-15 -2981 ((-3 (-382) "failed") (-311 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 |#1|))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-919)))) |noBranch|)) |noBranch|)) (-610 (-382))) (T -782)) 
-((-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-2981 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-2981 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 (-170 *5)))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-2981 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-2981 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-2981 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-2981 (*1 *2 *3) (|partial| -12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-955 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-1382 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-1382 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 *5)))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-1382 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-1382 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-1382 (*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-1382 (*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-955 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-955 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-170 *5)) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-170 *4)) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-170 (-382))) (-5 *1 (-782 *3)) (-4 *3 (-610 (-382))))) (-3115 (*1 *2 *3) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-782 *3)) (-4 *3 (-610 (-382))))) (-1382 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-382)) (-5 *1 (-782 *3)) (-4 *3 (-610 *2)))) (-1382 (*1 *2 *3) (-12 (-5 *2 (-382)) (-5 *1 (-782 *3)) (-4 *3 (-610 *2))))) 
-(-10 -7 (-15 -1382 ((-382) |#1|)) (-15 -1382 ((-382) |#1| (-919))) (-15 -3115 ((-170 (-382)) |#1|)) (-15 -3115 ((-170 (-382)) |#1| (-919))) (IF (|has| |#1| (-173)) (PROGN (-15 -3115 ((-170 (-382)) (-170 |#1|))) (-15 -3115 ((-170 (-382)) (-170 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-955 (-170 |#1|)))) (-15 -3115 ((-170 (-382)) (-955 (-170 |#1|)) (-919)))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-15 -1382 ((-382) (-955 |#1|))) (-15 -1382 ((-382) (-955 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-955 |#1|))) (-15 -3115 ((-170 (-382)) (-955 |#1|) (-919)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -1382 ((-382) (-410 (-955 |#1|)))) (-15 -1382 ((-382) (-410 (-955 |#1|)) (-919))) (-15 -3115 ((-170 (-382)) (-410 (-955 |#1|)))) (-15 -3115 ((-170 (-382)) (-410 (-955 |#1|)) (-919))) (-15 -3115 ((-170 (-382)) (-410 (-955 (-170 |#1|))))) (-15 -3115 ((-170 (-382)) (-410 (-955 (-170 |#1|))) (-919))) (IF (|has| |#1| (-844)) (PROGN (-15 -1382 ((-382) (-311 |#1|))) (-15 -1382 ((-382) (-311 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-311 |#1|))) (-15 -3115 ((-170 (-382)) (-311 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-311 (-170 |#1|)))) (-15 -3115 ((-170 (-382)) (-311 (-170 |#1|)) (-919)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 (-170 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 (-170 |#1|)) (-919)))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-955 |#1|))) (-15 -2981 ((-3 (-382) "failed") (-955 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 |#1|))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 |#1|) (-919)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-410 (-955 |#1|)))) (-15 -2981 ((-3 (-382) "failed") (-410 (-955 |#1|)) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 |#1|)) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|))))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|))) (-919))) (IF (|has| |#1| (-844)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-311 |#1|))) (-15 -2981 ((-3 (-382) "failed") (-311 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 |#1|))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-919)))) |noBranch|)) |noBranch|)) 
-((-1378 (((-919) (-1147)) 63)) (-3859 (((-3 (-382) "failed") (-1147)) 32)) (-1460 (((-382) (-1147)) 30)) (-3523 (((-919) (-1147)) 53)) (-4132 (((-1147) (-919)) 54)) (-2203 (((-1147) (-919)) 52))) 
-(((-783) (-10 -7 (-15 -2203 ((-1147) (-919))) (-15 -3523 ((-919) (-1147))) (-15 -4132 ((-1147) (-919))) (-15 -1378 ((-919) (-1147))) (-15 -1460 ((-382) (-1147))) (-15 -3859 ((-3 (-382) "failed") (-1147))))) (T -783)) 
-((-3859 (*1 *2 *3) (|partial| -12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-783)))) (-1460 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-783)))) (-1378 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-919)) (-5 *1 (-783)))) (-4132 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1147)) (-5 *1 (-783)))) (-3523 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-919)) (-5 *1 (-783)))) (-2203 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1147)) (-5 *1 (-783))))) 
-(-10 -7 (-15 -2203 ((-1147) (-919))) (-15 -3523 ((-919) (-1147))) (-15 -4132 ((-1147) (-919))) (-15 -1378 ((-919) (-1147))) (-15 -1460 ((-382) (-1147))) (-15 -3859 ((-3 (-382) "failed") (-1147)))) 
-((-1310 (((-121) $ $) 7)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 14) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 12)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 15) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
-(((-784) (-1284)) (T -784)) 
-((-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-784)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037)))))) (-4488 (*1 *2 *3 *2) (-12 (-4 *1 (-784)) (-5 *2 (-1037)) (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-784)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037)))))) (-4488 (*1 *2 *3 *2) (-12 (-4 *1 (-784)) (-5 *2 (-1037)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
-(-13 (-1093) (-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4488 ((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4488 ((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-2783 (((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382))) 44) (((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382))) 43)) (-2886 (((-1258) (-1253 (-382)) (-569) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382))) 50)) (-3635 (((-1258) (-1253 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382))) 41)) (-4376 (((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382))) 52) (((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382))) 51))) 
-(((-785) (-10 -7 (-15 -4376 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -4376 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)))) (-15 -3635 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -2783 ((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -2783 ((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)))) (-15 -2886 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))))) (T -785)) 
-((-2886 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) (-2783 (*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382)))) (-5 *7 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) (-2783 (*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382)))) (-5 *7 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) (-3635 (*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) (-4376 (*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) (-4376 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785))))) 
-(-10 -7 (-15 -4376 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -4376 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)))) (-15 -3635 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -2783 ((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -2783 ((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)))) (-15 -2886 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382))))) 
-((-2834 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 53)) (-3580 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 30)) (-2573 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 52)) (-4040 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 28)) (-2328 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 51)) (-3229 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 18)) (-1576 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 31)) (-1994 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 29)) (-1533 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 27))) 
-(((-786) (-10 -7 (-15 -1533 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -1994 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -1576 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -3229 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -4040 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -3580 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2328 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2573 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2834 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))))) (T -786)) 
-((-2834 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-2573 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-2328 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-3580 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-4040 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-3229 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-1576 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-1994 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-1533 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
-(-10 -7 (-15 -1533 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -1994 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -1576 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -3229 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -4040 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -3580 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2328 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2573 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2834 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)))) 
-((-4238 (((-1195 |#1|) |#1| (-216) (-569)) 45))) 
-(((-787 |#1|) (-10 -7 (-15 -4238 ((-1195 |#1|) |#1| (-216) (-569)))) (-977)) (T -787)) 
-((-4238 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-216)) (-5 *5 (-569)) (-5 *2 (-1195 *3)) (-5 *1 (-787 *3)) (-4 *3 (-977))))) 
-(-10 -7 (-15 -4238 ((-1195 |#1|) |#1| (-216) (-569)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-3748 (((-3 $ "failed") $ $) 25)) (-4483 (($) 22 T CONST)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 21 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1377 (($ $ $) 27) (($ $) 26)) (-1371 (($ $ $) 19)) (* (($ (-765) $) 24) (($ (-919) $) 20) (($ (-569) $) 28))) 
-(((-788) (-1284)) (T -788)) 
-NIL 
-(-13 (-792) (-21)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-844) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-4483 (($) 22 T CONST)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 21 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1371 (($ $ $) 19)) (* (($ (-765) $) 24) (($ (-919) $) 20))) 
-(((-789) (-1284)) (T -789)) 
-NIL 
-(-13 (-791) (-23)) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-852)) . T) ((-791) . T) ((-844) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-4288 (($ $ $) 26)) (-3748 (((-3 $ "failed") $ $) 25)) (-4483 (($) 22 T CONST)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 21 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1371 (($ $ $) 19)) (* (($ (-765) $) 24) (($ (-919) $) 20))) 
-(((-790) (-1284)) (T -790)) 
-((-4288 (*1 *1 *1 *1) (-4 *1 (-790)))) 
-(-13 (-792) (-10 -8 (-15 -4288 ($ $ $)))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-844) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-4483 (($) 22 T CONST)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 21 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1371 (($ $ $) 19)) (* (($ (-765) $) 24) (($ (-919) $) 20))) 
-(((-791) (-1284)) (T -791)) 
-NIL 
-(-13 (-844) (-23)) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-852)) . T) ((-844) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-3748 (((-3 $ "failed") $ $) 25)) (-4483 (($) 22 T CONST)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 21 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1371 (($ $ $) 19)) (* (($ (-765) $) 24) (($ (-919) $) 20))) 
-(((-792) (-1284)) (T -792)) 
-NIL 
-(-13 (-789) (-138)) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-789) . T) ((-791) . T) ((-844) . T) ((-1093) . T)) 
-((-2225 (((-121) $) 41)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 44)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 42)) (-1330 (((-3 (-410 (-569)) "failed") $) 78)) (-4429 (((-121) $) 72)) (-2096 (((-410 (-569)) $) 76)) (-3046 ((|#2| $) 26)) (-4188 (($ (-1 |#2| |#2|) $) 23)) (-3243 (($ $) 61)) (-4035 (((-542) $) 67)) (-3980 (($ $) 21)) (-3956 (((-852) $) 56) (($ (-569)) 39) (($ |#2|) 37) (($ (-410 (-569))) NIL)) (-2320 (((-765)) 10)) (-4080 ((|#2| $) 71)) (-1326 (((-121) $ $) 29)) (-1337 (((-121) $ $) 69)) (-1377 (($ $) 31) (($ $ $) NIL)) (-1371 (($ $ $) 30)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 35) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 32))) 
-(((-793 |#1| |#2|) (-10 -8 (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -3243 (|#1| |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -4080 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -3980 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-794 |#2|) (-173)) (T -793)) 
-((-2320 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-793 *3 *4)) (-4 *3 (-794 *4))))) 
-(-10 -8 (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -3243 (|#1| |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -4080 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -3980 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-2675 (((-765)) 51 (|has| |#1| (-371)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 92 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 90 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 88)) (-1321 (((-569) $) 93 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 91 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 87)) (-2611 (((-3 $ "failed") $) 33)) (-3147 ((|#1| $) 77)) (-1330 (((-3 (-410 (-569)) "failed") $) 64 (|has| |#1| (-551)))) (-4429 (((-121) $) 66 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 65 (|has| |#1| (-551)))) (-3341 (($) 54 (|has| |#1| (-371)))) (-3934 (((-121) $) 30)) (-1580 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 68)) (-3046 ((|#1| $) 69)) (-2157 (($ $ $) 60 (|has| |#1| (-844)))) (-2713 (($ $ $) 59 (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) 79)) (-2862 (((-919) $) 53 (|has| |#1| (-371)))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 63 (|has| |#1| (-366)))) (-1333 (($ (-919)) 52 (|has| |#1| (-371)))) (-4445 ((|#1| $) 74)) (-2189 ((|#1| $) 75)) (-3913 ((|#1| $) 76)) (-4455 ((|#1| $) 70)) (-3226 ((|#1| $) 71)) (-1952 ((|#1| $) 72)) (-4227 ((|#1| $) 73)) (-1912 (((-1111) $) 10)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) 85 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 84 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 83 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 82 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 81 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) 80 (|has| |#1| (-524 (-1165) |#1|)))) (-2503 (($ $ |#1|) 86 (|has| |#1| (-282 |#1| |#1|)))) (-4035 (((-542) $) 61 (|has| |#1| (-610 (-542))))) (-3980 (($ $) 78)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 89 (|has| |#1| (-1039 (-410 (-569)))))) (-2277 (((-3 $ "failed") $) 62 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-4080 ((|#1| $) 67 (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 57 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 56 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 58 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 55 (|has| |#1| (-844)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-794 |#1|) (-1284) (-173)) (T -794)) 
-((-3980 (*1 *1 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-3147 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-3913 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-2189 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-4445 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-4227 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-1952 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-3226 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-4455 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-3046 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-1580 (*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-4080 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-2096 (*1 *2 *1) (-12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-1330 (*1 *2 *1) (|partial| -12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-3243 (*1 *1 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
-(-13 (-43 |t#1|) (-414 |t#1|) (-337 |t#1|) (-10 -8 (-15 -3980 ($ $)) (-15 -3147 (|t#1| $)) (-15 -3913 (|t#1| $)) (-15 -2189 (|t#1| $)) (-15 -4445 (|t#1| $)) (-15 -4227 (|t#1| $)) (-15 -1952 (|t#1| $)) (-15 -3226 (|t#1| $)) (-15 -4455 (|t#1| $)) (-15 -3046 (|t#1| $)) (-15 -1580 ($ |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1|)) (IF (|has| |t#1| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1058)) (-15 -4080 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-366)) (-15 -3243 ($ $)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-371) |has| |#1| (-371)) ((-337 |#1|) . T) ((-414 |#1|) . T) ((-524 (-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) . T) ((-718) . T) ((-844) |has| |#1| (-844)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-4188 ((|#3| (-1 |#4| |#2|) |#1|) 20))) 
-(((-795 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) (-794 |#2|) (-173) (-794 |#4|) (-173)) (T -795)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-794 *6)) (-5 *1 (-795 *4 *5 *2 *6)) (-4 *4 (-794 *5))))) 
-(-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-1001 |#1|) "failed") $) 35) (((-3 (-569) "failed") $) NIL (-1929 (|has| (-1001 |#1|) (-1039 (-569))) (|has| |#1| (-1039 (-569))))) (((-3 (-410 (-569)) "failed") $) NIL (-1929 (|has| (-1001 |#1|) (-1039 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-1321 ((|#1| $) NIL) (((-1001 |#1|) $) 33) (((-569) $) NIL (-1929 (|has| (-1001 |#1|) (-1039 (-569))) (|has| |#1| (-1039 (-569))))) (((-410 (-569)) $) NIL (-1929 (|has| (-1001 |#1|) (-1039 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-2611 (((-3 $ "failed") $) NIL)) (-3147 ((|#1| $) 16)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-4429 (((-121) $) NIL (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-3341 (($) NIL (|has| |#1| (-371)))) (-3934 (((-121) $) NIL)) (-1580 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 28) (($ (-1001 |#1|) (-1001 |#1|)) 29)) (-3046 ((|#1| $) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-4445 ((|#1| $) 22)) (-2189 ((|#1| $) 20)) (-3913 ((|#1| $) 18)) (-4455 ((|#1| $) 26)) (-3226 ((|#1| $) 25)) (-1952 ((|#1| $) 24)) (-4227 ((|#1| $) 23)) (-1912 (((-1111) $) NIL)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-524 (-1165) |#1|)))) (-2503 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3980 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1001 |#1|)) 30) (($ (-410 (-569))) NIL (-1929 (|has| (-1001 |#1|) (-1039 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-4080 ((|#1| $) NIL (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 8 T CONST)) (-3297 (($) 12 T CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 40) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-796 |#1|) (-13 (-794 |#1|) (-414 (-1001 |#1|)) (-10 -8 (-15 -1580 ($ (-1001 |#1|) (-1001 |#1|))))) (-173)) (T -796)) 
-((-1580 (*1 *1 *2 *2) (-12 (-5 *2 (-1001 *3)) (-4 *3 (-173)) (-5 *1 (-796 *3))))) 
-(-13 (-794 |#1|) (-414 (-1001 |#1|)) (-10 -8 (-15 -1580 ($ (-1001 |#1|) (-1001 |#1|))))) 
-((-1310 (((-121) $ $) 7)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3476 (((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 12)) (-1326 (((-121) $ $) 6))) 
-(((-797) (-1284)) (T -797)) 
-((-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-797)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) (-3476 (*1 *2 *3) (-12 (-4 *1 (-797)) (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1037))))) 
-(-13 (-1093) (-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3476 ((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-2548 (((-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#3| |#2| (-1165)) 19))) 
-(((-798 |#1| |#2| |#3|) (-10 -7 (-15 -2548 ((-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#3| |#2| (-1165)))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1185) (-961)) (-647 |#2|)) (T -798)) 
-((-2548 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1185) (-961))) (-5 *2 (-2 (|:| |particular| *4) (|:| -4079 (-635 *4)))) (-5 *1 (-798 *6 *4 *3)) (-4 *3 (-647 *4))))) 
-(-10 -7 (-15 -2548 ((-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#3| |#2| (-1165)))) 
-((-2880 (((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)) 26) (((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|)) 27) (((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1165)) 16) (((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1165)) 17) (((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1165)) 22) (((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1165)) 24) (((-3 (-635 (-1253 |#2|)) "failed") (-681 |#2|) (-1165)) 36) (((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-681 |#2|) (-1253 |#2|) (-1165)) 34))) 
-(((-799 |#1| |#2|) (-10 -7 (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-681 |#2|) (-1253 |#2|) (-1165))) (-15 -2880 ((-3 (-635 (-1253 |#2|)) "failed") (-681 |#2|) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1165))) (-15 -2880 ((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -2880 ((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1185) (-961))) (T -799)) 
-((-2880 (*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-289 *2)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-799 *6 *2)))) (-2880 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-289 *2)) (-5 *4 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-5 *1 (-799 *6 *2)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))))) (-2880 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -4079 (-635 *3))) *3 "failed")) (-5 *1 (-799 *6 *3)) (-4 *3 (-13 (-29 *6) (-1185) (-961))))) (-2880 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -4079 (-635 *7))) *7 "failed")) (-5 *1 (-799 *6 *7)))) (-2880 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)))) (-2880 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)))) (-2880 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-681 *6)) (-5 *4 (-1165)) (-4 *6 (-13 (-29 *5) (-1185) (-961))) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-1253 *6))) (-5 *1 (-799 *5 *6)))) (-2880 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-681 *7)) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)) (-5 *4 (-1253 *7))))) 
-(-10 -7 (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-681 |#2|) (-1253 |#2|) (-1165))) (-15 -2880 ((-3 (-635 (-1253 |#2|)) "failed") (-681 |#2|) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1165))) (-15 -2880 ((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -2880 ((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)))) 
-((-3840 (($) 9)) (-3156 (((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 26)) (-1316 (((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $) 23)) (-2351 (($ (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) 20)) (-2083 (($ (-635 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) 18)) (-1716 (((-1258)) 12))) 
-(((-800) (-10 -8 (-15 -3840 ($)) (-15 -1716 ((-1258))) (-15 -1316 ((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -2083 ($ (-635 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))))) (-15 -2351 ($ (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-15 -3156 ((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -800)) 
-((-3156 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *1 (-800)))) (-2351 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) (-5 *1 (-800)))) (-2083 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-5 *1 (-800)))) (-1316 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-800)))) (-1716 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-800)))) (-3840 (*1 *1) (-5 *1 (-800)))) 
-(-10 -8 (-15 -3840 ($)) (-15 -1716 ((-1258))) (-15 -1316 ((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -2083 ($ (-635 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))))) (-15 -2351 ($ (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-15 -3156 ((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
-((-1763 ((|#2| |#2| (-1165)) 15)) (-1802 ((|#2| |#2| (-1165)) 47)) (-1574 (((-1 |#2| |#2|) (-1165)) 11))) 
-(((-801 |#1| |#2|) (-10 -7 (-15 -1763 (|#2| |#2| (-1165))) (-15 -1802 (|#2| |#2| (-1165))) (-15 -1574 ((-1 |#2| |#2|) (-1165)))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1185) (-961))) (T -801)) 
-((-1574 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-1 *5 *5)) (-5 *1 (-801 *4 *5)) (-4 *5 (-13 (-29 *4) (-1185) (-961))))) (-1802 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-801 *4 *2)) (-4 *2 (-13 (-29 *4) (-1185) (-961))))) (-1763 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-801 *4 *2)) (-4 *2 (-13 (-29 *4) (-1185) (-961)))))) 
-(-10 -7 (-15 -1763 (|#2| |#2| (-1165))) (-15 -1802 (|#2| |#2| (-1165))) (-15 -1574 ((-1 |#2| |#2|) (-1165)))) 
-((-2880 (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382)) 114) (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382)) 115) (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382)) 117) (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382)) 118) (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382)) 119) (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382))) 120) (((-1037) (-805) (-1061)) 105) (((-1037) (-805)) 106)) (-1550 (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805) (-1061)) 71) (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805)) 73))) 
-(((-802) (-10 -7 (-15 -2880 ((-1037) (-805))) (-15 -2880 ((-1037) (-805) (-1061))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805) (-1061))))) (T -802)) 
-((-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-805)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-802)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-805)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-805)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3) (-12 (-5 *3 (-805)) (-5 *2 (-1037)) (-5 *1 (-802))))) 
-(-10 -7 (-15 -2880 ((-1037) (-805))) (-15 -2880 ((-1037) (-805) (-1061))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805) (-1061)))) 
-((-3059 (((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -4079 (-635 |#4|))) (-644 |#4|) |#4|) 32))) 
-(((-803 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3059 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -4079 (-635 |#4|))) (-644 |#4|) |#4|))) (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569)))) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -803)) 
-((-3059 (*1 *2 *3 *4) (-12 (-5 *3 (-644 *4)) (-4 *4 (-341 *5 *6 *7)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-803 *5 *6 *7 *4))))) 
-(-10 -7 (-15 -3059 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -4079 (-635 |#4|))) (-644 |#4|) |#4|))) 
-((-3979 (((-2 (|:| -4399 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))) 51)) (-2901 (((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4| |#2|) 59) (((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4|) 58) (((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3| |#2|) 20) (((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3|) 21)) (-3815 ((|#2| |#4| |#1|) 60) ((|#2| |#3| |#1|) 27)) (-1654 ((|#2| |#3| (-635 (-410 |#2|))) 93) (((-3 |#2| "failed") |#3| (-410 |#2|)) 90))) 
-(((-804 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1654 ((-3 |#2| "failed") |#3| (-410 |#2|))) (-15 -1654 (|#2| |#3| (-635 (-410 |#2|)))) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3| |#2|)) (-15 -3815 (|#2| |#3| |#1|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4| |#2|)) (-15 -3815 (|#2| |#4| |#1|)) (-15 -3979 ((-2 (|:| -4399 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))))) (-13 (-366) (-151) (-1039 (-410 (-569)))) (-1228 |#1|) (-647 |#2|) (-647 (-410 |#2|))) (T -804)) 
-((-3979 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-2 (|:| -4399 *7) (|:| |rh| (-635 (-410 *6))))) (-5 *1 (-804 *5 *6 *7 *3)) (-5 *4 (-635 (-410 *6))) (-4 *7 (-647 *6)) (-4 *3 (-647 (-410 *6))))) (-3815 (*1 *2 *3 *4) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-804 *4 *2 *5 *3)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-647 *2)) (-4 *3 (-647 (-410 *2))))) (-2901 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *4 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -1736 *4) (|:| -4183 *4)))) (-5 *1 (-804 *5 *4 *6 *3)) (-4 *6 (-647 *4)) (-4 *3 (-647 (-410 *4))))) (-2901 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| -1736 *5) (|:| -4183 *5)))) (-5 *1 (-804 *4 *5 *6 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 (-410 *5))))) (-3815 (*1 *2 *3 *4) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-804 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2))))) (-2901 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *4 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -1736 *4) (|:| -4183 *4)))) (-5 *1 (-804 *5 *4 *3 *6)) (-4 *3 (-647 *4)) (-4 *6 (-647 (-410 *4))))) (-2901 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| -1736 *5) (|:| -4183 *5)))) (-5 *1 (-804 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) (-1654 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-410 *2))) (-4 *2 (-1228 *5)) (-5 *1 (-804 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 (-410 *2))))) (-1654 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-410 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-804 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 *4))))) 
-(-10 -7 (-15 -1654 ((-3 |#2| "failed") |#3| (-410 |#2|))) (-15 -1654 (|#2| |#3| (-635 (-410 |#2|)))) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3| |#2|)) (-15 -3815 (|#2| |#3| |#1|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4| |#2|)) (-15 -3815 (|#2| |#4| |#1|)) (-15 -3979 ((-2 (|:| -4399 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))))) 
-((-1310 (((-121) $ $) NIL)) (-1321 (((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $) 9)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 11) (($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 8)) (-1326 (((-121) $ $) NIL))) 
-(((-805) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $))))) (T -805)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-805)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-805)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-805))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $)))) 
-((-4540 (((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1161 |#2|)) (-1 (-421 |#2|) |#2|)) 118)) (-1898 (((-635 (-2 (|:| |poly| |#2|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|)) 45)) (-1679 (((-635 (-2 (|:| |deg| (-765)) (|:| -4399 |#2|))) |#3|) 95)) (-1855 ((|#2| |#3|) 37)) (-4007 (((-635 (-2 (|:| -3575 |#1|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|)) 82)) (-3668 ((|#3| |#3| (-410 |#2|)) 63) ((|#3| |#3| |#2|) 79))) 
-(((-806 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1855 (|#2| |#3|)) (-15 -1679 ((-635 (-2 (|:| |deg| (-765)) (|:| -4399 |#2|))) |#3|)) (-15 -4007 ((-635 (-2 (|:| -3575 |#1|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -1898 ((-635 (-2 (|:| |poly| |#2|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -4540 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1161 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -3668 (|#3| |#3| |#2|)) (-15 -3668 (|#3| |#3| (-410 |#2|)))) (-13 (-366) (-151) (-1039 (-410 (-569)))) (-1228 |#1|) (-647 |#2|) (-647 (-410 |#2|))) (T -806)) 
-((-3668 (*1 *2 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *1 (-806 *4 *5 *2 *6)) (-4 *2 (-647 *5)) (-4 *6 (-647 *3)))) (-3668 (*1 *2 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-1228 *4)) (-5 *1 (-806 *4 *3 *2 *5)) (-4 *2 (-647 *3)) (-4 *5 (-647 (-410 *3))))) (-4540 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-635 *7) *7 (-1161 *7))) (-5 *5 (-1 (-421 *7) *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *7)) (|:| -4399 *3)))) (-5 *1 (-806 *6 *7 *3 *8)) (-4 *3 (-647 *7)) (-4 *8 (-647 (-410 *7))))) (-1898 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -4399 *3)))) (-5 *1 (-806 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) (-4007 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -3575 *5) (|:| -4399 *3)))) (-5 *1 (-806 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) (-1679 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| |deg| (-765)) (|:| -4399 *5)))) (-5 *1 (-806 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) (-1855 (*1 *2 *3) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-806 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2)))))) 
-(-10 -7 (-15 -1855 (|#2| |#3|)) (-15 -1679 ((-635 (-2 (|:| |deg| (-765)) (|:| -4399 |#2|))) |#3|)) (-15 -4007 ((-635 (-2 (|:| -3575 |#1|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -1898 ((-635 (-2 (|:| |poly| |#2|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -4540 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1161 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -3668 (|#3| |#3| |#2|)) (-15 -3668 (|#3| |#3| (-410 |#2|)))) 
-((-1568 (((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|))) 117) (((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|)) 116) (((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|))) 111) (((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|)) 109)) (-2635 ((|#2| (-645 |#2| (-410 |#2|))) 77) ((|#2| (-644 (-410 |#2|))) 81))) 
-(((-807 |#1| |#2|) (-10 -7 (-15 -1568 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|))) (-15 -1568 ((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -1568 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|))) (-15 -1568 ((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -2635 (|#2| (-644 (-410 |#2|)))) (-15 -2635 (|#2| (-645 |#2| (-410 |#2|))))) (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569)))) (-1228 |#1|)) (T -807)) 
-((-2635 (*1 *2 *3) (-12 (-5 *3 (-645 *2 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-807 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))))) (-2635 (*1 *2 *3) (-12 (-5 *3 (-644 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-807 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))))) (-1568 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| -4079 (-635 (-410 *6))) (|:| -4463 (-681 *5)))) (-5 *1 (-807 *5 *6)) (-5 *4 (-635 (-410 *6))))) (-1568 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-807 *5 *6)))) (-1568 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| -4079 (-635 (-410 *6))) (|:| -4463 (-681 *5)))) (-5 *1 (-807 *5 *6)) (-5 *4 (-635 (-410 *6))))) (-1568 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-807 *5 *6))))) 
-(-10 -7 (-15 -1568 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|))) (-15 -1568 ((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -1568 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|))) (-15 -1568 ((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -2635 (|#2| (-644 (-410 |#2|)))) (-15 -2635 (|#2| (-645 |#2| (-410 |#2|))))) 
-((-3092 (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) |#5| |#4|) 47))) 
-(((-808 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3092 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) |#5| |#4|))) (-366) (-647 |#1|) (-1228 |#1|) (-716 |#1| |#3|) (-647 |#4|)) (T -808)) 
-((-3092 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *7 (-1228 *5)) (-4 *4 (-716 *5 *7)) (-5 *2 (-2 (|:| -4463 (-681 *6)) (|:| |vec| (-1253 *5)))) (-5 *1 (-808 *5 *6 *7 *4 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 *4))))) 
-(-10 -7 (-15 -3092 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) |#5| |#4|))) 
-((-4540 (((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 43)) (-1740 (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 133 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|))) 134 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 135 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-644 (-410 |#2|))) 136 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|)) 36) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 37) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|)) 34) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 35)) (-1898 (((-635 (-2 (|:| |poly| |#2|) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 80))) 
-(((-809 |#1| |#2|) (-10 -7 (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -4540 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -1898 ((-635 (-2 (|:| |poly| |#2|) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)))) (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)))) |noBranch|)) (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569)))) (-1228 |#1|)) (T -809)) 
-((-1740 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) (-1740 (*1 *2 *3) (-12 (-5 *3 (-645 *5 (-410 *5))) (-4 *5 (-1228 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-809 *4 *5)))) (-1740 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) (-1740 (*1 *2 *3) (-12 (-5 *3 (-644 (-410 *5))) (-4 *5 (-1228 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-809 *4 *5)))) (-1898 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -4399 (-645 *6 (-410 *6)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-645 *6 (-410 *6))))) (-4540 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *6)) (|:| -4399 (-645 *6 (-410 *6)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-645 *6 (-410 *6))))) (-1740 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-645 *7 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *7 (-1228 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-809 *6 *7)))) (-1740 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) (-1740 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-644 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *7 (-1228 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-809 *6 *7)))) (-1740 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6))))) 
-(-10 -7 (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -4540 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -1898 ((-635 (-2 (|:| |poly| |#2|) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)))) (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)))) |noBranch|)) 
-((-3265 (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) (-681 |#2|) (-1253 |#1|)) 86) (((-2 (|:| A (-681 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)) (|:| -4399 |#2|) (|:| |rh| |#1|))))) (-681 |#1|) (-1253 |#1|)) 14)) (-3089 (((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#2|) (-1253 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -4079 (-635 |#1|))) |#2| |#1|)) 92)) (-2880 (((-3 (-2 (|:| |particular| (-1253 |#1|)) (|:| -4079 (-681 |#1|))) "failed") (-681 |#1|) (-1253 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed") |#2| |#1|)) 45))) 
-(((-810 |#1| |#2|) (-10 -7 (-15 -3265 ((-2 (|:| A (-681 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)) (|:| -4399 |#2|) (|:| |rh| |#1|))))) (-681 |#1|) (-1253 |#1|))) (-15 -3265 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) (-681 |#2|) (-1253 |#1|))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#1|)) (|:| -4079 (-681 |#1|))) "failed") (-681 |#1|) (-1253 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed") |#2| |#1|))) (-15 -3089 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#2|) (-1253 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -4079 (-635 |#1|))) |#2| |#1|)))) (-366) (-647 |#1|)) (T -810)) 
-((-3089 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -4079 (-635 *6))) *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *6) "failed")) (|:| -4079 (-635 (-1253 *6))))) (-5 *1 (-810 *6 *7)) (-5 *4 (-1253 *6)))) (-2880 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -4079 (-635 *6))) "failed") *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-1253 *6)) (|:| -4079 (-681 *6)))) (-5 *1 (-810 *6 *7)) (-5 *3 (-681 *6)) (-5 *4 (-1253 *6)))) (-3265 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-647 *5)) (-5 *2 (-2 (|:| -4463 (-681 *6)) (|:| |vec| (-1253 *5)))) (-5 *1 (-810 *5 *6)) (-5 *3 (-681 *6)) (-5 *4 (-1253 *5)))) (-3265 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| A (-681 *5)) (|:| |eqs| (-635 (-2 (|:| C (-681 *5)) (|:| |g| (-1253 *5)) (|:| -4399 *6) (|:| |rh| *5)))))) (-5 *1 (-810 *5 *6)) (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *6 (-647 *5))))) 
-(-10 -7 (-15 -3265 ((-2 (|:| A (-681 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)) (|:| -4399 |#2|) (|:| |rh| |#1|))))) (-681 |#1|) (-1253 |#1|))) (-15 -3265 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) (-681 |#2|) (-1253 |#1|))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#1|)) (|:| -4079 (-681 |#1|))) "failed") (-681 |#1|) (-1253 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed") |#2| |#1|))) (-15 -3089 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#2|) (-1253 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -4079 (-635 |#1|))) |#2| |#1|)))) 
-((-3984 (((-681 |#1|) (-635 |#1|) (-765)) 13) (((-681 |#1|) (-635 |#1|)) 14)) (-1502 (((-3 (-1253 |#1|) "failed") |#2| |#1| (-635 |#1|)) 34)) (-4192 (((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)) 42))) 
-(((-811 |#1| |#2|) (-10 -7 (-15 -3984 ((-681 |#1|) (-635 |#1|))) (-15 -3984 ((-681 |#1|) (-635 |#1|) (-765))) (-15 -1502 ((-3 (-1253 |#1|) "failed") |#2| |#1| (-635 |#1|))) (-15 -4192 ((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)))) (-366) (-647 |#1|)) (T -811)) 
-((-4192 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-635 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-366)) (-5 *1 (-811 *2 *3)) (-4 *3 (-647 *2)))) (-1502 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-1253 *4)) (-5 *1 (-811 *4 *3)) (-4 *3 (-647 *4)))) (-3984 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-811 *5 *6)) (-4 *6 (-647 *5)))) (-3984 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-681 *4)) (-5 *1 (-811 *4 *5)) (-4 *5 (-647 *4))))) 
-(-10 -7 (-15 -3984 ((-681 |#1|) (-635 |#1|))) (-15 -3984 ((-681 |#1|) (-635 |#1|) (-765))) (-15 -1502 ((-3 (-1253 |#1|) "failed") |#2| |#1| (-635 |#1|))) (-15 -4192 ((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#2| (-1093)))) (-2225 (((-121) $) NIL (|has| |#2| (-138)))) (-4148 (($ (-919)) NIL (|has| |#2| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) NIL (|has| |#2| (-790)))) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#2| (-138)))) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#2| (-371)))) (-3817 (((-569) $) NIL (|has| |#2| (-842)))) (-2511 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1093)))) (-1321 (((-569) $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) ((|#2| $) NIL (|has| |#2| (-1093)))) (-3435 (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL (|has| |#2| (-1049))) (((-681 |#2|) (-681 $)) NIL (|has| |#2| (-1049)))) (-2611 (((-3 $ "failed") $) NIL (|has| |#2| (-718)))) (-3341 (($) NIL (|has| |#2| (-371)))) (-3982 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ (-569)) NIL)) (-1863 (((-121) $) NIL (|has| |#2| (-842)))) (-4303 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (|has| |#2| (-718)))) (-4311 (((-121) $) NIL (|has| |#2| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-4457 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-2089 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#2| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#2| (-1093)))) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#2| (-371)))) (-1912 (((-1111) $) NIL (|has| |#2| (-1093)))) (-1816 ((|#2| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL)) (-4510 ((|#2| $ $) NIL (|has| |#2| (-1049)))) (-3161 (($ (-1253 |#2|)) NIL)) (-2174 (((-140)) NIL (|has| |#2| (-366)))) (-3289 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-2691 (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#2|) $) NIL) (((-852) $) NIL (|has| |#2| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (|has| |#2| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (($ |#2|) NIL (|has| |#2| (-1093)))) (-2320 (((-765)) NIL (|has| |#2| (-1049)))) (-3776 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#2| (-842)))) (-3403 (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (-2407 (($) NIL (|has| |#2| (-138)) CONST)) (-3297 (($) NIL (|has| |#2| (-718)) CONST)) (-3712 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1326 (((-121) $ $) NIL (|has| |#2| (-1093)))) (-1349 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1337 (((-121) $ $) 11 (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $ $) NIL (|has| |#2| (-1049))) (($ $) NIL (|has| |#2| (-1049)))) (-1371 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (* (($ (-569) $) NIL (|has| |#2| (-1049))) (($ $ $) NIL (|has| |#2| (-718))) (($ $ |#2|) NIL (|has| |#2| (-1049))) (($ |#2| $) NIL (|has| |#2| (-1049))) (($ (-765) $) NIL (|has| |#2| (-138))) (($ (-919) $) NIL (|has| |#2| (-25)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-812 |#1| |#2| |#3|) (-231 |#1| |#2|) (-765) (-790) (-1 (-121) (-1253 |#2|) (-1253 |#2|))) (T -812)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-1059 |#1|) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-3309 (($ |#1|) 17) (($ $ |#1|) 20)) (-2483 (($ |#1|) 18) (($ $ |#1|) 21)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL) (($) 19) (($ $) 22)) (-2583 (((-121) $) NIL)) (-3806 (($ |#1| |#1| |#1| |#1|) 8)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 16)) (-2580 (((-1115) $) NIL)) (-4483 ((|#1| $ |#1|) 24) (((-833 |#1|) $ (-833 |#1|)) 32)) (-2911 (($ $ $) NIL)) (-2212 (($ $ $) NIL)) (-3942 (((-855) $) 39)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-3222 (($) 9 T CONST)) (-1323 (((-121) $ $) 44)) (-1379 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ $ $) 14))) 
+(((-713 |#1|) (-13 (-481) (-10 -8 (-15 -3806 ($ |#1| |#1| |#1| |#1|)) (-15 -3309 ($ |#1|)) (-15 -2483 ($ |#1|)) (-15 -3978 ($)) (-15 -3309 ($ $ |#1|)) (-15 -2483 ($ $ |#1|)) (-15 -3978 ($ $)) (-15 -4483 (|#1| $ |#1|)) (-15 -4483 ((-833 |#1|) $ (-833 |#1|))))) (-367)) (T -713)) 
+((-3806 (*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) (-3309 (*1 *1 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) (-2483 (*1 *1 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) (-3978 (*1 *1) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) (-3309 (*1 *1 *1 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) (-2483 (*1 *1 *1 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) (-3978 (*1 *1 *1) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) (-4483 (*1 *2 *1 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) (-4483 (*1 *2 *1 *2) (-12 (-5 *2 (-833 *3)) (-4 *3 (-367)) (-5 *1 (-713 *3))))) 
+(-13 (-481) (-10 -8 (-15 -3806 ($ |#1| |#1| |#1| |#1|)) (-15 -3309 ($ |#1|)) (-15 -2483 ($ |#1|)) (-15 -3978 ($)) (-15 -3309 ($ $ |#1|)) (-15 -2483 ($ $ |#1|)) (-15 -3978 ($ $)) (-15 -4483 (|#1| $ |#1|)) (-15 -4483 ((-833 |#1|) $ (-833 |#1|))))) 
+((-3116 (($ $ (-922)) 12)) (-4406 (($ $ (-922)) 13)) (** (($ $ (-922)) 10))) 
+(((-714 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-922))) (-15 -4406 (|#1| |#1| (-922))) (-15 -3116 (|#1| |#1| (-922)))) (-715)) (T -714)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-922))) (-15 -4406 (|#1| |#1| (-922))) (-15 -3116 (|#1| |#1| (-922)))) 
+((-2234 (((-121) $ $) 7)) (-3116 (($ $ (-922)) 14)) (-4406 (($ $ (-922)) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6)) (** (($ $ (-922)) 12)) (* (($ $ $) 15))) 
+(((-715) (-1289)) (T -715)) 
+((* (*1 *1 *1 *1) (-4 *1 (-715))) (-3116 (*1 *1 *1 *2) (-12 (-4 *1 (-715)) (-5 *2 (-922)))) (-4406 (*1 *1 *1 *2) (-12 (-4 *1 (-715)) (-5 *2 (-922)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-715)) (-5 *2 (-922))))) 
+(-13 (-1097) (-10 -8 (-15 * ($ $ $)) (-15 -3116 ($ $ (-922))) (-15 -4406 ($ $ (-922))) (-15 ** ($ $ (-922))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-3116 (($ $ (-922)) NIL) (($ $ (-768)) 17)) (-2583 (((-121) $) 10)) (-4406 (($ $ (-922)) NIL) (($ $ (-768)) 18)) (** (($ $ (-922)) NIL) (($ $ (-768)) 15))) 
+(((-716 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-768))) (-15 -4406 (|#1| |#1| (-768))) (-15 -3116 (|#1| |#1| (-768))) (-15 -2583 ((-121) |#1|)) (-15 ** (|#1| |#1| (-922))) (-15 -4406 (|#1| |#1| (-922))) (-15 -3116 (|#1| |#1| (-922)))) (-717)) (T -716)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-768))) (-15 -4406 (|#1| |#1| (-768))) (-15 -3116 (|#1| |#1| (-768))) (-15 -2583 ((-121) |#1|)) (-15 ** (|#1| |#1| (-922))) (-15 -4406 (|#1| |#1| (-922))) (-15 -3116 (|#1| |#1| (-922)))) 
+((-2234 (((-121) $ $) 7)) (-4555 (((-3 $ "failed") $) 16)) (-3116 (($ $ (-922)) 14) (($ $ (-768)) 21)) (-3978 (((-3 $ "failed") $) 18)) (-2583 (((-121) $) 22)) (-3151 (((-3 $ "failed") $) 17)) (-4406 (($ $ (-922)) 13) (($ $ (-768)) 20)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-3222 (($) 23 T CONST)) (-1323 (((-121) $ $) 6)) (** (($ $ (-922)) 12) (($ $ (-768)) 19)) (* (($ $ $) 15))) 
+(((-717) (-1289)) (T -717)) 
+((-3222 (*1 *1) (-4 *1 (-717))) (-2583 (*1 *2 *1) (-12 (-4 *1 (-717)) (-5 *2 (-121)))) (-3116 (*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-768)))) (-4406 (*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-768)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-768)))) (-3978 (*1 *1 *1) (|partial| -4 *1 (-717))) (-3151 (*1 *1 *1) (|partial| -4 *1 (-717))) (-4555 (*1 *1 *1) (|partial| -4 *1 (-717)))) 
+(-13 (-715) (-10 -8 (-15 (-3222) ($) -3177) (-15 -2583 ((-121) $)) (-15 -3116 ($ $ (-768))) (-15 -4406 ($ $ (-768))) (-15 ** ($ $ (-768))) (-15 -3978 ((-3 $ "failed") $)) (-15 -3151 ((-3 $ "failed") $)) (-15 -4555 ((-3 $ "failed") $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-715) . T) ((-1097) . T)) 
+((-4407 (((-768)) 35)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-1316 (((-571) $) NIL) (((-412 (-571)) $) NIL) ((|#2| $) 22)) (-3074 (($ |#3|) NIL) (((-3 $ "failed") (-412 |#3|)) 45)) (-3978 (((-3 $ "failed") $) 65)) (-3254 (($) 39)) (-3477 ((|#2| $) 20)) (-2280 (($) 17)) (-3096 (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) 53) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) NIL) (($ $ (-768)) NIL) (($ $) NIL)) (-3023 (((-684 |#2|) (-1258 $) (-1 |#2| |#2|)) 60)) (-4050 (((-1258 |#2|) $) NIL) (($ (-1258 |#2|)) NIL) ((|#3| $) 10) (($ |#3|) 12)) (-3393 ((|#3| $) 32)) (-1899 (((-1258 $)) 29))) 
+(((-718 |#1| |#2| |#3|) (-10 -8 (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3254 (|#1|)) (-15 -4407 ((-768))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3023 ((-684 |#2|) (-1258 |#1|) (-1 |#2| |#2|))) (-15 -3074 ((-3 |#1| "failed") (-412 |#3|))) (-15 -4050 (|#1| |#3|)) (-15 -3074 (|#1| |#3|)) (-15 -2280 (|#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -4050 (|#3| |#1|)) (-15 -4050 (|#1| (-1258 |#2|))) (-15 -4050 ((-1258 |#2|) |#1|)) (-15 -1899 ((-1258 |#1|))) (-15 -3393 (|#3| |#1|)) (-15 -3477 (|#2| |#1|)) (-15 -3978 ((-3 |#1| "failed") |#1|))) (-719 |#2| |#3|) (-173) (-1233 |#2|)) (T -718)) 
+((-4407 (*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-768)) (-5 *1 (-718 *3 *4 *5)) (-4 *3 (-719 *4 *5))))) 
+(-10 -8 (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3254 (|#1|)) (-15 -4407 ((-768))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3023 ((-684 |#2|) (-1258 |#1|) (-1 |#2| |#2|))) (-15 -3074 ((-3 |#1| "failed") (-412 |#3|))) (-15 -4050 (|#1| |#3|)) (-15 -3074 (|#1| |#3|)) (-15 -2280 (|#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -4050 (|#3| |#1|)) (-15 -4050 (|#1| (-1258 |#2|))) (-15 -4050 ((-1258 |#2|) |#1|)) (-15 -1899 ((-1258 |#1|))) (-15 -3393 (|#3| |#1|)) (-15 -3477 (|#2| |#1|)) (-15 -3978 ((-3 |#1| "failed") |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 88 (|has| |#1| (-367)))) (-1415 (($ $) 89 (|has| |#1| (-367)))) (-2545 (((-121) $) 91 (|has| |#1| (-367)))) (-2076 (((-684 |#1|) (-1258 $)) 44) (((-684 |#1|)) 55)) (-3490 ((|#1| $) 50)) (-1747 (((-1177 (-922) (-768)) (-571)) 142 (|has| |#1| (-352)))) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 108 (|has| |#1| (-367)))) (-4151 (((-423 $) $) 109 (|has| |#1| (-367)))) (-1295 (((-121) $ $) 99 (|has| |#1| (-367)))) (-4407 (((-768)) 81 (|has| |#1| (-373)))) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 164 (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) 162 (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 161)) (-1316 (((-571) $) 165 (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) 163 (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) 160)) (-3456 (($ (-1258 |#1|) (-1258 $)) 46) (($ (-1258 |#1|)) 58)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 148 (|has| |#1| (-352)))) (-2162 (($ $ $) 103 (|has| |#1| (-367)))) (-3962 (((-684 |#1|) $ (-1258 $)) 51) (((-684 |#1|) $) 53)) (-2680 (((-684 (-571)) (-684 $)) 159 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 158 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 157) (((-684 |#1|) (-684 $)) 156)) (-3074 (($ |#2|) 153) (((-3 $ "failed") (-412 |#2|)) 150 (|has| |#1| (-367)))) (-3978 (((-3 $ "failed") $) 33)) (-3241 (((-922)) 52)) (-3254 (($) 84 (|has| |#1| (-373)))) (-2180 (($ $ $) 102 (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 97 (|has| |#1| (-367)))) (-1962 (($) 144 (|has| |#1| (-352)))) (-2854 (((-121) $) 145 (|has| |#1| (-352)))) (-2442 (($ $ (-768)) 136 (|has| |#1| (-352))) (($ $) 135 (|has| |#1| (-352)))) (-1596 (((-121) $) 110 (|has| |#1| (-367)))) (-3347 (((-922) $) 147 (|has| |#1| (-352))) (((-833 (-922)) $) 133 (|has| |#1| (-352)))) (-2583 (((-121) $) 30)) (-3477 ((|#1| $) 49)) (-2596 (((-3 $ "failed") $) 137 (|has| |#1| (-352)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 106 (|has| |#1| (-367)))) (-4400 ((|#2| $) 42 (|has| |#1| (-367)))) (-4470 (((-922) $) 83 (|has| |#1| (-373)))) (-3069 ((|#2| $) 151)) (-1622 (($ (-637 $)) 95 (|has| |#1| (-367))) (($ $ $) 94 (|has| |#1| (-367)))) (-3944 (((-1151) $) 9)) (-4315 (($ $) 111 (|has| |#1| (-367)))) (-1757 (($) 138 (|has| |#1| (-352)) CONST)) (-1755 (($ (-922)) 82 (|has| |#1| (-373)))) (-2580 (((-1115) $) 10)) (-2280 (($) 155)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 96 (|has| |#1| (-367)))) (-3026 (($ (-637 $)) 93 (|has| |#1| (-367))) (($ $ $) 92 (|has| |#1| (-367)))) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) 141 (|has| |#1| (-352)))) (-4262 (((-423 $) $) 107 (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105 (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 104 (|has| |#1| (-367)))) (-1786 (((-3 $ "failed") $ $) 87 (|has| |#1| (-367)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 98 (|has| |#1| (-367)))) (-1826 (((-768) $) 100 (|has| |#1| (-367)))) (-3804 (((-637 $)) 85 (|has| |#1| (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 101 (|has| |#1| (-367)))) (-1475 ((|#1| (-1258 $)) 45) ((|#1|) 54)) (-1305 (((-768) $) 146 (|has| |#1| (-352))) (((-3 (-768) "failed") $ $) 134 (|has| |#1| (-352)))) (-3096 (($ $) 132 (-1831 (-3997 (|has| |#1| (-226)) (|has| |#1| (-367))) (|has| |#1| (-352)))) (($ $ (-768)) 130 (-1831 (-3997 (|has| |#1| (-226)) (|has| |#1| (-367))) (|has| |#1| (-352)))) (($ $ (-1169)) 128 (-3997 (|has| |#1| (-900 (-1169))) (|has| |#1| (-367)))) (($ $ (-637 (-1169))) 127 (-3997 (|has| |#1| (-900 (-1169))) (|has| |#1| (-367)))) (($ $ (-1169) (-768)) 126 (-3997 (|has| |#1| (-900 (-1169))) (|has| |#1| (-367)))) (($ $ (-637 (-1169)) (-637 (-768))) 125 (-3997 (|has| |#1| (-900 (-1169))) (|has| |#1| (-367)))) (($ $ (-1 |#1| |#1|) (-768)) 118 (|has| |#1| (-367))) (($ $ (-1 |#1| |#1|)) 117 (|has| |#1| (-367)))) (-3023 (((-684 |#1|) (-1258 $) (-1 |#1| |#1|)) 149 (|has| |#1| (-367)))) (-3413 ((|#2|) 154)) (-4481 (($) 143 (|has| |#1| (-352)))) (-3723 (((-1258 |#1|) $ (-1258 $)) 48) (((-684 |#1|) (-1258 $) (-1258 $)) 47) (((-1258 |#1|) $) 60) (((-684 |#1|) (-1258 $)) 59)) (-4050 (((-1258 |#1|) $) 57) (($ (-1258 |#1|)) 56) ((|#2| $) 166) (($ |#2|) 152)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 140 (|has| |#1| (-352)))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 36) (($ $) 86 (|has| |#1| (-367))) (($ (-412 (-571))) 80 (-1831 (|has| |#1| (-367)) (|has| |#1| (-1043 (-412 (-571))))))) (-2346 (($ $) 139 (|has| |#1| (-352))) (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-3393 ((|#2| $) 43)) (-2661 (((-768)) 28)) (-1899 (((-1258 $)) 61)) (-1388 (((-121) $ $) 90 (|has| |#1| (-367)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 112 (|has| |#1| (-367)))) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $) 131 (-1831 (-3997 (|has| |#1| (-226)) (|has| |#1| (-367))) (|has| |#1| (-352)))) (($ $ (-768)) 129 (-1831 (-3997 (|has| |#1| (-226)) (|has| |#1| (-367))) (|has| |#1| (-352)))) (($ $ (-1169)) 124 (-3997 (|has| |#1| (-900 (-1169))) (|has| |#1| (-367)))) (($ $ (-637 (-1169))) 123 (-3997 (|has| |#1| (-900 (-1169))) (|has| |#1| (-367)))) (($ $ (-1169) (-768)) 122 (-3997 (|has| |#1| (-900 (-1169))) (|has| |#1| (-367)))) (($ $ (-637 (-1169)) (-637 (-768))) 121 (-3997 (|has| |#1| (-900 (-1169))) (|has| |#1| (-367)))) (($ $ (-1 |#1| |#1|) (-768)) 120 (|has| |#1| (-367))) (($ $ (-1 |#1| |#1|)) 119 (|has| |#1| (-367)))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 116 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 113 (|has| |#1| (-367)))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-412 (-571)) $) 115 (|has| |#1| (-367))) (($ $ (-412 (-571))) 114 (|has| |#1| (-367))))) 
+(((-719 |#1| |#2|) (-1289) (-173) (-1233 |t#1|)) (T -719)) 
+((-2280 (*1 *1) (-12 (-4 *2 (-173)) (-4 *1 (-719 *2 *3)) (-4 *3 (-1233 *2)))) (-3413 (*1 *2) (-12 (-4 *1 (-719 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1233 *3)))) (-3074 (*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-719 *3 *2)) (-4 *2 (-1233 *3)))) (-4050 (*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-719 *3 *2)) (-4 *2 (-1233 *3)))) (-3069 (*1 *2 *1) (-12 (-4 *1 (-719 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1233 *3)))) (-3074 (*1 *1 *2) (|partial| -12 (-5 *2 (-412 *4)) (-4 *4 (-1233 *3)) (-4 *3 (-367)) (-4 *3 (-173)) (-4 *1 (-719 *3 *4)))) (-3023 (*1 *2 *3 *4) (-12 (-5 *3 (-1258 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-367)) (-4 *1 (-719 *5 *6)) (-4 *5 (-173)) (-4 *6 (-1233 *5)) (-5 *2 (-684 *5))))) 
+(-13 (-414 |t#1| |t#2|) (-173) (-612 |t#2|) (-416 |t#1|) (-382 |t#1|) (-10 -8 (-15 -2280 ($)) (-15 -3413 (|t#2|)) (-15 -3074 ($ |t#2|)) (-15 -4050 ($ |t#2|)) (-15 -3069 (|t#2| $)) (IF (|has| |t#1| (-373)) (-6 (-373)) |noBranch|) (IF (|has| |t#1| (-367)) (PROGN (-6 (-367)) (-6 (-224 |t#1|)) (-15 -3074 ((-3 $ "failed") (-412 |t#2|))) (-15 -3023 ((-684 |t#1|) (-1258 $) (-1 |t#1| |t#1|)))) |noBranch|) (IF (|has| |t#1| (-352)) (-6 (-352)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-43 |#1|) . T) ((-43 $) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1831 (|has| |#1| (-352)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) . T) ((-612 |#2|) . T) ((-224 |#1|) |has| |#1| (-367)) ((-226) -1831 (|has| |#1| (-352)) (-12 (|has| |#1| (-226)) (|has| |#1| (-367)))) ((-239) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-286) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-302) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-367) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-407) |has| |#1| (-352)) ((-373) -1831 (|has| |#1| (-373)) (|has| |#1| (-352))) ((-352) |has| |#1| (-352)) ((-375 |#1| |#2|) . T) ((-414 |#1| |#2|) . T) ((-382 |#1|) . T) ((-416 |#1|) . T) ((-456) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-561) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-640 (-412 (-571))) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-640 |#1|) . T) ((-640 $) . T) ((-633 (-571)) |has| |#1| (-633 (-571))) ((-633 |#1|) . T) ((-712 (-412 (-571))) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-712 |#1|) . T) ((-712 $) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-721) . T) ((-900 (-1169)) -12 (|has| |#1| (-367)) (|has| |#1| (-900 (-1169)))) ((-921) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T) ((-1059 (-412 (-571))) -1831 (|has| |#1| (-352)) (|has| |#1| (-367))) ((-1059 |#1|) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1143) |has| |#1| (-352)) ((-1213) -1831 (|has| |#1| (-352)) (|has| |#1| (-367)))) 
+((-2269 (($) 14)) (-3978 (((-3 $ "failed") $) 16)) (-2583 (((-121) $) 13)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) 9)) (** (($ $ (-922)) NIL) (($ $ (-768)) 20))) 
+(((-720 |#1|) (-10 -8 (-15 -3978 ((-3 |#1| "failed") |#1|)) (-15 -4142 (|#1| |#1| (-768))) (-15 ** (|#1| |#1| (-768))) (-15 -2583 ((-121) |#1|)) (-15 -2269 (|#1|)) (-15 -4142 (|#1| |#1| (-922))) (-15 ** (|#1| |#1| (-922)))) (-721)) (T -720)) 
+NIL 
+(-10 -8 (-15 -3978 ((-3 |#1| "failed") |#1|)) (-15 -4142 (|#1| |#1| (-768))) (-15 ** (|#1| |#1| (-768))) (-15 -2583 ((-121) |#1|)) (-15 -2269 (|#1|)) (-15 -4142 (|#1| |#1| (-922))) (-15 ** (|#1| |#1| (-922)))) 
+((-2234 (((-121) $ $) 7)) (-2269 (($) 19 T CONST)) (-3978 (((-3 $ "failed") $) 15)) (-2583 (((-121) $) 18)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-4142 (($ $ (-922)) 12) (($ $ (-768)) 16)) (-3222 (($) 20 T CONST)) (-1323 (((-121) $ $) 6)) (** (($ $ (-922)) 13) (($ $ (-768)) 17)) (* (($ $ $) 14))) 
+(((-721) (-1289)) (T -721)) 
+((-3222 (*1 *1) (-4 *1 (-721))) (-2269 (*1 *1) (-4 *1 (-721))) (-2583 (*1 *2 *1) (-12 (-4 *1 (-721)) (-5 *2 (-121)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-721)) (-5 *2 (-768)))) (-4142 (*1 *1 *1 *2) (-12 (-4 *1 (-721)) (-5 *2 (-768)))) (-3978 (*1 *1 *1) (|partial| -4 *1 (-721)))) 
+(-13 (-1109) (-10 -8 (-15 (-3222) ($) -3177) (-15 -2269 ($) -3177) (-15 -2583 ((-121) $)) (-15 ** ($ $ (-768))) (-15 -4142 ($ $ (-768))) (-15 -3978 ((-3 $ "failed") $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1109) . T) ((-1097) . T)) 
+((-4414 (((-2 (|:| -2062 (-423 |#2|)) (|:| |special| (-423 |#2|))) |#2| (-1 |#2| |#2|)) 38)) (-1609 (((-2 (|:| -2062 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|)) 12)) (-2833 ((|#2| (-412 |#2|) (-1 |#2| |#2|)) 13)) (-3421 (((-2 (|:| |poly| |#2|) (|:| -2062 (-412 |#2|)) (|:| |special| (-412 |#2|))) (-412 |#2|) (-1 |#2| |#2|)) 47))) 
+(((-722 |#1| |#2|) (-10 -7 (-15 -1609 ((-2 (|:| -2062 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -4414 ((-2 (|:| -2062 (-423 |#2|)) (|:| |special| (-423 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -2833 (|#2| (-412 |#2|) (-1 |#2| |#2|))) (-15 -3421 ((-2 (|:| |poly| |#2|) (|:| -2062 (-412 |#2|)) (|:| |special| (-412 |#2|))) (-412 |#2|) (-1 |#2| |#2|)))) (-367) (-1233 |#1|)) (T -722)) 
+((-3421 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2062 (-412 *6)) (|:| |special| (-412 *6)))) (-5 *1 (-722 *5 *6)) (-5 *3 (-412 *6)))) (-2833 (*1 *2 *3 *4) (-12 (-5 *3 (-412 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1233 *5)) (-5 *1 (-722 *5 *2)) (-4 *5 (-367)))) (-4414 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| -2062 (-423 *3)) (|:| |special| (-423 *3)))) (-5 *1 (-722 *5 *3)))) (-1609 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| -2062 *3) (|:| |special| *3))) (-5 *1 (-722 *5 *3))))) 
+(-10 -7 (-15 -1609 ((-2 (|:| -2062 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -4414 ((-2 (|:| -2062 (-423 |#2|)) (|:| |special| (-423 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -2833 (|#2| (-412 |#2|) (-1 |#2| |#2|))) (-15 -3421 ((-2 (|:| |poly| |#2|) (|:| -2062 (-412 |#2|)) (|:| |special| (-412 |#2|))) (-412 |#2|) (-1 |#2| |#2|)))) 
+((-2667 ((|#7| (-637 |#5|) |#6|) NIL)) (-3799 ((|#7| (-1 |#5| |#4|) |#6|) 26))) 
+(((-723 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -3799 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -2667 (|#7| (-637 |#5|) |#6|))) (-847) (-793) (-793) (-1053) (-1053) (-955 |#4| |#2| |#1|) (-955 |#5| |#3| |#1|)) (T -723)) 
+((-2667 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *9)) (-4 *9 (-1053)) (-4 *5 (-847)) (-4 *6 (-793)) (-4 *8 (-1053)) (-4 *2 (-955 *9 *7 *5)) (-5 *1 (-723 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-793)) (-4 *4 (-955 *8 *6 *5)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1053)) (-4 *9 (-1053)) (-4 *5 (-847)) (-4 *6 (-793)) (-4 *2 (-955 *9 *7 *5)) (-5 *1 (-723 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-793)) (-4 *4 (-955 *8 *6 *5))))) 
+(-10 -7 (-15 -3799 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -2667 (|#7| (-637 |#5|) |#6|))) 
+((-3799 ((|#7| (-1 |#2| |#1|) |#6|) 28))) 
+(((-724 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -3799 (|#7| (-1 |#2| |#1|) |#6|))) (-847) (-847) (-793) (-793) (-1053) (-955 |#5| |#3| |#1|) (-955 |#5| |#4| |#2|)) (T -724)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-847)) (-4 *6 (-847)) (-4 *7 (-793)) (-4 *9 (-1053)) (-4 *2 (-955 *9 *8 *6)) (-5 *1 (-724 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-793)) (-4 *4 (-955 *9 *7 *5))))) 
+(-10 -7 (-15 -3799 (|#7| (-1 |#2| |#1|) |#6|))) 
+((-4262 (((-423 |#4|) |#4|) 39))) 
+(((-725 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4262 ((-423 |#4|) |#4|))) (-793) (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169))))) (-302) (-955 (-958 |#3|) |#1| |#2|)) (T -725)) 
+((-4262 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-4 *6 (-302)) (-5 *2 (-423 *3)) (-5 *1 (-725 *4 *5 *6 *3)) (-4 *3 (-955 (-958 *6) *4 *5))))) 
+(-10 -7 (-15 -4262 ((-423 |#4|) |#4|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-857 |#1|)) $) NIL)) (-4257 (((-1165 $) $ (-857 |#1|)) NIL) (((-1165 |#2|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#2| (-561)))) (-1415 (($ $) NIL (|has| |#2| (-561)))) (-2545 (((-121) $) NIL (|has| |#2| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-857 |#1|))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2356 (($ $) NIL (|has| |#2| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#2| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#2| (-1043 (-571)))) (((-3 (-857 |#1|) "failed") $) NIL)) (-1316 ((|#2| $) NIL) (((-412 (-571)) $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#2| (-1043 (-571)))) (((-857 |#1|) $) NIL)) (-3730 (($ $ $ (-857 |#1|)) NIL (|has| |#2| (-173)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL) (((-684 |#2|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#2| (-456))) (($ $ (-857 |#1|)) NIL (|has| |#2| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#2| (-909)))) (-1420 (($ $ |#2| (-537 (-857 |#1|)) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-857 |#1|) (-886 (-384))) (|has| |#2| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-857 |#1|) (-886 (-571))) (|has| |#2| (-886 (-571)))))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-4296 (($ (-1165 |#2|) (-857 |#1|)) NIL) (($ (-1165 $) (-857 |#1|)) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#2| (-537 (-857 |#1|))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-857 |#1|)) NIL)) (-3973 (((-537 (-857 |#1|)) $) NIL) (((-768) $ (-857 |#1|)) NIL) (((-637 (-768)) $ (-637 (-857 |#1|))) NIL)) (-1763 (($ $ $) NIL (|has| |#2| (-847)))) (-2383 (($ $ $) NIL (|has| |#2| (-847)))) (-2587 (($ (-1 (-537 (-857 |#1|)) (-537 (-857 |#1|))) $) NIL)) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-2510 (((-3 (-857 |#1|) "failed") $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#2| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-3944 (((-1151) $) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-857 |#1|)) (|:| -2154 (-768))) "failed") $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#2| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#2| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#2| (-909)))) (-1786 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-561)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-857 |#1|) |#2|) NIL) (($ $ (-637 (-857 |#1|)) (-637 |#2|)) NIL) (($ $ (-857 |#1|) $) NIL) (($ $ (-637 (-857 |#1|)) (-637 $)) NIL)) (-1475 (($ $ (-857 |#1|)) NIL (|has| |#2| (-173)))) (-3096 (($ $ (-857 |#1|)) NIL) (($ $ (-637 (-857 |#1|))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-2400 (((-537 (-857 |#1|)) $) NIL) (((-768) $ (-857 |#1|)) NIL) (((-637 (-768)) $ (-637 (-857 |#1|))) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-857 |#1|) (-612 (-892 (-384)))) (|has| |#2| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-857 |#1|) (-612 (-892 (-571)))) (|has| |#2| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-857 |#1|) (-612 (-544))) (|has| |#2| (-612 (-544)))))) (-4189 ((|#2| $) NIL (|has| |#2| (-456))) (($ $ (-857 |#1|)) NIL (|has| |#2| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#2|) NIL) (($ (-857 |#1|)) NIL) (($ $) NIL (|has| |#2| (-561))) (($ (-412 (-571))) NIL (-1831 (|has| |#2| (-43 (-412 (-571)))) (|has| |#2| (-1043 (-412 (-571))))))) (-1314 (((-637 |#2|) $) NIL)) (-3136 ((|#2| $ (-537 (-857 |#1|))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#2| (-909))) (|has| |#2| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#2| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#2| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-857 |#1|)) NIL) (($ $ (-637 (-857 |#1|))) NIL) (($ $ (-857 |#1|) (-768)) NIL) (($ $ (-637 (-857 |#1|)) (-637 (-768))) NIL)) (-1350 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#2| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#2| (-43 (-412 (-571))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-726 |#1| |#2|) (-955 |#2| (-537 (-857 |#1|)) (-857 |#1|)) (-637 (-1169)) (-1053)) (T -726)) 
+NIL 
+(-955 |#2| (-537 (-857 |#1|)) (-857 |#1|)) 
+((-2576 (((-2 (|:| -3933 (-958 |#3|)) (|:| -3085 (-958 |#3|))) |#4|) 13)) (-1481 ((|#4| |#4| |#2|) 30)) (-2148 ((|#4| (-412 (-958 |#3|)) |#2|) 63)) (-4064 ((|#4| (-1165 (-958 |#3|)) |#2|) 76)) (-4085 ((|#4| (-1165 |#4|) |#2|) 49)) (-3466 ((|#4| |#4| |#2|) 52)) (-4262 (((-423 |#4|) |#4|) 38))) 
+(((-727 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2576 ((-2 (|:| -3933 (-958 |#3|)) (|:| -3085 (-958 |#3|))) |#4|)) (-15 -3466 (|#4| |#4| |#2|)) (-15 -4085 (|#4| (-1165 |#4|) |#2|)) (-15 -1481 (|#4| |#4| |#2|)) (-15 -4064 (|#4| (-1165 (-958 |#3|)) |#2|)) (-15 -2148 (|#4| (-412 (-958 |#3|)) |#2|)) (-15 -4262 ((-423 |#4|) |#4|))) (-793) (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)))) (-561) (-955 (-412 (-958 |#3|)) |#1| |#2|)) (T -727)) 
+((-4262 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))) (-4 *6 (-561)) (-5 *2 (-423 *3)) (-5 *1 (-727 *4 *5 *6 *3)) (-4 *3 (-955 (-412 (-958 *6)) *4 *5)))) (-2148 (*1 *2 *3 *4) (-12 (-4 *6 (-561)) (-4 *2 (-955 *3 *5 *4)) (-5 *1 (-727 *5 *4 *6 *2)) (-5 *3 (-412 (-958 *6))) (-4 *5 (-793)) (-4 *4 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))))) (-4064 (*1 *2 *3 *4) (-12 (-5 *3 (-1165 (-958 *6))) (-4 *6 (-561)) (-4 *2 (-955 (-412 (-958 *6)) *5 *4)) (-5 *1 (-727 *5 *4 *6 *2)) (-4 *5 (-793)) (-4 *4 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))))) (-1481 (*1 *2 *2 *3) (-12 (-4 *4 (-793)) (-4 *3 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))) (-4 *5 (-561)) (-5 *1 (-727 *4 *3 *5 *2)) (-4 *2 (-955 (-412 (-958 *5)) *4 *3)))) (-4085 (*1 *2 *3 *4) (-12 (-5 *3 (-1165 *2)) (-4 *2 (-955 (-412 (-958 *6)) *5 *4)) (-5 *1 (-727 *5 *4 *6 *2)) (-4 *5 (-793)) (-4 *4 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))) (-4 *6 (-561)))) (-3466 (*1 *2 *2 *3) (-12 (-4 *4 (-793)) (-4 *3 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))) (-4 *5 (-561)) (-5 *1 (-727 *4 *3 *5 *2)) (-4 *2 (-955 (-412 (-958 *5)) *4 *3)))) (-2576 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))) (-4 *6 (-561)) (-5 *2 (-2 (|:| -3933 (-958 *6)) (|:| -3085 (-958 *6)))) (-5 *1 (-727 *4 *5 *6 *3)) (-4 *3 (-955 (-412 (-958 *6)) *4 *5))))) 
+(-10 -7 (-15 -2576 ((-2 (|:| -3933 (-958 |#3|)) (|:| -3085 (-958 |#3|))) |#4|)) (-15 -3466 (|#4| |#4| |#2|)) (-15 -4085 (|#4| (-1165 |#4|) |#2|)) (-15 -1481 (|#4| |#4| |#2|)) (-15 -4064 (|#4| (-1165 (-958 |#3|)) |#2|)) (-15 -2148 (|#4| (-412 (-958 |#3|)) |#2|)) (-15 -4262 ((-423 |#4|) |#4|))) 
+((-4262 (((-423 |#4|) |#4|) 51))) 
+(((-728 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4262 ((-423 |#4|) |#4|))) (-793) (-847) (-13 (-302) (-151)) (-955 (-412 |#3|) |#1| |#2|)) (T -728)) 
+((-4262 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-423 *3)) (-5 *1 (-728 *4 *5 *6 *3)) (-4 *3 (-955 (-412 *6) *4 *5))))) 
+(-10 -7 (-15 -4262 ((-423 |#4|) |#4|))) 
+((-3799 (((-730 |#2| |#3|) (-1 |#2| |#1|) (-730 |#1| |#3|)) 18))) 
+(((-729 |#1| |#2| |#3|) (-10 -7 (-15 -3799 ((-730 |#2| |#3|) (-1 |#2| |#1|) (-730 |#1| |#3|)))) (-1053) (-1053) (-721)) (T -729)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-730 *5 *7)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-4 *7 (-721)) (-5 *2 (-730 *6 *7)) (-5 *1 (-729 *5 *6 *7))))) 
+(-10 -7 (-15 -3799 ((-730 |#2| |#3|) (-1 |#2| |#1|) (-730 |#1| |#3|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 26)) (-3236 (((-637 (-2 (|:| -4501 |#1|) (|:| -4506 |#2|))) $) 27)) (-4176 (((-3 $ "failed") $ $) NIL)) (-4407 (((-768)) 20 (-12 (|has| |#2| (-373)) (|has| |#1| (-373))))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) 55) (((-3 |#1| "failed") $) 58)) (-1316 ((|#2| $) NIL) ((|#1| $) NIL)) (-4349 (($ $) 75 (|has| |#2| (-847)))) (-3978 (((-3 $ "failed") $) 62)) (-3254 (($) 33 (-12 (|has| |#2| (-373)) (|has| |#1| (-373))))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) 53)) (-1368 (((-637 $) $) 37)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| |#2|) 16)) (-3799 (($ (-1 |#1| |#1|) $) 52)) (-4470 (((-922) $) 30 (-12 (|has| |#2| (-373)) (|has| |#1| (-373))))) (-4332 ((|#2| $) 74 (|has| |#2| (-847)))) (-4337 ((|#1| $) 73 (|has| |#2| (-847)))) (-3944 (((-1151) $) NIL)) (-1755 (($ (-922)) 25 (-12 (|has| |#2| (-373)) (|has| |#1| (-373))))) (-2580 (((-1115) $) NIL)) (-3804 (((-637 $)) NIL (-12 (|has| |#2| (-373)) (|has| |#1| (-373))))) (-3942 (((-855) $) 72) (($ (-571)) 44) (($ |#2|) 40) (($ |#1|) 41) (($ (-637 (-2 (|:| -4501 |#1|) (|:| -4506 |#2|)))) 11)) (-1314 (((-637 |#1|) $) 39)) (-3136 ((|#1| $ |#2|) 83)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 12 T CONST)) (-3222 (($) 31 T CONST)) (-1323 (((-121) $ $) 76)) (-1373 (($ $) 46) (($ $ $) NIL)) (-1367 (($ $ $) 24)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 50) (($ $ $) 85) (($ |#1| $) 48 (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-730 |#1| |#2|) (-13 (-1053) (-1043 |#2|) (-1043 |#1|) (-10 -8 (-15 -4289 ($ |#1| |#2|)) (-15 -3136 (|#1| $ |#2|)) (-15 -3942 ($ (-637 (-2 (|:| -4501 |#1|) (|:| -4506 |#2|))))) (-15 -3236 ((-637 (-2 (|:| -4501 |#1|) (|:| -4506 |#2|))) $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (-15 -3517 ((-121) $)) (-15 -1314 ((-637 |#1|) $)) (-15 -1368 ((-637 $) $)) (-15 -2108 ((-768) $)) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-373)) (IF (|has| |#2| (-373)) (-6 (-373)) |noBranch|) |noBranch|) (IF (|has| |#2| (-847)) (PROGN (-15 -4332 (|#2| $)) (-15 -4337 (|#1| $)) (-15 -4349 ($ $))) |noBranch|))) (-1053) (-721)) (T -730)) 
+((-4289 (*1 *1 *2 *3) (-12 (-5 *1 (-730 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-721)))) (-3136 (*1 *2 *1 *3) (-12 (-4 *2 (-1053)) (-5 *1 (-730 *2 *3)) (-4 *3 (-721)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4501 *3) (|:| -4506 *4)))) (-4 *3 (-1053)) (-4 *4 (-721)) (-5 *1 (-730 *3 *4)))) (-3236 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| -4501 *3) (|:| -4506 *4)))) (-5 *1 (-730 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-721)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-730 *3 *4)) (-4 *4 (-721)))) (-3517 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-730 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-721)))) (-1314 (*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-730 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-721)))) (-1368 (*1 *2 *1) (-12 (-5 *2 (-637 (-730 *3 *4))) (-5 *1 (-730 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-721)))) (-2108 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-730 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-721)))) (-4332 (*1 *2 *1) (-12 (-4 *2 (-721)) (-4 *2 (-847)) (-5 *1 (-730 *3 *2)) (-4 *3 (-1053)))) (-4337 (*1 *2 *1) (-12 (-4 *2 (-1053)) (-5 *1 (-730 *2 *3)) (-4 *3 (-847)) (-4 *3 (-721)))) (-4349 (*1 *1 *1) (-12 (-5 *1 (-730 *2 *3)) (-4 *3 (-847)) (-4 *2 (-1053)) (-4 *3 (-721))))) 
+(-13 (-1053) (-1043 |#2|) (-1043 |#1|) (-10 -8 (-15 -4289 ($ |#1| |#2|)) (-15 -3136 (|#1| $ |#2|)) (-15 -3942 ($ (-637 (-2 (|:| -4501 |#1|) (|:| -4506 |#2|))))) (-15 -3236 ((-637 (-2 (|:| -4501 |#1|) (|:| -4506 |#2|))) $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (-15 -3517 ((-121) $)) (-15 -1314 ((-637 |#1|) $)) (-15 -1368 ((-637 $) $)) (-15 -2108 ((-768) $)) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-373)) (IF (|has| |#2| (-373)) (-6 (-373)) |noBranch|) |noBranch|) (IF (|has| |#2| (-847)) (PROGN (-15 -4332 (|#2| $)) (-15 -4337 (|#1| $)) (-15 -4349 ($ $))) |noBranch|))) 
+((-2234 (((-121) $ $) 18)) (-3486 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-1768 (($ $ $) 68)) (-2559 (((-121) $ $) 69)) (-3133 (((-121) $ (-768)) 8)) (-4458 (($ (-637 |#1|)) 64) (($) 63)) (-3129 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-2980 (($ $) 58)) (-4365 (($ $) 55 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1599 (($ |#1| $) 44 (|has| $ (-6 -4600))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4600)))) (-3412 (($ |#1| $) 54 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4600)))) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22)) (-4017 (($ $ $) 65)) (-2377 ((|#1| $) 36)) (-2863 (($ |#1| $) 37) (($ |#1| $ (-768)) 59)) (-2580 (((-1115) $) 21)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-4297 (((-637 (-2 (|:| -4279 |#1|) (|:| -1569 (-768)))) $) 57)) (-3629 (($ $ |#1|) 67) (($ $ $) 66)) (-3563 (($) 46) (($ (-637 |#1|)) 45)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 56 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 47)) (-3942 (((-855) $) 20)) (-4303 (($ (-637 |#1|)) 62) (($) 61)) (-3700 (($ (-637 |#1|)) 39)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19)) (-1331 (((-121) $ $) 60)) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-731 |#1|) (-1289) (-1097)) (T -731)) 
+NIL 
+(-13 (-689 |t#1|) (-1094 |t#1|)) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-611 (-855)) . T) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-689 |#1|) . T) ((-1094 |#1|) . T) ((-1097) . T) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL)) (-3486 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 77)) (-1768 (($ $ $) 80)) (-2559 (((-121) $ $) 83)) (-3133 (((-121) $ (-768)) NIL)) (-4458 (($ (-637 |#1|)) 24) (($) 15)) (-3129 (($ (-1 (-121) |#1|) $) 71 (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-2980 (($ $) 72)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1599 (($ |#1| $) 61 (|has| $ (-6 -4600))) (($ (-1 (-121) |#1|) $) 64 (|has| $ (-6 -4600))) (($ |#1| $ (-571)) 62) (($ (-1 (-121) |#1|) $ (-571)) 65)) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (($ |#1| $ (-571)) 67) (($ (-1 (-121) |#1|) $ (-571)) 68)) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600)))) (-4034 (((-637 |#1|) $) 32 (|has| $ (-6 -4600)))) (-2976 (($) 13) (($ |#1|) 26) (($ (-637 |#1|)) 21)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) 38)) (-3303 (((-121) |#1| $) 57 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) 75 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 76)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-4017 (($ $ $) 78)) (-2377 ((|#1| $) 54)) (-2863 (($ |#1| $) 55) (($ |#1| $ (-768)) 73)) (-2580 (((-1115) $) NIL)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3815 ((|#1| $) 53)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 49)) (-1630 (($) 12)) (-4297 (((-637 (-2 (|:| -4279 |#1|) (|:| -1569 (-768)))) $) 47)) (-3629 (($ $ |#1|) NIL) (($ $ $) 79)) (-3563 (($) 14) (($ (-637 |#1|)) 23)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) 60 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) 66)) (-4050 (((-544) $) 36 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 20)) (-3942 (((-855) $) 44)) (-4303 (($ (-637 |#1|)) 25) (($) 16)) (-3700 (($ (-637 |#1|)) 22)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 81)) (-1331 (((-121) $ $) 82)) (-4001 (((-768) $) 59 (|has| $ (-6 -4600))))) 
+(((-732 |#1|) (-13 (-731 |#1|) (-10 -8 (-6 -4600) (-6 -4601) (-15 -2976 ($)) (-15 -2976 ($ |#1|)) (-15 -2976 ($ (-637 |#1|))) (-15 -3488 ((-637 |#1|) $)) (-15 -3412 ($ |#1| $ (-571))) (-15 -3412 ($ (-1 (-121) |#1|) $ (-571))) (-15 -1599 ($ |#1| $ (-571))) (-15 -1599 ($ (-1 (-121) |#1|) $ (-571))))) (-1097)) (T -732)) 
+((-2976 (*1 *1) (-12 (-5 *1 (-732 *2)) (-4 *2 (-1097)))) (-2976 (*1 *1 *2) (-12 (-5 *1 (-732 *2)) (-4 *2 (-1097)))) (-2976 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-732 *3)))) (-3488 (*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-732 *3)) (-4 *3 (-1097)))) (-3412 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-732 *2)) (-4 *2 (-1097)))) (-3412 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-571)) (-4 *4 (-1097)) (-5 *1 (-732 *4)))) (-1599 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-732 *2)) (-4 *2 (-1097)))) (-1599 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-571)) (-4 *4 (-1097)) (-5 *1 (-732 *4))))) 
+(-13 (-731 |#1|) (-10 -8 (-6 -4600) (-6 -4601) (-15 -2976 ($)) (-15 -2976 ($ |#1|)) (-15 -2976 ($ (-637 |#1|))) (-15 -3488 ((-637 |#1|) $)) (-15 -3412 ($ |#1| $ (-571))) (-15 -3412 ($ (-1 (-121) |#1|) $ (-571))) (-15 -1599 ($ |#1| $ (-571))) (-15 -1599 ($ (-1 (-121) |#1|) $ (-571))))) 
+((-1702 (((-1263) (-1151)) 8))) 
+(((-733) (-10 -7 (-15 -1702 ((-1263) (-1151))))) (T -733)) 
+((-1702 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-733))))) 
+(-10 -7 (-15 -1702 ((-1263) (-1151)))) 
+((-4174 (((-637 |#1|) (-637 |#1|) (-637 |#1|)) 10))) 
+(((-734 |#1|) (-10 -7 (-15 -4174 ((-637 |#1|) (-637 |#1|) (-637 |#1|)))) (-847)) (T -734)) 
+((-4174 (*1 *2 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-734 *3))))) 
+(-10 -7 (-15 -4174 ((-637 |#1|) (-637 |#1|) (-637 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3424 (((-637 |#2|) $) 134)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 127 (|has| |#1| (-561)))) (-1415 (($ $) 126 (|has| |#1| (-561)))) (-2545 (((-121) $) 124 (|has| |#1| (-561)))) (-4255 (($ $) 83 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 66 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) 18)) (-4158 (($ $) 65 (|has| |#1| (-43 (-412 (-571)))))) (-4243 (($ $) 82 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 67 (|has| |#1| (-43 (-412 (-571)))))) (-4266 (($ $) 81 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 68 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) 16 T CONST)) (-4349 (($ $) 118)) (-3978 (((-3 $ "failed") $) 33)) (-1887 (((-958 |#1|) $ (-768)) 96) (((-958 |#1|) $ (-768) (-768)) 95)) (-4124 (((-121) $) 135)) (-4153 (($) 93 (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-768) $ |#2|) 98) (((-768) $ |#2| (-768)) 97)) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 64 (|has| |#1| (-43 (-412 (-571)))))) (-3517 (((-121) $) 116)) (-4289 (($ $ (-637 |#2|) (-637 (-537 |#2|))) 133) (($ $ |#2| (-537 |#2|)) 132) (($ |#1| (-537 |#2|)) 117) (($ $ |#2| (-768)) 100) (($ $ (-637 |#2|) (-637 (-768))) 99)) (-3799 (($ (-1 |#1| |#1|) $) 115)) (-3509 (($ $) 90 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) 113)) (-4337 ((|#1| $) 112)) (-3944 (((-1151) $) 9)) (-3403 (($ $ |#2|) 94 (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) 10)) (-3140 (($ $ (-768)) 101)) (-1786 (((-3 $ "failed") $ $) 128 (|has| |#1| (-561)))) (-4148 (($ $) 91 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (($ $ |#2| $) 109) (($ $ (-637 |#2|) (-637 $)) 108) (($ $ (-637 (-289 $))) 107) (($ $ (-289 $)) 106) (($ $ $ $) 105) (($ $ (-637 $) (-637 $)) 104)) (-3096 (($ $ |#2|) 41) (($ $ (-637 |#2|)) 40) (($ $ |#2| (-768)) 39) (($ $ (-637 |#2|) (-637 (-768))) 38)) (-2400 (((-537 |#2|) $) 114)) (-4273 (($ $) 80 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 69 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 79 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 70 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 78 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 71 (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) 136)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 131 (|has| |#1| (-173))) (($ $) 129 (|has| |#1| (-561))) (($ (-412 (-571))) 121 (|has| |#1| (-43 (-412 (-571)))))) (-3136 ((|#1| $ (-537 |#2|)) 119) (($ $ |#2| (-768)) 103) (($ $ (-637 |#2|) (-637 (-768))) 102)) (-2346 (((-3 $ "failed") $) 130 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-4294 (($ $) 89 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 77 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) 125 (|has| |#1| (-561)))) (-4280 (($ $) 88 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 76 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 87 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 75 (|has| |#1| (-43 (-412 (-571)))))) (-2656 (($ $) 86 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 74 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 85 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 73 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 84 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 72 (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ |#2|) 37) (($ $ (-637 |#2|)) 36) (($ $ |#2| (-768)) 35) (($ $ (-637 |#2|) (-637 (-768))) 34)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 120 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ $) 92 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 63 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 123 (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) 122 (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 111) (($ $ |#1|) 110))) 
+(((-735 |#1| |#2|) (-1289) (-1053) (-847)) (T -735)) 
+((-3136 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-735 *4 *2)) (-4 *4 (-1053)) (-4 *2 (-847)))) (-3136 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *5)) (-5 *3 (-637 (-768))) (-4 *1 (-735 *4 *5)) (-4 *4 (-1053)) (-4 *5 (-847)))) (-3140 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-735 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-847)))) (-4289 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-735 *4 *2)) (-4 *4 (-1053)) (-4 *2 (-847)))) (-4289 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *5)) (-5 *3 (-637 (-768))) (-4 *1 (-735 *4 *5)) (-4 *4 (-1053)) (-4 *5 (-847)))) (-3347 (*1 *2 *1 *3) (-12 (-4 *1 (-735 *4 *3)) (-4 *4 (-1053)) (-4 *3 (-847)) (-5 *2 (-768)))) (-3347 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-768)) (-4 *1 (-735 *4 *3)) (-4 *4 (-1053)) (-4 *3 (-847)))) (-1887 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-735 *4 *5)) (-4 *4 (-1053)) (-4 *5 (-847)) (-5 *2 (-958 *4)))) (-1887 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-4 *1 (-735 *4 *5)) (-4 *4 (-1053)) (-4 *5 (-847)) (-5 *2 (-958 *4)))) (-3403 (*1 *1 *1 *2) (-12 (-4 *1 (-735 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-847)) (-4 *3 (-43 (-412 (-571))))))) 
+(-13 (-900 |t#2|) (-980 |t#1| (-537 |t#2|) |t#2|) (-526 |t#2| $) (-304 $) (-10 -8 (-15 -3136 ($ $ |t#2| (-768))) (-15 -3136 ($ $ (-637 |t#2|) (-637 (-768)))) (-15 -3140 ($ $ (-768))) (-15 -4289 ($ $ |t#2| (-768))) (-15 -4289 ($ $ (-637 |t#2|) (-637 (-768)))) (-15 -3347 ((-768) $ |t#2|)) (-15 -3347 ((-768) $ |t#2| (-768))) (-15 -1887 ((-958 |t#1|) $ (-768))) (-15 -1887 ((-958 |t#1|) $ (-768) (-768))) (IF (|has| |t#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ($ $ |t#2|)) (-6 (-1008)) (-6 (-1189))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-537 |#2|)) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-561)) ((-40) |has| |#1| (-43 (-412 (-571)))) ((-98) |has| |#1| (-43 (-412 (-571)))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-280) |has| |#1| (-43 (-412 (-571)))) ((-286) |has| |#1| (-561)) ((-304 $) . T) ((-505) |has| |#1| (-43 (-412 (-571)))) ((-526 |#2| $) . T) ((-526 $ $) . T) ((-561) |has| |#1| (-561)) ((-640 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) |has| |#1| (-561)) ((-721) . T) ((-900 |#2|) . T) ((-980 |#1| (-537 |#2|) |#2|) . T) ((-1008) |has| |#1| (-43 (-412 (-571)))) ((-1059 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1189) |has| |#1| (-43 (-412 (-571)))) ((-1192) |has| |#1| (-43 (-412 (-571))))) 
+((-4262 (((-423 (-1165 |#4|)) (-1165 |#4|)) 28) (((-423 |#4|) |#4|) 24))) 
+(((-736 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4262 ((-423 |#4|) |#4|)) (-15 -4262 ((-423 (-1165 |#4|)) (-1165 |#4|)))) (-847) (-793) (-13 (-302) (-151)) (-955 |#3| |#2| |#1|)) (T -736)) 
+((-4262 (*1 *2 *3) (-12 (-4 *4 (-847)) (-4 *5 (-793)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-955 *6 *5 *4)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-736 *4 *5 *6 *7)) (-5 *3 (-1165 *7)))) (-4262 (*1 *2 *3) (-12 (-4 *4 (-847)) (-4 *5 (-793)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-423 *3)) (-5 *1 (-736 *4 *5 *6 *3)) (-4 *3 (-955 *6 *5 *4))))) 
+(-10 -7 (-15 -4262 ((-423 |#4|) |#4|)) (-15 -4262 ((-423 (-1165 |#4|)) (-1165 |#4|)))) 
+((-1435 (((-423 |#4|) |#4| |#2|) 116)) (-4397 (((-423 |#4|) |#4|) NIL)) (-4151 (((-423 (-1165 |#4|)) (-1165 |#4|)) 107) (((-423 |#4|) |#4|) 38)) (-4120 (((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-637 (-2 (|:| -4262 (-1165 |#4|)) (|:| -2154 (-571)))))) (-1165 |#4|) (-637 |#2|) (-637 (-637 |#3|))) 65)) (-4571 (((-1165 |#3|) (-1165 |#3|) (-571)) 133)) (-2793 (((-637 (-768)) (-1165 |#4|) (-637 |#2|) (-768)) 58)) (-3069 (((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-1165 |#3|) (-1165 |#3|) |#4| (-637 |#2|) (-637 (-768)) (-637 |#3|)) 62)) (-3613 (((-2 (|:| |upol| (-1165 |#3|)) (|:| |Lval| (-637 |#3|)) (|:| |Lfact| (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571))))) (|:| |ctpol| |#3|)) (-1165 |#4|) (-637 |#2|) (-637 (-637 |#3|))) 22)) (-3702 (((-2 (|:| -2068 (-1165 |#4|)) (|:| |polval| (-1165 |#3|))) (-1165 |#4|) (-1165 |#3|) (-571)) 54)) (-2572 (((-571) (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571))))) 130)) (-2343 ((|#4| (-571) (-423 |#4|)) 55)) (-3058 (((-121) (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571)))) (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571))))) NIL))) 
+(((-737 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4151 ((-423 |#4|) |#4|)) (-15 -4151 ((-423 (-1165 |#4|)) (-1165 |#4|))) (-15 -4397 ((-423 |#4|) |#4|)) (-15 -2572 ((-571) (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571)))))) (-15 -1435 ((-423 |#4|) |#4| |#2|)) (-15 -3702 ((-2 (|:| -2068 (-1165 |#4|)) (|:| |polval| (-1165 |#3|))) (-1165 |#4|) (-1165 |#3|) (-571))) (-15 -4120 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-637 (-2 (|:| -4262 (-1165 |#4|)) (|:| -2154 (-571)))))) (-1165 |#4|) (-637 |#2|) (-637 (-637 |#3|)))) (-15 -3613 ((-2 (|:| |upol| (-1165 |#3|)) (|:| |Lval| (-637 |#3|)) (|:| |Lfact| (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571))))) (|:| |ctpol| |#3|)) (-1165 |#4|) (-637 |#2|) (-637 (-637 |#3|)))) (-15 -2343 (|#4| (-571) (-423 |#4|))) (-15 -3058 ((-121) (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571)))) (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571)))))) (-15 -3069 ((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-1165 |#3|) (-1165 |#3|) |#4| (-637 |#2|) (-637 (-768)) (-637 |#3|))) (-15 -2793 ((-637 (-768)) (-1165 |#4|) (-637 |#2|) (-768))) (-15 -4571 ((-1165 |#3|) (-1165 |#3|) (-571)))) (-793) (-847) (-302) (-955 |#3| |#1| |#2|)) (T -737)) 
+((-4571 (*1 *2 *2 *3) (-12 (-5 *2 (-1165 *6)) (-5 *3 (-571)) (-4 *6 (-302)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-737 *4 *5 *6 *7)) (-4 *7 (-955 *6 *4 *5)))) (-2793 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1165 *9)) (-5 *4 (-637 *7)) (-4 *7 (-847)) (-4 *9 (-955 *8 *6 *7)) (-4 *6 (-793)) (-4 *8 (-302)) (-5 *2 (-637 (-768))) (-5 *1 (-737 *6 *7 *8 *9)) (-5 *5 (-768)))) (-3069 (*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1165 *11)) (-5 *6 (-637 *10)) (-5 *7 (-637 (-768))) (-5 *8 (-637 *11)) (-4 *10 (-847)) (-4 *11 (-302)) (-4 *9 (-793)) (-4 *5 (-955 *11 *9 *10)) (-5 *2 (-637 (-1165 *5))) (-5 *1 (-737 *9 *10 *11 *5)) (-5 *3 (-1165 *5)))) (-3058 (*1 *2 *3 *3) (-12 (-5 *3 (-637 (-2 (|:| -4262 (-1165 *6)) (|:| -2154 (-571))))) (-4 *6 (-302)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-737 *4 *5 *6 *7)) (-4 *7 (-955 *6 *4 *5)))) (-2343 (*1 *2 *3 *4) (-12 (-5 *3 (-571)) (-5 *4 (-423 *2)) (-4 *2 (-955 *7 *5 *6)) (-5 *1 (-737 *5 *6 *7 *2)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-302)))) (-3613 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1165 *9)) (-5 *4 (-637 *7)) (-5 *5 (-637 (-637 *8))) (-4 *7 (-847)) (-4 *8 (-302)) (-4 *9 (-955 *8 *6 *7)) (-4 *6 (-793)) (-5 *2 (-2 (|:| |upol| (-1165 *8)) (|:| |Lval| (-637 *8)) (|:| |Lfact| (-637 (-2 (|:| -4262 (-1165 *8)) (|:| -2154 (-571))))) (|:| |ctpol| *8))) (-5 *1 (-737 *6 *7 *8 *9)))) (-4120 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 *7)) (-5 *5 (-637 (-637 *8))) (-4 *7 (-847)) (-4 *8 (-302)) (-4 *6 (-793)) (-4 *9 (-955 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-637 (-2 (|:| -4262 (-1165 *9)) (|:| -2154 (-571))))))) (-5 *1 (-737 *6 *7 *8 *9)) (-5 *3 (-1165 *9)))) (-3702 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-571)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-302)) (-4 *9 (-955 *8 *6 *7)) (-5 *2 (-2 (|:| -2068 (-1165 *9)) (|:| |polval| (-1165 *8)))) (-5 *1 (-737 *6 *7 *8 *9)) (-5 *3 (-1165 *9)) (-5 *4 (-1165 *8)))) (-1435 (*1 *2 *3 *4) (-12 (-4 *5 (-793)) (-4 *4 (-847)) (-4 *6 (-302)) (-5 *2 (-423 *3)) (-5 *1 (-737 *5 *4 *6 *3)) (-4 *3 (-955 *6 *5 *4)))) (-2572 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -4262 (-1165 *6)) (|:| -2154 (-571))))) (-4 *6 (-302)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-571)) (-5 *1 (-737 *4 *5 *6 *7)) (-4 *7 (-955 *6 *4 *5)))) (-4397 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)) (-5 *2 (-423 *3)) (-5 *1 (-737 *4 *5 *6 *3)) (-4 *3 (-955 *6 *4 *5)))) (-4151 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-737 *4 *5 *6 *7)) (-5 *3 (-1165 *7)))) (-4151 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)) (-5 *2 (-423 *3)) (-5 *1 (-737 *4 *5 *6 *3)) (-4 *3 (-955 *6 *4 *5))))) 
+(-10 -7 (-15 -4151 ((-423 |#4|) |#4|)) (-15 -4151 ((-423 (-1165 |#4|)) (-1165 |#4|))) (-15 -4397 ((-423 |#4|) |#4|)) (-15 -2572 ((-571) (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571)))))) (-15 -1435 ((-423 |#4|) |#4| |#2|)) (-15 -3702 ((-2 (|:| -2068 (-1165 |#4|)) (|:| |polval| (-1165 |#3|))) (-1165 |#4|) (-1165 |#3|) (-571))) (-15 -4120 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-637 (-2 (|:| -4262 (-1165 |#4|)) (|:| -2154 (-571)))))) (-1165 |#4|) (-637 |#2|) (-637 (-637 |#3|)))) (-15 -3613 ((-2 (|:| |upol| (-1165 |#3|)) (|:| |Lval| (-637 |#3|)) (|:| |Lfact| (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571))))) (|:| |ctpol| |#3|)) (-1165 |#4|) (-637 |#2|) (-637 (-637 |#3|)))) (-15 -2343 (|#4| (-571) (-423 |#4|))) (-15 -3058 ((-121) (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571)))) (-637 (-2 (|:| -4262 (-1165 |#3|)) (|:| -2154 (-571)))))) (-15 -3069 ((-3 (-637 (-1165 |#4|)) "failed") (-1165 |#4|) (-1165 |#3|) (-1165 |#3|) |#4| (-637 |#2|) (-637 (-768)) (-637 |#3|))) (-15 -2793 ((-637 (-768)) (-1165 |#4|) (-637 |#2|) (-768))) (-15 -4571 ((-1165 |#3|) (-1165 |#3|) (-571)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1169)) $) NIL)) (-4257 (((-412 (-1165 $)) $ (-610 $)) NIL (|has| |#2| (-561)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4121 (((-637 (-610 $)) $) NIL)) (-1576 (($ $ (-1089 $)) NIL) (($ $ (-1169)) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1448 (($ $ (-289 $)) NIL) (($ $ (-637 (-289 $))) NIL) (($ $ (-637 (-610 $)) (-637 $)) NIL)) (-2356 (($ $) NIL (|has| |#2| (-561)))) (-4151 (((-423 $) $) NIL (|has| |#2| (-561)))) (-1295 (((-121) $ $) NIL (|has| |#2| (-561)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-610 $) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-412 (-958 |#2|)) "failed") $) NIL (|has| |#2| (-561))) (((-3 (-958 |#2|) "failed") $) NIL (|has| |#2| (-1053))) (((-3 (-739 |#1| |#2|) "failed") $) NIL) (((-3 (-571) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (-1831 (-12 (|has| |#2| (-561)) (|has| |#2| (-1043 (-571)))) (|has| |#2| (-1043 (-412 (-571))))))) (-1316 (((-610 $) $) NIL) (((-1169) $) NIL) ((|#2| $) NIL) (((-412 (-958 |#2|)) $) 20 (|has| |#2| (-561))) (((-958 |#2|) $) 26 (|has| |#2| (-1053))) (((-739 |#1| |#2|) $) 27) (((-571) $) NIL) (((-412 (-739 |#1| |#2|)) $) 25) (((-412 (-571)) $) NIL (-1831 (-12 (|has| |#2| (-561)) (|has| |#2| (-1043 (-571)))) (|has| |#2| (-1043 (-412 (-571))))))) (-2162 (($ $ $) NIL (|has| |#2| (-561)))) (-2680 (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL (|has| |#2| (-1053))) (((-684 |#2|) (-684 $)) NIL (|has| |#2| (-1053))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) (((-684 (-571)) (-684 $)) NIL (-12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053))))) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL (|has| |#2| (-561)))) (-3940 (($ $ (-1089 $)) NIL) (($ $ (-1169)) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#2| (-561)))) (-1596 (((-121) $) NIL (|has| |#2| (-561)))) (-3810 (($ $ $) NIL)) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| |#2| (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| |#2| (-886 (-384))))) (-2122 (($ $) NIL) (($ (-637 $)) NIL)) (-3645 (((-637 (-123)) $) NIL)) (-3513 (((-123) (-123)) NIL)) (-2583 (((-121) $) NIL)) (-4329 (((-121) $) NIL (|has| $ (-1043 (-571))))) (-3458 (($ $) NIL)) (-4474 (((-1120 |#2| (-610 $)) $) NIL (|has| |#2| (-1053)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#2| (-561)))) (-4286 (((-1165 $) (-610 $)) NIL (|has| $ (-1053)))) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3799 (($ (-1 $ $) (-610 $)) NIL)) (-1359 (((-3 (-610 $) "failed") $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#2| (-561))) (($ $ $) NIL (|has| |#2| (-561)))) (-3944 (((-1151) $) NIL)) (-4251 (((-637 (-610 $)) $) NIL)) (-4485 (($ (-123) $) NIL) (($ (-123) (-637 $)) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL (|has| |#2| (-1109)))) (-2304 (((-3 (-2 (|:| |val| $) (|:| -2154 (-571))) "failed") $) NIL (|has| |#2| (-1053)))) (-1910 (((-3 (-637 $) "failed") $) NIL (|has| |#2| (-25)))) (-3928 (((-3 (-2 (|:| -4501 (-571)) (|:| |var| (-610 $))) "failed") $) NIL (|has| |#2| (-25)))) (-3925 (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $) NIL (|has| |#2| (-1109))) (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-123)) NIL (|has| |#2| (-1053))) (((-3 (-2 (|:| |var| (-610 $)) (|:| -2154 (-571))) "failed") $ (-1169)) NIL (|has| |#2| (-1053)))) (-3340 (((-121) $ (-123)) NIL) (((-121) $ (-1169)) NIL)) (-4315 (($ $) NIL (-1831 (|has| |#2| (-481)) (|has| |#2| (-561))))) (-1454 (((-768) $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#2| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#2| (-561)))) (-3026 (($ (-637 $)) NIL (|has| |#2| (-561))) (($ $ $) NIL (|has| |#2| (-561)))) (-4348 (((-121) $ $) NIL) (((-121) $ (-1169)) NIL)) (-3750 (($ $ (-1169)) NIL) (($ $) NIL)) (-2761 (($ $) NIL)) (-4262 (((-423 $) $) NIL (|has| |#2| (-561)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-561))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#2| (-561)))) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#2| (-561)))) (-2385 (((-121) $) NIL (|has| $ (-1043 (-571))))) (-4483 (($ $ (-610 $) $) NIL) (($ $ (-637 (-610 $)) (-637 $)) NIL) (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-1169)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-1169) (-1 $ (-637 $))) NIL) (($ $ (-1169) (-1 $ $)) NIL) (($ $ (-637 (-123)) (-637 (-1 $ $))) NIL) (($ $ (-637 (-123)) (-637 (-1 $ (-637 $)))) NIL) (($ $ (-123) (-1 $ (-637 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1169)) NIL (|has| |#2| (-612 (-544)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-612 (-544)))) (($ $) NIL (|has| |#2| (-612 (-544)))) (($ $ (-123) $ (-1169)) NIL (|has| |#2| (-612 (-544)))) (($ $ (-637 (-123)) (-637 $) (-1169)) NIL (|has| |#2| (-612 (-544)))) (($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ $))) NIL (|has| |#2| (-1053))) (($ $ (-637 (-1169)) (-637 (-768)) (-637 (-1 $ (-637 $)))) NIL (|has| |#2| (-1053))) (($ $ (-1169) (-768) (-1 $ (-637 $))) NIL (|has| |#2| (-1053))) (($ $ (-1169) (-768) (-1 $ $)) NIL (|has| |#2| (-1053)))) (-1826 (((-768) $) NIL (|has| |#2| (-561)))) (-3245 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-637 $)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#2| (-561)))) (-4543 (($ $) NIL) (($ $ $) NIL)) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) NIL)) (-3777 (($ $) NIL)) (-4479 (((-1120 |#2| (-610 $)) $) NIL (|has| |#2| (-561)))) (-3413 (($ $) NIL (|has| $ (-1053)))) (-4050 (((-892 (-571)) $) NIL (|has| |#2| (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| |#2| (-612 (-892 (-384))))) (($ (-423 $)) NIL (|has| |#2| (-561))) (((-544) $) NIL (|has| |#2| (-612 (-544))))) (-2911 (($ $ $) NIL (|has| |#2| (-481)))) (-2212 (($ $ $) NIL (|has| |#2| (-481)))) (-3942 (((-855) $) NIL) (($ (-610 $)) NIL) (($ (-1169)) NIL) (($ |#2|) NIL) (($ (-1120 |#2| (-610 $))) NIL (|has| |#2| (-1053))) (($ (-412 |#2|)) NIL (|has| |#2| (-561))) (($ (-958 (-412 |#2|))) NIL (|has| |#2| (-561))) (($ (-412 (-958 (-412 |#2|)))) NIL (|has| |#2| (-561))) (($ (-412 (-958 |#2|))) NIL (|has| |#2| (-561))) (($ (-958 |#2|)) NIL (|has| |#2| (-1053))) (($ $) NIL) (($ (-571)) NIL) (($ (-739 |#1| |#2|)) NIL) (($ (-412 (-739 |#1| |#2|))) 35) (($ (-412 (-571))) NIL (-1831 (|has| |#2| (-561)) (|has| |#2| (-1043 (-412 (-571))))))) (-2346 (((-3 $ "failed") $) NIL (|has| |#2| (-149)))) (-2661 (((-768)) NIL)) (-4449 (($ $) NIL) (($ (-637 $)) NIL)) (-1358 (($ $ $) NIL)) (-3090 (((-121) (-123)) NIL)) (-1388 (((-121) $ $) NIL)) (-2943 (($ (-1169) $) NIL) (($ (-1169) $ $) NIL) (($ (-1169) $ $ $) NIL) (($ (-1169) $ $ $ $) NIL) (($ (-1169) (-637 $)) NIL)) (-4142 (($ $ (-768)) NIL) (($ $ (-922)) NIL) (($ $ (-571)) NIL (-1831 (|has| |#2| (-481)) (|has| |#2| (-561))))) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1379 (($ (-1120 |#2| (-610 $)) (-1120 |#2| (-610 $))) NIL (|has| |#2| (-561))) (($ $ $) NIL)) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-922)) NIL) (($ $ $) NIL) (($ $ (-571)) NIL (-1831 (|has| |#2| (-481)) (|has| |#2| (-561))))) (* (($ (-412 (-571)) $) NIL (|has| |#2| (-561))) (($ $ (-412 (-571))) NIL (|has| |#2| (-561))) (($ |#2| $) NIL (|has| |#2| (-173))) (($ $ |#2|) NIL (|has| |#2| (-173))) (($ $ $) NIL) (($ (-571) $) NIL) (($ (-768) $) NIL) (($ (-922) $) NIL))) 
+(((-738 |#1| |#2|) (-13 (-435 |#2|) (-561) (-1043 (-739 |#1| |#2|)) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $)) (-15 -3942 ($ (-412 (-739 |#1| |#2|)))) (-15 -1316 ((-412 (-739 |#1| |#2|)) $)))) (-1169) (-13 (-1053) (-847) (-561))) (T -738)) 
+((-4321 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-738 *3 *4)) (-14 *3 (-1169)) (-4 *4 (-13 (-1053) (-847) (-561))))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-738 *2 *3)) (-14 *2 (-1169)) (-4 *3 (-13 (-1053) (-847) (-561))))) (-1379 (*1 *1 *1 *1) (-12 (-5 *1 (-738 *2 *3)) (-14 *2 (-1169)) (-4 *3 (-13 (-1053) (-847) (-561))))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-738 *2 *3)) (-14 *2 (-1169)) (-4 *3 (-13 (-1053) (-847) (-561))))) (-3458 (*1 *1 *1) (-12 (-5 *1 (-738 *2 *3)) (-14 *2 (-1169)) (-4 *3 (-13 (-1053) (-847) (-561))))) (-3777 (*1 *1 *1) (-12 (-5 *1 (-738 *2 *3)) (-14 *2 (-1169)) (-4 *3 (-13 (-1053) (-847) (-561))))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-412 (-739 *3 *4))) (-14 *3 (-1169)) (-4 *4 (-13 (-1053) (-847) (-561))) (-5 *1 (-738 *3 *4)))) (-1316 (*1 *2 *1) (-12 (-5 *2 (-412 (-739 *3 *4))) (-5 *1 (-738 *3 *4)) (-14 *3 (-1169)) (-4 *4 (-13 (-1053) (-847) (-561)))))) 
+(-13 (-435 |#2|) (-561) (-1043 (-739 |#1| |#2|)) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $)) (-15 -3942 ($ (-412 (-739 |#1| |#2|)))) (-15 -1316 ((-412 (-739 |#1| |#2|)) $)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3748 (((-1258 |#2|) $ (-768)) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-2693 (($ (-1165 |#2|)) NIL)) (-4257 (((-1165 $) $ (-1081)) NIL) (((-1165 |#2|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#2| (-561)))) (-1415 (($ $) NIL (|has| |#2| (-561)))) (-2545 (((-121) $) NIL (|has| |#2| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-1081))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3888 (($ $ $) NIL (|has| |#2| (-561)))) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2356 (($ $) NIL (|has| |#2| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#2| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-1295 (((-121) $ $) NIL (|has| |#2| (-367)))) (-1564 (($ $ (-768)) NIL)) (-3623 (($ $ (-768)) NIL)) (-1462 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-456)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#2| (-1043 (-571)))) (((-3 (-1081) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL)) (-1316 ((|#2| $) NIL) (((-412 (-571)) $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#2| (-1043 (-571)))) (((-1081) $) 22) (((-1169) $) 23)) (-3730 (($ $ $ (-1081)) NIL (|has| |#2| (-173))) ((|#2| $ $) NIL (|has| |#2| (-173)))) (-2162 (($ $ $) NIL (|has| |#2| (-367)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL) (((-684 |#2|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL (|has| |#2| (-367)))) (-1406 (($ $ $) NIL)) (-3311 (($ $ $) NIL (|has| |#2| (-561)))) (-2506 (((-2 (|:| -4501 |#2|) (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#2| (-561)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#2| (-367)))) (-3630 (($ $) NIL (|has| |#2| (-456))) (($ $ (-1081)) NIL (|has| |#2| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#2| (-909)))) (-1420 (($ $ |#2| (-768) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-1081) (-886 (-384))) (|has| |#2| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-1081) (-886 (-571))) (|has| |#2| (-886 (-571)))))) (-3347 (((-768) $ $) NIL (|has| |#2| (-561)))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| |#2| (-1143)))) (-4296 (($ (-1165 |#2|) (-1081)) NIL) (($ (-1165 $) (-1081)) NIL)) (-1817 (($ $ (-768)) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#2| (-367)))) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#2| (-768)) 17) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-1081)) NIL) (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3973 (((-768) $) NIL) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-1763 (($ $ $) NIL (|has| |#2| (-847)))) (-2383 (($ $ $) NIL (|has| |#2| (-847)))) (-2587 (($ (-1 (-768) (-768)) $) NIL)) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-2231 (((-1165 |#2|) $) NIL)) (-2510 (((-3 (-1081) "failed") $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#2| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-3944 (((-1151) $) NIL)) (-2752 (((-2 (|:| -2924 $) (|:| -3363 $)) $ (-768)) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-1081)) (|:| -2154 (-768))) "failed") $) NIL)) (-3403 (($ $) NIL (|has| |#2| (-43 (-412 (-571)))))) (-1757 (($) NIL (|has| |#2| (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#2| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#2| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-3755 (($ $ (-768) |#2| $) NIL)) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#2| (-909)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#2| (-367)))) (-1786 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#2| (-367)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-1081) |#2|) NIL) (($ $ (-637 (-1081)) (-637 |#2|)) NIL) (($ $ (-1081) $) NIL) (($ $ (-637 (-1081)) (-637 $)) NIL)) (-1826 (((-768) $) NIL (|has| |#2| (-367)))) (-3245 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-412 $) (-412 $) (-412 $)) NIL (|has| |#2| (-561))) ((|#2| (-412 $) |#2|) NIL (|has| |#2| (-367))) (((-412 $) $ (-412 $)) NIL (|has| |#2| (-561)))) (-3144 (((-3 $ "failed") $ (-768)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#2| (-367)))) (-1475 (($ $ (-1081)) NIL (|has| |#2| (-173))) ((|#2| $) NIL (|has| |#2| (-173)))) (-3096 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-2400 (((-768) $) NIL) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-384)))) (|has| |#2| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-571)))) (|has| |#2| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-1081) (-612 (-544))) (|has| |#2| (-612 (-544)))))) (-4189 ((|#2| $) NIL (|has| |#2| (-456))) (($ $ (-1081)) NIL (|has| |#2| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-909))))) (-3820 (((-3 $ "failed") $ $) NIL (|has| |#2| (-561))) (((-3 (-412 $) "failed") (-412 $) $) NIL (|has| |#2| (-561)))) (-3942 (((-855) $) 13) (($ (-571)) NIL) (($ |#2|) 26) (($ (-1081)) NIL) (($ (-1254 |#1|)) 20) (($ (-958 |#2|)) 34) (($ (-1169)) 18) (($ (-412 (-571))) NIL (-1831 (|has| |#2| (-43 (-412 (-571)))) (|has| |#2| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#2| (-561)))) (-1314 (((-637 |#2|) $) NIL)) (-3136 ((|#2| $ (-768)) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#2| (-909))) (|has| |#2| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#2| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#2| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) 14 T CONST)) (-1544 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#2| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#2| (-43 (-412 (-571))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-739 |#1| |#2|) (-13 (-1233 |#2|) (-10 -8 (-6 (-1043 (-1169))) (-15 -3942 ($ (-1254 |#1|))) (-15 -3755 ($ $ (-768) |#2| $)) (IF (|has| |#2| (-15 -4257 ((-1165 |#2|) |#2| (-1169)))) (-15 -3942 ($ |#2|)) |noBranch|) (-15 -3942 ($ (-958 |#2|))))) (-1169) (-1053)) (T -739)) 
+((-3942 (*1 *1 *2) (-12 (-5 *1 (-739 *3 *2)) (-14 *3 (-1169)) (-4 *2 (-1053)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *3)) (-14 *3 (-1169)) (-5 *1 (-739 *3 *4)) (-4 *4 (-1053)))) (-3755 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-768)) (-5 *1 (-739 *4 *3)) (-14 *4 (-1169)) (-4 *3 (-1053)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-958 *4)) (-4 *4 (-1053)) (-5 *1 (-739 *3 *4)) (-14 *3 (-1169))))) 
+(-13 (-1233 |#2|) (-10 -8 (-6 (-1043 (-1169))) (-15 -3942 ($ (-1254 |#1|))) (-15 -3755 ($ $ (-768) |#2| $)) (IF (|has| |#2| (-15 -4257 ((-1165 |#2|) |#2| (-1169)))) (-15 -3942 ($ |#2|)) |noBranch|) (-15 -3942 ($ (-958 |#2|))))) 
+((-1869 (($ $ (-922)) 12))) 
+(((-740 |#1| |#2|) (-10 -8 (-15 -1869 (|#1| |#1| (-922)))) (-741 |#2|) (-173)) (T -740)) 
+NIL 
+(-10 -8 (-15 -1869 (|#1| |#1| (-922)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3116 (($ $ (-922)) 27)) (-1869 (($ $ (-922)) 32)) (-4406 (($ $ (-922)) 28)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2212 (($ $ $) 24)) (-3942 (((-855) $) 11)) (-3100 (($ $ $ $) 25)) (-2493 (($ $ $) 23)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 29)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((-741 |#1|) (-1289) (-173)) (T -741)) 
+((-1869 (*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-741 *3)) (-4 *3 (-173))))) 
+(-13 (-758) (-712 |t#1|) (-10 -8 (-15 -1869 ($ $ (-922))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-712 |#1|) . T) ((-715) . T) ((-758) . T) ((-1059 |#1|) . T) ((-1097) . T)) 
+((-3196 (((-1041) (-684 (-216)) (-571) (-121) (-571)) 24)) (-3201 (((-1041) (-684 (-216)) (-571) (-121) (-571)) 23))) 
+(((-742) (-10 -7 (-15 -3201 ((-1041) (-684 (-216)) (-571) (-121) (-571))) (-15 -3196 ((-1041) (-684 (-216)) (-571) (-121) (-571))))) (T -742)) 
+((-3196 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *5 (-121)) (-5 *2 (-1041)) (-5 *1 (-742)))) (-3201 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *5 (-121)) (-5 *2 (-1041)) (-5 *1 (-742))))) 
+(-10 -7 (-15 -3201 ((-1041) (-684 (-216)) (-571) (-121) (-571))) (-15 -3196 ((-1041) (-684 (-216)) (-571) (-121) (-571)))) 
+((-3210 (((-1041) (-571) (-571) (-571) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-79 FCN)))) 43)) (-2166 (((-1041) (-571) (-571) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-86 FCN)))) 39)) (-2174 (((-1041) (-216) (-216) (-216) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) 32))) 
+(((-743) (-10 -7 (-15 -2174 ((-1041) (-216) (-216) (-216) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280))))) (-15 -2166 ((-1041) (-571) (-571) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-86 FCN))))) (-15 -3210 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-79 FCN))))))) (T -743)) 
+((-3210 (*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1041)) (-5 *1 (-743)))) (-2166 (*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1041)) (-5 *1 (-743)))) (-2174 (*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) (-5 *2 (-1041)) (-5 *1 (-743))))) 
+(-10 -7 (-15 -2174 ((-1041) (-216) (-216) (-216) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280))))) (-15 -2166 ((-1041) (-571) (-571) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-86 FCN))))) (-15 -3210 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-79 FCN)))))) 
+((-2179 (((-1041) (-571) (-571) (-684 (-216)) (-571)) 33)) (-2192 (((-1041) (-571) (-571) (-684 (-216)) (-571)) 32)) (-2202 (((-1041) (-571) (-684 (-216)) (-571)) 31)) (-2211 (((-1041) (-571) (-684 (-216)) (-571)) 30)) (-2219 (((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571)) 29)) (-2229 (((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571)) 28)) (-2233 (((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-571)) 27)) (-2245 (((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-571)) 26)) (-2255 (((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571)) 23)) (-2265 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571)) 22)) (-2274 (((-1041) (-571) (-684 (-216)) (-571)) 21)) (-2283 (((-1041) (-571) (-684 (-216)) (-571)) 20))) 
+(((-744) (-10 -7 (-15 -2283 ((-1041) (-571) (-684 (-216)) (-571))) (-15 -2274 ((-1041) (-571) (-684 (-216)) (-571))) (-15 -2265 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2255 ((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2245 ((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2233 ((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2229 ((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2219 ((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2211 ((-1041) (-571) (-684 (-216)) (-571))) (-15 -2202 ((-1041) (-571) (-684 (-216)) (-571))) (-15 -2192 ((-1041) (-571) (-571) (-684 (-216)) (-571))) (-15 -2179 ((-1041) (-571) (-571) (-684 (-216)) (-571))))) (T -744)) 
+((-2179 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2192 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2202 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2211 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2219 (*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-1151)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2229 (*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-1151)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2233 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-1151)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2245 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-1151)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2255 (*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2265 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2274 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744)))) (-2283 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(-10 -7 (-15 -2283 ((-1041) (-571) (-684 (-216)) (-571))) (-15 -2274 ((-1041) (-571) (-684 (-216)) (-571))) (-15 -2265 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2255 ((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2245 ((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2233 ((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2229 ((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2219 ((-1041) (-571) (-571) (-1151) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2211 ((-1041) (-571) (-684 (-216)) (-571))) (-15 -2202 ((-1041) (-571) (-684 (-216)) (-571))) (-15 -2192 ((-1041) (-571) (-571) (-684 (-216)) (-571))) (-15 -2179 ((-1041) (-571) (-571) (-684 (-216)) (-571)))) 
+((-3360 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571) (-216) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-83 FUNCTN)))) 52)) (-3368 (((-1041) (-684 (-216)) (-684 (-216)) (-571) (-571)) 51)) (-3375 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-83 FUNCTN)))) 50)) (-3382 (((-1041) (-216) (-216) (-571) (-571) (-571) (-571)) 46)) (-3387 (((-1041) (-216) (-216) (-571) (-216) (-571) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) 45)) (-2526 (((-1041) (-216) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) 44)) (-2544 (((-1041) (-216) (-216) (-216) (-216) (-571) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) 43)) (-2562 (((-1041) (-216) (-216) (-216) (-571) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) 42)) (-2571 (((-1041) (-216) (-571) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) 38)) (-2579 (((-1041) (-216) (-216) (-571) (-684 (-216)) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) 37)) (-2597 (((-1041) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) 33)) (-2613 (((-1041) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) 32))) 
+(((-745) (-10 -7 (-15 -2613 ((-1041) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280))))) (-15 -2597 ((-1041) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280))))) (-15 -2579 ((-1041) (-216) (-216) (-571) (-684 (-216)) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280))))) (-15 -2571 ((-1041) (-216) (-571) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280))))) (-15 -2562 ((-1041) (-216) (-216) (-216) (-571) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G))))) (-15 -2544 ((-1041) (-216) (-216) (-216) (-216) (-571) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G))))) (-15 -2526 ((-1041) (-216) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G))))) (-15 -3387 ((-1041) (-216) (-216) (-571) (-216) (-571) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G))))) (-15 -3382 ((-1041) (-216) (-216) (-571) (-571) (-571) (-571))) (-15 -3375 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-83 FUNCTN))))) (-15 -3368 ((-1041) (-684 (-216)) (-684 (-216)) (-571) (-571))) (-15 -3360 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571) (-216) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-83 FUNCTN))))))) (T -745)) 
+((-3360 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1041)) (-5 *1 (-745)))) (-3368 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-745)))) (-3375 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1041)) (-5 *1 (-745)))) (-3382 (*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-745)))) (-3387 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) (-5 *2 (-1041)) (-5 *1 (-745)))) (-2526 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) (-5 *2 (-1041)) (-5 *1 (-745)))) (-2544 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) (-5 *2 (-1041)) (-5 *1 (-745)))) (-2562 (*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) (-5 *2 (-1041)) (-5 *1 (-745)))) (-2571 (*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) (-5 *2 (-1041)) (-5 *1 (-745)))) (-2579 (*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-745)))) (-2597 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) (-5 *2 (-1041)) (-5 *1 (-745)))) (-2613 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(-10 -7 (-15 -2613 ((-1041) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280))))) (-15 -2597 ((-1041) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280))))) (-15 -2579 ((-1041) (-216) (-216) (-571) (-684 (-216)) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280))))) (-15 -2571 ((-1041) (-216) (-571) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280))))) (-15 -2562 ((-1041) (-216) (-216) (-216) (-571) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G))))) (-15 -2544 ((-1041) (-216) (-216) (-216) (-216) (-571) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G))))) (-15 -2526 ((-1041) (-216) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G))))) (-15 -3387 ((-1041) (-216) (-216) (-571) (-216) (-571) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G))))) (-15 -3382 ((-1041) (-216) (-216) (-571) (-571) (-571) (-571))) (-15 -3375 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571) (-216) (-571) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-83 FUNCTN))))) (-15 -3368 ((-1041) (-684 (-216)) (-684 (-216)) (-571) (-571))) (-15 -3360 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571) (-216) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-83 FUNCTN)))))) 
+((-3399 (((-1041) (-571) (-571) (-571) (-571) (-216) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-393)) (|:| |fp| (-81 G JACOBG JACGEP)))) 76)) (-3405 (((-1041) (-684 (-216)) (-571) (-571) (-216) (-571) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-92 BDYVAL))) (-393) (-393)) 69) (((-1041) (-684 (-216)) (-571) (-571) (-216) (-571) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-92 BDYVAL)))) 68)) (-3411 (((-1041) (-216) (-216) (-571) (-216) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-393)) (|:| |fp| (-90 FCNG)))) 57)) (-3418 (((-1041) (-684 (-216)) (-684 (-216)) (-571) (-216) (-216) (-216) (-571) (-571) (-571) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) 50)) (-3425 (((-1041) (-216) (-571) (-571) (-1151) (-571) (-216) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT)))) 49)) (-3432 (((-1041) (-216) (-571) (-571) (-216) (-1151) (-216) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT)))) 45)) (-1985 (((-1041) (-216) (-571) (-571) (-216) (-216) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) 42)) (-1992 (((-1041) (-216) (-571) (-571) (-571) (-216) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT)))) 38))) 
+(((-746) (-10 -7 (-15 -1992 ((-1041) (-216) (-571) (-571) (-571) (-216) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT))))) (-15 -1985 ((-1041) (-216) (-571) (-571) (-216) (-216) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))))) (-15 -3432 ((-1041) (-216) (-571) (-571) (-216) (-1151) (-216) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT))))) (-15 -3425 ((-1041) (-216) (-571) (-571) (-1151) (-571) (-216) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT))))) (-15 -3418 ((-1041) (-684 (-216)) (-684 (-216)) (-571) (-216) (-216) (-216) (-571) (-571) (-571) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))))) (-15 -3411 ((-1041) (-216) (-216) (-571) (-216) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-393)) (|:| |fp| (-90 FCNG))))) (-15 -3405 ((-1041) (-684 (-216)) (-571) (-571) (-216) (-571) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-92 BDYVAL))))) (-15 -3405 ((-1041) (-684 (-216)) (-571) (-571) (-216) (-571) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-92 BDYVAL))) (-393) (-393))) (-15 -3399 ((-1041) (-571) (-571) (-571) (-571) (-216) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-393)) (|:| |fp| (-81 G JACOBG JACGEP))))))) (T -746)) 
+((-3399 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-746)))) (-3405 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-393)) (-5 *2 (-1041)) (-5 *1 (-746)))) (-3405 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1041)) (-5 *1 (-746)))) (-3411 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-746)))) (-3418 (*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1041)) (-5 *1 (-746)))) (-3425 (*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-571)) (-5 *5 (-1151)) (-5 *6 (-684 (-216))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-393)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-746)))) (-3432 (*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-571)) (-5 *5 (-1151)) (-5 *6 (-684 (-216))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-746)))) (-1985 (*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-746)))) (-1992 (*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-746))))) 
+(-10 -7 (-15 -1992 ((-1041) (-216) (-571) (-571) (-571) (-216) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT))))) (-15 -1985 ((-1041) (-216) (-571) (-571) (-216) (-216) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))))) (-15 -3432 ((-1041) (-216) (-571) (-571) (-216) (-1151) (-216) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT))))) (-15 -3425 ((-1041) (-216) (-571) (-571) (-1151) (-571) (-216) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT))))) (-15 -3418 ((-1041) (-684 (-216)) (-684 (-216)) (-571) (-216) (-216) (-216) (-571) (-571) (-571) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN))))) (-15 -3411 ((-1041) (-216) (-216) (-571) (-216) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-393)) (|:| |fp| (-90 FCNG))))) (-15 -3405 ((-1041) (-684 (-216)) (-571) (-571) (-216) (-571) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-92 BDYVAL))))) (-15 -3405 ((-1041) (-684 (-216)) (-571) (-571) (-216) (-571) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-92 BDYVAL))) (-393) (-393))) (-15 -3399 ((-1041) (-571) (-571) (-571) (-571) (-216) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-393)) (|:| |fp| (-81 G JACOBG JACGEP)))))) 
+((-2024 (((-1041) (-216) (-216) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-216) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-216) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-669 (-216)) (-571)) 45)) (-2027 (((-1041) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-1151) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-393)) (|:| |fp| (-88 BNDY)))) 41)) (-2036 (((-1041) (-571) (-571) (-571) (-571) (-216) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571)) 23))) 
+(((-747) (-10 -7 (-15 -2036 ((-1041) (-571) (-571) (-571) (-571) (-216) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2027 ((-1041) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-1151) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-393)) (|:| |fp| (-88 BNDY))))) (-15 -2024 ((-1041) (-216) (-216) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-216) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-216) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-669 (-216)) (-571))))) (T -747)) 
+((-2024 (*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-669 (-216))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-747)))) (-2027 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-1151)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1041)) (-5 *1 (-747)))) (-2036 (*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-747))))) 
+(-10 -7 (-15 -2036 ((-1041) (-571) (-571) (-571) (-571) (-216) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2027 ((-1041) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-1151) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-393)) (|:| |fp| (-88 BNDY))))) (-15 -2024 ((-1041) (-216) (-216) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-216) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-216) (-571) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-669 (-216)) (-571)))) 
+((-4467 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-684 (-216)) (-216) (-216) (-571)) 35)) (-3230 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-216) (-216) (-571)) 34)) (-3793 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-684 (-216)) (-216) (-216) (-571)) 33)) (-3234 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571)) 29)) (-3239 (((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571)) 28)) (-3246 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-216) (-571)) 27)) (-3252 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-571)) 23)) (-3258 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-571)) 22)) (-3263 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571)) 21)) (-3267 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571) (-571) (-571)) 20))) 
+(((-748) (-10 -7 (-15 -3267 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571) (-571) (-571))) (-15 -3263 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3258 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-571))) (-15 -3252 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-571))) (-15 -3246 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-216) (-571))) (-15 -3239 ((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3234 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3793 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-684 (-216)) (-216) (-216) (-571))) (-15 -3230 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-216) (-216) (-571))) (-15 -4467 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-684 (-216)) (-216) (-216) (-571))))) (T -748)) 
+((-4467 (*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-748)))) (-3230 (*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-748)))) (-3793 (*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *6 (-216)) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-748)))) (-3234 (*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748)))) (-3239 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748)))) (-3246 (*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-748)))) (-3252 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748)))) (-3258 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748)))) (-3263 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748)))) (-3267 (*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(-10 -7 (-15 -3267 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571) (-571) (-571))) (-15 -3263 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3258 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-571))) (-15 -3252 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-571))) (-15 -3246 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-216) (-571))) (-15 -3239 ((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3234 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3793 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-684 (-216)) (-216) (-216) (-571))) (-15 -3230 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-216) (-216) (-571))) (-15 -4467 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-684 (-216)) (-216) (-216) (-571)))) 
+((-3272 (((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-571) (-571) (-571)) 45)) (-3276 (((-1041) (-571) (-571) (-571) (-216) (-684 (-216)) (-684 (-216)) (-571)) 44)) (-3281 (((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-571)) 43)) (-3285 (((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571)) 42)) (-3290 (((-1041) (-1151) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-571)) 41)) (-3296 (((-1041) (-1151) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-571)) 40)) (-3301 (((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-571) (-571) (-571) (-216) (-684 (-216)) (-571)) 39)) (-3307 (((-1041) (-1151) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-571))) 38)) (-3313 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571)) 35)) (-1637 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571)) 34)) (-1641 (((-1041) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571)) 33)) (-1645 (((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571)) 32)) (-1650 (((-1041) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-216) (-571)) 31)) (-1656 (((-1041) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-216) (-571) (-571) (-571)) 30)) (-1999 (((-1041) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-571) (-571) (-571)) 29)) (-2504 (((-1041) (-571) (-571) (-571) (-216) (-216) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-571) (-684 (-571)) (-571) (-571) (-571)) 28)) (-3189 (((-1041) (-571) (-684 (-216)) (-216) (-571)) 24)) (-3205 (((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571)) 20))) 
+(((-749) (-10 -7 (-15 -3205 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3189 ((-1041) (-571) (-684 (-216)) (-216) (-571))) (-15 -2504 ((-1041) (-571) (-571) (-571) (-216) (-216) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-571) (-684 (-571)) (-571) (-571) (-571))) (-15 -1999 ((-1041) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-571) (-571) (-571))) (-15 -1656 ((-1041) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-216) (-571) (-571) (-571))) (-15 -1650 ((-1041) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-216) (-571))) (-15 -1645 ((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -1641 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571))) (-15 -1637 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571))) (-15 -3313 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3307 ((-1041) (-1151) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-571)))) (-15 -3301 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-571) (-571) (-571) (-216) (-684 (-216)) (-571))) (-15 -3296 ((-1041) (-1151) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-571))) (-15 -3290 ((-1041) (-1151) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3285 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3281 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-571))) (-15 -3276 ((-1041) (-571) (-571) (-571) (-216) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3272 ((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-571) (-571) (-571))))) (T -749)) 
+((-3272 (*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749)))) (-3276 (*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-3281 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749)))) (-3285 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749)))) (-3290 (*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-216)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-3296 (*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1151)) (-5 *5 (-684 (-216))) (-5 *6 (-216)) (-5 *7 (-684 (-571))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-3301 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *6 (-216)) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-3307 (*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1151)) (-5 *5 (-684 (-216))) (-5 *6 (-216)) (-5 *7 (-684 (-571))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-3313 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749)))) (-1637 (*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-1641 (*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-1645 (*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749)))) (-1650 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-1656 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-1999 (*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-2504 (*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-684 (-216))) (-5 *6 (-684 (-571))) (-5 *3 (-571)) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-3189 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-749)))) (-3205 (*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(-10 -7 (-15 -3205 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3189 ((-1041) (-571) (-684 (-216)) (-216) (-571))) (-15 -2504 ((-1041) (-571) (-571) (-571) (-216) (-216) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-571) (-684 (-571)) (-571) (-571) (-571))) (-15 -1999 ((-1041) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-571) (-571) (-571))) (-15 -1656 ((-1041) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-216) (-571) (-571) (-571))) (-15 -1650 ((-1041) (-571) (-216) (-216) (-684 (-216)) (-571) (-571) (-216) (-571))) (-15 -1645 ((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -1641 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571))) (-15 -1637 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571))) (-15 -3313 ((-1041) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3307 ((-1041) (-1151) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-571)))) (-15 -3301 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-571) (-571) (-571) (-216) (-684 (-216)) (-571))) (-15 -3296 ((-1041) (-1151) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-571))) (-15 -3290 ((-1041) (-1151) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-216) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3285 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3281 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-571))) (-15 -3276 ((-1041) (-571) (-571) (-571) (-216) (-684 (-216)) (-684 (-216)) (-571))) (-15 -3272 ((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571) (-684 (-216)) (-684 (-216)) (-571) (-571) (-571)))) 
+((-1661 (((-1041) (-571) (-571) (-571) (-216) (-684 (-216)) (-571) (-684 (-216)) (-571)) 63)) (-1666 (((-1041) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-121) (-216) (-571) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-571) (-571) (-571) (-571) (-571) (-216) (-216) (-216) (-571) (-571) (-571) (-571) (-571) (-684 (-571)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-82 OBJFUN)))) 62)) (-1671 (((-1041) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-216) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-121) (-121) (-121) (-571) (-571) (-684 (-216)) (-684 (-571)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-70 QPHESS)))) 58)) (-1677 (((-1041) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-121) (-571) (-571) (-684 (-216)) (-571)) 51)) (-1684 (((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-71 FUNCT1)))) 50)) (-1689 (((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-68 LSFUN2)))) 46)) (-1695 (((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-84 LSFUN1)))) 42)) (-1701 (((-1041) (-571) (-216) (-216) (-571) (-216) (-121) (-216) (-216) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-82 OBJFUN)))) 38))) 
+(((-750) (-10 -7 (-15 -1701 ((-1041) (-571) (-216) (-216) (-571) (-216) (-121) (-216) (-216) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-82 OBJFUN))))) (-15 -1695 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-84 LSFUN1))))) (-15 -1689 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-68 LSFUN2))))) (-15 -1684 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-71 FUNCT1))))) (-15 -1677 ((-1041) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-121) (-571) (-571) (-684 (-216)) (-571))) (-15 -1671 ((-1041) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-216) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-121) (-121) (-121) (-571) (-571) (-684 (-216)) (-684 (-571)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-70 QPHESS))))) (-15 -1666 ((-1041) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-121) (-216) (-571) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-571) (-571) (-571) (-571) (-571) (-216) (-216) (-216) (-571) (-571) (-571) (-571) (-571) (-684 (-571)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-82 OBJFUN))))) (-15 -1661 ((-1041) (-571) (-571) (-571) (-216) (-684 (-216)) (-571) (-684 (-216)) (-571))))) (T -750)) 
+((-1661 (*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-750)))) (-1666 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-684 (-571))) (-5 *8 (-3 (|:| |fn| (-393)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-393)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-750)))) (-1671 (*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-684 (-216))) (-5 *6 (-121)) (-5 *7 (-684 (-571))) (-5 *8 (-3 (|:| |fn| (-393)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-571)) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-750)))) (-1677 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-121)) (-5 *2 (-1041)) (-5 *1 (-750)))) (-1684 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1041)) (-5 *1 (-750)))) (-1689 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1041)) (-5 *1 (-750)))) (-1695 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1041)) (-5 *1 (-750)))) (-1701 (*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-571)) (-5 *5 (-121)) (-5 *6 (-684 (-216))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-750))))) 
+(-10 -7 (-15 -1701 ((-1041) (-571) (-216) (-216) (-571) (-216) (-121) (-216) (-216) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-82 OBJFUN))))) (-15 -1695 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-84 LSFUN1))))) (-15 -1689 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-68 LSFUN2))))) (-15 -1684 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-71 FUNCT1))))) (-15 -1677 ((-1041) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-121) (-571) (-571) (-684 (-216)) (-571))) (-15 -1671 ((-1041) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-216) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-121) (-121) (-121) (-571) (-571) (-684 (-216)) (-684 (-571)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-70 QPHESS))))) (-15 -1666 ((-1041) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-571) (-121) (-216) (-571) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-571) (-571) (-571) (-571) (-571) (-216) (-216) (-216) (-571) (-571) (-571) (-571) (-571) (-684 (-571)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-393)) (|:| |fp| (-82 OBJFUN))))) (-15 -1661 ((-1041) (-571) (-571) (-571) (-216) (-684 (-216)) (-571) (-684 (-216)) (-571)))) 
+((-1706 (((-1041) (-1151) (-571) (-571) (-571) (-571) (-684 (-170 (-216))) (-684 (-170 (-216))) (-571)) 46)) (-1711 (((-1041) (-1151) (-1151) (-571) (-571) (-684 (-170 (-216))) (-571) (-684 (-170 (-216))) (-571) (-571) (-684 (-170 (-216))) (-571)) 45)) (-1716 (((-1041) (-571) (-571) (-571) (-684 (-170 (-216))) (-571)) 44)) (-1720 (((-1041) (-1151) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571)) 40)) (-1724 (((-1041) (-1151) (-1151) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-571) (-571) (-684 (-216)) (-571)) 39)) (-1729 (((-1041) (-571) (-571) (-571) (-684 (-216)) (-571)) 36)) (-1735 (((-1041) (-571) (-684 (-216)) (-571) (-684 (-571)) (-571)) 35)) (-1743 (((-1041) (-571) (-571) (-571) (-571) (-637 (-121)) (-684 (-216)) (-684 (-571)) (-684 (-571)) (-216) (-216) (-571)) 34)) (-1748 (((-1041) (-571) (-571) (-571) (-684 (-571)) (-684 (-571)) (-684 (-571)) (-684 (-571)) (-121) (-216) (-121) (-684 (-571)) (-684 (-216)) (-571)) 33)) (-1752 (((-1041) (-571) (-571) (-571) (-571) (-216) (-121) (-121) (-637 (-121)) (-684 (-216)) (-684 (-571)) (-684 (-571)) (-571)) 32))) 
+(((-751) (-10 -7 (-15 -1752 ((-1041) (-571) (-571) (-571) (-571) (-216) (-121) (-121) (-637 (-121)) (-684 (-216)) (-684 (-571)) (-684 (-571)) (-571))) (-15 -1748 ((-1041) (-571) (-571) (-571) (-684 (-571)) (-684 (-571)) (-684 (-571)) (-684 (-571)) (-121) (-216) (-121) (-684 (-571)) (-684 (-216)) (-571))) (-15 -1743 ((-1041) (-571) (-571) (-571) (-571) (-637 (-121)) (-684 (-216)) (-684 (-571)) (-684 (-571)) (-216) (-216) (-571))) (-15 -1735 ((-1041) (-571) (-684 (-216)) (-571) (-684 (-571)) (-571))) (-15 -1729 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-571))) (-15 -1724 ((-1041) (-1151) (-1151) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-571) (-571) (-684 (-216)) (-571))) (-15 -1720 ((-1041) (-1151) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -1716 ((-1041) (-571) (-571) (-571) (-684 (-170 (-216))) (-571))) (-15 -1711 ((-1041) (-1151) (-1151) (-571) (-571) (-684 (-170 (-216))) (-571) (-684 (-170 (-216))) (-571) (-571) (-684 (-170 (-216))) (-571))) (-15 -1706 ((-1041) (-1151) (-571) (-571) (-571) (-571) (-684 (-170 (-216))) (-684 (-170 (-216))) (-571))))) (T -751)) 
+((-1706 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-170 (-216)))) (-5 *2 (-1041)) (-5 *1 (-751)))) (-1711 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-170 (-216)))) (-5 *2 (-1041)) (-5 *1 (-751)))) (-1716 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-170 (-216)))) (-5 *2 (-1041)) (-5 *1 (-751)))) (-1720 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-751)))) (-1724 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-751)))) (-1729 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-751)))) (-1735 (*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-751)))) (-1743 (*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-637 (-121))) (-5 *5 (-684 (-216))) (-5 *6 (-684 (-571))) (-5 *7 (-216)) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-751)))) (-1748 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-684 (-571))) (-5 *5 (-121)) (-5 *7 (-684 (-216))) (-5 *3 (-571)) (-5 *6 (-216)) (-5 *2 (-1041)) (-5 *1 (-751)))) (-1752 (*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-637 (-121))) (-5 *7 (-684 (-216))) (-5 *8 (-684 (-571))) (-5 *3 (-571)) (-5 *4 (-216)) (-5 *5 (-121)) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(-10 -7 (-15 -1752 ((-1041) (-571) (-571) (-571) (-571) (-216) (-121) (-121) (-637 (-121)) (-684 (-216)) (-684 (-571)) (-684 (-571)) (-571))) (-15 -1748 ((-1041) (-571) (-571) (-571) (-684 (-571)) (-684 (-571)) (-684 (-571)) (-684 (-571)) (-121) (-216) (-121) (-684 (-571)) (-684 (-216)) (-571))) (-15 -1743 ((-1041) (-571) (-571) (-571) (-571) (-637 (-121)) (-684 (-216)) (-684 (-571)) (-684 (-571)) (-216) (-216) (-571))) (-15 -1735 ((-1041) (-571) (-684 (-216)) (-571) (-684 (-571)) (-571))) (-15 -1729 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-571))) (-15 -1724 ((-1041) (-1151) (-1151) (-571) (-571) (-684 (-216)) (-571) (-684 (-216)) (-571) (-571) (-684 (-216)) (-571))) (-15 -1720 ((-1041) (-1151) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -1716 ((-1041) (-571) (-571) (-571) (-684 (-170 (-216))) (-571))) (-15 -1711 ((-1041) (-1151) (-1151) (-571) (-571) (-684 (-170 (-216))) (-571) (-684 (-170 (-216))) (-571) (-571) (-684 (-170 (-216))) (-571))) (-15 -1706 ((-1041) (-1151) (-571) (-571) (-571) (-571) (-684 (-170 (-216))) (-684 (-170 (-216))) (-571)))) 
+((-2880 (((-1041) (-571) (-571) (-571) (-571) (-571) (-121) (-571) (-121) (-571) (-684 (-170 (-216))) (-684 (-170 (-216))) (-571)) 64)) (-2885 (((-1041) (-571) (-571) (-571) (-571) (-571) (-121) (-571) (-121) (-571) (-684 (-216)) (-684 (-216)) (-571)) 60)) (-2892 (((-1041) (-571) (-571) (-216) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-393)) (|:| |fp| (-73 IMAGE))) (-393)) 56) (((-1041) (-571) (-571) (-216) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-393)) (|:| |fp| (-73 IMAGE)))) 55)) (-2897 (((-1041) (-571) (-571) (-571) (-216) (-121) (-571) (-684 (-216)) (-684 (-216)) (-571)) 37)) (-2903 (((-1041) (-571) (-571) (-216) (-216) (-571) (-571) (-684 (-216)) (-571)) 33)) (-2908 (((-1041) (-684 (-216)) (-571) (-684 (-216)) (-571) (-571) (-571) (-571) (-571)) 29)) (-2915 (((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571)) 28)) (-1486 (((-1041) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571)) 27)) (-1492 (((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571)) 26)) (-1498 (((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-571)) 25)) (-1509 (((-1041) (-571) (-571) (-684 (-216)) (-571)) 24)) (-1515 (((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571)) 23)) (-1521 (((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571)) 22)) (-1527 (((-1041) (-684 (-216)) (-571) (-571) (-571) (-571)) 21)) (-1532 (((-1041) (-571) (-571) (-684 (-216)) (-571)) 20))) 
+(((-752) (-10 -7 (-15 -1532 ((-1041) (-571) (-571) (-684 (-216)) (-571))) (-15 -1527 ((-1041) (-684 (-216)) (-571) (-571) (-571) (-571))) (-15 -1521 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -1515 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -1509 ((-1041) (-571) (-571) (-684 (-216)) (-571))) (-15 -1498 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-571))) (-15 -1492 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -1486 ((-1041) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2915 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2908 ((-1041) (-684 (-216)) (-571) (-684 (-216)) (-571) (-571) (-571) (-571) (-571))) (-15 -2903 ((-1041) (-571) (-571) (-216) (-216) (-571) (-571) (-684 (-216)) (-571))) (-15 -2897 ((-1041) (-571) (-571) (-571) (-216) (-121) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2892 ((-1041) (-571) (-571) (-216) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-393)) (|:| |fp| (-73 IMAGE))))) (-15 -2892 ((-1041) (-571) (-571) (-216) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-393)) (|:| |fp| (-73 IMAGE))) (-393))) (-15 -2885 ((-1041) (-571) (-571) (-571) (-571) (-571) (-121) (-571) (-121) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2880 ((-1041) (-571) (-571) (-571) (-571) (-571) (-121) (-571) (-121) (-571) (-684 (-170 (-216))) (-684 (-170 (-216))) (-571))))) (T -752)) 
+((-2880 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-121)) (-5 *5 (-684 (-170 (-216)))) (-5 *2 (-1041)) (-5 *1 (-752)))) (-2885 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-121)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752)))) (-2892 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-393)) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-752)))) (-2892 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-752)))) (-2897 (*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-571)) (-5 *5 (-121)) (-5 *6 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-752)))) (-2903 (*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-752)))) (-2908 (*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-752)))) (-2915 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752)))) (-1486 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752)))) (-1492 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752)))) (-1498 (*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752)))) (-1509 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752)))) (-1515 (*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752)))) (-1521 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752)))) (-1527 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-752)))) (-1532 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(-10 -7 (-15 -1532 ((-1041) (-571) (-571) (-684 (-216)) (-571))) (-15 -1527 ((-1041) (-684 (-216)) (-571) (-571) (-571) (-571))) (-15 -1521 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -1515 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -1509 ((-1041) (-571) (-571) (-684 (-216)) (-571))) (-15 -1498 ((-1041) (-571) (-571) (-571) (-571) (-684 (-216)) (-571))) (-15 -1492 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -1486 ((-1041) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2915 ((-1041) (-571) (-571) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2908 ((-1041) (-684 (-216)) (-571) (-684 (-216)) (-571) (-571) (-571) (-571) (-571))) (-15 -2903 ((-1041) (-571) (-571) (-216) (-216) (-571) (-571) (-684 (-216)) (-571))) (-15 -2897 ((-1041) (-571) (-571) (-571) (-216) (-121) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2892 ((-1041) (-571) (-571) (-216) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-393)) (|:| |fp| (-73 IMAGE))))) (-15 -2892 ((-1041) (-571) (-571) (-216) (-571) (-571) (-571) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-393)) (|:| |fp| (-73 IMAGE))) (-393))) (-15 -2885 ((-1041) (-571) (-571) (-571) (-571) (-571) (-121) (-571) (-121) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2880 ((-1041) (-571) (-571) (-571) (-571) (-571) (-121) (-571) (-121) (-571) (-684 (-170 (-216))) (-684 (-170 (-216))) (-571)))) 
+((-2675 (((-1041) (-571) (-571) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-75 APROD)))) 60)) (-2686 (((-1041) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-571)) (-571) (-684 (-216)) (-571) (-571) (-571) (-571)) 56)) (-2692 (((-1041) (-571) (-684 (-216)) (-121) (-216) (-571) (-571) (-571) (-571) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-393)) (|:| |fp| (-78 MSOLVE)))) 55)) (-2703 (((-1041) (-571) (-571) (-684 (-216)) (-571) (-684 (-571)) (-571) (-684 (-571)) (-684 (-216)) (-684 (-571)) (-684 (-571)) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-571)) 36)) (-2711 (((-1041) (-571) (-571) (-571) (-216) (-571) (-684 (-216)) (-684 (-216)) (-571)) 35)) (-2718 (((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571)) 31)) (-2728 (((-1041) (-571) (-684 (-216)) (-571) (-684 (-571)) (-684 (-571)) (-571) (-684 (-571)) (-684 (-216))) 30)) (-2734 (((-1041) (-684 (-216)) (-571) (-684 (-216)) (-571) (-571) (-571)) 26)) (-2745 (((-1041) (-571) (-684 (-216)) (-571) (-684 (-216)) (-571)) 25)) (-2762 (((-1041) (-571) (-684 (-216)) (-571) (-684 (-216)) (-571)) 24)) (-2777 (((-1041) (-571) (-684 (-170 (-216))) (-571) (-571) (-571) (-571) (-684 (-170 (-216))) (-571)) 20))) 
+(((-753) (-10 -7 (-15 -2777 ((-1041) (-571) (-684 (-170 (-216))) (-571) (-571) (-571) (-571) (-684 (-170 (-216))) (-571))) (-15 -2762 ((-1041) (-571) (-684 (-216)) (-571) (-684 (-216)) (-571))) (-15 -2745 ((-1041) (-571) (-684 (-216)) (-571) (-684 (-216)) (-571))) (-15 -2734 ((-1041) (-684 (-216)) (-571) (-684 (-216)) (-571) (-571) (-571))) (-15 -2728 ((-1041) (-571) (-684 (-216)) (-571) (-684 (-571)) (-684 (-571)) (-571) (-684 (-571)) (-684 (-216)))) (-15 -2718 ((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2711 ((-1041) (-571) (-571) (-571) (-216) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2703 ((-1041) (-571) (-571) (-684 (-216)) (-571) (-684 (-571)) (-571) (-684 (-571)) (-684 (-216)) (-684 (-571)) (-684 (-571)) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-571))) (-15 -2692 ((-1041) (-571) (-684 (-216)) (-121) (-216) (-571) (-571) (-571) (-571) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-393)) (|:| |fp| (-78 MSOLVE))))) (-15 -2686 ((-1041) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-571)) (-571) (-684 (-216)) (-571) (-571) (-571) (-571))) (-15 -2675 ((-1041) (-571) (-571) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-75 APROD))))))) (T -753)) 
+((-2675 (*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-75 APROD)))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-753)))) (-2686 (*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-753)))) (-2692 (*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-393)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1041)) (-5 *1 (-753)))) (-2703 (*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-753)))) (-2711 (*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-753)))) (-2718 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-753)))) (-2728 (*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-753)))) (-2734 (*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-753)))) (-2745 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-753)))) (-2762 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-753)))) (-2777 (*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-170 (-216)))) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(-10 -7 (-15 -2777 ((-1041) (-571) (-684 (-170 (-216))) (-571) (-571) (-571) (-571) (-684 (-170 (-216))) (-571))) (-15 -2762 ((-1041) (-571) (-684 (-216)) (-571) (-684 (-216)) (-571))) (-15 -2745 ((-1041) (-571) (-684 (-216)) (-571) (-684 (-216)) (-571))) (-15 -2734 ((-1041) (-684 (-216)) (-571) (-684 (-216)) (-571) (-571) (-571))) (-15 -2728 ((-1041) (-571) (-684 (-216)) (-571) (-684 (-571)) (-684 (-571)) (-571) (-684 (-571)) (-684 (-216)))) (-15 -2718 ((-1041) (-571) (-571) (-684 (-216)) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2711 ((-1041) (-571) (-571) (-571) (-216) (-571) (-684 (-216)) (-684 (-216)) (-571))) (-15 -2703 ((-1041) (-571) (-571) (-684 (-216)) (-571) (-684 (-571)) (-571) (-684 (-571)) (-684 (-216)) (-684 (-571)) (-684 (-571)) (-684 (-216)) (-684 (-216)) (-684 (-571)) (-571))) (-15 -2692 ((-1041) (-571) (-684 (-216)) (-121) (-216) (-571) (-571) (-571) (-571) (-216) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-393)) (|:| |fp| (-78 MSOLVE))))) (-15 -2686 ((-1041) (-571) (-684 (-216)) (-571) (-684 (-216)) (-684 (-571)) (-571) (-684 (-216)) (-571) (-571) (-571) (-571))) (-15 -2675 ((-1041) (-571) (-571) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-571) (-684 (-216)) (-571) (-3 (|:| |fn| (-393)) (|:| |fp| (-75 APROD)))))) 
+((-2834 (((-1041) (-1151) (-571) (-571) (-684 (-216)) (-571) (-571) (-684 (-216))) 28)) (-2839 (((-1041) (-1151) (-571) (-571) (-684 (-216))) 27)) (-2845 (((-1041) (-1151) (-571) (-571) (-684 (-216)) (-571) (-684 (-571)) (-571) (-684 (-216))) 26)) (-2851 (((-1041) (-571) (-571) (-571) (-684 (-216))) 20))) 
+(((-754) (-10 -7 (-15 -2851 ((-1041) (-571) (-571) (-571) (-684 (-216)))) (-15 -2845 ((-1041) (-1151) (-571) (-571) (-684 (-216)) (-571) (-684 (-571)) (-571) (-684 (-216)))) (-15 -2839 ((-1041) (-1151) (-571) (-571) (-684 (-216)))) (-15 -2834 ((-1041) (-1151) (-571) (-571) (-684 (-216)) (-571) (-571) (-684 (-216)))))) (T -754)) 
+((-2834 (*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-754)))) (-2839 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-754)))) (-2845 (*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1151)) (-5 *5 (-684 (-216))) (-5 *6 (-684 (-571))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-754)))) (-2851 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-754))))) 
+(-10 -7 (-15 -2851 ((-1041) (-571) (-571) (-571) (-684 (-216)))) (-15 -2845 ((-1041) (-1151) (-571) (-571) (-684 (-216)) (-571) (-684 (-571)) (-571) (-684 (-216)))) (-15 -2839 ((-1041) (-1151) (-571) (-571) (-684 (-216)))) (-15 -2834 ((-1041) (-1151) (-571) (-571) (-684 (-216)) (-571) (-571) (-684 (-216))))) 
+((-2463 (((-1041) (-216) (-216) (-216) (-216) (-571)) 62)) (-2471 (((-1041) (-216) (-216) (-216) (-571)) 61)) (-2480 (((-1041) (-216) (-216) (-216) (-571)) 60)) (-2486 (((-1041) (-216) (-216) (-571)) 59)) (-2499 (((-1041) (-216) (-571)) 58)) (-2517 (((-1041) (-216) (-571)) 57)) (-2535 (((-1041) (-216) (-571)) 56)) (-2552 (((-1041) (-216) (-571)) 55)) (-2589 (((-1041) (-216) (-571)) 54)) (-2606 (((-1041) (-216) (-571)) 53)) (-2625 (((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571)) 52)) (-2632 (((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571)) 51)) (-2642 (((-1041) (-216) (-571)) 50)) (-2651 (((-1041) (-216) (-571)) 49)) (-2658 (((-1041) (-216) (-571)) 48)) (-2668 (((-1041) (-216) (-571)) 47)) (-2861 (((-1041) (-571) (-216) (-170 (-216)) (-571) (-1151) (-571)) 46)) (-2868 (((-1041) (-1151) (-170 (-216)) (-1151) (-571)) 45)) (-2876 (((-1041) (-1151) (-170 (-216)) (-1151) (-571)) 44)) (-2289 (((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571)) 43)) (-2301 (((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571)) 42)) (-2310 (((-1041) (-216) (-571)) 39)) (-2317 (((-1041) (-216) (-571)) 38)) (-2324 (((-1041) (-216) (-571)) 37)) (-2337 (((-1041) (-216) (-571)) 36)) (-2344 (((-1041) (-216) (-571)) 35)) (-2351 (((-1041) (-216) (-571)) 34)) (-2362 (((-1041) (-216) (-571)) 33)) (-2370 (((-1041) (-216) (-571)) 32)) (-2380 (((-1041) (-216) (-571)) 31)) (-2391 (((-1041) (-216) (-571)) 30)) (-2398 (((-1041) (-216) (-216) (-216) (-571)) 29)) (-2405 (((-1041) (-216) (-571)) 28)) (-2417 (((-1041) (-216) (-571)) 27)) (-2423 (((-1041) (-216) (-571)) 26)) (-2435 (((-1041) (-216) (-571)) 25)) (-2445 (((-1041) (-216) (-571)) 24)) (-2454 (((-1041) (-170 (-216)) (-571)) 20))) 
+(((-755) (-10 -7 (-15 -2454 ((-1041) (-170 (-216)) (-571))) (-15 -2445 ((-1041) (-216) (-571))) (-15 -2435 ((-1041) (-216) (-571))) (-15 -2423 ((-1041) (-216) (-571))) (-15 -2417 ((-1041) (-216) (-571))) (-15 -2405 ((-1041) (-216) (-571))) (-15 -2398 ((-1041) (-216) (-216) (-216) (-571))) (-15 -2391 ((-1041) (-216) (-571))) (-15 -2380 ((-1041) (-216) (-571))) (-15 -2370 ((-1041) (-216) (-571))) (-15 -2362 ((-1041) (-216) (-571))) (-15 -2351 ((-1041) (-216) (-571))) (-15 -2344 ((-1041) (-216) (-571))) (-15 -2337 ((-1041) (-216) (-571))) (-15 -2324 ((-1041) (-216) (-571))) (-15 -2317 ((-1041) (-216) (-571))) (-15 -2310 ((-1041) (-216) (-571))) (-15 -2301 ((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571))) (-15 -2289 ((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571))) (-15 -2876 ((-1041) (-1151) (-170 (-216)) (-1151) (-571))) (-15 -2868 ((-1041) (-1151) (-170 (-216)) (-1151) (-571))) (-15 -2861 ((-1041) (-571) (-216) (-170 (-216)) (-571) (-1151) (-571))) (-15 -2668 ((-1041) (-216) (-571))) (-15 -2658 ((-1041) (-216) (-571))) (-15 -2651 ((-1041) (-216) (-571))) (-15 -2642 ((-1041) (-216) (-571))) (-15 -2632 ((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571))) (-15 -2625 ((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571))) (-15 -2606 ((-1041) (-216) (-571))) (-15 -2589 ((-1041) (-216) (-571))) (-15 -2552 ((-1041) (-216) (-571))) (-15 -2535 ((-1041) (-216) (-571))) (-15 -2517 ((-1041) (-216) (-571))) (-15 -2499 ((-1041) (-216) (-571))) (-15 -2486 ((-1041) (-216) (-216) (-571))) (-15 -2480 ((-1041) (-216) (-216) (-216) (-571))) (-15 -2471 ((-1041) (-216) (-216) (-216) (-571))) (-15 -2463 ((-1041) (-216) (-216) (-216) (-216) (-571))))) (T -755)) 
+((-2463 (*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2471 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2480 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2486 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2499 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2517 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2535 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2552 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2589 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2606 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2625 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *6 (-1151)) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2632 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *6 (-1151)) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2642 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2651 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2658 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2668 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2861 (*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-571)) (-5 *5 (-170 (-216))) (-5 *6 (-1151)) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2868 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1151)) (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2876 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1151)) (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2289 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *6 (-1151)) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2301 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *6 (-1151)) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2310 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2317 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2324 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2337 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2344 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2351 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2362 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2370 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2380 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2391 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2398 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2405 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2417 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2423 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2435 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2445 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755)))) (-2454 (*1 *2 *3 *4) (-12 (-5 *3 (-170 (-216))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(-10 -7 (-15 -2454 ((-1041) (-170 (-216)) (-571))) (-15 -2445 ((-1041) (-216) (-571))) (-15 -2435 ((-1041) (-216) (-571))) (-15 -2423 ((-1041) (-216) (-571))) (-15 -2417 ((-1041) (-216) (-571))) (-15 -2405 ((-1041) (-216) (-571))) (-15 -2398 ((-1041) (-216) (-216) (-216) (-571))) (-15 -2391 ((-1041) (-216) (-571))) (-15 -2380 ((-1041) (-216) (-571))) (-15 -2370 ((-1041) (-216) (-571))) (-15 -2362 ((-1041) (-216) (-571))) (-15 -2351 ((-1041) (-216) (-571))) (-15 -2344 ((-1041) (-216) (-571))) (-15 -2337 ((-1041) (-216) (-571))) (-15 -2324 ((-1041) (-216) (-571))) (-15 -2317 ((-1041) (-216) (-571))) (-15 -2310 ((-1041) (-216) (-571))) (-15 -2301 ((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571))) (-15 -2289 ((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571))) (-15 -2876 ((-1041) (-1151) (-170 (-216)) (-1151) (-571))) (-15 -2868 ((-1041) (-1151) (-170 (-216)) (-1151) (-571))) (-15 -2861 ((-1041) (-571) (-216) (-170 (-216)) (-571) (-1151) (-571))) (-15 -2668 ((-1041) (-216) (-571))) (-15 -2658 ((-1041) (-216) (-571))) (-15 -2651 ((-1041) (-216) (-571))) (-15 -2642 ((-1041) (-216) (-571))) (-15 -2632 ((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571))) (-15 -2625 ((-1041) (-216) (-170 (-216)) (-571) (-1151) (-571))) (-15 -2606 ((-1041) (-216) (-571))) (-15 -2589 ((-1041) (-216) (-571))) (-15 -2552 ((-1041) (-216) (-571))) (-15 -2535 ((-1041) (-216) (-571))) (-15 -2517 ((-1041) (-216) (-571))) (-15 -2499 ((-1041) (-216) (-571))) (-15 -2486 ((-1041) (-216) (-216) (-571))) (-15 -2480 ((-1041) (-216) (-216) (-216) (-571))) (-15 -2471 ((-1041) (-216) (-216) (-216) (-571))) (-15 -2463 ((-1041) (-216) (-216) (-216) (-216) (-571)))) 
+((-2791 (((-1263)) 18)) (-2856 (((-1151)) 22)) (-2825 (((-1151)) 21)) (-3757 (((-1101) (-1169) (-684 (-571))) 35) (((-1101) (-1169) (-684 (-216))) 31)) (-3117 (((-121)) 16)) (-4184 (((-1151) (-1151)) 25))) 
+(((-756) (-10 -7 (-15 -2825 ((-1151))) (-15 -2856 ((-1151))) (-15 -4184 ((-1151) (-1151))) (-15 -3757 ((-1101) (-1169) (-684 (-216)))) (-15 -3757 ((-1101) (-1169) (-684 (-571)))) (-15 -3117 ((-121))) (-15 -2791 ((-1263))))) (T -756)) 
+((-2791 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-756)))) (-3117 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-756)))) (-3757 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-684 (-571))) (-5 *2 (-1101)) (-5 *1 (-756)))) (-3757 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-684 (-216))) (-5 *2 (-1101)) (-5 *1 (-756)))) (-4184 (*1 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-756)))) (-2856 (*1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-756)))) (-2825 (*1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-756))))) 
+(-10 -7 (-15 -2825 ((-1151))) (-15 -2856 ((-1151))) (-15 -4184 ((-1151) (-1151))) (-15 -3757 ((-1101) (-1169) (-684 (-216)))) (-15 -3757 ((-1101) (-1169) (-684 (-571)))) (-15 -3117 ((-121))) (-15 -2791 ((-1263)))) 
+((-2212 (($ $ $) 10)) (-3100 (($ $ $ $) 9)) (-2493 (($ $ $) 12))) 
+(((-757 |#1|) (-10 -8 (-15 -2493 (|#1| |#1| |#1|)) (-15 -2212 (|#1| |#1| |#1|)) (-15 -3100 (|#1| |#1| |#1| |#1|))) (-758)) (T -757)) 
+NIL 
+(-10 -8 (-15 -2493 (|#1| |#1| |#1|)) (-15 -2212 (|#1| |#1| |#1|)) (-15 -3100 (|#1| |#1| |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3116 (($ $ (-922)) 27)) (-4406 (($ $ (-922)) 28)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2212 (($ $ $) 24)) (-3942 (((-855) $) 11)) (-3100 (($ $ $ $) 25)) (-2493 (($ $ $) 23)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 29)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 26))) 
+(((-758) (-1289)) (T -758)) 
+((-3100 (*1 *1 *1 *1 *1) (-4 *1 (-758))) (-2212 (*1 *1 *1 *1) (-4 *1 (-758))) (-2493 (*1 *1 *1 *1) (-4 *1 (-758)))) 
+(-13 (-21) (-715) (-10 -8 (-15 -3100 ($ $ $ $)) (-15 -2212 ($ $ $)) (-15 -2493 ($ $ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-715) . T) ((-1097) . T)) 
+((-3942 (((-855) $) NIL) (($ (-571)) 10))) 
+(((-759 |#1|) (-10 -8 (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) (-760)) (T -759)) 
+NIL 
+(-10 -8 (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-4555 (((-3 $ "failed") $) 39)) (-3116 (($ $ (-922)) 27) (($ $ (-768)) 34)) (-3978 (((-3 $ "failed") $) 37)) (-2583 (((-121) $) 33)) (-3151 (((-3 $ "failed") $) 38)) (-4406 (($ $ (-922)) 28) (($ $ (-768)) 35)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2212 (($ $ $) 24)) (-3942 (((-855) $) 11) (($ (-571)) 30)) (-2661 (((-768)) 31)) (-3100 (($ $ $ $) 25)) (-2493 (($ $ $) 23)) (-2369 (($) 17 T CONST)) (-3222 (($) 32 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 29) (($ $ (-768)) 36)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 26))) 
+(((-760) (-1289)) (T -760)) 
+((-2661 (*1 *2) (-12 (-4 *1 (-760)) (-5 *2 (-768)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-760))))) 
+(-13 (-758) (-717) (-10 -8 (-15 -2661 ((-768))) (-15 -3942 ($ (-571))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-715) . T) ((-717) . T) ((-758) . T) ((-1097) . T)) 
+((-2320 (((-637 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 (-170 |#1|)))))) (-684 (-170 (-412 (-571)))) |#1|) 27)) (-1642 (((-637 (-170 |#1|)) (-684 (-170 (-412 (-571)))) |#1|) 19)) (-3393 (((-958 (-170 (-412 (-571)))) (-684 (-170 (-412 (-571)))) (-1169)) 16) (((-958 (-170 (-412 (-571)))) (-684 (-170 (-412 (-571))))) 15))) 
+(((-761 |#1|) (-10 -7 (-15 -3393 ((-958 (-170 (-412 (-571)))) (-684 (-170 (-412 (-571)))))) (-15 -3393 ((-958 (-170 (-412 (-571)))) (-684 (-170 (-412 (-571)))) (-1169))) (-15 -1642 ((-637 (-170 |#1|)) (-684 (-170 (-412 (-571)))) |#1|)) (-15 -2320 ((-637 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 (-170 |#1|)))))) (-684 (-170 (-412 (-571)))) |#1|))) (-13 (-367) (-845))) (T -761)) 
+((-2320 (*1 *2 *3 *4) (-12 (-5 *3 (-684 (-170 (-412 (-571))))) (-5 *2 (-637 (-2 (|:| |outval| (-170 *4)) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 (-170 *4))))))) (-5 *1 (-761 *4)) (-4 *4 (-13 (-367) (-845))))) (-1642 (*1 *2 *3 *4) (-12 (-5 *3 (-684 (-170 (-412 (-571))))) (-5 *2 (-637 (-170 *4))) (-5 *1 (-761 *4)) (-4 *4 (-13 (-367) (-845))))) (-3393 (*1 *2 *3 *4) (-12 (-5 *3 (-684 (-170 (-412 (-571))))) (-5 *4 (-1169)) (-5 *2 (-958 (-170 (-412 (-571))))) (-5 *1 (-761 *5)) (-4 *5 (-13 (-367) (-845))))) (-3393 (*1 *2 *3) (-12 (-5 *3 (-684 (-170 (-412 (-571))))) (-5 *2 (-958 (-170 (-412 (-571))))) (-5 *1 (-761 *4)) (-4 *4 (-13 (-367) (-845)))))) 
+(-10 -7 (-15 -3393 ((-958 (-170 (-412 (-571)))) (-684 (-170 (-412 (-571)))))) (-15 -3393 ((-958 (-170 (-412 (-571)))) (-684 (-170 (-412 (-571)))) (-1169))) (-15 -1642 ((-637 (-170 |#1|)) (-684 (-170 (-412 (-571)))) |#1|)) (-15 -2320 ((-637 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 (-170 |#1|)))))) (-684 (-170 (-412 (-571)))) |#1|))) 
+((-1410 (((-174 (-571)) |#1|) 25))) 
+(((-762 |#1|) (-10 -7 (-15 -1410 ((-174 (-571)) |#1|))) (-409)) (T -762)) 
+((-1410 (*1 *2 *3) (-12 (-5 *2 (-174 (-571))) (-5 *1 (-762 *3)) (-4 *3 (-409))))) 
+(-10 -7 (-15 -1410 ((-174 (-571)) |#1|))) 
+((-1315 ((|#1| |#1| |#1|) 24)) (-4229 ((|#1| |#1| |#1|) 23)) (-2604 ((|#1| |#1| |#1|) 31)) (-3004 ((|#1| |#1| |#1|) 27)) (-2771 (((-3 |#1| "failed") |#1| |#1|) 26)) (-3335 (((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|) 22))) 
+(((-763 |#1| |#2|) (-10 -7 (-15 -3335 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -4229 (|#1| |#1| |#1|)) (-15 -1315 (|#1| |#1| |#1|)) (-15 -2771 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3004 (|#1| |#1| |#1|)) (-15 -2604 (|#1| |#1| |#1|))) (-703 |#2|) (-367)) (T -763)) 
+((-2604 (*1 *2 *2 *2) (-12 (-4 *3 (-367)) (-5 *1 (-763 *2 *3)) (-4 *2 (-703 *3)))) (-3004 (*1 *2 *2 *2) (-12 (-4 *3 (-367)) (-5 *1 (-763 *2 *3)) (-4 *2 (-703 *3)))) (-2771 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-367)) (-5 *1 (-763 *2 *3)) (-4 *2 (-703 *3)))) (-1315 (*1 *2 *2 *2) (-12 (-4 *3 (-367)) (-5 *1 (-763 *2 *3)) (-4 *2 (-703 *3)))) (-4229 (*1 *2 *2 *2) (-12 (-4 *3 (-367)) (-5 *1 (-763 *2 *3)) (-4 *2 (-703 *3)))) (-3335 (*1 *2 *3 *3) (-12 (-4 *4 (-367)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-763 *3 *4)) (-4 *3 (-703 *4))))) 
+(-10 -7 (-15 -3335 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -4229 (|#1| |#1| |#1|)) (-15 -1315 (|#1| |#1| |#1|)) (-15 -2771 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3004 (|#1| |#1| |#1|)) (-15 -2604 (|#1| |#1| |#1|))) 
+((-3446 (((-1165 |#1|) (-637 |#1|)) 25))) 
+(((-764 |#1|) (-10 -7 (-15 -3446 ((-1165 |#1|) (-637 |#1|)))) (-561)) (T -764)) 
+((-3446 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-561)) (-5 *2 (-1165 *4)) (-5 *1 (-764 *4))))) 
+(-10 -7 (-15 -3446 ((-1165 |#1|) (-637 |#1|)))) 
+((-4285 (((-2 (|:| -1899 (-684 (-571))) (|:| |basisDen| (-571)) (|:| |basisInv| (-684 (-571)))) (-571)) 58)) (-1659 (((-2 (|:| -1899 (-684 (-571))) (|:| |basisDen| (-571)) (|:| |basisInv| (-684 (-571))))) 56)) (-1475 (((-571)) 68))) 
+(((-765 |#1| |#2|) (-10 -7 (-15 -1475 ((-571))) (-15 -1659 ((-2 (|:| -1899 (-684 (-571))) (|:| |basisDen| (-571)) (|:| |basisInv| (-684 (-571)))))) (-15 -4285 ((-2 (|:| -1899 (-684 (-571))) (|:| |basisDen| (-571)) (|:| |basisInv| (-684 (-571)))) (-571)))) (-1233 (-571)) (-414 (-571) |#1|)) (T -765)) 
+((-4285 (*1 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1233 *3)) (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-5 *1 (-765 *4 *5)) (-4 *5 (-414 *3 *4)))) (-1659 (*1 *2) (-12 (-4 *3 (-1233 (-571))) (-5 *2 (-2 (|:| -1899 (-684 (-571))) (|:| |basisDen| (-571)) (|:| |basisInv| (-684 (-571))))) (-5 *1 (-765 *3 *4)) (-4 *4 (-414 (-571) *3)))) (-1475 (*1 *2) (-12 (-4 *3 (-1233 *2)) (-5 *2 (-571)) (-5 *1 (-765 *3 *4)) (-4 *4 (-414 *2 *3))))) 
+(-10 -7 (-15 -1475 ((-571))) (-15 -1659 ((-2 (|:| -1899 (-684 (-571))) (|:| |basisDen| (-571)) (|:| |basisInv| (-684 (-571)))))) (-15 -4285 ((-2 (|:| -1899 (-684 (-571))) (|:| |basisDen| (-571)) (|:| |basisInv| (-684 (-571)))) (-571)))) 
+((-2234 (((-121) $ $) NIL)) (-1316 (((-3 (|:| |nia| (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $) 15)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 14) (($ (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 8) (($ (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 10) (($ (-3 (|:| |nia| (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 12)) (-1323 (((-121) $ $) NIL))) 
+(((-766) (-13 (-1097) (-10 -8 (-15 -3942 ($ (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3942 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3942 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (-15 -3942 ((-855) $)) (-15 -1316 ((-3 (|:| |nia| (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $))))) (T -766)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-766)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-766)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-766)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-766)))) (-1316 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-766))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ($ (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3942 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3942 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (-15 -3942 ((-855) $)) (-15 -1316 ((-3 (|:| |nia| (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $)))) 
+((-2384 (((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|))) 14) (((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|)) (-637 (-1169))) 13)) (-4549 (((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|))) 16) (((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|)) (-637 (-1169))) 15))) 
+(((-767 |#1|) (-10 -7 (-15 -2384 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|)) (-637 (-1169)))) (-15 -2384 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|)))) (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|)) (-637 (-1169)))) (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|))))) (-561)) (T -767)) 
+((-4549 (*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *4)))))) (-5 *1 (-767 *4)))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-637 (-1169))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *5)))))) (-5 *1 (-767 *5)))) (-2384 (*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *4)))))) (-5 *1 (-767 *4)))) (-2384 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-637 (-1169))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *5)))))) (-5 *1 (-767 *5))))) 
+(-10 -7 (-15 -2384 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|)) (-637 (-1169)))) (-15 -2384 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|)))) (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|)) (-637 (-1169)))) (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-958 |#1|))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3933 (($ $ $) 6)) (-4176 (((-3 $ "failed") $ $) 9)) (-3309 (($ $ (-571)) 7)) (-2269 (($) NIL T CONST)) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($ $) NIL)) (-2180 (($ $ $) NIL)) (-2583 (((-121) $) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3026 (($ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3942 (((-855) $) NIL)) (-4142 (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (* (($ (-768) $) NIL) (($ (-922) $) NIL) (($ $ $) NIL))) 
+(((-768) (-13 (-793) (-721) (-10 -8 (-15 -2180 ($ $ $)) (-15 -2162 ($ $ $)) (-15 -3026 ($ $ $)) (-15 -3221 ((-2 (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -1786 ((-3 $ "failed") $ $)) (-15 -3309 ($ $ (-571))) (-15 -3254 ($ $)) (-6 (-4602 "*"))))) (T -768)) 
+((-2180 (*1 *1 *1 *1) (-5 *1 (-768))) (-2162 (*1 *1 *1 *1) (-5 *1 (-768))) (-3026 (*1 *1 *1 *1) (-5 *1 (-768))) (-3221 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2924 (-768)) (|:| -3363 (-768)))) (-5 *1 (-768)))) (-1786 (*1 *1 *1 *1) (|partial| -5 *1 (-768))) (-3309 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-768)))) (-3254 (*1 *1 *1) (-5 *1 (-768)))) 
+(-13 (-793) (-721) (-10 -8 (-15 -2180 ($ $ $)) (-15 -2162 ($ $ $)) (-15 -3026 ($ $ $)) (-15 -3221 ((-2 (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -1786 ((-3 $ "failed") $ $)) (-15 -3309 ($ $ (-571))) (-15 -3254 ($ $)) (-6 (-4602 "*")))) 
+((-4549 (((-3 |#2| "failed") |#2| |#2| (-123) (-1169)) 35))) 
+(((-769 |#1| |#2|) (-10 -7 (-15 -4549 ((-3 |#2| "failed") |#2| |#2| (-123) (-1169)))) (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151)) (-13 (-29 |#1|) (-1189) (-965))) (T -769)) 
+((-4549 (*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1169)) (-4 *5 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *1 (-769 *5 *2)) (-4 *2 (-13 (-29 *5) (-1189) (-965)))))) 
+(-10 -7 (-15 -4549 ((-3 |#2| "failed") |#2| |#2| (-123) (-1169)))) 
+((-3942 (((-771) |#1|) 8))) 
+(((-770 |#1|) (-10 -7 (-15 -3942 ((-771) |#1|))) (-1203)) (T -770)) 
+((-3942 (*1 *2 *3) (-12 (-5 *2 (-771)) (-5 *1 (-770 *3)) (-4 *3 (-1203))))) 
+(-10 -7 (-15 -3942 ((-771) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 7)) (-1323 (((-121) $ $) 9))) 
+(((-771) (-1097)) (T -771)) 
+NIL 
+(-1097) 
+((-3477 ((|#2| |#4|) 35))) 
+(((-772 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3477 (|#2| |#4|))) (-456) (-1233 |#1|) (-719 |#1| |#2|) (-1233 |#3|)) (T -772)) 
+((-3477 (*1 *2 *3) (-12 (-4 *4 (-456)) (-4 *5 (-719 *4 *2)) (-4 *2 (-1233 *4)) (-5 *1 (-772 *4 *2 *5 *3)) (-4 *3 (-1233 *5))))) 
+(-10 -7 (-15 -3477 (|#2| |#4|))) 
+((-3978 (((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) 56)) (-3379 (((-1263) (-1151) (-1151) |#4| |#5|) 33)) (-4233 ((|#4| |#4| |#5|) 72)) (-1820 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#5|) 76)) (-2460 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|) 15))) 
+(((-773 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3978 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -4233 (|#4| |#4| |#5|)) (-15 -1820 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#5|)) (-15 -3379 ((-1263) (-1151) (-1151) |#4| |#5|)) (-15 -2460 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|))) (-456) (-793) (-847) (-1067 |#1| |#2| |#3|) (-1072 |#1| |#2| |#3| |#4|)) (T -773)) 
+((-2460 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *4)))) (-5 *1 (-773 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-3379 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1151)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *4 (-1067 *6 *7 *8)) (-5 *2 (-1263)) (-5 *1 (-773 *6 *7 *8 *4 *5)) (-4 *5 (-1072 *6 *7 *8 *4)))) (-1820 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-773 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-4233 (*1 *2 *2 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *2 (-1067 *4 *5 *6)) (-5 *1 (-773 *4 *5 *6 *2 *3)) (-4 *3 (-1072 *4 *5 *6 *2)))) (-3978 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-773 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(-10 -7 (-15 -3978 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -4233 (|#4| |#4| |#5|)) (-15 -1820 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#5|)) (-15 -3379 ((-1263) (-1151) (-1151) |#4| |#5|)) (-15 -2460 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|))) 
+((-3337 (((-3 (-1165 (-1165 |#1|)) "failed") |#4|) 43)) (-3539 (((-637 |#4|) |#4|) 15)) (-4526 ((|#4| |#4|) 11))) 
+(((-774 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3539 ((-637 |#4|) |#4|)) (-15 -3337 ((-3 (-1165 (-1165 |#1|)) "failed") |#4|)) (-15 -4526 (|#4| |#4|))) (-352) (-328 |#1|) (-1233 |#2|) (-1233 |#3|) (-922)) (T -774)) 
+((-4526 (*1 *2 *2) (-12 (-4 *3 (-352)) (-4 *4 (-328 *3)) (-4 *5 (-1233 *4)) (-5 *1 (-774 *3 *4 *5 *2 *6)) (-4 *2 (-1233 *5)) (-14 *6 (-922)))) (-3337 (*1 *2 *3) (|partial| -12 (-4 *4 (-352)) (-4 *5 (-328 *4)) (-4 *6 (-1233 *5)) (-5 *2 (-1165 (-1165 *4))) (-5 *1 (-774 *4 *5 *6 *3 *7)) (-4 *3 (-1233 *6)) (-14 *7 (-922)))) (-3539 (*1 *2 *3) (-12 (-4 *4 (-352)) (-4 *5 (-328 *4)) (-4 *6 (-1233 *5)) (-5 *2 (-637 *3)) (-5 *1 (-774 *4 *5 *6 *3 *7)) (-4 *3 (-1233 *6)) (-14 *7 (-922))))) 
+(-10 -7 (-15 -3539 ((-637 |#4|) |#4|)) (-15 -3337 ((-3 (-1165 (-1165 |#1|)) "failed") |#4|)) (-15 -4526 (|#4| |#4|))) 
+((-2234 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-1316 (($ (-1215 |#1|)) 21)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 26)) (-2580 (((-1115) $) NIL)) (-2911 (($ $ $) NIL)) (-2212 (($ $ $) NIL)) (-3942 (((-855) $) 11)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-3222 (($) 18 T CONST)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ $ $) 24))) 
+(((-775 |#1|) (-13 (-481) (-10 -8 (-15 -1316 ($ (-1215 |#1|))))) (-352)) (T -775)) 
+((-1316 (*1 *1 *2) (-12 (-5 *2 (-1215 *3)) (-4 *3 (-352)) (-5 *1 (-775 *3))))) 
+(-13 (-481) (-10 -8 (-15 -1316 ($ (-1215 |#1|))))) 
+((-2513 (((-2 (|:| |deter| (-637 (-1165 |#5|))) (|:| |dterm| (-637 (-637 (-2 (|:| -1385 (-768)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-637 |#1|)) (|:| |nlead| (-637 |#5|))) (-1165 |#5|) (-637 |#1|) (-637 |#5|)) 51)) (-3082 (((-637 (-768)) |#1|) 12))) 
+(((-776 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2513 ((-2 (|:| |deter| (-637 (-1165 |#5|))) (|:| |dterm| (-637 (-637 (-2 (|:| -1385 (-768)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-637 |#1|)) (|:| |nlead| (-637 |#5|))) (-1165 |#5|) (-637 |#1|) (-637 |#5|))) (-15 -3082 ((-637 (-768)) |#1|))) (-1233 |#4|) (-793) (-847) (-302) (-955 |#4| |#2| |#3|)) (T -776)) 
+((-3082 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)) (-5 *2 (-637 (-768))) (-5 *1 (-776 *3 *4 *5 *6 *7)) (-4 *3 (-1233 *6)) (-4 *7 (-955 *6 *4 *5)))) (-2513 (*1 *2 *3 *4 *5) (-12 (-4 *6 (-1233 *9)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *9 (-302)) (-4 *10 (-955 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-637 (-1165 *10))) (|:| |dterm| (-637 (-637 (-2 (|:| -1385 (-768)) (|:| |pcoef| *10))))) (|:| |nfacts| (-637 *6)) (|:| |nlead| (-637 *10)))) (-5 *1 (-776 *6 *7 *8 *9 *10)) (-5 *3 (-1165 *10)) (-5 *4 (-637 *6)) (-5 *5 (-637 *10))))) 
+(-10 -7 (-15 -2513 ((-2 (|:| |deter| (-637 (-1165 |#5|))) (|:| |dterm| (-637 (-637 (-2 (|:| -1385 (-768)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-637 |#1|)) (|:| |nlead| (-637 |#5|))) (-1165 |#5|) (-637 |#1|) (-637 |#5|))) (-15 -3082 ((-637 (-768)) |#1|))) 
+((-4269 (((-2 (|:| -1454 (-571)) (|:| -3468 (-571)) (|:| -2924 (-571)) (|:| |reste| (-571)) (|:| -3676 (-3 "left" "center" "right" "vertical" "horizontal"))) (-637 |#2|)) 18) (((-2 (|:| -1454 (-571)) (|:| -3468 (-571)) (|:| -2924 (-571)) (|:| |reste| (-571)) (|:| -3676 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|) 16)) (-2371 (((-637 (-637 |#2|)) |#2| (-571) (-571) (-3 "left" "center" "right" "vertical" "horizontal")) 32)) (-2633 (((-637 (-637 |#2|)) |#2| (-637 (-637 |#2|))) 24)) (-4020 (((-768) (-637 (-637 |#2|))) 27))) 
+(((-777 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2371 ((-637 (-637 |#2|)) |#2| (-571) (-571) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -4020 ((-768) (-637 (-637 |#2|)))) (-15 -2633 ((-637 (-637 |#2|)) |#2| (-637 (-637 |#2|)))) (-15 -4269 ((-2 (|:| -1454 (-571)) (|:| -3468 (-571)) (|:| -2924 (-571)) (|:| |reste| (-571)) (|:| -3676 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -4269 ((-2 (|:| -1454 (-571)) (|:| -3468 (-571)) (|:| -2924 (-571)) (|:| |reste| (-571)) (|:| -3676 (-3 "left" "center" "right" "vertical" "horizontal"))) (-637 |#2|)))) (-1053) (-325 |#1| |#3|) (-231 |#4| (-768)) (-768)) (T -777)) 
+((-4269 (*1 *2 *3) (-12 (-5 *3 (-637 *5)) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 (-768))) (-14 *7 (-768)) (-4 *4 (-1053)) (-5 *2 (-2 (|:| -1454 (-571)) (|:| -3468 (-571)) (|:| -2924 (-571)) (|:| |reste| (-571)) (|:| -3676 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-777 *4 *5 *6 *7)))) (-4269 (*1 *2 *3 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *2 (-2 (|:| -1454 (-571)) (|:| -3468 (-571)) (|:| -2924 (-571)) (|:| |reste| (-571)) (|:| -3676 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-777 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-2633 (*1 *2 *3 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-325 *4 *5)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-4 *4 (-1053)) (-5 *1 (-777 *4 *3 *5 *6)))) (-4020 (*1 *2 *3) (-12 (-5 *3 (-637 (-637 *5))) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-4 *4 (-1053)) (-5 *2 (-768)) (-5 *1 (-777 *4 *5 *6 *7)))) (-2371 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-571)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1053)) (-4 *7 (-231 *8 (-768))) (-14 *8 (-768)) (-5 *2 (-637 (-637 *3))) (-5 *1 (-777 *6 *3 *7 *8)) (-4 *3 (-325 *6 *7))))) 
+(-10 -7 (-15 -2371 ((-637 (-637 |#2|)) |#2| (-571) (-571) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -4020 ((-768) (-637 (-637 |#2|)))) (-15 -2633 ((-637 (-637 |#2|)) |#2| (-637 (-637 |#2|)))) (-15 -4269 ((-2 (|:| -1454 (-571)) (|:| -3468 (-571)) (|:| -2924 (-571)) (|:| |reste| (-571)) (|:| -3676 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -4269 ((-2 (|:| -1454 (-571)) (|:| -3468 (-571)) (|:| -2924 (-571)) (|:| |reste| (-571)) (|:| -3676 (-3 "left" "center" "right" "vertical" "horizontal"))) (-637 |#2|)))) 
+((-2541 (((-637 (-2 (|:| |outval| |#1|) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 |#1|))))) (-684 (-412 (-571))) |#1|) 27)) (-3204 (((-637 |#1|) (-684 (-412 (-571))) |#1|) 19)) (-3393 (((-958 (-412 (-571))) (-684 (-412 (-571))) (-1169)) 16) (((-958 (-412 (-571))) (-684 (-412 (-571)))) 15))) 
+(((-778 |#1|) (-10 -7 (-15 -3393 ((-958 (-412 (-571))) (-684 (-412 (-571))))) (-15 -3393 ((-958 (-412 (-571))) (-684 (-412 (-571))) (-1169))) (-15 -3204 ((-637 |#1|) (-684 (-412 (-571))) |#1|)) (-15 -2541 ((-637 (-2 (|:| |outval| |#1|) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 |#1|))))) (-684 (-412 (-571))) |#1|))) (-13 (-367) (-845))) (T -778)) 
+((-2541 (*1 *2 *3 *4) (-12 (-5 *3 (-684 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| |outval| *4) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 *4)))))) (-5 *1 (-778 *4)) (-4 *4 (-13 (-367) (-845))))) (-3204 (*1 *2 *3 *4) (-12 (-5 *3 (-684 (-412 (-571)))) (-5 *2 (-637 *4)) (-5 *1 (-778 *4)) (-4 *4 (-13 (-367) (-845))))) (-3393 (*1 *2 *3 *4) (-12 (-5 *3 (-684 (-412 (-571)))) (-5 *4 (-1169)) (-5 *2 (-958 (-412 (-571)))) (-5 *1 (-778 *5)) (-4 *5 (-13 (-367) (-845))))) (-3393 (*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-571)))) (-5 *2 (-958 (-412 (-571)))) (-5 *1 (-778 *4)) (-4 *4 (-13 (-367) (-845)))))) 
+(-10 -7 (-15 -3393 ((-958 (-412 (-571))) (-684 (-412 (-571))))) (-15 -3393 ((-958 (-412 (-571))) (-684 (-412 (-571))) (-1169))) (-15 -3204 ((-637 |#1|) (-684 (-412 (-571))) |#1|)) (-15 -2541 ((-637 (-2 (|:| |outval| |#1|) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 |#1|))))) (-684 (-412 (-571))) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 10)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) NIL)) (-2139 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-1934 (($ $ (-571) (-571)) NIL) (($ $ (-571)) NIL)) (-4198 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) NIL)) (-3236 (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL)) (-4327 (($ $) NIL)) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-4065 (($ $ (-571)) NIL (|has| $ (-6 -4601)))) (-1295 (((-121) $ $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-3309 (($ $ (-571)) 36)) (-2815 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601)))) (-1384 (($ $ $) NIL (|has| $ (-6 -4601)))) (-4531 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601)))) (-1833 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601)))) (-3251 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-571) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601))) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-1224 (-571)) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601))) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ "last" (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601))) (($ $ "rest" $) NIL (|has| $ (-6 -4601))) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ "first" (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601))) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ "value" (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-4096 (($ (-571) |#1| $) 41)) (-2534 (($ (-1 (-121) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL)) (-4035 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) NIL)) (-2253 (($ $ $) 51)) (-2269 (($) NIL T CONST)) (-3077 (($ $) 21)) (-4372 (($ $ (-768)) NIL) (($ $) 14)) (-4195 (($ (-571) $) 78) (($ $) 31)) (-1312 (($ $) 35)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097))))) (-3412 (($ (-1 (-121) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL) (($ (-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097))))) (-2162 (($ $ $) NIL)) (-4349 (($ $) NIL)) (-3074 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097)))) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4600)))) (-3978 (((-3 $ "failed") $) 38)) (-2180 (($ $ $) NIL)) (-2922 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-571) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601)))) (-4319 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-571)) NIL)) (-2913 (((-121) (-121)) 30) (((-121)) 29)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-3076 (((-121) $) NIL)) (-2126 (($ $) 22)) (-4124 (((-121) $) NIL)) (-4034 (((-637 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4600)))) (-3186 (((-3 (-571) "failed") $) 16)) (-3347 (((-571) $ (-571)) NIL) (((-571) $) 19) (((-571) $) 19)) (-2583 (((-121) $) NIL)) (-2649 (((-768) $) NIL)) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097)))) (-1364 (($ (-768) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL)) (-1817 (($ $ (-922)) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-3517 (((-121) $) NIL)) (-2641 (($ (-637 $) (-637 (-768)) (-571)) 85)) (-4289 (($ $ (-637 (-1081)) (-637 (-571))) NIL) (($ $ (-1081) (-571)) NIL) (($ |#1| (-571)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-3488 (((-637 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-1923 (($ (-1 (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $ $) NIL) (($ (-1 (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3392 (((-637 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL)) (-2945 (((-121) $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3854 (($ $) NIL)) (-1990 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-3220 (($ $ (-768)) NIL) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) NIL)) (-4315 (($ $) 39)) (-2594 (($ (-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-4383 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) 12)) (-1827 (($ $ (-768)) NIL) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) NIL)) (-2512 (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-571)) 24)) (-2763 ((|#1| $ (-571)) 25)) (-3765 (((-3 (-2 (|:| |k| (-571)) (|:| |c| |#1|)) "failed") (-1 (-121) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL)) (-2469 (($ $ (-571)) 89)) (-4411 (($ $ (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601)))) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3140 (($ $ (-571)) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-3032 (((-121) $) NIL)) (-3726 (((-121) $) NIL)) (-4331 (((-121) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4600)))) (-4483 (((-1149 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-571))))) (($ $ (-637 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) (-637 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097)))) (($ $ (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (-12 (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097)))) (($ $ (-289 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097)))) (($ $ (-637 (-289 (-2 (|:| |k| (-571)) (|:| |c| |#1|))))) NIL (-12 (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097))))) (-1826 (((-768) $) NIL)) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097))))) (-3909 (((-637 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL)) (-1828 (((-121) $) 23)) (-1630 (($) 94)) (-3245 (($ $ $) NIL (|has| (-571) (-1109))) ((|#1| $ (-571)) NIL) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-571) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-571)) NIL) (($ $ (-1224 (-571))) NIL) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ "first") NIL) (((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ "value") NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-2514 (((-571) $ $) NIL)) (-3096 (($ $) NIL (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-4322 (($ (-1 $)) 34)) (-2400 (((-571) $) NIL)) (-1664 (((-121) $) NIL)) (-3863 (($ $) NIL)) (-3756 (($ $) NIL (|has| $ (-6 -4601)))) (-2895 (((-768) $) NIL)) (-1360 (($ $) NIL)) (-1569 (((-768) (-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097)))) (((-768) (-1 (-121) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) 95)) (-3294 (($ $ (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4601))) (($ $ $) NIL (|has| $ (-6 -4601)))) (-4498 (($ $ (-2 (|:| |k| (-571)) (|:| |c| |#1|))) NIL) (($ (-637 $)) NIL) (($ (-2 (|:| |k| (-571)) (|:| |c| |#1|)) $) 32) (($ $ $) NIL)) (-3202 (($ $) NIL)) (-3942 (((-855) $) 65) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) 27) (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) 26)) (-3136 ((|#1| $ (-571)) NIL)) (-1489 ((|#1| $) 86)) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-571)) (|:| |c| |#1|)) (-1097)))) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) NIL)) (-1388 (((-121) $ $) NIL)) (-3367 ((|#1| $ (-571)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-571)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-3027 (((-121) (-1 (-121) (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4600)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 17 T CONST)) (-3222 (($) 74 T CONST)) (-1544 (($ $) NIL (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL) (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) 47) (($ $ $) 43)) (-1367 (($ $ $) 53)) (** (($ $ (-922)) NIL) (($ $ (-768)) 79) (($ $ (-571)) 52)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 42) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ |#1| $) 46) (($ $ |#1|) 100)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-779 |#1|) (-13 (-644 |#1|) (-668 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) (-10 -8 (-15 -2512 ((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-571))))) (-367)) (T -779)) 
+((-2512 (*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-571)) (|:| |c| *4))) (-5 *1 (-779 *4)) (-4 *4 (-367)) (-5 *3 (-571))))) 
+(-13 (-644 |#1|) (-668 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) (-10 -8 (-15 -2512 ((-2 (|:| |k| (-571)) (|:| |c| |#1|)) $ (-571))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 34)) (-3424 (((-637 |#2|) $) NIL)) (-4257 (((-1165 $) $ |#2|) NIL) (((-1165 |#1|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 |#2|)) NIL)) (-4327 (($ $) 28)) (-3479 (((-121) $ $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3888 (($ $ $) 92 (|has| |#1| (-561)))) (-2476 (((-637 $) $ $) 105 (|has| |#1| (-561)))) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2356 (($ $) NIL (|has| |#1| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 |#2| "failed") $) NIL) (((-3 $ "failed") (-958 (-412 (-571)))) NIL (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#2| (-612 (-1169))))) (((-3 $ "failed") (-958 (-571))) NIL (-1831 (-12 (|has| |#1| (-43 (-571))) (|has| |#2| (-612 (-1169))) (-2931 (|has| |#1| (-43 (-412 (-571)))))) (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#2| (-612 (-1169)))))) (((-3 $ "failed") (-958 |#1|)) NIL (-1831 (-12 (|has| |#2| (-612 (-1169))) (-2931 (|has| |#1| (-43 (-412 (-571))))) (-2931 (|has| |#1| (-43 (-571))))) (-12 (|has| |#1| (-43 (-571))) (|has| |#2| (-612 (-1169))) (-2931 (|has| |#1| (-43 (-412 (-571))))) (-2931 (|has| |#1| (-553)))) (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#2| (-612 (-1169))) (-2931 (|has| |#1| (-999 (-571))))))) (((-3 (-1120 |#1| |#2|) "failed") $) 18)) (-1316 ((|#1| $) NIL) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) ((|#2| $) NIL) (($ (-958 (-412 (-571)))) NIL (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#2| (-612 (-1169))))) (($ (-958 (-571))) NIL (-1831 (-12 (|has| |#1| (-43 (-571))) (|has| |#2| (-612 (-1169))) (-2931 (|has| |#1| (-43 (-412 (-571)))))) (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#2| (-612 (-1169)))))) (($ (-958 |#1|)) NIL (-1831 (-12 (|has| |#2| (-612 (-1169))) (-2931 (|has| |#1| (-43 (-412 (-571))))) (-2931 (|has| |#1| (-43 (-571))))) (-12 (|has| |#1| (-43 (-571))) (|has| |#2| (-612 (-1169))) (-2931 (|has| |#1| (-43 (-412 (-571))))) (-2931 (|has| |#1| (-553)))) (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#2| (-612 (-1169))) (-2931 (|has| |#1| (-999 (-571))))))) (((-1120 |#1| |#2|) $) NIL)) (-3730 (($ $ $ |#2|) NIL (|has| |#1| (-173))) (($ $ $) 103 (|has| |#1| (-561)))) (-4349 (($ $) NIL) (($ $ |#2|) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3052 (((-121) $ $) NIL) (((-121) $ (-637 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-4146 (((-121) $) NIL)) (-2506 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 69)) (-1310 (($ $) 118 (|has| |#1| (-456)))) (-3630 (($ $) NIL (|has| |#1| (-456))) (($ $ |#2|) NIL (|has| |#1| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#1| (-909)))) (-4310 (($ $) NIL (|has| |#1| (-561)))) (-3715 (($ $) NIL (|has| |#1| (-561)))) (-3938 (($ $ $) 64) (($ $ $ |#2|) NIL)) (-1679 (($ $ $) 67) (($ $ $ |#2|) NIL)) (-1420 (($ $ |#1| (-537 |#2|) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| |#1| (-886 (-384))) (|has| |#2| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| |#1| (-886 (-571))) (|has| |#2| (-886 (-571)))))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-1791 (((-121) $ $) NIL) (((-121) $ (-637 $)) NIL)) (-1947 (($ $ $ $ $) 89 (|has| |#1| (-561)))) (-2065 ((|#2| $) 19)) (-4296 (($ (-1165 |#1|) |#2|) NIL) (($ (-1165 $) |#2|) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-537 |#2|)) NIL) (($ $ |#2| (-768)) 36) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-2575 (($ $ $) 60)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ |#2|) NIL)) (-1804 (((-121) $) NIL)) (-3973 (((-537 |#2|) $) NIL) (((-768) $ |#2|) NIL) (((-637 (-768)) $ (-637 |#2|)) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2187 (((-768) $) 20)) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-2587 (($ (-1 (-537 |#2|) (-537 |#2|)) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-2510 (((-3 |#2| "failed") $) NIL)) (-3742 (($ $) NIL (|has| |#1| (-456)))) (-2920 (($ $) NIL (|has| |#1| (-456)))) (-1772 (((-637 $) $) NIL)) (-3452 (($ $) 37)) (-2769 (($ $) NIL (|has| |#1| (-456)))) (-2103 (((-637 $) $) 41)) (-4311 (($ $) 39)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL) (($ $ |#2|) 45)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-4544 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3134 (-768))) $ $) 81)) (-3816 (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $) 66) (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $ |#2|) NIL)) (-3604 (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -3363 $)) $ $) NIL) (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -3363 $)) $ $ |#2|) NIL)) (-2091 (($ $ $) 71) (($ $ $ |#2|) NIL)) (-2550 (($ $ $) 74) (($ $ $ |#2|) NIL)) (-3944 (((-1151) $) NIL)) (-2810 (($ $ $) 107 (|has| |#1| (-561)))) (-2637 (((-637 $) $) 30)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| |#2|) (|:| -2154 (-768))) "failed") $) NIL)) (-3554 (((-121) $ $) NIL) (((-121) $ (-637 $)) NIL)) (-2347 (($ $ $) NIL)) (-1757 (($ $) 21)) (-2075 (((-121) $ $) NIL)) (-2240 (((-121) $ $) NIL) (((-121) $ (-637 $)) NIL)) (-2444 (($ $ $) NIL)) (-1571 (($ $) 23)) (-2580 (((-1115) $) NIL)) (-3493 (((-2 (|:| -3026 $) (|:| |coef2| $)) $ $) 98 (|has| |#1| (-561)))) (-2073 (((-2 (|:| -3026 $) (|:| |coef1| $)) $ $) 95 (|has| |#1| (-561)))) (-4321 (((-121) $) 52)) (-4326 ((|#1| $) 55)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-456)))) (-3026 ((|#1| |#1| $) 115 (|has| |#1| (-456))) (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-909)))) (-2141 (((-2 (|:| -3026 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 101 (|has| |#1| (-561)))) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-561)))) (-1807 (($ $ |#1|) 111 (|has| |#1| (-561))) (($ $ $) NIL (|has| |#1| (-561)))) (-1585 (($ $ |#1|) 110 (|has| |#1| (-561))) (($ $ $) NIL (|has| |#1| (-561)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ |#2| |#1|) NIL) (($ $ (-637 |#2|) (-637 |#1|)) NIL) (($ $ |#2| $) NIL) (($ $ (-637 |#2|) (-637 $)) NIL)) (-1475 (($ $ |#2|) NIL (|has| |#1| (-173)))) (-3096 (($ $ |#2|) NIL) (($ $ (-637 |#2|)) NIL) (($ $ |#2| (-768)) NIL) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-2400 (((-537 |#2|) $) NIL) (((-768) $ |#2|) 43) (((-637 (-768)) $ (-637 |#2|)) NIL)) (-4074 (($ $) NIL)) (-2932 (($ $) 33)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| |#1| (-612 (-892 (-384)))) (|has| |#2| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| |#1| (-612 (-892 (-571)))) (|has| |#2| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| |#1| (-612 (-544))) (|has| |#2| (-612 (-544))))) (($ (-958 (-412 (-571)))) NIL (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#2| (-612 (-1169))))) (($ (-958 (-571))) NIL (-1831 (-12 (|has| |#1| (-43 (-571))) (|has| |#2| (-612 (-1169))) (-2931 (|has| |#1| (-43 (-412 (-571)))))) (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#2| (-612 (-1169)))))) (($ (-958 |#1|)) NIL (|has| |#2| (-612 (-1169)))) (((-1151) $) NIL (-12 (|has| |#1| (-1043 (-571))) (|has| |#2| (-612 (-1169))))) (((-958 |#1|) $) NIL (|has| |#2| (-612 (-1169))))) (-4189 ((|#1| $) 114 (|has| |#1| (-456))) (($ $ |#2|) NIL (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL) (($ |#2|) NIL) (((-958 |#1|) $) NIL (|has| |#2| (-612 (-1169)))) (((-1120 |#1| |#2|) $) 15) (($ (-1120 |#1| |#2|)) 16) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-537 |#2|)) NIL) (($ $ |#2| (-768)) 44) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#1| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 13 T CONST)) (-2100 (((-3 (-121) "failed") $ $) NIL)) (-3222 (($) 35 T CONST)) (-1919 (($ $ $ $ (-768)) 87 (|has| |#1| (-561)))) (-2099 (($ $ $ (-768)) 86 (|has| |#1| (-561)))) (-1544 (($ $ |#2|) NIL) (($ $ (-637 |#2|)) NIL) (($ $ |#2| (-768)) NIL) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) 54)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) 63)) (-1367 (($ $ $) 73)) (** (($ $ (-922)) NIL) (($ $ (-768)) 61)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 59) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 58) (($ $ |#1|) NIL))) 
+(((-780 |#1| |#2|) (-13 (-1067 |#1| (-537 |#2|) |#2|) (-611 (-1120 |#1| |#2|)) (-1043 (-1120 |#1| |#2|))) (-1053) (-847)) (T -780)) 
+NIL 
+(-13 (-1067 |#1| (-537 |#2|) |#2|) (-611 (-1120 |#1| |#2|)) (-1043 (-1120 |#1| |#2|))) 
+((-3799 (((-782 |#2|) (-1 |#2| |#1|) (-782 |#1|)) 13))) 
+(((-781 |#1| |#2|) (-10 -7 (-15 -3799 ((-782 |#2|) (-1 |#2| |#1|) (-782 |#1|)))) (-1053) (-1053)) (T -781)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-782 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-5 *2 (-782 *6)) (-5 *1 (-781 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-782 |#2|) (-1 |#2| |#1|) (-782 |#1|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 12)) (-3748 (((-1258 |#1|) $ (-768)) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-2693 (($ (-1165 |#1|)) NIL)) (-4257 (((-1165 $) $ (-1081)) NIL) (((-1165 |#1|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-1081))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2778 (((-637 $) $ $) 39 (|has| |#1| (-561)))) (-3888 (($ $ $) 35 (|has| |#1| (-561)))) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2356 (($ $) NIL (|has| |#1| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-1564 (($ $ (-768)) NIL)) (-3623 (($ $ (-768)) NIL)) (-1462 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-456)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-1081) "failed") $) NIL) (((-3 (-1165 |#1|) "failed") $) 10)) (-1316 ((|#1| $) NIL) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-1081) $) NIL) (((-1165 |#1|) $) NIL)) (-3730 (($ $ $ (-1081)) NIL (|has| |#1| (-173))) ((|#1| $ $) 43 (|has| |#1| (-173)))) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-1406 (($ $ $) NIL)) (-3311 (($ $ $) 71 (|has| |#1| (-561)))) (-2506 (((-2 (|:| -4501 |#1|) (|:| -2924 $) (|:| -3363 $)) $ $) 70 (|has| |#1| (-561)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-3630 (($ $) NIL (|has| |#1| (-456))) (($ $ (-1081)) NIL (|has| |#1| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#1| (-909)))) (-1420 (($ $ |#1| (-768) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-1081) (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-1081) (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-3347 (((-768) $ $) NIL (|has| |#1| (-561)))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-1143)))) (-4296 (($ (-1165 |#1|) (-1081)) NIL) (($ (-1165 $) (-1081)) NIL)) (-1817 (($ $ (-768)) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-2575 (($ $ $) 20)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-1081)) NIL) (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3973 (((-768) $) NIL) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-2587 (($ (-1 (-768) (-768)) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-2231 (((-1165 |#1|) $) NIL)) (-2510 (((-3 (-1081) "failed") $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-4544 (((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3134 (-768))) $ $) 26)) (-3744 (($ $ $) 29)) (-3734 (($ $ $) 32)) (-3816 (((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $) 31)) (-3944 (((-1151) $) NIL)) (-2810 (($ $ $) 41 (|has| |#1| (-561)))) (-2752 (((-2 (|:| -2924 $) (|:| -3363 $)) $ (-768)) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-1081)) (|:| -2154 (-768))) "failed") $) NIL)) (-3403 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1757 (($) NIL (|has| |#1| (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-3493 (((-2 (|:| -3026 $) (|:| |coef2| $)) $ $) 67 (|has| |#1| (-561)))) (-2073 (((-2 (|:| -3026 $) (|:| |coef1| $)) $ $) 63 (|has| |#1| (-561)))) (-4223 (((-2 (|:| -3730 |#1|) (|:| |coef2| $)) $ $) 55 (|has| |#1| (-561)))) (-1845 (((-2 (|:| -3730 |#1|) (|:| |coef1| $)) $ $) 51 (|has| |#1| (-561)))) (-4321 (((-121) $) 13)) (-4326 ((|#1| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-3755 (($ $ (-768) |#1| $) 19)) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-909)))) (-2141 (((-2 (|:| -3026 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 59 (|has| |#1| (-561)))) (-2917 (((-2 (|:| -3730 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) 47 (|has| |#1| (-561)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-1081) |#1|) NIL) (($ $ (-637 (-1081)) (-637 |#1|)) NIL) (($ $ (-1081) $) NIL) (($ $ (-637 (-1081)) (-637 $)) NIL)) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-412 $) (-412 $) (-412 $)) NIL (|has| |#1| (-561))) ((|#1| (-412 $) |#1|) NIL (|has| |#1| (-367))) (((-412 $) $ (-412 $)) NIL (|has| |#1| (-561)))) (-3144 (((-3 $ "failed") $ (-768)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-1475 (($ $ (-1081)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3096 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2400 (((-768) $) NIL) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-1081) (-612 (-544))) (|has| |#1| (-612 (-544)))))) (-4189 ((|#1| $) NIL (|has| |#1| (-456))) (($ $ (-1081)) NIL (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3820 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561))) (((-3 (-412 $) "failed") (-412 $) $) NIL (|has| |#1| (-561)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL) (($ (-1081)) NIL) (((-1165 |#1|) $) 7) (($ (-1165 |#1|)) 8) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#1| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 21 T CONST)) (-3222 (($) 24 T CONST)) (-1544 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) 28) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 23) (($ $ |#1|) NIL))) 
+(((-782 |#1|) (-13 (-1233 |#1|) (-611 (-1165 |#1|)) (-1043 (-1165 |#1|)) (-10 -8 (-15 -3755 ($ $ (-768) |#1| $)) (-15 -2575 ($ $ $)) (-15 -4544 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3134 (-768))) $ $)) (-15 -3744 ($ $ $)) (-15 -3816 ((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -3734 ($ $ $)) (IF (|has| |#1| (-561)) (PROGN (-15 -2778 ((-637 $) $ $)) (-15 -2810 ($ $ $)) (-15 -2141 ((-2 (|:| -3026 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2073 ((-2 (|:| -3026 $) (|:| |coef1| $)) $ $)) (-15 -3493 ((-2 (|:| -3026 $) (|:| |coef2| $)) $ $)) (-15 -2917 ((-2 (|:| -3730 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -1845 ((-2 (|:| -3730 |#1|) (|:| |coef1| $)) $ $)) (-15 -4223 ((-2 (|:| -3730 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) (-1053)) (T -782)) 
+((-3755 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-768)) (-5 *1 (-782 *3)) (-4 *3 (-1053)))) (-2575 (*1 *1 *1 *1) (-12 (-5 *1 (-782 *2)) (-4 *2 (-1053)))) (-4544 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-782 *3)) (|:| |polden| *3) (|:| -3134 (-768)))) (-5 *1 (-782 *3)) (-4 *3 (-1053)))) (-3744 (*1 *1 *1 *1) (-12 (-5 *1 (-782 *2)) (-4 *2 (-1053)))) (-3816 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4501 *3) (|:| |gap| (-768)) (|:| -2924 (-782 *3)) (|:| -3363 (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-1053)))) (-3734 (*1 *1 *1 *1) (-12 (-5 *1 (-782 *2)) (-4 *2 (-1053)))) (-2778 (*1 *2 *1 *1) (-12 (-5 *2 (-637 (-782 *3))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053)))) (-2810 (*1 *1 *1 *1) (-12 (-5 *1 (-782 *2)) (-4 *2 (-561)) (-4 *2 (-1053)))) (-2141 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3026 (-782 *3)) (|:| |coef1| (-782 *3)) (|:| |coef2| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053)))) (-2073 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3026 (-782 *3)) (|:| |coef1| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053)))) (-3493 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3026 (-782 *3)) (|:| |coef2| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053)))) (-2917 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3730 *3) (|:| |coef1| (-782 *3)) (|:| |coef2| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053)))) (-1845 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3730 *3) (|:| |coef1| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053)))) (-4223 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3730 *3) (|:| |coef2| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053))))) 
+(-13 (-1233 |#1|) (-611 (-1165 |#1|)) (-1043 (-1165 |#1|)) (-10 -8 (-15 -3755 ($ $ (-768) |#1| $)) (-15 -2575 ($ $ $)) (-15 -4544 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3134 (-768))) $ $)) (-15 -3744 ($ $ $)) (-15 -3816 ((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -3734 ($ $ $)) (IF (|has| |#1| (-561)) (PROGN (-15 -2778 ((-637 $) $ $)) (-15 -2810 ($ $ $)) (-15 -2141 ((-2 (|:| -3026 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2073 ((-2 (|:| -3026 $) (|:| |coef1| $)) $ $)) (-15 -3493 ((-2 (|:| -3026 $) (|:| |coef2| $)) $ $)) (-15 -2917 ((-2 (|:| -3730 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -1845 ((-2 (|:| -3730 |#1|) (|:| |coef1| $)) $ $)) (-15 -4223 ((-2 (|:| -3730 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) 
+((-3568 ((|#1| (-768) |#1|) 32 (|has| |#1| (-43 (-412 (-571)))))) (-3386 ((|#1| (-768) |#1|) 22)) (-4008 ((|#1| (-768) |#1|) 34 (|has| |#1| (-43 (-412 (-571))))))) 
+(((-783 |#1|) (-10 -7 (-15 -3386 (|#1| (-768) |#1|)) (IF (|has| |#1| (-43 (-412 (-571)))) (PROGN (-15 -4008 (|#1| (-768) |#1|)) (-15 -3568 (|#1| (-768) |#1|))) |noBranch|)) (-173)) (T -783)) 
+((-3568 (*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-783 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-173)))) (-4008 (*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-783 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-173)))) (-3386 (*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-783 *2)) (-4 *2 (-173))))) 
+(-10 -7 (-15 -3386 (|#1| (-768) |#1|)) (IF (|has| |#1| (-43 (-412 (-571)))) (PROGN (-15 -4008 (|#1| (-768) |#1|)) (-15 -3568 (|#1| (-768) |#1|))) |noBranch|)) 
+((-2234 (((-121) $ $) 7)) (-2626 (((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 |#4|)))) (-637 |#4|)) 78)) (-2235 (((-637 $) (-637 |#4|)) 79) (((-637 $) (-637 |#4|) (-121)) 104)) (-3424 (((-637 |#3|) $) 32)) (-2927 (((-121) $) 25)) (-4409 (((-121) $) 16 (|has| |#1| (-561)))) (-3766 (((-121) |#4| $) 94) (((-121) $) 90)) (-3998 ((|#4| |#4| $) 85)) (-2356 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| $) 119)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) 26)) (-3133 (((-121) $ (-768)) 43)) (-2534 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4600))) (((-3 |#4| "failed") $ |#3|) 72)) (-2269 (($) 44 T CONST)) (-2940 (((-121) $) 21 (|has| |#1| (-561)))) (-4203 (((-121) $ $) 23 (|has| |#1| (-561)))) (-2568 (((-121) $ $) 22 (|has| |#1| (-561)))) (-3455 (((-121) $) 24 (|has| |#1| (-561)))) (-3516 (((-637 |#4|) (-637 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-1372 (((-637 |#4|) (-637 |#4|) $) 17 (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) 18 (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) 35)) (-1316 (($ (-637 |#4|)) 34)) (-4372 (((-3 $ "failed") $) 75)) (-4476 ((|#4| |#4| $) 82)) (-4365 (($ $) 67 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#4| $) 66 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-561)))) (-3052 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-3271 ((|#4| |#4| $) 80)) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4600))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-1770 (((-2 (|:| -2363 (-637 |#4|)) (|:| -3545 (-637 |#4|))) $) 98)) (-1638 (((-121) |#4| $) 129)) (-4579 (((-121) |#4| $) 126)) (-2485 (((-121) |#4| $) 130) (((-121) $) 127)) (-4034 (((-637 |#4|) $) 51 (|has| $ (-6 -4600)))) (-1791 (((-121) |#4| $) 97) (((-121) $) 96)) (-2065 ((|#3| $) 33)) (-2262 (((-121) $ (-768)) 42)) (-3488 (((-637 |#4|) $) 52 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) 46)) (-2213 (((-637 |#3|) $) 31)) (-3529 (((-121) |#3| $) 30)) (-3794 (((-121) $ (-768)) 41)) (-3944 (((-1151) $) 9)) (-3223 (((-3 |#4| (-637 $)) |#4| |#4| $) 121)) (-2810 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| |#4| $) 120)) (-3220 (((-3 |#4| "failed") $) 76)) (-1891 (((-637 $) |#4| $) 122)) (-1927 (((-3 (-121) (-637 $)) |#4| $) 125)) (-2687 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-4017 (((-637 $) |#4| $) 118) (((-637 $) (-637 |#4|) $) 117) (((-637 $) (-637 |#4|) (-637 $)) 116) (((-637 $) |#4| (-637 $)) 115)) (-2935 (($ |#4| $) 110) (($ (-637 |#4|) $) 109)) (-2551 (((-637 |#4|) $) 100)) (-3554 (((-121) |#4| $) 92) (((-121) $) 88)) (-2347 ((|#4| |#4| $) 83)) (-2075 (((-121) $ $) 103)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-561)))) (-2240 (((-121) |#4| $) 93) (((-121) $) 89)) (-2444 ((|#4| |#4| $) 84)) (-2580 (((-1115) $) 10)) (-1827 (((-3 |#4| "failed") $) 77)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4016 (((-3 $ "failed") $ |#4|) 71)) (-3140 (($ $ |#4|) 70) (((-637 $) |#4| $) 108) (((-637 $) |#4| (-637 $)) 107) (((-637 $) (-637 |#4|) $) 106) (((-637 $) (-637 |#4|) (-637 $)) 105)) (-3160 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) 37)) (-1828 (((-121) $) 40)) (-1630 (($) 39)) (-2400 (((-768) $) 99)) (-1569 (((-768) |#4| $) 53 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4600)))) (-4316 (($ $) 38)) (-4050 (((-544) $) 68 (|has| |#4| (-612 (-544))))) (-3891 (($ (-637 |#4|)) 59)) (-3985 (($ $ |#3|) 27)) (-1905 (($ $ |#3|) 29)) (-4371 (($ $) 81)) (-2031 (($ $ |#3|) 28)) (-3942 (((-855) $) 11) (((-637 |#4|) $) 36)) (-1930 (((-768) $) 69 (|has| |#3| (-373)))) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1875 (((-121) $ (-1 (-121) |#4| (-637 |#4|))) 91)) (-2319 (((-637 $) |#4| $) 114) (((-637 $) |#4| (-637 $)) 113) (((-637 $) (-637 |#4|) $) 112) (((-637 $) (-637 |#4|) (-637 $)) 111)) (-3027 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4600)))) (-3557 (((-637 |#3|) $) 74)) (-2640 (((-121) |#4| $) 128)) (-3049 (((-121) |#3| $) 73)) (-1323 (((-121) $ $) 6)) (-4001 (((-768) $) 45 (|has| $ (-6 -4600))))) 
+(((-784 |#1| |#2| |#3| |#4|) (-1289) (-456) (-793) (-847) (-1067 |t#1| |t#2| |t#3|)) (T -784)) 
+NIL 
+(-13 (-1072 |t#1| |t#2| |t#3| |t#4|)) 
+(((-39) . T) ((-105) . T) ((-611 (-637 |#4|)) . T) ((-611 (-855)) . T) ((-155 |#4|) . T) ((-612 (-544)) |has| |#4| (-612 (-544))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-502 |#4|) . T) ((-526 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-983 |#1| |#2| |#3| |#4|) . T) ((-1072 |#1| |#2| |#3| |#4|) . T) ((-1097) . T) ((-1197 |#1| |#2| |#3| |#4|) . T) ((-1203) . T)) 
+((-3147 (((-3 (-384) "failed") (-311 |#1|) (-922)) 60 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-3 (-384) "failed") (-311 |#1|)) 52 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-3 (-384) "failed") (-412 (-958 |#1|)) (-922)) 39 (|has| |#1| (-561))) (((-3 (-384) "failed") (-412 (-958 |#1|))) 35 (|has| |#1| (-561))) (((-3 (-384) "failed") (-958 |#1|) (-922)) 30 (|has| |#1| (-1053))) (((-3 (-384) "failed") (-958 |#1|)) 24 (|has| |#1| (-1053)))) (-1732 (((-384) (-311 |#1|) (-922)) 92 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-384) (-311 |#1|)) 87 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-384) (-412 (-958 |#1|)) (-922)) 84 (|has| |#1| (-561))) (((-384) (-412 (-958 |#1|))) 81 (|has| |#1| (-561))) (((-384) (-958 |#1|) (-922)) 80 (|has| |#1| (-1053))) (((-384) (-958 |#1|)) 77 (|has| |#1| (-1053))) (((-384) |#1| (-922)) 73) (((-384) |#1|) 22)) (-3237 (((-3 (-170 (-384)) "failed") (-311 (-170 |#1|)) (-922)) 68 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-3 (-170 (-384)) "failed") (-311 (-170 |#1|))) 58 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-3 (-170 (-384)) "failed") (-311 |#1|) (-922)) 61 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-3 (-170 (-384)) "failed") (-311 |#1|)) 59 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-3 (-170 (-384)) "failed") (-412 (-958 (-170 |#1|))) (-922)) 44 (|has| |#1| (-561))) (((-3 (-170 (-384)) "failed") (-412 (-958 (-170 |#1|)))) 43 (|has| |#1| (-561))) (((-3 (-170 (-384)) "failed") (-412 (-958 |#1|)) (-922)) 38 (|has| |#1| (-561))) (((-3 (-170 (-384)) "failed") (-412 (-958 |#1|))) 37 (|has| |#1| (-561))) (((-3 (-170 (-384)) "failed") (-958 |#1|) (-922)) 28 (|has| |#1| (-1053))) (((-3 (-170 (-384)) "failed") (-958 |#1|)) 26 (|has| |#1| (-1053))) (((-3 (-170 (-384)) "failed") (-958 (-170 |#1|)) (-922)) 17 (|has| |#1| (-173))) (((-3 (-170 (-384)) "failed") (-958 (-170 |#1|))) 14 (|has| |#1| (-173)))) (-4245 (((-170 (-384)) (-311 (-170 |#1|)) (-922)) 95 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-170 (-384)) (-311 (-170 |#1|))) 94 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-170 (-384)) (-311 |#1|) (-922)) 93 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-170 (-384)) (-311 |#1|)) 91 (-12 (|has| |#1| (-561)) (|has| |#1| (-847)))) (((-170 (-384)) (-412 (-958 (-170 |#1|))) (-922)) 86 (|has| |#1| (-561))) (((-170 (-384)) (-412 (-958 (-170 |#1|)))) 85 (|has| |#1| (-561))) (((-170 (-384)) (-412 (-958 |#1|)) (-922)) 83 (|has| |#1| (-561))) (((-170 (-384)) (-412 (-958 |#1|))) 82 (|has| |#1| (-561))) (((-170 (-384)) (-958 |#1|) (-922)) 79 (|has| |#1| (-1053))) (((-170 (-384)) (-958 |#1|)) 78 (|has| |#1| (-1053))) (((-170 (-384)) (-958 (-170 |#1|)) (-922)) 75 (|has| |#1| (-173))) (((-170 (-384)) (-958 (-170 |#1|))) 74 (|has| |#1| (-173))) (((-170 (-384)) (-170 |#1|) (-922)) 16 (|has| |#1| (-173))) (((-170 (-384)) (-170 |#1|)) 12 (|has| |#1| (-173))) (((-170 (-384)) |#1| (-922)) 27) (((-170 (-384)) |#1|) 25))) 
+(((-785 |#1|) (-10 -7 (-15 -1732 ((-384) |#1|)) (-15 -1732 ((-384) |#1| (-922))) (-15 -4245 ((-170 (-384)) |#1|)) (-15 -4245 ((-170 (-384)) |#1| (-922))) (IF (|has| |#1| (-173)) (PROGN (-15 -4245 ((-170 (-384)) (-170 |#1|))) (-15 -4245 ((-170 (-384)) (-170 |#1|) (-922))) (-15 -4245 ((-170 (-384)) (-958 (-170 |#1|)))) (-15 -4245 ((-170 (-384)) (-958 (-170 |#1|)) (-922)))) |noBranch|) (IF (|has| |#1| (-1053)) (PROGN (-15 -1732 ((-384) (-958 |#1|))) (-15 -1732 ((-384) (-958 |#1|) (-922))) (-15 -4245 ((-170 (-384)) (-958 |#1|))) (-15 -4245 ((-170 (-384)) (-958 |#1|) (-922)))) |noBranch|) (IF (|has| |#1| (-561)) (PROGN (-15 -1732 ((-384) (-412 (-958 |#1|)))) (-15 -1732 ((-384) (-412 (-958 |#1|)) (-922))) (-15 -4245 ((-170 (-384)) (-412 (-958 |#1|)))) (-15 -4245 ((-170 (-384)) (-412 (-958 |#1|)) (-922))) (-15 -4245 ((-170 (-384)) (-412 (-958 (-170 |#1|))))) (-15 -4245 ((-170 (-384)) (-412 (-958 (-170 |#1|))) (-922))) (IF (|has| |#1| (-847)) (PROGN (-15 -1732 ((-384) (-311 |#1|))) (-15 -1732 ((-384) (-311 |#1|) (-922))) (-15 -4245 ((-170 (-384)) (-311 |#1|))) (-15 -4245 ((-170 (-384)) (-311 |#1|) (-922))) (-15 -4245 ((-170 (-384)) (-311 (-170 |#1|)))) (-15 -4245 ((-170 (-384)) (-311 (-170 |#1|)) (-922)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-15 -3237 ((-3 (-170 (-384)) "failed") (-958 (-170 |#1|)))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-958 (-170 |#1|)) (-922)))) |noBranch|) (IF (|has| |#1| (-1053)) (PROGN (-15 -3147 ((-3 (-384) "failed") (-958 |#1|))) (-15 -3147 ((-3 (-384) "failed") (-958 |#1|) (-922))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-958 |#1|))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-958 |#1|) (-922)))) |noBranch|) (IF (|has| |#1| (-561)) (PROGN (-15 -3147 ((-3 (-384) "failed") (-412 (-958 |#1|)))) (-15 -3147 ((-3 (-384) "failed") (-412 (-958 |#1|)) (-922))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-412 (-958 |#1|)))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-412 (-958 |#1|)) (-922))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-412 (-958 (-170 |#1|))))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-412 (-958 (-170 |#1|))) (-922))) (IF (|has| |#1| (-847)) (PROGN (-15 -3147 ((-3 (-384) "failed") (-311 |#1|))) (-15 -3147 ((-3 (-384) "failed") (-311 |#1|) (-922))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-311 |#1|))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-311 |#1|) (-922))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-311 (-170 |#1|)))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-311 (-170 |#1|)) (-922)))) |noBranch|)) |noBranch|)) (-612 (-384))) (T -785)) 
+((-3237 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-3237 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-3237 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-3237 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-3147 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5)))) (-3147 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) (-3237 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 (-958 (-170 *5)))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-3237 (*1 *2 *3) (|partial| -12 (-5 *3 (-412 (-958 (-170 *4)))) (-4 *4 (-561)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-3237 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-3237 (*1 *2 *3) (|partial| -12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-3147 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5)))) (-3147 (*1 *2 *3) (|partial| -12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) (-3237 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-958 *5)) (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-3237 (*1 *2 *3) (|partial| -12 (-5 *3 (-958 *4)) (-4 *4 (-1053)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-3147 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-958 *5)) (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5)))) (-3147 (*1 *2 *3) (|partial| -12 (-5 *3 (-958 *4)) (-4 *4 (-1053)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) (-3237 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-958 (-170 *5))) (-5 *4 (-922)) (-4 *5 (-173)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-3237 (*1 *2 *3) (|partial| -12 (-5 *3 (-958 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-4245 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-4245 (*1 *2 *3) (-12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-4245 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-4245 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-1732 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5)))) (-1732 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) (-4245 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 (-170 *5)))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-4245 (*1 *2 *3) (-12 (-5 *3 (-412 (-958 (-170 *4)))) (-4 *4 (-561)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-4245 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-4245 (*1 *2 *3) (-12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-1732 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5)))) (-1732 (*1 *2 *3) (-12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) (-4245 (*1 *2 *3 *4) (-12 (-5 *3 (-958 *5)) (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-4245 (*1 *2 *3) (-12 (-5 *3 (-958 *4)) (-4 *4 (-1053)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-1732 (*1 *2 *3 *4) (-12 (-5 *3 (-958 *5)) (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5)))) (-1732 (*1 *2 *3) (-12 (-5 *3 (-958 *4)) (-4 *4 (-1053)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) (-4245 (*1 *2 *3 *4) (-12 (-5 *3 (-958 (-170 *5))) (-5 *4 (-922)) (-4 *5 (-173)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-4245 (*1 *2 *3) (-12 (-5 *3 (-958 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-4245 (*1 *2 *3 *4) (-12 (-5 *3 (-170 *5)) (-5 *4 (-922)) (-4 *5 (-173)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) (-4245 (*1 *2 *3) (-12 (-5 *3 (-170 *4)) (-4 *4 (-173)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) (-4245 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-5 *2 (-170 (-384))) (-5 *1 (-785 *3)) (-4 *3 (-612 (-384))))) (-4245 (*1 *2 *3) (-12 (-5 *2 (-170 (-384))) (-5 *1 (-785 *3)) (-4 *3 (-612 (-384))))) (-1732 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-5 *2 (-384)) (-5 *1 (-785 *3)) (-4 *3 (-612 *2)))) (-1732 (*1 *2 *3) (-12 (-5 *2 (-384)) (-5 *1 (-785 *3)) (-4 *3 (-612 *2))))) 
+(-10 -7 (-15 -1732 ((-384) |#1|)) (-15 -1732 ((-384) |#1| (-922))) (-15 -4245 ((-170 (-384)) |#1|)) (-15 -4245 ((-170 (-384)) |#1| (-922))) (IF (|has| |#1| (-173)) (PROGN (-15 -4245 ((-170 (-384)) (-170 |#1|))) (-15 -4245 ((-170 (-384)) (-170 |#1|) (-922))) (-15 -4245 ((-170 (-384)) (-958 (-170 |#1|)))) (-15 -4245 ((-170 (-384)) (-958 (-170 |#1|)) (-922)))) |noBranch|) (IF (|has| |#1| (-1053)) (PROGN (-15 -1732 ((-384) (-958 |#1|))) (-15 -1732 ((-384) (-958 |#1|) (-922))) (-15 -4245 ((-170 (-384)) (-958 |#1|))) (-15 -4245 ((-170 (-384)) (-958 |#1|) (-922)))) |noBranch|) (IF (|has| |#1| (-561)) (PROGN (-15 -1732 ((-384) (-412 (-958 |#1|)))) (-15 -1732 ((-384) (-412 (-958 |#1|)) (-922))) (-15 -4245 ((-170 (-384)) (-412 (-958 |#1|)))) (-15 -4245 ((-170 (-384)) (-412 (-958 |#1|)) (-922))) (-15 -4245 ((-170 (-384)) (-412 (-958 (-170 |#1|))))) (-15 -4245 ((-170 (-384)) (-412 (-958 (-170 |#1|))) (-922))) (IF (|has| |#1| (-847)) (PROGN (-15 -1732 ((-384) (-311 |#1|))) (-15 -1732 ((-384) (-311 |#1|) (-922))) (-15 -4245 ((-170 (-384)) (-311 |#1|))) (-15 -4245 ((-170 (-384)) (-311 |#1|) (-922))) (-15 -4245 ((-170 (-384)) (-311 (-170 |#1|)))) (-15 -4245 ((-170 (-384)) (-311 (-170 |#1|)) (-922)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-15 -3237 ((-3 (-170 (-384)) "failed") (-958 (-170 |#1|)))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-958 (-170 |#1|)) (-922)))) |noBranch|) (IF (|has| |#1| (-1053)) (PROGN (-15 -3147 ((-3 (-384) "failed") (-958 |#1|))) (-15 -3147 ((-3 (-384) "failed") (-958 |#1|) (-922))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-958 |#1|))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-958 |#1|) (-922)))) |noBranch|) (IF (|has| |#1| (-561)) (PROGN (-15 -3147 ((-3 (-384) "failed") (-412 (-958 |#1|)))) (-15 -3147 ((-3 (-384) "failed") (-412 (-958 |#1|)) (-922))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-412 (-958 |#1|)))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-412 (-958 |#1|)) (-922))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-412 (-958 (-170 |#1|))))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-412 (-958 (-170 |#1|))) (-922))) (IF (|has| |#1| (-847)) (PROGN (-15 -3147 ((-3 (-384) "failed") (-311 |#1|))) (-15 -3147 ((-3 (-384) "failed") (-311 |#1|) (-922))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-311 |#1|))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-311 |#1|) (-922))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-311 (-170 |#1|)))) (-15 -3237 ((-3 (-170 (-384)) "failed") (-311 (-170 |#1|)) (-922)))) |noBranch|)) |noBranch|)) 
+((-3693 (((-922) (-1151)) 63)) (-3414 (((-3 (-384) "failed") (-1151)) 32)) (-1979 (((-384) (-1151)) 30)) (-4340 (((-922) (-1151)) 53)) (-4356 (((-1151) (-922)) 54)) (-3999 (((-1151) (-922)) 52))) 
+(((-786) (-10 -7 (-15 -3999 ((-1151) (-922))) (-15 -4340 ((-922) (-1151))) (-15 -4356 ((-1151) (-922))) (-15 -3693 ((-922) (-1151))) (-15 -1979 ((-384) (-1151))) (-15 -3414 ((-3 (-384) "failed") (-1151))))) (T -786)) 
+((-3414 (*1 *2 *3) (|partial| -12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-786)))) (-1979 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-786)))) (-3693 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-922)) (-5 *1 (-786)))) (-4356 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1151)) (-5 *1 (-786)))) (-4340 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-922)) (-5 *1 (-786)))) (-3999 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1151)) (-5 *1 (-786))))) 
+(-10 -7 (-15 -3999 ((-1151) (-922))) (-15 -4340 ((-922) (-1151))) (-15 -4356 ((-1151) (-922))) (-15 -3693 ((-922) (-1151))) (-15 -1979 ((-384) (-1151))) (-15 -3414 ((-3 (-384) "failed") (-1151)))) 
+((-2234 (((-121) $ $) 7)) (-2314 (((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 14) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041)) 12)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 15) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6))) 
+(((-787) (-1289)) (T -787)) 
+((-1538 (*1 *2 *3 *4) (-12 (-4 *1 (-787)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041)))))) (-2314 (*1 *2 *3 *2) (-12 (-4 *1 (-787)) (-5 *2 (-1041)) (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-1538 (*1 *2 *3 *4) (-12 (-4 *1 (-787)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041)))))) (-2314 (*1 *2 *3 *2) (-12 (-4 *1 (-787)) (-5 *2 (-1041)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
+(-13 (-1097) (-10 -7 (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2314 ((-1041) (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2314 ((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1041))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2870 (((-1263) (-1258 (-384)) (-571) (-384) (-2 (|:| |try| (-384)) (|:| |did| (-384)) (|:| -2034 (-384))) (-384) (-1258 (-384)) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384))) 44) (((-1263) (-1258 (-384)) (-571) (-384) (-2 (|:| |try| (-384)) (|:| |did| (-384)) (|:| -2034 (-384))) (-384) (-1258 (-384)) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384))) 43)) (-4573 (((-1263) (-1258 (-384)) (-571) (-384) (-384) (-571) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384))) 50)) (-1488 (((-1263) (-1258 (-384)) (-571) (-384) (-384) (-384) (-384) (-571) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384))) 41)) (-3086 (((-1263) (-1258 (-384)) (-571) (-384) (-384) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384))) 52) (((-1263) (-1258 (-384)) (-571) (-384) (-384) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384))) 51))) 
+(((-788) (-10 -7 (-15 -3086 ((-1263) (-1258 (-384)) (-571) (-384) (-384) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)))) (-15 -3086 ((-1263) (-1258 (-384)) (-571) (-384) (-384) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)))) (-15 -1488 ((-1263) (-1258 (-384)) (-571) (-384) (-384) (-384) (-384) (-571) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)))) (-15 -2870 ((-1263) (-1258 (-384)) (-571) (-384) (-2 (|:| |try| (-384)) (|:| |did| (-384)) (|:| -2034 (-384))) (-384) (-1258 (-384)) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)))) (-15 -2870 ((-1263) (-1258 (-384)) (-571) (-384) (-2 (|:| |try| (-384)) (|:| |did| (-384)) (|:| -2034 (-384))) (-384) (-1258 (-384)) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)))) (-15 -4573 ((-1263) (-1258 (-384)) (-571) (-384) (-384) (-571) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)))))) (T -788)) 
+((-4573 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-571)) (-5 *6 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788)))) (-2870 (*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-571)) (-5 *6 (-2 (|:| |try| (-384)) (|:| |did| (-384)) (|:| -2034 (-384)))) (-5 *7 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788)))) (-2870 (*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-571)) (-5 *6 (-2 (|:| |try| (-384)) (|:| |did| (-384)) (|:| -2034 (-384)))) (-5 *7 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788)))) (-1488 (*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-571)) (-5 *6 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788)))) (-3086 (*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-571)) (-5 *6 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788)))) (-3086 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-571)) (-5 *6 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788))))) 
+(-10 -7 (-15 -3086 ((-1263) (-1258 (-384)) (-571) (-384) (-384) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)))) (-15 -3086 ((-1263) (-1258 (-384)) (-571) (-384) (-384) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)))) (-15 -1488 ((-1263) (-1258 (-384)) (-571) (-384) (-384) (-384) (-384) (-571) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)))) (-15 -2870 ((-1263) (-1258 (-384)) (-571) (-384) (-2 (|:| |try| (-384)) (|:| |did| (-384)) (|:| -2034 (-384))) (-384) (-1258 (-384)) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)))) (-15 -2870 ((-1263) (-1258 (-384)) (-571) (-384) (-2 (|:| |try| (-384)) (|:| |did| (-384)) (|:| -2034 (-384))) (-384) (-1258 (-384)) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)) (-1258 (-384)))) (-15 -4573 ((-1263) (-1258 (-384)) (-571) (-384) (-384) (-571) (-1 (-1263) (-1258 (-384)) (-1258 (-384)) (-384))))) 
+((-4354 (((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571)) 53)) (-4533 (((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571)) 30)) (-3783 (((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571)) 52)) (-1737 (((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571)) 28)) (-2720 (((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571)) 51)) (-2387 (((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571)) 18)) (-1418 (((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571) (-571)) 31)) (-1559 (((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571) (-571)) 29)) (-2523 (((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571) (-571)) 27))) 
+(((-789) (-10 -7 (-15 -2523 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571) (-571))) (-15 -1559 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571) (-571))) (-15 -1418 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571) (-571))) (-15 -2387 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))) (-15 -1737 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))) (-15 -4533 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))) (-15 -2720 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))) (-15 -3783 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))) (-15 -4354 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))))) (T -789)) 
+((-4354 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571)))) (-3783 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571)))) (-2720 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571)))) (-4533 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571)))) (-1737 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571)))) (-2387 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571)))) (-1418 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571)))) (-1559 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571)))) (-2523 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571))))) 
+(-10 -7 (-15 -2523 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571) (-571))) (-15 -1559 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571) (-571))) (-15 -1418 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571) (-571))) (-15 -2387 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))) (-15 -1737 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))) (-15 -4533 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))) (-15 -2720 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))) (-15 -3783 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571))) (-15 -4354 ((-2 (|:| -2139 (-384)) (|:| -3871 (-384)) (|:| |totalpts| (-571)) (|:| |success| (-121))) (-1 (-384) (-384)) (-384) (-384) (-384) (-384) (-571) (-571)))) 
+((-1581 (((-1199 |#1|) |#1| (-216) (-571)) 45))) 
+(((-790 |#1|) (-10 -7 (-15 -1581 ((-1199 |#1|) |#1| (-216) (-571)))) (-981)) (T -790)) 
+((-1581 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-216)) (-5 *5 (-571)) (-5 *2 (-1199 *3)) (-5 *1 (-790 *3)) (-4 *3 (-981))))) 
+(-10 -7 (-15 -1581 ((-1199 |#1|) |#1| (-216) (-571)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 23)) (-4176 (((-3 $ "failed") $ $) 25)) (-2269 (($) 22 T CONST)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 21 T CONST)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17)) (-1373 (($ $ $) 27) (($ $) 26)) (-1367 (($ $ $) 19)) (* (($ (-768) $) 24) (($ (-922) $) 20) (($ (-571) $) 28))) 
+(((-791) (-1289)) (T -791)) 
+NIL 
+(-13 (-795) (-21)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-792) . T) ((-794) . T) ((-795) . T) ((-847) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 23)) (-2269 (($) 22 T CONST)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 21 T CONST)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17)) (-1367 (($ $ $) 19)) (* (($ (-768) $) 24) (($ (-922) $) 20))) 
+(((-792) (-1289)) (T -792)) 
+NIL 
+(-13 (-794) (-23)) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-611 (-855)) . T) ((-794) . T) ((-847) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 23)) (-3933 (($ $ $) 26)) (-4176 (((-3 $ "failed") $ $) 25)) (-2269 (($) 22 T CONST)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 21 T CONST)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17)) (-1367 (($ $ $) 19)) (* (($ (-768) $) 24) (($ (-922) $) 20))) 
+(((-793) (-1289)) (T -793)) 
+((-3933 (*1 *1 *1 *1) (-4 *1 (-793)))) 
+(-13 (-795) (-10 -8 (-15 -3933 ($ $ $)))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-792) . T) ((-794) . T) ((-795) . T) ((-847) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 23)) (-2269 (($) 22 T CONST)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 21 T CONST)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17)) (-1367 (($ $ $) 19)) (* (($ (-768) $) 24) (($ (-922) $) 20))) 
+(((-794) (-1289)) (T -794)) 
+NIL 
+(-13 (-847) (-23)) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-611 (-855)) . T) ((-847) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 23)) (-4176 (((-3 $ "failed") $ $) 25)) (-2269 (($) 22 T CONST)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 21 T CONST)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17)) (-1367 (($ $ $) 19)) (* (($ (-768) $) 24) (($ (-922) $) 20))) 
+(((-795) (-1289)) (T -795)) 
+NIL 
+(-13 (-792) (-138)) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-792) . T) ((-794) . T) ((-847) . T) ((-1097) . T)) 
+((-4123 (((-121) $) 41)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 |#2| "failed") $) 44)) (-1316 (((-571) $) NIL) (((-412 (-571)) $) NIL) ((|#2| $) 42)) (-3437 (((-3 (-412 (-571)) "failed") $) 78)) (-3330 (((-121) $) 72)) (-3450 (((-412 (-571)) $) 76)) (-3477 ((|#2| $) 26)) (-3799 (($ (-1 |#2| |#2|) $) 23)) (-4315 (($ $) 61)) (-4050 (((-544) $) 67)) (-2911 (($ $) 21)) (-3942 (((-855) $) 56) (($ (-571)) 39) (($ |#2|) 37) (($ (-412 (-571))) NIL)) (-2661 (((-768)) 10)) (-1902 ((|#2| $) 71)) (-1323 (((-121) $ $) 29)) (-1331 (((-121) $ $) 69)) (-1373 (($ $) 31) (($ $ $) NIL)) (-1367 (($ $ $) 30)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 35) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 32))) 
+(((-796 |#1| |#2|) (-10 -8 (-15 -1331 ((-121) |#1| |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -4315 (|#1| |#1|)) (-15 -3437 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3450 ((-412 (-571)) |#1|)) (-15 -3330 ((-121) |#1|)) (-15 -1902 (|#2| |#1|)) (-15 -3477 (|#2| |#1|)) (-15 -2911 (|#1| |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3942 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 -2661 ((-768))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 -4123 ((-121) |#1|)) (-15 * (|#1| (-922) |#1|)) (-15 -1367 (|#1| |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) (-797 |#2|) (-173)) (T -796)) 
+((-2661 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-768)) (-5 *1 (-796 *3 *4)) (-4 *3 (-797 *4))))) 
+(-10 -8 (-15 -1331 ((-121) |#1| |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -4315 (|#1| |#1|)) (-15 -3437 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3450 ((-412 (-571)) |#1|)) (-15 -3330 ((-121) |#1|)) (-15 -1902 (|#2| |#1|)) (-15 -3477 (|#2| |#1|)) (-15 -2911 (|#1| |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3942 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 -2661 ((-768))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 -4123 ((-121) |#1|)) (-15 * (|#1| (-922) |#1|)) (-15 -1367 (|#1| |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-4407 (((-768)) 51 (|has| |#1| (-373)))) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 93 (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) 91 (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 89)) (-1316 (((-571) $) 94 (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) 92 (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) 88)) (-3978 (((-3 $ "failed") $) 33)) (-3327 ((|#1| $) 78)) (-3437 (((-3 (-412 (-571)) "failed") $) 65 (|has| |#1| (-553)))) (-3330 (((-121) $) 67 (|has| |#1| (-553)))) (-3450 (((-412 (-571)) $) 66 (|has| |#1| (-553)))) (-3254 (($) 54 (|has| |#1| (-373)))) (-2583 (((-121) $) 30)) (-1438 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 69)) (-3477 ((|#1| $) 70)) (-1763 (($ $ $) 61 (|has| |#1| (-847)))) (-2383 (($ $ $) 60 (|has| |#1| (-847)))) (-3799 (($ (-1 |#1| |#1|) $) 80)) (-4470 (((-922) $) 53 (|has| |#1| (-373)))) (-3944 (((-1151) $) 9)) (-4315 (($ $) 64 (|has| |#1| (-367)))) (-1755 (($ (-922)) 52 (|has| |#1| (-373)))) (-3415 ((|#1| $) 75)) (-3930 ((|#1| $) 76)) (-2394 ((|#1| $) 77)) (-3476 ((|#1| $) 71)) (-2379 ((|#1| $) 72)) (-2744 ((|#1| $) 73)) (-1529 ((|#1| $) 74)) (-2580 (((-1115) $) 10)) (-4483 (($ $ (-637 |#1|) (-637 |#1|)) 86 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 85 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 84 (|has| |#1| (-304 |#1|))) (($ $ (-637 (-289 |#1|))) 83 (|has| |#1| (-304 |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) 82 (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-1169) |#1|) 81 (|has| |#1| (-526 (-1169) |#1|)))) (-3804 (((-637 $)) 55 (|has| |#1| (-373)))) (-3245 (($ $ |#1|) 87 (|has| |#1| (-282 |#1| |#1|)))) (-4050 (((-544) $) 62 (|has| |#1| (-612 (-544))))) (-2911 (($ $) 79)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 36) (($ (-412 (-571))) 90 (|has| |#1| (-1043 (-412 (-571)))))) (-2346 (((-3 $ "failed") $) 63 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-1902 ((|#1| $) 68 (|has| |#1| (-1062)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1350 (((-121) $ $) 58 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 57 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 59 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 56 (|has| |#1| (-847)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-797 |#1|) (-1289) (-173)) (T -797)) 
+((-2911 (*1 *1 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-3327 (*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-2394 (*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-3930 (*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-3415 (*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-1529 (*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-2744 (*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-2379 (*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-3476 (*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-3477 (*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-1438 (*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) (-1902 (*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)) (-4 *2 (-1062)))) (-3330 (*1 *2 *1) (-12 (-4 *1 (-797 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-121)))) (-3450 (*1 *2 *1) (-12 (-4 *1 (-797 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571))))) (-3437 (*1 *2 *1) (|partial| -12 (-4 *1 (-797 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571))))) (-4315 (*1 *1 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)) (-4 *2 (-367))))) 
+(-13 (-43 |t#1|) (-416 |t#1|) (-337 |t#1|) (-10 -8 (-15 -2911 ($ $)) (-15 -3327 (|t#1| $)) (-15 -2394 (|t#1| $)) (-15 -3930 (|t#1| $)) (-15 -3415 (|t#1| $)) (-15 -1529 (|t#1| $)) (-15 -2744 (|t#1| $)) (-15 -2379 (|t#1| $)) (-15 -3476 (|t#1| $)) (-15 -3477 (|t#1| $)) (-15 -1438 ($ |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1|)) (IF (|has| |t#1| (-373)) (-6 (-373)) |noBranch|) (IF (|has| |t#1| (-847)) (-6 (-847)) |noBranch|) (IF (|has| |t#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1062)) (-15 -1902 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-553)) (PROGN (-15 -3330 ((-121) $)) (-15 -3450 ((-412 (-571)) $)) (-15 -3437 ((-3 (-412 (-571)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-367)) (-15 -4315 ($ $)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-373) |has| |#1| (-373)) ((-337 |#1|) . T) ((-416 |#1|) . T) ((-526 (-1169) |#1|) |has| |#1| (-526 (-1169) |#1|)) ((-526 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-640 |#1|) . T) ((-640 $) . T) ((-712 |#1|) . T) ((-721) . T) ((-847) |has| |#1| (-847)) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T) ((-1059 |#1|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-3799 ((|#3| (-1 |#4| |#2|) |#1|) 20))) 
+(((-798 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3799 (|#3| (-1 |#4| |#2|) |#1|))) (-797 |#2|) (-173) (-797 |#4|) (-173)) (T -798)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-797 *6)) (-5 *1 (-798 *4 *5 *2 *6)) (-4 *4 (-797 *5))))) 
+(-10 -7 (-15 -3799 (|#3| (-1 |#4| |#2|) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-4407 (((-768)) NIL (|has| |#1| (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL) (((-3 (-1005 |#1|) "failed") $) 35) (((-3 (-571) "failed") $) NIL (-1831 (|has| (-1005 |#1|) (-1043 (-571))) (|has| |#1| (-1043 (-571))))) (((-3 (-412 (-571)) "failed") $) NIL (-1831 (|has| (-1005 |#1|) (-1043 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571))))))) (-1316 ((|#1| $) NIL) (((-1005 |#1|) $) 33) (((-571) $) NIL (-1831 (|has| (-1005 |#1|) (-1043 (-571))) (|has| |#1| (-1043 (-571))))) (((-412 (-571)) $) NIL (-1831 (|has| (-1005 |#1|) (-1043 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571))))))) (-3978 (((-3 $ "failed") $) NIL)) (-3327 ((|#1| $) 16)) (-3437 (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-553)))) (-3330 (((-121) $) NIL (|has| |#1| (-553)))) (-3450 (((-412 (-571)) $) NIL (|has| |#1| (-553)))) (-3254 (($) NIL (|has| |#1| (-373)))) (-2583 (((-121) $) NIL)) (-1438 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 28) (($ (-1005 |#1|) (-1005 |#1|)) 29)) (-3477 ((|#1| $) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-4470 (((-922) $) NIL (|has| |#1| (-373)))) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| |#1| (-367)))) (-1755 (($ (-922)) NIL (|has| |#1| (-373)))) (-3415 ((|#1| $) 22)) (-3930 ((|#1| $) 20)) (-2394 ((|#1| $) 18)) (-3476 ((|#1| $) 26)) (-2379 ((|#1| $) 25)) (-2744 ((|#1| $) 24)) (-1529 ((|#1| $) 23)) (-2580 (((-1115) $) NIL)) (-4483 (($ $ (-637 |#1|) (-637 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-637 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) NIL (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-1169) |#1|) NIL (|has| |#1| (-526 (-1169) |#1|)))) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-3245 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-2911 (($ $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL) (($ (-1005 |#1|)) 30) (($ (-412 (-571))) NIL (-1831 (|has| (-1005 |#1|) (-1043 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571))))))) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1902 ((|#1| $) NIL (|has| |#1| (-1062)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 8 T CONST)) (-3222 (($) 12 T CONST)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 40) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-799 |#1|) (-13 (-797 |#1|) (-416 (-1005 |#1|)) (-10 -8 (-15 -1438 ($ (-1005 |#1|) (-1005 |#1|))))) (-173)) (T -799)) 
+((-1438 (*1 *1 *2 *2) (-12 (-5 *2 (-1005 *3)) (-4 *3 (-173)) (-5 *1 (-799 *3))))) 
+(-13 (-797 |#1|) (-416 (-1005 |#1|)) (-10 -8 (-15 -1438 ($ (-1005 |#1|) (-1005 |#1|))))) 
+((-2234 (((-121) $ $) 7)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2905 (((-1041) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 12)) (-1323 (((-121) $ $) 6))) 
+(((-800) (-1289)) (T -800)) 
+((-1538 (*1 *2 *3 *4) (-12 (-4 *1 (-800)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)))))) (-2905 (*1 *2 *3) (-12 (-4 *1 (-800)) (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1041))))) 
+(-13 (-1097) (-10 -7 (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2905 ((-1041) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-3661 (((-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) |#3| |#2| (-1169)) 19))) 
+(((-801 |#1| |#2| |#3|) (-10 -7 (-15 -3661 ((-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) |#3| |#2| (-1169)))) (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151)) (-13 (-29 |#1|) (-1189) (-965)) (-649 |#2|)) (T -801)) 
+((-3661 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1169)) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-4 *4 (-13 (-29 *6) (-1189) (-965))) (-5 *2 (-2 (|:| |particular| *4) (|:| -1899 (-637 *4)))) (-5 *1 (-801 *6 *4 *3)) (-4 *3 (-649 *4))))) 
+(-10 -7 (-15 -3661 ((-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) |#3| |#2| (-1169)))) 
+((-4549 (((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-637 |#2|)) 26) (((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-637 |#2|)) 27) (((-3 (-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) |#2| "failed") |#2| (-123) (-1169)) 16) (((-3 (-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1169)) 17) (((-3 (-2 (|:| |particular| (-1258 |#2|)) (|:| -1899 (-637 (-1258 |#2|)))) "failed") (-637 |#2|) (-637 (-123)) (-1169)) 22) (((-3 (-2 (|:| |particular| (-1258 |#2|)) (|:| -1899 (-637 (-1258 |#2|)))) "failed") (-637 (-289 |#2|)) (-637 (-123)) (-1169)) 24) (((-3 (-637 (-1258 |#2|)) "failed") (-684 |#2|) (-1169)) 36) (((-3 (-2 (|:| |particular| (-1258 |#2|)) (|:| -1899 (-637 (-1258 |#2|)))) "failed") (-684 |#2|) (-1258 |#2|) (-1169)) 34))) 
+(((-802 |#1| |#2|) (-10 -7 (-15 -4549 ((-3 (-2 (|:| |particular| (-1258 |#2|)) (|:| -1899 (-637 (-1258 |#2|)))) "failed") (-684 |#2|) (-1258 |#2|) (-1169))) (-15 -4549 ((-3 (-637 (-1258 |#2|)) "failed") (-684 |#2|) (-1169))) (-15 -4549 ((-3 (-2 (|:| |particular| (-1258 |#2|)) (|:| -1899 (-637 (-1258 |#2|)))) "failed") (-637 (-289 |#2|)) (-637 (-123)) (-1169))) (-15 -4549 ((-3 (-2 (|:| |particular| (-1258 |#2|)) (|:| -1899 (-637 (-1258 |#2|)))) "failed") (-637 |#2|) (-637 (-123)) (-1169))) (-15 -4549 ((-3 (-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1169))) (-15 -4549 ((-3 (-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) |#2| "failed") |#2| (-123) (-1169))) (-15 -4549 ((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-637 |#2|))) (-15 -4549 ((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-637 |#2|)))) (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151)) (-13 (-29 |#1|) (-1189) (-965))) (T -802)) 
+((-4549 (*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-289 *2)) (-5 *5 (-637 *2)) (-4 *2 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *1 (-802 *6 *2)))) (-4549 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-289 *2)) (-5 *4 (-123)) (-5 *5 (-637 *2)) (-4 *2 (-13 (-29 *6) (-1189) (-965))) (-5 *1 (-802 *6 *2)) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))))) (-4549 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1169)) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -1899 (-637 *3))) *3 "failed")) (-5 *1 (-802 *6 *3)) (-4 *3 (-13 (-29 *6) (-1189) (-965))))) (-4549 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-1169)) (-4 *7 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -1899 (-637 *7))) *7 "failed")) (-5 *1 (-802 *6 *7)))) (-4549 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-637 *7)) (-5 *4 (-637 (-123))) (-5 *5 (-1169)) (-4 *7 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-2 (|:| |particular| (-1258 *7)) (|:| -1899 (-637 (-1258 *7))))) (-5 *1 (-802 *6 *7)))) (-4549 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-637 (-289 *7))) (-5 *4 (-637 (-123))) (-5 *5 (-1169)) (-4 *7 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-2 (|:| |particular| (-1258 *7)) (|:| -1899 (-637 (-1258 *7))))) (-5 *1 (-802 *6 *7)))) (-4549 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-684 *6)) (-5 *4 (-1169)) (-4 *6 (-13 (-29 *5) (-1189) (-965))) (-4 *5 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-1258 *6))) (-5 *1 (-802 *5 *6)))) (-4549 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-684 *7)) (-5 *5 (-1169)) (-4 *7 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-2 (|:| |particular| (-1258 *7)) (|:| -1899 (-637 (-1258 *7))))) (-5 *1 (-802 *6 *7)) (-5 *4 (-1258 *7))))) 
+(-10 -7 (-15 -4549 ((-3 (-2 (|:| |particular| (-1258 |#2|)) (|:| -1899 (-637 (-1258 |#2|)))) "failed") (-684 |#2|) (-1258 |#2|) (-1169))) (-15 -4549 ((-3 (-637 (-1258 |#2|)) "failed") (-684 |#2|) (-1169))) (-15 -4549 ((-3 (-2 (|:| |particular| (-1258 |#2|)) (|:| -1899 (-637 (-1258 |#2|)))) "failed") (-637 (-289 |#2|)) (-637 (-123)) (-1169))) (-15 -4549 ((-3 (-2 (|:| |particular| (-1258 |#2|)) (|:| -1899 (-637 (-1258 |#2|)))) "failed") (-637 |#2|) (-637 (-123)) (-1169))) (-15 -4549 ((-3 (-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1169))) (-15 -4549 ((-3 (-2 (|:| |particular| |#2|) (|:| -1899 (-637 |#2|))) |#2| "failed") |#2| (-123) (-1169))) (-15 -4549 ((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-637 |#2|))) (-15 -4549 ((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-637 |#2|)))) 
+((-3320 (($) 9)) (-1966 (((-3 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 26)) (-3359 (((-637 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $) 23)) (-2863 (($ (-2 (|:| -4080 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384)))))) 20)) (-1904 (($ (-637 (-2 (|:| -4080 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384))))))) 18)) (-3504 (((-1263)) 12))) 
+(((-803) (-10 -8 (-15 -3320 ($)) (-15 -3504 ((-1263))) (-15 -3359 ((-637 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -1904 ($ (-637 (-2 (|:| -4080 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384)))))))) (-15 -2863 ($ (-2 (|:| -4080 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384))))))) (-15 -1966 ((-3 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -803)) 
+((-1966 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384)))) (-5 *1 (-803)))) (-2863 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -4080 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384)))))) (-5 *1 (-803)))) (-1904 (*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384))))))) (-5 *1 (-803)))) (-3359 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-803)))) (-3504 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-803)))) (-3320 (*1 *1) (-5 *1 (-803)))) 
+(-10 -8 (-15 -3320 ($)) (-15 -3504 ((-1263))) (-15 -3359 ((-637 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -1904 ($ (-637 (-2 (|:| -4080 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384)))))))) (-15 -2863 ($ (-2 (|:| -4080 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384))))))) (-15 -1966 ((-3 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-3751 ((|#2| |#2| (-1169)) 15)) (-3929 ((|#2| |#2| (-1169)) 47)) (-1408 (((-1 |#2| |#2|) (-1169)) 11))) 
+(((-804 |#1| |#2|) (-10 -7 (-15 -3751 (|#2| |#2| (-1169))) (-15 -3929 (|#2| |#2| (-1169))) (-15 -1408 ((-1 |#2| |#2|) (-1169)))) (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151)) (-13 (-29 |#1|) (-1189) (-965))) (T -804)) 
+((-1408 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-1 *5 *5)) (-5 *1 (-804 *4 *5)) (-4 *5 (-13 (-29 *4) (-1189) (-965))))) (-3929 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *1 (-804 *4 *2)) (-4 *2 (-13 (-29 *4) (-1189) (-965))))) (-3751 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *1 (-804 *4 *2)) (-4 *2 (-13 (-29 *4) (-1189) (-965)))))) 
+(-10 -7 (-15 -3751 (|#2| |#2| (-1169))) (-15 -3929 (|#2| |#2| (-1169))) (-15 -1408 ((-1 |#2| |#2|) (-1169)))) 
+((-4549 (((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-311 (-384)) (-637 (-384)) (-384) (-384)) 114) (((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-311 (-384)) (-637 (-384)) (-384)) 115) (((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-637 (-384)) (-384)) 117) (((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-311 (-384)) (-384)) 118) (((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-384)) 119) (((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384))) 120) (((-1041) (-808) (-1065)) 105) (((-1041) (-808)) 106)) (-1538 (((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-808) (-1065)) 71) (((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-808)) 73))) 
+(((-805) (-10 -7 (-15 -4549 ((-1041) (-808))) (-15 -4549 ((-1041) (-808) (-1065))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-384))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-311 (-384)) (-384))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-637 (-384)) (-384))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-311 (-384)) (-637 (-384)) (-384))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-311 (-384)) (-637 (-384)) (-384) (-384))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-808))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-808) (-1065))))) (T -805)) 
+((-1538 (*1 *2 *3 *4) (-12 (-5 *3 (-808)) (-5 *4 (-1065)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-805)))) (-1538 (*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-805)))) (-4549 (*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1258 (-311 *4))) (-5 *5 (-637 (-384))) (-5 *6 (-311 (-384))) (-5 *4 (-384)) (-5 *2 (-1041)) (-5 *1 (-805)))) (-4549 (*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1258 (-311 *4))) (-5 *5 (-637 (-384))) (-5 *6 (-311 (-384))) (-5 *4 (-384)) (-5 *2 (-1041)) (-5 *1 (-805)))) (-4549 (*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1258 (-311 (-384)))) (-5 *4 (-384)) (-5 *5 (-637 *4)) (-5 *2 (-1041)) (-5 *1 (-805)))) (-4549 (*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1258 (-311 *4))) (-5 *5 (-637 (-384))) (-5 *6 (-311 (-384))) (-5 *4 (-384)) (-5 *2 (-1041)) (-5 *1 (-805)))) (-4549 (*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1258 (-311 (-384)))) (-5 *4 (-384)) (-5 *5 (-637 *4)) (-5 *2 (-1041)) (-5 *1 (-805)))) (-4549 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1258 (-311 (-384)))) (-5 *4 (-384)) (-5 *5 (-637 *4)) (-5 *2 (-1041)) (-5 *1 (-805)))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-808)) (-5 *4 (-1065)) (-5 *2 (-1041)) (-5 *1 (-805)))) (-4549 (*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1041)) (-5 *1 (-805))))) 
+(-10 -7 (-15 -4549 ((-1041) (-808))) (-15 -4549 ((-1041) (-808) (-1065))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-384))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-311 (-384)) (-384))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-637 (-384)) (-384))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-311 (-384)) (-637 (-384)) (-384))) (-15 -4549 ((-1041) (-1258 (-311 (-384))) (-384) (-384) (-637 (-384)) (-311 (-384)) (-637 (-384)) (-384) (-384))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-808))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-808) (-1065)))) 
+((-2123 (((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -1899 (-637 |#4|))) (-646 |#4|) |#4|) 32))) 
+(((-806 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2123 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -1899 (-637 |#4|))) (-646 |#4|) |#4|))) (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571)))) (-1233 |#1|) (-1233 (-412 |#2|)) (-341 |#1| |#2| |#3|)) (T -806)) 
+((-2123 (*1 *2 *3 *4) (-12 (-5 *3 (-646 *4)) (-4 *4 (-341 *5 *6 *7)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-806 *5 *6 *7 *4))))) 
+(-10 -7 (-15 -2123 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -1899 (-637 |#4|))) (-646 |#4|) |#4|))) 
+((-2906 (((-2 (|:| -3192 |#3|) (|:| |rh| (-637 (-412 |#2|)))) |#4| (-637 (-412 |#2|))) 51)) (-1345 (((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#4| |#2|) 59) (((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#4|) 58) (((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#3| |#2|) 20) (((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#3|) 21)) (-3194 ((|#2| |#4| |#1|) 60) ((|#2| |#3| |#1|) 27)) (-1771 ((|#2| |#3| (-637 (-412 |#2|))) 93) (((-3 |#2| "failed") |#3| (-412 |#2|)) 90))) 
+(((-807 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1771 ((-3 |#2| "failed") |#3| (-412 |#2|))) (-15 -1771 (|#2| |#3| (-637 (-412 |#2|)))) (-15 -1345 ((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#3|)) (-15 -1345 ((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#3| |#2|)) (-15 -3194 (|#2| |#3| |#1|)) (-15 -1345 ((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#4|)) (-15 -1345 ((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#4| |#2|)) (-15 -3194 (|#2| |#4| |#1|)) (-15 -2906 ((-2 (|:| -3192 |#3|) (|:| |rh| (-637 (-412 |#2|)))) |#4| (-637 (-412 |#2|))))) (-13 (-367) (-151) (-1043 (-412 (-571)))) (-1233 |#1|) (-649 |#2|) (-649 (-412 |#2|))) (T -807)) 
+((-2906 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-2 (|:| -3192 *7) (|:| |rh| (-637 (-412 *6))))) (-5 *1 (-807 *5 *6 *7 *3)) (-5 *4 (-637 (-412 *6))) (-4 *7 (-649 *6)) (-4 *3 (-649 (-412 *6))))) (-3194 (*1 *2 *3 *4) (-12 (-4 *2 (-1233 *4)) (-5 *1 (-807 *4 *2 *5 *3)) (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *5 (-649 *2)) (-4 *3 (-649 (-412 *2))))) (-1345 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *4 (-1233 *5)) (-5 *2 (-637 (-2 (|:| -1681 *4) (|:| -3791 *4)))) (-5 *1 (-807 *5 *4 *6 *3)) (-4 *6 (-649 *4)) (-4 *3 (-649 (-412 *4))))) (-1345 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-2 (|:| -1681 *5) (|:| -3791 *5)))) (-5 *1 (-807 *4 *5 *6 *3)) (-4 *6 (-649 *5)) (-4 *3 (-649 (-412 *5))))) (-3194 (*1 *2 *3 *4) (-12 (-4 *2 (-1233 *4)) (-5 *1 (-807 *4 *2 *3 *5)) (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *3 (-649 *2)) (-4 *5 (-649 (-412 *2))))) (-1345 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *4 (-1233 *5)) (-5 *2 (-637 (-2 (|:| -1681 *4) (|:| -3791 *4)))) (-5 *1 (-807 *5 *4 *3 *6)) (-4 *3 (-649 *4)) (-4 *6 (-649 (-412 *4))))) (-1345 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-2 (|:| -1681 *5) (|:| -3791 *5)))) (-5 *1 (-807 *4 *5 *3 *6)) (-4 *3 (-649 *5)) (-4 *6 (-649 (-412 *5))))) (-1771 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-412 *2))) (-4 *2 (-1233 *5)) (-5 *1 (-807 *5 *2 *3 *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *3 (-649 *2)) (-4 *6 (-649 (-412 *2))))) (-1771 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-412 *2)) (-4 *2 (-1233 *5)) (-5 *1 (-807 *5 *2 *3 *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *3 (-649 *2)) (-4 *6 (-649 *4))))) 
+(-10 -7 (-15 -1771 ((-3 |#2| "failed") |#3| (-412 |#2|))) (-15 -1771 (|#2| |#3| (-637 (-412 |#2|)))) (-15 -1345 ((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#3|)) (-15 -1345 ((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#3| |#2|)) (-15 -3194 (|#2| |#3| |#1|)) (-15 -1345 ((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#4|)) (-15 -1345 ((-637 (-2 (|:| -1681 |#2|) (|:| -3791 |#2|))) |#4| |#2|)) (-15 -3194 (|#2| |#4| |#1|)) (-15 -2906 ((-2 (|:| -3192 |#3|) (|:| |rh| (-637 (-412 |#2|)))) |#4| (-637 (-412 |#2|))))) 
+((-2234 (((-121) $ $) NIL)) (-1316 (((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $) 9)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 11) (($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 8)) (-1323 (((-121) $ $) NIL))) 
+(((-808) (-13 (-1097) (-10 -8 (-15 -3942 ($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3942 ((-855) $)) (-15 -1316 ((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $))))) (T -808)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-808)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-808)))) (-1316 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-808))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3942 ((-855) $)) (-15 -1316 ((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $)))) 
+((-2757 (((-637 (-2 (|:| |frac| (-412 |#2|)) (|:| -3192 |#3|))) |#3| (-1 (-637 |#2|) |#2| (-1165 |#2|)) (-1 (-423 |#2|) |#2|)) 118)) (-2345 (((-637 (-2 (|:| |poly| |#2|) (|:| -3192 |#3|))) |#3| (-1 (-637 |#1|) |#2|)) 45)) (-1870 (((-637 (-2 (|:| |deg| (-768)) (|:| -3192 |#2|))) |#3|) 95)) (-2030 ((|#2| |#3|) 37)) (-1597 (((-637 (-2 (|:| -3177 |#1|) (|:| -3192 |#3|))) |#3| (-1 (-637 |#1|) |#2|)) 82)) (-3697 ((|#3| |#3| (-412 |#2|)) 63) ((|#3| |#3| |#2|) 79))) 
+(((-809 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2030 (|#2| |#3|)) (-15 -1870 ((-637 (-2 (|:| |deg| (-768)) (|:| -3192 |#2|))) |#3|)) (-15 -1597 ((-637 (-2 (|:| -3177 |#1|) (|:| -3192 |#3|))) |#3| (-1 (-637 |#1|) |#2|))) (-15 -2345 ((-637 (-2 (|:| |poly| |#2|) (|:| -3192 |#3|))) |#3| (-1 (-637 |#1|) |#2|))) (-15 -2757 ((-637 (-2 (|:| |frac| (-412 |#2|)) (|:| -3192 |#3|))) |#3| (-1 (-637 |#2|) |#2| (-1165 |#2|)) (-1 (-423 |#2|) |#2|))) (-15 -3697 (|#3| |#3| |#2|)) (-15 -3697 (|#3| |#3| (-412 |#2|)))) (-13 (-367) (-151) (-1043 (-412 (-571)))) (-1233 |#1|) (-649 |#2|) (-649 (-412 |#2|))) (T -809)) 
+((-3697 (*1 *2 *2 *3) (-12 (-5 *3 (-412 *5)) (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *1 (-809 *4 *5 *2 *6)) (-4 *2 (-649 *5)) (-4 *6 (-649 *3)))) (-3697 (*1 *2 *2 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *3 (-1233 *4)) (-5 *1 (-809 *4 *3 *2 *5)) (-4 *2 (-649 *3)) (-4 *5 (-649 (-412 *3))))) (-2757 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-637 *7) *7 (-1165 *7))) (-5 *5 (-1 (-423 *7) *7)) (-4 *7 (-1233 *6)) (-4 *6 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-5 *2 (-637 (-2 (|:| |frac| (-412 *7)) (|:| -3192 *3)))) (-5 *1 (-809 *6 *7 *3 *8)) (-4 *3 (-649 *7)) (-4 *8 (-649 (-412 *7))))) (-2345 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-2 (|:| |poly| *6) (|:| -3192 *3)))) (-5 *1 (-809 *5 *6 *3 *7)) (-4 *3 (-649 *6)) (-4 *7 (-649 (-412 *6))))) (-1597 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-2 (|:| -3177 *5) (|:| -3192 *3)))) (-5 *1 (-809 *5 *6 *3 *7)) (-4 *3 (-649 *6)) (-4 *7 (-649 (-412 *6))))) (-1870 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-2 (|:| |deg| (-768)) (|:| -3192 *5)))) (-5 *1 (-809 *4 *5 *3 *6)) (-4 *3 (-649 *5)) (-4 *6 (-649 (-412 *5))))) (-2030 (*1 *2 *3) (-12 (-4 *2 (-1233 *4)) (-5 *1 (-809 *4 *2 *3 *5)) (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *3 (-649 *2)) (-4 *5 (-649 (-412 *2)))))) 
+(-10 -7 (-15 -2030 (|#2| |#3|)) (-15 -1870 ((-637 (-2 (|:| |deg| (-768)) (|:| -3192 |#2|))) |#3|)) (-15 -1597 ((-637 (-2 (|:| -3177 |#1|) (|:| -3192 |#3|))) |#3| (-1 (-637 |#1|) |#2|))) (-15 -2345 ((-637 (-2 (|:| |poly| |#2|) (|:| -3192 |#3|))) |#3| (-1 (-637 |#1|) |#2|))) (-15 -2757 ((-637 (-2 (|:| |frac| (-412 |#2|)) (|:| -3192 |#3|))) |#3| (-1 (-637 |#2|) |#2| (-1165 |#2|)) (-1 (-423 |#2|) |#2|))) (-15 -3697 (|#3| |#3| |#2|)) (-15 -3697 (|#3| |#3| (-412 |#2|)))) 
+((-2801 (((-2 (|:| -1899 (-637 (-412 |#2|))) (|:| -3533 (-684 |#1|))) (-647 |#2| (-412 |#2|)) (-637 (-412 |#2|))) 117) (((-2 (|:| |particular| (-3 (-412 |#2|) "failed")) (|:| -1899 (-637 (-412 |#2|)))) (-647 |#2| (-412 |#2|)) (-412 |#2|)) 116) (((-2 (|:| -1899 (-637 (-412 |#2|))) (|:| -3533 (-684 |#1|))) (-646 (-412 |#2|)) (-637 (-412 |#2|))) 111) (((-2 (|:| |particular| (-3 (-412 |#2|) "failed")) (|:| -1899 (-637 (-412 |#2|)))) (-646 (-412 |#2|)) (-412 |#2|)) 109)) (-4099 ((|#2| (-647 |#2| (-412 |#2|))) 77) ((|#2| (-646 (-412 |#2|))) 81))) 
+(((-810 |#1| |#2|) (-10 -7 (-15 -2801 ((-2 (|:| |particular| (-3 (-412 |#2|) "failed")) (|:| -1899 (-637 (-412 |#2|)))) (-646 (-412 |#2|)) (-412 |#2|))) (-15 -2801 ((-2 (|:| -1899 (-637 (-412 |#2|))) (|:| -3533 (-684 |#1|))) (-646 (-412 |#2|)) (-637 (-412 |#2|)))) (-15 -2801 ((-2 (|:| |particular| (-3 (-412 |#2|) "failed")) (|:| -1899 (-637 (-412 |#2|)))) (-647 |#2| (-412 |#2|)) (-412 |#2|))) (-15 -2801 ((-2 (|:| -1899 (-637 (-412 |#2|))) (|:| -3533 (-684 |#1|))) (-647 |#2| (-412 |#2|)) (-637 (-412 |#2|)))) (-15 -4099 (|#2| (-646 (-412 |#2|)))) (-15 -4099 (|#2| (-647 |#2| (-412 |#2|))))) (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571)))) (-1233 |#1|)) (T -810)) 
+((-4099 (*1 *2 *3) (-12 (-5 *3 (-647 *2 (-412 *2))) (-4 *2 (-1233 *4)) (-5 *1 (-810 *4 *2)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))))) (-4099 (*1 *2 *3) (-12 (-5 *3 (-646 (-412 *2))) (-4 *2 (-1233 *4)) (-5 *1 (-810 *4 *2)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))))) (-2801 (*1 *2 *3 *4) (-12 (-5 *3 (-647 *6 (-412 *6))) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-2 (|:| -1899 (-637 (-412 *6))) (|:| -3533 (-684 *5)))) (-5 *1 (-810 *5 *6)) (-5 *4 (-637 (-412 *6))))) (-2801 (*1 *2 *3 *4) (-12 (-5 *3 (-647 *6 (-412 *6))) (-5 *4 (-412 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-810 *5 *6)))) (-2801 (*1 *2 *3 *4) (-12 (-5 *3 (-646 (-412 *6))) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-2 (|:| -1899 (-637 (-412 *6))) (|:| -3533 (-684 *5)))) (-5 *1 (-810 *5 *6)) (-5 *4 (-637 (-412 *6))))) (-2801 (*1 *2 *3 *4) (-12 (-5 *3 (-646 (-412 *6))) (-5 *4 (-412 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-810 *5 *6))))) 
+(-10 -7 (-15 -2801 ((-2 (|:| |particular| (-3 (-412 |#2|) "failed")) (|:| -1899 (-637 (-412 |#2|)))) (-646 (-412 |#2|)) (-412 |#2|))) (-15 -2801 ((-2 (|:| -1899 (-637 (-412 |#2|))) (|:| -3533 (-684 |#1|))) (-646 (-412 |#2|)) (-637 (-412 |#2|)))) (-15 -2801 ((-2 (|:| |particular| (-3 (-412 |#2|) "failed")) (|:| -1899 (-637 (-412 |#2|)))) (-647 |#2| (-412 |#2|)) (-412 |#2|))) (-15 -2801 ((-2 (|:| -1899 (-637 (-412 |#2|))) (|:| -3533 (-684 |#1|))) (-647 |#2| (-412 |#2|)) (-637 (-412 |#2|)))) (-15 -4099 (|#2| (-646 (-412 |#2|)))) (-15 -4099 (|#2| (-647 |#2| (-412 |#2|))))) 
+((-2411 (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#1|))) |#5| |#4|) 47))) 
+(((-811 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2411 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#1|))) |#5| |#4|))) (-367) (-649 |#1|) (-1233 |#1|) (-719 |#1| |#3|) (-649 |#4|)) (T -811)) 
+((-2411 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *7 (-1233 *5)) (-4 *4 (-719 *5 *7)) (-5 *2 (-2 (|:| -3533 (-684 *6)) (|:| |vec| (-1258 *5)))) (-5 *1 (-811 *5 *6 *7 *4 *3)) (-4 *6 (-649 *5)) (-4 *3 (-649 *4))))) 
+(-10 -7 (-15 -2411 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#1|))) |#5| |#4|))) 
+((-2757 (((-637 (-2 (|:| |frac| (-412 |#2|)) (|:| -3192 (-647 |#2| (-412 |#2|))))) (-647 |#2| (-412 |#2|)) (-1 (-423 |#2|) |#2|)) 43)) (-3628 (((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)) (-1 (-423 |#2|) |#2|)) 133 (|has| |#1| (-27))) (((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|))) 134 (|has| |#1| (-27))) (((-637 (-412 |#2|)) (-646 (-412 |#2|)) (-1 (-423 |#2|) |#2|)) 135 (|has| |#1| (-27))) (((-637 (-412 |#2|)) (-646 (-412 |#2|))) 136 (|has| |#1| (-27))) (((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)) (-1 (-637 |#1|) |#2|) (-1 (-423 |#2|) |#2|)) 36) (((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)) (-1 (-637 |#1|) |#2|)) 37) (((-637 (-412 |#2|)) (-646 (-412 |#2|)) (-1 (-637 |#1|) |#2|) (-1 (-423 |#2|) |#2|)) 34) (((-637 (-412 |#2|)) (-646 (-412 |#2|)) (-1 (-637 |#1|) |#2|)) 35)) (-2345 (((-637 (-2 (|:| |poly| |#2|) (|:| -3192 (-647 |#2| (-412 |#2|))))) (-647 |#2| (-412 |#2|)) (-1 (-637 |#1|) |#2|)) 80))) 
+(((-812 |#1| |#2|) (-10 -7 (-15 -3628 ((-637 (-412 |#2|)) (-646 (-412 |#2|)) (-1 (-637 |#1|) |#2|))) (-15 -3628 ((-637 (-412 |#2|)) (-646 (-412 |#2|)) (-1 (-637 |#1|) |#2|) (-1 (-423 |#2|) |#2|))) (-15 -3628 ((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)) (-1 (-637 |#1|) |#2|))) (-15 -3628 ((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)) (-1 (-637 |#1|) |#2|) (-1 (-423 |#2|) |#2|))) (-15 -2757 ((-637 (-2 (|:| |frac| (-412 |#2|)) (|:| -3192 (-647 |#2| (-412 |#2|))))) (-647 |#2| (-412 |#2|)) (-1 (-423 |#2|) |#2|))) (-15 -2345 ((-637 (-2 (|:| |poly| |#2|) (|:| -3192 (-647 |#2| (-412 |#2|))))) (-647 |#2| (-412 |#2|)) (-1 (-637 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -3628 ((-637 (-412 |#2|)) (-646 (-412 |#2|)))) (-15 -3628 ((-637 (-412 |#2|)) (-646 (-412 |#2|)) (-1 (-423 |#2|) |#2|))) (-15 -3628 ((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)))) (-15 -3628 ((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)) (-1 (-423 |#2|) |#2|)))) |noBranch|)) (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571)))) (-1233 |#1|)) (T -812)) 
+((-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-647 *6 (-412 *6))) (-5 *4 (-1 (-423 *6) *6)) (-4 *6 (-1233 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-637 (-412 *6))) (-5 *1 (-812 *5 *6)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-647 *5 (-412 *5))) (-4 *5 (-1233 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-637 (-412 *5))) (-5 *1 (-812 *4 *5)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-646 (-412 *6))) (-5 *4 (-1 (-423 *6) *6)) (-4 *6 (-1233 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-637 (-412 *6))) (-5 *1 (-812 *5 *6)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-646 (-412 *5))) (-4 *5 (-1233 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-637 (-412 *5))) (-5 *1 (-812 *4 *5)))) (-2345 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-2 (|:| |poly| *6) (|:| -3192 (-647 *6 (-412 *6)))))) (-5 *1 (-812 *5 *6)) (-5 *3 (-647 *6 (-412 *6))))) (-2757 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-423 *6) *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-637 (-2 (|:| |frac| (-412 *6)) (|:| -3192 (-647 *6 (-412 *6)))))) (-5 *1 (-812 *5 *6)) (-5 *3 (-647 *6 (-412 *6))))) (-3628 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-647 *7 (-412 *7))) (-5 *4 (-1 (-637 *6) *7)) (-5 *5 (-1 (-423 *7) *7)) (-4 *6 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *7 (-1233 *6)) (-5 *2 (-637 (-412 *7))) (-5 *1 (-812 *6 *7)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-647 *6 (-412 *6))) (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-412 *6))) (-5 *1 (-812 *5 *6)))) (-3628 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-646 (-412 *7))) (-5 *4 (-1 (-637 *6) *7)) (-5 *5 (-1 (-423 *7) *7)) (-4 *6 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *7 (-1233 *6)) (-5 *2 (-637 (-412 *7))) (-5 *1 (-812 *6 *7)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-646 (-412 *6))) (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-412 *6))) (-5 *1 (-812 *5 *6))))) 
+(-10 -7 (-15 -3628 ((-637 (-412 |#2|)) (-646 (-412 |#2|)) (-1 (-637 |#1|) |#2|))) (-15 -3628 ((-637 (-412 |#2|)) (-646 (-412 |#2|)) (-1 (-637 |#1|) |#2|) (-1 (-423 |#2|) |#2|))) (-15 -3628 ((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)) (-1 (-637 |#1|) |#2|))) (-15 -3628 ((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)) (-1 (-637 |#1|) |#2|) (-1 (-423 |#2|) |#2|))) (-15 -2757 ((-637 (-2 (|:| |frac| (-412 |#2|)) (|:| -3192 (-647 |#2| (-412 |#2|))))) (-647 |#2| (-412 |#2|)) (-1 (-423 |#2|) |#2|))) (-15 -2345 ((-637 (-2 (|:| |poly| |#2|) (|:| -3192 (-647 |#2| (-412 |#2|))))) (-647 |#2| (-412 |#2|)) (-1 (-637 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -3628 ((-637 (-412 |#2|)) (-646 (-412 |#2|)))) (-15 -3628 ((-637 (-412 |#2|)) (-646 (-412 |#2|)) (-1 (-423 |#2|) |#2|))) (-15 -3628 ((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)))) (-15 -3628 ((-637 (-412 |#2|)) (-647 |#2| (-412 |#2|)) (-1 (-423 |#2|) |#2|)))) |noBranch|)) 
+((-2622 (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#1|))) (-684 |#2|) (-1258 |#1|)) 86) (((-2 (|:| A (-684 |#1|)) (|:| |eqs| (-637 (-2 (|:| C (-684 |#1|)) (|:| |g| (-1258 |#1|)) (|:| -3192 |#2|) (|:| |rh| |#1|))))) (-684 |#1|) (-1258 |#1|)) 14)) (-2384 (((-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|)))) (-684 |#2|) (-1258 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -1899 (-637 |#1|))) |#2| |#1|)) 92)) (-4549 (((-3 (-2 (|:| |particular| (-1258 |#1|)) (|:| -1899 (-684 |#1|))) "failed") (-684 |#1|) (-1258 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -1899 (-637 |#1|))) "failed") |#2| |#1|)) 45))) 
+(((-813 |#1| |#2|) (-10 -7 (-15 -2622 ((-2 (|:| A (-684 |#1|)) (|:| |eqs| (-637 (-2 (|:| C (-684 |#1|)) (|:| |g| (-1258 |#1|)) (|:| -3192 |#2|) (|:| |rh| |#1|))))) (-684 |#1|) (-1258 |#1|))) (-15 -2622 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#1|))) (-684 |#2|) (-1258 |#1|))) (-15 -4549 ((-3 (-2 (|:| |particular| (-1258 |#1|)) (|:| -1899 (-684 |#1|))) "failed") (-684 |#1|) (-1258 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -1899 (-637 |#1|))) "failed") |#2| |#1|))) (-15 -2384 ((-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|)))) (-684 |#2|) (-1258 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -1899 (-637 |#1|))) |#2| |#1|)))) (-367) (-649 |#1|)) (T -813)) 
+((-2384 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -1899 (-637 *6))) *7 *6)) (-4 *6 (-367)) (-4 *7 (-649 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1258 *6) "failed")) (|:| -1899 (-637 (-1258 *6))))) (-5 *1 (-813 *6 *7)) (-5 *4 (-1258 *6)))) (-4549 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -1899 (-637 *6))) "failed") *7 *6)) (-4 *6 (-367)) (-4 *7 (-649 *6)) (-5 *2 (-2 (|:| |particular| (-1258 *6)) (|:| -1899 (-684 *6)))) (-5 *1 (-813 *6 *7)) (-5 *3 (-684 *6)) (-5 *4 (-1258 *6)))) (-2622 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-649 *5)) (-5 *2 (-2 (|:| -3533 (-684 *6)) (|:| |vec| (-1258 *5)))) (-5 *1 (-813 *5 *6)) (-5 *3 (-684 *6)) (-5 *4 (-1258 *5)))) (-2622 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-5 *2 (-2 (|:| A (-684 *5)) (|:| |eqs| (-637 (-2 (|:| C (-684 *5)) (|:| |g| (-1258 *5)) (|:| -3192 *6) (|:| |rh| *5)))))) (-5 *1 (-813 *5 *6)) (-5 *3 (-684 *5)) (-5 *4 (-1258 *5)) (-4 *6 (-649 *5))))) 
+(-10 -7 (-15 -2622 ((-2 (|:| A (-684 |#1|)) (|:| |eqs| (-637 (-2 (|:| C (-684 |#1|)) (|:| |g| (-1258 |#1|)) (|:| -3192 |#2|) (|:| |rh| |#1|))))) (-684 |#1|) (-1258 |#1|))) (-15 -2622 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#1|))) (-684 |#2|) (-1258 |#1|))) (-15 -4549 ((-3 (-2 (|:| |particular| (-1258 |#1|)) (|:| -1899 (-684 |#1|))) "failed") (-684 |#1|) (-1258 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -1899 (-637 |#1|))) "failed") |#2| |#1|))) (-15 -2384 ((-2 (|:| |particular| (-3 (-1258 |#1|) "failed")) (|:| -1899 (-637 (-1258 |#1|)))) (-684 |#2|) (-1258 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -1899 (-637 |#1|))) |#2| |#1|)))) 
+((-2929 (((-684 |#1|) (-637 |#1|) (-768)) 13) (((-684 |#1|) (-637 |#1|)) 14)) (-2290 (((-3 (-1258 |#1|) "failed") |#2| |#1| (-637 |#1|)) 34)) (-1335 (((-3 |#1| "failed") |#2| |#1| (-637 |#1|) (-1 |#1| |#1|)) 42))) 
+(((-814 |#1| |#2|) (-10 -7 (-15 -2929 ((-684 |#1|) (-637 |#1|))) (-15 -2929 ((-684 |#1|) (-637 |#1|) (-768))) (-15 -2290 ((-3 (-1258 |#1|) "failed") |#2| |#1| (-637 |#1|))) (-15 -1335 ((-3 |#1| "failed") |#2| |#1| (-637 |#1|) (-1 |#1| |#1|)))) (-367) (-649 |#1|)) (T -814)) 
+((-1335 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-637 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-367)) (-5 *1 (-814 *2 *3)) (-4 *3 (-649 *2)))) (-2290 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-637 *4)) (-4 *4 (-367)) (-5 *2 (-1258 *4)) (-5 *1 (-814 *4 *3)) (-4 *3 (-649 *4)))) (-2929 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-768)) (-4 *5 (-367)) (-5 *2 (-684 *5)) (-5 *1 (-814 *5 *6)) (-4 *6 (-649 *5)))) (-2929 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-5 *2 (-684 *4)) (-5 *1 (-814 *4 *5)) (-4 *5 (-649 *4))))) 
+(-10 -7 (-15 -2929 ((-684 |#1|) (-637 |#1|))) (-15 -2929 ((-684 |#1|) (-637 |#1|) (-768))) (-15 -2290 ((-3 (-1258 |#1|) "failed") |#2| |#1| (-637 |#1|))) (-15 -1335 ((-3 |#1| "failed") |#2| |#1| (-637 |#1|) (-1 |#1| |#1|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#2| (-1097)))) (-4123 (((-121) $) NIL (|has| |#2| (-138)))) (-4436 (($ (-922)) NIL (|has| |#2| (-1053)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-3933 (($ $ $) NIL (|has| |#2| (-793)))) (-4176 (((-3 $ "failed") $ $) NIL (|has| |#2| (-138)))) (-3133 (((-121) $ (-768)) NIL)) (-4407 (((-768)) NIL (|has| |#2| (-373)))) (-3203 (((-571) $) NIL (|has| |#2| (-845)))) (-3251 ((|#2| $ (-571) |#2|) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (-12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097)))) (((-3 (-412 (-571)) "failed") $) NIL (-12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1097)))) (-1316 (((-571) $) NIL (-12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097)))) (((-412 (-571)) $) NIL (-12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) ((|#2| $) NIL (|has| |#2| (-1097)))) (-2680 (((-684 (-571)) (-684 $)) NIL (-12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| |#2| (-633 (-571))) (|has| |#2| (-1053)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL (|has| |#2| (-1053))) (((-684 |#2|) (-684 $)) NIL (|has| |#2| (-1053)))) (-3978 (((-3 $ "failed") $) NIL (|has| |#2| (-721)))) (-3254 (($) NIL (|has| |#2| (-373)))) (-2922 ((|#2| $ (-571) |#2|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#2| $ (-571)) NIL)) (-2093 (((-121) $) NIL (|has| |#2| (-845)))) (-4034 (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-2583 (((-121) $) NIL (|has| |#2| (-721)))) (-4086 (((-121) $) NIL (|has| |#2| (-845)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-3488 (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1923 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-4470 (((-922) $) NIL (|has| |#2| (-373)))) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#2| (-1097)))) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-1755 (($ (-922)) NIL (|has| |#2| (-373)))) (-2580 (((-1115) $) NIL (|has| |#2| (-1097)))) (-1827 ((|#2| $) NIL (|has| (-571) (-847)))) (-4411 (($ $ |#2|) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-3804 (((-637 $)) NIL (|has| |#2| (-373)))) (-2957 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#2| $ (-571) |#2|) NIL) ((|#2| $ (-571)) NIL)) (-2503 ((|#2| $ $) NIL (|has| |#2| (-1053)))) (-4274 (($ (-1258 |#2|)) NIL)) (-3847 (((-140)) NIL (|has| |#2| (-367)))) (-3096 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1 |#2| |#2|) (-768)) NIL (|has| |#2| (-1053))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1053)))) (-1569 (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-1258 |#2|) $) NIL) (((-855) $) NIL (|has| |#2| (-1097))) (($ (-571)) NIL (-1831 (-12 (|has| |#2| (-1043 (-571))) (|has| |#2| (-1097))) (|has| |#2| (-1053)))) (($ (-412 (-571))) NIL (-12 (|has| |#2| (-1043 (-412 (-571)))) (|has| |#2| (-1097)))) (($ |#2|) NIL (|has| |#2| (-1097)))) (-2661 (((-768)) NIL (|has| |#2| (-1053)))) (-3027 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-1902 (($ $) NIL (|has| |#2| (-845)))) (-4142 (($ $ (-768)) NIL (|has| |#2| (-721))) (($ $ (-922)) NIL (|has| |#2| (-721)))) (-2369 (($) NIL (|has| |#2| (-138)) CONST)) (-3222 (($) NIL (|has| |#2| (-721)) CONST)) (-1544 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#2| (-900 (-1169))) (|has| |#2| (-1053)))) (($ $ (-1 |#2| |#2|) (-768)) NIL (|has| |#2| (-1053))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1053)))) (-1350 (((-121) $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1338 (((-121) $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1323 (((-121) $ $) NIL (|has| |#2| (-1097)))) (-1342 (((-121) $ $) NIL (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1331 (((-121) $ $) 11 (-1831 (|has| |#2| (-793)) (|has| |#2| (-845))))) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $ $) NIL (|has| |#2| (-1053))) (($ $) NIL (|has| |#2| (-1053)))) (-1367 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-768)) NIL (|has| |#2| (-721))) (($ $ (-922)) NIL (|has| |#2| (-721)))) (* (($ (-571) $) NIL (|has| |#2| (-1053))) (($ $ $) NIL (|has| |#2| (-721))) (($ $ |#2|) NIL (|has| |#2| (-721))) (($ |#2| $) NIL (|has| |#2| (-721))) (($ (-768) $) NIL (|has| |#2| (-138))) (($ (-922) $) NIL (|has| |#2| (-25)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-815 |#1| |#2| |#3|) (-231 |#1| |#2|) (-768) (-793) (-1 (-121) (-1258 |#2|) (-1258 |#2|))) (T -815)) 
 NIL 
 (-231 |#1| |#2|) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3590 (((-635 (-765)) $) NIL) (((-635 (-765)) $ (-1165)) NIL)) (-2402 (((-765) $) NIL) (((-765) $ (-1165)) NIL)) (-3195 (((-635 (-815 (-1165))) $) NIL)) (-3132 (((-1161 $) $ (-815 (-1165))) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-815 (-1165)))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2918 (($ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-815 (-1165)) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL) (((-3 (-1116 |#1| (-1165)) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-815 (-1165)) $) NIL) (((-1165) $) NIL) (((-1116 |#1| (-1165)) $) NIL)) (-3673 (($ $ $ (-815 (-1165))) NIL (|has| |#1| (-173)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-815 (-1165))) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-535 (-815 (-1165))) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-815 (-1165)) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-815 (-1165)) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ (-1165)) NIL) (((-765) $) NIL)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#1|) (-815 (-1165))) NIL) (($ (-1161 $) (-815 (-1165))) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-535 (-815 (-1165)))) NIL) (($ $ (-815 (-1165)) (-765)) NIL) (($ $ (-635 (-815 (-1165))) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-815 (-1165))) NIL)) (-4294 (((-535 (-815 (-1165))) $) NIL) (((-765) $ (-815 (-1165))) NIL) (((-635 (-765)) $ (-635 (-815 (-1165)))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 (-815 (-1165))) (-535 (-815 (-1165)))) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4428 (((-1 $ (-765)) (-1165)) NIL) (((-1 $ (-765)) $) NIL (|has| |#1| (-226)))) (-3407 (((-3 (-815 (-1165)) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2934 (((-815 (-1165)) $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-4344 (((-121) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-815 (-1165))) (|:| -3190 (-765))) "failed") $) NIL)) (-2690 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-815 (-1165)) |#1|) NIL) (($ $ (-635 (-815 (-1165))) (-635 |#1|)) NIL) (($ $ (-815 (-1165)) $) NIL) (($ $ (-635 (-815 (-1165))) (-635 $)) NIL) (($ $ (-1165) $) NIL (|has| |#1| (-226))) (($ $ (-635 (-1165)) (-635 $)) NIL (|has| |#1| (-226))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2925 (($ $ (-815 (-1165))) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-815 (-1165))) NIL) (($ $ (-635 (-815 (-1165)))) NIL) (($ $ (-815 (-1165)) (-765)) NIL) (($ $ (-635 (-815 (-1165))) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3445 (((-635 (-1165)) $) NIL)) (-2284 (((-535 (-815 (-1165))) $) NIL) (((-765) $ (-815 (-1165))) NIL) (((-635 (-765)) $ (-635 (-815 (-1165)))) NIL) (((-765) $ (-1165)) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-815 (-1165)) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-815 (-1165)) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-815 (-1165)) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-815 (-1165))) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-815 (-1165))) NIL) (($ (-1165)) NIL) (($ (-1116 |#1| (-1165))) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-535 (-815 (-1165)))) NIL) (($ $ (-815 (-1165)) (-765)) NIL) (($ $ (-635 (-815 (-1165))) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-815 (-1165))) NIL) (($ $ (-635 (-815 (-1165)))) NIL) (($ $ (-815 (-1165)) (-765)) NIL) (($ $ (-635 (-815 (-1165))) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-813 |#1|) (-13 (-247 |#1| (-1165) (-815 (-1165)) (-535 (-815 (-1165)))) (-1039 (-1116 |#1| (-1165)))) (-1049)) (T -813)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4566 (((-637 (-768)) $) NIL) (((-637 (-768)) $ (-1169)) NIL)) (-4357 (((-768) $) NIL) (((-768) $ (-1169)) NIL)) (-3424 (((-637 (-818 (-1169))) $) NIL)) (-4257 (((-1165 $) $ (-818 (-1169))) NIL) (((-1165 |#1|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-818 (-1169)))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2356 (($ $) NIL (|has| |#1| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1430 (($ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-818 (-1169)) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL) (((-3 (-1120 |#1| (-1169)) "failed") $) NIL)) (-1316 ((|#1| $) NIL) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-818 (-1169)) $) NIL) (((-1169) $) NIL) (((-1120 |#1| (-1169)) $) NIL)) (-3730 (($ $ $ (-818 (-1169))) NIL (|has| |#1| (-173)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#1| (-456))) (($ $ (-818 (-1169))) NIL (|has| |#1| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#1| (-909)))) (-1420 (($ $ |#1| (-537 (-818 (-1169))) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-818 (-1169)) (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-818 (-1169)) (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-3347 (((-768) $ (-1169)) NIL) (((-768) $) NIL)) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-4296 (($ (-1165 |#1|) (-818 (-1169))) NIL) (($ (-1165 $) (-818 (-1169))) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-537 (-818 (-1169)))) NIL) (($ $ (-818 (-1169)) (-768)) NIL) (($ $ (-637 (-818 (-1169))) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-818 (-1169))) NIL)) (-3973 (((-537 (-818 (-1169))) $) NIL) (((-768) $ (-818 (-1169))) NIL) (((-637 (-768)) $ (-637 (-818 (-1169)))) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-2587 (($ (-1 (-537 (-818 (-1169))) (-537 (-818 (-1169)))) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3326 (((-1 $ (-768)) (-1169)) NIL) (((-1 $ (-768)) $) NIL (|has| |#1| (-226)))) (-2510 (((-3 (-818 (-1169)) "failed") $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3993 (((-818 (-1169)) $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-3944 (((-1151) $) NIL)) (-4214 (((-121) $) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-818 (-1169))) (|:| -2154 (-768))) "failed") $) NIL)) (-2097 (($ $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#1| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-909)))) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-818 (-1169)) |#1|) NIL) (($ $ (-637 (-818 (-1169))) (-637 |#1|)) NIL) (($ $ (-818 (-1169)) $) NIL) (($ $ (-637 (-818 (-1169))) (-637 $)) NIL) (($ $ (-1169) $) NIL (|has| |#1| (-226))) (($ $ (-637 (-1169)) (-637 $)) NIL (|has| |#1| (-226))) (($ $ (-1169) |#1|) NIL (|has| |#1| (-226))) (($ $ (-637 (-1169)) (-637 |#1|)) NIL (|has| |#1| (-226)))) (-1475 (($ $ (-818 (-1169))) NIL (|has| |#1| (-173)))) (-3096 (($ $ (-818 (-1169))) NIL) (($ $ (-637 (-818 (-1169)))) NIL) (($ $ (-818 (-1169)) (-768)) NIL) (($ $ (-637 (-818 (-1169))) (-637 (-768))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2755 (((-637 (-1169)) $) NIL)) (-2400 (((-537 (-818 (-1169))) $) NIL) (((-768) $ (-818 (-1169))) NIL) (((-637 (-768)) $ (-637 (-818 (-1169)))) NIL) (((-768) $ (-1169)) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-818 (-1169)) (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-818 (-1169)) (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-818 (-1169)) (-612 (-544))) (|has| |#1| (-612 (-544)))))) (-4189 ((|#1| $) NIL (|has| |#1| (-456))) (($ $ (-818 (-1169))) NIL (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL) (($ (-818 (-1169))) NIL) (($ (-1169)) NIL) (($ (-1120 |#1| (-1169))) NIL) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-537 (-818 (-1169)))) NIL) (($ $ (-818 (-1169)) (-768)) NIL) (($ $ (-637 (-818 (-1169))) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#1| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-818 (-1169))) NIL) (($ $ (-637 (-818 (-1169)))) NIL) (($ $ (-818 (-1169)) (-768)) NIL) (($ $ (-637 (-818 (-1169))) (-637 (-768))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-816 |#1|) (-13 (-247 |#1| (-1169) (-818 (-1169)) (-537 (-818 (-1169)))) (-1043 (-1120 |#1| (-1169)))) (-1053)) (T -816)) 
 NIL 
-(-13 (-247 |#1| (-1165) (-815 (-1165)) (-535 (-815 (-1165)))) (-1039 (-1116 |#1| (-1165)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-366)))) (-2915 (($ $) NIL (|has| |#2| (-366)))) (-2735 (((-121) $) NIL (|has| |#2| (-366)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#2| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-366)))) (-2889 (((-121) $ $) NIL (|has| |#2| (-366)))) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL (|has| |#2| (-366)))) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#2| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-2005 (((-121) $) NIL (|has| |#2| (-366)))) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-1657 (($ (-635 $)) NIL (|has| |#2| (-366))) (($ $ $) NIL (|has| |#2| (-366)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 20 (|has| |#2| (-366)))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-366))) (($ $ $) NIL (|has| |#2| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-366)))) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2061 (((-765) $) NIL (|has| |#2| (-366)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-366)))) (-3289 (($ $ (-765)) NIL) (($ $) 13)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) 10) ((|#2| $) 11) (($ (-410 (-569))) NIL (|has| |#2| (-366))) (($ $) NIL (|has| |#2| (-366)))) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL (|has| |#2| (-366)))) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ $ (-569)) NIL (|has| |#2| (-366)))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) 15 (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ $ (-569)) 18 (|has| |#2| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ $) NIL) (($ (-410 (-569)) $) NIL (|has| |#2| (-366))) (($ $ (-410 (-569))) NIL (|has| |#2| (-366))))) 
-(((-814 |#1| |#2| |#3|) (-13 (-120 $ $) (-226) (-10 -8 (IF (|has| |#2| (-366)) (-6 (-366)) |noBranch|) (-15 -3956 ($ |#2|)) (-15 -3956 (|#2| $)))) (-1093) (-897 |#1|) |#1|) (T -814)) 
-((-3956 (*1 *1 *2) (-12 (-4 *3 (-1093)) (-14 *4 *3) (-5 *1 (-814 *3 *2 *4)) (-4 *2 (-897 *3)))) (-3956 (*1 *2 *1) (-12 (-4 *2 (-897 *3)) (-5 *1 (-814 *3 *2 *4)) (-4 *3 (-1093)) (-14 *4 *3)))) 
-(-13 (-120 $ $) (-226) (-10 -8 (IF (|has| |#2| (-366)) (-6 (-366)) |noBranch|) (-15 -3956 ($ |#2|)) (-15 -3956 (|#2| $)))) 
-((-1310 (((-121) $ $) NIL)) (-2402 (((-765) $) NIL)) (-1948 ((|#1| $) 10)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-4433 (((-765) $) 11)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4428 (($ |#1| (-765)) 9)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3289 (($ $) NIL) (($ $ (-765)) NIL)) (-3956 (((-852) $) NIL) (($ |#1|) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL))) 
-(((-815 |#1|) (-263 |#1|) (-844)) (T -815)) 
+(-13 (-247 |#1| (-1169) (-818 (-1169)) (-537 (-818 (-1169)))) (-1043 (-1120 |#1| (-1169)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#2| (-367)))) (-1415 (($ $) NIL (|has| |#2| (-367)))) (-2545 (((-121) $) NIL (|has| |#2| (-367)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL (|has| |#2| (-367)))) (-4151 (((-423 $) $) NIL (|has| |#2| (-367)))) (-1295 (((-121) $ $) NIL (|has| |#2| (-367)))) (-2269 (($) NIL T CONST)) (-2162 (($ $ $) NIL (|has| |#2| (-367)))) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL (|has| |#2| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#2| (-367)))) (-1596 (((-121) $) NIL (|has| |#2| (-367)))) (-2583 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#2| (-367)))) (-1622 (($ (-637 $)) NIL (|has| |#2| (-367))) (($ $ $) NIL (|has| |#2| (-367)))) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 20 (|has| |#2| (-367)))) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#2| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#2| (-367))) (($ $ $) NIL (|has| |#2| (-367)))) (-4262 (((-423 $) $) NIL (|has| |#2| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#2| (-367)))) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#2| (-367)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#2| (-367)))) (-1826 (((-768) $) NIL (|has| |#2| (-367)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#2| (-367)))) (-3096 (($ $ (-768)) NIL) (($ $) 13)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#2|) 10) ((|#2| $) 11) (($ (-412 (-571))) NIL (|has| |#2| (-367))) (($ $) NIL (|has| |#2| (-367)))) (-2661 (((-768)) NIL)) (-1388 (((-121) $ $) NIL (|has| |#2| (-367)))) (-4142 (($ $ (-768)) NIL) (($ $ (-922)) NIL) (($ $ (-571)) NIL (|has| |#2| (-367)))) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) 15 (|has| |#2| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-922)) NIL) (($ $ (-571)) 18 (|has| |#2| (-367)))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ $) NIL) (($ (-412 (-571)) $) NIL (|has| |#2| (-367))) (($ $ (-412 (-571))) NIL (|has| |#2| (-367))))) 
+(((-817 |#1| |#2| |#3|) (-13 (-120 $ $) (-226) (-10 -8 (IF (|has| |#2| (-367)) (-6 (-367)) |noBranch|) (-15 -3942 ($ |#2|)) (-15 -3942 (|#2| $)))) (-1097) (-900 |#1|) |#1|) (T -817)) 
+((-3942 (*1 *1 *2) (-12 (-4 *3 (-1097)) (-14 *4 *3) (-5 *1 (-817 *3 *2 *4)) (-4 *2 (-900 *3)))) (-3942 (*1 *2 *1) (-12 (-4 *2 (-900 *3)) (-5 *1 (-817 *3 *2 *4)) (-4 *3 (-1097)) (-14 *4 *3)))) 
+(-13 (-120 $ $) (-226) (-10 -8 (IF (|has| |#2| (-367)) (-6 (-367)) |noBranch|) (-15 -3942 ($ |#2|)) (-15 -3942 (|#2| $)))) 
+((-2234 (((-121) $ $) NIL)) (-4357 (((-768) $) NIL)) (-3312 ((|#1| $) 10)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-3347 (((-768) $) 11)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3326 (($ |#1| (-768)) 9)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3096 (($ $) NIL) (($ $ (-768)) NIL)) (-3942 (((-855) $) NIL) (($ |#1|) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL))) 
+(((-818 |#1|) (-263 |#1|) (-847)) (T -818)) 
 NIL 
 (-263 |#1|) 
-((-1310 (((-121) $ $) NIL)) (-3810 (((-635 |#1|) $) 34)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-2368 (((-3 $ "failed") $ $) 21) (((-3 $ "failed") $ |#1|) 19)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-1864 (($ $) 36)) (-2611 (((-3 $ "failed") $) NIL)) (-2598 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) NIL)) (-3934 (((-121) $) NIL)) (-1906 ((|#1| $ (-569)) NIL)) (-2237 (((-765) $ (-569)) NIL)) (-2745 (($ $) 40)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-3927 (((-3 $ "failed") $ $) 20) (((-3 $ "failed") $ |#1|) 16)) (-1873 (((-121) $ $) 38)) (-2718 (((-765) $) 30)) (-2605 (((-1147) $) NIL)) (-3856 (($ $ $) NIL)) (-1486 (($ $ $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 ((|#1| $) 35)) (-3459 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $) NIL)) (-3135 (((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $) 24)) (-3956 (((-852) $) NIL) (($ |#1|) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-3297 (($) 14 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 39)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ |#1| (-765)) NIL)) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-816 |#1|) (-13 (-840) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-765))) (-15 -1816 (|#1| $)) (-15 -1864 ($ $)) (-15 -2745 ($ $)) (-15 -1873 ((-121) $ $)) (-15 -1486 ($ $ $)) (-15 -3856 ($ $ $)) (-15 -3927 ((-3 $ "failed") $ $)) (-15 -2368 ((-3 $ "failed") $ $)) (-15 -3927 ((-3 $ "failed") $ |#1|)) (-15 -2368 ((-3 $ "failed") $ |#1|)) (-15 -3135 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -2598 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2675 ((-765) $)) (-15 -2237 ((-765) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $)) (-15 -2718 ((-765) $)) (-15 -3810 ((-635 |#1|) $)))) (-844)) (T -816)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-1816 (*1 *2 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-1864 (*1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-2745 (*1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-1873 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-1486 (*1 *1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-3856 (*1 *1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-3927 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-2368 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-3927 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-2368 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-3135 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-816 *3) "failed")) (|:| |rm| (-3 (-816 *3) "failed")))) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-2598 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-816 *3)) (|:| |mm| (-816 *3)) (|:| |rm| (-816 *3)))) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-2675 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-2237 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-765)) (-5 *1 (-816 *4)) (-4 *4 (-844)))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-3459 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-765))))) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-3810 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-816 *3)) (-4 *3 (-844))))) 
-(-13 (-840) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-765))) (-15 -1816 (|#1| $)) (-15 -1864 ($ $)) (-15 -2745 ($ $)) (-15 -1873 ((-121) $ $)) (-15 -1486 ($ $ $)) (-15 -3856 ($ $ $)) (-15 -3927 ((-3 $ "failed") $ $)) (-15 -2368 ((-3 $ "failed") $ $)) (-15 -3927 ((-3 $ "failed") $ |#1|)) (-15 -2368 ((-3 $ "failed") $ |#1|)) (-15 -3135 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -2598 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2675 ((-765) $)) (-15 -2237 ((-765) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $)) (-15 -2718 ((-765) $)) (-15 -3810 ((-635 |#1|) $)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-3817 (((-569) $) 52)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-1863 (((-121) $) 50)) (-3934 (((-121) $) 30)) (-4311 (((-121) $) 51)) (-2157 (($ $ $) 49)) (-2713 (($ $ $) 48)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ $) 41)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-4080 (($ $) 53)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 46)) (-1343 (((-121) $ $) 45)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 47)) (-1337 (((-121) $ $) 44)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-817) (-1284)) (T -817)) 
-NIL 
-(-13 (-559) (-842)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-842) . T) ((-844) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-2030 (($ (-1111)) 7)) (-2063 (((-121) $ (-1147) (-1111)) 15)) (-1951 (((-819) $) 12)) (-1810 (((-819) $) 11)) (-4529 (((-1258) $) 9)) (-2460 (((-121) $ (-1111)) 16))) 
-(((-818) (-10 -8 (-15 -2030 ($ (-1111))) (-15 -4529 ((-1258) $)) (-15 -1810 ((-819) $)) (-15 -1951 ((-819) $)) (-15 -2063 ((-121) $ (-1147) (-1111))) (-15 -2460 ((-121) $ (-1111))))) (T -818)) 
-((-2460 (*1 *2 *1 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-121)) (-5 *1 (-818)))) (-2063 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-1111)) (-5 *2 (-121)) (-5 *1 (-818)))) (-1951 (*1 *2 *1) (-12 (-5 *2 (-819)) (-5 *1 (-818)))) (-1810 (*1 *2 *1) (-12 (-5 *2 (-819)) (-5 *1 (-818)))) (-4529 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-818)))) (-2030 (*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-818))))) 
-(-10 -8 (-15 -2030 ($ (-1111))) (-15 -4529 ((-1258) $)) (-15 -1810 ((-819) $)) (-15 -1951 ((-819) $)) (-15 -2063 ((-121) $ (-1147) (-1111))) (-15 -2460 ((-121) $ (-1111)))) 
-((-2256 (((-1258) $ (-820)) 12)) (-4254 (((-1258) $ (-1165)) 32)) (-3176 (((-1258) $ (-1147) (-1147)) 34)) (-1553 (((-1258) $ (-1147)) 33)) (-4051 (((-1258) $) 19)) (-3587 (((-1258) $ (-569)) 28)) (-3887 (((-1258) $ (-216)) 30)) (-3076 (((-1258) $) 18)) (-2462 (((-1258) $) 26)) (-1982 (((-1258) $) 25)) (-3321 (((-1258) $) 23)) (-2830 (((-1258) $) 24)) (-2422 (((-1258) $) 22)) (-3937 (((-1258) $) 21)) (-2596 (((-1258) $) 20)) (-4250 (((-1258) $) 16)) (-2486 (((-1258) $) 17)) (-3873 (((-1258) $) 15)) (-2151 (((-1258) $) 14)) (-2504 (((-1258) $) 13)) (-3307 (($ (-1147) (-820)) 9)) (-2642 (($ (-1147) (-1147) (-820)) 8)) (-1599 (((-1165) $) 51)) (-4485 (((-1165) $) 55)) (-2697 (((-2 (|:| |cd| (-1147)) (|:| -2798 (-1147))) $) 54)) (-4010 (((-1147) $) 52)) (-4525 (((-1258) $) 41)) (-1632 (((-569) $) 49)) (-1885 (((-216) $) 50)) (-3118 (((-1258) $) 40)) (-2751 (((-1258) $) 48)) (-4232 (((-1258) $) 47)) (-2644 (((-1258) $) 45)) (-3662 (((-1258) $) 46)) (-1305 (((-1258) $) 44)) (-1625 (((-1258) $) 43)) (-4214 (((-1258) $) 42)) (-4044 (((-1258) $) 38)) (-4150 (((-1258) $) 39)) (-2699 (((-1258) $) 37)) (-3418 (((-1258) $) 36)) (-3293 (((-1258) $) 35)) (-2560 (((-1258) $) 11))) 
-(((-819) (-10 -8 (-15 -2642 ($ (-1147) (-1147) (-820))) (-15 -3307 ($ (-1147) (-820))) (-15 -2560 ((-1258) $)) (-15 -2256 ((-1258) $ (-820))) (-15 -2504 ((-1258) $)) (-15 -2151 ((-1258) $)) (-15 -3873 ((-1258) $)) (-15 -4250 ((-1258) $)) (-15 -2486 ((-1258) $)) (-15 -3076 ((-1258) $)) (-15 -4051 ((-1258) $)) (-15 -2596 ((-1258) $)) (-15 -3937 ((-1258) $)) (-15 -2422 ((-1258) $)) (-15 -3321 ((-1258) $)) (-15 -2830 ((-1258) $)) (-15 -1982 ((-1258) $)) (-15 -2462 ((-1258) $)) (-15 -3587 ((-1258) $ (-569))) (-15 -3887 ((-1258) $ (-216))) (-15 -4254 ((-1258) $ (-1165))) (-15 -1553 ((-1258) $ (-1147))) (-15 -3176 ((-1258) $ (-1147) (-1147))) (-15 -3293 ((-1258) $)) (-15 -3418 ((-1258) $)) (-15 -2699 ((-1258) $)) (-15 -4044 ((-1258) $)) (-15 -4150 ((-1258) $)) (-15 -3118 ((-1258) $)) (-15 -4525 ((-1258) $)) (-15 -4214 ((-1258) $)) (-15 -1625 ((-1258) $)) (-15 -1305 ((-1258) $)) (-15 -2644 ((-1258) $)) (-15 -3662 ((-1258) $)) (-15 -4232 ((-1258) $)) (-15 -2751 ((-1258) $)) (-15 -1632 ((-569) $)) (-15 -1885 ((-216) $)) (-15 -1599 ((-1165) $)) (-15 -4010 ((-1147) $)) (-15 -2697 ((-2 (|:| |cd| (-1147)) (|:| -2798 (-1147))) $)) (-15 -4485 ((-1165) $)))) (T -819)) 
-((-4485 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-819)))) (-2697 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1147)) (|:| -2798 (-1147)))) (-5 *1 (-819)))) (-4010 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-819)))) (-1599 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-819)))) (-1885 (*1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-819)))) (-1632 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-819)))) (-2751 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4232 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3662 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2644 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-1305 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-1625 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4214 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4525 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3118 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4150 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4044 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2699 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3418 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3293 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3176 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-1553 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-4254 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-3887 (*1 *2 *1 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-3587 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-2462 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-1982 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2830 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3321 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2422 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3937 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2596 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4051 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3076 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2486 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4250 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3873 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2151 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2504 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2256 (*1 *2 *1 *3) (-12 (-5 *3 (-820)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-2560 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3307 (*1 *1 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-820)) (-5 *1 (-819)))) (-2642 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-820)) (-5 *1 (-819))))) 
-(-10 -8 (-15 -2642 ($ (-1147) (-1147) (-820))) (-15 -3307 ($ (-1147) (-820))) (-15 -2560 ((-1258) $)) (-15 -2256 ((-1258) $ (-820))) (-15 -2504 ((-1258) $)) (-15 -2151 ((-1258) $)) (-15 -3873 ((-1258) $)) (-15 -4250 ((-1258) $)) (-15 -2486 ((-1258) $)) (-15 -3076 ((-1258) $)) (-15 -4051 ((-1258) $)) (-15 -2596 ((-1258) $)) (-15 -3937 ((-1258) $)) (-15 -2422 ((-1258) $)) (-15 -3321 ((-1258) $)) (-15 -2830 ((-1258) $)) (-15 -1982 ((-1258) $)) (-15 -2462 ((-1258) $)) (-15 -3587 ((-1258) $ (-569))) (-15 -3887 ((-1258) $ (-216))) (-15 -4254 ((-1258) $ (-1165))) (-15 -1553 ((-1258) $ (-1147))) (-15 -3176 ((-1258) $ (-1147) (-1147))) (-15 -3293 ((-1258) $)) (-15 -3418 ((-1258) $)) (-15 -2699 ((-1258) $)) (-15 -4044 ((-1258) $)) (-15 -4150 ((-1258) $)) (-15 -3118 ((-1258) $)) (-15 -4525 ((-1258) $)) (-15 -4214 ((-1258) $)) (-15 -1625 ((-1258) $)) (-15 -1305 ((-1258) $)) (-15 -2644 ((-1258) $)) (-15 -3662 ((-1258) $)) (-15 -4232 ((-1258) $)) (-15 -2751 ((-1258) $)) (-15 -1632 ((-569) $)) (-15 -1885 ((-216) $)) (-15 -1599 ((-1165) $)) (-15 -4010 ((-1147) $)) (-15 -2697 ((-2 (|:| |cd| (-1147)) (|:| -2798 (-1147))) $)) (-15 -4485 ((-1165) $))) 
-((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 12)) (-3936 (($) 15)) (-2542 (($) 13)) (-3614 (($) 16)) (-1427 (($) 14)) (-1326 (((-121) $ $) 8))) 
-(((-820) (-13 (-1093) (-10 -8 (-15 -2542 ($)) (-15 -3936 ($)) (-15 -3614 ($)) (-15 -1427 ($))))) (T -820)) 
-((-2542 (*1 *1) (-5 *1 (-820))) (-3936 (*1 *1) (-5 *1 (-820))) (-3614 (*1 *1) (-5 *1 (-820))) (-1427 (*1 *1) (-5 *1 (-820)))) 
-(-13 (-1093) (-10 -8 (-15 -2542 ($)) (-15 -3936 ($)) (-15 -3614 ($)) (-15 -1427 ($)))) 
-((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 21) (($ (-1165)) 17)) (-2852 (((-121) $) 10)) (-2092 (((-121) $) 9)) (-1300 (((-121) $) 11)) (-4405 (((-121) $) 8)) (-1326 (((-121) $ $) 19))) 
-(((-821) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-1165))) (-15 -4405 ((-121) $)) (-15 -2092 ((-121) $)) (-15 -2852 ((-121) $)) (-15 -1300 ((-121) $))))) (T -821)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-821)))) (-4405 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821)))) (-2092 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821)))) (-2852 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821)))) (-1300 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ($ (-1165))) (-15 -4405 ((-121) $)) (-15 -2092 ((-121) $)) (-15 -2852 ((-121) $)) (-15 -1300 ((-121) $)))) 
-((-1310 (((-121) $ $) NIL)) (-2711 (($ (-821) (-635 (-1165))) 24)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-4332 (((-821) $) 25)) (-1846 (((-635 (-1165)) $) 26)) (-3956 (((-852) $) 23)) (-1326 (((-121) $ $) NIL))) 
-(((-822) (-13 (-1093) (-10 -8 (-15 -4332 ((-821) $)) (-15 -1846 ((-635 (-1165)) $)) (-15 -2711 ($ (-821) (-635 (-1165))))))) (T -822)) 
-((-4332 (*1 *2 *1) (-12 (-5 *2 (-821)) (-5 *1 (-822)))) (-1846 (*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-822)))) (-2711 (*1 *1 *2 *3) (-12 (-5 *2 (-821)) (-5 *3 (-635 (-1165))) (-5 *1 (-822))))) 
-(-13 (-1093) (-10 -8 (-15 -4332 ((-821) $)) (-15 -1846 ((-635 (-1165)) $)) (-15 -2711 ($ (-821) (-635 (-1165)))))) 
-((-3685 (((-1258) (-819) (-311 |#1|) (-121)) 22) (((-1258) (-819) (-311 |#1|)) 76) (((-1147) (-311 |#1|) (-121)) 75) (((-1147) (-311 |#1|)) 74))) 
-(((-823 |#1|) (-10 -7 (-15 -3685 ((-1147) (-311 |#1|))) (-15 -3685 ((-1147) (-311 |#1|) (-121))) (-15 -3685 ((-1258) (-819) (-311 |#1|))) (-15 -3685 ((-1258) (-819) (-311 |#1|) (-121)))) (-13 (-825) (-844) (-1049))) (T -823)) 
-((-3685 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-819)) (-5 *4 (-311 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-825) (-844) (-1049))) (-5 *2 (-1258)) (-5 *1 (-823 *6)))) (-3685 (*1 *2 *3 *4) (-12 (-5 *3 (-819)) (-5 *4 (-311 *5)) (-4 *5 (-13 (-825) (-844) (-1049))) (-5 *2 (-1258)) (-5 *1 (-823 *5)))) (-3685 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-825) (-844) (-1049))) (-5 *2 (-1147)) (-5 *1 (-823 *5)))) (-3685 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-13 (-825) (-844) (-1049))) (-5 *2 (-1147)) (-5 *1 (-823 *4))))) 
-(-10 -7 (-15 -3685 ((-1147) (-311 |#1|))) (-15 -3685 ((-1147) (-311 |#1|) (-121))) (-15 -3685 ((-1258) (-819) (-311 |#1|))) (-15 -3685 ((-1258) (-819) (-311 |#1|) (-121)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3353 ((|#1| $) 10)) (-2859 (($ |#1|) 9)) (-3934 (((-121) $) NIL)) (-3179 (($ |#2| (-765)) NIL)) (-4294 (((-765) $) NIL)) (-3270 ((|#2| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3289 (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-2284 (((-765) $) NIL)) (-3956 (((-852) $) 17) (($ (-569)) NIL) (($ |#2|) NIL (|has| |#2| (-173)))) (-3802 ((|#2| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 12) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-824 |#1| |#2|) (-13 (-700 |#2|) (-10 -8 (IF (|has| |#1| (-226)) (-6 (-226)) |noBranch|) (-15 -2859 ($ |#1|)) (-15 -3353 (|#1| $)))) (-700 |#2|) (-1049)) (T -824)) 
-((-2859 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-824 *2 *3)) (-4 *2 (-700 *3)))) (-3353 (*1 *2 *1) (-12 (-4 *2 (-700 *3)) (-5 *1 (-824 *2 *3)) (-4 *3 (-1049))))) 
-(-13 (-700 |#2|) (-10 -8 (IF (|has| |#1| (-226)) (-6 (-226)) |noBranch|) (-15 -2859 ($ |#1|)) (-15 -3353 (|#1| $)))) 
-((-3685 (((-1258) (-819) $ (-121)) 9) (((-1258) (-819) $) 8) (((-1147) $ (-121)) 7) (((-1147) $) 6))) 
-(((-825) (-1284)) (T -825)) 
-((-3685 (*1 *2 *3 *1 *4) (-12 (-4 *1 (-825)) (-5 *3 (-819)) (-5 *4 (-121)) (-5 *2 (-1258)))) (-3685 (*1 *2 *3 *1) (-12 (-4 *1 (-825)) (-5 *3 (-819)) (-5 *2 (-1258)))) (-3685 (*1 *2 *1 *3) (-12 (-4 *1 (-825)) (-5 *3 (-121)) (-5 *2 (-1147)))) (-3685 (*1 *2 *1) (-12 (-4 *1 (-825)) (-5 *2 (-1147))))) 
-(-13 (-10 -8 (-15 -3685 ((-1147) $)) (-15 -3685 ((-1147) $ (-121))) (-15 -3685 ((-1258) (-819) $)) (-15 -3685 ((-1258) (-819) $ (-121))))) 
-((-1730 (((-306) (-1147) (-1147)) 12)) (-4454 (((-121) (-1147) (-1147)) 33)) (-1671 (((-121) (-1147)) 32)) (-4353 (((-57) (-1147)) 25)) (-1926 (((-57) (-1147)) 23)) (-1669 (((-57) (-819)) 17)) (-1398 (((-635 (-1147)) (-1147)) 28)) (-1843 (((-635 (-1147))) 27))) 
-(((-826) (-10 -7 (-15 -1669 ((-57) (-819))) (-15 -1926 ((-57) (-1147))) (-15 -4353 ((-57) (-1147))) (-15 -1843 ((-635 (-1147)))) (-15 -1398 ((-635 (-1147)) (-1147))) (-15 -1671 ((-121) (-1147))) (-15 -4454 ((-121) (-1147) (-1147))) (-15 -1730 ((-306) (-1147) (-1147))))) (T -826)) 
-((-1730 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-826)))) (-4454 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-826)))) (-1671 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-826)))) (-1398 (*1 *2 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-826)) (-5 *3 (-1147)))) (-1843 (*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-826)))) (-4353 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-826)))) (-1926 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-826)))) (-1669 (*1 *2 *3) (-12 (-5 *3 (-819)) (-5 *2 (-57)) (-5 *1 (-826))))) 
-(-10 -7 (-15 -1669 ((-57) (-819))) (-15 -1926 ((-57) (-1147))) (-15 -4353 ((-57) (-1147))) (-15 -1843 ((-635 (-1147)))) (-15 -1398 ((-635 (-1147)) (-1147))) (-15 -1671 ((-121) (-1147))) (-15 -4454 ((-121) (-1147) (-1147))) (-15 -1730 ((-306) (-1147) (-1147)))) 
-((-1310 (((-121) $ $) 18)) (-3577 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-2045 (($ $ $) 68)) (-3254 (((-121) $ $) 69)) (-3350 (((-121) $ (-765)) 8)) (-4414 (($ (-635 |#1|)) 64) (($) 63)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2938 (($ $) 58)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-2157 ((|#1| $) 74)) (-4002 (($ $ $) 77)) (-2102 (($ $ $) 76)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2713 ((|#1| $) 75)) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22)) (-1433 (($ $ $) 65)) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37) (($ |#1| $ (-765)) 59)) (-1912 (((-1111) $) 21)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2820 (((-635 (-2 (|:| -3175 |#1|) (|:| -2691 (-765)))) $) 57)) (-2127 (($ $ |#1|) 67) (($ $ $) 66)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-3956 (((-852) $) 20)) (-1785 (($ (-635 |#1|)) 62) (($) 61)) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19)) (-1337 (((-121) $ $) 60)) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-827 |#1|) (-1284) (-844)) (T -827)) 
-((-2157 (*1 *2 *1) (-12 (-4 *1 (-827 *2)) (-4 *2 (-844))))) 
-(-13 (-728 |t#1|) (-971 |t#1|) (-10 -8 (-15 -2157 (|t#1| $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-686 |#1|) . T) ((-728 |#1|) . T) ((-971 |#1|) . T) ((-1090 |#1|) . T) ((-1093) . T) ((-1199) . T)) 
-((-2838 (((-1258) (-1111) (-1111)) 47)) (-3285 (((-1258) (-818) (-57)) 44)) (-3131 (((-57) (-818)) 16))) 
-(((-828) (-10 -7 (-15 -3131 ((-57) (-818))) (-15 -3285 ((-1258) (-818) (-57))) (-15 -2838 ((-1258) (-1111) (-1111))))) (T -828)) 
-((-2838 (*1 *2 *3 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-1258)) (-5 *1 (-828)))) (-3285 (*1 *2 *3 *4) (-12 (-5 *3 (-818)) (-5 *4 (-57)) (-5 *2 (-1258)) (-5 *1 (-828)))) (-3131 (*1 *2 *3) (-12 (-5 *3 (-818)) (-5 *2 (-57)) (-5 *1 (-828))))) 
-(-10 -7 (-15 -3131 ((-57) (-818))) (-15 -3285 ((-1258) (-818) (-57))) (-15 -2838 ((-1258) (-1111) (-1111)))) 
-((-4188 (((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|) (-830 |#2|)) 12) (((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|)) 13))) 
-(((-829 |#1| |#2|) (-10 -7 (-15 -4188 ((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|))) (-15 -4188 ((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|) (-830 |#2|)))) (-1093) (-1093)) (T -829)) 
-((-4188 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-830 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-830 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *1 (-829 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-830 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-830 *6)) (-5 *1 (-829 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|))) (-15 -4188 ((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|) (-830 |#2|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL (|has| |#1| (-21)))) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3817 (((-569) $) NIL (|has| |#1| (-842)))) (-4483 (($) NIL (|has| |#1| (-21)) CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 15)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 9)) (-2611 (((-3 $ "failed") $) 40 (|has| |#1| (-842)))) (-1330 (((-3 (-410 (-569)) "failed") $) 48 (|has| |#1| (-551)))) (-4429 (((-121) $) 43 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 45 (|has| |#1| (-551)))) (-1863 (((-121) $) NIL (|has| |#1| (-842)))) (-3934 (((-121) $) NIL (|has| |#1| (-842)))) (-4311 (((-121) $) NIL (|has| |#1| (-842)))) (-2157 (($ $ $) NIL (|has| |#1| (-842)))) (-2713 (($ $ $) NIL (|has| |#1| (-842)))) (-2605 (((-1147) $) NIL)) (-2036 (($) 13)) (-4426 (((-121) $) 12)) (-1912 (((-1111) $) NIL)) (-4362 (((-121) $) 11)) (-3956 (((-852) $) 18) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) 8) (($ (-569)) NIL (-1929 (|has| |#1| (-842)) (|has| |#1| (-1039 (-569)))))) (-2320 (((-765)) 34 (|has| |#1| (-842)))) (-4080 (($ $) NIL (|has| |#1| (-842)))) (-3403 (($ $ (-919)) NIL (|has| |#1| (-842))) (($ $ (-765)) NIL (|has| |#1| (-842)))) (-2407 (($) 22 (|has| |#1| (-21)) CONST)) (-3297 (($) 31 (|has| |#1| (-842)) CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1326 (((-121) $ $) 20)) (-1349 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1337 (((-121) $ $) 42 (|has| |#1| (-842)))) (-1377 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 27 (|has| |#1| (-21)))) (-1371 (($ $ $) 29 (|has| |#1| (-21)))) (** (($ $ (-919)) NIL (|has| |#1| (-842))) (($ $ (-765)) NIL (|has| |#1| (-842)))) (* (($ $ $) 37 (|has| |#1| (-842))) (($ (-569) $) 25 (|has| |#1| (-21))) (($ (-765) $) NIL (|has| |#1| (-21))) (($ (-919) $) NIL (|has| |#1| (-21))))) 
-(((-830 |#1|) (-13 (-1093) (-414 |#1|) (-10 -8 (-15 -2036 ($)) (-15 -4362 ((-121) $)) (-15 -4426 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) (-1093)) (T -830)) 
-((-2036 (*1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-1093)))) (-4362 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-1093)))) (-4426 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-1093)))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) (-2096 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) (-1330 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093))))) 
-(-13 (-1093) (-414 |#1|) (-10 -8 (-15 -2036 ($)) (-15 -4362 ((-121) $)) (-15 -4426 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-123) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-123) $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3474 ((|#1| (-123) |#1|) NIL)) (-3934 (((-121) $) NIL)) (-1357 (($ |#1| (-364 (-123))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2190 (($ $ (-1 |#1| |#1|)) NIL)) (-4520 (($ $ (-1 |#1| |#1|)) NIL)) (-2503 ((|#1| $ |#1|) NIL)) (-2663 ((|#1| |#1|) NIL (|has| |#1| (-173)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-123)) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1947 (($ $) NIL (|has| |#1| (-173))) (($ $ $) NIL (|has| |#1| (-173)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ (-123) (-569)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
-(((-831 |#1|) (-13 (-1049) (-1039 |#1|) (-1039 (-123)) (-282 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -1947 ($ $)) (-15 -1947 ($ $ $)) (-15 -2663 (|#1| |#1|))) |noBranch|) (-15 -4520 ($ $ (-1 |#1| |#1|))) (-15 -2190 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -3474 (|#1| (-123) |#1|)) (-15 -1357 ($ |#1| (-364 (-123)))))) (-1049)) (T -831)) 
-((-1947 (*1 *1 *1) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049)))) (-1947 (*1 *1 *1 *1) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049)))) (-2663 (*1 *2 *2) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049)))) (-4520 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-831 *3)))) (-2190 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-831 *3)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-5 *1 (-831 *4)) (-4 *4 (-1049)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-831 *3)) (-4 *3 (-1049)))) (-3474 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-831 *2)) (-4 *2 (-1049)))) (-1357 (*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-5 *1 (-831 *2)) (-4 *2 (-1049))))) 
-(-13 (-1049) (-1039 |#1|) (-1039 (-123)) (-282 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -1947 ($ $)) (-15 -1947 ($ $ $)) (-15 -2663 (|#1| |#1|))) |noBranch|) (-15 -4520 ($ $ (-1 |#1| |#1|))) (-15 -2190 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -3474 (|#1| (-123) |#1|)) (-15 -1357 ($ |#1| (-364 (-123)))))) 
-((-3758 (((-206 (-512)) (-1147)) 8))) 
-(((-832) (-10 -7 (-15 -3758 ((-206 (-512)) (-1147))))) (T -832)) 
-((-3758 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-206 (-512))) (-5 *1 (-832))))) 
-(-10 -7 (-15 -3758 ((-206 (-512)) (-1147)))) 
-((-1310 (((-121) $ $) 7)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 13) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 12)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 15) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 14)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
-(((-833) (-1284)) (T -833)) 
-((-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-833)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) (-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-833)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) (-2044 (*1 *2 *3) (-12 (-4 *1 (-833)) (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-1037)))) (-2044 (*1 *2 *3) (-12 (-4 *1 (-833)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *2 (-1037))))) 
-(-13 (-1093) (-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -2044 ((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -2044 ((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-2413 (((-1037) (-635 (-311 (-382))) (-635 (-382))) 143) (((-1037) (-311 (-382)) (-635 (-382))) 141) (((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-837 (-382)))) 140) (((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-311 (-382))) (-635 (-837 (-382)))) 139) (((-1037) (-835)) 112) (((-1037) (-835) (-1061)) 111)) (-1550 (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835) (-1061)) 76) (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835)) 78)) (-3398 (((-1037) (-635 (-311 (-382))) (-635 (-382))) 144) (((-1037) (-835)) 128))) 
-(((-834) (-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835) (-1061))) (-15 -2413 ((-1037) (-835) (-1061))) (-15 -2413 ((-1037) (-835))) (-15 -3398 ((-1037) (-835))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-311 (-382))) (-635 (-837 (-382))))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-837 (-382))))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)))) (-15 -2413 ((-1037) (-635 (-311 (-382))) (-635 (-382)))) (-15 -3398 ((-1037) (-635 (-311 (-382))) (-635 (-382)))))) (T -834)) 
-((-3398 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *5 (-635 (-837 (-382)))) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-635 (-382))) (-5 *5 (-635 (-837 (-382)))) (-5 *6 (-635 (-311 (-382)))) (-5 *3 (-311 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) (-3398 (*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3 *4) (-12 (-5 *3 (-835)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-834)))) (-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-835)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-834)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-834))))) 
-(-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835) (-1061))) (-15 -2413 ((-1037) (-835) (-1061))) (-15 -2413 ((-1037) (-835))) (-15 -3398 ((-1037) (-835))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-311 (-382))) (-635 (-837 (-382))))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-837 (-382))))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)))) (-15 -2413 ((-1037) (-635 (-311 (-382))) (-635 (-382)))) (-15 -3398 ((-1037) (-635 (-311 (-382))) (-635 (-382))))) 
-((-1310 (((-121) $ $) NIL)) (-1321 (((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) $) 15)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 14) (($ (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 8) (($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 10) (($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) 12)) (-1326 (((-121) $ $) NIL))) 
-(((-835) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))) (-15 -3956 ($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -3956 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) $))))) (T -835)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-835)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *1 (-835)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *1 (-835)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *1 (-835)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *1 (-835))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))) (-15 -3956 ($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -3956 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) $)))) 
-((-4188 (((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|) (-837 |#2|) (-837 |#2|)) 13) (((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|)) 14))) 
-(((-836 |#1| |#2|) (-10 -7 (-15 -4188 ((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|))) (-15 -4188 ((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|) (-837 |#2|) (-837 |#2|)))) (-1093) (-1093)) (T -836)) 
-((-4188 (*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-837 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-837 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *1 (-836 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-837 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-837 *6)) (-5 *1 (-836 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|))) (-15 -4188 ((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|) (-837 |#2|) (-837 |#2|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL (|has| |#1| (-21)))) (-3509 (((-1111) $) 24)) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3817 (((-569) $) NIL (|has| |#1| (-842)))) (-4483 (($) NIL (|has| |#1| (-21)) CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 16)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 9)) (-2611 (((-3 $ "failed") $) 47 (|has| |#1| (-842)))) (-1330 (((-3 (-410 (-569)) "failed") $) 54 (|has| |#1| (-551)))) (-4429 (((-121) $) 49 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 52 (|has| |#1| (-551)))) (-1863 (((-121) $) NIL (|has| |#1| (-842)))) (-3420 (($) 13)) (-3934 (((-121) $) NIL (|has| |#1| (-842)))) (-4311 (((-121) $) NIL (|has| |#1| (-842)))) (-3413 (($) 14)) (-2157 (($ $ $) NIL (|has| |#1| (-842)))) (-2713 (($ $ $) NIL (|has| |#1| (-842)))) (-2605 (((-1147) $) NIL)) (-4426 (((-121) $) 12)) (-1912 (((-1111) $) NIL)) (-4362 (((-121) $) 11)) (-3956 (((-852) $) 22) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) 8) (($ (-569)) NIL (-1929 (|has| |#1| (-842)) (|has| |#1| (-1039 (-569)))))) (-2320 (((-765)) 41 (|has| |#1| (-842)))) (-4080 (($ $) NIL (|has| |#1| (-842)))) (-3403 (($ $ (-919)) NIL (|has| |#1| (-842))) (($ $ (-765)) NIL (|has| |#1| (-842)))) (-2407 (($) 29 (|has| |#1| (-21)) CONST)) (-3297 (($) 38 (|has| |#1| (-842)) CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1326 (((-121) $ $) 27)) (-1349 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1337 (((-121) $ $) 48 (|has| |#1| (-842)))) (-1377 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 34 (|has| |#1| (-21)))) (-1371 (($ $ $) 36 (|has| |#1| (-21)))) (** (($ $ (-919)) NIL (|has| |#1| (-842))) (($ $ (-765)) NIL (|has| |#1| (-842)))) (* (($ $ $) 44 (|has| |#1| (-842))) (($ (-569) $) 32 (|has| |#1| (-21))) (($ (-765) $) NIL (|has| |#1| (-21))) (($ (-919) $) NIL (|has| |#1| (-21))))) 
-(((-837 |#1|) (-13 (-1093) (-414 |#1|) (-10 -8 (-15 -3420 ($)) (-15 -3413 ($)) (-15 -4362 ((-121) $)) (-15 -4426 ((-121) $)) (-15 -3509 ((-1111) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) (-1093)) (T -837)) 
-((-3420 (*1 *1) (-12 (-5 *1 (-837 *2)) (-4 *2 (-1093)))) (-3413 (*1 *1) (-12 (-5 *1 (-837 *2)) (-4 *2 (-1093)))) (-4362 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-1093)))) (-4426 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-1093)))) (-3509 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-837 *3)) (-4 *3 (-1093)))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) (-2096 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) (-1330 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093))))) 
-(-13 (-1093) (-414 |#1|) (-10 -8 (-15 -3420 ($)) (-15 -3413 ($)) (-15 -4362 ((-121) $)) (-15 -4426 ((-121) $)) (-15 -3509 ((-1111) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
-((-1310 (((-121) $ $) 7)) (-2675 (((-765)) 19)) (-3341 (($) 22)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2862 (((-919) $) 21)) (-2605 (((-1147) $) 9)) (-1333 (($ (-919)) 20)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17))) 
-(((-838) (-1284)) (T -838)) 
-NIL 
-(-13 (-844) (-371)) 
-(((-105) . T) ((-609 (-852)) . T) ((-371) . T) ((-844) . T) ((-1093) . T)) 
-((-2254 (((-121) (-1253 |#2|) (-1253 |#2|)) 17)) (-4528 (((-121) (-1253 |#2|) (-1253 |#2|)) 18)) (-2599 (((-121) (-1253 |#2|) (-1253 |#2|)) 14))) 
-(((-839 |#1| |#2|) (-10 -7 (-15 -2599 ((-121) (-1253 |#2|) (-1253 |#2|))) (-15 -2254 ((-121) (-1253 |#2|) (-1253 |#2|))) (-15 -4528 ((-121) (-1253 |#2|) (-1253 |#2|)))) (-765) (-789)) (T -839)) 
-((-4528 (*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765)))) (-2254 (*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765)))) (-2599 (*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765))))) 
-(-10 -7 (-15 -2599 ((-121) (-1253 |#2|) (-1253 |#2|))) (-15 -2254 ((-121) (-1253 |#2|) (-1253 |#2|))) (-15 -4528 ((-121) (-1253 |#2|) (-1253 |#2|)))) 
-((-1310 (((-121) $ $) 7)) (-4483 (($) 23 T CONST)) (-2611 (((-3 $ "failed") $) 27)) (-3934 (((-121) $) 24)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-765)) 26) (($ $ (-919)) 21)) (-3297 (($) 22 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (** (($ $ (-765)) 25) (($ $ (-919)) 20)) (* (($ $ $) 19))) 
-(((-840) (-1284)) (T -840)) 
-NIL 
-(-13 (-844) (-718)) 
-(((-105) . T) ((-609 (-852)) . T) ((-718) . T) ((-844) . T) ((-1105) . T) ((-1093) . T)) 
-((-3817 (((-569) $) 17)) (-1863 (((-121) $) 10)) (-4311 (((-121) $) 11)) (-4080 (($ $) 19))) 
-(((-841 |#1|) (-10 -8 (-15 -4080 (|#1| |#1|)) (-15 -3817 ((-569) |#1|)) (-15 -4311 ((-121) |#1|)) (-15 -1863 ((-121) |#1|))) (-842)) (T -841)) 
-NIL 
-(-10 -8 (-15 -4080 (|#1| |#1|)) (-15 -3817 ((-569) |#1|)) (-15 -4311 ((-121) |#1|)) (-15 -1863 ((-121) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-3748 (((-3 $ "failed") $ $) 25)) (-3817 (((-569) $) 32)) (-4483 (($) 22 T CONST)) (-2611 (((-3 $ "failed") $) 38)) (-1863 (((-121) $) 34)) (-3934 (((-121) $) 41)) (-4311 (((-121) $) 33)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 44)) (-2320 (((-765)) 43)) (-4080 (($ $) 31)) (-3403 (($ $ (-765)) 39) (($ $ (-919)) 35)) (-2407 (($) 21 T CONST)) (-3297 (($) 42 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1377 (($ $ $) 27) (($ $) 26)) (-1371 (($ $ $) 19)) (** (($ $ (-765)) 40) (($ $ (-919)) 36)) (* (($ (-765) $) 24) (($ (-919) $) 20) (($ (-569) $) 28) (($ $ $) 37))) 
-(((-842) (-1284)) (T -842)) 
-((-1863 (*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) (-4311 (*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) (-3817 (*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-569)))) (-4080 (*1 *1 *1) (-4 *1 (-842)))) 
-(-13 (-788) (-1049) (-718) (-10 -8 (-15 -1863 ((-121) $)) (-15 -4311 ((-121) $)) (-15 -3817 ((-569) $)) (-15 -4080 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-844) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-2157 (($ $ $) 10)) (-2713 (($ $ $) 9)) (-1355 (((-121) $ $) 12)) (-1343 (((-121) $ $) 11)) (-1349 (((-121) $ $) 13))) 
-(((-843 |#1|) (-10 -8 (-15 -2157 (|#1| |#1| |#1|)) (-15 -2713 (|#1| |#1| |#1|)) (-15 -1349 ((-121) |#1| |#1|)) (-15 -1355 ((-121) |#1| |#1|)) (-15 -1343 ((-121) |#1| |#1|))) (-844)) (T -843)) 
-NIL 
-(-10 -8 (-15 -2157 (|#1| |#1| |#1|)) (-15 -2713 (|#1| |#1| |#1|)) (-15 -1349 ((-121) |#1| |#1|)) (-15 -1355 ((-121) |#1| |#1|)) (-15 -1343 ((-121) |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17))) 
-(((-844) (-1284)) (T -844)) 
-((-1337 (*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) (-1343 (*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) (-1355 (*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) (-1349 (*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) (-2713 (*1 *1 *1 *1) (-4 *1 (-844))) (-2157 (*1 *1 *1 *1) (-4 *1 (-844)))) 
-(-13 (-1093) (-10 -8 (-15 -1337 ((-121) $ $)) (-15 -1343 ((-121) $ $)) (-15 -1355 ((-121) $ $)) (-15 -1349 ((-121) $ $)) (-15 -2713 ($ $ $)) (-15 -2157 ($ $ $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-4298 (($ $ $) 45)) (-2425 (($ $ $) 44)) (-2581 (($ $ $) 42)) (-4431 (($ $ $) 51)) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 46)) (-2221 (((-3 $ "failed") $ $) 49)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-2540 (($ $) 35)) (-3602 (($ $ $) 39)) (-2807 (($ $ $) 38)) (-3262 (($ $ $) 47)) (-3336 (($ $ $) 53)) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 41)) (-2336 (((-3 $ "failed") $ $) 48)) (-1436 (((-3 $ "failed") $ |#2|) 28)) (-2363 ((|#2| $) 32)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#2|) 12)) (-2894 (((-635 |#2|) $) 18)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 22))) 
-(((-845 |#1| |#2|) (-10 -8 (-15 -3262 (|#1| |#1| |#1|)) (-15 -3785 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -4431 (|#1| |#1| |#1|)) (-15 -2221 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4298 (|#1| |#1| |#1|)) (-15 -2425 (|#1| |#1| |#1|)) (-15 -2581 (|#1| |#1| |#1|)) (-15 -2958 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -3336 (|#1| |#1| |#1|)) (-15 -2336 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3602 (|#1| |#1| |#1|)) (-15 -2807 (|#1| |#1| |#1|)) (-15 -2540 (|#1| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2894 ((-635 |#2|) |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -3956 ((-852) |#1|))) (-846 |#2|) (-1049)) (T -845)) 
-NIL 
-(-10 -8 (-15 -3262 (|#1| |#1| |#1|)) (-15 -3785 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -4431 (|#1| |#1| |#1|)) (-15 -2221 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4298 (|#1| |#1| |#1|)) (-15 -2425 (|#1| |#1| |#1|)) (-15 -2581 (|#1| |#1| |#1|)) (-15 -2958 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -3336 (|#1| |#1| |#1|)) (-15 -2336 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3602 (|#1| |#1| |#1|)) (-15 -2807 (|#1| |#1| |#1|)) (-15 -2540 (|#1| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2894 ((-635 |#2|) |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-4298 (($ $ $) 44 (|has| |#1| (-366)))) (-2425 (($ $ $) 45 (|has| |#1| (-366)))) (-2581 (($ $ $) 47 (|has| |#1| (-366)))) (-4431 (($ $ $) 42 (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 41 (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) 43 (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 46 (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) 73 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 71 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 68)) (-1321 (((-569) $) 74 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 72 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 67)) (-3373 (($ $) 63)) (-2611 (((-3 $ "failed") $) 33)) (-2540 (($ $) 54 (|has| |#1| (-454)))) (-3934 (((-121) $) 30)) (-3179 (($ |#1| (-765)) 61)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 56 (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 57 (|has| |#1| (-559)))) (-4294 (((-765) $) 65)) (-3602 (($ $ $) 51 (|has| |#1| (-366)))) (-2807 (($ $ $) 52 (|has| |#1| (-366)))) (-3262 (($ $ $) 40 (|has| |#1| (-366)))) (-3336 (($ $ $) 49 (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 48 (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) 50 (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 53 (|has| |#1| (-366)))) (-3270 ((|#1| $) 64)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-559)))) (-2284 (((-765) $) 66)) (-2363 ((|#1| $) 55 (|has| |#1| (-454)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 70 (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) 69)) (-2894 (((-635 |#1|) $) 60)) (-3802 ((|#1| $ (-765)) 62)) (-2320 (((-765)) 28)) (-1772 ((|#1| $ |#1| |#1|) 59)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
-(((-846 |#1|) (-1284) (-1049)) (T -846)) 
-((-2284 (*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-4294 (*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-3270 (*1 *2 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) (-3373 (*1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) (-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-846 *2)) (-4 *2 (-1049)))) (-3179 (*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-846 *2)) (-4 *2 (-1049)))) (-2894 (*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-635 *3)))) (-1772 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) (-1436 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-559)))) (-3686 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) (-1339 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) (-2363 (*1 *2 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-454)))) (-2540 (*1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-454)))) (-3843 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) (-2807 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-3602 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-2336 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-3336 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-2958 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-846 *3)))) (-2581 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-4241 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) (-2425 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-4298 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-2221 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-4431 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-3785 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-846 *3)))) (-3262 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(-13 (-1049) (-120 |t#1| |t#1|) (-414 |t#1|) (-10 -8 (-15 -2284 ((-765) $)) (-15 -4294 ((-765) $)) (-15 -3270 (|t#1| $)) (-15 -3373 ($ $)) (-15 -3802 (|t#1| $ (-765))) (-15 -3179 ($ |t#1| (-765))) (-15 -2894 ((-635 |t#1|) $)) (-15 -1772 (|t#1| $ |t#1| |t#1|)) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -1436 ((-3 $ "failed") $ |t#1|)) (-15 -3686 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -1339 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -2363 (|t#1| $)) (-15 -2540 ($ $))) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-15 -3843 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -2807 ($ $ $)) (-15 -3602 ($ $ $)) (-15 -2336 ((-3 $ "failed") $ $)) (-15 -3336 ($ $ $)) (-15 -2958 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $)) (-15 -2581 ($ $ $)) (-15 -4241 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -2425 ($ $ $)) (-15 -4298 ($ $ $)) (-15 -2221 ((-3 $ "failed") $ $)) (-15 -4431 ($ $ $)) (-15 -3785 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $)) (-15 -3262 ($ $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-414 |#1|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) |has| |#1| (-173)) ((-718) . T) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1373 ((|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|)) 20)) (-4241 (((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)) 43 (|has| |#1| (-366)))) (-1339 (((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)) 40 (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)) 39 (|has| |#1| (-559)))) (-3843 (((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)) 42 (|has| |#1| (-366)))) (-1772 ((|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|)) 31))) 
-(((-847 |#1| |#2|) (-10 -7 (-15 -1373 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -1772 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-559)) (PROGN (-15 -3686 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -1339 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3843 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -4241 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) (-1049) (-846 |#1|)) (T -847)) 
-((-4241 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5)))) (-3843 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5)))) (-1339 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5)))) (-3686 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5)))) (-1772 (*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1049)) (-5 *1 (-847 *2 *3)) (-4 *3 (-846 *2)))) (-1373 (*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1049)) (-5 *1 (-847 *5 *2)) (-4 *2 (-846 *5))))) 
-(-10 -7 (-15 -1373 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -1772 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-559)) (PROGN (-15 -3686 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -1339 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3843 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -4241 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4298 (($ $ $) NIL (|has| |#1| (-366)))) (-2425 (($ $ $) NIL (|has| |#1| (-366)))) (-2581 (($ $ $) NIL (|has| |#1| (-366)))) (-4431 (($ $ $) NIL (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 25 (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-2078 (((-852) $ (-852)) NIL)) (-3934 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 21 (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 19 (|has| |#1| (-559)))) (-4294 (((-765) $) NIL)) (-3602 (($ $ $) NIL (|has| |#1| (-366)))) (-2807 (($ $ $) NIL (|has| |#1| (-366)))) (-3262 (($ $ $) NIL (|has| |#1| (-366)))) (-3336 (($ $ $) NIL (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 23 (|has| |#1| (-366)))) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2284 (((-765) $) NIL)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) NIL)) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-1772 ((|#1| $ |#1| |#1|) 15)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 13) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-848 |#1| |#2| |#3|) (-13 (-846 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-852))))) (-1049) (-101 |#1|) (-1 |#1| |#1|)) (T -848)) 
-((-2078 (*1 *2 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-848 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3))))) 
-(-13 (-846 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-852))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4298 (($ $ $) NIL (|has| |#2| (-366)))) (-2425 (($ $ $) NIL (|has| |#2| (-366)))) (-2581 (($ $ $) NIL (|has| |#2| (-366)))) (-4431 (($ $ $) NIL (|has| |#2| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-366)))) (-2221 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-366)))) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) ((|#2| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#2| (-454)))) (-3934 (((-121) $) NIL)) (-3179 (($ |#2| (-765)) 16)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-559)))) (-4294 (((-765) $) NIL)) (-3602 (($ $ $) NIL (|has| |#2| (-366)))) (-2807 (($ $ $) NIL (|has| |#2| (-366)))) (-3262 (($ $ $) NIL (|has| |#2| (-366)))) (-3336 (($ $ $) NIL (|has| |#2| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-366)))) (-2336 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-366)))) (-3270 ((|#2| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-2284 (((-765) $) NIL)) (-2363 ((|#2| $) NIL (|has| |#2| (-454)))) (-3956 (((-852) $) 23) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1039 (-410 (-569))))) (($ |#2|) NIL) (($ (-1249 |#1|)) 18)) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-1772 ((|#2| $ |#2| |#2|) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) 13 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-849 |#1| |#2| |#3| |#4|) (-13 (-846 |#2|) (-10 -8 (-15 -3956 ($ (-1249 |#1|))))) (-1165) (-1049) (-101 |#2|) (-1 |#2| |#2|)) (T -849)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-849 *3 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4))))) 
-(-13 (-846 |#2|) (-10 -8 (-15 -3956 ($ (-1249 |#1|))))) 
-((-3657 ((|#1| (-765) |#1|) 35 (|has| |#1| (-43 (-410 (-569)))))) (-3604 ((|#1| (-765) (-765) |#1|) 27) ((|#1| (-765) |#1|) 20)) (-3848 ((|#1| (-765) |#1|) 31)) (-4142 ((|#1| (-765) |#1|) 29)) (-3330 ((|#1| (-765) |#1|) 28))) 
-(((-850 |#1|) (-10 -7 (-15 -3330 (|#1| (-765) |#1|)) (-15 -4142 (|#1| (-765) |#1|)) (-15 -3848 (|#1| (-765) |#1|)) (-15 -3604 (|#1| (-765) |#1|)) (-15 -3604 (|#1| (-765) (-765) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -3657 (|#1| (-765) |#1|)) |noBranch|)) (-173)) (T -850)) 
-((-3657 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-3604 (*1 *2 *3 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) (-3604 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) (-3848 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) (-4142 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) (-3330 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173))))) 
-(-10 -7 (-15 -3330 (|#1| (-765) |#1|)) (-15 -4142 (|#1| (-765) |#1|)) (-15 -3848 (|#1| (-765) |#1|)) (-15 -3604 (|#1| (-765) |#1|)) (-15 -3604 (|#1| (-765) (-765) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -3657 (|#1| (-765) |#1|)) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-2756 (((-569) $) 12)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 18) (($ (-569)) 11)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 8)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 9))) 
-(((-851) (-13 (-844) (-10 -8 (-15 -3956 ($ (-569))) (-15 -2756 ((-569) $))))) (T -851)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-2756 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
-(-13 (-844) (-10 -8 (-15 -3956 ($ (-569))) (-15 -2756 ((-569) $)))) 
-((-1310 (((-121) $ $) NIL)) (-4310 (($ $ $) 115)) (-4469 (((-569) $) 30) (((-569)) 35)) (-3833 (($ (-569)) 44)) (-2944 (($ $ $) 45) (($ (-635 $)) 76)) (-1904 (($ $ (-635 $)) 74)) (-4287 (((-569) $) 33)) (-2526 (($ $ $) 63)) (-4286 (($ $) 128) (($ $ $) 129) (($ $ $ $) 130)) (-3399 (((-569) $) 32)) (-2282 (($ $ $) 62)) (-3257 (($ $) 105)) (-2287 (($ $ $) 119)) (-4364 (($ (-635 $)) 52)) (-2724 (($ $ (-635 $)) 69)) (-2498 (($ (-569) (-569)) 46)) (-3925 (($ $) 116) (($ $ $) 117)) (-3417 (($ $ (-569)) 40) (($ $) 43)) (-1614 (($ $ $) 89)) (-1616 (($ $ $) 122)) (-4163 (($ $) 106)) (-1626 (($ $ $) 90)) (-2988 (($ $) 131) (($ $ $) 132) (($ $ $ $) 133)) (-1905 (((-1258) $) 8)) (-2318 (($ $) 109) (($ $ (-765)) 112)) (-3096 (($ $ $) 65)) (-3026 (($ $ $) 64)) (-1410 (($ $ (-635 $)) 100)) (-1424 (($ $ $) 104)) (-2623 (($ (-635 $)) 50)) (-2674 (($ $) 60) (($ (-635 $)) 61)) (-3821 (($ $ $) 113)) (-2732 (($ $) 107)) (-2155 (($ $ $) 118)) (-2078 (($ (-569)) 20) (($ (-1165)) 22) (($ (-1147)) 29) (($ (-216)) 24)) (-2472 (($ $ $) 93)) (-3182 (($ $) 94)) (-1557 (((-1258) (-1147)) 14)) (-3932 (($ (-1147)) 13)) (-2926 (($ (-635 (-635 $))) 48)) (-3149 (($ $ (-569)) 39) (($ $) 42)) (-2605 (((-1147) $) NIL)) (-1651 (($ $ $) 121)) (-1763 (($ $) 134) (($ $ $) 135) (($ $ $ $) 136)) (-3328 (((-121) $) 98)) (-4096 (($ $ (-635 $)) 102) (($ $ $ $) 103)) (-2929 (($ (-569)) 36)) (-1468 (((-569) $) 31) (((-569)) 34)) (-2346 (($ $ $) 37) (($ (-635 $)) 75)) (-1912 (((-1111) $) NIL)) (-1436 (($ $ $) 91)) (-4016 (($) 12)) (-2503 (($ $ (-635 $)) 99)) (-4510 (($ $) 108) (($ $ (-765)) 111)) (-1442 (($ $ $) 88)) (-3289 (($ $ (-765)) 127)) (-4467 (($ (-635 $)) 51)) (-3956 (((-852) $) 18)) (-1736 (($ $ (-569)) 38) (($ $) 41)) (-1393 (($ $) 58) (($ (-635 $)) 59)) (-1785 (($ $) 56) (($ (-635 $)) 57)) (-2856 (($ $) 114)) (-3170 (($ (-635 $)) 55)) (-4196 (($ $ $) 97)) (-4205 (($ $ $) 120)) (-3993 (($ $ $) 92)) (-1452 (($ $ $) 77)) (-2705 (($ $ $) 95) (($ $) 96)) (-1355 (($ $ $) 81)) (-1343 (($ $ $) 79)) (-1326 (((-121) $ $) 15) (($ $ $) 16)) (-1349 (($ $ $) 80)) (-1337 (($ $ $) 78)) (-1383 (($ $ $) 86)) (-1377 (($ $ $) 83) (($ $) 84)) (-1371 (($ $ $) 82)) (** (($ $ $) 87)) (* (($ $ $) 85))) 
-(((-852) (-13 (-1093) (-10 -8 (-15 -1905 ((-1258) $)) (-15 -3932 ($ (-1147))) (-15 -1557 ((-1258) (-1147))) (-15 -2078 ($ (-569))) (-15 -2078 ($ (-1165))) (-15 -2078 ($ (-1147))) (-15 -2078 ($ (-216))) (-15 -4016 ($)) (-15 -4469 ((-569) $)) (-15 -1468 ((-569) $)) (-15 -4469 ((-569))) (-15 -1468 ((-569))) (-15 -3399 ((-569) $)) (-15 -4287 ((-569) $)) (-15 -2929 ($ (-569))) (-15 -3833 ($ (-569))) (-15 -2498 ($ (-569) (-569))) (-15 -3149 ($ $ (-569))) (-15 -3417 ($ $ (-569))) (-15 -1736 ($ $ (-569))) (-15 -3149 ($ $)) (-15 -3417 ($ $)) (-15 -1736 ($ $)) (-15 -2346 ($ $ $)) (-15 -2944 ($ $ $)) (-15 -2346 ($ (-635 $))) (-15 -2944 ($ (-635 $))) (-15 -1410 ($ $ (-635 $))) (-15 -4096 ($ $ (-635 $))) (-15 -4096 ($ $ $ $)) (-15 -1424 ($ $ $)) (-15 -3328 ((-121) $)) (-15 -2503 ($ $ (-635 $))) (-15 -3257 ($ $)) (-15 -1651 ($ $ $)) (-15 -2856 ($ $)) (-15 -2926 ($ (-635 (-635 $)))) (-15 -4310 ($ $ $)) (-15 -3925 ($ $)) (-15 -3925 ($ $ $)) (-15 -2155 ($ $ $)) (-15 -2287 ($ $ $)) (-15 -4205 ($ $ $)) (-15 -1616 ($ $ $)) (-15 -3289 ($ $ (-765))) (-15 -4196 ($ $ $)) (-15 -2282 ($ $ $)) (-15 -2526 ($ $ $)) (-15 -3026 ($ $ $)) (-15 -3096 ($ $ $)) (-15 -2724 ($ $ (-635 $))) (-15 -1904 ($ $ (-635 $))) (-15 -4163 ($ $)) (-15 -4510 ($ $)) (-15 -4510 ($ $ (-765))) (-15 -2318 ($ $)) (-15 -2318 ($ $ (-765))) (-15 -2732 ($ $)) (-15 -3821 ($ $ $)) (-15 -4286 ($ $)) (-15 -4286 ($ $ $)) (-15 -4286 ($ $ $ $)) (-15 -2988 ($ $)) (-15 -2988 ($ $ $)) (-15 -2988 ($ $ $ $)) (-15 -1763 ($ $)) (-15 -1763 ($ $ $)) (-15 -1763 ($ $ $ $)) (-15 -1785 ($ $)) (-15 -1785 ($ (-635 $))) (-15 -1393 ($ $)) (-15 -1393 ($ (-635 $))) (-15 -2674 ($ $)) (-15 -2674 ($ (-635 $))) (-15 -2623 ($ (-635 $))) (-15 -4467 ($ (-635 $))) (-15 -4364 ($ (-635 $))) (-15 -3170 ($ (-635 $))) (-15 -1326 ($ $ $)) (-15 -1452 ($ $ $)) (-15 -1337 ($ $ $)) (-15 -1343 ($ $ $)) (-15 -1349 ($ $ $)) (-15 -1355 ($ $ $)) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)) (-15 -1377 ($ $)) (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -1442 ($ $ $)) (-15 -1614 ($ $ $)) (-15 -1626 ($ $ $)) (-15 -1436 ($ $ $)) (-15 -3993 ($ $ $)) (-15 -2472 ($ $ $)) (-15 -3182 ($ $)) (-15 -2705 ($ $ $)) (-15 -2705 ($ $))))) (T -852)) 
-((-1905 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-852)))) (-3932 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-852)))) (-1557 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-852)))) (-2078 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-2078 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-852)))) (-2078 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-852)))) (-2078 (*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-852)))) (-4016 (*1 *1) (-5 *1 (-852))) (-4469 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-1468 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-4469 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-1468 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-3399 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-4287 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-2929 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-3833 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-2498 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-3149 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-3417 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-1736 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-3149 (*1 *1 *1) (-5 *1 (-852))) (-3417 (*1 *1 *1) (-5 *1 (-852))) (-1736 (*1 *1 *1) (-5 *1 (-852))) (-2346 (*1 *1 *1 *1) (-5 *1 (-852))) (-2944 (*1 *1 *1 *1) (-5 *1 (-852))) (-2346 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-2944 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-1410 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-4096 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-4096 (*1 *1 *1 *1 *1) (-5 *1 (-852))) (-1424 (*1 *1 *1 *1) (-5 *1 (-852))) (-3328 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-852)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-3257 (*1 *1 *1) (-5 *1 (-852))) (-1651 (*1 *1 *1 *1) (-5 *1 (-852))) (-2856 (*1 *1 *1) (-5 *1 (-852))) (-2926 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-852)))) (-5 *1 (-852)))) (-4310 (*1 *1 *1 *1) (-5 *1 (-852))) (-3925 (*1 *1 *1) (-5 *1 (-852))) (-3925 (*1 *1 *1 *1) (-5 *1 (-852))) (-2155 (*1 *1 *1 *1) (-5 *1 (-852))) (-2287 (*1 *1 *1 *1) (-5 *1 (-852))) (-4205 (*1 *1 *1 *1) (-5 *1 (-852))) (-1616 (*1 *1 *1 *1) (-5 *1 (-852))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) (-4196 (*1 *1 *1 *1) (-5 *1 (-852))) (-2282 (*1 *1 *1 *1) (-5 *1 (-852))) (-2526 (*1 *1 *1 *1) (-5 *1 (-852))) (-3026 (*1 *1 *1 *1) (-5 *1 (-852))) (-3096 (*1 *1 *1 *1) (-5 *1 (-852))) (-2724 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-1904 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-4163 (*1 *1 *1) (-5 *1 (-852))) (-4510 (*1 *1 *1) (-5 *1 (-852))) (-4510 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) (-2318 (*1 *1 *1) (-5 *1 (-852))) (-2318 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) (-2732 (*1 *1 *1) (-5 *1 (-852))) (-3821 (*1 *1 *1 *1) (-5 *1 (-852))) (-4286 (*1 *1 *1) (-5 *1 (-852))) (-4286 (*1 *1 *1 *1) (-5 *1 (-852))) (-4286 (*1 *1 *1 *1 *1) (-5 *1 (-852))) (-2988 (*1 *1 *1) (-5 *1 (-852))) (-2988 (*1 *1 *1 *1) (-5 *1 (-852))) (-2988 (*1 *1 *1 *1 *1) (-5 *1 (-852))) (-1763 (*1 *1 *1) (-5 *1 (-852))) (-1763 (*1 *1 *1 *1) (-5 *1 (-852))) (-1763 (*1 *1 *1 *1 *1) (-5 *1 (-852))) (-1785 (*1 *1 *1) (-5 *1 (-852))) (-1785 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-1393 (*1 *1 *1) (-5 *1 (-852))) (-1393 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-2674 (*1 *1 *1) (-5 *1 (-852))) (-2674 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-2623 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-4467 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-4364 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-3170 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-1326 (*1 *1 *1 *1) (-5 *1 (-852))) (-1452 (*1 *1 *1 *1) (-5 *1 (-852))) (-1337 (*1 *1 *1 *1) (-5 *1 (-852))) (-1343 (*1 *1 *1 *1) (-5 *1 (-852))) (-1349 (*1 *1 *1 *1) (-5 *1 (-852))) (-1355 (*1 *1 *1 *1) (-5 *1 (-852))) (-1371 (*1 *1 *1 *1) (-5 *1 (-852))) (-1377 (*1 *1 *1 *1) (-5 *1 (-852))) (-1377 (*1 *1 *1) (-5 *1 (-852))) (* (*1 *1 *1 *1) (-5 *1 (-852))) (-1383 (*1 *1 *1 *1) (-5 *1 (-852))) (** (*1 *1 *1 *1) (-5 *1 (-852))) (-1442 (*1 *1 *1 *1) (-5 *1 (-852))) (-1614 (*1 *1 *1 *1) (-5 *1 (-852))) (-1626 (*1 *1 *1 *1) (-5 *1 (-852))) (-1436 (*1 *1 *1 *1) (-5 *1 (-852))) (-3993 (*1 *1 *1 *1) (-5 *1 (-852))) (-2472 (*1 *1 *1 *1) (-5 *1 (-852))) (-3182 (*1 *1 *1) (-5 *1 (-852))) (-2705 (*1 *1 *1 *1) (-5 *1 (-852))) (-2705 (*1 *1 *1) (-5 *1 (-852)))) 
-(-13 (-1093) (-10 -8 (-15 -1905 ((-1258) $)) (-15 -3932 ($ (-1147))) (-15 -1557 ((-1258) (-1147))) (-15 -2078 ($ (-569))) (-15 -2078 ($ (-1165))) (-15 -2078 ($ (-1147))) (-15 -2078 ($ (-216))) (-15 -4016 ($)) (-15 -4469 ((-569) $)) (-15 -1468 ((-569) $)) (-15 -4469 ((-569))) (-15 -1468 ((-569))) (-15 -3399 ((-569) $)) (-15 -4287 ((-569) $)) (-15 -2929 ($ (-569))) (-15 -3833 ($ (-569))) (-15 -2498 ($ (-569) (-569))) (-15 -3149 ($ $ (-569))) (-15 -3417 ($ $ (-569))) (-15 -1736 ($ $ (-569))) (-15 -3149 ($ $)) (-15 -3417 ($ $)) (-15 -1736 ($ $)) (-15 -2346 ($ $ $)) (-15 -2944 ($ $ $)) (-15 -2346 ($ (-635 $))) (-15 -2944 ($ (-635 $))) (-15 -1410 ($ $ (-635 $))) (-15 -4096 ($ $ (-635 $))) (-15 -4096 ($ $ $ $)) (-15 -1424 ($ $ $)) (-15 -3328 ((-121) $)) (-15 -2503 ($ $ (-635 $))) (-15 -3257 ($ $)) (-15 -1651 ($ $ $)) (-15 -2856 ($ $)) (-15 -2926 ($ (-635 (-635 $)))) (-15 -4310 ($ $ $)) (-15 -3925 ($ $)) (-15 -3925 ($ $ $)) (-15 -2155 ($ $ $)) (-15 -2287 ($ $ $)) (-15 -4205 ($ $ $)) (-15 -1616 ($ $ $)) (-15 -3289 ($ $ (-765))) (-15 -4196 ($ $ $)) (-15 -2282 ($ $ $)) (-15 -2526 ($ $ $)) (-15 -3026 ($ $ $)) (-15 -3096 ($ $ $)) (-15 -2724 ($ $ (-635 $))) (-15 -1904 ($ $ (-635 $))) (-15 -4163 ($ $)) (-15 -4510 ($ $)) (-15 -4510 ($ $ (-765))) (-15 -2318 ($ $)) (-15 -2318 ($ $ (-765))) (-15 -2732 ($ $)) (-15 -3821 ($ $ $)) (-15 -4286 ($ $)) (-15 -4286 ($ $ $)) (-15 -4286 ($ $ $ $)) (-15 -2988 ($ $)) (-15 -2988 ($ $ $)) (-15 -2988 ($ $ $ $)) (-15 -1763 ($ $)) (-15 -1763 ($ $ $)) (-15 -1763 ($ $ $ $)) (-15 -1785 ($ $)) (-15 -1785 ($ (-635 $))) (-15 -1393 ($ $)) (-15 -1393 ($ (-635 $))) (-15 -2674 ($ $)) (-15 -2674 ($ (-635 $))) (-15 -2623 ($ (-635 $))) (-15 -4467 ($ (-635 $))) (-15 -4364 ($ (-635 $))) (-15 -3170 ($ (-635 $))) (-15 -1326 ($ $ $)) (-15 -1452 ($ $ $)) (-15 -1337 ($ $ $)) (-15 -1343 ($ $ $)) (-15 -1349 ($ $ $)) (-15 -1355 ($ $ $)) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)) (-15 -1377 ($ $)) (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -1442 ($ $ $)) (-15 -1614 ($ $ $)) (-15 -1626 ($ $ $)) (-15 -1436 ($ $ $)) (-15 -3993 ($ $ $)) (-15 -2472 ($ $ $)) (-15 -3182 ($ $)) (-15 -2705 ($ $ $)) (-15 -2705 ($ $)))) 
-((-4277 (((-1258) (-635 (-57))) 24)) (-1957 (((-1258) (-1147) (-852)) 14) (((-1258) (-852)) 9) (((-1258) (-1147)) 11))) 
-(((-853) (-10 -7 (-15 -1957 ((-1258) (-1147))) (-15 -1957 ((-1258) (-852))) (-15 -1957 ((-1258) (-1147) (-852))) (-15 -4277 ((-1258) (-635 (-57)))))) (T -853)) 
-((-4277 (*1 *2 *3) (-12 (-5 *3 (-635 (-57))) (-5 *2 (-1258)) (-5 *1 (-853)))) (-1957 (*1 *2 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-852)) (-5 *2 (-1258)) (-5 *1 (-853)))) (-1957 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-853)))) (-1957 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-853))))) 
-(-10 -7 (-15 -1957 ((-1258) (-1147))) (-15 -1957 ((-1258) (-852))) (-15 -1957 ((-1258) (-1147) (-852))) (-15 -4277 ((-1258) (-635 (-57))))) 
-((-1310 (((-121) $ $) NIL)) (-1948 (((-3 $ "failed") (-1165)) 32)) (-2675 (((-765)) 30)) (-3341 (($) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2862 (((-919) $) 28)) (-2605 (((-1147) $) 38)) (-1333 (($ (-919)) 27)) (-1912 (((-1111) $) NIL)) (-4035 (((-1165) $) 13) (((-542) $) 19) (((-889 (-382)) $) 25) (((-889 (-569)) $) 22)) (-3956 (((-852) $) 16)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 35)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 34))) 
-(((-854 |#1|) (-13 (-838) (-610 (-1165)) (-610 (-542)) (-610 (-889 (-382))) (-610 (-889 (-569))) (-10 -8 (-15 -1948 ((-3 $ "failed") (-1165))))) (-635 (-1165))) (T -854)) 
-((-1948 (*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-854 *3)) (-14 *3 (-635 *2))))) 
-(-13 (-838) (-610 (-1165)) (-610 (-542)) (-610 (-889 (-382))) (-610 (-889 (-569))) (-10 -8 (-15 -1948 ((-3 $ "failed") (-1165))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (((-955 |#1|) $) NIL) (($ (-955 |#1|)) NIL) (($ |#1|) NIL (|has| |#1| (-173)))) (-2320 (((-765)) NIL)) (-3696 (((-1258) (-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
-(((-855 |#1| |#2| |#3| |#4|) (-13 (-1049) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 ((-955 |#1|) $)) (-15 -3956 ($ (-955 |#1|))) (IF (|has| |#1| (-366)) (-15 -1383 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3696 ((-1258) (-765))))) (-1049) (-635 (-1165)) (-635 (-765)) (-765)) (T -855)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-955 *3)) (-5 *1 (-855 *3 *4 *5 *6)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))) (-14 *5 (-635 (-765))) (-14 *6 (-765)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-5 *1 (-855 *3 *4 *5 *6)) (-14 *4 (-635 (-1165))) (-14 *5 (-635 (-765))) (-14 *6 (-765)))) (-1383 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-855 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-765))) (-14 *5 (-765)))) (-3696 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-855 *4 *5 *6 *7)) (-4 *4 (-1049)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 *3)) (-14 *7 *3)))) 
-(-13 (-1049) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 ((-955 |#1|) $)) (-15 -3956 ($ (-955 |#1|))) (IF (|has| |#1| (-366)) (-15 -1383 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3696 ((-1258) (-765))))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3676 (((-1253 $) $ $) 78)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-1402 (((-121) $) 111)) (-4102 (((-765)) 115)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2264 (((-1258) $) 74)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 122) (((-3 (-410 (-569)) "failed") $) 119) (((-3 (-410 (-569)) "failed") $) 104) (((-3 (-862) "failed") $) 136) (((-3 (-862) "failed") $) 130)) (-1321 (((-569) $) 121) (((-410 (-569)) $) 118) (((-410 (-569)) $) 105) (((-862) $) 135) (((-862) $) 131)) (-1614 (($ $ $) 53)) (-2793 (($ (-1161 $)) 84)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3238 (($ $ (-765)) 102 (-1929 (|has| (-862) (-149)) (|has| (-862) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) 101 (-1929 (|has| (-862) (-149)) (|has| (-862) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2005 (((-121) $) 69)) (-1831 (($ $) 79)) (-4433 (((-830 (-919)) $) 99 (-1929 (|has| (-862) (-149)) (|has| (-862) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3934 (((-121) $) 30)) (-2474 (($ (-1161 $) $ (-1165)) 76) (($ (-1161 $) (-1165)) 75)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3914 (($ (-635 $)) 81)) (-2786 (((-1161 $) $) 86) (((-1161 $) $ $) 85)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1346 (((-121) $) 112)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 82)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1804 (((-852) $) 73)) (-3139 (((-421 $) $) 72)) (-3648 (((-830 (-919))) 114)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3064 (((-919) $) 80)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2338 (((-635 $) (-1161 $) $) 83)) (-3600 (((-3 (-765) "failed") $ $) 100 (-1929 (|has| (-862) (-149)) (|has| (-862) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2174 (((-140)) 106)) (-2284 (((-830 (-919)) $) 113)) (-3036 (((-1161 $)) 88) (((-1161 $) $) 87)) (-3980 (($ $) 77)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 123) (($ (-410 (-569))) 120) (($ (-410 (-569))) 103) (($ (-862)) 137) (($ (-862)) 129)) (-2277 (((-3 $ "failed") $) 98 (-1929 (|has| (-862) (-149)) (|has| (-862) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3345 (((-121) $) 110)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-4167 (($ $ (-765)) 117 (-1929 (|has| (-862) (-371)) (|has| (-410 (-569)) (-371)))) (($ $) 116 (-1929 (|has| (-862) (-371)) (|has| (-410 (-569)) (-371))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62) (($ $ (-410 (-569))) 107) (($ $ (-862)) 132)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ (-410 (-569)) $) 109) (($ $ (-410 (-569))) 108) (($ (-862) $) 134) (($ $ (-862)) 133))) 
-(((-856) (-1284)) (T -856)) 
-NIL 
-(-13 (-861) (-1039 (-862)) (-1270 (-862))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 (-862) (-862)) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| (-862) (-371)) (|has| (-862) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-1270 (-410 (-569))) . T) ((-1270 (-862)) . T) ((-366) . T) ((-405) -1929 (|has| (-862) (-371)) (|has| (-862) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 (-862)) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 (-862)) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-860) . T) ((-861) . T) ((-1039 (-410 (-569))) . T) ((-1039 (-569)) . T) ((-1039 (-862)) . T) ((-1055 (-410 (-569))) . T) ((-1055 (-862)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T) ((-1260 (-410 (-569))) . T) ((-1260 (-862)) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 47)) (-3676 (((-1253 $) $ $) 69)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2264 (((-1258) $) 78)) (-4483 (($) NIL T CONST)) (-3357 (((-862) $) 17)) (-3003 (((-3 (-569) "failed") $) 75) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-862) "failed") $) 72) (((-3 (-862) "failed") $) 72)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) (((-410 (-569)) $) NIL) (((-862) $) 111) (((-862) $) 111)) (-1614 (($ $ $) NIL)) (-2793 (($ (-1161 $)) 59)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-862) (-149)) (|has| (-862) (-371)))) (($ $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-862) (-149)) (|has| (-862) (-371))))) (-2005 (((-121) $) NIL)) (-1831 (($ $) 63)) (-4433 (((-830 (-919)) $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-862) (-149)) (|has| (-862) (-371))))) (-3934 (((-121) $) 117)) (-2474 (($ (-1161 $) $ (-1165)) 41) (($ (-1161 $) (-1165)) 94)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3914 (($ (-635 $)) 61)) (-2786 (((-1161 $) $) 55) (((-1161 $) $ $) 56)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 101)) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 62)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1804 (((-852) $) 124)) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3064 (((-919) $) 37)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2338 (((-635 $) (-1161 $) $) 96)) (-3600 (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-862) (-149)) (|has| (-862) (-371))))) (-2174 (((-140)) NIL)) (-2284 (((-830 (-919)) $) NIL)) (-3036 (((-1161 $)) 79) (((-1161 $) $) 64)) (-3980 (($ $) NIL)) (-3956 (((-852) $) 123) (($ (-569)) 44) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 44) (($ (-410 (-569))) NIL) (($ (-410 (-569))) NIL) (($ (-862)) 118) (($ (-862)) 118)) (-2277 (((-3 $ "failed") $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-862) (-149)) (|has| (-862) (-371))))) (-2320 (((-765)) 126)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 48 T CONST)) (-3297 (($) 38 T CONST)) (-4167 (($ $ (-765)) NIL (-1929 (|has| (-410 (-569)) (-371)) (|has| (-862) (-371)))) (($ $) NIL (-1929 (|has| (-410 (-569)) (-371)) (|has| (-862) (-371))))) (-1326 (((-121) $ $) 114)) (-1383 (($ $ $) 102) (($ $ (-410 (-569))) NIL) (($ $ (-862)) NIL)) (-1377 (($ $) 35) (($ $ $) 105)) (-1371 (($ $ $) 81)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 53) (($ $ $) 31) (($ $ (-410 (-569))) 109) (($ (-410 (-569)) $) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) 109) (($ (-862) $) 103) (($ $ (-862)) 104))) 
-(((-857 |#1|) (-13 (-856) (-10 -8 (-15 -1804 ((-852) $)) (-15 -3357 ((-862) $)))) (-862)) (T -857)) 
-((-1804 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-857 *3)) (-14 *3 (-862)))) (-3357 (*1 *2 *1) (-12 (-5 *2 (-862)) (-5 *1 (-857 *3)) (-14 *3 *2)))) 
-(-13 (-856) (-10 -8 (-15 -1804 ((-852) $)) (-15 -3357 ((-862) $)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3676 (((-1253 $) $ $) 113)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-2039 (((-1173 (-919) (-765)) (-569)) 88)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2675 (((-765)) 98)) (-2264 (((-1258) $) 117)) (-4483 (($) 16 T CONST)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-1614 (($ $ $) 53)) (-2793 (($ (-1161 $)) 107)) (-2611 (((-3 $ "failed") $) 33)) (-3341 (($) 101)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-1456 (($) 86)) (-3462 (((-121) $) 85)) (-3238 (($ $) 75) (($ $ (-765)) 74)) (-2005 (((-121) $) 69)) (-1831 (($ $) 112)) (-4433 (((-830 (-919)) $) 77) (((-919) $) 83)) (-3934 (((-121) $) 30)) (-1542 (((-3 $ "failed") $) 97)) (-2474 (($ (-1161 $) (-1165)) 116) (($ (-1161 $) $ (-1165)) 115)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3914 (($ (-635 $)) 110)) (-2862 (((-919) $) 100)) (-2786 (((-1161 $) $ $) 106) (((-1161 $) $) 105)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1423 (($) 96 T CONST)) (-1333 (($ (-919)) 99)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 109)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1804 (((-852) $) 118)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 89)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3064 (((-919) $) 111)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2338 (((-635 $) (-1161 $) $) 108)) (-3600 (((-3 (-765) "failed") $ $) 76) (((-765) $) 84)) (-3289 (($ $ (-765)) 94) (($ $) 92)) (-3036 (((-1161 $) $) 104) (((-1161 $)) 103)) (-3563 (($) 87)) (-3980 (($ $) 114)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 90)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2277 (((-3 $ "failed") $) 78) (($ $) 91)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-765)) 95) (($ $) 93)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-858) (-1284)) (T -858)) 
-NIL 
-(-13 (-351) (-860)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-852)) . T) ((-173) . T) ((-226) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) . T) ((-371) . T) ((-351) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-860) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) . T) ((-1208) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 29)) (-3676 (((-1253 $) $ $) 48)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 39)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-2039 (((-1173 (-919) (-765)) (-569)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) 52)) (-2264 (((-1258) $) 56)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 126)) (-1321 ((|#1| $) 85)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 139)) (-1614 (($ $ $) NIL)) (-2793 (($ (-1161 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) 82)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL)) (-3462 (((-121) $) NIL)) (-3238 (($ $) NIL) (($ $ (-765)) NIL)) (-2005 (((-121) $) NIL)) (-1831 (($ $) 41)) (-4433 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3934 (((-121) $) 123)) (-1542 (((-3 $ "failed") $) NIL)) (-2474 (($ (-1161 $) (-1165)) 79) (($ (-1161 $) $ (-1165)) 99)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3914 (($ (-635 $)) 104)) (-2862 (((-919) $) 134)) (-2786 (((-1161 $) $ $) NIL) (((-1161 $) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 27)) (-1423 (($) NIL T CONST)) (-1333 (($ (-919)) 136)) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 40)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1804 (((-852) $) 132)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL)) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3064 (((-919) $) 14)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2338 (((-635 $) (-1161 $) $) 81)) (-3600 (((-3 (-765) "failed") $ $) NIL) (((-765) $) NIL)) (-2174 (((-140)) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-2284 (((-830 (-919)) $) 17)) (-3036 (((-1161 $) $) 20) (((-1161 $)) NIL)) (-3563 (($) NIL)) (-3980 (($ $) 90)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL)) (-3956 (((-852) $) 131) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 124)) (-2277 (((-3 $ "failed") $) NIL) (($ $) 89)) (-2320 (((-765)) 140)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 30 T CONST)) (-3297 (($) 21 T CONST)) (-4167 (($ $ (-765)) NIL (|has| |#1| (-371))) (($ $) NIL (|has| |#1| (-371)))) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1326 (((-121) $ $) 120)) (-1383 (($ $ $) 96) (($ $ |#1|) NIL)) (-1377 (($ $) 97) (($ $ $) 107)) (-1371 (($ $ $) 63)) (** (($ $ (-919)) 33) (($ $ (-765)) 34) (($ $ (-569)) 37)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 111) (($ $ $) 65) (($ $ (-410 (-569))) 112) (($ (-410 (-569)) $) NIL) (($ |#1| $) 105) (($ $ |#1|) 106))) 
-(((-859 |#1|) (-13 (-858) (-1270 |#1|) (-10 -8 (-15 -1804 ((-852) $)))) (-351)) (T -859)) 
-((-1804 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-859 *3)) (-4 *3 (-351))))) 
-(-13 (-858) (-1270 |#1|) (-10 -8 (-15 -1804 ((-852) $)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3676 (((-1253 $) $ $) 78)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2264 (((-1258) $) 74)) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 53)) (-2793 (($ (-1161 $)) 84)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-1831 (($ $) 79)) (-3934 (((-121) $) 30)) (-2474 (($ (-1161 $) $ (-1165)) 76) (($ (-1161 $) (-1165)) 75)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3914 (($ (-635 $)) 81)) (-2786 (((-1161 $) $) 86) (((-1161 $) $ $) 85)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 82)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1804 (((-852) $) 73)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3064 (((-919) $) 80)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2338 (((-635 $) (-1161 $) $) 83)) (-3036 (((-1161 $)) 88) (((-1161 $) $) 87)) (-3980 (($ $) 77)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-860) (-1284)) (T -860)) 
-((-3036 (*1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) (-3036 (*1 *2 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) (-2786 (*1 *2 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) (-2786 (*1 *2 *1 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) (-2338 (*1 *2 *3 *1) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-860)) (-5 *2 (-635 *1)))) (-3249 (*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-121)))) (-3914 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-860)))) (-3064 (*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-919)))) (-1831 (*1 *1 *1) (-4 *1 (-860))) (-3676 (*1 *2 *1 *1) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-860)))) (-3980 (*1 *1 *1) (-4 *1 (-860))) (-2474 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-860)))) (-2474 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-860)))) (-2264 (*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-1258)))) (-1804 (*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-852))))) 
-(-13 (-366) (-10 -8 (-15 -3036 ((-1161 $))) (-15 -3036 ((-1161 $) $)) (-15 -2786 ((-1161 $) $)) (-15 -2786 ((-1161 $) $ $)) (-15 -2793 ($ (-1161 $))) (-15 -2338 ((-635 $) (-1161 $) $)) (-15 -3249 ((-121) $)) (-15 -3914 ($ (-635 $))) (-15 -3064 ((-919) $)) (-15 -1831 ($ $)) (-15 -3676 ((-1253 $) $ $)) (-15 -3980 ($ $)) (-15 -2474 ($ (-1161 $) $ (-1165))) (-15 -2474 ($ (-1161 $) (-1165))) (-15 -2264 ((-1258) $)) (-15 -1804 ((-852) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3676 (((-1253 $) $ $) 78)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-1402 (((-121) $) 111)) (-4102 (((-765)) 115)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2264 (((-1258) $) 74)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 122) (((-3 (-410 (-569)) "failed") $) 119) (((-3 (-410 (-569)) "failed") $) 104)) (-1321 (((-569) $) 121) (((-410 (-569)) $) 118) (((-410 (-569)) $) 105)) (-1614 (($ $ $) 53)) (-2793 (($ (-1161 $)) 84)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3238 (($ $ (-765)) 102 (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) 101 (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2005 (((-121) $) 69)) (-1831 (($ $) 79)) (-4433 (((-830 (-919)) $) 99 (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3934 (((-121) $) 30)) (-2474 (($ (-1161 $) $ (-1165)) 76) (($ (-1161 $) (-1165)) 75)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3914 (($ (-635 $)) 81)) (-2786 (((-1161 $) $) 86) (((-1161 $) $ $) 85)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1346 (((-121) $) 112)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 82)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1804 (((-852) $) 73)) (-3139 (((-421 $) $) 72)) (-3648 (((-830 (-919))) 114)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3064 (((-919) $) 80)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2338 (((-635 $) (-1161 $) $) 83)) (-3600 (((-3 (-765) "failed") $ $) 100 (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2174 (((-140)) 106)) (-2284 (((-830 (-919)) $) 113)) (-3036 (((-1161 $)) 88) (((-1161 $) $) 87)) (-3980 (($ $) 77)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 123) (($ (-410 (-569))) 120) (($ (-410 (-569))) 103)) (-2277 (((-3 $ "failed") $) 98 (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3345 (((-121) $) 110)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-4167 (($ $ (-765)) 117 (|has| (-410 (-569)) (-371))) (($ $) 116 (|has| (-410 (-569)) (-371)))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62) (($ $ (-410 (-569))) 107)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ (-410 (-569)) $) 109) (($ $ (-410 (-569))) 108))) 
-(((-861) (-1284)) (T -861)) 
-NIL 
-(-13 (-860) (-151) (-1039 (-569)) (-1039 (-410 (-569))) (-1270 (-410 (-569)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-1270 (-410 (-569))) . T) ((-366) . T) ((-405) -1929 (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-860) . T) ((-1039 (-410 (-569))) . T) ((-1039 (-569)) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T) ((-1260 (-410 (-569))) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 16)) (-3676 (((-1253 $) $ $) 47)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2264 (((-1258) $) 51)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) 104) (((-3 (-410 (-569)) "failed") $) 106) (((-3 (-410 (-569)) "failed") $) 106)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) 94) (((-410 (-569)) $) 94)) (-1614 (($ $ $) NIL)) (-2793 (($ (-1161 $)) 34)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2005 (((-121) $) NIL)) (-1831 (($ $) 40)) (-4433 (((-830 (-919)) $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3934 (((-121) $) 100)) (-2474 (($ (-1161 $) $ (-1165)) 79) (($ (-1161 $) (-1165)) 70) (($ (-1161 $) (-1161 $) (-919) $ (-1165)) 80)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3914 (($ (-635 $)) 38)) (-2786 (((-1161 $) $) 29) (((-1161 $) $ $) 31)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 86)) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 39)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1804 (((-852) $) 112)) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3064 (((-919) $) 30)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2338 (((-635 $) (-1161 $) $) 72)) (-3600 (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2174 (((-140)) NIL)) (-2284 (((-830 (-919)) $) NIL)) (-3036 (((-1161 $)) 52) (((-1161 $) $) 41)) (-3980 (($ $) NIL)) (-3956 (((-852) $) 111) (($ (-569)) 14) (($ $) NIL) (($ (-410 (-569))) 101) (($ (-569)) 14) (($ (-410 (-569))) 101) (($ (-410 (-569))) 101)) (-2277 (((-3 $ "failed") $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2320 (((-765)) 114)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 17 T CONST)) (-3297 (($) 73 T CONST)) (-4167 (($ $ (-765)) NIL (|has| (-410 (-569)) (-371))) (($ $) NIL (|has| (-410 (-569)) (-371)))) (-1326 (((-121) $ $) 97)) (-1383 (($ $ $) 78) (($ $ (-410 (-569))) NIL)) (-1377 (($ $) 19) (($ $ $) 89)) (-1371 (($ $ $) 54)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 18) (($ $ $) 57) (($ $ (-410 (-569))) 88) (($ (-410 (-569)) $) 87) (($ (-410 (-569)) $) 87) (($ $ (-410 (-569))) 88))) 
-(((-862) (-13 (-861) (-10 -8 (-15 -1804 ((-852) $)) (-15 -2474 ($ (-1161 $) (-1161 $) (-919) $ (-1165)))))) (T -862)) 
-((-1804 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-862)))) (-2474 (*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1161 (-862))) (-5 *3 (-919)) (-5 *4 (-1165)) (-5 *1 (-862))))) 
-(-13 (-861) (-10 -8 (-15 -1804 ((-852) $)) (-15 -2474 ($ (-1161 $) (-1161 $) (-919) $ (-1165))))) 
-((-1891 (((-3 (-174 |#3|) "failed") (-765) (-765) |#2| |#2|) 31)) (-3216 (((-3 (-410 |#3|) "failed") (-765) (-765) |#2| |#2|) 24))) 
-(((-863 |#1| |#2| |#3|) (-10 -7 (-15 -3216 ((-3 (-410 |#3|) "failed") (-765) (-765) |#2| |#2|)) (-15 -1891 ((-3 (-174 |#3|) "failed") (-765) (-765) |#2| |#2|))) (-366) (-1243 |#1|) (-1228 |#1|)) (T -863)) 
-((-1891 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-4 *5 (-366)) (-5 *2 (-174 *6)) (-5 *1 (-863 *5 *4 *6)) (-4 *4 (-1243 *5)) (-4 *6 (-1228 *5)))) (-3216 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-4 *5 (-366)) (-5 *2 (-410 *6)) (-5 *1 (-863 *5 *4 *6)) (-4 *4 (-1243 *5)) (-4 *6 (-1228 *5))))) 
-(-10 -7 (-15 -3216 ((-3 (-410 |#3|) "failed") (-765) (-765) |#2| |#2|)) (-15 -1891 ((-3 (-174 |#3|) "failed") (-765) (-765) |#2| |#2|))) 
-((-3216 (((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|)) 28) (((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) 26))) 
-(((-864 |#1| |#2| |#3|) (-10 -7 (-15 -3216 ((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) (-15 -3216 ((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|)))) (-366) (-1165) |#1|) (T -864)) 
-((-3216 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-765)) (-5 *4 (-1244 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1165)) (-14 *7 *5) (-5 *2 (-410 (-1225 *6 *5))) (-5 *1 (-864 *5 *6 *7)))) (-3216 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-5 *4 (-1244 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1165)) (-14 *7 *5) (-5 *2 (-410 (-1225 *6 *5))) (-5 *1 (-864 *5 *6 *7))))) 
-(-10 -7 (-15 -3216 ((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) (-15 -3216 ((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-3422 (($ $ (-569)) 60)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-3925 (($ (-1161 (-569)) (-569)) 59)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-2314 (($ $) 62)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-4433 (((-765) $) 67)) (-3934 (((-121) $) 30)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-4138 (((-569)) 64)) (-2760 (((-569) $) 63)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3803 (($ $ (-569)) 66)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2721 (((-1145 (-569)) $) 68)) (-2994 (($ $) 65)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-4334 (((-569) $ (-569)) 61)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-865 |#1|) (-1284) (-569)) (T -865)) 
-((-2721 (*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-1145 (-569))))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-765)))) (-3803 (*1 *1 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) (-2994 (*1 *1 *1) (-4 *1 (-865 *2))) (-4138 (*1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) (-2760 (*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) (-2314 (*1 *1 *1) (-4 *1 (-865 *2))) (-4334 (*1 *2 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) (-3422 (*1 *1 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) (-3925 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *3 (-569)) (-4 *1 (-865 *4))))) 
-(-13 (-302) (-151) (-10 -8 (-15 -2721 ((-1145 (-569)) $)) (-15 -4433 ((-765) $)) (-15 -3803 ($ $ (-569))) (-15 -2994 ($ $)) (-15 -4138 ((-569))) (-15 -2760 ((-569) $)) (-15 -2314 ($ $)) (-15 -4334 ((-569) $ (-569))) (-15 -3422 ($ $ (-569))) (-15 -3925 ($ (-1161 (-569)) (-569))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $ (-569)) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-3925 (($ (-1161 (-569)) (-569)) NIL)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2314 (($ $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-4433 (((-765) $) NIL)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4138 (((-569)) NIL)) (-2760 (((-569) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3803 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2721 (((-1145 (-569)) $) NIL)) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-4334 (((-569) $ (-569)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
-(((-866 |#1|) (-865 |#1|) (-569)) (T -866)) 
-NIL 
-(-865 |#1|) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-866 |#1|) $) NIL (|has| (-866 |#1|) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-866 |#1|) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-866 |#1|) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-866 |#1|) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-866 |#1|) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-866 |#1|) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-866 |#1|) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-866 |#1|) (-1039 (-569))))) (-1321 (((-866 |#1|) $) NIL) (((-1165) $) NIL (|has| (-866 |#1|) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-866 |#1|) (-1039 (-569)))) (((-569) $) NIL (|has| (-866 |#1|) (-1039 (-569))))) (-4339 (($ $) NIL) (($ (-569) $) NIL)) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-866 |#1|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-866 |#1|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-866 |#1|))) (|:| |vec| (-1253 (-866 |#1|)))) (-681 $) (-1253 $)) NIL) (((-681 (-866 |#1|)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-866 |#1|) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-866 |#1|) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-866 |#1|) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-866 |#1|) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-866 |#1|) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-866 |#1|) (-1139)))) (-4311 (((-121) $) NIL (|has| (-866 |#1|) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-866 |#1|) (-844)))) (-2713 (($ $ $) NIL (|has| (-866 |#1|) (-844)))) (-4188 (($ (-1 (-866 |#1|) (-866 |#1|)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-866 |#1|) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-866 |#1|) (-302)))) (-1807 (((-866 |#1|) $) NIL (|has| (-866 |#1|) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-866 |#1|) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-866 |#1|) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-866 |#1|)) (-635 (-866 |#1|))) NIL (|has| (-866 |#1|) (-304 (-866 |#1|)))) (($ $ (-866 |#1|) (-866 |#1|)) NIL (|has| (-866 |#1|) (-304 (-866 |#1|)))) (($ $ (-289 (-866 |#1|))) NIL (|has| (-866 |#1|) (-304 (-866 |#1|)))) (($ $ (-635 (-289 (-866 |#1|)))) NIL (|has| (-866 |#1|) (-304 (-866 |#1|)))) (($ $ (-635 (-1165)) (-635 (-866 |#1|))) NIL (|has| (-866 |#1|) (-524 (-1165) (-866 |#1|)))) (($ $ (-1165) (-866 |#1|)) NIL (|has| (-866 |#1|) (-524 (-1165) (-866 |#1|))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-866 |#1|)) NIL (|has| (-866 |#1|) (-282 (-866 |#1|) (-866 |#1|))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-866 |#1|) (-226))) (($ $ (-765)) NIL (|has| (-866 |#1|) (-226))) (($ $ (-1165)) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-1 (-866 |#1|) (-866 |#1|)) (-765)) NIL) (($ $ (-1 (-866 |#1|) (-866 |#1|))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-866 |#1|) $) NIL)) (-4035 (((-889 (-569)) $) NIL (|has| (-866 |#1|) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-866 |#1|) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-866 |#1|) (-610 (-542)))) (((-382) $) NIL (|has| (-866 |#1|) (-1023))) (((-216) $) NIL (|has| (-866 |#1|) (-1023)))) (-2914 (((-174 (-410 (-569))) $) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-866 |#1|) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-866 |#1|)) NIL) (($ (-1165)) NIL (|has| (-866 |#1|) (-1039 (-1165))))) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-866 |#1|) (-906))) (|has| (-866 |#1|) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-866 |#1|) $) NIL (|has| (-866 |#1|) (-551)))) (-2909 (((-121) $ $) NIL)) (-4334 (((-410 (-569)) $ (-569)) NIL)) (-4080 (($ $) NIL (|has| (-866 |#1|) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-866 |#1|) (-226))) (($ $ (-765)) NIL (|has| (-866 |#1|) (-226))) (($ $ (-1165)) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-1 (-866 |#1|) (-866 |#1|)) (-765)) NIL) (($ $ (-1 (-866 |#1|) (-866 |#1|))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-866 |#1|) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-866 |#1|) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-866 |#1|) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-866 |#1|) (-844)))) (-1383 (($ $ $) NIL) (($ (-866 |#1|) (-866 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-866 |#1|) $) NIL) (($ $ (-866 |#1|)) NIL))) 
-(((-867 |#1|) (-13 (-995 (-866 |#1|)) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) (-569)) (T -867)) 
-((-4334 (*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-867 *4)) (-14 *4 *3) (-5 *3 (-569)))) (-2914 (*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-867 *3)) (-14 *3 (-569)))) (-4339 (*1 *1 *1) (-12 (-5 *1 (-867 *2)) (-14 *2 (-569)))) (-4339 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-867 *3)) (-14 *3 *2)))) 
-(-13 (-995 (-866 |#1|)) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 ((|#2| $) NIL (|has| |#2| (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| |#2| (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| |#2| (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569))))) (-1321 ((|#2| $) NIL) (((-1165) $) NIL (|has| |#2| (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-569)))) (((-569) $) NIL (|has| |#2| (-1039 (-569))))) (-4339 (($ $) 31) (($ (-569) $) 32)) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) 53)) (-3341 (($) NIL (|has| |#2| (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| |#2| (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| |#2| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| |#2| (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 ((|#2| $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#2| (-1139)))) (-4311 (((-121) $) NIL (|has| |#2| (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 49)) (-1423 (($) NIL (|has| |#2| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| |#2| (-302)))) (-1807 ((|#2| $) NIL (|has| |#2| (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 |#2|) (-635 |#2|)) NIL (|has| |#2| (-304 |#2|))) (($ $ |#2| |#2|) NIL (|has| |#2| (-304 |#2|))) (($ $ (-289 |#2|)) NIL (|has| |#2| (-304 |#2|))) (($ $ (-635 (-289 |#2|))) NIL (|has| |#2| (-304 |#2|))) (($ $ (-635 (-1165)) (-635 |#2|)) NIL (|has| |#2| (-524 (-1165) |#2|))) (($ $ (-1165) |#2|) NIL (|has| |#2| (-524 (-1165) |#2|)))) (-2061 (((-765) $) NIL)) (-2503 (($ $ |#2|) NIL (|has| |#2| (-282 |#2| |#2|)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| |#2| (-226))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-2572 (($ $) NIL)) (-3524 ((|#2| $) NIL)) (-4035 (((-889 (-569)) $) NIL (|has| |#2| (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| |#2| (-610 (-889 (-382))))) (((-542) $) NIL (|has| |#2| (-610 (-542)))) (((-382) $) NIL (|has| |#2| (-1023))) (((-216) $) NIL (|has| |#2| (-1023)))) (-2914 (((-174 (-410 (-569))) $) 68)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-3956 (((-852) $) 85) (($ (-569)) 19) (($ $) NIL) (($ (-410 (-569))) 24) (($ |#2|) 18) (($ (-1165)) NIL (|has| |#2| (-1039 (-1165))))) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-3215 ((|#2| $) NIL (|has| |#2| (-551)))) (-2909 (((-121) $ $) NIL)) (-4334 (((-410 (-569)) $ (-569)) 60)) (-4080 (($ $) NIL (|has| |#2| (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 14 T CONST)) (-3297 (($) 16 T CONST)) (-3712 (($ $) NIL (|has| |#2| (-226))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) 35)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ $) 23) (($ |#2| |#2|) 54)) (-1377 (($ $) 39) (($ $ $) 41)) (-1371 (($ $ $) 37)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 50)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 42) (($ $ $) 44) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#2| $) 55) (($ $ |#2|) NIL))) 
-(((-868 |#1| |#2|) (-13 (-995 |#2|) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) (-569) (-865 |#1|)) (T -868)) 
-((-4334 (*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-410 (-569))) (-5 *1 (-868 *4 *5)) (-5 *3 (-569)) (-4 *5 (-865 *4)))) (-2914 (*1 *2 *1) (-12 (-14 *3 (-569)) (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-868 *3 *4)) (-4 *4 (-865 *3)))) (-4339 (*1 *1 *1) (-12 (-14 *2 (-569)) (-5 *1 (-868 *2 *3)) (-4 *3 (-865 *2)))) (-4339 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-14 *3 *2) (-5 *1 (-868 *3 *4)) (-4 *4 (-865 *3))))) 
-(-13 (-995 |#2|) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) 
-((-2350 (((-243 |#2| (-859 |#1|)) (-243 |#2| |#1|) (-969 |#1|)) NIL)) (-3370 (((-243 |#2| |#1|)) 107)) (-1940 (((-635 (-969 |#1|))) 116)) (-2337 (((-635 (-969 |#1|)) (-635 (-969 |#1|))) 27)) (-1818 (((-243 |#2| |#1|) (-243 |#2| |#1|)) 35)) (-3768 (((-635 (-969 |#1|))) 60)) (-1559 (((-635 (-924 |#1|))) 58)) (-2110 (((-969 |#1|) (-635 (-859 |#1|))) 17)) (-2778 (((-969 |#1|) (-924 |#1|)) 21)) (-2080 (((-635 (-924 |#1|)) (-919)) 45 (|has| (-859 |#1|) (-371)))) (-2921 (((-635 (-924 |#1|)) (-969 |#1|)) 24)) (-3362 (((-776 (-859 |#1|)) (-243 |#2| |#1|) (-924 |#1|)) 119)) (-3088 (((-569) (-919)) 47 (|has| (-859 |#1|) (-371)))) (-4107 (((-569) (-919) (-919)) 49 (|has| (-859 |#1|) (-371)))) (-2390 (((-569) (-919)) 43 (|has| (-859 |#1|) (-371)))) (-3375 (((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-924 |#1|))) 62) (((-635 (-410 (-243 |#2| |#1|))) (-237 (-924 |#1|)) (-765)) NIL)) (-2966 (((-237 (-924 |#1|)) (-243 |#2| |#1|)) 135)) (-2087 (((-635 (-243 |#2| (-859 |#1|))) (-237 (-924 |#1|)) (-635 (-243 |#2| |#1|))) 125)) (-3280 (((-635 (-243 |#2| |#1|)) (-237 (-924 |#1|)) (-765)) 123)) (-4209 (((-243 |#2| |#1|) (-243 |#2| |#1|) (-569)) 13)) (-3807 (((-681 |#1|) (-237 (-924 |#1|)) (-635 (-924 |#1|))) 67) (((-681 |#1|) (-237 (-924 |#1|)) (-237 (-924 |#1|))) 69)) (-4289 (((-569)) 105)) (-2196 (((-765)) 103)) (-3090 (((-1258)) 144)) (-1747 (((-1258)) 140)) (-1560 (((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-924 |#1|)) (-569) (-569)) 32)) (-1788 (((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-924 |#1|)) 132) (((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|)) 127) (((-3 |#1| "failed") (-243 |#2| |#1|) (-924 |#1|)) 96)) (-1484 ((|#1| (-410 (-243 |#2| |#1|)) (-924 |#1|)) 133) ((|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|)) 63) ((|#1| (-243 |#2| |#1|) (-924 |#1|)) 98)) (-4427 (((-635 (-260 (-538 |#1| |#2| |#3|)))) 112)) (-3344 (((-635 (-260 (-538 |#1| |#2| |#3|)))) 110)) (-3552 (((-569)) 56 (|has| (-859 |#1|) (-371)))) (-2774 (((-237 (-924 |#1|))) 114)) (-3278 (((-1248 (-569) -4542) (-919)) 41 (|has| (-859 |#1|) (-371))) (((-1248 (-569) -4542)) 38 (|has| (-859 |#1|) (-371)))) (-4377 (((-1161 (-569)) (-919)) 54 (|has| (-859 |#1|) (-371))) (((-1161 (-569))) 52 (|has| (-859 |#1|) (-371))))) 
-(((-869 |#1| |#2| |#3|) (-10 -7 (-15 -4209 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -1747 ((-1258))) (-15 -3090 ((-1258))) (-15 -1818 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -2350 ((-243 |#2| (-859 |#1|)) (-243 |#2| |#1|) (-969 |#1|))) (-15 -3807 ((-681 |#1|) (-237 (-924 |#1|)) (-237 (-924 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-924 |#1|)) (-635 (-924 |#1|)))) (-15 -2778 ((-969 |#1|) (-924 |#1|))) (-15 -2921 ((-635 (-924 |#1|)) (-969 |#1|))) (-15 -2110 ((-969 |#1|) (-635 (-859 |#1|)))) (-15 -2337 ((-635 (-969 |#1|)) (-635 (-969 |#1|)))) (-15 -1559 ((-635 (-924 |#1|)))) (-15 -3370 ((-243 |#2| |#1|))) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -4427 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -3344 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -3768 ((-635 (-969 |#1|)))) (-15 -1940 ((-635 (-969 |#1|)))) (-15 -3362 ((-776 (-859 |#1|)) (-243 |#2| |#1|) (-924 |#1|))) (-15 -3375 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-924 |#1|)) (-765))) (-15 -3375 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-924 |#1|)))) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-924 |#1|)) (-569) (-569))) (-15 -2087 ((-635 (-243 |#2| (-859 |#1|))) (-237 (-924 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -3280 ((-635 (-243 |#2| |#1|)) (-237 (-924 |#1|)) (-765))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-924 |#1|))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|))) (-15 -1484 (|#1| (-410 (-243 |#2| |#1|)) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-924 |#1|))) (-15 -2966 ((-237 (-924 |#1|)) (-243 |#2| |#1|))) (-15 -2774 ((-237 (-924 |#1|)))) (IF (|has| (-859 |#1|) (-371)) (PROGN (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 (-924 |#1|)) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) (-351) (-635 (-1165)) (-117)) (T -869)) 
-((-3278 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3278 (*1 *2) (-12 (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4107 (*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3088 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2390 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2080 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-635 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3552 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4377 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 (-569))) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-4377 (*1 *2) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2774 (*1 *2) (-12 (-5 *2 (-237 (-924 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2966 (*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-5 *2 (-237 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-3280 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-2087 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-635 (-243 *6 *5))) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-243 *6 (-859 *5)))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) (-1560 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-924 *5))) (-4 *5 (-351)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-869 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3375 (*1 *2 *3) (-12 (-5 *3 (-237 (-924 *4))) (-4 *4 (-351)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3375 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3362 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-924 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-776 (-859 *5))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) (-1940 (*1 *2) (-12 (-5 *2 (-635 (-969 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3768 (*1 *2) (-12 (-5 *2 (-635 (-969 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3344 (*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4427 (*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4289 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2196 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3370 (*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1559 (*1 *2) (-12 (-5 *2 (-635 (-924 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2337 (*1 *2 *2) (-12 (-5 *2 (-635 (-969 *3))) (-4 *3 (-351)) (-5 *1 (-869 *3 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2110 (*1 *2 *3) (-12 (-5 *3 (-635 (-859 *4))) (-4 *4 (-351)) (-5 *2 (-969 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2921 (*1 *2 *3) (-12 (-5 *3 (-969 *4)) (-4 *4 (-351)) (-5 *2 (-635 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2778 (*1 *2 *3) (-12 (-5 *3 (-924 *4)) (-4 *4 (-351)) (-5 *2 (-969 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3807 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-635 (-924 *5))) (-4 *5 (-351)) (-5 *2 (-681 *5)) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3807 (*1 *2 *3 *3) (-12 (-5 *3 (-237 (-924 *4))) (-4 *4 (-351)) (-5 *2 (-681 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2350 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-969 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-243 *6 (-859 *5))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) (-1818 (*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-5 *1 (-869 *3 *4 *5)) (-4 *5 (-117)))) (-3090 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1747 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4209 (*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117))))) 
-(-10 -7 (-15 -4209 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -1747 ((-1258))) (-15 -3090 ((-1258))) (-15 -1818 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -2350 ((-243 |#2| (-859 |#1|)) (-243 |#2| |#1|) (-969 |#1|))) (-15 -3807 ((-681 |#1|) (-237 (-924 |#1|)) (-237 (-924 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-924 |#1|)) (-635 (-924 |#1|)))) (-15 -2778 ((-969 |#1|) (-924 |#1|))) (-15 -2921 ((-635 (-924 |#1|)) (-969 |#1|))) (-15 -2110 ((-969 |#1|) (-635 (-859 |#1|)))) (-15 -2337 ((-635 (-969 |#1|)) (-635 (-969 |#1|)))) (-15 -1559 ((-635 (-924 |#1|)))) (-15 -3370 ((-243 |#2| |#1|))) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -4427 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -3344 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -3768 ((-635 (-969 |#1|)))) (-15 -1940 ((-635 (-969 |#1|)))) (-15 -3362 ((-776 (-859 |#1|)) (-243 |#2| |#1|) (-924 |#1|))) (-15 -3375 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-924 |#1|)) (-765))) (-15 -3375 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-924 |#1|)))) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-924 |#1|)) (-569) (-569))) (-15 -2087 ((-635 (-243 |#2| (-859 |#1|))) (-237 (-924 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -3280 ((-635 (-243 |#2| |#1|)) (-237 (-924 |#1|)) (-765))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-924 |#1|))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|))) (-15 -1484 (|#1| (-410 (-243 |#2| |#1|)) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-924 |#1|))) (-15 -2966 ((-237 (-924 |#1|)) (-243 |#2| |#1|))) (-15 -2774 ((-237 (-924 |#1|)))) (IF (|has| (-859 |#1|) (-371)) (PROGN (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 (-924 |#1|)) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) 
-((-3370 (((-243 |#2| |#1|)) 83)) (-1940 (((-635 (-968 |#1|))) 92)) (-2337 (((-635 (-968 |#1|)) (-635 (-968 |#1|))) 24)) (-1818 (((-243 |#2| |#1|) (-243 |#2| |#1|)) 75)) (-3768 (((-635 (-968 |#1|))) 65)) (-1559 (((-635 (-923 |#1|))) 63)) (-2110 (((-968 |#1|) (-635 |#1|)) 27)) (-2778 (((-968 |#1|) (-923 |#1|)) 18)) (-2080 (((-635 (-923 |#1|)) (-919)) 50 (|has| |#1| (-371)))) (-2921 (((-635 (-923 |#1|)) (-968 |#1|)) 21)) (-3362 (((-776 |#1|) (-243 |#2| |#1|) (-923 |#1|)) 95)) (-3088 (((-569) (-919)) 52 (|has| |#1| (-371)))) (-4107 (((-569) (-919) (-919)) 54 (|has| |#1| (-371)))) (-2390 (((-569) (-919)) 48 (|has| |#1| (-371)))) (-3375 (((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|))) 33) (((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-765)) NIL)) (-2966 (((-237 (-923 |#1|)) (-243 |#2| |#1|)) 107)) (-2087 (((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|))) 31)) (-3280 (((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-765)) 97)) (-4209 (((-243 |#2| |#1|) (-243 |#2| |#1|) (-569)) 13)) (-3807 (((-681 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|))) 38) (((-681 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|))) 40)) (-4289 (((-569)) 81)) (-2196 (((-765)) 79)) (-3090 (((-1258)) 116)) (-1747 (((-1258)) 112)) (-1560 (((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569)) NIL)) (-1788 (((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|)) 105) (((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|)) 104) (((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|)) 73)) (-1484 ((|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|)) 102) ((|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|)) 34) ((|#1| (-243 |#2| |#1|) (-923 |#1|)) 70)) (-4427 (((-635 (-260 (-514 |#1| |#2| |#3|)))) 88)) (-3344 (((-635 (-260 (-514 |#1| |#2| |#3|)))) 86)) (-3552 (((-569)) 61 (|has| |#1| (-371)))) (-2774 (((-237 (-923 |#1|))) 90)) (-3278 (((-1248 (-569) -4542) (-919)) 46 (|has| |#1| (-371))) (((-1248 (-569) -4542)) 43 (|has| |#1| (-371)))) (-4377 (((-1161 (-569)) (-919)) 59 (|has| |#1| (-371))) (((-1161 (-569))) 57 (|has| |#1| (-371))))) 
-(((-870 |#1| |#2| |#3|) (-10 -7 (-15 -4209 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -2087 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -1747 ((-1258))) (-15 -3090 ((-1258))) (-15 -1818 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -2110 ((-968 |#1|) (-635 |#1|))) (-15 -2778 ((-968 |#1|) (-923 |#1|))) (-15 -2921 ((-635 (-923 |#1|)) (-968 |#1|))) (-15 -2337 ((-635 (-968 |#1|)) (-635 (-968 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|)))) (-15 -1559 ((-635 (-923 |#1|)))) (-15 -3370 ((-243 |#2| |#1|))) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -4427 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -3344 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -3768 ((-635 (-968 |#1|)))) (-15 -1940 ((-635 (-968 |#1|)))) (-15 -3362 ((-776 |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -3375 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-765))) (-15 -3375 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|)))) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569))) (-15 -3280 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-765))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-923 |#1|))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1484 (|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -2966 ((-237 (-923 |#1|)) (-243 |#2| |#1|))) (-15 -2774 ((-237 (-923 |#1|)))) (IF (|has| |#1| (-371)) (PROGN (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 (-923 |#1|)) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) (-366) (-635 (-1165)) (-117)) (T -870)) 
-((-3278 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3278 (*1 *2) (-12 (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4107 (*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3088 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2390 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2080 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3552 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4377 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 (-569))) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-4377 (*1 *2) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2774 (*1 *2) (-12 (-5 *2 (-237 (-923 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2966 (*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-237 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-3280 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-1560 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-923 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-870 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3375 (*1 *2 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3375 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3362 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-923 *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-5 *2 (-776 *5)) (-5 *1 (-870 *5 *6 *7)) (-4 *7 (-117)))) (-1940 (*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3768 (*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3344 (*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4427 (*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4289 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2196 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3370 (*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1559 (*1 *2) (-12 (-5 *2 (-635 (-923 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3807 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-923 *5))) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3807 (*1 *2 *3 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-5 *2 (-681 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2337 (*1 *2 *2) (-12 (-5 *2 (-635 (-968 *3))) (-4 *3 (-366)) (-5 *1 (-870 *3 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2921 (*1 *2 *3) (-12 (-5 *3 (-968 *4)) (-4 *4 (-366)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2778 (*1 *2 *3) (-12 (-5 *3 (-923 *4)) (-4 *4 (-366)) (-5 *2 (-968 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2110 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-968 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-1818 (*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-5 *1 (-870 *3 *4 *5)) (-4 *5 (-117)))) (-3090 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1747 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2087 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-243 *5 *4))) (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117)))) (-4209 (*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117))))) 
-(-10 -7 (-15 -4209 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -2087 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -1747 ((-1258))) (-15 -3090 ((-1258))) (-15 -1818 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -2110 ((-968 |#1|) (-635 |#1|))) (-15 -2778 ((-968 |#1|) (-923 |#1|))) (-15 -2921 ((-635 (-923 |#1|)) (-968 |#1|))) (-15 -2337 ((-635 (-968 |#1|)) (-635 (-968 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|)))) (-15 -1559 ((-635 (-923 |#1|)))) (-15 -3370 ((-243 |#2| |#1|))) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -4427 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -3344 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -3768 ((-635 (-968 |#1|)))) (-15 -1940 ((-635 (-968 |#1|)))) (-15 -3362 ((-776 |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -3375 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-765))) (-15 -3375 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|)))) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569))) (-15 -3280 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-765))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-923 |#1|))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1484 (|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -2966 ((-237 (-923 |#1|)) (-243 |#2| |#1|))) (-15 -2774 ((-237 (-923 |#1|)))) (IF (|has| |#1| (-371)) (PROGN (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 (-923 |#1|)) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-4357 (((-569) $) 15)) (-2081 (($ (-159)) 11)) (-1658 (($ (-159)) 12)) (-2605 (((-1147) $) NIL)) (-4365 (((-159) $) 13)) (-1912 (((-1111) $) NIL)) (-4360 (($ (-159)) 9)) (-3154 (($ (-159)) 8)) (-3956 (((-852) $) 23) (($ (-159)) 16)) (-1945 (($ (-159)) 10)) (-1326 (((-121) $ $) NIL))) 
-(((-871) (-13 (-1093) (-10 -8 (-15 -3154 ($ (-159))) (-15 -4360 ($ (-159))) (-15 -1945 ($ (-159))) (-15 -2081 ($ (-159))) (-15 -1658 ($ (-159))) (-15 -4365 ((-159) $)) (-15 -4357 ((-569) $)) (-15 -3956 ($ (-159)))))) (T -871)) 
-((-3154 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-4360 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-1945 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-2081 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-1658 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-4365 (*1 *2 *1) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-4357 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-871)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
-(-13 (-1093) (-10 -8 (-15 -3154 ($ (-159))) (-15 -4360 ($ (-159))) (-15 -1945 ($ (-159))) (-15 -2081 ($ (-159))) (-15 -1658 ($ (-159))) (-15 -4365 ((-159) $)) (-15 -4357 ((-569) $)) (-15 -3956 ($ (-159))))) 
-((-3956 (((-311 (-569)) (-410 (-955 (-53)))) 21) (((-311 (-569)) (-955 (-53))) 16))) 
-(((-872) (-10 -7 (-15 -3956 ((-311 (-569)) (-955 (-53)))) (-15 -3956 ((-311 (-569)) (-410 (-955 (-53))))))) (T -872)) 
-((-3956 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 (-53)))) (-5 *2 (-311 (-569))) (-5 *1 (-872)))) (-3956 (*1 *2 *3) (-12 (-5 *3 (-955 (-53))) (-5 *2 (-311 (-569))) (-5 *1 (-872))))) 
-(-10 -7 (-15 -3956 ((-311 (-569)) (-955 (-53)))) (-15 -3956 ((-311 (-569)) (-410 (-955 (-53)))))) 
-((-3362 ((|#6| |#3| |#7| (-569)) 36) ((|#6| |#3| |#3| |#7|) 33) ((|#6| |#3| |#7|) 31) ((|#6| |#3| (-635 |#6|)) 28))) 
-(((-873 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -3362 (|#6| |#3| (-635 |#6|))) (-15 -3362 (|#6| |#3| |#7|)) (-15 -3362 (|#6| |#3| |#3| |#7|)) (-15 -3362 (|#6| |#3| |#7| (-569)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|)) (T -873)) 
-((-3362 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *2 (-642 *6)) (-5 *1 (-873 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *9 (-973 *6)) (-4 *4 (-922 *6 *2)))) (-3362 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)))) (-3362 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)))) (-3362 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *2)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *9 (-922 *5 *2))))) 
-(-10 -7 (-15 -3362 (|#6| |#3| (-635 |#6|))) (-15 -3362 (|#6| |#3| |#7|)) (-15 -3362 (|#6| |#3| |#3| |#7|)) (-15 -3362 (|#6| |#3| |#7| (-569)))) 
-((-4188 (((-875 |#2|) (-1 |#2| |#1|) (-875 |#1|)) 14))) 
-(((-874 |#1| |#2|) (-10 -7 (-15 -4188 ((-875 |#2|) (-1 |#2| |#1|) (-875 |#1|)))) (-1199) (-1199)) (T -874)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-875 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-875 *6)) (-5 *1 (-874 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-875 |#2|) (-1 |#2| |#1|) (-875 |#1|)))) 
-((-1653 (($ |#1| |#1|) 8)) (-2028 ((|#1| $ (-765)) 10))) 
-(((-875 |#1|) (-10 -8 (-15 -1653 ($ |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) (-1199)) (T -875)) 
-((-2028 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-875 *2)) (-4 *2 (-1199)))) (-1653 (*1 *1 *2 *2) (-12 (-5 *1 (-875 *2)) (-4 *2 (-1199))))) 
-(-10 -8 (-15 -1653 ($ |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) 
-((-4188 (((-877 |#2|) (-1 |#2| |#1|) (-877 |#1|)) 14))) 
-(((-876 |#1| |#2|) (-10 -7 (-15 -4188 ((-877 |#2|) (-1 |#2| |#1|) (-877 |#1|)))) (-1199) (-1199)) (T -876)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-877 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-877 *6)) (-5 *1 (-876 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-877 |#2|) (-1 |#2| |#1|) (-877 |#1|)))) 
-((-1653 (($ |#1| |#1| |#1|) 8)) (-2028 ((|#1| $ (-765)) 10))) 
-(((-877 |#1|) (-10 -8 (-15 -1653 ($ |#1| |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) (-1199)) (T -877)) 
-((-2028 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-877 *2)) (-4 *2 (-1199)))) (-1653 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-877 *2)) (-4 *2 (-1199))))) 
-(-10 -8 (-15 -1653 ($ |#1| |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) 
-((-4188 (((-879 |#2|) (-1 |#2| |#1|) (-879 |#1|)) 14))) 
-(((-878 |#1| |#2|) (-10 -7 (-15 -4188 ((-879 |#2|) (-1 |#2| |#1|) (-879 |#1|)))) (-1199) (-1199)) (T -878)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-879 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-879 *6)) (-5 *1 (-878 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-879 |#2|) (-1 |#2| |#1|) (-879 |#1|)))) 
-((-2234 (($ |#1| |#1| |#1|) 8)) (-2028 ((|#1| $ (-765)) 10))) 
-(((-879 |#1|) (-10 -8 (-15 -2234 ($ |#1| |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) (-1199)) (T -879)) 
-((-2028 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-879 *2)) (-4 *2 (-1199)))) (-2234 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-879 *2)) (-4 *2 (-1199))))) 
-(-10 -8 (-15 -2234 ($ |#1| |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) 
-((-2463 (((-1145 (-635 (-569))) (-635 (-569)) (-1145 (-635 (-569)))) 30)) (-1817 (((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569))) 26)) (-3978 (((-1145 (-635 (-569))) (-635 (-569))) 39) (((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569))) 38)) (-3172 (((-1145 (-635 (-569))) (-569)) 40)) (-3874 (((-1145 (-635 (-569))) (-569) (-569)) 22) (((-1145 (-635 (-569))) (-569)) 16) (((-1145 (-635 (-569))) (-569) (-569) (-569)) 12)) (-2197 (((-1145 (-635 (-569))) (-1145 (-635 (-569)))) 24)) (-3980 (((-635 (-569)) (-635 (-569))) 23))) 
-(((-880) (-10 -7 (-15 -3874 ((-1145 (-635 (-569))) (-569) (-569) (-569))) (-15 -3874 ((-1145 (-635 (-569))) (-569))) (-15 -3874 ((-1145 (-635 (-569))) (-569) (-569))) (-15 -3980 ((-635 (-569)) (-635 (-569)))) (-15 -2197 ((-1145 (-635 (-569))) (-1145 (-635 (-569))))) (-15 -1817 ((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -2463 ((-1145 (-635 (-569))) (-635 (-569)) (-1145 (-635 (-569))))) (-15 -3978 ((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -3978 ((-1145 (-635 (-569))) (-635 (-569)))) (-15 -3172 ((-1145 (-635 (-569))) (-569))))) (T -880)) 
-((-3172 (*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569)))) (-3978 (*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569))))) (-3978 (*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569))))) (-2463 (*1 *2 *3 *2) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *3 (-635 (-569))) (-5 *1 (-880)))) (-1817 (*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569))))) (-2197 (*1 *2 *2) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)))) (-3980 (*1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-880)))) (-3874 (*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569)))) (-3874 (*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569)))) (-3874 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569))))) 
-(-10 -7 (-15 -3874 ((-1145 (-635 (-569))) (-569) (-569) (-569))) (-15 -3874 ((-1145 (-635 (-569))) (-569))) (-15 -3874 ((-1145 (-635 (-569))) (-569) (-569))) (-15 -3980 ((-635 (-569)) (-635 (-569)))) (-15 -2197 ((-1145 (-635 (-569))) (-1145 (-635 (-569))))) (-15 -1817 ((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -2463 ((-1145 (-635 (-569))) (-635 (-569)) (-1145 (-635 (-569))))) (-15 -3978 ((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -3978 ((-1145 (-635 (-569))) (-635 (-569)))) (-15 -3172 ((-1145 (-635 (-569))) (-569)))) 
-((-4035 (((-889 (-382)) $) 9 (|has| |#1| (-610 (-889 (-382))))) (((-889 (-569)) $) 8 (|has| |#1| (-610 (-889 (-569))))))) 
-(((-881 |#1|) (-1284) (-1199)) (T -881)) 
-NIL 
-(-13 (-10 -7 (IF (|has| |t#1| (-610 (-889 (-569)))) (-6 (-610 (-889 (-569)))) |noBranch|) (IF (|has| |t#1| (-610 (-889 (-382)))) (-6 (-610 (-889 (-382)))) |noBranch|))) 
-(((-610 (-889 (-382))) |has| |#1| (-610 (-889 (-382)))) ((-610 (-889 (-569))) |has| |#1| (-610 (-889 (-569))))) 
-((-1310 (((-121) $ $) NIL)) (-2446 (($) 14)) (-3368 (($ (-886 |#1| |#2|) (-886 |#1| |#3|)) 27)) (-2037 (((-886 |#1| |#3|) $) 16)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-4448 (((-121) $) 22)) (-2795 (($) 19)) (-3956 (((-852) $) 30)) (-1601 (((-886 |#1| |#2|) $) 15)) (-1326 (((-121) $ $) 25))) 
-(((-882 |#1| |#2| |#3|) (-13 (-1093) (-10 -8 (-15 -4448 ((-121) $)) (-15 -2795 ($)) (-15 -2446 ($)) (-15 -3368 ($ (-886 |#1| |#2|) (-886 |#1| |#3|))) (-15 -1601 ((-886 |#1| |#2|) $)) (-15 -2037 ((-886 |#1| |#3|) $)))) (-1093) (-1093) (-659 |#2|)) (T -882)) 
-((-4448 (*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4)))) (-2795 (*1 *1) (-12 (-4 *3 (-1093)) (-5 *1 (-882 *2 *3 *4)) (-4 *2 (-1093)) (-4 *4 (-659 *3)))) (-2446 (*1 *1) (-12 (-4 *3 (-1093)) (-5 *1 (-882 *2 *3 *4)) (-4 *2 (-1093)) (-4 *4 (-659 *3)))) (-3368 (*1 *1 *2 *3) (-12 (-5 *2 (-886 *4 *5)) (-5 *3 (-886 *4 *6)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-659 *5)) (-5 *1 (-882 *4 *5 *6)))) (-1601 (*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-886 *3 *4)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4)))) (-2037 (*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-886 *3 *5)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4))))) 
-(-13 (-1093) (-10 -8 (-15 -4448 ((-121) $)) (-15 -2795 ($)) (-15 -2446 ($)) (-15 -3368 ($ (-886 |#1| |#2|) (-886 |#1| |#3|))) (-15 -1601 ((-886 |#1| |#2|) $)) (-15 -2037 ((-886 |#1| |#3|) $)))) 
-((-1310 (((-121) $ $) 7)) (-3318 (((-886 |#1| $) $ (-889 |#1|) (-886 |#1| $)) 12)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
-(((-883 |#1|) (-1284) (-1093)) (T -883)) 
-((-3318 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-886 *4 *1)) (-5 *3 (-889 *4)) (-4 *1 (-883 *4)) (-4 *4 (-1093))))) 
-(-13 (-1093) (-10 -8 (-15 -3318 ((-886 |t#1| $) $ (-889 |t#1|) (-886 |t#1| $))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-3845 (((-121) (-635 |#2|) |#3|) 22) (((-121) |#2| |#3|) 17)) (-2108 (((-886 |#1| |#2|) |#2| |#3|) 42 (-12 (-3182 (|has| |#2| (-1039 (-1165)))) (-3182 (|has| |#2| (-1049))))) (((-635 (-289 (-955 |#2|))) |#2| |#3|) 41 (-12 (|has| |#2| (-1049)) (-3182 (|has| |#2| (-1039 (-1165)))))) (((-635 (-289 |#2|)) |#2| |#3|) 34 (|has| |#2| (-1039 (-1165)))) (((-882 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|) 20))) 
-(((-884 |#1| |#2| |#3|) (-10 -7 (-15 -3845 ((-121) |#2| |#3|)) (-15 -3845 ((-121) (-635 |#2|) |#3|)) (-15 -2108 ((-882 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|)) (IF (|has| |#2| (-1039 (-1165))) (-15 -2108 ((-635 (-289 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1049)) (-15 -2108 ((-635 (-289 (-955 |#2|))) |#2| |#3|)) (-15 -2108 ((-886 |#1| |#2|) |#2| |#3|))))) (-1093) (-883 |#1|) (-610 (-889 |#1|))) (T -884)) 
-((-2108 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-886 *5 *3)) (-5 *1 (-884 *5 *3 *4)) (-3182 (-4 *3 (-1039 (-1165)))) (-3182 (-4 *3 (-1049))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) (-2108 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-635 (-289 (-955 *3)))) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-1049)) (-3182 (-4 *3 (-1039 (-1165)))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) (-2108 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-635 (-289 *3))) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-1039 (-1165))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) (-2108 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *6 (-883 *5)) (-5 *2 (-882 *5 *6 (-635 *6))) (-5 *1 (-884 *5 *6 *4)) (-5 *3 (-635 *6)) (-4 *4 (-610 (-889 *5))))) (-3845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-883 *5)) (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-884 *5 *6 *4)) (-4 *4 (-610 (-889 *5))))) (-3845 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5)))))) 
-(-10 -7 (-15 -3845 ((-121) |#2| |#3|)) (-15 -3845 ((-121) (-635 |#2|) |#3|)) (-15 -2108 ((-882 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|)) (IF (|has| |#2| (-1039 (-1165))) (-15 -2108 ((-635 (-289 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1049)) (-15 -2108 ((-635 (-289 (-955 |#2|))) |#2| |#3|)) (-15 -2108 ((-886 |#1| |#2|) |#2| |#3|))))) 
-((-4188 (((-886 |#1| |#3|) (-1 |#3| |#2|) (-886 |#1| |#2|)) 21))) 
-(((-885 |#1| |#2| |#3|) (-10 -7 (-15 -4188 ((-886 |#1| |#3|) (-1 |#3| |#2|) (-886 |#1| |#2|)))) (-1093) (-1093) (-1093)) (T -885)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-886 *5 *6)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-886 *5 *7)) (-5 *1 (-885 *5 *6 *7))))) 
-(-10 -7 (-15 -4188 ((-886 |#1| |#3|) (-1 |#3| |#2|) (-886 |#1| |#2|)))) 
-((-1310 (((-121) $ $) NIL)) (-3577 (($ $ $) 37)) (-2785 (((-3 (-121) "failed") $ (-889 |#1|)) 34)) (-2446 (($) 11)) (-2605 (((-1147) $) NIL)) (-1733 (($ (-889 |#1|) |#2| $) 20)) (-1912 (((-1111) $) NIL)) (-2720 (((-3 |#2| "failed") (-889 |#1|) $) 48)) (-4448 (((-121) $) 14)) (-2795 (($) 12)) (-3171 (((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|))) $) 25)) (-3124 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|)))) 23)) (-3956 (((-852) $) 42)) (-3299 (($ (-889 |#1|) |#2| $ |#2|) 46)) (-3638 (($ (-889 |#1|) |#2| $) 45)) (-1326 (((-121) $ $) 39))) 
-(((-886 |#1| |#2|) (-13 (-1093) (-10 -8 (-15 -4448 ((-121) $)) (-15 -2795 ($)) (-15 -2446 ($)) (-15 -3577 ($ $ $)) (-15 -2720 ((-3 |#2| "failed") (-889 |#1|) $)) (-15 -3638 ($ (-889 |#1|) |#2| $)) (-15 -1733 ($ (-889 |#1|) |#2| $)) (-15 -3299 ($ (-889 |#1|) |#2| $ |#2|)) (-15 -3171 ((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|))) $)) (-15 -3124 ($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|))))) (-15 -2785 ((-3 (-121) "failed") $ (-889 |#1|))))) (-1093) (-1093)) (T -886)) 
-((-4448 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-2795 (*1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-2446 (*1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-3577 (*1 *1 *1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-2720 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-4 *2 (-1093)) (-5 *1 (-886 *4 *2)))) (-3638 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093)))) (-1733 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093)))) (-3299 (*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093)))) (-3171 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 *4)))) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-3124 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 *4)))) (-4 *4 (-1093)) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)))) (-2785 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1093))))) 
-(-13 (-1093) (-10 -8 (-15 -4448 ((-121) $)) (-15 -2795 ($)) (-15 -2446 ($)) (-15 -3577 ($ $ $)) (-15 -2720 ((-3 |#2| "failed") (-889 |#1|) $)) (-15 -3638 ($ (-889 |#1|) |#2| $)) (-15 -1733 ($ (-889 |#1|) |#2| $)) (-15 -3299 ($ (-889 |#1|) |#2| $ |#2|)) (-15 -3171 ((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|))) $)) (-15 -3124 ($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|))))) (-15 -2785 ((-3 (-121) "failed") $ (-889 |#1|))))) 
-((-3055 (((-889 |#1|) (-889 |#1|) (-635 (-1165)) (-1 (-121) (-635 |#2|))) 30) (((-889 |#1|) (-889 |#1|) (-635 (-1 (-121) |#2|))) 42) (((-889 |#1|) (-889 |#1|) (-1 (-121) |#2|)) 33)) (-2785 (((-121) (-635 |#2|) (-889 |#1|)) 39) (((-121) |#2| (-889 |#1|)) 35)) (-3021 (((-1 (-121) |#2|) (-889 |#1|)) 14)) (-3230 (((-635 |#2|) (-889 |#1|)) 23)) (-1587 (((-889 |#1|) (-889 |#1|) |#2|) 19))) 
-(((-887 |#1| |#2|) (-10 -7 (-15 -3055 ((-889 |#1|) (-889 |#1|) (-1 (-121) |#2|))) (-15 -3055 ((-889 |#1|) (-889 |#1|) (-635 (-1 (-121) |#2|)))) (-15 -3055 ((-889 |#1|) (-889 |#1|) (-635 (-1165)) (-1 (-121) (-635 |#2|)))) (-15 -3021 ((-1 (-121) |#2|) (-889 |#1|))) (-15 -2785 ((-121) |#2| (-889 |#1|))) (-15 -2785 ((-121) (-635 |#2|) (-889 |#1|))) (-15 -1587 ((-889 |#1|) (-889 |#1|) |#2|)) (-15 -3230 ((-635 |#2|) (-889 |#1|)))) (-1093) (-1199)) (T -887)) 
-((-3230 (*1 *2 *3) (-12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-635 *5)) (-5 *1 (-887 *4 *5)) (-4 *5 (-1199)))) (-1587 (*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-887 *4 *3)) (-4 *3 (-1199)))) (-2785 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *2 (-121)) (-5 *1 (-887 *5 *6)))) (-2785 (*1 *2 *3 *4) (-12 (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-887 *5 *3)) (-4 *3 (-1199)))) (-3021 (*1 *2 *3) (-12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-887 *4 *5)) (-4 *5 (-1199)))) (-3055 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-889 *5)) (-5 *3 (-635 (-1165))) (-5 *4 (-1 (-121) (-635 *6))) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *1 (-887 *5 *6)))) (-3055 (*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-5 *3 (-635 (-1 (-121) *5))) (-4 *4 (-1093)) (-4 *5 (-1199)) (-5 *1 (-887 *4 *5)))) (-3055 (*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1093)) (-4 *5 (-1199)) (-5 *1 (-887 *4 *5))))) 
-(-10 -7 (-15 -3055 ((-889 |#1|) (-889 |#1|) (-1 (-121) |#2|))) (-15 -3055 ((-889 |#1|) (-889 |#1|) (-635 (-1 (-121) |#2|)))) (-15 -3055 ((-889 |#1|) (-889 |#1|) (-635 (-1165)) (-1 (-121) (-635 |#2|)))) (-15 -3021 ((-1 (-121) |#2|) (-889 |#1|))) (-15 -2785 ((-121) |#2| (-889 |#1|))) (-15 -2785 ((-121) (-635 |#2|) (-889 |#1|))) (-15 -1587 ((-889 |#1|) (-889 |#1|) |#2|)) (-15 -3230 ((-635 |#2|) (-889 |#1|)))) 
-((-4188 (((-889 |#2|) (-1 |#2| |#1|) (-889 |#1|)) 17))) 
-(((-888 |#1| |#2|) (-10 -7 (-15 -4188 ((-889 |#2|) (-1 |#2| |#1|) (-889 |#1|)))) (-1093) (-1093)) (T -888)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-889 *6)) (-5 *1 (-888 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-889 |#2|) (-1 |#2| |#1|) (-889 |#1|)))) 
-((-1310 (((-121) $ $) NIL)) (-3400 (($ $ (-635 (-57))) 62)) (-3195 (((-635 $) $) 116)) (-2300 (((-2 (|:| |var| (-635 (-1165))) (|:| |pred| (-57))) $) 22)) (-1285 (((-121) $) 29)) (-1761 (($ $ (-635 (-1165)) (-57)) 24)) (-3897 (($ $ (-635 (-57))) 61)) (-3003 (((-3 |#1| "failed") $) 59) (((-3 (-1165) "failed") $) 138)) (-1321 ((|#1| $) 55) (((-1165) $) NIL)) (-1969 (($ $) 106)) (-2177 (((-121) $) 45)) (-3915 (((-635 (-57)) $) 43)) (-4408 (($ (-1165) (-121) (-121) (-121)) 63)) (-3511 (((-3 (-635 $) "failed") (-635 $)) 70)) (-2850 (((-121) $) 48)) (-4271 (((-121) $) 47)) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) 34)) (-3961 (((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $) 41)) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 $)) "failed") $) 81)) (-2085 (((-3 (-635 $) "failed") $) 31)) (-3338 (((-3 (-635 $) "failed") $ (-123)) 105) (((-3 (-2 (|:| -2859 (-123)) (|:| |arg| (-635 $))) "failed") $) 93)) (-3039 (((-3 (-635 $) "failed") $) 35)) (-2601 (((-3 (-2 (|:| |val| $) (|:| -3190 (-765))) "failed") $) 38)) (-1341 (((-121) $) 28)) (-1912 (((-1111) $) NIL)) (-2019 (((-121) $) 20)) (-4274 (((-121) $) 44)) (-4495 (((-635 (-57)) $) 109)) (-2614 (((-121) $) 46)) (-2503 (($ (-123) (-635 $)) 90)) (-2676 (((-765) $) 27)) (-1799 (($ $) 60)) (-4035 (($ (-635 $)) 57)) (-1894 (((-121) $) 25)) (-3956 (((-852) $) 50) (($ |#1|) 18) (($ (-1165)) 64)) (-1587 (($ $ (-57)) 108)) (-2407 (($) 89 T CONST)) (-3297 (($) 71 T CONST)) (-1326 (((-121) $ $) 77)) (-1383 (($ $ $) 98)) (-1371 (($ $ $) 102)) (** (($ $ (-765)) 97) (($ $ $) 51)) (* (($ $ $) 103))) 
-(((-889 |#1|) (-13 (-1093) (-1039 |#1|) (-1039 (-1165)) (-10 -8 (-15 0 ($) -3575) (-15 1 ($) -3575) (-15 -2085 ((-3 (-635 $) "failed") $)) (-15 -2617 ((-3 (-635 $) "failed") $)) (-15 -3338 ((-3 (-635 $) "failed") $ (-123))) (-15 -3338 ((-3 (-2 (|:| -2859 (-123)) (|:| |arg| (-635 $))) "failed") $)) (-15 -2601 ((-3 (-2 (|:| |val| $) (|:| -3190 (-765))) "failed") $)) (-15 -3961 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -3039 ((-3 (-635 $) "failed") $)) (-15 -3903 ((-3 (-2 (|:| |val| $) (|:| -3190 $)) "failed") $)) (-15 -2503 ($ (-123) (-635 $))) (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-765))) (-15 ** ($ $ $)) (-15 -1383 ($ $ $)) (-15 -2676 ((-765) $)) (-15 -4035 ($ (-635 $))) (-15 -1799 ($ $)) (-15 -1341 ((-121) $)) (-15 -2177 ((-121) $)) (-15 -1285 ((-121) $)) (-15 -1894 ((-121) $)) (-15 -2614 ((-121) $)) (-15 -4271 ((-121) $)) (-15 -2850 ((-121) $)) (-15 -4274 ((-121) $)) (-15 -3915 ((-635 (-57)) $)) (-15 -3897 ($ $ (-635 (-57)))) (-15 -3400 ($ $ (-635 (-57)))) (-15 -4408 ($ (-1165) (-121) (-121) (-121))) (-15 -1761 ($ $ (-635 (-1165)) (-57))) (-15 -2300 ((-2 (|:| |var| (-635 (-1165))) (|:| |pred| (-57))) $)) (-15 -2019 ((-121) $)) (-15 -1969 ($ $)) (-15 -1587 ($ $ (-57))) (-15 -4495 ((-635 (-57)) $)) (-15 -3195 ((-635 $) $)) (-15 -3511 ((-3 (-635 $) "failed") (-635 $))))) (-1093)) (T -889)) 
-((-2407 (*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-3297 (*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-2085 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2617 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3338 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-889 *4))) (-5 *1 (-889 *4)) (-4 *4 (-1093)))) (-3338 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -2859 (-123)) (|:| |arg| (-635 (-889 *3))))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2601 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-889 *3)) (|:| -3190 (-765)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3961 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-889 *3)) (|:| |den| (-889 *3)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3039 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3903 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-889 *3)) (|:| -3190 (-889 *3)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2503 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-889 *4))) (-5 *1 (-889 *4)) (-4 *4 (-1093)))) (-1371 (*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-1383 (*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-2676 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-1341 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2177 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-1285 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-1894 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2614 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-4271 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2850 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-4274 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3915 (*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3897 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3400 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-4408 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-121)) (-5 *1 (-889 *4)) (-4 *4 (-1093)))) (-1761 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-57)) (-5 *1 (-889 *4)) (-4 *4 (-1093)))) (-2300 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-635 (-1165))) (|:| |pred| (-57)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2019 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-1969 (*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-1587 (*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-4495 (*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3195 (*1 *2 *1) (-12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3511 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(-13 (-1093) (-1039 |#1|) (-1039 (-1165)) (-10 -8 (-15 (-2407) ($) -3575) (-15 (-3297) ($) -3575) (-15 -2085 ((-3 (-635 $) "failed") $)) (-15 -2617 ((-3 (-635 $) "failed") $)) (-15 -3338 ((-3 (-635 $) "failed") $ (-123))) (-15 -3338 ((-3 (-2 (|:| -2859 (-123)) (|:| |arg| (-635 $))) "failed") $)) (-15 -2601 ((-3 (-2 (|:| |val| $) (|:| -3190 (-765))) "failed") $)) (-15 -3961 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -3039 ((-3 (-635 $) "failed") $)) (-15 -3903 ((-3 (-2 (|:| |val| $) (|:| -3190 $)) "failed") $)) (-15 -2503 ($ (-123) (-635 $))) (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-765))) (-15 ** ($ $ $)) (-15 -1383 ($ $ $)) (-15 -2676 ((-765) $)) (-15 -4035 ($ (-635 $))) (-15 -1799 ($ $)) (-15 -1341 ((-121) $)) (-15 -2177 ((-121) $)) (-15 -1285 ((-121) $)) (-15 -1894 ((-121) $)) (-15 -2614 ((-121) $)) (-15 -4271 ((-121) $)) (-15 -2850 ((-121) $)) (-15 -4274 ((-121) $)) (-15 -3915 ((-635 (-57)) $)) (-15 -3897 ($ $ (-635 (-57)))) (-15 -3400 ($ $ (-635 (-57)))) (-15 -4408 ($ (-1165) (-121) (-121) (-121))) (-15 -1761 ($ $ (-635 (-1165)) (-57))) (-15 -2300 ((-2 (|:| |var| (-635 (-1165))) (|:| |pred| (-57))) $)) (-15 -2019 ((-121) $)) (-15 -1969 ($ $)) (-15 -1587 ($ $ (-57))) (-15 -4495 ((-635 (-57)) $)) (-15 -3195 ((-635 $) $)) (-15 -3511 ((-3 (-635 $) "failed") (-635 $))))) 
-((-1310 (((-121) $ $) NIL)) (-3810 (((-635 |#1|) $) 16)) (-3713 (((-121) $) 38)) (-3003 (((-3 (-664 |#1|) "failed") $) 41)) (-1321 (((-664 |#1|) $) 39)) (-1864 (($ $) 18)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2210 (((-635 (-664 |#1|)) $) 23)) (-2718 (((-765) $) 45)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-664 |#1|) $) 17)) (-3956 (((-852) $) 37) (($ (-664 |#1|)) 21) (((-816 |#1|) $) 27) (($ |#1|) 20)) (-3297 (($) 8 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 11)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 48))) 
-(((-890 |#1|) (-13 (-844) (-1039 (-664 |#1|)) (-10 -8 (-15 1 ($) -3575) (-15 -3956 ((-816 |#1|) $)) (-15 -3956 ($ |#1|)) (-15 -1816 ((-664 |#1|) $)) (-15 -2718 ((-765) $)) (-15 -2210 ((-635 (-664 |#1|)) $)) (-15 -1864 ($ $)) (-15 -3713 ((-121) $)) (-15 -3810 ((-635 |#1|) $)))) (-844)) (T -890)) 
-((-3297 (*1 *1) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) (-3956 (*1 *1 *2) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844)))) (-1816 (*1 *2 *1) (-12 (-5 *2 (-664 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) (-2210 (*1 *2 *1) (-12 (-5 *2 (-635 (-664 *3))) (-5 *1 (-890 *3)) (-4 *3 (-844)))) (-1864 (*1 *1 *1) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844)))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) (-3810 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844))))) 
-(-13 (-844) (-1039 (-664 |#1|)) (-10 -8 (-15 (-3297) ($) -3575) (-15 -3956 ((-816 |#1|) $)) (-15 -3956 ($ |#1|)) (-15 -1816 ((-664 |#1|) $)) (-15 -2718 ((-765) $)) (-15 -2210 ((-635 (-664 |#1|)) $)) (-15 -1864 ($ $)) (-15 -3713 ((-121) $)) (-15 -3810 ((-635 |#1|) $)))) 
-((-4532 ((|#1| |#1| |#1|) 19))) 
-(((-891 |#1| |#2|) (-10 -7 (-15 -4532 (|#1| |#1| |#1|))) (-1228 |#2|) (-1049)) (T -891)) 
-((-4532 (*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-891 *2 *3)) (-4 *2 (-1228 *3))))) 
-(-10 -7 (-15 -4532 (|#1| |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1976 (((-1037) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 12)) (-1326 (((-121) $ $) 6))) 
-(((-892) (-1284)) (T -892)) 
-((-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-892)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) (-1976 (*1 *2 *3) (-12 (-4 *1 (-892)) (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-1037))))) 
-(-13 (-1093) (-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))))) (-15 -1976 ((-1037) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-2969 ((|#1| |#1| (-765)) 23)) (-2487 (((-3 |#1| "failed") |#1| |#1|) 22)) (-3861 (((-3 (-2 (|:| -3149 |#1|) (|:| -3417 |#1|)) "failed") |#1| (-765) (-765)) 26) (((-635 |#1|) |#1|) 28))) 
-(((-893 |#1| |#2|) (-10 -7 (-15 -3861 ((-635 |#1|) |#1|)) (-15 -3861 ((-3 (-2 (|:| -3149 |#1|) (|:| -3417 |#1|)) "failed") |#1| (-765) (-765))) (-15 -2487 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2969 (|#1| |#1| (-765)))) (-1228 |#2|) (-366)) (T -893)) 
-((-2969 (*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *1 (-893 *2 *4)) (-4 *2 (-1228 *4)))) (-2487 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-893 *2 *3)) (-4 *2 (-1228 *3)))) (-3861 (*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3149 *3) (|:| -3417 *3))) (-5 *1 (-893 *3 *5)) (-4 *3 (-1228 *5)))) (-3861 (*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-893 *3 *4)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -3861 ((-635 |#1|) |#1|)) (-15 -3861 ((-3 (-2 (|:| -3149 |#1|) (|:| -3417 |#1|)) "failed") |#1| (-765) (-765))) (-15 -2487 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2969 (|#1| |#1| (-765)))) 
-((-2880 (((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147)) 92) (((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147) (-216)) 87) (((-1037) (-895) (-1061)) 76) (((-1037) (-895)) 77)) (-1550 (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895) (-1061)) 50) (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895)) 52))) 
-(((-894) (-10 -7 (-15 -2880 ((-1037) (-895))) (-15 -2880 ((-1037) (-895) (-1061))) (-15 -2880 ((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147) (-216))) (-15 -2880 ((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895) (-1061))))) (T -894)) 
-((-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-895)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-894)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-895)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-894)))) (-2880 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-765)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1147)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1037)) (-5 *1 (-894)))) (-2880 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-765)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1147)) (-5 *8 (-216)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1037)) (-5 *1 (-894)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-895)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-894)))) (-2880 (*1 *2 *3) (-12 (-5 *3 (-895)) (-5 *2 (-1037)) (-5 *1 (-894))))) 
-(-10 -7 (-15 -2880 ((-1037) (-895))) (-15 -2880 ((-1037) (-895) (-1061))) (-15 -2880 ((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147) (-216))) (-15 -2880 ((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895) (-1061)))) 
-((-1310 (((-121) $ $) NIL)) (-1321 (((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))) $) 10)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 12) (($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 9)) (-1326 (((-121) $ $) NIL))) 
-(((-895) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))) $))))) (T -895)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-895)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *1 (-895)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *1 (-895))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))) $)))) 
-((-3289 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) 10) (($ $ |#2| (-765)) 12) (($ $ (-635 |#2|) (-635 (-765))) 15)) (-3712 (($ $ |#2|) 16) (($ $ (-635 |#2|)) 18) (($ $ |#2| (-765)) 19) (($ $ (-635 |#2|) (-635 (-765))) 21))) 
-(((-896 |#1| |#2|) (-10 -8 (-15 -3712 (|#1| |#1| (-635 |#2|) (-635 (-765)))) (-15 -3712 (|#1| |#1| |#2| (-765))) (-15 -3712 (|#1| |#1| (-635 |#2|))) (-15 -3712 (|#1| |#1| |#2|)) (-15 -3289 (|#1| |#1| (-635 |#2|) (-635 (-765)))) (-15 -3289 (|#1| |#1| |#2| (-765))) (-15 -3289 (|#1| |#1| (-635 |#2|))) (-15 -3289 (|#1| |#1| |#2|))) (-897 |#2|) (-1093)) (T -896)) 
-NIL 
-(-10 -8 (-15 -3712 (|#1| |#1| (-635 |#2|) (-635 (-765)))) (-15 -3712 (|#1| |#1| |#2| (-765))) (-15 -3712 (|#1| |#1| (-635 |#2|))) (-15 -3712 (|#1| |#1| |#2|)) (-15 -3289 (|#1| |#1| (-635 |#2|) (-635 (-765)))) (-15 -3289 (|#1| |#1| |#2| (-765))) (-15 -3289 (|#1| |#1| (-635 |#2|))) (-15 -3289 (|#1| |#1| |#2|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3289 (($ $ |#1|) 41) (($ $ (-635 |#1|)) 40) (($ $ |#1| (-765)) 39) (($ $ (-635 |#1|) (-635 (-765))) 38)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ |#1|) 37) (($ $ (-635 |#1|)) 36) (($ $ |#1| (-765)) 35) (($ $ (-635 |#1|) (-635 (-765))) 34)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-897 |#1|) (-1284) (-1093)) (T -897)) 
-((-3289 (*1 *1 *1 *2) (-12 (-4 *1 (-897 *2)) (-4 *2 (-1093)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-897 *3)) (-4 *3 (-1093)))) (-3289 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-897 *2)) (-4 *2 (-1093)))) (-3289 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-765))) (-4 *1 (-897 *4)) (-4 *4 (-1093)))) (-3712 (*1 *1 *1 *2) (-12 (-4 *1 (-897 *2)) (-4 *2 (-1093)))) (-3712 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-897 *3)) (-4 *3 (-1093)))) (-3712 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-897 *2)) (-4 *2 (-1093)))) (-3712 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-765))) (-4 *1 (-897 *4)) (-4 *4 (-1093))))) 
-(-13 (-1049) (-10 -8 (-15 -3289 ($ $ |t#1|)) (-15 -3289 ($ $ (-635 |t#1|))) (-15 -3289 ($ $ |t#1| (-765))) (-15 -3289 ($ $ (-635 |t#1|) (-635 (-765)))) (-15 -3712 ($ $ |t#1|)) (-15 -3712 ($ $ (-635 |t#1|))) (-15 -3712 ($ $ |t#1| (-765))) (-15 -3712 ($ $ (-635 |t#1|) (-635 (-765)))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 26)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-3800 (($ $ $) NIL (|has| $ (-6 -4572)))) (-3324 (($ $ $) NIL (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "left" $) NIL (|has| $ (-6 -4572))) (($ $ "right" $) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3417 (($ $) 25)) (-3639 (($ |#1|) 12) (($ $ $) 17)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-3149 (($ $) 23)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) 20)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) 29 (|has| |#1| (-1093))) (((-1186 |#1|) $) 9)) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 21 (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-898 |#1|) (-13 (-128 |#1|) (-10 -8 (-15 -3639 ($ |#1|)) (-15 -3639 ($ $ $)) (-15 -3956 ((-1186 |#1|) $)))) (-1093)) (T -898)) 
-((-3639 (*1 *1 *2) (-12 (-5 *1 (-898 *2)) (-4 *2 (-1093)))) (-3639 (*1 *1 *1 *1) (-12 (-5 *1 (-898 *2)) (-4 *2 (-1093)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1186 *3)) (-5 *1 (-898 *3)) (-4 *3 (-1093))))) 
-(-13 (-128 |#1|) (-10 -8 (-15 -3639 ($ |#1|)) (-15 -3639 ($ $ $)) (-15 -3956 ((-1186 |#1|) $)))) 
-((-2348 ((|#2| (-1130 |#1| |#2|)) 39))) 
-(((-899 |#1| |#2|) (-10 -7 (-15 -2348 (|#2| (-1130 |#1| |#2|)))) (-919) (-13 (-1049) (-10 -7 (-6 (-4573 "*"))))) (T -899)) 
-((-2348 (*1 *2 *3) (-12 (-5 *3 (-1130 *4 *2)) (-14 *4 (-919)) (-4 *2 (-13 (-1049) (-10 -7 (-6 (-4573 "*"))))) (-5 *1 (-899 *4 *2))))) 
-(-10 -7 (-15 -2348 (|#2| (-1130 |#1| |#2|)))) 
-((-1310 (((-121) $ $) 7)) (-4483 (($) 19 T CONST)) (-2611 (((-3 $ "failed") $) 15)) (-3481 (((-1095 |#1|) $ |#1|) 34)) (-3934 (((-121) $) 18)) (-2157 (($ $ $) 32 (-1929 (|has| |#1| (-844)) (|has| |#1| (-371))))) (-2713 (($ $ $) 31 (-1929 (|has| |#1| (-844)) (|has| |#1| (-371))))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 26)) (-1912 (((-1111) $) 10)) (-1484 ((|#1| $ |#1|) 36)) (-2503 ((|#1| $ |#1|) 35)) (-3647 (($ (-635 (-635 |#1|))) 37)) (-1834 (($ (-635 |#1|)) 38)) (-3980 (($ $ $) 22)) (-2689 (($ $ $) 21)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) 12) (($ $ (-765)) 16) (($ $ (-569)) 23)) (-3297 (($) 20 T CONST)) (-1355 (((-121) $ $) 29 (-1929 (|has| |#1| (-844)) (|has| |#1| (-371))))) (-1343 (((-121) $ $) 28 (-1929 (|has| |#1| (-844)) (|has| |#1| (-371))))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 30 (-1929 (|has| |#1| (-844)) (|has| |#1| (-371))))) (-1337 (((-121) $ $) 33)) (-1383 (($ $ $) 25)) (** (($ $ (-919)) 13) (($ $ (-765)) 17) (($ $ (-569)) 24)) (* (($ $ $) 14))) 
-(((-900 |#1|) (-1284) (-1093)) (T -900)) 
-((-1834 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-900 *3)))) (-3647 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-4 *1 (-900 *3)))) (-1484 (*1 *2 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1093)))) (-2503 (*1 *2 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1093)))) (-3481 (*1 *2 *1 *3) (-12 (-4 *1 (-900 *3)) (-4 *3 (-1093)) (-5 *2 (-1095 *3)))) (-1337 (*1 *2 *1 *1) (-12 (-4 *1 (-900 *3)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
-(-13 (-479) (-10 -8 (-15 -1834 ($ (-635 |t#1|))) (-15 -3647 ($ (-635 (-635 |t#1|)))) (-15 -1484 (|t#1| $ |t#1|)) (-15 -2503 (|t#1| $ |t#1|)) (-15 -3481 ((-1095 |t#1|) $ |t#1|)) (-15 -1337 ((-121) $ $)) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-371)) (-6 (-844)) |noBranch|))) 
-(((-105) . T) ((-609 (-852)) . T) ((-479) . T) ((-718) . T) ((-844) -1929 (|has| |#1| (-844)) (|has| |#1| (-371))) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-1450 (((-635 (-635 (-765))) $) 106)) (-4141 (((-635 (-765)) (-902 |#1|) $) 128)) (-1769 (((-635 (-765)) (-902 |#1|) $) 129)) (-2872 (((-635 (-902 |#1|)) $) 96)) (-3341 (((-902 |#1|) $ (-569)) 101) (((-902 |#1|) $) 102)) (-4328 (($ (-635 (-902 |#1|))) 108)) (-4433 (((-765) $) 103)) (-2768 (((-1095 (-1095 |#1|)) $) 126)) (-3481 (((-1095 |#1|) $ |#1|) 119) (((-1095 (-1095 |#1|)) $ (-1095 |#1|)) 137) (((-1095 (-635 |#1|)) $ (-635 |#1|)) 140)) (-1786 (((-1095 |#1|) $) 99)) (-3016 (((-121) (-902 |#1|) $) 90)) (-2605 (((-1147) $) NIL)) (-2032 (((-1258) $) 93) (((-1258) $ (-569) (-569)) 141)) (-1912 (((-1111) $) NIL)) (-4021 (((-635 (-902 |#1|)) $) 94)) (-2503 (((-902 |#1|) $ (-765)) 97)) (-2284 (((-765) $) 104)) (-3956 (((-852) $) 117) (((-635 (-902 |#1|)) $) 22) (($ (-635 (-902 |#1|))) 107)) (-1710 (((-635 |#1|) $) 105)) (-1326 (((-121) $ $) 134)) (-1349 (((-121) $ $) 132)) (-1337 (((-121) $ $) 131))) 
-(((-901 |#1|) (-13 (-1093) (-10 -8 (-15 -3956 ((-635 (-902 |#1|)) $)) (-15 -4021 ((-635 (-902 |#1|)) $)) (-15 -2503 ((-902 |#1|) $ (-765))) (-15 -3341 ((-902 |#1|) $ (-569))) (-15 -3341 ((-902 |#1|) $)) (-15 -4433 ((-765) $)) (-15 -2284 ((-765) $)) (-15 -1710 ((-635 |#1|) $)) (-15 -2872 ((-635 (-902 |#1|)) $)) (-15 -1450 ((-635 (-635 (-765))) $)) (-15 -3956 ($ (-635 (-902 |#1|)))) (-15 -4328 ($ (-635 (-902 |#1|)))) (-15 -3481 ((-1095 |#1|) $ |#1|)) (-15 -2768 ((-1095 (-1095 |#1|)) $)) (-15 -3481 ((-1095 (-1095 |#1|)) $ (-1095 |#1|))) (-15 -3481 ((-1095 (-635 |#1|)) $ (-635 |#1|))) (-15 -3016 ((-121) (-902 |#1|) $)) (-15 -4141 ((-635 (-765)) (-902 |#1|) $)) (-15 -1769 ((-635 (-765)) (-902 |#1|) $)) (-15 -1786 ((-1095 |#1|) $)) (-15 -1337 ((-121) $ $)) (-15 -1349 ((-121) $ $)) (-15 -2032 ((-1258) $)) (-15 -2032 ((-1258) $ (-569) (-569))))) (-1093)) (T -901)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-4021 (*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-902 *4)) (-5 *1 (-901 *4)) (-4 *4 (-1093)))) (-3341 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-902 *4)) (-5 *1 (-901 *4)) (-4 *4 (-1093)))) (-3341 (*1 *2 *1) (-12 (-5 *2 (-902 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-4433 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2284 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-1710 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2872 (*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-1450 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-765)))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-902 *3))) (-4 *3 (-1093)) (-5 *1 (-901 *3)))) (-4328 (*1 *1 *2) (-12 (-5 *2 (-635 (-902 *3))) (-4 *3 (-1093)) (-5 *1 (-901 *3)))) (-3481 (*1 *2 *1 *3) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2768 (*1 *2 *1) (-12 (-5 *2 (-1095 (-1095 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-3481 (*1 *2 *1 *3) (-12 (-4 *4 (-1093)) (-5 *2 (-1095 (-1095 *4))) (-5 *1 (-901 *4)) (-5 *3 (-1095 *4)))) (-3481 (*1 *2 *1 *3) (-12 (-4 *4 (-1093)) (-5 *2 (-1095 (-635 *4))) (-5 *1 (-901 *4)) (-5 *3 (-635 *4)))) (-3016 (*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-901 *4)))) (-4141 (*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-635 (-765))) (-5 *1 (-901 *4)))) (-1769 (*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-635 (-765))) (-5 *1 (-901 *4)))) (-1786 (*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-1337 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-1349 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2032 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2032 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-901 *4)) (-4 *4 (-1093))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ((-635 (-902 |#1|)) $)) (-15 -4021 ((-635 (-902 |#1|)) $)) (-15 -2503 ((-902 |#1|) $ (-765))) (-15 -3341 ((-902 |#1|) $ (-569))) (-15 -3341 ((-902 |#1|) $)) (-15 -4433 ((-765) $)) (-15 -2284 ((-765) $)) (-15 -1710 ((-635 |#1|) $)) (-15 -2872 ((-635 (-902 |#1|)) $)) (-15 -1450 ((-635 (-635 (-765))) $)) (-15 -3956 ($ (-635 (-902 |#1|)))) (-15 -4328 ($ (-635 (-902 |#1|)))) (-15 -3481 ((-1095 |#1|) $ |#1|)) (-15 -2768 ((-1095 (-1095 |#1|)) $)) (-15 -3481 ((-1095 (-1095 |#1|)) $ (-1095 |#1|))) (-15 -3481 ((-1095 (-635 |#1|)) $ (-635 |#1|))) (-15 -3016 ((-121) (-902 |#1|) $)) (-15 -4141 ((-635 (-765)) (-902 |#1|) $)) (-15 -1769 ((-635 (-765)) (-902 |#1|) $)) (-15 -1786 ((-1095 |#1|) $)) (-15 -1337 ((-121) $ $)) (-15 -1349 ((-121) $ $)) (-15 -2032 ((-1258) $)) (-15 -2032 ((-1258) $ (-569) (-569))))) 
-((-1310 (((-121) $ $) NIL)) (-2930 (((-635 $) (-635 $)) 76)) (-3817 (((-569) $) 59)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-4433 (((-765) $) 57)) (-3481 (((-1095 |#1|) $ |#1|) 48)) (-3934 (((-121) $) NIL)) (-3520 (((-121) $) 62)) (-2612 (((-765) $) 60)) (-1786 (((-1095 |#1|) $) 41)) (-2157 (($ $ $) NIL (-1929 (|has| |#1| (-371)) (|has| |#1| (-844))))) (-2713 (($ $ $) NIL (-1929 (|has| |#1| (-371)) (|has| |#1| (-844))))) (-3772 (((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $) 35)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 92)) (-1912 (((-1111) $) NIL)) (-2891 (((-1095 |#1|) $) 98 (|has| |#1| (-371)))) (-3912 (((-121) $) 58)) (-1484 ((|#1| $ |#1|) 46)) (-2503 ((|#1| $ |#1|) 93)) (-2284 (((-765) $) 43)) (-3647 (($ (-635 (-635 |#1|))) 84)) (-1693 (((-974) $) 52)) (-1834 (($ (-635 |#1|)) 21)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-1676 (($ (-635 (-635 |#1|))) 38)) (-3629 (($ (-635 (-635 |#1|))) 87)) (-4116 (($ (-635 |#1|)) 95)) (-3956 (((-852) $) 83) (($ (-635 (-635 |#1|))) 65) (($ (-635 |#1|)) 66)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 16 T CONST)) (-1355 (((-121) $ $) NIL (-1929 (|has| |#1| (-371)) (|has| |#1| (-844))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#1| (-371)) (|has| |#1| (-844))))) (-1326 (((-121) $ $) 44)) (-1349 (((-121) $ $) NIL (-1929 (|has| |#1| (-371)) (|has| |#1| (-844))))) (-1337 (((-121) $ $) 64)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 22))) 
-(((-902 |#1|) (-13 (-900 |#1|) (-10 -8 (-15 -3772 ((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $)) (-15 -1676 ($ (-635 (-635 |#1|)))) (-15 -3956 ($ (-635 (-635 |#1|)))) (-15 -3956 ($ (-635 |#1|))) (-15 -3629 ($ (-635 (-635 |#1|)))) (-15 -2284 ((-765) $)) (-15 -1786 ((-1095 |#1|) $)) (-15 -1693 ((-974) $)) (-15 -4433 ((-765) $)) (-15 -2612 ((-765) $)) (-15 -3817 ((-569) $)) (-15 -3912 ((-121) $)) (-15 -3520 ((-121) $)) (-15 -2930 ((-635 $) (-635 $))) (IF (|has| |#1| (-371)) (-15 -2891 ((-1095 |#1|) $)) |noBranch|) (IF (|has| |#1| (-551)) (-15 -4116 ($ (-635 |#1|))) (IF (|has| |#1| (-371)) (-15 -4116 ($ (-635 |#1|))) |noBranch|)))) (-1093)) (T -902)) 
-((-3772 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-635 *3)) (|:| |image| (-635 *3)))) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-1676 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) (-3629 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) (-2284 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-1786 (*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-1693 (*1 *2 *1) (-12 (-5 *2 (-974)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-4433 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-2612 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-3817 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-3912 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-3520 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-2930 (*1 *2 *2) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-2891 (*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-902 *3)) (-4 *3 (-371)) (-4 *3 (-1093)))) (-4116 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-902 *3))))) 
-(-13 (-900 |#1|) (-10 -8 (-15 -3772 ((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $)) (-15 -1676 ($ (-635 (-635 |#1|)))) (-15 -3956 ($ (-635 (-635 |#1|)))) (-15 -3956 ($ (-635 |#1|))) (-15 -3629 ($ (-635 (-635 |#1|)))) (-15 -2284 ((-765) $)) (-15 -1786 ((-1095 |#1|) $)) (-15 -1693 ((-974) $)) (-15 -4433 ((-765) $)) (-15 -2612 ((-765) $)) (-15 -3817 ((-569) $)) (-15 -3912 ((-121) $)) (-15 -3520 ((-121) $)) (-15 -2930 ((-635 $) (-635 $))) (IF (|has| |#1| (-371)) (-15 -2891 ((-1095 |#1|) $)) |noBranch|) (IF (|has| |#1| (-551)) (-15 -4116 ($ (-635 |#1|))) (IF (|has| |#1| (-371)) (-15 -4116 ($ (-635 |#1|))) |noBranch|)))) 
-((-1876 (((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|)) 127)) (-4326 ((|#1|) 75)) (-1331 (((-421 (-1161 |#4|)) (-1161 |#4|)) 136)) (-4202 (((-421 (-1161 |#4|)) (-635 |#3|) (-1161 |#4|)) 67)) (-2646 (((-421 (-1161 |#4|)) (-1161 |#4|)) 146)) (-3875 (((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|) |#3|) 91))) 
-(((-903 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1876 ((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|))) (-15 -2646 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -1331 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -4326 (|#1|)) (-15 -3875 ((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|) |#3|)) (-15 -4202 ((-421 (-1161 |#4|)) (-635 |#3|) (-1161 |#4|)))) (-906) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -903)) 
-((-4202 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *7)) (-4 *7 (-844)) (-4 *5 (-906)) (-4 *6 (-790)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-421 (-1161 *8))) (-5 *1 (-903 *5 *6 *7 *8)) (-5 *4 (-1161 *8)))) (-3875 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-635 (-1161 *7))) (-5 *3 (-1161 *7)) (-4 *7 (-952 *5 *6 *4)) (-4 *5 (-906)) (-4 *6 (-790)) (-4 *4 (-844)) (-5 *1 (-903 *5 *6 *4 *7)))) (-4326 (*1 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-906)) (-5 *1 (-903 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-1331 (*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-903 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-2646 (*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-903 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-1876 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *7))) (-5 *3 (-1161 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-903 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -1876 ((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|))) (-15 -2646 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -1331 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -4326 (|#1|)) (-15 -3875 ((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|) |#3|)) (-15 -4202 ((-421 (-1161 |#4|)) (-635 |#3|) (-1161 |#4|)))) 
-((-1876 (((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|)) 36)) (-4326 ((|#1|) 53)) (-1331 (((-421 (-1161 |#2|)) (-1161 |#2|)) 101)) (-4202 (((-421 (-1161 |#2|)) (-1161 |#2|)) 88)) (-2646 (((-421 (-1161 |#2|)) (-1161 |#2|)) 112))) 
-(((-904 |#1| |#2|) (-10 -7 (-15 -1876 ((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|))) (-15 -2646 ((-421 (-1161 |#2|)) (-1161 |#2|))) (-15 -1331 ((-421 (-1161 |#2|)) (-1161 |#2|))) (-15 -4326 (|#1|)) (-15 -4202 ((-421 (-1161 |#2|)) (-1161 |#2|)))) (-906) (-1228 |#1|)) (T -904)) 
-((-4202 (*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5)))) (-4326 (*1 *2) (-12 (-4 *2 (-906)) (-5 *1 (-904 *2 *3)) (-4 *3 (-1228 *2)))) (-1331 (*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5)))) (-2646 (*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5)))) (-1876 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *5))) (-5 *3 (-1161 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-906)) (-5 *1 (-904 *4 *5))))) 
-(-10 -7 (-15 -1876 ((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|))) (-15 -2646 ((-421 (-1161 |#2|)) (-1161 |#2|))) (-15 -1331 ((-421 (-1161 |#2|)) (-1161 |#2|))) (-15 -4326 (|#1|)) (-15 -4202 ((-421 (-1161 |#2|)) (-1161 |#2|)))) 
-((-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 39)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 18)) (-2277 (((-3 $ "failed") $) 33))) 
-(((-905 |#1|) (-10 -8 (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|)))) (-906)) (T -905)) 
-NIL 
-(-10 -8 (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 57)) (-2710 (($ $) 49)) (-3742 (((-421 $) $) 50)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 54)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-2005 (((-121) $) 51)) (-3934 (((-121) $) 30)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-2769 (((-421 (-1161 $)) (-1161 $)) 55)) (-2059 (((-421 (-1161 $)) (-1161 $)) 56)) (-3139 (((-421 $) $) 48)) (-1436 (((-3 $ "failed") $ $) 41)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 53 (|has| $ (-149)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2277 (((-3 $ "failed") $) 52 (|has| $ (-149)))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-906) (-1284)) (T -906)) 
-((-2257 (*1 *2 *2 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-906)))) (-2501 (*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1)))) (-2059 (*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1)))) (-2769 (*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1)))) (-1447 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *1))) (-5 *3 (-1161 *1)) (-4 *1 (-906)))) (-2662 (*1 *2 *3) (|partial| -12 (-5 *3 (-681 *1)) (-4 *1 (-149)) (-4 *1 (-906)) (-5 *2 (-1253 *1)))) (-2277 (*1 *1 *1) (|partial| -12 (-4 *1 (-149)) (-4 *1 (-906))))) 
-(-13 (-1208) (-10 -8 (-15 -2501 ((-421 (-1161 $)) (-1161 $))) (-15 -2059 ((-421 (-1161 $)) (-1161 $))) (-15 -2769 ((-421 (-1161 $)) (-1161 $))) (-15 -2257 ((-1161 $) (-1161 $) (-1161 $))) (-15 -1447 ((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $))) (IF (|has| $ (-149)) (PROGN (-15 -2662 ((-3 (-1253 $) "failed") (-681 $))) (-15 -2277 ((-3 $ "failed") $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (($ $ (-919)) NIL (|has| $ (-371))) (($ $) NIL)) (-2039 (((-1173 (-919) (-765)) (-569)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 $ "failed") $) NIL)) (-1321 (($ $) NIL)) (-2097 (($ (-1253 $)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL)) (-3462 (((-121) $) NIL)) (-3238 (($ $) NIL) (($ $ (-765)) NIL)) (-2005 (((-121) $) NIL)) (-4433 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| $ (-371)))) (-3761 (((-121) $) NIL (|has| $ (-371)))) (-3046 (($ $ (-919)) NIL (|has| $ (-371))) (($ $) NIL)) (-1542 (((-3 $ "failed") $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 $) $ (-919)) NIL (|has| $ (-371))) (((-1161 $) $) NIL)) (-2862 (((-919) $) NIL)) (-2130 (((-1161 $) $) NIL (|has| $ (-371)))) (-2632 (((-3 (-1161 $) "failed") $ $) NIL (|has| $ (-371))) (((-1161 $) $) NIL (|has| $ (-371)))) (-3946 (($ $ (-1161 $)) NIL (|has| $ (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL T CONST)) (-1333 (($ (-919)) NIL)) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL (|has| $ (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL)) (-3139 (((-421 $) $) NIL)) (-3648 (((-919)) NIL) (((-830 (-919))) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-3 (-765) "failed") $ $) NIL) (((-765) $) NIL)) (-2174 (((-140)) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-2284 (((-919) $) NIL) (((-830 (-919)) $) NIL)) (-3036 (((-1161 $)) NIL)) (-3563 (($) NIL)) (-2433 (($) NIL (|has| $ (-371)))) (-3672 (((-681 $) (-1253 $)) NIL) (((-1253 $) $) NIL)) (-4035 (((-569) $) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL)) (-2277 (((-3 $ "failed") $) NIL) (($ $) NIL)) (-2320 (((-765)) NIL)) (-4079 (((-1253 $) (-919)) NIL) (((-1253 $)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $ (-765)) NIL (|has| $ (-371))) (($ $) NIL (|has| $ (-371)))) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-907 |#1|) (-13 (-351) (-328 $) (-610 (-569))) (-919)) (T -907)) 
-NIL 
-(-13 (-351) (-328 $) (-610 (-569))) 
-((-1673 (((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)) 76)) (-1613 (((-121) (-335 |#2| |#3| |#4| |#5|)) 16)) (-4433 (((-3 (-765) "failed") (-335 |#2| |#3| |#4| |#5|)) 14))) 
-(((-908 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4433 ((-3 (-765) "failed") (-335 |#2| |#3| |#4| |#5|))) (-15 -1613 ((-121) (-335 |#2| |#3| |#4| |#5|))) (-15 -1673 ((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)))) (-13 (-844) (-559) (-1039 (-569))) (-433 |#1|) (-1228 |#2|) (-1228 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -908)) 
-((-1673 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-2 (|:| -4433 (-765)) (|:| -3659 *8))) (-5 *1 (-908 *4 *5 *6 *7 *8)))) (-1613 (*1 *2 *3) (-12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-121)) (-5 *1 (-908 *4 *5 *6 *7 *8)))) (-4433 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-765)) (-5 *1 (-908 *4 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -4433 ((-3 (-765) "failed") (-335 |#2| |#3| |#4| |#5|))) (-15 -1613 ((-121) (-335 |#2| |#3| |#4| |#5|))) (-15 -1673 ((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)))) 
-((-1673 (((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)) 56)) (-1613 (((-121) (-335 (-410 (-569)) |#1| |#2| |#3|)) 13)) (-4433 (((-3 (-765) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)) 11))) 
-(((-909 |#1| |#2| |#3|) (-10 -7 (-15 -4433 ((-3 (-765) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -1613 ((-121) (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -1673 ((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)))) (-1228 (-410 (-569))) (-1228 (-410 |#1|)) (-341 (-410 (-569)) |#1| |#2|)) (T -909)) 
-((-1673 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-2 (|:| -4433 (-765)) (|:| -3659 *6))) (-5 *1 (-909 *4 *5 *6)))) (-1613 (*1 *2 *3) (-12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-909 *4 *5 *6)))) (-4433 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-765)) (-5 *1 (-909 *4 *5 *6))))) 
-(-10 -7 (-15 -4433 ((-3 (-765) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -1613 ((-121) (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -1673 ((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)))) 
-((-3132 (((-1161 |#1|) |#2|) 36)) (-2512 ((|#2| |#2| (-635 |#1|)) 59) ((|#2| |#2| (-635 |#1|) (-569)) 61)) (-1290 (((-765) |#2|) 70)) (-4442 ((|#2| |#2| |#2| (-569)) 51)) (-1429 ((|#2| |#2| |#2|) 49)) (-2388 ((|#2| |#2| |#2|) 48)) (-3518 ((|#2| |#2| (-569)) 64)) (-3708 ((|#2| |#2| (-569)) 60)) (-2905 (((-635 |#2|) |#2|) 15)) (-4068 ((|#2| |#2|) 82)) (-1541 ((|#2| (-1 |#3| |#3|) |#2|) 40)) (-1704 (((-635 |#2|)) 26)) (-3194 (((-635 |#3|) (-569)) 92)) (-2386 (((-635 |#2|) (-765)) 93)) (-4209 ((|#2| |#2| (-569)) 71)) (-2945 ((|#3| |#2|) NIL)) (-1775 (((-765) |#2|) 83)) (-2284 (((-765) |#2| (-569)) 67)) (-3709 ((|#1| |#2| (-919)) 80)) (-3575 ((|#1| |#2|) 81))) 
-(((-910 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1541 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -2284 ((-765) |#2| (-569))) (-15 -3132 ((-1161 |#1|) |#2|)) (-15 -1290 ((-765) |#2|)) (-15 -2388 (|#2| |#2| |#2|)) (-15 -1429 (|#2| |#2| |#2|)) (-15 -4442 (|#2| |#2| |#2| (-569))) (-15 -4068 (|#2| |#2|)) (-15 -2945 (|#3| |#2|)) (-15 -3518 (|#2| |#2| (-569))) (-15 -3708 (|#2| |#2| (-569))) (-15 -2512 (|#2| |#2| (-635 |#1|) (-569))) (-15 -2512 (|#2| |#2| (-635 |#1|))) (-15 -3709 (|#1| |#2| (-919))) (-15 -3575 (|#1| |#2|)) (-15 -4209 (|#2| |#2| (-569))) (-15 -3194 ((-635 |#3|) (-569))) (-15 -2386 ((-635 |#2|) (-765))) (-15 -1775 ((-765) |#2|)) (-15 -1704 ((-635 |#2|))) (-15 -2905 ((-635 |#2|) |#2|))) (-1049) (-325 |#1| |#3|) (-231 |#4| (-765)) (-765)) (T -910)) 
-((-2905 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-635 *3)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-1704 (*1 *2) (-12 (-4 *3 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-635 *4)) (-5 *1 (-910 *3 *4 *5 *6)) (-4 *4 (-325 *3 *5)))) (-1775 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-765)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-2386 (*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-4 *6 (-231 *7 *3)) (-14 *7 *3) (-5 *2 (-635 *5)) (-5 *1 (-910 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6)))) (-3194 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *2 (-635 *6)) (-5 *1 (-910 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6)))) (-4209 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-3575 (*1 *2 *3) (-12 (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-4 *2 (-1049)) (-5 *1 (-910 *2 *3 *4 *5)) (-4 *3 (-325 *2 *4)))) (-3709 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *2 (-1049)) (-5 *1 (-910 *2 *3 *5 *6)) (-4 *3 (-325 *2 *5)))) (-2512 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2512 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-1049)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-910 *5 *2 *6 *7)) (-4 *2 (-325 *5 *6)))) (-3708 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-3518 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2945 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-231 *5 (-765))) (-5 *1 (-910 *4 *3 *2 *5)) (-4 *3 (-325 *4 *2)) (-14 *5 (-765)))) (-4068 (*1 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-4442 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-1429 (*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-2388 (*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-1290 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-765)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-3132 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-1161 *4)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-2284 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-1049)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-765)) (-5 *1 (-910 *5 *3 *6 *7)) (-4 *3 (-325 *5 *6)))) (-1541 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *4 (-1049)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
-(-10 -7 (-15 -1541 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -2284 ((-765) |#2| (-569))) (-15 -3132 ((-1161 |#1|) |#2|)) (-15 -1290 ((-765) |#2|)) (-15 -2388 (|#2| |#2| |#2|)) (-15 -1429 (|#2| |#2| |#2|)) (-15 -4442 (|#2| |#2| |#2| (-569))) (-15 -4068 (|#2| |#2|)) (-15 -2945 (|#3| |#2|)) (-15 -3518 (|#2| |#2| (-569))) (-15 -3708 (|#2| |#2| (-569))) (-15 -2512 (|#2| |#2| (-635 |#1|) (-569))) (-15 -2512 (|#2| |#2| (-635 |#1|))) (-15 -3709 (|#1| |#2| (-919))) (-15 -3575 (|#1| |#2|)) (-15 -4209 (|#2| |#2| (-569))) (-15 -3194 ((-635 |#3|) (-569))) (-15 -2386 ((-635 |#2|) (-765))) (-15 -1775 ((-765) |#2|)) (-15 -1704 ((-635 |#2|))) (-15 -2905 ((-635 |#2|) |#2|))) 
-((-3191 ((|#2| |#2|) 25)) (-3738 (((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) 15)) (-4481 (((-919) (-569)) 35)) (-1594 (((-569) |#2|) 42)) (-3208 (((-569) |#2|) 21) (((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|) 20))) 
-(((-911 |#1| |#2|) (-10 -7 (-15 -4481 ((-919) (-569))) (-15 -3208 ((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|)) (-15 -3208 ((-569) |#2|)) (-15 -3738 ((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))))) (-15 -1594 ((-569) |#2|)) (-15 -3191 (|#2| |#2|))) (-1228 (-410 (-569))) (-1228 (-410 |#1|))) (T -911)) 
-((-3191 (*1 *2 *2) (-12 (-4 *3 (-1228 (-410 (-569)))) (-5 *1 (-911 *3 *2)) (-4 *2 (-1228 (-410 *3))))) (-1594 (*1 *2 *3) (-12 (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1228 (-410 *4))))) (-3738 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *5)) (-4 *5 (-1228 (-410 *4))))) (-3208 (*1 *2 *3) (-12 (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1228 (-410 *4))))) (-3208 (*1 *2 *3) (-12 (-4 *3 (-1228 (-410 (-569)))) (-5 *2 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))) (-5 *1 (-911 *3 *4)) (-4 *4 (-1228 (-410 *3))))) (-4481 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1228 (-410 *3))) (-5 *2 (-919)) (-5 *1 (-911 *4 *5)) (-4 *5 (-1228 (-410 *4)))))) 
-(-10 -7 (-15 -4481 ((-919) (-569))) (-15 -3208 ((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|)) (-15 -3208 ((-569) |#2|)) (-15 -3738 ((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))))) (-15 -1594 ((-569) |#2|)) (-15 -3191 (|#2| |#2|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 ((|#1| $) 80)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) 74)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1642 (($ |#1| (-421 |#1|)) 72)) (-4440 (((-1161 |#1|) |#1| |#1|) 40)) (-2989 (($ $) 48)) (-3934 (((-121) $) NIL)) (-4470 (((-569) $) 77)) (-3935 (($ $ (-569)) 79)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-4211 ((|#1| $) 76)) (-3446 (((-421 |#1|) $) 75)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) 73)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4261 (($ $) 38)) (-3956 (((-852) $) 98) (($ (-569)) 53) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 30) (((-410 |#1|) $) 58) (($ (-410 (-421 |#1|))) 66)) (-2320 (((-765)) 51)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 23 T CONST)) (-3297 (($) 11 T CONST)) (-1326 (((-121) $ $) 67)) (-1383 (($ $ $) NIL)) (-1377 (($ $) 87) (($ $ $) NIL)) (-1371 (($ $ $) 37)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 89) (($ $ $) 36) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 88) (($ $ |#1|) NIL))) 
-(((-912 |#1|) (-13 (-366) (-43 |#1|) (-10 -8 (-15 -3956 ((-410 |#1|) $)) (-15 -3956 ($ (-410 (-421 |#1|)))) (-15 -4261 ($ $)) (-15 -3446 ((-421 |#1|) $)) (-15 -4211 (|#1| $)) (-15 -3935 ($ $ (-569))) (-15 -4470 ((-569) $)) (-15 -4440 ((-1161 |#1|) |#1| |#1|)) (-15 -2989 ($ $)) (-15 -1642 ($ |#1| (-421 |#1|))) (-15 -3644 (|#1| $)))) (-302)) (T -912)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-410 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-410 (-421 *3))) (-4 *3 (-302)) (-5 *1 (-912 *3)))) (-4261 (*1 *1 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302)))) (-3446 (*1 *2 *1) (-12 (-5 *2 (-421 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) (-4211 (*1 *2 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302)))) (-3935 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) (-4470 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) (-4440 (*1 *2 *3 *3) (-12 (-5 *2 (-1161 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) (-2989 (*1 *1 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302)))) (-1642 (*1 *1 *2 *3) (-12 (-5 *3 (-421 *2)) (-4 *2 (-302)) (-5 *1 (-912 *2)))) (-3644 (*1 *2 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302))))) 
-(-13 (-366) (-43 |#1|) (-10 -8 (-15 -3956 ((-410 |#1|) $)) (-15 -3956 ($ (-410 (-421 |#1|)))) (-15 -4261 ($ $)) (-15 -3446 ((-421 |#1|) $)) (-15 -4211 (|#1| $)) (-15 -3935 ($ $ (-569))) (-15 -4470 ((-569) $)) (-15 -4440 ((-1161 |#1|) |#1| |#1|)) (-15 -2989 ($ $)) (-15 -1642 ($ |#1| (-421 |#1|))) (-15 -3644 (|#1| $)))) 
-((-1642 (((-57) (-955 |#1|) (-421 (-955 |#1|)) (-1165)) 16) (((-57) (-410 (-955 |#1|)) (-1165)) 17))) 
-(((-913 |#1|) (-10 -7 (-15 -1642 ((-57) (-410 (-955 |#1|)) (-1165))) (-15 -1642 ((-57) (-955 |#1|) (-421 (-955 |#1|)) (-1165)))) (-13 (-302) (-151))) (T -913)) 
-((-1642 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-421 (-955 *6))) (-5 *5 (-1165)) (-5 *3 (-955 *6)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-913 *6)))) (-1642 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-913 *5))))) 
-(-10 -7 (-15 -1642 ((-57) (-410 (-955 |#1|)) (-1165))) (-15 -1642 ((-57) (-955 |#1|) (-421 (-955 |#1|)) (-1165)))) 
-((-4341 ((|#4| (-635 |#4|)) 118) (((-1161 |#4|) (-1161 |#4|) (-1161 |#4|)) 65) ((|#4| |#4| |#4|) 117)) (-3964 (((-1161 |#4|) (-635 (-1161 |#4|))) 111) (((-1161 |#4|) (-1161 |#4|) (-1161 |#4|)) 48) ((|#4| (-635 |#4|)) 53) ((|#4| |#4| |#4|) 82))) 
-(((-914 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3964 (|#4| |#4| |#4|)) (-15 -3964 (|#4| (-635 |#4|))) (-15 -3964 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -3964 ((-1161 |#4|) (-635 (-1161 |#4|)))) (-15 -4341 (|#4| |#4| |#4|)) (-15 -4341 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -4341 (|#4| (-635 |#4|)))) (-790) (-844) (-302) (-952 |#3| |#1| |#2|)) (T -914)) 
-((-4341 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *6 *4 *5)) (-5 *1 (-914 *4 *5 *6 *2)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)))) (-4341 (*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *6)))) (-4341 (*1 *2 *2 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *2)) (-4 *2 (-952 *5 *3 *4)))) (-3964 (*1 *2 *3) (-12 (-5 *3 (-635 (-1161 *7))) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-1161 *7)) (-5 *1 (-914 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) (-3964 (*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *6)))) (-3964 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *6 *4 *5)) (-5 *1 (-914 *4 *5 *6 *2)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)))) (-3964 (*1 *2 *2 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *2)) (-4 *2 (-952 *5 *3 *4))))) 
-(-10 -7 (-15 -3964 (|#4| |#4| |#4|)) (-15 -3964 (|#4| (-635 |#4|))) (-15 -3964 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -3964 ((-1161 |#4|) (-635 (-1161 |#4|)))) (-15 -4341 (|#4| |#4| |#4|)) (-15 -4341 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -4341 (|#4| (-635 |#4|)))) 
-((-1480 (((-901 (-569)) (-974)) 22) (((-901 (-569)) (-635 (-569))) 19)) (-1420 (((-901 (-569)) (-635 (-569))) 46) (((-901 (-569)) (-919)) 47)) (-1748 (((-901 (-569))) 23)) (-2580 (((-901 (-569))) 36) (((-901 (-569)) (-635 (-569))) 35)) (-1583 (((-901 (-569))) 34) (((-901 (-569)) (-635 (-569))) 33)) (-1540 (((-901 (-569))) 32) (((-901 (-569)) (-635 (-569))) 31)) (-2013 (((-901 (-569))) 30) (((-901 (-569)) (-635 (-569))) 29)) (-2137 (((-901 (-569))) 28) (((-901 (-569)) (-635 (-569))) 27)) (-4251 (((-901 (-569))) 38) (((-901 (-569)) (-635 (-569))) 37)) (-4315 (((-901 (-569)) (-635 (-569))) 50) (((-901 (-569)) (-919)) 51)) (-2671 (((-901 (-569)) (-635 (-569))) 48) (((-901 (-569)) (-919)) 49)) (-1886 (((-901 (-569)) (-635 (-569))) 43) (((-901 (-569)) (-919)) 45)) (-2810 (((-901 (-569)) (-635 (-919))) 40))) 
-(((-915) (-10 -7 (-15 -1420 ((-901 (-569)) (-919))) (-15 -1420 ((-901 (-569)) (-635 (-569)))) (-15 -1886 ((-901 (-569)) (-919))) (-15 -1886 ((-901 (-569)) (-635 (-569)))) (-15 -2810 ((-901 (-569)) (-635 (-919)))) (-15 -2671 ((-901 (-569)) (-919))) (-15 -2671 ((-901 (-569)) (-635 (-569)))) (-15 -4315 ((-901 (-569)) (-919))) (-15 -4315 ((-901 (-569)) (-635 (-569)))) (-15 -2137 ((-901 (-569)) (-635 (-569)))) (-15 -2137 ((-901 (-569)))) (-15 -2013 ((-901 (-569)) (-635 (-569)))) (-15 -2013 ((-901 (-569)))) (-15 -1540 ((-901 (-569)) (-635 (-569)))) (-15 -1540 ((-901 (-569)))) (-15 -1583 ((-901 (-569)) (-635 (-569)))) (-15 -1583 ((-901 (-569)))) (-15 -2580 ((-901 (-569)) (-635 (-569)))) (-15 -2580 ((-901 (-569)))) (-15 -4251 ((-901 (-569)) (-635 (-569)))) (-15 -4251 ((-901 (-569)))) (-15 -1748 ((-901 (-569)))) (-15 -1480 ((-901 (-569)) (-635 (-569)))) (-15 -1480 ((-901 (-569)) (-974))))) (T -915)) 
-((-1480 (*1 *2 *3) (-12 (-5 *3 (-974)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1480 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1748 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-4251 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-4251 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2580 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2580 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1583 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1583 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1540 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1540 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2013 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2013 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2137 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2137 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-4315 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-4315 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2671 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2671 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2810 (*1 *2 *3) (-12 (-5 *3 (-635 (-919))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1886 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1886 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1420 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1420 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(-10 -7 (-15 -1420 ((-901 (-569)) (-919))) (-15 -1420 ((-901 (-569)) (-635 (-569)))) (-15 -1886 ((-901 (-569)) (-919))) (-15 -1886 ((-901 (-569)) (-635 (-569)))) (-15 -2810 ((-901 (-569)) (-635 (-919)))) (-15 -2671 ((-901 (-569)) (-919))) (-15 -2671 ((-901 (-569)) (-635 (-569)))) (-15 -4315 ((-901 (-569)) (-919))) (-15 -4315 ((-901 (-569)) (-635 (-569)))) (-15 -2137 ((-901 (-569)) (-635 (-569)))) (-15 -2137 ((-901 (-569)))) (-15 -2013 ((-901 (-569)) (-635 (-569)))) (-15 -2013 ((-901 (-569)))) (-15 -1540 ((-901 (-569)) (-635 (-569)))) (-15 -1540 ((-901 (-569)))) (-15 -1583 ((-901 (-569)) (-635 (-569)))) (-15 -1583 ((-901 (-569)))) (-15 -2580 ((-901 (-569)) (-635 (-569)))) (-15 -2580 ((-901 (-569)))) (-15 -4251 ((-901 (-569)) (-635 (-569)))) (-15 -4251 ((-901 (-569)))) (-15 -1748 ((-901 (-569)))) (-15 -1480 ((-901 (-569)) (-635 (-569)))) (-15 -1480 ((-901 (-569)) (-974)))) 
-((-2869 (((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165))) 10)) (-1643 (((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165))) 9))) 
-(((-916 |#1|) (-10 -7 (-15 -1643 ((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -2869 ((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165))))) (-454)) (T -916)) 
-((-2869 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-955 *4))) (-5 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-916 *4)))) (-1643 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-955 *4))) (-5 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-916 *4))))) 
-(-10 -7 (-15 -1643 ((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -2869 ((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165))))) 
-((-3956 (((-311 |#1|) (-490)) 15))) 
-(((-917 |#1|) (-10 -7 (-15 -3956 ((-311 |#1|) (-490)))) (-13 (-844) (-559))) (T -917)) 
-((-3956 (*1 *2 *3) (-12 (-5 *3 (-490)) (-5 *2 (-311 *4)) (-5 *1 (-917 *4)) (-4 *4 (-13 (-844) (-559)))))) 
-(-10 -7 (-15 -3956 ((-311 |#1|) (-490)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3934 (((-121) $) 30)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-918) (-1284)) (T -918)) 
-((-2153 (*1 *2 *3) (-12 (-4 *1 (-918)) (-5 *2 (-2 (|:| -3550 (-635 *1)) (|:| -1986 *1))) (-5 *3 (-635 *1)))) (-2213 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-918))))) 
-(-13 (-454) (-10 -8 (-15 -2153 ((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $))) (-15 -2213 ((-3 (-635 $) "failed") (-635 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3964 (($ $ $) NIL)) (-3956 (((-852) $) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-3297 (($) NIL T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ (-919) $) NIL) (($ $ $) NIL))) 
-(((-919) (-13 (-25) (-844) (-718) (-10 -8 (-15 -3964 ($ $ $)) (-6 (-4573 "*"))))) (T -919)) 
-((-3964 (*1 *1 *1 *1) (-5 *1 (-919)))) 
-(-13 (-25) (-844) (-718) (-10 -8 (-15 -3964 ($ $ $)) (-6 (-4573 "*")))) 
-((-2443 ((|#2| (-635 |#1|) (-635 |#1|)) 22))) 
-(((-920 |#1| |#2|) (-10 -7 (-15 -2443 (|#2| (-635 |#1|) (-635 |#1|)))) (-366) (-1228 |#1|)) (T -920)) 
-((-2443 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-4 *2 (-1228 *4)) (-5 *1 (-920 *4 *2))))) 
-(-10 -7 (-15 -2443 (|#2| (-635 |#1|) (-635 |#1|)))) 
-((-3393 (((-1161 |#2|) (-635 |#2|) (-635 |#2|)) 17) (((-1225 |#1| |#2|) (-1225 |#1| |#2|) (-635 |#2|) (-635 |#2|)) 13))) 
-(((-921 |#1| |#2|) (-10 -7 (-15 -3393 ((-1225 |#1| |#2|) (-1225 |#1| |#2|) (-635 |#2|) (-635 |#2|))) (-15 -3393 ((-1161 |#2|) (-635 |#2|) (-635 |#2|)))) (-1165) (-366)) (T -921)) 
-((-3393 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-366)) (-5 *2 (-1161 *5)) (-5 *1 (-921 *4 *5)) (-14 *4 (-1165)))) (-3393 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1225 *4 *5)) (-5 *3 (-635 *5)) (-14 *4 (-1165)) (-4 *5 (-366)) (-5 *1 (-921 *4 *5))))) 
-(-10 -7 (-15 -3393 ((-1225 |#1| |#2|) (-1225 |#1| |#2|) (-635 |#2|) (-635 |#2|))) (-15 -3393 ((-1161 |#2|) (-635 |#2|) (-635 |#2|)))) 
-((-1310 (((-121) $ $) 7)) (-1659 (((-1258) $ (-635 |#2|)) 19)) (-3598 (((-635 $)) 14)) (-4170 (((-1258) $ (-919)) 18)) (-2793 (((-237 $) (-635 $)) 23)) (-3233 (((-635 |#2|) $) 20)) (-3491 (((-121) $) 17)) (-2605 (((-1147) $) 9)) (-1814 (((-1258) $) 16)) (-1912 (((-1111) $) 10)) (-3636 (((-635 $)) 15)) (-2503 ((|#1| $ (-569)) 13)) (-2284 (((-919) $) 12)) (-1896 (($ (-635 |#1|)) 22) (($ (-1165)) 21)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6)) (-1377 (((-237 $) $ $) 28) (((-237 $) (-237 $) $) 27) (((-237 $) $ (-237 $)) 26) (((-237 $) $) 25)) (-1371 (((-237 $) $ $) 31) (((-237 $) (-237 $) $) 30) (((-237 $) $ (-237 $)) 29)) (* (((-237 $) (-569) $) 24))) 
-(((-922 |#1| |#2|) (-1284) (-366) (-642 |t#1|)) (T -922)) 
-((-1371 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) (-1371 (*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1371 (*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1377 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) (-1377 (*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1377 (*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1377 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) (* (*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)) (-4 *1 (-922 *4 *5)))) (-2793 (*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)))) (-1896 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-922 *3 *4)) (-4 *4 (-642 *3)))) (-1896 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *3 (-366)) (-4 *1 (-922 *3 *4)) (-4 *4 (-642 *3)))) (-3233 (*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *4)))) (-1659 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *5)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1258)))) (-4170 (*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1258)))) (-3491 (*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-121)))) (-1814 (*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-1258)))) (-3636 (*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-922 *3 *4)))) (-3598 (*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-922 *3 *4)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-922 *2 *4)) (-4 *4 (-642 *2)) (-4 *2 (-366))))) 
-(-13 (-1091) (-10 -8 (-15 -1371 ((-237 $) $ $)) (-15 -1371 ((-237 $) (-237 $) $)) (-15 -1371 ((-237 $) $ (-237 $))) (-15 -1377 ((-237 $) $ $)) (-15 -1377 ((-237 $) (-237 $) $)) (-15 -1377 ((-237 $) $ (-237 $))) (-15 -1377 ((-237 $) $)) (-15 * ((-237 $) (-569) $)) (-15 -2793 ((-237 $) (-635 $))) (-15 -1896 ($ (-635 |t#1|))) (-15 -1896 ($ (-1165))) (-15 -3233 ((-635 |t#2|) $)) (-15 -1659 ((-1258) $ (-635 |t#2|))) (-15 -4170 ((-1258) $ (-919))) (-15 -3491 ((-121) $)) (-15 -1814 ((-1258) $)) (-15 -3636 ((-635 $))) (-15 -3598 ((-635 $))) (-15 -2503 (|t#1| $ (-569))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T) ((-1091) . T)) 
-((-1310 (((-121) $ $) NIL)) (-1659 (((-1258) $ (-635 (-776 |#1|))) NIL)) (-3598 (((-635 $)) NIL)) (-4170 (((-1258) $ (-919)) NIL)) (-2793 (((-237 $) (-635 $)) NIL)) (-3233 (((-635 (-776 |#1|)) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1814 (((-1258) $) NIL)) (-1912 (((-1111) $) NIL)) (-3636 (((-635 $)) NIL)) (-2503 ((|#1| $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-1896 (($ (-635 |#1|)) NIL) (($ (-1165)) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL)) (-1377 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL) (((-237 $) $) NIL)) (-1371 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL)) (* (((-237 $) (-569) $) NIL))) 
-(((-923 |#1|) (-922 |#1| (-776 |#1|)) (-366)) (T -923)) 
-NIL 
-(-922 |#1| (-776 |#1|)) 
-((-1310 (((-121) $ $) NIL)) (-1659 (((-1258) $ (-635 (-776 (-859 |#1|)))) NIL)) (-3598 (((-635 $)) NIL)) (-4170 (((-1258) $ (-919)) NIL)) (-2793 (((-237 $) (-635 $)) NIL)) (-3233 (((-635 (-776 (-859 |#1|))) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1814 (((-1258) $) NIL)) (-1912 (((-1111) $) NIL)) (-3636 (((-635 $)) NIL)) (-2503 (((-859 |#1|) $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-1896 (($ (-635 (-859 |#1|))) NIL) (($ (-1165)) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL)) (-1377 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL) (((-237 $) $) NIL)) (-1371 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL)) (* (((-237 $) (-569) $) NIL))) 
-(((-924 |#1|) (-922 (-859 |#1|) (-776 (-859 |#1|))) (-351)) (T -924)) 
-NIL 
-(-922 (-859 |#1|) (-776 (-859 |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-1659 (((-1258) $ (-635 |#2|)) 73)) (-3598 (((-635 $)) 62)) (-4170 (((-1258) $ (-919)) 71)) (-2793 (((-237 $) (-635 $)) 27)) (-3233 (((-635 |#2|) $) 74)) (-3491 (((-121) $) 54)) (-2605 (((-1147) $) NIL)) (-1814 (((-1258) $) 57)) (-1912 (((-1111) $) NIL)) (-3636 (((-635 $)) 59)) (-2503 ((|#1| $ (-569)) 53)) (-2284 (((-919) $) 42)) (-1896 (($ (-635 |#1|)) 69) (($ (-1165)) 70)) (-3956 (((-852) $) 45)) (-1326 (((-121) $ $) 50)) (-1377 (((-237 $) $ $) 18) (((-237 $) (-237 $) $) 30) (((-237 $) $ (-237 $)) 31) (((-237 $) $) 33)) (-1371 (((-237 $) $ $) 16) (((-237 $) (-237 $) $) 28) (((-237 $) $ (-237 $)) 29)) (* (((-237 $) (-569) $) 21))) 
-(((-925 |#1| |#2|) (-922 |#1| |#2|) (-366) (-642 |#1|)) (T -925)) 
-NIL 
-(-922 |#1| |#2|) 
-((-2763 (((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147)) 137)) (-3162 ((|#4| |#4|) 153)) (-2381 (((-635 (-410 (-955 |#1|))) (-635 (-1165))) 116)) (-4104 (((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-635 (-635 |#4|)) (-765) (-765) (-569)) 73)) (-4022 (((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-635 |#4|)) 57)) (-3573 (((-681 |#4|) (-681 |#4|) (-635 |#4|)) 53)) (-2972 (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147)) 149)) (-2279 (((-569) (-681 |#4|) (-919) (-1147)) 130) (((-569) (-681 |#4|) (-635 (-1165)) (-919) (-1147)) 129) (((-569) (-681 |#4|) (-635 |#4|) (-919) (-1147)) 128) (((-569) (-681 |#4|) (-1147)) 125) (((-569) (-681 |#4|) (-635 (-1165)) (-1147)) 124) (((-569) (-681 |#4|) (-635 |#4|) (-1147)) 123) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-919)) 122) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165)) (-919)) 121) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|) (-919)) 120) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|)) 118) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165))) 117) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|)) 114)) (-3734 ((|#4| (-955 |#1|)) 66)) (-2424 (((-121) (-635 |#4|) (-635 (-635 |#4|))) 150)) (-3423 (((-635 (-635 (-569))) (-569) (-569)) 127)) (-2156 (((-635 (-635 |#4|)) (-635 (-635 |#4|))) 85)) (-3138 (((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|))))) 83)) (-2325 (((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|))))) 82)) (-1319 (((-121) (-635 (-955 |#1|))) 17) (((-121) (-635 |#4|)) 13)) (-1539 (((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|)) 69)) (-4324 (((-635 |#4|) |#4|) 47)) (-3084 (((-635 (-410 (-955 |#1|))) (-635 |#4|)) 112) (((-681 (-410 (-955 |#1|))) (-681 |#4|)) 54) (((-410 (-955 |#1|)) |#4|) 109)) (-3996 (((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))))) (|:| |rgsz| (-569))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-765) (-1147) (-569)) 89)) (-3239 (((-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-681 |#4|) (-765)) 81)) (-2784 (((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-681 |#4|) (-765)) 98)) (-1481 (((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| -4463 (-681 (-410 (-955 |#1|)))) (|:| |vec| (-635 (-410 (-955 |#1|)))) (|:| -3358 (-765)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) 46))) 
-(((-926 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165)))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|) (-919))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165)) (-919))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-919))) (-15 -2279 ((-569) (-681 |#4|) (-635 |#4|) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 (-1165)) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 |#4|) (-919) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 (-1165)) (-919) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-919) (-1147))) (-15 -2763 ((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147))) (-15 -2972 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147))) (-15 -3996 ((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))))) (|:| |rgsz| (-569))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-765) (-1147) (-569))) (-15 -3084 ((-410 (-955 |#1|)) |#4|)) (-15 -3084 ((-681 (-410 (-955 |#1|))) (-681 |#4|))) (-15 -3084 ((-635 (-410 (-955 |#1|))) (-635 |#4|))) (-15 -2381 ((-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -3734 (|#4| (-955 |#1|))) (-15 -1539 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|))) (-15 -3239 ((-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-681 |#4|) (-765))) (-15 -4022 ((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-635 |#4|))) (-15 -1481 ((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| -4463 (-681 (-410 (-955 |#1|)))) (|:| |vec| (-635 (-410 (-955 |#1|)))) (|:| -3358 (-765)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-15 -4324 ((-635 |#4|) |#4|)) (-15 -2325 ((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -3138 ((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -2156 ((-635 (-635 |#4|)) (-635 (-635 |#4|)))) (-15 -3423 ((-635 (-635 (-569))) (-569) (-569))) (-15 -2424 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -2784 ((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-681 |#4|) (-765))) (-15 -3573 ((-681 |#4|) (-681 |#4|) (-635 |#4|))) (-15 -4104 ((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-635 (-635 |#4|)) (-765) (-765) (-569))) (-15 -3162 (|#4| |#4|)) (-15 -1319 ((-121) (-635 |#4|))) (-15 -1319 ((-121) (-635 (-955 |#1|))))) (-13 (-302) (-151)) (-13 (-844) (-610 (-1165))) (-790) (-952 |#1| |#3| |#2|)) (T -926)) 
-((-1319 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5)))) (-1319 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *4 *5 *6 *7)))) (-3162 (*1 *2 *2) (-12 (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-844) (-610 (-1165)))) (-4 *5 (-790)) (-5 *1 (-926 *3 *4 *5 *2)) (-4 *2 (-952 *3 *5 *4)))) (-4104 (*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-5 *4 (-681 *12)) (-5 *5 (-635 (-410 (-955 *9)))) (-5 *6 (-635 (-635 *12))) (-5 *7 (-765)) (-5 *8 (-569)) (-4 *9 (-13 (-302) (-151))) (-4 *12 (-952 *9 *11 *10)) (-4 *10 (-13 (-844) (-610 (-1165)))) (-4 *11 (-790)) (-5 *2 (-2 (|:| |eqzro| (-635 *12)) (|:| |neqzro| (-635 *12)) (|:| |wcond| (-635 (-955 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *9)))) (|:| -4079 (-635 (-1253 (-410 (-955 *9))))))))) (-5 *1 (-926 *9 *10 *11 *12)))) (-3573 (*1 *2 *2 *3) (-12 (-5 *2 (-681 *7)) (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *1 (-926 *4 *5 *6 *7)))) (-2784 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-765)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-5 *1 (-926 *5 *6 *7 *8)))) (-2424 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *5 *6 *7 *8)))) (-3423 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-926 *4 *5 *6 *7)) (-5 *3 (-569)) (-4 *7 (-952 *4 *6 *5)))) (-2156 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *6))) (-4 *6 (-952 *3 *5 *4)) (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-844) (-610 (-1165)))) (-4 *5 (-790)) (-5 *1 (-926 *3 *4 *5 *6)))) (-3138 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-765)) (-5 *1 (-926 *4 *5 *6 *7)))) (-2325 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-765)) (-5 *1 (-926 *4 *5 *6 *7)))) (-4324 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 *3)) (-5 *1 (-926 *4 *5 *6 *3)) (-4 *3 (-952 *4 *6 *5)))) (-1481 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -4463 (-681 (-410 (-955 *4)))) (|:| |vec| (-635 (-410 (-955 *4)))) (|:| -3358 (-765)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4))))))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5)))) (-4022 (*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4))))))) (-5 *3 (-635 *7)) (-4 *4 (-13 (-302) (-151))) (-4 *7 (-952 *4 *6 *5)) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *1 (-926 *4 *5 *6 *7)))) (-3239 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *8))))) (-5 *1 (-926 *5 *6 *7 *8)) (-5 *4 (-765)))) (-1539 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-4 *7 (-952 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-635 *7)) (|:| |n0| (-635 *7)))) (-5 *1 (-926 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-3734 (*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-13 (-302) (-151))) (-4 *2 (-952 *4 *6 *5)) (-5 *1 (-926 *4 *5 *6 *2)) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)))) (-2381 (*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5)))) (-3084 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7)))) (-3084 (*1 *2 *3) (-12 (-5 *3 (-681 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-681 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7)))) (-3084 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-410 (-955 *4))) (-5 *1 (-926 *4 *5 *6 *3)) (-4 *3 (-952 *4 *6 *5)))) (-3996 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-681 *11)) (-5 *4 (-635 (-410 (-955 *8)))) (-5 *5 (-765)) (-5 *6 (-1147)) (-4 *8 (-13 (-302) (-151))) (-4 *11 (-952 *8 *10 *9)) (-4 *9 (-13 (-844) (-610 (-1165)))) (-4 *10 (-790)) (-5 *2 (-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 *11)) (|:| |neqzro| (-635 *11)) (|:| |wcond| (-635 (-955 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *8)))) (|:| -4079 (-635 (-1253 (-410 (-955 *8)))))))))) (|:| |rgsz| (-569)))) (-5 *1 (-926 *8 *9 *10 *11)) (-5 *7 (-569)))) (-2972 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-955 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4)))))))))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5)))) (-2763 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *4 (-1147)) (-4 *5 (-13 (-302) (-151))) (-4 *8 (-952 *5 *7 *6)) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *5 *6 *7 *8)))) (-2279 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-919)) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9)))) (-2279 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-681 *10)) (-5 *4 (-635 (-1165))) (-5 *5 (-919)) (-5 *6 (-1147)) (-4 *10 (-952 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-844) (-610 (-1165)))) (-4 *9 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *7 *8 *9 *10)))) (-2279 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-681 *10)) (-5 *4 (-635 *10)) (-5 *5 (-919)) (-5 *6 (-1147)) (-4 *10 (-952 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-844) (-610 (-1165)))) (-4 *9 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *7 *8 *9 *10)))) (-2279 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-1147)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *5 *6 *7 *8)))) (-2279 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 (-1165))) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9)))) (-2279 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 *9)) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9)))) (-2279 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-919)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)))) (-2279 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 (-1165))) (-5 *5 (-919)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-955 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *6)))) (|:| -4079 (-635 (-1253 (-410 (-955 *6)))))))))) (-5 *1 (-926 *6 *7 *8 *9)))) (-2279 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *5 (-919)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-955 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *6)))) (|:| -4079 (-635 (-1253 (-410 (-955 *6)))))))))) (-5 *1 (-926 *6 *7 *8 *9)) (-5 *4 (-635 *9)))) (-2279 (*1 *2 *3) (-12 (-5 *3 (-681 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-955 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4)))))))))) (-5 *1 (-926 *4 *5 *6 *7)))) (-2279 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-635 (-1165))) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)))) (-2279 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
-(-10 -7 (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165)))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|) (-919))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165)) (-919))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-919))) (-15 -2279 ((-569) (-681 |#4|) (-635 |#4|) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 (-1165)) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 |#4|) (-919) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 (-1165)) (-919) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-919) (-1147))) (-15 -2763 ((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147))) (-15 -2972 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147))) (-15 -3996 ((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))))) (|:| |rgsz| (-569))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-765) (-1147) (-569))) (-15 -3084 ((-410 (-955 |#1|)) |#4|)) (-15 -3084 ((-681 (-410 (-955 |#1|))) (-681 |#4|))) (-15 -3084 ((-635 (-410 (-955 |#1|))) (-635 |#4|))) (-15 -2381 ((-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -3734 (|#4| (-955 |#1|))) (-15 -1539 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|))) (-15 -3239 ((-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-681 |#4|) (-765))) (-15 -4022 ((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-635 |#4|))) (-15 -1481 ((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| -4463 (-681 (-410 (-955 |#1|)))) (|:| |vec| (-635 (-410 (-955 |#1|)))) (|:| -3358 (-765)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-15 -4324 ((-635 |#4|) |#4|)) (-15 -2325 ((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -3138 ((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -2156 ((-635 (-635 |#4|)) (-635 (-635 |#4|)))) (-15 -3423 ((-635 (-635 (-569))) (-569) (-569))) (-15 -2424 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -2784 ((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-681 |#4|) (-765))) (-15 -3573 ((-681 |#4|) (-681 |#4|) (-635 |#4|))) (-15 -4104 ((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-635 (-635 |#4|)) (-765) (-765) (-569))) (-15 -3162 (|#4| |#4|)) (-15 -1319 ((-121) (-635 |#4|))) (-15 -1319 ((-121) (-635 (-955 |#1|))))) 
-((-4280 (((-929) |#1| (-1165)) 16) (((-929) |#1| (-1165) (-1087 (-216))) 20)) (-2962 (((-929) |#1| |#1| (-1165) (-1087 (-216))) 18) (((-929) |#1| (-1165) (-1087 (-216))) 14))) 
-(((-927 |#1|) (-10 -7 (-15 -2962 ((-929) |#1| (-1165) (-1087 (-216)))) (-15 -2962 ((-929) |#1| |#1| (-1165) (-1087 (-216)))) (-15 -4280 ((-929) |#1| (-1165) (-1087 (-216)))) (-15 -4280 ((-929) |#1| (-1165)))) (-610 (-542))) (T -927)) 
-((-4280 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) (-4280 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) (-2962 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) (-2962 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542)))))) 
-(-10 -7 (-15 -2962 ((-929) |#1| (-1165) (-1087 (-216)))) (-15 -2962 ((-929) |#1| |#1| (-1165) (-1087 (-216)))) (-15 -4280 ((-929) |#1| (-1165) (-1087 (-216)))) (-15 -4280 ((-929) |#1| (-1165)))) 
-((-1908 (($ $ (-1087 (-216)) (-1087 (-216)) (-1087 (-216))) 68)) (-1842 (((-1087 (-216)) $) 40)) (-4327 (((-1087 (-216)) $) 39)) (-3724 (((-1087 (-216)) $) 38)) (-3829 (((-635 (-635 (-216))) $) 43)) (-2592 (((-1087 (-216)) $) 41)) (-1566 (((-569) (-569)) 32)) (-1336 (((-569) (-569)) 28)) (-3498 (((-569) (-569)) 30)) (-4450 (((-121) (-121)) 35)) (-2649 (((-569)) 31)) (-1504 (($ $ (-1087 (-216))) 71) (($ $) 72)) (-2184 (($ (-1 (-946 (-216)) (-216)) (-1087 (-216))) 76) (($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216))) 77)) (-2962 (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216))) 79) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216))) 80) (($ $ (-1087 (-216))) 74)) (-1604 (((-569)) 36)) (-3199 (((-569)) 27)) (-1590 (((-569)) 29)) (-3499 (((-635 (-635 (-946 (-216)))) $) 92)) (-3107 (((-121) (-121)) 37)) (-3956 (((-852) $) 91)) (-1932 (((-121)) 34))) 
-(((-928) (-13 (-977) (-10 -8 (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ $ (-1087 (-216)))) (-15 -1908 ($ $ (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -1504 ($ $ (-1087 (-216)))) (-15 -1504 ($ $)) (-15 -2592 ((-1087 (-216)) $)) (-15 -3829 ((-635 (-635 (-216))) $)) (-15 -3199 ((-569))) (-15 -1336 ((-569) (-569))) (-15 -1590 ((-569))) (-15 -3498 ((-569) (-569))) (-15 -2649 ((-569))) (-15 -1566 ((-569) (-569))) (-15 -1932 ((-121))) (-15 -4450 ((-121) (-121))) (-15 -1604 ((-569))) (-15 -3107 ((-121) (-121)))))) (T -928)) 
-((-2184 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) (-2184 (*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) (-2962 (*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) (-2962 (*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) (-2962 (*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) (-1908 (*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) (-1504 (*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) (-1504 (*1 *1 *1) (-5 *1 (-928))) (-2592 (*1 *2 *1) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) (-3829 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-928)))) (-3199 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-1336 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-1590 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-3498 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-2649 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-1566 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-1932 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928)))) (-4450 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928)))) (-1604 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-3107 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
-(-13 (-977) (-10 -8 (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ $ (-1087 (-216)))) (-15 -1908 ($ $ (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -1504 ($ $ (-1087 (-216)))) (-15 -1504 ($ $)) (-15 -2592 ((-1087 (-216)) $)) (-15 -3829 ((-635 (-635 (-216))) $)) (-15 -3199 ((-569))) (-15 -1336 ((-569) (-569))) (-15 -1590 ((-569))) (-15 -3498 ((-569) (-569))) (-15 -2649 ((-569))) (-15 -1566 ((-569) (-569))) (-15 -1932 ((-121))) (-15 -4450 ((-121) (-121))) (-15 -1604 ((-569))) (-15 -3107 ((-121) (-121))))) 
-((-1908 (($ $ (-1087 (-216))) 69) (($ $ (-1087 (-216)) (-1087 (-216))) 70)) (-4327 (((-1087 (-216)) $) 43)) (-3724 (((-1087 (-216)) $) 42)) (-2592 (((-1087 (-216)) $) 44)) (-3591 (((-569) (-569)) 36)) (-4106 (((-569) (-569)) 32)) (-4491 (((-569) (-569)) 34)) (-1466 (((-121) (-121)) 38)) (-3313 (((-569)) 35)) (-1504 (($ $ (-1087 (-216))) 73) (($ $) 74)) (-2184 (($ (-1 (-946 (-216)) (-216)) (-1087 (-216))) 83) (($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216))) 84)) (-4280 (($ (-1 (-216) (-216)) (-1087 (-216))) 91) (($ (-1 (-216) (-216))) 94)) (-2962 (($ (-1 (-216) (-216)) (-1087 (-216))) 78) (($ (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216))) 79) (($ (-635 (-1 (-216) (-216))) (-1087 (-216))) 86) (($ (-635 (-1 (-216) (-216))) (-1087 (-216)) (-1087 (-216))) 87) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216))) 80) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216))) 81) (($ $ (-1087 (-216))) 75)) (-4058 (((-121) $) 39)) (-2970 (((-569)) 40)) (-1822 (((-569)) 31)) (-2209 (((-569)) 33)) (-3499 (((-635 (-635 (-946 (-216)))) $) 22)) (-3093 (((-121) (-121)) 41)) (-3956 (((-852) $) 105)) (-4243 (((-121)) 37))) 
-(((-929) (-13 (-957) (-10 -8 (-15 -2962 ($ (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-635 (-1 (-216) (-216))) (-1087 (-216)))) (-15 -2962 ($ (-635 (-1 (-216) (-216))) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -4280 ($ (-1 (-216) (-216)) (-1087 (-216)))) (-15 -4280 ($ (-1 (-216) (-216)))) (-15 -2962 ($ $ (-1087 (-216)))) (-15 -4058 ((-121) $)) (-15 -1908 ($ $ (-1087 (-216)))) (-15 -1908 ($ $ (-1087 (-216)) (-1087 (-216)))) (-15 -1504 ($ $ (-1087 (-216)))) (-15 -1504 ($ $)) (-15 -2592 ((-1087 (-216)) $)) (-15 -1822 ((-569))) (-15 -4106 ((-569) (-569))) (-15 -2209 ((-569))) (-15 -4491 ((-569) (-569))) (-15 -3313 ((-569))) (-15 -3591 ((-569) (-569))) (-15 -4243 ((-121))) (-15 -1466 ((-121) (-121))) (-15 -2970 ((-569))) (-15 -3093 ((-121) (-121)))))) (T -929)) 
-((-2962 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *2 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2184 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2184 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-4280 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) (-4058 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-929)))) (-1908 (*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) (-1908 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) (-1504 (*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) (-1504 (*1 *1 *1) (-5 *1 (-929))) (-2592 (*1 *2 *1) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) (-1822 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-4106 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-2209 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-4491 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-3313 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-3591 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-4243 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929)))) (-1466 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929)))) (-2970 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-3093 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929))))) 
-(-13 (-957) (-10 -8 (-15 -2962 ($ (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-635 (-1 (-216) (-216))) (-1087 (-216)))) (-15 -2962 ($ (-635 (-1 (-216) (-216))) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -4280 ($ (-1 (-216) (-216)) (-1087 (-216)))) (-15 -4280 ($ (-1 (-216) (-216)))) (-15 -2962 ($ $ (-1087 (-216)))) (-15 -4058 ((-121) $)) (-15 -1908 ($ $ (-1087 (-216)))) (-15 -1908 ($ $ (-1087 (-216)) (-1087 (-216)))) (-15 -1504 ($ $ (-1087 (-216)))) (-15 -1504 ($ $)) (-15 -2592 ((-1087 (-216)) $)) (-15 -1822 ((-569))) (-15 -4106 ((-569) (-569))) (-15 -2209 ((-569))) (-15 -4491 ((-569) (-569))) (-15 -3313 ((-569))) (-15 -3591 ((-569) (-569))) (-15 -4243 ((-121))) (-15 -1466 ((-121) (-121))) (-15 -2970 ((-569))) (-15 -3093 ((-121) (-121))))) 
-((-2343 (((-635 (-1087 (-216))) (-635 (-635 (-946 (-216))))) 23))) 
-(((-930) (-10 -7 (-15 -2343 ((-635 (-1087 (-216))) (-635 (-635 (-946 (-216)))))))) (T -930)) 
-((-2343 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-635 (-1087 (-216)))) (-5 *1 (-930))))) 
-(-10 -7 (-15 -2343 ((-635 (-1087 (-216))) (-635 (-635 (-946 (-216))))))) 
-((-2350 ((|#2| |#2| |#5|) 39) ((|#2| |#2| |#5| (-569)) 20)) (-2076 (((-121) (-635 |#2|) |#5|) 23)) (-2618 (((-765) |#2| |#5| (-569)) 42) (((-765) |#2| |#5|) 41)) (-4068 ((|#2| |#2| |#5| (-569)) 45) ((|#2| |#2| |#5|) 44)) (-1484 ((|#1| |#2| |#5|) 21))) 
-(((-931 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2076 ((-121) (-635 |#2|) |#5|)) (-15 -1484 (|#1| |#2| |#5|)) (-15 -2350 (|#2| |#2| |#5| (-569))) (-15 -2350 (|#2| |#2| |#5|)) (-15 -4068 (|#2| |#2| |#5|)) (-15 -4068 (|#2| |#2| |#5| (-569))) (-15 -2618 ((-765) |#2| |#5|)) (-15 -2618 ((-765) |#2| |#5| (-569)))) (-366) (-325 |#1| |#3|) (-231 |#4| (-765)) (-765) (-973 |#1|)) (T -931)) 
-((-2618 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-4 *7 (-231 *8 *2)) (-14 *8 *2) (-5 *2 (-765)) (-5 *1 (-931 *6 *3 *7 *8 *4)) (-4 *3 (-325 *6 *7)) (-4 *4 (-973 *6)))) (-2618 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-765)) (-5 *1 (-931 *5 *3 *6 *7 *4)) (-4 *3 (-325 *5 *6)) (-4 *4 (-973 *5)))) (-4068 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-931 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-973 *5)))) (-4068 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-931 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-973 *4)))) (-2350 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-931 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-973 *4)))) (-2350 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-931 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-973 *5)))) (-1484 (*1 *2 *3 *4) (-12 (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *2 (-366)) (-5 *1 (-931 *2 *3 *5 *6 *4)) (-4 *3 (-325 *2 *5)) (-4 *4 (-973 *2)))) (-2076 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-325 *5 *7)) (-4 *7 (-231 *8 (-765))) (-14 *8 (-765)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-931 *5 *6 *7 *8 *4)) (-4 *4 (-973 *5))))) 
-(-10 -7 (-15 -2076 ((-121) (-635 |#2|) |#5|)) (-15 -1484 (|#1| |#2| |#5|)) (-15 -2350 (|#2| |#2| |#5| (-569))) (-15 -2350 (|#2| |#2| |#5|)) (-15 -4068 (|#2| |#2| |#5|)) (-15 -4068 (|#2| |#2| |#5| (-569))) (-15 -2618 ((-765) |#2| |#5|)) (-15 -2618 ((-765) |#2| |#5| (-569)))) 
-((-3167 ((|#2| |#2|) 25)) (-3159 ((|#2| |#2|) 26)) (-3575 ((|#2| |#2|) 24)) (-3753 ((|#2| |#2| (-1147)) 23))) 
-(((-932 |#1| |#2|) (-10 -7 (-15 -3753 (|#2| |#2| (-1147))) (-15 -3575 (|#2| |#2|)) (-15 -3167 (|#2| |#2|)) (-15 -3159 (|#2| |#2|))) (-844) (-433 |#1|)) (T -932)) 
-((-3159 (*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) (-3167 (*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) (-3575 (*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) (-3753 (*1 *2 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-844)) (-5 *1 (-932 *4 *2)) (-4 *2 (-433 *4))))) 
-(-10 -7 (-15 -3753 (|#2| |#2| (-1147))) (-15 -3575 (|#2| |#2|)) (-15 -3167 (|#2| |#2|)) (-15 -3159 (|#2| |#2|))) 
-((-3167 (((-311 (-569)) (-1165)) 15)) (-3159 (((-311 (-569)) (-1165)) 13)) (-3575 (((-311 (-569)) (-1165)) 11)) (-3753 (((-311 (-569)) (-1165) (-1147)) 18))) 
-(((-933) (-10 -7 (-15 -3753 ((-311 (-569)) (-1165) (-1147))) (-15 -3575 ((-311 (-569)) (-1165))) (-15 -3167 ((-311 (-569)) (-1165))) (-15 -3159 ((-311 (-569)) (-1165))))) (T -933)) 
-((-3159 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933)))) (-3167 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933)))) (-3575 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933)))) (-3753 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1147)) (-5 *2 (-311 (-569))) (-5 *1 (-933))))) 
-(-10 -7 (-15 -3753 ((-311 (-569)) (-1165) (-1147))) (-15 -3575 ((-311 (-569)) (-1165))) (-15 -3167 ((-311 (-569)) (-1165))) (-15 -3159 ((-311 (-569)) (-1165)))) 
-((-3318 (((-886 |#1| |#3|) |#2| (-889 |#1|) (-886 |#1| |#3|)) 24)) (-2547 (((-1 (-121) |#2|) (-1 (-121) |#3|)) 12))) 
-(((-934 |#1| |#2| |#3|) (-10 -7 (-15 -2547 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -3318 ((-886 |#1| |#3|) |#2| (-889 |#1|) (-886 |#1| |#3|)))) (-1093) (-883 |#1|) (-13 (-1093) (-1039 |#2|))) (T -934)) 
-((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *6)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-13 (-1093) (-1039 *3))) (-4 *3 (-883 *5)) (-5 *1 (-934 *5 *3 *6)))) (-2547 (*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1093) (-1039 *5))) (-4 *5 (-883 *4)) (-4 *4 (-1093)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-934 *4 *5 *6))))) 
-(-10 -7 (-15 -2547 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -3318 ((-886 |#1| |#3|) |#2| (-889 |#1|) (-886 |#1| |#3|)))) 
-((-3318 (((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)) 29))) 
-(((-935 |#1| |#2| |#3|) (-10 -7 (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) (-1093) (-13 (-559) (-844) (-883 |#1|)) (-13 (-433 |#2|) (-610 (-889 |#1|)) (-883 |#1|) (-1039 (-608 $)))) (T -935)) 
-((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-13 (-433 *6) (-610 *4) (-883 *5) (-1039 (-608 $)))) (-5 *4 (-889 *5)) (-4 *6 (-13 (-559) (-844) (-883 *5))) (-5 *1 (-935 *5 *6 *3))))) 
-(-10 -7 (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) 
-((-3318 (((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|)) 12))) 
-(((-936 |#1|) (-10 -7 (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|)))) (-551)) (T -936)) 
-((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 (-569) *3)) (-5 *4 (-889 (-569))) (-4 *3 (-551)) (-5 *1 (-936 *3))))) 
-(-10 -7 (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|)))) 
-((-3318 (((-886 |#1| |#2|) (-608 |#2|) (-889 |#1|) (-886 |#1| |#2|)) 52))) 
-(((-937 |#1| |#2|) (-10 -7 (-15 -3318 ((-886 |#1| |#2|) (-608 |#2|) (-889 |#1|) (-886 |#1| |#2|)))) (-1093) (-13 (-844) (-1039 (-608 $)) (-610 (-889 |#1|)) (-883 |#1|))) (T -937)) 
-((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *6)) (-5 *3 (-608 *6)) (-4 *5 (-1093)) (-4 *6 (-13 (-844) (-1039 (-608 $)) (-610 *4) (-883 *5))) (-5 *4 (-889 *5)) (-5 *1 (-937 *5 *6))))) 
-(-10 -7 (-15 -3318 ((-886 |#1| |#2|) (-608 |#2|) (-889 |#1|) (-886 |#1| |#2|)))) 
-((-3318 (((-882 |#1| |#2| |#3|) |#3| (-889 |#1|) (-882 |#1| |#2| |#3|)) 14))) 
-(((-938 |#1| |#2| |#3|) (-10 -7 (-15 -3318 ((-882 |#1| |#2| |#3|) |#3| (-889 |#1|) (-882 |#1| |#2| |#3|)))) (-1093) (-883 |#1|) (-659 |#2|)) (T -938)) 
-((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-882 *5 *6 *3)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-883 *5)) (-4 *3 (-659 *6)) (-5 *1 (-938 *5 *6 *3))))) 
-(-10 -7 (-15 -3318 ((-882 |#1| |#2| |#3|) |#3| (-889 |#1|) (-882 |#1| |#2| |#3|)))) 
-((-3318 (((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|)) 17 (|has| |#3| (-883 |#1|))) (((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|) (-1 (-886 |#1| |#5|) |#3| (-889 |#1|) (-886 |#1| |#5|))) 16))) 
-(((-939 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3318 ((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|) (-1 (-886 |#1| |#5|) |#3| (-889 |#1|) (-886 |#1| |#5|)))) (IF (|has| |#3| (-883 |#1|)) (-15 -3318 ((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|))) |noBranch|)) (-1093) (-790) (-844) (-13 (-1049) (-844) (-883 |#1|)) (-13 (-952 |#4| |#2| |#3|) (-610 (-889 |#1|)))) (T -939)) 
-((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-13 (-952 *8 *6 *7) (-610 *4))) (-5 *4 (-889 *5)) (-4 *7 (-883 *5)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-13 (-1049) (-844) (-883 *5))) (-5 *1 (-939 *5 *6 *7 *8 *3)))) (-3318 (*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-886 *6 *3) *8 (-889 *6) (-886 *6 *3))) (-4 *8 (-844)) (-5 *2 (-886 *6 *3)) (-5 *4 (-889 *6)) (-4 *6 (-1093)) (-4 *3 (-13 (-952 *9 *7 *8) (-610 *4))) (-4 *7 (-790)) (-4 *9 (-13 (-1049) (-844) (-883 *6))) (-5 *1 (-939 *6 *7 *8 *9 *3))))) 
-(-10 -7 (-15 -3318 ((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|) (-1 (-886 |#1| |#5|) |#3| (-889 |#1|) (-886 |#1| |#5|)))) (IF (|has| |#3| (-883 |#1|)) (-15 -3318 ((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|))) |noBranch|)) 
-((-3055 ((|#2| |#2| (-635 (-1 (-121) |#3|))) 11) ((|#2| |#2| (-1 (-121) |#3|)) 12))) 
-(((-940 |#1| |#2| |#3|) (-10 -7 (-15 -3055 (|#2| |#2| (-1 (-121) |#3|))) (-15 -3055 (|#2| |#2| (-635 (-1 (-121) |#3|))))) (-844) (-433 |#1|) (-1199)) (T -940)) 
-((-3055 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1 (-121) *5))) (-4 *5 (-1199)) (-4 *4 (-844)) (-5 *1 (-940 *4 *2 *5)) (-4 *2 (-433 *4)))) (-3055 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1199)) (-4 *4 (-844)) (-5 *1 (-940 *4 *2 *5)) (-4 *2 (-433 *4))))) 
-(-10 -7 (-15 -3055 (|#2| |#2| (-1 (-121) |#3|))) (-15 -3055 (|#2| |#2| (-635 (-1 (-121) |#3|))))) 
-((-3055 (((-311 (-569)) (-1165) (-635 (-1 (-121) |#1|))) 16) (((-311 (-569)) (-1165) (-1 (-121) |#1|)) 13))) 
-(((-941 |#1|) (-10 -7 (-15 -3055 ((-311 (-569)) (-1165) (-1 (-121) |#1|))) (-15 -3055 ((-311 (-569)) (-1165) (-635 (-1 (-121) |#1|))))) (-1199)) (T -941)) 
-((-3055 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-635 (-1 (-121) *5))) (-4 *5 (-1199)) (-5 *2 (-311 (-569))) (-5 *1 (-941 *5)))) (-3055 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1199)) (-5 *2 (-311 (-569))) (-5 *1 (-941 *5))))) 
-(-10 -7 (-15 -3055 ((-311 (-569)) (-1165) (-1 (-121) |#1|))) (-15 -3055 ((-311 (-569)) (-1165) (-635 (-1 (-121) |#1|))))) 
-((-3318 (((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)) 25))) 
-(((-942 |#1| |#2| |#3|) (-10 -7 (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) (-1093) (-13 (-559) (-883 |#1|) (-610 (-889 |#1|))) (-995 |#2|)) (T -942)) 
-((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-995 *6)) (-4 *6 (-13 (-559) (-883 *5) (-610 *4))) (-5 *4 (-889 *5)) (-5 *1 (-942 *5 *6 *3))))) 
-(-10 -7 (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) 
-((-3318 (((-886 |#1| (-1165)) (-1165) (-889 |#1|) (-886 |#1| (-1165))) 17))) 
-(((-943 |#1|) (-10 -7 (-15 -3318 ((-886 |#1| (-1165)) (-1165) (-889 |#1|) (-886 |#1| (-1165))))) (-1093)) (T -943)) 
-((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 (-1165))) (-5 *3 (-1165)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-5 *1 (-943 *5))))) 
-(-10 -7 (-15 -3318 ((-886 |#1| (-1165)) (-1165) (-889 |#1|) (-886 |#1| (-1165))))) 
-((-3506 (((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))) 33)) (-3318 (((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-1 |#3| (-635 |#3|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))) 32))) 
-(((-944 |#1| |#2| |#3|) (-10 -7 (-15 -3318 ((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-1 |#3| (-635 |#3|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) (-15 -3506 ((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))))) (-1093) (-13 (-1049) (-844)) (-13 (-1049) (-610 (-889 |#1|)) (-1039 |#2|))) (T -944)) 
-((-3506 (*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-889 *6))) (-5 *5 (-1 (-886 *6 *8) *8 (-889 *6) (-886 *6 *8))) (-4 *6 (-1093)) (-4 *8 (-13 (-1049) (-610 (-889 *6)) (-1039 *7))) (-5 *2 (-886 *6 *8)) (-4 *7 (-13 (-1049) (-844))) (-5 *1 (-944 *6 *7 *8)))) (-3318 (*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-635 (-889 *7))) (-5 *5 (-1 *9 (-635 *9))) (-5 *6 (-1 (-886 *7 *9) *9 (-889 *7) (-886 *7 *9))) (-4 *7 (-1093)) (-4 *9 (-13 (-1049) (-610 (-889 *7)) (-1039 *8))) (-5 *2 (-886 *7 *9)) (-5 *3 (-635 *9)) (-4 *8 (-13 (-1049) (-844))) (-5 *1 (-944 *7 *8 *9))))) 
-(-10 -7 (-15 -3318 ((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-1 |#3| (-635 |#3|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) (-15 -3506 ((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))))) 
-((-1581 (((-1161 (-410 (-569))) (-569)) 61)) (-1571 (((-1161 (-569)) (-569)) 64)) (-1633 (((-1161 (-569)) (-569)) 58)) (-4235 (((-569) (-1161 (-569))) 53)) (-3615 (((-1161 (-410 (-569))) (-569)) 47)) (-1320 (((-1161 (-569)) (-569)) 36)) (-4142 (((-1161 (-569)) (-569)) 66)) (-3330 (((-1161 (-569)) (-569)) 65)) (-1584 (((-1161 (-410 (-569))) (-569)) 49))) 
-(((-945) (-10 -7 (-15 -1584 ((-1161 (-410 (-569))) (-569))) (-15 -3330 ((-1161 (-569)) (-569))) (-15 -4142 ((-1161 (-569)) (-569))) (-15 -1320 ((-1161 (-569)) (-569))) (-15 -3615 ((-1161 (-410 (-569))) (-569))) (-15 -4235 ((-569) (-1161 (-569)))) (-15 -1633 ((-1161 (-569)) (-569))) (-15 -1571 ((-1161 (-569)) (-569))) (-15 -1581 ((-1161 (-410 (-569))) (-569))))) (T -945)) 
-((-1581 (*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569)))) (-1571 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) (-1633 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) (-4235 (*1 *2 *3) (-12 (-5 *3 (-1161 (-569))) (-5 *2 (-569)) (-5 *1 (-945)))) (-3615 (*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569)))) (-1320 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) (-4142 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) (-3330 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) (-1584 (*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569))))) 
-(-10 -7 (-15 -1584 ((-1161 (-410 (-569))) (-569))) (-15 -3330 ((-1161 (-569)) (-569))) (-15 -4142 ((-1161 (-569)) (-569))) (-15 -1320 ((-1161 (-569)) (-569))) (-15 -3615 ((-1161 (-410 (-569))) (-569))) (-15 -4235 ((-569) (-1161 (-569)))) (-15 -1633 ((-1161 (-569)) (-569))) (-15 -1571 ((-1161 (-569)) (-569))) (-15 -1581 ((-1161 (-410 (-569))) (-569)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765)) NIL (|has| |#1| (-23)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) 11 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-2131 (($ (-635 |#1|)) 13)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3410 (((-681 |#1|) $ $) NIL (|has| |#1| (-1049)))) (-2446 (($ (-765) |#1|) 8)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 10 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3108 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-1396 (((-121) $ (-765)) NIL)) (-2718 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-3803 (($ $ (-635 |#1|)) 24)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 18) (($ $ (-1219 (-569))) NIL)) (-4510 ((|#1| $ $) NIL (|has| |#1| (-1049)))) (-2174 (((-919) $) 16)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-3617 (($ $ $) 22)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542)))) (($ (-635 |#1|)) 17)) (-3124 (($ (-635 |#1|)) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) 23) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1377 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1371 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-718))) (($ $ |#1|) NIL (|has| |#1| (-718)))) (-2946 (((-765) $) 14 (|has| $ (-6 -4571))))) 
-(((-946 |#1|) (-983 |#1|) (-1049)) (T -946)) 
-NIL 
-(-983 |#1|) 
-((-4505 (((-493 |#1| |#2|) (-955 |#2|)) 17)) (-2468 (((-243 |#1| |#2|) (-955 |#2|)) 29)) (-4500 (((-955 |#2|) (-493 |#1| |#2|)) 22)) (-2952 (((-243 |#1| |#2|) (-493 |#1| |#2|)) 53)) (-2195 (((-955 |#2|) (-243 |#1| |#2|)) 26)) (-4316 (((-493 |#1| |#2|) (-243 |#1| |#2|)) 44))) 
-(((-947 |#1| |#2|) (-10 -7 (-15 -4316 ((-493 |#1| |#2|) (-243 |#1| |#2|))) (-15 -2952 ((-243 |#1| |#2|) (-493 |#1| |#2|))) (-15 -4505 ((-493 |#1| |#2|) (-955 |#2|))) (-15 -4500 ((-955 |#2|) (-493 |#1| |#2|))) (-15 -2195 ((-955 |#2|) (-243 |#1| |#2|))) (-15 -2468 ((-243 |#1| |#2|) (-955 |#2|)))) (-635 (-1165)) (-1049)) (T -947)) 
-((-2468 (*1 *2 *3) (-12 (-5 *3 (-955 *5)) (-4 *5 (-1049)) (-5 *2 (-243 *4 *5)) (-5 *1 (-947 *4 *5)) (-14 *4 (-635 (-1165))))) (-2195 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-955 *5)) (-5 *1 (-947 *4 *5)))) (-4500 (*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-955 *5)) (-5 *1 (-947 *4 *5)))) (-4505 (*1 *2 *3) (-12 (-5 *3 (-955 *5)) (-4 *5 (-1049)) (-5 *2 (-493 *4 *5)) (-5 *1 (-947 *4 *5)) (-14 *4 (-635 (-1165))))) (-2952 (*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-243 *4 *5)) (-5 *1 (-947 *4 *5)))) (-4316 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-493 *4 *5)) (-5 *1 (-947 *4 *5))))) 
-(-10 -7 (-15 -4316 ((-493 |#1| |#2|) (-243 |#1| |#2|))) (-15 -2952 ((-243 |#1| |#2|) (-493 |#1| |#2|))) (-15 -4505 ((-493 |#1| |#2|) (-955 |#2|))) (-15 -4500 ((-955 |#2|) (-493 |#1| |#2|))) (-15 -2195 ((-955 |#2|) (-243 |#1| |#2|))) (-15 -2468 ((-243 |#1| |#2|) (-955 |#2|)))) 
-((-3939 (((-635 |#2|) |#2| |#2|) 10)) (-3691 (((-765) (-635 |#1|)) 37 (|has| |#1| (-842)))) (-3702 (((-635 |#2|) |#2|) 11)) (-4383 (((-765) (-635 |#1|) (-569) (-569)) 36 (|has| |#1| (-842)))) (-1776 ((|#1| |#2|) 32 (|has| |#1| (-842))))) 
-(((-948 |#1| |#2|) (-10 -7 (-15 -3939 ((-635 |#2|) |#2| |#2|)) (-15 -3702 ((-635 |#2|) |#2|)) (IF (|has| |#1| (-842)) (PROGN (-15 -1776 (|#1| |#2|)) (-15 -3691 ((-765) (-635 |#1|))) (-15 -4383 ((-765) (-635 |#1|) (-569) (-569)))) |noBranch|)) (-366) (-1228 |#1|)) (T -948)) 
-((-4383 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-842)) (-4 *5 (-366)) (-5 *2 (-765)) (-5 *1 (-948 *5 *6)) (-4 *6 (-1228 *5)))) (-3691 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-842)) (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-948 *4 *5)) (-4 *5 (-1228 *4)))) (-1776 (*1 *2 *3) (-12 (-4 *2 (-366)) (-4 *2 (-842)) (-5 *1 (-948 *2 *3)) (-4 *3 (-1228 *2)))) (-3702 (*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-948 *4 *3)) (-4 *3 (-1228 *4)))) (-3939 (*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-948 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -3939 ((-635 |#2|) |#2| |#2|)) (-15 -3702 ((-635 |#2|) |#2|)) (IF (|has| |#1| (-842)) (PROGN (-15 -1776 (|#1| |#2|)) (-15 -3691 ((-765) (-635 |#1|))) (-15 -4383 ((-765) (-635 |#1|) (-569) (-569)))) |noBranch|)) 
-((-4188 (((-955 |#2|) (-1 |#2| |#1|) (-955 |#1|)) 18))) 
-(((-949 |#1| |#2|) (-10 -7 (-15 -4188 ((-955 |#2|) (-1 |#2| |#1|) (-955 |#1|)))) (-1049) (-1049)) (T -949)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-955 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-955 *6)) (-5 *1 (-949 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-955 |#2|) (-1 |#2| |#1|) (-955 |#1|)))) 
-((-3132 (((-1225 |#1| (-955 |#2|)) (-955 |#2|) (-1249 |#1|)) 18))) 
-(((-950 |#1| |#2|) (-10 -7 (-15 -3132 ((-1225 |#1| (-955 |#2|)) (-955 |#2|) (-1249 |#1|)))) (-1165) (-1049)) (T -950)) 
-((-3132 (*1 *2 *3 *4) (-12 (-5 *4 (-1249 *5)) (-14 *5 (-1165)) (-4 *6 (-1049)) (-5 *2 (-1225 *5 (-955 *6))) (-5 *1 (-950 *5 *6)) (-5 *3 (-955 *6))))) 
-(-10 -7 (-15 -3132 ((-1225 |#1| (-955 |#2|)) (-955 |#2|) (-1249 |#1|)))) 
-((-1290 (((-765) $) 69) (((-765) $ (-635 |#4|)) 72)) (-2710 (($ $) 169)) (-3742 (((-421 $) $) 161)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 112)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) 58)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL) ((|#4| $) 57)) (-3673 (($ $ $ |#4|) 74)) (-3435 (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 102) (((-681 |#2|) (-681 $)) 95)) (-2540 (($ $) 177) (($ $ |#4|) 180)) (-3367 (((-635 $) $) 61)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 195) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 189)) (-2905 (((-635 $) $) 27)) (-3179 (($ |#2| |#3|) NIL) (($ $ |#4| (-765)) NIL) (($ $ (-635 |#4|) (-635 (-765))) 55)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#4|) 158)) (-2617 (((-3 (-635 $) "failed") $) 41)) (-2085 (((-3 (-635 $) "failed") $) 30)) (-2601 (((-3 (-2 (|:| |var| |#4|) (|:| -3190 (-765))) "failed") $) 45)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 105)) (-2769 (((-421 (-1161 $)) (-1161 $)) 118)) (-2059 (((-421 (-1161 $)) (-1161 $)) 116)) (-3139 (((-421 $) $) 136)) (-1484 (($ $ (-635 (-289 $))) 20) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-635 |#4|) (-635 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-635 |#4|) (-635 $)) NIL)) (-2925 (($ $ |#4|) 76)) (-4035 (((-889 (-382)) $) 209) (((-889 (-569)) $) 202) (((-542) $) 217)) (-2363 ((|#2| $) NIL) (($ $ |#4|) 171)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 150)) (-3802 ((|#2| $ |#3|) NIL) (($ $ |#4| (-765)) 50) (($ $ (-635 |#4|) (-635 (-765))) 53)) (-2277 (((-3 $ "failed") $) 152)) (-1337 (((-121) $ $) 183))) 
-(((-951 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2710 (|#1| |#1|)) (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2662 ((-3 (-1253 |#1|) "failed") (-681 |#1|))) (-15 -2540 (|#1| |#1| |#4|)) (-15 -2363 (|#1| |#1| |#4|)) (-15 -2925 (|#1| |#1| |#4|)) (-15 -3673 (|#1| |#1| |#1| |#4|)) (-15 -3367 ((-635 |#1|) |#1|)) (-15 -1290 ((-765) |#1| (-635 |#4|))) (-15 -1290 ((-765) |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| |#4|) (|:| -3190 (-765))) "failed") |#1|)) (-15 -2617 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -2085 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -3179 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3179 (|#1| |#1| |#4| (-765))) (-15 -4345 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -2905 ((-635 |#1|) |#1|)) (-15 -3802 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3802 (|#1| |#1| |#4| (-765))) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#4| |#1|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#4| |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#4| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -3179 (|#1| |#2| |#3|)) (-15 -3802 (|#2| |#1| |#3|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -2540 (|#1| |#1|))) (-952 |#2| |#3| |#4|) (-1049) (-790) (-844)) (T -951)) 
-NIL 
-(-10 -8 (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2710 (|#1| |#1|)) (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2662 ((-3 (-1253 |#1|) "failed") (-681 |#1|))) (-15 -2540 (|#1| |#1| |#4|)) (-15 -2363 (|#1| |#1| |#4|)) (-15 -2925 (|#1| |#1| |#4|)) (-15 -3673 (|#1| |#1| |#1| |#4|)) (-15 -3367 ((-635 |#1|) |#1|)) (-15 -1290 ((-765) |#1| (-635 |#4|))) (-15 -1290 ((-765) |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| |#4|) (|:| -3190 (-765))) "failed") |#1|)) (-15 -2617 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -2085 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -3179 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3179 (|#1| |#1| |#4| (-765))) (-15 -4345 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -2905 ((-635 |#1|) |#1|)) (-15 -3802 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3802 (|#1| |#1| |#4| (-765))) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#4| |#1|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#4| |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#4| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -3179 (|#1| |#2| |#3|)) (-15 -3802 (|#2| |#1| |#3|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -2540 (|#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 |#3|) $) 108)) (-3132 (((-1161 $) $ |#3|) 123) (((-1161 |#1|) $) 122)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-2915 (($ $) 86 (|has| |#1| (-559)))) (-2735 (((-121) $) 88 (|has| |#1| (-559)))) (-1290 (((-765) $) 110) (((-765) $ (-635 |#3|)) 109)) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 98 (|has| |#1| (-906)))) (-2710 (($ $) 96 (|has| |#1| (-454)))) (-3742 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 101 (|has| |#1| (-906)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1039 (-569)))) (((-3 |#3| "failed") $) 134)) (-1321 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1039 (-569)))) ((|#3| $) 133)) (-3673 (($ $ $ |#3|) 106 (|has| |#1| (-173)))) (-3373 (($ $) 152)) (-3435 (((-681 (-569)) (-681 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 130) (((-681 |#1|) (-681 $)) 129)) (-2611 (((-3 $ "failed") $) 33)) (-2540 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-3367 (((-635 $) $) 107)) (-2005 (((-121) $) 94 (|has| |#1| (-906)))) (-2916 (($ $ |#1| |#2| $) 170)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 82 (-12 (|has| |#3| (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 81 (-12 (|has| |#3| (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-3934 (((-121) $) 30)) (-4118 (((-765) $) 167)) (-3187 (($ (-1161 |#1|) |#3|) 115) (($ (-1161 $) |#3|) 114)) (-2905 (((-635 $) $) 124)) (-3052 (((-121) $) 150)) (-3179 (($ |#1| |#2|) 151) (($ $ |#3| (-765)) 117) (($ $ (-635 |#3|) (-635 (-765))) 116)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#3|) 118)) (-4294 ((|#2| $) 168) (((-765) $ |#3|) 120) (((-635 (-765)) $ (-635 |#3|)) 119)) (-2157 (($ $ $) 77 (|has| |#1| (-844)))) (-2713 (($ $ $) 76 (|has| |#1| (-844)))) (-1541 (($ (-1 |#2| |#2|) $) 169)) (-4188 (($ (-1 |#1| |#1|) $) 149)) (-3407 (((-3 |#3| "failed") $) 121)) (-3263 (($ $) 147)) (-3270 ((|#1| $) 146)) (-1657 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2605 (((-1147) $) 9)) (-2617 (((-3 (-635 $) "failed") $) 112)) (-2085 (((-3 (-635 $) "failed") $) 113)) (-2601 (((-3 (-2 (|:| |var| |#3|) (|:| -3190 (-765))) "failed") $) 111)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 164)) (-3256 ((|#1| $) 165)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 93 (|has| |#1| (-454)))) (-3964 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 100 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 99 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 97 (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136)) (-2925 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3289 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-765)) 39) (($ $ (-635 |#3|) (-635 (-765))) 38)) (-2284 ((|#2| $) 148) (((-765) $ |#3|) 128) (((-635 (-765)) $ (-635 |#3|)) 127)) (-4035 (((-889 (-382)) $) 80 (-12 (|has| |#3| (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) 79 (-12 (|has| |#3| (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 102 (-3993 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ $) 83 (|has| |#1| (-559))) (($ (-410 (-569))) 70 (-1929 (|has| |#1| (-1039 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569))))))) (-2894 (((-635 |#1|) $) 166)) (-3802 ((|#1| $ |#2|) 153) (($ $ |#3| (-765)) 126) (($ $ (-635 |#3|) (-635 (-765))) 125)) (-2277 (((-3 $ "failed") $) 71 (-1929 (-3993 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 28)) (-2587 (($ $ $ (-765)) 171 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 87 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-765)) 35) (($ $ (-635 |#3|) (-635 (-765))) 34)) (-1355 (((-121) $ $) 74 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 73 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 72 (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-952 |#1| |#2| |#3|) (-1284) (-1049) (-790) (-844)) (T -952)) 
-((-2540 (*1 *1 *1) (-12 (-4 *1 (-952 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-2284 (*1 *2 *1 *3) (-12 (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-765)))) (-2284 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-765))))) (-3802 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-952 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *2 (-844)))) (-3802 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-765))) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)))) (-2905 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) (-3132 (*1 *2 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-1161 *1)) (-4 *1 (-952 *4 *5 *3)))) (-3132 (*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-1161 *3)))) (-3407 (*1 *2 *1) (|partial| -12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-4294 (*1 *2 *1 *3) (-12 (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-765)))) (-4294 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-765))))) (-4345 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-952 *4 *5 *3)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-952 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *2 (-844)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-765))) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)))) (-3187 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 *4)) (-4 *4 (-1049)) (-4 *1 (-952 *4 *5 *3)) (-4 *5 (-790)) (-4 *3 (-844)))) (-3187 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)))) (-2085 (*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) (-2617 (*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) (-2601 (*1 *2 *1) (|partial| -12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| |var| *5) (|:| -3190 (-765)))))) (-1290 (*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-765)))) (-1290 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-765)))) (-3195 (*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *5)))) (-3367 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) (-3673 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-173)))) (-2925 (*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-173)))) (-2363 (*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-454)))) (-2540 (*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-454)))) (-2710 (*1 *1 *1) (-12 (-4 *1 (-952 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-3742 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-421 *1)) (-4 *1 (-952 *3 *4 *5))))) 
-(-13 (-897 |t#3|) (-325 |t#1| |t#2|) (-304 $) (-524 |t#3| |t#1|) (-524 |t#3| $) (-1039 |t#3|) (-380 |t#1|) (-10 -8 (-15 -2284 ((-765) $ |t#3|)) (-15 -2284 ((-635 (-765)) $ (-635 |t#3|))) (-15 -3802 ($ $ |t#3| (-765))) (-15 -3802 ($ $ (-635 |t#3|) (-635 (-765)))) (-15 -2905 ((-635 $) $)) (-15 -3132 ((-1161 $) $ |t#3|)) (-15 -3132 ((-1161 |t#1|) $)) (-15 -3407 ((-3 |t#3| "failed") $)) (-15 -4294 ((-765) $ |t#3|)) (-15 -4294 ((-635 (-765)) $ (-635 |t#3|))) (-15 -4345 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |t#3|)) (-15 -3179 ($ $ |t#3| (-765))) (-15 -3179 ($ $ (-635 |t#3|) (-635 (-765)))) (-15 -3187 ($ (-1161 |t#1|) |t#3|)) (-15 -3187 ($ (-1161 $) |t#3|)) (-15 -2085 ((-3 (-635 $) "failed") $)) (-15 -2617 ((-3 (-635 $) "failed") $)) (-15 -2601 ((-3 (-2 (|:| |var| |t#3|) (|:| -3190 (-765))) "failed") $)) (-15 -1290 ((-765) $)) (-15 -1290 ((-765) $ (-635 |t#3|))) (-15 -3195 ((-635 |t#3|) $)) (-15 -3367 ((-635 $) $)) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (IF (|has| |t#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-610 (-889 (-569)))) (IF (|has| |t#3| (-610 (-889 (-569)))) (-6 (-610 (-889 (-569)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-610 (-889 (-382)))) (IF (|has| |t#3| (-610 (-889 (-382)))) (-6 (-610 (-889 (-382)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-883 (-569))) (IF (|has| |t#3| (-883 (-569))) (-6 (-883 (-569))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-883 (-382))) (IF (|has| |t#3| (-883 (-382))) (-6 (-883 (-382))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-15 -3673 ($ $ $ |t#3|)) (-15 -2925 ($ $ |t#3|))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-6 (-454)) (-15 -2363 ($ $ |t#3|)) (-15 -2540 ($ $)) (-15 -2540 ($ $ |t#3|)) (-15 -3742 ((-421 $) $)) (-15 -2710 ($ $))) |noBranch|) (IF (|has| |t#1| (-6 -4569)) (-6 -4569) |noBranch|) (IF (|has| |t#1| (-906)) (-6 (-906)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#3| (-610 (-889 (-382))))) ((-610 (-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#3| (-610 (-889 (-569))))) ((-286) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-906)) (|has| |#1| (-454))) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 |#3|) . T) ((-883 (-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#3| (-883 (-382)))) ((-883 (-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#3| (-883 (-569)))) ((-906) |has| |#1| (-906)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1039 |#3|) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) |has| |#1| (-906))) 
-((-3195 (((-635 |#2|) |#5|) 36)) (-3132 (((-1161 |#5|) |#5| |#2| (-1161 |#5|)) 23) (((-410 (-1161 |#5|)) |#5| |#2|) 16)) (-3187 ((|#5| (-410 (-1161 |#5|)) |#2|) 30)) (-3407 (((-3 |#2| "failed") |#5|) 61)) (-2617 (((-3 (-635 |#5|) "failed") |#5|) 55)) (-3903 (((-3 (-2 (|:| |val| |#5|) (|:| -3190 (-569))) "failed") |#5|) 45)) (-2085 (((-3 (-635 |#5|) "failed") |#5|) 57)) (-2601 (((-3 (-2 (|:| |var| |#2|) (|:| -3190 (-569))) "failed") |#5|) 48))) 
-(((-953 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3195 ((-635 |#2|) |#5|)) (-15 -3407 ((-3 |#2| "failed") |#5|)) (-15 -3132 ((-410 (-1161 |#5|)) |#5| |#2|)) (-15 -3187 (|#5| (-410 (-1161 |#5|)) |#2|)) (-15 -3132 ((-1161 |#5|) |#5| |#2| (-1161 |#5|))) (-15 -2085 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -2617 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -2601 ((-3 (-2 (|:| |var| |#2|) (|:| -3190 (-569))) "failed") |#5|)) (-15 -3903 ((-3 (-2 (|:| |val| |#5|) (|:| -3190 (-569))) "failed") |#5|))) (-790) (-844) (-1049) (-952 |#3| |#1| |#2|) (-13 (-366) (-10 -8 (-15 -3956 ($ |#4|)) (-15 -3515 (|#4| $)) (-15 -3524 (|#4| $))))) (T -953)) 
-((-3903 (*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -3190 (-569)))) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) (-2601 (*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -3190 (-569)))) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) (-2617 (*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) (-2085 (*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) (-3132 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))) (-4 *7 (-952 *6 *5 *4)) (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-5 *1 (-953 *5 *4 *6 *7 *3)))) (-3187 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1161 *2))) (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-4 *2 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))) (-5 *1 (-953 *5 *4 *6 *7 *2)) (-4 *7 (-952 *6 *5 *4)))) (-3132 (*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-410 (-1161 *3))) (-5 *1 (-953 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) (-3407 (*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-1049)) (-4 *6 (-952 *5 *4 *2)) (-4 *2 (-844)) (-5 *1 (-953 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *6)) (-15 -3515 (*6 $)) (-15 -3524 (*6 $))))))) (-3195 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *5)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
-(-10 -7 (-15 -3195 ((-635 |#2|) |#5|)) (-15 -3407 ((-3 |#2| "failed") |#5|)) (-15 -3132 ((-410 (-1161 |#5|)) |#5| |#2|)) (-15 -3187 (|#5| (-410 (-1161 |#5|)) |#2|)) (-15 -3132 ((-1161 |#5|) |#5| |#2| (-1161 |#5|))) (-15 -2085 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -2617 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -2601 ((-3 (-2 (|:| |var| |#2|) (|:| -3190 (-569))) "failed") |#5|)) (-15 -3903 ((-3 (-2 (|:| |val| |#5|) (|:| -3190 (-569))) "failed") |#5|))) 
-((-4188 ((|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|) 23))) 
-(((-954 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4188 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) (-790) (-844) (-1049) (-952 |#3| |#1| |#2|) (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-765)))))) (T -954)) 
-((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-844)) (-4 *8 (-1049)) (-4 *6 (-790)) (-4 *2 (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-765)))))) (-5 *1 (-954 *6 *7 *8 *5 *2)) (-4 *5 (-952 *8 *6 *7))))) 
-(-10 -7 (-15 -4188 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1165)) $) 15)) (-3132 (((-1161 $) $ (-1165)) 21) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1165))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 8) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1165) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1165) $) NIL)) (-3673 (($ $ $ (-1165)) NIL (|has| |#1| (-173)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1165)) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-535 (-1165)) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1165) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1165) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#1|) (-1165)) NIL) (($ (-1161 $) (-1165)) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-535 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1165)) NIL)) (-4294 (((-535 (-1165)) $) NIL) (((-765) $ (-1165)) NIL) (((-635 (-765)) $ (-635 (-1165))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 (-1165)) (-535 (-1165))) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3407 (((-3 (-1165) "failed") $) 19)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1165)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $ (-1165)) 29 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1165) |#1|) NIL) (($ $ (-635 (-1165)) (-635 |#1|)) NIL) (($ $ (-1165) $) NIL) (($ $ (-635 (-1165)) (-635 $)) NIL)) (-2925 (($ $ (-1165)) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-2284 (((-535 (-1165)) $) NIL) (((-765) $ (-1165)) NIL) (((-635 (-765)) $ (-635 (-1165))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1165) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1165) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1165) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1165)) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 25) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1165)) 27) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-535 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-955 |#1|) (-13 (-952 |#1| (-535 (-1165)) (-1165)) (-10 -8 (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1165))) |noBranch|))) (-1049)) (T -955)) 
-((-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-955 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049))))) 
-(-13 (-952 |#1| (-535 (-1165)) (-1165)) (-10 -8 (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1165))) |noBranch|))) 
-((-2084 (((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#3| (-765)) 37)) (-2682 (((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-765)) 33)) (-3607 (((-2 (|:| -3190 (-765)) (|:| -3550 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-765)) 52)) (-2696 (((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#5| (-765)) 62 (|has| |#3| (-454))))) 
-(((-956 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2084 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#3| (-765))) (-15 -2682 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-765))) (IF (|has| |#3| (-454)) (-15 -2696 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#5| (-765))) |noBranch|) (-15 -3607 ((-2 (|:| -3190 (-765)) (|:| -3550 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-765)))) (-790) (-844) (-559) (-952 |#3| |#1| |#2|) (-13 (-366) (-10 -8 (-15 -3515 (|#4| $)) (-15 -3524 (|#4| $)) (-15 -3956 ($ |#4|))))) (T -956)) 
-((-3607 (*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *3 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| (-635 *3)))) (-5 *1 (-956 *5 *6 *7 *3 *8)) (-5 *4 (-765)) (-4 *8 (-13 (-366) (-10 -8 (-15 -3515 (*3 $)) (-15 -3524 (*3 $)) (-15 -3956 ($ *3))))))) (-2696 (*1 *2 *3 *4) (-12 (-4 *7 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *8 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| *3))) (-5 *1 (-956 *5 *6 *7 *8 *3)) (-5 *4 (-765)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3515 (*8 $)) (-15 -3524 (*8 $)) (-15 -3956 ($ *8))))))) (-2682 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *8 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *9) (|:| |radicand| *9))) (-5 *1 (-956 *5 *6 *7 *8 *9)) (-5 *4 (-765)) (-4 *9 (-13 (-366) (-10 -8 (-15 -3515 (*8 $)) (-15 -3524 (*8 $)) (-15 -3956 ($ *8))))))) (-2084 (*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-559)) (-4 *7 (-952 *3 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *8) (|:| |radicand| *8))) (-5 *1 (-956 *5 *6 *3 *7 *8)) (-5 *4 (-765)) (-4 *8 (-13 (-366) (-10 -8 (-15 -3515 (*7 $)) (-15 -3524 (*7 $)) (-15 -3956 ($ *7)))))))) 
-(-10 -7 (-15 -2084 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#3| (-765))) (-15 -2682 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-765))) (IF (|has| |#3| (-454)) (-15 -2696 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#5| (-765))) |noBranch|) (-15 -3607 ((-2 (|:| -3190 (-765)) (|:| -3550 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-765)))) 
-((-4327 (((-1087 (-216)) $) 7)) (-3724 (((-1087 (-216)) $) 8)) (-3499 (((-635 (-635 (-946 (-216)))) $) 9)) (-3956 (((-852) $) 6))) 
-(((-957) (-1284)) (T -957)) 
-((-3499 (*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-635 (-635 (-946 (-216))))))) (-3724 (*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-1087 (-216))))) (-4327 (*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-1087 (-216)))))) 
-(-13 (-609 (-852)) (-10 -8 (-15 -3499 ((-635 (-635 (-946 (-216)))) $)) (-15 -3724 ((-1087 (-216)) $)) (-15 -4327 ((-1087 (-216)) $)))) 
-(((-609 (-852)) . T)) 
-((-3364 (((-3 (-681 |#1|) "failed") |#2| (-919)) 14))) 
-(((-958 |#1| |#2|) (-10 -7 (-15 -3364 ((-3 (-681 |#1|) "failed") |#2| (-919)))) (-559) (-647 |#1|)) (T -958)) 
-((-3364 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-919)) (-4 *5 (-559)) (-5 *2 (-681 *5)) (-5 *1 (-958 *5 *3)) (-4 *3 (-647 *5))))) 
-(-10 -7 (-15 -3364 ((-3 (-681 |#1|) "failed") |#2| (-919)))) 
-((-2247 (((-960 |#2|) (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|) 16)) (-2793 ((|#2| (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|) 18)) (-4188 (((-960 |#2|) (-1 |#2| |#1|) (-960 |#1|)) 13))) 
-(((-959 |#1| |#2|) (-10 -7 (-15 -2247 ((-960 |#2|) (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|)) (-15 -4188 ((-960 |#2|) (-1 |#2| |#1|) (-960 |#1|)))) (-1199) (-1199)) (T -959)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-960 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-960 *6)) (-5 *1 (-959 *5 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-960 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-959 *5 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-960 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-960 *5)) (-5 *1 (-959 *6 *5))))) 
-(-10 -7 (-15 -2247 ((-960 |#2|) (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|)) (-15 -4188 ((-960 |#2|) (-1 |#2| |#1|) (-960 |#1|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) 17 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 16 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 14)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 13)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 10 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) 12 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 11)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 15) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) 8 (|has| $ (-6 -4571))))) 
-(((-960 |#1|) (-19 |#1|) (-1199)) (T -960)) 
+((-2234 (((-121) $ $) NIL)) (-3171 (((-637 |#1|) $) 34)) (-4407 (((-768) $) NIL)) (-2269 (($) NIL T CONST)) (-4202 (((-3 $ "failed") $ $) 21) (((-3 $ "failed") $ |#1|) 19)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-4372 (($ $) 36)) (-3978 (((-3 $ "failed") $) NIL)) (-3907 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) NIL)) (-2583 (((-121) $) NIL)) (-2408 ((|#1| $ (-571)) NIL)) (-2018 (((-768) $ (-571)) NIL)) (-2617 (($ $) 40)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-2520 (((-3 $ "failed") $ $) 20) (((-3 $ "failed") $ |#1|) 16)) (-2156 (((-121) $ $) 38)) (-3158 (((-768) $) 30)) (-3944 (((-1151) $) NIL)) (-3394 (($ $ $) NIL)) (-2173 (($ $ $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 ((|#1| $) 35)) (-2842 (((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-768)))) $) NIL)) (-3221 (((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $) 24)) (-3942 (((-855) $) NIL) (($ |#1|) NIL)) (-4142 (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (-3222 (($) 14 T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 39)) (** (($ $ (-768)) NIL) (($ $ (-922)) NIL) (($ |#1| (-768)) NIL)) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-819 |#1|) (-13 (-843) (-1043 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-768))) (-15 -1827 (|#1| $)) (-15 -4372 ($ $)) (-15 -2617 ($ $)) (-15 -2156 ((-121) $ $)) (-15 -2173 ($ $ $)) (-15 -3394 ($ $ $)) (-15 -2520 ((-3 $ "failed") $ $)) (-15 -4202 ((-3 $ "failed") $ $)) (-15 -2520 ((-3 $ "failed") $ |#1|)) (-15 -4202 ((-3 $ "failed") $ |#1|)) (-15 -3221 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -3907 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -4407 ((-768) $)) (-15 -2018 ((-768) $ (-571))) (-15 -2408 (|#1| $ (-571))) (-15 -2842 ((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-768)))) $)) (-15 -3158 ((-768) $)) (-15 -3171 ((-637 |#1|) $)))) (-847)) (T -819)) 
+((* (*1 *1 *2 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-768)) (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-1827 (*1 *2 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-4372 (*1 *1 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-2617 (*1 *1 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-2156 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-819 *3)) (-4 *3 (-847)))) (-2173 (*1 *1 *1 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-3394 (*1 *1 *1 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-2520 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-4202 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-2520 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-4202 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-3221 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-819 *3) "failed")) (|:| |rm| (-3 (-819 *3) "failed")))) (-5 *1 (-819 *3)) (-4 *3 (-847)))) (-3907 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-819 *3)) (|:| |mm| (-819 *3)) (|:| |rm| (-819 *3)))) (-5 *1 (-819 *3)) (-4 *3 (-847)))) (-4407 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-819 *3)) (-4 *3 (-847)))) (-2018 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-768)) (-5 *1 (-819 *4)) (-4 *4 (-847)))) (-2408 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-819 *2)) (-4 *2 (-847)))) (-2842 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 (-768))))) (-5 *1 (-819 *3)) (-4 *3 (-847)))) (-3158 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-819 *3)) (-4 *3 (-847)))) (-3171 (*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-819 *3)) (-4 *3 (-847))))) 
+(-13 (-843) (-1043 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-768))) (-15 -1827 (|#1| $)) (-15 -4372 ($ $)) (-15 -2617 ($ $)) (-15 -2156 ((-121) $ $)) (-15 -2173 ($ $ $)) (-15 -3394 ($ $ $)) (-15 -2520 ((-3 $ "failed") $ $)) (-15 -4202 ((-3 $ "failed") $ $)) (-15 -2520 ((-3 $ "failed") $ |#1|)) (-15 -4202 ((-3 $ "failed") $ |#1|)) (-15 -3221 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -3907 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -4407 ((-768) $)) (-15 -2018 ((-768) $ (-571))) (-15 -2408 (|#1| $ (-571))) (-15 -2842 ((-637 (-2 (|:| |gen| |#1|) (|:| -4148 (-768)))) $)) (-15 -3158 ((-768) $)) (-15 -3171 ((-637 |#1|) $)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-3203 (((-571) $) 52)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2093 (((-121) $) 50)) (-2583 (((-121) $) 30)) (-4086 (((-121) $) 51)) (-1763 (($ $ $) 49)) (-2383 (($ $ $) 48)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1786 (((-3 $ "failed") $ $) 41)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-1902 (($ $) 53)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1350 (((-121) $ $) 46)) (-1338 (((-121) $ $) 45)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 47)) (-1331 (((-121) $ $) 44)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-820) (-1289)) (T -820)) 
+NIL 
+(-13 (-561) (-845)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-286) . T) ((-561) . T) ((-640 $) . T) ((-712 $) . T) ((-721) . T) ((-791) . T) ((-792) . T) ((-794) . T) ((-795) . T) ((-845) . T) ((-847) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-1705 (($ (-1115)) 7)) (-1837 (((-121) $ (-1151) (-1115)) 15)) (-2736 (((-822) $) 12)) (-3969 (((-822) $) 11)) (-2674 (((-1263) $) 9)) (-4564 (((-121) $ (-1115)) 16))) 
+(((-821) (-10 -8 (-15 -1705 ($ (-1115))) (-15 -2674 ((-1263) $)) (-15 -3969 ((-822) $)) (-15 -2736 ((-822) $)) (-15 -1837 ((-121) $ (-1151) (-1115))) (-15 -4564 ((-121) $ (-1115))))) (T -821)) 
+((-4564 (*1 *2 *1 *3) (-12 (-5 *3 (-1115)) (-5 *2 (-121)) (-5 *1 (-821)))) (-1837 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-1115)) (-5 *2 (-121)) (-5 *1 (-821)))) (-2736 (*1 *2 *1) (-12 (-5 *2 (-822)) (-5 *1 (-821)))) (-3969 (*1 *2 *1) (-12 (-5 *2 (-822)) (-5 *1 (-821)))) (-2674 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-821)))) (-1705 (*1 *1 *2) (-12 (-5 *2 (-1115)) (-5 *1 (-821))))) 
+(-10 -8 (-15 -1705 ($ (-1115))) (-15 -2674 ((-1263) $)) (-15 -3969 ((-822) $)) (-15 -2736 ((-822) $)) (-15 -1837 ((-121) $ (-1151) (-1115))) (-15 -4564 ((-121) $ (-1115)))) 
+((-2175 (((-1263) $ (-823)) 12)) (-3724 (((-1263) $ (-1169)) 32)) (-2054 (((-1263) $ (-1151) (-1151)) 34)) (-2676 (((-1263) $ (-1151)) 33)) (-1782 (((-1263) $) 19)) (-4558 (((-1263) $ (-571)) 28)) (-2169 (((-1263) $ (-216)) 30)) (-2276 (((-1263) $) 18)) (-4572 (((-1263) $) 26)) (-1503 (((-1263) $) 25)) (-2953 (((-1263) $) 23)) (-4334 (((-1263) $) 24)) (-4428 (((-1263) $) 22)) (-2610 (((-1263) $) 21)) (-3901 (((-1263) $) 20)) (-3698 (((-1263) $) 16)) (-1371 (((-1263) $) 17)) (-3502 (((-1263) $) 15)) (-3746 (((-1263) $) 14)) (-1442 (((-1263) $) 13)) (-1690 (($ (-1151) (-823)) 9)) (-4129 (($ (-1151) (-1151) (-823)) 8)) (-1554 (((-1169) $) 51)) (-2287 (((-1169) $) 55)) (-2257 (((-2 (|:| |cd| (-1151)) (|:| -3159 (-1151))) $) 54)) (-1607 (((-1151) $) 52)) (-2638 (((-1263) $) 41)) (-1675 (((-571) $) 49)) (-2237 (((-216) $) 50)) (-1854 (((-1263) $) 40)) (-2671 (((-1263) $) 48)) (-1557 (((-1263) $) 47)) (-4139 (((-1263) $) 45)) (-3656 (((-1263) $) 46)) (-3135 (((-1263) $) 44)) (-1648 (((-1263) $) 43)) (-1451 (((-1263) $) 42)) (-1758 (((-1263) $) 38)) (-4446 (((-1263) $) 39)) (-2275 (((-1263) $) 37)) (-2564 (((-1263) $) 36)) (-1621 (((-1263) $) 35)) (-3716 (((-1263) $) 11))) 
+(((-822) (-10 -8 (-15 -4129 ($ (-1151) (-1151) (-823))) (-15 -1690 ($ (-1151) (-823))) (-15 -3716 ((-1263) $)) (-15 -2175 ((-1263) $ (-823))) (-15 -1442 ((-1263) $)) (-15 -3746 ((-1263) $)) (-15 -3502 ((-1263) $)) (-15 -3698 ((-1263) $)) (-15 -1371 ((-1263) $)) (-15 -2276 ((-1263) $)) (-15 -1782 ((-1263) $)) (-15 -3901 ((-1263) $)) (-15 -2610 ((-1263) $)) (-15 -4428 ((-1263) $)) (-15 -2953 ((-1263) $)) (-15 -4334 ((-1263) $)) (-15 -1503 ((-1263) $)) (-15 -4572 ((-1263) $)) (-15 -4558 ((-1263) $ (-571))) (-15 -2169 ((-1263) $ (-216))) (-15 -3724 ((-1263) $ (-1169))) (-15 -2676 ((-1263) $ (-1151))) (-15 -2054 ((-1263) $ (-1151) (-1151))) (-15 -1621 ((-1263) $)) (-15 -2564 ((-1263) $)) (-15 -2275 ((-1263) $)) (-15 -1758 ((-1263) $)) (-15 -4446 ((-1263) $)) (-15 -1854 ((-1263) $)) (-15 -2638 ((-1263) $)) (-15 -1451 ((-1263) $)) (-15 -1648 ((-1263) $)) (-15 -3135 ((-1263) $)) (-15 -4139 ((-1263) $)) (-15 -3656 ((-1263) $)) (-15 -1557 ((-1263) $)) (-15 -2671 ((-1263) $)) (-15 -1675 ((-571) $)) (-15 -2237 ((-216) $)) (-15 -1554 ((-1169) $)) (-15 -1607 ((-1151) $)) (-15 -2257 ((-2 (|:| |cd| (-1151)) (|:| -3159 (-1151))) $)) (-15 -2287 ((-1169) $)))) (T -822)) 
+((-2287 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-822)))) (-2257 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1151)) (|:| -3159 (-1151)))) (-5 *1 (-822)))) (-1607 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-822)))) (-1554 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-822)))) (-2237 (*1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-822)))) (-1675 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-822)))) (-2671 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1557 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-3656 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-4139 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-3135 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1648 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1451 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-2638 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1854 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-4446 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1758 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-2275 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-2564 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1621 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-2054 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-822)))) (-2676 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-822)))) (-3724 (*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-822)))) (-2169 (*1 *2 *1 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1263)) (-5 *1 (-822)))) (-4558 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-822)))) (-4572 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1503 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-4334 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-2953 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-4428 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-2610 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-3901 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1782 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-2276 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1371 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-3698 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-3502 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-3746 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1442 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-2175 (*1 *2 *1 *3) (-12 (-5 *3 (-823)) (-5 *2 (-1263)) (-5 *1 (-822)))) (-3716 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822)))) (-1690 (*1 *1 *2 *3) (-12 (-5 *2 (-1151)) (-5 *3 (-823)) (-5 *1 (-822)))) (-4129 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1151)) (-5 *3 (-823)) (-5 *1 (-822))))) 
+(-10 -8 (-15 -4129 ($ (-1151) (-1151) (-823))) (-15 -1690 ($ (-1151) (-823))) (-15 -3716 ((-1263) $)) (-15 -2175 ((-1263) $ (-823))) (-15 -1442 ((-1263) $)) (-15 -3746 ((-1263) $)) (-15 -3502 ((-1263) $)) (-15 -3698 ((-1263) $)) (-15 -1371 ((-1263) $)) (-15 -2276 ((-1263) $)) (-15 -1782 ((-1263) $)) (-15 -3901 ((-1263) $)) (-15 -2610 ((-1263) $)) (-15 -4428 ((-1263) $)) (-15 -2953 ((-1263) $)) (-15 -4334 ((-1263) $)) (-15 -1503 ((-1263) $)) (-15 -4572 ((-1263) $)) (-15 -4558 ((-1263) $ (-571))) (-15 -2169 ((-1263) $ (-216))) (-15 -3724 ((-1263) $ (-1169))) (-15 -2676 ((-1263) $ (-1151))) (-15 -2054 ((-1263) $ (-1151) (-1151))) (-15 -1621 ((-1263) $)) (-15 -2564 ((-1263) $)) (-15 -2275 ((-1263) $)) (-15 -1758 ((-1263) $)) (-15 -4446 ((-1263) $)) (-15 -1854 ((-1263) $)) (-15 -2638 ((-1263) $)) (-15 -1451 ((-1263) $)) (-15 -1648 ((-1263) $)) (-15 -3135 ((-1263) $)) (-15 -4139 ((-1263) $)) (-15 -3656 ((-1263) $)) (-15 -1557 ((-1263) $)) (-15 -2671 ((-1263) $)) (-15 -1675 ((-571) $)) (-15 -2237 ((-216) $)) (-15 -1554 ((-1169) $)) (-15 -1607 ((-1151) $)) (-15 -2257 ((-2 (|:| |cd| (-1151)) (|:| -3159 (-1151))) $)) (-15 -2287 ((-1169) $))) 
+((-2234 (((-121) $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 12)) (-2601 (($) 15)) (-3642 (($) 13)) (-1375 (($) 16)) (-3975 (($) 14)) (-1323 (((-121) $ $) 8))) 
+(((-823) (-13 (-1097) (-10 -8 (-15 -3642 ($)) (-15 -2601 ($)) (-15 -1375 ($)) (-15 -3975 ($))))) (T -823)) 
+((-3642 (*1 *1) (-5 *1 (-823))) (-2601 (*1 *1) (-5 *1 (-823))) (-1375 (*1 *1) (-5 *1 (-823))) (-3975 (*1 *1) (-5 *1 (-823)))) 
+(-13 (-1097) (-10 -8 (-15 -3642 ($)) (-15 -2601 ($)) (-15 -1375 ($)) (-15 -3975 ($)))) 
+((-2234 (((-121) $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 21) (($ (-1169)) 17)) (-4429 (((-121) $) 10)) (-1936 (((-121) $) 9)) (-3108 (((-121) $) 11)) (-3214 (((-121) $) 8)) (-1323 (((-121) $ $) 19))) 
+(((-824) (-13 (-1097) (-10 -8 (-15 -3942 ($ (-1169))) (-15 -3214 ((-121) $)) (-15 -1936 ((-121) $)) (-15 -4429 ((-121) $)) (-15 -3108 ((-121) $))))) (T -824)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-824)))) (-3214 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-824)))) (-1936 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-824)))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-824)))) (-3108 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-824))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ($ (-1169))) (-15 -3214 ((-121) $)) (-15 -1936 ((-121) $)) (-15 -4429 ((-121) $)) (-15 -3108 ((-121) $)))) 
+((-2234 (((-121) $ $) NIL)) (-2365 (($ (-824) (-637 (-1169))) 24)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4177 (((-824) $) 25)) (-1976 (((-637 (-1169)) $) 26)) (-3942 (((-855) $) 23)) (-1323 (((-121) $ $) NIL))) 
+(((-825) (-13 (-1097) (-10 -8 (-15 -4177 ((-824) $)) (-15 -1976 ((-637 (-1169)) $)) (-15 -2365 ($ (-824) (-637 (-1169))))))) (T -825)) 
+((-4177 (*1 *2 *1) (-12 (-5 *2 (-824)) (-5 *1 (-825)))) (-1976 (*1 *2 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-825)))) (-2365 (*1 *1 *2 *3) (-12 (-5 *2 (-824)) (-5 *3 (-637 (-1169))) (-5 *1 (-825))))) 
+(-13 (-1097) (-10 -8 (-15 -4177 ((-824) $)) (-15 -1976 ((-637 (-1169)) $)) (-15 -2365 ($ (-824) (-637 (-1169)))))) 
+((-3805 (((-1263) (-822) (-311 |#1|) (-121)) 22) (((-1263) (-822) (-311 |#1|)) 76) (((-1151) (-311 |#1|) (-121)) 75) (((-1151) (-311 |#1|)) 74))) 
+(((-826 |#1|) (-10 -7 (-15 -3805 ((-1151) (-311 |#1|))) (-15 -3805 ((-1151) (-311 |#1|) (-121))) (-15 -3805 ((-1263) (-822) (-311 |#1|))) (-15 -3805 ((-1263) (-822) (-311 |#1|) (-121)))) (-13 (-828) (-847) (-1053))) (T -826)) 
+((-3805 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-822)) (-5 *4 (-311 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-828) (-847) (-1053))) (-5 *2 (-1263)) (-5 *1 (-826 *6)))) (-3805 (*1 *2 *3 *4) (-12 (-5 *3 (-822)) (-5 *4 (-311 *5)) (-4 *5 (-13 (-828) (-847) (-1053))) (-5 *2 (-1263)) (-5 *1 (-826 *5)))) (-3805 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-828) (-847) (-1053))) (-5 *2 (-1151)) (-5 *1 (-826 *5)))) (-3805 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-13 (-828) (-847) (-1053))) (-5 *2 (-1151)) (-5 *1 (-826 *4))))) 
+(-10 -7 (-15 -3805 ((-1151) (-311 |#1|))) (-15 -3805 ((-1151) (-311 |#1|) (-121))) (-15 -3805 ((-1263) (-822) (-311 |#1|))) (-15 -3805 ((-1263) (-822) (-311 |#1|) (-121)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3183 ((|#1| $) 10)) (-4547 (($ |#1|) 9)) (-2583 (((-121) $) NIL)) (-4289 (($ |#2| (-768)) NIL)) (-3973 (((-768) $) NIL)) (-4337 ((|#2| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3096 (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-2400 (((-768) $) NIL)) (-3942 (((-855) $) 17) (($ (-571)) NIL) (($ |#2|) NIL (|has| |#2| (-173)))) (-3136 ((|#2| $ (-768)) NIL)) (-2661 (((-768)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 12) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-827 |#1| |#2|) (-13 (-703 |#2|) (-10 -8 (IF (|has| |#1| (-226)) (-6 (-226)) |noBranch|) (-15 -4547 ($ |#1|)) (-15 -3183 (|#1| $)))) (-703 |#2|) (-1053)) (T -827)) 
+((-4547 (*1 *1 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-827 *2 *3)) (-4 *2 (-703 *3)))) (-3183 (*1 *2 *1) (-12 (-4 *2 (-703 *3)) (-5 *1 (-827 *2 *3)) (-4 *3 (-1053))))) 
+(-13 (-703 |#2|) (-10 -8 (IF (|has| |#1| (-226)) (-6 (-226)) |noBranch|) (-15 -4547 ($ |#1|)) (-15 -3183 (|#1| $)))) 
+((-3805 (((-1263) (-822) $ (-121)) 9) (((-1263) (-822) $) 8) (((-1151) $ (-121)) 7) (((-1151) $) 6))) 
+(((-828) (-1289)) (T -828)) 
+((-3805 (*1 *2 *3 *1 *4) (-12 (-4 *1 (-828)) (-5 *3 (-822)) (-5 *4 (-121)) (-5 *2 (-1263)))) (-3805 (*1 *2 *3 *1) (-12 (-4 *1 (-828)) (-5 *3 (-822)) (-5 *2 (-1263)))) (-3805 (*1 *2 *1 *3) (-12 (-4 *1 (-828)) (-5 *3 (-121)) (-5 *2 (-1151)))) (-3805 (*1 *2 *1) (-12 (-4 *1 (-828)) (-5 *2 (-1151))))) 
+(-13 (-10 -8 (-15 -3805 ((-1151) $)) (-15 -3805 ((-1151) $ (-121))) (-15 -3805 ((-1263) (-822) $)) (-15 -3805 ((-1263) (-822) $ (-121))))) 
+((-3586 (((-306) (-1151) (-1151)) 12)) (-3472 (((-121) (-1151) (-1151)) 33)) (-1841 (((-121) (-1151)) 32)) (-4265 (((-57) (-1151)) 25)) (-2570 (((-57) (-1151)) 23)) (-1832 (((-57) (-822)) 17)) (-3807 (((-637 (-1151)) (-1151)) 28)) (-1963 (((-637 (-1151))) 27))) 
+(((-829) (-10 -7 (-15 -1832 ((-57) (-822))) (-15 -2570 ((-57) (-1151))) (-15 -4265 ((-57) (-1151))) (-15 -1963 ((-637 (-1151)))) (-15 -3807 ((-637 (-1151)) (-1151))) (-15 -1841 ((-121) (-1151))) (-15 -3472 ((-121) (-1151) (-1151))) (-15 -3586 ((-306) (-1151) (-1151))))) (T -829)) 
+((-3586 (*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-306)) (-5 *1 (-829)))) (-3472 (*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-121)) (-5 *1 (-829)))) (-1841 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-121)) (-5 *1 (-829)))) (-3807 (*1 *2 *3) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-829)) (-5 *3 (-1151)))) (-1963 (*1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-829)))) (-4265 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-57)) (-5 *1 (-829)))) (-2570 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-57)) (-5 *1 (-829)))) (-1832 (*1 *2 *3) (-12 (-5 *3 (-822)) (-5 *2 (-57)) (-5 *1 (-829))))) 
+(-10 -7 (-15 -1832 ((-57) (-822))) (-15 -2570 ((-57) (-1151))) (-15 -4265 ((-57) (-1151))) (-15 -1963 ((-637 (-1151)))) (-15 -3807 ((-637 (-1151)) (-1151))) (-15 -1841 ((-121) (-1151))) (-15 -3472 ((-121) (-1151) (-1151))) (-15 -3586 ((-306) (-1151) (-1151)))) 
+((-2234 (((-121) $ $) 18)) (-3486 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-1768 (($ $ $) 68)) (-2559 (((-121) $ $) 69)) (-3133 (((-121) $ (-768)) 8)) (-4458 (($ (-637 |#1|)) 64) (($) 63)) (-3129 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-2980 (($ $) 58)) (-4365 (($ $) 55 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1599 (($ |#1| $) 44 (|has| $ (-6 -4600))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4600)))) (-3412 (($ |#1| $) 54 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4600)))) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-1763 ((|#1| $) 74)) (-2984 (($ $ $) 77)) (-3491 (($ $ $) 76)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-2383 ((|#1| $) 75)) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22)) (-4017 (($ $ $) 65)) (-2377 ((|#1| $) 36)) (-2863 (($ |#1| $) 37) (($ |#1| $ (-768)) 59)) (-2580 (((-1115) $) 21)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-4297 (((-637 (-2 (|:| -4279 |#1|) (|:| -1569 (-768)))) $) 57)) (-3629 (($ $ |#1|) 67) (($ $ $) 66)) (-3563 (($) 46) (($ (-637 |#1|)) 45)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 56 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 47)) (-3942 (((-855) $) 20)) (-4303 (($ (-637 |#1|)) 62) (($) 61)) (-3700 (($ (-637 |#1|)) 39)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19)) (-1331 (((-121) $ $) 60)) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-830 |#1|) (-1289) (-847)) (T -830)) 
+((-1763 (*1 *2 *1) (-12 (-4 *1 (-830 *2)) (-4 *2 (-847))))) 
+(-13 (-731 |t#1|) (-975 |t#1|) (-10 -8 (-15 -1763 (|t#1| $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-611 (-855)) . T) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-689 |#1|) . T) ((-731 |#1|) . T) ((-975 |#1|) . T) ((-1094 |#1|) . T) ((-1097) . T) ((-1203) . T)) 
+((-4367 (((-1263) (-1115) (-1115)) 47)) (-1550 (((-1263) (-821) (-57)) 44)) (-3087 (((-57) (-821)) 16))) 
+(((-831) (-10 -7 (-15 -3087 ((-57) (-821))) (-15 -1550 ((-1263) (-821) (-57))) (-15 -4367 ((-1263) (-1115) (-1115))))) (T -831)) 
+((-4367 (*1 *2 *3 *3) (-12 (-5 *3 (-1115)) (-5 *2 (-1263)) (-5 *1 (-831)))) (-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-821)) (-5 *4 (-57)) (-5 *2 (-1263)) (-5 *1 (-831)))) (-3087 (*1 *2 *3) (-12 (-5 *3 (-821)) (-5 *2 (-57)) (-5 *1 (-831))))) 
+(-10 -7 (-15 -3087 ((-57) (-821))) (-15 -1550 ((-1263) (-821) (-57))) (-15 -4367 ((-1263) (-1115) (-1115)))) 
+((-3799 (((-833 |#2|) (-1 |#2| |#1|) (-833 |#1|) (-833 |#2|)) 12) (((-833 |#2|) (-1 |#2| |#1|) (-833 |#1|)) 13))) 
+(((-832 |#1| |#2|) (-10 -7 (-15 -3799 ((-833 |#2|) (-1 |#2| |#1|) (-833 |#1|))) (-15 -3799 ((-833 |#2|) (-1 |#2| |#1|) (-833 |#1|) (-833 |#2|)))) (-1097) (-1097)) (T -832)) 
+((-3799 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-833 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-833 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *1 (-832 *5 *6)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-833 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-833 *6)) (-5 *1 (-832 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-833 |#2|) (-1 |#2| |#1|) (-833 |#1|))) (-15 -3799 ((-833 |#2|) (-1 |#2| |#1|) (-833 |#1|) (-833 |#2|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL (|has| |#1| (-21)))) (-4176 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3203 (((-571) $) NIL (|has| |#1| (-845)))) (-2269 (($) NIL (|has| |#1| (-21)) CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 15)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) 9)) (-3978 (((-3 $ "failed") $) 40 (|has| |#1| (-845)))) (-3437 (((-3 (-412 (-571)) "failed") $) 48 (|has| |#1| (-553)))) (-3330 (((-121) $) 43 (|has| |#1| (-553)))) (-3450 (((-412 (-571)) $) 45 (|has| |#1| (-553)))) (-2093 (((-121) $) NIL (|has| |#1| (-845)))) (-2583 (((-121) $) NIL (|has| |#1| (-845)))) (-4086 (((-121) $) NIL (|has| |#1| (-845)))) (-1763 (($ $ $) NIL (|has| |#1| (-845)))) (-2383 (($ $ $) NIL (|has| |#1| (-845)))) (-3944 (((-1151) $) NIL)) (-1740 (($) 13)) (-3316 (((-121) $) 12)) (-2580 (((-1115) $) NIL)) (-3028 (((-121) $) 11)) (-3942 (((-855) $) 18) (($ (-412 (-571))) NIL (|has| |#1| (-1043 (-412 (-571))))) (($ |#1|) 8) (($ (-571)) NIL (-1831 (|has| |#1| (-845)) (|has| |#1| (-1043 (-571)))))) (-2661 (((-768)) 34 (|has| |#1| (-845)))) (-1902 (($ $) NIL (|has| |#1| (-845)))) (-4142 (($ $ (-922)) NIL (|has| |#1| (-845))) (($ $ (-768)) NIL (|has| |#1| (-845)))) (-2369 (($) 22 (|has| |#1| (-21)) CONST)) (-3222 (($) 31 (|has| |#1| (-845)) CONST)) (-1350 (((-121) $ $) NIL (|has| |#1| (-845)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-845)))) (-1323 (((-121) $ $) 20)) (-1342 (((-121) $ $) NIL (|has| |#1| (-845)))) (-1331 (((-121) $ $) 42 (|has| |#1| (-845)))) (-1373 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 27 (|has| |#1| (-21)))) (-1367 (($ $ $) 29 (|has| |#1| (-21)))) (** (($ $ (-922)) NIL (|has| |#1| (-845))) (($ $ (-768)) NIL (|has| |#1| (-845)))) (* (($ $ $) 37 (|has| |#1| (-845))) (($ (-571) $) 25 (|has| |#1| (-21))) (($ (-768) $) NIL (|has| |#1| (-21))) (($ (-922) $) NIL (|has| |#1| (-21))))) 
+(((-833 |#1|) (-13 (-1097) (-416 |#1|) (-10 -8 (-15 -1740 ($)) (-15 -3028 ((-121) $)) (-15 -3316 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-845)) (-6 (-845)) |noBranch|) (IF (|has| |#1| (-553)) (PROGN (-15 -3330 ((-121) $)) (-15 -3450 ((-412 (-571)) $)) (-15 -3437 ((-3 (-412 (-571)) "failed") $))) |noBranch|))) (-1097)) (T -833)) 
+((-1740 (*1 *1) (-12 (-5 *1 (-833 *2)) (-4 *2 (-1097)))) (-3028 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-833 *3)) (-4 *3 (-1097)))) (-3316 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-833 *3)) (-4 *3 (-1097)))) (-3330 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-833 *3)) (-4 *3 (-553)) (-4 *3 (-1097)))) (-3450 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-833 *3)) (-4 *3 (-553)) (-4 *3 (-1097)))) (-3437 (*1 *2 *1) (|partial| -12 (-5 *2 (-412 (-571))) (-5 *1 (-833 *3)) (-4 *3 (-553)) (-4 *3 (-1097))))) 
+(-13 (-1097) (-416 |#1|) (-10 -8 (-15 -1740 ($)) (-15 -3028 ((-121) $)) (-15 -3316 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-845)) (-6 (-845)) |noBranch|) (IF (|has| |#1| (-553)) (PROGN (-15 -3330 ((-121) $)) (-15 -3450 ((-412 (-571)) $)) (-15 -3437 ((-3 (-412 (-571)) "failed") $))) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL) (((-3 (-123) "failed") $) NIL)) (-1316 ((|#1| $) NIL) (((-123) $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2894 ((|#1| (-123) |#1|) NIL)) (-2583 (((-121) $) NIL)) (-3585 (($ |#1| (-365 (-123))) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3936 (($ $ (-1 |#1| |#1|)) NIL)) (-2593 (($ $ (-1 |#1| |#1|)) NIL)) (-3245 ((|#1| $ |#1|) NIL)) (-2050 ((|#1| |#1|) NIL (|has| |#1| (-173)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL) (($ (-123)) NIL)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-2710 (($ $) NIL (|has| |#1| (-173))) (($ $ $) NIL (|has| |#1| (-173)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ (-123) (-571)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-834 |#1|) (-13 (-1053) (-1043 |#1|) (-1043 (-123)) (-282 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -2710 ($ $)) (-15 -2710 ($ $ $)) (-15 -2050 (|#1| |#1|))) |noBranch|) (-15 -2593 ($ $ (-1 |#1| |#1|))) (-15 -3936 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-571))) (-15 ** ($ $ (-571))) (-15 -2894 (|#1| (-123) |#1|)) (-15 -3585 ($ |#1| (-365 (-123)))))) (-1053)) (T -834)) 
+((-2710 (*1 *1 *1) (-12 (-5 *1 (-834 *2)) (-4 *2 (-173)) (-4 *2 (-1053)))) (-2710 (*1 *1 *1 *1) (-12 (-5 *1 (-834 *2)) (-4 *2 (-173)) (-4 *2 (-1053)))) (-2050 (*1 *2 *2) (-12 (-5 *1 (-834 *2)) (-4 *2 (-173)) (-4 *2 (-1053)))) (-2593 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-834 *3)))) (-3936 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-834 *3)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-571)) (-5 *1 (-834 *4)) (-4 *4 (-1053)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-834 *3)) (-4 *3 (-1053)))) (-2894 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-834 *2)) (-4 *2 (-1053)))) (-3585 (*1 *1 *2 *3) (-12 (-5 *3 (-365 (-123))) (-5 *1 (-834 *2)) (-4 *2 (-1053))))) 
+(-13 (-1053) (-1043 |#1|) (-1043 (-123)) (-282 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -2710 ($ $)) (-15 -2710 ($ $ $)) (-15 -2050 (|#1| |#1|))) |noBranch|) (-15 -2593 ($ $ (-1 |#1| |#1|))) (-15 -3936 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-571))) (-15 ** ($ $ (-571))) (-15 -2894 (|#1| (-123) |#1|)) (-15 -3585 ($ |#1| (-365 (-123)))))) 
+((-4213 (((-206 (-514)) (-1151)) 8))) 
+(((-835) (-10 -7 (-15 -4213 ((-206 (-514)) (-1151))))) (T -835)) 
+((-4213 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-206 (-514))) (-5 *1 (-835))))) 
+(-10 -7 (-15 -4213 ((-206 (-514)) (-1151)))) 
+((-2234 (((-121) $ $) 7)) (-1765 (((-1041) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) 13) (((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 12)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 15) (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) 14)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6))) 
+(((-836) (-1289)) (T -836)) 
+((-1538 (*1 *2 *3 *4) (-12 (-4 *1 (-836)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)))))) (-1538 (*1 *2 *3 *4) (-12 (-4 *1 (-836)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)))))) (-1765 (*1 *2 *3) (-12 (-4 *1 (-836)) (-5 *3 (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) (-5 *2 (-1041)))) (-1765 (*1 *2 *3) (-12 (-4 *1 (-836)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (-5 *2 (-1041))))) 
+(-13 (-1097) (-10 -7 (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216))))))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) (-15 -1765 ((-1041) (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) (-15 -1765 ((-1041) (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216))))))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2366 (((-1041) (-637 (-311 (-384))) (-637 (-384))) 143) (((-1041) (-311 (-384)) (-637 (-384))) 141) (((-1041) (-311 (-384)) (-637 (-384)) (-637 (-840 (-384))) (-637 (-840 (-384)))) 140) (((-1041) (-311 (-384)) (-637 (-384)) (-637 (-840 (-384))) (-637 (-311 (-384))) (-637 (-840 (-384)))) 139) (((-1041) (-838)) 112) (((-1041) (-838) (-1065)) 111)) (-1538 (((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-838) (-1065)) 76) (((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-838)) 78)) (-2456 (((-1041) (-637 (-311 (-384))) (-637 (-384))) 144) (((-1041) (-838)) 128))) 
+(((-837) (-10 -7 (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-838))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-838) (-1065))) (-15 -2366 ((-1041) (-838) (-1065))) (-15 -2366 ((-1041) (-838))) (-15 -2456 ((-1041) (-838))) (-15 -2366 ((-1041) (-311 (-384)) (-637 (-384)) (-637 (-840 (-384))) (-637 (-311 (-384))) (-637 (-840 (-384))))) (-15 -2366 ((-1041) (-311 (-384)) (-637 (-384)) (-637 (-840 (-384))) (-637 (-840 (-384))))) (-15 -2366 ((-1041) (-311 (-384)) (-637 (-384)))) (-15 -2366 ((-1041) (-637 (-311 (-384))) (-637 (-384)))) (-15 -2456 ((-1041) (-637 (-311 (-384))) (-637 (-384)))))) (T -837)) 
+((-2456 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-311 (-384)))) (-5 *4 (-637 (-384))) (-5 *2 (-1041)) (-5 *1 (-837)))) (-2366 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-311 (-384)))) (-5 *4 (-637 (-384))) (-5 *2 (-1041)) (-5 *1 (-837)))) (-2366 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-384))) (-5 *2 (-1041)) (-5 *1 (-837)))) (-2366 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-384))) (-5 *5 (-637 (-840 (-384)))) (-5 *2 (-1041)) (-5 *1 (-837)))) (-2366 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-637 (-384))) (-5 *5 (-637 (-840 (-384)))) (-5 *6 (-637 (-311 (-384)))) (-5 *3 (-311 (-384))) (-5 *2 (-1041)) (-5 *1 (-837)))) (-2456 (*1 *2 *3) (-12 (-5 *3 (-838)) (-5 *2 (-1041)) (-5 *1 (-837)))) (-2366 (*1 *2 *3) (-12 (-5 *3 (-838)) (-5 *2 (-1041)) (-5 *1 (-837)))) (-2366 (*1 *2 *3 *4) (-12 (-5 *3 (-838)) (-5 *4 (-1065)) (-5 *2 (-1041)) (-5 *1 (-837)))) (-1538 (*1 *2 *3 *4) (-12 (-5 *3 (-838)) (-5 *4 (-1065)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-837)))) (-1538 (*1 *2 *3) (-12 (-5 *3 (-838)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-837))))) 
+(-10 -7 (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-838))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-838) (-1065))) (-15 -2366 ((-1041) (-838) (-1065))) (-15 -2366 ((-1041) (-838))) (-15 -2456 ((-1041) (-838))) (-15 -2366 ((-1041) (-311 (-384)) (-637 (-384)) (-637 (-840 (-384))) (-637 (-311 (-384))) (-637 (-840 (-384))))) (-15 -2366 ((-1041) (-311 (-384)) (-637 (-384)) (-637 (-840 (-384))) (-637 (-840 (-384))))) (-15 -2366 ((-1041) (-311 (-384)) (-637 (-384)))) (-15 -2366 ((-1041) (-637 (-311 (-384))) (-637 (-384)))) (-15 -2456 ((-1041) (-637 (-311 (-384))) (-637 (-384))))) 
+((-2234 (((-121) $ $) NIL)) (-1316 (((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) $) 15)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 14) (($ (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) 8) (($ (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) 10) (($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))))) 12)) (-1323 (((-121) $ $) NIL))) 
+(((-838) (-13 (-1097) (-10 -8 (-15 -3942 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216))))))) (-15 -3942 ($ (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) (-15 -3942 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))))) (-15 -3942 ((-855) $)) (-15 -1316 ((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) $))))) (T -838)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-838)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (-5 *1 (-838)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) (-5 *1 (-838)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))))) (-5 *1 (-838)))) (-1316 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))))) (-5 *1 (-838))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216))))))) (-15 -3942 ($ (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) (-15 -3942 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))))) (-15 -3942 ((-855) $)) (-15 -1316 ((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216)))))) $)))) 
+((-3799 (((-840 |#2|) (-1 |#2| |#1|) (-840 |#1|) (-840 |#2|) (-840 |#2|)) 13) (((-840 |#2|) (-1 |#2| |#1|) (-840 |#1|)) 14))) 
+(((-839 |#1| |#2|) (-10 -7 (-15 -3799 ((-840 |#2|) (-1 |#2| |#1|) (-840 |#1|))) (-15 -3799 ((-840 |#2|) (-1 |#2| |#1|) (-840 |#1|) (-840 |#2|) (-840 |#2|)))) (-1097) (-1097)) (T -839)) 
+((-3799 (*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-840 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-840 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *1 (-839 *5 *6)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-840 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-840 *6)) (-5 *1 (-839 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-840 |#2|) (-1 |#2| |#1|) (-840 |#1|))) (-15 -3799 ((-840 |#2|) (-1 |#2| |#1|) (-840 |#1|) (-840 |#2|) (-840 |#2|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL (|has| |#1| (-21)))) (-4284 (((-1115) $) 24)) (-4176 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3203 (((-571) $) NIL (|has| |#1| (-845)))) (-2269 (($) NIL (|has| |#1| (-21)) CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 16)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) 9)) (-3978 (((-3 $ "failed") $) 47 (|has| |#1| (-845)))) (-3437 (((-3 (-412 (-571)) "failed") $) 54 (|has| |#1| (-553)))) (-3330 (((-121) $) 49 (|has| |#1| (-553)))) (-3450 (((-412 (-571)) $) 52 (|has| |#1| (-553)))) (-2093 (((-121) $) NIL (|has| |#1| (-845)))) (-3323 (($) 13)) (-2583 (((-121) $) NIL (|has| |#1| (-845)))) (-4086 (((-121) $) NIL (|has| |#1| (-845)))) (-3318 (($) 14)) (-1763 (($ $ $) NIL (|has| |#1| (-845)))) (-2383 (($ $ $) NIL (|has| |#1| (-845)))) (-3944 (((-1151) $) NIL)) (-3316 (((-121) $) 12)) (-2580 (((-1115) $) NIL)) (-3028 (((-121) $) 11)) (-3942 (((-855) $) 22) (($ (-412 (-571))) NIL (|has| |#1| (-1043 (-412 (-571))))) (($ |#1|) 8) (($ (-571)) NIL (-1831 (|has| |#1| (-845)) (|has| |#1| (-1043 (-571)))))) (-2661 (((-768)) 41 (|has| |#1| (-845)))) (-1902 (($ $) NIL (|has| |#1| (-845)))) (-4142 (($ $ (-922)) NIL (|has| |#1| (-845))) (($ $ (-768)) NIL (|has| |#1| (-845)))) (-2369 (($) 29 (|has| |#1| (-21)) CONST)) (-3222 (($) 38 (|has| |#1| (-845)) CONST)) (-1350 (((-121) $ $) NIL (|has| |#1| (-845)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-845)))) (-1323 (((-121) $ $) 27)) (-1342 (((-121) $ $) NIL (|has| |#1| (-845)))) (-1331 (((-121) $ $) 48 (|has| |#1| (-845)))) (-1373 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 34 (|has| |#1| (-21)))) (-1367 (($ $ $) 36 (|has| |#1| (-21)))) (** (($ $ (-922)) NIL (|has| |#1| (-845))) (($ $ (-768)) NIL (|has| |#1| (-845)))) (* (($ $ $) 44 (|has| |#1| (-845))) (($ (-571) $) 32 (|has| |#1| (-21))) (($ (-768) $) NIL (|has| |#1| (-21))) (($ (-922) $) NIL (|has| |#1| (-21))))) 
+(((-840 |#1|) (-13 (-1097) (-416 |#1|) (-10 -8 (-15 -3323 ($)) (-15 -3318 ($)) (-15 -3028 ((-121) $)) (-15 -3316 ((-121) $)) (-15 -4284 ((-1115) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-845)) (-6 (-845)) |noBranch|) (IF (|has| |#1| (-553)) (PROGN (-15 -3330 ((-121) $)) (-15 -3450 ((-412 (-571)) $)) (-15 -3437 ((-3 (-412 (-571)) "failed") $))) |noBranch|))) (-1097)) (T -840)) 
+((-3323 (*1 *1) (-12 (-5 *1 (-840 *2)) (-4 *2 (-1097)))) (-3318 (*1 *1) (-12 (-5 *1 (-840 *2)) (-4 *2 (-1097)))) (-3028 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-840 *3)) (-4 *3 (-1097)))) (-3316 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-840 *3)) (-4 *3 (-1097)))) (-4284 (*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-840 *3)) (-4 *3 (-1097)))) (-3330 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-840 *3)) (-4 *3 (-553)) (-4 *3 (-1097)))) (-3450 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-840 *3)) (-4 *3 (-553)) (-4 *3 (-1097)))) (-3437 (*1 *2 *1) (|partial| -12 (-5 *2 (-412 (-571))) (-5 *1 (-840 *3)) (-4 *3 (-553)) (-4 *3 (-1097))))) 
+(-13 (-1097) (-416 |#1|) (-10 -8 (-15 -3323 ($)) (-15 -3318 ($)) (-15 -3028 ((-121) $)) (-15 -3316 ((-121) $)) (-15 -4284 ((-1115) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-845)) (-6 (-845)) |noBranch|) (IF (|has| |#1| (-553)) (PROGN (-15 -3330 ((-121) $)) (-15 -3450 ((-412 (-571)) $)) (-15 -3437 ((-3 (-412 (-571)) "failed") $))) |noBranch|))) 
+((-2234 (((-121) $ $) 7)) (-4407 (((-768)) 19)) (-3254 (($) 22)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-4470 (((-922) $) 21)) (-3944 (((-1151) $) 9)) (-1755 (($ (-922)) 20)) (-2580 (((-1115) $) 10)) (-3804 (((-637 $)) 23)) (-3942 (((-855) $) 11)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17))) 
+(((-841) (-1289)) (T -841)) 
+NIL 
+(-13 (-847) (-373)) 
+(((-105) . T) ((-611 (-855)) . T) ((-373) . T) ((-847) . T) ((-1097) . T)) 
+((-2157 (((-121) (-1258 |#2|) (-1258 |#2|)) 17)) (-2665 (((-121) (-1258 |#2|) (-1258 |#2|)) 18)) (-3913 (((-121) (-1258 |#2|) (-1258 |#2|)) 14))) 
+(((-842 |#1| |#2|) (-10 -7 (-15 -3913 ((-121) (-1258 |#2|) (-1258 |#2|))) (-15 -2157 ((-121) (-1258 |#2|) (-1258 |#2|))) (-15 -2665 ((-121) (-1258 |#2|) (-1258 |#2|)))) (-768) (-792)) (T -842)) 
+((-2665 (*1 *2 *3 *3) (-12 (-5 *3 (-1258 *5)) (-4 *5 (-792)) (-5 *2 (-121)) (-5 *1 (-842 *4 *5)) (-14 *4 (-768)))) (-2157 (*1 *2 *3 *3) (-12 (-5 *3 (-1258 *5)) (-4 *5 (-792)) (-5 *2 (-121)) (-5 *1 (-842 *4 *5)) (-14 *4 (-768)))) (-3913 (*1 *2 *3 *3) (-12 (-5 *3 (-1258 *5)) (-4 *5 (-792)) (-5 *2 (-121)) (-5 *1 (-842 *4 *5)) (-14 *4 (-768))))) 
+(-10 -7 (-15 -3913 ((-121) (-1258 |#2|) (-1258 |#2|))) (-15 -2157 ((-121) (-1258 |#2|) (-1258 |#2|))) (-15 -2665 ((-121) (-1258 |#2|) (-1258 |#2|)))) 
+((-2234 (((-121) $ $) 7)) (-2269 (($) 23 T CONST)) (-3978 (((-3 $ "failed") $) 27)) (-2583 (((-121) $) 24)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-4142 (($ $ (-768)) 26) (($ $ (-922)) 21)) (-3222 (($) 22 T CONST)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17)) (** (($ $ (-768)) 25) (($ $ (-922)) 20)) (* (($ $ $) 19))) 
+(((-843) (-1289)) (T -843)) 
+NIL 
+(-13 (-847) (-721)) 
+(((-105) . T) ((-611 (-855)) . T) ((-721) . T) ((-847) . T) ((-1109) . T) ((-1097) . T)) 
+((-3203 (((-571) $) 17)) (-2093 (((-121) $) 10)) (-4086 (((-121) $) 11)) (-1902 (($ $) 19))) 
+(((-844 |#1|) (-10 -8 (-15 -1902 (|#1| |#1|)) (-15 -3203 ((-571) |#1|)) (-15 -4086 ((-121) |#1|)) (-15 -2093 ((-121) |#1|))) (-845)) (T -844)) 
+NIL 
+(-10 -8 (-15 -1902 (|#1| |#1|)) (-15 -3203 ((-571) |#1|)) (-15 -4086 ((-121) |#1|)) (-15 -2093 ((-121) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 23)) (-4176 (((-3 $ "failed") $ $) 25)) (-3203 (((-571) $) 32)) (-2269 (($) 22 T CONST)) (-3978 (((-3 $ "failed") $) 38)) (-2093 (((-121) $) 34)) (-2583 (((-121) $) 41)) (-4086 (((-121) $) 33)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 44)) (-2661 (((-768)) 43)) (-1902 (($ $) 31)) (-4142 (($ $ (-768)) 39) (($ $ (-922)) 35)) (-2369 (($) 21 T CONST)) (-3222 (($) 42 T CONST)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17)) (-1373 (($ $ $) 27) (($ $) 26)) (-1367 (($ $ $) 19)) (** (($ $ (-768)) 40) (($ $ (-922)) 36)) (* (($ (-768) $) 24) (($ (-922) $) 20) (($ (-571) $) 28) (($ $ $) 37))) 
+(((-845) (-1289)) (T -845)) 
+((-2093 (*1 *2 *1) (-12 (-4 *1 (-845)) (-5 *2 (-121)))) (-4086 (*1 *2 *1) (-12 (-4 *1 (-845)) (-5 *2 (-121)))) (-3203 (*1 *2 *1) (-12 (-4 *1 (-845)) (-5 *2 (-571)))) (-1902 (*1 *1 *1) (-4 *1 (-845)))) 
+(-13 (-791) (-1053) (-721) (-10 -8 (-15 -2093 ((-121) $)) (-15 -4086 ((-121) $)) (-15 -3203 ((-571) $)) (-15 -1902 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 $) . T) ((-721) . T) ((-791) . T) ((-792) . T) ((-794) . T) ((-795) . T) ((-847) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-1763 (($ $ $) 10)) (-2383 (($ $ $) 9)) (-1350 (((-121) $ $) 12)) (-1338 (((-121) $ $) 11)) (-1342 (((-121) $ $) 13))) 
+(((-846 |#1|) (-10 -8 (-15 -1763 (|#1| |#1| |#1|)) (-15 -2383 (|#1| |#1| |#1|)) (-15 -1342 ((-121) |#1| |#1|)) (-15 -1350 ((-121) |#1| |#1|)) (-15 -1338 ((-121) |#1| |#1|))) (-847)) (T -846)) 
+NIL 
+(-10 -8 (-15 -1763 (|#1| |#1| |#1|)) (-15 -2383 (|#1| |#1| |#1|)) (-15 -1342 ((-121) |#1| |#1|)) (-15 -1350 ((-121) |#1| |#1|)) (-15 -1338 ((-121) |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-1763 (($ $ $) 12)) (-2383 (($ $ $) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1350 (((-121) $ $) 15)) (-1338 (((-121) $ $) 16)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 14)) (-1331 (((-121) $ $) 17))) 
+(((-847) (-1289)) (T -847)) 
+((-1331 (*1 *2 *1 *1) (-12 (-4 *1 (-847)) (-5 *2 (-121)))) (-1338 (*1 *2 *1 *1) (-12 (-4 *1 (-847)) (-5 *2 (-121)))) (-1350 (*1 *2 *1 *1) (-12 (-4 *1 (-847)) (-5 *2 (-121)))) (-1342 (*1 *2 *1 *1) (-12 (-4 *1 (-847)) (-5 *2 (-121)))) (-2383 (*1 *1 *1 *1) (-4 *1 (-847))) (-1763 (*1 *1 *1 *1) (-4 *1 (-847)))) 
+(-13 (-1097) (-10 -8 (-15 -1331 ((-121) $ $)) (-15 -1338 ((-121) $ $)) (-15 -1350 ((-121) $ $)) (-15 -1342 ((-121) $ $)) (-15 -2383 ($ $ $)) (-15 -1763 ($ $ $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-4003 (($ $ $) 45)) (-4443 (($ $ $) 44)) (-3830 (($ $ $) 42)) (-3341 (($ $ $) 51)) (-3067 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 46)) (-4103 (((-3 $ "failed") $ $) 49)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-3630 (($ $) 35)) (-1315 (($ $ $) 39)) (-4229 (($ $ $) 38)) (-2604 (($ $ $) 47)) (-3004 (($ $ $) 53)) (-3038 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 41)) (-2771 (((-3 $ "failed") $ $) 48)) (-1786 (((-3 $ "failed") $ |#2|) 28)) (-4189 ((|#2| $) 32)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ (-412 (-571))) NIL) (($ |#2|) 12)) (-1314 (((-637 |#2|) $) 18)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 22))) 
+(((-848 |#1| |#2|) (-10 -8 (-15 -2604 (|#1| |#1| |#1|)) (-15 -3067 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2280 |#1|)) |#1| |#1|)) (-15 -3341 (|#1| |#1| |#1|)) (-15 -4103 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4003 (|#1| |#1| |#1|)) (-15 -4443 (|#1| |#1| |#1|)) (-15 -3830 (|#1| |#1| |#1|)) (-15 -3038 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2280 |#1|)) |#1| |#1|)) (-15 -3004 (|#1| |#1| |#1|)) (-15 -2771 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1315 (|#1| |#1| |#1|)) (-15 -4229 (|#1| |#1| |#1|)) (-15 -3630 (|#1| |#1|)) (-15 -4189 (|#2| |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#2|)) (-15 -1314 ((-637 |#2|) |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|)) (-15 -3942 ((-855) |#1|))) (-849 |#2|) (-1053)) (T -848)) 
+NIL 
+(-10 -8 (-15 -2604 (|#1| |#1| |#1|)) (-15 -3067 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2280 |#1|)) |#1| |#1|)) (-15 -3341 (|#1| |#1| |#1|)) (-15 -4103 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4003 (|#1| |#1| |#1|)) (-15 -4443 (|#1| |#1| |#1|)) (-15 -3830 (|#1| |#1| |#1|)) (-15 -3038 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -2280 |#1|)) |#1| |#1|)) (-15 -3004 (|#1| |#1| |#1|)) (-15 -2771 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1315 (|#1| |#1| |#1|)) (-15 -4229 (|#1| |#1| |#1|)) (-15 -3630 (|#1| |#1|)) (-15 -4189 (|#2| |#1|)) (-15 -1786 ((-3 |#1| "failed") |#1| |#2|)) (-15 -1314 ((-637 |#2|) |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|)) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-4003 (($ $ $) 44 (|has| |#1| (-367)))) (-4443 (($ $ $) 45 (|has| |#1| (-367)))) (-3830 (($ $ $) 47 (|has| |#1| (-367)))) (-3341 (($ $ $) 42 (|has| |#1| (-367)))) (-3067 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 41 (|has| |#1| (-367)))) (-4103 (((-3 $ "failed") $ $) 43 (|has| |#1| (-367)))) (-3638 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 46 (|has| |#1| (-367)))) (-3337 (((-3 (-571) "failed") $) 73 (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) 71 (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 68)) (-1316 (((-571) $) 74 (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) 72 (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) 67)) (-4349 (($ $) 63)) (-3978 (((-3 $ "failed") $) 33)) (-3630 (($ $) 54 (|has| |#1| (-456)))) (-2583 (((-121) $) 30)) (-4289 (($ |#1| (-768)) 61)) (-3480 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 56 (|has| |#1| (-561)))) (-3811 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 57 (|has| |#1| (-561)))) (-3973 (((-768) $) 65)) (-1315 (($ $ $) 51 (|has| |#1| (-367)))) (-4229 (($ $ $) 52 (|has| |#1| (-367)))) (-2604 (($ $ $) 40 (|has| |#1| (-367)))) (-3004 (($ $ $) 49 (|has| |#1| (-367)))) (-3038 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 48 (|has| |#1| (-367)))) (-2771 (((-3 $ "failed") $ $) 50 (|has| |#1| (-367)))) (-3335 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 53 (|has| |#1| (-367)))) (-4337 ((|#1| $) 64)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1786 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-561)))) (-2400 (((-768) $) 66)) (-4189 ((|#1| $) 55 (|has| |#1| (-456)))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ (-412 (-571))) 70 (|has| |#1| (-1043 (-412 (-571))))) (($ |#1|) 69)) (-1314 (((-637 |#1|) $) 60)) (-3136 ((|#1| $ (-768)) 62)) (-2661 (((-768)) 28)) (-4288 ((|#1| $ |#1| |#1|) 59)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
+(((-849 |#1|) (-1289) (-1053)) (T -849)) 
+((-2400 (*1 *2 *1) (-12 (-4 *1 (-849 *3)) (-4 *3 (-1053)) (-5 *2 (-768)))) (-3973 (*1 *2 *1) (-12 (-4 *1 (-849 *3)) (-4 *3 (-1053)) (-5 *2 (-768)))) (-4337 (*1 *2 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)))) (-4349 (*1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)))) (-3136 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-849 *2)) (-4 *2 (-1053)))) (-4289 (*1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-849 *2)) (-4 *2 (-1053)))) (-1314 (*1 *2 *1) (-12 (-4 *1 (-849 *3)) (-4 *3 (-1053)) (-5 *2 (-637 *3)))) (-4288 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)))) (-1786 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-561)))) (-3811 (*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-849 *3)))) (-3480 (*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-849 *3)))) (-4189 (*1 *2 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-456)))) (-3630 (*1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-456)))) (-3335 (*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-849 *3)))) (-4229 (*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-1315 (*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-2771 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-3004 (*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-3038 (*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2280 *1))) (-4 *1 (-849 *3)))) (-3830 (*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-3638 (*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-849 *3)))) (-4443 (*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-4003 (*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-4103 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-3341 (*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-3067 (*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2280 *1))) (-4 *1 (-849 *3)))) (-2604 (*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(-13 (-1053) (-120 |t#1| |t#1|) (-416 |t#1|) (-10 -8 (-15 -2400 ((-768) $)) (-15 -3973 ((-768) $)) (-15 -4337 (|t#1| $)) (-15 -4349 ($ $)) (-15 -3136 (|t#1| $ (-768))) (-15 -4289 ($ |t#1| (-768))) (-15 -1314 ((-637 |t#1|) $)) (-15 -4288 (|t#1| $ |t#1| |t#1|)) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-561)) (PROGN (-15 -1786 ((-3 $ "failed") $ |t#1|)) (-15 -3811 ((-2 (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -3480 ((-2 (|:| -2924 $) (|:| -3363 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-456)) (PROGN (-15 -4189 (|t#1| $)) (-15 -3630 ($ $))) |noBranch|) (IF (|has| |t#1| (-367)) (PROGN (-15 -3335 ((-2 (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -4229 ($ $ $)) (-15 -1315 ($ $ $)) (-15 -2771 ((-3 $ "failed") $ $)) (-15 -3004 ($ $ $)) (-15 -3038 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $)) (-15 -3830 ($ $ $)) (-15 -3638 ((-2 (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -4443 ($ $ $)) (-15 -4003 ($ $ $)) (-15 -4103 ((-3 $ "failed") $ $)) (-15 -3341 ($ $ $)) (-15 -3067 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $)) (-15 -2604 ($ $ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-416 |#1|) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-712 |#1|) |has| |#1| (-173)) ((-721) . T) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T) ((-1059 |#1|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-3431 ((|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|)) 20)) (-3638 (((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|)) 43 (|has| |#1| (-367)))) (-3480 (((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|)) 40 (|has| |#1| (-561)))) (-3811 (((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|)) 39 (|has| |#1| (-561)))) (-3335 (((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|)) 42 (|has| |#1| (-367)))) (-4288 ((|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|)) 31))) 
+(((-850 |#1| |#2|) (-10 -7 (-15 -3431 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -4288 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-561)) (PROGN (-15 -3811 ((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3480 ((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-367)) (PROGN (-15 -3335 ((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3638 ((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) (-1053) (-849 |#1|)) (T -850)) 
+((-3638 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-367)) (-4 *5 (-1053)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-850 *5 *3)) (-4 *3 (-849 *5)))) (-3335 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-367)) (-4 *5 (-1053)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-850 *5 *3)) (-4 *3 (-849 *5)))) (-3480 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-561)) (-4 *5 (-1053)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-850 *5 *3)) (-4 *3 (-849 *5)))) (-3811 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-561)) (-4 *5 (-1053)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-850 *5 *3)) (-4 *3 (-849 *5)))) (-4288 (*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1053)) (-5 *1 (-850 *2 *3)) (-4 *3 (-849 *2)))) (-3431 (*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1053)) (-5 *1 (-850 *5 *2)) (-4 *2 (-849 *5))))) 
+(-10 -7 (-15 -3431 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -4288 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-561)) (PROGN (-15 -3811 ((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3480 ((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-367)) (PROGN (-15 -3335 ((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3638 ((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4003 (($ $ $) NIL (|has| |#1| (-367)))) (-4443 (($ $ $) NIL (|has| |#1| (-367)))) (-3830 (($ $ $) NIL (|has| |#1| (-367)))) (-3341 (($ $ $) NIL (|has| |#1| (-367)))) (-3067 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-4103 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-3638 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 25 (|has| |#1| (-367)))) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) NIL)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#1| (-456)))) (-1888 (((-855) $ (-855)) NIL)) (-2583 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) NIL)) (-3480 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 21 (|has| |#1| (-561)))) (-3811 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 19 (|has| |#1| (-561)))) (-3973 (((-768) $) NIL)) (-1315 (($ $ $) NIL (|has| |#1| (-367)))) (-4229 (($ $ $) NIL (|has| |#1| (-367)))) (-2604 (($ $ $) NIL (|has| |#1| (-367)))) (-3004 (($ $ $) NIL (|has| |#1| (-367)))) (-3038 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-2771 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-3335 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 23 (|has| |#1| (-367)))) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561)))) (-2400 (((-768) $) NIL)) (-4189 ((|#1| $) NIL (|has| |#1| (-456)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ (-412 (-571))) NIL (|has| |#1| (-1043 (-412 (-571))))) (($ |#1|) NIL)) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) NIL)) (-2661 (((-768)) NIL)) (-4288 ((|#1| $ |#1| |#1|) 15)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 13) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-851 |#1| |#2| |#3|) (-13 (-849 |#1|) (-10 -8 (-15 -1888 ((-855) $ (-855))))) (-1053) (-101 |#1|) (-1 |#1| |#1|)) (T -851)) 
+((-1888 (*1 *2 *1 *2) (-12 (-5 *2 (-855)) (-5 *1 (-851 *3 *4 *5)) (-4 *3 (-1053)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3))))) 
+(-13 (-849 |#1|) (-10 -8 (-15 -1888 ((-855) $ (-855))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-4003 (($ $ $) NIL (|has| |#2| (-367)))) (-4443 (($ $ $) NIL (|has| |#2| (-367)))) (-3830 (($ $ $) NIL (|has| |#2| (-367)))) (-3341 (($ $ $) NIL (|has| |#2| (-367)))) (-3067 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#2| (-367)))) (-4103 (((-3 $ "failed") $ $) NIL (|has| |#2| (-367)))) (-3638 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#2| (-367)))) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#2| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-3 |#2| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#2| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#2| (-1043 (-412 (-571))))) ((|#2| $) NIL)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#2| (-456)))) (-2583 (((-121) $) NIL)) (-4289 (($ |#2| (-768)) 16)) (-3480 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#2| (-561)))) (-3811 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#2| (-561)))) (-3973 (((-768) $) NIL)) (-1315 (($ $ $) NIL (|has| |#2| (-367)))) (-4229 (($ $ $) NIL (|has| |#2| (-367)))) (-2604 (($ $ $) NIL (|has| |#2| (-367)))) (-3004 (($ $ $) NIL (|has| |#2| (-367)))) (-3038 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#2| (-367)))) (-2771 (((-3 $ "failed") $ $) NIL (|has| |#2| (-367)))) (-3335 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#2| (-367)))) (-4337 ((|#2| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1786 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-561)))) (-2400 (((-768) $) NIL)) (-4189 ((|#2| $) NIL (|has| |#2| (-456)))) (-3942 (((-855) $) 23) (($ (-571)) NIL) (($ (-412 (-571))) NIL (|has| |#2| (-1043 (-412 (-571))))) (($ |#2|) NIL) (($ (-1254 |#1|)) 18)) (-1314 (((-637 |#2|) $) NIL)) (-3136 ((|#2| $ (-768)) NIL)) (-2661 (((-768)) NIL)) (-4288 ((|#2| $ |#2| |#2|) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) 13 T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-852 |#1| |#2| |#3| |#4|) (-13 (-849 |#2|) (-10 -8 (-15 -3942 ($ (-1254 |#1|))))) (-1169) (-1053) (-101 |#2|) (-1 |#2| |#2|)) (T -852)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *3)) (-14 *3 (-1169)) (-5 *1 (-852 *3 *4 *5 *6)) (-4 *4 (-1053)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4))))) 
+(-13 (-849 |#2|) (-10 -8 (-15 -3942 ($ (-1254 |#1|))))) 
+((-3631 ((|#1| (-768) |#1|) 35 (|has| |#1| (-43 (-412 (-571)))))) (-1319 ((|#1| (-768) (-768) |#1|) 27) ((|#1| (-768) |#1|) 20)) (-3351 ((|#1| (-768) |#1|) 31)) (-4410 ((|#1| (-768) |#1|) 29)) (-2987 ((|#1| (-768) |#1|) 28))) 
+(((-853 |#1|) (-10 -7 (-15 -2987 (|#1| (-768) |#1|)) (-15 -4410 (|#1| (-768) |#1|)) (-15 -3351 (|#1| (-768) |#1|)) (-15 -1319 (|#1| (-768) |#1|)) (-15 -1319 (|#1| (-768) (-768) |#1|)) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3631 (|#1| (-768) |#1|)) |noBranch|)) (-173)) (T -853)) 
+((-3631 (*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-173)))) (-1319 (*1 *2 *3 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-173)))) (-1319 (*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-173)))) (-3351 (*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-173)))) (-4410 (*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-173)))) (-2987 (*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-173))))) 
+(-10 -7 (-15 -2987 (|#1| (-768) |#1|)) (-15 -4410 (|#1| (-768) |#1|)) (-15 -3351 (|#1| (-768) |#1|)) (-15 -1319 (|#1| (-768) |#1|)) (-15 -1319 (|#1| (-768) (-768) |#1|)) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3631 (|#1| (-768) |#1|)) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-2139 (((-571) $) 12)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 18) (($ (-571)) 11)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 8)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 9))) 
+(((-854) (-13 (-847) (-10 -8 (-15 -3942 ($ (-571))) (-15 -2139 ((-571) $))))) (T -854)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-854)))) (-2139 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-854))))) 
+(-13 (-847) (-10 -8 (-15 -3942 ($ (-571))) (-15 -2139 ((-571) $)))) 
+((-2234 (((-121) $ $) NIL)) (-4079 (($ $ $) 115)) (-3571 (((-571) $) 30) (((-571)) 35)) (-3283 (($ (-571)) 44)) (-2993 (($ $ $) 45) (($ (-637 $)) 76)) (-2399 (($ $ (-637 $)) 74)) (-3927 (((-571) $) 33)) (-3555 (($ $ $) 63)) (-4335 (($ $) 128) (($ $ $) 129) (($ $ $ $) 130)) (-2465 (((-571) $) 32)) (-2382 (($ $ $) 62)) (-4004 (($ $) 105)) (-2418 (($ $ $) 119)) (-3036 (($ (-637 $)) 52)) (-3164 (($ $ (-637 $)) 69)) (-1419 (($ (-571) (-571)) 46)) (-2502 (($ $) 116) (($ $ $) 117)) (-1852 (($ $ (-571)) 40) (($ $) 43)) (-2162 (($ $ $) 89)) (-1611 (($ $ $) 122)) (-4509 (($ $) 106)) (-2180 (($ $ $) 90)) (-3175 (($ $) 131) (($ $ $) 132) (($ $ $ $) 133)) (-1811 (((-1263) $) 8)) (-2643 (($ $) 109) (($ $ (-768)) 112)) (-2770 (($ $ $) 65)) (-3350 (($ $ $) 64)) (-3885 (($ $ (-637 $)) 100)) (-3961 (($ $ $) 104)) (-4045 (($ (-637 $)) 50)) (-2122 (($ $) 60) (($ (-637 $)) 61)) (-3224 (($ $ $) 113)) (-2518 (($ $) 107)) (-3764 (($ $ $) 118)) (-1888 (($ (-571)) 20) (($ (-1169)) 22) (($ (-1151)) 29) (($ (-216)) 24)) (-2459 (($ $ $) 93)) (-2931 (($ $) 94)) (-2709 (((-1263) (-1151)) 14)) (-2565 (($ (-1151)) 13)) (-3567 (($ (-637 (-637 $))) 48)) (-1856 (($ $ (-571)) 39) (($ $) 42)) (-3944 (((-1151) $) NIL)) (-1445 (($ $ $) 121)) (-3751 (($ $) 134) (($ $ $) 135) (($ $ $ $) 136)) (-3240 (((-121) $) 98)) (-1960 (($ $ (-637 $)) 102) (($ $ $ $) 103)) (-1493 (($ (-571)) 36)) (-1454 (((-571) $) 31) (((-571)) 34)) (-2840 (($ $ $) 37) (($ (-637 $)) 75)) (-2580 (((-1115) $) NIL)) (-1786 (($ $ $) 91)) (-1630 (($) 12)) (-3245 (($ $ (-637 $)) 99)) (-2503 (($ $) 108) (($ $ (-768)) 111)) (-1790 (($ $ $) 88)) (-3096 (($ $ (-768)) 127)) (-3558 (($ (-637 $)) 51)) (-3942 (((-855) $) 18)) (-1681 (($ $ (-571)) 38) (($ $) 41)) (-3774 (($ $) 58) (($ (-637 $)) 59)) (-4303 (($ $) 56) (($ (-637 $)) 57)) (-4449 (($ $) 114)) (-2028 (($ (-637 $)) 55)) (-1358 (($ $ $) 97)) (-1402 (($ $ $) 120)) (-3997 (($ $ $) 92)) (-1802 (($ $ $) 77)) (-2760 (($ $ $) 95) (($ $) 96)) (-1350 (($ $ $) 81)) (-1338 (($ $ $) 79)) (-1323 (((-121) $ $) 15) (($ $ $) 16)) (-1342 (($ $ $) 80)) (-1331 (($ $ $) 78)) (-1379 (($ $ $) 86)) (-1373 (($ $ $) 83) (($ $) 84)) (-1367 (($ $ $) 82)) (** (($ $ $) 87)) (* (($ $ $) 85))) 
+(((-855) (-13 (-1097) (-10 -8 (-15 -1811 ((-1263) $)) (-15 -2565 ($ (-1151))) (-15 -2709 ((-1263) (-1151))) (-15 -1888 ($ (-571))) (-15 -1888 ($ (-1169))) (-15 -1888 ($ (-1151))) (-15 -1888 ($ (-216))) (-15 -1630 ($)) (-15 -3571 ((-571) $)) (-15 -1454 ((-571) $)) (-15 -3571 ((-571))) (-15 -1454 ((-571))) (-15 -2465 ((-571) $)) (-15 -3927 ((-571) $)) (-15 -1493 ($ (-571))) (-15 -3283 ($ (-571))) (-15 -1419 ($ (-571) (-571))) (-15 -1856 ($ $ (-571))) (-15 -1852 ($ $ (-571))) (-15 -1681 ($ $ (-571))) (-15 -1856 ($ $)) (-15 -1852 ($ $)) (-15 -1681 ($ $)) (-15 -2840 ($ $ $)) (-15 -2993 ($ $ $)) (-15 -2840 ($ (-637 $))) (-15 -2993 ($ (-637 $))) (-15 -3885 ($ $ (-637 $))) (-15 -1960 ($ $ (-637 $))) (-15 -1960 ($ $ $ $)) (-15 -3961 ($ $ $)) (-15 -3240 ((-121) $)) (-15 -3245 ($ $ (-637 $))) (-15 -4004 ($ $)) (-15 -1445 ($ $ $)) (-15 -4449 ($ $)) (-15 -3567 ($ (-637 (-637 $)))) (-15 -4079 ($ $ $)) (-15 -2502 ($ $)) (-15 -2502 ($ $ $)) (-15 -3764 ($ $ $)) (-15 -2418 ($ $ $)) (-15 -1402 ($ $ $)) (-15 -1611 ($ $ $)) (-15 -3096 ($ $ (-768))) (-15 -1358 ($ $ $)) (-15 -2382 ($ $ $)) (-15 -3555 ($ $ $)) (-15 -3350 ($ $ $)) (-15 -2770 ($ $ $)) (-15 -3164 ($ $ (-637 $))) (-15 -2399 ($ $ (-637 $))) (-15 -4509 ($ $)) (-15 -2503 ($ $)) (-15 -2503 ($ $ (-768))) (-15 -2643 ($ $)) (-15 -2643 ($ $ (-768))) (-15 -2518 ($ $)) (-15 -3224 ($ $ $)) (-15 -4335 ($ $)) (-15 -4335 ($ $ $)) (-15 -4335 ($ $ $ $)) (-15 -3175 ($ $)) (-15 -3175 ($ $ $)) (-15 -3175 ($ $ $ $)) (-15 -3751 ($ $)) (-15 -3751 ($ $ $)) (-15 -3751 ($ $ $ $)) (-15 -4303 ($ $)) (-15 -4303 ($ (-637 $))) (-15 -3774 ($ $)) (-15 -3774 ($ (-637 $))) (-15 -2122 ($ $)) (-15 -2122 ($ (-637 $))) (-15 -4045 ($ (-637 $))) (-15 -3558 ($ (-637 $))) (-15 -3036 ($ (-637 $))) (-15 -2028 ($ (-637 $))) (-15 -1323 ($ $ $)) (-15 -1802 ($ $ $)) (-15 -1331 ($ $ $)) (-15 -1338 ($ $ $)) (-15 -1342 ($ $ $)) (-15 -1350 ($ $ $)) (-15 -1367 ($ $ $)) (-15 -1373 ($ $ $)) (-15 -1373 ($ $)) (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -1790 ($ $ $)) (-15 -2162 ($ $ $)) (-15 -2180 ($ $ $)) (-15 -1786 ($ $ $)) (-15 -3997 ($ $ $)) (-15 -2459 ($ $ $)) (-15 -2931 ($ $)) (-15 -2760 ($ $ $)) (-15 -2760 ($ $))))) (T -855)) 
+((-1811 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-855)))) (-2565 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-855)))) (-2709 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-855)))) (-1888 (*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-1888 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-855)))) (-1888 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-855)))) (-1888 (*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-855)))) (-1630 (*1 *1) (-5 *1 (-855))) (-3571 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-1454 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-3571 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-1454 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-2465 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-3927 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-1493 (*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-3283 (*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-1419 (*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-1856 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-1852 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-1681 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) (-1856 (*1 *1 *1) (-5 *1 (-855))) (-1852 (*1 *1 *1) (-5 *1 (-855))) (-1681 (*1 *1 *1) (-5 *1 (-855))) (-2840 (*1 *1 *1 *1) (-5 *1 (-855))) (-2993 (*1 *1 *1 *1) (-5 *1 (-855))) (-2840 (*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-2993 (*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-3885 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-1960 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-1960 (*1 *1 *1 *1 *1) (-5 *1 (-855))) (-3961 (*1 *1 *1 *1) (-5 *1 (-855))) (-3240 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-855)))) (-3245 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-4004 (*1 *1 *1) (-5 *1 (-855))) (-1445 (*1 *1 *1 *1) (-5 *1 (-855))) (-4449 (*1 *1 *1) (-5 *1 (-855))) (-3567 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 (-855)))) (-5 *1 (-855)))) (-4079 (*1 *1 *1 *1) (-5 *1 (-855))) (-2502 (*1 *1 *1) (-5 *1 (-855))) (-2502 (*1 *1 *1 *1) (-5 *1 (-855))) (-3764 (*1 *1 *1 *1) (-5 *1 (-855))) (-2418 (*1 *1 *1 *1) (-5 *1 (-855))) (-1402 (*1 *1 *1 *1) (-5 *1 (-855))) (-1611 (*1 *1 *1 *1) (-5 *1 (-855))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-855)))) (-1358 (*1 *1 *1 *1) (-5 *1 (-855))) (-2382 (*1 *1 *1 *1) (-5 *1 (-855))) (-3555 (*1 *1 *1 *1) (-5 *1 (-855))) (-3350 (*1 *1 *1 *1) (-5 *1 (-855))) (-2770 (*1 *1 *1 *1) (-5 *1 (-855))) (-3164 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-2399 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-4509 (*1 *1 *1) (-5 *1 (-855))) (-2503 (*1 *1 *1) (-5 *1 (-855))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-855)))) (-2643 (*1 *1 *1) (-5 *1 (-855))) (-2643 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-855)))) (-2518 (*1 *1 *1) (-5 *1 (-855))) (-3224 (*1 *1 *1 *1) (-5 *1 (-855))) (-4335 (*1 *1 *1) (-5 *1 (-855))) (-4335 (*1 *1 *1 *1) (-5 *1 (-855))) (-4335 (*1 *1 *1 *1 *1) (-5 *1 (-855))) (-3175 (*1 *1 *1) (-5 *1 (-855))) (-3175 (*1 *1 *1 *1) (-5 *1 (-855))) (-3175 (*1 *1 *1 *1 *1) (-5 *1 (-855))) (-3751 (*1 *1 *1) (-5 *1 (-855))) (-3751 (*1 *1 *1 *1) (-5 *1 (-855))) (-3751 (*1 *1 *1 *1 *1) (-5 *1 (-855))) (-4303 (*1 *1 *1) (-5 *1 (-855))) (-4303 (*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-3774 (*1 *1 *1) (-5 *1 (-855))) (-3774 (*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-2122 (*1 *1 *1) (-5 *1 (-855))) (-2122 (*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-4045 (*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-3558 (*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-3036 (*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-2028 (*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) (-1323 (*1 *1 *1 *1) (-5 *1 (-855))) (-1802 (*1 *1 *1 *1) (-5 *1 (-855))) (-1331 (*1 *1 *1 *1) (-5 *1 (-855))) (-1338 (*1 *1 *1 *1) (-5 *1 (-855))) (-1342 (*1 *1 *1 *1) (-5 *1 (-855))) (-1350 (*1 *1 *1 *1) (-5 *1 (-855))) (-1367 (*1 *1 *1 *1) (-5 *1 (-855))) (-1373 (*1 *1 *1 *1) (-5 *1 (-855))) (-1373 (*1 *1 *1) (-5 *1 (-855))) (* (*1 *1 *1 *1) (-5 *1 (-855))) (-1379 (*1 *1 *1 *1) (-5 *1 (-855))) (** (*1 *1 *1 *1) (-5 *1 (-855))) (-1790 (*1 *1 *1 *1) (-5 *1 (-855))) (-2162 (*1 *1 *1 *1) (-5 *1 (-855))) (-2180 (*1 *1 *1 *1) (-5 *1 (-855))) (-1786 (*1 *1 *1 *1) (-5 *1 (-855))) (-3997 (*1 *1 *1 *1) (-5 *1 (-855))) (-2459 (*1 *1 *1 *1) (-5 *1 (-855))) (-2931 (*1 *1 *1) (-5 *1 (-855))) (-2760 (*1 *1 *1 *1) (-5 *1 (-855))) (-2760 (*1 *1 *1) (-5 *1 (-855)))) 
+(-13 (-1097) (-10 -8 (-15 -1811 ((-1263) $)) (-15 -2565 ($ (-1151))) (-15 -2709 ((-1263) (-1151))) (-15 -1888 ($ (-571))) (-15 -1888 ($ (-1169))) (-15 -1888 ($ (-1151))) (-15 -1888 ($ (-216))) (-15 -1630 ($)) (-15 -3571 ((-571) $)) (-15 -1454 ((-571) $)) (-15 -3571 ((-571))) (-15 -1454 ((-571))) (-15 -2465 ((-571) $)) (-15 -3927 ((-571) $)) (-15 -1493 ($ (-571))) (-15 -3283 ($ (-571))) (-15 -1419 ($ (-571) (-571))) (-15 -1856 ($ $ (-571))) (-15 -1852 ($ $ (-571))) (-15 -1681 ($ $ (-571))) (-15 -1856 ($ $)) (-15 -1852 ($ $)) (-15 -1681 ($ $)) (-15 -2840 ($ $ $)) (-15 -2993 ($ $ $)) (-15 -2840 ($ (-637 $))) (-15 -2993 ($ (-637 $))) (-15 -3885 ($ $ (-637 $))) (-15 -1960 ($ $ (-637 $))) (-15 -1960 ($ $ $ $)) (-15 -3961 ($ $ $)) (-15 -3240 ((-121) $)) (-15 -3245 ($ $ (-637 $))) (-15 -4004 ($ $)) (-15 -1445 ($ $ $)) (-15 -4449 ($ $)) (-15 -3567 ($ (-637 (-637 $)))) (-15 -4079 ($ $ $)) (-15 -2502 ($ $)) (-15 -2502 ($ $ $)) (-15 -3764 ($ $ $)) (-15 -2418 ($ $ $)) (-15 -1402 ($ $ $)) (-15 -1611 ($ $ $)) (-15 -3096 ($ $ (-768))) (-15 -1358 ($ $ $)) (-15 -2382 ($ $ $)) (-15 -3555 ($ $ $)) (-15 -3350 ($ $ $)) (-15 -2770 ($ $ $)) (-15 -3164 ($ $ (-637 $))) (-15 -2399 ($ $ (-637 $))) (-15 -4509 ($ $)) (-15 -2503 ($ $)) (-15 -2503 ($ $ (-768))) (-15 -2643 ($ $)) (-15 -2643 ($ $ (-768))) (-15 -2518 ($ $)) (-15 -3224 ($ $ $)) (-15 -4335 ($ $)) (-15 -4335 ($ $ $)) (-15 -4335 ($ $ $ $)) (-15 -3175 ($ $)) (-15 -3175 ($ $ $)) (-15 -3175 ($ $ $ $)) (-15 -3751 ($ $)) (-15 -3751 ($ $ $)) (-15 -3751 ($ $ $ $)) (-15 -4303 ($ $)) (-15 -4303 ($ (-637 $))) (-15 -3774 ($ $)) (-15 -3774 ($ (-637 $))) (-15 -2122 ($ $)) (-15 -2122 ($ (-637 $))) (-15 -4045 ($ (-637 $))) (-15 -3558 ($ (-637 $))) (-15 -3036 ($ (-637 $))) (-15 -2028 ($ (-637 $))) (-15 -1323 ($ $ $)) (-15 -1802 ($ $ $)) (-15 -1331 ($ $ $)) (-15 -1338 ($ $ $)) (-15 -1342 ($ $ $)) (-15 -1350 ($ $ $)) (-15 -1367 ($ $ $)) (-15 -1373 ($ $ $)) (-15 -1373 ($ $)) (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -1790 ($ $ $)) (-15 -2162 ($ $ $)) (-15 -2180 ($ $ $)) (-15 -1786 ($ $ $)) (-15 -3997 ($ $ $)) (-15 -2459 ($ $ $)) (-15 -2931 ($ $)) (-15 -2760 ($ $ $)) (-15 -2760 ($ $)))) 
+((-3872 (((-1263) (-637 (-57))) 24)) (-1847 (((-1263) (-1151) (-855)) 14) (((-1263) (-855)) 9) (((-1263) (-1151)) 11))) 
+(((-856) (-10 -7 (-15 -1847 ((-1263) (-1151))) (-15 -1847 ((-1263) (-855))) (-15 -1847 ((-1263) (-1151) (-855))) (-15 -3872 ((-1263) (-637 (-57)))))) (T -856)) 
+((-3872 (*1 *2 *3) (-12 (-5 *3 (-637 (-57))) (-5 *2 (-1263)) (-5 *1 (-856)))) (-1847 (*1 *2 *3 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-855)) (-5 *2 (-1263)) (-5 *1 (-856)))) (-1847 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1263)) (-5 *1 (-856)))) (-1847 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-856))))) 
+(-10 -7 (-15 -1847 ((-1263) (-1151))) (-15 -1847 ((-1263) (-855))) (-15 -1847 ((-1263) (-1151) (-855))) (-15 -3872 ((-1263) (-637 (-57))))) 
+((-2234 (((-121) $ $) NIL)) (-3312 (((-3 $ "failed") (-1169)) 32)) (-4407 (((-768)) 30)) (-3254 (($) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-4470 (((-922) $) 28)) (-3944 (((-1151) $) 38)) (-1755 (($ (-922)) 27)) (-2580 (((-1115) $) NIL)) (-3804 (((-637 $)) NIL)) (-4050 (((-1169) $) 13) (((-544) $) 19) (((-892 (-384)) $) 25) (((-892 (-571)) $) 22)) (-3942 (((-855) $) 16)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 35)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 34))) 
+(((-857 |#1|) (-13 (-841) (-612 (-1169)) (-612 (-544)) (-612 (-892 (-384))) (-612 (-892 (-571))) (-10 -8 (-15 -3312 ((-3 $ "failed") (-1169))))) (-637 (-1169))) (T -857)) 
+((-3312 (*1 *1 *2) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-857 *3)) (-14 *3 (-637 *2))))) 
+(-13 (-841) (-612 (-1169)) (-612 (-544)) (-612 (-892 (-384))) (-612 (-892 (-571))) (-10 -8 (-15 -3312 ((-3 $ "failed") (-1169))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (((-958 |#1|) $) NIL) (($ (-958 |#1|)) NIL) (($ |#1|) NIL (|has| |#1| (-173)))) (-2661 (((-768)) NIL)) (-3877 (((-1263) (-768)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1379 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-858 |#1| |#2| |#3| |#4|) (-13 (-1053) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3942 ((-958 |#1|) $)) (-15 -3942 ($ (-958 |#1|))) (IF (|has| |#1| (-367)) (-15 -1379 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3877 ((-1263) (-768))))) (-1053) (-637 (-1169)) (-637 (-768)) (-768)) (T -858)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-958 *3)) (-5 *1 (-858 *3 *4 *5 *6)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))) (-14 *5 (-637 (-768))) (-14 *6 (-768)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-958 *3)) (-4 *3 (-1053)) (-5 *1 (-858 *3 *4 *5 *6)) (-14 *4 (-637 (-1169))) (-14 *5 (-637 (-768))) (-14 *6 (-768)))) (-1379 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-858 *2 *3 *4 *5)) (-4 *2 (-367)) (-4 *2 (-1053)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-768))) (-14 *5 (-768)))) (-3877 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-858 *4 *5 *6 *7)) (-4 *4 (-1053)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 *3)) (-14 *7 *3)))) 
+(-13 (-1053) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3942 ((-958 |#1|) $)) (-15 -3942 ($ (-958 |#1|))) (IF (|has| |#1| (-367)) (-15 -1379 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3877 ((-1263) (-768))))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3748 (((-1258 $) $ $) 78)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-3833 (((-121) $) 111)) (-1989 (((-768)) 115)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1295 (((-121) $ $) 57)) (-2247 (((-1263) $) 74)) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 122) (((-3 (-412 (-571)) "failed") $) 119) (((-3 (-412 (-571)) "failed") $) 104) (((-3 (-865) "failed") $) 136) (((-3 (-865) "failed") $) 130)) (-1316 (((-571) $) 121) (((-412 (-571)) $) 118) (((-412 (-571)) $) 105) (((-865) $) 135) (((-865) $) 131)) (-2162 (($ $ $) 53)) (-3074 (($ (-1165 $)) 84)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-2442 (($ $ (-768)) 102 (-1831 (|has| (-865) (-149)) (|has| (-865) (-373)) (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373)))) (($ $) 101 (-1831 (|has| (-865) (-149)) (|has| (-865) (-373)) (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-1596 (((-121) $) 69)) (-4075 (($ $) 79)) (-3347 (((-833 (-922)) $) 99 (-1831 (|has| (-865) (-149)) (|has| (-865) (-373)) (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-2583 (((-121) $) 30)) (-1317 (($ (-1165 $) $ (-1169)) 76) (($ (-1165 $) (-1169)) 75)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-2403 (($ (-637 $)) 81)) (-3069 (((-1165 $) $) 86) (((-1165 $) $ $) 85)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-3527 (((-121) $) 112)) (-2580 (((-1115) $) 10)) (-4321 (((-121) $) 82)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-3941 (((-855) $) 73)) (-4262 (((-423 $) $) 72)) (-1556 (((-833 (-922))) 114)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2168 (((-922) $) 80)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-2787 (((-637 $) (-1165 $) $) 83)) (-1305 (((-3 (-768) "failed") $ $) 100 (-1831 (|has| (-865) (-149)) (|has| (-865) (-373)) (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-3847 (((-140)) 106)) (-2400 (((-833 (-922)) $) 113)) (-3413 (((-1165 $)) 88) (((-1165 $) $) 87)) (-2911 (($ $) 77)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63) (($ (-571)) 123) (($ (-412 (-571))) 120) (($ (-412 (-571))) 103) (($ (-865)) 137) (($ (-865)) 129)) (-2346 (((-3 $ "failed") $) 98 (-1831 (|has| (-865) (-149)) (|has| (-865) (-373)) (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-3049 (((-121) $) 110)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-4526 (($ $ (-768)) 117 (-1831 (|has| (-865) (-373)) (|has| (-412 (-571)) (-373)))) (($ $) 116 (-1831 (|has| (-865) (-373)) (|has| (-412 (-571)) (-373))))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62) (($ $ (-412 (-571))) 107) (($ $ (-865)) 132)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64) (($ (-412 (-571)) $) 109) (($ $ (-412 (-571))) 108) (($ (-865) $) 134) (($ $ (-865)) 133))) 
+(((-859) (-1289)) (T -859)) 
+NIL 
+(-13 (-864) (-1043 (-865)) (-1275 (-865))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 (-865) (-865)) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1831 (|has| (-865) (-373)) (|has| (-865) (-149)) (|has| (-412 (-571)) (-373)) (|has| (-412 (-571)) (-149))) ((-151) . T) ((-611 (-855)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-1275 (-412 (-571))) . T) ((-1275 (-865)) . T) ((-367) . T) ((-407) -1831 (|has| (-865) (-373)) (|has| (-865) (-149)) (|has| (-412 (-571)) (-373)) (|has| (-412 (-571)) (-149))) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 (-865)) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 (-865)) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-863) . T) ((-864) . T) ((-1043 (-412 (-571))) . T) ((-1043 (-571)) . T) ((-1043 (-865)) . T) ((-1059 (-412 (-571))) . T) ((-1059 (-865)) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T) ((-1265 (-412 (-571))) . T) ((-1265 (-865)) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 47)) (-3748 (((-1258 $) $ $) 69)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-2247 (((-1263) $) 78)) (-2269 (($) NIL T CONST)) (-3206 (((-865) $) 17)) (-3337 (((-3 (-571) "failed") $) 75) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 (-865) "failed") $) 72) (((-3 (-865) "failed") $) 72)) (-1316 (((-571) $) NIL) (((-412 (-571)) $) NIL) (((-412 (-571)) $) NIL) (((-865) $) 111) (((-865) $) 111)) (-2162 (($ $ $) NIL)) (-3074 (($ (-1165 $)) 59)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-2442 (($ $ (-768)) NIL (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373)) (|has| (-865) (-149)) (|has| (-865) (-373)))) (($ $) NIL (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373)) (|has| (-865) (-149)) (|has| (-865) (-373))))) (-1596 (((-121) $) NIL)) (-4075 (($ $) 63)) (-3347 (((-833 (-922)) $) NIL (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373)) (|has| (-865) (-149)) (|has| (-865) (-373))))) (-2583 (((-121) $) 117)) (-1317 (($ (-1165 $) $ (-1169)) 41) (($ (-1165 $) (-1169)) 94)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2403 (($ (-637 $)) 61)) (-3069 (((-1165 $) $) 55) (((-1165 $) $ $) 56)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 101)) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) 62)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3941 (((-855) $) 124)) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2168 (((-922) $) 37)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-2787 (((-637 $) (-1165 $) $) 96)) (-1305 (((-3 (-768) "failed") $ $) NIL (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373)) (|has| (-865) (-149)) (|has| (-865) (-373))))) (-3847 (((-140)) NIL)) (-2400 (((-833 (-922)) $) NIL)) (-3413 (((-1165 $)) 79) (((-1165 $) $) 64)) (-2911 (($ $) NIL)) (-3942 (((-855) $) 123) (($ (-571)) 44) (($ $) NIL) (($ (-412 (-571))) NIL) (($ (-571)) 44) (($ (-412 (-571))) NIL) (($ (-412 (-571))) NIL) (($ (-865)) 118) (($ (-865)) 118)) (-2346 (((-3 $ "failed") $) NIL (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373)) (|has| (-865) (-149)) (|has| (-865) (-373))))) (-2661 (((-768)) 126)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 48 T CONST)) (-3222 (($) 38 T CONST)) (-4526 (($ $ (-768)) NIL (-1831 (|has| (-412 (-571)) (-373)) (|has| (-865) (-373)))) (($ $) NIL (-1831 (|has| (-412 (-571)) (-373)) (|has| (-865) (-373))))) (-1323 (((-121) $ $) 114)) (-1379 (($ $ $) 102) (($ $ (-412 (-571))) NIL) (($ $ (-865)) NIL)) (-1373 (($ $) 35) (($ $ $) 105)) (-1367 (($ $ $) 81)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 53) (($ $ $) 31) (($ $ (-412 (-571))) 109) (($ (-412 (-571)) $) NIL) (($ (-412 (-571)) $) NIL) (($ $ (-412 (-571))) 109) (($ (-865) $) 103) (($ $ (-865)) 104))) 
+(((-860 |#1|) (-13 (-859) (-10 -8 (-15 -3941 ((-855) $)) (-15 -3206 ((-865) $)))) (-865)) (T -860)) 
+((-3941 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-860 *3)) (-14 *3 (-865)))) (-3206 (*1 *2 *1) (-12 (-5 *2 (-865)) (-5 *1 (-860 *3)) (-14 *3 *2)))) 
+(-13 (-859) (-10 -8 (-15 -3941 ((-855) $)) (-15 -3206 ((-865) $)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3748 (((-1258 $) $ $) 114)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-1747 (((-1177 (-922) (-768)) (-571)) 88)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1295 (((-121) $ $) 57)) (-4407 (((-768)) 98)) (-2247 (((-1263) $) 118)) (-2269 (($) 16 T CONST)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-2162 (($ $ $) 53)) (-3074 (($ (-1165 $)) 108)) (-3978 (((-3 $ "failed") $) 33)) (-3254 (($) 101)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1962 (($) 86)) (-2854 (((-121) $) 85)) (-2442 (($ $) 75) (($ $ (-768)) 74)) (-1596 (((-121) $) 69)) (-4075 (($ $) 113)) (-3347 (((-833 (-922)) $) 77) (((-922) $) 83)) (-2583 (((-121) $) 30)) (-2596 (((-3 $ "failed") $) 97)) (-1317 (($ (-1165 $) (-1169)) 117) (($ (-1165 $) $ (-1169)) 116)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-2403 (($ (-637 $)) 111)) (-4470 (((-922) $) 100)) (-3069 (((-1165 $) $ $) 107) (((-1165 $) $) 106)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-1757 (($) 96 T CONST)) (-1755 (($ (-922)) 99)) (-2580 (((-1115) $) 10)) (-4321 (((-121) $) 110)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-3941 (((-855) $) 119)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) 89)) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2168 (((-922) $) 112)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3804 (((-637 $)) 102)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-2787 (((-637 $) (-1165 $) $) 109)) (-1305 (((-3 (-768) "failed") $ $) 76) (((-768) $) 84)) (-3096 (($ $ (-768)) 94) (($ $) 92)) (-3413 (((-1165 $) $) 105) (((-1165 $)) 104)) (-4481 (($) 87)) (-2911 (($ $) 115)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 90)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63)) (-2346 (((-3 $ "failed") $) 78) (($ $) 91)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-768)) 95) (($ $) 93)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64))) 
+(((-861) (-1289)) (T -861)) 
+NIL 
+(-13 (-352) (-863)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-611 (-855)) . T) ((-173) . T) ((-226) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-367) . T) ((-407) . T) ((-373) . T) ((-352) . T) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-863) . T) ((-1059 (-412 (-571))) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1143) . T) ((-1213) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 29)) (-3748 (((-1258 $) $ $) 48)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 39)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-1747 (((-1177 (-922) (-768)) (-571)) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) 52)) (-2247 (((-1263) $) 56)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) 126)) (-1316 ((|#1| $) 85)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) 139)) (-2162 (($ $ $) NIL)) (-3074 (($ (-1165 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) 82)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) NIL)) (-2854 (((-121) $) NIL)) (-2442 (($ $) NIL) (($ $ (-768)) NIL)) (-1596 (((-121) $) NIL)) (-4075 (($ $) 41)) (-3347 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-2583 (((-121) $) 123)) (-2596 (((-3 $ "failed") $) NIL)) (-1317 (($ (-1165 $) (-1169)) 79) (($ (-1165 $) $ (-1169)) 99)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2403 (($ (-637 $)) 104)) (-4470 (((-922) $) 134)) (-3069 (((-1165 $) $ $) NIL) (((-1165 $) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 27)) (-1757 (($) NIL T CONST)) (-1755 (($ (-922)) 136)) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) 40)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3941 (((-855) $) 132)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL)) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2168 (((-922) $) 14)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-2787 (((-637 $) (-1165 $) $) 81)) (-1305 (((-3 (-768) "failed") $ $) NIL) (((-768) $) NIL)) (-3847 (((-140)) NIL)) (-3096 (($ $ (-768)) NIL) (($ $) NIL)) (-2400 (((-833 (-922)) $) 17)) (-3413 (((-1165 $) $) 20) (((-1165 $)) NIL)) (-4481 (($) NIL)) (-2911 (($ $) 90)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL)) (-3942 (((-855) $) 131) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ |#1|) 124)) (-2346 (((-3 $ "failed") $) NIL) (($ $) 89)) (-2661 (((-768)) 140)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 30 T CONST)) (-3222 (($) 21 T CONST)) (-4526 (($ $ (-768)) NIL (|has| |#1| (-373))) (($ $) NIL (|has| |#1| (-373)))) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-1323 (((-121) $ $) 120)) (-1379 (($ $ $) 96) (($ $ |#1|) NIL)) (-1373 (($ $) 97) (($ $ $) 107)) (-1367 (($ $ $) 63)) (** (($ $ (-922)) 33) (($ $ (-768)) 34) (($ $ (-571)) 37)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 111) (($ $ $) 65) (($ $ (-412 (-571))) 112) (($ (-412 (-571)) $) NIL) (($ |#1| $) 105) (($ $ |#1|) 106))) 
+(((-862 |#1|) (-13 (-861) (-1275 |#1|) (-10 -8 (-15 -3941 ((-855) $)))) (-352)) (T -862)) 
+((-3941 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-862 *3)) (-4 *3 (-352))))) 
+(-13 (-861) (-1275 |#1|) (-10 -8 (-15 -3941 ((-855) $)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3748 (((-1258 $) $ $) 78)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1295 (((-121) $ $) 57)) (-2247 (((-1263) $) 74)) (-2269 (($) 16 T CONST)) (-2162 (($ $ $) 53)) (-3074 (($ (-1165 $)) 84)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1596 (((-121) $) 69)) (-4075 (($ $) 79)) (-2583 (((-121) $) 30)) (-1317 (($ (-1165 $) $ (-1169)) 76) (($ (-1165 $) (-1169)) 75)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-2403 (($ (-637 $)) 81)) (-3069 (((-1165 $) $) 86) (((-1165 $) $ $) 85)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-2580 (((-1115) $) 10)) (-4321 (((-121) $) 82)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-3941 (((-855) $) 73)) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2168 (((-922) $) 80)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-2787 (((-637 $) (-1165 $) $) 83)) (-3413 (((-1165 $)) 88) (((-1165 $) $) 87)) (-2911 (($ $) 77)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64))) 
+(((-863) (-1289)) (T -863)) 
+((-3413 (*1 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-863)))) (-3413 (*1 *2 *1) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-863)))) (-3069 (*1 *2 *1) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-863)))) (-3069 (*1 *2 *1 *1) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-863)))) (-3074 (*1 *1 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-863)))) (-2787 (*1 *2 *3 *1) (-12 (-5 *3 (-1165 *1)) (-4 *1 (-863)) (-5 *2 (-637 *1)))) (-4321 (*1 *2 *1) (-12 (-4 *1 (-863)) (-5 *2 (-121)))) (-2403 (*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-863)))) (-2168 (*1 *2 *1) (-12 (-4 *1 (-863)) (-5 *2 (-922)))) (-4075 (*1 *1 *1) (-4 *1 (-863))) (-3748 (*1 *2 *1 *1) (-12 (-5 *2 (-1258 *1)) (-4 *1 (-863)))) (-2911 (*1 *1 *1) (-4 *1 (-863))) (-1317 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1165 *1)) (-5 *3 (-1169)) (-4 *1 (-863)))) (-1317 (*1 *1 *2 *3) (-12 (-5 *2 (-1165 *1)) (-5 *3 (-1169)) (-4 *1 (-863)))) (-2247 (*1 *2 *1) (-12 (-4 *1 (-863)) (-5 *2 (-1263)))) (-3941 (*1 *2 *1) (-12 (-4 *1 (-863)) (-5 *2 (-855))))) 
+(-13 (-367) (-10 -8 (-15 -3413 ((-1165 $))) (-15 -3413 ((-1165 $) $)) (-15 -3069 ((-1165 $) $)) (-15 -3069 ((-1165 $) $ $)) (-15 -3074 ($ (-1165 $))) (-15 -2787 ((-637 $) (-1165 $) $)) (-15 -4321 ((-121) $)) (-15 -2403 ($ (-637 $))) (-15 -2168 ((-922) $)) (-15 -4075 ($ $)) (-15 -3748 ((-1258 $) $ $)) (-15 -2911 ($ $)) (-15 -1317 ($ (-1165 $) $ (-1169))) (-15 -1317 ($ (-1165 $) (-1169))) (-15 -2247 ((-1263) $)) (-15 -3941 ((-855) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-367) . T) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-1059 (-412 (-571))) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T)) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3748 (((-1258 $) $ $) 78)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-3833 (((-121) $) 111)) (-1989 (((-768)) 115)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1295 (((-121) $ $) 57)) (-2247 (((-1263) $) 74)) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 122) (((-3 (-412 (-571)) "failed") $) 119) (((-3 (-412 (-571)) "failed") $) 104)) (-1316 (((-571) $) 121) (((-412 (-571)) $) 118) (((-412 (-571)) $) 105)) (-2162 (($ $ $) 53)) (-3074 (($ (-1165 $)) 84)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-2442 (($ $ (-768)) 102 (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373)))) (($ $) 101 (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-1596 (((-121) $) 69)) (-4075 (($ $) 79)) (-3347 (((-833 (-922)) $) 99 (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-2583 (((-121) $) 30)) (-1317 (($ (-1165 $) $ (-1169)) 76) (($ (-1165 $) (-1169)) 75)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-2403 (($ (-637 $)) 81)) (-3069 (((-1165 $) $) 86) (((-1165 $) $ $) 85)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-3527 (((-121) $) 112)) (-2580 (((-1115) $) 10)) (-4321 (((-121) $) 82)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-3941 (((-855) $) 73)) (-4262 (((-423 $) $) 72)) (-1556 (((-833 (-922))) 114)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2168 (((-922) $) 80)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-2787 (((-637 $) (-1165 $) $) 83)) (-1305 (((-3 (-768) "failed") $ $) 100 (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-3847 (((-140)) 106)) (-2400 (((-833 (-922)) $) 113)) (-3413 (((-1165 $)) 88) (((-1165 $) $) 87)) (-2911 (($ $) 77)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63) (($ (-571)) 123) (($ (-412 (-571))) 120) (($ (-412 (-571))) 103)) (-2346 (((-3 $ "failed") $) 98 (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-3049 (((-121) $) 110)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-4526 (($ $ (-768)) 117 (|has| (-412 (-571)) (-373))) (($ $) 116 (|has| (-412 (-571)) (-373)))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62) (($ $ (-412 (-571))) 107)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64) (($ (-412 (-571)) $) 109) (($ $ (-412 (-571))) 108))) 
+(((-864) (-1289)) (T -864)) 
+NIL 
+(-13 (-863) (-151) (-1043 (-571)) (-1043 (-412 (-571))) (-1275 (-412 (-571)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1831 (|has| (-412 (-571)) (-373)) (|has| (-412 (-571)) (-149))) ((-151) . T) ((-611 (-855)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-1275 (-412 (-571))) . T) ((-367) . T) ((-407) -1831 (|has| (-412 (-571)) (-373)) (|has| (-412 (-571)) (-149))) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-863) . T) ((-1043 (-412 (-571))) . T) ((-1043 (-571)) . T) ((-1059 (-412 (-571))) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T) ((-1265 (-412 (-571))) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 16)) (-3748 (((-1258 $) $ $) 47)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-2247 (((-1263) $) 51)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) 104) (((-3 (-412 (-571)) "failed") $) 106) (((-3 (-412 (-571)) "failed") $) 106)) (-1316 (((-571) $) NIL) (((-412 (-571)) $) 94) (((-412 (-571)) $) 94)) (-2162 (($ $ $) NIL)) (-3074 (($ (-1165 $)) 34)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-2442 (($ $ (-768)) NIL (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373)))) (($ $) NIL (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-1596 (((-121) $) NIL)) (-4075 (($ $) 40)) (-3347 (((-833 (-922)) $) NIL (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-2583 (((-121) $) 100)) (-1317 (($ (-1165 $) $ (-1169)) 79) (($ (-1165 $) (-1169)) 70) (($ (-1165 $) (-1165 $) (-922) $ (-1169)) 80)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2403 (($ (-637 $)) 38)) (-3069 (((-1165 $) $) 29) (((-1165 $) $ $) 31)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 86)) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) 39)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3941 (((-855) $) 112)) (-4262 (((-423 $) $) NIL)) (-1556 (((-833 (-922))) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2168 (((-922) $) 30)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-2787 (((-637 $) (-1165 $) $) 72)) (-1305 (((-3 (-768) "failed") $ $) NIL (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-3847 (((-140)) NIL)) (-2400 (((-833 (-922)) $) NIL)) (-3413 (((-1165 $)) 52) (((-1165 $) $) 41)) (-2911 (($ $) NIL)) (-3942 (((-855) $) 111) (($ (-571)) 14) (($ $) NIL) (($ (-412 (-571))) 101) (($ (-571)) 14) (($ (-412 (-571))) 101) (($ (-412 (-571))) 101)) (-2346 (((-3 $ "failed") $) NIL (-1831 (|has| (-412 (-571)) (-149)) (|has| (-412 (-571)) (-373))))) (-2661 (((-768)) 114)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 17 T CONST)) (-3222 (($) 73 T CONST)) (-4526 (($ $ (-768)) NIL (|has| (-412 (-571)) (-373))) (($ $) NIL (|has| (-412 (-571)) (-373)))) (-1323 (((-121) $ $) 97)) (-1379 (($ $ $) 78) (($ $ (-412 (-571))) NIL)) (-1373 (($ $) 19) (($ $ $) 89)) (-1367 (($ $ $) 54)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 18) (($ $ $) 57) (($ $ (-412 (-571))) 88) (($ (-412 (-571)) $) 87) (($ (-412 (-571)) $) 87) (($ $ (-412 (-571))) 88))) 
+(((-865) (-13 (-864) (-10 -8 (-15 -3941 ((-855) $)) (-15 -1317 ($ (-1165 $) (-1165 $) (-922) $ (-1169)))))) (T -865)) 
+((-3941 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-865)))) (-1317 (*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1165 (-865))) (-5 *3 (-922)) (-5 *4 (-1169)) (-5 *1 (-865))))) 
+(-13 (-864) (-10 -8 (-15 -3941 ((-855) $)) (-15 -1317 ($ (-1165 $) (-1165 $) (-922) $ (-1169))))) 
+((-2291 (((-3 (-174 |#3|) "failed") (-768) (-768) |#2| |#2|) 31)) (-2334 (((-3 (-412 |#3|) "failed") (-768) (-768) |#2| |#2|) 24))) 
+(((-866 |#1| |#2| |#3|) (-10 -7 (-15 -2334 ((-3 (-412 |#3|) "failed") (-768) (-768) |#2| |#2|)) (-15 -2291 ((-3 (-174 |#3|) "failed") (-768) (-768) |#2| |#2|))) (-367) (-1248 |#1|) (-1233 |#1|)) (T -866)) 
+((-2291 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-768)) (-4 *5 (-367)) (-5 *2 (-174 *6)) (-5 *1 (-866 *5 *4 *6)) (-4 *4 (-1248 *5)) (-4 *6 (-1233 *5)))) (-2334 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-768)) (-4 *5 (-367)) (-5 *2 (-412 *6)) (-5 *1 (-866 *5 *4 *6)) (-4 *4 (-1248 *5)) (-4 *6 (-1233 *5))))) 
+(-10 -7 (-15 -2334 ((-3 (-412 |#3|) "failed") (-768) (-768) |#2| |#2|)) (-15 -2291 ((-3 (-174 |#3|) "failed") (-768) (-768) |#2| |#2|))) 
+((-2334 (((-3 (-412 (-1230 |#2| |#1|)) "failed") (-768) (-768) (-1249 |#1| |#2| |#3|)) 28) (((-3 (-412 (-1230 |#2| |#1|)) "failed") (-768) (-768) (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|)) 26))) 
+(((-867 |#1| |#2| |#3|) (-10 -7 (-15 -2334 ((-3 (-412 (-1230 |#2| |#1|)) "failed") (-768) (-768) (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|))) (-15 -2334 ((-3 (-412 (-1230 |#2| |#1|)) "failed") (-768) (-768) (-1249 |#1| |#2| |#3|)))) (-367) (-1169) |#1|) (T -867)) 
+((-2334 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-768)) (-5 *4 (-1249 *5 *6 *7)) (-4 *5 (-367)) (-14 *6 (-1169)) (-14 *7 *5) (-5 *2 (-412 (-1230 *6 *5))) (-5 *1 (-867 *5 *6 *7)))) (-2334 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-768)) (-5 *4 (-1249 *5 *6 *7)) (-4 *5 (-367)) (-14 *6 (-1169)) (-14 *7 *5) (-5 *2 (-412 (-1230 *6 *5))) (-5 *1 (-867 *5 *6 *7))))) 
+(-10 -7 (-15 -2334 ((-3 (-412 (-1230 |#2| |#1|)) "failed") (-768) (-768) (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|))) (-15 -2334 ((-3 (-412 (-1230 |#2| |#1|)) "failed") (-768) (-768) (-1249 |#1| |#2| |#3|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-4158 (($ $ (-571)) 60)) (-1295 (((-121) $ $) 57)) (-2269 (($) 16 T CONST)) (-2502 (($ (-1165 (-571)) (-571)) 59)) (-2162 (($ $ $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-2616 (($ $) 62)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-3347 (((-768) $) 67)) (-2583 (((-121) $) 30)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-4387 (((-571)) 64)) (-2729 (((-571) $) 63)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3140 (($ $ (-571)) 66)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-2437 (((-1149 (-571)) $) 68)) (-3202 (($ $) 65)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-3367 (((-571) $ (-571)) 61)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-868 |#1|) (-1289) (-571)) (T -868)) 
+((-2437 (*1 *2 *1) (-12 (-4 *1 (-868 *3)) (-5 *2 (-1149 (-571))))) (-3347 (*1 *2 *1) (-12 (-4 *1 (-868 *3)) (-5 *2 (-768)))) (-3140 (*1 *1 *1 *2) (-12 (-4 *1 (-868 *3)) (-5 *2 (-571)))) (-3202 (*1 *1 *1) (-4 *1 (-868 *2))) (-4387 (*1 *2) (-12 (-4 *1 (-868 *3)) (-5 *2 (-571)))) (-2729 (*1 *2 *1) (-12 (-4 *1 (-868 *3)) (-5 *2 (-571)))) (-2616 (*1 *1 *1) (-4 *1 (-868 *2))) (-3367 (*1 *2 *1 *2) (-12 (-4 *1 (-868 *3)) (-5 *2 (-571)))) (-4158 (*1 *1 *1 *2) (-12 (-4 *1 (-868 *3)) (-5 *2 (-571)))) (-2502 (*1 *1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *3 (-571)) (-4 *1 (-868 *4))))) 
+(-13 (-302) (-151) (-10 -8 (-15 -2437 ((-1149 (-571)) $)) (-15 -3347 ((-768) $)) (-15 -3140 ($ $ (-571))) (-15 -3202 ($ $)) (-15 -4387 ((-571))) (-15 -2729 ((-571) $)) (-15 -2616 ($ $)) (-15 -3367 ((-571) $ (-571))) (-15 -4158 ($ $ (-571))) (-15 -2502 ($ (-1165 (-571)) (-571))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-611 (-855)) . T) ((-173) . T) ((-286) . T) ((-302) . T) ((-456) . T) ((-561) . T) ((-640 $) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-4158 (($ $ (-571)) NIL)) (-1295 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-2502 (($ (-1165 (-571)) (-571)) NIL)) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2616 (($ $) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-3347 (((-768) $) NIL)) (-2583 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4387 (((-571)) NIL)) (-2729 (((-571) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3140 (($ $ (-571)) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-2437 (((-1149 (-571)) $) NIL)) (-3202 (($ $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL)) (-2661 (((-768)) NIL)) (-1388 (((-121) $ $) NIL)) (-3367 (((-571) $ (-571)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL))) 
+(((-869 |#1|) (-868 |#1|) (-571)) (T -869)) 
+NIL 
+(-868 |#1|) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1533 (((-869 |#1|) $) NIL (|has| (-869 |#1|) (-302)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-869 |#1|) (-909)))) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| (-869 |#1|) (-909)))) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL (|has| (-869 |#1|) (-820)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-869 |#1|) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL (|has| (-869 |#1|) (-1043 (-1169)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| (-869 |#1|) (-1043 (-571)))) (((-3 (-571) "failed") $) NIL (|has| (-869 |#1|) (-1043 (-571))))) (-1316 (((-869 |#1|) $) NIL) (((-1169) $) NIL (|has| (-869 |#1|) (-1043 (-1169)))) (((-412 (-571)) $) NIL (|has| (-869 |#1|) (-1043 (-571)))) (((-571) $) NIL (|has| (-869 |#1|) (-1043 (-571))))) (-4195 (($ $) NIL) (($ (-571) $) NIL)) (-2162 (($ $ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| (-869 |#1|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| (-869 |#1|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-869 |#1|))) (|:| |vec| (-1258 (-869 |#1|)))) (-684 $) (-1258 $)) NIL) (((-684 (-869 |#1|)) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-869 |#1|) (-553)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2093 (((-121) $) NIL (|has| (-869 |#1|) (-820)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| (-869 |#1|) (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| (-869 |#1|) (-886 (-384))))) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL)) (-4474 (((-869 |#1|) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| (-869 |#1|) (-1143)))) (-4086 (((-121) $) NIL (|has| (-869 |#1|) (-820)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL (|has| (-869 |#1|) (-847)))) (-2383 (($ $ $) NIL (|has| (-869 |#1|) (-847)))) (-3799 (($ (-1 (-869 |#1|) (-869 |#1|)) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-869 |#1|) (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL (|has| (-869 |#1|) (-302)))) (-3955 (((-869 |#1|) $) NIL (|has| (-869 |#1|) (-553)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-869 |#1|) (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-869 |#1|) (-909)))) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4483 (($ $ (-637 (-869 |#1|)) (-637 (-869 |#1|))) NIL (|has| (-869 |#1|) (-304 (-869 |#1|)))) (($ $ (-869 |#1|) (-869 |#1|)) NIL (|has| (-869 |#1|) (-304 (-869 |#1|)))) (($ $ (-289 (-869 |#1|))) NIL (|has| (-869 |#1|) (-304 (-869 |#1|)))) (($ $ (-637 (-289 (-869 |#1|)))) NIL (|has| (-869 |#1|) (-304 (-869 |#1|)))) (($ $ (-637 (-1169)) (-637 (-869 |#1|))) NIL (|has| (-869 |#1|) (-526 (-1169) (-869 |#1|)))) (($ $ (-1169) (-869 |#1|)) NIL (|has| (-869 |#1|) (-526 (-1169) (-869 |#1|))))) (-1826 (((-768) $) NIL)) (-3245 (($ $ (-869 |#1|)) NIL (|has| (-869 |#1|) (-282 (-869 |#1|) (-869 |#1|))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $) NIL (|has| (-869 |#1|) (-226))) (($ $ (-768)) NIL (|has| (-869 |#1|) (-226))) (($ $ (-1169)) NIL (|has| (-869 |#1|) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-869 |#1|) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-869 |#1|) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-869 |#1|) (-900 (-1169)))) (($ $ (-1 (-869 |#1|) (-869 |#1|)) (-768)) NIL) (($ $ (-1 (-869 |#1|) (-869 |#1|))) NIL)) (-3777 (($ $) NIL)) (-4479 (((-869 |#1|) $) NIL)) (-4050 (((-892 (-571)) $) NIL (|has| (-869 |#1|) (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| (-869 |#1|) (-612 (-892 (-384))))) (((-544) $) NIL (|has| (-869 |#1|) (-612 (-544)))) (((-384) $) NIL (|has| (-869 |#1|) (-1027))) (((-216) $) NIL (|has| (-869 |#1|) (-1027)))) (-1410 (((-174 (-412 (-571))) $) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| (-869 |#1|) (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL) (($ (-869 |#1|)) NIL) (($ (-1169)) NIL (|has| (-869 |#1|) (-1043 (-1169))))) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-869 |#1|) (-909))) (|has| (-869 |#1|) (-149))))) (-2661 (((-768)) NIL)) (-2325 (((-869 |#1|) $) NIL (|has| (-869 |#1|) (-553)))) (-1388 (((-121) $ $) NIL)) (-3367 (((-412 (-571)) $ (-571)) NIL)) (-1902 (($ $) NIL (|has| (-869 |#1|) (-820)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $) NIL (|has| (-869 |#1|) (-226))) (($ $ (-768)) NIL (|has| (-869 |#1|) (-226))) (($ $ (-1169)) NIL (|has| (-869 |#1|) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-869 |#1|) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-869 |#1|) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-869 |#1|) (-900 (-1169)))) (($ $ (-1 (-869 |#1|) (-869 |#1|)) (-768)) NIL) (($ $ (-1 (-869 |#1|) (-869 |#1|))) NIL)) (-1350 (((-121) $ $) NIL (|has| (-869 |#1|) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-869 |#1|) (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| (-869 |#1|) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-869 |#1|) (-847)))) (-1379 (($ $ $) NIL) (($ (-869 |#1|) (-869 |#1|)) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ (-869 |#1|) $) NIL) (($ $ (-869 |#1|)) NIL))) 
+(((-870 |#1|) (-13 (-999 (-869 |#1|)) (-10 -8 (-15 -3367 ((-412 (-571)) $ (-571))) (-15 -1410 ((-174 (-412 (-571))) $)) (-15 -4195 ($ $)) (-15 -4195 ($ (-571) $)))) (-571)) (T -870)) 
+((-3367 (*1 *2 *1 *3) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-870 *4)) (-14 *4 *3) (-5 *3 (-571)))) (-1410 (*1 *2 *1) (-12 (-5 *2 (-174 (-412 (-571)))) (-5 *1 (-870 *3)) (-14 *3 (-571)))) (-4195 (*1 *1 *1) (-12 (-5 *1 (-870 *2)) (-14 *2 (-571)))) (-4195 (*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-870 *3)) (-14 *3 *2)))) 
+(-13 (-999 (-869 |#1|)) (-10 -8 (-15 -3367 ((-412 (-571)) $ (-571))) (-15 -1410 ((-174 (-412 (-571))) $)) (-15 -4195 ($ $)) (-15 -4195 ($ (-571) $)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1533 ((|#2| $) NIL (|has| |#2| (-302)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL (|has| |#2| (-820)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-1169) "failed") $) NIL (|has| |#2| (-1043 (-1169)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#2| (-1043 (-571)))) (((-3 (-571) "failed") $) NIL (|has| |#2| (-1043 (-571))))) (-1316 ((|#2| $) NIL) (((-1169) $) NIL (|has| |#2| (-1043 (-1169)))) (((-412 (-571)) $) NIL (|has| |#2| (-1043 (-571)))) (((-571) $) NIL (|has| |#2| (-1043 (-571))))) (-4195 (($ $) 31) (($ (-571) $) 32)) (-2162 (($ $ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL) (((-684 |#2|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) 53)) (-3254 (($) NIL (|has| |#2| (-553)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2093 (((-121) $) NIL (|has| |#2| (-820)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| |#2| (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| |#2| (-886 (-384))))) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL)) (-4474 ((|#2| $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| |#2| (-1143)))) (-4086 (((-121) $) NIL (|has| |#2| (-820)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL (|has| |#2| (-847)))) (-2383 (($ $ $) NIL (|has| |#2| (-847)))) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 49)) (-1757 (($) NIL (|has| |#2| (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL (|has| |#2| (-302)))) (-3955 ((|#2| $) NIL (|has| |#2| (-553)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4483 (($ $ (-637 |#2|) (-637 |#2|)) NIL (|has| |#2| (-304 |#2|))) (($ $ |#2| |#2|) NIL (|has| |#2| (-304 |#2|))) (($ $ (-289 |#2|)) NIL (|has| |#2| (-304 |#2|))) (($ $ (-637 (-289 |#2|))) NIL (|has| |#2| (-304 |#2|))) (($ $ (-637 (-1169)) (-637 |#2|)) NIL (|has| |#2| (-526 (-1169) |#2|))) (($ $ (-1169) |#2|) NIL (|has| |#2| (-526 (-1169) |#2|)))) (-1826 (((-768) $) NIL)) (-3245 (($ $ |#2|) NIL (|has| |#2| (-282 |#2| |#2|)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $) NIL (|has| |#2| (-226))) (($ $ (-768)) NIL (|has| |#2| (-226))) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-3777 (($ $) NIL)) (-4479 ((|#2| $) NIL)) (-4050 (((-892 (-571)) $) NIL (|has| |#2| (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| |#2| (-612 (-892 (-384))))) (((-544) $) NIL (|has| |#2| (-612 (-544)))) (((-384) $) NIL (|has| |#2| (-1027))) (((-216) $) NIL (|has| |#2| (-1027)))) (-1410 (((-174 (-412 (-571))) $) 68)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-909))))) (-3942 (((-855) $) 85) (($ (-571)) 19) (($ $) NIL) (($ (-412 (-571))) 24) (($ |#2|) 18) (($ (-1169)) NIL (|has| |#2| (-1043 (-1169))))) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#2| (-909))) (|has| |#2| (-149))))) (-2661 (((-768)) NIL)) (-2325 ((|#2| $) NIL (|has| |#2| (-553)))) (-1388 (((-121) $ $) NIL)) (-3367 (((-412 (-571)) $ (-571)) 60)) (-1902 (($ $) NIL (|has| |#2| (-820)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 14 T CONST)) (-3222 (($) 16 T CONST)) (-1544 (($ $) NIL (|has| |#2| (-226))) (($ $ (-768)) NIL (|has| |#2| (-226))) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1323 (((-121) $ $) 35)) (-1342 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1379 (($ $ $) 23) (($ |#2| |#2|) 54)) (-1373 (($ $) 39) (($ $ $) 41)) (-1367 (($ $ $) 37)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) 50)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 42) (($ $ $) 44) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ |#2| $) 55) (($ $ |#2|) NIL))) 
+(((-871 |#1| |#2|) (-13 (-999 |#2|) (-10 -8 (-15 -3367 ((-412 (-571)) $ (-571))) (-15 -1410 ((-174 (-412 (-571))) $)) (-15 -4195 ($ $)) (-15 -4195 ($ (-571) $)))) (-571) (-868 |#1|)) (T -871)) 
+((-3367 (*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-412 (-571))) (-5 *1 (-871 *4 *5)) (-5 *3 (-571)) (-4 *5 (-868 *4)))) (-1410 (*1 *2 *1) (-12 (-14 *3 (-571)) (-5 *2 (-174 (-412 (-571)))) (-5 *1 (-871 *3 *4)) (-4 *4 (-868 *3)))) (-4195 (*1 *1 *1) (-12 (-14 *2 (-571)) (-5 *1 (-871 *2 *3)) (-4 *3 (-868 *2)))) (-4195 (*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-14 *3 *2) (-5 *1 (-871 *3 *4)) (-4 *4 (-868 *3))))) 
+(-13 (-999 |#2|) (-10 -8 (-15 -3367 ((-412 (-571)) $ (-571))) (-15 -1410 ((-174 (-412 (-571))) $)) (-15 -4195 ($ $)) (-15 -4195 ($ (-571) $)))) 
+((-2857 (((-243 |#2| (-862 |#1|)) (-243 |#2| |#1|) (-973 |#1|)) NIL)) (-3349 (((-243 |#2| |#1|)) 107)) (-2669 (((-637 (-973 |#1|))) 116)) (-2779 (((-637 (-973 |#1|)) (-637 (-973 |#1|))) 27)) (-4012 (((-243 |#2| |#1|) (-243 |#2| |#1|)) 35)) (-3000 (((-637 (-973 |#1|))) 60)) (-2726 (((-637 (-927 |#1|))) 58)) (-3542 (((-973 |#1|) (-637 (-862 |#1|))) 17)) (-2841 (((-973 |#1|) (-927 |#1|)) 21)) (-1894 (((-637 (-927 |#1|)) (-922)) 45 (|has| (-862 |#1|) (-373)))) (-1449 (((-637 (-927 |#1|)) (-973 |#1|)) 24)) (-3259 (((-779 (-862 |#1|)) (-243 |#2| |#1|) (-927 |#1|)) 119)) (-2375 (((-571) (-922)) 47 (|has| (-862 |#1|) (-373)))) (-2020 (((-571) (-922) (-922)) 49 (|has| (-862 |#1|) (-373)))) (-4308 (((-571) (-922)) 43 (|has| (-862 |#1|) (-373)))) (-3369 (((-2 (|:| |num| (-637 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-927 |#1|))) 62) (((-637 (-412 (-243 |#2| |#1|))) (-237 (-927 |#1|)) (-768)) NIL)) (-3075 (((-237 (-927 |#1|)) (-243 |#2| |#1|)) 135)) (-1916 (((-637 (-243 |#2| (-862 |#1|))) (-237 (-927 |#1|)) (-637 (-243 |#2| |#1|))) 125)) (-1377 (((-637 (-243 |#2| |#1|)) (-237 (-927 |#1|)) (-768)) 123)) (-1422 (((-243 |#2| |#1|) (-243 |#2| |#1|) (-571)) 13)) (-3156 (((-684 |#1|) (-237 (-927 |#1|)) (-637 (-927 |#1|))) 67) (((-684 |#1|) (-237 (-927 |#1|)) (-237 (-927 |#1|))) 69)) (-3939 (((-571)) 105)) (-3970 (((-768)) 103)) (-2393 (((-1263)) 144)) (-3665 (((-1263)) 140)) (-2735 (((-2 (|:| -2989 (-571)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-571))) (-237 (-927 |#1|)) (-571) (-571)) 32)) (-3867 (((-3 |#1| "failed") (-412 (-243 |#2| |#1|)) (-927 |#1|)) 132) (((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-927 |#1|)) 127) (((-3 |#1| "failed") (-243 |#2| |#1|) (-927 |#1|)) 96)) (-4483 ((|#1| (-412 (-243 |#2| |#1|)) (-927 |#1|)) 133) ((|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-927 |#1|)) 63) ((|#1| (-243 |#2| |#1|) (-927 |#1|)) 98)) (-3321 (((-637 (-260 (-540 |#1| |#2| |#3|)))) 112)) (-3033 (((-637 (-260 (-540 |#1| |#2| |#3|)))) 110)) (-4437 (((-571)) 56 (|has| (-862 |#1|) (-373)))) (-2820 (((-237 (-927 |#1|))) 114)) (-1365 (((-1253 (-571) -3481) (-922)) 41 (|has| (-862 |#1|) (-373))) (((-1253 (-571) -3481)) 38 (|has| (-862 |#1|) (-373)))) (-3091 (((-1165 (-571)) (-922)) 54 (|has| (-862 |#1|) (-373))) (((-1165 (-571))) 52 (|has| (-862 |#1|) (-373))))) 
+(((-872 |#1| |#2| |#3|) (-10 -7 (-15 -1422 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-571))) (-15 -3665 ((-1263))) (-15 -2393 ((-1263))) (-15 -4012 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -2857 ((-243 |#2| (-862 |#1|)) (-243 |#2| |#1|) (-973 |#1|))) (-15 -3156 ((-684 |#1|) (-237 (-927 |#1|)) (-237 (-927 |#1|)))) (-15 -3156 ((-684 |#1|) (-237 (-927 |#1|)) (-637 (-927 |#1|)))) (-15 -2841 ((-973 |#1|) (-927 |#1|))) (-15 -1449 ((-637 (-927 |#1|)) (-973 |#1|))) (-15 -3542 ((-973 |#1|) (-637 (-862 |#1|)))) (-15 -2779 ((-637 (-973 |#1|)) (-637 (-973 |#1|)))) (-15 -2726 ((-637 (-927 |#1|)))) (-15 -3349 ((-243 |#2| |#1|))) (-15 -3970 ((-768))) (-15 -3939 ((-571))) (-15 -3321 ((-637 (-260 (-540 |#1| |#2| |#3|))))) (-15 -3033 ((-637 (-260 (-540 |#1| |#2| |#3|))))) (-15 -3000 ((-637 (-973 |#1|)))) (-15 -2669 ((-637 (-973 |#1|)))) (-15 -3259 ((-779 (-862 |#1|)) (-243 |#2| |#1|) (-927 |#1|))) (-15 -3369 ((-637 (-412 (-243 |#2| |#1|))) (-237 (-927 |#1|)) (-768))) (-15 -3369 ((-2 (|:| |num| (-637 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-927 |#1|)))) (-15 -2735 ((-2 (|:| -2989 (-571)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-571))) (-237 (-927 |#1|)) (-571) (-571))) (-15 -1916 ((-637 (-243 |#2| (-862 |#1|))) (-237 (-927 |#1|)) (-637 (-243 |#2| |#1|)))) (-15 -1377 ((-637 (-243 |#2| |#1|)) (-237 (-927 |#1|)) (-768))) (-15 -4483 (|#1| (-243 |#2| |#1|) (-927 |#1|))) (-15 -4483 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-927 |#1|))) (-15 -4483 (|#1| (-412 (-243 |#2| |#1|)) (-927 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-243 |#2| |#1|) (-927 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-927 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-412 (-243 |#2| |#1|)) (-927 |#1|))) (-15 -3075 ((-237 (-927 |#1|)) (-243 |#2| |#1|))) (-15 -2820 ((-237 (-927 |#1|)))) (IF (|has| (-862 |#1|) (-373)) (PROGN (-15 -3091 ((-1165 (-571)))) (-15 -3091 ((-1165 (-571)) (-922))) (-15 -4437 ((-571))) (-15 -1894 ((-637 (-927 |#1|)) (-922))) (-15 -4308 ((-571) (-922))) (-15 -2375 ((-571) (-922))) (-15 -2020 ((-571) (-922) (-922))) (-15 -1365 ((-1253 (-571) -3481))) (-15 -1365 ((-1253 (-571) -3481) (-922)))) |noBranch|)) (-352) (-637 (-1169)) (-117)) (T -872)) 
+((-1365 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-1365 (*1 *2) (-12 (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-872 *3 *4 *5)) (-4 (-862 *3) (-373)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-2020 (*1 *2 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-2375 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-4308 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-1894 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-637 (-927 *4))) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-4437 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-872 *3 *4 *5)) (-4 (-862 *3) (-373)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3091 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 (-571))) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-3091 (*1 *2) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-872 *3 *4 *5)) (-4 (-862 *3) (-373)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-2820 (*1 *2) (-12 (-5 *2 (-237 (-927 *3))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3075 (*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-5 *2 (-237 (-927 *4))) (-5 *1 (-872 *4 *5 *6)) (-4 *6 (-117)))) (-3867 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 (-243 *5 *2))) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) (-3867 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) (-3867 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) (-4483 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-243 *5 *2))) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) (-4483 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) (-4483 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) (-1377 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-927 *5))) (-5 *4 (-768)) (-4 *5 (-352)) (-5 *2 (-637 (-243 *6 *5))) (-5 *1 (-872 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) (-1916 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-927 *5))) (-5 *4 (-637 (-243 *6 *5))) (-4 *5 (-352)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-243 *6 (-862 *5)))) (-5 *1 (-872 *5 *6 *7)) (-4 *7 (-117)))) (-2735 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-927 *5))) (-4 *5 (-352)) (-5 *2 (-2 (|:| -2989 (-571)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-571)))) (-5 *1 (-872 *5 *6 *7)) (-5 *4 (-571)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) (-3369 (*1 *2 *3) (-12 (-5 *3 (-237 (-927 *4))) (-4 *4 (-352)) (-5 *2 (-2 (|:| |num| (-637 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-872 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-3369 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-927 *5))) (-5 *4 (-768)) (-4 *5 (-352)) (-5 *2 (-637 (-412 (-243 *6 *5)))) (-5 *1 (-872 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-927 *5)) (-4 *5 (-352)) (-14 *6 (-637 (-1169))) (-5 *2 (-779 (-862 *5))) (-5 *1 (-872 *5 *6 *7)) (-4 *7 (-117)))) (-2669 (*1 *2) (-12 (-5 *2 (-637 (-973 *3))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3000 (*1 *2) (-12 (-5 *2 (-637 (-973 *3))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3033 (*1 *2) (-12 (-5 *2 (-637 (-260 (-540 *3 *4 *5)))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3321 (*1 *2) (-12 (-5 *2 (-637 (-260 (-540 *3 *4 *5)))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3939 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3970 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3349 (*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-2726 (*1 *2) (-12 (-5 *2 (-637 (-927 *3))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-2779 (*1 *2 *2) (-12 (-5 *2 (-637 (-973 *3))) (-4 *3 (-352)) (-5 *1 (-872 *3 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3542 (*1 *2 *3) (-12 (-5 *3 (-637 (-862 *4))) (-4 *4 (-352)) (-5 *2 (-973 *4)) (-5 *1 (-872 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-1449 (*1 *2 *3) (-12 (-5 *3 (-973 *4)) (-4 *4 (-352)) (-5 *2 (-637 (-927 *4))) (-5 *1 (-872 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-2841 (*1 *2 *3) (-12 (-5 *3 (-927 *4)) (-4 *4 (-352)) (-5 *2 (-973 *4)) (-5 *1 (-872 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-3156 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-927 *5))) (-5 *4 (-637 (-927 *5))) (-4 *5 (-352)) (-5 *2 (-684 *5)) (-5 *1 (-872 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) (-3156 (*1 *2 *3 *3) (-12 (-5 *3 (-237 (-927 *4))) (-4 *4 (-352)) (-5 *2 (-684 *4)) (-5 *1 (-872 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-2857 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-973 *5)) (-4 *5 (-352)) (-14 *6 (-637 (-1169))) (-5 *2 (-243 *6 (-862 *5))) (-5 *1 (-872 *5 *6 *7)) (-4 *7 (-117)))) (-4012 (*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-5 *1 (-872 *3 *4 *5)) (-4 *5 (-117)))) (-2393 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3665 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-1422 (*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-571)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-5 *1 (-872 *4 *5 *6)) (-4 *6 (-117))))) 
+(-10 -7 (-15 -1422 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-571))) (-15 -3665 ((-1263))) (-15 -2393 ((-1263))) (-15 -4012 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -2857 ((-243 |#2| (-862 |#1|)) (-243 |#2| |#1|) (-973 |#1|))) (-15 -3156 ((-684 |#1|) (-237 (-927 |#1|)) (-237 (-927 |#1|)))) (-15 -3156 ((-684 |#1|) (-237 (-927 |#1|)) (-637 (-927 |#1|)))) (-15 -2841 ((-973 |#1|) (-927 |#1|))) (-15 -1449 ((-637 (-927 |#1|)) (-973 |#1|))) (-15 -3542 ((-973 |#1|) (-637 (-862 |#1|)))) (-15 -2779 ((-637 (-973 |#1|)) (-637 (-973 |#1|)))) (-15 -2726 ((-637 (-927 |#1|)))) (-15 -3349 ((-243 |#2| |#1|))) (-15 -3970 ((-768))) (-15 -3939 ((-571))) (-15 -3321 ((-637 (-260 (-540 |#1| |#2| |#3|))))) (-15 -3033 ((-637 (-260 (-540 |#1| |#2| |#3|))))) (-15 -3000 ((-637 (-973 |#1|)))) (-15 -2669 ((-637 (-973 |#1|)))) (-15 -3259 ((-779 (-862 |#1|)) (-243 |#2| |#1|) (-927 |#1|))) (-15 -3369 ((-637 (-412 (-243 |#2| |#1|))) (-237 (-927 |#1|)) (-768))) (-15 -3369 ((-2 (|:| |num| (-637 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-927 |#1|)))) (-15 -2735 ((-2 (|:| -2989 (-571)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-571))) (-237 (-927 |#1|)) (-571) (-571))) (-15 -1916 ((-637 (-243 |#2| (-862 |#1|))) (-237 (-927 |#1|)) (-637 (-243 |#2| |#1|)))) (-15 -1377 ((-637 (-243 |#2| |#1|)) (-237 (-927 |#1|)) (-768))) (-15 -4483 (|#1| (-243 |#2| |#1|) (-927 |#1|))) (-15 -4483 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-927 |#1|))) (-15 -4483 (|#1| (-412 (-243 |#2| |#1|)) (-927 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-243 |#2| |#1|) (-927 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-927 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-412 (-243 |#2| |#1|)) (-927 |#1|))) (-15 -3075 ((-237 (-927 |#1|)) (-243 |#2| |#1|))) (-15 -2820 ((-237 (-927 |#1|)))) (IF (|has| (-862 |#1|) (-373)) (PROGN (-15 -3091 ((-1165 (-571)))) (-15 -3091 ((-1165 (-571)) (-922))) (-15 -4437 ((-571))) (-15 -1894 ((-637 (-927 |#1|)) (-922))) (-15 -4308 ((-571) (-922))) (-15 -2375 ((-571) (-922))) (-15 -2020 ((-571) (-922) (-922))) (-15 -1365 ((-1253 (-571) -3481))) (-15 -1365 ((-1253 (-571) -3481) (-922)))) |noBranch|)) 
+((-3349 (((-243 |#2| |#1|)) 83)) (-2669 (((-637 (-972 |#1|))) 92)) (-2779 (((-637 (-972 |#1|)) (-637 (-972 |#1|))) 24)) (-4012 (((-243 |#2| |#1|) (-243 |#2| |#1|)) 75)) (-3000 (((-637 (-972 |#1|))) 65)) (-2726 (((-637 (-926 |#1|))) 63)) (-3542 (((-972 |#1|) (-637 |#1|)) 27)) (-2841 (((-972 |#1|) (-926 |#1|)) 18)) (-1894 (((-637 (-926 |#1|)) (-922)) 50 (|has| |#1| (-373)))) (-1449 (((-637 (-926 |#1|)) (-972 |#1|)) 21)) (-3259 (((-779 |#1|) (-243 |#2| |#1|) (-926 |#1|)) 95)) (-2375 (((-571) (-922)) 52 (|has| |#1| (-373)))) (-2020 (((-571) (-922) (-922)) 54 (|has| |#1| (-373)))) (-4308 (((-571) (-922)) 48 (|has| |#1| (-373)))) (-3369 (((-2 (|:| |num| (-637 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-926 |#1|))) 33) (((-637 (-412 (-243 |#2| |#1|))) (-237 (-926 |#1|)) (-768)) NIL)) (-3075 (((-237 (-926 |#1|)) (-243 |#2| |#1|)) 107)) (-1916 (((-637 (-243 |#2| |#1|)) (-237 (-926 |#1|)) (-637 (-243 |#2| |#1|))) 31)) (-1377 (((-637 (-243 |#2| |#1|)) (-237 (-926 |#1|)) (-768)) 97)) (-1422 (((-243 |#2| |#1|) (-243 |#2| |#1|) (-571)) 13)) (-3156 (((-684 |#1|) (-237 (-926 |#1|)) (-637 (-926 |#1|))) 38) (((-684 |#1|) (-237 (-926 |#1|)) (-237 (-926 |#1|))) 40)) (-3939 (((-571)) 81)) (-3970 (((-768)) 79)) (-2393 (((-1263)) 116)) (-3665 (((-1263)) 112)) (-2735 (((-2 (|:| -2989 (-571)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-571))) (-237 (-926 |#1|)) (-571) (-571)) NIL)) (-3867 (((-3 |#1| "failed") (-412 (-243 |#2| |#1|)) (-926 |#1|)) 105) (((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-926 |#1|)) 104) (((-3 |#1| "failed") (-243 |#2| |#1|) (-926 |#1|)) 73)) (-4483 ((|#1| (-412 (-243 |#2| |#1|)) (-926 |#1|)) 102) ((|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-926 |#1|)) 34) ((|#1| (-243 |#2| |#1|) (-926 |#1|)) 70)) (-3321 (((-637 (-260 (-516 |#1| |#2| |#3|)))) 88)) (-3033 (((-637 (-260 (-516 |#1| |#2| |#3|)))) 86)) (-4437 (((-571)) 61 (|has| |#1| (-373)))) (-2820 (((-237 (-926 |#1|))) 90)) (-1365 (((-1253 (-571) -3481) (-922)) 46 (|has| |#1| (-373))) (((-1253 (-571) -3481)) 43 (|has| |#1| (-373)))) (-3091 (((-1165 (-571)) (-922)) 59 (|has| |#1| (-373))) (((-1165 (-571))) 57 (|has| |#1| (-373))))) 
+(((-873 |#1| |#2| |#3|) (-10 -7 (-15 -1422 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-571))) (-15 -1916 ((-637 (-243 |#2| |#1|)) (-237 (-926 |#1|)) (-637 (-243 |#2| |#1|)))) (-15 -3665 ((-1263))) (-15 -2393 ((-1263))) (-15 -4012 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -3542 ((-972 |#1|) (-637 |#1|))) (-15 -2841 ((-972 |#1|) (-926 |#1|))) (-15 -1449 ((-637 (-926 |#1|)) (-972 |#1|))) (-15 -2779 ((-637 (-972 |#1|)) (-637 (-972 |#1|)))) (-15 -3156 ((-684 |#1|) (-237 (-926 |#1|)) (-237 (-926 |#1|)))) (-15 -3156 ((-684 |#1|) (-237 (-926 |#1|)) (-637 (-926 |#1|)))) (-15 -2726 ((-637 (-926 |#1|)))) (-15 -3349 ((-243 |#2| |#1|))) (-15 -3970 ((-768))) (-15 -3939 ((-571))) (-15 -3321 ((-637 (-260 (-516 |#1| |#2| |#3|))))) (-15 -3033 ((-637 (-260 (-516 |#1| |#2| |#3|))))) (-15 -3000 ((-637 (-972 |#1|)))) (-15 -2669 ((-637 (-972 |#1|)))) (-15 -3259 ((-779 |#1|) (-243 |#2| |#1|) (-926 |#1|))) (-15 -3369 ((-637 (-412 (-243 |#2| |#1|))) (-237 (-926 |#1|)) (-768))) (-15 -3369 ((-2 (|:| |num| (-637 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-926 |#1|)))) (-15 -2735 ((-2 (|:| -2989 (-571)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-571))) (-237 (-926 |#1|)) (-571) (-571))) (-15 -1377 ((-637 (-243 |#2| |#1|)) (-237 (-926 |#1|)) (-768))) (-15 -4483 (|#1| (-243 |#2| |#1|) (-926 |#1|))) (-15 -4483 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-926 |#1|))) (-15 -4483 (|#1| (-412 (-243 |#2| |#1|)) (-926 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-243 |#2| |#1|) (-926 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-926 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-412 (-243 |#2| |#1|)) (-926 |#1|))) (-15 -3075 ((-237 (-926 |#1|)) (-243 |#2| |#1|))) (-15 -2820 ((-237 (-926 |#1|)))) (IF (|has| |#1| (-373)) (PROGN (-15 -3091 ((-1165 (-571)))) (-15 -3091 ((-1165 (-571)) (-922))) (-15 -4437 ((-571))) (-15 -1894 ((-637 (-926 |#1|)) (-922))) (-15 -4308 ((-571) (-922))) (-15 -2375 ((-571) (-922))) (-15 -2020 ((-571) (-922) (-922))) (-15 -1365 ((-1253 (-571) -3481))) (-15 -1365 ((-1253 (-571) -3481) (-922)))) |noBranch|)) (-367) (-637 (-1169)) (-117)) (T -873)) 
+((-1365 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-1365 (*1 *2) (-12 (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-2020 (*1 *2 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-2375 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-4308 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-1894 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-637 (-926 *4))) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-4437 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3091 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 (-571))) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-3091 (*1 *2) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-2820 (*1 *2) (-12 (-5 *2 (-237 (-926 *3))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3075 (*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *2 (-237 (-926 *4))) (-5 *1 (-873 *4 *5 *6)) (-4 *6 (-117)))) (-3867 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 (-243 *5 *2))) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) (-3867 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) (-3867 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) (-4483 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-243 *5 *2))) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) (-4483 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) (-4483 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) (-1377 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-926 *5))) (-5 *4 (-768)) (-4 *5 (-367)) (-5 *2 (-637 (-243 *6 *5))) (-5 *1 (-873 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) (-2735 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-926 *5))) (-4 *5 (-367)) (-5 *2 (-2 (|:| -2989 (-571)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-571)))) (-5 *1 (-873 *5 *6 *7)) (-5 *4 (-571)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) (-3369 (*1 *2 *3) (-12 (-5 *3 (-237 (-926 *4))) (-4 *4 (-367)) (-5 *2 (-2 (|:| |num| (-637 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-873 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-3369 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-926 *5))) (-5 *4 (-768)) (-4 *5 (-367)) (-5 *2 (-637 (-412 (-243 *6 *5)))) (-5 *1 (-873 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-926 *5)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-5 *2 (-779 *5)) (-5 *1 (-873 *5 *6 *7)) (-4 *7 (-117)))) (-2669 (*1 *2) (-12 (-5 *2 (-637 (-972 *3))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3000 (*1 *2) (-12 (-5 *2 (-637 (-972 *3))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3033 (*1 *2) (-12 (-5 *2 (-637 (-260 (-516 *3 *4 *5)))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3321 (*1 *2) (-12 (-5 *2 (-637 (-260 (-516 *3 *4 *5)))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3939 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3970 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3349 (*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-2726 (*1 *2) (-12 (-5 *2 (-637 (-926 *3))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3156 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-926 *5))) (-5 *4 (-637 (-926 *5))) (-4 *5 (-367)) (-5 *2 (-684 *5)) (-5 *1 (-873 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) (-3156 (*1 *2 *3 *3) (-12 (-5 *3 (-237 (-926 *4))) (-4 *4 (-367)) (-5 *2 (-684 *4)) (-5 *1 (-873 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-2779 (*1 *2 *2) (-12 (-5 *2 (-637 (-972 *3))) (-4 *3 (-367)) (-5 *1 (-873 *3 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-1449 (*1 *2 *3) (-12 (-5 *3 (-972 *4)) (-4 *4 (-367)) (-5 *2 (-637 (-926 *4))) (-5 *1 (-873 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-2841 (*1 *2 *3) (-12 (-5 *3 (-926 *4)) (-4 *4 (-367)) (-5 *2 (-972 *4)) (-5 *1 (-873 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-3542 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-5 *2 (-972 *4)) (-5 *1 (-873 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) (-4012 (*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-5 *1 (-873 *3 *4 *5)) (-4 *5 (-117)))) (-2393 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-3665 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) (-1916 (*1 *2 *3 *2) (-12 (-5 *2 (-637 (-243 *5 *4))) (-5 *3 (-237 (-926 *4))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *1 (-873 *4 *5 *6)) (-4 *6 (-117)))) (-1422 (*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-571)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *1 (-873 *4 *5 *6)) (-4 *6 (-117))))) 
+(-10 -7 (-15 -1422 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-571))) (-15 -1916 ((-637 (-243 |#2| |#1|)) (-237 (-926 |#1|)) (-637 (-243 |#2| |#1|)))) (-15 -3665 ((-1263))) (-15 -2393 ((-1263))) (-15 -4012 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -3542 ((-972 |#1|) (-637 |#1|))) (-15 -2841 ((-972 |#1|) (-926 |#1|))) (-15 -1449 ((-637 (-926 |#1|)) (-972 |#1|))) (-15 -2779 ((-637 (-972 |#1|)) (-637 (-972 |#1|)))) (-15 -3156 ((-684 |#1|) (-237 (-926 |#1|)) (-237 (-926 |#1|)))) (-15 -3156 ((-684 |#1|) (-237 (-926 |#1|)) (-637 (-926 |#1|)))) (-15 -2726 ((-637 (-926 |#1|)))) (-15 -3349 ((-243 |#2| |#1|))) (-15 -3970 ((-768))) (-15 -3939 ((-571))) (-15 -3321 ((-637 (-260 (-516 |#1| |#2| |#3|))))) (-15 -3033 ((-637 (-260 (-516 |#1| |#2| |#3|))))) (-15 -3000 ((-637 (-972 |#1|)))) (-15 -2669 ((-637 (-972 |#1|)))) (-15 -3259 ((-779 |#1|) (-243 |#2| |#1|) (-926 |#1|))) (-15 -3369 ((-637 (-412 (-243 |#2| |#1|))) (-237 (-926 |#1|)) (-768))) (-15 -3369 ((-2 (|:| |num| (-637 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-926 |#1|)))) (-15 -2735 ((-2 (|:| -2989 (-571)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-571))) (-237 (-926 |#1|)) (-571) (-571))) (-15 -1377 ((-637 (-243 |#2| |#1|)) (-237 (-926 |#1|)) (-768))) (-15 -4483 (|#1| (-243 |#2| |#1|) (-926 |#1|))) (-15 -4483 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-926 |#1|))) (-15 -4483 (|#1| (-412 (-243 |#2| |#1|)) (-926 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-243 |#2| |#1|) (-926 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-926 |#1|))) (-15 -3867 ((-3 |#1| "failed") (-412 (-243 |#2| |#1|)) (-926 |#1|))) (-15 -3075 ((-237 (-926 |#1|)) (-243 |#2| |#1|))) (-15 -2820 ((-237 (-926 |#1|)))) (IF (|has| |#1| (-373)) (PROGN (-15 -3091 ((-1165 (-571)))) (-15 -3091 ((-1165 (-571)) (-922))) (-15 -4437 ((-571))) (-15 -1894 ((-637 (-926 |#1|)) (-922))) (-15 -4308 ((-571) (-922))) (-15 -2375 ((-571) (-922))) (-15 -2020 ((-571) (-922) (-922))) (-15 -1365 ((-1253 (-571) -3481))) (-15 -1365 ((-1253 (-571) -3481) (-922)))) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-4292 (((-571) $) 15)) (-1898 (($ (-159)) 11)) (-1780 (($ (-159)) 12)) (-3944 (((-1151) $) NIL)) (-3040 (((-159) $) 13)) (-2580 (((-1115) $) NIL)) (-3020 (($ (-159)) 9)) (-1961 (($ (-159)) 8)) (-3942 (((-855) $) 23) (($ (-159)) 16)) (-1840 (($ (-159)) 10)) (-1323 (((-121) $ $) NIL))) 
+(((-874) (-13 (-1097) (-10 -8 (-15 -1961 ($ (-159))) (-15 -3020 ($ (-159))) (-15 -1840 ($ (-159))) (-15 -1898 ($ (-159))) (-15 -1780 ($ (-159))) (-15 -3040 ((-159) $)) (-15 -4292 ((-571) $)) (-15 -3942 ($ (-159)))))) (T -874)) 
+((-1961 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874)))) (-3020 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874)))) (-1840 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874)))) (-1898 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874)))) (-1780 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874)))) (-3040 (*1 *2 *1) (-12 (-5 *2 (-159)) (-5 *1 (-874)))) (-4292 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-874)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874))))) 
+(-13 (-1097) (-10 -8 (-15 -1961 ($ (-159))) (-15 -3020 ($ (-159))) (-15 -1840 ($ (-159))) (-15 -1898 ($ (-159))) (-15 -1780 ($ (-159))) (-15 -3040 ((-159) $)) (-15 -4292 ((-571) $)) (-15 -3942 ($ (-159))))) 
+((-3942 (((-311 (-571)) (-412 (-958 (-53)))) 21) (((-311 (-571)) (-958 (-53))) 16))) 
+(((-875) (-10 -7 (-15 -3942 ((-311 (-571)) (-958 (-53)))) (-15 -3942 ((-311 (-571)) (-412 (-958 (-53))))))) (T -875)) 
+((-3942 (*1 *2 *3) (-12 (-5 *3 (-412 (-958 (-53)))) (-5 *2 (-311 (-571))) (-5 *1 (-875)))) (-3942 (*1 *2 *3) (-12 (-5 *3 (-958 (-53))) (-5 *2 (-311 (-571))) (-5 *1 (-875))))) 
+(-10 -7 (-15 -3942 ((-311 (-571)) (-958 (-53)))) (-15 -3942 ((-311 (-571)) (-412 (-958 (-53)))))) 
+((-3259 ((|#6| |#3| |#7| (-571)) 36) ((|#6| |#3| |#3| |#7|) 33) ((|#6| |#3| |#7|) 31) ((|#6| |#3| (-637 |#6|)) 28))) 
+(((-876 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -3259 (|#6| |#3| (-637 |#6|))) (-15 -3259 (|#6| |#3| |#7|)) (-15 -3259 (|#6| |#3| |#3| |#7|)) (-15 -3259 (|#6| |#3| |#7| (-571)))) (-367) (-637 (-1169)) (-955 |#1| |#4| (-857 |#2|)) (-231 (-4001 |#2|) (-768)) (-977 |#1|) (-644 |#1|) (-925 |#1| |#6|)) (T -876)) 
+((-3259 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-571)) (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *8 (-231 (-4001 *7) (-768))) (-4 *2 (-644 *6)) (-5 *1 (-876 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-955 *6 *8 (-857 *7))) (-4 *9 (-977 *6)) (-4 *4 (-925 *6 *2)))) (-3259 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *2 (-644 *5)) (-5 *1 (-876 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5)) (-4 *4 (-925 *5 *2)))) (-3259 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *2 (-644 *5)) (-5 *1 (-876 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5)) (-4 *4 (-925 *5 *2)))) (-3259 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *2)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *2 (-644 *5)) (-5 *1 (-876 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5)) (-4 *9 (-925 *5 *2))))) 
+(-10 -7 (-15 -3259 (|#6| |#3| (-637 |#6|))) (-15 -3259 (|#6| |#3| |#7|)) (-15 -3259 (|#6| |#3| |#3| |#7|)) (-15 -3259 (|#6| |#3| |#7| (-571)))) 
+((-3799 (((-878 |#2|) (-1 |#2| |#1|) (-878 |#1|)) 14))) 
+(((-877 |#1| |#2|) (-10 -7 (-15 -3799 ((-878 |#2|) (-1 |#2| |#1|) (-878 |#1|)))) (-1203) (-1203)) (T -877)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-878 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-878 *6)) (-5 *1 (-877 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-878 |#2|) (-1 |#2| |#1|) (-878 |#1|)))) 
+((-1767 (($ |#1| |#1|) 8)) (-1694 ((|#1| $ (-768)) 10))) 
+(((-878 |#1|) (-10 -8 (-15 -1767 ($ |#1| |#1|)) (-15 -1694 (|#1| $ (-768)))) (-1203)) (T -878)) 
+((-1694 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *1 (-878 *2)) (-4 *2 (-1203)))) (-1767 (*1 *1 *2 *2) (-12 (-5 *1 (-878 *2)) (-4 *2 (-1203))))) 
+(-10 -8 (-15 -1767 ($ |#1| |#1|)) (-15 -1694 (|#1| $ (-768)))) 
+((-3799 (((-880 |#2|) (-1 |#2| |#1|) (-880 |#1|)) 14))) 
+(((-879 |#1| |#2|) (-10 -7 (-15 -3799 ((-880 |#2|) (-1 |#2| |#1|) (-880 |#1|)))) (-1203) (-1203)) (T -879)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-880 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-880 *6)) (-5 *1 (-879 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-880 |#2|) (-1 |#2| |#1|) (-880 |#1|)))) 
+((-1767 (($ |#1| |#1| |#1|) 8)) (-1694 ((|#1| $ (-768)) 10))) 
+(((-880 |#1|) (-10 -8 (-15 -1767 ($ |#1| |#1| |#1|)) (-15 -1694 (|#1| $ (-768)))) (-1203)) (T -880)) 
+((-1694 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *1 (-880 *2)) (-4 *2 (-1203)))) (-1767 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-880 *2)) (-4 *2 (-1203))))) 
+(-10 -8 (-15 -1767 ($ |#1| |#1| |#1|)) (-15 -1694 (|#1| $ (-768)))) 
+((-3799 (((-882 |#2|) (-1 |#2| |#1|) (-882 |#1|)) 14))) 
+(((-881 |#1| |#2|) (-10 -7 (-15 -3799 ((-882 |#2|) (-1 |#2| |#1|) (-882 |#1|)))) (-1203) (-1203)) (T -881)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-882 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-882 *6)) (-5 *1 (-881 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-882 |#2|) (-1 |#2| |#1|) (-882 |#1|)))) 
+((-2000 (($ |#1| |#1| |#1|) 8)) (-1694 ((|#1| $ (-768)) 10))) 
+(((-882 |#1|) (-10 -8 (-15 -2000 ($ |#1| |#1| |#1|)) (-15 -1694 (|#1| $ (-768)))) (-1203)) (T -882)) 
+((-1694 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *1 (-882 *2)) (-4 *2 (-1203)))) (-2000 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-882 *2)) (-4 *2 (-1203))))) 
+(-10 -8 (-15 -2000 ($ |#1| |#1| |#1|)) (-15 -1694 (|#1| $ (-768)))) 
+((-4577 (((-1149 (-637 (-571))) (-637 (-571)) (-1149 (-637 (-571)))) 30)) (-4006 (((-1149 (-637 (-571))) (-637 (-571)) (-637 (-571))) 26)) (-2901 (((-1149 (-637 (-571))) (-637 (-571))) 39) (((-1149 (-637 (-571))) (-637 (-571)) (-637 (-571))) 38)) (-2037 (((-1149 (-637 (-571))) (-571)) 40)) (-3511 (((-1149 (-637 (-571))) (-571) (-571)) 22) (((-1149 (-637 (-571))) (-571)) 16) (((-1149 (-637 (-571))) (-571) (-571) (-571)) 12)) (-3977 (((-1149 (-637 (-571))) (-1149 (-637 (-571)))) 24)) (-2911 (((-637 (-571)) (-637 (-571))) 23))) 
+(((-883) (-10 -7 (-15 -3511 ((-1149 (-637 (-571))) (-571) (-571) (-571))) (-15 -3511 ((-1149 (-637 (-571))) (-571))) (-15 -3511 ((-1149 (-637 (-571))) (-571) (-571))) (-15 -2911 ((-637 (-571)) (-637 (-571)))) (-15 -3977 ((-1149 (-637 (-571))) (-1149 (-637 (-571))))) (-15 -4006 ((-1149 (-637 (-571))) (-637 (-571)) (-637 (-571)))) (-15 -4577 ((-1149 (-637 (-571))) (-637 (-571)) (-1149 (-637 (-571))))) (-15 -2901 ((-1149 (-637 (-571))) (-637 (-571)) (-637 (-571)))) (-15 -2901 ((-1149 (-637 (-571))) (-637 (-571)))) (-15 -2037 ((-1149 (-637 (-571))) (-571))))) (T -883)) 
+((-2037 (*1 *2 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-571)))) (-2901 (*1 *2 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-637 (-571))))) (-2901 (*1 *2 *3 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-637 (-571))))) (-4577 (*1 *2 *3 *2) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *3 (-637 (-571))) (-5 *1 (-883)))) (-4006 (*1 *2 *3 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-637 (-571))))) (-3977 (*1 *2 *2) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)))) (-2911 (*1 *2 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-883)))) (-3511 (*1 *2 *3 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-571)))) (-3511 (*1 *2 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-571)))) (-3511 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-571))))) 
+(-10 -7 (-15 -3511 ((-1149 (-637 (-571))) (-571) (-571) (-571))) (-15 -3511 ((-1149 (-637 (-571))) (-571))) (-15 -3511 ((-1149 (-637 (-571))) (-571) (-571))) (-15 -2911 ((-637 (-571)) (-637 (-571)))) (-15 -3977 ((-1149 (-637 (-571))) (-1149 (-637 (-571))))) (-15 -4006 ((-1149 (-637 (-571))) (-637 (-571)) (-637 (-571)))) (-15 -4577 ((-1149 (-637 (-571))) (-637 (-571)) (-1149 (-637 (-571))))) (-15 -2901 ((-1149 (-637 (-571))) (-637 (-571)) (-637 (-571)))) (-15 -2901 ((-1149 (-637 (-571))) (-637 (-571)))) (-15 -2037 ((-1149 (-637 (-571))) (-571)))) 
+((-4050 (((-892 (-384)) $) 9 (|has| |#1| (-612 (-892 (-384))))) (((-892 (-571)) $) 8 (|has| |#1| (-612 (-892 (-571))))))) 
+(((-884 |#1|) (-1289) (-1203)) (T -884)) 
+NIL 
+(-13 (-10 -7 (IF (|has| |t#1| (-612 (-892 (-571)))) (-6 (-612 (-892 (-571)))) |noBranch|) (IF (|has| |t#1| (-612 (-892 (-384)))) (-6 (-612 (-892 (-384)))) |noBranch|))) 
+(((-612 (-892 (-384))) |has| |#1| (-612 (-892 (-384)))) ((-612 (-892 (-571))) |has| |#1| (-612 (-892 (-571))))) 
+((-2234 (((-121) $ $) NIL)) (-1364 (($) 14)) (-3332 (($ (-889 |#1| |#2|) (-889 |#1| |#3|)) 27)) (-1734 (((-889 |#1| |#3|) $) 16)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3436 (((-121) $) 22)) (-1629 (($) 19)) (-3942 (((-855) $) 30)) (-1562 (((-889 |#1| |#2|) $) 15)) (-1323 (((-121) $ $) 25))) 
+(((-885 |#1| |#2| |#3|) (-13 (-1097) (-10 -8 (-15 -3436 ((-121) $)) (-15 -1629 ($)) (-15 -1364 ($)) (-15 -3332 ($ (-889 |#1| |#2|) (-889 |#1| |#3|))) (-15 -1562 ((-889 |#1| |#2|) $)) (-15 -1734 ((-889 |#1| |#3|) $)))) (-1097) (-1097) (-661 |#2|)) (T -885)) 
+((-3436 (*1 *2 *1) (-12 (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-885 *3 *4 *5)) (-4 *3 (-1097)) (-4 *5 (-661 *4)))) (-1629 (*1 *1) (-12 (-4 *3 (-1097)) (-5 *1 (-885 *2 *3 *4)) (-4 *2 (-1097)) (-4 *4 (-661 *3)))) (-1364 (*1 *1) (-12 (-4 *3 (-1097)) (-5 *1 (-885 *2 *3 *4)) (-4 *2 (-1097)) (-4 *4 (-661 *3)))) (-3332 (*1 *1 *2 *3) (-12 (-5 *2 (-889 *4 *5)) (-5 *3 (-889 *4 *6)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-661 *5)) (-5 *1 (-885 *4 *5 *6)))) (-1562 (*1 *2 *1) (-12 (-4 *4 (-1097)) (-5 *2 (-889 *3 *4)) (-5 *1 (-885 *3 *4 *5)) (-4 *3 (-1097)) (-4 *5 (-661 *4)))) (-1734 (*1 *2 *1) (-12 (-4 *4 (-1097)) (-5 *2 (-889 *3 *5)) (-5 *1 (-885 *3 *4 *5)) (-4 *3 (-1097)) (-4 *5 (-661 *4))))) 
+(-13 (-1097) (-10 -8 (-15 -3436 ((-121) $)) (-15 -1629 ($)) (-15 -1364 ($)) (-15 -3332 ($ (-889 |#1| |#2|) (-889 |#1| |#3|))) (-15 -1562 ((-889 |#1| |#2|) $)) (-15 -1734 ((-889 |#1| |#3|) $)))) 
+((-2234 (((-121) $ $) 7)) (-2941 (((-889 |#1| $) $ (-892 |#1|) (-889 |#1| $)) 12)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6))) 
+(((-886 |#1|) (-1289) (-1097)) (T -886)) 
+((-2941 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-889 *4 *1)) (-5 *3 (-892 *4)) (-4 *1 (-886 *4)) (-4 *4 (-1097))))) 
+(-13 (-1097) (-10 -8 (-15 -2941 ((-889 |t#1| $) $ (-892 |t#1|) (-889 |t#1| $))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-3340 (((-121) (-637 |#2|) |#3|) 22) (((-121) |#2| |#3|) 17)) (-3536 (((-889 |#1| |#2|) |#2| |#3|) 42 (-12 (-2931 (|has| |#2| (-1043 (-1169)))) (-2931 (|has| |#2| (-1053))))) (((-637 (-289 (-958 |#2|))) |#2| |#3|) 41 (-12 (|has| |#2| (-1053)) (-2931 (|has| |#2| (-1043 (-1169)))))) (((-637 (-289 |#2|)) |#2| |#3|) 34 (|has| |#2| (-1043 (-1169)))) (((-885 |#1| |#2| (-637 |#2|)) (-637 |#2|) |#3|) 20))) 
+(((-887 |#1| |#2| |#3|) (-10 -7 (-15 -3340 ((-121) |#2| |#3|)) (-15 -3340 ((-121) (-637 |#2|) |#3|)) (-15 -3536 ((-885 |#1| |#2| (-637 |#2|)) (-637 |#2|) |#3|)) (IF (|has| |#2| (-1043 (-1169))) (-15 -3536 ((-637 (-289 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1053)) (-15 -3536 ((-637 (-289 (-958 |#2|))) |#2| |#3|)) (-15 -3536 ((-889 |#1| |#2|) |#2| |#3|))))) (-1097) (-886 |#1|) (-612 (-892 |#1|))) (T -887)) 
+((-3536 (*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-5 *2 (-889 *5 *3)) (-5 *1 (-887 *5 *3 *4)) (-2931 (-4 *3 (-1043 (-1169)))) (-2931 (-4 *3 (-1053))) (-4 *3 (-886 *5)) (-4 *4 (-612 (-892 *5))))) (-3536 (*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-5 *2 (-637 (-289 (-958 *3)))) (-5 *1 (-887 *5 *3 *4)) (-4 *3 (-1053)) (-2931 (-4 *3 (-1043 (-1169)))) (-4 *3 (-886 *5)) (-4 *4 (-612 (-892 *5))))) (-3536 (*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-5 *2 (-637 (-289 *3))) (-5 *1 (-887 *5 *3 *4)) (-4 *3 (-1043 (-1169))) (-4 *3 (-886 *5)) (-4 *4 (-612 (-892 *5))))) (-3536 (*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-4 *6 (-886 *5)) (-5 *2 (-885 *5 *6 (-637 *6))) (-5 *1 (-887 *5 *6 *4)) (-5 *3 (-637 *6)) (-4 *4 (-612 (-892 *5))))) (-3340 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-4 *6 (-886 *5)) (-4 *5 (-1097)) (-5 *2 (-121)) (-5 *1 (-887 *5 *6 *4)) (-4 *4 (-612 (-892 *5))))) (-3340 (*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-5 *2 (-121)) (-5 *1 (-887 *5 *3 *4)) (-4 *3 (-886 *5)) (-4 *4 (-612 (-892 *5)))))) 
+(-10 -7 (-15 -3340 ((-121) |#2| |#3|)) (-15 -3340 ((-121) (-637 |#2|) |#3|)) (-15 -3536 ((-885 |#1| |#2| (-637 |#2|)) (-637 |#2|) |#3|)) (IF (|has| |#2| (-1043 (-1169))) (-15 -3536 ((-637 (-289 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1053)) (-15 -3536 ((-637 (-289 (-958 |#2|))) |#2| |#3|)) (-15 -3536 ((-889 |#1| |#2|) |#2| |#3|))))) 
+((-3799 (((-889 |#1| |#3|) (-1 |#3| |#2|) (-889 |#1| |#2|)) 21))) 
+(((-888 |#1| |#2| |#3|) (-10 -7 (-15 -3799 ((-889 |#1| |#3|) (-1 |#3| |#2|) (-889 |#1| |#2|)))) (-1097) (-1097) (-1097)) (T -888)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-889 *5 *6)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-889 *5 *7)) (-5 *1 (-888 *5 *6 *7))))) 
+(-10 -7 (-15 -3799 ((-889 |#1| |#3|) (-1 |#3| |#2|) (-889 |#1| |#2|)))) 
+((-2234 (((-121) $ $) NIL)) (-3486 (($ $ $) 37)) (-2882 (((-3 (-121) "failed") $ (-892 |#1|)) 34)) (-1364 (($) 11)) (-3944 (((-1151) $) NIL)) (-3598 (($ (-892 |#1|) |#2| $) 20)) (-2580 (((-1115) $) NIL)) (-2428 (((-3 |#2| "failed") (-892 |#1|) $) 48)) (-3436 (((-121) $) 14)) (-1629 (($) 12)) (-4282 (((-637 (-2 (|:| -4080 (-1169)) (|:| -4279 |#2|))) $) 25)) (-3891 (($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 |#2|)))) 23)) (-3942 (((-855) $) 42)) (-1662 (($ (-892 |#1|) |#2| $ |#2|) 46)) (-1505 (($ (-892 |#1|) |#2| $) 45)) (-1323 (((-121) $ $) 39))) 
+(((-889 |#1| |#2|) (-13 (-1097) (-10 -8 (-15 -3436 ((-121) $)) (-15 -1629 ($)) (-15 -1364 ($)) (-15 -3486 ($ $ $)) (-15 -2428 ((-3 |#2| "failed") (-892 |#1|) $)) (-15 -1505 ($ (-892 |#1|) |#2| $)) (-15 -3598 ($ (-892 |#1|) |#2| $)) (-15 -1662 ($ (-892 |#1|) |#2| $ |#2|)) (-15 -4282 ((-637 (-2 (|:| -4080 (-1169)) (|:| -4279 |#2|))) $)) (-15 -3891 ($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 |#2|))))) (-15 -2882 ((-3 (-121) "failed") $ (-892 |#1|))))) (-1097) (-1097)) (T -889)) 
+((-3436 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) (-1629 (*1 *1) (-12 (-5 *1 (-889 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) (-1364 (*1 *1) (-12 (-5 *1 (-889 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) (-3486 (*1 *1 *1 *1) (-12 (-5 *1 (-889 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) (-2428 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-892 *4)) (-4 *4 (-1097)) (-4 *2 (-1097)) (-5 *1 (-889 *4 *2)))) (-1505 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-892 *4)) (-4 *4 (-1097)) (-5 *1 (-889 *4 *3)) (-4 *3 (-1097)))) (-3598 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-892 *4)) (-4 *4 (-1097)) (-5 *1 (-889 *4 *3)) (-4 *3 (-1097)))) (-1662 (*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-892 *4)) (-4 *4 (-1097)) (-5 *1 (-889 *4 *3)) (-4 *3 (-1097)))) (-4282 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 *4)))) (-5 *1 (-889 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) (-3891 (*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 *4)))) (-4 *4 (-1097)) (-5 *1 (-889 *3 *4)) (-4 *3 (-1097)))) (-2882 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-892 *4)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-889 *4 *5)) (-4 *5 (-1097))))) 
+(-13 (-1097) (-10 -8 (-15 -3436 ((-121) $)) (-15 -1629 ($)) (-15 -1364 ($)) (-15 -3486 ($ $ $)) (-15 -2428 ((-3 |#2| "failed") (-892 |#1|) $)) (-15 -1505 ($ (-892 |#1|) |#2| $)) (-15 -3598 ($ (-892 |#1|) |#2| $)) (-15 -1662 ($ (-892 |#1|) |#2| $ |#2|)) (-15 -4282 ((-637 (-2 (|:| -4080 (-1169)) (|:| -4279 |#2|))) $)) (-15 -3891 ($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 |#2|))))) (-15 -2882 ((-3 (-121) "failed") $ (-892 |#1|))))) 
+((-3378 (((-892 |#1|) (-892 |#1|) (-637 (-1169)) (-1 (-121) (-637 |#2|))) 30) (((-892 |#1|) (-892 |#1|) (-637 (-1 (-121) |#2|))) 42) (((-892 |#1|) (-892 |#1|) (-1 (-121) |#2|)) 33)) (-2882 (((-121) (-637 |#2|) (-892 |#1|)) 39) (((-121) |#2| (-892 |#1|)) 35)) (-3328 (((-1 (-121) |#2|) (-892 |#1|)) 14)) (-2397 (((-637 |#2|) (-892 |#1|)) 23)) (-1484 (((-892 |#1|) (-892 |#1|) |#2|) 19))) 
+(((-890 |#1| |#2|) (-10 -7 (-15 -3378 ((-892 |#1|) (-892 |#1|) (-1 (-121) |#2|))) (-15 -3378 ((-892 |#1|) (-892 |#1|) (-637 (-1 (-121) |#2|)))) (-15 -3378 ((-892 |#1|) (-892 |#1|) (-637 (-1169)) (-1 (-121) (-637 |#2|)))) (-15 -3328 ((-1 (-121) |#2|) (-892 |#1|))) (-15 -2882 ((-121) |#2| (-892 |#1|))) (-15 -2882 ((-121) (-637 |#2|) (-892 |#1|))) (-15 -1484 ((-892 |#1|) (-892 |#1|) |#2|)) (-15 -2397 ((-637 |#2|) (-892 |#1|)))) (-1097) (-1203)) (T -890)) 
+((-2397 (*1 *2 *3) (-12 (-5 *3 (-892 *4)) (-4 *4 (-1097)) (-5 *2 (-637 *5)) (-5 *1 (-890 *4 *5)) (-4 *5 (-1203)))) (-1484 (*1 *2 *2 *3) (-12 (-5 *2 (-892 *4)) (-4 *4 (-1097)) (-5 *1 (-890 *4 *3)) (-4 *3 (-1203)))) (-2882 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-4 *6 (-1203)) (-5 *2 (-121)) (-5 *1 (-890 *5 *6)))) (-2882 (*1 *2 *3 *4) (-12 (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-5 *2 (-121)) (-5 *1 (-890 *5 *3)) (-4 *3 (-1203)))) (-3328 (*1 *2 *3) (-12 (-5 *3 (-892 *4)) (-4 *4 (-1097)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-890 *4 *5)) (-4 *5 (-1203)))) (-3378 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-892 *5)) (-5 *3 (-637 (-1169))) (-5 *4 (-1 (-121) (-637 *6))) (-4 *5 (-1097)) (-4 *6 (-1203)) (-5 *1 (-890 *5 *6)))) (-3378 (*1 *2 *2 *3) (-12 (-5 *2 (-892 *4)) (-5 *3 (-637 (-1 (-121) *5))) (-4 *4 (-1097)) (-4 *5 (-1203)) (-5 *1 (-890 *4 *5)))) (-3378 (*1 *2 *2 *3) (-12 (-5 *2 (-892 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1097)) (-4 *5 (-1203)) (-5 *1 (-890 *4 *5))))) 
+(-10 -7 (-15 -3378 ((-892 |#1|) (-892 |#1|) (-1 (-121) |#2|))) (-15 -3378 ((-892 |#1|) (-892 |#1|) (-637 (-1 (-121) |#2|)))) (-15 -3378 ((-892 |#1|) (-892 |#1|) (-637 (-1169)) (-1 (-121) (-637 |#2|)))) (-15 -3328 ((-1 (-121) |#2|) (-892 |#1|))) (-15 -2882 ((-121) |#2| (-892 |#1|))) (-15 -2882 ((-121) (-637 |#2|) (-892 |#1|))) (-15 -1484 ((-892 |#1|) (-892 |#1|) |#2|)) (-15 -2397 ((-637 |#2|) (-892 |#1|)))) 
+((-3799 (((-892 |#2|) (-1 |#2| |#1|) (-892 |#1|)) 17))) 
+(((-891 |#1| |#2|) (-10 -7 (-15 -3799 ((-892 |#2|) (-1 |#2| |#1|) (-892 |#1|)))) (-1097) (-1097)) (T -891)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-892 *6)) (-5 *1 (-891 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-892 |#2|) (-1 |#2| |#1|) (-892 |#1|)))) 
+((-2234 (((-121) $ $) NIL)) (-2474 (($ $ (-637 (-57))) 62)) (-3424 (((-637 $) $) 116)) (-2508 (((-2 (|:| |var| (-637 (-1169))) (|:| |pred| (-57))) $) 22)) (-3042 (((-121) $) 29)) (-3739 (($ $ (-637 (-1169)) (-57)) 24)) (-2250 (($ $ (-637 (-57))) 61)) (-3337 (((-3 |#1| "failed") $) 59) (((-3 (-1169) "failed") $) 138)) (-1316 ((|#1| $) 55) (((-1169) $) NIL)) (-2862 (($ $) 106)) (-3862 (((-121) $) 45)) (-2412 (((-637 (-57)) $) 43)) (-3228 (($ (-1169) (-121) (-121) (-121)) 63)) (-4291 (((-3 (-637 $) "failed") (-637 $)) 70)) (-4419 (((-121) $) 48)) (-3832 (((-121) $) 47)) (-3944 (((-1151) $) NIL)) (-4014 (((-3 (-637 $) "failed") $) 34)) (-3948 (((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $) 41)) (-2304 (((-3 (-2 (|:| |val| $) (|:| -2154 $)) "failed") $) 81)) (-1910 (((-3 (-637 $) "failed") $) 31)) (-3012 (((-3 (-637 $) "failed") $ (-123)) 105) (((-3 (-2 (|:| -4547 (-123)) (|:| |arg| (-637 $))) "failed") $) 93)) (-3434 (((-3 (-637 $) "failed") $) 35)) (-3925 (((-3 (-2 (|:| |val| $) (|:| -2154 (-768))) "failed") $) 38)) (-3496 (((-121) $) 28)) (-2580 (((-1115) $) NIL)) (-1649 (((-121) $) 20)) (-3850 (((-121) $) 44)) (-2368 (((-637 (-57)) $) 109)) (-4000 (((-121) $) 46)) (-3245 (($ (-123) (-637 $)) 90)) (-1560 (((-768) $) 27)) (-4316 (($ $) 60)) (-4050 (($ (-637 $)) 57)) (-2318 (((-121) $) 25)) (-3942 (((-855) $) 50) (($ |#1|) 18) (($ (-1169)) 64)) (-1484 (($ $ (-57)) 108)) (-2369 (($) 89 T CONST)) (-3222 (($) 71 T CONST)) (-1323 (((-121) $ $) 77)) (-1379 (($ $ $) 98)) (-1367 (($ $ $) 102)) (** (($ $ (-768)) 97) (($ $ $) 51)) (* (($ $ $) 103))) 
+(((-892 |#1|) (-13 (-1097) (-1043 |#1|) (-1043 (-1169)) (-10 -8 (-15 0 ($) -3177) (-15 1 ($) -3177) (-15 -1910 ((-3 (-637 $) "failed") $)) (-15 -4014 ((-3 (-637 $) "failed") $)) (-15 -3012 ((-3 (-637 $) "failed") $ (-123))) (-15 -3012 ((-3 (-2 (|:| -4547 (-123)) (|:| |arg| (-637 $))) "failed") $)) (-15 -3925 ((-3 (-2 (|:| |val| $) (|:| -2154 (-768))) "failed") $)) (-15 -3948 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -3434 ((-3 (-637 $) "failed") $)) (-15 -2304 ((-3 (-2 (|:| |val| $) (|:| -2154 $)) "failed") $)) (-15 -3245 ($ (-123) (-637 $))) (-15 -1367 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-768))) (-15 ** ($ $ $)) (-15 -1379 ($ $ $)) (-15 -1560 ((-768) $)) (-15 -4050 ($ (-637 $))) (-15 -4316 ($ $)) (-15 -3496 ((-121) $)) (-15 -3862 ((-121) $)) (-15 -3042 ((-121) $)) (-15 -2318 ((-121) $)) (-15 -4000 ((-121) $)) (-15 -3832 ((-121) $)) (-15 -4419 ((-121) $)) (-15 -3850 ((-121) $)) (-15 -2412 ((-637 (-57)) $)) (-15 -2250 ($ $ (-637 (-57)))) (-15 -2474 ($ $ (-637 (-57)))) (-15 -3228 ($ (-1169) (-121) (-121) (-121))) (-15 -3739 ($ $ (-637 (-1169)) (-57))) (-15 -2508 ((-2 (|:| |var| (-637 (-1169))) (|:| |pred| (-57))) $)) (-15 -1649 ((-121) $)) (-15 -2862 ($ $)) (-15 -1484 ($ $ (-57))) (-15 -2368 ((-637 (-57)) $)) (-15 -3424 ((-637 $) $)) (-15 -4291 ((-3 (-637 $) "failed") (-637 $))))) (-1097)) (T -892)) 
+((-2369 (*1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) (-3222 (*1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) (-1910 (*1 *2 *1) (|partial| -12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-4014 (*1 *2 *1) (|partial| -12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3012 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-637 (-892 *4))) (-5 *1 (-892 *4)) (-4 *4 (-1097)))) (-3012 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -4547 (-123)) (|:| |arg| (-637 (-892 *3))))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3925 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-892 *3)) (|:| -2154 (-768)))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3948 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-892 *3)) (|:| |den| (-892 *3)))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3434 (*1 *2 *1) (|partial| -12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-2304 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-892 *3)) (|:| -2154 (-892 *3)))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3245 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-637 (-892 *4))) (-5 *1 (-892 *4)) (-4 *4 (-1097)))) (-1367 (*1 *1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) (-1379 (*1 *1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) (-1560 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-4316 (*1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) (-3496 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3862 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3042 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-2318 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-4000 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3832 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-4419 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3850 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-2412 (*1 *2 *1) (-12 (-5 *2 (-637 (-57))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-2250 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-57))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-2474 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-57))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3228 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-121)) (-5 *1 (-892 *4)) (-4 *4 (-1097)))) (-3739 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-57)) (-5 *1 (-892 *4)) (-4 *4 (-1097)))) (-2508 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-637 (-1169))) (|:| |pred| (-57)))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-1649 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-2862 (*1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) (-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-2368 (*1 *2 *1) (-12 (-5 *2 (-637 (-57))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-3424 (*1 *2 *1) (-12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) (-4291 (*1 *2 *2) (|partial| -12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(-13 (-1097) (-1043 |#1|) (-1043 (-1169)) (-10 -8 (-15 (-2369) ($) -3177) (-15 (-3222) ($) -3177) (-15 -1910 ((-3 (-637 $) "failed") $)) (-15 -4014 ((-3 (-637 $) "failed") $)) (-15 -3012 ((-3 (-637 $) "failed") $ (-123))) (-15 -3012 ((-3 (-2 (|:| -4547 (-123)) (|:| |arg| (-637 $))) "failed") $)) (-15 -3925 ((-3 (-2 (|:| |val| $) (|:| -2154 (-768))) "failed") $)) (-15 -3948 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -3434 ((-3 (-637 $) "failed") $)) (-15 -2304 ((-3 (-2 (|:| |val| $) (|:| -2154 $)) "failed") $)) (-15 -3245 ($ (-123) (-637 $))) (-15 -1367 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-768))) (-15 ** ($ $ $)) (-15 -1379 ($ $ $)) (-15 -1560 ((-768) $)) (-15 -4050 ($ (-637 $))) (-15 -4316 ($ $)) (-15 -3496 ((-121) $)) (-15 -3862 ((-121) $)) (-15 -3042 ((-121) $)) (-15 -2318 ((-121) $)) (-15 -4000 ((-121) $)) (-15 -3832 ((-121) $)) (-15 -4419 ((-121) $)) (-15 -3850 ((-121) $)) (-15 -2412 ((-637 (-57)) $)) (-15 -2250 ($ $ (-637 (-57)))) (-15 -2474 ($ $ (-637 (-57)))) (-15 -3228 ($ (-1169) (-121) (-121) (-121))) (-15 -3739 ($ $ (-637 (-1169)) (-57))) (-15 -2508 ((-2 (|:| |var| (-637 (-1169))) (|:| |pred| (-57))) $)) (-15 -1649 ((-121) $)) (-15 -2862 ($ $)) (-15 -1484 ($ $ (-57))) (-15 -2368 ((-637 (-57)) $)) (-15 -3424 ((-637 $) $)) (-15 -4291 ((-3 (-637 $) "failed") (-637 $))))) 
+((-2234 (((-121) $ $) NIL)) (-3171 (((-637 |#1|) $) 16)) (-3979 (((-121) $) 38)) (-3337 (((-3 (-666 |#1|) "failed") $) 41)) (-1316 (((-666 |#1|) $) 39)) (-4372 (($ $) 18)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-4044 (((-637 (-666 |#1|)) $) 23)) (-3158 (((-768) $) 45)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 (((-666 |#1|) $) 17)) (-3942 (((-855) $) 37) (($ (-666 |#1|)) 21) (((-819 |#1|) $) 27) (($ |#1|) 20)) (-3222 (($) 8 T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 11)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 48))) 
+(((-893 |#1|) (-13 (-847) (-1043 (-666 |#1|)) (-10 -8 (-15 1 ($) -3177) (-15 -3942 ((-819 |#1|) $)) (-15 -3942 ($ |#1|)) (-15 -1827 ((-666 |#1|) $)) (-15 -3158 ((-768) $)) (-15 -4044 ((-637 (-666 |#1|)) $)) (-15 -4372 ($ $)) (-15 -3979 ((-121) $)) (-15 -3171 ((-637 |#1|) $)))) (-847)) (T -893)) 
+((-3222 (*1 *1) (-12 (-5 *1 (-893 *2)) (-4 *2 (-847)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-819 *3)) (-5 *1 (-893 *3)) (-4 *3 (-847)))) (-3942 (*1 *1 *2) (-12 (-5 *1 (-893 *2)) (-4 *2 (-847)))) (-1827 (*1 *2 *1) (-12 (-5 *2 (-666 *3)) (-5 *1 (-893 *3)) (-4 *3 (-847)))) (-3158 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-893 *3)) (-4 *3 (-847)))) (-4044 (*1 *2 *1) (-12 (-5 *2 (-637 (-666 *3))) (-5 *1 (-893 *3)) (-4 *3 (-847)))) (-4372 (*1 *1 *1) (-12 (-5 *1 (-893 *2)) (-4 *2 (-847)))) (-3979 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-893 *3)) (-4 *3 (-847)))) (-3171 (*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-893 *3)) (-4 *3 (-847))))) 
+(-13 (-847) (-1043 (-666 |#1|)) (-10 -8 (-15 (-3222) ($) -3177) (-15 -3942 ((-819 |#1|) $)) (-15 -3942 ($ |#1|)) (-15 -1827 ((-666 |#1|) $)) (-15 -3158 ((-768) $)) (-15 -4044 ((-637 (-666 |#1|)) $)) (-15 -4372 ($ $)) (-15 -3979 ((-121) $)) (-15 -3171 ((-637 |#1|) $)))) 
+((-2699 ((|#1| |#1| |#1|) 19))) 
+(((-894 |#1| |#2|) (-10 -7 (-15 -2699 (|#1| |#1| |#1|))) (-1233 |#2|) (-1053)) (T -894)) 
+((-2699 (*1 *2 *2 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-894 *2 *3)) (-4 *2 (-1233 *3))))) 
+(-10 -7 (-15 -2699 (|#1| |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-1538 (((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) 13)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1467 (((-1041) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) 12)) (-1323 (((-121) $ $) 6))) 
+(((-895) (-1289)) (T -895)) 
+((-1538 (*1 *2 *3 *4) (-12 (-4 *1 (-895)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)))))) (-1467 (*1 *2 *3) (-12 (-4 *1 (-895)) (-5 *3 (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) (-5 *2 (-1041))))) 
+(-13 (-1097) (-10 -7 (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| |explanations| (-1151))) (-1065) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216))))) (-15 -1467 ((-1041) (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216))))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-3089 ((|#1| |#1| (-768)) 23)) (-1378 (((-3 |#1| "failed") |#1| |#1|) 22)) (-3421 (((-3 (-2 (|:| -1856 |#1|) (|:| -1852 |#1|)) "failed") |#1| (-768) (-768)) 26) (((-637 |#1|) |#1|) 28))) 
+(((-896 |#1| |#2|) (-10 -7 (-15 -3421 ((-637 |#1|) |#1|)) (-15 -3421 ((-3 (-2 (|:| -1856 |#1|) (|:| -1852 |#1|)) "failed") |#1| (-768) (-768))) (-15 -1378 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3089 (|#1| |#1| (-768)))) (-1233 |#2|) (-367)) (T -896)) 
+((-3089 (*1 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-367)) (-5 *1 (-896 *2 *4)) (-4 *2 (-1233 *4)))) (-1378 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-367)) (-5 *1 (-896 *2 *3)) (-4 *2 (-1233 *3)))) (-3421 (*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-768)) (-4 *5 (-367)) (-5 *2 (-2 (|:| -1856 *3) (|:| -1852 *3))) (-5 *1 (-896 *3 *5)) (-4 *3 (-1233 *5)))) (-3421 (*1 *2 *3) (-12 (-4 *4 (-367)) (-5 *2 (-637 *3)) (-5 *1 (-896 *3 *4)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -3421 ((-637 |#1|) |#1|)) (-15 -3421 ((-3 (-2 (|:| -1856 |#1|) (|:| -1852 |#1|)) "failed") |#1| (-768) (-768))) (-15 -1378 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3089 (|#1| |#1| (-768)))) 
+((-4549 (((-1041) (-384) (-384) (-384) (-384) (-768) (-768) (-637 (-311 (-384))) (-637 (-637 (-311 (-384)))) (-1151)) 92) (((-1041) (-384) (-384) (-384) (-384) (-768) (-768) (-637 (-311 (-384))) (-637 (-637 (-311 (-384)))) (-1151) (-216)) 87) (((-1041) (-898) (-1065)) 76) (((-1041) (-898)) 77)) (-1538 (((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-898) (-1065)) 50) (((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-898)) 52))) 
+(((-897) (-10 -7 (-15 -4549 ((-1041) (-898))) (-15 -4549 ((-1041) (-898) (-1065))) (-15 -4549 ((-1041) (-384) (-384) (-384) (-384) (-768) (-768) (-637 (-311 (-384))) (-637 (-637 (-311 (-384)))) (-1151) (-216))) (-15 -4549 ((-1041) (-384) (-384) (-384) (-384) (-768) (-768) (-637 (-311 (-384))) (-637 (-637 (-311 (-384)))) (-1151))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-898))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-898) (-1065))))) (T -897)) 
+((-1538 (*1 *2 *3 *4) (-12 (-5 *3 (-898)) (-5 *4 (-1065)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-897)))) (-1538 (*1 *2 *3) (-12 (-5 *3 (-898)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-897)))) (-4549 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-768)) (-5 *6 (-637 (-637 (-311 *3)))) (-5 *7 (-1151)) (-5 *5 (-637 (-311 (-384)))) (-5 *3 (-384)) (-5 *2 (-1041)) (-5 *1 (-897)))) (-4549 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-768)) (-5 *6 (-637 (-637 (-311 *3)))) (-5 *7 (-1151)) (-5 *8 (-216)) (-5 *5 (-637 (-311 (-384)))) (-5 *3 (-384)) (-5 *2 (-1041)) (-5 *1 (-897)))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-898)) (-5 *4 (-1065)) (-5 *2 (-1041)) (-5 *1 (-897)))) (-4549 (*1 *2 *3) (-12 (-5 *3 (-898)) (-5 *2 (-1041)) (-5 *1 (-897))))) 
+(-10 -7 (-15 -4549 ((-1041) (-898))) (-15 -4549 ((-1041) (-898) (-1065))) (-15 -4549 ((-1041) (-384) (-384) (-384) (-384) (-768) (-768) (-637 (-311 (-384))) (-637 (-637 (-311 (-384)))) (-1151) (-216))) (-15 -4549 ((-1041) (-384) (-384) (-384) (-384) (-768) (-768) (-637 (-311 (-384))) (-637 (-637 (-311 (-384)))) (-1151))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-898))) (-15 -1538 ((-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151)))) (-898) (-1065)))) 
+((-2234 (((-121) $ $) NIL)) (-1316 (((-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216))) $) 10)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 12) (($ (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) 9)) (-1323 (((-121) $ $) NIL))) 
+(((-898) (-13 (-1097) (-10 -8 (-15 -3942 ($ (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216))))) (-15 -3942 ((-855) $)) (-15 -1316 ((-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216))) $))))) (T -898)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-898)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) (-5 *1 (-898)))) (-1316 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) (-5 *1 (-898))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ($ (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216))))) (-15 -3942 ((-855) $)) (-15 -1316 ((-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216))) $)))) 
+((-3096 (($ $ |#2|) NIL) (($ $ (-637 |#2|)) 10) (($ $ |#2| (-768)) 12) (($ $ (-637 |#2|) (-637 (-768))) 15)) (-1544 (($ $ |#2|) 16) (($ $ (-637 |#2|)) 18) (($ $ |#2| (-768)) 19) (($ $ (-637 |#2|) (-637 (-768))) 21))) 
+(((-899 |#1| |#2|) (-10 -8 (-15 -1544 (|#1| |#1| (-637 |#2|) (-637 (-768)))) (-15 -1544 (|#1| |#1| |#2| (-768))) (-15 -1544 (|#1| |#1| (-637 |#2|))) (-15 -1544 (|#1| |#1| |#2|)) (-15 -3096 (|#1| |#1| (-637 |#2|) (-637 (-768)))) (-15 -3096 (|#1| |#1| |#2| (-768))) (-15 -3096 (|#1| |#1| (-637 |#2|))) (-15 -3096 (|#1| |#1| |#2|))) (-900 |#2|) (-1097)) (T -899)) 
+NIL 
+(-10 -8 (-15 -1544 (|#1| |#1| (-637 |#2|) (-637 (-768)))) (-15 -1544 (|#1| |#1| |#2| (-768))) (-15 -1544 (|#1| |#1| (-637 |#2|))) (-15 -1544 (|#1| |#1| |#2|)) (-15 -3096 (|#1| |#1| (-637 |#2|) (-637 (-768)))) (-15 -3096 (|#1| |#1| |#2| (-768))) (-15 -3096 (|#1| |#1| (-637 |#2|))) (-15 -3096 (|#1| |#1| |#2|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3096 (($ $ |#1|) 41) (($ $ (-637 |#1|)) 40) (($ $ |#1| (-768)) 39) (($ $ (-637 |#1|) (-637 (-768))) 38)) (-3942 (((-855) $) 11) (($ (-571)) 27)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ |#1|) 37) (($ $ (-637 |#1|)) 36) (($ $ |#1| (-768)) 35) (($ $ (-637 |#1|) (-637 (-768))) 34)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-900 |#1|) (-1289) (-1097)) (T -900)) 
+((-3096 (*1 *1 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1097)))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *1 (-900 *3)) (-4 *3 (-1097)))) (-3096 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-900 *2)) (-4 *2 (-1097)))) (-3096 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *4)) (-5 *3 (-637 (-768))) (-4 *1 (-900 *4)) (-4 *4 (-1097)))) (-1544 (*1 *1 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1097)))) (-1544 (*1 *1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *1 (-900 *3)) (-4 *3 (-1097)))) (-1544 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-900 *2)) (-4 *2 (-1097)))) (-1544 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *4)) (-5 *3 (-637 (-768))) (-4 *1 (-900 *4)) (-4 *4 (-1097))))) 
+(-13 (-1053) (-10 -8 (-15 -3096 ($ $ |t#1|)) (-15 -3096 ($ $ (-637 |t#1|))) (-15 -3096 ($ $ |t#1| (-768))) (-15 -3096 ($ $ (-637 |t#1|) (-637 (-768)))) (-15 -1544 ($ $ |t#1|)) (-15 -1544 ($ $ (-637 |t#1|))) (-15 -1544 ($ $ |t#1| (-768))) (-15 -1544 ($ $ (-637 |t#1|) (-637 (-768)))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 $) . T) ((-721) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) 26)) (-3133 (((-121) $ (-768)) NIL)) (-2815 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-3127 (($ $ $) NIL (|has| $ (-6 -4601)))) (-2961 (($ $ $) NIL (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601))) (($ $ "left" $) NIL (|has| $ (-6 -4601))) (($ $ "right" $) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-1852 (($ $) 25)) (-3229 (($ |#1|) 12) (($ $ $) 17)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-1856 (($ $) 23)) (-3392 (((-637 |#1|) $) NIL)) (-2945 (((-121) $) 20)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-2514 (((-571) $ $) NIL)) (-1664 (((-121) $) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-855) $) 29 (|has| |#1| (-1097))) (((-1190 |#1|) $) 9)) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 21 (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-901 |#1|) (-13 (-128 |#1|) (-10 -8 (-15 -3229 ($ |#1|)) (-15 -3229 ($ $ $)) (-15 -3942 ((-1190 |#1|) $)))) (-1097)) (T -901)) 
+((-3229 (*1 *1 *2) (-12 (-5 *1 (-901 *2)) (-4 *2 (-1097)))) (-3229 (*1 *1 *1 *1) (-12 (-5 *1 (-901 *2)) (-4 *2 (-1097)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1190 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1097))))) 
+(-13 (-128 |#1|) (-10 -8 (-15 -3229 ($ |#1|)) (-15 -3229 ($ $ $)) (-15 -3942 ((-1190 |#1|) $)))) 
+((-2846 ((|#2| (-1134 |#1| |#2|)) 39))) 
+(((-902 |#1| |#2|) (-10 -7 (-15 -2846 (|#2| (-1134 |#1| |#2|)))) (-922) (-13 (-1053) (-10 -7 (-6 (-4602 "*"))))) (T -902)) 
+((-2846 (*1 *2 *3) (-12 (-5 *3 (-1134 *4 *2)) (-14 *4 (-922)) (-4 *2 (-13 (-1053) (-10 -7 (-6 (-4602 "*"))))) (-5 *1 (-902 *4 *2))))) 
+(-10 -7 (-15 -2846 (|#2| (-1134 |#1| |#2|)))) 
+((-2234 (((-121) $ $) 7)) (-2269 (($) 19 T CONST)) (-3978 (((-3 $ "failed") $) 15)) (-2921 (((-1099 |#1|) $ |#1|) 34)) (-2583 (((-121) $) 18)) (-1763 (($ $ $) 32 (-1831 (|has| |#1| (-847)) (|has| |#1| (-373))))) (-2383 (($ $ $) 31 (-1831 (|has| |#1| (-847)) (|has| |#1| (-373))))) (-3944 (((-1151) $) 9)) (-4315 (($ $) 26)) (-2580 (((-1115) $) 10)) (-4483 ((|#1| $ |#1|) 36)) (-3245 ((|#1| $ |#1|) 35)) (-1552 (($ (-637 (-637 |#1|))) 37)) (-4087 (($ (-637 |#1|)) 38)) (-2911 (($ $ $) 22)) (-2212 (($ $ $) 21)) (-3942 (((-855) $) 11)) (-4142 (($ $ (-922)) 12) (($ $ (-768)) 16) (($ $ (-571)) 23)) (-3222 (($) 20 T CONST)) (-1350 (((-121) $ $) 29 (-1831 (|has| |#1| (-847)) (|has| |#1| (-373))))) (-1338 (((-121) $ $) 28 (-1831 (|has| |#1| (-847)) (|has| |#1| (-373))))) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 30 (-1831 (|has| |#1| (-847)) (|has| |#1| (-373))))) (-1331 (((-121) $ $) 33)) (-1379 (($ $ $) 25)) (** (($ $ (-922)) 13) (($ $ (-768)) 17) (($ $ (-571)) 24)) (* (($ $ $) 14))) 
+(((-903 |#1|) (-1289) (-1097)) (T -903)) 
+((-4087 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-4 *1 (-903 *3)))) (-1552 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1097)) (-4 *1 (-903 *3)))) (-4483 (*1 *2 *1 *2) (-12 (-4 *1 (-903 *2)) (-4 *2 (-1097)))) (-3245 (*1 *2 *1 *2) (-12 (-4 *1 (-903 *2)) (-4 *2 (-1097)))) (-2921 (*1 *2 *1 *3) (-12 (-4 *1 (-903 *3)) (-4 *3 (-1097)) (-5 *2 (-1099 *3)))) (-1331 (*1 *2 *1 *1) (-12 (-4 *1 (-903 *3)) (-4 *3 (-1097)) (-5 *2 (-121))))) 
+(-13 (-481) (-10 -8 (-15 -4087 ($ (-637 |t#1|))) (-15 -1552 ($ (-637 (-637 |t#1|)))) (-15 -4483 (|t#1| $ |t#1|)) (-15 -3245 (|t#1| $ |t#1|)) (-15 -2921 ((-1099 |t#1|) $ |t#1|)) (-15 -1331 ((-121) $ $)) (IF (|has| |t#1| (-847)) (-6 (-847)) |noBranch|) (IF (|has| |t#1| (-373)) (-6 (-847)) |noBranch|))) 
+(((-105) . T) ((-611 (-855)) . T) ((-481) . T) ((-721) . T) ((-847) -1831 (|has| |#1| (-847)) (|has| |#1| (-373))) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-1939 (((-637 (-637 (-768))) $) 106)) (-4404 (((-637 (-768)) (-905 |#1|) $) 128)) (-3781 (((-637 (-768)) (-905 |#1|) $) 129)) (-4515 (((-637 (-905 |#1|)) $) 96)) (-3254 (((-905 |#1|) $ (-571)) 101) (((-905 |#1|) $) 102)) (-4162 (($ (-637 (-905 |#1|))) 108)) (-3347 (((-768) $) 103)) (-2788 (((-1099 (-1099 |#1|)) $) 126)) (-2921 (((-1099 |#1|) $ |#1|) 119) (((-1099 (-1099 |#1|)) $ (-1099 |#1|)) 137) (((-1099 (-637 |#1|)) $ (-637 |#1|)) 140)) (-3853 (((-1099 |#1|) $) 99)) (-3303 (((-121) (-905 |#1|) $) 90)) (-3944 (((-1151) $) NIL)) (-1715 (((-1263) $) 93) (((-1263) $ (-571) (-571)) 141)) (-2580 (((-1115) $) NIL)) (-1652 (((-637 (-905 |#1|)) $) 94)) (-3245 (((-905 |#1|) $ (-768)) 97)) (-2400 (((-768) $) 104)) (-3942 (((-855) $) 117) (((-637 (-905 |#1|)) $) 22) (($ (-637 (-905 |#1|))) 107)) (-3468 (((-637 |#1|) $) 105)) (-1323 (((-121) $ $) 134)) (-1342 (((-121) $ $) 132)) (-1331 (((-121) $ $) 131))) 
+(((-904 |#1|) (-13 (-1097) (-10 -8 (-15 -3942 ((-637 (-905 |#1|)) $)) (-15 -1652 ((-637 (-905 |#1|)) $)) (-15 -3245 ((-905 |#1|) $ (-768))) (-15 -3254 ((-905 |#1|) $ (-571))) (-15 -3254 ((-905 |#1|) $)) (-15 -3347 ((-768) $)) (-15 -2400 ((-768) $)) (-15 -3468 ((-637 |#1|) $)) (-15 -4515 ((-637 (-905 |#1|)) $)) (-15 -1939 ((-637 (-637 (-768))) $)) (-15 -3942 ($ (-637 (-905 |#1|)))) (-15 -4162 ($ (-637 (-905 |#1|)))) (-15 -2921 ((-1099 |#1|) $ |#1|)) (-15 -2788 ((-1099 (-1099 |#1|)) $)) (-15 -2921 ((-1099 (-1099 |#1|)) $ (-1099 |#1|))) (-15 -2921 ((-1099 (-637 |#1|)) $ (-637 |#1|))) (-15 -3303 ((-121) (-905 |#1|) $)) (-15 -4404 ((-637 (-768)) (-905 |#1|) $)) (-15 -3781 ((-637 (-768)) (-905 |#1|) $)) (-15 -3853 ((-1099 |#1|) $)) (-15 -1331 ((-121) $ $)) (-15 -1342 ((-121) $ $)) (-15 -1715 ((-1263) $)) (-15 -1715 ((-1263) $ (-571) (-571))))) (-1097)) (T -904)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-637 (-905 *3))) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-1652 (*1 *2 *1) (-12 (-5 *2 (-637 (-905 *3))) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-905 *4)) (-5 *1 (-904 *4)) (-4 *4 (-1097)))) (-3254 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-905 *4)) (-5 *1 (-904 *4)) (-4 *4 (-1097)))) (-3254 (*1 *2 *1) (-12 (-5 *2 (-905 *3)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-3347 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-2400 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-3468 (*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-4515 (*1 *2 *1) (-12 (-5 *2 (-637 (-905 *3))) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-1939 (*1 *2 *1) (-12 (-5 *2 (-637 (-637 (-768)))) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-905 *3))) (-4 *3 (-1097)) (-5 *1 (-904 *3)))) (-4162 (*1 *1 *2) (-12 (-5 *2 (-637 (-905 *3))) (-4 *3 (-1097)) (-5 *1 (-904 *3)))) (-2921 (*1 *2 *1 *3) (-12 (-5 *2 (-1099 *3)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-2788 (*1 *2 *1) (-12 (-5 *2 (-1099 (-1099 *3))) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-2921 (*1 *2 *1 *3) (-12 (-4 *4 (-1097)) (-5 *2 (-1099 (-1099 *4))) (-5 *1 (-904 *4)) (-5 *3 (-1099 *4)))) (-2921 (*1 *2 *1 *3) (-12 (-4 *4 (-1097)) (-5 *2 (-1099 (-637 *4))) (-5 *1 (-904 *4)) (-5 *3 (-637 *4)))) (-3303 (*1 *2 *3 *1) (-12 (-5 *3 (-905 *4)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-904 *4)))) (-4404 (*1 *2 *3 *1) (-12 (-5 *3 (-905 *4)) (-4 *4 (-1097)) (-5 *2 (-637 (-768))) (-5 *1 (-904 *4)))) (-3781 (*1 *2 *3 *1) (-12 (-5 *3 (-905 *4)) (-4 *4 (-1097)) (-5 *2 (-637 (-768))) (-5 *1 (-904 *4)))) (-3853 (*1 *2 *1) (-12 (-5 *2 (-1099 *3)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-1331 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-1342 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-1715 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) (-1715 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-904 *4)) (-4 *4 (-1097))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ((-637 (-905 |#1|)) $)) (-15 -1652 ((-637 (-905 |#1|)) $)) (-15 -3245 ((-905 |#1|) $ (-768))) (-15 -3254 ((-905 |#1|) $ (-571))) (-15 -3254 ((-905 |#1|) $)) (-15 -3347 ((-768) $)) (-15 -2400 ((-768) $)) (-15 -3468 ((-637 |#1|) $)) (-15 -4515 ((-637 (-905 |#1|)) $)) (-15 -1939 ((-637 (-637 (-768))) $)) (-15 -3942 ($ (-637 (-905 |#1|)))) (-15 -4162 ($ (-637 (-905 |#1|)))) (-15 -2921 ((-1099 |#1|) $ |#1|)) (-15 -2788 ((-1099 (-1099 |#1|)) $)) (-15 -2921 ((-1099 (-1099 |#1|)) $ (-1099 |#1|))) (-15 -2921 ((-1099 (-637 |#1|)) $ (-637 |#1|))) (-15 -3303 ((-121) (-905 |#1|) $)) (-15 -4404 ((-637 (-768)) (-905 |#1|) $)) (-15 -3781 ((-637 (-768)) (-905 |#1|) $)) (-15 -3853 ((-1099 |#1|) $)) (-15 -1331 ((-121) $ $)) (-15 -1342 ((-121) $ $)) (-15 -1715 ((-1263) $)) (-15 -1715 ((-1263) $ (-571) (-571))))) 
+((-2234 (((-121) $ $) NIL)) (-2972 (((-637 $) (-637 $)) 76)) (-3203 (((-571) $) 59)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL)) (-3347 (((-768) $) 57)) (-2921 (((-1099 |#1|) $ |#1|) 48)) (-2583 (((-121) $) NIL)) (-4329 (((-121) $) 62)) (-3986 (((-768) $) 60)) (-3853 (((-1099 |#1|) $) 41)) (-1763 (($ $ $) NIL (-1831 (|has| |#1| (-373)) (|has| |#1| (-847))))) (-2383 (($ $ $) NIL (-1831 (|has| |#1| (-373)) (|has| |#1| (-847))))) (-3011 (((-2 (|:| |preimage| (-637 |#1|)) (|:| |image| (-637 |#1|))) $) 35)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 92)) (-2580 (((-1115) $) NIL)) (-1304 (((-1099 |#1|) $) 98 (|has| |#1| (-373)))) (-2385 (((-121) $) 58)) (-4483 ((|#1| $ |#1|) 46)) (-3245 ((|#1| $ |#1|) 93)) (-2400 (((-768) $) 43)) (-1552 (($ (-637 (-637 |#1|))) 84)) (-1912 (((-978) $) 52)) (-4087 (($ (-637 |#1|)) 21)) (-2911 (($ $ $) NIL)) (-2212 (($ $ $) NIL)) (-1860 (($ (-637 (-637 |#1|))) 38)) (-1450 (($ (-637 (-637 |#1|))) 87)) (-2090 (($ (-637 |#1|)) 95)) (-3942 (((-855) $) 83) (($ (-637 (-637 |#1|))) 65) (($ (-637 |#1|)) 66)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-3222 (($) 16 T CONST)) (-1350 (((-121) $ $) NIL (-1831 (|has| |#1| (-373)) (|has| |#1| (-847))))) (-1338 (((-121) $ $) NIL (-1831 (|has| |#1| (-373)) (|has| |#1| (-847))))) (-1323 (((-121) $ $) 44)) (-1342 (((-121) $ $) NIL (-1831 (|has| |#1| (-373)) (|has| |#1| (-847))))) (-1331 (((-121) $ $) 64)) (-1379 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ $ $) 22))) 
+(((-905 |#1|) (-13 (-903 |#1|) (-10 -8 (-15 -3011 ((-2 (|:| |preimage| (-637 |#1|)) (|:| |image| (-637 |#1|))) $)) (-15 -1860 ($ (-637 (-637 |#1|)))) (-15 -3942 ($ (-637 (-637 |#1|)))) (-15 -3942 ($ (-637 |#1|))) (-15 -1450 ($ (-637 (-637 |#1|)))) (-15 -2400 ((-768) $)) (-15 -3853 ((-1099 |#1|) $)) (-15 -1912 ((-978) $)) (-15 -3347 ((-768) $)) (-15 -3986 ((-768) $)) (-15 -3203 ((-571) $)) (-15 -2385 ((-121) $)) (-15 -4329 ((-121) $)) (-15 -2972 ((-637 $) (-637 $))) (IF (|has| |#1| (-373)) (-15 -1304 ((-1099 |#1|) $)) |noBranch|) (IF (|has| |#1| (-553)) (-15 -2090 ($ (-637 |#1|))) (IF (|has| |#1| (-373)) (-15 -2090 ($ (-637 |#1|))) |noBranch|)))) (-1097)) (T -905)) 
+((-3011 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-637 *3)) (|:| |image| (-637 *3)))) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) (-1860 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1097)) (-5 *1 (-905 *3)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1097)) (-5 *1 (-905 *3)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-905 *3)))) (-1450 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1097)) (-5 *1 (-905 *3)))) (-2400 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) (-3853 (*1 *2 *1) (-12 (-5 *2 (-1099 *3)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-978)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) (-3347 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) (-3986 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) (-3203 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) (-2385 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) (-4329 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) (-2972 (*1 *2 *2) (-12 (-5 *2 (-637 (-905 *3))) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) (-1304 (*1 *2 *1) (-12 (-5 *2 (-1099 *3)) (-5 *1 (-905 *3)) (-4 *3 (-373)) (-4 *3 (-1097)))) (-2090 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-905 *3))))) 
+(-13 (-903 |#1|) (-10 -8 (-15 -3011 ((-2 (|:| |preimage| (-637 |#1|)) (|:| |image| (-637 |#1|))) $)) (-15 -1860 ($ (-637 (-637 |#1|)))) (-15 -3942 ($ (-637 (-637 |#1|)))) (-15 -3942 ($ (-637 |#1|))) (-15 -1450 ($ (-637 (-637 |#1|)))) (-15 -2400 ((-768) $)) (-15 -3853 ((-1099 |#1|) $)) (-15 -1912 ((-978) $)) (-15 -3347 ((-768) $)) (-15 -3986 ((-768) $)) (-15 -3203 ((-571) $)) (-15 -2385 ((-121) $)) (-15 -4329 ((-121) $)) (-15 -2972 ((-637 $) (-637 $))) (IF (|has| |#1| (-373)) (-15 -1304 ((-1099 |#1|) $)) |noBranch|) (IF (|has| |#1| (-553)) (-15 -2090 ($ (-637 |#1|))) (IF (|has| |#1| (-373)) (-15 -2090 ($ (-637 |#1|))) |noBranch|)))) 
+((-2182 (((-3 (-637 (-1165 |#4|)) "failed") (-637 (-1165 |#4|)) (-1165 |#4|)) 127)) (-4152 ((|#1|) 75)) (-3442 (((-423 (-1165 |#4|)) (-1165 |#4|)) 136)) (-1390 (((-423 (-1165 |#4|)) (-637 |#3|) (-1165 |#4|)) 67)) (-4144 (((-423 (-1165 |#4|)) (-1165 |#4|)) 146)) (-3518 (((-3 (-637 (-1165 |#4|)) "failed") (-637 (-1165 |#4|)) (-1165 |#4|) |#3|) 91))) 
+(((-906 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2182 ((-3 (-637 (-1165 |#4|)) "failed") (-637 (-1165 |#4|)) (-1165 |#4|))) (-15 -4144 ((-423 (-1165 |#4|)) (-1165 |#4|))) (-15 -3442 ((-423 (-1165 |#4|)) (-1165 |#4|))) (-15 -4152 (|#1|)) (-15 -3518 ((-3 (-637 (-1165 |#4|)) "failed") (-637 (-1165 |#4|)) (-1165 |#4|) |#3|)) (-15 -1390 ((-423 (-1165 |#4|)) (-637 |#3|) (-1165 |#4|)))) (-909) (-793) (-847) (-955 |#1| |#2| |#3|)) (T -906)) 
+((-1390 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *7)) (-4 *7 (-847)) (-4 *5 (-909)) (-4 *6 (-793)) (-4 *8 (-955 *5 *6 *7)) (-5 *2 (-423 (-1165 *8))) (-5 *1 (-906 *5 *6 *7 *8)) (-5 *4 (-1165 *8)))) (-3518 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-637 (-1165 *7))) (-5 *3 (-1165 *7)) (-4 *7 (-955 *5 *6 *4)) (-4 *5 (-909)) (-4 *6 (-793)) (-4 *4 (-847)) (-5 *1 (-906 *5 *6 *4 *7)))) (-4152 (*1 *2) (-12 (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-909)) (-5 *1 (-906 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) (-3442 (*1 *2 *3) (-12 (-4 *4 (-909)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-955 *4 *5 *6)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-906 *4 *5 *6 *7)) (-5 *3 (-1165 *7)))) (-4144 (*1 *2 *3) (-12 (-4 *4 (-909)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-955 *4 *5 *6)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-906 *4 *5 *6 *7)) (-5 *3 (-1165 *7)))) (-2182 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 *7))) (-5 *3 (-1165 *7)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-909)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-906 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -2182 ((-3 (-637 (-1165 |#4|)) "failed") (-637 (-1165 |#4|)) (-1165 |#4|))) (-15 -4144 ((-423 (-1165 |#4|)) (-1165 |#4|))) (-15 -3442 ((-423 (-1165 |#4|)) (-1165 |#4|))) (-15 -4152 (|#1|)) (-15 -3518 ((-3 (-637 (-1165 |#4|)) "failed") (-637 (-1165 |#4|)) (-1165 |#4|) |#3|)) (-15 -1390 ((-423 (-1165 |#4|)) (-637 |#3|) (-1165 |#4|)))) 
+((-2182 (((-3 (-637 (-1165 |#2|)) "failed") (-637 (-1165 |#2|)) (-1165 |#2|)) 36)) (-4152 ((|#1|) 53)) (-3442 (((-423 (-1165 |#2|)) (-1165 |#2|)) 101)) (-1390 (((-423 (-1165 |#2|)) (-1165 |#2|)) 88)) (-4144 (((-423 (-1165 |#2|)) (-1165 |#2|)) 112))) 
+(((-907 |#1| |#2|) (-10 -7 (-15 -2182 ((-3 (-637 (-1165 |#2|)) "failed") (-637 (-1165 |#2|)) (-1165 |#2|))) (-15 -4144 ((-423 (-1165 |#2|)) (-1165 |#2|))) (-15 -3442 ((-423 (-1165 |#2|)) (-1165 |#2|))) (-15 -4152 (|#1|)) (-15 -1390 ((-423 (-1165 |#2|)) (-1165 |#2|)))) (-909) (-1233 |#1|)) (T -907)) 
+((-1390 (*1 *2 *3) (-12 (-4 *4 (-909)) (-4 *5 (-1233 *4)) (-5 *2 (-423 (-1165 *5))) (-5 *1 (-907 *4 *5)) (-5 *3 (-1165 *5)))) (-4152 (*1 *2) (-12 (-4 *2 (-909)) (-5 *1 (-907 *2 *3)) (-4 *3 (-1233 *2)))) (-3442 (*1 *2 *3) (-12 (-4 *4 (-909)) (-4 *5 (-1233 *4)) (-5 *2 (-423 (-1165 *5))) (-5 *1 (-907 *4 *5)) (-5 *3 (-1165 *5)))) (-4144 (*1 *2 *3) (-12 (-4 *4 (-909)) (-4 *5 (-1233 *4)) (-5 *2 (-423 (-1165 *5))) (-5 *1 (-907 *4 *5)) (-5 *3 (-1165 *5)))) (-2182 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 *5))) (-5 *3 (-1165 *5)) (-4 *5 (-1233 *4)) (-4 *4 (-909)) (-5 *1 (-907 *4 *5))))) 
+(-10 -7 (-15 -2182 ((-3 (-637 (-1165 |#2|)) "failed") (-637 (-1165 |#2|)) (-1165 |#2|))) (-15 -4144 ((-423 (-1165 |#2|)) (-1165 |#2|))) (-15 -3442 ((-423 (-1165 |#2|)) (-1165 |#2|))) (-15 -4152 (|#1|)) (-15 -1390 ((-423 (-1165 |#2|)) (-1165 |#2|)))) 
+((-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 39)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 18)) (-2346 (((-3 $ "failed") $) 33))) 
+(((-908 |#1|) (-10 -8 (-15 -2346 ((-3 |#1| "failed") |#1|)) (-15 -1926 ((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|))) (-15 -2184 ((-1165 |#1|) (-1165 |#1|) (-1165 |#1|)))) (-909)) (T -908)) 
+NIL 
+(-10 -8 (-15 -2346 ((-3 |#1| "failed") |#1|)) (-15 -1926 ((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|))) (-15 -2184 ((-1165 |#1|) (-1165 |#1|) (-1165 |#1|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-1434 (((-423 (-1165 $)) (-1165 $)) 57)) (-2356 (($ $) 49)) (-4151 (((-423 $) $) 50)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 54)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-1596 (((-121) $) 51)) (-2583 (((-121) $) 30)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-2796 (((-423 (-1165 $)) (-1165 $)) 55)) (-1821 (((-423 (-1165 $)) (-1165 $)) 56)) (-4262 (((-423 $) $) 48)) (-1786 (((-3 $ "failed") $ $) 41)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 53 (|has| $ (-149)))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42)) (-2346 (((-3 $ "failed") $) 52 (|has| $ (-149)))) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-909) (-1289)) (T -909)) 
+((-2184 (*1 *2 *2 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-909)))) (-1434 (*1 *2 *3) (-12 (-4 *1 (-909)) (-5 *2 (-423 (-1165 *1))) (-5 *3 (-1165 *1)))) (-1821 (*1 *2 *3) (-12 (-4 *1 (-909)) (-5 *2 (-423 (-1165 *1))) (-5 *3 (-1165 *1)))) (-2796 (*1 *2 *3) (-12 (-4 *1 (-909)) (-5 *2 (-423 (-1165 *1))) (-5 *3 (-1165 *1)))) (-1926 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 *1))) (-5 *3 (-1165 *1)) (-4 *1 (-909)))) (-2041 (*1 *2 *3) (|partial| -12 (-5 *3 (-684 *1)) (-4 *1 (-149)) (-4 *1 (-909)) (-5 *2 (-1258 *1)))) (-2346 (*1 *1 *1) (|partial| -12 (-4 *1 (-149)) (-4 *1 (-909))))) 
+(-13 (-1213) (-10 -8 (-15 -1434 ((-423 (-1165 $)) (-1165 $))) (-15 -1821 ((-423 (-1165 $)) (-1165 $))) (-15 -2796 ((-423 (-1165 $)) (-1165 $))) (-15 -2184 ((-1165 $) (-1165 $) (-1165 $))) (-15 -1926 ((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $))) (IF (|has| $ (-149)) (PROGN (-15 -2041 ((-3 (-1258 $) "failed") (-684 $))) (-15 -2346 ((-3 $ "failed") $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-286) . T) ((-456) . T) ((-561) . T) ((-640 $) . T) ((-712 $) . T) ((-721) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-3833 (((-121) $) NIL)) (-1989 (((-768)) NIL)) (-3490 (($ $ (-922)) NIL (|has| $ (-373))) (($ $) NIL)) (-1747 (((-1177 (-922) (-768)) (-571)) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-4407 (((-768)) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 $ "failed") $) NIL)) (-1316 (($ $) NIL)) (-3456 (($ (-1258 $)) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL)) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1962 (($) NIL)) (-2854 (((-121) $) NIL)) (-2442 (($ $) NIL) (($ $ (-768)) NIL)) (-1596 (((-121) $) NIL)) (-3347 (((-833 (-922)) $) NIL) (((-922) $) NIL)) (-2583 (((-121) $) NIL)) (-2035 (($) NIL (|has| $ (-373)))) (-4230 (((-121) $) NIL (|has| $ (-373)))) (-3477 (($ $ (-922)) NIL (|has| $ (-373))) (($ $) NIL)) (-2596 (((-3 $ "failed") $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4400 (((-1165 $) $ (-922)) NIL (|has| $ (-373))) (((-1165 $) $) NIL)) (-4470 (((-922) $) NIL)) (-3641 (((-1165 $) $) NIL (|has| $ (-373)))) (-4089 (((-3 (-1165 $) "failed") $ $) NIL (|has| $ (-373))) (((-1165 $) $) NIL (|has| $ (-373)))) (-2690 (($ $ (-1165 $)) NIL (|has| $ (-373)))) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL T CONST)) (-1755 (($ (-922)) NIL)) (-3527 (((-121) $) NIL)) (-2580 (((-1115) $) NIL)) (-2280 (($) NIL (|has| $ (-373)))) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL)) (-4262 (((-423 $) $) NIL)) (-1556 (((-922)) NIL) (((-833 (-922))) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3804 (((-637 $)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-1305 (((-3 (-768) "failed") $ $) NIL) (((-768) $) NIL)) (-3847 (((-140)) NIL)) (-3096 (($ $ (-768)) NIL) (($ $) NIL)) (-2400 (((-922) $) NIL) (((-833 (-922)) $) NIL)) (-3413 (((-1165 $)) NIL)) (-4481 (($) NIL)) (-4469 (($) NIL (|has| $ (-373)))) (-3723 (((-684 $) (-1258 $)) NIL) (((-1258 $) $) NIL)) (-4050 (((-571) $) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL)) (-2346 (((-3 $ "failed") $) NIL) (($ $) NIL)) (-2661 (((-768)) NIL)) (-1899 (((-1258 $) (-922)) NIL) (((-1258 $)) NIL)) (-1388 (((-121) $ $) NIL)) (-3049 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-4526 (($ $ (-768)) NIL (|has| $ (-373))) (($ $) NIL (|has| $ (-373)))) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL))) 
+(((-910 |#1|) (-13 (-352) (-328 $) (-612 (-571))) (-922)) (T -910)) 
+NIL 
+(-13 (-352) (-328 $) (-612 (-571))) 
+((-1848 (((-3 (-2 (|:| -3347 (-768)) (|:| -3584 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)) 76)) (-1605 (((-121) (-335 |#2| |#3| |#4| |#5|)) 16)) (-3347 (((-3 (-768) "failed") (-335 |#2| |#3| |#4| |#5|)) 14))) 
+(((-911 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3347 ((-3 (-768) "failed") (-335 |#2| |#3| |#4| |#5|))) (-15 -1605 ((-121) (-335 |#2| |#3| |#4| |#5|))) (-15 -1848 ((-3 (-2 (|:| -3347 (-768)) (|:| -3584 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)))) (-13 (-847) (-561) (-1043 (-571))) (-435 |#1|) (-1233 |#2|) (-1233 (-412 |#3|)) (-341 |#2| |#3| |#4|)) (T -911)) 
+((-1848 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-435 *4)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-2 (|:| -3347 (-768)) (|:| -3584 *8))) (-5 *1 (-911 *4 *5 *6 *7 *8)))) (-1605 (*1 *2 *3) (-12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-435 *4)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-121)) (-5 *1 (-911 *4 *5 *6 *7 *8)))) (-3347 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-435 *4)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-768)) (-5 *1 (-911 *4 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -3347 ((-3 (-768) "failed") (-335 |#2| |#3| |#4| |#5|))) (-15 -1605 ((-121) (-335 |#2| |#3| |#4| |#5|))) (-15 -1848 ((-3 (-2 (|:| -3347 (-768)) (|:| -3584 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)))) 
+((-1848 (((-3 (-2 (|:| -3347 (-768)) (|:| -3584 |#3|)) "failed") (-335 (-412 (-571)) |#1| |#2| |#3|)) 56)) (-1605 (((-121) (-335 (-412 (-571)) |#1| |#2| |#3|)) 13)) (-3347 (((-3 (-768) "failed") (-335 (-412 (-571)) |#1| |#2| |#3|)) 11))) 
+(((-912 |#1| |#2| |#3|) (-10 -7 (-15 -3347 ((-3 (-768) "failed") (-335 (-412 (-571)) |#1| |#2| |#3|))) (-15 -1605 ((-121) (-335 (-412 (-571)) |#1| |#2| |#3|))) (-15 -1848 ((-3 (-2 (|:| -3347 (-768)) (|:| -3584 |#3|)) "failed") (-335 (-412 (-571)) |#1| |#2| |#3|)))) (-1233 (-412 (-571))) (-1233 (-412 |#1|)) (-341 (-412 (-571)) |#1| |#2|)) (T -912)) 
+((-1848 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-412 (-571)) *4 *5 *6)) (-4 *4 (-1233 (-412 (-571)))) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 (-412 (-571)) *4 *5)) (-5 *2 (-2 (|:| -3347 (-768)) (|:| -3584 *6))) (-5 *1 (-912 *4 *5 *6)))) (-1605 (*1 *2 *3) (-12 (-5 *3 (-335 (-412 (-571)) *4 *5 *6)) (-4 *4 (-1233 (-412 (-571)))) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 (-412 (-571)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-912 *4 *5 *6)))) (-3347 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-412 (-571)) *4 *5 *6)) (-4 *4 (-1233 (-412 (-571)))) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 (-412 (-571)) *4 *5)) (-5 *2 (-768)) (-5 *1 (-912 *4 *5 *6))))) 
+(-10 -7 (-15 -3347 ((-3 (-768) "failed") (-335 (-412 (-571)) |#1| |#2| |#3|))) (-15 -1605 ((-121) (-335 (-412 (-571)) |#1| |#2| |#3|))) (-15 -1848 ((-3 (-2 (|:| -3347 (-768)) (|:| -3584 |#3|)) "failed") (-335 (-412 (-571)) |#1| |#2| |#3|)))) 
+((-4257 (((-1165 |#1|) |#2|) 36)) (-2918 ((|#2| |#2| (-637 |#1|)) 59) ((|#2| |#2| (-637 |#1|) (-571)) 61)) (-3066 (((-768) |#2|) 70)) (-3395 ((|#2| |#2| |#2| (-571)) 51)) (-3989 ((|#2| |#2| |#2|) 49)) (-4295 ((|#2| |#2| |#2|) 48)) (-4318 ((|#2| |#2| (-571)) 64)) (-3952 ((|#2| |#2| (-571)) 60)) (-1368 (((-637 |#2|) |#2|) 15)) (-1859 ((|#2| |#2|) 82)) (-2587 ((|#2| (-1 |#3| |#3|) |#2|) 40)) (-3438 (((-637 |#2|)) 26)) (-2181 (((-637 |#3|) (-571)) 92)) (-4281 (((-637 |#2|) (-768)) 93)) (-1422 ((|#2| |#2| (-571)) 71)) (-2995 ((|#3| |#2|) NIL)) (-3802 (((-768) |#2|) 83)) (-2400 (((-768) |#2| (-571)) 67)) (-3958 ((|#1| |#2| (-922)) 80)) (-3177 ((|#1| |#2|) 81))) 
+(((-913 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2587 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -2400 ((-768) |#2| (-571))) (-15 -4257 ((-1165 |#1|) |#2|)) (-15 -3066 ((-768) |#2|)) (-15 -4295 (|#2| |#2| |#2|)) (-15 -3989 (|#2| |#2| |#2|)) (-15 -3395 (|#2| |#2| |#2| (-571))) (-15 -1859 (|#2| |#2|)) (-15 -2995 (|#3| |#2|)) (-15 -4318 (|#2| |#2| (-571))) (-15 -3952 (|#2| |#2| (-571))) (-15 -2918 (|#2| |#2| (-637 |#1|) (-571))) (-15 -2918 (|#2| |#2| (-637 |#1|))) (-15 -3958 (|#1| |#2| (-922))) (-15 -3177 (|#1| |#2|)) (-15 -1422 (|#2| |#2| (-571))) (-15 -2181 ((-637 |#3|) (-571))) (-15 -4281 ((-637 |#2|) (-768))) (-15 -3802 ((-768) |#2|)) (-15 -3438 ((-637 |#2|))) (-15 -1368 ((-637 |#2|) |#2|))) (-1053) (-325 |#1| |#3|) (-231 |#4| (-768)) (-768)) (T -913)) 
+((-1368 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *2 (-637 *3)) (-5 *1 (-913 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-3438 (*1 *2) (-12 (-4 *3 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *2 (-637 *4)) (-5 *1 (-913 *3 *4 *5 *6)) (-4 *4 (-325 *3 *5)))) (-3802 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-768)) (-5 *1 (-913 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-1053)) (-4 *6 (-231 *7 *3)) (-14 *7 *3) (-5 *2 (-637 *5)) (-5 *1 (-913 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6)))) (-2181 (*1 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1053)) (-4 *6 (-231 *7 (-768))) (-14 *7 (-768)) (-5 *2 (-637 *6)) (-5 *1 (-913 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6)))) (-1422 (*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-3177 (*1 *2 *3) (-12 (-4 *4 (-231 *5 (-768))) (-14 *5 (-768)) (-4 *2 (-1053)) (-5 *1 (-913 *2 *3 *4 *5)) (-4 *3 (-325 *2 *4)))) (-3958 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-4 *2 (-1053)) (-5 *1 (-913 *2 *3 *5 *6)) (-4 *3 (-325 *2 *5)))) (-2918 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2918 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-571)) (-4 *5 (-1053)) (-4 *6 (-231 *7 (-768))) (-14 *7 (-768)) (-5 *1 (-913 *5 *2 *6 *7)) (-4 *2 (-325 *5 *6)))) (-3952 (*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-4318 (*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2995 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-231 *5 (-768))) (-5 *1 (-913 *4 *3 *2 *5)) (-4 *3 (-325 *4 *2)) (-14 *5 (-768)))) (-1859 (*1 *2 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-231 *5 (-768))) (-14 *5 (-768)) (-5 *1 (-913 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-3395 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-3989 (*1 *2 *2 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-231 *5 (-768))) (-14 *5 (-768)) (-5 *1 (-913 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-4295 (*1 *2 *2 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-231 *5 (-768))) (-14 *5 (-768)) (-5 *1 (-913 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-3066 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-768)) (-5 *1 (-913 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-4257 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *2 (-1165 *4)) (-5 *1 (-913 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-2400 (*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-1053)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-768)) (-5 *1 (-913 *5 *3 *6 *7)) (-4 *3 (-325 *5 *6)))) (-2587 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-4 *4 (-1053)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(-10 -7 (-15 -2587 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -2400 ((-768) |#2| (-571))) (-15 -4257 ((-1165 |#1|) |#2|)) (-15 -3066 ((-768) |#2|)) (-15 -4295 (|#2| |#2| |#2|)) (-15 -3989 (|#2| |#2| |#2|)) (-15 -3395 (|#2| |#2| |#2| (-571))) (-15 -1859 (|#2| |#2|)) (-15 -2995 (|#3| |#2|)) (-15 -4318 (|#2| |#2| (-571))) (-15 -3952 (|#2| |#2| (-571))) (-15 -2918 (|#2| |#2| (-637 |#1|) (-571))) (-15 -2918 (|#2| |#2| (-637 |#1|))) (-15 -3958 (|#1| |#2| (-922))) (-15 -3177 (|#1| |#2|)) (-15 -1422 (|#2| |#2| (-571))) (-15 -2181 ((-637 |#3|) (-571))) (-15 -4281 ((-637 |#2|) (-768))) (-15 -3802 ((-768) |#2|)) (-15 -3438 ((-637 |#2|))) (-15 -1368 ((-637 |#2|) |#2|))) 
+((-2163 ((|#2| |#2|) 25)) (-4130 (((-571) (-637 (-2 (|:| |den| (-571)) (|:| |gcdnum| (-571))))) 15)) (-2251 (((-922) (-571)) 35)) (-1525 (((-571) |#2|) 42)) (-2271 (((-571) |#2|) 21) (((-2 (|:| |den| (-571)) (|:| |gcdnum| (-571))) |#1|) 20))) 
+(((-914 |#1| |#2|) (-10 -7 (-15 -2251 ((-922) (-571))) (-15 -2271 ((-2 (|:| |den| (-571)) (|:| |gcdnum| (-571))) |#1|)) (-15 -2271 ((-571) |#2|)) (-15 -4130 ((-571) (-637 (-2 (|:| |den| (-571)) (|:| |gcdnum| (-571)))))) (-15 -1525 ((-571) |#2|)) (-15 -2163 (|#2| |#2|))) (-1233 (-412 (-571))) (-1233 (-412 |#1|))) (T -914)) 
+((-2163 (*1 *2 *2) (-12 (-4 *3 (-1233 (-412 (-571)))) (-5 *1 (-914 *3 *2)) (-4 *2 (-1233 (-412 *3))))) (-1525 (*1 *2 *3) (-12 (-4 *4 (-1233 (-412 *2))) (-5 *2 (-571)) (-5 *1 (-914 *4 *3)) (-4 *3 (-1233 (-412 *4))))) (-4130 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| |den| (-571)) (|:| |gcdnum| (-571))))) (-4 *4 (-1233 (-412 *2))) (-5 *2 (-571)) (-5 *1 (-914 *4 *5)) (-4 *5 (-1233 (-412 *4))))) (-2271 (*1 *2 *3) (-12 (-4 *4 (-1233 (-412 *2))) (-5 *2 (-571)) (-5 *1 (-914 *4 *3)) (-4 *3 (-1233 (-412 *4))))) (-2271 (*1 *2 *3) (-12 (-4 *3 (-1233 (-412 (-571)))) (-5 *2 (-2 (|:| |den| (-571)) (|:| |gcdnum| (-571)))) (-5 *1 (-914 *3 *4)) (-4 *4 (-1233 (-412 *3))))) (-2251 (*1 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1233 (-412 *3))) (-5 *2 (-922)) (-5 *1 (-914 *4 *5)) (-4 *5 (-1233 (-412 *4)))))) 
+(-10 -7 (-15 -2251 ((-922) (-571))) (-15 -2271 ((-2 (|:| |den| (-571)) (|:| |gcdnum| (-571))) |#1|)) (-15 -2271 ((-571) |#2|)) (-15 -4130 ((-571) (-637 (-2 (|:| |den| (-571)) (|:| |gcdnum| (-571)))))) (-15 -1525 ((-571) |#2|)) (-15 -2163 (|#2| |#2|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1533 ((|#1| $) 80)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-2162 (($ $ $) NIL)) (-3978 (((-3 $ "failed") $) 74)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-1722 (($ |#1| (-423 |#1|)) 72)) (-3385 (((-1165 |#1|) |#1| |#1|) 40)) (-3179 (($ $) 48)) (-2583 (((-121) $) NIL)) (-3578 (((-571) $) 77)) (-2592 (($ $ (-571)) 79)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-1432 ((|#1| $) 76)) (-2764 (((-423 |#1|) $) 75)) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) 73)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3767 (($ $) 38)) (-3942 (((-855) $) 98) (($ (-571)) 53) (($ $) NIL) (($ (-412 (-571))) NIL) (($ |#1|) 30) (((-412 |#1|) $) 58) (($ (-412 (-423 |#1|))) 66)) (-2661 (((-768)) 51)) (-1388 (((-121) $ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 23 T CONST)) (-3222 (($) 11 T CONST)) (-1323 (((-121) $ $) 67)) (-1379 (($ $ $) NIL)) (-1373 (($ $) 87) (($ $ $) NIL)) (-1367 (($ $ $) 37)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 89) (($ $ $) 36) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ |#1| $) 88) (($ $ |#1|) NIL))) 
+(((-915 |#1|) (-13 (-367) (-43 |#1|) (-10 -8 (-15 -3942 ((-412 |#1|) $)) (-15 -3942 ($ (-412 (-423 |#1|)))) (-15 -3767 ($ $)) (-15 -2764 ((-423 |#1|) $)) (-15 -1432 (|#1| $)) (-15 -2592 ($ $ (-571))) (-15 -3578 ((-571) $)) (-15 -3385 ((-1165 |#1|) |#1| |#1|)) (-15 -3179 ($ $)) (-15 -1722 ($ |#1| (-423 |#1|))) (-15 -1533 (|#1| $)))) (-302)) (T -915)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-412 *3)) (-5 *1 (-915 *3)) (-4 *3 (-302)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-412 (-423 *3))) (-4 *3 (-302)) (-5 *1 (-915 *3)))) (-3767 (*1 *1 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-302)))) (-2764 (*1 *2 *1) (-12 (-5 *2 (-423 *3)) (-5 *1 (-915 *3)) (-4 *3 (-302)))) (-1432 (*1 *2 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-302)))) (-2592 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-915 *3)) (-4 *3 (-302)))) (-3578 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-915 *3)) (-4 *3 (-302)))) (-3385 (*1 *2 *3 *3) (-12 (-5 *2 (-1165 *3)) (-5 *1 (-915 *3)) (-4 *3 (-302)))) (-3179 (*1 *1 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-302)))) (-1722 (*1 *1 *2 *3) (-12 (-5 *3 (-423 *2)) (-4 *2 (-302)) (-5 *1 (-915 *2)))) (-1533 (*1 *2 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-302))))) 
+(-13 (-367) (-43 |#1|) (-10 -8 (-15 -3942 ((-412 |#1|) $)) (-15 -3942 ($ (-412 (-423 |#1|)))) (-15 -3767 ($ $)) (-15 -2764 ((-423 |#1|) $)) (-15 -1432 (|#1| $)) (-15 -2592 ($ $ (-571))) (-15 -3578 ((-571) $)) (-15 -3385 ((-1165 |#1|) |#1| |#1|)) (-15 -3179 ($ $)) (-15 -1722 ($ |#1| (-423 |#1|))) (-15 -1533 (|#1| $)))) 
+((-1722 (((-57) (-958 |#1|) (-423 (-958 |#1|)) (-1169)) 16) (((-57) (-412 (-958 |#1|)) (-1169)) 17))) 
+(((-916 |#1|) (-10 -7 (-15 -1722 ((-57) (-412 (-958 |#1|)) (-1169))) (-15 -1722 ((-57) (-958 |#1|) (-423 (-958 |#1|)) (-1169)))) (-13 (-302) (-151))) (T -916)) 
+((-1722 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-423 (-958 *6))) (-5 *5 (-1169)) (-5 *3 (-958 *6)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-916 *6)))) (-1722 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-916 *5))))) 
+(-10 -7 (-15 -1722 ((-57) (-412 (-958 |#1|)) (-1169))) (-15 -1722 ((-57) (-958 |#1|) (-423 (-958 |#1|)) (-1169)))) 
+((-4200 ((|#4| (-637 |#4|)) 118) (((-1165 |#4|) (-1165 |#4|) (-1165 |#4|)) 65) ((|#4| |#4| |#4|) 117)) (-3026 (((-1165 |#4|) (-637 (-1165 |#4|))) 111) (((-1165 |#4|) (-1165 |#4|) (-1165 |#4|)) 48) ((|#4| (-637 |#4|)) 53) ((|#4| |#4| |#4|) 82))) 
+(((-917 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3026 (|#4| |#4| |#4|)) (-15 -3026 (|#4| (-637 |#4|))) (-15 -3026 ((-1165 |#4|) (-1165 |#4|) (-1165 |#4|))) (-15 -3026 ((-1165 |#4|) (-637 (-1165 |#4|)))) (-15 -4200 (|#4| |#4| |#4|)) (-15 -4200 ((-1165 |#4|) (-1165 |#4|) (-1165 |#4|))) (-15 -4200 (|#4| (-637 |#4|)))) (-793) (-847) (-302) (-955 |#3| |#1| |#2|)) (T -917)) 
+((-4200 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *6 *4 *5)) (-5 *1 (-917 *4 *5 *6 *2)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)))) (-4200 (*1 *2 *2 *2) (-12 (-5 *2 (-1165 *6)) (-4 *6 (-955 *5 *3 *4)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-302)) (-5 *1 (-917 *3 *4 *5 *6)))) (-4200 (*1 *2 *2 *2) (-12 (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-302)) (-5 *1 (-917 *3 *4 *5 *2)) (-4 *2 (-955 *5 *3 *4)))) (-3026 (*1 *2 *3) (-12 (-5 *3 (-637 (-1165 *7))) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)) (-5 *2 (-1165 *7)) (-5 *1 (-917 *4 *5 *6 *7)) (-4 *7 (-955 *6 *4 *5)))) (-3026 (*1 *2 *2 *2) (-12 (-5 *2 (-1165 *6)) (-4 *6 (-955 *5 *3 *4)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-302)) (-5 *1 (-917 *3 *4 *5 *6)))) (-3026 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *6 *4 *5)) (-5 *1 (-917 *4 *5 *6 *2)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)))) (-3026 (*1 *2 *2 *2) (-12 (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-302)) (-5 *1 (-917 *3 *4 *5 *2)) (-4 *2 (-955 *5 *3 *4))))) 
+(-10 -7 (-15 -3026 (|#4| |#4| |#4|)) (-15 -3026 (|#4| (-637 |#4|))) (-15 -3026 ((-1165 |#4|) (-1165 |#4|) (-1165 |#4|))) (-15 -3026 ((-1165 |#4|) (-637 (-1165 |#4|)))) (-15 -4200 (|#4| |#4| |#4|)) (-15 -4200 ((-1165 |#4|) (-1165 |#4|) (-1165 |#4|))) (-15 -4200 (|#4| (-637 |#4|)))) 
+((-2128 (((-904 (-571)) (-978)) 22) (((-904 (-571)) (-637 (-571))) 19)) (-3947 (((-904 (-571)) (-637 (-571))) 46) (((-904 (-571)) (-922)) 47)) (-3671 (((-904 (-571))) 23)) (-3823 (((-904 (-571))) 36) (((-904 (-571)) (-637 (-571))) 35)) (-1460 (((-904 (-571))) 34) (((-904 (-571)) (-637 (-571))) 33)) (-2578 (((-904 (-571))) 32) (((-904 (-571)) (-637 (-571))) 31)) (-1625 (((-904 (-571))) 30) (((-904 (-571)) (-637 (-571))) 29)) (-3674 (((-904 (-571))) 28) (((-904 (-571)) (-637 (-571))) 27)) (-3704 (((-904 (-571))) 38) (((-904 (-571)) (-637 (-571))) 37)) (-4101 (((-904 (-571)) (-637 (-571))) 50) (((-904 (-571)) (-922)) 51)) (-2104 (((-904 (-571)) (-637 (-571))) 48) (((-904 (-571)) (-922)) 49)) (-2246 (((-904 (-571)) (-637 (-571))) 43) (((-904 (-571)) (-922)) 45)) (-4240 (((-904 (-571)) (-637 (-922))) 40))) 
+(((-918) (-10 -7 (-15 -3947 ((-904 (-571)) (-922))) (-15 -3947 ((-904 (-571)) (-637 (-571)))) (-15 -2246 ((-904 (-571)) (-922))) (-15 -2246 ((-904 (-571)) (-637 (-571)))) (-15 -4240 ((-904 (-571)) (-637 (-922)))) (-15 -2104 ((-904 (-571)) (-922))) (-15 -2104 ((-904 (-571)) (-637 (-571)))) (-15 -4101 ((-904 (-571)) (-922))) (-15 -4101 ((-904 (-571)) (-637 (-571)))) (-15 -3674 ((-904 (-571)) (-637 (-571)))) (-15 -3674 ((-904 (-571)))) (-15 -1625 ((-904 (-571)) (-637 (-571)))) (-15 -1625 ((-904 (-571)))) (-15 -2578 ((-904 (-571)) (-637 (-571)))) (-15 -2578 ((-904 (-571)))) (-15 -1460 ((-904 (-571)) (-637 (-571)))) (-15 -1460 ((-904 (-571)))) (-15 -3823 ((-904 (-571)) (-637 (-571)))) (-15 -3823 ((-904 (-571)))) (-15 -3704 ((-904 (-571)) (-637 (-571)))) (-15 -3704 ((-904 (-571)))) (-15 -3671 ((-904 (-571)))) (-15 -2128 ((-904 (-571)) (-637 (-571)))) (-15 -2128 ((-904 (-571)) (-978))))) (T -918)) 
+((-2128 (*1 *2 *3) (-12 (-5 *3 (-978)) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-2128 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-3671 (*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-3704 (*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-3704 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-3823 (*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-3823 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-1460 (*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-1460 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-2578 (*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-2578 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-1625 (*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-1625 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-3674 (*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-3674 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-4101 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-4101 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-2104 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-2104 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-4240 (*1 *2 *3) (-12 (-5 *3 (-637 (-922))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-2246 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-2246 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-3947 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) (-3947 (*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(-10 -7 (-15 -3947 ((-904 (-571)) (-922))) (-15 -3947 ((-904 (-571)) (-637 (-571)))) (-15 -2246 ((-904 (-571)) (-922))) (-15 -2246 ((-904 (-571)) (-637 (-571)))) (-15 -4240 ((-904 (-571)) (-637 (-922)))) (-15 -2104 ((-904 (-571)) (-922))) (-15 -2104 ((-904 (-571)) (-637 (-571)))) (-15 -4101 ((-904 (-571)) (-922))) (-15 -4101 ((-904 (-571)) (-637 (-571)))) (-15 -3674 ((-904 (-571)) (-637 (-571)))) (-15 -3674 ((-904 (-571)))) (-15 -1625 ((-904 (-571)) (-637 (-571)))) (-15 -1625 ((-904 (-571)))) (-15 -2578 ((-904 (-571)) (-637 (-571)))) (-15 -2578 ((-904 (-571)))) (-15 -1460 ((-904 (-571)) (-637 (-571)))) (-15 -1460 ((-904 (-571)))) (-15 -3823 ((-904 (-571)) (-637 (-571)))) (-15 -3823 ((-904 (-571)))) (-15 -3704 ((-904 (-571)) (-637 (-571)))) (-15 -3704 ((-904 (-571)))) (-15 -3671 ((-904 (-571)))) (-15 -2128 ((-904 (-571)) (-637 (-571)))) (-15 -2128 ((-904 (-571)) (-978)))) 
+((-4502 (((-637 (-958 |#1|)) (-637 (-958 |#1|)) (-637 (-1169))) 10)) (-1727 (((-637 (-958 |#1|)) (-637 (-958 |#1|)) (-637 (-1169))) 9))) 
+(((-919 |#1|) (-10 -7 (-15 -1727 ((-637 (-958 |#1|)) (-637 (-958 |#1|)) (-637 (-1169)))) (-15 -4502 ((-637 (-958 |#1|)) (-637 (-958 |#1|)) (-637 (-1169))))) (-456)) (T -919)) 
+((-4502 (*1 *2 *2 *3) (-12 (-5 *2 (-637 (-958 *4))) (-5 *3 (-637 (-1169))) (-4 *4 (-456)) (-5 *1 (-919 *4)))) (-1727 (*1 *2 *2 *3) (-12 (-5 *2 (-637 (-958 *4))) (-5 *3 (-637 (-1169))) (-4 *4 (-456)) (-5 *1 (-919 *4))))) 
+(-10 -7 (-15 -1727 ((-637 (-958 |#1|)) (-637 (-958 |#1|)) (-637 (-1169)))) (-15 -4502 ((-637 (-958 |#1|)) (-637 (-958 |#1|)) (-637 (-1169))))) 
+((-3942 (((-311 |#1|) (-492)) 15))) 
+(((-920 |#1|) (-10 -7 (-15 -3942 ((-311 |#1|) (-492)))) (-13 (-847) (-561))) (T -920)) 
+((-3942 (*1 *2 *3) (-12 (-5 *3 (-492)) (-5 *2 (-311 *4)) (-5 *1 (-920 *4)) (-4 *4 (-13 (-847) (-561)))))) 
+(-10 -7 (-15 -3942 ((-311 |#1|) (-492)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-2583 (((-121) $) 30)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-921) (-1289)) (T -921)) 
+((-3758 (*1 *2 *3) (-12 (-4 *1 (-921)) (-5 *2 (-2 (|:| -4501 (-637 *1)) (|:| -2280 *1))) (-5 *3 (-637 *1)))) (-4058 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-637 *1)) (-4 *1 (-921))))) 
+(-13 (-456) (-10 -8 (-15 -3758 ((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $))) (-15 -4058 ((-3 (-637 $) "failed") (-637 $) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-286) . T) ((-456) . T) ((-561) . T) ((-640 $) . T) ((-712 $) . T) ((-721) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3026 (($ $ $) NIL)) (-3942 (((-855) $) NIL)) (-4142 (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (-3222 (($) NIL T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (* (($ (-922) $) NIL) (($ $ $) NIL))) 
+(((-922) (-13 (-25) (-847) (-721) (-10 -8 (-15 -3026 ($ $ $)) (-6 (-4602 "*"))))) (T -922)) 
+((-3026 (*1 *1 *1 *1) (-5 *1 (-922)))) 
+(-13 (-25) (-847) (-721) (-10 -8 (-15 -3026 ($ $ $)) (-6 (-4602 "*")))) 
+((-4510 ((|#2| (-637 |#1|) (-637 |#1|)) 22))) 
+(((-923 |#1| |#2|) (-10 -7 (-15 -4510 (|#2| (-637 |#1|) (-637 |#1|)))) (-367) (-1233 |#1|)) (T -923)) 
+((-4510 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-4 *2 (-1233 *4)) (-5 *1 (-923 *4 *2))))) 
+(-10 -7 (-15 -4510 (|#2| (-637 |#1|) (-637 |#1|)))) 
+((-2429 (((-1165 |#2|) (-637 |#2|) (-637 |#2|)) 17) (((-1230 |#1| |#2|) (-1230 |#1| |#2|) (-637 |#2|) (-637 |#2|)) 13))) 
+(((-924 |#1| |#2|) (-10 -7 (-15 -2429 ((-1230 |#1| |#2|) (-1230 |#1| |#2|) (-637 |#2|) (-637 |#2|))) (-15 -2429 ((-1165 |#2|) (-637 |#2|) (-637 |#2|)))) (-1169) (-367)) (T -924)) 
+((-2429 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *5)) (-4 *5 (-367)) (-5 *2 (-1165 *5)) (-5 *1 (-924 *4 *5)) (-14 *4 (-1169)))) (-2429 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1230 *4 *5)) (-5 *3 (-637 *5)) (-14 *4 (-1169)) (-4 *5 (-367)) (-5 *1 (-924 *4 *5))))) 
+(-10 -7 (-15 -2429 ((-1230 |#1| |#2|) (-1230 |#1| |#2|) (-637 |#2|) (-637 |#2|))) (-15 -2429 ((-1165 |#2|) (-637 |#2|) (-637 |#2|)))) 
+((-2234 (((-121) $ $) 7)) (-1785 (((-1263) $ (-637 |#2|)) 19)) (-1300 (((-637 $)) 14)) (-4538 (((-1263) $ (-922)) 18)) (-3074 (((-237 $) (-637 $)) 23)) (-2424 (((-637 |#2|) $) 20)) (-2945 (((-121) $) 17)) (-3944 (((-1151) $) 9)) (-3990 (((-1263) $) 16)) (-2580 (((-1115) $) 10)) (-1494 (((-637 $)) 15)) (-3245 ((|#1| $ (-571)) 13)) (-2400 (((-922) $) 12)) (-2327 (($ (-637 |#1|)) 22) (($ (-1169)) 21)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6)) (-1373 (((-237 $) $ $) 28) (((-237 $) (-237 $) $) 27) (((-237 $) $ (-237 $)) 26) (((-237 $) $) 25)) (-1367 (((-237 $) $ $) 31) (((-237 $) (-237 $) $) 30) (((-237 $) $ (-237 $)) 29)) (* (((-237 $) (-571) $) 24))) 
+(((-925 |#1| |#2|) (-1289) (-367) (-644 |t#1|)) (T -925)) 
+((-1367 (*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)))) (-1367 (*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)))) (-1367 (*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)))) (-1373 (*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)))) (-1373 (*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)))) (-1373 (*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)))) (-1373 (*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)))) (* (*1 *2 *3 *1) (-12 (-5 *3 (-571)) (-4 *4 (-367)) (-4 *5 (-644 *4)) (-5 *2 (-237 *1)) (-4 *1 (-925 *4 *5)))) (-3074 (*1 *2 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-925 *4 *5)) (-4 *4 (-367)) (-4 *5 (-644 *4)) (-5 *2 (-237 *1)))) (-2327 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-4 *1 (-925 *3 *4)) (-4 *4 (-644 *3)))) (-2327 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-4 *3 (-367)) (-4 *1 (-925 *3 *4)) (-4 *4 (-644 *3)))) (-2424 (*1 *2 *1) (-12 (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-637 *4)))) (-1785 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *5)) (-4 *1 (-925 *4 *5)) (-4 *4 (-367)) (-4 *5 (-644 *4)) (-5 *2 (-1263)))) (-4538 (*1 *2 *1 *3) (-12 (-5 *3 (-922)) (-4 *1 (-925 *4 *5)) (-4 *4 (-367)) (-4 *5 (-644 *4)) (-5 *2 (-1263)))) (-2945 (*1 *2 *1) (-12 (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-121)))) (-3990 (*1 *2 *1) (-12 (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-1263)))) (-1494 (*1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-637 *1)) (-4 *1 (-925 *3 *4)))) (-1300 (*1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-637 *1)) (-4 *1 (-925 *3 *4)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-925 *2 *4)) (-4 *4 (-644 *2)) (-4 *2 (-367))))) 
+(-13 (-1095) (-10 -8 (-15 -1367 ((-237 $) $ $)) (-15 -1367 ((-237 $) (-237 $) $)) (-15 -1367 ((-237 $) $ (-237 $))) (-15 -1373 ((-237 $) $ $)) (-15 -1373 ((-237 $) (-237 $) $)) (-15 -1373 ((-237 $) $ (-237 $))) (-15 -1373 ((-237 $) $)) (-15 * ((-237 $) (-571) $)) (-15 -3074 ((-237 $) (-637 $))) (-15 -2327 ($ (-637 |t#1|))) (-15 -2327 ($ (-1169))) (-15 -2424 ((-637 |t#2|) $)) (-15 -1785 ((-1263) $ (-637 |t#2|))) (-15 -4538 ((-1263) $ (-922))) (-15 -2945 ((-121) $)) (-15 -3990 ((-1263) $)) (-15 -1494 ((-637 $))) (-15 -1300 ((-637 $))) (-15 -3245 (|t#1| $ (-571))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T) ((-1095) . T)) 
+((-2234 (((-121) $ $) NIL)) (-1785 (((-1263) $ (-637 (-779 |#1|))) NIL)) (-1300 (((-637 $)) NIL)) (-4538 (((-1263) $ (-922)) NIL)) (-3074 (((-237 $) (-637 $)) NIL)) (-2424 (((-637 (-779 |#1|)) $) NIL)) (-2945 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-3990 (((-1263) $) NIL)) (-2580 (((-1115) $) NIL)) (-1494 (((-637 $)) NIL)) (-3245 ((|#1| $ (-571)) NIL)) (-2400 (((-922) $) NIL)) (-2327 (($ (-637 |#1|)) NIL) (($ (-1169)) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL)) (-1373 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL) (((-237 $) $) NIL)) (-1367 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL)) (* (((-237 $) (-571) $) NIL))) 
+(((-926 |#1|) (-925 |#1| (-779 |#1|)) (-367)) (T -926)) 
+NIL 
+(-925 |#1| (-779 |#1|)) 
+((-2234 (((-121) $ $) NIL)) (-1785 (((-1263) $ (-637 (-779 (-862 |#1|)))) NIL)) (-1300 (((-637 $)) NIL)) (-4538 (((-1263) $ (-922)) NIL)) (-3074 (((-237 $) (-637 $)) NIL)) (-2424 (((-637 (-779 (-862 |#1|))) $) NIL)) (-2945 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-3990 (((-1263) $) NIL)) (-2580 (((-1115) $) NIL)) (-1494 (((-637 $)) NIL)) (-3245 (((-862 |#1|) $ (-571)) NIL)) (-2400 (((-922) $) NIL)) (-2327 (($ (-637 (-862 |#1|))) NIL) (($ (-1169)) NIL)) (-3942 (((-855) $) NIL)) (-1323 (((-121) $ $) NIL)) (-1373 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL) (((-237 $) $) NIL)) (-1367 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL)) (* (((-237 $) (-571) $) NIL))) 
+(((-927 |#1|) (-925 (-862 |#1|) (-779 (-862 |#1|))) (-352)) (T -927)) 
+NIL 
+(-925 (-862 |#1|) (-779 (-862 |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-1785 (((-1263) $ (-637 |#2|)) 73)) (-1300 (((-637 $)) 62)) (-4538 (((-1263) $ (-922)) 71)) (-3074 (((-237 $) (-637 $)) 27)) (-2424 (((-637 |#2|) $) 74)) (-2945 (((-121) $) 54)) (-3944 (((-1151) $) NIL)) (-3990 (((-1263) $) 57)) (-2580 (((-1115) $) NIL)) (-1494 (((-637 $)) 59)) (-3245 ((|#1| $ (-571)) 53)) (-2400 (((-922) $) 42)) (-2327 (($ (-637 |#1|)) 69) (($ (-1169)) 70)) (-3942 (((-855) $) 45)) (-1323 (((-121) $ $) 50)) (-1373 (((-237 $) $ $) 18) (((-237 $) (-237 $) $) 30) (((-237 $) $ (-237 $)) 31) (((-237 $) $) 33)) (-1367 (((-237 $) $ $) 16) (((-237 $) (-237 $) $) 28) (((-237 $) $ (-237 $)) 29)) (* (((-237 $) (-571) $) 21))) 
+(((-928 |#1| |#2|) (-925 |#1| |#2|) (-367) (-644 |#1|)) (T -928)) 
+NIL 
+(-925 |#1| |#2|) 
+((-2754 (((-571) (-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-1151)) 137)) (-1983 ((|#4| |#4|) 153)) (-4261 (((-637 (-412 (-958 |#1|))) (-637 (-1169))) 116)) (-2002 (((-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))) (-684 |#4|) (-637 (-412 (-958 |#1|))) (-637 (-637 |#4|)) (-768) (-768) (-571)) 73)) (-1658 (((-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))) (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))) (-637 |#4|)) 57)) (-4516 (((-684 |#4|) (-684 |#4|) (-637 |#4|)) 53)) (-3103 (((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-1151)) 149)) (-2364 (((-571) (-684 |#4|) (-922) (-1151)) 130) (((-571) (-684 |#4|) (-637 (-1169)) (-922) (-1151)) 129) (((-571) (-684 |#4|) (-637 |#4|) (-922) (-1151)) 128) (((-571) (-684 |#4|) (-1151)) 125) (((-571) (-684 |#4|) (-637 (-1169)) (-1151)) 124) (((-571) (-684 |#4|) (-637 |#4|) (-1151)) 123) (((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-922)) 122) (((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 (-1169)) (-922)) 121) (((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 |#4|) (-922)) 120) (((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|)) 118) (((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 (-1169))) 117) (((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 |#4|)) 114)) (-4110 ((|#4| (-958 |#1|)) 66)) (-4438 (((-121) (-637 |#4|) (-637 (-637 |#4|))) 150)) (-2591 (((-637 (-637 (-571))) (-571) (-571)) 127)) (-3770 (((-637 (-637 |#4|)) (-637 (-637 |#4|))) 85)) (-2183 (((-768) (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 |#4|))))) 83)) (-2695 (((-768) (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 |#4|))))) 82)) (-3380 (((-121) (-637 (-958 |#1|))) 17) (((-121) (-637 |#4|)) 13)) (-2569 (((-2 (|:| |sysok| (-121)) (|:| |z0| (-637 |#4|)) (|:| |n0| (-637 |#4|))) (-637 |#4|) (-637 |#4|)) 69)) (-4141 (((-637 |#4|) |#4|) 47)) (-2348 (((-637 (-412 (-958 |#1|))) (-637 |#4|)) 112) (((-684 (-412 (-958 |#1|))) (-684 |#4|)) 54) (((-412 (-958 |#1|)) |#4|) 109)) (-2967 (((-2 (|:| |rgl| (-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))))))) (|:| |rgsz| (-571))) (-684 |#4|) (-637 (-412 (-958 |#1|))) (-768) (-1151) (-571)) 89)) (-2451 (((-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 |#4|)))) (-684 |#4|) (-768)) 81)) (-2877 (((-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571))))) (-684 |#4|) (-768)) 98)) (-2137 (((-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))) (-2 (|:| -3533 (-684 (-412 (-958 |#1|)))) (|:| |vec| (-637 (-412 (-958 |#1|)))) (|:| -3241 (-768)) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571))))) 46))) 
+(((-929 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 |#4|))) (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 (-1169)))) (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|))) (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 |#4|) (-922))) (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 (-1169)) (-922))) (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-922))) (-15 -2364 ((-571) (-684 |#4|) (-637 |#4|) (-1151))) (-15 -2364 ((-571) (-684 |#4|) (-637 (-1169)) (-1151))) (-15 -2364 ((-571) (-684 |#4|) (-1151))) (-15 -2364 ((-571) (-684 |#4|) (-637 |#4|) (-922) (-1151))) (-15 -2364 ((-571) (-684 |#4|) (-637 (-1169)) (-922) (-1151))) (-15 -2364 ((-571) (-684 |#4|) (-922) (-1151))) (-15 -2754 ((-571) (-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-1151))) (-15 -3103 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-1151))) (-15 -2967 ((-2 (|:| |rgl| (-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))))))) (|:| |rgsz| (-571))) (-684 |#4|) (-637 (-412 (-958 |#1|))) (-768) (-1151) (-571))) (-15 -2348 ((-412 (-958 |#1|)) |#4|)) (-15 -2348 ((-684 (-412 (-958 |#1|))) (-684 |#4|))) (-15 -2348 ((-637 (-412 (-958 |#1|))) (-637 |#4|))) (-15 -4261 ((-637 (-412 (-958 |#1|))) (-637 (-1169)))) (-15 -4110 (|#4| (-958 |#1|))) (-15 -2569 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-637 |#4|)) (|:| |n0| (-637 |#4|))) (-637 |#4|) (-637 |#4|))) (-15 -2451 ((-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 |#4|)))) (-684 |#4|) (-768))) (-15 -1658 ((-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))) (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))) (-637 |#4|))) (-15 -2137 ((-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))) (-2 (|:| -3533 (-684 (-412 (-958 |#1|)))) (|:| |vec| (-637 (-412 (-958 |#1|)))) (|:| -3241 (-768)) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (-15 -4141 ((-637 |#4|) |#4|)) (-15 -2695 ((-768) (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 |#4|)))))) (-15 -2183 ((-768) (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 |#4|)))))) (-15 -3770 ((-637 (-637 |#4|)) (-637 (-637 |#4|)))) (-15 -2591 ((-637 (-637 (-571))) (-571) (-571))) (-15 -4438 ((-121) (-637 |#4|) (-637 (-637 |#4|)))) (-15 -2877 ((-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571))))) (-684 |#4|) (-768))) (-15 -4516 ((-684 |#4|) (-684 |#4|) (-637 |#4|))) (-15 -2002 ((-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))) (-684 |#4|) (-637 (-412 (-958 |#1|))) (-637 (-637 |#4|)) (-768) (-768) (-571))) (-15 -1983 (|#4| |#4|)) (-15 -3380 ((-121) (-637 |#4|))) (-15 -3380 ((-121) (-637 (-958 |#1|))))) (-13 (-302) (-151)) (-13 (-847) (-612 (-1169))) (-793) (-955 |#1| |#3| |#2|)) (T -929)) 
+((-3380 (*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-121)) (-5 *1 (-929 *4 *5 *6 *7)) (-4 *7 (-955 *4 *6 *5)))) (-3380 (*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-121)) (-5 *1 (-929 *4 *5 *6 *7)))) (-1983 (*1 *2 *2) (-12 (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-847) (-612 (-1169)))) (-4 *5 (-793)) (-5 *1 (-929 *3 *4 *5 *2)) (-4 *2 (-955 *3 *5 *4)))) (-2002 (*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571))))) (-5 *4 (-684 *12)) (-5 *5 (-637 (-412 (-958 *9)))) (-5 *6 (-637 (-637 *12))) (-5 *7 (-768)) (-5 *8 (-571)) (-4 *9 (-13 (-302) (-151))) (-4 *12 (-955 *9 *11 *10)) (-4 *10 (-13 (-847) (-612 (-1169)))) (-4 *11 (-793)) (-5 *2 (-2 (|:| |eqzro| (-637 *12)) (|:| |neqzro| (-637 *12)) (|:| |wcond| (-637 (-958 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *9)))) (|:| -1899 (-637 (-1258 (-412 (-958 *9))))))))) (-5 *1 (-929 *9 *10 *11 *12)))) (-4516 (*1 *2 *2 *3) (-12 (-5 *2 (-684 *7)) (-5 *3 (-637 *7)) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *1 (-929 *4 *5 *6 *7)))) (-2877 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-5 *4 (-768)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-637 (-2 (|:| |det| *8) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (-5 *1 (-929 *5 *6 *7 *8)))) (-4438 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-637 *8))) (-5 *3 (-637 *8)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-121)) (-5 *1 (-929 *5 *6 *7 *8)))) (-2591 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 (-637 (-571)))) (-5 *1 (-929 *4 *5 *6 *7)) (-5 *3 (-571)) (-4 *7 (-955 *4 *6 *5)))) (-3770 (*1 *2 *2) (-12 (-5 *2 (-637 (-637 *6))) (-4 *6 (-955 *3 *5 *4)) (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-847) (-612 (-1169)))) (-4 *5 (-793)) (-5 *1 (-929 *3 *4 *5 *6)))) (-2183 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| *7) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 *7))))) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-768)) (-5 *1 (-929 *4 *5 *6 *7)))) (-2695 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| *7) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 *7))))) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-768)) (-5 *1 (-929 *4 *5 *6 *7)))) (-4141 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 *3)) (-5 *1 (-929 *4 *5 *6 *3)) (-4 *3 (-955 *4 *6 *5)))) (-2137 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3533 (-684 (-412 (-958 *4)))) (|:| |vec| (-637 (-412 (-958 *4)))) (|:| -3241 (-768)) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571))))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-2 (|:| |partsol| (-1258 (-412 (-958 *4)))) (|:| -1899 (-637 (-1258 (-412 (-958 *4))))))) (-5 *1 (-929 *4 *5 *6 *7)) (-4 *7 (-955 *4 *6 *5)))) (-1658 (*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1258 (-412 (-958 *4)))) (|:| -1899 (-637 (-1258 (-412 (-958 *4))))))) (-5 *3 (-637 *7)) (-4 *4 (-13 (-302) (-151))) (-4 *7 (-955 *4 *6 *5)) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *1 (-929 *4 *5 *6 *7)))) (-2451 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| *8) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 *8))))) (-5 *1 (-929 *5 *6 *7 *8)) (-5 *4 (-768)))) (-2569 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-4 *7 (-955 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-637 *7)) (|:| |n0| (-637 *7)))) (-5 *1 (-929 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) (-4110 (*1 *2 *3) (-12 (-5 *3 (-958 *4)) (-4 *4 (-13 (-302) (-151))) (-4 *2 (-955 *4 *6 *5)) (-5 *1 (-929 *4 *5 *6 *2)) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)))) (-4261 (*1 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 (-412 (-958 *4)))) (-5 *1 (-929 *4 *5 *6 *7)) (-4 *7 (-955 *4 *6 *5)))) (-2348 (*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 (-412 (-958 *4)))) (-5 *1 (-929 *4 *5 *6 *7)))) (-2348 (*1 *2 *3) (-12 (-5 *3 (-684 *7)) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-684 (-412 (-958 *4)))) (-5 *1 (-929 *4 *5 *6 *7)))) (-2348 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-412 (-958 *4))) (-5 *1 (-929 *4 *5 *6 *3)) (-4 *3 (-955 *4 *6 *5)))) (-2967 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-684 *11)) (-5 *4 (-637 (-412 (-958 *8)))) (-5 *5 (-768)) (-5 *6 (-1151)) (-4 *8 (-13 (-302) (-151))) (-4 *11 (-955 *8 *10 *9)) (-4 *9 (-13 (-847) (-612 (-1169)))) (-4 *10 (-793)) (-5 *2 (-2 (|:| |rgl| (-637 (-2 (|:| |eqzro| (-637 *11)) (|:| |neqzro| (-637 *11)) (|:| |wcond| (-637 (-958 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *8)))) (|:| -1899 (-637 (-1258 (-412 (-958 *8)))))))))) (|:| |rgsz| (-571)))) (-5 *1 (-929 *8 *9 *10 *11)) (-5 *7 (-571)))) (-3103 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *7)) (|:| |neqzro| (-637 *7)) (|:| |wcond| (-637 (-958 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *4)))) (|:| -1899 (-637 (-1258 (-412 (-958 *4)))))))))) (-5 *1 (-929 *4 *5 *6 *7)) (-4 *7 (-955 *4 *6 *5)))) (-2754 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-2 (|:| |eqzro| (-637 *8)) (|:| |neqzro| (-637 *8)) (|:| |wcond| (-637 (-958 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *5)))) (|:| -1899 (-637 (-1258 (-412 (-958 *5)))))))))) (-5 *4 (-1151)) (-4 *5 (-13 (-302) (-151))) (-4 *8 (-955 *5 *7 *6)) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *5 *6 *7 *8)))) (-2364 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *9)) (-5 *4 (-922)) (-5 *5 (-1151)) (-4 *9 (-955 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-847) (-612 (-1169)))) (-4 *8 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *6 *7 *8 *9)))) (-2364 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-684 *10)) (-5 *4 (-637 (-1169))) (-5 *5 (-922)) (-5 *6 (-1151)) (-4 *10 (-955 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-847) (-612 (-1169)))) (-4 *9 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *7 *8 *9 *10)))) (-2364 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-684 *10)) (-5 *4 (-637 *10)) (-5 *5 (-922)) (-5 *6 (-1151)) (-4 *10 (-955 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-847) (-612 (-1169)))) (-4 *9 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *7 *8 *9 *10)))) (-2364 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-5 *4 (-1151)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *5 *6 *7 *8)))) (-2364 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *9)) (-5 *4 (-637 (-1169))) (-5 *5 (-1151)) (-4 *9 (-955 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-847) (-612 (-1169)))) (-4 *8 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *6 *7 *8 *9)))) (-2364 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *9)) (-5 *4 (-637 *9)) (-5 *5 (-1151)) (-4 *9 (-955 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-847) (-612 (-1169)))) (-4 *8 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *6 *7 *8 *9)))) (-2364 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-5 *4 (-922)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *8)) (|:| |neqzro| (-637 *8)) (|:| |wcond| (-637 (-958 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *5)))) (|:| -1899 (-637 (-1258 (-412 (-958 *5)))))))))) (-5 *1 (-929 *5 *6 *7 *8)))) (-2364 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *9)) (-5 *4 (-637 (-1169))) (-5 *5 (-922)) (-4 *9 (-955 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-847) (-612 (-1169)))) (-4 *8 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *9)) (|:| |neqzro| (-637 *9)) (|:| |wcond| (-637 (-958 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *6)))) (|:| -1899 (-637 (-1258 (-412 (-958 *6)))))))))) (-5 *1 (-929 *6 *7 *8 *9)))) (-2364 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *9)) (-5 *5 (-922)) (-4 *9 (-955 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-847) (-612 (-1169)))) (-4 *8 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *9)) (|:| |neqzro| (-637 *9)) (|:| |wcond| (-637 (-958 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *6)))) (|:| -1899 (-637 (-1258 (-412 (-958 *6)))))))))) (-5 *1 (-929 *6 *7 *8 *9)) (-5 *4 (-637 *9)))) (-2364 (*1 *2 *3) (-12 (-5 *3 (-684 *7)) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *7)) (|:| |neqzro| (-637 *7)) (|:| |wcond| (-637 (-958 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *4)))) (|:| -1899 (-637 (-1258 (-412 (-958 *4)))))))))) (-5 *1 (-929 *4 *5 *6 *7)))) (-2364 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-5 *4 (-637 (-1169))) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *8)) (|:| |neqzro| (-637 *8)) (|:| |wcond| (-637 (-958 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *5)))) (|:| -1899 (-637 (-1258 (-412 (-958 *5)))))))))) (-5 *1 (-929 *5 *6 *7 *8)))) (-2364 (*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *8)) (|:| |neqzro| (-637 *8)) (|:| |wcond| (-637 (-958 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *5)))) (|:| -1899 (-637 (-1258 (-412 (-958 *5)))))))))) (-5 *1 (-929 *5 *6 *7 *8)) (-5 *4 (-637 *8))))) 
+(-10 -7 (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 |#4|))) (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 (-1169)))) (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|))) (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 |#4|) (-922))) (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-637 (-1169)) (-922))) (-15 -2364 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-684 |#4|) (-922))) (-15 -2364 ((-571) (-684 |#4|) (-637 |#4|) (-1151))) (-15 -2364 ((-571) (-684 |#4|) (-637 (-1169)) (-1151))) (-15 -2364 ((-571) (-684 |#4|) (-1151))) (-15 -2364 ((-571) (-684 |#4|) (-637 |#4|) (-922) (-1151))) (-15 -2364 ((-571) (-684 |#4|) (-637 (-1169)) (-922) (-1151))) (-15 -2364 ((-571) (-684 |#4|) (-922) (-1151))) (-15 -2754 ((-571) (-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-1151))) (-15 -3103 ((-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|))))))))) (-1151))) (-15 -2967 ((-2 (|:| |rgl| (-637 (-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))))))) (|:| |rgsz| (-571))) (-684 |#4|) (-637 (-412 (-958 |#1|))) (-768) (-1151) (-571))) (-15 -2348 ((-412 (-958 |#1|)) |#4|)) (-15 -2348 ((-684 (-412 (-958 |#1|))) (-684 |#4|))) (-15 -2348 ((-637 (-412 (-958 |#1|))) (-637 |#4|))) (-15 -4261 ((-637 (-412 (-958 |#1|))) (-637 (-1169)))) (-15 -4110 (|#4| (-958 |#1|))) (-15 -2569 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-637 |#4|)) (|:| |n0| (-637 |#4|))) (-637 |#4|) (-637 |#4|))) (-15 -2451 ((-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 |#4|)))) (-684 |#4|) (-768))) (-15 -1658 ((-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))) (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))) (-637 |#4|))) (-15 -2137 ((-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))) (-2 (|:| -3533 (-684 (-412 (-958 |#1|)))) (|:| |vec| (-637 (-412 (-958 |#1|)))) (|:| -3241 (-768)) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (-15 -4141 ((-637 |#4|) |#4|)) (-15 -2695 ((-768) (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 |#4|)))))) (-15 -2183 ((-768) (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 |#4|)))))) (-15 -3770 ((-637 (-637 |#4|)) (-637 (-637 |#4|)))) (-15 -2591 ((-637 (-637 (-571))) (-571) (-571))) (-15 -4438 ((-121) (-637 |#4|) (-637 (-637 |#4|)))) (-15 -2877 ((-637 (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571))))) (-684 |#4|) (-768))) (-15 -4516 ((-684 |#4|) (-684 |#4|) (-637 |#4|))) (-15 -2002 ((-2 (|:| |eqzro| (-637 |#4|)) (|:| |neqzro| (-637 |#4|)) (|:| |wcond| (-637 (-958 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 |#1|)))) (|:| -1899 (-637 (-1258 (-412 (-958 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))) (-684 |#4|) (-637 (-412 (-958 |#1|))) (-637 (-637 |#4|)) (-768) (-768) (-571))) (-15 -1983 (|#4| |#4|)) (-15 -3380 ((-121) (-637 |#4|))) (-15 -3380 ((-121) (-637 (-958 |#1|))))) 
+((-3890 (((-932) |#1| (-1169)) 16) (((-932) |#1| (-1169) (-1091 (-216))) 20)) (-3055 (((-932) |#1| |#1| (-1169) (-1091 (-216))) 18) (((-932) |#1| (-1169) (-1091 (-216))) 14))) 
+(((-930 |#1|) (-10 -7 (-15 -3055 ((-932) |#1| (-1169) (-1091 (-216)))) (-15 -3055 ((-932) |#1| |#1| (-1169) (-1091 (-216)))) (-15 -3890 ((-932) |#1| (-1169) (-1091 (-216)))) (-15 -3890 ((-932) |#1| (-1169)))) (-612 (-544))) (T -930)) 
+((-3890 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-5 *2 (-932)) (-5 *1 (-930 *3)) (-4 *3 (-612 (-544))))) (-3890 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1169)) (-5 *5 (-1091 (-216))) (-5 *2 (-932)) (-5 *1 (-930 *3)) (-4 *3 (-612 (-544))))) (-3055 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1169)) (-5 *5 (-1091 (-216))) (-5 *2 (-932)) (-5 *1 (-930 *3)) (-4 *3 (-612 (-544))))) (-3055 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1169)) (-5 *5 (-1091 (-216))) (-5 *2 (-932)) (-5 *1 (-930 *3)) (-4 *3 (-612 (-544)))))) 
+(-10 -7 (-15 -3055 ((-932) |#1| (-1169) (-1091 (-216)))) (-15 -3055 ((-932) |#1| |#1| (-1169) (-1091 (-216)))) (-15 -3890 ((-932) |#1| (-1169) (-1091 (-216)))) (-15 -3890 ((-932) |#1| (-1169)))) 
+((-2426 (($ $ (-1091 (-216)) (-1091 (-216)) (-1091 (-216))) 68)) (-1957 (((-1091 (-216)) $) 40)) (-4157 (((-1091 (-216)) $) 39)) (-4053 (((-1091 (-216)) $) 38)) (-3265 (((-637 (-637 (-216))) $) 43)) (-3876 (((-1091 (-216)) $) 41)) (-2785 (((-571) (-571)) 32)) (-3467 (((-571) (-571)) 28)) (-2959 (((-571) (-571)) 30)) (-3447 (((-121) (-121)) 35)) (-4155 (((-571)) 31)) (-2299 (($ $ (-1091 (-216))) 71) (($ $) 72)) (-3906 (($ (-1 (-949 (-216)) (-216)) (-1091 (-216))) 76) (($ (-1 (-949 (-216)) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216))) 77)) (-3055 (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216))) 79) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216))) 80) (($ $ (-1091 (-216))) 74)) (-1575 (((-571)) 36)) (-2207 (((-571)) 27)) (-1502 (((-571)) 29)) (-2963 (((-637 (-637 (-949 (-216)))) $) 92)) (-3707 (((-121) (-121)) 37)) (-3942 (((-855) $) 91)) (-2614 (((-121)) 34))) 
+(((-931) (-13 (-981) (-10 -8 (-15 -3906 ($ (-1 (-949 (-216)) (-216)) (-1091 (-216)))) (-15 -3906 ($ (-1 (-949 (-216)) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -3055 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216)))) (-15 -3055 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -3055 ($ $ (-1091 (-216)))) (-15 -2426 ($ $ (-1091 (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -2299 ($ $ (-1091 (-216)))) (-15 -2299 ($ $)) (-15 -3876 ((-1091 (-216)) $)) (-15 -3265 ((-637 (-637 (-216))) $)) (-15 -2207 ((-571))) (-15 -3467 ((-571) (-571))) (-15 -1502 ((-571))) (-15 -2959 ((-571) (-571))) (-15 -4155 ((-571))) (-15 -2785 ((-571) (-571))) (-15 -2614 ((-121))) (-15 -3447 ((-121) (-121))) (-15 -1575 ((-571))) (-15 -3707 ((-121) (-121)))))) (T -931)) 
+((-3906 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-949 (-216)) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-931)))) (-3906 (*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-949 (-216)) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-931)))) (-3055 (*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-931)))) (-3055 (*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-931)))) (-3055 (*1 *1 *1 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-931)))) (-2426 (*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-931)))) (-2299 (*1 *1 *1 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-931)))) (-2299 (*1 *1 *1) (-5 *1 (-931))) (-3876 (*1 *2 *1) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-931)))) (-3265 (*1 *2 *1) (-12 (-5 *2 (-637 (-637 (-216)))) (-5 *1 (-931)))) (-2207 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931)))) (-3467 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931)))) (-1502 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931)))) (-2959 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931)))) (-4155 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931)))) (-2785 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931)))) (-2614 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-931)))) (-3447 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-931)))) (-1575 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931)))) (-3707 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-931))))) 
+(-13 (-981) (-10 -8 (-15 -3906 ($ (-1 (-949 (-216)) (-216)) (-1091 (-216)))) (-15 -3906 ($ (-1 (-949 (-216)) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -3055 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216)))) (-15 -3055 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -3055 ($ $ (-1091 (-216)))) (-15 -2426 ($ $ (-1091 (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -2299 ($ $ (-1091 (-216)))) (-15 -2299 ($ $)) (-15 -3876 ((-1091 (-216)) $)) (-15 -3265 ((-637 (-637 (-216))) $)) (-15 -2207 ((-571))) (-15 -3467 ((-571) (-571))) (-15 -1502 ((-571))) (-15 -2959 ((-571) (-571))) (-15 -4155 ((-571))) (-15 -2785 ((-571) (-571))) (-15 -2614 ((-121))) (-15 -3447 ((-121) (-121))) (-15 -1575 ((-571))) (-15 -3707 ((-121) (-121))))) 
+((-2426 (($ $ (-1091 (-216))) 69) (($ $ (-1091 (-216)) (-1091 (-216))) 70)) (-4157 (((-1091 (-216)) $) 43)) (-4053 (((-1091 (-216)) $) 42)) (-3876 (((-1091 (-216)) $) 44)) (-4570 (((-571) (-571)) 36)) (-2014 (((-571) (-571)) 32)) (-2341 (((-571) (-571)) 34)) (-2016 (((-121) (-121)) 38)) (-1808 (((-571)) 35)) (-2299 (($ $ (-1091 (-216))) 73) (($ $) 74)) (-3906 (($ (-1 (-949 (-216)) (-216)) (-1091 (-216))) 83) (($ (-1 (-949 (-216)) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216))) 84)) (-3890 (($ (-1 (-216) (-216)) (-1091 (-216))) 91) (($ (-1 (-216) (-216))) 94)) (-3055 (($ (-1 (-216) (-216)) (-1091 (-216))) 78) (($ (-1 (-216) (-216)) (-1091 (-216)) (-1091 (-216))) 79) (($ (-637 (-1 (-216) (-216))) (-1091 (-216))) 86) (($ (-637 (-1 (-216) (-216))) (-1091 (-216)) (-1091 (-216))) 87) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216))) 80) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216))) 81) (($ $ (-1091 (-216))) 75)) (-1819 (((-121) $) 39)) (-3092 (((-571)) 40)) (-4030 (((-571)) 31)) (-4038 (((-571)) 33)) (-2963 (((-637 (-637 (-949 (-216)))) $) 22)) (-3859 (((-121) (-121)) 41)) (-3942 (((-855) $) 105)) (-3650 (((-121)) 37))) 
+(((-932) (-13 (-961) (-10 -8 (-15 -3055 ($ (-1 (-216) (-216)) (-1091 (-216)))) (-15 -3055 ($ (-1 (-216) (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -3055 ($ (-637 (-1 (-216) (-216))) (-1091 (-216)))) (-15 -3055 ($ (-637 (-1 (-216) (-216))) (-1091 (-216)) (-1091 (-216)))) (-15 -3055 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216)))) (-15 -3055 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -3906 ($ (-1 (-949 (-216)) (-216)) (-1091 (-216)))) (-15 -3906 ($ (-1 (-949 (-216)) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -3890 ($ (-1 (-216) (-216)) (-1091 (-216)))) (-15 -3890 ($ (-1 (-216) (-216)))) (-15 -3055 ($ $ (-1091 (-216)))) (-15 -1819 ((-121) $)) (-15 -2426 ($ $ (-1091 (-216)))) (-15 -2426 ($ $ (-1091 (-216)) (-1091 (-216)))) (-15 -2299 ($ $ (-1091 (-216)))) (-15 -2299 ($ $)) (-15 -3876 ((-1091 (-216)) $)) (-15 -4030 ((-571))) (-15 -2014 ((-571) (-571))) (-15 -4038 ((-571))) (-15 -2341 ((-571) (-571))) (-15 -1808 ((-571))) (-15 -4570 ((-571) (-571))) (-15 -3650 ((-121))) (-15 -2016 ((-121) (-121))) (-15 -3092 ((-571))) (-15 -3859 ((-121) (-121)))))) (T -932)) 
+((-3055 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) (-3055 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) (-3055 (*1 *1 *2 *3) (-12 (-5 *2 (-637 (-1 (-216) (-216)))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) (-3055 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-637 (-1 (-216) (-216)))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) (-3055 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) (-3055 (*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) (-3906 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-949 (-216)) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) (-3906 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-949 (-216)) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) (-3890 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) (-3890 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-932)))) (-3055 (*1 *1 *1 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-932)))) (-1819 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-932)))) (-2426 (*1 *1 *1 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-932)))) (-2426 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-932)))) (-2299 (*1 *1 *1 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-932)))) (-2299 (*1 *1 *1) (-5 *1 (-932))) (-3876 (*1 *2 *1) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-932)))) (-4030 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932)))) (-2014 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932)))) (-4038 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932)))) (-2341 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932)))) (-1808 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932)))) (-4570 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932)))) (-3650 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-932)))) (-2016 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-932)))) (-3092 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932)))) (-3859 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-932))))) 
+(-13 (-961) (-10 -8 (-15 -3055 ($ (-1 (-216) (-216)) (-1091 (-216)))) (-15 -3055 ($ (-1 (-216) (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -3055 ($ (-637 (-1 (-216) (-216))) (-1091 (-216)))) (-15 -3055 ($ (-637 (-1 (-216) (-216))) (-1091 (-216)) (-1091 (-216)))) (-15 -3055 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216)))) (-15 -3055 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -3906 ($ (-1 (-949 (-216)) (-216)) (-1091 (-216)))) (-15 -3906 ($ (-1 (-949 (-216)) (-216)) (-1091 (-216)) (-1091 (-216)) (-1091 (-216)))) (-15 -3890 ($ (-1 (-216) (-216)) (-1091 (-216)))) (-15 -3890 ($ (-1 (-216) (-216)))) (-15 -3055 ($ $ (-1091 (-216)))) (-15 -1819 ((-121) $)) (-15 -2426 ($ $ (-1091 (-216)))) (-15 -2426 ($ $ (-1091 (-216)) (-1091 (-216)))) (-15 -2299 ($ $ (-1091 (-216)))) (-15 -2299 ($ $)) (-15 -3876 ((-1091 (-216)) $)) (-15 -4030 ((-571))) (-15 -2014 ((-571) (-571))) (-15 -4038 ((-571))) (-15 -2341 ((-571) (-571))) (-15 -1808 ((-571))) (-15 -4570 ((-571) (-571))) (-15 -3650 ((-121))) (-15 -2016 ((-121) (-121))) (-15 -3092 ((-571))) (-15 -3859 ((-121) (-121))))) 
+((-2819 (((-637 (-1091 (-216))) (-637 (-637 (-949 (-216))))) 23))) 
+(((-933) (-10 -7 (-15 -2819 ((-637 (-1091 (-216))) (-637 (-637 (-949 (-216)))))))) (T -933)) 
+((-2819 (*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *2 (-637 (-1091 (-216)))) (-5 *1 (-933))))) 
+(-10 -7 (-15 -2819 ((-637 (-1091 (-216))) (-637 (-637 (-949 (-216))))))) 
+((-2857 ((|#2| |#2| |#5|) 39) ((|#2| |#2| |#5| (-571)) 20)) (-1883 (((-121) (-637 |#2|) |#5|) 23)) (-4020 (((-768) |#2| |#5| (-571)) 42) (((-768) |#2| |#5|) 41)) (-1859 ((|#2| |#2| |#5| (-571)) 45) ((|#2| |#2| |#5|) 44)) (-4483 ((|#1| |#2| |#5|) 21))) 
+(((-934 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1883 ((-121) (-637 |#2|) |#5|)) (-15 -4483 (|#1| |#2| |#5|)) (-15 -2857 (|#2| |#2| |#5| (-571))) (-15 -2857 (|#2| |#2| |#5|)) (-15 -1859 (|#2| |#2| |#5|)) (-15 -1859 (|#2| |#2| |#5| (-571))) (-15 -4020 ((-768) |#2| |#5|)) (-15 -4020 ((-768) |#2| |#5| (-571)))) (-367) (-325 |#1| |#3|) (-231 |#4| (-768)) (-768) (-977 |#1|)) (T -934)) 
+((-4020 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-571)) (-4 *6 (-367)) (-4 *7 (-231 *8 *2)) (-14 *8 *2) (-5 *2 (-768)) (-5 *1 (-934 *6 *3 *7 *8 *4)) (-4 *3 (-325 *6 *7)) (-4 *4 (-977 *6)))) (-4020 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-768)) (-5 *1 (-934 *5 *3 *6 *7 *4)) (-4 *3 (-325 *5 *6)) (-4 *4 (-977 *5)))) (-1859 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-367)) (-4 *6 (-231 *7 (-768))) (-14 *7 (-768)) (-5 *1 (-934 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-977 *5)))) (-1859 (*1 *2 *2 *3) (-12 (-4 *4 (-367)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-934 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-977 *4)))) (-2857 (*1 *2 *2 *3) (-12 (-4 *4 (-367)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-934 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-977 *4)))) (-2857 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-367)) (-4 *6 (-231 *7 (-768))) (-14 *7 (-768)) (-5 *1 (-934 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-977 *5)))) (-4483 (*1 *2 *3 *4) (-12 (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-4 *2 (-367)) (-5 *1 (-934 *2 *3 *5 *6 *4)) (-4 *3 (-325 *2 *5)) (-4 *4 (-977 *2)))) (-1883 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-4 *6 (-325 *5 *7)) (-4 *7 (-231 *8 (-768))) (-14 *8 (-768)) (-4 *5 (-367)) (-5 *2 (-121)) (-5 *1 (-934 *5 *6 *7 *8 *4)) (-4 *4 (-977 *5))))) 
+(-10 -7 (-15 -1883 ((-121) (-637 |#2|) |#5|)) (-15 -4483 (|#1| |#2| |#5|)) (-15 -2857 (|#2| |#2| |#5| (-571))) (-15 -2857 (|#2| |#2| |#5|)) (-15 -1859 (|#2| |#2| |#5|)) (-15 -1859 (|#2| |#2| |#5| (-571))) (-15 -4020 ((-768) |#2| |#5|)) (-15 -4020 ((-768) |#2| |#5| (-571)))) 
+((-2925 ((|#2| |#2|) 25)) (-2919 ((|#2| |#2|) 26)) (-3177 ((|#2| |#2|) 24)) (-4219 ((|#2| |#2| (-1151)) 23))) 
+(((-935 |#1| |#2|) (-10 -7 (-15 -4219 (|#2| |#2| (-1151))) (-15 -3177 (|#2| |#2|)) (-15 -2925 (|#2| |#2|)) (-15 -2919 (|#2| |#2|))) (-847) (-435 |#1|)) (T -935)) 
+((-2919 (*1 *2 *2) (-12 (-4 *3 (-847)) (-5 *1 (-935 *3 *2)) (-4 *2 (-435 *3)))) (-2925 (*1 *2 *2) (-12 (-4 *3 (-847)) (-5 *1 (-935 *3 *2)) (-4 *2 (-435 *3)))) (-3177 (*1 *2 *2) (-12 (-4 *3 (-847)) (-5 *1 (-935 *3 *2)) (-4 *2 (-435 *3)))) (-4219 (*1 *2 *2 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-847)) (-5 *1 (-935 *4 *2)) (-4 *2 (-435 *4))))) 
+(-10 -7 (-15 -4219 (|#2| |#2| (-1151))) (-15 -3177 (|#2| |#2|)) (-15 -2925 (|#2| |#2|)) (-15 -2919 (|#2| |#2|))) 
+((-2925 (((-311 (-571)) (-1169)) 15)) (-2919 (((-311 (-571)) (-1169)) 13)) (-3177 (((-311 (-571)) (-1169)) 11)) (-4219 (((-311 (-571)) (-1169) (-1151)) 18))) 
+(((-936) (-10 -7 (-15 -4219 ((-311 (-571)) (-1169) (-1151))) (-15 -3177 ((-311 (-571)) (-1169))) (-15 -2925 ((-311 (-571)) (-1169))) (-15 -2919 ((-311 (-571)) (-1169))))) (T -936)) 
+((-2919 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-311 (-571))) (-5 *1 (-936)))) (-2925 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-311 (-571))) (-5 *1 (-936)))) (-3177 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-311 (-571))) (-5 *1 (-936)))) (-4219 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-1151)) (-5 *2 (-311 (-571))) (-5 *1 (-936))))) 
+(-10 -7 (-15 -4219 ((-311 (-571)) (-1169) (-1151))) (-15 -3177 ((-311 (-571)) (-1169))) (-15 -2925 ((-311 (-571)) (-1169))) (-15 -2919 ((-311 (-571)) (-1169)))) 
+((-2941 (((-889 |#1| |#3|) |#2| (-892 |#1|) (-889 |#1| |#3|)) 24)) (-3655 (((-1 (-121) |#2|) (-1 (-121) |#3|)) 12))) 
+(((-937 |#1| |#2| |#3|) (-10 -7 (-15 -3655 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -2941 ((-889 |#1| |#3|) |#2| (-892 |#1|) (-889 |#1| |#3|)))) (-1097) (-886 |#1|) (-13 (-1097) (-1043 |#2|))) (T -937)) 
+((-2941 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *6)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-4 *6 (-13 (-1097) (-1043 *3))) (-4 *3 (-886 *5)) (-5 *1 (-937 *5 *3 *6)))) (-3655 (*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1097) (-1043 *5))) (-4 *5 (-886 *4)) (-4 *4 (-1097)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-937 *4 *5 *6))))) 
+(-10 -7 (-15 -3655 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -2941 ((-889 |#1| |#3|) |#2| (-892 |#1|) (-889 |#1| |#3|)))) 
+((-2941 (((-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|)) 29))) 
+(((-938 |#1| |#2| |#3|) (-10 -7 (-15 -2941 ((-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|)))) (-1097) (-13 (-561) (-847) (-886 |#1|)) (-13 (-435 |#2|) (-612 (-892 |#1|)) (-886 |#1|) (-1043 (-610 $)))) (T -938)) 
+((-2941 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *3)) (-4 *5 (-1097)) (-4 *3 (-13 (-435 *6) (-612 *4) (-886 *5) (-1043 (-610 $)))) (-5 *4 (-892 *5)) (-4 *6 (-13 (-561) (-847) (-886 *5))) (-5 *1 (-938 *5 *6 *3))))) 
+(-10 -7 (-15 -2941 ((-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|)))) 
+((-2941 (((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|)) 12))) 
+(((-939 |#1|) (-10 -7 (-15 -2941 ((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|)))) (-553)) (T -939)) 
+((-2941 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 (-571) *3)) (-5 *4 (-892 (-571))) (-4 *3 (-553)) (-5 *1 (-939 *3))))) 
+(-10 -7 (-15 -2941 ((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|)))) 
+((-2941 (((-889 |#1| |#2|) (-610 |#2|) (-892 |#1|) (-889 |#1| |#2|)) 52))) 
+(((-940 |#1| |#2|) (-10 -7 (-15 -2941 ((-889 |#1| |#2|) (-610 |#2|) (-892 |#1|) (-889 |#1| |#2|)))) (-1097) (-13 (-847) (-1043 (-610 $)) (-612 (-892 |#1|)) (-886 |#1|))) (T -940)) 
+((-2941 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *6)) (-5 *3 (-610 *6)) (-4 *5 (-1097)) (-4 *6 (-13 (-847) (-1043 (-610 $)) (-612 *4) (-886 *5))) (-5 *4 (-892 *5)) (-5 *1 (-940 *5 *6))))) 
+(-10 -7 (-15 -2941 ((-889 |#1| |#2|) (-610 |#2|) (-892 |#1|) (-889 |#1| |#2|)))) 
+((-2941 (((-885 |#1| |#2| |#3|) |#3| (-892 |#1|) (-885 |#1| |#2| |#3|)) 14))) 
+(((-941 |#1| |#2| |#3|) (-10 -7 (-15 -2941 ((-885 |#1| |#2| |#3|) |#3| (-892 |#1|) (-885 |#1| |#2| |#3|)))) (-1097) (-886 |#1|) (-661 |#2|)) (T -941)) 
+((-2941 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *6 *3)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-4 *6 (-886 *5)) (-4 *3 (-661 *6)) (-5 *1 (-941 *5 *6 *3))))) 
+(-10 -7 (-15 -2941 ((-885 |#1| |#2| |#3|) |#3| (-892 |#1|) (-885 |#1| |#2| |#3|)))) 
+((-2941 (((-889 |#1| |#5|) |#5| (-892 |#1|) (-889 |#1| |#5|)) 17 (|has| |#3| (-886 |#1|))) (((-889 |#1| |#5|) |#5| (-892 |#1|) (-889 |#1| |#5|) (-1 (-889 |#1| |#5|) |#3| (-892 |#1|) (-889 |#1| |#5|))) 16))) 
+(((-942 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2941 ((-889 |#1| |#5|) |#5| (-892 |#1|) (-889 |#1| |#5|) (-1 (-889 |#1| |#5|) |#3| (-892 |#1|) (-889 |#1| |#5|)))) (IF (|has| |#3| (-886 |#1|)) (-15 -2941 ((-889 |#1| |#5|) |#5| (-892 |#1|) (-889 |#1| |#5|))) |noBranch|)) (-1097) (-793) (-847) (-13 (-1053) (-847) (-886 |#1|)) (-13 (-955 |#4| |#2| |#3|) (-612 (-892 |#1|)))) (T -942)) 
+((-2941 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *3)) (-4 *5 (-1097)) (-4 *3 (-13 (-955 *8 *6 *7) (-612 *4))) (-5 *4 (-892 *5)) (-4 *7 (-886 *5)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-13 (-1053) (-847) (-886 *5))) (-5 *1 (-942 *5 *6 *7 *8 *3)))) (-2941 (*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-889 *6 *3) *8 (-892 *6) (-889 *6 *3))) (-4 *8 (-847)) (-5 *2 (-889 *6 *3)) (-5 *4 (-892 *6)) (-4 *6 (-1097)) (-4 *3 (-13 (-955 *9 *7 *8) (-612 *4))) (-4 *7 (-793)) (-4 *9 (-13 (-1053) (-847) (-886 *6))) (-5 *1 (-942 *6 *7 *8 *9 *3))))) 
+(-10 -7 (-15 -2941 ((-889 |#1| |#5|) |#5| (-892 |#1|) (-889 |#1| |#5|) (-1 (-889 |#1| |#5|) |#3| (-892 |#1|) (-889 |#1| |#5|)))) (IF (|has| |#3| (-886 |#1|)) (-15 -2941 ((-889 |#1| |#5|) |#5| (-892 |#1|) (-889 |#1| |#5|))) |noBranch|)) 
+((-3378 ((|#2| |#2| (-637 (-1 (-121) |#3|))) 11) ((|#2| |#2| (-1 (-121) |#3|)) 12))) 
+(((-943 |#1| |#2| |#3|) (-10 -7 (-15 -3378 (|#2| |#2| (-1 (-121) |#3|))) (-15 -3378 (|#2| |#2| (-637 (-1 (-121) |#3|))))) (-847) (-435 |#1|) (-1203)) (T -943)) 
+((-3378 (*1 *2 *2 *3) (-12 (-5 *3 (-637 (-1 (-121) *5))) (-4 *5 (-1203)) (-4 *4 (-847)) (-5 *1 (-943 *4 *2 *5)) (-4 *2 (-435 *4)))) (-3378 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1203)) (-4 *4 (-847)) (-5 *1 (-943 *4 *2 *5)) (-4 *2 (-435 *4))))) 
+(-10 -7 (-15 -3378 (|#2| |#2| (-1 (-121) |#3|))) (-15 -3378 (|#2| |#2| (-637 (-1 (-121) |#3|))))) 
+((-3378 (((-311 (-571)) (-1169) (-637 (-1 (-121) |#1|))) 16) (((-311 (-571)) (-1169) (-1 (-121) |#1|)) 13))) 
+(((-944 |#1|) (-10 -7 (-15 -3378 ((-311 (-571)) (-1169) (-1 (-121) |#1|))) (-15 -3378 ((-311 (-571)) (-1169) (-637 (-1 (-121) |#1|))))) (-1203)) (T -944)) 
+((-3378 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-637 (-1 (-121) *5))) (-4 *5 (-1203)) (-5 *2 (-311 (-571))) (-5 *1 (-944 *5)))) (-3378 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1203)) (-5 *2 (-311 (-571))) (-5 *1 (-944 *5))))) 
+(-10 -7 (-15 -3378 ((-311 (-571)) (-1169) (-1 (-121) |#1|))) (-15 -3378 ((-311 (-571)) (-1169) (-637 (-1 (-121) |#1|))))) 
+((-2941 (((-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|)) 25))) 
+(((-945 |#1| |#2| |#3|) (-10 -7 (-15 -2941 ((-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|)))) (-1097) (-13 (-561) (-886 |#1|) (-612 (-892 |#1|))) (-999 |#2|)) (T -945)) 
+((-2941 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *3)) (-4 *5 (-1097)) (-4 *3 (-999 *6)) (-4 *6 (-13 (-561) (-886 *5) (-612 *4))) (-5 *4 (-892 *5)) (-5 *1 (-945 *5 *6 *3))))) 
+(-10 -7 (-15 -2941 ((-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|)))) 
+((-2941 (((-889 |#1| (-1169)) (-1169) (-892 |#1|) (-889 |#1| (-1169))) 17))) 
+(((-946 |#1|) (-10 -7 (-15 -2941 ((-889 |#1| (-1169)) (-1169) (-892 |#1|) (-889 |#1| (-1169))))) (-1097)) (T -946)) 
+((-2941 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 (-1169))) (-5 *3 (-1169)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-5 *1 (-946 *5))))) 
+(-10 -7 (-15 -2941 ((-889 |#1| (-1169)) (-1169) (-892 |#1|) (-889 |#1| (-1169))))) 
+((-4270 (((-889 |#1| |#3|) (-637 |#3|) (-637 (-892 |#1|)) (-889 |#1| |#3|) (-1 (-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|))) 33)) (-2941 (((-889 |#1| |#3|) (-637 |#3|) (-637 (-892 |#1|)) (-1 |#3| (-637 |#3|)) (-889 |#1| |#3|) (-1 (-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|))) 32))) 
+(((-947 |#1| |#2| |#3|) (-10 -7 (-15 -2941 ((-889 |#1| |#3|) (-637 |#3|) (-637 (-892 |#1|)) (-1 |#3| (-637 |#3|)) (-889 |#1| |#3|) (-1 (-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|)))) (-15 -4270 ((-889 |#1| |#3|) (-637 |#3|) (-637 (-892 |#1|)) (-889 |#1| |#3|) (-1 (-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|))))) (-1097) (-13 (-1053) (-847)) (-13 (-1053) (-612 (-892 |#1|)) (-1043 |#2|))) (T -947)) 
+((-4270 (*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 (-892 *6))) (-5 *5 (-1 (-889 *6 *8) *8 (-892 *6) (-889 *6 *8))) (-4 *6 (-1097)) (-4 *8 (-13 (-1053) (-612 (-892 *6)) (-1043 *7))) (-5 *2 (-889 *6 *8)) (-4 *7 (-13 (-1053) (-847))) (-5 *1 (-947 *6 *7 *8)))) (-2941 (*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-637 (-892 *7))) (-5 *5 (-1 *9 (-637 *9))) (-5 *6 (-1 (-889 *7 *9) *9 (-892 *7) (-889 *7 *9))) (-4 *7 (-1097)) (-4 *9 (-13 (-1053) (-612 (-892 *7)) (-1043 *8))) (-5 *2 (-889 *7 *9)) (-5 *3 (-637 *9)) (-4 *8 (-13 (-1053) (-847))) (-5 *1 (-947 *7 *8 *9))))) 
+(-10 -7 (-15 -2941 ((-889 |#1| |#3|) (-637 |#3|) (-637 (-892 |#1|)) (-1 |#3| (-637 |#3|)) (-889 |#1| |#3|) (-1 (-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|)))) (-15 -4270 ((-889 |#1| |#3|) (-637 |#3|) (-637 (-892 |#1|)) (-889 |#1| |#3|) (-1 (-889 |#1| |#3|) |#3| (-892 |#1|) (-889 |#1| |#3|))))) 
+((-1446 (((-1165 (-412 (-571))) (-571)) 61)) (-2824 (((-1165 (-571)) (-571)) 64)) (-1682 (((-1165 (-571)) (-571)) 58)) (-1570 (((-571) (-1165 (-571))) 53)) (-1381 (((-1165 (-412 (-571))) (-571)) 47)) (-3386 (((-1165 (-571)) (-571)) 36)) (-4410 (((-1165 (-571)) (-571)) 66)) (-2987 (((-1165 (-571)) (-571)) 65)) (-1466 (((-1165 (-412 (-571))) (-571)) 49))) 
+(((-948) (-10 -7 (-15 -1466 ((-1165 (-412 (-571))) (-571))) (-15 -2987 ((-1165 (-571)) (-571))) (-15 -4410 ((-1165 (-571)) (-571))) (-15 -3386 ((-1165 (-571)) (-571))) (-15 -1381 ((-1165 (-412 (-571))) (-571))) (-15 -1570 ((-571) (-1165 (-571)))) (-15 -1682 ((-1165 (-571)) (-571))) (-15 -2824 ((-1165 (-571)) (-571))) (-15 -1446 ((-1165 (-412 (-571))) (-571))))) (T -948)) 
+((-1446 (*1 *2 *3) (-12 (-5 *2 (-1165 (-412 (-571)))) (-5 *1 (-948)) (-5 *3 (-571)))) (-2824 (*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-948)) (-5 *3 (-571)))) (-1682 (*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-948)) (-5 *3 (-571)))) (-1570 (*1 *2 *3) (-12 (-5 *3 (-1165 (-571))) (-5 *2 (-571)) (-5 *1 (-948)))) (-1381 (*1 *2 *3) (-12 (-5 *2 (-1165 (-412 (-571)))) (-5 *1 (-948)) (-5 *3 (-571)))) (-3386 (*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-948)) (-5 *3 (-571)))) (-4410 (*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-948)) (-5 *3 (-571)))) (-2987 (*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-948)) (-5 *3 (-571)))) (-1466 (*1 *2 *3) (-12 (-5 *2 (-1165 (-412 (-571)))) (-5 *1 (-948)) (-5 *3 (-571))))) 
+(-10 -7 (-15 -1466 ((-1165 (-412 (-571))) (-571))) (-15 -2987 ((-1165 (-571)) (-571))) (-15 -4410 ((-1165 (-571)) (-571))) (-15 -3386 ((-1165 (-571)) (-571))) (-15 -1381 ((-1165 (-412 (-571))) (-571))) (-15 -1570 ((-571) (-1165 (-571)))) (-15 -1682 ((-1165 (-571)) (-571))) (-15 -2824 ((-1165 (-571)) (-571))) (-15 -1446 ((-1165 (-412 (-571))) (-571)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4137 (($ (-768)) NIL (|has| |#1| (-23)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-571) |#1|) 11 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) NIL)) (-3984 (((-571) (-1 (-121) |#1|) $) NIL) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097)))) (-1760 (($ (-637 |#1|)) 13)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3317 (((-684 |#1|) $ $) NIL (|has| |#1| (-1053)))) (-1364 (($ (-768) |#1|) 8)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 10 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3725 ((|#1| $) NIL (-12 (|has| |#1| (-1008)) (|has| |#1| (-1053))))) (-3794 (((-121) $ (-768)) NIL)) (-3158 ((|#1| $) NIL (-12 (|has| |#1| (-1008)) (|has| |#1| (-1053))))) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1827 ((|#1| $) NIL (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) NIL (|has| $ (-6 -4601)))) (-3140 (($ $ (-637 |#1|)) 24)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-571) |#1|) NIL) ((|#1| $ (-571)) 18) (($ $ (-1224 (-571))) NIL)) (-2503 ((|#1| $ $) NIL (|has| |#1| (-1053)))) (-3847 (((-922) $) 16)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1389 (($ $ $) 22)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544)))) (($ (-637 |#1|)) 17)) (-3891 (($ (-637 |#1|)) NIL)) (-4498 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) 23) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1373 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1367 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-571) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-721))) (($ $ |#1|) NIL (|has| |#1| (-721)))) (-4001 (((-768) $) 14 (|has| $ (-6 -4600))))) 
+(((-949 |#1|) (-987 |#1|) (-1053)) (T -949)) 
+NIL 
+(-987 |#1|) 
+((-2458 (((-495 |#1| |#2|) (-958 |#2|)) 17)) (-1303 (((-243 |#1| |#2|) (-958 |#2|)) 29)) (-2413 (((-958 |#2|) (-495 |#1| |#2|)) 22)) (-3013 (((-243 |#1| |#2|) (-495 |#1| |#2|)) 53)) (-3963 (((-958 |#2|) (-243 |#1| |#2|)) 26)) (-4106 (((-495 |#1| |#2|) (-243 |#1| |#2|)) 44))) 
+(((-950 |#1| |#2|) (-10 -7 (-15 -4106 ((-495 |#1| |#2|) (-243 |#1| |#2|))) (-15 -3013 ((-243 |#1| |#2|) (-495 |#1| |#2|))) (-15 -2458 ((-495 |#1| |#2|) (-958 |#2|))) (-15 -2413 ((-958 |#2|) (-495 |#1| |#2|))) (-15 -3963 ((-958 |#2|) (-243 |#1| |#2|))) (-15 -1303 ((-243 |#1| |#2|) (-958 |#2|)))) (-637 (-1169)) (-1053)) (T -950)) 
+((-1303 (*1 *2 *3) (-12 (-5 *3 (-958 *5)) (-4 *5 (-1053)) (-5 *2 (-243 *4 *5)) (-5 *1 (-950 *4 *5)) (-14 *4 (-637 (-1169))))) (-3963 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-1053)) (-5 *2 (-958 *5)) (-5 *1 (-950 *4 *5)))) (-2413 (*1 *2 *3) (-12 (-5 *3 (-495 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-1053)) (-5 *2 (-958 *5)) (-5 *1 (-950 *4 *5)))) (-2458 (*1 *2 *3) (-12 (-5 *3 (-958 *5)) (-4 *5 (-1053)) (-5 *2 (-495 *4 *5)) (-5 *1 (-950 *4 *5)) (-14 *4 (-637 (-1169))))) (-3013 (*1 *2 *3) (-12 (-5 *3 (-495 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-1053)) (-5 *2 (-243 *4 *5)) (-5 *1 (-950 *4 *5)))) (-4106 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-1053)) (-5 *2 (-495 *4 *5)) (-5 *1 (-950 *4 *5))))) 
+(-10 -7 (-15 -4106 ((-495 |#1| |#2|) (-243 |#1| |#2|))) (-15 -3013 ((-243 |#1| |#2|) (-495 |#1| |#2|))) (-15 -2458 ((-495 |#1| |#2|) (-958 |#2|))) (-15 -2413 ((-958 |#2|) (-495 |#1| |#2|))) (-15 -3963 ((-958 |#2|) (-243 |#1| |#2|))) (-15 -1303 ((-243 |#1| |#2|) (-958 |#2|)))) 
+((-2628 (((-637 |#2|) |#2| |#2|) 10)) (-3843 (((-768) (-637 |#1|)) 37 (|has| |#1| (-845)))) (-3914 (((-637 |#2|) |#2|) 11)) (-3123 (((-768) (-637 |#1|) (-571) (-571)) 36 (|has| |#1| (-845)))) (-3808 ((|#1| |#2|) 32 (|has| |#1| (-845))))) 
+(((-951 |#1| |#2|) (-10 -7 (-15 -2628 ((-637 |#2|) |#2| |#2|)) (-15 -3914 ((-637 |#2|) |#2|)) (IF (|has| |#1| (-845)) (PROGN (-15 -3808 (|#1| |#2|)) (-15 -3843 ((-768) (-637 |#1|))) (-15 -3123 ((-768) (-637 |#1|) (-571) (-571)))) |noBranch|)) (-367) (-1233 |#1|)) (T -951)) 
+((-3123 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-571)) (-4 *5 (-845)) (-4 *5 (-367)) (-5 *2 (-768)) (-5 *1 (-951 *5 *6)) (-4 *6 (-1233 *5)))) (-3843 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-845)) (-4 *4 (-367)) (-5 *2 (-768)) (-5 *1 (-951 *4 *5)) (-4 *5 (-1233 *4)))) (-3808 (*1 *2 *3) (-12 (-4 *2 (-367)) (-4 *2 (-845)) (-5 *1 (-951 *2 *3)) (-4 *3 (-1233 *2)))) (-3914 (*1 *2 *3) (-12 (-4 *4 (-367)) (-5 *2 (-637 *3)) (-5 *1 (-951 *4 *3)) (-4 *3 (-1233 *4)))) (-2628 (*1 *2 *3 *3) (-12 (-4 *4 (-367)) (-5 *2 (-637 *3)) (-5 *1 (-951 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -2628 ((-637 |#2|) |#2| |#2|)) (-15 -3914 ((-637 |#2|) |#2|)) (IF (|has| |#1| (-845)) (PROGN (-15 -3808 (|#1| |#2|)) (-15 -3843 ((-768) (-637 |#1|))) (-15 -3123 ((-768) (-637 |#1|) (-571) (-571)))) |noBranch|)) 
+((-3799 (((-958 |#2|) (-1 |#2| |#1|) (-958 |#1|)) 18))) 
+(((-952 |#1| |#2|) (-10 -7 (-15 -3799 ((-958 |#2|) (-1 |#2| |#1|) (-958 |#1|)))) (-1053) (-1053)) (T -952)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-958 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-5 *2 (-958 *6)) (-5 *1 (-952 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-958 |#2|) (-1 |#2| |#1|) (-958 |#1|)))) 
+((-4257 (((-1230 |#1| (-958 |#2|)) (-958 |#2|) (-1254 |#1|)) 18))) 
+(((-953 |#1| |#2|) (-10 -7 (-15 -4257 ((-1230 |#1| (-958 |#2|)) (-958 |#2|) (-1254 |#1|)))) (-1169) (-1053)) (T -953)) 
+((-4257 (*1 *2 *3 *4) (-12 (-5 *4 (-1254 *5)) (-14 *5 (-1169)) (-4 *6 (-1053)) (-5 *2 (-1230 *5 (-958 *6))) (-5 *1 (-953 *5 *6)) (-5 *3 (-958 *6))))) 
+(-10 -7 (-15 -4257 ((-1230 |#1| (-958 |#2|)) (-958 |#2|) (-1254 |#1|)))) 
+((-3066 (((-768) $) 69) (((-768) $ (-637 |#4|)) 72)) (-2356 (($ $) 169)) (-4151 (((-423 $) $) 161)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 112)) (-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 (-571) "failed") $) NIL) (((-3 |#4| "failed") $) 58)) (-1316 ((|#2| $) NIL) (((-412 (-571)) $) NIL) (((-571) $) NIL) ((|#4| $) 57)) (-3730 (($ $ $ |#4|) 74)) (-2680 (((-684 (-571)) (-684 $)) NIL) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) 102) (((-684 |#2|) (-684 $)) 95)) (-3630 (($ $) 177) (($ $ |#4|) 180)) (-4343 (((-637 $) $) 61)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 195) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 189)) (-1368 (((-637 $) $) 27)) (-4289 (($ |#2| |#3|) NIL) (($ $ |#4| (-768)) NIL) (($ $ (-637 |#4|) (-637 (-768))) 55)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ |#4|) 158)) (-4014 (((-3 (-637 $) "failed") $) 41)) (-1910 (((-3 (-637 $) "failed") $) 30)) (-3925 (((-3 (-2 (|:| |var| |#4|) (|:| -2154 (-768))) "failed") $) 45)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 105)) (-2796 (((-423 (-1165 $)) (-1165 $)) 118)) (-1821 (((-423 (-1165 $)) (-1165 $)) 116)) (-4262 (((-423 $) $) 136)) (-4483 (($ $ (-637 (-289 $))) 20) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-637 |#4|) (-637 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-637 |#4|) (-637 $)) NIL)) (-1475 (($ $ |#4|) 76)) (-4050 (((-892 (-384)) $) 209) (((-892 (-571)) $) 202) (((-544) $) 217)) (-4189 ((|#2| $) NIL) (($ $ |#4|) 171)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 150)) (-3136 ((|#2| $ |#3|) NIL) (($ $ |#4| (-768)) 50) (($ $ (-637 |#4|) (-637 (-768))) 53)) (-2346 (((-3 $ "failed") $) 152)) (-1331 (((-121) $ $) 183))) 
+(((-954 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2184 ((-1165 |#1|) (-1165 |#1|) (-1165 |#1|))) (-15 -4151 ((-423 |#1|) |#1|)) (-15 -2356 (|#1| |#1|)) (-15 -2346 ((-3 |#1| "failed") |#1|)) (-15 -1331 ((-121) |#1| |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -2941 ((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|))) (-15 -2941 ((-889 (-384) |#1|) |#1| (-892 (-384)) (-889 (-384) |#1|))) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -1821 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -2796 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -1926 ((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|))) (-15 -2041 ((-3 (-1258 |#1|) "failed") (-684 |#1|))) (-15 -3630 (|#1| |#1| |#4|)) (-15 -4189 (|#1| |#1| |#4|)) (-15 -1475 (|#1| |#1| |#4|)) (-15 -3730 (|#1| |#1| |#1| |#4|)) (-15 -4343 ((-637 |#1|) |#1|)) (-15 -3066 ((-768) |#1| (-637 |#4|))) (-15 -3066 ((-768) |#1|)) (-15 -3925 ((-3 (-2 (|:| |var| |#4|) (|:| -2154 (-768))) "failed") |#1|)) (-15 -4014 ((-3 (-637 |#1|) "failed") |#1|)) (-15 -1910 ((-3 (-637 |#1|) "failed") |#1|)) (-15 -4289 (|#1| |#1| (-637 |#4|) (-637 (-768)))) (-15 -4289 (|#1| |#1| |#4| (-768))) (-15 -4218 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1| |#4|)) (-15 -1368 ((-637 |#1|) |#1|)) (-15 -3136 (|#1| |#1| (-637 |#4|) (-637 (-768)))) (-15 -3136 (|#1| |#1| |#4| (-768))) (-15 -2680 ((-684 |#2|) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -1316 (|#4| |#1|)) (-15 -3337 ((-3 |#4| "failed") |#1|)) (-15 -4483 (|#1| |#1| (-637 |#4|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#4| |#1|)) (-15 -4483 (|#1| |#1| (-637 |#4|) (-637 |#2|))) (-15 -4483 (|#1| |#1| |#4| |#2|)) (-15 -4483 (|#1| |#1| (-637 |#1|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#1| |#1|)) (-15 -4483 (|#1| |#1| (-289 |#1|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -4289 (|#1| |#2| |#3|)) (-15 -3136 (|#2| |#1| |#3|)) (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -4189 (|#2| |#1|)) (-15 -3630 (|#1| |#1|))) (-955 |#2| |#3| |#4|) (-1053) (-793) (-847)) (T -954)) 
+NIL 
+(-10 -8 (-15 -2184 ((-1165 |#1|) (-1165 |#1|) (-1165 |#1|))) (-15 -4151 ((-423 |#1|) |#1|)) (-15 -2356 (|#1| |#1|)) (-15 -2346 ((-3 |#1| "failed") |#1|)) (-15 -1331 ((-121) |#1| |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -2941 ((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|))) (-15 -2941 ((-889 (-384) |#1|) |#1| (-892 (-384)) (-889 (-384) |#1|))) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -1821 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -2796 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -1926 ((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|))) (-15 -2041 ((-3 (-1258 |#1|) "failed") (-684 |#1|))) (-15 -3630 (|#1| |#1| |#4|)) (-15 -4189 (|#1| |#1| |#4|)) (-15 -1475 (|#1| |#1| |#4|)) (-15 -3730 (|#1| |#1| |#1| |#4|)) (-15 -4343 ((-637 |#1|) |#1|)) (-15 -3066 ((-768) |#1| (-637 |#4|))) (-15 -3066 ((-768) |#1|)) (-15 -3925 ((-3 (-2 (|:| |var| |#4|) (|:| -2154 (-768))) "failed") |#1|)) (-15 -4014 ((-3 (-637 |#1|) "failed") |#1|)) (-15 -1910 ((-3 (-637 |#1|) "failed") |#1|)) (-15 -4289 (|#1| |#1| (-637 |#4|) (-637 (-768)))) (-15 -4289 (|#1| |#1| |#4| (-768))) (-15 -4218 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1| |#4|)) (-15 -1368 ((-637 |#1|) |#1|)) (-15 -3136 (|#1| |#1| (-637 |#4|) (-637 (-768)))) (-15 -3136 (|#1| |#1| |#4| (-768))) (-15 -2680 ((-684 |#2|) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -1316 (|#4| |#1|)) (-15 -3337 ((-3 |#4| "failed") |#1|)) (-15 -4483 (|#1| |#1| (-637 |#4|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#4| |#1|)) (-15 -4483 (|#1| |#1| (-637 |#4|) (-637 |#2|))) (-15 -4483 (|#1| |#1| |#4| |#2|)) (-15 -4483 (|#1| |#1| (-637 |#1|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#1| |#1|)) (-15 -4483 (|#1| |#1| (-289 |#1|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -4289 (|#1| |#2| |#3|)) (-15 -3136 (|#2| |#1| |#3|)) (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -4189 (|#2| |#1|)) (-15 -3630 (|#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3424 (((-637 |#3|) $) 108)) (-4257 (((-1165 $) $ |#3|) 123) (((-1165 |#1|) $) 122)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 85 (|has| |#1| (-561)))) (-1415 (($ $) 86 (|has| |#1| (-561)))) (-2545 (((-121) $) 88 (|has| |#1| (-561)))) (-3066 (((-768) $) 110) (((-768) $ (-637 |#3|)) 109)) (-4176 (((-3 $ "failed") $ $) 18)) (-1434 (((-423 (-1165 $)) (-1165 $)) 98 (|has| |#1| (-909)))) (-2356 (($ $) 96 (|has| |#1| (-456)))) (-4151 (((-423 $) $) 95 (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 101 (|has| |#1| (-909)))) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#1| "failed") $) 162) (((-3 (-412 (-571)) "failed") $) 160 (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) 158 (|has| |#1| (-1043 (-571)))) (((-3 |#3| "failed") $) 134)) (-1316 ((|#1| $) 163) (((-412 (-571)) $) 159 (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) 157 (|has| |#1| (-1043 (-571)))) ((|#3| $) 133)) (-3730 (($ $ $ |#3|) 106 (|has| |#1| (-173)))) (-4349 (($ $) 152)) (-2680 (((-684 (-571)) (-684 $)) 132 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 131 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 130) (((-684 |#1|) (-684 $)) 129)) (-3978 (((-3 $ "failed") $) 33)) (-3630 (($ $) 174 (|has| |#1| (-456))) (($ $ |#3|) 103 (|has| |#1| (-456)))) (-4343 (((-637 $) $) 107)) (-1596 (((-121) $) 94 (|has| |#1| (-909)))) (-1420 (($ $ |#1| |#2| $) 170)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 82 (-12 (|has| |#3| (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 81 (-12 (|has| |#3| (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-2583 (((-121) $) 30)) (-2108 (((-768) $) 167)) (-4296 (($ (-1165 |#1|) |#3|) 115) (($ (-1165 $) |#3|) 114)) (-1368 (((-637 $) $) 124)) (-3517 (((-121) $) 150)) (-4289 (($ |#1| |#2|) 151) (($ $ |#3| (-768)) 117) (($ $ (-637 |#3|) (-637 (-768))) 116)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ |#3|) 118)) (-3973 ((|#2| $) 168) (((-768) $ |#3|) 120) (((-637 (-768)) $ (-637 |#3|)) 119)) (-1763 (($ $ $) 77 (|has| |#1| (-847)))) (-2383 (($ $ $) 76 (|has| |#1| (-847)))) (-2587 (($ (-1 |#2| |#2|) $) 169)) (-3799 (($ (-1 |#1| |#1|) $) 149)) (-2510 (((-3 |#3| "failed") $) 121)) (-4332 (($ $) 147)) (-4337 ((|#1| $) 146)) (-1622 (($ (-637 $)) 92 (|has| |#1| (-456))) (($ $ $) 91 (|has| |#1| (-456)))) (-3944 (((-1151) $) 9)) (-4014 (((-3 (-637 $) "failed") $) 112)) (-1910 (((-3 (-637 $) "failed") $) 113)) (-3925 (((-3 (-2 (|:| |var| |#3|) (|:| -2154 (-768))) "failed") $) 111)) (-2580 (((-1115) $) 10)) (-4321 (((-121) $) 164)) (-4326 ((|#1| $) 165)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 93 (|has| |#1| (-456)))) (-3026 (($ (-637 $)) 90 (|has| |#1| (-456))) (($ $ $) 89 (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) 100 (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) 99 (|has| |#1| (-909)))) (-4262 (((-423 $) $) 97 (|has| |#1| (-909)))) (-1786 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-561))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-561)))) (-4483 (($ $ (-637 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-637 $) (-637 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-637 |#3|) (-637 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-637 |#3|) (-637 $)) 136)) (-1475 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3096 (($ $ |#3|) 41) (($ $ (-637 |#3|)) 40) (($ $ |#3| (-768)) 39) (($ $ (-637 |#3|) (-637 (-768))) 38)) (-2400 ((|#2| $) 148) (((-768) $ |#3|) 128) (((-637 (-768)) $ (-637 |#3|)) 127)) (-4050 (((-892 (-384)) $) 80 (-12 (|has| |#3| (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) 79 (-12 (|has| |#3| (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) 78 (-12 (|has| |#3| (-612 (-544))) (|has| |#1| (-612 (-544)))))) (-4189 ((|#1| $) 173 (|has| |#1| (-456))) (($ $ |#3|) 104 (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 102 (-3997 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ $) 83 (|has| |#1| (-561))) (($ (-412 (-571))) 70 (-1831 (|has| |#1| (-1043 (-412 (-571)))) (|has| |#1| (-43 (-412 (-571))))))) (-1314 (((-637 |#1|) $) 166)) (-3136 ((|#1| $ |#2|) 153) (($ $ |#3| (-768)) 126) (($ $ (-637 |#3|) (-637 (-768))) 125)) (-2346 (((-3 $ "failed") $) 71 (-1831 (-3997 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) 28)) (-3855 (($ $ $ (-768)) 171 (|has| |#1| (-173)))) (-1388 (((-121) $ $) 87 (|has| |#1| (-561)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ |#3|) 37) (($ $ (-637 |#3|)) 36) (($ $ |#3| (-768)) 35) (($ $ (-637 |#3|) (-637 (-768))) 34)) (-1350 (((-121) $ $) 74 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 73 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 75 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 72 (|has| |#1| (-847)))) (-1379 (($ $ |#1|) 154 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 156 (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) 155 (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-955 |#1| |#2| |#3|) (-1289) (-1053) (-793) (-847)) (T -955)) 
+((-3630 (*1 *1 *1) (-12 (-4 *1 (-955 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456)))) (-2400 (*1 *2 *1 *3) (-12 (-4 *1 (-955 *4 *5 *3)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-768)))) (-2400 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *1 (-955 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 (-768))))) (-3136 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-955 *4 *5 *2)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *2 (-847)))) (-3136 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *6)) (-5 *3 (-637 (-768))) (-4 *1 (-955 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)))) (-1368 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-955 *3 *4 *5)))) (-4257 (*1 *2 *1 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-1165 *1)) (-4 *1 (-955 *4 *5 *3)))) (-4257 (*1 *2 *1) (-12 (-4 *1 (-955 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-1165 *3)))) (-2510 (*1 *2 *1) (|partial| -12 (-4 *1 (-955 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) (-3973 (*1 *2 *1 *3) (-12 (-4 *1 (-955 *4 *5 *3)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-768)))) (-3973 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *1 (-955 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 (-768))))) (-4218 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-955 *4 *5 *3)))) (-4289 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-955 *4 *5 *2)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *2 (-847)))) (-4289 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *6)) (-5 *3 (-637 (-768))) (-4 *1 (-955 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)))) (-4296 (*1 *1 *2 *3) (-12 (-5 *2 (-1165 *4)) (-4 *4 (-1053)) (-4 *1 (-955 *4 *5 *3)) (-4 *5 (-793)) (-4 *3 (-847)))) (-4296 (*1 *1 *2 *3) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-955 *4 *5 *3)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)))) (-1910 (*1 *2 *1) (|partial| -12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-955 *3 *4 *5)))) (-4014 (*1 *2 *1) (|partial| -12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-955 *3 *4 *5)))) (-3925 (*1 *2 *1) (|partial| -12 (-4 *1 (-955 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| |var| *5) (|:| -2154 (-768)))))) (-3066 (*1 *2 *1) (-12 (-4 *1 (-955 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-768)))) (-3066 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *1 (-955 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-768)))) (-3424 (*1 *2 *1) (-12 (-4 *1 (-955 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *5)))) (-4343 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-955 *3 *4 *5)))) (-3730 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-955 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *3 (-173)))) (-1475 (*1 *1 *1 *2) (-12 (-4 *1 (-955 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *3 (-173)))) (-4189 (*1 *1 *1 *2) (-12 (-4 *1 (-955 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *3 (-456)))) (-3630 (*1 *1 *1 *2) (-12 (-4 *1 (-955 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *3 (-456)))) (-2356 (*1 *1 *1) (-12 (-4 *1 (-955 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456)))) (-4151 (*1 *2 *1) (-12 (-4 *3 (-456)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-423 *1)) (-4 *1 (-955 *3 *4 *5))))) 
+(-13 (-900 |t#3|) (-325 |t#1| |t#2|) (-304 $) (-526 |t#3| |t#1|) (-526 |t#3| $) (-1043 |t#3|) (-382 |t#1|) (-10 -8 (-15 -2400 ((-768) $ |t#3|)) (-15 -2400 ((-637 (-768)) $ (-637 |t#3|))) (-15 -3136 ($ $ |t#3| (-768))) (-15 -3136 ($ $ (-637 |t#3|) (-637 (-768)))) (-15 -1368 ((-637 $) $)) (-15 -4257 ((-1165 $) $ |t#3|)) (-15 -4257 ((-1165 |t#1|) $)) (-15 -2510 ((-3 |t#3| "failed") $)) (-15 -3973 ((-768) $ |t#3|)) (-15 -3973 ((-637 (-768)) $ (-637 |t#3|))) (-15 -4218 ((-2 (|:| -2924 $) (|:| -3363 $)) $ $ |t#3|)) (-15 -4289 ($ $ |t#3| (-768))) (-15 -4289 ($ $ (-637 |t#3|) (-637 (-768)))) (-15 -4296 ($ (-1165 |t#1|) |t#3|)) (-15 -4296 ($ (-1165 $) |t#3|)) (-15 -1910 ((-3 (-637 $) "failed") $)) (-15 -4014 ((-3 (-637 $) "failed") $)) (-15 -3925 ((-3 (-2 (|:| |var| |t#3|) (|:| -2154 (-768))) "failed") $)) (-15 -3066 ((-768) $)) (-15 -3066 ((-768) $ (-637 |t#3|))) (-15 -3424 ((-637 |t#3|) $)) (-15 -4343 ((-637 $) $)) (IF (|has| |t#1| (-847)) (-6 (-847)) |noBranch|) (IF (|has| |t#1| (-612 (-544))) (IF (|has| |t#3| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-612 (-892 (-571)))) (IF (|has| |t#3| (-612 (-892 (-571)))) (-6 (-612 (-892 (-571)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-612 (-892 (-384)))) (IF (|has| |t#3| (-612 (-892 (-384)))) (-6 (-612 (-892 (-384)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-886 (-571))) (IF (|has| |t#3| (-886 (-571))) (-6 (-886 (-571))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-886 (-384))) (IF (|has| |t#3| (-886 (-384))) (-6 (-886 (-384))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-15 -3730 ($ $ $ |t#3|)) (-15 -1475 ($ $ |t#3|))) |noBranch|) (IF (|has| |t#1| (-456)) (PROGN (-6 (-456)) (-15 -4189 ($ $ |t#3|)) (-15 -3630 ($ $)) (-15 -3630 ($ $ |t#3|)) (-15 -4151 ((-423 $) $)) (-15 -2356 ($ $))) |noBranch|) (IF (|has| |t#1| (-6 -4598)) (-6 -4598) |noBranch|) (IF (|has| |t#1| (-909)) (-6 (-909)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-173))) ((-612 (-544)) -12 (|has| |#1| (-612 (-544))) (|has| |#3| (-612 (-544)))) ((-612 (-892 (-384))) -12 (|has| |#1| (-612 (-892 (-384)))) (|has| |#3| (-612 (-892 (-384))))) ((-612 (-892 (-571))) -12 (|has| |#1| (-612 (-892 (-571)))) (|has| |#3| (-612 (-892 (-571))))) ((-286) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-304 $) . T) ((-325 |#1| |#2|) . T) ((-382 |#1|) . T) ((-416 |#1|) . T) ((-456) -1831 (|has| |#1| (-909)) (|has| |#1| (-456))) ((-526 |#3| |#1|) . T) ((-526 |#3| $) . T) ((-526 $ $) . T) ((-561) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-640 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-640 |#1|) . T) ((-640 $) . T) ((-633 (-571)) |has| |#1| (-633 (-571))) ((-633 |#1|) . T) ((-712 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-721) . T) ((-847) |has| |#1| (-847)) ((-900 |#3|) . T) ((-886 (-384)) -12 (|has| |#1| (-886 (-384))) (|has| |#3| (-886 (-384)))) ((-886 (-571)) -12 (|has| |#1| (-886 (-571))) (|has| |#3| (-886 (-571)))) ((-909) |has| |#1| (-909)) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T) ((-1043 |#3|) . T) ((-1059 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) |has| |#1| (-909))) 
+((-3424 (((-637 |#2|) |#5|) 36)) (-4257 (((-1165 |#5|) |#5| |#2| (-1165 |#5|)) 23) (((-412 (-1165 |#5|)) |#5| |#2|) 16)) (-4296 ((|#5| (-412 (-1165 |#5|)) |#2|) 30)) (-2510 (((-3 |#2| "failed") |#5|) 61)) (-4014 (((-3 (-637 |#5|) "failed") |#5|) 55)) (-2304 (((-3 (-2 (|:| |val| |#5|) (|:| -2154 (-571))) "failed") |#5|) 45)) (-1910 (((-3 (-637 |#5|) "failed") |#5|) 57)) (-3925 (((-3 (-2 (|:| |var| |#2|) (|:| -2154 (-571))) "failed") |#5|) 48))) 
+(((-956 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3424 ((-637 |#2|) |#5|)) (-15 -2510 ((-3 |#2| "failed") |#5|)) (-15 -4257 ((-412 (-1165 |#5|)) |#5| |#2|)) (-15 -4296 (|#5| (-412 (-1165 |#5|)) |#2|)) (-15 -4257 ((-1165 |#5|) |#5| |#2| (-1165 |#5|))) (-15 -1910 ((-3 (-637 |#5|) "failed") |#5|)) (-15 -4014 ((-3 (-637 |#5|) "failed") |#5|)) (-15 -3925 ((-3 (-2 (|:| |var| |#2|) (|:| -2154 (-571))) "failed") |#5|)) (-15 -2304 ((-3 (-2 (|:| |val| |#5|) (|:| -2154 (-571))) "failed") |#5|))) (-793) (-847) (-1053) (-955 |#3| |#1| |#2|) (-13 (-367) (-10 -8 (-15 -3942 ($ |#4|)) (-15 -4474 (|#4| $)) (-15 -4479 (|#4| $))))) (T -956)) 
+((-2304 (*1 *2 *3) (|partial| -12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -2154 (-571)))) (-5 *1 (-956 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))))) (-3925 (*1 *2 *3) (|partial| -12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -2154 (-571)))) (-5 *1 (-956 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))))) (-4014 (*1 *2 *3) (|partial| -12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-637 *3)) (-5 *1 (-956 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))))) (-1910 (*1 *2 *3) (|partial| -12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-637 *3)) (-5 *1 (-956 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))))) (-4257 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1165 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))) (-4 *7 (-955 *6 *5 *4)) (-4 *5 (-793)) (-4 *4 (-847)) (-4 *6 (-1053)) (-5 *1 (-956 *5 *4 *6 *7 *3)))) (-4296 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-1165 *2))) (-4 *5 (-793)) (-4 *4 (-847)) (-4 *6 (-1053)) (-4 *2 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))) (-5 *1 (-956 *5 *4 *6 *7 *2)) (-4 *7 (-955 *6 *5 *4)))) (-4257 (*1 *2 *3 *4) (-12 (-4 *5 (-793)) (-4 *4 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *5 *4)) (-5 *2 (-412 (-1165 *3))) (-5 *1 (-956 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))))) (-2510 (*1 *2 *3) (|partial| -12 (-4 *4 (-793)) (-4 *5 (-1053)) (-4 *6 (-955 *5 *4 *2)) (-4 *2 (-847)) (-5 *1 (-956 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *6)) (-15 -4474 (*6 $)) (-15 -4479 (*6 $))))))) (-3424 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-637 *5)) (-5 *1 (-956 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $)))))))) 
+(-10 -7 (-15 -3424 ((-637 |#2|) |#5|)) (-15 -2510 ((-3 |#2| "failed") |#5|)) (-15 -4257 ((-412 (-1165 |#5|)) |#5| |#2|)) (-15 -4296 (|#5| (-412 (-1165 |#5|)) |#2|)) (-15 -4257 ((-1165 |#5|) |#5| |#2| (-1165 |#5|))) (-15 -1910 ((-3 (-637 |#5|) "failed") |#5|)) (-15 -4014 ((-3 (-637 |#5|) "failed") |#5|)) (-15 -3925 ((-3 (-2 (|:| |var| |#2|) (|:| -2154 (-571))) "failed") |#5|)) (-15 -2304 ((-3 (-2 (|:| |val| |#5|) (|:| -2154 (-571))) "failed") |#5|))) 
+((-3799 ((|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|) 23))) 
+(((-957 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3799 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) (-793) (-847) (-1053) (-955 |#3| |#1| |#2|) (-13 (-1097) (-10 -8 (-15 -1367 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-768)))))) (T -957)) 
+((-3799 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-847)) (-4 *8 (-1053)) (-4 *6 (-793)) (-4 *2 (-13 (-1097) (-10 -8 (-15 -1367 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-768)))))) (-5 *1 (-957 *6 *7 *8 *5 *2)) (-4 *5 (-955 *8 *6 *7))))) 
+(-10 -7 (-15 -3799 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1169)) $) 15)) (-4257 (((-1165 $) $ (-1169)) 21) (((-1165 |#1|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-1169))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2356 (($ $) NIL (|has| |#1| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) 8) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-1169) "failed") $) NIL)) (-1316 ((|#1| $) NIL) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-1169) $) NIL)) (-3730 (($ $ $ (-1169)) NIL (|has| |#1| (-173)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#1| (-456))) (($ $ (-1169)) NIL (|has| |#1| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#1| (-909)))) (-1420 (($ $ |#1| (-537 (-1169)) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-1169) (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-1169) (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-4296 (($ (-1165 |#1|) (-1169)) NIL) (($ (-1165 $) (-1169)) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-537 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-1169)) NIL)) (-3973 (((-537 (-1169)) $) NIL) (((-768) $ (-1169)) NIL) (((-637 (-768)) $ (-637 (-1169))) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-2587 (($ (-1 (-537 (-1169)) (-537 (-1169))) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-2510 (((-3 (-1169) "failed") $) 19)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-3944 (((-1151) $) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-1169)) (|:| -2154 (-768))) "failed") $) NIL)) (-3403 (($ $ (-1169)) 29 (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#1| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-909)))) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-1169) |#1|) NIL) (($ $ (-637 (-1169)) (-637 |#1|)) NIL) (($ $ (-1169) $) NIL) (($ $ (-637 (-1169)) (-637 $)) NIL)) (-1475 (($ $ (-1169)) NIL (|has| |#1| (-173)))) (-3096 (($ $ (-1169)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL)) (-2400 (((-537 (-1169)) $) NIL) (((-768) $ (-1169)) NIL) (((-637 (-768)) $ (-637 (-1169))) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-1169) (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-1169) (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-1169) (-612 (-544))) (|has| |#1| (-612 (-544)))))) (-4189 ((|#1| $) NIL (|has| |#1| (-456))) (($ $ (-1169)) NIL (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) 25) (($ (-571)) NIL) (($ |#1|) NIL) (($ (-1169)) 27) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-537 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#1| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-1169)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-958 |#1|) (-13 (-955 |#1| (-537 (-1169)) (-1169)) (-10 -8 (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1169))) |noBranch|))) (-1053)) (T -958)) 
+((-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-958 *3)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053))))) 
+(-13 (-955 |#1| (-537 (-1169)) (-1169)) (-10 -8 (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1169))) |noBranch|))) 
+((-1907 (((-2 (|:| -2154 (-768)) (|:| -4501 |#5|) (|:| |radicand| |#5|)) |#3| (-768)) 37)) (-2158 (((-2 (|:| -2154 (-768)) (|:| -4501 |#5|) (|:| |radicand| |#5|)) (-412 (-571)) (-768)) 33)) (-1334 (((-2 (|:| -2154 (-768)) (|:| -4501 |#4|) (|:| |radicand| (-637 |#4|))) |#4| (-768)) 52)) (-2248 (((-2 (|:| -2154 (-768)) (|:| -4501 |#5|) (|:| |radicand| |#5|)) |#5| (-768)) 62 (|has| |#3| (-456))))) 
+(((-959 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1907 ((-2 (|:| -2154 (-768)) (|:| -4501 |#5|) (|:| |radicand| |#5|)) |#3| (-768))) (-15 -2158 ((-2 (|:| -2154 (-768)) (|:| -4501 |#5|) (|:| |radicand| |#5|)) (-412 (-571)) (-768))) (IF (|has| |#3| (-456)) (-15 -2248 ((-2 (|:| -2154 (-768)) (|:| -4501 |#5|) (|:| |radicand| |#5|)) |#5| (-768))) |noBranch|) (-15 -1334 ((-2 (|:| -2154 (-768)) (|:| -4501 |#4|) (|:| |radicand| (-637 |#4|))) |#4| (-768)))) (-793) (-847) (-561) (-955 |#3| |#1| |#2|) (-13 (-367) (-10 -8 (-15 -4474 (|#4| $)) (-15 -4479 (|#4| $)) (-15 -3942 ($ |#4|))))) (T -959)) 
+((-1334 (*1 *2 *3 *4) (-12 (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-561)) (-4 *3 (-955 *7 *5 *6)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *3) (|:| |radicand| (-637 *3)))) (-5 *1 (-959 *5 *6 *7 *3 *8)) (-5 *4 (-768)) (-4 *8 (-13 (-367) (-10 -8 (-15 -4474 (*3 $)) (-15 -4479 (*3 $)) (-15 -3942 ($ *3))))))) (-2248 (*1 *2 *3 *4) (-12 (-4 *7 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-561)) (-4 *8 (-955 *7 *5 *6)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *3) (|:| |radicand| *3))) (-5 *1 (-959 *5 *6 *7 *8 *3)) (-5 *4 (-768)) (-4 *3 (-13 (-367) (-10 -8 (-15 -4474 (*8 $)) (-15 -4479 (*8 $)) (-15 -3942 ($ *8))))))) (-2158 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-571))) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-561)) (-4 *8 (-955 *7 *5 *6)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *9) (|:| |radicand| *9))) (-5 *1 (-959 *5 *6 *7 *8 *9)) (-5 *4 (-768)) (-4 *9 (-13 (-367) (-10 -8 (-15 -4474 (*8 $)) (-15 -4479 (*8 $)) (-15 -3942 ($ *8))))))) (-1907 (*1 *2 *3 *4) (-12 (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-561)) (-4 *7 (-955 *3 *5 *6)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *8) (|:| |radicand| *8))) (-5 *1 (-959 *5 *6 *3 *7 *8)) (-5 *4 (-768)) (-4 *8 (-13 (-367) (-10 -8 (-15 -4474 (*7 $)) (-15 -4479 (*7 $)) (-15 -3942 ($ *7)))))))) 
+(-10 -7 (-15 -1907 ((-2 (|:| -2154 (-768)) (|:| -4501 |#5|) (|:| |radicand| |#5|)) |#3| (-768))) (-15 -2158 ((-2 (|:| -2154 (-768)) (|:| -4501 |#5|) (|:| |radicand| |#5|)) (-412 (-571)) (-768))) (IF (|has| |#3| (-456)) (-15 -2248 ((-2 (|:| -2154 (-768)) (|:| -4501 |#5|) (|:| |radicand| |#5|)) |#5| (-768))) |noBranch|) (-15 -1334 ((-2 (|:| -2154 (-768)) (|:| -4501 |#4|) (|:| |radicand| (-637 |#4|))) |#4| (-768)))) 
+((-4375 (((-1263) (-1207) (-571) (-1207) (-571) (-571) (-571) (-571)) 33)) (-4381 (((-1263) (-1207) (-1207) (-571) (-571) (-571) (-571)) 27)) (-4384 (((-1207) (-1207) (-1207) (-571) (-571)) 45)) (-4393 (((-1263) (-1207) (-1207) (-1207) (-571) (-571)) 44)) (-4398 (((-1207) (-1165 (-571)) (-571)) 26)) (-3730 (((-571) (-1207) (-1207) (-571)) 54)) (-4403 (((-1263) (-1207) (-1207) (-571)) 36)) (-4421 (((-1207) (-1207) (-922) (-768) (-571)) 48)) (-4408 (((-1263) (-1207) (-571) (-571) (-571)) 31)) (-4416 (((-1263) (-1207) (-571) (-571) (-571)) 28) (((-1263) (-1207) (-571) (-571)) 30)) (-4418 (((-1207) (-1207) (-1207) (-571)) 41)) (-1622 (((-1207) (-964 (-1207)) (-571) (-571) (-571)) 42)) (-3026 (((-1207) (-964 (-1207)) (-571) (-571) (-571)) 40) (((-1207) (-1207) (-1207) (-571)) 38)) (-4426 (((-637 (-1207)) (-1207) (-1207) (-571)) 53)) (-4431 (((-571) (-1207) (-571) (-571) (-571)) 15)) (-4435 (((-1263) (-1207) (-1207) (-1207) (-571)) 35)) (-3096 (((-1207) (-1207) (-768) (-571)) 51) (((-1207) (-1207) (-571)) 50)) (-2400 (((-571) (-1207)) 32)) (-4440 (((-1263) (-1207) (-1207) (-571) (-571)) 12)) (-4445 (((-1263) (-1207) (-1207) (-571)) 11))) 
+(((-960) (-10 -7 (-15 -4445 ((-1263) (-1207) (-1207) (-571))) (-15 -4440 ((-1263) (-1207) (-1207) (-571) (-571))) (-15 -4431 ((-571) (-1207) (-571) (-571) (-571))) (-15 -4381 ((-1263) (-1207) (-1207) (-571) (-571) (-571) (-571))) (-15 -4416 ((-1263) (-1207) (-571) (-571))) (-15 -4416 ((-1263) (-1207) (-571) (-571) (-571))) (-15 -4408 ((-1263) (-1207) (-571) (-571) (-571))) (-15 -4418 ((-1207) (-1207) (-1207) (-571))) (-15 -4384 ((-1207) (-1207) (-1207) (-571) (-571))) (-15 -4393 ((-1263) (-1207) (-1207) (-1207) (-571) (-571))) (-15 -4421 ((-1207) (-1207) (-922) (-768) (-571))) (-15 -3096 ((-1207) (-1207) (-571))) (-15 -3096 ((-1207) (-1207) (-768) (-571))) (-15 -4435 ((-1263) (-1207) (-1207) (-1207) (-571))) (-15 -4403 ((-1263) (-1207) (-1207) (-571))) (-15 -4375 ((-1263) (-1207) (-571) (-1207) (-571) (-571) (-571) (-571))) (-15 -4398 ((-1207) (-1165 (-571)) (-571))) (-15 -3026 ((-1207) (-1207) (-1207) (-571))) (-15 -3026 ((-1207) (-964 (-1207)) (-571) (-571) (-571))) (-15 -1622 ((-1207) (-964 (-1207)) (-571) (-571) (-571))) (-15 -2400 ((-571) (-1207))) (-15 -4426 ((-637 (-1207)) (-1207) (-1207) (-571))) (-15 -3730 ((-571) (-1207) (-1207) (-571))))) (T -960)) 
+((-3730 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-571)) (-5 *3 (-1207)) (-5 *1 (-960)))) (-4426 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-571)) (-5 *2 (-637 (-1207))) (-5 *1 (-960)) (-5 *3 (-1207)))) (-2400 (*1 *2 *3) (-12 (-5 *3 (-1207)) (-5 *2 (-571)) (-5 *1 (-960)))) (-1622 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-964 (-1207))) (-5 *4 (-571)) (-5 *2 (-1207)) (-5 *1 (-960)))) (-3026 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-964 (-1207))) (-5 *4 (-571)) (-5 *2 (-1207)) (-5 *1 (-960)))) (-3026 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1207)) (-5 *3 (-571)) (-5 *1 (-960)))) (-4398 (*1 *2 *3 *4) (-12 (-5 *3 (-1165 (-571))) (-5 *4 (-571)) (-5 *2 (-1207)) (-5 *1 (-960)))) (-4375 (*1 *2 *3 *4 *3 *4 *4 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960)))) (-4403 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960)))) (-4435 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960)))) (-3096 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-1207)) (-5 *3 (-768)) (-5 *4 (-571)) (-5 *1 (-960)))) (-3096 (*1 *2 *2 *3) (-12 (-5 *2 (-1207)) (-5 *3 (-571)) (-5 *1 (-960)))) (-4421 (*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-1207)) (-5 *3 (-922)) (-5 *4 (-768)) (-5 *5 (-571)) (-5 *1 (-960)))) (-4393 (*1 *2 *3 *3 *3 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960)))) (-4384 (*1 *2 *2 *2 *3 *3) (-12 (-5 *2 (-1207)) (-5 *3 (-571)) (-5 *1 (-960)))) (-4418 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1207)) (-5 *3 (-571)) (-5 *1 (-960)))) (-4408 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960)))) (-4416 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960)))) (-4416 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960)))) (-4381 (*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960)))) (-4431 (*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *3 (-1207)) (-5 *1 (-960)))) (-4440 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960)))) (-4445 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960))))) 
+(-10 -7 (-15 -4445 ((-1263) (-1207) (-1207) (-571))) (-15 -4440 ((-1263) (-1207) (-1207) (-571) (-571))) (-15 -4431 ((-571) (-1207) (-571) (-571) (-571))) (-15 -4381 ((-1263) (-1207) (-1207) (-571) (-571) (-571) (-571))) (-15 -4416 ((-1263) (-1207) (-571) (-571))) (-15 -4416 ((-1263) (-1207) (-571) (-571) (-571))) (-15 -4408 ((-1263) (-1207) (-571) (-571) (-571))) (-15 -4418 ((-1207) (-1207) (-1207) (-571))) (-15 -4384 ((-1207) (-1207) (-1207) (-571) (-571))) (-15 -4393 ((-1263) (-1207) (-1207) (-1207) (-571) (-571))) (-15 -4421 ((-1207) (-1207) (-922) (-768) (-571))) (-15 -3096 ((-1207) (-1207) (-571))) (-15 -3096 ((-1207) (-1207) (-768) (-571))) (-15 -4435 ((-1263) (-1207) (-1207) (-1207) (-571))) (-15 -4403 ((-1263) (-1207) (-1207) (-571))) (-15 -4375 ((-1263) (-1207) (-571) (-1207) (-571) (-571) (-571) (-571))) (-15 -4398 ((-1207) (-1165 (-571)) (-571))) (-15 -3026 ((-1207) (-1207) (-1207) (-571))) (-15 -3026 ((-1207) (-964 (-1207)) (-571) (-571) (-571))) (-15 -1622 ((-1207) (-964 (-1207)) (-571) (-571) (-571))) (-15 -2400 ((-571) (-1207))) (-15 -4426 ((-637 (-1207)) (-1207) (-1207) (-571))) (-15 -3730 ((-571) (-1207) (-1207) (-571)))) 
+((-4157 (((-1091 (-216)) $) 7)) (-4053 (((-1091 (-216)) $) 8)) (-2963 (((-637 (-637 (-949 (-216)))) $) 9)) (-3942 (((-855) $) 6))) 
+(((-961) (-1289)) (T -961)) 
+((-2963 (*1 *2 *1) (-12 (-4 *1 (-961)) (-5 *2 (-637 (-637 (-949 (-216))))))) (-4053 (*1 *2 *1) (-12 (-4 *1 (-961)) (-5 *2 (-1091 (-216))))) (-4157 (*1 *2 *1) (-12 (-4 *1 (-961)) (-5 *2 (-1091 (-216)))))) 
+(-13 (-611 (-855)) (-10 -8 (-15 -2963 ((-637 (-637 (-949 (-216)))) $)) (-15 -4053 ((-1091 (-216)) $)) (-15 -4157 ((-1091 (-216)) $)))) 
+(((-611 (-855)) . T)) 
+((-3302 (((-3 (-684 |#1|) "failed") |#2| (-922)) 14))) 
+(((-962 |#1| |#2|) (-10 -7 (-15 -3302 ((-3 (-684 |#1|) "failed") |#2| (-922)))) (-561) (-649 |#1|)) (T -962)) 
+((-3302 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-922)) (-4 *5 (-561)) (-5 *2 (-684 *5)) (-5 *1 (-962 *5 *3)) (-4 *3 (-649 *5))))) 
+(-10 -7 (-15 -3302 ((-3 (-684 |#1|) "failed") |#2| (-922)))) 
+((-2094 (((-964 |#2|) (-1 |#2| |#1| |#2|) (-964 |#1|) |#2|) 16)) (-3074 ((|#2| (-1 |#2| |#1| |#2|) (-964 |#1|) |#2|) 18)) (-3799 (((-964 |#2|) (-1 |#2| |#1|) (-964 |#1|)) 13))) 
+(((-963 |#1| |#2|) (-10 -7 (-15 -2094 ((-964 |#2|) (-1 |#2| |#1| |#2|) (-964 |#1|) |#2|)) (-15 -3074 (|#2| (-1 |#2| |#1| |#2|) (-964 |#1|) |#2|)) (-15 -3799 ((-964 |#2|) (-1 |#2| |#1|) (-964 |#1|)))) (-1203) (-1203)) (T -963)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-964 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-964 *6)) (-5 *1 (-963 *5 *6)))) (-3074 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-964 *5)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-963 *5 *2)))) (-2094 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-964 *6)) (-4 *6 (-1203)) (-4 *5 (-1203)) (-5 *2 (-964 *5)) (-5 *1 (-963 *6 *5))))) 
+(-10 -7 (-15 -2094 ((-964 |#2|) (-1 |#2| |#1| |#2|) (-964 |#1|) |#2|)) (-15 -3074 (|#2| (-1 |#2| |#1| |#2|) (-964 |#1|) |#2|)) (-15 -3799 ((-964 |#2|) (-1 |#2| |#1|) (-964 |#1|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-571) |#1|) 17 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) 16 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 14)) (-3984 (((-571) (-1 (-121) |#1|) $) NIL) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097)))) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-1364 (($ (-768) |#1|) 13)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 10 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1827 ((|#1| $) NIL (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) 12 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 11)) (-3245 ((|#1| $ (-571) |#1|) NIL) ((|#1| $ (-571)) 15) (($ $ (-1224 (-571))) NIL)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) NIL)) (-4498 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-4001 (((-768) $) 8 (|has| $ (-6 -4600))))) 
+(((-964 |#1|) (-19 |#1|) (-1203)) (T -964)) 
 NIL 
 (-19 |#1|) 
-((-2553 (($ $ (-1085 $)) 7) (($ $ (-1165)) 6))) 
-(((-961) (-1284)) (T -961)) 
-((-2553 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-961)))) (-2553 (*1 *1 *1 *2) (-12 (-4 *1 (-961)) (-5 *2 (-1165))))) 
-(-13 (-10 -8 (-15 -2553 ($ $ (-1165))) (-15 -2553 ($ $ (-1085 $))))) 
-((-1456 (((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165)) (-1165)) 23) (((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165))) 24) (((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1161 |#1|))) (-955 |#1|) (-1165) (-955 |#1|) (-1165)) 41))) 
-(((-962 |#1|) (-10 -7 (-15 -1456 ((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1161 |#1|))) (-955 |#1|) (-1165) (-955 |#1|) (-1165))) (-15 -1456 ((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -1456 ((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165)) (-1165)))) (-13 (-366) (-151))) (T -962)) 
-((-1456 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-5 *5 (-1165)) (-4 *6 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 *6))) (|:| |prim| (-1161 *6)))) (-5 *1 (-962 *6)))) (-1456 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 *5))) (|:| |prim| (-1161 *5)))) (-5 *1 (-962 *5)))) (-1456 (*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-1165)) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1161 *5)))) (-5 *1 (-962 *5))))) 
-(-10 -7 (-15 -1456 ((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1161 |#1|))) (-955 |#1|) (-1165) (-955 |#1|) (-1165))) (-15 -1456 ((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -1456 ((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165)) (-1165)))) 
-((-3714 (((-635 |#1|) |#1| |#1|) 42)) (-2005 (((-121) |#1|) 39)) (-3831 ((|#1| |#1|) 64)) (-2913 ((|#1| |#1|) 63))) 
-(((-963 |#1|) (-10 -7 (-15 -2005 ((-121) |#1|)) (-15 -2913 (|#1| |#1|)) (-15 -3831 (|#1| |#1|)) (-15 -3714 ((-635 |#1|) |#1| |#1|))) (-551)) (T -963)) 
-((-3714 (*1 *2 *3 *3) (-12 (-5 *2 (-635 *3)) (-5 *1 (-963 *3)) (-4 *3 (-551)))) (-3831 (*1 *2 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-551)))) (-2913 (*1 *2 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-551)))) (-2005 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-963 *3)) (-4 *3 (-551))))) 
-(-10 -7 (-15 -2005 ((-121) |#1|)) (-15 -2913 (|#1| |#1|)) (-15 -3831 (|#1| |#1|)) (-15 -3714 ((-635 |#1|) |#1| |#1|))) 
-((-1905 (((-1258) (-852)) 9))) 
-(((-964) (-10 -7 (-15 -1905 ((-1258) (-852))))) (T -964)) 
-((-1905 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-964))))) 
-(-10 -7 (-15 -1905 ((-1258) (-852)))) 
-((-2706 (((-635 |#5|) |#3| (-635 |#3|)) 70)) (-1940 (((-635 |#5|) |#3|) 45)) (-3768 (((-635 |#5|) |#3| (-919)) 58)) (-4407 (((-635 |#5|) (-635 |#3|)) 48))) 
-(((-965 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2706 ((-635 |#5|) |#3| (-635 |#3|))) (-15 -1940 ((-635 |#5|) |#3|)) (-15 -4407 ((-635 |#5|) (-635 |#3|))) (-15 -3768 ((-635 |#5|) |#3| (-919)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|)) (T -965)) 
-((-3768 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-635 *8)) (-5 *1 (-965 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)))) (-4407 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-635 *8)) (-5 *1 (-965 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4)))) (-1940 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-635 *7)) (-5 *1 (-965 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4)))) (-2706 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 *8)) (-5 *1 (-965 *5 *6 *3 *7 *8)) (-4 *8 (-973 *5))))) 
-(-10 -7 (-15 -2706 ((-635 |#5|) |#3| (-635 |#3|))) (-15 -1940 ((-635 |#5|) |#3|)) (-15 -4407 ((-635 |#5|) (-635 |#3|))) (-15 -3768 ((-635 |#5|) |#3| (-919)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 62 (|has| |#1| (-559)))) (-2915 (($ $) 63 (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 28)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) 24)) (-2611 (((-3 $ "failed") $) 35)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-2916 (($ $ |#1| |#2| $) 47)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) 16)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| |#2|) NIL)) (-4294 ((|#2| $) 19)) (-1541 (($ (-1 |#2| |#2|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3263 (($ $) 23)) (-3270 ((|#1| $) 21)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 40)) (-3256 ((|#1| $) NIL)) (-4259 (($ $ |#2| |#1| $) 71 (-12 (|has| |#2| (-138)) (|has| |#1| (-559))))) (-1436 (((-3 $ "failed") $ $) 73 (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) 69 (|has| |#1| (-559)))) (-2284 ((|#2| $) 17)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) 39) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 34) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ |#2|) 31)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) 15)) (-2587 (($ $ $ (-765)) 58 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 68 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 54) (($ $ (-765)) 55)) (-2407 (($) 22 T CONST)) (-3297 (($) 12 T CONST)) (-1326 (((-121) $ $) 67)) (-1383 (($ $ |#1|) 74 (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) 53) (($ $ (-765)) 51)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 50) (($ $ |#1|) 49) (($ |#1| $) 48) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-966 |#1| |#2|) (-13 (-325 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| |#2| (-138)) (-15 -4259 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) (-1049) (-789)) (T -966)) 
-((-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-966 *3 *2)) (-4 *2 (-138)) (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *2 (-789))))) 
-(-13 (-325 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| |#2| (-138)) (-15 -4259 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))))) (-4288 (($ $ $) 63 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))))) (-3748 (((-3 $ "failed") $ $) 50 (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))))) (-2675 (((-765)) 34 (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-3995 ((|#2| $) 21)) (-3439 ((|#1| $) 20)) (-4483 (($) NIL (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))) CONST)) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))))) (-3341 (($) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-3934 (((-121) $) NIL (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))))) (-2157 (($ $ $) NIL (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-2713 (($ $ $) NIL (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-3627 (($ |#1| |#2|) 19)) (-2862 (((-919) $) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 37 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-1333 (($ (-919)) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-1912 (((-1111) $) NIL)) (-3980 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-2689 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-3956 (((-852) $) 14)) (-3403 (($ $ (-569)) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479)))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))))) (-2407 (($) 40 (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))) CONST)) (-3297 (($) 24 (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))) CONST)) (-1355 (((-121) $ $) NIL (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-1343 (((-121) $ $) NIL (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-1326 (((-121) $ $) 18)) (-1349 (((-121) $ $) NIL (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-1337 (((-121) $ $) 66 (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-1383 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-1377 (($ $ $) 56 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ $) 53 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))))) (-1371 (($ $ $) 43 (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))))) (** (($ $ (-569)) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479)))) (($ $ (-765)) 31 (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))))) (* (($ (-569) $) 60 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ (-765) $) 46 (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790))))) (($ (-919) $) NIL (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790))))) (($ $ $) 27 (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718))))))) 
-(((-967 |#1| |#2|) (-13 (-1093) (-10 -8 (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#1| (-718)) (IF (|has| |#2| (-718)) (-6 (-718)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-138)) (IF (|has| |#2| (-138)) (-6 (-138)) |noBranch|) |noBranch|) (IF (|has| |#1| (-479)) (IF (|has| |#2| (-479)) (-6 (-479)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-790)) (IF (|has| |#2| (-790)) (-6 (-790)) |noBranch|) |noBranch|) (IF (|has| |#1| (-844)) (IF (|has| |#2| (-844)) (-6 (-844)) |noBranch|) |noBranch|) (-15 -3627 ($ |#1| |#2|)) (-15 -3439 (|#1| $)) (-15 -3995 (|#2| $)))) (-1093) (-1093)) (T -967)) 
-((-3627 (*1 *1 *2 *3) (-12 (-5 *1 (-967 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-3439 (*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-967 *2 *3)) (-4 *3 (-1093)))) (-3995 (*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-967 *3 *2)) (-4 *3 (-1093))))) 
-(-13 (-1093) (-10 -8 (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#1| (-718)) (IF (|has| |#2| (-718)) (-6 (-718)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-138)) (IF (|has| |#2| (-138)) (-6 (-138)) |noBranch|) |noBranch|) (IF (|has| |#1| (-479)) (IF (|has| |#2| (-479)) (-6 (-479)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-790)) (IF (|has| |#2| (-790)) (-6 (-790)) |noBranch|) |noBranch|) (IF (|has| |#1| (-844)) (IF (|has| |#2| (-844)) (-6 (-844)) |noBranch|) |noBranch|) (-15 -3627 ($ |#1| |#2|)) (-15 -3439 (|#1| $)) (-15 -3995 (|#2| $)))) 
-((-1310 (((-121) $ $) NIL)) (-2511 ((|#1| $ (-569) |#1|) NIL)) (-2230 (((-635 $) (-635 $) (-765)) NIL) (((-635 $) (-635 $)) NIL)) (-4429 (((-121) $ (-765)) NIL) (((-121) $) NIL)) (-2110 (($ (-635 |#1|)) NIL)) (-4069 (((-635 |#1|) $) NIL)) (-3481 (((-635 $) $) NIL) (((-635 $) $ (-765)) NIL)) (-1832 (((-635 |#1|) $) NIL)) (-2605 (((-1147) $) NIL)) (-1467 (((-569) $) NIL)) (-1959 (((-569) $) NIL)) (-4209 (($ $ (-569)) NIL) (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#1| $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-4134 ((|#1| $) NIL)) (-3980 (($ $ (-765)) NIL) (($ $) NIL)) (-3956 (((-852) $) NIL) (((-635 |#1|) $) NIL) (($ (-635 |#1|)) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-968 |#1|) (-973 |#1|) (-366)) (T -968)) 
-NIL 
-(-973 |#1|) 
-((-1310 (((-121) $ $) NIL)) (-2511 (((-859 |#1|) $ (-569) (-859 |#1|)) NIL)) (-2230 (((-635 $) (-635 $) (-765)) NIL) (((-635 $) (-635 $)) NIL)) (-4429 (((-121) $ (-765)) NIL) (((-121) $) NIL)) (-2110 (($ (-635 (-859 |#1|))) NIL)) (-4069 (((-635 (-859 |#1|)) $) NIL)) (-3481 (((-635 $) $) NIL) (((-635 $) $ (-765)) NIL)) (-1832 (((-635 (-859 |#1|)) $) NIL)) (-2605 (((-1147) $) NIL)) (-1467 (((-569) $) NIL)) (-1959 (((-569) $) NIL)) (-4209 (($ $ (-569)) NIL) (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 (((-859 |#1|) $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-4134 (((-859 |#1|) $) NIL)) (-3980 (($ $ (-765)) NIL) (($ $) NIL)) (-3956 (((-852) $) NIL) (((-635 (-859 |#1|)) $) NIL) (($ (-635 (-859 |#1|))) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-969 |#1|) (-973 (-859 |#1|)) (-351)) (T -969)) 
-NIL 
-(-973 (-859 |#1|)) 
-((-1310 (((-121) $ $) NIL)) (-2511 ((|#2| $ (-569) |#2|) NIL)) (-2230 (((-635 $) (-635 $) (-765)) 41) (((-635 $) (-635 $)) 42)) (-4429 (((-121) $ (-765)) 38) (((-121) $) 40)) (-2110 (($ (-635 |#2|)) 25)) (-4069 (((-635 |#2|) $) 27)) (-3481 (((-635 $) $) 50) (((-635 $) $ (-765)) 47)) (-1832 (((-635 |#2|) $) 26)) (-2605 (((-1147) $) NIL)) (-1467 (((-569) $) 59)) (-1959 (((-569) $) 62)) (-4209 (($ $ (-569)) 36) (($ $) 52)) (-1912 (((-1111) $) NIL)) (-2503 ((|#2| $ (-569)) 32)) (-2284 (((-919) $) 16)) (-4134 ((|#2| $) 22)) (-3980 (($ $ (-765)) 30) (($ $) 49)) (-3956 (((-852) $) 19) (((-635 |#2|) $) 24) (($ (-635 |#2|)) 58)) (-1326 (((-121) $ $) 37))) 
-(((-970 |#1| |#2|) (-973 |#2|) (-765) (-366)) (T -970)) 
-NIL 
-(-973 |#2|) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4002 (($ $ $) 40)) (-2102 (($ $ $) 41)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2713 ((|#1| $) 42)) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-971 |#1|) (-1284) (-844)) (T -971)) 
-((-2713 (*1 *2 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844)))) (-2102 (*1 *1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844)))) (-4002 (*1 *1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844))))) 
-(-13 (-111 |t#1|) (-10 -8 (-6 -4571) (-15 -2713 (|t#1| $)) (-15 -2102 ($ $ $)) (-15 -4002 ($ $ $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-1569 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|) 84)) (-2594 ((|#2| |#2| |#2|) 82)) (-4189 (((-2 (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|) 86)) (-2871 (((-2 (|:| |coef1| |#2|) (|:| -3964 |#2|)) |#2| |#2|) 88)) (-1352 (((-2 (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|) 106 (|has| |#1| (-454)))) (-3945 (((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|) 45)) (-1615 (((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|) 63)) (-1311 (((-2 (|:| |coef1| |#2|) (|:| -3673 |#1|)) |#2| |#2|) 65)) (-2808 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 77)) (-3694 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765)) 70)) (-1857 (((-2 (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|) 96)) (-3157 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765)) 73)) (-3665 (((-635 (-765)) |#2| |#2|) 81)) (-2476 ((|#1| |#2| |#2|) 41)) (-2071 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|) 104 (|has| |#1| (-454)))) (-2899 ((|#1| |#2| |#2|) 102 (|has| |#1| (-454)))) (-3828 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|) 43)) (-3273 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|) 62)) (-3673 ((|#1| |#2| |#2|) 60)) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|) 35)) (-1381 ((|#2| |#2| |#2| |#2| |#1|) 52)) (-4395 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 75)) (-1961 ((|#2| |#2| |#2|) 74)) (-3419 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765)) 68)) (-3849 ((|#2| |#2| |#2| (-765)) 66)) (-3964 ((|#2| |#2| |#2|) 110 (|has| |#1| (-454)))) (-1436 (((-1253 |#2|) (-1253 |#2|) |#1|) 21)) (-3135 (((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|) 38)) (-2931 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|) 94)) (-2925 ((|#1| |#2|) 91)) (-4478 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765)) 72)) (-1869 ((|#2| |#2| |#2| (-765)) 71)) (-2319 (((-635 |#2|) |#2| |#2|) 79)) (-4149 ((|#2| |#2| |#1| |#1| (-765)) 49)) (-3075 ((|#1| |#1| |#1| (-765)) 48)) (* (((-1253 |#2|) |#1| (-1253 |#2|)) 16))) 
-(((-972 |#1| |#2|) (-10 -7 (-15 -3673 (|#1| |#2| |#2|)) (-15 -3273 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -1615 ((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -1311 ((-2 (|:| |coef1| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -3849 (|#2| |#2| |#2| (-765))) (-15 -3419 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -3694 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -1869 (|#2| |#2| |#2| (-765))) (-15 -4478 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -3157 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -1961 (|#2| |#2| |#2|)) (-15 -4395 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2808 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2594 (|#2| |#2| |#2|)) (-15 -1569 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -4189 ((-2 (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -2871 ((-2 (|:| |coef1| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -2925 (|#1| |#2|)) (-15 -2931 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|)) (-15 -1857 ((-2 (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|)) (-15 -2319 ((-635 |#2|) |#2| |#2|)) (-15 -3665 ((-635 (-765)) |#2| |#2|)) (IF (|has| |#1| (-454)) (PROGN (-15 -2899 (|#1| |#2| |#2|)) (-15 -2071 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|)) (-15 -1352 ((-2 (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|)) (-15 -3964 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1253 |#2|) |#1| (-1253 |#2|))) (-15 -1436 ((-1253 |#2|) (-1253 |#2|) |#1|)) (-15 -1530 ((-2 (|:| -3550 |#1|) (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|)) (-15 -3135 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|)) (-15 -3075 (|#1| |#1| |#1| (-765))) (-15 -4149 (|#2| |#2| |#1| |#1| (-765))) (-15 -1381 (|#2| |#2| |#2| |#2| |#1|)) (-15 -2476 (|#1| |#2| |#2|)) (-15 -3828 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -3945 ((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|))) (-559) (-1228 |#1|)) (T -972)) 
-((-3945 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-3828 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2476 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2)))) (-1381 (*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) (-4149 (*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) (-3075 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *2 (-559)) (-5 *1 (-972 *2 *4)) (-4 *4 (-1228 *2)))) (-3135 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1530 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3550 *4) (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1436 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-559)) (-5 *1 (-972 *3 *4)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-559)) (-5 *1 (-972 *3 *4)))) (-3964 (*1 *2 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) (-1352 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2899 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2071 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2899 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2899 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-4 *2 (-454)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2)))) (-3665 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-765))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2319 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1857 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2925 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2931 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2925 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2925 (*1 *2 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2)))) (-2871 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-4189 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1569 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2594 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) (-2808 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-4395 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1961 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) (-3157 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5)))) (-4478 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5)))) (-1869 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-559)) (-5 *1 (-972 *4 *2)) (-4 *2 (-1228 *4)))) (-3694 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5)))) (-3419 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5)))) (-3849 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-559)) (-5 *1 (-972 *4 *2)) (-4 *2 (-1228 *4)))) (-1311 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1615 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-3273 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-3673 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2))))) 
-(-10 -7 (-15 -3673 (|#1| |#2| |#2|)) (-15 -3273 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -1615 ((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -1311 ((-2 (|:| |coef1| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -3849 (|#2| |#2| |#2| (-765))) (-15 -3419 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -3694 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -1869 (|#2| |#2| |#2| (-765))) (-15 -4478 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -3157 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -1961 (|#2| |#2| |#2|)) (-15 -4395 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2808 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2594 (|#2| |#2| |#2|)) (-15 -1569 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -4189 ((-2 (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -2871 ((-2 (|:| |coef1| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -2925 (|#1| |#2|)) (-15 -2931 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|)) (-15 -1857 ((-2 (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|)) (-15 -2319 ((-635 |#2|) |#2| |#2|)) (-15 -3665 ((-635 (-765)) |#2| |#2|)) (IF (|has| |#1| (-454)) (PROGN (-15 -2899 (|#1| |#2| |#2|)) (-15 -2071 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|)) (-15 -1352 ((-2 (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|)) (-15 -3964 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1253 |#2|) |#1| (-1253 |#2|))) (-15 -1436 ((-1253 |#2|) (-1253 |#2|) |#1|)) (-15 -1530 ((-2 (|:| -3550 |#1|) (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|)) (-15 -3135 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|)) (-15 -3075 (|#1| |#1| |#1| (-765))) (-15 -4149 (|#2| |#2| |#1| |#1| (-765))) (-15 -1381 (|#2| |#2| |#2| |#2| |#1|)) (-15 -2476 (|#1| |#2| |#2|)) (-15 -3828 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -3945 ((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|))) 
-((-1310 (((-121) $ $) 7)) (-2511 ((|#1| $ (-569) |#1|) 14)) (-2230 (((-635 $) (-635 $) (-765)) 22) (((-635 $) (-635 $)) 21)) (-4429 (((-121) $ (-765)) 20) (((-121) $) 19)) (-2110 (($ (-635 |#1|)) 30)) (-4069 (((-635 |#1|) $) 13)) (-3481 (((-635 $) $) 26) (((-635 $) $ (-765)) 25)) (-1832 (((-635 |#1|) $) 16)) (-2605 (((-1147) $) 9)) (-1467 (((-569) $) 17)) (-1959 (((-569) $) 32)) (-4209 (($ $ (-569)) 31) (($ $) 18)) (-1912 (((-1111) $) 10)) (-2503 ((|#1| $ (-569)) 15)) (-2284 (((-919) $) 12)) (-4134 ((|#1| $) 29)) (-3980 (($ $ (-765)) 24) (($ $) 23)) (-3956 (((-852) $) 11) (((-635 |#1|) $) 28) (($ (-635 |#1|)) 27)) (-1326 (((-121) $ $) 6))) 
-(((-973 |#1|) (-1284) (-366)) (T -973)) 
-((-1959 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-4209 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-973 *3)) (-4 *3 (-366)))) (-2110 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-973 *3)))) (-4134 (*1 *2 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-973 *3)))) (-3481 (*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-973 *3)))) (-3481 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-973 *4)))) (-3980 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-973 *3)) (-4 *3 (-366)))) (-3980 (*1 *1 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366)))) (-2230 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-765)) (-4 *1 (-973 *4)) (-4 *4 (-366)))) (-2230 (*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-973 *3)) (-4 *3 (-366)))) (-4429 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-973 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-4209 (*1 *1 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366)))) (-1467 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-1832 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-973 *2)) (-4 *2 (-366)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-973 *2)) (-4 *2 (-366)))) (-4069 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
-(-13 (-1091) (-10 -8 (-15 -1959 ((-569) $)) (-15 -4209 ($ $ (-569))) (-15 -2110 ($ (-635 |t#1|))) (-15 -4134 (|t#1| $)) (-15 -3956 ((-635 |t#1|) $)) (-15 -3956 ($ (-635 |t#1|))) (-15 -3481 ((-635 $) $)) (-15 -3481 ((-635 $) $ (-765))) (-15 -3980 ($ $ (-765))) (-15 -3980 ($ $)) (-15 -2230 ((-635 $) (-635 $) (-765))) (-15 -2230 ((-635 $) (-635 $))) (-15 -4429 ((-121) $ (-765))) (-15 -4429 ((-121) $)) (-15 -4209 ($ $)) (-15 -1467 ((-569) $)) (-15 -1832 ((-635 |t#1|) $)) (-15 -2503 (|t#1| $ (-569))) (-15 -2511 (|t#1| $ (-569) |t#1|)) (-15 -4069 ((-635 |t#1|) $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T) ((-1091) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) 26)) (-4483 (($) NIL T CONST)) (-2297 (((-635 (-635 (-569))) (-635 (-569))) 28)) (-4338 (((-569) $) 44)) (-1288 (($ (-635 (-569))) 17)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-4035 (((-635 (-569)) $) 11)) (-3980 (($ $) 31)) (-3956 (((-852) $) 42) (((-635 (-569)) $) 9)) (-2407 (($) 7 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 19)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 18)) (-1371 (($ $ $) 20)) (* (($ (-765) $) 24) (($ (-919) $) NIL))) 
-(((-974) (-13 (-792) (-610 (-635 (-569))) (-10 -8 (-15 -1288 ($ (-635 (-569)))) (-15 -2297 ((-635 (-635 (-569))) (-635 (-569)))) (-15 -4338 ((-569) $)) (-15 -3980 ($ $)) (-15 -3956 ((-635 (-569)) $))))) (T -974)) 
-((-1288 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-974)))) (-2297 (*1 *2 *3) (-12 (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-974)) (-5 *3 (-635 (-569))))) (-4338 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-974)))) (-3980 (*1 *1 *1) (-5 *1 (-974))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-974))))) 
-(-13 (-792) (-610 (-635 (-569))) (-10 -8 (-15 -1288 ($ (-635 (-569)))) (-15 -2297 ((-635 (-635 (-569))) (-635 (-569)))) (-15 -4338 ((-569) $)) (-15 -3980 ($ $)) (-15 -3956 ((-635 (-569)) $)))) 
-((-1383 (($ $ |#2|) 30)) (-1377 (($ $) 22) (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 15) (($ $ $) NIL) (($ $ |#2|) 20) (($ |#2| $) 19) (($ (-410 (-569)) $) 26) (($ $ (-410 (-569))) 28))) 
-(((-975 |#1| |#2| |#3| |#4|) (-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1383 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) (-976 |#2| |#3| |#4|) (-1049) (-789) (-844)) (T -975)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1383 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 |#3|) $) 70)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-2641 (((-121) $) 69)) (-3934 (((-121) $) 30)) (-3052 (((-121) $) 61)) (-3179 (($ |#1| |#2|) 60) (($ $ |#3| |#2|) 72) (($ $ (-635 |#3|) (-635 |#2|)) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2284 ((|#2| $) 63)) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3802 ((|#1| $ |#2|) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-976 |#1| |#2| |#3|) (-1284) (-1049) (-789) (-844)) (T -976)) 
-((-3270 (*1 *2 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *3 (-789)) (-4 *4 (-844)) (-4 *2 (-1049)))) (-3263 (*1 *1 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *4 (-844)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-976 *3 *2 *4)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *2 (-789)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-976 *4 *3 *2)) (-4 *4 (-1049)) (-4 *3 (-789)) (-4 *2 (-844)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 *5)) (-4 *1 (-976 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-789)) (-4 *6 (-844)))) (-3195 (*1 *2 *1) (-12 (-4 *1 (-976 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *5 (-844)) (-5 *2 (-635 *5)))) (-2641 (*1 *2 *1) (-12 (-4 *1 (-976 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *5 (-844)) (-5 *2 (-121)))) (-2994 (*1 *1 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *4 (-844))))) 
-(-13 (-52 |t#1| |t#2|) (-10 -8 (-15 -3179 ($ $ |t#3| |t#2|)) (-15 -3179 ($ $ (-635 |t#3|) (-635 |t#2|))) (-15 -3263 ($ $)) (-15 -3270 (|t#1| $)) (-15 -2284 (|t#2| $)) (-15 -3195 ((-635 |t#3|) $)) (-15 -2641 ((-121) $)) (-15 -2994 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1842 (((-1087 (-216)) $) 7)) (-4327 (((-1087 (-216)) $) 8)) (-3724 (((-1087 (-216)) $) 9)) (-3499 (((-635 (-635 (-946 (-216)))) $) 10)) (-3956 (((-852) $) 6))) 
-(((-977) (-1284)) (T -977)) 
-((-3499 (*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-635 (-635 (-946 (-216))))))) (-3724 (*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216))))) (-4327 (*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216))))) (-1842 (*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216)))))) 
-(-13 (-609 (-852)) (-10 -8 (-15 -3499 ((-635 (-635 (-946 (-216)))) $)) (-15 -3724 ((-1087 (-216)) $)) (-15 -4327 ((-1087 (-216)) $)) (-15 -1842 ((-1087 (-216)) $)))) 
-(((-609 (-852)) . T)) 
-((-3195 (((-635 |#4|) $) 23)) (-2800 (((-121) $) 47)) (-3543 (((-121) $) 46)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#4|) 35)) (-3987 (((-121) $) 48)) (-3756 (((-121) $ $) 54)) (-3258 (((-121) $ $) 57)) (-1707 (((-121) $) 52)) (-3279 (((-635 |#5|) (-635 |#5|) $) 89)) (-3385 (((-635 |#5|) (-635 |#5|) $) 86)) (-3028 (((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) 80)) (-3069 (((-635 |#4|) $) 27)) (-2107 (((-121) |#4| $) 29)) (-3574 (((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) 72)) (-2201 (($ $ |#4|) 32)) (-4081 (($ $ |#4|) 31)) (-2239 (($ $ |#4|) 33)) (-1326 (((-121) $ $) 39))) 
-(((-978 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3543 ((-121) |#1|)) (-15 -3279 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -3385 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -3028 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3574 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3987 ((-121) |#1|)) (-15 -3258 ((-121) |#1| |#1|)) (-15 -3756 ((-121) |#1| |#1|)) (-15 -1707 ((-121) |#1|)) (-15 -2800 ((-121) |#1|)) (-15 -2930 ((-2 (|:| |under| |#1|) (|:| -1807 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -2201 (|#1| |#1| |#4|)) (-15 -2239 (|#1| |#1| |#4|)) (-15 -4081 (|#1| |#1| |#4|)) (-15 -2107 ((-121) |#4| |#1|)) (-15 -3069 ((-635 |#4|) |#1|)) (-15 -3195 ((-635 |#4|) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-979 |#2| |#3| |#4| |#5|) (-1049) (-790) (-844) (-1063 |#2| |#3| |#4|)) (T -978)) 
-NIL 
-(-10 -8 (-15 -3543 ((-121) |#1|)) (-15 -3279 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -3385 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -3028 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3574 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3987 ((-121) |#1|)) (-15 -3258 ((-121) |#1| |#1|)) (-15 -3756 ((-121) |#1| |#1|)) (-15 -1707 ((-121) |#1|)) (-15 -2800 ((-121) |#1|)) (-15 -2930 ((-2 (|:| |under| |#1|) (|:| -1807 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -2201 (|#1| |#1| |#4|)) (-15 -2239 (|#1| |#1| |#4|)) (-15 -4081 (|#1| |#1| |#4|)) (-15 -2107 ((-121) |#4| |#1|)) (-15 -3069 ((-635 |#4|) |#1|)) (-15 -3195 ((-635 |#4|) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571)))) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571)))) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-1912 (((-1111) $) 10)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
-(((-979 |#1| |#2| |#3| |#4|) (-1284) (-1049) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -979)) 
-((-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *1 (-979 *3 *4 *5 *6)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *1 (-979 *3 *4 *5 *6)))) (-1473 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-1063 *3 *4 *2)) (-4 *2 (-844)))) (-3195 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5)))) (-3069 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5)))) (-2107 (*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *3 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-121)))) (-4081 (*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2)))) (-2239 (*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2)))) (-2201 (*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2)))) (-2930 (*1 *2 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -1807 *1) (|:| |upper| *1))) (-4 *1 (-979 *4 *5 *3 *6)))) (-2800 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-1707 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-3756 (*1 *2 *1 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-3258 (*1 *2 *1 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-3987 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-3574 (*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *6 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))))) (-3028 (*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *6 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4))))) (-3385 (*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)))) (-3279 (*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)))) (-3543 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(-13 (-1093) (-155 |t#4|) (-609 (-635 |t#4|)) (-10 -8 (-6 -4571) (-15 -3003 ((-3 $ "failed") (-635 |t#4|))) (-15 -1321 ($ (-635 |t#4|))) (-15 -1473 (|t#3| $)) (-15 -3195 ((-635 |t#3|) $)) (-15 -3069 ((-635 |t#3|) $)) (-15 -2107 ((-121) |t#3| $)) (-15 -4081 ($ $ |t#3|)) (-15 -2239 ($ $ |t#3|)) (-15 -2201 ($ $ |t#3|)) (-15 -2930 ((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |t#3|)) (-15 -2800 ((-121) $)) (IF (|has| |t#1| (-559)) (PROGN (-15 -1707 ((-121) $)) (-15 -3756 ((-121) $ $)) (-15 -3258 ((-121) $ $)) (-15 -3987 ((-121) $)) (-15 -3574 ((-2 (|:| |num| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -3028 ((-2 (|:| |rnum| |t#1|) (|:| |polnum| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -3385 ((-635 |t#4|) (-635 |t#4|) $)) (-15 -3279 ((-635 |t#4|) (-635 |t#4|) $)) (-15 -3543 ((-121) $))) |noBranch|))) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-1093) . T) ((-1199) . T)) 
-((-1573 (((-635 |#4|) |#4| |#4|) 114)) (-3463 (((-635 |#4|) (-635 |#4|) (-121)) 103 (|has| |#1| (-454))) (((-635 |#4|) (-635 |#4|)) 104 (|has| |#1| (-454)))) (-4270 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 34)) (-4229 (((-121) |#4|) 33)) (-4224 (((-635 |#4|) |#4|) 100 (|has| |#1| (-454)))) (-3642 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|)) 19)) (-4343 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|)) 21)) (-2910 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|)) 22)) (-2650 (((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|)) 72)) (-2342 (((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 84)) (-3682 (((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 107)) (-3360 (((-635 |#4|) (-635 |#4|)) 106)) (-2738 (((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121)) 47) (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 49)) (-1790 ((|#4| |#4| (-635 |#4|)) 48)) (-2252 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 110 (|has| |#1| (-454)))) (-1892 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 113 (|has| |#1| (-454)))) (-2364 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 112 (|has| |#1| (-454)))) (-3044 (((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|))) 86) (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 88) (((-635 |#4|) (-635 |#4|) |#4|) 117) (((-635 |#4|) |#4| |#4|) 115) (((-635 |#4|) (-635 |#4|)) 87)) (-1543 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 97 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-1652 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 40)) (-4531 (((-121) (-635 |#4|)) 61)) (-4355 (((-121) (-635 |#4|) (-635 (-635 |#4|))) 52)) (-3654 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 28)) (-2683 (((-121) |#4|) 27)) (-2947 (((-635 |#4|) (-635 |#4|)) 96 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2747 (((-635 |#4|) (-635 |#4|)) 95 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-4071 (((-635 |#4|) (-635 |#4|)) 65)) (-3806 (((-635 |#4|) (-635 |#4|)) 78)) (-1350 (((-121) (-635 |#4|) (-635 |#4|)) 50)) (-2979 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 38)) (-2164 (((-121) |#4|) 35))) 
-(((-980 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3044 ((-635 |#4|) (-635 |#4|))) (-15 -3044 ((-635 |#4|) |#4| |#4|)) (-15 -3360 ((-635 |#4|) (-635 |#4|))) (-15 -1573 ((-635 |#4|) |#4| |#4|)) (-15 -3044 ((-635 |#4|) (-635 |#4|) |#4|)) (-15 -3044 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -3044 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|)))) (-15 -1350 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4355 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -4531 ((-121) (-635 |#4|))) (-15 -3642 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|))) (-15 -4343 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2910 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -1652 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -4229 ((-121) |#4|)) (-15 -4270 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2683 ((-121) |#4|)) (-15 -3654 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2164 ((-121) |#4|)) (-15 -2979 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2738 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2738 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121))) (-15 -1790 (|#4| |#4| (-635 |#4|))) (-15 -4071 ((-635 |#4|) (-635 |#4|))) (-15 -2650 ((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|))) (-15 -3806 ((-635 |#4|) (-635 |#4|))) (-15 -2342 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3682 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-454)) (PROGN (-15 -4224 ((-635 |#4|) |#4|)) (-15 -3463 ((-635 |#4|) (-635 |#4|))) (-15 -3463 ((-635 |#4|) (-635 |#4|) (-121))) (-15 -2252 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2364 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -1892 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (PROGN (-15 -2747 ((-635 |#4|) (-635 |#4|))) (-15 -2947 ((-635 |#4|) (-635 |#4|))) (-15 -1543 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) |noBranch|)) (-559) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -980)) 
-((-1543 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2947 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2747 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-1892 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2364 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2252 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-3463 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7)))) (-3463 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-4224 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-3682 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-980 *5 *6 *7 *8)))) (-2342 (*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-635 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *1 (-980 *6 *7 *8 *9)))) (-3806 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2650 (*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-482 *4 *5 *6 *7)) (|:| -1941 (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-4071 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-1790 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *2)))) (-2738 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7)))) (-2738 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2979 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2164 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-3654 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2683 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-4270 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-4229 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-1652 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2910 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-4343 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-3642 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-4531 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *7)))) (-4355 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *5 *6 *7 *8)))) (-1350 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *7)))) (-3044 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-635 *7) (-635 *7))) (-5 *2 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7)))) (-3044 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-3044 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *3)))) (-1573 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-3360 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-3044 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-3044 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -3044 ((-635 |#4|) (-635 |#4|))) (-15 -3044 ((-635 |#4|) |#4| |#4|)) (-15 -3360 ((-635 |#4|) (-635 |#4|))) (-15 -1573 ((-635 |#4|) |#4| |#4|)) (-15 -3044 ((-635 |#4|) (-635 |#4|) |#4|)) (-15 -3044 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -3044 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|)))) (-15 -1350 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4355 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -4531 ((-121) (-635 |#4|))) (-15 -3642 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|))) (-15 -4343 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2910 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -1652 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -4229 ((-121) |#4|)) (-15 -4270 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2683 ((-121) |#4|)) (-15 -3654 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2164 ((-121) |#4|)) (-15 -2979 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2738 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2738 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121))) (-15 -1790 (|#4| |#4| (-635 |#4|))) (-15 -4071 ((-635 |#4|) (-635 |#4|))) (-15 -2650 ((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|))) (-15 -3806 ((-635 |#4|) (-635 |#4|))) (-15 -2342 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3682 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-454)) (PROGN (-15 -4224 ((-635 |#4|) |#4|)) (-15 -3463 ((-635 |#4|) (-635 |#4|))) (-15 -3463 ((-635 |#4|) (-635 |#4|) (-121))) (-15 -2252 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2364 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -1892 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (PROGN (-15 -2747 ((-635 |#4|) (-635 |#4|))) (-15 -2947 ((-635 |#4|) (-635 |#4|))) (-15 -1543 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) |noBranch|)) 
-((-1890 (((-2 (|:| R (-681 |#1|)) (|:| A (-681 |#1|)) (|:| |Ainv| (-681 |#1|))) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 19)) (-1783 (((-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|)) 35)) (-2550 (((-681 |#1|) (-681 |#1|) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 16))) 
-(((-981 |#1|) (-10 -7 (-15 -1890 ((-2 (|:| R (-681 |#1|)) (|:| A (-681 |#1|)) (|:| |Ainv| (-681 |#1|))) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -2550 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -1783 ((-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|)))) (-366)) (T -981)) 
-((-1783 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| C (-681 *5)) (|:| |g| (-1253 *5))))) (-5 *1 (-981 *5)) (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)))) (-2550 (*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-681 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-981 *5)))) (-1890 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-366)) (-5 *2 (-2 (|:| R (-681 *6)) (|:| A (-681 *6)) (|:| |Ainv| (-681 *6)))) (-5 *1 (-981 *6)) (-5 *3 (-681 *6))))) 
-(-10 -7 (-15 -1890 ((-2 (|:| R (-681 |#1|)) (|:| A (-681 |#1|)) (|:| |Ainv| (-681 |#1|))) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -2550 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -1783 ((-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|)))) 
-((-3742 (((-421 |#4|) |#4|) 47))) 
-(((-982 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3742 ((-421 |#4|) |#4|))) (-844) (-790) (-454) (-952 |#3| |#2| |#1|)) (T -982)) 
-((-3742 (*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-454)) (-5 *2 (-421 *3)) (-5 *1 (-982 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4))))) 
-(-10 -7 (-15 -3742 ((-421 |#4|) |#4|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3397 (($ (-765)) 105 (|has| |#1| (-23)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| |#1| (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-3988 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1093)))) (-2131 (($ (-635 |#1|)) 110)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3410 (((-681 |#1|) $ $) 98 (|has| |#1| (-1049)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3108 ((|#1| $) 95 (-12 (|has| |#1| (-1049)) (|has| |#1| (-1004))))) (-1396 (((-121) $ (-765)) 10)) (-2718 ((|#1| $) 96 (-12 (|has| |#1| (-1049)) (|has| |#1| (-1004))))) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-3803 (($ $ (-635 |#1|)) 107)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-4510 ((|#1| $ $) 99 (|has| |#1| (-1049)))) (-2174 (((-919) $) 109)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-3617 (($ $ $) 97)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542)))) (($ (-635 |#1|)) 108)) (-3124 (($ (-635 |#1|)) 65)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 77 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 76 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) 78 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1377 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1371 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-569) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-718))) (($ $ |#1|) 100 (|has| |#1| (-718)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-983 |#1|) (-1284) (-1049)) (T -983)) 
-((-2131 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-983 *3)))) (-2174 (*1 *2 *1) (-12 (-4 *1 (-983 *3)) (-4 *3 (-1049)) (-5 *2 (-919)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-983 *3)))) (-3617 (*1 *1 *1 *1) (-12 (-4 *1 (-983 *2)) (-4 *2 (-1049)))) (-3803 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-983 *3)) (-4 *3 (-1049))))) 
-(-13 (-1251 |t#1|) (-10 -8 (-15 -2131 ($ (-635 |t#1|))) (-15 -2174 ((-919) $)) (-15 -4035 ($ (-635 |t#1|))) (-15 -3617 ($ $ $)) (-15 -3803 ($ $ (-635 |t#1|))))) 
-(((-39) . T) ((-105) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-609 (-852)) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-19 |#1|) . T) ((-844) |has| |#1| (-844)) ((-1093) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-1199) . T) ((-1251 |#1|) . T)) 
-((-4188 (((-946 |#2|) (-1 |#2| |#1|) (-946 |#1|)) 17))) 
-(((-984 |#1| |#2|) (-10 -7 (-15 -4188 ((-946 |#2|) (-1 |#2| |#1|) (-946 |#1|)))) (-1049) (-1049)) (T -984)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-946 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-946 *6)) (-5 *1 (-984 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-946 |#2|) (-1 |#2| |#1|) (-946 |#1|)))) 
-((-3735 ((|#1| (-946 |#1|)) 13)) (-3468 ((|#1| (-946 |#1|)) 12)) (-4441 ((|#1| (-946 |#1|)) 11)) (-4083 ((|#1| (-946 |#1|)) 15)) (-4357 ((|#1| (-946 |#1|)) 21)) (-3275 ((|#1| (-946 |#1|)) 14)) (-1859 ((|#1| (-946 |#1|)) 16)) (-4365 ((|#1| (-946 |#1|)) 20)) (-4381 ((|#1| (-946 |#1|)) 19))) 
-(((-985 |#1|) (-10 -7 (-15 -4441 (|#1| (-946 |#1|))) (-15 -3468 (|#1| (-946 |#1|))) (-15 -3735 (|#1| (-946 |#1|))) (-15 -3275 (|#1| (-946 |#1|))) (-15 -4083 (|#1| (-946 |#1|))) (-15 -1859 (|#1| (-946 |#1|))) (-15 -4381 (|#1| (-946 |#1|))) (-15 -4365 (|#1| (-946 |#1|))) (-15 -4357 (|#1| (-946 |#1|)))) (-1049)) (T -985)) 
-((-4357 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-4365 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-4381 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-1859 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-4083 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-3275 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-3735 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-3468 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-4441 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
-(-10 -7 (-15 -4441 (|#1| (-946 |#1|))) (-15 -3468 (|#1| (-946 |#1|))) (-15 -3735 (|#1| (-946 |#1|))) (-15 -3275 (|#1| (-946 |#1|))) (-15 -4083 (|#1| (-946 |#1|))) (-15 -1859 (|#1| (-946 |#1|))) (-15 -4381 (|#1| (-946 |#1|))) (-15 -4365 (|#1| (-946 |#1|))) (-15 -4357 (|#1| (-946 |#1|)))) 
-((-1459 (((-3 |#1| "failed") |#1|) 18)) (-3443 (((-3 |#1| "failed") |#1|) 6)) (-2658 (((-3 |#1| "failed") |#1|) 16)) (-2942 (((-3 |#1| "failed") |#1|) 4)) (-3876 (((-3 |#1| "failed") |#1|) 20)) (-4446 (((-3 |#1| "failed") |#1|) 8)) (-1517 (((-3 |#1| "failed") |#1| (-765)) 1)) (-3015 (((-3 |#1| "failed") |#1|) 3)) (-1981 (((-3 |#1| "failed") |#1|) 2)) (-2123 (((-3 |#1| "failed") |#1|) 21)) (-4159 (((-3 |#1| "failed") |#1|) 9)) (-4098 (((-3 |#1| "failed") |#1|) 19)) (-3454 (((-3 |#1| "failed") |#1|) 7)) (-4323 (((-3 |#1| "failed") |#1|) 17)) (-2920 (((-3 |#1| "failed") |#1|) 5)) (-4306 (((-3 |#1| "failed") |#1|) 24)) (-2837 (((-3 |#1| "failed") |#1|) 12)) (-3968 (((-3 |#1| "failed") |#1|) 22)) (-2812 (((-3 |#1| "failed") |#1|) 10)) (-2737 (((-3 |#1| "failed") |#1|) 26)) (-2475 (((-3 |#1| "failed") |#1|) 14)) (-1315 (((-3 |#1| "failed") |#1|) 27)) (-3098 (((-3 |#1| "failed") |#1|) 15)) (-2135 (((-3 |#1| "failed") |#1|) 25)) (-4358 (((-3 |#1| "failed") |#1|) 13)) (-2780 (((-3 |#1| "failed") |#1|) 23)) (-3811 (((-3 |#1| "failed") |#1|) 11))) 
-(((-986 |#1|) (-1284) (-1185)) (T -986)) 
-((-1315 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2737 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2135 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4306 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2780 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3968 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2123 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3876 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4098 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-1459 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4323 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2658 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3098 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2475 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4358 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2837 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3811 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2812 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4159 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4446 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3454 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3443 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2920 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2942 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3015 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-1981 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-1517 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(-13 (-10 -7 (-15 -1517 ((-3 |t#1| "failed") |t#1| (-765))) (-15 -1981 ((-3 |t#1| "failed") |t#1|)) (-15 -3015 ((-3 |t#1| "failed") |t#1|)) (-15 -2942 ((-3 |t#1| "failed") |t#1|)) (-15 -2920 ((-3 |t#1| "failed") |t#1|)) (-15 -3443 ((-3 |t#1| "failed") |t#1|)) (-15 -3454 ((-3 |t#1| "failed") |t#1|)) (-15 -4446 ((-3 |t#1| "failed") |t#1|)) (-15 -4159 ((-3 |t#1| "failed") |t#1|)) (-15 -2812 ((-3 |t#1| "failed") |t#1|)) (-15 -3811 ((-3 |t#1| "failed") |t#1|)) (-15 -2837 ((-3 |t#1| "failed") |t#1|)) (-15 -4358 ((-3 |t#1| "failed") |t#1|)) (-15 -2475 ((-3 |t#1| "failed") |t#1|)) (-15 -3098 ((-3 |t#1| "failed") |t#1|)) (-15 -2658 ((-3 |t#1| "failed") |t#1|)) (-15 -4323 ((-3 |t#1| "failed") |t#1|)) (-15 -1459 ((-3 |t#1| "failed") |t#1|)) (-15 -4098 ((-3 |t#1| "failed") |t#1|)) (-15 -3876 ((-3 |t#1| "failed") |t#1|)) (-15 -2123 ((-3 |t#1| "failed") |t#1|)) (-15 -3968 ((-3 |t#1| "failed") |t#1|)) (-15 -2780 ((-3 |t#1| "failed") |t#1|)) (-15 -4306 ((-3 |t#1| "failed") |t#1|)) (-15 -2135 ((-3 |t#1| "failed") |t#1|)) (-15 -2737 ((-3 |t#1| "failed") |t#1|)) (-15 -1315 ((-3 |t#1| "failed") |t#1|)))) 
-((-2927 ((|#4| |#4| (-635 |#3|)) 55) ((|#4| |#4| |#3|) 54)) (-4453 ((|#4| |#4| (-635 |#3|)) 23) ((|#4| |#4| |#3|) 19)) (-4188 ((|#4| (-1 |#4| (-955 |#1|)) |#4|) 30))) 
-(((-987 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4453 (|#4| |#4| |#3|)) (-15 -4453 (|#4| |#4| (-635 |#3|))) (-15 -2927 (|#4| |#4| |#3|)) (-15 -2927 (|#4| |#4| (-635 |#3|))) (-15 -4188 (|#4| (-1 |#4| (-955 |#1|)) |#4|))) (-1049) (-790) (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165))))) (-952 (-955 |#1|) |#2| |#3|)) (T -987)) 
-((-4188 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-955 *4))) (-4 *4 (-1049)) (-4 *2 (-952 (-955 *4) *5 *6)) (-4 *5 (-790)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *6 *2)))) (-2927 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *4 (-1049)) (-4 *5 (-790)) (-5 *1 (-987 *4 *5 *6 *2)) (-4 *2 (-952 (-955 *4) *5 *6)))) (-2927 (*1 *2 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *3 *2)) (-4 *2 (-952 (-955 *4) *5 *3)))) (-4453 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *4 (-1049)) (-4 *5 (-790)) (-5 *1 (-987 *4 *5 *6 *2)) (-4 *2 (-952 (-955 *4) *5 *6)))) (-4453 (*1 *2 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *3 *2)) (-4 *2 (-952 (-955 *4) *5 *3))))) 
-(-10 -7 (-15 -4453 (|#4| |#4| |#3|)) (-15 -4453 (|#4| |#4| (-635 |#3|))) (-15 -2927 (|#4| |#4| |#3|)) (-15 -2927 (|#4| |#4| (-635 |#3|))) (-15 -4188 (|#4| (-1 |#4| (-955 |#1|)) |#4|))) 
-((-4348 ((|#2| |#3|) 34)) (-4356 (((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|) 71)) (-1629 (((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) 86))) 
-(((-988 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|)) (-15 -4348 (|#2| |#3|))) (-351) (-1228 |#1|) (-1228 |#2|) (-716 |#2| |#3|)) (T -988)) 
-((-4348 (*1 *2 *3) (-12 (-4 *3 (-1228 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-988 *4 *2 *3 *5)) (-4 *4 (-351)) (-4 *5 (-716 *2 *3)))) (-4356 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-988 *4 *3 *5 *6)) (-4 *6 (-716 *3 *5)))) (-1629 (*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -4079 (-681 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-681 *4)))) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-716 *4 *5))))) 
-(-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|)) (-15 -4348 (|#2| |#3|))) 
-((-3700 (((-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569)))) (-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569))))) 64))) 
-(((-989 |#1| |#2|) (-10 -7 (-15 -3700 ((-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569)))) (-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569))))))) (-635 (-1165)) (-765)) (T -989)) 
-((-3700 (*1 *2 *2) (-12 (-5 *2 (-990 (-410 (-569)) (-854 *3) (-233 *4 (-765)) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1165))) (-14 *4 (-765)) (-5 *1 (-989 *3 *4))))) 
-(-10 -7 (-15 -3700 ((-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569)))) (-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569))))))) 
-((-1310 (((-121) $ $) NIL)) (-1702 (((-3 (-121) "failed") $) 67)) (-1928 (($ $) 35 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-3466 (($ $ (-3 (-121) "failed")) 68)) (-4064 (($ (-635 |#4|) |#4|) 24)) (-2605 (((-1147) $) NIL)) (-4282 (($ $) 65)) (-1912 (((-1111) $) NIL)) (-1668 (((-121) $) 66)) (-4016 (($) 29)) (-4476 ((|#4| $) 70)) (-3720 (((-635 |#4|) $) 69)) (-3956 (((-852) $) 64)) (-1326 (((-121) $ $) NIL))) 
-(((-990 |#1| |#2| |#3| |#4|) (-13 (-1093) (-609 (-852)) (-10 -8 (-15 -4016 ($)) (-15 -4064 ($ (-635 |#4|) |#4|)) (-15 -1702 ((-3 (-121) "failed") $)) (-15 -3466 ($ $ (-3 (-121) "failed"))) (-15 -1668 ((-121) $)) (-15 -3720 ((-635 |#4|) $)) (-15 -4476 (|#4| $)) (-15 -4282 ($ $)) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (-15 -1928 ($ $)) |noBranch|) |noBranch|))) (-454) (-844) (-790) (-952 |#1| |#3| |#2|)) (T -990)) 
-((-4016 (*1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3)))) (-4064 (*1 *1 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-952 *4 *6 *5)) (-4 *4 (-454)) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *1 (-990 *4 *5 *6 *3)))) (-1702 (*1 *2 *1) (|partial| -12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) (-3466 (*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) (-1668 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) (-3720 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-635 *6)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) (-4476 (*1 *2 *1) (-12 (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-990 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)))) (-4282 (*1 *1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3)))) (-1928 (*1 *1 *1) (-12 (-4 *2 (-151)) (-4 *2 (-302)) (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3))))) 
-(-13 (-1093) (-609 (-852)) (-10 -8 (-15 -4016 ($)) (-15 -4064 ($ (-635 |#4|) |#4|)) (-15 -1702 ((-3 (-121) "failed") $)) (-15 -3466 ($ $ (-3 (-121) "failed"))) (-15 -1668 ((-121) $)) (-15 -3720 ((-635 |#4|) $)) (-15 -4476 (|#4| $)) (-15 -4282 ($ $)) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (-15 -1928 ($ $)) |noBranch|) |noBranch|))) 
-((-4322 (((-121) |#5| |#5|) 37)) (-4368 (((-121) |#5| |#5|) 51)) (-2664 (((-121) |#5| (-635 |#5|)) 73) (((-121) |#5| |#5|) 60)) (-3705 (((-121) (-635 |#4|) (-635 |#4|)) 57)) (-1780 (((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) 62)) (-2932 (((-1258)) 33)) (-2241 (((-1258) (-1147) (-1147) (-1147)) 29)) (-1687 (((-635 |#5|) (-635 |#5|)) 80)) (-3051 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) 78)) (-4034 (((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121)) 100)) (-1703 (((-121) |#5| |#5|) 46)) (-4413 (((-3 (-121) "failed") |#5| |#5|) 70)) (-2456 (((-121) (-635 |#4|) (-635 |#4|)) 56)) (-4059 (((-121) (-635 |#4|) (-635 |#4|)) 58)) (-1861 (((-121) (-635 |#4|) (-635 |#4|)) 59)) (-4011 (((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)) 96)) (-1501 (((-635 |#5|) (-635 |#5|)) 42))) 
-(((-991 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2241 ((-1258) (-1147) (-1147) (-1147))) (-15 -2932 ((-1258))) (-15 -4322 ((-121) |#5| |#5|)) (-15 -1501 ((-635 |#5|) (-635 |#5|))) (-15 -1703 ((-121) |#5| |#5|)) (-15 -4368 ((-121) |#5| |#5|)) (-15 -3705 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2456 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4059 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -1861 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4413 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2664 ((-121) |#5| |#5|)) (-15 -2664 ((-121) |#5| (-635 |#5|))) (-15 -1687 ((-635 |#5|) (-635 |#5|))) (-15 -1780 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -3051 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-15 -4034 ((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4011 ((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -991)) 
-((-4011 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-991 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1068 *6 *7 *8 *9)))) (-4034 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1068 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-991 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) (-3051 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4320 *7)))) (-4 *6 (-1063 *3 *4 *5)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) (-1780 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)))) (-1687 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) (-2664 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-991 *5 *6 *7 *8 *3)))) (-2664 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-4413 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1861 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-4059 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-2456 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-3705 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-4368 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1703 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1501 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) (-4322 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-2932 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-991 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-2241 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -2241 ((-1258) (-1147) (-1147) (-1147))) (-15 -2932 ((-1258))) (-15 -4322 ((-121) |#5| |#5|)) (-15 -1501 ((-635 |#5|) (-635 |#5|))) (-15 -1703 ((-121) |#5| |#5|)) (-15 -4368 ((-121) |#5| |#5|)) (-15 -3705 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2456 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4059 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -1861 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4413 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2664 ((-121) |#5| |#5|)) (-15 -2664 ((-121) |#5| (-635 |#5|))) (-15 -1687 ((-635 |#5|) (-635 |#5|))) (-15 -1780 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -3051 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-15 -4034 ((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4011 ((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
-((-1948 (((-1165) $) 15)) (-2756 (((-1147) $) 16)) (-4183 (($ (-1165) (-1147)) 14)) (-3956 (((-852) $) 13))) 
-(((-992) (-13 (-609 (-852)) (-10 -8 (-15 -4183 ($ (-1165) (-1147))) (-15 -1948 ((-1165) $)) (-15 -2756 ((-1147) $))))) (T -992)) 
-((-4183 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1147)) (-5 *1 (-992)))) (-1948 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-992)))) (-2756 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-992))))) 
-(-13 (-609 (-852)) (-10 -8 (-15 -4183 ($ (-1165) (-1147))) (-15 -1948 ((-1165) $)) (-15 -2756 ((-1147) $)))) 
-((-4188 ((|#4| (-1 |#2| |#1|) |#3|) 14))) 
-(((-993 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#2| |#1|) |#3|))) (-559) (-559) (-995 |#1|) (-995 |#2|)) (T -993)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-4 *2 (-995 *6)) (-5 *1 (-993 *5 *6 *4 *2)) (-4 *4 (-995 *5))))) 
-(-10 -7 (-15 -4188 (|#4| (-1 |#2| |#1|) |#3|))) 
-((-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-1165) "failed") $) 65) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) 95)) (-1321 ((|#2| $) NIL) (((-1165) $) 60) (((-410 (-569)) $) NIL) (((-569) $) 92)) (-3435 (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 112) (((-681 |#2|) (-681 $)) 28)) (-3341 (($) 98)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 74) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 83)) (-3043 (($ $) 10)) (-1542 (((-3 $ "failed") $) 20)) (-4188 (($ (-1 |#2| |#2|) $) 22)) (-1423 (($) 16)) (-1391 (($ $) 54)) (-3289 (($ $) NIL) (($ $ (-765)) NIL) (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 36)) (-2572 (($ $) 12)) (-4035 (((-889 (-569)) $) 69) (((-889 (-382)) $) 78) (((-542) $) 40) (((-382) $) 44) (((-216) $) 47)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 90) (($ |#2|) NIL) (($ (-1165)) 57)) (-2320 (((-765)) 31)) (-1337 (((-121) $ $) 50))) 
-(((-994 |#1| |#2|) (-10 -8 (-15 -1337 ((-121) |#1| |#1|)) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -3956 (|#1| (-1165))) (-15 -3341 (|#1|)) (-15 -1391 (|#1| |#1|)) (-15 -2572 (|#1| |#1|)) (-15 -3043 (|#1| |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3956 ((-852) |#1|))) (-995 |#2|) (-559)) (T -994)) 
-((-2320 (*1 *2) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-994 *3 *4)) (-4 *3 (-995 *4))))) 
-(-10 -8 (-15 -1337 ((-121) |#1| |#1|)) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -3956 (|#1| (-1165))) (-15 -3341 (|#1|)) (-15 -1391 (|#1| |#1|)) (-15 -2572 (|#1| |#1|)) (-15 -3043 (|#1| |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3644 ((|#1| $) 135 (|has| |#1| (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 126 (|has| |#1| (-906)))) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 129 (|has| |#1| (-906)))) (-2889 (((-121) $ $) 57)) (-3817 (((-569) $) 116 (|has| |#1| (-817)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 174) (((-3 (-1165) "failed") $) 124 (|has| |#1| (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) 108 (|has| |#1| (-1039 (-569)))) (((-3 (-569) "failed") $) 106 (|has| |#1| (-1039 (-569))))) (-1321 ((|#1| $) 173) (((-1165) $) 123 (|has| |#1| (-1039 (-1165)))) (((-410 (-569)) $) 107 (|has| |#1| (-1039 (-569)))) (((-569) $) 105 (|has| |#1| (-1039 (-569))))) (-1614 (($ $ $) 53)) (-3435 (((-681 (-569)) (-681 $)) 148 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 147 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 146) (((-681 |#1|) (-681 $)) 145)) (-2611 (((-3 $ "failed") $) 33)) (-3341 (($) 133 (|has| |#1| (-551)))) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-1863 (((-121) $) 118 (|has| |#1| (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 142 (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 141 (|has| |#1| (-883 (-382))))) (-3934 (((-121) $) 30)) (-3043 (($ $) 137)) (-3515 ((|#1| $) 139)) (-1542 (((-3 $ "failed") $) 104 (|has| |#1| (-1139)))) (-4311 (((-121) $) 117 (|has| |#1| (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2157 (($ $ $) 114 (|has| |#1| (-844)))) (-2713 (($ $ $) 113 (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) 165)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1423 (($) 103 (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1391 (($ $) 134 (|has| |#1| (-302)))) (-1807 ((|#1| $) 131 (|has| |#1| (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 128 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 127 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) 171 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 170 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 169 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 168 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 167 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) 166 (|has| |#1| (-524 (-1165) |#1|)))) (-2061 (((-765) $) 56)) (-2503 (($ $ |#1|) 172 (|has| |#1| (-282 |#1| |#1|)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3289 (($ $) 164 (|has| |#1| (-226))) (($ $ (-765)) 162 (|has| |#1| (-226))) (($ $ (-1165)) 160 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 159 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 158 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 157 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 150) (($ $ (-1 |#1| |#1|)) 149)) (-2572 (($ $) 136)) (-3524 ((|#1| $) 138)) (-4035 (((-889 (-569)) $) 144 (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) 143 (|has| |#1| (-610 (-889 (-382))))) (((-542) $) 121 (|has| |#1| (-610 (-542)))) (((-382) $) 120 (|has| |#1| (-1023))) (((-216) $) 119 (|has| |#1| (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 130 (-3993 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 177) (($ (-1165)) 125 (|has| |#1| (-1039 (-1165))))) (-2277 (((-3 $ "failed") $) 122 (-1929 (|has| |#1| (-149)) (-3993 (|has| $ (-149)) (|has| |#1| (-906)))))) (-2320 (((-765)) 28)) (-3215 ((|#1| $) 132 (|has| |#1| (-551)))) (-2909 (((-121) $ $) 38)) (-4080 (($ $) 115 (|has| |#1| (-817)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $) 163 (|has| |#1| (-226))) (($ $ (-765)) 161 (|has| |#1| (-226))) (($ $ (-1165)) 156 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 155 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 154 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 153 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 152) (($ $ (-1 |#1| |#1|)) 151)) (-1355 (((-121) $ $) 111 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 110 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 112 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 109 (|has| |#1| (-844)))) (-1383 (($ $ $) 62) (($ |#1| |#1|) 140)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ |#1| $) 176) (($ $ |#1|) 175))) 
-(((-995 |#1|) (-1284) (-559)) (T -995)) 
-((-1383 (*1 *1 *2 *2) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) (-3515 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) (-3524 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) (-3043 (*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) (-2572 (*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) (-3644 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) (-1391 (*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) (-3341 (*1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-551)) (-4 *2 (-559)))) (-3215 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) (-1807 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-551))))) 
-(-13 (-366) (-43 |t#1|) (-1039 |t#1|) (-337 |t#1|) (-224 |t#1|) (-380 |t#1|) (-881 |t#1|) (-403 |t#1|) (-10 -8 (-15 -1383 ($ |t#1| |t#1|)) (-15 -3515 (|t#1| $)) (-15 -3524 (|t#1| $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (IF (|has| |t#1| (-1139)) (-6 (-1139)) |noBranch|) (IF (|has| |t#1| (-1039 (-569))) (PROGN (-6 (-1039 (-569))) (-6 (-1039 (-410 (-569))))) |noBranch|) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-817)) (-6 (-817)) |noBranch|) (IF (|has| |t#1| (-1023)) (-6 (-1023)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1039 (-1165))) (-6 (-1039 (-1165))) |noBranch|) (IF (|has| |t#1| (-302)) (PROGN (-15 -3644 (|t#1| $)) (-15 -1391 ($ $))) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -3341 ($)) (-15 -3215 (|t#1| $)) (-15 -1807 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-906)) (-6 (-906)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-610 (-216)) |has| |#1| (-1023)) ((-610 (-382)) |has| |#1| (-1023)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-889 (-382))) |has| |#1| (-610 (-889 (-382)))) ((-610 (-889 (-569))) |has| |#1| (-610 (-889 (-569)))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-239) . T) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) . T) ((-302) . T) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-366) . T) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-403 |#1|) . T) ((-454) . T) ((-524 (-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) . T) ((-709 |#1|) . T) ((-709 $) . T) ((-718) . T) ((-788) |has| |#1| (-817)) ((-789) |has| |#1| (-817)) ((-791) |has| |#1| (-817)) ((-792) |has| |#1| (-817)) ((-817) |has| |#1| (-817)) ((-842) |has| |#1| (-817)) ((-844) -1929 (|has| |#1| (-844)) (|has| |#1| (-817))) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-883 (-382)) |has| |#1| (-883 (-382))) ((-883 (-569)) |has| |#1| (-883 (-569))) ((-881 |#1|) . T) ((-906) |has| |#1| (-906)) ((-918) . T) ((-1023) |has| |#1| (-1023)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-569))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 (-1165)) |has| |#1| (-1039 (-1165))) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) . T) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| |#1| (-1139)) ((-1199) . T) ((-1208) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4193 (($ (-1130 |#1| |#2|)) 11)) (-2926 (((-1130 |#1| |#2|) $) 12)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#2| $ (-233 |#1| |#2|)) 16)) (-3956 (((-852) $) NIL)) (-2407 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL))) 
-(((-996 |#1| |#2|) (-13 (-21) (-10 -8 (-15 -4193 ($ (-1130 |#1| |#2|))) (-15 -2926 ((-1130 |#1| |#2|) $)) (-15 -2503 (|#2| $ (-233 |#1| |#2|))))) (-919) (-366)) (T -996)) 
-((-4193 (*1 *1 *2) (-12 (-5 *2 (-1130 *3 *4)) (-14 *3 (-919)) (-4 *4 (-366)) (-5 *1 (-996 *3 *4)))) (-2926 (*1 *2 *1) (-12 (-5 *2 (-1130 *3 *4)) (-5 *1 (-996 *3 *4)) (-14 *3 (-919)) (-4 *4 (-366)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-233 *4 *2)) (-14 *4 (-919)) (-4 *2 (-366)) (-5 *1 (-996 *4 *2))))) 
-(-13 (-21) (-10 -8 (-15 -4193 ($ (-1130 |#1| |#2|))) (-15 -2926 ((-1130 |#1| |#2|) $)) (-15 -2503 (|#2| $ (-233 |#1| |#2|))))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-4063 (($ $) 43)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2718 (((-765) $) 42)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1678 ((|#1| $) 41)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3381 ((|#1| |#1| $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-4458 ((|#1| $) 44)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3063 ((|#1| $) 40)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-997 |#1|) (-1284) (-1199)) (T -997)) 
-((-3381 (*1 *2 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) (-4458 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) (-4063 (*1 *1 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) (-2718 (*1 *2 *1) (-12 (-4 *1 (-997 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) (-1678 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) (-3063 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199))))) 
-(-13 (-111 |t#1|) (-10 -8 (-6 -4571) (-15 -3381 (|t#1| |t#1| $)) (-15 -4458 (|t#1| $)) (-15 -4063 ($ $)) (-15 -2718 ((-765) $)) (-15 -1678 (|t#1| $)) (-15 -3063 (|t#1| $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-2225 (((-121) $) 42)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 45)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 43)) (-1330 (((-3 (-410 (-569)) "failed") $) 78)) (-4429 (((-121) $) 72)) (-2096 (((-410 (-569)) $) 76)) (-3934 (((-121) $) 41)) (-3046 ((|#2| $) 22)) (-4188 (($ (-1 |#2| |#2|) $) 19)) (-3243 (($ $) 61)) (-3289 (($ $) NIL) (($ $ (-765)) NIL) (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 34)) (-4035 (((-542) $) 67)) (-3980 (($ $) 17)) (-3956 (((-852) $) 56) (($ (-569)) 38) (($ |#2|) 36) (($ (-410 (-569))) NIL)) (-2320 (((-765)) 10)) (-4080 ((|#2| $) 71)) (-1326 (((-121) $ $) 25)) (-1337 (((-121) $ $) 69)) (-1377 (($ $) 29) (($ $ $) 28)) (-1371 (($ $ $) 26)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 33) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 30) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-998 |#1| |#2|) (-10 -8 (-15 -3956 (|#1| (-410 (-569)))) (-15 -1337 ((-121) |#1| |#1|)) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 -3243 (|#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -4080 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -3980 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3934 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-999 |#2|) (-173)) (T -998)) 
-((-2320 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-998 *3 *4)) (-4 *3 (-999 *4))))) 
-(-10 -8 (-15 -3956 (|#1| (-410 (-569)))) (-15 -1337 ((-121) |#1| |#1|)) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 -3243 (|#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -4080 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -3980 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3934 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 117 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 115 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 114)) (-1321 (((-569) $) 118 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 116 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 113)) (-3435 (((-681 (-569)) (-681 $)) 88 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 87 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 86) (((-681 |#1|) (-681 $)) 85)) (-2611 (((-3 $ "failed") $) 33)) (-3147 ((|#1| $) 78)) (-1330 (((-3 (-410 (-569)) "failed") $) 74 (|has| |#1| (-551)))) (-4429 (((-121) $) 76 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 75 (|has| |#1| (-551)))) (-2427 (($ |#1| |#1| |#1| |#1|) 79)) (-3934 (((-121) $) 30)) (-3046 ((|#1| $) 80)) (-2157 (($ $ $) 66 (|has| |#1| (-844)))) (-2713 (($ $ $) 65 (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) 89)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 71 (|has| |#1| (-366)))) (-4455 ((|#1| $) 81)) (-3226 ((|#1| $) 82)) (-1952 ((|#1| $) 83)) (-1912 (((-1111) $) 10)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) 95 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 94 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 93 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 92 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 91 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) 90 (|has| |#1| (-524 (-1165) |#1|)))) (-2503 (($ $ |#1|) 96 (|has| |#1| (-282 |#1| |#1|)))) (-3289 (($ $) 112 (|has| |#1| (-226))) (($ $ (-765)) 110 (|has| |#1| (-226))) (($ $ (-1165)) 108 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 107 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 106 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 105 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 98) (($ $ (-1 |#1| |#1|)) 97)) (-4035 (((-542) $) 72 (|has| |#1| (-610 (-542))))) (-3980 (($ $) 84)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 60 (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569))))))) (-2277 (((-3 $ "failed") $) 73 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-4080 ((|#1| $) 77 (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 70 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $) 111 (|has| |#1| (-226))) (($ $ (-765)) 109 (|has| |#1| (-226))) (($ $ (-1165)) 104 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 103 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 102 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 101 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 100) (($ $ (-1 |#1| |#1|)) 99)) (-1355 (((-121) $ $) 63 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 62 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 64 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 61 (|has| |#1| (-844)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 69 (|has| |#1| (-366)))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ $ (-410 (-569))) 68 (|has| |#1| (-366))) (($ (-410 (-569)) $) 67 (|has| |#1| (-366))))) 
-(((-999 |#1|) (-1284) (-173)) (T -999)) 
-((-3980 (*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-1952 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-3226 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-4455 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-3046 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-2427 (*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-3147 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-4080 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-2096 (*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-1330 (*1 *2 *1) (|partial| -12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569)))))) 
-(-13 (-43 |t#1|) (-414 |t#1|) (-224 |t#1|) (-337 |t#1|) (-380 |t#1|) (-10 -8 (-15 -3980 ($ $)) (-15 -1952 (|t#1| $)) (-15 -3226 (|t#1| $)) (-15 -4455 (|t#1| $)) (-15 -3046 (|t#1| $)) (-15 -2427 ($ |t#1| |t#1| |t#1| |t#1|)) (-15 -3147 (|t#1| $)) (IF (|has| |t#1| (-286)) (-6 (-286)) |noBranch|) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-239)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1058)) (-15 -4080 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-366)) ((-43 |#1|) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-366)) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-239) |has| |#1| (-366)) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) -1929 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-524 (-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-638 (-410 (-569))) |has| |#1| (-366)) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) |has| |#1| (-366)) ((-709 |#1|) . T) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) |has| |#1| (-366)) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-4188 ((|#3| (-1 |#4| |#2|) |#1|) 16))) 
-(((-1000 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) (-999 |#2|) (-173) (-999 |#4|) (-173)) (T -1000)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-999 *6)) (-5 *1 (-1000 *4 *5 *2 *6)) (-4 *4 (-999 *5))))) 
-(-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3147 ((|#1| $) 12)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-4429 (((-121) $) NIL (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-2427 (($ |#1| |#1| |#1| |#1|) 16)) (-3934 (((-121) $) NIL)) (-3046 ((|#1| $) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-4455 ((|#1| $) 15)) (-3226 ((|#1| $) 14)) (-1952 ((|#1| $) 13)) (-1912 (((-1111) $) NIL)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-524 (-1165) |#1|)))) (-2503 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3289 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3980 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569))))))) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-4080 ((|#1| $) NIL (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 8 T CONST)) (-3297 (($) 10 T CONST)) (-3712 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))))) 
-(((-1001 |#1|) (-999 |#1|) (-173)) (T -1001)) 
-NIL 
-(-999 |#1|) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-4063 (($ $) 20)) (-4472 (($ (-635 |#1|)) 29)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2718 (((-765) $) 22)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) 24)) (-2351 (($ |#1| $) 15)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1678 ((|#1| $) 23)) (-2166 ((|#1| $) 19)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3381 ((|#1| |#1| $) 14)) (-1668 (((-121) $) 17)) (-4016 (($) NIL)) (-4458 ((|#1| $) 18)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) NIL)) (-3063 ((|#1| $) 26)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1002 |#1|) (-13 (-997 |#1|) (-10 -8 (-15 -4472 ($ (-635 |#1|))) (-15 -4458 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -3381 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1678 (|#1| $)) (-15 -3063 (|#1| $)) (-15 -4063 ($ $)) (-15 -2718 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) (-1093)) (T -1002)) 
-((-3186 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-4016 (*1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-1396 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) (-3206 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) (-3350 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) (-4483 (*1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-2946 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1002 *4)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1002 *4)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-1002 *4)))) (-4303 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-4457 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-2691 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3016 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-2605 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1310 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) (-2166 (*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-4496 (*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-3381 (*1 *2 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-4458 (*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-4063 (*1 *1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-1678 (*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-3063 (*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-4472 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3))))) 
-(-13 (-997 |#1|) (-10 -8 (-15 -4472 ($ (-635 |#1|))) (-15 -4458 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -3381 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1678 (|#1| $)) (-15 -3063 (|#1| $)) (-15 -4063 ($ $)) (-15 -2718 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) 
-((-3422 (($ $) 12)) (-2522 (($ $ (-569)) 13))) 
-(((-1003 |#1|) (-10 -8 (-15 -3422 (|#1| |#1|)) (-15 -2522 (|#1| |#1| (-569)))) (-1004)) (T -1003)) 
-NIL 
-(-10 -8 (-15 -3422 (|#1| |#1|)) (-15 -2522 (|#1| |#1| (-569)))) 
-((-3422 (($ $) 6)) (-2522 (($ $ (-569)) 7)) (** (($ $ (-410 (-569))) 8))) 
-(((-1004) (-1284)) (T -1004)) 
-((** (*1 *1 *1 *2) (-12 (-4 *1 (-1004)) (-5 *2 (-410 (-569))))) (-2522 (*1 *1 *1 *2) (-12 (-4 *1 (-1004)) (-5 *2 (-569)))) (-3422 (*1 *1 *1) (-4 *1 (-1004)))) 
-(-13 (-10 -8 (-15 -3422 ($ $)) (-15 -2522 ($ $ (-569))) (-15 ** ($ $ (-410 (-569)))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3315 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| (-410 |#2|) (-366)))) (-2915 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2735 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-2245 (((-681 (-410 |#2|)) (-1253 $)) NIL) (((-681 (-410 |#2|))) NIL)) (-3588 (((-410 |#2|) $) NIL)) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-410 |#2|) (-351)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3742 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2889 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2675 (((-765)) NIL (|has| (-410 |#2|) (-371)))) (-2147 (((-121)) NIL)) (-4017 (((-121) |#1|) 147) (((-121) |#2|) 152)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| (-410 |#2|) (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| (-410 |#2|) (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-410 |#2|) $) NIL)) (-2097 (($ (-1253 (-410 |#2|)) (-1253 $)) NIL) (($ (-1253 (-410 |#2|))) 70) (($ (-1253 |#2|) |#2|) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-410 |#2|) (-351)))) (-1614 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1808 (((-681 (-410 |#2|)) $ (-1253 $)) NIL) (((-681 (-410 |#2|)) $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-410 |#2|))) (|:| |vec| (-1253 (-410 |#2|)))) (-681 $) (-1253 $)) NIL) (((-681 (-410 |#2|)) (-681 $)) NIL)) (-3728 (((-1253 $) (-1253 $)) NIL)) (-2793 (($ |#3|) 65) (((-3 $ "failed") (-410 |#3|)) NIL (|has| (-410 |#2|) (-366)))) (-2611 (((-3 $ "failed") $) NIL)) (-3768 (((-635 (-635 |#1|))) NIL (|has| |#1| (-371)))) (-1596 (((-121) |#1| |#1|) NIL)) (-3358 (((-919)) NIL)) (-3341 (($) NIL (|has| (-410 |#2|) (-371)))) (-3717 (((-121)) NIL)) (-2521 (((-121) |#1|) 56) (((-121) |#2|) 149)) (-1626 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| (-410 |#2|) (-366)))) (-2540 (($ $) NIL)) (-1456 (($) NIL (|has| (-410 |#2|) (-351)))) (-3462 (((-121) $) NIL (|has| (-410 |#2|) (-351)))) (-3238 (($ $ (-765)) NIL (|has| (-410 |#2|) (-351))) (($ $) NIL (|has| (-410 |#2|) (-351)))) (-2005 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-4433 (((-919) $) NIL (|has| (-410 |#2|) (-351))) (((-830 (-919)) $) NIL (|has| (-410 |#2|) (-351)))) (-3934 (((-121) $) NIL)) (-1853 (((-765)) NIL)) (-2749 (((-1253 $) (-1253 $)) NIL)) (-3046 (((-410 |#2|) $) NIL)) (-1694 (((-635 (-955 |#1|)) (-1165)) NIL (|has| |#1| (-366)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2415 ((|#3| $) NIL (|has| (-410 |#2|) (-366)))) (-2862 (((-919) $) NIL (|has| (-410 |#2|) (-371)))) (-2786 ((|#3| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2605 (((-1147) $) NIL)) (-3561 (((-681 (-410 |#2|))) 52)) (-2715 (((-681 (-410 |#2|))) 51)) (-3243 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-4284 (($ (-1253 |#2|) |#2|) 71)) (-3145 (((-681 (-410 |#2|))) 50)) (-2949 (((-681 (-410 |#2|))) 49)) (-1593 (((-2 (|:| |num| (-681 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 86)) (-1482 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) 77)) (-1365 (((-1253 $)) 46)) (-1629 (((-1253 $)) 45)) (-2722 (((-121) $) NIL)) (-3759 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-1423 (($) NIL (|has| (-410 |#2|) (-351)) CONST)) (-1333 (($ (-919)) NIL (|has| (-410 |#2|) (-371)))) (-3973 (((-3 |#2| "failed")) 63)) (-1912 (((-1111) $) NIL)) (-2196 (((-765)) NIL)) (-1986 (($) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| (-410 |#2|) (-366)))) (-3964 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-410 |#2|) (-351)))) (-3139 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-1436 (((-3 $ "failed") $ $) NIL (|has| (-410 |#2|) (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2061 (((-765) $) NIL (|has| (-410 |#2|) (-366)))) (-2503 ((|#1| $ |#1| |#1|) NIL)) (-4374 (((-3 |#2| "failed")) 62)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2925 (((-410 |#2|) (-1253 $)) NIL) (((-410 |#2|)) 42)) (-3600 (((-765) $) NIL (|has| (-410 |#2|) (-351))) (((-3 (-765) "failed") $ $) NIL (|has| (-410 |#2|) (-351)))) (-3289 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3775 (((-681 (-410 |#2|)) (-1253 $) (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366)))) (-3036 ((|#3|) 53)) (-3563 (($) NIL (|has| (-410 |#2|) (-351)))) (-3672 (((-1253 (-410 |#2|)) $ (-1253 $)) NIL) (((-681 (-410 |#2|)) (-1253 $) (-1253 $)) NIL) (((-1253 (-410 |#2|)) $) 72) (((-681 (-410 |#2|)) (-1253 $)) NIL)) (-4035 (((-1253 (-410 |#2|)) $) NIL) (($ (-1253 (-410 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-410 |#2|) (-351)))) (-4482 (((-1253 $) (-1253 $)) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 |#2|)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1039 (-410 (-569)))))) (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2277 (($ $) NIL (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-149)))) (-3033 ((|#3| $) NIL)) (-2320 (((-765)) NIL)) (-4197 (((-121)) 60)) (-3834 (((-121) |#1|) 153) (((-121) |#2|) 154)) (-4079 (((-1253 $)) 124)) (-2909 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-4037 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3268 (((-121)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (-2407 (($) 94 T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 |#2|)) NIL) (($ (-410 |#2|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) NIL (|has| (-410 |#2|) (-366))))) 
-(((-1005 |#1| |#2| |#3| |#4| |#5|) (-341 |#1| |#2| |#3|) (-1208) (-1228 |#1|) (-1228 (-410 |#2|)) (-410 |#2|) (-765)) (T -1005)) 
+((-3690 (($ $ (-1089 $)) 7) (($ $ (-1169)) 6))) 
+(((-965) (-1289)) (T -965)) 
+((-3690 (*1 *1 *1 *2) (-12 (-5 *2 (-1089 *1)) (-4 *1 (-965)))) (-3690 (*1 *1 *1 *2) (-12 (-4 *1 (-965)) (-5 *2 (-1169))))) 
+(-13 (-10 -8 (-15 -3690 ($ $ (-1169))) (-15 -3690 ($ $ (-1089 $))))) 
+((-1962 (((-2 (|:| -4501 (-637 (-571))) (|:| |poly| (-637 (-1165 |#1|))) (|:| |prim| (-1165 |#1|))) (-637 (-958 |#1|)) (-637 (-1169)) (-1169)) 23) (((-2 (|:| -4501 (-637 (-571))) (|:| |poly| (-637 (-1165 |#1|))) (|:| |prim| (-1165 |#1|))) (-637 (-958 |#1|)) (-637 (-1169))) 24) (((-2 (|:| |coef1| (-571)) (|:| |coef2| (-571)) (|:| |prim| (-1165 |#1|))) (-958 |#1|) (-1169) (-958 |#1|) (-1169)) 41))) 
+(((-966 |#1|) (-10 -7 (-15 -1962 ((-2 (|:| |coef1| (-571)) (|:| |coef2| (-571)) (|:| |prim| (-1165 |#1|))) (-958 |#1|) (-1169) (-958 |#1|) (-1169))) (-15 -1962 ((-2 (|:| -4501 (-637 (-571))) (|:| |poly| (-637 (-1165 |#1|))) (|:| |prim| (-1165 |#1|))) (-637 (-958 |#1|)) (-637 (-1169)))) (-15 -1962 ((-2 (|:| -4501 (-637 (-571))) (|:| |poly| (-637 (-1165 |#1|))) (|:| |prim| (-1165 |#1|))) (-637 (-958 |#1|)) (-637 (-1169)) (-1169)))) (-13 (-367) (-151))) (T -966)) 
+((-1962 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-958 *6))) (-5 *4 (-637 (-1169))) (-5 *5 (-1169)) (-4 *6 (-13 (-367) (-151))) (-5 *2 (-2 (|:| -4501 (-637 (-571))) (|:| |poly| (-637 (-1165 *6))) (|:| |prim| (-1165 *6)))) (-5 *1 (-966 *6)))) (-1962 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-637 (-1169))) (-4 *5 (-13 (-367) (-151))) (-5 *2 (-2 (|:| -4501 (-637 (-571))) (|:| |poly| (-637 (-1165 *5))) (|:| |prim| (-1165 *5)))) (-5 *1 (-966 *5)))) (-1962 (*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-958 *5)) (-5 *4 (-1169)) (-4 *5 (-13 (-367) (-151))) (-5 *2 (-2 (|:| |coef1| (-571)) (|:| |coef2| (-571)) (|:| |prim| (-1165 *5)))) (-5 *1 (-966 *5))))) 
+(-10 -7 (-15 -1962 ((-2 (|:| |coef1| (-571)) (|:| |coef2| (-571)) (|:| |prim| (-1165 |#1|))) (-958 |#1|) (-1169) (-958 |#1|) (-1169))) (-15 -1962 ((-2 (|:| -4501 (-637 (-571))) (|:| |poly| (-637 (-1165 |#1|))) (|:| |prim| (-1165 |#1|))) (-637 (-958 |#1|)) (-637 (-1169)))) (-15 -1962 ((-2 (|:| -4501 (-637 (-571))) (|:| |poly| (-637 (-1165 |#1|))) (|:| |prim| (-1165 |#1|))) (-637 (-958 |#1|)) (-637 (-1169)) (-1169)))) 
+((-3987 (((-637 |#1|) |#1| |#1|) 42)) (-1596 (((-121) |#1|) 39)) (-3274 ((|#1| |#1|) 64)) (-1405 ((|#1| |#1|) 63))) 
+(((-967 |#1|) (-10 -7 (-15 -1596 ((-121) |#1|)) (-15 -1405 (|#1| |#1|)) (-15 -3274 (|#1| |#1|)) (-15 -3987 ((-637 |#1|) |#1| |#1|))) (-553)) (T -967)) 
+((-3987 (*1 *2 *3 *3) (-12 (-5 *2 (-637 *3)) (-5 *1 (-967 *3)) (-4 *3 (-553)))) (-3274 (*1 *2 *2) (-12 (-5 *1 (-967 *2)) (-4 *2 (-553)))) (-1405 (*1 *2 *2) (-12 (-5 *1 (-967 *2)) (-4 *2 (-553)))) (-1596 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-967 *3)) (-4 *3 (-553))))) 
+(-10 -7 (-15 -1596 ((-121) |#1|)) (-15 -1405 (|#1| |#1|)) (-15 -3274 (|#1| |#1|)) (-15 -3987 ((-637 |#1|) |#1| |#1|))) 
+((-1811 (((-1263) (-855)) 9))) 
+(((-968) (-10 -7 (-15 -1811 ((-1263) (-855))))) (T -968)) 
+((-1811 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1263)) (-5 *1 (-968))))) 
+(-10 -7 (-15 -1811 ((-1263) (-855)))) 
+((-2329 (((-637 |#5|) |#3| (-637 |#3|)) 70)) (-2669 (((-637 |#5|) |#3|) 45)) (-3000 (((-637 |#5|) |#3| (-922)) 58)) (-3225 (((-637 |#5|) (-637 |#3|)) 48))) 
+(((-969 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2329 ((-637 |#5|) |#3| (-637 |#3|))) (-15 -2669 ((-637 |#5|) |#3|)) (-15 -3225 ((-637 |#5|) (-637 |#3|))) (-15 -3000 ((-637 |#5|) |#3| (-922)))) (-367) (-637 (-1169)) (-955 |#1| |#4| (-857 |#2|)) (-231 (-4001 |#2|) (-768)) (-977 |#1|)) (T -969)) 
+((-3000 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-5 *2 (-637 *8)) (-5 *1 (-969 *5 *6 *3 *7 *8)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5)))) (-3225 (*1 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *2 (-637 *8)) (-5 *1 (-969 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4)))) (-2669 (*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-231 (-4001 *5) (-768))) (-5 *2 (-637 *7)) (-5 *1 (-969 *4 *5 *3 *6 *7)) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *7 (-977 *4)))) (-2329 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 *8)) (-5 *1 (-969 *5 *6 *3 *7 *8)) (-4 *8 (-977 *5))))) 
+(-10 -7 (-15 -2329 ((-637 |#5|) |#3| (-637 |#3|))) (-15 -2669 ((-637 |#5|) |#3|)) (-15 -3225 ((-637 |#5|) (-637 |#3|))) (-15 -3000 ((-637 |#5|) |#3| (-922)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 62 (|has| |#1| (-561)))) (-1415 (($ $) 63 (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 28)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) NIL)) (-4349 (($ $) 24)) (-3978 (((-3 $ "failed") $) 35)) (-3630 (($ $) NIL (|has| |#1| (-456)))) (-1420 (($ $ |#1| |#2| $) 47)) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) 16)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| |#2|) NIL)) (-3973 ((|#2| $) 19)) (-2587 (($ (-1 |#2| |#2|) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-4332 (($ $) 23)) (-4337 ((|#1| $) 21)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) 40)) (-4326 ((|#1| $) NIL)) (-3755 (($ $ |#2| |#1| $) 71 (-12 (|has| |#2| (-138)) (|has| |#1| (-561))))) (-1786 (((-3 $ "failed") $ $) 73 (|has| |#1| (-561))) (((-3 $ "failed") $ |#1|) 69 (|has| |#1| (-561)))) (-2400 ((|#2| $) 17)) (-4189 ((|#1| $) NIL (|has| |#1| (-456)))) (-3942 (((-855) $) NIL) (($ (-571)) 39) (($ $) NIL (|has| |#1| (-561))) (($ |#1|) 34) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571))))))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ |#2|) 31)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) 15)) (-3855 (($ $ $ (-768)) 58 (|has| |#1| (-173)))) (-1388 (((-121) $ $) 68 (|has| |#1| (-561)))) (-4142 (($ $ (-922)) 54) (($ $ (-768)) 55)) (-2369 (($) 22 T CONST)) (-3222 (($) 12 T CONST)) (-1323 (((-121) $ $) 67)) (-1379 (($ $ |#1|) 74 (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) 53) (($ $ (-768)) 51)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 50) (($ $ |#1|) 49) (($ |#1| $) 48) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-970 |#1| |#2|) (-13 (-325 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-561)) (IF (|has| |#2| (-138)) (-15 -3755 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4598)) (-6 -4598) |noBranch|))) (-1053) (-792)) (T -970)) 
+((-3755 (*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-970 *3 *2)) (-4 *2 (-138)) (-4 *3 (-561)) (-4 *3 (-1053)) (-4 *2 (-792))))) 
+(-13 (-325 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-561)) (IF (|has| |#2| (-138)) (-15 -3755 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4598)) (-6 -4598) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL (-1831 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-793)) (|has| |#2| (-793)))))) (-3933 (($ $ $) 63 (-12 (|has| |#1| (-793)) (|has| |#2| (-793))))) (-4176 (((-3 $ "failed") $ $) 50 (-1831 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-793)) (|has| |#2| (-793)))))) (-4407 (((-768)) 34 (-12 (|has| |#1| (-373)) (|has| |#2| (-373))))) (-2964 ((|#2| $) 21)) (-2705 ((|#1| $) 20)) (-2269 (($) NIL (-1831 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721))) (-12 (|has| |#1| (-793)) (|has| |#2| (-793)))) CONST)) (-3978 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721)))))) (-3254 (($) NIL (-12 (|has| |#1| (-373)) (|has| |#2| (-373))))) (-2583 (((-121) $) NIL (-1831 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721)))))) (-1763 (($ $ $) NIL (-1831 (-12 (|has| |#1| (-793)) (|has| |#2| (-793))) (-12 (|has| |#1| (-847)) (|has| |#2| (-847)))))) (-2383 (($ $ $) NIL (-1831 (-12 (|has| |#1| (-793)) (|has| |#2| (-793))) (-12 (|has| |#1| (-847)) (|has| |#2| (-847)))))) (-1436 (($ |#1| |#2|) 19)) (-4470 (((-922) $) NIL (-12 (|has| |#1| (-373)) (|has| |#2| (-373))))) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 37 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))))) (-1755 (($ (-922)) NIL (-12 (|has| |#1| (-373)) (|has| |#2| (-373))))) (-2580 (((-1115) $) NIL)) (-3804 (((-637 $)) NIL (-12 (|has| |#1| (-373)) (|has| |#2| (-373))))) (-2911 (($ $ $) NIL (-12 (|has| |#1| (-481)) (|has| |#2| (-481))))) (-2212 (($ $ $) NIL (-12 (|has| |#1| (-481)) (|has| |#2| (-481))))) (-3942 (((-855) $) 14)) (-4142 (($ $ (-571)) NIL (-12 (|has| |#1| (-481)) (|has| |#2| (-481)))) (($ $ (-768)) NIL (-1831 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721))))) (($ $ (-922)) NIL (-1831 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721)))))) (-2369 (($) 40 (-1831 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-793)) (|has| |#2| (-793)))) CONST)) (-3222 (($) 24 (-1831 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721)))) CONST)) (-1350 (((-121) $ $) NIL (-1831 (-12 (|has| |#1| (-793)) (|has| |#2| (-793))) (-12 (|has| |#1| (-847)) (|has| |#2| (-847)))))) (-1338 (((-121) $ $) NIL (-1831 (-12 (|has| |#1| (-793)) (|has| |#2| (-793))) (-12 (|has| |#1| (-847)) (|has| |#2| (-847)))))) (-1323 (((-121) $ $) 18)) (-1342 (((-121) $ $) NIL (-1831 (-12 (|has| |#1| (-793)) (|has| |#2| (-793))) (-12 (|has| |#1| (-847)) (|has| |#2| (-847)))))) (-1331 (((-121) $ $) 66 (-1831 (-12 (|has| |#1| (-793)) (|has| |#2| (-793))) (-12 (|has| |#1| (-847)) (|has| |#2| (-847)))))) (-1379 (($ $ $) NIL (-12 (|has| |#1| (-481)) (|has| |#2| (-481))))) (-1373 (($ $ $) 56 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ $) 53 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))))) (-1367 (($ $ $) 43 (-1831 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-793)) (|has| |#2| (-793)))))) (** (($ $ (-571)) NIL (-12 (|has| |#1| (-481)) (|has| |#2| (-481)))) (($ $ (-768)) 31 (-1831 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721))))) (($ $ (-922)) NIL (-1831 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721)))))) (* (($ (-571) $) 60 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ (-768) $) 46 (-1831 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-793)) (|has| |#2| (-793))))) (($ (-922) $) NIL (-1831 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-793)) (|has| |#2| (-793))))) (($ $ $) 27 (-1831 (-12 (|has| |#1| (-481)) (|has| |#2| (-481))) (-12 (|has| |#1| (-721)) (|has| |#2| (-721))))))) 
+(((-971 |#1| |#2|) (-13 (-1097) (-10 -8 (IF (|has| |#1| (-373)) (IF (|has| |#2| (-373)) (-6 (-373)) |noBranch|) |noBranch|) (IF (|has| |#1| (-721)) (IF (|has| |#2| (-721)) (-6 (-721)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-138)) (IF (|has| |#2| (-138)) (-6 (-138)) |noBranch|) |noBranch|) (IF (|has| |#1| (-481)) (IF (|has| |#2| (-481)) (-6 (-481)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-793)) (IF (|has| |#2| (-793)) (-6 (-793)) |noBranch|) |noBranch|) (IF (|has| |#1| (-847)) (IF (|has| |#2| (-847)) (-6 (-847)) |noBranch|) |noBranch|) (-15 -1436 ($ |#1| |#2|)) (-15 -2705 (|#1| $)) (-15 -2964 (|#2| $)))) (-1097) (-1097)) (T -971)) 
+((-1436 (*1 *1 *2 *3) (-12 (-5 *1 (-971 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) (-2705 (*1 *2 *1) (-12 (-4 *2 (-1097)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1097)))) (-2964 (*1 *2 *1) (-12 (-4 *2 (-1097)) (-5 *1 (-971 *3 *2)) (-4 *3 (-1097))))) 
+(-13 (-1097) (-10 -8 (IF (|has| |#1| (-373)) (IF (|has| |#2| (-373)) (-6 (-373)) |noBranch|) |noBranch|) (IF (|has| |#1| (-721)) (IF (|has| |#2| (-721)) (-6 (-721)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-138)) (IF (|has| |#2| (-138)) (-6 (-138)) |noBranch|) |noBranch|) (IF (|has| |#1| (-481)) (IF (|has| |#2| (-481)) (-6 (-481)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-793)) (IF (|has| |#2| (-793)) (-6 (-793)) |noBranch|) |noBranch|) (IF (|has| |#1| (-847)) (IF (|has| |#2| (-847)) (-6 (-847)) |noBranch|) |noBranch|) (-15 -1436 ($ |#1| |#2|)) (-15 -2705 (|#1| $)) (-15 -2964 (|#2| $)))) 
+((-2234 (((-121) $ $) NIL)) (-3251 ((|#1| $ (-571) |#1|) NIL)) (-4149 (((-637 $) (-637 $) (-768)) NIL) (((-637 $) (-637 $)) NIL)) (-3330 (((-121) $ (-768)) NIL) (((-121) $) NIL)) (-3542 (($ (-637 |#1|)) NIL)) (-1862 (((-637 |#1|) $) NIL)) (-2921 (((-637 $) $) NIL) (((-637 $) $ (-768)) NIL)) (-4344 (((-637 |#1|) $) NIL)) (-3944 (((-1151) $) NIL)) (-2022 (((-571) $) NIL)) (-2794 (((-571) $) NIL)) (-1422 (($ $ (-571)) NIL) (($ $) NIL)) (-2580 (((-1115) $) NIL)) (-3245 ((|#1| $ (-571)) NIL)) (-2400 (((-922) $) NIL)) (-4364 ((|#1| $) NIL)) (-2911 (($ $ (-768)) NIL) (($ $) NIL)) (-3942 (((-855) $) NIL) (((-637 |#1|) $) NIL) (($ (-637 |#1|)) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-972 |#1|) (-977 |#1|) (-367)) (T -972)) 
+NIL 
+(-977 |#1|) 
+((-2234 (((-121) $ $) NIL)) (-3251 (((-862 |#1|) $ (-571) (-862 |#1|)) NIL)) (-4149 (((-637 $) (-637 $) (-768)) NIL) (((-637 $) (-637 $)) NIL)) (-3330 (((-121) $ (-768)) NIL) (((-121) $) NIL)) (-3542 (($ (-637 (-862 |#1|))) NIL)) (-1862 (((-637 (-862 |#1|)) $) NIL)) (-2921 (((-637 $) $) NIL) (((-637 $) $ (-768)) NIL)) (-4344 (((-637 (-862 |#1|)) $) NIL)) (-3944 (((-1151) $) NIL)) (-2022 (((-571) $) NIL)) (-2794 (((-571) $) NIL)) (-1422 (($ $ (-571)) NIL) (($ $) NIL)) (-2580 (((-1115) $) NIL)) (-3245 (((-862 |#1|) $ (-571)) NIL)) (-2400 (((-922) $) NIL)) (-4364 (((-862 |#1|) $) NIL)) (-2911 (($ $ (-768)) NIL) (($ $) NIL)) (-3942 (((-855) $) NIL) (((-637 (-862 |#1|)) $) NIL) (($ (-637 (-862 |#1|))) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-973 |#1|) (-977 (-862 |#1|)) (-352)) (T -973)) 
+NIL 
+(-977 (-862 |#1|)) 
+((-2234 (((-121) $ $) NIL)) (-3251 ((|#2| $ (-571) |#2|) NIL)) (-4149 (((-637 $) (-637 $) (-768)) 41) (((-637 $) (-637 $)) 42)) (-3330 (((-121) $ (-768)) 38) (((-121) $) 40)) (-3542 (($ (-637 |#2|)) 25)) (-1862 (((-637 |#2|) $) 27)) (-2921 (((-637 $) $) 50) (((-637 $) $ (-768)) 47)) (-4344 (((-637 |#2|) $) 26)) (-3944 (((-1151) $) NIL)) (-2022 (((-571) $) 59)) (-2794 (((-571) $) 62)) (-1422 (($ $ (-571)) 36) (($ $) 52)) (-2580 (((-1115) $) NIL)) (-3245 ((|#2| $ (-571)) 32)) (-2400 (((-922) $) 16)) (-4364 ((|#2| $) 22)) (-2911 (($ $ (-768)) 30) (($ $) 49)) (-3942 (((-855) $) 19) (((-637 |#2|) $) 24) (($ (-637 |#2|)) 58)) (-1323 (((-121) $ $) 37))) 
+(((-974 |#1| |#2|) (-977 |#2|) (-768) (-367)) (T -974)) 
+NIL 
+(-977 |#2|) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) 8)) (-2269 (($) 7 T CONST)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-2984 (($ $ $) 40)) (-3491 (($ $ $) 41)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-2383 ((|#1| $) 42)) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2377 ((|#1| $) 36)) (-2863 (($ |#1| $) 37)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) 39)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-975 |#1|) (-1289) (-847)) (T -975)) 
+((-2383 (*1 *2 *1) (-12 (-4 *1 (-975 *2)) (-4 *2 (-847)))) (-3491 (*1 *1 *1 *1) (-12 (-4 *1 (-975 *2)) (-4 *2 (-847)))) (-2984 (*1 *1 *1 *1) (-12 (-4 *1 (-975 *2)) (-4 *2 (-847))))) 
+(-13 (-111 |t#1|) (-10 -8 (-6 -4600) (-15 -2383 (|t#1| $)) (-15 -3491 ($ $ $)) (-15 -2984 ($ $ $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-2809 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3026 |#2|)) |#2| |#2|) 84)) (-3888 ((|#2| |#2| |#2|) 82)) (-1320 (((-2 (|:| |coef2| |#2|) (|:| -3026 |#2|)) |#2| |#2|) 86)) (-4511 (((-2 (|:| |coef1| |#2|) (|:| -3026 |#2|)) |#2| |#2|) 88)) (-3559 (((-2 (|:| |coef2| |#2|) (|:| -1333 |#1|)) |#2| |#2|) 106 (|has| |#1| (-456)))) (-2681 (((-2 (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|) 45)) (-1608 (((-2 (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|) 63)) (-3155 (((-2 (|:| |coef1| |#2|) (|:| -3730 |#1|)) |#2| |#2|) 65)) (-4234 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 77)) (-3864 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768)) 70)) (-2048 (((-2 (|:| |coef2| |#2|) (|:| -1475 |#1|)) |#2|) 96)) (-1970 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768)) 73)) (-3677 (((-637 (-768)) |#2| |#2|) 81)) (-1327 ((|#1| |#2| |#2|) 41)) (-1864 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1333 |#1|)) |#2| |#2|) 104 (|has| |#1| (-456)))) (-1333 ((|#1| |#2| |#2|) 102 (|has| |#1| (-456)))) (-3261 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|) 43)) (-1343 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|) 62)) (-3730 ((|#1| |#2| |#2|) 60)) (-2506 (((-2 (|:| -4501 |#1|) (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2|) 35)) (-3713 ((|#2| |#2| |#2| |#2| |#1|) 52)) (-3174 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 75)) (-2810 ((|#2| |#2| |#2|) 74)) (-2573 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768)) 68)) (-3357 ((|#2| |#2| |#2| (-768)) 66)) (-3026 ((|#2| |#2| |#2|) 110 (|has| |#1| (-456)))) (-1786 (((-1258 |#2|) (-1258 |#2|) |#1|) 21)) (-3221 (((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2|) 38)) (-1499 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1475 |#1|)) |#2|) 94)) (-1475 ((|#1| |#2|) 91)) (-2224 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768)) 72)) (-2138 ((|#2| |#2| |#2| (-768)) 71)) (-2652 (((-637 |#2|) |#2| |#2|) 79)) (-4441 ((|#2| |#2| |#1| |#1| (-768)) 49)) (-2267 ((|#1| |#1| |#1| (-768)) 48)) (* (((-1258 |#2|) |#1| (-1258 |#2|)) 16))) 
+(((-976 |#1| |#2|) (-10 -7 (-15 -3730 (|#1| |#2| |#2|)) (-15 -1343 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|)) (-15 -1608 ((-2 (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|)) (-15 -3155 ((-2 (|:| |coef1| |#2|) (|:| -3730 |#1|)) |#2| |#2|)) (-15 -3357 (|#2| |#2| |#2| (-768))) (-15 -2573 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768))) (-15 -3864 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768))) (-15 -2138 (|#2| |#2| |#2| (-768))) (-15 -2224 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768))) (-15 -1970 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768))) (-15 -2810 (|#2| |#2| |#2|)) (-15 -3174 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -4234 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -3888 (|#2| |#2| |#2|)) (-15 -2809 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3026 |#2|)) |#2| |#2|)) (-15 -1320 ((-2 (|:| |coef2| |#2|) (|:| -3026 |#2|)) |#2| |#2|)) (-15 -4511 ((-2 (|:| |coef1| |#2|) (|:| -3026 |#2|)) |#2| |#2|)) (-15 -1475 (|#1| |#2|)) (-15 -1499 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1475 |#1|)) |#2|)) (-15 -2048 ((-2 (|:| |coef2| |#2|) (|:| -1475 |#1|)) |#2|)) (-15 -2652 ((-637 |#2|) |#2| |#2|)) (-15 -3677 ((-637 (-768)) |#2| |#2|)) (IF (|has| |#1| (-456)) (PROGN (-15 -1333 (|#1| |#2| |#2|)) (-15 -1864 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1333 |#1|)) |#2| |#2|)) (-15 -3559 ((-2 (|:| |coef2| |#2|) (|:| -1333 |#1|)) |#2| |#2|)) (-15 -3026 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1258 |#2|) |#1| (-1258 |#2|))) (-15 -1786 ((-1258 |#2|) (-1258 |#2|) |#1|)) (-15 -2506 ((-2 (|:| -4501 |#1|) (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2|)) (-15 -3221 ((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2|)) (-15 -2267 (|#1| |#1| |#1| (-768))) (-15 -4441 (|#2| |#2| |#1| |#1| (-768))) (-15 -3713 (|#2| |#2| |#2| |#2| |#1|)) (-15 -1327 (|#1| |#2| |#2|)) (-15 -3261 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|)) (-15 -2681 ((-2 (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|))) (-561) (-1233 |#1|)) (T -976)) 
+((-2681 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3730 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-3261 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3730 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-1327 (*1 *2 *3 *3) (-12 (-4 *2 (-561)) (-5 *1 (-976 *2 *3)) (-4 *3 (-1233 *2)))) (-3713 (*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-561)) (-5 *1 (-976 *3 *2)) (-4 *2 (-1233 *3)))) (-4441 (*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-768)) (-4 *3 (-561)) (-5 *1 (-976 *3 *2)) (-4 *2 (-1233 *3)))) (-2267 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *2 (-561)) (-5 *1 (-976 *2 *4)) (-4 *4 (-1233 *2)))) (-3221 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-2506 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| -4501 *4) (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-1786 (*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-4 *4 (-1233 *3)) (-4 *3 (-561)) (-5 *1 (-976 *3 *4)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1258 *4)) (-4 *4 (-1233 *3)) (-4 *3 (-561)) (-5 *1 (-976 *3 *4)))) (-3026 (*1 *2 *2 *2) (-12 (-4 *3 (-456)) (-4 *3 (-561)) (-5 *1 (-976 *3 *2)) (-4 *2 (-1233 *3)))) (-3559 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1333 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-1864 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1333 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-1333 (*1 *2 *3 *3) (-12 (-4 *2 (-561)) (-4 *2 (-456)) (-5 *1 (-976 *2 *3)) (-4 *3 (-1233 *2)))) (-3677 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 (-768))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-2652 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 *3)) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-2048 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1475 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-1499 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1475 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-1475 (*1 *2 *3) (-12 (-4 *2 (-561)) (-5 *1 (-976 *2 *3)) (-4 *3 (-1233 *2)))) (-4511 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3026 *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-1320 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3026 *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-2809 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3026 *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-3888 (*1 *2 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-976 *3 *2)) (-4 *2 (-1233 *3)))) (-4234 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-3174 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-2810 (*1 *2 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-976 *3 *2)) (-4 *2 (-1233 *3)))) (-1970 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *5 *3)) (-4 *3 (-1233 *5)))) (-2224 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *5 *3)) (-4 *3 (-1233 *5)))) (-2138 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-561)) (-5 *1 (-976 *4 *2)) (-4 *2 (-1233 *4)))) (-3864 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *5 *3)) (-4 *3 (-1233 *5)))) (-2573 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *5 *3)) (-4 *3 (-1233 *5)))) (-3357 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-561)) (-5 *1 (-976 *4 *2)) (-4 *2 (-1233 *4)))) (-3155 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3730 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-1608 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3730 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-1343 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3730 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) (-3730 (*1 *2 *3 *3) (-12 (-4 *2 (-561)) (-5 *1 (-976 *2 *3)) (-4 *3 (-1233 *2))))) 
+(-10 -7 (-15 -3730 (|#1| |#2| |#2|)) (-15 -1343 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|)) (-15 -1608 ((-2 (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|)) (-15 -3155 ((-2 (|:| |coef1| |#2|) (|:| -3730 |#1|)) |#2| |#2|)) (-15 -3357 (|#2| |#2| |#2| (-768))) (-15 -2573 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768))) (-15 -3864 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768))) (-15 -2138 (|#2| |#2| |#2| (-768))) (-15 -2224 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768))) (-15 -1970 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-768))) (-15 -2810 (|#2| |#2| |#2|)) (-15 -3174 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -4234 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -3888 (|#2| |#2| |#2|)) (-15 -2809 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3026 |#2|)) |#2| |#2|)) (-15 -1320 ((-2 (|:| |coef2| |#2|) (|:| -3026 |#2|)) |#2| |#2|)) (-15 -4511 ((-2 (|:| |coef1| |#2|) (|:| -3026 |#2|)) |#2| |#2|)) (-15 -1475 (|#1| |#2|)) (-15 -1499 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1475 |#1|)) |#2|)) (-15 -2048 ((-2 (|:| |coef2| |#2|) (|:| -1475 |#1|)) |#2|)) (-15 -2652 ((-637 |#2|) |#2| |#2|)) (-15 -3677 ((-637 (-768)) |#2| |#2|)) (IF (|has| |#1| (-456)) (PROGN (-15 -1333 (|#1| |#2| |#2|)) (-15 -1864 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -1333 |#1|)) |#2| |#2|)) (-15 -3559 ((-2 (|:| |coef2| |#2|) (|:| -1333 |#1|)) |#2| |#2|)) (-15 -3026 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1258 |#2|) |#1| (-1258 |#2|))) (-15 -1786 ((-1258 |#2|) (-1258 |#2|) |#1|)) (-15 -2506 ((-2 (|:| -4501 |#1|) (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2|)) (-15 -3221 ((-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) |#2| |#2|)) (-15 -2267 (|#1| |#1| |#1| (-768))) (-15 -4441 (|#2| |#2| |#1| |#1| (-768))) (-15 -3713 (|#2| |#2| |#2| |#2| |#1|)) (-15 -1327 (|#1| |#2| |#2|)) (-15 -3261 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|)) (-15 -2681 ((-2 (|:| |coef2| |#2|) (|:| -3730 |#1|)) |#2| |#2|))) 
+((-2234 (((-121) $ $) 7)) (-3251 ((|#1| $ (-571) |#1|) 14)) (-4149 (((-637 $) (-637 $) (-768)) 22) (((-637 $) (-637 $)) 21)) (-3330 (((-121) $ (-768)) 20) (((-121) $) 19)) (-3542 (($ (-637 |#1|)) 30)) (-1862 (((-637 |#1|) $) 13)) (-2921 (((-637 $) $) 26) (((-637 $) $ (-768)) 25)) (-4344 (((-637 |#1|) $) 16)) (-3944 (((-1151) $) 9)) (-2022 (((-571) $) 17)) (-2794 (((-571) $) 32)) (-1422 (($ $ (-571)) 31) (($ $) 18)) (-2580 (((-1115) $) 10)) (-3245 ((|#1| $ (-571)) 15)) (-2400 (((-922) $) 12)) (-4364 ((|#1| $) 29)) (-2911 (($ $ (-768)) 24) (($ $) 23)) (-3942 (((-855) $) 11) (((-637 |#1|) $) 28) (($ (-637 |#1|)) 27)) (-1323 (((-121) $ $) 6))) 
+(((-977 |#1|) (-1289) (-367)) (T -977)) 
+((-2794 (*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-571)))) (-1422 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-977 *3)) (-4 *3 (-367)))) (-3542 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-4 *1 (-977 *3)))) (-4364 (*1 *2 *1) (-12 (-4 *1 (-977 *2)) (-4 *2 (-367)))) (-3942 (*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-4 *1 (-977 *3)))) (-2921 (*1 *2 *1) (-12 (-4 *3 (-367)) (-5 *2 (-637 *1)) (-4 *1 (-977 *3)))) (-2921 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *4 (-367)) (-5 *2 (-637 *1)) (-4 *1 (-977 *4)))) (-2911 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-977 *3)) (-4 *3 (-367)))) (-2911 (*1 *1 *1) (-12 (-4 *1 (-977 *2)) (-4 *2 (-367)))) (-4149 (*1 *2 *2 *3) (-12 (-5 *2 (-637 *1)) (-5 *3 (-768)) (-4 *1 (-977 *4)) (-4 *4 (-367)))) (-4149 (*1 *2 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-977 *3)) (-4 *3 (-367)))) (-3330 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-977 *4)) (-4 *4 (-367)) (-5 *2 (-121)))) (-3330 (*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-121)))) (-1422 (*1 *1 *1) (-12 (-4 *1 (-977 *2)) (-4 *2 (-367)))) (-2022 (*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-571)))) (-4344 (*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-977 *2)) (-4 *2 (-367)))) (-3251 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-977 *2)) (-4 *2 (-367)))) (-1862 (*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3))))) 
+(-13 (-1095) (-10 -8 (-15 -2794 ((-571) $)) (-15 -1422 ($ $ (-571))) (-15 -3542 ($ (-637 |t#1|))) (-15 -4364 (|t#1| $)) (-15 -3942 ((-637 |t#1|) $)) (-15 -3942 ($ (-637 |t#1|))) (-15 -2921 ((-637 $) $)) (-15 -2921 ((-637 $) $ (-768))) (-15 -2911 ($ $ (-768))) (-15 -2911 ($ $)) (-15 -4149 ((-637 $) (-637 $) (-768))) (-15 -4149 ((-637 $) (-637 $))) (-15 -3330 ((-121) $ (-768))) (-15 -3330 ((-121) $)) (-15 -1422 ($ $)) (-15 -2022 ((-571) $)) (-15 -4344 ((-637 |t#1|) $)) (-15 -3245 (|t#1| $ (-571))) (-15 -3251 (|t#1| $ (-571) |t#1|)) (-15 -1862 ((-637 |t#1|) $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T) ((-1095) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) 26)) (-2269 (($) NIL T CONST)) (-2490 (((-637 (-637 (-571))) (-637 (-571))) 28)) (-4191 (((-571) $) 44)) (-3056 (($ (-637 (-571))) 17)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4050 (((-637 (-571)) $) 11)) (-2911 (($ $) 31)) (-3942 (((-855) $) 42) (((-637 (-571)) $) 9)) (-2369 (($) 7 T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 19)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 18)) (-1367 (($ $ $) 20)) (* (($ (-768) $) 24) (($ (-922) $) NIL))) 
+(((-978) (-13 (-795) (-612 (-637 (-571))) (-10 -8 (-15 -3056 ($ (-637 (-571)))) (-15 -2490 ((-637 (-637 (-571))) (-637 (-571)))) (-15 -4191 ((-571) $)) (-15 -2911 ($ $)) (-15 -3942 ((-637 (-571)) $))))) (T -978)) 
+((-3056 (*1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-978)))) (-2490 (*1 *2 *3) (-12 (-5 *2 (-637 (-637 (-571)))) (-5 *1 (-978)) (-5 *3 (-637 (-571))))) (-4191 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-978)))) (-2911 (*1 *1 *1) (-5 *1 (-978))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-978))))) 
+(-13 (-795) (-612 (-637 (-571))) (-10 -8 (-15 -3056 ($ (-637 (-571)))) (-15 -2490 ((-637 (-637 (-571))) (-637 (-571)))) (-15 -4191 ((-571) $)) (-15 -2911 ($ $)) (-15 -3942 ((-637 (-571)) $)))) 
+((-1379 (($ $ |#2|) 30)) (-1373 (($ $) 22) (($ $ $) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 15) (($ $ $) NIL) (($ $ |#2|) 20) (($ |#2| $) 19) (($ (-412 (-571)) $) 26) (($ $ (-412 (-571))) 28))) 
+(((-979 |#1| |#2| |#3| |#4|) (-10 -8 (-15 * (|#1| |#1| (-412 (-571)))) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 -1379 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|))) (-980 |#2| |#3| |#4|) (-1053) (-792) (-847)) (T -979)) 
+NIL 
+(-10 -8 (-15 * (|#1| |#1| (-412 (-571)))) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 -1379 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 * (|#1| (-922) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3424 (((-637 |#3|) $) 70)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 50 (|has| |#1| (-561)))) (-1415 (($ $) 51 (|has| |#1| (-561)))) (-2545 (((-121) $) 53 (|has| |#1| (-561)))) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-4349 (($ $) 59)) (-3978 (((-3 $ "failed") $) 33)) (-4124 (((-121) $) 69)) (-2583 (((-121) $) 30)) (-3517 (((-121) $) 61)) (-4289 (($ |#1| |#2|) 60) (($ $ |#3| |#2|) 72) (($ $ (-637 |#3|) (-637 |#2|)) 71)) (-3799 (($ (-1 |#1| |#1|) $) 62)) (-4332 (($ $) 64)) (-4337 ((|#1| $) 65)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1786 (((-3 $ "failed") $ $) 49 (|has| |#1| (-561)))) (-2400 ((|#2| $) 63)) (-3202 (($ $) 68)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ (-412 (-571))) 56 (|has| |#1| (-43 (-412 (-571))))) (($ $) 48 (|has| |#1| (-561))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3136 ((|#1| $ |#2|) 58)) (-2346 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 52 (|has| |#1| (-561)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 57 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-412 (-571)) $) 55 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 54 (|has| |#1| (-43 (-412 (-571))))))) 
+(((-980 |#1| |#2| |#3|) (-1289) (-1053) (-792) (-847)) (T -980)) 
+((-4337 (*1 *2 *1) (-12 (-4 *1 (-980 *2 *3 *4)) (-4 *3 (-792)) (-4 *4 (-847)) (-4 *2 (-1053)))) (-4332 (*1 *1 *1) (-12 (-4 *1 (-980 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-792)) (-4 *4 (-847)))) (-2400 (*1 *2 *1) (-12 (-4 *1 (-980 *3 *2 *4)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *2 (-792)))) (-4289 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-980 *4 *3 *2)) (-4 *4 (-1053)) (-4 *3 (-792)) (-4 *2 (-847)))) (-4289 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *6)) (-5 *3 (-637 *5)) (-4 *1 (-980 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-792)) (-4 *6 (-847)))) (-3424 (*1 *2 *1) (-12 (-4 *1 (-980 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-792)) (-4 *5 (-847)) (-5 *2 (-637 *5)))) (-4124 (*1 *2 *1) (-12 (-4 *1 (-980 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-792)) (-4 *5 (-847)) (-5 *2 (-121)))) (-3202 (*1 *1 *1) (-12 (-4 *1 (-980 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-792)) (-4 *4 (-847))))) 
+(-13 (-52 |t#1| |t#2|) (-10 -8 (-15 -4289 ($ $ |t#3| |t#2|)) (-15 -4289 ($ $ (-637 |t#3|) (-637 |t#2|))) (-15 -4332 ($ $)) (-15 -4337 (|t#1| $)) (-15 -2400 (|t#2| $)) (-15 -3424 ((-637 |t#3|) $)) (-15 -4124 ((-121) $)) (-15 -3202 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-561)) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-286) |has| |#1| (-561)) ((-561) |has| |#1| (-561)) ((-640 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) |has| |#1| (-561)) ((-721) . T) ((-1059 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-1957 (((-1091 (-216)) $) 7)) (-4157 (((-1091 (-216)) $) 8)) (-4053 (((-1091 (-216)) $) 9)) (-2963 (((-637 (-637 (-949 (-216)))) $) 10)) (-3942 (((-855) $) 6))) 
+(((-981) (-1289)) (T -981)) 
+((-2963 (*1 *2 *1) (-12 (-4 *1 (-981)) (-5 *2 (-637 (-637 (-949 (-216))))))) (-4053 (*1 *2 *1) (-12 (-4 *1 (-981)) (-5 *2 (-1091 (-216))))) (-4157 (*1 *2 *1) (-12 (-4 *1 (-981)) (-5 *2 (-1091 (-216))))) (-1957 (*1 *2 *1) (-12 (-4 *1 (-981)) (-5 *2 (-1091 (-216)))))) 
+(-13 (-611 (-855)) (-10 -8 (-15 -2963 ((-637 (-637 (-949 (-216)))) $)) (-15 -4053 ((-1091 (-216)) $)) (-15 -4157 ((-1091 (-216)) $)) (-15 -1957 ((-1091 (-216)) $)))) 
+(((-611 (-855)) . T)) 
+((-3424 (((-637 |#4|) $) 23)) (-2927 (((-121) $) 47)) (-4409 (((-121) $) 46)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#4|) 35)) (-2940 (((-121) $) 48)) (-4203 (((-121) $ $) 54)) (-2568 (((-121) $ $) 57)) (-3455 (((-121) $) 52)) (-1372 (((-637 |#5|) (-637 |#5|) $) 89)) (-2684 (((-637 |#5|) (-637 |#5|) $) 86)) (-3363 (((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) 80)) (-2213 (((-637 |#4|) $) 27)) (-3529 (((-121) |#4| $) 29)) (-4520 (((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) 72)) (-3985 (($ $ |#4|) 32)) (-1905 (($ $ |#4|) 31)) (-2031 (($ $ |#4|) 33)) (-1323 (((-121) $ $) 39))) 
+(((-982 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -4409 ((-121) |#1|)) (-15 -1372 ((-637 |#5|) (-637 |#5|) |#1|)) (-15 -2684 ((-637 |#5|) (-637 |#5|) |#1|)) (-15 -3363 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -4520 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -2940 ((-121) |#1|)) (-15 -2568 ((-121) |#1| |#1|)) (-15 -4203 ((-121) |#1| |#1|)) (-15 -3455 ((-121) |#1|)) (-15 -2927 ((-121) |#1|)) (-15 -2972 ((-2 (|:| |under| |#1|) (|:| -3955 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -3985 (|#1| |#1| |#4|)) (-15 -2031 (|#1| |#1| |#4|)) (-15 -1905 (|#1| |#1| |#4|)) (-15 -3529 ((-121) |#4| |#1|)) (-15 -2213 ((-637 |#4|) |#1|)) (-15 -3424 ((-637 |#4|) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) (-983 |#2| |#3| |#4| |#5|) (-1053) (-793) (-847) (-1067 |#2| |#3| |#4|)) (T -982)) 
+NIL 
+(-10 -8 (-15 -4409 ((-121) |#1|)) (-15 -1372 ((-637 |#5|) (-637 |#5|) |#1|)) (-15 -2684 ((-637 |#5|) (-637 |#5|) |#1|)) (-15 -3363 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -4520 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -2940 ((-121) |#1|)) (-15 -2568 ((-121) |#1| |#1|)) (-15 -4203 ((-121) |#1| |#1|)) (-15 -3455 ((-121) |#1|)) (-15 -2927 ((-121) |#1|)) (-15 -2972 ((-2 (|:| |under| |#1|) (|:| -3955 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -3985 (|#1| |#1| |#4|)) (-15 -2031 (|#1| |#1| |#4|)) (-15 -1905 (|#1| |#1| |#4|)) (-15 -3529 ((-121) |#4| |#1|)) (-15 -2213 ((-637 |#4|) |#1|)) (-15 -3424 ((-637 |#4|) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-3424 (((-637 |#3|) $) 32)) (-2927 (((-121) $) 25)) (-4409 (((-121) $) 16 (|has| |#1| (-561)))) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) 26)) (-3133 (((-121) $ (-768)) 43)) (-2534 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4600)))) (-2269 (($) 44 T CONST)) (-2940 (((-121) $) 21 (|has| |#1| (-561)))) (-4203 (((-121) $ $) 23 (|has| |#1| (-561)))) (-2568 (((-121) $ $) 22 (|has| |#1| (-561)))) (-3455 (((-121) $) 24 (|has| |#1| (-561)))) (-1372 (((-637 |#4|) (-637 |#4|) $) 17 (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) 18 (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) 35)) (-1316 (($ (-637 |#4|)) 34)) (-4365 (($ $) 67 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#4| $) 66 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-561)))) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4600)))) (-4034 (((-637 |#4|) $) 51 (|has| $ (-6 -4600)))) (-2065 ((|#3| $) 33)) (-2262 (((-121) $ (-768)) 42)) (-3488 (((-637 |#4|) $) 52 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) 46)) (-2213 (((-637 |#3|) $) 31)) (-3529 (((-121) |#3| $) 30)) (-3794 (((-121) $ (-768)) 41)) (-3944 (((-1151) $) 9)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-561)))) (-2580 (((-1115) $) 10)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-3160 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) 37)) (-1828 (((-121) $) 40)) (-1630 (($) 39)) (-1569 (((-768) |#4| $) 53 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4600)))) (-4316 (($ $) 38)) (-4050 (((-544) $) 68 (|has| |#4| (-612 (-544))))) (-3891 (($ (-637 |#4|)) 59)) (-3985 (($ $ |#3|) 27)) (-1905 (($ $ |#3|) 29)) (-2031 (($ $ |#3|) 28)) (-3942 (((-855) $) 11) (((-637 |#4|) $) 36)) (-3027 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 6)) (-4001 (((-768) $) 45 (|has| $ (-6 -4600))))) 
+(((-983 |#1| |#2| |#3| |#4|) (-1289) (-1053) (-793) (-847) (-1067 |t#1| |t#2| |t#3|)) (T -983)) 
+((-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *1 (-983 *3 *4 *5 *6)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *1 (-983 *3 *4 *5 *6)))) (-2065 (*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *2 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-1067 *3 *4 *2)) (-4 *2 (-847)))) (-3424 (*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-637 *5)))) (-2213 (*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-637 *5)))) (-3529 (*1 *2 *3 *1) (-12 (-4 *1 (-983 *4 *5 *3 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-4 *6 (-1067 *4 *5 *3)) (-5 *2 (-121)))) (-1905 (*1 *1 *1 *2) (-12 (-4 *1 (-983 *3 *4 *2 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *5 (-1067 *3 *4 *2)))) (-2031 (*1 *1 *1 *2) (-12 (-4 *1 (-983 *3 *4 *2 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *5 (-1067 *3 *4 *2)))) (-3985 (*1 *1 *1 *2) (-12 (-4 *1 (-983 *3 *4 *2 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *5 (-1067 *3 *4 *2)))) (-2972 (*1 *2 *1 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-4 *6 (-1067 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -3955 *1) (|:| |upper| *1))) (-4 *1 (-983 *4 *5 *3 *6)))) (-2927 (*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) (-3455 (*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-5 *2 (-121)))) (-4203 (*1 *2 *1 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-5 *2 (-121)))) (-2568 (*1 *2 *1 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-5 *2 (-121)))) (-2940 (*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-5 *2 (-121)))) (-4520 (*1 *2 *3 *1) (-12 (-4 *1 (-983 *4 *5 *6 *3)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))))) (-3363 (*1 *2 *3 *1) (-12 (-4 *1 (-983 *4 *5 *6 *3)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4))))) (-2684 (*1 *2 *2 *1) (-12 (-5 *2 (-637 *6)) (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)))) (-1372 (*1 *2 *2 *1) (-12 (-5 *2 (-637 *6)) (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)))) (-4409 (*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-5 *2 (-121))))) 
+(-13 (-1097) (-155 |t#4|) (-611 (-637 |t#4|)) (-10 -8 (-6 -4600) (-15 -3337 ((-3 $ "failed") (-637 |t#4|))) (-15 -1316 ($ (-637 |t#4|))) (-15 -2065 (|t#3| $)) (-15 -3424 ((-637 |t#3|) $)) (-15 -2213 ((-637 |t#3|) $)) (-15 -3529 ((-121) |t#3| $)) (-15 -1905 ($ $ |t#3|)) (-15 -2031 ($ $ |t#3|)) (-15 -3985 ($ $ |t#3|)) (-15 -2972 ((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |t#3|)) (-15 -2927 ((-121) $)) (IF (|has| |t#1| (-561)) (PROGN (-15 -3455 ((-121) $)) (-15 -4203 ((-121) $ $)) (-15 -2568 ((-121) $ $)) (-15 -2940 ((-121) $)) (-15 -4520 ((-2 (|:| |num| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -3363 ((-2 (|:| |rnum| |t#1|) (|:| |polnum| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -2684 ((-637 |t#4|) (-637 |t#4|) $)) (-15 -1372 ((-637 |t#4|) (-637 |t#4|) $)) (-15 -4409 ((-121) $))) |noBranch|))) 
+(((-39) . T) ((-105) . T) ((-611 (-637 |#4|)) . T) ((-611 (-855)) . T) ((-155 |#4|) . T) ((-612 (-544)) |has| |#4| (-612 (-544))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-502 |#4|) . T) ((-526 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-1097) . T) ((-1203) . T)) 
+((-1403 (((-637 |#4|) |#4| |#4|) 114)) (-2859 (((-637 |#4|) (-637 |#4|) (-121)) 103 (|has| |#1| (-456))) (((-637 |#4|) (-637 |#4|)) 104 (|has| |#1| (-456)))) (-3825 (((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|)) 34)) (-1541 (((-121) |#4|) 33)) (-1512 (((-637 |#4|) |#4|) 100 (|has| |#1| (-456)))) (-1522 (((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-1 (-121) |#4|) (-637 |#4|)) 19)) (-4209 (((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 (-1 (-121) |#4|)) (-637 |#4|)) 21)) (-1392 (((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 (-1 (-121) |#4|)) (-637 |#4|)) 22)) (-4159 (((-3 (-2 (|:| |bas| (-484 |#1| |#2| |#3| |#4|)) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|)) 72)) (-2811 (((-637 |#4|) (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 84)) (-3784 (((-637 |#4|) (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 107)) (-3253 (((-637 |#4|) (-637 |#4|)) 106)) (-2563 (((-637 |#4|) (-637 |#4|) (-637 |#4|) (-121)) 47) (((-637 |#4|) (-637 |#4|) (-637 |#4|)) 49)) (-3880 ((|#4| |#4| (-637 |#4|)) 48)) (-2136 (((-637 |#4|) (-637 |#4|) (-637 |#4|)) 110 (|has| |#1| (-456)))) (-2300 (((-637 |#4|) (-637 |#4|) (-637 |#4|)) 113 (|has| |#1| (-456)))) (-4193 (((-637 |#4|) (-637 |#4|) (-637 |#4|)) 112 (|has| |#1| (-456)))) (-3464 (((-637 |#4|) (-637 |#4|) (-637 |#4|) (-1 (-637 |#4|) (-637 |#4|))) 86) (((-637 |#4|) (-637 |#4|) (-637 |#4|)) 88) (((-637 |#4|) (-637 |#4|) |#4|) 117) (((-637 |#4|) |#4| |#4|) 115) (((-637 |#4|) (-637 |#4|)) 87)) (-2605 (((-637 |#4|) (-637 |#4|) (-637 |#4|)) 97 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-1764 (((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|)) 40)) (-2691 (((-121) (-637 |#4|)) 61)) (-4278 (((-121) (-637 |#4|) (-637 (-637 |#4|))) 52)) (-3614 (((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|)) 28)) (-2167 (((-121) |#4|) 27)) (-2999 (((-637 |#4|) (-637 |#4|)) 96 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2635 (((-637 |#4|) (-637 |#4|)) 95 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-1868 (((-637 |#4|) (-637 |#4|)) 65)) (-3152 (((-637 |#4|) (-637 |#4|)) 78)) (-3546 (((-121) (-637 |#4|) (-637 |#4|)) 50)) (-3139 (((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|)) 38)) (-3803 (((-121) |#4|) 35))) 
+(((-984 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3464 ((-637 |#4|) (-637 |#4|))) (-15 -3464 ((-637 |#4|) |#4| |#4|)) (-15 -3253 ((-637 |#4|) (-637 |#4|))) (-15 -1403 ((-637 |#4|) |#4| |#4|)) (-15 -3464 ((-637 |#4|) (-637 |#4|) |#4|)) (-15 -3464 ((-637 |#4|) (-637 |#4|) (-637 |#4|))) (-15 -3464 ((-637 |#4|) (-637 |#4|) (-637 |#4|) (-1 (-637 |#4|) (-637 |#4|)))) (-15 -3546 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -4278 ((-121) (-637 |#4|) (-637 (-637 |#4|)))) (-15 -2691 ((-121) (-637 |#4|))) (-15 -1522 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-1 (-121) |#4|) (-637 |#4|))) (-15 -4209 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 (-1 (-121) |#4|)) (-637 |#4|))) (-15 -1392 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 (-1 (-121) |#4|)) (-637 |#4|))) (-15 -1764 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|))) (-15 -1541 ((-121) |#4|)) (-15 -3825 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|))) (-15 -2167 ((-121) |#4|)) (-15 -3614 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|))) (-15 -3803 ((-121) |#4|)) (-15 -3139 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|))) (-15 -2563 ((-637 |#4|) (-637 |#4|) (-637 |#4|))) (-15 -2563 ((-637 |#4|) (-637 |#4|) (-637 |#4|) (-121))) (-15 -3880 (|#4| |#4| (-637 |#4|))) (-15 -1868 ((-637 |#4|) (-637 |#4|))) (-15 -4159 ((-3 (-2 (|:| |bas| (-484 |#1| |#2| |#3| |#4|)) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|))) (-15 -3152 ((-637 |#4|) (-637 |#4|))) (-15 -2811 ((-637 |#4|) (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3784 ((-637 |#4|) (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-456)) (PROGN (-15 -1512 ((-637 |#4|) |#4|)) (-15 -2859 ((-637 |#4|) (-637 |#4|))) (-15 -2859 ((-637 |#4|) (-637 |#4|) (-121))) (-15 -2136 ((-637 |#4|) (-637 |#4|) (-637 |#4|))) (-15 -4193 ((-637 |#4|) (-637 |#4|) (-637 |#4|))) (-15 -2300 ((-637 |#4|) (-637 |#4|) (-637 |#4|)))) |noBranch|) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (PROGN (-15 -2635 ((-637 |#4|) (-637 |#4|))) (-15 -2999 ((-637 |#4|) (-637 |#4|))) (-15 -2605 ((-637 |#4|) (-637 |#4|) (-637 |#4|)))) |noBranch|) |noBranch|)) (-561) (-793) (-847) (-1067 |#1| |#2| |#3|)) (T -984)) 
+((-2605 (*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-2999 (*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-2635 (*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-2300 (*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-456)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-4193 (*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-456)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-2136 (*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-456)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-2859 (*1 *2 *2 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-121)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-984 *4 *5 *6 *7)))) (-2859 (*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-456)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-1512 (*1 *2 *3) (-12 (-4 *4 (-456)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *3)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6)))) (-3784 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-637 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-984 *5 *6 *7 *8)))) (-2811 (*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-637 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1067 *6 *7 *8)) (-4 *6 (-561)) (-4 *7 (-793)) (-4 *8 (-847)) (-5 *1 (-984 *6 *7 *8 *9)))) (-3152 (*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-4159 (*1 *2 *3) (|partial| -12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-484 *4 *5 *6 *7)) (|:| -1601 (-637 *7)))) (-5 *1 (-984 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) (-1868 (*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-3880 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-984 *4 *5 *6 *2)))) (-2563 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-121)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-984 *4 *5 *6 *7)))) (-2563 (*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-637 *7)) (|:| |badPols| (-637 *7)))) (-5 *1 (-984 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) (-3803 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6)))) (-3614 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-637 *7)) (|:| |badPols| (-637 *7)))) (-5 *1 (-984 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) (-2167 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6)))) (-3825 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-637 *7)) (|:| |badPols| (-637 *7)))) (-5 *1 (-984 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) (-1541 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6)))) (-1764 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-637 *7)) (|:| |badPols| (-637 *7)))) (-5 *1 (-984 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) (-1392 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1 (-121) *8))) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-2 (|:| |goodPols| (-637 *8)) (|:| |badPols| (-637 *8)))) (-5 *1 (-984 *5 *6 *7 *8)) (-5 *4 (-637 *8)))) (-4209 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1 (-121) *8))) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-2 (|:| |goodPols| (-637 *8)) (|:| |badPols| (-637 *8)))) (-5 *1 (-984 *5 *6 *7 *8)) (-5 *4 (-637 *8)))) (-1522 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-2 (|:| |goodPols| (-637 *8)) (|:| |badPols| (-637 *8)))) (-5 *1 (-984 *5 *6 *7 *8)) (-5 *4 (-637 *8)))) (-2691 (*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *4 *5 *6 *7)))) (-4278 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-637 *8))) (-5 *3 (-637 *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *5 *6 *7 *8)))) (-3546 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *4 *5 *6 *7)))) (-3464 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-637 *7) (-637 *7))) (-5 *2 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-984 *4 *5 *6 *7)))) (-3464 (*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-3464 (*1 *2 *2 *3) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-984 *4 *5 *6 *3)))) (-1403 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *3)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6)))) (-3253 (*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) (-3464 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *3)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6)))) (-3464 (*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -3464 ((-637 |#4|) (-637 |#4|))) (-15 -3464 ((-637 |#4|) |#4| |#4|)) (-15 -3253 ((-637 |#4|) (-637 |#4|))) (-15 -1403 ((-637 |#4|) |#4| |#4|)) (-15 -3464 ((-637 |#4|) (-637 |#4|) |#4|)) (-15 -3464 ((-637 |#4|) (-637 |#4|) (-637 |#4|))) (-15 -3464 ((-637 |#4|) (-637 |#4|) (-637 |#4|) (-1 (-637 |#4|) (-637 |#4|)))) (-15 -3546 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -4278 ((-121) (-637 |#4|) (-637 (-637 |#4|)))) (-15 -2691 ((-121) (-637 |#4|))) (-15 -1522 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-1 (-121) |#4|) (-637 |#4|))) (-15 -4209 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 (-1 (-121) |#4|)) (-637 |#4|))) (-15 -1392 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 (-1 (-121) |#4|)) (-637 |#4|))) (-15 -1764 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|))) (-15 -1541 ((-121) |#4|)) (-15 -3825 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|))) (-15 -2167 ((-121) |#4|)) (-15 -3614 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|))) (-15 -3803 ((-121) |#4|)) (-15 -3139 ((-2 (|:| |goodPols| (-637 |#4|)) (|:| |badPols| (-637 |#4|))) (-637 |#4|))) (-15 -2563 ((-637 |#4|) (-637 |#4|) (-637 |#4|))) (-15 -2563 ((-637 |#4|) (-637 |#4|) (-637 |#4|) (-121))) (-15 -3880 (|#4| |#4| (-637 |#4|))) (-15 -1868 ((-637 |#4|) (-637 |#4|))) (-15 -4159 ((-3 (-2 (|:| |bas| (-484 |#1| |#2| |#3| |#4|)) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|))) (-15 -3152 ((-637 |#4|) (-637 |#4|))) (-15 -2811 ((-637 |#4|) (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3784 ((-637 |#4|) (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-456)) (PROGN (-15 -1512 ((-637 |#4|) |#4|)) (-15 -2859 ((-637 |#4|) (-637 |#4|))) (-15 -2859 ((-637 |#4|) (-637 |#4|) (-121))) (-15 -2136 ((-637 |#4|) (-637 |#4|) (-637 |#4|))) (-15 -4193 ((-637 |#4|) (-637 |#4|) (-637 |#4|))) (-15 -2300 ((-637 |#4|) (-637 |#4|) (-637 |#4|)))) |noBranch|) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (PROGN (-15 -2635 ((-637 |#4|) (-637 |#4|))) (-15 -2999 ((-637 |#4|) (-637 |#4|))) (-15 -2605 ((-637 |#4|) (-637 |#4|) (-637 |#4|)))) |noBranch|) |noBranch|)) 
+((-2282 (((-2 (|:| R (-684 |#1|)) (|:| A (-684 |#1|)) (|:| |Ainv| (-684 |#1|))) (-684 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 19)) (-3846 (((-637 (-2 (|:| C (-684 |#1|)) (|:| |g| (-1258 |#1|)))) (-684 |#1|) (-1258 |#1|)) 35)) (-3675 (((-684 |#1|) (-684 |#1|) (-684 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 16))) 
+(((-985 |#1|) (-10 -7 (-15 -2282 ((-2 (|:| R (-684 |#1|)) (|:| A (-684 |#1|)) (|:| |Ainv| (-684 |#1|))) (-684 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3675 ((-684 |#1|) (-684 |#1|) (-684 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3846 ((-637 (-2 (|:| C (-684 |#1|)) (|:| |g| (-1258 |#1|)))) (-684 |#1|) (-1258 |#1|)))) (-367)) (T -985)) 
+((-3846 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-5 *2 (-637 (-2 (|:| C (-684 *5)) (|:| |g| (-1258 *5))))) (-5 *1 (-985 *5)) (-5 *3 (-684 *5)) (-5 *4 (-1258 *5)))) (-3675 (*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-684 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-367)) (-5 *1 (-985 *5)))) (-2282 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-367)) (-5 *2 (-2 (|:| R (-684 *6)) (|:| A (-684 *6)) (|:| |Ainv| (-684 *6)))) (-5 *1 (-985 *6)) (-5 *3 (-684 *6))))) 
+(-10 -7 (-15 -2282 ((-2 (|:| R (-684 |#1|)) (|:| A (-684 |#1|)) (|:| |Ainv| (-684 |#1|))) (-684 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3675 ((-684 |#1|) (-684 |#1|) (-684 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3846 ((-637 (-2 (|:| C (-684 |#1|)) (|:| |g| (-1258 |#1|)))) (-684 |#1|) (-1258 |#1|)))) 
+((-4151 (((-423 |#4|) |#4|) 47))) 
+(((-986 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4151 ((-423 |#4|) |#4|))) (-847) (-793) (-456) (-955 |#3| |#2| |#1|)) (T -986)) 
+((-4151 (*1 *2 *3) (-12 (-4 *4 (-847)) (-4 *5 (-793)) (-4 *6 (-456)) (-5 *2 (-423 *3)) (-5 *1 (-986 *4 *5 *6 *3)) (-4 *3 (-955 *6 *5 *4))))) 
+(-10 -7 (-15 -4151 ((-423 |#4|) |#4|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-4137 (($ (-768)) 105 (|has| |#1| (-23)))) (-3839 (((-1263) $ (-571) (-571)) 37 (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4601))) (($ $) 81 (-12 (|has| |#1| (-847)) (|has| $ (-6 -4601))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) 8)) (-3251 ((|#1| $ (-571) |#1|) 49 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) 53 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-4578 (($ $) 83 (|has| $ (-6 -4601)))) (-4378 (($ $) 93)) (-4365 (($ $) 73 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#1| $) 72 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) 50 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 48)) (-3984 (((-571) (-1 (-121) |#1|) $) 90) (((-571) |#1| $) 89 (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) 88 (|has| |#1| (-1097)))) (-1760 (($ (-637 |#1|)) 110)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-3317 (((-684 |#1|) $ $) 98 (|has| |#1| (-1053)))) (-1364 (($ (-768) |#1|) 64)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 40 (|has| (-571) (-847)))) (-1763 (($ $ $) 80 (|has| |#1| (-847)))) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 41 (|has| (-571) (-847)))) (-2383 (($ $ $) 79 (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3725 ((|#1| $) 95 (-12 (|has| |#1| (-1053)) (|has| |#1| (-1008))))) (-3794 (((-121) $ (-768)) 10)) (-3158 ((|#1| $) 96 (-12 (|has| |#1| (-1053)) (|has| |#1| (-1008))))) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) 55) (($ $ $ (-571)) 54)) (-2738 (((-637 (-571)) $) 43)) (-1613 (((-121) (-571) $) 44)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1827 ((|#1| $) 39 (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-4411 (($ $ |#1|) 38 (|has| $ (-6 -4601)))) (-3140 (($ $ (-637 |#1|)) 107)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ (-571) |#1|) 47) ((|#1| $ (-571)) 46) (($ $ (-1224 (-571))) 58)) (-2503 ((|#1| $ $) 99 (|has| |#1| (-1053)))) (-3847 (((-922) $) 109)) (-1933 (($ $ (-571)) 57) (($ $ (-1224 (-571))) 56)) (-1389 (($ $ $) 97)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3427 (($ $ $ (-571)) 84 (|has| $ (-6 -4601)))) (-4316 (($ $) 13)) (-4050 (((-544) $) 74 (|has| |#1| (-612 (-544)))) (($ (-637 |#1|)) 108)) (-3891 (($ (-637 |#1|)) 65)) (-4498 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-637 $)) 60)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) 77 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 76 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-1342 (((-121) $ $) 78 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 75 (|has| |#1| (-847)))) (-1373 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1367 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-571) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-721))) (($ $ |#1|) 100 (|has| |#1| (-721)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-987 |#1|) (-1289) (-1053)) (T -987)) 
+((-1760 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1053)) (-4 *1 (-987 *3)))) (-3847 (*1 *2 *1) (-12 (-4 *1 (-987 *3)) (-4 *3 (-1053)) (-5 *2 (-922)))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1053)) (-4 *1 (-987 *3)))) (-1389 (*1 *1 *1 *1) (-12 (-4 *1 (-987 *2)) (-4 *2 (-1053)))) (-3140 (*1 *1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *1 (-987 *3)) (-4 *3 (-1053))))) 
+(-13 (-1256 |t#1|) (-10 -8 (-15 -1760 ($ (-637 |t#1|))) (-15 -3847 ((-922) $)) (-15 -4050 ($ (-637 |t#1|))) (-15 -1389 ($ $ $)) (-15 -3140 ($ $ (-637 |t#1|))))) 
+(((-39) . T) ((-105) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-611 (-855)) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-282 (-571) |#1|) . T) ((-284 (-571) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-378 |#1|) . T) ((-502 |#1|) . T) ((-604 (-571) |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-643 |#1|) . T) ((-19 |#1|) . T) ((-847) |has| |#1| (-847)) ((-1097) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-1203) . T) ((-1256 |#1|) . T)) 
+((-3799 (((-949 |#2|) (-1 |#2| |#1|) (-949 |#1|)) 17))) 
+(((-988 |#1| |#2|) (-10 -7 (-15 -3799 ((-949 |#2|) (-1 |#2| |#1|) (-949 |#1|)))) (-1053) (-1053)) (T -988)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-949 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-5 *2 (-949 *6)) (-5 *1 (-988 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-949 |#2|) (-1 |#2| |#1|) (-949 |#1|)))) 
+((-4115 ((|#1| (-949 |#1|)) 13)) (-2878 ((|#1| (-949 |#1|)) 12)) (-3391 ((|#1| (-949 |#1|)) 11)) (-1911 ((|#1| (-949 |#1|)) 15)) (-4292 ((|#1| (-949 |#1|)) 21)) (-1355 ((|#1| (-949 |#1|)) 14)) (-2055 ((|#1| (-949 |#1|)) 16)) (-3040 ((|#1| (-949 |#1|)) 20)) (-3110 ((|#1| (-949 |#1|)) 19))) 
+(((-989 |#1|) (-10 -7 (-15 -3391 (|#1| (-949 |#1|))) (-15 -2878 (|#1| (-949 |#1|))) (-15 -4115 (|#1| (-949 |#1|))) (-15 -1355 (|#1| (-949 |#1|))) (-15 -1911 (|#1| (-949 |#1|))) (-15 -2055 (|#1| (-949 |#1|))) (-15 -3110 (|#1| (-949 |#1|))) (-15 -3040 (|#1| (-949 |#1|))) (-15 -4292 (|#1| (-949 |#1|)))) (-1053)) (T -989)) 
+((-4292 (*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053)))) (-3040 (*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053)))) (-3110 (*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053)))) (-2055 (*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053)))) (-1911 (*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053)))) (-1355 (*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053)))) (-4115 (*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053)))) (-2878 (*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053)))) (-3391 (*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053))))) 
+(-10 -7 (-15 -3391 (|#1| (-949 |#1|))) (-15 -2878 (|#1| (-949 |#1|))) (-15 -4115 (|#1| (-949 |#1|))) (-15 -1355 (|#1| (-949 |#1|))) (-15 -1911 (|#1| (-949 |#1|))) (-15 -2055 (|#1| (-949 |#1|))) (-15 -3110 (|#1| (-949 |#1|))) (-15 -3040 (|#1| (-949 |#1|))) (-15 -4292 (|#1| (-949 |#1|)))) 
+((-1975 (((-3 |#1| "failed") |#1|) 18)) (-2739 (((-3 |#1| "failed") |#1|) 6)) (-4178 (((-3 |#1| "failed") |#1|) 16)) (-2988 (((-3 |#1| "failed") |#1|) 4)) (-3525 (((-3 |#1| "failed") |#1|) 20)) (-3422 (((-3 |#1| "failed") |#1|) 8)) (-2407 (((-3 |#1| "failed") |#1| (-768)) 1)) (-3298 (((-3 |#1| "failed") |#1|) 3)) (-1497 (((-3 |#1| "failed") |#1|) 2)) (-3605 (((-3 |#1| "failed") |#1|) 21)) (-4488 (((-3 |#1| "failed") |#1|) 9)) (-1969 (((-3 |#1| "failed") |#1|) 19)) (-2821 (((-3 |#1| "failed") |#1|) 7)) (-4136 (((-3 |#1| "failed") |#1|) 17)) (-1443 (((-3 |#1| "failed") |#1|) 5)) (-4054 (((-3 |#1| "failed") |#1|) 24)) (-4362 (((-3 |#1| "failed") |#1|) 12)) (-2843 (((-3 |#1| "failed") |#1|) 22)) (-4252 (((-3 |#1| "failed") |#1|) 10)) (-2554 (((-3 |#1| "failed") |#1|) 26)) (-1322 (((-3 |#1| "failed") |#1|) 14)) (-3353 (((-3 |#1| "failed") |#1|) 27)) (-2795 (((-3 |#1| "failed") |#1|) 15)) (-3660 (((-3 |#1| "failed") |#1|) 25)) (-4299 (((-3 |#1| "failed") |#1|) 13)) (-2853 (((-3 |#1| "failed") |#1|) 23)) (-3176 (((-3 |#1| "failed") |#1|) 11))) 
+(((-990 |#1|) (-1289) (-1189)) (T -990)) 
+((-3353 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-2554 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-3660 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-4054 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-2853 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-2843 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-3605 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-3525 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-1969 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-1975 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-4136 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-4178 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-2795 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-1322 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-4299 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-4362 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-3176 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-4252 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-4488 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-3422 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-2821 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-2739 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-1443 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-2988 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-3298 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-1497 (*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189)))) (-2407 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-768)) (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(-13 (-10 -7 (-15 -2407 ((-3 |t#1| "failed") |t#1| (-768))) (-15 -1497 ((-3 |t#1| "failed") |t#1|)) (-15 -3298 ((-3 |t#1| "failed") |t#1|)) (-15 -2988 ((-3 |t#1| "failed") |t#1|)) (-15 -1443 ((-3 |t#1| "failed") |t#1|)) (-15 -2739 ((-3 |t#1| "failed") |t#1|)) (-15 -2821 ((-3 |t#1| "failed") |t#1|)) (-15 -3422 ((-3 |t#1| "failed") |t#1|)) (-15 -4488 ((-3 |t#1| "failed") |t#1|)) (-15 -4252 ((-3 |t#1| "failed") |t#1|)) (-15 -3176 ((-3 |t#1| "failed") |t#1|)) (-15 -4362 ((-3 |t#1| "failed") |t#1|)) (-15 -4299 ((-3 |t#1| "failed") |t#1|)) (-15 -1322 ((-3 |t#1| "failed") |t#1|)) (-15 -2795 ((-3 |t#1| "failed") |t#1|)) (-15 -4178 ((-3 |t#1| "failed") |t#1|)) (-15 -4136 ((-3 |t#1| "failed") |t#1|)) (-15 -1975 ((-3 |t#1| "failed") |t#1|)) (-15 -1969 ((-3 |t#1| "failed") |t#1|)) (-15 -3525 ((-3 |t#1| "failed") |t#1|)) (-15 -3605 ((-3 |t#1| "failed") |t#1|)) (-15 -2843 ((-3 |t#1| "failed") |t#1|)) (-15 -2853 ((-3 |t#1| "failed") |t#1|)) (-15 -4054 ((-3 |t#1| "failed") |t#1|)) (-15 -3660 ((-3 |t#1| "failed") |t#1|)) (-15 -2554 ((-3 |t#1| "failed") |t#1|)) (-15 -3353 ((-3 |t#1| "failed") |t#1|)))) 
+((-1481 ((|#4| |#4| (-637 |#3|)) 55) ((|#4| |#4| |#3|) 54)) (-3466 ((|#4| |#4| (-637 |#3|)) 23) ((|#4| |#4| |#3|) 19)) (-3799 ((|#4| (-1 |#4| (-958 |#1|)) |#4|) 30))) 
+(((-991 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3466 (|#4| |#4| |#3|)) (-15 -3466 (|#4| |#4| (-637 |#3|))) (-15 -1481 (|#4| |#4| |#3|)) (-15 -1481 (|#4| |#4| (-637 |#3|))) (-15 -3799 (|#4| (-1 |#4| (-958 |#1|)) |#4|))) (-1053) (-793) (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169))))) (-955 (-958 |#1|) |#2| |#3|)) (T -991)) 
+((-3799 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-958 *4))) (-4 *4 (-1053)) (-4 *2 (-955 (-958 *4) *5 *6)) (-4 *5 (-793)) (-4 *6 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-5 *1 (-991 *4 *5 *6 *2)))) (-1481 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-4 *4 (-1053)) (-4 *5 (-793)) (-5 *1 (-991 *4 *5 *6 *2)) (-4 *2 (-955 (-958 *4) *5 *6)))) (-1481 (*1 *2 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-5 *1 (-991 *4 *5 *3 *2)) (-4 *2 (-955 (-958 *4) *5 *3)))) (-3466 (*1 *2 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-4 *4 (-1053)) (-4 *5 (-793)) (-5 *1 (-991 *4 *5 *6 *2)) (-4 *2 (-955 (-958 *4) *5 *6)))) (-3466 (*1 *2 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-5 *1 (-991 *4 *5 *3 *2)) (-4 *2 (-955 (-958 *4) *5 *3))))) 
+(-10 -7 (-15 -3466 (|#4| |#4| |#3|)) (-15 -3466 (|#4| |#4| (-637 |#3|))) (-15 -1481 (|#4| |#4| |#3|)) (-15 -1481 (|#4| |#4| (-637 |#3|))) (-15 -3799 (|#4| (-1 |#4| (-958 |#1|)) |#4|))) 
+((-4236 ((|#2| |#3|) 34)) (-4285 (((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) |#2|) 71)) (-1659 (((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|)))) 86))) 
+(((-992 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1659 ((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))))) (-15 -4285 ((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) |#2|)) (-15 -4236 (|#2| |#3|))) (-352) (-1233 |#1|) (-1233 |#2|) (-719 |#2| |#3|)) (T -992)) 
+((-4236 (*1 *2 *3) (-12 (-4 *3 (-1233 *2)) (-4 *2 (-1233 *4)) (-5 *1 (-992 *4 *2 *3 *5)) (-4 *4 (-352)) (-4 *5 (-719 *2 *3)))) (-4285 (*1 *2 *3) (-12 (-4 *4 (-352)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 *3)) (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-5 *1 (-992 *4 *3 *5 *6)) (-4 *6 (-719 *3 *5)))) (-1659 (*1 *2) (-12 (-4 *3 (-352)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| -1899 (-684 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-684 *4)))) (-5 *1 (-992 *3 *4 *5 *6)) (-4 *6 (-719 *4 *5))))) 
+(-10 -7 (-15 -1659 ((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))))) (-15 -4285 ((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) |#2|)) (-15 -4236 (|#2| |#3|))) 
+((-3902 (((-994 (-412 (-571)) (-857 |#1|) (-233 |#2| (-768)) (-243 |#1| (-412 (-571)))) (-994 (-412 (-571)) (-857 |#1|) (-233 |#2| (-768)) (-243 |#1| (-412 (-571))))) 64))) 
+(((-993 |#1| |#2|) (-10 -7 (-15 -3902 ((-994 (-412 (-571)) (-857 |#1|) (-233 |#2| (-768)) (-243 |#1| (-412 (-571)))) (-994 (-412 (-571)) (-857 |#1|) (-233 |#2| (-768)) (-243 |#1| (-412 (-571))))))) (-637 (-1169)) (-768)) (T -993)) 
+((-3902 (*1 *2 *2) (-12 (-5 *2 (-994 (-412 (-571)) (-857 *3) (-233 *4 (-768)) (-243 *3 (-412 (-571))))) (-14 *3 (-637 (-1169))) (-14 *4 (-768)) (-5 *1 (-993 *3 *4))))) 
+(-10 -7 (-15 -3902 ((-994 (-412 (-571)) (-857 |#1|) (-233 |#2| (-768)) (-243 |#1| (-412 (-571)))) (-994 (-412 (-571)) (-857 |#1|) (-233 |#2| (-768)) (-243 |#1| (-412 (-571))))))) 
+((-2234 (((-121) $ $) NIL)) (-4221 (((-3 (-121) "failed") $) 67)) (-2588 (($ $) 35 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2871 (($ $ (-3 (-121) "failed")) 68)) (-1843 (($ (-637 |#4|) |#4|) 24)) (-3944 (((-1151) $) NIL)) (-3903 (($ $) 65)) (-2580 (((-1115) $) NIL)) (-1828 (((-121) $) 66)) (-1630 (($) 29)) (-3615 ((|#4| $) 70)) (-4027 (((-637 |#4|) $) 69)) (-3942 (((-855) $) 64)) (-1323 (((-121) $ $) NIL))) 
+(((-994 |#1| |#2| |#3| |#4|) (-13 (-1097) (-611 (-855)) (-10 -8 (-15 -1630 ($)) (-15 -1843 ($ (-637 |#4|) |#4|)) (-15 -4221 ((-3 (-121) "failed") $)) (-15 -2871 ($ $ (-3 (-121) "failed"))) (-15 -1828 ((-121) $)) (-15 -4027 ((-637 |#4|) $)) (-15 -3615 (|#4| $)) (-15 -3903 ($ $)) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (-15 -2588 ($ $)) |noBranch|) |noBranch|))) (-456) (-847) (-793) (-955 |#1| |#3| |#2|)) (T -994)) 
+((-1630 (*1 *1) (-12 (-4 *2 (-456)) (-4 *3 (-847)) (-4 *4 (-793)) (-5 *1 (-994 *2 *3 *4 *5)) (-4 *5 (-955 *2 *4 *3)))) (-1843 (*1 *1 *2 *3) (-12 (-5 *2 (-637 *3)) (-4 *3 (-955 *4 *6 *5)) (-4 *4 (-456)) (-4 *5 (-847)) (-4 *6 (-793)) (-5 *1 (-994 *4 *5 *6 *3)))) (-4221 (*1 *2 *1) (|partial| -12 (-4 *3 (-456)) (-4 *4 (-847)) (-4 *5 (-793)) (-5 *2 (-121)) (-5 *1 (-994 *3 *4 *5 *6)) (-4 *6 (-955 *3 *5 *4)))) (-2871 (*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-456)) (-4 *4 (-847)) (-4 *5 (-793)) (-5 *1 (-994 *3 *4 *5 *6)) (-4 *6 (-955 *3 *5 *4)))) (-1828 (*1 *2 *1) (-12 (-4 *3 (-456)) (-4 *4 (-847)) (-4 *5 (-793)) (-5 *2 (-121)) (-5 *1 (-994 *3 *4 *5 *6)) (-4 *6 (-955 *3 *5 *4)))) (-4027 (*1 *2 *1) (-12 (-4 *3 (-456)) (-4 *4 (-847)) (-4 *5 (-793)) (-5 *2 (-637 *6)) (-5 *1 (-994 *3 *4 *5 *6)) (-4 *6 (-955 *3 *5 *4)))) (-3615 (*1 *2 *1) (-12 (-4 *2 (-955 *3 *5 *4)) (-5 *1 (-994 *3 *4 *5 *2)) (-4 *3 (-456)) (-4 *4 (-847)) (-4 *5 (-793)))) (-3903 (*1 *1 *1) (-12 (-4 *2 (-456)) (-4 *3 (-847)) (-4 *4 (-793)) (-5 *1 (-994 *2 *3 *4 *5)) (-4 *5 (-955 *2 *4 *3)))) (-2588 (*1 *1 *1) (-12 (-4 *2 (-151)) (-4 *2 (-302)) (-4 *2 (-456)) (-4 *3 (-847)) (-4 *4 (-793)) (-5 *1 (-994 *2 *3 *4 *5)) (-4 *5 (-955 *2 *4 *3))))) 
+(-13 (-1097) (-611 (-855)) (-10 -8 (-15 -1630 ($)) (-15 -1843 ($ (-637 |#4|) |#4|)) (-15 -4221 ((-3 (-121) "failed") $)) (-15 -2871 ($ $ (-3 (-121) "failed"))) (-15 -1828 ((-121) $)) (-15 -4027 ((-637 |#4|) $)) (-15 -3615 (|#4| $)) (-15 -3903 ($ $)) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (-15 -2588 ($ $)) |noBranch|) |noBranch|))) 
+((-4131 (((-121) |#5| |#5|) 37)) (-3048 (((-121) |#5| |#5|) 51)) (-2059 (((-121) |#5| (-637 |#5|)) 73) (((-121) |#5| |#5|) 60)) (-3932 (((-121) (-637 |#4|) (-637 |#4|)) 57)) (-3828 (((-121) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) 62)) (-1504 (((-1263)) 33)) (-2049 (((-1263) (-1151) (-1151) (-1151)) 29)) (-1897 (((-637 |#5|) (-637 |#5|)) 80)) (-3510 (((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)))) 78)) (-1717 (((-637 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|)))) (-637 |#4|) (-637 |#5|) (-121) (-121)) 100)) (-3430 (((-121) |#5| |#5|) 46)) (-3257 (((-3 (-121) "failed") |#5| |#5|) 70)) (-4552 (((-121) (-637 |#4|) (-637 |#4|)) 56)) (-1822 (((-121) (-637 |#4|) (-637 |#4|)) 58)) (-2075 (((-121) (-637 |#4|) (-637 |#4|)) 59)) (-1610 (((-3 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|))) "failed") (-637 |#4|) |#5| (-637 |#4|) (-121) (-121) (-121) (-121) (-121)) 96)) (-2281 (((-637 |#5|) (-637 |#5|)) 42))) 
+(((-995 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2049 ((-1263) (-1151) (-1151) (-1151))) (-15 -1504 ((-1263))) (-15 -4131 ((-121) |#5| |#5|)) (-15 -2281 ((-637 |#5|) (-637 |#5|))) (-15 -3430 ((-121) |#5| |#5|)) (-15 -3048 ((-121) |#5| |#5|)) (-15 -3932 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -4552 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -1822 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -2075 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -3257 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2059 ((-121) |#5| |#5|)) (-15 -2059 ((-121) |#5| (-637 |#5|))) (-15 -1897 ((-637 |#5|) (-637 |#5|))) (-15 -3828 ((-121) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)))) (-15 -3510 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) (-15 -1717 ((-637 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|)))) (-637 |#4|) (-637 |#5|) (-121) (-121))) (-15 -1610 ((-3 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|))) "failed") (-637 |#4|) |#5| (-637 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-456) (-793) (-847) (-1067 |#1| |#2| |#3|) (-1072 |#1| |#2| |#3| |#4|)) (T -995)) 
+((-1610 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *9 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| -3192 (-637 *9)) (|:| -4121 *4) (|:| |ineq| (-637 *9)))) (-5 *1 (-995 *6 *7 *8 *9 *4)) (-5 *3 (-637 *9)) (-4 *4 (-1072 *6 *7 *8 *9)))) (-1717 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-637 *10)) (-5 *5 (-121)) (-4 *10 (-1072 *6 *7 *8 *9)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *9 (-1067 *6 *7 *8)) (-5 *2 (-637 (-2 (|:| -3192 (-637 *9)) (|:| -4121 *10) (|:| |ineq| (-637 *9))))) (-5 *1 (-995 *6 *7 *8 *9 *10)) (-5 *3 (-637 *9)))) (-3510 (*1 *2 *2) (-12 (-5 *2 (-637 (-2 (|:| |val| (-637 *6)) (|:| -4121 *7)))) (-4 *6 (-1067 *3 *4 *5)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-995 *3 *4 *5 *6 *7)))) (-3828 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-637 *7)) (|:| -4121 *8))) (-4 *7 (-1067 *4 *5 *6)) (-4 *8 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *8)))) (-1897 (*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *1 (-995 *3 *4 *5 *6 *7)))) (-2059 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-995 *5 *6 *7 *8 *3)))) (-2059 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) (-3257 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) (-2075 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) (-1822 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) (-4552 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) (-3932 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) (-3048 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) (-3430 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) (-2281 (*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *1 (-995 *3 *4 *5 *6 *7)))) (-4131 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) (-1504 (*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-995 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6)))) (-2049 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-995 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -2049 ((-1263) (-1151) (-1151) (-1151))) (-15 -1504 ((-1263))) (-15 -4131 ((-121) |#5| |#5|)) (-15 -2281 ((-637 |#5|) (-637 |#5|))) (-15 -3430 ((-121) |#5| |#5|)) (-15 -3048 ((-121) |#5| |#5|)) (-15 -3932 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -4552 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -1822 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -2075 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -3257 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2059 ((-121) |#5| |#5|)) (-15 -2059 ((-121) |#5| (-637 |#5|))) (-15 -1897 ((-637 |#5|) (-637 |#5|))) (-15 -3828 ((-121) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)))) (-15 -3510 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) (-15 -1717 ((-637 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|)))) (-637 |#4|) (-637 |#5|) (-121) (-121))) (-15 -1610 ((-3 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|))) "failed") (-637 |#4|) |#5| (-637 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
+((-3312 (((-1169) $) 15)) (-2139 (((-1151) $) 16)) (-3791 (($ (-1169) (-1151)) 14)) (-3942 (((-855) $) 13))) 
+(((-996) (-13 (-611 (-855)) (-10 -8 (-15 -3791 ($ (-1169) (-1151))) (-15 -3312 ((-1169) $)) (-15 -2139 ((-1151) $))))) (T -996)) 
+((-3791 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1151)) (-5 *1 (-996)))) (-3312 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-996)))) (-2139 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-996))))) 
+(-13 (-611 (-855)) (-10 -8 (-15 -3791 ($ (-1169) (-1151))) (-15 -3312 ((-1169) $)) (-15 -2139 ((-1151) $)))) 
+((-3799 ((|#4| (-1 |#2| |#1|) |#3|) 14))) 
+(((-997 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3799 (|#4| (-1 |#2| |#1|) |#3|))) (-561) (-561) (-999 |#1|) (-999 |#2|)) (T -997)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-561)) (-4 *6 (-561)) (-4 *2 (-999 *6)) (-5 *1 (-997 *5 *6 *4 *2)) (-4 *4 (-999 *5))))) 
+(-10 -7 (-15 -3799 (|#4| (-1 |#2| |#1|) |#3|))) 
+((-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-1169) "failed") $) 65) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 (-571) "failed") $) 95)) (-1316 ((|#2| $) NIL) (((-1169) $) 60) (((-412 (-571)) $) NIL) (((-571) $) 92)) (-2680 (((-684 (-571)) (-684 $)) NIL) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) 112) (((-684 |#2|) (-684 $)) 28)) (-3254 (($) 98)) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 74) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 83)) (-3458 (($ $) 10)) (-2596 (((-3 $ "failed") $) 20)) (-3799 (($ (-1 |#2| |#2|) $) 22)) (-1757 (($) 16)) (-3762 (($ $) 54)) (-3096 (($ $) NIL) (($ $ (-768)) NIL) (($ $ (-1169)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) 36)) (-3777 (($ $) 12)) (-4050 (((-892 (-571)) $) 69) (((-892 (-384)) $) 78) (((-544) $) 40) (((-384) $) 44) (((-216) $) 47)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) 90) (($ |#2|) NIL) (($ (-1169)) 57)) (-2661 (((-768)) 31)) (-1331 (((-121) $ $) 50))) 
+(((-998 |#1| |#2|) (-10 -8 (-15 -1331 ((-121) |#1| |#1|)) (-15 -1757 (|#1|)) (-15 -2596 ((-3 |#1| "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -4050 ((-216) |#1|)) (-15 -4050 ((-384) |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -1316 ((-1169) |#1|)) (-15 -3337 ((-3 (-1169) "failed") |#1|)) (-15 -3942 (|#1| (-1169))) (-15 -3254 (|#1|)) (-15 -3762 (|#1| |#1|)) (-15 -3777 (|#1| |#1|)) (-15 -3458 (|#1| |#1|)) (-15 -2941 ((-889 (-384) |#1|) |#1| (-892 (-384)) (-889 (-384) |#1|))) (-15 -2941 ((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|))) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -2680 ((-684 |#2|) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| |#1|)) (-15 -3942 (|#1| (-571))) (-15 -2661 ((-768))) (-15 -3942 ((-855) |#1|))) (-999 |#2|) (-561)) (T -998)) 
+((-2661 (*1 *2) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-998 *3 *4)) (-4 *3 (-999 *4))))) 
+(-10 -8 (-15 -1331 ((-121) |#1| |#1|)) (-15 -1757 (|#1|)) (-15 -2596 ((-3 |#1| "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -4050 ((-216) |#1|)) (-15 -4050 ((-384) |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -1316 ((-1169) |#1|)) (-15 -3337 ((-3 (-1169) "failed") |#1|)) (-15 -3942 (|#1| (-1169))) (-15 -3254 (|#1|)) (-15 -3762 (|#1| |#1|)) (-15 -3777 (|#1| |#1|)) (-15 -3458 (|#1| |#1|)) (-15 -2941 ((-889 (-384) |#1|) |#1| (-892 (-384)) (-889 (-384) |#1|))) (-15 -2941 ((-889 (-571) |#1|) |#1| (-892 (-571)) (-889 (-571) |#1|))) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -2680 ((-684 |#2|) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| |#1|)) (-15 -3942 (|#1| (-571))) (-15 -2661 ((-768))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-1533 ((|#1| $) 135 (|has| |#1| (-302)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-1434 (((-423 (-1165 $)) (-1165 $)) 126 (|has| |#1| (-909)))) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 129 (|has| |#1| (-909)))) (-1295 (((-121) $ $) 57)) (-3203 (((-571) $) 116 (|has| |#1| (-820)))) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#1| "failed") $) 174) (((-3 (-1169) "failed") $) 124 (|has| |#1| (-1043 (-1169)))) (((-3 (-412 (-571)) "failed") $) 108 (|has| |#1| (-1043 (-571)))) (((-3 (-571) "failed") $) 106 (|has| |#1| (-1043 (-571))))) (-1316 ((|#1| $) 173) (((-1169) $) 123 (|has| |#1| (-1043 (-1169)))) (((-412 (-571)) $) 107 (|has| |#1| (-1043 (-571)))) (((-571) $) 105 (|has| |#1| (-1043 (-571))))) (-2162 (($ $ $) 53)) (-2680 (((-684 (-571)) (-684 $)) 148 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 147 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 146) (((-684 |#1|) (-684 $)) 145)) (-3978 (((-3 $ "failed") $) 33)) (-3254 (($) 133 (|has| |#1| (-553)))) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1596 (((-121) $) 69)) (-2093 (((-121) $) 118 (|has| |#1| (-820)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 142 (|has| |#1| (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 141 (|has| |#1| (-886 (-384))))) (-2583 (((-121) $) 30)) (-3458 (($ $) 137)) (-4474 ((|#1| $) 139)) (-2596 (((-3 $ "failed") $) 104 (|has| |#1| (-1143)))) (-4086 (((-121) $) 117 (|has| |#1| (-820)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-1763 (($ $ $) 114 (|has| |#1| (-847)))) (-2383 (($ $ $) 113 (|has| |#1| (-847)))) (-3799 (($ (-1 |#1| |#1|) $) 165)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-1757 (($) 103 (|has| |#1| (-1143)) CONST)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-3762 (($ $) 134 (|has| |#1| (-302)))) (-3955 ((|#1| $) 131 (|has| |#1| (-553)))) (-2796 (((-423 (-1165 $)) (-1165 $)) 128 (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) 127 (|has| |#1| (-909)))) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-4483 (($ $ (-637 |#1|) (-637 |#1|)) 171 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 170 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 169 (|has| |#1| (-304 |#1|))) (($ $ (-637 (-289 |#1|))) 168 (|has| |#1| (-304 |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) 167 (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-1169) |#1|) 166 (|has| |#1| (-526 (-1169) |#1|)))) (-1826 (((-768) $) 56)) (-3245 (($ $ |#1|) 172 (|has| |#1| (-282 |#1| |#1|)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-3096 (($ $) 164 (|has| |#1| (-226))) (($ $ (-768)) 162 (|has| |#1| (-226))) (($ $ (-1169)) 160 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 159 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 158 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) 157 (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) 150) (($ $ (-1 |#1| |#1|)) 149)) (-3777 (($ $) 136)) (-4479 ((|#1| $) 138)) (-4050 (((-892 (-571)) $) 144 (|has| |#1| (-612 (-892 (-571))))) (((-892 (-384)) $) 143 (|has| |#1| (-612 (-892 (-384))))) (((-544) $) 121 (|has| |#1| (-612 (-544)))) (((-384) $) 120 (|has| |#1| (-1027))) (((-216) $) 119 (|has| |#1| (-1027)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 130 (-3997 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63) (($ |#1|) 177) (($ (-1169)) 125 (|has| |#1| (-1043 (-1169))))) (-2346 (((-3 $ "failed") $) 122 (-1831 (|has| |#1| (-149)) (-3997 (|has| $ (-149)) (|has| |#1| (-909)))))) (-2661 (((-768)) 28)) (-2325 ((|#1| $) 132 (|has| |#1| (-553)))) (-1388 (((-121) $ $) 38)) (-1902 (($ $) 115 (|has| |#1| (-820)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $) 163 (|has| |#1| (-226))) (($ $ (-768)) 161 (|has| |#1| (-226))) (($ $ (-1169)) 156 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 155 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 154 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) 153 (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) 152) (($ $ (-1 |#1| |#1|)) 151)) (-1350 (((-121) $ $) 111 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 110 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 112 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 109 (|has| |#1| (-847)))) (-1379 (($ $ $) 62) (($ |#1| |#1|) 140)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64) (($ |#1| $) 176) (($ $ |#1|) 175))) 
+(((-999 |#1|) (-1289) (-561)) (T -999)) 
+((-1379 (*1 *1 *2 *2) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)))) (-4474 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)))) (-4479 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)))) (-3458 (*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)))) (-3777 (*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)))) (-1533 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)) (-4 *2 (-302)))) (-3762 (*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)) (-4 *2 (-302)))) (-3254 (*1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-553)) (-4 *2 (-561)))) (-2325 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)) (-4 *2 (-553)))) (-3955 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)) (-4 *2 (-553))))) 
+(-13 (-367) (-43 |t#1|) (-1043 |t#1|) (-337 |t#1|) (-224 |t#1|) (-382 |t#1|) (-884 |t#1|) (-405 |t#1|) (-10 -8 (-15 -1379 ($ |t#1| |t#1|)) (-15 -4474 (|t#1| $)) (-15 -4479 (|t#1| $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (IF (|has| |t#1| (-1143)) (-6 (-1143)) |noBranch|) (IF (|has| |t#1| (-1043 (-571))) (PROGN (-6 (-1043 (-571))) (-6 (-1043 (-412 (-571))))) |noBranch|) (IF (|has| |t#1| (-847)) (-6 (-847)) |noBranch|) (IF (|has| |t#1| (-820)) (-6 (-820)) |noBranch|) (IF (|has| |t#1| (-1027)) (-6 (-1027)) |noBranch|) (IF (|has| |t#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1043 (-1169))) (-6 (-1043 (-1169))) |noBranch|) (IF (|has| |t#1| (-302)) (PROGN (-15 -1533 (|t#1| $)) (-15 -3762 ($ $))) |noBranch|) (IF (|has| |t#1| (-553)) (PROGN (-15 -3254 ($)) (-15 -2325 (|t#1| $)) (-15 -3955 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-909)) (-6 (-909)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 |#1|) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) . T) ((-612 (-216)) |has| |#1| (-1027)) ((-612 (-384)) |has| |#1| (-1027)) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-612 (-892 (-384))) |has| |#1| (-612 (-892 (-384)))) ((-612 (-892 (-571))) |has| |#1| (-612 (-892 (-571)))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-239) . T) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) . T) ((-302) . T) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-367) . T) ((-337 |#1|) . T) ((-382 |#1|) . T) ((-405 |#1|) . T) ((-456) . T) ((-526 (-1169) |#1|) |has| |#1| (-526 (-1169) |#1|)) ((-526 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-633 (-571)) |has| |#1| (-633 (-571))) ((-633 |#1|) . T) ((-712 (-412 (-571))) . T) ((-712 |#1|) . T) ((-712 $) . T) ((-721) . T) ((-791) |has| |#1| (-820)) ((-792) |has| |#1| (-820)) ((-794) |has| |#1| (-820)) ((-795) |has| |#1| (-820)) ((-820) |has| |#1| (-820)) ((-845) |has| |#1| (-820)) ((-847) -1831 (|has| |#1| (-847)) (|has| |#1| (-820))) ((-900 (-1169)) |has| |#1| (-900 (-1169))) ((-886 (-384)) |has| |#1| (-886 (-384))) ((-886 (-571)) |has| |#1| (-886 (-571))) ((-884 |#1|) . T) ((-909) |has| |#1| (-909)) ((-921) . T) ((-1027) |has| |#1| (-1027)) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-571))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 (-1169)) |has| |#1| (-1043 (-1169))) ((-1043 |#1|) . T) ((-1059 (-412 (-571))) . T) ((-1059 |#1|) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1143) |has| |#1| (-1143)) ((-1203) . T) ((-1213) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-1341 (($ (-1134 |#1| |#2|)) 11)) (-3567 (((-1134 |#1| |#2|) $) 12)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3245 ((|#2| $ (-233 |#1| |#2|)) 16)) (-3942 (((-855) $) NIL)) (-2369 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL))) 
+(((-1000 |#1| |#2|) (-13 (-21) (-10 -8 (-15 -1341 ($ (-1134 |#1| |#2|))) (-15 -3567 ((-1134 |#1| |#2|) $)) (-15 -3245 (|#2| $ (-233 |#1| |#2|))))) (-922) (-367)) (T -1000)) 
+((-1341 (*1 *1 *2) (-12 (-5 *2 (-1134 *3 *4)) (-14 *3 (-922)) (-4 *4 (-367)) (-5 *1 (-1000 *3 *4)))) (-3567 (*1 *2 *1) (-12 (-5 *2 (-1134 *3 *4)) (-5 *1 (-1000 *3 *4)) (-14 *3 (-922)) (-4 *4 (-367)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 (-233 *4 *2)) (-14 *4 (-922)) (-4 *2 (-367)) (-5 *1 (-1000 *4 *2))))) 
+(-13 (-21) (-10 -8 (-15 -1341 ($ (-1134 |#1| |#2|))) (-15 -3567 ((-1134 |#1| |#2|) $)) (-15 -3245 (|#2| $ (-233 |#1| |#2|))))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) 8)) (-2269 (($) 7 T CONST)) (-1839 (($ $) 43)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3158 (((-768) $) 42)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2377 ((|#1| $) 36)) (-2863 (($ |#1| $) 37)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1866 ((|#1| $) 41)) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-3433 ((|#1| |#1| $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3495 ((|#1| $) 44)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) 39)) (-2159 ((|#1| $) 40)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-1001 |#1|) (-1289) (-1203)) (T -1001)) 
+((-3433 (*1 *2 *2 *1) (-12 (-4 *1 (-1001 *2)) (-4 *2 (-1203)))) (-3495 (*1 *2 *1) (-12 (-4 *1 (-1001 *2)) (-4 *2 (-1203)))) (-1839 (*1 *1 *1) (-12 (-4 *1 (-1001 *2)) (-4 *2 (-1203)))) (-3158 (*1 *2 *1) (-12 (-4 *1 (-1001 *3)) (-4 *3 (-1203)) (-5 *2 (-768)))) (-1866 (*1 *2 *1) (-12 (-4 *1 (-1001 *2)) (-4 *2 (-1203)))) (-2159 (*1 *2 *1) (-12 (-4 *1 (-1001 *2)) (-4 *2 (-1203))))) 
+(-13 (-111 |t#1|) (-10 -8 (-6 -4600) (-15 -3433 (|t#1| |t#1| $)) (-15 -3495 (|t#1| $)) (-15 -1839 ($ $)) (-15 -3158 ((-768) $)) (-15 -1866 (|t#1| $)) (-15 -2159 (|t#1| $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-4123 (((-121) $) 42)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 |#2| "failed") $) 45)) (-1316 (((-571) $) NIL) (((-412 (-571)) $) NIL) ((|#2| $) 43)) (-3437 (((-3 (-412 (-571)) "failed") $) 78)) (-3330 (((-121) $) 72)) (-3450 (((-412 (-571)) $) 76)) (-2583 (((-121) $) 41)) (-3477 ((|#2| $) 22)) (-3799 (($ (-1 |#2| |#2|) $) 19)) (-4315 (($ $) 61)) (-3096 (($ $) NIL) (($ $ (-768)) NIL) (($ $ (-1169)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) 34)) (-4050 (((-544) $) 67)) (-2911 (($ $) 17)) (-3942 (((-855) $) 56) (($ (-571)) 38) (($ |#2|) 36) (($ (-412 (-571))) NIL)) (-2661 (((-768)) 10)) (-1902 ((|#2| $) 71)) (-1323 (((-121) $ $) 25)) (-1331 (((-121) $ $) 69)) (-1373 (($ $) 29) (($ $ $) 28)) (-1367 (($ $ $) 26)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 33) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 30) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL))) 
+(((-1002 |#1| |#2|) (-10 -8 (-15 -3942 (|#1| (-412 (-571)))) (-15 -1331 ((-121) |#1| |#1|)) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 * (|#1| |#1| (-412 (-571)))) (-15 -4315 (|#1| |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -3437 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3450 ((-412 (-571)) |#1|)) (-15 -3330 ((-121) |#1|)) (-15 -1902 (|#2| |#1|)) (-15 -3477 (|#2| |#1|)) (-15 -2911 (|#1| |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3942 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 -2661 ((-768))) (-15 -2583 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 -4123 ((-121) |#1|)) (-15 * (|#1| (-922) |#1|)) (-15 -1367 (|#1| |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) (-1003 |#2|) (-173)) (T -1002)) 
+((-2661 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-768)) (-5 *1 (-1002 *3 *4)) (-4 *3 (-1003 *4))))) 
+(-10 -8 (-15 -3942 (|#1| (-412 (-571)))) (-15 -1331 ((-121) |#1| |#1|)) (-15 * (|#1| (-412 (-571)) |#1|)) (-15 * (|#1| |#1| (-412 (-571)))) (-15 -4315 (|#1| |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -3437 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3450 ((-412 (-571)) |#1|)) (-15 -3330 ((-121) |#1|)) (-15 -1902 (|#2| |#1|)) (-15 -3477 (|#2| |#1|)) (-15 -2911 (|#1| |#1|)) (-15 -3799 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3942 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3942 (|#1| (-571))) (-15 -2661 ((-768))) (-15 -2583 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 * (|#1| (-768) |#1|)) (-15 -4123 ((-121) |#1|)) (-15 * (|#1| (-922) |#1|)) (-15 -1367 (|#1| |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3337 (((-3 (-571) "failed") $) 117 (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) 115 (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) 114)) (-1316 (((-571) $) 118 (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) 116 (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) 113)) (-2680 (((-684 (-571)) (-684 $)) 88 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 87 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 86) (((-684 |#1|) (-684 $)) 85)) (-3978 (((-3 $ "failed") $) 33)) (-3327 ((|#1| $) 78)) (-3437 (((-3 (-412 (-571)) "failed") $) 74 (|has| |#1| (-553)))) (-3330 (((-121) $) 76 (|has| |#1| (-553)))) (-3450 (((-412 (-571)) $) 75 (|has| |#1| (-553)))) (-4448 (($ |#1| |#1| |#1| |#1|) 79)) (-2583 (((-121) $) 30)) (-3477 ((|#1| $) 80)) (-1763 (($ $ $) 66 (|has| |#1| (-847)))) (-2383 (($ $ $) 65 (|has| |#1| (-847)))) (-3799 (($ (-1 |#1| |#1|) $) 89)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 71 (|has| |#1| (-367)))) (-3476 ((|#1| $) 81)) (-2379 ((|#1| $) 82)) (-2744 ((|#1| $) 83)) (-2580 (((-1115) $) 10)) (-4483 (($ $ (-637 |#1|) (-637 |#1|)) 95 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 94 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 93 (|has| |#1| (-304 |#1|))) (($ $ (-637 (-289 |#1|))) 92 (|has| |#1| (-304 |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) 91 (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-1169) |#1|) 90 (|has| |#1| (-526 (-1169) |#1|)))) (-3245 (($ $ |#1|) 96 (|has| |#1| (-282 |#1| |#1|)))) (-3096 (($ $) 112 (|has| |#1| (-226))) (($ $ (-768)) 110 (|has| |#1| (-226))) (($ $ (-1169)) 108 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 107 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 106 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) 105 (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) 98) (($ $ (-1 |#1| |#1|)) 97)) (-4050 (((-544) $) 72 (|has| |#1| (-612 (-544))))) (-2911 (($ $) 84)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 36) (($ (-412 (-571))) 60 (-1831 (|has| |#1| (-367)) (|has| |#1| (-1043 (-412 (-571))))))) (-2346 (((-3 $ "failed") $) 73 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-1902 ((|#1| $) 77 (|has| |#1| (-1062)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 70 (|has| |#1| (-367)))) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $) 111 (|has| |#1| (-226))) (($ $ (-768)) 109 (|has| |#1| (-226))) (($ $ (-1169)) 104 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 103 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 102 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) 101 (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) 100) (($ $ (-1 |#1| |#1|)) 99)) (-1350 (((-121) $ $) 63 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 62 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 64 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 61 (|has| |#1| (-847)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 69 (|has| |#1| (-367)))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ $ (-412 (-571))) 68 (|has| |#1| (-367))) (($ (-412 (-571)) $) 67 (|has| |#1| (-367))))) 
+(((-1003 |#1|) (-1289) (-173)) (T -1003)) 
+((-2911 (*1 *1 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)))) (-2744 (*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)))) (-2379 (*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)))) (-3476 (*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)))) (-3477 (*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)))) (-4448 (*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)))) (-3327 (*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)))) (-1902 (*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)) (-4 *2 (-1062)))) (-3330 (*1 *2 *1) (-12 (-4 *1 (-1003 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-121)))) (-3450 (*1 *2 *1) (-12 (-4 *1 (-1003 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571))))) (-3437 (*1 *2 *1) (|partial| -12 (-4 *1 (-1003 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571)))))) 
+(-13 (-43 |t#1|) (-416 |t#1|) (-224 |t#1|) (-337 |t#1|) (-382 |t#1|) (-10 -8 (-15 -2911 ($ $)) (-15 -2744 (|t#1| $)) (-15 -2379 (|t#1| $)) (-15 -3476 (|t#1| $)) (-15 -3477 (|t#1| $)) (-15 -4448 ($ |t#1| |t#1| |t#1| |t#1|)) (-15 -3327 (|t#1| $)) (IF (|has| |t#1| (-286)) (-6 (-286)) |noBranch|) (IF (|has| |t#1| (-847)) (-6 (-847)) |noBranch|) (IF (|has| |t#1| (-367)) (-6 (-239)) |noBranch|) (IF (|has| |t#1| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1062)) (-15 -1902 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-553)) (PROGN (-15 -3330 ((-121) $)) (-15 -3450 ((-412 (-571)) $)) (-15 -3437 ((-3 (-412 (-571)) "failed") $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-367)) ((-43 |#1|) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-367)) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-367)) (|has| |#1| (-286))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-239) |has| |#1| (-367)) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) -1831 (|has| |#1| (-367)) (|has| |#1| (-286))) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-337 |#1|) . T) ((-382 |#1|) . T) ((-416 |#1|) . T) ((-526 (-1169) |#1|) |has| |#1| (-526 (-1169) |#1|)) ((-526 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-640 (-412 (-571))) |has| |#1| (-367)) ((-640 |#1|) . T) ((-640 $) . T) ((-633 (-571)) |has| |#1| (-633 (-571))) ((-633 |#1|) . T) ((-712 (-412 (-571))) |has| |#1| (-367)) ((-712 |#1|) . T) ((-721) . T) ((-847) |has| |#1| (-847)) ((-900 (-1169)) |has| |#1| (-900 (-1169))) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T) ((-1059 (-412 (-571))) |has| |#1| (-367)) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-367)) (|has| |#1| (-286))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-3799 ((|#3| (-1 |#4| |#2|) |#1|) 16))) 
+(((-1004 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3799 (|#3| (-1 |#4| |#2|) |#1|))) (-1003 |#2|) (-173) (-1003 |#4|) (-173)) (T -1004)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-1003 *6)) (-5 *1 (-1004 *4 *5 *2 *6)) (-4 *4 (-1003 *5))))) 
+(-10 -7 (-15 -3799 (|#3| (-1 |#4| |#2|) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3327 ((|#1| $) 12)) (-3437 (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-553)))) (-3330 (((-121) $) NIL (|has| |#1| (-553)))) (-3450 (((-412 (-571)) $) NIL (|has| |#1| (-553)))) (-4448 (($ |#1| |#1| |#1| |#1|) 16)) (-2583 (((-121) $) NIL)) (-3477 ((|#1| $) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| |#1| (-367)))) (-3476 ((|#1| $) 15)) (-2379 ((|#1| $) 14)) (-2744 ((|#1| $) 13)) (-2580 (((-1115) $) NIL)) (-4483 (($ $ (-637 |#1|) (-637 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-637 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-637 (-1169)) (-637 |#1|)) NIL (|has| |#1| (-526 (-1169) |#1|))) (($ $ (-1169) |#1|) NIL (|has| |#1| (-526 (-1169) |#1|)))) (-3245 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3096 (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-2911 (($ $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-367)) (|has| |#1| (-1043 (-412 (-571))))))) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1902 ((|#1| $) NIL (|has| |#1| (-1062)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) 8 T CONST)) (-3222 (($) 10 T CONST)) (-1544 (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-412 (-571))) NIL (|has| |#1| (-367))) (($ (-412 (-571)) $) NIL (|has| |#1| (-367))))) 
+(((-1005 |#1|) (-1003 |#1|) (-173)) (T -1005)) 
+NIL 
+(-1003 |#1|) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3133 (((-121) $ (-768)) NIL)) (-2269 (($) NIL T CONST)) (-1839 (($ $) 20)) (-3590 (($ (-637 |#1|)) 29)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3158 (((-768) $) 22)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2377 ((|#1| $) 24)) (-2863 (($ |#1| $) 15)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1866 ((|#1| $) 23)) (-3815 ((|#1| $) 19)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-3433 ((|#1| |#1| $) 14)) (-1828 (((-121) $) 17)) (-1630 (($) NIL)) (-3495 ((|#1| $) 18)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) NIL)) (-2159 ((|#1| $) 26)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1006 |#1|) (-13 (-1001 |#1|) (-10 -8 (-15 -3590 ($ (-637 |#1|))) (-15 -3495 (|#1| $)) (-15 -3815 (|#1| $)) (-15 -3433 (|#1| |#1| $)) (-15 -2863 ($ |#1| $)) (-15 -2377 (|#1| $)) (-15 -1866 (|#1| $)) (-15 -2159 (|#1| $)) (-15 -1839 ($ $)) (-15 -3158 ((-768) $)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (-15 -3700 ($ (-637 |#1|))) (-15 -1828 ((-121) $)) (-15 -1630 ($)) (-15 -2269 ($)) (-15 -4316 ($ $)) (-15 -2127 ((-121) $ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-15 -3944 ((-1151) $)) (-15 -2580 ((-1115) $)) (-15 -3942 ((-855) $)) (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3160 ((-121) (-1 (-121) |#1|) $)) (-15 -3027 ((-121) (-1 (-121) |#1|) $)) (-15 -1569 ((-768) (-1 (-121) |#1|) $)) (-15 -4001 ((-768) $)) (-15 -4034 ((-637 |#1|) $)) (-15 -3488 ((-637 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4600)) (IF (|has| |#1| (-1097)) (PROGN (-15 -3303 ((-121) |#1| $)) (-15 -1569 ((-768) |#1| $))) |noBranch|) |noBranch|))) (-1097)) (T -1006)) 
+((-2127 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) (-4316 (*1 *1 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-1630 (*1 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-1828 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) (-3794 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1006 *4)) (-4 *4 (-1097)))) (-2262 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1006 *4)) (-4 *4 (-1097)))) (-3133 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1006 *4)) (-4 *4 (-1097)))) (-2269 (*1 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-4001 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-1006 *3)))) (-1923 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4601)) (-4 *3 (-1097)) (-5 *1 (-1006 *3)))) (-3027 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-1006 *4)))) (-3160 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-1006 *4)))) (-1569 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-768)) (-5 *1 (-1006 *4)))) (-4034 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) (-3488 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) (-1569 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3303 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-121)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3944 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-2580 (*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-1323 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-2234 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3700 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-1006 *3)))) (-3815 (*1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-2863 (*1 *1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-2377 (*1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-3433 (*1 *2 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-3495 (*1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-1839 (*1 *1 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-3158 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) (-1866 (*1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-2159 (*1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) (-3590 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-1006 *3))))) 
+(-13 (-1001 |#1|) (-10 -8 (-15 -3590 ($ (-637 |#1|))) (-15 -3495 (|#1| $)) (-15 -3815 (|#1| $)) (-15 -3433 (|#1| |#1| $)) (-15 -2863 ($ |#1| $)) (-15 -2377 (|#1| $)) (-15 -1866 (|#1| $)) (-15 -2159 (|#1| $)) (-15 -1839 ($ $)) (-15 -3158 ((-768) $)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (-15 -3700 ($ (-637 |#1|))) (-15 -1828 ((-121) $)) (-15 -1630 ($)) (-15 -2269 ($)) (-15 -4316 ($ $)) (-15 -2127 ((-121) $ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-15 -3944 ((-1151) $)) (-15 -2580 ((-1115) $)) (-15 -3942 ((-855) $)) (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3160 ((-121) (-1 (-121) |#1|) $)) (-15 -3027 ((-121) (-1 (-121) |#1|) $)) (-15 -1569 ((-768) (-1 (-121) |#1|) $)) (-15 -4001 ((-768) $)) (-15 -4034 ((-637 |#1|) $)) (-15 -3488 ((-637 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4600)) (IF (|has| |#1| (-1097)) (PROGN (-15 -3303 ((-121) |#1| $)) (-15 -1569 ((-768) |#1| $))) |noBranch|) |noBranch|))) 
+((-4158 (($ $) 12)) (-3549 (($ $ (-571)) 13))) 
+(((-1007 |#1|) (-10 -8 (-15 -4158 (|#1| |#1|)) (-15 -3549 (|#1| |#1| (-571)))) (-1008)) (T -1007)) 
+NIL 
+(-10 -8 (-15 -4158 (|#1| |#1|)) (-15 -3549 (|#1| |#1| (-571)))) 
+((-4158 (($ $) 6)) (-3549 (($ $ (-571)) 7)) (** (($ $ (-412 (-571))) 8))) 
+(((-1008) (-1289)) (T -1008)) 
+((** (*1 *1 *1 *2) (-12 (-4 *1 (-1008)) (-5 *2 (-412 (-571))))) (-3549 (*1 *1 *1 *2) (-12 (-4 *1 (-1008)) (-5 *2 (-571)))) (-4158 (*1 *1 *1) (-4 *1 (-1008)))) 
+(-13 (-10 -8 (-15 -4158 ($ $)) (-15 -3549 ($ $ (-571))) (-15 ** ($ $ (-412 (-571)))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1818 (((-2 (|:| |num| (-1258 |#2|)) (|:| |den| |#2|)) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| (-412 |#2|) (-367)))) (-1415 (($ $) NIL (|has| (-412 |#2|) (-367)))) (-2545 (((-121) $) NIL (|has| (-412 |#2|) (-367)))) (-2076 (((-684 (-412 |#2|)) (-1258 $)) NIL) (((-684 (-412 |#2|))) NIL)) (-3490 (((-412 |#2|) $) NIL)) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| (-412 |#2|) (-352)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL (|has| (-412 |#2|) (-367)))) (-4151 (((-423 $) $) NIL (|has| (-412 |#2|) (-367)))) (-1295 (((-121) $ $) NIL (|has| (-412 |#2|) (-367)))) (-4407 (((-768)) NIL (|has| (-412 |#2|) (-373)))) (-3728 (((-121)) NIL)) (-1634 (((-121) |#1|) 147) (((-121) |#2|) 152)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| (-412 |#2|) (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| (-412 |#2|) (-1043 (-412 (-571))))) (((-3 (-412 |#2|) "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| (-412 |#2|) (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| (-412 |#2|) (-1043 (-412 (-571))))) (((-412 |#2|) $) NIL)) (-3456 (($ (-1258 (-412 |#2|)) (-1258 $)) NIL) (($ (-1258 (-412 |#2|))) 70) (($ (-1258 |#2|) |#2|) NIL)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-412 |#2|) (-352)))) (-2162 (($ $ $) NIL (|has| (-412 |#2|) (-367)))) (-3962 (((-684 (-412 |#2|)) $ (-1258 $)) NIL) (((-684 (-412 |#2|)) $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| (-412 |#2|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| (-412 |#2|) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-412 |#2|))) (|:| |vec| (-1258 (-412 |#2|)))) (-684 $) (-1258 $)) NIL) (((-684 (-412 |#2|)) (-684 $)) NIL)) (-4078 (((-1258 $) (-1258 $)) NIL)) (-3074 (($ |#3|) 65) (((-3 $ "failed") (-412 |#3|)) NIL (|has| (-412 |#2|) (-367)))) (-3978 (((-3 $ "failed") $) NIL)) (-3000 (((-637 (-637 |#1|))) NIL (|has| |#1| (-373)))) (-1536 (((-121) |#1| |#1|) NIL)) (-3241 (((-922)) NIL)) (-3254 (($) NIL (|has| (-412 |#2|) (-373)))) (-4009 (((-121)) NIL)) (-3543 (((-121) |#1|) 56) (((-121) |#2|) 149)) (-2180 (($ $ $) NIL (|has| (-412 |#2|) (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| (-412 |#2|) (-367)))) (-3630 (($ $) NIL)) (-1962 (($) NIL (|has| (-412 |#2|) (-352)))) (-2854 (((-121) $) NIL (|has| (-412 |#2|) (-352)))) (-2442 (($ $ (-768)) NIL (|has| (-412 |#2|) (-352))) (($ $) NIL (|has| (-412 |#2|) (-352)))) (-1596 (((-121) $) NIL (|has| (-412 |#2|) (-367)))) (-3347 (((-922) $) NIL (|has| (-412 |#2|) (-352))) (((-833 (-922)) $) NIL (|has| (-412 |#2|) (-352)))) (-2583 (((-121) $) NIL)) (-2017 (((-768)) NIL)) (-2653 (((-1258 $) (-1258 $)) NIL)) (-3477 (((-412 |#2|) $) NIL)) (-1915 (((-637 (-958 |#1|)) (-1169)) NIL (|has| |#1| (-367)))) (-2596 (((-3 $ "failed") $) NIL (|has| (-412 |#2|) (-352)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| (-412 |#2|) (-367)))) (-4400 ((|#3| $) NIL (|has| (-412 |#2|) (-367)))) (-4470 (((-922) $) NIL (|has| (-412 |#2|) (-373)))) (-3069 ((|#3| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| (-412 |#2|) (-367))) (($ $ $) NIL (|has| (-412 |#2|) (-367)))) (-3944 (((-1151) $) NIL)) (-4471 (((-684 (-412 |#2|))) 52)) (-2401 (((-684 (-412 |#2|))) 51)) (-4315 (($ $) NIL (|has| (-412 |#2|) (-367)))) (-3915 (($ (-1258 |#2|) |#2|) 71)) (-1929 (((-684 (-412 |#2|))) 50)) (-3005 (((-684 (-412 |#2|))) 49)) (-1519 (((-2 (|:| |num| (-684 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 86)) (-2146 (((-2 (|:| |num| (-1258 |#2|)) (|:| |den| |#2|)) $) 77)) (-3633 (((-1258 $)) 46)) (-1659 (((-1258 $)) 45)) (-2446 (((-121) $) NIL)) (-4217 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-1757 (($) NIL (|has| (-412 |#2|) (-352)) CONST)) (-1755 (($ (-922)) NIL (|has| (-412 |#2|) (-373)))) (-2872 (((-3 |#2| "failed")) 63)) (-2580 (((-1115) $) NIL)) (-3970 (((-768)) NIL)) (-2280 (($) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| (-412 |#2|) (-367)))) (-3026 (($ (-637 $)) NIL (|has| (-412 |#2|) (-367))) (($ $ $) NIL (|has| (-412 |#2|) (-367)))) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| (-412 |#2|) (-352)))) (-4262 (((-423 $) $) NIL (|has| (-412 |#2|) (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-412 |#2|) (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| (-412 |#2|) (-367)))) (-1786 (((-3 $ "failed") $ $) NIL (|has| (-412 |#2|) (-367)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| (-412 |#2|) (-367)))) (-1826 (((-768) $) NIL (|has| (-412 |#2|) (-367)))) (-3804 (((-637 $)) NIL (|has| (-412 |#2|) (-373)))) (-3245 ((|#1| $ |#1| |#1|) NIL)) (-3078 (((-3 |#2| "failed")) 62)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| (-412 |#2|) (-367)))) (-1475 (((-412 |#2|) (-1258 $)) NIL) (((-412 |#2|)) 42)) (-1305 (((-768) $) NIL (|has| (-412 |#2|) (-352))) (((-3 (-768) "failed") $ $) NIL (|has| (-412 |#2|) (-352)))) (-3096 (($ $ (-1 (-412 |#2|) (-412 |#2|)) (-768)) NIL (|has| (-412 |#2|) (-367))) (($ $ (-1 (-412 |#2|) (-412 |#2|))) NIL (|has| (-412 |#2|) (-367))) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-768)) NIL (-1831 (-12 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352)))) (($ $) NIL (-1831 (-12 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352))))) (-3023 (((-684 (-412 |#2|)) (-1258 $) (-1 (-412 |#2|) (-412 |#2|))) NIL (|has| (-412 |#2|) (-367)))) (-3413 ((|#3|) 53)) (-4481 (($) NIL (|has| (-412 |#2|) (-352)))) (-3723 (((-1258 (-412 |#2|)) $ (-1258 $)) NIL) (((-684 (-412 |#2|)) (-1258 $) (-1258 $)) NIL) (((-1258 (-412 |#2|)) $) 72) (((-684 (-412 |#2|)) (-1258 $)) NIL)) (-4050 (((-1258 (-412 |#2|)) $) NIL) (($ (-1258 (-412 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| (-412 |#2|) (-352)))) (-2260 (((-1258 $) (-1258 $)) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ (-412 |#2|)) NIL) (($ (-412 (-571))) NIL (-1831 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-1043 (-412 (-571)))))) (($ $) NIL (|has| (-412 |#2|) (-367)))) (-2346 (($ $) NIL (|has| (-412 |#2|) (-352))) (((-3 $ "failed") $) NIL (|has| (-412 |#2|) (-149)))) (-3393 ((|#3| $) NIL)) (-2661 (((-768)) NIL)) (-1363 (((-121)) 60)) (-3288 (((-121) |#1|) 153) (((-121) |#2|) 154)) (-1899 (((-1258 $)) 124)) (-1388 (((-121) $ $) NIL (|has| (-412 |#2|) (-367)))) (-1726 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-4238 (((-121)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| (-412 |#2|) (-367)))) (-2369 (($) 94 T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-1 (-412 |#2|) (-412 |#2|)) (-768)) NIL (|has| (-412 |#2|) (-367))) (($ $ (-1 (-412 |#2|) (-412 |#2|))) NIL (|has| (-412 |#2|) (-367))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| (-412 |#2|) (-367)) (|has| (-412 |#2|) (-900 (-1169))))) (($ $ (-768)) NIL (-1831 (-12 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352)))) (($ $) NIL (-1831 (-12 (|has| (-412 |#2|) (-226)) (|has| (-412 |#2|) (-367))) (|has| (-412 |#2|) (-352))))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ $) NIL (|has| (-412 |#2|) (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| (-412 |#2|) (-367)))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 |#2|)) NIL) (($ (-412 |#2|) $) NIL) (($ (-412 (-571)) $) NIL (|has| (-412 |#2|) (-367))) (($ $ (-412 (-571))) NIL (|has| (-412 |#2|) (-367))))) 
+(((-1009 |#1| |#2| |#3| |#4| |#5|) (-341 |#1| |#2| |#3|) (-1213) (-1233 |#1|) (-1233 (-412 |#2|)) (-412 |#2|) (-768)) (T -1009)) 
 NIL 
 (-341 |#1| |#2| |#3|) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4516 (((-635 (-569)) $) 54)) (-2165 (($ (-635 (-569))) 62)) (-3644 (((-569) $) 40 (|has| (-569) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-569) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) 49) (((-3 (-1165) "failed") $) NIL (|has| (-569) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) 47 (|has| (-569) (-1039 (-569)))) (((-3 (-569) "failed") $) 49 (|has| (-569) (-1039 (-569))))) (-1321 (((-569) $) NIL) (((-1165) $) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-569) (-1039 (-569)))) (((-569) $) NIL (|has| (-569) (-1039 (-569))))) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-569) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-3697 (((-635 (-569)) $) 60)) (-1863 (((-121) $) NIL (|has| (-569) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-569) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-569) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-569) $) 37)) (-1542 (((-3 $ "failed") $) NIL (|has| (-569) (-1139)))) (-4311 (((-121) $) NIL (|has| (-569) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-4188 (($ (-1 (-569) (-569)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-569) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) 42)) (-3211 (((-1145 (-569)) $) 59)) (-2106 (($ (-635 (-569)) (-635 (-569))) 63)) (-1807 (((-569) $) 53 (|has| (-569) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1165)) (-635 (-569))) NIL (|has| (-569) (-524 (-1165) (-569)))) (($ $ (-1165) (-569)) NIL (|has| (-569) (-524 (-1165) (-569))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) 11 (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-569) $) 39)) (-2055 (((-635 (-569)) $) 61)) (-4035 (((-889 (-569)) $) NIL (|has| (-569) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-569) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1023))) (((-216) $) NIL (|has| (-569) (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-906))))) (-3956 (((-852) $) 77) (($ (-569)) 43) (($ $) NIL) (($ (-410 (-569))) 19) (($ (-569)) 43) (($ (-1165)) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) 17)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-569) (-906))) (|has| (-569) (-149))))) (-2320 (((-765)) 9)) (-3215 (((-569) $) 51 (|has| (-569) (-551)))) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| (-569) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 10 T CONST)) (-3297 (($) 12 T CONST)) (-3712 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) 14)) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) 33 (|has| (-569) (-844)))) (-1383 (($ $ $) 29) (($ (-569) (-569)) 31)) (-1377 (($ $) 15) (($ $ $) 22)) (-1371 (($ $ $) 20)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 25) (($ $ $) 27) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) 25) (($ $ (-569)) NIL))) 
-(((-1006 |#1|) (-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -4516 ((-635 (-569)) $)) (-15 -3211 ((-1145 (-569)) $)) (-15 -3697 ((-635 (-569)) $)) (-15 -2055 ((-635 (-569)) $)) (-15 -2165 ($ (-635 (-569)))) (-15 -2106 ($ (-635 (-569)) (-635 (-569)))))) (-569)) (T -1006)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-1391 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-4516 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-3211 (*1 *2 *1) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-3697 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-2055 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-2165 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-2106 (*1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
-(-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -4516 ((-635 (-569)) $)) (-15 -3211 ((-1145 (-569)) $)) (-15 -3697 ((-635 (-569)) $)) (-15 -2055 ((-635 (-569)) $)) (-15 -2165 ($ (-635 (-569)))) (-15 -2106 ($ (-635 (-569)) (-635 (-569)))))) 
-((-2593 (((-57) (-410 (-569)) (-569)) 9))) 
-(((-1007) (-10 -7 (-15 -2593 ((-57) (-410 (-569)) (-569))))) (T -1007)) 
-((-2593 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-5 *4 (-569)) (-5 *2 (-57)) (-5 *1 (-1007))))) 
-(-10 -7 (-15 -2593 ((-57) (-410 (-569)) (-569)))) 
-((-2675 (((-569)) 13)) (-4110 (((-569)) 16)) (-3832 (((-1258) (-569)) 15)) (-3545 (((-569) (-569)) 17) (((-569)) 12))) 
-(((-1008) (-10 -7 (-15 -3545 ((-569))) (-15 -2675 ((-569))) (-15 -3545 ((-569) (-569))) (-15 -3832 ((-1258) (-569))) (-15 -4110 ((-569))))) (T -1008)) 
-((-4110 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008)))) (-3832 (*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1008)))) (-3545 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008)))) (-2675 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008)))) (-3545 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008))))) 
-(-10 -7 (-15 -3545 ((-569))) (-15 -2675 ((-569))) (-15 -3545 ((-569) (-569))) (-15 -3832 ((-1258) (-569))) (-15 -4110 ((-569)))) 
-((-3576 (((-421 |#1|) |#1|) 40)) (-3139 (((-421 |#1|) |#1|) 39))) 
-(((-1009 |#1|) (-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1|))) (-1228 (-410 (-569)))) (T -1009)) 
-((-3576 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1009 *3)) (-4 *3 (-1228 (-410 (-569)))))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1009 *3)) (-4 *3 (-1228 (-410 (-569))))))) 
-(-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1|))) 
-((-1330 (((-3 (-410 (-569)) "failed") |#1|) 14)) (-4429 (((-121) |#1|) 13)) (-2096 (((-410 (-569)) |#1|) 9))) 
-(((-1010 |#1|) (-10 -7 (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|))) (-1039 (-410 (-569)))) (T -1010)) 
-((-1330 (*1 *2 *3) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-1010 *3)) (-4 *3 (-1039 *2)))) (-4429 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1010 *3)) (-4 *3 (-1039 (-410 (-569)))))) (-2096 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1010 *3)) (-4 *3 (-1039 *2))))) 
-(-10 -7 (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|))) 
-((-2511 ((|#2| $ "value" |#2|) 12)) (-2503 ((|#2| $ "value") 10)) (-3773 (((-121) $ $) 18))) 
-(((-1011 |#1| |#2|) (-10 -8 (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -3773 ((-121) |#1| |#1|)) (-15 -2503 (|#2| |#1| "value"))) (-1012 |#2|) (-1199)) (T -1011)) 
-NIL 
-(-10 -8 (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -3773 ((-121) |#1| |#1|)) (-15 -2503 (|#2| |#1| "value"))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-1012 |#1|) (-1284) (-1199)) (T -1012)) 
-((-4065 (*1 *2 *1) (-12 (-4 *3 (-1199)) (-5 *2 (-635 *1)) (-4 *1 (-1012 *3)))) (-3899 (*1 *2 *1) (-12 (-4 *3 (-1199)) (-5 *2 (-635 *1)) (-4 *1 (-1012 *3)))) (-3491 (*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-2756 (*1 *2 *1) (-12 (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) (-1630 (*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-1322 (*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3)))) (-3248 (*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-569)))) (-3773 (*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-2638 (*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-1978 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *1)) (|has| *1 (-6 -4572)) (-4 *1 (-1012 *3)) (-4 *3 (-1199)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4572)) (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) (-4548 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1012 *2)) (-4 *2 (-1199))))) 
-(-13 (-500 |t#1|) (-10 -8 (-15 -4065 ((-635 $) $)) (-15 -3899 ((-635 $) $)) (-15 -3491 ((-121) $)) (-15 -2756 (|t#1| $)) (-15 -2503 (|t#1| $ "value")) (-15 -1630 ((-121) $)) (-15 -1322 ((-635 |t#1|) $)) (-15 -3248 ((-569) $ $)) (IF (|has| |t#1| (-1093)) (PROGN (-15 -3773 ((-121) $ $)) (-15 -2638 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4572)) (PROGN (-15 -1978 ($ $ (-635 $))) (-15 -2511 (|t#1| $ "value" |t#1|)) (-15 -4548 (|t#1| $ |t#1|))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-3422 (($ $) 9) (($ $ (-765)) 43) (($ (-410 (-569))) 12) (($ (-569)) 15)) (-2306 (((-3 $ "failed") (-1161 $) (-919) (-852)) 23) (((-3 $ "failed") (-1161 $) (-919)) 28)) (-2522 (($ $ (-569)) 49)) (-2320 (((-765)) 16)) (-2813 (((-635 $) (-1161 $)) NIL) (((-635 $) (-1161 (-410 (-569)))) 54) (((-635 $) (-1161 (-569))) 59) (((-635 $) (-955 $)) 63) (((-635 $) (-955 (-410 (-569)))) 67) (((-635 $) (-955 (-569))) 71)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) 47))) 
-(((-1013 |#1|) (-10 -8 (-15 -3422 (|#1| (-569))) (-15 -3422 (|#1| (-410 (-569)))) (-15 -3422 (|#1| |#1| (-765))) (-15 -2813 ((-635 |#1|) (-955 (-569)))) (-15 -2813 ((-635 |#1|) (-955 (-410 (-569))))) (-15 -2813 ((-635 |#1|) (-955 |#1|))) (-15 -2813 ((-635 |#1|) (-1161 (-569)))) (-15 -2813 ((-635 |#1|) (-1161 (-410 (-569))))) (-15 -2813 ((-635 |#1|) (-1161 |#1|))) (-15 -2306 ((-3 |#1| "failed") (-1161 |#1|) (-919))) (-15 -2306 ((-3 |#1| "failed") (-1161 |#1|) (-919) (-852))) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2522 (|#1| |#1| (-569))) (-15 -3422 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 -2320 ((-765))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919)))) (-1014)) (T -1013)) 
-((-2320 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1013 *3)) (-4 *3 (-1014))))) 
-(-10 -8 (-15 -3422 (|#1| (-569))) (-15 -3422 (|#1| (-410 (-569)))) (-15 -3422 (|#1| |#1| (-765))) (-15 -2813 ((-635 |#1|) (-955 (-569)))) (-15 -2813 ((-635 |#1|) (-955 (-410 (-569))))) (-15 -2813 ((-635 |#1|) (-955 |#1|))) (-15 -2813 ((-635 |#1|) (-1161 (-569)))) (-15 -2813 ((-635 |#1|) (-1161 (-410 (-569))))) (-15 -2813 ((-635 |#1|) (-1161 |#1|))) (-15 -2306 ((-3 |#1| "failed") (-1161 |#1|) (-919))) (-15 -2306 ((-3 |#1| "failed") (-1161 |#1|) (-919) (-852))) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2522 (|#1| |#1| (-569))) (-15 -3422 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 -2320 ((-765))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 88)) (-2915 (($ $) 89)) (-2735 (((-121) $) 91)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 108)) (-3742 (((-421 $) $) 109)) (-3422 (($ $) 72) (($ $ (-765)) 58) (($ (-410 (-569))) 57) (($ (-569)) 56)) (-2889 (((-121) $ $) 99)) (-3817 (((-569) $) 126)) (-4483 (($) 16 T CONST)) (-2306 (((-3 $ "failed") (-1161 $) (-919) (-852)) 66) (((-3 $ "failed") (-1161 $) (-919)) 65)) (-3003 (((-3 (-569) "failed") $) 84 (|has| (-410 (-569)) (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 82 (|has| (-410 (-569)) (-1039 (-410 (-569))))) (((-3 (-410 (-569)) "failed") $) 80)) (-1321 (((-569) $) 85 (|has| (-410 (-569)) (-1039 (-569)))) (((-410 (-569)) $) 83 (|has| (-410 (-569)) (-1039 (-410 (-569))))) (((-410 (-569)) $) 79)) (-2860 (($ $ (-852)) 55)) (-2582 (($ $ (-852)) 54)) (-1614 (($ $ $) 103)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 102)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 97)) (-2005 (((-121) $) 110)) (-1863 (((-121) $) 124)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 71)) (-4311 (((-121) $) 125)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 106)) (-2157 (($ $ $) 123)) (-2713 (($ $ $) 122)) (-3710 (((-3 (-1161 $) "failed") $) 67)) (-3620 (((-3 (-852) "failed") $) 69)) (-3763 (((-3 (-1161 $) "failed") $) 68)) (-1657 (($ (-635 $)) 95) (($ $ $) 94)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 111)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 96)) (-3964 (($ (-635 $)) 93) (($ $ $) 92)) (-3139 (((-421 $) $) 107)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 104)) (-1436 (((-3 $ "failed") $ $) 87)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 98)) (-2061 (((-765) $) 100)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 101)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 116) (($ $) 86) (($ (-410 (-569))) 81) (($ (-569)) 78) (($ (-410 (-569))) 75)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 90)) (-4334 (((-410 (-569)) $ $) 53)) (-2813 (((-635 $) (-1161 $)) 64) (((-635 $) (-1161 (-410 (-569)))) 63) (((-635 $) (-1161 (-569))) 62) (((-635 $) (-955 $)) 61) (((-635 $) (-955 (-410 (-569)))) 60) (((-635 $) (-955 (-569))) 59)) (-4080 (($ $) 127)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 112)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 120)) (-1343 (((-121) $ $) 119)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 121)) (-1337 (((-121) $ $) 118)) (-1383 (($ $ $) 117)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 113) (($ $ (-410 (-569))) 70)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ (-410 (-569)) $) 115) (($ $ (-410 (-569))) 114) (($ (-569) $) 77) (($ $ (-569)) 76) (($ (-410 (-569)) $) 74) (($ $ (-410 (-569))) 73))) 
-(((-1014) (-1284)) (T -1014)) 
-((-3422 (*1 *1 *1) (-4 *1 (-1014))) (-3620 (*1 *2 *1) (|partial| -12 (-4 *1 (-1014)) (-5 *2 (-852)))) (-3763 (*1 *2 *1) (|partial| -12 (-5 *2 (-1161 *1)) (-4 *1 (-1014)))) (-3710 (*1 *2 *1) (|partial| -12 (-5 *2 (-1161 *1)) (-4 *1 (-1014)))) (-2306 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1161 *1)) (-5 *3 (-919)) (-5 *4 (-852)) (-4 *1 (-1014)))) (-2306 (*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1161 *1)) (-5 *3 (-919)) (-4 *1 (-1014)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-1014)) (-5 *2 (-635 *1)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-1161 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-1161 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-1014)) (-5 *2 (-635 *1)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-955 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) (-3422 (*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-765)))) (-3422 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1014)))) (-3422 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1014)))) (-2860 (*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-852)))) (-2582 (*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-852)))) (-4334 (*1 *2 *1 *1) (-12 (-4 *1 (-1014)) (-5 *2 (-410 (-569)))))) 
-(-13 (-151) (-842) (-173) (-366) (-414 (-410 (-569))) (-43 (-569)) (-43 (-410 (-569))) (-1004) (-10 -8 (-15 -3620 ((-3 (-852) "failed") $)) (-15 -3763 ((-3 (-1161 $) "failed") $)) (-15 -3710 ((-3 (-1161 $) "failed") $)) (-15 -2306 ((-3 $ "failed") (-1161 $) (-919) (-852))) (-15 -2306 ((-3 $ "failed") (-1161 $) (-919))) (-15 -2813 ((-635 $) (-1161 $))) (-15 -2813 ((-635 $) (-1161 (-410 (-569))))) (-15 -2813 ((-635 $) (-1161 (-569)))) (-15 -2813 ((-635 $) (-955 $))) (-15 -2813 ((-635 $) (-955 (-410 (-569))))) (-15 -2813 ((-635 $) (-955 (-569)))) (-15 -3422 ($ $ (-765))) (-15 -3422 ($ $)) (-15 -3422 ($ (-410 (-569)))) (-15 -3422 ($ (-569))) (-15 -2860 ($ $ (-852))) (-15 -2582 ($ $ (-852))) (-15 -4334 ((-410 (-569)) $ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 (-569)) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 (-569) (-569)) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-414 (-410 (-569))) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 (-569)) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 (-569)) . T) ((-709 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-842) . T) ((-844) . T) ((-918) . T) ((-1004) . T) ((-1039 (-410 (-569))) . T) ((-1039 (-569)) |has| (-410 (-569)) (-1039 (-569))) ((-1055 (-410 (-569))) . T) ((-1055 (-569)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
-((-3303 (((-2 (|:| |ans| |#2|) (|:| -3417 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 61))) 
-(((-1015 |#1| |#2|) (-10 -7 (-15 -3303 ((-2 (|:| |ans| |#2|) (|:| -3417 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-27) (-433 |#1|))) (T -1015)) 
-((-3303 (*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1165)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1185) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-844) (-151) (-1039 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-2 (|:| |ans| *4) (|:| -3417 *4) (|:| |sol?| (-121)))) (-5 *1 (-1015 *8 *4))))) 
-(-10 -7 (-15 -3303 ((-2 (|:| |ans| |#2|) (|:| -3417 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
-((-2382 (((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 47))) 
-(((-1016 |#1| |#2|) (-10 -7 (-15 -2382 ((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-27) (-433 |#1|))) (T -1016)) 
-((-2382 (*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1165)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1185) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-844) (-151) (-1039 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-635 *4)) (-5 *1 (-1016 *8 *4))))) 
-(-10 -7 (-15 -2382 ((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
-((-3938 (((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -4399 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)) 30)) (-2285 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|)) 56)) (-3223 (((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|)) 61))) 
-(((-1017 |#1| |#2|) (-10 -7 (-15 -2285 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -3223 ((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|))) (-15 -3938 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -4399 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)))) (-13 (-366) (-151) (-1039 (-569))) (-1228 |#1|)) (T -1017)) 
-((-3938 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1228 *6)) (-4 *6 (-13 (-366) (-151) (-1039 *4))) (-5 *4 (-569)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -4399 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1017 *6 *3)))) (-3223 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |ans| (-410 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1017 *4 *5)) (-5 *3 (-410 *5)))) (-2285 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |c| (-410 *6)) (|:| -4542 *6))) (-5 *1 (-1017 *5 *6)) (-5 *3 (-410 *6))))) 
-(-10 -7 (-15 -2285 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -3223 ((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|))) (-15 -3938 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -4399 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)))) 
-((-1406 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|)) 22)) (-2178 (((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)) 32))) 
-(((-1018 |#1| |#2|) (-10 -7 (-15 -1406 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -2178 ((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)))) (-13 (-366) (-151) (-1039 (-569))) (-1228 |#1|)) (T -1018)) 
-((-2178 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-410 *5))) (-5 *1 (-1018 *4 *5)) (-5 *3 (-410 *5)))) (-1406 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |h| *6) (|:| |c1| (-410 *6)) (|:| |c2| (-410 *6)) (|:| -4542 *6))) (-5 *1 (-1018 *5 *6)) (-5 *3 (-410 *6))))) 
-(-10 -7 (-15 -1406 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -2178 ((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)))) 
-((-3969 (((-1 |#1|) (-635 (-2 (|:| -2756 |#1|) (|:| -2402 (-569))))) 37)) (-4411 (((-1 |#1|) (-1095 |#1|)) 45)) (-2855 (((-1 |#1|) (-1253 |#1|) (-1253 (-569)) (-569)) 34))) 
-(((-1019 |#1|) (-10 -7 (-15 -4411 ((-1 |#1|) (-1095 |#1|))) (-15 -3969 ((-1 |#1|) (-635 (-2 (|:| -2756 |#1|) (|:| -2402 (-569)))))) (-15 -2855 ((-1 |#1|) (-1253 |#1|) (-1253 (-569)) (-569)))) (-1093)) (T -1019)) 
-((-2855 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1253 *6)) (-5 *4 (-1253 (-569))) (-5 *5 (-569)) (-4 *6 (-1093)) (-5 *2 (-1 *6)) (-5 *1 (-1019 *6)))) (-3969 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -2756 *4) (|:| -2402 (-569))))) (-4 *4 (-1093)) (-5 *2 (-1 *4)) (-5 *1 (-1019 *4)))) (-4411 (*1 *2 *3) (-12 (-5 *3 (-1095 *4)) (-4 *4 (-1093)) (-5 *2 (-1 *4)) (-5 *1 (-1019 *4))))) 
-(-10 -7 (-15 -4411 ((-1 |#1|) (-1095 |#1|))) (-15 -3969 ((-1 |#1|) (-635 (-2 (|:| -2756 |#1|) (|:| -2402 (-569)))))) (-15 -2855 ((-1 |#1|) (-1253 |#1|) (-1253 (-569)) (-569)))) 
-((-4433 (((-765) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)) 23))) 
-(((-1020 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4433 ((-765) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-13 (-371) (-366))) (T -1020)) 
-((-4433 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-335 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-4 *4 (-1228 (-410 *7))) (-4 *8 (-341 *6 *7 *4)) (-4 *9 (-13 (-371) (-366))) (-5 *2 (-765)) (-5 *1 (-1020 *6 *7 *4 *8 *9))))) 
-(-10 -7 (-15 -4433 ((-765) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) 
-((-1504 (((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) 31) (((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569))) 28)) (-2960 (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569))) 33) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569))) 29) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) 32) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|) 27)) (-2619 (((-635 (-410 (-569))) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) 19)) (-2562 (((-410 (-569)) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) 16))) 
-(((-1021 |#1|) (-10 -7 (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|)) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2562 ((-410 (-569)) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2619 ((-635 (-410 (-569))) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))))) (-1228 (-569))) (T -1021)) 
-((-2619 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *2 (-635 (-410 (-569)))) (-5 *1 (-1021 *4)) (-4 *4 (-1228 (-569))))) (-2562 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *2 (-410 (-569))) (-5 *1 (-1021 *4)) (-4 *4 (-1228 (-569))))) (-1504 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))))) (-1504 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))))) (-2960 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *5) (|:| -3417 *5)))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-2 (|:| -3149 *5) (|:| -3417 *5))))) (-2960 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-410 (-569))))) (-2960 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) (-2960 (*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569)))))) 
-(-10 -7 (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|)) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2562 ((-410 (-569)) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2619 ((-635 (-410 (-569))) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))))) 
-((-1504 (((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) 35) (((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569))) 32)) (-2960 (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569))) 30) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569))) 26) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) 28) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|) 24))) 
-(((-1022 |#1|) (-10 -7 (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|)) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) (-1228 (-410 (-569)))) (T -1022)) 
-((-1504 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569)))))) (-1504 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *4)))) (-2960 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *5) (|:| -3417 *5)))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *5)) (-5 *4 (-2 (|:| -3149 *5) (|:| -3417 *5))))) (-2960 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *4) (|:| -3417 *4)))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *4)))) (-2960 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569)))) (-5 *4 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) (-2960 (*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569))))))) 
-(-10 -7 (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|)) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) 
-((-4035 (((-216) $) 6) (((-382) $) 8))) 
-(((-1023) (-1284)) (T -1023)) 
-NIL 
-(-13 (-610 (-216)) (-610 (-382))) 
-(((-610 (-216)) . T) ((-610 (-382)) . T)) 
-((-2880 (((-635 (-382)) (-955 (-569)) (-382)) 27) (((-635 (-382)) (-955 (-410 (-569))) (-382)) 26)) (-3646 (((-635 (-635 (-382))) (-635 (-955 (-569))) (-635 (-1165)) (-382)) 36))) 
-(((-1024) (-10 -7 (-15 -2880 ((-635 (-382)) (-955 (-410 (-569))) (-382))) (-15 -2880 ((-635 (-382)) (-955 (-569)) (-382))) (-15 -3646 ((-635 (-635 (-382))) (-635 (-955 (-569))) (-635 (-1165)) (-382))))) (T -1024)) 
-((-3646 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 (-382)))) (-5 *1 (-1024)) (-5 *5 (-382)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-955 (-569))) (-5 *2 (-635 (-382))) (-5 *1 (-1024)) (-5 *4 (-382)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *2 (-635 (-382))) (-5 *1 (-1024)) (-5 *4 (-382))))) 
-(-10 -7 (-15 -2880 ((-635 (-382)) (-955 (-410 (-569))) (-382))) (-15 -2880 ((-635 (-382)) (-955 (-569)) (-382))) (-15 -3646 ((-635 (-635 (-382))) (-635 (-955 (-569))) (-635 (-1165)) (-382)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 70)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) NIL) (($ $ (-765)) NIL) (($ (-410 (-569))) NIL) (($ (-569)) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) 65)) (-4483 (($) NIL T CONST)) (-2306 (((-3 $ "failed") (-1161 $) (-919) (-852)) NIL) (((-3 $ "failed") (-1161 $) (-919)) 49)) (-3003 (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 (-569)) (-1039 (-410 (-569))))) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#1| "failed") $) 108) (((-3 (-569) "failed") $) NIL (-1929 (|has| (-410 (-569)) (-1039 (-569))) (|has| |#1| (-1039 (-569)))))) (-1321 (((-410 (-569)) $) 14 (|has| (-410 (-569)) (-1039 (-410 (-569))))) (((-410 (-569)) $) 14) ((|#1| $) 109) (((-569) $) NIL (-1929 (|has| (-410 (-569)) (-1039 (-569))) (|has| |#1| (-1039 (-569)))))) (-2860 (($ $ (-852)) 40)) (-2582 (($ $ (-852)) 41)) (-1614 (($ $ $) NIL)) (-2465 (((-410 (-569)) $ $) 18)) (-2611 (((-3 $ "failed") $) 83)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) 60)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL)) (-4311 (((-121) $) 63)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-3710 (((-3 (-1161 $) "failed") $) 78)) (-3620 (((-3 (-852) "failed") $) 77)) (-3763 (((-3 (-1161 $) "failed") $) 75)) (-2892 (((-3 (-1059 $ (-1161 $)) "failed") $) 73)) (-1657 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 84)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ (-635 $)) NIL) (($ $ $) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3956 (((-852) $) 82) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ $) 57) (($ (-410 (-569))) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 111)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-4334 (((-410 (-569)) $ $) 24)) (-2813 (((-635 $) (-1161 $)) 55) (((-635 $) (-1161 (-410 (-569)))) NIL) (((-635 $) (-1161 (-569))) NIL) (((-635 $) (-955 $)) NIL) (((-635 $) (-955 (-410 (-569)))) NIL) (((-635 $) (-955 (-569))) NIL)) (-3310 (($ (-1059 $ (-1161 $)) (-852)) 39)) (-4080 (($ $) 19)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 28 T CONST)) (-3297 (($) 34 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 71)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 21)) (-1383 (($ $ $) 32)) (-1377 (($ $) 33) (($ $ $) 69)) (-1371 (($ $ $) 104)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 92) (($ $ $) 97) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ (-569) $) 92) (($ $ (-569)) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ |#1| $) 96) (($ $ |#1|) NIL))) 
-(((-1025 |#1|) (-13 (-1014) (-414 |#1|) (-43 |#1|) (-10 -8 (-15 -3310 ($ (-1059 $ (-1161 $)) (-852))) (-15 -2892 ((-3 (-1059 $ (-1161 $)) "failed") $)) (-15 -2465 ((-410 (-569)) $ $)))) (-13 (-842) (-366) (-1023))) (T -1025)) 
-((-3310 (*1 *1 *2 *3) (-12 (-5 *2 (-1059 (-1025 *4) (-1161 (-1025 *4)))) (-5 *3 (-852)) (-5 *1 (-1025 *4)) (-4 *4 (-13 (-842) (-366) (-1023))))) (-2892 (*1 *2 *1) (|partial| -12 (-5 *2 (-1059 (-1025 *3) (-1161 (-1025 *3)))) (-5 *1 (-1025 *3)) (-4 *3 (-13 (-842) (-366) (-1023))))) (-2465 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1025 *3)) (-4 *3 (-13 (-842) (-366) (-1023)))))) 
-(-13 (-1014) (-414 |#1|) (-43 |#1|) (-10 -8 (-15 -3310 ($ (-1059 $ (-1161 $)) (-852))) (-15 -2892 ((-3 (-1059 $ (-1161 $)) "failed") $)) (-15 -2465 ((-410 (-569)) $ $)))) 
-((-3567 (((-2 (|:| -2713 (-3 (-569) "failed")) (|:| -4004 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1165) |#2|) 59 (|has| |#1| (-1049)))) (-1682 (((-569) (-569) (-123) (-1165) |#2|) 76)) (-1746 (((-3 (-569) "failed") (-123) (-608 |#2|) (-1165)) 56 (|has| |#1| (-1049)))) (-4036 (((-123) |#2|) 103)) (-1899 ((|#2| |#2|) 102)) (-3624 ((|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|)) 72)) (-2017 ((|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|)) 100))) 
-(((-1026 |#1| |#2|) (-10 -7 (-15 -3624 (|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|))) (-15 -2017 (|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|))) (-15 -1899 (|#2| |#2|)) (-15 -4036 ((-123) |#2|)) (-15 -1682 ((-569) (-569) (-123) (-1165) |#2|)) (IF (|has| |#1| (-1049)) (PROGN (-15 -1746 ((-3 (-569) "failed") (-123) (-608 |#2|) (-1165))) (-15 -3567 ((-2 (|:| -2713 (-3 (-569) "failed")) (|:| -4004 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1165) |#2|))) |noBranch|)) (-13 (-844) (-559) (-610 (-542))) (-13 (-433 |#1|) (-23) (-1039 (-569)) (-1039 (-1165)) (-897 (-1165)) (-162))) (T -1026)) 
-((-3567 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *6 (-1049)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-2 (|:| -2713 (-3 (-569) "failed")) (|:| -4004 (-3 (-569) "failed")) (|:| |ker| (-608 *5)))) (-5 *1 (-1026 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162))))) (-1746 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-608 *7)) (-4 *7 (-13 (-433 *6) (-23) (-1039 *2) (-1039 *5) (-897 *5) (-162))) (-5 *5 (-1165)) (-4 *6 (-1049)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-569)) (-5 *1 (-1026 *6 *7)))) (-1682 (*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-569)) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1039 *2) (-1039 *4) (-897 *4) (-162))))) (-4036 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-123)) (-5 *1 (-1026 *4 *3)) (-4 *3 (-13 (-433 *4) (-23) (-1039 (-569)) (-1039 (-1165)) (-897 (-1165)) (-162))))) (-1899 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *3 *2)) (-4 *2 (-13 (-433 *3) (-23) (-1039 (-569)) (-1039 (-1165)) (-897 (-1165)) (-162))))) (-2017 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162))) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *2)))) (-3624 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162))) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *2))))) 
-(-10 -7 (-15 -3624 (|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|))) (-15 -2017 (|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|))) (-15 -1899 (|#2| |#2|)) (-15 -4036 ((-123) |#2|)) (-15 -1682 ((-569) (-569) (-123) (-1165) |#2|)) (IF (|has| |#1| (-1049)) (PROGN (-15 -1746 ((-3 (-569) "failed") (-123) (-608 |#2|) (-1165))) (-15 -3567 ((-2 (|:| -2713 (-3 (-569) "failed")) (|:| -4004 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1165) |#2|))) |noBranch|)) 
-((-3057 (((-2 (|:| -4399 |#2|) (|:| -2859 (-635 |#1|))) |#2| (-635 |#1|)) 20) ((|#2| |#2| |#1|) 15))) 
-(((-1027 |#1| |#2|) (-10 -7 (-15 -3057 (|#2| |#2| |#1|)) (-15 -3057 ((-2 (|:| -4399 |#2|) (|:| -2859 (-635 |#1|))) |#2| (-635 |#1|)))) (-366) (-647 |#1|)) (T -1027)) 
-((-3057 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| -4399 *3) (|:| -2859 (-635 *5)))) (-5 *1 (-1027 *5 *3)) (-5 *4 (-635 *5)) (-4 *3 (-647 *5)))) (-3057 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-1027 *3 *2)) (-4 *2 (-647 *3))))) 
-(-10 -7 (-15 -3057 (|#2| |#2| |#1|)) (-15 -3057 ((-2 (|:| -4399 |#2|) (|:| -2859 (-635 |#1|))) |#2| (-635 |#1|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-4228 ((|#1| $ |#1|) 14)) (-2511 ((|#1| $ |#1|) 12)) (-2093 (($ |#1|) 10)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2503 ((|#1| $) 11)) (-3716 ((|#1| $) 13)) (-3956 (((-852) $) 21 (|has| |#1| (-1093)))) (-1326 (((-121) $ $) 9))) 
-(((-1028 |#1|) (-13 (-1199) (-10 -8 (-15 -2093 ($ |#1|)) (-15 -2503 (|#1| $)) (-15 -2511 (|#1| $ |#1|)) (-15 -3716 (|#1| $)) (-15 -4228 (|#1| $ |#1|)) (-15 -1326 ((-121) $ $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) (-1199)) (T -1028)) 
-((-2093 (*1 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) (-2503 (*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) (-2511 (*1 *2 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) (-3716 (*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) (-4228 (*1 *2 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1028 *3)) (-4 *3 (-1199))))) 
-(-13 (-1199) (-10 -8 (-15 -2093 ($ |#1|)) (-15 -2503 (|#1| $)) (-15 -2511 (|#1| $ |#1|)) (-15 -3716 (|#1| $)) (-15 -4228 (|#1| $ |#1|)) (-15 -1326 ((-121) $ $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) NIL)) (-3202 (((-635 $) (-635 |#4|)) 104) (((-635 $) (-635 |#4|) (-121)) 105) (((-635 $) (-635 |#4|) (-121) (-121)) 103) (((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121)) 106)) (-3195 (((-635 |#3|) $) NIL)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1815 ((|#4| |#4| $) NIL)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 98)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 53)) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) 26 (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3279 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) NIL)) (-1321 (($ (-635 |#4|)) NIL)) (-1864 (((-3 $ "failed") $) 39)) (-3562 ((|#4| |#4| $) 56)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-3503 (($ |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 72 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-4417 ((|#4| |#4| $) NIL)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) NIL)) (-4018 (((-121) |#4| $) NIL)) (-3594 (((-121) |#4| $) NIL)) (-4508 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3332 (((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121)) 118)) (-4303 (((-635 |#4|) $) 16 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#4|) $) 17 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-2089 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 21)) (-3069 (((-635 |#3|) $) NIL)) (-2107 (((-121) |#3| $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) NIL)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 96)) (-3302 (((-3 |#4| "failed") $) 37)) (-2079 (((-635 $) |#4| $) 79)) (-2090 (((-3 (-121) (-635 $)) |#4| $) NIL)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 89) (((-121) |#4| $) 51)) (-1433 (((-635 $) |#4| $) 101) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 102) (((-635 $) |#4| (-635 $)) NIL)) (-4012 (((-635 $) (-635 |#4|) (-121) (-121) (-121)) 113)) (-3487 (($ |#4| $) 69) (($ (-635 |#4|) $) 70) (((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 66)) (-1536 (((-635 |#4|) $) NIL)) (-2114 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2709 ((|#4| |#4| $) NIL)) (-1861 (((-121) $ $) NIL)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1910 ((|#4| |#4| $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-3 |#4| "failed") $) 35)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4300 (((-3 $ "failed") $ |#4|) 47)) (-3803 (($ $ |#4|) NIL) (((-635 $) |#4| $) 81) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 76)) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 15)) (-4016 (($) 13)) (-2284 (((-765) $) NIL)) (-2691 (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) 12)) (-4035 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 20)) (-2201 (($ $ |#3|) 42)) (-4081 (($ $ |#3|) 43)) (-2406 (($ $) NIL)) (-2239 (($ $ |#3|) NIL)) (-3956 (((-852) $) 31) (((-635 |#4|) $) 40)) (-1448 (((-765) $) NIL (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-2272 (((-635 $) |#4| $) 78) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) NIL)) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) NIL)) (-3267 (((-121) |#4| $) NIL)) (-3345 (((-121) |#3| $) 52)) (-1326 (((-121) $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1029 |#1| |#2| |#3| |#4|) (-13 (-1068 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3487 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4012 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3332 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -1029)) 
-((-3487 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *3))) (-5 *1 (-1029 *5 *6 *7 *3)) (-4 *3 (-1063 *5 *6 *7)))) (-3202 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) (-3202 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) (-4012 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) (-3332 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1029 *5 *6 *7 *8))))) (-5 *1 (-1029 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
-(-13 (-1068 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3487 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4012 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3332 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) 
-((-4459 (((-635 (-681 |#1|)) (-635 (-681 |#1|))) 56) (((-681 |#1|) (-681 |#1|)) 55) (((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-635 (-681 |#1|))) 54) (((-681 |#1|) (-681 |#1|) (-681 |#1|)) 51)) (-1979 (((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919)) 50) (((-681 |#1|) (-681 |#1|) (-919)) 49)) (-2677 (((-635 (-681 (-569))) (-635 (-635 (-569)))) 66) (((-635 (-681 (-569))) (-635 (-902 (-569))) (-569)) 65) (((-681 (-569)) (-635 (-569))) 62) (((-681 (-569)) (-902 (-569)) (-569)) 61)) (-1374 (((-681 (-955 |#1|)) (-765)) 79)) (-4191 (((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919)) 36 (|has| |#1| (-6 (-4573 "*")))) (((-681 |#1|) (-681 |#1|) (-919)) 34 (|has| |#1| (-6 (-4573 "*")))))) 
-(((-1030 |#1|) (-10 -7 (IF (|has| |#1| (-6 (-4573 "*"))) (-15 -4191 ((-681 |#1|) (-681 |#1|) (-919))) |noBranch|) (IF (|has| |#1| (-6 (-4573 "*"))) (-15 -4191 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919))) |noBranch|) (-15 -1374 ((-681 (-955 |#1|)) (-765))) (-15 -1979 ((-681 |#1|) (-681 |#1|) (-919))) (-15 -1979 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919))) (-15 -4459 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -4459 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -4459 ((-681 |#1|) (-681 |#1|))) (-15 -4459 ((-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -2677 ((-681 (-569)) (-902 (-569)) (-569))) (-15 -2677 ((-681 (-569)) (-635 (-569)))) (-15 -2677 ((-635 (-681 (-569))) (-635 (-902 (-569))) (-569))) (-15 -2677 ((-635 (-681 (-569))) (-635 (-635 (-569)))))) (-1049)) (T -1030)) 
-((-2677 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-569)))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-1030 *4)) (-4 *4 (-1049)))) (-2677 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-902 (-569)))) (-5 *4 (-569)) (-5 *2 (-635 (-681 *4))) (-5 *1 (-1030 *5)) (-4 *5 (-1049)))) (-2677 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1030 *4)) (-4 *4 (-1049)))) (-2677 (*1 *2 *3 *4) (-12 (-5 *3 (-902 (-569))) (-5 *4 (-569)) (-5 *2 (-681 *4)) (-5 *1 (-1030 *5)) (-4 *5 (-1049)))) (-4459 (*1 *2 *2) (-12 (-5 *2 (-635 (-681 *3))) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) (-4459 (*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) (-4459 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-681 *3))) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) (-4459 (*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) (-1979 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-681 *4))) (-5 *3 (-919)) (-4 *4 (-1049)) (-5 *1 (-1030 *4)))) (-1979 (*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-919)) (-4 *4 (-1049)) (-5 *1 (-1030 *4)))) (-1374 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-681 (-955 *4))) (-5 *1 (-1030 *4)) (-4 *4 (-1049)))) (-4191 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-681 *4))) (-5 *3 (-919)) (|has| *4 (-6 (-4573 "*"))) (-4 *4 (-1049)) (-5 *1 (-1030 *4)))) (-4191 (*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-919)) (|has| *4 (-6 (-4573 "*"))) (-4 *4 (-1049)) (-5 *1 (-1030 *4))))) 
-(-10 -7 (IF (|has| |#1| (-6 (-4573 "*"))) (-15 -4191 ((-681 |#1|) (-681 |#1|) (-919))) |noBranch|) (IF (|has| |#1| (-6 (-4573 "*"))) (-15 -4191 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919))) |noBranch|) (-15 -1374 ((-681 (-955 |#1|)) (-765))) (-15 -1979 ((-681 |#1|) (-681 |#1|) (-919))) (-15 -1979 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919))) (-15 -4459 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -4459 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -4459 ((-681 |#1|) (-681 |#1|))) (-15 -4459 ((-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -2677 ((-681 (-569)) (-902 (-569)) (-569))) (-15 -2677 ((-681 (-569)) (-635 (-569)))) (-15 -2677 ((-635 (-681 (-569))) (-635 (-902 (-569))) (-569))) (-15 -2677 ((-635 (-681 (-569))) (-635 (-635 (-569)))))) 
-((-2819 (((-681 |#1|) (-635 (-681 |#1|)) (-1253 |#1|)) 48 (|has| |#1| (-302)))) (-2009 (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 (-1253 |#1|))) 71 (|has| |#1| (-366))) (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 |#1|)) 69 (|has| |#1| (-366)))) (-3541 (((-1253 |#1|) (-635 (-1253 |#1|)) (-569)) 73 (-12 (|has| |#1| (-366)) (|has| |#1| (-371))))) (-1575 (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-919)) 78 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121)) 76 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|))) 75 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121) (-569) (-569)) 74 (-12 (|has| |#1| (-366)) (|has| |#1| (-371))))) (-2278 (((-121) (-635 (-681 |#1|))) 67 (|has| |#1| (-366))) (((-121) (-635 (-681 |#1|)) (-569)) 66 (|has| |#1| (-366)))) (-2980 (((-1253 (-1253 |#1|)) (-635 (-681 |#1|)) (-1253 |#1|)) 46 (|has| |#1| (-302)))) (-4430 (((-681 |#1|) (-635 (-681 |#1|)) (-681 |#1|)) 32)) (-3166 (((-681 |#1|) (-1253 (-1253 |#1|))) 29)) (-1675 (((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-569)) 62 (|has| |#1| (-366))) (((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|))) 61 (|has| |#1| (-366))) (((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-121) (-569)) 60 (|has| |#1| (-366))))) 
-(((-1031 |#1|) (-10 -7 (-15 -3166 ((-681 |#1|) (-1253 (-1253 |#1|)))) (-15 -4430 ((-681 |#1|) (-635 (-681 |#1|)) (-681 |#1|))) (IF (|has| |#1| (-302)) (PROGN (-15 -2980 ((-1253 (-1253 |#1|)) (-635 (-681 |#1|)) (-1253 |#1|))) (-15 -2819 ((-681 |#1|) (-635 (-681 |#1|)) (-1253 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-121) (-569))) (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-569))) (-15 -2278 ((-121) (-635 (-681 |#1|)) (-569))) (-15 -2278 ((-121) (-635 (-681 |#1|)))) (-15 -2009 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 |#1|))) (-15 -2009 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 (-1253 |#1|))))) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#1| (-366)) (PROGN (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121) (-569) (-569))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-919))) (-15 -3541 ((-1253 |#1|) (-635 (-1253 |#1|)) (-569)))) |noBranch|) |noBranch|)) (-1049)) (T -1031)) 
-((-3541 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1253 *5))) (-5 *4 (-569)) (-5 *2 (-1253 *5)) (-5 *1 (-1031 *5)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049)))) (-1575 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) (-1575 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) (-1575 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-371)) (-4 *4 (-1049)) (-5 *2 (-635 (-635 (-681 *4)))) (-5 *1 (-1031 *4)) (-5 *3 (-635 (-681 *4))))) (-1575 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-569)) (-4 *6 (-366)) (-4 *6 (-371)) (-4 *6 (-1049)) (-5 *2 (-635 (-635 (-681 *6)))) (-5 *1 (-1031 *6)) (-5 *3 (-635 (-681 *6))))) (-2009 (*1 *2 *3 *4) (-12 (-5 *4 (-1253 (-1253 *5))) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) (-2009 (*1 *2 *3 *4) (-12 (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) (-2278 (*1 *2 *3) (-12 (-5 *3 (-635 (-681 *4))) (-4 *4 (-366)) (-4 *4 (-1049)) (-5 *2 (-121)) (-5 *1 (-1031 *4)))) (-2278 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-569)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-121)) (-5 *1 (-1031 *5)))) (-1675 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-569)) (-5 *2 (-681 *5)) (-5 *1 (-1031 *5)) (-4 *5 (-366)) (-4 *5 (-1049)))) (-1675 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-681 *4))) (-5 *2 (-681 *4)) (-5 *1 (-1031 *4)) (-4 *4 (-366)) (-4 *4 (-1049)))) (-1675 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-681 *6))) (-5 *4 (-121)) (-5 *5 (-569)) (-5 *2 (-681 *6)) (-5 *1 (-1031 *6)) (-4 *6 (-366)) (-4 *6 (-1049)))) (-2819 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-1253 *5)) (-4 *5 (-302)) (-4 *5 (-1049)) (-5 *2 (-681 *5)) (-5 *1 (-1031 *5)))) (-2980 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-4 *5 (-302)) (-4 *5 (-1049)) (-5 *2 (-1253 (-1253 *5))) (-5 *1 (-1031 *5)) (-5 *4 (-1253 *5)))) (-4430 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-681 *4))) (-5 *2 (-681 *4)) (-4 *4 (-1049)) (-5 *1 (-1031 *4)))) (-3166 (*1 *2 *3) (-12 (-5 *3 (-1253 (-1253 *4))) (-4 *4 (-1049)) (-5 *2 (-681 *4)) (-5 *1 (-1031 *4))))) 
-(-10 -7 (-15 -3166 ((-681 |#1|) (-1253 (-1253 |#1|)))) (-15 -4430 ((-681 |#1|) (-635 (-681 |#1|)) (-681 |#1|))) (IF (|has| |#1| (-302)) (PROGN (-15 -2980 ((-1253 (-1253 |#1|)) (-635 (-681 |#1|)) (-1253 |#1|))) (-15 -2819 ((-681 |#1|) (-635 (-681 |#1|)) (-1253 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-121) (-569))) (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-569))) (-15 -2278 ((-121) (-635 (-681 |#1|)) (-569))) (-15 -2278 ((-121) (-635 (-681 |#1|)))) (-15 -2009 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 |#1|))) (-15 -2009 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 (-1253 |#1|))))) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#1| (-366)) (PROGN (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121) (-569) (-569))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-919))) (-15 -3541 ((-1253 |#1|) (-635 (-1253 |#1|)) (-569)))) |noBranch|) |noBranch|)) 
-((-2242 ((|#1| (-919) |#1|) 9))) 
-(((-1032 |#1|) (-10 -7 (-15 -2242 (|#1| (-919) |#1|))) (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $))))) (T -1032)) 
-((-2242 (*1 *2 *3 *2) (-12 (-5 *3 (-919)) (-5 *1 (-1032 *2)) (-4 *2 (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)))))))) 
-(-10 -7 (-15 -2242 (|#1| (-919) |#1|))) 
-((-3513 (((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-681 (-311 (-569))))))) (-681 (-410 (-955 (-569))))) 58)) (-2355 (((-635 (-681 (-311 (-569)))) (-311 (-569)) (-681 (-410 (-955 (-569))))) 48)) (-2968 (((-635 (-311 (-569))) (-681 (-410 (-955 (-569))))) 41)) (-2589 (((-635 (-681 (-311 (-569)))) (-681 (-410 (-955 (-569))))) 67)) (-1348 (((-681 (-311 (-569))) (-681 (-311 (-569)))) 33)) (-2839 (((-635 (-681 (-311 (-569)))) (-635 (-681 (-311 (-569))))) 61)) (-2122 (((-3 (-681 (-311 (-569))) "failed") (-681 (-410 (-955 (-569))))) 65))) 
-(((-1033) (-10 -7 (-15 -3513 ((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-681 (-311 (-569))))))) (-681 (-410 (-955 (-569)))))) (-15 -2355 ((-635 (-681 (-311 (-569)))) (-311 (-569)) (-681 (-410 (-955 (-569)))))) (-15 -2968 ((-635 (-311 (-569))) (-681 (-410 (-955 (-569)))))) (-15 -2122 ((-3 (-681 (-311 (-569))) "failed") (-681 (-410 (-955 (-569)))))) (-15 -1348 ((-681 (-311 (-569))) (-681 (-311 (-569))))) (-15 -2839 ((-635 (-681 (-311 (-569)))) (-635 (-681 (-311 (-569)))))) (-15 -2589 ((-635 (-681 (-311 (-569)))) (-681 (-410 (-955 (-569)))))))) (T -1033)) 
-((-2589 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033)))) (-2839 (*1 *2 *2) (-12 (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033)))) (-1348 (*1 *2 *2) (-12 (-5 *2 (-681 (-311 (-569)))) (-5 *1 (-1033)))) (-2122 (*1 *2 *3) (|partial| -12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-681 (-311 (-569)))) (-5 *1 (-1033)))) (-2968 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-311 (-569)))) (-5 *1 (-1033)))) (-2355 (*1 *2 *3 *4) (-12 (-5 *4 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033)) (-5 *3 (-311 (-569))))) (-3513 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-681 (-311 (-569)))))))) (-5 *1 (-1033))))) 
-(-10 -7 (-15 -3513 ((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-681 (-311 (-569))))))) (-681 (-410 (-955 (-569)))))) (-15 -2355 ((-635 (-681 (-311 (-569)))) (-311 (-569)) (-681 (-410 (-955 (-569)))))) (-15 -2968 ((-635 (-311 (-569))) (-681 (-410 (-955 (-569)))))) (-15 -2122 ((-3 (-681 (-311 (-569))) "failed") (-681 (-410 (-955 (-569)))))) (-15 -1348 ((-681 (-311 (-569))) (-681 (-311 (-569))))) (-15 -2839 ((-635 (-681 (-311 (-569)))) (-635 (-681 (-311 (-569)))))) (-15 -2589 ((-635 (-681 (-311 (-569)))) (-681 (-410 (-955 (-569))))))) 
-((-3616 ((|#1| |#1| (-919)) 9))) 
-(((-1034 |#1|) (-10 -7 (-15 -3616 (|#1| |#1| (-919)))) (-13 (-1093) (-10 -8 (-15 * ($ $ $))))) (T -1034)) 
-((-3616 (*1 *2 *2 *3) (-12 (-5 *3 (-919)) (-5 *1 (-1034 *2)) (-4 *2 (-13 (-1093) (-10 -8 (-15 * ($ $ $)))))))) 
-(-10 -7 (-15 -3616 (|#1| |#1| (-919)))) 
-((-3956 ((|#1| (-306)) 11) (((-1258) |#1|) 9))) 
-(((-1035 |#1|) (-10 -7 (-15 -3956 ((-1258) |#1|)) (-15 -3956 (|#1| (-306)))) (-1199)) (T -1035)) 
-((-3956 (*1 *2 *3) (-12 (-5 *3 (-306)) (-5 *1 (-1035 *2)) (-4 *2 (-1199)))) (-3956 (*1 *2 *3) (-12 (-5 *2 (-1258)) (-5 *1 (-1035 *3)) (-4 *3 (-1199))))) 
-(-10 -7 (-15 -3956 ((-1258) |#1|)) (-15 -3956 (|#1| (-306)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2793 (($ |#4|) 25)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2786 ((|#4| $) 27)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 46) (($ (-569)) NIL) (($ |#1|) NIL) (($ |#4|) 26)) (-2320 (((-765)) 43)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 21 T CONST)) (-3297 (($) 23 T CONST)) (-1326 (((-121) $ $) 40)) (-1377 (($ $) 31) (($ $ $) NIL)) (-1371 (($ $ $) 29)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 36) (($ $ $) 33) (($ |#1| $) 38) (($ $ |#1|) NIL))) 
-(((-1036 |#1| |#2| |#3| |#4| |#5|) (-13 (-173) (-43 |#1|) (-10 -8 (-15 -2793 ($ |#4|)) (-15 -3956 ($ |#4|)) (-15 -2786 (|#4| $)))) (-366) (-790) (-844) (-952 |#1| |#2| |#3|) (-635 |#4|)) (T -1036)) 
-((-2793 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *2 (-952 *3 *4 *5)) (-14 *6 (-635 *2)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *2 (-952 *3 *4 *5)) (-14 *6 (-635 *2)))) (-2786 (*1 *2 *1) (-12 (-4 *2 (-952 *3 *4 *5)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-14 *6 (-635 *2))))) 
-(-13 (-173) (-43 |#1|) (-10 -8 (-15 -2793 ($ |#4|)) (-15 -3956 ($ |#4|)) (-15 -2786 (|#4| $)))) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-1403 (((-1258) $ (-1165) (-1165)) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-4025 (((-121) (-121)) 39)) (-2003 (((-121) (-121)) 38)) (-2511 (((-57) $ (-1165) (-57)) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 (-57) "failed") (-1165) $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-2006 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-3 (-57) "failed") (-1165) $) NIL)) (-3503 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-57) $ (-1165) (-57)) NIL (|has| $ (-6 -4572)))) (-4124 (((-57) $ (-1165)) NIL)) (-4303 (((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-1165) $) NIL (|has| (-1165) (-844)))) (-4457 (((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-1301 (((-1165) $) NIL (|has| (-1165) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4572))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-1316 (((-635 (-1165)) $) 34)) (-1591 (((-121) (-1165) $) NIL)) (-4496 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL)) (-2351 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL)) (-2761 (((-635 (-1165)) $) NIL)) (-3292 (((-121) (-1165) $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-1816 (((-57) $) NIL (|has| (-1165) (-844)))) (-2569 (((-3 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) "failed") (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL)) (-2417 (($ $ (-57)) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-289 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-4283 (((-635 (-57)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 (((-57) $ (-1165)) 35) (((-57) $ (-1165) (-57)) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-765) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093)))) (((-765) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-3956 (((-852) $) 37 (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1037) (-13 (-1176 (-1165) (-57)) (-10 -7 (-15 -4025 ((-121) (-121))) (-15 -2003 ((-121) (-121))) (-6 -4571)))) (T -1037)) 
-((-4025 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1037)))) (-2003 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1037))))) 
-(-13 (-1176 (-1165) (-57)) (-10 -7 (-15 -4025 ((-121) (-121))) (-15 -2003 ((-121) (-121))) (-6 -4571))) 
-((-1321 ((|#2| $) 10))) 
-(((-1038 |#1| |#2|) (-10 -8 (-15 -1321 (|#2| |#1|))) (-1039 |#2|) (-1199)) (T -1038)) 
-NIL 
-(-10 -8 (-15 -1321 (|#2| |#1|))) 
-((-3003 (((-3 |#1| "failed") $) 7)) (-1321 ((|#1| $) 8)) (-3956 (($ |#1|) 6))) 
-(((-1039 |#1|) (-1284) (-1199)) (T -1039)) 
-((-1321 (*1 *2 *1) (-12 (-4 *1 (-1039 *2)) (-4 *2 (-1199)))) (-3003 (*1 *2 *1) (|partial| -12 (-4 *1 (-1039 *2)) (-4 *2 (-1199)))) (-3956 (*1 *1 *2) (-12 (-4 *1 (-1039 *2)) (-4 *2 (-1199))))) 
-(-13 (-10 -8 (-15 -3956 ($ |t#1|)) (-15 -3003 ((-3 |t#1| "failed") $)) (-15 -1321 (|t#1| $)))) 
-((-1888 (((-635 (-635 (-289 (-410 (-955 |#2|))))) (-635 (-955 |#2|)) (-635 (-1165))) 35))) 
-(((-1040 |#1| |#2|) (-10 -7 (-15 -1888 ((-635 (-635 (-289 (-410 (-955 |#2|))))) (-635 (-955 |#2|)) (-635 (-1165))))) (-559) (-13 (-559) (-1039 |#1|))) (T -1040)) 
-((-1888 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-4 *6 (-13 (-559) (-1039 *5))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *6)))))) (-5 *1 (-1040 *5 *6))))) 
-(-10 -7 (-15 -1888 ((-635 (-635 (-289 (-410 (-955 |#2|))))) (-635 (-955 |#2|)) (-635 (-1165))))) 
-((-2094 (((-382)) 15)) (-4411 (((-1 (-382)) (-382) (-382)) 20)) (-4542 (((-1 (-382)) (-765)) 42)) (-1612 (((-382)) 33)) (-2556 (((-1 (-382)) (-382) (-382)) 34)) (-4367 (((-382)) 26)) (-4199 (((-1 (-382)) (-382)) 27)) (-1916 (((-382) (-765)) 37)) (-4070 (((-1 (-382)) (-765)) 38)) (-1647 (((-1 (-382)) (-765) (-765)) 41)) (-4028 (((-1 (-382)) (-765) (-765)) 39))) 
-(((-1041) (-10 -7 (-15 -2094 ((-382))) (-15 -1612 ((-382))) (-15 -4367 ((-382))) (-15 -1916 ((-382) (-765))) (-15 -4411 ((-1 (-382)) (-382) (-382))) (-15 -2556 ((-1 (-382)) (-382) (-382))) (-15 -4199 ((-1 (-382)) (-382))) (-15 -4070 ((-1 (-382)) (-765))) (-15 -4028 ((-1 (-382)) (-765) (-765))) (-15 -1647 ((-1 (-382)) (-765) (-765))) (-15 -4542 ((-1 (-382)) (-765))))) (T -1041)) 
-((-4542 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041)))) (-1647 (*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041)))) (-4028 (*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041)))) (-4070 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041)))) (-4199 (*1 *2 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382)))) (-2556 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382)))) (-4411 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382)))) (-1916 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-382)) (-5 *1 (-1041)))) (-4367 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041)))) (-1612 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041)))) (-2094 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041))))) 
-(-10 -7 (-15 -2094 ((-382))) (-15 -1612 ((-382))) (-15 -4367 ((-382))) (-15 -1916 ((-382) (-765))) (-15 -4411 ((-1 (-382)) (-382) (-382))) (-15 -2556 ((-1 (-382)) (-382) (-382))) (-15 -4199 ((-1 (-382)) (-382))) (-15 -4070 ((-1 (-382)) (-765))) (-15 -4028 ((-1 (-382)) (-765) (-765))) (-15 -1647 ((-1 (-382)) (-765) (-765))) (-15 -4542 ((-1 (-382)) (-765)))) 
-((-3139 (((-421 |#1|) |#1|) 31))) 
-(((-1042 |#1|) (-10 -7 (-15 -3139 ((-421 |#1|) |#1|))) (-1228 (-410 (-955 (-569))))) (T -1042)) 
-((-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1042 *3)) (-4 *3 (-1228 (-410 (-955 (-569)))))))) 
-(-10 -7 (-15 -3139 ((-421 |#1|) |#1|))) 
-((-1437 (((-410 (-421 (-955 |#1|))) (-410 (-955 |#1|))) 14))) 
-(((-1043 |#1|) (-10 -7 (-15 -1437 ((-410 (-421 (-955 |#1|))) (-410 (-955 |#1|))))) (-302)) (T -1043)) 
-((-1437 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-302)) (-5 *2 (-410 (-421 (-955 *4)))) (-5 *1 (-1043 *4))))) 
-(-10 -7 (-15 -1437 ((-410 (-421 (-955 |#1|))) (-410 (-955 |#1|))))) 
-((-3195 (((-635 (-1165)) (-410 (-955 |#1|))) 15)) (-3132 (((-410 (-1161 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165)) 22)) (-3187 (((-410 (-955 |#1|)) (-410 (-1161 (-410 (-955 |#1|)))) (-1165)) 24)) (-3407 (((-3 (-1165) "failed") (-410 (-955 |#1|))) 18)) (-1484 (((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-289 (-410 (-955 |#1|))))) 29) (((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|)))) 31) (((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-1165)) (-635 (-410 (-955 |#1|)))) 26) (((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|))) 27)) (-3956 (((-410 (-955 |#1|)) |#1|) 11))) 
-(((-1044 |#1|) (-10 -7 (-15 -3195 ((-635 (-1165)) (-410 (-955 |#1|)))) (-15 -3407 ((-3 (-1165) "failed") (-410 (-955 |#1|)))) (-15 -3132 ((-410 (-1161 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165))) (-15 -3187 ((-410 (-955 |#1|)) (-410 (-1161 (-410 (-955 |#1|)))) (-1165))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|)))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-1165)) (-635 (-410 (-955 |#1|))))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -3956 ((-410 (-955 |#1|)) |#1|))) (-559)) (T -1044)) 
-((-3956 (*1 *2 *3) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-1044 *3)) (-4 *3 (-559)))) (-1484 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-955 *4))))) (-5 *2 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) (-1484 (*1 *2 *2 *3) (-12 (-5 *3 (-289 (-410 (-955 *4)))) (-5 *2 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) (-1484 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-5 *4 (-635 (-410 (-955 *5)))) (-5 *2 (-410 (-955 *5))) (-4 *5 (-559)) (-5 *1 (-1044 *5)))) (-1484 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-410 (-955 *4))) (-5 *3 (-1165)) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) (-3187 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1161 (-410 (-955 *5))))) (-5 *4 (-1165)) (-5 *2 (-410 (-955 *5))) (-5 *1 (-1044 *5)) (-4 *5 (-559)))) (-3132 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-410 (-1161 (-410 (-955 *5))))) (-5 *1 (-1044 *5)) (-5 *3 (-410 (-955 *5))))) (-3407 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-1165)) (-5 *1 (-1044 *4)))) (-3195 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-1165))) (-5 *1 (-1044 *4))))) 
-(-10 -7 (-15 -3195 ((-635 (-1165)) (-410 (-955 |#1|)))) (-15 -3407 ((-3 (-1165) "failed") (-410 (-955 |#1|)))) (-15 -3132 ((-410 (-1161 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165))) (-15 -3187 ((-410 (-955 |#1|)) (-410 (-1161 (-410 (-955 |#1|)))) (-1165))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|)))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-1165)) (-635 (-410 (-955 |#1|))))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -3956 ((-410 (-955 |#1|)) |#1|))) 
-((-3554 (((-635 |#1|) (-635 |#1|)) 45)) (-2863 (((-635 |#1|)) 9)) (-2338 (((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-1161 |#1|) |#1|) 19)) (-3287 (((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-635 (-1161 |#1|)) |#1|) 37))) 
-(((-1045 |#1|) (-10 -7 (-15 -2338 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-1161 |#1|) |#1|)) (-15 -3287 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-635 (-1161 |#1|)) |#1|)) (-15 -2863 ((-635 |#1|))) (-15 -3554 ((-635 |#1|) (-635 |#1|)))) (-366)) (T -1045)) 
-((-3554 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-1045 *3)))) (-2863 (*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1045 *3)) (-4 *3 (-366)))) (-3287 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1161 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -3064 (-569)))) (-5 *1 (-1045 *4)))) (-2338 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -3064 (-569)))) (-5 *1 (-1045 *4))))) 
-(-10 -7 (-15 -2338 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-1161 |#1|) |#1|)) (-15 -3287 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-635 (-1161 |#1|)) |#1|)) (-15 -2863 ((-635 |#1|))) (-15 -3554 ((-635 |#1|) (-635 |#1|)))) 
-((-1310 (((-121) $ $) NIL)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 (-777 |#1| (-854 |#2|)))))) (-635 (-777 |#1| (-854 |#2|)))) NIL)) (-3202 (((-635 $) (-635 (-777 |#1| (-854 |#2|)))) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-121)) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-121) (-121)) NIL)) (-3195 (((-635 (-854 |#2|)) $) NIL)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-3679 (((-121) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) $) NIL)) (-1815 (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-2710 (((-635 (-2 (|:| |val| (-777 |#1| (-854 |#2|))) (|:| -4320 $))) (-777 |#1| (-854 |#2|)) $) NIL)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ (-854 |#2|)) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 (-777 |#1| (-854 |#2|)) "failed") $ (-854 |#2|)) NIL)) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) NIL (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-2516 (((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|))) $ (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) (-1 (-121) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)))) NIL)) (-3279 (((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|))) $) NIL (|has| |#1| (-559)))) (-3385 (((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|))) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 (-777 |#1| (-854 |#2|)))) NIL)) (-1321 (($ (-635 (-777 |#1| (-854 |#2|)))) NIL)) (-1864 (((-3 $ "failed") $) NIL)) (-3562 (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-777 |#1| (-854 |#2|)) (-1093))))) (-3503 (($ (-777 |#1| (-854 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (($ (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| (-777 |#1| (-854 |#2|))) (|:| |den| |#1|)) (-777 |#1| (-854 |#2|)) $) NIL (|has| |#1| (-559)))) (-3782 (((-121) (-777 |#1| (-854 |#2|)) $ (-1 (-121) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)))) NIL)) (-4417 (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-2793 (((-777 |#1| (-854 |#2|)) (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) $ (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (((-777 |#1| (-854 |#2|)) (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) $ (-777 |#1| (-854 |#2|))) NIL (|has| $ (-6 -4571))) (((-777 |#1| (-854 |#2|)) (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $ (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) (-1 (-121) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)))) NIL)) (-4047 (((-2 (|:| -2412 (-635 (-777 |#1| (-854 |#2|)))) (|:| -4465 (-635 (-777 |#1| (-854 |#2|))))) $) NIL)) (-4018 (((-121) (-777 |#1| (-854 |#2|)) $) NIL)) (-3594 (((-121) (-777 |#1| (-854 |#2|)) $) NIL)) (-4508 (((-121) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) $) NIL)) (-4303 (((-635 (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1660 (((-121) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) $) NIL)) (-1473 (((-854 |#2|) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-777 |#1| (-854 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-777 |#1| (-854 |#2|)) (-1093))))) (-2089 (($ (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) $) NIL)) (-3069 (((-635 (-854 |#2|)) $) NIL)) (-2107 (((-121) (-854 |#2|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2998 (((-3 (-777 |#1| (-854 |#2|)) (-635 $)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-1961 (((-635 (-2 (|:| |val| (-777 |#1| (-854 |#2|))) (|:| -4320 $))) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-3302 (((-3 (-777 |#1| (-854 |#2|)) "failed") $) NIL)) (-2079 (((-635 $) (-777 |#1| (-854 |#2|)) $) NIL)) (-2090 (((-3 (-121) (-635 $)) (-777 |#1| (-854 |#2|)) $) NIL)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) (-777 |#1| (-854 |#2|)) $) NIL)) (-1433 (((-635 $) (-777 |#1| (-854 |#2|)) $) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) $) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-635 $)) NIL) (((-635 $) (-777 |#1| (-854 |#2|)) (-635 $)) NIL)) (-3487 (($ (-777 |#1| (-854 |#2|)) $) NIL) (($ (-635 (-777 |#1| (-854 |#2|))) $) NIL)) (-1536 (((-635 (-777 |#1| (-854 |#2|))) $) NIL)) (-2114 (((-121) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) $) NIL)) (-2709 (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-1861 (((-121) $ $) NIL)) (-3574 (((-2 (|:| |num| (-777 |#1| (-854 |#2|))) (|:| |den| |#1|)) (-777 |#1| (-854 |#2|)) $) NIL (|has| |#1| (-559)))) (-3072 (((-121) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) $) NIL)) (-1910 (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-3 (-777 |#1| (-854 |#2|)) "failed") $) NIL)) (-2569 (((-3 (-777 |#1| (-854 |#2|)) "failed") (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL)) (-4300 (((-3 $ "failed") $ (-777 |#1| (-854 |#2|))) NIL)) (-3803 (($ $ (-777 |#1| (-854 |#2|))) NIL) (((-635 $) (-777 |#1| (-854 |#2|)) $) NIL) (((-635 $) (-777 |#1| (-854 |#2|)) (-635 $)) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) $) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-635 $)) NIL)) (-2985 (((-121) (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|)))) NIL (-12 (|has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|)))) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (($ $ (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) NIL (-12 (|has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|)))) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (($ $ (-289 (-777 |#1| (-854 |#2|)))) NIL (-12 (|has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|)))) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (($ $ (-635 (-289 (-777 |#1| (-854 |#2|))))) NIL (-12 (|has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|)))) (|has| (-777 |#1| (-854 |#2|)) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2284 (((-765) $) NIL)) (-2691 (((-765) (-777 |#1| (-854 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (((-765) (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-777 |#1| (-854 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-777 |#1| (-854 |#2|)))) NIL)) (-2201 (($ $ (-854 |#2|)) NIL)) (-4081 (($ $ (-854 |#2|)) NIL)) (-2406 (($ $) NIL)) (-2239 (($ $ (-854 |#2|)) NIL)) (-3956 (((-852) $) NIL) (((-635 (-777 |#1| (-854 |#2|))) $) NIL)) (-1448 (((-765) $) NIL (|has| (-854 |#2|) (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 (-777 |#1| (-854 |#2|))))) "failed") (-635 (-777 |#1| (-854 |#2|))) (-1 (-121) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)))) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 (-777 |#1| (-854 |#2|))))) "failed") (-635 (-777 |#1| (-854 |#2|))) (-1 (-121) (-777 |#1| (-854 |#2|))) (-1 (-121) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)))) NIL)) (-1680 (((-121) $ (-1 (-121) (-777 |#1| (-854 |#2|)) (-635 (-777 |#1| (-854 |#2|))))) NIL)) (-2272 (((-635 $) (-777 |#1| (-854 |#2|)) $) NIL) (((-635 $) (-777 |#1| (-854 |#2|)) (-635 $)) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) $) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-635 $)) NIL)) (-3776 (((-121) (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3882 (((-635 (-854 |#2|)) $) NIL)) (-3267 (((-121) (-777 |#1| (-854 |#2|)) $) NIL)) (-3345 (((-121) (-854 |#2|) $) NIL)) (-1326 (((-121) $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1046 |#1| |#2|) (-13 (-1068 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|))) (-10 -8 (-15 -3202 ((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-121) (-121))))) (-454) (-635 (-1165))) (T -1046)) 
-((-3202 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1046 *5 *6))))) 
-(-13 (-1068 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|))) (-10 -8 (-15 -3202 ((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-121) (-121))))) 
-((-4411 (((-1 (-569)) (-1087 (-569))) 33)) (-2288 (((-569) (-569) (-569) (-569) (-569)) 30)) (-4162 (((-1 (-569)) |RationalNumber|) NIL)) (-4001 (((-1 (-569)) |RationalNumber|) NIL)) (-4196 (((-1 (-569)) (-569) |RationalNumber|) NIL))) 
-(((-1047) (-10 -7 (-15 -4411 ((-1 (-569)) (-1087 (-569)))) (-15 -4196 ((-1 (-569)) (-569) |RationalNumber|)) (-15 -4162 ((-1 (-569)) |RationalNumber|)) (-15 -4001 ((-1 (-569)) |RationalNumber|)) (-15 -2288 ((-569) (-569) (-569) (-569) (-569))))) (T -1047)) 
-((-2288 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1047)))) (-4001 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047)))) (-4162 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047)))) (-4196 (*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047)) (-5 *3 (-569)))) (-4411 (*1 *2 *3) (-12 (-5 *3 (-1087 (-569))) (-5 *2 (-1 (-569))) (-5 *1 (-1047))))) 
-(-10 -7 (-15 -4411 ((-1 (-569)) (-1087 (-569)))) (-15 -4196 ((-1 (-569)) (-569) |RationalNumber|)) (-15 -4162 ((-1 (-569)) |RationalNumber|)) (-15 -4001 ((-1 (-569)) |RationalNumber|)) (-15 -2288 ((-569) (-569) (-569) (-569) (-569)))) 
-((-3956 (((-852) $) NIL) (($ (-569)) 10))) 
-(((-1048 |#1|) (-10 -8 (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-1049)) (T -1048)) 
-NIL 
-(-10 -8 (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-1049) (-1284)) (T -1049)) 
-((-2320 (*1 *2) (-12 (-4 *1 (-1049)) (-5 *2 (-765)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1049))))) 
-(-13 (-1056) (-718) (-638 $) (-10 -8 (-15 -2320 ((-765))) (-15 -3956 ($ (-569))) (-6 -4568))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-3393 (((-410 (-955 |#2|)) (-635 |#2|) (-635 |#2|) (-765) (-765)) 45))) 
-(((-1050 |#1| |#2|) (-10 -7 (-15 -3393 ((-410 (-955 |#2|)) (-635 |#2|) (-635 |#2|) (-765) (-765)))) (-1165) (-366)) (T -1050)) 
-((-3393 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-765)) (-4 *6 (-366)) (-5 *2 (-410 (-955 *6))) (-5 *1 (-1050 *5 *6)) (-14 *5 (-1165))))) 
-(-10 -7 (-15 -3393 ((-410 (-955 |#2|)) (-635 |#2|) (-635 |#2|) (-765) (-765)))) 
-((-3531 (((-121) $) 27)) (-1491 (((-121) $) 16)) (-3568 (((-765) $) 13)) (-4145 (((-765) $) 14)) (-3757 (((-121) $) 25)) (-2421 (((-121) $) 29))) 
-(((-1051 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -8 (-15 -4145 ((-765) |#1|)) (-15 -3568 ((-765) |#1|)) (-15 -2421 ((-121) |#1|)) (-15 -3531 ((-121) |#1|)) (-15 -3757 ((-121) |#1|)) (-15 -1491 ((-121) |#1|))) (-1052 |#2| |#3| |#4| |#5| |#6|) (-765) (-765) (-1049) (-231 |#3| |#4|) (-231 |#2| |#4|)) (T -1051)) 
-NIL 
-(-10 -8 (-15 -4145 ((-765) |#1|)) (-15 -3568 ((-765) |#1|)) (-15 -2421 ((-121) |#1|)) (-15 -3531 ((-121) |#1|)) (-15 -3757 ((-121) |#1|)) (-15 -1491 ((-121) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3531 (((-121) $) 48)) (-3748 (((-3 $ "failed") $ $) 18)) (-1491 (((-121) $) 50)) (-3350 (((-121) $ (-765)) 58)) (-4483 (($) 16 T CONST)) (-4003 (($ $) 31 (|has| |#3| (-302)))) (-4128 ((|#4| $ (-569)) 36)) (-3358 (((-765) $) 30 (|has| |#3| (-559)))) (-4124 ((|#3| $ (-569) (-569)) 38)) (-4303 (((-635 |#3|) $) 65 (|has| $ (-6 -4571)))) (-2557 (((-765) $) 29 (|has| |#3| (-559)))) (-3970 (((-635 |#5|) $) 28 (|has| |#3| (-559)))) (-3568 (((-765) $) 42)) (-4145 (((-765) $) 41)) (-3206 (((-121) $ (-765)) 57)) (-4094 (((-569) $) 46)) (-3841 (((-569) $) 44)) (-4457 (((-635 |#3|) $) 66 (|has| $ (-6 -4571)))) (-3016 (((-121) |#3| $) 68 (-12 (|has| |#3| (-1093)) (|has| $ (-6 -4571))))) (-2376 (((-569) $) 45)) (-2414 (((-569) $) 43)) (-2926 (($ (-635 (-635 |#3|))) 51)) (-2089 (($ (-1 |#3| |#3|) $) 61 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#3| |#3|) $) 60) (($ (-1 |#3| |#3| |#3|) $ $) 34)) (-4269 (((-635 (-635 |#3|)) $) 40)) (-1396 (((-121) $ (-765)) 56)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ |#3|) 33 (|has| |#3| (-559)))) (-2985 (((-121) (-1 (-121) |#3|) $) 63 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#3|) (-635 |#3|)) 72 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ |#3| |#3|) 71 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-289 |#3|)) 70 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-635 (-289 |#3|))) 69 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))))) (-3186 (((-121) $ $) 52)) (-1668 (((-121) $) 55)) (-4016 (($) 54)) (-2503 ((|#3| $ (-569) (-569)) 39) ((|#3| $ (-569) (-569) |#3|) 37)) (-3757 (((-121) $) 49)) (-2691 (((-765) |#3| $) 67 (-12 (|has| |#3| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#3|) $) 64 (|has| $ (-6 -4571)))) (-1799 (($ $) 53)) (-2349 ((|#5| $ (-569)) 35)) (-3956 (((-852) $) 11)) (-3776 (((-121) (-1 (-121) |#3|) $) 62 (|has| $ (-6 -4571)))) (-2421 (((-121) $) 47)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#3|) 32 (|has| |#3| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#3| $) 22) (($ $ |#3|) 24)) (-2946 (((-765) $) 59 (|has| $ (-6 -4571))))) 
-(((-1052 |#1| |#2| |#3| |#4| |#5|) (-1284) (-765) (-765) (-1049) (-231 |t#2| |t#3|) (-231 |t#1| |t#3|)) (T -1052)) 
-((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-2926 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *5))) (-4 *5 (-1049)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-1491 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-3757 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-3531 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-2421 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-4094 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-2376 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-3841 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-2414 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-3568 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-765)))) (-4145 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-765)))) (-4269 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-635 (-635 *5))))) (-2503 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1049)))) (-4124 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1049)))) (-2503 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *2 (-1049)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)))) (-4128 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *6 *2 *7)) (-4 *6 (-1049)) (-4 *7 (-231 *4 *6)) (-4 *2 (-231 *5 *6)))) (-2349 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *6 *7 *2)) (-4 *6 (-1049)) (-4 *7 (-231 *5 *6)) (-4 *2 (-231 *4 *6)))) (-4188 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-1436 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1052 *3 *4 *2 *5 *6)) (-4 *2 (-1049)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-559)))) (-1383 (*1 *1 *1 *2) (-12 (-4 *1 (-1052 *3 *4 *2 *5 *6)) (-4 *2 (-1049)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-366)))) (-4003 (*1 *1 *1) (-12 (-4 *1 (-1052 *2 *3 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *2 *4)) (-4 *4 (-302)))) (-3358 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-765)))) (-2557 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-765)))) (-3970 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-635 *7))))) 
-(-13 (-120 |t#3| |t#3|) (-500 |t#3|) (-10 -8 (-6 -4571) (IF (|has| |t#3| (-173)) (-6 (-709 |t#3|)) |noBranch|) (-15 -2926 ($ (-635 (-635 |t#3|)))) (-15 -1491 ((-121) $)) (-15 -3757 ((-121) $)) (-15 -3531 ((-121) $)) (-15 -2421 ((-121) $)) (-15 -4094 ((-569) $)) (-15 -2376 ((-569) $)) (-15 -3841 ((-569) $)) (-15 -2414 ((-569) $)) (-15 -3568 ((-765) $)) (-15 -4145 ((-765) $)) (-15 -4269 ((-635 (-635 |t#3|)) $)) (-15 -2503 (|t#3| $ (-569) (-569))) (-15 -4124 (|t#3| $ (-569) (-569))) (-15 -2503 (|t#3| $ (-569) (-569) |t#3|)) (-15 -4128 (|t#4| $ (-569))) (-15 -2349 (|t#5| $ (-569))) (-15 -4188 ($ (-1 |t#3| |t#3|) $)) (-15 -4188 ($ (-1 |t#3| |t#3| |t#3|) $ $)) (IF (|has| |t#3| (-559)) (-15 -1436 ((-3 $ "failed") $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-366)) (-15 -1383 ($ $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-302)) (-15 -4003 ($ $)) |noBranch|) (IF (|has| |t#3| (-559)) (PROGN (-15 -3358 ((-765) $)) (-15 -2557 ((-765) $)) (-15 -3970 ((-635 |t#5|) $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-105) . T) ((-120 |#3| |#3|) . T) ((-138) . T) ((-609 (-852)) . T) ((-304 |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))) ((-500 |#3|) . T) ((-524 |#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))) ((-638 |#3|) . T) ((-709 |#3|) |has| |#3| (-173)) ((-1055 |#3|) . T) ((-1093) . T) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3531 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) 40 (|has| |#3| (-302)))) (-4128 (((-233 |#2| |#3|) $ (-569)) 29)) (-4388 (($ (-681 |#3|)) 38)) (-3358 (((-765) $) 42 (|has| |#3| (-559)))) (-4124 ((|#3| $ (-569) (-569)) NIL)) (-4303 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-2557 (((-765) $) 44 (|has| |#3| (-559)))) (-3970 (((-635 (-233 |#1| |#3|)) $) 48 (|has| |#3| (-559)))) (-3568 (((-765) $) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2926 (($ (-635 (-635 |#3|))) 24)) (-2089 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) NIL)) (-4269 (((-635 (-635 |#3|)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#3|) NIL (|has| |#3| (-559)))) (-2985 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#3| $ (-569) (-569)) NIL) ((|#3| $ (-569) (-569) |#3|) NIL)) (-2174 (((-140)) 51 (|has| |#3| (-366)))) (-3757 (((-121) $) NIL)) (-2691 (((-765) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093)))) (((-765) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) 60 (|has| |#3| (-610 (-542))))) (-2349 (((-233 |#1| |#3|) $ (-569)) 33)) (-3956 (((-852) $) 16) (((-681 |#3|) $) 35)) (-3776 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-2407 (($) 13 T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#3| $) NIL) (($ $ |#3|) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1053 |#1| |#2| |#3|) (-13 (-1052 |#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) (-609 (-681 |#3|)) (-10 -8 (IF (|has| |#3| (-366)) (-6 (-1260 |#3|)) |noBranch|) (IF (|has| |#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (-15 -4388 ($ (-681 |#3|))) (-15 -3956 ((-681 |#3|) $)))) (-765) (-765) (-1049)) (T -1053)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-681 *5)) (-5 *1 (-1053 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-1049)))) (-4388 (*1 *1 *2) (-12 (-5 *2 (-681 *5)) (-4 *5 (-1049)) (-5 *1 (-1053 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765))))) 
-(-13 (-1052 |#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) (-609 (-681 |#3|)) (-10 -8 (IF (|has| |#3| (-366)) (-6 (-1260 |#3|)) |noBranch|) (IF (|has| |#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (-15 -4388 ($ (-681 |#3|))) (-15 -3956 ((-681 |#3|) $)))) 
-((-2793 ((|#7| (-1 |#7| |#3| |#7|) |#6| |#7|) 34)) (-4188 ((|#10| (-1 |#7| |#3|) |#6|) 32))) 
-(((-1054 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10|) (-10 -7 (-15 -4188 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -2793 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) (-765) (-765) (-1049) (-231 |#2| |#3|) (-231 |#1| |#3|) (-1052 |#1| |#2| |#3| |#4| |#5|) (-1049) (-231 |#2| |#7|) (-231 |#1| |#7|) (-1052 |#1| |#2| |#7| |#8| |#9|)) (T -1054)) 
-((-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1049)) (-4 *2 (-1049)) (-14 *5 (-765)) (-14 *6 (-765)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *10 (-231 *6 *2)) (-4 *11 (-231 *5 *2)) (-5 *1 (-1054 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1052 *5 *6 *7 *8 *9)) (-4 *12 (-1052 *5 *6 *2 *10 *11)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1049)) (-4 *10 (-1049)) (-14 *5 (-765)) (-14 *6 (-765)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *2 (-1052 *5 *6 *10 *11 *12)) (-5 *1 (-1054 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1052 *5 *6 *7 *8 *9)) (-4 *11 (-231 *6 *10)) (-4 *12 (-231 *5 *10))))) 
-(-10 -7 (-15 -4188 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -2793 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ |#1|) 22))) 
-(((-1055 |#1|) (-1284) (-1056)) (T -1055)) 
-((* (*1 *1 *1 *2) (-12 (-4 *1 (-1055 *2)) (-4 *2 (-1056))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-2557 (((-637 (-571)) $) 54)) (-3809 (($ (-637 (-571))) 62)) (-1533 (((-571) $) 40 (|has| (-571) (-302)))) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL (|has| (-571) (-820)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) 49) (((-3 (-1169) "failed") $) NIL (|has| (-571) (-1043 (-1169)))) (((-3 (-412 (-571)) "failed") $) 47 (|has| (-571) (-1043 (-571)))) (((-3 (-571) "failed") $) 49 (|has| (-571) (-1043 (-571))))) (-1316 (((-571) $) NIL) (((-1169) $) NIL (|has| (-571) (-1043 (-1169)))) (((-412 (-571)) $) NIL (|has| (-571) (-1043 (-571)))) (((-571) $) NIL (|has| (-571) (-1043 (-571))))) (-2162 (($ $ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| (-571) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| (-571) (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-684 (-571)) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3254 (($) NIL (|has| (-571) (-553)))) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-3883 (((-637 (-571)) $) 60)) (-2093 (((-121) $) NIL (|has| (-571) (-820)))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (|has| (-571) (-886 (-571)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (|has| (-571) (-886 (-384))))) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL)) (-4474 (((-571) $) 37)) (-2596 (((-3 $ "failed") $) NIL (|has| (-571) (-1143)))) (-4086 (((-121) $) NIL (|has| (-571) (-820)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-571) (-847)))) (-3799 (($ (-1 (-571) (-571)) $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL)) (-1757 (($) NIL (|has| (-571) (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3762 (($ $) NIL (|has| (-571) (-302))) (((-412 (-571)) $) 42)) (-2298 (((-1149 (-571)) $) 59)) (-3522 (($ (-637 (-571)) (-637 (-571))) 63)) (-3955 (((-571) $) 53 (|has| (-571) (-553)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| (-571) (-909)))) (-4262 (((-423 $) $) NIL)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-4483 (($ $ (-637 (-571)) (-637 (-571))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-571) (-571)) NIL (|has| (-571) (-304 (-571)))) (($ $ (-289 (-571))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-637 (-289 (-571)))) NIL (|has| (-571) (-304 (-571)))) (($ $ (-637 (-1169)) (-637 (-571))) NIL (|has| (-571) (-526 (-1169) (-571)))) (($ $ (-1169) (-571)) NIL (|has| (-571) (-526 (-1169) (-571))))) (-1826 (((-768) $) NIL)) (-3245 (($ $ (-571)) NIL (|has| (-571) (-282 (-571) (-571))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $) 11 (|has| (-571) (-226))) (($ $ (-768)) NIL (|has| (-571) (-226))) (($ $ (-1169)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1 (-571) (-571)) (-768)) NIL) (($ $ (-1 (-571) (-571))) NIL)) (-3777 (($ $) NIL)) (-4479 (((-571) $) 39)) (-1803 (((-637 (-571)) $) 61)) (-4050 (((-892 (-571)) $) NIL (|has| (-571) (-612 (-892 (-571))))) (((-892 (-384)) $) NIL (|has| (-571) (-612 (-892 (-384))))) (((-544) $) NIL (|has| (-571) (-612 (-544)))) (((-384) $) NIL (|has| (-571) (-1027))) (((-216) $) NIL (|has| (-571) (-1027)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| (-571) (-909))))) (-3942 (((-855) $) 77) (($ (-571)) 43) (($ $) NIL) (($ (-412 (-571))) 19) (($ (-571)) 43) (($ (-1169)) NIL (|has| (-571) (-1043 (-1169)))) (((-412 (-571)) $) 17)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-571) (-909))) (|has| (-571) (-149))))) (-2661 (((-768)) 9)) (-2325 (((-571) $) 51 (|has| (-571) (-553)))) (-1388 (((-121) $ $) NIL)) (-1902 (($ $) NIL (|has| (-571) (-820)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 10 T CONST)) (-3222 (($) 12 T CONST)) (-1544 (($ $) NIL (|has| (-571) (-226))) (($ $ (-768)) NIL (|has| (-571) (-226))) (($ $ (-1169)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| (-571) (-900 (-1169)))) (($ $ (-1 (-571) (-571)) (-768)) NIL) (($ $ (-1 (-571) (-571))) NIL)) (-1350 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1323 (((-121) $ $) 14)) (-1342 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1331 (((-121) $ $) 33 (|has| (-571) (-847)))) (-1379 (($ $ $) 29) (($ (-571) (-571)) 31)) (-1373 (($ $) 15) (($ $ $) 22)) (-1367 (($ $ $) 20)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 25) (($ $ $) 27) (($ $ (-412 (-571))) NIL) (($ (-412 (-571)) $) NIL) (($ (-571) $) 25) (($ $ (-571)) NIL))) 
+(((-1010 |#1|) (-13 (-999 (-571)) (-10 -8 (-15 -3942 ((-412 (-571)) $)) (-15 -3762 ((-412 (-571)) $)) (-15 -2557 ((-637 (-571)) $)) (-15 -2298 ((-1149 (-571)) $)) (-15 -3883 ((-637 (-571)) $)) (-15 -1803 ((-637 (-571)) $)) (-15 -3809 ($ (-637 (-571)))) (-15 -3522 ($ (-637 (-571)) (-637 (-571)))))) (-571)) (T -1010)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571)))) (-3762 (*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571)))) (-2557 (*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571)))) (-2298 (*1 *2 *1) (-12 (-5 *2 (-1149 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571)))) (-3883 (*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571)))) (-1803 (*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571)))) (-3809 (*1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571)))) (-3522 (*1 *1 *2 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571))))) 
+(-13 (-999 (-571)) (-10 -8 (-15 -3942 ((-412 (-571)) $)) (-15 -3762 ((-412 (-571)) $)) (-15 -2557 ((-637 (-571)) $)) (-15 -2298 ((-1149 (-571)) $)) (-15 -3883 ((-637 (-571)) $)) (-15 -1803 ((-637 (-571)) $)) (-15 -3809 ($ (-637 (-571)))) (-15 -3522 ($ (-637 (-571)) (-637 (-571)))))) 
+((-3882 (((-57) (-412 (-571)) (-571)) 9))) 
+(((-1011) (-10 -7 (-15 -3882 ((-57) (-412 (-571)) (-571))))) (T -1011)) 
+((-3882 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-571))) (-5 *4 (-571)) (-5 *2 (-57)) (-5 *1 (-1011))))) 
+(-10 -7 (-15 -3882 ((-57) (-412 (-571)) (-571)))) 
+((-4407 (((-571)) 13)) (-2045 (((-571)) 16)) (-3278 (((-1263) (-571)) 15)) (-4415 (((-571) (-571)) 17) (((-571)) 12))) 
+(((-1012) (-10 -7 (-15 -4415 ((-571))) (-15 -4407 ((-571))) (-15 -4415 ((-571) (-571))) (-15 -3278 ((-1263) (-571))) (-15 -2045 ((-571))))) (T -1012)) 
+((-2045 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1012)))) (-3278 (*1 *2 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-1012)))) (-4415 (*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1012)))) (-4407 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1012)))) (-4415 (*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1012))))) 
+(-10 -7 (-15 -4415 ((-571))) (-15 -4407 ((-571))) (-15 -4415 ((-571) (-571))) (-15 -3278 ((-1263) (-571))) (-15 -2045 ((-571)))) 
+((-4525 (((-423 |#1|) |#1|) 40)) (-4262 (((-423 |#1|) |#1|) 39))) 
+(((-1013 |#1|) (-10 -7 (-15 -4262 ((-423 |#1|) |#1|)) (-15 -4525 ((-423 |#1|) |#1|))) (-1233 (-412 (-571)))) (T -1013)) 
+((-4525 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-1013 *3)) (-4 *3 (-1233 (-412 (-571)))))) (-4262 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-1013 *3)) (-4 *3 (-1233 (-412 (-571))))))) 
+(-10 -7 (-15 -4262 ((-423 |#1|) |#1|)) (-15 -4525 ((-423 |#1|) |#1|))) 
+((-3437 (((-3 (-412 (-571)) "failed") |#1|) 14)) (-3330 (((-121) |#1|) 13)) (-3450 (((-412 (-571)) |#1|) 9))) 
+(((-1014 |#1|) (-10 -7 (-15 -3450 ((-412 (-571)) |#1|)) (-15 -3330 ((-121) |#1|)) (-15 -3437 ((-3 (-412 (-571)) "failed") |#1|))) (-1043 (-412 (-571)))) (T -1014)) 
+((-3437 (*1 *2 *3) (|partial| -12 (-5 *2 (-412 (-571))) (-5 *1 (-1014 *3)) (-4 *3 (-1043 *2)))) (-3330 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1014 *3)) (-4 *3 (-1043 (-412 (-571)))))) (-3450 (*1 *2 *3) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-1014 *3)) (-4 *3 (-1043 *2))))) 
+(-10 -7 (-15 -3450 ((-412 (-571)) |#1|)) (-15 -3330 ((-121) |#1|)) (-15 -3437 ((-3 (-412 (-571)) "failed") |#1|))) 
+((-3251 ((|#2| $ "value" |#2|) 12)) (-3245 ((|#2| $ "value") 10)) (-3014 (((-121) $ $) 18))) 
+(((-1015 |#1| |#2|) (-10 -8 (-15 -3251 (|#2| |#1| "value" |#2|)) (-15 -3014 ((-121) |#1| |#1|)) (-15 -3245 (|#2| |#1| "value"))) (-1016 |#2|) (-1203)) (T -1015)) 
+NIL 
+(-10 -8 (-15 -3251 (|#2| |#1| "value" |#2|)) (-15 -3014 ((-121) |#1| |#1|)) (-15 -3245 (|#2| |#1| "value"))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-2139 ((|#1| $) 45)) (-3133 (((-121) $ (-768)) 8)) (-2815 ((|#1| $ |#1|) 36 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 38 (|has| $ (-6 -4601)))) (-2269 (($) 7 T CONST)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 47)) (-4114 (((-121) $ $) 39 (|has| |#1| (-1097)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3392 (((-637 |#1|) $) 42)) (-2945 (((-121) $) 46)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ "value") 44)) (-2514 (((-571) $ $) 41)) (-1664 (((-121) $) 43)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 48)) (-3014 (((-121) $ $) 40 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-1016 |#1|) (-1289) (-1203)) (T -1016)) 
+((-1846 (*1 *2 *1) (-12 (-4 *3 (-1203)) (-5 *2 (-637 *1)) (-4 *1 (-1016 *3)))) (-2268 (*1 *2 *1) (-12 (-4 *3 (-1203)) (-5 *2 (-637 *1)) (-4 *1 (-1016 *3)))) (-2945 (*1 *2 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-5 *2 (-121)))) (-2139 (*1 *2 *1) (-12 (-4 *1 (-1016 *2)) (-4 *2 (-1203)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1016 *2)) (-4 *2 (-1203)))) (-1664 (*1 *2 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-5 *2 (-121)))) (-3392 (*1 *2 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-5 *2 (-637 *3)))) (-2514 (*1 *2 *1 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-5 *2 (-571)))) (-3014 (*1 *2 *1 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-121)))) (-4114 (*1 *2 *1 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-121)))) (-1480 (*1 *1 *1 *2) (-12 (-5 *2 (-637 *1)) (|has| *1 (-6 -4601)) (-4 *1 (-1016 *3)) (-4 *3 (-1203)))) (-3251 (*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4601)) (-4 *1 (-1016 *2)) (-4 *2 (-1203)))) (-2815 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1016 *2)) (-4 *2 (-1203))))) 
+(-13 (-502 |t#1|) (-10 -8 (-15 -1846 ((-637 $) $)) (-15 -2268 ((-637 $) $)) (-15 -2945 ((-121) $)) (-15 -2139 (|t#1| $)) (-15 -3245 (|t#1| $ "value")) (-15 -1664 ((-121) $)) (-15 -3392 ((-637 |t#1|) $)) (-15 -2514 ((-571) $ $)) (IF (|has| |t#1| (-1097)) (PROGN (-15 -3014 ((-121) $ $)) (-15 -4114 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4601)) (PROGN (-15 -1480 ($ $ (-637 $))) (-15 -3251 (|t#1| $ "value" |t#1|)) (-15 -2815 (|t#1| $ |t#1|))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-4158 (($ $) 9) (($ $ (-768)) 43) (($ (-412 (-571))) 12) (($ (-571)) 15)) (-2553 (((-3 $ "failed") (-1165 $) (-922) (-855)) 23) (((-3 $ "failed") (-1165 $) (-922)) 28)) (-3549 (($ $ (-571)) 49)) (-2661 (((-768)) 16)) (-4258 (((-637 $) (-1165 $)) NIL) (((-637 $) (-1165 (-412 (-571)))) 54) (((-637 $) (-1165 (-571))) 59) (((-637 $) (-958 $)) 63) (((-637 $) (-958 (-412 (-571)))) 67) (((-637 $) (-958 (-571))) 71)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL) (($ $ (-412 (-571))) 47))) 
+(((-1017 |#1|) (-10 -8 (-15 -4158 (|#1| (-571))) (-15 -4158 (|#1| (-412 (-571)))) (-15 -4158 (|#1| |#1| (-768))) (-15 -4258 ((-637 |#1|) (-958 (-571)))) (-15 -4258 ((-637 |#1|) (-958 (-412 (-571))))) (-15 -4258 ((-637 |#1|) (-958 |#1|))) (-15 -4258 ((-637 |#1|) (-1165 (-571)))) (-15 -4258 ((-637 |#1|) (-1165 (-412 (-571))))) (-15 -4258 ((-637 |#1|) (-1165 |#1|))) (-15 -2553 ((-3 |#1| "failed") (-1165 |#1|) (-922))) (-15 -2553 ((-3 |#1| "failed") (-1165 |#1|) (-922) (-855))) (-15 ** (|#1| |#1| (-412 (-571)))) (-15 -3549 (|#1| |#1| (-571))) (-15 -4158 (|#1| |#1|)) (-15 ** (|#1| |#1| (-571))) (-15 -2661 ((-768))) (-15 ** (|#1| |#1| (-768))) (-15 ** (|#1| |#1| (-922)))) (-1018)) (T -1017)) 
+((-2661 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1017 *3)) (-4 *3 (-1018))))) 
+(-10 -8 (-15 -4158 (|#1| (-571))) (-15 -4158 (|#1| (-412 (-571)))) (-15 -4158 (|#1| |#1| (-768))) (-15 -4258 ((-637 |#1|) (-958 (-571)))) (-15 -4258 ((-637 |#1|) (-958 (-412 (-571))))) (-15 -4258 ((-637 |#1|) (-958 |#1|))) (-15 -4258 ((-637 |#1|) (-1165 (-571)))) (-15 -4258 ((-637 |#1|) (-1165 (-412 (-571))))) (-15 -4258 ((-637 |#1|) (-1165 |#1|))) (-15 -2553 ((-3 |#1| "failed") (-1165 |#1|) (-922))) (-15 -2553 ((-3 |#1| "failed") (-1165 |#1|) (-922) (-855))) (-15 ** (|#1| |#1| (-412 (-571)))) (-15 -3549 (|#1| |#1| (-571))) (-15 -4158 (|#1| |#1|)) (-15 ** (|#1| |#1| (-571))) (-15 -2661 ((-768))) (-15 ** (|#1| |#1| (-768))) (-15 ** (|#1| |#1| (-922)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 88)) (-1415 (($ $) 89)) (-2545 (((-121) $) 91)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 108)) (-4151 (((-423 $) $) 109)) (-4158 (($ $) 72) (($ $ (-768)) 58) (($ (-412 (-571))) 57) (($ (-571)) 56)) (-1295 (((-121) $ $) 99)) (-3203 (((-571) $) 126)) (-2269 (($) 16 T CONST)) (-2553 (((-3 $ "failed") (-1165 $) (-922) (-855)) 66) (((-3 $ "failed") (-1165 $) (-922)) 65)) (-3337 (((-3 (-571) "failed") $) 84 (|has| (-412 (-571)) (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) 82 (|has| (-412 (-571)) (-1043 (-412 (-571))))) (((-3 (-412 (-571)) "failed") $) 80)) (-1316 (((-571) $) 85 (|has| (-412 (-571)) (-1043 (-571)))) (((-412 (-571)) $) 83 (|has| (-412 (-571)) (-1043 (-412 (-571))))) (((-412 (-571)) $) 79)) (-4462 (($ $ (-855)) 55)) (-3836 (($ $ (-855)) 54)) (-2162 (($ $ $) 103)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 102)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 97)) (-1596 (((-121) $) 110)) (-2093 (((-121) $) 124)) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 71)) (-4086 (((-121) $) 125)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 106)) (-1763 (($ $ $) 123)) (-2383 (($ $ $) 122)) (-3965 (((-3 (-1165 $) "failed") $) 67)) (-1401 (((-3 (-855) "failed") $) 69)) (-4241 (((-3 (-1165 $) "failed") $) 68)) (-1622 (($ (-637 $)) 95) (($ $ $) 94)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 111)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 96)) (-3026 (($ (-637 $)) 93) (($ $ $) 92)) (-4262 (((-423 $) $) 107)) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 104)) (-1786 (((-3 $ "failed") $ $) 87)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 98)) (-1826 (((-768) $) 100)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 101)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ (-412 (-571))) 116) (($ $) 86) (($ (-412 (-571))) 81) (($ (-571)) 78) (($ (-412 (-571))) 75)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 90)) (-3367 (((-412 (-571)) $ $) 53)) (-4258 (((-637 $) (-1165 $)) 64) (((-637 $) (-1165 (-412 (-571)))) 63) (((-637 $) (-1165 (-571))) 62) (((-637 $) (-958 $)) 61) (((-637 $) (-958 (-412 (-571)))) 60) (((-637 $) (-958 (-571))) 59)) (-1902 (($ $) 127)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 112)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1350 (((-121) $ $) 120)) (-1338 (((-121) $ $) 119)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 121)) (-1331 (((-121) $ $) 118)) (-1379 (($ $ $) 117)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 113) (($ $ (-412 (-571))) 70)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ (-412 (-571)) $) 115) (($ $ (-412 (-571))) 114) (($ (-571) $) 77) (($ $ (-571)) 76) (($ (-412 (-571)) $) 74) (($ $ (-412 (-571))) 73))) 
+(((-1018) (-1289)) (T -1018)) 
+((-4158 (*1 *1 *1) (-4 *1 (-1018))) (-1401 (*1 *2 *1) (|partial| -12 (-4 *1 (-1018)) (-5 *2 (-855)))) (-4241 (*1 *2 *1) (|partial| -12 (-5 *2 (-1165 *1)) (-4 *1 (-1018)))) (-3965 (*1 *2 *1) (|partial| -12 (-5 *2 (-1165 *1)) (-4 *1 (-1018)))) (-2553 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1165 *1)) (-5 *3 (-922)) (-5 *4 (-855)) (-4 *1 (-1018)))) (-2553 (*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1165 *1)) (-5 *3 (-922)) (-4 *1 (-1018)))) (-4258 (*1 *2 *3) (-12 (-5 *3 (-1165 *1)) (-4 *1 (-1018)) (-5 *2 (-637 *1)))) (-4258 (*1 *2 *3) (-12 (-5 *3 (-1165 (-412 (-571)))) (-5 *2 (-637 *1)) (-4 *1 (-1018)))) (-4258 (*1 *2 *3) (-12 (-5 *3 (-1165 (-571))) (-5 *2 (-637 *1)) (-4 *1 (-1018)))) (-4258 (*1 *2 *3) (-12 (-5 *3 (-958 *1)) (-4 *1 (-1018)) (-5 *2 (-637 *1)))) (-4258 (*1 *2 *3) (-12 (-5 *3 (-958 (-412 (-571)))) (-5 *2 (-637 *1)) (-4 *1 (-1018)))) (-4258 (*1 *2 *3) (-12 (-5 *3 (-958 (-571))) (-5 *2 (-637 *1)) (-4 *1 (-1018)))) (-4158 (*1 *1 *1 *2) (-12 (-4 *1 (-1018)) (-5 *2 (-768)))) (-4158 (*1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-4 *1 (-1018)))) (-4158 (*1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1018)))) (-4462 (*1 *1 *1 *2) (-12 (-4 *1 (-1018)) (-5 *2 (-855)))) (-3836 (*1 *1 *1 *2) (-12 (-4 *1 (-1018)) (-5 *2 (-855)))) (-3367 (*1 *2 *1 *1) (-12 (-4 *1 (-1018)) (-5 *2 (-412 (-571)))))) 
+(-13 (-151) (-845) (-173) (-367) (-416 (-412 (-571))) (-43 (-571)) (-43 (-412 (-571))) (-1008) (-10 -8 (-15 -1401 ((-3 (-855) "failed") $)) (-15 -4241 ((-3 (-1165 $) "failed") $)) (-15 -3965 ((-3 (-1165 $) "failed") $)) (-15 -2553 ((-3 $ "failed") (-1165 $) (-922) (-855))) (-15 -2553 ((-3 $ "failed") (-1165 $) (-922))) (-15 -4258 ((-637 $) (-1165 $))) (-15 -4258 ((-637 $) (-1165 (-412 (-571))))) (-15 -4258 ((-637 $) (-1165 (-571)))) (-15 -4258 ((-637 $) (-958 $))) (-15 -4258 ((-637 $) (-958 (-412 (-571))))) (-15 -4258 ((-637 $) (-958 (-571)))) (-15 -4158 ($ $ (-768))) (-15 -4158 ($ $)) (-15 -4158 ($ (-412 (-571)))) (-15 -4158 ($ (-571))) (-15 -4462 ($ $ (-855))) (-15 -3836 ($ $ (-855))) (-15 -3367 ((-412 (-571)) $ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 (-571)) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 (-571) (-571)) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-611 (-855)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-367) . T) ((-416 (-412 (-571))) . T) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 (-571)) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 (-571)) . T) ((-712 $) . T) ((-721) . T) ((-791) . T) ((-792) . T) ((-794) . T) ((-795) . T) ((-845) . T) ((-847) . T) ((-921) . T) ((-1008) . T) ((-1043 (-412 (-571))) . T) ((-1043 (-571)) |has| (-412 (-571)) (-1043 (-571))) ((-1059 (-412 (-571))) . T) ((-1059 (-571)) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T)) 
+((-1672 (((-2 (|:| |ans| |#2|) (|:| -1852 |#2|) (|:| |sol?| (-121))) (-571) |#2| |#2| (-1169) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-637 |#2|)) (-1 (-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 61))) 
+(((-1019 |#1| |#2|) (-10 -7 (-15 -1672 ((-2 (|:| |ans| |#2|) (|:| -1852 |#2|) (|:| |sol?| (-121))) (-571) |#2| |#2| (-1169) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-637 |#2|)) (-1 (-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571))) (-13 (-1189) (-27) (-435 |#1|))) (T -1019)) 
+((-1672 (*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1169)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-637 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3017 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1189) (-27) (-435 *8))) (-4 *8 (-13 (-456) (-847) (-151) (-1043 *3) (-633 *3))) (-5 *3 (-571)) (-5 *2 (-2 (|:| |ans| *4) (|:| -1852 *4) (|:| |sol?| (-121)))) (-5 *1 (-1019 *8 *4))))) 
+(-10 -7 (-15 -1672 ((-2 (|:| |ans| |#2|) (|:| -1852 |#2|) (|:| |sol?| (-121))) (-571) |#2| |#2| (-1169) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-637 |#2|)) (-1 (-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
+((-4267 (((-3 (-637 |#2|) "failed") (-571) |#2| |#2| |#2| (-1169) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-637 |#2|)) (-1 (-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 47))) 
+(((-1020 |#1| |#2|) (-10 -7 (-15 -4267 ((-3 (-637 |#2|) "failed") (-571) |#2| |#2| |#2| (-1169) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-637 |#2|)) (-1 (-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571))) (-13 (-1189) (-27) (-435 |#1|))) (T -1020)) 
+((-4267 (*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1169)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-637 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3017 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1189) (-27) (-435 *8))) (-4 *8 (-13 (-456) (-847) (-151) (-1043 *3) (-633 *3))) (-5 *3 (-571)) (-5 *2 (-637 *4)) (-5 *1 (-1020 *8 *4))))) 
+(-10 -7 (-15 -4267 ((-3 (-637 |#2|) "failed") (-571) |#2| |#2| |#2| (-1169) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-637 |#2|)) (-1 (-3 (-2 (|:| -3017 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
+((-2619 (((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -3192 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-571)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-571) (-1 |#2| |#2|)) 30)) (-2409 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-412 |#2|)) (|:| |c| (-412 |#2|)) (|:| -3481 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-1 |#2| |#2|)) 56)) (-2361 (((-2 (|:| |ans| (-412 |#2|)) (|:| |nosol| (-121))) (-412 |#2|) (-412 |#2|)) 61))) 
+(((-1021 |#1| |#2|) (-10 -7 (-15 -2409 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-412 |#2|)) (|:| |c| (-412 |#2|)) (|:| -3481 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-1 |#2| |#2|))) (-15 -2361 ((-2 (|:| |ans| (-412 |#2|)) (|:| |nosol| (-121))) (-412 |#2|) (-412 |#2|))) (-15 -2619 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -3192 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-571)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-571) (-1 |#2| |#2|)))) (-13 (-367) (-151) (-1043 (-571))) (-1233 |#1|)) (T -1021)) 
+((-2619 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1233 *6)) (-4 *6 (-13 (-367) (-151) (-1043 *4))) (-5 *4 (-571)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -3192 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1021 *6 *3)))) (-2361 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-571)))) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| |ans| (-412 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1021 *4 *5)) (-5 *3 (-412 *5)))) (-2409 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-412 *6)) (|:| |c| (-412 *6)) (|:| -3481 *6))) (-5 *1 (-1021 *5 *6)) (-5 *3 (-412 *6))))) 
+(-10 -7 (-15 -2409 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-412 |#2|)) (|:| |c| (-412 |#2|)) (|:| -3481 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-1 |#2| |#2|))) (-15 -2361 ((-2 (|:| |ans| (-412 |#2|)) (|:| |nosol| (-121))) (-412 |#2|) (-412 |#2|))) (-15 -2619 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -3192 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-571)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-571) (-1 |#2| |#2|)))) 
+((-3860 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-412 |#2|)) (|:| |h| |#2|) (|:| |c1| (-412 |#2|)) (|:| |c2| (-412 |#2|)) (|:| -3481 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|) (-1 |#2| |#2|)) 22)) (-3868 (((-3 (-637 (-412 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|)) 32))) 
+(((-1022 |#1| |#2|) (-10 -7 (-15 -3860 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-412 |#2|)) (|:| |h| |#2|) (|:| |c1| (-412 |#2|)) (|:| |c2| (-412 |#2|)) (|:| -3481 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|) (-1 |#2| |#2|))) (-15 -3868 ((-3 (-637 (-412 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|)))) (-13 (-367) (-151) (-1043 (-571))) (-1233 |#1|)) (T -1022)) 
+((-3868 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-367) (-151) (-1043 (-571)))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-412 *5))) (-5 *1 (-1022 *4 *5)) (-5 *3 (-412 *5)))) (-3860 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-412 *6)) (|:| |h| *6) (|:| |c1| (-412 *6)) (|:| |c2| (-412 *6)) (|:| -3481 *6))) (-5 *1 (-1022 *5 *6)) (-5 *3 (-412 *6))))) 
+(-10 -7 (-15 -3860 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-412 |#2|)) (|:| |h| |#2|) (|:| |c1| (-412 |#2|)) (|:| |c2| (-412 |#2|)) (|:| -3481 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|) (-1 |#2| |#2|))) (-15 -3868 ((-3 (-637 (-412 |#2|)) "failed") (-412 |#2|) (-412 |#2|) (-412 |#2|)))) 
+((-2849 (((-1 |#1|) (-637 (-2 (|:| -2139 |#1|) (|:| -4357 (-571))))) 37)) (-3244 (((-1 |#1|) (-1099 |#1|)) 45)) (-4444 (((-1 |#1|) (-1258 |#1|) (-1258 (-571)) (-571)) 34))) 
+(((-1023 |#1|) (-10 -7 (-15 -3244 ((-1 |#1|) (-1099 |#1|))) (-15 -2849 ((-1 |#1|) (-637 (-2 (|:| -2139 |#1|) (|:| -4357 (-571)))))) (-15 -4444 ((-1 |#1|) (-1258 |#1|) (-1258 (-571)) (-571)))) (-1097)) (T -1023)) 
+((-4444 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1258 *6)) (-5 *4 (-1258 (-571))) (-5 *5 (-571)) (-4 *6 (-1097)) (-5 *2 (-1 *6)) (-5 *1 (-1023 *6)))) (-2849 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -2139 *4) (|:| -4357 (-571))))) (-4 *4 (-1097)) (-5 *2 (-1 *4)) (-5 *1 (-1023 *4)))) (-3244 (*1 *2 *3) (-12 (-5 *3 (-1099 *4)) (-4 *4 (-1097)) (-5 *2 (-1 *4)) (-5 *1 (-1023 *4))))) 
+(-10 -7 (-15 -3244 ((-1 |#1|) (-1099 |#1|))) (-15 -2849 ((-1 |#1|) (-637 (-2 (|:| -2139 |#1|) (|:| -4357 (-571)))))) (-15 -4444 ((-1 |#1|) (-1258 |#1|) (-1258 (-571)) (-571)))) 
+((-3347 (((-768) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)) 23))) 
+(((-1024 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3347 ((-768) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) (-367) (-1233 |#1|) (-1233 (-412 |#2|)) (-341 |#1| |#2| |#3|) (-13 (-373) (-367))) (T -1024)) 
+((-3347 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-335 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-4 *4 (-1233 (-412 *7))) (-4 *8 (-341 *6 *7 *4)) (-4 *9 (-13 (-373) (-367))) (-5 *2 (-768)) (-5 *1 (-1024 *6 *7 *4 *8 *9))))) 
+(-10 -7 (-15 -3347 ((-768) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) 
+((-2299 (((-3 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) "failed") |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) 31) (((-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571))) 28)) (-3046 (((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571))) 33) (((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-412 (-571))) 29) (((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) 32) (((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1|) 27)) (-4026 (((-637 (-412 (-571))) (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) 19)) (-3729 (((-412 (-571)) (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) 16))) 
+(((-1025 |#1|) (-10 -7 (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1|)) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-412 (-571)))) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571)))) (-15 -2299 ((-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571)))) (-15 -2299 ((-3 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) "failed") |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-15 -3729 ((-412 (-571)) (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-15 -4026 ((-637 (-412 (-571))) (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))))) (-1233 (-571))) (T -1025)) 
+((-4026 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *2 (-637 (-412 (-571)))) (-5 *1 (-1025 *4)) (-4 *4 (-1233 (-571))))) (-3729 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) (-5 *2 (-412 (-571))) (-5 *1 (-1025 *4)) (-4 *4 (-1233 (-571))))) (-2299 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))))) (-2299 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) (-5 *4 (-412 (-571))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-412 (-571))) (-5 *2 (-637 (-2 (|:| -1856 *5) (|:| -1852 *5)))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))) (-5 *4 (-2 (|:| -1856 *5) (|:| -1852 *5))))) (-3046 (*1 *2 *3 *4) (-12 (-5 *2 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))) (-5 *4 (-412 (-571))))) (-3046 (*1 *2 *3 *4) (-12 (-5 *2 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))) (-5 *4 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))))) (-3046 (*1 *2 *3) (-12 (-5 *2 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571)))))) 
+(-10 -7 (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1|)) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-412 (-571)))) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571)))) (-15 -2299 ((-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571)))) (-15 -2299 ((-3 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) "failed") |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-15 -3729 ((-412 (-571)) (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-15 -4026 ((-637 (-412 (-571))) (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))))) 
+((-2299 (((-3 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) "failed") |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) 35) (((-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571))) 32)) (-3046 (((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571))) 30) (((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-412 (-571))) 26) (((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) 28) (((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1|) 24))) 
+(((-1026 |#1|) (-10 -7 (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1|)) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-412 (-571)))) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571)))) (-15 -2299 ((-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571)))) (-15 -2299 ((-3 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) "failed") |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))))) (-1233 (-412 (-571)))) (T -1026)) 
+((-2299 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 (-412 (-571)))))) (-2299 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) (-5 *4 (-412 (-571))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 *4)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-412 (-571))) (-5 *2 (-637 (-2 (|:| -1856 *5) (|:| -1852 *5)))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 *5)) (-5 *4 (-2 (|:| -1856 *5) (|:| -1852 *5))))) (-3046 (*1 *2 *3 *4) (-12 (-5 *4 (-412 (-571))) (-5 *2 (-637 (-2 (|:| -1856 *4) (|:| -1852 *4)))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 *4)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *2 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 (-412 (-571)))) (-5 *4 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))))) (-3046 (*1 *2 *3) (-12 (-5 *2 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 (-412 (-571))))))) 
+(-10 -7 (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1|)) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-412 (-571)))) (-15 -3046 ((-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571)))) (-15 -2299 ((-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-412 (-571)))) (-15 -2299 ((-3 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) "failed") |#1| (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))) (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))))) 
+((-4050 (((-216) $) 6) (((-384) $) 8))) 
+(((-1027) (-1289)) (T -1027)) 
+NIL 
+(-13 (-612 (-216)) (-612 (-384))) 
+(((-612 (-216)) . T) ((-612 (-384)) . T)) 
+((-4549 (((-637 (-384)) (-958 (-571)) (-384)) 27) (((-637 (-384)) (-958 (-412 (-571))) (-384)) 26)) (-1546 (((-637 (-637 (-384))) (-637 (-958 (-571))) (-637 (-1169)) (-384)) 36))) 
+(((-1028) (-10 -7 (-15 -4549 ((-637 (-384)) (-958 (-412 (-571))) (-384))) (-15 -4549 ((-637 (-384)) (-958 (-571)) (-384))) (-15 -1546 ((-637 (-637 (-384))) (-637 (-958 (-571))) (-637 (-1169)) (-384))))) (T -1028)) 
+((-1546 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-637 (-1169))) (-5 *2 (-637 (-637 (-384)))) (-5 *1 (-1028)) (-5 *5 (-384)))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-958 (-571))) (-5 *2 (-637 (-384))) (-5 *1 (-1028)) (-5 *4 (-384)))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-958 (-412 (-571)))) (-5 *2 (-637 (-384))) (-5 *1 (-1028)) (-5 *4 (-384))))) 
+(-10 -7 (-15 -4549 ((-637 (-384)) (-958 (-412 (-571))) (-384))) (-15 -4549 ((-637 (-384)) (-958 (-571)) (-384))) (-15 -1546 ((-637 (-637 (-384))) (-637 (-958 (-571))) (-637 (-1169)) (-384)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 70)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-4158 (($ $) NIL) (($ $ (-768)) NIL) (($ (-412 (-571))) NIL) (($ (-571)) NIL)) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) 65)) (-2269 (($) NIL T CONST)) (-2553 (((-3 $ "failed") (-1165 $) (-922) (-855)) NIL) (((-3 $ "failed") (-1165 $) (-922)) 49)) (-3337 (((-3 (-412 (-571)) "failed") $) NIL (|has| (-412 (-571)) (-1043 (-412 (-571))))) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 |#1| "failed") $) 108) (((-3 (-571) "failed") $) NIL (-1831 (|has| (-412 (-571)) (-1043 (-571))) (|has| |#1| (-1043 (-571)))))) (-1316 (((-412 (-571)) $) 14 (|has| (-412 (-571)) (-1043 (-412 (-571))))) (((-412 (-571)) $) 14) ((|#1| $) 109) (((-571) $) NIL (-1831 (|has| (-412 (-571)) (-1043 (-571))) (|has| |#1| (-1043 (-571)))))) (-4462 (($ $ (-855)) 40)) (-3836 (($ $ (-855)) 41)) (-2162 (($ $ $) NIL)) (-1290 (((-412 (-571)) $ $) 18)) (-3978 (((-3 $ "failed") $) 83)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-2093 (((-121) $) 60)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL)) (-4086 (((-121) $) 63)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3965 (((-3 (-1165 $) "failed") $) 78)) (-1401 (((-3 (-855) "failed") $) 77)) (-4241 (((-3 (-1165 $) "failed") $) 75)) (-1308 (((-3 (-1063 $ (-1165 $)) "failed") $) 73)) (-1622 (($ (-637 $)) NIL) (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 84)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ (-637 $)) NIL) (($ $ $) NIL)) (-4262 (((-423 $) $) NIL)) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3942 (((-855) $) 82) (($ (-571)) NIL) (($ (-412 (-571))) NIL) (($ $) 57) (($ (-412 (-571))) NIL) (($ (-571)) NIL) (($ (-412 (-571))) NIL) (($ |#1|) 111)) (-2661 (((-768)) NIL)) (-1388 (((-121) $ $) NIL)) (-3367 (((-412 (-571)) $ $) 24)) (-4258 (((-637 $) (-1165 $)) 55) (((-637 $) (-1165 (-412 (-571)))) NIL) (((-637 $) (-1165 (-571))) NIL) (((-637 $) (-958 $)) NIL) (((-637 $) (-958 (-412 (-571)))) NIL) (((-637 $) (-958 (-571))) NIL)) (-1798 (($ (-1063 $ (-1165 $)) (-855)) 39)) (-1902 (($ $) 19)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL)) (-2369 (($) 28 T CONST)) (-3222 (($) 34 T CONST)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 71)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 21)) (-1379 (($ $ $) 32)) (-1373 (($ $) 33) (($ $ $) 69)) (-1367 (($ $ $) 104)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL) (($ $ (-412 (-571))) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 92) (($ $ $) 97) (($ (-412 (-571)) $) NIL) (($ $ (-412 (-571))) NIL) (($ (-571) $) 92) (($ $ (-571)) NIL) (($ (-412 (-571)) $) NIL) (($ $ (-412 (-571))) NIL) (($ |#1| $) 96) (($ $ |#1|) NIL))) 
+(((-1029 |#1|) (-13 (-1018) (-416 |#1|) (-43 |#1|) (-10 -8 (-15 -1798 ($ (-1063 $ (-1165 $)) (-855))) (-15 -1308 ((-3 (-1063 $ (-1165 $)) "failed") $)) (-15 -1290 ((-412 (-571)) $ $)))) (-13 (-845) (-367) (-1027))) (T -1029)) 
+((-1798 (*1 *1 *2 *3) (-12 (-5 *2 (-1063 (-1029 *4) (-1165 (-1029 *4)))) (-5 *3 (-855)) (-5 *1 (-1029 *4)) (-4 *4 (-13 (-845) (-367) (-1027))))) (-1308 (*1 *2 *1) (|partial| -12 (-5 *2 (-1063 (-1029 *3) (-1165 (-1029 *3)))) (-5 *1 (-1029 *3)) (-4 *3 (-13 (-845) (-367) (-1027))))) (-1290 (*1 *2 *1 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-1029 *3)) (-4 *3 (-13 (-845) (-367) (-1027)))))) 
+(-13 (-1018) (-416 |#1|) (-43 |#1|) (-10 -8 (-15 -1798 ($ (-1063 $ (-1165 $)) (-855))) (-15 -1308 ((-3 (-1063 $ (-1165 $)) "failed") $)) (-15 -1290 ((-412 (-571)) $ $)))) 
+((-4497 (((-2 (|:| -2383 (-3 (-571) "failed")) (|:| -2989 (-3 (-571) "failed")) (|:| |ker| (-610 |#2|))) (-123) (-1169) |#2|) 59 (|has| |#1| (-1053)))) (-1882 (((-571) (-571) (-123) (-1169) |#2|) 76)) (-3659 (((-3 (-571) "failed") (-123) (-610 |#2|) (-1169)) 56 (|has| |#1| (-1053)))) (-1721 (((-123) |#2|) 103)) (-2353 ((|#2| |#2|) 102)) (-1421 ((|#2| (-123) (-1169) |#2| |#2| |#2| (-637 |#2|)) 72)) (-1640 ((|#2| (-123) (-1169) |#2| |#2| |#2| (-637 |#2|)) 100))) 
+(((-1030 |#1| |#2|) (-10 -7 (-15 -1421 (|#2| (-123) (-1169) |#2| |#2| |#2| (-637 |#2|))) (-15 -1640 (|#2| (-123) (-1169) |#2| |#2| |#2| (-637 |#2|))) (-15 -2353 (|#2| |#2|)) (-15 -1721 ((-123) |#2|)) (-15 -1882 ((-571) (-571) (-123) (-1169) |#2|)) (IF (|has| |#1| (-1053)) (PROGN (-15 -3659 ((-3 (-571) "failed") (-123) (-610 |#2|) (-1169))) (-15 -4497 ((-2 (|:| -2383 (-3 (-571) "failed")) (|:| -2989 (-3 (-571) "failed")) (|:| |ker| (-610 |#2|))) (-123) (-1169) |#2|))) |noBranch|)) (-13 (-847) (-561) (-612 (-544))) (-13 (-435 |#1|) (-23) (-1043 (-571)) (-1043 (-1169)) (-900 (-1169)) (-162))) (T -1030)) 
+((-4497 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1169)) (-4 *6 (-1053)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-2 (|:| -2383 (-3 (-571) "failed")) (|:| -2989 (-3 (-571) "failed")) (|:| |ker| (-610 *5)))) (-5 *1 (-1030 *6 *5)) (-4 *5 (-13 (-435 *6) (-23) (-1043 (-571)) (-1043 *4) (-900 *4) (-162))))) (-3659 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-610 *7)) (-4 *7 (-13 (-435 *6) (-23) (-1043 *2) (-1043 *5) (-900 *5) (-162))) (-5 *5 (-1169)) (-4 *6 (-1053)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-571)) (-5 *1 (-1030 *6 *7)))) (-1882 (*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-571)) (-5 *4 (-1169)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *1 (-1030 *6 *5)) (-4 *5 (-13 (-435 *6) (-23) (-1043 *2) (-1043 *4) (-900 *4) (-162))))) (-1721 (*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-123)) (-5 *1 (-1030 *4 *3)) (-4 *3 (-13 (-435 *4) (-23) (-1043 (-571)) (-1043 (-1169)) (-900 (-1169)) (-162))))) (-2353 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561) (-612 (-544)))) (-5 *1 (-1030 *3 *2)) (-4 *2 (-13 (-435 *3) (-23) (-1043 (-571)) (-1043 (-1169)) (-900 (-1169)) (-162))))) (-1640 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-637 *2)) (-4 *2 (-13 (-435 *6) (-23) (-1043 (-571)) (-1043 *4) (-900 *4) (-162))) (-5 *4 (-1169)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *1 (-1030 *6 *2)))) (-1421 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-637 *2)) (-4 *2 (-13 (-435 *6) (-23) (-1043 (-571)) (-1043 *4) (-900 *4) (-162))) (-5 *4 (-1169)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *1 (-1030 *6 *2))))) 
+(-10 -7 (-15 -1421 (|#2| (-123) (-1169) |#2| |#2| |#2| (-637 |#2|))) (-15 -1640 (|#2| (-123) (-1169) |#2| |#2| |#2| (-637 |#2|))) (-15 -2353 (|#2| |#2|)) (-15 -1721 ((-123) |#2|)) (-15 -1882 ((-571) (-571) (-123) (-1169) |#2|)) (IF (|has| |#1| (-1053)) (PROGN (-15 -3659 ((-3 (-571) "failed") (-123) (-610 |#2|) (-1169))) (-15 -4497 ((-2 (|:| -2383 (-3 (-571) "failed")) (|:| -2989 (-3 (-571) "failed")) (|:| |ker| (-610 |#2|))) (-123) (-1169) |#2|))) |noBranch|)) 
+((-2105 (((-2 (|:| -3192 |#2|) (|:| -4547 (-637 |#1|))) |#2| (-637 |#1|)) 20) ((|#2| |#2| |#1|) 15))) 
+(((-1031 |#1| |#2|) (-10 -7 (-15 -2105 (|#2| |#2| |#1|)) (-15 -2105 ((-2 (|:| -3192 |#2|) (|:| -4547 (-637 |#1|))) |#2| (-637 |#1|)))) (-367) (-649 |#1|)) (T -1031)) 
+((-2105 (*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-5 *2 (-2 (|:| -3192 *3) (|:| -4547 (-637 *5)))) (-5 *1 (-1031 *5 *3)) (-5 *4 (-637 *5)) (-4 *3 (-649 *5)))) (-2105 (*1 *2 *2 *3) (-12 (-4 *3 (-367)) (-5 *1 (-1031 *3 *2)) (-4 *2 (-649 *3))))) 
+(-10 -7 (-15 -2105 (|#2| |#2| |#1|)) (-15 -2105 ((-2 (|:| -3192 |#2|) (|:| -4547 (-637 |#1|))) |#2| (-637 |#1|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1534 ((|#1| $ |#1|) 14)) (-3251 ((|#1| $ |#1|) 12)) (-1940 (($ |#1|) 10)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3245 ((|#1| $) 11)) (-4002 ((|#1| $) 13)) (-3942 (((-855) $) 21 (|has| |#1| (-1097)))) (-1323 (((-121) $ $) 9))) 
+(((-1032 |#1|) (-13 (-1203) (-10 -8 (-15 -1940 ($ |#1|)) (-15 -3245 (|#1| $)) (-15 -3251 (|#1| $ |#1|)) (-15 -4002 (|#1| $)) (-15 -1534 (|#1| $ |#1|)) (-15 -1323 ((-121) $ $)) (IF (|has| |#1| (-1097)) (-6 (-1097)) |noBranch|))) (-1203)) (T -1032)) 
+((-1940 (*1 *1 *2) (-12 (-5 *1 (-1032 *2)) (-4 *2 (-1203)))) (-3245 (*1 *2 *1) (-12 (-5 *1 (-1032 *2)) (-4 *2 (-1203)))) (-3251 (*1 *2 *1 *2) (-12 (-5 *1 (-1032 *2)) (-4 *2 (-1203)))) (-4002 (*1 *2 *1) (-12 (-5 *1 (-1032 *2)) (-4 *2 (-1203)))) (-1534 (*1 *2 *1 *2) (-12 (-5 *1 (-1032 *2)) (-4 *2 (-1203)))) (-1323 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1032 *3)) (-4 *3 (-1203))))) 
+(-13 (-1203) (-10 -8 (-15 -1940 ($ |#1|)) (-15 -3245 (|#1| $)) (-15 -3251 (|#1| $ |#1|)) (-15 -4002 (|#1| $)) (-15 -1534 (|#1| $ |#1|)) (-15 -1323 ((-121) $ $)) (IF (|has| |#1| (-1097)) (-6 (-1097)) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-2626 (((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 |#4|)))) (-637 |#4|)) NIL)) (-2235 (((-637 $) (-637 |#4|)) 104) (((-637 $) (-637 |#4|) (-121)) 105) (((-637 $) (-637 |#4|) (-121) (-121)) 103) (((-637 $) (-637 |#4|) (-121) (-121) (-121) (-121)) 106)) (-3424 (((-637 |#3|) $) NIL)) (-2927 (((-121) $) NIL)) (-4409 (((-121) $) NIL (|has| |#1| (-561)))) (-3766 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3998 ((|#4| |#4| $) NIL)) (-2356 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| $) 98)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2534 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600))) (((-3 |#4| "failed") $ |#3|) 53)) (-2269 (($) NIL T CONST)) (-2940 (((-121) $) 26 (|has| |#1| (-561)))) (-4203 (((-121) $ $) NIL (|has| |#1| (-561)))) (-2568 (((-121) $ $) NIL (|has| |#1| (-561)))) (-3455 (((-121) $) NIL (|has| |#1| (-561)))) (-3516 (((-637 |#4|) (-637 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1372 (((-637 |#4|) (-637 |#4|) $) NIL (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) NIL (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) NIL)) (-1316 (($ (-637 |#4|)) NIL)) (-4372 (((-3 $ "failed") $) 39)) (-4476 ((|#4| |#4| $) 56)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-3412 (($ |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 72 (|has| |#1| (-561)))) (-3052 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-3271 ((|#4| |#4| $) NIL)) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4600))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1770 (((-2 (|:| -2363 (-637 |#4|)) (|:| -3545 (-637 |#4|))) $) NIL)) (-1638 (((-121) |#4| $) NIL)) (-4579 (((-121) |#4| $) NIL)) (-2485 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2998 (((-2 (|:| |val| (-637 |#4|)) (|:| |towers| (-637 $))) (-637 |#4|) (-121) (-121)) 118)) (-4034 (((-637 |#4|) $) 16 (|has| $ (-6 -4600)))) (-1791 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2065 ((|#3| $) 33)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#4|) $) 17 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-1923 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) 21)) (-2213 (((-637 |#3|) $) NIL)) (-3529 (((-121) |#3| $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-3223 (((-3 |#4| (-637 $)) |#4| |#4| $) NIL)) (-2810 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| |#4| $) 96)) (-3220 (((-3 |#4| "failed") $) 37)) (-1891 (((-637 $) |#4| $) 79)) (-1927 (((-3 (-121) (-637 $)) |#4| $) NIL)) (-2687 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 $))) |#4| $) 89) (((-121) |#4| $) 51)) (-4017 (((-637 $) |#4| $) 101) (((-637 $) (-637 |#4|) $) NIL) (((-637 $) (-637 |#4|) (-637 $)) 102) (((-637 $) |#4| (-637 $)) NIL)) (-1614 (((-637 $) (-637 |#4|) (-121) (-121) (-121)) 113)) (-2935 (($ |#4| $) 69) (($ (-637 |#4|) $) 70) (((-637 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 66)) (-2551 (((-637 |#4|) $) NIL)) (-3554 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2347 ((|#4| |#4| $) NIL)) (-2075 (((-121) $ $) NIL)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-561)))) (-2240 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2444 ((|#4| |#4| $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 (((-3 |#4| "failed") $) 35)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4016 (((-3 $ "failed") $ |#4|) 47)) (-3140 (($ $ |#4|) NIL) (((-637 $) |#4| $) 81) (((-637 $) |#4| (-637 $)) NIL) (((-637 $) (-637 |#4|) $) NIL) (((-637 $) (-637 |#4|) (-637 $)) 76)) (-3160 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 15)) (-1630 (($) 13)) (-2400 (((-768) $) NIL)) (-1569 (((-768) |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) (((-768) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) 12)) (-4050 (((-544) $) NIL (|has| |#4| (-612 (-544))))) (-3891 (($ (-637 |#4|)) 20)) (-3985 (($ $ |#3|) 42)) (-1905 (($ $ |#3|) 43)) (-4371 (($ $) NIL)) (-2031 (($ $ |#3|) NIL)) (-3942 (((-855) $) 31) (((-637 |#4|) $) 40)) (-1930 (((-768) $) NIL (|has| |#3| (-373)))) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1875 (((-121) $ (-1 (-121) |#4| (-637 |#4|))) NIL)) (-2319 (((-637 $) |#4| $) 78) (((-637 $) |#4| (-637 $)) NIL) (((-637 $) (-637 |#4|) $) NIL) (((-637 $) (-637 |#4|) (-637 $)) NIL)) (-3027 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-3557 (((-637 |#3|) $) NIL)) (-2640 (((-121) |#4| $) NIL)) (-3049 (((-121) |#3| $) 52)) (-1323 (((-121) $ $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1033 |#1| |#2| |#3| |#4|) (-13 (-1072 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2935 ((-637 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -2235 ((-637 $) (-637 |#4|) (-121) (-121))) (-15 -2235 ((-637 $) (-637 |#4|) (-121) (-121) (-121) (-121))) (-15 -1614 ((-637 $) (-637 |#4|) (-121) (-121) (-121))) (-15 -2998 ((-2 (|:| |val| (-637 |#4|)) (|:| |towers| (-637 $))) (-637 |#4|) (-121) (-121))))) (-456) (-793) (-847) (-1067 |#1| |#2| |#3|)) (T -1033)) 
+((-2935 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1033 *5 *6 *7 *3))) (-5 *1 (-1033 *5 *6 *7 *3)) (-4 *3 (-1067 *5 *6 *7)))) (-2235 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1033 *5 *6 *7 *8))) (-5 *1 (-1033 *5 *6 *7 *8)))) (-2235 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1033 *5 *6 *7 *8))) (-5 *1 (-1033 *5 *6 *7 *8)))) (-1614 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1033 *5 *6 *7 *8))) (-5 *1 (-1033 *5 *6 *7 *8)))) (-2998 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-637 *8)) (|:| |towers| (-637 (-1033 *5 *6 *7 *8))))) (-5 *1 (-1033 *5 *6 *7 *8)) (-5 *3 (-637 *8))))) 
+(-13 (-1072 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2935 ((-637 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -2235 ((-637 $) (-637 |#4|) (-121) (-121))) (-15 -2235 ((-637 $) (-637 |#4|) (-121) (-121) (-121) (-121))) (-15 -1614 ((-637 $) (-637 |#4|) (-121) (-121) (-121))) (-15 -2998 ((-2 (|:| |val| (-637 |#4|)) (|:| |towers| (-637 $))) (-637 |#4|) (-121) (-121))))) 
+((-3503 (((-637 (-684 |#1|)) (-637 (-684 |#1|))) 56) (((-684 |#1|) (-684 |#1|)) 55) (((-637 (-684 |#1|)) (-637 (-684 |#1|)) (-637 (-684 |#1|))) 54) (((-684 |#1|) (-684 |#1|) (-684 |#1|)) 51)) (-1485 (((-637 (-684 |#1|)) (-637 (-684 |#1|)) (-922)) 50) (((-684 |#1|) (-684 |#1|) (-922)) 49)) (-2131 (((-637 (-684 (-571))) (-637 (-637 (-571)))) 66) (((-637 (-684 (-571))) (-637 (-905 (-571))) (-571)) 65) (((-684 (-571)) (-637 (-571))) 62) (((-684 (-571)) (-905 (-571)) (-571)) 61)) (-3672 (((-684 (-958 |#1|)) (-768)) 79)) (-1330 (((-637 (-684 |#1|)) (-637 (-684 |#1|)) (-922)) 36 (|has| |#1| (-6 (-4602 "*")))) (((-684 |#1|) (-684 |#1|) (-922)) 34 (|has| |#1| (-6 (-4602 "*")))))) 
+(((-1034 |#1|) (-10 -7 (IF (|has| |#1| (-6 (-4602 "*"))) (-15 -1330 ((-684 |#1|) (-684 |#1|) (-922))) |noBranch|) (IF (|has| |#1| (-6 (-4602 "*"))) (-15 -1330 ((-637 (-684 |#1|)) (-637 (-684 |#1|)) (-922))) |noBranch|) (-15 -3672 ((-684 (-958 |#1|)) (-768))) (-15 -1485 ((-684 |#1|) (-684 |#1|) (-922))) (-15 -1485 ((-637 (-684 |#1|)) (-637 (-684 |#1|)) (-922))) (-15 -3503 ((-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -3503 ((-637 (-684 |#1|)) (-637 (-684 |#1|)) (-637 (-684 |#1|)))) (-15 -3503 ((-684 |#1|) (-684 |#1|))) (-15 -3503 ((-637 (-684 |#1|)) (-637 (-684 |#1|)))) (-15 -2131 ((-684 (-571)) (-905 (-571)) (-571))) (-15 -2131 ((-684 (-571)) (-637 (-571)))) (-15 -2131 ((-637 (-684 (-571))) (-637 (-905 (-571))) (-571))) (-15 -2131 ((-637 (-684 (-571))) (-637 (-637 (-571)))))) (-1053)) (T -1034)) 
+((-2131 (*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-571)))) (-5 *2 (-637 (-684 (-571)))) (-5 *1 (-1034 *4)) (-4 *4 (-1053)))) (-2131 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-905 (-571)))) (-5 *4 (-571)) (-5 *2 (-637 (-684 *4))) (-5 *1 (-1034 *5)) (-4 *5 (-1053)))) (-2131 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-684 (-571))) (-5 *1 (-1034 *4)) (-4 *4 (-1053)))) (-2131 (*1 *2 *3 *4) (-12 (-5 *3 (-905 (-571))) (-5 *4 (-571)) (-5 *2 (-684 *4)) (-5 *1 (-1034 *5)) (-4 *5 (-1053)))) (-3503 (*1 *2 *2) (-12 (-5 *2 (-637 (-684 *3))) (-4 *3 (-1053)) (-5 *1 (-1034 *3)))) (-3503 (*1 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-1034 *3)))) (-3503 (*1 *2 *2 *2) (-12 (-5 *2 (-637 (-684 *3))) (-4 *3 (-1053)) (-5 *1 (-1034 *3)))) (-3503 (*1 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-1034 *3)))) (-1485 (*1 *2 *2 *3) (-12 (-5 *2 (-637 (-684 *4))) (-5 *3 (-922)) (-4 *4 (-1053)) (-5 *1 (-1034 *4)))) (-1485 (*1 *2 *2 *3) (-12 (-5 *2 (-684 *4)) (-5 *3 (-922)) (-4 *4 (-1053)) (-5 *1 (-1034 *4)))) (-3672 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-684 (-958 *4))) (-5 *1 (-1034 *4)) (-4 *4 (-1053)))) (-1330 (*1 *2 *2 *3) (-12 (-5 *2 (-637 (-684 *4))) (-5 *3 (-922)) (|has| *4 (-6 (-4602 "*"))) (-4 *4 (-1053)) (-5 *1 (-1034 *4)))) (-1330 (*1 *2 *2 *3) (-12 (-5 *2 (-684 *4)) (-5 *3 (-922)) (|has| *4 (-6 (-4602 "*"))) (-4 *4 (-1053)) (-5 *1 (-1034 *4))))) 
+(-10 -7 (IF (|has| |#1| (-6 (-4602 "*"))) (-15 -1330 ((-684 |#1|) (-684 |#1|) (-922))) |noBranch|) (IF (|has| |#1| (-6 (-4602 "*"))) (-15 -1330 ((-637 (-684 |#1|)) (-637 (-684 |#1|)) (-922))) |noBranch|) (-15 -3672 ((-684 (-958 |#1|)) (-768))) (-15 -1485 ((-684 |#1|) (-684 |#1|) (-922))) (-15 -1485 ((-637 (-684 |#1|)) (-637 (-684 |#1|)) (-922))) (-15 -3503 ((-684 |#1|) (-684 |#1|) (-684 |#1|))) (-15 -3503 ((-637 (-684 |#1|)) (-637 (-684 |#1|)) (-637 (-684 |#1|)))) (-15 -3503 ((-684 |#1|) (-684 |#1|))) (-15 -3503 ((-637 (-684 |#1|)) (-637 (-684 |#1|)))) (-15 -2131 ((-684 (-571)) (-905 (-571)) (-571))) (-15 -2131 ((-684 (-571)) (-637 (-571)))) (-15 -2131 ((-637 (-684 (-571))) (-637 (-905 (-571))) (-571))) (-15 -2131 ((-637 (-684 (-571))) (-637 (-637 (-571)))))) 
+((-4290 (((-684 |#1|) (-637 (-684 |#1|)) (-1258 |#1|)) 48 (|has| |#1| (-302)))) (-1609 (((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-1258 (-1258 |#1|))) 71 (|has| |#1| (-367))) (((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-1258 |#1|)) 69 (|has| |#1| (-367)))) (-4402 (((-1258 |#1|) (-637 (-1258 |#1|)) (-571)) 73 (-12 (|has| |#1| (-367)) (|has| |#1| (-373))))) (-1413 (((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-922)) 78 (-12 (|has| |#1| (-367)) (|has| |#1| (-373)))) (((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-121)) 76 (-12 (|has| |#1| (-367)) (|has| |#1| (-373)))) (((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|))) 75 (-12 (|has| |#1| (-367)) (|has| |#1| (-373)))) (((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-121) (-571) (-571)) 74 (-12 (|has| |#1| (-367)) (|has| |#1| (-373))))) (-2355 (((-121) (-637 (-684 |#1|))) 67 (|has| |#1| (-367))) (((-121) (-637 (-684 |#1|)) (-571)) 66 (|has| |#1| (-367)))) (-3143 (((-1258 (-1258 |#1|)) (-637 (-684 |#1|)) (-1258 |#1|)) 46 (|has| |#1| (-302)))) (-3336 (((-684 |#1|) (-637 (-684 |#1|)) (-684 |#1|)) 32)) (-2010 (((-684 |#1|) (-1258 (-1258 |#1|))) 29)) (-1857 (((-684 |#1|) (-637 (-684 |#1|)) (-637 (-684 |#1|)) (-571)) 62 (|has| |#1| (-367))) (((-684 |#1|) (-637 (-684 |#1|)) (-637 (-684 |#1|))) 61 (|has| |#1| (-367))) (((-684 |#1|) (-637 (-684 |#1|)) (-637 (-684 |#1|)) (-121) (-571)) 60 (|has| |#1| (-367))))) 
+(((-1035 |#1|) (-10 -7 (-15 -2010 ((-684 |#1|) (-1258 (-1258 |#1|)))) (-15 -3336 ((-684 |#1|) (-637 (-684 |#1|)) (-684 |#1|))) (IF (|has| |#1| (-302)) (PROGN (-15 -3143 ((-1258 (-1258 |#1|)) (-637 (-684 |#1|)) (-1258 |#1|))) (-15 -4290 ((-684 |#1|) (-637 (-684 |#1|)) (-1258 |#1|)))) |noBranch|) (IF (|has| |#1| (-367)) (PROGN (-15 -1857 ((-684 |#1|) (-637 (-684 |#1|)) (-637 (-684 |#1|)) (-121) (-571))) (-15 -1857 ((-684 |#1|) (-637 (-684 |#1|)) (-637 (-684 |#1|)))) (-15 -1857 ((-684 |#1|) (-637 (-684 |#1|)) (-637 (-684 |#1|)) (-571))) (-15 -2355 ((-121) (-637 (-684 |#1|)) (-571))) (-15 -2355 ((-121) (-637 (-684 |#1|)))) (-15 -1609 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-1258 |#1|))) (-15 -1609 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-1258 (-1258 |#1|))))) |noBranch|) (IF (|has| |#1| (-373)) (IF (|has| |#1| (-367)) (PROGN (-15 -1413 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-121) (-571) (-571))) (-15 -1413 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)))) (-15 -1413 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-121))) (-15 -1413 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-922))) (-15 -4402 ((-1258 |#1|) (-637 (-1258 |#1|)) (-571)))) |noBranch|) |noBranch|)) (-1053)) (T -1035)) 
+((-4402 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1258 *5))) (-5 *4 (-571)) (-5 *2 (-1258 *5)) (-5 *1 (-1035 *5)) (-4 *5 (-367)) (-4 *5 (-373)) (-4 *5 (-1053)))) (-1413 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-4 *5 (-373)) (-4 *5 (-1053)) (-5 *2 (-637 (-637 (-684 *5)))) (-5 *1 (-1035 *5)) (-5 *3 (-637 (-684 *5))))) (-1413 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-367)) (-4 *5 (-373)) (-4 *5 (-1053)) (-5 *2 (-637 (-637 (-684 *5)))) (-5 *1 (-1035 *5)) (-5 *3 (-637 (-684 *5))))) (-1413 (*1 *2 *3) (-12 (-4 *4 (-367)) (-4 *4 (-373)) (-4 *4 (-1053)) (-5 *2 (-637 (-637 (-684 *4)))) (-5 *1 (-1035 *4)) (-5 *3 (-637 (-684 *4))))) (-1413 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-571)) (-4 *6 (-367)) (-4 *6 (-373)) (-4 *6 (-1053)) (-5 *2 (-637 (-637 (-684 *6)))) (-5 *1 (-1035 *6)) (-5 *3 (-637 (-684 *6))))) (-1609 (*1 *2 *3 *4) (-12 (-5 *4 (-1258 (-1258 *5))) (-4 *5 (-367)) (-4 *5 (-1053)) (-5 *2 (-637 (-637 (-684 *5)))) (-5 *1 (-1035 *5)) (-5 *3 (-637 (-684 *5))))) (-1609 (*1 *2 *3 *4) (-12 (-5 *4 (-1258 *5)) (-4 *5 (-367)) (-4 *5 (-1053)) (-5 *2 (-637 (-637 (-684 *5)))) (-5 *1 (-1035 *5)) (-5 *3 (-637 (-684 *5))))) (-2355 (*1 *2 *3) (-12 (-5 *3 (-637 (-684 *4))) (-4 *4 (-367)) (-4 *4 (-1053)) (-5 *2 (-121)) (-5 *1 (-1035 *4)))) (-2355 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-684 *5))) (-5 *4 (-571)) (-4 *5 (-367)) (-4 *5 (-1053)) (-5 *2 (-121)) (-5 *1 (-1035 *5)))) (-1857 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-637 (-684 *5))) (-5 *4 (-571)) (-5 *2 (-684 *5)) (-5 *1 (-1035 *5)) (-4 *5 (-367)) (-4 *5 (-1053)))) (-1857 (*1 *2 *3 *3) (-12 (-5 *3 (-637 (-684 *4))) (-5 *2 (-684 *4)) (-5 *1 (-1035 *4)) (-4 *4 (-367)) (-4 *4 (-1053)))) (-1857 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-637 (-684 *6))) (-5 *4 (-121)) (-5 *5 (-571)) (-5 *2 (-684 *6)) (-5 *1 (-1035 *6)) (-4 *6 (-367)) (-4 *6 (-1053)))) (-4290 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-684 *5))) (-5 *4 (-1258 *5)) (-4 *5 (-302)) (-4 *5 (-1053)) (-5 *2 (-684 *5)) (-5 *1 (-1035 *5)))) (-3143 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-684 *5))) (-4 *5 (-302)) (-4 *5 (-1053)) (-5 *2 (-1258 (-1258 *5))) (-5 *1 (-1035 *5)) (-5 *4 (-1258 *5)))) (-3336 (*1 *2 *3 *2) (-12 (-5 *3 (-637 (-684 *4))) (-5 *2 (-684 *4)) (-4 *4 (-1053)) (-5 *1 (-1035 *4)))) (-2010 (*1 *2 *3) (-12 (-5 *3 (-1258 (-1258 *4))) (-4 *4 (-1053)) (-5 *2 (-684 *4)) (-5 *1 (-1035 *4))))) 
+(-10 -7 (-15 -2010 ((-684 |#1|) (-1258 (-1258 |#1|)))) (-15 -3336 ((-684 |#1|) (-637 (-684 |#1|)) (-684 |#1|))) (IF (|has| |#1| (-302)) (PROGN (-15 -3143 ((-1258 (-1258 |#1|)) (-637 (-684 |#1|)) (-1258 |#1|))) (-15 -4290 ((-684 |#1|) (-637 (-684 |#1|)) (-1258 |#1|)))) |noBranch|) (IF (|has| |#1| (-367)) (PROGN (-15 -1857 ((-684 |#1|) (-637 (-684 |#1|)) (-637 (-684 |#1|)) (-121) (-571))) (-15 -1857 ((-684 |#1|) (-637 (-684 |#1|)) (-637 (-684 |#1|)))) (-15 -1857 ((-684 |#1|) (-637 (-684 |#1|)) (-637 (-684 |#1|)) (-571))) (-15 -2355 ((-121) (-637 (-684 |#1|)) (-571))) (-15 -2355 ((-121) (-637 (-684 |#1|)))) (-15 -1609 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-1258 |#1|))) (-15 -1609 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-1258 (-1258 |#1|))))) |noBranch|) (IF (|has| |#1| (-373)) (IF (|has| |#1| (-367)) (PROGN (-15 -1413 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-121) (-571) (-571))) (-15 -1413 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)))) (-15 -1413 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-121))) (-15 -1413 ((-637 (-637 (-684 |#1|))) (-637 (-684 |#1|)) (-922))) (-15 -4402 ((-1258 |#1|) (-637 (-1258 |#1|)) (-571)))) |noBranch|) |noBranch|)) 
+((-1321 ((|#1| (-922) |#1|) 9))) 
+(((-1036 |#1|) (-10 -7 (-15 -1321 (|#1| (-922) |#1|))) (-13 (-1097) (-10 -8 (-15 -1367 ($ $ $))))) (T -1036)) 
+((-1321 (*1 *2 *3 *2) (-12 (-5 *3 (-922)) (-5 *1 (-1036 *2)) (-4 *2 (-13 (-1097) (-10 -8 (-15 -1367 ($ $ $)))))))) 
+(-10 -7 (-15 -1321 (|#1| (-922) |#1|))) 
+((-4305 (((-637 (-2 (|:| |radval| (-311 (-571))) (|:| |radmult| (-571)) (|:| |radvect| (-637 (-684 (-311 (-571))))))) (-684 (-412 (-958 (-571))))) 58)) (-2881 (((-637 (-684 (-311 (-571)))) (-311 (-571)) (-684 (-412 (-958 (-571))))) 48)) (-3084 (((-637 (-311 (-571))) (-684 (-412 (-958 (-571))))) 41)) (-3869 (((-637 (-684 (-311 (-571)))) (-684 (-412 (-958 (-571))))) 67)) (-3540 (((-684 (-311 (-571))) (-684 (-311 (-571)))) 33)) (-4373 (((-637 (-684 (-311 (-571)))) (-637 (-684 (-311 (-571))))) 61)) (-3599 (((-3 (-684 (-311 (-571))) "failed") (-684 (-412 (-958 (-571))))) 65))) 
+(((-1037) (-10 -7 (-15 -4305 ((-637 (-2 (|:| |radval| (-311 (-571))) (|:| |radmult| (-571)) (|:| |radvect| (-637 (-684 (-311 (-571))))))) (-684 (-412 (-958 (-571)))))) (-15 -2881 ((-637 (-684 (-311 (-571)))) (-311 (-571)) (-684 (-412 (-958 (-571)))))) (-15 -3084 ((-637 (-311 (-571))) (-684 (-412 (-958 (-571)))))) (-15 -3599 ((-3 (-684 (-311 (-571))) "failed") (-684 (-412 (-958 (-571)))))) (-15 -3540 ((-684 (-311 (-571))) (-684 (-311 (-571))))) (-15 -4373 ((-637 (-684 (-311 (-571)))) (-637 (-684 (-311 (-571)))))) (-15 -3869 ((-637 (-684 (-311 (-571)))) (-684 (-412 (-958 (-571)))))))) (T -1037)) 
+((-3869 (*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-958 (-571))))) (-5 *2 (-637 (-684 (-311 (-571))))) (-5 *1 (-1037)))) (-4373 (*1 *2 *2) (-12 (-5 *2 (-637 (-684 (-311 (-571))))) (-5 *1 (-1037)))) (-3540 (*1 *2 *2) (-12 (-5 *2 (-684 (-311 (-571)))) (-5 *1 (-1037)))) (-3599 (*1 *2 *3) (|partial| -12 (-5 *3 (-684 (-412 (-958 (-571))))) (-5 *2 (-684 (-311 (-571)))) (-5 *1 (-1037)))) (-3084 (*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-958 (-571))))) (-5 *2 (-637 (-311 (-571)))) (-5 *1 (-1037)))) (-2881 (*1 *2 *3 *4) (-12 (-5 *4 (-684 (-412 (-958 (-571))))) (-5 *2 (-637 (-684 (-311 (-571))))) (-5 *1 (-1037)) (-5 *3 (-311 (-571))))) (-4305 (*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| |radval| (-311 (-571))) (|:| |radmult| (-571)) (|:| |radvect| (-637 (-684 (-311 (-571)))))))) (-5 *1 (-1037))))) 
+(-10 -7 (-15 -4305 ((-637 (-2 (|:| |radval| (-311 (-571))) (|:| |radmult| (-571)) (|:| |radvect| (-637 (-684 (-311 (-571))))))) (-684 (-412 (-958 (-571)))))) (-15 -2881 ((-637 (-684 (-311 (-571)))) (-311 (-571)) (-684 (-412 (-958 (-571)))))) (-15 -3084 ((-637 (-311 (-571))) (-684 (-412 (-958 (-571)))))) (-15 -3599 ((-3 (-684 (-311 (-571))) "failed") (-684 (-412 (-958 (-571)))))) (-15 -3540 ((-684 (-311 (-571))) (-684 (-311 (-571))))) (-15 -4373 ((-637 (-684 (-311 (-571)))) (-637 (-684 (-311 (-571)))))) (-15 -3869 ((-637 (-684 (-311 (-571)))) (-684 (-412 (-958 (-571))))))) 
+((-1385 ((|#1| |#1| (-922)) 9))) 
+(((-1038 |#1|) (-10 -7 (-15 -1385 (|#1| |#1| (-922)))) (-13 (-1097) (-10 -8 (-15 * ($ $ $))))) (T -1038)) 
+((-1385 (*1 *2 *2 *3) (-12 (-5 *3 (-922)) (-5 *1 (-1038 *2)) (-4 *2 (-13 (-1097) (-10 -8 (-15 * ($ $ $)))))))) 
+(-10 -7 (-15 -1385 (|#1| |#1| (-922)))) 
+((-3942 ((|#1| (-306)) 11) (((-1263) |#1|) 9))) 
+(((-1039 |#1|) (-10 -7 (-15 -3942 ((-1263) |#1|)) (-15 -3942 (|#1| (-306)))) (-1203)) (T -1039)) 
+((-3942 (*1 *2 *3) (-12 (-5 *3 (-306)) (-5 *1 (-1039 *2)) (-4 *2 (-1203)))) (-3942 (*1 *2 *3) (-12 (-5 *2 (-1263)) (-5 *1 (-1039 *3)) (-4 *3 (-1203))))) 
+(-10 -7 (-15 -3942 ((-1263) |#1|)) (-15 -3942 (|#1| (-306)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3074 (($ |#4|) 25)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-3069 ((|#4| $) 27)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 46) (($ (-571)) NIL) (($ |#1|) NIL) (($ |#4|) 26)) (-2661 (((-768)) 43)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 21 T CONST)) (-3222 (($) 23 T CONST)) (-1323 (((-121) $ $) 40)) (-1373 (($ $) 31) (($ $ $) NIL)) (-1367 (($ $ $) 29)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 36) (($ $ $) 33) (($ |#1| $) 38) (($ $ |#1|) NIL))) 
+(((-1040 |#1| |#2| |#3| |#4| |#5|) (-13 (-173) (-43 |#1|) (-10 -8 (-15 -3074 ($ |#4|)) (-15 -3942 ($ |#4|)) (-15 -3069 (|#4| $)))) (-367) (-793) (-847) (-955 |#1| |#2| |#3|) (-637 |#4|)) (T -1040)) 
+((-3074 (*1 *1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-1040 *3 *4 *5 *2 *6)) (-4 *2 (-955 *3 *4 *5)) (-14 *6 (-637 *2)))) (-3942 (*1 *1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-1040 *3 *4 *5 *2 *6)) (-4 *2 (-955 *3 *4 *5)) (-14 *6 (-637 *2)))) (-3069 (*1 *2 *1) (-12 (-4 *2 (-955 *3 *4 *5)) (-5 *1 (-1040 *3 *4 *5 *2 *6)) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-14 *6 (-637 *2))))) 
+(-13 (-173) (-43 |#1|) (-10 -8 (-15 -3074 ($ |#4|)) (-15 -3942 ($ |#4|)) (-15 -3069 (|#4| $)))) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL)) (-3839 (((-1263) $ (-1169) (-1169)) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-1668 (((-121) (-121)) 39)) (-1590 (((-121) (-121)) 38)) (-3251 (((-57) $ (-1169) (-57)) NIL)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-1741 (((-3 (-57) "failed") (-1169) $) NIL)) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-1599 (($ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-3 (-57) "failed") (-1169) $) NIL)) (-3412 (($ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-2922 (((-57) $ (-1169) (-57)) NIL (|has| $ (-6 -4601)))) (-4319 (((-57) $ (-1169)) NIL)) (-4034 (((-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-637 (-57)) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-1169) $) NIL (|has| (-1169) (-847)))) (-3488 (((-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-637 (-57)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-57) (-1097))))) (-3113 (((-1169) $) NIL (|has| (-1169) (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4601))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-3359 (((-637 (-1169)) $) 34)) (-1507 (((-121) (-1169) $) NIL)) (-2377 (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL)) (-2863 (($ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL)) (-2738 (((-637 (-1169)) $) NIL)) (-1613 (((-121) (-1169) $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-1827 (((-57) $) NIL (|has| (-1169) (-847)))) (-3765 (((-3 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) "failed") (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL)) (-4411 (($ $ (-57)) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))))) NIL (-12 (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (($ $ (-289 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL (-12 (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (($ $ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) NIL (-12 (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (($ $ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL (-12 (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (($ $ (-637 (-57)) (-637 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097)))) (($ $ (-637 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-57) (-1097))))) (-3909 (((-637 (-57)) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 (((-57) $ (-1169)) 35) (((-57) $ (-1169) (-57)) NIL)) (-3563 (($) NIL) (($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (((-768) (-57) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-57) (-1097)))) (((-768) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL)) (-3942 (((-855) $) 37 (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-3700 (($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1041) (-13 (-1180 (-1169) (-57)) (-10 -7 (-15 -1668 ((-121) (-121))) (-15 -1590 ((-121) (-121))) (-6 -4600)))) (T -1041)) 
+((-1668 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1041)))) (-1590 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1041))))) 
+(-13 (-1180 (-1169) (-57)) (-10 -7 (-15 -1668 ((-121) (-121))) (-15 -1590 ((-121) (-121))) (-6 -4600))) 
+((-1316 ((|#2| $) 10))) 
+(((-1042 |#1| |#2|) (-10 -8 (-15 -1316 (|#2| |#1|))) (-1043 |#2|) (-1203)) (T -1042)) 
+NIL 
+(-10 -8 (-15 -1316 (|#2| |#1|))) 
+((-3337 (((-3 |#1| "failed") $) 7)) (-1316 ((|#1| $) 8)) (-3942 (($ |#1|) 6))) 
+(((-1043 |#1|) (-1289) (-1203)) (T -1043)) 
+((-1316 (*1 *2 *1) (-12 (-4 *1 (-1043 *2)) (-4 *2 (-1203)))) (-3337 (*1 *2 *1) (|partial| -12 (-4 *1 (-1043 *2)) (-4 *2 (-1203)))) (-3942 (*1 *1 *2) (-12 (-4 *1 (-1043 *2)) (-4 *2 (-1203))))) 
+(-13 (-10 -8 (-15 -3942 ($ |t#1|)) (-15 -3337 ((-3 |t#1| "failed") $)) (-15 -1316 (|t#1| $)))) 
+((-2264 (((-637 (-637 (-289 (-412 (-958 |#2|))))) (-637 (-958 |#2|)) (-637 (-1169))) 35))) 
+(((-1044 |#1| |#2|) (-10 -7 (-15 -2264 ((-637 (-637 (-289 (-412 (-958 |#2|))))) (-637 (-958 |#2|)) (-637 (-1169))))) (-561) (-13 (-561) (-1043 |#1|))) (T -1044)) 
+((-2264 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *6))) (-5 *4 (-637 (-1169))) (-4 *6 (-13 (-561) (-1043 *5))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *6)))))) (-5 *1 (-1044 *5 *6))))) 
+(-10 -7 (-15 -2264 ((-637 (-637 (-289 (-412 (-958 |#2|))))) (-637 (-958 |#2|)) (-637 (-1169))))) 
+((-1945 (((-384)) 15)) (-3244 (((-1 (-384)) (-384) (-384)) 20)) (-3481 (((-1 (-384)) (-768)) 42)) (-1602 (((-384)) 33)) (-2062 (((-1 (-384)) (-384) (-384)) 34)) (-3044 (((-384)) 26)) (-1376 (((-1 (-384)) (-384)) 27)) (-2488 (((-384) (-768)) 37)) (-1865 (((-1 (-384)) (-768)) 38)) (-3280 (((-1 (-384)) (-768) (-768)) 41)) (-1686 (((-1 (-384)) (-768) (-768)) 39))) 
+(((-1045) (-10 -7 (-15 -1945 ((-384))) (-15 -1602 ((-384))) (-15 -3044 ((-384))) (-15 -2488 ((-384) (-768))) (-15 -3244 ((-1 (-384)) (-384) (-384))) (-15 -2062 ((-1 (-384)) (-384) (-384))) (-15 -1376 ((-1 (-384)) (-384))) (-15 -1865 ((-1 (-384)) (-768))) (-15 -1686 ((-1 (-384)) (-768) (-768))) (-15 -3280 ((-1 (-384)) (-768) (-768))) (-15 -3481 ((-1 (-384)) (-768))))) (T -1045)) 
+((-3481 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-384))) (-5 *1 (-1045)))) (-3280 (*1 *2 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-384))) (-5 *1 (-1045)))) (-1686 (*1 *2 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-384))) (-5 *1 (-1045)))) (-1865 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-384))) (-5 *1 (-1045)))) (-1376 (*1 *2 *3) (-12 (-5 *2 (-1 (-384))) (-5 *1 (-1045)) (-5 *3 (-384)))) (-2062 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-384))) (-5 *1 (-1045)) (-5 *3 (-384)))) (-3244 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-384))) (-5 *1 (-1045)) (-5 *3 (-384)))) (-2488 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-384)) (-5 *1 (-1045)))) (-3044 (*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1045)))) (-1602 (*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1045)))) (-1945 (*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1045))))) 
+(-10 -7 (-15 -1945 ((-384))) (-15 -1602 ((-384))) (-15 -3044 ((-384))) (-15 -2488 ((-384) (-768))) (-15 -3244 ((-1 (-384)) (-384) (-384))) (-15 -2062 ((-1 (-384)) (-384) (-384))) (-15 -1376 ((-1 (-384)) (-384))) (-15 -1865 ((-1 (-384)) (-768))) (-15 -1686 ((-1 (-384)) (-768) (-768))) (-15 -3280 ((-1 (-384)) (-768) (-768))) (-15 -3481 ((-1 (-384)) (-768)))) 
+((-4262 (((-423 |#1|) |#1|) 31))) 
+(((-1046 |#1|) (-10 -7 (-15 -4262 ((-423 |#1|) |#1|))) (-1233 (-412 (-958 (-571))))) (T -1046)) 
+((-4262 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-1046 *3)) (-4 *3 (-1233 (-412 (-958 (-571)))))))) 
+(-10 -7 (-15 -4262 ((-423 |#1|) |#1|))) 
+((-4036 (((-412 (-423 (-958 |#1|))) (-412 (-958 |#1|))) 14))) 
+(((-1047 |#1|) (-10 -7 (-15 -4036 ((-412 (-423 (-958 |#1|))) (-412 (-958 |#1|))))) (-302)) (T -1047)) 
+((-4036 (*1 *2 *3) (-12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-302)) (-5 *2 (-412 (-423 (-958 *4)))) (-5 *1 (-1047 *4))))) 
+(-10 -7 (-15 -4036 ((-412 (-423 (-958 |#1|))) (-412 (-958 |#1|))))) 
+((-3424 (((-637 (-1169)) (-412 (-958 |#1|))) 15)) (-4257 (((-412 (-1165 (-412 (-958 |#1|)))) (-412 (-958 |#1|)) (-1169)) 22)) (-4296 (((-412 (-958 |#1|)) (-412 (-1165 (-412 (-958 |#1|)))) (-1169)) 24)) (-2510 (((-3 (-1169) "failed") (-412 (-958 |#1|))) 18)) (-4483 (((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-637 (-289 (-412 (-958 |#1|))))) 29) (((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|)))) 31) (((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-637 (-1169)) (-637 (-412 (-958 |#1|)))) 26) (((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-1169) (-412 (-958 |#1|))) 27)) (-3942 (((-412 (-958 |#1|)) |#1|) 11))) 
+(((-1048 |#1|) (-10 -7 (-15 -3424 ((-637 (-1169)) (-412 (-958 |#1|)))) (-15 -2510 ((-3 (-1169) "failed") (-412 (-958 |#1|)))) (-15 -4257 ((-412 (-1165 (-412 (-958 |#1|)))) (-412 (-958 |#1|)) (-1169))) (-15 -4296 ((-412 (-958 |#1|)) (-412 (-1165 (-412 (-958 |#1|)))) (-1169))) (-15 -4483 ((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-1169) (-412 (-958 |#1|)))) (-15 -4483 ((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-637 (-1169)) (-637 (-412 (-958 |#1|))))) (-15 -4483 ((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|))))) (-15 -4483 ((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-637 (-289 (-412 (-958 |#1|)))))) (-15 -3942 ((-412 (-958 |#1|)) |#1|))) (-561)) (T -1048)) 
+((-3942 (*1 *2 *3) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-1048 *3)) (-4 *3 (-561)))) (-4483 (*1 *2 *2 *3) (-12 (-5 *3 (-637 (-289 (-412 (-958 *4))))) (-5 *2 (-412 (-958 *4))) (-4 *4 (-561)) (-5 *1 (-1048 *4)))) (-4483 (*1 *2 *2 *3) (-12 (-5 *3 (-289 (-412 (-958 *4)))) (-5 *2 (-412 (-958 *4))) (-4 *4 (-561)) (-5 *1 (-1048 *4)))) (-4483 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-637 (-1169))) (-5 *4 (-637 (-412 (-958 *5)))) (-5 *2 (-412 (-958 *5))) (-4 *5 (-561)) (-5 *1 (-1048 *5)))) (-4483 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-412 (-958 *4))) (-5 *3 (-1169)) (-4 *4 (-561)) (-5 *1 (-1048 *4)))) (-4296 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-1165 (-412 (-958 *5))))) (-5 *4 (-1169)) (-5 *2 (-412 (-958 *5))) (-5 *1 (-1048 *5)) (-4 *5 (-561)))) (-4257 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-561)) (-5 *2 (-412 (-1165 (-412 (-958 *5))))) (-5 *1 (-1048 *5)) (-5 *3 (-412 (-958 *5))))) (-2510 (*1 *2 *3) (|partial| -12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-5 *2 (-1169)) (-5 *1 (-1048 *4)))) (-3424 (*1 *2 *3) (-12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-5 *2 (-637 (-1169))) (-5 *1 (-1048 *4))))) 
+(-10 -7 (-15 -3424 ((-637 (-1169)) (-412 (-958 |#1|)))) (-15 -2510 ((-3 (-1169) "failed") (-412 (-958 |#1|)))) (-15 -4257 ((-412 (-1165 (-412 (-958 |#1|)))) (-412 (-958 |#1|)) (-1169))) (-15 -4296 ((-412 (-958 |#1|)) (-412 (-1165 (-412 (-958 |#1|)))) (-1169))) (-15 -4483 ((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-1169) (-412 (-958 |#1|)))) (-15 -4483 ((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-637 (-1169)) (-637 (-412 (-958 |#1|))))) (-15 -4483 ((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-289 (-412 (-958 |#1|))))) (-15 -4483 ((-412 (-958 |#1|)) (-412 (-958 |#1|)) (-637 (-289 (-412 (-958 |#1|)))))) (-15 -3942 ((-412 (-958 |#1|)) |#1|))) 
+((-4450 (((-637 |#1|) (-637 |#1|)) 45)) (-4475 (((-637 |#1|)) 9)) (-2787 (((-2 (|:| |zeros| (-637 |#1|)) (|:| -2168 (-571))) (-1165 |#1|) |#1|) 19)) (-1573 (((-2 (|:| |zeros| (-637 |#1|)) (|:| -2168 (-571))) (-637 (-1165 |#1|)) |#1|) 37))) 
+(((-1049 |#1|) (-10 -7 (-15 -2787 ((-2 (|:| |zeros| (-637 |#1|)) (|:| -2168 (-571))) (-1165 |#1|) |#1|)) (-15 -1573 ((-2 (|:| |zeros| (-637 |#1|)) (|:| -2168 (-571))) (-637 (-1165 |#1|)) |#1|)) (-15 -4475 ((-637 |#1|))) (-15 -4450 ((-637 |#1|) (-637 |#1|)))) (-367)) (T -1049)) 
+((-4450 (*1 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-5 *1 (-1049 *3)))) (-4475 (*1 *2) (-12 (-5 *2 (-637 *3)) (-5 *1 (-1049 *3)) (-4 *3 (-367)))) (-1573 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1165 *4))) (-4 *4 (-367)) (-5 *2 (-2 (|:| |zeros| (-637 *4)) (|:| -2168 (-571)))) (-5 *1 (-1049 *4)))) (-2787 (*1 *2 *3 *4) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-367)) (-5 *2 (-2 (|:| |zeros| (-637 *4)) (|:| -2168 (-571)))) (-5 *1 (-1049 *4))))) 
+(-10 -7 (-15 -2787 ((-2 (|:| |zeros| (-637 |#1|)) (|:| -2168 (-571))) (-1165 |#1|) |#1|)) (-15 -1573 ((-2 (|:| |zeros| (-637 |#1|)) (|:| -2168 (-571))) (-637 (-1165 |#1|)) |#1|)) (-15 -4475 ((-637 |#1|))) (-15 -4450 ((-637 |#1|) (-637 |#1|)))) 
+((-2234 (((-121) $ $) NIL)) (-2626 (((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 (-780 |#1| (-857 |#2|)))))) (-637 (-780 |#1| (-857 |#2|)))) NIL)) (-2235 (((-637 $) (-637 (-780 |#1| (-857 |#2|)))) NIL) (((-637 $) (-637 (-780 |#1| (-857 |#2|))) (-121)) NIL) (((-637 $) (-637 (-780 |#1| (-857 |#2|))) (-121) (-121)) NIL)) (-3424 (((-637 (-857 |#2|)) $) NIL)) (-2927 (((-121) $) NIL)) (-4409 (((-121) $) NIL (|has| |#1| (-561)))) (-3766 (((-121) (-780 |#1| (-857 |#2|)) $) NIL) (((-121) $) NIL)) (-3998 (((-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) $) NIL)) (-2356 (((-637 (-2 (|:| |val| (-780 |#1| (-857 |#2|))) (|:| -4121 $))) (-780 |#1| (-857 |#2|)) $) NIL)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ (-857 |#2|)) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2534 (($ (-1 (-121) (-780 |#1| (-857 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-3 (-780 |#1| (-857 |#2|)) "failed") $ (-857 |#2|)) NIL)) (-2269 (($) NIL T CONST)) (-2940 (((-121) $) NIL (|has| |#1| (-561)))) (-4203 (((-121) $ $) NIL (|has| |#1| (-561)))) (-2568 (((-121) $ $) NIL (|has| |#1| (-561)))) (-3455 (((-121) $) NIL (|has| |#1| (-561)))) (-3516 (((-637 (-780 |#1| (-857 |#2|))) (-637 (-780 |#1| (-857 |#2|))) $ (-1 (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|))) (-1 (-121) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)))) NIL)) (-1372 (((-637 (-780 |#1| (-857 |#2|))) (-637 (-780 |#1| (-857 |#2|))) $) NIL (|has| |#1| (-561)))) (-2684 (((-637 (-780 |#1| (-857 |#2|))) (-637 (-780 |#1| (-857 |#2|))) $) NIL (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 (-780 |#1| (-857 |#2|)))) NIL)) (-1316 (($ (-637 (-780 |#1| (-857 |#2|)))) NIL)) (-4372 (((-3 $ "failed") $) NIL)) (-4476 (((-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-780 |#1| (-857 |#2|)) (-1097))))) (-3412 (($ (-780 |#1| (-857 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-780 |#1| (-857 |#2|)) (-1097)))) (($ (-1 (-121) (-780 |#1| (-857 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| (-780 |#1| (-857 |#2|))) (|:| |den| |#1|)) (-780 |#1| (-857 |#2|)) $) NIL (|has| |#1| (-561)))) (-3052 (((-121) (-780 |#1| (-857 |#2|)) $ (-1 (-121) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)))) NIL)) (-3271 (((-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) $) NIL)) (-3074 (((-780 |#1| (-857 |#2|)) (-1 (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|))) $ (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-780 |#1| (-857 |#2|)) (-1097)))) (((-780 |#1| (-857 |#2|)) (-1 (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|))) $ (-780 |#1| (-857 |#2|))) NIL (|has| $ (-6 -4600))) (((-780 |#1| (-857 |#2|)) (-1 (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) $ (-1 (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|))) (-1 (-121) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)))) NIL)) (-1770 (((-2 (|:| -2363 (-637 (-780 |#1| (-857 |#2|)))) (|:| -3545 (-637 (-780 |#1| (-857 |#2|))))) $) NIL)) (-1638 (((-121) (-780 |#1| (-857 |#2|)) $) NIL)) (-4579 (((-121) (-780 |#1| (-857 |#2|)) $) NIL)) (-2485 (((-121) (-780 |#1| (-857 |#2|)) $) NIL) (((-121) $) NIL)) (-4034 (((-637 (-780 |#1| (-857 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-1791 (((-121) (-780 |#1| (-857 |#2|)) $) NIL) (((-121) $) NIL)) (-2065 (((-857 |#2|) $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 (-780 |#1| (-857 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-780 |#1| (-857 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-780 |#1| (-857 |#2|)) (-1097))))) (-1923 (($ (-1 (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|))) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|))) $) NIL)) (-2213 (((-637 (-857 |#2|)) $) NIL)) (-3529 (((-121) (-857 |#2|) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-3223 (((-3 (-780 |#1| (-857 |#2|)) (-637 $)) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) $) NIL)) (-2810 (((-637 (-2 (|:| |val| (-780 |#1| (-857 |#2|))) (|:| -4121 $))) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) $) NIL)) (-3220 (((-3 (-780 |#1| (-857 |#2|)) "failed") $) NIL)) (-1891 (((-637 $) (-780 |#1| (-857 |#2|)) $) NIL)) (-1927 (((-3 (-121) (-637 $)) (-780 |#1| (-857 |#2|)) $) NIL)) (-2687 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 $))) (-780 |#1| (-857 |#2|)) $) NIL) (((-121) (-780 |#1| (-857 |#2|)) $) NIL)) (-4017 (((-637 $) (-780 |#1| (-857 |#2|)) $) NIL) (((-637 $) (-637 (-780 |#1| (-857 |#2|))) $) NIL) (((-637 $) (-637 (-780 |#1| (-857 |#2|))) (-637 $)) NIL) (((-637 $) (-780 |#1| (-857 |#2|)) (-637 $)) NIL)) (-2935 (($ (-780 |#1| (-857 |#2|)) $) NIL) (($ (-637 (-780 |#1| (-857 |#2|))) $) NIL)) (-2551 (((-637 (-780 |#1| (-857 |#2|))) $) NIL)) (-3554 (((-121) (-780 |#1| (-857 |#2|)) $) NIL) (((-121) $) NIL)) (-2347 (((-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) $) NIL)) (-2075 (((-121) $ $) NIL)) (-4520 (((-2 (|:| |num| (-780 |#1| (-857 |#2|))) (|:| |den| |#1|)) (-780 |#1| (-857 |#2|)) $) NIL (|has| |#1| (-561)))) (-2240 (((-121) (-780 |#1| (-857 |#2|)) $) NIL) (((-121) $) NIL)) (-2444 (((-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)) $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 (((-3 (-780 |#1| (-857 |#2|)) "failed") $) NIL)) (-3765 (((-3 (-780 |#1| (-857 |#2|)) "failed") (-1 (-121) (-780 |#1| (-857 |#2|))) $) NIL)) (-4016 (((-3 $ "failed") $ (-780 |#1| (-857 |#2|))) NIL)) (-3140 (($ $ (-780 |#1| (-857 |#2|))) NIL) (((-637 $) (-780 |#1| (-857 |#2|)) $) NIL) (((-637 $) (-780 |#1| (-857 |#2|)) (-637 $)) NIL) (((-637 $) (-637 (-780 |#1| (-857 |#2|))) $) NIL) (((-637 $) (-637 (-780 |#1| (-857 |#2|))) (-637 $)) NIL)) (-3160 (((-121) (-1 (-121) (-780 |#1| (-857 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-780 |#1| (-857 |#2|))) (-637 (-780 |#1| (-857 |#2|)))) NIL (-12 (|has| (-780 |#1| (-857 |#2|)) (-304 (-780 |#1| (-857 |#2|)))) (|has| (-780 |#1| (-857 |#2|)) (-1097)))) (($ $ (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|))) NIL (-12 (|has| (-780 |#1| (-857 |#2|)) (-304 (-780 |#1| (-857 |#2|)))) (|has| (-780 |#1| (-857 |#2|)) (-1097)))) (($ $ (-289 (-780 |#1| (-857 |#2|)))) NIL (-12 (|has| (-780 |#1| (-857 |#2|)) (-304 (-780 |#1| (-857 |#2|)))) (|has| (-780 |#1| (-857 |#2|)) (-1097)))) (($ $ (-637 (-289 (-780 |#1| (-857 |#2|))))) NIL (-12 (|has| (-780 |#1| (-857 |#2|)) (-304 (-780 |#1| (-857 |#2|)))) (|has| (-780 |#1| (-857 |#2|)) (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-2400 (((-768) $) NIL)) (-1569 (((-768) (-780 |#1| (-857 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-780 |#1| (-857 |#2|)) (-1097)))) (((-768) (-1 (-121) (-780 |#1| (-857 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-780 |#1| (-857 |#2|)) (-612 (-544))))) (-3891 (($ (-637 (-780 |#1| (-857 |#2|)))) NIL)) (-3985 (($ $ (-857 |#2|)) NIL)) (-1905 (($ $ (-857 |#2|)) NIL)) (-4371 (($ $) NIL)) (-2031 (($ $ (-857 |#2|)) NIL)) (-3942 (((-855) $) NIL) (((-637 (-780 |#1| (-857 |#2|))) $) NIL)) (-1930 (((-768) $) NIL (|has| (-857 |#2|) (-373)))) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 (-780 |#1| (-857 |#2|))))) "failed") (-637 (-780 |#1| (-857 |#2|))) (-1 (-121) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)))) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 (-780 |#1| (-857 |#2|))))) "failed") (-637 (-780 |#1| (-857 |#2|))) (-1 (-121) (-780 |#1| (-857 |#2|))) (-1 (-121) (-780 |#1| (-857 |#2|)) (-780 |#1| (-857 |#2|)))) NIL)) (-1875 (((-121) $ (-1 (-121) (-780 |#1| (-857 |#2|)) (-637 (-780 |#1| (-857 |#2|))))) NIL)) (-2319 (((-637 $) (-780 |#1| (-857 |#2|)) $) NIL) (((-637 $) (-780 |#1| (-857 |#2|)) (-637 $)) NIL) (((-637 $) (-637 (-780 |#1| (-857 |#2|))) $) NIL) (((-637 $) (-637 (-780 |#1| (-857 |#2|))) (-637 $)) NIL)) (-3027 (((-121) (-1 (-121) (-780 |#1| (-857 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3557 (((-637 (-857 |#2|)) $) NIL)) (-2640 (((-121) (-780 |#1| (-857 |#2|)) $) NIL)) (-3049 (((-121) (-857 |#2|) $) NIL)) (-1323 (((-121) $ $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1050 |#1| |#2|) (-13 (-1072 |#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|))) (-10 -8 (-15 -2235 ((-637 $) (-637 (-780 |#1| (-857 |#2|))) (-121) (-121))))) (-456) (-637 (-1169))) (T -1050)) 
+((-2235 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 (-780 *5 (-857 *6)))) (-5 *4 (-121)) (-4 *5 (-456)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-1050 *5 *6))) (-5 *1 (-1050 *5 *6))))) 
+(-13 (-1072 |#1| (-537 (-857 |#2|)) (-857 |#2|) (-780 |#1| (-857 |#2|))) (-10 -8 (-15 -2235 ((-637 $) (-637 (-780 |#1| (-857 |#2|))) (-121) (-121))))) 
+((-3244 (((-1 (-571)) (-1091 (-571))) 33)) (-2427 (((-571) (-571) (-571) (-571) (-571)) 30)) (-4504 (((-1 (-571)) |RationalNumber|) NIL)) (-2981 (((-1 (-571)) |RationalNumber|) NIL)) (-1358 (((-1 (-571)) (-571) |RationalNumber|) NIL))) 
+(((-1051) (-10 -7 (-15 -3244 ((-1 (-571)) (-1091 (-571)))) (-15 -1358 ((-1 (-571)) (-571) |RationalNumber|)) (-15 -4504 ((-1 (-571)) |RationalNumber|)) (-15 -2981 ((-1 (-571)) |RationalNumber|)) (-15 -2427 ((-571) (-571) (-571) (-571) (-571))))) (T -1051)) 
+((-2427 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1051)))) (-2981 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-571))) (-5 *1 (-1051)))) (-4504 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-571))) (-5 *1 (-1051)))) (-1358 (*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-571))) (-5 *1 (-1051)) (-5 *3 (-571)))) (-3244 (*1 *2 *3) (-12 (-5 *3 (-1091 (-571))) (-5 *2 (-1 (-571))) (-5 *1 (-1051))))) 
+(-10 -7 (-15 -3244 ((-1 (-571)) (-1091 (-571)))) (-15 -1358 ((-1 (-571)) (-571) |RationalNumber|)) (-15 -4504 ((-1 (-571)) |RationalNumber|)) (-15 -2981 ((-1 (-571)) |RationalNumber|)) (-15 -2427 ((-571) (-571) (-571) (-571) (-571)))) 
+((-3942 (((-855) $) NIL) (($ (-571)) 10))) 
+(((-1052 |#1|) (-10 -8 (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) (-1053)) (T -1052)) 
+NIL 
+(-10 -8 (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-1053) (-1289)) (T -1053)) 
+((-2661 (*1 *2) (-12 (-4 *1 (-1053)) (-5 *2 (-768)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1053))))) 
+(-13 (-1060) (-721) (-640 $) (-10 -8 (-15 -2661 ((-768))) (-15 -3942 ($ (-571))) (-6 -4597))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 $) . T) ((-721) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2429 (((-412 (-958 |#2|)) (-637 |#2|) (-637 |#2|) (-768) (-768)) 45))) 
+(((-1054 |#1| |#2|) (-10 -7 (-15 -2429 ((-412 (-958 |#2|)) (-637 |#2|) (-637 |#2|) (-768) (-768)))) (-1169) (-367)) (T -1054)) 
+((-2429 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-768)) (-4 *6 (-367)) (-5 *2 (-412 (-958 *6))) (-5 *1 (-1054 *5 *6)) (-14 *5 (-1169))))) 
+(-10 -7 (-15 -2429 ((-412 (-958 |#2|)) (-637 |#2|) (-637 |#2|) (-768) (-768)))) 
+((-4359 (((-121) $) 27)) (-2209 (((-121) $) 16)) (-3673 (((-768) $) 13)) (-3682 (((-768) $) 14)) (-4208 (((-121) $) 25)) (-4423 (((-121) $) 29))) 
+(((-1055 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -8 (-15 -3682 ((-768) |#1|)) (-15 -3673 ((-768) |#1|)) (-15 -4423 ((-121) |#1|)) (-15 -4359 ((-121) |#1|)) (-15 -4208 ((-121) |#1|)) (-15 -2209 ((-121) |#1|))) (-1056 |#2| |#3| |#4| |#5| |#6|) (-768) (-768) (-1053) (-231 |#3| |#4|) (-231 |#2| |#4|)) (T -1055)) 
+NIL 
+(-10 -8 (-15 -3682 ((-768) |#1|)) (-15 -3673 ((-768) |#1|)) (-15 -4423 ((-121) |#1|)) (-15 -4359 ((-121) |#1|)) (-15 -4208 ((-121) |#1|)) (-15 -2209 ((-121) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4359 (((-121) $) 48)) (-4176 (((-3 $ "failed") $ $) 18)) (-2209 (((-121) $) 50)) (-3133 (((-121) $ (-768)) 58)) (-2269 (($) 16 T CONST)) (-2986 (($ $) 31 (|has| |#3| (-302)))) (-4336 ((|#4| $ (-571)) 36)) (-3241 (((-768) $) 30 (|has| |#3| (-561)))) (-4319 ((|#3| $ (-571) (-571)) 38)) (-4034 (((-637 |#3|) $) 65 (|has| $ (-6 -4600)))) (-3709 (((-768) $) 29 (|has| |#3| (-561)))) (-2855 (((-637 |#5|) $) 28 (|has| |#3| (-561)))) (-3673 (((-768) $) 42)) (-3682 (((-768) $) 41)) (-2262 (((-121) $ (-768)) 57)) (-1950 (((-571) $) 46)) (-3325 (((-571) $) 44)) (-3488 (((-637 |#3|) $) 66 (|has| $ (-6 -4600)))) (-3303 (((-121) |#3| $) 68 (-12 (|has| |#3| (-1097)) (|has| $ (-6 -4600))))) (-4239 (((-571) $) 45)) (-4395 (((-571) $) 43)) (-3567 (($ (-637 (-637 |#3|))) 51)) (-1923 (($ (-1 |#3| |#3|) $) 61 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#3| |#3|) $) 60) (($ (-1 |#3| |#3| |#3|) $ $) 34)) (-3818 (((-637 (-637 |#3|)) $) 40)) (-3794 (((-121) $ (-768)) 56)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-1786 (((-3 $ "failed") $ |#3|) 33 (|has| |#3| (-561)))) (-3160 (((-121) (-1 (-121) |#3|) $) 63 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#3|) (-637 |#3|)) 72 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ |#3| |#3|) 71 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ (-289 |#3|)) 70 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ (-637 (-289 |#3|))) 69 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097))))) (-2127 (((-121) $ $) 52)) (-1828 (((-121) $) 55)) (-1630 (($) 54)) (-3245 ((|#3| $ (-571) (-571)) 39) ((|#3| $ (-571) (-571) |#3|) 37)) (-4208 (((-121) $) 49)) (-1569 (((-768) |#3| $) 67 (-12 (|has| |#3| (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) |#3|) $) 64 (|has| $ (-6 -4600)))) (-4316 (($ $) 53)) (-2852 ((|#5| $ (-571)) 35)) (-3942 (((-855) $) 11)) (-3027 (((-121) (-1 (-121) |#3|) $) 62 (|has| $ (-6 -4600)))) (-4423 (((-121) $) 47)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#3|) 32 (|has| |#3| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ |#3| $) 22) (($ $ |#3|) 24)) (-4001 (((-768) $) 59 (|has| $ (-6 -4600))))) 
+(((-1056 |#1| |#2| |#3| |#4| |#5|) (-1289) (-768) (-768) (-1053) (-231 |t#2| |t#3|) (-231 |t#1| |t#3|)) (T -1056)) 
+((-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-3567 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 *5))) (-4 *5 (-1053)) (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-2209 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-4208 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-4359 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-4423 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-1950 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-571)))) (-4239 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-571)))) (-3325 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-571)))) (-4395 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-571)))) (-3673 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-768)))) (-3682 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-768)))) (-3818 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-637 (-637 *5))))) (-3245 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1056 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1053)))) (-4319 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1056 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1053)))) (-3245 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-1056 *4 *5 *2 *6 *7)) (-4 *2 (-1053)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)))) (-4336 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1056 *4 *5 *6 *2 *7)) (-4 *6 (-1053)) (-4 *7 (-231 *4 *6)) (-4 *2 (-231 *5 *6)))) (-2852 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1056 *4 *5 *6 *7 *2)) (-4 *6 (-1053)) (-4 *7 (-231 *5 *6)) (-4 *2 (-231 *4 *6)))) (-3799 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-1786 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1056 *3 *4 *2 *5 *6)) (-4 *2 (-1053)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-561)))) (-1379 (*1 *1 *1 *2) (-12 (-4 *1 (-1056 *3 *4 *2 *5 *6)) (-4 *2 (-1053)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-367)))) (-2986 (*1 *1 *1) (-12 (-4 *1 (-1056 *2 *3 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *2 *4)) (-4 *4 (-302)))) (-3241 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-561)) (-5 *2 (-768)))) (-3709 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-561)) (-5 *2 (-768)))) (-2855 (*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-561)) (-5 *2 (-637 *7))))) 
+(-13 (-120 |t#3| |t#3|) (-502 |t#3|) (-10 -8 (-6 -4600) (IF (|has| |t#3| (-173)) (-6 (-712 |t#3|)) |noBranch|) (-15 -3567 ($ (-637 (-637 |t#3|)))) (-15 -2209 ((-121) $)) (-15 -4208 ((-121) $)) (-15 -4359 ((-121) $)) (-15 -4423 ((-121) $)) (-15 -1950 ((-571) $)) (-15 -4239 ((-571) $)) (-15 -3325 ((-571) $)) (-15 -4395 ((-571) $)) (-15 -3673 ((-768) $)) (-15 -3682 ((-768) $)) (-15 -3818 ((-637 (-637 |t#3|)) $)) (-15 -3245 (|t#3| $ (-571) (-571))) (-15 -4319 (|t#3| $ (-571) (-571))) (-15 -3245 (|t#3| $ (-571) (-571) |t#3|)) (-15 -4336 (|t#4| $ (-571))) (-15 -2852 (|t#5| $ (-571))) (-15 -3799 ($ (-1 |t#3| |t#3|) $)) (-15 -3799 ($ (-1 |t#3| |t#3| |t#3|) $ $)) (IF (|has| |t#3| (-561)) (-15 -1786 ((-3 $ "failed") $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-367)) (-15 -1379 ($ $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-302)) (-15 -2986 ($ $)) |noBranch|) (IF (|has| |t#3| (-561)) (PROGN (-15 -3241 ((-768) $)) (-15 -3709 ((-768) $)) (-15 -2855 ((-637 |t#5|) $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-105) . T) ((-120 |#3| |#3|) . T) ((-138) . T) ((-611 (-855)) . T) ((-304 |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097))) ((-502 |#3|) . T) ((-526 |#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097))) ((-640 |#3|) . T) ((-712 |#3|) |has| |#3| (-173)) ((-1059 |#3|) . T) ((-1097) . T) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4359 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2209 (((-121) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2269 (($) NIL T CONST)) (-2986 (($ $) 40 (|has| |#3| (-302)))) (-4336 (((-233 |#2| |#3|) $ (-571)) 29)) (-3145 (($ (-684 |#3|)) 38)) (-3241 (((-768) $) 42 (|has| |#3| (-561)))) (-4319 ((|#3| $ (-571) (-571)) NIL)) (-4034 (((-637 |#3|) $) NIL (|has| $ (-6 -4600)))) (-3709 (((-768) $) 44 (|has| |#3| (-561)))) (-2855 (((-637 (-233 |#1| |#3|)) $) 48 (|has| |#3| (-561)))) (-3673 (((-768) $) NIL)) (-3682 (((-768) $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1950 (((-571) $) NIL)) (-3325 (((-571) $) NIL)) (-3488 (((-637 |#3|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#3| (-1097))))) (-4239 (((-571) $) NIL)) (-4395 (((-571) $) NIL)) (-3567 (($ (-637 (-637 |#3|))) 24)) (-1923 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) NIL)) (-3818 (((-637 (-637 |#3|)) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1786 (((-3 $ "failed") $ |#3|) NIL (|has| |#3| (-561)))) (-3160 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#3|) (-637 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ (-637 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#3| $ (-571) (-571)) NIL) ((|#3| $ (-571) (-571) |#3|) NIL)) (-3847 (((-140)) 51 (|has| |#3| (-367)))) (-4208 (((-121) $) NIL)) (-1569 (((-768) |#3| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#3| (-1097)))) (((-768) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) 60 (|has| |#3| (-612 (-544))))) (-2852 (((-233 |#1| |#3|) $ (-571)) 33)) (-3942 (((-855) $) 16) (((-684 |#3|) $) 35)) (-3027 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-2369 (($) 13 T CONST)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#3|) NIL (|has| |#3| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ |#3| $) NIL) (($ $ |#3|) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1057 |#1| |#2| |#3|) (-13 (-1056 |#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) (-611 (-684 |#3|)) (-10 -8 (IF (|has| |#3| (-367)) (-6 (-1265 |#3|)) |noBranch|) (IF (|has| |#3| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) (-15 -3145 ($ (-684 |#3|))) (-15 -3942 ((-684 |#3|) $)))) (-768) (-768) (-1053)) (T -1057)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-684 *5)) (-5 *1 (-1057 *3 *4 *5)) (-14 *3 (-768)) (-14 *4 (-768)) (-4 *5 (-1053)))) (-3145 (*1 *1 *2) (-12 (-5 *2 (-684 *5)) (-4 *5 (-1053)) (-5 *1 (-1057 *3 *4 *5)) (-14 *3 (-768)) (-14 *4 (-768))))) 
+(-13 (-1056 |#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) (-611 (-684 |#3|)) (-10 -8 (IF (|has| |#3| (-367)) (-6 (-1265 |#3|)) |noBranch|) (IF (|has| |#3| (-612 (-544))) (-6 (-612 (-544))) |noBranch|) (-15 -3145 ($ (-684 |#3|))) (-15 -3942 ((-684 |#3|) $)))) 
+((-3074 ((|#7| (-1 |#7| |#3| |#7|) |#6| |#7|) 34)) (-3799 ((|#10| (-1 |#7| |#3|) |#6|) 32))) 
+(((-1058 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10|) (-10 -7 (-15 -3799 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -3074 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) (-768) (-768) (-1053) (-231 |#2| |#3|) (-231 |#1| |#3|) (-1056 |#1| |#2| |#3| |#4| |#5|) (-1053) (-231 |#2| |#7|) (-231 |#1| |#7|) (-1056 |#1| |#2| |#7| |#8| |#9|)) (T -1058)) 
+((-3074 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1053)) (-4 *2 (-1053)) (-14 *5 (-768)) (-14 *6 (-768)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *10 (-231 *6 *2)) (-4 *11 (-231 *5 *2)) (-5 *1 (-1058 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1056 *5 *6 *7 *8 *9)) (-4 *12 (-1056 *5 *6 *2 *10 *11)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1053)) (-4 *10 (-1053)) (-14 *5 (-768)) (-14 *6 (-768)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *2 (-1056 *5 *6 *10 *11 *12)) (-5 *1 (-1058 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1056 *5 *6 *7 *8 *9)) (-4 *11 (-231 *6 *10)) (-4 *12 (-231 *5 *10))))) 
+(-10 -7 (-15 -3799 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -3074 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ |#1|) 22))) 
+(((-1059 |#1|) (-1289) (-1060)) (T -1059)) 
+((* (*1 *1 *1 *2) (-12 (-4 *1 (-1059 *2)) (-4 *2 (-1060))))) 
 (-13 (-21) (-10 -8 (-15 * ($ $ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) 25)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-1056) (-1284)) (T -1056)) 
-NIL 
-(-13 (-21) (-1105)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1105) . T) ((-1093) . T)) 
-((-3146 (($ $) 16)) (-3411 (($ $) 22)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 49)) (-3046 (($ $) 24)) (-1391 (($ $) 11)) (-1807 (($ $) 38)) (-4035 (((-382) $) NIL) (((-216) $) NIL) (((-889 (-382)) $) 33)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 28) (($ (-569)) NIL) (($ (-410 (-569))) 28)) (-2320 (((-765)) 8)) (-3215 (($ $) 39))) 
-(((-1057 |#1|) (-10 -8 (-15 -3411 (|#1| |#1|)) (-15 -3146 (|#1| |#1|)) (-15 -1391 (|#1| |#1|)) (-15 -1807 (|#1| |#1|)) (-15 -3215 (|#1| |#1|)) (-15 -3046 (|#1| |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3956 ((-852) |#1|))) (-1058)) (T -1057)) 
-((-2320 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1057 *3)) (-4 *3 (-1058))))) 
-(-10 -8 (-15 -3411 (|#1| |#1|)) (-15 -3146 (|#1| |#1|)) (-15 -1391 (|#1| |#1|)) (-15 -1807 (|#1| |#1|)) (-15 -3215 (|#1| |#1|)) (-15 -3046 (|#1| |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3644 (((-569) $) 85)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3146 (($ $) 83)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-3422 (($ $) 93)) (-2889 (((-121) $ $) 57)) (-3817 (((-569) $) 110)) (-4483 (($) 16 T CONST)) (-3411 (($ $) 82)) (-3003 (((-3 (-569) "failed") $) 98) (((-3 (-410 (-569)) "failed") $) 95)) (-1321 (((-569) $) 97) (((-410 (-569)) $) 94)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-1863 (((-121) $) 108)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 89)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 92)) (-3046 (($ $) 88)) (-4311 (((-121) $) 109)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2157 (($ $ $) 107)) (-2713 (($ $ $) 106)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1391 (($ $) 84)) (-1807 (($ $) 86)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-4035 (((-382) $) 101) (((-216) $) 100) (((-889 (-382)) $) 90)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 99) (($ (-410 (-569))) 96)) (-2320 (((-765)) 28)) (-3215 (($ $) 87)) (-2909 (((-121) $ $) 38)) (-4080 (($ $) 111)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 104)) (-1343 (((-121) $ $) 103)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 105)) (-1337 (((-121) $ $) 102)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 91)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-1058) (-1284)) (T -1058)) 
-((-4080 (*1 *1 *1) (-4 *1 (-1058))) (-3046 (*1 *1 *1) (-4 *1 (-1058))) (-3215 (*1 *1 *1) (-4 *1 (-1058))) (-1807 (*1 *1 *1) (-4 *1 (-1058))) (-3644 (*1 *2 *1) (-12 (-4 *1 (-1058)) (-5 *2 (-569)))) (-1391 (*1 *1 *1) (-4 *1 (-1058))) (-3146 (*1 *1 *1) (-4 *1 (-1058))) (-3411 (*1 *1 *1) (-4 *1 (-1058)))) 
-(-13 (-366) (-842) (-1023) (-1039 (-569)) (-1039 (-410 (-569))) (-1004) (-610 (-889 (-382))) (-883 (-382)) (-151) (-10 -8 (-15 -3046 ($ $)) (-15 -3215 ($ $)) (-15 -1807 ($ $)) (-15 -3644 ((-569) $)) (-15 -1391 ($ $)) (-15 -3146 ($ $)) (-15 -3411 ($ $)) (-15 -4080 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-889 (-382))) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-842) . T) ((-844) . T) ((-883 (-382)) . T) ((-918) . T) ((-1004) . T) ((-1023) . T) ((-1039 (-410 (-569))) . T) ((-1039 (-569)) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) |#2| $) 23)) (-2675 ((|#1| $) 10)) (-3817 (((-569) |#2| $) 88)) (-2306 (((-3 $ "failed") |#2| (-919)) 58)) (-3417 ((|#1| $) 28)) (-2465 ((|#1| |#2| $ |#1|) 37)) (-1504 (($ $) 25)) (-2611 (((-3 |#2| "failed") |#2| $) 87)) (-1863 (((-121) |#2| $) NIL)) (-4311 (((-121) |#2| $) NIL)) (-4099 (((-121) |#2| $) 24)) (-3826 ((|#1| $) 89)) (-3149 ((|#1| $) 27)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3036 ((|#2| $) 79)) (-3956 (((-852) $) 71)) (-4334 ((|#1| |#2| $ |#1|) 38)) (-2813 (((-635 $) |#2|) 60)) (-1326 (((-121) $ $) 74))) 
-(((-1059 |#1| |#2|) (-13 (-1065 |#1| |#2|) (-10 -8 (-15 -3149 (|#1| $)) (-15 -3417 (|#1| $)) (-15 -2675 (|#1| $)) (-15 -3826 (|#1| $)) (-15 -1504 ($ $)) (-15 -4099 ((-121) |#2| $)) (-15 -2465 (|#1| |#2| $ |#1|)))) (-13 (-842) (-366)) (-1228 |#1|)) (T -1059)) 
-((-2465 (*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-3149 (*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-3417 (*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-2675 (*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-3826 (*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-1504 (*1 *1 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-4099 (*1 *2 *3 *1) (-12 (-4 *4 (-13 (-842) (-366))) (-5 *2 (-121)) (-5 *1 (-1059 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-13 (-1065 |#1| |#2|) (-10 -8 (-15 -3149 (|#1| $)) (-15 -3417 (|#1| $)) (-15 -2675 (|#1| $)) (-15 -3826 (|#1| $)) (-15 -1504 ($ $)) (-15 -4099 ((-121) |#2| $)) (-15 -2465 (|#1| |#2| $ |#1|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3163 (($ $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1796 (($ $ $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL)) (-2546 (($ $ $) NIL)) (-4483 (($) NIL T CONST)) (-1781 (($ (-1165)) 10) (($ (-569)) 7)) (-3003 (((-3 (-569) "failed") $) NIL)) (-1321 (((-569) $) NIL)) (-1614 (($ $ $) NIL)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL)) (-4429 (((-121) $) NIL)) (-2096 (((-410 (-569)) $) NIL)) (-3341 (($) NIL) (($ $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1306 (($ $ $ $) NIL)) (-3872 (($ $ $) NIL)) (-1863 (((-121) $) NIL)) (-2578 (($ $ $) NIL)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL)) (-3934 (((-121) $) NIL)) (-3520 (((-121) $) NIL)) (-1542 (((-3 $ "failed") $) NIL)) (-4311 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4416 (($ $ $ $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-1852 (($ $) NIL)) (-2718 (($ $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-2624 (($ $ $) NIL)) (-1423 (($) NIL T CONST)) (-2144 (($ $) NIL)) (-1912 (((-1111) $) NIL) (($ $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1954 (($ $) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-3231 (($ $) NIL)) (-1799 (($ $) NIL)) (-4035 (((-569) $) 16) (((-542) $) NIL) (((-889 (-569)) $) NIL) (((-382) $) NIL) (((-216) $) NIL) (($ (-1165)) 9)) (-3956 (((-852) $) 20) (($ (-569)) 6) (($ $) NIL) (($ (-569)) 6)) (-2320 (((-765)) NIL)) (-3245 (((-121) $ $) NIL)) (-4196 (($ $ $) NIL)) (-1710 (($) NIL)) (-2909 (((-121) $ $) NIL)) (-4005 (($ $ $ $) NIL)) (-4080 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1377 (($ $) 19) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
-(((-1060) (-13 (-551) (-10 -8 (-6 -4558) (-6 -4563) (-6 -4559) (-15 -4035 ($ (-1165))) (-15 -1781 ($ (-1165))) (-15 -1781 ($ (-569)))))) (T -1060)) 
-((-4035 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1060)))) (-1781 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1060)))) (-1781 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1060))))) 
-(-13 (-551) (-10 -8 (-6 -4558) (-6 -4563) (-6 -4559) (-15 -4035 ($ (-1165))) (-15 -1781 ($ (-1165))) (-15 -1781 ($ (-569))))) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-1403 (((-1258) $ (-1165) (-1165)) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-4473 (($) 9)) (-2511 (((-57) $ (-1165) (-57)) NIL)) (-2759 (($ $) 23)) (-1372 (($ $) 21)) (-3200 (($ $) 20)) (-3884 (($ $) 22)) (-2602 (($ $) 25)) (-1472 (($ $) 26)) (-3331 (($ $) 19)) (-3622 (($ $) 24)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) 18 (|has| $ (-6 -4571)))) (-1809 (((-3 (-57) "failed") (-1165) $) 34)) (-4483 (($) NIL T CONST)) (-2139 (($) 7)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-2006 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) 46 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-3 (-57) "failed") (-1165) $) NIL)) (-3503 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2281 (((-3 (-1147) "failed") $ (-1147) (-569)) 59)) (-3982 (((-57) $ (-1165) (-57)) NIL (|has| $ (-6 -4572)))) (-4124 (((-57) $ (-1165)) NIL)) (-4303 (((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-1165) $) NIL (|has| (-1165) (-844)))) (-4457 (((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) 28 (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-1301 (((-1165) $) NIL (|has| (-1165) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4572))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-1316 (((-635 (-1165)) $) NIL)) (-1591 (((-121) (-1165) $) NIL)) (-4496 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL)) (-2351 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) 37)) (-2761 (((-635 (-1165)) $) NIL)) (-3292 (((-121) (-1165) $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-3259 (((-382) $ (-1165)) 45)) (-2313 (((-635 (-1147)) $ (-1147)) 60)) (-1816 (((-57) $) NIL (|has| (-1165) (-844)))) (-2569 (((-3 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) "failed") (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL)) (-2417 (($ $ (-57)) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-289 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-4283 (((-635 (-57)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 (((-57) $ (-1165)) NIL) (((-57) $ (-1165) (-57)) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-2726 (($ $ (-1165)) 47)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-765) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093)))) (((-765) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) 30)) (-4456 (($ $ $) 31)) (-3956 (((-852) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-2884 (($ $ (-1165) (-382)) 43)) (-2444 (($ $ (-1165) (-382)) 44)) (-1753 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1061) (-13 (-1176 (-1165) (-57)) (-10 -8 (-15 -4456 ($ $ $)) (-15 -2139 ($)) (-15 -3331 ($ $)) (-15 -3200 ($ $)) (-15 -1372 ($ $)) (-15 -3884 ($ $)) (-15 -3622 ($ $)) (-15 -2759 ($ $)) (-15 -2602 ($ $)) (-15 -1472 ($ $)) (-15 -2884 ($ $ (-1165) (-382))) (-15 -2444 ($ $ (-1165) (-382))) (-15 -3259 ((-382) $ (-1165))) (-15 -2313 ((-635 (-1147)) $ (-1147))) (-15 -2726 ($ $ (-1165))) (-15 -4473 ($)) (-15 -2281 ((-3 (-1147) "failed") $ (-1147) (-569))) (-6 -4571)))) (T -1061)) 
-((-4456 (*1 *1 *1 *1) (-5 *1 (-1061))) (-2139 (*1 *1) (-5 *1 (-1061))) (-3331 (*1 *1 *1) (-5 *1 (-1061))) (-3200 (*1 *1 *1) (-5 *1 (-1061))) (-1372 (*1 *1 *1) (-5 *1 (-1061))) (-3884 (*1 *1 *1) (-5 *1 (-1061))) (-3622 (*1 *1 *1) (-5 *1 (-1061))) (-2759 (*1 *1 *1) (-5 *1 (-1061))) (-2602 (*1 *1 *1) (-5 *1 (-1061))) (-1472 (*1 *1 *1) (-5 *1 (-1061))) (-2884 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-382)) (-5 *1 (-1061)))) (-2444 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-382)) (-5 *1 (-1061)))) (-3259 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-382)) (-5 *1 (-1061)))) (-2313 (*1 *2 *1 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1061)) (-5 *3 (-1147)))) (-2726 (*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1061)))) (-4473 (*1 *1) (-5 *1 (-1061))) (-2281 (*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-1061))))) 
-(-13 (-1176 (-1165) (-57)) (-10 -8 (-15 -4456 ($ $ $)) (-15 -2139 ($)) (-15 -3331 ($ $)) (-15 -3200 ($ $)) (-15 -1372 ($ $)) (-15 -3884 ($ $)) (-15 -3622 ($ $)) (-15 -2759 ($ $)) (-15 -2602 ($ $)) (-15 -1472 ($ $)) (-15 -2884 ($ $ (-1165) (-382))) (-15 -2444 ($ $ (-1165) (-382))) (-15 -3259 ((-382) $ (-1165))) (-15 -2313 ((-635 (-1147)) $ (-1147))) (-15 -2726 ($ $ (-1165))) (-15 -4473 ($)) (-15 -2281 ((-3 (-1147) "failed") $ (-1147) (-569))) (-6 -4571))) 
-((-2394 (($ $) 45)) (-1712 (((-121) $ $) 74)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 $ "failed") (-955 (-410 (-569)))) 226) (((-3 $ "failed") (-955 (-569))) 225) (((-3 $ "failed") (-955 |#2|)) 228)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL) ((|#4| $) NIL) (($ (-955 (-410 (-569)))) 214) (($ (-955 (-569))) 210) (($ (-955 |#2|)) 230)) (-3373 (($ $) NIL) (($ $ |#4|) 43)) (-3782 (((-121) $ $) 111) (((-121) $ (-635 $)) 112)) (-4325 (((-121) $) 56)) (-1530 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 106)) (-4186 (($ $) 137)) (-2823 (($ $) 133)) (-2145 (($ $) 132)) (-3706 (($ $ $) 79) (($ $ $ |#4|) 84)) (-4027 (($ $ $) 82) (($ $ $ |#4|) 86)) (-1660 (((-121) $ $) 120) (((-121) $ (-635 $)) 121)) (-1473 ((|#4| $) 33)) (-4518 (($ $ $) 109)) (-3312 (((-121) $) 55)) (-3889 (((-765) $) 35)) (-3675 (($ $) 151)) (-2796 (($ $) 148)) (-2047 (((-635 $) $) 68)) (-3866 (($ $) 57)) (-1564 (($ $) 144)) (-2248 (((-635 $) $) 65)) (-3516 (($ $) 59)) (-3270 ((|#2| $) NIL) (($ $ |#4|) 38)) (-2879 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2978 (-765))) $ $) 110)) (-2579 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $) 107) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $ |#4|) 108)) (-1734 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $) 103) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $ |#4|) 104)) (-3181 (($ $ $) 89) (($ $ $ |#4|) 94)) (-3253 (($ $ $) 90) (($ $ $ |#4|) 95)) (-3940 (((-635 $) $) 51)) (-2114 (((-121) $ $) 117) (((-121) $ (-635 $)) 118)) (-2709 (($ $ $) 102)) (-1423 (($ $) 37)) (-1861 (((-121) $ $) 72)) (-3072 (((-121) $ $) 113) (((-121) $ (-635 $)) 115)) (-1910 (($ $ $) 100)) (-1603 (($ $) 40)) (-3964 ((|#2| |#2| $) 141) (($ (-635 $)) NIL) (($ $ $) NIL)) (-2056 (($ $ |#2|) NIL) (($ $ $) 130)) (-4239 (($ $ |#2|) 125) (($ $ $) 128)) (-1444 (($ $) 48)) (-3486 (($ $) 52)) (-4035 (((-889 (-382)) $) NIL) (((-889 (-569)) $) NIL) (((-542) $) NIL) (($ (-955 (-410 (-569)))) 216) (($ (-955 (-569))) 212) (($ (-955 |#2|)) 227) (((-1147) $) 249) (((-955 |#2|) $) 161)) (-3956 (((-852) $) 30) (($ (-569)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (((-955 |#2|) $) 162) (($ (-410 (-569))) NIL) (($ $) NIL)) (-3183 (((-3 (-121) "failed") $ $) 71))) 
-(((-1062 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -3964 (|#1| |#1| |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 ((-955 |#2|) |#1|)) (-15 -4035 ((-955 |#2|) |#1|)) (-15 -4035 ((-1147) |#1|)) (-15 -3675 (|#1| |#1|)) (-15 -2796 (|#1| |#1|)) (-15 -1564 (|#1| |#1|)) (-15 -4186 (|#1| |#1|)) (-15 -3964 (|#2| |#2| |#1|)) (-15 -2056 (|#1| |#1| |#1|)) (-15 -4239 (|#1| |#1| |#1|)) (-15 -2056 (|#1| |#1| |#2|)) (-15 -4239 (|#1| |#1| |#2|)) (-15 -2823 (|#1| |#1|)) (-15 -2145 (|#1| |#1|)) (-15 -4035 (|#1| (-955 |#2|))) (-15 -1321 (|#1| (-955 |#2|))) (-15 -3003 ((-3 |#1| "failed") (-955 |#2|))) (-15 -4035 (|#1| (-955 (-569)))) (-15 -1321 (|#1| (-955 (-569)))) (-15 -3003 ((-3 |#1| "failed") (-955 (-569)))) (-15 -4035 (|#1| (-955 (-410 (-569))))) (-15 -1321 (|#1| (-955 (-410 (-569))))) (-15 -3003 ((-3 |#1| "failed") (-955 (-410 (-569))))) (-15 -2709 (|#1| |#1| |#1|)) (-15 -1910 (|#1| |#1| |#1|)) (-15 -2879 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -2978 (-765))) |#1| |#1|)) (-15 -4518 (|#1| |#1| |#1|)) (-15 -1530 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1734 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -1734 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -3253 (|#1| |#1| |#1| |#4|)) (-15 -3181 (|#1| |#1| |#1| |#4|)) (-15 -3253 (|#1| |#1| |#1|)) (-15 -3181 (|#1| |#1| |#1|)) (-15 -4027 (|#1| |#1| |#1| |#4|)) (-15 -3706 (|#1| |#1| |#1| |#4|)) (-15 -4027 (|#1| |#1| |#1|)) (-15 -3706 (|#1| |#1| |#1|)) (-15 -1660 ((-121) |#1| (-635 |#1|))) (-15 -1660 ((-121) |#1| |#1|)) (-15 -2114 ((-121) |#1| (-635 |#1|))) (-15 -2114 ((-121) |#1| |#1|)) (-15 -3072 ((-121) |#1| (-635 |#1|))) (-15 -3072 ((-121) |#1| |#1|)) (-15 -3782 ((-121) |#1| (-635 |#1|))) (-15 -3782 ((-121) |#1| |#1|)) (-15 -1712 ((-121) |#1| |#1|)) (-15 -1861 ((-121) |#1| |#1|)) (-15 -3183 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2047 ((-635 |#1|) |#1|)) (-15 -2248 ((-635 |#1|) |#1|)) (-15 -3516 (|#1| |#1|)) (-15 -3866 (|#1| |#1|)) (-15 -4325 ((-121) |#1|)) (-15 -3312 ((-121) |#1|)) (-15 -3373 (|#1| |#1| |#4|)) (-15 -3270 (|#1| |#1| |#4|)) (-15 -3486 (|#1| |#1|)) (-15 -3940 ((-635 |#1|) |#1|)) (-15 -1444 (|#1| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -1603 (|#1| |#1|)) (-15 -1423 (|#1| |#1|)) (-15 -3889 ((-765) |#1|)) (-15 -1473 (|#4| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -1321 (|#4| |#1|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -3956 (|#1| |#4|)) (-15 -3270 (|#2| |#1|)) (-15 -3373 (|#1| |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-1063 |#2| |#3| |#4|) (-1049) (-790) (-844)) (T -1062)) 
-NIL 
-(-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -3964 (|#1| |#1| |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 ((-955 |#2|) |#1|)) (-15 -4035 ((-955 |#2|) |#1|)) (-15 -4035 ((-1147) |#1|)) (-15 -3675 (|#1| |#1|)) (-15 -2796 (|#1| |#1|)) (-15 -1564 (|#1| |#1|)) (-15 -4186 (|#1| |#1|)) (-15 -3964 (|#2| |#2| |#1|)) (-15 -2056 (|#1| |#1| |#1|)) (-15 -4239 (|#1| |#1| |#1|)) (-15 -2056 (|#1| |#1| |#2|)) (-15 -4239 (|#1| |#1| |#2|)) (-15 -2823 (|#1| |#1|)) (-15 -2145 (|#1| |#1|)) (-15 -4035 (|#1| (-955 |#2|))) (-15 -1321 (|#1| (-955 |#2|))) (-15 -3003 ((-3 |#1| "failed") (-955 |#2|))) (-15 -4035 (|#1| (-955 (-569)))) (-15 -1321 (|#1| (-955 (-569)))) (-15 -3003 ((-3 |#1| "failed") (-955 (-569)))) (-15 -4035 (|#1| (-955 (-410 (-569))))) (-15 -1321 (|#1| (-955 (-410 (-569))))) (-15 -3003 ((-3 |#1| "failed") (-955 (-410 (-569))))) (-15 -2709 (|#1| |#1| |#1|)) (-15 -1910 (|#1| |#1| |#1|)) (-15 -2879 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -2978 (-765))) |#1| |#1|)) (-15 -4518 (|#1| |#1| |#1|)) (-15 -1530 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1734 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -1734 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -3253 (|#1| |#1| |#1| |#4|)) (-15 -3181 (|#1| |#1| |#1| |#4|)) (-15 -3253 (|#1| |#1| |#1|)) (-15 -3181 (|#1| |#1| |#1|)) (-15 -4027 (|#1| |#1| |#1| |#4|)) (-15 -3706 (|#1| |#1| |#1| |#4|)) (-15 -4027 (|#1| |#1| |#1|)) (-15 -3706 (|#1| |#1| |#1|)) (-15 -1660 ((-121) |#1| (-635 |#1|))) (-15 -1660 ((-121) |#1| |#1|)) (-15 -2114 ((-121) |#1| (-635 |#1|))) (-15 -2114 ((-121) |#1| |#1|)) (-15 -3072 ((-121) |#1| (-635 |#1|))) (-15 -3072 ((-121) |#1| |#1|)) (-15 -3782 ((-121) |#1| (-635 |#1|))) (-15 -3782 ((-121) |#1| |#1|)) (-15 -1712 ((-121) |#1| |#1|)) (-15 -1861 ((-121) |#1| |#1|)) (-15 -3183 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2047 ((-635 |#1|) |#1|)) (-15 -2248 ((-635 |#1|) |#1|)) (-15 -3516 (|#1| |#1|)) (-15 -3866 (|#1| |#1|)) (-15 -4325 ((-121) |#1|)) (-15 -3312 ((-121) |#1|)) (-15 -3373 (|#1| |#1| |#4|)) (-15 -3270 (|#1| |#1| |#4|)) (-15 -3486 (|#1| |#1|)) (-15 -3940 ((-635 |#1|) |#1|)) (-15 -1444 (|#1| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -1603 (|#1| |#1|)) (-15 -1423 (|#1| |#1|)) (-15 -3889 ((-765) |#1|)) (-15 -1473 (|#4| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -1321 (|#4| |#1|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -3956 (|#1| |#4|)) (-15 -3270 (|#2| |#1|)) (-15 -3373 (|#1| |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 |#3|) $) 108)) (-3132 (((-1161 $) $ |#3|) 123) (((-1161 |#1|) $) 122)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-2915 (($ $) 86 (|has| |#1| (-559)))) (-2735 (((-121) $) 88 (|has| |#1| (-559)))) (-1290 (((-765) $) 110) (((-765) $ (-635 |#3|)) 109)) (-2394 (($ $) 250)) (-1712 (((-121) $ $) 236)) (-3748 (((-3 $ "failed") $ $) 18)) (-2594 (($ $ $) 195 (|has| |#1| (-559)))) (-4507 (((-635 $) $ $) 190 (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) 98 (|has| |#1| (-906)))) (-2710 (($ $) 96 (|has| |#1| (-454)))) (-3742 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 101 (|has| |#1| (-906)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1039 (-569)))) (((-3 |#3| "failed") $) 134) (((-3 $ "failed") (-955 (-410 (-569)))) 210 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165))))) (((-3 $ "failed") (-955 (-569))) 207 (-1929 (-12 (-3182 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1165)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165)))))) (((-3 $ "failed") (-955 |#1|)) 204 (-1929 (-12 (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-43 (-569)))) (|has| |#3| (-610 (-1165)))) (-12 (-3182 (|has| |#1| (-551))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1165)))) (-12 (-3182 (|has| |#1| (-995 (-569)))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165))))))) (-1321 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1039 (-569)))) ((|#3| $) 133) (($ (-955 (-410 (-569)))) 209 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165))))) (($ (-955 (-569))) 206 (-1929 (-12 (-3182 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1165)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165)))))) (($ (-955 |#1|)) 203 (-1929 (-12 (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-43 (-569)))) (|has| |#3| (-610 (-1165)))) (-12 (-3182 (|has| |#1| (-551))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1165)))) (-12 (-3182 (|has| |#1| (-995 (-569)))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165))))))) (-3673 (($ $ $ |#3|) 106 (|has| |#1| (-173))) (($ $ $) 191 (|has| |#1| (-559)))) (-3373 (($ $) 152) (($ $ |#3|) 245)) (-3435 (((-681 (-569)) (-681 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 130) (((-681 |#1|) (-681 $)) 129)) (-3782 (((-121) $ $) 235) (((-121) $ (-635 $)) 234)) (-2611 (((-3 $ "failed") $) 33)) (-4325 (((-121) $) 243)) (-1530 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 215)) (-4186 (($ $) 184 (|has| |#1| (-454)))) (-2540 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-3367 (((-635 $) $) 107)) (-2005 (((-121) $) 94 (|has| |#1| (-906)))) (-2823 (($ $) 200 (|has| |#1| (-559)))) (-2145 (($ $) 201 (|has| |#1| (-559)))) (-3706 (($ $ $) 227) (($ $ $ |#3|) 225)) (-4027 (($ $ $) 226) (($ $ $ |#3|) 224)) (-2916 (($ $ |#1| |#2| $) 170)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 82 (-12 (|has| |#3| (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 81 (-12 (|has| |#3| (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-3934 (((-121) $) 30)) (-4118 (((-765) $) 167)) (-1660 (((-121) $ $) 229) (((-121) $ (-635 $)) 228)) (-3151 (($ $ $ $ $) 186 (|has| |#1| (-559)))) (-1473 ((|#3| $) 254)) (-3187 (($ (-1161 |#1|) |#3|) 115) (($ (-1161 $) |#3|) 114)) (-2905 (((-635 $) $) 124)) (-3052 (((-121) $) 150)) (-3179 (($ |#1| |#2|) 151) (($ $ |#3| (-765)) 117) (($ $ (-635 |#3|) (-635 (-765))) 116)) (-4518 (($ $ $) 214)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#3|) 118)) (-3312 (((-121) $) 244)) (-4294 ((|#2| $) 168) (((-765) $ |#3|) 120) (((-635 (-765)) $ (-635 |#3|)) 119)) (-2157 (($ $ $) 77 (|has| |#1| (-844)))) (-3889 (((-765) $) 253)) (-2713 (($ $ $) 76 (|has| |#1| (-844)))) (-1541 (($ (-1 |#2| |#2|) $) 169)) (-4188 (($ (-1 |#1| |#1|) $) 149)) (-3407 (((-3 |#3| "failed") $) 121)) (-3675 (($ $) 181 (|has| |#1| (-454)))) (-2796 (($ $) 182 (|has| |#1| (-454)))) (-2047 (((-635 $) $) 239)) (-3866 (($ $) 242)) (-1564 (($ $) 183 (|has| |#1| (-454)))) (-2248 (((-635 $) $) 240)) (-3516 (($ $) 241)) (-3263 (($ $) 147)) (-3270 ((|#1| $) 146) (($ $ |#3|) 246)) (-1657 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2879 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2978 (-765))) $ $) 213)) (-2579 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $) 217) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $ |#3|) 216)) (-1734 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $) 219) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $ |#3|) 218)) (-3181 (($ $ $) 223) (($ $ $ |#3|) 221)) (-3253 (($ $ $) 222) (($ $ $ |#3|) 220)) (-2605 (((-1147) $) 9)) (-1961 (($ $ $) 189 (|has| |#1| (-559)))) (-3940 (((-635 $) $) 248)) (-2617 (((-3 (-635 $) "failed") $) 112)) (-2085 (((-3 (-635 $) "failed") $) 113)) (-2601 (((-3 (-2 (|:| |var| |#3|) (|:| -3190 (-765))) "failed") $) 111)) (-2114 (((-121) $ $) 231) (((-121) $ (-635 $)) 230)) (-2709 (($ $ $) 211)) (-1423 (($ $) 252)) (-1861 (((-121) $ $) 237)) (-3072 (((-121) $ $) 233) (((-121) $ (-635 $)) 232)) (-1910 (($ $ $) 212)) (-1603 (($ $) 251)) (-1912 (((-1111) $) 10)) (-3049 (((-2 (|:| -3964 $) (|:| |coef2| $)) $ $) 192 (|has| |#1| (-559)))) (-3178 (((-2 (|:| -3964 $) (|:| |coef1| $)) $ $) 193 (|has| |#1| (-559)))) (-3249 (((-121) $) 164)) (-3256 ((|#1| $) 165)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 93 (|has| |#1| (-454)))) (-3964 ((|#1| |#1| $) 185 (|has| |#1| (-454))) (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 100 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 99 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 97 (|has| |#1| (-906)))) (-3061 (((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 194 (|has| |#1| (-559)))) (-1436 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-2056 (($ $ |#1|) 198 (|has| |#1| (-559))) (($ $ $) 196 (|has| |#1| (-559)))) (-4239 (($ $ |#1|) 199 (|has| |#1| (-559))) (($ $ $) 197 (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136)) (-2925 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3289 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-765)) 39) (($ $ (-635 |#3|) (-635 (-765))) 38)) (-2284 ((|#2| $) 148) (((-765) $ |#3|) 128) (((-635 (-765)) $ (-635 |#3|)) 127)) (-1444 (($ $) 249)) (-3486 (($ $) 247)) (-4035 (((-889 (-382)) $) 80 (-12 (|has| |#3| (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) 79 (-12 (|has| |#3| (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542))))) (($ (-955 (-410 (-569)))) 208 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165))))) (($ (-955 (-569))) 205 (-1929 (-12 (-3182 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1165)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165)))))) (($ (-955 |#1|)) 202 (|has| |#3| (-610 (-1165)))) (((-1147) $) 180 (-12 (|has| |#1| (-1039 (-569))) (|has| |#3| (-610 (-1165))))) (((-955 |#1|) $) 179 (|has| |#3| (-610 (-1165))))) (-2363 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 102 (-3993 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (((-955 |#1|) $) 178 (|has| |#3| (-610 (-1165)))) (($ (-410 (-569))) 70 (-1929 (|has| |#1| (-1039 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) 166)) (-3802 ((|#1| $ |#2|) 153) (($ $ |#3| (-765)) 126) (($ $ (-635 |#3|) (-635 (-765))) 125)) (-2277 (((-3 $ "failed") $) 71 (-1929 (-3993 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 28)) (-2587 (($ $ $ (-765)) 171 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 87 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3183 (((-3 (-121) "failed") $ $) 238)) (-3297 (($) 29 T CONST)) (-2088 (($ $ $ $ (-765)) 187 (|has| |#1| (-559)))) (-4117 (($ $ $ (-765)) 188 (|has| |#1| (-559)))) (-3712 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-765)) 35) (($ $ (-635 |#3|) (-635 (-765))) 34)) (-1355 (((-121) $ $) 74 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 73 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 72 (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-1063 |#1| |#2| |#3|) (-1284) (-1049) (-790) (-844)) (T -1063)) 
-((-1473 (*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-3889 (*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-765)))) (-1423 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-1603 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-2394 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-1444 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3940 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5)))) (-3486 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3270 (*1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-3373 (*1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-3312 (*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-4325 (*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-3866 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3516 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-2248 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5)))) (-2047 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5)))) (-3183 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-1861 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-1712 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-3782 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-3782 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) (-3072 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-3072 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) (-2114 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-2114 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) (-1660 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-1660 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) (-3706 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-4027 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3706 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-4027 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-3181 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3253 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3181 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-3253 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-1734 (*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5)))) (-1734 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3028 *1))) (-4 *1 (-1063 *4 *5 *3)))) (-2579 (*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5)))) (-2579 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *4 *5 *3)))) (-1530 (*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5)))) (-4518 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-2879 (*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -2978 (-765)))) (-4 *1 (-1063 *3 *4 *5)))) (-1910 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-2709 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)))) (-3003 (*1 *1 *2) (|partial| -1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) (-1321 (*1 *1 *2) (-1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) (-4035 (*1 *1 *2) (-1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) (-3003 (*1 *1 *2) (|partial| -1929 (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-3182 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-551))) (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-995 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))))) (-1321 (*1 *1 *2) (-1929 (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-3182 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-551))) (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-995 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *5 (-610 (-1165))) (-4 *4 (-790)) (-4 *5 (-844)))) (-2145 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-2823 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-4239 (*1 *1 *1 *2) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-2056 (*1 *1 *1 *2) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-4239 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-2056 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-2594 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-3061 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1063 *3 *4 *5)))) (-3178 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef1| *1))) (-4 *1 (-1063 *3 *4 *5)))) (-3049 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef2| *1))) (-4 *1 (-1063 *3 *4 *5)))) (-3673 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-4507 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5)))) (-1961 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-4117 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *3 (-559)))) (-2088 (*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *3 (-559)))) (-3151 (*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-3964 (*1 *2 *2 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-4186 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-1564 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-2796 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-3675 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
-(-13 (-952 |t#1| |t#2| |t#3|) (-10 -8 (-15 -1473 (|t#3| $)) (-15 -3889 ((-765) $)) (-15 -1423 ($ $)) (-15 -1603 ($ $)) (-15 -2394 ($ $)) (-15 -1444 ($ $)) (-15 -3940 ((-635 $) $)) (-15 -3486 ($ $)) (-15 -3270 ($ $ |t#3|)) (-15 -3373 ($ $ |t#3|)) (-15 -3312 ((-121) $)) (-15 -4325 ((-121) $)) (-15 -3866 ($ $)) (-15 -3516 ($ $)) (-15 -2248 ((-635 $) $)) (-15 -2047 ((-635 $) $)) (-15 -3183 ((-3 (-121) "failed") $ $)) (-15 -1861 ((-121) $ $)) (-15 -1712 ((-121) $ $)) (-15 -3782 ((-121) $ $)) (-15 -3782 ((-121) $ (-635 $))) (-15 -3072 ((-121) $ $)) (-15 -3072 ((-121) $ (-635 $))) (-15 -2114 ((-121) $ $)) (-15 -2114 ((-121) $ (-635 $))) (-15 -1660 ((-121) $ $)) (-15 -1660 ((-121) $ (-635 $))) (-15 -3706 ($ $ $)) (-15 -4027 ($ $ $)) (-15 -3706 ($ $ $ |t#3|)) (-15 -4027 ($ $ $ |t#3|)) (-15 -3181 ($ $ $)) (-15 -3253 ($ $ $)) (-15 -3181 ($ $ $ |t#3|)) (-15 -3253 ($ $ $ |t#3|)) (-15 -1734 ((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $)) (-15 -1734 ((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $ |t#3|)) (-15 -2579 ((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -2579 ((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $ |t#3|)) (-15 -1530 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -4518 ($ $ $)) (-15 -2879 ((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2978 (-765))) $ $)) (-15 -1910 ($ $ $)) (-15 -2709 ($ $ $)) (IF (|has| |t#3| (-610 (-1165))) (PROGN (-6 (-609 (-955 |t#1|))) (-6 (-610 (-955 |t#1|))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -3003 ((-3 $ "failed") (-955 (-410 (-569))))) (-15 -1321 ($ (-955 (-410 (-569))))) (-15 -4035 ($ (-955 (-410 (-569))))) (-15 -3003 ((-3 $ "failed") (-955 (-569)))) (-15 -1321 ($ (-955 (-569)))) (-15 -4035 ($ (-955 (-569)))) (IF (|has| |t#1| (-995 (-569))) |noBranch| (PROGN (-15 -3003 ((-3 $ "failed") (-955 |t#1|))) (-15 -1321 ($ (-955 |t#1|)))))) |noBranch|) (IF (|has| |t#1| (-43 (-569))) (IF (|has| |t#1| (-43 (-410 (-569)))) |noBranch| (PROGN (-15 -3003 ((-3 $ "failed") (-955 (-569)))) (-15 -1321 ($ (-955 (-569)))) (-15 -4035 ($ (-955 (-569)))) (IF (|has| |t#1| (-551)) |noBranch| (PROGN (-15 -3003 ((-3 $ "failed") (-955 |t#1|))) (-15 -1321 ($ (-955 |t#1|))))))) |noBranch|) (IF (|has| |t#1| (-43 (-569))) |noBranch| (IF (|has| |t#1| (-43 (-410 (-569)))) |noBranch| (PROGN (-15 -3003 ((-3 $ "failed") (-955 |t#1|))) (-15 -1321 ($ (-955 |t#1|)))))) (-15 -4035 ($ (-955 |t#1|))) (IF (|has| |t#1| (-1039 (-569))) (-6 (-610 (-1147))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -2145 ($ $)) (-15 -2823 ($ $)) (-15 -4239 ($ $ |t#1|)) (-15 -2056 ($ $ |t#1|)) (-15 -4239 ($ $ $)) (-15 -2056 ($ $ $)) (-15 -2594 ($ $ $)) (-15 -3061 ((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3178 ((-2 (|:| -3964 $) (|:| |coef1| $)) $ $)) (-15 -3049 ((-2 (|:| -3964 $) (|:| |coef2| $)) $ $)) (-15 -3673 ($ $ $)) (-15 -4507 ((-635 $) $ $)) (-15 -1961 ($ $ $)) (-15 -4117 ($ $ $ (-765))) (-15 -2088 ($ $ $ $ (-765))) (-15 -3151 ($ $ $ $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -3964 (|t#1| |t#1| $)) (-15 -4186 ($ $)) (-15 -1564 ($ $)) (-15 -2796 ($ $)) (-15 -3675 ($ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-609 (-955 |#1|)) |has| |#3| (-610 (-1165))) ((-173) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#3| (-610 (-889 (-382))))) ((-610 (-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#3| (-610 (-889 (-569))))) ((-610 (-955 |#1|)) |has| |#3| (-610 (-1165))) ((-610 (-1147)) -12 (|has| |#1| (-1039 (-569))) (|has| |#3| (-610 (-1165)))) ((-286) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-906)) (|has| |#1| (-454))) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 |#3|) . T) ((-883 (-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#3| (-883 (-382)))) ((-883 (-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#3| (-883 (-569)))) ((-952 |#1| |#2| |#3|) . T) ((-906) |has| |#1| (-906)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1039 |#3|) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) |has| |#1| (-906))) 
-((-2225 (((-121) |#3| $) 13)) (-2306 (((-3 $ "failed") |#3| (-919)) 23)) (-2611 (((-3 |#3| "failed") |#3| $) 37)) (-1863 (((-121) |#3| $) 16)) (-4311 (((-121) |#3| $) 14))) 
-(((-1064 |#1| |#2| |#3|) (-10 -8 (-15 -2306 ((-3 |#1| "failed") |#3| (-919))) (-15 -2611 ((-3 |#3| "failed") |#3| |#1|)) (-15 -1863 ((-121) |#3| |#1|)) (-15 -4311 ((-121) |#3| |#1|)) (-15 -2225 ((-121) |#3| |#1|))) (-1065 |#2| |#3|) (-13 (-842) (-366)) (-1228 |#2|)) (T -1064)) 
-NIL 
-(-10 -8 (-15 -2306 ((-3 |#1| "failed") |#3| (-919))) (-15 -2611 ((-3 |#3| "failed") |#3| |#1|)) (-15 -1863 ((-121) |#3| |#1|)) (-15 -4311 ((-121) |#3| |#1|)) (-15 -2225 ((-121) |#3| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) |#2| $) 20)) (-3817 (((-569) |#2| $) 21)) (-2306 (((-3 $ "failed") |#2| (-919)) 14)) (-2465 ((|#1| |#2| $ |#1|) 12)) (-2611 (((-3 |#2| "failed") |#2| $) 17)) (-1863 (((-121) |#2| $) 18)) (-4311 (((-121) |#2| $) 19)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3036 ((|#2| $) 16)) (-3956 (((-852) $) 11)) (-4334 ((|#1| |#2| $ |#1|) 13)) (-2813 (((-635 $) |#2|) 15)) (-1326 (((-121) $ $) 6))) 
-(((-1065 |#1| |#2|) (-1284) (-13 (-842) (-366)) (-1228 |t#1|)) (T -1065)) 
-((-3817 (*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-569)))) (-2225 (*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121)))) (-4311 (*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121)))) (-1863 (*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121)))) (-2611 (*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1065 *3 *2)) (-4 *3 (-13 (-842) (-366))) (-4 *2 (-1228 *3)))) (-3036 (*1 *2 *1) (-12 (-4 *1 (-1065 *3 *2)) (-4 *3 (-13 (-842) (-366))) (-4 *2 (-1228 *3)))) (-2813 (*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-635 *1)) (-4 *1 (-1065 *4 *3)))) (-2306 (*1 *1 *2 *3) (|partial| -12 (-5 *3 (-919)) (-4 *4 (-13 (-842) (-366))) (-4 *1 (-1065 *4 *2)) (-4 *2 (-1228 *4)))) (-4334 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1065 *2 *3)) (-4 *2 (-13 (-842) (-366))) (-4 *3 (-1228 *2)))) (-2465 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1065 *2 *3)) (-4 *2 (-13 (-842) (-366))) (-4 *3 (-1228 *2))))) 
-(-13 (-1093) (-10 -8 (-15 -3817 ((-569) |t#2| $)) (-15 -2225 ((-121) |t#2| $)) (-15 -4311 ((-121) |t#2| $)) (-15 -1863 ((-121) |t#2| $)) (-15 -2611 ((-3 |t#2| "failed") |t#2| $)) (-15 -3036 (|t#2| $)) (-15 -2813 ((-635 $) |t#2|)) (-15 -2306 ((-3 $ "failed") |t#2| (-919))) (-15 -4334 (|t#1| |t#2| $ |t#1|)) (-15 -2465 (|t#1| |t#2| $ |t#1|)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-3649 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765)) 95)) (-3877 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765)) 55)) (-2847 (((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)) 87)) (-2888 (((-765) (-635 |#4|) (-635 |#5|)) 27)) (-2541 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|) 58) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765)) 57) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121)) 59)) (-3861 (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121)) 78) (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121)) 79)) (-4035 (((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) 82)) (-1570 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-121)) 54)) (-2986 (((-765) (-635 |#4|) (-635 |#5|)) 19))) 
-(((-1066 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2986 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -2888 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -1570 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-121))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3649 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765))) (-15 -4035 ((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -2847 ((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -1066)) 
-((-2847 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *4 (-765)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-1258)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1147)) (-5 *1 (-1066 *4 *5 *6 *7 *8)))) (-3649 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4320 *11)))))) (-5 *6 (-765)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4320 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1063 *7 *8 *9)) (-4 *11 (-1068 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-5 *1 (-1066 *7 *8 *9 *10 *11)))) (-3861 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) (-3861 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) (-2541 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2541 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) (-2541 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-765)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-4 *3 (-1063 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *7 *8 *9 *3 *4)) (-4 *4 (-1068 *7 *8 *9 *3)))) (-3877 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3877 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) (-1570 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) (-2888 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) (-2986 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1066 *5 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -2986 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -2888 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -1570 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-121))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3649 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765))) (-15 -4035 ((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -2847 ((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)))) 
-((-4018 (((-121) |#5| $) 20)) (-3594 (((-121) |#5| $) 23)) (-4508 (((-121) |#5| $) 16) (((-121) $) 44)) (-1433 (((-635 $) |#5| $) NIL) (((-635 $) (-635 |#5|) $) 76) (((-635 $) (-635 |#5|) (-635 $)) 74) (((-635 $) |#5| (-635 $)) 77)) (-3803 (($ $ |#5|) NIL) (((-635 $) |#5| $) NIL) (((-635 $) |#5| (-635 $)) 59) (((-635 $) (-635 |#5|) $) 61) (((-635 $) (-635 |#5|) (-635 $)) 63)) (-2272 (((-635 $) |#5| $) NIL) (((-635 $) |#5| (-635 $)) 53) (((-635 $) (-635 |#5|) $) 55) (((-635 $) (-635 |#5|) (-635 $)) 57)) (-3267 (((-121) |#5| $) 26))) 
-(((-1067 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3803 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -3803 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -3803 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -3803 ((-635 |#1|) |#5| |#1|)) (-15 -2272 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -2272 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -2272 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -2272 ((-635 |#1|) |#5| |#1|)) (-15 -1433 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -1433 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -1433 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -1433 ((-635 |#1|) |#5| |#1|)) (-15 -3594 ((-121) |#5| |#1|)) (-15 -4508 ((-121) |#1|)) (-15 -3267 ((-121) |#5| |#1|)) (-15 -4018 ((-121) |#5| |#1|)) (-15 -4508 ((-121) |#5| |#1|)) (-15 -3803 (|#1| |#1| |#5|))) (-1068 |#2| |#3| |#4| |#5|) (-454) (-790) (-844) (-1063 |#2| |#3| |#4|)) (T -1067)) 
-NIL 
-(-10 -8 (-15 -3803 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -3803 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -3803 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -3803 ((-635 |#1|) |#5| |#1|)) (-15 -2272 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -2272 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -2272 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -2272 ((-635 |#1|) |#5| |#1|)) (-15 -1433 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -1433 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -1433 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -1433 ((-635 |#1|) |#5| |#1|)) (-15 -3594 ((-121) |#5| |#1|)) (-15 -4508 ((-121) |#1|)) (-15 -3267 ((-121) |#5| |#1|)) (-15 -4018 ((-121) |#5| |#1|)) (-15 -4508 ((-121) |#5| |#1|)) (-15 -3803 (|#1| |#1| |#5|))) 
-((-1310 (((-121) $ $) 7)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) 78)) (-3202 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) 94) (((-121) $) 90)) (-1815 ((|#4| |#4| $) 85)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 119)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 72)) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1864 (((-3 $ "failed") $) 75)) (-3562 ((|#4| |#4| $) 82)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-4417 ((|#4| |#4| $) 80)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) 98)) (-4018 (((-121) |#4| $) 129)) (-3594 (((-121) |#4| $) 126)) (-4508 (((-121) |#4| $) 130) (((-121) $) 127)) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) 97) (((-121) $) 96)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 120)) (-3302 (((-3 |#4| "failed") $) 76)) (-2079 (((-635 $) |#4| $) 122)) (-2090 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1433 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3487 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-1536 (((-635 |#4|) $) 100)) (-2114 (((-121) |#4| $) 92) (((-121) $) 88)) (-2709 ((|#4| |#4| $) 83)) (-1861 (((-121) $ $) 103)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) 93) (((-121) $) 89)) (-1910 ((|#4| |#4| $) 84)) (-1912 (((-1111) $) 10)) (-1816 (((-3 |#4| "failed") $) 77)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4300 (((-3 $ "failed") $ |#4|) 71)) (-3803 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2284 (((-765) $) 99)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2406 (($ $) 81)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-1448 (((-765) $) 69 (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-2272 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) 74)) (-3267 (((-121) |#4| $) 128)) (-3345 (((-121) |#3| $) 73)) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
-(((-1068 |#1| |#2| |#3| |#4|) (-1284) (-454) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -1068)) 
-((-4508 (*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-4018 (*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-3267 (*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-4508 (*1 *2 *1) (-12 (-4 *1 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-3594 (*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-2090 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-3 (-121) (-635 *1))) (-4 *1 (-1068 *4 *5 *6 *3)))) (-2324 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3)))) (-2324 (*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-2079 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) (-2998 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-3 *3 (-635 *1))) (-4 *1 (-1068 *4 *5 *6 *3)))) (-1961 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3)))) (-2710 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3)))) (-1433 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) (-1433 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) (-1433 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) (-1433 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) (-2272 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) (-2272 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) (-2272 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) (-2272 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) (-3487 (*1 *1 *2 *1) (-12 (-4 *1 (-1068 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-3487 (*1 *1 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)))) (-3803 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) (-3803 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) (-3803 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) (-3803 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) (-3202 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *5 *6 *7 *8))))) 
-(-13 (-1193 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-15 -4508 ((-121) |t#4| $)) (-15 -4018 ((-121) |t#4| $)) (-15 -3267 ((-121) |t#4| $)) (-15 -4508 ((-121) $)) (-15 -3594 ((-121) |t#4| $)) (-15 -2090 ((-3 (-121) (-635 $)) |t#4| $)) (-15 -2324 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |t#4| $)) (-15 -2324 ((-121) |t#4| $)) (-15 -2079 ((-635 $) |t#4| $)) (-15 -2998 ((-3 |t#4| (-635 $)) |t#4| |t#4| $)) (-15 -1961 ((-635 (-2 (|:| |val| |t#4|) (|:| -4320 $))) |t#4| |t#4| $)) (-15 -2710 ((-635 (-2 (|:| |val| |t#4|) (|:| -4320 $))) |t#4| $)) (-15 -1433 ((-635 $) |t#4| $)) (-15 -1433 ((-635 $) (-635 |t#4|) $)) (-15 -1433 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -1433 ((-635 $) |t#4| (-635 $))) (-15 -2272 ((-635 $) |t#4| $)) (-15 -2272 ((-635 $) |t#4| (-635 $))) (-15 -2272 ((-635 $) (-635 |t#4|) $)) (-15 -2272 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -3487 ($ |t#4| $)) (-15 -3487 ($ (-635 |t#4|) $)) (-15 -3803 ((-635 $) |t#4| $)) (-15 -3803 ((-635 $) |t#4| (-635 $))) (-15 -3803 ((-635 $) (-635 |t#4|) $)) (-15 -3803 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -3202 ((-635 $) (-635 |t#4|) (-121))))) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-979 |#1| |#2| |#3| |#4|) . T) ((-1093) . T) ((-1193 |#1| |#2| |#3| |#4|) . T) ((-1199) . T)) 
-((-4342 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|) 81)) (-2867 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|) 112)) (-2216 (((-635 |#5|) |#4| |#5|) 70)) (-2805 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-3032 (((-1258)) 35)) (-1631 (((-1258)) 25)) (-2773 (((-1258) (-1147) (-1147) (-1147)) 31)) (-1867 (((-1258) (-1147) (-1147) (-1147)) 20)) (-1409 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|) 95)) (-2054 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121)) 106) (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-3919 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|) 101))) 
-(((-1069 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1867 ((-1258) (-1147) (-1147) (-1147))) (-15 -1631 ((-1258))) (-15 -2773 ((-1258) (-1147) (-1147) (-1147))) (-15 -3032 ((-1258))) (-15 -1409 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2054 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2054 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121))) (-15 -3919 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2867 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2805 ((-121) |#4| |#5|)) (-15 -2805 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2216 ((-635 |#5|) |#4| |#5|)) (-15 -4342 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -1069)) 
-((-4342 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2216 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2805 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2805 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2867 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3919 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2054 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *5 (-121)) (-4 *8 (-1063 *6 *7 *4)) (-4 *9 (-1068 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *4 (-844)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4320 *9)))) (-5 *1 (-1069 *6 *7 *4 *8 *9)))) (-2054 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) (-1409 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3032 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1069 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-2773 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1069 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-1631 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1069 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-1867 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1069 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -1867 ((-1258) (-1147) (-1147) (-1147))) (-15 -1631 ((-1258))) (-15 -2773 ((-1258) (-1147) (-1147) (-1147))) (-15 -3032 ((-1258))) (-15 -1409 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2054 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2054 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121))) (-15 -3919 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2867 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2805 ((-121) |#4| |#5|)) (-15 -2805 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2216 ((-635 |#5|) |#4| |#5|)) (-15 -4342 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|))) 
-((-1310 (((-121) $ $) NIL)) (-2798 (((-1165) $) 8)) (-2605 (((-1147) $) 16)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 13))) 
-(((-1070 |#1|) (-13 (-1093) (-10 -8 (-15 -2798 ((-1165) $)))) (-1165)) (T -1070)) 
-((-2798 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1070 *3)) (-14 *3 *2)))) 
-(-13 (-1093) (-10 -8 (-15 -2798 ((-1165) $)))) 
-((-1310 (((-121) $ $) NIL)) (-3055 (($ $ (-635 (-1165)) (-1 (-121) (-635 |#3|))) 29)) (-3469 (($ |#3| |#3|) 21) (($ |#3| |#3| (-635 (-1165))) 19)) (-4255 ((|#3| $) 13)) (-3003 (((-3 (-289 |#3|) "failed") $) 56)) (-1321 (((-289 |#3|) $) NIL)) (-1397 (((-635 (-1165)) $) 15)) (-1511 (((-889 |#1|) $) 11)) (-1338 ((|#3| $) 12)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#3| $ |#3|) 25) ((|#3| $ |#3| (-919)) 36)) (-3956 (((-852) $) 84) (($ (-289 |#3|)) 20)) (-1326 (((-121) $ $) 33))) 
-(((-1071 |#1| |#2| |#3|) (-13 (-1093) (-282 |#3| |#3|) (-1039 (-289 |#3|)) (-10 -8 (-15 -3469 ($ |#3| |#3|)) (-15 -3469 ($ |#3| |#3| (-635 (-1165)))) (-15 -3055 ($ $ (-635 (-1165)) (-1 (-121) (-635 |#3|)))) (-15 -1511 ((-889 |#1|) $)) (-15 -1338 (|#3| $)) (-15 -4255 (|#3| $)) (-15 -2503 (|#3| $ |#3| (-919))) (-15 -1397 ((-635 (-1165)) $)))) (-1093) (-13 (-1049) (-883 |#1|) (-844) (-610 (-889 |#1|))) (-13 (-433 |#2|) (-883 |#1|) (-610 (-889 |#1|)))) (T -1071)) 
-((-3469 (*1 *1 *2 *2) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))))) (-3469 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) (-3055 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-1 (-121) (-635 *6))) (-4 *6 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *6)))) (-1511 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 *2))) (-5 *2 (-889 *3)) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 *2))))) (-1338 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))))) (-4255 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))))) (-2503 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) (-1397 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *2 (-635 (-1165))) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3))))))) 
-(-13 (-1093) (-282 |#3| |#3|) (-1039 (-289 |#3|)) (-10 -8 (-15 -3469 ($ |#3| |#3|)) (-15 -3469 ($ |#3| |#3| (-635 (-1165)))) (-15 -3055 ($ $ (-635 (-1165)) (-1 (-121) (-635 |#3|)))) (-15 -1511 ((-889 |#1|) $)) (-15 -1338 (|#3| $)) (-15 -4255 (|#3| $)) (-15 -2503 (|#3| $ |#3| (-919))) (-15 -1397 ((-635 (-1165)) $)))) 
-((-1310 (((-121) $ $) NIL)) (-3488 (($ (-635 (-1071 |#1| |#2| |#3|))) 12)) (-2728 (((-635 (-1071 |#1| |#2| |#3|)) $) 19)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#3| $ |#3|) 22) ((|#3| $ |#3| (-919)) 25)) (-3956 (((-852) $) 15)) (-1326 (((-121) $ $) 18))) 
-(((-1072 |#1| |#2| |#3|) (-13 (-1093) (-282 |#3| |#3|) (-10 -8 (-15 -3488 ($ (-635 (-1071 |#1| |#2| |#3|)))) (-15 -2728 ((-635 (-1071 |#1| |#2| |#3|)) $)) (-15 -2503 (|#3| $ |#3| (-919))))) (-1093) (-13 (-1049) (-883 |#1|) (-844) (-610 (-889 |#1|))) (-13 (-433 |#2|) (-883 |#1|) (-610 (-889 |#1|)))) (T -1072)) 
-((-3488 (*1 *1 *2) (-12 (-5 *2 (-635 (-1071 *3 *4 *5))) (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1072 *3 *4 *5)))) (-2728 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *2 (-635 (-1071 *3 *4 *5))) (-5 *1 (-1072 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))))) (-2503 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1072 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4))))))) 
-(-13 (-1093) (-282 |#3| |#3|) (-10 -8 (-15 -3488 ($ (-635 (-1071 |#1| |#2| |#3|)))) (-15 -2728 ((-635 (-1071 |#1| |#2| |#3|)) $)) (-15 -2503 (|#3| $ |#3| (-919))))) 
-((-1366 (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121)) 73) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|))) 75) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121)) 74))) 
-(((-1073 |#1| |#2|) (-10 -7 (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121))) (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121)))) (-13 (-302) (-151)) (-635 (-1165))) (T -1073)) 
-((-1366 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1073 *5 *6)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))))) (-1366 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1073 *4 *5)) (-5 *3 (-635 (-955 *4))) (-14 *5 (-635 (-1165))))) (-1366 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1073 *5 *6)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165)))))) 
-(-10 -7 (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121))) (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121)))) 
-((-3139 (((-421 |#3|) |#3|) 16))) 
-(((-1074 |#1| |#2| |#3|) (-10 -7 (-15 -3139 ((-421 |#3|) |#3|))) (-1228 (-410 (-569))) (-13 (-366) (-151) (-716 (-410 (-569)) |#1|)) (-1228 |#2|)) (T -1074)) 
-((-3139 (*1 *2 *3) (-12 (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-13 (-366) (-151) (-716 (-410 (-569)) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1074 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
-(-10 -7 (-15 -3139 ((-421 |#3|) |#3|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 125)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-366)))) (-2915 (($ $) NIL (|has| |#1| (-366)))) (-2735 (((-121) $) NIL (|has| |#1| (-366)))) (-2245 (((-681 |#1|) (-1253 $)) NIL) (((-681 |#1|)) 115)) (-3588 ((|#1| $) 119)) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| |#1| (-351)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2675 (((-765)) 40 (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-2097 (($ (-1253 |#1|) (-1253 $)) NIL) (($ (-1253 |#1|)) 43)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-351)))) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-1808 (((-681 |#1|) $ (-1253 $)) NIL) (((-681 |#1|) $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 106) (((-681 |#1|) (-681 $)) 100)) (-2793 (($ |#2|) 61) (((-3 $ "failed") (-410 |#2|)) NIL (|has| |#1| (-366)))) (-2611 (((-3 $ "failed") $) NIL)) (-3358 (((-919)) 77)) (-3341 (($) 44 (|has| |#1| (-371)))) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-1456 (($) NIL (|has| |#1| (-351)))) (-3462 (((-121) $) NIL (|has| |#1| (-351)))) (-3238 (($ $ (-765)) NIL (|has| |#1| (-351))) (($ $) NIL (|has| |#1| (-351)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-4433 (((-919) $) NIL (|has| |#1| (-351))) (((-830 (-919)) $) NIL (|has| |#1| (-351)))) (-3934 (((-121) $) NIL)) (-3046 ((|#1| $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2415 ((|#2| $) 84 (|has| |#1| (-366)))) (-2862 (((-919) $) 129 (|has| |#1| (-371)))) (-2786 ((|#2| $) 58)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1423 (($) NIL (|has| |#1| (-351)) CONST)) (-1333 (($ (-919)) 124 (|has| |#1| (-371)))) (-1912 (((-1111) $) NIL)) (-1986 (($) 121)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| |#1| (-351)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-2925 ((|#1| (-1253 $)) NIL) ((|#1|) 109)) (-3600 (((-765) $) NIL (|has| |#1| (-351))) (((-3 (-765) "failed") $ $) NIL (|has| |#1| (-351)))) (-3289 (($ $) NIL (-1929 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-1 |#1| |#1|) (-765)) NIL (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-3775 (((-681 |#1|) (-1253 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-3036 ((|#2|) 73)) (-3563 (($) NIL (|has| |#1| (-351)))) (-3672 (((-1253 |#1|) $ (-1253 $)) 89) (((-681 |#1|) (-1253 $) (-1253 $)) NIL) (((-1253 |#1|) $) 71) (((-681 |#1|) (-1253 $)) 85)) (-4035 (((-1253 |#1|) $) NIL) (($ (-1253 |#1|)) NIL) ((|#2| $) NIL) (($ |#2|) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-351)))) (-3956 (((-852) $) 57) (($ (-569)) 53) (($ |#1|) 54) (($ $) NIL (|has| |#1| (-366))) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569))))))) (-2277 (($ $) NIL (|has| |#1| (-351))) (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-3033 ((|#2| $) 82)) (-2320 (((-765)) 75)) (-4079 (((-1253 $)) 81)) (-2909 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 30 T CONST)) (-3297 (($) 19 T CONST)) (-3712 (($ $) NIL (-1929 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-1 |#1| |#1|) (-765)) NIL (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-1326 (((-121) $ $) 63)) (-1383 (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) 67) (($ $ $) NIL)) (-1371 (($ $ $) 65)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 51) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 48) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))))) 
-(((-1075 |#1| |#2| |#3|) (-716 |#1| |#2|) (-173) (-1228 |#1|) |#2|) (T -1075)) 
-NIL 
-(-716 |#1| |#2|) 
-((-3139 (((-421 |#3|) |#3|) 16))) 
-(((-1076 |#1| |#2| |#3|) (-10 -7 (-15 -3139 ((-421 |#3|) |#3|))) (-1228 (-410 (-955 (-569)))) (-13 (-366) (-151) (-716 (-410 (-955 (-569))) |#1|)) (-1228 |#2|)) (T -1076)) 
-((-3139 (*1 *2 *3) (-12 (-4 *4 (-1228 (-410 (-955 (-569))))) (-4 *5 (-13 (-366) (-151) (-716 (-410 (-955 (-569))) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1076 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
-(-10 -7 (-15 -3139 ((-421 |#3|) |#3|))) 
-((-1310 (((-121) $ $) NIL)) (-2157 (($ $ $) 14)) (-2713 (($ $ $) 15)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1896 (($) 6)) (-4035 (((-1165) $) 18)) (-3956 (((-852) $) 12)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 13)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 8))) 
-(((-1077) (-13 (-844) (-10 -8 (-15 -1896 ($)) (-15 -4035 ((-1165) $))))) (T -1077)) 
-((-1896 (*1 *1) (-5 *1 (-1077))) (-4035 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1077))))) 
-(-13 (-844) (-10 -8 (-15 -1896 ($)) (-15 -4035 ((-1165) $)))) 
-((-3963 ((|#1| |#1| (-1 (-569) |#1| |#1|)) 21) ((|#1| |#1| (-1 (-121) |#1|)) 18)) (-3133 (((-1258)) 15)) (-2420 (((-635 |#1|)) 9))) 
-(((-1078 |#1|) (-10 -7 (-15 -3133 ((-1258))) (-15 -2420 ((-635 |#1|))) (-15 -3963 (|#1| |#1| (-1 (-121) |#1|))) (-15 -3963 (|#1| |#1| (-1 (-569) |#1| |#1|)))) (-139)) (T -1078)) 
-((-3963 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-569) *2 *2)) (-4 *2 (-139)) (-5 *1 (-1078 *2)))) (-3963 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-139)) (-5 *1 (-1078 *2)))) (-2420 (*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1078 *3)) (-4 *3 (-139)))) (-3133 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1078 *3)) (-4 *3 (-139))))) 
-(-10 -7 (-15 -3133 ((-1258))) (-15 -2420 ((-635 |#1|))) (-15 -3963 (|#1| |#1| (-1 (-121) |#1|))) (-15 -3963 (|#1| |#1| (-1 (-569) |#1| |#1|)))) 
-((-3359 (((-1253 (-681 |#1|)) (-635 (-681 |#1|))) 41) (((-1253 (-681 (-955 |#1|))) (-635 (-1165)) (-681 (-955 |#1|))) 60) (((-1253 (-681 (-410 (-955 |#1|)))) (-635 (-1165)) (-681 (-410 (-955 |#1|)))) 76)) (-3672 (((-1253 |#1|) (-681 |#1|) (-635 (-681 |#1|))) 35))) 
-(((-1079 |#1|) (-10 -7 (-15 -3359 ((-1253 (-681 (-410 (-955 |#1|)))) (-635 (-1165)) (-681 (-410 (-955 |#1|))))) (-15 -3359 ((-1253 (-681 (-955 |#1|))) (-635 (-1165)) (-681 (-955 |#1|)))) (-15 -3359 ((-1253 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -3672 ((-1253 |#1|) (-681 |#1|) (-635 (-681 |#1|))))) (-366)) (T -1079)) 
-((-3672 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-681 *5))) (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-1253 *5)) (-5 *1 (-1079 *5)))) (-3359 (*1 *2 *3) (-12 (-5 *3 (-635 (-681 *4))) (-4 *4 (-366)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-1079 *4)))) (-3359 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-4 *5 (-366)) (-5 *2 (-1253 (-681 (-955 *5)))) (-5 *1 (-1079 *5)) (-5 *4 (-681 (-955 *5))))) (-3359 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-4 *5 (-366)) (-5 *2 (-1253 (-681 (-410 (-955 *5))))) (-5 *1 (-1079 *5)) (-5 *4 (-681 (-410 (-955 *5))))))) 
-(-10 -7 (-15 -3359 ((-1253 (-681 (-410 (-955 |#1|)))) (-635 (-1165)) (-681 (-410 (-955 |#1|))))) (-15 -3359 ((-1253 (-681 (-955 |#1|))) (-635 (-1165)) (-681 (-955 |#1|)))) (-15 -3359 ((-1253 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -3672 ((-1253 |#1|) (-681 |#1|) (-635 (-681 |#1|))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3752 (((-121) $ $) 89) (((-121) (-635 $) (-635 $)) 94) (((-121) (-635 (-635 $))) 97)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3783 (((-852)) 88)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-130) "failed") $) NIL)) (-1321 (((-130) $) 68)) (-3816 (((-635 (-130)) $) 70)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2400 (((-121) $ (-130)) 64)) (-4183 (((-3 (-289 $) "failed") $ |#1|) 75) (((-3 (-289 $) "failed") |#1| $) 76)) (-3847 (($ $) 62)) (-3869 (((-1173 $ $)) 79)) (-3911 (((-1173 $ $)) 78)) (-3956 (((-852) $) 47) (($ (-130)) 35)) (-3802 (((-311 |#1|) $ (-130)) 66)) (-3941 (((-3 $ "failed") (-130) (-130) $) 39)) (-3974 (((-3 $ "failed") (-130) $) 40)) (-3403 (($ $ (-919)) 61)) (-2407 (($) 21 T CONST)) (-1326 (((-121) $ $) 33)) (-1383 (($ $ (-311 |#1|)) 11)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 56)) (** (($ $ (-919)) 60)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 32) (($ $ (-311 |#1|)) NIL) (($ (-311 |#1|) $) 10))) 
-(((-1080 |#1|) (-13 (-1056) (-709 (-311 |#1|)) (-10 -8 (-6 (-1039 (-130))) (-15 -3941 ((-3 $ "failed") (-130) (-130) $)) (-15 -3974 ((-3 $ "failed") (-130) $)) (-15 -3847 ($ $)) (-15 -2400 ((-121) $ (-130))) (-15 -3802 ((-311 |#1|) $ (-130))) (-15 -3816 ((-635 (-130)) $)) (-15 -4183 ((-3 (-289 $) "failed") $ |#1|)) (-15 -4183 ((-3 (-289 $) "failed") |#1| $)) (-15 -3911 ((-1173 $ $))) (-15 -3869 ((-1173 $ $))) (-15 -1383 ($ $ (-311 |#1|))) (-15 ** ($ $ (-919))) (-15 -3403 ($ $ (-919))) (-15 -3783 ((-852))) (-15 -3752 ((-121) $ $)) (-15 -3752 ((-121) (-635 $) (-635 $))) (-15 -3752 ((-121) (-635 (-635 $)))))) (-13 (-844) (-559))) (T -1080)) 
-((-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3941 (*1 *1 *2 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3974 (*1 *1 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3847 (*1 *1 *1) (-12 (-5 *1 (-1080 *2)) (-4 *2 (-13 (-844) (-559))))) (-2400 (*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) (-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-311 *4)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) (-3816 (*1 *2 *1) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-4183 (*1 *2 *1 *3) (|partial| -12 (-5 *2 (-289 (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-4183 (*1 *2 *3 *1) (|partial| -12 (-5 *2 (-289 (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3911 (*1 *2) (-12 (-5 *2 (-1173 (-1080 *3) (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3869 (*1 *2) (-12 (-5 *2 (-1173 (-1080 *3) (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-1383 (*1 *1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-1080 *3)))) (-3783 (*1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3752 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3752 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1080 *4))) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) (-3752 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-1080 *4)))) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559)))))) 
-(-13 (-1056) (-709 (-311 |#1|)) (-10 -8 (-6 (-1039 (-130))) (-15 -3941 ((-3 $ "failed") (-130) (-130) $)) (-15 -3974 ((-3 $ "failed") (-130) $)) (-15 -3847 ($ $)) (-15 -2400 ((-121) $ (-130))) (-15 -3802 ((-311 |#1|) $ (-130))) (-15 -3816 ((-635 (-130)) $)) (-15 -4183 ((-3 (-289 $) "failed") $ |#1|)) (-15 -4183 ((-3 (-289 $) "failed") |#1| $)) (-15 -3911 ((-1173 $ $))) (-15 -3869 ((-1173 $ $))) (-15 -1383 ($ $ (-311 |#1|))) (-15 ** ($ $ (-919))) (-15 -3403 ($ $ (-919))) (-15 -3783 ((-852))) (-15 -3752 ((-121) $ $)) (-15 -3752 ((-121) (-635 $) (-635 $))) (-15 -3752 ((-121) (-635 (-635 $)))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3590 (((-635 (-765)) $) NIL) (((-635 (-765)) $ (-1165)) NIL)) (-2402 (((-765) $) NIL) (((-765) $ (-1165)) NIL)) (-3195 (((-635 (-1082 (-1165))) $) NIL)) (-3132 (((-1161 $) $ (-1082 (-1165))) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1082 (-1165)))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2918 (($ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1082 (-1165)) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL) (((-3 (-1116 |#1| (-1165)) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1082 (-1165)) $) NIL) (((-1165) $) NIL) (((-1116 |#1| (-1165)) $) NIL)) (-3673 (($ $ $ (-1082 (-1165))) NIL (|has| |#1| (-173)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1082 (-1165))) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-535 (-1082 (-1165))) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1082 (-1165)) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1082 (-1165)) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ (-1165)) NIL) (((-765) $) NIL)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#1|) (-1082 (-1165))) NIL) (($ (-1161 $) (-1082 (-1165))) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-535 (-1082 (-1165)))) NIL) (($ $ (-1082 (-1165)) (-765)) NIL) (($ $ (-635 (-1082 (-1165))) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1082 (-1165))) NIL)) (-4294 (((-535 (-1082 (-1165))) $) NIL) (((-765) $ (-1082 (-1165))) NIL) (((-635 (-765)) $ (-635 (-1082 (-1165)))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 (-1082 (-1165))) (-535 (-1082 (-1165)))) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4428 (((-1 $ (-765)) (-1165)) NIL) (((-1 $ (-765)) $) NIL (|has| |#1| (-226)))) (-3407 (((-3 (-1082 (-1165)) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2934 (((-1082 (-1165)) $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-4344 (((-121) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1082 (-1165))) (|:| -3190 (-765))) "failed") $) NIL)) (-2690 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1082 (-1165)) |#1|) NIL) (($ $ (-635 (-1082 (-1165))) (-635 |#1|)) NIL) (($ $ (-1082 (-1165)) $) NIL) (($ $ (-635 (-1082 (-1165))) (-635 $)) NIL) (($ $ (-1165) $) NIL (|has| |#1| (-226))) (($ $ (-635 (-1165)) (-635 $)) NIL (|has| |#1| (-226))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2925 (($ $ (-1082 (-1165))) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-1082 (-1165))) NIL) (($ $ (-635 (-1082 (-1165)))) NIL) (($ $ (-1082 (-1165)) (-765)) NIL) (($ $ (-635 (-1082 (-1165))) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3445 (((-635 (-1165)) $) NIL)) (-2284 (((-535 (-1082 (-1165))) $) NIL) (((-765) $ (-1082 (-1165))) NIL) (((-635 (-765)) $ (-635 (-1082 (-1165)))) NIL) (((-765) $ (-1165)) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1082 (-1165)) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1082 (-1165)) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1082 (-1165)) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1082 (-1165))) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1082 (-1165))) NIL) (($ (-1165)) NIL) (($ (-1116 |#1| (-1165))) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-535 (-1082 (-1165)))) NIL) (($ $ (-1082 (-1165)) (-765)) NIL) (($ $ (-635 (-1082 (-1165))) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1082 (-1165))) NIL) (($ $ (-635 (-1082 (-1165)))) NIL) (($ $ (-1082 (-1165)) (-765)) NIL) (($ $ (-635 (-1082 (-1165))) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1081 |#1|) (-13 (-247 |#1| (-1165) (-1082 (-1165)) (-535 (-1082 (-1165)))) (-1039 (-1116 |#1| (-1165)))) (-1049)) (T -1081)) 
-NIL 
-(-13 (-247 |#1| (-1165) (-1082 (-1165)) (-535 (-1082 (-1165)))) (-1039 (-1116 |#1| (-1165)))) 
-((-1310 (((-121) $ $) NIL)) (-2402 (((-765) $) NIL)) (-1948 ((|#1| $) 10)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-4433 (((-765) $) 11)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4428 (($ |#1| (-765)) 9)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3289 (($ $) NIL) (($ $ (-765)) NIL)) (-3956 (((-852) $) NIL) (($ |#1|) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 15))) 
-(((-1082 |#1|) (-263 |#1|) (-844)) (T -1082)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-4142 (($ $ (-922)) 25)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-1060) (-1289)) (T -1060)) 
+NIL 
+(-13 (-21) (-1109)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-611 (-855)) . T) ((-1109) . T) ((-1097) . T)) 
+((-1934 (($ $) 16)) (-2528 (($ $) 22)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 49)) (-3477 (($ $) 24)) (-3762 (($ $) 11)) (-3955 (($ $) 38)) (-4050 (((-384) $) NIL) (((-216) $) NIL) (((-892 (-384)) $) 33)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL) (($ (-412 (-571))) 28) (($ (-571)) NIL) (($ (-412 (-571))) 28)) (-2661 (((-768)) 8)) (-2325 (($ $) 39))) 
+(((-1061 |#1|) (-10 -8 (-15 -2528 (|#1| |#1|)) (-15 -1934 (|#1| |#1|)) (-15 -3762 (|#1| |#1|)) (-15 -3955 (|#1| |#1|)) (-15 -2325 (|#1| |#1|)) (-15 -3477 (|#1| |#1|)) (-15 -2941 ((-889 (-384) |#1|) |#1| (-892 (-384)) (-889 (-384) |#1|))) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| (-571))) (-15 -4050 ((-216) |#1|)) (-15 -4050 ((-384) |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| |#1|)) (-15 -3942 (|#1| (-571))) (-15 -2661 ((-768))) (-15 -3942 ((-855) |#1|))) (-1062)) (T -1061)) 
+((-2661 (*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1061 *3)) (-4 *3 (-1062))))) 
+(-10 -8 (-15 -2528 (|#1| |#1|)) (-15 -1934 (|#1| |#1|)) (-15 -3762 (|#1| |#1|)) (-15 -3955 (|#1| |#1|)) (-15 -2325 (|#1| |#1|)) (-15 -3477 (|#1| |#1|)) (-15 -2941 ((-889 (-384) |#1|) |#1| (-892 (-384)) (-889 (-384) |#1|))) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| (-571))) (-15 -4050 ((-216) |#1|)) (-15 -4050 ((-384) |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| |#1|)) (-15 -3942 (|#1| (-571))) (-15 -2661 ((-768))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-1533 (((-571) $) 85)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-1934 (($ $) 83)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-4158 (($ $) 93)) (-1295 (((-121) $ $) 57)) (-3203 (((-571) $) 110)) (-2269 (($) 16 T CONST)) (-2528 (($ $) 82)) (-3337 (((-3 (-571) "failed") $) 98) (((-3 (-412 (-571)) "failed") $) 95)) (-1316 (((-571) $) 97) (((-412 (-571)) $) 94)) (-2162 (($ $ $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-1596 (((-121) $) 69)) (-2093 (((-121) $) 108)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 89)) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 92)) (-3477 (($ $) 88)) (-4086 (((-121) $) 109)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-1763 (($ $ $) 107)) (-2383 (($ $ $) 106)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-3762 (($ $) 84)) (-3955 (($ $) 86)) (-4262 (((-423 $) $) 72)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-4050 (((-384) $) 101) (((-216) $) 100) (((-892 (-384)) $) 90)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63) (($ (-571)) 99) (($ (-412 (-571))) 96)) (-2661 (((-768)) 28)) (-2325 (($ $) 87)) (-1388 (((-121) $ $) 38)) (-1902 (($ $) 111)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1350 (((-121) $ $) 104)) (-1338 (((-121) $ $) 103)) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 105)) (-1331 (((-121) $ $) 102)) (-1379 (($ $ $) 62)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66) (($ $ (-412 (-571))) 91)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64))) 
+(((-1062) (-1289)) (T -1062)) 
+((-1902 (*1 *1 *1) (-4 *1 (-1062))) (-3477 (*1 *1 *1) (-4 *1 (-1062))) (-2325 (*1 *1 *1) (-4 *1 (-1062))) (-3955 (*1 *1 *1) (-4 *1 (-1062))) (-1533 (*1 *2 *1) (-12 (-4 *1 (-1062)) (-5 *2 (-571)))) (-3762 (*1 *1 *1) (-4 *1 (-1062))) (-1934 (*1 *1 *1) (-4 *1 (-1062))) (-2528 (*1 *1 *1) (-4 *1 (-1062)))) 
+(-13 (-367) (-845) (-1027) (-1043 (-571)) (-1043 (-412 (-571))) (-1008) (-612 (-892 (-384))) (-886 (-384)) (-151) (-10 -8 (-15 -3477 ($ $)) (-15 -2325 ($ $)) (-15 -3955 ($ $)) (-15 -1533 ((-571) $)) (-15 -3762 ($ $)) (-15 -1934 ($ $)) (-15 -2528 ($ $)) (-15 -1902 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-611 (-855)) . T) ((-173) . T) ((-612 (-216)) . T) ((-612 (-384)) . T) ((-612 (-892 (-384))) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-367) . T) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 $) . T) ((-721) . T) ((-791) . T) ((-792) . T) ((-794) . T) ((-795) . T) ((-845) . T) ((-847) . T) ((-886 (-384)) . T) ((-921) . T) ((-1008) . T) ((-1027) . T) ((-1043 (-412 (-571))) . T) ((-1043 (-571)) . T) ((-1059 (-412 (-571))) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) |#2| $) 23)) (-4407 ((|#1| $) 10)) (-3203 (((-571) |#2| $) 88)) (-2553 (((-3 $ "failed") |#2| (-922)) 58)) (-1852 ((|#1| $) 28)) (-1290 ((|#1| |#2| $ |#1|) 37)) (-2299 (($ $) 25)) (-3978 (((-3 |#2| "failed") |#2| $) 87)) (-2093 (((-121) |#2| $) NIL)) (-4086 (((-121) |#2| $) NIL)) (-1973 (((-121) |#2| $) 24)) (-3249 ((|#1| $) 89)) (-1856 ((|#1| $) 27)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3413 ((|#2| $) 79)) (-3942 (((-855) $) 71)) (-3367 ((|#1| |#2| $ |#1|) 38)) (-4258 (((-637 $) |#2|) 60)) (-1323 (((-121) $ $) 74))) 
+(((-1063 |#1| |#2|) (-13 (-1069 |#1| |#2|) (-10 -8 (-15 -1856 (|#1| $)) (-15 -1852 (|#1| $)) (-15 -4407 (|#1| $)) (-15 -3249 (|#1| $)) (-15 -2299 ($ $)) (-15 -1973 ((-121) |#2| $)) (-15 -1290 (|#1| |#2| $ |#1|)))) (-13 (-845) (-367)) (-1233 |#1|)) (T -1063)) 
+((-1290 (*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2)))) (-1856 (*1 *2 *1) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2)))) (-1852 (*1 *2 *1) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2)))) (-4407 (*1 *2 *1) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2)))) (-3249 (*1 *2 *1) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2)))) (-2299 (*1 *1 *1) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2)))) (-1973 (*1 *2 *3 *1) (-12 (-4 *4 (-13 (-845) (-367))) (-5 *2 (-121)) (-5 *1 (-1063 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-13 (-1069 |#1| |#2|) (-10 -8 (-15 -1856 (|#1| $)) (-15 -1852 (|#1| $)) (-15 -4407 (|#1| $)) (-15 -3249 (|#1| $)) (-15 -2299 ($ $)) (-15 -1973 ((-121) |#2| $)) (-15 -1290 (|#1| |#2| $ |#1|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-1988 (($ $ $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3905 (($ $ $ $) NIL)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL)) (-3309 (($ $ $) NIL)) (-2269 (($) NIL T CONST)) (-3834 (($ (-1169)) 10) (($ (-571)) 7)) (-3337 (((-3 (-571) "failed") $) NIL)) (-1316 (((-571) $) NIL)) (-2162 (($ $ $) NIL)) (-2680 (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-684 (-571)) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3437 (((-3 (-412 (-571)) "failed") $) NIL)) (-3330 (((-121) $) NIL)) (-3450 (((-412 (-571)) $) NIL)) (-3254 (($) NIL) (($ $) NIL)) (-2180 (($ $ $) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-3138 (($ $ $ $) NIL)) (-3494 (($ $ $) NIL)) (-2093 (((-121) $) NIL)) (-3810 (($ $ $) NIL)) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL)) (-2583 (((-121) $) NIL)) (-4329 (((-121) $) NIL)) (-2596 (((-3 $ "failed") $) NIL)) (-4086 (((-121) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-3266 (($ $ $ $) NIL)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-2012 (($ $) NIL)) (-3158 (($ $) NIL)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4052 (($ $ $) NIL)) (-1757 (($) NIL T CONST)) (-3708 (($ $) NIL)) (-2580 (((-1115) $) NIL) (($ $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) NIL) (($ (-637 $)) NIL)) (-2761 (($ $) NIL)) (-4262 (((-423 $) $) NIL)) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2385 (((-121) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3096 (($ $ (-768)) NIL) (($ $) NIL)) (-2404 (($ $) NIL)) (-4316 (($ $) NIL)) (-4050 (((-571) $) 16) (((-544) $) NIL) (((-892 (-571)) $) NIL) (((-384) $) NIL) (((-216) $) NIL) (($ (-1169)) 9)) (-3942 (((-855) $) 20) (($ (-571)) 6) (($ $) NIL) (($ (-571)) 6)) (-2661 (((-768)) NIL)) (-2482 (((-121) $ $) NIL)) (-1358 (($ $ $) NIL)) (-3468 (($) NIL)) (-1388 (((-121) $ $) NIL)) (-1591 (($ $ $ $) NIL)) (-1902 (($ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) NIL)) (-1373 (($ $) 19) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL))) 
+(((-1064) (-13 (-553) (-10 -8 (-6 -4587) (-6 -4592) (-6 -4588) (-15 -4050 ($ (-1169))) (-15 -3834 ($ (-1169))) (-15 -3834 ($ (-571)))))) (T -1064)) 
+((-4050 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1064)))) (-3834 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1064)))) (-3834 (*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1064))))) 
+(-13 (-553) (-10 -8 (-6 -4587) (-6 -4592) (-6 -4588) (-15 -4050 ($ (-1169))) (-15 -3834 ($ (-1169))) (-15 -3834 ($ (-571))))) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL)) (-3839 (((-1263) $ (-1169) (-1169)) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-3596 (($) 9)) (-3251 (((-57) $ (-1169) (-57)) NIL)) (-2721 (($ $) 23)) (-3664 (($ $) 21)) (-2217 (($ $) 20)) (-3570 (($ $) 22)) (-3931 (($ $) 25)) (-2056 (($ $) 26)) (-2992 (($ $) 19)) (-1411 (($ $) 24)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) 18 (|has| $ (-6 -4600)))) (-1741 (((-3 (-57) "failed") (-1169) $) 34)) (-2269 (($) NIL T CONST)) (-3689 (($) 7)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-1599 (($ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) 46 (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-3 (-57) "failed") (-1169) $) NIL)) (-3412 (($ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600)))) (-2373 (((-3 (-1151) "failed") $ (-1151) (-571)) 59)) (-2922 (((-57) $ (-1169) (-57)) NIL (|has| $ (-6 -4601)))) (-4319 (((-57) $ (-1169)) NIL)) (-4034 (((-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-637 (-57)) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-1169) $) NIL (|has| (-1169) (-847)))) (-3488 (((-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) 28 (|has| $ (-6 -4600))) (((-637 (-57)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-57) (-1097))))) (-3113 (((-1169) $) NIL (|has| (-1169) (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4601))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-3359 (((-637 (-1169)) $) NIL)) (-1507 (((-121) (-1169) $) NIL)) (-2377 (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL)) (-2863 (($ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) 37)) (-2738 (((-637 (-1169)) $) NIL)) (-1613 (((-121) (-1169) $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-2577 (((-384) $ (-1169)) 45)) (-2607 (((-637 (-1151)) $ (-1151)) 60)) (-1827 (((-57) $) NIL (|has| (-1169) (-847)))) (-3765 (((-3 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) "failed") (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL)) (-4411 (($ $ (-57)) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))))) NIL (-12 (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (($ $ (-289 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL (-12 (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (($ $ (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) NIL (-12 (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (($ $ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL (-12 (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-304 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (($ $ (-637 (-57)) (-637 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097)))) (($ $ (-637 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-57) (-1097))))) (-3909 (((-637 (-57)) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 (((-57) $ (-1169)) NIL) (((-57) $ (-1169) (-57)) NIL)) (-3563 (($) NIL) (($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL)) (-2473 (($ $ (-1169)) 47)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097)))) (((-768) (-57) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-57) (-1097)))) (((-768) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) 30)) (-4498 (($ $ $) 31)) (-3942 (((-855) $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-4565 (($ $ (-1169) (-384)) 43)) (-4514 (($ $ (-1169) (-384)) 44)) (-3700 (($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))))) NIL)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 (-1169)) (|:| -4279 (-57)))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (-1831 (|has| (-57) (-1097)) (|has| (-2 (|:| -4080 (-1169)) (|:| -4279 (-57))) (-1097))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1065) (-13 (-1180 (-1169) (-57)) (-10 -8 (-15 -4498 ($ $ $)) (-15 -3689 ($)) (-15 -2992 ($ $)) (-15 -2217 ($ $)) (-15 -3664 ($ $)) (-15 -3570 ($ $)) (-15 -1411 ($ $)) (-15 -2721 ($ $)) (-15 -3931 ($ $)) (-15 -2056 ($ $)) (-15 -4565 ($ $ (-1169) (-384))) (-15 -4514 ($ $ (-1169) (-384))) (-15 -2577 ((-384) $ (-1169))) (-15 -2607 ((-637 (-1151)) $ (-1151))) (-15 -2473 ($ $ (-1169))) (-15 -3596 ($)) (-15 -2373 ((-3 (-1151) "failed") $ (-1151) (-571))) (-6 -4600)))) (T -1065)) 
+((-4498 (*1 *1 *1 *1) (-5 *1 (-1065))) (-3689 (*1 *1) (-5 *1 (-1065))) (-2992 (*1 *1 *1) (-5 *1 (-1065))) (-2217 (*1 *1 *1) (-5 *1 (-1065))) (-3664 (*1 *1 *1) (-5 *1 (-1065))) (-3570 (*1 *1 *1) (-5 *1 (-1065))) (-1411 (*1 *1 *1) (-5 *1 (-1065))) (-2721 (*1 *1 *1) (-5 *1 (-1065))) (-3931 (*1 *1 *1) (-5 *1 (-1065))) (-2056 (*1 *1 *1) (-5 *1 (-1065))) (-4565 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-384)) (-5 *1 (-1065)))) (-4514 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-384)) (-5 *1 (-1065)))) (-2577 (*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-384)) (-5 *1 (-1065)))) (-2607 (*1 *2 *1 *3) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1065)) (-5 *3 (-1151)))) (-2473 (*1 *1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1065)))) (-3596 (*1 *1) (-5 *1 (-1065))) (-2373 (*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1151)) (-5 *3 (-571)) (-5 *1 (-1065))))) 
+(-13 (-1180 (-1169) (-57)) (-10 -8 (-15 -4498 ($ $ $)) (-15 -3689 ($)) (-15 -2992 ($ $)) (-15 -2217 ($ $)) (-15 -3664 ($ $)) (-15 -3570 ($ $)) (-15 -1411 ($ $)) (-15 -2721 ($ $)) (-15 -3931 ($ $)) (-15 -2056 ($ $)) (-15 -4565 ($ $ (-1169) (-384))) (-15 -4514 ($ $ (-1169) (-384))) (-15 -2577 ((-384) $ (-1169))) (-15 -2607 ((-637 (-1151)) $ (-1151))) (-15 -2473 ($ $ (-1169))) (-15 -3596 ($)) (-15 -2373 ((-3 (-1151) "failed") $ (-1151) (-571))) (-6 -4600))) 
+((-4327 (($ $) 45)) (-3479 (((-121) $ $) 74)) (-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 (-571) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 $ "failed") (-958 (-412 (-571)))) 226) (((-3 $ "failed") (-958 (-571))) 225) (((-3 $ "failed") (-958 |#2|)) 228)) (-1316 ((|#2| $) NIL) (((-412 (-571)) $) NIL) (((-571) $) NIL) ((|#4| $) NIL) (($ (-958 (-412 (-571)))) 214) (($ (-958 (-571))) 210) (($ (-958 |#2|)) 230)) (-4349 (($ $) NIL) (($ $ |#4|) 43)) (-3052 (((-121) $ $) 111) (((-121) $ (-637 $)) 112)) (-4146 (((-121) $) 56)) (-2506 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 106)) (-1310 (($ $) 137)) (-4310 (($ $) 133)) (-3715 (($ $) 132)) (-3938 (($ $ $) 79) (($ $ $ |#4|) 84)) (-1679 (($ $ $) 82) (($ $ $ |#4|) 86)) (-1791 (((-121) $ $) 120) (((-121) $ (-637 $)) 121)) (-2065 ((|#4| $) 33)) (-2575 (($ $ $) 109)) (-1804 (((-121) $) 55)) (-2187 (((-768) $) 35)) (-3742 (($ $) 151)) (-2920 (($ $) 148)) (-1772 (((-637 $) $) 68)) (-3452 (($ $) 57)) (-2769 (($ $) 144)) (-2103 (((-637 $) $) 65)) (-4311 (($ $) 59)) (-4337 ((|#2| $) NIL) (($ $ |#4|) 38)) (-4544 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3134 (-768))) $ $) 110)) (-3816 (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $) 107) (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $ |#4|) 108)) (-3604 (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -3363 $)) $ $) 103) (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -3363 $)) $ $ |#4|) 104)) (-2091 (($ $ $) 89) (($ $ $ |#4|) 94)) (-2550 (($ $ $) 90) (($ $ $ |#4|) 95)) (-2637 (((-637 $) $) 51)) (-3554 (((-121) $ $) 117) (((-121) $ (-637 $)) 118)) (-2347 (($ $ $) 102)) (-1757 (($ $) 37)) (-2075 (((-121) $ $) 72)) (-2240 (((-121) $ $) 113) (((-121) $ (-637 $)) 115)) (-2444 (($ $ $) 100)) (-1571 (($ $) 40)) (-3026 ((|#2| |#2| $) 141) (($ (-637 $)) NIL) (($ $ $) NIL)) (-1807 (($ $ |#2|) NIL) (($ $ $) 130)) (-1585 (($ $ |#2|) 125) (($ $ $) 128)) (-4074 (($ $) 48)) (-2932 (($ $) 52)) (-4050 (((-892 (-384)) $) NIL) (((-892 (-571)) $) NIL) (((-544) $) NIL) (($ (-958 (-412 (-571)))) 216) (($ (-958 (-571))) 212) (($ (-958 |#2|)) 227) (((-1151) $) 249) (((-958 |#2|) $) 161)) (-3942 (((-855) $) 30) (($ (-571)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (((-958 |#2|) $) 162) (($ (-412 (-571))) NIL) (($ $) NIL)) (-2100 (((-3 (-121) "failed") $ $) 71))) 
+(((-1066 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3942 (|#1| |#1|)) (-15 -3026 (|#1| |#1| |#1|)) (-15 -3026 (|#1| (-637 |#1|))) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 ((-958 |#2|) |#1|)) (-15 -4050 ((-958 |#2|) |#1|)) (-15 -4050 ((-1151) |#1|)) (-15 -3742 (|#1| |#1|)) (-15 -2920 (|#1| |#1|)) (-15 -2769 (|#1| |#1|)) (-15 -1310 (|#1| |#1|)) (-15 -3026 (|#2| |#2| |#1|)) (-15 -1807 (|#1| |#1| |#1|)) (-15 -1585 (|#1| |#1| |#1|)) (-15 -1807 (|#1| |#1| |#2|)) (-15 -1585 (|#1| |#1| |#2|)) (-15 -4310 (|#1| |#1|)) (-15 -3715 (|#1| |#1|)) (-15 -4050 (|#1| (-958 |#2|))) (-15 -1316 (|#1| (-958 |#2|))) (-15 -3337 ((-3 |#1| "failed") (-958 |#2|))) (-15 -4050 (|#1| (-958 (-571)))) (-15 -1316 (|#1| (-958 (-571)))) (-15 -3337 ((-3 |#1| "failed") (-958 (-571)))) (-15 -4050 (|#1| (-958 (-412 (-571))))) (-15 -1316 (|#1| (-958 (-412 (-571))))) (-15 -3337 ((-3 |#1| "failed") (-958 (-412 (-571))))) (-15 -2347 (|#1| |#1| |#1|)) (-15 -2444 (|#1| |#1| |#1|)) (-15 -4544 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -3134 (-768))) |#1| |#1|)) (-15 -2575 (|#1| |#1| |#1|)) (-15 -2506 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -3816 ((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1| |#4|)) (-15 -3816 ((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -3604 ((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -3363 |#1|)) |#1| |#1| |#4|)) (-15 -3604 ((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -2550 (|#1| |#1| |#1| |#4|)) (-15 -2091 (|#1| |#1| |#1| |#4|)) (-15 -2550 (|#1| |#1| |#1|)) (-15 -2091 (|#1| |#1| |#1|)) (-15 -1679 (|#1| |#1| |#1| |#4|)) (-15 -3938 (|#1| |#1| |#1| |#4|)) (-15 -1679 (|#1| |#1| |#1|)) (-15 -3938 (|#1| |#1| |#1|)) (-15 -1791 ((-121) |#1| (-637 |#1|))) (-15 -1791 ((-121) |#1| |#1|)) (-15 -3554 ((-121) |#1| (-637 |#1|))) (-15 -3554 ((-121) |#1| |#1|)) (-15 -2240 ((-121) |#1| (-637 |#1|))) (-15 -2240 ((-121) |#1| |#1|)) (-15 -3052 ((-121) |#1| (-637 |#1|))) (-15 -3052 ((-121) |#1| |#1|)) (-15 -3479 ((-121) |#1| |#1|)) (-15 -2075 ((-121) |#1| |#1|)) (-15 -2100 ((-3 (-121) "failed") |#1| |#1|)) (-15 -1772 ((-637 |#1|) |#1|)) (-15 -2103 ((-637 |#1|) |#1|)) (-15 -4311 (|#1| |#1|)) (-15 -3452 (|#1| |#1|)) (-15 -4146 ((-121) |#1|)) (-15 -1804 ((-121) |#1|)) (-15 -4349 (|#1| |#1| |#4|)) (-15 -4337 (|#1| |#1| |#4|)) (-15 -2932 (|#1| |#1|)) (-15 -2637 ((-637 |#1|) |#1|)) (-15 -4074 (|#1| |#1|)) (-15 -4327 (|#1| |#1|)) (-15 -1571 (|#1| |#1|)) (-15 -1757 (|#1| |#1|)) (-15 -2187 ((-768) |#1|)) (-15 -2065 (|#4| |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -1316 (|#4| |#1|)) (-15 -3337 ((-3 |#4| "failed") |#1|)) (-15 -3942 (|#1| |#4|)) (-15 -4337 (|#2| |#1|)) (-15 -4349 (|#1| |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) (-1067 |#2| |#3| |#4|) (-1053) (-793) (-847)) (T -1066)) 
+NIL 
+(-10 -8 (-15 -3942 (|#1| |#1|)) (-15 -3026 (|#1| |#1| |#1|)) (-15 -3026 (|#1| (-637 |#1|))) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 ((-958 |#2|) |#1|)) (-15 -4050 ((-958 |#2|) |#1|)) (-15 -4050 ((-1151) |#1|)) (-15 -3742 (|#1| |#1|)) (-15 -2920 (|#1| |#1|)) (-15 -2769 (|#1| |#1|)) (-15 -1310 (|#1| |#1|)) (-15 -3026 (|#2| |#2| |#1|)) (-15 -1807 (|#1| |#1| |#1|)) (-15 -1585 (|#1| |#1| |#1|)) (-15 -1807 (|#1| |#1| |#2|)) (-15 -1585 (|#1| |#1| |#2|)) (-15 -4310 (|#1| |#1|)) (-15 -3715 (|#1| |#1|)) (-15 -4050 (|#1| (-958 |#2|))) (-15 -1316 (|#1| (-958 |#2|))) (-15 -3337 ((-3 |#1| "failed") (-958 |#2|))) (-15 -4050 (|#1| (-958 (-571)))) (-15 -1316 (|#1| (-958 (-571)))) (-15 -3337 ((-3 |#1| "failed") (-958 (-571)))) (-15 -4050 (|#1| (-958 (-412 (-571))))) (-15 -1316 (|#1| (-958 (-412 (-571))))) (-15 -3337 ((-3 |#1| "failed") (-958 (-412 (-571))))) (-15 -2347 (|#1| |#1| |#1|)) (-15 -2444 (|#1| |#1| |#1|)) (-15 -4544 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -3134 (-768))) |#1| |#1|)) (-15 -2575 (|#1| |#1| |#1|)) (-15 -2506 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -3816 ((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1| |#4|)) (-15 -3816 ((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -3604 ((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -3363 |#1|)) |#1| |#1| |#4|)) (-15 -3604 ((-2 (|:| -4501 |#1|) (|:| |gap| (-768)) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -2550 (|#1| |#1| |#1| |#4|)) (-15 -2091 (|#1| |#1| |#1| |#4|)) (-15 -2550 (|#1| |#1| |#1|)) (-15 -2091 (|#1| |#1| |#1|)) (-15 -1679 (|#1| |#1| |#1| |#4|)) (-15 -3938 (|#1| |#1| |#1| |#4|)) (-15 -1679 (|#1| |#1| |#1|)) (-15 -3938 (|#1| |#1| |#1|)) (-15 -1791 ((-121) |#1| (-637 |#1|))) (-15 -1791 ((-121) |#1| |#1|)) (-15 -3554 ((-121) |#1| (-637 |#1|))) (-15 -3554 ((-121) |#1| |#1|)) (-15 -2240 ((-121) |#1| (-637 |#1|))) (-15 -2240 ((-121) |#1| |#1|)) (-15 -3052 ((-121) |#1| (-637 |#1|))) (-15 -3052 ((-121) |#1| |#1|)) (-15 -3479 ((-121) |#1| |#1|)) (-15 -2075 ((-121) |#1| |#1|)) (-15 -2100 ((-3 (-121) "failed") |#1| |#1|)) (-15 -1772 ((-637 |#1|) |#1|)) (-15 -2103 ((-637 |#1|) |#1|)) (-15 -4311 (|#1| |#1|)) (-15 -3452 (|#1| |#1|)) (-15 -4146 ((-121) |#1|)) (-15 -1804 ((-121) |#1|)) (-15 -4349 (|#1| |#1| |#4|)) (-15 -4337 (|#1| |#1| |#4|)) (-15 -2932 (|#1| |#1|)) (-15 -2637 ((-637 |#1|) |#1|)) (-15 -4074 (|#1| |#1|)) (-15 -4327 (|#1| |#1|)) (-15 -1571 (|#1| |#1|)) (-15 -1757 (|#1| |#1|)) (-15 -2187 ((-768) |#1|)) (-15 -2065 (|#4| |#1|)) (-15 -4050 ((-544) |#1|)) (-15 -4050 ((-892 (-571)) |#1|)) (-15 -4050 ((-892 (-384)) |#1|)) (-15 -1316 (|#4| |#1|)) (-15 -3337 ((-3 |#4| "failed") |#1|)) (-15 -3942 (|#1| |#4|)) (-15 -4337 (|#2| |#1|)) (-15 -4349 (|#1| |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3424 (((-637 |#3|) $) 108)) (-4257 (((-1165 $) $ |#3|) 123) (((-1165 |#1|) $) 122)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 85 (|has| |#1| (-561)))) (-1415 (($ $) 86 (|has| |#1| (-561)))) (-2545 (((-121) $) 88 (|has| |#1| (-561)))) (-3066 (((-768) $) 110) (((-768) $ (-637 |#3|)) 109)) (-4327 (($ $) 250)) (-3479 (((-121) $ $) 236)) (-4176 (((-3 $ "failed") $ $) 18)) (-3888 (($ $ $) 195 (|has| |#1| (-561)))) (-2476 (((-637 $) $ $) 190 (|has| |#1| (-561)))) (-1434 (((-423 (-1165 $)) (-1165 $)) 98 (|has| |#1| (-909)))) (-2356 (($ $) 96 (|has| |#1| (-456)))) (-4151 (((-423 $) $) 95 (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 101 (|has| |#1| (-909)))) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#1| "failed") $) 162) (((-3 (-412 (-571)) "failed") $) 160 (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) 158 (|has| |#1| (-1043 (-571)))) (((-3 |#3| "failed") $) 134) (((-3 $ "failed") (-958 (-412 (-571)))) 210 (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#3| (-612 (-1169))))) (((-3 $ "failed") (-958 (-571))) 207 (-1831 (-12 (-2931 (|has| |#1| (-43 (-412 (-571))))) (|has| |#1| (-43 (-571))) (|has| |#3| (-612 (-1169)))) (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#3| (-612 (-1169)))))) (((-3 $ "failed") (-958 |#1|)) 204 (-1831 (-12 (-2931 (|has| |#1| (-43 (-412 (-571))))) (-2931 (|has| |#1| (-43 (-571)))) (|has| |#3| (-612 (-1169)))) (-12 (-2931 (|has| |#1| (-553))) (-2931 (|has| |#1| (-43 (-412 (-571))))) (|has| |#1| (-43 (-571))) (|has| |#3| (-612 (-1169)))) (-12 (-2931 (|has| |#1| (-999 (-571)))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#3| (-612 (-1169))))))) (-1316 ((|#1| $) 163) (((-412 (-571)) $) 159 (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) 157 (|has| |#1| (-1043 (-571)))) ((|#3| $) 133) (($ (-958 (-412 (-571)))) 209 (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#3| (-612 (-1169))))) (($ (-958 (-571))) 206 (-1831 (-12 (-2931 (|has| |#1| (-43 (-412 (-571))))) (|has| |#1| (-43 (-571))) (|has| |#3| (-612 (-1169)))) (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#3| (-612 (-1169)))))) (($ (-958 |#1|)) 203 (-1831 (-12 (-2931 (|has| |#1| (-43 (-412 (-571))))) (-2931 (|has| |#1| (-43 (-571)))) (|has| |#3| (-612 (-1169)))) (-12 (-2931 (|has| |#1| (-553))) (-2931 (|has| |#1| (-43 (-412 (-571))))) (|has| |#1| (-43 (-571))) (|has| |#3| (-612 (-1169)))) (-12 (-2931 (|has| |#1| (-999 (-571)))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#3| (-612 (-1169))))))) (-3730 (($ $ $ |#3|) 106 (|has| |#1| (-173))) (($ $ $) 191 (|has| |#1| (-561)))) (-4349 (($ $) 152) (($ $ |#3|) 245)) (-2680 (((-684 (-571)) (-684 $)) 132 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 131 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 130) (((-684 |#1|) (-684 $)) 129)) (-3052 (((-121) $ $) 235) (((-121) $ (-637 $)) 234)) (-3978 (((-3 $ "failed") $) 33)) (-4146 (((-121) $) 243)) (-2506 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 215)) (-1310 (($ $) 184 (|has| |#1| (-456)))) (-3630 (($ $) 174 (|has| |#1| (-456))) (($ $ |#3|) 103 (|has| |#1| (-456)))) (-4343 (((-637 $) $) 107)) (-1596 (((-121) $) 94 (|has| |#1| (-909)))) (-4310 (($ $) 200 (|has| |#1| (-561)))) (-3715 (($ $) 201 (|has| |#1| (-561)))) (-3938 (($ $ $) 227) (($ $ $ |#3|) 225)) (-1679 (($ $ $) 226) (($ $ $ |#3|) 224)) (-1420 (($ $ |#1| |#2| $) 170)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 82 (-12 (|has| |#3| (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 81 (-12 (|has| |#3| (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-2583 (((-121) $) 30)) (-2108 (((-768) $) 167)) (-1791 (((-121) $ $) 229) (((-121) $ (-637 $)) 228)) (-1947 (($ $ $ $ $) 186 (|has| |#1| (-561)))) (-2065 ((|#3| $) 254)) (-4296 (($ (-1165 |#1|) |#3|) 115) (($ (-1165 $) |#3|) 114)) (-1368 (((-637 $) $) 124)) (-3517 (((-121) $) 150)) (-4289 (($ |#1| |#2|) 151) (($ $ |#3| (-768)) 117) (($ $ (-637 |#3|) (-637 (-768))) 116)) (-2575 (($ $ $) 214)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ |#3|) 118)) (-1804 (((-121) $) 244)) (-3973 ((|#2| $) 168) (((-768) $ |#3|) 120) (((-637 (-768)) $ (-637 |#3|)) 119)) (-1763 (($ $ $) 77 (|has| |#1| (-847)))) (-2187 (((-768) $) 253)) (-2383 (($ $ $) 76 (|has| |#1| (-847)))) (-2587 (($ (-1 |#2| |#2|) $) 169)) (-3799 (($ (-1 |#1| |#1|) $) 149)) (-2510 (((-3 |#3| "failed") $) 121)) (-3742 (($ $) 181 (|has| |#1| (-456)))) (-2920 (($ $) 182 (|has| |#1| (-456)))) (-1772 (((-637 $) $) 239)) (-3452 (($ $) 242)) (-2769 (($ $) 183 (|has| |#1| (-456)))) (-2103 (((-637 $) $) 240)) (-4311 (($ $) 241)) (-4332 (($ $) 147)) (-4337 ((|#1| $) 146) (($ $ |#3|) 246)) (-1622 (($ (-637 $)) 92 (|has| |#1| (-456))) (($ $ $) 91 (|has| |#1| (-456)))) (-4544 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3134 (-768))) $ $) 213)) (-3816 (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $) 217) (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $ |#3|) 216)) (-3604 (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -3363 $)) $ $) 219) (((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -3363 $)) $ $ |#3|) 218)) (-2091 (($ $ $) 223) (($ $ $ |#3|) 221)) (-2550 (($ $ $) 222) (($ $ $ |#3|) 220)) (-3944 (((-1151) $) 9)) (-2810 (($ $ $) 189 (|has| |#1| (-561)))) (-2637 (((-637 $) $) 248)) (-4014 (((-3 (-637 $) "failed") $) 112)) (-1910 (((-3 (-637 $) "failed") $) 113)) (-3925 (((-3 (-2 (|:| |var| |#3|) (|:| -2154 (-768))) "failed") $) 111)) (-3554 (((-121) $ $) 231) (((-121) $ (-637 $)) 230)) (-2347 (($ $ $) 211)) (-1757 (($ $) 252)) (-2075 (((-121) $ $) 237)) (-2240 (((-121) $ $) 233) (((-121) $ (-637 $)) 232)) (-2444 (($ $ $) 212)) (-1571 (($ $) 251)) (-2580 (((-1115) $) 10)) (-3493 (((-2 (|:| -3026 $) (|:| |coef2| $)) $ $) 192 (|has| |#1| (-561)))) (-2073 (((-2 (|:| -3026 $) (|:| |coef1| $)) $ $) 193 (|has| |#1| (-561)))) (-4321 (((-121) $) 164)) (-4326 ((|#1| $) 165)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 93 (|has| |#1| (-456)))) (-3026 ((|#1| |#1| $) 185 (|has| |#1| (-456))) (($ (-637 $)) 90 (|has| |#1| (-456))) (($ $ $) 89 (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) 100 (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) 99 (|has| |#1| (-909)))) (-4262 (((-423 $) $) 97 (|has| |#1| (-909)))) (-2141 (((-2 (|:| -3026 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 194 (|has| |#1| (-561)))) (-1786 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-561))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-561)))) (-1807 (($ $ |#1|) 198 (|has| |#1| (-561))) (($ $ $) 196 (|has| |#1| (-561)))) (-1585 (($ $ |#1|) 199 (|has| |#1| (-561))) (($ $ $) 197 (|has| |#1| (-561)))) (-4483 (($ $ (-637 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-637 $) (-637 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-637 |#3|) (-637 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-637 |#3|) (-637 $)) 136)) (-1475 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3096 (($ $ |#3|) 41) (($ $ (-637 |#3|)) 40) (($ $ |#3| (-768)) 39) (($ $ (-637 |#3|) (-637 (-768))) 38)) (-2400 ((|#2| $) 148) (((-768) $ |#3|) 128) (((-637 (-768)) $ (-637 |#3|)) 127)) (-4074 (($ $) 249)) (-2932 (($ $) 247)) (-4050 (((-892 (-384)) $) 80 (-12 (|has| |#3| (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) 79 (-12 (|has| |#3| (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) 78 (-12 (|has| |#3| (-612 (-544))) (|has| |#1| (-612 (-544))))) (($ (-958 (-412 (-571)))) 208 (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#3| (-612 (-1169))))) (($ (-958 (-571))) 205 (-1831 (-12 (-2931 (|has| |#1| (-43 (-412 (-571))))) (|has| |#1| (-43 (-571))) (|has| |#3| (-612 (-1169)))) (-12 (|has| |#1| (-43 (-412 (-571)))) (|has| |#3| (-612 (-1169)))))) (($ (-958 |#1|)) 202 (|has| |#3| (-612 (-1169)))) (((-1151) $) 180 (-12 (|has| |#1| (-1043 (-571))) (|has| |#3| (-612 (-1169))))) (((-958 |#1|) $) 179 (|has| |#3| (-612 (-1169))))) (-4189 ((|#1| $) 173 (|has| |#1| (-456))) (($ $ |#3|) 104 (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 102 (-3997 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 161) (($ |#3|) 135) (((-958 |#1|) $) 178 (|has| |#3| (-612 (-1169)))) (($ (-412 (-571))) 70 (-1831 (|has| |#1| (-1043 (-412 (-571)))) (|has| |#1| (-43 (-412 (-571)))))) (($ $) 83 (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) 166)) (-3136 ((|#1| $ |#2|) 153) (($ $ |#3| (-768)) 126) (($ $ (-637 |#3|) (-637 (-768))) 125)) (-2346 (((-3 $ "failed") $) 71 (-1831 (-3997 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) 28)) (-3855 (($ $ $ (-768)) 171 (|has| |#1| (-173)))) (-1388 (((-121) $ $) 87 (|has| |#1| (-561)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-2100 (((-3 (-121) "failed") $ $) 238)) (-3222 (($) 29 T CONST)) (-1919 (($ $ $ $ (-768)) 187 (|has| |#1| (-561)))) (-2099 (($ $ $ (-768)) 188 (|has| |#1| (-561)))) (-1544 (($ $ |#3|) 37) (($ $ (-637 |#3|)) 36) (($ $ |#3| (-768)) 35) (($ $ (-637 |#3|) (-637 (-768))) 34)) (-1350 (((-121) $ $) 74 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 73 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 75 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 72 (|has| |#1| (-847)))) (-1379 (($ $ |#1|) 154 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 156 (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) 155 (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-1067 |#1| |#2| |#3|) (-1289) (-1053) (-793) (-847)) (T -1067)) 
+((-2065 (*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) (-2187 (*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-768)))) (-1757 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-1571 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-4327 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-4074 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-2637 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1067 *3 *4 *5)))) (-2932 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-4337 (*1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) (-4349 (*1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) (-1804 (*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) (-4146 (*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) (-3452 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-4311 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-2103 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1067 *3 *4 *5)))) (-1772 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1067 *3 *4 *5)))) (-2100 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) (-2075 (*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) (-3479 (*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) (-3052 (*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) (-3052 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-1067 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)))) (-2240 (*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) (-2240 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-1067 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)))) (-3554 (*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) (-3554 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-1067 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)))) (-1791 (*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) (-1791 (*1 *2 *1 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-1067 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)))) (-3938 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-1679 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-3938 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) (-1679 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) (-2091 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-2550 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-2091 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) (-2550 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) (-3604 (*1 *2 *1 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -4501 *1) (|:| |gap| (-768)) (|:| -3363 *1))) (-4 *1 (-1067 *3 *4 *5)))) (-3604 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-2 (|:| -4501 *1) (|:| |gap| (-768)) (|:| -3363 *1))) (-4 *1 (-1067 *4 *5 *3)))) (-3816 (*1 *2 *1 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -4501 *1) (|:| |gap| (-768)) (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1067 *3 *4 *5)))) (-3816 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-2 (|:| -4501 *1) (|:| |gap| (-768)) (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1067 *4 *5 *3)))) (-2506 (*1 *2 *1 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1067 *3 *4 *5)))) (-2575 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-4544 (*1 *2 *1 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -3134 (-768)))) (-4 *1 (-1067 *3 *4 *5)))) (-2444 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-2347 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) (-3337 (*1 *1 *2) (|partial| -12 (-5 *2 (-958 (-412 (-571)))) (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)))) (-1316 (*1 *1 *2) (-12 (-5 *2 (-958 (-412 (-571)))) (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-958 (-412 (-571)))) (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)))) (-3337 (*1 *1 *2) (|partial| -1831 (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-2931 (-4 *3 (-43 (-412 (-571))))) (-4 *3 (-43 (-571))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))))) (-1316 (*1 *1 *2) (-1831 (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-2931 (-4 *3 (-43 (-412 (-571))))) (-4 *3 (-43 (-571))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))))) (-4050 (*1 *1 *2) (-1831 (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-2931 (-4 *3 (-43 (-412 (-571))))) (-4 *3 (-43 (-571))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))))) (-3337 (*1 *1 *2) (|partial| -1831 (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-43 (-412 (-571))))) (-2931 (-4 *3 (-43 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-553))) (-2931 (-4 *3 (-43 (-412 (-571))))) (-4 *3 (-43 (-571))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-999 (-571)))) (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))))) (-1316 (*1 *1 *2) (-1831 (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-43 (-412 (-571))))) (-2931 (-4 *3 (-43 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-553))) (-2931 (-4 *3 (-43 (-412 (-571))))) (-4 *3 (-43 (-571))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-999 (-571)))) (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-958 *3)) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *5 (-612 (-1169))) (-4 *4 (-793)) (-4 *5 (-847)))) (-3715 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) (-4310 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) (-1585 (*1 *1 *1 *2) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) (-1807 (*1 *1 *1 *2) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) (-1585 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) (-1807 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) (-3888 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) (-2141 (*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -3026 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1067 *3 *4 *5)))) (-2073 (*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -3026 *1) (|:| |coef1| *1))) (-4 *1 (-1067 *3 *4 *5)))) (-3493 (*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -3026 *1) (|:| |coef2| *1))) (-4 *1 (-1067 *3 *4 *5)))) (-3730 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) (-2476 (*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1067 *3 *4 *5)))) (-2810 (*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) (-2099 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *3 (-561)))) (-1919 (*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *3 (-561)))) (-1947 (*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) (-3026 (*1 *2 *2 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456)))) (-1310 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456)))) (-2769 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456)))) (-2920 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456)))) (-3742 (*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456))))) 
+(-13 (-955 |t#1| |t#2| |t#3|) (-10 -8 (-15 -2065 (|t#3| $)) (-15 -2187 ((-768) $)) (-15 -1757 ($ $)) (-15 -1571 ($ $)) (-15 -4327 ($ $)) (-15 -4074 ($ $)) (-15 -2637 ((-637 $) $)) (-15 -2932 ($ $)) (-15 -4337 ($ $ |t#3|)) (-15 -4349 ($ $ |t#3|)) (-15 -1804 ((-121) $)) (-15 -4146 ((-121) $)) (-15 -3452 ($ $)) (-15 -4311 ($ $)) (-15 -2103 ((-637 $) $)) (-15 -1772 ((-637 $) $)) (-15 -2100 ((-3 (-121) "failed") $ $)) (-15 -2075 ((-121) $ $)) (-15 -3479 ((-121) $ $)) (-15 -3052 ((-121) $ $)) (-15 -3052 ((-121) $ (-637 $))) (-15 -2240 ((-121) $ $)) (-15 -2240 ((-121) $ (-637 $))) (-15 -3554 ((-121) $ $)) (-15 -3554 ((-121) $ (-637 $))) (-15 -1791 ((-121) $ $)) (-15 -1791 ((-121) $ (-637 $))) (-15 -3938 ($ $ $)) (-15 -1679 ($ $ $)) (-15 -3938 ($ $ $ |t#3|)) (-15 -1679 ($ $ $ |t#3|)) (-15 -2091 ($ $ $)) (-15 -2550 ($ $ $)) (-15 -2091 ($ $ $ |t#3|)) (-15 -2550 ($ $ $ |t#3|)) (-15 -3604 ((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -3363 $)) $ $)) (-15 -3604 ((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -3363 $)) $ $ |t#3|)) (-15 -3816 ((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -3816 ((-2 (|:| -4501 $) (|:| |gap| (-768)) (|:| -2924 $) (|:| -3363 $)) $ $ |t#3|)) (-15 -2506 ((-2 (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -2575 ($ $ $)) (-15 -4544 ((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3134 (-768))) $ $)) (-15 -2444 ($ $ $)) (-15 -2347 ($ $ $)) (IF (|has| |t#3| (-612 (-1169))) (PROGN (-6 (-611 (-958 |t#1|))) (-6 (-612 (-958 |t#1|))) (IF (|has| |t#1| (-43 (-412 (-571)))) (PROGN (-15 -3337 ((-3 $ "failed") (-958 (-412 (-571))))) (-15 -1316 ($ (-958 (-412 (-571))))) (-15 -4050 ($ (-958 (-412 (-571))))) (-15 -3337 ((-3 $ "failed") (-958 (-571)))) (-15 -1316 ($ (-958 (-571)))) (-15 -4050 ($ (-958 (-571)))) (IF (|has| |t#1| (-999 (-571))) |noBranch| (PROGN (-15 -3337 ((-3 $ "failed") (-958 |t#1|))) (-15 -1316 ($ (-958 |t#1|)))))) |noBranch|) (IF (|has| |t#1| (-43 (-571))) (IF (|has| |t#1| (-43 (-412 (-571)))) |noBranch| (PROGN (-15 -3337 ((-3 $ "failed") (-958 (-571)))) (-15 -1316 ($ (-958 (-571)))) (-15 -4050 ($ (-958 (-571)))) (IF (|has| |t#1| (-553)) |noBranch| (PROGN (-15 -3337 ((-3 $ "failed") (-958 |t#1|))) (-15 -1316 ($ (-958 |t#1|))))))) |noBranch|) (IF (|has| |t#1| (-43 (-571))) |noBranch| (IF (|has| |t#1| (-43 (-412 (-571)))) |noBranch| (PROGN (-15 -3337 ((-3 $ "failed") (-958 |t#1|))) (-15 -1316 ($ (-958 |t#1|)))))) (-15 -4050 ($ (-958 |t#1|))) (IF (|has| |t#1| (-1043 (-571))) (-6 (-612 (-1151))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-561)) (PROGN (-15 -3715 ($ $)) (-15 -4310 ($ $)) (-15 -1585 ($ $ |t#1|)) (-15 -1807 ($ $ |t#1|)) (-15 -1585 ($ $ $)) (-15 -1807 ($ $ $)) (-15 -3888 ($ $ $)) (-15 -2141 ((-2 (|:| -3026 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2073 ((-2 (|:| -3026 $) (|:| |coef1| $)) $ $)) (-15 -3493 ((-2 (|:| -3026 $) (|:| |coef2| $)) $ $)) (-15 -3730 ($ $ $)) (-15 -2476 ((-637 $) $ $)) (-15 -2810 ($ $ $)) (-15 -2099 ($ $ $ (-768))) (-15 -1919 ($ $ $ $ (-768))) (-15 -1947 ($ $ $ $ $))) |noBranch|) (IF (|has| |t#1| (-456)) (PROGN (-15 -3026 (|t#1| |t#1| $)) (-15 -1310 ($ $)) (-15 -2769 ($ $)) (-15 -2920 ($ $)) (-15 -3742 ($ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-611 (-958 |#1|)) |has| |#3| (-612 (-1169))) ((-173) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-173))) ((-612 (-544)) -12 (|has| |#1| (-612 (-544))) (|has| |#3| (-612 (-544)))) ((-612 (-892 (-384))) -12 (|has| |#1| (-612 (-892 (-384)))) (|has| |#3| (-612 (-892 (-384))))) ((-612 (-892 (-571))) -12 (|has| |#1| (-612 (-892 (-571)))) (|has| |#3| (-612 (-892 (-571))))) ((-612 (-958 |#1|)) |has| |#3| (-612 (-1169))) ((-612 (-1151)) -12 (|has| |#1| (-1043 (-571))) (|has| |#3| (-612 (-1169)))) ((-286) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-304 $) . T) ((-325 |#1| |#2|) . T) ((-382 |#1|) . T) ((-416 |#1|) . T) ((-456) -1831 (|has| |#1| (-909)) (|has| |#1| (-456))) ((-526 |#3| |#1|) . T) ((-526 |#3| $) . T) ((-526 $ $) . T) ((-561) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-640 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-640 |#1|) . T) ((-640 $) . T) ((-633 (-571)) |has| |#1| (-633 (-571))) ((-633 |#1|) . T) ((-712 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456))) ((-721) . T) ((-847) |has| |#1| (-847)) ((-900 |#3|) . T) ((-886 (-384)) -12 (|has| |#1| (-886 (-384))) (|has| |#3| (-886 (-384)))) ((-886 (-571)) -12 (|has| |#1| (-886 (-571))) (|has| |#3| (-886 (-571)))) ((-955 |#1| |#2| |#3|) . T) ((-909) |has| |#1| (-909)) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 |#1|) . T) ((-1043 |#3|) . T) ((-1059 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) |has| |#1| (-909))) 
+((-4123 (((-121) |#3| $) 13)) (-2553 (((-3 $ "failed") |#3| (-922)) 23)) (-3978 (((-3 |#3| "failed") |#3| $) 37)) (-2093 (((-121) |#3| $) 16)) (-4086 (((-121) |#3| $) 14))) 
+(((-1068 |#1| |#2| |#3|) (-10 -8 (-15 -2553 ((-3 |#1| "failed") |#3| (-922))) (-15 -3978 ((-3 |#3| "failed") |#3| |#1|)) (-15 -2093 ((-121) |#3| |#1|)) (-15 -4086 ((-121) |#3| |#1|)) (-15 -4123 ((-121) |#3| |#1|))) (-1069 |#2| |#3|) (-13 (-845) (-367)) (-1233 |#2|)) (T -1068)) 
+NIL 
+(-10 -8 (-15 -2553 ((-3 |#1| "failed") |#3| (-922))) (-15 -3978 ((-3 |#3| "failed") |#3| |#1|)) (-15 -2093 ((-121) |#3| |#1|)) (-15 -4086 ((-121) |#3| |#1|)) (-15 -4123 ((-121) |#3| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) |#2| $) 20)) (-3203 (((-571) |#2| $) 21)) (-2553 (((-3 $ "failed") |#2| (-922)) 14)) (-1290 ((|#1| |#2| $ |#1|) 12)) (-3978 (((-3 |#2| "failed") |#2| $) 17)) (-2093 (((-121) |#2| $) 18)) (-4086 (((-121) |#2| $) 19)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3413 ((|#2| $) 16)) (-3942 (((-855) $) 11)) (-3367 ((|#1| |#2| $ |#1|) 13)) (-4258 (((-637 $) |#2|) 15)) (-1323 (((-121) $ $) 6))) 
+(((-1069 |#1| |#2|) (-1289) (-13 (-845) (-367)) (-1233 |t#1|)) (T -1069)) 
+((-3203 (*1 *2 *3 *1) (-12 (-4 *1 (-1069 *4 *3)) (-4 *4 (-13 (-845) (-367))) (-4 *3 (-1233 *4)) (-5 *2 (-571)))) (-4123 (*1 *2 *3 *1) (-12 (-4 *1 (-1069 *4 *3)) (-4 *4 (-13 (-845) (-367))) (-4 *3 (-1233 *4)) (-5 *2 (-121)))) (-4086 (*1 *2 *3 *1) (-12 (-4 *1 (-1069 *4 *3)) (-4 *4 (-13 (-845) (-367))) (-4 *3 (-1233 *4)) (-5 *2 (-121)))) (-2093 (*1 *2 *3 *1) (-12 (-4 *1 (-1069 *4 *3)) (-4 *4 (-13 (-845) (-367))) (-4 *3 (-1233 *4)) (-5 *2 (-121)))) (-3978 (*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1069 *3 *2)) (-4 *3 (-13 (-845) (-367))) (-4 *2 (-1233 *3)))) (-3413 (*1 *2 *1) (-12 (-4 *1 (-1069 *3 *2)) (-4 *3 (-13 (-845) (-367))) (-4 *2 (-1233 *3)))) (-4258 (*1 *2 *3) (-12 (-4 *4 (-13 (-845) (-367))) (-4 *3 (-1233 *4)) (-5 *2 (-637 *1)) (-4 *1 (-1069 *4 *3)))) (-2553 (*1 *1 *2 *3) (|partial| -12 (-5 *3 (-922)) (-4 *4 (-13 (-845) (-367))) (-4 *1 (-1069 *4 *2)) (-4 *2 (-1233 *4)))) (-3367 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1069 *2 *3)) (-4 *2 (-13 (-845) (-367))) (-4 *3 (-1233 *2)))) (-1290 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1069 *2 *3)) (-4 *2 (-13 (-845) (-367))) (-4 *3 (-1233 *2))))) 
+(-13 (-1097) (-10 -8 (-15 -3203 ((-571) |t#2| $)) (-15 -4123 ((-121) |t#2| $)) (-15 -4086 ((-121) |t#2| $)) (-15 -2093 ((-121) |t#2| $)) (-15 -3978 ((-3 |t#2| "failed") |t#2| $)) (-15 -3413 (|t#2| $)) (-15 -4258 ((-637 $) |t#2|)) (-15 -2553 ((-3 $ "failed") |t#2| (-922))) (-15 -3367 (|t#1| |t#2| $ |t#1|)) (-15 -1290 (|t#1| |t#2| $ |t#1|)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-3589 (((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 |#4|) (-637 |#5|) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) (-768)) 95)) (-3532 (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768)) 55)) (-2913 (((-1263) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-768)) 87)) (-1291 (((-768) (-637 |#4|) (-637 |#5|)) 27)) (-3636 (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|) 58) (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768)) 57) (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768) (-121)) 59)) (-3421 (((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121) (-121) (-121) (-121)) 78) (((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121)) 79)) (-4050 (((-1151) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) 82)) (-2817 (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-121)) 54)) (-3166 (((-768) (-637 |#4|) (-637 |#5|)) 19))) 
+(((-1070 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3166 ((-768) (-637 |#4|) (-637 |#5|))) (-15 -1291 ((-768) (-637 |#4|) (-637 |#5|))) (-15 -2817 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-121))) (-15 -3532 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768))) (-15 -3532 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|)) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768) (-121))) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768))) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|)) (-15 -3421 ((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121))) (-15 -3421 ((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3589 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 |#4|) (-637 |#5|) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) (-768))) (-15 -4050 ((-1151) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)))) (-15 -2913 ((-1263) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-768)))) (-456) (-793) (-847) (-1067 |#1| |#2| |#3|) (-1072 |#1| |#2| |#3| |#4|)) (T -1070)) 
+((-2913 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-2 (|:| |val| (-637 *8)) (|:| -4121 *9)))) (-5 *4 (-768)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-1263)) (-5 *1 (-1070 *5 *6 *7 *8 *9)))) (-4050 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-637 *7)) (|:| -4121 *8))) (-4 *7 (-1067 *4 *5 *6)) (-4 *8 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1151)) (-5 *1 (-1070 *4 *5 *6 *7 *8)))) (-3589 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-637 *11)) (|:| |todo| (-637 (-2 (|:| |val| *3) (|:| -4121 *11)))))) (-5 *6 (-768)) (-5 *2 (-637 (-2 (|:| |val| (-637 *10)) (|:| -4121 *11)))) (-5 *3 (-637 *10)) (-5 *4 (-637 *11)) (-4 *10 (-1067 *7 *8 *9)) (-4 *11 (-1072 *7 *8 *9 *10)) (-4 *7 (-456)) (-4 *8 (-793)) (-4 *9 (-847)) (-5 *1 (-1070 *7 *8 *9 *10 *11)))) (-3421 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-637 *9)) (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1070 *5 *6 *7 *8 *9)))) (-3421 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-637 *9)) (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1070 *5 *6 *7 *8 *9)))) (-3636 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-3636 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-768)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *6 *7 *8 *3 *4)) (-4 *4 (-1072 *6 *7 *8 *3)))) (-3636 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-768)) (-5 *6 (-121)) (-4 *7 (-456)) (-4 *8 (-793)) (-4 *9 (-847)) (-4 *3 (-1067 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *7 *8 *9 *3 *4)) (-4 *4 (-1072 *7 *8 *9 *3)))) (-3532 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-3532 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-768)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *6 *7 *8 *3 *4)) (-4 *4 (-1072 *6 *7 *8 *3)))) (-2817 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *6 *7 *8 *3 *4)) (-4 *4 (-1072 *6 *7 *8 *3)))) (-1291 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 *9)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-768)) (-5 *1 (-1070 *5 *6 *7 *8 *9)))) (-3166 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 *9)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-768)) (-5 *1 (-1070 *5 *6 *7 *8 *9))))) 
+(-10 -7 (-15 -3166 ((-768) (-637 |#4|) (-637 |#5|))) (-15 -1291 ((-768) (-637 |#4|) (-637 |#5|))) (-15 -2817 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-121))) (-15 -3532 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768))) (-15 -3532 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|)) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768) (-121))) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768))) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|)) (-15 -3421 ((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121))) (-15 -3421 ((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3589 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 |#4|) (-637 |#5|) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) (-768))) (-15 -4050 ((-1151) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)))) (-15 -2913 ((-1263) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-768)))) 
+((-1638 (((-121) |#5| $) 20)) (-4579 (((-121) |#5| $) 23)) (-2485 (((-121) |#5| $) 16) (((-121) $) 44)) (-4017 (((-637 $) |#5| $) NIL) (((-637 $) (-637 |#5|) $) 76) (((-637 $) (-637 |#5|) (-637 $)) 74) (((-637 $) |#5| (-637 $)) 77)) (-3140 (($ $ |#5|) NIL) (((-637 $) |#5| $) NIL) (((-637 $) |#5| (-637 $)) 59) (((-637 $) (-637 |#5|) $) 61) (((-637 $) (-637 |#5|) (-637 $)) 63)) (-2319 (((-637 $) |#5| $) NIL) (((-637 $) |#5| (-637 $)) 53) (((-637 $) (-637 |#5|) $) 55) (((-637 $) (-637 |#5|) (-637 $)) 57)) (-2640 (((-121) |#5| $) 26))) 
+(((-1071 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3140 ((-637 |#1|) (-637 |#5|) (-637 |#1|))) (-15 -3140 ((-637 |#1|) (-637 |#5|) |#1|)) (-15 -3140 ((-637 |#1|) |#5| (-637 |#1|))) (-15 -3140 ((-637 |#1|) |#5| |#1|)) (-15 -2319 ((-637 |#1|) (-637 |#5|) (-637 |#1|))) (-15 -2319 ((-637 |#1|) (-637 |#5|) |#1|)) (-15 -2319 ((-637 |#1|) |#5| (-637 |#1|))) (-15 -2319 ((-637 |#1|) |#5| |#1|)) (-15 -4017 ((-637 |#1|) |#5| (-637 |#1|))) (-15 -4017 ((-637 |#1|) (-637 |#5|) (-637 |#1|))) (-15 -4017 ((-637 |#1|) (-637 |#5|) |#1|)) (-15 -4017 ((-637 |#1|) |#5| |#1|)) (-15 -4579 ((-121) |#5| |#1|)) (-15 -2485 ((-121) |#1|)) (-15 -2640 ((-121) |#5| |#1|)) (-15 -1638 ((-121) |#5| |#1|)) (-15 -2485 ((-121) |#5| |#1|)) (-15 -3140 (|#1| |#1| |#5|))) (-1072 |#2| |#3| |#4| |#5|) (-456) (-793) (-847) (-1067 |#2| |#3| |#4|)) (T -1071)) 
+NIL 
+(-10 -8 (-15 -3140 ((-637 |#1|) (-637 |#5|) (-637 |#1|))) (-15 -3140 ((-637 |#1|) (-637 |#5|) |#1|)) (-15 -3140 ((-637 |#1|) |#5| (-637 |#1|))) (-15 -3140 ((-637 |#1|) |#5| |#1|)) (-15 -2319 ((-637 |#1|) (-637 |#5|) (-637 |#1|))) (-15 -2319 ((-637 |#1|) (-637 |#5|) |#1|)) (-15 -2319 ((-637 |#1|) |#5| (-637 |#1|))) (-15 -2319 ((-637 |#1|) |#5| |#1|)) (-15 -4017 ((-637 |#1|) |#5| (-637 |#1|))) (-15 -4017 ((-637 |#1|) (-637 |#5|) (-637 |#1|))) (-15 -4017 ((-637 |#1|) (-637 |#5|) |#1|)) (-15 -4017 ((-637 |#1|) |#5| |#1|)) (-15 -4579 ((-121) |#5| |#1|)) (-15 -2485 ((-121) |#1|)) (-15 -2640 ((-121) |#5| |#1|)) (-15 -1638 ((-121) |#5| |#1|)) (-15 -2485 ((-121) |#5| |#1|)) (-15 -3140 (|#1| |#1| |#5|))) 
+((-2234 (((-121) $ $) 7)) (-2626 (((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 |#4|)))) (-637 |#4|)) 78)) (-2235 (((-637 $) (-637 |#4|)) 79) (((-637 $) (-637 |#4|) (-121)) 104)) (-3424 (((-637 |#3|) $) 32)) (-2927 (((-121) $) 25)) (-4409 (((-121) $) 16 (|has| |#1| (-561)))) (-3766 (((-121) |#4| $) 94) (((-121) $) 90)) (-3998 ((|#4| |#4| $) 85)) (-2356 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| $) 119)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) 26)) (-3133 (((-121) $ (-768)) 43)) (-2534 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4600))) (((-3 |#4| "failed") $ |#3|) 72)) (-2269 (($) 44 T CONST)) (-2940 (((-121) $) 21 (|has| |#1| (-561)))) (-4203 (((-121) $ $) 23 (|has| |#1| (-561)))) (-2568 (((-121) $ $) 22 (|has| |#1| (-561)))) (-3455 (((-121) $) 24 (|has| |#1| (-561)))) (-3516 (((-637 |#4|) (-637 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-1372 (((-637 |#4|) (-637 |#4|) $) 17 (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) 18 (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) 35)) (-1316 (($ (-637 |#4|)) 34)) (-4372 (((-3 $ "failed") $) 75)) (-4476 ((|#4| |#4| $) 82)) (-4365 (($ $) 67 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#4| $) 66 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-561)))) (-3052 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-3271 ((|#4| |#4| $) 80)) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4600))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-1770 (((-2 (|:| -2363 (-637 |#4|)) (|:| -3545 (-637 |#4|))) $) 98)) (-1638 (((-121) |#4| $) 129)) (-4579 (((-121) |#4| $) 126)) (-2485 (((-121) |#4| $) 130) (((-121) $) 127)) (-4034 (((-637 |#4|) $) 51 (|has| $ (-6 -4600)))) (-1791 (((-121) |#4| $) 97) (((-121) $) 96)) (-2065 ((|#3| $) 33)) (-2262 (((-121) $ (-768)) 42)) (-3488 (((-637 |#4|) $) 52 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) 46)) (-2213 (((-637 |#3|) $) 31)) (-3529 (((-121) |#3| $) 30)) (-3794 (((-121) $ (-768)) 41)) (-3944 (((-1151) $) 9)) (-3223 (((-3 |#4| (-637 $)) |#4| |#4| $) 121)) (-2810 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| |#4| $) 120)) (-3220 (((-3 |#4| "failed") $) 76)) (-1891 (((-637 $) |#4| $) 122)) (-1927 (((-3 (-121) (-637 $)) |#4| $) 125)) (-2687 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-4017 (((-637 $) |#4| $) 118) (((-637 $) (-637 |#4|) $) 117) (((-637 $) (-637 |#4|) (-637 $)) 116) (((-637 $) |#4| (-637 $)) 115)) (-2935 (($ |#4| $) 110) (($ (-637 |#4|) $) 109)) (-2551 (((-637 |#4|) $) 100)) (-3554 (((-121) |#4| $) 92) (((-121) $) 88)) (-2347 ((|#4| |#4| $) 83)) (-2075 (((-121) $ $) 103)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-561)))) (-2240 (((-121) |#4| $) 93) (((-121) $) 89)) (-2444 ((|#4| |#4| $) 84)) (-2580 (((-1115) $) 10)) (-1827 (((-3 |#4| "failed") $) 77)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4016 (((-3 $ "failed") $ |#4|) 71)) (-3140 (($ $ |#4|) 70) (((-637 $) |#4| $) 108) (((-637 $) |#4| (-637 $)) 107) (((-637 $) (-637 |#4|) $) 106) (((-637 $) (-637 |#4|) (-637 $)) 105)) (-3160 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) 37)) (-1828 (((-121) $) 40)) (-1630 (($) 39)) (-2400 (((-768) $) 99)) (-1569 (((-768) |#4| $) 53 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4600)))) (-4316 (($ $) 38)) (-4050 (((-544) $) 68 (|has| |#4| (-612 (-544))))) (-3891 (($ (-637 |#4|)) 59)) (-3985 (($ $ |#3|) 27)) (-1905 (($ $ |#3|) 29)) (-4371 (($ $) 81)) (-2031 (($ $ |#3|) 28)) (-3942 (((-855) $) 11) (((-637 |#4|) $) 36)) (-1930 (((-768) $) 69 (|has| |#3| (-373)))) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1875 (((-121) $ (-1 (-121) |#4| (-637 |#4|))) 91)) (-2319 (((-637 $) |#4| $) 114) (((-637 $) |#4| (-637 $)) 113) (((-637 $) (-637 |#4|) $) 112) (((-637 $) (-637 |#4|) (-637 $)) 111)) (-3027 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4600)))) (-3557 (((-637 |#3|) $) 74)) (-2640 (((-121) |#4| $) 128)) (-3049 (((-121) |#3| $) 73)) (-1323 (((-121) $ $) 6)) (-4001 (((-768) $) 45 (|has| $ (-6 -4600))))) 
+(((-1072 |#1| |#2| |#3| |#4|) (-1289) (-456) (-793) (-847) (-1067 |t#1| |t#2| |t#3|)) (T -1072)) 
+((-2485 (*1 *2 *3 *1) (-12 (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121)))) (-1638 (*1 *2 *3 *1) (-12 (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121)))) (-2640 (*1 *2 *3 *1) (-12 (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121)))) (-2485 (*1 *2 *1) (-12 (-4 *1 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) (-4579 (*1 *2 *3 *1) (-12 (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121)))) (-1927 (*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-3 (-121) (-637 *1))) (-4 *1 (-1072 *4 *5 *6 *3)))) (-2687 (*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *1)))) (-4 *1 (-1072 *4 *5 *6 *3)))) (-2687 (*1 *2 *3 *1) (-12 (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121)))) (-1891 (*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)))) (-3223 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-3 *3 (-637 *1))) (-4 *1 (-1072 *4 *5 *6 *3)))) (-2810 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *1)))) (-4 *1 (-1072 *4 *5 *6 *3)))) (-2356 (*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *1)))) (-4 *1 (-1072 *4 *5 *6 *3)))) (-4017 (*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)))) (-4017 (*1 *2 *3 *1) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *7)))) (-4017 (*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-5 *3 (-637 *7)) (-4 *1 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)))) (-4017 (*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)))) (-2319 (*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)))) (-2319 (*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)))) (-2319 (*1 *2 *3 *1) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *7)))) (-2319 (*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-5 *3 (-637 *7)) (-4 *1 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)))) (-2935 (*1 *1 *2 *1) (-12 (-4 *1 (-1072 *3 *4 *5 *2)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) (-2935 (*1 *1 *2 *1) (-12 (-5 *2 (-637 *6)) (-4 *1 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)))) (-3140 (*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)))) (-3140 (*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)))) (-3140 (*1 *2 *3 *1) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *7)))) (-3140 (*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-5 *3 (-637 *7)) (-4 *1 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)))) (-2235 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *5 *6 *7 *8))))) 
+(-13 (-1197 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-15 -2485 ((-121) |t#4| $)) (-15 -1638 ((-121) |t#4| $)) (-15 -2640 ((-121) |t#4| $)) (-15 -2485 ((-121) $)) (-15 -4579 ((-121) |t#4| $)) (-15 -1927 ((-3 (-121) (-637 $)) |t#4| $)) (-15 -2687 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 $))) |t#4| $)) (-15 -2687 ((-121) |t#4| $)) (-15 -1891 ((-637 $) |t#4| $)) (-15 -3223 ((-3 |t#4| (-637 $)) |t#4| |t#4| $)) (-15 -2810 ((-637 (-2 (|:| |val| |t#4|) (|:| -4121 $))) |t#4| |t#4| $)) (-15 -2356 ((-637 (-2 (|:| |val| |t#4|) (|:| -4121 $))) |t#4| $)) (-15 -4017 ((-637 $) |t#4| $)) (-15 -4017 ((-637 $) (-637 |t#4|) $)) (-15 -4017 ((-637 $) (-637 |t#4|) (-637 $))) (-15 -4017 ((-637 $) |t#4| (-637 $))) (-15 -2319 ((-637 $) |t#4| $)) (-15 -2319 ((-637 $) |t#4| (-637 $))) (-15 -2319 ((-637 $) (-637 |t#4|) $)) (-15 -2319 ((-637 $) (-637 |t#4|) (-637 $))) (-15 -2935 ($ |t#4| $)) (-15 -2935 ($ (-637 |t#4|) $)) (-15 -3140 ((-637 $) |t#4| $)) (-15 -3140 ((-637 $) |t#4| (-637 $))) (-15 -3140 ((-637 $) (-637 |t#4|) $)) (-15 -3140 ((-637 $) (-637 |t#4|) (-637 $))) (-15 -2235 ((-637 $) (-637 |t#4|) (-121))))) 
+(((-39) . T) ((-105) . T) ((-611 (-637 |#4|)) . T) ((-611 (-855)) . T) ((-155 |#4|) . T) ((-612 (-544)) |has| |#4| (-612 (-544))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-502 |#4|) . T) ((-526 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-983 |#1| |#2| |#3| |#4|) . T) ((-1097) . T) ((-1197 |#1| |#2| |#3| |#4|) . T) ((-1203) . T)) 
+((-4204 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#5|) 81)) (-4491 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|) 112)) (-4076 (((-637 |#5|) |#4| |#5|) 70)) (-2944 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-3389 (((-1263)) 35)) (-1669 (((-1263)) 25)) (-2812 (((-1263) (-1151) (-1151) (-1151)) 31)) (-2120 (((-1263) (-1151) (-1151) (-1151)) 20)) (-3879 (((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#4| |#4| |#5|) 95)) (-1797 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#3| (-121)) 106) (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-2448 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|) 101))) 
+(((-1073 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2120 ((-1263) (-1151) (-1151) (-1151))) (-15 -1669 ((-1263))) (-15 -2812 ((-1263) (-1151) (-1151) (-1151))) (-15 -3389 ((-1263))) (-15 -3879 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -1797 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -1797 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#3| (-121))) (-15 -2448 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -4491 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -2944 ((-121) |#4| |#5|)) (-15 -2944 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|)) (-15 -4076 ((-637 |#5|) |#4| |#5|)) (-15 -4204 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#5|))) (-456) (-793) (-847) (-1067 |#1| |#2| |#3|) (-1072 |#1| |#2| |#3| |#4|)) (T -1073)) 
+((-4204 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-4076 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 *4)) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2944 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *4)))) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2944 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-4491 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2448 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-1797 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-2 (|:| |val| (-637 *8)) (|:| -4121 *9)))) (-5 *5 (-121)) (-4 *8 (-1067 *6 *7 *4)) (-4 *9 (-1072 *6 *7 *4 *8)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *4 (-847)) (-5 *2 (-637 (-2 (|:| |val| *8) (|:| -4121 *9)))) (-5 *1 (-1073 *6 *7 *4 *8 *9)))) (-1797 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1073 *6 *7 *8 *3 *4)) (-4 *4 (-1072 *6 *7 *8 *3)))) (-3879 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-3389 (*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-1073 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6)))) (-2812 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-1073 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) (-1669 (*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-1073 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6)))) (-2120 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-1073 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -2120 ((-1263) (-1151) (-1151) (-1151))) (-15 -1669 ((-1263))) (-15 -2812 ((-1263) (-1151) (-1151) (-1151))) (-15 -3389 ((-1263))) (-15 -3879 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -1797 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -1797 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#3| (-121))) (-15 -2448 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -4491 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -2944 ((-121) |#4| |#5|)) (-15 -2944 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|)) (-15 -4076 ((-637 |#5|) |#4| |#5|)) (-15 -4204 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#5|))) 
+((-2234 (((-121) $ $) NIL)) (-3159 (((-1169) $) 8)) (-3944 (((-1151) $) 16)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 13))) 
+(((-1074 |#1|) (-13 (-1097) (-10 -8 (-15 -3159 ((-1169) $)))) (-1169)) (T -1074)) 
+((-3159 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-1074 *3)) (-14 *3 *2)))) 
+(-13 (-1097) (-10 -8 (-15 -3159 ((-1169) $)))) 
+((-2234 (((-121) $ $) NIL)) (-3378 (($ $ (-637 (-1169)) (-1 (-121) (-637 |#3|))) 29)) (-3101 (($ |#3| |#3|) 21) (($ |#3| |#3| (-637 (-1169))) 19)) (-3731 ((|#3| $) 13)) (-3337 (((-3 (-289 |#3|) "failed") $) 56)) (-1316 (((-289 |#3|) $) NIL)) (-3801 (((-637 (-1169)) $) 15)) (-2352 (((-892 |#1|) $) 11)) (-3473 ((|#3| $) 12)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3245 ((|#3| $ |#3|) 25) ((|#3| $ |#3| (-922)) 36)) (-3942 (((-855) $) 84) (($ (-289 |#3|)) 20)) (-1323 (((-121) $ $) 33))) 
+(((-1075 |#1| |#2| |#3|) (-13 (-1097) (-282 |#3| |#3|) (-1043 (-289 |#3|)) (-10 -8 (-15 -3101 ($ |#3| |#3|)) (-15 -3101 ($ |#3| |#3| (-637 (-1169)))) (-15 -3378 ($ $ (-637 (-1169)) (-1 (-121) (-637 |#3|)))) (-15 -2352 ((-892 |#1|) $)) (-15 -3473 (|#3| $)) (-15 -3731 (|#3| $)) (-15 -3245 (|#3| $ |#3| (-922))) (-15 -3801 ((-637 (-1169)) $)))) (-1097) (-13 (-1053) (-886 |#1|) (-847) (-612 (-892 |#1|))) (-13 (-435 |#2|) (-886 |#1|) (-612 (-892 |#1|)))) (T -1075)) 
+((-3101 (*1 *1 *2 *2) (-12 (-4 *3 (-1097)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))) (-5 *1 (-1075 *3 *4 *2)) (-4 *2 (-13 (-435 *4) (-886 *3) (-612 (-892 *3)))))) (-3101 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-5 *1 (-1075 *4 *5 *2)) (-4 *2 (-13 (-435 *5) (-886 *4) (-612 (-892 *4)))))) (-3378 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-1 (-121) (-637 *6))) (-4 *6 (-13 (-435 *5) (-886 *4) (-612 (-892 *4)))) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-5 *1 (-1075 *4 *5 *6)))) (-2352 (*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 *2))) (-5 *2 (-892 *3)) (-5 *1 (-1075 *3 *4 *5)) (-4 *5 (-13 (-435 *4) (-886 *3) (-612 *2))))) (-3473 (*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *2 (-13 (-435 *4) (-886 *3) (-612 (-892 *3)))) (-5 *1 (-1075 *3 *4 *2)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))))) (-3731 (*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *2 (-13 (-435 *4) (-886 *3) (-612 (-892 *3)))) (-5 *1 (-1075 *3 *4 *2)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))))) (-3245 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-5 *1 (-1075 *4 *5 *2)) (-4 *2 (-13 (-435 *5) (-886 *4) (-612 (-892 *4)))))) (-3801 (*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))) (-5 *2 (-637 (-1169))) (-5 *1 (-1075 *3 *4 *5)) (-4 *5 (-13 (-435 *4) (-886 *3) (-612 (-892 *3))))))) 
+(-13 (-1097) (-282 |#3| |#3|) (-1043 (-289 |#3|)) (-10 -8 (-15 -3101 ($ |#3| |#3|)) (-15 -3101 ($ |#3| |#3| (-637 (-1169)))) (-15 -3378 ($ $ (-637 (-1169)) (-1 (-121) (-637 |#3|)))) (-15 -2352 ((-892 |#1|) $)) (-15 -3473 (|#3| $)) (-15 -3731 (|#3| $)) (-15 -3245 (|#3| $ |#3| (-922))) (-15 -3801 ((-637 (-1169)) $)))) 
+((-2234 (((-121) $ $) NIL)) (-3118 (($ (-637 (-1075 |#1| |#2| |#3|))) 12)) (-1654 (((-637 (-1075 |#1| |#2| |#3|)) $) 19)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3245 ((|#3| $ |#3|) 22) ((|#3| $ |#3| (-922)) 25)) (-3942 (((-855) $) 15)) (-1323 (((-121) $ $) 18))) 
+(((-1076 |#1| |#2| |#3|) (-13 (-1097) (-282 |#3| |#3|) (-10 -8 (-15 -3118 ($ (-637 (-1075 |#1| |#2| |#3|)))) (-15 -1654 ((-637 (-1075 |#1| |#2| |#3|)) $)) (-15 -3245 (|#3| $ |#3| (-922))))) (-1097) (-13 (-1053) (-886 |#1|) (-847) (-612 (-892 |#1|))) (-13 (-435 |#2|) (-886 |#1|) (-612 (-892 |#1|)))) (T -1076)) 
+((-3118 (*1 *1 *2) (-12 (-5 *2 (-637 (-1075 *3 *4 *5))) (-4 *3 (-1097)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))) (-4 *5 (-13 (-435 *4) (-886 *3) (-612 (-892 *3)))) (-5 *1 (-1076 *3 *4 *5)))) (-1654 (*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))) (-5 *2 (-637 (-1075 *3 *4 *5))) (-5 *1 (-1076 *3 *4 *5)) (-4 *5 (-13 (-435 *4) (-886 *3) (-612 (-892 *3)))))) (-3245 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-5 *1 (-1076 *4 *5 *2)) (-4 *2 (-13 (-435 *5) (-886 *4) (-612 (-892 *4))))))) 
+(-13 (-1097) (-282 |#3| |#3|) (-10 -8 (-15 -3118 ($ (-637 (-1075 |#1| |#2| |#3|)))) (-15 -1654 ((-637 (-1075 |#1| |#2| |#3|)) $)) (-15 -3245 (|#3| $ |#3| (-922))))) 
+((-3639 (((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121) (-121)) 73) (((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|))) 75) (((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121)) 74))) 
+(((-1077 |#1| |#2|) (-10 -7 (-15 -3639 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121))) (-15 -3639 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)))) (-15 -3639 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121) (-121)))) (-13 (-302) (-151)) (-637 (-1169))) (T -1077)) 
+((-3639 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *5)) (|:| -3723 (-637 (-958 *5)))))) (-5 *1 (-1077 *5 *6)) (-5 *3 (-637 (-958 *5))) (-14 *6 (-637 (-1169))))) (-3639 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *4)) (|:| -3723 (-637 (-958 *4)))))) (-5 *1 (-1077 *4 *5)) (-5 *3 (-637 (-958 *4))) (-14 *5 (-637 (-1169))))) (-3639 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *5)) (|:| -3723 (-637 (-958 *5)))))) (-5 *1 (-1077 *5 *6)) (-5 *3 (-637 (-958 *5))) (-14 *6 (-637 (-1169)))))) 
+(-10 -7 (-15 -3639 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121))) (-15 -3639 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)))) (-15 -3639 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121) (-121)))) 
+((-4262 (((-423 |#3|) |#3|) 16))) 
+(((-1078 |#1| |#2| |#3|) (-10 -7 (-15 -4262 ((-423 |#3|) |#3|))) (-1233 (-412 (-571))) (-13 (-367) (-151) (-719 (-412 (-571)) |#1|)) (-1233 |#2|)) (T -1078)) 
+((-4262 (*1 *2 *3) (-12 (-4 *4 (-1233 (-412 (-571)))) (-4 *5 (-13 (-367) (-151) (-719 (-412 (-571)) *4))) (-5 *2 (-423 *3)) (-5 *1 (-1078 *4 *5 *3)) (-4 *3 (-1233 *5))))) 
+(-10 -7 (-15 -4262 ((-423 |#3|) |#3|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 125)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-367)))) (-1415 (($ $) NIL (|has| |#1| (-367)))) (-2545 (((-121) $) NIL (|has| |#1| (-367)))) (-2076 (((-684 |#1|) (-1258 $)) NIL) (((-684 |#1|)) 115)) (-3490 ((|#1| $) 119)) (-1747 (((-1177 (-922) (-768)) (-571)) NIL (|has| |#1| (-352)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL (|has| |#1| (-367)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-367)))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4407 (((-768)) 40 (|has| |#1| (-373)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) NIL)) (-3456 (($ (-1258 |#1|) (-1258 $)) NIL) (($ (-1258 |#1|)) 43)) (-4117 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-352)))) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-3962 (((-684 |#1|) $ (-1258 $)) NIL) (((-684 |#1|) $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 106) (((-684 |#1|) (-684 $)) 100)) (-3074 (($ |#2|) 61) (((-3 $ "failed") (-412 |#2|)) NIL (|has| |#1| (-367)))) (-3978 (((-3 $ "failed") $) NIL)) (-3241 (((-922)) 77)) (-3254 (($) 44 (|has| |#1| (-373)))) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-1962 (($) NIL (|has| |#1| (-352)))) (-2854 (((-121) $) NIL (|has| |#1| (-352)))) (-2442 (($ $ (-768)) NIL (|has| |#1| (-352))) (($ $) NIL (|has| |#1| (-352)))) (-1596 (((-121) $) NIL (|has| |#1| (-367)))) (-3347 (((-922) $) NIL (|has| |#1| (-352))) (((-833 (-922)) $) NIL (|has| |#1| (-352)))) (-2583 (((-121) $) NIL)) (-3477 ((|#1| $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-352)))) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4400 ((|#2| $) 84 (|has| |#1| (-367)))) (-4470 (((-922) $) 129 (|has| |#1| (-373)))) (-3069 ((|#2| $) 58)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| |#1| (-367)))) (-1757 (($) NIL (|has| |#1| (-352)) CONST)) (-1755 (($ (-922)) 124 (|has| |#1| (-373)))) (-2580 (((-1115) $) NIL)) (-2280 (($) 121)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-2313 (((-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571))))) NIL (|has| |#1| (-352)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-1475 ((|#1| (-1258 $)) NIL) ((|#1|) 109)) (-1305 (((-768) $) NIL (|has| |#1| (-352))) (((-3 (-768) "failed") $ $) NIL (|has| |#1| (-352)))) (-3096 (($ $) NIL (-1831 (-12 (|has| |#1| (-226)) (|has| |#1| (-367))) (|has| |#1| (-352)))) (($ $ (-768)) NIL (-1831 (-12 (|has| |#1| (-226)) (|has| |#1| (-367))) (|has| |#1| (-352)))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))))) (($ $ (-1 |#1| |#1|) (-768)) NIL (|has| |#1| (-367))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-367)))) (-3023 (((-684 |#1|) (-1258 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-367)))) (-3413 ((|#2|) 73)) (-4481 (($) NIL (|has| |#1| (-352)))) (-3723 (((-1258 |#1|) $ (-1258 $)) 89) (((-684 |#1|) (-1258 $) (-1258 $)) NIL) (((-1258 |#1|) $) 71) (((-684 |#1|) (-1258 $)) 85)) (-4050 (((-1258 |#1|) $) NIL) (($ (-1258 |#1|)) NIL) ((|#2| $) NIL) (($ |#2|) NIL)) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (|has| |#1| (-352)))) (-3942 (((-855) $) 57) (($ (-571)) 53) (($ |#1|) 54) (($ $) NIL (|has| |#1| (-367))) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-367)) (|has| |#1| (-1043 (-412 (-571))))))) (-2346 (($ $) NIL (|has| |#1| (-352))) (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-3393 ((|#2| $) 82)) (-2661 (((-768)) 75)) (-1899 (((-1258 $)) 81)) (-1388 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) 30 T CONST)) (-3222 (($) 19 T CONST)) (-1544 (($ $) NIL (-1831 (-12 (|has| |#1| (-226)) (|has| |#1| (-367))) (|has| |#1| (-352)))) (($ $ (-768)) NIL (-1831 (-12 (|has| |#1| (-226)) (|has| |#1| (-367))) (|has| |#1| (-352)))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-367)) (|has| |#1| (-900 (-1169))))) (($ $ (-1 |#1| |#1|) (-768)) NIL (|has| |#1| (-367))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-367)))) (-1323 (((-121) $ $) 63)) (-1379 (($ $ $) NIL (|has| |#1| (-367)))) (-1373 (($ $) 67) (($ $ $) NIL)) (-1367 (($ $ $) 65)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 51) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 48) (($ (-412 (-571)) $) NIL (|has| |#1| (-367))) (($ $ (-412 (-571))) NIL (|has| |#1| (-367))))) 
+(((-1079 |#1| |#2| |#3|) (-719 |#1| |#2|) (-173) (-1233 |#1|) |#2|) (T -1079)) 
+NIL 
+(-719 |#1| |#2|) 
+((-4262 (((-423 |#3|) |#3|) 16))) 
+(((-1080 |#1| |#2| |#3|) (-10 -7 (-15 -4262 ((-423 |#3|) |#3|))) (-1233 (-412 (-958 (-571)))) (-13 (-367) (-151) (-719 (-412 (-958 (-571))) |#1|)) (-1233 |#2|)) (T -1080)) 
+((-4262 (*1 *2 *3) (-12 (-4 *4 (-1233 (-412 (-958 (-571))))) (-4 *5 (-13 (-367) (-151) (-719 (-412 (-958 (-571))) *4))) (-5 *2 (-423 *3)) (-5 *1 (-1080 *4 *5 *3)) (-4 *3 (-1233 *5))))) 
+(-10 -7 (-15 -4262 ((-423 |#3|) |#3|))) 
+((-2234 (((-121) $ $) NIL)) (-1763 (($ $ $) 14)) (-2383 (($ $ $) 15)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2327 (($) 6)) (-4050 (((-1169) $) 18)) (-3942 (((-855) $) 12)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 13)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 8))) 
+(((-1081) (-13 (-847) (-10 -8 (-15 -2327 ($)) (-15 -4050 ((-1169) $))))) (T -1081)) 
+((-2327 (*1 *1) (-5 *1 (-1081))) (-4050 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-1081))))) 
+(-13 (-847) (-10 -8 (-15 -2327 ($)) (-15 -4050 ((-1169) $)))) 
+((-2814 ((|#1| |#1| (-1 (-571) |#1| |#1|)) 21) ((|#1| |#1| (-1 (-121) |#1|)) 18)) (-3119 (((-1263)) 15)) (-1479 (((-637 |#1|)) 9))) 
+(((-1082 |#1|) (-10 -7 (-15 -3119 ((-1263))) (-15 -1479 ((-637 |#1|))) (-15 -2814 (|#1| |#1| (-1 (-121) |#1|))) (-15 -2814 (|#1| |#1| (-1 (-571) |#1| |#1|)))) (-139)) (T -1082)) 
+((-2814 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-571) *2 *2)) (-4 *2 (-139)) (-5 *1 (-1082 *2)))) (-2814 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-139)) (-5 *1 (-1082 *2)))) (-1479 (*1 *2) (-12 (-5 *2 (-637 *3)) (-5 *1 (-1082 *3)) (-4 *3 (-139)))) (-3119 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1082 *3)) (-4 *3 (-139))))) 
+(-10 -7 (-15 -3119 ((-1263))) (-15 -1479 ((-637 |#1|))) (-15 -2814 (|#1| |#1| (-1 (-121) |#1|))) (-15 -2814 (|#1| |#1| (-1 (-571) |#1| |#1|)))) 
+((-3247 (((-1258 (-684 |#1|)) (-637 (-684 |#1|))) 41) (((-1258 (-684 (-958 |#1|))) (-637 (-1169)) (-684 (-958 |#1|))) 60) (((-1258 (-684 (-412 (-958 |#1|)))) (-637 (-1169)) (-684 (-412 (-958 |#1|)))) 76)) (-3723 (((-1258 |#1|) (-684 |#1|) (-637 (-684 |#1|))) 35))) 
+(((-1083 |#1|) (-10 -7 (-15 -3247 ((-1258 (-684 (-412 (-958 |#1|)))) (-637 (-1169)) (-684 (-412 (-958 |#1|))))) (-15 -3247 ((-1258 (-684 (-958 |#1|))) (-637 (-1169)) (-684 (-958 |#1|)))) (-15 -3247 ((-1258 (-684 |#1|)) (-637 (-684 |#1|)))) (-15 -3723 ((-1258 |#1|) (-684 |#1|) (-637 (-684 |#1|))))) (-367)) (T -1083)) 
+((-3723 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-684 *5))) (-5 *3 (-684 *5)) (-4 *5 (-367)) (-5 *2 (-1258 *5)) (-5 *1 (-1083 *5)))) (-3247 (*1 *2 *3) (-12 (-5 *3 (-637 (-684 *4))) (-4 *4 (-367)) (-5 *2 (-1258 (-684 *4))) (-5 *1 (-1083 *4)))) (-3247 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1169))) (-4 *5 (-367)) (-5 *2 (-1258 (-684 (-958 *5)))) (-5 *1 (-1083 *5)) (-5 *4 (-684 (-958 *5))))) (-3247 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1169))) (-4 *5 (-367)) (-5 *2 (-1258 (-684 (-412 (-958 *5))))) (-5 *1 (-1083 *5)) (-5 *4 (-684 (-412 (-958 *5))))))) 
+(-10 -7 (-15 -3247 ((-1258 (-684 (-412 (-958 |#1|)))) (-637 (-1169)) (-684 (-412 (-958 |#1|))))) (-15 -3247 ((-1258 (-684 (-958 |#1|))) (-637 (-1169)) (-684 (-958 |#1|)))) (-15 -3247 ((-1258 (-684 |#1|)) (-637 (-684 |#1|)))) (-15 -3723 ((-1258 |#1|) (-684 |#1|) (-637 (-684 |#1|))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4190 (((-121) $ $) 89) (((-121) (-637 $) (-637 $)) 94) (((-121) (-637 (-637 $))) 97)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3054 (((-855)) 88)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-130) "failed") $) NIL)) (-1316 (((-130) $) 68)) (-3198 (((-637 (-130)) $) 70)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4348 (((-121) $ (-130)) 64)) (-3791 (((-3 (-289 $) "failed") $ |#1|) 75) (((-3 (-289 $) "failed") |#1| $) 76)) (-3346 (($ $) 62)) (-3471 (((-1177 $ $)) 79)) (-2376 (((-1177 $ $)) 78)) (-3942 (((-855) $) 47) (($ (-130)) 35)) (-3136 (((-311 |#1|) $ (-130)) 66)) (-2646 (((-3 $ "failed") (-130) (-130) $) 39)) (-2879 (((-3 $ "failed") (-130) $) 40)) (-4142 (($ $ (-922)) 61)) (-2369 (($) 21 T CONST)) (-1323 (((-121) $ $) 33)) (-1379 (($ $ (-311 |#1|)) 11)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 56)) (** (($ $ (-922)) 60)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 32) (($ $ (-311 |#1|)) NIL) (($ (-311 |#1|) $) 10))) 
+(((-1084 |#1|) (-13 (-1060) (-712 (-311 |#1|)) (-10 -8 (-6 (-1043 (-130))) (-15 -2646 ((-3 $ "failed") (-130) (-130) $)) (-15 -2879 ((-3 $ "failed") (-130) $)) (-15 -3346 ($ $)) (-15 -4348 ((-121) $ (-130))) (-15 -3136 ((-311 |#1|) $ (-130))) (-15 -3198 ((-637 (-130)) $)) (-15 -3791 ((-3 (-289 $) "failed") $ |#1|)) (-15 -3791 ((-3 (-289 $) "failed") |#1| $)) (-15 -2376 ((-1177 $ $))) (-15 -3471 ((-1177 $ $))) (-15 -1379 ($ $ (-311 |#1|))) (-15 ** ($ $ (-922))) (-15 -4142 ($ $ (-922))) (-15 -3054 ((-855))) (-15 -4190 ((-121) $ $)) (-15 -4190 ((-121) (-637 $) (-637 $))) (-15 -4190 ((-121) (-637 (-637 $)))))) (-13 (-847) (-561))) (T -1084)) 
+((-4142 (*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (-2646 (*1 *1 *2 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (-2879 (*1 *1 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (-3346 (*1 *1 *1) (-12 (-5 *1 (-1084 *2)) (-4 *2 (-13 (-847) (-561))))) (-4348 (*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-121)) (-5 *1 (-1084 *4)) (-4 *4 (-13 (-847) (-561))))) (-3136 (*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-311 *4)) (-5 *1 (-1084 *4)) (-4 *4 (-13 (-847) (-561))))) (-3198 (*1 *2 *1) (-12 (-5 *2 (-637 (-130))) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (-3791 (*1 *2 *1 *3) (|partial| -12 (-5 *2 (-289 (-1084 *3))) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (-3791 (*1 *2 *3 *1) (|partial| -12 (-5 *2 (-289 (-1084 *3))) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (-2376 (*1 *2) (-12 (-5 *2 (-1177 (-1084 *3) (-1084 *3))) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (-3471 (*1 *2) (-12 (-5 *2 (-1177 (-1084 *3) (-1084 *3))) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (-1379 (*1 *1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-1084 *3)))) (-3054 (*1 *2) (-12 (-5 *2 (-855)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (-4190 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) (-4190 (*1 *2 *3 *3) (-12 (-5 *3 (-637 (-1084 *4))) (-5 *2 (-121)) (-5 *1 (-1084 *4)) (-4 *4 (-13 (-847) (-561))))) (-4190 (*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-1084 *4)))) (-5 *2 (-121)) (-5 *1 (-1084 *4)) (-4 *4 (-13 (-847) (-561)))))) 
+(-13 (-1060) (-712 (-311 |#1|)) (-10 -8 (-6 (-1043 (-130))) (-15 -2646 ((-3 $ "failed") (-130) (-130) $)) (-15 -2879 ((-3 $ "failed") (-130) $)) (-15 -3346 ($ $)) (-15 -4348 ((-121) $ (-130))) (-15 -3136 ((-311 |#1|) $ (-130))) (-15 -3198 ((-637 (-130)) $)) (-15 -3791 ((-3 (-289 $) "failed") $ |#1|)) (-15 -3791 ((-3 (-289 $) "failed") |#1| $)) (-15 -2376 ((-1177 $ $))) (-15 -3471 ((-1177 $ $))) (-15 -1379 ($ $ (-311 |#1|))) (-15 ** ($ $ (-922))) (-15 -4142 ($ $ (-922))) (-15 -3054 ((-855))) (-15 -4190 ((-121) $ $)) (-15 -4190 ((-121) (-637 $) (-637 $))) (-15 -4190 ((-121) (-637 (-637 $)))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4566 (((-637 (-768)) $) NIL) (((-637 (-768)) $ (-1169)) NIL)) (-4357 (((-768) $) NIL) (((-768) $ (-1169)) NIL)) (-3424 (((-637 (-1086 (-1169))) $) NIL)) (-4257 (((-1165 $) $ (-1086 (-1169))) NIL) (((-1165 |#1|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-1086 (-1169)))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2356 (($ $) NIL (|has| |#1| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1430 (($ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-1086 (-1169)) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL) (((-3 (-1120 |#1| (-1169)) "failed") $) NIL)) (-1316 ((|#1| $) NIL) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-1086 (-1169)) $) NIL) (((-1169) $) NIL) (((-1120 |#1| (-1169)) $) NIL)) (-3730 (($ $ $ (-1086 (-1169))) NIL (|has| |#1| (-173)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#1| (-456))) (($ $ (-1086 (-1169))) NIL (|has| |#1| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#1| (-909)))) (-1420 (($ $ |#1| (-537 (-1086 (-1169))) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-1086 (-1169)) (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-1086 (-1169)) (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-3347 (((-768) $ (-1169)) NIL) (((-768) $) NIL)) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-4296 (($ (-1165 |#1|) (-1086 (-1169))) NIL) (($ (-1165 $) (-1086 (-1169))) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-537 (-1086 (-1169)))) NIL) (($ $ (-1086 (-1169)) (-768)) NIL) (($ $ (-637 (-1086 (-1169))) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-1086 (-1169))) NIL)) (-3973 (((-537 (-1086 (-1169))) $) NIL) (((-768) $ (-1086 (-1169))) NIL) (((-637 (-768)) $ (-637 (-1086 (-1169)))) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-2587 (($ (-1 (-537 (-1086 (-1169))) (-537 (-1086 (-1169)))) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3326 (((-1 $ (-768)) (-1169)) NIL) (((-1 $ (-768)) $) NIL (|has| |#1| (-226)))) (-2510 (((-3 (-1086 (-1169)) "failed") $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3993 (((-1086 (-1169)) $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-3944 (((-1151) $) NIL)) (-4214 (((-121) $) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-1086 (-1169))) (|:| -2154 (-768))) "failed") $) NIL)) (-2097 (($ $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#1| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-909)))) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-1086 (-1169)) |#1|) NIL) (($ $ (-637 (-1086 (-1169))) (-637 |#1|)) NIL) (($ $ (-1086 (-1169)) $) NIL) (($ $ (-637 (-1086 (-1169))) (-637 $)) NIL) (($ $ (-1169) $) NIL (|has| |#1| (-226))) (($ $ (-637 (-1169)) (-637 $)) NIL (|has| |#1| (-226))) (($ $ (-1169) |#1|) NIL (|has| |#1| (-226))) (($ $ (-637 (-1169)) (-637 |#1|)) NIL (|has| |#1| (-226)))) (-1475 (($ $ (-1086 (-1169))) NIL (|has| |#1| (-173)))) (-3096 (($ $ (-1086 (-1169))) NIL) (($ $ (-637 (-1086 (-1169)))) NIL) (($ $ (-1086 (-1169)) (-768)) NIL) (($ $ (-637 (-1086 (-1169))) (-637 (-768))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2755 (((-637 (-1169)) $) NIL)) (-2400 (((-537 (-1086 (-1169))) $) NIL) (((-768) $ (-1086 (-1169))) NIL) (((-637 (-768)) $ (-637 (-1086 (-1169)))) NIL) (((-768) $ (-1169)) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-1086 (-1169)) (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-1086 (-1169)) (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-1086 (-1169)) (-612 (-544))) (|has| |#1| (-612 (-544)))))) (-4189 ((|#1| $) NIL (|has| |#1| (-456))) (($ $ (-1086 (-1169))) NIL (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL) (($ (-1086 (-1169))) NIL) (($ (-1169)) NIL) (($ (-1120 |#1| (-1169))) NIL) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-537 (-1086 (-1169)))) NIL) (($ $ (-1086 (-1169)) (-768)) NIL) (($ $ (-637 (-1086 (-1169))) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#1| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-1086 (-1169))) NIL) (($ $ (-637 (-1086 (-1169)))) NIL) (($ $ (-1086 (-1169)) (-768)) NIL) (($ $ (-637 (-1086 (-1169))) (-637 (-768))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-768)) NIL (|has| |#1| (-226))) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-1085 |#1|) (-13 (-247 |#1| (-1169) (-1086 (-1169)) (-537 (-1086 (-1169)))) (-1043 (-1120 |#1| (-1169)))) (-1053)) (T -1085)) 
+NIL 
+(-13 (-247 |#1| (-1169) (-1086 (-1169)) (-537 (-1086 (-1169)))) (-1043 (-1120 |#1| (-1169)))) 
+((-2234 (((-121) $ $) NIL)) (-4357 (((-768) $) NIL)) (-3312 ((|#1| $) 10)) (-3337 (((-3 |#1| "failed") $) NIL)) (-1316 ((|#1| $) NIL)) (-3347 (((-768) $) 11)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-3326 (($ |#1| (-768)) 9)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3096 (($ $) NIL) (($ $ (-768)) NIL)) (-3942 (((-855) $) NIL) (($ |#1|) NIL)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 15))) 
+(((-1086 |#1|) (-263 |#1|) (-847)) (T -1086)) 
 NIL 
 (-263 |#1|) 
-((-4188 (((-635 |#2|) (-1 |#2| |#1|) (-1087 |#1|)) 23 (|has| |#1| (-842))) (((-1087 |#2|) (-1 |#2| |#1|) (-1087 |#1|)) 14))) 
-(((-1083 |#1| |#2|) (-10 -7 (-15 -4188 ((-1087 |#2|) (-1 |#2| |#1|) (-1087 |#1|))) (IF (|has| |#1| (-842)) (-15 -4188 ((-635 |#2|) (-1 |#2| |#1|) (-1087 |#1|))) |noBranch|)) (-1199) (-1199)) (T -1083)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1087 *5)) (-4 *5 (-842)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-635 *6)) (-5 *1 (-1083 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1087 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1087 *6)) (-5 *1 (-1083 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-1087 |#2|) (-1 |#2| |#1|) (-1087 |#1|))) (IF (|has| |#1| (-842)) (-15 -4188 ((-635 |#2|) (-1 |#2| |#1|) (-1087 |#1|))) |noBranch|)) 
-((-4188 (((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|)) 19))) 
-(((-1084 |#1| |#2|) (-10 -7 (-15 -4188 ((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|)))) (-1199) (-1199)) (T -1084)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1085 *6)) (-5 *1 (-1084 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1948 (((-1165) $) 11)) (-4127 (((-1087 |#1|) $) 12)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-4183 (($ (-1165) (-1087 |#1|)) 10)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1326 (((-121) $ $) 15 (|has| |#1| (-1093))))) 
-(((-1085 |#1|) (-13 (-1199) (-10 -8 (-15 -4183 ($ (-1165) (-1087 |#1|))) (-15 -1948 ((-1165) $)) (-15 -4127 ((-1087 |#1|) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) (-1199)) (T -1085)) 
-((-4183 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1087 *4)) (-4 *4 (-1199)) (-5 *1 (-1085 *4)))) (-1948 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1085 *3)) (-4 *3 (-1199)))) (-4127 (*1 *2 *1) (-12 (-5 *2 (-1087 *3)) (-5 *1 (-1085 *3)) (-4 *3 (-1199))))) 
-(-13 (-1199) (-10 -8 (-15 -4183 ($ (-1165) (-1087 |#1|))) (-15 -1948 ((-1165) $)) (-15 -4127 ((-1087 |#1|) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) 
-((-4127 (($ |#1| |#1|) 7)) (-2182 ((|#1| $) 10)) (-2040 ((|#1| $) 12)) (-2046 (((-569) $) 8)) (-2289 ((|#1| $) 9)) (-2052 ((|#1| $) 11)) (-4035 (($ |#1|) 6)) (-2705 (($ |#1| |#1|) 14)) (-3880 (($ $ (-569)) 13))) 
-(((-1086 |#1|) (-1284) (-1199)) (T -1086)) 
-((-2705 (*1 *1 *2 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-3880 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1086 *3)) (-4 *3 (-1199)))) (-2040 (*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-2052 (*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-2182 (*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-2289 (*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-2046 (*1 *2 *1) (-12 (-4 *1 (-1086 *3)) (-4 *3 (-1199)) (-5 *2 (-569)))) (-4127 (*1 *1 *2 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199))))) 
-(-13 (-1199) (-10 -8 (-15 -2705 ($ |t#1| |t#1|)) (-15 -3880 ($ $ (-569))) (-15 -2040 (|t#1| $)) (-15 -2052 (|t#1| $)) (-15 -2182 (|t#1| $)) (-15 -2289 (|t#1| $)) (-15 -2046 ((-569) $)) (-15 -4127 ($ |t#1| |t#1|)) (-15 -4035 ($ |t#1|)))) 
-(((-1199) . T)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-4127 (($ |#1| |#1|) 15)) (-4188 (((-635 |#1|) (-1 |#1| |#1|) $) 37 (|has| |#1| (-842)))) (-2182 ((|#1| $) 10)) (-2040 ((|#1| $) 9)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2046 (((-569) $) 14)) (-2289 ((|#1| $) 12)) (-2052 ((|#1| $) 11)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2121 (((-635 |#1|) $) 35 (|has| |#1| (-842))) (((-635 |#1|) (-635 $)) 34 (|has| |#1| (-842)))) (-4035 (($ |#1|) 26)) (-3956 (((-852) $) 25 (|has| |#1| (-1093)))) (-2705 (($ |#1| |#1|) 8)) (-3880 (($ $ (-569)) 16)) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093))))) 
-(((-1087 |#1|) (-13 (-1086 |#1|) (-10 -7 (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-1088 |#1| (-635 |#1|))) |noBranch|))) (-1199)) (T -1087)) 
-NIL 
-(-13 (-1086 |#1|) (-10 -7 (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-1088 |#1| (-635 |#1|))) |noBranch|))) 
-((-4127 (($ |#1| |#1|) 7)) (-4188 ((|#2| (-1 |#1| |#1|) $) 15)) (-2182 ((|#1| $) 10)) (-2040 ((|#1| $) 12)) (-2046 (((-569) $) 8)) (-2289 ((|#1| $) 9)) (-2052 ((|#1| $) 11)) (-2121 ((|#2| (-635 $)) 17) ((|#2| $) 16)) (-4035 (($ |#1|) 6)) (-2705 (($ |#1| |#1|) 14)) (-3880 (($ $ (-569)) 13))) 
-(((-1088 |#1| |#2|) (-1284) (-842) (-1137 |t#1|)) (T -1088)) 
-((-2121 (*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1088 *4 *2)) (-4 *4 (-842)) (-4 *2 (-1137 *4)))) (-2121 (*1 *2 *1) (-12 (-4 *1 (-1088 *3 *2)) (-4 *3 (-842)) (-4 *2 (-1137 *3)))) (-4188 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1088 *4 *2)) (-4 *4 (-842)) (-4 *2 (-1137 *4))))) 
-(-13 (-1086 |t#1|) (-10 -8 (-15 -2121 (|t#2| (-635 $))) (-15 -2121 (|t#2| $)) (-15 -4188 (|t#2| (-1 |t#1| |t#1|) $)))) 
-(((-1086 |#1|) . T) ((-1199) . T)) 
-((-3577 (($ $ $) NIL) (($ $ |#2|) 13) (($ |#2| $) 14)) (-2045 (($ $ $) 10)) (-2127 (($ $ $) NIL) (($ $ |#2|) 15))) 
-(((-1089 |#1| |#2|) (-10 -8 (-15 -3577 (|#1| |#2| |#1|)) (-15 -3577 (|#1| |#1| |#2|)) (-15 -3577 (|#1| |#1| |#1|)) (-15 -2045 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#2|)) (-15 -2127 (|#1| |#1| |#1|))) (-1090 |#2|) (-1093)) (T -1089)) 
-NIL 
-(-10 -8 (-15 -3577 (|#1| |#2| |#1|)) (-15 -3577 (|#1| |#1| |#2|)) (-15 -3577 (|#1| |#1| |#1|)) (-15 -2045 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#2|)) (-15 -2127 (|#1| |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-3577 (($ $ $) 17) (($ $ |#1|) 16) (($ |#1| $) 15)) (-2045 (($ $ $) 19)) (-3254 (((-121) $ $) 18)) (-3350 (((-121) $ (-765)) 34)) (-4414 (($) 24) (($ (-635 |#1|)) 23)) (-2140 (($ (-1 (-121) |#1|) $) 55 (|has| $ (-6 -4571)))) (-4483 (($) 35 T CONST)) (-1858 (($ $) 58 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 57 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 54 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 56 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 53 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 52 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 42 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 33)) (-4457 (((-635 |#1|) $) 43 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 45 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 38 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 37)) (-1396 (((-121) $ (-765)) 32)) (-2605 (((-1147) $) 9)) (-1433 (($ $ $) 22)) (-1912 (((-1111) $) 10)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 51)) (-2985 (((-121) (-1 (-121) |#1|) $) 40 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) 49 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 48 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 47 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 (-289 |#1|))) 46 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 28)) (-1668 (((-121) $) 31)) (-4016 (($) 30)) (-2127 (($ $ $) 21) (($ $ |#1|) 20)) (-2691 (((-765) |#1| $) 44 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4571)))) (-1799 (($ $) 29)) (-4035 (((-542) $) 59 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 50)) (-3956 (((-852) $) 11)) (-1785 (($) 26) (($ (-635 |#1|)) 25)) (-3776 (((-121) (-1 (-121) |#1|) $) 39 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 6)) (-1337 (((-121) $ $) 27)) (-2946 (((-765) $) 36 (|has| $ (-6 -4571))))) 
-(((-1090 |#1|) (-1284) (-1093)) (T -1090)) 
-((-1337 (*1 *2 *1 *1) (-12 (-4 *1 (-1090 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-1785 (*1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-1785 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-1090 *3)))) (-4414 (*1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-4414 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-1090 *3)))) (-1433 (*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-2127 (*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-2127 (*1 *1 *1 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-2045 (*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-3254 (*1 *2 *1 *1) (-12 (-4 *1 (-1090 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-3577 (*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-3577 (*1 *1 *1 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-3577 (*1 *1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
-(-13 (-1093) (-155 |t#1|) (-10 -8 (-6 -4561) (-15 -1337 ((-121) $ $)) (-15 -1785 ($)) (-15 -1785 ($ (-635 |t#1|))) (-15 -4414 ($)) (-15 -4414 ($ (-635 |t#1|))) (-15 -1433 ($ $ $)) (-15 -2127 ($ $ $)) (-15 -2127 ($ $ |t#1|)) (-15 -2045 ($ $ $)) (-15 -3254 ((-121) $ $)) (-15 -3577 ($ $ $)) (-15 -3577 ($ $ |t#1|)) (-15 -3577 ($ |t#1| $)))) 
-(((-39) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) . T) ((-1199) . T)) 
-((-1310 (((-121) $ $) 7)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2284 (((-919) $) 12)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
-(((-1091) (-1284)) (T -1091)) 
-((-2284 (*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-919))))) 
-(-13 (-1093) (-10 -8 (-15 -2284 ((-919) $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-2605 (((-1147) $) 10)) (-1912 (((-1111) $) 8))) 
-(((-1092 |#1|) (-10 -8 (-15 -2605 ((-1147) |#1|)) (-15 -1912 ((-1111) |#1|))) (-1093)) (T -1092)) 
-NIL 
-(-10 -8 (-15 -2605 ((-1147) |#1|)) (-15 -1912 ((-1111) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
-(((-1093) (-1284)) (T -1093)) 
-((-1912 (*1 *2 *1) (-12 (-4 *1 (-1093)) (-5 *2 (-1111)))) (-2605 (*1 *2 *1) (-12 (-4 *1 (-1093)) (-5 *2 (-1147))))) 
-(-13 (-105) (-609 (-852)) (-10 -8 (-15 -1912 ((-1111) $)) (-15 -2605 ((-1147) $)))) 
-(((-105) . T) ((-609 (-852)) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2675 (((-765)) 30)) (-1525 (($ (-635 (-919))) 52)) (-2150 (((-3 $ "failed") $ (-919) (-919)) 57)) (-3341 (($) 32)) (-3016 (((-121) (-919) $) 35)) (-2862 (((-919) $) 50)) (-2605 (((-1147) $) NIL)) (-1333 (($ (-919)) 31)) (-4337 (((-3 $ "failed") $ (-919)) 55)) (-1912 (((-1111) $) NIL)) (-2576 (((-1253 $)) 40)) (-4061 (((-635 (-919)) $) 23)) (-2716 (((-765) $ (-919) (-919)) 56)) (-3956 (((-852) $) 29)) (-1326 (((-121) $ $) 21))) 
-(((-1094 |#1| |#2|) (-13 (-371) (-10 -8 (-15 -4337 ((-3 $ "failed") $ (-919))) (-15 -2150 ((-3 $ "failed") $ (-919) (-919))) (-15 -4061 ((-635 (-919)) $)) (-15 -1525 ($ (-635 (-919)))) (-15 -2576 ((-1253 $))) (-15 -3016 ((-121) (-919) $)) (-15 -2716 ((-765) $ (-919) (-919))))) (-919) (-919)) (T -1094)) 
-((-4337 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-919)) (-5 *1 (-1094 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-2150 (*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-919)) (-5 *1 (-1094 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-4061 (*1 *2 *1) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) (-1525 (*1 *1 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) (-2576 (*1 *2) (-12 (-5 *2 (-1253 (-1094 *3 *4))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) (-3016 (*1 *2 *3 *1) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-1094 *4 *5)) (-14 *4 *3) (-14 *5 *3))) (-2716 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-765)) (-5 *1 (-1094 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(-13 (-371) (-10 -8 (-15 -4337 ((-3 $ "failed") $ (-919))) (-15 -2150 ((-3 $ "failed") $ (-919) (-919))) (-15 -4061 ((-635 (-919)) $)) (-15 -1525 ($ (-635 (-919)))) (-15 -2576 ((-1253 $))) (-15 -3016 ((-121) (-919) $)) (-15 -2716 ((-765) $ (-919) (-919))))) 
-((-1310 (((-121) $ $) NIL)) (-2656 (($) NIL (|has| |#1| (-371)))) (-3577 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 73)) (-2045 (($ $ $) 71)) (-3254 (((-121) $ $) 72)) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4414 (($ (-635 |#1|)) NIL) (($) 13)) (-1304 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) 67 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 43 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 41 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 39 (|has| $ (-6 -4571)))) (-3341 (($) NIL (|has| |#1| (-371)))) (-4303 (((-635 |#1|) $) 19 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2157 ((|#1| $) 57 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 66 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2713 ((|#1| $) 55 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 33 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 34)) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1433 (($ $ $) 69)) (-4496 ((|#1| $) 25)) (-2351 (($ |#1| $) 65)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-1912 (((-1111) $) NIL)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 31)) (-2166 ((|#1| $) 27)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 21)) (-4016 (($) 11)) (-2127 (($ $ |#1|) NIL) (($ $ $) 70)) (-1353 (($) NIL) (($ (-635 |#1|)) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 16)) (-4035 (((-542) $) 52 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 61)) (-4266 (($ $) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) NIL)) (-2207 (((-765) $) NIL)) (-1785 (($ (-635 |#1|)) NIL) (($) 12)) (-1753 (($ (-635 |#1|)) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 54)) (-1337 (((-121) $ $) NIL)) (-2946 (((-765) $) 10 (|has| $ (-6 -4571))))) 
-(((-1095 |#1|) (-428 |#1|) (-1093)) (T -1095)) 
-NIL 
-(-428 |#1|) 
-((-1310 (((-121) $ $) 7)) (-1285 (((-121) $) 31)) (-3379 ((|#2| $) 26)) (-4249 (((-121) $) 32)) (-3257 ((|#1| $) 27)) (-3766 (((-121) $) 34)) (-2767 (((-121) $) 36)) (-3613 (((-121) $) 33)) (-2605 (((-1147) $) 9)) (-1325 (((-121) $) 30)) (-3237 ((|#3| $) 25)) (-1912 (((-1111) $) 10)) (-2275 (((-121) $) 29)) (-3222 ((|#4| $) 24)) (-2824 ((|#5| $) 23)) (-4399 (((-121) $ $) 37)) (-2503 (($ $ (-569)) 13) (($ $ (-635 (-569))) 12)) (-3171 (((-635 $) $) 28)) (-4035 (($ (-635 $)) 22) (($ |#1|) 21) (($ |#2|) 20) (($ |#3|) 19) (($ |#4|) 18) (($ |#5|) 17)) (-3956 (((-852) $) 11)) (-3860 (($ $) 15)) (-3854 (($ $) 16)) (-2437 (((-121) $) 35)) (-1326 (((-121) $ $) 6)) (-2946 (((-569) $) 14))) 
-(((-1096 |#1| |#2| |#3| |#4| |#5|) (-1284) (-1093) (-1093) (-1093) (-1093) (-1093)) (T -1096)) 
-((-4399 (*1 *2 *1 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-2767 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-2437 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-3766 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-3613 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-4249 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-1285 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-1325 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-2275 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-3171 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-1096 *3 *4 *5 *6 *7)))) (-3257 (*1 *2 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-3379 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *2 *4 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-3237 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *2 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-3222 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *2 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-2824 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *2)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1096 *3 *2 *4 *5 *6)) (-4 *3 (-1093)) (-4 *2 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *2 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *2 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *5 *2 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *2 (-1093)) (-4 *6 (-1093)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *2)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-3854 (*1 *1 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) (-3860 (*1 *1 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) (-2946 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-569)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093))))) 
-(-13 (-1093) (-10 -8 (-15 -4399 ((-121) $ $)) (-15 -2767 ((-121) $)) (-15 -2437 ((-121) $)) (-15 -3766 ((-121) $)) (-15 -3613 ((-121) $)) (-15 -4249 ((-121) $)) (-15 -1285 ((-121) $)) (-15 -1325 ((-121) $)) (-15 -2275 ((-121) $)) (-15 -3171 ((-635 $) $)) (-15 -3257 (|t#1| $)) (-15 -3379 (|t#2| $)) (-15 -3237 (|t#3| $)) (-15 -3222 (|t#4| $)) (-15 -2824 (|t#5| $)) (-15 -4035 ($ (-635 $))) (-15 -4035 ($ |t#1|)) (-15 -4035 ($ |t#2|)) (-15 -4035 ($ |t#3|)) (-15 -4035 ($ |t#4|)) (-15 -4035 ($ |t#5|)) (-15 -3854 ($ $)) (-15 -3860 ($ $)) (-15 -2946 ((-569) $)) (-15 -2503 ($ $ (-569))) (-15 -2503 ($ $ (-635 (-569)))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-1285 (((-121) $) NIL)) (-3379 (((-1165) $) NIL)) (-4249 (((-121) $) NIL)) (-3257 (((-1147) $) NIL)) (-3766 (((-121) $) NIL)) (-2767 (((-121) $) NIL)) (-3613 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1325 (((-121) $) NIL)) (-3237 (((-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-2275 (((-121) $) NIL)) (-3222 (((-216) $) NIL)) (-2824 (((-852) $) NIL)) (-4399 (((-121) $ $) NIL)) (-2503 (($ $ (-569)) NIL) (($ $ (-635 (-569))) NIL)) (-3171 (((-635 $) $) NIL)) (-4035 (($ (-635 $)) NIL) (($ (-1147)) NIL) (($ (-1165)) NIL) (($ (-569)) NIL) (($ (-216)) NIL) (($ (-852)) NIL)) (-3956 (((-852) $) NIL)) (-3860 (($ $) NIL)) (-3854 (($ $) NIL)) (-2437 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL)) (-2946 (((-569) $) NIL))) 
-(((-1097) (-1096 (-1147) (-1165) (-569) (-216) (-852))) (T -1097)) 
-NIL 
-(-1096 (-1147) (-1165) (-569) (-216) (-852)) 
-((-1310 (((-121) $ $) NIL)) (-1285 (((-121) $) 37)) (-3379 ((|#2| $) 41)) (-4249 (((-121) $) 36)) (-3257 ((|#1| $) 40)) (-3766 (((-121) $) 34)) (-2767 (((-121) $) 14)) (-3613 (((-121) $) 35)) (-2605 (((-1147) $) NIL)) (-1325 (((-121) $) 38)) (-3237 ((|#3| $) 43)) (-1912 (((-1111) $) NIL)) (-2275 (((-121) $) 39)) (-3222 ((|#4| $) 42)) (-2824 ((|#5| $) 44)) (-4399 (((-121) $ $) 33)) (-2503 (($ $ (-569)) 55) (($ $ (-635 (-569))) 57)) (-3171 (((-635 $) $) 21)) (-4035 (($ (-635 $)) 45) (($ |#1|) 46) (($ |#2|) 47) (($ |#3|) 48) (($ |#4|) 49) (($ |#5|) 50)) (-3956 (((-852) $) 22)) (-3860 (($ $) 20)) (-3854 (($ $) 51)) (-2437 (((-121) $) 18)) (-1326 (((-121) $ $) 32)) (-2946 (((-569) $) 53))) 
-(((-1098 |#1| |#2| |#3| |#4| |#5|) (-1096 |#1| |#2| |#3| |#4| |#5|) (-1093) (-1093) (-1093) (-1093) (-1093)) (T -1098)) 
-NIL 
-(-1096 |#1| |#2| |#3| |#4| |#5|) 
-((-3225 (((-1258) $) 23)) (-4366 (($ (-1165) (-437) |#2|) 11)) (-3956 (((-852) $) 16))) 
-(((-1099 |#1| |#2|) (-13 (-398) (-10 -8 (-15 -4366 ($ (-1165) (-437) |#2|)))) (-844) (-433 |#1|)) (T -1099)) 
-((-4366 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-437)) (-4 *5 (-844)) (-5 *1 (-1099 *5 *4)) (-4 *4 (-433 *5))))) 
-(-13 (-398) (-10 -8 (-15 -4366 ($ (-1165) (-437) |#2|)))) 
-((-4322 (((-121) |#5| |#5|) 37)) (-4368 (((-121) |#5| |#5|) 51)) (-2664 (((-121) |#5| (-635 |#5|)) 74) (((-121) |#5| |#5|) 60)) (-3705 (((-121) (-635 |#4|) (-635 |#4|)) 57)) (-1780 (((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) 62)) (-2932 (((-1258)) 33)) (-2241 (((-1258) (-1147) (-1147) (-1147)) 29)) (-1687 (((-635 |#5|) (-635 |#5|)) 81)) (-3051 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) 79)) (-4034 (((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121)) 101)) (-1703 (((-121) |#5| |#5|) 46)) (-4413 (((-3 (-121) "failed") |#5| |#5|) 70)) (-2456 (((-121) (-635 |#4|) (-635 |#4|)) 56)) (-4059 (((-121) (-635 |#4|) (-635 |#4|)) 58)) (-1861 (((-121) (-635 |#4|) (-635 |#4|)) 59)) (-4011 (((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)) 97)) (-1501 (((-635 |#5|) (-635 |#5|)) 42))) 
-(((-1100 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2241 ((-1258) (-1147) (-1147) (-1147))) (-15 -2932 ((-1258))) (-15 -4322 ((-121) |#5| |#5|)) (-15 -1501 ((-635 |#5|) (-635 |#5|))) (-15 -1703 ((-121) |#5| |#5|)) (-15 -4368 ((-121) |#5| |#5|)) (-15 -3705 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2456 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4059 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -1861 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4413 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2664 ((-121) |#5| |#5|)) (-15 -2664 ((-121) |#5| (-635 |#5|))) (-15 -1687 ((-635 |#5|) (-635 |#5|))) (-15 -1780 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -3051 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-15 -4034 ((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4011 ((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -1100)) 
-((-4011 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-1100 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1068 *6 *7 *8 *9)))) (-4034 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1068 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-1100 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) (-3051 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4320 *7)))) (-4 *6 (-1063 *3 *4 *5)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1100 *3 *4 *5 *6 *7)))) (-1780 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)))) (-1687 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-1100 *3 *4 *5 *6 *7)))) (-2664 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1100 *5 *6 *7 *8 *3)))) (-2664 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-4413 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1861 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-4059 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-2456 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-3705 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-4368 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1703 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1501 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-1100 *3 *4 *5 *6 *7)))) (-4322 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-2932 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-2241 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -2241 ((-1258) (-1147) (-1147) (-1147))) (-15 -2932 ((-1258))) (-15 -4322 ((-121) |#5| |#5|)) (-15 -1501 ((-635 |#5|) (-635 |#5|))) (-15 -1703 ((-121) |#5| |#5|)) (-15 -4368 ((-121) |#5| |#5|)) (-15 -3705 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2456 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4059 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -1861 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4413 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2664 ((-121) |#5| |#5|)) (-15 -2664 ((-121) |#5| (-635 |#5|))) (-15 -1687 ((-635 |#5|) (-635 |#5|))) (-15 -1780 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -3051 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-15 -4034 ((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4011 ((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
-((-3640 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|) 94)) (-3374 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|) 70)) (-1470 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|) 88)) (-1498 (((-635 |#5|) |#4| |#5|) 109)) (-2685 (((-635 |#5|) |#4| |#5|) 116)) (-2356 (((-635 |#5|) |#4| |#5|) 117)) (-4392 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|) 95)) (-2103 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|) 115)) (-3500 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-3959 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121)) 82) (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-4494 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|) 77)) (-3032 (((-1258)) 35)) (-1631 (((-1258)) 25)) (-2773 (((-1258) (-1147) (-1147) (-1147)) 31)) (-1867 (((-1258) (-1147) (-1147) (-1147)) 20))) 
-(((-1101 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1867 ((-1258) (-1147) (-1147) (-1147))) (-15 -1631 ((-1258))) (-15 -2773 ((-1258) (-1147) (-1147) (-1147))) (-15 -3032 ((-1258))) (-15 -3374 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -3959 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -3959 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121))) (-15 -4494 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -1470 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -3500 ((-121) |#4| |#5|)) (-15 -4392 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -1498 ((-635 |#5|) |#4| |#5|)) (-15 -2103 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2685 ((-635 |#5|) |#4| |#5|)) (-15 -3500 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2356 ((-635 |#5|) |#4| |#5|)) (-15 -3640 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -1101)) 
-((-3640 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2356 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3500 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2685 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2103 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-1498 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-4392 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3500 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-1470 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-4494 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3959 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *5 (-121)) (-4 *8 (-1063 *6 *7 *4)) (-4 *9 (-1068 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *4 (-844)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4320 *9)))) (-5 *1 (-1101 *6 *7 *4 *8 *9)))) (-3959 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) (-3374 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3032 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1101 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-2773 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1101 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-1631 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1101 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-1867 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1101 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -1867 ((-1258) (-1147) (-1147) (-1147))) (-15 -1631 ((-1258))) (-15 -2773 ((-1258) (-1147) (-1147) (-1147))) (-15 -3032 ((-1258))) (-15 -3374 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -3959 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -3959 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121))) (-15 -4494 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -1470 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -3500 ((-121) |#4| |#5|)) (-15 -4392 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -1498 ((-635 |#5|) |#4| |#5|)) (-15 -2103 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2685 ((-635 |#5|) |#4| |#5|)) (-15 -3500 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2356 ((-635 |#5|) |#4| |#5|)) (-15 -3640 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|))) 
-((-1310 (((-121) $ $) 7)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) 78)) (-3202 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) 94) (((-121) $) 90)) (-1815 ((|#4| |#4| $) 85)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 119)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 72)) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1864 (((-3 $ "failed") $) 75)) (-3562 ((|#4| |#4| $) 82)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-4417 ((|#4| |#4| $) 80)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) 98)) (-4018 (((-121) |#4| $) 129)) (-3594 (((-121) |#4| $) 126)) (-4508 (((-121) |#4| $) 130) (((-121) $) 127)) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) 97) (((-121) $) 96)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 120)) (-3302 (((-3 |#4| "failed") $) 76)) (-2079 (((-635 $) |#4| $) 122)) (-2090 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1433 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3487 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-1536 (((-635 |#4|) $) 100)) (-2114 (((-121) |#4| $) 92) (((-121) $) 88)) (-2709 ((|#4| |#4| $) 83)) (-1861 (((-121) $ $) 103)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) 93) (((-121) $) 89)) (-1910 ((|#4| |#4| $) 84)) (-1912 (((-1111) $) 10)) (-1816 (((-3 |#4| "failed") $) 77)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4300 (((-3 $ "failed") $ |#4|) 71)) (-3803 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2284 (((-765) $) 99)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2406 (($ $) 81)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-1448 (((-765) $) 69 (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-2272 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) 74)) (-3267 (((-121) |#4| $) 128)) (-3345 (((-121) |#3| $) 73)) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
-(((-1102 |#1| |#2| |#3| |#4|) (-1284) (-454) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -1102)) 
-NIL 
-(-13 (-1068 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-979 |#1| |#2| |#3| |#4|) . T) ((-1068 |#1| |#2| |#3| |#4|) . T) ((-1093) . T) ((-1193 |#1| |#2| |#3| |#4|) . T) ((-1199) . T)) 
-((-3387 (((-635 (-569)) (-569) (-569) (-569)) 20)) (-4329 (((-635 (-569)) (-569) (-569) (-569)) 12)) (-3123 (((-635 (-569)) (-569) (-569) (-569)) 16)) (-4307 (((-569) (-569) (-569)) 9)) (-2473 (((-1253 (-569)) (-635 (-569)) (-1253 (-569)) (-569)) 44) (((-1253 (-569)) (-1253 (-569)) (-1253 (-569)) (-569)) 39)) (-2733 (((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121)) 26)) (-1813 (((-681 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569))) 43)) (-2129 (((-681 (-569)) (-635 (-569)) (-635 (-569))) 31)) (-2041 (((-635 (-681 (-569))) (-635 (-569))) 33)) (-2187 (((-635 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569))) 46)) (-3680 (((-681 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569))) 54))) 
-(((-1103) (-10 -7 (-15 -3680 ((-681 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2187 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569)))) (-15 -2041 ((-635 (-681 (-569))) (-635 (-569)))) (-15 -2129 ((-681 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -1813 ((-681 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569)))) (-15 -2733 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121))) (-15 -2473 ((-1253 (-569)) (-1253 (-569)) (-1253 (-569)) (-569))) (-15 -2473 ((-1253 (-569)) (-635 (-569)) (-1253 (-569)) (-569))) (-15 -4307 ((-569) (-569) (-569))) (-15 -3123 ((-635 (-569)) (-569) (-569) (-569))) (-15 -4329 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3387 ((-635 (-569)) (-569) (-569) (-569))))) (T -1103)) 
-((-3387 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569)))) (-4329 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569)))) (-3123 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569)))) (-4307 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1103)))) (-2473 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-1253 (-569))) (-5 *3 (-635 (-569))) (-5 *4 (-569)) (-5 *1 (-1103)))) (-2473 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1253 (-569))) (-5 *3 (-569)) (-5 *1 (-1103)))) (-2733 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-121)) (-5 *1 (-1103)))) (-1813 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-681 (-569))) (-5 *3 (-635 (-569))) (-5 *1 (-1103)))) (-2129 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1103)))) (-2041 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-1103)))) (-2187 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-681 (-569))) (-5 *1 (-1103)))) (-3680 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1103))))) 
-(-10 -7 (-15 -3680 ((-681 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2187 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569)))) (-15 -2041 ((-635 (-681 (-569))) (-635 (-569)))) (-15 -2129 ((-681 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -1813 ((-681 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569)))) (-15 -2733 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121))) (-15 -2473 ((-1253 (-569)) (-1253 (-569)) (-1253 (-569)) (-569))) (-15 -2473 ((-1253 (-569)) (-635 (-569)) (-1253 (-569)) (-569))) (-15 -4307 ((-569) (-569) (-569))) (-15 -3123 ((-635 (-569)) (-569) (-569) (-569))) (-15 -4329 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3387 ((-635 (-569)) (-569) (-569) (-569)))) 
-((-3403 (($ $ (-919)) 12)) (** (($ $ (-919)) 10))) 
-(((-1104 |#1|) (-10 -8 (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) (-1105)) (T -1104)) 
-NIL 
-(-10 -8 (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) 
-((-1310 (((-121) $ $) 7)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) 12)) (-1326 (((-121) $ $) 6)) (** (($ $ (-919)) 13)) (* (($ $ $) 14))) 
-(((-1105) (-1284)) (T -1105)) 
-((* (*1 *1 *1 *1) (-4 *1 (-1105))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1105)) (-5 *2 (-919)))) (-3403 (*1 *1 *1 *2) (-12 (-4 *1 (-1105)) (-5 *2 (-919))))) 
-(-13 (-1093) (-10 -8 (-15 * ($ $ $)) (-15 ** ($ $ (-919))) (-15 -3403 ($ $ (-919))))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL (|has| |#3| (-1093)))) (-2225 (((-121) $) NIL (|has| |#3| (-138)))) (-4148 (($ (-919)) NIL (|has| |#3| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) NIL (|has| |#3| (-790)))) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#3| (-138)))) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#3| (-371)))) (-3817 (((-569) $) NIL (|has| |#3| (-842)))) (-2511 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093)))) (((-3 |#3| "failed") $) NIL (|has| |#3| (-1093)))) (-1321 (((-569) $) NIL (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093)))) ((|#3| $) NIL (|has| |#3| (-1093)))) (-3435 (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049)))) (((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 $) (-1253 $)) NIL (|has| |#3| (-1049))) (((-681 |#3|) (-681 $)) NIL (|has| |#3| (-1049)))) (-2611 (((-3 $ "failed") $) NIL (|has| |#3| (-718)))) (-3341 (($) NIL (|has| |#3| (-371)))) (-3982 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#3| $ (-569)) 12)) (-1863 (((-121) $) NIL (|has| |#3| (-842)))) (-4303 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (|has| |#3| (-718)))) (-4311 (((-121) $) NIL (|has| |#3| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-4457 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-2089 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#3| |#3|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#3| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#3| (-1093)))) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#3| (-371)))) (-1912 (((-1111) $) NIL (|has| |#3| (-1093)))) (-1816 ((|#3| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#3|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-4283 (((-635 |#3|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#3| $ (-569) |#3|) NIL) ((|#3| $ (-569)) NIL)) (-4510 ((|#3| $ $) NIL (|has| |#3| (-1049)))) (-3161 (($ (-1253 |#3|)) NIL)) (-2174 (((-140)) NIL (|has| |#3| (-366)))) (-3289 (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1 |#3| |#3|) (-765)) NIL (|has| |#3| (-1049))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1049)))) (-2691 (((-765) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571))) (((-765) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#3|) $) NIL) (((-852) $) NIL (|has| |#3| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093))) (|has| |#3| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093)))) (($ |#3|) NIL (|has| |#3| (-1093)))) (-2320 (((-765)) NIL (|has| |#3| (-1049)))) (-3776 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#3| (-842)))) (-3403 (($ $ (-765)) NIL (|has| |#3| (-718))) (($ $ (-919)) NIL (|has| |#3| (-718)))) (-2407 (($) NIL (|has| |#3| (-138)) CONST)) (-3297 (($) NIL (|has| |#3| (-718)) CONST)) (-3712 (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1 |#3| |#3|) (-765)) NIL (|has| |#3| (-1049))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1049)))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1326 (((-121) $ $) NIL (|has| |#3| (-1093)))) (-1349 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1337 (((-121) $ $) 17 (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1383 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1377 (($ $ $) NIL (|has| |#3| (-1049))) (($ $) NIL (|has| |#3| (-1049)))) (-1371 (($ $ $) NIL (|has| |#3| (-25)))) (** (($ $ (-765)) NIL (|has| |#3| (-718))) (($ $ (-919)) NIL (|has| |#3| (-718)))) (* (($ (-569) $) NIL (|has| |#3| (-1049))) (($ $ $) NIL (|has| |#3| (-718))) (($ $ |#3|) NIL (|has| |#3| (-1049))) (($ |#3| $) NIL (|has| |#3| (-1049))) (($ (-765) $) NIL (|has| |#3| (-138))) (($ (-919) $) NIL (|has| |#3| (-25)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1106 |#1| |#2| |#3|) (-231 |#1| |#3|) (-765) (-765) (-790)) (T -1106)) 
+((-3799 (((-637 |#2|) (-1 |#2| |#1|) (-1091 |#1|)) 23 (|has| |#1| (-845))) (((-1091 |#2|) (-1 |#2| |#1|) (-1091 |#1|)) 14))) 
+(((-1087 |#1| |#2|) (-10 -7 (-15 -3799 ((-1091 |#2|) (-1 |#2| |#1|) (-1091 |#1|))) (IF (|has| |#1| (-845)) (-15 -3799 ((-637 |#2|) (-1 |#2| |#1|) (-1091 |#1|))) |noBranch|)) (-1203) (-1203)) (T -1087)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1091 *5)) (-4 *5 (-845)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-637 *6)) (-5 *1 (-1087 *5 *6)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1091 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1091 *6)) (-5 *1 (-1087 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-1091 |#2|) (-1 |#2| |#1|) (-1091 |#1|))) (IF (|has| |#1| (-845)) (-15 -3799 ((-637 |#2|) (-1 |#2| |#1|) (-1091 |#1|))) |noBranch|)) 
+((-3799 (((-1089 |#2|) (-1 |#2| |#1|) (-1089 |#1|)) 19))) 
+(((-1088 |#1| |#2|) (-10 -7 (-15 -3799 ((-1089 |#2|) (-1 |#2| |#1|) (-1089 |#1|)))) (-1203) (-1203)) (T -1088)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1089 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1089 *6)) (-5 *1 (-1088 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-1089 |#2|) (-1 |#2| |#1|) (-1089 |#1|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3312 (((-1169) $) 11)) (-4167 (((-1091 |#1|) $) 12)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3791 (($ (-1169) (-1091 |#1|)) 10)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-1323 (((-121) $ $) 15 (|has| |#1| (-1097))))) 
+(((-1089 |#1|) (-13 (-1203) (-10 -8 (-15 -3791 ($ (-1169) (-1091 |#1|))) (-15 -3312 ((-1169) $)) (-15 -4167 ((-1091 |#1|) $)) (IF (|has| |#1| (-1097)) (-6 (-1097)) |noBranch|))) (-1203)) (T -1089)) 
+((-3791 (*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1091 *4)) (-4 *4 (-1203)) (-5 *1 (-1089 *4)))) (-3312 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-1089 *3)) (-4 *3 (-1203)))) (-4167 (*1 *2 *1) (-12 (-5 *2 (-1091 *3)) (-5 *1 (-1089 *3)) (-4 *3 (-1203))))) 
+(-13 (-1203) (-10 -8 (-15 -3791 ($ (-1169) (-1091 |#1|))) (-15 -3312 ((-1169) $)) (-15 -4167 ((-1091 |#1|) $)) (IF (|has| |#1| (-1097)) (-6 (-1097)) |noBranch|))) 
+((-4167 (($ |#1| |#1|) 7)) (-3894 ((|#1| $) 10)) (-2372 ((|#1| $) 12)) (-2381 (((-571) $) 8)) (-2436 ((|#1| $) 9)) (-2389 ((|#1| $) 11)) (-4050 (($ |#1|) 6)) (-2760 (($ |#1| |#1|) 14)) (-3857 (($ $ (-571)) 13))) 
+(((-1090 |#1|) (-1289) (-1203)) (T -1090)) 
+((-2760 (*1 *1 *2 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203)))) (-3857 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1090 *3)) (-4 *3 (-1203)))) (-2372 (*1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203)))) (-2389 (*1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203)))) (-3894 (*1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203)))) (-2436 (*1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203)))) (-2381 (*1 *2 *1) (-12 (-4 *1 (-1090 *3)) (-4 *3 (-1203)) (-5 *2 (-571)))) (-4167 (*1 *1 *2 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203)))) (-4050 (*1 *1 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203))))) 
+(-13 (-1203) (-10 -8 (-15 -2760 ($ |t#1| |t#1|)) (-15 -3857 ($ $ (-571))) (-15 -2372 (|t#1| $)) (-15 -2389 (|t#1| $)) (-15 -3894 (|t#1| $)) (-15 -2436 (|t#1| $)) (-15 -2381 ((-571) $)) (-15 -4167 ($ |t#1| |t#1|)) (-15 -4050 ($ |t#1|)))) 
+(((-1203) . T)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4167 (($ |#1| |#1|) 15)) (-3799 (((-637 |#1|) (-1 |#1| |#1|) $) 37 (|has| |#1| (-845)))) (-3894 ((|#1| $) 10)) (-2372 ((|#1| $) 9)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2381 (((-571) $) 14)) (-2436 ((|#1| $) 12)) (-2389 ((|#1| $) 11)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-2507 (((-637 |#1|) $) 35 (|has| |#1| (-845))) (((-637 |#1|) (-637 $)) 34 (|has| |#1| (-845)))) (-4050 (($ |#1|) 26)) (-3942 (((-855) $) 25 (|has| |#1| (-1097)))) (-2760 (($ |#1| |#1|) 8)) (-3857 (($ $ (-571)) 16)) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097))))) 
+(((-1091 |#1|) (-13 (-1090 |#1|) (-10 -7 (IF (|has| |#1| (-1097)) (-6 (-1097)) |noBranch|) (IF (|has| |#1| (-845)) (-6 (-1092 |#1| (-637 |#1|))) |noBranch|))) (-1203)) (T -1091)) 
+NIL 
+(-13 (-1090 |#1|) (-10 -7 (IF (|has| |#1| (-1097)) (-6 (-1097)) |noBranch|) (IF (|has| |#1| (-845)) (-6 (-1092 |#1| (-637 |#1|))) |noBranch|))) 
+((-4167 (($ |#1| |#1|) 7)) (-3799 ((|#2| (-1 |#1| |#1|) $) 15)) (-3894 ((|#1| $) 10)) (-2372 ((|#1| $) 12)) (-2381 (((-571) $) 8)) (-2436 ((|#1| $) 9)) (-2389 ((|#1| $) 11)) (-2507 ((|#2| (-637 $)) 17) ((|#2| $) 16)) (-4050 (($ |#1|) 6)) (-2760 (($ |#1| |#1|) 14)) (-3857 (($ $ (-571)) 13))) 
+(((-1092 |#1| |#2|) (-1289) (-845) (-1141 |t#1|)) (T -1092)) 
+((-2507 (*1 *2 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-1092 *4 *2)) (-4 *4 (-845)) (-4 *2 (-1141 *4)))) (-2507 (*1 *2 *1) (-12 (-4 *1 (-1092 *3 *2)) (-4 *3 (-845)) (-4 *2 (-1141 *3)))) (-3799 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1092 *4 *2)) (-4 *4 (-845)) (-4 *2 (-1141 *4))))) 
+(-13 (-1090 |t#1|) (-10 -8 (-15 -2507 (|t#2| (-637 $))) (-15 -2507 (|t#2| $)) (-15 -3799 (|t#2| (-1 |t#1| |t#1|) $)))) 
+(((-1090 |#1|) . T) ((-1203) . T)) 
+((-3486 (($ $ $) NIL) (($ $ |#2|) 13) (($ |#2| $) 14)) (-1768 (($ $ $) 10)) (-3629 (($ $ $) NIL) (($ $ |#2|) 15))) 
+(((-1093 |#1| |#2|) (-10 -8 (-15 -3486 (|#1| |#2| |#1|)) (-15 -3486 (|#1| |#1| |#2|)) (-15 -3486 (|#1| |#1| |#1|)) (-15 -1768 (|#1| |#1| |#1|)) (-15 -3629 (|#1| |#1| |#2|)) (-15 -3629 (|#1| |#1| |#1|))) (-1094 |#2|) (-1097)) (T -1093)) 
+NIL 
+(-10 -8 (-15 -3486 (|#1| |#2| |#1|)) (-15 -3486 (|#1| |#1| |#2|)) (-15 -3486 (|#1| |#1| |#1|)) (-15 -1768 (|#1| |#1| |#1|)) (-15 -3629 (|#1| |#1| |#2|)) (-15 -3629 (|#1| |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-3486 (($ $ $) 17) (($ $ |#1|) 16) (($ |#1| $) 15)) (-1768 (($ $ $) 19)) (-2559 (((-121) $ $) 18)) (-3133 (((-121) $ (-768)) 34)) (-4458 (($) 24) (($ (-637 |#1|)) 23)) (-2534 (($ (-1 (-121) |#1|) $) 55 (|has| $ (-6 -4600)))) (-2269 (($) 35 T CONST)) (-4365 (($ $) 58 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#1| $) 57 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 54 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 56 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 53 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 52 (|has| $ (-6 -4600)))) (-4034 (((-637 |#1|) $) 42 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 33)) (-3488 (((-637 |#1|) $) 43 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 45 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 38 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 37)) (-3794 (((-121) $ (-768)) 32)) (-3944 (((-1151) $) 9)) (-4017 (($ $ $) 22)) (-2580 (((-1115) $) 10)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 51)) (-3160 (((-121) (-1 (-121) |#1|) $) 40 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#1|) (-637 |#1|)) 49 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 48 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 47 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 (-289 |#1|))) 46 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 28)) (-1828 (((-121) $) 31)) (-1630 (($) 30)) (-3629 (($ $ $) 21) (($ $ |#1|) 20)) (-1569 (((-768) |#1| $) 44 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4600)))) (-4316 (($ $) 29)) (-4050 (((-544) $) 59 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 50)) (-3942 (((-855) $) 11)) (-4303 (($) 26) (($ (-637 |#1|)) 25)) (-3027 (((-121) (-1 (-121) |#1|) $) 39 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 6)) (-1331 (((-121) $ $) 27)) (-4001 (((-768) $) 36 (|has| $ (-6 -4600))))) 
+(((-1094 |#1|) (-1289) (-1097)) (T -1094)) 
+((-1331 (*1 *2 *1 *1) (-12 (-4 *1 (-1094 *3)) (-4 *3 (-1097)) (-5 *2 (-121)))) (-4303 (*1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) (-4303 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-4 *1 (-1094 *3)))) (-4458 (*1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) (-4458 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-4 *1 (-1094 *3)))) (-4017 (*1 *1 *1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) (-3629 (*1 *1 *1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) (-3629 (*1 *1 *1 *2) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) (-1768 (*1 *1 *1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) (-2559 (*1 *2 *1 *1) (-12 (-4 *1 (-1094 *3)) (-4 *3 (-1097)) (-5 *2 (-121)))) (-3486 (*1 *1 *1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) (-3486 (*1 *1 *1 *2) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) (-3486 (*1 *1 *2 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097))))) 
+(-13 (-1097) (-155 |t#1|) (-10 -8 (-6 -4590) (-15 -1331 ((-121) $ $)) (-15 -4303 ($)) (-15 -4303 ($ (-637 |t#1|))) (-15 -4458 ($)) (-15 -4458 ($ (-637 |t#1|))) (-15 -4017 ($ $ $)) (-15 -3629 ($ $ $)) (-15 -3629 ($ $ |t#1|)) (-15 -1768 ($ $ $)) (-15 -2559 ((-121) $ $)) (-15 -3486 ($ $ $)) (-15 -3486 ($ $ |t#1|)) (-15 -3486 ($ |t#1| $)))) 
+(((-39) . T) ((-105) . T) ((-611 (-855)) . T) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) . T) ((-1203) . T)) 
+((-2234 (((-121) $ $) 7)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2400 (((-922) $) 12)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6))) 
+(((-1095) (-1289)) (T -1095)) 
+((-2400 (*1 *2 *1) (-12 (-4 *1 (-1095)) (-5 *2 (-922))))) 
+(-13 (-1097) (-10 -8 (-15 -2400 ((-922) $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-3944 (((-1151) $) 10)) (-2580 (((-1115) $) 8))) 
+(((-1096 |#1|) (-10 -8 (-15 -3944 ((-1151) |#1|)) (-15 -2580 ((-1115) |#1|))) (-1097)) (T -1096)) 
+NIL 
+(-10 -8 (-15 -3944 ((-1151) |#1|)) (-15 -2580 ((-1115) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6))) 
+(((-1097) (-1289)) (T -1097)) 
+((-2580 (*1 *2 *1) (-12 (-4 *1 (-1097)) (-5 *2 (-1115)))) (-3944 (*1 *2 *1) (-12 (-4 *1 (-1097)) (-5 *2 (-1151))))) 
+(-13 (-105) (-611 (-855)) (-10 -8 (-15 -2580 ((-1115) $)) (-15 -3944 ((-1151) $)))) 
+(((-105) . T) ((-611 (-855)) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4407 (((-768)) 30)) (-2470 (($ (-637 (-922))) 52)) (-3740 (((-3 $ "failed") $ (-922) (-922)) 57)) (-3254 (($) 32)) (-3303 (((-121) (-922) $) 35)) (-4470 (((-922) $) 50)) (-3944 (((-1151) $) NIL)) (-1755 (($ (-922)) 31)) (-4187 (((-3 $ "failed") $ (-922)) 55)) (-2580 (((-1115) $) NIL)) (-3804 (((-637 $)) NIL) (((-1258 $)) 40)) (-1830 (((-637 (-922)) $) 23)) (-2410 (((-768) $ (-922) (-922)) 56)) (-3942 (((-855) $) 29)) (-1323 (((-121) $ $) 21))) 
+(((-1098 |#1| |#2|) (-13 (-373) (-10 -8 (-15 -4187 ((-3 $ "failed") $ (-922))) (-15 -3740 ((-3 $ "failed") $ (-922) (-922))) (-15 -1830 ((-637 (-922)) $)) (-15 -2470 ($ (-637 (-922)))) (-15 -3804 ((-1258 $))) (-15 -3303 ((-121) (-922) $)) (-15 -2410 ((-768) $ (-922) (-922))))) (-922) (-922)) (T -1098)) 
+((-4187 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-922)) (-5 *1 (-1098 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-3740 (*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-922)) (-5 *1 (-1098 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-1830 (*1 *2 *1) (-12 (-5 *2 (-637 (-922))) (-5 *1 (-1098 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922)))) (-2470 (*1 *1 *2) (-12 (-5 *2 (-637 (-922))) (-5 *1 (-1098 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922)))) (-3804 (*1 *2) (-12 (-5 *2 (-1258 (-1098 *3 *4))) (-5 *1 (-1098 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922)))) (-3303 (*1 *2 *3 *1) (-12 (-5 *3 (-922)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5)) (-14 *4 *3) (-14 *5 *3))) (-2410 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-768)) (-5 *1 (-1098 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
+(-13 (-373) (-10 -8 (-15 -4187 ((-3 $ "failed") $ (-922))) (-15 -3740 ((-3 $ "failed") $ (-922) (-922))) (-15 -1830 ((-637 (-922)) $)) (-15 -2470 ($ (-637 (-922)))) (-15 -3804 ((-1258 $))) (-15 -3303 ((-121) (-922) $)) (-15 -2410 ((-768) $ (-922) (-922))))) 
+((-2234 (((-121) $ $) NIL)) (-4172 (($) NIL (|has| |#1| (-373)))) (-3486 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 73)) (-1768 (($ $ $) 71)) (-2559 (((-121) $ $) 72)) (-3133 (((-121) $ (-768)) NIL)) (-4407 (((-768)) NIL (|has| |#1| (-373)))) (-4458 (($ (-637 |#1|)) NIL) (($) 13)) (-3129 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1599 (($ |#1| $) 67 (|has| $ (-6 -4600))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 43 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 41 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 39 (|has| $ (-6 -4600)))) (-3254 (($) NIL (|has| |#1| (-373)))) (-4034 (((-637 |#1|) $) 19 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1763 ((|#1| $) 57 (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 66 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-2383 ((|#1| $) 55 (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 33 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 34)) (-4470 (((-922) $) NIL (|has| |#1| (-373)))) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-4017 (($ $ $) 69)) (-2377 ((|#1| $) 25)) (-2863 (($ |#1| $) 65)) (-1755 (($ (-922)) NIL (|has| |#1| (-373)))) (-2580 (((-1115) $) NIL)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 31)) (-3815 ((|#1| $) 27)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-3804 (((-637 $)) NIL (|has| |#1| (-373)))) (-1828 (((-121) $) 21)) (-1630 (($) 11)) (-3629 (($ $ |#1|) NIL) (($ $ $) 70)) (-3563 (($) NIL) (($ (-637 |#1|)) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) 16)) (-4050 (((-544) $) 52 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 61)) (-3800 (($ $) NIL (|has| |#1| (-373)))) (-3942 (((-855) $) NIL)) (-4025 (((-768) $) NIL)) (-4303 (($ (-637 |#1|)) NIL) (($) 12)) (-3700 (($ (-637 |#1|)) NIL)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 54)) (-1331 (((-121) $ $) NIL)) (-4001 (((-768) $) 10 (|has| $ (-6 -4600))))) 
+(((-1099 |#1|) (-430 |#1|) (-1097)) (T -1099)) 
+NIL 
+(-430 |#1|) 
+((-2234 (((-121) $ $) 7)) (-3042 (((-121) $) 31)) (-4122 ((|#2| $) 26)) (-3692 (((-121) $) 32)) (-4004 ((|#1| $) 27)) (-2994 (((-121) $) 34)) (-2780 (((-121) $) 36)) (-1369 (((-121) $) 33)) (-3944 (((-1151) $) 9)) (-3409 (((-121) $) 30)) (-3982 ((|#3| $) 25)) (-2580 (((-1115) $) 10)) (-2328 (((-121) $) 29)) (-3967 ((|#4| $) 24)) (-4522 ((|#5| $) 23)) (-3192 (((-121) $ $) 37)) (-3245 (($ $ (-571)) 13) (($ $ (-637 (-571))) 12)) (-4282 (((-637 $) $) 28)) (-4050 (($ (-637 $)) 22) (($ |#1|) 21) (($ |#2|) 20) (($ |#3|) 19) (($ |#4|) 18) (($ |#5|) 17)) (-3942 (((-855) $) 11)) (-3826 (($ $) 15)) (-3819 (($ $) 16)) (-4490 (((-121) $) 35)) (-1323 (((-121) $ $) 6)) (-4001 (((-571) $) 14))) 
+(((-1100 |#1| |#2| |#3| |#4| |#5|) (-1289) (-1097) (-1097) (-1097) (-1097) (-1097)) (T -1100)) 
+((-3192 (*1 *2 *1 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121)))) (-2780 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121)))) (-4490 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121)))) (-2994 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121)))) (-1369 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121)))) (-3692 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121)))) (-3042 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121)))) (-3409 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121)))) (-2328 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121)))) (-4282 (*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-637 *1)) (-4 *1 (-1100 *3 *4 *5 *6 *7)))) (-4004 (*1 *2 *1) (-12 (-4 *1 (-1100 *2 *3 *4 *5 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097)))) (-4122 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *2 *4 *5 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097)))) (-3982 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *2 *5 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097)))) (-3967 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *2 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097)))) (-4522 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *2)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097)))) (-4050 (*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)))) (-4050 (*1 *1 *2) (-12 (-4 *1 (-1100 *2 *3 *4 *5 *6)) (-4 *2 (-1097)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)))) (-4050 (*1 *1 *2) (-12 (-4 *1 (-1100 *3 *2 *4 *5 *6)) (-4 *3 (-1097)) (-4 *2 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)))) (-4050 (*1 *1 *2) (-12 (-4 *1 (-1100 *3 *4 *2 *5 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *2 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)))) (-4050 (*1 *1 *2) (-12 (-4 *1 (-1100 *3 *4 *5 *2 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *2 (-1097)) (-4 *6 (-1097)))) (-4050 (*1 *1 *2) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *2)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097)))) (-3819 (*1 *1 *1) (-12 (-4 *1 (-1100 *2 *3 *4 *5 *6)) (-4 *2 (-1097)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)))) (-3826 (*1 *1 *1) (-12 (-4 *1 (-1100 *2 *3 *4 *5 *6)) (-4 *2 (-1097)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)))) (-4001 (*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-571)))) (-3245 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)))) (-3245 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097))))) 
+(-13 (-1097) (-10 -8 (-15 -3192 ((-121) $ $)) (-15 -2780 ((-121) $)) (-15 -4490 ((-121) $)) (-15 -2994 ((-121) $)) (-15 -1369 ((-121) $)) (-15 -3692 ((-121) $)) (-15 -3042 ((-121) $)) (-15 -3409 ((-121) $)) (-15 -2328 ((-121) $)) (-15 -4282 ((-637 $) $)) (-15 -4004 (|t#1| $)) (-15 -4122 (|t#2| $)) (-15 -3982 (|t#3| $)) (-15 -3967 (|t#4| $)) (-15 -4522 (|t#5| $)) (-15 -4050 ($ (-637 $))) (-15 -4050 ($ |t#1|)) (-15 -4050 ($ |t#2|)) (-15 -4050 ($ |t#3|)) (-15 -4050 ($ |t#4|)) (-15 -4050 ($ |t#5|)) (-15 -3819 ($ $)) (-15 -3826 ($ $)) (-15 -4001 ((-571) $)) (-15 -3245 ($ $ (-571))) (-15 -3245 ($ $ (-637 (-571)))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-3042 (((-121) $) NIL)) (-4122 (((-1169) $) NIL)) (-3692 (((-121) $) NIL)) (-4004 (((-1151) $) NIL)) (-2994 (((-121) $) NIL)) (-2780 (((-121) $) NIL)) (-1369 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-3409 (((-121) $) NIL)) (-3982 (((-571) $) NIL)) (-2580 (((-1115) $) NIL)) (-2328 (((-121) $) NIL)) (-3967 (((-216) $) NIL)) (-4522 (((-855) $) NIL)) (-3192 (((-121) $ $) NIL)) (-3245 (($ $ (-571)) NIL) (($ $ (-637 (-571))) NIL)) (-4282 (((-637 $) $) NIL)) (-4050 (($ (-637 $)) NIL) (($ (-1151)) NIL) (($ (-1169)) NIL) (($ (-571)) NIL) (($ (-216)) NIL) (($ (-855)) NIL)) (-3942 (((-855) $) NIL)) (-3826 (($ $) NIL)) (-3819 (($ $) NIL)) (-4490 (((-121) $) NIL)) (-1323 (((-121) $ $) NIL)) (-4001 (((-571) $) NIL))) 
+(((-1101) (-1100 (-1151) (-1169) (-571) (-216) (-855))) (T -1101)) 
+NIL 
+(-1100 (-1151) (-1169) (-571) (-216) (-855)) 
+((-2234 (((-121) $ $) NIL)) (-3042 (((-121) $) 37)) (-4122 ((|#2| $) 41)) (-3692 (((-121) $) 36)) (-4004 ((|#1| $) 40)) (-2994 (((-121) $) 34)) (-2780 (((-121) $) 14)) (-1369 (((-121) $) 35)) (-3944 (((-1151) $) NIL)) (-3409 (((-121) $) 38)) (-3982 ((|#3| $) 43)) (-2580 (((-1115) $) NIL)) (-2328 (((-121) $) 39)) (-3967 ((|#4| $) 42)) (-4522 ((|#5| $) 44)) (-3192 (((-121) $ $) 33)) (-3245 (($ $ (-571)) 55) (($ $ (-637 (-571))) 57)) (-4282 (((-637 $) $) 21)) (-4050 (($ (-637 $)) 45) (($ |#1|) 46) (($ |#2|) 47) (($ |#3|) 48) (($ |#4|) 49) (($ |#5|) 50)) (-3942 (((-855) $) 22)) (-3826 (($ $) 20)) (-3819 (($ $) 51)) (-4490 (((-121) $) 18)) (-1323 (((-121) $ $) 32)) (-4001 (((-571) $) 53))) 
+(((-1102 |#1| |#2| |#3| |#4| |#5|) (-1100 |#1| |#2| |#3| |#4| |#5|) (-1097) (-1097) (-1097) (-1097) (-1097)) (T -1102)) 
+NIL 
+(-1100 |#1| |#2| |#3| |#4| |#5|) 
+((-4320 (((-1263) $) 23)) (-1942 (($ (-1169) (-439) |#2|) 11)) (-3942 (((-855) $) 16))) 
+(((-1103 |#1| |#2|) (-13 (-400) (-10 -8 (-15 -1942 ($ (-1169) (-439) |#2|)))) (-847) (-435 |#1|)) (T -1103)) 
+((-1942 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-439)) (-4 *5 (-847)) (-5 *1 (-1103 *5 *4)) (-4 *4 (-435 *5))))) 
+(-13 (-400) (-10 -8 (-15 -1942 ($ (-1169) (-439) |#2|)))) 
+((-4131 (((-121) |#5| |#5|) 37)) (-3048 (((-121) |#5| |#5|) 51)) (-2059 (((-121) |#5| (-637 |#5|)) 74) (((-121) |#5| |#5|) 60)) (-3932 (((-121) (-637 |#4|) (-637 |#4|)) 57)) (-3828 (((-121) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) 62)) (-1504 (((-1263)) 33)) (-2049 (((-1263) (-1151) (-1151) (-1151)) 29)) (-1897 (((-637 |#5|) (-637 |#5|)) 81)) (-3510 (((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)))) 79)) (-1717 (((-637 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|)))) (-637 |#4|) (-637 |#5|) (-121) (-121)) 101)) (-3430 (((-121) |#5| |#5|) 46)) (-3257 (((-3 (-121) "failed") |#5| |#5|) 70)) (-4552 (((-121) (-637 |#4|) (-637 |#4|)) 56)) (-1822 (((-121) (-637 |#4|) (-637 |#4|)) 58)) (-2075 (((-121) (-637 |#4|) (-637 |#4|)) 59)) (-1610 (((-3 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|))) "failed") (-637 |#4|) |#5| (-637 |#4|) (-121) (-121) (-121) (-121) (-121)) 97)) (-2281 (((-637 |#5|) (-637 |#5|)) 42))) 
+(((-1104 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2049 ((-1263) (-1151) (-1151) (-1151))) (-15 -1504 ((-1263))) (-15 -4131 ((-121) |#5| |#5|)) (-15 -2281 ((-637 |#5|) (-637 |#5|))) (-15 -3430 ((-121) |#5| |#5|)) (-15 -3048 ((-121) |#5| |#5|)) (-15 -3932 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -4552 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -1822 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -2075 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -3257 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2059 ((-121) |#5| |#5|)) (-15 -2059 ((-121) |#5| (-637 |#5|))) (-15 -1897 ((-637 |#5|) (-637 |#5|))) (-15 -3828 ((-121) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)))) (-15 -3510 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) (-15 -1717 ((-637 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|)))) (-637 |#4|) (-637 |#5|) (-121) (-121))) (-15 -1610 ((-3 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|))) "failed") (-637 |#4|) |#5| (-637 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-456) (-793) (-847) (-1067 |#1| |#2| |#3|) (-1072 |#1| |#2| |#3| |#4|)) (T -1104)) 
+((-1610 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *9 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| -3192 (-637 *9)) (|:| -4121 *4) (|:| |ineq| (-637 *9)))) (-5 *1 (-1104 *6 *7 *8 *9 *4)) (-5 *3 (-637 *9)) (-4 *4 (-1072 *6 *7 *8 *9)))) (-1717 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-637 *10)) (-5 *5 (-121)) (-4 *10 (-1072 *6 *7 *8 *9)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *9 (-1067 *6 *7 *8)) (-5 *2 (-637 (-2 (|:| -3192 (-637 *9)) (|:| -4121 *10) (|:| |ineq| (-637 *9))))) (-5 *1 (-1104 *6 *7 *8 *9 *10)) (-5 *3 (-637 *9)))) (-3510 (*1 *2 *2) (-12 (-5 *2 (-637 (-2 (|:| |val| (-637 *6)) (|:| -4121 *7)))) (-4 *6 (-1067 *3 *4 *5)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-1104 *3 *4 *5 *6 *7)))) (-3828 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-637 *7)) (|:| -4121 *8))) (-4 *7 (-1067 *4 *5 *6)) (-4 *8 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *8)))) (-1897 (*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *1 (-1104 *3 *4 *5 *6 *7)))) (-2059 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1104 *5 *6 *7 *8 *3)))) (-2059 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) (-3257 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) (-2075 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) (-1822 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) (-4552 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) (-3932 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) (-3048 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) (-3430 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) (-2281 (*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *1 (-1104 *3 *4 *5 *6 *7)))) (-4131 (*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) (-1504 (*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-1104 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6)))) (-2049 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-1104 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -2049 ((-1263) (-1151) (-1151) (-1151))) (-15 -1504 ((-1263))) (-15 -4131 ((-121) |#5| |#5|)) (-15 -2281 ((-637 |#5|) (-637 |#5|))) (-15 -3430 ((-121) |#5| |#5|)) (-15 -3048 ((-121) |#5| |#5|)) (-15 -3932 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -4552 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -1822 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -2075 ((-121) (-637 |#4|) (-637 |#4|))) (-15 -3257 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2059 ((-121) |#5| |#5|)) (-15 -2059 ((-121) |#5| (-637 |#5|))) (-15 -1897 ((-637 |#5|) (-637 |#5|))) (-15 -3828 ((-121) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)))) (-15 -3510 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) (-15 -1717 ((-637 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|)))) (-637 |#4|) (-637 |#5|) (-121) (-121))) (-15 -1610 ((-3 (-2 (|:| -3192 (-637 |#4|)) (|:| -4121 |#5|) (|:| |ineq| (-637 |#4|))) "failed") (-637 |#4|) |#5| (-637 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
+((-1511 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#5|) 94)) (-3361 (((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#4| |#4| |#5|) 70)) (-2038 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|) 88)) (-2254 (((-637 |#5|) |#4| |#5|) 109)) (-2185 (((-637 |#5|) |#4| |#5|) 116)) (-2886 (((-637 |#5|) |#4| |#5|) 117)) (-3163 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|) 95)) (-3498 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|) 115)) (-2966 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-2790 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#3| (-121)) 82) (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-2359 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|) 77)) (-3389 (((-1263)) 35)) (-1669 (((-1263)) 25)) (-2812 (((-1263) (-1151) (-1151) (-1151)) 31)) (-2120 (((-1263) (-1151) (-1151) (-1151)) 20))) 
+(((-1105 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2120 ((-1263) (-1151) (-1151) (-1151))) (-15 -1669 ((-1263))) (-15 -2812 ((-1263) (-1151) (-1151) (-1151))) (-15 -3389 ((-1263))) (-15 -3361 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -2790 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2790 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#3| (-121))) (-15 -2359 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -2038 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -2966 ((-121) |#4| |#5|)) (-15 -3163 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|)) (-15 -2254 ((-637 |#5|) |#4| |#5|)) (-15 -3498 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|)) (-15 -2185 ((-637 |#5|) |#4| |#5|)) (-15 -2966 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|)) (-15 -2886 ((-637 |#5|) |#4| |#5|)) (-15 -1511 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#5|))) (-456) (-793) (-847) (-1067 |#1| |#2| |#3|) (-1072 |#1| |#2| |#3| |#4|)) (T -1105)) 
+((-1511 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2886 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 *4)) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2966 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2185 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 *4)) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-3498 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2254 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 *4)) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-3163 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2966 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2038 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2359 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-2790 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-2 (|:| |val| (-637 *8)) (|:| -4121 *9)))) (-5 *5 (-121)) (-4 *8 (-1067 *6 *7 *4)) (-4 *9 (-1072 *6 *7 *4 *8)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *4 (-847)) (-5 *2 (-637 (-2 (|:| |val| *8) (|:| -4121 *9)))) (-5 *1 (-1105 *6 *7 *4 *8 *9)))) (-2790 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1105 *6 *7 *8 *3 *4)) (-4 *4 (-1072 *6 *7 *8 *3)))) (-3361 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) (-3389 (*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-1105 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6)))) (-2812 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-1105 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) (-1669 (*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-1105 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6)))) (-2120 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-1105 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -2120 ((-1263) (-1151) (-1151) (-1151))) (-15 -1669 ((-1263))) (-15 -2812 ((-1263) (-1151) (-1151) (-1151))) (-15 -3389 ((-1263))) (-15 -3361 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -2790 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2790 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) |#3| (-121))) (-15 -2359 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -2038 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#4| |#5|)) (-15 -2966 ((-121) |#4| |#5|)) (-15 -3163 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|)) (-15 -2254 ((-637 |#5|) |#4| |#5|)) (-15 -3498 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|)) (-15 -2185 ((-637 |#5|) |#4| |#5|)) (-15 -2966 ((-637 (-2 (|:| |val| (-121)) (|:| -4121 |#5|))) |#4| |#5|)) (-15 -2886 ((-637 |#5|) |#4| |#5|)) (-15 -1511 ((-637 (-2 (|:| |val| |#4|) (|:| -4121 |#5|))) |#4| |#5|))) 
+((-2234 (((-121) $ $) 7)) (-2626 (((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 |#4|)))) (-637 |#4|)) 78)) (-2235 (((-637 $) (-637 |#4|)) 79) (((-637 $) (-637 |#4|) (-121)) 104)) (-3424 (((-637 |#3|) $) 32)) (-2927 (((-121) $) 25)) (-4409 (((-121) $) 16 (|has| |#1| (-561)))) (-3766 (((-121) |#4| $) 94) (((-121) $) 90)) (-3998 ((|#4| |#4| $) 85)) (-2356 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| $) 119)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) 26)) (-3133 (((-121) $ (-768)) 43)) (-2534 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4600))) (((-3 |#4| "failed") $ |#3|) 72)) (-2269 (($) 44 T CONST)) (-2940 (((-121) $) 21 (|has| |#1| (-561)))) (-4203 (((-121) $ $) 23 (|has| |#1| (-561)))) (-2568 (((-121) $ $) 22 (|has| |#1| (-561)))) (-3455 (((-121) $) 24 (|has| |#1| (-561)))) (-3516 (((-637 |#4|) (-637 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-1372 (((-637 |#4|) (-637 |#4|) $) 17 (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) 18 (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) 35)) (-1316 (($ (-637 |#4|)) 34)) (-4372 (((-3 $ "failed") $) 75)) (-4476 ((|#4| |#4| $) 82)) (-4365 (($ $) 67 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#4| $) 66 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-561)))) (-3052 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-3271 ((|#4| |#4| $) 80)) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4600))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-1770 (((-2 (|:| -2363 (-637 |#4|)) (|:| -3545 (-637 |#4|))) $) 98)) (-1638 (((-121) |#4| $) 129)) (-4579 (((-121) |#4| $) 126)) (-2485 (((-121) |#4| $) 130) (((-121) $) 127)) (-4034 (((-637 |#4|) $) 51 (|has| $ (-6 -4600)))) (-1791 (((-121) |#4| $) 97) (((-121) $) 96)) (-2065 ((|#3| $) 33)) (-2262 (((-121) $ (-768)) 42)) (-3488 (((-637 |#4|) $) 52 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) 46)) (-2213 (((-637 |#3|) $) 31)) (-3529 (((-121) |#3| $) 30)) (-3794 (((-121) $ (-768)) 41)) (-3944 (((-1151) $) 9)) (-3223 (((-3 |#4| (-637 $)) |#4| |#4| $) 121)) (-2810 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| |#4| $) 120)) (-3220 (((-3 |#4| "failed") $) 76)) (-1891 (((-637 $) |#4| $) 122)) (-1927 (((-3 (-121) (-637 $)) |#4| $) 125)) (-2687 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-4017 (((-637 $) |#4| $) 118) (((-637 $) (-637 |#4|) $) 117) (((-637 $) (-637 |#4|) (-637 $)) 116) (((-637 $) |#4| (-637 $)) 115)) (-2935 (($ |#4| $) 110) (($ (-637 |#4|) $) 109)) (-2551 (((-637 |#4|) $) 100)) (-3554 (((-121) |#4| $) 92) (((-121) $) 88)) (-2347 ((|#4| |#4| $) 83)) (-2075 (((-121) $ $) 103)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-561)))) (-2240 (((-121) |#4| $) 93) (((-121) $) 89)) (-2444 ((|#4| |#4| $) 84)) (-2580 (((-1115) $) 10)) (-1827 (((-3 |#4| "failed") $) 77)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4016 (((-3 $ "failed") $ |#4|) 71)) (-3140 (($ $ |#4|) 70) (((-637 $) |#4| $) 108) (((-637 $) |#4| (-637 $)) 107) (((-637 $) (-637 |#4|) $) 106) (((-637 $) (-637 |#4|) (-637 $)) 105)) (-3160 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) 37)) (-1828 (((-121) $) 40)) (-1630 (($) 39)) (-2400 (((-768) $) 99)) (-1569 (((-768) |#4| $) 53 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4600)))) (-4316 (($ $) 38)) (-4050 (((-544) $) 68 (|has| |#4| (-612 (-544))))) (-3891 (($ (-637 |#4|)) 59)) (-3985 (($ $ |#3|) 27)) (-1905 (($ $ |#3|) 29)) (-4371 (($ $) 81)) (-2031 (($ $ |#3|) 28)) (-3942 (((-855) $) 11) (((-637 |#4|) $) 36)) (-1930 (((-768) $) 69 (|has| |#3| (-373)))) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1875 (((-121) $ (-1 (-121) |#4| (-637 |#4|))) 91)) (-2319 (((-637 $) |#4| $) 114) (((-637 $) |#4| (-637 $)) 113) (((-637 $) (-637 |#4|) $) 112) (((-637 $) (-637 |#4|) (-637 $)) 111)) (-3027 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4600)))) (-3557 (((-637 |#3|) $) 74)) (-2640 (((-121) |#4| $) 128)) (-3049 (((-121) |#3| $) 73)) (-1323 (((-121) $ $) 6)) (-4001 (((-768) $) 45 (|has| $ (-6 -4600))))) 
+(((-1106 |#1| |#2| |#3| |#4|) (-1289) (-456) (-793) (-847) (-1067 |t#1| |t#2| |t#3|)) (T -1106)) 
+NIL 
+(-13 (-1072 |t#1| |t#2| |t#3| |t#4|)) 
+(((-39) . T) ((-105) . T) ((-611 (-637 |#4|)) . T) ((-611 (-855)) . T) ((-155 |#4|) . T) ((-612 (-544)) |has| |#4| (-612 (-544))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-502 |#4|) . T) ((-526 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-983 |#1| |#2| |#3| |#4|) . T) ((-1072 |#1| |#2| |#3| |#4|) . T) ((-1097) . T) ((-1197 |#1| |#2| |#3| |#4|) . T) ((-1203) . T)) 
+((-2759 (((-637 (-571)) (-571) (-571) (-571)) 20)) (-4165 (((-637 (-571)) (-571) (-571) (-571)) 12)) (-1987 (((-637 (-571)) (-571) (-571) (-571)) 16)) (-4061 (((-571) (-571) (-571)) 9)) (-1313 (((-1258 (-571)) (-637 (-571)) (-1258 (-571)) (-571)) 44) (((-1258 (-571)) (-1258 (-571)) (-1258 (-571)) (-571)) 39)) (-2527 (((-637 (-571)) (-637 (-571)) (-637 (-571)) (-121)) 26)) (-3983 (((-684 (-571)) (-637 (-571)) (-637 (-571)) (-684 (-571))) 43)) (-3635 (((-684 (-571)) (-637 (-571)) (-637 (-571))) 31)) (-1751 (((-637 (-684 (-571))) (-637 (-571))) 33)) (-3918 (((-637 (-571)) (-637 (-571)) (-637 (-571)) (-684 (-571))) 46)) (-3772 (((-684 (-571)) (-637 (-571)) (-637 (-571)) (-637 (-571))) 54))) 
+(((-1107) (-10 -7 (-15 -3772 ((-684 (-571)) (-637 (-571)) (-637 (-571)) (-637 (-571)))) (-15 -3918 ((-637 (-571)) (-637 (-571)) (-637 (-571)) (-684 (-571)))) (-15 -1751 ((-637 (-684 (-571))) (-637 (-571)))) (-15 -3635 ((-684 (-571)) (-637 (-571)) (-637 (-571)))) (-15 -3983 ((-684 (-571)) (-637 (-571)) (-637 (-571)) (-684 (-571)))) (-15 -2527 ((-637 (-571)) (-637 (-571)) (-637 (-571)) (-121))) (-15 -1313 ((-1258 (-571)) (-1258 (-571)) (-1258 (-571)) (-571))) (-15 -1313 ((-1258 (-571)) (-637 (-571)) (-1258 (-571)) (-571))) (-15 -4061 ((-571) (-571) (-571))) (-15 -1987 ((-637 (-571)) (-571) (-571) (-571))) (-15 -4165 ((-637 (-571)) (-571) (-571) (-571))) (-15 -2759 ((-637 (-571)) (-571) (-571) (-571))))) (T -1107)) 
+((-2759 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1107)) (-5 *3 (-571)))) (-4165 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1107)) (-5 *3 (-571)))) (-1987 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1107)) (-5 *3 (-571)))) (-4061 (*1 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1107)))) (-1313 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-1258 (-571))) (-5 *3 (-637 (-571))) (-5 *4 (-571)) (-5 *1 (-1107)))) (-1313 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1258 (-571))) (-5 *3 (-571)) (-5 *1 (-1107)))) (-2527 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-637 (-571))) (-5 *3 (-121)) (-5 *1 (-1107)))) (-3983 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-684 (-571))) (-5 *3 (-637 (-571))) (-5 *1 (-1107)))) (-3635 (*1 *2 *3 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-684 (-571))) (-5 *1 (-1107)))) (-1751 (*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-637 (-684 (-571)))) (-5 *1 (-1107)))) (-3918 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-637 (-571))) (-5 *3 (-684 (-571))) (-5 *1 (-1107)))) (-3772 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-684 (-571))) (-5 *1 (-1107))))) 
+(-10 -7 (-15 -3772 ((-684 (-571)) (-637 (-571)) (-637 (-571)) (-637 (-571)))) (-15 -3918 ((-637 (-571)) (-637 (-571)) (-637 (-571)) (-684 (-571)))) (-15 -1751 ((-637 (-684 (-571))) (-637 (-571)))) (-15 -3635 ((-684 (-571)) (-637 (-571)) (-637 (-571)))) (-15 -3983 ((-684 (-571)) (-637 (-571)) (-637 (-571)) (-684 (-571)))) (-15 -2527 ((-637 (-571)) (-637 (-571)) (-637 (-571)) (-121))) (-15 -1313 ((-1258 (-571)) (-1258 (-571)) (-1258 (-571)) (-571))) (-15 -1313 ((-1258 (-571)) (-637 (-571)) (-1258 (-571)) (-571))) (-15 -4061 ((-571) (-571) (-571))) (-15 -1987 ((-637 (-571)) (-571) (-571) (-571))) (-15 -4165 ((-637 (-571)) (-571) (-571) (-571))) (-15 -2759 ((-637 (-571)) (-571) (-571) (-571)))) 
+((-4142 (($ $ (-922)) 12)) (** (($ $ (-922)) 10))) 
+(((-1108 |#1|) (-10 -8 (-15 -4142 (|#1| |#1| (-922))) (-15 ** (|#1| |#1| (-922)))) (-1109)) (T -1108)) 
+NIL 
+(-10 -8 (-15 -4142 (|#1| |#1| (-922))) (-15 ** (|#1| |#1| (-922)))) 
+((-2234 (((-121) $ $) 7)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-4142 (($ $ (-922)) 12)) (-1323 (((-121) $ $) 6)) (** (($ $ (-922)) 13)) (* (($ $ $) 14))) 
+(((-1109) (-1289)) (T -1109)) 
+((* (*1 *1 *1 *1) (-4 *1 (-1109))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1109)) (-5 *2 (-922)))) (-4142 (*1 *1 *1 *2) (-12 (-4 *1 (-1109)) (-5 *2 (-922))))) 
+(-13 (-1097) (-10 -8 (-15 * ($ $ $)) (-15 ** ($ $ (-922))) (-15 -4142 ($ $ (-922))))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL (|has| |#3| (-1097)))) (-4123 (((-121) $) NIL (|has| |#3| (-138)))) (-4436 (($ (-922)) NIL (|has| |#3| (-1053)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-3933 (($ $ $) NIL (|has| |#3| (-793)))) (-4176 (((-3 $ "failed") $ $) NIL (|has| |#3| (-138)))) (-3133 (((-121) $ (-768)) NIL)) (-4407 (((-768)) NIL (|has| |#3| (-373)))) (-3203 (((-571) $) NIL (|has| |#3| (-845)))) (-3251 ((|#3| $ (-571) |#3|) NIL (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (-12 (|has| |#3| (-1043 (-571))) (|has| |#3| (-1097)))) (((-3 (-412 (-571)) "failed") $) NIL (-12 (|has| |#3| (-1043 (-412 (-571)))) (|has| |#3| (-1097)))) (((-3 |#3| "failed") $) NIL (|has| |#3| (-1097)))) (-1316 (((-571) $) NIL (-12 (|has| |#3| (-1043 (-571))) (|has| |#3| (-1097)))) (((-412 (-571)) $) NIL (-12 (|has| |#3| (-1043 (-412 (-571)))) (|has| |#3| (-1097)))) ((|#3| $) NIL (|has| |#3| (-1097)))) (-2680 (((-684 (-571)) (-684 $)) NIL (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| |#3| (-633 (-571))) (|has| |#3| (-1053)))) (((-2 (|:| -3533 (-684 |#3|)) (|:| |vec| (-1258 |#3|))) (-684 $) (-1258 $)) NIL (|has| |#3| (-1053))) (((-684 |#3|) (-684 $)) NIL (|has| |#3| (-1053)))) (-3978 (((-3 $ "failed") $) NIL (|has| |#3| (-721)))) (-3254 (($) NIL (|has| |#3| (-373)))) (-2922 ((|#3| $ (-571) |#3|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#3| $ (-571)) 12)) (-2093 (((-121) $) NIL (|has| |#3| (-845)))) (-4034 (((-637 |#3|) $) NIL (|has| $ (-6 -4600)))) (-2583 (((-121) $) NIL (|has| |#3| (-721)))) (-4086 (((-121) $) NIL (|has| |#3| (-845)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-3488 (((-637 |#3|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#3| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-1923 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#3| |#3|) $) NIL)) (-4470 (((-922) $) NIL (|has| |#3| (-373)))) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#3| (-1097)))) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-1755 (($ (-922)) NIL (|has| |#3| (-373)))) (-2580 (((-1115) $) NIL (|has| |#3| (-1097)))) (-1827 ((|#3| $) NIL (|has| (-571) (-847)))) (-4411 (($ $ |#3|) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097)))) (($ $ (-637 |#3|) (-637 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1097))))) (-2127 (((-121) $ $) NIL)) (-3804 (((-637 $)) NIL (|has| |#3| (-373)))) (-2957 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#3| (-1097))))) (-3909 (((-637 |#3|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#3| $ (-571) |#3|) NIL) ((|#3| $ (-571)) NIL)) (-2503 ((|#3| $ $) NIL (|has| |#3| (-1053)))) (-4274 (($ (-1258 |#3|)) NIL)) (-3847 (((-140)) NIL (|has| |#3| (-367)))) (-3096 (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-1 |#3| |#3|) (-768)) NIL (|has| |#3| (-1053))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1053)))) (-1569 (((-768) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4600))) (((-768) |#3| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#3| (-1097))))) (-4316 (($ $) NIL)) (-3942 (((-1258 |#3|) $) NIL) (((-855) $) NIL (|has| |#3| (-1097))) (($ (-571)) NIL (-1831 (-12 (|has| |#3| (-1043 (-571))) (|has| |#3| (-1097))) (|has| |#3| (-1053)))) (($ (-412 (-571))) NIL (-12 (|has| |#3| (-1043 (-412 (-571)))) (|has| |#3| (-1097)))) (($ |#3|) NIL (|has| |#3| (-1097)))) (-2661 (((-768)) NIL (|has| |#3| (-1053)))) (-3027 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4600)))) (-1902 (($ $) NIL (|has| |#3| (-845)))) (-4142 (($ $ (-768)) NIL (|has| |#3| (-721))) (($ $ (-922)) NIL (|has| |#3| (-721)))) (-2369 (($) NIL (|has| |#3| (-138)) CONST)) (-3222 (($) NIL (|has| |#3| (-721)) CONST)) (-1544 (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1053)))) (($ $ (-768)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1053)))) (($ $ (-1169)) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#3| (-900 (-1169))) (|has| |#3| (-1053)))) (($ $ (-1 |#3| |#3|) (-768)) NIL (|has| |#3| (-1053))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1053)))) (-1350 (((-121) $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-1338 (((-121) $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-1323 (((-121) $ $) NIL (|has| |#3| (-1097)))) (-1342 (((-121) $ $) NIL (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-1331 (((-121) $ $) 17 (-1831 (|has| |#3| (-793)) (|has| |#3| (-845))))) (-1379 (($ $ |#3|) NIL (|has| |#3| (-367)))) (-1373 (($ $ $) NIL (|has| |#3| (-1053))) (($ $) NIL (|has| |#3| (-1053)))) (-1367 (($ $ $) NIL (|has| |#3| (-25)))) (** (($ $ (-768)) NIL (|has| |#3| (-721))) (($ $ (-922)) NIL (|has| |#3| (-721)))) (* (($ (-571) $) NIL (|has| |#3| (-1053))) (($ $ $) NIL (|has| |#3| (-721))) (($ $ |#3|) NIL (|has| |#3| (-721))) (($ |#3| $) NIL (|has| |#3| (-721))) (($ (-768) $) NIL (|has| |#3| (-138))) (($ (-922) $) NIL (|has| |#3| (-25)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1110 |#1| |#2| |#3|) (-231 |#1| |#3|) (-768) (-768) (-793)) (T -1110)) 
 NIL 
 (-231 |#1| |#3|) 
-((-1528 (((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|)) 36)) (-2082 (((-569) (-1225 |#2| |#1|)) 67 (|has| |#1| (-454)))) (-2265 (((-569) (-1225 |#2| |#1|)) 53)) (-1351 (((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|)) 44)) (-2395 (((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|)) 55 (|has| |#1| (-454)))) (-3006 (((-635 |#1|) (-1225 |#2| |#1|) (-1225 |#2| |#1|)) 47)) (-3715 (((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|)) 52))) 
-(((-1107 |#1| |#2|) (-10 -7 (-15 -1528 ((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -1351 ((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -3006 ((-635 |#1|) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -3715 ((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -2265 ((-569) (-1225 |#2| |#1|))) (IF (|has| |#1| (-454)) (PROGN (-15 -2395 ((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -2082 ((-569) (-1225 |#2| |#1|)))) |noBranch|)) (-817) (-1165)) (T -1107)) 
-((-2082 (*1 *2 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-454)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5)))) (-2395 (*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-454)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5)))) (-2265 (*1 *2 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5)))) (-3715 (*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5)))) (-3006 (*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 *4)) (-5 *1 (-1107 *4 *5)))) (-1351 (*1 *2 *3 *3) (-12 (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 (-1225 *5 *4))) (-5 *1 (-1107 *4 *5)) (-5 *3 (-1225 *5 *4)))) (-1528 (*1 *2 *3 *3) (-12 (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 (-1225 *5 *4))) (-5 *1 (-1107 *4 *5)) (-5 *3 (-1225 *5 *4))))) 
-(-10 -7 (-15 -1528 ((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -1351 ((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -3006 ((-635 |#1|) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -3715 ((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -2265 ((-569) (-1225 |#2| |#1|))) (IF (|has| |#1| (-454)) (PROGN (-15 -2395 ((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -2082 ((-569) (-1225 |#2| |#1|)))) |noBranch|)) 
-((-3817 (((-3 (-569) "failed") |#2| (-1165) |#2| (-1147)) 16) (((-3 (-569) "failed") |#2| (-1165) (-837 |#2|)) 14) (((-3 (-569) "failed") |#2|) 51))) 
-(((-1108 |#1| |#2|) (-10 -7 (-15 -3817 ((-3 (-569) "failed") |#2|)) (-15 -3817 ((-3 (-569) "failed") |#2| (-1165) (-837 |#2|))) (-15 -3817 ((-3 (-569) "failed") |#2| (-1165) |#2| (-1147)))) (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1185) (-433 |#1|))) (T -1108)) 
-((-3817 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-1147)) (-4 *6 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *6 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))))) (-3817 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-837 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *6 *3)))) (-3817 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4)))))) 
-(-10 -7 (-15 -3817 ((-3 (-569) "failed") |#2|)) (-15 -3817 ((-3 (-569) "failed") |#2| (-1165) (-837 |#2|))) (-15 -3817 ((-3 (-569) "failed") |#2| (-1165) |#2| (-1147)))) 
-((-3817 (((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|)) (-1147)) 34) (((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-837 (-410 (-955 |#1|)))) 29) (((-3 (-569) "failed") (-410 (-955 |#1|))) 12))) 
-(((-1109 |#1|) (-10 -7 (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)))) (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-837 (-410 (-955 |#1|))))) (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|)) (-1147)))) (-454)) (T -1109)) 
-((-3817 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-410 (-955 *6))) (-5 *4 (-1165)) (-5 *5 (-1147)) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *6)))) (-3817 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-837 (-410 (-955 *6)))) (-5 *3 (-410 (-955 *6))) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *6)))) (-3817 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *4))))) 
-(-10 -7 (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)))) (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-837 (-410 (-955 |#1|))))) (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|)) (-1147)))) 
-((-1928 (((-311 (-569)) (-53)) 11))) 
-(((-1110) (-10 -7 (-15 -1928 ((-311 (-569)) (-53))))) (T -1110)) 
-((-1928 (*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-311 (-569))) (-5 *1 (-1110))))) 
-(-10 -7 (-15 -1928 ((-311 (-569)) (-53)))) 
-((-1310 (((-121) $ $) NIL)) (-1771 (($ $) 41)) (-2225 (((-121) $) 65)) (-1800 (($ $ $) 48)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 84)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3163 (($ $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1796 (($ $ $ $) 74)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL)) (-2546 (($ $ $) 71)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL)) (-1321 (((-569) $) NIL)) (-1614 (($ $ $) 59)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 78) (((-681 (-569)) (-681 $)) 28)) (-2611 (((-3 $ "failed") $) NIL)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL)) (-4429 (((-121) $) NIL)) (-2096 (((-410 (-569)) $) NIL)) (-3341 (($) 81) (($ $) 82)) (-1626 (($ $ $) 58)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1306 (($ $ $ $) NIL)) (-3872 (($ $ $) 79)) (-1863 (((-121) $) NIL)) (-2578 (($ $ $) NIL)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL)) (-3934 (((-121) $) 66)) (-3520 (((-121) $) 64)) (-3182 (($ $) 42)) (-1542 (((-3 $ "failed") $) NIL)) (-4311 (((-121) $) 75)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4416 (($ $ $ $) 72)) (-2157 (($ $ $) 68) (($) 39)) (-2713 (($ $ $) 67) (($) 38)) (-1852 (($ $) NIL)) (-2718 (($ $) 70)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-2624 (($ $ $) NIL)) (-1423 (($) NIL T CONST)) (-2144 (($ $) 50)) (-1912 (((-1111) $) NIL) (($ $) 69)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) 62) (($ (-635 $)) NIL)) (-1954 (($ $) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 61)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-3231 (($ $) 51)) (-1799 (($ $) NIL)) (-4035 (((-569) $) 32) (((-542) $) NIL) (((-889 (-569)) $) NIL) (((-382) $) NIL) (((-216) $) NIL)) (-3956 (((-852) $) 31) (($ (-569)) 80) (($ $) NIL) (($ (-569)) 80)) (-2320 (((-765)) NIL)) (-3245 (((-121) $ $) NIL)) (-4196 (($ $ $) NIL)) (-1710 (($) 37)) (-2909 (((-121) $ $) NIL)) (-4005 (($ $ $ $) 73)) (-4080 (($ $) 63)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-1294 (($ $ $) 44)) (-2407 (($) 35 T CONST)) (-3424 (($ $ $) 47)) (-3297 (($) 36 T CONST)) (-3685 (((-1147) $) 21) (((-1147) $ (-121)) 23) (((-1258) (-819) $) 24) (((-1258) (-819) $ (-121)) 25)) (-3392 (($ $) 45)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-2384 (($ $ $) 46)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 40)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 49)) (-1637 (($ $ $) 43)) (-1377 (($ $) 52) (($ $ $) 54)) (-1371 (($ $ $) 53)) (** (($ $ (-919)) NIL) (($ $ (-765)) 57)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 34) (($ $ $) 55))) 
-(((-1111) (-13 (-551) (-652) (-825) (-10 -8 (-6 -4558) (-6 -4563) (-6 -4559) (-15 -2713 ($)) (-15 -2157 ($)) (-15 -3182 ($ $)) (-15 -1771 ($ $)) (-15 -1637 ($ $ $)) (-15 -1294 ($ $ $)) (-15 -1800 ($ $ $)) (-15 -3392 ($ $)) (-15 -2384 ($ $ $)) (-15 -3424 ($ $ $))))) (T -1111)) 
-((-1294 (*1 *1 *1 *1) (-5 *1 (-1111))) (-1637 (*1 *1 *1 *1) (-5 *1 (-1111))) (-1771 (*1 *1 *1) (-5 *1 (-1111))) (-2713 (*1 *1) (-5 *1 (-1111))) (-2157 (*1 *1) (-5 *1 (-1111))) (-3182 (*1 *1 *1) (-5 *1 (-1111))) (-1800 (*1 *1 *1 *1) (-5 *1 (-1111))) (-3392 (*1 *1 *1) (-5 *1 (-1111))) (-2384 (*1 *1 *1 *1) (-5 *1 (-1111))) (-3424 (*1 *1 *1 *1) (-5 *1 (-1111)))) 
-(-13 (-551) (-652) (-825) (-10 -8 (-6 -4558) (-6 -4563) (-6 -4559) (-15 -2713 ($)) (-15 -2157 ($)) (-15 -3182 ($ $)) (-15 -1771 ($ $)) (-15 -1637 ($ $ $)) (-15 -1294 ($ $ $)) (-15 -1800 ($ $ $)) (-15 -3392 ($ $)) (-15 -2384 ($ $ $)) (-15 -3424 ($ $ $)))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-1941 ((|#1| $) 41)) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-2692 ((|#1| |#1| $) 43)) (-3651 ((|#1| $) 42)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2676 (((-765) $) 40)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-1112 |#1|) (-1284) (-1199)) (T -1112)) 
-((-2692 (*1 *2 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) (-3651 (*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) (-1941 (*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) (-2676 (*1 *2 *1) (-12 (-4 *1 (-1112 *3)) (-4 *3 (-1199)) (-5 *2 (-765))))) 
-(-13 (-111 |t#1|) (-10 -8 (-6 -4571) (-15 -2692 (|t#1| |t#1| $)) (-15 -3651 (|t#1| $)) (-15 -1941 (|t#1| $)) (-15 -2676 ((-765) $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-3588 ((|#3| $) 76)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#3| "failed") $) 40)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#3| $) 37)) (-3435 (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 $) (-1253 $)) 73) (((-681 |#3|) (-681 $)) 65)) (-3289 (($ $ (-1 |#3| |#3|)) 19) (($ $ (-1 |#3| |#3|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL)) (-4517 ((|#3| $) 78)) (-2513 ((|#4| $) 32)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#3|) 16)) (** (($ $ (-919)) NIL) (($ $ (-765)) 15) (($ $ (-569)) 82))) 
-(((-1113 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -4517 (|#3| |#1|)) (-15 -3588 (|#3| |#1|)) (-15 -2513 (|#4| |#1|)) (-15 -3435 ((-681 |#3|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -3956 (|#1| |#3|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|) (-765))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3956 (|#1| (-569))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919))) (-15 -3956 ((-852) |#1|))) (-1114 |#2| |#3| |#4| |#5|) (-765) (-1049) (-231 |#2| |#3|) (-231 |#2| |#3|)) (T -1113)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -4517 (|#3| |#1|)) (-15 -3588 (|#3| |#1|)) (-15 -2513 (|#4| |#1|)) (-15 -3435 ((-681 |#3|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -3956 (|#1| |#3|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|) (-765))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3956 (|#1| (-569))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3588 ((|#2| $) 69)) (-3531 (((-121) $) 109)) (-3748 (((-3 $ "failed") $ $) 18)) (-1491 (((-121) $) 107)) (-3350 (((-121) $ (-765)) 99)) (-2232 (($ |#2|) 72)) (-4483 (($) 16 T CONST)) (-4003 (($ $) 126 (|has| |#2| (-302)))) (-4128 ((|#3| $ (-569)) 121)) (-3003 (((-3 (-569) "failed") $) 83 (|has| |#2| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 81 (|has| |#2| (-1039 (-410 (-569))))) (((-3 |#2| "failed") $) 78)) (-1321 (((-569) $) 84 (|has| |#2| (-1039 (-569)))) (((-410 (-569)) $) 82 (|has| |#2| (-1039 (-410 (-569))))) ((|#2| $) 77)) (-3435 (((-681 (-569)) (-681 $)) 76 (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 75 (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 74) (((-681 |#2|) (-681 $)) 73)) (-2611 (((-3 $ "failed") $) 33)) (-3358 (((-765) $) 127 (|has| |#2| (-559)))) (-4124 ((|#2| $ (-569) (-569)) 119)) (-4303 (((-635 |#2|) $) 92 (|has| $ (-6 -4571)))) (-3934 (((-121) $) 30)) (-2557 (((-765) $) 128 (|has| |#2| (-559)))) (-3970 (((-635 |#4|) $) 129 (|has| |#2| (-559)))) (-3568 (((-765) $) 115)) (-4145 (((-765) $) 116)) (-3206 (((-121) $ (-765)) 100)) (-3164 ((|#2| $) 64 (|has| |#2| (-6 (-4573 "*"))))) (-4094 (((-569) $) 111)) (-3841 (((-569) $) 113)) (-4457 (((-635 |#2|) $) 91 (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) 89 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-2376 (((-569) $) 112)) (-2414 (((-569) $) 114)) (-2926 (($ (-635 (-635 |#2|))) 106)) (-2089 (($ (-1 |#2| |#2|) $) 96 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2| |#2|) $ $) 123) (($ (-1 |#2| |#2|) $) 97)) (-4269 (((-635 (-635 |#2|)) $) 117)) (-1396 (((-121) $ (-765)) 101)) (-2605 (((-1147) $) 9)) (-1655 (((-3 $ "failed") $) 63 (|has| |#2| (-366)))) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ |#2|) 124 (|has| |#2| (-559)))) (-2985 (((-121) (-1 (-121) |#2|) $) 94 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) 88 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) 87 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) 86 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) 85 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) 105)) (-1668 (((-121) $) 102)) (-4016 (($) 103)) (-2503 ((|#2| $ (-569) (-569) |#2|) 120) ((|#2| $ (-569) (-569)) 118)) (-3289 (($ $ (-1 |#2| |#2|)) 51) (($ $ (-1 |#2| |#2|) (-765)) 50) (($ $ (-635 (-1165)) (-635 (-765))) 43 (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) 42 (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) 41 (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) 40 (|has| |#2| (-897 (-1165)))) (($ $ (-765)) 38 (|has| |#2| (-226))) (($ $) 36 (|has| |#2| (-226)))) (-4517 ((|#2| $) 68)) (-3990 (($ (-635 |#2|)) 71)) (-3757 (((-121) $) 108)) (-2513 ((|#3| $) 70)) (-4396 ((|#2| $) 65 (|has| |#2| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#2|) $) 93 (|has| $ (-6 -4571))) (((-765) |#2| $) 90 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 104)) (-2349 ((|#4| $ (-569)) 122)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 80 (|has| |#2| (-1039 (-410 (-569))))) (($ |#2|) 79)) (-2320 (((-765)) 28)) (-3776 (((-121) (-1 (-121) |#2|) $) 95 (|has| $ (-6 -4571)))) (-2421 (((-121) $) 110)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) 49) (($ $ (-1 |#2| |#2|) (-765)) 48) (($ $ (-635 (-1165)) (-635 (-765))) 47 (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) 46 (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) 45 (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) 44 (|has| |#2| (-897 (-1165)))) (($ $ (-765)) 39 (|has| |#2| (-226))) (($ $) 37 (|has| |#2| (-226)))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#2|) 125 (|has| |#2| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 62 (|has| |#2| (-366)))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#2|) 131) (($ |#2| $) 130) ((|#4| $ |#4|) 67) ((|#3| |#3| $) 66)) (-2946 (((-765) $) 98 (|has| $ (-6 -4571))))) 
-(((-1114 |#1| |#2| |#3| |#4|) (-1284) (-765) (-1049) (-231 |t#1| |t#2|) (-231 |t#1| |t#2|)) (T -1114)) 
-((-2232 (*1 *1 *2) (-12 (-4 *2 (-1049)) (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)))) (-3990 (*1 *1 *2) (-12 (-5 *2 (-635 *4)) (-4 *4 (-1049)) (-4 *1 (-1114 *3 *4 *5 *6)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)))) (-2513 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *4 *2 *5)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) (-3588 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1049)))) (-4517 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1049)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-1114 *3 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-1114 *3 *4 *2 *5)) (-4 *4 (-1049)) (-4 *2 (-231 *3 *4)) (-4 *5 (-231 *3 *4)))) (-4396 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) (-3164 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) (-1655 (*1 *1 *1) (|partial| -12 (-4 *1 (-1114 *2 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-231 *2 *3)) (-4 *5 (-231 *2 *3)) (-4 *3 (-366)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1114 *3 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)) (-4 *4 (-366))))) 
-(-13 (-224 |t#2|) (-120 |t#2| |t#2|) (-1052 |t#1| |t#1| |t#2| |t#3| |t#4|) (-414 |t#2|) (-380 |t#2|) (-10 -8 (IF (|has| |t#2| (-173)) (-6 (-709 |t#2|)) |noBranch|) (-15 -2232 ($ |t#2|)) (-15 -3990 ($ (-635 |t#2|))) (-15 -2513 (|t#3| $)) (-15 -3588 (|t#2| $)) (-15 -4517 (|t#2| $)) (-15 * (|t#4| $ |t#4|)) (-15 * (|t#3| |t#3| $)) (IF (|has| |t#2| (-6 (-4573 "*"))) (PROGN (-6 (-43 |t#2|)) (-15 -4396 (|t#2| $)) (-15 -3164 (|t#2| $))) |noBranch|) (IF (|has| |t#2| (-366)) (PROGN (-15 -1655 ((-3 $ "failed") $)) (-15 ** ($ $ (-569)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-43 |#2|) |has| |#2| (-6 (-4573 "*"))) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-852)) . T) ((-224 |#2|) . T) ((-226) |has| |#2| (-226)) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-380 |#2|) . T) ((-414 |#2|) . T) ((-500 |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-638 |#2|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#2| (-631 (-569))) ((-631 |#2|) . T) ((-709 |#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-6 (-4573 "*")))) ((-718) . T) ((-897 (-1165)) |has| |#2| (-897 (-1165))) ((-1052 |#1| |#1| |#2| |#3| |#4|) . T) ((-1039 (-410 (-569))) |has| |#2| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#2| (-1039 (-569))) ((-1039 |#2|) . T) ((-1055 |#2|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1199) . T)) 
-((-3105 ((|#4| |#4|) 67)) (-1633 ((|#4| |#4|) 62)) (-4084 (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|) 75)) (-1588 (((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) 66)) (-4424 (((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) 64))) 
-(((-1115 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1633 (|#4| |#4|)) (-15 -4424 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3105 (|#4| |#4|)) (-15 -1588 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -4084 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|))) (-302) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|)) (T -1115)) 
-((-4084 (*1 *2 *3 *4) (-12 (-4 *5 (-302)) (-4 *6 (-376 *5)) (-4 *4 (-376 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-1115 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4)))) (-1588 (*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1115 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-3105 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1115 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-4424 (*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1115 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-1633 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1115 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
-(-10 -7 (-15 -1633 (|#4| |#4|)) (-15 -4424 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3105 (|#4| |#4|)) (-15 -1588 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -4084 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 17)) (-3195 (((-635 |#2|) $) 160)) (-3132 (((-1161 $) $ |#2|) 54) (((-1161 |#1|) $) 43)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 110 (|has| |#1| (-559)))) (-2915 (($ $) 112 (|has| |#1| (-559)))) (-2735 (((-121) $) 114 (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 |#2|)) 193)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 157) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 |#2| "failed") $) NIL)) (-1321 ((|#1| $) 155) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) ((|#2| $) NIL)) (-3673 (($ $ $ |#2|) NIL (|has| |#1| (-173)))) (-3373 (($ $) 197)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) 82)) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-535 |#2|) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| |#1| (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| |#1| (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) 19)) (-4118 (((-765) $) 26)) (-3187 (($ (-1161 |#1|) |#2|) 48) (($ (-1161 $) |#2|) 64)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) 31)) (-3179 (($ |#1| (-535 |#2|)) 71) (($ $ |#2| (-765)) 52) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#2|) NIL)) (-4294 (((-535 |#2|) $) 187) (((-765) $ |#2|) 188) (((-635 (-765)) $ (-635 |#2|)) 189)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 |#2|) (-535 |#2|)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 122)) (-3407 (((-3 |#2| "failed") $) 162)) (-3263 (($ $) 196)) (-3270 ((|#1| $) 37)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| |#2|) (|:| -3190 (-765))) "failed") $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 32)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 140 (|has| |#1| (-454)))) (-3964 (($ (-635 $)) 145 (|has| |#1| (-454))) (($ $ $) 132 (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 120 (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#2| |#1|) 165) (($ $ (-635 |#2|) (-635 |#1|)) 178) (($ $ |#2| $) 164) (($ $ (-635 |#2|) (-635 $)) 177)) (-2925 (($ $ |#2|) NIL (|has| |#1| (-173)))) (-3289 (($ $ |#2|) 195) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-2284 (((-535 |#2|) $) 183) (((-765) $ |#2|) 179) (((-635 (-765)) $ (-635 |#2|)) 181)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#1| $) 128 (|has| |#1| (-454))) (($ $ |#2|) 131 (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 151) (($ (-569)) 76) (($ |#1|) 77) (($ |#2|) 28) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-2894 (((-635 |#1|) $) 154)) (-3802 ((|#1| $ (-535 |#2|)) 73) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 79)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) 117 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 102) (($ $ (-765)) 104)) (-2407 (($) 12 T CONST)) (-3297 (($) 14 T CONST)) (-3712 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 97)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 126 (|has| |#1| (-366)))) (-1377 (($ $) 85) (($ $ $) 95)) (-1371 (($ $ $) 49)) (** (($ $ (-919)) 103) (($ $ (-765)) 100)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 88) (($ $ $) 65) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 90) (($ $ |#1|) NIL))) 
-(((-1116 |#1| |#2|) (-952 |#1| (-535 |#2|) |#2|) (-1049) (-844)) (T -1116)) 
-NIL 
-(-952 |#1| (-535 |#2|) |#2|) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3544 (($ $) 154 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) 150 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3559 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2849 (((-955 |#1|) $ (-765)) NIL) (((-955 |#1|) $ (-765) (-765)) NIL)) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $ |#2|) NIL) (((-765) $ |#2| (-765)) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3052 (((-121) $) NIL)) (-3179 (($ $ (-635 |#2|) (-635 (-535 |#2|))) NIL) (($ $ |#2| (-535 |#2|)) NIL) (($ |#1| (-535 |#2|)) NIL) (($ $ |#2| (-765)) 71) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1324 (($ $ |#2|) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ |#2| |#1|) 177 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-2528 (($ (-1 $) |#2| |#1|) 176 (|has| |#1| (-43 (-410 (-569)))))) (-3803 (($ $ (-765)) 15)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-3408 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (($ $ |#2| $) 109) (($ $ (-635 |#2|) (-635 $)) 102) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL)) (-3289 (($ $ |#2|) 111) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-2284 (((-535 |#2|) $) NIL)) (-4052 (((-1 (-1145 |#3|) |#3|) (-635 |#2|) (-635 (-1145 |#3|))) 92)) (-3565 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 136 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 156 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 17)) (-3956 (((-852) $) 192) (($ (-569)) NIL) (($ |#1|) 59 (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#2|) 78) (($ |#3|) 76)) (-3802 ((|#1| $ (-535 |#2|)) 57) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) 50) ((|#3| $ (-765)) 42)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-3585 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 142 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 138 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 146 (|has| |#1| (-43 (-410 (-569)))))) (-4527 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 148 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 144 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 140 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 18 T CONST)) (-3297 (($) 10 T CONST)) (-3712 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) 194 (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 74)) (** (($ $ (-919)) NIL) (($ $ (-765)) 83) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 114 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 73) (($ $ (-410 (-569))) 119 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 117 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 62) (($ $ |#1|) 63) (($ |#3| $) 61))) 
-(((-1117 |#1| |#2| |#3|) (-13 (-732 |#1| |#2|) (-10 -8 (-15 -3802 (|#3| $ (-765))) (-15 -3956 ($ |#2|)) (-15 -3956 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -4052 ((-1 (-1145 |#3|) |#3|) (-635 |#2|) (-635 (-1145 |#3|)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $ |#2| |#1|)) (-15 -2528 ($ (-1 $) |#2| |#1|))) |noBranch|))) (-1049) (-844) (-952 |#1| (-535 |#2|) |#2|)) (T -1117)) 
-((-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *2 (-952 *4 (-535 *5) *5)) (-5 *1 (-1117 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-844)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *2 (-844)) (-5 *1 (-1117 *3 *2 *4)) (-4 *4 (-952 *3 (-535 *2) *2)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-5 *1 (-1117 *3 *4 *2)) (-4 *2 (-952 *3 (-535 *4) *4)))) (* (*1 *1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-5 *1 (-1117 *3 *4 *2)) (-4 *2 (-952 *3 (-535 *4) *4)))) (-4052 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1145 *7))) (-4 *6 (-844)) (-4 *7 (-952 *5 (-535 *6) *6)) (-4 *5 (-1049)) (-5 *2 (-1 (-1145 *7) *7)) (-5 *1 (-1117 *5 *6 *7)))) (-1324 (*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-4 *2 (-844)) (-5 *1 (-1117 *3 *2 *4)) (-4 *4 (-952 *3 (-535 *2) *2)))) (-2528 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1117 *4 *3 *5))) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049)) (-4 *3 (-844)) (-5 *1 (-1117 *4 *3 *5)) (-4 *5 (-952 *4 (-535 *3) *3))))) 
-(-13 (-732 |#1| |#2|) (-10 -8 (-15 -3802 (|#3| $ (-765))) (-15 -3956 ($ |#2|)) (-15 -3956 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -4052 ((-1 (-1145 |#3|) |#3|) (-635 |#2|) (-635 (-1145 |#3|)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $ |#2| |#1|)) (-15 -2528 ($ (-1 $) |#2| |#1|))) |noBranch|))) 
-((-1310 (((-121) $ $) 7)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) 78)) (-3202 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) 94) (((-121) $) 90)) (-1815 ((|#4| |#4| $) 85)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 119)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 72)) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1864 (((-3 $ "failed") $) 75)) (-3562 ((|#4| |#4| $) 82)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-4417 ((|#4| |#4| $) 80)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) 98)) (-4018 (((-121) |#4| $) 129)) (-3594 (((-121) |#4| $) 126)) (-4508 (((-121) |#4| $) 130) (((-121) $) 127)) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) 97) (((-121) $) 96)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 120)) (-3302 (((-3 |#4| "failed") $) 76)) (-2079 (((-635 $) |#4| $) 122)) (-2090 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1433 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3487 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-1536 (((-635 |#4|) $) 100)) (-2114 (((-121) |#4| $) 92) (((-121) $) 88)) (-2709 ((|#4| |#4| $) 83)) (-1861 (((-121) $ $) 103)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) 93) (((-121) $) 89)) (-1910 ((|#4| |#4| $) 84)) (-1912 (((-1111) $) 10)) (-1816 (((-3 |#4| "failed") $) 77)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4300 (((-3 $ "failed") $ |#4|) 71)) (-3803 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2284 (((-765) $) 99)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2406 (($ $) 81)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-1448 (((-765) $) 69 (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-2272 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) 74)) (-3267 (((-121) |#4| $) 128)) (-3345 (((-121) |#3| $) 73)) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
-(((-1118 |#1| |#2| |#3| |#4|) (-1284) (-454) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -1118)) 
-NIL 
-(-13 (-1102 |t#1| |t#2| |t#3| |t#4|) (-781 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-781 |#1| |#2| |#3| |#4|) . T) ((-979 |#1| |#2| |#3| |#4|) . T) ((-1068 |#1| |#2| |#3| |#4|) . T) ((-1093) . T) ((-1102 |#1| |#2| |#3| |#4|) . T) ((-1193 |#1| |#2| |#3| |#4|) . T) ((-1199) . T)) 
-((-2880 (((-635 |#2|) |#1|) 12)) (-3660 (((-635 |#2|) |#2| |#2| |#2| |#2| |#2|) 37) (((-635 |#2|) |#1|) 47)) (-3750 (((-635 |#2|) |#2| |#2| |#2|) 35) (((-635 |#2|) |#1|) 45)) (-4192 ((|#2| |#1|) 42)) (-3967 (((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|)) 16)) (-3101 (((-635 |#2|) |#2| |#2|) 34) (((-635 |#2|) |#1|) 44)) (-4176 (((-635 |#2|) |#2| |#2| |#2| |#2|) 36) (((-635 |#2|) |#1|) 46)) (-3812 ((|#2| |#2| |#2| |#2| |#2| |#2|) 41)) (-4384 ((|#2| |#2| |#2| |#2|) 39)) (-3173 ((|#2| |#2| |#2|) 38)) (-3868 ((|#2| |#2| |#2| |#2| |#2|) 40))) 
-(((-1119 |#1| |#2|) (-10 -7 (-15 -2880 ((-635 |#2|) |#1|)) (-15 -4192 (|#2| |#1|)) (-15 -3967 ((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -3101 ((-635 |#2|) |#1|)) (-15 -3750 ((-635 |#2|) |#1|)) (-15 -4176 ((-635 |#2|) |#1|)) (-15 -3660 ((-635 |#2|) |#1|)) (-15 -3101 ((-635 |#2|) |#2| |#2|)) (-15 -3750 ((-635 |#2|) |#2| |#2| |#2|)) (-15 -4176 ((-635 |#2|) |#2| |#2| |#2| |#2|)) (-15 -3660 ((-635 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -3173 (|#2| |#2| |#2|)) (-15 -4384 (|#2| |#2| |#2| |#2|)) (-15 -3868 (|#2| |#2| |#2| |#2| |#2|)) (-15 -3812 (|#2| |#2| |#2| |#2| |#2| |#2|))) (-1228 |#2|) (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (T -1119)) 
-((-3812 (*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2)))) (-3868 (*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2)))) (-4384 (*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2)))) (-3173 (*1 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2)))) (-3660 (*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3)))) (-4176 (*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3)))) (-3750 (*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3)))) (-3101 (*1 *2 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3)))) (-3660 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) (-4176 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) (-3750 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) (-3101 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) (-3967 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-2 (|:| |solns| (-635 *5)) (|:| |maps| (-635 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1119 *3 *5)) (-4 *3 (-1228 *5)))) (-4192 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2)))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -2880 ((-635 |#2|) |#1|)) (-15 -4192 (|#2| |#1|)) (-15 -3967 ((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -3101 ((-635 |#2|) |#1|)) (-15 -3750 ((-635 |#2|) |#1|)) (-15 -4176 ((-635 |#2|) |#1|)) (-15 -3660 ((-635 |#2|) |#1|)) (-15 -3101 ((-635 |#2|) |#2| |#2|)) (-15 -3750 ((-635 |#2|) |#2| |#2| |#2|)) (-15 -4176 ((-635 |#2|) |#2| |#2| |#2| |#2|)) (-15 -3660 ((-635 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -3173 (|#2| |#2| |#2|)) (-15 -4384 (|#2| |#2| |#2| |#2|)) (-15 -3868 (|#2| |#2| |#2| |#2| |#2|)) (-15 -3812 (|#2| |#2| |#2| |#2| |#2| |#2|))) 
-((-3628 (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|))))) 94) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165))) 93) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|)))) 91) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|))) (-635 (-1165))) 89) (((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|)))) 75) (((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|))) (-1165)) 76) (((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|))) 70) (((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|)) (-1165)) 59)) (-4359 (((-635 (-635 (-311 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165))) 87) (((-635 (-311 |#1|)) (-410 (-955 |#1|)) (-1165)) 43)) (-4462 (((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-955 |#1|)) (-1165)) 97) (((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165)) 96))) 
-(((-1120 |#1|) (-10 -7 (-15 -3628 ((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|)))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|))))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|))))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165)))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -4359 ((-635 (-311 |#1|)) (-410 (-955 |#1|)) (-1165))) (-15 -4359 ((-635 (-635 (-311 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -4462 ((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -4462 ((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-955 |#1|)) (-1165)))) (-13 (-302) (-844) (-151))) (T -1120)) 
-((-4462 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-1154 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) (-4462 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 *5)))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-1154 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) (-4359 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-311 *5)))) (-5 *1 (-1120 *5)))) (-4359 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-311 *5))) (-5 *1 (-1120 *5)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-955 *4))))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1120 *4)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 *5))))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 *4)))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1120 *4)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-289 (-410 (-955 *4)))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 *5)))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5))))) 
-(-10 -7 (-15 -3628 ((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|)))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|))))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|))))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165)))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -4359 ((-635 (-311 |#1|)) (-410 (-955 |#1|)) (-1165))) (-15 -4359 ((-635 (-635 (-311 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -4462 ((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -4462 ((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-955 |#1|)) (-1165)))) 
-((-3067 (((-410 (-1161 (-311 |#1|))) (-1253 (-311 |#1|)) (-410 (-1161 (-311 |#1|))) (-569)) 27)) (-1903 (((-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|)))) 39))) 
-(((-1121 |#1|) (-10 -7 (-15 -1903 ((-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))))) (-15 -3067 ((-410 (-1161 (-311 |#1|))) (-1253 (-311 |#1|)) (-410 (-1161 (-311 |#1|))) (-569)))) (-13 (-559) (-844))) (T -1121)) 
-((-3067 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-410 (-1161 (-311 *5)))) (-5 *3 (-1253 (-311 *5))) (-5 *4 (-569)) (-4 *5 (-13 (-559) (-844))) (-5 *1 (-1121 *5)))) (-1903 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-410 (-1161 (-311 *3)))) (-4 *3 (-13 (-559) (-844))) (-5 *1 (-1121 *3))))) 
-(-10 -7 (-15 -1903 ((-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))))) (-15 -3067 ((-410 (-1161 (-311 |#1|))) (-1253 (-311 |#1|)) (-410 (-1161 (-311 |#1|))) (-569)))) 
-((-2880 (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1165))) 216) (((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1165)) 20) (((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1165)) 26) (((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|))) 25) (((-635 (-289 (-311 |#1|))) (-311 |#1|)) 21))) 
-(((-1122 |#1|) (-10 -7 (-15 -2880 ((-635 (-289 (-311 |#1|))) (-311 |#1|))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1165))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1165))) (-15 -2880 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1165))))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (T -1122)) 
-((-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1122 *5)) (-5 *3 (-635 (-289 (-311 *5)))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1122 *5)) (-5 *3 (-311 *5)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1122 *5)) (-5 *3 (-289 (-311 *5))))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1122 *4)) (-5 *3 (-289 (-311 *4))))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1122 *4)) (-5 *3 (-311 *4))))) 
-(-10 -7 (-15 -2880 ((-635 (-289 (-311 |#1|))) (-311 |#1|))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1165))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1165))) (-15 -2880 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1165))))) 
-((-1686 ((|#2| |#2|) 20 (|has| |#1| (-844))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 16)) (-1920 ((|#2| |#2|) 19 (|has| |#1| (-844))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 15))) 
-(((-1123 |#1| |#2|) (-10 -7 (-15 -1920 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -1686 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-844)) (PROGN (-15 -1920 (|#2| |#2|)) (-15 -1686 (|#2| |#2|))) |noBranch|)) (-1199) (-13 (-602 (-569) |#1|) (-10 -7 (-6 -4571) (-6 -4572)))) (T -1123)) 
-((-1686 (*1 *2 *2) (-12 (-4 *3 (-844)) (-4 *3 (-1199)) (-5 *1 (-1123 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4571) (-6 -4572)))))) (-1920 (*1 *2 *2) (-12 (-4 *3 (-844)) (-4 *3 (-1199)) (-5 *1 (-1123 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4571) (-6 -4572)))))) (-1686 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-1123 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4571) (-6 -4572)))))) (-1920 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-1123 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4571) (-6 -4572))))))) 
-(-10 -7 (-15 -1920 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -1686 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-844)) (PROGN (-15 -1920 (|#2| |#2|)) (-15 -1686 (|#2| |#2|))) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-2215 (((-1153 3 |#1|) $) 105)) (-3007 (((-121) $) 72)) (-2120 (($ $ (-635 (-946 |#1|))) 20) (($ $ (-635 (-635 |#1|))) 75) (($ (-635 (-946 |#1|))) 74) (((-635 (-946 |#1|)) $) 73)) (-3099 (((-121) $) 41)) (-2131 (($ $ (-946 |#1|)) 46) (($ $ (-635 |#1|)) 51) (($ $ (-765)) 53) (($ (-946 |#1|)) 47) (((-946 |#1|) $) 45)) (-3765 (((-2 (|:| -2316 (-765)) (|:| |curves| (-765)) (|:| |polygons| (-765)) (|:| |constructs| (-765))) $) 103)) (-1991 (((-765) $) 26)) (-1853 (((-765) $) 25)) (-2881 (($ $ (-765) (-946 |#1|)) 39)) (-3389 (((-121) $) 82)) (-1793 (($ $ (-635 (-635 (-946 |#1|))) (-635 (-172)) (-172)) 89) (($ $ (-635 (-635 (-635 |#1|))) (-635 (-172)) (-172)) 91) (($ $ (-635 (-635 (-946 |#1|))) (-121) (-121)) 85) (($ $ (-635 (-635 (-635 |#1|))) (-121) (-121)) 93) (($ (-635 (-635 (-946 |#1|)))) 86) (($ (-635 (-635 (-946 |#1|))) (-121) (-121)) 87) (((-635 (-635 (-946 |#1|))) $) 84)) (-2102 (($ (-635 $)) 28) (($ $ $) 29)) (-4095 (((-635 (-172)) $) 101)) (-2957 (((-635 (-946 |#1|)) $) 96)) (-2038 (((-635 (-635 (-172))) $) 100)) (-2876 (((-635 (-635 (-635 (-946 |#1|)))) $) NIL)) (-4290 (((-635 (-635 (-635 (-765)))) $) 98)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3870 (((-765) $ (-635 (-946 |#1|))) 37)) (-3699 (((-121) $) 54)) (-1653 (($ $ (-635 (-946 |#1|))) 56) (($ $ (-635 (-635 |#1|))) 62) (($ (-635 (-946 |#1|))) 57) (((-635 (-946 |#1|)) $) 55)) (-3722 (($) 23) (($ (-1153 3 |#1|)) 24)) (-1799 (($ $) 35)) (-1551 (((-635 $) $) 34)) (-1400 (($ (-635 $)) 31)) (-2963 (((-635 $) $) 33)) (-3956 (((-852) $) 109)) (-4031 (((-121) $) 64)) (-1585 (($ $ (-635 (-946 |#1|))) 66) (($ $ (-635 (-635 |#1|))) 69) (($ (-635 (-946 |#1|))) 67) (((-635 (-946 |#1|)) $) 65)) (-4370 (($ $) 104)) (-1326 (((-121) $ $) NIL))) 
-(((-1124 |#1|) (-1125 |#1|) (-1049)) (T -1124)) 
-NIL 
-(-1125 |#1|) 
-((-1310 (((-121) $ $) 7)) (-2215 (((-1153 3 |#1|) $) 12)) (-3007 (((-121) $) 28)) (-2120 (($ $ (-635 (-946 |#1|))) 32) (($ $ (-635 (-635 |#1|))) 31) (($ (-635 (-946 |#1|))) 30) (((-635 (-946 |#1|)) $) 29)) (-3099 (((-121) $) 43)) (-2131 (($ $ (-946 |#1|)) 48) (($ $ (-635 |#1|)) 47) (($ $ (-765)) 46) (($ (-946 |#1|)) 45) (((-946 |#1|) $) 44)) (-3765 (((-2 (|:| -2316 (-765)) (|:| |curves| (-765)) (|:| |polygons| (-765)) (|:| |constructs| (-765))) $) 14)) (-1991 (((-765) $) 57)) (-1853 (((-765) $) 58)) (-2881 (($ $ (-765) (-946 |#1|)) 49)) (-3389 (((-121) $) 20)) (-1793 (($ $ (-635 (-635 (-946 |#1|))) (-635 (-172)) (-172)) 27) (($ $ (-635 (-635 (-635 |#1|))) (-635 (-172)) (-172)) 26) (($ $ (-635 (-635 (-946 |#1|))) (-121) (-121)) 25) (($ $ (-635 (-635 (-635 |#1|))) (-121) (-121)) 24) (($ (-635 (-635 (-946 |#1|)))) 23) (($ (-635 (-635 (-946 |#1|))) (-121) (-121)) 22) (((-635 (-635 (-946 |#1|))) $) 21)) (-2102 (($ (-635 $)) 56) (($ $ $) 55)) (-4095 (((-635 (-172)) $) 15)) (-2957 (((-635 (-946 |#1|)) $) 19)) (-2038 (((-635 (-635 (-172))) $) 16)) (-2876 (((-635 (-635 (-635 (-946 |#1|)))) $) 17)) (-4290 (((-635 (-635 (-635 (-765)))) $) 18)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3870 (((-765) $ (-635 (-946 |#1|))) 50)) (-3699 (((-121) $) 38)) (-1653 (($ $ (-635 (-946 |#1|))) 42) (($ $ (-635 (-635 |#1|))) 41) (($ (-635 (-946 |#1|))) 40) (((-635 (-946 |#1|)) $) 39)) (-3722 (($) 60) (($ (-1153 3 |#1|)) 59)) (-1799 (($ $) 51)) (-1551 (((-635 $) $) 52)) (-1400 (($ (-635 $)) 54)) (-2963 (((-635 $) $) 53)) (-3956 (((-852) $) 11)) (-4031 (((-121) $) 33)) (-1585 (($ $ (-635 (-946 |#1|))) 37) (($ $ (-635 (-635 |#1|))) 36) (($ (-635 (-946 |#1|))) 35) (((-635 (-946 |#1|)) $) 34)) (-4370 (($ $) 13)) (-1326 (((-121) $ $) 6))) 
-(((-1125 |#1|) (-1284) (-1049)) (T -1125)) 
-((-3956 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-852)))) (-3722 (*1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) (-3722 (*1 *1 *2) (-12 (-5 *2 (-1153 3 *3)) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-1853 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-1991 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-2102 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2102 (*1 *1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) (-1400 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2963 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)))) (-1551 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)))) (-1799 (*1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) (-3870 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-946 *4))) (-4 *1 (-1125 *4)) (-4 *4 (-1049)) (-5 *2 (-765)))) (-2881 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-946 *4)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) (-2131 (*1 *1 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2131 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2131 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2131 (*1 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-2131 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-946 *3)))) (-3099 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121)))) (-1653 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-1653 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-1653 (*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-1653 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) (-3699 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121)))) (-1585 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-1585 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-1585 (*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-1585 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) (-4031 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121)))) (-2120 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2120 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2120 (*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-2120 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) (-3007 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121)))) (-1793 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-946 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1125 *5)) (-4 *5 (-1049)))) (-1793 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1125 *5)) (-4 *5 (-1049)))) (-1793 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-946 *4)))) (-5 *3 (-121)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) (-1793 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-121)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) (-1793 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 *3)))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-1793 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-946 *4)))) (-5 *3 (-121)) (-4 *4 (-1049)) (-4 *1 (-1125 *4)))) (-1793 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-946 *3)))))) (-3389 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121)))) (-2957 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) (-4290 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-635 (-765))))))) (-2876 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-635 (-946 *3))))))) (-2038 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-172)))))) (-4095 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-172))))) (-3765 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -2316 (-765)) (|:| |curves| (-765)) (|:| |polygons| (-765)) (|:| |constructs| (-765)))))) (-4370 (*1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) (-2215 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-1153 3 *3))))) 
-(-13 (-1093) (-10 -8 (-15 -3722 ($)) (-15 -3722 ($ (-1153 3 |t#1|))) (-15 -1853 ((-765) $)) (-15 -1991 ((-765) $)) (-15 -2102 ($ (-635 $))) (-15 -2102 ($ $ $)) (-15 -1400 ($ (-635 $))) (-15 -2963 ((-635 $) $)) (-15 -1551 ((-635 $) $)) (-15 -1799 ($ $)) (-15 -3870 ((-765) $ (-635 (-946 |t#1|)))) (-15 -2881 ($ $ (-765) (-946 |t#1|))) (-15 -2131 ($ $ (-946 |t#1|))) (-15 -2131 ($ $ (-635 |t#1|))) (-15 -2131 ($ $ (-765))) (-15 -2131 ($ (-946 |t#1|))) (-15 -2131 ((-946 |t#1|) $)) (-15 -3099 ((-121) $)) (-15 -1653 ($ $ (-635 (-946 |t#1|)))) (-15 -1653 ($ $ (-635 (-635 |t#1|)))) (-15 -1653 ($ (-635 (-946 |t#1|)))) (-15 -1653 ((-635 (-946 |t#1|)) $)) (-15 -3699 ((-121) $)) (-15 -1585 ($ $ (-635 (-946 |t#1|)))) (-15 -1585 ($ $ (-635 (-635 |t#1|)))) (-15 -1585 ($ (-635 (-946 |t#1|)))) (-15 -1585 ((-635 (-946 |t#1|)) $)) (-15 -4031 ((-121) $)) (-15 -2120 ($ $ (-635 (-946 |t#1|)))) (-15 -2120 ($ $ (-635 (-635 |t#1|)))) (-15 -2120 ($ (-635 (-946 |t#1|)))) (-15 -2120 ((-635 (-946 |t#1|)) $)) (-15 -3007 ((-121) $)) (-15 -1793 ($ $ (-635 (-635 (-946 |t#1|))) (-635 (-172)) (-172))) (-15 -1793 ($ $ (-635 (-635 (-635 |t#1|))) (-635 (-172)) (-172))) (-15 -1793 ($ $ (-635 (-635 (-946 |t#1|))) (-121) (-121))) (-15 -1793 ($ $ (-635 (-635 (-635 |t#1|))) (-121) (-121))) (-15 -1793 ($ (-635 (-635 (-946 |t#1|))))) (-15 -1793 ($ (-635 (-635 (-946 |t#1|))) (-121) (-121))) (-15 -1793 ((-635 (-635 (-946 |t#1|))) $)) (-15 -3389 ((-121) $)) (-15 -2957 ((-635 (-946 |t#1|)) $)) (-15 -4290 ((-635 (-635 (-635 (-765)))) $)) (-15 -2876 ((-635 (-635 (-635 (-946 |t#1|)))) $)) (-15 -2038 ((-635 (-635 (-172))) $)) (-15 -4095 ((-635 (-172)) $)) (-15 -3765 ((-2 (|:| -2316 (-765)) (|:| |curves| (-765)) (|:| |polygons| (-765)) (|:| |constructs| (-765))) $)) (-15 -4370 ($ $)) (-15 -2215 ((-1153 3 |t#1|) $)) (-15 -3956 ((-852) $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-3409 (((-1258) (-635 (-852))) 23) (((-1258) (-852)) 22)) (-4501 (((-1258) (-635 (-852))) 21) (((-1258) (-852)) 20)) (-3225 (((-1258) (-635 (-852))) 19) (((-1258) (-852)) 11) (((-1258) (-1147) (-852)) 17))) 
-(((-1126) (-10 -7 (-15 -3225 ((-1258) (-1147) (-852))) (-15 -3225 ((-1258) (-852))) (-15 -4501 ((-1258) (-852))) (-15 -3409 ((-1258) (-852))) (-15 -3225 ((-1258) (-635 (-852)))) (-15 -4501 ((-1258) (-635 (-852)))) (-15 -3409 ((-1258) (-635 (-852)))))) (T -1126)) 
-((-3409 (*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-4501 (*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-3225 (*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-3409 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-4501 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-3225 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-3225 (*1 *2 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126))))) 
-(-10 -7 (-15 -3225 ((-1258) (-1147) (-852))) (-15 -3225 ((-1258) (-852))) (-15 -4501 ((-1258) (-852))) (-15 -3409 ((-1258) (-852))) (-15 -3225 ((-1258) (-635 (-852)))) (-15 -4501 ((-1258) (-635 (-852)))) (-15 -3409 ((-1258) (-635 (-852))))) 
-((-2648 (($ $ $) 10)) (-3566 (($ $) 9)) (-3839 (($ $ $) 13)) (-4489 (($ $ $) 15)) (-1289 (($ $ $) 12)) (-3578 (($ $ $) 14)) (-3618 (($ $) 17)) (-4466 (($ $) 16)) (-4080 (($ $) 6)) (-2246 (($ $ $) 11) (($ $) 7)) (-4028 (($ $ $) 8))) 
-(((-1127) (-1284)) (T -1127)) 
-((-3618 (*1 *1 *1) (-4 *1 (-1127))) (-4466 (*1 *1 *1) (-4 *1 (-1127))) (-4489 (*1 *1 *1 *1) (-4 *1 (-1127))) (-3578 (*1 *1 *1 *1) (-4 *1 (-1127))) (-3839 (*1 *1 *1 *1) (-4 *1 (-1127))) (-1289 (*1 *1 *1 *1) (-4 *1 (-1127))) (-2246 (*1 *1 *1 *1) (-4 *1 (-1127))) (-2648 (*1 *1 *1 *1) (-4 *1 (-1127))) (-3566 (*1 *1 *1) (-4 *1 (-1127))) (-4028 (*1 *1 *1 *1) (-4 *1 (-1127))) (-2246 (*1 *1 *1) (-4 *1 (-1127))) (-4080 (*1 *1 *1) (-4 *1 (-1127)))) 
-(-13 (-10 -8 (-15 -4080 ($ $)) (-15 -2246 ($ $)) (-15 -4028 ($ $ $)) (-15 -3566 ($ $)) (-15 -2648 ($ $ $)) (-15 -2246 ($ $ $)) (-15 -1289 ($ $ $)) (-15 -3839 ($ $ $)) (-15 -3578 ($ $ $)) (-15 -4489 ($ $ $)) (-15 -4466 ($ $)) (-15 -3618 ($ $)))) 
-((-1310 (((-121) $ $) 41)) (-2756 ((|#1| $) 15)) (-1656 (((-121) $ $ (-1 (-121) |#2| |#2|)) 36)) (-1702 (((-121) $) 17)) (-3504 (($ $ |#1|) 28)) (-4493 (($ $ (-121)) 30)) (-3793 (($ $) 31)) (-3078 (($ $ |#2|) 29)) (-2605 (((-1147) $) NIL)) (-2383 (((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|)) 35)) (-1912 (((-1111) $) NIL)) (-1668 (((-121) $) 14)) (-4016 (($) 10)) (-1799 (($ $) 27)) (-3124 (($ |#1| |#2| (-121)) 18) (($ |#1| |#2|) 19) (($ (-2 (|:| |val| |#1|) (|:| -4320 |#2|))) 21) (((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|)))) 24) (((-635 $) |#1| (-635 |#2|)) 26)) (-1421 ((|#2| $) 16)) (-3956 (((-852) $) 50)) (-1326 (((-121) $ $) 39))) 
-(((-1128 |#1| |#2|) (-13 (-1093) (-10 -8 (-15 -4016 ($)) (-15 -1668 ((-121) $)) (-15 -2756 (|#1| $)) (-15 -1421 (|#2| $)) (-15 -1702 ((-121) $)) (-15 -3124 ($ |#1| |#2| (-121))) (-15 -3124 ($ |#1| |#2|)) (-15 -3124 ($ (-2 (|:| |val| |#1|) (|:| -4320 |#2|)))) (-15 -3124 ((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|))))) (-15 -3124 ((-635 $) |#1| (-635 |#2|))) (-15 -1799 ($ $)) (-15 -3504 ($ $ |#1|)) (-15 -3078 ($ $ |#2|)) (-15 -4493 ($ $ (-121))) (-15 -3793 ($ $)) (-15 -2383 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -1656 ((-121) $ $ (-1 (-121) |#2| |#2|))))) (-13 (-1093) (-39)) (-13 (-1093) (-39))) (T -1128)) 
-((-4016 (*1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) (-2756 (*1 *2 *1) (-12 (-4 *2 (-13 (-1093) (-39))) (-5 *1 (-1128 *2 *3)) (-4 *3 (-13 (-1093) (-39))))) (-1421 (*1 *2 *1) (-12 (-4 *2 (-13 (-1093) (-39))) (-5 *1 (-1128 *3 *2)) (-4 *3 (-13 (-1093) (-39))))) (-1702 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) (-3124 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3124 (*1 *1 *2 *3) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3124 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -4320 *4))) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1128 *3 *4)))) (-3124 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |val| *4) (|:| -4320 *5)))) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-635 (-1128 *4 *5))) (-5 *1 (-1128 *4 *5)))) (-3124 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-635 (-1128 *3 *5))) (-5 *1 (-1128 *3 *5)) (-4 *3 (-13 (-1093) (-39))))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3504 (*1 *1 *1 *2) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3078 (*1 *1 *1 *2) (-12 (-5 *1 (-1128 *3 *2)) (-4 *3 (-13 (-1093) (-39))) (-4 *2 (-13 (-1093) (-39))))) (-4493 (*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) (-3793 (*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-2383 (*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1093) (-39))) (-4 *6 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1128 *5 *6)))) (-1656 (*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1128 *4 *5)) (-4 *4 (-13 (-1093) (-39)))))) 
-(-13 (-1093) (-10 -8 (-15 -4016 ($)) (-15 -1668 ((-121) $)) (-15 -2756 (|#1| $)) (-15 -1421 (|#2| $)) (-15 -1702 ((-121) $)) (-15 -3124 ($ |#1| |#2| (-121))) (-15 -3124 ($ |#1| |#2|)) (-15 -3124 ($ (-2 (|:| |val| |#1|) (|:| -4320 |#2|)))) (-15 -3124 ((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|))))) (-15 -3124 ((-635 $) |#1| (-635 |#2|))) (-15 -1799 ($ $)) (-15 -3504 ($ $ |#1|)) (-15 -3078 ($ $ |#2|)) (-15 -4493 ($ $ (-121))) (-15 -3793 ($ $)) (-15 -2383 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -1656 ((-121) $ $ (-1 (-121) |#2| |#2|))))) 
-((-1310 (((-121) $ $) NIL (|has| (-1128 |#1| |#2|) (-1093)))) (-2756 (((-1128 |#1| |#2|) $) 25)) (-3112 (($ $) 75)) (-1518 (((-121) (-1128 |#1| |#2|) $ (-1 (-121) |#2| |#2|)) 84)) (-3975 (($ $ $ (-635 (-1128 |#1| |#2|))) 89) (($ $ $ (-635 (-1128 |#1| |#2|)) (-1 (-121) |#2| |#2|)) 90)) (-3350 (((-121) $ (-765)) NIL)) (-4548 (((-1128 |#1| |#2|) $ (-1128 |#1| |#2|)) 42 (|has| $ (-6 -4572)))) (-2511 (((-1128 |#1| |#2|) $ "value" (-1128 |#1| |#2|)) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 40 (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-1493 (((-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|))) $) 79)) (-2006 (($ (-1128 |#1| |#2|) $) 38)) (-3503 (($ (-1128 |#1| |#2|) $) 30)) (-4303 (((-635 (-1128 |#1| |#2|)) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 50)) (-2352 (((-121) (-1128 |#1| |#2|) $) 81)) (-2638 (((-121) $ $) NIL (|has| (-1128 |#1| |#2|) (-1093)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 (-1128 |#1| |#2|)) $) 54 (|has| $ (-6 -4571)))) (-3016 (((-121) (-1128 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-1128 |#1| |#2|) (-1093))))) (-2089 (($ (-1 (-1128 |#1| |#2|) (-1128 |#1| |#2|)) $) 46 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-1128 |#1| |#2|) (-1128 |#1| |#2|)) $) 45)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 (-1128 |#1| |#2|)) $) 52)) (-3491 (((-121) $) 41)) (-2605 (((-1147) $) NIL (|has| (-1128 |#1| |#2|) (-1093)))) (-1912 (((-1111) $) NIL (|has| (-1128 |#1| |#2|) (-1093)))) (-2831 (((-3 $ "failed") $) 74)) (-2985 (((-121) (-1 (-121) (-1128 |#1| |#2|)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-1128 |#1| |#2|)))) NIL (-12 (|has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|))) (|has| (-1128 |#1| |#2|) (-1093)))) (($ $ (-289 (-1128 |#1| |#2|))) NIL (-12 (|has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|))) (|has| (-1128 |#1| |#2|) (-1093)))) (($ $ (-1128 |#1| |#2|) (-1128 |#1| |#2|)) NIL (-12 (|has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|))) (|has| (-1128 |#1| |#2|) (-1093)))) (($ $ (-635 (-1128 |#1| |#2|)) (-635 (-1128 |#1| |#2|))) NIL (-12 (|has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|))) (|has| (-1128 |#1| |#2|) (-1093))))) (-3186 (((-121) $ $) 49)) (-1668 (((-121) $) 22)) (-4016 (($) 24)) (-2503 (((-1128 |#1| |#2|) $ "value") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) (-1128 |#1| |#2|)) $) NIL (|has| $ (-6 -4571))) (((-765) (-1128 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-1128 |#1| |#2|) (-1093))))) (-1799 (($ $) 48)) (-3124 (($ (-1128 |#1| |#2|)) 9) (($ |#1| |#2| (-635 $)) 12) (($ |#1| |#2| (-635 (-1128 |#1| |#2|))) 14) (($ |#1| |#2| |#1| (-635 |#2|)) 17)) (-3024 (((-635 |#2|) $) 80)) (-3956 (((-852) $) 72 (|has| (-1128 |#1| |#2|) (-1093)))) (-4065 (((-635 $) $) 28)) (-3773 (((-121) $ $) NIL (|has| (-1128 |#1| |#2|) (-1093)))) (-3776 (((-121) (-1 (-121) (-1128 |#1| |#2|)) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 63 (|has| (-1128 |#1| |#2|) (-1093)))) (-2946 (((-765) $) 57 (|has| $ (-6 -4571))))) 
-(((-1129 |#1| |#2|) (-13 (-1012 (-1128 |#1| |#2|)) (-10 -8 (-6 -4572) (-6 -4571) (-15 -2831 ((-3 $ "failed") $)) (-15 -3112 ($ $)) (-15 -3124 ($ (-1128 |#1| |#2|))) (-15 -3124 ($ |#1| |#2| (-635 $))) (-15 -3124 ($ |#1| |#2| (-635 (-1128 |#1| |#2|)))) (-15 -3124 ($ |#1| |#2| |#1| (-635 |#2|))) (-15 -3024 ((-635 |#2|) $)) (-15 -1493 ((-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|))) $)) (-15 -2352 ((-121) (-1128 |#1| |#2|) $)) (-15 -1518 ((-121) (-1128 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -3503 ($ (-1128 |#1| |#2|) $)) (-15 -2006 ($ (-1128 |#1| |#2|) $)) (-15 -3975 ($ $ $ (-635 (-1128 |#1| |#2|)))) (-15 -3975 ($ $ $ (-635 (-1128 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) (-13 (-1093) (-39)) (-13 (-1093) (-39))) (T -1129)) 
-((-2831 (*1 *1 *1) (|partial| -12 (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3112 (*1 *1 *1) (-12 (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3124 (*1 *1 *2) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4)))) (-3124 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1129 *2 *3))) (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3124 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1128 *2 *3))) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))) (-5 *1 (-1129 *2 *3)))) (-3124 (*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-13 (-1093) (-39))) (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))))) (-3024 (*1 *2 *1) (-12 (-5 *2 (-635 *4)) (-5 *1 (-1129 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) (-1493 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1129 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) (-2352 (*1 *2 *3 *1) (-12 (-5 *3 (-1128 *4 *5)) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1129 *4 *5)))) (-1518 (*1 *2 *3 *1 *4) (-12 (-5 *3 (-1128 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1093) (-39))) (-4 *6 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1129 *5 *6)))) (-3503 (*1 *1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4)))) (-2006 (*1 *1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4)))) (-3975 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-635 (-1128 *3 *4))) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4)))) (-3975 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1128 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *1 (-1129 *4 *5))))) 
-(-13 (-1012 (-1128 |#1| |#2|)) (-10 -8 (-6 -4572) (-6 -4571) (-15 -2831 ((-3 $ "failed") $)) (-15 -3112 ($ $)) (-15 -3124 ($ (-1128 |#1| |#2|))) (-15 -3124 ($ |#1| |#2| (-635 $))) (-15 -3124 ($ |#1| |#2| (-635 (-1128 |#1| |#2|)))) (-15 -3124 ($ |#1| |#2| |#1| (-635 |#2|))) (-15 -3024 ((-635 |#2|) $)) (-15 -1493 ((-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|))) $)) (-15 -2352 ((-121) (-1128 |#1| |#2|) $)) (-15 -1518 ((-121) (-1128 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -3503 ($ (-1128 |#1| |#2|) $)) (-15 -2006 ($ (-1128 |#1| |#2|) $)) (-15 -3975 ($ $ $ (-635 (-1128 |#1| |#2|)))) (-15 -3975 ($ $ $ (-635 (-1128 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3976 (($ $) NIL)) (-3588 ((|#2| $) NIL)) (-3531 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2294 (($ (-681 |#2|)) 45)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2232 (($ |#2|) 9)) (-4483 (($) NIL T CONST)) (-4003 (($ $) 58 (|has| |#2| (-302)))) (-4128 (((-233 |#1| |#2|) $ (-569)) 31)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) ((|#2| $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) 72)) (-3358 (((-765) $) 60 (|has| |#2| (-559)))) (-4124 ((|#2| $ (-569) (-569)) NIL)) (-4303 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL)) (-2557 (((-765) $) 62 (|has| |#2| (-559)))) (-3970 (((-635 (-233 |#1| |#2|)) $) 66 (|has| |#2| (-559)))) (-3568 (((-765) $) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-3164 ((|#2| $) 56 (|has| |#2| (-6 (-4573 "*"))))) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2926 (($ (-635 (-635 |#2|))) 26)) (-2089 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-4269 (((-635 (-635 |#2|)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1655 (((-3 $ "failed") $) 69 (|has| |#2| (-366)))) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-2985 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ (-569) (-569) |#2|) NIL) ((|#2| $ (-569) (-569)) NIL)) (-3289 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-4517 ((|#2| $) NIL)) (-3990 (($ (-635 |#2|)) 40)) (-3757 (((-121) $) NIL)) (-2513 (((-233 |#1| |#2|) $) NIL)) (-4396 ((|#2| $) 54 (|has| |#2| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1799 (($ $) NIL)) (-4035 (((-542) $) 81 (|has| |#2| (-610 (-542))))) (-2349 (((-233 |#1| |#2|) $ (-569)) 33)) (-3956 (((-852) $) 36) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1039 (-410 (-569))))) (($ |#2|) NIL) (((-681 |#2|) $) 42)) (-2320 (((-765)) 17)) (-3776 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 11 T CONST)) (-3297 (($) 14 T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) 52) (($ $ (-569)) 71 (|has| |#2| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-233 |#1| |#2|) $ (-233 |#1| |#2|)) 48) (((-233 |#1| |#2|) (-233 |#1| |#2|) $) 50)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1130 |#1| |#2|) (-13 (-1114 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-681 |#2|)) (-10 -8 (-15 -3976 ($ $)) (-15 -2294 ($ (-681 |#2|))) (-15 -3956 ((-681 |#2|) $)) (IF (|has| |#2| (-6 (-4573 "*"))) (-6 -4560) |noBranch|) (IF (|has| |#2| (-6 (-4573 "*"))) (IF (|has| |#2| (-6 -4568)) (-6 -4568) |noBranch|) |noBranch|) (IF (|has| |#2| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) (-765) (-1049)) (T -1130)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-681 *4)) (-5 *1 (-1130 *3 *4)) (-14 *3 (-765)) (-4 *4 (-1049)))) (-3976 (*1 *1 *1) (-12 (-5 *1 (-1130 *2 *3)) (-14 *2 (-765)) (-4 *3 (-1049)))) (-2294 (*1 *1 *2) (-12 (-5 *2 (-681 *4)) (-4 *4 (-1049)) (-5 *1 (-1130 *3 *4)) (-14 *3 (-765))))) 
-(-13 (-1114 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-681 |#2|)) (-10 -8 (-15 -3976 ($ $)) (-15 -2294 ($ (-681 |#2|))) (-15 -3956 ((-681 |#2|) $)) (IF (|has| |#2| (-6 (-4573 "*"))) (-6 -4560) |noBranch|) (IF (|has| |#2| (-6 (-4573 "*"))) (IF (|has| |#2| (-6 -4568)) (-6 -4568) |noBranch|) |noBranch|) (IF (|has| |#2| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
-((-2917 (($ $) 19)) (-1735 (($ $ (-148)) 10) (($ $ (-143)) 14)) (-2273 (((-121) $ $) 24)) (-3027 (($ $) 17)) (-2503 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) NIL) (($ $ (-1219 (-569))) NIL) (($ $ $) 29)) (-3956 (($ (-148)) 27) (((-852) $) NIL))) 
-(((-1131 |#1|) (-10 -8 (-15 -3956 ((-852) |#1|)) (-15 -2503 (|#1| |#1| |#1|)) (-15 -1735 (|#1| |#1| (-143))) (-15 -1735 (|#1| |#1| (-148))) (-15 -3956 (|#1| (-148))) (-15 -2273 ((-121) |#1| |#1|)) (-15 -2917 (|#1| |#1|)) (-15 -3027 (|#1| |#1|)) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2503 ((-148) |#1| (-569))) (-15 -2503 ((-148) |#1| (-569) (-148)))) (-1132)) (T -1131)) 
-NIL 
-(-10 -8 (-15 -3956 ((-852) |#1|)) (-15 -2503 (|#1| |#1| |#1|)) (-15 -1735 (|#1| |#1| (-143))) (-15 -1735 (|#1| |#1| (-148))) (-15 -3956 (|#1| (-148))) (-15 -2273 ((-121) |#1| |#1|)) (-15 -2917 (|#1| |#1|)) (-15 -3027 (|#1| |#1|)) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2503 ((-148) |#1| (-569))) (-15 -2503 ((-148) |#1| (-569) (-148)))) 
-((-1310 (((-121) $ $) 18 (|has| (-148) (-1093)))) (-3507 (($ $) 113)) (-2917 (($ $) 114)) (-1735 (($ $ (-148)) 101) (($ $ (-143)) 100)) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-2211 (((-121) $ $) 111)) (-2167 (((-121) $ $ (-569)) 110)) (-2009 (((-635 $) $ (-148)) 103) (((-635 $) $ (-143)) 102)) (-3382 (((-121) (-1 (-121) (-148) (-148)) $) 91) (((-121) $) 85 (|has| (-148) (-844)))) (-1744 (($ (-1 (-121) (-148) (-148)) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| (-148) (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) (-148) (-148)) $) 92) (($ $) 86 (|has| (-148) (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 (((-148) $ (-569) (-148)) 49 (|has| $ (-6 -4572))) (((-148) $ (-1219 (-569)) (-148)) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-148)) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-3494 (($ $ (-148)) 97) (($ $ (-143)) 96)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-3652 (($ $ (-1219 (-569)) $) 107)) (-1858 (($ $) 73 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ (-148) $) 72 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-148)) $) 69 (|has| $ (-6 -4571)))) (-2793 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) 71 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) 68 (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $) 67 (|has| $ (-6 -4571)))) (-3982 (((-148) $ (-569) (-148)) 50 (|has| $ (-6 -4572)))) (-4124 (((-148) $ (-569)) 48)) (-2273 (((-121) $ $) 112)) (-3988 (((-569) (-1 (-121) (-148)) $) 90) (((-569) (-148) $) 89 (|has| (-148) (-1093))) (((-569) (-148) $ (-569)) 88 (|has| (-148) (-1093))) (((-569) $ $ (-569)) 106) (((-569) (-143) $ (-569)) 105)) (-4303 (((-635 (-148)) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-148)) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| (-148) (-844)))) (-2102 (($ (-1 (-121) (-148) (-148)) $ $) 94) (($ $ $) 87 (|has| (-148) (-844)))) (-4457 (((-635 (-148)) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) (-148) $) 27 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| (-148) (-844)))) (-2523 (((-121) $ $ (-148)) 108)) (-2907 (((-765) $ $ (-148)) 109)) (-2089 (($ (-1 (-148) (-148)) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-148) (-148)) $) 35) (($ (-1 (-148) (-148) (-148)) $ $) 59)) (-1328 (($ $) 115)) (-3027 (($ $) 116)) (-1396 (((-121) $ (-765)) 10)) (-1880 (($ $ (-148)) 99) (($ $ (-143)) 98)) (-2605 (((-1147) $) 22 (|has| (-148) (-1093)))) (-2583 (($ (-148) $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| (-148) (-1093)))) (-1816 (((-148) $) 39 (|has| (-569) (-844)))) (-2569 (((-3 (-148) "failed") (-1 (-121) (-148)) $) 66)) (-2417 (($ $ (-148)) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-148)) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-148)))) 26 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-289 (-148))) 25 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-148) (-148)) 24 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-635 (-148)) (-635 (-148))) 23 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) (-148) $) 42 (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-4283 (((-635 (-148)) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 (((-148) $ (-569) (-148)) 47) (((-148) $ (-569)) 46) (($ $ (-1219 (-569))) 58) (($ $ $) 95)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) (-148)) $) 31 (|has| $ (-6 -4571))) (((-765) (-148) $) 28 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| (-148) (-610 (-542))))) (-3124 (($ (-635 (-148))) 65)) (-4456 (($ $ (-148)) 63) (($ (-148) $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (($ (-148)) 104) (((-852) $) 20 (|has| (-148) (-1093)))) (-3776 (((-121) (-1 (-121) (-148)) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 77 (|has| (-148) (-844)))) (-1343 (((-121) $ $) 76 (|has| (-148) (-844)))) (-1326 (((-121) $ $) 19 (|has| (-148) (-1093)))) (-1349 (((-121) $ $) 78 (|has| (-148) (-844)))) (-1337 (((-121) $ $) 75 (|has| (-148) (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-1132) (-1284)) (T -1132)) 
-((-3027 (*1 *1 *1) (-4 *1 (-1132))) (-1328 (*1 *1 *1) (-4 *1 (-1132))) (-2917 (*1 *1 *1) (-4 *1 (-1132))) (-3507 (*1 *1 *1) (-4 *1 (-1132))) (-2273 (*1 *2 *1 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-121)))) (-2211 (*1 *2 *1 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-121)))) (-2167 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-569)) (-5 *2 (-121)))) (-2907 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-148)) (-5 *2 (-765)))) (-2523 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-148)) (-5 *2 (-121)))) (-3652 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-1219 (-569))))) (-3988 (*1 *2 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-569)))) (-3988 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-569)) (-5 *3 (-143)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-148)) (-4 *1 (-1132)))) (-2009 (*1 *2 *1 *3) (-12 (-5 *3 (-148)) (-5 *2 (-635 *1)) (-4 *1 (-1132)))) (-2009 (*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-635 *1)) (-4 *1 (-1132)))) (-1735 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148)))) (-1735 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) (-1880 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148)))) (-1880 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) (-3494 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148)))) (-3494 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) (-2503 (*1 *1 *1 *1) (-4 *1 (-1132)))) 
-(-13 (-19 (-148)) (-10 -8 (-15 -3027 ($ $)) (-15 -1328 ($ $)) (-15 -2917 ($ $)) (-15 -3507 ($ $)) (-15 -2273 ((-121) $ $)) (-15 -2211 ((-121) $ $)) (-15 -2167 ((-121) $ $ (-569))) (-15 -2907 ((-765) $ $ (-148))) (-15 -2523 ((-121) $ $ (-148))) (-15 -3652 ($ $ (-1219 (-569)) $)) (-15 -3988 ((-569) $ $ (-569))) (-15 -3988 ((-569) (-143) $ (-569))) (-15 -3956 ($ (-148))) (-15 -2009 ((-635 $) $ (-148))) (-15 -2009 ((-635 $) $ (-143))) (-15 -1735 ($ $ (-148))) (-15 -1735 ($ $ (-143))) (-15 -1880 ($ $ (-148))) (-15 -1880 ($ $ (-143))) (-15 -3494 ($ $ (-148))) (-15 -3494 ($ $ (-143))) (-15 -2503 ($ $ $)))) 
-(((-39) . T) ((-105) -1929 (|has| (-148) (-1093)) (|has| (-148) (-844))) ((-609 (-852)) -1929 (|has| (-148) (-1093)) (|has| (-148) (-844))) ((-155 (-148)) . T) ((-610 (-542)) |has| (-148) (-610 (-542))) ((-282 (-569) (-148)) . T) ((-284 (-569) (-148)) . T) ((-304 (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))) ((-376 (-148)) . T) ((-500 (-148)) . T) ((-602 (-569) (-148)) . T) ((-524 (-148) (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))) ((-641 (-148)) . T) ((-19 (-148)) . T) ((-844) |has| (-148) (-844)) ((-1093) -1929 (|has| (-148) (-1093)) (|has| (-148) (-844))) ((-1199) . T)) 
-((-3649 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765)) 93)) (-3877 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|) 54) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765)) 53)) (-2847 (((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)) 85)) (-2888 (((-765) (-635 |#4|) (-635 |#5|)) 27)) (-2541 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765)) 55) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121)) 57)) (-3861 (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121)) 76) (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121)) 77)) (-4035 (((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) 80)) (-1570 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|) 52)) (-2986 (((-765) (-635 |#4|) (-635 |#5|)) 19))) 
-(((-1133 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2986 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -2888 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -1570 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3649 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765))) (-15 -4035 ((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -2847 ((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1102 |#1| |#2| |#3| |#4|)) (T -1133)) 
-((-2847 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *4 (-765)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-1258)) (-5 *1 (-1133 *5 *6 *7 *8 *9)))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1102 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1147)) (-5 *1 (-1133 *4 *5 *6 *7 *8)))) (-3649 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4320 *11)))))) (-5 *6 (-765)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4320 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1063 *7 *8 *9)) (-4 *11 (-1102 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-5 *1 (-1133 *7 *8 *9 *10 *11)))) (-3861 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1133 *5 *6 *7 *8 *9)))) (-3861 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1133 *5 *6 *7 *8 *9)))) (-2541 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3)))) (-2541 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *6 *7 *8 *3 *4)) (-4 *4 (-1102 *6 *7 *8 *3)))) (-2541 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-765)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-4 *3 (-1063 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *7 *8 *9 *3 *4)) (-4 *4 (-1102 *7 *8 *9 *3)))) (-3877 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3)))) (-3877 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *6 *7 *8 *3 *4)) (-4 *4 (-1102 *6 *7 *8 *3)))) (-1570 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3)))) (-2888 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1133 *5 *6 *7 *8 *9)))) (-2986 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1133 *5 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -2986 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -2888 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -1570 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3649 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765))) (-15 -4035 ((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -2847 ((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)))) 
-((-1310 (((-121) $ $) NIL)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) NIL)) (-3202 (((-635 $) (-635 |#4|)) 109) (((-635 $) (-635 |#4|) (-121)) 110) (((-635 $) (-635 |#4|) (-121) (-121)) 108) (((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121)) 111)) (-3195 (((-635 |#3|) $) NIL)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1815 ((|#4| |#4| $) NIL)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 83)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 61)) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) 26 (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3279 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) NIL)) (-1321 (($ (-635 |#4|)) NIL)) (-1864 (((-3 $ "failed") $) 39)) (-3562 ((|#4| |#4| $) 64)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-3503 (($ |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 77 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-4417 ((|#4| |#4| $) NIL)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) NIL)) (-4018 (((-121) |#4| $) NIL)) (-3594 (((-121) |#4| $) NIL)) (-4508 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3332 (((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121)) 123)) (-4303 (((-635 |#4|) $) 16 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#4|) $) 17 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-2089 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 21)) (-3069 (((-635 |#3|) $) NIL)) (-2107 (((-121) |#3| $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) NIL)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 102)) (-3302 (((-3 |#4| "failed") $) 37)) (-2079 (((-635 $) |#4| $) 87)) (-2090 (((-3 (-121) (-635 $)) |#4| $) NIL)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 97) (((-121) |#4| $) 52)) (-1433 (((-635 $) |#4| $) 106) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 107) (((-635 $) |#4| (-635 $)) NIL)) (-4012 (((-635 $) (-635 |#4|) (-121) (-121) (-121)) 118)) (-3487 (($ |#4| $) 74) (($ (-635 |#4|) $) 75) (((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 73)) (-1536 (((-635 |#4|) $) NIL)) (-2114 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2709 ((|#4| |#4| $) NIL)) (-1861 (((-121) $ $) NIL)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1910 ((|#4| |#4| $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-3 |#4| "failed") $) 35)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4300 (((-3 $ "failed") $ |#4|) 47)) (-3803 (($ $ |#4|) NIL) (((-635 $) |#4| $) 89) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 85)) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 15)) (-4016 (($) 13)) (-2284 (((-765) $) NIL)) (-2691 (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) 12)) (-4035 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 20)) (-2201 (($ $ |#3|) 42)) (-4081 (($ $ |#3|) 43)) (-2406 (($ $) NIL)) (-2239 (($ $ |#3|) NIL)) (-3956 (((-852) $) 31) (((-635 |#4|) $) 40)) (-1448 (((-765) $) NIL (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-2272 (((-635 $) |#4| $) 53) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) NIL)) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) NIL)) (-3267 (((-121) |#4| $) NIL)) (-3345 (((-121) |#3| $) 60)) (-1326 (((-121) $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1134 |#1| |#2| |#3| |#4|) (-13 (-1102 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3487 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4012 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3332 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -1134)) 
-((-3487 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *3))) (-5 *1 (-1134 *5 *6 *7 *3)) (-4 *3 (-1063 *5 *6 *7)))) (-3202 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8)))) (-3202 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8)))) (-4012 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8)))) (-3332 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1134 *5 *6 *7 *8))))) (-5 *1 (-1134 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
-(-13 (-1102 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3487 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4012 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3332 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1941 ((|#1| $) 28)) (-1537 (($ (-635 |#1|)) 33)) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-2692 ((|#1| |#1| $) 30)) (-3651 ((|#1| $) 26)) (-4303 (((-635 |#1|) $) 34 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 37)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) 29)) (-2351 (($ |#1| $) 31)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2166 ((|#1| $) 27)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 24)) (-4016 (($) 32)) (-2676 (((-765) $) 22)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 20)) (-3956 (((-852) $) 17 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 12 (|has| |#1| (-1093)))) (-2946 (((-765) $) 23 (|has| $ (-6 -4571))))) 
-(((-1135 |#1|) (-13 (-1112 |#1|) (-10 -8 (-15 -1537 ($ (-635 |#1|))) (-15 -3651 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1941 (|#1| $)) (-15 -2676 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) (-1093)) (T -1135)) 
-((-3186 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-4016 (*1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-1396 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093)))) (-3206 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093)))) (-3350 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093)))) (-4483 (*1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-2946 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-1135 *3)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1135 *4)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1135 *4)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-1135 *4)))) (-4303 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-4457 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-2691 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3016 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-2605 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1310 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3)))) (-2166 (*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-4496 (*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-2692 (*1 *2 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-3651 (*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-1941 (*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-2676 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-1537 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3))))) 
-(-13 (-1112 |#1|) (-10 -8 (-15 -1537 ($ (-635 |#1|))) (-15 -3651 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1941 (|#1| $)) (-15 -2676 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) 
-((-2511 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) NIL) (($ $ "rest" $) NIL) ((|#2| $ "last" |#2|) NIL) ((|#2| $ (-1219 (-569)) |#2|) 43) ((|#2| $ (-569) |#2|) 40)) (-1292 (((-121) $) 11)) (-2089 (($ (-1 |#2| |#2|) $) 38)) (-1816 ((|#2| $) NIL) (($ $ (-765)) 16)) (-2417 (($ $ |#2|) 39)) (-4363 (((-121) $) 10)) (-2503 ((|#2| $ "value") NIL) ((|#2| $ "first") NIL) (($ $ "rest") NIL) ((|#2| $ "last") NIL) (($ $ (-1219 (-569))) 30) ((|#2| $ (-569)) 22) ((|#2| $ (-569) |#2|) NIL)) (-4422 (($ $ $) 46) (($ $ |#2|) NIL)) (-4456 (($ $ $) 32) (($ |#2| $) NIL) (($ (-635 $)) 35) (($ $ |#2|) NIL))) 
-(((-1136 |#1| |#2|) (-10 -8 (-15 -1292 ((-121) |#1|)) (-15 -4363 ((-121) |#1|)) (-15 -2511 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -2417 (|#1| |#1| |#2|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -4456 (|#1| (-635 |#1|))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2511 (|#2| |#1| (-1219 (-569)) |#2|)) (-15 -2511 (|#2| |#1| "last" |#2|)) (-15 -2511 (|#1| |#1| "rest" |#1|)) (-15 -2511 (|#2| |#1| "first" |#2|)) (-15 -4422 (|#1| |#1| |#2|)) (-15 -4422 (|#1| |#1| |#1|)) (-15 -2503 (|#2| |#1| "last")) (-15 -2503 (|#1| |#1| "rest")) (-15 -1816 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "first")) (-15 -1816 (|#2| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#1|)) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|))) (-1137 |#2|) (-1199)) (T -1136)) 
-NIL 
-(-10 -8 (-15 -1292 ((-121) |#1|)) (-15 -4363 ((-121) |#1|)) (-15 -2511 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -2417 (|#1| |#1| |#2|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -4456 (|#1| (-635 |#1|))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2511 (|#2| |#1| (-1219 (-569)) |#2|)) (-15 -2511 (|#2| |#1| "last" |#2|)) (-15 -2511 (|#1| |#1| "rest" |#1|)) (-15 -2511 (|#2| |#1| "first" |#2|)) (-15 -4422 (|#1| |#1| |#2|)) (-15 -4422 (|#1| |#1| |#1|)) (-15 -2503 (|#2| |#1| "last")) (-15 -2503 (|#1| |#1| "rest")) (-15 -1816 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "first")) (-15 -1816 (|#2| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#1|)) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-1823 ((|#1| $) 62)) (-2394 (($ $) 64)) (-1403 (((-1258) $ (-569) (-569)) 94 (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 49 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2908 (($ $ $) 53 (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) 51 (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 55 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4572))) (($ $ "rest" $) 52 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 114 (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4571)))) (-4024 ((|#1| $) 63)) (-4483 (($) 7 T CONST)) (-1864 (($ $) 70) (($ $ (-765)) 68)) (-1858 (($ $) 96 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4571))) (($ |#1| $) 97 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3982 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 84)) (-1292 (((-121) $) 80)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) 105)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 92 (|has| (-569) (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 91 (|has| (-569) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-3302 ((|#1| $) 67) (($ $ (-765)) 65)) (-2583 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-2761 (((-635 (-569)) $) 89)) (-3292 (((-121) (-569) $) 88)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 73) (($ $ (-765)) 71)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-2417 (($ $ |#1|) 93 (|has| $ (-6 -4572)))) (-4363 (((-121) $) 81)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 87)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1219 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-3248 (((-569) $ $) 41)) (-2077 (($ $ (-1219 (-569))) 111) (($ $ (-569)) 110)) (-1630 (((-121) $) 43)) (-2588 (($ $) 59)) (-1390 (($ $) 56 (|has| $ (-6 -4572)))) (-3977 (((-765) $) 60)) (-2483 (($ $) 61)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 104)) (-4422 (($ $ $) 58 (|has| $ (-6 -4572))) (($ $ |#1|) 57 (|has| $ (-6 -4572)))) (-4456 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-1137 |#1|) (-1284) (-1199)) (T -1137)) 
-((-4363 (*1 *2 *1) (-12 (-4 *1 (-1137 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-1292 (*1 *2 *1) (-12 (-4 *1 (-1137 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
-(-13 (-1240 |t#1|) (-641 |t#1|) (-10 -8 (-15 -4363 ((-121) $)) (-15 -1292 ((-121) $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T) ((-1240 |#1|) . T)) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) NIL)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) NIL)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1138 |#1| |#2| |#3|) (-1176 |#1| |#2|) (-1093) (-1093) |#2|) (T -1138)) 
-NIL 
-(-1176 |#1| |#2|) 
-((-1310 (((-121) $ $) 7)) (-1542 (((-3 $ "failed") $) 12)) (-2605 (((-1147) $) 9)) (-1423 (($) 13 T CONST)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
-(((-1139) (-1284)) (T -1139)) 
-((-1423 (*1 *1) (-4 *1 (-1139))) (-1542 (*1 *1 *1) (|partial| -4 *1 (-1139)))) 
-(-13 (-1093) (-10 -8 (-15 -1423 ($) -3575) (-15 -1542 ((-3 $ "failed") $)))) 
-(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
-((-3140 (((-1145 |#1|) (-1145 |#1|)) 17)) (-3380 (((-1145 |#1|) (-1145 |#1|)) 13)) (-4195 (((-1145 |#1|) (-1145 |#1|) (-569) (-569)) 20)) (-1401 (((-1145 |#1|) (-1145 |#1|)) 15))) 
-(((-1140 |#1|) (-10 -7 (-15 -3380 ((-1145 |#1|) (-1145 |#1|))) (-15 -1401 ((-1145 |#1|) (-1145 |#1|))) (-15 -3140 ((-1145 |#1|) (-1145 |#1|))) (-15 -4195 ((-1145 |#1|) (-1145 |#1|) (-569) (-569)))) (-13 (-559) (-151))) (T -1140)) 
-((-4195 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1140 *4)))) (-3140 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3)))) (-1401 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3)))) (-3380 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3))))) 
-(-10 -7 (-15 -3380 ((-1145 |#1|) (-1145 |#1|))) (-15 -1401 ((-1145 |#1|) (-1145 |#1|))) (-15 -3140 ((-1145 |#1|) (-1145 |#1|))) (-15 -4195 ((-1145 |#1|) (-1145 |#1|) (-569) (-569)))) 
-((-2447 (((-1145 |#1|) (-1145 |#1|) (-1 (-635 |#1|) |#1|)) 16))) 
-(((-1141 |#1|) (-10 -7 (-15 -2447 ((-1145 |#1|) (-1145 |#1|) (-1 (-635 |#1|) |#1|)))) (-1199)) (T -1141)) 
-((-2447 (*1 *2 *2 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-1 (-635 *4) *4)) (-4 *4 (-1199)) (-5 *1 (-1141 *4))))) 
-(-10 -7 (-15 -2447 ((-1145 |#1|) (-1145 |#1|) (-1 (-635 |#1|) |#1|)))) 
-((-4456 (((-1145 |#1|) (-1145 (-1145 |#1|))) 15))) 
-(((-1142 |#1|) (-10 -7 (-15 -4456 ((-1145 |#1|) (-1145 (-1145 |#1|))))) (-1199)) (T -1142)) 
-((-4456 (*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1142 *4)) (-4 *4 (-1199))))) 
-(-10 -7 (-15 -4456 ((-1145 |#1|) (-1145 (-1145 |#1|))))) 
-((-2247 (((-1145 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|)) 25)) (-2793 ((|#2| |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|)) 26)) (-4188 (((-1145 |#2|) (-1 |#2| |#1|) (-1145 |#1|)) 16))) 
-(((-1143 |#1| |#2|) (-10 -7 (-15 -4188 ((-1145 |#2|) (-1 |#2| |#1|) (-1145 |#1|))) (-15 -2247 ((-1145 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|))) (-15 -2793 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|)))) (-1199) (-1199)) (T -1143)) 
-((-2793 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1145 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-1143 *5 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1145 *6)) (-4 *6 (-1199)) (-4 *3 (-1199)) (-5 *2 (-1145 *3)) (-5 *1 (-1143 *6 *3)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1145 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1145 *6)) (-5 *1 (-1143 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-1145 |#2|) (-1 |#2| |#1|) (-1145 |#1|))) (-15 -2247 ((-1145 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|))) (-15 -2793 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|)))) 
-((-4188 (((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-1145 |#2|)) 21))) 
-(((-1144 |#1| |#2| |#3|) (-10 -7 (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-1145 |#2|)))) (-1199) (-1199) (-1199)) (T -1144)) 
-((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1145 *6)) (-5 *5 (-1145 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-1144 *6 *7 *8))))) 
-(-10 -7 (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-1145 |#2|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) NIL)) (-1823 ((|#1| $) NIL)) (-2394 (($ $) 48)) (-1403 (((-1258) $ (-569) (-569)) 73 (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 107 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-4515 (((-852) $) 37 (|has| |#1| (-1093)))) (-3432 (((-121)) 38 (|has| |#1| (-1093)))) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) 95 (|has| $ (-6 -4572))) (($ $ (-569) $) 117)) (-2450 ((|#1| $ |#1|) 104 (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 99 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 101 (|has| $ (-6 -4572))) (($ $ "rest" $) 103 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) 106 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 86 (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) 52 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 55)) (-4024 ((|#1| $) NIL)) (-4483 (($) NIL T CONST)) (-3788 (($ $) 14)) (-1864 (($ $) 28) (($ $ (-765)) 85)) (-2861 (((-121) (-635 |#1|) $) 112 (|has| |#1| (-1093)))) (-2012 (($ (-635 |#1|)) 109)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) 54)) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-1292 (((-121) $) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-1957 (((-1258) (-569) $) 116 (|has| |#1| (-1093)))) (-1938 (((-765) $) 114)) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 70 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 60) (($ (-1 |#1| |#1| |#1|) $ $) 64)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2176 (($ $) 87)) (-1849 (((-121) $) 13)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-3302 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) 71)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2109 (($ (-1 |#1|)) 119) (($ (-1 |#1| |#1|) |#1|) 120)) (-2409 ((|#1| $) 10)) (-1816 ((|#1| $) 27) (($ $ (-765)) 46)) (-3855 (((-2 (|:| |cycle?| (-121)) (|:| -1410 (-765)) (|:| |period| (-765))) (-765) $) 24)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2128 (($ (-1 (-121) |#1|) $) 121)) (-2134 (($ (-1 (-121) |#1|) $) 122)) (-2417 (($ $ |#1|) 65 (|has| $ (-6 -4572)))) (-3803 (($ $ (-569)) 31)) (-4363 (((-121) $) 69)) (-1385 (((-121) $) 12)) (-3522 (((-121) $) 113)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 20)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) 15)) (-4016 (($) 40)) (-2503 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1219 (-569))) NIL) ((|#1| $ (-569)) 51) ((|#1| $ (-569) |#1|) NIL)) (-3248 (((-569) $ $) 45)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2393 (($ (-1 $)) 44)) (-1630 (((-121) $) 66)) (-2588 (($ $) 67)) (-1390 (($ $) 96 (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 41)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 50)) (-1792 (($ |#1| $) 94)) (-4422 (($ $ $) 97 (|has| $ (-6 -4572))) (($ $ |#1|) 98 (|has| $ (-6 -4572)))) (-4456 (($ $ $) 75) (($ |#1| $) 42) (($ (-635 $)) 80) (($ $ |#1|) 74)) (-2994 (($ $) 47)) (-3956 (((-852) $) 39 (|has| |#1| (-1093))) (($ (-635 |#1|)) 108)) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 111 (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1145 |#1|) (-13 (-666 |#1|) (-10 -8 (-6 -4572) (-15 -3956 ($ (-635 |#1|))) (-15 -2012 ($ (-635 |#1|))) (IF (|has| |#1| (-1093)) (-15 -2861 ((-121) (-635 |#1|) $)) |noBranch|) (-15 -3855 ((-2 (|:| |cycle?| (-121)) (|:| -1410 (-765)) (|:| |period| (-765))) (-765) $)) (-15 -2393 ($ (-1 $))) (-15 -1792 ($ |#1| $)) (IF (|has| |#1| (-1093)) (PROGN (-15 -1957 ((-1258) (-569) $)) (-15 -4515 ((-852) $)) (-15 -3432 ((-121)))) |noBranch|) (-15 -2908 ($ $ (-569) $)) (-15 -2109 ($ (-1 |#1|))) (-15 -2109 ($ (-1 |#1| |#1|) |#1|)) (-15 -2128 ($ (-1 (-121) |#1|) $)) (-15 -2134 ($ (-1 (-121) |#1|) $)))) (-1199)) (T -1145)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) (-2012 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) (-2861 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-4 *4 (-1199)) (-5 *2 (-121)) (-5 *1 (-1145 *4)))) (-3855 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -1410 (-765)) (|:| |period| (-765)))) (-5 *1 (-1145 *4)) (-4 *4 (-1199)) (-5 *3 (-765)))) (-2393 (*1 *1 *2) (-12 (-5 *2 (-1 (-1145 *3))) (-5 *1 (-1145 *3)) (-4 *3 (-1199)))) (-1792 (*1 *1 *2 *1) (-12 (-5 *1 (-1145 *2)) (-4 *2 (-1199)))) (-1957 (*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1145 *4)) (-4 *4 (-1093)) (-4 *4 (-1199)))) (-4515 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1145 *3)) (-4 *3 (-1093)) (-4 *3 (-1199)))) (-3432 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1145 *3)) (-4 *3 (-1093)) (-4 *3 (-1199)))) (-2908 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1145 *3)) (-4 *3 (-1199)))) (-2109 (*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) (-2109 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) (-2128 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) (-2134 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3))))) 
-(-13 (-666 |#1|) (-10 -8 (-6 -4572) (-15 -3956 ($ (-635 |#1|))) (-15 -2012 ($ (-635 |#1|))) (IF (|has| |#1| (-1093)) (-15 -2861 ((-121) (-635 |#1|) $)) |noBranch|) (-15 -3855 ((-2 (|:| |cycle?| (-121)) (|:| -1410 (-765)) (|:| |period| (-765))) (-765) $)) (-15 -2393 ($ (-1 $))) (-15 -1792 ($ |#1| $)) (IF (|has| |#1| (-1093)) (PROGN (-15 -1957 ((-1258) (-569) $)) (-15 -4515 ((-852) $)) (-15 -3432 ((-121)))) |noBranch|) (-15 -2908 ($ $ (-569) $)) (-15 -2109 ($ (-1 |#1|))) (-15 -2109 ($ (-1 |#1| |#1|) |#1|)) (-15 -2128 ($ (-1 (-121) |#1|) $)) (-15 -2134 ($ (-1 (-121) |#1|) $)))) 
-((-1310 (((-121) $ $) 18)) (-3507 (($ $) 113)) (-2917 (($ $) 114)) (-1735 (($ $ (-148)) 101) (($ $ (-143)) 100)) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-2211 (((-121) $ $) 111)) (-2167 (((-121) $ $ (-569)) 110)) (-3257 (($ (-569)) 118)) (-2009 (((-635 $) $ (-148)) 103) (((-635 $) $ (-143)) 102)) (-3382 (((-121) (-1 (-121) (-148) (-148)) $) 91) (((-121) $) 85 (|has| (-148) (-844)))) (-1744 (($ (-1 (-121) (-148) (-148)) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| (-148) (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) (-148) (-148)) $) 92) (($ $) 86 (|has| (-148) (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 (((-148) $ (-569) (-148)) 49 (|has| $ (-6 -4572))) (((-148) $ (-1219 (-569)) (-148)) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-148)) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-3494 (($ $ (-148)) 97) (($ $ (-143)) 96)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-3652 (($ $ (-1219 (-569)) $) 107)) (-1858 (($ $) 73 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ (-148) $) 72 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-148)) $) 69 (|has| $ (-6 -4571)))) (-2793 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) 71 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) 68 (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $) 67 (|has| $ (-6 -4571)))) (-3982 (((-148) $ (-569) (-148)) 50 (|has| $ (-6 -4572)))) (-4124 (((-148) $ (-569)) 48)) (-2273 (((-121) $ $) 112)) (-3988 (((-569) (-1 (-121) (-148)) $) 90) (((-569) (-148) $) 89 (|has| (-148) (-1093))) (((-569) (-148) $ (-569)) 88 (|has| (-148) (-1093))) (((-569) $ $ (-569)) 106) (((-569) (-143) $ (-569)) 105)) (-4303 (((-635 (-148)) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-148)) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| (-148) (-844)))) (-2102 (($ (-1 (-121) (-148) (-148)) $ $) 94) (($ $ $) 87 (|has| (-148) (-844)))) (-4457 (((-635 (-148)) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) (-148) $) 27 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| (-148) (-844)))) (-2523 (((-121) $ $ (-148)) 108)) (-2907 (((-765) $ $ (-148)) 109)) (-2089 (($ (-1 (-148) (-148)) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-148) (-148)) $) 35) (($ (-1 (-148) (-148) (-148)) $ $) 59)) (-1328 (($ $) 115)) (-3027 (($ $) 116)) (-1396 (((-121) $ (-765)) 10)) (-1880 (($ $ (-148)) 99) (($ $ (-143)) 98)) (-2605 (((-1147) $) 22)) (-2583 (($ (-148) $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21)) (-1816 (((-148) $) 39 (|has| (-569) (-844)))) (-2569 (((-3 (-148) "failed") (-1 (-121) (-148)) $) 66)) (-2417 (($ $ (-148)) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-148)) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-148)))) 26 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-289 (-148))) 25 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-148) (-148)) 24 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-635 (-148)) (-635 (-148))) 23 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) (-148) $) 42 (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-4283 (((-635 (-148)) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 (((-148) $ (-569) (-148)) 47) (((-148) $ (-569)) 46) (($ $ (-1219 (-569))) 58) (($ $ $) 95)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) (-148)) $) 31 (|has| $ (-6 -4571))) (((-765) (-148) $) 28 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| (-148) (-610 (-542))))) (-3124 (($ (-635 (-148))) 65)) (-4456 (($ $ (-148)) 63) (($ (-148) $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (($ (-148)) 104) (((-852) $) 20)) (-3776 (((-121) (-1 (-121) (-148)) $) 33 (|has| $ (-6 -4571)))) (-3685 (((-1147) $) 122) (((-1147) $ (-121)) 121) (((-1258) (-819) $) 120) (((-1258) (-819) $ (-121)) 119)) (-1355 (((-121) $ $) 77 (|has| (-148) (-844)))) (-1343 (((-121) $ $) 76 (|has| (-148) (-844)))) (-1326 (((-121) $ $) 19)) (-1349 (((-121) $ $) 78 (|has| (-148) (-844)))) (-1337 (((-121) $ $) 75 (|has| (-148) (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-1146) (-1284)) (T -1146)) 
-((-3257 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1146))))) 
-(-13 (-1132) (-1093) (-825) (-10 -8 (-15 -3257 ($ (-569))))) 
-(((-39) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 (-148)) . T) ((-610 (-542)) |has| (-148) (-610 (-542))) ((-282 (-569) (-148)) . T) ((-284 (-569) (-148)) . T) ((-304 (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))) ((-376 (-148)) . T) ((-500 (-148)) . T) ((-602 (-569) (-148)) . T) ((-524 (-148) (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))) ((-641 (-148)) . T) ((-19 (-148)) . T) ((-825) . T) ((-844) |has| (-148) (-844)) ((-1093) . T) ((-1132) . T) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL)) (-3507 (($ $) NIL)) (-2917 (($ $) NIL)) (-1735 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2211 (((-121) $ $) NIL)) (-2167 (((-121) $ $ (-569)) NIL)) (-3257 (($ (-569)) 7)) (-2009 (((-635 $) $ (-148)) NIL) (((-635 $) $ (-143)) NIL)) (-3382 (((-121) (-1 (-121) (-148) (-148)) $) NIL) (((-121) $) NIL (|has| (-148) (-844)))) (-1744 (($ (-1 (-121) (-148) (-148)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-148) (-844))))) (-2930 (($ (-1 (-121) (-148) (-148)) $) NIL) (($ $) NIL (|has| (-148) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4572))) (((-148) $ (-1219 (-569)) (-148)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-3494 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-3652 (($ $ (-1219 (-569)) $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-3503 (($ (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093)))) (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4572)))) (-4124 (((-148) $ (-569)) NIL)) (-2273 (((-121) $ $) NIL)) (-3988 (((-569) (-1 (-121) (-148)) $) NIL) (((-569) (-148) $) NIL (|has| (-148) (-1093))) (((-569) (-148) $ (-569)) NIL (|has| (-148) (-1093))) (((-569) $ $ (-569)) NIL) (((-569) (-143) $ (-569)) NIL)) (-4303 (((-635 (-148)) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-148)) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-148) (-844)))) (-2102 (($ (-1 (-121) (-148) (-148)) $ $) NIL) (($ $ $) NIL (|has| (-148) (-844)))) (-4457 (((-635 (-148)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-148) (-844)))) (-2523 (((-121) $ $ (-148)) NIL)) (-2907 (((-765) $ $ (-148)) NIL)) (-2089 (($ (-1 (-148) (-148)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-148) (-148)) $) NIL) (($ (-1 (-148) (-148) (-148)) $ $) NIL)) (-1328 (($ $) NIL)) (-3027 (($ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1880 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-2605 (((-1147) $) NIL)) (-2583 (($ (-148) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-148) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-2417 (($ $ (-148)) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-4283 (((-635 (-148)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) NIL) (($ $ (-1219 (-569))) NIL) (($ $ $) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571))) (((-765) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-148) (-610 (-542))))) (-3124 (($ (-635 (-148))) NIL)) (-4456 (($ $ (-148)) NIL) (($ (-148) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (($ (-148)) NIL) (((-852) $) NIL)) (-3776 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-3685 (((-1147) $) 18) (((-1147) $ (-121)) 20) (((-1258) (-819) $) 21) (((-1258) (-819) $ (-121)) 22)) (-1355 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-148) (-844)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1147) (-1146)) (T -1147)) 
-NIL 
-(-1146) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)) (|has| |#1| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-1403 (((-1258) $ (-1147) (-1147)) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-1147) |#1|) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#1| "failed") (-1147) $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#1| "failed") (-1147) $) NIL)) (-3503 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-1147) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-1147)) NIL)) (-4303 (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-1147) $) NIL (|has| (-1147) (-844)))) (-4457 (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-1147) $) NIL (|has| (-1147) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)) (|has| |#1| (-1093))))) (-1316 (((-635 (-1147)) $) NIL)) (-1591 (((-121) (-1147) $) NIL)) (-4496 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2761 (((-635 (-1147)) $) NIL)) (-3292 (((-121) (-1147) $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)) (|has| |#1| (-1093))))) (-1816 ((|#1| $) NIL (|has| (-1147) (-844)))) (-2569 (((-3 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) "failed") (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-1147)) NIL) ((|#1| $ (-1147) |#1|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)) (|has| |#1| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)) (|has| |#1| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1148 |#1|) (-13 (-1176 (-1147) |#1|) (-10 -7 (-6 -4571))) (-1093)) (T -1148)) 
-NIL 
-(-13 (-1176 (-1147) |#1|) (-10 -7 (-6 -4571))) 
-((-1661 (((-1145 |#1|) (-1145 |#1|)) 77)) (-2611 (((-3 (-1145 |#1|) "failed") (-1145 |#1|)) 37)) (-2794 (((-1145 |#1|) (-410 (-569)) (-1145 |#1|)) 117 (|has| |#1| (-43 (-410 (-569)))))) (-2978 (((-1145 |#1|) |#1| (-1145 |#1|)) 121 (|has| |#1| (-366)))) (-1582 (((-1145 |#1|) (-1145 |#1|)) 90)) (-2939 (((-1145 (-569)) (-569)) 57)) (-2538 (((-1145 |#1|) (-1145 (-1145 |#1|))) 108 (|has| |#1| (-43 (-410 (-569)))))) (-2904 (((-1145 |#1|) (-569) (-569) (-1145 |#1|)) 95)) (-3558 (((-1145 |#1|) |#1| (-569)) 45)) (-2782 (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 60)) (-3778 (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 119 (|has| |#1| (-366)))) (-2766 (((-1145 |#1|) |#1| (-1 (-1145 |#1|))) 107 (|has| |#1| (-43 (-410 (-569)))))) (-2965 (((-1145 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1145 |#1|))) 120 (|has| |#1| (-366)))) (-2851 (((-1145 |#1|) (-1145 |#1|)) 89)) (-1451 (((-1145 |#1|) (-1145 |#1|)) 76)) (-1665 (((-1145 |#1|) (-569) (-569) (-1145 |#1|)) 96)) (-1324 (((-1145 |#1|) |#1| (-1145 |#1|)) 105 (|has| |#1| (-43 (-410 (-569)))))) (-2261 (((-1145 (-569)) (-569)) 56)) (-1763 (((-1145 |#1|) |#1|) 59)) (-1302 (((-1145 |#1|) (-1145 |#1|) (-569) (-569)) 92)) (-3333 (((-1145 |#1|) (-1 |#1| (-569)) (-1145 |#1|)) 66)) (-1436 (((-3 (-1145 |#1|) "failed") (-1145 |#1|) (-1145 |#1|)) 35)) (-1458 (((-1145 |#1|) (-1145 |#1|)) 91)) (-1484 (((-1145 |#1|) (-1145 |#1|) |#1|) 71)) (-3893 (((-1145 |#1|) (-1145 |#1|)) 62)) (-4532 (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 72)) (-3956 (((-1145 |#1|) |#1|) 67)) (-2429 (((-1145 |#1|) (-1145 (-1145 |#1|))) 82)) (-1383 (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 36)) (-1377 (((-1145 |#1|) (-1145 |#1|)) 21) (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 23)) (-1371 (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 17)) (* (((-1145 |#1|) (-1145 |#1|) |#1|) 29) (((-1145 |#1|) |#1| (-1145 |#1|)) 26) (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 27))) 
-(((-1149 |#1|) (-10 -7 (-15 -1371 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1377 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1377 ((-1145 |#1|) (-1145 |#1|))) (-15 * ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 * ((-1145 |#1|) |#1| (-1145 |#1|))) (-15 * ((-1145 |#1|) (-1145 |#1|) |#1|)) (-15 -1436 ((-3 (-1145 |#1|) "failed") (-1145 |#1|) (-1145 |#1|))) (-15 -1383 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -2611 ((-3 (-1145 |#1|) "failed") (-1145 |#1|))) (-15 -3558 ((-1145 |#1|) |#1| (-569))) (-15 -2261 ((-1145 (-569)) (-569))) (-15 -2939 ((-1145 (-569)) (-569))) (-15 -1763 ((-1145 |#1|) |#1|)) (-15 -2782 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3893 ((-1145 |#1|) (-1145 |#1|))) (-15 -3333 ((-1145 |#1|) (-1 |#1| (-569)) (-1145 |#1|))) (-15 -3956 ((-1145 |#1|) |#1|)) (-15 -1484 ((-1145 |#1|) (-1145 |#1|) |#1|)) (-15 -4532 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1451 ((-1145 |#1|) (-1145 |#1|))) (-15 -1661 ((-1145 |#1|) (-1145 |#1|))) (-15 -2429 ((-1145 |#1|) (-1145 (-1145 |#1|)))) (-15 -2851 ((-1145 |#1|) (-1145 |#1|))) (-15 -1582 ((-1145 |#1|) (-1145 |#1|))) (-15 -1458 ((-1145 |#1|) (-1145 |#1|))) (-15 -1302 ((-1145 |#1|) (-1145 |#1|) (-569) (-569))) (-15 -2904 ((-1145 |#1|) (-569) (-569) (-1145 |#1|))) (-15 -1665 ((-1145 |#1|) (-569) (-569) (-1145 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ((-1145 |#1|) |#1| (-1145 |#1|))) (-15 -2766 ((-1145 |#1|) |#1| (-1 (-1145 |#1|)))) (-15 -2538 ((-1145 |#1|) (-1145 (-1145 |#1|)))) (-15 -2794 ((-1145 |#1|) (-410 (-569)) (-1145 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3778 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -2965 ((-1145 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1145 |#1|)))) (-15 -2978 ((-1145 |#1|) |#1| (-1145 |#1|)))) |noBranch|)) (-1049)) (T -1149)) 
-((-2978 (*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-2965 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-569))) (-5 *5 (-1 (-1145 *4))) (-4 *4 (-366)) (-4 *4 (-1049)) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4)))) (-3778 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-2794 (*1 *2 *3 *2) (-12 (-5 *2 (-1145 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1049)) (-5 *3 (-410 (-569))) (-5 *1 (-1149 *4)))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049)))) (-2766 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1145 *3))) (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)))) (-1324 (*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1665 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) (-2904 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) (-1302 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) (-1458 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1582 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-2851 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-2429 (*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4)) (-4 *4 (-1049)))) (-1661 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1451 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-4532 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1484 (*1 *2 *2 *3) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-3956 (*1 *2 *3) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049)))) (-3333 (*1 *2 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-1 *4 (-569))) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) (-3893 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-2782 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1763 (*1 *2 *3) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049)))) (-2939 (*1 *2 *3) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1149 *4)) (-4 *4 (-1049)) (-5 *3 (-569)))) (-2261 (*1 *2 *3) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1149 *4)) (-4 *4 (-1049)) (-5 *3 (-569)))) (-3558 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049)))) (-2611 (*1 *2 *2) (|partial| -12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1383 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1436 (*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (* (*1 *2 *2 *3) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1377 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1377 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1371 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
-(-10 -7 (-15 -1371 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1377 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1377 ((-1145 |#1|) (-1145 |#1|))) (-15 * ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 * ((-1145 |#1|) |#1| (-1145 |#1|))) (-15 * ((-1145 |#1|) (-1145 |#1|) |#1|)) (-15 -1436 ((-3 (-1145 |#1|) "failed") (-1145 |#1|) (-1145 |#1|))) (-15 -1383 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -2611 ((-3 (-1145 |#1|) "failed") (-1145 |#1|))) (-15 -3558 ((-1145 |#1|) |#1| (-569))) (-15 -2261 ((-1145 (-569)) (-569))) (-15 -2939 ((-1145 (-569)) (-569))) (-15 -1763 ((-1145 |#1|) |#1|)) (-15 -2782 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3893 ((-1145 |#1|) (-1145 |#1|))) (-15 -3333 ((-1145 |#1|) (-1 |#1| (-569)) (-1145 |#1|))) (-15 -3956 ((-1145 |#1|) |#1|)) (-15 -1484 ((-1145 |#1|) (-1145 |#1|) |#1|)) (-15 -4532 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1451 ((-1145 |#1|) (-1145 |#1|))) (-15 -1661 ((-1145 |#1|) (-1145 |#1|))) (-15 -2429 ((-1145 |#1|) (-1145 (-1145 |#1|)))) (-15 -2851 ((-1145 |#1|) (-1145 |#1|))) (-15 -1582 ((-1145 |#1|) (-1145 |#1|))) (-15 -1458 ((-1145 |#1|) (-1145 |#1|))) (-15 -1302 ((-1145 |#1|) (-1145 |#1|) (-569) (-569))) (-15 -2904 ((-1145 |#1|) (-569) (-569) (-1145 |#1|))) (-15 -1665 ((-1145 |#1|) (-569) (-569) (-1145 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ((-1145 |#1|) |#1| (-1145 |#1|))) (-15 -2766 ((-1145 |#1|) |#1| (-1 (-1145 |#1|)))) (-15 -2538 ((-1145 |#1|) (-1145 (-1145 |#1|)))) (-15 -2794 ((-1145 |#1|) (-410 (-569)) (-1145 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3778 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -2965 ((-1145 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1145 |#1|)))) (-15 -2978 ((-1145 |#1|) |#1| (-1145 |#1|)))) |noBranch|)) 
-((-3544 (((-1145 |#1|) (-1145 |#1|)) 57)) (-3467 (((-1145 |#1|) (-1145 |#1|)) 39)) (-3530 (((-1145 |#1|) (-1145 |#1|)) 53)) (-3455 (((-1145 |#1|) (-1145 |#1|)) 35)) (-3559 (((-1145 |#1|) (-1145 |#1|)) 60)) (-3480 (((-1145 |#1|) (-1145 |#1|)) 42)) (-3597 (((-1145 |#1|) (-1145 |#1|)) 31)) (-3408 (((-1145 |#1|) (-1145 |#1|)) 27)) (-3565 (((-1145 |#1|) (-1145 |#1|)) 61)) (-3485 (((-1145 |#1|) (-1145 |#1|)) 43)) (-3551 (((-1145 |#1|) (-1145 |#1|)) 58)) (-3473 (((-1145 |#1|) (-1145 |#1|)) 40)) (-3538 (((-1145 |#1|) (-1145 |#1|)) 55)) (-3460 (((-1145 |#1|) (-1145 |#1|)) 37)) (-3585 (((-1145 |#1|) (-1145 |#1|)) 65)) (-3505 (((-1145 |#1|) (-1145 |#1|)) 47)) (-3572 (((-1145 |#1|) (-1145 |#1|)) 63)) (-3490 (((-1145 |#1|) (-1145 |#1|)) 45)) (-3599 (((-1145 |#1|) (-1145 |#1|)) 68)) (-3517 (((-1145 |#1|) (-1145 |#1|)) 50)) (-4527 (((-1145 |#1|) (-1145 |#1|)) 69)) (-3525 (((-1145 |#1|) (-1145 |#1|)) 51)) (-3592 (((-1145 |#1|) (-1145 |#1|)) 67)) (-3510 (((-1145 |#1|) (-1145 |#1|)) 49)) (-3579 (((-1145 |#1|) (-1145 |#1|)) 66)) (-3497 (((-1145 |#1|) (-1145 |#1|)) 48)) (** (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 33))) 
-(((-1150 |#1|) (-10 -7 (-15 -3408 ((-1145 |#1|) (-1145 |#1|))) (-15 -3597 ((-1145 |#1|) (-1145 |#1|))) (-15 ** ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3455 ((-1145 |#1|) (-1145 |#1|))) (-15 -3460 ((-1145 |#1|) (-1145 |#1|))) (-15 -3467 ((-1145 |#1|) (-1145 |#1|))) (-15 -3473 ((-1145 |#1|) (-1145 |#1|))) (-15 -3480 ((-1145 |#1|) (-1145 |#1|))) (-15 -3485 ((-1145 |#1|) (-1145 |#1|))) (-15 -3490 ((-1145 |#1|) (-1145 |#1|))) (-15 -3497 ((-1145 |#1|) (-1145 |#1|))) (-15 -3505 ((-1145 |#1|) (-1145 |#1|))) (-15 -3510 ((-1145 |#1|) (-1145 |#1|))) (-15 -3517 ((-1145 |#1|) (-1145 |#1|))) (-15 -3525 ((-1145 |#1|) (-1145 |#1|))) (-15 -3530 ((-1145 |#1|) (-1145 |#1|))) (-15 -3538 ((-1145 |#1|) (-1145 |#1|))) (-15 -3544 ((-1145 |#1|) (-1145 |#1|))) (-15 -3551 ((-1145 |#1|) (-1145 |#1|))) (-15 -3559 ((-1145 |#1|) (-1145 |#1|))) (-15 -3565 ((-1145 |#1|) (-1145 |#1|))) (-15 -3572 ((-1145 |#1|) (-1145 |#1|))) (-15 -3579 ((-1145 |#1|) (-1145 |#1|))) (-15 -3585 ((-1145 |#1|) (-1145 |#1|))) (-15 -3592 ((-1145 |#1|) (-1145 |#1|))) (-15 -3599 ((-1145 |#1|) (-1145 |#1|))) (-15 -4527 ((-1145 |#1|) (-1145 |#1|)))) (-43 (-410 (-569)))) (T -1150)) 
-((-4527 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3599 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3592 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3585 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3579 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3572 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3565 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3559 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3551 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3544 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3538 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3530 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3525 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3517 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3510 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3505 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3497 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3490 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3485 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3480 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3473 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3467 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3460 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3455 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3597 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3408 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3))))) 
-(-10 -7 (-15 -3408 ((-1145 |#1|) (-1145 |#1|))) (-15 -3597 ((-1145 |#1|) (-1145 |#1|))) (-15 ** ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3455 ((-1145 |#1|) (-1145 |#1|))) (-15 -3460 ((-1145 |#1|) (-1145 |#1|))) (-15 -3467 ((-1145 |#1|) (-1145 |#1|))) (-15 -3473 ((-1145 |#1|) (-1145 |#1|))) (-15 -3480 ((-1145 |#1|) (-1145 |#1|))) (-15 -3485 ((-1145 |#1|) (-1145 |#1|))) (-15 -3490 ((-1145 |#1|) (-1145 |#1|))) (-15 -3497 ((-1145 |#1|) (-1145 |#1|))) (-15 -3505 ((-1145 |#1|) (-1145 |#1|))) (-15 -3510 ((-1145 |#1|) (-1145 |#1|))) (-15 -3517 ((-1145 |#1|) (-1145 |#1|))) (-15 -3525 ((-1145 |#1|) (-1145 |#1|))) (-15 -3530 ((-1145 |#1|) (-1145 |#1|))) (-15 -3538 ((-1145 |#1|) (-1145 |#1|))) (-15 -3544 ((-1145 |#1|) (-1145 |#1|))) (-15 -3551 ((-1145 |#1|) (-1145 |#1|))) (-15 -3559 ((-1145 |#1|) (-1145 |#1|))) (-15 -3565 ((-1145 |#1|) (-1145 |#1|))) (-15 -3572 ((-1145 |#1|) (-1145 |#1|))) (-15 -3579 ((-1145 |#1|) (-1145 |#1|))) (-15 -3585 ((-1145 |#1|) (-1145 |#1|))) (-15 -3592 ((-1145 |#1|) (-1145 |#1|))) (-15 -3599 ((-1145 |#1|) (-1145 |#1|))) (-15 -4527 ((-1145 |#1|) (-1145 |#1|)))) 
-((-3544 (((-1145 |#1|) (-1145 |#1|)) 100)) (-3467 (((-1145 |#1|) (-1145 |#1|)) 64)) (-2698 (((-2 (|:| -3530 (-1145 |#1|)) (|:| -3538 (-1145 |#1|))) (-1145 |#1|)) 96)) (-3530 (((-1145 |#1|) (-1145 |#1|)) 97)) (-3737 (((-2 (|:| -3455 (-1145 |#1|)) (|:| -3460 (-1145 |#1|))) (-1145 |#1|)) 53)) (-3455 (((-1145 |#1|) (-1145 |#1|)) 54)) (-3559 (((-1145 |#1|) (-1145 |#1|)) 102)) (-3480 (((-1145 |#1|) (-1145 |#1|)) 71)) (-3597 (((-1145 |#1|) (-1145 |#1|)) 39)) (-3408 (((-1145 |#1|) (-1145 |#1|)) 36)) (-3565 (((-1145 |#1|) (-1145 |#1|)) 103)) (-3485 (((-1145 |#1|) (-1145 |#1|)) 72)) (-3551 (((-1145 |#1|) (-1145 |#1|)) 101)) (-3473 (((-1145 |#1|) (-1145 |#1|)) 67)) (-3538 (((-1145 |#1|) (-1145 |#1|)) 98)) (-3460 (((-1145 |#1|) (-1145 |#1|)) 55)) (-3585 (((-1145 |#1|) (-1145 |#1|)) 111)) (-3505 (((-1145 |#1|) (-1145 |#1|)) 86)) (-3572 (((-1145 |#1|) (-1145 |#1|)) 105)) (-3490 (((-1145 |#1|) (-1145 |#1|)) 82)) (-3599 (((-1145 |#1|) (-1145 |#1|)) 115)) (-3517 (((-1145 |#1|) (-1145 |#1|)) 90)) (-4527 (((-1145 |#1|) (-1145 |#1|)) 117)) (-3525 (((-1145 |#1|) (-1145 |#1|)) 92)) (-3592 (((-1145 |#1|) (-1145 |#1|)) 113)) (-3510 (((-1145 |#1|) (-1145 |#1|)) 88)) (-3579 (((-1145 |#1|) (-1145 |#1|)) 107)) (-3497 (((-1145 |#1|) (-1145 |#1|)) 84)) (** (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 40))) 
-(((-1151 |#1|) (-10 -7 (-15 -3408 ((-1145 |#1|) (-1145 |#1|))) (-15 -3597 ((-1145 |#1|) (-1145 |#1|))) (-15 ** ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3737 ((-2 (|:| -3455 (-1145 |#1|)) (|:| -3460 (-1145 |#1|))) (-1145 |#1|))) (-15 -3455 ((-1145 |#1|) (-1145 |#1|))) (-15 -3460 ((-1145 |#1|) (-1145 |#1|))) (-15 -3467 ((-1145 |#1|) (-1145 |#1|))) (-15 -3473 ((-1145 |#1|) (-1145 |#1|))) (-15 -3480 ((-1145 |#1|) (-1145 |#1|))) (-15 -3485 ((-1145 |#1|) (-1145 |#1|))) (-15 -3490 ((-1145 |#1|) (-1145 |#1|))) (-15 -3497 ((-1145 |#1|) (-1145 |#1|))) (-15 -3505 ((-1145 |#1|) (-1145 |#1|))) (-15 -3510 ((-1145 |#1|) (-1145 |#1|))) (-15 -3517 ((-1145 |#1|) (-1145 |#1|))) (-15 -3525 ((-1145 |#1|) (-1145 |#1|))) (-15 -2698 ((-2 (|:| -3530 (-1145 |#1|)) (|:| -3538 (-1145 |#1|))) (-1145 |#1|))) (-15 -3530 ((-1145 |#1|) (-1145 |#1|))) (-15 -3538 ((-1145 |#1|) (-1145 |#1|))) (-15 -3544 ((-1145 |#1|) (-1145 |#1|))) (-15 -3551 ((-1145 |#1|) (-1145 |#1|))) (-15 -3559 ((-1145 |#1|) (-1145 |#1|))) (-15 -3565 ((-1145 |#1|) (-1145 |#1|))) (-15 -3572 ((-1145 |#1|) (-1145 |#1|))) (-15 -3579 ((-1145 |#1|) (-1145 |#1|))) (-15 -3585 ((-1145 |#1|) (-1145 |#1|))) (-15 -3592 ((-1145 |#1|) (-1145 |#1|))) (-15 -3599 ((-1145 |#1|) (-1145 |#1|))) (-15 -4527 ((-1145 |#1|) (-1145 |#1|)))) (-43 (-410 (-569)))) (T -1151)) 
-((-4527 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3599 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3592 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3585 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3579 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3572 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3565 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3559 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3551 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3544 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3538 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3530 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-2698 (*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -3530 (-1145 *4)) (|:| -3538 (-1145 *4)))) (-5 *1 (-1151 *4)) (-5 *3 (-1145 *4)))) (-3525 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3517 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3510 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3505 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3497 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3490 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3485 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3480 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3473 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3467 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3460 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3455 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3737 (*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -3455 (-1145 *4)) (|:| -3460 (-1145 *4)))) (-5 *1 (-1151 *4)) (-5 *3 (-1145 *4)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3597 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3408 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(-10 -7 (-15 -3408 ((-1145 |#1|) (-1145 |#1|))) (-15 -3597 ((-1145 |#1|) (-1145 |#1|))) (-15 ** ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3737 ((-2 (|:| -3455 (-1145 |#1|)) (|:| -3460 (-1145 |#1|))) (-1145 |#1|))) (-15 -3455 ((-1145 |#1|) (-1145 |#1|))) (-15 -3460 ((-1145 |#1|) (-1145 |#1|))) (-15 -3467 ((-1145 |#1|) (-1145 |#1|))) (-15 -3473 ((-1145 |#1|) (-1145 |#1|))) (-15 -3480 ((-1145 |#1|) (-1145 |#1|))) (-15 -3485 ((-1145 |#1|) (-1145 |#1|))) (-15 -3490 ((-1145 |#1|) (-1145 |#1|))) (-15 -3497 ((-1145 |#1|) (-1145 |#1|))) (-15 -3505 ((-1145 |#1|) (-1145 |#1|))) (-15 -3510 ((-1145 |#1|) (-1145 |#1|))) (-15 -3517 ((-1145 |#1|) (-1145 |#1|))) (-15 -3525 ((-1145 |#1|) (-1145 |#1|))) (-15 -2698 ((-2 (|:| -3530 (-1145 |#1|)) (|:| -3538 (-1145 |#1|))) (-1145 |#1|))) (-15 -3530 ((-1145 |#1|) (-1145 |#1|))) (-15 -3538 ((-1145 |#1|) (-1145 |#1|))) (-15 -3544 ((-1145 |#1|) (-1145 |#1|))) (-15 -3551 ((-1145 |#1|) (-1145 |#1|))) (-15 -3559 ((-1145 |#1|) (-1145 |#1|))) (-15 -3565 ((-1145 |#1|) (-1145 |#1|))) (-15 -3572 ((-1145 |#1|) (-1145 |#1|))) (-15 -3579 ((-1145 |#1|) (-1145 |#1|))) (-15 -3585 ((-1145 |#1|) (-1145 |#1|))) (-15 -3592 ((-1145 |#1|) (-1145 |#1|))) (-15 -3599 ((-1145 |#1|) (-1145 |#1|))) (-15 -4527 ((-1145 |#1|) (-1145 |#1|)))) 
-((-4207 (((-960 |#2|) |#2| |#2|) 35)) (-2540 ((|#2| |#2| |#1|) 19 (|has| |#1| (-302))))) 
-(((-1152 |#1| |#2|) (-10 -7 (-15 -4207 ((-960 |#2|) |#2| |#2|)) (IF (|has| |#1| (-302)) (-15 -2540 (|#2| |#2| |#1|)) |noBranch|)) (-559) (-1228 |#1|)) (T -1152)) 
-((-2540 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-1152 *3 *2)) (-4 *2 (-1228 *3)))) (-4207 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-960 *3)) (-5 *1 (-1152 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -4207 ((-960 |#2|) |#2| |#2|)) (IF (|has| |#1| (-302)) (-15 -2540 (|#2| |#2| |#1|)) |noBranch|)) 
-((-1310 (((-121) $ $) NIL)) (-2982 (($ $ (-635 (-765))) 66)) (-2215 (($) 25)) (-4400 (($ $) 41)) (-2507 (((-635 $) $) 50)) (-3595 (((-121) $) 16)) (-2233 (((-635 (-946 |#2|)) $) 73)) (-3180 (($ $) 67)) (-1722 (((-765) $) 36)) (-2446 (($) 24)) (-2818 (($ $ (-635 (-765)) (-946 |#2|)) 59) (($ $ (-635 (-765)) (-765)) 60) (($ $ (-765) (-946 |#2|)) 62)) (-2102 (($ $ $) 47) (($ (-635 $)) 49)) (-2113 (((-765) $) 74)) (-3491 (((-121) $) 15)) (-2605 (((-1147) $) NIL)) (-2485 (((-121) $) 17)) (-1912 (((-1111) $) NIL)) (-2448 (((-172) $) 72)) (-4169 (((-946 |#2|) $) 68)) (-3022 (((-765) $) 69)) (-3799 (((-121) $) 71)) (-4401 (($ $ (-635 (-765)) (-172)) 65)) (-4257 (($ $) 42)) (-3956 (((-852) $) 84)) (-3537 (($ $ (-635 (-765)) (-121)) 64)) (-4065 (((-635 $) $) 11)) (-2519 (($ $ (-765)) 35)) (-2895 (($ $) 31)) (-2235 (($ $ $ (-946 |#2|) (-765)) 55)) (-2455 (($ $ (-946 |#2|)) 54)) (-2731 (($ $ (-635 (-765)) (-946 |#2|)) 53) (($ $ (-635 (-765)) (-765)) 57) (((-765) $ (-946 |#2|)) 58)) (-1326 (((-121) $ $) 78))) 
-(((-1153 |#1| |#2|) (-13 (-1093) (-10 -8 (-15 -3491 ((-121) $)) (-15 -3595 ((-121) $)) (-15 -2485 ((-121) $)) (-15 -2446 ($)) (-15 -2215 ($)) (-15 -2895 ($ $)) (-15 -2519 ($ $ (-765))) (-15 -4065 ((-635 $) $)) (-15 -1722 ((-765) $)) (-15 -4400 ($ $)) (-15 -4257 ($ $)) (-15 -2102 ($ $ $)) (-15 -2102 ($ (-635 $))) (-15 -2507 ((-635 $) $)) (-15 -2731 ($ $ (-635 (-765)) (-946 |#2|))) (-15 -2455 ($ $ (-946 |#2|))) (-15 -2235 ($ $ $ (-946 |#2|) (-765))) (-15 -2818 ($ $ (-635 (-765)) (-946 |#2|))) (-15 -2731 ($ $ (-635 (-765)) (-765))) (-15 -2818 ($ $ (-635 (-765)) (-765))) (-15 -2731 ((-765) $ (-946 |#2|))) (-15 -2818 ($ $ (-765) (-946 |#2|))) (-15 -3537 ($ $ (-635 (-765)) (-121))) (-15 -4401 ($ $ (-635 (-765)) (-172))) (-15 -2982 ($ $ (-635 (-765)))) (-15 -4169 ((-946 |#2|) $)) (-15 -3022 ((-765) $)) (-15 -3799 ((-121) $)) (-15 -2448 ((-172) $)) (-15 -2113 ((-765) $)) (-15 -3180 ($ $)) (-15 -2233 ((-635 (-946 |#2|)) $)))) (-919) (-1049)) (T -1153)) 
-((-3491 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-3595 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2485 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2446 (*1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2215 (*1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2895 (*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2519 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-4065 (*1 *2 *1) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-1722 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-4400 (*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-4257 (*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2102 (*1 *1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2102 (*1 *1 *2) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2507 (*1 *2 *1) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2731 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) (-2455 (*1 *1 *1 *2) (-12 (-5 *2 (-946 *4)) (-4 *4 (-1049)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)))) (-2235 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-946 *5)) (-5 *3 (-765)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) (-2818 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) (-2731 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) (-2818 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) (-2731 (*1 *2 *1 *3) (-12 (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *2 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) (-2818 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) (-3537 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-121)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) (-4401 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-172)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) (-2982 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-4169 (*1 *2 *1) (-12 (-5 *2 (-946 *4)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-3022 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-3799 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2448 (*1 *2 *1) (-12 (-5 *2 (-172)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2113 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-3180 (*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2233 (*1 *2 *1) (-12 (-5 *2 (-635 (-946 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(-13 (-1093) (-10 -8 (-15 -3491 ((-121) $)) (-15 -3595 ((-121) $)) (-15 -2485 ((-121) $)) (-15 -2446 ($)) (-15 -2215 ($)) (-15 -2895 ($ $)) (-15 -2519 ($ $ (-765))) (-15 -4065 ((-635 $) $)) (-15 -1722 ((-765) $)) (-15 -4400 ($ $)) (-15 -4257 ($ $)) (-15 -2102 ($ $ $)) (-15 -2102 ($ (-635 $))) (-15 -2507 ((-635 $) $)) (-15 -2731 ($ $ (-635 (-765)) (-946 |#2|))) (-15 -2455 ($ $ (-946 |#2|))) (-15 -2235 ($ $ $ (-946 |#2|) (-765))) (-15 -2818 ($ $ (-635 (-765)) (-946 |#2|))) (-15 -2731 ($ $ (-635 (-765)) (-765))) (-15 -2818 ($ $ (-635 (-765)) (-765))) (-15 -2731 ((-765) $ (-946 |#2|))) (-15 -2818 ($ $ (-765) (-946 |#2|))) (-15 -3537 ($ $ (-635 (-765)) (-121))) (-15 -4401 ($ $ (-635 (-765)) (-172))) (-15 -2982 ($ $ (-635 (-765)))) (-15 -4169 ((-946 |#2|) $)) (-15 -3022 ((-765) $)) (-15 -3799 ((-121) $)) (-15 -2448 ((-172) $)) (-15 -2113 ((-765) $)) (-15 -3180 ($ $)) (-15 -2233 ((-635 (-946 |#2|)) $)))) 
-((-1310 (((-121) $ $) NIL)) (-4255 ((|#2| $) 11)) (-1338 ((|#1| $) 10)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3124 (($ |#1| |#2|) 9)) (-3956 (((-852) $) 16)) (-1326 (((-121) $ $) NIL))) 
-(((-1154 |#1| |#2|) (-13 (-1093) (-10 -8 (-15 -3124 ($ |#1| |#2|)) (-15 -1338 (|#1| $)) (-15 -4255 (|#2| $)))) (-1093) (-1093)) (T -1154)) 
-((-3124 (*1 *1 *2 *3) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-1338 (*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-1154 *2 *3)) (-4 *3 (-1093)))) (-4255 (*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-1154 *3 *2)) (-4 *3 (-1093))))) 
-(-13 (-1093) (-10 -8 (-15 -3124 ($ |#1| |#2|)) (-15 -1338 (|#1| $)) (-15 -4255 (|#2| $)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-1163 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 11)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2915 (($ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2735 (((-121) $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3146 (($ $ (-569)) NIL) (($ $ (-569) (-569)) 66)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1312 (((-1163 |#1| |#2| |#3|) $) 36)) (-2397 (((-3 (-1163 |#1| |#2| |#3|) "failed") $) 29)) (-3221 (((-1163 |#1| |#2| |#3|) $) 30)) (-3544 (($ $) 107 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 83 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) 103 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 79 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-569) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 87 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-1163 |#1| |#2| |#3|) "failed") $) 31) (((-3 (-1165) "failed") $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-569) "failed") $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))))) (-1321 (((-1163 |#1| |#2| |#3|) $) 131) (((-1165) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366)))) (((-569) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))))) (-4339 (($ $) 34) (($ (-569) $) 35)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-1163 |#1| |#2| |#3|)) (-681 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-1163 |#1| |#2| |#3|))) (|:| |vec| (-1253 (-1163 |#1| |#2| |#3|)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366))))) (-2611 (((-3 $ "failed") $) 48)) (-1549 (((-410 (-955 |#1|)) $ (-569)) 65 (|has| |#1| (-559))) (((-410 (-955 |#1|)) $ (-569) (-569)) 67 (|has| |#1| (-559)))) (-3341 (($) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-1863 (((-121) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-2641 (((-121) $) 25)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-883 (-569))) (|has| |#1| (-366)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-883 (-382))) (|has| |#1| (-366))))) (-4433 (((-569) $) NIL) (((-569) $ (-569)) 24)) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL (|has| |#1| (-366)))) (-3515 (((-1163 |#1| |#2| |#3|) $) 38 (|has| |#1| (-366)))) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1542 (((-3 $ "failed") $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1139)) (|has| |#1| (-366))))) (-4311 (((-121) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-2058 (($ $ (-919)) NIL)) (-3449 (($ (-1 |#1| (-569)) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-569)) 18) (($ $ (-1077) (-569)) NIL) (($ $ (-635 (-1077)) (-635 (-569))) NIL)) (-2157 (($ $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-2713 (($ $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-366)))) (-3597 (($ $) 72 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3228 (($ (-569) (-1163 |#1| |#2| |#3|)) 33)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) 70 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 71 (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1139)) (|has| |#1| (-366))) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1391 (($ $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-1807 (((-1163 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-569)) 145)) (-1436 (((-3 $ "failed") $ $) 49 (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) 73 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1165) (-1163 |#1| |#2| |#3|)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-524 (-1165) (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 (-1163 |#1| |#2| |#3|))) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-524 (-1165) (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-289 (-1163 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-289 (-1163 |#1| |#2| |#3|))) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1163 |#1| |#2| |#3|)) (-635 (-1163 |#1| |#2| |#3|))) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-569)) NIL) (($ $ $) 54 (|has| (-569) (-1105))) (($ $ (-1163 |#1| |#2| |#3|)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-282 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-1 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) (-765)) NIL (|has| |#1| (-366))) (($ $ (-1249 |#2|)) 51) (($ $ (-765)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 50 (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-2572 (($ $) NIL (|has| |#1| (-366)))) (-3524 (((-1163 |#1| |#2| |#3|) $) 41 (|has| |#1| (-366)))) (-2284 (((-569) $) 37)) (-3565 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 89 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 85 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 105 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 81 (|has| |#1| (-43 (-410 (-569)))))) (-4035 (((-542) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-610 (-542))) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1023)) (|has| |#1| (-366)))) (((-216) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1023)) (|has| |#1| (-366)))) (((-889 (-382)) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-610 (-889 (-382)))) (|has| |#1| (-366)))) (((-889 (-569)) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-610 (-889 (-569)))) (|has| |#1| (-366))))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) 149) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1163 |#1| |#2| |#3|)) 27) (($ (-1249 |#2|)) 23) (($ (-1165)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (($ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559)))) (($ (-410 (-569))) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))) (|has| |#1| (-43 (-410 (-569))))))) (-3802 ((|#1| $ (-569)) 68)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 12)) (-3215 (((-1163 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-3585 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 95 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3572 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 91 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 99 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 101 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 97 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 93 (|has| |#1| (-43 (-410 (-569)))))) (-4080 (($ $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 20 T CONST)) (-3297 (($) 16 T CONST)) (-3712 (($ $ (-1 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) (-765)) NIL (|has| |#1| (-366))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-1355 (((-121) $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1343 (((-121) $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1337 (((-121) $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 44 (|has| |#1| (-366))) (($ (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) 45 (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 21)) (** (($ $ (-919)) NIL) (($ $ (-765)) 53) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) 74 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 128 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 32) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1163 |#1| |#2| |#3|)) 43 (|has| |#1| (-366))) (($ (-1163 |#1| |#2| |#3|) $) 42 (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1155 |#1| |#2| |#3|) (-13 (-1214 |#1| (-1163 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1155)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
-(-13 (-1214 |#1| (-1163 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
-((-4286 ((|#2| |#2| (-1085 |#2|)) 26) ((|#2| |#2| (-1165)) 28))) 
-(((-1156 |#1| |#2|) (-10 -7 (-15 -4286 (|#2| |#2| (-1165))) (-15 -4286 (|#2| |#2| (-1085 |#2|)))) (-13 (-559) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-433 |#1|) (-162) (-27) (-1185))) (T -1156)) 
-((-4286 (*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1185))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1156 *4 *2)))) (-4286 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1156 *4 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1185)))))) 
-(-10 -7 (-15 -4286 (|#2| |#2| (-1165))) (-15 -4286 (|#2| |#2| (-1085 |#2|)))) 
-((-4286 (((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1085 (-410 (-955 |#1|)))) 30) (((-410 (-955 |#1|)) (-955 |#1|) (-1085 (-955 |#1|))) 44) (((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1165)) 32) (((-410 (-955 |#1|)) (-955 |#1|) (-1165)) 36))) 
-(((-1157 |#1|) (-10 -7 (-15 -4286 ((-410 (-955 |#1|)) (-955 |#1|) (-1165))) (-15 -4286 ((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1165))) (-15 -4286 ((-410 (-955 |#1|)) (-955 |#1|) (-1085 (-955 |#1|)))) (-15 -4286 ((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1085 (-410 (-955 |#1|)))))) (-13 (-559) (-844) (-1039 (-569)))) (T -1157)) 
-((-4286 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-3 *3 (-311 *5))) (-5 *1 (-1157 *5)))) (-4286 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-955 *5))) (-5 *3 (-955 *5)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-410 *3)) (-5 *1 (-1157 *5)))) (-4286 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-3 (-410 (-955 *5)) (-311 *5))) (-5 *1 (-1157 *5)) (-5 *3 (-410 (-955 *5))))) (-4286 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-410 (-955 *5))) (-5 *1 (-1157 *5)) (-5 *3 (-955 *5))))) 
-(-10 -7 (-15 -4286 ((-410 (-955 |#1|)) (-955 |#1|) (-1165))) (-15 -4286 ((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1165))) (-15 -4286 ((-410 (-955 |#1|)) (-955 |#1|) (-1085 (-955 |#1|)))) (-15 -4286 ((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1085 (-410 (-955 |#1|)))))) 
-((-4188 (((-1161 |#2|) (-1 |#2| |#1|) (-1161 |#1|)) 13))) 
-(((-1158 |#1| |#2|) (-10 -7 (-15 -4188 ((-1161 |#2|) (-1 |#2| |#1|) (-1161 |#1|)))) (-1049) (-1049)) (T -1158)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1161 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-1161 *6)) (-5 *1 (-1158 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-1161 |#2|) (-1 |#2| |#1|) (-1161 |#1|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3676 (((-1253 |#1|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#1|)) NIL)) (-3132 (((-1161 $) $ (-1077)) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3544 (($ $) NIL (|has| |#1| (-1185)))) (-3467 (($ $) NIL (|has| |#1| (-1185)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) NIL (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-1185)))) (-3455 (($ $) 22 (|has| |#1| (-1185)))) (-3286 (($ $ (-765)) NIL)) (-1738 (($ $ (-765)) NIL)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-3559 (($ $) NIL (|has| |#1| (-1185)))) (-3480 (($ $) NIL (|has| |#1| (-1185)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1077) $) NIL)) (-3673 (($ $ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $ $) NIL (|has| |#1| (-173)))) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3621 (($ $ $) NIL)) (-4425 (($ $ $) NIL (|has| |#1| (-559)))) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-765) $) NIL)) (-3415 (($) NIL (|has| |#1| (-1185)))) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ $) NIL (|has| |#1| (-559)))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-1139)))) (-3187 (($ (-1161 |#1|) (-1077)) NIL) (($ (-1161 $) (-1077)) NIL)) (-2058 (($ $ (-765)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3071 (((-1161 |#1|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-3597 (($ $) 18 (|has| |#1| (-1185)))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 8)) (-3256 ((|#1| $) 9)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) 20 (|has| |#1| (-1185)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#1|) NIL) (($ $ (-635 (-1077)) (-635 |#1|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2284 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-3565 (($ $) NIL (|has| |#1| (-1185)))) (-3485 (($ $) NIL (|has| |#1| (-1185)))) (-3551 (($ $) NIL (|has| |#1| (-1185)))) (-3473 (($ $) NIL (|has| |#1| (-1185)))) (-3538 (($ $) NIL (|has| |#1| (-1185)))) (-3460 (($ $) 26 (|has| |#1| (-1185)))) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-3956 (((-852) $) 13) (($ (-569)) NIL) (($ |#1|) 11) (($ (-1077)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-3585 (($ $) NIL (|has| |#1| (-1185)))) (-3505 (($ $) NIL (|has| |#1| (-1185)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-1185)))) (-3490 (($ $) 24 (|has| |#1| (-1185)))) (-3599 (($ $) NIL (|has| |#1| (-1185)))) (-3517 (($ $) NIL (|has| |#1| (-1185)))) (-4527 (($ $) NIL (|has| |#1| (-1185)))) (-3525 (($ $) NIL (|has| |#1| (-1185)))) (-3592 (($ $) NIL (|has| |#1| (-1185)))) (-3510 (($ $) NIL (|has| |#1| (-1185)))) (-3579 (($ $) NIL (|has| |#1| (-1185)))) (-3497 (($ $) 28 (|has| |#1| (-1185)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ $) NIL (|has| |#1| (-1185)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1159 |#1|) (-13 (-1228 |#1|) (-10 -7 (IF (|has| |#1| (-1185)) (-6 (-1185)) |noBranch|))) (-1049)) (T -1159)) 
-NIL 
-(-13 (-1228 |#1|) (-10 -7 (IF (|has| |#1| (-1185)) (-6 (-1185)) |noBranch|))) 
-((-3742 (((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|))) 50)) (-3139 (((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|))) 51))) 
-(((-1160 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|)))) (-15 -3742 ((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|))))) (-790) (-844) (-454) (-952 |#3| |#1| |#2|)) (T -1160)) 
-((-3742 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-454)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 (-410 *7)))) (-5 *1 (-1160 *4 *5 *6 *7)) (-5 *3 (-1161 (-410 *7))))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-454)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 (-410 *7)))) (-5 *1 (-1160 *4 *5 *6 *7)) (-5 *3 (-1161 (-410 *7)))))) 
-(-10 -7 (-15 -3139 ((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|)))) (-15 -3742 ((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|))))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 30)) (-3676 (((-1253 |#1|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#1|)) NIL)) (-3132 (((-1161 $) $ (-1077)) 59) (((-1161 |#1|) $) 48)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) 132 (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) 126 (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) 72 (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 92 (|has| |#1| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3286 (($ $ (-765)) 42)) (-1738 (($ $ (-765)) 43)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1077) $) NIL)) (-3673 (($ $ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $ $) 128 (|has| |#1| (-173)))) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) 57)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3621 (($ $ $) 104)) (-4425 (($ $ $) NIL (|has| |#1| (-559)))) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2540 (($ $) 133 (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-765) $) 46)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-2078 (((-852) $ (-852)) 117)) (-4433 (((-765) $ $) NIL (|has| |#1| (-559)))) (-3934 (((-121) $) 32)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-1139)))) (-3187 (($ (-1161 |#1|) (-1077)) 50) (($ (-1161 $) (-1077)) 66)) (-2058 (($ $ (-765)) 34)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) 64) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 121)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3071 (((-1161 |#1|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) 53)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) 41)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 33)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 80 (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) 135 (|has| |#1| (-454)))) (-4259 (($ $ (-765) |#1| $) 99)) (-2769 (((-421 (-1161 $)) (-1161 $)) 78 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 77 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 85 (|has| |#1| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ |#1|) 131 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 100 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#1|) NIL) (($ $ (-635 (-1077)) (-635 |#1|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ |#1|) 119) (($ $ $) 120) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) 37)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 137 (|has| |#1| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $) 124 (|has| |#1| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2284 (((-765) $) 55) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) 130 (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-3956 (((-852) $) 118) (($ (-569)) NIL) (($ |#1|) 54) (($ (-1077)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) 28 (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 15) (($ $ (-765)) 16)) (-2407 (($) 17 T CONST)) (-3297 (($) 18 T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 97)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 138 (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 67)) (** (($ $ (-919)) 14) (($ $ (-765)) 12)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 27) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 102) (($ $ |#1|) NIL))) 
-(((-1161 |#1|) (-13 (-1228 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-852))) (-15 -4259 ($ $ (-765) |#1| $)))) (-1049)) (T -1161)) 
-((-2078 (*1 *2 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1161 *3)) (-4 *3 (-1049)))) (-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1161 *3)) (-4 *3 (-1049))))) 
-(-13 (-1228 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-852))) (-15 -4259 ($ $ (-765) |#1| $)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 11)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-1155 |#1| |#2| |#3|) "failed") $) 32) (((-3 (-1163 |#1| |#2| |#3|) "failed") $) 35)) (-1321 (((-1155 |#1| |#2| |#3|) $) NIL) (((-1163 |#1| |#2| |#3|) $) NIL)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3091 (((-410 (-569)) $) 55)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3236 (($ (-410 (-569)) (-1155 |#1| |#2| |#3|)) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) NIL) (($ $ (-410 (-569))) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-410 (-569))) 19) (($ $ (-1077) (-410 (-569))) NIL) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1494 (((-1155 |#1| |#2| |#3|) $) 40)) (-4273 (((-3 (-1155 |#1| |#2| |#3|) "failed") $) NIL)) (-3228 (((-1155 |#1| |#2| |#3|) $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) 38 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 39 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1249 |#2|)) 37)) (-2284 (((-410 (-569)) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) 58) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1155 |#1| |#2| |#3|)) 29) (($ (-1163 |#1| |#2| |#3|)) 30) (($ (-1249 |#2|)) 25) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 12)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 21 T CONST)) (-3297 (($) 16 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 23)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1162 |#1| |#2| |#3|) (-13 (-1235 |#1| (-1155 |#1| |#2| |#3|)) (-1039 (-1163 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1162)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
-(-13 (-1235 |#1| (-1155 |#1| |#2| |#3|)) (-1039 (-1163 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 124)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 115)) (-2185 (((-1225 |#2| |#1|) $ (-765)) 62)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-765)) 78) (($ $ (-765) (-765)) 75)) (-3824 (((-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|))) $) 101)) (-3544 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 144 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 140 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|)))) 114) (($ (-1145 |#1|)) 109)) (-3559 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 148 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) 23)) (-1595 (($ $) 26)) (-2849 (((-955 |#1|) $ (-765)) 74) (((-955 |#1|) $ (-765) (-765)) 76)) (-2641 (((-121) $) 119)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $) 121) (((-765) $ (-765)) 123)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) NIL)) (-3449 (($ (-1 |#1| (-569)) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) 13) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1324 (($ $) 128 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-3803 (($ $ (-765)) 15)) (-1436 (((-3 $ "failed") $ $) 24 (|has| |#1| (-559)))) (-3408 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-765)))))) (-2503 ((|#1| $ (-765)) 118) (($ $ $) 127 (|has| (-765) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) 27 (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $ (-1249 |#2|)) 29)) (-2284 (((-765) $) NIL)) (-3565 (($ $) 174 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 150 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 146 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 142 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) 200) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 125 (|has| |#1| (-173))) (($ (-1225 |#2| |#1|)) 50) (($ (-1249 |#2|)) 32)) (-2894 (((-1145 |#1|) $) 97)) (-3802 ((|#1| $ (-765)) 117)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 53)) (-3585 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 156 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-765)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-765)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 178 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 154 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 17 T CONST)) (-3297 (($) 19 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) 193)) (-1371 (($ $ $) 31)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ |#1|) 197 (|has| |#1| (-366))) (($ $ $) 133 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 136 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 131) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1163 |#1| |#2| |#3|) (-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1163)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-1163 *3 *4 *5)))) (-2185 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1163 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-1165)) (-14 *6 *4))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
-(-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
-((-3956 (((-852) $) 22) (($ (-1165)) 24)) (-1929 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 35)) (-1923 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 28) (($ $) 29)) (-2396 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 30)) (-1870 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 32)) (-2590 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 31)) (-2001 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 33)) (-2940 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 36)) (-12 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 34))) 
-(((-1164) (-13 (-609 (-852)) (-10 -8 (-15 -3956 ($ (-1165))) (-15 -2396 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2590 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1870 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2001 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1929 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2940 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1923 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1923 ($ $))))) (T -1164)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1164)))) (-2396 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-2590 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-1870 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-2001 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-1929 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-2940 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-12 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-1923 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-1923 (*1 *1 *1) (-5 *1 (-1164)))) 
-(-13 (-609 (-852)) (-10 -8 (-15 -3956 ($ (-1165))) (-15 -2396 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2590 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1870 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2001 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1929 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2940 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1923 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1923 ($ $)))) 
-((-1310 (((-121) $ $) NIL)) (-2811 (($ $ (-635 (-852))) 58)) (-1527 (($ $ (-635 (-852))) 56)) (-3257 (((-1147) $) 82)) (-2724 (((-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852)))) $) 85)) (-2885 (((-121) $) 21)) (-4333 (($ $ (-635 (-635 (-852)))) 54) (($ $ (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852))))) 80)) (-4483 (($) 122 T CONST)) (-1690 (((-1258)) 103)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 65) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 71)) (-2446 (($) 92) (($ $) 98)) (-2798 (($ $) 81)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-1832 (((-635 $) $) 104)) (-2605 (((-1147) $) 87)) (-1912 (((-1111) $) NIL)) (-2503 (($ $ (-635 (-852))) 57)) (-4035 (((-542) $) 45) (((-1165) $) 46) (((-889 (-569)) $) 75) (((-889 (-382)) $) 73)) (-3956 (((-852) $) 52) (($ (-1147)) 47)) (-3920 (($ $ (-635 (-852))) 59)) (-3685 (((-1147) $) 33) (((-1147) $ (-121)) 34) (((-1258) (-819) $) 35) (((-1258) (-819) $ (-121)) 36)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 48)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 49))) 
-(((-1165) (-13 (-844) (-610 (-542)) (-825) (-610 (-1165)) (-610 (-889 (-569))) (-610 (-889 (-382))) (-883 (-569)) (-883 (-382)) (-10 -8 (-15 -2446 ($)) (-15 -2446 ($ $)) (-15 -1690 ((-1258))) (-15 -3956 ($ (-1147))) (-15 -2798 ($ $)) (-15 -2885 ((-121) $)) (-15 -2724 ((-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852)))) $)) (-15 -4333 ($ $ (-635 (-635 (-852))))) (-15 -4333 ($ $ (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852)))))) (-15 -1527 ($ $ (-635 (-852)))) (-15 -2811 ($ $ (-635 (-852)))) (-15 -3920 ($ $ (-635 (-852)))) (-15 -2503 ($ $ (-635 (-852)))) (-15 -3257 ((-1147) $)) (-15 -1832 ((-635 $) $)) (-15 -4483 ($) -3575)))) (T -1165)) 
-((-2446 (*1 *1) (-5 *1 (-1165))) (-2446 (*1 *1 *1) (-5 *1 (-1165))) (-1690 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1165)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1165)))) (-2798 (*1 *1 *1) (-5 *1 (-1165))) (-2885 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1165)))) (-2724 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852))))) (-5 *1 (-1165)))) (-4333 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 (-852)))) (-5 *1 (-1165)))) (-4333 (*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852))))) (-5 *1 (-1165)))) (-1527 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165)))) (-2811 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165)))) (-3920 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165)))) (-3257 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1165)))) (-1832 (*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1165)))) (-4483 (*1 *1) (-5 *1 (-1165)))) 
-(-13 (-844) (-610 (-542)) (-825) (-610 (-1165)) (-610 (-889 (-569))) (-610 (-889 (-382))) (-883 (-569)) (-883 (-382)) (-10 -8 (-15 -2446 ($)) (-15 -2446 ($ $)) (-15 -1690 ((-1258))) (-15 -3956 ($ (-1147))) (-15 -2798 ($ $)) (-15 -2885 ((-121) $)) (-15 -2724 ((-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852)))) $)) (-15 -4333 ($ $ (-635 (-635 (-852))))) (-15 -4333 ($ $ (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852)))))) (-15 -1527 ($ $ (-635 (-852)))) (-15 -2811 ($ $ (-635 (-852)))) (-15 -3920 ($ $ (-635 (-852)))) (-15 -2503 ($ $ (-635 (-852)))) (-15 -3257 ((-1147) $)) (-15 -1832 ((-635 $) $)) (-15 -4483 ($) -3575))) 
-((-3144 (((-1253 |#1|) |#1| (-919)) 16) (((-1253 |#1|) (-635 |#1|)) 20))) 
-(((-1166 |#1|) (-10 -7 (-15 -3144 ((-1253 |#1|) (-635 |#1|))) (-15 -3144 ((-1253 |#1|) |#1| (-919)))) (-1049)) (T -1166)) 
-((-3144 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-1253 *3)) (-5 *1 (-1166 *3)) (-4 *3 (-1049)))) (-3144 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1049)) (-5 *2 (-1253 *4)) (-5 *1 (-1166 *4))))) 
-(-10 -7 (-15 -3144 ((-1253 |#1|) (-635 |#1|))) (-15 -3144 ((-1253 |#1|) |#1| (-919)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-2916 (($ $ |#1| (-974) $) NIL)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-974)) NIL)) (-4294 (((-974) $) NIL)) (-1541 (($ (-1 (-974) (-974)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-4259 (($ $ (-974) |#1| $) NIL (-12 (|has| (-974) (-138)) (|has| |#1| (-559))))) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2284 (((-974) $) NIL)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-974)) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 9 T CONST)) (-3297 (($) 14 T CONST)) (-1326 (((-121) $ $) 16)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 19)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) 13) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1167 |#1|) (-13 (-325 |#1| (-974)) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| (-974) (-138)) (-15 -4259 ($ $ (-974) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) (-1049)) (T -1167)) 
-((-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-974)) (-4 *2 (-138)) (-5 *1 (-1167 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
-(-13 (-325 |#1| (-974)) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| (-974) (-138)) (-15 -4259 ($ $ (-974) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) 
-((-1829 (((-1169) (-1165) $) 24)) (-2010 (($) 28)) (-3319 (((-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-1165) $) 21)) (-2065 (((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")) $) 40) (((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) 41) (((-1258) (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) 42)) (-3745 (((-1258) (-1165)) 57)) (-1620 (((-1258) (-1165) $) 54) (((-1258) (-1165)) 55) (((-1258)) 56)) (-2344 (((-1258) (-1165)) 36)) (-1443 (((-1165)) 35)) (-4016 (($) 33)) (-1627 (((-440) (-1165) (-440) (-1165) $) 44) (((-440) (-635 (-1165)) (-440) (-1165) $) 48) (((-440) (-1165) (-440)) 45) (((-440) (-1165) (-440) (-1165)) 49)) (-3774 (((-1165)) 34)) (-3956 (((-852) $) 27)) (-2955 (((-1258)) 29) (((-1258) (-1165)) 32)) (-2933 (((-635 (-1165)) (-1165) $) 23)) (-4447 (((-1258) (-1165) (-635 (-1165)) $) 37) (((-1258) (-1165) (-635 (-1165))) 38) (((-1258) (-635 (-1165))) 39))) 
-(((-1168) (-13 (-609 (-852)) (-10 -8 (-15 -2010 ($)) (-15 -2955 ((-1258))) (-15 -2955 ((-1258) (-1165))) (-15 -1627 ((-440) (-1165) (-440) (-1165) $)) (-15 -1627 ((-440) (-635 (-1165)) (-440) (-1165) $)) (-15 -1627 ((-440) (-1165) (-440))) (-15 -1627 ((-440) (-1165) (-440) (-1165))) (-15 -2344 ((-1258) (-1165))) (-15 -3774 ((-1165))) (-15 -1443 ((-1165))) (-15 -4447 ((-1258) (-1165) (-635 (-1165)) $)) (-15 -4447 ((-1258) (-1165) (-635 (-1165)))) (-15 -4447 ((-1258) (-635 (-1165)))) (-15 -2065 ((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")) $)) (-15 -2065 ((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")))) (-15 -2065 ((-1258) (-3 (|:| |fst| (-437)) (|:| -2667 "void")))) (-15 -1620 ((-1258) (-1165) $)) (-15 -1620 ((-1258) (-1165))) (-15 -1620 ((-1258))) (-15 -3745 ((-1258) (-1165))) (-15 -4016 ($)) (-15 -3319 ((-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-1165) $)) (-15 -2933 ((-635 (-1165)) (-1165) $)) (-15 -1829 ((-1169) (-1165) $))))) (T -1168)) 
-((-2010 (*1 *1) (-5 *1 (-1168))) (-2955 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1168)))) (-2955 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-1627 (*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) (-1627 (*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1165))) (-5 *4 (-1165)) (-5 *1 (-1168)))) (-1627 (*1 *2 *3 *2) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) (-1627 (*1 *2 *3 *2 *3) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) (-2344 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-3774 (*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1168)))) (-1443 (*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1168)))) (-4447 (*1 *2 *3 *4 *1) (-12 (-5 *4 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-4447 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-4447 (*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-2065 (*1 *2 *3 *4 *1) (-12 (-5 *3 (-1165)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-2065 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-2065 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-1620 (*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-1620 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-1620 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1168)))) (-3745 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-4016 (*1 *1) (-5 *1 (-1168))) (-3319 (*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *1 (-1168)))) (-2933 (*1 *2 *3 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1168)) (-5 *3 (-1165)))) (-1829 (*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-1169)) (-5 *1 (-1168))))) 
-(-13 (-609 (-852)) (-10 -8 (-15 -2010 ($)) (-15 -2955 ((-1258))) (-15 -2955 ((-1258) (-1165))) (-15 -1627 ((-440) (-1165) (-440) (-1165) $)) (-15 -1627 ((-440) (-635 (-1165)) (-440) (-1165) $)) (-15 -1627 ((-440) (-1165) (-440))) (-15 -1627 ((-440) (-1165) (-440) (-1165))) (-15 -2344 ((-1258) (-1165))) (-15 -3774 ((-1165))) (-15 -1443 ((-1165))) (-15 -4447 ((-1258) (-1165) (-635 (-1165)) $)) (-15 -4447 ((-1258) (-1165) (-635 (-1165)))) (-15 -4447 ((-1258) (-635 (-1165)))) (-15 -2065 ((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")) $)) (-15 -2065 ((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")))) (-15 -2065 ((-1258) (-3 (|:| |fst| (-437)) (|:| -2667 "void")))) (-15 -1620 ((-1258) (-1165) $)) (-15 -1620 ((-1258) (-1165))) (-15 -1620 ((-1258))) (-15 -3745 ((-1258) (-1165))) (-15 -4016 ($)) (-15 -3319 ((-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-1165) $)) (-15 -2933 ((-635 (-1165)) (-1165) $)) (-15 -1829 ((-1169) (-1165) $)))) 
-((-2312 (((-635 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569))))))))) $) 57)) (-1636 (((-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569)))))))) (-437) $) 40)) (-3192 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-440))))) 15)) (-3745 (((-1258) $) 65)) (-2757 (((-635 (-1165)) $) 20)) (-4268 (((-1097) $) 53)) (-3836 (((-440) (-1165) $) 27)) (-4206 (((-635 (-1165)) $) 30)) (-4016 (($) 17)) (-1627 (((-440) (-635 (-1165)) (-440) $) 25) (((-440) (-1165) (-440) $) 24)) (-3956 (((-852) $) 9) (((-1173 (-1165) (-440)) $) 11))) 
-(((-1169) (-13 (-609 (-852)) (-10 -8 (-15 -3956 ((-1173 (-1165) (-440)) $)) (-15 -4016 ($)) (-15 -1627 ((-440) (-635 (-1165)) (-440) $)) (-15 -1627 ((-440) (-1165) (-440) $)) (-15 -3836 ((-440) (-1165) $)) (-15 -2757 ((-635 (-1165)) $)) (-15 -1636 ((-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569)))))))) (-437) $)) (-15 -4206 ((-635 (-1165)) $)) (-15 -2312 ((-635 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569))))))))) $)) (-15 -4268 ((-1097) $)) (-15 -3745 ((-1258) $)) (-15 -3192 ($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-440))))))))) (T -1169)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-1173 (-1165) (-440))) (-5 *1 (-1169)))) (-4016 (*1 *1) (-5 *1 (-1169))) (-1627 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1165))) (-5 *1 (-1169)))) (-1627 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1169)))) (-3836 (*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-440)) (-5 *1 (-1169)))) (-2757 (*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1169)))) (-1636 (*1 *2 *3 *1) (-12 (-5 *3 (-437)) (-5 *2 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569))))))))) (-5 *1 (-1169)))) (-4206 (*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1169)))) (-2312 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569)))))))))) (-5 *1 (-1169)))) (-4268 (*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-1169)))) (-3745 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1169)))) (-3192 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-440))))) (-5 *1 (-1169))))) 
-(-13 (-609 (-852)) (-10 -8 (-15 -3956 ((-1173 (-1165) (-440)) $)) (-15 -4016 ($)) (-15 -1627 ((-440) (-635 (-1165)) (-440) $)) (-15 -1627 ((-440) (-1165) (-440) $)) (-15 -3836 ((-440) (-1165) $)) (-15 -2757 ((-635 (-1165)) $)) (-15 -1636 ((-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569)))))))) (-437) $)) (-15 -4206 ((-635 (-1165)) $)) (-15 -2312 ((-635 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569))))))))) $)) (-15 -4268 ((-1097) $)) (-15 -3745 ((-1258) $)) (-15 -3192 ($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-440)))))))) 
-((-4126 (((-635 (-635 (-955 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165))) 55)) (-2880 (((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|)))) 66) (((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|))) 62) (((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165)) 67) (((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165)) 61) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|))))) 91) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|)))) 90) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165))) 92) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|))) (-635 (-1165))) 89))) 
-(((-1170 |#1|) (-10 -7 (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|))))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|)))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|))))) (-15 -4126 ((-635 (-635 (-955 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165))))) (-559)) (T -1170)) 
-((-4126 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-955 *5)))) (-5 *1 (-1170 *5)))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *4))))) (-5 *1 (-1170 *4)) (-5 *3 (-289 (-410 (-955 *4)))))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *4))))) (-5 *1 (-1170 *4)) (-5 *3 (-410 (-955 *4))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *5))))) (-5 *1 (-1170 *5)) (-5 *3 (-289 (-410 (-955 *5)))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *5))))) (-5 *1 (-1170 *5)) (-5 *3 (-410 (-955 *5))))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-1170 *4)) (-5 *3 (-635 (-289 (-410 (-955 *4))))))) (-2880 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 *4)))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-1170 *4)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-1170 *5)) (-5 *3 (-635 (-289 (-410 (-955 *5))))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-1170 *5))))) 
-(-10 -7 (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|))))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|)))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|))))) (-15 -4126 ((-635 (-635 (-955 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165))))) 
-((-3670 (((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|)))) 38)) (-1975 (((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|))) 24)) (-1334 (((-1172 (-635 |#1|)) (-635 |#1|)) 34)) (-1449 (((-635 (-635 |#1|)) (-635 |#1|)) 30)) (-2842 (((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))) 37)) (-4175 (((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|)))) 36)) (-2132 (((-635 (-635 |#1|)) (-635 (-635 |#1|))) 28)) (-1655 (((-635 |#1|) (-635 |#1|)) 31)) (-2874 (((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|)))) 18)) (-3906 (((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|)))) 15)) (-3781 (((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|))) 13)) (-1987 (((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|)))) 39)) (-1837 (((-635 (-635 |#1|)) (-1172 (-635 |#1|))) 41))) 
-(((-1171 |#1|) (-10 -7 (-15 -3781 ((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|)))) (-15 -3906 ((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -2874 ((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -3670 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -1987 ((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -1837 ((-635 (-635 |#1|)) (-1172 (-635 |#1|)))) (-15 -1975 ((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)))) (-15 -1334 ((-1172 (-635 |#1|)) (-635 |#1|))) (-15 -2132 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1449 ((-635 (-635 |#1|)) (-635 |#1|))) (-15 -1655 ((-635 |#1|) (-635 |#1|))) (-15 -4175 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))))) (-15 -2842 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))))) (-844)) (T -1171)) 
-((-2842 (*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-2 (|:| |f1| (-635 *4)) (|:| |f2| (-635 (-635 (-635 *4)))) (|:| |f3| (-635 (-635 *4))) (|:| |f4| (-635 (-635 (-635 *4)))))) (-5 *1 (-1171 *4)) (-5 *3 (-635 (-635 (-635 *4)))))) (-4175 (*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-844)) (-5 *3 (-635 *6)) (-5 *5 (-635 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-635 *5)) (|:| |f3| *5) (|:| |f4| (-635 *5)))) (-5 *1 (-1171 *6)) (-5 *4 (-635 *5)))) (-1655 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-1171 *3)))) (-1449 (*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4)) (-5 *3 (-635 *4)))) (-2132 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-844)) (-5 *1 (-1171 *3)))) (-1334 (*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-1172 (-635 *4))) (-5 *1 (-1171 *4)) (-5 *3 (-635 *4)))) (-1975 (*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-635 (-635 (-635 *4)))) (-5 *1 (-1171 *4)) (-5 *3 (-635 (-635 *4))))) (-1837 (*1 *2 *3) (-12 (-5 *3 (-1172 (-635 *4))) (-4 *4 (-844)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4)))) (-1987 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4)) (-4 *4 (-844)))) (-3670 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-4 *4 (-844)) (-5 *1 (-1171 *4)))) (-2874 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-635 *4)) (-4 *4 (-844)) (-5 *1 (-1171 *4)))) (-3906 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-635 *5)) (-4 *5 (-844)) (-5 *1 (-1171 *5)))) (-3781 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-844)) (-5 *4 (-635 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-635 *4)))) (-5 *1 (-1171 *6)) (-5 *5 (-635 *4))))) 
-(-10 -7 (-15 -3781 ((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|)))) (-15 -3906 ((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -2874 ((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -3670 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -1987 ((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -1837 ((-635 (-635 |#1|)) (-1172 (-635 |#1|)))) (-15 -1975 ((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)))) (-15 -1334 ((-1172 (-635 |#1|)) (-635 |#1|))) (-15 -2132 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1449 ((-635 (-635 |#1|)) (-635 |#1|))) (-15 -1655 ((-635 |#1|) (-635 |#1|))) (-15 -4175 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))))) (-15 -2842 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))))) 
-((-1291 (($ (-635 (-635 |#1|))) 9)) (-4269 (((-635 (-635 |#1|)) $) 10)) (-3956 (((-852) $) 25))) 
-(((-1172 |#1|) (-10 -8 (-15 -1291 ($ (-635 (-635 |#1|)))) (-15 -4269 ((-635 (-635 |#1|)) $)) (-15 -3956 ((-852) $))) (-1093)) (T -1172)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1172 *3)) (-4 *3 (-1093)))) (-4269 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 *3))) (-5 *1 (-1172 *3)) (-4 *3 (-1093)))) (-1291 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-1172 *3))))) 
-(-10 -8 (-15 -1291 ($ (-635 (-635 |#1|)))) (-15 -4269 ((-635 (-635 |#1|)) $)) (-15 -3956 ((-852) $))) 
-((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) NIL)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) NIL)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1173 |#1| |#2|) (-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) (-1093) (-1093)) (T -1173)) 
-NIL 
-(-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) 
-((-3394 ((|#1| (-635 |#1|)) 32)) (-3461 ((|#1| |#1| (-569)) 18)) (-3674 (((-1161 |#1|) |#1| (-919)) 15))) 
-(((-1174 |#1|) (-10 -7 (-15 -3394 (|#1| (-635 |#1|))) (-15 -3674 ((-1161 |#1|) |#1| (-919))) (-15 -3461 (|#1| |#1| (-569)))) (-366)) (T -1174)) 
-((-3461 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-1174 *2)) (-4 *2 (-366)))) (-3674 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-1161 *3)) (-5 *1 (-1174 *3)) (-4 *3 (-366)))) (-3394 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-1174 *2)) (-4 *2 (-366))))) 
-(-10 -7 (-15 -3394 (|#1| (-635 |#1|))) (-15 -3674 ((-1161 |#1|) |#1| (-919))) (-15 -3461 (|#1| |#1| (-569)))) 
-((-4404 (($) 10) (($ (-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)))) 14)) (-2006 (($ (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) 60) (($ (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) NIL) (((-3 |#3| "failed") |#2| $) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) 39) (((-635 |#3|) $) 41)) (-2089 (($ (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) 52) (($ (-1 |#3| |#3|) $) 33)) (-4188 (($ (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) 50) (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) 38)) (-4496 (((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) 53)) (-2351 (($ (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) 16)) (-2761 (((-635 |#2|) $) 19)) (-3292 (((-121) |#2| $) 58)) (-2569 (((-3 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) "failed") (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) 57)) (-2166 (((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) 62)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 65)) (-4283 (((-635 |#3|) $) 43)) (-2503 ((|#3| $ |#2|) 30) ((|#3| $ |#2| |#3|) 31)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) NIL) (((-765) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) NIL) (((-765) |#3| $) NIL) (((-765) (-1 (-121) |#3|) $) 66)) (-3956 (((-852) $) 27)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 64)) (-1326 (((-121) $ $) 48))) 
-(((-1175 |#1| |#2| |#3|) (-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -4188 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -4404 (|#1| (-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))))) (-15 -4404 (|#1|)) (-15 -4188 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2089 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#3|) |#1|)) (-15 -4303 ((-635 |#3|) |#1|)) (-15 -2691 ((-765) |#3| |#1|)) (-15 -2503 (|#3| |#1| |#2| |#3|)) (-15 -2503 (|#3| |#1| |#2|)) (-15 -4283 ((-635 |#3|) |#1|)) (-15 -3292 ((-121) |#2| |#1|)) (-15 -2761 ((-635 |#2|) |#1|)) (-15 -2006 ((-3 |#3| "failed") |#2| |#1|)) (-15 -2006 (|#1| (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2006 (|#1| (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2569 ((-3 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) "failed") (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -4496 ((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2351 (|#1| (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2166 ((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2691 ((-765) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -4303 ((-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2691 ((-765) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2985 ((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -3776 ((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2089 (|#1| (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -4188 (|#1| (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|))) (-1176 |#2| |#3|) (-1093) (-1093)) (T -1175)) 
-NIL 
-(-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -4188 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -4404 (|#1| (-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))))) (-15 -4404 (|#1|)) (-15 -4188 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2089 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#3|) |#1|)) (-15 -4303 ((-635 |#3|) |#1|)) (-15 -2691 ((-765) |#3| |#1|)) (-15 -2503 (|#3| |#1| |#2| |#3|)) (-15 -2503 (|#3| |#1| |#2|)) (-15 -4283 ((-635 |#3|) |#1|)) (-15 -3292 ((-121) |#2| |#1|)) (-15 -2761 ((-635 |#2|) |#1|)) (-15 -2006 ((-3 |#3| "failed") |#2| |#1|)) (-15 -2006 (|#1| (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2006 (|#1| (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2569 ((-3 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) "failed") (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -4496 ((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2351 (|#1| (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2166 ((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2691 ((-765) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -4303 ((-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2691 ((-765) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2985 ((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -3776 ((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2089 (|#1| (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -4188 (|#1| (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|))) 
-((-1310 (((-121) $ $) 18 (-1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-4404 (($) 66) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 65)) (-1403 (((-1258) $ |#1| |#1|) 93 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#2| $ |#1| |#2|) 67)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 52 (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) 57)) (-4483 (($) 7 T CONST)) (-1858 (($ $) 55 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 43 (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 58)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 54 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 51 (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 53 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 50 (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 49 (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) 82)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 30 (|has| $ (-6 -4571))) (((-635 |#2|) $) 73 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-2497 ((|#1| $) 90 (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 29 (|has| $ (-6 -4571))) (((-635 |#2|) $) 74 (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 27 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1301 ((|#1| $) 89 (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 34 (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (-1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1316 (((-635 |#1|) $) 59)) (-1591 (((-121) |#1| $) 60)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 36)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 37)) (-2761 (((-635 |#1|) $) 87)) (-3292 (((-121) |#1| $) 86)) (-1912 (((-1111) $) 21 (-1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1816 ((|#2| $) 91 (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 48)) (-2417 (($ $ |#2|) 92 (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 38)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 32 (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 26 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 25 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 24 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 23 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) 80 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) 78 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) 77 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) 85)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83)) (-1353 (($) 46) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 45)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 31 (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 28 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-765) |#2| $) 75 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4571)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 47)) (-3956 (((-852) $) 20 (-1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 39)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 33 (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (-1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-1176 |#1| |#2|) (-1284) (-1093) (-1093)) (T -1176)) 
-((-2511 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-1176 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-4404 (*1 *1) (-12 (-4 *1 (-1176 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-4404 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 *3) (|:| -3175 *4)))) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *1 (-1176 *3 *4)))) (-4188 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1176 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(-13 (-606 |t#1| |t#2|) (-602 |t#1| |t#2|) (-10 -8 (-15 -2511 (|t#2| $ |t#1| |t#2|)) (-15 -4404 ($)) (-15 -4404 ($ (-635 (-2 (|:| -3335 |t#1|) (|:| -3175 |t#2|))))) (-15 -4188 ($ (-1 |t#2| |t#2| |t#2|) $ $)))) 
-(((-39) . T) ((-111 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-105) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-609 (-852)) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-155 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-228 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-282 |#1| |#2|) . T) ((-284 |#1| |#2|) . T) ((-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-500 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-500 |#2|) . T) ((-602 |#1| |#2|) . T) ((-524 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-606 |#1| |#2|) . T) ((-1093) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-1199) . T)) 
-((-3762 (((-121)) 24)) (-2775 (((-1258) (-1147)) 26)) (-2461 (((-121)) 36)) (-1639 (((-1258)) 34)) (-2670 (((-1258) (-1147) (-1147)) 25)) (-4372 (((-121)) 37)) (-2351 (((-1258) |#1| |#2|) 44)) (-3960 (((-1258)) 20)) (-3962 (((-3 |#2| "failed") |#1|) 42)) (-4434 (((-1258)) 35))) 
-(((-1177 |#1| |#2|) (-10 -7 (-15 -3960 ((-1258))) (-15 -2670 ((-1258) (-1147) (-1147))) (-15 -2775 ((-1258) (-1147))) (-15 -1639 ((-1258))) (-15 -4434 ((-1258))) (-15 -3762 ((-121))) (-15 -2461 ((-121))) (-15 -4372 ((-121))) (-15 -3962 ((-3 |#2| "failed") |#1|)) (-15 -2351 ((-1258) |#1| |#2|))) (-1093) (-1093)) (T -1177)) 
-((-2351 (*1 *2 *3 *4) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-3962 (*1 *2 *3) (|partial| -12 (-4 *2 (-1093)) (-5 *1 (-1177 *3 *2)) (-4 *3 (-1093)))) (-4372 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-2461 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-3762 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-4434 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-1639 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-2775 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1177 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)))) (-2670 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1177 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)))) (-3960 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(-10 -7 (-15 -3960 ((-1258))) (-15 -2670 ((-1258) (-1147) (-1147))) (-15 -2775 ((-1258) (-1147))) (-15 -1639 ((-1258))) (-15 -4434 ((-1258))) (-15 -3762 ((-121))) (-15 -2461 ((-121))) (-15 -4372 ((-121))) (-15 -3962 ((-3 |#2| "failed") |#1|)) (-15 -2351 ((-1258) |#1| |#2|))) 
-((-1462 (((-1147) (-1147)) 18)) (-2101 (((-57) (-1147)) 21))) 
-(((-1178) (-10 -7 (-15 -2101 ((-57) (-1147))) (-15 -1462 ((-1147) (-1147))))) (T -1178)) 
-((-1462 (*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1178)))) (-2101 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-1178))))) 
-(-10 -7 (-15 -2101 ((-57) (-1147))) (-15 -1462 ((-1147) (-1147)))) 
-((-3956 (((-1180) |#1|) 11))) 
-(((-1179 |#1|) (-10 -7 (-15 -3956 ((-1180) |#1|))) (-1093)) (T -1179)) 
-((-3956 (*1 *2 *3) (-12 (-5 *2 (-1180)) (-5 *1 (-1179 *3)) (-4 *3 (-1093))))) 
-(-10 -7 (-15 -3956 ((-1180) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-3282 (((-635 (-1147)) $) 33)) (-2515 (((-635 (-1147)) $ (-635 (-1147))) 36)) (-2554 (((-635 (-1147)) $ (-635 (-1147))) 35)) (-4541 (((-635 (-1147)) $ (-635 (-1147))) 37)) (-4278 (((-635 (-1147)) $) 32)) (-2446 (($) 22)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3641 (((-635 (-1147)) $) 34)) (-2442 (((-1258) $ (-569)) 29) (((-1258) $) 30)) (-4035 (($ (-852) (-569)) 26) (($ (-852) (-569) (-852)) NIL)) (-3956 (((-852) $) 39) (($ (-852)) 24)) (-1326 (((-121) $ $) NIL))) 
-(((-1180) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-852))) (-15 -4035 ($ (-852) (-569))) (-15 -4035 ($ (-852) (-569) (-852))) (-15 -2442 ((-1258) $ (-569))) (-15 -2442 ((-1258) $)) (-15 -3641 ((-635 (-1147)) $)) (-15 -3282 ((-635 (-1147)) $)) (-15 -2446 ($)) (-15 -4278 ((-635 (-1147)) $)) (-15 -4541 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2515 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2554 ((-635 (-1147)) $ (-635 (-1147))))))) (T -1180)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1180)))) (-4035 (*1 *1 *2 *3) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-1180)))) (-4035 (*1 *1 *2 *3 *2) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-1180)))) (-2442 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1180)))) (-2442 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1180)))) (-3641 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180)))) (-3282 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180)))) (-2446 (*1 *1) (-5 *1 (-1180))) (-4278 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180)))) (-4541 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180)))) (-2515 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180)))) (-2554 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
-(-13 (-1093) (-10 -8 (-15 -3956 ($ (-852))) (-15 -4035 ($ (-852) (-569))) (-15 -4035 ($ (-852) (-569) (-852))) (-15 -2442 ((-1258) $ (-569))) (-15 -2442 ((-1258) $)) (-15 -3641 ((-635 (-1147)) $)) (-15 -3282 ((-635 (-1147)) $)) (-15 -2446 ($)) (-15 -4278 ((-635 (-1147)) $)) (-15 -4541 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2515 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2554 ((-635 (-1147)) $ (-635 (-1147)))))) 
-((-1310 (((-121) $ $) NIL)) (-1376 (((-1147) $ (-1147)) 15) (((-1147) $) 14)) (-2255 (((-1147) $ (-1147)) 13)) (-3284 (($ $ (-1147)) NIL)) (-2477 (((-3 (-1147) "failed") $) 11)) (-2750 (((-1147) $) 8)) (-4006 (((-3 (-1147) "failed") $) 12)) (-3780 (((-1147) $) 9)) (-4465 (($ (-391)) NIL) (($ (-391) (-1147)) NIL)) (-2798 (((-391) $) NIL)) (-2605 (((-1147) $) NIL)) (-4114 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3295 (((-1258) $) NIL)) (-3754 (((-121) $) 17)) (-3956 (((-852) $) NIL)) (-2520 (($ $) NIL)) (-1326 (((-121) $ $) NIL))) 
-(((-1181) (-13 (-367 (-391) (-1147)) (-10 -8 (-15 -1376 ((-1147) $ (-1147))) (-15 -1376 ((-1147) $)) (-15 -2750 ((-1147) $)) (-15 -2477 ((-3 (-1147) "failed") $)) (-15 -4006 ((-3 (-1147) "failed") $)) (-15 -3754 ((-121) $))))) (T -1181)) 
-((-1376 (*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1181)))) (-1376 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1181)))) (-2750 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1181)))) (-2477 (*1 *2 *1) (|partial| -12 (-5 *2 (-1147)) (-5 *1 (-1181)))) (-4006 (*1 *2 *1) (|partial| -12 (-5 *2 (-1147)) (-5 *1 (-1181)))) (-3754 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1181))))) 
-(-13 (-367 (-391) (-1147)) (-10 -8 (-15 -1376 ((-1147) $ (-1147))) (-15 -1376 ((-1147) $)) (-15 -2750 ((-1147) $)) (-15 -2477 ((-3 (-1147) "failed") $)) (-15 -4006 ((-3 (-1147) "failed") $)) (-15 -3754 ((-121) $)))) 
-((-3817 (((-3 (-569) "failed") |#1|) 19)) (-3908 (((-3 (-569) "failed") |#1|) 13)) (-1985 (((-569) (-1147)) 28))) 
-(((-1182 |#1|) (-10 -7 (-15 -3817 ((-3 (-569) "failed") |#1|)) (-15 -3908 ((-3 (-569) "failed") |#1|)) (-15 -1985 ((-569) (-1147)))) (-1049)) (T -1182)) 
-((-1985 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-569)) (-5 *1 (-1182 *4)) (-4 *4 (-1049)))) (-3908 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1182 *3)) (-4 *3 (-1049)))) (-3817 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1182 *3)) (-4 *3 (-1049))))) 
-(-10 -7 (-15 -3817 ((-3 (-569) "failed") |#1|)) (-15 -3908 ((-3 (-569) "failed") |#1|)) (-15 -1985 ((-569) (-1147)))) 
-((-3711 (((-1124 (-216))) 8))) 
-(((-1183) (-10 -7 (-15 -3711 ((-1124 (-216)))))) (T -1183)) 
-((-3711 (*1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1183))))) 
-(-10 -7 (-15 -3711 ((-1124 (-216))))) 
-((-3415 (($) 11)) (-3585 (($ $) 35)) (-3572 (($ $) 33)) (-3490 (($ $) 25)) (-3599 (($ $) 17)) (-4527 (($ $) 15)) (-3592 (($ $) 19)) (-3510 (($ $) 30)) (-3579 (($ $) 34)) (-3497 (($ $) 29))) 
-(((-1184 |#1|) (-10 -8 (-15 -3415 (|#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3599 (|#1| |#1|)) (-15 -4527 (|#1| |#1|)) (-15 -3592 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3510 (|#1| |#1|)) (-15 -3497 (|#1| |#1|))) (-1185)) (T -1184)) 
-NIL 
-(-10 -8 (-15 -3415 (|#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3599 (|#1| |#1|)) (-15 -4527 (|#1| |#1|)) (-15 -3592 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3510 (|#1| |#1|)) (-15 -3497 (|#1| |#1|))) 
-((-3544 (($ $) 26)) (-3467 (($ $) 11)) (-3530 (($ $) 27)) (-3455 (($ $) 10)) (-3559 (($ $) 28)) (-3480 (($ $) 9)) (-3415 (($) 16)) (-3597 (($ $) 19)) (-3408 (($ $) 18)) (-3565 (($ $) 29)) (-3485 (($ $) 8)) (-3551 (($ $) 30)) (-3473 (($ $) 7)) (-3538 (($ $) 31)) (-3460 (($ $) 6)) (-3585 (($ $) 20)) (-3505 (($ $) 32)) (-3572 (($ $) 21)) (-3490 (($ $) 33)) (-3599 (($ $) 22)) (-3517 (($ $) 34)) (-4527 (($ $) 23)) (-3525 (($ $) 35)) (-3592 (($ $) 24)) (-3510 (($ $) 36)) (-3579 (($ $) 25)) (-3497 (($ $) 37)) (** (($ $ $) 17))) 
-(((-1185) (-1284)) (T -1185)) 
-((-3415 (*1 *1) (-4 *1 (-1185)))) 
-(-13 (-1188) (-98) (-503) (-40) (-280) (-10 -8 (-15 -3415 ($)))) 
-(((-40) . T) ((-98) . T) ((-280) . T) ((-503) . T) ((-1188) . T)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 17)) (-1838 (($ |#1| (-635 $)) 23) (($ (-635 |#1|)) 27) (($ |#1|) 25)) (-3350 (((-121) $ (-765)) 46)) (-4548 ((|#1| $ |#1|) 14 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 13 (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-4303 (((-635 |#1|) $) 50 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 41)) (-2638 (((-121) $ $) 32 (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) 39)) (-4457 (((-635 |#1|) $) 51 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 49 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) 24 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 22)) (-1396 (((-121) $ (-765)) 38)) (-1322 (((-635 |#1|) $) 36)) (-3491 (((-121) $) 35)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 48 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 73)) (-1668 (((-121) $) 9)) (-4016 (($) 10)) (-2503 ((|#1| $ "value") NIL)) (-3248 (((-569) $ $) 31)) (-3266 (((-635 $) $) 57)) (-1488 (((-121) $ $) 75)) (-1610 (((-635 $) $) 70)) (-3110 (($ $) 71)) (-1630 (((-121) $) 54)) (-2691 (((-765) (-1 (-121) |#1|) $) 20 (|has| $ (-6 -4571))) (((-765) |#1| $) 16 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 56)) (-3956 (((-852) $) 59 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 12)) (-3773 (((-121) $ $) 29 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 47 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 28 (|has| |#1| (-1093)))) (-2946 (((-765) $) 37 (|has| $ (-6 -4571))))) 
-(((-1186 |#1|) (-13 (-1012 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -1838 ($ |#1| (-635 $))) (-15 -1838 ($ (-635 |#1|))) (-15 -1838 ($ |#1|)) (-15 -1630 ((-121) $)) (-15 -3110 ($ $)) (-15 -1610 ((-635 $) $)) (-15 -1488 ((-121) $ $)) (-15 -3266 ((-635 $) $)))) (-1093)) (T -1186)) 
-((-1630 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1186 *3)) (-4 *3 (-1093)))) (-1838 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1186 *2))) (-5 *1 (-1186 *2)) (-4 *2 (-1093)))) (-1838 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1186 *3)))) (-1838 (*1 *1 *2) (-12 (-5 *1 (-1186 *2)) (-4 *2 (-1093)))) (-3110 (*1 *1 *1) (-12 (-5 *1 (-1186 *2)) (-4 *2 (-1093)))) (-1610 (*1 *2 *1) (-12 (-5 *2 (-635 (-1186 *3))) (-5 *1 (-1186 *3)) (-4 *3 (-1093)))) (-1488 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1186 *3)) (-4 *3 (-1093)))) (-3266 (*1 *2 *1) (-12 (-5 *2 (-635 (-1186 *3))) (-5 *1 (-1186 *3)) (-4 *3 (-1093))))) 
-(-13 (-1012 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -1838 ($ |#1| (-635 $))) (-15 -1838 ($ (-635 |#1|))) (-15 -1838 ($ |#1|)) (-15 -1630 ((-121) $)) (-15 -3110 ($ $)) (-15 -1610 ((-635 $) $)) (-15 -1488 ((-121) $ $)) (-15 -3266 ((-635 $) $)))) 
-((-3467 (($ $) 15)) (-3480 (($ $) 12)) (-3485 (($ $) 10)) (-3473 (($ $) 17))) 
-(((-1187 |#1|) (-10 -8 (-15 -3473 (|#1| |#1|)) (-15 -3485 (|#1| |#1|)) (-15 -3480 (|#1| |#1|)) (-15 -3467 (|#1| |#1|))) (-1188)) (T -1187)) 
-NIL 
-(-10 -8 (-15 -3473 (|#1| |#1|)) (-15 -3485 (|#1| |#1|)) (-15 -3480 (|#1| |#1|)) (-15 -3467 (|#1| |#1|))) 
-((-3467 (($ $) 11)) (-3455 (($ $) 10)) (-3480 (($ $) 9)) (-3485 (($ $) 8)) (-3473 (($ $) 7)) (-3460 (($ $) 6))) 
-(((-1188) (-1284)) (T -1188)) 
-((-3467 (*1 *1 *1) (-4 *1 (-1188))) (-3455 (*1 *1 *1) (-4 *1 (-1188))) (-3480 (*1 *1 *1) (-4 *1 (-1188))) (-3485 (*1 *1 *1) (-4 *1 (-1188))) (-3473 (*1 *1 *1) (-4 *1 (-1188))) (-3460 (*1 *1 *1) (-4 *1 (-1188)))) 
-(-13 (-10 -8 (-15 -3460 ($ $)) (-15 -3473 ($ $)) (-15 -3485 ($ $)) (-15 -3480 ($ $)) (-15 -3455 ($ $)) (-15 -3467 ($ $)))) 
-((-3309 ((|#2| |#2|) 85)) (-2776 (((-121) |#2|) 25)) (-3147 ((|#2| |#2|) 29)) (-3155 ((|#2| |#2|) 31)) (-1439 ((|#2| |#2| (-1165)) 79) ((|#2| |#2|) 80)) (-1608 (((-170 |#2|) |#2|) 27)) (-4536 ((|#2| |#2| (-1165)) 81) ((|#2| |#2|) 82))) 
-(((-1189 |#1| |#2|) (-10 -7 (-15 -1439 (|#2| |#2|)) (-15 -1439 (|#2| |#2| (-1165))) (-15 -4536 (|#2| |#2|)) (-15 -4536 (|#2| |#2| (-1165))) (-15 -3309 (|#2| |#2|)) (-15 -3147 (|#2| |#2|)) (-15 -3155 (|#2| |#2|)) (-15 -2776 ((-121) |#2|)) (-15 -1608 ((-170 |#2|) |#2|))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -1189)) 
-((-1608 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-170 *3)) (-5 *1 (-1189 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-2776 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-1189 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-3155 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) (-3147 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) (-3309 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) (-4536 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-4536 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) (-1439 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-1439 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3)))))) 
-(-10 -7 (-15 -1439 (|#2| |#2|)) (-15 -1439 (|#2| |#2| (-1165))) (-15 -4536 (|#2| |#2|)) (-15 -4536 (|#2| |#2| (-1165))) (-15 -3309 (|#2| |#2|)) (-15 -3147 (|#2| |#2|)) (-15 -3155 (|#2| |#2|)) (-15 -2776 ((-121) |#2|)) (-15 -1608 ((-170 |#2|) |#2|))) 
-((-3416 ((|#4| |#4| |#1|) 27)) (-4406 ((|#4| |#4| |#1|) 28))) 
-(((-1190 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3416 (|#4| |#4| |#1|)) (-15 -4406 (|#4| |#4| |#1|))) (-559) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|)) (T -1190)) 
-((-4406 (*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1190 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-3416 (*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1190 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
-(-10 -7 (-15 -3416 (|#4| |#4| |#1|)) (-15 -4406 (|#4| |#4| |#1|))) 
-((-2331 ((|#2| |#2|) 144)) (-1515 ((|#2| |#2|) 142)) (-3744 ((|#2| |#2|) 134)) (-2912 ((|#2| |#2|) 131)) (-3197 ((|#2| |#2|) 139)) (-3928 ((|#2| |#2|) 127)) (-3261 ((|#2| |#2|) 59)) (-4530 ((|#2| |#2|) 109)) (-1928 ((|#2| |#2|) 89)) (-4443 ((|#2| |#2|) 141)) (-3663 ((|#2| |#2|) 129)) (-2827 ((|#2| |#2|) 149)) (-2401 ((|#2| |#2|) 147)) (-3966 ((|#2| |#2|) 148)) (-3989 ((|#2| |#2|) 146)) (-2948 ((|#2| |#2|) 158)) (-4380 ((|#2| |#2|) 48 (-12 (|has| |#2| (-610 (-889 |#1|))) (|has| |#2| (-883 |#1|)) (|has| |#1| (-610 (-889 |#1|))) (|has| |#1| (-883 |#1|))))) (-1917 ((|#2| |#2|) 90)) (-2119 ((|#2| |#2|) 150)) (-2121 ((|#2| |#2|) 151)) (-3489 ((|#2| |#2|) 140)) (-2208 ((|#2| |#2|) 128)) (-1766 ((|#2| |#2|) 145)) (-2586 ((|#2| |#2|) 143)) (-4281 ((|#2| |#2|) 135)) (-1624 ((|#2| |#2|) 133)) (-2069 ((|#2| |#2|) 137)) (-2467 ((|#2| |#2|) 125))) 
-(((-1191 |#1| |#2|) (-10 -7 (-15 -2121 (|#2| |#2|)) (-15 -1928 (|#2| |#2|)) (-15 -2948 (|#2| |#2|)) (-15 -4530 (|#2| |#2|)) (-15 -3261 (|#2| |#2|)) (-15 -1917 (|#2| |#2|)) (-15 -2119 (|#2| |#2|)) (-15 -2467 (|#2| |#2|)) (-15 -2069 (|#2| |#2|)) (-15 -4281 (|#2| |#2|)) (-15 -1766 (|#2| |#2|)) (-15 -2208 (|#2| |#2|)) (-15 -3489 (|#2| |#2|)) (-15 -3663 (|#2| |#2|)) (-15 -4443 (|#2| |#2|)) (-15 -3928 (|#2| |#2|)) (-15 -3197 (|#2| |#2|)) (-15 -3744 (|#2| |#2|)) (-15 -2331 (|#2| |#2|)) (-15 -2912 (|#2| |#2|)) (-15 -1515 (|#2| |#2|)) (-15 -1624 (|#2| |#2|)) (-15 -2586 (|#2| |#2|)) (-15 -3989 (|#2| |#2|)) (-15 -2401 (|#2| |#2|)) (-15 -3966 (|#2| |#2|)) (-15 -2827 (|#2| |#2|)) (IF (|has| |#1| (-883 |#1|)) (IF (|has| |#1| (-610 (-889 |#1|))) (IF (|has| |#2| (-610 (-889 |#1|))) (IF (|has| |#2| (-883 |#1|)) (-15 -4380 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-13 (-844) (-454)) (-13 (-433 |#1|) (-1185))) (T -1191)) 
-((-4380 (*1 *2 *2) (-12 (-4 *3 (-610 (-889 *3))) (-4 *3 (-883 *3)) (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-610 (-889 *3))) (-4 *2 (-883 *3)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2827 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3966 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2401 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3989 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2586 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-1624 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-1515 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2912 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2331 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3744 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3197 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3928 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-4443 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3663 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3489 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2208 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-1766 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-4281 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2069 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2467 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2119 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-1917 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3261 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-4530 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2948 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-1928 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2121 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(-10 -7 (-15 -2121 (|#2| |#2|)) (-15 -1928 (|#2| |#2|)) (-15 -2948 (|#2| |#2|)) (-15 -4530 (|#2| |#2|)) (-15 -3261 (|#2| |#2|)) (-15 -1917 (|#2| |#2|)) (-15 -2119 (|#2| |#2|)) (-15 -2467 (|#2| |#2|)) (-15 -2069 (|#2| |#2|)) (-15 -4281 (|#2| |#2|)) (-15 -1766 (|#2| |#2|)) (-15 -2208 (|#2| |#2|)) (-15 -3489 (|#2| |#2|)) (-15 -3663 (|#2| |#2|)) (-15 -4443 (|#2| |#2|)) (-15 -3928 (|#2| |#2|)) (-15 -3197 (|#2| |#2|)) (-15 -3744 (|#2| |#2|)) (-15 -2331 (|#2| |#2|)) (-15 -2912 (|#2| |#2|)) (-15 -1515 (|#2| |#2|)) (-15 -1624 (|#2| |#2|)) (-15 -2586 (|#2| |#2|)) (-15 -3989 (|#2| |#2|)) (-15 -2401 (|#2| |#2|)) (-15 -3966 (|#2| |#2|)) (-15 -2827 (|#2| |#2|)) (IF (|has| |#1| (-883 |#1|)) (IF (|has| |#1| (-610 (-889 |#1|))) (IF (|has| |#2| (-610 (-889 |#1|))) (IF (|has| |#2| (-883 |#1|)) (-15 -4380 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
-((-3679 (((-121) |#5| $) 59) (((-121) $) 101)) (-1815 ((|#5| |#5| $) 74)) (-2140 (($ (-1 (-121) |#5|) $) NIL) (((-3 |#5| "failed") $ |#4|) 118)) (-2516 (((-635 |#5|) (-635 |#5|) $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 72)) (-3003 (((-3 $ "failed") (-635 |#5|)) 125)) (-1864 (((-3 $ "failed") $) 111)) (-3562 ((|#5| |#5| $) 93)) (-3782 (((-121) |#5| $ (-1 (-121) |#5| |#5|)) 30)) (-4417 ((|#5| |#5| $) 97)) (-2793 ((|#5| (-1 |#5| |#5| |#5|) $ |#5| |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $ |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $) NIL) ((|#5| |#5| $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 68)) (-4047 (((-2 (|:| -2412 (-635 |#5|)) (|:| -4465 (-635 |#5|))) $) 54)) (-1660 (((-121) |#5| $) 57) (((-121) $) 102)) (-1473 ((|#4| $) 107)) (-3302 (((-3 |#5| "failed") $) 109)) (-1536 (((-635 |#5|) $) 48)) (-2114 (((-121) |#5| $) 66) (((-121) $) 106)) (-2709 ((|#5| |#5| $) 80)) (-1861 (((-121) $ $) 26)) (-3072 (((-121) |#5| $) 62) (((-121) $) 104)) (-1910 ((|#5| |#5| $) 77)) (-1816 (((-3 |#5| "failed") $) 108)) (-3803 (($ $ |#5|) 126)) (-2284 (((-765) $) 51)) (-3124 (($ (-635 |#5|)) 123)) (-2201 (($ $ |#4|) 121)) (-4081 (($ $ |#4|) 120)) (-2406 (($ $) 119)) (-3956 (((-852) $) NIL) (((-635 |#5|) $) 112)) (-1448 (((-765) $) 129)) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|)) 42) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|)) 44)) (-1680 (((-121) $ (-1 (-121) |#5| (-635 |#5|))) 99)) (-3882 (((-635 |#4|) $) 114)) (-3345 (((-121) |#4| $) 117)) (-1326 (((-121) $ $) 19))) 
-(((-1192 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -1448 ((-765) |#1|)) (-15 -3803 (|#1| |#1| |#5|)) (-15 -2140 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3345 ((-121) |#4| |#1|)) (-15 -3882 ((-635 |#4|) |#1|)) (-15 -1864 ((-3 |#1| "failed") |#1|)) (-15 -3302 ((-3 |#5| "failed") |#1|)) (-15 -1816 ((-3 |#5| "failed") |#1|)) (-15 -4417 (|#5| |#5| |#1|)) (-15 -2406 (|#1| |#1|)) (-15 -3562 (|#5| |#5| |#1|)) (-15 -2709 (|#5| |#5| |#1|)) (-15 -1910 (|#5| |#5| |#1|)) (-15 -1815 (|#5| |#5| |#1|)) (-15 -2516 ((-635 |#5|) (-635 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -2793 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -2114 ((-121) |#1|)) (-15 -3072 ((-121) |#1|)) (-15 -3679 ((-121) |#1|)) (-15 -1680 ((-121) |#1| (-1 (-121) |#5| (-635 |#5|)))) (-15 -2114 ((-121) |#5| |#1|)) (-15 -3072 ((-121) |#5| |#1|)) (-15 -3679 ((-121) |#5| |#1|)) (-15 -3782 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -1660 ((-121) |#1|)) (-15 -1660 ((-121) |#5| |#1|)) (-15 -4047 ((-2 (|:| -2412 (-635 |#5|)) (|:| -4465 (-635 |#5|))) |#1|)) (-15 -2284 ((-765) |#1|)) (-15 -1536 ((-635 |#5|) |#1|)) (-15 -2236 ((-3 (-2 (|:| |bas| |#1|) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -2236 ((-3 (-2 (|:| |bas| |#1|) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|))) (-15 -1861 ((-121) |#1| |#1|)) (-15 -2201 (|#1| |#1| |#4|)) (-15 -4081 (|#1| |#1| |#4|)) (-15 -1473 (|#4| |#1|)) (-15 -3003 ((-3 |#1| "failed") (-635 |#5|))) (-15 -3956 ((-635 |#5|) |#1|)) (-15 -3124 (|#1| (-635 |#5|))) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -2140 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-1193 |#2| |#3| |#4| |#5|) (-559) (-790) (-844) (-1063 |#2| |#3| |#4|)) (T -1192)) 
-NIL 
-(-10 -8 (-15 -1448 ((-765) |#1|)) (-15 -3803 (|#1| |#1| |#5|)) (-15 -2140 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3345 ((-121) |#4| |#1|)) (-15 -3882 ((-635 |#4|) |#1|)) (-15 -1864 ((-3 |#1| "failed") |#1|)) (-15 -3302 ((-3 |#5| "failed") |#1|)) (-15 -1816 ((-3 |#5| "failed") |#1|)) (-15 -4417 (|#5| |#5| |#1|)) (-15 -2406 (|#1| |#1|)) (-15 -3562 (|#5| |#5| |#1|)) (-15 -2709 (|#5| |#5| |#1|)) (-15 -1910 (|#5| |#5| |#1|)) (-15 -1815 (|#5| |#5| |#1|)) (-15 -2516 ((-635 |#5|) (-635 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -2793 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -2114 ((-121) |#1|)) (-15 -3072 ((-121) |#1|)) (-15 -3679 ((-121) |#1|)) (-15 -1680 ((-121) |#1| (-1 (-121) |#5| (-635 |#5|)))) (-15 -2114 ((-121) |#5| |#1|)) (-15 -3072 ((-121) |#5| |#1|)) (-15 -3679 ((-121) |#5| |#1|)) (-15 -3782 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -1660 ((-121) |#1|)) (-15 -1660 ((-121) |#5| |#1|)) (-15 -4047 ((-2 (|:| -2412 (-635 |#5|)) (|:| -4465 (-635 |#5|))) |#1|)) (-15 -2284 ((-765) |#1|)) (-15 -1536 ((-635 |#5|) |#1|)) (-15 -2236 ((-3 (-2 (|:| |bas| |#1|) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -2236 ((-3 (-2 (|:| |bas| |#1|) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|))) (-15 -1861 ((-121) |#1| |#1|)) (-15 -2201 (|#1| |#1| |#4|)) (-15 -4081 (|#1| |#1| |#4|)) (-15 -1473 (|#4| |#1|)) (-15 -3003 ((-3 |#1| "failed") (-635 |#5|))) (-15 -3956 ((-635 |#5|) |#1|)) (-15 -3124 (|#1| (-635 |#5|))) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -2140 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) 78)) (-3202 (((-635 $) (-635 |#4|)) 79)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) 94) (((-121) $) 90)) (-1815 ((|#4| |#4| $) 85)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 72)) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1864 (((-3 $ "failed") $) 75)) (-3562 ((|#4| |#4| $) 82)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-4417 ((|#4| |#4| $) 80)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) 98)) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) 97) (((-121) $) 96)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-3302 (((-3 |#4| "failed") $) 76)) (-1536 (((-635 |#4|) $) 100)) (-2114 (((-121) |#4| $) 92) (((-121) $) 88)) (-2709 ((|#4| |#4| $) 83)) (-1861 (((-121) $ $) 103)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) 93) (((-121) $) 89)) (-1910 ((|#4| |#4| $) 84)) (-1912 (((-1111) $) 10)) (-1816 (((-3 |#4| "failed") $) 77)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4300 (((-3 $ "failed") $ |#4|) 71)) (-3803 (($ $ |#4|) 70)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2284 (((-765) $) 99)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2406 (($ $) 81)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-1448 (((-765) $) 69 (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) 74)) (-3345 (((-121) |#3| $) 73)) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
-(((-1193 |#1| |#2| |#3| |#4|) (-1284) (-559) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -1193)) 
-((-1861 (*1 *2 *1 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-2236 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1941 (-635 *8)))) (-5 *3 (-635 *8)) (-4 *1 (-1193 *5 *6 *7 *8)))) (-2236 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1941 (-635 *9)))) (-5 *3 (-635 *9)) (-4 *1 (-1193 *6 *7 *8 *9)))) (-1536 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *6)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-765)))) (-4047 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-2 (|:| -2412 (-635 *6)) (|:| -4465 (-635 *6)))))) (-1660 (*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-1660 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-3782 (*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1193 *5 *6 *7 *3)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121)))) (-3679 (*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-3072 (*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-2114 (*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-1680 (*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-635 *7))) (-4 *1 (-1193 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-3679 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-3072 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-2114 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-2793 (*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1193 *5 *6 *7 *2)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *2 (-1063 *5 *6 *7)))) (-2516 (*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1193 *5 *6 *7 *8)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)))) (-1815 (*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-1910 (*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-2709 (*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-3562 (*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-2406 (*1 *1 *1) (-12 (-4 *1 (-1193 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-1063 *2 *3 *4)))) (-4417 (*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-3202 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1193 *4 *5 *6 *7)))) (-2746 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| -2412 *1) (|:| -4465 (-635 *7))))) (-5 *3 (-635 *7)) (-4 *1 (-1193 *4 *5 *6 *7)))) (-1816 (*1 *2 *1) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-3302 (*1 *2 *1) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-1864 (*1 *1 *1) (|partial| -12 (-4 *1 (-1193 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-1063 *2 *3 *4)))) (-3882 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5)))) (-3345 (*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *3 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-121)))) (-2140 (*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1193 *4 *5 *3 *2)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *2 (-1063 *4 *5 *3)))) (-4300 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-3803 (*1 *1 *1 *2) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-1448 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *5 (-371)) (-5 *2 (-765))))) 
-(-13 (-979 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -1861 ((-121) $ $)) (-15 -2236 ((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |t#4|))) "failed") (-635 |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -2236 ((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |t#4|))) "failed") (-635 |t#4|) (-1 (-121) |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -1536 ((-635 |t#4|) $)) (-15 -2284 ((-765) $)) (-15 -4047 ((-2 (|:| -2412 (-635 |t#4|)) (|:| -4465 (-635 |t#4|))) $)) (-15 -1660 ((-121) |t#4| $)) (-15 -1660 ((-121) $)) (-15 -3782 ((-121) |t#4| $ (-1 (-121) |t#4| |t#4|))) (-15 -3679 ((-121) |t#4| $)) (-15 -3072 ((-121) |t#4| $)) (-15 -2114 ((-121) |t#4| $)) (-15 -1680 ((-121) $ (-1 (-121) |t#4| (-635 |t#4|)))) (-15 -3679 ((-121) $)) (-15 -3072 ((-121) $)) (-15 -2114 ((-121) $)) (-15 -2793 (|t#4| |t#4| $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -2516 ((-635 |t#4|) (-635 |t#4|) $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -1815 (|t#4| |t#4| $)) (-15 -1910 (|t#4| |t#4| $)) (-15 -2709 (|t#4| |t#4| $)) (-15 -3562 (|t#4| |t#4| $)) (-15 -2406 ($ $)) (-15 -4417 (|t#4| |t#4| $)) (-15 -3202 ((-635 $) (-635 |t#4|))) (-15 -2746 ((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |t#4|)))) (-635 |t#4|))) (-15 -1816 ((-3 |t#4| "failed") $)) (-15 -3302 ((-3 |t#4| "failed") $)) (-15 -1864 ((-3 $ "failed") $)) (-15 -3882 ((-635 |t#3|) $)) (-15 -3345 ((-121) |t#3| $)) (-15 -2140 ((-3 |t#4| "failed") $ |t#3|)) (-15 -4300 ((-3 $ "failed") $ |t#4|)) (-15 -3803 ($ $ |t#4|)) (IF (|has| |t#3| (-371)) (-15 -1448 ((-765) $)) |noBranch|))) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-979 |#1| |#2| |#3| |#4|) . T) ((-1093) . T) ((-1199) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1165)) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2849 (((-955 |#1|) $ (-765)) 16) (((-955 |#1|) $ (-765) (-765)) NIL)) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $ (-1165)) NIL) (((-765) $ (-1165) (-765)) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3052 (((-121) $) NIL)) (-3179 (($ $ (-635 (-1165)) (-635 (-535 (-1165)))) NIL) (($ $ (-1165) (-535 (-1165))) NIL) (($ |#1| (-535 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1324 (($ $ (-1165)) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-2528 (($ (-1 $) (-1165) |#1|) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3803 (($ $ (-765)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (($ $ (-1165) $) NIL) (($ $ (-635 (-1165)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL)) (-3289 (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-2284 (((-535 (-1165)) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-1165)) NIL) (($ (-955 |#1|)) NIL)) (-3802 ((|#1| $ (-535 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (((-955 |#1|) $ (-765)) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1194 |#1|) (-13 (-732 |#1| (-1165)) (-10 -8 (-15 -3802 ((-955 |#1|) $ (-765))) (-15 -3956 ($ (-1165))) (-15 -3956 ($ (-955 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $ (-1165) |#1|)) (-15 -2528 ($ (-1 $) (-1165) |#1|))) |noBranch|))) (-1049)) (T -1194)) 
-((-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-955 *4)) (-5 *1 (-1194 *4)) (-4 *4 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1194 *3)) (-4 *3 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-5 *1 (-1194 *3)))) (-1324 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *1 (-1194 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)))) (-2528 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1194 *4))) (-5 *3 (-1165)) (-5 *1 (-1194 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049))))) 
-(-13 (-732 |#1| (-1165)) (-10 -8 (-15 -3802 ((-955 |#1|) $ (-765))) (-15 -3956 ($ (-1165))) (-15 -3956 ($ (-955 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $ (-1165) |#1|)) (-15 -2528 ($ (-1 $) (-1165) |#1|))) |noBranch|))) 
-((-4238 (($ |#1| (-635 (-635 (-946 (-216)))) (-121)) 15)) (-1762 (((-121) $ (-121)) 14)) (-3965 (((-121) $) 13)) (-3777 (((-635 (-635 (-946 (-216)))) $) 10)) (-3902 ((|#1| $) 8)) (-1980 (((-121) $) 12))) 
-(((-1195 |#1|) (-10 -8 (-15 -3902 (|#1| $)) (-15 -3777 ((-635 (-635 (-946 (-216)))) $)) (-15 -1980 ((-121) $)) (-15 -3965 ((-121) $)) (-15 -1762 ((-121) $ (-121))) (-15 -4238 ($ |#1| (-635 (-635 (-946 (-216)))) (-121)))) (-977)) (T -1195)) 
-((-4238 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-121)) (-5 *1 (-1195 *2)) (-4 *2 (-977)))) (-1762 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977)))) (-3965 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977)))) (-1980 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977)))) (-3777 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-1195 *3)) (-4 *3 (-977)))) (-3902 (*1 *2 *1) (-12 (-5 *1 (-1195 *2)) (-4 *2 (-977))))) 
-(-10 -8 (-15 -3902 (|#1| $)) (-15 -3777 ((-635 (-635 (-946 (-216)))) $)) (-15 -1980 ((-121) $)) (-15 -3965 ((-121) $)) (-15 -1762 ((-121) $ (-121))) (-15 -4238 ($ |#1| (-635 (-635 (-946 (-216)))) (-121)))) 
-((-4148 (((-946 (-216)) (-946 (-216))) 25)) (-2131 (((-946 (-216)) (-216) (-216) (-216) (-216)) 10)) (-3041 (((-635 (-946 (-216))) (-946 (-216)) (-946 (-216)) (-946 (-216)) (-216) (-635 (-635 (-216)))) 35)) (-4510 (((-216) (-946 (-216)) (-946 (-216))) 21)) (-3617 (((-946 (-216)) (-946 (-216)) (-946 (-216))) 22)) (-4234 (((-635 (-635 (-216))) (-569)) 31)) (-1377 (((-946 (-216)) (-946 (-216)) (-946 (-216))) 20)) (-1371 (((-946 (-216)) (-946 (-216)) (-946 (-216))) 19)) (* (((-946 (-216)) (-216) (-946 (-216))) 18))) 
-(((-1196) (-10 -7 (-15 -2131 ((-946 (-216)) (-216) (-216) (-216) (-216))) (-15 * ((-946 (-216)) (-216) (-946 (-216)))) (-15 -1371 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -1377 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -4510 ((-216) (-946 (-216)) (-946 (-216)))) (-15 -3617 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -4148 ((-946 (-216)) (-946 (-216)))) (-15 -4234 ((-635 (-635 (-216))) (-569))) (-15 -3041 ((-635 (-946 (-216))) (-946 (-216)) (-946 (-216)) (-946 (-216)) (-216) (-635 (-635 (-216))))))) (T -1196)) 
-((-3041 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-635 (-635 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 (-946 *4))) (-5 *1 (-1196)) (-5 *3 (-946 *4)))) (-4234 (*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-1196)))) (-4148 (*1 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) (-3617 (*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) (-4510 (*1 *2 *3 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-216)) (-5 *1 (-1196)))) (-1377 (*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) (-1371 (*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-946 (-216))) (-5 *3 (-216)) (-5 *1 (-1196)))) (-2131 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)) (-5 *3 (-216))))) 
-(-10 -7 (-15 -2131 ((-946 (-216)) (-216) (-216) (-216) (-216))) (-15 * ((-946 (-216)) (-216) (-946 (-216)))) (-15 -1371 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -1377 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -4510 ((-216) (-946 (-216)) (-946 (-216)))) (-15 -3617 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -4148 ((-946 (-216)) (-946 (-216)))) (-15 -4234 ((-635 (-635 (-216))) (-569))) (-15 -3041 ((-635 (-946 (-216))) (-946 (-216)) (-946 (-216)) (-946 (-216)) (-216) (-635 (-635 (-216)))))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2140 ((|#1| $ (-765)) 13)) (-2718 (((-765) $) 12)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-3956 (((-960 |#1|) $) 10) (($ (-960 |#1|)) 9) (((-852) $) 23 (|has| |#1| (-1093)))) (-1326 (((-121) $ $) 16 (|has| |#1| (-1093))))) 
-(((-1197 |#1|) (-13 (-609 (-960 |#1|)) (-10 -8 (-15 -3956 ($ (-960 |#1|))) (-15 -2140 (|#1| $ (-765))) (-15 -2718 ((-765) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) (-1199)) (T -1197)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-960 *3)) (-4 *3 (-1199)) (-5 *1 (-1197 *3)))) (-2140 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-1197 *2)) (-4 *2 (-1199)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1197 *3)) (-4 *3 (-1199))))) 
-(-13 (-609 (-960 |#1|)) (-10 -8 (-15 -3956 ($ (-960 |#1|))) (-15 -2140 (|#1| $ (-765))) (-15 -2718 ((-765) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) 
-((-1360 (((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)) (-569)) 79)) (-4042 (((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|))) 73)) (-4509 (((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|))) 58))) 
-(((-1198 |#1|) (-10 -7 (-15 -4042 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)))) (-15 -4509 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)))) (-15 -1360 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)) (-569)))) (-351)) (T -1198)) 
-((-1360 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-351)) (-5 *2 (-421 (-1161 (-1161 *5)))) (-5 *1 (-1198 *5)) (-5 *3 (-1161 (-1161 *5))))) (-4509 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1161 (-1161 *4)))) (-5 *1 (-1198 *4)) (-5 *3 (-1161 (-1161 *4))))) (-4042 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1161 (-1161 *4)))) (-5 *1 (-1198 *4)) (-5 *3 (-1161 (-1161 *4)))))) 
-(-10 -7 (-15 -4042 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)))) (-15 -4509 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)))) (-15 -1360 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)) (-569)))) 
-NIL 
-(((-1199) (-1284)) (T -1199)) 
-NIL 
-(-13 (-10 -7 (-6 -4317))) 
-((-1310 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-1201)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) NIL)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 (((-569) $ (-569) (-569) (-569)) 17) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-1201)) NIL)) (-1622 (($ $ (-569) (-1201)) NIL)) (-2232 (($ (-765) (-569)) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| (-569) (-302)))) (-4128 (((-1201) $ (-569)) NIL)) (-3358 (((-765) $) NIL (|has| (-569) (-559)))) (-3982 (((-569) $ (-569) (-569) (-569)) 16)) (-2903 (($ (-569) (-569)) 19)) (-4124 (((-569) $ (-569) (-569)) 14)) (-3917 (((-569) $) NIL (|has| (-569) (-173)))) (-4303 (((-635 (-569)) $) NIL)) (-2557 (((-765) $) NIL (|has| (-569) (-559)))) (-3970 (((-635 (-1201)) $) NIL (|has| (-569) (-559)))) (-3568 (((-765) $) 10)) (-2446 (($ (-765) (-765) (-569)) 20)) (-4145 (((-765) $) 11)) (-3206 (((-121) $ (-765)) NIL)) (-3164 (((-569) $) NIL (|has| (-569) (-6 (-4573 "*"))))) (-4094 (((-569) $) 7)) (-3841 (((-569) $) 8)) (-4457 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-2376 (((-569) $) 12)) (-2414 (((-569) $) 13)) (-2926 (($ (-635 (-635 (-569)))) NIL) (($ (-765) (-765) (-1 (-569) (-569) (-569))) NIL)) (-2089 (($ (-1 (-569) (-569)) $) NIL)) (-4188 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL) (($ (-1 (-569) (-569) (-569)) $ $ (-569)) NIL)) (-4269 (((-635 (-635 (-569))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-569) (-1093)))) (-1655 (((-3 $ "failed") $) NIL (|has| (-569) (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| (-569) (-1093)))) (-2417 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ (-569)) NIL (|has| (-569) (-559)))) (-2985 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 18)) (-2503 (((-569) $ (-569) (-569)) 15) (((-569) $ (-569) (-569) (-569)) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 (-569))) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 (((-569) $) NIL (|has| (-569) (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571))) (((-765) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-1201)) $) NIL (|has| (-569) (-302)))) (-2349 (((-1201) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| (-569) (-1093))) (($ (-1201)) NIL)) (-3776 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1383 (($ $ (-569)) NIL (|has| (-569) (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-569) (-366)))) (* (($ $ $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL) (($ (-569) $) NIL) (((-1201) $ (-1201)) NIL) (((-1201) (-1201) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1200) (-13 (-679 (-569) (-1201) (-1201)) (-10 -8 (-15 -2903 ($ (-569) (-569)))))) (T -1200)) 
-((-2903 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1200))))) 
-(-13 (-679 (-569) (-1201) (-1201)) (-10 -8 (-15 -2903 ($ (-569) (-569))))) 
-((-1310 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-569) (-569)) $) NIL) (((-121) $) NIL (|has| (-569) (-844)))) (-1744 (($ (-1 (-121) (-569) (-569)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-569) (-844))))) (-2930 (($ (-1 (-121) (-569) (-569)) $) NIL) (($ $) NIL (|has| (-569) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-569) $ (-569) (-569)) 15 (|has| $ (-6 -4572))) (((-569) $ (-1219 (-569)) (-569)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3503 (($ (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-569) (-1 (-569) (-569) (-569)) $ (-569) (-569)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (((-569) (-1 (-569) (-569) (-569)) $ (-569)) NIL (|has| $ (-6 -4571))) (((-569) (-1 (-569) (-569) (-569)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-569) $ (-569) (-569)) 14 (|has| $ (-6 -4572)))) (-4124 (((-569) $ (-569)) 12)) (-3988 (((-569) (-1 (-121) (-569)) $) NIL) (((-569) (-569) $) NIL (|has| (-569) (-1093))) (((-569) (-569) $ (-569)) NIL (|has| (-569) (-1093)))) (-4303 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-569)) 11)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 9 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2102 (($ (-1 (-121) (-569) (-569)) $ $) NIL) (($ $ $) NIL (|has| (-569) (-844)))) (-4457 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-2089 (($ (-1 (-569) (-569)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-569) (-1093)))) (-2583 (($ (-569) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| (-569) (-1093)))) (-1816 (((-569) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-569) "failed") (-1 (-121) (-569)) $) NIL)) (-2417 (($ $ (-569)) 16 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-4283 (((-635 (-569)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 10)) (-2503 (((-569) $ (-569) (-569)) NIL) (((-569) $ (-569)) 13) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571))) (((-765) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-569) (-610 (-542))))) (-3124 (($ (-635 (-569))) NIL)) (-4456 (($ $ (-569)) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| (-569) (-1093)))) (-3776 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-2946 (((-765) $) 7 (|has| $ (-6 -4571))))) 
-(((-1201) (-19 (-569))) (T -1201)) 
-NIL 
-(-19 (-569)) 
-((-1310 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-1203)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) NIL)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 (((-569) $ (-569) (-569) (-569)) 17) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-1203)) NIL)) (-1622 (($ $ (-569) (-1203)) NIL)) (-2232 (($ (-765) (-569)) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| (-569) (-302)))) (-4128 (((-1203) $ (-569)) NIL)) (-3358 (((-765) $) NIL (|has| (-569) (-559)))) (-3982 (((-569) $ (-569) (-569) (-569)) 16)) (-2903 (($ (-569) (-569)) 19)) (-4124 (((-569) $ (-569) (-569)) 14)) (-3917 (((-569) $) NIL (|has| (-569) (-173)))) (-4303 (((-635 (-569)) $) NIL)) (-2557 (((-765) $) NIL (|has| (-569) (-559)))) (-3970 (((-635 (-1203)) $) NIL (|has| (-569) (-559)))) (-3568 (((-765) $) 10)) (-2446 (($ (-765) (-765) (-569)) 20)) (-4145 (((-765) $) 11)) (-3206 (((-121) $ (-765)) NIL)) (-3164 (((-569) $) NIL (|has| (-569) (-6 (-4573 "*"))))) (-4094 (((-569) $) 7)) (-3841 (((-569) $) 8)) (-4457 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-2376 (((-569) $) 12)) (-2414 (((-569) $) 13)) (-2926 (($ (-635 (-635 (-569)))) NIL) (($ (-765) (-765) (-1 (-569) (-569) (-569))) NIL)) (-2089 (($ (-1 (-569) (-569)) $) NIL)) (-4188 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL) (($ (-1 (-569) (-569) (-569)) $ $ (-569)) NIL)) (-4269 (((-635 (-635 (-569))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-569) (-1093)))) (-1655 (((-3 $ "failed") $) NIL (|has| (-569) (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| (-569) (-1093)))) (-2417 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ (-569)) NIL (|has| (-569) (-559)))) (-2985 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 18)) (-2503 (((-569) $ (-569) (-569)) 15) (((-569) $ (-569) (-569) (-569)) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 (-569))) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 (((-569) $) NIL (|has| (-569) (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571))) (((-765) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-1203)) $) NIL (|has| (-569) (-302)))) (-2349 (((-1203) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| (-569) (-1093))) (($ (-1203)) NIL)) (-3776 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1383 (($ $ (-569)) NIL (|has| (-569) (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-569) (-366)))) (* (($ $ $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL) (($ (-569) $) NIL) (((-1203) $ (-1203)) NIL) (((-1203) (-1203) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1202) (-13 (-679 (-569) (-1203) (-1203)) (-10 -8 (-15 -2903 ($ (-569) (-569)))))) (T -1202)) 
-((-2903 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1202))))) 
-(-13 (-679 (-569) (-1203) (-1203)) (-10 -8 (-15 -2903 ($ (-569) (-569))))) 
-((-1310 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-569) (-569)) $) NIL) (((-121) $) NIL (|has| (-569) (-844)))) (-1744 (($ (-1 (-121) (-569) (-569)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-569) (-844))))) (-2930 (($ (-1 (-121) (-569) (-569)) $) NIL) (($ $) NIL (|has| (-569) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-569) $ (-569) (-569)) 15 (|has| $ (-6 -4572))) (((-569) $ (-1219 (-569)) (-569)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3503 (($ (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-569) (-1 (-569) (-569) (-569)) $ (-569) (-569)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (((-569) (-1 (-569) (-569) (-569)) $ (-569)) NIL (|has| $ (-6 -4571))) (((-569) (-1 (-569) (-569) (-569)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-569) $ (-569) (-569)) 14 (|has| $ (-6 -4572)))) (-4124 (((-569) $ (-569)) 12)) (-3988 (((-569) (-1 (-121) (-569)) $) NIL) (((-569) (-569) $) NIL (|has| (-569) (-1093))) (((-569) (-569) $ (-569)) NIL (|has| (-569) (-1093)))) (-4303 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-569)) 11)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 9 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2102 (($ (-1 (-121) (-569) (-569)) $ $) NIL) (($ $ $) NIL (|has| (-569) (-844)))) (-4457 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-2089 (($ (-1 (-569) (-569)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-569) (-1093)))) (-2583 (($ (-569) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| (-569) (-1093)))) (-1816 (((-569) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-569) "failed") (-1 (-121) (-569)) $) NIL)) (-2417 (($ $ (-569)) 16 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-4283 (((-635 (-569)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 10)) (-2503 (((-569) $ (-569) (-569)) NIL) (((-569) $ (-569)) 13) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571))) (((-765) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-569) (-610 (-542))))) (-3124 (($ (-635 (-569))) NIL)) (-4456 (($ $ (-569)) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| (-569) (-1093)))) (-3776 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-2946 (((-765) $) 7 (|has| $ (-6 -4571))))) 
-(((-1203) (-19 (-569))) (T -1203)) 
-NIL 
-(-19 (-569)) 
-((-1310 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-569) (-569)) $) NIL) (((-121) $) NIL (|has| (-569) (-844)))) (-1744 (($ (-1 (-121) (-569) (-569)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-569) (-844))))) (-2930 (($ (-1 (-121) (-569) (-569)) $) NIL) (($ $) NIL (|has| (-569) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-569) $ (-569) (-569)) 15 (|has| $ (-6 -4572))) (((-569) $ (-1219 (-569)) (-569)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3503 (($ (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-569) (-1 (-569) (-569) (-569)) $ (-569) (-569)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (((-569) (-1 (-569) (-569) (-569)) $ (-569)) NIL (|has| $ (-6 -4571))) (((-569) (-1 (-569) (-569) (-569)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-569) $ (-569) (-569)) 14 (|has| $ (-6 -4572)))) (-4124 (((-569) $ (-569)) 12)) (-3988 (((-569) (-1 (-121) (-569)) $) NIL) (((-569) (-569) $) NIL (|has| (-569) (-1093))) (((-569) (-569) $ (-569)) NIL (|has| (-569) (-1093)))) (-4303 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-569)) 11)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 9 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2102 (($ (-1 (-121) (-569) (-569)) $ $) NIL) (($ $ $) NIL (|has| (-569) (-844)))) (-4457 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-2089 (($ (-1 (-569) (-569)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-569) (-1093)))) (-2583 (($ (-569) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| (-569) (-1093)))) (-1816 (((-569) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-569) "failed") (-1 (-121) (-569)) $) NIL)) (-2417 (($ $ (-569)) 16 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-4283 (((-635 (-569)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 10)) (-2503 (((-569) $ (-569) (-569)) NIL) (((-569) $ (-569)) 13) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571))) (((-765) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-569) (-610 (-542))))) (-3124 (($ (-635 (-569))) NIL)) (-4456 (($ $ (-569)) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| (-569) (-1093)))) (-3776 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-2946 (((-765) $) 7 (|has| $ (-6 -4571))))) 
-(((-1204) (-19 (-569))) (T -1204)) 
-NIL 
-(-19 (-569)) 
-((-3429 (((-121)) 14)) (-4275 (((-1258) (-635 |#1|) (-635 |#1|)) 18) (((-1258) (-635 |#1|)) 19)) (-3206 (((-121) |#1| |#1|) 30 (|has| |#1| (-844)))) (-1396 (((-121) |#1| |#1| (-1 (-121) |#1| |#1|)) 26) (((-3 (-121) "failed") |#1| |#1|) 24)) (-2480 ((|#1| (-635 |#1|)) 31 (|has| |#1| (-844))) ((|#1| (-635 |#1|) (-1 (-121) |#1| |#1|)) 27)) (-4361 (((-2 (|:| -2182 (-635 |#1|)) (|:| -2289 (-635 |#1|)))) 16))) 
-(((-1205 |#1|) (-10 -7 (-15 -4275 ((-1258) (-635 |#1|))) (-15 -4275 ((-1258) (-635 |#1|) (-635 |#1|))) (-15 -4361 ((-2 (|:| -2182 (-635 |#1|)) (|:| -2289 (-635 |#1|))))) (-15 -1396 ((-3 (-121) "failed") |#1| |#1|)) (-15 -1396 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -2480 (|#1| (-635 |#1|) (-1 (-121) |#1| |#1|))) (-15 -3429 ((-121))) (IF (|has| |#1| (-844)) (PROGN (-15 -2480 (|#1| (-635 |#1|))) (-15 -3206 ((-121) |#1| |#1|))) |noBranch|)) (-1093)) (T -1205)) 
-((-3206 (*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-844)) (-4 *3 (-1093)))) (-2480 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-844)) (-5 *1 (-1205 *2)))) (-3429 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-1093)))) (-2480 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1205 *2)) (-4 *2 (-1093)))) (-1396 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1093)) (-5 *2 (-121)) (-5 *1 (-1205 *3)))) (-1396 (*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-1093)))) (-4361 (*1 *2) (-12 (-5 *2 (-2 (|:| -2182 (-635 *3)) (|:| -2289 (-635 *3)))) (-5 *1 (-1205 *3)) (-4 *3 (-1093)))) (-4275 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-5 *2 (-1258)) (-5 *1 (-1205 *4)))) (-4275 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-5 *2 (-1258)) (-5 *1 (-1205 *4))))) 
-(-10 -7 (-15 -4275 ((-1258) (-635 |#1|))) (-15 -4275 ((-1258) (-635 |#1|) (-635 |#1|))) (-15 -4361 ((-2 (|:| -2182 (-635 |#1|)) (|:| -2289 (-635 |#1|))))) (-15 -1396 ((-3 (-121) "failed") |#1| |#1|)) (-15 -1396 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -2480 (|#1| (-635 |#1|) (-1 (-121) |#1| |#1|))) (-15 -3429 ((-121))) (IF (|has| |#1| (-844)) (PROGN (-15 -2480 (|#1| (-635 |#1|))) (-15 -3206 ((-121) |#1| |#1|))) |noBranch|)) 
-((-3718 (((-1258) (-635 (-1165)) (-635 (-1165))) 12) (((-1258) (-635 (-1165))) 10)) (-3825 (((-1258)) 13)) (-2373 (((-2 (|:| -2289 (-635 (-1165))) (|:| -2182 (-635 (-1165))))) 17))) 
-(((-1206) (-10 -7 (-15 -3718 ((-1258) (-635 (-1165)))) (-15 -3718 ((-1258) (-635 (-1165)) (-635 (-1165)))) (-15 -2373 ((-2 (|:| -2289 (-635 (-1165))) (|:| -2182 (-635 (-1165)))))) (-15 -3825 ((-1258))))) (T -1206)) 
-((-3825 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1206)))) (-2373 (*1 *2) (-12 (-5 *2 (-2 (|:| -2289 (-635 (-1165))) (|:| -2182 (-635 (-1165))))) (-5 *1 (-1206)))) (-3718 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1206)))) (-3718 (*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1206))))) 
-(-10 -7 (-15 -3718 ((-1258) (-635 (-1165)))) (-15 -3718 ((-1258) (-635 (-1165)) (-635 (-1165)))) (-15 -2373 ((-2 (|:| -2289 (-635 (-1165))) (|:| -2182 (-635 (-1165)))))) (-15 -3825 ((-1258)))) 
-((-2710 (($ $) 16)) (-2005 (((-121) $) 23))) 
-(((-1207 |#1|) (-10 -8 (-15 -2710 (|#1| |#1|)) (-15 -2005 ((-121) |#1|))) (-1208)) (T -1207)) 
-NIL 
-(-10 -8 (-15 -2710 (|#1| |#1|)) (-15 -2005 ((-121) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 49)) (-3742 (((-421 $) $) 50)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-2005 (((-121) $) 51)) (-3934 (((-121) $) 30)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3139 (((-421 $) $) 48)) (-1436 (((-3 $ "failed") $ $) 41)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-1208) (-1284)) (T -1208)) 
-((-2005 (*1 *2 *1) (-12 (-4 *1 (-1208)) (-5 *2 (-121)))) (-3742 (*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1208)))) (-2710 (*1 *1 *1) (-4 *1 (-1208))) (-3139 (*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1208))))) 
-(-13 (-454) (-10 -8 (-15 -2005 ((-121) $)) (-15 -3742 ((-421 $) $)) (-15 -2710 ($ $)) (-15 -3139 ((-421 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-3134 (((-1210 |#1|) (-1210 |#1|) (-1210 |#1|)) 15))) 
-(((-1209 |#1|) (-10 -7 (-15 -3134 ((-1210 |#1|) (-1210 |#1|) (-1210 |#1|)))) (-1049)) (T -1209)) 
-((-3134 (*1 *2 *2 *2) (-12 (-5 *2 (-1210 *3)) (-4 *3 (-1049)) (-5 *1 (-1209 *3))))) 
-(-10 -7 (-15 -3134 ((-1210 |#1|) (-1210 |#1|) (-1210 |#1|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) NIL)) (-2185 (((-1225 (QUOTE |x|) |#1|) $ (-765)) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-765)) NIL) (($ $ (-765) (-765)) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|))) $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|)))) NIL) (($ (-1145 |#1|)) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-1661 (($ $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1595 (($ $) NIL)) (-2849 (((-955 |#1|) $ (-765)) NIL) (((-955 |#1|) $ (-765) (-765)) NIL)) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $) NIL) (((-765) $ (-765)) NIL)) (-3934 (((-121) $) NIL)) (-1582 (($ $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2904 (($ (-569) (-569) $) NIL)) (-2058 (($ $ (-919)) NIL)) (-3449 (($ (-1 |#1| (-569)) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-2851 (($ $) NIL)) (-1451 (($ $) NIL)) (-1665 (($ (-569) (-569) $) NIL)) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 (QUOTE |x|))) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-1302 (($ $ (-569) (-569)) NIL)) (-3803 (($ $ (-765)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1458 (($ $) NIL)) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-765)))))) (-2503 ((|#1| $ (-765)) NIL) (($ $ $) NIL (|has| (-765) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $ (-1249 (QUOTE |x|))) NIL)) (-2284 (((-765) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1225 (QUOTE |x|) |#1|)) NIL) (($ (-1249 (QUOTE |x|))) NIL)) (-2894 (((-1145 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) NIL)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-765)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-765)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1210 |#1|) (-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 (QUOTE |x|) |#1|))) (-15 -2185 ((-1225 (QUOTE |x|) |#1|) $ (-765))) (-15 -3956 ($ (-1249 (QUOTE |x|)))) (-15 -3289 ($ $ (-1249 (QUOTE |x|)))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 (QUOTE |x|)))) |noBranch|))) (-1049)) (T -1210)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1225 (QUOTE |x|) *3)) (-4 *3 (-1049)) (-5 *1 (-1210 *3)))) (-2185 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 (QUOTE |x|) *4)) (-5 *1 (-1210 *4)) (-4 *4 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) (-1451 (*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) (-2851 (*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) (-1582 (*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) (-1458 (*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) (-1302 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) (-1661 (*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) (-2904 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) (-1665 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049))))) 
-(-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 (QUOTE |x|) |#1|))) (-15 -2185 ((-1225 (QUOTE |x|) |#1|) $ (-765))) (-15 -3956 ($ (-1249 (QUOTE |x|)))) (-15 -3289 ($ $ (-1249 (QUOTE |x|)))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 (QUOTE |x|)))) |noBranch|))) 
-((-4188 (((-1216 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1216 |#1| |#3| |#5|)) 23))) 
-(((-1211 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -4188 ((-1216 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1216 |#1| |#3| |#5|)))) (-1049) (-1049) (-1165) (-1165) |#1| |#2|) (T -1211)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1216 *5 *7 *9)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-14 *7 (-1165)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1216 *6 *8 *10)) (-5 *1 (-1211 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1165))))) 
-(-10 -7 (-15 -4188 ((-1216 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1216 |#1| |#3| |#5|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ (-569)) 93) (($ $ (-569) (-569)) 92)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 100)) (-3544 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 154 (|has| |#1| (-366)))) (-3742 (((-421 $) $) 155 (|has| |#1| (-366)))) (-3422 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) 145 (|has| |#1| (-366)))) (-3530 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 166)) (-3559 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 149 (|has| |#1| (-366)))) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-1549 (((-410 (-955 |#1|)) $ (-569)) 164 (|has| |#1| (-559))) (((-410 (-955 |#1|)) $ (-569) (-569)) 163 (|has| |#1| (-559)))) (-1626 (($ $ $) 148 (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-2005 (((-121) $) 156 (|has| |#1| (-366)))) (-2641 (((-121) $) 69)) (-3415 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-569) $) 95) (((-569) $ (-569)) 94)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) 96)) (-3449 (($ (-1 |#1| (-569)) $) 165)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3052 (((-121) $) 61)) (-3179 (($ |#1| (-569)) 60) (($ $ (-1077) (-569)) 72) (($ $ (-635 (-1077)) (-635 (-569))) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3597 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-1657 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 157 (|has| |#1| (-366)))) (-1324 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 161 (-1929 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-961)) (|has| |#1| (-1185)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-43 (-410 (-569)))))))) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 142 (|has| |#1| (-366)))) (-3964 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-3139 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 150 (|has| |#1| (-366)))) (-3803 (($ $ (-569)) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-3408 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-2061 (((-765) $) 146 (|has| |#1| (-366)))) (-2503 ((|#1| $ (-569)) 99) (($ $ $) 76 (|has| (-569) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 147 (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 84 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165) (-765)) 83 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165))) 82 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165)) 81 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-765)) 79 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-2284 (((-569) $) 63)) (-3565 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-3802 ((|#1| $ (-569)) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-3585 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3572 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-569)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 88 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165) (-765)) 87 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165))) 86 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165)) 85 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-765)) 80 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1212 |#1|) (-1284) (-1049)) (T -1212)) 
-((-4314 (*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1049)) (-4 *1 (-1212 *3)))) (-3449 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1212 *3)) (-4 *3 (-1049)))) (-1549 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1212 *4)) (-4 *4 (-1049)) (-4 *4 (-559)) (-5 *2 (-410 (-955 *4))))) (-1549 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1212 *4)) (-4 *4 (-1049)) (-4 *4 (-559)) (-5 *2 (-410 (-955 *4))))) (-1324 (*1 *1 *1) (-12 (-4 *1 (-1212 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) (-1324 (*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1212 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1212 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
-(-13 (-1230 |t#1| (-569)) (-10 -8 (-15 -4314 ($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))))) (-15 -3449 ($ (-1 |t#1| (-569)) $)) (IF (|has| |t#1| (-559)) (PROGN (-15 -1549 ((-410 (-955 |t#1|)) $ (-569))) (-15 -1549 ((-410 (-955 |t#1|)) $ (-569) (-569)))) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $)) (IF (|has| |t#1| (-15 -1324 (|t#1| |t#1| (-1165)))) (IF (|has| |t#1| (-15 -3195 ((-635 (-1165)) |t#1|))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1185)) (IF (|has| |t#1| (-961)) (IF (|has| |t#1| (-29 (-569))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1004)) (-6 (-1185))) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-569) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-569) (-1105)) ((-286) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| (-569) (-1077)) . T) ((-918) |has| |#1| (-366)) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569)))) ((-1208) |has| |#1| (-366)) ((-1230 |#1| (-569)) . T)) 
-((-2225 (((-121) $) 12)) (-3003 (((-3 |#3| "failed") $) 17) (((-3 (-1165) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL)) (-1321 ((|#3| $) 14) (((-1165) $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL))) 
-(((-1213 |#1| |#2| |#3|) (-10 -8 (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -2225 ((-121) |#1|))) (-1214 |#2| |#3|) (-1049) (-1243 |#2|)) (T -1213)) 
-NIL 
-(-10 -8 (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -2225 ((-121) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3644 ((|#2| $) 219 (-3993 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ (-569)) 93) (($ $ (-569) (-569)) 92)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 100)) (-1312 ((|#2| $) 255)) (-2397 (((-3 |#2| "failed") $) 251)) (-3221 ((|#2| $) 252)) (-3544 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 228 (-3993 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2710 (($ $) 154 (|has| |#1| (-366)))) (-3742 (((-421 $) $) 155 (|has| |#1| (-366)))) (-3422 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 225 (-3993 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2889 (((-121) $ $) 145 (|has| |#1| (-366)))) (-3530 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-569) $) 237 (-3993 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 166)) (-3559 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#2| "failed") $) 258) (((-3 (-569) "failed") $) 247 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) 245 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-1165) "failed") $) 230 (-3993 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366))))) (-1321 ((|#2| $) 257) (((-569) $) 248 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-410 (-569)) $) 246 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-1165) $) 231 (-3993 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366))))) (-4339 (($ $) 254) (($ (-569) $) 253)) (-1614 (($ $ $) 149 (|has| |#1| (-366)))) (-3373 (($ $) 59)) (-3435 (((-681 |#2|) (-681 $)) 209 (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 208 (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 207 (-3993 (|has| |#2| (-631 (-569))) (|has| |#1| (-366)))) (((-681 (-569)) (-681 $)) 206 (-3993 (|has| |#2| (-631 (-569))) (|has| |#1| (-366))))) (-2611 (((-3 $ "failed") $) 33)) (-1549 (((-410 (-955 |#1|)) $ (-569)) 164 (|has| |#1| (-559))) (((-410 (-955 |#1|)) $ (-569) (-569)) 163 (|has| |#1| (-559)))) (-3341 (($) 221 (-3993 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1626 (($ $ $) 148 (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-2005 (((-121) $) 156 (|has| |#1| (-366)))) (-1863 (((-121) $) 235 (-3993 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-2641 (((-121) $) 69)) (-3415 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 213 (-3993 (|has| |#2| (-883 (-382))) (|has| |#1| (-366)))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 212 (-3993 (|has| |#2| (-883 (-569))) (|has| |#1| (-366))))) (-4433 (((-569) $) 95) (((-569) $ (-569)) 94)) (-3934 (((-121) $) 30)) (-3043 (($ $) 217 (|has| |#1| (-366)))) (-3515 ((|#2| $) 215 (|has| |#1| (-366)))) (-2522 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-1542 (((-3 $ "failed") $) 249 (-3993 (|has| |#2| (-1139)) (|has| |#1| (-366))))) (-4311 (((-121) $) 236 (-3993 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-2058 (($ $ (-919)) 96)) (-3449 (($ (-1 |#1| (-569)) $) 165)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3052 (((-121) $) 61)) (-3179 (($ |#1| (-569)) 60) (($ $ (-1077) (-569)) 72) (($ $ (-635 (-1077)) (-635 (-569))) 71)) (-2157 (($ $ $) 239 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-2713 (($ $ $) 240 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-4188 (($ (-1 |#1| |#1|) $) 62) (($ (-1 |#2| |#2|) $) 201 (|has| |#1| (-366)))) (-3597 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-1657 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-3228 (($ (-569) |#2|) 256)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 157 (|has| |#1| (-366)))) (-1324 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 161 (-1929 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-961)) (|has| |#1| (-1185)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-43 (-410 (-569)))))))) (-1423 (($) 250 (-3993 (|has| |#2| (-1139)) (|has| |#1| (-366))) CONST)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 142 (|has| |#1| (-366)))) (-3964 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-1391 (($ $) 220 (-3993 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-1807 ((|#2| $) 223 (-3993 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-2769 (((-421 (-1161 $)) (-1161 $)) 226 (-3993 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2059 (((-421 (-1161 $)) (-1161 $)) 227 (-3993 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-3139 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 150 (|has| |#1| (-366)))) (-3803 (($ $ (-569)) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-3408 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1165) |#2|) 200 (-3993 (|has| |#2| (-524 (-1165) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 |#2|)) 199 (-3993 (|has| |#2| (-524 (-1165) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-289 |#2|))) 198 (-3993 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-289 |#2|)) 197 (-3993 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ |#2| |#2|) 196 (-3993 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-635 |#2|) (-635 |#2|)) 195 (-3993 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366))))) (-2061 (((-765) $) 146 (|has| |#1| (-366)))) (-2503 ((|#1| $ (-569)) 99) (($ $ $) 76 (|has| (-569) (-1105))) (($ $ |#2|) 194 (-3993 (|has| |#2| (-282 |#2| |#2|)) (|has| |#1| (-366))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 147 (|has| |#1| (-366)))) (-3289 (($ $ (-1 |#2| |#2|)) 205 (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-765)) 204 (|has| |#1| (-366))) (($ $ (-765)) 79 (-1929 (-3993 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 77 (-1929 (-3993 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) 84 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1165) (-765)) 83 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-635 (-1165))) 82 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1165)) 81 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))))) (-2572 (($ $) 218 (|has| |#1| (-366)))) (-3524 ((|#2| $) 216 (|has| |#1| (-366)))) (-2284 (((-569) $) 63)) (-3565 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-4035 (((-216) $) 234 (-3993 (|has| |#2| (-1023)) (|has| |#1| (-366)))) (((-382) $) 233 (-3993 (|has| |#2| (-1023)) (|has| |#1| (-366)))) (((-542) $) 232 (-3993 (|has| |#2| (-610 (-542))) (|has| |#1| (-366)))) (((-889 (-382)) $) 211 (-3993 (|has| |#2| (-610 (-889 (-382)))) (|has| |#1| (-366)))) (((-889 (-569)) $) 210 (-3993 (|has| |#2| (-610 (-889 (-569)))) (|has| |#1| (-366))))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 224 (-3993 (-3993 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#1| (-366))))) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ |#2|) 259) (($ (-1165)) 229 (-3993 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366)))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-3802 ((|#1| $ (-569)) 58)) (-2277 (((-3 $ "failed") $) 47 (-1929 (-3993 (-1929 (|has| |#2| (-149)) (-3993 (|has| $ (-149)) (|has| |#2| (-906)))) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-3215 ((|#2| $) 222 (-3993 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-3585 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3572 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-569)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-4080 (($ $) 238 (-3993 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) 203 (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-765)) 202 (|has| |#1| (-366))) (($ $ (-765)) 80 (-1929 (-3993 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 78 (-1929 (-3993 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) 88 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1165) (-765)) 87 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-635 (-1165))) 86 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1165)) 85 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))))) (-1355 (((-121) $ $) 242 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1343 (((-121) $ $) 243 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 241 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1337 (((-121) $ $) 244 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366))) (($ |#2| |#2|) 214 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ $ |#2|) 193 (|has| |#1| (-366))) (($ |#2| $) 192 (|has| |#1| (-366))) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1214 |#1| |#2|) (-1284) (-1049) (-1243 |t#1|)) (T -1214)) 
-((-2284 (*1 *2 *1) (-12 (-4 *1 (-1214 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1243 *3)) (-5 *2 (-569)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-1214 *3 *2)) (-4 *2 (-1243 *3)))) (-3228 (*1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *4 (-1049)) (-4 *1 (-1214 *4 *3)) (-4 *3 (-1243 *4)))) (-1312 (*1 *2 *1) (-12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3)))) (-4339 (*1 *1 *1) (-12 (-4 *1 (-1214 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1243 *2)))) (-4339 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1214 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1243 *3)))) (-3221 (*1 *2 *1) (-12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3)))) (-2397 (*1 *2 *1) (|partial| -12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3))))) 
-(-13 (-1212 |t#1|) (-1039 |t#2|) (-10 -8 (-15 -3228 ($ (-569) |t#2|)) (-15 -2284 ((-569) $)) (-15 -1312 (|t#2| $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)) (-15 -3956 ($ |t#2|)) (-15 -3221 (|t#2| $)) (-15 -2397 ((-3 |t#2| "failed") $)) (IF (|has| |t#1| (-366)) (-6 (-995 |t#2|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 |#2|) |has| |#1| (-366)) ((-43 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 |#2| |#2|) |has| |#1| (-366)) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) -1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-149))) (|has| |#1| (-149))) ((-151) -1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-151))) (|has| |#1| (-151))) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-610 (-216)) -12 (|has| |#1| (-366)) (|has| |#2| (-1023))) ((-610 (-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-1023))) ((-610 (-542)) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-542)))) ((-610 (-889 (-382))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-889 (-382))))) ((-610 (-889 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-889 (-569))))) ((-224 |#2|) |has| |#1| (-366)) ((-226) -1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-226))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 |#2| $) -12 (|has| |#1| (-366)) (|has| |#2| (-282 |#2| |#2|))) ((-282 $ $) |has| (-569) (-1105)) ((-286) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-304 |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) ((-366) |has| |#1| (-366)) ((-337 |#2|) |has| |#1| (-366)) ((-380 |#2|) |has| |#1| (-366)) ((-403 |#2|) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-524 (-1165) |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-524 (-1165) |#2|))) ((-524 |#2| |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) ((-559) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 |#2|) |has| |#1| (-366)) ((-638 $) . T) ((-631 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-631 (-569)))) ((-631 |#2|) |has| |#1| (-366)) ((-709 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-709 |#1|) |has| |#1| (-173)) ((-709 |#2|) |has| |#1| (-366)) ((-709 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-718) . T) ((-788) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-789) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-791) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-792) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-817) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-842) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-844) -1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-844))) (-12 (|has| |#1| (-366)) (|has| |#2| (-817)))) ((-897 (-1165)) -1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-897 (-1165)))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) ((-883 (-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-883 (-382)))) ((-883 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-883 (-569)))) ((-881 |#2|) |has| |#1| (-366)) ((-906) -12 (|has| |#1| (-366)) (|has| |#2| (-906))) ((-976 |#1| (-569) (-1077)) . T) ((-918) |has| |#1| (-366)) ((-995 |#2|) |has| |#1| (-366)) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1023) -12 (|has| |#1| (-366)) (|has| |#2| (-1023))) ((-1039 (-410 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-569)))) ((-1039 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-569)))) ((-1039 (-1165)) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-1165)))) ((-1039 |#2|) . T) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1055 |#1|) . T) ((-1055 |#2|) |has| |#1| (-366)) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) -12 (|has| |#1| (-366)) (|has| |#2| (-1139))) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569)))) ((-1199) |has| |#1| (-366)) ((-1208) |has| |#1| (-366)) ((-1212 |#1|) . T) ((-1230 |#1| (-569)) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 70)) (-3644 ((|#2| $) NIL (-12 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 88)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-569)) 97) (($ $ (-569) (-569)) 99)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 47)) (-1312 ((|#2| $) 11)) (-2397 (((-3 |#2| "failed") $) 30)) (-3221 ((|#2| $) 31)) (-3544 (($ $) 192 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) 188 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-569) $) NIL (-12 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 57)) (-3559 (($ $) 196 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) 144) (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-1165) "failed") $) NIL (-12 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366))))) (-1321 ((|#2| $) 143) (((-569) $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-1165) $) NIL (-12 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366))))) (-4339 (($ $) 61) (($ (-569) $) 24)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 |#2|) (-681 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#1| (-366)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#1| (-366))))) (-2611 (((-3 $ "failed") $) 77)) (-1549 (((-410 (-955 |#1|)) $ (-569)) 112 (|has| |#1| (-559))) (((-410 (-955 |#1|)) $ (-569) (-569)) 114 (|has| |#1| (-559)))) (-3341 (($) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-1863 (((-121) $) NIL (-12 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-2641 (((-121) $) 64)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| |#2| (-883 (-382))) (|has| |#1| (-366)))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| |#2| (-883 (-569))) (|has| |#1| (-366))))) (-4433 (((-569) $) 93) (((-569) $ (-569)) 95)) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL (|has| |#1| (-366)))) (-3515 ((|#2| $) 151 (|has| |#1| (-366)))) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1542 (((-3 $ "failed") $) NIL (-12 (|has| |#2| (-1139)) (|has| |#1| (-366))))) (-4311 (((-121) $) NIL (-12 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-2058 (($ $ (-919)) 136)) (-3449 (($ (-1 |#1| (-569)) $) 132)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-569)) 19) (($ $ (-1077) (-569)) NIL) (($ $ (-635 (-1077)) (-635 (-569))) NIL)) (-2157 (($ $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-2713 (($ $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-4188 (($ (-1 |#1| |#1|) $) 129) (($ (-1 |#2| |#2|) $) NIL (|has| |#1| (-366)))) (-3597 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3228 (($ (-569) |#2|) 10)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 145 (|has| |#1| (-366)))) (-1324 (($ $) 214 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 219 (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185)))))) (-1423 (($) NIL (-12 (|has| |#2| (-1139)) (|has| |#1| (-366))) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1391 (($ $) NIL (-12 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-1807 ((|#2| $) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-569)) 126)) (-1436 (((-3 $ "failed") $ $) 116 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 85 (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1165) |#2|) NIL (-12 (|has| |#2| (-524 (-1165) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 |#2|)) NIL (-12 (|has| |#2| (-524 (-1165) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-569)) 91) (($ $ $) 79 (|has| (-569) (-1105))) (($ $ |#2|) NIL (-12 (|has| |#2| (-282 |#2| |#2|)) (|has| |#1| (-366))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#1| (-366))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 137 (-1929 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) 140 (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-2572 (($ $) NIL (|has| |#1| (-366)))) (-3524 ((|#2| $) 152 (|has| |#1| (-366)))) (-2284 (((-569) $) 12)) (-3565 (($ $) 198 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 174 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 194 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 190 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-4035 (((-216) $) NIL (-12 (|has| |#2| (-1023)) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| |#2| (-1023)) (|has| |#1| (-366)))) (((-542) $) NIL (-12 (|has| |#2| (-610 (-542))) (|has| |#1| (-366)))) (((-889 (-382)) $) NIL (-12 (|has| |#2| (-610 (-889 (-382)))) (|has| |#1| (-366)))) (((-889 (-569)) $) NIL (-12 (|has| |#2| (-610 (-889 (-569)))) (|has| |#1| (-366))))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2994 (($ $) 124)) (-3956 (((-852) $) 242) (($ (-569)) 23) (($ |#1|) 21 (|has| |#1| (-173))) (($ |#2|) 20) (($ (-1165)) NIL (-12 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366)))) (($ (-410 (-569))) 155 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-569)) 74)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906)) (|has| |#1| (-366))) (-12 (|has| |#2| (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-2320 (((-765)) 142)) (-1736 ((|#1| $) 90)) (-3215 ((|#2| $) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-3585 (($ $) 204 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) 200 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 208 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-569)) 122 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 210 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 206 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 202 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 178 (|has| |#1| (-43 (-410 (-569)))))) (-4080 (($ $) NIL (-12 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 13 T CONST)) (-3297 (($) 17 T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#1| (-366))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-1929 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-1355 (((-121) $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1343 (((-121) $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1326 (((-121) $ $) 63)) (-1349 (((-121) $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1337 (((-121) $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 149 (|has| |#1| (-366))) (($ |#2| |#2|) 150 (|has| |#1| (-366)))) (-1377 (($ $) 213) (($ $ $) 68)) (-1371 (($ $ $) 66)) (** (($ $ (-919)) NIL) (($ $ (-765)) 73) (($ $ (-569)) 146 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 158 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 139) (($ $ |#2|) 148 (|has| |#1| (-366))) (($ |#2| $) 147 (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1215 |#1| |#2|) (-1214 |#1| |#2|) (-1049) (-1243 |#1|)) (T -1215)) 
-NIL 
-(-1214 |#1| |#2|) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-1244 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 10)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2915 (($ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2735 (((-121) $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3146 (($ $ (-569)) NIL) (($ $ (-569) (-569)) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1312 (((-1244 |#1| |#2| |#3|) $) NIL)) (-2397 (((-3 (-1244 |#1| |#2| |#3|) "failed") $) NIL)) (-3221 (((-1244 |#1| |#2| |#3|) $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-569) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-1244 |#1| |#2| |#3|) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-569) "failed") $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))))) (-1321 (((-1244 |#1| |#2| |#3|) $) NIL) (((-1165) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366)))) (((-569) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))))) (-4339 (($ $) NIL) (($ (-569) $) NIL)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-1244 |#1| |#2| |#3|)) (-681 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-1244 |#1| |#2| |#3|))) (|:| |vec| (-1253 (-1244 |#1| |#2| |#3|)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366))))) (-2611 (((-3 $ "failed") $) NIL)) (-1549 (((-410 (-955 |#1|)) $ (-569)) NIL (|has| |#1| (-559))) (((-410 (-955 |#1|)) $ (-569) (-569)) NIL (|has| |#1| (-559)))) (-3341 (($) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-1863 (((-121) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-883 (-569))) (|has| |#1| (-366)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-883 (-382))) (|has| |#1| (-366))))) (-4433 (((-569) $) NIL) (((-569) $ (-569)) NIL)) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL (|has| |#1| (-366)))) (-3515 (((-1244 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366)))) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1542 (((-3 $ "failed") $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1139)) (|has| |#1| (-366))))) (-4311 (((-121) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-2058 (($ $ (-919)) NIL)) (-3449 (($ (-1 |#1| (-569)) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-569)) 17) (($ $ (-1077) (-569)) NIL) (($ $ (-635 (-1077)) (-635 (-569))) NIL)) (-2157 (($ $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-2713 (($ $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-366)))) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3228 (($ (-569) (-1244 |#1| |#2| |#3|)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) 25 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 26 (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1139)) (|has| |#1| (-366))) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1391 (($ $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-1807 (((-1244 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1165) (-1244 |#1| |#2| |#3|)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-524 (-1165) (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 (-1244 |#1| |#2| |#3|))) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-524 (-1165) (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-289 (-1244 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-289 (-1244 |#1| |#2| |#3|))) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1244 |#1| |#2| |#3|)) (-635 (-1244 |#1| |#2| |#3|))) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-569)) NIL) (($ $ $) NIL (|has| (-569) (-1105))) (($ $ (-1244 |#1| |#2| |#3|)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-282 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-1 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) (-765)) NIL (|has| |#1| (-366))) (($ $ (-1249 |#2|)) 24) (($ $ (-765)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 23 (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-2572 (($ $) NIL (|has| |#1| (-366)))) (-3524 (((-1244 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366)))) (-2284 (((-569) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4035 (((-542) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-610 (-542))) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1023)) (|has| |#1| (-366)))) (((-216) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1023)) (|has| |#1| (-366)))) (((-889 (-382)) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-610 (-889 (-382)))) (|has| |#1| (-366)))) (((-889 (-569)) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-610 (-889 (-569)))) (|has| |#1| (-366))))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1244 |#1| |#2| |#3|)) NIL) (($ (-1249 |#2|)) 22) (($ (-1165)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (($ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559)))) (($ (-410 (-569))) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))) (|has| |#1| (-43 (-410 (-569))))))) (-3802 ((|#1| $ (-569)) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 11)) (-3215 (((-1244 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4080 (($ $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 19 T CONST)) (-3297 (($) 15 T CONST)) (-3712 (($ $ (-1 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) (-765)) NIL (|has| |#1| (-366))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-1355 (((-121) $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1343 (((-121) $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1337 (((-121) $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366))) (($ (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 20)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1244 |#1| |#2| |#3|)) NIL (|has| |#1| (-366))) (($ (-1244 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1216 |#1| |#2| |#3|) (-13 (-1214 |#1| (-1244 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1216)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
-(-13 (-1214 |#1| (-1244 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
-((-2250 (((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121)) 10)) (-3576 (((-421 |#1|) |#1|) 21)) (-3139 (((-421 |#1|) |#1|) 20))) 
-(((-1217 |#1|) (-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1|)) (-15 -2250 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121)))) (-1228 (-569))) (T -1217)) 
-((-2250 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569))))) (-3576 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569)))))) 
-(-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1|)) (-15 -2250 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121)))) 
-((-4188 (((-1145 |#2|) (-1 |#2| |#1|) (-1219 |#1|)) 23 (|has| |#1| (-842))) (((-1219 |#2|) (-1 |#2| |#1|) (-1219 |#1|)) 17))) 
-(((-1218 |#1| |#2|) (-10 -7 (-15 -4188 ((-1219 |#2|) (-1 |#2| |#1|) (-1219 |#1|))) (IF (|has| |#1| (-842)) (-15 -4188 ((-1145 |#2|) (-1 |#2| |#1|) (-1219 |#1|))) |noBranch|)) (-1199) (-1199)) (T -1218)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1219 *5)) (-4 *5 (-842)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1145 *6)) (-5 *1 (-1218 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1219 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1219 *6)) (-5 *1 (-1218 *5 *6))))) 
-(-10 -7 (-15 -4188 ((-1219 |#2|) (-1 |#2| |#1|) (-1219 |#1|))) (IF (|has| |#1| (-842)) (-15 -4188 ((-1145 |#2|) (-1 |#2| |#1|) (-1219 |#1|))) |noBranch|)) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-4127 (($ |#1| |#1|) 9) (($ |#1|) 8)) (-4188 (((-1145 |#1|) (-1 |#1| |#1|) $) 41 (|has| |#1| (-842)))) (-2182 ((|#1| $) 14)) (-2040 ((|#1| $) 10)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2046 (((-569) $) 18)) (-2289 ((|#1| $) 17)) (-2052 ((|#1| $) 11)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-4168 (((-121) $) 16)) (-2121 (((-1145 |#1|) $) 38 (|has| |#1| (-842))) (((-1145 |#1|) (-635 $)) 37 (|has| |#1| (-842)))) (-4035 (($ |#1|) 25)) (-3956 (($ (-1087 |#1|)) 24) (((-852) $) 34 (|has| |#1| (-1093)))) (-2705 (($ |#1| |#1|) 20) (($ |#1|) 19)) (-3880 (($ $ (-569)) 13)) (-1326 (((-121) $ $) 27 (|has| |#1| (-1093))))) 
-(((-1219 |#1|) (-13 (-1086 |#1|) (-10 -8 (-15 -2705 ($ |#1|)) (-15 -4127 ($ |#1|)) (-15 -3956 ($ (-1087 |#1|))) (-15 -4168 ((-121) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-1088 |#1| (-1145 |#1|))) |noBranch|))) (-1199)) (T -1219)) 
-((-2705 (*1 *1 *2) (-12 (-5 *1 (-1219 *2)) (-4 *2 (-1199)))) (-4127 (*1 *1 *2) (-12 (-5 *1 (-1219 *2)) (-4 *2 (-1199)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1087 *3)) (-4 *3 (-1199)) (-5 *1 (-1219 *3)))) (-4168 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1219 *3)) (-4 *3 (-1199))))) 
-(-13 (-1086 |#1|) (-10 -8 (-15 -2705 ($ |#1|)) (-15 -4127 ($ |#1|)) (-15 -3956 ($ (-1087 |#1|))) (-15 -4168 ((-121) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-1088 |#1| (-1145 |#1|))) |noBranch|))) 
-((-4188 (((-1225 |#3| |#4|) (-1 |#4| |#2|) (-1225 |#1| |#2|)) 15))) 
-(((-1220 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 ((-1225 |#3| |#4|) (-1 |#4| |#2|) (-1225 |#1| |#2|)))) (-1165) (-1049) (-1165) (-1049)) (T -1220)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1225 *5 *6)) (-14 *5 (-1165)) (-4 *6 (-1049)) (-4 *8 (-1049)) (-5 *2 (-1225 *7 *8)) (-5 *1 (-1220 *5 *6 *7 *8)) (-14 *7 (-1165))))) 
-(-10 -7 (-15 -4188 ((-1225 |#3| |#4|) (-1 |#4| |#2|) (-1225 |#1| |#2|)))) 
-((-3979 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 21)) (-1644 ((|#1| |#3|) 13)) (-3247 ((|#3| |#3|) 19))) 
-(((-1221 |#1| |#2| |#3|) (-10 -7 (-15 -1644 (|#1| |#3|)) (-15 -3247 (|#3| |#3|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-559) (-995 |#1|) (-1228 |#2|)) (T -1221)) 
-((-3979 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1221 *4 *5 *3)) (-4 *3 (-1228 *5)))) (-3247 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-995 *3)) (-5 *1 (-1221 *3 *4 *2)) (-4 *2 (-1228 *4)))) (-1644 (*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-1221 *2 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -1644 (|#1| |#3|)) (-15 -3247 (|#3| |#3|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
-((-3005 (((-3 |#2| "failed") |#2| (-765) |#1|) 29)) (-2956 (((-3 |#2| "failed") |#2| (-765)) 30)) (-1422 (((-3 (-2 (|:| -3149 |#2|) (|:| -3417 |#2|)) "failed") |#2|) 42)) (-1469 (((-635 |#2|) |#2|) 44)) (-2024 (((-3 |#2| "failed") |#2| |#2|) 39))) 
-(((-1222 |#1| |#2|) (-10 -7 (-15 -2956 ((-3 |#2| "failed") |#2| (-765))) (-15 -3005 ((-3 |#2| "failed") |#2| (-765) |#1|)) (-15 -2024 ((-3 |#2| "failed") |#2| |#2|)) (-15 -1422 ((-3 (-2 (|:| -3149 |#2|) (|:| -3417 |#2|)) "failed") |#2|)) (-15 -1469 ((-635 |#2|) |#2|))) (-13 (-559) (-151)) (-1228 |#1|)) (T -1222)) 
-((-1469 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-635 *3)) (-5 *1 (-1222 *4 *3)) (-4 *3 (-1228 *4)))) (-1422 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-2 (|:| -3149 *3) (|:| -3417 *3))) (-5 *1 (-1222 *4 *3)) (-4 *3 (-1228 *4)))) (-2024 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1222 *3 *2)) (-4 *2 (-1228 *3)))) (-3005 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1222 *4 *2)) (-4 *2 (-1228 *4)))) (-2956 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1222 *4 *2)) (-4 *2 (-1228 *4))))) 
-(-10 -7 (-15 -2956 ((-3 |#2| "failed") |#2| (-765))) (-15 -3005 ((-3 |#2| "failed") |#2| (-765) |#1|)) (-15 -2024 ((-3 |#2| "failed") |#2| |#2|)) (-15 -1422 ((-3 (-2 (|:| -3149 |#2|) (|:| -3417 |#2|)) "failed") |#2|)) (-15 -1469 ((-635 |#2|) |#2|))) 
-((-2423 (((-3 (-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) "failed") |#2| |#2|) 31))) 
-(((-1223 |#1| |#2|) (-10 -7 (-15 -2423 ((-3 (-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) "failed") |#2| |#2|))) (-559) (-1228 |#1|)) (T -1223)) 
-((-2423 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-1223 *4 *3)) (-4 *3 (-1228 *4))))) 
-(-10 -7 (-15 -2423 ((-3 (-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) "failed") |#2| |#2|))) 
-((-2779 ((|#2| |#2| |#2|) 19)) (-4389 ((|#2| |#2| |#2|) 30)) (-1754 ((|#2| |#2| |#2| (-765) (-765)) 36))) 
-(((-1224 |#1| |#2|) (-10 -7 (-15 -2779 (|#2| |#2| |#2|)) (-15 -4389 (|#2| |#2| |#2|)) (-15 -1754 (|#2| |#2| |#2| (-765) (-765)))) (-1049) (-1228 |#1|)) (T -1224)) 
-((-1754 (*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-1224 *4 *2)) (-4 *2 (-1228 *4)))) (-4389 (*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-1224 *3 *2)) (-4 *2 (-1228 *3)))) (-2779 (*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-1224 *3 *2)) (-4 *2 (-1228 *3))))) 
-(-10 -7 (-15 -2779 (|#2| |#2| |#2|)) (-15 -4389 (|#2| |#2| |#2|)) (-15 -1754 (|#2| |#2| |#2| (-765) (-765)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3676 (((-1253 |#2|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#2|)) NIL)) (-3132 (((-1161 $) $ (-1077)) NIL) (((-1161 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) NIL (|has| |#2| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#2| (-366)))) (-3286 (($ $ (-765)) NIL)) (-1738 (($ $ (-765)) NIL)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-454)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-1077) $) NIL)) (-3673 (($ $ $ (-1077)) NIL (|has| |#2| (-173))) ((|#2| $ $) NIL (|has| |#2| (-173)))) (-1614 (($ $ $) NIL (|has| |#2| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#2| (-366)))) (-3621 (($ $ $) NIL)) (-4425 (($ $ $) NIL (|has| |#2| (-559)))) (-1530 (((-2 (|:| -3550 |#2|) (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-1077)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| (-765) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-4433 (((-765) $ $) NIL (|has| |#2| (-559)))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#2| (-1139)))) (-3187 (($ (-1161 |#2|) (-1077)) NIL) (($ (-1161 $) (-1077)) NIL)) (-2058 (($ $ (-765)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#2| (-765)) 17) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3071 (((-1161 |#2|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#2| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#2| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-4259 (($ $ (-765) |#2| $) NIL)) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-366)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#2|) NIL) (($ $ (-635 (-1077)) (-635 |#2|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#2| (-366)))) (-2503 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#2| (-559))) ((|#2| (-410 $) |#2|) NIL (|has| |#2| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#2| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#2| (-173))) ((|#2| $) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-2284 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-1077)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#2| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#2| (-559)))) (-3956 (((-852) $) 13) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-1077)) NIL) (($ (-1249 |#1|)) 19) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) 14 T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-1225 |#1| |#2|) (-13 (-1228 |#2|) (-10 -8 (-15 -3956 ($ (-1249 |#1|))) (-15 -4259 ($ $ (-765) |#2| $)))) (-1165) (-1049)) (T -1225)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-1225 *3 *4)) (-4 *4 (-1049)))) (-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1225 *4 *3)) (-14 *4 (-1165)) (-4 *3 (-1049))))) 
-(-13 (-1228 |#2|) (-10 -8 (-15 -3956 ($ (-1249 |#1|))) (-15 -4259 ($ $ (-765) |#2| $)))) 
-((-4188 ((|#4| (-1 |#3| |#1|) |#2|) 22))) 
-(((-1226 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|))) (-1049) (-1228 |#1|) (-1049) (-1228 |#3|)) (T -1226)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *2 (-1228 *6)) (-5 *1 (-1226 *5 *4 *6 *2)) (-4 *4 (-1228 *5))))) 
-(-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|))) 
-((-3676 (((-1253 |#2|) $ (-765)) 113)) (-3195 (((-635 (-1077)) $) 15)) (-1555 (($ (-1161 |#2|)) 66)) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 183)) (-2710 (($ $) 173)) (-3742 (((-421 $) $) 171)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 81)) (-3286 (($ $ (-765)) 70)) (-1738 (($ $ (-765)) 72)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 129)) (-3003 (((-3 |#2| "failed") $) 116) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-1077) "failed") $) NIL)) (-1321 ((|#2| $) 114) (((-410 (-569)) $) NIL) (((-569) $) NIL) (((-1077) $) NIL)) (-4425 (($ $ $) 150)) (-1530 (((-2 (|:| -3550 |#2|) (|:| -3483 $) (|:| -3028 $)) $ $) 152)) (-4433 (((-765) $ $) 168)) (-1542 (((-3 $ "failed") $) 122)) (-3179 (($ |#2| (-765)) NIL) (($ $ (-1077) (-765)) 46) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) 41) (((-635 (-765)) $ (-635 (-1077))) 42)) (-3071 (((-1161 |#2|) $) 58)) (-3407 (((-3 (-1077) "failed") $) 39)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) 69)) (-1324 (($ $) 194)) (-1423 (($) 118)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 180)) (-2769 (((-421 (-1161 $)) (-1161 $)) 87)) (-2059 (((-421 (-1161 $)) (-1161 $)) 85)) (-3139 (((-421 $) $) 105)) (-1484 (($ $ (-635 (-289 $))) 38) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#2|) 31) (($ $ (-635 (-1077)) (-635 |#2|)) 28) (($ $ (-1077) $) 25) (($ $ (-635 (-1077)) (-635 $)) 23)) (-2061 (((-765) $) 186)) (-2503 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) 146) ((|#2| (-410 $) |#2|) 185) (((-410 $) $ (-410 $)) 167)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 189)) (-3289 (($ $ (-1077)) 139) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) 137) (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 136) (($ $ (-1 |#2| |#2|) $) 133)) (-2284 (((-765) $) NIL) (((-765) $ (-1077)) 16) (((-635 (-765)) $ (-635 (-1077))) 20)) (-2363 ((|#2| $) NIL) (($ $ (-1077)) 124)) (-1400 (((-3 $ "failed") $ $) 160) (((-3 (-410 $) "failed") (-410 $) $) 156)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-1077)) 50) (($ (-410 (-569))) NIL) (($ $) NIL))) 
-(((-1227 |#1| |#2|) (-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2710 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -2503 ((-410 |#1|) |#1| (-410 |#1|))) (-15 -2061 ((-765) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1324 (|#1| |#1|)) (-15 -2503 (|#2| (-410 |#1|) |#2|)) (-15 -2507 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -1530 ((-2 (|:| -3550 |#2|) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -4425 (|#1| |#1| |#1|)) (-15 -1400 ((-3 (-410 |#1|) "failed") (-410 |#1|) |#1|)) (-15 -1400 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4433 ((-765) |#1| |#1|)) (-15 -2503 ((-410 |#1|) (-410 |#1|) (-410 |#1|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -1738 (|#1| |#1| (-765))) (-15 -3286 (|#1| |#1| (-765))) (-15 -1953 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| (-765))) (-15 -1555 (|#1| (-1161 |#2|))) (-15 -3071 ((-1161 |#2|) |#1|)) (-15 -3676 ((-1253 |#2|) |#1| (-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| |#1|)) (-15 -2503 (|#2| |#1| |#2|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2501 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2363 (|#1| |#1| (-1077))) (-15 -3195 ((-635 (-1077)) |#1|)) (-15 -1290 ((-765) |#1| (-635 (-1077)))) (-15 -1290 ((-765) |#1|)) (-15 -3179 (|#1| |#1| (-635 (-1077)) (-635 (-765)))) (-15 -3179 (|#1| |#1| (-1077) (-765))) (-15 -4294 ((-635 (-765)) |#1| (-635 (-1077)))) (-15 -4294 ((-765) |#1| (-1077))) (-15 -3407 ((-3 (-1077) "failed") |#1|)) (-15 -2284 ((-635 (-765)) |#1| (-635 (-1077)))) (-15 -2284 ((-765) |#1| (-1077))) (-15 -1321 ((-1077) |#1|)) (-15 -3003 ((-3 (-1077) "failed") |#1|)) (-15 -3956 (|#1| (-1077))) (-15 -1484 (|#1| |#1| (-635 (-1077)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-1077) |#1|)) (-15 -1484 (|#1| |#1| (-635 (-1077)) (-635 |#2|))) (-15 -1484 (|#1| |#1| (-1077) |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2284 ((-765) |#1|)) (-15 -3179 (|#1| |#2| (-765))) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -4294 ((-765) |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -3289 (|#1| |#1| (-635 (-1077)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1077) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1077)))) (-15 -3289 (|#1| |#1| (-1077))) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-1228 |#2|) (-1049)) (T -1227)) 
-NIL 
-(-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2710 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -2503 ((-410 |#1|) |#1| (-410 |#1|))) (-15 -2061 ((-765) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1324 (|#1| |#1|)) (-15 -2503 (|#2| (-410 |#1|) |#2|)) (-15 -2507 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -1530 ((-2 (|:| -3550 |#2|) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -4425 (|#1| |#1| |#1|)) (-15 -1400 ((-3 (-410 |#1|) "failed") (-410 |#1|) |#1|)) (-15 -1400 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4433 ((-765) |#1| |#1|)) (-15 -2503 ((-410 |#1|) (-410 |#1|) (-410 |#1|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -1738 (|#1| |#1| (-765))) (-15 -3286 (|#1| |#1| (-765))) (-15 -1953 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| (-765))) (-15 -1555 (|#1| (-1161 |#2|))) (-15 -3071 ((-1161 |#2|) |#1|)) (-15 -3676 ((-1253 |#2|) |#1| (-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| |#1|)) (-15 -2503 (|#2| |#1| |#2|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2501 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2363 (|#1| |#1| (-1077))) (-15 -3195 ((-635 (-1077)) |#1|)) (-15 -1290 ((-765) |#1| (-635 (-1077)))) (-15 -1290 ((-765) |#1|)) (-15 -3179 (|#1| |#1| (-635 (-1077)) (-635 (-765)))) (-15 -3179 (|#1| |#1| (-1077) (-765))) (-15 -4294 ((-635 (-765)) |#1| (-635 (-1077)))) (-15 -4294 ((-765) |#1| (-1077))) (-15 -3407 ((-3 (-1077) "failed") |#1|)) (-15 -2284 ((-635 (-765)) |#1| (-635 (-1077)))) (-15 -2284 ((-765) |#1| (-1077))) (-15 -1321 ((-1077) |#1|)) (-15 -3003 ((-3 (-1077) "failed") |#1|)) (-15 -3956 (|#1| (-1077))) (-15 -1484 (|#1| |#1| (-635 (-1077)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-1077) |#1|)) (-15 -1484 (|#1| |#1| (-635 (-1077)) (-635 |#2|))) (-15 -1484 (|#1| |#1| (-1077) |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2284 ((-765) |#1|)) (-15 -3179 (|#1| |#2| (-765))) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -4294 ((-765) |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -3289 (|#1| |#1| (-635 (-1077)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1077) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1077)))) (-15 -3289 (|#1| |#1| (-1077))) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3676 (((-1253 |#1|) $ (-765)) 217)) (-3195 (((-635 (-1077)) $) 108)) (-1555 (($ (-1161 |#1|)) 215)) (-3132 (((-1161 $) $ (-1077)) 123) (((-1161 |#1|) $) 122)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-2915 (($ $) 86 (|has| |#1| (-559)))) (-2735 (((-121) $) 88 (|has| |#1| (-559)))) (-1290 (((-765) $) 110) (((-765) $ (-635 (-1077))) 109)) (-3748 (((-3 $ "failed") $ $) 18)) (-2594 (($ $ $) 202 (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) 98 (|has| |#1| (-906)))) (-2710 (($ $) 96 (|has| |#1| (-454)))) (-3742 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 101 (|has| |#1| (-906)))) (-2889 (((-121) $ $) 187 (|has| |#1| (-366)))) (-3286 (($ $ (-765)) 210)) (-1738 (($ $ (-765)) 209)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 197 (|has| |#1| (-454)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1039 (-569)))) (((-3 (-1077) "failed") $) 134)) (-1321 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1039 (-569)))) (((-1077) $) 133)) (-3673 (($ $ $ (-1077)) 106 (|has| |#1| (-173))) ((|#1| $ $) 205 (|has| |#1| (-173)))) (-1614 (($ $ $) 191 (|has| |#1| (-366)))) (-3373 (($ $) 152)) (-3435 (((-681 (-569)) (-681 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 130) (((-681 |#1|) (-681 $)) 129)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 190 (|has| |#1| (-366)))) (-3621 (($ $ $) 208)) (-4425 (($ $ $) 199 (|has| |#1| (-559)))) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 $) (|:| -3028 $)) $ $) 198 (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 185 (|has| |#1| (-366)))) (-2540 (($ $) 174 (|has| |#1| (-454))) (($ $ (-1077)) 103 (|has| |#1| (-454)))) (-3367 (((-635 $) $) 107)) (-2005 (((-121) $) 94 (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-765) $) 170)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 82 (-12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 81 (-12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ $) 203 (|has| |#1| (-559)))) (-3934 (((-121) $) 30)) (-4118 (((-765) $) 167)) (-1542 (((-3 $ "failed") $) 183 (|has| |#1| (-1139)))) (-3187 (($ (-1161 |#1|) (-1077)) 115) (($ (-1161 $) (-1077)) 114)) (-2058 (($ $ (-765)) 214)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 194 (|has| |#1| (-366)))) (-2905 (((-635 $) $) 124)) (-3052 (((-121) $) 150)) (-3179 (($ |#1| (-765)) 151) (($ $ (-1077) (-765)) 117) (($ $ (-635 (-1077)) (-635 (-765))) 116)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) 118) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 212)) (-4294 (((-765) $) 168) (((-765) $ (-1077)) 120) (((-635 (-765)) $ (-635 (-1077))) 119)) (-2157 (($ $ $) 77 (|has| |#1| (-844)))) (-2713 (($ $ $) 76 (|has| |#1| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) 169)) (-4188 (($ (-1 |#1| |#1|) $) 149)) (-3071 (((-1161 |#1|) $) 216)) (-3407 (((-3 (-1077) "failed") $) 121)) (-3263 (($ $) 147)) (-3270 ((|#1| $) 146)) (-1657 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2605 (((-1147) $) 9)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) 211)) (-2617 (((-3 (-635 $) "failed") $) 112)) (-2085 (((-3 (-635 $) "failed") $) 113)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) 111)) (-1324 (($ $) 195 (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) 182 (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 164)) (-3256 ((|#1| $) 165)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 93 (|has| |#1| (-454)))) (-3964 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 100 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 99 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 97 (|has| |#1| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 193 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 192 (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 186 (|has| |#1| (-366)))) (-1484 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ (-1077) |#1|) 139) (($ $ (-635 (-1077)) (-635 |#1|)) 138) (($ $ (-1077) $) 137) (($ $ (-635 (-1077)) (-635 $)) 136)) (-2061 (((-765) $) 188 (|has| |#1| (-366)))) (-2503 ((|#1| $ |#1|) 235) (($ $ $) 234) (((-410 $) (-410 $) (-410 $)) 204 (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) 196 (|has| |#1| (-366))) (((-410 $) $ (-410 $)) 184 (|has| |#1| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) 213)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 189 (|has| |#1| (-366)))) (-2925 (($ $ (-1077)) 105 (|has| |#1| (-173))) ((|#1| $) 206 (|has| |#1| (-173)))) (-3289 (($ $ (-1077)) 41) (($ $ (-635 (-1077))) 40) (($ $ (-1077) (-765)) 39) (($ $ (-635 (-1077)) (-635 (-765))) 38) (($ $ (-765)) 232) (($ $) 230) (($ $ (-1165)) 229 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 228 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 227 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 226 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 219) (($ $ (-1 |#1| |#1|)) 218) (($ $ (-1 |#1| |#1|) $) 207)) (-2284 (((-765) $) 148) (((-765) $ (-1077)) 128) (((-635 (-765)) $ (-635 (-1077))) 127)) (-4035 (((-889 (-382)) $) 80 (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) 79 (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) 78 (-12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ (-1077)) 104 (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 102 (-3993 (|has| $ (-149)) (|has| |#1| (-906))))) (-1400 (((-3 $ "failed") $ $) 201 (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) 200 (|has| |#1| (-559)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ (-1077)) 135) (($ (-410 (-569))) 70 (-1929 (|has| |#1| (-1039 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) 166)) (-3802 ((|#1| $ (-765)) 153) (($ $ (-1077) (-765)) 126) (($ $ (-635 (-1077)) (-635 (-765))) 125)) (-2277 (((-3 $ "failed") $) 71 (-1929 (-3993 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 28)) (-2587 (($ $ $ (-765)) 171 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 87 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1077)) 37) (($ $ (-635 (-1077))) 36) (($ $ (-1077) (-765)) 35) (($ $ (-635 (-1077)) (-635 (-765))) 34) (($ $ (-765)) 233) (($ $) 231) (($ $ (-1165)) 225 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 224 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 223 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 222 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 221) (($ $ (-1 |#1| |#1|)) 220)) (-1355 (((-121) $ $) 74 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 73 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 72 (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-1228 |#1|) (-1284) (-1049)) (T -1228)) 
-((-3676 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1228 *4)) (-4 *4 (-1049)) (-5 *2 (-1253 *4)))) (-3071 (*1 *2 *1) (-12 (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-5 *2 (-1161 *3)))) (-1555 (*1 *1 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-1049)) (-4 *1 (-1228 *3)))) (-2058 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) (-3804 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) (-4345 (*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *3)))) (-1953 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *4)))) (-3286 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) (-1738 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) (-3621 (*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)))) (-3289 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) (-2925 (*1 *2 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-173)))) (-3673 (*1 *2 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-173)))) (-2503 (*1 *2 *2 *2) (-12 (-5 *2 (-410 *1)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)))) (-4433 (*1 *2 *1 *1) (-12 (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)) (-5 *2 (-765)))) (-2594 (*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559)))) (-1400 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559)))) (-1400 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-410 *1)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)))) (-4425 (*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559)))) (-1530 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3550 *3) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *3)))) (-2507 (*1 *2 *1 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1228 *3)))) (-2503 (*1 *2 *3 *2) (-12 (-5 *3 (-410 *1)) (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-1324 (*1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569))))))) 
-(-13 (-952 |t#1| (-765) (-1077)) (-282 |t#1| |t#1|) (-282 $ $) (-226) (-224 |t#1|) (-10 -8 (-15 -3676 ((-1253 |t#1|) $ (-765))) (-15 -3071 ((-1161 |t#1|) $)) (-15 -1555 ($ (-1161 |t#1|))) (-15 -2058 ($ $ (-765))) (-15 -3804 ((-3 $ "failed") $ (-765))) (-15 -4345 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -1953 ((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765))) (-15 -3286 ($ $ (-765))) (-15 -1738 ($ $ (-765))) (-15 -3621 ($ $ $)) (-15 -3289 ($ $ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-1139)) (-6 (-1139)) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-15 -2925 (|t#1| $)) (-15 -3673 (|t#1| $ $))) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-282 (-410 $) (-410 $))) (-15 -2503 ((-410 $) (-410 $) (-410 $))) (-15 -4433 ((-765) $ $)) (-15 -2594 ($ $ $)) (-15 -1400 ((-3 $ "failed") $ $)) (-15 -1400 ((-3 (-410 $) "failed") (-410 $) $)) (-15 -4425 ($ $ $)) (-15 -1530 ((-2 (|:| -3550 |t#1|) (|:| -3483 $) (|:| -3028 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (-15 -2507 ((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-6 (-302)) (-6 -4567) (-15 -2503 (|t#1| (-410 $) |t#1|))) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (-15 -1324 ($ $)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-765)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))) ((-610 (-889 (-382))) -12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382))))) ((-610 (-889 (-569))) -12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569))))) ((-224 |#1|) . T) ((-226) . T) ((-282 (-410 $) (-410 $)) |has| |#1| (-559)) ((-282 |#1| |#1|) . T) ((-282 $ $) . T) ((-286) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-304 $) . T) ((-325 |#1| (-765)) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-906)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-524 (-1077) |#1|) . T) ((-524 (-1077) $) . T) ((-524 $ $) . T) ((-559) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 (-1077)) . T) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-883 (-382)) -12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382)))) ((-883 (-569)) -12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))) ((-952 |#1| (-765) (-1077)) . T) ((-906) |has| |#1| (-906)) ((-918) |has| |#1| (-366)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 (-1077)) . T) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| |#1| (-1139)) ((-1208) |has| |#1| (-906))) 
-((-3195 (((-635 (-1077)) $) 28)) (-3373 (($ $) 25)) (-3179 (($ |#2| |#3|) NIL) (($ $ (-1077) |#3|) 22) (($ $ (-635 (-1077)) (-635 |#3|)) 20)) (-3263 (($ $) 14)) (-3270 ((|#2| $) 12)) (-2284 ((|#3| $) 10))) 
-(((-1229 |#1| |#2| |#3|) (-10 -8 (-15 -3195 ((-635 (-1077)) |#1|)) (-15 -3179 (|#1| |#1| (-635 (-1077)) (-635 |#3|))) (-15 -3179 (|#1| |#1| (-1077) |#3|)) (-15 -3373 (|#1| |#1|)) (-15 -3179 (|#1| |#2| |#3|)) (-15 -2284 (|#3| |#1|)) (-15 -3263 (|#1| |#1|)) (-15 -3270 (|#2| |#1|))) (-1230 |#2| |#3|) (-1049) (-789)) (T -1229)) 
-NIL 
-(-10 -8 (-15 -3195 ((-635 (-1077)) |#1|)) (-15 -3179 (|#1| |#1| (-635 (-1077)) (-635 |#3|))) (-15 -3179 (|#1| |#1| (-1077) |#3|)) (-15 -3373 (|#1| |#1|)) (-15 -3179 (|#1| |#2| |#3|)) (-15 -2284 (|#3| |#1|)) (-15 -3263 (|#1| |#1|)) (-15 -3270 (|#2| |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ |#2|) 93) (($ $ |#2| |#2|) 92)) (-3824 (((-1145 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 100)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-2641 (((-121) $) 69)) (-4433 ((|#2| $) 95) ((|#2| $ |#2|) 94)) (-3934 (((-121) $) 30)) (-2058 (($ $ (-919)) 96)) (-3052 (((-121) $) 61)) (-3179 (($ |#1| |#2|) 60) (($ $ (-1077) |#2|) 72) (($ $ (-635 (-1077)) (-635 |#2|)) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3803 (($ $ |#2|) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| |#2|))))) (-2503 ((|#1| $ |#2|) 99) (($ $ $) 76 (|has| |#2| (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 84 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1165) (-765)) 83 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-635 (-1165))) 82 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1165)) 81 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-765)) 79 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-2284 ((|#2| $) 63)) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3802 ((|#1| $ |#2|) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-4334 ((|#1| $ |#2|) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| |#2|))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 88 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1165) (-765)) 87 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-635 (-1165))) 86 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1165)) 85 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-765)) 80 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1230 |#1| |#2|) (-1284) (-1049) (-789)) (T -1230)) 
-((-3824 (*1 *2 *1) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-1145 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-2503 (*1 *2 *1 *3) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) (-1948 (*1 *2 *1) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-1165)))) (-1736 (*1 *2 *1) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) (-2058 (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-4433 (*1 *2 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-3146 (*1 *1 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-3146 (*1 *1 *1 *2 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-4334 (*1 *2 *1 *3) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -3956 (*2 (-1165)))) (-4 *2 (-1049)))) (-3803 (*1 *1 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-1484 (*1 *2 *1 *3) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1145 *3))))) 
-(-13 (-976 |t#1| |t#2| (-1077)) (-10 -8 (-15 -3824 ((-1145 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -2503 (|t#1| $ |t#2|)) (-15 -1948 ((-1165) $)) (-15 -1736 (|t#1| $)) (-15 -2058 ($ $ (-919))) (-15 -4433 (|t#2| $)) (-15 -4433 (|t#2| $ |t#2|)) (-15 -3146 ($ $ |t#2|)) (-15 -3146 ($ $ |t#2| |t#2|)) (IF (|has| |t#1| (-15 -3956 (|t#1| (-1165)))) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -4334 (|t#1| $ |t#2|)) |noBranch|) |noBranch|) (-15 -3803 ($ $ |t#2|)) (IF (|has| |t#2| (-1105)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |t#1| (-15 * (|t#1| |t#2| |t#1|))) (PROGN (-6 (-226)) (IF (|has| |t#1| (-897 (-1165))) (-6 (-897 (-1165))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -1484 ((-1145 |t#1|) $ |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| |#2| |#1|))) ((-282 $ $) |has| |#2| (-1105)) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| |#2| |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| |#2| (-1077)) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-2710 ((|#2| |#2|) 12)) (-3742 (((-421 |#2|) |#2|) 14)) (-2999 (((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))) 30))) 
-(((-1231 |#1| |#2|) (-10 -7 (-15 -3742 ((-421 |#2|) |#2|)) (-15 -2710 (|#2| |#2|)) (-15 -2999 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))))) (-559) (-13 (-1228 |#1|) (-559) (-10 -8 (-15 -3964 ($ $ $))))) (T -1231)) 
-((-2999 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-569)))) (-4 *4 (-13 (-1228 *3) (-559) (-10 -8 (-15 -3964 ($ $ $))))) (-4 *3 (-559)) (-5 *1 (-1231 *3 *4)))) (-2710 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-1231 *3 *2)) (-4 *2 (-13 (-1228 *3) (-559) (-10 -8 (-15 -3964 ($ $ $))))))) (-3742 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-1231 *4 *3)) (-4 *3 (-13 (-1228 *4) (-559) (-10 -8 (-15 -3964 ($ $ $)))))))) 
-(-10 -7 (-15 -3742 ((-421 |#2|) |#2|)) (-15 -2710 (|#2| |#2|)) (-15 -2999 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))))) 
-((-4188 (((-1237 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1237 |#1| |#3| |#5|)) 23))) 
-(((-1232 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -4188 ((-1237 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1237 |#1| |#3| |#5|)))) (-1049) (-1049) (-1165) (-1165) |#1| |#2|) (T -1232)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1237 *5 *7 *9)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-14 *7 (-1165)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1237 *6 *8 *10)) (-5 *1 (-1232 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1165))))) 
-(-10 -7 (-15 -4188 ((-1237 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1237 |#1| |#3| |#5|)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) 93) (($ $ (-410 (-569)) (-410 (-569))) 92)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 100)) (-3544 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 154 (|has| |#1| (-366)))) (-3742 (((-421 $) $) 155 (|has| |#1| (-366)))) (-3422 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) 145 (|has| |#1| (-366)))) (-3530 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 164)) (-3559 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 149 (|has| |#1| (-366)))) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 148 (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-2005 (((-121) $) 156 (|has| |#1| (-366)))) (-2641 (((-121) $) 69)) (-3415 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) 95) (((-410 (-569)) $ (-410 (-569))) 94)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) 96) (($ $ (-410 (-569))) 163)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3052 (((-121) $) 61)) (-3179 (($ |#1| (-410 (-569))) 60) (($ $ (-1077) (-410 (-569))) 72) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3597 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-1657 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 157 (|has| |#1| (-366)))) (-1324 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 161 (-1929 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-961)) (|has| |#1| (-1185)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-43 (-410 (-569)))))))) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 142 (|has| |#1| (-366)))) (-3964 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-3139 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 150 (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-3408 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) 146 (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) 99) (($ $ $) 76 (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 147 (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 84 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165) (-765)) 83 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1165))) 82 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165)) 81 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-765)) 79 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2284 (((-410 (-569)) $) 63)) (-3565 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-3585 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3572 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 88 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165) (-765)) 87 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1165))) 86 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165)) 85 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-765)) 80 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1233 |#1|) (-1284) (-1049)) (T -1233)) 
-((-4314 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))) (-4 *4 (-1049)) (-4 *1 (-1233 *4)))) (-2058 (*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1233 *3)) (-4 *3 (-1049)))) (-1324 (*1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) (-1324 (*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1233 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1233 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
-(-13 (-1230 |t#1| (-410 (-569))) (-10 -8 (-15 -4314 ($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |t#1|))))) (-15 -2058 ($ $ (-410 (-569)))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $)) (IF (|has| |t#1| (-15 -1324 (|t#1| |t#1| (-1165)))) (IF (|has| |t#1| (-15 -3195 ((-635 (-1165)) |t#1|))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1185)) (IF (|has| |t#1| (-961)) (IF (|has| |t#1| (-29 (-569))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1004)) (-6 (-1185))) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-410 (-569))) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-410 (-569)) (-1105)) ((-286) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| (-410 (-569)) (-1077)) . T) ((-918) |has| |#1| (-366)) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569)))) ((-1208) |has| |#1| (-366)) ((-1230 |#1| (-410 (-569))) . T)) 
-((-2225 (((-121) $) 12)) (-3003 (((-3 |#3| "failed") $) 17)) (-1321 ((|#3| $) 14))) 
-(((-1234 |#1| |#2| |#3|) (-10 -8 (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -2225 ((-121) |#1|))) (-1235 |#2| |#3|) (-1049) (-1212 |#2|)) (T -1234)) 
-NIL 
-(-10 -8 (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -2225 ((-121) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) 93) (($ $ (-410 (-569)) (-410 (-569))) 92)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 100)) (-3544 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 154 (|has| |#1| (-366)))) (-3742 (((-421 $) $) 155 (|has| |#1| (-366)))) (-3422 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) 145 (|has| |#1| (-366)))) (-3530 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 164)) (-3559 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#2| "failed") $) 172)) (-1321 ((|#2| $) 171)) (-1614 (($ $ $) 149 (|has| |#1| (-366)))) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-3091 (((-410 (-569)) $) 169)) (-1626 (($ $ $) 148 (|has| |#1| (-366)))) (-3236 (($ (-410 (-569)) |#2|) 170)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-2005 (((-121) $) 156 (|has| |#1| (-366)))) (-2641 (((-121) $) 69)) (-3415 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) 95) (((-410 (-569)) $ (-410 (-569))) 94)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) 96) (($ $ (-410 (-569))) 163)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3052 (((-121) $) 61)) (-3179 (($ |#1| (-410 (-569))) 60) (($ $ (-1077) (-410 (-569))) 72) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3597 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-1657 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-1494 ((|#2| $) 168)) (-4273 (((-3 |#2| "failed") $) 166)) (-3228 ((|#2| $) 167)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 157 (|has| |#1| (-366)))) (-1324 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 161 (-1929 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-961)) (|has| |#1| (-1185)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-43 (-410 (-569)))))))) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 142 (|has| |#1| (-366)))) (-3964 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-3139 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 150 (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-3408 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) 146 (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) 99) (($ $ $) 76 (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 147 (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 84 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165) (-765)) 83 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1165))) 82 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165)) 81 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-765)) 79 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2284 (((-410 (-569)) $) 63)) (-3565 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ |#2|) 173) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-3585 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3572 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 88 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165) (-765)) 87 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1165))) 86 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165)) 85 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-765)) 80 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1235 |#1| |#2|) (-1284) (-1049) (-1212 |t#1|)) (T -1235)) 
-((-2284 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1212 *3)) (-5 *2 (-410 (-569))))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-1235 *3 *2)) (-4 *2 (-1212 *3)))) (-3236 (*1 *1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-4 *4 (-1049)) (-4 *1 (-1235 *4 *3)) (-4 *3 (-1212 *4)))) (-3091 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1212 *3)) (-5 *2 (-410 (-569))))) (-1494 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3)))) (-3228 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3)))) (-4273 (*1 *2 *1) (|partial| -12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3))))) 
-(-13 (-1233 |t#1|) (-1039 |t#2|) (-10 -8 (-15 -3236 ($ (-410 (-569)) |t#2|)) (-15 -3091 ((-410 (-569)) $)) (-15 -1494 (|t#2| $)) (-15 -2284 ((-410 (-569)) $)) (-15 -3956 ($ |t#2|)) (-15 -3228 (|t#2| $)) (-15 -4273 ((-3 |t#2| "failed") $)))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-410 (-569))) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-410 (-569)) (-1105)) ((-286) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| (-410 (-569)) (-1077)) . T) ((-918) |has| |#1| (-366)) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1039 |#2|) . T) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569)))) ((-1208) |has| |#1| (-366)) ((-1230 |#1| (-410 (-569))) . T) ((-1233 |#1|) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 96)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) 106) (($ $ (-410 (-569)) (-410 (-569))) 108)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 51)) (-3544 (($ $) 179 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 155 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) 175 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 151 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 61)) (-3559 (($ $) 183 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 159 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL)) (-1321 ((|#2| $) NIL)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) 79)) (-3091 (((-410 (-569)) $) 12)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3236 (($ (-410 (-569)) |#2|) 10)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-2641 (((-121) $) 68)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) 103) (((-410 (-569)) $ (-410 (-569))) 104)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) 120) (($ $ (-410 (-569))) 118)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-410 (-569))) 31) (($ $ (-1077) (-410 (-569))) NIL) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 115)) (-3597 (($ $) 149 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1494 ((|#2| $) 11)) (-4273 (((-3 |#2| "failed") $) 41)) (-3228 ((|#2| $) 42)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 93 (|has| |#1| (-366)))) (-1324 (($ $) 135 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 140 (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185)))))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) 112)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) 147 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 90 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) 100) (($ $ $) 86 (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) 127 (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 124 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2284 (((-410 (-569)) $) 16)) (-3565 (($ $) 185 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 161 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 181 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 157 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 177 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 153 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 110)) (-3956 (((-852) $) NIL) (($ (-569)) 35) (($ |#1|) 27 (|has| |#1| (-173))) (($ |#2|) 32) (($ (-410 (-569))) 128 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) 99)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) 117)) (-1736 ((|#1| $) 98)) (-3585 (($ $) 191 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 167 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) 187 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 163 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 195 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 171 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 197 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 173 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 193 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 169 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 189 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 165 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 21 T CONST)) (-3297 (($) 17 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) 66)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 92 (|has| |#1| (-366)))) (-1377 (($ $) 131) (($ $ $) 72)) (-1371 (($ $ $) 70)) (** (($ $ (-919)) NIL) (($ $ (-765)) 76) (($ $ (-569)) 144 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 145 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 74) (($ $ |#1|) NIL) (($ |#1| $) 126) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1236 |#1| |#2|) (-1235 |#1| |#2|) (-1049) (-1212 |#1|)) (T -1236)) 
-NIL 
-(-1235 |#1| |#2|) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 11)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-1216 |#1| |#2| |#3|) "failed") $) 19) (((-3 (-1244 |#1| |#2| |#3|) "failed") $) 22)) (-1321 (((-1216 |#1| |#2| |#3|) $) NIL) (((-1244 |#1| |#2| |#3|) $) NIL)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3091 (((-410 (-569)) $) 57)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3236 (($ (-410 (-569)) (-1216 |#1| |#2| |#3|)) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) NIL) (($ $ (-410 (-569))) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-410 (-569))) 29) (($ $ (-1077) (-410 (-569))) NIL) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1494 (((-1216 |#1| |#2| |#3|) $) 60)) (-4273 (((-3 (-1216 |#1| |#2| |#3|) "failed") $) NIL)) (-3228 (((-1216 |#1| |#2| |#3|) $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) 38 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 39 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1249 |#2|)) 37)) (-2284 (((-410 (-569)) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) 87) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1216 |#1| |#2| |#3|)) 16) (($ (-1244 |#1| |#2| |#3|)) 17) (($ (-1249 |#2|)) 35) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 12)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) 62 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 31 T CONST)) (-3297 (($) 26 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 33)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1237 |#1| |#2| |#3|) (-13 (-1235 |#1| (-1216 |#1| |#2| |#3|)) (-1039 (-1244 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1237)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
-(-13 (-1235 |#1| (-1216 |#1| |#2| |#3|)) (-1039 (-1244 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 32)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| (-1237 |#2| |#3| |#4|) (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-1237 |#2| |#3| |#4|) (-1039 (-410 (-569))))) (((-3 (-1237 |#2| |#3| |#4|) "failed") $) 20)) (-1321 (((-569) $) NIL (|has| (-1237 |#2| |#3| |#4|) (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| (-1237 |#2| |#3| |#4|) (-1039 (-410 (-569))))) (((-1237 |#2| |#3| |#4|) $) NIL)) (-3373 (($ $) 33)) (-2611 (((-3 $ "failed") $) 25)) (-2540 (($ $) NIL (|has| (-1237 |#2| |#3| |#4|) (-454)))) (-2916 (($ $ (-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|) $) NIL)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) 11)) (-3052 (((-121) $) NIL)) (-3179 (($ (-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) 23)) (-4294 (((-315 |#2| |#3| |#4|) $) NIL)) (-1541 (($ (-1 (-315 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) $) NIL)) (-4188 (($ (-1 (-1237 |#2| |#3| |#4|) (-1237 |#2| |#3| |#4|)) $) NIL)) (-3805 (((-3 (-837 |#2|) "failed") $) 72)) (-3263 (($ $) NIL)) (-3270 (((-1237 |#2| |#3| |#4|) $) 18)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 (((-1237 |#2| |#3| |#4|) $) NIL)) (-1436 (((-3 $ "failed") $ (-1237 |#2| |#3| |#4|)) NIL (|has| (-1237 |#2| |#3| |#4|) (-559))) (((-3 $ "failed") $ $) NIL)) (-2954 (((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1237 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1147))) "failed") $) 55)) (-2284 (((-315 |#2| |#3| |#4|) $) 14)) (-2363 (((-1237 |#2| |#3| |#4|) $) NIL (|has| (-1237 |#2| |#3| |#4|) (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-1237 |#2| |#3| |#4|)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL (-1929 (|has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569)))) (|has| (-1237 |#2| |#3| |#4|) (-1039 (-410 (-569))))))) (-2894 (((-635 (-1237 |#2| |#3| |#4|)) $) NIL)) (-3802 (((-1237 |#2| |#3| |#4|) $ (-315 |#2| |#3| |#4|)) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| (-1237 |#2| |#3| |#4|) (-149)))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| (-1237 |#2| |#3| |#4|) (-173)))) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 60 T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ (-1237 |#2| |#3| |#4|)) NIL (|has| (-1237 |#2| |#3| |#4|) (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-1237 |#2| |#3| |#4|)) NIL) (($ (-1237 |#2| |#3| |#4|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))))) 
-(((-1238 |#1| |#2| |#3| |#4|) (-13 (-325 (-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) (-559) (-10 -8 (-15 -3805 ((-3 (-837 |#2|) "failed") $)) (-15 -2954 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1237 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1147))) "failed") $)))) (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1185) (-433 |#1|)) (-1165) |#2|) (T -1238)) 
-((-3805 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-837 *4)) (-5 *1 (-1238 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4))) (-2954 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1237 *4 *5 *6)) (|:| |%expon| (-315 *4 *5 *6)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))))) (|:| |%type| (-1147)))) (-5 *1 (-1238 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4)))) 
-(-13 (-325 (-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) (-559) (-10 -8 (-15 -3805 ((-3 (-837 |#2|) "failed") $)) (-15 -2954 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1237 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1147))) "failed") $)))) 
-((-2756 ((|#2| $) 28)) (-1823 ((|#2| $) 18)) (-2394 (($ $) 35)) (-2627 (($ $ (-569)) 63)) (-3350 (((-121) $ (-765)) 32)) (-4548 ((|#2| $ |#2|) 60)) (-2450 ((|#2| $ |#2|) 58)) (-2511 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) 51) (($ $ "rest" $) 55) ((|#2| $ "last" |#2|) 53)) (-1978 (($ $ (-635 $)) 59)) (-4024 ((|#2| $) 17)) (-1864 (($ $) NIL) (($ $ (-765)) 41)) (-3899 (((-635 $) $) 25)) (-2638 (((-121) $ $) 49)) (-3206 (((-121) $ (-765)) 31)) (-1396 (((-121) $ (-765)) 30)) (-3491 (((-121) $) 27)) (-3302 ((|#2| $) 23) (($ $ (-765)) 45)) (-2503 ((|#2| $ "value") NIL) ((|#2| $ "first") 10) (($ $ "rest") 16) ((|#2| $ "last") 13)) (-1630 (((-121) $) 21)) (-2588 (($ $) 38)) (-1390 (($ $) 64)) (-3977 (((-765) $) 40)) (-2483 (($ $) 39)) (-4456 (($ $ $) 57) (($ |#2| $) NIL)) (-4065 (((-635 $) $) 26)) (-1326 (((-121) $ $) 47)) (-2946 (((-765) $) 34))) 
-(((-1239 |#1| |#2|) (-10 -8 (-15 -2627 (|#1| |#1| (-569))) (-15 -2511 (|#2| |#1| "last" |#2|)) (-15 -2450 (|#2| |#1| |#2|)) (-15 -2511 (|#1| |#1| "rest" |#1|)) (-15 -2511 (|#2| |#1| "first" |#2|)) (-15 -1390 (|#1| |#1|)) (-15 -2588 (|#1| |#1|)) (-15 -3977 ((-765) |#1|)) (-15 -2483 (|#1| |#1|)) (-15 -1823 (|#2| |#1|)) (-15 -4024 (|#2| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -3302 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "last")) (-15 -3302 (|#2| |#1|)) (-15 -1864 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| "rest")) (-15 -1864 (|#1| |#1|)) (-15 -2503 (|#2| |#1| "first")) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4548 (|#2| |#1| |#2|)) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -1978 (|#1| |#1| (-635 |#1|))) (-15 -2638 ((-121) |#1| |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2756 (|#2| |#1|)) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765)))) (-1240 |#2|) (-1199)) (T -1239)) 
-NIL 
-(-10 -8 (-15 -2627 (|#1| |#1| (-569))) (-15 -2511 (|#2| |#1| "last" |#2|)) (-15 -2450 (|#2| |#1| |#2|)) (-15 -2511 (|#1| |#1| "rest" |#1|)) (-15 -2511 (|#2| |#1| "first" |#2|)) (-15 -1390 (|#1| |#1|)) (-15 -2588 (|#1| |#1|)) (-15 -3977 ((-765) |#1|)) (-15 -2483 (|#1| |#1|)) (-15 -1823 (|#2| |#1|)) (-15 -4024 (|#2| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -3302 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "last")) (-15 -3302 (|#2| |#1|)) (-15 -1864 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| "rest")) (-15 -1864 (|#1| |#1|)) (-15 -2503 (|#2| |#1| "first")) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4548 (|#2| |#1| |#2|)) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -1978 (|#1| |#1| (-635 |#1|))) (-15 -2638 ((-121) |#1| |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2756 (|#2| |#1|)) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765)))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-1823 ((|#1| $) 62)) (-2394 (($ $) 64)) (-2627 (($ $ (-569)) 49 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2908 (($ $ $) 53 (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) 51 (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 55 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4572))) (($ $ "rest" $) 52 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4024 ((|#1| $) 63)) (-4483 (($) 7 T CONST)) (-1864 (($ $) 70) (($ $ (-765)) 68)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-3302 ((|#1| $) 67) (($ $ (-765)) 65)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 73) (($ $ (-765)) 71)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2588 (($ $) 59)) (-1390 (($ $) 56 (|has| $ (-6 -4572)))) (-3977 (((-765) $) 60)) (-2483 (($ $) 61)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4422 (($ $ $) 58 (|has| $ (-6 -4572))) (($ $ |#1|) 57 (|has| $ (-6 -4572)))) (-4456 (($ $ $) 75) (($ |#1| $) 74)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-1240 |#1|) (-1284) (-1199)) (T -1240)) 
-((-4456 (*1 *1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-4456 (*1 *1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-1816 (*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-1816 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) (-1864 (*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) (-1864 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) (-3302 (*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-3302 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) (-2394 (*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-4024 (*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-1823 (*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2483 (*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-3977 (*1 *2 *1) (-12 (-4 *1 (-1240 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) (-2588 (*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-4422 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-4422 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-1390 (*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2062 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2908 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2511 (*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) (-2450 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2627 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4572)) (-4 *1 (-1240 *3)) (-4 *3 (-1199))))) 
-(-13 (-1012 |t#1|) (-10 -8 (-15 -4456 ($ $ $)) (-15 -4456 ($ |t#1| $)) (-15 -1816 (|t#1| $)) (-15 -2503 (|t#1| $ "first")) (-15 -1816 ($ $ (-765))) (-15 -1864 ($ $)) (-15 -2503 ($ $ "rest")) (-15 -1864 ($ $ (-765))) (-15 -3302 (|t#1| $)) (-15 -2503 (|t#1| $ "last")) (-15 -3302 ($ $ (-765))) (-15 -2394 ($ $)) (-15 -4024 (|t#1| $)) (-15 -1823 (|t#1| $)) (-15 -2483 ($ $)) (-15 -3977 ((-765) $)) (-15 -2588 ($ $)) (IF (|has| $ (-6 -4572)) (PROGN (-15 -4422 ($ $ $)) (-15 -4422 ($ $ |t#1|)) (-15 -1390 ($ $)) (-15 -2062 (|t#1| $ |t#1|)) (-15 -2511 (|t#1| $ "first" |t#1|)) (-15 -2908 ($ $ $)) (-15 -2511 ($ $ "rest" $)) (-15 -2450 (|t#1| $ |t#1|)) (-15 -2511 (|t#1| $ "last" |t#1|)) (-15 -2627 ($ $ (-569)))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
-((-4188 ((|#4| (-1 |#2| |#1|) |#3|) 17))) 
-(((-1241 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#2| |#1|) |#3|))) (-1049) (-1049) (-1243 |#1|) (-1243 |#2|)) (T -1241)) 
-((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *2 (-1243 *6)) (-5 *1 (-1241 *5 *6 *4 *2)) (-4 *4 (-1243 *5))))) 
-(-10 -7 (-15 -4188 (|#4| (-1 |#2| |#1|) |#3|))) 
-((-2225 (((-121) $) 15)) (-3544 (($ $) 90)) (-3467 (($ $) 66)) (-3530 (($ $) 86)) (-3455 (($ $) 62)) (-3559 (($ $) 94)) (-3480 (($ $) 70)) (-3597 (($ $) 60)) (-3408 (($ $) 58)) (-3565 (($ $) 96)) (-3485 (($ $) 72)) (-3551 (($ $) 92)) (-3473 (($ $) 68)) (-3538 (($ $) 88)) (-3460 (($ $) 64)) (-3956 (((-852) $) 46) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ |#2|) NIL)) (-3585 (($ $) 102)) (-3505 (($ $) 78)) (-3572 (($ $) 98)) (-3490 (($ $) 74)) (-3599 (($ $) 106)) (-3517 (($ $) 82)) (-4527 (($ $) 108)) (-3525 (($ $) 84)) (-3592 (($ $) 104)) (-3510 (($ $) 80)) (-3579 (($ $) 100)) (-3497 (($ $) 76)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ |#2|) 50) (($ $ $) 53) (($ $ (-410 (-569))) 56))) 
-(((-1242 |#1| |#2|) (-10 -8 (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -3467 (|#1| |#1|)) (-15 -3455 (|#1| |#1|)) (-15 -3480 (|#1| |#1|)) (-15 -3485 (|#1| |#1|)) (-15 -3473 (|#1| |#1|)) (-15 -3460 (|#1| |#1|)) (-15 -3497 (|#1| |#1|)) (-15 -3510 (|#1| |#1|)) (-15 -3525 (|#1| |#1|)) (-15 -3517 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3505 (|#1| |#1|)) (-15 -3538 (|#1| |#1|)) (-15 -3551 (|#1| |#1|)) (-15 -3565 (|#1| |#1|)) (-15 -3559 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3592 (|#1| |#1|)) (-15 -4527 (|#1| |#1|)) (-15 -3599 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3597 (|#1| |#1|)) (-15 -3408 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919))) (-15 -2225 ((-121) |#1|)) (-15 -3956 ((-852) |#1|))) (-1243 |#2|) (-1049)) (T -1242)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -3467 (|#1| |#1|)) (-15 -3455 (|#1| |#1|)) (-15 -3480 (|#1| |#1|)) (-15 -3485 (|#1| |#1|)) (-15 -3473 (|#1| |#1|)) (-15 -3460 (|#1| |#1|)) (-15 -3497 (|#1| |#1|)) (-15 -3510 (|#1| |#1|)) (-15 -3525 (|#1| |#1|)) (-15 -3517 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3505 (|#1| |#1|)) (-15 -3538 (|#1| |#1|)) (-15 -3551 (|#1| |#1|)) (-15 -3565 (|#1| |#1|)) (-15 -3559 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3592 (|#1| |#1|)) (-15 -4527 (|#1| |#1|)) (-15 -3599 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3597 (|#1| |#1|)) (-15 -3408 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919))) (-15 -2225 ((-121) |#1|)) (-15 -3956 ((-852) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ (-765)) 93) (($ $ (-765) (-765)) 92)) (-3824 (((-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|))) $) 100)) (-3544 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-3422 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|)))) 147) (($ (-1145 |#1|)) 145)) (-3559 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-1595 (($ $) 144)) (-2849 (((-955 |#1|) $ (-765)) 142) (((-955 |#1|) $ (-765) (-765)) 141)) (-2641 (((-121) $) 69)) (-3415 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $) 95) (((-765) $ (-765)) 94)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) 96)) (-3449 (($ (-1 |#1| (-569)) $) 143)) (-3052 (((-121) $) 61)) (-3179 (($ |#1| (-765)) 60) (($ $ (-1077) (-765)) 72) (($ $ (-635 (-1077)) (-635 (-765))) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3597 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-2605 (((-1147) $) 9)) (-1324 (($ $) 139 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 138 (-1929 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-961)) (|has| |#1| (-1185)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-43 (-410 (-569)))))))) (-1912 (((-1111) $) 10)) (-3803 (($ $ (-765)) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-3408 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-765)))))) (-2503 ((|#1| $ (-765)) 99) (($ $ $) 76 (|has| (-765) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 84 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-1165) (-765)) 83 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-635 (-1165))) 82 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-1165)) 81 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-765)) 79 (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-2284 (((-765) $) 63)) (-3565 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-2894 (((-1145 |#1|) $) 146)) (-3802 ((|#1| $ (-765)) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-3585 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3572 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-765)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-765)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 88 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-1165) (-765)) 87 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-635 (-1165))) 86 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-1165)) 85 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-765)) 80 (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ |#1|) 140 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1243 |#1|) (-1284) (-1049)) (T -1243)) 
-((-4314 (*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-765)) (|:| |c| *3)))) (-4 *3 (-1049)) (-4 *1 (-1243 *3)))) (-2894 (*1 *2 *1) (-12 (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-5 *2 (-1145 *3)))) (-4314 (*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-4 *1 (-1243 *3)))) (-1595 (*1 *1 *1) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049)))) (-3449 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1243 *3)) (-4 *3 (-1049)))) (-2849 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1243 *4)) (-4 *4 (-1049)) (-5 *2 (-955 *4)))) (-2849 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1243 *4)) (-4 *4 (-1049)) (-5 *2 (-955 *4)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-1324 (*1 *1 *1) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) (-1324 (*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
-(-13 (-1230 |t#1| (-765)) (-10 -8 (-15 -4314 ($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |t#1|))))) (-15 -2894 ((-1145 |t#1|) $)) (-15 -4314 ($ (-1145 |t#1|))) (-15 -1595 ($ $)) (-15 -3449 ($ (-1 |t#1| (-569)) $)) (-15 -2849 ((-955 |t#1|) $ (-765))) (-15 -2849 ((-955 |t#1|) $ (-765) (-765))) (IF (|has| |t#1| (-366)) (-15 ** ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $)) (IF (|has| |t#1| (-15 -1324 (|t#1| |t#1| (-1165)))) (IF (|has| |t#1| (-15 -3195 ((-635 (-1165)) |t#1|))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1185)) (IF (|has| |t#1| (-961)) (IF (|has| |t#1| (-29 (-569))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1004)) (-6 (-1185))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-765)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-765) |#1|))) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-765) (-1105)) ((-286) |has| |#1| (-559)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| (-765) (-1077)) . T) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569)))) ((-1230 |#1| (-765)) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 86)) (-2185 (((-1225 |#2| |#1|) $ (-765)) 73)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) 135 (|has| |#1| (-559)))) (-3146 (($ $ (-765)) 120) (($ $ (-765) (-765)) 122)) (-3824 (((-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|))) $) 42)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|)))) 53) (($ (-1145 |#1|)) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-1661 (($ $) 126)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1595 (($ $) 133)) (-2849 (((-955 |#1|) $ (-765)) 63) (((-955 |#1|) $ (-765) (-765)) 65)) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $) NIL) (((-765) $ (-765)) NIL)) (-3934 (((-121) $) NIL)) (-1582 (($ $) 110)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2904 (($ (-569) (-569) $) 128)) (-2058 (($ $ (-919)) 132)) (-3449 (($ (-1 |#1| (-569)) $) 104)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) 15) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 92)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-2851 (($ $) 108)) (-1451 (($ $) 106)) (-1665 (($ (-569) (-569) $) 130)) (-1324 (($ $) 143 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 149 (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 144 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-1302 (($ $ (-569) (-569)) 114)) (-3803 (($ $ (-765)) 116)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1458 (($ $) 112)) (-1484 (((-1145 |#1|) $ |#1|) 94 (|has| |#1| (-15 ** (|#1| |#1| (-765)))))) (-2503 ((|#1| $ (-765)) 89) (($ $ $) 124 (|has| (-765) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) 101 (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) 96 (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $ (-1249 |#2|)) 97)) (-2284 (((-765) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 118)) (-3956 (((-852) $) NIL) (($ (-569)) 24) (($ (-410 (-569))) 141 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 23 (|has| |#1| (-173))) (($ (-1225 |#2| |#1|)) 79) (($ (-1249 |#2|)) 20)) (-2894 (((-1145 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) 88)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 87)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-765)) 85 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-765)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 17 T CONST)) (-3297 (($) 13 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) 100)) (-1371 (($ $ $) 18)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ |#1|) 138 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 99) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1244 |#1| |#2| |#3|) (-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1244)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-1244 *3 *4 *5)))) (-2185 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1244 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-1165)) (-14 *6 *4))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1451 (*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) (-2851 (*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) (-1582 (*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) (-1458 (*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) (-1302 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) (-1661 (*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) (-2904 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) (-1665 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
-(-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
-((-3534 (((-1 (-1145 |#1|) (-635 (-1145 |#1|))) (-1 |#2| (-635 |#2|))) 24)) (-3425 (((-1 (-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2| |#2|)) 16)) (-1364 (((-1 (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2|)) 13)) (-4523 ((|#2| (-1 |#2| |#2| |#2|) |#1| |#1|) 48)) (-3879 ((|#2| (-1 |#2| |#2|) |#1|) 46)) (-4180 ((|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|)) 54)) (-1477 (((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))) 61)) (-1297 ((|#2| |#2| |#2|) 43))) 
-(((-1245 |#1| |#2|) (-10 -7 (-15 -1364 ((-1 (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2|))) (-15 -3425 ((-1 (-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -3534 ((-1 (-1145 |#1|) (-635 (-1145 |#1|))) (-1 |#2| (-635 |#2|)))) (-15 -1297 (|#2| |#2| |#2|)) (-15 -3879 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -4523 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4180 (|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|))) (-15 -1477 ((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))))) (-43 (-410 (-569))) (-1243 |#1|)) (T -1245)) 
-((-1477 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-1 *6 (-635 *6)))) (-4 *5 (-43 (-410 (-569)))) (-4 *6 (-1243 *5)) (-5 *2 (-635 *6)) (-5 *1 (-1245 *5 *6)))) (-4180 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-635 *2))) (-5 *4 (-635 *5)) (-4 *5 (-43 (-410 (-569)))) (-4 *2 (-1243 *5)) (-5 *1 (-1245 *5 *2)))) (-4523 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1243 *4)) (-5 *1 (-1245 *4 *2)) (-4 *4 (-43 (-410 (-569)))))) (-3879 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1243 *4)) (-5 *1 (-1245 *4 *2)) (-4 *4 (-43 (-410 (-569)))))) (-1297 (*1 *2 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1245 *3 *2)) (-4 *2 (-1243 *3)))) (-3534 (*1 *2 *3) (-12 (-5 *3 (-1 *5 (-635 *5))) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-635 (-1145 *4)))) (-5 *1 (-1245 *4 *5)))) (-3425 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-1145 *4) (-1145 *4))) (-5 *1 (-1245 *4 *5)))) (-1364 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-1145 *4))) (-5 *1 (-1245 *4 *5))))) 
-(-10 -7 (-15 -1364 ((-1 (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2|))) (-15 -3425 ((-1 (-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -3534 ((-1 (-1145 |#1|) (-635 (-1145 |#1|))) (-1 |#2| (-635 |#2|)))) (-15 -1297 (|#2| |#2| |#2|)) (-15 -3879 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -4523 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4180 (|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|))) (-15 -1477 ((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))))) 
-((-3689 ((|#2| |#4| (-765)) 30)) (-3883 ((|#4| |#2|) 25)) (-2263 ((|#4| (-410 |#2|)) 51 (|has| |#1| (-559)))) (-1370 (((-1 |#4| (-635 |#4|)) |#3|) 45))) 
-(((-1246 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3883 (|#4| |#2|)) (-15 -3689 (|#2| |#4| (-765))) (-15 -1370 ((-1 |#4| (-635 |#4|)) |#3|)) (IF (|has| |#1| (-559)) (-15 -2263 (|#4| (-410 |#2|))) |noBranch|)) (-1049) (-1228 |#1|) (-647 |#2|) (-1243 |#1|)) (T -1246)) 
-((-2263 (*1 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-559)) (-4 *4 (-1049)) (-4 *2 (-1243 *4)) (-5 *1 (-1246 *4 *5 *6 *2)) (-4 *6 (-647 *5)))) (-1370 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-1228 *4)) (-5 *2 (-1 *6 (-635 *6))) (-5 *1 (-1246 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-1243 *4)))) (-3689 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-1246 *5 *2 *6 *3)) (-4 *6 (-647 *2)) (-4 *3 (-1243 *5)))) (-3883 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *3 (-1228 *4)) (-4 *2 (-1243 *4)) (-5 *1 (-1246 *4 *3 *5 *2)) (-4 *5 (-647 *3))))) 
-(-10 -7 (-15 -3883 (|#4| |#2|)) (-15 -3689 (|#2| |#4| (-765))) (-15 -1370 ((-1 |#4| (-635 |#4|)) |#3|)) (IF (|has| |#1| (-559)) (-15 -2263 (|#4| (-410 |#2|))) |noBranch|)) 
-((-4152 ((|#2| (-1 |#3| |#3|) (-635 |#1|)) 67))) 
-(((-1247 |#1| |#2| |#3|) (-10 -7 (-15 -4152 (|#2| (-1 |#3| |#3|) (-635 |#1|)))) (-366) (-1243 |#1|) (-1243 (-1159 |#1|))) (T -1247)) 
-((-4152 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-635 *5)) (-4 *5 (-366)) (-4 *6 (-1243 (-1159 *5))) (-4 *2 (-1243 *5)) (-5 *1 (-1247 *5 *2 *6))))) 
-(-10 -7 (-15 -4152 (|#2| (-1 |#3| |#3|) (-635 |#1|)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 79)) (-2185 (((-1225 |#2| |#1|) $ (-765)) 68)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) 128 (|has| |#1| (-559)))) (-3146 (($ $ (-765)) 113) (($ $ (-765) (-765)) 115)) (-3824 (((-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|))) $) 38)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|)))) 51) (($ (-1145 |#1|)) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-1661 (($ $) 119)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1595 (($ $) 126)) (-2849 (((-955 |#1|) $ (-765)) 59) (((-955 |#1|) $ (-765) (-765)) 61)) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $) NIL) (((-765) $ (-765)) NIL)) (-3934 (((-121) $) NIL)) (-1582 (($ $) 103)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2904 (($ (-569) (-569) $) 121)) (-2058 (($ $ (-919)) 125)) (-3449 (($ (-1 |#1| (-569)) $) 97)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) 12) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 85)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-2851 (($ $) 101)) (-1451 (($ $) 99)) (-1665 (($ (-569) (-569) $) 123)) (-1324 (($ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 139 (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 137 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-1302 (($ $ (-569) (-569)) 107)) (-3803 (($ $ (-765)) 109)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1458 (($ $) 105)) (-1484 (((-1145 |#1|) $ |#1|) 87 (|has| |#1| (-15 ** (|#1| |#1| (-765)))))) (-2503 ((|#1| $ (-765)) 82) (($ $ $) 117 (|has| (-765) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) 92 (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) 89 (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $ (-1249 |#2|)) 90)) (-2284 (((-765) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 111)) (-3956 (((-852) $) NIL) (($ (-569)) 18) (($ (-410 (-569))) 134 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 17 (|has| |#1| (-173))) (($ (-1225 |#2| |#1|)) 73) (($ (-1249 |#2|)) 14)) (-2894 (((-1145 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) 81)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 80)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-765)) 78 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-765)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 44 T CONST)) (-3297 (($) 9 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) 94)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ |#1|) 131 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 93) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1248 |#1| |#2|) (-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165)) (T -1248)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)))) (-2185 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1248 *4 *5)) (-4 *4 (-1049)) (-14 *5 (-1165)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)))) (-1451 (*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165)))) (-2851 (*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165)))) (-1582 (*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165)))) (-1458 (*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165)))) (-1302 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165)))) (-1661 (*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165)))) (-2904 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165)))) (-1665 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165)))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049))))) 
-(-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-1948 (((-1165)) 12)) (-2605 (((-1147) $) 17)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 11) (((-1165) $) 8)) (-1326 (((-121) $ $) 14))) 
-(((-1249 |#1|) (-13 (-1093) (-609 (-1165)) (-10 -8 (-15 -3956 ((-1165) $)) (-15 -1948 ((-1165))))) (-1165)) (T -1249)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1249 *3)) (-14 *3 *2))) (-1948 (*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1249 *3)) (-14 *3 *2)))) 
-(-13 (-1093) (-609 (-1165)) (-10 -8 (-15 -3956 ((-1165) $)) (-15 -1948 ((-1165))))) 
-((-3397 (($ (-765)) 16)) (-3410 (((-681 |#2|) $ $) 37)) (-3108 ((|#2| $) 46)) (-2718 ((|#2| $) 45)) (-4510 ((|#2| $ $) 33)) (-3617 (($ $ $) 42)) (-1377 (($ $) 20) (($ $ $) 26)) (-1371 (($ $ $) 13)) (* (($ (-569) $) 23) (($ |#2| $) 29) (($ $ |#2|) 28))) 
-(((-1250 |#1| |#2|) (-10 -8 (-15 -3108 (|#2| |#1|)) (-15 -2718 (|#2| |#1|)) (-15 -3617 (|#1| |#1| |#1|)) (-15 -3410 ((-681 |#2|) |#1| |#1|)) (-15 -4510 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -3397 (|#1| (-765))) (-15 -1371 (|#1| |#1| |#1|))) (-1251 |#2|) (-1199)) (T -1250)) 
-NIL 
-(-10 -8 (-15 -3108 (|#2| |#1|)) (-15 -2718 (|#2| |#1|)) (-15 -3617 (|#1| |#1| |#1|)) (-15 -3410 ((-681 |#2|) |#1| |#1|)) (-15 -4510 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -3397 (|#1| (-765))) (-15 -1371 (|#1| |#1| |#1|))) 
-((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3397 (($ (-765)) 105 (|has| |#1| (-23)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| |#1| (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-3988 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3410 (((-681 |#1|) $ $) 98 (|has| |#1| (-1049)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3108 ((|#1| $) 95 (-12 (|has| |#1| (-1049)) (|has| |#1| (-1004))))) (-1396 (((-121) $ (-765)) 10)) (-2718 ((|#1| $) 96 (-12 (|has| |#1| (-1049)) (|has| |#1| (-1004))))) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-4510 ((|#1| $ $) 99 (|has| |#1| (-1049)))) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-3617 (($ $ $) 97 (|has| |#1| (-1049)))) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 65)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 77 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 76 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) 78 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1377 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1371 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-569) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-718))) (($ $ |#1|) 100 (|has| |#1| (-718)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
-(((-1251 |#1|) (-1284) (-1199)) (T -1251)) 
-((-1371 (*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-25)))) (-3397 (*1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1251 *3)) (-4 *3 (-23)) (-4 *3 (-1199)))) (-1377 (*1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-21)))) (-1377 (*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-21)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1251 *3)) (-4 *3 (-1199)) (-4 *3 (-21)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-718)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-718)))) (-4510 (*1 *2 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1049)))) (-3410 (*1 *2 *1 *1) (-12 (-4 *1 (-1251 *3)) (-4 *3 (-1199)) (-4 *3 (-1049)) (-5 *2 (-681 *3)))) (-3617 (*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1049)))) (-2718 (*1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1004)) (-4 *2 (-1049)))) (-3108 (*1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1004)) (-4 *2 (-1049))))) 
-(-13 (-19 |t#1|) (-10 -8 (IF (|has| |t#1| (-25)) (-15 -1371 ($ $ $)) |noBranch|) (IF (|has| |t#1| (-23)) (-15 -3397 ($ (-765))) |noBranch|) (IF (|has| |t#1| (-21)) (PROGN (-15 -1377 ($ $)) (-15 -1377 ($ $ $)) (-15 * ($ (-569) $))) |noBranch|) (IF (|has| |t#1| (-718)) (PROGN (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-1049)) (PROGN (-15 -4510 (|t#1| $ $)) (-15 -3410 ((-681 |t#1|) $ $)) (-15 -3617 ($ $ $))) |noBranch|) (IF (|has| |t#1| (-1004)) (IF (|has| |t#1| (-1049)) (PROGN (-15 -2718 (|t#1| $)) (-15 -3108 (|t#1| $))) |noBranch|) |noBranch|))) 
-(((-39) . T) ((-105) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-609 (-852)) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-19 |#1|) . T) ((-844) |has| |#1| (-844)) ((-1093) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-1199) . T)) 
-((-2247 (((-1253 |#2|) (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|) 13)) (-2793 ((|#2| (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|) 15)) (-4188 (((-3 (-1253 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1253 |#1|)) 28) (((-1253 |#2|) (-1 |#2| |#1|) (-1253 |#1|)) 18))) 
-(((-1252 |#1| |#2|) (-10 -7 (-15 -2247 ((-1253 |#2|) (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|)) (-15 -4188 ((-1253 |#2|) (-1 |#2| |#1|) (-1253 |#1|))) (-15 -4188 ((-3 (-1253 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1253 |#1|)))) (-1199) (-1199)) (T -1252)) 
-((-4188 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1253 *6)) (-5 *1 (-1252 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1253 *6)) (-5 *1 (-1252 *5 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-1252 *5 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1253 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-1253 *5)) (-5 *1 (-1252 *6 *5))))) 
-(-10 -7 (-15 -2247 ((-1253 |#2|) (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|)) (-15 -4188 ((-1253 |#2|) (-1 |#2| |#1|) (-1253 |#1|))) (-15 -4188 ((-3 (-1253 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1253 |#1|)))) 
-((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765)) NIL (|has| |#1| (-23)))) (-3311 (($ (-635 |#1|)) 9)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) 15 (|has| $ (-6 -4571)))) (-3410 (((-681 |#1|) $ $) NIL (|has| |#1| (-1049)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3108 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-1396 (((-121) $ (-765)) NIL)) (-2718 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-4510 ((|#1| $ $) NIL (|has| |#1| (-1049)))) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-3617 (($ $ $) NIL (|has| |#1| (-1049)))) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) 19 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 8)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1377 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1371 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-718))) (($ $ |#1|) NIL (|has| |#1| (-718)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1253 |#1|) (-13 (-1251 |#1|) (-10 -8 (-15 -3311 ($ (-635 |#1|))))) (-1199)) (T -1253)) 
-((-3311 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1253 *3))))) 
-(-13 (-1251 |#1|) (-10 -8 (-15 -3311 ($ (-635 |#1|))))) 
-((-1310 (((-121) $ $) NIL)) (-3792 (((-1147) $ (-1147)) 87) (((-1147) $ (-1147) (-1147)) 85) (((-1147) $ (-1147) (-635 (-1147))) 84)) (-3349 (($) 56)) (-2829 (((-1258) $ (-474) (-919)) 42)) (-2175 (((-1258) $ (-919) (-1147)) 70) (((-1258) $ (-919) (-871)) 71)) (-2512 (((-1258) $ (-919) (-382) (-382)) 45)) (-3301 (((-1258) $ (-1147)) 66)) (-3242 (((-1258) $ (-919) (-1147)) 75)) (-3402 (((-1258) $ (-919) (-382) (-382)) 46)) (-1507 (((-1258) $ (-919) (-919)) 43)) (-3786 (((-1258) $) 67)) (-1384 (((-1258) $ (-919) (-1147)) 74)) (-1446 (((-1258) $ (-474) (-919)) 30)) (-2316 (((-1258) $ (-919) (-1147)) 73)) (-1523 (((-635 (-257)) $) 22) (($ $ (-635 (-257))) 23)) (-2321 (((-1258) $ (-765) (-765)) 40)) (-4371 (($ $) 57) (($ (-474) (-635 (-257))) 58)) (-2605 (((-1147) $) NIL)) (-3335 (((-569) $) 37)) (-1912 (((-1111) $) NIL)) (-3325 (((-1253 (-3 (-474) "undefined")) $) 36)) (-2924 (((-1253 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2316 (-569)) (|:| -1742 (-569)) (|:| |spline| (-569)) (|:| -3296 (-569)) (|:| |axesColor| (-871)) (|:| -2175 (-569)) (|:| |unitsColor| (-871)) (|:| |showing| (-569)))) $) 35)) (-4233 (((-1258) $ (-919) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-871) (-569) (-871) (-569)) 65)) (-4216 (((-635 (-946 (-216))) $) NIL)) (-3586 (((-474) $ (-919)) 32)) (-4077 (((-1258) $ (-765) (-765) (-919) (-919)) 39)) (-1944 (((-1258) $ (-1147)) 76)) (-1742 (((-1258) $ (-919) (-1147)) 72)) (-3956 (((-852) $) 82)) (-2412 (((-1258) $) 77)) (-3296 (((-1258) $ (-919) (-1147)) 68) (((-1258) $ (-919) (-871)) 69)) (-1326 (((-121) $ $) NIL))) 
-(((-1254) (-13 (-1093) (-10 -8 (-15 -4216 ((-635 (-946 (-216))) $)) (-15 -3349 ($)) (-15 -4371 ($ $)) (-15 -1523 ((-635 (-257)) $)) (-15 -1523 ($ $ (-635 (-257)))) (-15 -4371 ($ (-474) (-635 (-257)))) (-15 -4233 ((-1258) $ (-919) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-871) (-569) (-871) (-569))) (-15 -2924 ((-1253 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2316 (-569)) (|:| -1742 (-569)) (|:| |spline| (-569)) (|:| -3296 (-569)) (|:| |axesColor| (-871)) (|:| -2175 (-569)) (|:| |unitsColor| (-871)) (|:| |showing| (-569)))) $)) (-15 -3325 ((-1253 (-3 (-474) "undefined")) $)) (-15 -3301 ((-1258) $ (-1147))) (-15 -1446 ((-1258) $ (-474) (-919))) (-15 -3586 ((-474) $ (-919))) (-15 -3296 ((-1258) $ (-919) (-1147))) (-15 -3296 ((-1258) $ (-919) (-871))) (-15 -2175 ((-1258) $ (-919) (-1147))) (-15 -2175 ((-1258) $ (-919) (-871))) (-15 -2316 ((-1258) $ (-919) (-1147))) (-15 -1384 ((-1258) $ (-919) (-1147))) (-15 -1742 ((-1258) $ (-919) (-1147))) (-15 -1944 ((-1258) $ (-1147))) (-15 -2412 ((-1258) $)) (-15 -4077 ((-1258) $ (-765) (-765) (-919) (-919))) (-15 -3402 ((-1258) $ (-919) (-382) (-382))) (-15 -2512 ((-1258) $ (-919) (-382) (-382))) (-15 -3242 ((-1258) $ (-919) (-1147))) (-15 -2321 ((-1258) $ (-765) (-765))) (-15 -2829 ((-1258) $ (-474) (-919))) (-15 -1507 ((-1258) $ (-919) (-919))) (-15 -3792 ((-1147) $ (-1147))) (-15 -3792 ((-1147) $ (-1147) (-1147))) (-15 -3792 ((-1147) $ (-1147) (-635 (-1147)))) (-15 -3786 ((-1258) $)) (-15 -3335 ((-569) $)) (-15 -3956 ((-852) $))))) (T -1254)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1254)))) (-4216 (*1 *2 *1) (-12 (-5 *2 (-635 (-946 (-216)))) (-5 *1 (-1254)))) (-3349 (*1 *1) (-5 *1 (-1254))) (-4371 (*1 *1 *1) (-5 *1 (-1254))) (-1523 (*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1254)))) (-1523 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1254)))) (-4371 (*1 *1 *2 *3) (-12 (-5 *2 (-474)) (-5 *3 (-635 (-257))) (-5 *1 (-1254)))) (-4233 (*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-919)) (-5 *4 (-216)) (-5 *5 (-569)) (-5 *6 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2924 (*1 *2 *1) (-12 (-5 *2 (-1253 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2316 (-569)) (|:| -1742 (-569)) (|:| |spline| (-569)) (|:| -3296 (-569)) (|:| |axesColor| (-871)) (|:| -2175 (-569)) (|:| |unitsColor| (-871)) (|:| |showing| (-569))))) (-5 *1 (-1254)))) (-3325 (*1 *2 *1) (-12 (-5 *2 (-1253 (-3 (-474) "undefined"))) (-5 *1 (-1254)))) (-3301 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-1446 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3586 (*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-474)) (-5 *1 (-1254)))) (-3296 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3296 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2175 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2175 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2316 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-1384 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-1742 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-1944 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2412 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1254)))) (-4077 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-765)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3402 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-919)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2512 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-919)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3242 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2321 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2829 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-1507 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3792 (*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1254)))) (-3792 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1254)))) (-3792 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-1254)))) (-3786 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1254))))) 
-(-13 (-1093) (-10 -8 (-15 -4216 ((-635 (-946 (-216))) $)) (-15 -3349 ($)) (-15 -4371 ($ $)) (-15 -1523 ((-635 (-257)) $)) (-15 -1523 ($ $ (-635 (-257)))) (-15 -4371 ($ (-474) (-635 (-257)))) (-15 -4233 ((-1258) $ (-919) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-871) (-569) (-871) (-569))) (-15 -2924 ((-1253 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2316 (-569)) (|:| -1742 (-569)) (|:| |spline| (-569)) (|:| -3296 (-569)) (|:| |axesColor| (-871)) (|:| -2175 (-569)) (|:| |unitsColor| (-871)) (|:| |showing| (-569)))) $)) (-15 -3325 ((-1253 (-3 (-474) "undefined")) $)) (-15 -3301 ((-1258) $ (-1147))) (-15 -1446 ((-1258) $ (-474) (-919))) (-15 -3586 ((-474) $ (-919))) (-15 -3296 ((-1258) $ (-919) (-1147))) (-15 -3296 ((-1258) $ (-919) (-871))) (-15 -2175 ((-1258) $ (-919) (-1147))) (-15 -2175 ((-1258) $ (-919) (-871))) (-15 -2316 ((-1258) $ (-919) (-1147))) (-15 -1384 ((-1258) $ (-919) (-1147))) (-15 -1742 ((-1258) $ (-919) (-1147))) (-15 -1944 ((-1258) $ (-1147))) (-15 -2412 ((-1258) $)) (-15 -4077 ((-1258) $ (-765) (-765) (-919) (-919))) (-15 -3402 ((-1258) $ (-919) (-382) (-382))) (-15 -2512 ((-1258) $ (-919) (-382) (-382))) (-15 -3242 ((-1258) $ (-919) (-1147))) (-15 -2321 ((-1258) $ (-765) (-765))) (-15 -2829 ((-1258) $ (-474) (-919))) (-15 -1507 ((-1258) $ (-919) (-919))) (-15 -3792 ((-1147) $ (-1147))) (-15 -3792 ((-1147) $ (-1147) (-1147))) (-15 -3792 ((-1147) $ (-1147) (-635 (-1147)))) (-15 -3786 ((-1258) $)) (-15 -3335 ((-569) $)) (-15 -3956 ((-852) $)))) 
-((-1310 (((-121) $ $) NIL)) (-1908 (((-1258) $ (-382)) 138) (((-1258) $ (-382) (-382) (-382)) 139)) (-3792 (((-1147) $ (-1147)) 146) (((-1147) $ (-1147) (-1147)) 144) (((-1147) $ (-1147) (-635 (-1147))) 143)) (-1340 (($) 49)) (-3818 (((-1258) $ (-382) (-382) (-382) (-382) (-382)) 114) (((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $) 112) (((-1258) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 113) (((-1258) $ (-569) (-569) (-382) (-382) (-382)) 115) (((-1258) $ (-382) (-382)) 116) (((-1258) $ (-382) (-382) (-382)) 123)) (-2449 (((-382)) 96) (((-382) (-382)) 97)) (-2070 (((-382)) 91) (((-382) (-382)) 93)) (-4203 (((-382)) 94) (((-382) (-382)) 95)) (-3029 (((-382)) 100) (((-382) (-382)) 101)) (-2911 (((-382)) 98) (((-382) (-382)) 99)) (-2512 (((-1258) $ (-382) (-382)) 140)) (-3301 (((-1258) $ (-1147)) 124)) (-2215 (((-1124 (-216)) $) 50) (($ $ (-1124 (-216))) 51)) (-1597 (((-1258) $ (-1147)) 152)) (-2935 (((-1258) $ (-1147)) 153)) (-2951 (((-1258) $ (-382) (-382)) 122) (((-1258) $ (-569) (-569)) 137)) (-1507 (((-1258) $ (-919) (-919)) 130)) (-3786 (((-1258) $) 110)) (-1856 (((-1258) $ (-1147)) 151)) (-4436 (((-1258) $ (-1147)) 107)) (-1523 (((-635 (-257)) $) 52) (($ $ (-635 (-257))) 53)) (-2321 (((-1258) $ (-765) (-765)) 129)) (-2881 (((-1258) $ (-765) (-946 (-216))) 158)) (-1519 (($ $) 56) (($ (-1124 (-216)) (-1147)) 57) (($ (-1124 (-216)) (-635 (-257))) 58)) (-3954 (((-1258) $ (-382) (-382) (-382)) 104)) (-2605 (((-1147) $) NIL)) (-3335 (((-569) $) 102)) (-2854 (((-1258) $ (-382)) 141)) (-3326 (((-1258) $ (-382)) 156)) (-1912 (((-1111) $) NIL)) (-1950 (((-1258) $ (-382)) 155)) (-2973 (((-1258) $ (-1147)) 109)) (-4077 (((-1258) $ (-765) (-765) (-919) (-919)) 128)) (-4240 (((-1258) $ (-1147)) 106)) (-1944 (((-1258) $ (-1147)) 108)) (-3527 (((-1258) $ (-159) (-159)) 127)) (-3956 (((-852) $) 135)) (-2412 (((-1258) $) 111)) (-2295 (((-1258) $ (-1147)) 154)) (-3296 (((-1258) $ (-1147)) 105)) (-1326 (((-121) $ $) NIL))) 
-(((-1255) (-13 (-1093) (-10 -8 (-15 -2070 ((-382))) (-15 -2070 ((-382) (-382))) (-15 -4203 ((-382))) (-15 -4203 ((-382) (-382))) (-15 -2449 ((-382))) (-15 -2449 ((-382) (-382))) (-15 -2911 ((-382))) (-15 -2911 ((-382) (-382))) (-15 -3029 ((-382))) (-15 -3029 ((-382) (-382))) (-15 -1340 ($)) (-15 -1519 ($ $)) (-15 -1519 ($ (-1124 (-216)) (-1147))) (-15 -1519 ($ (-1124 (-216)) (-635 (-257)))) (-15 -2215 ((-1124 (-216)) $)) (-15 -2215 ($ $ (-1124 (-216)))) (-15 -2881 ((-1258) $ (-765) (-946 (-216)))) (-15 -1523 ((-635 (-257)) $)) (-15 -1523 ($ $ (-635 (-257)))) (-15 -2321 ((-1258) $ (-765) (-765))) (-15 -1507 ((-1258) $ (-919) (-919))) (-15 -3301 ((-1258) $ (-1147))) (-15 -4077 ((-1258) $ (-765) (-765) (-919) (-919))) (-15 -3818 ((-1258) $ (-382) (-382) (-382) (-382) (-382))) (-15 -3818 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $)) (-15 -3818 ((-1258) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3818 ((-1258) $ (-569) (-569) (-382) (-382) (-382))) (-15 -3818 ((-1258) $ (-382) (-382))) (-15 -3818 ((-1258) $ (-382) (-382) (-382))) (-15 -1944 ((-1258) $ (-1147))) (-15 -3296 ((-1258) $ (-1147))) (-15 -4240 ((-1258) $ (-1147))) (-15 -4436 ((-1258) $ (-1147))) (-15 -2973 ((-1258) $ (-1147))) (-15 -2951 ((-1258) $ (-382) (-382))) (-15 -2951 ((-1258) $ (-569) (-569))) (-15 -1908 ((-1258) $ (-382))) (-15 -1908 ((-1258) $ (-382) (-382) (-382))) (-15 -2512 ((-1258) $ (-382) (-382))) (-15 -1856 ((-1258) $ (-1147))) (-15 -1950 ((-1258) $ (-382))) (-15 -3326 ((-1258) $ (-382))) (-15 -1597 ((-1258) $ (-1147))) (-15 -2935 ((-1258) $ (-1147))) (-15 -2295 ((-1258) $ (-1147))) (-15 -3954 ((-1258) $ (-382) (-382) (-382))) (-15 -2854 ((-1258) $ (-382))) (-15 -3786 ((-1258) $)) (-15 -3527 ((-1258) $ (-159) (-159))) (-15 -3792 ((-1147) $ (-1147))) (-15 -3792 ((-1147) $ (-1147) (-1147))) (-15 -3792 ((-1147) $ (-1147) (-635 (-1147)))) (-15 -2412 ((-1258) $)) (-15 -3335 ((-569) $))))) (T -1255)) 
-((-2070 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-2070 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-4203 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-4203 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-2449 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-2449 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-2911 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-2911 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-3029 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-3029 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-1340 (*1 *1) (-5 *1 (-1255))) (-1519 (*1 *1 *1) (-5 *1 (-1255))) (-1519 (*1 *1 *2 *3) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-1147)) (-5 *1 (-1255)))) (-1519 (*1 *1 *2 *3) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-635 (-257))) (-5 *1 (-1255)))) (-2215 (*1 *2 *1) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1255)))) (-2215 (*1 *1 *1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1255)))) (-2881 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1523 (*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1255)))) (-1523 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1255)))) (-2321 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1507 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3301 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-4077 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-765)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3818 (*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3818 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-1255)))) (-3818 (*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3818 (*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-569)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3818 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3818 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1944 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3296 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-4240 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-4436 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2973 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2951 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2951 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1908 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1908 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2512 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1856 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1950 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3326 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1597 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2935 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2295 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3954 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2854 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3786 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3527 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-159)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3792 (*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1255)))) (-3792 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1255)))) (-3792 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-1255)))) (-2412 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1255))))) 
-(-13 (-1093) (-10 -8 (-15 -2070 ((-382))) (-15 -2070 ((-382) (-382))) (-15 -4203 ((-382))) (-15 -4203 ((-382) (-382))) (-15 -2449 ((-382))) (-15 -2449 ((-382) (-382))) (-15 -2911 ((-382))) (-15 -2911 ((-382) (-382))) (-15 -3029 ((-382))) (-15 -3029 ((-382) (-382))) (-15 -1340 ($)) (-15 -1519 ($ $)) (-15 -1519 ($ (-1124 (-216)) (-1147))) (-15 -1519 ($ (-1124 (-216)) (-635 (-257)))) (-15 -2215 ((-1124 (-216)) $)) (-15 -2215 ($ $ (-1124 (-216)))) (-15 -2881 ((-1258) $ (-765) (-946 (-216)))) (-15 -1523 ((-635 (-257)) $)) (-15 -1523 ($ $ (-635 (-257)))) (-15 -2321 ((-1258) $ (-765) (-765))) (-15 -1507 ((-1258) $ (-919) (-919))) (-15 -3301 ((-1258) $ (-1147))) (-15 -4077 ((-1258) $ (-765) (-765) (-919) (-919))) (-15 -3818 ((-1258) $ (-382) (-382) (-382) (-382) (-382))) (-15 -3818 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $)) (-15 -3818 ((-1258) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3818 ((-1258) $ (-569) (-569) (-382) (-382) (-382))) (-15 -3818 ((-1258) $ (-382) (-382))) (-15 -3818 ((-1258) $ (-382) (-382) (-382))) (-15 -1944 ((-1258) $ (-1147))) (-15 -3296 ((-1258) $ (-1147))) (-15 -4240 ((-1258) $ (-1147))) (-15 -4436 ((-1258) $ (-1147))) (-15 -2973 ((-1258) $ (-1147))) (-15 -2951 ((-1258) $ (-382) (-382))) (-15 -2951 ((-1258) $ (-569) (-569))) (-15 -1908 ((-1258) $ (-382))) (-15 -1908 ((-1258) $ (-382) (-382) (-382))) (-15 -2512 ((-1258) $ (-382) (-382))) (-15 -1856 ((-1258) $ (-1147))) (-15 -1950 ((-1258) $ (-382))) (-15 -3326 ((-1258) $ (-382))) (-15 -1597 ((-1258) $ (-1147))) (-15 -2935 ((-1258) $ (-1147))) (-15 -2295 ((-1258) $ (-1147))) (-15 -3954 ((-1258) $ (-382) (-382) (-382))) (-15 -2854 ((-1258) $ (-382))) (-15 -3786 ((-1258) $)) (-15 -3527 ((-1258) $ (-159) (-159))) (-15 -3792 ((-1147) $ (-1147))) (-15 -3792 ((-1147) $ (-1147) (-1147))) (-15 -3792 ((-1147) $ (-1147) (-635 (-1147)))) (-15 -2412 ((-1258) $)) (-15 -3335 ((-569) $)))) 
-((-3871 (((-635 (-1147)) (-635 (-1147))) 94) (((-635 (-1147))) 89)) (-3327 (((-635 (-1147))) 87)) (-2789 (((-635 (-919)) (-635 (-919))) 62) (((-635 (-919))) 59)) (-2240 (((-635 (-765)) (-635 (-765))) 56) (((-635 (-765))) 52)) (-3910 (((-1258)) 64)) (-3070 (((-919) (-919)) 80) (((-919)) 79)) (-3095 (((-919) (-919)) 78) (((-919)) 77)) (-4076 (((-871) (-871)) 74) (((-871)) 73)) (-3079 (((-216)) 84) (((-216) (-382)) 86)) (-3040 (((-919)) 81) (((-919) (-919)) 82)) (-1476 (((-919) (-919)) 76) (((-919)) 75)) (-4265 (((-871) (-871)) 68) (((-871)) 66)) (-4534 (((-871) (-871)) 70) (((-871)) 69)) (-4373 (((-871) (-871)) 72) (((-871)) 71))) 
-(((-1256) (-10 -7 (-15 -4265 ((-871))) (-15 -4265 ((-871) (-871))) (-15 -4534 ((-871))) (-15 -4534 ((-871) (-871))) (-15 -4373 ((-871))) (-15 -4373 ((-871) (-871))) (-15 -4076 ((-871))) (-15 -4076 ((-871) (-871))) (-15 -1476 ((-919))) (-15 -1476 ((-919) (-919))) (-15 -2240 ((-635 (-765)))) (-15 -2240 ((-635 (-765)) (-635 (-765)))) (-15 -2789 ((-635 (-919)))) (-15 -2789 ((-635 (-919)) (-635 (-919)))) (-15 -3910 ((-1258))) (-15 -3871 ((-635 (-1147)))) (-15 -3871 ((-635 (-1147)) (-635 (-1147)))) (-15 -3327 ((-635 (-1147)))) (-15 -3095 ((-919))) (-15 -3070 ((-919))) (-15 -3095 ((-919) (-919))) (-15 -3070 ((-919) (-919))) (-15 -3040 ((-919) (-919))) (-15 -3040 ((-919))) (-15 -3079 ((-216) (-382))) (-15 -3079 ((-216))))) (T -1256)) 
-((-3079 (*1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-1256)))) (-3079 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-1256)))) (-3040 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3040 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3070 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3095 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3070 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3095 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3327 (*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256)))) (-3871 (*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256)))) (-3871 (*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256)))) (-3910 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1256)))) (-2789 (*1 *2 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1256)))) (-2789 (*1 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1256)))) (-2240 (*1 *2 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1256)))) (-2240 (*1 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1256)))) (-1476 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-1476 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-4076 (*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4076 (*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4373 (*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4373 (*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4534 (*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4534 (*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4265 (*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4265 (*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256))))) 
-(-10 -7 (-15 -4265 ((-871))) (-15 -4265 ((-871) (-871))) (-15 -4534 ((-871))) (-15 -4534 ((-871) (-871))) (-15 -4373 ((-871))) (-15 -4373 ((-871) (-871))) (-15 -4076 ((-871))) (-15 -4076 ((-871) (-871))) (-15 -1476 ((-919))) (-15 -1476 ((-919) (-919))) (-15 -2240 ((-635 (-765)))) (-15 -2240 ((-635 (-765)) (-635 (-765)))) (-15 -2789 ((-635 (-919)))) (-15 -2789 ((-635 (-919)) (-635 (-919)))) (-15 -3910 ((-1258))) (-15 -3871 ((-635 (-1147)))) (-15 -3871 ((-635 (-1147)) (-635 (-1147)))) (-15 -3327 ((-635 (-1147)))) (-15 -3095 ((-919))) (-15 -3070 ((-919))) (-15 -3095 ((-919) (-919))) (-15 -3070 ((-919) (-919))) (-15 -3040 ((-919) (-919))) (-15 -3040 ((-919))) (-15 -3079 ((-216) (-382))) (-15 -3079 ((-216)))) 
-((-3779 (((-474) (-635 (-635 (-946 (-216)))) (-635 (-257))) 17) (((-474) (-635 (-635 (-946 (-216))))) 16) (((-474) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257))) 15)) (-4537 (((-1254) (-635 (-635 (-946 (-216)))) (-635 (-257))) 23) (((-1254) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257))) 22)) (-3956 (((-1254) (-474)) 34))) 
-(((-1257) (-10 -7 (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257)))) (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))))) (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))) (-635 (-257)))) (-15 -4537 ((-1254) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257)))) (-15 -4537 ((-1254) (-635 (-635 (-946 (-216)))) (-635 (-257)))) (-15 -3956 ((-1254) (-474))))) (T -1257)) 
-((-3956 (*1 *2 *3) (-12 (-5 *3 (-474)) (-5 *2 (-1254)) (-5 *1 (-1257)))) (-4537 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-1257)))) (-4537 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *6 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-1257)))) (-3779 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1257)))) (-3779 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-474)) (-5 *1 (-1257)))) (-3779 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *6 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1257))))) 
-(-10 -7 (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257)))) (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))))) (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))) (-635 (-257)))) (-15 -4537 ((-1254) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257)))) (-15 -4537 ((-1254) (-635 (-635 (-946 (-216)))) (-635 (-257)))) (-15 -3956 ((-1254) (-474)))) 
-((-2667 (($) 7)) (-3956 (((-852) $) 10))) 
-(((-1258) (-10 -8 (-15 -2667 ($)) (-15 -3956 ((-852) $)))) (T -1258)) 
-((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1258)))) (-2667 (*1 *1) (-5 *1 (-1258)))) 
-(-10 -8 (-15 -2667 ($)) (-15 -3956 ((-852) $))) 
-((-1383 (($ $ |#2|) 10))) 
-(((-1259 |#1| |#2|) (-10 -8 (-15 -1383 (|#1| |#1| |#2|))) (-1260 |#2|) (-366)) (T -1259)) 
-NIL 
-(-10 -8 (-15 -1383 (|#1| |#1| |#2|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2174 (((-140)) 25)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 26)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-1260 |#1|) (-1284) (-366)) (T -1260)) 
-((-1383 (*1 *1 *1 *2) (-12 (-4 *1 (-1260 *2)) (-4 *2 (-366)))) (-2174 (*1 *2) (-12 (-4 *1 (-1260 *3)) (-4 *3 (-366)) (-5 *2 (-140))))) 
-(-13 (-709 |t#1|) (-10 -8 (-15 -1383 ($ $ |t#1|)) (-15 -2174 ((-140))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-709 |#1|) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
-((-3011 (((-635 (-1194 |#1|)) (-1165) (-1194 |#1|)) 78)) (-2053 (((-1145 (-1145 (-955 |#1|))) (-1165) (-1145 (-955 |#1|))) 57)) (-1933 (((-1 (-1145 (-1194 |#1|)) (-1145 (-1194 |#1|))) (-765) (-1194 |#1|) (-1145 (-1194 |#1|))) 68)) (-2322 (((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765)) 59)) (-3998 (((-1 (-1161 (-955 |#1|)) (-955 |#1|)) (-1165)) 27)) (-1942 (((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765)) 58))) 
-(((-1261 |#1|) (-10 -7 (-15 -2322 ((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765))) (-15 -1942 ((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765))) (-15 -2053 ((-1145 (-1145 (-955 |#1|))) (-1165) (-1145 (-955 |#1|)))) (-15 -3998 ((-1 (-1161 (-955 |#1|)) (-955 |#1|)) (-1165))) (-15 -3011 ((-635 (-1194 |#1|)) (-1165) (-1194 |#1|))) (-15 -1933 ((-1 (-1145 (-1194 |#1|)) (-1145 (-1194 |#1|))) (-765) (-1194 |#1|) (-1145 (-1194 |#1|))))) (-366)) (T -1261)) 
-((-1933 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-765)) (-4 *6 (-366)) (-5 *4 (-1194 *6)) (-5 *2 (-1 (-1145 *4) (-1145 *4))) (-5 *1 (-1261 *6)) (-5 *5 (-1145 *4)))) (-3011 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-4 *5 (-366)) (-5 *2 (-635 (-1194 *5))) (-5 *1 (-1261 *5)) (-5 *4 (-1194 *5)))) (-3998 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-1161 (-955 *4)) (-955 *4))) (-5 *1 (-1261 *4)) (-4 *4 (-366)))) (-2053 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-4 *5 (-366)) (-5 *2 (-1145 (-1145 (-955 *5)))) (-5 *1 (-1261 *5)) (-5 *4 (-1145 (-955 *5))))) (-1942 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-1145 (-955 *4)) (-1145 (-955 *4)))) (-5 *1 (-1261 *4)) (-4 *4 (-366)))) (-2322 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-1145 (-955 *4)) (-1145 (-955 *4)))) (-5 *1 (-1261 *4)) (-4 *4 (-366))))) 
-(-10 -7 (-15 -2322 ((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765))) (-15 -1942 ((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765))) (-15 -2053 ((-1145 (-1145 (-955 |#1|))) (-1165) (-1145 (-955 |#1|)))) (-15 -3998 ((-1 (-1161 (-955 |#1|)) (-955 |#1|)) (-1165))) (-15 -3011 ((-635 (-1194 |#1|)) (-1165) (-1194 |#1|))) (-15 -1933 ((-1 (-1145 (-1194 |#1|)) (-1145 (-1194 |#1|))) (-765) (-1194 |#1|) (-1145 (-1194 |#1|))))) 
-((-4356 (((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|) 74)) (-1629 (((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) 73))) 
-(((-1262 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|))) (-351) (-1228 |#1|) (-1228 |#2|) (-412 |#2| |#3|)) (T -1262)) 
-((-4356 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-1262 *4 *3 *5 *6)) (-4 *6 (-412 *3 *5)))) (-1629 (*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -4079 (-681 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-681 *4)))) (-5 *1 (-1262 *3 *4 *5 *6)) (-4 *6 (-412 *4 *5))))) 
-(-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 41)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 62) (($ (-569)) NIL) ((|#4| $) 52) (($ |#4|) 47) (($ |#1|) NIL (|has| |#1| (-173)))) (-2320 (((-765)) NIL)) (-3696 (((-1258) (-765)) 16)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 26 T CONST)) (-3297 (($) 65 T CONST)) (-1326 (((-121) $ $) 67)) (-1383 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) 69) (($ $ $) NIL)) (-1371 (($ $ $) 45)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 71) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
-(((-1263 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-13 (-1049) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 (|#4| $)) (IF (|has| |#1| (-366)) (-15 -1383 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3956 ($ |#4|)) (-15 -3696 ((-1258) (-765))))) (-1049) (-844) (-790) (-952 |#1| |#3| |#2|) (-635 |#2|) (-635 (-765)) (-765)) (T -1263)) 
-((-3956 (*1 *2 *1) (-12 (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-1263 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-14 *6 (-635 *4)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) (-1383 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-366)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-790)) (-14 *6 (-635 *3)) (-5 *1 (-1263 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-952 *2 *4 *3)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-14 *6 (-635 *4)) (-5 *1 (-1263 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-952 *3 *5 *4)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) (-3696 (*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-14 *8 (-635 *5)) (-5 *2 (-1258)) (-5 *1 (-1263 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-952 *4 *6 *5)) (-14 *9 (-635 *3)) (-14 *10 *3)))) 
-(-13 (-1049) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 (|#4| $)) (IF (|has| |#1| (-366)) (-15 -1383 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3956 ($ |#4|)) (-15 -3696 ((-1258) (-765))))) 
-((-1310 (((-121) $ $) NIL)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) NIL)) (-3202 (((-635 $) (-635 |#4|)) 87)) (-3195 (((-635 |#3|) $) NIL)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1815 ((|#4| |#4| $) NIL)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) NIL)) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) NIL (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 27)) (-3279 (((-635 |#4|) (-635 |#4|) $) 24 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) NIL)) (-1321 (($ (-635 |#4|)) NIL)) (-1864 (((-3 $ "failed") $) 69)) (-3562 ((|#4| |#4| $) 74)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-3503 (($ |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-4417 ((|#4| |#4| $) NIL)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) NIL)) (-4303 (((-635 |#4|) $) NIL (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1473 ((|#3| $) 75)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#4|) $) 28 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-4055 (((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 31) (((-3 $ "failed") (-635 |#4|)) 34)) (-2089 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) NIL)) (-3069 (((-635 |#3|) $) NIL)) (-2107 (((-121) |#3| $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-3302 (((-3 |#4| "failed") $) NIL)) (-1536 (((-635 |#4|) $) 49)) (-2114 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2709 ((|#4| |#4| $) 73)) (-1861 (((-121) $ $) 84)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1910 ((|#4| |#4| $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-3 |#4| "failed") $) 68)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4300 (((-3 $ "failed") $ |#4|) NIL)) (-3803 (($ $ |#4|) NIL)) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 66)) (-4016 (($) 41)) (-2284 (((-765) $) NIL)) (-2691 (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) NIL)) (-2201 (($ $ |#3|) NIL)) (-4081 (($ $ |#3|) NIL)) (-2406 (($ $) NIL)) (-2239 (($ $ |#3|) NIL)) (-3956 (((-852) $) NIL) (((-635 |#4|) $) 56)) (-1448 (((-765) $) NIL (|has| |#3| (-371)))) (-3953 (((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 39) (((-3 $ "failed") (-635 |#4|)) 40)) (-2258 (((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 64) (((-635 $) (-635 |#4|)) 65)) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 23) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) NIL)) (-3345 (((-121) |#3| $) NIL)) (-1326 (((-121) $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
-(((-1264 |#1| |#2| |#3| |#4|) (-13 (-1193 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4055 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -4055 ((-3 $ "failed") (-635 |#4|))) (-15 -3953 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3953 ((-3 $ "failed") (-635 |#4|))) (-15 -2258 ((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2258 ((-635 $) (-635 |#4|))))) (-559) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -1264)) 
-((-4055 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1264 *5 *6 *7 *8)))) (-4055 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1264 *3 *4 *5 *6)))) (-3953 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1264 *5 *6 *7 *8)))) (-3953 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1264 *3 *4 *5 *6)))) (-2258 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-635 (-1264 *6 *7 *8 *9))) (-5 *1 (-1264 *6 *7 *8 *9)))) (-2258 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-1264 *4 *5 *6 *7))) (-5 *1 (-1264 *4 *5 *6 *7))))) 
-(-13 (-1193 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4055 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -4055 ((-3 $ "failed") (-635 |#4|))) (-15 -3953 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3953 ((-3 $ "failed") (-635 |#4|))) (-15 -2258 ((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2258 ((-635 $) (-635 |#4|))))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 37)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 39) (($ |#1| $) 38))) 
-(((-1265 |#1|) (-1284) (-1049)) (T -1265)) 
-((-3956 (*1 *1 *2) (-12 (-4 *1 (-1265 *2)) (-4 *2 (-1049))))) 
-(-13 (-1049) (-120 |t#1| |t#1|) (-10 -8 (-15 -3956 ($ |t#1|)) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) |has| |#1| (-173)) ((-718) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3810 (((-635 |#1|) $) 45)) (-4480 (($ $ (-765)) 39)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3158 (($ $ (-765)) 17 (|has| |#2| (-173))) (($ $ $) 18 (|has| |#2| (-173)))) (-4483 (($) NIL T CONST)) (-2368 (($ $ $) 61) (($ $ (-816 |#1|)) 48) (($ $ |#1|) 52)) (-3003 (((-3 (-816 |#1|) "failed") $) NIL)) (-1321 (((-816 |#1|) $) NIL)) (-3373 (($ $) 32)) (-2611 (((-3 $ "failed") $) NIL)) (-2025 (((-121) $) NIL)) (-3150 (($ $) NIL)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ (-816 |#1|) |#2|) 31)) (-2745 (($ $) 33)) (-1999 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) 11)) (-3548 (((-816 |#1|) $) NIL)) (-2995 (((-816 |#1|) $) 34)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3927 (($ $ $) 60) (($ $ (-816 |#1|)) 50) (($ $ |#1|) 54)) (-2210 (((-635 (-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|))) $) NIL)) (-2133 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3263 (((-816 |#1|) $) 28)) (-3270 ((|#2| $) 30)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2284 (((-765) $) 36)) (-1894 (((-121) $) 40)) (-3575 ((|#2| $) NIL)) (-3956 (((-852) $) NIL) (($ (-816 |#1|)) 24) (($ |#1|) 25) (($ |#2|) NIL) (($ (-569)) NIL)) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-816 |#1|)) NIL)) (-3550 ((|#2| $ $) 63) ((|#2| $ (-816 |#1|)) NIL)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) 12 T CONST)) (-3297 (($) 14 T CONST)) (-1326 (((-121) $ $) 38)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 21)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#2| $) 20) (($ $ |#2|) 59) (($ |#2| (-816 |#1|)) NIL) (($ |#1| $) 27) (($ $ $) NIL))) 
-(((-1266 |#1| |#2|) (-13 (-385 |#2| (-816 |#1|)) (-1272 |#1| |#2|)) (-844) (-1049)) (T -1266)) 
-NIL 
-(-13 (-385 |#2| (-816 |#1|)) (-1272 |#1| |#2|)) 
-((-3597 ((|#3| |#3| (-765)) 23)) (-3408 ((|#3| |#3| (-765)) 28)) (-1698 ((|#3| |#3| |#3| (-765)) 29))) 
-(((-1267 |#1| |#2| |#3|) (-10 -7 (-15 -3408 (|#3| |#3| (-765))) (-15 -3597 (|#3| |#3| (-765))) (-15 -1698 (|#3| |#3| |#3| (-765)))) (-13 (-1049) (-709 (-410 (-569)))) (-844) (-1272 |#2| |#1|)) (T -1267)) 
-((-1698 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4)))) (-3597 (*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4)))) (-3408 (*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4))))) 
-(-10 -7 (-15 -3408 (|#3| |#3| (-765))) (-15 -3597 (|#3| |#3| (-765))) (-15 -1698 (|#3| |#3| |#3| (-765)))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3810 (((-635 |#1|) $) 39)) (-3748 (((-3 $ "failed") $ $) 18)) (-3158 (($ $ $) 42 (|has| |#2| (-173))) (($ $ (-765)) 41 (|has| |#2| (-173)))) (-4483 (($) 16 T CONST)) (-2368 (($ $ |#1|) 53) (($ $ (-816 |#1|)) 52) (($ $ $) 51)) (-3003 (((-3 (-816 |#1|) "failed") $) 63)) (-1321 (((-816 |#1|) $) 62)) (-2611 (((-3 $ "failed") $) 33)) (-2025 (((-121) $) 44)) (-3150 (($ $) 43)) (-3934 (((-121) $) 30)) (-3052 (((-121) $) 49)) (-3558 (($ (-816 |#1|) |#2|) 50)) (-2745 (($ $) 48)) (-1999 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) 59)) (-3548 (((-816 |#1|) $) 60)) (-4188 (($ (-1 |#2| |#2|) $) 40)) (-3927 (($ $ |#1|) 56) (($ $ (-816 |#1|)) 55) (($ $ $) 54)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1894 (((-121) $) 46)) (-3575 ((|#2| $) 45)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#2|) 67) (($ (-816 |#1|)) 64) (($ |#1|) 47)) (-3550 ((|#2| $ (-816 |#1|)) 58) ((|#2| $ $) 57)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
-(((-1268 |#1| |#2|) (-1284) (-844) (-1049)) (T -1268)) 
-((* (*1 *1 *1 *2) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-3548 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-816 *3)))) (-1999 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| |k| (-816 *3)) (|:| |c| *4))))) (-3550 (*1 *2 *1 *3) (-12 (-5 *3 (-816 *4)) (-4 *1 (-1268 *4 *2)) (-4 *4 (-844)) (-4 *2 (-1049)))) (-3550 (*1 *2 *1 *1) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) (-3927 (*1 *1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) (-3927 (*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-2368 (*1 *1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-2368 (*1 *1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) (-2368 (*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-3558 (*1 *1 *2 *3) (-12 (-5 *2 (-816 *4)) (-4 *4 (-844)) (-4 *1 (-1268 *4 *3)) (-4 *3 (-1049)))) (-3052 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121)))) (-2745 (*1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-3956 (*1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-1894 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121)))) (-3575 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) (-2025 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121)))) (-3150 (*1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-3158 (*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)) (-4 *3 (-173)))) (-3158 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-4 *4 (-173)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) (-3810 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-635 *3))))) 
-(-13 (-1049) (-1265 |t#2|) (-1039 (-816 |t#1|)) (-10 -8 (-15 * ($ |t#1| $)) (-15 * ($ $ |t#2|)) (-15 -3548 ((-816 |t#1|) $)) (-15 -1999 ((-2 (|:| |k| (-816 |t#1|)) (|:| |c| |t#2|)) $)) (-15 -3550 (|t#2| $ (-816 |t#1|))) (-15 -3550 (|t#2| $ $)) (-15 -3927 ($ $ |t#1|)) (-15 -3927 ($ $ (-816 |t#1|))) (-15 -3927 ($ $ $)) (-15 -2368 ($ $ |t#1|)) (-15 -2368 ($ $ (-816 |t#1|))) (-15 -2368 ($ $ $)) (-15 -3558 ($ (-816 |t#1|) |t#2|)) (-15 -3052 ((-121) $)) (-15 -2745 ($ $)) (-15 -3956 ($ |t#1|)) (-15 -1894 ((-121) $)) (-15 -3575 (|t#2| $)) (-15 -2025 ((-121) $)) (-15 -3150 ($ $)) (IF (|has| |t#2| (-173)) (PROGN (-15 -3158 ($ $ $)) (-15 -3158 ($ $ (-765)))) |noBranch|) (-15 -4188 ($ (-1 |t#2| |t#2|) $)) (-15 -3810 ((-635 |t#1|) $)) (IF (|has| |t#2| (-6 -4564)) (-6 -4564) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#2|) . T) ((-638 $) . T) ((-709 |#2|) |has| |#2| (-173)) ((-718) . T) ((-1039 (-816 |#1|)) . T) ((-1055 |#2|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1265 |#2|) . T)) 
-((-1402 (((-121) $) 13)) (-3345 (((-121) $) 12)) (-4167 (($ $) 17) (($ $ (-765)) 18))) 
-(((-1269 |#1| |#2|) (-10 -8 (-15 -4167 (|#1| |#1| (-765))) (-15 -4167 (|#1| |#1|)) (-15 -1402 ((-121) |#1|)) (-15 -3345 ((-121) |#1|))) (-1270 |#2|) (-366)) (T -1269)) 
-NIL 
-(-10 -8 (-15 -4167 (|#1| |#1| (-765))) (-15 -4167 (|#1| |#1|)) (-15 -1402 ((-121) |#1|)) (-15 -3345 ((-121) |#1|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-1402 (((-121) $) 90)) (-4102 (((-765)) 86)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 97)) (-1321 ((|#1| $) 96)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3238 (($ $ (-765)) 83 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) 82 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) 69)) (-4433 (((-830 (-919)) $) 80 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) 30)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1346 (((-121) $) 89)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3139 (((-421 $) $) 72)) (-3648 (((-830 (-919))) 87)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3600 (((-3 (-765) "failed") $ $) 81 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) 95)) (-2284 (((-830 (-919)) $) 88)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 98)) (-2277 (((-3 $ "failed") $) 79 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3345 (((-121) $) 91)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-4167 (($ $) 85 (|has| |#1| (-371))) (($ $ (-765)) 84 (|has| |#1| (-371)))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62) (($ $ |#1|) 94)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
-(((-1270 |#1|) (-1284) (-366)) (T -1270)) 
-((-3345 (*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-1402 (*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-1346 (*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-830 (-919))))) (-3648 (*1 *2) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-830 (-919))))) (-4102 (*1 *2) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-765)))) (-4167 (*1 *1 *1) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-366)) (-4 *2 (-371)))) (-4167 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-4 *3 (-371))))) 
-(-13 (-366) (-1039 |t#1|) (-1260 |t#1|) (-10 -8 (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-405)) |noBranch|) (-15 -3345 ((-121) $)) (-15 -1402 ((-121) $)) (-15 -1346 ((-121) $)) (-15 -2284 ((-830 (-919)) $)) (-15 -3648 ((-830 (-919)))) (-15 -4102 ((-765))) (IF (|has| |t#1| (-371)) (PROGN (-6 (-405)) (-15 -4167 ($ $)) (-15 -4167 ($ $ (-765)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) -1929 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 |#1|) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) . T) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T) ((-1260 |#1|) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3810 (((-635 |#1|) $) 84)) (-4480 (($ $ (-765)) 87)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3158 (($ $ $) NIL (|has| |#2| (-173))) (($ $ (-765)) NIL (|has| |#2| (-173)))) (-4483 (($) NIL T CONST)) (-2368 (($ $ |#1|) NIL) (($ $ (-816 |#1|)) NIL) (($ $ $) NIL)) (-3003 (((-3 (-816 |#1|) "failed") $) NIL) (((-3 (-890 |#1|) "failed") $) NIL)) (-1321 (((-816 |#1|) $) NIL) (((-890 |#1|) $) NIL)) (-3373 (($ $) 86)) (-2611 (((-3 $ "failed") $) NIL)) (-2025 (((-121) $) 75)) (-3150 (($ $) 79)) (-1419 (($ $ $ (-765)) 88)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ (-816 |#1|) |#2|) NIL) (($ (-890 |#1|) |#2|) 25)) (-2745 (($ $) 101)) (-1999 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3548 (((-816 |#1|) $) NIL)) (-2995 (((-816 |#1|) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3927 (($ $ |#1|) NIL) (($ $ (-816 |#1|)) NIL) (($ $ $) NIL)) (-3597 (($ $ (-765)) 95 (|has| |#2| (-709 (-410 (-569)))))) (-2210 (((-635 (-2 (|:| |k| (-890 |#1|)) (|:| |c| |#2|))) $) NIL)) (-2133 (((-2 (|:| |k| (-890 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3263 (((-890 |#1|) $) 69)) (-3270 ((|#2| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3408 (($ $ (-765)) 92 (|has| |#2| (-709 (-410 (-569)))))) (-2284 (((-765) $) 85)) (-1894 (((-121) $) 70)) (-3575 ((|#2| $) 74)) (-3956 (((-852) $) 56) (($ (-569)) NIL) (($ |#2|) 50) (($ (-816 |#1|)) NIL) (($ |#1|) 58) (($ (-890 |#1|)) NIL) (($ (-657 |#1| |#2|)) 42) (((-1266 |#1| |#2|) $) 63) (((-1275 |#1| |#2|) $) 68)) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-890 |#1|)) NIL)) (-3550 ((|#2| $ (-816 |#1|)) NIL) ((|#2| $ $) NIL)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 21 T CONST)) (-3297 (($) 24 T CONST)) (-2072 (((-3 (-657 |#1| |#2|) "failed") $) 100)) (-1326 (((-121) $ $) 64)) (-1377 (($ $) 94) (($ $ $) 93)) (-1371 (($ $ $) 20)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 43) (($ |#2| $) 19) (($ $ |#2|) NIL) (($ |#1| $) NIL) (($ |#2| (-890 |#1|)) NIL))) 
-(((-1271 |#1| |#2|) (-13 (-1272 |#1| |#2|) (-385 |#2| (-890 |#1|)) (-10 -8 (-15 -3956 ($ (-657 |#1| |#2|))) (-15 -3956 ((-1266 |#1| |#2|) $)) (-15 -3956 ((-1275 |#1| |#2|) $)) (-15 -2072 ((-3 (-657 |#1| |#2|) "failed") $)) (-15 -1419 ($ $ $ (-765))) (IF (|has| |#2| (-709 (-410 (-569)))) (PROGN (-15 -3408 ($ $ (-765))) (-15 -3597 ($ $ (-765)))) |noBranch|))) (-844) (-173)) (T -1271)) 
-((-3956 (*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *1 (-1271 *3 *4)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-2072 (*1 *2 *1) (|partial| -12 (-5 *2 (-657 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-1419 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-3408 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *4 (-709 (-410 (-569)))) (-4 *3 (-844)) (-4 *4 (-173)))) (-3597 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *4 (-709 (-410 (-569)))) (-4 *3 (-844)) (-4 *4 (-173))))) 
-(-13 (-1272 |#1| |#2|) (-385 |#2| (-890 |#1|)) (-10 -8 (-15 -3956 ($ (-657 |#1| |#2|))) (-15 -3956 ((-1266 |#1| |#2|) $)) (-15 -3956 ((-1275 |#1| |#2|) $)) (-15 -2072 ((-3 (-657 |#1| |#2|) "failed") $)) (-15 -1419 ($ $ $ (-765))) (IF (|has| |#2| (-709 (-410 (-569)))) (PROGN (-15 -3408 ($ $ (-765))) (-15 -3597 ($ $ (-765)))) |noBranch|))) 
-((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3810 (((-635 |#1|) $) 39)) (-4480 (($ $ (-765)) 68)) (-3748 (((-3 $ "failed") $ $) 18)) (-3158 (($ $ $) 42 (|has| |#2| (-173))) (($ $ (-765)) 41 (|has| |#2| (-173)))) (-4483 (($) 16 T CONST)) (-2368 (($ $ |#1|) 53) (($ $ (-816 |#1|)) 52) (($ $ $) 51)) (-3003 (((-3 (-816 |#1|) "failed") $) 63)) (-1321 (((-816 |#1|) $) 62)) (-2611 (((-3 $ "failed") $) 33)) (-2025 (((-121) $) 44)) (-3150 (($ $) 43)) (-3934 (((-121) $) 30)) (-3052 (((-121) $) 49)) (-3558 (($ (-816 |#1|) |#2|) 50)) (-2745 (($ $) 48)) (-1999 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) 59)) (-3548 (((-816 |#1|) $) 60)) (-2995 (((-816 |#1|) $) 70)) (-4188 (($ (-1 |#2| |#2|) $) 40)) (-3927 (($ $ |#1|) 56) (($ $ (-816 |#1|)) 55) (($ $ $) 54)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2284 (((-765) $) 69)) (-1894 (((-121) $) 46)) (-3575 ((|#2| $) 45)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#2|) 67) (($ (-816 |#1|)) 64) (($ |#1|) 47)) (-3550 ((|#2| $ (-816 |#1|)) 58) ((|#2| $ $) 57)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
-(((-1272 |#1| |#2|) (-1284) (-844) (-1049)) (T -1272)) 
-((-2995 (*1 *2 *1) (-12 (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-816 *3)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-765)))) (-4480 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049))))) 
-(-13 (-1268 |t#1| |t#2|) (-10 -8 (-15 -2995 ((-816 |t#1|) $)) (-15 -2284 ((-765) $)) (-15 -4480 ($ $ (-765))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#2|) . T) ((-638 $) . T) ((-709 |#2|) |has| |#2| (-173)) ((-718) . T) ((-1039 (-816 |#1|)) . T) ((-1055 |#2|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1265 |#2|) . T) ((-1268 |#1| |#2|) . T)) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3810 (((-635 (-1165)) $) NIL)) (-4133 (($ (-1266 (-1165) |#1|)) NIL)) (-4480 (($ $ (-765)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3158 (($ $ $) NIL (|has| |#1| (-173))) (($ $ (-765)) NIL (|has| |#1| (-173)))) (-4483 (($) NIL T CONST)) (-2368 (($ $ (-1165)) NIL) (($ $ (-816 (-1165))) NIL) (($ $ $) NIL)) (-3003 (((-3 (-816 (-1165)) "failed") $) NIL)) (-1321 (((-816 (-1165)) $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2025 (((-121) $) NIL)) (-3150 (($ $) NIL)) (-3934 (((-121) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ (-816 (-1165)) |#1|) NIL)) (-2745 (($ $) NIL)) (-1999 (((-2 (|:| |k| (-816 (-1165))) (|:| |c| |#1|)) $) NIL)) (-3548 (((-816 (-1165)) $) NIL)) (-2995 (((-816 (-1165)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3927 (($ $ (-1165)) NIL) (($ $ (-816 (-1165))) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2121 (((-1266 (-1165) |#1|) $) NIL)) (-2284 (((-765) $) NIL)) (-1894 (((-121) $) NIL)) (-3575 ((|#1| $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-816 (-1165))) NIL) (($ (-1165)) NIL)) (-3550 ((|#1| $ (-816 (-1165))) NIL) ((|#1| $ $) NIL)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-2492 (((-635 (-2 (|:| |k| (-1165)) (|:| |c| $))) $) NIL)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-1165) $) NIL))) 
-(((-1273 |#1|) (-13 (-1272 (-1165) |#1|) (-10 -8 (-15 -2121 ((-1266 (-1165) |#1|) $)) (-15 -4133 ($ (-1266 (-1165) |#1|))) (-15 -2492 ((-635 (-2 (|:| |k| (-1165)) (|:| |c| $))) $)))) (-1049)) (T -1273)) 
-((-2121 (*1 *2 *1) (-12 (-5 *2 (-1266 (-1165) *3)) (-5 *1 (-1273 *3)) (-4 *3 (-1049)))) (-4133 (*1 *1 *2) (-12 (-5 *2 (-1266 (-1165) *3)) (-4 *3 (-1049)) (-5 *1 (-1273 *3)))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-1165)) (|:| |c| (-1273 *3))))) (-5 *1 (-1273 *3)) (-4 *3 (-1049))))) 
-(-13 (-1272 (-1165) |#1|) (-10 -8 (-15 -2121 ((-1266 (-1165) |#1|) $)) (-15 -4133 ($ (-1266 (-1165) |#1|))) (-15 -2492 ((-635 (-2 (|:| |k| (-1165)) (|:| |c| $))) $)))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL)) (-1321 ((|#2| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) 34)) (-2025 (((-121) $) 29)) (-3150 (($ $) 30)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ |#2| |#1|) NIL)) (-3548 ((|#2| $) 19)) (-2995 ((|#2| $) 16)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2210 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) NIL)) (-2133 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) NIL)) (-3263 ((|#2| $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1894 (((-121) $) 27)) (-3575 ((|#1| $) 28)) (-3956 (((-852) $) 53) (($ (-569)) 38) (($ |#1|) 33) (($ |#2|) NIL)) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ |#2|) NIL)) (-3550 ((|#1| $ |#2|) 24)) (-2320 (((-765)) 14)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 25 T CONST)) (-3297 (($) 11 T CONST)) (-1326 (((-121) $ $) 26)) (-1383 (($ $ |#1|) 55 (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 42)) (** (($ $ (-919)) NIL) (($ $ (-765)) 44)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 43) (($ |#1| $) 39) (($ $ |#1|) NIL) (($ |#1| |#2|) NIL)) (-2946 (((-765) $) 15))) 
-(((-1274 |#1| |#2|) (-13 (-1049) (-1265 |#1|) (-385 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -2946 ((-765) $)) (-15 -3956 ($ |#2|)) (-15 -2995 (|#2| $)) (-15 -3548 (|#2| $)) (-15 -3373 ($ $)) (-15 -3550 (|#1| $ |#2|)) (-15 -1894 ((-121) $)) (-15 -3575 (|#1| $)) (-15 -2025 ((-121) $)) (-15 -3150 ($ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-366)) (-15 -1383 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4564)) (-6 -4564) |noBranch|) (IF (|has| |#1| (-6 -4568)) (-6 -4568) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) (-1049) (-840)) (T -1274)) 
-((* (*1 *1 *1 *2) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840)))) (-3373 (*1 *1 *1) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-1274 *3 *4)) (-4 *4 (-840)))) (-3956 (*1 *1 *2) (-12 (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-840)))) (-2946 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840)))) (-2995 (*1 *2 *1) (-12 (-4 *2 (-840)) (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049)))) (-3548 (*1 *2 *1) (-12 (-4 *2 (-840)) (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049)))) (-3550 (*1 *2 *1 *3) (-12 (-4 *2 (-1049)) (-5 *1 (-1274 *2 *3)) (-4 *3 (-840)))) (-1894 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840)))) (-3575 (*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-1274 *2 *3)) (-4 *3 (-840)))) (-2025 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840)))) (-3150 (*1 *1 *1) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840)))) (-1383 (*1 *1 *1 *2) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-366)) (-4 *2 (-1049)) (-4 *3 (-840))))) 
-(-13 (-1049) (-1265 |#1|) (-385 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -2946 ((-765) $)) (-15 -3956 ($ |#2|)) (-15 -2995 (|#2| $)) (-15 -3548 (|#2| $)) (-15 -3373 ($ $)) (-15 -3550 (|#1| $ |#2|)) (-15 -1894 ((-121) $)) (-15 -3575 (|#1| $)) (-15 -2025 ((-121) $)) (-15 -3150 ($ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-366)) (-15 -1383 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4564)) (-6 -4564) |noBranch|) (IF (|has| |#1| (-6 -4568)) (-6 -4568) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3810 (((-635 |#1|) $) 119)) (-4133 (($ (-1266 |#1| |#2|)) 43)) (-4480 (($ $ (-765)) 31)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3158 (($ $ $) 47 (|has| |#2| (-173))) (($ $ (-765)) 45 (|has| |#2| (-173)))) (-4483 (($) NIL T CONST)) (-2368 (($ $ |#1|) 101) (($ $ (-816 |#1|)) 102) (($ $ $) 25)) (-3003 (((-3 (-816 |#1|) "failed") $) NIL)) (-1321 (((-816 |#1|) $) NIL)) (-2611 (((-3 $ "failed") $) 109)) (-2025 (((-121) $) 104)) (-3150 (($ $) 105)) (-3934 (((-121) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ (-816 |#1|) |#2|) 19)) (-2745 (($ $) NIL)) (-1999 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3548 (((-816 |#1|) $) 110)) (-2995 (((-816 |#1|) $) 113)) (-4188 (($ (-1 |#2| |#2|) $) 118)) (-3927 (($ $ |#1|) 99) (($ $ (-816 |#1|)) 100) (($ $ $) 55)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2121 (((-1266 |#1| |#2|) $) 83)) (-2284 (((-765) $) 116)) (-1894 (((-121) $) 69)) (-3575 ((|#2| $) 27)) (-3956 (((-852) $) 62) (($ (-569)) 76) (($ |#2|) 73) (($ (-816 |#1|)) 17) (($ |#1|) 72)) (-3550 ((|#2| $ (-816 |#1|)) 103) ((|#2| $ $) 26)) (-2320 (((-765)) 107)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 14 T CONST)) (-2492 (((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $) 52)) (-3297 (($) 28 T CONST)) (-1326 (((-121) $ $) 13)) (-1377 (($ $) 87) (($ $ $) 90)) (-1371 (($ $ $) 54)) (** (($ $ (-919)) NIL) (($ $ (-765)) 48)) (* (($ (-919) $) NIL) (($ (-765) $) 46) (($ (-569) $) 93) (($ $ $) 21) (($ |#2| $) 18) (($ $ |#2|) 20) (($ |#1| $) 81))) 
-(((-1275 |#1| |#2|) (-13 (-1272 |#1| |#2|) (-10 -8 (-15 -2121 ((-1266 |#1| |#2|) $)) (-15 -4133 ($ (-1266 |#1| |#2|))) (-15 -2492 ((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) (-844) (-1049)) (T -1275)) 
-((-2121 (*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) (-4133 (*1 *1 *2) (-12 (-5 *2 (-1266 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *1 (-1275 *3 *4)))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| *3) (|:| |c| (-1275 *3 *4))))) (-5 *1 (-1275 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049))))) 
-(-13 (-1272 |#1| |#2|) (-10 -8 (-15 -2121 ((-1266 |#1| |#2|) $)) (-15 -4133 ($ (-1266 |#1| |#2|))) (-15 -2492 ((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) 
-((-2866 (((-635 (-1145 |#1|)) (-1 (-635 (-1145 |#1|)) (-635 (-1145 |#1|))) (-569)) 15) (((-1145 |#1|) (-1 (-1145 |#1|) (-1145 |#1|))) 11))) 
-(((-1276 |#1|) (-10 -7 (-15 -2866 ((-1145 |#1|) (-1 (-1145 |#1|) (-1145 |#1|)))) (-15 -2866 ((-635 (-1145 |#1|)) (-1 (-635 (-1145 |#1|)) (-635 (-1145 |#1|))) (-569)))) (-1199)) (T -1276)) 
-((-2866 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 (-1145 *5)) (-635 (-1145 *5)))) (-5 *4 (-569)) (-5 *2 (-635 (-1145 *5))) (-5 *1 (-1276 *5)) (-4 *5 (-1199)))) (-2866 (*1 *2 *3) (-12 (-5 *3 (-1 (-1145 *4) (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1276 *4)) (-4 *4 (-1199))))) 
-(-10 -7 (-15 -2866 ((-1145 |#1|) (-1 (-1145 |#1|) (-1145 |#1|)))) (-15 -2866 ((-635 (-1145 |#1|)) (-1 (-635 (-1145 |#1|)) (-635 (-1145 |#1|))) (-569)))) 
-((-3012 (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|))) 145) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121)) 144) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121)) 143) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121) (-121)) 142) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-1046 |#1| |#2|)) 127)) (-2171 (((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|))) 70) (((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121)) 69) (((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121) (-121)) 68)) (-3742 (((-635 (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))) (-1046 |#1| |#2|)) 59)) (-3646 (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|))) 112) (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121)) 111) (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121)) 110) (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121) (-121)) 109) (((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|)) 104)) (-1619 (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|))) 117) (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121)) 116) (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121)) 115) (((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|)) 114)) (-4035 (((-635 (-777 |#1| (-854 |#3|))) (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))) 96) (((-1161 (-1025 (-410 |#1|))) (-1161 |#1|)) 87) (((-955 (-1025 (-410 |#1|))) (-777 |#1| (-854 |#3|))) 94) (((-955 (-1025 (-410 |#1|))) (-955 |#1|)) 92) (((-777 |#1| (-854 |#3|)) (-777 |#1| (-854 |#2|))) 32))) 
-(((-1277 |#1| |#2| |#3|) (-10 -7 (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121) (-121))) (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121))) (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-1046 |#1| |#2|))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)))) (-15 -3742 ((-635 (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))) (-1046 |#1| |#2|))) (-15 -4035 ((-777 |#1| (-854 |#3|)) (-777 |#1| (-854 |#2|)))) (-15 -4035 ((-955 (-1025 (-410 |#1|))) (-955 |#1|))) (-15 -4035 ((-955 (-1025 (-410 |#1|))) (-777 |#1| (-854 |#3|)))) (-15 -4035 ((-1161 (-1025 (-410 |#1|))) (-1161 |#1|))) (-15 -4035 ((-635 (-777 |#1| (-854 |#3|))) (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))))) (-13 (-842) (-302) (-151) (-1023)) (-635 (-1165)) (-635 (-1165))) (T -1277)) 
-((-4035 (*1 *2 *3) (-12 (-5 *3 (-1134 *4 (-535 (-854 *6)) (-854 *6) (-777 *4 (-854 *6)))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-777 *4 (-854 *6)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-1161 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-777 *4 (-854 *6))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *6 (-635 (-1165))) (-5 *2 (-955 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-955 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-777 *4 (-854 *5))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-777 *4 (-854 *6))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) (-3742 (*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-1134 *4 (-535 (-854 *6)) (-854 *6) (-777 *4 (-854 *6))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) (-1619 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-1619 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-1619 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-1619 (*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) (-3646 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-3646 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3646 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3646 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3646 (*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) (-3012 (*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1277 *4 *5 *6)) (-5 *3 (-635 (-955 *4))) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-3012 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3012 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3012 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3012 (*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) (-2171 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *4 *5))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-2171 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-2171 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165)))))) 
-(-10 -7 (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121) (-121))) (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121))) (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-1046 |#1| |#2|))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)))) (-15 -3742 ((-635 (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))) (-1046 |#1| |#2|))) (-15 -4035 ((-777 |#1| (-854 |#3|)) (-777 |#1| (-854 |#2|)))) (-15 -4035 ((-955 (-1025 (-410 |#1|))) (-955 |#1|))) (-15 -4035 ((-955 (-1025 (-410 |#1|))) (-777 |#1| (-854 |#3|)))) (-15 -4035 ((-1161 (-1025 (-410 |#1|))) (-1161 |#1|))) (-15 -4035 ((-635 (-777 |#1| (-854 |#3|))) (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))))) 
-((-3546 (((-3 (-1253 (-410 (-569))) "failed") (-1253 |#1|) |#1|) 17)) (-3126 (((-121) (-1253 |#1|)) 11)) (-3666 (((-3 (-1253 (-569)) "failed") (-1253 |#1|)) 14))) 
-(((-1278 |#1|) (-10 -7 (-15 -3126 ((-121) (-1253 |#1|))) (-15 -3666 ((-3 (-1253 (-569)) "failed") (-1253 |#1|))) (-15 -3546 ((-3 (-1253 (-410 (-569))) "failed") (-1253 |#1|) |#1|))) (-631 (-569))) (T -1278)) 
-((-3546 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1253 (-410 (-569)))) (-5 *1 (-1278 *4)))) (-3666 (*1 *2 *3) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1253 (-569))) (-5 *1 (-1278 *4)))) (-3126 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-121)) (-5 *1 (-1278 *4))))) 
-(-10 -7 (-15 -3126 ((-121) (-1253 |#1|))) (-15 -3666 ((-3 (-1253 (-569)) "failed") (-1253 |#1|))) (-15 -3546 ((-3 (-1253 (-410 (-569))) "failed") (-1253 |#1|) |#1|))) 
-((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 11)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765)) 8)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) 43)) (-3341 (($) 36)) (-3934 (((-121) $) NIL)) (-1542 (((-3 $ "failed") $) 29)) (-2862 (((-919) $) 15)) (-2605 (((-1147) $) NIL)) (-1423 (($) 25 T CONST)) (-1333 (($ (-919)) 37)) (-1912 (((-1111) $) NIL)) (-4035 (((-569) $) 13)) (-3956 (((-852) $) 22) (($ (-569)) 19)) (-2320 (((-765)) 9)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 23 T CONST)) (-3297 (($) 24 T CONST)) (-1326 (((-121) $ $) 27)) (-1377 (($ $) 38) (($ $ $) 35)) (-1371 (($ $ $) 26)) (** (($ $ (-919)) NIL) (($ $ (-765)) 40)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 32) (($ $ $) 31))) 
-(((-1279 |#1|) (-13 (-173) (-371) (-610 (-569)) (-1139)) (-919)) (T -1279)) 
-NIL 
-(-13 (-173) (-371) (-610 (-569)) (-1139)) 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-((-1284 3614952 3614957 3614962 "NIL" NIL T NIL (NIL) NIL NIL NIL) (-3 3614937 3614942 3614947 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-2 3614922 3614927 3614932 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1 3614907 3614912 3614917 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (0 3614892 3614897 3614902 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1279 3614022 3614767 3614844 "ZMOD" 3614849 NIL ZMOD (NIL NIL) -8 NIL NIL) (-1278 3613132 3613296 3613505 "ZLINDEP" 3613854 NIL ZLINDEP (NIL T) -7 NIL NIL) (-1277 3602436 3604200 3606172 "ZDSOLVE" 3611262 NIL ZDSOLVE (NIL T NIL NIL) -7 NIL NIL) (-1276 3601682 3601823 3602012 "YSTREAM" 3602282 NIL YSTREAM (NIL T) -7 NIL NIL) (-1275 3599447 3600983 3601187 "XRPOLY" 3601525 NIL XRPOLY (NIL T T) -8 NIL NIL) (-1274 3595901 3597230 3597810 "XPR" 3598914 NIL XPR (NIL T T) -8 NIL NIL) (-1273 3593611 3595232 3595436 "XPOLY" 3595732 NIL XPOLY (NIL T) -8 NIL NIL) (-1272 3591415 3592793 3592849 "XPOLYC" 3593137 NIL XPOLYC (NIL T T) -9 NIL 3593250) (-1271 3587789 3589934 3590321 "XPBWPOLY" 3591074 NIL XPBWPOLY (NIL T T) -8 NIL NIL) (-1270 3583667 3585977 3586020 "XF" 3586641 NIL XF (NIL T) -9 NIL 3587038) (-1269 3583288 3583376 3583545 "XF-" 3583550 NIL XF- (NIL T T) -8 NIL NIL) (-1268 3578637 3579936 3579992 "XFALG" 3582164 NIL XFALG (NIL T T) -9 NIL 3582951) (-1267 3577770 3577874 3578079 "XEXPPKG" 3578529 NIL XEXPPKG (NIL T T T) -7 NIL NIL) (-1266 3575867 3577620 3577716 "XDPOLY" 3577721 NIL XDPOLY (NIL T T) -8 NIL NIL) (-1265 3574739 3575349 3575393 "XALG" 3575456 NIL XALG (NIL T) -9 NIL 3575575) (-1264 3568208 3572716 3573210 "WUTSET" 3574331 NIL WUTSET (NIL T T T T) -8 NIL NIL) (-1263 3566017 3566824 3567175 "WP" 3567991 NIL WP (NIL T T T T NIL NIL NIL) -8 NIL NIL) (-1262 3564903 3565101 3565396 "WFFINTBS" 3565814 NIL WFFINTBS (NIL T T T T) -7 NIL NIL) (-1261 3562807 3563234 3563696 "WEIER" 3564475 NIL WEIER (NIL T) -7 NIL NIL) (-1260 3561953 3562377 3562420 "VSPACE" 3562556 NIL VSPACE (NIL T) -9 NIL 3562630) (-1259 3561791 3561818 3561909 "VSPACE-" 3561914 NIL VSPACE- (NIL T T) -8 NIL NIL) (-1258 3561537 3561580 3561651 "VOID" 3561742 T VOID (NIL) -8 NIL NIL) (-1257 3559673 3560032 3560438 "VIEW" 3561153 T VIEW (NIL) -7 NIL NIL) (-1256 3556098 3556736 3557473 "VIEWDEF" 3558958 T VIEWDEF (NIL) -7 NIL NIL) (-1255 3545437 3547646 3549819 "VIEW3D" 3553947 T VIEW3D (NIL) -8 NIL NIL) (-1254 3537719 3539348 3540927 "VIEW2D" 3543880 T VIEW2D (NIL) -8 NIL NIL) (-1253 3533127 3537489 3537581 "VECTOR" 3537662 NIL VECTOR (NIL T) -8 NIL NIL) (-1252 3531704 3531963 3532281 "VECTOR2" 3532857 NIL VECTOR2 (NIL T T) -7 NIL NIL) (-1251 3525269 3529515 3529559 "VECTCAT" 3530554 NIL VECTCAT (NIL T) -9 NIL 3531134) (-1250 3524283 3524537 3524927 "VECTCAT-" 3524932 NIL VECTCAT- (NIL T T) -8 NIL NIL) (-1249 3523764 3523934 3524054 "VARIABLE" 3524198 NIL VARIABLE (NIL NIL) -8 NIL NIL) (-1248 3515806 3521597 3522075 "UTSZ" 3523334 NIL UTSZ (NIL T NIL) -8 NIL NIL) (-1247 3515412 3515462 3515596 "UTSSOL" 3515750 NIL UTSSOL (NIL T T T) -7 NIL NIL) (-1246 3514244 3514398 3514659 "UTSODETL" 3515239 NIL UTSODETL (NIL T T T T) -7 NIL NIL) (-1245 3511684 3512144 3512668 "UTSODE" 3513785 NIL UTSODE (NIL T T) -7 NIL NIL) (-1244 3503517 3509312 3509800 "UTS" 3511254 NIL UTS (NIL T NIL NIL) -8 NIL NIL) (-1243 3494803 3500163 3500207 "UTSCAT" 3501319 NIL UTSCAT (NIL T) -9 NIL 3502070) (-1242 3492158 3492873 3493862 "UTSCAT-" 3493867 NIL UTSCAT- (NIL T T) -8 NIL NIL) (-1241 3491785 3491828 3491961 "UTS2" 3492109 NIL UTS2 (NIL T T T T) -7 NIL NIL) (-1240 3486099 3488658 3488702 "URAGG" 3490772 NIL URAGG (NIL T) -9 NIL 3491494) (-1239 3483038 3483901 3485024 "URAGG-" 3485029 NIL URAGG- (NIL T T) -8 NIL NIL) (-1238 3478716 3481652 3482124 "UPXSSING" 3482702 NIL UPXSSING (NIL T T NIL NIL) -8 NIL NIL) (-1237 3470603 3477833 3478114 "UPXS" 3478493 NIL UPXS (NIL T NIL NIL) -8 NIL NIL) (-1236 3463631 3470507 3470579 "UPXSCONS" 3470584 NIL UPXSCONS (NIL T T) -8 NIL NIL) (-1235 3453843 3460668 3460731 "UPXSCCA" 3461387 NIL UPXSCCA (NIL T T) -9 NIL 3461629) (-1234 3453481 3453566 3453740 "UPXSCCA-" 3453745 NIL UPXSCCA- (NIL T T T) -8 NIL NIL) (-1233 3443625 3450223 3450267 "UPXSCAT" 3450915 NIL UPXSCAT (NIL T) -9 NIL 3451517) (-1232 3443055 3443134 3443313 "UPXS2" 3443540 NIL UPXS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1231 3441709 3441962 3442313 "UPSQFREE" 3442798 NIL UPSQFREE (NIL T T) -7 NIL NIL) (-1230 3435544 3438594 3438650 "UPSCAT" 3439811 NIL UPSCAT (NIL T T) -9 NIL 3440579) (-1229 3434748 3434955 3435282 "UPSCAT-" 3435287 NIL UPSCAT- (NIL T T T) -8 NIL NIL) (-1228 3420737 3428777 3428821 "UPOLYC" 3430922 NIL UPOLYC (NIL T) -9 NIL 3432137) (-1227 3412066 3414491 3417638 "UPOLYC-" 3417643 NIL UPOLYC- (NIL T T) -8 NIL NIL) (-1226 3411693 3411736 3411869 "UPOLYC2" 3412017 NIL UPOLYC2 (NIL T T T T) -7 NIL NIL) (-1225 3403104 3411259 3411397 "UP" 3411603 NIL UP (NIL NIL T) -8 NIL NIL) (-1224 3402443 3402550 3402714 "UPMP" 3402993 NIL UPMP (NIL T T) -7 NIL NIL) (-1223 3401996 3402077 3402216 "UPDIVP" 3402356 NIL UPDIVP (NIL T T) -7 NIL NIL) (-1222 3400564 3400813 3401129 "UPDECOMP" 3401745 NIL UPDECOMP (NIL T T) -7 NIL NIL) (-1221 3399799 3399911 3400096 "UPCDEN" 3400448 NIL UPCDEN (NIL T T T) -7 NIL NIL) (-1220 3399318 3399387 3399536 "UP2" 3399724 NIL UP2 (NIL NIL T NIL T) -7 NIL NIL) (-1219 3397839 3398526 3398801 "UNISEG" 3399078 NIL UNISEG (NIL T) -8 NIL NIL) (-1218 3397056 3397183 3397387 "UNISEG2" 3397683 NIL UNISEG2 (NIL T T) -7 NIL NIL) (-1217 3396116 3396296 3396522 "UNIFACT" 3396872 NIL UNIFACT (NIL T) -7 NIL NIL) (-1216 3380000 3395295 3395545 "ULS" 3395924 NIL ULS (NIL T NIL NIL) -8 NIL NIL) (-1215 3367955 3379904 3379976 "ULSCONS" 3379981 NIL ULSCONS (NIL T T) -8 NIL NIL) (-1214 3350622 3362639 3362702 "ULSCCAT" 3363422 NIL ULSCCAT (NIL T T) -9 NIL 3363718) (-1213 3349672 3349917 3350305 "ULSCCAT-" 3350310 NIL ULSCCAT- (NIL T T T) -8 NIL NIL) (-1212 3339608 3346120 3346164 "ULSCAT" 3347027 NIL ULSCAT (NIL T) -9 NIL 3347750) (-1211 3339038 3339117 3339296 "ULS2" 3339523 NIL ULS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1210 3331176 3337029 3337529 "UFPS" 3338573 NIL UFPS (NIL T) -8 NIL NIL) (-1209 3330873 3330930 3331028 "UFPS1" 3331113 NIL UFPS1 (NIL T) -7 NIL NIL) (-1208 3329266 3330233 3330264 "UFD" 3330476 T UFD (NIL) -9 NIL 3330590) (-1207 3329060 3329106 3329201 "UFD-" 3329206 NIL UFD- (NIL T) -8 NIL NIL) (-1206 3328142 3328325 3328541 "UDVO" 3328866 T UDVO (NIL) -7 NIL NIL) (-1205 3325960 3326369 3326839 "UDPO" 3327707 NIL UDPO (NIL T) -7 NIL NIL) (-1204 3321923 3325905 3325941 "U8VEC" 3325946 T U8VEC (NIL) -8 NIL NIL) (-1203 3317886 3321868 3321904 "U32VEC" 3321909 T U32VEC (NIL) -8 NIL NIL) (-1202 3314080 3317650 3317748 "U32MAT" 3317810 T U32MAT (NIL) -8 NIL NIL) (-1201 3310043 3314025 3314061 "U16VEC" 3314066 T U16VEC (NIL) -8 NIL NIL) (-1200 3306237 3309807 3309905 "U16MAT" 3309967 T U16MAT (NIL) -8 NIL NIL) (-1199 3306169 3306174 3306205 "TYPE" 3306210 T TYPE (NIL) -9 NIL NIL) (-1198 3305140 3305342 3305582 "TWOFACT" 3305963 NIL TWOFACT (NIL T) -7 NIL NIL) (-1197 3304212 3304543 3304742 "TUPLE" 3304976 NIL TUPLE (NIL T) -8 NIL NIL) (-1196 3301903 3302422 3302961 "TUBETOOL" 3303695 T TUBETOOL (NIL) -7 NIL NIL) (-1195 3300752 3300957 3301198 "TUBE" 3301696 NIL TUBE (NIL T) -8 NIL NIL) (-1194 3295472 3299726 3300008 "TS" 3300505 NIL TS (NIL T) -8 NIL NIL) (-1193 3284146 3288231 3288329 "TSETCAT" 3293598 NIL TSETCAT (NIL T T T T) -9 NIL 3295128) (-1192 3278881 3280478 3282369 "TSETCAT-" 3282374 NIL TSETCAT- (NIL T T T T T) -8 NIL NIL) (-1191 3273151 3273998 3274936 "TRMANIP" 3278021 NIL TRMANIP (NIL T T) -7 NIL NIL) (-1190 3272592 3272655 3272818 "TRIMAT" 3273083 NIL TRIMAT (NIL T T T T) -7 NIL NIL) (-1189 3270388 3270625 3270989 "TRIGMNIP" 3272341 NIL TRIGMNIP (NIL T T) -7 NIL NIL) (-1188 3269907 3270020 3270051 "TRIGCAT" 3270264 T TRIGCAT (NIL) -9 NIL NIL) (-1187 3269576 3269655 3269796 "TRIGCAT-" 3269801 NIL TRIGCAT- (NIL T) -8 NIL NIL) (-1186 3266479 3268434 3268715 "TREE" 3269330 NIL TREE (NIL T) -8 NIL NIL) (-1185 3265752 3266280 3266311 "TRANFUN" 3266346 T TRANFUN (NIL) -9 NIL 3266412) (-1184 3265031 3265222 3265502 "TRANFUN-" 3265507 NIL TRANFUN- (NIL T) -8 NIL NIL) (-1183 3264835 3264867 3264928 "TOPSP" 3264992 T TOPSP (NIL) -7 NIL NIL) (-1182 3264183 3264298 3264452 "TOOLSIGN" 3264716 NIL TOOLSIGN (NIL T) -7 NIL NIL) (-1181 3262818 3263360 3263599 "TEXTFILE" 3263966 T TEXTFILE (NIL) -8 NIL NIL) (-1180 3260683 3261197 3261635 "TEX" 3262402 T TEX (NIL) -8 NIL NIL) (-1179 3260464 3260495 3260567 "TEX1" 3260646 NIL TEX1 (NIL T) -7 NIL NIL) (-1178 3260112 3260175 3260265 "TEMUTL" 3260396 T TEMUTL (NIL) -7 NIL NIL) (-1177 3258266 3258546 3258871 "TBCMPPK" 3259835 NIL TBCMPPK (NIL T T) -7 NIL NIL) (-1176 3250011 3256271 3256328 "TBAGG" 3256728 NIL TBAGG (NIL T T) -9 NIL 3256939) (-1175 3245081 3246569 3248323 "TBAGG-" 3248328 NIL TBAGG- (NIL T T T) -8 NIL NIL) (-1174 3244465 3244572 3244717 "TANEXP" 3244970 NIL TANEXP (NIL T) -7 NIL NIL) (-1173 3237978 3244322 3244415 "TABLE" 3244420 NIL TABLE (NIL T T) -8 NIL NIL) (-1172 3237391 3237489 3237627 "TABLEAU" 3237875 NIL TABLEAU (NIL T) -8 NIL NIL) (-1171 3231999 3233219 3234467 "TABLBUMP" 3236177 NIL TABLBUMP (NIL T) -7 NIL NIL) (-1170 3228462 3229157 3229940 "SYSSOLP" 3231250 NIL SYSSOLP (NIL T) -7 NIL NIL) (-1169 3225596 3226204 3226842 "SYMTAB" 3227846 T SYMTAB (NIL) -8 NIL NIL) (-1168 3220845 3221747 3222730 "SYMS" 3224635 T SYMS (NIL) -8 NIL NIL) (-1167 3218077 3220309 3220536 "SYMPOLY" 3220653 NIL SYMPOLY (NIL T) -8 NIL NIL) (-1166 3217594 3217669 3217792 "SYMFUNC" 3217989 NIL SYMFUNC (NIL T) -7 NIL NIL) (-1165 3213572 3214831 3215653 "SYMBOL" 3216794 T SYMBOL (NIL) -8 NIL NIL) (-1164 3207111 3208800 3210520 "SWITCH" 3211874 T SWITCH (NIL) -8 NIL NIL) (-1163 3200337 3205934 3206236 "SUTS" 3206867 NIL SUTS (NIL T NIL NIL) -8 NIL NIL) (-1162 3192223 3199454 3199735 "SUPXS" 3200114 NIL SUPXS (NIL T NIL NIL) -8 NIL NIL) (-1161 3183708 3191841 3191967 "SUP" 3192132 NIL SUP (NIL T) -8 NIL NIL) (-1160 3182867 3182994 3183211 "SUPFRACF" 3183576 NIL SUPFRACF (NIL T T T T) -7 NIL NIL) (-1159 3173439 3182669 3182783 "SUPEXPR" 3182788 NIL SUPEXPR (NIL T) -8 NIL NIL) (-1158 3173060 3173119 3173232 "SUP2" 3173374 NIL SUP2 (NIL T T) -7 NIL NIL) (-1157 3171473 3171747 3172110 "SUMRF" 3172759 NIL SUMRF (NIL T) -7 NIL NIL) (-1156 3170787 3170853 3171052 "SUMFS" 3171394 NIL SUMFS (NIL T T) -7 NIL NIL) (-1155 3154711 3169966 3170216 "SULS" 3170595 NIL SULS (NIL T NIL NIL) -8 NIL NIL) (-1154 3154033 3154236 3154376 "SUCH" 3154619 NIL SUCH (NIL T T) -8 NIL NIL) (-1153 3147927 3148939 3149898 "SUBSPACE" 3153121 NIL SUBSPACE (NIL NIL T) -8 NIL NIL) (-1152 3147359 3147449 3147612 "SUBRESP" 3147816 NIL SUBRESP (NIL T T) -7 NIL NIL) (-1151 3140728 3142024 3143335 "STTF" 3146095 NIL STTF (NIL T) -7 NIL NIL) (-1150 3134901 3136021 3137168 "STTFNC" 3139628 NIL STTFNC (NIL T) -7 NIL NIL) (-1149 3126220 3128087 3129879 "STTAYLOR" 3133144 NIL STTAYLOR (NIL T) -7 NIL NIL) (-1148 3119476 3126084 3126167 "STRTBL" 3126172 NIL STRTBL (NIL T) -8 NIL NIL) (-1147 3114867 3119431 3119462 "STRING" 3119467 T STRING (NIL) -8 NIL NIL) (-1146 3109731 3114209 3114240 "STRICAT" 3114299 T STRICAT (NIL) -9 NIL 3114361) (-1145 3102458 3107258 3107876 "STREAM" 3109148 NIL STREAM (NIL T) -8 NIL NIL) (-1144 3101968 3102045 3102189 "STREAM3" 3102375 NIL STREAM3 (NIL T T T) -7 NIL NIL) (-1143 3100950 3101133 3101368 "STREAM2" 3101781 NIL STREAM2 (NIL T T) -7 NIL NIL) (-1142 3100638 3100690 3100783 "STREAM1" 3100892 NIL STREAM1 (NIL T) -7 NIL NIL) (-1141 3100282 3100348 3100455 "STNSR" 3100566 NIL STNSR (NIL T) -7 NIL NIL) (-1140 3099298 3099479 3099710 "STINPROD" 3100098 NIL STINPROD (NIL T) -7 NIL NIL) (-1139 3098875 3099059 3099090 "STEP" 3099170 T STEP (NIL) -9 NIL 3099248) (-1138 3092430 3098774 3098851 "STBL" 3098856 NIL STBL (NIL T T NIL) -8 NIL NIL) (-1137 3087644 3091682 3091726 "STAGG" 3091879 NIL STAGG (NIL T) -9 NIL 3091968) (-1136 3085346 3085948 3086820 "STAGG-" 3086825 NIL STAGG- (NIL T T) -8 NIL NIL) (-1135 3078838 3080407 3081522 "STACK" 3084266 NIL STACK (NIL T) -8 NIL NIL) (-1134 3071563 3076979 3077435 "SREGSET" 3078468 NIL SREGSET (NIL T T T T) -8 NIL NIL) (-1133 3063989 3065357 3066870 "SRDCMPK" 3070169 NIL SRDCMPK (NIL T T T T T) -7 NIL NIL) (-1132 3056967 3061427 3061458 "SRAGG" 3062761 T SRAGG (NIL) -9 NIL 3063369) (-1131 3055984 3056239 3056618 "SRAGG-" 3056623 NIL SRAGG- (NIL T) -8 NIL NIL) (-1130 3050432 3054907 3055331 "SQMATRIX" 3055607 NIL SQMATRIX (NIL NIL T) -8 NIL NIL) (-1129 3044188 3047150 3047877 "SPLTREE" 3049777 NIL SPLTREE (NIL T T) -8 NIL NIL) (-1128 3040178 3040844 3041490 "SPLNODE" 3043614 NIL SPLNODE (NIL T T) -8 NIL NIL) (-1127 3039224 3039457 3039488 "SPFCAT" 3039932 T SPFCAT (NIL) -9 NIL NIL) (-1126 3037961 3038171 3038435 "SPECOUT" 3038982 T SPECOUT (NIL) -7 NIL NIL) (-1125 3029931 3031678 3031722 "SPACEC" 3036095 NIL SPACEC (NIL T) -9 NIL 3037911) (-1124 3028102 3029863 3029912 "SPACE3" 3029917 NIL SPACE3 (NIL T) -8 NIL NIL) (-1123 3026856 3027027 3027317 "SORTPAK" 3027908 NIL SORTPAK (NIL T T) -7 NIL NIL) (-1122 3024906 3025209 3025628 "SOLVETRA" 3026520 NIL SOLVETRA (NIL T) -7 NIL NIL) (-1121 3023917 3024139 3024413 "SOLVESER" 3024679 NIL SOLVESER (NIL T) -7 NIL NIL) (-1120 3019137 3020018 3021020 "SOLVERAD" 3022969 NIL SOLVERAD (NIL T) -7 NIL NIL) (-1119 3014952 3015561 3016290 "SOLVEFOR" 3018504 NIL SOLVEFOR (NIL T T) -7 NIL NIL) (-1118 3009255 3014300 3014398 "SNTSCAT" 3014403 NIL SNTSCAT (NIL T T T T) -9 NIL 3014473) (-1117 3003353 3007580 3007970 "SMTS" 3008946 NIL SMTS (NIL T T T) -8 NIL NIL) (-1116 2997757 3003241 3003318 "SMP" 3003323 NIL SMP (NIL T T) -8 NIL NIL) (-1115 2995916 2996217 2996615 "SMITH" 2997454 NIL SMITH (NIL T T T T) -7 NIL NIL) (-1114 2988858 2993056 2993160 "SMATCAT" 2994511 NIL SMATCAT (NIL NIL T T T) -9 NIL 2995058) (-1113 2985798 2986621 2987799 "SMATCAT-" 2987804 NIL SMATCAT- (NIL T NIL T T T) -8 NIL NIL) (-1112 2983551 2985068 2985112 "SKAGG" 2985373 NIL SKAGG (NIL T) -9 NIL 2985508) (-1111 2979609 2982655 2982933 "SINT" 2983295 T SINT (NIL) -8 NIL NIL) (-1110 2979381 2979419 2979485 "SIMPAN" 2979565 T SIMPAN (NIL) -7 NIL NIL) (-1109 2978219 2978440 2978715 "SIGNRF" 2979140 NIL SIGNRF (NIL T) -7 NIL NIL) (-1108 2977024 2977175 2977466 "SIGNEF" 2978048 NIL SIGNEF (NIL T T) -7 NIL NIL) (-1107 2974716 2975170 2975675 "SHP" 2976566 NIL SHP (NIL T NIL) -7 NIL NIL) (-1106 2968540 2974617 2974693 "SHDP" 2974698 NIL SHDP (NIL NIL NIL T) -8 NIL NIL) (-1105 2968028 2968220 2968251 "SGROUP" 2968403 T SGROUP (NIL) -9 NIL 2968490) (-1104 2967798 2967850 2967954 "SGROUP-" 2967959 NIL SGROUP- (NIL T) -8 NIL NIL) (-1103 2964634 2965331 2966054 "SGCF" 2967097 T SGCF (NIL) -7 NIL NIL) (-1102 2959035 2964080 2964178 "SFRTCAT" 2964183 NIL SFRTCAT (NIL T T T T) -9 NIL 2964222) (-1101 2952459 2953474 2954610 "SFRGCD" 2958018 NIL SFRGCD (NIL T T T T T) -7 NIL NIL) (-1100 2945587 2946658 2947844 "SFQCMPK" 2951392 NIL SFQCMPK (NIL T T T T T) -7 NIL NIL) (-1099 2945209 2945298 2945408 "SFORT" 2945528 NIL SFORT (NIL T T) -8 NIL NIL) (-1098 2944354 2945049 2945170 "SEXOF" 2945175 NIL SEXOF (NIL T T T T T) -8 NIL NIL) (-1097 2943488 2944235 2944303 "SEX" 2944308 T SEX (NIL) -8 NIL NIL) (-1096 2938263 2938952 2939048 "SEXCAT" 2942819 NIL SEXCAT (NIL T T T T T) -9 NIL 2943438) (-1095 2935443 2938197 2938245 "SET" 2938250 NIL SET (NIL T) -8 NIL NIL) (-1094 2933694 2934156 2934461 "SETMN" 2935184 NIL SETMN (NIL NIL NIL) -8 NIL NIL) (-1093 2933299 2933425 2933456 "SETCAT" 2933573 T SETCAT (NIL) -9 NIL 2933658) (-1092 2933079 2933131 2933230 "SETCAT-" 2933235 NIL SETCAT- (NIL T) -8 NIL NIL) (-1091 2932742 2932892 2932923 "SETCATD" 2932982 T SETCATD (NIL) -9 NIL 2933029) (-1090 2929128 2931202 2931246 "SETAGG" 2932116 NIL SETAGG (NIL T) -9 NIL 2932456) (-1089 2928586 2928702 2928939 "SETAGG-" 2928944 NIL SETAGG- (NIL T T) -8 NIL NIL) (-1088 2927789 2928082 2928144 "SEGXCAT" 2928430 NIL SEGXCAT (NIL T T) -9 NIL 2928550) (-1087 2926849 2927459 2927639 "SEG" 2927644 NIL SEG (NIL T) -8 NIL NIL) (-1086 2925755 2925968 2926012 "SEGCAT" 2926594 NIL SEGCAT (NIL T) -9 NIL 2926832) (-1085 2924806 2925136 2925335 "SEGBIND" 2925591 NIL SEGBIND (NIL T) -8 NIL NIL) (-1084 2924427 2924486 2924599 "SEGBIND2" 2924741 NIL SEGBIND2 (NIL T T) -7 NIL NIL) (-1083 2923648 2923774 2923977 "SEG2" 2924272 NIL SEG2 (NIL T T) -7 NIL NIL) (-1082 2923085 2923583 2923630 "SDVAR" 2923635 NIL SDVAR (NIL T) -8 NIL NIL) (-1081 2915329 2922855 2922985 "SDPOL" 2922990 NIL SDPOL (NIL T) -8 NIL NIL) (-1080 2911352 2912381 2913028 "SD" 2914729 NIL SD (NIL T) -8 NIL NIL) (-1079 2909945 2910211 2910530 "SCPKG" 2911067 NIL SCPKG (NIL T) -7 NIL NIL) (-1078 2909166 2909299 2909478 "SCACHE" 2909800 NIL SCACHE (NIL T) -7 NIL NIL) (-1077 2908605 2908926 2909011 "SAOS" 2909103 T SAOS (NIL) -8 NIL NIL) (-1076 2908170 2908205 2908378 "SAERFFC" 2908564 NIL SAERFFC (NIL T T T) -7 NIL NIL) (-1075 2902059 2908067 2908147 "SAE" 2908152 NIL SAE (NIL T T NIL) -8 NIL NIL) (-1074 2901652 2901687 2901846 "SAEFACT" 2902018 NIL SAEFACT (NIL T T T) -7 NIL NIL) (-1073 2899973 2900287 2900688 "RURPK" 2901318 NIL RURPK (NIL T NIL) -7 NIL NIL) (-1072 2898609 2898888 2899200 "RULESET" 2899807 NIL RULESET (NIL T T T) -8 NIL NIL) (-1071 2895796 2896299 2896764 "RULE" 2898290 NIL RULE (NIL T T T) -8 NIL NIL) (-1070 2895435 2895590 2895673 "RULECOLD" 2895748 NIL RULECOLD (NIL NIL) -8 NIL NIL) (-1069 2890284 2891078 2891998 "RSETGCD" 2894634 NIL RSETGCD (NIL T T T T T) -7 NIL NIL) (-1068 2879547 2884592 2884690 "RSETCAT" 2888809 NIL RSETCAT (NIL T T T T) -9 NIL 2889906) (-1067 2877474 2878013 2878837 "RSETCAT-" 2878842 NIL RSETCAT- (NIL T T T T T) -8 NIL NIL) (-1066 2869861 2871236 2872756 "RSDCMPK" 2876073 NIL RSDCMPK (NIL T T T T T) -7 NIL NIL) (-1065 2867865 2868306 2868381 "RRCC" 2869467 NIL RRCC (NIL T T) -9 NIL 2869811) (-1064 2867216 2867390 2867669 "RRCC-" 2867674 NIL RRCC- (NIL T T T) -8 NIL NIL) (-1063 2841363 2850992 2851060 "RPOLCAT" 2861724 NIL RPOLCAT (NIL T T T) -9 NIL 2864872) (-1062 2832863 2835201 2838323 "RPOLCAT-" 2838328 NIL RPOLCAT- (NIL T T T T) -8 NIL NIL) (-1061 2823922 2831074 2831556 "ROUTINE" 2832403 T ROUTINE (NIL) -8 NIL NIL) (-1060 2820622 2823473 2823622 "ROMAN" 2823795 T ROMAN (NIL) -8 NIL NIL) (-1059 2818897 2819482 2819742 "ROIRC" 2820427 NIL ROIRC (NIL T T) -8 NIL NIL) (-1058 2815235 2817535 2817566 "RNS" 2817870 T RNS (NIL) -9 NIL 2818144) (-1057 2813744 2814127 2814661 "RNS-" 2814736 NIL RNS- (NIL T) -8 NIL NIL) (-1056 2813166 2813574 2813605 "RNG" 2813610 T RNG (NIL) -9 NIL 2813631) (-1055 2812557 2812919 2812963 "RMODULE" 2813025 NIL RMODULE (NIL T) -9 NIL 2813067) (-1054 2811393 2811487 2811823 "RMCAT2" 2812458 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) -7 NIL NIL) (-1053 2808102 2810571 2810894 "RMATRIX" 2811129 NIL RMATRIX (NIL NIL NIL T) -8 NIL NIL) (-1052 2801048 2803282 2803398 "RMATCAT" 2806757 NIL RMATCAT (NIL NIL NIL T T T) -9 NIL 2807734) (-1051 2800423 2800570 2800877 "RMATCAT-" 2800882 NIL RMATCAT- (NIL T NIL NIL T T T) -8 NIL NIL) (-1050 2799990 2800065 2800193 "RINTERP" 2800342 NIL RINTERP (NIL NIL T) -7 NIL NIL) (-1049 2799033 2799597 2799628 "RING" 2799740 T RING (NIL) -9 NIL 2799835) (-1048 2798825 2798869 2798966 "RING-" 2798971 NIL RING- (NIL T) -8 NIL NIL) (-1047 2797666 2797903 2798161 "RIDIST" 2798589 T RIDIST (NIL) -7 NIL NIL) (-1046 2788982 2797134 2797340 "RGCHAIN" 2797514 NIL RGCHAIN (NIL T NIL) -8 NIL NIL) (-1045 2787782 2788023 2788302 "RFP" 2788737 NIL RFP (NIL T) -7 NIL NIL) (-1044 2784776 2785390 2786060 "RF" 2787146 NIL RF (NIL T) -7 NIL NIL) (-1043 2784422 2784485 2784588 "RFFACTOR" 2784707 NIL RFFACTOR (NIL T) -7 NIL NIL) (-1042 2784147 2784182 2784279 "RFFACT" 2784381 NIL RFFACT (NIL T) -7 NIL NIL) (-1041 2782264 2782628 2783010 "RFDIST" 2783787 T RFDIST (NIL) -7 NIL NIL) (-1040 2781717 2781809 2781972 "RETSOL" 2782166 NIL RETSOL (NIL T T) -7 NIL NIL) (-1039 2781304 2781384 2781428 "RETRACT" 2781621 NIL RETRACT (NIL T) -9 NIL NIL) (-1038 2781153 2781178 2781265 "RETRACT-" 2781270 NIL RETRACT- (NIL T T) -8 NIL NIL) (-1037 2774019 2780806 2780933 "RESULT" 2781048 T RESULT (NIL) -8 NIL NIL) (-1036 2772599 2773288 2773487 "RESRING" 2773922 NIL RESRING (NIL T T T T NIL) -8 NIL NIL) (-1035 2772235 2772284 2772382 "RESLATC" 2772536 NIL RESLATC (NIL T) -7 NIL NIL) (-1034 2771941 2771975 2772082 "REPSQ" 2772194 NIL REPSQ (NIL T) -7 NIL NIL) (-1033 2769363 2769943 2770545 "REP" 2771361 T REP (NIL) -7 NIL NIL) (-1032 2769061 2769095 2769206 "REPDB" 2769322 NIL REPDB (NIL T) -7 NIL NIL) (-1031 2762979 2764358 2765577 "REP2" 2767877 NIL REP2 (NIL T) -7 NIL NIL) (-1030 2759360 2760041 2760847 "REP1" 2762208 NIL REP1 (NIL T) -7 NIL NIL) (-1029 2752086 2757501 2757957 "REGSET" 2758990 NIL REGSET (NIL T T T T) -8 NIL NIL) (-1028 2750901 2751236 2751485 "REF" 2751872 NIL REF (NIL T) -8 NIL NIL) (-1027 2750278 2750381 2750548 "REDORDER" 2750785 NIL REDORDER (NIL T T) -7 NIL NIL) (-1026 2747140 2747606 2748215 "RECOP" 2749812 NIL RECOP (NIL T T) -7 NIL NIL) (-1025 2743080 2746353 2746580 "RECLOS" 2746968 NIL RECLOS (NIL T) -8 NIL NIL) (-1024 2742132 2742313 2742528 "REALSOLV" 2742887 T REALSOLV (NIL) -7 NIL NIL) (-1023 2741977 2742018 2742049 "REAL" 2742054 T REAL (NIL) -9 NIL 2742089) (-1022 2738460 2739262 2740146 "REAL0Q" 2741142 NIL REAL0Q (NIL T) -7 NIL NIL) (-1021 2734061 2735049 2736110 "REAL0" 2737441 NIL REAL0 (NIL T) -7 NIL NIL) (-1020 2733466 2733538 2733745 "RDIV" 2733983 NIL RDIV (NIL T T T T T) -7 NIL NIL) (-1019 2732534 2732708 2732921 "RDIST" 2733288 NIL RDIST (NIL T) -7 NIL NIL) (-1018 2731131 2731418 2731790 "RDETRS" 2732242 NIL RDETRS (NIL T T) -7 NIL NIL) (-1017 2728943 2729397 2729935 "RDETR" 2730673 NIL RDETR (NIL T T) -7 NIL NIL) (-1016 2727554 2727832 2728236 "RDEEFS" 2728659 NIL RDEEFS (NIL T T) -7 NIL NIL) (-1015 2726049 2726355 2726787 "RDEEF" 2727242 NIL RDEEF (NIL T T) -7 NIL NIL) (-1014 2720240 2723175 2723206 "RCFIELD" 2724501 T RCFIELD (NIL) -9 NIL 2725232) (-1013 2718304 2718808 2719504 "RCFIELD-" 2719579 NIL RCFIELD- (NIL T) -8 NIL NIL) (-1012 2714662 2716441 2716485 "RCAGG" 2717569 NIL RCAGG (NIL T) -9 NIL 2718032) (-1011 2714290 2714384 2714547 "RCAGG-" 2714552 NIL RCAGG- (NIL T T) -8 NIL NIL) (-1010 2713626 2713737 2713902 "RATRET" 2714174 NIL RATRET (NIL T) -7 NIL NIL) (-1009 2713179 2713246 2713367 "RATFACT" 2713554 NIL RATFACT (NIL T) -7 NIL NIL) (-1008 2712487 2712607 2712759 "RANDSRC" 2713049 T RANDSRC (NIL) -7 NIL NIL) (-1007 2712221 2712265 2712338 "RADUTIL" 2712436 T RADUTIL (NIL) -7 NIL NIL) (-1006 2705209 2710954 2711273 "RADIX" 2711936 NIL RADIX (NIL NIL) -8 NIL NIL) (-1005 2696772 2705051 2705181 "RADFF" 2705186 NIL RADFF (NIL T T T NIL NIL) -8 NIL NIL) (-1004 2696418 2696493 2696524 "RADCAT" 2696684 T RADCAT (NIL) -9 NIL NIL) (-1003 2696200 2696248 2696348 "RADCAT-" 2696353 NIL RADCAT- (NIL T) -8 NIL NIL) (-1002 2689447 2691065 2692218 "QUEUE" 2695082 NIL QUEUE (NIL T) -8 NIL NIL) (-1001 2685936 2689382 2689429 "QUAT" 2689434 NIL QUAT (NIL T) -8 NIL NIL) (-1000 2685571 2685614 2685743 "QUATCT2" 2685887 NIL QUATCT2 (NIL T T T T) -7 NIL NIL) (-999 2679308 2682692 2682733 "QUATCAT" 2683513 NIL QUATCAT (NIL T) -9 NIL 2684271) (-998 2675452 2676489 2677876 "QUATCAT-" 2677970 NIL QUATCAT- (NIL T T) -8 NIL NIL) (-997 2673012 2674570 2674612 "QUAGG" 2674987 NIL QUAGG (NIL T) -9 NIL 2675162) (-996 2671937 2672410 2672582 "QFORM" 2672884 NIL QFORM (NIL NIL T) -8 NIL NIL) (-995 2663164 2668431 2668472 "QFCAT" 2669130 NIL QFCAT (NIL T) -9 NIL 2670119) (-994 2658736 2659937 2661528 "QFCAT-" 2661622 NIL QFCAT- (NIL T T) -8 NIL NIL) (-993 2658374 2658417 2658544 "QFCAT2" 2658687 NIL QFCAT2 (NIL T T T T) -7 NIL NIL) (-992 2657834 2657944 2658074 "QEQUAT" 2658264 T QEQUAT (NIL) -8 NIL NIL) (-991 2650982 2652053 2653237 "QCMPACK" 2656767 NIL QCMPACK (NIL T T T T T) -7 NIL NIL) (-990 2648562 2648983 2649409 "QALGSET" 2650639 NIL QALGSET (NIL T T T T) -8 NIL NIL) (-989 2647807 2647981 2648213 "QALGSET2" 2648382 NIL QALGSET2 (NIL NIL NIL) -7 NIL NIL) (-988 2646498 2646721 2647038 "PWFFINTB" 2647580 NIL PWFFINTB (NIL T T T T) -7 NIL NIL) (-987 2644680 2644848 2645202 "PUSHVAR" 2646312 NIL PUSHVAR (NIL T T T T) -7 NIL NIL) (-986 2640597 2641651 2641693 "PTRANFN" 2643577 NIL PTRANFN (NIL T) -9 NIL NIL) (-985 2638999 2639290 2639612 "PTPACK" 2640308 NIL PTPACK (NIL T) -7 NIL NIL) (-984 2638631 2638688 2638797 "PTFUNC2" 2638936 NIL PTFUNC2 (NIL T T) -7 NIL NIL) (-983 2633131 2637465 2637507 "PTCAT" 2637880 NIL PTCAT (NIL T) -9 NIL 2638042) (-982 2632789 2632824 2632948 "PSQFR" 2633090 NIL PSQFR (NIL T T T T) -7 NIL NIL) (-981 2631376 2631676 2632012 "PSEUDLIN" 2632485 NIL PSEUDLIN (NIL T) -7 NIL NIL) (-980 2618152 2620516 2622837 "PSETPK" 2629139 NIL PSETPK (NIL T T T T) -7 NIL NIL) (-979 2611196 2613910 2614007 "PSETCAT" 2617028 NIL PSETCAT (NIL T T T T) -9 NIL 2617841) (-978 2609032 2609666 2610487 "PSETCAT-" 2610492 NIL PSETCAT- (NIL T T T T T) -8 NIL NIL) (-977 2608381 2608545 2608574 "PSCURVE" 2608842 T PSCURVE (NIL) -9 NIL 2609009) (-976 2604770 2606296 2606362 "PSCAT" 2607206 NIL PSCAT (NIL T T T) -9 NIL 2607446) (-975 2603833 2604049 2604449 "PSCAT-" 2604454 NIL PSCAT- (NIL T T T T) -8 NIL NIL) (-974 2602486 2603118 2603332 "PRTITION" 2603639 T PRTITION (NIL) -8 NIL NIL) (-973 2599650 2600299 2600340 "PRSPCAT" 2601854 NIL PRSPCAT (NIL T) -9 NIL 2602422) (-972 2588750 2590956 2593143 "PRS" 2597513 NIL PRS (NIL T T) -7 NIL NIL) (-971 2586648 2588134 2588175 "PRQAGG" 2588358 NIL PRQAGG (NIL T) -9 NIL 2588460) (-970 2585917 2586573 2586630 "PROJSP" 2586635 NIL PROJSP (NIL NIL T) -8 NIL NIL) (-969 2585099 2585840 2585892 "PROJPLPS" 2585897 NIL PROJPLPS (NIL T) -8 NIL NIL) (-968 2584358 2585036 2585081 "PROJPL" 2585086 NIL PROJPL (NIL T) -8 NIL NIL) (-967 2578164 2582556 2583360 "PRODUCT" 2583600 NIL PRODUCT (NIL T T) -8 NIL NIL) (-966 2575439 2577628 2577859 "PR" 2577978 NIL PR (NIL T T) -8 NIL NIL) (-965 2573991 2574148 2574443 "PRJALGPK" 2575279 NIL PRJALGPK (NIL T NIL T T T) -7 NIL NIL) (-964 2573787 2573819 2573878 "PRINT" 2573952 T PRINT (NIL) -7 NIL NIL) (-963 2573127 2573244 2573396 "PRIMES" 2573667 NIL PRIMES (NIL T) -7 NIL NIL) (-962 2571192 2571593 2572059 "PRIMELT" 2572706 NIL PRIMELT (NIL T) -7 NIL NIL) (-961 2570920 2570969 2570998 "PRIMCAT" 2571122 T PRIMCAT (NIL) -9 NIL NIL) (-960 2567087 2570858 2570903 "PRIMARR" 2570908 NIL PRIMARR (NIL T) -8 NIL NIL) (-959 2566094 2566272 2566500 "PRIMARR2" 2566905 NIL PRIMARR2 (NIL T T) -7 NIL NIL) (-958 2565737 2565793 2565904 "PREASSOC" 2566032 NIL PREASSOC (NIL T T) -7 NIL NIL) (-957 2565212 2565344 2565373 "PPCURVE" 2565578 T PPCURVE (NIL) -9 NIL 2565714) (-956 2562573 2562972 2563563 "POLYROOT" 2564794 NIL POLYROOT (NIL T T T T T) -7 NIL NIL) (-955 2556474 2562179 2562338 "POLY" 2562447 NIL POLY (NIL T) -8 NIL NIL) (-954 2555857 2555915 2556149 "POLYLIFT" 2556410 NIL POLYLIFT (NIL T T T T T) -7 NIL NIL) (-953 2552132 2552581 2553210 "POLYCATQ" 2555402 NIL POLYCATQ (NIL T T T T T) -7 NIL NIL) (-952 2539094 2544494 2544560 "POLYCAT" 2548074 NIL POLYCAT (NIL T T T) -9 NIL 2549987) (-951 2532544 2534405 2536789 "POLYCAT-" 2536794 NIL POLYCAT- (NIL T T T T) -8 NIL NIL) (-950 2532131 2532199 2532319 "POLY2UP" 2532470 NIL POLY2UP (NIL NIL T) -7 NIL NIL) (-949 2531763 2531820 2531929 "POLY2" 2532068 NIL POLY2 (NIL T T) -7 NIL NIL) (-948 2530450 2530689 2530964 "POLUTIL" 2531538 NIL POLUTIL (NIL T T) -7 NIL NIL) (-947 2528805 2529082 2529413 "POLTOPOL" 2530172 NIL POLTOPOL (NIL NIL T) -7 NIL NIL) (-946 2524327 2528741 2528787 "POINT" 2528792 NIL POINT (NIL T) -8 NIL NIL) (-945 2522514 2522871 2523246 "PNTHEORY" 2523972 T PNTHEORY (NIL) -7 NIL NIL) (-944 2520933 2521230 2521642 "PMTOOLS" 2522212 NIL PMTOOLS (NIL T T T) -7 NIL NIL) (-943 2520526 2520604 2520721 "PMSYM" 2520849 NIL PMSYM (NIL T) -7 NIL NIL) (-942 2520036 2520105 2520279 "PMQFCAT" 2520451 NIL PMQFCAT (NIL T T T) -7 NIL NIL) (-941 2519391 2519501 2519657 "PMPRED" 2519913 NIL PMPRED (NIL T) -7 NIL NIL) (-940 2518787 2518873 2519034 "PMPREDFS" 2519292 NIL PMPREDFS (NIL T T T) -7 NIL NIL) (-939 2517432 2517640 2518024 "PMPLCAT" 2518550 NIL PMPLCAT (NIL T T T T T) -7 NIL NIL) (-938 2516964 2517043 2517195 "PMLSAGG" 2517347 NIL PMLSAGG (NIL T T T) -7 NIL NIL) (-937 2516439 2516515 2516696 "PMKERNEL" 2516882 NIL PMKERNEL (NIL T T) -7 NIL NIL) (-936 2516056 2516131 2516244 "PMINS" 2516358 NIL PMINS (NIL T) -7 NIL NIL) (-935 2515484 2515553 2515769 "PMFS" 2515981 NIL PMFS (NIL T T T) -7 NIL NIL) (-934 2514712 2514830 2515035 "PMDOWN" 2515361 NIL PMDOWN (NIL T T T) -7 NIL NIL) (-933 2513875 2514034 2514216 "PMASS" 2514550 T PMASS (NIL) -7 NIL NIL) (-932 2513149 2513260 2513423 "PMASSFS" 2513761 NIL PMASSFS (NIL T T) -7 NIL NIL) (-931 2510909 2511162 2511545 "PLPKCRV" 2512873 NIL PLPKCRV (NIL T T T NIL T) -7 NIL NIL) (-930 2510564 2510632 2510726 "PLOTTOOL" 2510835 T PLOTTOOL (NIL) -7 NIL NIL) (-929 2505186 2506375 2507523 "PLOT" 2509436 T PLOT (NIL) -8 NIL NIL) (-928 2501000 2502034 2502955 "PLOT3D" 2504285 T PLOT3D (NIL) -8 NIL NIL) (-927 2499912 2500089 2500324 "PLOT1" 2500804 NIL PLOT1 (NIL T) -7 NIL NIL) (-926 2475307 2479978 2484829 "PLEQN" 2495178 NIL PLEQN (NIL T T T T) -7 NIL NIL) (-925 2474547 2475217 2475284 "PLCS" 2475289 NIL PLCS (NIL T T) -8 NIL NIL) (-924 2473698 2474432 2474503 "PLACESPS" 2474508 NIL PLACESPS (NIL T) -8 NIL NIL) (-923 2472905 2473611 2473668 "PLACES" 2473673 NIL PLACES (NIL T) -8 NIL NIL) (-922 2469629 2470293 2470352 "PLACESC" 2472270 NIL PLACESC (NIL T T) -9 NIL 2472841) (-921 2468947 2469069 2469249 "PINTERP" 2469494 NIL PINTERP (NIL NIL T) -7 NIL NIL) (-920 2468640 2468687 2468790 "PINTERPA" 2468894 NIL PINTERPA (NIL T T) -7 NIL NIL) (-919 2467867 2468434 2468527 "PI" 2468567 T PI (NIL) -8 NIL NIL) (-918 2466254 2467239 2467268 "PID" 2467450 T PID (NIL) -9 NIL 2467584) (-917 2465979 2466016 2466104 "PICOERCE" 2466211 NIL PICOERCE (NIL T) -7 NIL NIL) (-916 2465300 2465438 2465614 "PGROEB" 2465835 NIL PGROEB (NIL T) -7 NIL NIL) (-915 2460887 2461701 2462606 "PGE" 2464415 T PGE (NIL) -7 NIL NIL) (-914 2459011 2459257 2459623 "PGCD" 2460604 NIL PGCD (NIL T T T T) -7 NIL NIL) (-913 2458349 2458452 2458613 "PFRPAC" 2458895 NIL PFRPAC (NIL T) -7 NIL NIL) (-912 2454964 2456897 2457250 "PFR" 2458028 NIL PFR (NIL T) -8 NIL NIL) (-911 2453353 2453597 2453922 "PFOTOOLS" 2454711 NIL PFOTOOLS (NIL T T) -7 NIL NIL) (-910 2448218 2448883 2449632 "PFORP" 2452695 NIL PFORP (NIL T T T NIL) -7 NIL NIL) (-909 2446751 2446990 2447341 "PFOQ" 2447975 NIL PFOQ (NIL T T T) -7 NIL NIL) (-908 2445224 2445436 2445799 "PFO" 2446535 NIL PFO (NIL T T T T T) -7 NIL NIL) (-907 2441747 2445113 2445182 "PF" 2445187 NIL PF (NIL NIL) -8 NIL NIL) (-906 2439172 2440453 2440482 "PFECAT" 2441067 T PFECAT (NIL) -9 NIL 2441450) (-905 2438617 2438771 2438985 "PFECAT-" 2438990 NIL PFECAT- (NIL T) -8 NIL NIL) (-904 2437221 2437472 2437773 "PFBRU" 2438366 NIL PFBRU (NIL T T) -7 NIL NIL) (-903 2435088 2435439 2435871 "PFBR" 2436872 NIL PFBR (NIL T T T T) -7 NIL NIL) (-902 2430944 2432468 2433142 "PERM" 2434447 NIL PERM (NIL T) -8 NIL NIL) (-901 2426211 2427151 2428021 "PERMGRP" 2430107 NIL PERMGRP (NIL T) -8 NIL NIL) (-900 2424282 2425275 2425317 "PERMCAT" 2425763 NIL PERMCAT (NIL T) -9 NIL 2426066) (-899 2423935 2423976 2424100 "PERMAN" 2424235 NIL PERMAN (NIL NIL T) -7 NIL NIL) (-898 2421381 2423504 2423635 "PENDTREE" 2423837 NIL PENDTREE (NIL T) -8 NIL NIL) (-897 2419449 2420227 2420269 "PDRING" 2420926 NIL PDRING (NIL T) -9 NIL 2421212) (-896 2418552 2418770 2419132 "PDRING-" 2419137 NIL PDRING- (NIL T T) -8 NIL NIL) (-895 2415694 2416444 2417135 "PDEPROB" 2417881 T PDEPROB (NIL) -8 NIL NIL) (-894 2413241 2413743 2414298 "PDEPACK" 2415159 T PDEPACK (NIL) -7 NIL NIL) (-893 2412153 2412343 2412594 "PDECOMP" 2413040 NIL PDECOMP (NIL T T) -7 NIL NIL) (-892 2409757 2410574 2410603 "PDECAT" 2411390 T PDECAT (NIL) -9 NIL 2412103) (-891 2409508 2409541 2409631 "PCOMP" 2409718 NIL PCOMP (NIL T T) -7 NIL NIL) (-890 2407713 2408309 2408606 "PBWLB" 2409237 NIL PBWLB (NIL T) -8 NIL NIL) (-889 2400218 2401786 2403124 "PATTERN" 2406396 NIL PATTERN (NIL T) -8 NIL NIL) (-888 2399850 2399907 2400016 "PATTERN2" 2400155 NIL PATTERN2 (NIL T T) -7 NIL NIL) (-887 2397607 2397995 2398452 "PATTERN1" 2399439 NIL PATTERN1 (NIL T T) -7 NIL NIL) (-886 2395002 2395556 2396037 "PATRES" 2397172 NIL PATRES (NIL T T) -8 NIL NIL) (-885 2394566 2394633 2394765 "PATRES2" 2394929 NIL PATRES2 (NIL T T T) -7 NIL NIL) (-884 2392449 2392854 2393261 "PATMATCH" 2394233 NIL PATMATCH (NIL T T T) -7 NIL NIL) (-883 2391984 2392167 2392209 "PATMAB" 2392316 NIL PATMAB (NIL T) -9 NIL 2392399) (-882 2390529 2390838 2391096 "PATLRES" 2391789 NIL PATLRES (NIL T T T) -8 NIL NIL) (-881 2390076 2390199 2390241 "PATAB" 2390246 NIL PATAB (NIL T) -9 NIL 2390416) (-880 2387557 2388089 2388662 "PARTPERM" 2389523 T PARTPERM (NIL) -7 NIL NIL) (-879 2387178 2387241 2387343 "PARSURF" 2387488 NIL PARSURF (NIL T) -8 NIL NIL) (-878 2386810 2386867 2386976 "PARSU2" 2387115 NIL PARSU2 (NIL T T) -7 NIL NIL) (-877 2386431 2386494 2386596 "PARSCURV" 2386741 NIL PARSCURV (NIL T) -8 NIL NIL) (-876 2386063 2386120 2386229 "PARSC2" 2386368 NIL PARSC2 (NIL T T) -7 NIL NIL) (-875 2385702 2385760 2385857 "PARPCURV" 2385999 NIL PARPCURV (NIL T) -8 NIL NIL) (-874 2385334 2385391 2385500 "PARPC2" 2385639 NIL PARPC2 (NIL T T) -7 NIL NIL) (-873 2383814 2383932 2384251 "PARAMP" 2385189 NIL PARAMP (NIL T NIL T T T T T) -7 NIL NIL) (-872 2383334 2383420 2383539 "PAN2EXPR" 2383715 T PAN2EXPR (NIL) -7 NIL NIL) (-871 2382140 2382455 2382683 "PALETTE" 2383126 T PALETTE (NIL) -8 NIL NIL) (-870 2369773 2371939 2374055 "PAFF" 2380088 NIL PAFF (NIL T NIL T) -7 NIL NIL) (-869 2356769 2359097 2361308 "PAFFFF" 2367626 NIL PAFFFF (NIL T NIL T) -7 NIL NIL) (-868 2350610 2356028 2356222 "PADICRC" 2356624 NIL PADICRC (NIL NIL T) -8 NIL NIL) (-867 2343809 2349956 2350140 "PADICRAT" 2350458 NIL PADICRAT (NIL NIL) -8 NIL NIL) (-866 2342113 2343746 2343791 "PADIC" 2343796 NIL PADIC (NIL NIL) -8 NIL NIL) (-865 2339313 2340887 2340928 "PADICCT" 2341509 NIL PADICCT (NIL NIL) -9 NIL 2341791) (-864 2338270 2338470 2338738 "PADEPAC" 2339100 NIL PADEPAC (NIL T NIL NIL) -7 NIL NIL) (-863 2337482 2337615 2337821 "PADE" 2338132 NIL PADE (NIL T T T) -7 NIL NIL) (-862 2333959 2337100 2337219 "PACRAT" 2337383 T PACRAT (NIL) -8 NIL NIL) (-861 2330020 2333070 2333099 "PACRATC" 2333104 T PACRATC (NIL) -9 NIL 2333184) (-860 2326142 2328107 2328136 "PACPERC" 2329082 T PACPERC (NIL) -9 NIL 2329522) (-859 2322812 2325916 2326007 "PACOFF" 2326083 NIL PACOFF (NIL T) -8 NIL NIL) (-858 2319507 2322167 2322196 "PACFFC" 2322201 T PACFFC (NIL) -9 NIL 2322222) (-857 2315597 2319190 2319291 "PACEXT" 2319438 NIL PACEXT (NIL NIL) -8 NIL NIL) (-856 2310975 2314492 2314521 "PACEXTC" 2314526 T PACEXTC (NIL) -9 NIL 2314570) (-855 2308983 2309815 2310130 "OWP" 2310744 NIL OWP (NIL T NIL NIL NIL) -8 NIL NIL) (-854 2308092 2308588 2308760 "OVAR" 2308851 NIL OVAR (NIL NIL) -8 NIL NIL) (-853 2307356 2307477 2307638 "OUT" 2307951 T OUT (NIL) -7 NIL NIL) (-852 2296402 2298581 2300751 "OUTFORM" 2305206 T OUTFORM (NIL) -8 NIL NIL) (-851 2295810 2296131 2296220 "OSI" 2296333 T OSI (NIL) -8 NIL NIL) (-850 2294557 2294784 2295068 "ORTHPOL" 2295558 NIL ORTHPOL (NIL T) -7 NIL NIL) (-849 2291919 2294214 2294354 "OREUP" 2294500 NIL OREUP (NIL NIL T NIL NIL) -8 NIL NIL) (-848 2289306 2291608 2291736 "ORESUP" 2291861 NIL ORESUP (NIL T NIL NIL) -8 NIL NIL) (-847 2286814 2287320 2287885 "OREPCTO" 2288791 NIL OREPCTO (NIL T T) -7 NIL NIL) (-846 2280684 2282895 2282937 "OREPCAT" 2285285 NIL OREPCAT (NIL T) -9 NIL 2286385) (-845 2277831 2278613 2279671 "OREPCAT-" 2279676 NIL OREPCAT- (NIL T T) -8 NIL NIL) (-844 2277007 2277279 2277308 "ORDSET" 2277617 T ORDSET (NIL) -9 NIL 2277781) (-843 2276526 2276648 2276841 "ORDSET-" 2276846 NIL ORDSET- (NIL T) -8 NIL NIL) (-842 2275135 2275936 2275965 "ORDRING" 2276167 T ORDRING (NIL) -9 NIL 2276292) (-841 2274780 2274874 2275018 "ORDRING-" 2275023 NIL ORDRING- (NIL T) -8 NIL NIL) (-840 2274154 2274635 2274664 "ORDMON" 2274669 T ORDMON (NIL) -9 NIL 2274690) (-839 2273316 2273463 2273658 "ORDFUNS" 2274003 NIL ORDFUNS (NIL NIL T) -7 NIL NIL) (-838 2272826 2273185 2273214 "ORDFIN" 2273219 T ORDFIN (NIL) -9 NIL 2273240) (-837 2269338 2271418 2271824 "ORDCOMP" 2272453 NIL ORDCOMP (NIL T) -8 NIL NIL) (-836 2268604 2268731 2268917 "ORDCOMP2" 2269198 NIL ORDCOMP2 (NIL T T) -7 NIL NIL) (-835 2265112 2265994 2266831 "OPTPROB" 2267787 T OPTPROB (NIL) -8 NIL NIL) (-834 2261914 2262553 2263257 "OPTPACK" 2264428 T OPTPACK (NIL) -7 NIL NIL) (-833 2259626 2260366 2260395 "OPTCAT" 2261214 T OPTCAT (NIL) -9 NIL 2261864) (-832 2259394 2259433 2259499 "OPQUERY" 2259580 T OPQUERY (NIL) -7 NIL NIL) (-831 2256520 2257711 2258212 "OP" 2258926 NIL OP (NIL T) -8 NIL NIL) (-830 2253285 2255323 2255689 "ONECOMP" 2256187 NIL ONECOMP (NIL T) -8 NIL NIL) (-829 2252590 2252705 2252879 "ONECOMP2" 2253157 NIL ONECOMP2 (NIL T T) -7 NIL NIL) (-828 2252009 2252115 2252245 "OMSERVER" 2252480 T OMSERVER (NIL) -7 NIL NIL) (-827 2248896 2251448 2251489 "OMSAGG" 2251550 NIL OMSAGG (NIL T) -9 NIL 2251614) (-826 2247519 2247782 2248064 "OMPKG" 2248634 T OMPKG (NIL) -7 NIL NIL) (-825 2246948 2247051 2247080 "OM" 2247379 T OM (NIL) -9 NIL NIL) (-824 2245486 2246499 2246667 "OMLO" 2246830 NIL OMLO (NIL T T) -8 NIL NIL) (-823 2244411 2244558 2244785 "OMEXPR" 2245312 NIL OMEXPR (NIL T) -7 NIL NIL) (-822 2243729 2243957 2244093 "OMERR" 2244295 T OMERR (NIL) -8 NIL NIL) (-821 2242907 2243150 2243310 "OMERRK" 2243589 T OMERRK (NIL) -8 NIL NIL) (-820 2242385 2242584 2242692 "OMENC" 2242819 T OMENC (NIL) -8 NIL NIL) (-819 2236280 2237465 2238636 "OMDEV" 2241234 T OMDEV (NIL) -8 NIL NIL) (-818 2235349 2235520 2235714 "OMCONN" 2236106 T OMCONN (NIL) -8 NIL NIL) (-817 2233960 2234946 2234975 "OINTDOM" 2234980 T OINTDOM (NIL) -9 NIL 2235001) (-816 2229611 2230866 2231610 "OFMONOID" 2233248 NIL OFMONOID (NIL T) -8 NIL NIL) (-815 2229049 2229548 2229593 "ODVAR" 2229598 NIL ODVAR (NIL T) -8 NIL NIL) (-814 2226176 2228548 2228732 "ODR" 2228925 NIL ODR (NIL T T NIL) -8 NIL NIL) (-813 2218474 2225952 2226078 "ODPOL" 2226083 NIL ODPOL (NIL T) -8 NIL NIL) (-812 2212268 2218346 2218451 "ODP" 2218456 NIL ODP (NIL NIL T NIL) -8 NIL NIL) (-811 2211034 2211249 2211524 "ODETOOLS" 2212042 NIL ODETOOLS (NIL T T) -7 NIL NIL) (-810 2208003 2208659 2209375 "ODESYS" 2210367 NIL ODESYS (NIL T T) -7 NIL NIL) (-809 2202887 2203795 2204819 "ODERTRIC" 2207079 NIL ODERTRIC (NIL T T) -7 NIL NIL) (-808 2202313 2202395 2202589 "ODERED" 2202799 NIL ODERED (NIL T T T T T) -7 NIL NIL) (-807 2199201 2199749 2200426 "ODERAT" 2201736 NIL ODERAT (NIL T T) -7 NIL NIL) (-806 2196161 2196625 2197222 "ODEPRRIC" 2198730 NIL ODEPRRIC (NIL T T T T) -7 NIL NIL) (-805 2194032 2194599 2195108 "ODEPROB" 2195672 T ODEPROB (NIL) -8 NIL NIL) (-804 2190554 2191037 2191684 "ODEPRIM" 2193511 NIL ODEPRIM (NIL T T T T) -7 NIL NIL) (-803 2189803 2189905 2190165 "ODEPAL" 2190446 NIL ODEPAL (NIL T T T T) -7 NIL NIL) (-802 2185965 2186756 2187620 "ODEPACK" 2188959 T ODEPACK (NIL) -7 NIL NIL) (-801 2184998 2185105 2185334 "ODEINT" 2185854 NIL ODEINT (NIL T T) -7 NIL NIL) (-800 2179099 2180524 2181971 "ODEIFTBL" 2183571 T ODEIFTBL (NIL) -8 NIL NIL) (-799 2174434 2175220 2176179 "ODEEF" 2178258 NIL ODEEF (NIL T T) -7 NIL NIL) (-798 2173769 2173858 2174088 "ODECONST" 2174339 NIL ODECONST (NIL T T T) -7 NIL NIL) (-797 2171919 2172554 2172583 "ODECAT" 2173188 T ODECAT (NIL) -9 NIL 2173719) (-796 2168763 2171624 2171746 "OCT" 2171829 NIL OCT (NIL T) -8 NIL NIL) (-795 2168401 2168444 2168571 "OCTCT2" 2168714 NIL OCTCT2 (NIL T T T T) -7 NIL NIL) (-794 2163225 2165669 2165710 "OC" 2166807 NIL OC (NIL T) -9 NIL 2167657) (-793 2160452 2161200 2162190 "OC-" 2162284 NIL OC- (NIL T T) -8 NIL NIL) (-792 2159829 2160271 2160300 "OCAMON" 2160305 T OCAMON (NIL) -9 NIL 2160326) (-791 2159281 2159688 2159717 "OASGP" 2159722 T OASGP (NIL) -9 NIL 2159742) (-790 2158567 2159030 2159059 "OAMONS" 2159099 T OAMONS (NIL) -9 NIL 2159142) (-789 2158006 2158413 2158442 "OAMON" 2158447 T OAMON (NIL) -9 NIL 2158467) (-788 2157309 2157801 2157830 "OAGROUP" 2157835 T OAGROUP (NIL) -9 NIL 2157855) (-787 2156999 2157049 2157137 "NUMTUBE" 2157253 NIL NUMTUBE (NIL T) -7 NIL NIL) (-786 2150572 2152090 2153626 "NUMQUAD" 2155483 T NUMQUAD (NIL) -7 NIL NIL) (-785 2146328 2147316 2148341 "NUMODE" 2149567 T NUMODE (NIL) -7 NIL NIL) (-784 2143708 2144562 2144591 "NUMINT" 2145514 T NUMINT (NIL) -9 NIL 2146278) (-783 2142656 2142853 2143071 "NUMFMT" 2143510 T NUMFMT (NIL) -7 NIL NIL) (-782 2129034 2131976 2134500 "NUMERIC" 2140171 NIL NUMERIC (NIL T) -7 NIL NIL) (-781 2123437 2128482 2128578 "NTSCAT" 2128583 NIL NTSCAT (NIL T T T T) -9 NIL 2128622) (-780 2122633 2122798 2122990 "NTPOLFN" 2123277 NIL NTPOLFN (NIL T) -7 NIL NIL) (-779 2110429 2119460 2120271 "NSUP" 2121855 NIL NSUP (NIL T) -8 NIL NIL) (-778 2110061 2110118 2110227 "NSUP2" 2110366 NIL NSUP2 (NIL T T) -7 NIL NIL) (-777 2100012 2109835 2109968 "NSMP" 2109973 NIL NSMP (NIL T T) -8 NIL NIL) (-776 2088104 2099594 2099758 "NSDPS" 2099880 NIL NSDPS (NIL T) -8 NIL NIL) (-775 2086536 2086837 2087194 "NREP" 2087792 NIL NREP (NIL T) -7 NIL NIL) (-774 2083625 2084173 2084822 "NPOLYGON" 2085978 NIL NPOLYGON (NIL T T T NIL) -7 NIL NIL) (-773 2082216 2082468 2082826 "NPCOEF" 2083368 NIL NPCOEF (NIL T T T T T) -7 NIL NIL) (-772 2081498 2082000 2082084 "NOTTING" 2082164 NIL NOTTING (NIL T) -8 NIL NIL) (-771 2080564 2080679 2080895 "NORMRETR" 2081379 NIL NORMRETR (NIL T T T T NIL) -7 NIL NIL) (-770 2078605 2078895 2079304 "NORMPK" 2080272 NIL NORMPK (NIL T T T T T) -7 NIL NIL) (-769 2078290 2078318 2078442 "NORMMA" 2078571 NIL NORMMA (NIL T T T T) -7 NIL NIL) (-768 2078117 2078247 2078276 "NONE" 2078281 T NONE (NIL) -8 NIL NIL) (-767 2077906 2077935 2078004 "NONE1" 2078081 NIL NONE1 (NIL T) -7 NIL NIL) (-766 2077389 2077451 2077637 "NODE1" 2077838 NIL NODE1 (NIL T T) -7 NIL NIL) (-765 2075683 2076552 2076807 "NNI" 2077154 T NNI (NIL) -8 NIL NIL) (-764 2074103 2074416 2074780 "NLINSOL" 2075351 NIL NLINSOL (NIL T) -7 NIL NIL) (-763 2070271 2071238 2072160 "NIPROB" 2073201 T NIPROB (NIL) -8 NIL NIL) (-762 2069028 2069262 2069564 "NFINTBAS" 2070033 NIL NFINTBAS (NIL T T) -7 NIL NIL) (-761 2068757 2068800 2068881 "NEWTON" 2068979 NIL NEWTON (NIL T) -7 NIL NIL) (-760 2067465 2067696 2067977 "NCODIV" 2068525 NIL NCODIV (NIL T T) -7 NIL NIL) (-759 2067227 2067264 2067339 "NCNTFRAC" 2067422 NIL NCNTFRAC (NIL T) -7 NIL NIL) (-758 2065407 2065771 2066191 "NCEP" 2066852 NIL NCEP (NIL T) -7 NIL NIL) (-757 2064317 2065056 2065085 "NASRING" 2065195 T NASRING (NIL) -9 NIL 2065269) (-756 2064112 2064156 2064250 "NASRING-" 2064255 NIL NASRING- (NIL T) -8 NIL NIL) (-755 2063264 2063763 2063792 "NARNG" 2063909 T NARNG (NIL) -9 NIL 2064000) (-754 2062956 2063023 2063157 "NARNG-" 2063162 NIL NARNG- (NIL T) -8 NIL NIL) (-753 2061835 2062042 2062277 "NAGSP" 2062741 T NAGSP (NIL) -7 NIL NIL) (-752 2053107 2054791 2056464 "NAGS" 2060182 T NAGS (NIL) -7 NIL NIL) (-751 2051655 2051963 2052294 "NAGF07" 2052796 T NAGF07 (NIL) -7 NIL NIL) (-750 2046193 2047484 2048791 "NAGF04" 2050368 T NAGF04 (NIL) -7 NIL NIL) (-749 2039161 2040775 2042408 "NAGF02" 2044580 T NAGF02 (NIL) -7 NIL NIL) (-748 2034385 2035485 2036602 "NAGF01" 2038064 T NAGF01 (NIL) -7 NIL NIL) (-747 2028013 2029579 2031164 "NAGE04" 2032820 T NAGE04 (NIL) -7 NIL NIL) (-746 2019182 2021303 2023433 "NAGE02" 2025903 T NAGE02 (NIL) -7 NIL NIL) (-745 2015135 2016082 2017046 "NAGE01" 2018238 T NAGE01 (NIL) -7 NIL NIL) (-744 2012930 2013464 2014022 "NAGD03" 2014597 T NAGD03 (NIL) -7 NIL NIL) (-743 2004680 2006608 2008562 "NAGD02" 2010996 T NAGD02 (NIL) -7 NIL NIL) (-742 1998491 1999916 2001356 "NAGD01" 2003260 T NAGD01 (NIL) -7 NIL NIL) (-741 1994700 1995522 1996359 "NAGC06" 1997674 T NAGC06 (NIL) -7 NIL NIL) (-740 1993165 1993497 1993853 "NAGC05" 1994364 T NAGC05 (NIL) -7 NIL NIL) (-739 1992541 1992660 1992804 "NAGC02" 1993041 T NAGC02 (NIL) -7 NIL NIL) (-738 1991600 1992157 1992198 "NAALG" 1992277 NIL NAALG (NIL T) -9 NIL 1992338) (-737 1991435 1991464 1991554 "NAALG-" 1991559 NIL NAALG- (NIL T T) -8 NIL NIL) (-736 1982311 1990551 1990826 "MYUP" 1991206 NIL MYUP (NIL NIL T) -8 NIL NIL) (-735 1972674 1980767 1981138 "MYEXPR" 1982006 NIL MYEXPR (NIL NIL T) -8 NIL NIL) (-734 1966624 1967732 1968919 "MULTSQFR" 1971570 NIL MULTSQFR (NIL T T T T) -7 NIL NIL) (-733 1965943 1966018 1966202 "MULTFACT" 1966536 NIL MULTFACT (NIL T T T T) -7 NIL NIL) (-732 1959068 1962977 1963031 "MTSCAT" 1964101 NIL MTSCAT (NIL T T) -9 NIL 1964615) (-731 1958780 1958834 1958926 "MTHING" 1959008 NIL MTHING (NIL T) -7 NIL NIL) (-730 1958572 1958605 1958665 "MSYSCMD" 1958740 T MSYSCMD (NIL) -7 NIL NIL) (-729 1954684 1957327 1957647 "MSET" 1958285 NIL MSET (NIL T) -8 NIL NIL) (-728 1951778 1954244 1954286 "MSETAGG" 1954291 NIL MSETAGG (NIL T) -9 NIL 1954325) (-727 1947627 1949169 1949908 "MRING" 1951084 NIL MRING (NIL T T) -8 NIL NIL) (-726 1947193 1947260 1947391 "MRF2" 1947554 NIL MRF2 (NIL T T T) -7 NIL NIL) (-725 1946811 1946846 1946990 "MRATFAC" 1947152 NIL MRATFAC (NIL T T T T) -7 NIL NIL) (-724 1944423 1944718 1945149 "MPRFF" 1946516 NIL MPRFF (NIL T T T T) -7 NIL NIL) (-723 1938437 1944277 1944374 "MPOLY" 1944379 NIL MPOLY (NIL NIL T) -8 NIL NIL) (-722 1937927 1937962 1938170 "MPCPF" 1938396 NIL MPCPF (NIL T T T T) -7 NIL NIL) (-721 1937441 1937484 1937668 "MPC3" 1937878 NIL MPC3 (NIL T T T T T T T) -7 NIL NIL) (-720 1936636 1936717 1936938 "MPC2" 1937356 NIL MPC2 (NIL T T T T T T T) -7 NIL NIL) (-719 1934937 1935274 1935664 "MONOTOOL" 1936296 NIL MONOTOOL (NIL T T) -7 NIL NIL) (-718 1934060 1934395 1934424 "MONOID" 1934701 T MONOID (NIL) -9 NIL 1934873) (-717 1933438 1933601 1933844 "MONOID-" 1933849 NIL MONOID- (NIL T) -8 NIL NIL) (-716 1924364 1930349 1930409 "MONOGEN" 1931083 NIL MONOGEN (NIL T T) -9 NIL 1931536) (-715 1921582 1922317 1923317 "MONOGEN-" 1923436 NIL MONOGEN- (NIL T T T) -8 NIL NIL) (-714 1920440 1920860 1920889 "MONADWU" 1921281 T MONADWU (NIL) -9 NIL 1921519) (-713 1919812 1919971 1920219 "MONADWU-" 1920224 NIL MONADWU- (NIL T) -8 NIL NIL) (-712 1919196 1919414 1919443 "MONAD" 1919650 T MONAD (NIL) -9 NIL 1919762) (-711 1918881 1918959 1919091 "MONAD-" 1919096 NIL MONAD- (NIL T) -8 NIL NIL) (-710 1917132 1917794 1918073 "MOEBIUS" 1918634 NIL MOEBIUS (NIL T) -8 NIL NIL) (-709 1916523 1916901 1916942 "MODULE" 1916947 NIL MODULE (NIL T) -9 NIL 1916973) (-708 1916091 1916187 1916377 "MODULE-" 1916382 NIL MODULE- (NIL T T) -8 NIL NIL) (-707 1913760 1914455 1914782 "MODRING" 1915915 NIL MODRING (NIL T T NIL NIL NIL) -8 NIL NIL) (-706 1910706 1911871 1912389 "MODOP" 1913292 NIL MODOP (NIL T T) -8 NIL NIL) (-705 1908893 1909345 1909686 "MODMONOM" 1910505 NIL MODMONOM (NIL T T NIL) -8 NIL NIL) (-704 1898558 1907089 1907510 "MODMON" 1908523 NIL MODMON (NIL T T) -8 NIL NIL) (-703 1895684 1897402 1897678 "MODFIELD" 1898433 NIL MODFIELD (NIL T T NIL NIL NIL) -8 NIL NIL) (-702 1894688 1894965 1895155 "MMLFORM" 1895514 T MMLFORM (NIL) -8 NIL NIL) (-701 1894214 1894257 1894436 "MMAP" 1894639 NIL MMAP (NIL T T T T T T) -7 NIL NIL) (-700 1892439 1893216 1893258 "MLO" 1893681 NIL MLO (NIL T) -9 NIL 1893922) (-699 1889806 1890321 1890923 "MLIFT" 1891920 NIL MLIFT (NIL T T T T) -7 NIL NIL) (-698 1889197 1889281 1889435 "MKUCFUNC" 1889717 NIL MKUCFUNC (NIL T T T) -7 NIL NIL) (-697 1888796 1888866 1888989 "MKRECORD" 1889120 NIL MKRECORD (NIL T T) -7 NIL NIL) (-696 1887844 1888005 1888233 "MKFUNC" 1888607 NIL MKFUNC (NIL T) -7 NIL NIL) (-695 1887232 1887336 1887492 "MKFLCFN" 1887727 NIL MKFLCFN (NIL T) -7 NIL NIL) (-694 1886658 1887025 1887114 "MKCHSET" 1887176 NIL MKCHSET (NIL T) -8 NIL NIL) (-693 1885935 1886037 1886222 "MKBCFUNC" 1886551 NIL MKBCFUNC (NIL T T T T) -7 NIL NIL) (-692 1882619 1885489 1885625 "MINT" 1885819 T MINT (NIL) -8 NIL NIL) (-691 1881431 1881674 1881951 "MHROWRED" 1882374 NIL MHROWRED (NIL T) -7 NIL NIL) (-690 1876698 1879872 1880298 "MFLOAT" 1881025 T MFLOAT (NIL) -8 NIL NIL) (-689 1876055 1876131 1876302 "MFINFACT" 1876610 NIL MFINFACT (NIL T T T T) -7 NIL NIL) (-688 1872370 1873218 1874102 "MESH" 1875191 T MESH (NIL) -7 NIL NIL) (-687 1870760 1871072 1871425 "MDDFACT" 1872057 NIL MDDFACT (NIL T) -7 NIL NIL) (-686 1867642 1869953 1869995 "MDAGG" 1870250 NIL MDAGG (NIL T) -9 NIL 1870393) (-685 1857330 1866935 1867142 "MCMPLX" 1867455 T MCMPLX (NIL) -8 NIL NIL) (-684 1856471 1856617 1856817 "MCDEN" 1857179 NIL MCDEN (NIL T T) -7 NIL NIL) (-683 1854361 1854631 1855011 "MCALCFN" 1856201 NIL MCALCFN (NIL T T T T) -7 NIL NIL) (-682 1851973 1852496 1853058 "MATSTOR" 1853832 NIL MATSTOR (NIL T) -7 NIL NIL) (-681 1847839 1851349 1851595 "MATRIX" 1851760 NIL MATRIX (NIL T) -8 NIL NIL) (-680 1843615 1844318 1845051 "MATLIN" 1847199 NIL MATLIN (NIL T T T T) -7 NIL NIL) (-679 1833126 1836394 1836472 "MATCAT" 1841754 NIL MATCAT (NIL T T T) -9 NIL 1843316) (-678 1829164 1830279 1831747 "MATCAT-" 1831752 NIL MATCAT- (NIL T T T T) -8 NIL NIL) (-677 1827758 1827911 1828244 "MATCAT2" 1828999 NIL MATCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-676 1826498 1826764 1827079 "MAPPKG4" 1827489 NIL MAPPKG4 (NIL T T) -7 NIL NIL) (-675 1824610 1824934 1825318 "MAPPKG3" 1826173 NIL MAPPKG3 (NIL T T T) -7 NIL NIL) (-674 1823591 1823764 1823986 "MAPPKG2" 1824434 NIL MAPPKG2 (NIL T T) -7 NIL NIL) (-673 1822090 1822374 1822701 "MAPPKG1" 1823297 NIL MAPPKG1 (NIL T) -7 NIL NIL) (-672 1821701 1821759 1821882 "MAPHACK3" 1822026 NIL MAPHACK3 (NIL T T T) -7 NIL NIL) (-671 1821293 1821354 1821468 "MAPHACK2" 1821633 NIL MAPHACK2 (NIL T T) -7 NIL NIL) (-670 1820731 1820834 1820976 "MAPHACK1" 1821184 NIL MAPHACK1 (NIL T) -7 NIL NIL) (-669 1818837 1819431 1819735 "MAGMA" 1820459 NIL MAGMA (NIL T) -8 NIL NIL) (-668 1817073 1817445 1817500 "MAGCDOC" 1818437 NIL MAGCDOC (NIL T T) -9 NIL NIL) (-667 1813548 1815314 1815774 "M3D" 1816646 NIL M3D (NIL T) -8 NIL NIL) (-666 1807742 1811948 1811990 "LZSTAGG" 1812772 NIL LZSTAGG (NIL T) -9 NIL 1813067) (-665 1803716 1804873 1806330 "LZSTAGG-" 1806335 NIL LZSTAGG- (NIL T T) -8 NIL NIL) (-664 1800830 1801607 1802094 "LWORD" 1803261 NIL LWORD (NIL T) -8 NIL NIL) (-663 1793985 1800601 1800735 "LSQM" 1800740 NIL LSQM (NIL NIL T) -8 NIL NIL) (-662 1793209 1793348 1793576 "LSPP" 1793840 NIL LSPP (NIL T T T T) -7 NIL NIL) (-661 1791021 1791322 1791778 "LSMP" 1792898 NIL LSMP (NIL T T T T) -7 NIL NIL) (-660 1787800 1788474 1789204 "LSMP1" 1790323 NIL LSMP1 (NIL T) -7 NIL NIL) (-659 1781757 1786990 1787032 "LSAGG" 1787094 NIL LSAGG (NIL T) -9 NIL 1787172) (-658 1778452 1779376 1780589 "LSAGG-" 1780594 NIL LSAGG- (NIL T T) -8 NIL NIL) (-657 1776078 1777596 1777845 "LPOLY" 1778247 NIL LPOLY (NIL T T) -8 NIL NIL) (-656 1775660 1775745 1775868 "LPEFRAC" 1775987 NIL LPEFRAC (NIL T) -7 NIL NIL) (-655 1773224 1773473 1773905 "LPARSPT" 1775402 NIL LPARSPT (NIL T NIL T T T T T) -7 NIL NIL) (-654 1771699 1772026 1772386 "LOP" 1772896 NIL LOP (NIL T) -7 NIL NIL) (-653 1770048 1770795 1771047 "LO" 1771532 NIL LO (NIL T T T) -8 NIL NIL) (-652 1769699 1769811 1769840 "LOGIC" 1769951 T LOGIC (NIL) -9 NIL 1770032) (-651 1769561 1769584 1769655 "LOGIC-" 1769660 NIL LOGIC- (NIL T) -8 NIL NIL) (-650 1768754 1768894 1769087 "LODOOPS" 1769417 NIL LODOOPS (NIL T T) -7 NIL NIL) (-649 1766166 1768670 1768736 "LODO" 1768741 NIL LODO (NIL T NIL) -8 NIL NIL) (-648 1764706 1764941 1765293 "LODOF" 1765914 NIL LODOF (NIL T T) -7 NIL NIL) (-647 1761105 1763546 1763588 "LODOCAT" 1764026 NIL LODOCAT (NIL T) -9 NIL 1764236) (-646 1760838 1760896 1761023 "LODOCAT-" 1761028 NIL LODOCAT- (NIL T T) -8 NIL NIL) (-645 1758147 1760679 1760797 "LODO2" 1760802 NIL LODO2 (NIL T T) -8 NIL NIL) (-644 1755571 1758084 1758129 "LODO1" 1758134 NIL LODO1 (NIL T) -8 NIL NIL) (-643 1754431 1754596 1754908 "LODEEF" 1755394 NIL LODEEF (NIL T T T) -7 NIL NIL) (-642 1747258 1751423 1751464 "LOCPOWC" 1752926 NIL LOCPOWC (NIL T) -9 NIL 1753503) (-641 1742582 1745420 1745462 "LNAGG" 1746409 NIL LNAGG (NIL T) -9 NIL 1746852) (-640 1741729 1741943 1742285 "LNAGG-" 1742290 NIL LNAGG- (NIL T T) -8 NIL NIL) (-639 1737892 1738654 1739293 "LMOPS" 1741144 NIL LMOPS (NIL T T NIL) -8 NIL NIL) (-638 1737286 1737648 1737690 "LMODULE" 1737751 NIL LMODULE (NIL T) -9 NIL 1737793) (-637 1734538 1736931 1737054 "LMDICT" 1737196 NIL LMDICT (NIL T) -8 NIL NIL) (-636 1733695 1733829 1734016 "LISYSER" 1734400 NIL LISYSER (NIL T T) -7 NIL NIL) (-635 1726932 1732645 1732941 "LIST" 1733432 NIL LIST (NIL T) -8 NIL NIL) (-634 1726457 1726531 1726670 "LIST3" 1726852 NIL LIST3 (NIL T T T) -7 NIL NIL) (-633 1725464 1725642 1725870 "LIST2" 1726275 NIL LIST2 (NIL T T) -7 NIL NIL) (-632 1723598 1723910 1724309 "LIST2MAP" 1725111 NIL LIST2MAP (NIL T T) -7 NIL NIL) (-631 1722303 1722983 1723025 "LINEXP" 1723280 NIL LINEXP (NIL T) -9 NIL 1723429) (-630 1720950 1721210 1721507 "LINDEP" 1722055 NIL LINDEP (NIL T T) -7 NIL NIL) (-629 1717717 1718436 1719213 "LIMITRF" 1720205 NIL LIMITRF (NIL T) -7 NIL NIL) (-628 1715993 1716288 1716704 "LIMITPS" 1717412 NIL LIMITPS (NIL T T) -7 NIL NIL) (-627 1710452 1715508 1715734 "LIE" 1715816 NIL LIE (NIL T T) -8 NIL NIL) (-626 1709501 1709944 1709985 "LIECAT" 1710125 NIL LIECAT (NIL T) -9 NIL 1710275) (-625 1709342 1709369 1709457 "LIECAT-" 1709462 NIL LIECAT- (NIL T T) -8 NIL NIL) (-624 1701876 1708721 1708904 "LIB" 1709179 T LIB (NIL) -8 NIL NIL) (-623 1697513 1698394 1699329 "LGROBP" 1700993 NIL LGROBP (NIL NIL T) -7 NIL NIL) (-622 1694994 1695318 1695729 "LF" 1697186 NIL LF (NIL T T) -7 NIL NIL) (-621 1693691 1694421 1694450 "LFCAT" 1694725 T LFCAT (NIL) -9 NIL 1694900) (-620 1690595 1691223 1691911 "LEXTRIPK" 1693055 NIL LEXTRIPK (NIL T NIL) -7 NIL NIL) (-619 1687301 1688165 1688668 "LEXP" 1690175 NIL LEXP (NIL T T NIL) -8 NIL NIL) (-618 1685699 1686012 1686413 "LEADCDET" 1686983 NIL LEADCDET (NIL T T T T) -7 NIL NIL) (-617 1684889 1684963 1685192 "LAZM3PK" 1685620 NIL LAZM3PK (NIL T T T T T T) -7 NIL NIL) (-616 1679805 1682972 1683507 "LAUPOL" 1684404 NIL LAUPOL (NIL T T) -8 NIL NIL) (-615 1679370 1679414 1679582 "LAPLACE" 1679755 NIL LAPLACE (NIL T T) -7 NIL NIL) (-614 1677300 1678473 1678723 "LA" 1679204 NIL LA (NIL T T T) -8 NIL NIL) (-613 1676356 1676950 1676992 "LALG" 1677054 NIL LALG (NIL T) -9 NIL 1677113) (-612 1676070 1676129 1676265 "LALG-" 1676270 NIL LALG- (NIL T T) -8 NIL NIL) (-611 1674974 1675161 1675460 "KOVACIC" 1675870 NIL KOVACIC (NIL T T) -7 NIL NIL) (-610 1674808 1674832 1674874 "KONVERT" 1674936 NIL KONVERT (NIL T) -9 NIL NIL) (-609 1674642 1674666 1674708 "KOERCE" 1674770 NIL KOERCE (NIL T) -9 NIL NIL) (-608 1672378 1673138 1673530 "KERNEL" 1674282 NIL KERNEL (NIL T) -8 NIL NIL) (-607 1671880 1671961 1672091 "KERNEL2" 1672292 NIL KERNEL2 (NIL T T) -7 NIL NIL) (-606 1665563 1670245 1670300 "KDAGG" 1670677 NIL KDAGG (NIL T T) -9 NIL 1670883) (-605 1665092 1665216 1665421 "KDAGG-" 1665426 NIL KDAGG- (NIL T T T) -8 NIL NIL) (-604 1658241 1664753 1664908 "KAFILE" 1664970 NIL KAFILE (NIL T) -8 NIL NIL) (-603 1652700 1657756 1657982 "JORDAN" 1658064 NIL JORDAN (NIL T T) -8 NIL NIL) (-602 1649043 1650943 1650998 "IXAGG" 1651927 NIL IXAGG (NIL T T) -9 NIL 1652382) (-601 1647962 1648268 1648687 "IXAGG-" 1648692 NIL IXAGG- (NIL T T T) -8 NIL NIL) (-600 1643546 1647884 1647943 "IVECTOR" 1647948 NIL IVECTOR (NIL T NIL) -8 NIL NIL) (-599 1642312 1642549 1642815 "ITUPLE" 1643313 NIL ITUPLE (NIL T) -8 NIL NIL) (-598 1640736 1640913 1641221 "ITRIGMNP" 1642134 NIL ITRIGMNP (NIL T T T) -7 NIL NIL) (-597 1639481 1639685 1639968 "ITFUN3" 1640512 NIL ITFUN3 (NIL T T T) -7 NIL NIL) (-596 1639113 1639170 1639279 "ITFUN2" 1639418 NIL ITFUN2 (NIL T T) -7 NIL NIL) (-595 1636906 1637977 1638275 "ITAYLOR" 1638848 NIL ITAYLOR (NIL T) -8 NIL NIL) (-594 1625845 1631045 1632207 "ISUPS" 1635777 NIL ISUPS (NIL T) -8 NIL NIL) (-593 1624949 1625089 1625325 "ISUMP" 1625692 NIL ISUMP (NIL T T T T) -7 NIL NIL) (-592 1620219 1624750 1624829 "ISTRING" 1624902 NIL ISTRING (NIL NIL) -8 NIL NIL) (-591 1619429 1619510 1619726 "IRURPK" 1620133 NIL IRURPK (NIL T T T T T) -7 NIL NIL) (-590 1618365 1618566 1618806 "IRSN" 1619209 T IRSN (NIL) -7 NIL NIL) (-589 1616396 1616751 1617186 "IRRF2F" 1618004 NIL IRRF2F (NIL T) -7 NIL NIL) (-588 1616143 1616181 1616257 "IRREDFFX" 1616352 NIL IRREDFFX (NIL T) -7 NIL NIL) (-587 1614758 1615017 1615316 "IROOT" 1615876 NIL IROOT (NIL T) -7 NIL NIL) (-586 1611394 1612446 1613136 "IR" 1614100 NIL IR (NIL T) -8 NIL NIL) (-585 1609007 1609502 1610068 "IR2" 1610872 NIL IR2 (NIL T T) -7 NIL NIL) (-584 1608079 1608192 1608413 "IR2F" 1608890 NIL IR2F (NIL T T) -7 NIL NIL) (-583 1607870 1607904 1607964 "IPRNTPK" 1608039 T IPRNTPK (NIL) -7 NIL NIL) (-582 1604424 1607759 1607828 "IPF" 1607833 NIL IPF (NIL NIL) -8 NIL NIL) (-581 1602741 1604349 1604406 "IPADIC" 1604411 NIL IPADIC (NIL NIL NIL) -8 NIL NIL) (-580 1602238 1602296 1602486 "INVLAPLA" 1602677 NIL INVLAPLA (NIL T T) -7 NIL NIL) (-579 1591887 1594240 1596626 "INTTR" 1599902 NIL INTTR (NIL T T) -7 NIL NIL) (-578 1588245 1588987 1589844 "INTTOOLS" 1591079 NIL INTTOOLS (NIL T T) -7 NIL NIL) (-577 1587831 1587922 1588039 "INTSLPE" 1588148 T INTSLPE (NIL) -7 NIL NIL) (-576 1585781 1587754 1587813 "INTRVL" 1587818 NIL INTRVL (NIL T) -8 NIL NIL) (-575 1583383 1583895 1584470 "INTRF" 1585266 NIL INTRF (NIL T) -7 NIL NIL) (-574 1582794 1582891 1583033 "INTRET" 1583281 NIL INTRET (NIL T) -7 NIL NIL) (-573 1580791 1581180 1581650 "INTRAT" 1582402 NIL INTRAT (NIL T T) -7 NIL NIL) (-572 1578027 1578610 1579232 "INTPM" 1580280 NIL INTPM (NIL T T) -7 NIL NIL) (-571 1574732 1575331 1576075 "INTPAF" 1577414 NIL INTPAF (NIL T T T) -7 NIL NIL) (-570 1569911 1570873 1571924 "INTPACK" 1573701 T INTPACK (NIL) -7 NIL NIL) (-569 1566765 1569640 1569767 "INT" 1569804 T INT (NIL) -8 NIL NIL) (-568 1566017 1566169 1566377 "INTHERTR" 1566607 NIL INTHERTR (NIL T T) -7 NIL NIL) (-567 1565456 1565536 1565724 "INTHERAL" 1565931 NIL INTHERAL (NIL T T T T) -7 NIL NIL) (-566 1563302 1563745 1564202 "INTHEORY" 1565019 T INTHEORY (NIL) -7 NIL NIL) (-565 1554613 1556233 1558011 "INTG0" 1561655 NIL INTG0 (NIL T T T) -7 NIL NIL) (-564 1535186 1539976 1544786 "INTFTBL" 1549823 T INTFTBL (NIL) -8 NIL NIL) (-563 1533223 1533430 1533831 "INTFRSP" 1534976 NIL INTFRSP (NIL T NIL T T T T T T) -7 NIL NIL) (-562 1532472 1532610 1532783 "INTFACT" 1533082 NIL INTFACT (NIL T) -7 NIL NIL) (-561 1532062 1532104 1532255 "INTERGB" 1532424 NIL INTERGB (NIL T NIL T T T) -7 NIL NIL) (-560 1529447 1529893 1530457 "INTEF" 1531616 NIL INTEF (NIL T T) -7 NIL NIL) (-559 1527904 1528653 1528682 "INTDOM" 1528983 T INTDOM (NIL) -9 NIL 1529190) (-558 1527273 1527447 1527689 "INTDOM-" 1527694 NIL INTDOM- (NIL T) -8 NIL NIL) (-557 1525877 1525982 1526372 "INTDIVP" 1527163 NIL INTDIVP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-556 1522363 1524293 1524348 "INTCAT" 1525147 NIL INTCAT (NIL T) -9 NIL 1525468) (-555 1521836 1521938 1522066 "INTBIT" 1522255 T INTBIT (NIL) -7 NIL NIL) (-554 1520507 1520661 1520975 "INTALG" 1521681 NIL INTALG (NIL T T T T T) -7 NIL NIL) (-553 1519964 1520054 1520224 "INTAF" 1520411 NIL INTAF (NIL T T) -7 NIL NIL) (-552 1513430 1519774 1519914 "INTABL" 1519919 NIL INTABL (NIL T T T) -8 NIL NIL) (-551 1508375 1511101 1511130 "INS" 1512098 T INS (NIL) -9 NIL 1512781) (-550 1505615 1506386 1507360 "INS-" 1507433 NIL INS- (NIL T) -8 NIL NIL) (-549 1504390 1504617 1504915 "INPSIGN" 1505368 NIL INPSIGN (NIL T T) -7 NIL NIL) (-548 1503508 1503625 1503822 "INPRODPF" 1504270 NIL INPRODPF (NIL T T) -7 NIL NIL) (-547 1502402 1502519 1502756 "INPRODFF" 1503388 NIL INPRODFF (NIL T T T T) -7 NIL NIL) (-546 1501402 1501554 1501814 "INNMFACT" 1502238 NIL INNMFACT (NIL T T T T) -7 NIL NIL) (-545 1500599 1500696 1500884 "INMODGCD" 1501301 NIL INMODGCD (NIL T T NIL NIL) -7 NIL NIL) (-544 1499108 1499352 1499676 "INFSP" 1500344 NIL INFSP (NIL T T T) -7 NIL NIL) (-543 1498292 1498409 1498592 "INFPROD0" 1498988 NIL INFPROD0 (NIL T T) -7 NIL NIL) (-542 1495173 1496357 1496872 "INFORM" 1497785 T INFORM (NIL) -8 NIL NIL) (-541 1494783 1494843 1494941 "INFORM1" 1495108 NIL INFORM1 (NIL T) -7 NIL NIL) (-540 1494306 1494395 1494509 "INFINITY" 1494689 T INFINITY (NIL) -7 NIL NIL) (-539 1491989 1492986 1493329 "INFCLSPT" 1494166 NIL INFCLSPT (NIL T NIL T T T T T T T) -8 NIL NIL) (-538 1489866 1491111 1491405 "INFCLSPS" 1491759 NIL INFCLSPS (NIL T NIL T) -8 NIL NIL) (-537 1482416 1483339 1483560 "INFCLCT" 1488991 NIL INFCLCT (NIL T NIL T T T T T T T) -9 NIL 1489802) (-536 1481034 1481282 1481603 "INEP" 1482164 NIL INEP (NIL T T T) -7 NIL NIL) (-535 1480310 1480931 1480996 "INDE" 1481001 NIL INDE (NIL T) -8 NIL NIL) (-534 1479874 1479942 1480059 "INCRMAPS" 1480237 NIL INCRMAPS (NIL T) -7 NIL NIL) (-533 1475185 1476110 1477054 "INBFF" 1478962 NIL INBFF (NIL T) -7 NIL NIL) (-532 1471532 1475029 1475133 "IMATRIX" 1475138 NIL IMATRIX (NIL T NIL NIL) -8 NIL NIL) (-531 1470246 1470369 1470683 "IMATQF" 1471389 NIL IMATQF (NIL T T T T T T T T) -7 NIL NIL) (-530 1468468 1468695 1469031 "IMATLIN" 1470003 NIL IMATLIN (NIL T T T T) -7 NIL NIL) (-529 1463100 1468392 1468450 "ILIST" 1468455 NIL ILIST (NIL T NIL) -8 NIL NIL) (-528 1461059 1462960 1463073 "IIARRAY2" 1463078 NIL IIARRAY2 (NIL T NIL NIL T T) -8 NIL NIL) (-527 1456427 1460970 1461034 "IFF" 1461039 NIL IFF (NIL NIL NIL) -8 NIL NIL) (-526 1451476 1455719 1455907 "IFARRAY" 1456284 NIL IFARRAY (NIL T NIL) -8 NIL NIL) (-525 1450683 1451380 1451453 "IFAMON" 1451458 NIL IFAMON (NIL T T NIL) -8 NIL NIL) (-524 1450266 1450331 1450386 "IEVALAB" 1450593 NIL IEVALAB (NIL T T) -9 NIL NIL) (-523 1449941 1450009 1450169 "IEVALAB-" 1450174 NIL IEVALAB- (NIL T T T) -8 NIL NIL) (-522 1449599 1449855 1449918 "IDPO" 1449923 NIL IDPO (NIL T T) -8 NIL NIL) (-521 1448876 1449488 1449563 "IDPOAMS" 1449568 NIL IDPOAMS (NIL T T) -8 NIL NIL) (-520 1448210 1448765 1448840 "IDPOAM" 1448845 NIL IDPOAM (NIL T T) -8 NIL NIL) (-519 1447294 1447544 1447598 "IDPC" 1448011 NIL IDPC (NIL T T) -9 NIL 1448160) (-518 1446790 1447186 1447259 "IDPAM" 1447264 NIL IDPAM (NIL T T) -8 NIL NIL) (-517 1446193 1446682 1446755 "IDPAG" 1446760 NIL IDPAG (NIL T T) -8 NIL NIL) (-516 1442448 1443296 1444191 "IDECOMP" 1445350 NIL IDECOMP (NIL NIL NIL) -7 NIL NIL) (-515 1435324 1436373 1437419 "IDEAL" 1441485 NIL IDEAL (NIL T T T T) -8 NIL NIL) (-514 1433341 1434488 1434761 "ICP" 1435115 NIL ICP (NIL T NIL T) -8 NIL NIL) (-513 1432505 1432617 1432816 "ICDEN" 1433225 NIL ICDEN (NIL T T T T) -7 NIL NIL) (-512 1431604 1431985 1432132 "ICARD" 1432378 T ICARD (NIL) -8 NIL NIL) (-511 1429664 1429977 1430382 "IBPTOOLS" 1431281 NIL IBPTOOLS (NIL T T T T) -7 NIL NIL) (-510 1425278 1429284 1429397 "IBITS" 1429583 NIL IBITS (NIL NIL) -8 NIL NIL) (-509 1422001 1422577 1423272 "IBATOOL" 1424695 NIL IBATOOL (NIL T T T) -7 NIL NIL) (-508 1419781 1420242 1420775 "IBACHIN" 1421536 NIL IBACHIN (NIL T T T) -7 NIL NIL) (-507 1417664 1419627 1419730 "IARRAY2" 1419735 NIL IARRAY2 (NIL T NIL NIL) -8 NIL NIL) (-506 1413823 1417590 1417647 "IARRAY1" 1417652 NIL IARRAY1 (NIL T NIL) -8 NIL NIL) (-505 1407753 1412235 1412716 "IAN" 1413362 T IAN (NIL) -8 NIL NIL) (-504 1407264 1407321 1407494 "IALGFACT" 1407690 NIL IALGFACT (NIL T T T T) -7 NIL NIL) (-503 1406791 1406904 1406933 "HYPCAT" 1407140 T HYPCAT (NIL) -9 NIL NIL) (-502 1406329 1406446 1406632 "HYPCAT-" 1406637 NIL HYPCAT- (NIL T) -8 NIL NIL) (-501 1405333 1405610 1405800 "HTMLFORM" 1406159 T HTMLFORM (NIL) -8 NIL NIL) (-500 1402122 1403447 1403489 "HOAGG" 1404470 NIL HOAGG (NIL T) -9 NIL 1405079) (-499 1400716 1401115 1401641 "HOAGG-" 1401646 NIL HOAGG- (NIL T T) -8 NIL NIL) (-498 1394534 1400154 1400321 "HEXADEC" 1400569 T HEXADEC (NIL) -8 NIL NIL) (-497 1393282 1393504 1393767 "HEUGCD" 1394311 NIL HEUGCD (NIL T) -7 NIL NIL) (-496 1392385 1393119 1393249 "HELLFDIV" 1393254 NIL HELLFDIV (NIL T T T T) -8 NIL NIL) (-495 1386102 1387645 1388726 "HEAP" 1391336 NIL HEAP (NIL T) -8 NIL NIL) (-494 1379940 1386017 1386079 "HDP" 1386084 NIL HDP (NIL NIL T) -8 NIL NIL) (-493 1373645 1379575 1379727 "HDMP" 1379841 NIL HDMP (NIL NIL T) -8 NIL NIL) (-492 1372970 1373109 1373273 "HB" 1373501 T HB (NIL) -7 NIL NIL) (-491 1366479 1372816 1372920 "HASHTBL" 1372925 NIL HASHTBL (NIL T T NIL) -8 NIL NIL) (-490 1364226 1366101 1366283 "HACKPI" 1366317 T HACKPI (NIL) -8 NIL NIL) (-489 1346374 1350243 1354246 "GUESSUP" 1360256 NIL GUESSUP (NIL NIL) -7 NIL NIL) (-488 1317471 1324512 1331208 "GUESSP" 1339698 T GUESSP (NIL) -7 NIL NIL) (-487 1284286 1289557 1294941 "GUESS" 1312415 NIL GUESS (NIL T T T T NIL NIL) -7 NIL NIL) (-486 1257791 1264188 1270324 "GUESSINT" 1278170 T GUESSINT (NIL) -7 NIL NIL) (-485 1233162 1238612 1244179 "GUESSF" 1252276 NIL GUESSF (NIL T) -7 NIL NIL) (-484 1232884 1232921 1233016 "GUESSF1" 1233119 NIL GUESSF1 (NIL T) -7 NIL NIL) (-483 1209045 1214579 1220194 "GUESSAN" 1227289 T GUESSAN (NIL) -7 NIL NIL) (-482 1204740 1208898 1209011 "GTSET" 1209016 NIL GTSET (NIL T T T T) -8 NIL NIL) (-481 1198278 1204618 1204716 "GSTBL" 1204721 NIL GSTBL (NIL T T T NIL) -8 NIL NIL) (-480 1190508 1197311 1197575 "GSERIES" 1198070 NIL GSERIES (NIL T NIL NIL) -8 NIL NIL) (-479 1189529 1189982 1190011 "GROUP" 1190272 T GROUP (NIL) -9 NIL 1190431) (-478 1188645 1188868 1189212 "GROUP-" 1189217 NIL GROUP- (NIL T) -8 NIL NIL) (-477 1187014 1187333 1187720 "GROEBSOL" 1188322 NIL GROEBSOL (NIL NIL T T) -7 NIL NIL) (-476 1185953 1186215 1186267 "GRMOD" 1186796 NIL GRMOD (NIL T T) -9 NIL 1186964) (-475 1185721 1185757 1185885 "GRMOD-" 1185890 NIL GRMOD- (NIL T T T) -8 NIL NIL) (-474 1181050 1182075 1183075 "GRIMAGE" 1184741 T GRIMAGE (NIL) -8 NIL NIL) (-473 1179517 1179777 1180101 "GRDEF" 1180746 T GRDEF (NIL) -7 NIL NIL) (-472 1178961 1179077 1179218 "GRAY" 1179396 T GRAY (NIL) -7 NIL NIL) (-471 1178191 1178571 1178623 "GRALG" 1178776 NIL GRALG (NIL T T) -9 NIL 1178869) (-470 1177852 1177925 1178088 "GRALG-" 1178093 NIL GRALG- (NIL T T T) -8 NIL NIL) (-469 1174656 1177437 1177615 "GPOLSET" 1177759 NIL GPOLSET (NIL T T T T) -8 NIL NIL) (-468 1156859 1158349 1159938 "GPAFF" 1173347 NIL GPAFF (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-467 1156213 1156270 1156528 "GOSPER" 1156796 NIL GOSPER (NIL T T T T T) -7 NIL NIL) (-466 1152563 1153399 1154126 "GOPT" 1155506 T GOPT (NIL) -8 NIL NIL) (-465 1148042 1149060 1149968 "GOPT0" 1151675 T GOPT0 (NIL) -8 NIL NIL) (-464 1143801 1144480 1145006 "GMODPOL" 1147741 NIL GMODPOL (NIL NIL T T T NIL T) -8 NIL NIL) (-463 1142806 1142990 1143228 "GHENSEL" 1143613 NIL GHENSEL (NIL T T) -7 NIL NIL) (-462 1136857 1137700 1138727 "GENUPS" 1141890 NIL GENUPS (NIL T T) -7 NIL NIL) (-461 1136554 1136605 1136694 "GENUFACT" 1136800 NIL GENUFACT (NIL T) -7 NIL NIL) (-460 1135966 1136043 1136208 "GENPGCD" 1136472 NIL GENPGCD (NIL T T T T) -7 NIL NIL) (-459 1135440 1135475 1135688 "GENMFACT" 1135925 NIL GENMFACT (NIL T T T T T) -7 NIL NIL) (-458 1134008 1134263 1134570 "GENEEZ" 1135183 NIL GENEEZ (NIL T T) -7 NIL NIL) (-457 1132552 1132829 1133153 "GDRAW" 1133704 T GDRAW (NIL) -7 NIL NIL) (-456 1126419 1132163 1132325 "GDMP" 1132475 NIL GDMP (NIL NIL T T) -8 NIL NIL) (-455 1115803 1120192 1121297 "GCNAALG" 1125403 NIL GCNAALG (NIL T NIL NIL NIL) -8 NIL NIL) (-454 1114220 1115092 1115121 "GCDDOM" 1115376 T GCDDOM (NIL) -9 NIL 1115533) (-453 1113690 1113817 1114032 "GCDDOM-" 1114037 NIL GCDDOM- (NIL T) -8 NIL NIL) (-452 1112364 1112549 1112852 "GB" 1113470 NIL GB (NIL T T T T) -7 NIL NIL) (-451 1100984 1103310 1105702 "GBINTERN" 1110055 NIL GBINTERN (NIL T T T T) -7 NIL NIL) (-450 1098821 1099113 1099534 "GBF" 1100659 NIL GBF (NIL T T T T) -7 NIL NIL) (-449 1097602 1097767 1098034 "GBEUCLID" 1098637 NIL GBEUCLID (NIL T T T T) -7 NIL NIL) (-448 1096951 1097076 1097225 "GAUSSFAC" 1097473 T GAUSSFAC (NIL) -7 NIL NIL) (-447 1095320 1095622 1095935 "GALUTIL" 1096671 NIL GALUTIL (NIL T) -7 NIL NIL) (-446 1093628 1093902 1094226 "GALPOLYU" 1095047 NIL GALPOLYU (NIL T T) -7 NIL NIL) (-445 1090993 1091283 1091690 "GALFACTU" 1093325 NIL GALFACTU (NIL T T T) -7 NIL NIL) (-444 1082799 1084298 1085906 "GALFACT" 1089425 NIL GALFACT (NIL T) -7 NIL NIL) (-443 1080187 1080844 1080873 "FVFUN" 1082029 T FVFUN (NIL) -9 NIL 1082749) (-442 1079453 1079634 1079663 "FVC" 1079954 T FVC (NIL) -9 NIL 1080137) (-441 1079095 1079250 1079331 "FUNCTION" 1079405 NIL FUNCTION (NIL NIL) -8 NIL NIL) (-440 1076765 1077316 1077805 "FT" 1078626 T FT (NIL) -8 NIL NIL) (-439 1075557 1076066 1076269 "FTEM" 1076582 T FTEM (NIL) -8 NIL NIL) (-438 1073815 1074104 1074507 "FSUPFACT" 1075249 NIL FSUPFACT (NIL T T T) -7 NIL NIL) (-437 1072212 1072501 1072833 "FST" 1073503 T FST (NIL) -8 NIL NIL) (-436 1071383 1071489 1071684 "FSRED" 1072094 NIL FSRED (NIL T T) -7 NIL NIL) (-435 1070064 1070319 1070672 "FSPRMELT" 1071099 NIL FSPRMELT (NIL T T) -7 NIL NIL) (-434 1065430 1066135 1066892 "FSPECF" 1069369 NIL FSPECF (NIL T T) -7 NIL NIL) (-433 1047688 1056277 1056318 "FS" 1060166 NIL FS (NIL T) -9 NIL 1062444) (-432 1036338 1039328 1043384 "FS-" 1043681 NIL FS- (NIL T T) -8 NIL NIL) (-431 1035852 1035906 1036083 "FSINT" 1036279 NIL FSINT (NIL T T) -7 NIL NIL) (-430 1034137 1034849 1035150 "FSERIES" 1035633 NIL FSERIES (NIL T T) -8 NIL NIL) (-429 1033151 1033267 1033498 "FSCINT" 1034017 NIL FSCINT (NIL T T) -7 NIL NIL) (-428 1029386 1032096 1032138 "FSAGG" 1032508 NIL FSAGG (NIL T) -9 NIL 1032765) (-427 1027148 1027749 1028545 "FSAGG-" 1028640 NIL FSAGG- (NIL T T) -8 NIL NIL) (-426 1026190 1026333 1026560 "FSAGG2" 1027001 NIL FSAGG2 (NIL T T T T) -7 NIL NIL) (-425 1023845 1024124 1024678 "FS2UPS" 1025908 NIL FS2UPS (NIL T T T T T NIL) -7 NIL NIL) (-424 1023427 1023470 1023625 "FS2" 1023796 NIL FS2 (NIL T T T T) -7 NIL NIL) (-423 1022284 1022455 1022764 "FS2EXPXP" 1023252 NIL FS2EXPXP (NIL T T NIL NIL) -7 NIL NIL) (-422 1021710 1021825 1021977 "FRUTIL" 1022164 NIL FRUTIL (NIL T) -7 NIL NIL) (-421 1013136 1017221 1018571 "FR" 1020392 NIL FR (NIL T) -8 NIL NIL) (-420 1008216 1010854 1010895 "FRNAALG" 1012291 NIL FRNAALG (NIL T) -9 NIL 1012897) (-419 1003895 1004965 1006240 "FRNAALG-" 1006990 NIL FRNAALG- (NIL T T) -8 NIL NIL) (-418 1003533 1003576 1003703 "FRNAAF2" 1003846 NIL FRNAAF2 (NIL T T T T) -7 NIL NIL) (-417 1001896 1002389 1002683 "FRMOD" 1003346 NIL FRMOD (NIL T T T T NIL) -8 NIL NIL) (-416 999611 1000279 1000596 "FRIDEAL" 1001687 NIL FRIDEAL (NIL T T T T) -8 NIL NIL) (-415 998806 998893 999182 "FRIDEAL2" 999518 NIL FRIDEAL2 (NIL T T T T T T T T) -7 NIL NIL) (-414 998049 998463 998505 "FRETRCT" 998510 NIL FRETRCT (NIL T) -9 NIL 998684) (-413 997161 997392 997743 "FRETRCT-" 997748 NIL FRETRCT- (NIL T T) -8 NIL NIL) (-412 994366 995586 995646 "FRAMALG" 996528 NIL FRAMALG (NIL T T) -9 NIL 996820) (-411 992499 992955 993585 "FRAMALG-" 993808 NIL FRAMALG- (NIL T T T) -8 NIL NIL) (-410 986402 991984 992255 "FRAC" 992260 NIL FRAC (NIL T) -8 NIL NIL) (-409 986038 986095 986202 "FRAC2" 986339 NIL FRAC2 (NIL T T) -7 NIL NIL) (-408 985674 985731 985838 "FR2" 985975 NIL FR2 (NIL T T) -7 NIL NIL) (-407 980296 983205 983234 "FPS" 984353 T FPS (NIL) -9 NIL 984907) (-406 979745 979854 980018 "FPS-" 980164 NIL FPS- (NIL T) -8 NIL NIL) (-405 977141 978838 978867 "FPC" 979092 T FPC (NIL) -9 NIL 979234) (-404 976934 976974 977071 "FPC-" 977076 NIL FPC- (NIL T) -8 NIL NIL) (-403 975813 976423 976465 "FPATMAB" 976470 NIL FPATMAB (NIL T) -9 NIL 976620) (-402 973513 973989 974415 "FPARFRAC" 975450 NIL FPARFRAC (NIL T T) -8 NIL NIL) (-401 968908 969405 970087 "FORTRAN" 972945 NIL FORTRAN (NIL NIL NIL NIL NIL) -8 NIL NIL) (-400 966624 967124 967663 "FORT" 968389 T FORT (NIL) -7 NIL NIL) (-399 964300 964861 964890 "FORTFN" 965950 T FORTFN (NIL) -9 NIL 966574) (-398 964063 964113 964142 "FORTCAT" 964201 T FORTCAT (NIL) -9 NIL 964263) (-397 962123 962606 963005 "FORMULA" 963684 T FORMULA (NIL) -8 NIL NIL) (-396 961911 961941 962010 "FORMULA1" 962087 NIL FORMULA1 (NIL T) -7 NIL NIL) (-395 961434 961486 961659 "FORDER" 961853 NIL FORDER (NIL T T T T) -7 NIL NIL) (-394 960530 960694 960887 "FOP" 961261 T FOP (NIL) -7 NIL NIL) (-393 959138 959810 959984 "FNLA" 960412 NIL FNLA (NIL NIL NIL T) -8 NIL NIL) (-392 957805 958194 958223 "FNCAT" 958795 T FNCAT (NIL) -9 NIL 959088) (-391 957371 957764 957792 "FNAME" 957797 T FNAME (NIL) -8 NIL NIL) (-390 956024 956997 957026 "FMTC" 957031 T FMTC (NIL) -9 NIL 957067) (-389 952342 953549 954177 "FMONOID" 955429 NIL FMONOID (NIL T) -8 NIL NIL) (-388 951563 952086 952234 "FM" 952239 NIL FM (NIL T T) -8 NIL NIL) (-387 948987 949632 949661 "FMFUN" 950805 T FMFUN (NIL) -9 NIL 951513) (-386 948256 948436 948465 "FMC" 948755 T FMC (NIL) -9 NIL 948937) (-385 945468 946302 946357 "FMCAT" 947552 NIL FMCAT (NIL T T) -9 NIL 948046) (-384 944361 945234 945334 "FM1" 945413 NIL FM1 (NIL T T) -8 NIL NIL) (-383 942135 942551 943045 "FLOATRP" 943912 NIL FLOATRP (NIL T) -7 NIL NIL) (-382 935622 939791 940421 "FLOAT" 941525 T FLOAT (NIL) -8 NIL NIL) (-381 933060 933560 934138 "FLOATCP" 935089 NIL FLOATCP (NIL T) -7 NIL NIL) (-380 931845 932693 932735 "FLINEXP" 932740 NIL FLINEXP (NIL T) -9 NIL 932832) (-379 930999 931234 931562 "FLINEXP-" 931567 NIL FLINEXP- (NIL T T) -8 NIL NIL) (-378 930075 930219 930443 "FLASORT" 930851 NIL FLASORT (NIL T T) -7 NIL NIL) (-377 927291 928133 928186 "FLALG" 929413 NIL FLALG (NIL T T) -9 NIL 929880) (-376 921110 924804 924846 "FLAGG" 926108 NIL FLAGG (NIL T) -9 NIL 926756) (-375 919836 920175 920665 "FLAGG-" 920670 NIL FLAGG- (NIL T T) -8 NIL NIL) (-374 918878 919021 919248 "FLAGG2" 919689 NIL FLAGG2 (NIL T T T T) -7 NIL NIL) (-373 915849 916867 916927 "FINRALG" 918055 NIL FINRALG (NIL T T) -9 NIL 918560) (-372 915009 915238 915577 "FINRALG-" 915582 NIL FINRALG- (NIL T T T) -8 NIL NIL) (-371 914414 914627 914656 "FINITE" 914852 T FINITE (NIL) -9 NIL 914959) (-370 906872 909033 909074 "FINAALG" 912741 NIL FINAALG (NIL T) -9 NIL 914193) (-369 902212 903254 904398 "FINAALG-" 905777 NIL FINAALG- (NIL T T) -8 NIL NIL) (-368 901582 901967 902070 "FILE" 902142 NIL FILE (NIL T) -8 NIL NIL) (-367 900122 900459 900514 "FILECAT" 901292 NIL FILECAT (NIL T T) -9 NIL 901532) (-366 897932 899488 899517 "FIELD" 899557 T FIELD (NIL) -9 NIL 899637) (-365 896552 896937 897448 "FIELD-" 897453 NIL FIELD- (NIL T) -8 NIL NIL) (-364 894365 895187 895534 "FGROUP" 896238 NIL FGROUP (NIL T) -8 NIL NIL) (-363 893455 893619 893839 "FGLMICPK" 894197 NIL FGLMICPK (NIL T NIL) -7 NIL NIL) (-362 889257 893380 893437 "FFX" 893442 NIL FFX (NIL T NIL) -8 NIL NIL) (-361 888797 888864 888986 "FFSQFR" 889185 NIL FFSQFR (NIL T T) -7 NIL NIL) (-360 888398 888459 888594 "FFSLPE" 888730 NIL FFSLPE (NIL T T T) -7 NIL NIL) (-359 884394 885170 885966 "FFPOLY" 887634 NIL FFPOLY (NIL T) -7 NIL NIL) (-358 883898 883934 884143 "FFPOLY2" 884352 NIL FFPOLY2 (NIL T T) -7 NIL NIL) (-357 879720 883817 883880 "FFP" 883885 NIL FFP (NIL T NIL) -8 NIL NIL) (-356 875088 879631 879695 "FF" 879700 NIL FF (NIL NIL NIL) -8 NIL NIL) (-355 870184 874431 874621 "FFNBX" 874942 NIL FFNBX (NIL T NIL) -8 NIL NIL) (-354 865094 869319 869577 "FFNBP" 870038 NIL FFNBP (NIL T NIL) -8 NIL NIL) (-353 859697 864378 864589 "FFNB" 864927 NIL FFNB (NIL NIL NIL) -8 NIL NIL) (-352 858529 858727 859042 "FFINTBAS" 859494 NIL FFINTBAS (NIL T T T) -7 NIL NIL) (-351 854705 856940 856969 "FFIELDC" 857589 T FFIELDC (NIL) -9 NIL 857965) (-350 853368 853738 854235 "FFIELDC-" 854240 NIL FFIELDC- (NIL T) -8 NIL NIL) (-349 852938 852983 853107 "FFHOM" 853310 NIL FFHOM (NIL T T T) -7 NIL NIL) (-348 850636 851120 851637 "FFF" 852453 NIL FFF (NIL T) -7 NIL NIL) (-347 846332 847097 847941 "FFFG" 849860 NIL FFFG (NIL T T) -7 NIL NIL) (-346 845058 845267 845589 "FFFGF" 846110 NIL FFFGF (NIL T T T) -7 NIL NIL) (-345 843809 844006 844254 "FFFACTSE" 844860 NIL FFFACTSE (NIL T T) -7 NIL NIL) (-344 839397 843551 843652 "FFCGX" 843752 NIL FFCGX (NIL T NIL) -8 NIL NIL) (-343 834999 839129 839236 "FFCGP" 839340 NIL FFCGP (NIL T NIL) -8 NIL NIL) (-342 830152 834726 834834 "FFCG" 834935 NIL FFCG (NIL NIL NIL) -8 NIL NIL) (-341 811941 821063 821150 "FFCAT" 826315 NIL FFCAT (NIL T T T) -9 NIL 827800) (-340 807139 808186 809500 "FFCAT-" 810730 NIL FFCAT- (NIL T T T T) -8 NIL NIL) (-339 806550 806593 806828 "FFCAT2" 807090 NIL FFCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-338 795720 799526 800744 "FEXPR" 805404 NIL FEXPR (NIL NIL NIL T) -8 NIL NIL) (-337 794722 795157 795199 "FEVALAB" 795283 NIL FEVALAB (NIL T) -9 NIL 795541) (-336 793881 794091 794429 "FEVALAB-" 794434 NIL FEVALAB- (NIL T T) -8 NIL NIL) (-335 792474 793264 793467 "FDIV" 793780 NIL FDIV (NIL T T T T) -8 NIL NIL) (-334 789539 790254 790370 "FDIVCAT" 791938 NIL FDIVCAT (NIL T T T T) -9 NIL 792375) (-333 789301 789328 789498 "FDIVCAT-" 789503 NIL FDIVCAT- (NIL T T T T T) -8 NIL NIL) (-332 788521 788608 788885 "FDIV2" 789208 NIL FDIV2 (NIL T T T T T T T T) -7 NIL NIL) (-331 787207 787466 787755 "FCPAK1" 788252 T FCPAK1 (NIL) -7 NIL NIL) (-330 786335 786707 786848 "FCOMP" 787098 NIL FCOMP (NIL T) -8 NIL NIL) (-329 769963 773378 776941 "FC" 782792 T FC (NIL) -8 NIL NIL) (-328 762507 766550 766591 "FAXF" 768393 NIL FAXF (NIL T) -9 NIL 769084) (-327 759787 760441 761266 "FAXF-" 761731 NIL FAXF- (NIL T T) -8 NIL NIL) (-326 754893 759163 759339 "FARRAY" 759644 NIL FARRAY (NIL T) -8 NIL NIL) (-325 750211 752287 752341 "FAMR" 753364 NIL FAMR (NIL T T) -9 NIL 753821) (-324 749101 749403 749838 "FAMR-" 749843 NIL FAMR- (NIL T T T) -8 NIL NIL) (-323 748689 748732 748883 "FAMR2" 749052 NIL FAMR2 (NIL T T T T T) -7 NIL NIL) (-322 747885 748611 748664 "FAMONOID" 748669 NIL FAMONOID (NIL T) -8 NIL NIL) (-321 745715 746399 746453 "FAMONC" 747394 NIL FAMONC (NIL T T) -9 NIL 747779) (-320 744409 745471 745607 "FAGROUP" 745612 NIL FAGROUP (NIL T) -8 NIL NIL) (-319 742204 742523 742926 "FACUTIL" 744090 NIL FACUTIL (NIL T T T T) -7 NIL NIL) (-318 741620 741729 741875 "FACTRN" 742090 NIL FACTRN (NIL T) -7 NIL NIL) (-317 740719 740904 741126 "FACTFUNC" 741430 NIL FACTFUNC (NIL T) -7 NIL NIL) (-316 740135 740244 740390 "FACTEXT" 740605 NIL FACTEXT (NIL T) -7 NIL NIL) (-315 732455 739386 739598 "EXPUPXS" 739991 NIL EXPUPXS (NIL T NIL NIL) -8 NIL NIL) (-314 729938 730478 731064 "EXPRTUBE" 731889 T EXPRTUBE (NIL) -7 NIL NIL) (-313 729109 729204 729424 "EXPRSOL" 729838 NIL EXPRSOL (NIL T T T T) -7 NIL NIL) (-312 725303 725895 726632 "EXPRODE" 728448 NIL EXPRODE (NIL T T) -7 NIL NIL) (-311 710324 723964 724389 "EXPR" 724910 NIL EXPR (NIL T) -8 NIL NIL) (-310 704731 705318 706131 "EXPR2UPS" 709622 NIL EXPR2UPS (NIL T T) -7 NIL NIL) (-309 704367 704424 704531 "EXPR2" 704668 NIL EXPR2 (NIL T T) -7 NIL NIL) (-308 695707 703499 703796 "EXPEXPAN" 704204 NIL EXPEXPAN (NIL T T NIL NIL) -8 NIL NIL) (-307 695419 695470 695547 "EXP3D" 695650 T EXP3D (NIL) -7 NIL NIL) (-306 695246 695376 695405 "EXIT" 695410 T EXIT (NIL) -8 NIL NIL) (-305 694873 694935 695048 "EVALCYC" 695178 NIL EVALCYC (NIL T) -7 NIL NIL) (-304 694415 694531 694573 "EVALAB" 694743 NIL EVALAB (NIL T) -9 NIL 694847) (-303 693896 694018 694239 "EVALAB-" 694244 NIL EVALAB- (NIL T T) -8 NIL NIL) (-302 691354 692666 692695 "EUCDOM" 693250 T EUCDOM (NIL) -9 NIL 693600) (-301 689759 690201 690791 "EUCDOM-" 690796 NIL EUCDOM- (NIL T) -8 NIL NIL) (-300 677299 680057 682807 "ESTOOLS" 687029 T ESTOOLS (NIL) -7 NIL NIL) (-299 676931 676988 677097 "ESTOOLS2" 677236 NIL ESTOOLS2 (NIL T T) -7 NIL NIL) (-298 676682 676724 676804 "ESTOOLS1" 676883 NIL ESTOOLS1 (NIL T) -7 NIL NIL) (-297 670608 672336 672365 "ES" 675133 T ES (NIL) -9 NIL 676540) (-296 665556 666842 668659 "ES-" 668823 NIL ES- (NIL T) -8 NIL NIL) (-295 661931 662691 663471 "ESCONT" 664796 T ESCONT (NIL) -7 NIL NIL) (-294 661676 661708 661790 "ESCONT1" 661893 NIL ESCONT1 (NIL NIL NIL) -7 NIL NIL) (-293 661351 661401 661501 "ES2" 661620 NIL ES2 (NIL T T) -7 NIL NIL) (-292 660981 661039 661148 "ES1" 661287 NIL ES1 (NIL T T) -7 NIL NIL) (-291 660197 660326 660502 "ERROR" 660825 T ERROR (NIL) -7 NIL NIL) (-290 653712 660056 660147 "EQTBL" 660152 NIL EQTBL (NIL T T) -8 NIL NIL) (-289 646171 649054 650489 "EQ" 652310 NIL -2940 (NIL T) -8 NIL NIL) (-288 645803 645860 645969 "EQ2" 646108 NIL EQ2 (NIL T T) -7 NIL NIL) (-287 641095 642141 643234 "EP" 644742 NIL EP (NIL T) -7 NIL NIL) (-286 640249 640813 640842 "ENTIRER" 640847 T ENTIRER (NIL) -9 NIL 640893) (-285 636705 638204 638574 "EMR" 640048 NIL EMR (NIL T T T NIL NIL NIL) -8 NIL NIL) (-284 635851 636034 636089 "ELTAGG" 636469 NIL ELTAGG (NIL T T) -9 NIL 636679) (-283 635570 635632 635773 "ELTAGG-" 635778 NIL ELTAGG- (NIL T T T) -8 NIL NIL) (-282 635358 635387 635442 "ELTAB" 635526 NIL ELTAB (NIL T T) -9 NIL NIL) (-281 634484 634630 634829 "ELFUTS" 635209 NIL ELFUTS (NIL T T) -7 NIL NIL) (-280 634225 634281 634310 "ELEMFUN" 634415 T ELEMFUN (NIL) -9 NIL NIL) (-279 634095 634116 634184 "ELEMFUN-" 634189 NIL ELEMFUN- (NIL T) -8 NIL NIL) (-278 629025 632228 632270 "ELAGG" 633210 NIL ELAGG (NIL T) -9 NIL 633671) (-277 627310 627744 628407 "ELAGG-" 628412 NIL ELAGG- (NIL T T) -8 NIL NIL) (-276 620180 621979 622805 "EFUPXS" 626587 NIL EFUPXS (NIL T T T T) -8 NIL NIL) (-275 613632 615433 616242 "EFULS" 619457 NIL EFULS (NIL T T T) -8 NIL NIL) (-274 611054 611412 611891 "EFSTRUC" 613264 NIL EFSTRUC (NIL T T) -7 NIL NIL) (-273 600066 601631 603192 "EF" 609569 NIL EF (NIL T T) -7 NIL NIL) (-272 599167 599551 599700 "EAB" 599937 T EAB (NIL) -8 NIL NIL) (-271 598376 599126 599154 "E04UCFA" 599159 T E04UCFA (NIL) -8 NIL NIL) (-270 597585 598335 598363 "E04NAFA" 598368 T E04NAFA (NIL) -8 NIL NIL) (-269 596794 597544 597572 "E04MBFA" 597577 T E04MBFA (NIL) -8 NIL NIL) (-268 596003 596753 596781 "E04JAFA" 596786 T E04JAFA (NIL) -8 NIL NIL) (-267 595214 595962 595990 "E04GCFA" 595995 T E04GCFA (NIL) -8 NIL NIL) (-266 594425 595173 595201 "E04FDFA" 595206 T E04FDFA (NIL) -8 NIL NIL) (-265 593634 594384 594412 "E04DGFA" 594417 T E04DGFA (NIL) -8 NIL NIL) (-264 587813 589159 590523 "E04AGNT" 592290 T E04AGNT (NIL) -7 NIL NIL) (-263 586536 587016 587057 "DVARCAT" 587532 NIL DVARCAT (NIL T) -9 NIL 587731) (-262 585740 585952 586266 "DVARCAT-" 586271 NIL DVARCAT- (NIL T T) -8 NIL NIL) (-261 578709 579191 579940 "DTP" 585271 NIL DTP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-260 576158 578131 578288 "DSTREE" 578585 NIL DSTREE (NIL T) -8 NIL NIL) (-259 573627 575472 575514 "DSTRCAT" 575733 NIL DSTRCAT (NIL T) -9 NIL 575867) (-258 566481 573426 573555 "DSMP" 573560 NIL DSMP (NIL T T T) -8 NIL NIL) (-257 561291 562426 563494 "DROPT" 565433 T DROPT (NIL) -8 NIL NIL) (-256 560956 561015 561113 "DROPT1" 561226 NIL DROPT1 (NIL T) -7 NIL NIL) (-255 556071 557197 558334 "DROPT0" 559839 T DROPT0 (NIL) -7 NIL NIL) (-254 554416 554741 555127 "DRAWPT" 555705 T DRAWPT (NIL) -7 NIL NIL) (-253 549003 549926 551005 "DRAW" 553390 NIL DRAW (NIL T) -7 NIL NIL) (-252 548636 548689 548807 "DRAWHACK" 548944 NIL DRAWHACK (NIL T) -7 NIL NIL) (-251 547367 547636 547927 "DRAWCX" 548365 T DRAWCX (NIL) -7 NIL NIL) (-250 546883 546951 547102 "DRAWCURV" 547293 NIL DRAWCURV (NIL T T) -7 NIL NIL) (-249 537355 539313 541428 "DRAWCFUN" 544788 T DRAWCFUN (NIL) -7 NIL NIL) (-248 534208 536084 536126 "DQAGG" 536755 NIL DQAGG (NIL T) -9 NIL 537028) (-247 522636 529377 529461 "DPOLCAT" 531313 NIL DPOLCAT (NIL T T T T) -9 NIL 531857) (-246 517475 518821 520779 "DPOLCAT-" 520784 NIL DPOLCAT- (NIL T T T T T) -8 NIL NIL) (-245 510214 517336 517434 "DPMO" 517439 NIL DPMO (NIL NIL T T) -8 NIL NIL) (-244 502856 509994 510161 "DPMM" 510166 NIL DPMM (NIL NIL T T T) -8 NIL NIL) (-243 496561 502491 502643 "DMP" 502757 NIL DMP (NIL NIL T) -8 NIL NIL) (-242 496161 496217 496361 "DLP" 496499 NIL DLP (NIL T) -7 NIL NIL) (-241 489811 495262 495489 "DLIST" 495966 NIL DLIST (NIL T) -8 NIL NIL) (-240 486696 488699 488741 "DLAGG" 489291 NIL DLAGG (NIL T) -9 NIL 489520) (-239 485353 486045 486074 "DIVRING" 486224 T DIVRING (NIL) -9 NIL 486332) (-238 484341 484594 484987 "DIVRING-" 484992 NIL DIVRING- (NIL T) -8 NIL NIL) (-237 482769 483934 484070 "DIV" 484238 NIL DIV (NIL T) -8 NIL NIL) (-236 480263 481331 481373 "DIVCAT" 482207 NIL DIVCAT (NIL T) -9 NIL 482538) (-235 478365 478722 479128 "DISPLAY" 479877 T DISPLAY (NIL) -7 NIL NIL) (-234 475858 477071 477453 "DIRRING" 478016 NIL DIRRING (NIL T) -8 NIL NIL) (-233 469718 475772 475835 "DIRPROD" 475840 NIL DIRPROD (NIL NIL T) -8 NIL NIL) (-232 468566 468769 469034 "DIRPROD2" 469511 NIL DIRPROD2 (NIL NIL T T) -7 NIL NIL) (-231 458130 464159 464213 "DIRPCAT" 464471 NIL DIRPCAT (NIL NIL T) -9 NIL 465315) (-230 455456 456098 456979 "DIRPCAT-" 457316 NIL DIRPCAT- (NIL T NIL T) -8 NIL NIL) (-229 454743 454903 455089 "DIOSP" 455290 T DIOSP (NIL) -7 NIL NIL) (-228 451486 453690 453732 "DIOPS" 454166 NIL DIOPS (NIL T) -9 NIL 454394) (-227 451035 451149 451340 "DIOPS-" 451345 NIL DIOPS- (NIL T T) -8 NIL NIL) (-226 449902 450540 450569 "DIFRING" 450756 T DIFRING (NIL) -9 NIL 450866) (-225 449548 449625 449777 "DIFRING-" 449782 NIL DIFRING- (NIL T) -8 NIL NIL) (-224 447330 448612 448654 "DIFEXT" 449017 NIL DIFEXT (NIL T) -9 NIL 449309) (-223 445615 446043 446709 "DIFEXT-" 446714 NIL DIFEXT- (NIL T T) -8 NIL NIL) (-222 442977 445181 445223 "DIAGG" 445228 NIL DIAGG (NIL T) -9 NIL 445248) (-221 442361 442518 442770 "DIAGG-" 442775 NIL DIAGG- (NIL T T) -8 NIL NIL) (-220 437683 441320 441597 "DHMATRIX" 442130 NIL DHMATRIX (NIL T) -8 NIL NIL) (-219 432894 437497 437571 "DFVEC" 437629 T DFVEC (NIL) -8 NIL NIL) (-218 426495 427845 429282 "DFSFUN" 431477 T DFSFUN (NIL) -7 NIL NIL) (-217 422706 426266 426360 "DFMAT" 426421 T DFMAT (NIL) -8 NIL NIL) (-216 416983 421160 421593 "DFLOAT" 422293 T DFLOAT (NIL) -8 NIL NIL) (-215 415211 415492 415888 "DFINTTLS" 416691 NIL DFINTTLS (NIL T T) -7 NIL NIL) (-214 412230 413232 413632 "DERHAM" 414877 NIL DERHAM (NIL T NIL) -8 NIL NIL) (-213 403843 405760 407195 "DEQUEUE" 410828 NIL DEQUEUE (NIL T) -8 NIL NIL) (-212 403058 403191 403387 "DEGRED" 403705 NIL DEGRED (NIL T T) -7 NIL NIL) (-211 399453 400198 401051 "DEFINTRF" 402286 NIL DEFINTRF (NIL T) -7 NIL NIL) (-210 396980 397449 398048 "DEFINTEF" 398972 NIL DEFINTEF (NIL T T) -7 NIL NIL) (-209 390798 396418 396585 "DECIMAL" 396833 T DECIMAL (NIL) -8 NIL NIL) (-208 388310 388768 389274 "DDFACT" 390342 NIL DDFACT (NIL T T) -7 NIL NIL) (-207 387906 387949 388100 "DBLRESP" 388261 NIL DBLRESP (NIL T T T T) -7 NIL NIL) (-206 385616 385950 386319 "DBASE" 387664 NIL DBASE (NIL T) -8 NIL NIL) (-205 384749 385575 385603 "D03FAFA" 385608 T D03FAFA (NIL) -8 NIL NIL) (-204 383883 384708 384736 "D03EEFA" 384741 T D03EEFA (NIL) -8 NIL NIL) (-203 381833 382299 382788 "D03AGNT" 383414 T D03AGNT (NIL) -7 NIL NIL) (-202 381149 381792 381820 "D02EJFA" 381825 T D02EJFA (NIL) -8 NIL NIL) (-201 380465 381108 381136 "D02CJFA" 381141 T D02CJFA (NIL) -8 NIL NIL) (-200 379781 380424 380452 "D02BHFA" 380457 T D02BHFA (NIL) -8 NIL NIL) (-199 379097 379740 379768 "D02BBFA" 379773 T D02BBFA (NIL) -8 NIL NIL) (-198 372296 373883 375489 "D02AGNT" 377511 T D02AGNT (NIL) -7 NIL NIL) (-197 370065 370587 371133 "D01WGTS" 371770 T D01WGTS (NIL) -7 NIL NIL) (-196 369160 370024 370052 "D01TRNS" 370057 T D01TRNS (NIL) -8 NIL NIL) (-195 368255 369119 369147 "D01GBFA" 369152 T D01GBFA (NIL) -8 NIL NIL) (-194 367350 368214 368242 "D01FCFA" 368247 T D01FCFA (NIL) -8 NIL NIL) (-193 366445 367309 367337 "D01ASFA" 367342 T D01ASFA (NIL) -8 NIL NIL) (-192 365540 366404 366432 "D01AQFA" 366437 T D01AQFA (NIL) -8 NIL NIL) (-191 364635 365499 365527 "D01APFA" 365532 T D01APFA (NIL) -8 NIL NIL) (-190 363730 364594 364622 "D01ANFA" 364627 T D01ANFA (NIL) -8 NIL NIL) (-189 362825 363689 363717 "D01AMFA" 363722 T D01AMFA (NIL) -8 NIL NIL) (-188 361920 362784 362812 "D01ALFA" 362817 T D01ALFA (NIL) -8 NIL NIL) (-187 361015 361879 361907 "D01AKFA" 361912 T D01AKFA (NIL) -8 NIL NIL) (-186 360110 360974 361002 "D01AJFA" 361007 T D01AJFA (NIL) -8 NIL NIL) (-185 353407 354958 356519 "D01AGNT" 358569 T D01AGNT (NIL) -7 NIL NIL) (-184 352744 352872 353024 "CYCLOTOM" 353275 T CYCLOTOM (NIL) -7 NIL NIL) (-183 349479 350192 350919 "CYCLES" 352037 T CYCLES (NIL) -7 NIL NIL) (-182 348791 348925 349096 "CVMP" 349340 NIL CVMP (NIL T) -7 NIL NIL) (-181 346563 346820 347196 "CTRIGMNP" 348519 NIL CTRIGMNP (NIL T T) -7 NIL NIL) (-180 345937 346036 346189 "CSTTOOLS" 346460 NIL CSTTOOLS (NIL T T) -7 NIL NIL) (-179 341736 342393 343151 "CRFP" 345249 NIL CRFP (NIL T T) -7 NIL NIL) (-178 340783 340968 341196 "CRAPACK" 341540 NIL CRAPACK (NIL T) -7 NIL NIL) (-177 340169 340270 340473 "CPMATCH" 340660 NIL CPMATCH (NIL T T T) -7 NIL NIL) (-176 339894 339922 340028 "CPIMA" 340135 NIL CPIMA (NIL T T T) -7 NIL NIL) (-175 336242 336914 337633 "COORDSYS" 339229 NIL COORDSYS (NIL T) -7 NIL NIL) (-174 332103 334245 334737 "CONTFRAC" 335782 NIL CONTFRAC (NIL T) -8 NIL NIL) (-173 331251 331815 331844 "COMRING" 331849 T COMRING (NIL) -9 NIL 331901) (-172 330332 330609 330793 "COMPPROP" 331087 T COMPPROP (NIL) -8 NIL NIL) (-171 329993 330028 330156 "COMPLPAT" 330291 NIL COMPLPAT (NIL T T T) -7 NIL NIL) (-170 319964 329804 329912 "COMPLEX" 329917 NIL COMPLEX (NIL T) -8 NIL NIL) (-169 319600 319657 319764 "COMPLEX2" 319901 NIL COMPLEX2 (NIL T T) -7 NIL NIL) (-168 319318 319353 319451 "COMPFACT" 319559 NIL COMPFACT (NIL T T) -7 NIL NIL) (-167 303570 313870 313911 "COMPCAT" 314915 NIL COMPCAT (NIL T) -9 NIL 316296) (-166 293086 296009 299636 "COMPCAT-" 299992 NIL COMPCAT- (NIL T T) -8 NIL NIL) (-165 292815 292843 292946 "COMMUPC" 293052 NIL COMMUPC (NIL T T T) -7 NIL NIL) (-164 292610 292643 292702 "COMMONOP" 292776 T COMMONOP (NIL) -7 NIL NIL) (-163 292193 292361 292448 "COMM" 292543 T COMM (NIL) -8 NIL NIL) (-162 291441 291635 291664 "COMBOPC" 292002 T COMBOPC (NIL) -9 NIL 292177) (-161 290337 290547 290789 "COMBINAT" 291231 NIL COMBINAT (NIL T) -7 NIL NIL) (-160 286535 287108 287748 "COMBF" 289759 NIL COMBF (NIL T T) -7 NIL NIL) (-159 285321 285651 285886 "COLOR" 286320 T COLOR (NIL) -8 NIL NIL) (-158 284961 285008 285133 "CMPLXRT" 285268 NIL CMPLXRT (NIL T T) -7 NIL NIL) (-157 280463 281491 282571 "CLIP" 283901 T CLIP (NIL) -7 NIL NIL) (-156 278799 279569 279808 "CLIF" 280290 NIL CLIF (NIL NIL T NIL) -8 NIL NIL) (-155 275064 276982 277024 "CLAGG" 277953 NIL CLAGG (NIL T) -9 NIL 278486) (-154 273486 273943 274526 "CLAGG-" 274531 NIL CLAGG- (NIL T T) -8 NIL NIL) (-153 273030 273115 273255 "CINTSLPE" 273395 NIL CINTSLPE (NIL T T) -7 NIL NIL) (-152 270531 271002 271550 "CHVAR" 272558 NIL CHVAR (NIL T T T) -7 NIL NIL) (-151 269749 270313 270342 "CHARZ" 270347 T CHARZ (NIL) -9 NIL 270362) (-150 269503 269543 269621 "CHARPOL" 269703 NIL CHARPOL (NIL T) -7 NIL NIL) (-149 268605 269202 269231 "CHARNZ" 269278 T CHARNZ (NIL) -9 NIL 269334) (-148 266628 267295 267630 "CHAR" 268290 T CHAR (NIL) -8 NIL NIL) (-147 266353 266414 266443 "CFCAT" 266554 T CFCAT (NIL) -9 NIL NIL) (-146 260486 266010 266128 "CDFVEC" 266255 T CDFVEC (NIL) -8 NIL NIL) (-145 256144 260243 260344 "CDFMAT" 260405 T CDFMAT (NIL) -8 NIL NIL) (-144 255389 255500 255682 "CDEN" 256028 NIL CDEN (NIL T T T) -7 NIL NIL) (-143 251381 254542 254822 "CCLASS" 255129 T CCLASS (NIL) -8 NIL NIL) (-142 246434 247410 248163 "CARTEN" 250684 NIL CARTEN (NIL NIL NIL T) -8 NIL NIL) (-141 245542 245690 245911 "CARTEN2" 246281 NIL CARTEN2 (NIL NIL NIL T T) -7 NIL NIL) (-140 243837 244692 244949 "CARD" 245305 T CARD (NIL) -8 NIL NIL) (-139 243208 243536 243565 "CACHSET" 243697 T CACHSET (NIL) -9 NIL 243774) (-138 242703 242999 243028 "CABMON" 243078 T CABMON (NIL) -9 NIL 243134) (-137 240266 242395 242502 "BTREE" 242629 NIL BTREE (NIL T) -8 NIL NIL) (-136 237770 239914 240036 "BTOURN" 240176 NIL BTOURN (NIL T) -8 NIL NIL) (-135 235227 237274 237316 "BTCAT" 237384 NIL BTCAT (NIL T) -9 NIL 237461) (-134 234894 234974 235123 "BTCAT-" 235128 NIL BTCAT- (NIL T T) -8 NIL NIL) (-133 230084 233954 233983 "BTAGG" 234239 T BTAGG (NIL) -9 NIL 234418) (-132 229507 229651 229881 "BTAGG-" 229886 NIL BTAGG- (NIL T) -8 NIL NIL) (-131 226557 228785 229000 "BSTREE" 229324 NIL BSTREE (NIL T) -8 NIL NIL) (-130 224960 225507 225807 "BSD" 226277 T BSD (NIL) -8 NIL NIL) (-129 224098 224224 224408 "BRILL" 224816 NIL BRILL (NIL T) -7 NIL NIL) (-128 220838 222859 222901 "BRAGG" 223550 NIL BRAGG (NIL T) -9 NIL 223807) (-127 219367 219773 220328 "BRAGG-" 220333 NIL BRAGG- (NIL T T) -8 NIL NIL) (-126 212566 218713 218897 "BPADICRT" 219215 NIL BPADICRT (NIL NIL) -8 NIL NIL) (-125 210870 212503 212548 "BPADIC" 212553 NIL BPADIC (NIL NIL) -8 NIL NIL) (-124 210568 210598 210712 "BOUNDZRO" 210834 NIL BOUNDZRO (NIL T T) -7 NIL NIL) (-123 206083 207174 208041 "BOP" 209721 T BOP (NIL) -8 NIL NIL) (-122 203706 204150 204669 "BOP1" 205597 NIL BOP1 (NIL T) -7 NIL NIL) (-121 202059 202749 203043 "BOOLEAN" 203432 T BOOLEAN (NIL) -8 NIL NIL) (-120 201420 201798 201853 "BMODULE" 201858 NIL BMODULE (NIL T T) -9 NIL 201923) (-119 197763 198433 199219 "BLUPPACK" 200752 NIL BLUPPACK (NIL T NIL T T T) -7 NIL NIL) (-118 197155 197640 197709 "BLQT" 197714 T BLQT (NIL) -8 NIL NIL) (-117 195584 196059 196088 "BLMETCT" 196733 T BLMETCT (NIL) -9 NIL 197105) (-116 194983 195465 195532 "BLHN" 195537 T BLHN (NIL) -8 NIL NIL) (-115 189820 190969 192128 "BLAS1" 193844 T BLAS1 (NIL) -7 NIL NIL) (-114 185630 189618 189691 "BITS" 189767 T BITS (NIL) -8 NIL NIL) (-113 184701 185162 185314 "BINFILE" 185498 T BINFILE (NIL) -8 NIL NIL) (-112 178523 184142 184308 "BINARY" 184555 T BINARY (NIL) -8 NIL NIL) (-111 176390 177812 177854 "BGAGG" 178114 NIL BGAGG (NIL T) -9 NIL 178251) (-110 176221 176253 176344 "BGAGG-" 176349 NIL BGAGG- (NIL T T) -8 NIL NIL) (-109 175319 175605 175810 "BFUNCT" 176036 T BFUNCT (NIL) -8 NIL NIL) (-108 174011 174189 174476 "BEZOUT" 175144 NIL BEZOUT (NIL T T T T T) -7 NIL NIL) (-107 172974 173196 173455 "BEZIER" 173785 NIL BEZIER (NIL T) -7 NIL NIL) (-106 169497 171826 172156 "BBTREE" 172677 NIL BBTREE (NIL T) -8 NIL NIL) (-105 169230 169283 169312 "BASTYPE" 169431 T BASTYPE (NIL) -9 NIL NIL) (-104 169083 169111 169184 "BASTYPE-" 169189 NIL BASTYPE- (NIL T) -8 NIL NIL) (-103 168517 168593 168745 "BALFACT" 168994 NIL BALFACT (NIL T T) -7 NIL NIL) (-102 167881 168004 168152 "AXSERV" 168389 T AXSERV (NIL) -7 NIL NIL) (-101 166694 167291 167479 "AUTOMOR" 167726 NIL AUTOMOR (NIL T) -8 NIL NIL) (-100 166406 166411 166440 "ATTREG" 166445 T ATTREG (NIL) -9 NIL NIL) (-99 164685 165103 165455 "ATTRBUT" 166072 T ATTRBUT (NIL) -8 NIL NIL) (-98 164220 164333 164360 "ATRIG" 164561 T ATRIG (NIL) -9 NIL NIL) (-97 164029 164070 164157 "ATRIG-" 164162 NIL ATRIG- (NIL T) -8 NIL NIL) (-96 157589 159158 160269 "ASTACK" 162949 NIL ASTACK (NIL T) -8 NIL NIL) (-95 156096 156393 156757 "ASSOCEQ" 157272 NIL ASSOCEQ (NIL T T) -7 NIL NIL) (-94 155128 155755 155879 "ASP9" 156003 NIL ASP9 (NIL NIL) -8 NIL NIL) (-93 154892 155076 155115 "ASP8" 155120 NIL ASP8 (NIL NIL) -8 NIL NIL) (-92 153762 154497 154639 "ASP80" 154781 NIL ASP80 (NIL NIL) -8 NIL NIL) (-91 152661 153397 153529 "ASP7" 153661 NIL ASP7 (NIL NIL) -8 NIL NIL) (-90 151617 152338 152456 "ASP78" 152574 NIL ASP78 (NIL NIL) -8 NIL NIL) (-89 150588 151297 151414 "ASP77" 151531 NIL ASP77 (NIL NIL) -8 NIL NIL) (-88 149503 150226 150357 "ASP74" 150488 NIL ASP74 (NIL NIL) -8 NIL NIL) (-87 148404 149138 149270 "ASP73" 149402 NIL ASP73 (NIL NIL) -8 NIL NIL) (-86 147359 148081 148199 "ASP6" 148317 NIL ASP6 (NIL NIL) -8 NIL NIL) (-85 146308 147036 147154 "ASP55" 147272 NIL ASP55 (NIL NIL) -8 NIL NIL) (-84 145258 145982 146101 "ASP50" 146220 NIL ASP50 (NIL NIL) -8 NIL NIL) (-83 144346 144959 145069 "ASP4" 145179 NIL ASP4 (NIL NIL) -8 NIL NIL) (-82 143434 144047 144157 "ASP49" 144267 NIL ASP49 (NIL NIL) -8 NIL NIL) (-81 142219 142973 143141 "ASP42" 143323 NIL ASP42 (NIL NIL NIL NIL) -8 NIL NIL) (-80 140997 141752 141922 "ASP41" 142106 NIL ASP41 (NIL NIL NIL NIL) -8 NIL NIL) (-79 139949 140674 140792 "ASP35" 140910 NIL ASP35 (NIL NIL) -8 NIL NIL) (-78 139714 139897 139936 "ASP34" 139941 NIL ASP34 (NIL NIL) -8 NIL NIL) (-77 139451 139518 139594 "ASP33" 139669 NIL ASP33 (NIL NIL) -8 NIL NIL) (-76 138347 139086 139218 "ASP31" 139350 NIL ASP31 (NIL NIL) -8 NIL NIL) (-75 138112 138295 138334 "ASP30" 138339 NIL ASP30 (NIL NIL) -8 NIL NIL) (-74 137847 137916 137992 "ASP29" 138067 NIL ASP29 (NIL NIL) -8 NIL NIL) (-73 137612 137795 137834 "ASP28" 137839 NIL ASP28 (NIL NIL) -8 NIL NIL) (-72 137377 137560 137599 "ASP27" 137604 NIL ASP27 (NIL NIL) -8 NIL NIL) (-71 136461 137075 137186 "ASP24" 137297 NIL ASP24 (NIL NIL) -8 NIL NIL) (-70 135378 136102 136232 "ASP20" 136362 NIL ASP20 (NIL NIL) -8 NIL NIL) (-69 134466 135079 135189 "ASP1" 135299 NIL ASP1 (NIL NIL) -8 NIL NIL) (-68 133410 134140 134259 "ASP19" 134378 NIL ASP19 (NIL NIL) -8 NIL NIL) (-67 133147 133214 133290 "ASP12" 133365 NIL ASP12 (NIL NIL) -8 NIL NIL) (-66 132000 132746 132890 "ASP10" 133034 NIL ASP10 (NIL NIL) -8 NIL NIL) (-65 129905 131844 131935 "ARRAY2" 131940 NIL ARRAY2 (NIL T) -8 NIL NIL) (-64 125727 129553 129667 "ARRAY1" 129822 NIL ARRAY1 (NIL T) -8 NIL NIL) (-63 124759 124932 125153 "ARRAY12" 125550 NIL ARRAY12 (NIL T T) -7 NIL NIL) (-62 119158 121023 121099 "ARR2CAT" 123729 NIL ARR2CAT (NIL T T T) -9 NIL 124487) (-61 116592 117336 118290 "ARR2CAT-" 118295 NIL ARR2CAT- (NIL T T T T) -8 NIL NIL) (-60 115340 115492 115798 "APPRULE" 116428 NIL APPRULE (NIL T T T) -7 NIL NIL) (-59 114991 115039 115158 "APPLYORE" 115286 NIL APPLYORE (NIL T T T) -7 NIL NIL) (-58 114321 114448 114596 "API" 114861 T API (NIL) -7 NIL NIL) (-57 113295 113586 113781 "ANY" 114144 T ANY (NIL) -8 NIL NIL) (-56 112573 112696 112853 "ANY1" 113169 NIL ANY1 (NIL T) -7 NIL NIL) (-55 110092 111010 111337 "ANTISYM" 112297 NIL ANTISYM (NIL T NIL) -8 NIL NIL) (-54 109919 110051 110078 "ANON" 110083 T ANON (NIL) -8 NIL NIL) (-53 103986 108458 108912 "AN" 109483 T AN (NIL) -8 NIL NIL) (-52 100281 101679 101731 "AMR" 102479 NIL AMR (NIL T T) -9 NIL 103073) (-51 99393 99614 99977 "AMR-" 99982 NIL AMR- (NIL T T T) -8 NIL NIL) (-50 83955 99310 99371 "ALIST" 99376 NIL ALIST (NIL T T) -8 NIL NIL) (-49 80792 83549 83718 "ALGSC" 83873 NIL ALGSC (NIL T NIL NIL NIL) -8 NIL NIL) (-48 77350 77904 78510 "ALGPKG" 80233 NIL ALGPKG (NIL T T) -7 NIL NIL) (-47 76627 76728 76912 "ALGMFACT" 77236 NIL ALGMFACT (NIL T T T) -7 NIL NIL) (-46 72375 73059 73710 "ALGMANIP" 76154 NIL ALGMANIP (NIL T T) -7 NIL NIL) (-45 63689 72001 72151 "ALGFF" 72308 NIL ALGFF (NIL T T T NIL) -8 NIL NIL) (-44 62885 63016 63195 "ALGFACT" 63547 NIL ALGFACT (NIL T) -7 NIL NIL) (-43 61870 62480 62519 "ALGEBRA" 62579 NIL ALGEBRA (NIL T) -9 NIL 62638) (-42 61588 61647 61779 "ALGEBRA-" 61784 NIL ALGEBRA- (NIL T T) -8 NIL NIL) (-41 43395 59120 59173 "ALAGG" 59309 NIL ALAGG (NIL T T) -9 NIL 59470) (-40 42930 43043 43070 "AHYP" 43271 T AHYP (NIL) -9 NIL NIL) (-39 41861 42109 42136 "AGG" 42635 T AGG (NIL) -9 NIL 42913) (-38 41295 41457 41671 "AGG-" 41676 NIL AGG- (NIL T) -8 NIL NIL) (-37 38844 39425 39464 "AFSPCAT" 40736 NIL AFSPCAT (NIL T) -9 NIL 41231) (-36 36523 36945 37362 "AF" 38487 NIL AF (NIL T T) -7 NIL NIL) (-35 35863 36452 36506 "AFFSP" 36511 NIL AFFSP (NIL NIL T) -8 NIL NIL) (-34 35120 35790 35839 "AFFPLPS" 35844 NIL AFFPLPS (NIL T) -8 NIL NIL) (-33 34454 35061 35103 "AFFPL" 35108 NIL AFFPL (NIL T) -8 NIL NIL) (-32 31167 31654 32282 "AFALGRES" 33959 NIL AFALGRES (NIL T NIL T T T) -7 NIL NIL) (-31 29813 29990 30304 "AFALGGRO" 30986 NIL AFALGGRO (NIL T NIL T T T) -7 NIL NIL) (-30 29082 29340 29496 "ACPLOT" 29675 T ACPLOT (NIL) -8 NIL NIL) (-29 18442 26425 26477 "ACFS" 27188 NIL ACFS (NIL T) -9 NIL 27427) (-28 16456 16946 17721 "ACFS-" 17726 NIL ACFS- (NIL T T) -8 NIL NIL) (-27 12669 14625 14652 "ACF" 15531 T ACF (NIL) -9 NIL 15944) (-26 11373 11707 12200 "ACF-" 12205 NIL ACF- (NIL T) -8 NIL NIL) (-25 10970 11139 11166 "ABELSG" 11258 T ABELSG (NIL) -9 NIL 11323) (-24 10837 10862 10928 "ABELSG-" 10933 NIL ABELSG- (NIL T) -8 NIL NIL) (-23 10205 10466 10493 "ABELMON" 10663 T ABELMON (NIL) -9 NIL 10775) (-22 9869 9953 10091 "ABELMON-" 10096 NIL ABELMON- (NIL T) -8 NIL NIL) (-21 9202 9548 9575 "ABELGRP" 9700 T ABELGRP (NIL) -9 NIL 9782) (-20 8665 8794 9010 "ABELGRP-" 9015 NIL ABELGRP- (NIL T) -8 NIL NIL) (-19 4333 8027 8067 "A1AGG" 8072 NIL A1AGG (NIL T) -9 NIL 8112) (-18 30 1251 2813 "A1AGG-" 2818 NIL A1AGG- (NIL T T) -8 NIL NIL)) 
\ No newline at end of file
+((-2487 (((-637 (-1230 |#2| |#1|)) (-1230 |#2| |#1|) (-1230 |#2| |#1|)) 36)) (-1901 (((-571) (-1230 |#2| |#1|)) 67 (|has| |#1| (-456)))) (-2256 (((-571) (-1230 |#2| |#1|)) 53)) (-3552 (((-637 (-1230 |#2| |#1|)) (-1230 |#2| |#1|) (-1230 |#2| |#1|)) 44)) (-4333 (((-571) (-1230 |#2| |#1|) (-1230 |#2| |#1|)) 55 (|has| |#1| (-456)))) (-3260 (((-637 |#1|) (-1230 |#2| |#1|) (-1230 |#2| |#1|)) 47)) (-3994 (((-571) (-1230 |#2| |#1|) (-1230 |#2| |#1|)) 52))) 
+(((-1111 |#1| |#2|) (-10 -7 (-15 -2487 ((-637 (-1230 |#2| |#1|)) (-1230 |#2| |#1|) (-1230 |#2| |#1|))) (-15 -3552 ((-637 (-1230 |#2| |#1|)) (-1230 |#2| |#1|) (-1230 |#2| |#1|))) (-15 -3260 ((-637 |#1|) (-1230 |#2| |#1|) (-1230 |#2| |#1|))) (-15 -3994 ((-571) (-1230 |#2| |#1|) (-1230 |#2| |#1|))) (-15 -2256 ((-571) (-1230 |#2| |#1|))) (IF (|has| |#1| (-456)) (PROGN (-15 -4333 ((-571) (-1230 |#2| |#1|) (-1230 |#2| |#1|))) (-15 -1901 ((-571) (-1230 |#2| |#1|)))) |noBranch|)) (-820) (-1169)) (T -1111)) 
+((-1901 (*1 *2 *3) (-12 (-5 *3 (-1230 *5 *4)) (-4 *4 (-456)) (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-571)) (-5 *1 (-1111 *4 *5)))) (-4333 (*1 *2 *3 *3) (-12 (-5 *3 (-1230 *5 *4)) (-4 *4 (-456)) (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-571)) (-5 *1 (-1111 *4 *5)))) (-2256 (*1 *2 *3) (-12 (-5 *3 (-1230 *5 *4)) (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-571)) (-5 *1 (-1111 *4 *5)))) (-3994 (*1 *2 *3 *3) (-12 (-5 *3 (-1230 *5 *4)) (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-571)) (-5 *1 (-1111 *4 *5)))) (-3260 (*1 *2 *3 *3) (-12 (-5 *3 (-1230 *5 *4)) (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-637 *4)) (-5 *1 (-1111 *4 *5)))) (-3552 (*1 *2 *3 *3) (-12 (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-637 (-1230 *5 *4))) (-5 *1 (-1111 *4 *5)) (-5 *3 (-1230 *5 *4)))) (-2487 (*1 *2 *3 *3) (-12 (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-637 (-1230 *5 *4))) (-5 *1 (-1111 *4 *5)) (-5 *3 (-1230 *5 *4))))) 
+(-10 -7 (-15 -2487 ((-637 (-1230 |#2| |#1|)) (-1230 |#2| |#1|) (-1230 |#2| |#1|))) (-15 -3552 ((-637 (-1230 |#2| |#1|)) (-1230 |#2| |#1|) (-1230 |#2| |#1|))) (-15 -3260 ((-637 |#1|) (-1230 |#2| |#1|) (-1230 |#2| |#1|))) (-15 -3994 ((-571) (-1230 |#2| |#1|) (-1230 |#2| |#1|))) (-15 -2256 ((-571) (-1230 |#2| |#1|))) (IF (|has| |#1| (-456)) (PROGN (-15 -4333 ((-571) (-1230 |#2| |#1|) (-1230 |#2| |#1|))) (-15 -1901 ((-571) (-1230 |#2| |#1|)))) |noBranch|)) 
+((-3203 (((-3 (-571) "failed") |#2| (-1169) |#2| (-1151)) 16) (((-3 (-571) "failed") |#2| (-1169) (-840 |#2|)) 14) (((-3 (-571) "failed") |#2|) 51))) 
+(((-1112 |#1| |#2|) (-10 -7 (-15 -3203 ((-3 (-571) "failed") |#2|)) (-15 -3203 ((-3 (-571) "failed") |#2| (-1169) (-840 |#2|))) (-15 -3203 ((-3 (-571) "failed") |#2| (-1169) |#2| (-1151)))) (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)) (-456)) (-13 (-27) (-1189) (-435 |#1|))) (T -1112)) 
+((-3203 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-1151)) (-4 *6 (-13 (-561) (-847) (-1043 *2) (-633 *2) (-456))) (-5 *2 (-571)) (-5 *1 (-1112 *6 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))))) (-3203 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-840 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 *2) (-633 *2) (-456))) (-5 *2 (-571)) (-5 *1 (-1112 *6 *3)))) (-3203 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-561) (-847) (-1043 *2) (-633 *2) (-456))) (-5 *2 (-571)) (-5 *1 (-1112 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4)))))) 
+(-10 -7 (-15 -3203 ((-3 (-571) "failed") |#2|)) (-15 -3203 ((-3 (-571) "failed") |#2| (-1169) (-840 |#2|))) (-15 -3203 ((-3 (-571) "failed") |#2| (-1169) |#2| (-1151)))) 
+((-3203 (((-3 (-571) "failed") (-412 (-958 |#1|)) (-1169) (-412 (-958 |#1|)) (-1151)) 34) (((-3 (-571) "failed") (-412 (-958 |#1|)) (-1169) (-840 (-412 (-958 |#1|)))) 29) (((-3 (-571) "failed") (-412 (-958 |#1|))) 12))) 
+(((-1113 |#1|) (-10 -7 (-15 -3203 ((-3 (-571) "failed") (-412 (-958 |#1|)))) (-15 -3203 ((-3 (-571) "failed") (-412 (-958 |#1|)) (-1169) (-840 (-412 (-958 |#1|))))) (-15 -3203 ((-3 (-571) "failed") (-412 (-958 |#1|)) (-1169) (-412 (-958 |#1|)) (-1151)))) (-456)) (T -1113)) 
+((-3203 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-412 (-958 *6))) (-5 *4 (-1169)) (-5 *5 (-1151)) (-4 *6 (-456)) (-5 *2 (-571)) (-5 *1 (-1113 *6)))) (-3203 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-840 (-412 (-958 *6)))) (-5 *3 (-412 (-958 *6))) (-4 *6 (-456)) (-5 *2 (-571)) (-5 *1 (-1113 *6)))) (-3203 (*1 *2 *3) (|partial| -12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-456)) (-5 *2 (-571)) (-5 *1 (-1113 *4))))) 
+(-10 -7 (-15 -3203 ((-3 (-571) "failed") (-412 (-958 |#1|)))) (-15 -3203 ((-3 (-571) "failed") (-412 (-958 |#1|)) (-1169) (-840 (-412 (-958 |#1|))))) (-15 -3203 ((-3 (-571) "failed") (-412 (-958 |#1|)) (-1169) (-412 (-958 |#1|)) (-1151)))) 
+((-2588 (((-311 (-571)) (-53)) 11))) 
+(((-1114) (-10 -7 (-15 -2588 ((-311 (-571)) (-53))))) (T -1114)) 
+((-2588 (*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-311 (-571))) (-5 *1 (-1114))))) 
+(-10 -7 (-15 -2588 ((-311 (-571)) (-53)))) 
+((-2234 (((-121) $ $) NIL)) (-1996 (($ $) 41)) (-4123 (((-121) $) 65)) (-3917 (($ $ $) 48)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 84)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-1988 (($ $ $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3905 (($ $ $ $) 74)) (-2356 (($ $) NIL)) (-4151 (((-423 $) $) NIL)) (-1295 (((-121) $ $) NIL)) (-3203 (((-571) $) NIL)) (-3309 (($ $ $) 71)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL)) (-1316 (((-571) $) NIL)) (-2162 (($ $ $) 59)) (-2680 (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 78) (((-684 (-571)) (-684 $)) 28)) (-3978 (((-3 $ "failed") $) NIL)) (-3437 (((-3 (-412 (-571)) "failed") $) NIL)) (-3330 (((-121) $) NIL)) (-3450 (((-412 (-571)) $) NIL)) (-3254 (($) 81) (($ $) 82)) (-2180 (($ $ $) 58)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL)) (-1596 (((-121) $) NIL)) (-3138 (($ $ $ $) NIL)) (-3494 (($ $ $) 79)) (-2093 (((-121) $) NIL)) (-3810 (($ $ $) NIL)) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL)) (-2583 (((-121) $) 66)) (-4329 (((-121) $) 64)) (-2931 (($ $) 42)) (-2596 (((-3 $ "failed") $) NIL)) (-4086 (((-121) $) 75)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-3266 (($ $ $ $) 72)) (-1763 (($ $ $) 68) (($) 39)) (-2383 (($ $ $) 67) (($) 38)) (-2012 (($ $) NIL)) (-3158 (($ $) 70)) (-1622 (($ $ $) NIL) (($ (-637 $)) NIL)) (-3944 (((-1151) $) NIL)) (-4052 (($ $ $) NIL)) (-1757 (($) NIL T CONST)) (-3708 (($ $) 50)) (-2580 (((-1115) $) NIL) (($ $) 69)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL)) (-3026 (($ $ $) 62) (($ (-637 $)) NIL)) (-2761 (($ $) NIL)) (-4262 (((-423 $) $) NIL)) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL)) (-1786 (((-3 $ "failed") $ $) NIL)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL)) (-2385 (((-121) $) NIL)) (-1826 (((-768) $) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 61)) (-3096 (($ $ (-768)) NIL) (($ $) NIL)) (-2404 (($ $) 51)) (-4316 (($ $) NIL)) (-4050 (((-571) $) 32) (((-544) $) NIL) (((-892 (-571)) $) NIL) (((-384) $) NIL) (((-216) $) NIL)) (-3942 (((-855) $) 31) (($ (-571)) 80) (($ $) NIL) (($ (-571)) 80)) (-2661 (((-768)) NIL)) (-2482 (((-121) $ $) NIL)) (-1358 (($ $ $) NIL)) (-3468 (($) 37)) (-1388 (((-121) $ $) NIL)) (-1591 (($ $ $ $) 73)) (-1902 (($ $) 63)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2208 (($ $ $) 44)) (-2369 (($) 35 T CONST)) (-3057 (($ $ $) 47)) (-3222 (($) 36 T CONST)) (-3805 (((-1151) $) 21) (((-1151) $ (-121)) 23) (((-1263) (-822) $) 24) (((-1263) (-822) $ (-121)) 25)) (-3039 (($ $) 45)) (-1544 (($ $ (-768)) NIL) (($ $) NIL)) (-2893 (($ $ $) 46)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 40)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 49)) (-2198 (($ $ $) 43)) (-1373 (($ $) 52) (($ $ $) 54)) (-1367 (($ $ $) 53)) (** (($ $ (-922)) NIL) (($ $ (-768)) 57)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 34) (($ $ $) 55))) 
+(((-1115) (-13 (-553) (-654) (-828) (-10 -8 (-6 -4587) (-6 -4592) (-6 -4588) (-15 -2383 ($)) (-15 -1763 ($)) (-15 -2931 ($ $)) (-15 -1996 ($ $)) (-15 -2198 ($ $ $)) (-15 -2208 ($ $ $)) (-15 -3917 ($ $ $)) (-15 -3039 ($ $)) (-15 -2893 ($ $ $)) (-15 -3057 ($ $ $))))) (T -1115)) 
+((-2208 (*1 *1 *1 *1) (-5 *1 (-1115))) (-2198 (*1 *1 *1 *1) (-5 *1 (-1115))) (-1996 (*1 *1 *1) (-5 *1 (-1115))) (-2383 (*1 *1) (-5 *1 (-1115))) (-1763 (*1 *1) (-5 *1 (-1115))) (-2931 (*1 *1 *1) (-5 *1 (-1115))) (-3917 (*1 *1 *1 *1) (-5 *1 (-1115))) (-3039 (*1 *1 *1) (-5 *1 (-1115))) (-2893 (*1 *1 *1 *1) (-5 *1 (-1115))) (-3057 (*1 *1 *1 *1) (-5 *1 (-1115)))) 
+(-13 (-553) (-654) (-828) (-10 -8 (-6 -4587) (-6 -4592) (-6 -4588) (-15 -2383 ($)) (-15 -1763 ($)) (-15 -2931 ($ $)) (-15 -1996 ($ $)) (-15 -2198 ($ $ $)) (-15 -2208 ($ $ $)) (-15 -3917 ($ $ $)) (-15 -3039 ($ $)) (-15 -2893 ($ $ $)) (-15 -3057 ($ $ $)))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-1601 ((|#1| $) 41)) (-3133 (((-121) $ (-768)) 8)) (-2269 (($) 7 T CONST)) (-2221 ((|#1| |#1| $) 43)) (-3595 ((|#1| $) 42)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2377 ((|#1| $) 36)) (-2863 (($ |#1| $) 37)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-3815 ((|#1| $) 38)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-1560 (((-768) $) 40)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) 39)) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-1116 |#1|) (-1289) (-1203)) (T -1116)) 
+((-2221 (*1 *2 *2 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1203)))) (-3595 (*1 *2 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1203)))) (-1601 (*1 *2 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1203)))) (-1560 (*1 *2 *1) (-12 (-4 *1 (-1116 *3)) (-4 *3 (-1203)) (-5 *2 (-768))))) 
+(-13 (-111 |t#1|) (-10 -8 (-6 -4600) (-15 -2221 (|t#1| |t#1| $)) (-15 -3595 (|t#1| $)) (-15 -1601 (|t#1| $)) (-15 -1560 ((-768) $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-3490 ((|#3| $) 76)) (-3337 (((-3 (-571) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 |#3| "failed") $) 40)) (-1316 (((-571) $) NIL) (((-412 (-571)) $) NIL) ((|#3| $) 37)) (-2680 (((-684 (-571)) (-684 $)) NIL) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL) (((-2 (|:| -3533 (-684 |#3|)) (|:| |vec| (-1258 |#3|))) (-684 $) (-1258 $)) 73) (((-684 |#3|) (-684 $)) 65)) (-3096 (($ $ (-1 |#3| |#3|)) 19) (($ $ (-1 |#3| |#3|) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169)) NIL) (($ $ (-768)) NIL) (($ $) NIL)) (-2566 ((|#3| $) 78)) (-3492 ((|#4| $) 32)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ (-412 (-571))) NIL) (($ |#3|) 16)) (** (($ $ (-922)) NIL) (($ $ (-768)) 15) (($ $ (-571)) 82))) 
+(((-1117 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 ** (|#1| |#1| (-571))) (-15 -2566 (|#3| |#1|)) (-15 -3490 (|#3| |#1|)) (-15 -3492 (|#4| |#1|)) (-15 -2680 ((-684 |#3|) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#3|)) (|:| |vec| (-1258 |#3|))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -1316 (|#3| |#1|)) (-15 -3337 ((-3 |#3| "failed") |#1|)) (-15 -3942 (|#1| |#3|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1 |#3| |#3|) (-768))) (-15 -3096 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3942 (|#1| (-571))) (-15 ** (|#1| |#1| (-768))) (-15 ** (|#1| |#1| (-922))) (-15 -3942 ((-855) |#1|))) (-1118 |#2| |#3| |#4| |#5|) (-768) (-1053) (-231 |#2| |#3|) (-231 |#2| |#3|)) (T -1117)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-571))) (-15 -2566 (|#3| |#1|)) (-15 -3490 (|#3| |#1|)) (-15 -3492 (|#4| |#1|)) (-15 -2680 ((-684 |#3|) (-684 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 |#3|)) (|:| |vec| (-1258 |#3|))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 |#1|) (-1258 |#1|))) (-15 -2680 ((-684 (-571)) (-684 |#1|))) (-15 -1316 (|#3| |#1|)) (-15 -3337 ((-3 |#3| "failed") |#1|)) (-15 -3942 (|#1| |#3|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-571) |#1|)) (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1 |#3| |#3|) (-768))) (-15 -3096 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3942 (|#1| (-571))) (-15 ** (|#1| |#1| (-768))) (-15 ** (|#1| |#1| (-922))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3490 ((|#2| $) 69)) (-4359 (((-121) $) 109)) (-4176 (((-3 $ "failed") $ $) 18)) (-2209 (((-121) $) 107)) (-3133 (((-121) $ (-768)) 99)) (-1986 (($ |#2|) 72)) (-2269 (($) 16 T CONST)) (-2986 (($ $) 126 (|has| |#2| (-302)))) (-4336 ((|#3| $ (-571)) 121)) (-3337 (((-3 (-571) "failed") $) 83 (|has| |#2| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) 81 (|has| |#2| (-1043 (-412 (-571))))) (((-3 |#2| "failed") $) 78)) (-1316 (((-571) $) 84 (|has| |#2| (-1043 (-571)))) (((-412 (-571)) $) 82 (|has| |#2| (-1043 (-412 (-571))))) ((|#2| $) 77)) (-2680 (((-684 (-571)) (-684 $)) 76 (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 75 (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) 74) (((-684 |#2|) (-684 $)) 73)) (-3978 (((-3 $ "failed") $) 33)) (-3241 (((-768) $) 127 (|has| |#2| (-561)))) (-4319 ((|#2| $ (-571) (-571)) 119)) (-4034 (((-637 |#2|) $) 92 (|has| $ (-6 -4600)))) (-2583 (((-121) $) 30)) (-3709 (((-768) $) 128 (|has| |#2| (-561)))) (-2855 (((-637 |#4|) $) 129 (|has| |#2| (-561)))) (-3673 (((-768) $) 115)) (-3682 (((-768) $) 116)) (-2262 (((-121) $ (-768)) 100)) (-1997 ((|#2| $) 64 (|has| |#2| (-6 (-4602 "*"))))) (-1950 (((-571) $) 111)) (-3325 (((-571) $) 113)) (-3488 (((-637 |#2|) $) 91 (|has| $ (-6 -4600)))) (-3303 (((-121) |#2| $) 89 (-12 (|has| |#2| (-1097)) (|has| $ (-6 -4600))))) (-4239 (((-571) $) 112)) (-4395 (((-571) $) 114)) (-3567 (($ (-637 (-637 |#2|))) 106)) (-1923 (($ (-1 |#2| |#2|) $) 96 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#2| |#2| |#2|) $ $) 123) (($ (-1 |#2| |#2|) $) 97)) (-3818 (((-637 (-637 |#2|)) $) 117)) (-3794 (((-121) $ (-768)) 101)) (-3944 (((-1151) $) 9)) (-1774 (((-3 $ "failed") $) 63 (|has| |#2| (-367)))) (-2580 (((-1115) $) 10)) (-1786 (((-3 $ "failed") $ |#2|) 124 (|has| |#2| (-561)))) (-3160 (((-121) (-1 (-121) |#2|) $) 94 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#2|))) 88 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) 87 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) 86 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) 85 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) 105)) (-1828 (((-121) $) 102)) (-1630 (($) 103)) (-3245 ((|#2| $ (-571) (-571) |#2|) 120) ((|#2| $ (-571) (-571)) 118)) (-3096 (($ $ (-1 |#2| |#2|)) 51) (($ $ (-1 |#2| |#2|) (-768)) 50) (($ $ (-637 (-1169)) (-637 (-768))) 43 (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) 42 (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) 41 (|has| |#2| (-900 (-1169)))) (($ $ (-1169)) 40 (|has| |#2| (-900 (-1169)))) (($ $ (-768)) 38 (|has| |#2| (-226))) (($ $) 36 (|has| |#2| (-226)))) (-2566 ((|#2| $) 68)) (-2949 (($ (-637 |#2|)) 71)) (-4208 (((-121) $) 108)) (-3492 ((|#3| $) 70)) (-3182 ((|#2| $) 65 (|has| |#2| (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) |#2|) $) 93 (|has| $ (-6 -4600))) (((-768) |#2| $) 90 (-12 (|has| |#2| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 104)) (-2852 ((|#4| $ (-571)) 122)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ (-412 (-571))) 80 (|has| |#2| (-1043 (-412 (-571))))) (($ |#2|) 79)) (-2661 (((-768)) 28)) (-3027 (((-121) (-1 (-121) |#2|) $) 95 (|has| $ (-6 -4600)))) (-4423 (((-121) $) 110)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-1 |#2| |#2|)) 49) (($ $ (-1 |#2| |#2|) (-768)) 48) (($ $ (-637 (-1169)) (-637 (-768))) 47 (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) 46 (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) 45 (|has| |#2| (-900 (-1169)))) (($ $ (-1169)) 44 (|has| |#2| (-900 (-1169)))) (($ $ (-768)) 39 (|has| |#2| (-226))) (($ $) 37 (|has| |#2| (-226)))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#2|) 125 (|has| |#2| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 62 (|has| |#2| (-367)))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#2|) 131) (($ |#2| $) 130) ((|#4| $ |#4|) 67) ((|#3| |#3| $) 66)) (-4001 (((-768) $) 98 (|has| $ (-6 -4600))))) 
+(((-1118 |#1| |#2| |#3| |#4|) (-1289) (-768) (-1053) (-231 |t#1| |t#2|) (-231 |t#1| |t#2|)) (T -1118)) 
+((-1986 (*1 *1 *2) (-12 (-4 *2 (-1053)) (-4 *1 (-1118 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)))) (-2949 (*1 *1 *2) (-12 (-5 *2 (-637 *4)) (-4 *4 (-1053)) (-4 *1 (-1118 *3 *4 *5 *6)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)))) (-3492 (*1 *2 *1) (-12 (-4 *1 (-1118 *3 *4 *2 *5)) (-4 *4 (-1053)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) (-3490 (*1 *2 *1) (-12 (-4 *1 (-1118 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1053)))) (-2566 (*1 *2 *1) (-12 (-4 *1 (-1118 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1053)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-1118 *3 *4 *5 *2)) (-4 *4 (-1053)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-1118 *3 *4 *2 *5)) (-4 *4 (-1053)) (-4 *2 (-231 *3 *4)) (-4 *5 (-231 *3 *4)))) (-3182 (*1 *2 *1) (-12 (-4 *1 (-1118 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4602 "*"))) (-4 *2 (-1053)))) (-1997 (*1 *2 *1) (-12 (-4 *1 (-1118 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4602 "*"))) (-4 *2 (-1053)))) (-1774 (*1 *1 *1) (|partial| -12 (-4 *1 (-1118 *2 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-231 *2 *3)) (-4 *5 (-231 *2 *3)) (-4 *3 (-367)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1118 *3 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)) (-4 *4 (-367))))) 
+(-13 (-224 |t#2|) (-120 |t#2| |t#2|) (-1056 |t#1| |t#1| |t#2| |t#3| |t#4|) (-416 |t#2|) (-382 |t#2|) (-10 -8 (IF (|has| |t#2| (-173)) (-6 (-712 |t#2|)) |noBranch|) (-15 -1986 ($ |t#2|)) (-15 -2949 ($ (-637 |t#2|))) (-15 -3492 (|t#3| $)) (-15 -3490 (|t#2| $)) (-15 -2566 (|t#2| $)) (-15 * (|t#4| $ |t#4|)) (-15 * (|t#3| |t#3| $)) (IF (|has| |t#2| (-6 (-4602 "*"))) (PROGN (-6 (-43 |t#2|)) (-15 -3182 (|t#2| $)) (-15 -1997 (|t#2| $))) |noBranch|) (IF (|has| |t#2| (-367)) (PROGN (-15 -1774 ((-3 $ "failed") $)) (-15 ** ($ $ (-571)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-43 |#2|) |has| |#2| (-6 (-4602 "*"))) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-611 (-855)) . T) ((-224 |#2|) . T) ((-226) |has| |#2| (-226)) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) ((-382 |#2|) . T) ((-416 |#2|) . T) ((-502 |#2|) . T) ((-526 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) ((-640 |#2|) . T) ((-640 $) . T) ((-633 (-571)) |has| |#2| (-633 (-571))) ((-633 |#2|) . T) ((-712 |#2|) -1831 (|has| |#2| (-173)) (|has| |#2| (-6 (-4602 "*")))) ((-721) . T) ((-900 (-1169)) |has| |#2| (-900 (-1169))) ((-1056 |#1| |#1| |#2| |#3| |#4|) . T) ((-1043 (-412 (-571))) |has| |#2| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#2| (-1043 (-571))) ((-1043 |#2|) . T) ((-1059 |#2|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1203) . T)) 
+((-3505 ((|#4| |#4|) 67)) (-1682 ((|#4| |#4|) 62)) (-1914 (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -1899 (-637 |#3|))) |#4| |#3|) 75)) (-1490 (((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) 66)) (-3305 (((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) 64))) 
+(((-1119 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1682 (|#4| |#4|)) (-15 -3305 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3505 (|#4| |#4|)) (-15 -1490 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -1914 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -1899 (-637 |#3|))) |#4| |#3|))) (-302) (-378 |#1|) (-378 |#1|) (-682 |#1| |#2| |#3|)) (T -1119)) 
+((-1914 (*1 *2 *3 *4) (-12 (-4 *5 (-302)) (-4 *6 (-378 *5)) (-4 *4 (-378 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-1119 *5 *6 *4 *3)) (-4 *3 (-682 *5 *6 *4)))) (-1490 (*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1119 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) (-3505 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-1119 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) (-3305 (*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1119 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) (-1682 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-1119 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5))))) 
+(-10 -7 (-15 -1682 (|#4| |#4|)) (-15 -3305 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3505 (|#4| |#4|)) (-15 -1490 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -1914 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -1899 (-637 |#3|))) |#4| |#3|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 17)) (-3424 (((-637 |#2|) $) 160)) (-4257 (((-1165 $) $ |#2|) 54) (((-1165 |#1|) $) 43)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 110 (|has| |#1| (-561)))) (-1415 (($ $) 112 (|has| |#1| (-561)))) (-2545 (((-121) $) 114 (|has| |#1| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 |#2|)) 193)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2356 (($ $) NIL (|has| |#1| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) 157) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 |#2| "failed") $) NIL)) (-1316 ((|#1| $) 155) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) ((|#2| $) NIL)) (-3730 (($ $ $ |#2|) NIL (|has| |#1| (-173)))) (-4349 (($ $) 197)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) 82)) (-3630 (($ $) NIL (|has| |#1| (-456))) (($ $ |#2|) NIL (|has| |#1| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#1| (-909)))) (-1420 (($ $ |#1| (-537 |#2|) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| |#1| (-886 (-384))) (|has| |#2| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| |#1| (-886 (-571))) (|has| |#2| (-886 (-571)))))) (-2583 (((-121) $) 19)) (-2108 (((-768) $) 26)) (-4296 (($ (-1165 |#1|) |#2|) 48) (($ (-1165 $) |#2|) 64)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) 31)) (-4289 (($ |#1| (-537 |#2|)) 71) (($ $ |#2| (-768)) 52) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ |#2|) NIL)) (-3973 (((-537 |#2|) $) 187) (((-768) $ |#2|) 188) (((-637 (-768)) $ (-637 |#2|)) 189)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-2587 (($ (-1 (-537 |#2|) (-537 |#2|)) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) 122)) (-2510 (((-3 |#2| "failed") $) 162)) (-4332 (($ $) 196)) (-4337 ((|#1| $) 37)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-3944 (((-1151) $) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| |#2|) (|:| -2154 (-768))) "failed") $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) 32)) (-4326 ((|#1| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 140 (|has| |#1| (-456)))) (-3026 (($ (-637 $)) 145 (|has| |#1| (-456))) (($ $ $) 132 (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-909)))) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561))) (((-3 $ "failed") $ $) 120 (|has| |#1| (-561)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ |#2| |#1|) 165) (($ $ (-637 |#2|) (-637 |#1|)) 178) (($ $ |#2| $) 164) (($ $ (-637 |#2|) (-637 $)) 177)) (-1475 (($ $ |#2|) NIL (|has| |#1| (-173)))) (-3096 (($ $ |#2|) 195) (($ $ (-637 |#2|)) NIL) (($ $ |#2| (-768)) NIL) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-2400 (((-537 |#2|) $) 183) (((-768) $ |#2|) 179) (((-637 (-768)) $ (-637 |#2|)) 181)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| |#1| (-612 (-892 (-384)))) (|has| |#2| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| |#1| (-612 (-892 (-571)))) (|has| |#2| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| |#1| (-612 (-544))) (|has| |#2| (-612 (-544)))))) (-4189 ((|#1| $) 128 (|has| |#1| (-456))) (($ $ |#2|) 131 (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3942 (((-855) $) 151) (($ (-571)) 76) (($ |#1|) 77) (($ |#2|) 28) (($ $) NIL (|has| |#1| (-561))) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571))))))) (-1314 (((-637 |#1|) $) 154)) (-3136 ((|#1| $ (-537 |#2|)) 73) (($ $ |#2| (-768)) NIL) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) 79)) (-3855 (($ $ $ (-768)) NIL (|has| |#1| (-173)))) (-1388 (((-121) $ $) 117 (|has| |#1| (-561)))) (-4142 (($ $ (-922)) 102) (($ $ (-768)) 104)) (-2369 (($) 12 T CONST)) (-3222 (($) 14 T CONST)) (-1544 (($ $ |#2|) NIL) (($ $ (-637 |#2|)) NIL) (($ $ |#2| (-768)) NIL) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) 97)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ |#1|) 126 (|has| |#1| (-367)))) (-1373 (($ $) 85) (($ $ $) 95)) (-1367 (($ $ $) 49)) (** (($ $ (-922)) 103) (($ $ (-768)) 100)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 88) (($ $ $) 65) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 90) (($ $ |#1|) NIL))) 
+(((-1120 |#1| |#2|) (-955 |#1| (-537 |#2|) |#2|) (-1053) (-847)) (T -1120)) 
+NIL 
+(-955 |#1| (-537 |#2|) |#2|) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 |#2|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-4255 (($ $) 154 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 130 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4243 (($ $) 150 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 126 (|has| |#1| (-43 (-412 (-571)))))) (-4266 (($ $) 158 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 134 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-1887 (((-958 |#1|) $ (-768)) NIL) (((-958 |#1|) $ (-768) (-768)) NIL)) (-4124 (((-121) $) NIL)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-768) $ |#2|) NIL) (((-768) $ |#2| (-768)) NIL)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3517 (((-121) $) NIL)) (-4289 (($ $ (-637 |#2|) (-637 (-537 |#2|))) NIL) (($ $ |#2| (-537 |#2|)) NIL) (($ |#1| (-537 |#2|)) NIL) (($ $ |#2| (-768)) 71) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3509 (($ $) 124 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-3403 (($ $ |#2|) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ |#2| |#1|) 177 (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) NIL)) (-3569 (($ (-1 $) |#2| |#1|) 176 (|has| |#1| (-43 (-412 (-571)))))) (-3140 (($ $ (-768)) 15)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4148 (($ $) 122 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (($ $ |#2| $) 109) (($ $ (-637 |#2|) (-637 $)) 102) (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL)) (-3096 (($ $ |#2|) 111) (($ $ (-637 |#2|)) NIL) (($ $ |#2| (-768)) NIL) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-2400 (((-537 |#2|) $) NIL)) (-1788 (((-1 (-1149 |#3|) |#3|) (-637 |#2|) (-637 (-1149 |#3|))) 92)) (-4273 (($ $) 160 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 136 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 156 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 132 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 152 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 128 (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) 17)) (-3942 (((-855) $) 192) (($ (-571)) NIL) (($ |#1|) 59 (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-561))) (($ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#2|) 78) (($ |#3|) 76)) (-3136 ((|#1| $ (-537 |#2|)) 57) (($ $ |#2| (-768)) NIL) (($ $ (-637 |#2|) (-637 (-768))) 50) ((|#3| $ (-768)) 42)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-4294 (($ $) 166 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 142 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) 162 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 138 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 170 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 146 (|has| |#1| (-43 (-412 (-571)))))) (-2656 (($ $) 172 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 148 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 168 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 144 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 164 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 140 (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 18 T CONST)) (-3222 (($) 10 T CONST)) (-1544 (($ $ |#2|) NIL) (($ $ (-637 |#2|)) NIL) (($ $ |#2| (-768)) NIL) (($ $ (-637 |#2|) (-637 (-768))) NIL)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#1|) 194 (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 74)) (** (($ $ (-922)) NIL) (($ $ (-768)) 83) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 114 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 73) (($ $ (-412 (-571))) 119 (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) 117 (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 62) (($ $ |#1|) 63) (($ |#3| $) 61))) 
+(((-1121 |#1| |#2| |#3|) (-13 (-735 |#1| |#2|) (-10 -8 (-15 -3136 (|#3| $ (-768))) (-15 -3942 ($ |#2|)) (-15 -3942 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -1788 ((-1 (-1149 |#3|) |#3|) (-637 |#2|) (-637 (-1149 |#3|)))) (IF (|has| |#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ($ $ |#2| |#1|)) (-15 -3569 ($ (-1 $) |#2| |#1|))) |noBranch|))) (-1053) (-847) (-955 |#1| (-537 |#2|) |#2|)) (T -1121)) 
+((-3136 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *2 (-955 *4 (-537 *5) *5)) (-5 *1 (-1121 *4 *5 *2)) (-4 *4 (-1053)) (-4 *5 (-847)))) (-3942 (*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *2 (-847)) (-5 *1 (-1121 *3 *2 *4)) (-4 *4 (-955 *3 (-537 *2) *2)))) (-3942 (*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-847)) (-5 *1 (-1121 *3 *4 *2)) (-4 *2 (-955 *3 (-537 *4) *4)))) (* (*1 *1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-847)) (-5 *1 (-1121 *3 *4 *2)) (-4 *2 (-955 *3 (-537 *4) *4)))) (-1788 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-637 (-1149 *7))) (-4 *6 (-847)) (-4 *7 (-955 *5 (-537 *6) *6)) (-4 *5 (-1053)) (-5 *2 (-1 (-1149 *7) *7)) (-5 *1 (-1121 *5 *6 *7)))) (-3403 (*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-4 *2 (-847)) (-5 *1 (-1121 *3 *2 *4)) (-4 *4 (-955 *3 (-537 *2) *2)))) (-3569 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1121 *4 *3 *5))) (-4 *4 (-43 (-412 (-571)))) (-4 *4 (-1053)) (-4 *3 (-847)) (-5 *1 (-1121 *4 *3 *5)) (-4 *5 (-955 *4 (-537 *3) *3))))) 
+(-13 (-735 |#1| |#2|) (-10 -8 (-15 -3136 (|#3| $ (-768))) (-15 -3942 ($ |#2|)) (-15 -3942 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -1788 ((-1 (-1149 |#3|) |#3|) (-637 |#2|) (-637 (-1149 |#3|)))) (IF (|has| |#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ($ $ |#2| |#1|)) (-15 -3569 ($ (-1 $) |#2| |#1|))) |noBranch|))) 
+((-2234 (((-121) $ $) 7)) (-2626 (((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 |#4|)))) (-637 |#4|)) 78)) (-2235 (((-637 $) (-637 |#4|)) 79) (((-637 $) (-637 |#4|) (-121)) 104)) (-3424 (((-637 |#3|) $) 32)) (-2927 (((-121) $) 25)) (-4409 (((-121) $) 16 (|has| |#1| (-561)))) (-3766 (((-121) |#4| $) 94) (((-121) $) 90)) (-3998 ((|#4| |#4| $) 85)) (-2356 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| $) 119)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) 26)) (-3133 (((-121) $ (-768)) 43)) (-2534 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4600))) (((-3 |#4| "failed") $ |#3|) 72)) (-2269 (($) 44 T CONST)) (-2940 (((-121) $) 21 (|has| |#1| (-561)))) (-4203 (((-121) $ $) 23 (|has| |#1| (-561)))) (-2568 (((-121) $ $) 22 (|has| |#1| (-561)))) (-3455 (((-121) $) 24 (|has| |#1| (-561)))) (-3516 (((-637 |#4|) (-637 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-1372 (((-637 |#4|) (-637 |#4|) $) 17 (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) 18 (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) 35)) (-1316 (($ (-637 |#4|)) 34)) (-4372 (((-3 $ "failed") $) 75)) (-4476 ((|#4| |#4| $) 82)) (-4365 (($ $) 67 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#4| $) 66 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-561)))) (-3052 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-3271 ((|#4| |#4| $) 80)) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4600))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-1770 (((-2 (|:| -2363 (-637 |#4|)) (|:| -3545 (-637 |#4|))) $) 98)) (-1638 (((-121) |#4| $) 129)) (-4579 (((-121) |#4| $) 126)) (-2485 (((-121) |#4| $) 130) (((-121) $) 127)) (-4034 (((-637 |#4|) $) 51 (|has| $ (-6 -4600)))) (-1791 (((-121) |#4| $) 97) (((-121) $) 96)) (-2065 ((|#3| $) 33)) (-2262 (((-121) $ (-768)) 42)) (-3488 (((-637 |#4|) $) 52 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) 46)) (-2213 (((-637 |#3|) $) 31)) (-3529 (((-121) |#3| $) 30)) (-3794 (((-121) $ (-768)) 41)) (-3944 (((-1151) $) 9)) (-3223 (((-3 |#4| (-637 $)) |#4| |#4| $) 121)) (-2810 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| |#4| $) 120)) (-3220 (((-3 |#4| "failed") $) 76)) (-1891 (((-637 $) |#4| $) 122)) (-1927 (((-3 (-121) (-637 $)) |#4| $) 125)) (-2687 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-4017 (((-637 $) |#4| $) 118) (((-637 $) (-637 |#4|) $) 117) (((-637 $) (-637 |#4|) (-637 $)) 116) (((-637 $) |#4| (-637 $)) 115)) (-2935 (($ |#4| $) 110) (($ (-637 |#4|) $) 109)) (-2551 (((-637 |#4|) $) 100)) (-3554 (((-121) |#4| $) 92) (((-121) $) 88)) (-2347 ((|#4| |#4| $) 83)) (-2075 (((-121) $ $) 103)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-561)))) (-2240 (((-121) |#4| $) 93) (((-121) $) 89)) (-2444 ((|#4| |#4| $) 84)) (-2580 (((-1115) $) 10)) (-1827 (((-3 |#4| "failed") $) 77)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4016 (((-3 $ "failed") $ |#4|) 71)) (-3140 (($ $ |#4|) 70) (((-637 $) |#4| $) 108) (((-637 $) |#4| (-637 $)) 107) (((-637 $) (-637 |#4|) $) 106) (((-637 $) (-637 |#4|) (-637 $)) 105)) (-3160 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) 37)) (-1828 (((-121) $) 40)) (-1630 (($) 39)) (-2400 (((-768) $) 99)) (-1569 (((-768) |#4| $) 53 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4600)))) (-4316 (($ $) 38)) (-4050 (((-544) $) 68 (|has| |#4| (-612 (-544))))) (-3891 (($ (-637 |#4|)) 59)) (-3985 (($ $ |#3|) 27)) (-1905 (($ $ |#3|) 29)) (-4371 (($ $) 81)) (-2031 (($ $ |#3|) 28)) (-3942 (((-855) $) 11) (((-637 |#4|) $) 36)) (-1930 (((-768) $) 69 (|has| |#3| (-373)))) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1875 (((-121) $ (-1 (-121) |#4| (-637 |#4|))) 91)) (-2319 (((-637 $) |#4| $) 114) (((-637 $) |#4| (-637 $)) 113) (((-637 $) (-637 |#4|) $) 112) (((-637 $) (-637 |#4|) (-637 $)) 111)) (-3027 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4600)))) (-3557 (((-637 |#3|) $) 74)) (-2640 (((-121) |#4| $) 128)) (-3049 (((-121) |#3| $) 73)) (-1323 (((-121) $ $) 6)) (-4001 (((-768) $) 45 (|has| $ (-6 -4600))))) 
+(((-1122 |#1| |#2| |#3| |#4|) (-1289) (-456) (-793) (-847) (-1067 |t#1| |t#2| |t#3|)) (T -1122)) 
+NIL 
+(-13 (-1106 |t#1| |t#2| |t#3| |t#4|) (-784 |t#1| |t#2| |t#3| |t#4|)) 
+(((-39) . T) ((-105) . T) ((-611 (-637 |#4|)) . T) ((-611 (-855)) . T) ((-155 |#4|) . T) ((-612 (-544)) |has| |#4| (-612 (-544))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-502 |#4|) . T) ((-526 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-784 |#1| |#2| |#3| |#4|) . T) ((-983 |#1| |#2| |#3| |#4|) . T) ((-1072 |#1| |#2| |#3| |#4|) . T) ((-1097) . T) ((-1106 |#1| |#2| |#3| |#4|) . T) ((-1197 |#1| |#2| |#3| |#4|) . T) ((-1203) . T)) 
+((-4549 (((-637 |#2|) |#1|) 12)) (-3643 (((-637 |#2|) |#2| |#2| |#2| |#2| |#2|) 37) (((-637 |#2|) |#1|) 47)) (-4183 (((-637 |#2|) |#2| |#2| |#2|) 35) (((-637 |#2|) |#1|) 45)) (-1335 ((|#2| |#1|) 42)) (-2837 (((-2 (|:| |solns| (-637 |#2|)) (|:| |maps| (-637 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|)) 16)) (-3611 (((-637 |#2|) |#2| |#2|) 34) (((-637 |#2|) |#1|) 44)) (-4563 (((-637 |#2|) |#2| |#2| |#2| |#2|) 36) (((-637 |#2|) |#1|) 46)) (-3181 ((|#2| |#2| |#2| |#2| |#2| |#2|) 41)) (-3128 ((|#2| |#2| |#2| |#2|) 39)) (-2046 ((|#2| |#2| |#2|) 38)) (-3465 ((|#2| |#2| |#2| |#2| |#2|) 40))) 
+(((-1123 |#1| |#2|) (-10 -7 (-15 -4549 ((-637 |#2|) |#1|)) (-15 -1335 (|#2| |#1|)) (-15 -2837 ((-2 (|:| |solns| (-637 |#2|)) (|:| |maps| (-637 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -3611 ((-637 |#2|) |#1|)) (-15 -4183 ((-637 |#2|) |#1|)) (-15 -4563 ((-637 |#2|) |#1|)) (-15 -3643 ((-637 |#2|) |#1|)) (-15 -3611 ((-637 |#2|) |#2| |#2|)) (-15 -4183 ((-637 |#2|) |#2| |#2| |#2|)) (-15 -4563 ((-637 |#2|) |#2| |#2| |#2| |#2|)) (-15 -3643 ((-637 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -2046 (|#2| |#2| |#2|)) (-15 -3128 (|#2| |#2| |#2| |#2|)) (-15 -3465 (|#2| |#2| |#2| |#2| |#2|)) (-15 -3181 (|#2| |#2| |#2| |#2| |#2| |#2|))) (-1233 |#2|) (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (T -1123)) 
+((-3181 (*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *1 (-1123 *3 *2)) (-4 *3 (-1233 *2)))) (-3465 (*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *1 (-1123 *3 *2)) (-4 *3 (-1233 *2)))) (-3128 (*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *1 (-1123 *3 *2)) (-4 *3 (-1233 *2)))) (-2046 (*1 *2 *2 *2) (-12 (-4 *2 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *1 (-1123 *3 *2)) (-4 *3 (-1233 *2)))) (-3643 (*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *3)) (-5 *1 (-1123 *4 *3)) (-4 *4 (-1233 *3)))) (-4563 (*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *3)) (-5 *1 (-1123 *4 *3)) (-4 *4 (-1233 *3)))) (-4183 (*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *3)) (-5 *1 (-1123 *4 *3)) (-4 *4 (-1233 *3)))) (-3611 (*1 *2 *3 *3) (-12 (-4 *3 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *3)) (-5 *1 (-1123 *4 *3)) (-4 *4 (-1233 *3)))) (-3643 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *4)) (-5 *1 (-1123 *3 *4)) (-4 *3 (-1233 *4)))) (-4563 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *4)) (-5 *1 (-1123 *3 *4)) (-4 *3 (-1233 *4)))) (-4183 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *4)) (-5 *1 (-1123 *3 *4)) (-4 *3 (-1233 *4)))) (-3611 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *4)) (-5 *1 (-1123 *3 *4)) (-4 *3 (-1233 *4)))) (-2837 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-2 (|:| |solns| (-637 *5)) (|:| |maps| (-637 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1123 *3 *5)) (-4 *3 (-1233 *5)))) (-1335 (*1 *2 *3) (-12 (-4 *2 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *1 (-1123 *3 *2)) (-4 *3 (-1233 *2)))) (-4549 (*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *4)) (-5 *1 (-1123 *3 *4)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -4549 ((-637 |#2|) |#1|)) (-15 -1335 (|#2| |#1|)) (-15 -2837 ((-2 (|:| |solns| (-637 |#2|)) (|:| |maps| (-637 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -3611 ((-637 |#2|) |#1|)) (-15 -4183 ((-637 |#2|) |#1|)) (-15 -4563 ((-637 |#2|) |#1|)) (-15 -3643 ((-637 |#2|) |#1|)) (-15 -3611 ((-637 |#2|) |#2| |#2|)) (-15 -4183 ((-637 |#2|) |#2| |#2| |#2|)) (-15 -4563 ((-637 |#2|) |#2| |#2| |#2| |#2|)) (-15 -3643 ((-637 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -2046 (|#2| |#2| |#2|)) (-15 -3128 (|#2| |#2| |#2| |#2|)) (-15 -3465 (|#2| |#2| |#2| |#2| |#2|)) (-15 -3181 (|#2| |#2| |#2| |#2| |#2| |#2|))) 
+((-1444 (((-637 (-637 (-289 (-311 |#1|)))) (-637 (-289 (-412 (-958 |#1|))))) 94) (((-637 (-637 (-289 (-311 |#1|)))) (-637 (-289 (-412 (-958 |#1|)))) (-637 (-1169))) 93) (((-637 (-637 (-289 (-311 |#1|)))) (-637 (-412 (-958 |#1|)))) 91) (((-637 (-637 (-289 (-311 |#1|)))) (-637 (-412 (-958 |#1|))) (-637 (-1169))) 89) (((-637 (-289 (-311 |#1|))) (-289 (-412 (-958 |#1|)))) 75) (((-637 (-289 (-311 |#1|))) (-289 (-412 (-958 |#1|))) (-1169)) 76) (((-637 (-289 (-311 |#1|))) (-412 (-958 |#1|))) 70) (((-637 (-289 (-311 |#1|))) (-412 (-958 |#1|)) (-1169)) 59)) (-3015 (((-637 (-637 (-311 |#1|))) (-637 (-412 (-958 |#1|))) (-637 (-1169))) 87) (((-637 (-311 |#1|)) (-412 (-958 |#1|)) (-1169)) 43)) (-3526 (((-1158 (-637 (-311 |#1|)) (-637 (-289 (-311 |#1|)))) (-412 (-958 |#1|)) (-1169)) 97) (((-1158 (-637 (-311 |#1|)) (-637 (-289 (-311 |#1|)))) (-289 (-412 (-958 |#1|))) (-1169)) 96))) 
+(((-1124 |#1|) (-10 -7 (-15 -1444 ((-637 (-289 (-311 |#1|))) (-412 (-958 |#1|)) (-1169))) (-15 -1444 ((-637 (-289 (-311 |#1|))) (-412 (-958 |#1|)))) (-15 -1444 ((-637 (-289 (-311 |#1|))) (-289 (-412 (-958 |#1|))) (-1169))) (-15 -1444 ((-637 (-289 (-311 |#1|))) (-289 (-412 (-958 |#1|))))) (-15 -1444 ((-637 (-637 (-289 (-311 |#1|)))) (-637 (-412 (-958 |#1|))) (-637 (-1169)))) (-15 -1444 ((-637 (-637 (-289 (-311 |#1|)))) (-637 (-412 (-958 |#1|))))) (-15 -1444 ((-637 (-637 (-289 (-311 |#1|)))) (-637 (-289 (-412 (-958 |#1|)))) (-637 (-1169)))) (-15 -1444 ((-637 (-637 (-289 (-311 |#1|)))) (-637 (-289 (-412 (-958 |#1|)))))) (-15 -3015 ((-637 (-311 |#1|)) (-412 (-958 |#1|)) (-1169))) (-15 -3015 ((-637 (-637 (-311 |#1|))) (-637 (-412 (-958 |#1|))) (-637 (-1169)))) (-15 -3526 ((-1158 (-637 (-311 |#1|)) (-637 (-289 (-311 |#1|)))) (-289 (-412 (-958 |#1|))) (-1169))) (-15 -3526 ((-1158 (-637 (-311 |#1|)) (-637 (-289 (-311 |#1|)))) (-412 (-958 |#1|)) (-1169)))) (-13 (-302) (-847) (-151))) (T -1124)) 
+((-3526 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-1158 (-637 (-311 *5)) (-637 (-289 (-311 *5))))) (-5 *1 (-1124 *5)))) (-3526 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-412 (-958 *5)))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-1158 (-637 (-311 *5)) (-637 (-289 (-311 *5))))) (-5 *1 (-1124 *5)))) (-3015 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 *5)))) (-5 *4 (-637 (-1169))) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-637 (-311 *5)))) (-5 *1 (-1124 *5)))) (-3015 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-311 *5))) (-5 *1 (-1124 *5)))) (-1444 (*1 *2 *3) (-12 (-5 *3 (-637 (-289 (-412 (-958 *4))))) (-4 *4 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-637 (-289 (-311 *4))))) (-5 *1 (-1124 *4)))) (-1444 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-289 (-412 (-958 *5))))) (-5 *4 (-637 (-1169))) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-637 (-289 (-311 *5))))) (-5 *1 (-1124 *5)))) (-1444 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 *4)))) (-4 *4 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-637 (-289 (-311 *4))))) (-5 *1 (-1124 *4)))) (-1444 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 *5)))) (-5 *4 (-637 (-1169))) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-637 (-289 (-311 *5))))) (-5 *1 (-1124 *5)))) (-1444 (*1 *2 *3) (-12 (-5 *3 (-289 (-412 (-958 *4)))) (-4 *4 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-289 (-311 *4)))) (-5 *1 (-1124 *4)))) (-1444 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-412 (-958 *5)))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-289 (-311 *5)))) (-5 *1 (-1124 *5)))) (-1444 (*1 *2 *3) (-12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-289 (-311 *4)))) (-5 *1 (-1124 *4)))) (-1444 (*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-289 (-311 *5)))) (-5 *1 (-1124 *5))))) 
+(-10 -7 (-15 -1444 ((-637 (-289 (-311 |#1|))) (-412 (-958 |#1|)) (-1169))) (-15 -1444 ((-637 (-289 (-311 |#1|))) (-412 (-958 |#1|)))) (-15 -1444 ((-637 (-289 (-311 |#1|))) (-289 (-412 (-958 |#1|))) (-1169))) (-15 -1444 ((-637 (-289 (-311 |#1|))) (-289 (-412 (-958 |#1|))))) (-15 -1444 ((-637 (-637 (-289 (-311 |#1|)))) (-637 (-412 (-958 |#1|))) (-637 (-1169)))) (-15 -1444 ((-637 (-637 (-289 (-311 |#1|)))) (-637 (-412 (-958 |#1|))))) (-15 -1444 ((-637 (-637 (-289 (-311 |#1|)))) (-637 (-289 (-412 (-958 |#1|)))) (-637 (-1169)))) (-15 -1444 ((-637 (-637 (-289 (-311 |#1|)))) (-637 (-289 (-412 (-958 |#1|)))))) (-15 -3015 ((-637 (-311 |#1|)) (-412 (-958 |#1|)) (-1169))) (-15 -3015 ((-637 (-637 (-311 |#1|))) (-637 (-412 (-958 |#1|))) (-637 (-1169)))) (-15 -3526 ((-1158 (-637 (-311 |#1|)) (-637 (-289 (-311 |#1|)))) (-289 (-412 (-958 |#1|))) (-1169))) (-15 -3526 ((-1158 (-637 (-311 |#1|)) (-637 (-289 (-311 |#1|)))) (-412 (-958 |#1|)) (-1169)))) 
+((-2195 (((-412 (-1165 (-311 |#1|))) (-1258 (-311 |#1|)) (-412 (-1165 (-311 |#1|))) (-571)) 27)) (-2390 (((-412 (-1165 (-311 |#1|))) (-412 (-1165 (-311 |#1|))) (-412 (-1165 (-311 |#1|))) (-412 (-1165 (-311 |#1|)))) 39))) 
+(((-1125 |#1|) (-10 -7 (-15 -2390 ((-412 (-1165 (-311 |#1|))) (-412 (-1165 (-311 |#1|))) (-412 (-1165 (-311 |#1|))) (-412 (-1165 (-311 |#1|))))) (-15 -2195 ((-412 (-1165 (-311 |#1|))) (-1258 (-311 |#1|)) (-412 (-1165 (-311 |#1|))) (-571)))) (-13 (-561) (-847))) (T -1125)) 
+((-2195 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-412 (-1165 (-311 *5)))) (-5 *3 (-1258 (-311 *5))) (-5 *4 (-571)) (-4 *5 (-13 (-561) (-847))) (-5 *1 (-1125 *5)))) (-2390 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-412 (-1165 (-311 *3)))) (-4 *3 (-13 (-561) (-847))) (-5 *1 (-1125 *3))))) 
+(-10 -7 (-15 -2390 ((-412 (-1165 (-311 |#1|))) (-412 (-1165 (-311 |#1|))) (-412 (-1165 (-311 |#1|))) (-412 (-1165 (-311 |#1|))))) (-15 -2195 ((-412 (-1165 (-311 |#1|))) (-1258 (-311 |#1|)) (-412 (-1165 (-311 |#1|))) (-571)))) 
+((-4549 (((-637 (-637 (-289 (-311 |#1|)))) (-637 (-289 (-311 |#1|))) (-637 (-1169))) 216) (((-637 (-289 (-311 |#1|))) (-311 |#1|) (-1169)) 20) (((-637 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1169)) 26) (((-637 (-289 (-311 |#1|))) (-289 (-311 |#1|))) 25) (((-637 (-289 (-311 |#1|))) (-311 |#1|)) 21))) 
+(((-1126 |#1|) (-10 -7 (-15 -4549 ((-637 (-289 (-311 |#1|))) (-311 |#1|))) (-15 -4549 ((-637 (-289 (-311 |#1|))) (-289 (-311 |#1|)))) (-15 -4549 ((-637 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1169))) (-15 -4549 ((-637 (-289 (-311 |#1|))) (-311 |#1|) (-1169))) (-15 -4549 ((-637 (-637 (-289 (-311 |#1|)))) (-637 (-289 (-311 |#1|))) (-637 (-1169))))) (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (T -1126)) 
+((-4549 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-1169))) (-4 *5 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-637 (-289 (-311 *5))))) (-5 *1 (-1126 *5)) (-5 *3 (-637 (-289 (-311 *5)))))) (-4549 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-289 (-311 *5)))) (-5 *1 (-1126 *5)) (-5 *3 (-311 *5)))) (-4549 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-289 (-311 *5)))) (-5 *1 (-1126 *5)) (-5 *3 (-289 (-311 *5))))) (-4549 (*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-289 (-311 *4)))) (-5 *1 (-1126 *4)) (-5 *3 (-289 (-311 *4))))) (-4549 (*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-289 (-311 *4)))) (-5 *1 (-1126 *4)) (-5 *3 (-311 *4))))) 
+(-10 -7 (-15 -4549 ((-637 (-289 (-311 |#1|))) (-311 |#1|))) (-15 -4549 ((-637 (-289 (-311 |#1|))) (-289 (-311 |#1|)))) (-15 -4549 ((-637 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1169))) (-15 -4549 ((-637 (-289 (-311 |#1|))) (-311 |#1|) (-1169))) (-15 -4549 ((-637 (-637 (-289 (-311 |#1|)))) (-637 (-289 (-311 |#1|))) (-637 (-1169))))) 
+((-1893 ((|#2| |#2|) 20 (|has| |#1| (-847))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 16)) (-2524 ((|#2| |#2|) 19 (|has| |#1| (-847))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 15))) 
+(((-1127 |#1| |#2|) (-10 -7 (-15 -2524 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -1893 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-847)) (PROGN (-15 -2524 (|#2| |#2|)) (-15 -1893 (|#2| |#2|))) |noBranch|)) (-1203) (-13 (-604 (-571) |#1|) (-10 -7 (-6 -4600) (-6 -4601)))) (T -1127)) 
+((-1893 (*1 *2 *2) (-12 (-4 *3 (-847)) (-4 *3 (-1203)) (-5 *1 (-1127 *3 *2)) (-4 *2 (-13 (-604 (-571) *3) (-10 -7 (-6 -4600) (-6 -4601)))))) (-2524 (*1 *2 *2) (-12 (-4 *3 (-847)) (-4 *3 (-1203)) (-5 *1 (-1127 *3 *2)) (-4 *2 (-13 (-604 (-571) *3) (-10 -7 (-6 -4600) (-6 -4601)))))) (-1893 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1203)) (-5 *1 (-1127 *4 *2)) (-4 *2 (-13 (-604 (-571) *4) (-10 -7 (-6 -4600) (-6 -4601)))))) (-2524 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1203)) (-5 *1 (-1127 *4 *2)) (-4 *2 (-13 (-604 (-571) *4) (-10 -7 (-6 -4600) (-6 -4601))))))) 
+(-10 -7 (-15 -2524 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -1893 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-847)) (PROGN (-15 -2524 (|#2| |#2|)) (-15 -1893 (|#2| |#2|))) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-4070 (((-1157 3 |#1|) $) 105)) (-3264 (((-121) $) 72)) (-3593 (($ $ (-637 (-949 |#1|))) 20) (($ $ (-637 (-637 |#1|))) 75) (($ (-637 (-949 |#1|))) 74) (((-637 (-949 |#1|)) $) 73)) (-2818 (((-121) $) 41)) (-1760 (($ $ (-949 |#1|)) 46) (($ $ (-637 |#1|)) 51) (($ $ (-768)) 53) (($ (-949 |#1|)) 47) (((-949 |#1|) $) 45)) (-4253 (((-2 (|:| -2634 (-768)) (|:| |curves| (-768)) (|:| |polygons| (-768)) (|:| |constructs| (-768))) $) 103)) (-1543 (((-768) $) 26)) (-2017 (((-768) $) 25)) (-4553 (($ $ (-768) (-949 |#1|)) 39)) (-2768 (((-121) $) 82)) (-3886 (($ $ (-637 (-637 (-949 |#1|))) (-637 (-172)) (-172)) 89) (($ $ (-637 (-637 (-637 |#1|))) (-637 (-172)) (-172)) 91) (($ $ (-637 (-637 (-949 |#1|))) (-121) (-121)) 85) (($ $ (-637 (-637 (-637 |#1|))) (-121) (-121)) 93) (($ (-637 (-637 (-949 |#1|)))) 86) (($ (-637 (-637 (-949 |#1|))) (-121) (-121)) 87) (((-637 (-637 (-949 |#1|))) $) 84)) (-3491 (($ (-637 $)) 28) (($ $ $) 29)) (-1954 (((-637 (-172)) $) 101)) (-3034 (((-637 (-949 |#1|)) $) 96)) (-1742 (((-637 (-637 (-172))) $) 100)) (-4532 (((-637 (-637 (-637 (-949 |#1|)))) $) NIL)) (-3946 (((-637 (-637 (-637 (-768)))) $) 98)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3478 (((-768) $ (-637 (-949 |#1|))) 37)) (-3896 (((-121) $) 54)) (-1767 (($ $ (-637 (-949 |#1|))) 56) (($ $ (-637 (-637 |#1|))) 62) (($ (-637 (-949 |#1|))) 57) (((-637 (-949 |#1|)) $) 55)) (-4040 (($) 23) (($ (-1157 3 |#1|)) 24)) (-4316 (($ $) 35)) (-2659 (((-637 $) $) 34)) (-3820 (($ (-637 $)) 31)) (-3060 (((-637 $) $) 33)) (-3942 (((-855) $) 109)) (-1703 (((-121) $) 64)) (-1472 (($ $ (-637 (-949 |#1|))) 66) (($ $ (-637 (-637 |#1|))) 69) (($ (-637 (-949 |#1|))) 67) (((-637 (-949 |#1|)) $) 65)) (-3058 (($ $) 104)) (-1323 (((-121) $ $) NIL))) 
+(((-1128 |#1|) (-1129 |#1|) (-1053)) (T -1128)) 
+NIL 
+(-1129 |#1|) 
+((-2234 (((-121) $ $) 7)) (-4070 (((-1157 3 |#1|) $) 12)) (-3264 (((-121) $) 28)) (-3593 (($ $ (-637 (-949 |#1|))) 32) (($ $ (-637 (-637 |#1|))) 31) (($ (-637 (-949 |#1|))) 30) (((-637 (-949 |#1|)) $) 29)) (-2818 (((-121) $) 43)) (-1760 (($ $ (-949 |#1|)) 48) (($ $ (-637 |#1|)) 47) (($ $ (-768)) 46) (($ (-949 |#1|)) 45) (((-949 |#1|) $) 44)) (-4253 (((-2 (|:| -2634 (-768)) (|:| |curves| (-768)) (|:| |polygons| (-768)) (|:| |constructs| (-768))) $) 14)) (-1543 (((-768) $) 57)) (-2017 (((-768) $) 58)) (-4553 (($ $ (-768) (-949 |#1|)) 49)) (-2768 (((-121) $) 20)) (-3886 (($ $ (-637 (-637 (-949 |#1|))) (-637 (-172)) (-172)) 27) (($ $ (-637 (-637 (-637 |#1|))) (-637 (-172)) (-172)) 26) (($ $ (-637 (-637 (-949 |#1|))) (-121) (-121)) 25) (($ $ (-637 (-637 (-637 |#1|))) (-121) (-121)) 24) (($ (-637 (-637 (-949 |#1|)))) 23) (($ (-637 (-637 (-949 |#1|))) (-121) (-121)) 22) (((-637 (-637 (-949 |#1|))) $) 21)) (-3491 (($ (-637 $)) 56) (($ $ $) 55)) (-1954 (((-637 (-172)) $) 15)) (-3034 (((-637 (-949 |#1|)) $) 19)) (-1742 (((-637 (-637 (-172))) $) 16)) (-4532 (((-637 (-637 (-637 (-949 |#1|)))) $) 17)) (-3946 (((-637 (-637 (-637 (-768)))) $) 18)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3478 (((-768) $ (-637 (-949 |#1|))) 50)) (-3896 (((-121) $) 38)) (-1767 (($ $ (-637 (-949 |#1|))) 42) (($ $ (-637 (-637 |#1|))) 41) (($ (-637 (-949 |#1|))) 40) (((-637 (-949 |#1|)) $) 39)) (-4040 (($) 60) (($ (-1157 3 |#1|)) 59)) (-4316 (($ $) 51)) (-2659 (((-637 $) $) 52)) (-3820 (($ (-637 $)) 54)) (-3060 (((-637 $) $) 53)) (-3942 (((-855) $) 11)) (-1703 (((-121) $) 33)) (-1472 (($ $ (-637 (-949 |#1|))) 37) (($ $ (-637 (-637 |#1|))) 36) (($ (-637 (-949 |#1|))) 35) (((-637 (-949 |#1|)) $) 34)) (-3058 (($ $) 13)) (-1323 (((-121) $ $) 6))) 
+(((-1129 |#1|) (-1289) (-1053)) (T -1129)) 
+((-3942 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-855)))) (-4040 (*1 *1) (-12 (-4 *1 (-1129 *2)) (-4 *2 (-1053)))) (-4040 (*1 *1 *2) (-12 (-5 *2 (-1157 3 *3)) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) (-2017 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-768)))) (-1543 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-768)))) (-3491 (*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-3491 (*1 *1 *1 *1) (-12 (-4 *1 (-1129 *2)) (-4 *2 (-1053)))) (-3820 (*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-3060 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-5 *2 (-637 *1)) (-4 *1 (-1129 *3)))) (-2659 (*1 *2 *1) (-12 (-4 *3 (-1053)) (-5 *2 (-637 *1)) (-4 *1 (-1129 *3)))) (-4316 (*1 *1 *1) (-12 (-4 *1 (-1129 *2)) (-4 *2 (-1053)))) (-3478 (*1 *2 *1 *3) (-12 (-5 *3 (-637 (-949 *4))) (-4 *1 (-1129 *4)) (-4 *4 (-1053)) (-5 *2 (-768)))) (-4553 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *3 (-949 *4)) (-4 *1 (-1129 *4)) (-4 *4 (-1053)))) (-1760 (*1 *1 *1 *2) (-12 (-5 *2 (-949 *3)) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-1760 (*1 *1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-1760 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-1760 (*1 *1 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) (-1760 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-949 *3)))) (-2818 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-121)))) (-1767 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-1767 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-1767 (*1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) (-1767 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-949 *3))))) (-3896 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-121)))) (-1472 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-1472 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-1472 (*1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) (-1472 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-949 *3))))) (-1703 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-121)))) (-3593 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-3593 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) (-3593 (*1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) (-3593 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-949 *3))))) (-3264 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-121)))) (-3886 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-637 (-637 (-949 *5)))) (-5 *3 (-637 (-172))) (-5 *4 (-172)) (-4 *1 (-1129 *5)) (-4 *5 (-1053)))) (-3886 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-637 (-637 (-637 *5)))) (-5 *3 (-637 (-172))) (-5 *4 (-172)) (-4 *1 (-1129 *5)) (-4 *5 (-1053)))) (-3886 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-637 (-637 (-949 *4)))) (-5 *3 (-121)) (-4 *1 (-1129 *4)) (-4 *4 (-1053)))) (-3886 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-637 (-637 (-637 *4)))) (-5 *3 (-121)) (-4 *1 (-1129 *4)) (-4 *4 (-1053)))) (-3886 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 (-949 *3)))) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) (-3886 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-637 (-637 (-949 *4)))) (-5 *3 (-121)) (-4 *4 (-1053)) (-4 *1 (-1129 *4)))) (-3886 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-637 (-949 *3)))))) (-2768 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-121)))) (-3034 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-949 *3))))) (-3946 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-637 (-637 (-768))))))) (-4532 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-637 (-637 (-949 *3))))))) (-1742 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-637 (-172)))))) (-1954 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-172))))) (-4253 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2634 (-768)) (|:| |curves| (-768)) (|:| |polygons| (-768)) (|:| |constructs| (-768)))))) (-3058 (*1 *1 *1) (-12 (-4 *1 (-1129 *2)) (-4 *2 (-1053)))) (-4070 (*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-1157 3 *3))))) 
+(-13 (-1097) (-10 -8 (-15 -4040 ($)) (-15 -4040 ($ (-1157 3 |t#1|))) (-15 -2017 ((-768) $)) (-15 -1543 ((-768) $)) (-15 -3491 ($ (-637 $))) (-15 -3491 ($ $ $)) (-15 -3820 ($ (-637 $))) (-15 -3060 ((-637 $) $)) (-15 -2659 ((-637 $) $)) (-15 -4316 ($ $)) (-15 -3478 ((-768) $ (-637 (-949 |t#1|)))) (-15 -4553 ($ $ (-768) (-949 |t#1|))) (-15 -1760 ($ $ (-949 |t#1|))) (-15 -1760 ($ $ (-637 |t#1|))) (-15 -1760 ($ $ (-768))) (-15 -1760 ($ (-949 |t#1|))) (-15 -1760 ((-949 |t#1|) $)) (-15 -2818 ((-121) $)) (-15 -1767 ($ $ (-637 (-949 |t#1|)))) (-15 -1767 ($ $ (-637 (-637 |t#1|)))) (-15 -1767 ($ (-637 (-949 |t#1|)))) (-15 -1767 ((-637 (-949 |t#1|)) $)) (-15 -3896 ((-121) $)) (-15 -1472 ($ $ (-637 (-949 |t#1|)))) (-15 -1472 ($ $ (-637 (-637 |t#1|)))) (-15 -1472 ($ (-637 (-949 |t#1|)))) (-15 -1472 ((-637 (-949 |t#1|)) $)) (-15 -1703 ((-121) $)) (-15 -3593 ($ $ (-637 (-949 |t#1|)))) (-15 -3593 ($ $ (-637 (-637 |t#1|)))) (-15 -3593 ($ (-637 (-949 |t#1|)))) (-15 -3593 ((-637 (-949 |t#1|)) $)) (-15 -3264 ((-121) $)) (-15 -3886 ($ $ (-637 (-637 (-949 |t#1|))) (-637 (-172)) (-172))) (-15 -3886 ($ $ (-637 (-637 (-637 |t#1|))) (-637 (-172)) (-172))) (-15 -3886 ($ $ (-637 (-637 (-949 |t#1|))) (-121) (-121))) (-15 -3886 ($ $ (-637 (-637 (-637 |t#1|))) (-121) (-121))) (-15 -3886 ($ (-637 (-637 (-949 |t#1|))))) (-15 -3886 ($ (-637 (-637 (-949 |t#1|))) (-121) (-121))) (-15 -3886 ((-637 (-637 (-949 |t#1|))) $)) (-15 -2768 ((-121) $)) (-15 -3034 ((-637 (-949 |t#1|)) $)) (-15 -3946 ((-637 (-637 (-637 (-768)))) $)) (-15 -4532 ((-637 (-637 (-637 (-949 |t#1|)))) $)) (-15 -1742 ((-637 (-637 (-172))) $)) (-15 -1954 ((-637 (-172)) $)) (-15 -4253 ((-2 (|:| -2634 (-768)) (|:| |curves| (-768)) (|:| |polygons| (-768)) (|:| |constructs| (-768))) $)) (-15 -3058 ($ $)) (-15 -4070 ((-1157 3 |t#1|) $)) (-15 -3942 ((-855) $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2519 (((-1263) (-637 (-855))) 23) (((-1263) (-855)) 22)) (-2422 (((-1263) (-637 (-855))) 21) (((-1263) (-855)) 20)) (-4320 (((-1263) (-637 (-855))) 19) (((-1263) (-855)) 11) (((-1263) (-1151) (-855)) 17))) 
+(((-1130) (-10 -7 (-15 -4320 ((-1263) (-1151) (-855))) (-15 -4320 ((-1263) (-855))) (-15 -2422 ((-1263) (-855))) (-15 -2519 ((-1263) (-855))) (-15 -4320 ((-1263) (-637 (-855)))) (-15 -2422 ((-1263) (-637 (-855)))) (-15 -2519 ((-1263) (-637 (-855)))))) (T -1130)) 
+((-2519 (*1 *2 *3) (-12 (-5 *3 (-637 (-855))) (-5 *2 (-1263)) (-5 *1 (-1130)))) (-2422 (*1 *2 *3) (-12 (-5 *3 (-637 (-855))) (-5 *2 (-1263)) (-5 *1 (-1130)))) (-4320 (*1 *2 *3) (-12 (-5 *3 (-637 (-855))) (-5 *2 (-1263)) (-5 *1 (-1130)))) (-2519 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1263)) (-5 *1 (-1130)))) (-2422 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1263)) (-5 *1 (-1130)))) (-4320 (*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1263)) (-5 *1 (-1130)))) (-4320 (*1 *2 *3 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-855)) (-5 *2 (-1263)) (-5 *1 (-1130))))) 
+(-10 -7 (-15 -4320 ((-1263) (-1151) (-855))) (-15 -4320 ((-1263) (-855))) (-15 -2422 ((-1263) (-855))) (-15 -2519 ((-1263) (-855))) (-15 -4320 ((-1263) (-637 (-855)))) (-15 -2422 ((-1263) (-637 (-855)))) (-15 -2519 ((-1263) (-637 (-855))))) 
+((-4150 (($ $ $) 10)) (-4492 (($ $) 9)) (-3315 (($ $ $) 13)) (-2323 (($ $ $) 15)) (-3061 (($ $ $) 12)) (-4529 (($ $ $) 14)) (-1393 (($ $) 17)) (-3551 (($ $) 16)) (-1902 (($ $) 6)) (-2085 (($ $ $) 11) (($ $) 7)) (-1686 (($ $ $) 8))) 
+(((-1131) (-1289)) (T -1131)) 
+((-1393 (*1 *1 *1) (-4 *1 (-1131))) (-3551 (*1 *1 *1) (-4 *1 (-1131))) (-2323 (*1 *1 *1 *1) (-4 *1 (-1131))) (-4529 (*1 *1 *1 *1) (-4 *1 (-1131))) (-3315 (*1 *1 *1 *1) (-4 *1 (-1131))) (-3061 (*1 *1 *1 *1) (-4 *1 (-1131))) (-2085 (*1 *1 *1 *1) (-4 *1 (-1131))) (-4150 (*1 *1 *1 *1) (-4 *1 (-1131))) (-4492 (*1 *1 *1) (-4 *1 (-1131))) (-1686 (*1 *1 *1 *1) (-4 *1 (-1131))) (-2085 (*1 *1 *1) (-4 *1 (-1131))) (-1902 (*1 *1 *1) (-4 *1 (-1131)))) 
+(-13 (-10 -8 (-15 -1902 ($ $)) (-15 -2085 ($ $)) (-15 -1686 ($ $ $)) (-15 -4492 ($ $)) (-15 -4150 ($ $ $)) (-15 -2085 ($ $ $)) (-15 -3061 ($ $ $)) (-15 -3315 ($ $ $)) (-15 -4529 ($ $ $)) (-15 -2323 ($ $ $)) (-15 -3551 ($ $)) (-15 -1393 ($ $)))) 
+((-2234 (((-121) $ $) 41)) (-2139 ((|#1| $) 15)) (-1777 (((-121) $ $ (-1 (-121) |#2| |#2|)) 36)) (-4221 (((-121) $) 17)) (-4264 (($ $ |#1|) 28)) (-2350 (($ $ (-121)) 30)) (-3094 (($ $) 31)) (-2294 (($ $ |#2|) 29)) (-3944 (((-1151) $) NIL)) (-4275 (((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|)) 35)) (-2580 (((-1115) $) NIL)) (-1828 (((-121) $) 14)) (-1630 (($) 10)) (-4316 (($ $) 27)) (-3891 (($ |#1| |#2| (-121)) 18) (($ |#1| |#2|) 19) (($ (-2 (|:| |val| |#1|) (|:| -4121 |#2|))) 21) (((-637 $) (-637 (-2 (|:| |val| |#1|) (|:| -4121 |#2|)))) 24) (((-637 $) |#1| (-637 |#2|)) 26)) (-3668 ((|#2| $) 16)) (-3942 (((-855) $) 50)) (-1323 (((-121) $ $) 39))) 
+(((-1132 |#1| |#2|) (-13 (-1097) (-10 -8 (-15 -1630 ($)) (-15 -1828 ((-121) $)) (-15 -2139 (|#1| $)) (-15 -3668 (|#2| $)) (-15 -4221 ((-121) $)) (-15 -3891 ($ |#1| |#2| (-121))) (-15 -3891 ($ |#1| |#2|)) (-15 -3891 ($ (-2 (|:| |val| |#1|) (|:| -4121 |#2|)))) (-15 -3891 ((-637 $) (-637 (-2 (|:| |val| |#1|) (|:| -4121 |#2|))))) (-15 -3891 ((-637 $) |#1| (-637 |#2|))) (-15 -4316 ($ $)) (-15 -4264 ($ $ |#1|)) (-15 -2294 ($ $ |#2|)) (-15 -2350 ($ $ (-121))) (-15 -3094 ($ $)) (-15 -4275 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -1777 ((-121) $ $ (-1 (-121) |#2| |#2|))))) (-13 (-1097) (-39)) (-13 (-1097) (-39))) (T -1132)) 
+((-1630 (*1 *1) (-12 (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) (-1828 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))))) (-2139 (*1 *2 *1) (-12 (-4 *2 (-13 (-1097) (-39))) (-5 *1 (-1132 *2 *3)) (-4 *3 (-13 (-1097) (-39))))) (-3668 (*1 *2 *1) (-12 (-4 *2 (-13 (-1097) (-39))) (-5 *1 (-1132 *3 *2)) (-4 *3 (-13 (-1097) (-39))))) (-4221 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))))) (-3891 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) (-3891 (*1 *1 *2 *3) (-12 (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) (-3891 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -4121 *4))) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))) (-5 *1 (-1132 *3 *4)))) (-3891 (*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| |val| *4) (|:| -4121 *5)))) (-4 *4 (-13 (-1097) (-39))) (-4 *5 (-13 (-1097) (-39))) (-5 *2 (-637 (-1132 *4 *5))) (-5 *1 (-1132 *4 *5)))) (-3891 (*1 *2 *3 *4) (-12 (-5 *4 (-637 *5)) (-4 *5 (-13 (-1097) (-39))) (-5 *2 (-637 (-1132 *3 *5))) (-5 *1 (-1132 *3 *5)) (-4 *3 (-13 (-1097) (-39))))) (-4316 (*1 *1 *1) (-12 (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) (-4264 (*1 *1 *1 *2) (-12 (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) (-2294 (*1 *1 *1 *2) (-12 (-5 *1 (-1132 *3 *2)) (-4 *3 (-13 (-1097) (-39))) (-4 *2 (-13 (-1097) (-39))))) (-2350 (*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))))) (-3094 (*1 *1 *1) (-12 (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) (-4275 (*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1097) (-39))) (-4 *6 (-13 (-1097) (-39))) (-5 *2 (-121)) (-5 *1 (-1132 *5 *6)))) (-1777 (*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1097) (-39))) (-5 *2 (-121)) (-5 *1 (-1132 *4 *5)) (-4 *4 (-13 (-1097) (-39)))))) 
+(-13 (-1097) (-10 -8 (-15 -1630 ($)) (-15 -1828 ((-121) $)) (-15 -2139 (|#1| $)) (-15 -3668 (|#2| $)) (-15 -4221 ((-121) $)) (-15 -3891 ($ |#1| |#2| (-121))) (-15 -3891 ($ |#1| |#2|)) (-15 -3891 ($ (-2 (|:| |val| |#1|) (|:| -4121 |#2|)))) (-15 -3891 ((-637 $) (-637 (-2 (|:| |val| |#1|) (|:| -4121 |#2|))))) (-15 -3891 ((-637 $) |#1| (-637 |#2|))) (-15 -4316 ($ $)) (-15 -4264 ($ $ |#1|)) (-15 -2294 ($ $ |#2|)) (-15 -2350 ($ $ (-121))) (-15 -3094 ($ $)) (-15 -4275 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -1777 ((-121) $ $ (-1 (-121) |#2| |#2|))))) 
+((-2234 (((-121) $ $) NIL (|has| (-1132 |#1| |#2|) (-1097)))) (-2139 (((-1132 |#1| |#2|) $) 25)) (-1551 (($ $) 75)) (-2416 (((-121) (-1132 |#1| |#2|) $ (-1 (-121) |#2| |#2|)) 84)) (-2884 (($ $ $ (-637 (-1132 |#1| |#2|))) 89) (($ $ $ (-637 (-1132 |#1| |#2|)) (-1 (-121) |#2| |#2|)) 90)) (-3133 (((-121) $ (-768)) NIL)) (-2815 (((-1132 |#1| |#2|) $ (-1132 |#1| |#2|)) 42 (|has| $ (-6 -4601)))) (-3251 (((-1132 |#1| |#2|) $ "value" (-1132 |#1| |#2|)) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 40 (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-2227 (((-637 (-2 (|:| |val| |#1|) (|:| -4121 |#2|))) $) 79)) (-1599 (($ (-1132 |#1| |#2|) $) 38)) (-3412 (($ (-1132 |#1| |#2|) $) 30)) (-4034 (((-637 (-1132 |#1| |#2|)) $) NIL (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 50)) (-2869 (((-121) (-1132 |#1| |#2|) $) 81)) (-4114 (((-121) $ $) NIL (|has| (-1132 |#1| |#2|) (-1097)))) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 (-1132 |#1| |#2|)) $) 54 (|has| $ (-6 -4600)))) (-3303 (((-121) (-1132 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-1132 |#1| |#2|) (-1097))))) (-1923 (($ (-1 (-1132 |#1| |#2|) (-1132 |#1| |#2|)) $) 46 (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-1132 |#1| |#2|) (-1132 |#1| |#2|)) $) 45)) (-3794 (((-121) $ (-768)) NIL)) (-3392 (((-637 (-1132 |#1| |#2|)) $) 52)) (-2945 (((-121) $) 41)) (-3944 (((-1151) $) NIL (|has| (-1132 |#1| |#2|) (-1097)))) (-2580 (((-1115) $) NIL (|has| (-1132 |#1| |#2|) (-1097)))) (-4339 (((-3 $ "failed") $) 74)) (-3160 (((-121) (-1 (-121) (-1132 |#1| |#2|)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-1132 |#1| |#2|)))) NIL (-12 (|has| (-1132 |#1| |#2|) (-304 (-1132 |#1| |#2|))) (|has| (-1132 |#1| |#2|) (-1097)))) (($ $ (-289 (-1132 |#1| |#2|))) NIL (-12 (|has| (-1132 |#1| |#2|) (-304 (-1132 |#1| |#2|))) (|has| (-1132 |#1| |#2|) (-1097)))) (($ $ (-1132 |#1| |#2|) (-1132 |#1| |#2|)) NIL (-12 (|has| (-1132 |#1| |#2|) (-304 (-1132 |#1| |#2|))) (|has| (-1132 |#1| |#2|) (-1097)))) (($ $ (-637 (-1132 |#1| |#2|)) (-637 (-1132 |#1| |#2|))) NIL (-12 (|has| (-1132 |#1| |#2|) (-304 (-1132 |#1| |#2|))) (|has| (-1132 |#1| |#2|) (-1097))))) (-2127 (((-121) $ $) 49)) (-1828 (((-121) $) 22)) (-1630 (($) 24)) (-3245 (((-1132 |#1| |#2|) $ "value") NIL)) (-2514 (((-571) $ $) NIL)) (-1664 (((-121) $) 43)) (-1569 (((-768) (-1 (-121) (-1132 |#1| |#2|)) $) NIL (|has| $ (-6 -4600))) (((-768) (-1132 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-1132 |#1| |#2|) (-1097))))) (-4316 (($ $) 48)) (-3891 (($ (-1132 |#1| |#2|)) 9) (($ |#1| |#2| (-637 $)) 12) (($ |#1| |#2| (-637 (-1132 |#1| |#2|))) 14) (($ |#1| |#2| |#1| (-637 |#2|)) 17)) (-3342 (((-637 |#2|) $) 80)) (-3942 (((-855) $) 72 (|has| (-1132 |#1| |#2|) (-1097)))) (-1846 (((-637 $) $) 28)) (-3014 (((-121) $ $) NIL (|has| (-1132 |#1| |#2|) (-1097)))) (-3027 (((-121) (-1 (-121) (-1132 |#1| |#2|)) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 63 (|has| (-1132 |#1| |#2|) (-1097)))) (-4001 (((-768) $) 57 (|has| $ (-6 -4600))))) 
+(((-1133 |#1| |#2|) (-13 (-1016 (-1132 |#1| |#2|)) (-10 -8 (-6 -4601) (-6 -4600) (-15 -4339 ((-3 $ "failed") $)) (-15 -1551 ($ $)) (-15 -3891 ($ (-1132 |#1| |#2|))) (-15 -3891 ($ |#1| |#2| (-637 $))) (-15 -3891 ($ |#1| |#2| (-637 (-1132 |#1| |#2|)))) (-15 -3891 ($ |#1| |#2| |#1| (-637 |#2|))) (-15 -3342 ((-637 |#2|) $)) (-15 -2227 ((-637 (-2 (|:| |val| |#1|) (|:| -4121 |#2|))) $)) (-15 -2869 ((-121) (-1132 |#1| |#2|) $)) (-15 -2416 ((-121) (-1132 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -3412 ($ (-1132 |#1| |#2|) $)) (-15 -1599 ($ (-1132 |#1| |#2|) $)) (-15 -2884 ($ $ $ (-637 (-1132 |#1| |#2|)))) (-15 -2884 ($ $ $ (-637 (-1132 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) (-13 (-1097) (-39)) (-13 (-1097) (-39))) (T -1133)) 
+((-4339 (*1 *1 *1) (|partial| -12 (-5 *1 (-1133 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) (-1551 (*1 *1 *1) (-12 (-5 *1 (-1133 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) (-3891 (*1 *1 *2) (-12 (-5 *2 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))) (-5 *1 (-1133 *3 *4)))) (-3891 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-637 (-1133 *2 *3))) (-5 *1 (-1133 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) (-3891 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-637 (-1132 *2 *3))) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))) (-5 *1 (-1133 *2 *3)))) (-3891 (*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-13 (-1097) (-39))) (-5 *1 (-1133 *2 *3)) (-4 *2 (-13 (-1097) (-39))))) (-3342 (*1 *2 *1) (-12 (-5 *2 (-637 *4)) (-5 *1 (-1133 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))))) (-2227 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1133 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))))) (-2869 (*1 *2 *3 *1) (-12 (-5 *3 (-1132 *4 *5)) (-4 *4 (-13 (-1097) (-39))) (-4 *5 (-13 (-1097) (-39))) (-5 *2 (-121)) (-5 *1 (-1133 *4 *5)))) (-2416 (*1 *2 *3 *1 *4) (-12 (-5 *3 (-1132 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1097) (-39))) (-4 *6 (-13 (-1097) (-39))) (-5 *2 (-121)) (-5 *1 (-1133 *5 *6)))) (-3412 (*1 *1 *2 *1) (-12 (-5 *2 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))) (-5 *1 (-1133 *3 *4)))) (-1599 (*1 *1 *2 *1) (-12 (-5 *2 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))) (-5 *1 (-1133 *3 *4)))) (-2884 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-637 (-1132 *3 *4))) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))) (-5 *1 (-1133 *3 *4)))) (-2884 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1132 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1097) (-39))) (-4 *5 (-13 (-1097) (-39))) (-5 *1 (-1133 *4 *5))))) 
+(-13 (-1016 (-1132 |#1| |#2|)) (-10 -8 (-6 -4601) (-6 -4600) (-15 -4339 ((-3 $ "failed") $)) (-15 -1551 ($ $)) (-15 -3891 ($ (-1132 |#1| |#2|))) (-15 -3891 ($ |#1| |#2| (-637 $))) (-15 -3891 ($ |#1| |#2| (-637 (-1132 |#1| |#2|)))) (-15 -3891 ($ |#1| |#2| |#1| (-637 |#2|))) (-15 -3342 ((-637 |#2|) $)) (-15 -2227 ((-637 (-2 (|:| |val| |#1|) (|:| -4121 |#2|))) $)) (-15 -2869 ((-121) (-1132 |#1| |#2|) $)) (-15 -2416 ((-121) (-1132 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -3412 ($ (-1132 |#1| |#2|) $)) (-15 -1599 ($ (-1132 |#1| |#2|) $)) (-15 -2884 ($ $ $ (-637 (-1132 |#1| |#2|)))) (-15 -2884 ($ $ $ (-637 (-1132 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-2889 (($ $) NIL)) (-3490 ((|#2| $) NIL)) (-4359 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2472 (($ (-684 |#2|)) 45)) (-2209 (((-121) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-1986 (($ |#2|) 9)) (-2269 (($) NIL T CONST)) (-2986 (($ $) 58 (|has| |#2| (-302)))) (-4336 (((-233 |#1| |#2|) $ (-571)) 31)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#2| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-3 |#2| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#2| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#2| (-1043 (-412 (-571))))) ((|#2| $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL) (((-684 |#2|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) 72)) (-3241 (((-768) $) 60 (|has| |#2| (-561)))) (-4319 ((|#2| $ (-571) (-571)) NIL)) (-4034 (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-2583 (((-121) $) NIL)) (-3709 (((-768) $) 62 (|has| |#2| (-561)))) (-2855 (((-637 (-233 |#1| |#2|)) $) 66 (|has| |#2| (-561)))) (-3673 (((-768) $) NIL)) (-3682 (((-768) $) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1997 ((|#2| $) 56 (|has| |#2| (-6 (-4602 "*"))))) (-1950 (((-571) $) NIL)) (-3325 (((-571) $) NIL)) (-3488 (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-4239 (((-571) $) NIL)) (-4395 (((-571) $) NIL)) (-3567 (($ (-637 (-637 |#2|))) 26)) (-1923 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-3818 (((-637 (-637 |#2|)) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-1774 (((-3 $ "failed") $) 69 (|has| |#2| (-367)))) (-2580 (((-1115) $) NIL)) (-1786 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-561)))) (-3160 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#2| $ (-571) (-571) |#2|) NIL) ((|#2| $ (-571) (-571)) NIL)) (-3096 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-768)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-2566 ((|#2| $) NIL)) (-2949 (($ (-637 |#2|)) 40)) (-4208 (((-121) $) NIL)) (-3492 (((-233 |#1| |#2|) $) NIL)) (-3182 ((|#2| $) 54 (|has| |#2| (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-4316 (($ $) NIL)) (-4050 (((-544) $) 81 (|has| |#2| (-612 (-544))))) (-2852 (((-233 |#1| |#2|) $ (-571)) 33)) (-3942 (((-855) $) 36) (($ (-571)) NIL) (($ (-412 (-571))) NIL (|has| |#2| (-1043 (-412 (-571))))) (($ |#2|) NIL) (((-684 |#2|) $) 42)) (-2661 (((-768)) 17)) (-3027 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 11 T CONST)) (-3222 (($) 14 T CONST)) (-1544 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-768)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) 52) (($ $ (-571)) 71 (|has| |#2| (-367)))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-233 |#1| |#2|) $ (-233 |#1| |#2|)) 48) (((-233 |#1| |#2|) (-233 |#1| |#2|) $) 50)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1134 |#1| |#2|) (-13 (-1118 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-611 (-684 |#2|)) (-10 -8 (-15 -2889 ($ $)) (-15 -2472 ($ (-684 |#2|))) (-15 -3942 ((-684 |#2|) $)) (IF (|has| |#2| (-6 (-4602 "*"))) (-6 -4589) |noBranch|) (IF (|has| |#2| (-6 (-4602 "*"))) (IF (|has| |#2| (-6 -4597)) (-6 -4597) |noBranch|) |noBranch|) (IF (|has| |#2| (-612 (-544))) (-6 (-612 (-544))) |noBranch|))) (-768) (-1053)) (T -1134)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-684 *4)) (-5 *1 (-1134 *3 *4)) (-14 *3 (-768)) (-4 *4 (-1053)))) (-2889 (*1 *1 *1) (-12 (-5 *1 (-1134 *2 *3)) (-14 *2 (-768)) (-4 *3 (-1053)))) (-2472 (*1 *1 *2) (-12 (-5 *2 (-684 *4)) (-4 *4 (-1053)) (-5 *1 (-1134 *3 *4)) (-14 *3 (-768))))) 
+(-13 (-1118 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-611 (-684 |#2|)) (-10 -8 (-15 -2889 ($ $)) (-15 -2472 ($ (-684 |#2|))) (-15 -3942 ((-684 |#2|) $)) (IF (|has| |#2| (-6 (-4602 "*"))) (-6 -4589) |noBranch|) (IF (|has| |#2| (-6 (-4602 "*"))) (IF (|has| |#2| (-6 -4597)) (-6 -4597) |noBranch|) |noBranch|) (IF (|has| |#2| (-612 (-544))) (-6 (-612 (-544))) |noBranch|))) 
+((-1425 (($ $) 19)) (-3610 (($ $ (-148)) 10) (($ $ (-143)) 14)) (-2165 (((-121) $ $) 24)) (-3356 (($ $) 17)) (-3245 (((-148) $ (-571) (-148)) NIL) (((-148) $ (-571)) NIL) (($ $ (-1224 (-571))) NIL) (($ $ $) 29)) (-3942 (($ (-148)) 27) (((-855) $) NIL))) 
+(((-1135 |#1|) (-10 -8 (-15 -3942 ((-855) |#1|)) (-15 -3245 (|#1| |#1| |#1|)) (-15 -3610 (|#1| |#1| (-143))) (-15 -3610 (|#1| |#1| (-148))) (-15 -3942 (|#1| (-148))) (-15 -2165 ((-121) |#1| |#1|)) (-15 -1425 (|#1| |#1|)) (-15 -3356 (|#1| |#1|)) (-15 -3245 (|#1| |#1| (-1224 (-571)))) (-15 -3245 ((-148) |#1| (-571))) (-15 -3245 ((-148) |#1| (-571) (-148)))) (-1136)) (T -1135)) 
+NIL 
+(-10 -8 (-15 -3942 ((-855) |#1|)) (-15 -3245 (|#1| |#1| |#1|)) (-15 -3610 (|#1| |#1| (-143))) (-15 -3610 (|#1| |#1| (-148))) (-15 -3942 (|#1| (-148))) (-15 -2165 ((-121) |#1| |#1|)) (-15 -1425 (|#1| |#1|)) (-15 -3356 (|#1| |#1|)) (-15 -3245 (|#1| |#1| (-1224 (-571)))) (-15 -3245 ((-148) |#1| (-571))) (-15 -3245 ((-148) |#1| (-571) (-148)))) 
+((-2234 (((-121) $ $) 18 (|has| (-148) (-1097)))) (-4277 (($ $) 113)) (-1425 (($ $) 114)) (-3610 (($ $ (-148)) 101) (($ $ (-143)) 100)) (-3839 (((-1263) $ (-571) (-571)) 37 (|has| $ (-6 -4601)))) (-2057 (((-121) $ $) 111)) (-2005 (((-121) $ $ (-571)) 110)) (-1609 (((-637 $) $ (-148)) 103) (((-637 $) $ (-143)) 102)) (-2648 (((-121) (-1 (-121) (-148) (-148)) $) 91) (((-121) $) 85 (|has| (-148) (-847)))) (-3652 (($ (-1 (-121) (-148) (-148)) $) 82 (|has| $ (-6 -4601))) (($ $) 81 (-12 (|has| (-148) (-847)) (|has| $ (-6 -4601))))) (-2972 (($ (-1 (-121) (-148) (-148)) $) 92) (($ $) 86 (|has| (-148) (-847)))) (-3133 (((-121) $ (-768)) 8)) (-3251 (((-148) $ (-571) (-148)) 49 (|has| $ (-6 -4601))) (((-148) $ (-1224 (-571)) (-148)) 53 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-148)) $) 70 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-3398 (($ $ (-148)) 97) (($ $ (-143)) 96)) (-4578 (($ $) 83 (|has| $ (-6 -4601)))) (-4378 (($ $) 93)) (-3601 (($ $ (-1224 (-571)) $) 107)) (-4365 (($ $) 73 (-12 (|has| (-148) (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ (-148) $) 72 (-12 (|has| (-148) (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) (-148)) $) 69 (|has| $ (-6 -4600)))) (-3074 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) 71 (-12 (|has| (-148) (-1097)) (|has| $ (-6 -4600)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) 68 (|has| $ (-6 -4600))) (((-148) (-1 (-148) (-148) (-148)) $) 67 (|has| $ (-6 -4600)))) (-2922 (((-148) $ (-571) (-148)) 50 (|has| $ (-6 -4601)))) (-4319 (((-148) $ (-571)) 48)) (-2165 (((-121) $ $) 112)) (-3984 (((-571) (-1 (-121) (-148)) $) 90) (((-571) (-148) $) 89 (|has| (-148) (-1097))) (((-571) (-148) $ (-571)) 88 (|has| (-148) (-1097))) (((-571) $ $ (-571)) 106) (((-571) (-143) $ (-571)) 105)) (-4034 (((-637 (-148)) $) 30 (|has| $ (-6 -4600)))) (-1364 (($ (-768) (-148)) 64)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 40 (|has| (-571) (-847)))) (-1763 (($ $ $) 80 (|has| (-148) (-847)))) (-3491 (($ (-1 (-121) (-148) (-148)) $ $) 94) (($ $ $) 87 (|has| (-148) (-847)))) (-3488 (((-637 (-148)) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) (-148) $) 27 (-12 (|has| (-148) (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 41 (|has| (-571) (-847)))) (-2383 (($ $ $) 79 (|has| (-148) (-847)))) (-2515 (((-121) $ $ (-148)) 108)) (-1380 (((-768) $ $ (-148)) 109)) (-1923 (($ (-1 (-148) (-148)) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-148) (-148)) $) 35) (($ (-1 (-148) (-148) (-148)) $ $) 59)) (-3423 (($ $) 115)) (-3356 (($ $) 116)) (-3794 (((-121) $ (-768)) 10)) (-1789 (($ $ (-148)) 99) (($ $ (-143)) 98)) (-3944 (((-1151) $) 22 (|has| (-148) (-1097)))) (-2594 (($ (-148) $ (-571)) 55) (($ $ $ (-571)) 54)) (-2738 (((-637 (-571)) $) 43)) (-1613 (((-121) (-571) $) 44)) (-2580 (((-1115) $) 21 (|has| (-148) (-1097)))) (-1827 (((-148) $) 39 (|has| (-571) (-847)))) (-3765 (((-3 (-148) "failed") (-1 (-121) (-148)) $) 66)) (-4411 (($ $ (-148)) 38 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-148)) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-148)))) 26 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-289 (-148))) 25 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-148) (-148)) 24 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-637 (-148)) (-637 (-148))) 23 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) (-148) $) 42 (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3909 (((-637 (-148)) $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 (((-148) $ (-571) (-148)) 47) (((-148) $ (-571)) 46) (($ $ (-1224 (-571))) 58) (($ $ $) 95)) (-1933 (($ $ (-571)) 57) (($ $ (-1224 (-571))) 56)) (-1569 (((-768) (-1 (-121) (-148)) $) 31 (|has| $ (-6 -4600))) (((-768) (-148) $) 28 (-12 (|has| (-148) (-1097)) (|has| $ (-6 -4600))))) (-3427 (($ $ $ (-571)) 84 (|has| $ (-6 -4601)))) (-4316 (($ $) 13)) (-4050 (((-544) $) 74 (|has| (-148) (-612 (-544))))) (-3891 (($ (-637 (-148))) 65)) (-4498 (($ $ (-148)) 63) (($ (-148) $) 62) (($ $ $) 61) (($ (-637 $)) 60)) (-3942 (($ (-148)) 104) (((-855) $) 20 (|has| (-148) (-1097)))) (-3027 (((-121) (-1 (-121) (-148)) $) 33 (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) 77 (|has| (-148) (-847)))) (-1338 (((-121) $ $) 76 (|has| (-148) (-847)))) (-1323 (((-121) $ $) 19 (|has| (-148) (-1097)))) (-1342 (((-121) $ $) 78 (|has| (-148) (-847)))) (-1331 (((-121) $ $) 75 (|has| (-148) (-847)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-1136) (-1289)) (T -1136)) 
+((-3356 (*1 *1 *1) (-4 *1 (-1136))) (-3423 (*1 *1 *1) (-4 *1 (-1136))) (-1425 (*1 *1 *1) (-4 *1 (-1136))) (-4277 (*1 *1 *1) (-4 *1 (-1136))) (-2165 (*1 *2 *1 *1) (-12 (-4 *1 (-1136)) (-5 *2 (-121)))) (-2057 (*1 *2 *1 *1) (-12 (-4 *1 (-1136)) (-5 *2 (-121)))) (-2005 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1136)) (-5 *3 (-571)) (-5 *2 (-121)))) (-1380 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1136)) (-5 *3 (-148)) (-5 *2 (-768)))) (-2515 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1136)) (-5 *3 (-148)) (-5 *2 (-121)))) (-3601 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-1136)) (-5 *2 (-1224 (-571))))) (-3984 (*1 *2 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-571)))) (-3984 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-571)) (-5 *3 (-143)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-148)) (-4 *1 (-1136)))) (-1609 (*1 *2 *1 *3) (-12 (-5 *3 (-148)) (-5 *2 (-637 *1)) (-4 *1 (-1136)))) (-1609 (*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-637 *1)) (-4 *1 (-1136)))) (-3610 (*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-148)))) (-3610 (*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-143)))) (-1789 (*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-148)))) (-1789 (*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-143)))) (-3398 (*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-148)))) (-3398 (*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-143)))) (-3245 (*1 *1 *1 *1) (-4 *1 (-1136)))) 
+(-13 (-19 (-148)) (-10 -8 (-15 -3356 ($ $)) (-15 -3423 ($ $)) (-15 -1425 ($ $)) (-15 -4277 ($ $)) (-15 -2165 ((-121) $ $)) (-15 -2057 ((-121) $ $)) (-15 -2005 ((-121) $ $ (-571))) (-15 -1380 ((-768) $ $ (-148))) (-15 -2515 ((-121) $ $ (-148))) (-15 -3601 ($ $ (-1224 (-571)) $)) (-15 -3984 ((-571) $ $ (-571))) (-15 -3984 ((-571) (-143) $ (-571))) (-15 -3942 ($ (-148))) (-15 -1609 ((-637 $) $ (-148))) (-15 -1609 ((-637 $) $ (-143))) (-15 -3610 ($ $ (-148))) (-15 -3610 ($ $ (-143))) (-15 -1789 ($ $ (-148))) (-15 -1789 ($ $ (-143))) (-15 -3398 ($ $ (-148))) (-15 -3398 ($ $ (-143))) (-15 -3245 ($ $ $)))) 
+(((-39) . T) ((-105) -1831 (|has| (-148) (-1097)) (|has| (-148) (-847))) ((-611 (-855)) -1831 (|has| (-148) (-1097)) (|has| (-148) (-847))) ((-155 (-148)) . T) ((-612 (-544)) |has| (-148) (-612 (-544))) ((-282 (-571) (-148)) . T) ((-284 (-571) (-148)) . T) ((-304 (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097))) ((-378 (-148)) . T) ((-502 (-148)) . T) ((-604 (-571) (-148)) . T) ((-526 (-148) (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097))) ((-643 (-148)) . T) ((-19 (-148)) . T) ((-847) |has| (-148) (-847)) ((-1097) -1831 (|has| (-148) (-1097)) (|has| (-148) (-847))) ((-1203) . T)) 
+((-3589 (((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 |#4|) (-637 |#5|) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) (-768)) 93)) (-3532 (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|) 54) (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768)) 53)) (-2913 (((-1263) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-768)) 85)) (-1291 (((-768) (-637 |#4|) (-637 |#5|)) 27)) (-3636 (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768)) 55) (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768) (-121)) 57)) (-3421 (((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121) (-121) (-121) (-121)) 76) (((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121)) 77)) (-4050 (((-1151) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) 80)) (-2817 (((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|) 52)) (-3166 (((-768) (-637 |#4|) (-637 |#5|)) 19))) 
+(((-1137 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3166 ((-768) (-637 |#4|) (-637 |#5|))) (-15 -1291 ((-768) (-637 |#4|) (-637 |#5|))) (-15 -2817 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|)) (-15 -3532 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768))) (-15 -3532 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|)) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768) (-121))) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768))) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|)) (-15 -3421 ((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121))) (-15 -3421 ((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3589 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 |#4|) (-637 |#5|) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) (-768))) (-15 -4050 ((-1151) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)))) (-15 -2913 ((-1263) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-768)))) (-456) (-793) (-847) (-1067 |#1| |#2| |#3|) (-1106 |#1| |#2| |#3| |#4|)) (T -1137)) 
+((-2913 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-2 (|:| |val| (-637 *8)) (|:| -4121 *9)))) (-5 *4 (-768)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1106 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-1263)) (-5 *1 (-1137 *5 *6 *7 *8 *9)))) (-4050 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-637 *7)) (|:| -4121 *8))) (-4 *7 (-1067 *4 *5 *6)) (-4 *8 (-1106 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1151)) (-5 *1 (-1137 *4 *5 *6 *7 *8)))) (-3589 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-637 *11)) (|:| |todo| (-637 (-2 (|:| |val| *3) (|:| -4121 *11)))))) (-5 *6 (-768)) (-5 *2 (-637 (-2 (|:| |val| (-637 *10)) (|:| -4121 *11)))) (-5 *3 (-637 *10)) (-5 *4 (-637 *11)) (-4 *10 (-1067 *7 *8 *9)) (-4 *11 (-1106 *7 *8 *9 *10)) (-4 *7 (-456)) (-4 *8 (-793)) (-4 *9 (-847)) (-5 *1 (-1137 *7 *8 *9 *10 *11)))) (-3421 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-637 *9)) (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1106 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1137 *5 *6 *7 *8 *9)))) (-3421 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-637 *9)) (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1106 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1137 *5 *6 *7 *8 *9)))) (-3636 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *5 *6 *7 *3 *4)) (-4 *4 (-1106 *5 *6 *7 *3)))) (-3636 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-768)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *6 *7 *8 *3 *4)) (-4 *4 (-1106 *6 *7 *8 *3)))) (-3636 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-768)) (-5 *6 (-121)) (-4 *7 (-456)) (-4 *8 (-793)) (-4 *9 (-847)) (-4 *3 (-1067 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *7 *8 *9 *3 *4)) (-4 *4 (-1106 *7 *8 *9 *3)))) (-3532 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *5 *6 *7 *3 *4)) (-4 *4 (-1106 *5 *6 *7 *3)))) (-3532 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-768)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *6 *7 *8 *3 *4)) (-4 *4 (-1106 *6 *7 *8 *3)))) (-2817 (*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *5 *6 *7 *3 *4)) (-4 *4 (-1106 *5 *6 *7 *3)))) (-1291 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 *9)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1106 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-768)) (-5 *1 (-1137 *5 *6 *7 *8 *9)))) (-3166 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 *9)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1106 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-768)) (-5 *1 (-1137 *5 *6 *7 *8 *9))))) 
+(-10 -7 (-15 -3166 ((-768) (-637 |#4|) (-637 |#5|))) (-15 -1291 ((-768) (-637 |#4|) (-637 |#5|))) (-15 -2817 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|)) (-15 -3532 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768))) (-15 -3532 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|)) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768) (-121))) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5| (-768))) (-15 -3636 ((-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) |#4| |#5|)) (-15 -3421 ((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121))) (-15 -3421 ((-637 |#5|) (-637 |#4|) (-637 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3589 ((-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-637 |#4|) (-637 |#5|) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-2 (|:| |done| (-637 |#5|)) (|:| |todo| (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))))) (-768))) (-15 -4050 ((-1151) (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|)))) (-15 -2913 ((-1263) (-637 (-2 (|:| |val| (-637 |#4|)) (|:| -4121 |#5|))) (-768)))) 
+((-2234 (((-121) $ $) NIL)) (-2626 (((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 |#4|)))) (-637 |#4|)) NIL)) (-2235 (((-637 $) (-637 |#4|)) 109) (((-637 $) (-637 |#4|) (-121)) 110) (((-637 $) (-637 |#4|) (-121) (-121)) 108) (((-637 $) (-637 |#4|) (-121) (-121) (-121) (-121)) 111)) (-3424 (((-637 |#3|) $) NIL)) (-2927 (((-121) $) NIL)) (-4409 (((-121) $) NIL (|has| |#1| (-561)))) (-3766 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3998 ((|#4| |#4| $) NIL)) (-2356 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| $) 83)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2534 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600))) (((-3 |#4| "failed") $ |#3|) 61)) (-2269 (($) NIL T CONST)) (-2940 (((-121) $) 26 (|has| |#1| (-561)))) (-4203 (((-121) $ $) NIL (|has| |#1| (-561)))) (-2568 (((-121) $ $) NIL (|has| |#1| (-561)))) (-3455 (((-121) $) NIL (|has| |#1| (-561)))) (-3516 (((-637 |#4|) (-637 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1372 (((-637 |#4|) (-637 |#4|) $) NIL (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) NIL (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) NIL)) (-1316 (($ (-637 |#4|)) NIL)) (-4372 (((-3 $ "failed") $) 39)) (-4476 ((|#4| |#4| $) 64)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-3412 (($ |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 77 (|has| |#1| (-561)))) (-3052 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-3271 ((|#4| |#4| $) NIL)) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4600))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1770 (((-2 (|:| -2363 (-637 |#4|)) (|:| -3545 (-637 |#4|))) $) NIL)) (-1638 (((-121) |#4| $) NIL)) (-4579 (((-121) |#4| $) NIL)) (-2485 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2998 (((-2 (|:| |val| (-637 |#4|)) (|:| |towers| (-637 $))) (-637 |#4|) (-121) (-121)) 123)) (-4034 (((-637 |#4|) $) 16 (|has| $ (-6 -4600)))) (-1791 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2065 ((|#3| $) 33)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#4|) $) 17 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-1923 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) 21)) (-2213 (((-637 |#3|) $) NIL)) (-3529 (((-121) |#3| $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-3223 (((-3 |#4| (-637 $)) |#4| |#4| $) NIL)) (-2810 (((-637 (-2 (|:| |val| |#4|) (|:| -4121 $))) |#4| |#4| $) 102)) (-3220 (((-3 |#4| "failed") $) 37)) (-1891 (((-637 $) |#4| $) 87)) (-1927 (((-3 (-121) (-637 $)) |#4| $) NIL)) (-2687 (((-637 (-2 (|:| |val| (-121)) (|:| -4121 $))) |#4| $) 97) (((-121) |#4| $) 52)) (-4017 (((-637 $) |#4| $) 106) (((-637 $) (-637 |#4|) $) NIL) (((-637 $) (-637 |#4|) (-637 $)) 107) (((-637 $) |#4| (-637 $)) NIL)) (-1614 (((-637 $) (-637 |#4|) (-121) (-121) (-121)) 118)) (-2935 (($ |#4| $) 74) (($ (-637 |#4|) $) 75) (((-637 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 73)) (-2551 (((-637 |#4|) $) NIL)) (-3554 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2347 ((|#4| |#4| $) NIL)) (-2075 (((-121) $ $) NIL)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-561)))) (-2240 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2444 ((|#4| |#4| $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 (((-3 |#4| "failed") $) 35)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4016 (((-3 $ "failed") $ |#4|) 47)) (-3140 (($ $ |#4|) NIL) (((-637 $) |#4| $) 89) (((-637 $) |#4| (-637 $)) NIL) (((-637 $) (-637 |#4|) $) NIL) (((-637 $) (-637 |#4|) (-637 $)) 85)) (-3160 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 15)) (-1630 (($) 13)) (-2400 (((-768) $) NIL)) (-1569 (((-768) |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) (((-768) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) 12)) (-4050 (((-544) $) NIL (|has| |#4| (-612 (-544))))) (-3891 (($ (-637 |#4|)) 20)) (-3985 (($ $ |#3|) 42)) (-1905 (($ $ |#3|) 43)) (-4371 (($ $) NIL)) (-2031 (($ $ |#3|) NIL)) (-3942 (((-855) $) 31) (((-637 |#4|) $) 40)) (-1930 (((-768) $) NIL (|has| |#3| (-373)))) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1875 (((-121) $ (-1 (-121) |#4| (-637 |#4|))) NIL)) (-2319 (((-637 $) |#4| $) 53) (((-637 $) |#4| (-637 $)) NIL) (((-637 $) (-637 |#4|) $) NIL) (((-637 $) (-637 |#4|) (-637 $)) NIL)) (-3027 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-3557 (((-637 |#3|) $) NIL)) (-2640 (((-121) |#4| $) NIL)) (-3049 (((-121) |#3| $) 60)) (-1323 (((-121) $ $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1138 |#1| |#2| |#3| |#4|) (-13 (-1106 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2935 ((-637 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -2235 ((-637 $) (-637 |#4|) (-121) (-121))) (-15 -2235 ((-637 $) (-637 |#4|) (-121) (-121) (-121) (-121))) (-15 -1614 ((-637 $) (-637 |#4|) (-121) (-121) (-121))) (-15 -2998 ((-2 (|:| |val| (-637 |#4|)) (|:| |towers| (-637 $))) (-637 |#4|) (-121) (-121))))) (-456) (-793) (-847) (-1067 |#1| |#2| |#3|)) (T -1138)) 
+((-2935 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1138 *5 *6 *7 *3))) (-5 *1 (-1138 *5 *6 *7 *3)) (-4 *3 (-1067 *5 *6 *7)))) (-2235 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1138 *5 *6 *7 *8))) (-5 *1 (-1138 *5 *6 *7 *8)))) (-2235 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1138 *5 *6 *7 *8))) (-5 *1 (-1138 *5 *6 *7 *8)))) (-1614 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1138 *5 *6 *7 *8))) (-5 *1 (-1138 *5 *6 *7 *8)))) (-2998 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-637 *8)) (|:| |towers| (-637 (-1138 *5 *6 *7 *8))))) (-5 *1 (-1138 *5 *6 *7 *8)) (-5 *3 (-637 *8))))) 
+(-13 (-1106 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2935 ((-637 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -2235 ((-637 $) (-637 |#4|) (-121) (-121))) (-15 -2235 ((-637 $) (-637 |#4|) (-121) (-121) (-121) (-121))) (-15 -1614 ((-637 $) (-637 |#4|) (-121) (-121) (-121))) (-15 -2998 ((-2 (|:| |val| (-637 |#4|)) (|:| |towers| (-637 $))) (-637 |#4|) (-121) (-121))))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1601 ((|#1| $) 28)) (-2560 (($ (-637 |#1|)) 33)) (-3133 (((-121) $ (-768)) NIL)) (-2269 (($) NIL T CONST)) (-2221 ((|#1| |#1| $) 30)) (-3595 ((|#1| $) 26)) (-4034 (((-637 |#1|) $) 34 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 37)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2377 ((|#1| $) 29)) (-2863 (($ |#1| $) 31)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3815 ((|#1| $) 27)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 24)) (-1630 (($) 32)) (-1560 (((-768) $) 22)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) 20)) (-3942 (((-855) $) 17 (|has| |#1| (-1097)))) (-3700 (($ (-637 |#1|)) NIL)) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 12 (|has| |#1| (-1097)))) (-4001 (((-768) $) 23 (|has| $ (-6 -4600))))) 
+(((-1139 |#1|) (-13 (-1116 |#1|) (-10 -8 (-15 -2560 ($ (-637 |#1|))) (-15 -3595 (|#1| $)) (-15 -3815 (|#1| $)) (-15 -2221 (|#1| |#1| $)) (-15 -2863 ($ |#1| $)) (-15 -2377 (|#1| $)) (-15 -1601 (|#1| $)) (-15 -1560 ((-768) $)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (-15 -3700 ($ (-637 |#1|))) (-15 -1828 ((-121) $)) (-15 -1630 ($)) (-15 -2269 ($)) (-15 -4316 ($ $)) (-15 -2127 ((-121) $ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-15 -3944 ((-1151) $)) (-15 -2580 ((-1115) $)) (-15 -3942 ((-855) $)) (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3160 ((-121) (-1 (-121) |#1|) $)) (-15 -3027 ((-121) (-1 (-121) |#1|) $)) (-15 -1569 ((-768) (-1 (-121) |#1|) $)) (-15 -4001 ((-768) $)) (-15 -4034 ((-637 |#1|) $)) (-15 -3488 ((-637 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4600)) (IF (|has| |#1| (-1097)) (PROGN (-15 -3303 ((-121) |#1| $)) (-15 -1569 ((-768) |#1| $))) |noBranch|) |noBranch|))) (-1097)) (T -1139)) 
+((-2127 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)))) (-4316 (*1 *1 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) (-1630 (*1 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) (-1828 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)))) (-3794 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1139 *4)) (-4 *4 (-1097)))) (-2262 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1139 *4)) (-4 *4 (-1097)))) (-3133 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1139 *4)) (-4 *4 (-1097)))) (-2269 (*1 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) (-4001 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-1139 *3)))) (-1923 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4601)) (-4 *3 (-1097)) (-5 *1 (-1139 *3)))) (-3027 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-1139 *4)))) (-3160 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-1139 *4)))) (-1569 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-768)) (-5 *1 (-1139 *4)))) (-4034 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)))) (-3488 (*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)))) (-1569 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3303 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-121)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3944 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-2580 (*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-1323 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-2234 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) (-3700 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-1139 *3)))) (-3815 (*1 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) (-2863 (*1 *1 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) (-2377 (*1 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) (-2221 (*1 *2 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) (-3595 (*1 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) (-1601 (*1 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) (-1560 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)))) (-2560 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-1139 *3))))) 
+(-13 (-1116 |#1|) (-10 -8 (-15 -2560 ($ (-637 |#1|))) (-15 -3595 (|#1| $)) (-15 -3815 (|#1| $)) (-15 -2221 (|#1| |#1| $)) (-15 -2863 ($ |#1| $)) (-15 -2377 (|#1| $)) (-15 -1601 (|#1| $)) (-15 -1560 ((-768) $)) (-15 -3794 ((-121) $ (-768))) (-15 -2262 ((-121) $ (-768))) (-15 -3133 ((-121) $ (-768))) (-15 -3700 ($ (-637 |#1|))) (-15 -1828 ((-121) $)) (-15 -1630 ($)) (-15 -2269 ($)) (-15 -4316 ($ $)) (-15 -2127 ((-121) $ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4601)) (-15 -1923 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1097)) (PROGN (-15 -3944 ((-1151) $)) (-15 -2580 ((-1115) $)) (-15 -3942 ((-855) $)) (-15 -1323 ((-121) $ $)) (-15 -2234 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4600)) (PROGN (-15 -3160 ((-121) (-1 (-121) |#1|) $)) (-15 -3027 ((-121) (-1 (-121) |#1|) $)) (-15 -1569 ((-768) (-1 (-121) |#1|) $)) (-15 -4001 ((-768) $)) (-15 -4034 ((-637 |#1|) $)) (-15 -3488 ((-637 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4600)) (IF (|has| |#1| (-1097)) (PROGN (-15 -3303 ((-121) |#1| $)) (-15 -1569 ((-768) |#1| $))) |noBranch|) |noBranch|))) 
+((-3251 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) NIL) (($ $ "rest" $) NIL) ((|#2| $ "last" |#2|) NIL) ((|#2| $ (-1224 (-571)) |#2|) 43) ((|#2| $ (-571) |#2|) 40)) (-3076 (((-121) $) 11)) (-1923 (($ (-1 |#2| |#2|) $) 38)) (-1827 ((|#2| $) NIL) (($ $ (-768)) 16)) (-4411 (($ $ |#2|) 39)) (-3032 (((-121) $) 10)) (-3245 ((|#2| $ "value") NIL) ((|#2| $ "first") NIL) (($ $ "rest") NIL) ((|#2| $ "last") NIL) (($ $ (-1224 (-571))) 30) ((|#2| $ (-571)) 22) ((|#2| $ (-571) |#2|) NIL)) (-3294 (($ $ $) 46) (($ $ |#2|) NIL)) (-4498 (($ $ $) 32) (($ |#2| $) NIL) (($ (-637 $)) 35) (($ $ |#2|) NIL))) 
+(((-1140 |#1| |#2|) (-10 -8 (-15 -3076 ((-121) |#1|)) (-15 -3032 ((-121) |#1|)) (-15 -3251 (|#2| |#1| (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571))) (-15 -4411 (|#1| |#1| |#2|)) (-15 -4498 (|#1| |#1| |#2|)) (-15 -4498 (|#1| (-637 |#1|))) (-15 -3245 (|#1| |#1| (-1224 (-571)))) (-15 -3251 (|#2| |#1| (-1224 (-571)) |#2|)) (-15 -3251 (|#2| |#1| "last" |#2|)) (-15 -3251 (|#1| |#1| "rest" |#1|)) (-15 -3251 (|#2| |#1| "first" |#2|)) (-15 -3294 (|#1| |#1| |#2|)) (-15 -3294 (|#1| |#1| |#1|)) (-15 -3245 (|#2| |#1| "last")) (-15 -3245 (|#1| |#1| "rest")) (-15 -1827 (|#1| |#1| (-768))) (-15 -3245 (|#2| |#1| "first")) (-15 -1827 (|#2| |#1|)) (-15 -4498 (|#1| |#2| |#1|)) (-15 -4498 (|#1| |#1| |#1|)) (-15 -3251 (|#2| |#1| "value" |#2|)) (-15 -3245 (|#2| |#1| "value")) (-15 -1923 (|#1| (-1 |#2| |#2|) |#1|))) (-1141 |#2|) (-1203)) (T -1140)) 
+NIL 
+(-10 -8 (-15 -3076 ((-121) |#1|)) (-15 -3032 ((-121) |#1|)) (-15 -3251 (|#2| |#1| (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571) |#2|)) (-15 -3245 (|#2| |#1| (-571))) (-15 -4411 (|#1| |#1| |#2|)) (-15 -4498 (|#1| |#1| |#2|)) (-15 -4498 (|#1| (-637 |#1|))) (-15 -3245 (|#1| |#1| (-1224 (-571)))) (-15 -3251 (|#2| |#1| (-1224 (-571)) |#2|)) (-15 -3251 (|#2| |#1| "last" |#2|)) (-15 -3251 (|#1| |#1| "rest" |#1|)) (-15 -3251 (|#2| |#1| "first" |#2|)) (-15 -3294 (|#1| |#1| |#2|)) (-15 -3294 (|#1| |#1| |#1|)) (-15 -3245 (|#2| |#1| "last")) (-15 -3245 (|#1| |#1| "rest")) (-15 -1827 (|#1| |#1| (-768))) (-15 -3245 (|#2| |#1| "first")) (-15 -1827 (|#2| |#1|)) (-15 -4498 (|#1| |#2| |#1|)) (-15 -4498 (|#1| |#1| |#1|)) (-15 -3251 (|#2| |#1| "value" |#2|)) (-15 -3245 (|#2| |#1| "value")) (-15 -1923 (|#1| (-1 |#2| |#2|) |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-2139 ((|#1| $) 45)) (-4198 ((|#1| $) 62)) (-4327 (($ $) 64)) (-3839 (((-1263) $ (-571) (-571)) 94 (|has| $ (-6 -4601)))) (-4065 (($ $ (-571)) 49 (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) 8)) (-2815 ((|#1| $ |#1|) 36 (|has| $ (-6 -4601)))) (-1384 (($ $ $) 53 (|has| $ (-6 -4601)))) (-4531 ((|#1| $ |#1|) 51 (|has| $ (-6 -4601)))) (-1833 ((|#1| $ |#1|) 55 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4601))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4601))) (($ $ "rest" $) 52 (|has| $ (-6 -4601))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) 114 (|has| $ (-6 -4601))) ((|#1| $ (-571) |#1|) 83 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 38 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4600)))) (-4035 ((|#1| $) 63)) (-2269 (($) 7 T CONST)) (-4372 (($ $) 70) (($ $ (-768)) 68)) (-4365 (($ $) 96 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4600))) (($ |#1| $) 97 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-2922 ((|#1| $ (-571) |#1|) 82 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 84)) (-3076 (((-121) $) 80)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 47)) (-4114 (((-121) $ $) 39 (|has| |#1| (-1097)))) (-1364 (($ (-768) |#1|) 105)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 92 (|has| (-571) (-847)))) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 91 (|has| (-571) (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-3794 (((-121) $ (-768)) 10)) (-3392 (((-637 |#1|) $) 42)) (-2945 (((-121) $) 46)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-3220 ((|#1| $) 67) (($ $ (-768)) 65)) (-2594 (($ $ $ (-571)) 113) (($ |#1| $ (-571)) 112)) (-2738 (((-637 (-571)) $) 89)) (-1613 (((-121) (-571) $) 88)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1827 ((|#1| $) 73) (($ $ (-768)) 71)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-4411 (($ $ |#1|) 93 (|has| $ (-6 -4601)))) (-3032 (((-121) $) 81)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) 87)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1224 (-571))) 109) ((|#1| $ (-571)) 86) ((|#1| $ (-571) |#1|) 85)) (-2514 (((-571) $ $) 41)) (-1933 (($ $ (-1224 (-571))) 111) (($ $ (-571)) 110)) (-1664 (((-121) $) 43)) (-3863 (($ $) 59)) (-3756 (($ $) 56 (|has| $ (-6 -4601)))) (-2895 (((-768) $) 60)) (-1360 (($ $) 61)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-4050 (((-544) $) 95 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 104)) (-3294 (($ $ $) 58 (|has| $ (-6 -4601))) (($ $ |#1|) 57 (|has| $ (-6 -4601)))) (-4498 (($ $ $) 75) (($ |#1| $) 74) (($ (-637 $)) 107) (($ $ |#1|) 106)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 48)) (-3014 (((-121) $ $) 40 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-1141 |#1|) (-1289) (-1203)) (T -1141)) 
+((-3032 (*1 *2 *1) (-12 (-4 *1 (-1141 *3)) (-4 *3 (-1203)) (-5 *2 (-121)))) (-3076 (*1 *2 *1) (-12 (-4 *1 (-1141 *3)) (-4 *3 (-1203)) (-5 *2 (-121))))) 
+(-13 (-1245 |t#1|) (-643 |t#1|) (-10 -8 (-15 -3032 ((-121) $)) (-15 -3076 ((-121) $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-282 (-571) |#1|) . T) ((-284 (-571) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-604 (-571) |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-643 |#1|) . T) ((-1016 |#1|) . T) ((-1097) |has| |#1| (-1097)) ((-1203) . T) ((-1245 |#1|) . T)) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3839 (((-1263) $ |#1| |#1|) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#2| $ |#1| |#2|) NIL)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-1741 (((-3 |#2| "failed") |#1| $) NIL)) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1599 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-3 |#2| "failed") |#1| $) NIL)) (-3412 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) NIL)) (-4034 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 ((|#1| $) NIL (|has| |#1| (-847)))) (-3488 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3113 ((|#1| $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4601))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3359 (((-637 |#1|) $) NIL)) (-1507 (((-121) |#1| $) NIL)) (-2377 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2863 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2738 (((-637 |#1|) $) NIL)) (-1613 (((-121) |#1| $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-1827 ((|#2| $) NIL (|has| |#1| (-847)))) (-3765 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL)) (-4411 (($ $ |#2|) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-3563 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097)))) (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3942 (((-855) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3700 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1142 |#1| |#2| |#3|) (-1180 |#1| |#2|) (-1097) (-1097) |#2|) (T -1142)) 
+NIL 
+(-1180 |#1| |#2|) 
+((-2234 (((-121) $ $) 7)) (-2596 (((-3 $ "failed") $) 12)) (-3944 (((-1151) $) 9)) (-1757 (($) 13 T CONST)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11)) (-1323 (((-121) $ $) 6))) 
+(((-1143) (-1289)) (T -1143)) 
+((-1757 (*1 *1) (-4 *1 (-1143))) (-2596 (*1 *1 *1) (|partial| -4 *1 (-1143)))) 
+(-13 (-1097) (-10 -8 (-15 -1757 ($) -3177) (-15 -2596 ((-3 $ "failed") $)))) 
+(((-105) . T) ((-611 (-855)) . T) ((-1097) . T)) 
+((-2719 (((-1149 |#1|) (-1149 |#1|)) 17)) (-3388 (((-1149 |#1|) (-1149 |#1|)) 13)) (-1353 (((-1149 |#1|) (-1149 |#1|) (-571) (-571)) 20)) (-3827 (((-1149 |#1|) (-1149 |#1|)) 15))) 
+(((-1144 |#1|) (-10 -7 (-15 -3388 ((-1149 |#1|) (-1149 |#1|))) (-15 -3827 ((-1149 |#1|) (-1149 |#1|))) (-15 -2719 ((-1149 |#1|) (-1149 |#1|))) (-15 -1353 ((-1149 |#1|) (-1149 |#1|) (-571) (-571)))) (-13 (-561) (-151))) (T -1144)) 
+((-1353 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-571)) (-4 *4 (-13 (-561) (-151))) (-5 *1 (-1144 *4)))) (-2719 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-13 (-561) (-151))) (-5 *1 (-1144 *3)))) (-3827 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-13 (-561) (-151))) (-5 *1 (-1144 *3)))) (-3388 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-13 (-561) (-151))) (-5 *1 (-1144 *3))))) 
+(-10 -7 (-15 -3388 ((-1149 |#1|) (-1149 |#1|))) (-15 -3827 ((-1149 |#1|) (-1149 |#1|))) (-15 -2719 ((-1149 |#1|) (-1149 |#1|))) (-15 -1353 ((-1149 |#1|) (-1149 |#1|) (-571) (-571)))) 
+((-4518 (((-1149 |#1|) (-1149 |#1|) (-1 (-637 |#1|) |#1|)) 16))) 
+(((-1145 |#1|) (-10 -7 (-15 -4518 ((-1149 |#1|) (-1149 |#1|) (-1 (-637 |#1|) |#1|)))) (-1203)) (T -1145)) 
+((-4518 (*1 *2 *2 *3) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-1 (-637 *4) *4)) (-4 *4 (-1203)) (-5 *1 (-1145 *4))))) 
+(-10 -7 (-15 -4518 ((-1149 |#1|) (-1149 |#1|) (-1 (-637 |#1|) |#1|)))) 
+((-4498 (((-1149 |#1|) (-1149 (-1149 |#1|))) 15))) 
+(((-1146 |#1|) (-10 -7 (-15 -4498 ((-1149 |#1|) (-1149 (-1149 |#1|))))) (-1203)) (T -1146)) 
+((-4498 (*1 *2 *3) (-12 (-5 *3 (-1149 (-1149 *4))) (-5 *2 (-1149 *4)) (-5 *1 (-1146 *4)) (-4 *4 (-1203))))) 
+(-10 -7 (-15 -4498 ((-1149 |#1|) (-1149 (-1149 |#1|))))) 
+((-2094 (((-1149 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1149 |#1|)) 25)) (-3074 ((|#2| |#2| (-1 |#2| |#1| |#2|) (-1149 |#1|)) 26)) (-3799 (((-1149 |#2|) (-1 |#2| |#1|) (-1149 |#1|)) 16))) 
+(((-1147 |#1| |#2|) (-10 -7 (-15 -3799 ((-1149 |#2|) (-1 |#2| |#1|) (-1149 |#1|))) (-15 -2094 ((-1149 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1149 |#1|))) (-15 -3074 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1149 |#1|)))) (-1203) (-1203)) (T -1147)) 
+((-3074 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1149 *5)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-1147 *5 *2)))) (-2094 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1149 *6)) (-4 *6 (-1203)) (-4 *3 (-1203)) (-5 *2 (-1149 *3)) (-5 *1 (-1147 *6 *3)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1149 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1149 *6)) (-5 *1 (-1147 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-1149 |#2|) (-1 |#2| |#1|) (-1149 |#1|))) (-15 -2094 ((-1149 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1149 |#1|))) (-15 -3074 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1149 |#1|)))) 
+((-3799 (((-1149 |#3|) (-1 |#3| |#1| |#2|) (-1149 |#1|) (-1149 |#2|)) 21))) 
+(((-1148 |#1| |#2| |#3|) (-10 -7 (-15 -3799 ((-1149 |#3|) (-1 |#3| |#1| |#2|) (-1149 |#1|) (-1149 |#2|)))) (-1203) (-1203) (-1203)) (T -1148)) 
+((-3799 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1149 *6)) (-5 *5 (-1149 *7)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-4 *8 (-1203)) (-5 *2 (-1149 *8)) (-5 *1 (-1148 *6 *7 *8))))) 
+(-10 -7 (-15 -3799 ((-1149 |#3|) (-1 |#3| |#1| |#2|) (-1149 |#1|) (-1149 |#2|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) NIL)) (-4198 ((|#1| $) NIL)) (-4327 (($ $) 48)) (-3839 (((-1263) $ (-571) (-571)) 73 (|has| $ (-6 -4601)))) (-4065 (($ $ (-571)) 107 (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-2548 (((-855) $) 37 (|has| |#1| (-1097)))) (-2663 (((-121)) 38 (|has| |#1| (-1097)))) (-2815 ((|#1| $ |#1|) NIL (|has| $ (-6 -4601)))) (-1384 (($ $ $) 95 (|has| $ (-6 -4601))) (($ $ (-571) $) 117)) (-4531 ((|#1| $ |#1|) 104 (|has| $ (-6 -4601)))) (-1833 ((|#1| $ |#1|) 99 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ "first" |#1|) 101 (|has| $ (-6 -4601))) (($ $ "rest" $) 103 (|has| $ (-6 -4601))) ((|#1| $ "last" |#1|) 106 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) 86 (|has| $ (-6 -4601))) ((|#1| $ (-571) |#1|) 52 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) 55)) (-4035 ((|#1| $) NIL)) (-2269 (($) NIL T CONST)) (-3077 (($ $) 14)) (-4372 (($ $) 28) (($ $ (-768)) 85)) (-4466 (((-121) (-637 |#1|) $) 112 (|has| |#1| (-1097)))) (-1620 (($ (-637 |#1|)) 109)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) 54)) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-2922 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) NIL)) (-3076 (((-121) $) NIL)) (-4034 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-1847 (((-1263) (-571) $) 116 (|has| |#1| (-1097)))) (-2649 (((-768) $) 114)) (-2268 (((-637 $) $) NIL)) (-4114 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1364 (($ (-768) |#1|) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 70 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 60) (($ (-1 |#1| |#1| |#1|) $ $) 64)) (-3794 (((-121) $ (-768)) NIL)) (-3392 (((-637 |#1|) $) NIL)) (-2945 (((-121) $) NIL)) (-3854 (($ $) 87)) (-1990 (((-121) $) 13)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-3220 ((|#1| $) NIL) (($ $ (-768)) NIL)) (-2594 (($ $ $ (-571)) NIL) (($ |#1| $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) 71)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-2489 (($ (-1 |#1|)) 119) (($ (-1 |#1| |#1|) |#1|) 120)) (-4383 ((|#1| $) 10)) (-1827 ((|#1| $) 27) (($ $ (-768)) 46)) (-3390 (((-2 (|:| |cycle?| (-121)) (|:| -3885 (-768)) (|:| |period| (-768))) (-768) $) 24)) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2516 (($ (-1 (-121) |#1|) $) 121)) (-2525 (($ (-1 (-121) |#1|) $) 122)) (-4411 (($ $ |#1|) 65 (|has| $ (-6 -4601)))) (-3140 (($ $ (-571)) 31)) (-3032 (((-121) $) 69)) (-3726 (((-121) $) 12)) (-4331 (((-121) $) 113)) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 20)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) 15)) (-1630 (($) 40)) (-3245 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1224 (-571))) NIL) ((|#1| $ (-571)) 51) ((|#1| $ (-571) |#1|) NIL)) (-2514 (((-571) $ $) 45)) (-1933 (($ $ (-1224 (-571))) NIL) (($ $ (-571)) NIL)) (-4322 (($ (-1 $)) 44)) (-1664 (((-121) $) 66)) (-3863 (($ $) 67)) (-3756 (($ $) 96 (|has| $ (-6 -4601)))) (-2895 (((-768) $) NIL)) (-1360 (($ $) NIL)) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) 41)) (-4050 (((-544) $) NIL (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 50)) (-4309 (($ |#1| $) 94)) (-3294 (($ $ $) 97 (|has| $ (-6 -4601))) (($ $ |#1|) 98 (|has| $ (-6 -4601)))) (-4498 (($ $ $) 75) (($ |#1| $) 42) (($ (-637 $)) 80) (($ $ |#1|) 74)) (-3202 (($ $) 47)) (-3942 (((-855) $) 39 (|has| |#1| (-1097))) (($ (-637 |#1|)) 108)) (-1846 (((-637 $) $) NIL)) (-3014 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 111 (|has| |#1| (-1097)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1149 |#1|) (-13 (-668 |#1|) (-10 -8 (-6 -4601) (-15 -3942 ($ (-637 |#1|))) (-15 -1620 ($ (-637 |#1|))) (IF (|has| |#1| (-1097)) (-15 -4466 ((-121) (-637 |#1|) $)) |noBranch|) (-15 -3390 ((-2 (|:| |cycle?| (-121)) (|:| -3885 (-768)) (|:| |period| (-768))) (-768) $)) (-15 -4322 ($ (-1 $))) (-15 -4309 ($ |#1| $)) (IF (|has| |#1| (-1097)) (PROGN (-15 -1847 ((-1263) (-571) $)) (-15 -2548 ((-855) $)) (-15 -2663 ((-121)))) |noBranch|) (-15 -1384 ($ $ (-571) $)) (-15 -2489 ($ (-1 |#1|))) (-15 -2489 ($ (-1 |#1| |#1|) |#1|)) (-15 -2516 ($ (-1 (-121) |#1|) $)) (-15 -2525 ($ (-1 (-121) |#1|) $)))) (-1203)) (T -1149)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3)))) (-1620 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3)))) (-4466 (*1 *2 *3 *1) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1097)) (-4 *4 (-1203)) (-5 *2 (-121)) (-5 *1 (-1149 *4)))) (-3390 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -3885 (-768)) (|:| |period| (-768)))) (-5 *1 (-1149 *4)) (-4 *4 (-1203)) (-5 *3 (-768)))) (-4322 (*1 *1 *2) (-12 (-5 *2 (-1 (-1149 *3))) (-5 *1 (-1149 *3)) (-4 *3 (-1203)))) (-4309 (*1 *1 *2 *1) (-12 (-5 *1 (-1149 *2)) (-4 *2 (-1203)))) (-1847 (*1 *2 *3 *1) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-1149 *4)) (-4 *4 (-1097)) (-4 *4 (-1203)))) (-2548 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1149 *3)) (-4 *3 (-1097)) (-4 *3 (-1203)))) (-2663 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1149 *3)) (-4 *3 (-1097)) (-4 *3 (-1203)))) (-1384 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1149 *3)) (-4 *3 (-1203)))) (-2489 (*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3)))) (-2489 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3)))) (-2516 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3)))) (-2525 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3))))) 
+(-13 (-668 |#1|) (-10 -8 (-6 -4601) (-15 -3942 ($ (-637 |#1|))) (-15 -1620 ($ (-637 |#1|))) (IF (|has| |#1| (-1097)) (-15 -4466 ((-121) (-637 |#1|) $)) |noBranch|) (-15 -3390 ((-2 (|:| |cycle?| (-121)) (|:| -3885 (-768)) (|:| |period| (-768))) (-768) $)) (-15 -4322 ($ (-1 $))) (-15 -4309 ($ |#1| $)) (IF (|has| |#1| (-1097)) (PROGN (-15 -1847 ((-1263) (-571) $)) (-15 -2548 ((-855) $)) (-15 -2663 ((-121)))) |noBranch|) (-15 -1384 ($ $ (-571) $)) (-15 -2489 ($ (-1 |#1|))) (-15 -2489 ($ (-1 |#1| |#1|) |#1|)) (-15 -2516 ($ (-1 (-121) |#1|) $)) (-15 -2525 ($ (-1 (-121) |#1|) $)))) 
+((-2234 (((-121) $ $) 18)) (-4277 (($ $) 113)) (-1425 (($ $) 114)) (-3610 (($ $ (-148)) 101) (($ $ (-143)) 100)) (-3839 (((-1263) $ (-571) (-571)) 37 (|has| $ (-6 -4601)))) (-2057 (((-121) $ $) 111)) (-2005 (((-121) $ $ (-571)) 110)) (-4004 (($ (-571)) 118)) (-1609 (((-637 $) $ (-148)) 103) (((-637 $) $ (-143)) 102)) (-2648 (((-121) (-1 (-121) (-148) (-148)) $) 91) (((-121) $) 85 (|has| (-148) (-847)))) (-3652 (($ (-1 (-121) (-148) (-148)) $) 82 (|has| $ (-6 -4601))) (($ $) 81 (-12 (|has| (-148) (-847)) (|has| $ (-6 -4601))))) (-2972 (($ (-1 (-121) (-148) (-148)) $) 92) (($ $) 86 (|has| (-148) (-847)))) (-3133 (((-121) $ (-768)) 8)) (-3251 (((-148) $ (-571) (-148)) 49 (|has| $ (-6 -4601))) (((-148) $ (-1224 (-571)) (-148)) 53 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-148)) $) 70 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-3398 (($ $ (-148)) 97) (($ $ (-143)) 96)) (-4578 (($ $) 83 (|has| $ (-6 -4601)))) (-4378 (($ $) 93)) (-3601 (($ $ (-1224 (-571)) $) 107)) (-4365 (($ $) 73 (-12 (|has| (-148) (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ (-148) $) 72 (-12 (|has| (-148) (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) (-148)) $) 69 (|has| $ (-6 -4600)))) (-3074 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) 71 (-12 (|has| (-148) (-1097)) (|has| $ (-6 -4600)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) 68 (|has| $ (-6 -4600))) (((-148) (-1 (-148) (-148) (-148)) $) 67 (|has| $ (-6 -4600)))) (-2922 (((-148) $ (-571) (-148)) 50 (|has| $ (-6 -4601)))) (-4319 (((-148) $ (-571)) 48)) (-2165 (((-121) $ $) 112)) (-3984 (((-571) (-1 (-121) (-148)) $) 90) (((-571) (-148) $) 89 (|has| (-148) (-1097))) (((-571) (-148) $ (-571)) 88 (|has| (-148) (-1097))) (((-571) $ $ (-571)) 106) (((-571) (-143) $ (-571)) 105)) (-4034 (((-637 (-148)) $) 30 (|has| $ (-6 -4600)))) (-1364 (($ (-768) (-148)) 64)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 40 (|has| (-571) (-847)))) (-1763 (($ $ $) 80 (|has| (-148) (-847)))) (-3491 (($ (-1 (-121) (-148) (-148)) $ $) 94) (($ $ $) 87 (|has| (-148) (-847)))) (-3488 (((-637 (-148)) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) (-148) $) 27 (-12 (|has| (-148) (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 41 (|has| (-571) (-847)))) (-2383 (($ $ $) 79 (|has| (-148) (-847)))) (-2515 (((-121) $ $ (-148)) 108)) (-1380 (((-768) $ $ (-148)) 109)) (-1923 (($ (-1 (-148) (-148)) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-148) (-148)) $) 35) (($ (-1 (-148) (-148) (-148)) $ $) 59)) (-3423 (($ $) 115)) (-3356 (($ $) 116)) (-3794 (((-121) $ (-768)) 10)) (-1789 (($ $ (-148)) 99) (($ $ (-143)) 98)) (-3944 (((-1151) $) 22)) (-2594 (($ (-148) $ (-571)) 55) (($ $ $ (-571)) 54)) (-2738 (((-637 (-571)) $) 43)) (-1613 (((-121) (-571) $) 44)) (-2580 (((-1115) $) 21)) (-1827 (((-148) $) 39 (|has| (-571) (-847)))) (-3765 (((-3 (-148) "failed") (-1 (-121) (-148)) $) 66)) (-4411 (($ $ (-148)) 38 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-148)) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-148)))) 26 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-289 (-148))) 25 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-148) (-148)) 24 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-637 (-148)) (-637 (-148))) 23 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) (-148) $) 42 (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3909 (((-637 (-148)) $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 (((-148) $ (-571) (-148)) 47) (((-148) $ (-571)) 46) (($ $ (-1224 (-571))) 58) (($ $ $) 95)) (-1933 (($ $ (-571)) 57) (($ $ (-1224 (-571))) 56)) (-1569 (((-768) (-1 (-121) (-148)) $) 31 (|has| $ (-6 -4600))) (((-768) (-148) $) 28 (-12 (|has| (-148) (-1097)) (|has| $ (-6 -4600))))) (-3427 (($ $ $ (-571)) 84 (|has| $ (-6 -4601)))) (-4316 (($ $) 13)) (-4050 (((-544) $) 74 (|has| (-148) (-612 (-544))))) (-3891 (($ (-637 (-148))) 65)) (-4498 (($ $ (-148)) 63) (($ (-148) $) 62) (($ $ $) 61) (($ (-637 $)) 60)) (-3942 (($ (-148)) 104) (((-855) $) 20)) (-3027 (((-121) (-1 (-121) (-148)) $) 33 (|has| $ (-6 -4600)))) (-3805 (((-1151) $) 122) (((-1151) $ (-121)) 121) (((-1263) (-822) $) 120) (((-1263) (-822) $ (-121)) 119)) (-1350 (((-121) $ $) 77 (|has| (-148) (-847)))) (-1338 (((-121) $ $) 76 (|has| (-148) (-847)))) (-1323 (((-121) $ $) 19)) (-1342 (((-121) $ $) 78 (|has| (-148) (-847)))) (-1331 (((-121) $ $) 75 (|has| (-148) (-847)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-1150) (-1289)) (T -1150)) 
+((-4004 (*1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1150))))) 
+(-13 (-1136) (-1097) (-828) (-10 -8 (-15 -4004 ($ (-571))))) 
+(((-39) . T) ((-105) . T) ((-611 (-855)) . T) ((-155 (-148)) . T) ((-612 (-544)) |has| (-148) (-612 (-544))) ((-282 (-571) (-148)) . T) ((-284 (-571) (-148)) . T) ((-304 (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097))) ((-378 (-148)) . T) ((-502 (-148)) . T) ((-604 (-571) (-148)) . T) ((-526 (-148) (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097))) ((-643 (-148)) . T) ((-19 (-148)) . T) ((-828) . T) ((-847) |has| (-148) (-847)) ((-1097) . T) ((-1136) . T) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4277 (($ $) NIL)) (-1425 (($ $) NIL)) (-3610 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2057 (((-121) $ $) NIL)) (-2005 (((-121) $ $ (-571)) NIL)) (-4004 (($ (-571)) 7)) (-1609 (((-637 $) $ (-148)) NIL) (((-637 $) $ (-143)) NIL)) (-2648 (((-121) (-1 (-121) (-148) (-148)) $) NIL) (((-121) $) NIL (|has| (-148) (-847)))) (-3652 (($ (-1 (-121) (-148) (-148)) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| (-148) (-847))))) (-2972 (($ (-1 (-121) (-148) (-148)) $) NIL) (($ $) NIL (|has| (-148) (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 (((-148) $ (-571) (-148)) NIL (|has| $ (-6 -4601))) (((-148) $ (-1224 (-571)) (-148)) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-3398 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-3601 (($ $ (-1224 (-571)) $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3412 (($ (-148) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097)))) (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4600))) (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4600)))) (-2922 (((-148) $ (-571) (-148)) NIL (|has| $ (-6 -4601)))) (-4319 (((-148) $ (-571)) NIL)) (-2165 (((-121) $ $) NIL)) (-3984 (((-571) (-1 (-121) (-148)) $) NIL) (((-571) (-148) $) NIL (|has| (-148) (-1097))) (((-571) (-148) $ (-571)) NIL (|has| (-148) (-1097))) (((-571) $ $ (-571)) NIL) (((-571) (-143) $ (-571)) NIL)) (-4034 (((-637 (-148)) $) NIL (|has| $ (-6 -4600)))) (-1364 (($ (-768) (-148)) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| (-148) (-847)))) (-3491 (($ (-1 (-121) (-148) (-148)) $ $) NIL) (($ $ $) NIL (|has| (-148) (-847)))) (-3488 (((-637 (-148)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-148) (-847)))) (-2515 (((-121) $ $ (-148)) NIL)) (-1380 (((-768) $ $ (-148)) NIL)) (-1923 (($ (-1 (-148) (-148)) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-148) (-148)) $) NIL) (($ (-1 (-148) (-148) (-148)) $ $) NIL)) (-3423 (($ $) NIL)) (-3356 (($ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-1789 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-3944 (((-1151) $) NIL)) (-2594 (($ (-148) $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 (((-148) $) NIL (|has| (-571) (-847)))) (-3765 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-4411 (($ $ (-148)) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097)))) (($ $ (-637 (-148)) (-637 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3909 (((-637 (-148)) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 (((-148) $ (-571) (-148)) NIL) (((-148) $ (-571)) NIL) (($ $ (-1224 (-571))) NIL) (($ $ $) NIL)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1569 (((-768) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600))) (((-768) (-148) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-148) (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-148) (-612 (-544))))) (-3891 (($ (-637 (-148))) NIL)) (-4498 (($ $ (-148)) NIL) (($ (-148) $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (($ (-148)) NIL) (((-855) $) NIL)) (-3027 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4600)))) (-3805 (((-1151) $) 18) (((-1151) $ (-121)) 20) (((-1263) (-822) $) 21) (((-1263) (-822) $ (-121)) 22)) (-1350 (((-121) $ $) NIL (|has| (-148) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-148) (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| (-148) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-148) (-847)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1151) (-1150)) (T -1151)) 
+NIL 
+(-1150) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)) (|has| |#1| (-1097))))) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL)) (-3839 (((-1263) $ (-1151) (-1151)) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-1151) |#1|) NIL)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-1741 (((-3 |#1| "failed") (-1151) $) NIL)) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097))))) (-1599 (($ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600))) (((-3 |#1| "failed") (-1151) $) NIL)) (-3412 (($ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-1151) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-1151)) NIL)) (-4034 (((-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-1151) $) NIL (|has| (-1151) (-847)))) (-3488 (((-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-1151) $) NIL (|has| (-1151) (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4601))) (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (-1831 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)) (|has| |#1| (-1097))))) (-3359 (((-637 (-1151)) $) NIL)) (-1507 (((-121) (-1151) $) NIL)) (-2377 (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL)) (-2863 (($ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL)) (-2738 (((-637 (-1151)) $) NIL)) (-1613 (((-121) (-1151) $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)) (|has| |#1| (-1097))))) (-1827 ((|#1| $) NIL (|has| (-1151) (-847)))) (-3765 (((-3 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) "failed") (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL)) (-4411 (($ $ |#1|) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (($ $ (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL (-12 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-304 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-1151)) NIL) ((|#1| $ (-1151) |#1|) NIL)) (-3563 (($) NIL) (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL)) (-3942 (((-855) $) NIL (-1831 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)) (|has| |#1| (-1097))))) (-3700 (($ (-637 (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)))) NIL)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 (-1151)) (|:| -4279 |#1|)) (-1097)) (|has| |#1| (-1097))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1152 |#1|) (-13 (-1180 (-1151) |#1|) (-10 -7 (-6 -4600))) (-1097)) (T -1152)) 
+NIL 
+(-13 (-1180 (-1151) |#1|) (-10 -7 (-6 -4600))) 
+((-1796 (((-1149 |#1|) (-1149 |#1|)) 77)) (-3978 (((-3 (-1149 |#1|) "failed") (-1149 |#1|)) 37)) (-2916 (((-1149 |#1|) (-412 (-571)) (-1149 |#1|)) 117 (|has| |#1| (-43 (-412 (-571)))))) (-3134 (((-1149 |#1|) |#1| (-1149 |#1|)) 121 (|has| |#1| (-367)))) (-1453 (((-1149 |#1|) (-1149 |#1|)) 90)) (-2983 (((-1149 (-571)) (-571)) 57)) (-3619 (((-1149 |#1|) (-1149 (-1149 |#1|))) 108 (|has| |#1| (-43 (-412 (-571)))))) (-1361 (((-1149 |#1|) (-571) (-571) (-1149 |#1|)) 95)) (-4506 (((-1149 |#1|) |#1| (-571)) 45)) (-2864 (((-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) 60)) (-3035 (((-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) 119 (|has| |#1| (-367)))) (-2772 (((-1149 |#1|) |#1| (-1 (-1149 |#1|))) 107 (|has| |#1| (-43 (-412 (-571)))))) (-3070 (((-1149 |#1|) (-1 |#1| (-571)) |#1| (-1 (-1149 |#1|))) 120 (|has| |#1| (-367)))) (-4424 (((-1149 |#1|) (-1149 |#1|)) 89)) (-1944 (((-1149 |#1|) (-1149 |#1|)) 76)) (-1816 (((-1149 |#1|) (-571) (-571) (-1149 |#1|)) 96)) (-3403 (((-1149 |#1|) |#1| (-1149 |#1|)) 105 (|has| |#1| (-43 (-412 (-571)))))) (-2220 (((-1149 (-571)) (-571)) 56)) (-3751 (((-1149 |#1|) |#1|) 59)) (-3121 (((-1149 |#1|) (-1149 |#1|) (-571) (-571)) 92)) (-3001 (((-1149 |#1|) (-1 |#1| (-571)) (-1149 |#1|)) 66)) (-1786 (((-3 (-1149 |#1|) "failed") (-1149 |#1|) (-1149 |#1|)) 35)) (-1971 (((-1149 |#1|) (-1149 |#1|)) 91)) (-4483 (((-1149 |#1|) (-1149 |#1|) |#1|) 71)) (-2223 (((-1149 |#1|) (-1149 |#1|)) 62)) (-2699 (((-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) 72)) (-3942 (((-1149 |#1|) |#1|) 67)) (-4457 (((-1149 |#1|) (-1149 (-1149 |#1|))) 82)) (-1379 (((-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) 36)) (-1373 (((-1149 |#1|) (-1149 |#1|)) 21) (((-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) 23)) (-1367 (((-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) 17)) (* (((-1149 |#1|) (-1149 |#1|) |#1|) 29) (((-1149 |#1|) |#1| (-1149 |#1|)) 26) (((-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) 27))) 
+(((-1153 |#1|) (-10 -7 (-15 -1367 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -1373 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -1373 ((-1149 |#1|) (-1149 |#1|))) (-15 * ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 * ((-1149 |#1|) |#1| (-1149 |#1|))) (-15 * ((-1149 |#1|) (-1149 |#1|) |#1|)) (-15 -1786 ((-3 (-1149 |#1|) "failed") (-1149 |#1|) (-1149 |#1|))) (-15 -1379 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -3978 ((-3 (-1149 |#1|) "failed") (-1149 |#1|))) (-15 -4506 ((-1149 |#1|) |#1| (-571))) (-15 -2220 ((-1149 (-571)) (-571))) (-15 -2983 ((-1149 (-571)) (-571))) (-15 -3751 ((-1149 |#1|) |#1|)) (-15 -2864 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -2223 ((-1149 |#1|) (-1149 |#1|))) (-15 -3001 ((-1149 |#1|) (-1 |#1| (-571)) (-1149 |#1|))) (-15 -3942 ((-1149 |#1|) |#1|)) (-15 -4483 ((-1149 |#1|) (-1149 |#1|) |#1|)) (-15 -2699 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -1944 ((-1149 |#1|) (-1149 |#1|))) (-15 -1796 ((-1149 |#1|) (-1149 |#1|))) (-15 -4457 ((-1149 |#1|) (-1149 (-1149 |#1|)))) (-15 -4424 ((-1149 |#1|) (-1149 |#1|))) (-15 -1453 ((-1149 |#1|) (-1149 |#1|))) (-15 -1971 ((-1149 |#1|) (-1149 |#1|))) (-15 -3121 ((-1149 |#1|) (-1149 |#1|) (-571) (-571))) (-15 -1361 ((-1149 |#1|) (-571) (-571) (-1149 |#1|))) (-15 -1816 ((-1149 |#1|) (-571) (-571) (-1149 |#1|))) (IF (|has| |#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ((-1149 |#1|) |#1| (-1149 |#1|))) (-15 -2772 ((-1149 |#1|) |#1| (-1 (-1149 |#1|)))) (-15 -3619 ((-1149 |#1|) (-1149 (-1149 |#1|)))) (-15 -2916 ((-1149 |#1|) (-412 (-571)) (-1149 |#1|)))) |noBranch|) (IF (|has| |#1| (-367)) (PROGN (-15 -3035 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -3070 ((-1149 |#1|) (-1 |#1| (-571)) |#1| (-1 (-1149 |#1|)))) (-15 -3134 ((-1149 |#1|) |#1| (-1149 |#1|)))) |noBranch|)) (-1053)) (T -1153)) 
+((-3134 (*1 *2 *3 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-3070 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-571))) (-5 *5 (-1 (-1149 *4))) (-4 *4 (-367)) (-4 *4 (-1053)) (-5 *2 (-1149 *4)) (-5 *1 (-1153 *4)))) (-3035 (*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-2916 (*1 *2 *3 *2) (-12 (-5 *2 (-1149 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1053)) (-5 *3 (-412 (-571))) (-5 *1 (-1153 *4)))) (-3619 (*1 *2 *3) (-12 (-5 *3 (-1149 (-1149 *4))) (-5 *2 (-1149 *4)) (-5 *1 (-1153 *4)) (-4 *4 (-43 (-412 (-571)))) (-4 *4 (-1053)))) (-2772 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1149 *3))) (-5 *2 (-1149 *3)) (-5 *1 (-1153 *3)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)))) (-3403 (*1 *2 *3 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-1816 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-571)) (-4 *4 (-1053)) (-5 *1 (-1153 *4)))) (-1361 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-571)) (-4 *4 (-1053)) (-5 *1 (-1153 *4)))) (-3121 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-571)) (-4 *4 (-1053)) (-5 *1 (-1153 *4)))) (-1971 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-1453 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-4424 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-4457 (*1 *2 *3) (-12 (-5 *3 (-1149 (-1149 *4))) (-5 *2 (-1149 *4)) (-5 *1 (-1153 *4)) (-4 *4 (-1053)))) (-1796 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-1944 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-2699 (*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-4483 (*1 *2 *2 *3) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-3942 (*1 *2 *3) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-1153 *3)) (-4 *3 (-1053)))) (-3001 (*1 *2 *3 *2) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-1 *4 (-571))) (-4 *4 (-1053)) (-5 *1 (-1153 *4)))) (-2223 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-2864 (*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-3751 (*1 *2 *3) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-1153 *3)) (-4 *3 (-1053)))) (-2983 (*1 *2 *3) (-12 (-5 *2 (-1149 (-571))) (-5 *1 (-1153 *4)) (-4 *4 (-1053)) (-5 *3 (-571)))) (-2220 (*1 *2 *3) (-12 (-5 *2 (-1149 (-571))) (-5 *1 (-1153 *4)) (-4 *4 (-1053)) (-5 *3 (-571)))) (-4506 (*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-5 *2 (-1149 *3)) (-5 *1 (-1153 *3)) (-4 *3 (-1053)))) (-3978 (*1 *2 *2) (|partial| -12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-1379 (*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-1786 (*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (* (*1 *2 *2 *3) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-1373 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-1373 (*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) (-1367 (*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3))))) 
+(-10 -7 (-15 -1367 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -1373 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -1373 ((-1149 |#1|) (-1149 |#1|))) (-15 * ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 * ((-1149 |#1|) |#1| (-1149 |#1|))) (-15 * ((-1149 |#1|) (-1149 |#1|) |#1|)) (-15 -1786 ((-3 (-1149 |#1|) "failed") (-1149 |#1|) (-1149 |#1|))) (-15 -1379 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -3978 ((-3 (-1149 |#1|) "failed") (-1149 |#1|))) (-15 -4506 ((-1149 |#1|) |#1| (-571))) (-15 -2220 ((-1149 (-571)) (-571))) (-15 -2983 ((-1149 (-571)) (-571))) (-15 -3751 ((-1149 |#1|) |#1|)) (-15 -2864 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -2223 ((-1149 |#1|) (-1149 |#1|))) (-15 -3001 ((-1149 |#1|) (-1 |#1| (-571)) (-1149 |#1|))) (-15 -3942 ((-1149 |#1|) |#1|)) (-15 -4483 ((-1149 |#1|) (-1149 |#1|) |#1|)) (-15 -2699 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -1944 ((-1149 |#1|) (-1149 |#1|))) (-15 -1796 ((-1149 |#1|) (-1149 |#1|))) (-15 -4457 ((-1149 |#1|) (-1149 (-1149 |#1|)))) (-15 -4424 ((-1149 |#1|) (-1149 |#1|))) (-15 -1453 ((-1149 |#1|) (-1149 |#1|))) (-15 -1971 ((-1149 |#1|) (-1149 |#1|))) (-15 -3121 ((-1149 |#1|) (-1149 |#1|) (-571) (-571))) (-15 -1361 ((-1149 |#1|) (-571) (-571) (-1149 |#1|))) (-15 -1816 ((-1149 |#1|) (-571) (-571) (-1149 |#1|))) (IF (|has| |#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ((-1149 |#1|) |#1| (-1149 |#1|))) (-15 -2772 ((-1149 |#1|) |#1| (-1 (-1149 |#1|)))) (-15 -3619 ((-1149 |#1|) (-1149 (-1149 |#1|)))) (-15 -2916 ((-1149 |#1|) (-412 (-571)) (-1149 |#1|)))) |noBranch|) (IF (|has| |#1| (-367)) (PROGN (-15 -3035 ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -3070 ((-1149 |#1|) (-1 |#1| (-571)) |#1| (-1 (-1149 |#1|)))) (-15 -3134 ((-1149 |#1|) |#1| (-1149 |#1|)))) |noBranch|)) 
+((-4255 (((-1149 |#1|) (-1149 |#1|)) 57)) (-4192 (((-1149 |#1|) (-1149 |#1|)) 39)) (-4243 (((-1149 |#1|) (-1149 |#1|)) 53)) (-4185 (((-1149 |#1|) (-1149 |#1|)) 35)) (-4266 (((-1149 |#1|) (-1149 |#1|)) 60)) (-4201 (((-1149 |#1|) (-1149 |#1|)) 42)) (-3509 (((-1149 |#1|) (-1149 |#1|)) 31)) (-4148 (((-1149 |#1|) (-1149 |#1|)) 27)) (-4273 (((-1149 |#1|) (-1149 |#1|)) 61)) (-4206 (((-1149 |#1|) (-1149 |#1|)) 43)) (-4260 (((-1149 |#1|) (-1149 |#1|)) 58)) (-4196 (((-1149 |#1|) (-1149 |#1|)) 40)) (-4249 (((-1149 |#1|) (-1149 |#1|)) 55)) (-4188 (((-1149 |#1|) (-1149 |#1|)) 37)) (-4294 (((-1149 |#1|) (-1149 |#1|)) 65)) (-4220 (((-1149 |#1|) (-1149 |#1|)) 47)) (-4280 (((-1149 |#1|) (-1149 |#1|)) 63)) (-4211 (((-1149 |#1|) (-1149 |#1|)) 45)) (-4307 (((-1149 |#1|) (-1149 |#1|)) 68)) (-4232 (((-1149 |#1|) (-1149 |#1|)) 50)) (-2656 (((-1149 |#1|) (-1149 |#1|)) 69)) (-4237 (((-1149 |#1|) (-1149 |#1|)) 51)) (-4301 (((-1149 |#1|) (-1149 |#1|)) 67)) (-4227 (((-1149 |#1|) (-1149 |#1|)) 49)) (-4287 (((-1149 |#1|) (-1149 |#1|)) 66)) (-4215 (((-1149 |#1|) (-1149 |#1|)) 48)) (** (((-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) 33))) 
+(((-1154 |#1|) (-10 -7 (-15 -4148 ((-1149 |#1|) (-1149 |#1|))) (-15 -3509 ((-1149 |#1|) (-1149 |#1|))) (-15 ** ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -4185 ((-1149 |#1|) (-1149 |#1|))) (-15 -4188 ((-1149 |#1|) (-1149 |#1|))) (-15 -4192 ((-1149 |#1|) (-1149 |#1|))) (-15 -4196 ((-1149 |#1|) (-1149 |#1|))) (-15 -4201 ((-1149 |#1|) (-1149 |#1|))) (-15 -4206 ((-1149 |#1|) (-1149 |#1|))) (-15 -4211 ((-1149 |#1|) (-1149 |#1|))) (-15 -4215 ((-1149 |#1|) (-1149 |#1|))) (-15 -4220 ((-1149 |#1|) (-1149 |#1|))) (-15 -4227 ((-1149 |#1|) (-1149 |#1|))) (-15 -4232 ((-1149 |#1|) (-1149 |#1|))) (-15 -4237 ((-1149 |#1|) (-1149 |#1|))) (-15 -4243 ((-1149 |#1|) (-1149 |#1|))) (-15 -4249 ((-1149 |#1|) (-1149 |#1|))) (-15 -4255 ((-1149 |#1|) (-1149 |#1|))) (-15 -4260 ((-1149 |#1|) (-1149 |#1|))) (-15 -4266 ((-1149 |#1|) (-1149 |#1|))) (-15 -4273 ((-1149 |#1|) (-1149 |#1|))) (-15 -4280 ((-1149 |#1|) (-1149 |#1|))) (-15 -4287 ((-1149 |#1|) (-1149 |#1|))) (-15 -4294 ((-1149 |#1|) (-1149 |#1|))) (-15 -4301 ((-1149 |#1|) (-1149 |#1|))) (-15 -4307 ((-1149 |#1|) (-1149 |#1|))) (-15 -2656 ((-1149 |#1|) (-1149 |#1|)))) (-43 (-412 (-571)))) (T -1154)) 
+((-2656 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4307 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4301 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4294 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4287 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4280 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4273 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4266 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4260 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4255 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4249 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4243 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4237 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4232 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4227 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4220 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4215 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4211 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4206 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4201 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4196 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4192 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4188 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4185 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-3509 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) (-4148 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3))))) 
+(-10 -7 (-15 -4148 ((-1149 |#1|) (-1149 |#1|))) (-15 -3509 ((-1149 |#1|) (-1149 |#1|))) (-15 ** ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -4185 ((-1149 |#1|) (-1149 |#1|))) (-15 -4188 ((-1149 |#1|) (-1149 |#1|))) (-15 -4192 ((-1149 |#1|) (-1149 |#1|))) (-15 -4196 ((-1149 |#1|) (-1149 |#1|))) (-15 -4201 ((-1149 |#1|) (-1149 |#1|))) (-15 -4206 ((-1149 |#1|) (-1149 |#1|))) (-15 -4211 ((-1149 |#1|) (-1149 |#1|))) (-15 -4215 ((-1149 |#1|) (-1149 |#1|))) (-15 -4220 ((-1149 |#1|) (-1149 |#1|))) (-15 -4227 ((-1149 |#1|) (-1149 |#1|))) (-15 -4232 ((-1149 |#1|) (-1149 |#1|))) (-15 -4237 ((-1149 |#1|) (-1149 |#1|))) (-15 -4243 ((-1149 |#1|) (-1149 |#1|))) (-15 -4249 ((-1149 |#1|) (-1149 |#1|))) (-15 -4255 ((-1149 |#1|) (-1149 |#1|))) (-15 -4260 ((-1149 |#1|) (-1149 |#1|))) (-15 -4266 ((-1149 |#1|) (-1149 |#1|))) (-15 -4273 ((-1149 |#1|) (-1149 |#1|))) (-15 -4280 ((-1149 |#1|) (-1149 |#1|))) (-15 -4287 ((-1149 |#1|) (-1149 |#1|))) (-15 -4294 ((-1149 |#1|) (-1149 |#1|))) (-15 -4301 ((-1149 |#1|) (-1149 |#1|))) (-15 -4307 ((-1149 |#1|) (-1149 |#1|))) (-15 -2656 ((-1149 |#1|) (-1149 |#1|)))) 
+((-4255 (((-1149 |#1|) (-1149 |#1|)) 100)) (-4192 (((-1149 |#1|) (-1149 |#1|)) 64)) (-2266 (((-2 (|:| -4243 (-1149 |#1|)) (|:| -4249 (-1149 |#1|))) (-1149 |#1|)) 96)) (-4243 (((-1149 |#1|) (-1149 |#1|)) 97)) (-4125 (((-2 (|:| -4185 (-1149 |#1|)) (|:| -4188 (-1149 |#1|))) (-1149 |#1|)) 53)) (-4185 (((-1149 |#1|) (-1149 |#1|)) 54)) (-4266 (((-1149 |#1|) (-1149 |#1|)) 102)) (-4201 (((-1149 |#1|) (-1149 |#1|)) 71)) (-3509 (((-1149 |#1|) (-1149 |#1|)) 39)) (-4148 (((-1149 |#1|) (-1149 |#1|)) 36)) (-4273 (((-1149 |#1|) (-1149 |#1|)) 103)) (-4206 (((-1149 |#1|) (-1149 |#1|)) 72)) (-4260 (((-1149 |#1|) (-1149 |#1|)) 101)) (-4196 (((-1149 |#1|) (-1149 |#1|)) 67)) (-4249 (((-1149 |#1|) (-1149 |#1|)) 98)) (-4188 (((-1149 |#1|) (-1149 |#1|)) 55)) (-4294 (((-1149 |#1|) (-1149 |#1|)) 111)) (-4220 (((-1149 |#1|) (-1149 |#1|)) 86)) (-4280 (((-1149 |#1|) (-1149 |#1|)) 105)) (-4211 (((-1149 |#1|) (-1149 |#1|)) 82)) (-4307 (((-1149 |#1|) (-1149 |#1|)) 115)) (-4232 (((-1149 |#1|) (-1149 |#1|)) 90)) (-2656 (((-1149 |#1|) (-1149 |#1|)) 117)) (-4237 (((-1149 |#1|) (-1149 |#1|)) 92)) (-4301 (((-1149 |#1|) (-1149 |#1|)) 113)) (-4227 (((-1149 |#1|) (-1149 |#1|)) 88)) (-4287 (((-1149 |#1|) (-1149 |#1|)) 107)) (-4215 (((-1149 |#1|) (-1149 |#1|)) 84)) (** (((-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) 40))) 
+(((-1155 |#1|) (-10 -7 (-15 -4148 ((-1149 |#1|) (-1149 |#1|))) (-15 -3509 ((-1149 |#1|) (-1149 |#1|))) (-15 ** ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -4125 ((-2 (|:| -4185 (-1149 |#1|)) (|:| -4188 (-1149 |#1|))) (-1149 |#1|))) (-15 -4185 ((-1149 |#1|) (-1149 |#1|))) (-15 -4188 ((-1149 |#1|) (-1149 |#1|))) (-15 -4192 ((-1149 |#1|) (-1149 |#1|))) (-15 -4196 ((-1149 |#1|) (-1149 |#1|))) (-15 -4201 ((-1149 |#1|) (-1149 |#1|))) (-15 -4206 ((-1149 |#1|) (-1149 |#1|))) (-15 -4211 ((-1149 |#1|) (-1149 |#1|))) (-15 -4215 ((-1149 |#1|) (-1149 |#1|))) (-15 -4220 ((-1149 |#1|) (-1149 |#1|))) (-15 -4227 ((-1149 |#1|) (-1149 |#1|))) (-15 -4232 ((-1149 |#1|) (-1149 |#1|))) (-15 -4237 ((-1149 |#1|) (-1149 |#1|))) (-15 -2266 ((-2 (|:| -4243 (-1149 |#1|)) (|:| -4249 (-1149 |#1|))) (-1149 |#1|))) (-15 -4243 ((-1149 |#1|) (-1149 |#1|))) (-15 -4249 ((-1149 |#1|) (-1149 |#1|))) (-15 -4255 ((-1149 |#1|) (-1149 |#1|))) (-15 -4260 ((-1149 |#1|) (-1149 |#1|))) (-15 -4266 ((-1149 |#1|) (-1149 |#1|))) (-15 -4273 ((-1149 |#1|) (-1149 |#1|))) (-15 -4280 ((-1149 |#1|) (-1149 |#1|))) (-15 -4287 ((-1149 |#1|) (-1149 |#1|))) (-15 -4294 ((-1149 |#1|) (-1149 |#1|))) (-15 -4301 ((-1149 |#1|) (-1149 |#1|))) (-15 -4307 ((-1149 |#1|) (-1149 |#1|))) (-15 -2656 ((-1149 |#1|) (-1149 |#1|)))) (-43 (-412 (-571)))) (T -1155)) 
+((-2656 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4307 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4301 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4294 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4287 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4280 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4273 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4266 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4260 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4255 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4249 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4243 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-2266 (*1 *2 *3) (-12 (-4 *4 (-43 (-412 (-571)))) (-5 *2 (-2 (|:| -4243 (-1149 *4)) (|:| -4249 (-1149 *4)))) (-5 *1 (-1155 *4)) (-5 *3 (-1149 *4)))) (-4237 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4232 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4227 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4220 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4215 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4211 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4206 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4201 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4196 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4192 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4188 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4185 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4125 (*1 *2 *3) (-12 (-4 *4 (-43 (-412 (-571)))) (-5 *2 (-2 (|:| -4185 (-1149 *4)) (|:| -4188 (-1149 *4)))) (-5 *1 (-1155 *4)) (-5 *3 (-1149 *4)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-3509 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) (-4148 (*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(-10 -7 (-15 -4148 ((-1149 |#1|) (-1149 |#1|))) (-15 -3509 ((-1149 |#1|) (-1149 |#1|))) (-15 ** ((-1149 |#1|) (-1149 |#1|) (-1149 |#1|))) (-15 -4125 ((-2 (|:| -4185 (-1149 |#1|)) (|:| -4188 (-1149 |#1|))) (-1149 |#1|))) (-15 -4185 ((-1149 |#1|) (-1149 |#1|))) (-15 -4188 ((-1149 |#1|) (-1149 |#1|))) (-15 -4192 ((-1149 |#1|) (-1149 |#1|))) (-15 -4196 ((-1149 |#1|) (-1149 |#1|))) (-15 -4201 ((-1149 |#1|) (-1149 |#1|))) (-15 -4206 ((-1149 |#1|) (-1149 |#1|))) (-15 -4211 ((-1149 |#1|) (-1149 |#1|))) (-15 -4215 ((-1149 |#1|) (-1149 |#1|))) (-15 -4220 ((-1149 |#1|) (-1149 |#1|))) (-15 -4227 ((-1149 |#1|) (-1149 |#1|))) (-15 -4232 ((-1149 |#1|) (-1149 |#1|))) (-15 -4237 ((-1149 |#1|) (-1149 |#1|))) (-15 -2266 ((-2 (|:| -4243 (-1149 |#1|)) (|:| -4249 (-1149 |#1|))) (-1149 |#1|))) (-15 -4243 ((-1149 |#1|) (-1149 |#1|))) (-15 -4249 ((-1149 |#1|) (-1149 |#1|))) (-15 -4255 ((-1149 |#1|) (-1149 |#1|))) (-15 -4260 ((-1149 |#1|) (-1149 |#1|))) (-15 -4266 ((-1149 |#1|) (-1149 |#1|))) (-15 -4273 ((-1149 |#1|) (-1149 |#1|))) (-15 -4280 ((-1149 |#1|) (-1149 |#1|))) (-15 -4287 ((-1149 |#1|) (-1149 |#1|))) (-15 -4294 ((-1149 |#1|) (-1149 |#1|))) (-15 -4301 ((-1149 |#1|) (-1149 |#1|))) (-15 -4307 ((-1149 |#1|) (-1149 |#1|))) (-15 -2656 ((-1149 |#1|) (-1149 |#1|)))) 
+((-1412 (((-964 |#2|) |#2| |#2|) 35)) (-3630 ((|#2| |#2| |#1|) 19 (|has| |#1| (-302))))) 
+(((-1156 |#1| |#2|) (-10 -7 (-15 -1412 ((-964 |#2|) |#2| |#2|)) (IF (|has| |#1| (-302)) (-15 -3630 (|#2| |#2| |#1|)) |noBranch|)) (-561) (-1233 |#1|)) (T -1156)) 
+((-3630 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-4 *3 (-561)) (-5 *1 (-1156 *3 *2)) (-4 *2 (-1233 *3)))) (-1412 (*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-964 *3)) (-5 *1 (-1156 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -1412 ((-964 |#2|) |#2| |#2|)) (IF (|has| |#1| (-302)) (-15 -3630 (|#2| |#2| |#1|)) |noBranch|)) 
+((-2234 (((-121) $ $) NIL)) (-2997 (($ $ (-637 (-768))) 66)) (-4070 (($) 25)) (-3195 (($ $) 41)) (-1462 (((-637 $) $) 50)) (-1292 (((-121) $) 16)) (-1993 (((-637 (-949 |#2|)) $) 73)) (-2082 (($ $) 67)) (-3541 (((-768) $) 36)) (-1364 (($) 24)) (-4283 (($ $ (-637 (-768)) (-949 |#2|)) 59) (($ $ (-637 (-768)) (-768)) 60) (($ $ (-768) (-949 |#2|)) 62)) (-3491 (($ $ $) 47) (($ (-637 $)) 49)) (-1959 (((-768) $) 74)) (-2945 (((-121) $) 15)) (-3944 (((-1151) $) NIL)) (-1366 (((-121) $) 17)) (-2580 (((-1115) $) NIL)) (-4523 (((-172) $) 72)) (-4534 (((-949 |#2|) $) 68)) (-3334 (((-768) $) 69)) (-3122 (((-121) $) 71)) (-3199 (($ $ (-637 (-768)) (-172)) 65)) (-3743 (($ $) 42)) (-3942 (((-855) $) 84)) (-4386 (($ $ (-637 (-768)) (-121)) 64)) (-1846 (((-637 $) $) 11)) (-3530 (($ $ (-768)) 35)) (-1318 (($ $) 31)) (-2006 (($ $ $ (-949 |#2|) (-768)) 55)) (-4548 (($ $ (-949 |#2|)) 54)) (-2509 (($ $ (-637 (-768)) (-949 |#2|)) 53) (($ $ (-637 (-768)) (-768)) 57) (((-768) $ (-949 |#2|)) 58)) (-1323 (((-121) $ $) 78))) 
+(((-1157 |#1| |#2|) (-13 (-1097) (-10 -8 (-15 -2945 ((-121) $)) (-15 -1292 ((-121) $)) (-15 -1366 ((-121) $)) (-15 -1364 ($)) (-15 -4070 ($)) (-15 -1318 ($ $)) (-15 -3530 ($ $ (-768))) (-15 -1846 ((-637 $) $)) (-15 -3541 ((-768) $)) (-15 -3195 ($ $)) (-15 -3743 ($ $)) (-15 -3491 ($ $ $)) (-15 -3491 ($ (-637 $))) (-15 -1462 ((-637 $) $)) (-15 -2509 ($ $ (-637 (-768)) (-949 |#2|))) (-15 -4548 ($ $ (-949 |#2|))) (-15 -2006 ($ $ $ (-949 |#2|) (-768))) (-15 -4283 ($ $ (-637 (-768)) (-949 |#2|))) (-15 -2509 ($ $ (-637 (-768)) (-768))) (-15 -4283 ($ $ (-637 (-768)) (-768))) (-15 -2509 ((-768) $ (-949 |#2|))) (-15 -4283 ($ $ (-768) (-949 |#2|))) (-15 -4386 ($ $ (-637 (-768)) (-121))) (-15 -3199 ($ $ (-637 (-768)) (-172))) (-15 -2997 ($ $ (-637 (-768)))) (-15 -4534 ((-949 |#2|) $)) (-15 -3334 ((-768) $)) (-15 -3122 ((-121) $)) (-15 -4523 ((-172) $)) (-15 -1959 ((-768) $)) (-15 -2082 ($ $)) (-15 -1993 ((-637 (-949 |#2|)) $)))) (-922) (-1053)) (T -1157)) 
+((-2945 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-1292 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-1366 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-1364 (*1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053)))) (-4070 (*1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053)))) (-1318 (*1 *1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053)))) (-3530 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-1846 (*1 *2 *1) (-12 (-5 *2 (-637 (-1157 *3 *4))) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-3541 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-3195 (*1 *1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053)))) (-3743 (*1 *1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053)))) (-3491 (*1 *1 *1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053)))) (-3491 (*1 *1 *2) (-12 (-5 *2 (-637 (-1157 *3 *4))) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-1462 (*1 *2 *1) (-12 (-5 *2 (-637 (-1157 *3 *4))) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-2509 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-949 *5)) (-4 *5 (-1053)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)))) (-4548 (*1 *1 *1 *2) (-12 (-5 *2 (-949 *4)) (-4 *4 (-1053)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)))) (-2006 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-949 *5)) (-5 *3 (-768)) (-4 *5 (-1053)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)))) (-4283 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-949 *5)) (-4 *5 (-1053)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)))) (-2509 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-768)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)) (-4 *5 (-1053)))) (-4283 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-768)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)) (-4 *5 (-1053)))) (-2509 (*1 *2 *1 *3) (-12 (-5 *3 (-949 *5)) (-4 *5 (-1053)) (-5 *2 (-768)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)))) (-4283 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *3 (-949 *5)) (-4 *5 (-1053)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)))) (-4386 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-121)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)) (-4 *5 (-1053)))) (-3199 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-172)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)) (-4 *5 (-1053)))) (-2997 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-768))) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-4534 (*1 *2 *1) (-12 (-5 *2 (-949 *4)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-3334 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-3122 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-4523 (*1 *2 *1) (-12 (-5 *2 (-172)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-1959 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) (-2082 (*1 *1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053)))) (-1993 (*1 *2 *1) (-12 (-5 *2 (-637 (-949 *4))) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(-13 (-1097) (-10 -8 (-15 -2945 ((-121) $)) (-15 -1292 ((-121) $)) (-15 -1366 ((-121) $)) (-15 -1364 ($)) (-15 -4070 ($)) (-15 -1318 ($ $)) (-15 -3530 ($ $ (-768))) (-15 -1846 ((-637 $) $)) (-15 -3541 ((-768) $)) (-15 -3195 ($ $)) (-15 -3743 ($ $)) (-15 -3491 ($ $ $)) (-15 -3491 ($ (-637 $))) (-15 -1462 ((-637 $) $)) (-15 -2509 ($ $ (-637 (-768)) (-949 |#2|))) (-15 -4548 ($ $ (-949 |#2|))) (-15 -2006 ($ $ $ (-949 |#2|) (-768))) (-15 -4283 ($ $ (-637 (-768)) (-949 |#2|))) (-15 -2509 ($ $ (-637 (-768)) (-768))) (-15 -4283 ($ $ (-637 (-768)) (-768))) (-15 -2509 ((-768) $ (-949 |#2|))) (-15 -4283 ($ $ (-768) (-949 |#2|))) (-15 -4386 ($ $ (-637 (-768)) (-121))) (-15 -3199 ($ $ (-637 (-768)) (-172))) (-15 -2997 ($ $ (-637 (-768)))) (-15 -4534 ((-949 |#2|) $)) (-15 -3334 ((-768) $)) (-15 -3122 ((-121) $)) (-15 -4523 ((-172) $)) (-15 -1959 ((-768) $)) (-15 -2082 ($ $)) (-15 -1993 ((-637 (-949 |#2|)) $)))) 
+((-2234 (((-121) $ $) NIL)) (-3731 ((|#2| $) 11)) (-3473 ((|#1| $) 10)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3891 (($ |#1| |#2|) 9)) (-3942 (((-855) $) 16)) (-1323 (((-121) $ $) NIL))) 
+(((-1158 |#1| |#2|) (-13 (-1097) (-10 -8 (-15 -3891 ($ |#1| |#2|)) (-15 -3473 (|#1| $)) (-15 -3731 (|#2| $)))) (-1097) (-1097)) (T -1158)) 
+((-3891 (*1 *1 *2 *3) (-12 (-5 *1 (-1158 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) (-3473 (*1 *2 *1) (-12 (-4 *2 (-1097)) (-5 *1 (-1158 *2 *3)) (-4 *3 (-1097)))) (-3731 (*1 *2 *1) (-12 (-4 *2 (-1097)) (-5 *1 (-1158 *3 *2)) (-4 *3 (-1097))))) 
+(-13 (-1097) (-10 -8 (-15 -3891 ($ |#1| |#2|)) (-15 -3473 (|#1| $)) (-15 -3731 (|#2| $)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1533 (((-1167 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-302)) (|has| |#1| (-367))))) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) 11)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561))))) (-1415 (($ $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561))))) (-2545 (((-121) $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561))))) (-1934 (($ $ (-571)) NIL) (($ $ (-571) (-571)) 66)) (-3236 (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL)) (-3161 (((-1167 |#1| |#2| |#3|) $) 36)) (-4338 (((-3 (-1167 |#1| |#2| |#3|) "failed") $) 29)) (-1871 (((-1167 |#1| |#2| |#3|) $) 30)) (-4255 (($ $) 107 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 83 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))))) (-2356 (($ $) NIL (|has| |#1| (-367)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-367)))) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4243 (($ $) 103 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 79 (|has| |#1| (-43 (-412 (-571)))))) (-3203 (((-571) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))))) (-4096 (($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) NIL)) (-4266 (($ $) 111 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 87 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-1167 |#1| |#2| |#3|) "failed") $) 31) (((-3 (-1169) "failed") $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1043 (-1169))) (|has| |#1| (-367)))) (((-3 (-412 (-571)) "failed") $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1043 (-571))) (|has| |#1| (-367)))) (((-3 (-571) "failed") $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1043 (-571))) (|has| |#1| (-367))))) (-1316 (((-1167 |#1| |#2| |#3|) $) 131) (((-1169) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1043 (-1169))) (|has| |#1| (-367)))) (((-412 (-571)) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1043 (-571))) (|has| |#1| (-367)))) (((-571) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1043 (-571))) (|has| |#1| (-367))))) (-4195 (($ $) 34) (($ (-571) $) 35)) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-1167 |#1| |#2| |#3|)) (-684 $)) NIL (|has| |#1| (-367))) (((-2 (|:| -3533 (-684 (-1167 |#1| |#2| |#3|))) (|:| |vec| (-1258 (-1167 |#1| |#2| |#3|)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-367))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-633 (-571))) (|has| |#1| (-367)))) (((-684 (-571)) (-684 $)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-633 (-571))) (|has| |#1| (-367))))) (-3978 (((-3 $ "failed") $) 48)) (-2650 (((-412 (-958 |#1|)) $ (-571)) 65 (|has| |#1| (-561))) (((-412 (-958 |#1|)) $ (-571) (-571)) 67 (|has| |#1| (-561)))) (-3254 (($) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-553)) (|has| |#1| (-367))))) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-1596 (((-121) $) NIL (|has| |#1| (-367)))) (-2093 (((-121) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))))) (-4124 (((-121) $) 25)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-886 (-571))) (|has| |#1| (-367)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-886 (-384))) (|has| |#1| (-367))))) (-3347 (((-571) $) NIL) (((-571) $ (-571)) 24)) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL (|has| |#1| (-367)))) (-4474 (((-1167 |#1| |#2| |#3|) $) 38 (|has| |#1| (-367)))) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2596 (((-3 $ "failed") $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1143)) (|has| |#1| (-367))))) (-4086 (((-121) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))))) (-1817 (($ $ (-922)) NIL)) (-2789 (($ (-1 |#1| (-571)) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-571)) 18) (($ $ (-1081) (-571)) NIL) (($ $ (-637 (-1081)) (-637 (-571))) NIL)) (-1763 (($ $ $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-2383 (($ $ $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-367)))) (-3509 (($ $) 72 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-1874 (($ (-571) (-1167 |#1| |#2| |#3|)) 33)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| |#1| (-367)))) (-3403 (($ $) 70 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189))))) (($ $ (-1254 |#2|)) 71 (|has| |#1| (-43 (-412 (-571)))))) (-1757 (($) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1143)) (|has| |#1| (-367))) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-3762 (($ $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-302)) (|has| |#1| (-367))))) (-3955 (((-1167 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-553)) (|has| |#1| (-367))))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))))) (-4262 (((-423 $) $) NIL (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-3140 (($ $ (-571)) 145)) (-1786 (((-3 $ "failed") $ $) 49 (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561))))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4148 (($ $) 73 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-571))))) (($ $ (-1169) (-1167 |#1| |#2| |#3|)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-526 (-1169) (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367)))) (($ $ (-637 (-1169)) (-637 (-1167 |#1| |#2| |#3|))) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-526 (-1169) (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367)))) (($ $ (-637 (-289 (-1167 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-304 (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367)))) (($ $ (-289 (-1167 |#1| |#2| |#3|))) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-304 (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367)))) (($ $ (-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-304 (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367)))) (($ $ (-637 (-1167 |#1| |#2| |#3|)) (-637 (-1167 |#1| |#2| |#3|))) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-304 (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367))))) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ (-571)) NIL) (($ $ $) 54 (|has| (-571) (-1109))) (($ $ (-1167 |#1| |#2| |#3|)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-282 (-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|))) (|has| |#1| (-367))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3096 (($ $ (-1 (-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|))) NIL (|has| |#1| (-367))) (($ $ (-1 (-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|)) (-768)) NIL (|has| |#1| (-367))) (($ $ (-1254 |#2|)) 51) (($ $ (-768)) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $) 50 (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169) (-768)) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-637 (-1169))) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))))) (-3777 (($ $) NIL (|has| |#1| (-367)))) (-4479 (((-1167 |#1| |#2| |#3|) $) 41 (|has| |#1| (-367)))) (-2400 (((-571) $) 37)) (-4273 (($ $) 113 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 89 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 109 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 85 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 105 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 81 (|has| |#1| (-43 (-412 (-571)))))) (-4050 (((-544) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-612 (-544))) (|has| |#1| (-367)))) (((-384) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1027)) (|has| |#1| (-367)))) (((-216) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1027)) (|has| |#1| (-367)))) (((-892 (-384)) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-612 (-892 (-384)))) (|has| |#1| (-367)))) (((-892 (-571)) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-612 (-892 (-571)))) (|has| |#1| (-367))))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))))) (-3202 (($ $) NIL)) (-3942 (((-855) $) 149) (($ (-571)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1167 |#1| |#2| |#3|)) 27) (($ (-1254 |#2|)) 23) (($ (-1169)) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-1043 (-1169))) (|has| |#1| (-367)))) (($ $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561)))) (($ (-412 (-571))) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-1043 (-571))) (|has| |#1| (-367))) (|has| |#1| (-43 (-412 (-571))))))) (-3136 ((|#1| $ (-571)) 68)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-149)) (|has| |#1| (-367))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) 12)) (-2325 (((-1167 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-553)) (|has| |#1| (-367))))) (-4294 (($ $) 119 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 95 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561))))) (-4280 (($ $) 115 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 91 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 123 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 99 (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-571)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-571)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) 125 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 101 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 121 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 97 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 117 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 93 (|has| |#1| (-43 (-412 (-571)))))) (-1902 (($ $) NIL (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) 20 T CONST)) (-3222 (($) 16 T CONST)) (-1544 (($ $ (-1 (-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|))) NIL (|has| |#1| (-367))) (($ $ (-1 (-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|)) (-768)) NIL (|has| |#1| (-367))) (($ $ (-768)) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169) (-768)) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-637 (-1169))) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))))) (-1350 (((-121) $ $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-1338 (((-121) $ $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-1331 (((-121) $ $) NIL (-1831 (-12 (|has| (-1167 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1167 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367))) (($ $ $) 44 (|has| |#1| (-367))) (($ (-1167 |#1| |#2| |#3|) (-1167 |#1| |#2| |#3|)) 45 (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 21)) (** (($ $ (-922)) NIL) (($ $ (-768)) 53) (($ $ (-571)) NIL (|has| |#1| (-367))) (($ $ $) 74 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 128 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 32) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1167 |#1| |#2| |#3|)) 43 (|has| |#1| (-367))) (($ (-1167 |#1| |#2| |#3|) $) 42 (|has| |#1| (-367))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1159 |#1| |#2| |#3|) (-13 (-1219 |#1| (-1167 |#1| |#2| |#3|)) (-10 -8 (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) (-1053) (-1169) |#1|) (T -1159)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3)))) 
+(-13 (-1219 |#1| (-1167 |#1| |#2| |#3|)) (-10 -8 (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) 
+((-4335 ((|#2| |#2| (-1089 |#2|)) 26) ((|#2| |#2| (-1169)) 28))) 
+(((-1160 |#1| |#2|) (-10 -7 (-15 -4335 (|#2| |#2| (-1169))) (-15 -4335 (|#2| |#2| (-1089 |#2|)))) (-13 (-561) (-847) (-1043 (-571)) (-633 (-571))) (-13 (-435 |#1|) (-162) (-27) (-1189))) (T -1160)) 
+((-4335 (*1 *2 *2 *3) (-12 (-5 *3 (-1089 *2)) (-4 *2 (-13 (-435 *4) (-162) (-27) (-1189))) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1160 *4 *2)))) (-4335 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1160 *4 *2)) (-4 *2 (-13 (-435 *4) (-162) (-27) (-1189)))))) 
+(-10 -7 (-15 -4335 (|#2| |#2| (-1169))) (-15 -4335 (|#2| |#2| (-1089 |#2|)))) 
+((-4335 (((-3 (-412 (-958 |#1|)) (-311 |#1|)) (-412 (-958 |#1|)) (-1089 (-412 (-958 |#1|)))) 30) (((-412 (-958 |#1|)) (-958 |#1|) (-1089 (-958 |#1|))) 44) (((-3 (-412 (-958 |#1|)) (-311 |#1|)) (-412 (-958 |#1|)) (-1169)) 32) (((-412 (-958 |#1|)) (-958 |#1|) (-1169)) 36))) 
+(((-1161 |#1|) (-10 -7 (-15 -4335 ((-412 (-958 |#1|)) (-958 |#1|) (-1169))) (-15 -4335 ((-3 (-412 (-958 |#1|)) (-311 |#1|)) (-412 (-958 |#1|)) (-1169))) (-15 -4335 ((-412 (-958 |#1|)) (-958 |#1|) (-1089 (-958 |#1|)))) (-15 -4335 ((-3 (-412 (-958 |#1|)) (-311 |#1|)) (-412 (-958 |#1|)) (-1089 (-412 (-958 |#1|)))))) (-13 (-561) (-847) (-1043 (-571)))) (T -1161)) 
+((-4335 (*1 *2 *3 *4) (-12 (-5 *4 (-1089 (-412 (-958 *5)))) (-5 *3 (-412 (-958 *5))) (-4 *5 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-3 *3 (-311 *5))) (-5 *1 (-1161 *5)))) (-4335 (*1 *2 *3 *4) (-12 (-5 *4 (-1089 (-958 *5))) (-5 *3 (-958 *5)) (-4 *5 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-412 *3)) (-5 *1 (-1161 *5)))) (-4335 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-3 (-412 (-958 *5)) (-311 *5))) (-5 *1 (-1161 *5)) (-5 *3 (-412 (-958 *5))))) (-4335 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-412 (-958 *5))) (-5 *1 (-1161 *5)) (-5 *3 (-958 *5))))) 
+(-10 -7 (-15 -4335 ((-412 (-958 |#1|)) (-958 |#1|) (-1169))) (-15 -4335 ((-3 (-412 (-958 |#1|)) (-311 |#1|)) (-412 (-958 |#1|)) (-1169))) (-15 -4335 ((-412 (-958 |#1|)) (-958 |#1|) (-1089 (-958 |#1|)))) (-15 -4335 ((-3 (-412 (-958 |#1|)) (-311 |#1|)) (-412 (-958 |#1|)) (-1089 (-412 (-958 |#1|)))))) 
+((-3799 (((-1165 |#2|) (-1 |#2| |#1|) (-1165 |#1|)) 13))) 
+(((-1162 |#1| |#2|) (-10 -7 (-15 -3799 ((-1165 |#2|) (-1 |#2| |#1|) (-1165 |#1|)))) (-1053) (-1053)) (T -1162)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1165 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-5 *2 (-1165 *6)) (-5 *1 (-1162 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-1165 |#2|) (-1 |#2| |#1|) (-1165 |#1|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3748 (((-1258 |#1|) $ (-768)) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-2693 (($ (-1165 |#1|)) NIL)) (-4257 (((-1165 $) $ (-1081)) NIL) (((-1165 |#1|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-1081))) NIL)) (-4255 (($ $) NIL (|has| |#1| (-1189)))) (-4192 (($ $) NIL (|has| |#1| (-1189)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-3888 (($ $ $) NIL (|has| |#1| (-561)))) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-2356 (($ $) NIL (|has| |#1| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4243 (($ $) NIL (|has| |#1| (-1189)))) (-4185 (($ $) 22 (|has| |#1| (-1189)))) (-1564 (($ $ (-768)) NIL)) (-3623 (($ $ (-768)) NIL)) (-1462 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-456)))) (-4266 (($ $) NIL (|has| |#1| (-1189)))) (-4201 (($ $) NIL (|has| |#1| (-1189)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-1081) "failed") $) NIL)) (-1316 ((|#1| $) NIL) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-1081) $) NIL)) (-3730 (($ $ $ (-1081)) NIL (|has| |#1| (-173))) ((|#1| $ $) NIL (|has| |#1| (-173)))) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-1406 (($ $ $) NIL)) (-3311 (($ $ $) NIL (|has| |#1| (-561)))) (-2506 (((-2 (|:| -4501 |#1|) (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-561)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-3630 (($ $) NIL (|has| |#1| (-456))) (($ $ (-1081)) NIL (|has| |#1| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#1| (-909)))) (-1420 (($ $ |#1| (-768) $) NIL)) (-4153 (($) NIL (|has| |#1| (-1189)))) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-1081) (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-1081) (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-3347 (((-768) $ $) NIL (|has| |#1| (-561)))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-1143)))) (-4296 (($ (-1165 |#1|) (-1081)) NIL) (($ (-1165 $) (-1081)) NIL)) (-1817 (($ $ (-768)) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-1081)) NIL) (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3973 (((-768) $) NIL) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-2587 (($ (-1 (-768) (-768)) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-2231 (((-1165 |#1|) $) NIL)) (-2510 (((-3 (-1081) "failed") $) NIL)) (-3509 (($ $) 18 (|has| |#1| (-1189)))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-3944 (((-1151) $) NIL)) (-2752 (((-2 (|:| -2924 $) (|:| -3363 $)) $ (-768)) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-1081)) (|:| -2154 (-768))) "failed") $) NIL)) (-3403 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1757 (($) NIL (|has| |#1| (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) 8)) (-4326 ((|#1| $) 9)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#1| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-909)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-1786 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4148 (($ $) 20 (|has| |#1| (-1189)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-1081) |#1|) NIL) (($ $ (-637 (-1081)) (-637 |#1|)) NIL) (($ $ (-1081) $) NIL) (($ $ (-637 (-1081)) (-637 $)) NIL)) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-412 $) (-412 $) (-412 $)) NIL (|has| |#1| (-561))) ((|#1| (-412 $) |#1|) NIL (|has| |#1| (-367))) (((-412 $) $ (-412 $)) NIL (|has| |#1| (-561)))) (-3144 (((-3 $ "failed") $ (-768)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-1475 (($ $ (-1081)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3096 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2400 (((-768) $) NIL) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-4273 (($ $) NIL (|has| |#1| (-1189)))) (-4206 (($ $) NIL (|has| |#1| (-1189)))) (-4260 (($ $) NIL (|has| |#1| (-1189)))) (-4196 (($ $) NIL (|has| |#1| (-1189)))) (-4249 (($ $) NIL (|has| |#1| (-1189)))) (-4188 (($ $) 26 (|has| |#1| (-1189)))) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-1081) (-612 (-544))) (|has| |#1| (-612 (-544)))))) (-4189 ((|#1| $) NIL (|has| |#1| (-456))) (($ $ (-1081)) NIL (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3820 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561))) (((-3 (-412 $) "failed") (-412 $) $) NIL (|has| |#1| (-561)))) (-3942 (((-855) $) 13) (($ (-571)) NIL) (($ |#1|) 11) (($ (-1081)) NIL) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#1| (-173)))) (-4294 (($ $) NIL (|has| |#1| (-1189)))) (-4220 (($ $) NIL (|has| |#1| (-1189)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) NIL (|has| |#1| (-1189)))) (-4211 (($ $) 24 (|has| |#1| (-1189)))) (-4307 (($ $) NIL (|has| |#1| (-1189)))) (-4232 (($ $) NIL (|has| |#1| (-1189)))) (-2656 (($ $) NIL (|has| |#1| (-1189)))) (-4237 (($ $) NIL (|has| |#1| (-1189)))) (-4301 (($ $) NIL (|has| |#1| (-1189)))) (-4227 (($ $) NIL (|has| |#1| (-1189)))) (-4287 (($ $) NIL (|has| |#1| (-1189)))) (-4215 (($ $) 28 (|has| |#1| (-1189)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ $) NIL (|has| |#1| (-1189)))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-1163 |#1|) (-13 (-1233 |#1|) (-10 -7 (IF (|has| |#1| (-1189)) (-6 (-1189)) |noBranch|))) (-1053)) (T -1163)) 
+NIL 
+(-13 (-1233 |#1|) (-10 -7 (IF (|has| |#1| (-1189)) (-6 (-1189)) |noBranch|))) 
+((-4151 (((-423 (-1165 (-412 |#4|))) (-1165 (-412 |#4|))) 50)) (-4262 (((-423 (-1165 (-412 |#4|))) (-1165 (-412 |#4|))) 51))) 
+(((-1164 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4262 ((-423 (-1165 (-412 |#4|))) (-1165 (-412 |#4|)))) (-15 -4151 ((-423 (-1165 (-412 |#4|))) (-1165 (-412 |#4|))))) (-793) (-847) (-456) (-955 |#3| |#1| |#2|)) (T -1164)) 
+((-4151 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-456)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-423 (-1165 (-412 *7)))) (-5 *1 (-1164 *4 *5 *6 *7)) (-5 *3 (-1165 (-412 *7))))) (-4262 (*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-456)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-423 (-1165 (-412 *7)))) (-5 *1 (-1164 *4 *5 *6 *7)) (-5 *3 (-1165 (-412 *7)))))) 
+(-10 -7 (-15 -4262 ((-423 (-1165 (-412 |#4|))) (-1165 (-412 |#4|)))) (-15 -4151 ((-423 (-1165 (-412 |#4|))) (-1165 (-412 |#4|))))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 30)) (-3748 (((-1258 |#1|) $ (-768)) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-2693 (($ (-1165 |#1|)) NIL)) (-4257 (((-1165 $) $ (-1081)) 59) (((-1165 |#1|) $) 48)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) 132 (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-1081))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3888 (($ $ $) 126 (|has| |#1| (-561)))) (-1434 (((-423 (-1165 $)) (-1165 $)) 72 (|has| |#1| (-909)))) (-2356 (($ $) NIL (|has| |#1| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 92 (|has| |#1| (-909)))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-1564 (($ $ (-768)) 42)) (-3623 (($ $ (-768)) 43)) (-1462 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-456)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#1| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-1081) "failed") $) NIL)) (-1316 ((|#1| $) NIL) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-1081) $) NIL)) (-3730 (($ $ $ (-1081)) NIL (|has| |#1| (-173))) ((|#1| $ $) 128 (|has| |#1| (-173)))) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) 57)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) NIL) (((-684 |#1|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-1406 (($ $ $) 104)) (-3311 (($ $ $) NIL (|has| |#1| (-561)))) (-2506 (((-2 (|:| -4501 |#1|) (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-561)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-3630 (($ $) 133 (|has| |#1| (-456))) (($ $ (-1081)) NIL (|has| |#1| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#1| (-909)))) (-1420 (($ $ |#1| (-768) $) 46)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-1081) (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-1081) (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-1888 (((-855) $ (-855)) 117)) (-3347 (((-768) $ $) NIL (|has| |#1| (-561)))) (-2583 (((-121) $) 32)) (-2108 (((-768) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| |#1| (-1143)))) (-4296 (($ (-1165 |#1|) (-1081)) 50) (($ (-1165 $) (-1081)) 66)) (-1817 (($ $ (-768)) 34)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) 64) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-1081)) NIL) (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 121)) (-3973 (((-768) $) NIL) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-2587 (($ (-1 (-768) (-768)) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-2231 (((-1165 |#1|) $) NIL)) (-2510 (((-3 (-1081) "failed") $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) 53)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) NIL (|has| |#1| (-456)))) (-3944 (((-1151) $) NIL)) (-2752 (((-2 (|:| -2924 $) (|:| -3363 $)) $ (-768)) 41)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-1081)) (|:| -2154 (-768))) "failed") $) NIL)) (-3403 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1757 (($) NIL (|has| |#1| (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) 33)) (-4326 ((|#1| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 80 (|has| |#1| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-456))) (($ $ $) 135 (|has| |#1| (-456)))) (-3755 (($ $ (-768) |#1| $) 99)) (-2796 (((-423 (-1165 $)) (-1165 $)) 78 (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) 77 (|has| |#1| (-909)))) (-4262 (((-423 $) $) 85 (|has| |#1| (-909)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-1786 (((-3 $ "failed") $ |#1|) 131 (|has| |#1| (-561))) (((-3 $ "failed") $ $) 100 (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-1081) |#1|) NIL) (($ $ (-637 (-1081)) (-637 |#1|)) NIL) (($ $ (-1081) $) NIL) (($ $ (-637 (-1081)) (-637 $)) NIL)) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ |#1|) 119) (($ $ $) 120) (((-412 $) (-412 $) (-412 $)) NIL (|has| |#1| (-561))) ((|#1| (-412 $) |#1|) NIL (|has| |#1| (-367))) (((-412 $) $ (-412 $)) NIL (|has| |#1| (-561)))) (-3144 (((-3 $ "failed") $ (-768)) 37)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 137 (|has| |#1| (-367)))) (-1475 (($ $ (-1081)) NIL (|has| |#1| (-173))) ((|#1| $) 124 (|has| |#1| (-173)))) (-3096 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2400 (((-768) $) 55) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-1081) (-612 (-544))) (|has| |#1| (-612 (-544)))))) (-4189 ((|#1| $) 130 (|has| |#1| (-456))) (($ $ (-1081)) NIL (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-909))))) (-3820 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561))) (((-3 (-412 $) "failed") (-412 $) $) NIL (|has| |#1| (-561)))) (-3942 (((-855) $) 118) (($ (-571)) NIL) (($ |#1|) 54) (($ (-1081)) NIL) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) 28 (|has| |#1| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4142 (($ $ (-922)) 15) (($ $ (-768)) 16)) (-2369 (($) 17 T CONST)) (-3222 (($) 18 T CONST)) (-1544 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) 97)) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1379 (($ $ |#1|) 138 (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 67)) (** (($ $ (-922)) 14) (($ $ (-768)) 12)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 27) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 102) (($ $ |#1|) NIL))) 
+(((-1165 |#1|) (-13 (-1233 |#1|) (-10 -8 (-15 -1888 ((-855) $ (-855))) (-15 -3755 ($ $ (-768) |#1| $)))) (-1053)) (T -1165)) 
+((-1888 (*1 *2 *1 *2) (-12 (-5 *2 (-855)) (-5 *1 (-1165 *3)) (-4 *3 (-1053)))) (-3755 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1165 *3)) (-4 *3 (-1053))))) 
+(-13 (-1233 |#1|) (-10 -8 (-15 -1888 ((-855) $ (-855))) (-15 -3755 ($ $ (-768) |#1| $)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) 11)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-1934 (($ $ (-412 (-571))) NIL) (($ $ (-412 (-571)) (-412 (-571))) NIL)) (-3236 (((-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|))) $) NIL)) (-4255 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL (|has| |#1| (-367)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-367)))) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4243 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-768) (-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|)))) NIL)) (-4266 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-1159 |#1| |#2| |#3|) "failed") $) 32) (((-3 (-1167 |#1| |#2| |#3|) "failed") $) 35)) (-1316 (((-1159 |#1| |#2| |#3|) $) NIL) (((-1167 |#1| |#2| |#3|) $) NIL)) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2402 (((-412 (-571)) $) 55)) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-1879 (($ (-412 (-571)) (-1159 |#1| |#2| |#3|)) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-1596 (((-121) $) NIL (|has| |#1| (-367)))) (-4124 (((-121) $) NIL)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-412 (-571)) $) NIL) (((-412 (-571)) $ (-412 (-571))) NIL)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1817 (($ $ (-922)) NIL) (($ $ (-412 (-571))) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-412 (-571))) 19) (($ $ (-1081) (-412 (-571))) NIL) (($ $ (-637 (-1081)) (-637 (-412 (-571)))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3509 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-2236 (((-1159 |#1| |#2| |#3|) $) 40)) (-3844 (((-3 (-1159 |#1| |#2| |#3|) "failed") $) NIL)) (-1874 (((-1159 |#1| |#2| |#3|) $) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| |#1| (-367)))) (-3403 (($ $) 38 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189))))) (($ $ (-1254 |#2|)) 39 (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-3140 (($ $ (-412 (-571))) NIL)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4148 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))))) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ (-412 (-571))) NIL) (($ $ $) NIL (|has| (-412 (-571)) (-1109)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $ (-1254 |#2|)) 37)) (-2400 (((-412 (-571)) $) NIL)) (-4273 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) NIL)) (-3942 (((-855) $) 58) (($ (-571)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1159 |#1| |#2| |#3|)) 29) (($ (-1167 |#1| |#2| |#3|)) 30) (($ (-1254 |#2|)) 25) (($ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561)))) (-3136 ((|#1| $ (-412 (-571))) NIL)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) 12)) (-4294 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-412 (-571))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) 21 T CONST)) (-3222 (($) 16 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 23)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1166 |#1| |#2| |#3|) (-13 (-1240 |#1| (-1159 |#1| |#2| |#3|)) (-1043 (-1167 |#1| |#2| |#3|)) (-10 -8 (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) (-1053) (-1169) |#1|) (T -1166)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1166 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1166 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1166 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3)))) 
+(-13 (-1240 |#1| (-1159 |#1| |#2| |#3|)) (-1043 (-1167 |#1| |#2| |#3|)) (-10 -8 (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 124)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) 115)) (-3912 (((-1230 |#2| |#1|) $ (-768)) 62)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-1934 (($ $ (-768)) 78) (($ $ (-768) (-768)) 75)) (-3236 (((-1149 (-2 (|:| |k| (-768)) (|:| |c| |#1|))) $) 101)) (-4255 (($ $) 168 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 144 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4243 (($ $) 164 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 140 (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-1149 (-2 (|:| |k| (-768)) (|:| |c| |#1|)))) 114) (($ (-1149 |#1|)) 109)) (-4266 (($ $) 172 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 148 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) 23)) (-1530 (($ $) 26)) (-1887 (((-958 |#1|) $ (-768)) 74) (((-958 |#1|) $ (-768) (-768)) 76)) (-4124 (((-121) $) 119)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-768) $) 121) (((-768) $ (-768)) 123)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1817 (($ $ (-922)) NIL)) (-2789 (($ (-1 |#1| (-571)) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) 13) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3509 (($ $) 130 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-3403 (($ $) 128 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189))))) (($ $ (-1254 |#2|)) 129 (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) NIL)) (-3140 (($ $ (-768)) 15)) (-1786 (((-3 $ "failed") $ $) 24 (|has| |#1| (-561)))) (-4148 (($ $) 132 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-768)))))) (-3245 ((|#1| $ (-768)) 118) (($ $ $) 127 (|has| (-768) (-1109)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $) 27 (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $ (-1254 |#2|)) 29)) (-2400 (((-768) $) NIL)) (-4273 (($ $) 174 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 150 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 170 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 146 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 166 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 142 (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) NIL)) (-3942 (((-855) $) 200) (($ (-571)) NIL) (($ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561))) (($ |#1|) 125 (|has| |#1| (-173))) (($ (-1230 |#2| |#1|)) 50) (($ (-1254 |#2|)) 32)) (-1314 (((-1149 |#1|) $) 97)) (-3136 ((|#1| $ (-768)) 117)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) 53)) (-4294 (($ $) 180 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 156 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) 176 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 152 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 184 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 160 (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-768)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-768)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) 186 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 162 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 182 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 158 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 178 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 154 (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 17 T CONST)) (-3222 (($) 19 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) 193)) (-1367 (($ $ $) 31)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ |#1|) 197 (|has| |#1| (-367))) (($ $ $) 133 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 136 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 131) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1167 |#1| |#2| |#3|) (-13 (-1248 |#1|) (-10 -8 (-15 -3942 ($ (-1230 |#2| |#1|))) (-15 -3912 ((-1230 |#2| |#1|) $ (-768))) (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) (-1053) (-1169) |#1|) (T -1167)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1230 *4 *3)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3) (-5 *1 (-1167 *3 *4 *5)))) (-3912 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1230 *5 *4)) (-5 *1 (-1167 *4 *5 *6)) (-4 *4 (-1053)) (-14 *5 (-1169)) (-14 *6 *4))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1167 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1167 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1167 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3)))) 
+(-13 (-1248 |#1|) (-10 -8 (-15 -3942 ($ (-1230 |#2| |#1|))) (-15 -3912 ((-1230 |#2| |#1|) $ (-768))) (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) 
+((-3942 (((-855) $) 22) (($ (-1169)) 24)) (-1831 (($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $))) 35)) (-1829 (($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $))) 28) (($ $) 29)) (-2354 (($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $))) 30)) (-1787 (($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $))) 32)) (-2615 (($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $))) 31)) (-1884 (($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $))) 33)) (-2978 (($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $))) 36)) (-12 (($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $))) 34))) 
+(((-1168) (-13 (-611 (-855)) (-10 -8 (-15 -3942 ($ (-1169))) (-15 -2354 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -2615 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -1787 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -1884 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -1831 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -2978 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -1829 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -1829 ($ $))))) (T -1168)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1168)))) (-2354 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168)))) (-2615 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168)))) (-1787 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168)))) (-1884 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168)))) (-1831 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168)))) (-2978 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168)))) (-12 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168)))) (-1829 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168)))) (-1829 (*1 *1 *1) (-5 *1 (-1168)))) 
+(-13 (-611 (-855)) (-10 -8 (-15 -3942 ($ (-1169))) (-15 -2354 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -2615 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -1787 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -1884 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -1831 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -2978 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)) (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -1829 ($ (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| $)))) (-15 -1829 ($ $)))) 
+((-2234 (((-121) $ $) NIL)) (-4246 (($ $ (-637 (-855))) 58)) (-2479 (($ $ (-637 (-855))) 56)) (-4004 (((-1151) $) 82)) (-3164 (((-2 (|:| -2382 (-637 (-855))) (|:| -3933 (-637 (-855))) (|:| |presup| (-637 (-855))) (|:| -3350 (-637 (-855))) (|:| |args| (-637 (-855)))) $) 85)) (-4569 (((-121) $) 21)) (-1918 (($ $ (-637 (-637 (-855)))) 54) (($ $ (-2 (|:| -2382 (-637 (-855))) (|:| -3933 (-637 (-855))) (|:| |presup| (-637 (-855))) (|:| -3350 (-637 (-855))) (|:| |args| (-637 (-855))))) 80)) (-2269 (($) 122 T CONST)) (-1903 (((-1263)) 103)) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 65) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 71)) (-1364 (($) 92) (($ $) 98)) (-3159 (($ $) 81)) (-1763 (($ $ $) NIL)) (-2383 (($ $ $) NIL)) (-4344 (((-637 $) $) 104)) (-3944 (((-1151) $) 87)) (-2580 (((-1115) $) NIL)) (-3245 (($ $ (-637 (-855))) 57)) (-4050 (((-544) $) 45) (((-1169) $) 46) (((-892 (-571)) $) 75) (((-892 (-384)) $) 73)) (-3942 (((-855) $) 52) (($ (-1151)) 47)) (-2457 (($ $ (-637 (-855))) 59)) (-3805 (((-1151) $) 33) (((-1151) $ (-121)) 34) (((-1263) (-822) $) 35) (((-1263) (-822) $ (-121)) 36)) (-1350 (((-121) $ $) NIL)) (-1338 (((-121) $ $) NIL)) (-1323 (((-121) $ $) 48)) (-1342 (((-121) $ $) NIL)) (-1331 (((-121) $ $) 49))) 
+(((-1169) (-13 (-847) (-612 (-544)) (-828) (-612 (-1169)) (-612 (-892 (-571))) (-612 (-892 (-384))) (-886 (-571)) (-886 (-384)) (-10 -8 (-15 -1364 ($)) (-15 -1364 ($ $)) (-15 -1903 ((-1263))) (-15 -3942 ($ (-1151))) (-15 -3159 ($ $)) (-15 -4569 ((-121) $)) (-15 -3164 ((-2 (|:| -2382 (-637 (-855))) (|:| -3933 (-637 (-855))) (|:| |presup| (-637 (-855))) (|:| -3350 (-637 (-855))) (|:| |args| (-637 (-855)))) $)) (-15 -1918 ($ $ (-637 (-637 (-855))))) (-15 -1918 ($ $ (-2 (|:| -2382 (-637 (-855))) (|:| -3933 (-637 (-855))) (|:| |presup| (-637 (-855))) (|:| -3350 (-637 (-855))) (|:| |args| (-637 (-855)))))) (-15 -2479 ($ $ (-637 (-855)))) (-15 -4246 ($ $ (-637 (-855)))) (-15 -2457 ($ $ (-637 (-855)))) (-15 -3245 ($ $ (-637 (-855)))) (-15 -4004 ((-1151) $)) (-15 -4344 ((-637 $) $)) (-15 -2269 ($) -3177)))) (T -1169)) 
+((-1364 (*1 *1) (-5 *1 (-1169))) (-1364 (*1 *1 *1) (-5 *1 (-1169))) (-1903 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1169)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1169)))) (-3159 (*1 *1 *1) (-5 *1 (-1169))) (-4569 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1169)))) (-3164 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -2382 (-637 (-855))) (|:| -3933 (-637 (-855))) (|:| |presup| (-637 (-855))) (|:| -3350 (-637 (-855))) (|:| |args| (-637 (-855))))) (-5 *1 (-1169)))) (-1918 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-637 (-855)))) (-5 *1 (-1169)))) (-1918 (*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -2382 (-637 (-855))) (|:| -3933 (-637 (-855))) (|:| |presup| (-637 (-855))) (|:| -3350 (-637 (-855))) (|:| |args| (-637 (-855))))) (-5 *1 (-1169)))) (-2479 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-1169)))) (-4246 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-1169)))) (-2457 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-1169)))) (-3245 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-1169)))) (-4004 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-1169)))) (-4344 (*1 *2 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-1169)))) (-2269 (*1 *1) (-5 *1 (-1169)))) 
+(-13 (-847) (-612 (-544)) (-828) (-612 (-1169)) (-612 (-892 (-571))) (-612 (-892 (-384))) (-886 (-571)) (-886 (-384)) (-10 -8 (-15 -1364 ($)) (-15 -1364 ($ $)) (-15 -1903 ((-1263))) (-15 -3942 ($ (-1151))) (-15 -3159 ($ $)) (-15 -4569 ((-121) $)) (-15 -3164 ((-2 (|:| -2382 (-637 (-855))) (|:| -3933 (-637 (-855))) (|:| |presup| (-637 (-855))) (|:| -3350 (-637 (-855))) (|:| |args| (-637 (-855)))) $)) (-15 -1918 ($ $ (-637 (-637 (-855))))) (-15 -1918 ($ $ (-2 (|:| -2382 (-637 (-855))) (|:| -3933 (-637 (-855))) (|:| |presup| (-637 (-855))) (|:| -3350 (-637 (-855))) (|:| |args| (-637 (-855)))))) (-15 -2479 ($ $ (-637 (-855)))) (-15 -4246 ($ $ (-637 (-855)))) (-15 -2457 ($ $ (-637 (-855)))) (-15 -3245 ($ $ (-637 (-855)))) (-15 -4004 ((-1151) $)) (-15 -4344 ((-637 $) $)) (-15 -2269 ($) -3177))) 
+((-1925 (((-1258 |#1|) |#1| (-922)) 16) (((-1258 |#1|) (-637 |#1|)) 20))) 
+(((-1170 |#1|) (-10 -7 (-15 -1925 ((-1258 |#1|) (-637 |#1|))) (-15 -1925 ((-1258 |#1|) |#1| (-922)))) (-1053)) (T -1170)) 
+((-1925 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-5 *2 (-1258 *3)) (-5 *1 (-1170 *3)) (-4 *3 (-1053)))) (-1925 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1053)) (-5 *2 (-1258 *4)) (-5 *1 (-1170 *4))))) 
+(-10 -7 (-15 -1925 ((-1258 |#1|) (-637 |#1|))) (-15 -1925 ((-1258 |#1|) |#1| (-922)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| |#1| (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#1| (-1043 (-412 (-571))))) (((-3 |#1| "failed") $) NIL)) (-1316 (((-571) $) NIL (|has| |#1| (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| |#1| (-1043 (-412 (-571))))) ((|#1| $) NIL)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-3630 (($ $) NIL (|has| |#1| (-456)))) (-1420 (($ $ |#1| (-978) $) NIL)) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-978)) NIL)) (-3973 (((-978) $) NIL)) (-2587 (($ (-1 (-978) (-978)) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#1| $) NIL)) (-3755 (($ $ (-978) |#1| $) NIL (-12 (|has| (-978) (-138)) (|has| |#1| (-561))))) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561))) (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-561)))) (-2400 (((-978) $) NIL)) (-4189 ((|#1| $) NIL (|has| |#1| (-456)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ $) NIL (|has| |#1| (-561))) (($ |#1|) NIL) (($ (-412 (-571))) NIL (-1831 (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-1043 (-412 (-571))))))) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ (-978)) NIL)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#1| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 9 T CONST)) (-3222 (($) 14 T CONST)) (-1323 (((-121) $ $) 16)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 19)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) 13) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1171 |#1|) (-13 (-325 |#1| (-978)) (-10 -8 (IF (|has| |#1| (-561)) (IF (|has| (-978) (-138)) (-15 -3755 ($ $ (-978) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4598)) (-6 -4598) |noBranch|))) (-1053)) (T -1171)) 
+((-3755 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-978)) (-4 *2 (-138)) (-5 *1 (-1171 *3)) (-4 *3 (-561)) (-4 *3 (-1053))))) 
+(-13 (-325 |#1| (-978)) (-10 -8 (IF (|has| |#1| (-561)) (IF (|has| (-978) (-138)) (-15 -3755 ($ $ (-978) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4598)) (-6 -4598) |noBranch|))) 
+((-4063 (((-1173) (-1169) $) 24)) (-1612 (($) 28)) (-2947 (((-3 (|:| |fst| (-439)) (|:| -3124 "void")) (-1169) $) 21)) (-1842 (((-1263) (-1169) (-3 (|:| |fst| (-439)) (|:| -3124 "void")) $) 40) (((-1263) (-1169) (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) 41) (((-1263) (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) 42)) (-4164 (((-1263) (-1169)) 57)) (-1627 (((-1263) (-1169) $) 54) (((-1263) (-1169)) 55) (((-1263)) 56)) (-2826 (((-1263) (-1169)) 36)) (-4068 (((-1169)) 35)) (-1630 (($) 33)) (-3333 (((-442) (-1169) (-442) (-1169) $) 44) (((-442) (-637 (-1169)) (-442) (-1169) $) 48) (((-442) (-1169) (-442)) 45) (((-442) (-1169) (-442) (-1169)) 49)) (-3019 (((-1169)) 34)) (-3942 (((-855) $) 27)) (-3025 (((-1263)) 29) (((-1263) (-1169)) 32)) (-1510 (((-637 (-1169)) (-1169) $) 23)) (-3429 (((-1263) (-1169) (-637 (-1169)) $) 37) (((-1263) (-1169) (-637 (-1169))) 38) (((-1263) (-637 (-1169))) 39))) 
+(((-1172) (-13 (-611 (-855)) (-10 -8 (-15 -1612 ($)) (-15 -3025 ((-1263))) (-15 -3025 ((-1263) (-1169))) (-15 -3333 ((-442) (-1169) (-442) (-1169) $)) (-15 -3333 ((-442) (-637 (-1169)) (-442) (-1169) $)) (-15 -3333 ((-442) (-1169) (-442))) (-15 -3333 ((-442) (-1169) (-442) (-1169))) (-15 -2826 ((-1263) (-1169))) (-15 -3019 ((-1169))) (-15 -4068 ((-1169))) (-15 -3429 ((-1263) (-1169) (-637 (-1169)) $)) (-15 -3429 ((-1263) (-1169) (-637 (-1169)))) (-15 -3429 ((-1263) (-637 (-1169)))) (-15 -1842 ((-1263) (-1169) (-3 (|:| |fst| (-439)) (|:| -3124 "void")) $)) (-15 -1842 ((-1263) (-1169) (-3 (|:| |fst| (-439)) (|:| -3124 "void")))) (-15 -1842 ((-1263) (-3 (|:| |fst| (-439)) (|:| -3124 "void")))) (-15 -1627 ((-1263) (-1169) $)) (-15 -1627 ((-1263) (-1169))) (-15 -1627 ((-1263))) (-15 -4164 ((-1263) (-1169))) (-15 -1630 ($)) (-15 -2947 ((-3 (|:| |fst| (-439)) (|:| -3124 "void")) (-1169) $)) (-15 -1510 ((-637 (-1169)) (-1169) $)) (-15 -4063 ((-1173) (-1169) $))))) (T -1172)) 
+((-1612 (*1 *1) (-5 *1 (-1172))) (-3025 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1172)))) (-3025 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-3333 (*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-442)) (-5 *3 (-1169)) (-5 *1 (-1172)))) (-3333 (*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-442)) (-5 *3 (-637 (-1169))) (-5 *4 (-1169)) (-5 *1 (-1172)))) (-3333 (*1 *2 *3 *2) (-12 (-5 *2 (-442)) (-5 *3 (-1169)) (-5 *1 (-1172)))) (-3333 (*1 *2 *3 *2 *3) (-12 (-5 *2 (-442)) (-5 *3 (-1169)) (-5 *1 (-1172)))) (-2826 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-3019 (*1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1172)))) (-4068 (*1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1172)))) (-3429 (*1 *2 *3 *4 *1) (-12 (-5 *4 (-637 (-1169))) (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-3429 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-1169))) (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-3429 (*1 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-1842 (*1 *2 *3 *4 *1) (-12 (-5 *3 (-1169)) (-5 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-1842 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-1842 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-1627 (*1 *2 *3 *1) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-1627 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-1627 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1172)))) (-4164 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) (-1630 (*1 *1) (-5 *1 (-1172))) (-2947 (*1 *2 *3 *1) (-12 (-5 *3 (-1169)) (-5 *2 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *1 (-1172)))) (-1510 (*1 *2 *3 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-1172)) (-5 *3 (-1169)))) (-4063 (*1 *2 *3 *1) (-12 (-5 *3 (-1169)) (-5 *2 (-1173)) (-5 *1 (-1172))))) 
+(-13 (-611 (-855)) (-10 -8 (-15 -1612 ($)) (-15 -3025 ((-1263))) (-15 -3025 ((-1263) (-1169))) (-15 -3333 ((-442) (-1169) (-442) (-1169) $)) (-15 -3333 ((-442) (-637 (-1169)) (-442) (-1169) $)) (-15 -3333 ((-442) (-1169) (-442))) (-15 -3333 ((-442) (-1169) (-442) (-1169))) (-15 -2826 ((-1263) (-1169))) (-15 -3019 ((-1169))) (-15 -4068 ((-1169))) (-15 -3429 ((-1263) (-1169) (-637 (-1169)) $)) (-15 -3429 ((-1263) (-1169) (-637 (-1169)))) (-15 -3429 ((-1263) (-637 (-1169)))) (-15 -1842 ((-1263) (-1169) (-3 (|:| |fst| (-439)) (|:| -3124 "void")) $)) (-15 -1842 ((-1263) (-1169) (-3 (|:| |fst| (-439)) (|:| -3124 "void")))) (-15 -1842 ((-1263) (-3 (|:| |fst| (-439)) (|:| -3124 "void")))) (-15 -1627 ((-1263) (-1169) $)) (-15 -1627 ((-1263) (-1169))) (-15 -1627 ((-1263))) (-15 -4164 ((-1263) (-1169))) (-15 -1630 ($)) (-15 -2947 ((-3 (|:| |fst| (-439)) (|:| -3124 "void")) (-1169) $)) (-15 -1510 ((-637 (-1169)) (-1169) $)) (-15 -4063 ((-1173) (-1169) $)))) 
+((-2598 (((-637 (-637 (-3 (|:| -3159 (-1169)) (|:| |bounds| (-637 (-3 (|:| S (-1169)) (|:| P (-958 (-571))))))))) $) 57)) (-1699 (((-637 (-3 (|:| -3159 (-1169)) (|:| |bounds| (-637 (-3 (|:| S (-1169)) (|:| P (-958 (-571)))))))) (-439) $) 40)) (-4293 (($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-442))))) 15)) (-4164 (((-1263) $) 65)) (-2712 (((-637 (-1169)) $) 20)) (-3812 (((-1101) $) 53)) (-3299 (((-442) (-1169) $) 27)) (-1407 (((-637 (-1169)) $) 30)) (-1630 (($) 17)) (-3333 (((-442) (-637 (-1169)) (-442) $) 25) (((-442) (-1169) (-442) $) 24)) (-3942 (((-855) $) 9) (((-1177 (-1169) (-442)) $) 11))) 
+(((-1173) (-13 (-611 (-855)) (-10 -8 (-15 -3942 ((-1177 (-1169) (-442)) $)) (-15 -1630 ($)) (-15 -3333 ((-442) (-637 (-1169)) (-442) $)) (-15 -3333 ((-442) (-1169) (-442) $)) (-15 -3299 ((-442) (-1169) $)) (-15 -2712 ((-637 (-1169)) $)) (-15 -1699 ((-637 (-3 (|:| -3159 (-1169)) (|:| |bounds| (-637 (-3 (|:| S (-1169)) (|:| P (-958 (-571)))))))) (-439) $)) (-15 -1407 ((-637 (-1169)) $)) (-15 -2598 ((-637 (-637 (-3 (|:| -3159 (-1169)) (|:| |bounds| (-637 (-3 (|:| S (-1169)) (|:| P (-958 (-571))))))))) $)) (-15 -3812 ((-1101) $)) (-15 -4164 ((-1263) $)) (-15 -4293 ($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-442))))))))) (T -1173)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-1177 (-1169) (-442))) (-5 *1 (-1173)))) (-1630 (*1 *1) (-5 *1 (-1173))) (-3333 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-442)) (-5 *3 (-637 (-1169))) (-5 *1 (-1173)))) (-3333 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-442)) (-5 *3 (-1169)) (-5 *1 (-1173)))) (-3299 (*1 *2 *3 *1) (-12 (-5 *3 (-1169)) (-5 *2 (-442)) (-5 *1 (-1173)))) (-2712 (*1 *2 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-1173)))) (-1699 (*1 *2 *3 *1) (-12 (-5 *3 (-439)) (-5 *2 (-637 (-3 (|:| -3159 (-1169)) (|:| |bounds| (-637 (-3 (|:| S (-1169)) (|:| P (-958 (-571))))))))) (-5 *1 (-1173)))) (-1407 (*1 *2 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-1173)))) (-2598 (*1 *2 *1) (-12 (-5 *2 (-637 (-637 (-3 (|:| -3159 (-1169)) (|:| |bounds| (-637 (-3 (|:| S (-1169)) (|:| P (-958 (-571)))))))))) (-5 *1 (-1173)))) (-3812 (*1 *2 *1) (-12 (-5 *2 (-1101)) (-5 *1 (-1173)))) (-4164 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1173)))) (-4293 (*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-442))))) (-5 *1 (-1173))))) 
+(-13 (-611 (-855)) (-10 -8 (-15 -3942 ((-1177 (-1169) (-442)) $)) (-15 -1630 ($)) (-15 -3333 ((-442) (-637 (-1169)) (-442) $)) (-15 -3333 ((-442) (-1169) (-442) $)) (-15 -3299 ((-442) (-1169) $)) (-15 -2712 ((-637 (-1169)) $)) (-15 -1699 ((-637 (-3 (|:| -3159 (-1169)) (|:| |bounds| (-637 (-3 (|:| S (-1169)) (|:| P (-958 (-571)))))))) (-439) $)) (-15 -1407 ((-637 (-1169)) $)) (-15 -2598 ((-637 (-637 (-3 (|:| -3159 (-1169)) (|:| |bounds| (-637 (-3 (|:| S (-1169)) (|:| P (-958 (-571))))))))) $)) (-15 -3812 ((-1101) $)) (-15 -4164 ((-1263) $)) (-15 -4293 ($ (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-442)))))))) 
+((-4330 (((-637 (-637 (-958 |#1|))) (-637 (-412 (-958 |#1|))) (-637 (-1169))) 55)) (-4549 (((-637 (-289 (-412 (-958 |#1|)))) (-289 (-412 (-958 |#1|)))) 66) (((-637 (-289 (-412 (-958 |#1|)))) (-412 (-958 |#1|))) 62) (((-637 (-289 (-412 (-958 |#1|)))) (-289 (-412 (-958 |#1|))) (-1169)) 67) (((-637 (-289 (-412 (-958 |#1|)))) (-412 (-958 |#1|)) (-1169)) 61) (((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-289 (-412 (-958 |#1|))))) 91) (((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-412 (-958 |#1|)))) 90) (((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-289 (-412 (-958 |#1|)))) (-637 (-1169))) 92) (((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-412 (-958 |#1|))) (-637 (-1169))) 89))) 
+(((-1174 |#1|) (-10 -7 (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-412 (-958 |#1|))) (-637 (-1169)))) (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-289 (-412 (-958 |#1|)))) (-637 (-1169)))) (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-412 (-958 |#1|))))) (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-289 (-412 (-958 |#1|)))))) (-15 -4549 ((-637 (-289 (-412 (-958 |#1|)))) (-412 (-958 |#1|)) (-1169))) (-15 -4549 ((-637 (-289 (-412 (-958 |#1|)))) (-289 (-412 (-958 |#1|))) (-1169))) (-15 -4549 ((-637 (-289 (-412 (-958 |#1|)))) (-412 (-958 |#1|)))) (-15 -4549 ((-637 (-289 (-412 (-958 |#1|)))) (-289 (-412 (-958 |#1|))))) (-15 -4330 ((-637 (-637 (-958 |#1|))) (-637 (-412 (-958 |#1|))) (-637 (-1169))))) (-561)) (T -1174)) 
+((-4330 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 *5)))) (-5 *4 (-637 (-1169))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-958 *5)))) (-5 *1 (-1174 *5)))) (-4549 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 (-289 (-412 (-958 *4))))) (-5 *1 (-1174 *4)) (-5 *3 (-289 (-412 (-958 *4)))))) (-4549 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 (-289 (-412 (-958 *4))))) (-5 *1 (-1174 *4)) (-5 *3 (-412 (-958 *4))))) (-4549 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-561)) (-5 *2 (-637 (-289 (-412 (-958 *5))))) (-5 *1 (-1174 *5)) (-5 *3 (-289 (-412 (-958 *5)))))) (-4549 (*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-561)) (-5 *2 (-637 (-289 (-412 (-958 *5))))) (-5 *1 (-1174 *5)) (-5 *3 (-412 (-958 *5))))) (-4549 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *4)))))) (-5 *1 (-1174 *4)) (-5 *3 (-637 (-289 (-412 (-958 *4))))))) (-4549 (*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 *4)))) (-4 *4 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *4)))))) (-5 *1 (-1174 *4)))) (-4549 (*1 *2 *3 *4) (-12 (-5 *4 (-637 (-1169))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *5)))))) (-5 *1 (-1174 *5)) (-5 *3 (-637 (-289 (-412 (-958 *5))))))) (-4549 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 *5)))) (-5 *4 (-637 (-1169))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *5)))))) (-5 *1 (-1174 *5))))) 
+(-10 -7 (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-412 (-958 |#1|))) (-637 (-1169)))) (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-289 (-412 (-958 |#1|)))) (-637 (-1169)))) (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-412 (-958 |#1|))))) (-15 -4549 ((-637 (-637 (-289 (-412 (-958 |#1|))))) (-637 (-289 (-412 (-958 |#1|)))))) (-15 -4549 ((-637 (-289 (-412 (-958 |#1|)))) (-412 (-958 |#1|)) (-1169))) (-15 -4549 ((-637 (-289 (-412 (-958 |#1|)))) (-289 (-412 (-958 |#1|))) (-1169))) (-15 -4549 ((-637 (-289 (-412 (-958 |#1|)))) (-412 (-958 |#1|)))) (-15 -4549 ((-637 (-289 (-412 (-958 |#1|)))) (-289 (-412 (-958 |#1|))))) (-15 -4330 ((-637 (-637 (-958 |#1|))) (-637 (-412 (-958 |#1|))) (-637 (-1169))))) 
+((-3710 (((-637 (-637 |#1|)) (-637 (-637 |#1|)) (-637 (-637 (-637 |#1|)))) 38)) (-1461 (((-637 (-637 (-637 |#1|))) (-637 (-637 |#1|))) 24)) (-3454 (((-1176 (-637 |#1|)) (-637 |#1|)) 34)) (-1935 (((-637 (-637 |#1|)) (-637 |#1|)) 30)) (-4385 (((-2 (|:| |f1| (-637 |#1|)) (|:| |f2| (-637 (-637 (-637 |#1|)))) (|:| |f3| (-637 (-637 |#1|))) (|:| |f4| (-637 (-637 (-637 |#1|))))) (-637 (-637 (-637 |#1|)))) 37)) (-4559 (((-2 (|:| |f1| (-637 |#1|)) (|:| |f2| (-637 (-637 (-637 |#1|)))) (|:| |f3| (-637 (-637 |#1|))) (|:| |f4| (-637 (-637 (-637 |#1|))))) (-637 |#1|) (-637 (-637 (-637 |#1|))) (-637 (-637 |#1|)) (-637 (-637 (-637 |#1|))) (-637 (-637 (-637 |#1|))) (-637 (-637 (-637 |#1|)))) 36)) (-3647 (((-637 (-637 |#1|)) (-637 (-637 |#1|))) 28)) (-1774 (((-637 |#1|) (-637 |#1|)) 31)) (-4524 (((-637 (-637 (-637 |#1|))) (-637 |#1|) (-637 (-637 (-637 |#1|)))) 18)) (-2331 (((-637 (-637 (-637 |#1|))) (-1 (-121) |#1| |#1|) (-637 |#1|) (-637 (-637 (-637 |#1|)))) 15)) (-3047 (((-2 (|:| |fs| (-121)) (|:| |sd| (-637 |#1|)) (|:| |td| (-637 (-637 |#1|)))) (-1 (-121) |#1| |#1|) (-637 |#1|) (-637 (-637 |#1|))) 13)) (-1520 (((-637 (-637 |#1|)) (-637 (-637 (-637 |#1|)))) 39)) (-4102 (((-637 (-637 |#1|)) (-1176 (-637 |#1|))) 41))) 
+(((-1175 |#1|) (-10 -7 (-15 -3047 ((-2 (|:| |fs| (-121)) (|:| |sd| (-637 |#1|)) (|:| |td| (-637 (-637 |#1|)))) (-1 (-121) |#1| |#1|) (-637 |#1|) (-637 (-637 |#1|)))) (-15 -2331 ((-637 (-637 (-637 |#1|))) (-1 (-121) |#1| |#1|) (-637 |#1|) (-637 (-637 (-637 |#1|))))) (-15 -4524 ((-637 (-637 (-637 |#1|))) (-637 |#1|) (-637 (-637 (-637 |#1|))))) (-15 -3710 ((-637 (-637 |#1|)) (-637 (-637 |#1|)) (-637 (-637 (-637 |#1|))))) (-15 -1520 ((-637 (-637 |#1|)) (-637 (-637 (-637 |#1|))))) (-15 -4102 ((-637 (-637 |#1|)) (-1176 (-637 |#1|)))) (-15 -1461 ((-637 (-637 (-637 |#1|))) (-637 (-637 |#1|)))) (-15 -3454 ((-1176 (-637 |#1|)) (-637 |#1|))) (-15 -3647 ((-637 (-637 |#1|)) (-637 (-637 |#1|)))) (-15 -1935 ((-637 (-637 |#1|)) (-637 |#1|))) (-15 -1774 ((-637 |#1|) (-637 |#1|))) (-15 -4559 ((-2 (|:| |f1| (-637 |#1|)) (|:| |f2| (-637 (-637 (-637 |#1|)))) (|:| |f3| (-637 (-637 |#1|))) (|:| |f4| (-637 (-637 (-637 |#1|))))) (-637 |#1|) (-637 (-637 (-637 |#1|))) (-637 (-637 |#1|)) (-637 (-637 (-637 |#1|))) (-637 (-637 (-637 |#1|))) (-637 (-637 (-637 |#1|))))) (-15 -4385 ((-2 (|:| |f1| (-637 |#1|)) (|:| |f2| (-637 (-637 (-637 |#1|)))) (|:| |f3| (-637 (-637 |#1|))) (|:| |f4| (-637 (-637 (-637 |#1|))))) (-637 (-637 (-637 |#1|)))))) (-847)) (T -1175)) 
+((-4385 (*1 *2 *3) (-12 (-4 *4 (-847)) (-5 *2 (-2 (|:| |f1| (-637 *4)) (|:| |f2| (-637 (-637 (-637 *4)))) (|:| |f3| (-637 (-637 *4))) (|:| |f4| (-637 (-637 (-637 *4)))))) (-5 *1 (-1175 *4)) (-5 *3 (-637 (-637 (-637 *4)))))) (-4559 (*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-847)) (-5 *3 (-637 *6)) (-5 *5 (-637 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-637 *5)) (|:| |f3| *5) (|:| |f4| (-637 *5)))) (-5 *1 (-1175 *6)) (-5 *4 (-637 *5)))) (-1774 (*1 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-1175 *3)))) (-1935 (*1 *2 *3) (-12 (-4 *4 (-847)) (-5 *2 (-637 (-637 *4))) (-5 *1 (-1175 *4)) (-5 *3 (-637 *4)))) (-3647 (*1 *2 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-847)) (-5 *1 (-1175 *3)))) (-3454 (*1 *2 *3) (-12 (-4 *4 (-847)) (-5 *2 (-1176 (-637 *4))) (-5 *1 (-1175 *4)) (-5 *3 (-637 *4)))) (-1461 (*1 *2 *3) (-12 (-4 *4 (-847)) (-5 *2 (-637 (-637 (-637 *4)))) (-5 *1 (-1175 *4)) (-5 *3 (-637 (-637 *4))))) (-4102 (*1 *2 *3) (-12 (-5 *3 (-1176 (-637 *4))) (-4 *4 (-847)) (-5 *2 (-637 (-637 *4))) (-5 *1 (-1175 *4)))) (-1520 (*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-637 *4)))) (-5 *2 (-637 (-637 *4))) (-5 *1 (-1175 *4)) (-4 *4 (-847)))) (-3710 (*1 *2 *2 *3) (-12 (-5 *3 (-637 (-637 (-637 *4)))) (-5 *2 (-637 (-637 *4))) (-4 *4 (-847)) (-5 *1 (-1175 *4)))) (-4524 (*1 *2 *3 *2) (-12 (-5 *2 (-637 (-637 (-637 *4)))) (-5 *3 (-637 *4)) (-4 *4 (-847)) (-5 *1 (-1175 *4)))) (-2331 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-637 (-637 (-637 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-637 *5)) (-4 *5 (-847)) (-5 *1 (-1175 *5)))) (-3047 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-847)) (-5 *4 (-637 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-637 *4)))) (-5 *1 (-1175 *6)) (-5 *5 (-637 *4))))) 
+(-10 -7 (-15 -3047 ((-2 (|:| |fs| (-121)) (|:| |sd| (-637 |#1|)) (|:| |td| (-637 (-637 |#1|)))) (-1 (-121) |#1| |#1|) (-637 |#1|) (-637 (-637 |#1|)))) (-15 -2331 ((-637 (-637 (-637 |#1|))) (-1 (-121) |#1| |#1|) (-637 |#1|) (-637 (-637 (-637 |#1|))))) (-15 -4524 ((-637 (-637 (-637 |#1|))) (-637 |#1|) (-637 (-637 (-637 |#1|))))) (-15 -3710 ((-637 (-637 |#1|)) (-637 (-637 |#1|)) (-637 (-637 (-637 |#1|))))) (-15 -1520 ((-637 (-637 |#1|)) (-637 (-637 (-637 |#1|))))) (-15 -4102 ((-637 (-637 |#1|)) (-1176 (-637 |#1|)))) (-15 -1461 ((-637 (-637 (-637 |#1|))) (-637 (-637 |#1|)))) (-15 -3454 ((-1176 (-637 |#1|)) (-637 |#1|))) (-15 -3647 ((-637 (-637 |#1|)) (-637 (-637 |#1|)))) (-15 -1935 ((-637 (-637 |#1|)) (-637 |#1|))) (-15 -1774 ((-637 |#1|) (-637 |#1|))) (-15 -4559 ((-2 (|:| |f1| (-637 |#1|)) (|:| |f2| (-637 (-637 (-637 |#1|)))) (|:| |f3| (-637 (-637 |#1|))) (|:| |f4| (-637 (-637 (-637 |#1|))))) (-637 |#1|) (-637 (-637 (-637 |#1|))) (-637 (-637 |#1|)) (-637 (-637 (-637 |#1|))) (-637 (-637 (-637 |#1|))) (-637 (-637 (-637 |#1|))))) (-15 -4385 ((-2 (|:| |f1| (-637 |#1|)) (|:| |f2| (-637 (-637 (-637 |#1|)))) (|:| |f3| (-637 (-637 |#1|))) (|:| |f4| (-637 (-637 (-637 |#1|))))) (-637 (-637 (-637 |#1|)))))) 
+((-3071 (($ (-637 (-637 |#1|))) 9)) (-3818 (((-637 (-637 |#1|)) $) 10)) (-3942 (((-855) $) 25))) 
+(((-1176 |#1|) (-10 -8 (-15 -3071 ($ (-637 (-637 |#1|)))) (-15 -3818 ((-637 (-637 |#1|)) $)) (-15 -3942 ((-855) $))) (-1097)) (T -1176)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1176 *3)) (-4 *3 (-1097)))) (-3818 (*1 *2 *1) (-12 (-5 *2 (-637 (-637 *3))) (-5 *1 (-1176 *3)) (-4 *3 (-1097)))) (-3071 (*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1097)) (-5 *1 (-1176 *3))))) 
+(-10 -8 (-15 -3071 ($ (-637 (-637 |#1|)))) (-15 -3818 ((-637 (-637 |#1|)) $)) (-15 -3942 ((-855) $))) 
+((-2234 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-2942 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3839 (((-1263) $ |#1| |#1|) NIL (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#2| $ |#1| |#2|) NIL)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-1741 (((-3 |#2| "failed") |#1| $) NIL)) (-2269 (($) NIL T CONST)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1599 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-3 |#2| "failed") |#1| $) NIL)) (-3412 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) NIL)) (-4034 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) NIL)) (-1414 ((|#1| $) NIL (|has| |#1| (-847)))) (-3488 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-637 |#2|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3113 ((|#1| $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4601))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3359 (((-637 |#1|) $) NIL)) (-1507 (((-121) |#1| $) NIL)) (-2377 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2863 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-2738 (((-637 |#1|) $) NIL)) (-1613 (((-121) |#1| $) NIL)) (-2580 (((-1115) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-1827 ((|#2| $) NIL (|has| |#1| (-847)))) (-3765 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL)) (-4411 (($ $ |#2|) NIL (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-3563 (($) NIL) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (((-768) |#2| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097)))) (((-768) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3942 (((-855) $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-3700 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) NIL)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) NIL (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) NIL (-1831 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| |#2| (-1097))))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1177 |#1| |#2|) (-13 (-1180 |#1| |#2|) (-10 -7 (-6 -4600))) (-1097) (-1097)) (T -1177)) 
+NIL 
+(-13 (-1180 |#1| |#2|) (-10 -7 (-6 -4600))) 
+((-2438 ((|#1| (-637 |#1|)) 32)) (-2848 ((|#1| |#1| (-571)) 18)) (-3736 (((-1165 |#1|) |#1| (-922)) 15))) 
+(((-1178 |#1|) (-10 -7 (-15 -2438 (|#1| (-637 |#1|))) (-15 -3736 ((-1165 |#1|) |#1| (-922))) (-15 -2848 (|#1| |#1| (-571)))) (-367)) (T -1178)) 
+((-2848 (*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-1178 *2)) (-4 *2 (-367)))) (-3736 (*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-5 *2 (-1165 *3)) (-5 *1 (-1178 *3)) (-4 *3 (-367)))) (-2438 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-5 *1 (-1178 *2)) (-4 *2 (-367))))) 
+(-10 -7 (-15 -2438 (|#1| (-637 |#1|))) (-15 -3736 ((-1165 |#1|) |#1| (-922))) (-15 -2848 (|#1| |#1| (-571)))) 
+((-2942 (($) 10) (($ (-637 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)))) 14)) (-1599 (($ (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) $) 60) (($ (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) $) NIL) (((-3 |#3| "failed") |#2| $) NIL)) (-4034 (((-637 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) $) 39) (((-637 |#3|) $) 41)) (-1923 (($ (-1 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) $) 52) (($ (-1 |#3| |#3|) $) 33)) (-3799 (($ (-1 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) $) 50) (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) 38)) (-2377 (((-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) $) 53)) (-2863 (($ (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) $) 16)) (-2738 (((-637 |#2|) $) 19)) (-1613 (((-121) |#2| $) 58)) (-3765 (((-3 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) "failed") (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) $) 57)) (-3815 (((-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) $) 62)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 65)) (-3909 (((-637 |#3|) $) 43)) (-3245 ((|#3| $ |#2|) 30) ((|#3| $ |#2| |#3|) 31)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) $) NIL) (((-768) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) $) NIL) (((-768) |#3| $) NIL) (((-768) (-1 (-121) |#3|) $) 66)) (-3942 (((-855) $) 27)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 64)) (-1323 (((-121) $ $) 48))) 
+(((-1179 |#1| |#2| |#3|) (-10 -8 (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -3799 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -2942 (|#1| (-637 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))))) (-15 -2942 (|#1|)) (-15 -3799 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1923 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -3160 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -1569 ((-768) (-1 (-121) |#3|) |#1|)) (-15 -4034 ((-637 |#3|) |#1|)) (-15 -1569 ((-768) |#3| |#1|)) (-15 -3245 (|#3| |#1| |#2| |#3|)) (-15 -3245 (|#3| |#1| |#2|)) (-15 -3909 ((-637 |#3|) |#1|)) (-15 -1613 ((-121) |#2| |#1|)) (-15 -2738 ((-637 |#2|) |#1|)) (-15 -1599 ((-3 |#3| "failed") |#2| |#1|)) (-15 -1599 (|#1| (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -1599 (|#1| (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|)) (-15 -3765 ((-3 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) "failed") (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -2377 ((-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|)) (-15 -2863 (|#1| (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|)) (-15 -3815 ((-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|)) (-15 -1569 ((-768) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|)) (-15 -4034 ((-637 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -1569 ((-768) (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -3160 ((-121) (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -3027 ((-121) (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -1923 (|#1| (-1 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -3799 (|#1| (-1 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|))) (-1180 |#2| |#3|) (-1097) (-1097)) (T -1179)) 
+NIL 
+(-10 -8 (-15 -1323 ((-121) |#1| |#1|)) (-15 -3942 ((-855) |#1|)) (-15 -3799 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -2942 (|#1| (-637 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))))) (-15 -2942 (|#1|)) (-15 -3799 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1923 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3027 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -3160 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -1569 ((-768) (-1 (-121) |#3|) |#1|)) (-15 -4034 ((-637 |#3|) |#1|)) (-15 -1569 ((-768) |#3| |#1|)) (-15 -3245 (|#3| |#1| |#2| |#3|)) (-15 -3245 (|#3| |#1| |#2|)) (-15 -3909 ((-637 |#3|) |#1|)) (-15 -1613 ((-121) |#2| |#1|)) (-15 -2738 ((-637 |#2|) |#1|)) (-15 -1599 ((-3 |#3| "failed") |#2| |#1|)) (-15 -1599 (|#1| (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -1599 (|#1| (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|)) (-15 -3765 ((-3 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) "failed") (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -2377 ((-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|)) (-15 -2863 (|#1| (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|)) (-15 -3815 ((-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|)) (-15 -1569 ((-768) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) |#1|)) (-15 -4034 ((-637 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -1569 ((-768) (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -3160 ((-121) (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -3027 ((-121) (-1 (-121) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -1923 (|#1| (-1 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|)) (-15 -3799 (|#1| (-1 (-2 (|:| -4080 |#2|) (|:| -4279 |#3|)) (-2 (|:| -4080 |#2|) (|:| -4279 |#3|))) |#1|))) 
+((-2234 (((-121) $ $) 18 (-1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-2942 (($) 66) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 65)) (-3839 (((-1263) $ |#1| |#1|) 93 (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) 8)) (-3251 ((|#2| $ |#1| |#2|) 67)) (-3129 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 42 (|has| $ (-6 -4600)))) (-2534 (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 52 (|has| $ (-6 -4600)))) (-1741 (((-3 |#2| "failed") |#1| $) 57)) (-2269 (($) 7 T CONST)) (-4365 (($ $) 55 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600))))) (-1599 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 44 (|has| $ (-6 -4600))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 43 (|has| $ (-6 -4600))) (((-3 |#2| "failed") |#1| $) 58)) (-3412 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 54 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 51 (|has| $ (-6 -4600)))) (-3074 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 53 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 50 (|has| $ (-6 -4600))) (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 49 (|has| $ (-6 -4600)))) (-2922 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4601)))) (-4319 ((|#2| $ |#1|) 82)) (-4034 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 30 (|has| $ (-6 -4600))) (((-637 |#2|) $) 73 (|has| $ (-6 -4600)))) (-2262 (((-121) $ (-768)) 9)) (-1414 ((|#1| $) 90 (|has| |#1| (-847)))) (-3488 (((-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 29 (|has| $ (-6 -4600))) (((-637 |#2|) $) 74 (|has| $ (-6 -4600)))) (-3303 (((-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 27 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1097)) (|has| $ (-6 -4600))))) (-3113 ((|#1| $) 89 (|has| |#1| (-847)))) (-1923 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 34 (|has| $ (-6 -4601))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64)) (-3794 (((-121) $ (-768)) 10)) (-3944 (((-1151) $) 22 (-1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-3359 (((-637 |#1|) $) 59)) (-1507 (((-121) |#1| $) 60)) (-2377 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 36)) (-2863 (($ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 37)) (-2738 (((-637 |#1|) $) 87)) (-1613 (((-121) |#1| $) 86)) (-2580 (((-1115) $) 21 (-1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-1827 ((|#2| $) 91 (|has| |#1| (-847)))) (-3765 (((-3 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) "failed") (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 48)) (-4411 (($ $ |#2|) 92 (|has| $ (-6 -4601)))) (-3815 (((-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 38)) (-3160 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 32 (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))))) 26 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-289 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 25 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) 24 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 23 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)))) (($ $ (-637 |#2|) (-637 |#2|)) 80 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-289 |#2|)) 78 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097)))) (($ $ (-637 (-289 |#2|))) 77 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4600)) (|has| |#2| (-1097))))) (-3909 (((-637 |#2|) $) 85)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83)) (-3563 (($) 46) (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 45)) (-1569 (((-768) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 31 (|has| $ (-6 -4600))) (((-768) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) $) 28 (-12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097)) (|has| $ (-6 -4600)))) (((-768) |#2| $) 75 (-12 (|has| |#2| (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4600)))) (-4316 (($ $) 13)) (-4050 (((-544) $) 56 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))))) (-3891 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 47)) (-3942 (((-855) $) 20 (-1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-3700 (($ (-637 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) 39)) (-3027 (((-121) (-1 (-121) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) $) 33 (|has| $ (-6 -4600))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (-1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-1180 |#1| |#2|) (-1289) (-1097) (-1097)) (T -1180)) 
+((-3251 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-1180 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097)))) (-2942 (*1 *1) (-12 (-4 *1 (-1180 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) (-2942 (*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4080 *3) (|:| -4279 *4)))) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *1 (-1180 *3 *4)))) (-3799 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1180 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(-13 (-608 |t#1| |t#2|) (-604 |t#1| |t#2|) (-10 -8 (-15 -3251 (|t#2| $ |t#1| |t#2|)) (-15 -2942 ($)) (-15 -2942 ($ (-637 (-2 (|:| -4080 |t#1|) (|:| -4279 |t#2|))))) (-15 -3799 ($ (-1 |t#2| |t#2| |t#2|) $ $)))) 
+(((-39) . T) ((-111 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-105) -1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) ((-611 (-855)) -1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) ((-155 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-612 (-544)) |has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-612 (-544))) ((-222 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-228 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-282 |#1| |#2|) . T) ((-284 |#1| |#2|) . T) ((-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) -12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) ((-502 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) . T) ((-502 |#2|) . T) ((-604 |#1| |#2|) . T) ((-526 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-2 (|:| -4080 |#1|) (|:| -4279 |#2|))) -12 (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-304 (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)))) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) ((-526 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1097))) ((-608 |#1| |#2|) . T) ((-1097) -1831 (|has| |#2| (-1097)) (|has| (-2 (|:| -4080 |#1|) (|:| -4279 |#2|)) (-1097))) ((-1203) . T)) 
+((-4235 (((-121)) 24)) (-2827 (((-1263) (-1151)) 26)) (-4568 (((-121)) 36)) (-1709 (((-1263)) 34)) (-2095 (((-1263) (-1151) (-1151)) 25)) (-3068 (((-121)) 37)) (-2863 (((-1263) |#1| |#2|) 44)) (-2798 (((-1263)) 20)) (-2806 (((-3 |#2| "failed") |#1|) 42)) (-3352 (((-1263)) 35))) 
+(((-1181 |#1| |#2|) (-10 -7 (-15 -2798 ((-1263))) (-15 -2095 ((-1263) (-1151) (-1151))) (-15 -2827 ((-1263) (-1151))) (-15 -1709 ((-1263))) (-15 -3352 ((-1263))) (-15 -4235 ((-121))) (-15 -4568 ((-121))) (-15 -3068 ((-121))) (-15 -2806 ((-3 |#2| "failed") |#1|)) (-15 -2863 ((-1263) |#1| |#2|))) (-1097) (-1097)) (T -1181)) 
+((-2863 (*1 *2 *3 *4) (-12 (-5 *2 (-1263)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) (-2806 (*1 *2 *3) (|partial| -12 (-4 *2 (-1097)) (-5 *1 (-1181 *3 *2)) (-4 *3 (-1097)))) (-3068 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) (-4568 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) (-4235 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) (-3352 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) (-1709 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) (-2827 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1181 *4 *5)) (-4 *4 (-1097)) (-4 *5 (-1097)))) (-2095 (*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1181 *4 *5)) (-4 *4 (-1097)) (-4 *5 (-1097)))) (-2798 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(-10 -7 (-15 -2798 ((-1263))) (-15 -2095 ((-1263) (-1151) (-1151))) (-15 -2827 ((-1263) (-1151))) (-15 -1709 ((-1263))) (-15 -3352 ((-1263))) (-15 -4235 ((-121))) (-15 -4568 ((-121))) (-15 -3068 ((-121))) (-15 -2806 ((-3 |#2| "failed") |#1|)) (-15 -2863 ((-1263) |#1| |#2|))) 
+((-1991 (((-1151) (-1151)) 18)) (-3482 (((-57) (-1151)) 21))) 
+(((-1182) (-10 -7 (-15 -3482 ((-57) (-1151))) (-15 -1991 ((-1151) (-1151))))) (T -1182)) 
+((-1991 (*1 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1182)))) (-3482 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-57)) (-5 *1 (-1182))))) 
+(-10 -7 (-15 -3482 ((-57) (-1151))) (-15 -1991 ((-1151) (-1151)))) 
+((-3942 (((-1184) |#1|) 11))) 
+(((-1183 |#1|) (-10 -7 (-15 -3942 ((-1184) |#1|))) (-1097)) (T -1183)) 
+((-3942 (*1 *2 *3) (-12 (-5 *2 (-1184)) (-5 *1 (-1183 *3)) (-4 *3 (-1097))))) 
+(-10 -7 (-15 -3942 ((-1184) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-2081 (((-637 (-1151)) $) 33)) (-3507 (((-637 (-1151)) $ (-637 (-1151))) 36)) (-3696 (((-637 (-1151)) $ (-637 (-1151))) 35)) (-2766 (((-637 (-1151)) $ (-637 (-1151))) 37)) (-3878 (((-637 (-1151)) $) 32)) (-1364 (($) 22)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1517 (((-637 (-1151)) $) 34)) (-2406 (((-1263) $ (-571)) 29) (((-1263) $) 30)) (-4050 (($ (-855) (-571)) 26) (($ (-855) (-571) (-855)) NIL)) (-3942 (((-855) $) 39) (($ (-855)) 24)) (-1323 (((-121) $ $) NIL))) 
+(((-1184) (-13 (-1097) (-10 -8 (-15 -3942 ($ (-855))) (-15 -4050 ($ (-855) (-571))) (-15 -4050 ($ (-855) (-571) (-855))) (-15 -2406 ((-1263) $ (-571))) (-15 -2406 ((-1263) $)) (-15 -1517 ((-637 (-1151)) $)) (-15 -2081 ((-637 (-1151)) $)) (-15 -1364 ($)) (-15 -3878 ((-637 (-1151)) $)) (-15 -2766 ((-637 (-1151)) $ (-637 (-1151)))) (-15 -3507 ((-637 (-1151)) $ (-637 (-1151)))) (-15 -3696 ((-637 (-1151)) $ (-637 (-1151))))))) (T -1184)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-855)) (-5 *1 (-1184)))) (-4050 (*1 *1 *2 *3) (-12 (-5 *2 (-855)) (-5 *3 (-571)) (-5 *1 (-1184)))) (-4050 (*1 *1 *2 *3 *2) (-12 (-5 *2 (-855)) (-5 *3 (-571)) (-5 *1 (-1184)))) (-2406 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-1184)))) (-2406 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1184)))) (-1517 (*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184)))) (-2081 (*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184)))) (-1364 (*1 *1) (-5 *1 (-1184))) (-3878 (*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184)))) (-2766 (*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184)))) (-3507 (*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184)))) (-3696 (*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184))))) 
+(-13 (-1097) (-10 -8 (-15 -3942 ($ (-855))) (-15 -4050 ($ (-855) (-571))) (-15 -4050 ($ (-855) (-571) (-855))) (-15 -2406 ((-1263) $ (-571))) (-15 -2406 ((-1263) $)) (-15 -1517 ((-637 (-1151)) $)) (-15 -2081 ((-637 (-1151)) $)) (-15 -1364 ($)) (-15 -3878 ((-637 (-1151)) $)) (-15 -2766 ((-637 (-1151)) $ (-637 (-1151)))) (-15 -3507 ((-637 (-1151)) $ (-637 (-1151)))) (-15 -3696 ((-637 (-1151)) $ (-637 (-1151)))))) 
+((-2234 (((-121) $ $) NIL)) (-3687 (((-1151) $ (-1151)) 15) (((-1151) $) 14)) (-2155 (((-1151) $ (-1151)) 13)) (-1539 (($ $ (-1151)) NIL)) (-1332 (((-3 (-1151) "failed") $) 11)) (-2662 (((-1151) $) 8)) (-1594 (((-3 (-1151) "failed") $) 12)) (-3043 (((-1151) $) 9)) (-3545 (($ (-393)) NIL) (($ (-393) (-1151)) NIL)) (-3159 (((-393) $) NIL)) (-3944 (((-1151) $) NIL)) (-2072 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-1646 (((-1263) $) NIL)) (-4194 (((-121) $) 17)) (-3942 (((-855) $) NIL)) (-3537 (($ $) NIL)) (-1323 (((-121) $ $) NIL))) 
+(((-1185) (-13 (-368 (-393) (-1151)) (-10 -8 (-15 -3687 ((-1151) $ (-1151))) (-15 -3687 ((-1151) $)) (-15 -2662 ((-1151) $)) (-15 -1332 ((-3 (-1151) "failed") $)) (-15 -1594 ((-3 (-1151) "failed") $)) (-15 -4194 ((-121) $))))) (T -1185)) 
+((-3687 (*1 *2 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1185)))) (-3687 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-1185)))) (-2662 (*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-1185)))) (-1332 (*1 *2 *1) (|partial| -12 (-5 *2 (-1151)) (-5 *1 (-1185)))) (-1594 (*1 *2 *1) (|partial| -12 (-5 *2 (-1151)) (-5 *1 (-1185)))) (-4194 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1185))))) 
+(-13 (-368 (-393) (-1151)) (-10 -8 (-15 -3687 ((-1151) $ (-1151))) (-15 -3687 ((-1151) $)) (-15 -2662 ((-1151) $)) (-15 -1332 ((-3 (-1151) "failed") $)) (-15 -1594 ((-3 (-1151) "failed") $)) (-15 -4194 ((-121) $)))) 
+((-3203 (((-3 (-571) "failed") |#1|) 19)) (-2349 (((-3 (-571) "failed") |#1|) 13)) (-1514 (((-571) (-1151)) 28))) 
+(((-1186 |#1|) (-10 -7 (-15 -3203 ((-3 (-571) "failed") |#1|)) (-15 -2349 ((-3 (-571) "failed") |#1|)) (-15 -1514 ((-571) (-1151)))) (-1053)) (T -1186)) 
+((-1514 (*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-571)) (-5 *1 (-1186 *4)) (-4 *4 (-1053)))) (-2349 (*1 *2 *3) (|partial| -12 (-5 *2 (-571)) (-5 *1 (-1186 *3)) (-4 *3 (-1053)))) (-3203 (*1 *2 *3) (|partial| -12 (-5 *2 (-571)) (-5 *1 (-1186 *3)) (-4 *3 (-1053))))) 
+(-10 -7 (-15 -3203 ((-3 (-571) "failed") |#1|)) (-15 -2349 ((-3 (-571) "failed") |#1|)) (-15 -1514 ((-571) (-1151)))) 
+((-3972 (((-1128 (-216))) 8))) 
+(((-1187) (-10 -7 (-15 -3972 ((-1128 (-216)))))) (T -1187)) 
+((-3972 (*1 *2) (-12 (-5 *2 (-1128 (-216))) (-5 *1 (-1187))))) 
+(-10 -7 (-15 -3972 ((-1128 (-216))))) 
+((-4153 (($) 11)) (-4294 (($ $) 35)) (-4280 (($ $) 33)) (-4211 (($ $) 25)) (-4307 (($ $) 17)) (-2656 (($ $) 15)) (-4301 (($ $) 19)) (-4227 (($ $) 30)) (-4287 (($ $) 34)) (-4215 (($ $) 29))) 
+(((-1188 |#1|) (-10 -8 (-15 -4153 (|#1|)) (-15 -4294 (|#1| |#1|)) (-15 -4280 (|#1| |#1|)) (-15 -4307 (|#1| |#1|)) (-15 -2656 (|#1| |#1|)) (-15 -4301 (|#1| |#1|)) (-15 -4287 (|#1| |#1|)) (-15 -4211 (|#1| |#1|)) (-15 -4227 (|#1| |#1|)) (-15 -4215 (|#1| |#1|))) (-1189)) (T -1188)) 
+NIL 
+(-10 -8 (-15 -4153 (|#1|)) (-15 -4294 (|#1| |#1|)) (-15 -4280 (|#1| |#1|)) (-15 -4307 (|#1| |#1|)) (-15 -2656 (|#1| |#1|)) (-15 -4301 (|#1| |#1|)) (-15 -4287 (|#1| |#1|)) (-15 -4211 (|#1| |#1|)) (-15 -4227 (|#1| |#1|)) (-15 -4215 (|#1| |#1|))) 
+((-4255 (($ $) 26)) (-4192 (($ $) 11)) (-4243 (($ $) 27)) (-4185 (($ $) 10)) (-4266 (($ $) 28)) (-4201 (($ $) 9)) (-4153 (($) 16)) (-3509 (($ $) 19)) (-4148 (($ $) 18)) (-4273 (($ $) 29)) (-4206 (($ $) 8)) (-4260 (($ $) 30)) (-4196 (($ $) 7)) (-4249 (($ $) 31)) (-4188 (($ $) 6)) (-4294 (($ $) 20)) (-4220 (($ $) 32)) (-4280 (($ $) 21)) (-4211 (($ $) 33)) (-4307 (($ $) 22)) (-4232 (($ $) 34)) (-2656 (($ $) 23)) (-4237 (($ $) 35)) (-4301 (($ $) 24)) (-4227 (($ $) 36)) (-4287 (($ $) 25)) (-4215 (($ $) 37)) (** (($ $ $) 17))) 
+(((-1189) (-1289)) (T -1189)) 
+((-4153 (*1 *1) (-4 *1 (-1189)))) 
+(-13 (-1192) (-98) (-505) (-40) (-280) (-10 -8 (-15 -4153 ($)))) 
+(((-40) . T) ((-98) . T) ((-280) . T) ((-505) . T) ((-1192) . T)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2139 ((|#1| $) 17)) (-4107 (($ |#1| (-637 $)) 23) (($ (-637 |#1|)) 27) (($ |#1|) 25)) (-3133 (((-121) $ (-768)) 46)) (-2815 ((|#1| $ |#1|) 14 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 13 (|has| $ (-6 -4601)))) (-2269 (($) NIL T CONST)) (-4034 (((-637 |#1|) $) 50 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 41)) (-4114 (((-121) $ $) 32 (|has| |#1| (-1097)))) (-2262 (((-121) $ (-768)) 39)) (-3488 (((-637 |#1|) $) 51 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 49 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-1923 (($ (-1 |#1| |#1|) $) 24 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 22)) (-3794 (((-121) $ (-768)) 38)) (-3392 (((-637 |#1|) $) 36)) (-2945 (((-121) $) 35)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3160 (((-121) (-1 (-121) |#1|) $) 48 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 73)) (-1828 (((-121) $) 9)) (-1630 (($) 10)) (-3245 ((|#1| $ "value") NIL)) (-2514 (((-571) $ $) 31)) (-2631 (((-637 $) $) 57)) (-2191 (((-121) $ $) 75)) (-1595 (((-637 $) $) 70)) (-4205 (($ $) 71)) (-1664 (((-121) $) 54)) (-1569 (((-768) (-1 (-121) |#1|) $) 20 (|has| $ (-6 -4600))) (((-768) |#1| $) 16 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-4316 (($ $) 56)) (-3942 (((-855) $) 59 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 12)) (-3014 (((-121) $ $) 29 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 47 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 28 (|has| |#1| (-1097)))) (-4001 (((-768) $) 37 (|has| $ (-6 -4600))))) 
+(((-1190 |#1|) (-13 (-1016 |#1|) (-10 -8 (-6 -4600) (-6 -4601) (-15 -4107 ($ |#1| (-637 $))) (-15 -4107 ($ (-637 |#1|))) (-15 -4107 ($ |#1|)) (-15 -1664 ((-121) $)) (-15 -4205 ($ $)) (-15 -1595 ((-637 $) $)) (-15 -2191 ((-121) $ $)) (-15 -2631 ((-637 $) $)))) (-1097)) (T -1190)) 
+((-1664 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1190 *3)) (-4 *3 (-1097)))) (-4107 (*1 *1 *2 *3) (-12 (-5 *3 (-637 (-1190 *2))) (-5 *1 (-1190 *2)) (-4 *2 (-1097)))) (-4107 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-1190 *3)))) (-4107 (*1 *1 *2) (-12 (-5 *1 (-1190 *2)) (-4 *2 (-1097)))) (-4205 (*1 *1 *1) (-12 (-5 *1 (-1190 *2)) (-4 *2 (-1097)))) (-1595 (*1 *2 *1) (-12 (-5 *2 (-637 (-1190 *3))) (-5 *1 (-1190 *3)) (-4 *3 (-1097)))) (-2191 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1190 *3)) (-4 *3 (-1097)))) (-2631 (*1 *2 *1) (-12 (-5 *2 (-637 (-1190 *3))) (-5 *1 (-1190 *3)) (-4 *3 (-1097))))) 
+(-13 (-1016 |#1|) (-10 -8 (-6 -4600) (-6 -4601) (-15 -4107 ($ |#1| (-637 $))) (-15 -4107 ($ (-637 |#1|))) (-15 -4107 ($ |#1|)) (-15 -1664 ((-121) $)) (-15 -4205 ($ $)) (-15 -1595 ((-637 $) $)) (-15 -2191 ((-121) $ $)) (-15 -2631 ((-637 $) $)))) 
+((-4192 (($ $) 15)) (-4201 (($ $) 12)) (-4206 (($ $) 10)) (-4196 (($ $) 17))) 
+(((-1191 |#1|) (-10 -8 (-15 -4196 (|#1| |#1|)) (-15 -4206 (|#1| |#1|)) (-15 -4201 (|#1| |#1|)) (-15 -4192 (|#1| |#1|))) (-1192)) (T -1191)) 
+NIL 
+(-10 -8 (-15 -4196 (|#1| |#1|)) (-15 -4206 (|#1| |#1|)) (-15 -4201 (|#1| |#1|)) (-15 -4192 (|#1| |#1|))) 
+((-4192 (($ $) 11)) (-4185 (($ $) 10)) (-4201 (($ $) 9)) (-4206 (($ $) 8)) (-4196 (($ $) 7)) (-4188 (($ $) 6))) 
+(((-1192) (-1289)) (T -1192)) 
+((-4192 (*1 *1 *1) (-4 *1 (-1192))) (-4185 (*1 *1 *1) (-4 *1 (-1192))) (-4201 (*1 *1 *1) (-4 *1 (-1192))) (-4206 (*1 *1 *1) (-4 *1 (-1192))) (-4196 (*1 *1 *1) (-4 *1 (-1192))) (-4188 (*1 *1 *1) (-4 *1 (-1192)))) 
+(-13 (-10 -8 (-15 -4188 ($ $)) (-15 -4196 ($ $)) (-15 -4206 ($ $)) (-15 -4201 ($ $)) (-15 -4185 ($ $)) (-15 -4192 ($ $)))) 
+((-1793 ((|#2| |#2|) 85)) (-2835 (((-121) |#2|) 25)) (-3327 ((|#2| |#2|) 29)) (-4268 ((|#2| |#2|) 31)) (-4049 ((|#2| |#2| (-1169)) 79) ((|#2| |#2|) 80)) (-1589 (((-170 |#2|) |#2|) 27)) (-2724 ((|#2| |#2| (-1169)) 81) ((|#2| |#2|) 82))) 
+(((-1193 |#1| |#2|) (-10 -7 (-15 -4049 (|#2| |#2|)) (-15 -4049 (|#2| |#2| (-1169))) (-15 -2724 (|#2| |#2|)) (-15 -2724 (|#2| |#2| (-1169))) (-15 -1793 (|#2| |#2|)) (-15 -3327 (|#2| |#2|)) (-15 -4268 (|#2| |#2|)) (-15 -2835 ((-121) |#2|)) (-15 -1589 ((-170 |#2|) |#2|))) (-13 (-456) (-847) (-1043 (-571)) (-633 (-571))) (-13 (-27) (-1189) (-435 |#1|))) (T -1193)) 
+((-1589 (*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-170 *3)) (-5 *1 (-1193 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) (-2835 (*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-121)) (-5 *1 (-1193 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) (-4268 (*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3))))) (-3327 (*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3))))) (-1793 (*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3))))) (-2724 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4))))) (-2724 (*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3))))) (-4049 (*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4))))) (-4049 (*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3)))))) 
+(-10 -7 (-15 -4049 (|#2| |#2|)) (-15 -4049 (|#2| |#2| (-1169))) (-15 -2724 (|#2| |#2|)) (-15 -2724 (|#2| |#2| (-1169))) (-15 -1793 (|#2| |#2|)) (-15 -3327 (|#2| |#2|)) (-15 -4268 (|#2| |#2|)) (-15 -2835 ((-121) |#2|)) (-15 -1589 ((-170 |#2|) |#2|))) 
+((-2555 ((|#4| |#4| |#1|) 27)) (-3217 ((|#4| |#4| |#1|) 28))) 
+(((-1194 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2555 (|#4| |#4| |#1|)) (-15 -3217 (|#4| |#4| |#1|))) (-561) (-378 |#1|) (-378 |#1|) (-682 |#1| |#2| |#3|)) (T -1194)) 
+((-3217 (*1 *2 *2 *3) (-12 (-4 *3 (-561)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-1194 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) (-2555 (*1 *2 *2 *3) (-12 (-4 *3 (-561)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-1194 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5))))) 
+(-10 -7 (-15 -2555 (|#4| |#4| |#1|)) (-15 -3217 (|#4| |#4| |#1|))) 
+((-2737 ((|#2| |#2|) 144)) (-2388 ((|#2| |#2|) 142)) (-4160 ((|#2| |#2|) 134)) (-1400 ((|#2| |#2|) 131)) (-2199 ((|#2| |#2|) 139)) (-2529 ((|#2| |#2|) 127)) (-2595 ((|#2| |#2|) 59)) (-2682 ((|#2| |#2|) 109)) (-2588 ((|#2| |#2|) 89)) (-3402 ((|#2| |#2|) 141)) (-3662 ((|#2| |#2|) 129)) (-4328 ((|#2| |#2|) 149)) (-4353 ((|#2| |#2|) 147)) (-2829 ((|#2| |#2|) 148)) (-2946 ((|#2| |#2|) 146)) (-3002 ((|#2| |#2|) 158)) (-3105 ((|#2| |#2|) 48 (-12 (|has| |#2| (-612 (-892 |#1|))) (|has| |#2| (-886 |#1|)) (|has| |#1| (-612 (-892 |#1|))) (|has| |#1| (-886 |#1|))))) (-2498 ((|#2| |#2|) 90)) (-3587 ((|#2| |#2|) 150)) (-2507 ((|#2| |#2|) 151)) (-2939 ((|#2| |#2|) 140)) (-4031 ((|#2| |#2|) 128)) (-3763 ((|#2| |#2|) 145)) (-3848 ((|#2| |#2|) 143)) (-3897 ((|#2| |#2|) 135)) (-1643 ((|#2| |#2|) 133)) (-1858 ((|#2| |#2|) 137)) (-1298 ((|#2| |#2|) 125))) 
+(((-1195 |#1| |#2|) (-10 -7 (-15 -2507 (|#2| |#2|)) (-15 -2588 (|#2| |#2|)) (-15 -3002 (|#2| |#2|)) (-15 -2682 (|#2| |#2|)) (-15 -2595 (|#2| |#2|)) (-15 -2498 (|#2| |#2|)) (-15 -3587 (|#2| |#2|)) (-15 -1298 (|#2| |#2|)) (-15 -1858 (|#2| |#2|)) (-15 -3897 (|#2| |#2|)) (-15 -3763 (|#2| |#2|)) (-15 -4031 (|#2| |#2|)) (-15 -2939 (|#2| |#2|)) (-15 -3662 (|#2| |#2|)) (-15 -3402 (|#2| |#2|)) (-15 -2529 (|#2| |#2|)) (-15 -2199 (|#2| |#2|)) (-15 -4160 (|#2| |#2|)) (-15 -2737 (|#2| |#2|)) (-15 -1400 (|#2| |#2|)) (-15 -2388 (|#2| |#2|)) (-15 -1643 (|#2| |#2|)) (-15 -3848 (|#2| |#2|)) (-15 -2946 (|#2| |#2|)) (-15 -4353 (|#2| |#2|)) (-15 -2829 (|#2| |#2|)) (-15 -4328 (|#2| |#2|)) (IF (|has| |#1| (-886 |#1|)) (IF (|has| |#1| (-612 (-892 |#1|))) (IF (|has| |#2| (-612 (-892 |#1|))) (IF (|has| |#2| (-886 |#1|)) (-15 -3105 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-13 (-847) (-456)) (-13 (-435 |#1|) (-1189))) (T -1195)) 
+((-3105 (*1 *2 *2) (-12 (-4 *3 (-612 (-892 *3))) (-4 *3 (-886 *3)) (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-612 (-892 *3))) (-4 *2 (-886 *3)) (-4 *2 (-13 (-435 *3) (-1189))))) (-4328 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2829 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-4353 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2946 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-3848 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-1643 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2388 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-1400 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2737 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-4160 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2199 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2529 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-3402 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-3662 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2939 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-4031 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-3763 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-3897 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-1858 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-1298 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-3587 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2498 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2595 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2682 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-3002 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2588 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) (-2507 (*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(-10 -7 (-15 -2507 (|#2| |#2|)) (-15 -2588 (|#2| |#2|)) (-15 -3002 (|#2| |#2|)) (-15 -2682 (|#2| |#2|)) (-15 -2595 (|#2| |#2|)) (-15 -2498 (|#2| |#2|)) (-15 -3587 (|#2| |#2|)) (-15 -1298 (|#2| |#2|)) (-15 -1858 (|#2| |#2|)) (-15 -3897 (|#2| |#2|)) (-15 -3763 (|#2| |#2|)) (-15 -4031 (|#2| |#2|)) (-15 -2939 (|#2| |#2|)) (-15 -3662 (|#2| |#2|)) (-15 -3402 (|#2| |#2|)) (-15 -2529 (|#2| |#2|)) (-15 -2199 (|#2| |#2|)) (-15 -4160 (|#2| |#2|)) (-15 -2737 (|#2| |#2|)) (-15 -1400 (|#2| |#2|)) (-15 -2388 (|#2| |#2|)) (-15 -1643 (|#2| |#2|)) (-15 -3848 (|#2| |#2|)) (-15 -2946 (|#2| |#2|)) (-15 -4353 (|#2| |#2|)) (-15 -2829 (|#2| |#2|)) (-15 -4328 (|#2| |#2|)) (IF (|has| |#1| (-886 |#1|)) (IF (|has| |#1| (-612 (-892 |#1|))) (IF (|has| |#2| (-612 (-892 |#1|))) (IF (|has| |#2| (-886 |#1|)) (-15 -3105 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
+((-3766 (((-121) |#5| $) 59) (((-121) $) 101)) (-3998 ((|#5| |#5| $) 74)) (-2534 (($ (-1 (-121) |#5|) $) NIL) (((-3 |#5| "failed") $ |#4|) 118)) (-3516 (((-637 |#5|) (-637 |#5|) $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 72)) (-3337 (((-3 $ "failed") (-637 |#5|)) 125)) (-4372 (((-3 $ "failed") $) 111)) (-4476 ((|#5| |#5| $) 93)) (-3052 (((-121) |#5| $ (-1 (-121) |#5| |#5|)) 30)) (-3271 ((|#5| |#5| $) 97)) (-3074 ((|#5| (-1 |#5| |#5| |#5|) $ |#5| |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $ |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $) NIL) ((|#5| |#5| $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 68)) (-1770 (((-2 (|:| -2363 (-637 |#5|)) (|:| -3545 (-637 |#5|))) $) 54)) (-1791 (((-121) |#5| $) 57) (((-121) $) 102)) (-2065 ((|#4| $) 107)) (-3220 (((-3 |#5| "failed") $) 109)) (-2551 (((-637 |#5|) $) 48)) (-3554 (((-121) |#5| $) 66) (((-121) $) 106)) (-2347 ((|#5| |#5| $) 80)) (-2075 (((-121) $ $) 26)) (-2240 (((-121) |#5| $) 62) (((-121) $) 104)) (-2444 ((|#5| |#5| $) 77)) (-1827 (((-3 |#5| "failed") $) 108)) (-3140 (($ $ |#5|) 126)) (-2400 (((-768) $) 51)) (-3891 (($ (-637 |#5|)) 123)) (-3985 (($ $ |#4|) 121)) (-1905 (($ $ |#4|) 120)) (-4371 (($ $) 119)) (-3942 (((-855) $) NIL) (((-637 |#5|) $) 112)) (-1930 (((-768) $) 129)) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#5|))) "failed") (-637 |#5|) (-1 (-121) |#5| |#5|)) 42) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#5|))) "failed") (-637 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|)) 44)) (-1875 (((-121) $ (-1 (-121) |#5| (-637 |#5|))) 99)) (-3557 (((-637 |#4|) $) 114)) (-3049 (((-121) |#4| $) 117)) (-1323 (((-121) $ $) 19))) 
+(((-1196 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -1930 ((-768) |#1|)) (-15 -3140 (|#1| |#1| |#5|)) (-15 -2534 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3049 ((-121) |#4| |#1|)) (-15 -3557 ((-637 |#4|) |#1|)) (-15 -4372 ((-3 |#1| "failed") |#1|)) (-15 -3220 ((-3 |#5| "failed") |#1|)) (-15 -1827 ((-3 |#5| "failed") |#1|)) (-15 -3271 (|#5| |#5| |#1|)) (-15 -4371 (|#1| |#1|)) (-15 -4476 (|#5| |#5| |#1|)) (-15 -2347 (|#5| |#5| |#1|)) (-15 -2444 (|#5| |#5| |#1|)) (-15 -3998 (|#5| |#5| |#1|)) (-15 -3516 ((-637 |#5|) (-637 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -3074 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -3554 ((-121) |#1|)) (-15 -2240 ((-121) |#1|)) (-15 -3766 ((-121) |#1|)) (-15 -1875 ((-121) |#1| (-1 (-121) |#5| (-637 |#5|)))) (-15 -3554 ((-121) |#5| |#1|)) (-15 -2240 ((-121) |#5| |#1|)) (-15 -3766 ((-121) |#5| |#1|)) (-15 -3052 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -1791 ((-121) |#1|)) (-15 -1791 ((-121) |#5| |#1|)) (-15 -1770 ((-2 (|:| -2363 (-637 |#5|)) (|:| -3545 (-637 |#5|))) |#1|)) (-15 -2400 ((-768) |#1|)) (-15 -2551 ((-637 |#5|) |#1|)) (-15 -2013 ((-3 (-2 (|:| |bas| |#1|) (|:| -1601 (-637 |#5|))) "failed") (-637 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -2013 ((-3 (-2 (|:| |bas| |#1|) (|:| -1601 (-637 |#5|))) "failed") (-637 |#5|) (-1 (-121) |#5| |#5|))) (-15 -2075 ((-121) |#1| |#1|)) (-15 -3985 (|#1| |#1| |#4|)) (-15 -1905 (|#1| |#1| |#4|)) (-15 -2065 (|#4| |#1|)) (-15 -3337 ((-3 |#1| "failed") (-637 |#5|))) (-15 -3942 ((-637 |#5|) |#1|)) (-15 -3891 (|#1| (-637 |#5|))) (-15 -3074 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -3074 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -2534 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -3074 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -3942 ((-855) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) (-1197 |#2| |#3| |#4| |#5|) (-561) (-793) (-847) (-1067 |#2| |#3| |#4|)) (T -1196)) 
+NIL 
+(-10 -8 (-15 -1930 ((-768) |#1|)) (-15 -3140 (|#1| |#1| |#5|)) (-15 -2534 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3049 ((-121) |#4| |#1|)) (-15 -3557 ((-637 |#4|) |#1|)) (-15 -4372 ((-3 |#1| "failed") |#1|)) (-15 -3220 ((-3 |#5| "failed") |#1|)) (-15 -1827 ((-3 |#5| "failed") |#1|)) (-15 -3271 (|#5| |#5| |#1|)) (-15 -4371 (|#1| |#1|)) (-15 -4476 (|#5| |#5| |#1|)) (-15 -2347 (|#5| |#5| |#1|)) (-15 -2444 (|#5| |#5| |#1|)) (-15 -3998 (|#5| |#5| |#1|)) (-15 -3516 ((-637 |#5|) (-637 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -3074 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -3554 ((-121) |#1|)) (-15 -2240 ((-121) |#1|)) (-15 -3766 ((-121) |#1|)) (-15 -1875 ((-121) |#1| (-1 (-121) |#5| (-637 |#5|)))) (-15 -3554 ((-121) |#5| |#1|)) (-15 -2240 ((-121) |#5| |#1|)) (-15 -3766 ((-121) |#5| |#1|)) (-15 -3052 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -1791 ((-121) |#1|)) (-15 -1791 ((-121) |#5| |#1|)) (-15 -1770 ((-2 (|:| -2363 (-637 |#5|)) (|:| -3545 (-637 |#5|))) |#1|)) (-15 -2400 ((-768) |#1|)) (-15 -2551 ((-637 |#5|) |#1|)) (-15 -2013 ((-3 (-2 (|:| |bas| |#1|) (|:| -1601 (-637 |#5|))) "failed") (-637 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -2013 ((-3 (-2 (|:| |bas| |#1|) (|:| -1601 (-637 |#5|))) "failed") (-637 |#5|) (-1 (-121) |#5| |#5|))) (-15 -2075 ((-121) |#1| |#1|)) (-15 -3985 (|#1| |#1| |#4|)) (-15 -1905 (|#1| |#1| |#4|)) (-15 -2065 (|#4| |#1|)) (-15 -3337 ((-3 |#1| "failed") (-637 |#5|))) (-15 -3942 ((-637 |#5|) |#1|)) (-15 -3891 (|#1| (-637 |#5|))) (-15 -3074 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -3074 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -2534 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -3074 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -3942 ((-855) |#1|)) (-15 -1323 ((-121) |#1| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-2626 (((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 |#4|)))) (-637 |#4|)) 78)) (-2235 (((-637 $) (-637 |#4|)) 79)) (-3424 (((-637 |#3|) $) 32)) (-2927 (((-121) $) 25)) (-4409 (((-121) $) 16 (|has| |#1| (-561)))) (-3766 (((-121) |#4| $) 94) (((-121) $) 90)) (-3998 ((|#4| |#4| $) 85)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) 26)) (-3133 (((-121) $ (-768)) 43)) (-2534 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4600))) (((-3 |#4| "failed") $ |#3|) 72)) (-2269 (($) 44 T CONST)) (-2940 (((-121) $) 21 (|has| |#1| (-561)))) (-4203 (((-121) $ $) 23 (|has| |#1| (-561)))) (-2568 (((-121) $ $) 22 (|has| |#1| (-561)))) (-3455 (((-121) $) 24 (|has| |#1| (-561)))) (-3516 (((-637 |#4|) (-637 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-1372 (((-637 |#4|) (-637 |#4|) $) 17 (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) 18 (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) 35)) (-1316 (($ (-637 |#4|)) 34)) (-4372 (((-3 $ "failed") $) 75)) (-4476 ((|#4| |#4| $) 82)) (-4365 (($ $) 67 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#4| $) 66 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-561)))) (-3052 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-3271 ((|#4| |#4| $) 80)) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4600))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-1770 (((-2 (|:| -2363 (-637 |#4|)) (|:| -3545 (-637 |#4|))) $) 98)) (-4034 (((-637 |#4|) $) 51 (|has| $ (-6 -4600)))) (-1791 (((-121) |#4| $) 97) (((-121) $) 96)) (-2065 ((|#3| $) 33)) (-2262 (((-121) $ (-768)) 42)) (-3488 (((-637 |#4|) $) 52 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) 46)) (-2213 (((-637 |#3|) $) 31)) (-3529 (((-121) |#3| $) 30)) (-3794 (((-121) $ (-768)) 41)) (-3944 (((-1151) $) 9)) (-3220 (((-3 |#4| "failed") $) 76)) (-2551 (((-637 |#4|) $) 100)) (-3554 (((-121) |#4| $) 92) (((-121) $) 88)) (-2347 ((|#4| |#4| $) 83)) (-2075 (((-121) $ $) 103)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-561)))) (-2240 (((-121) |#4| $) 93) (((-121) $) 89)) (-2444 ((|#4| |#4| $) 84)) (-2580 (((-1115) $) 10)) (-1827 (((-3 |#4| "failed") $) 77)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4016 (((-3 $ "failed") $ |#4|) 71)) (-3140 (($ $ |#4|) 70)) (-3160 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) 37)) (-1828 (((-121) $) 40)) (-1630 (($) 39)) (-2400 (((-768) $) 99)) (-1569 (((-768) |#4| $) 53 (-12 (|has| |#4| (-1097)) (|has| $ (-6 -4600)))) (((-768) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4600)))) (-4316 (($ $) 38)) (-4050 (((-544) $) 68 (|has| |#4| (-612 (-544))))) (-3891 (($ (-637 |#4|)) 59)) (-3985 (($ $ |#3|) 27)) (-1905 (($ $ |#3|) 29)) (-4371 (($ $) 81)) (-2031 (($ $ |#3|) 28)) (-3942 (((-855) $) 11) (((-637 |#4|) $) 36)) (-1930 (((-768) $) 69 (|has| |#3| (-373)))) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1875 (((-121) $ (-1 (-121) |#4| (-637 |#4|))) 91)) (-3027 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4600)))) (-3557 (((-637 |#3|) $) 74)) (-3049 (((-121) |#3| $) 73)) (-1323 (((-121) $ $) 6)) (-4001 (((-768) $) 45 (|has| $ (-6 -4600))))) 
+(((-1197 |#1| |#2| |#3| |#4|) (-1289) (-561) (-793) (-847) (-1067 |t#1| |t#2| |t#3|)) (T -1197)) 
+((-2075 (*1 *2 *1 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) (-2013 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1601 (-637 *8)))) (-5 *3 (-637 *8)) (-4 *1 (-1197 *5 *6 *7 *8)))) (-2013 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1067 *6 *7 *8)) (-4 *6 (-561)) (-4 *7 (-793)) (-4 *8 (-847)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1601 (-637 *9)))) (-5 *3 (-637 *9)) (-4 *1 (-1197 *6 *7 *8 *9)))) (-2551 (*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-637 *6)))) (-2400 (*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-768)))) (-1770 (*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-2 (|:| -2363 (-637 *6)) (|:| -3545 (-637 *6)))))) (-1791 (*1 *2 *3 *1) (-12 (-4 *1 (-1197 *4 *5 *6 *3)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121)))) (-1791 (*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) (-3052 (*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1197 *5 *6 *7 *3)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-121)))) (-3766 (*1 *2 *3 *1) (-12 (-4 *1 (-1197 *4 *5 *6 *3)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121)))) (-2240 (*1 *2 *3 *1) (-12 (-4 *1 (-1197 *4 *5 *6 *3)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121)))) (-3554 (*1 *2 *3 *1) (-12 (-4 *1 (-1197 *4 *5 *6 *3)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121)))) (-1875 (*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-637 *7))) (-4 *1 (-1197 *4 *5 *6 *7)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)))) (-3766 (*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) (-2240 (*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) (-3554 (*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) (-3074 (*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1197 *5 *6 *7 *2)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *2 (-1067 *5 *6 *7)))) (-3516 (*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-637 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1197 *5 *6 *7 *8)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)))) (-3998 (*1 *2 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) (-2444 (*1 *2 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) (-2347 (*1 *2 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) (-4476 (*1 *2 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) (-4371 (*1 *1 *1) (-12 (-4 *1 (-1197 *2 *3 *4 *5)) (-4 *2 (-561)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-1067 *2 *3 *4)))) (-3271 (*1 *2 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) (-2235 (*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1197 *4 *5 *6 *7)))) (-2626 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-637 (-2 (|:| -2363 *1) (|:| -3545 (-637 *7))))) (-5 *3 (-637 *7)) (-4 *1 (-1197 *4 *5 *6 *7)))) (-1827 (*1 *2 *1) (|partial| -12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) (-3220 (*1 *2 *1) (|partial| -12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) (-4372 (*1 *1 *1) (|partial| -12 (-4 *1 (-1197 *2 *3 *4 *5)) (-4 *2 (-561)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-1067 *2 *3 *4)))) (-3557 (*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-637 *5)))) (-3049 (*1 *2 *3 *1) (-12 (-4 *1 (-1197 *4 *5 *3 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *3 (-847)) (-4 *6 (-1067 *4 *5 *3)) (-5 *2 (-121)))) (-2534 (*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1197 *4 *5 *3 *2)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *3 (-847)) (-4 *2 (-1067 *4 *5 *3)))) (-4016 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) (-3140 (*1 *1 *1 *2) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) (-1930 (*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *5 (-373)) (-5 *2 (-768))))) 
+(-13 (-983 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-6 -4600) (-6 -4601) (-15 -2075 ((-121) $ $)) (-15 -2013 ((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |t#4|))) "failed") (-637 |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -2013 ((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |t#4|))) "failed") (-637 |t#4|) (-1 (-121) |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -2551 ((-637 |t#4|) $)) (-15 -2400 ((-768) $)) (-15 -1770 ((-2 (|:| -2363 (-637 |t#4|)) (|:| -3545 (-637 |t#4|))) $)) (-15 -1791 ((-121) |t#4| $)) (-15 -1791 ((-121) $)) (-15 -3052 ((-121) |t#4| $ (-1 (-121) |t#4| |t#4|))) (-15 -3766 ((-121) |t#4| $)) (-15 -2240 ((-121) |t#4| $)) (-15 -3554 ((-121) |t#4| $)) (-15 -1875 ((-121) $ (-1 (-121) |t#4| (-637 |t#4|)))) (-15 -3766 ((-121) $)) (-15 -2240 ((-121) $)) (-15 -3554 ((-121) $)) (-15 -3074 (|t#4| |t#4| $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -3516 ((-637 |t#4|) (-637 |t#4|) $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -3998 (|t#4| |t#4| $)) (-15 -2444 (|t#4| |t#4| $)) (-15 -2347 (|t#4| |t#4| $)) (-15 -4476 (|t#4| |t#4| $)) (-15 -4371 ($ $)) (-15 -3271 (|t#4| |t#4| $)) (-15 -2235 ((-637 $) (-637 |t#4|))) (-15 -2626 ((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 |t#4|)))) (-637 |t#4|))) (-15 -1827 ((-3 |t#4| "failed") $)) (-15 -3220 ((-3 |t#4| "failed") $)) (-15 -4372 ((-3 $ "failed") $)) (-15 -3557 ((-637 |t#3|) $)) (-15 -3049 ((-121) |t#3| $)) (-15 -2534 ((-3 |t#4| "failed") $ |t#3|)) (-15 -4016 ((-3 $ "failed") $ |t#4|)) (-15 -3140 ($ $ |t#4|)) (IF (|has| |t#3| (-373)) (-15 -1930 ((-768) $)) |noBranch|))) 
+(((-39) . T) ((-105) . T) ((-611 (-637 |#4|)) . T) ((-611 (-855)) . T) ((-155 |#4|) . T) ((-612 (-544)) |has| |#4| (-612 (-544))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-502 |#4|) . T) ((-526 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))) ((-983 |#1| |#2| |#3| |#4|) . T) ((-1097) . T) ((-1203) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1169)) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-4255 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4243 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4266 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-1887 (((-958 |#1|) $ (-768)) 16) (((-958 |#1|) $ (-768) (-768)) NIL)) (-4124 (((-121) $) NIL)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-768) $ (-1169)) NIL) (((-768) $ (-1169) (-768)) NIL)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3517 (((-121) $) NIL)) (-4289 (($ $ (-637 (-1169)) (-637 (-537 (-1169)))) NIL) (($ $ (-1169) (-537 (-1169))) NIL) (($ |#1| (-537 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3509 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-3403 (($ $ (-1169)) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169) |#1|) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) NIL)) (-3569 (($ (-1 $) (-1169) |#1|) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3140 (($ $ (-768)) NIL)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4148 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4483 (($ $ (-1169) $) NIL) (($ $ (-637 (-1169)) (-637 $)) NIL) (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL)) (-3096 (($ $ (-1169)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL)) (-2400 (((-537 (-1169)) $) NIL)) (-4273 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-561))) (($ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-1169)) NIL) (($ (-958 |#1|)) NIL)) (-3136 ((|#1| $ (-537 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (((-958 |#1|) $ (-768)) NIL)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-4294 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2656 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-1169)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-1198 |#1|) (-13 (-735 |#1| (-1169)) (-10 -8 (-15 -3136 ((-958 |#1|) $ (-768))) (-15 -3942 ($ (-1169))) (-15 -3942 ($ (-958 |#1|))) (IF (|has| |#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ($ $ (-1169) |#1|)) (-15 -3569 ($ (-1 $) (-1169) |#1|))) |noBranch|))) (-1053)) (T -1198)) 
+((-3136 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-958 *4)) (-5 *1 (-1198 *4)) (-4 *4 (-1053)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1198 *3)) (-4 *3 (-1053)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-958 *3)) (-4 *3 (-1053)) (-5 *1 (-1198 *3)))) (-3403 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *1 (-1198 *3)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)))) (-3569 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1198 *4))) (-5 *3 (-1169)) (-5 *1 (-1198 *4)) (-4 *4 (-43 (-412 (-571)))) (-4 *4 (-1053))))) 
+(-13 (-735 |#1| (-1169)) (-10 -8 (-15 -3136 ((-958 |#1|) $ (-768))) (-15 -3942 ($ (-1169))) (-15 -3942 ($ (-958 |#1|))) (IF (|has| |#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ($ $ (-1169) |#1|)) (-15 -3569 ($ (-1 $) (-1169) |#1|))) |noBranch|))) 
+((-1581 (($ |#1| (-637 (-637 (-949 (-216)))) (-121)) 15)) (-3745 (((-121) $ (-121)) 14)) (-2822 (((-121) $) 13)) (-3031 (((-637 (-637 (-949 (-216)))) $) 10)) (-2295 ((|#1| $) 8)) (-1491 (((-121) $) 12))) 
+(((-1199 |#1|) (-10 -8 (-15 -2295 (|#1| $)) (-15 -3031 ((-637 (-637 (-949 (-216)))) $)) (-15 -1491 ((-121) $)) (-15 -2822 ((-121) $)) (-15 -3745 ((-121) $ (-121))) (-15 -1581 ($ |#1| (-637 (-637 (-949 (-216)))) (-121)))) (-981)) (T -1199)) 
+((-1581 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *4 (-121)) (-5 *1 (-1199 *2)) (-4 *2 (-981)))) (-3745 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-981)))) (-2822 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-981)))) (-1491 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-981)))) (-3031 (*1 *2 *1) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *1 (-1199 *3)) (-4 *3 (-981)))) (-2295 (*1 *2 *1) (-12 (-5 *1 (-1199 *2)) (-4 *2 (-981))))) 
+(-10 -8 (-15 -2295 (|#1| $)) (-15 -3031 ((-637 (-637 (-949 (-216)))) $)) (-15 -1491 ((-121) $)) (-15 -2822 ((-121) $)) (-15 -3745 ((-121) $ (-121))) (-15 -1581 ($ |#1| (-637 (-637 (-949 (-216)))) (-121)))) 
+((-4436 (((-949 (-216)) (-949 (-216))) 25)) (-1760 (((-949 (-216)) (-216) (-216) (-216) (-216)) 10)) (-3445 (((-637 (-949 (-216))) (-949 (-216)) (-949 (-216)) (-949 (-216)) (-216) (-637 (-637 (-216)))) 35)) (-2503 (((-216) (-949 (-216)) (-949 (-216))) 21)) (-1389 (((-949 (-216)) (-949 (-216)) (-949 (-216))) 22)) (-1565 (((-637 (-637 (-216))) (-571)) 31)) (-1373 (((-949 (-216)) (-949 (-216)) (-949 (-216))) 20)) (-1367 (((-949 (-216)) (-949 (-216)) (-949 (-216))) 19)) (* (((-949 (-216)) (-216) (-949 (-216))) 18))) 
+(((-1200) (-10 -7 (-15 -1760 ((-949 (-216)) (-216) (-216) (-216) (-216))) (-15 * ((-949 (-216)) (-216) (-949 (-216)))) (-15 -1367 ((-949 (-216)) (-949 (-216)) (-949 (-216)))) (-15 -1373 ((-949 (-216)) (-949 (-216)) (-949 (-216)))) (-15 -2503 ((-216) (-949 (-216)) (-949 (-216)))) (-15 -1389 ((-949 (-216)) (-949 (-216)) (-949 (-216)))) (-15 -4436 ((-949 (-216)) (-949 (-216)))) (-15 -1565 ((-637 (-637 (-216))) (-571))) (-15 -3445 ((-637 (-949 (-216))) (-949 (-216)) (-949 (-216)) (-949 (-216)) (-216) (-637 (-637 (-216))))))) (T -1200)) 
+((-3445 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-637 (-637 (-216)))) (-5 *4 (-216)) (-5 *2 (-637 (-949 *4))) (-5 *1 (-1200)) (-5 *3 (-949 *4)))) (-1565 (*1 *2 *3) (-12 (-5 *3 (-571)) (-5 *2 (-637 (-637 (-216)))) (-5 *1 (-1200)))) (-4436 (*1 *2 *2) (-12 (-5 *2 (-949 (-216))) (-5 *1 (-1200)))) (-1389 (*1 *2 *2 *2) (-12 (-5 *2 (-949 (-216))) (-5 *1 (-1200)))) (-2503 (*1 *2 *3 *3) (-12 (-5 *3 (-949 (-216))) (-5 *2 (-216)) (-5 *1 (-1200)))) (-1373 (*1 *2 *2 *2) (-12 (-5 *2 (-949 (-216))) (-5 *1 (-1200)))) (-1367 (*1 *2 *2 *2) (-12 (-5 *2 (-949 (-216))) (-5 *1 (-1200)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-949 (-216))) (-5 *3 (-216)) (-5 *1 (-1200)))) (-1760 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-949 (-216))) (-5 *1 (-1200)) (-5 *3 (-216))))) 
+(-10 -7 (-15 -1760 ((-949 (-216)) (-216) (-216) (-216) (-216))) (-15 * ((-949 (-216)) (-216) (-949 (-216)))) (-15 -1367 ((-949 (-216)) (-949 (-216)) (-949 (-216)))) (-15 -1373 ((-949 (-216)) (-949 (-216)) (-949 (-216)))) (-15 -2503 ((-216) (-949 (-216)) (-949 (-216)))) (-15 -1389 ((-949 (-216)) (-949 (-216)) (-949 (-216)))) (-15 -4436 ((-949 (-216)) (-949 (-216)))) (-15 -1565 ((-637 (-637 (-216))) (-571))) (-15 -3445 ((-637 (-949 (-216))) (-949 (-216)) (-949 (-216)) (-949 (-216)) (-216) (-637 (-637 (-216)))))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-2534 ((|#1| $ (-768)) 13)) (-3158 (((-768) $) 12)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-3942 (((-964 |#1|) $) 10) (($ (-964 |#1|)) 9) (((-855) $) 23 (|has| |#1| (-1097)))) (-1323 (((-121) $ $) 16 (|has| |#1| (-1097))))) 
+(((-1201 |#1|) (-13 (-611 (-964 |#1|)) (-10 -8 (-15 -3942 ($ (-964 |#1|))) (-15 -2534 (|#1| $ (-768))) (-15 -3158 ((-768) $)) (IF (|has| |#1| (-1097)) (-6 (-1097)) |noBranch|))) (-1203)) (T -1201)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-964 *3)) (-4 *3 (-1203)) (-5 *1 (-1201 *3)))) (-2534 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *1 (-1201 *2)) (-4 *2 (-1203)))) (-3158 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1201 *3)) (-4 *3 (-1203))))) 
+(-13 (-611 (-964 |#1|)) (-10 -8 (-15 -3942 ($ (-964 |#1|))) (-15 -2534 (|#1| $ (-768))) (-15 -3158 ((-768) $)) (IF (|has| |#1| (-1097)) (-6 (-1097)) |noBranch|))) 
+((-3603 (((-423 (-1165 (-1165 |#1|))) (-1165 (-1165 |#1|)) (-571)) 79)) (-1749 (((-423 (-1165 (-1165 |#1|))) (-1165 (-1165 |#1|))) 73)) (-2494 (((-423 (-1165 (-1165 |#1|))) (-1165 (-1165 |#1|))) 58))) 
+(((-1202 |#1|) (-10 -7 (-15 -1749 ((-423 (-1165 (-1165 |#1|))) (-1165 (-1165 |#1|)))) (-15 -2494 ((-423 (-1165 (-1165 |#1|))) (-1165 (-1165 |#1|)))) (-15 -3603 ((-423 (-1165 (-1165 |#1|))) (-1165 (-1165 |#1|)) (-571)))) (-352)) (T -1202)) 
+((-3603 (*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-352)) (-5 *2 (-423 (-1165 (-1165 *5)))) (-5 *1 (-1202 *5)) (-5 *3 (-1165 (-1165 *5))))) (-2494 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 (-1165 (-1165 *4)))) (-5 *1 (-1202 *4)) (-5 *3 (-1165 (-1165 *4))))) (-1749 (*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 (-1165 (-1165 *4)))) (-5 *1 (-1202 *4)) (-5 *3 (-1165 (-1165 *4)))))) 
+(-10 -7 (-15 -1749 ((-423 (-1165 (-1165 |#1|))) (-1165 (-1165 |#1|)))) (-15 -2494 ((-423 (-1165 (-1165 |#1|))) (-1165 (-1165 |#1|)))) (-15 -3603 ((-423 (-1165 (-1165 |#1|))) (-1165 (-1165 |#1|)) (-571)))) 
+NIL 
+(((-1203) (-1289)) (T -1203)) 
+NIL 
+(-13 (-10 -7 (-6 -3348))) 
+((-2234 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-4137 (($ (-768) (-768)) NIL)) (-2657 (($ $ $) NIL)) (-2889 (($ (-1205)) NIL) (($ $) NIL)) (-4359 (((-121) $) NIL)) (-3609 (($ $ (-571) (-571)) NIL)) (-4464 (($ $ (-571) (-571)) NIL)) (-3657 (($ $ (-571) (-571) (-571) (-571)) NIL)) (-2797 (($ $) NIL)) (-2209 (((-121) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2316 (($ $ (-571) (-571) $) NIL)) (-3251 (((-571) $ (-571) (-571) (-571)) 17) (($ $ (-637 (-571)) (-637 (-571)) $) NIL)) (-2071 (($ $ (-571) (-1205)) NIL)) (-1635 (($ $ (-571) (-1205)) NIL)) (-1986 (($ (-768) (-571)) NIL)) (-2269 (($) NIL T CONST)) (-2986 (($ $) NIL (|has| (-571) (-302)))) (-4336 (((-1205) $ (-571)) NIL)) (-3241 (((-768) $) NIL (|has| (-571) (-561)))) (-2922 (((-571) $ (-571) (-571) (-571)) 16)) (-1356 (($ (-571) (-571)) 19)) (-4319 (((-571) $ (-571) (-571)) 14)) (-2430 (((-571) $) NIL (|has| (-571) (-173)))) (-4034 (((-637 (-571)) $) NIL)) (-3709 (((-768) $) NIL (|has| (-571) (-561)))) (-2855 (((-637 (-1205)) $) NIL (|has| (-571) (-561)))) (-3673 (((-768) $) 10)) (-1364 (($ (-768) (-768) (-571)) 20)) (-3682 (((-768) $) 11)) (-2262 (((-121) $ (-768)) NIL)) (-1997 (((-571) $) NIL (|has| (-571) (-6 (-4602 "*"))))) (-1950 (((-571) $) 7)) (-3325 (((-571) $) 8)) (-3488 (((-637 (-571)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-4239 (((-571) $) 12)) (-4395 (((-571) $) 13)) (-3567 (($ (-637 (-637 (-571)))) NIL) (($ (-768) (-768) (-1 (-571) (-571) (-571))) NIL)) (-1923 (($ (-1 (-571) (-571)) $) NIL)) (-3799 (($ (-1 (-571) (-571)) $) NIL) (($ (-1 (-571) (-571) (-571)) $ $) NIL) (($ (-1 (-571) (-571) (-571)) $ $ (-571)) NIL)) (-3818 (((-637 (-637 (-571))) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| (-571) (-1097)))) (-1774 (((-3 $ "failed") $) NIL (|has| (-571) (-367)))) (-1685 (($ $ $) NIL)) (-2580 (((-1115) $) NIL (|has| (-571) (-1097)))) (-4411 (($ $ (-571)) NIL)) (-1786 (((-3 $ "failed") $ (-571)) NIL (|has| (-571) (-561)))) (-3160 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-571)))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-289 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-571) (-571)) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-637 (-571)) (-637 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 18)) (-3245 (((-571) $ (-571) (-571)) 15) (((-571) $ (-571) (-571) (-571)) NIL) (($ $ (-637 (-571)) (-637 (-571))) NIL)) (-2949 (($ (-637 (-571))) NIL) (($ (-637 $)) NIL)) (-4208 (((-121) $) NIL)) (-3182 (((-571) $) NIL (|has| (-571) (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600))) (((-768) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-4316 (($ $) NIL)) (-1667 (((-637 (-1205)) $) NIL (|has| (-571) (-302)))) (-2852 (((-1205) $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| (-571) (-1097))) (($ (-1205)) NIL)) (-3027 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-1323 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-1379 (($ $ (-571)) NIL (|has| (-571) (-367)))) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| (-571) (-367)))) (* (($ $ $) NIL) (($ (-571) $) NIL) (($ $ (-571)) NIL) (($ (-571) $) NIL) (((-1205) $ (-1205)) NIL) (((-1205) (-1205) $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1204) (-13 (-682 (-571) (-1205) (-1205)) (-10 -8 (-15 -1356 ($ (-571) (-571)))))) (T -1204)) 
+((-1356 (*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1204))))) 
+(-13 (-682 (-571) (-1205) (-1205)) (-10 -8 (-15 -1356 ($ (-571) (-571))))) 
+((-2234 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) (-571) (-571)) $) NIL) (((-121) $) NIL (|has| (-571) (-847)))) (-3652 (($ (-1 (-121) (-571) (-571)) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| (-571) (-847))))) (-2972 (($ (-1 (-121) (-571) (-571)) $) NIL) (($ $) NIL (|has| (-571) (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 (((-571) $ (-571) (-571)) 15 (|has| $ (-6 -4601))) (((-571) $ (-1224 (-571)) (-571)) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3412 (($ (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097)))) (($ (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-571) (-1 (-571) (-571) (-571)) $ (-571) (-571)) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097)))) (((-571) (-1 (-571) (-571) (-571)) $ (-571)) NIL (|has| $ (-6 -4600))) (((-571) (-1 (-571) (-571) (-571)) $) NIL (|has| $ (-6 -4600)))) (-2922 (((-571) $ (-571) (-571)) 14 (|has| $ (-6 -4601)))) (-4319 (((-571) $ (-571)) 12)) (-3984 (((-571) (-1 (-121) (-571)) $) NIL) (((-571) (-571) $) NIL (|has| (-571) (-1097))) (((-571) (-571) $ (-571)) NIL (|has| (-571) (-1097)))) (-4034 (((-637 (-571)) $) NIL (|has| $ (-6 -4600)))) (-1364 (($ (-768) (-571)) 11)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 9 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| (-571) (-847)))) (-3491 (($ (-1 (-121) (-571) (-571)) $ $) NIL) (($ $ $) NIL (|has| (-571) (-847)))) (-3488 (((-637 (-571)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-571) (-847)))) (-1923 (($ (-1 (-571) (-571)) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-571) (-571)) $) NIL) (($ (-1 (-571) (-571) (-571)) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| (-571) (-1097)))) (-2594 (($ (-571) $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| (-571) (-1097)))) (-1827 (((-571) $) NIL (|has| (-571) (-847)))) (-3765 (((-3 (-571) "failed") (-1 (-121) (-571)) $) NIL)) (-4411 (($ $ (-571)) 16 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-571)))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-289 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-571) (-571)) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-637 (-571)) (-637 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3909 (((-637 (-571)) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 10)) (-3245 (((-571) $ (-571) (-571)) NIL) (((-571) $ (-571)) 13) (($ $ (-1224 (-571))) NIL)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1569 (((-768) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600))) (((-768) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-571) (-612 (-544))))) (-3891 (($ (-637 (-571))) NIL)) (-4498 (($ $ (-571)) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| (-571) (-1097)))) (-3027 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1323 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-1342 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-571) (-847)))) (-4001 (((-768) $) 7 (|has| $ (-6 -4600))))) 
+(((-1205) (-19 (-571))) (T -1205)) 
+NIL 
+(-19 (-571)) 
+((-2234 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-4137 (($ (-768) (-768)) NIL)) (-2657 (($ $ $) NIL)) (-2889 (($ (-1207)) NIL) (($ $) NIL)) (-4359 (((-121) $) NIL)) (-3609 (($ $ (-571) (-571)) NIL)) (-4464 (($ $ (-571) (-571)) NIL)) (-3657 (($ $ (-571) (-571) (-571) (-571)) NIL)) (-2797 (($ $) NIL)) (-2209 (((-121) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2316 (($ $ (-571) (-571) $) NIL)) (-3251 (((-571) $ (-571) (-571) (-571)) 17) (($ $ (-637 (-571)) (-637 (-571)) $) NIL)) (-2071 (($ $ (-571) (-1207)) NIL)) (-1635 (($ $ (-571) (-1207)) NIL)) (-1986 (($ (-768) (-571)) NIL)) (-2269 (($) NIL T CONST)) (-2986 (($ $) NIL (|has| (-571) (-302)))) (-4336 (((-1207) $ (-571)) NIL)) (-3241 (((-768) $) NIL (|has| (-571) (-561)))) (-2922 (((-571) $ (-571) (-571) (-571)) 16)) (-1356 (($ (-571) (-571)) 19)) (-4319 (((-571) $ (-571) (-571)) 14)) (-2430 (((-571) $) NIL (|has| (-571) (-173)))) (-4034 (((-637 (-571)) $) NIL)) (-3709 (((-768) $) NIL (|has| (-571) (-561)))) (-2855 (((-637 (-1207)) $) NIL (|has| (-571) (-561)))) (-3673 (((-768) $) 10)) (-1364 (($ (-768) (-768) (-571)) 20)) (-3682 (((-768) $) 11)) (-2262 (((-121) $ (-768)) NIL)) (-1997 (((-571) $) NIL (|has| (-571) (-6 (-4602 "*"))))) (-1950 (((-571) $) 7)) (-3325 (((-571) $) 8)) (-3488 (((-637 (-571)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-4239 (((-571) $) 12)) (-4395 (((-571) $) 13)) (-3567 (($ (-637 (-637 (-571)))) NIL) (($ (-768) (-768) (-1 (-571) (-571) (-571))) NIL)) (-1923 (($ (-1 (-571) (-571)) $) NIL)) (-3799 (($ (-1 (-571) (-571)) $) NIL) (($ (-1 (-571) (-571) (-571)) $ $) NIL) (($ (-1 (-571) (-571) (-571)) $ $ (-571)) NIL)) (-3818 (((-637 (-637 (-571))) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| (-571) (-1097)))) (-1774 (((-3 $ "failed") $) NIL (|has| (-571) (-367)))) (-1685 (($ $ $) NIL)) (-2580 (((-1115) $) NIL (|has| (-571) (-1097)))) (-4411 (($ $ (-571)) NIL)) (-1786 (((-3 $ "failed") $ (-571)) NIL (|has| (-571) (-561)))) (-3160 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-571)))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-289 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-571) (-571)) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-637 (-571)) (-637 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 18)) (-3245 (((-571) $ (-571) (-571)) 15) (((-571) $ (-571) (-571) (-571)) NIL) (($ $ (-637 (-571)) (-637 (-571))) NIL)) (-2949 (($ (-637 (-571))) NIL) (($ (-637 $)) NIL)) (-4208 (((-121) $) NIL)) (-3182 (((-571) $) NIL (|has| (-571) (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600))) (((-768) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-4316 (($ $) NIL)) (-1667 (((-637 (-1207)) $) NIL (|has| (-571) (-302)))) (-2852 (((-1207) $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| (-571) (-1097))) (($ (-1207)) NIL)) (-3027 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-1323 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-1379 (($ $ (-571)) NIL (|has| (-571) (-367)))) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| (-571) (-367)))) (* (($ $ $) NIL) (($ (-571) $) NIL) (($ $ (-571)) NIL) (($ (-571) $) NIL) (((-1207) $ (-1207)) NIL) (((-1207) (-1207) $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1206) (-13 (-682 (-571) (-1207) (-1207)) (-10 -8 (-15 -1356 ($ (-571) (-571)))))) (T -1206)) 
+((-1356 (*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1206))))) 
+(-13 (-682 (-571) (-1207) (-1207)) (-10 -8 (-15 -1356 ($ (-571) (-571))))) 
+((-2234 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) (-571) (-571)) $) NIL) (((-121) $) NIL (|has| (-571) (-847)))) (-3652 (($ (-1 (-121) (-571) (-571)) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| (-571) (-847))))) (-2972 (($ (-1 (-121) (-571) (-571)) $) NIL) (($ $) NIL (|has| (-571) (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 (((-571) $ (-571) (-571)) 15 (|has| $ (-6 -4601))) (((-571) $ (-1224 (-571)) (-571)) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3412 (($ (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097)))) (($ (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-571) (-1 (-571) (-571) (-571)) $ (-571) (-571)) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097)))) (((-571) (-1 (-571) (-571) (-571)) $ (-571)) NIL (|has| $ (-6 -4600))) (((-571) (-1 (-571) (-571) (-571)) $) NIL (|has| $ (-6 -4600)))) (-2922 (((-571) $ (-571) (-571)) 14 (|has| $ (-6 -4601)))) (-4319 (((-571) $ (-571)) 12)) (-3984 (((-571) (-1 (-121) (-571)) $) NIL) (((-571) (-571) $) NIL (|has| (-571) (-1097))) (((-571) (-571) $ (-571)) NIL (|has| (-571) (-1097)))) (-4034 (((-637 (-571)) $) NIL (|has| $ (-6 -4600)))) (-1364 (($ (-768) (-571)) 11)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 9 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| (-571) (-847)))) (-3491 (($ (-1 (-121) (-571) (-571)) $ $) NIL) (($ $ $) NIL (|has| (-571) (-847)))) (-3488 (((-637 (-571)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-571) (-847)))) (-1923 (($ (-1 (-571) (-571)) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-571) (-571)) $) NIL) (($ (-1 (-571) (-571) (-571)) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| (-571) (-1097)))) (-2594 (($ (-571) $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| (-571) (-1097)))) (-1827 (((-571) $) NIL (|has| (-571) (-847)))) (-3765 (((-3 (-571) "failed") (-1 (-121) (-571)) $) NIL)) (-4411 (($ $ (-571)) 16 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-571)))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-289 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-571) (-571)) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-637 (-571)) (-637 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3909 (((-637 (-571)) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 10)) (-3245 (((-571) $ (-571) (-571)) NIL) (((-571) $ (-571)) 13) (($ $ (-1224 (-571))) NIL)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1569 (((-768) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600))) (((-768) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-571) (-612 (-544))))) (-3891 (($ (-637 (-571))) NIL)) (-4498 (($ $ (-571)) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| (-571) (-1097)))) (-3027 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1323 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-1342 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-571) (-847)))) (-4001 (((-768) $) 7 (|has| $ (-6 -4600))))) 
+(((-1207) (-19 (-571))) (T -1207)) 
+NIL 
+(-19 (-571)) 
+((-2234 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-4137 (($ (-768) (-768)) NIL)) (-2657 (($ $ $) NIL)) (-2889 (($ (-1209)) NIL) (($ $) NIL)) (-4359 (((-121) $) NIL)) (-3609 (($ $ (-571) (-571)) NIL)) (-4464 (($ $ (-571) (-571)) NIL)) (-3657 (($ $ (-571) (-571) (-571) (-571)) NIL)) (-2797 (($ $) NIL)) (-2209 (((-121) $) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2316 (($ $ (-571) (-571) $) NIL)) (-3251 (((-571) $ (-571) (-571) (-571)) 17) (($ $ (-637 (-571)) (-637 (-571)) $) NIL)) (-2071 (($ $ (-571) (-1209)) NIL)) (-1635 (($ $ (-571) (-1209)) NIL)) (-1986 (($ (-768) (-571)) NIL)) (-2269 (($) NIL T CONST)) (-2986 (($ $) NIL (|has| (-571) (-302)))) (-4336 (((-1209) $ (-571)) NIL)) (-3241 (((-768) $) NIL (|has| (-571) (-561)))) (-2922 (((-571) $ (-571) (-571) (-571)) 16)) (-1356 (($ (-571) (-571)) 19)) (-4319 (((-571) $ (-571) (-571)) 14)) (-2430 (((-571) $) NIL (|has| (-571) (-173)))) (-4034 (((-637 (-571)) $) NIL)) (-3709 (((-768) $) NIL (|has| (-571) (-561)))) (-2855 (((-637 (-1209)) $) NIL (|has| (-571) (-561)))) (-3673 (((-768) $) 10)) (-1364 (($ (-768) (-768) (-571)) 20)) (-3682 (((-768) $) 11)) (-2262 (((-121) $ (-768)) NIL)) (-1997 (((-571) $) NIL (|has| (-571) (-6 (-4602 "*"))))) (-1950 (((-571) $) 7)) (-3325 (((-571) $) 8)) (-3488 (((-637 (-571)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-4239 (((-571) $) 12)) (-4395 (((-571) $) 13)) (-3567 (($ (-637 (-637 (-571)))) NIL) (($ (-768) (-768) (-1 (-571) (-571) (-571))) NIL)) (-1923 (($ (-1 (-571) (-571)) $) NIL)) (-3799 (($ (-1 (-571) (-571)) $) NIL) (($ (-1 (-571) (-571) (-571)) $ $) NIL) (($ (-1 (-571) (-571) (-571)) $ $ (-571)) NIL)) (-3818 (((-637 (-637 (-571))) $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| (-571) (-1097)))) (-1774 (((-3 $ "failed") $) NIL (|has| (-571) (-367)))) (-1685 (($ $ $) NIL)) (-2580 (((-1115) $) NIL (|has| (-571) (-1097)))) (-4411 (($ $ (-571)) NIL)) (-1786 (((-3 $ "failed") $ (-571)) NIL (|has| (-571) (-561)))) (-3160 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-571)))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-289 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-571) (-571)) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-637 (-571)) (-637 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 18)) (-3245 (((-571) $ (-571) (-571)) 15) (((-571) $ (-571) (-571) (-571)) NIL) (($ $ (-637 (-571)) (-637 (-571))) NIL)) (-2949 (($ (-637 (-571))) NIL) (($ (-637 $)) NIL)) (-4208 (((-121) $) NIL)) (-3182 (((-571) $) NIL (|has| (-571) (-6 (-4602 "*"))))) (-1569 (((-768) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600))) (((-768) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-4316 (($ $) NIL)) (-1667 (((-637 (-1209)) $) NIL (|has| (-571) (-302)))) (-2852 (((-1209) $ (-571)) NIL)) (-3942 (((-855) $) NIL (|has| (-571) (-1097))) (($ (-1209)) NIL)) (-3027 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-4423 (((-121) $) NIL)) (-1323 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-1379 (($ $ (-571)) NIL (|has| (-571) (-367)))) (-1373 (($ $ $) NIL) (($ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| (-571) (-367)))) (* (($ $ $) NIL) (($ (-571) $) NIL) (($ $ (-571)) NIL) (($ (-571) $) NIL) (((-1209) $ (-1209)) NIL) (((-1209) (-1209) $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1208) (-13 (-682 (-571) (-1209) (-1209)) (-10 -8 (-15 -1356 ($ (-571) (-571)))))) (T -1208)) 
+((-1356 (*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1208))))) 
+(-13 (-682 (-571) (-1209) (-1209)) (-10 -8 (-15 -1356 ($ (-571) (-571))))) 
+((-2234 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) (-571) (-571)) $) NIL) (((-121) $) NIL (|has| (-571) (-847)))) (-3652 (($ (-1 (-121) (-571) (-571)) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| (-571) (-847))))) (-2972 (($ (-1 (-121) (-571) (-571)) $) NIL) (($ $) NIL (|has| (-571) (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 (((-571) $ (-571) (-571)) 15 (|has| $ (-6 -4601))) (((-571) $ (-1224 (-571)) (-571)) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3412 (($ (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097)))) (($ (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-3074 (((-571) (-1 (-571) (-571) (-571)) $ (-571) (-571)) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097)))) (((-571) (-1 (-571) (-571) (-571)) $ (-571)) NIL (|has| $ (-6 -4600))) (((-571) (-1 (-571) (-571) (-571)) $) NIL (|has| $ (-6 -4600)))) (-2922 (((-571) $ (-571) (-571)) 14 (|has| $ (-6 -4601)))) (-4319 (((-571) $ (-571)) 12)) (-3984 (((-571) (-1 (-121) (-571)) $) NIL) (((-571) (-571) $) NIL (|has| (-571) (-1097))) (((-571) (-571) $ (-571)) NIL (|has| (-571) (-1097)))) (-4034 (((-637 (-571)) $) NIL (|has| $ (-6 -4600)))) (-1364 (($ (-768) (-571)) 11)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) 9 (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| (-571) (-847)))) (-3491 (($ (-1 (-121) (-571) (-571)) $ $) NIL) (($ $ $) NIL (|has| (-571) (-847)))) (-3488 (((-637 (-571)) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| (-571) (-847)))) (-1923 (($ (-1 (-571) (-571)) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 (-571) (-571)) $) NIL) (($ (-1 (-571) (-571) (-571)) $ $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL (|has| (-571) (-1097)))) (-2594 (($ (-571) $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| (-571) (-1097)))) (-1827 (((-571) $) NIL (|has| (-571) (-847)))) (-3765 (((-3 (-571) "failed") (-1 (-121) (-571)) $) NIL)) (-4411 (($ $ (-571)) 16 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 (-571)))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-289 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-571) (-571)) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097)))) (($ $ (-637 (-571)) (-637 (-571))) NIL (-12 (|has| (-571) (-304 (-571))) (|has| (-571) (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3909 (((-637 (-571)) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) 10)) (-3245 (((-571) $ (-571) (-571)) NIL) (((-571) $ (-571)) 13) (($ $ (-1224 (-571))) NIL)) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1569 (((-768) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600))) (((-768) (-571) $) NIL (-12 (|has| $ (-6 -4600)) (|has| (-571) (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| (-571) (-612 (-544))))) (-3891 (($ (-637 (-571))) NIL)) (-4498 (($ $ (-571)) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| (-571) (-1097)))) (-3027 (((-121) (-1 (-121) (-571)) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1338 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1323 (((-121) $ $) NIL (|has| (-571) (-1097)))) (-1342 (((-121) $ $) NIL (|has| (-571) (-847)))) (-1331 (((-121) $ $) NIL (|has| (-571) (-847)))) (-4001 (((-768) $) 7 (|has| $ (-6 -4600))))) 
+(((-1209) (-19 (-571))) (T -1209)) 
+NIL 
+(-19 (-571)) 
+((-2636 (((-121)) 14)) (-3858 (((-1263) (-637 |#1|) (-637 |#1|)) 18) (((-1263) (-637 |#1|)) 19)) (-2262 (((-121) |#1| |#1|) 30 (|has| |#1| (-847)))) (-3794 (((-121) |#1| |#1| (-1 (-121) |#1| |#1|)) 26) (((-3 (-121) "failed") |#1| |#1|) 24)) (-1344 ((|#1| (-637 |#1|)) 31 (|has| |#1| (-847))) ((|#1| (-637 |#1|) (-1 (-121) |#1| |#1|)) 27)) (-3024 (((-2 (|:| -3894 (-637 |#1|)) (|:| -2436 (-637 |#1|)))) 16))) 
+(((-1210 |#1|) (-10 -7 (-15 -3858 ((-1263) (-637 |#1|))) (-15 -3858 ((-1263) (-637 |#1|) (-637 |#1|))) (-15 -3024 ((-2 (|:| -3894 (-637 |#1|)) (|:| -2436 (-637 |#1|))))) (-15 -3794 ((-3 (-121) "failed") |#1| |#1|)) (-15 -3794 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -1344 (|#1| (-637 |#1|) (-1 (-121) |#1| |#1|))) (-15 -2636 ((-121))) (IF (|has| |#1| (-847)) (PROGN (-15 -1344 (|#1| (-637 |#1|))) (-15 -2262 ((-121) |#1| |#1|))) |noBranch|)) (-1097)) (T -1210)) 
+((-2262 (*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1210 *3)) (-4 *3 (-847)) (-4 *3 (-1097)))) (-1344 (*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-1097)) (-4 *2 (-847)) (-5 *1 (-1210 *2)))) (-2636 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1210 *3)) (-4 *3 (-1097)))) (-1344 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1210 *2)) (-4 *2 (-1097)))) (-3794 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1097)) (-5 *2 (-121)) (-5 *1 (-1210 *3)))) (-3794 (*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1210 *3)) (-4 *3 (-1097)))) (-3024 (*1 *2) (-12 (-5 *2 (-2 (|:| -3894 (-637 *3)) (|:| -2436 (-637 *3)))) (-5 *1 (-1210 *3)) (-4 *3 (-1097)))) (-3858 (*1 *2 *3 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1097)) (-5 *2 (-1263)) (-5 *1 (-1210 *4)))) (-3858 (*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1097)) (-5 *2 (-1263)) (-5 *1 (-1210 *4))))) 
+(-10 -7 (-15 -3858 ((-1263) (-637 |#1|))) (-15 -3858 ((-1263) (-637 |#1|) (-637 |#1|))) (-15 -3024 ((-2 (|:| -3894 (-637 |#1|)) (|:| -2436 (-637 |#1|))))) (-15 -3794 ((-3 (-121) "failed") |#1| |#1|)) (-15 -3794 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -1344 (|#1| (-637 |#1|) (-1 (-121) |#1| |#1|))) (-15 -2636 ((-121))) (IF (|has| |#1| (-847)) (PROGN (-15 -1344 (|#1| (-637 |#1|))) (-15 -2262 ((-121) |#1| |#1|))) |noBranch|)) 
+((-4015 (((-1263) (-637 (-1169)) (-637 (-1169))) 12) (((-1263) (-637 (-1169))) 10)) (-3243 (((-1263)) 13)) (-4222 (((-2 (|:| -2436 (-637 (-1169))) (|:| -3894 (-637 (-1169))))) 17))) 
+(((-1211) (-10 -7 (-15 -4015 ((-1263) (-637 (-1169)))) (-15 -4015 ((-1263) (-637 (-1169)) (-637 (-1169)))) (-15 -4222 ((-2 (|:| -2436 (-637 (-1169))) (|:| -3894 (-637 (-1169)))))) (-15 -3243 ((-1263))))) (T -1211)) 
+((-3243 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1211)))) (-4222 (*1 *2) (-12 (-5 *2 (-2 (|:| -2436 (-637 (-1169))) (|:| -3894 (-637 (-1169))))) (-5 *1 (-1211)))) (-4015 (*1 *2 *3 *3) (-12 (-5 *3 (-637 (-1169))) (-5 *2 (-1263)) (-5 *1 (-1211)))) (-4015 (*1 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-5 *2 (-1263)) (-5 *1 (-1211))))) 
+(-10 -7 (-15 -4015 ((-1263) (-637 (-1169)))) (-15 -4015 ((-1263) (-637 (-1169)) (-637 (-1169)))) (-15 -4222 ((-2 (|:| -2436 (-637 (-1169))) (|:| -3894 (-637 (-1169)))))) (-15 -3243 ((-1263)))) 
+((-2356 (($ $) 16)) (-1596 (((-121) $) 23))) 
+(((-1212 |#1|) (-10 -8 (-15 -2356 (|#1| |#1|)) (-15 -1596 ((-121) |#1|))) (-1213)) (T -1212)) 
+NIL 
+(-10 -8 (-15 -2356 (|#1| |#1|)) (-15 -1596 ((-121) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 49)) (-4151 (((-423 $) $) 50)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-1596 (((-121) $) 51)) (-2583 (((-121) $) 30)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-4262 (((-423 $) $) 48)) (-1786 (((-3 $ "failed") $ $) 41)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42)) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23))) 
+(((-1213) (-1289)) (T -1213)) 
+((-1596 (*1 *2 *1) (-12 (-4 *1 (-1213)) (-5 *2 (-121)))) (-4151 (*1 *2 *1) (-12 (-5 *2 (-423 *1)) (-4 *1 (-1213)))) (-2356 (*1 *1 *1) (-4 *1 (-1213))) (-4262 (*1 *2 *1) (-12 (-5 *2 (-423 *1)) (-4 *1 (-1213))))) 
+(-13 (-456) (-10 -8 (-15 -1596 ((-121) $)) (-15 -4151 ((-423 $) $)) (-15 -2356 ($ $)) (-15 -4262 ((-423 $) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-611 (-855)) . T) ((-173) . T) ((-286) . T) ((-456) . T) ((-561) . T) ((-640 $) . T) ((-712 $) . T) ((-721) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-3106 (((-1215 |#1|) (-1215 |#1|) (-1215 |#1|)) 15))) 
+(((-1214 |#1|) (-10 -7 (-15 -3106 ((-1215 |#1|) (-1215 |#1|) (-1215 |#1|)))) (-1053)) (T -1214)) 
+((-3106 (*1 *2 *2 *2) (-12 (-5 *2 (-1215 *3)) (-4 *3 (-1053)) (-5 *1 (-1214 *3))))) 
+(-10 -7 (-15 -3106 ((-1215 |#1|) (-1215 |#1|) (-1215 |#1|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) NIL)) (-3912 (((-1230 (QUOTE |x|) |#1|) $ (-768)) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-1934 (($ $ (-768)) NIL) (($ $ (-768) (-768)) NIL)) (-3236 (((-1149 (-2 (|:| |k| (-768)) (|:| |c| |#1|))) $) NIL)) (-4255 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4243 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-1149 (-2 (|:| |k| (-768)) (|:| |c| |#1|)))) NIL) (($ (-1149 |#1|)) NIL)) (-4266 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-1796 (($ $) NIL)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-1530 (($ $) NIL)) (-1887 (((-958 |#1|) $ (-768)) NIL) (((-958 |#1|) $ (-768) (-768)) NIL)) (-4124 (((-121) $) NIL)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-768) $) NIL) (((-768) $ (-768)) NIL)) (-2583 (((-121) $) NIL)) (-1453 (($ $) NIL)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1361 (($ (-571) (-571) $) NIL)) (-1817 (($ $ (-922)) NIL)) (-2789 (($ (-1 |#1| (-571)) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3509 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-4424 (($ $) NIL)) (-1944 (($ $) NIL)) (-1816 (($ (-571) (-571) $) NIL)) (-3403 (($ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189))))) (($ $ (-1254 (QUOTE |x|))) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) NIL)) (-3121 (($ $ (-571) (-571)) NIL)) (-3140 (($ $ (-768)) NIL)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4148 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1971 (($ $) NIL)) (-4483 (((-1149 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-768)))))) (-3245 ((|#1| $ (-768)) NIL) (($ $ $) NIL (|has| (-768) (-1109)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $ (-1254 (QUOTE |x|))) NIL)) (-2400 (((-768) $) NIL)) (-4273 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561))) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1230 (QUOTE |x|) |#1|)) NIL) (($ (-1254 (QUOTE |x|))) NIL)) (-1314 (((-1149 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) NIL)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) NIL)) (-4294 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-768)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-768)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) NIL T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ |#1|) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1215 |#1|) (-13 (-1248 |#1|) (-10 -8 (-15 -3942 ($ (-1230 (QUOTE |x|) |#1|))) (-15 -3912 ((-1230 (QUOTE |x|) |#1|) $ (-768))) (-15 -3942 ($ (-1254 (QUOTE |x|)))) (-15 -3096 ($ $ (-1254 (QUOTE |x|)))) (-15 -1944 ($ $)) (-15 -4424 ($ $)) (-15 -1453 ($ $)) (-15 -1971 ($ $)) (-15 -3121 ($ $ (-571) (-571))) (-15 -1796 ($ $)) (-15 -1361 ($ (-571) (-571) $)) (-15 -1816 ($ (-571) (-571) $)) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 (QUOTE |x|)))) |noBranch|))) (-1053)) (T -1215)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1230 (QUOTE |x|) *3)) (-4 *3 (-1053)) (-5 *1 (-1215 *3)))) (-3912 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1230 (QUOTE |x|) *4)) (-5 *1 (-1215 *4)) (-4 *4 (-1053)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 (QUOTE |x|))) (-5 *1 (-1215 *3)) (-4 *3 (-1053)))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 (QUOTE |x|))) (-5 *1 (-1215 *3)) (-4 *3 (-1053)))) (-1944 (*1 *1 *1) (-12 (-5 *1 (-1215 *2)) (-4 *2 (-1053)))) (-4424 (*1 *1 *1) (-12 (-5 *1 (-1215 *2)) (-4 *2 (-1053)))) (-1453 (*1 *1 *1) (-12 (-5 *1 (-1215 *2)) (-4 *2 (-1053)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-1215 *2)) (-4 *2 (-1053)))) (-3121 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1215 *3)) (-4 *3 (-1053)))) (-1796 (*1 *1 *1) (-12 (-5 *1 (-1215 *2)) (-4 *2 (-1053)))) (-1361 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1215 *3)) (-4 *3 (-1053)))) (-1816 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1215 *3)) (-4 *3 (-1053)))) (-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 (QUOTE |x|))) (-5 *1 (-1215 *3)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053))))) 
+(-13 (-1248 |#1|) (-10 -8 (-15 -3942 ($ (-1230 (QUOTE |x|) |#1|))) (-15 -3912 ((-1230 (QUOTE |x|) |#1|) $ (-768))) (-15 -3942 ($ (-1254 (QUOTE |x|)))) (-15 -3096 ($ $ (-1254 (QUOTE |x|)))) (-15 -1944 ($ $)) (-15 -4424 ($ $)) (-15 -1453 ($ $)) (-15 -1971 ($ $)) (-15 -3121 ($ $ (-571) (-571))) (-15 -1796 ($ $)) (-15 -1361 ($ (-571) (-571) $)) (-15 -1816 ($ (-571) (-571) $)) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 (QUOTE |x|)))) |noBranch|))) 
+((-3799 (((-1221 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1221 |#1| |#3| |#5|)) 23))) 
+(((-1216 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3799 ((-1221 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1221 |#1| |#3| |#5|)))) (-1053) (-1053) (-1169) (-1169) |#1| |#2|) (T -1216)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1221 *5 *7 *9)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-14 *7 (-1169)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1221 *6 *8 *10)) (-5 *1 (-1216 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1169))))) 
+(-10 -7 (-15 -3799 ((-1221 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1221 |#1| |#3| |#5|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3424 (((-637 (-1081)) $) 70)) (-3312 (((-1169) $) 98)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 50 (|has| |#1| (-561)))) (-1415 (($ $) 51 (|has| |#1| (-561)))) (-2545 (((-121) $) 53 (|has| |#1| (-561)))) (-1934 (($ $ (-571)) 93) (($ $ (-571) (-571)) 92)) (-3236 (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) 100)) (-4255 (($ $) 127 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 110 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 154 (|has| |#1| (-367)))) (-4151 (((-423 $) $) 155 (|has| |#1| (-367)))) (-4158 (($ $) 109 (|has| |#1| (-43 (-412 (-571)))))) (-1295 (((-121) $ $) 145 (|has| |#1| (-367)))) (-4243 (($ $) 126 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 111 (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) 166)) (-4266 (($ $) 125 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 112 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) 16 T CONST)) (-2162 (($ $ $) 149 (|has| |#1| (-367)))) (-4349 (($ $) 59)) (-3978 (((-3 $ "failed") $) 33)) (-2650 (((-412 (-958 |#1|)) $ (-571)) 164 (|has| |#1| (-561))) (((-412 (-958 |#1|)) $ (-571) (-571)) 163 (|has| |#1| (-561)))) (-2180 (($ $ $) 148 (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 143 (|has| |#1| (-367)))) (-1596 (((-121) $) 156 (|has| |#1| (-367)))) (-4124 (((-121) $) 69)) (-4153 (($) 137 (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-571) $) 95) (((-571) $ (-571)) 94)) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 108 (|has| |#1| (-43 (-412 (-571)))))) (-1817 (($ $ (-922)) 96)) (-2789 (($ (-1 |#1| (-571)) $) 165)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 152 (|has| |#1| (-367)))) (-3517 (((-121) $) 61)) (-4289 (($ |#1| (-571)) 60) (($ $ (-1081) (-571)) 72) (($ $ (-637 (-1081)) (-637 (-571))) 71)) (-3799 (($ (-1 |#1| |#1|) $) 62)) (-3509 (($ $) 134 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) 64)) (-4337 ((|#1| $) 65)) (-1622 (($ (-637 $)) 141 (|has| |#1| (-367))) (($ $ $) 140 (|has| |#1| (-367)))) (-3944 (((-1151) $) 9)) (-4315 (($ $) 157 (|has| |#1| (-367)))) (-3403 (($ $) 162 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) 161 (-1831 (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-965)) (|has| |#1| (-1189)) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-43 (-412 (-571)))))))) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 142 (|has| |#1| (-367)))) (-3026 (($ (-637 $)) 139 (|has| |#1| (-367))) (($ $ $) 138 (|has| |#1| (-367)))) (-4262 (((-423 $) $) 153 (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 150 (|has| |#1| (-367)))) (-3140 (($ $ (-571)) 90)) (-1786 (((-3 $ "failed") $ $) 49 (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 144 (|has| |#1| (-367)))) (-4148 (($ $) 135 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-571)))))) (-1826 (((-768) $) 146 (|has| |#1| (-367)))) (-3245 ((|#1| $ (-571)) 99) (($ $ $) 76 (|has| (-571) (-1109)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 147 (|has| |#1| (-367)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) 84 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-1169) (-768)) 83 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169))) 82 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-1169)) 81 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-768)) 79 (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (-2400 (((-571) $) 63)) (-4273 (($ $) 124 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 113 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 123 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 114 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 122 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 115 (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) 68)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ (-412 (-571))) 56 (|has| |#1| (-43 (-412 (-571))))) (($ $) 48 (|has| |#1| (-561)))) (-3136 ((|#1| $ (-571)) 58)) (-2346 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-1681 ((|#1| $) 97)) (-4294 (($ $) 133 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 121 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) 52 (|has| |#1| (-561)))) (-4280 (($ $) 132 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 120 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 131 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 119 (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-571)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-571)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) 130 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 118 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 129 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 117 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 128 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 116 (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 158 (|has| |#1| (-367)))) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) 88 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-1169) (-768)) 87 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169))) 86 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-1169)) 85 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-768)) 80 (|has| |#1| (-15 * (|#1| (-571) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 57 (|has| |#1| (-367))) (($ $ $) 160 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 159 (|has| |#1| (-367))) (($ $ $) 136 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 107 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-412 (-571)) $) 55 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 54 (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1217 |#1|) (-1289) (-1053)) (T -1217)) 
+((-4096 (*1 *1 *2) (-12 (-5 *2 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *3)))) (-4 *3 (-1053)) (-4 *1 (-1217 *3)))) (-2789 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-571))) (-4 *1 (-1217 *3)) (-4 *3 (-1053)))) (-2650 (*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1217 *4)) (-4 *4 (-1053)) (-4 *4 (-561)) (-5 *2 (-412 (-958 *4))))) (-2650 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1217 *4)) (-4 *4 (-1053)) (-4 *4 (-561)) (-5 *2 (-412 (-958 *4))))) (-3403 (*1 *1 *1) (-12 (-4 *1 (-1217 *2)) (-4 *2 (-1053)) (-4 *2 (-43 (-412 (-571)))))) (-3403 (*1 *1 *1 *2) (-1831 (-12 (-5 *2 (-1169)) (-4 *1 (-1217 *3)) (-4 *3 (-1053)) (-12 (-4 *3 (-29 (-571))) (-4 *3 (-965)) (-4 *3 (-1189)) (-4 *3 (-43 (-412 (-571)))))) (-12 (-5 *2 (-1169)) (-4 *1 (-1217 *3)) (-4 *3 (-1053)) (-12 (|has| *3 (-15 -3424 ((-637 *2) *3))) (|has| *3 (-15 -3403 (*3 *3 *2))) (-4 *3 (-43 (-412 (-571))))))))) 
+(-13 (-1235 |t#1| (-571)) (-10 -8 (-15 -4096 ($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |t#1|))))) (-15 -2789 ($ (-1 |t#1| (-571)) $)) (IF (|has| |t#1| (-561)) (PROGN (-15 -2650 ((-412 (-958 |t#1|)) $ (-571))) (-15 -2650 ((-412 (-958 |t#1|)) $ (-571) (-571)))) |noBranch|) (IF (|has| |t#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ($ $)) (IF (|has| |t#1| (-15 -3403 (|t#1| |t#1| (-1169)))) (IF (|has| |t#1| (-15 -3424 ((-637 (-1169)) |t#1|))) (-15 -3403 ($ $ (-1169))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1189)) (IF (|has| |t#1| (-965)) (IF (|has| |t#1| (-29 (-571))) (-15 -3403 ($ $ (-1169))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1008)) (-6 (-1189))) |noBranch|) (IF (|has| |t#1| (-367)) (-6 (-367)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-571)) . T) ((-25) . T) ((-43 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-40) |has| |#1| (-43 (-412 (-571)))) ((-98) |has| |#1| (-43 (-412 (-571)))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-571) |#1|))) ((-239) |has| |#1| (-367)) ((-280) |has| |#1| (-43 (-412 (-571)))) ((-282 $ $) |has| (-571) (-1109)) ((-286) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-302) |has| |#1| (-367)) ((-367) |has| |#1| (-367)) ((-456) |has| |#1| (-367)) ((-505) |has| |#1| (-43 (-412 (-571)))) ((-561) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-640 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-721) . T) ((-900 (-1169)) -12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))) ((-980 |#1| (-571) (-1081)) . T) ((-921) |has| |#1| (-367)) ((-1008) |has| |#1| (-43 (-412 (-571)))) ((-1059 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1189) |has| |#1| (-43 (-412 (-571)))) ((-1192) |has| |#1| (-43 (-412 (-571)))) ((-1213) |has| |#1| (-367)) ((-1235 |#1| (-571)) . T)) 
+((-4123 (((-121) $) 12)) (-3337 (((-3 |#3| "failed") $) 17) (((-3 (-1169) "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 (-571) "failed") $) NIL)) (-1316 ((|#3| $) 14) (((-1169) $) NIL) (((-412 (-571)) $) NIL) (((-571) $) NIL))) 
+(((-1218 |#1| |#2| |#3|) (-10 -8 (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-1169) |#1|)) (-15 -3337 ((-3 (-1169) "failed") |#1|)) (-15 -1316 (|#3| |#1|)) (-15 -3337 ((-3 |#3| "failed") |#1|)) (-15 -4123 ((-121) |#1|))) (-1219 |#2| |#3|) (-1053) (-1248 |#2|)) (T -1218)) 
+NIL 
+(-10 -8 (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -1316 ((-1169) |#1|)) (-15 -3337 ((-3 (-1169) "failed") |#1|)) (-15 -1316 (|#3| |#1|)) (-15 -3337 ((-3 |#3| "failed") |#1|)) (-15 -4123 ((-121) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-1533 ((|#2| $) 219 (-3997 (|has| |#2| (-302)) (|has| |#1| (-367))))) (-3424 (((-637 (-1081)) $) 70)) (-3312 (((-1169) $) 98)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 50 (|has| |#1| (-561)))) (-1415 (($ $) 51 (|has| |#1| (-561)))) (-2545 (((-121) $) 53 (|has| |#1| (-561)))) (-1934 (($ $ (-571)) 93) (($ $ (-571) (-571)) 92)) (-3236 (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) 100)) (-3161 ((|#2| $) 255)) (-4338 (((-3 |#2| "failed") $) 251)) (-1871 ((|#2| $) 252)) (-4255 (($ $) 127 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 110 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) 18)) (-1434 (((-423 (-1165 $)) (-1165 $)) 228 (-3997 (|has| |#2| (-909)) (|has| |#1| (-367))))) (-2356 (($ $) 154 (|has| |#1| (-367)))) (-4151 (((-423 $) $) 155 (|has| |#1| (-367)))) (-4158 (($ $) 109 (|has| |#1| (-43 (-412 (-571)))))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 225 (-3997 (|has| |#2| (-909)) (|has| |#1| (-367))))) (-1295 (((-121) $ $) 145 (|has| |#1| (-367)))) (-4243 (($ $) 126 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 111 (|has| |#1| (-43 (-412 (-571)))))) (-3203 (((-571) $) 237 (-3997 (|has| |#2| (-820)) (|has| |#1| (-367))))) (-4096 (($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) 166)) (-4266 (($ $) 125 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 112 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#2| "failed") $) 258) (((-3 (-571) "failed") $) 247 (-3997 (|has| |#2| (-1043 (-571))) (|has| |#1| (-367)))) (((-3 (-412 (-571)) "failed") $) 245 (-3997 (|has| |#2| (-1043 (-571))) (|has| |#1| (-367)))) (((-3 (-1169) "failed") $) 230 (-3997 (|has| |#2| (-1043 (-1169))) (|has| |#1| (-367))))) (-1316 ((|#2| $) 257) (((-571) $) 248 (-3997 (|has| |#2| (-1043 (-571))) (|has| |#1| (-367)))) (((-412 (-571)) $) 246 (-3997 (|has| |#2| (-1043 (-571))) (|has| |#1| (-367)))) (((-1169) $) 231 (-3997 (|has| |#2| (-1043 (-1169))) (|has| |#1| (-367))))) (-4195 (($ $) 254) (($ (-571) $) 253)) (-2162 (($ $ $) 149 (|has| |#1| (-367)))) (-4349 (($ $) 59)) (-2680 (((-684 |#2|) (-684 $)) 209 (|has| |#1| (-367))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) 208 (|has| |#1| (-367))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 207 (-3997 (|has| |#2| (-633 (-571))) (|has| |#1| (-367)))) (((-684 (-571)) (-684 $)) 206 (-3997 (|has| |#2| (-633 (-571))) (|has| |#1| (-367))))) (-3978 (((-3 $ "failed") $) 33)) (-2650 (((-412 (-958 |#1|)) $ (-571)) 164 (|has| |#1| (-561))) (((-412 (-958 |#1|)) $ (-571) (-571)) 163 (|has| |#1| (-561)))) (-3254 (($) 221 (-3997 (|has| |#2| (-553)) (|has| |#1| (-367))))) (-2180 (($ $ $) 148 (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 143 (|has| |#1| (-367)))) (-1596 (((-121) $) 156 (|has| |#1| (-367)))) (-2093 (((-121) $) 235 (-3997 (|has| |#2| (-820)) (|has| |#1| (-367))))) (-4124 (((-121) $) 69)) (-4153 (($) 137 (|has| |#1| (-43 (-412 (-571)))))) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 213 (-3997 (|has| |#2| (-886 (-384))) (|has| |#1| (-367)))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 212 (-3997 (|has| |#2| (-886 (-571))) (|has| |#1| (-367))))) (-3347 (((-571) $) 95) (((-571) $ (-571)) 94)) (-2583 (((-121) $) 30)) (-3458 (($ $) 217 (|has| |#1| (-367)))) (-4474 ((|#2| $) 215 (|has| |#1| (-367)))) (-3549 (($ $ (-571)) 108 (|has| |#1| (-43 (-412 (-571)))))) (-2596 (((-3 $ "failed") $) 249 (-3997 (|has| |#2| (-1143)) (|has| |#1| (-367))))) (-4086 (((-121) $) 236 (-3997 (|has| |#2| (-820)) (|has| |#1| (-367))))) (-1817 (($ $ (-922)) 96)) (-2789 (($ (-1 |#1| (-571)) $) 165)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 152 (|has| |#1| (-367)))) (-3517 (((-121) $) 61)) (-4289 (($ |#1| (-571)) 60) (($ $ (-1081) (-571)) 72) (($ $ (-637 (-1081)) (-637 (-571))) 71)) (-1763 (($ $ $) 239 (-3997 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-2383 (($ $ $) 240 (-3997 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-3799 (($ (-1 |#1| |#1|) $) 62) (($ (-1 |#2| |#2|) $) 201 (|has| |#1| (-367)))) (-3509 (($ $) 134 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) 64)) (-4337 ((|#1| $) 65)) (-1622 (($ (-637 $)) 141 (|has| |#1| (-367))) (($ $ $) 140 (|has| |#1| (-367)))) (-1874 (($ (-571) |#2|) 256)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 157 (|has| |#1| (-367)))) (-3403 (($ $) 162 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) 161 (-1831 (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-965)) (|has| |#1| (-1189)) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-43 (-412 (-571)))))))) (-1757 (($) 250 (-3997 (|has| |#2| (-1143)) (|has| |#1| (-367))) CONST)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 142 (|has| |#1| (-367)))) (-3026 (($ (-637 $)) 139 (|has| |#1| (-367))) (($ $ $) 138 (|has| |#1| (-367)))) (-3762 (($ $) 220 (-3997 (|has| |#2| (-302)) (|has| |#1| (-367))))) (-3955 ((|#2| $) 223 (-3997 (|has| |#2| (-553)) (|has| |#1| (-367))))) (-2796 (((-423 (-1165 $)) (-1165 $)) 226 (-3997 (|has| |#2| (-909)) (|has| |#1| (-367))))) (-1821 (((-423 (-1165 $)) (-1165 $)) 227 (-3997 (|has| |#2| (-909)) (|has| |#1| (-367))))) (-4262 (((-423 $) $) 153 (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 150 (|has| |#1| (-367)))) (-3140 (($ $ (-571)) 90)) (-1786 (((-3 $ "failed") $ $) 49 (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 144 (|has| |#1| (-367)))) (-4148 (($ $) 135 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-571))))) (($ $ (-1169) |#2|) 200 (-3997 (|has| |#2| (-526 (-1169) |#2|)) (|has| |#1| (-367)))) (($ $ (-637 (-1169)) (-637 |#2|)) 199 (-3997 (|has| |#2| (-526 (-1169) |#2|)) (|has| |#1| (-367)))) (($ $ (-637 (-289 |#2|))) 198 (-3997 (|has| |#2| (-304 |#2|)) (|has| |#1| (-367)))) (($ $ (-289 |#2|)) 197 (-3997 (|has| |#2| (-304 |#2|)) (|has| |#1| (-367)))) (($ $ |#2| |#2|) 196 (-3997 (|has| |#2| (-304 |#2|)) (|has| |#1| (-367)))) (($ $ (-637 |#2|) (-637 |#2|)) 195 (-3997 (|has| |#2| (-304 |#2|)) (|has| |#1| (-367))))) (-1826 (((-768) $) 146 (|has| |#1| (-367)))) (-3245 ((|#1| $ (-571)) 99) (($ $ $) 76 (|has| (-571) (-1109))) (($ $ |#2|) 194 (-3997 (|has| |#2| (-282 |#2| |#2|)) (|has| |#1| (-367))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 147 (|has| |#1| (-367)))) (-3096 (($ $ (-1 |#2| |#2|)) 205 (|has| |#1| (-367))) (($ $ (-1 |#2| |#2|) (-768)) 204 (|has| |#1| (-367))) (($ $ (-768)) 79 (-1831 (-3997 (|has| |#2| (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $) 77 (-1831 (-3997 (|has| |#2| (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169)) (-637 (-768))) 84 (-1831 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))))) (($ $ (-1169) (-768)) 83 (-1831 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))))) (($ $ (-637 (-1169))) 82 (-1831 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))))) (($ $ (-1169)) 81 (-1831 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))))) (-3777 (($ $) 218 (|has| |#1| (-367)))) (-4479 ((|#2| $) 216 (|has| |#1| (-367)))) (-2400 (((-571) $) 63)) (-4273 (($ $) 124 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 113 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 123 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 114 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 122 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 115 (|has| |#1| (-43 (-412 (-571)))))) (-4050 (((-216) $) 234 (-3997 (|has| |#2| (-1027)) (|has| |#1| (-367)))) (((-384) $) 233 (-3997 (|has| |#2| (-1027)) (|has| |#1| (-367)))) (((-544) $) 232 (-3997 (|has| |#2| (-612 (-544))) (|has| |#1| (-367)))) (((-892 (-384)) $) 211 (-3997 (|has| |#2| (-612 (-892 (-384)))) (|has| |#1| (-367)))) (((-892 (-571)) $) 210 (-3997 (|has| |#2| (-612 (-892 (-571)))) (|has| |#1| (-367))))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 224 (-3997 (-3997 (|has| $ (-149)) (|has| |#2| (-909))) (|has| |#1| (-367))))) (-3202 (($ $) 68)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ |#2|) 259) (($ (-1169)) 229 (-3997 (|has| |#2| (-1043 (-1169))) (|has| |#1| (-367)))) (($ (-412 (-571))) 56 (|has| |#1| (-43 (-412 (-571))))) (($ $) 48 (|has| |#1| (-561)))) (-3136 ((|#1| $ (-571)) 58)) (-2346 (((-3 $ "failed") $) 47 (-1831 (-3997 (-1831 (|has| |#2| (-149)) (-3997 (|has| $ (-149)) (|has| |#2| (-909)))) (|has| |#1| (-367))) (|has| |#1| (-149))))) (-2661 (((-768)) 28)) (-1681 ((|#1| $) 97)) (-2325 ((|#2| $) 222 (-3997 (|has| |#2| (-553)) (|has| |#1| (-367))))) (-4294 (($ $) 133 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 121 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) 52 (|has| |#1| (-561)))) (-4280 (($ $) 132 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 120 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 131 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 119 (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-571)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-571)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) 130 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 118 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 129 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 117 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 128 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 116 (|has| |#1| (-43 (-412 (-571)))))) (-1902 (($ $) 238 (-3997 (|has| |#2| (-820)) (|has| |#1| (-367))))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 158 (|has| |#1| (-367)))) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-1 |#2| |#2|)) 203 (|has| |#1| (-367))) (($ $ (-1 |#2| |#2|) (-768)) 202 (|has| |#1| (-367))) (($ $ (-768)) 80 (-1831 (-3997 (|has| |#2| (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $) 78 (-1831 (-3997 (|has| |#2| (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169)) (-637 (-768))) 88 (-1831 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))))) (($ $ (-1169) (-768)) 87 (-1831 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))))) (($ $ (-637 (-1169))) 86 (-1831 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))))) (($ $ (-1169)) 85 (-1831 (-3997 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))))) (-1350 (((-121) $ $) 242 (-3997 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-1338 (((-121) $ $) 243 (-3997 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 241 (-3997 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-1331 (((-121) $ $) 244 (-3997 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-1379 (($ $ |#1|) 57 (|has| |#1| (-367))) (($ $ $) 160 (|has| |#1| (-367))) (($ |#2| |#2|) 214 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 159 (|has| |#1| (-367))) (($ $ $) 136 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 107 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ $ |#2|) 193 (|has| |#1| (-367))) (($ |#2| $) 192 (|has| |#1| (-367))) (($ (-412 (-571)) $) 55 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 54 (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1219 |#1| |#2|) (-1289) (-1053) (-1248 |t#1|)) (T -1219)) 
+((-2400 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1248 *3)) (-5 *2 (-571)))) (-3942 (*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *1 (-1219 *3 *2)) (-4 *2 (-1248 *3)))) (-1874 (*1 *1 *2 *3) (-12 (-5 *2 (-571)) (-4 *4 (-1053)) (-4 *1 (-1219 *4 *3)) (-4 *3 (-1248 *4)))) (-3161 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1248 *3)))) (-4195 (*1 *1 *1) (-12 (-4 *1 (-1219 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-1248 *2)))) (-4195 (*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-4 *1 (-1219 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1248 *3)))) (-1871 (*1 *2 *1) (-12 (-4 *1 (-1219 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1248 *3)))) (-4338 (*1 *2 *1) (|partial| -12 (-4 *1 (-1219 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1248 *3))))) 
+(-13 (-1217 |t#1|) (-1043 |t#2|) (-10 -8 (-15 -1874 ($ (-571) |t#2|)) (-15 -2400 ((-571) $)) (-15 -3161 (|t#2| $)) (-15 -4195 ($ $)) (-15 -4195 ($ (-571) $)) (-15 -3942 ($ |t#2|)) (-15 -1871 (|t#2| $)) (-15 -4338 ((-3 |t#2| "failed") $)) (IF (|has| |t#1| (-367)) (-6 (-999 |t#2|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-571)) . T) ((-25) . T) ((-43 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 |#2|) |has| |#1| (-367)) ((-43 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-40) |has| |#1| (-43 (-412 (-571)))) ((-98) |has| |#1| (-43 (-412 (-571)))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-120 |#1| |#1|) . T) ((-120 |#2| |#2|) |has| |#1| (-367)) ((-120 $ $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-138) . T) ((-149) -1831 (-12 (|has| |#1| (-367)) (|has| |#2| (-149))) (|has| |#1| (-149))) ((-151) -1831 (-12 (|has| |#1| (-367)) (|has| |#2| (-151))) (|has| |#1| (-151))) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-612 (-216)) -12 (|has| |#1| (-367)) (|has| |#2| (-1027))) ((-612 (-384)) -12 (|has| |#1| (-367)) (|has| |#2| (-1027))) ((-612 (-544)) -12 (|has| |#1| (-367)) (|has| |#2| (-612 (-544)))) ((-612 (-892 (-384))) -12 (|has| |#1| (-367)) (|has| |#2| (-612 (-892 (-384))))) ((-612 (-892 (-571))) -12 (|has| |#1| (-367)) (|has| |#2| (-612 (-892 (-571))))) ((-224 |#2|) |has| |#1| (-367)) ((-226) -1831 (-12 (|has| |#1| (-367)) (|has| |#2| (-226))) (|has| |#1| (-15 * (|#1| (-571) |#1|)))) ((-239) |has| |#1| (-367)) ((-280) |has| |#1| (-43 (-412 (-571)))) ((-282 |#2| $) -12 (|has| |#1| (-367)) (|has| |#2| (-282 |#2| |#2|))) ((-282 $ $) |has| (-571) (-1109)) ((-286) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-302) |has| |#1| (-367)) ((-304 |#2|) -12 (|has| |#1| (-367)) (|has| |#2| (-304 |#2|))) ((-367) |has| |#1| (-367)) ((-337 |#2|) |has| |#1| (-367)) ((-382 |#2|) |has| |#1| (-367)) ((-405 |#2|) |has| |#1| (-367)) ((-456) |has| |#1| (-367)) ((-505) |has| |#1| (-43 (-412 (-571)))) ((-526 (-1169) |#2|) -12 (|has| |#1| (-367)) (|has| |#2| (-526 (-1169) |#2|))) ((-526 |#2| |#2|) -12 (|has| |#1| (-367)) (|has| |#2| (-304 |#2|))) ((-561) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-640 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-640 |#1|) . T) ((-640 |#2|) |has| |#1| (-367)) ((-640 $) . T) ((-633 (-571)) -12 (|has| |#1| (-367)) (|has| |#2| (-633 (-571)))) ((-633 |#2|) |has| |#1| (-367)) ((-712 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-712 |#1|) |has| |#1| (-173)) ((-712 |#2|) |has| |#1| (-367)) ((-712 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-721) . T) ((-791) -12 (|has| |#1| (-367)) (|has| |#2| (-820))) ((-792) -12 (|has| |#1| (-367)) (|has| |#2| (-820))) ((-794) -12 (|has| |#1| (-367)) (|has| |#2| (-820))) ((-795) -12 (|has| |#1| (-367)) (|has| |#2| (-820))) ((-820) -12 (|has| |#1| (-367)) (|has| |#2| (-820))) ((-845) -12 (|has| |#1| (-367)) (|has| |#2| (-820))) ((-847) -1831 (-12 (|has| |#1| (-367)) (|has| |#2| (-847))) (-12 (|has| |#1| (-367)) (|has| |#2| (-820)))) ((-900 (-1169)) -1831 (-12 (|has| |#1| (-367)) (|has| |#2| (-900 (-1169)))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))) ((-886 (-384)) -12 (|has| |#1| (-367)) (|has| |#2| (-886 (-384)))) ((-886 (-571)) -12 (|has| |#1| (-367)) (|has| |#2| (-886 (-571)))) ((-884 |#2|) |has| |#1| (-367)) ((-909) -12 (|has| |#1| (-367)) (|has| |#2| (-909))) ((-980 |#1| (-571) (-1081)) . T) ((-921) |has| |#1| (-367)) ((-999 |#2|) |has| |#1| (-367)) ((-1008) |has| |#1| (-43 (-412 (-571)))) ((-1027) -12 (|has| |#1| (-367)) (|has| |#2| (-1027))) ((-1043 (-412 (-571))) -12 (|has| |#1| (-367)) (|has| |#2| (-1043 (-571)))) ((-1043 (-571)) -12 (|has| |#1| (-367)) (|has| |#2| (-1043 (-571)))) ((-1043 (-1169)) -12 (|has| |#1| (-367)) (|has| |#2| (-1043 (-1169)))) ((-1043 |#2|) . T) ((-1059 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-1059 |#1|) . T) ((-1059 |#2|) |has| |#1| (-367)) ((-1059 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1143) -12 (|has| |#1| (-367)) (|has| |#2| (-1143))) ((-1189) |has| |#1| (-43 (-412 (-571)))) ((-1192) |has| |#1| (-43 (-412 (-571)))) ((-1203) |has| |#1| (-367)) ((-1213) |has| |#1| (-367)) ((-1217 |#1|) . T) ((-1235 |#1| (-571)) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 70)) (-1533 ((|#2| $) NIL (-12 (|has| |#2| (-302)) (|has| |#1| (-367))))) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) 88)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-1934 (($ $ (-571)) 97) (($ $ (-571) (-571)) 99)) (-3236 (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) 47)) (-3161 ((|#2| $) 11)) (-4338 (((-3 |#2| "failed") $) 30)) (-1871 ((|#2| $) 31)) (-4255 (($ $) 192 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 168 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| |#2| (-909)) (|has| |#1| (-367))))) (-2356 (($ $) NIL (|has| |#1| (-367)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-367)))) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (-12 (|has| |#2| (-909)) (|has| |#1| (-367))))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4243 (($ $) 188 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 164 (|has| |#1| (-43 (-412 (-571)))))) (-3203 (((-571) $) NIL (-12 (|has| |#2| (-820)) (|has| |#1| (-367))))) (-4096 (($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) 57)) (-4266 (($ $) 196 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 172 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) 144) (((-3 (-571) "failed") $) NIL (-12 (|has| |#2| (-1043 (-571))) (|has| |#1| (-367)))) (((-3 (-412 (-571)) "failed") $) NIL (-12 (|has| |#2| (-1043 (-571))) (|has| |#1| (-367)))) (((-3 (-1169) "failed") $) NIL (-12 (|has| |#2| (-1043 (-1169))) (|has| |#1| (-367))))) (-1316 ((|#2| $) 143) (((-571) $) NIL (-12 (|has| |#2| (-1043 (-571))) (|has| |#1| (-367)))) (((-412 (-571)) $) NIL (-12 (|has| |#2| (-1043 (-571))) (|has| |#1| (-367)))) (((-1169) $) NIL (-12 (|has| |#2| (-1043 (-1169))) (|has| |#1| (-367))))) (-4195 (($ $) 61) (($ (-571) $) 24)) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) NIL)) (-2680 (((-684 |#2|) (-684 $)) NIL (|has| |#1| (-367))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL (|has| |#1| (-367))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| |#2| (-633 (-571))) (|has| |#1| (-367)))) (((-684 (-571)) (-684 $)) NIL (-12 (|has| |#2| (-633 (-571))) (|has| |#1| (-367))))) (-3978 (((-3 $ "failed") $) 77)) (-2650 (((-412 (-958 |#1|)) $ (-571)) 112 (|has| |#1| (-561))) (((-412 (-958 |#1|)) $ (-571) (-571)) 114 (|has| |#1| (-561)))) (-3254 (($) NIL (-12 (|has| |#2| (-553)) (|has| |#1| (-367))))) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-1596 (((-121) $) NIL (|has| |#1| (-367)))) (-2093 (((-121) $) NIL (-12 (|has| |#2| (-820)) (|has| |#1| (-367))))) (-4124 (((-121) $) 64)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| |#2| (-886 (-384))) (|has| |#1| (-367)))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| |#2| (-886 (-571))) (|has| |#1| (-367))))) (-3347 (((-571) $) 93) (((-571) $ (-571)) 95)) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL (|has| |#1| (-367)))) (-4474 ((|#2| $) 151 (|has| |#1| (-367)))) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2596 (((-3 $ "failed") $) NIL (-12 (|has| |#2| (-1143)) (|has| |#1| (-367))))) (-4086 (((-121) $) NIL (-12 (|has| |#2| (-820)) (|has| |#1| (-367))))) (-1817 (($ $ (-922)) 136)) (-2789 (($ (-1 |#1| (-571)) $) 132)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-571)) 19) (($ $ (-1081) (-571)) NIL) (($ $ (-637 (-1081)) (-637 (-571))) NIL)) (-1763 (($ $ $) NIL (-12 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-2383 (($ $ $) NIL (-12 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-3799 (($ (-1 |#1| |#1|) $) 129) (($ (-1 |#2| |#2|) $) NIL (|has| |#1| (-367)))) (-3509 (($ $) 162 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-1874 (($ (-571) |#2|) 10)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 145 (|has| |#1| (-367)))) (-3403 (($ $) 214 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) 219 (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189)))))) (-1757 (($) NIL (-12 (|has| |#2| (-1143)) (|has| |#1| (-367))) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-3762 (($ $) NIL (-12 (|has| |#2| (-302)) (|has| |#1| (-367))))) (-3955 ((|#2| $) NIL (-12 (|has| |#2| (-553)) (|has| |#1| (-367))))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| |#2| (-909)) (|has| |#1| (-367))))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| |#2| (-909)) (|has| |#1| (-367))))) (-4262 (((-423 $) $) NIL (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-3140 (($ $ (-571)) 126)) (-1786 (((-3 $ "failed") $ $) 116 (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4148 (($ $) 160 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) 85 (|has| |#1| (-15 ** (|#1| |#1| (-571))))) (($ $ (-1169) |#2|) NIL (-12 (|has| |#2| (-526 (-1169) |#2|)) (|has| |#1| (-367)))) (($ $ (-637 (-1169)) (-637 |#2|)) NIL (-12 (|has| |#2| (-526 (-1169) |#2|)) (|has| |#1| (-367)))) (($ $ (-637 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-367)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-367)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-367)))) (($ $ (-637 |#2|) (-637 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-367))))) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ (-571)) 91) (($ $ $) 79 (|has| (-571) (-1109))) (($ $ |#2|) NIL (-12 (|has| |#2| (-282 |#2| |#2|)) (|has| |#1| (-367))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3096 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-367))) (($ $ (-1 |#2| |#2|) (-768)) NIL (|has| |#1| (-367))) (($ $ (-768)) NIL (-1831 (-12 (|has| |#2| (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $) 137 (-1831 (-12 (|has| |#2| (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-1831 (-12 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169) (-768)) NIL (-1831 (-12 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-637 (-1169))) NIL (-1831 (-12 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169)) 140 (-1831 (-12 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))))) (-3777 (($ $) NIL (|has| |#1| (-367)))) (-4479 ((|#2| $) 152 (|has| |#1| (-367)))) (-2400 (((-571) $) 12)) (-4273 (($ $) 198 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 174 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 194 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 170 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 190 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 166 (|has| |#1| (-43 (-412 (-571)))))) (-4050 (((-216) $) NIL (-12 (|has| |#2| (-1027)) (|has| |#1| (-367)))) (((-384) $) NIL (-12 (|has| |#2| (-1027)) (|has| |#1| (-367)))) (((-544) $) NIL (-12 (|has| |#2| (-612 (-544))) (|has| |#1| (-367)))) (((-892 (-384)) $) NIL (-12 (|has| |#2| (-612 (-892 (-384)))) (|has| |#1| (-367)))) (((-892 (-571)) $) NIL (-12 (|has| |#2| (-612 (-892 (-571)))) (|has| |#1| (-367))))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-909)) (|has| |#1| (-367))))) (-3202 (($ $) 124)) (-3942 (((-855) $) 242) (($ (-571)) 23) (($ |#1|) 21 (|has| |#1| (-173))) (($ |#2|) 20) (($ (-1169)) NIL (-12 (|has| |#2| (-1043 (-1169))) (|has| |#1| (-367)))) (($ (-412 (-571))) 155 (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561)))) (-3136 ((|#1| $ (-571)) 74)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#2| (-909)) (|has| |#1| (-367))) (-12 (|has| |#2| (-149)) (|has| |#1| (-367))) (|has| |#1| (-149))))) (-2661 (((-768)) 142)) (-1681 ((|#1| $) 90)) (-2325 ((|#2| $) NIL (-12 (|has| |#2| (-553)) (|has| |#1| (-367))))) (-4294 (($ $) 204 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 180 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) 200 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 176 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 208 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 184 (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-571)) 122 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-571)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) 210 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 186 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 206 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 182 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 202 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 178 (|has| |#1| (-43 (-412 (-571)))))) (-1902 (($ $) NIL (-12 (|has| |#2| (-820)) (|has| |#1| (-367))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) 13 T CONST)) (-3222 (($) 17 T CONST)) (-1544 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-367))) (($ $ (-1 |#2| |#2|) (-768)) NIL (|has| |#1| (-367))) (($ $ (-768)) NIL (-1831 (-12 (|has| |#2| (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $) NIL (-1831 (-12 (|has| |#2| (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-1831 (-12 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169) (-768)) NIL (-1831 (-12 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-637 (-1169))) NIL (-1831 (-12 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| |#2| (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))))) (-1350 (((-121) $ $) NIL (-12 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-1338 (((-121) $ $) NIL (-12 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-1323 (((-121) $ $) 63)) (-1342 (((-121) $ $) NIL (-12 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-1331 (((-121) $ $) NIL (-12 (|has| |#2| (-847)) (|has| |#1| (-367))))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367))) (($ $ $) 149 (|has| |#1| (-367))) (($ |#2| |#2|) 150 (|has| |#1| (-367)))) (-1373 (($ $) 213) (($ $ $) 68)) (-1367 (($ $ $) 66)) (** (($ $ (-922)) NIL) (($ $ (-768)) 73) (($ $ (-571)) 146 (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 158 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 139) (($ $ |#2|) 148 (|has| |#1| (-367))) (($ |#2| $) 147 (|has| |#1| (-367))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1220 |#1| |#2|) (-1219 |#1| |#2|) (-1053) (-1248 |#1|)) (T -1220)) 
+NIL 
+(-1219 |#1| |#2|) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-1533 (((-1249 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-302)) (|has| |#1| (-367))))) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) 10)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561))))) (-1415 (($ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561))))) (-2545 (((-121) $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561))))) (-1934 (($ $ (-571)) NIL) (($ $ (-571) (-571)) NIL)) (-3236 (((-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|))) $) NIL)) (-3161 (((-1249 |#1| |#2| |#3|) $) NIL)) (-4338 (((-3 (-1249 |#1| |#2| |#3|) "failed") $) NIL)) (-1871 (((-1249 |#1| |#2| |#3|) $) NIL)) (-4255 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))))) (-2356 (($ $) NIL (|has| |#1| (-367)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-367)))) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4243 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3203 (((-571) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))))) (-4096 (($ (-1149 (-2 (|:| |k| (-571)) (|:| |c| |#1|)))) NIL)) (-4266 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-1249 |#1| |#2| |#3|) "failed") $) NIL) (((-3 (-1169) "failed") $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1043 (-1169))) (|has| |#1| (-367)))) (((-3 (-412 (-571)) "failed") $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1043 (-571))) (|has| |#1| (-367)))) (((-3 (-571) "failed") $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1043 (-571))) (|has| |#1| (-367))))) (-1316 (((-1249 |#1| |#2| |#3|) $) NIL) (((-1169) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1043 (-1169))) (|has| |#1| (-367)))) (((-412 (-571)) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1043 (-571))) (|has| |#1| (-367)))) (((-571) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1043 (-571))) (|has| |#1| (-367))))) (-4195 (($ $) NIL) (($ (-571) $) NIL)) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-1249 |#1| |#2| |#3|)) (-684 $)) NIL (|has| |#1| (-367))) (((-2 (|:| -3533 (-684 (-1249 |#1| |#2| |#3|))) (|:| |vec| (-1258 (-1249 |#1| |#2| |#3|)))) (-684 $) (-1258 $)) NIL (|has| |#1| (-367))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-633 (-571))) (|has| |#1| (-367)))) (((-684 (-571)) (-684 $)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-633 (-571))) (|has| |#1| (-367))))) (-3978 (((-3 $ "failed") $) NIL)) (-2650 (((-412 (-958 |#1|)) $ (-571)) NIL (|has| |#1| (-561))) (((-412 (-958 |#1|)) $ (-571) (-571)) NIL (|has| |#1| (-561)))) (-3254 (($) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-553)) (|has| |#1| (-367))))) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-1596 (((-121) $) NIL (|has| |#1| (-367)))) (-2093 (((-121) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))))) (-4124 (((-121) $) NIL)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2941 (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-886 (-571))) (|has| |#1| (-367)))) (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-886 (-384))) (|has| |#1| (-367))))) (-3347 (((-571) $) NIL) (((-571) $ (-571)) NIL)) (-2583 (((-121) $) NIL)) (-3458 (($ $) NIL (|has| |#1| (-367)))) (-4474 (((-1249 |#1| |#2| |#3|) $) NIL (|has| |#1| (-367)))) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2596 (((-3 $ "failed") $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1143)) (|has| |#1| (-367))))) (-4086 (((-121) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))))) (-1817 (($ $ (-922)) NIL)) (-2789 (($ (-1 |#1| (-571)) $) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-571)) 17) (($ $ (-1081) (-571)) NIL) (($ $ (-637 (-1081)) (-637 (-571))) NIL)) (-1763 (($ $ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-2383 (($ $ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-367)))) (-3509 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-1874 (($ (-571) (-1249 |#1| |#2| |#3|)) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| |#1| (-367)))) (-3403 (($ $) 25 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189))))) (($ $ (-1254 |#2|)) 26 (|has| |#1| (-43 (-412 (-571)))))) (-1757 (($) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1143)) (|has| |#1| (-367))) CONST)) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-3762 (($ $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-302)) (|has| |#1| (-367))))) (-3955 (((-1249 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-553)) (|has| |#1| (-367))))) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))))) (-4262 (((-423 $) $) NIL (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-3140 (($ $ (-571)) NIL)) (-1786 (((-3 $ "failed") $ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561))))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4148 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-571))))) (($ $ (-1169) (-1249 |#1| |#2| |#3|)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-526 (-1169) (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367)))) (($ $ (-637 (-1169)) (-637 (-1249 |#1| |#2| |#3|))) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-526 (-1169) (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367)))) (($ $ (-637 (-289 (-1249 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-304 (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367)))) (($ $ (-289 (-1249 |#1| |#2| |#3|))) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-304 (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367)))) (($ $ (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-304 (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367)))) (($ $ (-637 (-1249 |#1| |#2| |#3|)) (-637 (-1249 |#1| |#2| |#3|))) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-304 (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367))))) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ (-571)) NIL) (($ $ $) NIL (|has| (-571) (-1109))) (($ $ (-1249 |#1| |#2| |#3|)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-282 (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|))) (|has| |#1| (-367))))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3096 (($ $ (-1 (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|))) NIL (|has| |#1| (-367))) (($ $ (-1 (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|)) (-768)) NIL (|has| |#1| (-367))) (($ $ (-1254 |#2|)) 24) (($ $ (-768)) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $) 23 (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169) (-768)) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-637 (-1169))) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))))) (-3777 (($ $) NIL (|has| |#1| (-367)))) (-4479 (((-1249 |#1| |#2| |#3|) $) NIL (|has| |#1| (-367)))) (-2400 (((-571) $) NIL)) (-4273 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4050 (((-544) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-612 (-544))) (|has| |#1| (-367)))) (((-384) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1027)) (|has| |#1| (-367)))) (((-216) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1027)) (|has| |#1| (-367)))) (((-892 (-384)) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-612 (-892 (-384)))) (|has| |#1| (-367)))) (((-892 (-571)) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-612 (-892 (-571)))) (|has| |#1| (-367))))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))))) (-3202 (($ $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1249 |#1| |#2| |#3|)) NIL) (($ (-1254 |#2|)) 22) (($ (-1169)) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-1043 (-1169))) (|has| |#1| (-367)))) (($ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561)))) (($ (-412 (-571))) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-1043 (-571))) (|has| |#1| (-367))) (|has| |#1| (-43 (-412 (-571))))))) (-3136 ((|#1| $ (-571)) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-149)) (|has| |#1| (-367))) (|has| |#1| (-149))))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) 11)) (-2325 (((-1249 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-553)) (|has| |#1| (-367))))) (-4294 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-909)) (|has| |#1| (-367))) (|has| |#1| (-561))))) (-4280 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-571)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-571)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1902 (($ $) NIL (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) 19 T CONST)) (-3222 (($) 15 T CONST)) (-1544 (($ $ (-1 (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|))) NIL (|has| |#1| (-367))) (($ $ (-1 (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|)) (-768)) NIL (|has| |#1| (-367))) (($ $ (-768)) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-226)) (|has| |#1| (-367))) (|has| |#1| (-15 * (|#1| (-571) |#1|))))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169) (-768)) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-637 (-1169))) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169)))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-900 (-1169))) (|has| |#1| (-367))) (-12 (|has| |#1| (-15 * (|#1| (-571) |#1|))) (|has| |#1| (-900 (-1169))))))) (-1350 (((-121) $ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-1338 (((-121) $ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-1331 (((-121) $ $) NIL (-1831 (-12 (|has| (-1249 |#1| |#2| |#3|) (-820)) (|has| |#1| (-367))) (-12 (|has| (-1249 |#1| |#2| |#3|) (-847)) (|has| |#1| (-367)))))) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367))) (($ (-1249 |#1| |#2| |#3|) (-1249 |#1| |#2| |#3|)) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 20)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1249 |#1| |#2| |#3|)) NIL (|has| |#1| (-367))) (($ (-1249 |#1| |#2| |#3|) $) NIL (|has| |#1| (-367))) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1221 |#1| |#2| |#3|) (-13 (-1219 |#1| (-1249 |#1| |#2| |#3|)) (-10 -8 (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) (-1053) (-1169) |#1|) (T -1221)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1221 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1221 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1221 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3)))) 
+(-13 (-1219 |#1| (-1249 |#1| |#2| |#3|)) (-10 -8 (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) 
+((-2121 (((-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))) |#1| (-121)) 10)) (-4525 (((-423 |#1|) |#1|) 21)) (-4262 (((-423 |#1|) |#1|) 20))) 
+(((-1222 |#1|) (-10 -7 (-15 -4262 ((-423 |#1|) |#1|)) (-15 -4525 ((-423 |#1|) |#1|)) (-15 -2121 ((-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))) |#1| (-121)))) (-1233 (-571))) (T -1222)) 
+((-2121 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| *3) (|:| -4421 (-571))))))) (-5 *1 (-1222 *3)) (-4 *3 (-1233 (-571))))) (-4525 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-1222 *3)) (-4 *3 (-1233 (-571))))) (-4262 (*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-1222 *3)) (-4 *3 (-1233 (-571)))))) 
+(-10 -7 (-15 -4262 ((-423 |#1|) |#1|)) (-15 -4525 ((-423 |#1|) |#1|)) (-15 -2121 ((-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| |#1|) (|:| -4421 (-571)))))) |#1| (-121)))) 
+((-3799 (((-1149 |#2|) (-1 |#2| |#1|) (-1224 |#1|)) 23 (|has| |#1| (-845))) (((-1224 |#2|) (-1 |#2| |#1|) (-1224 |#1|)) 17))) 
+(((-1223 |#1| |#2|) (-10 -7 (-15 -3799 ((-1224 |#2|) (-1 |#2| |#1|) (-1224 |#1|))) (IF (|has| |#1| (-845)) (-15 -3799 ((-1149 |#2|) (-1 |#2| |#1|) (-1224 |#1|))) |noBranch|)) (-1203) (-1203)) (T -1223)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1224 *5)) (-4 *5 (-845)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1149 *6)) (-5 *1 (-1223 *5 *6)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1224 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1224 *6)) (-5 *1 (-1223 *5 *6))))) 
+(-10 -7 (-15 -3799 ((-1224 |#2|) (-1 |#2| |#1|) (-1224 |#1|))) (IF (|has| |#1| (-845)) (-15 -3799 ((-1149 |#2|) (-1 |#2| |#1|) (-1224 |#1|))) |noBranch|)) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4167 (($ |#1| |#1|) 9) (($ |#1|) 8)) (-3799 (((-1149 |#1|) (-1 |#1| |#1|) $) 41 (|has| |#1| (-845)))) (-3894 ((|#1| $) 14)) (-2372 ((|#1| $) 10)) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2381 (((-571) $) 18)) (-2436 ((|#1| $) 17)) (-2389 ((|#1| $) 11)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-4530 (((-121) $) 16)) (-2507 (((-1149 |#1|) $) 38 (|has| |#1| (-845))) (((-1149 |#1|) (-637 $)) 37 (|has| |#1| (-845)))) (-4050 (($ |#1|) 25)) (-3942 (($ (-1091 |#1|)) 24) (((-855) $) 34 (|has| |#1| (-1097)))) (-2760 (($ |#1| |#1|) 20) (($ |#1|) 19)) (-3857 (($ $ (-571)) 13)) (-1323 (((-121) $ $) 27 (|has| |#1| (-1097))))) 
+(((-1224 |#1|) (-13 (-1090 |#1|) (-10 -8 (-15 -2760 ($ |#1|)) (-15 -4167 ($ |#1|)) (-15 -3942 ($ (-1091 |#1|))) (-15 -4530 ((-121) $)) (IF (|has| |#1| (-1097)) (-6 (-1097)) |noBranch|) (IF (|has| |#1| (-845)) (-6 (-1092 |#1| (-1149 |#1|))) |noBranch|))) (-1203)) (T -1224)) 
+((-2760 (*1 *1 *2) (-12 (-5 *1 (-1224 *2)) (-4 *2 (-1203)))) (-4167 (*1 *1 *2) (-12 (-5 *1 (-1224 *2)) (-4 *2 (-1203)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1091 *3)) (-4 *3 (-1203)) (-5 *1 (-1224 *3)))) (-4530 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1224 *3)) (-4 *3 (-1203))))) 
+(-13 (-1090 |#1|) (-10 -8 (-15 -2760 ($ |#1|)) (-15 -4167 ($ |#1|)) (-15 -3942 ($ (-1091 |#1|))) (-15 -4530 ((-121) $)) (IF (|has| |#1| (-1097)) (-6 (-1097)) |noBranch|) (IF (|has| |#1| (-845)) (-6 (-1092 |#1| (-1149 |#1|))) |noBranch|))) 
+((-3799 (((-1230 |#3| |#4|) (-1 |#4| |#2|) (-1230 |#1| |#2|)) 15))) 
+(((-1225 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3799 ((-1230 |#3| |#4|) (-1 |#4| |#2|) (-1230 |#1| |#2|)))) (-1169) (-1053) (-1169) (-1053)) (T -1225)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1230 *5 *6)) (-14 *5 (-1169)) (-4 *6 (-1053)) (-4 *8 (-1053)) (-5 *2 (-1230 *7 *8)) (-5 *1 (-1225 *5 *6 *7 *8)) (-14 *7 (-1169))))) 
+(-10 -7 (-15 -3799 ((-1230 |#3| |#4|) (-1 |#4| |#2|) (-1230 |#1| |#2|)))) 
+((-2906 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 21)) (-1733 ((|#1| |#3|) 13)) (-2505 ((|#3| |#3|) 19))) 
+(((-1226 |#1| |#2| |#3|) (-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -2505 (|#3| |#3|)) (-15 -2906 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-561) (-999 |#1|) (-1233 |#2|)) (T -1226)) 
+((-2906 (*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-999 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1226 *4 *5 *3)) (-4 *3 (-1233 *5)))) (-2505 (*1 *2 *2) (-12 (-4 *3 (-561)) (-4 *4 (-999 *3)) (-5 *1 (-1226 *3 *4 *2)) (-4 *2 (-1233 *4)))) (-1733 (*1 *2 *3) (-12 (-4 *4 (-999 *2)) (-4 *2 (-561)) (-5 *1 (-1226 *2 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -2505 (|#3| |#3|)) (-15 -2906 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
+((-3255 (((-3 |#2| "failed") |#2| (-768) |#1|) 29)) (-3030 (((-3 |#2| "failed") |#2| (-768)) 30)) (-3954 (((-3 (-2 (|:| -1856 |#2|) (|:| -1852 |#2|)) "failed") |#2|) 42)) (-2029 (((-637 |#2|) |#2|) 44)) (-1670 (((-3 |#2| "failed") |#2| |#2|) 39))) 
+(((-1227 |#1| |#2|) (-10 -7 (-15 -3030 ((-3 |#2| "failed") |#2| (-768))) (-15 -3255 ((-3 |#2| "failed") |#2| (-768) |#1|)) (-15 -1670 ((-3 |#2| "failed") |#2| |#2|)) (-15 -3954 ((-3 (-2 (|:| -1856 |#2|) (|:| -1852 |#2|)) "failed") |#2|)) (-15 -2029 ((-637 |#2|) |#2|))) (-13 (-561) (-151)) (-1233 |#1|)) (T -1227)) 
+((-2029 (*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-151))) (-5 *2 (-637 *3)) (-5 *1 (-1227 *4 *3)) (-4 *3 (-1233 *4)))) (-3954 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-561) (-151))) (-5 *2 (-2 (|:| -1856 *3) (|:| -1852 *3))) (-5 *1 (-1227 *4 *3)) (-4 *3 (-1233 *4)))) (-1670 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-561) (-151))) (-5 *1 (-1227 *3 *2)) (-4 *2 (-1233 *3)))) (-3255 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-768)) (-4 *4 (-13 (-561) (-151))) (-5 *1 (-1227 *4 *2)) (-4 *2 (-1233 *4)))) (-3030 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-768)) (-4 *4 (-13 (-561) (-151))) (-5 *1 (-1227 *4 *2)) (-4 *2 (-1233 *4))))) 
+(-10 -7 (-15 -3030 ((-3 |#2| "failed") |#2| (-768))) (-15 -3255 ((-3 |#2| "failed") |#2| (-768) |#1|)) (-15 -1670 ((-3 |#2| "failed") |#2| |#2|)) (-15 -3954 ((-3 (-2 (|:| -1856 |#2|) (|:| -1852 |#2|)) "failed") |#2|)) (-15 -2029 ((-637 |#2|) |#2|))) 
+((-4433 (((-3 (-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) "failed") |#2| |#2|) 31))) 
+(((-1228 |#1| |#2|) (-10 -7 (-15 -4433 ((-3 (-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) "failed") |#2| |#2|))) (-561) (-1233 |#1|)) (T -1228)) 
+((-4433 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-561)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-1228 *4 *3)) (-4 *3 (-1233 *4))))) 
+(-10 -7 (-15 -4433 ((-3 (-2 (|:| -2924 |#2|) (|:| -3363 |#2|)) "failed") |#2| |#2|))) 
+((-2847 ((|#2| |#2| |#2|) 19)) (-3149 ((|#2| |#2| |#2|) 30)) (-3706 ((|#2| |#2| |#2| (-768) (-768)) 36))) 
+(((-1229 |#1| |#2|) (-10 -7 (-15 -2847 (|#2| |#2| |#2|)) (-15 -3149 (|#2| |#2| |#2|)) (-15 -3706 (|#2| |#2| |#2| (-768) (-768)))) (-1053) (-1233 |#1|)) (T -1229)) 
+((-3706 (*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-768)) (-4 *4 (-1053)) (-5 *1 (-1229 *4 *2)) (-4 *2 (-1233 *4)))) (-3149 (*1 *2 *2 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-1229 *3 *2)) (-4 *2 (-1233 *3)))) (-2847 (*1 *2 *2 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-1229 *3 *2)) (-4 *2 (-1233 *3))))) 
+(-10 -7 (-15 -2847 (|#2| |#2| |#2|)) (-15 -3149 (|#2| |#2| |#2|)) (-15 -3706 (|#2| |#2| |#2| (-768) (-768)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3748 (((-1258 |#2|) $ (-768)) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-2693 (($ (-1165 |#2|)) NIL)) (-4257 (((-1165 $) $ (-1081)) NIL) (((-1165 |#2|) $) NIL)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#2| (-561)))) (-1415 (($ $) NIL (|has| |#2| (-561)))) (-2545 (((-121) $) NIL (|has| |#2| (-561)))) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-1081))) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-3888 (($ $ $) NIL (|has| |#2| (-561)))) (-1434 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-2356 (($ $) NIL (|has| |#2| (-456)))) (-4151 (((-423 $) $) NIL (|has| |#2| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-1295 (((-121) $ $) NIL (|has| |#2| (-367)))) (-1564 (($ $ (-768)) NIL)) (-3623 (($ $ (-768)) NIL)) (-1462 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-456)))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) NIL) (((-3 (-412 (-571)) "failed") $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) NIL (|has| |#2| (-1043 (-571)))) (((-3 (-1081) "failed") $) NIL)) (-1316 ((|#2| $) NIL) (((-412 (-571)) $) NIL (|has| |#2| (-1043 (-412 (-571))))) (((-571) $) NIL (|has| |#2| (-1043 (-571)))) (((-1081) $) NIL)) (-3730 (($ $ $ (-1081)) NIL (|has| |#2| (-173))) ((|#2| $ $) NIL (|has| |#2| (-173)))) (-2162 (($ $ $) NIL (|has| |#2| (-367)))) (-4349 (($ $) NIL)) (-2680 (((-684 (-571)) (-684 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) NIL (|has| |#2| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#2|)) (|:| |vec| (-1258 |#2|))) (-684 $) (-1258 $)) NIL) (((-684 |#2|) (-684 $)) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2180 (($ $ $) NIL (|has| |#2| (-367)))) (-1406 (($ $ $) NIL)) (-3311 (($ $ $) NIL (|has| |#2| (-561)))) (-2506 (((-2 (|:| -4501 |#2|) (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#2| (-561)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#2| (-367)))) (-3630 (($ $) NIL (|has| |#2| (-456))) (($ $ (-1081)) NIL (|has| |#2| (-456)))) (-4343 (((-637 $) $) NIL)) (-1596 (((-121) $) NIL (|has| |#2| (-909)))) (-1420 (($ $ |#2| (-768) $) NIL)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) NIL (-12 (|has| (-1081) (-886 (-384))) (|has| |#2| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) NIL (-12 (|has| (-1081) (-886 (-571))) (|has| |#2| (-886 (-571)))))) (-3347 (((-768) $ $) NIL (|has| |#2| (-561)))) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-2596 (((-3 $ "failed") $) NIL (|has| |#2| (-1143)))) (-4296 (($ (-1165 |#2|) (-1081)) NIL) (($ (-1165 $) (-1081)) NIL)) (-1817 (($ $ (-768)) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#2| (-367)))) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4289 (($ |#2| (-768)) 17) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-1081)) NIL) (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL)) (-3973 (((-768) $) NIL) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-1763 (($ $ $) NIL (|has| |#2| (-847)))) (-2383 (($ $ $) NIL (|has| |#2| (-847)))) (-2587 (($ (-1 (-768) (-768)) $) NIL)) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-2231 (((-1165 |#2|) $) NIL)) (-2510 (((-3 (-1081) "failed") $) NIL)) (-4332 (($ $) NIL)) (-4337 ((|#2| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-3944 (((-1151) $) NIL)) (-2752 (((-2 (|:| -2924 $) (|:| -3363 $)) $ (-768)) NIL)) (-4014 (((-3 (-637 $) "failed") $) NIL)) (-1910 (((-3 (-637 $) "failed") $) NIL)) (-3925 (((-3 (-2 (|:| |var| (-1081)) (|:| -2154 (-768))) "failed") $) NIL)) (-3403 (($ $) NIL (|has| |#2| (-43 (-412 (-571)))))) (-1757 (($) NIL (|has| |#2| (-1143)) CONST)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 ((|#2| $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#2| (-456)))) (-3026 (($ (-637 $)) NIL (|has| |#2| (-456))) (($ $ $) NIL (|has| |#2| (-456)))) (-3755 (($ $ (-768) |#2| $) NIL)) (-2796 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) NIL (|has| |#2| (-909)))) (-4262 (((-423 $) $) NIL (|has| |#2| (-909)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#2| (-367)))) (-1786 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-561))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#2| (-367)))) (-4483 (($ $ (-637 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-1081) |#2|) NIL) (($ $ (-637 (-1081)) (-637 |#2|)) NIL) (($ $ (-1081) $) NIL) (($ $ (-637 (-1081)) (-637 $)) NIL)) (-1826 (((-768) $) NIL (|has| |#2| (-367)))) (-3245 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-412 $) (-412 $) (-412 $)) NIL (|has| |#2| (-561))) ((|#2| (-412 $) |#2|) NIL (|has| |#2| (-367))) (((-412 $) $ (-412 $)) NIL (|has| |#2| (-561)))) (-3144 (((-3 $ "failed") $ (-768)) NIL)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#2| (-367)))) (-1475 (($ $ (-1081)) NIL (|has| |#2| (-173))) ((|#2| $) NIL (|has| |#2| (-173)))) (-3096 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-2400 (((-768) $) NIL) (((-768) $ (-1081)) NIL) (((-637 (-768)) $ (-637 (-1081))) NIL)) (-4050 (((-892 (-384)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-384)))) (|has| |#2| (-612 (-892 (-384)))))) (((-892 (-571)) $) NIL (-12 (|has| (-1081) (-612 (-892 (-571)))) (|has| |#2| (-612 (-892 (-571)))))) (((-544) $) NIL (-12 (|has| (-1081) (-612 (-544))) (|has| |#2| (-612 (-544)))))) (-4189 ((|#2| $) NIL (|has| |#2| (-456))) (($ $ (-1081)) NIL (|has| |#2| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-909))))) (-3820 (((-3 $ "failed") $ $) NIL (|has| |#2| (-561))) (((-3 (-412 $) "failed") (-412 $) $) NIL (|has| |#2| (-561)))) (-3942 (((-855) $) 13) (($ (-571)) NIL) (($ |#2|) NIL) (($ (-1081)) NIL) (($ (-1254 |#1|)) 19) (($ (-412 (-571))) NIL (-1831 (|has| |#2| (-43 (-412 (-571)))) (|has| |#2| (-1043 (-412 (-571)))))) (($ $) NIL (|has| |#2| (-561)))) (-1314 (((-637 |#2|) $) NIL)) (-3136 ((|#2| $ (-768)) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-2346 (((-3 $ "failed") $) NIL (-1831 (-12 (|has| $ (-149)) (|has| |#2| (-909))) (|has| |#2| (-149))))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| |#2| (-173)))) (-1388 (((-121) $ $) NIL (|has| |#2| (-561)))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-3222 (($) 14 T CONST)) (-1544 (($ $ (-1081)) NIL) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) NIL) (($ $ (-1169)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1169) (-768)) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) NIL (|has| |#2| (-900 (-1169)))) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1350 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1323 (((-121) $ $) NIL)) (-1342 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#2| (-847)))) (-1379 (($ $ |#2|) NIL (|has| |#2| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-412 (-571))) NIL (|has| |#2| (-43 (-412 (-571))))) (($ (-412 (-571)) $) NIL (|has| |#2| (-43 (-412 (-571))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-1230 |#1| |#2|) (-13 (-1233 |#2|) (-10 -8 (-15 -3942 ($ (-1254 |#1|))) (-15 -3755 ($ $ (-768) |#2| $)))) (-1169) (-1053)) (T -1230)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *3)) (-14 *3 (-1169)) (-5 *1 (-1230 *3 *4)) (-4 *4 (-1053)))) (-3755 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1230 *4 *3)) (-14 *4 (-1169)) (-4 *3 (-1053))))) 
+(-13 (-1233 |#2|) (-10 -8 (-15 -3942 ($ (-1254 |#1|))) (-15 -3755 ($ $ (-768) |#2| $)))) 
+((-3799 ((|#4| (-1 |#3| |#1|) |#2|) 22))) 
+(((-1231 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3799 (|#4| (-1 |#3| |#1|) |#2|))) (-1053) (-1233 |#1|) (-1053) (-1233 |#3|)) (T -1231)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-4 *2 (-1233 *6)) (-5 *1 (-1231 *5 *4 *6 *2)) (-4 *4 (-1233 *5))))) 
+(-10 -7 (-15 -3799 (|#4| (-1 |#3| |#1|) |#2|))) 
+((-3748 (((-1258 |#2|) $ (-768)) 113)) (-3424 (((-637 (-1081)) $) 15)) (-2693 (($ (-1165 |#2|)) 66)) (-3066 (((-768) $) NIL) (((-768) $ (-637 (-1081))) 18)) (-1434 (((-423 (-1165 $)) (-1165 $)) 183)) (-2356 (($ $) 173)) (-4151 (((-423 $) $) 171)) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 81)) (-1564 (($ $ (-768)) 70)) (-3623 (($ $ (-768)) 72)) (-1462 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 129)) (-3337 (((-3 |#2| "failed") $) 116) (((-3 (-412 (-571)) "failed") $) NIL) (((-3 (-571) "failed") $) NIL) (((-3 (-1081) "failed") $) NIL)) (-1316 ((|#2| $) 114) (((-412 (-571)) $) NIL) (((-571) $) NIL) (((-1081) $) NIL)) (-3311 (($ $ $) 150)) (-2506 (((-2 (|:| -4501 |#2|) (|:| -2924 $) (|:| -3363 $)) $ $) 152)) (-3347 (((-768) $ $) 168)) (-2596 (((-3 $ "failed") $) 122)) (-4289 (($ |#2| (-768)) NIL) (($ $ (-1081) (-768)) 46) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-3973 (((-768) $) NIL) (((-768) $ (-1081)) 41) (((-637 (-768)) $ (-637 (-1081))) 42)) (-2231 (((-1165 |#2|) $) 58)) (-2510 (((-3 (-1081) "failed") $) 39)) (-2752 (((-2 (|:| -2924 $) (|:| -3363 $)) $ (-768)) 69)) (-3403 (($ $) 194)) (-1757 (($) 118)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 180)) (-2796 (((-423 (-1165 $)) (-1165 $)) 87)) (-1821 (((-423 (-1165 $)) (-1165 $)) 85)) (-4262 (((-423 $) $) 105)) (-4483 (($ $ (-637 (-289 $))) 38) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-637 $) (-637 $)) NIL) (($ $ (-1081) |#2|) 31) (($ $ (-637 (-1081)) (-637 |#2|)) 28) (($ $ (-1081) $) 25) (($ $ (-637 (-1081)) (-637 $)) 23)) (-1826 (((-768) $) 186)) (-3245 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-412 $) (-412 $) (-412 $)) 146) ((|#2| (-412 $) |#2|) 185) (((-412 $) $ (-412 $)) 167)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 189)) (-3096 (($ $ (-1081)) 139) (($ $ (-637 (-1081))) NIL) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL) (($ $ (-768)) NIL) (($ $) 137) (($ $ (-1169)) NIL) (($ $ (-637 (-1169))) NIL) (($ $ (-1169) (-768)) NIL) (($ $ (-637 (-1169)) (-637 (-768))) NIL) (($ $ (-1 |#2| |#2|) (-768)) NIL) (($ $ (-1 |#2| |#2|)) 136) (($ $ (-1 |#2| |#2|) $) 133)) (-2400 (((-768) $) NIL) (((-768) $ (-1081)) 16) (((-637 (-768)) $ (-637 (-1081))) 20)) (-4189 ((|#2| $) NIL) (($ $ (-1081)) 124)) (-3820 (((-3 $ "failed") $ $) 160) (((-3 (-412 $) "failed") (-412 $) $) 156)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#2|) NIL) (($ (-1081)) 50) (($ (-412 (-571))) NIL) (($ $) NIL))) 
+(((-1232 |#1| |#2|) (-10 -8 (-15 -3942 (|#1| |#1|)) (-15 -2184 ((-1165 |#1|) (-1165 |#1|) (-1165 |#1|))) (-15 -4151 ((-423 |#1|) |#1|)) (-15 -2356 (|#1| |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -1757 (|#1|)) (-15 -2596 ((-3 |#1| "failed") |#1|)) (-15 -3245 ((-412 |#1|) |#1| (-412 |#1|))) (-15 -1826 ((-768) |#1|)) (-15 -3221 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -3403 (|#1| |#1|)) (-15 -3245 (|#2| (-412 |#1|) |#2|)) (-15 -1462 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -2506 ((-2 (|:| -4501 |#2|) (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -3311 (|#1| |#1| |#1|)) (-15 -3820 ((-3 (-412 |#1|) "failed") (-412 |#1|) |#1|)) (-15 -3820 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3347 ((-768) |#1| |#1|)) (-15 -3245 ((-412 |#1|) (-412 |#1|) (-412 |#1|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -3623 (|#1| |#1| (-768))) (-15 -1564 (|#1| |#1| (-768))) (-15 -2752 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| (-768))) (-15 -2693 (|#1| (-1165 |#2|))) (-15 -2231 ((-1165 |#2|) |#1|)) (-15 -3748 ((-1258 |#2|) |#1| (-768))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3245 (|#1| |#1| |#1|)) (-15 -3245 (|#2| |#1| |#2|)) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -1434 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -1821 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -2796 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -1926 ((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|))) (-15 -4189 (|#1| |#1| (-1081))) (-15 -3424 ((-637 (-1081)) |#1|)) (-15 -3066 ((-768) |#1| (-637 (-1081)))) (-15 -3066 ((-768) |#1|)) (-15 -4289 (|#1| |#1| (-637 (-1081)) (-637 (-768)))) (-15 -4289 (|#1| |#1| (-1081) (-768))) (-15 -3973 ((-637 (-768)) |#1| (-637 (-1081)))) (-15 -3973 ((-768) |#1| (-1081))) (-15 -2510 ((-3 (-1081) "failed") |#1|)) (-15 -2400 ((-637 (-768)) |#1| (-637 (-1081)))) (-15 -2400 ((-768) |#1| (-1081))) (-15 -1316 ((-1081) |#1|)) (-15 -3337 ((-3 (-1081) "failed") |#1|)) (-15 -3942 (|#1| (-1081))) (-15 -4483 (|#1| |#1| (-637 (-1081)) (-637 |#1|))) (-15 -4483 (|#1| |#1| (-1081) |#1|)) (-15 -4483 (|#1| |#1| (-637 (-1081)) (-637 |#2|))) (-15 -4483 (|#1| |#1| (-1081) |#2|)) (-15 -4483 (|#1| |#1| (-637 |#1|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#1| |#1|)) (-15 -4483 (|#1| |#1| (-289 |#1|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -2400 ((-768) |#1|)) (-15 -4289 (|#1| |#2| (-768))) (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3973 ((-768) |#1|)) (-15 -4189 (|#2| |#1|)) (-15 -3096 (|#1| |#1| (-637 (-1081)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1081) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1081)))) (-15 -3096 (|#1| |#1| (-1081))) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) (-1233 |#2|) (-1053)) (T -1232)) 
+NIL 
+(-10 -8 (-15 -3942 (|#1| |#1|)) (-15 -2184 ((-1165 |#1|) (-1165 |#1|) (-1165 |#1|))) (-15 -4151 ((-423 |#1|) |#1|)) (-15 -2356 (|#1| |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -1757 (|#1|)) (-15 -2596 ((-3 |#1| "failed") |#1|)) (-15 -3245 ((-412 |#1|) |#1| (-412 |#1|))) (-15 -1826 ((-768) |#1|)) (-15 -3221 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -3403 (|#1| |#1|)) (-15 -3245 (|#2| (-412 |#1|) |#2|)) (-15 -1462 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -2506 ((-2 (|:| -4501 |#2|) (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| |#1|)) (-15 -3311 (|#1| |#1| |#1|)) (-15 -3820 ((-3 (-412 |#1|) "failed") (-412 |#1|) |#1|)) (-15 -3820 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3347 ((-768) |#1| |#1|)) (-15 -3245 ((-412 |#1|) (-412 |#1|) (-412 |#1|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -3623 (|#1| |#1| (-768))) (-15 -1564 (|#1| |#1| (-768))) (-15 -2752 ((-2 (|:| -2924 |#1|) (|:| -3363 |#1|)) |#1| (-768))) (-15 -2693 (|#1| (-1165 |#2|))) (-15 -2231 ((-1165 |#2|) |#1|)) (-15 -3748 ((-1258 |#2|) |#1| (-768))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3096 (|#1| |#1| (-1 |#2| |#2|) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1169) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1169)))) (-15 -3096 (|#1| |#1| (-1169))) (-15 -3096 (|#1| |#1|)) (-15 -3096 (|#1| |#1| (-768))) (-15 -3245 (|#1| |#1| |#1|)) (-15 -3245 (|#2| |#1| |#2|)) (-15 -4262 ((-423 |#1|) |#1|)) (-15 -1434 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -1821 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -2796 ((-423 (-1165 |#1|)) (-1165 |#1|))) (-15 -1926 ((-3 (-637 (-1165 |#1|)) "failed") (-637 (-1165 |#1|)) (-1165 |#1|))) (-15 -4189 (|#1| |#1| (-1081))) (-15 -3424 ((-637 (-1081)) |#1|)) (-15 -3066 ((-768) |#1| (-637 (-1081)))) (-15 -3066 ((-768) |#1|)) (-15 -4289 (|#1| |#1| (-637 (-1081)) (-637 (-768)))) (-15 -4289 (|#1| |#1| (-1081) (-768))) (-15 -3973 ((-637 (-768)) |#1| (-637 (-1081)))) (-15 -3973 ((-768) |#1| (-1081))) (-15 -2510 ((-3 (-1081) "failed") |#1|)) (-15 -2400 ((-637 (-768)) |#1| (-637 (-1081)))) (-15 -2400 ((-768) |#1| (-1081))) (-15 -1316 ((-1081) |#1|)) (-15 -3337 ((-3 (-1081) "failed") |#1|)) (-15 -3942 (|#1| (-1081))) (-15 -4483 (|#1| |#1| (-637 (-1081)) (-637 |#1|))) (-15 -4483 (|#1| |#1| (-1081) |#1|)) (-15 -4483 (|#1| |#1| (-637 (-1081)) (-637 |#2|))) (-15 -4483 (|#1| |#1| (-1081) |#2|)) (-15 -4483 (|#1| |#1| (-637 |#1|) (-637 |#1|))) (-15 -4483 (|#1| |#1| |#1| |#1|)) (-15 -4483 (|#1| |#1| (-289 |#1|))) (-15 -4483 (|#1| |#1| (-637 (-289 |#1|)))) (-15 -2400 ((-768) |#1|)) (-15 -4289 (|#1| |#2| (-768))) (-15 -1316 ((-571) |#1|)) (-15 -3337 ((-3 (-571) "failed") |#1|)) (-15 -1316 ((-412 (-571)) |#1|)) (-15 -3337 ((-3 (-412 (-571)) "failed") |#1|)) (-15 -3942 (|#1| |#2|)) (-15 -3337 ((-3 |#2| "failed") |#1|)) (-15 -1316 (|#2| |#1|)) (-15 -3973 ((-768) |#1|)) (-15 -4189 (|#2| |#1|)) (-15 -3096 (|#1| |#1| (-637 (-1081)) (-637 (-768)))) (-15 -3096 (|#1| |#1| (-1081) (-768))) (-15 -3096 (|#1| |#1| (-637 (-1081)))) (-15 -3096 (|#1| |#1| (-1081))) (-15 -3942 (|#1| (-571))) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3748 (((-1258 |#1|) $ (-768)) 217)) (-3424 (((-637 (-1081)) $) 108)) (-2693 (($ (-1165 |#1|)) 215)) (-4257 (((-1165 $) $ (-1081)) 123) (((-1165 |#1|) $) 122)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 85 (|has| |#1| (-561)))) (-1415 (($ $) 86 (|has| |#1| (-561)))) (-2545 (((-121) $) 88 (|has| |#1| (-561)))) (-3066 (((-768) $) 110) (((-768) $ (-637 (-1081))) 109)) (-4176 (((-3 $ "failed") $ $) 18)) (-3888 (($ $ $) 202 (|has| |#1| (-561)))) (-1434 (((-423 (-1165 $)) (-1165 $)) 98 (|has| |#1| (-909)))) (-2356 (($ $) 96 (|has| |#1| (-456)))) (-4151 (((-423 $) $) 95 (|has| |#1| (-456)))) (-1926 (((-3 (-637 (-1165 $)) "failed") (-637 (-1165 $)) (-1165 $)) 101 (|has| |#1| (-909)))) (-1295 (((-121) $ $) 187 (|has| |#1| (-367)))) (-1564 (($ $ (-768)) 210)) (-3623 (($ $ (-768)) 209)) (-1462 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 197 (|has| |#1| (-456)))) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#1| "failed") $) 162) (((-3 (-412 (-571)) "failed") $) 160 (|has| |#1| (-1043 (-412 (-571))))) (((-3 (-571) "failed") $) 158 (|has| |#1| (-1043 (-571)))) (((-3 (-1081) "failed") $) 134)) (-1316 ((|#1| $) 163) (((-412 (-571)) $) 159 (|has| |#1| (-1043 (-412 (-571))))) (((-571) $) 157 (|has| |#1| (-1043 (-571)))) (((-1081) $) 133)) (-3730 (($ $ $ (-1081)) 106 (|has| |#1| (-173))) ((|#1| $ $) 205 (|has| |#1| (-173)))) (-2162 (($ $ $) 191 (|has| |#1| (-367)))) (-4349 (($ $) 152)) (-2680 (((-684 (-571)) (-684 $)) 132 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 (-571))) (|:| |vec| (-1258 (-571)))) (-684 $) (-1258 $)) 131 (|has| |#1| (-633 (-571)))) (((-2 (|:| -3533 (-684 |#1|)) (|:| |vec| (-1258 |#1|))) (-684 $) (-1258 $)) 130) (((-684 |#1|) (-684 $)) 129)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 190 (|has| |#1| (-367)))) (-1406 (($ $ $) 208)) (-3311 (($ $ $) 199 (|has| |#1| (-561)))) (-2506 (((-2 (|:| -4501 |#1|) (|:| -2924 $) (|:| -3363 $)) $ $) 198 (|has| |#1| (-561)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 185 (|has| |#1| (-367)))) (-3630 (($ $) 174 (|has| |#1| (-456))) (($ $ (-1081)) 103 (|has| |#1| (-456)))) (-4343 (((-637 $) $) 107)) (-1596 (((-121) $) 94 (|has| |#1| (-909)))) (-1420 (($ $ |#1| (-768) $) 170)) (-2941 (((-889 (-384) $) $ (-892 (-384)) (-889 (-384) $)) 82 (-12 (|has| (-1081) (-886 (-384))) (|has| |#1| (-886 (-384))))) (((-889 (-571) $) $ (-892 (-571)) (-889 (-571) $)) 81 (-12 (|has| (-1081) (-886 (-571))) (|has| |#1| (-886 (-571)))))) (-3347 (((-768) $ $) 203 (|has| |#1| (-561)))) (-2583 (((-121) $) 30)) (-2108 (((-768) $) 167)) (-2596 (((-3 $ "failed") $) 183 (|has| |#1| (-1143)))) (-4296 (($ (-1165 |#1|) (-1081)) 115) (($ (-1165 $) (-1081)) 114)) (-1817 (($ $ (-768)) 214)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 194 (|has| |#1| (-367)))) (-1368 (((-637 $) $) 124)) (-3517 (((-121) $) 150)) (-4289 (($ |#1| (-768)) 151) (($ $ (-1081) (-768)) 117) (($ $ (-637 (-1081)) (-637 (-768))) 116)) (-4218 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $ (-1081)) 118) (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 212)) (-3973 (((-768) $) 168) (((-768) $ (-1081)) 120) (((-637 (-768)) $ (-637 (-1081))) 119)) (-1763 (($ $ $) 77 (|has| |#1| (-847)))) (-2383 (($ $ $) 76 (|has| |#1| (-847)))) (-2587 (($ (-1 (-768) (-768)) $) 169)) (-3799 (($ (-1 |#1| |#1|) $) 149)) (-2231 (((-1165 |#1|) $) 216)) (-2510 (((-3 (-1081) "failed") $) 121)) (-4332 (($ $) 147)) (-4337 ((|#1| $) 146)) (-1622 (($ (-637 $)) 92 (|has| |#1| (-456))) (($ $ $) 91 (|has| |#1| (-456)))) (-3944 (((-1151) $) 9)) (-2752 (((-2 (|:| -2924 $) (|:| -3363 $)) $ (-768)) 211)) (-4014 (((-3 (-637 $) "failed") $) 112)) (-1910 (((-3 (-637 $) "failed") $) 113)) (-3925 (((-3 (-2 (|:| |var| (-1081)) (|:| -2154 (-768))) "failed") $) 111)) (-3403 (($ $) 195 (|has| |#1| (-43 (-412 (-571)))))) (-1757 (($) 182 (|has| |#1| (-1143)) CONST)) (-2580 (((-1115) $) 10)) (-4321 (((-121) $) 164)) (-4326 ((|#1| $) 165)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 93 (|has| |#1| (-456)))) (-3026 (($ (-637 $)) 90 (|has| |#1| (-456))) (($ $ $) 89 (|has| |#1| (-456)))) (-2796 (((-423 (-1165 $)) (-1165 $)) 100 (|has| |#1| (-909)))) (-1821 (((-423 (-1165 $)) (-1165 $)) 99 (|has| |#1| (-909)))) (-4262 (((-423 $) $) 97 (|has| |#1| (-909)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 193 (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 192 (|has| |#1| (-367)))) (-1786 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-561))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 186 (|has| |#1| (-367)))) (-4483 (($ $ (-637 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-637 $) (-637 $)) 140) (($ $ (-1081) |#1|) 139) (($ $ (-637 (-1081)) (-637 |#1|)) 138) (($ $ (-1081) $) 137) (($ $ (-637 (-1081)) (-637 $)) 136)) (-1826 (((-768) $) 188 (|has| |#1| (-367)))) (-3245 ((|#1| $ |#1|) 235) (($ $ $) 234) (((-412 $) (-412 $) (-412 $)) 204 (|has| |#1| (-561))) ((|#1| (-412 $) |#1|) 196 (|has| |#1| (-367))) (((-412 $) $ (-412 $)) 184 (|has| |#1| (-561)))) (-3144 (((-3 $ "failed") $ (-768)) 213)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 189 (|has| |#1| (-367)))) (-1475 (($ $ (-1081)) 105 (|has| |#1| (-173))) ((|#1| $) 206 (|has| |#1| (-173)))) (-3096 (($ $ (-1081)) 41) (($ $ (-637 (-1081))) 40) (($ $ (-1081) (-768)) 39) (($ $ (-637 (-1081)) (-637 (-768))) 38) (($ $ (-768)) 232) (($ $) 230) (($ $ (-1169)) 229 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 228 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 227 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) 226 (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) 219) (($ $ (-1 |#1| |#1|)) 218) (($ $ (-1 |#1| |#1|) $) 207)) (-2400 (((-768) $) 148) (((-768) $ (-1081)) 128) (((-637 (-768)) $ (-637 (-1081))) 127)) (-4050 (((-892 (-384)) $) 80 (-12 (|has| (-1081) (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384)))))) (((-892 (-571)) $) 79 (-12 (|has| (-1081) (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571)))))) (((-544) $) 78 (-12 (|has| (-1081) (-612 (-544))) (|has| |#1| (-612 (-544)))))) (-4189 ((|#1| $) 173 (|has| |#1| (-456))) (($ $ (-1081)) 104 (|has| |#1| (-456)))) (-2041 (((-3 (-1258 $) "failed") (-684 $)) 102 (-3997 (|has| $ (-149)) (|has| |#1| (-909))))) (-3820 (((-3 $ "failed") $ $) 201 (|has| |#1| (-561))) (((-3 (-412 $) "failed") (-412 $) $) 200 (|has| |#1| (-561)))) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 161) (($ (-1081)) 135) (($ (-412 (-571))) 70 (-1831 (|has| |#1| (-1043 (-412 (-571)))) (|has| |#1| (-43 (-412 (-571)))))) (($ $) 83 (|has| |#1| (-561)))) (-1314 (((-637 |#1|) $) 166)) (-3136 ((|#1| $ (-768)) 153) (($ $ (-1081) (-768)) 126) (($ $ (-637 (-1081)) (-637 (-768))) 125)) (-2346 (((-3 $ "failed") $) 71 (-1831 (-3997 (|has| $ (-149)) (|has| |#1| (-909))) (|has| |#1| (-149))))) (-2661 (((-768)) 28)) (-3855 (($ $ $ (-768)) 171 (|has| |#1| (-173)))) (-1388 (((-121) $ $) 87 (|has| |#1| (-561)))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-1081)) 37) (($ $ (-637 (-1081))) 36) (($ $ (-1081) (-768)) 35) (($ $ (-637 (-1081)) (-637 (-768))) 34) (($ $ (-768)) 233) (($ $) 231) (($ $ (-1169)) 225 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169))) 224 (|has| |#1| (-900 (-1169)))) (($ $ (-1169) (-768)) 223 (|has| |#1| (-900 (-1169)))) (($ $ (-637 (-1169)) (-637 (-768))) 222 (|has| |#1| (-900 (-1169)))) (($ $ (-1 |#1| |#1|) (-768)) 221) (($ $ (-1 |#1| |#1|)) 220)) (-1350 (((-121) $ $) 74 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 73 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 6)) (-1342 (((-121) $ $) 75 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 72 (|has| |#1| (-847)))) (-1379 (($ $ |#1|) 154 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 156 (|has| |#1| (-43 (-412 (-571))))) (($ (-412 (-571)) $) 155 (|has| |#1| (-43 (-412 (-571))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-1233 |#1|) (-1289) (-1053)) (T -1233)) 
+((-3748 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-1233 *4)) (-4 *4 (-1053)) (-5 *2 (-1258 *4)))) (-2231 (*1 *2 *1) (-12 (-4 *1 (-1233 *3)) (-4 *3 (-1053)) (-5 *2 (-1165 *3)))) (-2693 (*1 *1 *2) (-12 (-5 *2 (-1165 *3)) (-4 *3 (-1053)) (-4 *1 (-1233 *3)))) (-1817 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)))) (-3144 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-768)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)))) (-4218 (*1 *2 *1 *1) (-12 (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1233 *3)))) (-2752 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *4 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1233 *4)))) (-1564 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)))) (-3623 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)))) (-1406 (*1 *1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)))) (-3096 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)))) (-1475 (*1 *2 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-173)))) (-3730 (*1 *2 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-173)))) (-3245 (*1 *2 *2 *2) (-12 (-5 *2 (-412 *1)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)) (-4 *3 (-561)))) (-3347 (*1 *2 *1 *1) (-12 (-4 *1 (-1233 *3)) (-4 *3 (-1053)) (-4 *3 (-561)) (-5 *2 (-768)))) (-3888 (*1 *1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-561)))) (-3820 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-561)))) (-3820 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-412 *1)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)) (-4 *3 (-561)))) (-3311 (*1 *1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-561)))) (-2506 (*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -4501 *3) (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1233 *3)))) (-1462 (*1 *2 *1 *1) (-12 (-4 *3 (-456)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1233 *3)))) (-3245 (*1 *2 *3 *2) (-12 (-5 *3 (-412 *1)) (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-3403 (*1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-43 (-412 (-571))))))) 
+(-13 (-955 |t#1| (-768) (-1081)) (-282 |t#1| |t#1|) (-282 $ $) (-226) (-224 |t#1|) (-10 -8 (-15 -3748 ((-1258 |t#1|) $ (-768))) (-15 -2231 ((-1165 |t#1|) $)) (-15 -2693 ($ (-1165 |t#1|))) (-15 -1817 ($ $ (-768))) (-15 -3144 ((-3 $ "failed") $ (-768))) (-15 -4218 ((-2 (|:| -2924 $) (|:| -3363 $)) $ $)) (-15 -2752 ((-2 (|:| -2924 $) (|:| -3363 $)) $ (-768))) (-15 -1564 ($ $ (-768))) (-15 -3623 ($ $ (-768))) (-15 -1406 ($ $ $)) (-15 -3096 ($ $ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-1143)) (-6 (-1143)) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-15 -1475 (|t#1| $)) (-15 -3730 (|t#1| $ $))) |noBranch|) (IF (|has| |t#1| (-561)) (PROGN (-6 (-282 (-412 $) (-412 $))) (-15 -3245 ((-412 $) (-412 $) (-412 $))) (-15 -3347 ((-768) $ $)) (-15 -3888 ($ $ $)) (-15 -3820 ((-3 $ "failed") $ $)) (-15 -3820 ((-3 (-412 $) "failed") (-412 $) $)) (-15 -3311 ($ $ $)) (-15 -2506 ((-2 (|:| -4501 |t#1|) (|:| -2924 $) (|:| -3363 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-456)) (-15 -1462 ((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $)) |noBranch|) (IF (|has| |t#1| (-367)) (PROGN (-6 (-302)) (-6 -4596) (-15 -3245 (|t#1| (-412 $) |t#1|))) |noBranch|) (IF (|has| |t#1| (-43 (-412 (-571)))) (-15 -3403 ($ $)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-768)) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-367))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-612 (-544)) -12 (|has| (-1081) (-612 (-544))) (|has| |#1| (-612 (-544)))) ((-612 (-892 (-384))) -12 (|has| (-1081) (-612 (-892 (-384)))) (|has| |#1| (-612 (-892 (-384))))) ((-612 (-892 (-571))) -12 (|has| (-1081) (-612 (-892 (-571)))) (|has| |#1| (-612 (-892 (-571))))) ((-224 |#1|) . T) ((-226) . T) ((-282 (-412 $) (-412 $)) |has| |#1| (-561)) ((-282 |#1| |#1|) . T) ((-282 $ $) . T) ((-286) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-367))) ((-302) |has| |#1| (-367)) ((-304 $) . T) ((-325 |#1| (-768)) . T) ((-382 |#1|) . T) ((-416 |#1|) . T) ((-456) -1831 (|has| |#1| (-909)) (|has| |#1| (-456)) (|has| |#1| (-367))) ((-526 (-1081) |#1|) . T) ((-526 (-1081) $) . T) ((-526 $ $) . T) ((-561) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-367))) ((-640 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-640 |#1|) . T) ((-640 $) . T) ((-633 (-571)) |has| |#1| (-633 (-571))) ((-633 |#1|) . T) ((-712 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-367))) ((-721) . T) ((-847) |has| |#1| (-847)) ((-900 (-1081)) . T) ((-900 (-1169)) |has| |#1| (-900 (-1169))) ((-886 (-384)) -12 (|has| (-1081) (-886 (-384))) (|has| |#1| (-886 (-384)))) ((-886 (-571)) -12 (|has| (-1081) (-886 (-571))) (|has| |#1| (-886 (-571)))) ((-955 |#1| (-768) (-1081)) . T) ((-909) |has| |#1| (-909)) ((-921) |has| |#1| (-367)) ((-1043 (-412 (-571))) |has| |#1| (-1043 (-412 (-571)))) ((-1043 (-571)) |has| |#1| (-1043 (-571))) ((-1043 (-1081)) . T) ((-1043 |#1|) . T) ((-1059 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-909)) (|has| |#1| (-561)) (|has| |#1| (-456)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1143) |has| |#1| (-1143)) ((-1213) |has| |#1| (-909))) 
+((-3424 (((-637 (-1081)) $) 28)) (-4349 (($ $) 25)) (-4289 (($ |#2| |#3|) NIL) (($ $ (-1081) |#3|) 22) (($ $ (-637 (-1081)) (-637 |#3|)) 20)) (-4332 (($ $) 14)) (-4337 ((|#2| $) 12)) (-2400 ((|#3| $) 10))) 
+(((-1234 |#1| |#2| |#3|) (-10 -8 (-15 -3424 ((-637 (-1081)) |#1|)) (-15 -4289 (|#1| |#1| (-637 (-1081)) (-637 |#3|))) (-15 -4289 (|#1| |#1| (-1081) |#3|)) (-15 -4349 (|#1| |#1|)) (-15 -4289 (|#1| |#2| |#3|)) (-15 -2400 (|#3| |#1|)) (-15 -4332 (|#1| |#1|)) (-15 -4337 (|#2| |#1|))) (-1235 |#2| |#3|) (-1053) (-792)) (T -1234)) 
+NIL 
+(-10 -8 (-15 -3424 ((-637 (-1081)) |#1|)) (-15 -4289 (|#1| |#1| (-637 (-1081)) (-637 |#3|))) (-15 -4289 (|#1| |#1| (-1081) |#3|)) (-15 -4349 (|#1| |#1|)) (-15 -4289 (|#1| |#2| |#3|)) (-15 -2400 (|#3| |#1|)) (-15 -4332 (|#1| |#1|)) (-15 -4337 (|#2| |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3424 (((-637 (-1081)) $) 70)) (-3312 (((-1169) $) 98)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 50 (|has| |#1| (-561)))) (-1415 (($ $) 51 (|has| |#1| (-561)))) (-2545 (((-121) $) 53 (|has| |#1| (-561)))) (-1934 (($ $ |#2|) 93) (($ $ |#2| |#2|) 92)) (-3236 (((-1149 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 100)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-4349 (($ $) 59)) (-3978 (((-3 $ "failed") $) 33)) (-4124 (((-121) $) 69)) (-3347 ((|#2| $) 95) ((|#2| $ |#2|) 94)) (-2583 (((-121) $) 30)) (-1817 (($ $ (-922)) 96)) (-3517 (((-121) $) 61)) (-4289 (($ |#1| |#2|) 60) (($ $ (-1081) |#2|) 72) (($ $ (-637 (-1081)) (-637 |#2|)) 71)) (-3799 (($ (-1 |#1| |#1|) $) 62)) (-4332 (($ $) 64)) (-4337 ((|#1| $) 65)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3140 (($ $ |#2|) 90)) (-1786 (((-3 $ "failed") $ $) 49 (|has| |#1| (-561)))) (-4483 (((-1149 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| |#2|))))) (-3245 ((|#1| $ |#2|) 99) (($ $ $) 76 (|has| |#2| (-1109)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) 84 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1169) (-768)) 83 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-637 (-1169))) 82 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1169)) 81 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-768)) 79 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-2400 ((|#2| $) 63)) (-3202 (($ $) 68)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ (-412 (-571))) 56 (|has| |#1| (-43 (-412 (-571))))) (($ $) 48 (|has| |#1| (-561))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3136 ((|#1| $ |#2|) 58)) (-2346 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-1681 ((|#1| $) 97)) (-1388 (((-121) $ $) 52 (|has| |#1| (-561)))) (-3367 ((|#1| $ |#2|) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| |#2|))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) 88 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1169) (-768)) 87 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-637 (-1169))) 86 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1169)) 85 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-768)) 80 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 57 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-412 (-571)) $) 55 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 54 (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1235 |#1| |#2|) (-1289) (-1053) (-792)) (T -1235)) 
+((-3236 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-1149 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-3245 (*1 *2 *1 *3) (-12 (-4 *1 (-1235 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)))) (-3312 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-1169)))) (-1681 (*1 *2 *1) (-12 (-4 *1 (-1235 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)))) (-1817 (*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-1235 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)))) (-3347 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) (-3347 (*1 *2 *1 *2) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) (-1934 (*1 *1 *1 *2) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) (-1934 (*1 *1 *1 *2 *2) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) (-3367 (*1 *2 *1 *3) (-12 (-4 *1 (-1235 *2 *3)) (-4 *3 (-792)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -3942 (*2 (-1169)))) (-4 *2 (-1053)))) (-3140 (*1 *1 *1 *2) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) (-4483 (*1 *2 *1 *3) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1149 *3))))) 
+(-13 (-980 |t#1| |t#2| (-1081)) (-10 -8 (-15 -3236 ((-1149 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -3245 (|t#1| $ |t#2|)) (-15 -3312 ((-1169) $)) (-15 -1681 (|t#1| $)) (-15 -1817 ($ $ (-922))) (-15 -3347 (|t#2| $)) (-15 -3347 (|t#2| $ |t#2|)) (-15 -1934 ($ $ |t#2|)) (-15 -1934 ($ $ |t#2| |t#2|)) (IF (|has| |t#1| (-15 -3942 (|t#1| (-1169)))) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -3367 (|t#1| $ |t#2|)) |noBranch|) |noBranch|) (-15 -3140 ($ $ |t#2|)) (IF (|has| |t#2| (-1109)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |t#1| (-15 * (|t#1| |t#2| |t#1|))) (PROGN (-6 (-226)) (IF (|has| |t#1| (-900 (-1169))) (-6 (-900 (-1169))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -4483 ((-1149 |t#1|) $ |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-561)) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| |#2| |#1|))) ((-282 $ $) |has| |#2| (-1109)) ((-286) |has| |#1| (-561)) ((-561) |has| |#1| (-561)) ((-640 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) |has| |#1| (-561)) ((-721) . T) ((-900 (-1169)) -12 (|has| |#1| (-15 * (|#1| |#2| |#1|))) (|has| |#1| (-900 (-1169)))) ((-980 |#1| |#2| (-1081)) . T) ((-1059 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2356 ((|#2| |#2|) 12)) (-4151 (((-423 |#2|) |#2|) 14)) (-3227 (((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-571))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-571)))) 30))) 
+(((-1236 |#1| |#2|) (-10 -7 (-15 -4151 ((-423 |#2|) |#2|)) (-15 -2356 (|#2| |#2|)) (-15 -3227 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-571))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-571)))))) (-561) (-13 (-1233 |#1|) (-561) (-10 -8 (-15 -3026 ($ $ $))))) (T -1236)) 
+((-3227 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-571)))) (-4 *4 (-13 (-1233 *3) (-561) (-10 -8 (-15 -3026 ($ $ $))))) (-4 *3 (-561)) (-5 *1 (-1236 *3 *4)))) (-2356 (*1 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-1236 *3 *2)) (-4 *2 (-13 (-1233 *3) (-561) (-10 -8 (-15 -3026 ($ $ $))))))) (-4151 (*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-423 *3)) (-5 *1 (-1236 *4 *3)) (-4 *3 (-13 (-1233 *4) (-561) (-10 -8 (-15 -3026 ($ $ $)))))))) 
+(-10 -7 (-15 -4151 ((-423 |#2|) |#2|)) (-15 -2356 (|#2| |#2|)) (-15 -3227 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-571))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-571)))))) 
+((-3799 (((-1242 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1242 |#1| |#3| |#5|)) 23))) 
+(((-1237 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3799 ((-1242 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1242 |#1| |#3| |#5|)))) (-1053) (-1053) (-1169) (-1169) |#1| |#2|) (T -1237)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1242 *5 *7 *9)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-14 *7 (-1169)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1242 *6 *8 *10)) (-5 *1 (-1237 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1169))))) 
+(-10 -7 (-15 -3799 ((-1242 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1242 |#1| |#3| |#5|)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3424 (((-637 (-1081)) $) 70)) (-3312 (((-1169) $) 98)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 50 (|has| |#1| (-561)))) (-1415 (($ $) 51 (|has| |#1| (-561)))) (-2545 (((-121) $) 53 (|has| |#1| (-561)))) (-1934 (($ $ (-412 (-571))) 93) (($ $ (-412 (-571)) (-412 (-571))) 92)) (-3236 (((-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|))) $) 100)) (-4255 (($ $) 127 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 110 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 154 (|has| |#1| (-367)))) (-4151 (((-423 $) $) 155 (|has| |#1| (-367)))) (-4158 (($ $) 109 (|has| |#1| (-43 (-412 (-571)))))) (-1295 (((-121) $ $) 145 (|has| |#1| (-367)))) (-4243 (($ $) 126 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 111 (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-768) (-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|)))) 164)) (-4266 (($ $) 125 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 112 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) 16 T CONST)) (-2162 (($ $ $) 149 (|has| |#1| (-367)))) (-4349 (($ $) 59)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 148 (|has| |#1| (-367)))) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 143 (|has| |#1| (-367)))) (-1596 (((-121) $) 156 (|has| |#1| (-367)))) (-4124 (((-121) $) 69)) (-4153 (($) 137 (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-412 (-571)) $) 95) (((-412 (-571)) $ (-412 (-571))) 94)) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 108 (|has| |#1| (-43 (-412 (-571)))))) (-1817 (($ $ (-922)) 96) (($ $ (-412 (-571))) 163)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 152 (|has| |#1| (-367)))) (-3517 (((-121) $) 61)) (-4289 (($ |#1| (-412 (-571))) 60) (($ $ (-1081) (-412 (-571))) 72) (($ $ (-637 (-1081)) (-637 (-412 (-571)))) 71)) (-3799 (($ (-1 |#1| |#1|) $) 62)) (-3509 (($ $) 134 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) 64)) (-4337 ((|#1| $) 65)) (-1622 (($ (-637 $)) 141 (|has| |#1| (-367))) (($ $ $) 140 (|has| |#1| (-367)))) (-3944 (((-1151) $) 9)) (-4315 (($ $) 157 (|has| |#1| (-367)))) (-3403 (($ $) 162 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) 161 (-1831 (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-965)) (|has| |#1| (-1189)) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-43 (-412 (-571)))))))) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 142 (|has| |#1| (-367)))) (-3026 (($ (-637 $)) 139 (|has| |#1| (-367))) (($ $ $) 138 (|has| |#1| (-367)))) (-4262 (((-423 $) $) 153 (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 150 (|has| |#1| (-367)))) (-3140 (($ $ (-412 (-571))) 90)) (-1786 (((-3 $ "failed") $ $) 49 (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 144 (|has| |#1| (-367)))) (-4148 (($ $) 135 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))))) (-1826 (((-768) $) 146 (|has| |#1| (-367)))) (-3245 ((|#1| $ (-412 (-571))) 99) (($ $ $) 76 (|has| (-412 (-571)) (-1109)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 147 (|has| |#1| (-367)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) 84 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-1169) (-768)) 83 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-637 (-1169))) 82 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-1169)) 81 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-768)) 79 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-2400 (((-412 (-571)) $) 63)) (-4273 (($ $) 124 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 113 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 123 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 114 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 122 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 115 (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) 68)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ (-412 (-571))) 56 (|has| |#1| (-43 (-412 (-571))))) (($ $) 48 (|has| |#1| (-561)))) (-3136 ((|#1| $ (-412 (-571))) 58)) (-2346 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-1681 ((|#1| $) 97)) (-4294 (($ $) 133 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 121 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) 52 (|has| |#1| (-561)))) (-4280 (($ $) 132 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 120 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 131 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 119 (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-412 (-571))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) 130 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 118 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 129 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 117 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 128 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 116 (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 158 (|has| |#1| (-367)))) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) 88 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-1169) (-768)) 87 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-637 (-1169))) 86 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-1169)) 85 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-768)) 80 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 57 (|has| |#1| (-367))) (($ $ $) 160 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 159 (|has| |#1| (-367))) (($ $ $) 136 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 107 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-412 (-571)) $) 55 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 54 (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1238 |#1|) (-1289) (-1053)) (T -1238)) 
+((-4096 (*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *3 (-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| *4)))) (-4 *4 (-1053)) (-4 *1 (-1238 *4)))) (-1817 (*1 *1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-4 *1 (-1238 *3)) (-4 *3 (-1053)))) (-3403 (*1 *1 *1) (-12 (-4 *1 (-1238 *2)) (-4 *2 (-1053)) (-4 *2 (-43 (-412 (-571)))))) (-3403 (*1 *1 *1 *2) (-1831 (-12 (-5 *2 (-1169)) (-4 *1 (-1238 *3)) (-4 *3 (-1053)) (-12 (-4 *3 (-29 (-571))) (-4 *3 (-965)) (-4 *3 (-1189)) (-4 *3 (-43 (-412 (-571)))))) (-12 (-5 *2 (-1169)) (-4 *1 (-1238 *3)) (-4 *3 (-1053)) (-12 (|has| *3 (-15 -3424 ((-637 *2) *3))) (|has| *3 (-15 -3403 (*3 *3 *2))) (-4 *3 (-43 (-412 (-571))))))))) 
+(-13 (-1235 |t#1| (-412 (-571))) (-10 -8 (-15 -4096 ($ (-768) (-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |t#1|))))) (-15 -1817 ($ $ (-412 (-571)))) (IF (|has| |t#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ($ $)) (IF (|has| |t#1| (-15 -3403 (|t#1| |t#1| (-1169)))) (IF (|has| |t#1| (-15 -3424 ((-637 (-1169)) |t#1|))) (-15 -3403 ($ $ (-1169))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1189)) (IF (|has| |t#1| (-965)) (IF (|has| |t#1| (-29 (-571))) (-15 -3403 ($ $ (-1169))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1008)) (-6 (-1189))) |noBranch|) (IF (|has| |t#1| (-367)) (-6 (-367)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-412 (-571))) . T) ((-25) . T) ((-43 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-40) |has| |#1| (-43 (-412 (-571)))) ((-98) |has| |#1| (-43 (-412 (-571)))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) ((-239) |has| |#1| (-367)) ((-280) |has| |#1| (-43 (-412 (-571)))) ((-282 $ $) |has| (-412 (-571)) (-1109)) ((-286) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-302) |has| |#1| (-367)) ((-367) |has| |#1| (-367)) ((-456) |has| |#1| (-367)) ((-505) |has| |#1| (-43 (-412 (-571)))) ((-561) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-640 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-721) . T) ((-900 (-1169)) -12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169)))) ((-980 |#1| (-412 (-571)) (-1081)) . T) ((-921) |has| |#1| (-367)) ((-1008) |has| |#1| (-43 (-412 (-571)))) ((-1059 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1189) |has| |#1| (-43 (-412 (-571)))) ((-1192) |has| |#1| (-43 (-412 (-571)))) ((-1213) |has| |#1| (-367)) ((-1235 |#1| (-412 (-571))) . T)) 
+((-4123 (((-121) $) 12)) (-3337 (((-3 |#3| "failed") $) 17)) (-1316 ((|#3| $) 14))) 
+(((-1239 |#1| |#2| |#3|) (-10 -8 (-15 -1316 (|#3| |#1|)) (-15 -3337 ((-3 |#3| "failed") |#1|)) (-15 -4123 ((-121) |#1|))) (-1240 |#2| |#3|) (-1053) (-1217 |#2|)) (T -1239)) 
+NIL 
+(-10 -8 (-15 -1316 (|#3| |#1|)) (-15 -3337 ((-3 |#3| "failed") |#1|)) (-15 -4123 ((-121) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3424 (((-637 (-1081)) $) 70)) (-3312 (((-1169) $) 98)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 50 (|has| |#1| (-561)))) (-1415 (($ $) 51 (|has| |#1| (-561)))) (-2545 (((-121) $) 53 (|has| |#1| (-561)))) (-1934 (($ $ (-412 (-571))) 93) (($ $ (-412 (-571)) (-412 (-571))) 92)) (-3236 (((-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|))) $) 100)) (-4255 (($ $) 127 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 110 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 154 (|has| |#1| (-367)))) (-4151 (((-423 $) $) 155 (|has| |#1| (-367)))) (-4158 (($ $) 109 (|has| |#1| (-43 (-412 (-571)))))) (-1295 (((-121) $ $) 145 (|has| |#1| (-367)))) (-4243 (($ $) 126 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 111 (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-768) (-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|)))) 164)) (-4266 (($ $) 125 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 112 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#2| "failed") $) 172)) (-1316 ((|#2| $) 171)) (-2162 (($ $ $) 149 (|has| |#1| (-367)))) (-4349 (($ $) 59)) (-3978 (((-3 $ "failed") $) 33)) (-2402 (((-412 (-571)) $) 169)) (-2180 (($ $ $) 148 (|has| |#1| (-367)))) (-1879 (($ (-412 (-571)) |#2|) 170)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 143 (|has| |#1| (-367)))) (-1596 (((-121) $) 156 (|has| |#1| (-367)))) (-4124 (((-121) $) 69)) (-4153 (($) 137 (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-412 (-571)) $) 95) (((-412 (-571)) $ (-412 (-571))) 94)) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 108 (|has| |#1| (-43 (-412 (-571)))))) (-1817 (($ $ (-922)) 96) (($ $ (-412 (-571))) 163)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 152 (|has| |#1| (-367)))) (-3517 (((-121) $) 61)) (-4289 (($ |#1| (-412 (-571))) 60) (($ $ (-1081) (-412 (-571))) 72) (($ $ (-637 (-1081)) (-637 (-412 (-571)))) 71)) (-3799 (($ (-1 |#1| |#1|) $) 62)) (-3509 (($ $) 134 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) 64)) (-4337 ((|#1| $) 65)) (-1622 (($ (-637 $)) 141 (|has| |#1| (-367))) (($ $ $) 140 (|has| |#1| (-367)))) (-2236 ((|#2| $) 168)) (-3844 (((-3 |#2| "failed") $) 166)) (-1874 ((|#2| $) 167)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 157 (|has| |#1| (-367)))) (-3403 (($ $) 162 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) 161 (-1831 (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-965)) (|has| |#1| (-1189)) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-43 (-412 (-571)))))))) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 142 (|has| |#1| (-367)))) (-3026 (($ (-637 $)) 139 (|has| |#1| (-367))) (($ $ $) 138 (|has| |#1| (-367)))) (-4262 (((-423 $) $) 153 (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 150 (|has| |#1| (-367)))) (-3140 (($ $ (-412 (-571))) 90)) (-1786 (((-3 $ "failed") $ $) 49 (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 144 (|has| |#1| (-367)))) (-4148 (($ $) 135 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))))) (-1826 (((-768) $) 146 (|has| |#1| (-367)))) (-3245 ((|#1| $ (-412 (-571))) 99) (($ $ $) 76 (|has| (-412 (-571)) (-1109)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 147 (|has| |#1| (-367)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) 84 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-1169) (-768)) 83 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-637 (-1169))) 82 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-1169)) 81 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-768)) 79 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-2400 (((-412 (-571)) $) 63)) (-4273 (($ $) 124 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 113 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 123 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 114 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 122 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 115 (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) 68)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ |#2|) 173) (($ (-412 (-571))) 56 (|has| |#1| (-43 (-412 (-571))))) (($ $) 48 (|has| |#1| (-561)))) (-3136 ((|#1| $ (-412 (-571))) 58)) (-2346 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-1681 ((|#1| $) 97)) (-4294 (($ $) 133 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 121 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) 52 (|has| |#1| (-561)))) (-4280 (($ $) 132 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 120 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 131 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 119 (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-412 (-571))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) 130 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 118 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 129 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 117 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 128 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 116 (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 158 (|has| |#1| (-367)))) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) 88 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-1169) (-768)) 87 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-637 (-1169))) 86 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-1169)) 85 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (($ $ (-768)) 80 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 57 (|has| |#1| (-367))) (($ $ $) 160 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 159 (|has| |#1| (-367))) (($ $ $) 136 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 107 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-412 (-571)) $) 55 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 54 (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1240 |#1| |#2|) (-1289) (-1053) (-1217 |t#1|)) (T -1240)) 
+((-2400 (*1 *2 *1) (-12 (-4 *1 (-1240 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1217 *3)) (-5 *2 (-412 (-571))))) (-3942 (*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *1 (-1240 *3 *2)) (-4 *2 (-1217 *3)))) (-1879 (*1 *1 *2 *3) (-12 (-5 *2 (-412 (-571))) (-4 *4 (-1053)) (-4 *1 (-1240 *4 *3)) (-4 *3 (-1217 *4)))) (-2402 (*1 *2 *1) (-12 (-4 *1 (-1240 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1217 *3)) (-5 *2 (-412 (-571))))) (-2236 (*1 *2 *1) (-12 (-4 *1 (-1240 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1217 *3)))) (-1874 (*1 *2 *1) (-12 (-4 *1 (-1240 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1217 *3)))) (-3844 (*1 *2 *1) (|partial| -12 (-4 *1 (-1240 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1217 *3))))) 
+(-13 (-1238 |t#1|) (-1043 |t#2|) (-10 -8 (-15 -1879 ($ (-412 (-571)) |t#2|)) (-15 -2402 ((-412 (-571)) $)) (-15 -2236 (|t#2| $)) (-15 -2400 ((-412 (-571)) $)) (-15 -3942 ($ |t#2|)) (-15 -1874 (|t#2| $)) (-15 -3844 ((-3 |t#2| "failed") $)))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-412 (-571))) . T) ((-25) . T) ((-43 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-40) |has| |#1| (-43 (-412 (-571)))) ((-98) |has| |#1| (-43 (-412 (-571)))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) ((-239) |has| |#1| (-367)) ((-280) |has| |#1| (-43 (-412 (-571)))) ((-282 $ $) |has| (-412 (-571)) (-1109)) ((-286) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-302) |has| |#1| (-367)) ((-367) |has| |#1| (-367)) ((-456) |has| |#1| (-367)) ((-505) |has| |#1| (-43 (-412 (-571)))) ((-561) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-640 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367))) ((-721) . T) ((-900 (-1169)) -12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169)))) ((-980 |#1| (-412 (-571)) (-1081)) . T) ((-921) |has| |#1| (-367)) ((-1008) |has| |#1| (-43 (-412 (-571)))) ((-1043 |#2|) . T) ((-1059 (-412 (-571))) -1831 (|has| |#1| (-367)) (|has| |#1| (-43 (-412 (-571))))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-367)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1189) |has| |#1| (-43 (-412 (-571)))) ((-1192) |has| |#1| (-43 (-412 (-571)))) ((-1213) |has| |#1| (-367)) ((-1235 |#1| (-412 (-571))) . T) ((-1238 |#1|) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) 96)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-1934 (($ $ (-412 (-571))) 106) (($ $ (-412 (-571)) (-412 (-571))) 108)) (-3236 (((-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|))) $) 51)) (-4255 (($ $) 179 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 155 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL (|has| |#1| (-367)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-367)))) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4243 (($ $) 175 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 151 (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-768) (-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|)))) 61)) (-4266 (($ $) 183 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 159 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) NIL)) (-1316 ((|#2| $) NIL)) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) 79)) (-2402 (((-412 (-571)) $) 12)) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-1879 (($ (-412 (-571)) |#2|) 10)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-1596 (((-121) $) NIL (|has| |#1| (-367)))) (-4124 (((-121) $) 68)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-412 (-571)) $) 103) (((-412 (-571)) $ (-412 (-571))) 104)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1817 (($ $ (-922)) 120) (($ $ (-412 (-571))) 118)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-412 (-571))) 31) (($ $ (-1081) (-412 (-571))) NIL) (($ $ (-637 (-1081)) (-637 (-412 (-571)))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) 115)) (-3509 (($ $) 149 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-2236 ((|#2| $) 11)) (-3844 (((-3 |#2| "failed") $) 41)) (-1874 ((|#2| $) 42)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) 93 (|has| |#1| (-367)))) (-3403 (($ $) 135 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) 140 (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189)))))) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-3140 (($ $ (-412 (-571))) 112)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4148 (($ $) 147 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) 90 (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))))) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ (-412 (-571))) 100) (($ $ $) 86 (|has| (-412 (-571)) (-1109)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) 127 (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) 124 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-2400 (((-412 (-571)) $) 16)) (-4273 (($ $) 185 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 161 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 181 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 157 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 177 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 153 (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) 110)) (-3942 (((-855) $) NIL) (($ (-571)) 35) (($ |#1|) 27 (|has| |#1| (-173))) (($ |#2|) 32) (($ (-412 (-571))) 128 (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561)))) (-3136 ((|#1| $ (-412 (-571))) 99)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) 117)) (-1681 ((|#1| $) 98)) (-4294 (($ $) 191 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 167 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) 187 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 163 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 195 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 171 (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-412 (-571))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) 197 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 173 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 193 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 169 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 189 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 165 (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) 21 T CONST)) (-3222 (($) 17 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-1323 (((-121) $ $) 66)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367))) (($ $ $) 92 (|has| |#1| (-367)))) (-1373 (($ $) 131) (($ $ $) 72)) (-1367 (($ $ $) 70)) (** (($ $ (-922)) NIL) (($ $ (-768)) 76) (($ $ (-571)) 144 (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 145 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 74) (($ $ |#1|) NIL) (($ |#1| $) 126) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1241 |#1| |#2|) (-1240 |#1| |#2|) (-1053) (-1217 |#1|)) (T -1241)) 
+NIL 
+(-1240 |#1| |#2|) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) 11)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) NIL (|has| |#1| (-561)))) (-1934 (($ $ (-412 (-571))) NIL) (($ $ (-412 (-571)) (-412 (-571))) NIL)) (-3236 (((-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|))) $) NIL)) (-4255 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-2356 (($ $) NIL (|has| |#1| (-367)))) (-4151 (((-423 $) $) NIL (|has| |#1| (-367)))) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1295 (((-121) $ $) NIL (|has| |#1| (-367)))) (-4243 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-768) (-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#1|)))) NIL)) (-4266 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-1221 |#1| |#2| |#3|) "failed") $) 19) (((-3 (-1249 |#1| |#2| |#3|) "failed") $) 22)) (-1316 (((-1221 |#1| |#2| |#3|) $) NIL) (((-1249 |#1| |#2| |#3|) $) NIL)) (-2162 (($ $ $) NIL (|has| |#1| (-367)))) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-2402 (((-412 (-571)) $) 57)) (-2180 (($ $ $) NIL (|has| |#1| (-367)))) (-1879 (($ (-412 (-571)) (-1221 |#1| |#2| |#3|)) NIL)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) NIL (|has| |#1| (-367)))) (-1596 (((-121) $) NIL (|has| |#1| (-367)))) (-4124 (((-121) $) NIL)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-412 (-571)) $) NIL) (((-412 (-571)) $ (-412 (-571))) NIL)) (-2583 (((-121) $) NIL)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1817 (($ $ (-922)) NIL) (($ $ (-412 (-571))) NIL)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-412 (-571))) 29) (($ $ (-1081) (-412 (-571))) NIL) (($ $ (-637 (-1081)) (-637 (-412 (-571)))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-3509 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-1622 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-2236 (((-1221 |#1| |#2| |#3|) $) 60)) (-3844 (((-3 (-1221 |#1| |#2| |#3|) "failed") $) NIL)) (-1874 (((-1221 |#1| |#2| |#3|) $) NIL)) (-3944 (((-1151) $) NIL)) (-4315 (($ $) NIL (|has| |#1| (-367)))) (-3403 (($ $) 38 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) NIL (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189))))) (($ $ (-1254 |#2|)) 39 (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) NIL)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) NIL (|has| |#1| (-367)))) (-3026 (($ (-637 $)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-4262 (((-423 $) $) NIL (|has| |#1| (-367)))) (-2938 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-367))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) NIL (|has| |#1| (-367)))) (-3140 (($ $ (-412 (-571))) NIL)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4058 (((-3 (-637 $) "failed") (-637 $) $) NIL (|has| |#1| (-367)))) (-4148 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))))) (-1826 (((-768) $) NIL (|has| |#1| (-367)))) (-3245 ((|#1| $ (-412 (-571))) NIL) (($ $ $) NIL (|has| (-412 (-571)) (-1109)))) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) NIL (|has| |#1| (-367)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $ (-1254 |#2|)) 37)) (-2400 (((-412 (-571)) $) NIL)) (-4273 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) NIL)) (-3942 (((-855) $) 87) (($ (-571)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1221 |#1| |#2| |#3|)) 16) (($ (-1249 |#1| |#2| |#3|)) 17) (($ (-1254 |#2|)) 35) (($ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561)))) (-3136 ((|#1| $ (-412 (-571))) NIL)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) 12)) (-4294 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-412 (-571))) 62 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-412 (-571))))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367)))) (-2369 (($) 31 T CONST)) (-3222 (($) 26 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-412 (-571)) |#1|))))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 33)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ (-571)) NIL (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1242 |#1| |#2| |#3|) (-13 (-1240 |#1| (-1221 |#1| |#2| |#3|)) (-1043 (-1249 |#1| |#2| |#3|)) (-10 -8 (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) (-1053) (-1169) |#1|) (T -1242)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1242 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1242 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1242 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3)))) 
+(-13 (-1240 |#1| (-1221 |#1| |#2| |#3|)) (-1043 (-1249 |#1| |#2| |#3|)) (-10 -8 (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 32)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL)) (-1415 (($ $) NIL)) (-2545 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 (-571) "failed") $) NIL (|has| (-1242 |#2| |#3| |#4|) (-1043 (-571)))) (((-3 (-412 (-571)) "failed") $) NIL (|has| (-1242 |#2| |#3| |#4|) (-1043 (-412 (-571))))) (((-3 (-1242 |#2| |#3| |#4|) "failed") $) 20)) (-1316 (((-571) $) NIL (|has| (-1242 |#2| |#3| |#4|) (-1043 (-571)))) (((-412 (-571)) $) NIL (|has| (-1242 |#2| |#3| |#4|) (-1043 (-412 (-571))))) (((-1242 |#2| |#3| |#4|) $) NIL)) (-4349 (($ $) 33)) (-3978 (((-3 $ "failed") $) 25)) (-3630 (($ $) NIL (|has| (-1242 |#2| |#3| |#4|) (-456)))) (-1420 (($ $ (-1242 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|) $) NIL)) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) 11)) (-3517 (((-121) $) NIL)) (-4289 (($ (-1242 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) 23)) (-3973 (((-315 |#2| |#3| |#4|) $) NIL)) (-2587 (($ (-1 (-315 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) $) NIL)) (-3799 (($ (-1 (-1242 |#2| |#3| |#4|) (-1242 |#2| |#3| |#4|)) $) NIL)) (-3148 (((-3 (-840 |#2|) "failed") $) 72)) (-4332 (($ $) NIL)) (-4337 (((-1242 |#2| |#3| |#4|) $) 18)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4321 (((-121) $) NIL)) (-4326 (((-1242 |#2| |#3| |#4|) $) NIL)) (-1786 (((-3 $ "failed") $ (-1242 |#2| |#3| |#4|)) NIL (|has| (-1242 |#2| |#3| |#4|) (-561))) (((-3 $ "failed") $ $) NIL)) (-3022 (((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1242 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-637 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#2|)))))) (|:| |%type| (-1151))) "failed") $) 55)) (-2400 (((-315 |#2| |#3| |#4|) $) 14)) (-4189 (((-1242 |#2| |#3| |#4|) $) NIL (|has| (-1242 |#2| |#3| |#4|) (-456)))) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ (-1242 |#2| |#3| |#4|)) NIL) (($ $) NIL) (($ (-412 (-571))) NIL (-1831 (|has| (-1242 |#2| |#3| |#4|) (-43 (-412 (-571)))) (|has| (-1242 |#2| |#3| |#4|) (-1043 (-412 (-571))))))) (-1314 (((-637 (-1242 |#2| |#3| |#4|)) $) NIL)) (-3136 (((-1242 |#2| |#3| |#4|) $ (-315 |#2| |#3| |#4|)) NIL)) (-2346 (((-3 $ "failed") $) NIL (|has| (-1242 |#2| |#3| |#4|) (-149)))) (-2661 (((-768)) NIL)) (-3855 (($ $ $ (-768)) NIL (|has| (-1242 |#2| |#3| |#4|) (-173)))) (-1388 (((-121) $ $) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 60 T CONST)) (-3222 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ (-1242 |#2| |#3| |#4|)) NIL (|has| (-1242 |#2| |#3| |#4|) (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ (-1242 |#2| |#3| |#4|)) NIL) (($ (-1242 |#2| |#3| |#4|) $) NIL) (($ (-412 (-571)) $) NIL (|has| (-1242 |#2| |#3| |#4|) (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| (-1242 |#2| |#3| |#4|) (-43 (-412 (-571))))))) 
+(((-1243 |#1| |#2| |#3| |#4|) (-13 (-325 (-1242 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) (-561) (-10 -8 (-15 -3148 ((-3 (-840 |#2|) "failed") $)) (-15 -3022 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1242 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-637 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#2|)))))) (|:| |%type| (-1151))) "failed") $)))) (-13 (-847) (-1043 (-571)) (-633 (-571)) (-456)) (-13 (-27) (-1189) (-435 |#1|)) (-1169) |#2|) (T -1243)) 
+((-3148 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-847) (-1043 (-571)) (-633 (-571)) (-456))) (-5 *2 (-840 *4)) (-5 *1 (-1243 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1189) (-435 *3))) (-14 *5 (-1169)) (-14 *6 *4))) (-3022 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-847) (-1043 (-571)) (-633 (-571)) (-456))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1242 *4 *5 *6)) (|:| |%expon| (-315 *4 *5 *6)) (|:| |%expTerms| (-637 (-2 (|:| |k| (-412 (-571))) (|:| |c| *4)))))) (|:| |%type| (-1151)))) (-5 *1 (-1243 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1189) (-435 *3))) (-14 *5 (-1169)) (-14 *6 *4)))) 
+(-13 (-325 (-1242 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) (-561) (-10 -8 (-15 -3148 ((-3 (-840 |#2|) "failed") $)) (-15 -3022 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1242 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-637 (-2 (|:| |k| (-412 (-571))) (|:| |c| |#2|)))))) (|:| |%type| (-1151))) "failed") $)))) 
+((-2139 ((|#2| $) 28)) (-4198 ((|#2| $) 18)) (-4327 (($ $) 35)) (-4065 (($ $ (-571)) 63)) (-3133 (((-121) $ (-768)) 32)) (-2815 ((|#2| $ |#2|) 60)) (-4531 ((|#2| $ |#2|) 58)) (-3251 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) 51) (($ $ "rest" $) 55) ((|#2| $ "last" |#2|) 53)) (-1480 (($ $ (-637 $)) 59)) (-4035 ((|#2| $) 17)) (-4372 (($ $) NIL) (($ $ (-768)) 41)) (-2268 (((-637 $) $) 25)) (-4114 (((-121) $ $) 49)) (-2262 (((-121) $ (-768)) 31)) (-3794 (((-121) $ (-768)) 30)) (-2945 (((-121) $) 27)) (-3220 ((|#2| $) 23) (($ $ (-768)) 45)) (-3245 ((|#2| $ "value") NIL) ((|#2| $ "first") 10) (($ $ "rest") 16) ((|#2| $ "last") 13)) (-1664 (((-121) $) 21)) (-3863 (($ $) 38)) (-3756 (($ $) 64)) (-2895 (((-768) $) 40)) (-1360 (($ $) 39)) (-4498 (($ $ $) 57) (($ |#2| $) NIL)) (-1846 (((-637 $) $) 26)) (-1323 (((-121) $ $) 47)) (-4001 (((-768) $) 34))) 
+(((-1244 |#1| |#2|) (-10 -8 (-15 -4065 (|#1| |#1| (-571))) (-15 -3251 (|#2| |#1| "last" |#2|)) (-15 -4531 (|#2| |#1| |#2|)) (-15 -3251 (|#1| |#1| "rest" |#1|)) (-15 -3251 (|#2| |#1| "first" |#2|)) (-15 -3756 (|#1| |#1|)) (-15 -3863 (|#1| |#1|)) (-15 -2895 ((-768) |#1|)) (-15 -1360 (|#1| |#1|)) (-15 -4198 (|#2| |#1|)) (-15 -4035 (|#2| |#1|)) (-15 -4327 (|#1| |#1|)) (-15 -3220 (|#1| |#1| (-768))) (-15 -3245 (|#2| |#1| "last")) (-15 -3220 (|#2| |#1|)) (-15 -4372 (|#1| |#1| (-768))) (-15 -3245 (|#1| |#1| "rest")) (-15 -4372 (|#1| |#1|)) (-15 -3245 (|#2| |#1| "first")) (-15 -4498 (|#1| |#2| |#1|)) (-15 -4498 (|#1| |#1| |#1|)) (-15 -2815 (|#2| |#1| |#2|)) (-15 -3251 (|#2| |#1| "value" |#2|)) (-15 -1480 (|#1| |#1| (-637 |#1|))) (-15 -4114 ((-121) |#1| |#1|)) (-15 -1664 ((-121) |#1|)) (-15 -3245 (|#2| |#1| "value")) (-15 -2139 (|#2| |#1|)) (-15 -2945 ((-121) |#1|)) (-15 -2268 ((-637 |#1|) |#1|)) (-15 -1846 ((-637 |#1|) |#1|)) (-15 -1323 ((-121) |#1| |#1|)) (-15 -4001 ((-768) |#1|)) (-15 -3133 ((-121) |#1| (-768))) (-15 -2262 ((-121) |#1| (-768))) (-15 -3794 ((-121) |#1| (-768)))) (-1245 |#2|) (-1203)) (T -1244)) 
+NIL 
+(-10 -8 (-15 -4065 (|#1| |#1| (-571))) (-15 -3251 (|#2| |#1| "last" |#2|)) (-15 -4531 (|#2| |#1| |#2|)) (-15 -3251 (|#1| |#1| "rest" |#1|)) (-15 -3251 (|#2| |#1| "first" |#2|)) (-15 -3756 (|#1| |#1|)) (-15 -3863 (|#1| |#1|)) (-15 -2895 ((-768) |#1|)) (-15 -1360 (|#1| |#1|)) (-15 -4198 (|#2| |#1|)) (-15 -4035 (|#2| |#1|)) (-15 -4327 (|#1| |#1|)) (-15 -3220 (|#1| |#1| (-768))) (-15 -3245 (|#2| |#1| "last")) (-15 -3220 (|#2| |#1|)) (-15 -4372 (|#1| |#1| (-768))) (-15 -3245 (|#1| |#1| "rest")) (-15 -4372 (|#1| |#1|)) (-15 -3245 (|#2| |#1| "first")) (-15 -4498 (|#1| |#2| |#1|)) (-15 -4498 (|#1| |#1| |#1|)) (-15 -2815 (|#2| |#1| |#2|)) (-15 -3251 (|#2| |#1| "value" |#2|)) (-15 -1480 (|#1| |#1| (-637 |#1|))) (-15 -4114 ((-121) |#1| |#1|)) (-15 -1664 ((-121) |#1|)) (-15 -3245 (|#2| |#1| "value")) (-15 -2139 (|#2| |#1|)) (-15 -2945 ((-121) |#1|)) (-15 -2268 ((-637 |#1|) |#1|)) (-15 -1846 ((-637 |#1|) |#1|)) (-15 -1323 ((-121) |#1| |#1|)) (-15 -4001 ((-768) |#1|)) (-15 -3133 ((-121) |#1| (-768))) (-15 -2262 ((-121) |#1| (-768))) (-15 -3794 ((-121) |#1| (-768)))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-2139 ((|#1| $) 45)) (-4198 ((|#1| $) 62)) (-4327 (($ $) 64)) (-4065 (($ $ (-571)) 49 (|has| $ (-6 -4601)))) (-3133 (((-121) $ (-768)) 8)) (-2815 ((|#1| $ |#1|) 36 (|has| $ (-6 -4601)))) (-1384 (($ $ $) 53 (|has| $ (-6 -4601)))) (-4531 ((|#1| $ |#1|) 51 (|has| $ (-6 -4601)))) (-1833 ((|#1| $ |#1|) 55 (|has| $ (-6 -4601)))) (-3251 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4601))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4601))) (($ $ "rest" $) 52 (|has| $ (-6 -4601))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4601)))) (-1480 (($ $ (-637 $)) 38 (|has| $ (-6 -4601)))) (-4035 ((|#1| $) 63)) (-2269 (($) 7 T CONST)) (-4372 (($ $) 70) (($ $ (-768)) 68)) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-2268 (((-637 $) $) 47)) (-4114 (((-121) $ $) 39 (|has| |#1| (-1097)))) (-2262 (((-121) $ (-768)) 9)) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35)) (-3794 (((-121) $ (-768)) 10)) (-3392 (((-637 |#1|) $) 42)) (-2945 (((-121) $) 46)) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-3220 ((|#1| $) 67) (($ $ (-768)) 65)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1827 ((|#1| $) 73) (($ $ (-768)) 71)) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66)) (-2514 (((-571) $ $) 41)) (-1664 (((-121) $) 43)) (-3863 (($ $) 59)) (-3756 (($ $) 56 (|has| $ (-6 -4601)))) (-2895 (((-768) $) 60)) (-1360 (($ $) 61)) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-4316 (($ $) 13)) (-3294 (($ $ $) 58 (|has| $ (-6 -4601))) (($ $ |#1|) 57 (|has| $ (-6 -4601)))) (-4498 (($ $ $) 75) (($ |#1| $) 74)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-1846 (((-637 $) $) 48)) (-3014 (((-121) $ $) 40 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-1245 |#1|) (-1289) (-1203)) (T -1245)) 
+((-4498 (*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-4498 (*1 *1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-1827 (*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-1827 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1245 *3)) (-4 *3 (-1203)))) (-4372 (*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-3245 (*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1245 *3)) (-4 *3 (-1203)))) (-4372 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1245 *3)) (-4 *3 (-1203)))) (-3220 (*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-3245 (*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-3220 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1245 *3)) (-4 *3 (-1203)))) (-4327 (*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-4035 (*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-4198 (*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-1360 (*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-2895 (*1 *2 *1) (-12 (-4 *1 (-1245 *3)) (-4 *3 (-1203)) (-5 *2 (-768)))) (-3863 (*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-3294 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-3294 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-3756 (*1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-1833 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-3251 (*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-1384 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-3251 (*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4601)) (-4 *1 (-1245 *3)) (-4 *3 (-1203)))) (-4531 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-3251 (*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) (-4065 (*1 *1 *1 *2) (-12 (-5 *2 (-571)) (|has| *1 (-6 -4601)) (-4 *1 (-1245 *3)) (-4 *3 (-1203))))) 
+(-13 (-1016 |t#1|) (-10 -8 (-15 -4498 ($ $ $)) (-15 -4498 ($ |t#1| $)) (-15 -1827 (|t#1| $)) (-15 -3245 (|t#1| $ "first")) (-15 -1827 ($ $ (-768))) (-15 -4372 ($ $)) (-15 -3245 ($ $ "rest")) (-15 -4372 ($ $ (-768))) (-15 -3220 (|t#1| $)) (-15 -3245 (|t#1| $ "last")) (-15 -3220 ($ $ (-768))) (-15 -4327 ($ $)) (-15 -4035 (|t#1| $)) (-15 -4198 (|t#1| $)) (-15 -1360 ($ $)) (-15 -2895 ((-768) $)) (-15 -3863 ($ $)) (IF (|has| $ (-6 -4601)) (PROGN (-15 -3294 ($ $ $)) (-15 -3294 ($ $ |t#1|)) (-15 -3756 ($ $)) (-15 -1833 (|t#1| $ |t#1|)) (-15 -3251 (|t#1| $ "first" |t#1|)) (-15 -1384 ($ $ $)) (-15 -3251 ($ $ "rest" $)) (-15 -4531 (|t#1| $ |t#1|)) (-15 -3251 (|t#1| $ "last" |t#1|)) (-15 -4065 ($ $ (-571)))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1097)) ((-611 (-855)) |has| |#1| (-1097)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-502 |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-1016 |#1|) . T) ((-1097) |has| |#1| (-1097)) ((-1203) . T)) 
+((-3799 ((|#4| (-1 |#2| |#1|) |#3|) 17))) 
+(((-1246 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3799 (|#4| (-1 |#2| |#1|) |#3|))) (-1053) (-1053) (-1248 |#1|) (-1248 |#2|)) (T -1246)) 
+((-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-4 *2 (-1248 *6)) (-5 *1 (-1246 *5 *6 *4 *2)) (-4 *4 (-1248 *5))))) 
+(-10 -7 (-15 -3799 (|#4| (-1 |#2| |#1|) |#3|))) 
+((-4123 (((-121) $) 15)) (-4255 (($ $) 90)) (-4192 (($ $) 66)) (-4243 (($ $) 86)) (-4185 (($ $) 62)) (-4266 (($ $) 94)) (-4201 (($ $) 70)) (-3509 (($ $) 60)) (-4148 (($ $) 58)) (-4273 (($ $) 96)) (-4206 (($ $) 72)) (-4260 (($ $) 92)) (-4196 (($ $) 68)) (-4249 (($ $) 88)) (-4188 (($ $) 64)) (-3942 (((-855) $) 46) (($ (-571)) NIL) (($ (-412 (-571))) NIL) (($ $) NIL) (($ |#2|) NIL)) (-4294 (($ $) 102)) (-4220 (($ $) 78)) (-4280 (($ $) 98)) (-4211 (($ $) 74)) (-4307 (($ $) 106)) (-4232 (($ $) 82)) (-2656 (($ $) 108)) (-4237 (($ $) 84)) (-4301 (($ $) 104)) (-4227 (($ $) 80)) (-4287 (($ $) 100)) (-4215 (($ $) 76)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ |#2|) 50) (($ $ $) 53) (($ $ (-412 (-571))) 56))) 
+(((-1247 |#1| |#2|) (-10 -8 (-15 ** (|#1| |#1| (-412 (-571)))) (-15 -4192 (|#1| |#1|)) (-15 -4185 (|#1| |#1|)) (-15 -4201 (|#1| |#1|)) (-15 -4206 (|#1| |#1|)) (-15 -4196 (|#1| |#1|)) (-15 -4188 (|#1| |#1|)) (-15 -4215 (|#1| |#1|)) (-15 -4227 (|#1| |#1|)) (-15 -4237 (|#1| |#1|)) (-15 -4232 (|#1| |#1|)) (-15 -4211 (|#1| |#1|)) (-15 -4220 (|#1| |#1|)) (-15 -4249 (|#1| |#1|)) (-15 -4260 (|#1| |#1|)) (-15 -4273 (|#1| |#1|)) (-15 -4266 (|#1| |#1|)) (-15 -4243 (|#1| |#1|)) (-15 -4255 (|#1| |#1|)) (-15 -4287 (|#1| |#1|)) (-15 -4301 (|#1| |#1|)) (-15 -2656 (|#1| |#1|)) (-15 -4307 (|#1| |#1|)) (-15 -4280 (|#1| |#1|)) (-15 -4294 (|#1| |#1|)) (-15 -3509 (|#1| |#1|)) (-15 -4148 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -3942 (|#1| |#2|)) (-15 -3942 (|#1| |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| (-571))) (-15 ** (|#1| |#1| (-768))) (-15 ** (|#1| |#1| (-922))) (-15 -4123 ((-121) |#1|)) (-15 -3942 ((-855) |#1|))) (-1248 |#2|) (-1053)) (T -1247)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-412 (-571)))) (-15 -4192 (|#1| |#1|)) (-15 -4185 (|#1| |#1|)) (-15 -4201 (|#1| |#1|)) (-15 -4206 (|#1| |#1|)) (-15 -4196 (|#1| |#1|)) (-15 -4188 (|#1| |#1|)) (-15 -4215 (|#1| |#1|)) (-15 -4227 (|#1| |#1|)) (-15 -4237 (|#1| |#1|)) (-15 -4232 (|#1| |#1|)) (-15 -4211 (|#1| |#1|)) (-15 -4220 (|#1| |#1|)) (-15 -4249 (|#1| |#1|)) (-15 -4260 (|#1| |#1|)) (-15 -4273 (|#1| |#1|)) (-15 -4266 (|#1| |#1|)) (-15 -4243 (|#1| |#1|)) (-15 -4255 (|#1| |#1|)) (-15 -4287 (|#1| |#1|)) (-15 -4301 (|#1| |#1|)) (-15 -2656 (|#1| |#1|)) (-15 -4307 (|#1| |#1|)) (-15 -4280 (|#1| |#1|)) (-15 -4294 (|#1| |#1|)) (-15 -3509 (|#1| |#1|)) (-15 -4148 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -3942 (|#1| |#2|)) (-15 -3942 (|#1| |#1|)) (-15 -3942 (|#1| (-412 (-571)))) (-15 -3942 (|#1| (-571))) (-15 ** (|#1| |#1| (-768))) (-15 ** (|#1| |#1| (-922))) (-15 -4123 ((-121) |#1|)) (-15 -3942 ((-855) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3424 (((-637 (-1081)) $) 70)) (-3312 (((-1169) $) 98)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 50 (|has| |#1| (-561)))) (-1415 (($ $) 51 (|has| |#1| (-561)))) (-2545 (((-121) $) 53 (|has| |#1| (-561)))) (-1934 (($ $ (-768)) 93) (($ $ (-768) (-768)) 92)) (-3236 (((-1149 (-2 (|:| |k| (-768)) (|:| |c| |#1|))) $) 100)) (-4255 (($ $) 127 (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) 110 (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) 18)) (-4158 (($ $) 109 (|has| |#1| (-43 (-412 (-571)))))) (-4243 (($ $) 126 (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) 111 (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-1149 (-2 (|:| |k| (-768)) (|:| |c| |#1|)))) 147) (($ (-1149 |#1|)) 145)) (-4266 (($ $) 125 (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) 112 (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) 16 T CONST)) (-4349 (($ $) 59)) (-3978 (((-3 $ "failed") $) 33)) (-1530 (($ $) 144)) (-1887 (((-958 |#1|) $ (-768)) 142) (((-958 |#1|) $ (-768) (-768)) 141)) (-4124 (((-121) $) 69)) (-4153 (($) 137 (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-768) $) 95) (((-768) $ (-768)) 94)) (-2583 (((-121) $) 30)) (-3549 (($ $ (-571)) 108 (|has| |#1| (-43 (-412 (-571)))))) (-1817 (($ $ (-922)) 96)) (-2789 (($ (-1 |#1| (-571)) $) 143)) (-3517 (((-121) $) 61)) (-4289 (($ |#1| (-768)) 60) (($ $ (-1081) (-768)) 72) (($ $ (-637 (-1081)) (-637 (-768))) 71)) (-3799 (($ (-1 |#1| |#1|) $) 62)) (-3509 (($ $) 134 (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) 64)) (-4337 ((|#1| $) 65)) (-3944 (((-1151) $) 9)) (-3403 (($ $) 139 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) 138 (-1831 (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-965)) (|has| |#1| (-1189)) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-43 (-412 (-571)))))))) (-2580 (((-1115) $) 10)) (-3140 (($ $ (-768)) 90)) (-1786 (((-3 $ "failed") $ $) 49 (|has| |#1| (-561)))) (-4148 (($ $) 135 (|has| |#1| (-43 (-412 (-571)))))) (-4483 (((-1149 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-768)))))) (-3245 ((|#1| $ (-768)) 99) (($ $ $) 76 (|has| (-768) (-1109)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) 84 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (($ $ (-1169) (-768)) 83 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (($ $ (-637 (-1169))) 82 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (($ $ (-1169)) 81 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (($ $ (-768)) 79 (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (-2400 (((-768) $) 63)) (-4273 (($ $) 124 (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) 113 (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) 123 (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) 114 (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) 122 (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) 115 (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) 68)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ (-412 (-571))) 56 (|has| |#1| (-43 (-412 (-571))))) (($ $) 48 (|has| |#1| (-561))) (($ |#1|) 46 (|has| |#1| (-173)))) (-1314 (((-1149 |#1|) $) 146)) (-3136 ((|#1| $ (-768)) 58)) (-2346 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2661 (((-768)) 28)) (-1681 ((|#1| $) 97)) (-4294 (($ $) 133 (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) 121 (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) 52 (|has| |#1| (-561)))) (-4280 (($ $) 132 (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) 120 (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) 131 (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) 119 (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-768)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-768)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) 130 (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) 118 (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) 129 (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) 117 (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) 128 (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) 116 (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) 88 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (($ $ (-1169) (-768)) 87 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (($ $ (-637 (-1169))) 86 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (($ $ (-1169)) 85 (-12 (|has| |#1| (-900 (-1169))) (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (($ $ (-768)) 80 (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 57 (|has| |#1| (-367)))) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ |#1|) 140 (|has| |#1| (-367))) (($ $ $) 136 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 107 (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-412 (-571)) $) 55 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) 54 (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1248 |#1|) (-1289) (-1053)) (T -1248)) 
+((-4096 (*1 *1 *2) (-12 (-5 *2 (-1149 (-2 (|:| |k| (-768)) (|:| |c| *3)))) (-4 *3 (-1053)) (-4 *1 (-1248 *3)))) (-1314 (*1 *2 *1) (-12 (-4 *1 (-1248 *3)) (-4 *3 (-1053)) (-5 *2 (-1149 *3)))) (-4096 (*1 *1 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-4 *1 (-1248 *3)))) (-1530 (*1 *1 *1) (-12 (-4 *1 (-1248 *2)) (-4 *2 (-1053)))) (-2789 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-571))) (-4 *1 (-1248 *3)) (-4 *3 (-1053)))) (-1887 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-1248 *4)) (-4 *4 (-1053)) (-5 *2 (-958 *4)))) (-1887 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-4 *1 (-1248 *4)) (-4 *4 (-1053)) (-5 *2 (-958 *4)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1248 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) (-3403 (*1 *1 *1) (-12 (-4 *1 (-1248 *2)) (-4 *2 (-1053)) (-4 *2 (-43 (-412 (-571)))))) (-3403 (*1 *1 *1 *2) (-1831 (-12 (-5 *2 (-1169)) (-4 *1 (-1248 *3)) (-4 *3 (-1053)) (-12 (-4 *3 (-29 (-571))) (-4 *3 (-965)) (-4 *3 (-1189)) (-4 *3 (-43 (-412 (-571)))))) (-12 (-5 *2 (-1169)) (-4 *1 (-1248 *3)) (-4 *3 (-1053)) (-12 (|has| *3 (-15 -3424 ((-637 *2) *3))) (|has| *3 (-15 -3403 (*3 *3 *2))) (-4 *3 (-43 (-412 (-571))))))))) 
+(-13 (-1235 |t#1| (-768)) (-10 -8 (-15 -4096 ($ (-1149 (-2 (|:| |k| (-768)) (|:| |c| |t#1|))))) (-15 -1314 ((-1149 |t#1|) $)) (-15 -4096 ($ (-1149 |t#1|))) (-15 -1530 ($ $)) (-15 -2789 ($ (-1 |t#1| (-571)) $)) (-15 -1887 ((-958 |t#1|) $ (-768))) (-15 -1887 ((-958 |t#1|) $ (-768) (-768))) (IF (|has| |t#1| (-367)) (-15 ** ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-43 (-412 (-571)))) (PROGN (-15 -3403 ($ $)) (IF (|has| |t#1| (-15 -3403 (|t#1| |t#1| (-1169)))) (IF (|has| |t#1| (-15 -3424 ((-637 (-1169)) |t#1|))) (-15 -3403 ($ $ (-1169))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1189)) (IF (|has| |t#1| (-965)) (IF (|has| |t#1| (-29 (-571))) (-15 -3403 ($ $ (-1169))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1008)) (-6 (-1189))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-768)) . T) ((-25) . T) ((-43 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-561)) ((-40) |has| |#1| (-43 (-412 (-571)))) ((-98) |has| |#1| (-43 (-412 (-571)))) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-768) |#1|))) ((-280) |has| |#1| (-43 (-412 (-571)))) ((-282 $ $) |has| (-768) (-1109)) ((-286) |has| |#1| (-561)) ((-505) |has| |#1| (-43 (-412 (-571)))) ((-561) |has| |#1| (-561)) ((-640 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-712 |#1|) |has| |#1| (-173)) ((-712 $) |has| |#1| (-561)) ((-721) . T) ((-900 (-1169)) -12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169)))) ((-980 |#1| (-768) (-1081)) . T) ((-1008) |has| |#1| (-43 (-412 (-571)))) ((-1059 (-412 (-571))) |has| |#1| (-43 (-412 (-571)))) ((-1059 |#1|) . T) ((-1059 $) -1831 (|has| |#1| (-561)) (|has| |#1| (-173))) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1189) |has| |#1| (-43 (-412 (-571)))) ((-1192) |has| |#1| (-43 (-412 (-571)))) ((-1235 |#1| (-768)) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) 86)) (-3912 (((-1230 |#2| |#1|) $ (-768)) 73)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) 135 (|has| |#1| (-561)))) (-1934 (($ $ (-768)) 120) (($ $ (-768) (-768)) 122)) (-3236 (((-1149 (-2 (|:| |k| (-768)) (|:| |c| |#1|))) $) 42)) (-4255 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4243 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-1149 (-2 (|:| |k| (-768)) (|:| |c| |#1|)))) 53) (($ (-1149 |#1|)) NIL)) (-4266 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-1796 (($ $) 126)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-1530 (($ $) 133)) (-1887 (((-958 |#1|) $ (-768)) 63) (((-958 |#1|) $ (-768) (-768)) 65)) (-4124 (((-121) $) NIL)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-768) $) NIL) (((-768) $ (-768)) NIL)) (-2583 (((-121) $) NIL)) (-1453 (($ $) 110)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1361 (($ (-571) (-571) $) 128)) (-1817 (($ $ (-922)) 132)) (-2789 (($ (-1 |#1| (-571)) $) 104)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) 15) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) 92)) (-3509 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-4424 (($ $) 108)) (-1944 (($ $) 106)) (-1816 (($ (-571) (-571) $) 130)) (-3403 (($ $) 143 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) 149 (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189))))) (($ $ (-1254 |#2|)) 144 (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) NIL)) (-3121 (($ $ (-571) (-571)) 114)) (-3140 (($ $ (-768)) 116)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4148 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1971 (($ $) 112)) (-4483 (((-1149 |#1|) $ |#1|) 94 (|has| |#1| (-15 ** (|#1| |#1| (-768)))))) (-3245 ((|#1| $ (-768)) 89) (($ $ $) 124 (|has| (-768) (-1109)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) 101 (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $) 96 (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $ (-1254 |#2|)) 97)) (-2400 (((-768) $) NIL)) (-4273 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) 118)) (-3942 (((-855) $) NIL) (($ (-571)) 24) (($ (-412 (-571))) 141 (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561))) (($ |#1|) 23 (|has| |#1| (-173))) (($ (-1230 |#2| |#1|)) 79) (($ (-1254 |#2|)) 20)) (-1314 (((-1149 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) 88)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) 87)) (-4294 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-768)) 85 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-768)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 17 T CONST)) (-3222 (($) 13 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) 100)) (-1367 (($ $ $) 18)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ |#1|) 138 (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 99) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1249 |#1| |#2| |#3|) (-13 (-1248 |#1|) (-10 -8 (-15 -3942 ($ (-1230 |#2| |#1|))) (-15 -3912 ((-1230 |#2| |#1|) $ (-768))) (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (-15 -1944 ($ $)) (-15 -4424 ($ $)) (-15 -1453 ($ $)) (-15 -1971 ($ $)) (-15 -3121 ($ $ (-571) (-571))) (-15 -1796 ($ $)) (-15 -1361 ($ (-571) (-571) $)) (-15 -1816 ($ (-571) (-571) $)) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) (-1053) (-1169) |#1|) (T -1249)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1230 *4 *3)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3) (-5 *1 (-1249 *3 *4 *5)))) (-3912 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1230 *5 *4)) (-5 *1 (-1249 *4 *5 *6)) (-4 *4 (-1053)) (-14 *5 (-1169)) (-14 *6 *4))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) (-1944 (*1 *1 *1) (-12 (-5 *1 (-1249 *2 *3 *4)) (-4 *2 (-1053)) (-14 *3 (-1169)) (-14 *4 *2))) (-4424 (*1 *1 *1) (-12 (-5 *1 (-1249 *2 *3 *4)) (-4 *2 (-1053)) (-14 *3 (-1169)) (-14 *4 *2))) (-1453 (*1 *1 *1) (-12 (-5 *1 (-1249 *2 *3 *4)) (-4 *2 (-1053)) (-14 *3 (-1169)) (-14 *4 *2))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-1249 *2 *3 *4)) (-4 *2 (-1053)) (-14 *3 (-1169)) (-14 *4 *2))) (-3121 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3))) (-1796 (*1 *1 *1) (-12 (-5 *1 (-1249 *2 *3 *4)) (-4 *2 (-1053)) (-14 *3 (-1169)) (-14 *4 *2))) (-1361 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3))) (-1816 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3))) (-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3)))) 
+(-13 (-1248 |#1|) (-10 -8 (-15 -3942 ($ (-1230 |#2| |#1|))) (-15 -3912 ((-1230 |#2| |#1|) $ (-768))) (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (-15 -1944 ($ $)) (-15 -4424 ($ $)) (-15 -1453 ($ $)) (-15 -1971 ($ $)) (-15 -3121 ($ $ (-571) (-571))) (-15 -1796 ($ $)) (-15 -1361 ($ (-571) (-571) $)) (-15 -1816 ($ (-571) (-571) $)) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) 
+((-4374 (((-1 (-1149 |#1|) (-637 (-1149 |#1|))) (-1 |#2| (-637 |#2|))) 24)) (-2600 (((-1 (-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) (-1 |#2| |#2| |#2|)) 16)) (-3627 (((-1 (-1149 |#1|) (-1149 |#1|)) (-1 |#2| |#2|)) 13)) (-2620 ((|#2| (-1 |#2| |#2| |#2|) |#1| |#1|) 48)) (-3544 ((|#2| (-1 |#2| |#2|) |#1|) 46)) (-4580 ((|#2| (-1 |#2| (-637 |#2|)) (-637 |#1|)) 54)) (-2101 (((-637 |#2|) (-637 |#1|) (-637 (-1 |#2| (-637 |#2|)))) 61)) (-3093 ((|#2| |#2| |#2|) 43))) 
+(((-1250 |#1| |#2|) (-10 -7 (-15 -3627 ((-1 (-1149 |#1|) (-1149 |#1|)) (-1 |#2| |#2|))) (-15 -2600 ((-1 (-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -4374 ((-1 (-1149 |#1|) (-637 (-1149 |#1|))) (-1 |#2| (-637 |#2|)))) (-15 -3093 (|#2| |#2| |#2|)) (-15 -3544 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -2620 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4580 (|#2| (-1 |#2| (-637 |#2|)) (-637 |#1|))) (-15 -2101 ((-637 |#2|) (-637 |#1|) (-637 (-1 |#2| (-637 |#2|)))))) (-43 (-412 (-571))) (-1248 |#1|)) (T -1250)) 
+((-2101 (*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-1 *6 (-637 *6)))) (-4 *5 (-43 (-412 (-571)))) (-4 *6 (-1248 *5)) (-5 *2 (-637 *6)) (-5 *1 (-1250 *5 *6)))) (-4580 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-637 *2))) (-5 *4 (-637 *5)) (-4 *5 (-43 (-412 (-571)))) (-4 *2 (-1248 *5)) (-5 *1 (-1250 *5 *2)))) (-2620 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1248 *4)) (-5 *1 (-1250 *4 *2)) (-4 *4 (-43 (-412 (-571)))))) (-3544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1248 *4)) (-5 *1 (-1250 *4 *2)) (-4 *4 (-43 (-412 (-571)))))) (-3093 (*1 *2 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1250 *3 *2)) (-4 *2 (-1248 *3)))) (-4374 (*1 *2 *3) (-12 (-5 *3 (-1 *5 (-637 *5))) (-4 *5 (-1248 *4)) (-4 *4 (-43 (-412 (-571)))) (-5 *2 (-1 (-1149 *4) (-637 (-1149 *4)))) (-5 *1 (-1250 *4 *5)))) (-2600 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1248 *4)) (-4 *4 (-43 (-412 (-571)))) (-5 *2 (-1 (-1149 *4) (-1149 *4) (-1149 *4))) (-5 *1 (-1250 *4 *5)))) (-3627 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1248 *4)) (-4 *4 (-43 (-412 (-571)))) (-5 *2 (-1 (-1149 *4) (-1149 *4))) (-5 *1 (-1250 *4 *5))))) 
+(-10 -7 (-15 -3627 ((-1 (-1149 |#1|) (-1149 |#1|)) (-1 |#2| |#2|))) (-15 -2600 ((-1 (-1149 |#1|) (-1149 |#1|) (-1149 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -4374 ((-1 (-1149 |#1|) (-637 (-1149 |#1|))) (-1 |#2| (-637 |#2|)))) (-15 -3093 (|#2| |#2| |#2|)) (-15 -3544 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -2620 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4580 (|#2| (-1 |#2| (-637 |#2|)) (-637 |#1|))) (-15 -2101 ((-637 |#2|) (-637 |#1|) (-637 (-1 |#2| (-637 |#2|)))))) 
+((-3831 ((|#2| |#4| (-768)) 30)) (-3564 ((|#4| |#2|) 25)) (-2238 ((|#4| (-412 |#2|)) 51 (|has| |#1| (-561)))) (-3658 (((-1 |#4| (-637 |#4|)) |#3|) 45))) 
+(((-1251 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3564 (|#4| |#2|)) (-15 -3831 (|#2| |#4| (-768))) (-15 -3658 ((-1 |#4| (-637 |#4|)) |#3|)) (IF (|has| |#1| (-561)) (-15 -2238 (|#4| (-412 |#2|))) |noBranch|)) (-1053) (-1233 |#1|) (-649 |#2|) (-1248 |#1|)) (T -1251)) 
+((-2238 (*1 *2 *3) (-12 (-5 *3 (-412 *5)) (-4 *5 (-1233 *4)) (-4 *4 (-561)) (-4 *4 (-1053)) (-4 *2 (-1248 *4)) (-5 *1 (-1251 *4 *5 *6 *2)) (-4 *6 (-649 *5)))) (-3658 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-1233 *4)) (-5 *2 (-1 *6 (-637 *6))) (-5 *1 (-1251 *4 *5 *3 *6)) (-4 *3 (-649 *5)) (-4 *6 (-1248 *4)))) (-3831 (*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-1053)) (-4 *2 (-1233 *5)) (-5 *1 (-1251 *5 *2 *6 *3)) (-4 *6 (-649 *2)) (-4 *3 (-1248 *5)))) (-3564 (*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *3 (-1233 *4)) (-4 *2 (-1248 *4)) (-5 *1 (-1251 *4 *3 *5 *2)) (-4 *5 (-649 *3))))) 
+(-10 -7 (-15 -3564 (|#4| |#2|)) (-15 -3831 (|#2| |#4| (-768))) (-15 -3658 ((-1 |#4| (-637 |#4|)) |#3|)) (IF (|has| |#1| (-561)) (-15 -2238 (|#4| (-412 |#2|))) |noBranch|)) 
+((-4455 ((|#2| (-1 |#3| |#3|) (-637 |#1|)) 67))) 
+(((-1252 |#1| |#2| |#3|) (-10 -7 (-15 -4455 (|#2| (-1 |#3| |#3|) (-637 |#1|)))) (-367) (-1248 |#1|) (-1248 (-1163 |#1|))) (T -1252)) 
+((-4455 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-637 *5)) (-4 *5 (-367)) (-4 *6 (-1248 (-1163 *5))) (-4 *2 (-1248 *5)) (-5 *1 (-1252 *5 *2 *6))))) 
+(-10 -7 (-15 -4455 (|#2| (-1 |#3| |#3|) (-637 |#1|)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3424 (((-637 (-1081)) $) NIL)) (-3312 (((-1169) $) 79)) (-3912 (((-1230 |#2| |#1|) $ (-768)) 68)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) NIL (|has| |#1| (-561)))) (-1415 (($ $) NIL (|has| |#1| (-561)))) (-2545 (((-121) $) 128 (|has| |#1| (-561)))) (-1934 (($ $ (-768)) 113) (($ $ (-768) (-768)) 115)) (-3236 (((-1149 (-2 (|:| |k| (-768)) (|:| |c| |#1|))) $) 38)) (-4255 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4192 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4176 (((-3 $ "failed") $ $) NIL)) (-4158 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4243 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4185 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4096 (($ (-1149 (-2 (|:| |k| (-768)) (|:| |c| |#1|)))) 51) (($ (-1149 |#1|)) NIL)) (-4266 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4201 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-2269 (($) NIL T CONST)) (-1796 (($ $) 119)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-1530 (($ $) 126)) (-1887 (((-958 |#1|) $ (-768)) 59) (((-958 |#1|) $ (-768) (-768)) 61)) (-4124 (((-121) $) NIL)) (-4153 (($) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3347 (((-768) $) NIL) (((-768) $ (-768)) NIL)) (-2583 (((-121) $) NIL)) (-1453 (($ $) 103)) (-3549 (($ $ (-571)) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1361 (($ (-571) (-571) $) 121)) (-1817 (($ $ (-922)) 125)) (-2789 (($ (-1 |#1| (-571)) $) 97)) (-3517 (((-121) $) NIL)) (-4289 (($ |#1| (-768)) 12) (($ $ (-1081) (-768)) NIL) (($ $ (-637 (-1081)) (-637 (-768))) NIL)) (-3799 (($ (-1 |#1| |#1|) $) 85)) (-3509 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4332 (($ $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-4424 (($ $) 101)) (-1944 (($ $) 99)) (-1816 (($ (-571) (-571) $) 123)) (-3403 (($ $) 136 (|has| |#1| (-43 (-412 (-571))))) (($ $ (-1169)) 139 (-1831 (-12 (|has| |#1| (-15 -3403 (|#1| |#1| (-1169)))) (|has| |#1| (-15 -3424 ((-637 (-1169)) |#1|))) (|has| |#1| (-43 (-412 (-571))))) (-12 (|has| |#1| (-29 (-571))) (|has| |#1| (-43 (-412 (-571)))) (|has| |#1| (-965)) (|has| |#1| (-1189))))) (($ $ (-1254 |#2|)) 137 (|has| |#1| (-43 (-412 (-571)))))) (-2580 (((-1115) $) NIL)) (-3121 (($ $ (-571) (-571)) 107)) (-3140 (($ $ (-768)) 109)) (-1786 (((-3 $ "failed") $ $) NIL (|has| |#1| (-561)))) (-4148 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1971 (($ $) 105)) (-4483 (((-1149 |#1|) $ |#1|) 87 (|has| |#1| (-15 ** (|#1| |#1| (-768)))))) (-3245 ((|#1| $ (-768)) 82) (($ $ $) 117 (|has| (-768) (-1109)))) (-3096 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) 92 (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $) 89 (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $ (-1254 |#2|)) 90)) (-2400 (((-768) $) NIL)) (-4273 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4206 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4260 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4196 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4249 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4188 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3202 (($ $) 111)) (-3942 (((-855) $) NIL) (($ (-571)) 18) (($ (-412 (-571))) 134 (|has| |#1| (-43 (-412 (-571))))) (($ $) NIL (|has| |#1| (-561))) (($ |#1|) 17 (|has| |#1| (-173))) (($ (-1230 |#2| |#1|)) 73) (($ (-1254 |#2|)) 14)) (-1314 (((-1149 |#1|) $) NIL)) (-3136 ((|#1| $ (-768)) 81)) (-2346 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2661 (((-768)) NIL)) (-1681 ((|#1| $) 80)) (-4294 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4220 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-1388 (((-121) $ $) NIL (|has| |#1| (-561)))) (-4280 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4211 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4307 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4232 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-3367 ((|#1| $ (-768)) 78 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-768)))) (|has| |#1| (-15 -3942 (|#1| (-1169))))))) (-2656 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4237 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4301 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4227 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4287 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4215 (($ $) NIL (|has| |#1| (-43 (-412 (-571)))))) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 44 T CONST)) (-3222 (($) 9 T CONST)) (-1544 (($ $ (-637 (-1169)) (-637 (-768))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169) (-768)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-637 (-1169))) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-1169)) NIL (-12 (|has| |#1| (-15 * (|#1| (-768) |#1|))) (|has| |#1| (-900 (-1169))))) (($ $ (-768)) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-768) |#1|))))) (-1323 (((-121) $ $) NIL)) (-1379 (($ $ |#1|) NIL (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) 94)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL) (($ $ |#1|) 131 (|has| |#1| (-367))) (($ $ $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571)))))) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 93) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-412 (-571)) $) NIL (|has| |#1| (-43 (-412 (-571))))) (($ $ (-412 (-571))) NIL (|has| |#1| (-43 (-412 (-571))))))) 
+(((-1253 |#1| |#2|) (-13 (-1248 |#1|) (-10 -8 (-15 -3942 ($ (-1230 |#2| |#1|))) (-15 -3912 ((-1230 |#2| |#1|) $ (-768))) (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (-15 -1944 ($ $)) (-15 -4424 ($ $)) (-15 -1453 ($ $)) (-15 -1971 ($ $)) (-15 -3121 ($ $ (-571) (-571))) (-15 -1796 ($ $)) (-15 -1361 ($ (-571) (-571) $)) (-15 -1816 ($ (-571) (-571) $)) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) (-1053) (-1169)) (T -1253)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-1230 *4 *3)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-5 *1 (-1253 *3 *4)))) (-3912 (*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1230 *5 *4)) (-5 *1 (-1253 *4 *5)) (-4 *4 (-1053)) (-14 *5 (-1169)))) (-3942 (*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-1053)))) (-3096 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-1053)))) (-1944 (*1 *1 *1) (-12 (-5 *1 (-1253 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-1169)))) (-4424 (*1 *1 *1) (-12 (-5 *1 (-1253 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-1169)))) (-1453 (*1 *1 *1) (-12 (-5 *1 (-1253 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-1169)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-1253 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-1169)))) (-3121 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-1169)))) (-1796 (*1 *1 *1) (-12 (-5 *1 (-1253 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-1169)))) (-1361 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-1169)))) (-1816 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-1169)))) (-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053))))) 
+(-13 (-1248 |#1|) (-10 -8 (-15 -3942 ($ (-1230 |#2| |#1|))) (-15 -3912 ((-1230 |#2| |#1|) $ (-768))) (-15 -3942 ($ (-1254 |#2|))) (-15 -3096 ($ $ (-1254 |#2|))) (-15 -1944 ($ $)) (-15 -4424 ($ $)) (-15 -1453 ($ $)) (-15 -1971 ($ $)) (-15 -3121 ($ $ (-571) (-571))) (-15 -1796 ($ $)) (-15 -1361 ($ (-571) (-571) $)) (-15 -1816 ($ (-571) (-571) $)) (IF (|has| |#1| (-43 (-412 (-571)))) (-15 -3403 ($ $ (-1254 |#2|))) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-3312 (((-1169)) 12)) (-3944 (((-1151) $) 17)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 11) (((-1169) $) 8)) (-1323 (((-121) $ $) 14))) 
+(((-1254 |#1|) (-13 (-1097) (-611 (-1169)) (-10 -8 (-15 -3942 ((-1169) $)) (-15 -3312 ((-1169))))) (-1169)) (T -1254)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-1254 *3)) (-14 *3 *2))) (-3312 (*1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1254 *3)) (-14 *3 *2)))) 
+(-13 (-1097) (-611 (-1169)) (-10 -8 (-15 -3942 ((-1169) $)) (-15 -3312 ((-1169))))) 
+((-4137 (($ (-768)) 16)) (-3317 (((-684 |#2|) $ $) 37)) (-3725 ((|#2| $) 46)) (-3158 ((|#2| $) 45)) (-2503 ((|#2| $ $) 33)) (-1389 (($ $ $) 42)) (-1373 (($ $) 20) (($ $ $) 26)) (-1367 (($ $ $) 13)) (* (($ (-571) $) 23) (($ |#2| $) 29) (($ $ |#2|) 28))) 
+(((-1255 |#1| |#2|) (-10 -8 (-15 -3725 (|#2| |#1|)) (-15 -3158 (|#2| |#1|)) (-15 -1389 (|#1| |#1| |#1|)) (-15 -3317 ((-684 |#2|) |#1| |#1|)) (-15 -2503 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 -4137 (|#1| (-768))) (-15 -1367 (|#1| |#1| |#1|))) (-1256 |#2|) (-1203)) (T -1255)) 
+NIL 
+(-10 -8 (-15 -3725 (|#2| |#1|)) (-15 -3158 (|#2| |#1|)) (-15 -1389 (|#1| |#1| |#1|)) (-15 -3317 ((-684 |#2|) |#1| |#1|)) (-15 -2503 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-571) |#1|)) (-15 -1373 (|#1| |#1| |#1|)) (-15 -1373 (|#1| |#1|)) (-15 -4137 (|#1| (-768))) (-15 -1367 (|#1| |#1| |#1|))) 
+((-2234 (((-121) $ $) 18 (|has| |#1| (-1097)))) (-4137 (($ (-768)) 105 (|has| |#1| (-23)))) (-3839 (((-1263) $ (-571) (-571)) 37 (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4601))) (($ $) 81 (-12 (|has| |#1| (-847)) (|has| $ (-6 -4601))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) 8)) (-3251 ((|#1| $ (-571) |#1|) 49 (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) 53 (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4600)))) (-2269 (($) 7 T CONST)) (-4578 (($ $) 83 (|has| $ (-6 -4601)))) (-4378 (($ $) 93)) (-4365 (($ $) 73 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3412 (($ |#1| $) 72 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) 50 (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) 48)) (-3984 (((-571) (-1 (-121) |#1|) $) 90) (((-571) |#1| $) 89 (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) 88 (|has| |#1| (-1097)))) (-4034 (((-637 |#1|) $) 30 (|has| $ (-6 -4600)))) (-3317 (((-684 |#1|) $ $) 98 (|has| |#1| (-1053)))) (-1364 (($ (-768) |#1|) 64)) (-2262 (((-121) $ (-768)) 9)) (-1414 (((-571) $) 40 (|has| (-571) (-847)))) (-1763 (($ $ $) 80 (|has| |#1| (-847)))) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) 29 (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3113 (((-571) $) 41 (|has| (-571) (-847)))) (-2383 (($ $ $) 79 (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3725 ((|#1| $) 95 (-12 (|has| |#1| (-1053)) (|has| |#1| (-1008))))) (-3794 (((-121) $ (-768)) 10)) (-3158 ((|#1| $) 96 (-12 (|has| |#1| (-1053)) (|has| |#1| (-1008))))) (-3944 (((-1151) $) 22 (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) 55) (($ $ $ (-571)) 54)) (-2738 (((-637 (-571)) $) 43)) (-1613 (((-121) (-571) $) 44)) (-2580 (((-1115) $) 21 (|has| |#1| (-1097)))) (-1827 ((|#1| $) 39 (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-4411 (($ $ |#1|) 38 (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) 14)) (-2957 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) 45)) (-1828 (((-121) $) 11)) (-1630 (($) 12)) (-3245 ((|#1| $ (-571) |#1|) 47) ((|#1| $ (-571)) 46) (($ $ (-1224 (-571))) 58)) (-2503 ((|#1| $ $) 99 (|has| |#1| (-1053)))) (-1933 (($ $ (-571)) 57) (($ $ (-1224 (-571))) 56)) (-1389 (($ $ $) 97 (|has| |#1| (-1053)))) (-1569 (((-768) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4600))) (((-768) |#1| $) 28 (-12 (|has| |#1| (-1097)) (|has| $ (-6 -4600))))) (-3427 (($ $ $ (-571)) 84 (|has| $ (-6 -4601)))) (-4316 (($ $) 13)) (-4050 (((-544) $) 74 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 65)) (-4498 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-637 $)) 60)) (-3942 (((-855) $) 20 (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) 77 (|has| |#1| (-847)))) (-1338 (((-121) $ $) 76 (|has| |#1| (-847)))) (-1323 (((-121) $ $) 19 (|has| |#1| (-1097)))) (-1342 (((-121) $ $) 78 (|has| |#1| (-847)))) (-1331 (((-121) $ $) 75 (|has| |#1| (-847)))) (-1373 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1367 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-571) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-721))) (($ $ |#1|) 100 (|has| |#1| (-721)))) (-4001 (((-768) $) 6 (|has| $ (-6 -4600))))) 
+(((-1256 |#1|) (-1289) (-1203)) (T -1256)) 
+((-1367 (*1 *1 *1 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-25)))) (-4137 (*1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1256 *3)) (-4 *3 (-23)) (-4 *3 (-1203)))) (-1373 (*1 *1 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-21)))) (-1373 (*1 *1 *1 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-21)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-4 *1 (-1256 *3)) (-4 *3 (-1203)) (-4 *3 (-21)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-721)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-721)))) (-2503 (*1 *2 *1 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-1053)))) (-3317 (*1 *2 *1 *1) (-12 (-4 *1 (-1256 *3)) (-4 *3 (-1203)) (-4 *3 (-1053)) (-5 *2 (-684 *3)))) (-1389 (*1 *1 *1 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-1053)))) (-3158 (*1 *2 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-1008)) (-4 *2 (-1053)))) (-3725 (*1 *2 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-1008)) (-4 *2 (-1053))))) 
+(-13 (-19 |t#1|) (-10 -8 (IF (|has| |t#1| (-25)) (-15 -1367 ($ $ $)) |noBranch|) (IF (|has| |t#1| (-23)) (-15 -4137 ($ (-768))) |noBranch|) (IF (|has| |t#1| (-21)) (PROGN (-15 -1373 ($ $)) (-15 -1373 ($ $ $)) (-15 * ($ (-571) $))) |noBranch|) (IF (|has| |t#1| (-721)) (PROGN (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-1053)) (PROGN (-15 -2503 (|t#1| $ $)) (-15 -3317 ((-684 |t#1|) $ $)) (-15 -1389 ($ $ $))) |noBranch|) (IF (|has| |t#1| (-1008)) (IF (|has| |t#1| (-1053)) (PROGN (-15 -3158 (|t#1| $)) (-15 -3725 (|t#1| $))) |noBranch|) |noBranch|))) 
+(((-39) . T) ((-105) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-611 (-855)) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-155 |#1|) . T) ((-612 (-544)) |has| |#1| (-612 (-544))) ((-282 (-571) |#1|) . T) ((-284 (-571) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-378 |#1|) . T) ((-502 |#1|) . T) ((-604 (-571) |#1|) . T) ((-526 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))) ((-643 |#1|) . T) ((-19 |#1|) . T) ((-847) |has| |#1| (-847)) ((-1097) -1831 (|has| |#1| (-1097)) (|has| |#1| (-847))) ((-1203) . T)) 
+((-2094 (((-1258 |#2|) (-1 |#2| |#1| |#2|) (-1258 |#1|) |#2|) 13)) (-3074 ((|#2| (-1 |#2| |#1| |#2|) (-1258 |#1|) |#2|) 15)) (-3799 (((-3 (-1258 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1258 |#1|)) 28) (((-1258 |#2|) (-1 |#2| |#1|) (-1258 |#1|)) 18))) 
+(((-1257 |#1| |#2|) (-10 -7 (-15 -2094 ((-1258 |#2|) (-1 |#2| |#1| |#2|) (-1258 |#1|) |#2|)) (-15 -3074 (|#2| (-1 |#2| |#1| |#2|) (-1258 |#1|) |#2|)) (-15 -3799 ((-1258 |#2|) (-1 |#2| |#1|) (-1258 |#1|))) (-15 -3799 ((-3 (-1258 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1258 |#1|)))) (-1203) (-1203)) (T -1257)) 
+((-3799 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1258 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1258 *6)) (-5 *1 (-1257 *5 *6)))) (-3799 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1258 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1258 *6)) (-5 *1 (-1257 *5 *6)))) (-3074 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1258 *5)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-1257 *5 *2)))) (-2094 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1258 *6)) (-4 *6 (-1203)) (-4 *5 (-1203)) (-5 *2 (-1258 *5)) (-5 *1 (-1257 *6 *5))))) 
+(-10 -7 (-15 -2094 ((-1258 |#2|) (-1 |#2| |#1| |#2|) (-1258 |#1|) |#2|)) (-15 -3074 (|#2| (-1 |#2| |#1| |#2|) (-1258 |#1|) |#2|)) (-15 -3799 ((-1258 |#2|) (-1 |#2| |#1|) (-1258 |#1|))) (-15 -3799 ((-3 (-1258 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1258 |#1|)))) 
+((-2234 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-4137 (($ (-768)) NIL (|has| |#1| (-23)))) (-3112 (($ (-637 |#1|)) 9)) (-3839 (((-1263) $ (-571) (-571)) NIL (|has| $ (-6 -4601)))) (-2648 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-847)))) (-3652 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4601))) (($ $) NIL (-12 (|has| $ (-6 -4601)) (|has| |#1| (-847))))) (-2972 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-847)))) (-3133 (((-121) $ (-768)) NIL)) (-3251 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601))) ((|#1| $ (-1224 (-571)) |#1|) NIL (|has| $ (-6 -4601)))) (-2534 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-2269 (($) NIL T CONST)) (-4578 (($ $) NIL (|has| $ (-6 -4601)))) (-4378 (($ $) NIL)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3412 (($ |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-3074 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4600))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4600)))) (-2922 ((|#1| $ (-571) |#1|) NIL (|has| $ (-6 -4601)))) (-4319 ((|#1| $ (-571)) NIL)) (-3984 (((-571) (-1 (-121) |#1|) $) NIL) (((-571) |#1| $) NIL (|has| |#1| (-1097))) (((-571) |#1| $ (-571)) NIL (|has| |#1| (-1097)))) (-4034 (((-637 |#1|) $) 15 (|has| $ (-6 -4600)))) (-3317 (((-684 |#1|) $ $) NIL (|has| |#1| (-1053)))) (-1364 (($ (-768) |#1|) NIL)) (-2262 (((-121) $ (-768)) NIL)) (-1414 (((-571) $) NIL (|has| (-571) (-847)))) (-1763 (($ $ $) NIL (|has| |#1| (-847)))) (-3491 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-847)))) (-3488 (((-637 |#1|) $) NIL (|has| $ (-6 -4600)))) (-3303 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3113 (((-571) $) NIL (|has| (-571) (-847)))) (-2383 (($ $ $) NIL (|has| |#1| (-847)))) (-1923 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3725 ((|#1| $) NIL (-12 (|has| |#1| (-1008)) (|has| |#1| (-1053))))) (-3794 (((-121) $ (-768)) NIL)) (-3158 ((|#1| $) NIL (-12 (|has| |#1| (-1008)) (|has| |#1| (-1053))))) (-3944 (((-1151) $) NIL (|has| |#1| (-1097)))) (-2594 (($ |#1| $ (-571)) NIL) (($ $ $ (-571)) NIL)) (-2738 (((-637 (-571)) $) NIL)) (-1613 (((-121) (-571) $) NIL)) (-2580 (((-1115) $) NIL (|has| |#1| (-1097)))) (-1827 ((|#1| $) NIL (|has| (-571) (-847)))) (-3765 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-4411 (($ $ |#1|) NIL (|has| $ (-6 -4601)))) (-3160 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097)))) (($ $ (-637 |#1|) (-637 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1097))))) (-2127 (((-121) $ $) NIL)) (-2957 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3909 (((-637 |#1|) $) NIL)) (-1828 (((-121) $) NIL)) (-1630 (($) NIL)) (-3245 ((|#1| $ (-571) |#1|) NIL) ((|#1| $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-2503 ((|#1| $ $) NIL (|has| |#1| (-1053)))) (-1933 (($ $ (-571)) NIL) (($ $ (-1224 (-571))) NIL)) (-1389 (($ $ $) NIL (|has| |#1| (-1053)))) (-1569 (((-768) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600))) (((-768) |#1| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#1| (-1097))))) (-3427 (($ $ $ (-571)) NIL (|has| $ (-6 -4601)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) 19 (|has| |#1| (-612 (-544))))) (-3891 (($ (-637 |#1|)) 8)) (-4498 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-637 $)) NIL)) (-3942 (((-855) $) NIL (|has| |#1| (-1097)))) (-3027 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4600)))) (-1350 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1338 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1323 (((-121) $ $) NIL (|has| |#1| (-1097)))) (-1342 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1331 (((-121) $ $) NIL (|has| |#1| (-847)))) (-1373 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1367 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-571) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-721))) (($ $ |#1|) NIL (|has| |#1| (-721)))) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1258 |#1|) (-13 (-1256 |#1|) (-10 -8 (-15 -3112 ($ (-637 |#1|))))) (-1203)) (T -1258)) 
+((-3112 (*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-1258 *3))))) 
+(-13 (-1256 |#1|) (-10 -8 (-15 -3112 ($ (-637 |#1|))))) 
+((-2234 (((-121) $ $) NIL)) (-3291 (((-1151) $ (-1151)) 87) (((-1151) $ (-1151) (-1151)) 85) (((-1151) $ (-1151) (-637 (-1151))) 84)) (-3115 (($) 56)) (-2898 (((-1263) $ (-476) (-922)) 42)) (-1795 (((-1263) $ (-922) (-1151)) 70) (((-1263) $ (-922) (-874)) 71)) (-2918 (((-1263) $ (-922) (-384) (-384)) 45)) (-3462 (((-1263) $ (-1151)) 66)) (-3180 (((-1263) $ (-922) (-1151)) 75)) (-2483 (((-1263) $ (-922) (-384) (-384)) 46)) (-2326 (((-1263) $ (-922) (-922)) 43)) (-3286 (((-1263) $) 67)) (-3719 (((-1263) $ (-922) (-1151)) 74)) (-1922 (((-1263) $ (-476) (-922)) 30)) (-2634 (((-1263) $ (-922) (-1151)) 73)) (-2452 (((-637 (-257)) $) 22) (($ $ (-637 (-257))) 23)) (-2670 (((-1263) $ (-768) (-768)) 40)) (-3063 (($ $) 57) (($ (-476) (-637 (-257))) 58)) (-3944 (((-1151) $) NIL)) (-4080 (((-571) $) 37)) (-2580 (((-1115) $) NIL)) (-2968 (((-1258 (-3 (-476) "undefined")) $) 36)) (-1469 (((-1258 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2634 (-571)) (|:| -3640 (-571)) (|:| |spline| (-571)) (|:| -1651 (-571)) (|:| |axesColor| (-874)) (|:| -1795 (-571)) (|:| |unitsColor| (-874)) (|:| |showing| (-571)))) $) 35)) (-1561 (((-1263) $ (-922) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-571) (-874) (-571) (-874) (-571)) 65)) (-1465 (((-637 (-949 (-216))) $) NIL)) (-4554 (((-476) $ (-922)) 32)) (-1892 (((-1263) $ (-768) (-768) (-922) (-922)) 39)) (-2694 (((-1263) $ (-1151)) 76)) (-3640 (((-1263) $ (-922) (-1151)) 72)) (-3942 (((-855) $) 82)) (-2363 (((-1263) $) 77)) (-1651 (((-1263) $ (-922) (-1151)) 68) (((-1263) $ (-922) (-874)) 69)) (-1323 (((-121) $ $) NIL))) 
+(((-1259) (-13 (-1097) (-10 -8 (-15 -1465 ((-637 (-949 (-216))) $)) (-15 -3115 ($)) (-15 -3063 ($ $)) (-15 -2452 ((-637 (-257)) $)) (-15 -2452 ($ $ (-637 (-257)))) (-15 -3063 ($ (-476) (-637 (-257)))) (-15 -1561 ((-1263) $ (-922) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-571) (-874) (-571) (-874) (-571))) (-15 -1469 ((-1258 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2634 (-571)) (|:| -3640 (-571)) (|:| |spline| (-571)) (|:| -1651 (-571)) (|:| |axesColor| (-874)) (|:| -1795 (-571)) (|:| |unitsColor| (-874)) (|:| |showing| (-571)))) $)) (-15 -2968 ((-1258 (-3 (-476) "undefined")) $)) (-15 -3462 ((-1263) $ (-1151))) (-15 -1922 ((-1263) $ (-476) (-922))) (-15 -4554 ((-476) $ (-922))) (-15 -1651 ((-1263) $ (-922) (-1151))) (-15 -1651 ((-1263) $ (-922) (-874))) (-15 -1795 ((-1263) $ (-922) (-1151))) (-15 -1795 ((-1263) $ (-922) (-874))) (-15 -2634 ((-1263) $ (-922) (-1151))) (-15 -3719 ((-1263) $ (-922) (-1151))) (-15 -3640 ((-1263) $ (-922) (-1151))) (-15 -2694 ((-1263) $ (-1151))) (-15 -2363 ((-1263) $)) (-15 -1892 ((-1263) $ (-768) (-768) (-922) (-922))) (-15 -2483 ((-1263) $ (-922) (-384) (-384))) (-15 -2918 ((-1263) $ (-922) (-384) (-384))) (-15 -3180 ((-1263) $ (-922) (-1151))) (-15 -2670 ((-1263) $ (-768) (-768))) (-15 -2898 ((-1263) $ (-476) (-922))) (-15 -2326 ((-1263) $ (-922) (-922))) (-15 -3291 ((-1151) $ (-1151))) (-15 -3291 ((-1151) $ (-1151) (-1151))) (-15 -3291 ((-1151) $ (-1151) (-637 (-1151)))) (-15 -3286 ((-1263) $)) (-15 -4080 ((-571) $)) (-15 -3942 ((-855) $))))) (T -1259)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1259)))) (-1465 (*1 *2 *1) (-12 (-5 *2 (-637 (-949 (-216)))) (-5 *1 (-1259)))) (-3115 (*1 *1) (-5 *1 (-1259))) (-3063 (*1 *1 *1) (-5 *1 (-1259))) (-2452 (*1 *2 *1) (-12 (-5 *2 (-637 (-257))) (-5 *1 (-1259)))) (-2452 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-257))) (-5 *1 (-1259)))) (-3063 (*1 *1 *2 *3) (-12 (-5 *2 (-476)) (-5 *3 (-637 (-257))) (-5 *1 (-1259)))) (-1561 (*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-922)) (-5 *4 (-216)) (-5 *5 (-571)) (-5 *6 (-874)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-1469 (*1 *2 *1) (-12 (-5 *2 (-1258 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2634 (-571)) (|:| -3640 (-571)) (|:| |spline| (-571)) (|:| -1651 (-571)) (|:| |axesColor| (-874)) (|:| -1795 (-571)) (|:| |unitsColor| (-874)) (|:| |showing| (-571))))) (-5 *1 (-1259)))) (-2968 (*1 *2 *1) (-12 (-5 *2 (-1258 (-3 (-476) "undefined"))) (-5 *1 (-1259)))) (-3462 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-1922 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-476)) (-5 *4 (-922)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-4554 (*1 *2 *1 *3) (-12 (-5 *3 (-922)) (-5 *2 (-476)) (-5 *1 (-1259)))) (-1651 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-1651 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-874)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-1795 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-1795 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-874)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-2634 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-3719 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-3640 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-2694 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-2363 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1259)))) (-1892 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-768)) (-5 *4 (-922)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-2483 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-922)) (-5 *4 (-384)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-2918 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-922)) (-5 *4 (-384)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-3180 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-2670 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-2898 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-476)) (-5 *4 (-922)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-2326 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1263)) (-5 *1 (-1259)))) (-3291 (*1 *2 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1259)))) (-3291 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1259)))) (-3291 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-1151)) (-5 *1 (-1259)))) (-3286 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1259)))) (-4080 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1259))))) 
+(-13 (-1097) (-10 -8 (-15 -1465 ((-637 (-949 (-216))) $)) (-15 -3115 ($)) (-15 -3063 ($ $)) (-15 -2452 ((-637 (-257)) $)) (-15 -2452 ($ $ (-637 (-257)))) (-15 -3063 ($ (-476) (-637 (-257)))) (-15 -1561 ((-1263) $ (-922) (-216) (-216) (-216) (-216) (-571) (-571) (-571) (-571) (-874) (-571) (-874) (-571))) (-15 -1469 ((-1258 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2634 (-571)) (|:| -3640 (-571)) (|:| |spline| (-571)) (|:| -1651 (-571)) (|:| |axesColor| (-874)) (|:| -1795 (-571)) (|:| |unitsColor| (-874)) (|:| |showing| (-571)))) $)) (-15 -2968 ((-1258 (-3 (-476) "undefined")) $)) (-15 -3462 ((-1263) $ (-1151))) (-15 -1922 ((-1263) $ (-476) (-922))) (-15 -4554 ((-476) $ (-922))) (-15 -1651 ((-1263) $ (-922) (-1151))) (-15 -1651 ((-1263) $ (-922) (-874))) (-15 -1795 ((-1263) $ (-922) (-1151))) (-15 -1795 ((-1263) $ (-922) (-874))) (-15 -2634 ((-1263) $ (-922) (-1151))) (-15 -3719 ((-1263) $ (-922) (-1151))) (-15 -3640 ((-1263) $ (-922) (-1151))) (-15 -2694 ((-1263) $ (-1151))) (-15 -2363 ((-1263) $)) (-15 -1892 ((-1263) $ (-768) (-768) (-922) (-922))) (-15 -2483 ((-1263) $ (-922) (-384) (-384))) (-15 -2918 ((-1263) $ (-922) (-384) (-384))) (-15 -3180 ((-1263) $ (-922) (-1151))) (-15 -2670 ((-1263) $ (-768) (-768))) (-15 -2898 ((-1263) $ (-476) (-922))) (-15 -2326 ((-1263) $ (-922) (-922))) (-15 -3291 ((-1151) $ (-1151))) (-15 -3291 ((-1151) $ (-1151) (-1151))) (-15 -3291 ((-1151) $ (-1151) (-637 (-1151)))) (-15 -3286 ((-1263) $)) (-15 -4080 ((-571) $)) (-15 -3942 ((-855) $)))) 
+((-2234 (((-121) $ $) NIL)) (-2426 (((-1263) $ (-384)) 138) (((-1263) $ (-384) (-384) (-384)) 139)) (-3291 (((-1151) $ (-1151)) 146) (((-1151) $ (-1151) (-1151)) 144) (((-1151) $ (-1151) (-637 (-1151))) 143)) (-3489 (($) 49)) (-3208 (((-1263) $ (-384) (-384) (-384) (-384) (-384)) 114) (((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $) 112) (((-1263) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 113) (((-1263) $ (-571) (-571) (-384) (-384) (-384)) 115) (((-1263) $ (-384) (-384)) 116) (((-1263) $ (-384) (-384) (-384)) 123)) (-4527 (((-384)) 96) (((-384) (-384)) 97)) (-1861 (((-384)) 91) (((-384) (-384)) 93)) (-1394 (((-384)) 94) (((-384) (-384)) 95)) (-3370 (((-384)) 100) (((-384) (-384)) 101)) (-1396 (((-384)) 98) (((-384) (-384)) 99)) (-2918 (((-1263) $ (-384) (-384)) 140)) (-3462 (((-1263) $ (-1151)) 124)) (-4070 (((-1128 (-216)) $) 50) (($ $ (-1128 (-216))) 51)) (-1542 (((-1263) $ (-1151)) 152)) (-1516 (((-1263) $ (-1151)) 153)) (-3010 (((-1263) $ (-384) (-384)) 122) (((-1263) $ (-571) (-571)) 137)) (-2326 (((-1263) $ (-922) (-922)) 130)) (-3286 (((-1263) $) 110)) (-2039 (((-1263) $ (-1151)) 151)) (-3365 (((-1263) $ (-1151)) 107)) (-2452 (((-637 (-257)) $) 52) (($ $ (-637 (-257))) 53)) (-2670 (((-1263) $ (-768) (-768)) 129)) (-4553 (((-1263) $ (-768) (-949 (-216))) 158)) (-2425 (($ $) 56) (($ (-1128 (-216)) (-1151)) 57) (($ (-1128 (-216)) (-637 (-257))) 58)) (-2756 (((-1263) $ (-384) (-384) (-384)) 104)) (-3944 (((-1151) $) NIL)) (-4080 (((-571) $) 102)) (-4439 (((-1263) $ (-384)) 141)) (-2979 (((-1263) $ (-384)) 156)) (-2580 (((-1115) $) NIL)) (-2727 (((-1263) $ (-384)) 155)) (-3107 (((-1263) $ (-1151)) 109)) (-1892 (((-1263) $ (-768) (-768) (-922) (-922)) 128)) (-3632 (((-1263) $ (-1151)) 106)) (-2694 (((-1263) $ (-1151)) 108)) (-4351 (((-1263) $ (-159) (-159)) 127)) (-3942 (((-855) $) 135)) (-2363 (((-1263) $) 111)) (-2481 (((-1263) $ (-1151)) 154)) (-1651 (((-1263) $ (-1151)) 105)) (-1323 (((-121) $ $) NIL))) 
+(((-1260) (-13 (-1097) (-10 -8 (-15 -1861 ((-384))) (-15 -1861 ((-384) (-384))) (-15 -1394 ((-384))) (-15 -1394 ((-384) (-384))) (-15 -4527 ((-384))) (-15 -4527 ((-384) (-384))) (-15 -1396 ((-384))) (-15 -1396 ((-384) (-384))) (-15 -3370 ((-384))) (-15 -3370 ((-384) (-384))) (-15 -3489 ($)) (-15 -2425 ($ $)) (-15 -2425 ($ (-1128 (-216)) (-1151))) (-15 -2425 ($ (-1128 (-216)) (-637 (-257)))) (-15 -4070 ((-1128 (-216)) $)) (-15 -4070 ($ $ (-1128 (-216)))) (-15 -4553 ((-1263) $ (-768) (-949 (-216)))) (-15 -2452 ((-637 (-257)) $)) (-15 -2452 ($ $ (-637 (-257)))) (-15 -2670 ((-1263) $ (-768) (-768))) (-15 -2326 ((-1263) $ (-922) (-922))) (-15 -3462 ((-1263) $ (-1151))) (-15 -1892 ((-1263) $ (-768) (-768) (-922) (-922))) (-15 -3208 ((-1263) $ (-384) (-384) (-384) (-384) (-384))) (-15 -3208 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $)) (-15 -3208 ((-1263) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3208 ((-1263) $ (-571) (-571) (-384) (-384) (-384))) (-15 -3208 ((-1263) $ (-384) (-384))) (-15 -3208 ((-1263) $ (-384) (-384) (-384))) (-15 -2694 ((-1263) $ (-1151))) (-15 -1651 ((-1263) $ (-1151))) (-15 -3632 ((-1263) $ (-1151))) (-15 -3365 ((-1263) $ (-1151))) (-15 -3107 ((-1263) $ (-1151))) (-15 -3010 ((-1263) $ (-384) (-384))) (-15 -3010 ((-1263) $ (-571) (-571))) (-15 -2426 ((-1263) $ (-384))) (-15 -2426 ((-1263) $ (-384) (-384) (-384))) (-15 -2918 ((-1263) $ (-384) (-384))) (-15 -2039 ((-1263) $ (-1151))) (-15 -2727 ((-1263) $ (-384))) (-15 -2979 ((-1263) $ (-384))) (-15 -1542 ((-1263) $ (-1151))) (-15 -1516 ((-1263) $ (-1151))) (-15 -2481 ((-1263) $ (-1151))) (-15 -2756 ((-1263) $ (-384) (-384) (-384))) (-15 -4439 ((-1263) $ (-384))) (-15 -3286 ((-1263) $)) (-15 -4351 ((-1263) $ (-159) (-159))) (-15 -3291 ((-1151) $ (-1151))) (-15 -3291 ((-1151) $ (-1151) (-1151))) (-15 -3291 ((-1151) $ (-1151) (-637 (-1151)))) (-15 -2363 ((-1263) $)) (-15 -4080 ((-571) $))))) (T -1260)) 
+((-1861 (*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) (-1861 (*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) (-1394 (*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) (-1394 (*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) (-4527 (*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) (-4527 (*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) (-1396 (*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) (-1396 (*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) (-3370 (*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) (-3370 (*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) (-3489 (*1 *1) (-5 *1 (-1260))) (-2425 (*1 *1 *1) (-5 *1 (-1260))) (-2425 (*1 *1 *2 *3) (-12 (-5 *2 (-1128 (-216))) (-5 *3 (-1151)) (-5 *1 (-1260)))) (-2425 (*1 *1 *2 *3) (-12 (-5 *2 (-1128 (-216))) (-5 *3 (-637 (-257))) (-5 *1 (-1260)))) (-4070 (*1 *2 *1) (-12 (-5 *2 (-1128 (-216))) (-5 *1 (-1260)))) (-4070 (*1 *1 *1 *2) (-12 (-5 *2 (-1128 (-216))) (-5 *1 (-1260)))) (-4553 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-768)) (-5 *4 (-949 (-216))) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2452 (*1 *2 *1) (-12 (-5 *2 (-637 (-257))) (-5 *1 (-1260)))) (-2452 (*1 *1 *1 *2) (-12 (-5 *2 (-637 (-257))) (-5 *1 (-1260)))) (-2670 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2326 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3462 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-1892 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-768)) (-5 *4 (-922)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3208 (*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3208 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-1260)))) (-3208 (*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3208 (*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-571)) (-5 *4 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3208 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3208 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2694 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-1651 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3632 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3365 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3107 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3010 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3010 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2426 (*1 *2 *1 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2426 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2918 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2039 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2727 (*1 *2 *1 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2979 (*1 *2 *1 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-1542 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-1516 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2481 (*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-2756 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-4439 (*1 *2 *1 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3286 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1260)))) (-4351 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-159)) (-5 *2 (-1263)) (-5 *1 (-1260)))) (-3291 (*1 *2 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1260)))) (-3291 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1260)))) (-3291 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-1151)) (-5 *1 (-1260)))) (-2363 (*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1260)))) (-4080 (*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1260))))) 
+(-13 (-1097) (-10 -8 (-15 -1861 ((-384))) (-15 -1861 ((-384) (-384))) (-15 -1394 ((-384))) (-15 -1394 ((-384) (-384))) (-15 -4527 ((-384))) (-15 -4527 ((-384) (-384))) (-15 -1396 ((-384))) (-15 -1396 ((-384) (-384))) (-15 -3370 ((-384))) (-15 -3370 ((-384) (-384))) (-15 -3489 ($)) (-15 -2425 ($ $)) (-15 -2425 ($ (-1128 (-216)) (-1151))) (-15 -2425 ($ (-1128 (-216)) (-637 (-257)))) (-15 -4070 ((-1128 (-216)) $)) (-15 -4070 ($ $ (-1128 (-216)))) (-15 -4553 ((-1263) $ (-768) (-949 (-216)))) (-15 -2452 ((-637 (-257)) $)) (-15 -2452 ($ $ (-637 (-257)))) (-15 -2670 ((-1263) $ (-768) (-768))) (-15 -2326 ((-1263) $ (-922) (-922))) (-15 -3462 ((-1263) $ (-1151))) (-15 -1892 ((-1263) $ (-768) (-768) (-922) (-922))) (-15 -3208 ((-1263) $ (-384) (-384) (-384) (-384) (-384))) (-15 -3208 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $)) (-15 -3208 ((-1263) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3208 ((-1263) $ (-571) (-571) (-384) (-384) (-384))) (-15 -3208 ((-1263) $ (-384) (-384))) (-15 -3208 ((-1263) $ (-384) (-384) (-384))) (-15 -2694 ((-1263) $ (-1151))) (-15 -1651 ((-1263) $ (-1151))) (-15 -3632 ((-1263) $ (-1151))) (-15 -3365 ((-1263) $ (-1151))) (-15 -3107 ((-1263) $ (-1151))) (-15 -3010 ((-1263) $ (-384) (-384))) (-15 -3010 ((-1263) $ (-571) (-571))) (-15 -2426 ((-1263) $ (-384))) (-15 -2426 ((-1263) $ (-384) (-384) (-384))) (-15 -2918 ((-1263) $ (-384) (-384))) (-15 -2039 ((-1263) $ (-1151))) (-15 -2727 ((-1263) $ (-384))) (-15 -2979 ((-1263) $ (-384))) (-15 -1542 ((-1263) $ (-1151))) (-15 -1516 ((-1263) $ (-1151))) (-15 -2481 ((-1263) $ (-1151))) (-15 -2756 ((-1263) $ (-384) (-384) (-384))) (-15 -4439 ((-1263) $ (-384))) (-15 -3286 ((-1263) $)) (-15 -4351 ((-1263) $ (-159) (-159))) (-15 -3291 ((-1151) $ (-1151))) (-15 -3291 ((-1151) $ (-1151) (-1151))) (-15 -3291 ((-1151) $ (-1151) (-637 (-1151)))) (-15 -2363 ((-1263) $)) (-15 -4080 ((-571) $)))) 
+((-3487 (((-637 (-1151)) (-637 (-1151))) 94) (((-637 (-1151))) 89)) (-2982 (((-637 (-1151))) 87)) (-2899 (((-637 (-922)) (-637 (-922))) 62) (((-637 (-922))) 59)) (-2040 (((-637 (-768)) (-637 (-768))) 56) (((-637 (-768))) 52)) (-2367 (((-1263)) 64)) (-2222 (((-922) (-922)) 80) (((-922)) 79)) (-2660 (((-922) (-922)) 78) (((-922)) 77)) (-1889 (((-874) (-874)) 74) (((-874)) 73)) (-2303 (((-216)) 84) (((-216) (-384)) 86)) (-3439 (((-922)) 81) (((-922) (-922)) 82)) (-2092 (((-922) (-922)) 76) (((-922)) 75)) (-3792 (((-874) (-874)) 68) (((-874)) 66)) (-2707 (((-874) (-874)) 70) (((-874)) 69)) (-3073 (((-874) (-874)) 72) (((-874)) 71))) 
+(((-1261) (-10 -7 (-15 -3792 ((-874))) (-15 -3792 ((-874) (-874))) (-15 -2707 ((-874))) (-15 -2707 ((-874) (-874))) (-15 -3073 ((-874))) (-15 -3073 ((-874) (-874))) (-15 -1889 ((-874))) (-15 -1889 ((-874) (-874))) (-15 -2092 ((-922))) (-15 -2092 ((-922) (-922))) (-15 -2040 ((-637 (-768)))) (-15 -2040 ((-637 (-768)) (-637 (-768)))) (-15 -2899 ((-637 (-922)))) (-15 -2899 ((-637 (-922)) (-637 (-922)))) (-15 -2367 ((-1263))) (-15 -3487 ((-637 (-1151)))) (-15 -3487 ((-637 (-1151)) (-637 (-1151)))) (-15 -2982 ((-637 (-1151)))) (-15 -2660 ((-922))) (-15 -2222 ((-922))) (-15 -2660 ((-922) (-922))) (-15 -2222 ((-922) (-922))) (-15 -3439 ((-922) (-922))) (-15 -3439 ((-922))) (-15 -2303 ((-216) (-384))) (-15 -2303 ((-216))))) (T -1261)) 
+((-2303 (*1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-1261)))) (-2303 (*1 *2 *3) (-12 (-5 *3 (-384)) (-5 *2 (-216)) (-5 *1 (-1261)))) (-3439 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) (-3439 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) (-2222 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) (-2660 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) (-2222 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) (-2660 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) (-2982 (*1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1261)))) (-3487 (*1 *2 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1261)))) (-3487 (*1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1261)))) (-2367 (*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1261)))) (-2899 (*1 *2 *2) (-12 (-5 *2 (-637 (-922))) (-5 *1 (-1261)))) (-2899 (*1 *2) (-12 (-5 *2 (-637 (-922))) (-5 *1 (-1261)))) (-2040 (*1 *2 *2) (-12 (-5 *2 (-637 (-768))) (-5 *1 (-1261)))) (-2040 (*1 *2) (-12 (-5 *2 (-637 (-768))) (-5 *1 (-1261)))) (-2092 (*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) (-2092 (*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) (-1889 (*1 *2 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) (-1889 (*1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) (-3073 (*1 *2 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) (-3073 (*1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) (-2707 (*1 *2 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) (-2707 (*1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) (-3792 (*1 *2 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) (-3792 (*1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261))))) 
+(-10 -7 (-15 -3792 ((-874))) (-15 -3792 ((-874) (-874))) (-15 -2707 ((-874))) (-15 -2707 ((-874) (-874))) (-15 -3073 ((-874))) (-15 -3073 ((-874) (-874))) (-15 -1889 ((-874))) (-15 -1889 ((-874) (-874))) (-15 -2092 ((-922))) (-15 -2092 ((-922) (-922))) (-15 -2040 ((-637 (-768)))) (-15 -2040 ((-637 (-768)) (-637 (-768)))) (-15 -2899 ((-637 (-922)))) (-15 -2899 ((-637 (-922)) (-637 (-922)))) (-15 -2367 ((-1263))) (-15 -3487 ((-637 (-1151)))) (-15 -3487 ((-637 (-1151)) (-637 (-1151)))) (-15 -2982 ((-637 (-1151)))) (-15 -2660 ((-922))) (-15 -2222 ((-922))) (-15 -2660 ((-922) (-922))) (-15 -2222 ((-922) (-922))) (-15 -3439 ((-922) (-922))) (-15 -3439 ((-922))) (-15 -2303 ((-216) (-384))) (-15 -2303 ((-216)))) 
+((-3037 (((-476) (-637 (-637 (-949 (-216)))) (-637 (-257))) 17) (((-476) (-637 (-637 (-949 (-216))))) 16) (((-476) (-637 (-637 (-949 (-216)))) (-874) (-874) (-922) (-637 (-257))) 15)) (-2732 (((-1259) (-637 (-637 (-949 (-216)))) (-637 (-257))) 23) (((-1259) (-637 (-637 (-949 (-216)))) (-874) (-874) (-922) (-637 (-257))) 22)) (-3942 (((-1259) (-476)) 34))) 
+(((-1262) (-10 -7 (-15 -3037 ((-476) (-637 (-637 (-949 (-216)))) (-874) (-874) (-922) (-637 (-257)))) (-15 -3037 ((-476) (-637 (-637 (-949 (-216)))))) (-15 -3037 ((-476) (-637 (-637 (-949 (-216)))) (-637 (-257)))) (-15 -2732 ((-1259) (-637 (-637 (-949 (-216)))) (-874) (-874) (-922) (-637 (-257)))) (-15 -2732 ((-1259) (-637 (-637 (-949 (-216)))) (-637 (-257)))) (-15 -3942 ((-1259) (-476))))) (T -1262)) 
+((-3942 (*1 *2 *3) (-12 (-5 *3 (-476)) (-5 *2 (-1259)) (-5 *1 (-1262)))) (-2732 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *4 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-1262)))) (-2732 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *4 (-874)) (-5 *5 (-922)) (-5 *6 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-1262)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *4 (-637 (-257))) (-5 *2 (-476)) (-5 *1 (-1262)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *2 (-476)) (-5 *1 (-1262)))) (-3037 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *4 (-874)) (-5 *5 (-922)) (-5 *6 (-637 (-257))) (-5 *2 (-476)) (-5 *1 (-1262))))) 
+(-10 -7 (-15 -3037 ((-476) (-637 (-637 (-949 (-216)))) (-874) (-874) (-922) (-637 (-257)))) (-15 -3037 ((-476) (-637 (-637 (-949 (-216)))))) (-15 -3037 ((-476) (-637 (-637 (-949 (-216)))) (-637 (-257)))) (-15 -2732 ((-1259) (-637 (-637 (-949 (-216)))) (-874) (-874) (-922) (-637 (-257)))) (-15 -2732 ((-1259) (-637 (-637 (-949 (-216)))) (-637 (-257)))) (-15 -3942 ((-1259) (-476)))) 
+((-3124 (($) 7)) (-3942 (((-855) $) 10))) 
+(((-1263) (-10 -8 (-15 -3124 ($)) (-15 -3942 ((-855) $)))) (T -1263)) 
+((-3942 (*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1263)))) (-3124 (*1 *1) (-5 *1 (-1263)))) 
+(-10 -8 (-15 -3124 ($)) (-15 -3942 ((-855) $))) 
+((-1379 (($ $ |#2|) 10))) 
+(((-1264 |#1| |#2|) (-10 -8 (-15 -1379 (|#1| |#1| |#2|))) (-1265 |#2|) (-367)) (T -1264)) 
+NIL 
+(-10 -8 (-15 -1379 (|#1| |#1| |#2|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3847 (((-140)) 25)) (-3942 (((-855) $) 11)) (-2369 (($) 17 T CONST)) (-1323 (((-121) $ $) 6)) (-1379 (($ $ |#1|) 26)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((-1265 |#1|) (-1289) (-367)) (T -1265)) 
+((-1379 (*1 *1 *1 *2) (-12 (-4 *1 (-1265 *2)) (-4 *2 (-367)))) (-3847 (*1 *2) (-12 (-4 *1 (-1265 *3)) (-4 *3 (-367)) (-5 *2 (-140))))) 
+(-13 (-712 |t#1|) (-10 -8 (-15 -1379 ($ $ |t#1|)) (-15 -3847 ((-140))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-712 |#1|) . T) ((-1059 |#1|) . T) ((-1097) . T)) 
+((-3282 (((-637 (-1198 |#1|)) (-1169) (-1198 |#1|)) 78)) (-1792 (((-1149 (-1149 (-958 |#1|))) (-1169) (-1149 (-958 |#1|))) 57)) (-2624 (((-1 (-1149 (-1198 |#1|)) (-1149 (-1198 |#1|))) (-768) (-1198 |#1|) (-1149 (-1198 |#1|))) 68)) (-2678 (((-1 (-1149 (-958 |#1|)) (-1149 (-958 |#1|))) (-768)) 59)) (-2971 (((-1 (-1165 (-958 |#1|)) (-958 |#1|)) (-1169)) 27)) (-2677 (((-1 (-1149 (-958 |#1|)) (-1149 (-958 |#1|))) (-768)) 58))) 
+(((-1266 |#1|) (-10 -7 (-15 -2678 ((-1 (-1149 (-958 |#1|)) (-1149 (-958 |#1|))) (-768))) (-15 -2677 ((-1 (-1149 (-958 |#1|)) (-1149 (-958 |#1|))) (-768))) (-15 -1792 ((-1149 (-1149 (-958 |#1|))) (-1169) (-1149 (-958 |#1|)))) (-15 -2971 ((-1 (-1165 (-958 |#1|)) (-958 |#1|)) (-1169))) (-15 -3282 ((-637 (-1198 |#1|)) (-1169) (-1198 |#1|))) (-15 -2624 ((-1 (-1149 (-1198 |#1|)) (-1149 (-1198 |#1|))) (-768) (-1198 |#1|) (-1149 (-1198 |#1|))))) (-367)) (T -1266)) 
+((-2624 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-768)) (-4 *6 (-367)) (-5 *4 (-1198 *6)) (-5 *2 (-1 (-1149 *4) (-1149 *4))) (-5 *1 (-1266 *6)) (-5 *5 (-1149 *4)))) (-3282 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-4 *5 (-367)) (-5 *2 (-637 (-1198 *5))) (-5 *1 (-1266 *5)) (-5 *4 (-1198 *5)))) (-2971 (*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-1165 (-958 *4)) (-958 *4))) (-5 *1 (-1266 *4)) (-4 *4 (-367)))) (-1792 (*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-4 *5 (-367)) (-5 *2 (-1149 (-1149 (-958 *5)))) (-5 *1 (-1266 *5)) (-5 *4 (-1149 (-958 *5))))) (-2677 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-1149 (-958 *4)) (-1149 (-958 *4)))) (-5 *1 (-1266 *4)) (-4 *4 (-367)))) (-2678 (*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-1149 (-958 *4)) (-1149 (-958 *4)))) (-5 *1 (-1266 *4)) (-4 *4 (-367))))) 
+(-10 -7 (-15 -2678 ((-1 (-1149 (-958 |#1|)) (-1149 (-958 |#1|))) (-768))) (-15 -2677 ((-1 (-1149 (-958 |#1|)) (-1149 (-958 |#1|))) (-768))) (-15 -1792 ((-1149 (-1149 (-958 |#1|))) (-1169) (-1149 (-958 |#1|)))) (-15 -2971 ((-1 (-1165 (-958 |#1|)) (-958 |#1|)) (-1169))) (-15 -3282 ((-637 (-1198 |#1|)) (-1169) (-1198 |#1|))) (-15 -2624 ((-1 (-1149 (-1198 |#1|)) (-1149 (-1198 |#1|))) (-768) (-1198 |#1|) (-1149 (-1198 |#1|))))) 
+((-4285 (((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) |#2|) 74)) (-1659 (((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|)))) 73))) 
+(((-1267 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1659 ((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))))) (-15 -4285 ((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) |#2|))) (-352) (-1233 |#1|) (-1233 |#2|) (-414 |#2| |#3|)) (T -1267)) 
+((-4285 (*1 *2 *3) (-12 (-4 *4 (-352)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 *3)) (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-5 *1 (-1267 *4 *3 *5 *6)) (-4 *6 (-414 *3 *5)))) (-1659 (*1 *2) (-12 (-4 *3 (-352)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| -1899 (-684 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-684 *4)))) (-5 *1 (-1267 *3 *4 *5 *6)) (-4 *6 (-414 *4 *5))))) 
+(-10 -7 (-15 -1659 ((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))))) (-15 -4285 ((-2 (|:| -1899 (-684 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-684 |#2|))) |#2|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 41)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) NIL)) (-2583 (((-121) $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-3942 (((-855) $) 62) (($ (-571)) NIL) ((|#4| $) 52) (($ |#4|) 47) (($ |#1|) NIL (|has| |#1| (-173)))) (-2661 (((-768)) NIL)) (-3877 (((-1263) (-768)) 16)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 26 T CONST)) (-3222 (($) 65 T CONST)) (-1323 (((-121) $ $) 67)) (-1379 (((-3 $ "failed") $ $) NIL (|has| |#1| (-367)))) (-1373 (($ $) 69) (($ $ $) NIL)) (-1367 (($ $ $) 45)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 71) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-1268 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-13 (-1053) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3942 (|#4| $)) (IF (|has| |#1| (-367)) (-15 -1379 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3942 ($ |#4|)) (-15 -3877 ((-1263) (-768))))) (-1053) (-847) (-793) (-955 |#1| |#3| |#2|) (-637 |#2|) (-637 (-768)) (-768)) (T -1268)) 
+((-3942 (*1 *2 *1) (-12 (-4 *2 (-955 *3 *5 *4)) (-5 *1 (-1268 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-793)) (-14 *6 (-637 *4)) (-14 *7 (-637 (-768))) (-14 *8 (-768)))) (-1379 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-367)) (-4 *2 (-1053)) (-4 *3 (-847)) (-4 *4 (-793)) (-14 *6 (-637 *3)) (-5 *1 (-1268 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-955 *2 *4 *3)) (-14 *7 (-637 (-768))) (-14 *8 (-768)))) (-3942 (*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-793)) (-14 *6 (-637 *4)) (-5 *1 (-1268 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-955 *3 *5 *4)) (-14 *7 (-637 (-768))) (-14 *8 (-768)))) (-3877 (*1 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-1053)) (-4 *5 (-847)) (-4 *6 (-793)) (-14 *8 (-637 *5)) (-5 *2 (-1263)) (-5 *1 (-1268 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-955 *4 *6 *5)) (-14 *9 (-637 *3)) (-14 *10 *3)))) 
+(-13 (-1053) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3942 (|#4| $)) (IF (|has| |#1| (-367)) (-15 -1379 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3942 ($ |#4|)) (-15 -3877 ((-1263) (-768))))) 
+((-2234 (((-121) $ $) NIL)) (-2626 (((-637 (-2 (|:| -2363 $) (|:| -3545 (-637 |#4|)))) (-637 |#4|)) NIL)) (-2235 (((-637 $) (-637 |#4|)) 87)) (-3424 (((-637 |#3|) $) NIL)) (-2927 (((-121) $) NIL)) (-4409 (((-121) $) NIL (|has| |#1| (-561)))) (-3766 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3998 ((|#4| |#4| $) NIL)) (-2972 (((-2 (|:| |under| $) (|:| -3955 $) (|:| |upper| $)) $ |#3|) NIL)) (-3133 (((-121) $ (-768)) NIL)) (-2534 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600))) (((-3 |#4| "failed") $ |#3|) NIL)) (-2269 (($) NIL T CONST)) (-2940 (((-121) $) NIL (|has| |#1| (-561)))) (-4203 (((-121) $ $) NIL (|has| |#1| (-561)))) (-2568 (((-121) $ $) NIL (|has| |#1| (-561)))) (-3455 (((-121) $) NIL (|has| |#1| (-561)))) (-3516 (((-637 |#4|) (-637 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 27)) (-1372 (((-637 |#4|) (-637 |#4|) $) 24 (|has| |#1| (-561)))) (-2684 (((-637 |#4|) (-637 |#4|) $) NIL (|has| |#1| (-561)))) (-3337 (((-3 $ "failed") (-637 |#4|)) NIL)) (-1316 (($ (-637 |#4|)) NIL)) (-4372 (((-3 $ "failed") $) 69)) (-4476 ((|#4| |#4| $) 74)) (-4365 (($ $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-3412 (($ |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-3363 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-561)))) (-3052 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-3271 ((|#4| |#4| $) NIL)) (-3074 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4600))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4600))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1770 (((-2 (|:| -2363 (-637 |#4|)) (|:| -3545 (-637 |#4|))) $) NIL)) (-4034 (((-637 |#4|) $) NIL (|has| $ (-6 -4600)))) (-1791 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2065 ((|#3| $) 75)) (-2262 (((-121) $ (-768)) NIL)) (-3488 (((-637 |#4|) $) 28 (|has| $ (-6 -4600)))) (-3303 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097))))) (-1805 (((-3 $ "failed") (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 31) (((-3 $ "failed") (-637 |#4|)) 34)) (-1923 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4601)))) (-3799 (($ (-1 |#4| |#4|) $) NIL)) (-2213 (((-637 |#3|) $) NIL)) (-3529 (((-121) |#3| $) NIL)) (-3794 (((-121) $ (-768)) NIL)) (-3944 (((-1151) $) NIL)) (-3220 (((-3 |#4| "failed") $) NIL)) (-2551 (((-637 |#4|) $) 49)) (-3554 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2347 ((|#4| |#4| $) 73)) (-2075 (((-121) $ $) 84)) (-4520 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-561)))) (-2240 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2444 ((|#4| |#4| $) NIL)) (-2580 (((-1115) $) NIL)) (-1827 (((-3 |#4| "failed") $) 68)) (-3765 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4016 (((-3 $ "failed") $ |#4|) NIL)) (-3140 (($ $ |#4|) NIL)) (-3160 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4483 (($ $ (-637 |#4|) (-637 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097)))) (($ $ (-637 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1097))))) (-2127 (((-121) $ $) NIL)) (-1828 (((-121) $) 66)) (-1630 (($) 41)) (-2400 (((-768) $) NIL)) (-1569 (((-768) |#4| $) NIL (-12 (|has| $ (-6 -4600)) (|has| |#4| (-1097)))) (((-768) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-4316 (($ $) NIL)) (-4050 (((-544) $) NIL (|has| |#4| (-612 (-544))))) (-3891 (($ (-637 |#4|)) NIL)) (-3985 (($ $ |#3|) NIL)) (-1905 (($ $ |#3|) NIL)) (-4371 (($ $) NIL)) (-2031 (($ $ |#3|) NIL)) (-3942 (((-855) $) NIL) (((-637 |#4|) $) 56)) (-1930 (((-768) $) NIL (|has| |#3| (-373)))) (-2748 (((-3 $ "failed") (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 39) (((-3 $ "failed") (-637 |#4|)) 40)) (-2193 (((-637 $) (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 64) (((-637 $) (-637 |#4|)) 65)) (-2013 (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4| |#4|)) 23) (((-3 (-2 (|:| |bas| $) (|:| -1601 (-637 |#4|))) "failed") (-637 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1875 (((-121) $ (-1 (-121) |#4| (-637 |#4|))) NIL)) (-3027 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4600)))) (-3557 (((-637 |#3|) $) NIL)) (-3049 (((-121) |#3| $) NIL)) (-1323 (((-121) $ $) NIL)) (-4001 (((-768) $) NIL (|has| $ (-6 -4600))))) 
+(((-1269 |#1| |#2| |#3| |#4|) (-13 (-1197 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -1805 ((-3 $ "failed") (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1805 ((-3 $ "failed") (-637 |#4|))) (-15 -2748 ((-3 $ "failed") (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2748 ((-3 $ "failed") (-637 |#4|))) (-15 -2193 ((-637 $) (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2193 ((-637 $) (-637 |#4|))))) (-561) (-793) (-847) (-1067 |#1| |#2| |#3|)) (T -1269)) 
+((-1805 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-637 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1269 *5 *6 *7 *8)))) (-1805 (*1 *1 *2) (|partial| -12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-1269 *3 *4 *5 *6)))) (-2748 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-637 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1269 *5 *6 *7 *8)))) (-2748 (*1 *1 *2) (|partial| -12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-1269 *3 *4 *5 *6)))) (-2193 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1067 *6 *7 *8)) (-4 *6 (-561)) (-4 *7 (-793)) (-4 *8 (-847)) (-5 *2 (-637 (-1269 *6 *7 *8 *9))) (-5 *1 (-1269 *6 *7 *8 *9)))) (-2193 (*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 (-1269 *4 *5 *6 *7))) (-5 *1 (-1269 *4 *5 *6 *7))))) 
+(-13 (-1197 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -1805 ((-3 $ "failed") (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1805 ((-3 $ "failed") (-637 |#4|))) (-15 -2748 ((-3 $ "failed") (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2748 ((-3 $ "failed") (-637 |#4|))) (-15 -2193 ((-637 $) (-637 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2193 ((-637 $) (-637 |#4|))))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-4176 (((-3 $ "failed") $ $) 18)) (-2269 (($) 16 T CONST)) (-3978 (((-3 $ "failed") $) 33)) (-2583 (((-121) $) 30)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#1|) 37)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ |#1|) 39) (($ |#1| $) 38))) 
+(((-1270 |#1|) (-1289) (-1053)) (T -1270)) 
+((-3942 (*1 *1 *2) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-1053))))) 
+(-13 (-1053) (-120 |t#1| |t#1|) (-10 -8 (-15 -3942 ($ |t#1|)) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-712 |#1|) |has| |#1| (-173)) ((-721) . T) ((-1059 |#1|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3171 (((-637 |#1|) $) 45)) (-2242 (($ $ (-768)) 39)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1974 (($ $ (-768)) 17 (|has| |#2| (-173))) (($ $ $) 18 (|has| |#2| (-173)))) (-2269 (($) NIL T CONST)) (-4202 (($ $ $) 61) (($ $ (-819 |#1|)) 48) (($ $ |#1|) 52)) (-3337 (((-3 (-819 |#1|) "failed") $) NIL)) (-1316 (((-819 |#1|) $) NIL)) (-4349 (($ $) 32)) (-3978 (((-3 $ "failed") $) NIL)) (-1676 (((-121) $) NIL)) (-1943 (($ $) NIL)) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4506 (($ (-819 |#1|) |#2|) 31)) (-2617 (($ $) 33)) (-1580 (((-2 (|:| |k| (-819 |#1|)) (|:| |c| |#2|)) $) 11)) (-4430 (((-819 |#1|) $) NIL)) (-3207 (((-819 |#1|) $) 34)) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-2520 (($ $ $) 60) (($ $ (-819 |#1|)) 50) (($ $ |#1|) 54)) (-4044 (((-637 (-2 (|:| |k| (-819 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3654 (((-2 (|:| |k| (-819 |#1|)) (|:| |c| |#2|)) $) NIL)) (-4332 (((-819 |#1|) $) 28)) (-4337 ((|#2| $) 30)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2400 (((-768) $) 36)) (-2318 (((-121) $) 40)) (-3177 ((|#2| $) NIL)) (-3942 (((-855) $) NIL) (($ (-819 |#1|)) 24) (($ |#1|) 25) (($ |#2|) NIL) (($ (-571)) NIL)) (-1314 (((-637 |#2|) $) NIL)) (-3136 ((|#2| $ (-819 |#1|)) NIL)) (-4501 ((|#2| $ $) 63) ((|#2| $ (-819 |#1|)) NIL)) (-2661 (((-768)) NIL)) (-4142 (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (-2369 (($) 12 T CONST)) (-3222 (($) 14 T CONST)) (-1323 (((-121) $ $) 38)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 21)) (** (($ $ (-768)) NIL) (($ $ (-922)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ |#2| $) 20) (($ $ |#2|) 59) (($ |#2| (-819 |#1|)) NIL) (($ |#1| $) 27) (($ $ $) NIL))) 
+(((-1271 |#1| |#2|) (-13 (-387 |#2| (-819 |#1|)) (-1277 |#1| |#2|)) (-847) (-1053)) (T -1271)) 
+NIL 
+(-13 (-387 |#2| (-819 |#1|)) (-1277 |#1| |#2|)) 
+((-3509 ((|#3| |#3| (-768)) 23)) (-4148 ((|#3| |#3| (-768)) 28)) (-3410 ((|#3| |#3| |#3| (-768)) 29))) 
+(((-1272 |#1| |#2| |#3|) (-10 -7 (-15 -4148 (|#3| |#3| (-768))) (-15 -3509 (|#3| |#3| (-768))) (-15 -3410 (|#3| |#3| |#3| (-768)))) (-13 (-1053) (-712 (-412 (-571)))) (-847) (-1277 |#2| |#1|)) (T -1272)) 
+((-3410 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-13 (-1053) (-712 (-412 (-571))))) (-4 *5 (-847)) (-5 *1 (-1272 *4 *5 *2)) (-4 *2 (-1277 *5 *4)))) (-3509 (*1 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-13 (-1053) (-712 (-412 (-571))))) (-4 *5 (-847)) (-5 *1 (-1272 *4 *5 *2)) (-4 *2 (-1277 *5 *4)))) (-4148 (*1 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-13 (-1053) (-712 (-412 (-571))))) (-4 *5 (-847)) (-5 *1 (-1272 *4 *5 *2)) (-4 *2 (-1277 *5 *4))))) 
+(-10 -7 (-15 -4148 (|#3| |#3| (-768))) (-15 -3509 (|#3| |#3| (-768))) (-15 -3410 (|#3| |#3| |#3| (-768)))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3171 (((-637 |#1|) $) 39)) (-4176 (((-3 $ "failed") $ $) 18)) (-1974 (($ $ $) 42 (|has| |#2| (-173))) (($ $ (-768)) 41 (|has| |#2| (-173)))) (-2269 (($) 16 T CONST)) (-4202 (($ $ |#1|) 53) (($ $ (-819 |#1|)) 52) (($ $ $) 51)) (-3337 (((-3 (-819 |#1|) "failed") $) 63)) (-1316 (((-819 |#1|) $) 62)) (-3978 (((-3 $ "failed") $) 33)) (-1676 (((-121) $) 44)) (-1943 (($ $) 43)) (-2583 (((-121) $) 30)) (-3517 (((-121) $) 49)) (-4506 (($ (-819 |#1|) |#2|) 50)) (-2617 (($ $) 48)) (-1580 (((-2 (|:| |k| (-819 |#1|)) (|:| |c| |#2|)) $) 59)) (-4430 (((-819 |#1|) $) 60)) (-3799 (($ (-1 |#2| |#2|) $) 40)) (-2520 (($ $ |#1|) 56) (($ $ (-819 |#1|)) 55) (($ $ $) 54)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2318 (((-121) $) 46)) (-3177 ((|#2| $) 45)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#2|) 67) (($ (-819 |#1|)) 64) (($ |#1|) 47)) (-4501 ((|#2| $ (-819 |#1|)) 58) ((|#2| $ $) 57)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
+(((-1273 |#1| |#2|) (-1289) (-847) (-1053)) (T -1273)) 
+((* (*1 *1 *1 *2) (-12 (-4 *1 (-1273 *3 *2)) (-4 *3 (-847)) (-4 *2 (-1053)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) (-4430 (*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-819 *3)))) (-1580 (*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-2 (|:| |k| (-819 *3)) (|:| |c| *4))))) (-4501 (*1 *2 *1 *3) (-12 (-5 *3 (-819 *4)) (-4 *1 (-1273 *4 *2)) (-4 *4 (-847)) (-4 *2 (-1053)))) (-4501 (*1 *2 *1 *1) (-12 (-4 *1 (-1273 *3 *2)) (-4 *3 (-847)) (-4 *2 (-1053)))) (-2520 (*1 *1 *1 *2) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) (-2520 (*1 *1 *1 *2) (-12 (-5 *2 (-819 *3)) (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)))) (-2520 (*1 *1 *1 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) (-4202 (*1 *1 *1 *2) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) (-4202 (*1 *1 *1 *2) (-12 (-5 *2 (-819 *3)) (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)))) (-4202 (*1 *1 *1 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) (-4506 (*1 *1 *2 *3) (-12 (-5 *2 (-819 *4)) (-4 *4 (-847)) (-4 *1 (-1273 *4 *3)) (-4 *3 (-1053)))) (-3517 (*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-121)))) (-2617 (*1 *1 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) (-3942 (*1 *1 *2) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) (-2318 (*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-121)))) (-3177 (*1 *2 *1) (-12 (-4 *1 (-1273 *3 *2)) (-4 *3 (-847)) (-4 *2 (-1053)))) (-1676 (*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-121)))) (-1943 (*1 *1 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) (-1974 (*1 *1 *1 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)) (-4 *3 (-173)))) (-1974 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-4 *4 (-173)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)))) (-3171 (*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-637 *3))))) 
+(-13 (-1053) (-1270 |t#2|) (-1043 (-819 |t#1|)) (-10 -8 (-15 * ($ |t#1| $)) (-15 * ($ $ |t#2|)) (-15 -4430 ((-819 |t#1|) $)) (-15 -1580 ((-2 (|:| |k| (-819 |t#1|)) (|:| |c| |t#2|)) $)) (-15 -4501 (|t#2| $ (-819 |t#1|))) (-15 -4501 (|t#2| $ $)) (-15 -2520 ($ $ |t#1|)) (-15 -2520 ($ $ (-819 |t#1|))) (-15 -2520 ($ $ $)) (-15 -4202 ($ $ |t#1|)) (-15 -4202 ($ $ (-819 |t#1|))) (-15 -4202 ($ $ $)) (-15 -4506 ($ (-819 |t#1|) |t#2|)) (-15 -3517 ((-121) $)) (-15 -2617 ($ $)) (-15 -3942 ($ |t#1|)) (-15 -2318 ((-121) $)) (-15 -3177 (|t#2| $)) (-15 -1676 ((-121) $)) (-15 -1943 ($ $)) (IF (|has| |t#2| (-173)) (PROGN (-15 -1974 ($ $ $)) (-15 -1974 ($ $ (-768)))) |noBranch|) (-15 -3799 ($ (-1 |t#2| |t#2|) $)) (-15 -3171 ((-637 |t#1|) $)) (IF (|has| |t#2| (-6 -4593)) (-6 -4593) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#2|) . T) ((-640 $) . T) ((-712 |#2|) |has| |#2| (-173)) ((-721) . T) ((-1043 (-819 |#1|)) . T) ((-1059 |#2|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1270 |#2|) . T)) 
+((-3833 (((-121) $) 13)) (-3049 (((-121) $) 12)) (-4526 (($ $) 17) (($ $ (-768)) 18))) 
+(((-1274 |#1| |#2|) (-10 -8 (-15 -4526 (|#1| |#1| (-768))) (-15 -4526 (|#1| |#1|)) (-15 -3833 ((-121) |#1|)) (-15 -3049 ((-121) |#1|))) (-1275 |#2|) (-367)) (T -1274)) 
+NIL 
+(-10 -8 (-15 -4526 (|#1| |#1| (-768))) (-15 -4526 (|#1| |#1|)) (-15 -3833 ((-121) |#1|)) (-15 -3049 ((-121) |#1|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3648 (((-2 (|:| -3691 $) (|:| -4587 $) (|:| |associate| $)) $) 40)) (-1415 (($ $) 39)) (-2545 (((-121) $) 37)) (-3833 (((-121) $) 90)) (-1989 (((-768)) 86)) (-4176 (((-3 $ "failed") $ $) 18)) (-2356 (($ $) 71)) (-4151 (((-423 $) $) 70)) (-1295 (((-121) $ $) 57)) (-2269 (($) 16 T CONST)) (-3337 (((-3 |#1| "failed") $) 97)) (-1316 ((|#1| $) 96)) (-2162 (($ $ $) 53)) (-3978 (((-3 $ "failed") $) 33)) (-2180 (($ $ $) 54)) (-3758 (((-2 (|:| -4501 (-637 $)) (|:| -2280 $)) (-637 $)) 49)) (-2442 (($ $ (-768)) 83 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373)))) (($ $) 82 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-1596 (((-121) $) 69)) (-3347 (((-833 (-922)) $) 80 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2583 (((-121) $) 30)) (-4460 (((-3 (-637 $) "failed") (-637 $) $) 50)) (-1622 (($ $ $) 45) (($ (-637 $)) 44)) (-3944 (((-1151) $) 9)) (-4315 (($ $) 68)) (-3527 (((-121) $) 89)) (-2580 (((-1115) $) 10)) (-2184 (((-1165 $) (-1165 $) (-1165 $)) 43)) (-3026 (($ $ $) 47) (($ (-637 $)) 46)) (-4262 (((-423 $) $) 72)) (-1556 (((-833 (-922))) 87)) (-2938 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -2280 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1786 (((-3 $ "failed") $ $) 41)) (-4058 (((-3 (-637 $) "failed") (-637 $) $) 48)) (-1826 (((-768) $) 56)) (-3221 (((-2 (|:| -2924 $) (|:| -3363 $)) $ $) 55)) (-1305 (((-3 (-768) "failed") $ $) 81 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-3847 (((-140)) 95)) (-2400 (((-833 (-922)) $) 88)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ $) 42) (($ (-412 (-571))) 63) (($ |#1|) 98)) (-2346 (((-3 $ "failed") $) 79 (-1831 (|has| |#1| (-149)) (|has| |#1| (-373))))) (-2661 (((-768)) 28)) (-1388 (((-121) $ $) 38)) (-3049 (((-121) $) 91)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32) (($ $ (-571)) 67)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-4526 (($ $) 85 (|has| |#1| (-373))) (($ $ (-768)) 84 (|has| |#1| (-373)))) (-1323 (((-121) $ $) 6)) (-1379 (($ $ $) 62) (($ $ |#1|) 94)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31) (($ $ (-571)) 66)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ $ (-412 (-571))) 65) (($ (-412 (-571)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
+(((-1275 |#1|) (-1289) (-367)) (T -1275)) 
+((-3049 (*1 *2 *1) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-121)))) (-3833 (*1 *2 *1) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-121)))) (-3527 (*1 *2 *1) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-121)))) (-2400 (*1 *2 *1) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-833 (-922))))) (-1556 (*1 *2) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-833 (-922))))) (-1989 (*1 *2) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-768)))) (-4526 (*1 *1 *1) (-12 (-4 *1 (-1275 *2)) (-4 *2 (-367)) (-4 *2 (-373)))) (-4526 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-4 *3 (-373))))) 
+(-13 (-367) (-1043 |t#1|) (-1265 |t#1|) (-10 -8 (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-407)) |noBranch|) (-15 -3049 ((-121) $)) (-15 -3833 ((-121) $)) (-15 -3527 ((-121) $)) (-15 -2400 ((-833 (-922)) $)) (-15 -1556 ((-833 (-922)))) (-15 -1989 ((-768))) (IF (|has| |t#1| (-373)) (PROGN (-6 (-407)) (-15 -4526 ($ $)) (-15 -4526 ($ $ (-768)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-412 (-571))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-412 (-571)) (-412 (-571))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1831 (|has| |#1| (-373)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-611 (-855)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-367) . T) ((-407) -1831 (|has| |#1| (-373)) (|has| |#1| (-149))) ((-456) . T) ((-561) . T) ((-640 (-412 (-571))) . T) ((-640 |#1|) . T) ((-640 $) . T) ((-712 (-412 (-571))) . T) ((-712 |#1|) . T) ((-712 $) . T) ((-721) . T) ((-921) . T) ((-1043 |#1|) . T) ((-1059 (-412 (-571))) . T) ((-1059 |#1|) . T) ((-1059 $) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1213) . T) ((-1265 |#1|) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3171 (((-637 |#1|) $) 84)) (-2242 (($ $ (-768)) 87)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1974 (($ $ $) NIL (|has| |#2| (-173))) (($ $ (-768)) NIL (|has| |#2| (-173)))) (-2269 (($) NIL T CONST)) (-4202 (($ $ |#1|) NIL) (($ $ (-819 |#1|)) NIL) (($ $ $) NIL)) (-3337 (((-3 (-819 |#1|) "failed") $) NIL) (((-3 (-893 |#1|) "failed") $) NIL)) (-1316 (((-819 |#1|) $) NIL) (((-893 |#1|) $) NIL)) (-4349 (($ $) 86)) (-3978 (((-3 $ "failed") $) NIL)) (-1676 (((-121) $) 75)) (-1943 (($ $) 79)) (-3940 (($ $ $ (-768)) 88)) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4506 (($ (-819 |#1|) |#2|) NIL) (($ (-893 |#1|) |#2|) 25)) (-2617 (($ $) 101)) (-1580 (((-2 (|:| |k| (-819 |#1|)) (|:| |c| |#2|)) $) NIL)) (-4430 (((-819 |#1|) $) NIL)) (-3207 (((-819 |#1|) $) NIL)) (-3799 (($ (-1 |#2| |#2|) $) NIL)) (-2520 (($ $ |#1|) NIL) (($ $ (-819 |#1|)) NIL) (($ $ $) NIL)) (-3509 (($ $ (-768)) 95 (|has| |#2| (-712 (-412 (-571)))))) (-4044 (((-637 (-2 (|:| |k| (-893 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3654 (((-2 (|:| |k| (-893 |#1|)) (|:| |c| |#2|)) $) NIL)) (-4332 (((-893 |#1|) $) 69)) (-4337 ((|#2| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-4148 (($ $ (-768)) 92 (|has| |#2| (-712 (-412 (-571)))))) (-2400 (((-768) $) 85)) (-2318 (((-121) $) 70)) (-3177 ((|#2| $) 74)) (-3942 (((-855) $) 56) (($ (-571)) NIL) (($ |#2|) 50) (($ (-819 |#1|)) NIL) (($ |#1|) 58) (($ (-893 |#1|)) NIL) (($ (-659 |#1| |#2|)) 42) (((-1271 |#1| |#2|) $) 63) (((-1280 |#1| |#2|) $) 68)) (-1314 (((-637 |#2|) $) NIL)) (-3136 ((|#2| $ (-893 |#1|)) NIL)) (-4501 ((|#2| $ (-819 |#1|)) NIL) ((|#2| $ $) NIL)) (-2661 (((-768)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 21 T CONST)) (-3222 (($) 24 T CONST)) (-1867 (((-3 (-659 |#1| |#2|) "failed") $) 100)) (-1323 (((-121) $ $) 64)) (-1373 (($ $) 94) (($ $ $) 93)) (-1367 (($ $ $) 20)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 43) (($ |#2| $) 19) (($ $ |#2|) NIL) (($ |#1| $) NIL) (($ |#2| (-893 |#1|)) NIL))) 
+(((-1276 |#1| |#2|) (-13 (-1277 |#1| |#2|) (-387 |#2| (-893 |#1|)) (-10 -8 (-15 -3942 ($ (-659 |#1| |#2|))) (-15 -3942 ((-1271 |#1| |#2|) $)) (-15 -3942 ((-1280 |#1| |#2|) $)) (-15 -1867 ((-3 (-659 |#1| |#2|) "failed") $)) (-15 -3940 ($ $ $ (-768))) (IF (|has| |#2| (-712 (-412 (-571)))) (PROGN (-15 -4148 ($ $ (-768))) (-15 -3509 ($ $ (-768)))) |noBranch|))) (-847) (-173)) (T -1276)) 
+((-3942 (*1 *1 *2) (-12 (-5 *2 (-659 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *1 (-1276 *3 *4)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1271 *3 *4)) (-5 *1 (-1276 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) (-3942 (*1 *2 *1) (-12 (-5 *2 (-1280 *3 *4)) (-5 *1 (-1276 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) (-1867 (*1 *2 *1) (|partial| -12 (-5 *2 (-659 *3 *4)) (-5 *1 (-1276 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) (-3940 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1276 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) (-4148 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1276 *3 *4)) (-4 *4 (-712 (-412 (-571)))) (-4 *3 (-847)) (-4 *4 (-173)))) (-3509 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1276 *3 *4)) (-4 *4 (-712 (-412 (-571)))) (-4 *3 (-847)) (-4 *4 (-173))))) 
+(-13 (-1277 |#1| |#2|) (-387 |#2| (-893 |#1|)) (-10 -8 (-15 -3942 ($ (-659 |#1| |#2|))) (-15 -3942 ((-1271 |#1| |#2|) $)) (-15 -3942 ((-1280 |#1| |#2|) $)) (-15 -1867 ((-3 (-659 |#1| |#2|) "failed") $)) (-15 -3940 ($ $ $ (-768))) (IF (|has| |#2| (-712 (-412 (-571)))) (PROGN (-15 -4148 ($ $ (-768))) (-15 -3509 ($ $ (-768)))) |noBranch|))) 
+((-2234 (((-121) $ $) 7)) (-4123 (((-121) $) 15)) (-3171 (((-637 |#1|) $) 39)) (-2242 (($ $ (-768)) 68)) (-4176 (((-3 $ "failed") $ $) 18)) (-1974 (($ $ $) 42 (|has| |#2| (-173))) (($ $ (-768)) 41 (|has| |#2| (-173)))) (-2269 (($) 16 T CONST)) (-4202 (($ $ |#1|) 53) (($ $ (-819 |#1|)) 52) (($ $ $) 51)) (-3337 (((-3 (-819 |#1|) "failed") $) 63)) (-1316 (((-819 |#1|) $) 62)) (-3978 (((-3 $ "failed") $) 33)) (-1676 (((-121) $) 44)) (-1943 (($ $) 43)) (-2583 (((-121) $) 30)) (-3517 (((-121) $) 49)) (-4506 (($ (-819 |#1|) |#2|) 50)) (-2617 (($ $) 48)) (-1580 (((-2 (|:| |k| (-819 |#1|)) (|:| |c| |#2|)) $) 59)) (-4430 (((-819 |#1|) $) 60)) (-3207 (((-819 |#1|) $) 70)) (-3799 (($ (-1 |#2| |#2|) $) 40)) (-2520 (($ $ |#1|) 56) (($ $ (-819 |#1|)) 55) (($ $ $) 54)) (-3944 (((-1151) $) 9)) (-2580 (((-1115) $) 10)) (-2400 (((-768) $) 69)) (-2318 (((-121) $) 46)) (-3177 ((|#2| $) 45)) (-3942 (((-855) $) 11) (($ (-571)) 27) (($ |#2|) 67) (($ (-819 |#1|)) 64) (($ |#1|) 47)) (-4501 ((|#2| $ (-819 |#1|)) 58) ((|#2| $ $) 57)) (-2661 (((-768)) 28)) (-4142 (($ $ (-922)) 25) (($ $ (-768)) 32)) (-2369 (($) 17 T CONST)) (-3222 (($) 29 T CONST)) (-1323 (((-121) $ $) 6)) (-1373 (($ $) 21) (($ $ $) 20)) (-1367 (($ $ $) 13)) (** (($ $ (-922)) 24) (($ $ (-768)) 31)) (* (($ (-922) $) 12) (($ (-768) $) 14) (($ (-571) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
+(((-1277 |#1| |#2|) (-1289) (-847) (-1053)) (T -1277)) 
+((-3207 (*1 *2 *1) (-12 (-4 *1 (-1277 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-819 *3)))) (-2400 (*1 *2 *1) (-12 (-4 *1 (-1277 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-768)))) (-2242 (*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1277 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053))))) 
+(-13 (-1273 |t#1| |t#2|) (-10 -8 (-15 -3207 ((-819 |t#1|) $)) (-15 -2400 ((-768) $)) (-15 -2242 ($ $ (-768))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-611 (-855)) . T) ((-640 |#2|) . T) ((-640 $) . T) ((-712 |#2|) |has| |#2| (-173)) ((-721) . T) ((-1043 (-819 |#1|)) . T) ((-1059 |#2|) . T) ((-1053) . T) ((-1060) . T) ((-1109) . T) ((-1097) . T) ((-1270 |#2|) . T) ((-1273 |#1| |#2|) . T)) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3171 (((-637 (-1169)) $) NIL)) (-4360 (($ (-1271 (-1169) |#1|)) NIL)) (-2242 (($ $ (-768)) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1974 (($ $ $) NIL (|has| |#1| (-173))) (($ $ (-768)) NIL (|has| |#1| (-173)))) (-2269 (($) NIL T CONST)) (-4202 (($ $ (-1169)) NIL) (($ $ (-819 (-1169))) NIL) (($ $ $) NIL)) (-3337 (((-3 (-819 (-1169)) "failed") $) NIL)) (-1316 (((-819 (-1169)) $) NIL)) (-3978 (((-3 $ "failed") $) NIL)) (-1676 (((-121) $) NIL)) (-1943 (($ $) NIL)) (-2583 (((-121) $) NIL)) (-3517 (((-121) $) NIL)) (-4506 (($ (-819 (-1169)) |#1|) NIL)) (-2617 (($ $) NIL)) (-1580 (((-2 (|:| |k| (-819 (-1169))) (|:| |c| |#1|)) $) NIL)) (-4430 (((-819 (-1169)) $) NIL)) (-3207 (((-819 (-1169)) $) NIL)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-2520 (($ $ (-1169)) NIL) (($ $ (-819 (-1169))) NIL) (($ $ $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2507 (((-1271 (-1169) |#1|) $) NIL)) (-2400 (((-768) $) NIL)) (-2318 (((-121) $) NIL)) (-3177 ((|#1| $) NIL)) (-3942 (((-855) $) NIL) (($ (-571)) NIL) (($ |#1|) NIL) (($ (-819 (-1169))) NIL) (($ (-1169)) NIL)) (-4501 ((|#1| $ (-819 (-1169))) NIL) ((|#1| $ $) NIL)) (-2661 (((-768)) NIL)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) NIL T CONST)) (-1395 (((-637 (-2 (|:| |k| (-1169)) (|:| |c| $))) $) NIL)) (-3222 (($) NIL T CONST)) (-1323 (((-121) $ $) NIL)) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) NIL)) (** (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-1169) $) NIL))) 
+(((-1278 |#1|) (-13 (-1277 (-1169) |#1|) (-10 -8 (-15 -2507 ((-1271 (-1169) |#1|) $)) (-15 -4360 ($ (-1271 (-1169) |#1|))) (-15 -1395 ((-637 (-2 (|:| |k| (-1169)) (|:| |c| $))) $)))) (-1053)) (T -1278)) 
+((-2507 (*1 *2 *1) (-12 (-5 *2 (-1271 (-1169) *3)) (-5 *1 (-1278 *3)) (-4 *3 (-1053)))) (-4360 (*1 *1 *2) (-12 (-5 *2 (-1271 (-1169) *3)) (-4 *3 (-1053)) (-5 *1 (-1278 *3)))) (-1395 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |k| (-1169)) (|:| |c| (-1278 *3))))) (-5 *1 (-1278 *3)) (-4 *3 (-1053))))) 
+(-13 (-1277 (-1169) |#1|) (-10 -8 (-15 -2507 ((-1271 (-1169) |#1|) $)) (-15 -4360 ($ (-1271 (-1169) |#1|))) (-15 -1395 ((-637 (-2 (|:| |k| (-1169)) (|:| |c| $))) $)))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-4176 (((-3 $ "failed") $ $) NIL)) (-2269 (($) NIL T CONST)) (-3337 (((-3 |#2| "failed") $) NIL)) (-1316 ((|#2| $) NIL)) (-4349 (($ $) NIL)) (-3978 (((-3 $ "failed") $) 34)) (-1676 (((-121) $) 29)) (-1943 (($ $) 30)) (-2583 (((-121) $) NIL)) (-2108 (((-768) $) NIL)) (-1368 (((-637 $) $) NIL)) (-3517 (((-121) $) NIL)) (-4506 (($ |#2| |#1|) NIL)) (-4430 ((|#2| $) 19)) (-3207 ((|#2| $) 16)) (-3799 (($ (-1 |#1| |#1|) $) NIL)) (-4044 (((-637 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) NIL)) (-3654 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) NIL)) (-4332 ((|#2| $) NIL)) (-4337 ((|#1| $) NIL)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2318 (((-121) $) 27)) (-3177 ((|#1| $) 28)) (-3942 (((-855) $) 53) (($ (-571)) 38) (($ |#1|) 33) (($ |#2|) NIL)) (-1314 (((-637 |#1|) $) NIL)) (-3136 ((|#1| $ |#2|) NIL)) (-4501 ((|#1| $ |#2|) 24)) (-2661 (((-768)) 14)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 25 T CONST)) (-3222 (($) 11 T CONST)) (-1323 (((-121) $ $) 26)) (-1379 (($ $ |#1|) 55 (|has| |#1| (-367)))) (-1373 (($ $) NIL) (($ $ $) NIL)) (-1367 (($ $ $) 42)) (** (($ $ (-922)) NIL) (($ $ (-768)) 44)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) NIL) (($ $ $) 43) (($ |#1| $) 39) (($ $ |#1|) NIL) (($ |#1| |#2|) NIL)) (-4001 (((-768) $) 15))) 
+(((-1279 |#1| |#2|) (-13 (-1053) (-1270 |#1|) (-387 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -4001 ((-768) $)) (-15 -3942 ($ |#2|)) (-15 -3207 (|#2| $)) (-15 -4430 (|#2| $)) (-15 -4349 ($ $)) (-15 -4501 (|#1| $ |#2|)) (-15 -2318 ((-121) $)) (-15 -3177 (|#1| $)) (-15 -1676 ((-121) $)) (-15 -1943 ($ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-367)) (-15 -1379 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4593)) (-6 -4593) |noBranch|) (IF (|has| |#1| (-6 -4597)) (-6 -4597) |noBranch|) (IF (|has| |#1| (-6 -4598)) (-6 -4598) |noBranch|))) (-1053) (-843)) (T -1279)) 
+((* (*1 *1 *1 *2) (-12 (-5 *1 (-1279 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-843)))) (-4349 (*1 *1 *1) (-12 (-5 *1 (-1279 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-843)))) (-3799 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-1279 *3 *4)) (-4 *4 (-843)))) (-3942 (*1 *1 *2) (-12 (-5 *1 (-1279 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-843)))) (-4001 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1279 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-843)))) (-3207 (*1 *2 *1) (-12 (-4 *2 (-843)) (-5 *1 (-1279 *3 *2)) (-4 *3 (-1053)))) (-4430 (*1 *2 *1) (-12 (-4 *2 (-843)) (-5 *1 (-1279 *3 *2)) (-4 *3 (-1053)))) (-4501 (*1 *2 *1 *3) (-12 (-4 *2 (-1053)) (-5 *1 (-1279 *2 *3)) (-4 *3 (-843)))) (-2318 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1279 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-843)))) (-3177 (*1 *2 *1) (-12 (-4 *2 (-1053)) (-5 *1 (-1279 *2 *3)) (-4 *3 (-843)))) (-1676 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1279 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-843)))) (-1943 (*1 *1 *1) (-12 (-5 *1 (-1279 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-843)))) (-1379 (*1 *1 *1 *2) (-12 (-5 *1 (-1279 *2 *3)) (-4 *2 (-367)) (-4 *2 (-1053)) (-4 *3 (-843))))) 
+(-13 (-1053) (-1270 |#1|) (-387 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -4001 ((-768) $)) (-15 -3942 ($ |#2|)) (-15 -3207 (|#2| $)) (-15 -4430 (|#2| $)) (-15 -4349 ($ $)) (-15 -4501 (|#1| $ |#2|)) (-15 -2318 ((-121) $)) (-15 -3177 (|#1| $)) (-15 -1676 ((-121) $)) (-15 -1943 ($ $)) (-15 -3799 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-367)) (-15 -1379 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4593)) (-6 -4593) |noBranch|) (IF (|has| |#1| (-6 -4597)) (-6 -4597) |noBranch|) (IF (|has| |#1| (-6 -4598)) (-6 -4598) |noBranch|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) NIL)) (-3171 (((-637 |#1|) $) 119)) (-4360 (($ (-1271 |#1| |#2|)) 43)) (-2242 (($ $ (-768)) 31)) (-4176 (((-3 $ "failed") $ $) NIL)) (-1974 (($ $ $) 47 (|has| |#2| (-173))) (($ $ (-768)) 45 (|has| |#2| (-173)))) (-2269 (($) NIL T CONST)) (-4202 (($ $ |#1|) 101) (($ $ (-819 |#1|)) 102) (($ $ $) 25)) (-3337 (((-3 (-819 |#1|) "failed") $) NIL)) (-1316 (((-819 |#1|) $) NIL)) (-3978 (((-3 $ "failed") $) 109)) (-1676 (((-121) $) 104)) (-1943 (($ $) 105)) (-2583 (((-121) $) NIL)) (-3517 (((-121) $) NIL)) (-4506 (($ (-819 |#1|) |#2|) 19)) (-2617 (($ $) NIL)) (-1580 (((-2 (|:| |k| (-819 |#1|)) (|:| |c| |#2|)) $) NIL)) (-4430 (((-819 |#1|) $) 110)) (-3207 (((-819 |#1|) $) 113)) (-3799 (($ (-1 |#2| |#2|) $) 118)) (-2520 (($ $ |#1|) 99) (($ $ (-819 |#1|)) 100) (($ $ $) 55)) (-3944 (((-1151) $) NIL)) (-2580 (((-1115) $) NIL)) (-2507 (((-1271 |#1| |#2|) $) 83)) (-2400 (((-768) $) 116)) (-2318 (((-121) $) 69)) (-3177 ((|#2| $) 27)) (-3942 (((-855) $) 62) (($ (-571)) 76) (($ |#2|) 73) (($ (-819 |#1|)) 17) (($ |#1|) 72)) (-4501 ((|#2| $ (-819 |#1|)) 103) ((|#2| $ $) 26)) (-2661 (((-768)) 107)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 14 T CONST)) (-1395 (((-637 (-2 (|:| |k| |#1|) (|:| |c| $))) $) 52)) (-3222 (($) 28 T CONST)) (-1323 (((-121) $ $) 13)) (-1373 (($ $) 87) (($ $ $) 90)) (-1367 (($ $ $) 54)) (** (($ $ (-922)) NIL) (($ $ (-768)) 48)) (* (($ (-922) $) NIL) (($ (-768) $) 46) (($ (-571) $) 93) (($ $ $) 21) (($ |#2| $) 18) (($ $ |#2|) 20) (($ |#1| $) 81))) 
+(((-1280 |#1| |#2|) (-13 (-1277 |#1| |#2|) (-10 -8 (-15 -2507 ((-1271 |#1| |#2|) $)) (-15 -4360 ($ (-1271 |#1| |#2|))) (-15 -1395 ((-637 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) (-847) (-1053)) (T -1280)) 
+((-2507 (*1 *2 *1) (-12 (-5 *2 (-1271 *3 *4)) (-5 *1 (-1280 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)))) (-4360 (*1 *1 *2) (-12 (-5 *2 (-1271 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *1 (-1280 *3 *4)))) (-1395 (*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |k| *3) (|:| |c| (-1280 *3 *4))))) (-5 *1 (-1280 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053))))) 
+(-13 (-1277 |#1| |#2|) (-10 -8 (-15 -2507 ((-1271 |#1| |#2|) $)) (-15 -4360 ($ (-1271 |#1| |#2|))) (-15 -1395 ((-637 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) 
+((-2292 (((-637 (-1149 |#1|)) (-1 (-637 (-1149 |#1|)) (-637 (-1149 |#1|))) (-571)) 15) (((-1149 |#1|) (-1 (-1149 |#1|) (-1149 |#1|))) 11))) 
+(((-1281 |#1|) (-10 -7 (-15 -2292 ((-1149 |#1|) (-1 (-1149 |#1|) (-1149 |#1|)))) (-15 -2292 ((-637 (-1149 |#1|)) (-1 (-637 (-1149 |#1|)) (-637 (-1149 |#1|))) (-571)))) (-1203)) (T -1281)) 
+((-2292 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-637 (-1149 *5)) (-637 (-1149 *5)))) (-5 *4 (-571)) (-5 *2 (-637 (-1149 *5))) (-5 *1 (-1281 *5)) (-4 *5 (-1203)))) (-2292 (*1 *2 *3) (-12 (-5 *3 (-1 (-1149 *4) (-1149 *4))) (-5 *2 (-1149 *4)) (-5 *1 (-1281 *4)) (-4 *4 (-1203))))) 
+(-10 -7 (-15 -2292 ((-1149 |#1|) (-1 (-1149 |#1|) (-1149 |#1|)))) (-15 -2292 ((-637 (-1149 |#1|)) (-1 (-637 (-1149 |#1|)) (-637 (-1149 |#1|))) (-571)))) 
+((-3287 (((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|))) 145) (((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121)) 144) (((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121) (-121)) 143) (((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121) (-121) (-121)) 142) (((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-1050 |#1| |#2|)) 127)) (-3835 (((-637 (-1050 |#1| |#2|)) (-637 (-958 |#1|))) 70) (((-637 (-1050 |#1| |#2|)) (-637 (-958 |#1|)) (-121)) 69) (((-637 (-1050 |#1| |#2|)) (-637 (-958 |#1|)) (-121) (-121)) 68)) (-4151 (((-637 (-1138 |#1| (-537 (-857 |#3|)) (-857 |#3|) (-780 |#1| (-857 |#3|)))) (-1050 |#1| |#2|)) 59)) (-1546 (((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|))) 112) (((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121)) 111) (((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121) (-121)) 110) (((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121) (-121) (-121)) 109) (((-637 (-637 (-1029 (-412 |#1|)))) (-1050 |#1| |#2|)) 104)) (-1624 (((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|))) 117) (((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121)) 116) (((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121) (-121)) 115) (((-637 (-637 (-1029 (-412 |#1|)))) (-1050 |#1| |#2|)) 114)) (-4050 (((-637 (-780 |#1| (-857 |#3|))) (-1138 |#1| (-537 (-857 |#3|)) (-857 |#3|) (-780 |#1| (-857 |#3|)))) 96) (((-1165 (-1029 (-412 |#1|))) (-1165 |#1|)) 87) (((-958 (-1029 (-412 |#1|))) (-780 |#1| (-857 |#3|))) 94) (((-958 (-1029 (-412 |#1|))) (-958 |#1|)) 92) (((-780 |#1| (-857 |#3|)) (-780 |#1| (-857 |#2|))) 32))) 
+(((-1282 |#1| |#2| |#3|) (-10 -7 (-15 -3835 ((-637 (-1050 |#1| |#2|)) (-637 (-958 |#1|)) (-121) (-121))) (-15 -3835 ((-637 (-1050 |#1| |#2|)) (-637 (-958 |#1|)) (-121))) (-15 -3835 ((-637 (-1050 |#1| |#2|)) (-637 (-958 |#1|)))) (-15 -3287 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-1050 |#1| |#2|))) (-15 -3287 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121) (-121) (-121))) (-15 -3287 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121) (-121))) (-15 -3287 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121))) (-15 -3287 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)))) (-15 -1546 ((-637 (-637 (-1029 (-412 |#1|)))) (-1050 |#1| |#2|))) (-15 -1546 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121) (-121) (-121))) (-15 -1546 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121) (-121))) (-15 -1546 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121))) (-15 -1546 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)))) (-15 -1624 ((-637 (-637 (-1029 (-412 |#1|)))) (-1050 |#1| |#2|))) (-15 -1624 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121) (-121))) (-15 -1624 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121))) (-15 -1624 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)))) (-15 -4151 ((-637 (-1138 |#1| (-537 (-857 |#3|)) (-857 |#3|) (-780 |#1| (-857 |#3|)))) (-1050 |#1| |#2|))) (-15 -4050 ((-780 |#1| (-857 |#3|)) (-780 |#1| (-857 |#2|)))) (-15 -4050 ((-958 (-1029 (-412 |#1|))) (-958 |#1|))) (-15 -4050 ((-958 (-1029 (-412 |#1|))) (-780 |#1| (-857 |#3|)))) (-15 -4050 ((-1165 (-1029 (-412 |#1|))) (-1165 |#1|))) (-15 -4050 ((-637 (-780 |#1| (-857 |#3|))) (-1138 |#1| (-537 (-857 |#3|)) (-857 |#3|) (-780 |#1| (-857 |#3|)))))) (-13 (-845) (-302) (-151) (-1027)) (-637 (-1169)) (-637 (-1169))) (T -1282)) 
+((-4050 (*1 *2 *3) (-12 (-5 *3 (-1138 *4 (-537 (-857 *6)) (-857 *6) (-780 *4 (-857 *6)))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-780 *4 (-857 *6)))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))))) (-4050 (*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-1165 (-1029 (-412 *4)))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169))))) (-4050 (*1 *2 *3) (-12 (-5 *3 (-780 *4 (-857 *6))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *6 (-637 (-1169))) (-5 *2 (-958 (-1029 (-412 *4)))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))))) (-4050 (*1 *2 *3) (-12 (-5 *3 (-958 *4)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-958 (-1029 (-412 *4)))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169))))) (-4050 (*1 *2 *3) (-12 (-5 *3 (-780 *4 (-857 *5))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *5 (-637 (-1169))) (-5 *2 (-780 *4 (-857 *6))) (-5 *1 (-1282 *4 *5 *6)) (-14 *6 (-637 (-1169))))) (-4151 (*1 *2 *3) (-12 (-5 *3 (-1050 *4 *5)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *5 (-637 (-1169))) (-5 *2 (-637 (-1138 *4 (-537 (-857 *6)) (-857 *6) (-780 *4 (-857 *6))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *6 (-637 (-1169))))) (-1624 (*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *4))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169))))) (-1624 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *5))))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) (-1624 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *5))))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) (-1624 (*1 *2 *3) (-12 (-5 *3 (-1050 *4 *5)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *5 (-637 (-1169))) (-5 *2 (-637 (-637 (-1029 (-412 *4))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *6 (-637 (-1169))))) (-1546 (*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *4))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169))))) (-1546 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *5))))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) (-1546 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *5))))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) (-1546 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *5))))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) (-1546 (*1 *2 *3) (-12 (-5 *3 (-1050 *4 *5)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *5 (-637 (-1169))) (-5 *2 (-637 (-637 (-1029 (-412 *4))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *6 (-637 (-1169))))) (-3287 (*1 *2 *3) (-12 (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *4)) (|:| -3723 (-637 (-958 *4)))))) (-5 *1 (-1282 *4 *5 *6)) (-5 *3 (-637 (-958 *4))) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169))))) (-3287 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *5)) (|:| -3723 (-637 (-958 *5)))))) (-5 *1 (-1282 *5 *6 *7)) (-5 *3 (-637 (-958 *5))) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) (-3287 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *5)) (|:| -3723 (-637 (-958 *5)))))) (-5 *1 (-1282 *5 *6 *7)) (-5 *3 (-637 (-958 *5))) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) (-3287 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *5)) (|:| -3723 (-637 (-958 *5)))))) (-5 *1 (-1282 *5 *6 *7)) (-5 *3 (-637 (-958 *5))) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) (-3287 (*1 *2 *3) (-12 (-5 *3 (-1050 *4 *5)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *5 (-637 (-1169))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *4)) (|:| -3723 (-637 (-958 *4)))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *6 (-637 (-1169))))) (-3835 (*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-1050 *4 *5))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169))))) (-3835 (*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-1050 *5 *6))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) (-3835 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-1050 *5 *6))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169)))))) 
+(-10 -7 (-15 -3835 ((-637 (-1050 |#1| |#2|)) (-637 (-958 |#1|)) (-121) (-121))) (-15 -3835 ((-637 (-1050 |#1| |#2|)) (-637 (-958 |#1|)) (-121))) (-15 -3835 ((-637 (-1050 |#1| |#2|)) (-637 (-958 |#1|)))) (-15 -3287 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-1050 |#1| |#2|))) (-15 -3287 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121) (-121) (-121))) (-15 -3287 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121) (-121))) (-15 -3287 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)) (-121))) (-15 -3287 ((-637 (-2 (|:| -3624 (-1165 |#1|)) (|:| -3723 (-637 (-958 |#1|))))) (-637 (-958 |#1|)))) (-15 -1546 ((-637 (-637 (-1029 (-412 |#1|)))) (-1050 |#1| |#2|))) (-15 -1546 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121) (-121) (-121))) (-15 -1546 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121) (-121))) (-15 -1546 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121))) (-15 -1546 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)))) (-15 -1624 ((-637 (-637 (-1029 (-412 |#1|)))) (-1050 |#1| |#2|))) (-15 -1624 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121) (-121))) (-15 -1624 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)) (-121))) (-15 -1624 ((-637 (-637 (-1029 (-412 |#1|)))) (-637 (-958 |#1|)))) (-15 -4151 ((-637 (-1138 |#1| (-537 (-857 |#3|)) (-857 |#3|) (-780 |#1| (-857 |#3|)))) (-1050 |#1| |#2|))) (-15 -4050 ((-780 |#1| (-857 |#3|)) (-780 |#1| (-857 |#2|)))) (-15 -4050 ((-958 (-1029 (-412 |#1|))) (-958 |#1|))) (-15 -4050 ((-958 (-1029 (-412 |#1|))) (-780 |#1| (-857 |#3|)))) (-15 -4050 ((-1165 (-1029 (-412 |#1|))) (-1165 |#1|))) (-15 -4050 ((-637 (-780 |#1| (-857 |#3|))) (-1138 |#1| (-537 (-857 |#3|)) (-857 |#3|) (-780 |#1| (-857 |#3|)))))) 
+((-4420 (((-3 (-1258 (-412 (-571))) "failed") (-1258 |#1|) |#1|) 17)) (-2958 (((-121) (-1258 |#1|)) 11)) (-3685 (((-3 (-1258 (-571)) "failed") (-1258 |#1|)) 14))) 
+(((-1283 |#1|) (-10 -7 (-15 -2958 ((-121) (-1258 |#1|))) (-15 -3685 ((-3 (-1258 (-571)) "failed") (-1258 |#1|))) (-15 -4420 ((-3 (-1258 (-412 (-571))) "failed") (-1258 |#1|) |#1|))) (-633 (-571))) (T -1283)) 
+((-4420 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1258 *4)) (-4 *4 (-633 (-571))) (-5 *2 (-1258 (-412 (-571)))) (-5 *1 (-1283 *4)))) (-3685 (*1 *2 *3) (|partial| -12 (-5 *3 (-1258 *4)) (-4 *4 (-633 (-571))) (-5 *2 (-1258 (-571))) (-5 *1 (-1283 *4)))) (-2958 (*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-633 (-571))) (-5 *2 (-121)) (-5 *1 (-1283 *4))))) 
+(-10 -7 (-15 -2958 ((-121) (-1258 |#1|))) (-15 -3685 ((-3 (-1258 (-571)) "failed") (-1258 |#1|))) (-15 -4420 ((-3 (-1258 (-412 (-571))) "failed") (-1258 |#1|) |#1|))) 
+((-2234 (((-121) $ $) NIL)) (-4123 (((-121) $) 11)) (-4176 (((-3 $ "failed") $ $) NIL)) (-4407 (((-768)) 8)) (-2269 (($) NIL T CONST)) (-3978 (((-3 $ "failed") $) 43)) (-3254 (($) 36)) (-2583 (((-121) $) NIL)) (-2596 (((-3 $ "failed") $) 29)) (-4470 (((-922) $) 15)) (-3944 (((-1151) $) NIL)) (-1757 (($) 25 T CONST)) (-1755 (($ (-922)) 37)) (-2580 (((-1115) $) NIL)) (-3804 (((-637 $)) NIL)) (-4050 (((-571) $) 13)) (-3942 (((-855) $) 22) (($ (-571)) 19)) (-2661 (((-768)) 9)) (-4142 (($ $ (-922)) NIL) (($ $ (-768)) NIL)) (-2369 (($) 23 T CONST)) (-3222 (($) 24 T CONST)) (-1323 (((-121) $ $) 27)) (-1373 (($ $) 38) (($ $ $) 35)) (-1367 (($ $ $) 26)) (** (($ $ (-922)) NIL) (($ $ (-768)) 40)) (* (($ (-922) $) NIL) (($ (-768) $) NIL) (($ (-571) $) 32) (($ $ $) 31))) 
+(((-1284 |#1|) (-13 (-173) (-373) (-612 (-571)) (-1143)) (-922)) (T -1284)) 
+NIL 
+(-13 (-173) (-373) (-612 (-571)) (-1143)) 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+((-1289 3634710 3634715 3634720 "NIL" NIL T NIL (NIL) NIL NIL NIL) (-3 3634695 3634700 3634705 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-2 3634680 3634685 3634690 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1 3634665 3634670 3634675 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (0 3634650 3634655 3634660 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1284 3633755 3634525 3634602 "ZMOD" 3634607 NIL ZMOD (NIL NIL) -8 NIL NIL) (-1283 3632865 3633029 3633238 "ZLINDEP" 3633587 NIL ZLINDEP (NIL T) -7 NIL NIL) (-1282 3622169 3623933 3625905 "ZDSOLVE" 3630995 NIL ZDSOLVE (NIL T NIL NIL) -7 NIL NIL) (-1281 3621415 3621556 3621745 "YSTREAM" 3622015 NIL YSTREAM (NIL T) -7 NIL NIL) (-1280 3619180 3620716 3620920 "XRPOLY" 3621258 NIL XRPOLY (NIL T T) -8 NIL NIL) (-1279 3615634 3616963 3617543 "XPR" 3618647 NIL XPR (NIL T T) -8 NIL NIL) (-1278 3613344 3614965 3615169 "XPOLY" 3615465 NIL XPOLY (NIL T) -8 NIL NIL) (-1277 3611148 3612526 3612582 "XPOLYC" 3612870 NIL XPOLYC (NIL T T) -9 NIL 3612983) (-1276 3607522 3609667 3610054 "XPBWPOLY" 3610807 NIL XPBWPOLY (NIL T T) -8 NIL NIL) (-1275 3603400 3605710 3605753 "XF" 3606374 NIL XF (NIL T) -9 NIL 3606771) (-1274 3603021 3603109 3603278 "XF-" 3603283 NIL XF- (NIL T T) -8 NIL NIL) (-1273 3598370 3599669 3599725 "XFALG" 3601897 NIL XFALG (NIL T T) -9 NIL 3602684) (-1272 3597503 3597607 3597812 "XEXPPKG" 3598262 NIL XEXPPKG (NIL T T T) -7 NIL NIL) (-1271 3595600 3597353 3597449 "XDPOLY" 3597454 NIL XDPOLY (NIL T T) -8 NIL NIL) (-1270 3594472 3595082 3595126 "XALG" 3595189 NIL XALG (NIL T) -9 NIL 3595308) (-1269 3587941 3592449 3592943 "WUTSET" 3594064 NIL WUTSET (NIL T T T T) -8 NIL NIL) (-1268 3585750 3586557 3586908 "WP" 3587724 NIL WP (NIL T T T T NIL NIL NIL) -8 NIL NIL) (-1267 3584636 3584834 3585129 "WFFINTBS" 3585547 NIL WFFINTBS (NIL T T T T) -7 NIL NIL) (-1266 3582540 3582967 3583429 "WEIER" 3584208 NIL WEIER (NIL T) -7 NIL NIL) (-1265 3581686 3582110 3582153 "VSPACE" 3582289 NIL VSPACE (NIL T) -9 NIL 3582363) (-1264 3581524 3581551 3581642 "VSPACE-" 3581647 NIL VSPACE- (NIL T T) -8 NIL NIL) (-1263 3581270 3581313 3581384 "VOID" 3581475 T VOID (NIL) -8 NIL NIL) (-1262 3579406 3579765 3580171 "VIEW" 3580886 T VIEW (NIL) -7 NIL NIL) (-1261 3575831 3576469 3577206 "VIEWDEF" 3578691 T VIEWDEF (NIL) -7 NIL NIL) (-1260 3565170 3567379 3569552 "VIEW3D" 3573680 T VIEW3D (NIL) -8 NIL NIL) (-1259 3557452 3559081 3560660 "VIEW2D" 3563613 T VIEW2D (NIL) -8 NIL NIL) (-1258 3552860 3557222 3557314 "VECTOR" 3557395 NIL VECTOR (NIL T) -8 NIL NIL) (-1257 3551437 3551696 3552014 "VECTOR2" 3552590 NIL VECTOR2 (NIL T T) -7 NIL NIL) (-1256 3545002 3549248 3549292 "VECTCAT" 3550287 NIL VECTCAT (NIL T) -9 NIL 3550867) (-1255 3544016 3544270 3544660 "VECTCAT-" 3544665 NIL VECTCAT- (NIL T T) -8 NIL NIL) (-1254 3543497 3543667 3543787 "VARIABLE" 3543931 NIL VARIABLE (NIL NIL) -8 NIL NIL) (-1253 3535539 3541330 3541808 "UTSZ" 3543067 NIL UTSZ (NIL T NIL) -8 NIL NIL) (-1252 3535145 3535195 3535329 "UTSSOL" 3535483 NIL UTSSOL (NIL T T T) -7 NIL NIL) (-1251 3533977 3534131 3534392 "UTSODETL" 3534972 NIL UTSODETL (NIL T T T T) -7 NIL NIL) (-1250 3531417 3531877 3532401 "UTSODE" 3533518 NIL UTSODE (NIL T T) -7 NIL NIL) (-1249 3523250 3529045 3529533 "UTS" 3530987 NIL UTS (NIL T NIL NIL) -8 NIL NIL) (-1248 3514536 3519896 3519940 "UTSCAT" 3521052 NIL UTSCAT (NIL T) -9 NIL 3521803) (-1247 3511891 3512606 3513595 "UTSCAT-" 3513600 NIL UTSCAT- (NIL T T) -8 NIL NIL) (-1246 3511518 3511561 3511694 "UTS2" 3511842 NIL UTS2 (NIL T T T T) -7 NIL NIL) (-1245 3505832 3508391 3508435 "URAGG" 3510505 NIL URAGG (NIL T) -9 NIL 3511227) (-1244 3502771 3503634 3504757 "URAGG-" 3504762 NIL URAGG- (NIL T T) -8 NIL NIL) (-1243 3498449 3501385 3501857 "UPXSSING" 3502435 NIL UPXSSING (NIL T T NIL NIL) -8 NIL NIL) (-1242 3490336 3497566 3497847 "UPXS" 3498226 NIL UPXS (NIL T NIL NIL) -8 NIL NIL) (-1241 3483364 3490240 3490312 "UPXSCONS" 3490317 NIL UPXSCONS (NIL T T) -8 NIL NIL) (-1240 3473576 3480401 3480464 "UPXSCCA" 3481120 NIL UPXSCCA (NIL T T) -9 NIL 3481362) (-1239 3473214 3473299 3473473 "UPXSCCA-" 3473478 NIL UPXSCCA- (NIL T T T) -8 NIL NIL) (-1238 3463358 3469956 3470000 "UPXSCAT" 3470648 NIL UPXSCAT (NIL T) -9 NIL 3471250) (-1237 3462788 3462867 3463046 "UPXS2" 3463273 NIL UPXS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1236 3461442 3461695 3462046 "UPSQFREE" 3462531 NIL UPSQFREE (NIL T T) -7 NIL NIL) (-1235 3455277 3458327 3458383 "UPSCAT" 3459544 NIL UPSCAT (NIL T T) -9 NIL 3460312) (-1234 3454481 3454688 3455015 "UPSCAT-" 3455020 NIL UPSCAT- (NIL T T T) -8 NIL NIL) (-1233 3440470 3448510 3448554 "UPOLYC" 3450655 NIL UPOLYC (NIL T) -9 NIL 3451870) (-1232 3431799 3434224 3437371 "UPOLYC-" 3437376 NIL UPOLYC- (NIL T T) -8 NIL NIL) (-1231 3431426 3431469 3431602 "UPOLYC2" 3431750 NIL UPOLYC2 (NIL T T T T) -7 NIL NIL) (-1230 3422837 3430992 3431130 "UP" 3431336 NIL UP (NIL NIL T) -8 NIL NIL) (-1229 3422176 3422283 3422447 "UPMP" 3422726 NIL UPMP (NIL T T) -7 NIL NIL) (-1228 3421729 3421810 3421949 "UPDIVP" 3422089 NIL UPDIVP (NIL T T) -7 NIL NIL) (-1227 3420297 3420546 3420862 "UPDECOMP" 3421478 NIL UPDECOMP (NIL T T) -7 NIL NIL) (-1226 3419532 3419644 3419829 "UPCDEN" 3420181 NIL UPCDEN (NIL T T T) -7 NIL NIL) (-1225 3419051 3419120 3419269 "UP2" 3419457 NIL UP2 (NIL NIL T NIL T) -7 NIL NIL) (-1224 3417572 3418259 3418534 "UNISEG" 3418811 NIL UNISEG (NIL T) -8 NIL NIL) (-1223 3416789 3416916 3417120 "UNISEG2" 3417416 NIL UNISEG2 (NIL T T) -7 NIL NIL) (-1222 3415849 3416029 3416255 "UNIFACT" 3416605 NIL UNIFACT (NIL T) -7 NIL NIL) (-1221 3399733 3415028 3415278 "ULS" 3415657 NIL ULS (NIL T NIL NIL) -8 NIL NIL) (-1220 3387688 3399637 3399709 "ULSCONS" 3399714 NIL ULSCONS (NIL T T) -8 NIL NIL) (-1219 3370355 3382372 3382435 "ULSCCAT" 3383155 NIL ULSCCAT (NIL T T) -9 NIL 3383451) (-1218 3369405 3369650 3370038 "ULSCCAT-" 3370043 NIL ULSCCAT- (NIL T T T) -8 NIL NIL) (-1217 3359341 3365853 3365897 "ULSCAT" 3366760 NIL ULSCAT (NIL T) -9 NIL 3367483) (-1216 3358771 3358850 3359029 "ULS2" 3359256 NIL ULS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1215 3350909 3356762 3357262 "UFPS" 3358306 NIL UFPS (NIL T) -8 NIL NIL) (-1214 3350606 3350663 3350761 "UFPS1" 3350846 NIL UFPS1 (NIL T) -7 NIL NIL) (-1213 3348999 3349966 3349997 "UFD" 3350209 T UFD (NIL) -9 NIL 3350323) (-1212 3348793 3348839 3348934 "UFD-" 3348939 NIL UFD- (NIL T) -8 NIL NIL) (-1211 3347875 3348058 3348274 "UDVO" 3348599 T UDVO (NIL) -7 NIL NIL) (-1210 3345693 3346102 3346572 "UDPO" 3347440 NIL UDPO (NIL T) -7 NIL NIL) (-1209 3341656 3345638 3345674 "U8VEC" 3345679 T U8VEC (NIL) -8 NIL NIL) (-1208 3337850 3341420 3341518 "U8MAT" 3341580 T U8MAT (NIL) -8 NIL NIL) (-1207 3333813 3337795 3337831 "U32VEC" 3337836 T U32VEC (NIL) -8 NIL NIL) (-1206 3330007 3333577 3333675 "U32MAT" 3333737 T U32MAT (NIL) -8 NIL NIL) (-1205 3325970 3329952 3329988 "U16VEC" 3329993 T U16VEC (NIL) -8 NIL NIL) (-1204 3322164 3325734 3325832 "U16MAT" 3325894 T U16MAT (NIL) -8 NIL NIL) (-1203 3322096 3322101 3322132 "TYPE" 3322137 T TYPE (NIL) -9 NIL NIL) (-1202 3321067 3321269 3321509 "TWOFACT" 3321890 NIL TWOFACT (NIL T) -7 NIL NIL) (-1201 3320139 3320470 3320669 "TUPLE" 3320903 NIL TUPLE (NIL T) -8 NIL NIL) (-1200 3317830 3318349 3318888 "TUBETOOL" 3319622 T TUBETOOL (NIL) -7 NIL NIL) (-1199 3316679 3316884 3317125 "TUBE" 3317623 NIL TUBE (NIL T) -8 NIL NIL) (-1198 3311399 3315653 3315935 "TS" 3316432 NIL TS (NIL T) -8 NIL NIL) (-1197 3300073 3304158 3304256 "TSETCAT" 3309525 NIL TSETCAT (NIL T T T T) -9 NIL 3311055) (-1196 3294808 3296405 3298296 "TSETCAT-" 3298301 NIL TSETCAT- (NIL T T T T T) -8 NIL NIL) (-1195 3289078 3289925 3290863 "TRMANIP" 3293948 NIL TRMANIP (NIL T T) -7 NIL NIL) (-1194 3288519 3288582 3288745 "TRIMAT" 3289010 NIL TRIMAT (NIL T T T T) -7 NIL NIL) (-1193 3286315 3286552 3286916 "TRIGMNIP" 3288268 NIL TRIGMNIP (NIL T T) -7 NIL NIL) (-1192 3285834 3285947 3285978 "TRIGCAT" 3286191 T TRIGCAT (NIL) -9 NIL NIL) (-1191 3285503 3285582 3285723 "TRIGCAT-" 3285728 NIL TRIGCAT- (NIL T) -8 NIL NIL) (-1190 3282406 3284361 3284642 "TREE" 3285257 NIL TREE (NIL T) -8 NIL NIL) (-1189 3281679 3282207 3282238 "TRANFUN" 3282273 T TRANFUN (NIL) -9 NIL 3282339) (-1188 3280958 3281149 3281429 "TRANFUN-" 3281434 NIL TRANFUN- (NIL T) -8 NIL NIL) (-1187 3280762 3280794 3280855 "TOPSP" 3280919 T TOPSP (NIL) -7 NIL NIL) (-1186 3280110 3280225 3280379 "TOOLSIGN" 3280643 NIL TOOLSIGN (NIL T) -7 NIL NIL) (-1185 3278745 3279287 3279526 "TEXTFILE" 3279893 T TEXTFILE (NIL) -8 NIL NIL) (-1184 3276610 3277124 3277562 "TEX" 3278329 T TEX (NIL) -8 NIL NIL) (-1183 3276391 3276422 3276494 "TEX1" 3276573 NIL TEX1 (NIL T) -7 NIL NIL) (-1182 3276039 3276102 3276192 "TEMUTL" 3276323 T TEMUTL (NIL) -7 NIL NIL) (-1181 3274193 3274473 3274798 "TBCMPPK" 3275762 NIL TBCMPPK (NIL T T) -7 NIL NIL) (-1180 3265938 3272198 3272255 "TBAGG" 3272655 NIL TBAGG (NIL T T) -9 NIL 3272866) (-1179 3261008 3262496 3264250 "TBAGG-" 3264255 NIL TBAGG- (NIL T T T) -8 NIL NIL) (-1178 3260392 3260499 3260644 "TANEXP" 3260897 NIL TANEXP (NIL T) -7 NIL NIL) (-1177 3253905 3260249 3260342 "TABLE" 3260347 NIL TABLE (NIL T T) -8 NIL NIL) (-1176 3253318 3253416 3253554 "TABLEAU" 3253802 NIL TABLEAU (NIL T) -8 NIL NIL) (-1175 3247926 3249146 3250394 "TABLBUMP" 3252104 NIL TABLBUMP (NIL T) -7 NIL NIL) (-1174 3244389 3245084 3245867 "SYSSOLP" 3247177 NIL SYSSOLP (NIL T) -7 NIL NIL) (-1173 3241523 3242131 3242769 "SYMTAB" 3243773 T SYMTAB (NIL) -8 NIL NIL) (-1172 3236772 3237674 3238657 "SYMS" 3240562 T SYMS (NIL) -8 NIL NIL) (-1171 3234004 3236236 3236463 "SYMPOLY" 3236580 NIL SYMPOLY (NIL T) -8 NIL NIL) (-1170 3233521 3233596 3233719 "SYMFUNC" 3233916 NIL SYMFUNC (NIL T) -7 NIL NIL) (-1169 3229499 3230758 3231580 "SYMBOL" 3232721 T SYMBOL (NIL) -8 NIL NIL) (-1168 3223038 3224727 3226447 "SWITCH" 3227801 T SWITCH (NIL) -8 NIL NIL) (-1167 3216264 3221861 3222163 "SUTS" 3222794 NIL SUTS (NIL T NIL NIL) -8 NIL NIL) (-1166 3208150 3215381 3215662 "SUPXS" 3216041 NIL SUPXS (NIL T NIL NIL) -8 NIL NIL) (-1165 3199635 3207768 3207894 "SUP" 3208059 NIL SUP (NIL T) -8 NIL NIL) (-1164 3198794 3198921 3199138 "SUPFRACF" 3199503 NIL SUPFRACF (NIL T T T T) -7 NIL NIL) (-1163 3189366 3198596 3198710 "SUPEXPR" 3198715 NIL SUPEXPR (NIL T) -8 NIL NIL) (-1162 3188987 3189046 3189159 "SUP2" 3189301 NIL SUP2 (NIL T T) -7 NIL NIL) (-1161 3187400 3187674 3188037 "SUMRF" 3188686 NIL SUMRF (NIL T) -7 NIL NIL) (-1160 3186714 3186780 3186979 "SUMFS" 3187321 NIL SUMFS (NIL T T) -7 NIL NIL) (-1159 3170638 3185893 3186143 "SULS" 3186522 NIL SULS (NIL T NIL NIL) -8 NIL NIL) (-1158 3169960 3170163 3170303 "SUCH" 3170546 NIL SUCH (NIL T T) -8 NIL NIL) (-1157 3163854 3164866 3165825 "SUBSPACE" 3169048 NIL SUBSPACE (NIL NIL T) -8 NIL NIL) (-1156 3163286 3163376 3163539 "SUBRESP" 3163743 NIL SUBRESP (NIL T T) -7 NIL NIL) (-1155 3156655 3157951 3159262 "STTF" 3162022 NIL STTF (NIL T) -7 NIL NIL) (-1154 3150828 3151948 3153095 "STTFNC" 3155555 NIL STTFNC (NIL T) -7 NIL NIL) (-1153 3142147 3144014 3145806 "STTAYLOR" 3149071 NIL STTAYLOR (NIL T) -7 NIL NIL) (-1152 3135403 3142011 3142094 "STRTBL" 3142099 NIL STRTBL (NIL T) -8 NIL NIL) (-1151 3130794 3135358 3135389 "STRING" 3135394 T STRING (NIL) -8 NIL NIL) (-1150 3125658 3130136 3130167 "STRICAT" 3130226 T STRICAT (NIL) -9 NIL 3130288) (-1149 3118385 3123185 3123803 "STREAM" 3125075 NIL STREAM (NIL T) -8 NIL NIL) (-1148 3117895 3117972 3118116 "STREAM3" 3118302 NIL STREAM3 (NIL T T T) -7 NIL NIL) (-1147 3116877 3117060 3117295 "STREAM2" 3117708 NIL STREAM2 (NIL T T) -7 NIL NIL) (-1146 3116565 3116617 3116710 "STREAM1" 3116819 NIL STREAM1 (NIL T) -7 NIL NIL) (-1145 3116209 3116275 3116382 "STNSR" 3116493 NIL STNSR (NIL T) -7 NIL NIL) (-1144 3115225 3115406 3115637 "STINPROD" 3116025 NIL STINPROD (NIL T) -7 NIL NIL) (-1143 3114802 3114986 3115017 "STEP" 3115097 T STEP (NIL) -9 NIL 3115175) (-1142 3108357 3114701 3114778 "STBL" 3114783 NIL STBL (NIL T T NIL) -8 NIL NIL) (-1141 3103571 3107609 3107653 "STAGG" 3107806 NIL STAGG (NIL T) -9 NIL 3107895) (-1140 3101273 3101875 3102747 "STAGG-" 3102752 NIL STAGG- (NIL T T) -8 NIL NIL) (-1139 3094765 3096334 3097449 "STACK" 3100193 NIL STACK (NIL T) -8 NIL NIL) (-1138 3087490 3092906 3093362 "SREGSET" 3094395 NIL SREGSET (NIL T T T T) -8 NIL NIL) (-1137 3079916 3081284 3082797 "SRDCMPK" 3086096 NIL SRDCMPK (NIL T T T T T) -7 NIL NIL) (-1136 3072894 3077354 3077385 "SRAGG" 3078688 T SRAGG (NIL) -9 NIL 3079296) (-1135 3071911 3072166 3072545 "SRAGG-" 3072550 NIL SRAGG- (NIL T) -8 NIL NIL) (-1134 3066359 3070834 3071258 "SQMATRIX" 3071534 NIL SQMATRIX (NIL NIL T) -8 NIL NIL) (-1133 3060115 3063077 3063804 "SPLTREE" 3065704 NIL SPLTREE (NIL T T) -8 NIL NIL) (-1132 3056105 3056771 3057417 "SPLNODE" 3059541 NIL SPLNODE (NIL T T) -8 NIL NIL) (-1131 3055151 3055384 3055415 "SPFCAT" 3055859 T SPFCAT (NIL) -9 NIL NIL) (-1130 3053888 3054098 3054362 "SPECOUT" 3054909 T SPECOUT (NIL) -7 NIL NIL) (-1129 3045858 3047605 3047649 "SPACEC" 3052022 NIL SPACEC (NIL T) -9 NIL 3053838) (-1128 3044029 3045790 3045839 "SPACE3" 3045844 NIL SPACE3 (NIL T) -8 NIL NIL) (-1127 3042783 3042954 3043244 "SORTPAK" 3043835 NIL SORTPAK (NIL T T) -7 NIL NIL) (-1126 3040833 3041136 3041555 "SOLVETRA" 3042447 NIL SOLVETRA (NIL T) -7 NIL NIL) (-1125 3039844 3040066 3040340 "SOLVESER" 3040606 NIL SOLVESER (NIL T) -7 NIL NIL) (-1124 3035064 3035945 3036947 "SOLVERAD" 3038896 NIL SOLVERAD (NIL T) -7 NIL NIL) (-1123 3030879 3031488 3032217 "SOLVEFOR" 3034431 NIL SOLVEFOR (NIL T T) -7 NIL NIL) (-1122 3025182 3030227 3030325 "SNTSCAT" 3030330 NIL SNTSCAT (NIL T T T T) -9 NIL 3030400) (-1121 3019280 3023507 3023897 "SMTS" 3024873 NIL SMTS (NIL T T T) -8 NIL NIL) (-1120 3013684 3019168 3019245 "SMP" 3019250 NIL SMP (NIL T T) -8 NIL NIL) (-1119 3011843 3012144 3012542 "SMITH" 3013381 NIL SMITH (NIL T T T T) -7 NIL NIL) (-1118 3004785 3008983 3009087 "SMATCAT" 3010438 NIL SMATCAT (NIL NIL T T T) -9 NIL 3010985) (-1117 3001725 3002548 3003726 "SMATCAT-" 3003731 NIL SMATCAT- (NIL T NIL T T T) -8 NIL NIL) (-1116 2999478 3000995 3001039 "SKAGG" 3001300 NIL SKAGG (NIL T) -9 NIL 3001435) (-1115 2995536 2998582 2998860 "SINT" 2999222 T SINT (NIL) -8 NIL NIL) (-1114 2995308 2995346 2995412 "SIMPAN" 2995492 T SIMPAN (NIL) -7 NIL NIL) (-1113 2994146 2994367 2994642 "SIGNRF" 2995067 NIL SIGNRF (NIL T) -7 NIL NIL) (-1112 2992951 2993102 2993393 "SIGNEF" 2993975 NIL SIGNEF (NIL T T) -7 NIL NIL) (-1111 2990643 2991097 2991602 "SHP" 2992493 NIL SHP (NIL T NIL) -7 NIL NIL) (-1110 2984424 2990544 2990620 "SHDP" 2990625 NIL SHDP (NIL NIL NIL T) -8 NIL NIL) (-1109 2983912 2984104 2984135 "SGROUP" 2984287 T SGROUP (NIL) -9 NIL 2984374) (-1108 2983682 2983734 2983838 "SGROUP-" 2983843 NIL SGROUP- (NIL T) -8 NIL NIL) (-1107 2980518 2981215 2981938 "SGCF" 2982981 T SGCF (NIL) -7 NIL NIL) (-1106 2974919 2979964 2980062 "SFRTCAT" 2980067 NIL SFRTCAT (NIL T T T T) -9 NIL 2980106) (-1105 2968343 2969358 2970494 "SFRGCD" 2973902 NIL SFRGCD (NIL T T T T T) -7 NIL NIL) (-1104 2961471 2962542 2963728 "SFQCMPK" 2967276 NIL SFQCMPK (NIL T T T T T) -7 NIL NIL) (-1103 2961093 2961182 2961292 "SFORT" 2961412 NIL SFORT (NIL T T) -8 NIL NIL) (-1102 2960238 2960933 2961054 "SEXOF" 2961059 NIL SEXOF (NIL T T T T T) -8 NIL NIL) (-1101 2959372 2960119 2960187 "SEX" 2960192 T SEX (NIL) -8 NIL NIL) (-1100 2954147 2954836 2954932 "SEXCAT" 2958703 NIL SEXCAT (NIL T T T T T) -9 NIL 2959322) (-1099 2951282 2954081 2954129 "SET" 2954134 NIL SET (NIL T) -8 NIL NIL) (-1098 2949516 2949995 2950300 "SETMN" 2951023 NIL SETMN (NIL NIL NIL) -8 NIL NIL) (-1097 2949121 2949247 2949278 "SETCAT" 2949395 T SETCAT (NIL) -9 NIL 2949480) (-1096 2948901 2948953 2949052 "SETCAT-" 2949057 NIL SETCAT- (NIL T) -8 NIL NIL) (-1095 2948564 2948714 2948745 "SETCATD" 2948804 T SETCATD (NIL) -9 NIL 2948851) (-1094 2944950 2947024 2947068 "SETAGG" 2947938 NIL SETAGG (NIL T) -9 NIL 2948278) (-1093 2944408 2944524 2944761 "SETAGG-" 2944766 NIL SETAGG- (NIL T T) -8 NIL NIL) (-1092 2943611 2943904 2943966 "SEGXCAT" 2944252 NIL SEGXCAT (NIL T T) -9 NIL 2944372) (-1091 2942671 2943281 2943461 "SEG" 2943466 NIL SEG (NIL T) -8 NIL NIL) (-1090 2941577 2941790 2941834 "SEGCAT" 2942416 NIL SEGCAT (NIL T) -9 NIL 2942654) (-1089 2940628 2940958 2941157 "SEGBIND" 2941413 NIL SEGBIND (NIL T) -8 NIL NIL) (-1088 2940249 2940308 2940421 "SEGBIND2" 2940563 NIL SEGBIND2 (NIL T T) -7 NIL NIL) (-1087 2939470 2939596 2939799 "SEG2" 2940094 NIL SEG2 (NIL T T) -7 NIL NIL) (-1086 2938907 2939405 2939452 "SDVAR" 2939457 NIL SDVAR (NIL T) -8 NIL NIL) (-1085 2931151 2938677 2938807 "SDPOL" 2938812 NIL SDPOL (NIL T) -8 NIL NIL) (-1084 2927174 2928203 2928850 "SD" 2930551 NIL SD (NIL T) -8 NIL NIL) (-1083 2925767 2926033 2926352 "SCPKG" 2926889 NIL SCPKG (NIL T) -7 NIL NIL) (-1082 2924988 2925121 2925300 "SCACHE" 2925622 NIL SCACHE (NIL T) -7 NIL NIL) (-1081 2924427 2924748 2924833 "SAOS" 2924925 T SAOS (NIL) -8 NIL NIL) (-1080 2923992 2924027 2924200 "SAERFFC" 2924386 NIL SAERFFC (NIL T T T) -7 NIL NIL) (-1079 2917836 2923889 2923969 "SAE" 2923974 NIL SAE (NIL T T NIL) -8 NIL NIL) (-1078 2917429 2917464 2917623 "SAEFACT" 2917795 NIL SAEFACT (NIL T T T) -7 NIL NIL) (-1077 2915750 2916064 2916465 "RURPK" 2917095 NIL RURPK (NIL T NIL) -7 NIL NIL) (-1076 2914386 2914665 2914977 "RULESET" 2915584 NIL RULESET (NIL T T T) -8 NIL NIL) (-1075 2911573 2912076 2912541 "RULE" 2914067 NIL RULE (NIL T T T) -8 NIL NIL) (-1074 2911212 2911367 2911450 "RULECOLD" 2911525 NIL RULECOLD (NIL NIL) -8 NIL NIL) (-1073 2906061 2906855 2907775 "RSETGCD" 2910411 NIL RSETGCD (NIL T T T T T) -7 NIL NIL) (-1072 2895324 2900369 2900467 "RSETCAT" 2904586 NIL RSETCAT (NIL T T T T) -9 NIL 2905683) (-1071 2893251 2893790 2894614 "RSETCAT-" 2894619 NIL RSETCAT- (NIL T T T T T) -8 NIL NIL) (-1070 2885638 2887013 2888533 "RSDCMPK" 2891850 NIL RSDCMPK (NIL T T T T T) -7 NIL NIL) (-1069 2883642 2884083 2884158 "RRCC" 2885244 NIL RRCC (NIL T T) -9 NIL 2885588) (-1068 2882993 2883167 2883446 "RRCC-" 2883451 NIL RRCC- (NIL T T T) -8 NIL NIL) (-1067 2857140 2866769 2866837 "RPOLCAT" 2877501 NIL RPOLCAT (NIL T T T) -9 NIL 2880649) (-1066 2848640 2850978 2854100 "RPOLCAT-" 2854105 NIL RPOLCAT- (NIL T T T T) -8 NIL NIL) (-1065 2839699 2846851 2847333 "ROUTINE" 2848180 T ROUTINE (NIL) -8 NIL NIL) (-1064 2836399 2839250 2839399 "ROMAN" 2839572 T ROMAN (NIL) -8 NIL NIL) (-1063 2834674 2835259 2835519 "ROIRC" 2836204 NIL ROIRC (NIL T T) -8 NIL NIL) (-1062 2831012 2833312 2833343 "RNS" 2833647 T RNS (NIL) -9 NIL 2833921) (-1061 2829521 2829904 2830438 "RNS-" 2830513 NIL RNS- (NIL T) -8 NIL NIL) (-1060 2828943 2829351 2829382 "RNG" 2829387 T RNG (NIL) -9 NIL 2829408) (-1059 2828334 2828696 2828740 "RMODULE" 2828802 NIL RMODULE (NIL T) -9 NIL 2828844) (-1058 2827170 2827264 2827600 "RMCAT2" 2828235 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) -7 NIL NIL) (-1057 2823879 2826348 2826671 "RMATRIX" 2826906 NIL RMATRIX (NIL NIL NIL T) -8 NIL NIL) (-1056 2816825 2819059 2819175 "RMATCAT" 2822534 NIL RMATCAT (NIL NIL NIL T T T) -9 NIL 2823511) (-1055 2816200 2816347 2816654 "RMATCAT-" 2816659 NIL RMATCAT- (NIL T NIL NIL T T T) -8 NIL NIL) (-1054 2815767 2815842 2815970 "RINTERP" 2816119 NIL RINTERP (NIL NIL T) -7 NIL NIL) (-1053 2814810 2815374 2815405 "RING" 2815517 T RING (NIL) -9 NIL 2815612) (-1052 2814602 2814646 2814743 "RING-" 2814748 NIL RING- (NIL T) -8 NIL NIL) (-1051 2813443 2813680 2813938 "RIDIST" 2814366 T RIDIST (NIL) -7 NIL NIL) (-1050 2804759 2812911 2813117 "RGCHAIN" 2813291 NIL RGCHAIN (NIL T NIL) -8 NIL NIL) (-1049 2803559 2803800 2804079 "RFP" 2804514 NIL RFP (NIL T) -7 NIL NIL) (-1048 2800553 2801167 2801837 "RF" 2802923 NIL RF (NIL T) -7 NIL NIL) (-1047 2800199 2800262 2800365 "RFFACTOR" 2800484 NIL RFFACTOR (NIL T) -7 NIL NIL) (-1046 2799924 2799959 2800056 "RFFACT" 2800158 NIL RFFACT (NIL T) -7 NIL NIL) (-1045 2798041 2798405 2798787 "RFDIST" 2799564 T RFDIST (NIL) -7 NIL NIL) (-1044 2797494 2797586 2797749 "RETSOL" 2797943 NIL RETSOL (NIL T T) -7 NIL NIL) (-1043 2797081 2797161 2797205 "RETRACT" 2797398 NIL RETRACT (NIL T) -9 NIL NIL) (-1042 2796930 2796955 2797042 "RETRACT-" 2797047 NIL RETRACT- (NIL T T) -8 NIL NIL) (-1041 2789796 2796583 2796710 "RESULT" 2796825 T RESULT (NIL) -8 NIL NIL) (-1040 2788376 2789065 2789264 "RESRING" 2789699 NIL RESRING (NIL T T T T NIL) -8 NIL NIL) (-1039 2788012 2788061 2788159 "RESLATC" 2788313 NIL RESLATC (NIL T) -7 NIL NIL) (-1038 2787718 2787752 2787859 "REPSQ" 2787971 NIL REPSQ (NIL T) -7 NIL NIL) (-1037 2785140 2785720 2786322 "REP" 2787138 T REP (NIL) -7 NIL NIL) (-1036 2784838 2784872 2784983 "REPDB" 2785099 NIL REPDB (NIL T) -7 NIL NIL) (-1035 2778756 2780135 2781354 "REP2" 2783654 NIL REP2 (NIL T) -7 NIL NIL) (-1034 2775137 2775818 2776624 "REP1" 2777985 NIL REP1 (NIL T) -7 NIL NIL) (-1033 2767863 2773278 2773734 "REGSET" 2774767 NIL REGSET (NIL T T T T) -8 NIL NIL) (-1032 2766678 2767013 2767262 "REF" 2767649 NIL REF (NIL T) -8 NIL NIL) (-1031 2766055 2766158 2766325 "REDORDER" 2766562 NIL REDORDER (NIL T T) -7 NIL NIL) (-1030 2762917 2763383 2763992 "RECOP" 2765589 NIL RECOP (NIL T T) -7 NIL NIL) (-1029 2758857 2762130 2762357 "RECLOS" 2762745 NIL RECLOS (NIL T) -8 NIL NIL) (-1028 2757909 2758090 2758305 "REALSOLV" 2758664 T REALSOLV (NIL) -7 NIL NIL) (-1027 2757754 2757795 2757826 "REAL" 2757831 T REAL (NIL) -9 NIL 2757866) (-1026 2754237 2755039 2755923 "REAL0Q" 2756919 NIL REAL0Q (NIL T) -7 NIL NIL) (-1025 2749838 2750826 2751887 "REAL0" 2753218 NIL REAL0 (NIL T) -7 NIL NIL) (-1024 2749243 2749315 2749522 "RDIV" 2749760 NIL RDIV (NIL T T T T T) -7 NIL NIL) (-1023 2748311 2748485 2748698 "RDIST" 2749065 NIL RDIST (NIL T) -7 NIL NIL) (-1022 2746908 2747195 2747567 "RDETRS" 2748019 NIL RDETRS (NIL T T) -7 NIL NIL) (-1021 2744720 2745174 2745712 "RDETR" 2746450 NIL RDETR (NIL T T) -7 NIL NIL) (-1020 2743331 2743609 2744013 "RDEEFS" 2744436 NIL RDEEFS (NIL T T) -7 NIL NIL) (-1019 2741826 2742132 2742564 "RDEEF" 2743019 NIL RDEEF (NIL T T) -7 NIL NIL) (-1018 2736017 2738952 2738983 "RCFIELD" 2740278 T RCFIELD (NIL) -9 NIL 2741009) (-1017 2734081 2734585 2735281 "RCFIELD-" 2735356 NIL RCFIELD- (NIL T) -8 NIL NIL) (-1016 2730439 2732218 2732262 "RCAGG" 2733346 NIL RCAGG (NIL T) -9 NIL 2733809) (-1015 2730067 2730161 2730324 "RCAGG-" 2730329 NIL RCAGG- (NIL T T) -8 NIL NIL) (-1014 2729403 2729514 2729679 "RATRET" 2729951 NIL RATRET (NIL T) -7 NIL NIL) (-1013 2728956 2729023 2729144 "RATFACT" 2729331 NIL RATFACT (NIL T) -7 NIL NIL) (-1012 2728264 2728384 2728536 "RANDSRC" 2728826 T RANDSRC (NIL) -7 NIL NIL) (-1011 2727998 2728042 2728115 "RADUTIL" 2728213 T RADUTIL (NIL) -7 NIL NIL) (-1010 2720986 2726731 2727050 "RADIX" 2727713 NIL RADIX (NIL NIL) -8 NIL NIL) (-1009 2712497 2720828 2720958 "RADFF" 2720963 NIL RADFF (NIL T T T NIL NIL) -8 NIL NIL) (-1008 2712143 2712218 2712249 "RADCAT" 2712409 T RADCAT (NIL) -9 NIL NIL) (-1007 2711925 2711973 2712073 "RADCAT-" 2712078 NIL RADCAT- (NIL T) -8 NIL NIL) (-1006 2705170 2706788 2707942 "QUEUE" 2710806 NIL QUEUE (NIL T) -8 NIL NIL) (-1005 2701657 2705103 2705151 "QUAT" 2705156 NIL QUAT (NIL T) -8 NIL NIL) (-1004 2701288 2701331 2701462 "QUATCT2" 2701608 NIL QUATCT2 (NIL T T T T) -7 NIL NIL) (-1003 2695012 2698396 2698439 "QUATCAT" 2699230 NIL QUATCAT (NIL T) -9 NIL 2699988) (-1002 2691151 2692188 2693578 "QUATCAT-" 2693674 NIL QUATCAT- (NIL T T) -8 NIL NIL) (-1001 2688703 2690261 2690305 "QUAGG" 2690686 NIL QUAGG (NIL T) -9 NIL 2690861) (-1000 2687623 2688096 2688270 "QFORM" 2688575 NIL QFORM (NIL NIL T) -8 NIL NIL) (-999 2678850 2684117 2684158 "QFCAT" 2684816 NIL QFCAT (NIL T) -9 NIL 2685805) (-998 2674422 2675623 2677214 "QFCAT-" 2677308 NIL QFCAT- (NIL T T) -8 NIL NIL) (-997 2674060 2674103 2674230 "QFCAT2" 2674373 NIL QFCAT2 (NIL T T T T) -7 NIL NIL) (-996 2673520 2673630 2673760 "QEQUAT" 2673950 T QEQUAT (NIL) -8 NIL NIL) (-995 2666668 2667739 2668923 "QCMPACK" 2672453 NIL QCMPACK (NIL T T T T T) -7 NIL NIL) (-994 2664248 2664669 2665095 "QALGSET" 2666325 NIL QALGSET (NIL T T T T) -8 NIL NIL) (-993 2663493 2663667 2663899 "QALGSET2" 2664068 NIL QALGSET2 (NIL NIL NIL) -7 NIL NIL) (-992 2662184 2662407 2662724 "PWFFINTB" 2663266 NIL PWFFINTB (NIL T T T T) -7 NIL NIL) (-991 2660366 2660534 2660888 "PUSHVAR" 2661998 NIL PUSHVAR (NIL T T T T) -7 NIL NIL) (-990 2656283 2657337 2657379 "PTRANFN" 2659263 NIL PTRANFN (NIL T) -9 NIL NIL) (-989 2654685 2654976 2655298 "PTPACK" 2655994 NIL PTPACK (NIL T) -7 NIL NIL) (-988 2654317 2654374 2654483 "PTFUNC2" 2654622 NIL PTFUNC2 (NIL T T) -7 NIL NIL) (-987 2648817 2653151 2653193 "PTCAT" 2653566 NIL PTCAT (NIL T) -9 NIL 2653728) (-986 2648475 2648510 2648634 "PSQFR" 2648776 NIL PSQFR (NIL T T T T) -7 NIL NIL) (-985 2647062 2647362 2647698 "PSEUDLIN" 2648171 NIL PSEUDLIN (NIL T) -7 NIL NIL) (-984 2633838 2636202 2638523 "PSETPK" 2644825 NIL PSETPK (NIL T T T T) -7 NIL NIL) (-983 2626882 2629596 2629693 "PSETCAT" 2632714 NIL PSETCAT (NIL T T T T) -9 NIL 2633527) (-982 2624718 2625352 2626173 "PSETCAT-" 2626178 NIL PSETCAT- (NIL T T T T T) -8 NIL NIL) (-981 2624067 2624231 2624260 "PSCURVE" 2624528 T PSCURVE (NIL) -9 NIL 2624695) (-980 2620456 2621982 2622048 "PSCAT" 2622892 NIL PSCAT (NIL T T T) -9 NIL 2623132) (-979 2619519 2619735 2620135 "PSCAT-" 2620140 NIL PSCAT- (NIL T T T T) -8 NIL NIL) (-978 2618172 2618804 2619018 "PRTITION" 2619325 T PRTITION (NIL) -8 NIL NIL) (-977 2615336 2615985 2616026 "PRSPCAT" 2617540 NIL PRSPCAT (NIL T) -9 NIL 2618108) (-976 2604436 2606642 2608829 "PRS" 2613199 NIL PRS (NIL T T) -7 NIL NIL) (-975 2602334 2603820 2603861 "PRQAGG" 2604044 NIL PRQAGG (NIL T) -9 NIL 2604146) (-974 2601603 2602259 2602316 "PROJSP" 2602321 NIL PROJSP (NIL NIL T) -8 NIL NIL) (-973 2600785 2601526 2601578 "PROJPLPS" 2601583 NIL PROJPLPS (NIL T) -8 NIL NIL) (-972 2600044 2600722 2600767 "PROJPL" 2600772 NIL PROJPL (NIL T) -8 NIL NIL) (-971 2593779 2598242 2599046 "PRODUCT" 2599286 NIL PRODUCT (NIL T T) -8 NIL NIL) (-970 2591054 2593243 2593474 "PR" 2593593 NIL PR (NIL T T) -8 NIL NIL) (-969 2589606 2589763 2590058 "PRJALGPK" 2590894 NIL PRJALGPK (NIL T NIL T T T) -7 NIL NIL) (-968 2589402 2589434 2589493 "PRINT" 2589567 T PRINT (NIL) -7 NIL NIL) (-967 2588742 2588859 2589011 "PRIMES" 2589282 NIL PRIMES (NIL T) -7 NIL NIL) (-966 2586807 2587208 2587674 "PRIMELT" 2588321 NIL PRIMELT (NIL T) -7 NIL NIL) (-965 2586535 2586584 2586613 "PRIMCAT" 2586737 T PRIMCAT (NIL) -9 NIL NIL) (-964 2582702 2586473 2586518 "PRIMARR" 2586523 NIL PRIMARR (NIL T) -8 NIL NIL) (-963 2581709 2581887 2582115 "PRIMARR2" 2582520 NIL PRIMARR2 (NIL T T) -7 NIL NIL) (-962 2581352 2581408 2581519 "PREASSOC" 2581647 NIL PREASSOC (NIL T T) -7 NIL NIL) (-961 2580827 2580959 2580988 "PPCURVE" 2581193 T PPCURVE (NIL) -9 NIL 2581329) (-960 2575225 2576376 2577555 "POLYVEC" 2579668 T POLYVEC (NIL) -7 NIL NIL) (-959 2572586 2572985 2573576 "POLYROOT" 2574807 NIL POLYROOT (NIL T T T T T) -7 NIL NIL) (-958 2566487 2572192 2572351 "POLY" 2572460 NIL POLY (NIL T) -8 NIL NIL) (-957 2565870 2565928 2566162 "POLYLIFT" 2566423 NIL POLYLIFT (NIL T T T T T) -7 NIL NIL) (-956 2562145 2562594 2563223 "POLYCATQ" 2565415 NIL POLYCATQ (NIL T T T T T) -7 NIL NIL) (-955 2549107 2554507 2554573 "POLYCAT" 2558087 NIL POLYCAT (NIL T T T) -9 NIL 2560000) (-954 2542557 2544418 2546802 "POLYCAT-" 2546807 NIL POLYCAT- (NIL T T T T) -8 NIL NIL) (-953 2542144 2542212 2542332 "POLY2UP" 2542483 NIL POLY2UP (NIL NIL T) -7 NIL NIL) (-952 2541776 2541833 2541942 "POLY2" 2542081 NIL POLY2 (NIL T T) -7 NIL NIL) (-951 2540463 2540702 2540977 "POLUTIL" 2541551 NIL POLUTIL (NIL T T) -7 NIL NIL) (-950 2538818 2539095 2539426 "POLTOPOL" 2540185 NIL POLTOPOL (NIL NIL T) -7 NIL NIL) (-949 2534340 2538754 2538800 "POINT" 2538805 NIL POINT (NIL T) -8 NIL NIL) (-948 2532527 2532884 2533259 "PNTHEORY" 2533985 T PNTHEORY (NIL) -7 NIL NIL) (-947 2530946 2531243 2531655 "PMTOOLS" 2532225 NIL PMTOOLS (NIL T T T) -7 NIL NIL) (-946 2530539 2530617 2530734 "PMSYM" 2530862 NIL PMSYM (NIL T) -7 NIL NIL) (-945 2530049 2530118 2530292 "PMQFCAT" 2530464 NIL PMQFCAT (NIL T T T) -7 NIL NIL) (-944 2529404 2529514 2529670 "PMPRED" 2529926 NIL PMPRED (NIL T) -7 NIL NIL) (-943 2528800 2528886 2529047 "PMPREDFS" 2529305 NIL PMPREDFS (NIL T T T) -7 NIL NIL) (-942 2527445 2527653 2528037 "PMPLCAT" 2528563 NIL PMPLCAT (NIL T T T T T) -7 NIL NIL) (-941 2526977 2527056 2527208 "PMLSAGG" 2527360 NIL PMLSAGG (NIL T T T) -7 NIL NIL) (-940 2526452 2526528 2526709 "PMKERNEL" 2526895 NIL PMKERNEL (NIL T T) -7 NIL NIL) (-939 2526069 2526144 2526257 "PMINS" 2526371 NIL PMINS (NIL T) -7 NIL NIL) (-938 2525497 2525566 2525782 "PMFS" 2525994 NIL PMFS (NIL T T T) -7 NIL NIL) (-937 2524725 2524843 2525048 "PMDOWN" 2525374 NIL PMDOWN (NIL T T T) -7 NIL NIL) (-936 2523888 2524047 2524229 "PMASS" 2524563 T PMASS (NIL) -7 NIL NIL) (-935 2523162 2523273 2523436 "PMASSFS" 2523774 NIL PMASSFS (NIL T T) -7 NIL NIL) (-934 2520922 2521175 2521558 "PLPKCRV" 2522886 NIL PLPKCRV (NIL T T T NIL T) -7 NIL NIL) (-933 2520577 2520645 2520739 "PLOTTOOL" 2520848 T PLOTTOOL (NIL) -7 NIL NIL) (-932 2515199 2516388 2517536 "PLOT" 2519449 T PLOT (NIL) -8 NIL NIL) (-931 2511013 2512047 2512968 "PLOT3D" 2514298 T PLOT3D (NIL) -8 NIL NIL) (-930 2509925 2510102 2510337 "PLOT1" 2510817 NIL PLOT1 (NIL T) -7 NIL NIL) (-929 2485344 2490009 2494854 "PLEQN" 2505197 NIL PLEQN (NIL T T T T) -7 NIL NIL) (-928 2484584 2485254 2485321 "PLCS" 2485326 NIL PLCS (NIL T T) -8 NIL NIL) (-927 2483735 2484469 2484540 "PLACESPS" 2484545 NIL PLACESPS (NIL T) -8 NIL NIL) (-926 2482942 2483648 2483705 "PLACES" 2483710 NIL PLACES (NIL T) -8 NIL NIL) (-925 2479666 2480330 2480389 "PLACESC" 2482307 NIL PLACESC (NIL T T) -9 NIL 2482878) (-924 2478984 2479106 2479286 "PINTERP" 2479531 NIL PINTERP (NIL NIL T) -7 NIL NIL) (-923 2478677 2478724 2478827 "PINTERPA" 2478931 NIL PINTERPA (NIL T T) -7 NIL NIL) (-922 2477904 2478471 2478564 "PI" 2478604 T PI (NIL) -8 NIL NIL) (-921 2476291 2477276 2477305 "PID" 2477487 T PID (NIL) -9 NIL 2477621) (-920 2476016 2476053 2476141 "PICOERCE" 2476248 NIL PICOERCE (NIL T) -7 NIL NIL) (-919 2475337 2475475 2475651 "PGROEB" 2475872 NIL PGROEB (NIL T) -7 NIL NIL) (-918 2470924 2471738 2472643 "PGE" 2474452 T PGE (NIL) -7 NIL NIL) (-917 2469048 2469294 2469660 "PGCD" 2470641 NIL PGCD (NIL T T T T) -7 NIL NIL) (-916 2468386 2468489 2468650 "PFRPAC" 2468932 NIL PFRPAC (NIL T) -7 NIL NIL) (-915 2465001 2466934 2467287 "PFR" 2468065 NIL PFR (NIL T) -8 NIL NIL) (-914 2463390 2463634 2463959 "PFOTOOLS" 2464748 NIL PFOTOOLS (NIL T T) -7 NIL NIL) (-913 2458255 2458920 2459669 "PFORP" 2462732 NIL PFORP (NIL T T T NIL) -7 NIL NIL) (-912 2456788 2457027 2457378 "PFOQ" 2458012 NIL PFOQ (NIL T T T) -7 NIL NIL) (-911 2455261 2455473 2455836 "PFO" 2456572 NIL PFO (NIL T T T T T) -7 NIL NIL) (-910 2451759 2455150 2455219 "PF" 2455224 NIL PF (NIL NIL) -8 NIL NIL) (-909 2449184 2450465 2450494 "PFECAT" 2451079 T PFECAT (NIL) -9 NIL 2451462) (-908 2448629 2448783 2448997 "PFECAT-" 2449002 NIL PFECAT- (NIL T) -8 NIL NIL) (-907 2447233 2447484 2447785 "PFBRU" 2448378 NIL PFBRU (NIL T T) -7 NIL NIL) (-906 2445100 2445451 2445883 "PFBR" 2446884 NIL PFBR (NIL T T T T) -7 NIL NIL) (-905 2440956 2442480 2443154 "PERM" 2444459 NIL PERM (NIL T) -8 NIL NIL) (-904 2436223 2437163 2438033 "PERMGRP" 2440119 NIL PERMGRP (NIL T) -8 NIL NIL) (-903 2434294 2435287 2435329 "PERMCAT" 2435775 NIL PERMCAT (NIL T) -9 NIL 2436078) (-902 2433947 2433988 2434112 "PERMAN" 2434247 NIL PERMAN (NIL NIL T) -7 NIL NIL) (-901 2431393 2433516 2433647 "PENDTREE" 2433849 NIL PENDTREE (NIL T) -8 NIL NIL) (-900 2429461 2430239 2430281 "PDRING" 2430938 NIL PDRING (NIL T) -9 NIL 2431224) (-899 2428564 2428782 2429144 "PDRING-" 2429149 NIL PDRING- (NIL T T) -8 NIL NIL) (-898 2425706 2426456 2427147 "PDEPROB" 2427893 T PDEPROB (NIL) -8 NIL NIL) (-897 2423253 2423755 2424310 "PDEPACK" 2425171 T PDEPACK (NIL) -7 NIL NIL) (-896 2422165 2422355 2422606 "PDECOMP" 2423052 NIL PDECOMP (NIL T T) -7 NIL NIL) (-895 2419769 2420586 2420615 "PDECAT" 2421402 T PDECAT (NIL) -9 NIL 2422115) (-894 2419520 2419553 2419643 "PCOMP" 2419730 NIL PCOMP (NIL T T) -7 NIL NIL) (-893 2417725 2418321 2418618 "PBWLB" 2419249 NIL PBWLB (NIL T) -8 NIL NIL) (-892 2410230 2411798 2413136 "PATTERN" 2416408 NIL PATTERN (NIL T) -8 NIL NIL) (-891 2409862 2409919 2410028 "PATTERN2" 2410167 NIL PATTERN2 (NIL T T) -7 NIL NIL) (-890 2407619 2408007 2408464 "PATTERN1" 2409451 NIL PATTERN1 (NIL T T) -7 NIL NIL) (-889 2405014 2405568 2406049 "PATRES" 2407184 NIL PATRES (NIL T T) -8 NIL NIL) (-888 2404578 2404645 2404777 "PATRES2" 2404941 NIL PATRES2 (NIL T T T) -7 NIL NIL) (-887 2402461 2402866 2403273 "PATMATCH" 2404245 NIL PATMATCH (NIL T T T) -7 NIL NIL) (-886 2401996 2402179 2402221 "PATMAB" 2402328 NIL PATMAB (NIL T) -9 NIL 2402411) (-885 2400541 2400850 2401108 "PATLRES" 2401801 NIL PATLRES (NIL T T T) -8 NIL NIL) (-884 2400088 2400211 2400253 "PATAB" 2400258 NIL PATAB (NIL T) -9 NIL 2400428) (-883 2397569 2398101 2398674 "PARTPERM" 2399535 T PARTPERM (NIL) -7 NIL NIL) (-882 2397190 2397253 2397355 "PARSURF" 2397500 NIL PARSURF (NIL T) -8 NIL NIL) (-881 2396822 2396879 2396988 "PARSU2" 2397127 NIL PARSU2 (NIL T T) -7 NIL NIL) (-880 2396443 2396506 2396608 "PARSCURV" 2396753 NIL PARSCURV (NIL T) -8 NIL NIL) (-879 2396075 2396132 2396241 "PARSC2" 2396380 NIL PARSC2 (NIL T T) -7 NIL NIL) (-878 2395714 2395772 2395869 "PARPCURV" 2396011 NIL PARPCURV (NIL T) -8 NIL NIL) (-877 2395346 2395403 2395512 "PARPC2" 2395651 NIL PARPC2 (NIL T T) -7 NIL NIL) (-876 2393826 2393944 2394263 "PARAMP" 2395201 NIL PARAMP (NIL T NIL T T T T T) -7 NIL NIL) (-875 2393346 2393432 2393551 "PAN2EXPR" 2393727 T PAN2EXPR (NIL) -7 NIL NIL) (-874 2392152 2392467 2392695 "PALETTE" 2393138 T PALETTE (NIL) -8 NIL NIL) (-873 2379785 2381951 2384067 "PAFF" 2390100 NIL PAFF (NIL T NIL T) -7 NIL NIL) (-872 2366781 2369109 2371320 "PAFFFF" 2377638 NIL PAFFFF (NIL T NIL T) -7 NIL NIL) (-871 2360622 2366040 2366234 "PADICRC" 2366636 NIL PADICRC (NIL NIL T) -8 NIL NIL) (-870 2353821 2359968 2360152 "PADICRAT" 2360470 NIL PADICRAT (NIL NIL) -8 NIL NIL) (-869 2352125 2353758 2353803 "PADIC" 2353808 NIL PADIC (NIL NIL) -8 NIL NIL) (-868 2349325 2350899 2350940 "PADICCT" 2351521 NIL PADICCT (NIL NIL) -9 NIL 2351803) (-867 2348282 2348482 2348750 "PADEPAC" 2349112 NIL PADEPAC (NIL T NIL NIL) -7 NIL NIL) (-866 2347494 2347627 2347833 "PADE" 2348144 NIL PADE (NIL T T T) -7 NIL NIL) (-865 2343971 2347112 2347231 "PACRAT" 2347395 T PACRAT (NIL) -8 NIL NIL) (-864 2340032 2343082 2343111 "PACRATC" 2343116 T PACRATC (NIL) -9 NIL 2343196) (-863 2336154 2338119 2338148 "PACPERC" 2339094 T PACPERC (NIL) -9 NIL 2339534) (-862 2332799 2335928 2336019 "PACOFF" 2336095 NIL PACOFF (NIL T) -8 NIL NIL) (-861 2329469 2332154 2332183 "PACFFC" 2332188 T PACFFC (NIL) -9 NIL 2332209) (-860 2325559 2329152 2329253 "PACEXT" 2329400 NIL PACEXT (NIL NIL) -8 NIL NIL) (-859 2320937 2324454 2324483 "PACEXTC" 2324488 T PACEXTC (NIL) -9 NIL 2324532) (-858 2318945 2319777 2320092 "OWP" 2320706 NIL OWP (NIL T NIL NIL NIL) -8 NIL NIL) (-857 2318029 2318550 2318722 "OVAR" 2318813 NIL OVAR (NIL NIL) -8 NIL NIL) (-856 2317293 2317414 2317575 "OUT" 2317888 T OUT (NIL) -7 NIL NIL) (-855 2306339 2308518 2310688 "OUTFORM" 2315143 T OUTFORM (NIL) -8 NIL NIL) (-854 2305747 2306068 2306157 "OSI" 2306270 T OSI (NIL) -8 NIL NIL) (-853 2304494 2304721 2305005 "ORTHPOL" 2305495 NIL ORTHPOL (NIL T) -7 NIL NIL) (-852 2301856 2304151 2304291 "OREUP" 2304437 NIL OREUP (NIL NIL T NIL NIL) -8 NIL NIL) (-851 2299243 2301545 2301673 "ORESUP" 2301798 NIL ORESUP (NIL T NIL NIL) -8 NIL NIL) (-850 2296751 2297257 2297822 "OREPCTO" 2298728 NIL OREPCTO (NIL T T) -7 NIL NIL) (-849 2290621 2292832 2292874 "OREPCAT" 2295222 NIL OREPCAT (NIL T) -9 NIL 2296322) (-848 2287768 2288550 2289608 "OREPCAT-" 2289613 NIL OREPCAT- (NIL T T) -8 NIL NIL) (-847 2286944 2287216 2287245 "ORDSET" 2287554 T ORDSET (NIL) -9 NIL 2287718) (-846 2286463 2286585 2286778 "ORDSET-" 2286783 NIL ORDSET- (NIL T) -8 NIL NIL) (-845 2285072 2285873 2285902 "ORDRING" 2286104 T ORDRING (NIL) -9 NIL 2286229) (-844 2284717 2284811 2284955 "ORDRING-" 2284960 NIL ORDRING- (NIL T) -8 NIL NIL) (-843 2284091 2284572 2284601 "ORDMON" 2284606 T ORDMON (NIL) -9 NIL 2284627) (-842 2283253 2283400 2283595 "ORDFUNS" 2283940 NIL ORDFUNS (NIL NIL T) -7 NIL NIL) (-841 2282739 2283122 2283151 "ORDFIN" 2283156 T ORDFIN (NIL) -9 NIL 2283177) (-840 2279251 2281331 2281737 "ORDCOMP" 2282366 NIL ORDCOMP (NIL T) -8 NIL NIL) (-839 2278517 2278644 2278830 "ORDCOMP2" 2279111 NIL ORDCOMP2 (NIL T T) -7 NIL NIL) (-838 2275025 2275907 2276744 "OPTPROB" 2277700 T OPTPROB (NIL) -8 NIL NIL) (-837 2271827 2272466 2273170 "OPTPACK" 2274341 T OPTPACK (NIL) -7 NIL NIL) (-836 2269539 2270279 2270308 "OPTCAT" 2271127 T OPTCAT (NIL) -9 NIL 2271777) (-835 2269307 2269346 2269412 "OPQUERY" 2269493 T OPQUERY (NIL) -7 NIL NIL) (-834 2266433 2267624 2268125 "OP" 2268839 NIL OP (NIL T) -8 NIL NIL) (-833 2263198 2265236 2265602 "ONECOMP" 2266100 NIL ONECOMP (NIL T) -8 NIL NIL) (-832 2262503 2262618 2262792 "ONECOMP2" 2263070 NIL ONECOMP2 (NIL T T) -7 NIL NIL) (-831 2261922 2262028 2262158 "OMSERVER" 2262393 T OMSERVER (NIL) -7 NIL NIL) (-830 2258809 2261361 2261402 "OMSAGG" 2261463 NIL OMSAGG (NIL T) -9 NIL 2261527) (-829 2257432 2257695 2257977 "OMPKG" 2258547 T OMPKG (NIL) -7 NIL NIL) (-828 2256861 2256964 2256993 "OM" 2257292 T OM (NIL) -9 NIL NIL) (-827 2255399 2256412 2256580 "OMLO" 2256743 NIL OMLO (NIL T T) -8 NIL NIL) (-826 2254324 2254471 2254698 "OMEXPR" 2255225 NIL OMEXPR (NIL T) -7 NIL NIL) (-825 2253642 2253870 2254006 "OMERR" 2254208 T OMERR (NIL) -8 NIL NIL) (-824 2252820 2253063 2253223 "OMERRK" 2253502 T OMERRK (NIL) -8 NIL NIL) (-823 2252298 2252497 2252605 "OMENC" 2252732 T OMENC (NIL) -8 NIL NIL) (-822 2246193 2247378 2248549 "OMDEV" 2251147 T OMDEV (NIL) -8 NIL NIL) (-821 2245262 2245433 2245627 "OMCONN" 2246019 T OMCONN (NIL) -8 NIL NIL) (-820 2243873 2244859 2244888 "OINTDOM" 2244893 T OINTDOM (NIL) -9 NIL 2244914) (-819 2239524 2240779 2241523 "OFMONOID" 2243161 NIL OFMONOID (NIL T) -8 NIL NIL) (-818 2238962 2239461 2239506 "ODVAR" 2239511 NIL ODVAR (NIL T) -8 NIL NIL) (-817 2236089 2238461 2238645 "ODR" 2238838 NIL ODR (NIL T T NIL) -8 NIL NIL) (-816 2228387 2235865 2235991 "ODPOL" 2235996 NIL ODPOL (NIL T) -8 NIL NIL) (-815 2222138 2228259 2228364 "ODP" 2228369 NIL ODP (NIL NIL T NIL) -8 NIL NIL) (-814 2220904 2221119 2221394 "ODETOOLS" 2221912 NIL ODETOOLS (NIL T T) -7 NIL NIL) (-813 2217873 2218529 2219245 "ODESYS" 2220237 NIL ODESYS (NIL T T) -7 NIL NIL) (-812 2212757 2213665 2214689 "ODERTRIC" 2216949 NIL ODERTRIC (NIL T T) -7 NIL NIL) (-811 2212183 2212265 2212459 "ODERED" 2212669 NIL ODERED (NIL T T T T T) -7 NIL NIL) (-810 2209071 2209619 2210296 "ODERAT" 2211606 NIL ODERAT (NIL T T) -7 NIL NIL) (-809 2206031 2206495 2207092 "ODEPRRIC" 2208600 NIL ODEPRRIC (NIL T T T T) -7 NIL NIL) (-808 2203902 2204469 2204978 "ODEPROB" 2205542 T ODEPROB (NIL) -8 NIL NIL) (-807 2200424 2200907 2201554 "ODEPRIM" 2203381 NIL ODEPRIM (NIL T T T T) -7 NIL NIL) (-806 2199673 2199775 2200035 "ODEPAL" 2200316 NIL ODEPAL (NIL T T T T) -7 NIL NIL) (-805 2195835 2196626 2197490 "ODEPACK" 2198829 T ODEPACK (NIL) -7 NIL NIL) (-804 2194868 2194975 2195204 "ODEINT" 2195724 NIL ODEINT (NIL T T) -7 NIL NIL) (-803 2188969 2190394 2191841 "ODEIFTBL" 2193441 T ODEIFTBL (NIL) -8 NIL NIL) (-802 2184304 2185090 2186049 "ODEEF" 2188128 NIL ODEEF (NIL T T) -7 NIL NIL) (-801 2183639 2183728 2183958 "ODECONST" 2184209 NIL ODECONST (NIL T T T) -7 NIL NIL) (-800 2181789 2182424 2182453 "ODECAT" 2183058 T ODECAT (NIL) -9 NIL 2183589) (-799 2178588 2181494 2181616 "OCT" 2181699 NIL OCT (NIL T) -8 NIL NIL) (-798 2178226 2178269 2178396 "OCTCT2" 2178539 NIL OCTCT2 (NIL T T T T) -7 NIL NIL) (-797 2173006 2175494 2175535 "OC" 2176632 NIL OC (NIL T) -9 NIL 2177482) (-796 2170233 2170981 2171971 "OC-" 2172065 NIL OC- (NIL T T) -8 NIL NIL) (-795 2169610 2170052 2170081 "OCAMON" 2170086 T OCAMON (NIL) -9 NIL 2170107) (-794 2169062 2169469 2169498 "OASGP" 2169503 T OASGP (NIL) -9 NIL 2169523) (-793 2168348 2168811 2168840 "OAMONS" 2168880 T OAMONS (NIL) -9 NIL 2168923) (-792 2167787 2168194 2168223 "OAMON" 2168228 T OAMON (NIL) -9 NIL 2168248) (-791 2167090 2167582 2167611 "OAGROUP" 2167616 T OAGROUP (NIL) -9 NIL 2167636) (-790 2166780 2166830 2166918 "NUMTUBE" 2167034 NIL NUMTUBE (NIL T) -7 NIL NIL) (-789 2160353 2161871 2163407 "NUMQUAD" 2165264 T NUMQUAD (NIL) -7 NIL NIL) (-788 2156109 2157097 2158122 "NUMODE" 2159348 T NUMODE (NIL) -7 NIL NIL) (-787 2153489 2154343 2154372 "NUMINT" 2155295 T NUMINT (NIL) -9 NIL 2156059) (-786 2152437 2152634 2152852 "NUMFMT" 2153291 T NUMFMT (NIL) -7 NIL NIL) (-785 2138815 2141757 2144281 "NUMERIC" 2149952 NIL NUMERIC (NIL T) -7 NIL NIL) (-784 2133218 2138263 2138359 "NTSCAT" 2138364 NIL NTSCAT (NIL T T T T) -9 NIL 2138403) (-783 2132414 2132579 2132771 "NTPOLFN" 2133058 NIL NTPOLFN (NIL T) -7 NIL NIL) (-782 2120210 2129241 2130052 "NSUP" 2131636 NIL NSUP (NIL T) -8 NIL NIL) (-781 2119842 2119899 2120008 "NSUP2" 2120147 NIL NSUP2 (NIL T T) -7 NIL NIL) (-780 2109793 2119616 2119749 "NSMP" 2119754 NIL NSMP (NIL T T) -8 NIL NIL) (-779 2097885 2109375 2109539 "NSDPS" 2109661 NIL NSDPS (NIL T) -8 NIL NIL) (-778 2096317 2096618 2096975 "NREP" 2097573 NIL NREP (NIL T) -7 NIL NIL) (-777 2093406 2093954 2094603 "NPOLYGON" 2095759 NIL NPOLYGON (NIL T T T NIL) -7 NIL NIL) (-776 2091997 2092249 2092607 "NPCOEF" 2093149 NIL NPCOEF (NIL T T T T T) -7 NIL NIL) (-775 2091279 2091781 2091865 "NOTTING" 2091945 NIL NOTTING (NIL T) -8 NIL NIL) (-774 2090345 2090460 2090676 "NORMRETR" 2091160 NIL NORMRETR (NIL T T T T NIL) -7 NIL NIL) (-773 2088386 2088676 2089085 "NORMPK" 2090053 NIL NORMPK (NIL T T T T T) -7 NIL NIL) (-772 2088071 2088099 2088223 "NORMMA" 2088352 NIL NORMMA (NIL T T T T) -7 NIL NIL) (-771 2087898 2088028 2088057 "NONE" 2088062 T NONE (NIL) -8 NIL NIL) (-770 2087687 2087716 2087785 "NONE1" 2087862 NIL NONE1 (NIL T) -7 NIL NIL) (-769 2087170 2087232 2087418 "NODE1" 2087619 NIL NODE1 (NIL T T) -7 NIL NIL) (-768 2085464 2086333 2086588 "NNI" 2086935 T NNI (NIL) -8 NIL NIL) (-767 2083884 2084197 2084561 "NLINSOL" 2085132 NIL NLINSOL (NIL T) -7 NIL NIL) (-766 2080052 2081019 2081941 "NIPROB" 2082982 T NIPROB (NIL) -8 NIL NIL) (-765 2078809 2079043 2079345 "NFINTBAS" 2079814 NIL NFINTBAS (NIL T T) -7 NIL NIL) (-764 2078538 2078581 2078662 "NEWTON" 2078760 NIL NEWTON (NIL T) -7 NIL NIL) (-763 2077246 2077477 2077758 "NCODIV" 2078306 NIL NCODIV (NIL T T) -7 NIL NIL) (-762 2077008 2077045 2077120 "NCNTFRAC" 2077203 NIL NCNTFRAC (NIL T) -7 NIL NIL) (-761 2075188 2075552 2075972 "NCEP" 2076633 NIL NCEP (NIL T) -7 NIL NIL) (-760 2074098 2074837 2074866 "NASRING" 2074976 T NASRING (NIL) -9 NIL 2075050) (-759 2073893 2073937 2074031 "NASRING-" 2074036 NIL NASRING- (NIL T) -8 NIL NIL) (-758 2073045 2073544 2073573 "NARNG" 2073690 T NARNG (NIL) -9 NIL 2073781) (-757 2072737 2072804 2072938 "NARNG-" 2072943 NIL NARNG- (NIL T) -8 NIL NIL) (-756 2071616 2071823 2072058 "NAGSP" 2072522 T NAGSP (NIL) -7 NIL NIL) (-755 2062888 2064572 2066245 "NAGS" 2069963 T NAGS (NIL) -7 NIL NIL) (-754 2061436 2061744 2062075 "NAGF07" 2062577 T NAGF07 (NIL) -7 NIL NIL) (-753 2055974 2057265 2058572 "NAGF04" 2060149 T NAGF04 (NIL) -7 NIL NIL) (-752 2048942 2050556 2052189 "NAGF02" 2054361 T NAGF02 (NIL) -7 NIL NIL) (-751 2044166 2045266 2046383 "NAGF01" 2047845 T NAGF01 (NIL) -7 NIL NIL) (-750 2037794 2039360 2040945 "NAGE04" 2042601 T NAGE04 (NIL) -7 NIL NIL) (-749 2028963 2031084 2033214 "NAGE02" 2035684 T NAGE02 (NIL) -7 NIL NIL) (-748 2024916 2025863 2026827 "NAGE01" 2028019 T NAGE01 (NIL) -7 NIL NIL) (-747 2022711 2023245 2023803 "NAGD03" 2024378 T NAGD03 (NIL) -7 NIL NIL) (-746 2014461 2016389 2018343 "NAGD02" 2020777 T NAGD02 (NIL) -7 NIL NIL) (-745 2008272 2009697 2011137 "NAGD01" 2013041 T NAGD01 (NIL) -7 NIL NIL) (-744 2004481 2005303 2006140 "NAGC06" 2007455 T NAGC06 (NIL) -7 NIL NIL) (-743 2002946 2003278 2003634 "NAGC05" 2004145 T NAGC05 (NIL) -7 NIL NIL) (-742 2002322 2002441 2002585 "NAGC02" 2002822 T NAGC02 (NIL) -7 NIL NIL) (-741 2001381 2001938 2001979 "NAALG" 2002058 NIL NAALG (NIL T) -9 NIL 2002119) (-740 2001216 2001245 2001335 "NAALG-" 2001340 NIL NAALG- (NIL T T) -8 NIL NIL) (-739 1992092 2000332 2000607 "MYUP" 2000987 NIL MYUP (NIL NIL T) -8 NIL NIL) (-738 1982455 1990548 1990919 "MYEXPR" 1991787 NIL MYEXPR (NIL NIL T) -8 NIL NIL) (-737 1976405 1977513 1978700 "MULTSQFR" 1981351 NIL MULTSQFR (NIL T T T T) -7 NIL NIL) (-736 1975724 1975799 1975983 "MULTFACT" 1976317 NIL MULTFACT (NIL T T T T) -7 NIL NIL) (-735 1968849 1972758 1972812 "MTSCAT" 1973882 NIL MTSCAT (NIL T T) -9 NIL 1974396) (-734 1968561 1968615 1968707 "MTHING" 1968789 NIL MTHING (NIL T) -7 NIL NIL) (-733 1968353 1968386 1968446 "MSYSCMD" 1968521 T MSYSCMD (NIL) -7 NIL NIL) (-732 1964465 1967108 1967428 "MSET" 1968066 NIL MSET (NIL T) -8 NIL NIL) (-731 1961559 1964025 1964067 "MSETAGG" 1964072 NIL MSETAGG (NIL T) -9 NIL 1964106) (-730 1957337 1958950 1959689 "MRING" 1960865 NIL MRING (NIL T T) -8 NIL NIL) (-729 1956903 1956970 1957101 "MRF2" 1957264 NIL MRF2 (NIL T T T) -7 NIL NIL) (-728 1956521 1956556 1956700 "MRATFAC" 1956862 NIL MRATFAC (NIL T T T T) -7 NIL NIL) (-727 1954133 1954428 1954859 "MPRFF" 1956226 NIL MPRFF (NIL T T T T) -7 NIL NIL) (-726 1948147 1953987 1954084 "MPOLY" 1954089 NIL MPOLY (NIL NIL T) -8 NIL NIL) (-725 1947637 1947672 1947880 "MPCPF" 1948106 NIL MPCPF (NIL T T T T) -7 NIL NIL) (-724 1947151 1947194 1947378 "MPC3" 1947588 NIL MPC3 (NIL T T T T T T T) -7 NIL NIL) (-723 1946346 1946427 1946648 "MPC2" 1947066 NIL MPC2 (NIL T T T T T T T) -7 NIL NIL) (-722 1944647 1944984 1945374 "MONOTOOL" 1946006 NIL MONOTOOL (NIL T T) -7 NIL NIL) (-721 1943770 1944105 1944134 "MONOID" 1944411 T MONOID (NIL) -9 NIL 1944583) (-720 1943148 1943311 1943554 "MONOID-" 1943559 NIL MONOID- (NIL T) -8 NIL NIL) (-719 1934029 1940059 1940119 "MONOGEN" 1940793 NIL MONOGEN (NIL T T) -9 NIL 1941246) (-718 1931247 1931982 1932982 "MONOGEN-" 1933101 NIL MONOGEN- (NIL T T T) -8 NIL NIL) (-717 1930105 1930525 1930554 "MONADWU" 1930946 T MONADWU (NIL) -9 NIL 1931184) (-716 1929477 1929636 1929884 "MONADWU-" 1929889 NIL MONADWU- (NIL T) -8 NIL NIL) (-715 1928861 1929079 1929108 "MONAD" 1929315 T MONAD (NIL) -9 NIL 1929427) (-714 1928546 1928624 1928756 "MONAD-" 1928761 NIL MONAD- (NIL T) -8 NIL NIL) (-713 1926797 1927459 1927738 "MOEBIUS" 1928299 NIL MOEBIUS (NIL T) -8 NIL NIL) (-712 1926188 1926566 1926607 "MODULE" 1926612 NIL MODULE (NIL T) -9 NIL 1926638) (-711 1925756 1925852 1926042 "MODULE-" 1926047 NIL MODULE- (NIL T T) -8 NIL NIL) (-710 1923425 1924120 1924447 "MODRING" 1925580 NIL MODRING (NIL T T NIL NIL NIL) -8 NIL NIL) (-709 1920371 1921536 1922054 "MODOP" 1922957 NIL MODOP (NIL T T) -8 NIL NIL) (-708 1918558 1919010 1919351 "MODMONOM" 1920170 NIL MODMONOM (NIL T T NIL) -8 NIL NIL) (-707 1908178 1916754 1917175 "MODMON" 1918188 NIL MODMON (NIL T T) -8 NIL NIL) (-706 1905304 1907022 1907298 "MODFIELD" 1908053 NIL MODFIELD (NIL T T NIL NIL NIL) -8 NIL NIL) (-705 1904308 1904585 1904775 "MMLFORM" 1905134 T MMLFORM (NIL) -8 NIL NIL) (-704 1903834 1903877 1904056 "MMAP" 1904259 NIL MMAP (NIL T T T T T T) -7 NIL NIL) (-703 1902059 1902836 1902878 "MLO" 1903301 NIL MLO (NIL T) -9 NIL 1903542) (-702 1899426 1899941 1900543 "MLIFT" 1901540 NIL MLIFT (NIL T T T T) -7 NIL NIL) (-701 1898817 1898901 1899055 "MKUCFUNC" 1899337 NIL MKUCFUNC (NIL T T T) -7 NIL NIL) (-700 1898416 1898486 1898609 "MKRECORD" 1898740 NIL MKRECORD (NIL T T) -7 NIL NIL) (-699 1897464 1897625 1897853 "MKFUNC" 1898227 NIL MKFUNC (NIL T) -7 NIL NIL) (-698 1896852 1896956 1897112 "MKFLCFN" 1897347 NIL MKFLCFN (NIL T) -7 NIL NIL) (-697 1896278 1896645 1896734 "MKCHSET" 1896796 NIL MKCHSET (NIL T) -8 NIL NIL) (-696 1895555 1895657 1895842 "MKBCFUNC" 1896171 NIL MKBCFUNC (NIL T T T T) -7 NIL NIL) (-695 1892239 1895109 1895245 "MINT" 1895439 T MINT (NIL) -8 NIL NIL) (-694 1891051 1891294 1891571 "MHROWRED" 1891994 NIL MHROWRED (NIL T) -7 NIL NIL) (-693 1886318 1889492 1889918 "MFLOAT" 1890645 T MFLOAT (NIL) -8 NIL NIL) (-692 1885675 1885751 1885922 "MFINFACT" 1886230 NIL MFINFACT (NIL T T T T) -7 NIL NIL) (-691 1881990 1882838 1883722 "MESH" 1884811 T MESH (NIL) -7 NIL NIL) (-690 1880380 1880692 1881045 "MDDFACT" 1881677 NIL MDDFACT (NIL T) -7 NIL NIL) (-689 1877262 1879573 1879615 "MDAGG" 1879870 NIL MDAGG (NIL T) -9 NIL 1880013) (-688 1866903 1876555 1876762 "MCMPLX" 1877075 T MCMPLX (NIL) -8 NIL NIL) (-687 1866044 1866190 1866390 "MCDEN" 1866752 NIL MCDEN (NIL T T) -7 NIL NIL) (-686 1863934 1864204 1864584 "MCALCFN" 1865774 NIL MCALCFN (NIL T T T T) -7 NIL NIL) (-685 1861546 1862069 1862631 "MATSTOR" 1863405 NIL MATSTOR (NIL T) -7 NIL NIL) (-684 1857412 1860922 1861168 "MATRIX" 1861333 NIL MATRIX (NIL T) -8 NIL NIL) (-683 1853188 1853891 1854624 "MATLIN" 1856772 NIL MATLIN (NIL T T T T) -7 NIL NIL) (-682 1842699 1845967 1846045 "MATCAT" 1851327 NIL MATCAT (NIL T T T) -9 NIL 1852889) (-681 1838737 1839852 1841320 "MATCAT-" 1841325 NIL MATCAT- (NIL T T T T) -8 NIL NIL) (-680 1837331 1837484 1837817 "MATCAT2" 1838572 NIL MATCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-679 1836071 1836337 1836652 "MAPPKG4" 1837062 NIL MAPPKG4 (NIL T T) -7 NIL NIL) (-678 1834183 1834507 1834891 "MAPPKG3" 1835746 NIL MAPPKG3 (NIL T T T) -7 NIL NIL) (-677 1833164 1833337 1833559 "MAPPKG2" 1834007 NIL MAPPKG2 (NIL T T) -7 NIL NIL) (-676 1831663 1831947 1832274 "MAPPKG1" 1832870 NIL MAPPKG1 (NIL T) -7 NIL NIL) (-675 1831274 1831332 1831455 "MAPHACK3" 1831599 NIL MAPHACK3 (NIL T T T) -7 NIL NIL) (-674 1830866 1830927 1831041 "MAPHACK2" 1831206 NIL MAPHACK2 (NIL T T) -7 NIL NIL) (-673 1830304 1830407 1830549 "MAPHACK1" 1830757 NIL MAPHACK1 (NIL T) -7 NIL NIL) (-672 1823472 1824413 1825510 "MAMA" 1829300 NIL MAMA (NIL T T T T) -7 NIL NIL) (-671 1821578 1822172 1822476 "MAGMA" 1823200 NIL MAGMA (NIL T) -8 NIL NIL) (-670 1819814 1820186 1820241 "MAGCDOC" 1821178 NIL MAGCDOC (NIL T T) -9 NIL NIL) (-669 1816289 1818055 1818515 "M3D" 1819387 NIL M3D (NIL T) -8 NIL NIL) (-668 1810483 1814689 1814731 "LZSTAGG" 1815513 NIL LZSTAGG (NIL T) -9 NIL 1815808) (-667 1806457 1807614 1809071 "LZSTAGG-" 1809076 NIL LZSTAGG- (NIL T T) -8 NIL NIL) (-666 1803571 1804348 1804835 "LWORD" 1806002 NIL LWORD (NIL T) -8 NIL NIL) (-665 1796726 1803342 1803476 "LSQM" 1803481 NIL LSQM (NIL NIL T) -8 NIL NIL) (-664 1795950 1796089 1796317 "LSPP" 1796581 NIL LSPP (NIL T T T T) -7 NIL NIL) (-663 1793762 1794063 1794519 "LSMP" 1795639 NIL LSMP (NIL T T T T) -7 NIL NIL) (-662 1790541 1791215 1791945 "LSMP1" 1793064 NIL LSMP1 (NIL T) -7 NIL NIL) (-661 1784498 1789731 1789773 "LSAGG" 1789835 NIL LSAGG (NIL T) -9 NIL 1789913) (-660 1781193 1782117 1783330 "LSAGG-" 1783335 NIL LSAGG- (NIL T T) -8 NIL NIL) (-659 1778819 1780337 1780586 "LPOLY" 1780988 NIL LPOLY (NIL T T) -8 NIL NIL) (-658 1778401 1778486 1778609 "LPEFRAC" 1778728 NIL LPEFRAC (NIL T) -7 NIL NIL) (-657 1775965 1776214 1776646 "LPARSPT" 1778143 NIL LPARSPT (NIL T NIL T T T T T) -7 NIL NIL) (-656 1774440 1774767 1775127 "LOP" 1775637 NIL LOP (NIL T) -7 NIL NIL) (-655 1772789 1773536 1773788 "LO" 1774273 NIL LO (NIL T T T) -8 NIL NIL) (-654 1772440 1772552 1772581 "LOGIC" 1772692 T LOGIC (NIL) -9 NIL 1772773) (-653 1772302 1772325 1772396 "LOGIC-" 1772401 NIL LOGIC- (NIL T) -8 NIL NIL) (-652 1771495 1771635 1771828 "LODOOPS" 1772158 NIL LODOOPS (NIL T T) -7 NIL NIL) (-651 1768907 1771411 1771477 "LODO" 1771482 NIL LODO (NIL T NIL) -8 NIL NIL) (-650 1767447 1767682 1768034 "LODOF" 1768655 NIL LODOF (NIL T T) -7 NIL NIL) (-649 1763846 1766287 1766329 "LODOCAT" 1766767 NIL LODOCAT (NIL T) -9 NIL 1766977) (-648 1763579 1763637 1763764 "LODOCAT-" 1763769 NIL LODOCAT- (NIL T T) -8 NIL NIL) (-647 1760888 1763420 1763538 "LODO2" 1763543 NIL LODO2 (NIL T T) -8 NIL NIL) (-646 1758312 1760825 1760870 "LODO1" 1760875 NIL LODO1 (NIL T) -8 NIL NIL) (-645 1757172 1757337 1757649 "LODEEF" 1758135 NIL LODEEF (NIL T T T) -7 NIL NIL) (-644 1749999 1754164 1754205 "LOCPOWC" 1755667 NIL LOCPOWC (NIL T) -9 NIL 1756244) (-643 1745323 1748161 1748203 "LNAGG" 1749150 NIL LNAGG (NIL T) -9 NIL 1749593) (-642 1744470 1744684 1745026 "LNAGG-" 1745031 NIL LNAGG- (NIL T T) -8 NIL NIL) (-641 1740633 1741395 1742034 "LMOPS" 1743885 NIL LMOPS (NIL T T NIL) -8 NIL NIL) (-640 1740027 1740389 1740431 "LMODULE" 1740492 NIL LMODULE (NIL T) -9 NIL 1740534) (-639 1737279 1739672 1739795 "LMDICT" 1739937 NIL LMDICT (NIL T) -8 NIL NIL) (-638 1736436 1736570 1736757 "LISYSER" 1737141 NIL LISYSER (NIL T T) -7 NIL NIL) (-637 1729673 1735386 1735682 "LIST" 1736173 NIL LIST (NIL T) -8 NIL NIL) (-636 1729198 1729272 1729411 "LIST3" 1729593 NIL LIST3 (NIL T T T) -7 NIL NIL) (-635 1728205 1728383 1728611 "LIST2" 1729016 NIL LIST2 (NIL T T) -7 NIL NIL) (-634 1726339 1726651 1727050 "LIST2MAP" 1727852 NIL LIST2MAP (NIL T T) -7 NIL NIL) (-633 1725044 1725724 1725766 "LINEXP" 1726021 NIL LINEXP (NIL T) -9 NIL 1726170) (-632 1723691 1723951 1724248 "LINDEP" 1724796 NIL LINDEP (NIL T T) -7 NIL NIL) (-631 1720458 1721177 1721954 "LIMITRF" 1722946 NIL LIMITRF (NIL T) -7 NIL NIL) (-630 1718734 1719029 1719445 "LIMITPS" 1720153 NIL LIMITPS (NIL T T) -7 NIL NIL) (-629 1713193 1718249 1718475 "LIE" 1718557 NIL LIE (NIL T T) -8 NIL NIL) (-628 1712242 1712685 1712726 "LIECAT" 1712866 NIL LIECAT (NIL T) -9 NIL 1713016) (-627 1712083 1712110 1712198 "LIECAT-" 1712203 NIL LIECAT- (NIL T T) -8 NIL NIL) (-626 1704617 1711462 1711645 "LIB" 1711920 T LIB (NIL) -8 NIL NIL) (-625 1700254 1701135 1702070 "LGROBP" 1703734 NIL LGROBP (NIL NIL T) -7 NIL NIL) (-624 1697735 1698059 1698470 "LF" 1699927 NIL LF (NIL T T) -7 NIL NIL) (-623 1696432 1697162 1697191 "LFCAT" 1697466 T LFCAT (NIL) -9 NIL 1697641) (-622 1693336 1693964 1694652 "LEXTRIPK" 1695796 NIL LEXTRIPK (NIL T NIL) -7 NIL NIL) (-621 1690042 1690906 1691409 "LEXP" 1692916 NIL LEXP (NIL T T NIL) -8 NIL NIL) (-620 1688440 1688753 1689154 "LEADCDET" 1689724 NIL LEADCDET (NIL T T T T) -7 NIL NIL) (-619 1687630 1687704 1687933 "LAZM3PK" 1688361 NIL LAZM3PK (NIL T T T T T T) -7 NIL NIL) (-618 1682546 1685713 1686248 "LAUPOL" 1687145 NIL LAUPOL (NIL T T) -8 NIL NIL) (-617 1682111 1682155 1682323 "LAPLACE" 1682496 NIL LAPLACE (NIL T T) -7 NIL NIL) (-616 1680041 1681214 1681464 "LA" 1681945 NIL LA (NIL T T T) -8 NIL NIL) (-615 1679097 1679691 1679733 "LALG" 1679795 NIL LALG (NIL T) -9 NIL 1679854) (-614 1678811 1678870 1679006 "LALG-" 1679011 NIL LALG- (NIL T T) -8 NIL NIL) (-613 1677715 1677902 1678201 "KOVACIC" 1678611 NIL KOVACIC (NIL T T) -7 NIL NIL) (-612 1677549 1677573 1677615 "KONVERT" 1677677 NIL KONVERT (NIL T) -9 NIL NIL) (-611 1677383 1677407 1677449 "KOERCE" 1677511 NIL KOERCE (NIL T) -9 NIL NIL) (-610 1675119 1675879 1676271 "KERNEL" 1677023 NIL KERNEL (NIL T) -8 NIL NIL) (-609 1674621 1674702 1674832 "KERNEL2" 1675033 NIL KERNEL2 (NIL T T) -7 NIL NIL) (-608 1668304 1672986 1673041 "KDAGG" 1673418 NIL KDAGG (NIL T T) -9 NIL 1673624) (-607 1667833 1667957 1668162 "KDAGG-" 1668167 NIL KDAGG- (NIL T T T) -8 NIL NIL) (-606 1660982 1667494 1667649 "KAFILE" 1667711 NIL KAFILE (NIL T) -8 NIL NIL) (-605 1655441 1660497 1660723 "JORDAN" 1660805 NIL JORDAN (NIL T T) -8 NIL NIL) (-604 1651784 1653684 1653739 "IXAGG" 1654668 NIL IXAGG (NIL T T) -9 NIL 1655123) (-603 1650703 1651009 1651428 "IXAGG-" 1651433 NIL IXAGG- (NIL T T T) -8 NIL NIL) (-602 1646287 1650625 1650684 "IVECTOR" 1650689 NIL IVECTOR (NIL T NIL) -8 NIL NIL) (-601 1645053 1645290 1645556 "ITUPLE" 1646054 NIL ITUPLE (NIL T) -8 NIL NIL) (-600 1643477 1643654 1643962 "ITRIGMNP" 1644875 NIL ITRIGMNP (NIL T T T) -7 NIL NIL) (-599 1642222 1642426 1642709 "ITFUN3" 1643253 NIL ITFUN3 (NIL T T T) -7 NIL NIL) (-598 1641854 1641911 1642020 "ITFUN2" 1642159 NIL ITFUN2 (NIL T T) -7 NIL NIL) (-597 1639647 1640718 1641016 "ITAYLOR" 1641589 NIL ITAYLOR (NIL T) -8 NIL NIL) (-596 1628586 1633786 1634948 "ISUPS" 1638518 NIL ISUPS (NIL T) -8 NIL NIL) (-595 1627690 1627830 1628066 "ISUMP" 1628433 NIL ISUMP (NIL T T T T) -7 NIL NIL) (-594 1622960 1627491 1627570 "ISTRING" 1627643 NIL ISTRING (NIL NIL) -8 NIL NIL) (-593 1622170 1622251 1622467 "IRURPK" 1622874 NIL IRURPK (NIL T T T T T) -7 NIL NIL) (-592 1621106 1621307 1621547 "IRSN" 1621950 T IRSN (NIL) -7 NIL NIL) (-591 1619137 1619492 1619927 "IRRF2F" 1620745 NIL IRRF2F (NIL T) -7 NIL NIL) (-590 1618884 1618922 1618998 "IRREDFFX" 1619093 NIL IRREDFFX (NIL T) -7 NIL NIL) (-589 1617499 1617758 1618057 "IROOT" 1618617 NIL IROOT (NIL T) -7 NIL NIL) (-588 1614135 1615187 1615877 "IR" 1616841 NIL IR (NIL T) -8 NIL NIL) (-587 1611748 1612243 1612809 "IR2" 1613613 NIL IR2 (NIL T T) -7 NIL NIL) (-586 1610820 1610933 1611154 "IR2F" 1611631 NIL IR2F (NIL T T) -7 NIL NIL) (-585 1610611 1610645 1610705 "IPRNTPK" 1610780 T IPRNTPK (NIL) -7 NIL NIL) (-584 1607140 1610500 1610569 "IPF" 1610574 NIL IPF (NIL NIL) -8 NIL NIL) (-583 1605457 1607065 1607122 "IPADIC" 1607127 NIL IPADIC (NIL NIL NIL) -8 NIL NIL) (-582 1604954 1605012 1605202 "INVLAPLA" 1605393 NIL INVLAPLA (NIL T T) -7 NIL NIL) (-581 1594603 1596956 1599342 "INTTR" 1602618 NIL INTTR (NIL T T) -7 NIL NIL) (-580 1590961 1591703 1592560 "INTTOOLS" 1593795 NIL INTTOOLS (NIL T T) -7 NIL NIL) (-579 1590547 1590638 1590755 "INTSLPE" 1590864 T INTSLPE (NIL) -7 NIL NIL) (-578 1588497 1590470 1590529 "INTRVL" 1590534 NIL INTRVL (NIL T) -8 NIL NIL) (-577 1586099 1586611 1587186 "INTRF" 1587982 NIL INTRF (NIL T) -7 NIL NIL) (-576 1585510 1585607 1585749 "INTRET" 1585997 NIL INTRET (NIL T) -7 NIL NIL) (-575 1583507 1583896 1584366 "INTRAT" 1585118 NIL INTRAT (NIL T T) -7 NIL NIL) (-574 1580743 1581326 1581948 "INTPM" 1582996 NIL INTPM (NIL T T) -7 NIL NIL) (-573 1577448 1578047 1578791 "INTPAF" 1580130 NIL INTPAF (NIL T T T) -7 NIL NIL) (-572 1572627 1573589 1574640 "INTPACK" 1576417 T INTPACK (NIL) -7 NIL NIL) (-571 1569481 1572356 1572483 "INT" 1572520 T INT (NIL) -8 NIL NIL) (-570 1568733 1568885 1569093 "INTHERTR" 1569323 NIL INTHERTR (NIL T T) -7 NIL NIL) (-569 1568172 1568252 1568440 "INTHERAL" 1568647 NIL INTHERAL (NIL T T T T) -7 NIL NIL) (-568 1566018 1566461 1566918 "INTHEORY" 1567735 T INTHEORY (NIL) -7 NIL NIL) (-567 1557329 1558949 1560727 "INTG0" 1564371 NIL INTG0 (NIL T T T) -7 NIL NIL) (-566 1537902 1542692 1547502 "INTFTBL" 1552539 T INTFTBL (NIL) -8 NIL NIL) (-565 1535939 1536146 1536547 "INTFRSP" 1537692 NIL INTFRSP (NIL T NIL T T T T T T) -7 NIL NIL) (-564 1535188 1535326 1535499 "INTFACT" 1535798 NIL INTFACT (NIL T) -7 NIL NIL) (-563 1534778 1534820 1534971 "INTERGB" 1535140 NIL INTERGB (NIL T NIL T T T) -7 NIL NIL) (-562 1532163 1532609 1533173 "INTEF" 1534332 NIL INTEF (NIL T T) -7 NIL NIL) (-561 1530620 1531369 1531398 "INTDOM" 1531699 T INTDOM (NIL) -9 NIL 1531906) (-560 1529989 1530163 1530405 "INTDOM-" 1530410 NIL INTDOM- (NIL T) -8 NIL NIL) (-559 1528593 1528698 1529088 "INTDIVP" 1529879 NIL INTDIVP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-558 1525079 1527009 1527064 "INTCAT" 1527863 NIL INTCAT (NIL T) -9 NIL 1528184) (-557 1524552 1524654 1524782 "INTBIT" 1524971 T INTBIT (NIL) -7 NIL NIL) (-556 1523223 1523377 1523691 "INTALG" 1524397 NIL INTALG (NIL T T T T T) -7 NIL NIL) (-555 1522680 1522770 1522940 "INTAF" 1523127 NIL INTAF (NIL T T) -7 NIL NIL) (-554 1516146 1522490 1522630 "INTABL" 1522635 NIL INTABL (NIL T T T) -8 NIL NIL) (-553 1511091 1513817 1513846 "INS" 1514814 T INS (NIL) -9 NIL 1515497) (-552 1508331 1509102 1510076 "INS-" 1510149 NIL INS- (NIL T) -8 NIL NIL) (-551 1507106 1507333 1507631 "INPSIGN" 1508084 NIL INPSIGN (NIL T T) -7 NIL NIL) (-550 1506224 1506341 1506538 "INPRODPF" 1506986 NIL INPRODPF (NIL T T) -7 NIL NIL) (-549 1505118 1505235 1505472 "INPRODFF" 1506104 NIL INPRODFF (NIL T T T T) -7 NIL NIL) (-548 1504118 1504270 1504530 "INNMFACT" 1504954 NIL INNMFACT (NIL T T T T) -7 NIL NIL) (-547 1503315 1503412 1503600 "INMODGCD" 1504017 NIL INMODGCD (NIL T T NIL NIL) -7 NIL NIL) (-546 1501824 1502068 1502392 "INFSP" 1503060 NIL INFSP (NIL T T T) -7 NIL NIL) (-545 1501008 1501125 1501308 "INFPROD0" 1501704 NIL INFPROD0 (NIL T T) -7 NIL NIL) (-544 1497889 1499073 1499588 "INFORM" 1500501 T INFORM (NIL) -8 NIL NIL) (-543 1497499 1497559 1497657 "INFORM1" 1497824 NIL INFORM1 (NIL T) -7 NIL NIL) (-542 1497022 1497111 1497225 "INFINITY" 1497405 T INFINITY (NIL) -7 NIL NIL) (-541 1494705 1495702 1496045 "INFCLSPT" 1496882 NIL INFCLSPT (NIL T NIL T T T T T T T) -8 NIL NIL) (-540 1492582 1493827 1494121 "INFCLSPS" 1494475 NIL INFCLSPS (NIL T NIL T) -8 NIL NIL) (-539 1485132 1486055 1486276 "INFCLCT" 1491707 NIL INFCLCT (NIL T NIL T T T T T T T) -9 NIL 1492518) (-538 1483750 1483998 1484319 "INEP" 1484880 NIL INEP (NIL T T T) -7 NIL NIL) (-537 1483026 1483647 1483712 "INDE" 1483717 NIL INDE (NIL T) -8 NIL NIL) (-536 1482590 1482658 1482775 "INCRMAPS" 1482953 NIL INCRMAPS (NIL T) -7 NIL NIL) (-535 1477901 1478826 1479770 "INBFF" 1481678 NIL INBFF (NIL T) -7 NIL NIL) (-534 1474248 1477745 1477849 "IMATRIX" 1477854 NIL IMATRIX (NIL T NIL NIL) -8 NIL NIL) (-533 1472962 1473085 1473399 "IMATQF" 1474105 NIL IMATQF (NIL T T T T T T T T) -7 NIL NIL) (-532 1471184 1471411 1471747 "IMATLIN" 1472719 NIL IMATLIN (NIL T T T T) -7 NIL NIL) (-531 1465816 1471108 1471166 "ILIST" 1471171 NIL ILIST (NIL T NIL) -8 NIL NIL) (-530 1463775 1465676 1465789 "IIARRAY2" 1465794 NIL IIARRAY2 (NIL T NIL NIL T T) -8 NIL NIL) (-529 1459091 1463686 1463750 "IFF" 1463755 NIL IFF (NIL NIL NIL) -8 NIL NIL) (-528 1454140 1458383 1458571 "IFARRAY" 1458948 NIL IFARRAY (NIL T NIL) -8 NIL NIL) (-527 1453347 1454044 1454117 "IFAMON" 1454122 NIL IFAMON (NIL T T NIL) -8 NIL NIL) (-526 1452930 1452995 1453050 "IEVALAB" 1453257 NIL IEVALAB (NIL T T) -9 NIL NIL) (-525 1452605 1452673 1452833 "IEVALAB-" 1452838 NIL IEVALAB- (NIL T T T) -8 NIL NIL) (-524 1452263 1452519 1452582 "IDPO" 1452587 NIL IDPO (NIL T T) -8 NIL NIL) (-523 1451540 1452152 1452227 "IDPOAMS" 1452232 NIL IDPOAMS (NIL T T) -8 NIL NIL) (-522 1450874 1451429 1451504 "IDPOAM" 1451509 NIL IDPOAM (NIL T T) -8 NIL NIL) (-521 1449958 1450208 1450262 "IDPC" 1450675 NIL IDPC (NIL T T) -9 NIL 1450824) (-520 1449454 1449850 1449923 "IDPAM" 1449928 NIL IDPAM (NIL T T) -8 NIL NIL) (-519 1448857 1449346 1449419 "IDPAG" 1449424 NIL IDPAG (NIL T T) -8 NIL NIL) (-518 1445112 1445960 1446855 "IDECOMP" 1448014 NIL IDECOMP (NIL NIL NIL) -7 NIL NIL) (-517 1437988 1439037 1440083 "IDEAL" 1444149 NIL IDEAL (NIL T T T T) -8 NIL NIL) (-516 1436005 1437152 1437425 "ICP" 1437779 NIL ICP (NIL T NIL T) -8 NIL NIL) (-515 1435169 1435281 1435480 "ICDEN" 1435889 NIL ICDEN (NIL T T T T) -7 NIL NIL) (-514 1434268 1434649 1434796 "ICARD" 1435042 T ICARD (NIL) -8 NIL NIL) (-513 1432328 1432641 1433046 "IBPTOOLS" 1433945 NIL IBPTOOLS (NIL T T T T) -7 NIL NIL) (-512 1427942 1431948 1432061 "IBITS" 1432247 NIL IBITS (NIL NIL) -8 NIL NIL) (-511 1424665 1425241 1425936 "IBATOOL" 1427359 NIL IBATOOL (NIL T T T) -7 NIL NIL) (-510 1422445 1422906 1423439 "IBACHIN" 1424200 NIL IBACHIN (NIL T T T) -7 NIL NIL) (-509 1420328 1422291 1422394 "IARRAY2" 1422399 NIL IARRAY2 (NIL T NIL NIL) -8 NIL NIL) (-508 1416487 1420254 1420311 "IARRAY1" 1420316 NIL IARRAY1 (NIL T NIL) -8 NIL NIL) (-507 1410417 1414899 1415380 "IAN" 1416026 T IAN (NIL) -8 NIL NIL) (-506 1409928 1409985 1410158 "IALGFACT" 1410354 NIL IALGFACT (NIL T T T T) -7 NIL NIL) (-505 1409455 1409568 1409597 "HYPCAT" 1409804 T HYPCAT (NIL) -9 NIL NIL) (-504 1408993 1409110 1409296 "HYPCAT-" 1409301 NIL HYPCAT- (NIL T) -8 NIL NIL) (-503 1407997 1408274 1408464 "HTMLFORM" 1408823 T HTMLFORM (NIL) -8 NIL NIL) (-502 1404786 1406111 1406153 "HOAGG" 1407134 NIL HOAGG (NIL T) -9 NIL 1407743) (-501 1403380 1403779 1404305 "HOAGG-" 1404310 NIL HOAGG- (NIL T T) -8 NIL NIL) (-500 1397198 1402818 1402985 "HEXADEC" 1403233 T HEXADEC (NIL) -8 NIL NIL) (-499 1395946 1396168 1396431 "HEUGCD" 1396975 NIL HEUGCD (NIL T) -7 NIL NIL) (-498 1395049 1395783 1395913 "HELLFDIV" 1395918 NIL HELLFDIV (NIL T T T T) -8 NIL NIL) (-497 1388766 1390309 1391390 "HEAP" 1394000 NIL HEAP (NIL T) -8 NIL NIL) (-496 1382561 1388681 1388743 "HDP" 1388748 NIL HDP (NIL NIL T) -8 NIL NIL) (-495 1376266 1382196 1382348 "HDMP" 1382462 NIL HDMP (NIL NIL T) -8 NIL NIL) (-494 1375591 1375730 1375894 "HB" 1376122 T HB (NIL) -7 NIL NIL) (-493 1369100 1375437 1375541 "HASHTBL" 1375546 NIL HASHTBL (NIL T T NIL) -8 NIL NIL) (-492 1366847 1368722 1368904 "HACKPI" 1368938 T HACKPI (NIL) -8 NIL NIL) (-491 1348995 1352864 1356867 "GUESSUP" 1362877 NIL GUESSUP (NIL NIL) -7 NIL NIL) (-490 1320092 1327133 1333829 "GUESSP" 1342319 T GUESSP (NIL) -7 NIL NIL) (-489 1286907 1292178 1297562 "GUESS" 1315036 NIL GUESS (NIL T T T T NIL NIL) -7 NIL NIL) (-488 1260412 1266809 1272945 "GUESSINT" 1280791 T GUESSINT (NIL) -7 NIL NIL) (-487 1235783 1241233 1246800 "GUESSF" 1254897 NIL GUESSF (NIL T) -7 NIL NIL) (-486 1235505 1235542 1235637 "GUESSF1" 1235740 NIL GUESSF1 (NIL T) -7 NIL NIL) (-485 1211666 1217200 1222815 "GUESSAN" 1229910 T GUESSAN (NIL) -7 NIL NIL) (-484 1207361 1211519 1211632 "GTSET" 1211637 NIL GTSET (NIL T T T T) -8 NIL NIL) (-483 1200899 1207239 1207337 "GSTBL" 1207342 NIL GSTBL (NIL T T T NIL) -8 NIL NIL) (-482 1193129 1199932 1200196 "GSERIES" 1200691 NIL GSERIES (NIL T NIL NIL) -8 NIL NIL) (-481 1192150 1192603 1192632 "GROUP" 1192893 T GROUP (NIL) -9 NIL 1193052) (-480 1191266 1191489 1191833 "GROUP-" 1191838 NIL GROUP- (NIL T) -8 NIL NIL) (-479 1189635 1189954 1190341 "GROEBSOL" 1190943 NIL GROEBSOL (NIL NIL T T) -7 NIL NIL) (-478 1188574 1188836 1188888 "GRMOD" 1189417 NIL GRMOD (NIL T T) -9 NIL 1189585) (-477 1188342 1188378 1188506 "GRMOD-" 1188511 NIL GRMOD- (NIL T T T) -8 NIL NIL) (-476 1183671 1184696 1185696 "GRIMAGE" 1187362 T GRIMAGE (NIL) -8 NIL NIL) (-475 1182138 1182398 1182722 "GRDEF" 1183367 T GRDEF (NIL) -7 NIL NIL) (-474 1181582 1181698 1181839 "GRAY" 1182017 T GRAY (NIL) -7 NIL NIL) (-473 1180812 1181192 1181244 "GRALG" 1181397 NIL GRALG (NIL T T) -9 NIL 1181490) (-472 1180473 1180546 1180709 "GRALG-" 1180714 NIL GRALG- (NIL T T T) -8 NIL NIL) (-471 1177277 1180058 1180236 "GPOLSET" 1180380 NIL GPOLSET (NIL T T T T) -8 NIL NIL) (-470 1159480 1160970 1162559 "GPAFF" 1175968 NIL GPAFF (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-469 1158834 1158891 1159149 "GOSPER" 1159417 NIL GOSPER (NIL T T T T T) -7 NIL NIL) (-468 1155184 1156020 1156747 "GOPT" 1158127 T GOPT (NIL) -8 NIL NIL) (-467 1150663 1151681 1152589 "GOPT0" 1154296 T GOPT0 (NIL) -8 NIL NIL) (-466 1146422 1147101 1147627 "GMODPOL" 1150362 NIL GMODPOL (NIL NIL T T T NIL T) -8 NIL NIL) (-465 1145427 1145611 1145849 "GHENSEL" 1146234 NIL GHENSEL (NIL T T) -7 NIL NIL) (-464 1139478 1140321 1141348 "GENUPS" 1144511 NIL GENUPS (NIL T T) -7 NIL NIL) (-463 1139175 1139226 1139315 "GENUFACT" 1139421 NIL GENUFACT (NIL T) -7 NIL NIL) (-462 1138587 1138664 1138829 "GENPGCD" 1139093 NIL GENPGCD (NIL T T T T) -7 NIL NIL) (-461 1138061 1138096 1138309 "GENMFACT" 1138546 NIL GENMFACT (NIL T T T T T) -7 NIL NIL) (-460 1136629 1136884 1137191 "GENEEZ" 1137804 NIL GENEEZ (NIL T T) -7 NIL NIL) (-459 1135173 1135450 1135774 "GDRAW" 1136325 T GDRAW (NIL) -7 NIL NIL) (-458 1129040 1134784 1134946 "GDMP" 1135096 NIL GDMP (NIL NIL T T) -8 NIL NIL) (-457 1118424 1122813 1123918 "GCNAALG" 1128024 NIL GCNAALG (NIL T NIL NIL NIL) -8 NIL NIL) (-456 1116841 1117713 1117742 "GCDDOM" 1117997 T GCDDOM (NIL) -9 NIL 1118154) (-455 1116311 1116438 1116653 "GCDDOM-" 1116658 NIL GCDDOM- (NIL T) -8 NIL NIL) (-454 1114985 1115170 1115473 "GB" 1116091 NIL GB (NIL T T T T) -7 NIL NIL) (-453 1103605 1105931 1108323 "GBINTERN" 1112676 NIL GBINTERN (NIL T T T T) -7 NIL NIL) (-452 1101442 1101734 1102155 "GBF" 1103280 NIL GBF (NIL T T T T) -7 NIL NIL) (-451 1100223 1100388 1100655 "GBEUCLID" 1101258 NIL GBEUCLID (NIL T T T T) -7 NIL NIL) (-450 1099572 1099697 1099846 "GAUSSFAC" 1100094 T GAUSSFAC (NIL) -7 NIL NIL) (-449 1097941 1098243 1098556 "GALUTIL" 1099292 NIL GALUTIL (NIL T) -7 NIL NIL) (-448 1096249 1096523 1096847 "GALPOLYU" 1097668 NIL GALPOLYU (NIL T T) -7 NIL NIL) (-447 1093614 1093904 1094311 "GALFACTU" 1095946 NIL GALFACTU (NIL T T T) -7 NIL NIL) (-446 1085420 1086919 1088527 "GALFACT" 1092046 NIL GALFACT (NIL T) -7 NIL NIL) (-445 1082808 1083465 1083494 "FVFUN" 1084650 T FVFUN (NIL) -9 NIL 1085370) (-444 1082074 1082255 1082284 "FVC" 1082575 T FVC (NIL) -9 NIL 1082758) (-443 1081716 1081871 1081952 "FUNCTION" 1082026 NIL FUNCTION (NIL NIL) -8 NIL NIL) (-442 1079386 1079937 1080426 "FT" 1081247 T FT (NIL) -8 NIL NIL) (-441 1078178 1078687 1078890 "FTEM" 1079203 T FTEM (NIL) -8 NIL NIL) (-440 1076436 1076725 1077128 "FSUPFACT" 1077870 NIL FSUPFACT (NIL T T T) -7 NIL NIL) (-439 1074833 1075122 1075454 "FST" 1076124 T FST (NIL) -8 NIL NIL) (-438 1074004 1074110 1074305 "FSRED" 1074715 NIL FSRED (NIL T T) -7 NIL NIL) (-437 1072685 1072940 1073293 "FSPRMELT" 1073720 NIL FSPRMELT (NIL T T) -7 NIL NIL) (-436 1068051 1068756 1069513 "FSPECF" 1071990 NIL FSPECF (NIL T T) -7 NIL NIL) (-435 1050309 1058898 1058939 "FS" 1062787 NIL FS (NIL T) -9 NIL 1065065) (-434 1038959 1041949 1046005 "FS-" 1046302 NIL FS- (NIL T T) -8 NIL NIL) (-433 1038473 1038527 1038704 "FSINT" 1038900 NIL FSINT (NIL T T) -7 NIL NIL) (-432 1036758 1037470 1037771 "FSERIES" 1038254 NIL FSERIES (NIL T T) -8 NIL NIL) (-431 1035772 1035888 1036119 "FSCINT" 1036638 NIL FSCINT (NIL T T) -7 NIL NIL) (-430 1031963 1034717 1034759 "FSAGG" 1035129 NIL FSAGG (NIL T) -9 NIL 1035386) (-429 1029725 1030326 1031122 "FSAGG-" 1031217 NIL FSAGG- (NIL T T) -8 NIL NIL) (-428 1028767 1028910 1029137 "FSAGG2" 1029578 NIL FSAGG2 (NIL T T T T) -7 NIL NIL) (-427 1026422 1026701 1027255 "FS2UPS" 1028485 NIL FS2UPS (NIL T T T T T NIL) -7 NIL NIL) (-426 1026004 1026047 1026202 "FS2" 1026373 NIL FS2 (NIL T T T T) -7 NIL NIL) (-425 1024861 1025032 1025341 "FS2EXPXP" 1025829 NIL FS2EXPXP (NIL T T NIL NIL) -7 NIL NIL) (-424 1024287 1024402 1024554 "FRUTIL" 1024741 NIL FRUTIL (NIL T) -7 NIL NIL) (-423 1015713 1019798 1021148 "FR" 1022969 NIL FR (NIL T) -8 NIL NIL) (-422 1010793 1013431 1013472 "FRNAALG" 1014868 NIL FRNAALG (NIL T) -9 NIL 1015474) (-421 1006472 1007542 1008817 "FRNAALG-" 1009567 NIL FRNAALG- (NIL T T) -8 NIL NIL) (-420 1006110 1006153 1006280 "FRNAAF2" 1006423 NIL FRNAAF2 (NIL T T T T) -7 NIL NIL) (-419 1004473 1004966 1005260 "FRMOD" 1005923 NIL FRMOD (NIL T T T T NIL) -8 NIL NIL) (-418 1002188 1002856 1003173 "FRIDEAL" 1004264 NIL FRIDEAL (NIL T T T T) -8 NIL NIL) (-417 1001383 1001470 1001759 "FRIDEAL2" 1002095 NIL FRIDEAL2 (NIL T T T T T T T T) -7 NIL NIL) (-416 1000626 1001040 1001082 "FRETRCT" 1001087 NIL FRETRCT (NIL T) -9 NIL 1001261) (-415 999738 999969 1000320 "FRETRCT-" 1000325 NIL FRETRCT- (NIL T T) -8 NIL NIL) (-414 996943 998163 998223 "FRAMALG" 999105 NIL FRAMALG (NIL T T) -9 NIL 999397) (-413 995076 995532 996162 "FRAMALG-" 996385 NIL FRAMALG- (NIL T T T) -8 NIL NIL) (-412 988979 994561 994832 "FRAC" 994837 NIL FRAC (NIL T) -8 NIL NIL) (-411 988615 988672 988779 "FRAC2" 988916 NIL FRAC2 (NIL T T) -7 NIL NIL) (-410 988251 988308 988415 "FR2" 988552 NIL FR2 (NIL T T) -7 NIL NIL) (-409 982873 985782 985811 "FPS" 986930 T FPS (NIL) -9 NIL 987484) (-408 982322 982431 982595 "FPS-" 982741 NIL FPS- (NIL T) -8 NIL NIL) (-407 979718 981415 981444 "FPC" 981669 T FPC (NIL) -9 NIL 981811) (-406 979511 979551 979648 "FPC-" 979653 NIL FPC- (NIL T) -8 NIL NIL) (-405 978390 979000 979042 "FPATMAB" 979047 NIL FPATMAB (NIL T) -9 NIL 979197) (-404 976090 976566 976992 "FPARFRAC" 978027 NIL FPARFRAC (NIL T T) -8 NIL NIL) (-403 971485 971982 972664 "FORTRAN" 975522 NIL FORTRAN (NIL NIL NIL NIL NIL) -8 NIL NIL) (-402 969201 969701 970240 "FORT" 970966 T FORT (NIL) -7 NIL NIL) (-401 966877 967438 967467 "FORTFN" 968527 T FORTFN (NIL) -9 NIL 969151) (-400 966640 966690 966719 "FORTCAT" 966778 T FORTCAT (NIL) -9 NIL 966840) (-399 964700 965183 965582 "FORMULA" 966261 T FORMULA (NIL) -8 NIL NIL) (-398 964488 964518 964587 "FORMULA1" 964664 NIL FORMULA1 (NIL T) -7 NIL NIL) (-397 964011 964063 964236 "FORDER" 964430 NIL FORDER (NIL T T T T) -7 NIL NIL) (-396 963107 963271 963464 "FOP" 963838 T FOP (NIL) -7 NIL NIL) (-395 961715 962387 962561 "FNLA" 962989 NIL FNLA (NIL NIL NIL T) -8 NIL NIL) (-394 960382 960771 960800 "FNCAT" 961372 T FNCAT (NIL) -9 NIL 961665) (-393 959948 960341 960369 "FNAME" 960374 T FNAME (NIL) -8 NIL NIL) (-392 958601 959574 959603 "FMTC" 959608 T FMTC (NIL) -9 NIL 959644) (-391 954919 956126 956754 "FMONOID" 958006 NIL FMONOID (NIL T) -8 NIL NIL) (-390 954140 954663 954811 "FM" 954816 NIL FM (NIL T T) -8 NIL NIL) (-389 951564 952209 952238 "FMFUN" 953382 T FMFUN (NIL) -9 NIL 954090) (-388 950833 951013 951042 "FMC" 951332 T FMC (NIL) -9 NIL 951514) (-387 948045 948879 948934 "FMCAT" 950129 NIL FMCAT (NIL T T) -9 NIL 950623) (-386 946938 947811 947911 "FM1" 947990 NIL FM1 (NIL T T) -8 NIL NIL) (-385 944712 945128 945622 "FLOATRP" 946489 NIL FLOATRP (NIL T) -7 NIL NIL) (-384 938199 942368 942998 "FLOAT" 944102 T FLOAT (NIL) -8 NIL NIL) (-383 935637 936137 936715 "FLOATCP" 937666 NIL FLOATCP (NIL T) -7 NIL NIL) (-382 934422 935270 935312 "FLINEXP" 935317 NIL FLINEXP (NIL T) -9 NIL 935409) (-381 933576 933811 934139 "FLINEXP-" 934144 NIL FLINEXP- (NIL T T) -8 NIL NIL) (-380 932652 932796 933020 "FLASORT" 933428 NIL FLASORT (NIL T T) -7 NIL NIL) (-379 929868 930710 930763 "FLALG" 931990 NIL FLALG (NIL T T) -9 NIL 932457) (-378 923687 927381 927423 "FLAGG" 928685 NIL FLAGG (NIL T) -9 NIL 929333) (-377 922413 922752 923242 "FLAGG-" 923247 NIL FLAGG- (NIL T T) -8 NIL NIL) (-376 921455 921598 921825 "FLAGG2" 922266 NIL FLAGG2 (NIL T T T T) -7 NIL NIL) (-375 918426 919444 919504 "FINRALG" 920632 NIL FINRALG (NIL T T) -9 NIL 921137) (-374 917586 917815 918154 "FINRALG-" 918159 NIL FINRALG- (NIL T T T) -8 NIL NIL) (-373 916889 917126 917155 "FINITE" 917406 T FINITE (NIL) -9 NIL 917536) (-372 916698 916742 916829 "FINITE-" 916834 NIL FINITE- (NIL T) -8 NIL NIL) (-371 909156 911317 911358 "FINAALG" 915025 NIL FINAALG (NIL T) -9 NIL 916477) (-370 904496 905538 906682 "FINAALG-" 908061 NIL FINAALG- (NIL T T) -8 NIL NIL) (-369 903866 904251 904354 "FILE" 904426 NIL FILE (NIL T) -8 NIL NIL) (-368 902406 902743 902798 "FILECAT" 903576 NIL FILECAT (NIL T T) -9 NIL 903816) (-367 900216 901772 901801 "FIELD" 901841 T FIELD (NIL) -9 NIL 901921) (-366 898836 899221 899732 "FIELD-" 899737 NIL FIELD- (NIL T) -8 NIL NIL) (-365 896649 897471 897818 "FGROUP" 898522 NIL FGROUP (NIL T) -8 NIL NIL) (-364 895739 895903 896123 "FGLMICPK" 896481 NIL FGLMICPK (NIL T NIL) -7 NIL NIL) (-363 891496 895664 895721 "FFX" 895726 NIL FFX (NIL T NIL) -8 NIL NIL) (-362 891036 891103 891225 "FFSQFR" 891424 NIL FFSQFR (NIL T T) -7 NIL NIL) (-361 890637 890698 890833 "FFSLPE" 890969 NIL FFSLPE (NIL T T T) -7 NIL NIL) (-360 886633 887409 888205 "FFPOLY" 889873 NIL FFPOLY (NIL T) -7 NIL NIL) (-359 886137 886173 886382 "FFPOLY2" 886591 NIL FFPOLY2 (NIL T T) -7 NIL NIL) (-358 881914 886056 886119 "FFP" 886124 NIL FFP (NIL T NIL) -8 NIL NIL) (-357 877230 881825 881889 "FF" 881894 NIL FF (NIL NIL NIL) -8 NIL NIL) (-356 872281 876573 876763 "FFNBX" 877084 NIL FFNBX (NIL T NIL) -8 NIL NIL) (-355 867146 871416 871674 "FFNBP" 872135 NIL FFNBP (NIL T NIL) -8 NIL NIL) (-354 861697 866430 866641 "FFNB" 866979 NIL FFNB (NIL NIL NIL) -8 NIL NIL) (-353 860529 860727 861042 "FFINTBAS" 861494 NIL FFINTBAS (NIL T T T) -7 NIL NIL) (-352 856680 858940 858969 "FFIELDC" 859589 T FFIELDC (NIL) -9 NIL 859965) (-351 855343 855713 856210 "FFIELDC-" 856215 NIL FFIELDC- (NIL T) -8 NIL NIL) (-350 854913 854958 855082 "FFHOM" 855285 NIL FFHOM (NIL T T T) -7 NIL NIL) (-349 852611 853095 853612 "FFF" 854428 NIL FFF (NIL T) -7 NIL NIL) (-348 848307 849072 849916 "FFFG" 851835 NIL FFFG (NIL T T) -7 NIL NIL) (-347 847033 847242 847564 "FFFGF" 848085 NIL FFFGF (NIL T T T) -7 NIL NIL) (-346 845784 845981 846229 "FFFACTSE" 846835 NIL FFFACTSE (NIL T T) -7 NIL NIL) (-345 844535 844732 844980 "FFFACTOR" 845586 NIL FFFACTOR (NIL T T) -7 NIL NIL) (-344 840078 844277 844378 "FFCGX" 844478 NIL FFCGX (NIL T NIL) -8 NIL NIL) (-343 835635 839810 839917 "FFCGP" 840021 NIL FFCGP (NIL T NIL) -8 NIL NIL) (-342 830736 835362 835470 "FFCG" 835571 NIL FFCG (NIL NIL NIL) -8 NIL NIL) (-341 812473 821647 821734 "FFCAT" 826899 NIL FFCAT (NIL T T T) -9 NIL 828384) (-340 807671 808718 810032 "FFCAT-" 811262 NIL FFCAT- (NIL T T T T) -8 NIL NIL) (-339 807082 807125 807360 "FFCAT2" 807622 NIL FFCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-338 796252 800058 801276 "FEXPR" 805936 NIL FEXPR (NIL NIL NIL T) -8 NIL NIL) (-337 795254 795689 795731 "FEVALAB" 795815 NIL FEVALAB (NIL T) -9 NIL 796073) (-336 794413 794623 794961 "FEVALAB-" 794966 NIL FEVALAB- (NIL T T) -8 NIL NIL) (-335 793006 793796 793999 "FDIV" 794312 NIL FDIV (NIL T T T T) -8 NIL NIL) (-334 790071 790786 790902 "FDIVCAT" 792470 NIL FDIVCAT (NIL T T T T) -9 NIL 792907) (-333 789833 789860 790030 "FDIVCAT-" 790035 NIL FDIVCAT- (NIL T T T T T) -8 NIL NIL) (-332 789053 789140 789417 "FDIV2" 789740 NIL FDIV2 (NIL T T T T T T T T) -7 NIL NIL) (-331 787739 787998 788287 "FCPAK1" 788784 T FCPAK1 (NIL) -7 NIL NIL) (-330 786867 787239 787380 "FCOMP" 787630 NIL FCOMP (NIL T) -8 NIL NIL) (-329 770495 773910 777473 "FC" 783324 T FC (NIL) -8 NIL NIL) (-328 762994 767082 767123 "FAXF" 768925 NIL FAXF (NIL T) -9 NIL 769616) (-327 760274 760928 761753 "FAXF-" 762218 NIL FAXF- (NIL T T) -8 NIL NIL) (-326 755380 759650 759826 "FARRAY" 760131 NIL FARRAY (NIL T) -8 NIL NIL) (-325 750698 752774 752828 "FAMR" 753851 NIL FAMR (NIL T T) -9 NIL 754308) (-324 749588 749890 750325 "FAMR-" 750330 NIL FAMR- (NIL T T T) -8 NIL NIL) (-323 749176 749219 749370 "FAMR2" 749539 NIL FAMR2 (NIL T T T T T) -7 NIL NIL) (-322 748372 749098 749151 "FAMONOID" 749156 NIL FAMONOID (NIL T) -8 NIL NIL) (-321 746202 746886 746940 "FAMONC" 747881 NIL FAMONC (NIL T T) -9 NIL 748266) (-320 744896 745958 746094 "FAGROUP" 746099 NIL FAGROUP (NIL T) -8 NIL NIL) (-319 742691 743010 743413 "FACUTIL" 744577 NIL FACUTIL (NIL T T T T) -7 NIL NIL) (-318 742107 742216 742362 "FACTRN" 742577 NIL FACTRN (NIL T) -7 NIL NIL) (-317 741206 741391 741613 "FACTFUNC" 741917 NIL FACTFUNC (NIL T) -7 NIL NIL) (-316 740622 740731 740877 "FACTEXT" 741092 NIL FACTEXT (NIL T) -7 NIL NIL) (-315 732942 739873 740085 "EXPUPXS" 740478 NIL EXPUPXS (NIL T NIL NIL) -8 NIL NIL) (-314 730425 730965 731551 "EXPRTUBE" 732376 T EXPRTUBE (NIL) -7 NIL NIL) (-313 729596 729691 729911 "EXPRSOL" 730325 NIL EXPRSOL (NIL T T T T) -7 NIL NIL) (-312 725790 726382 727119 "EXPRODE" 728935 NIL EXPRODE (NIL T T) -7 NIL NIL) (-311 710811 724451 724876 "EXPR" 725397 NIL EXPR (NIL T) -8 NIL NIL) (-310 705218 705805 706618 "EXPR2UPS" 710109 NIL EXPR2UPS (NIL T T) -7 NIL NIL) (-309 704854 704911 705018 "EXPR2" 705155 NIL EXPR2 (NIL T T) -7 NIL NIL) (-308 696194 703986 704283 "EXPEXPAN" 704691 NIL EXPEXPAN (NIL T T NIL NIL) -8 NIL NIL) (-307 695906 695957 696034 "EXP3D" 696137 T EXP3D (NIL) -7 NIL NIL) (-306 695733 695863 695892 "EXIT" 695897 T EXIT (NIL) -8 NIL NIL) (-305 695360 695422 695535 "EVALCYC" 695665 NIL EVALCYC (NIL T) -7 NIL NIL) (-304 694902 695018 695060 "EVALAB" 695230 NIL EVALAB (NIL T) -9 NIL 695334) (-303 694383 694505 694726 "EVALAB-" 694731 NIL EVALAB- (NIL T T) -8 NIL NIL) (-302 691841 693153 693182 "EUCDOM" 693737 T EUCDOM (NIL) -9 NIL 694087) (-301 690246 690688 691278 "EUCDOM-" 691283 NIL EUCDOM- (NIL T) -8 NIL NIL) (-300 677786 680544 683294 "ESTOOLS" 687516 T ESTOOLS (NIL) -7 NIL NIL) (-299 677418 677475 677584 "ESTOOLS2" 677723 NIL ESTOOLS2 (NIL T T) -7 NIL NIL) (-298 677169 677211 677291 "ESTOOLS1" 677370 NIL ESTOOLS1 (NIL T) -7 NIL NIL) (-297 671095 672823 672852 "ES" 675620 T ES (NIL) -9 NIL 677027) (-296 666043 667329 669146 "ES-" 669310 NIL ES- (NIL T) -8 NIL NIL) (-295 662418 663178 663958 "ESCONT" 665283 T ESCONT (NIL) -7 NIL NIL) (-294 662163 662195 662277 "ESCONT1" 662380 NIL ESCONT1 (NIL NIL NIL) -7 NIL NIL) (-293 661838 661888 661988 "ES2" 662107 NIL ES2 (NIL T T) -7 NIL NIL) (-292 661468 661526 661635 "ES1" 661774 NIL ES1 (NIL T T) -7 NIL NIL) (-291 660684 660813 660989 "ERROR" 661312 T ERROR (NIL) -7 NIL NIL) (-290 654199 660543 660634 "EQTBL" 660639 NIL EQTBL (NIL T T) -8 NIL NIL) (-289 646658 649541 650976 "EQ" 652797 NIL -2978 (NIL T) -8 NIL NIL) (-288 646290 646347 646456 "EQ2" 646595 NIL EQ2 (NIL T T) -7 NIL NIL) (-287 641582 642628 643721 "EP" 645229 NIL EP (NIL T) -7 NIL NIL) (-286 640736 641300 641329 "ENTIRER" 641334 T ENTIRER (NIL) -9 NIL 641380) (-285 637192 638691 639061 "EMR" 640535 NIL EMR (NIL T T T NIL NIL NIL) -8 NIL NIL) (-284 636338 636521 636576 "ELTAGG" 636956 NIL ELTAGG (NIL T T) -9 NIL 637166) (-283 636057 636119 636260 "ELTAGG-" 636265 NIL ELTAGG- (NIL T T T) -8 NIL NIL) (-282 635845 635874 635929 "ELTAB" 636013 NIL ELTAB (NIL T T) -9 NIL NIL) (-281 634971 635117 635316 "ELFUTS" 635696 NIL ELFUTS (NIL T T) -7 NIL NIL) (-280 634712 634768 634797 "ELEMFUN" 634902 T ELEMFUN (NIL) -9 NIL NIL) (-279 634582 634603 634671 "ELEMFUN-" 634676 NIL ELEMFUN- (NIL T) -8 NIL NIL) (-278 629512 632715 632757 "ELAGG" 633697 NIL ELAGG (NIL T) -9 NIL 634158) (-277 627797 628231 628894 "ELAGG-" 628899 NIL ELAGG- (NIL T T) -8 NIL NIL) (-276 620667 622466 623292 "EFUPXS" 627074 NIL EFUPXS (NIL T T T T) -8 NIL NIL) (-275 614119 615920 616729 "EFULS" 619944 NIL EFULS (NIL T T T) -8 NIL NIL) (-274 611541 611899 612378 "EFSTRUC" 613751 NIL EFSTRUC (NIL T T) -7 NIL NIL) (-273 600553 602118 603679 "EF" 610056 NIL EF (NIL T T) -7 NIL NIL) (-272 599654 600038 600187 "EAB" 600424 T EAB (NIL) -8 NIL NIL) (-271 598863 599613 599641 "E04UCFA" 599646 T E04UCFA (NIL) -8 NIL NIL) (-270 598072 598822 598850 "E04NAFA" 598855 T E04NAFA (NIL) -8 NIL NIL) (-269 597281 598031 598059 "E04MBFA" 598064 T E04MBFA (NIL) -8 NIL NIL) (-268 596490 597240 597268 "E04JAFA" 597273 T E04JAFA (NIL) -8 NIL NIL) (-267 595701 596449 596477 "E04GCFA" 596482 T E04GCFA (NIL) -8 NIL NIL) (-266 594912 595660 595688 "E04FDFA" 595693 T E04FDFA (NIL) -8 NIL NIL) (-265 594121 594871 594899 "E04DGFA" 594904 T E04DGFA (NIL) -8 NIL NIL) (-264 588300 589646 591010 "E04AGNT" 592777 T E04AGNT (NIL) -7 NIL NIL) (-263 587023 587503 587544 "DVARCAT" 588019 NIL DVARCAT (NIL T) -9 NIL 588218) (-262 586227 586439 586753 "DVARCAT-" 586758 NIL DVARCAT- (NIL T T) -8 NIL NIL) (-261 579196 579678 580427 "DTP" 585758 NIL DTP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-260 576645 578618 578775 "DSTREE" 579072 NIL DSTREE (NIL T) -8 NIL NIL) (-259 574114 575959 576001 "DSTRCAT" 576220 NIL DSTRCAT (NIL T) -9 NIL 576354) (-258 566968 573913 574042 "DSMP" 574047 NIL DSMP (NIL T T T) -8 NIL NIL) (-257 561778 562913 563981 "DROPT" 565920 T DROPT (NIL) -8 NIL NIL) (-256 561443 561502 561600 "DROPT1" 561713 NIL DROPT1 (NIL T) -7 NIL NIL) (-255 556558 557684 558821 "DROPT0" 560326 T DROPT0 (NIL) -7 NIL NIL) (-254 554903 555228 555614 "DRAWPT" 556192 T DRAWPT (NIL) -7 NIL NIL) (-253 549490 550413 551492 "DRAW" 553877 NIL DRAW (NIL T) -7 NIL NIL) (-252 549123 549176 549294 "DRAWHACK" 549431 NIL DRAWHACK (NIL T) -7 NIL NIL) (-251 547854 548123 548414 "DRAWCX" 548852 T DRAWCX (NIL) -7 NIL NIL) (-250 547370 547438 547589 "DRAWCURV" 547780 NIL DRAWCURV (NIL T T) -7 NIL NIL) (-249 537842 539800 541915 "DRAWCFUN" 545275 T DRAWCFUN (NIL) -7 NIL NIL) (-248 534693 536569 536611 "DQAGG" 537240 NIL DQAGG (NIL T) -9 NIL 537514) (-247 523121 529862 529946 "DPOLCAT" 531798 NIL DPOLCAT (NIL T T T T) -9 NIL 532342) (-246 517960 519306 521264 "DPOLCAT-" 521269 NIL DPOLCAT- (NIL T T T T T) -8 NIL NIL) (-245 510656 517821 517919 "DPMO" 517924 NIL DPMO (NIL NIL T T) -8 NIL NIL) (-244 503255 510436 510603 "DPMM" 510608 NIL DPMM (NIL NIL T T T) -8 NIL NIL) (-243 496960 502890 503042 "DMP" 503156 NIL DMP (NIL NIL T) -8 NIL NIL) (-242 496560 496616 496760 "DLP" 496898 NIL DLP (NIL T) -7 NIL NIL) (-241 490210 495661 495888 "DLIST" 496365 NIL DLIST (NIL T) -8 NIL NIL) (-240 487095 489098 489140 "DLAGG" 489690 NIL DLAGG (NIL T) -9 NIL 489919) (-239 485752 486444 486473 "DIVRING" 486623 T DIVRING (NIL) -9 NIL 486731) (-238 484740 484993 485386 "DIVRING-" 485391 NIL DIVRING- (NIL T) -8 NIL NIL) (-237 483168 484333 484469 "DIV" 484637 NIL DIV (NIL T) -8 NIL NIL) (-236 480662 481730 481772 "DIVCAT" 482606 NIL DIVCAT (NIL T) -9 NIL 482937) (-235 478764 479121 479527 "DISPLAY" 480276 T DISPLAY (NIL) -7 NIL NIL) (-234 476257 477470 477852 "DIRRING" 478415 NIL DIRRING (NIL T) -8 NIL NIL) (-233 470074 476171 476234 "DIRPROD" 476239 NIL DIRPROD (NIL NIL T) -8 NIL NIL) (-232 468922 469125 469390 "DIRPROD2" 469867 NIL DIRPROD2 (NIL NIL T T) -7 NIL NIL) (-231 458374 464446 464500 "DIRPCAT" 464910 NIL DIRPCAT (NIL NIL T) -9 NIL 465739) (-230 455700 456342 457223 "DIRPCAT-" 457560 NIL DIRPCAT- (NIL T NIL T) -8 NIL NIL) (-229 454987 455147 455333 "DIOSP" 455534 T DIOSP (NIL) -7 NIL NIL) (-228 451730 453934 453976 "DIOPS" 454410 NIL DIOPS (NIL T) -9 NIL 454638) (-227 451279 451393 451584 "DIOPS-" 451589 NIL DIOPS- (NIL T T) -8 NIL NIL) (-226 450146 450784 450813 "DIFRING" 451000 T DIFRING (NIL) -9 NIL 451110) (-225 449792 449869 450021 "DIFRING-" 450026 NIL DIFRING- (NIL T) -8 NIL NIL) (-224 447574 448856 448898 "DIFEXT" 449261 NIL DIFEXT (NIL T) -9 NIL 449553) (-223 445859 446287 446953 "DIFEXT-" 446958 NIL DIFEXT- (NIL T T) -8 NIL NIL) (-222 443221 445425 445467 "DIAGG" 445472 NIL DIAGG (NIL T) -9 NIL 445492) (-221 442605 442762 443014 "DIAGG-" 443019 NIL DIAGG- (NIL T T) -8 NIL NIL) (-220 437927 441564 441841 "DHMATRIX" 442374 NIL DHMATRIX (NIL T) -8 NIL NIL) (-219 433138 437741 437815 "DFVEC" 437873 T DFVEC (NIL) -8 NIL NIL) (-218 426739 428089 429526 "DFSFUN" 431721 T DFSFUN (NIL) -7 NIL NIL) (-217 422950 426510 426604 "DFMAT" 426665 T DFMAT (NIL) -8 NIL NIL) (-216 417227 421404 421837 "DFLOAT" 422537 T DFLOAT (NIL) -8 NIL NIL) (-215 415455 415736 416132 "DFINTTLS" 416935 NIL DFINTTLS (NIL T T) -7 NIL NIL) (-214 412474 413476 413876 "DERHAM" 415121 NIL DERHAM (NIL T NIL) -8 NIL NIL) (-213 404087 406004 407439 "DEQUEUE" 411072 NIL DEQUEUE (NIL T) -8 NIL NIL) (-212 403302 403435 403631 "DEGRED" 403949 NIL DEGRED (NIL T T) -7 NIL NIL) (-211 399697 400442 401295 "DEFINTRF" 402530 NIL DEFINTRF (NIL T) -7 NIL NIL) (-210 397224 397693 398292 "DEFINTEF" 399216 NIL DEFINTEF (NIL T T) -7 NIL NIL) (-209 391042 396662 396829 "DECIMAL" 397077 T DECIMAL (NIL) -8 NIL NIL) (-208 388554 389012 389518 "DDFACT" 390586 NIL DDFACT (NIL T T) -7 NIL NIL) (-207 388150 388193 388344 "DBLRESP" 388505 NIL DBLRESP (NIL T T T T) -7 NIL NIL) (-206 385860 386194 386563 "DBASE" 387908 NIL DBASE (NIL T) -8 NIL NIL) (-205 384993 385819 385847 "D03FAFA" 385852 T D03FAFA (NIL) -8 NIL NIL) (-204 384127 384952 384980 "D03EEFA" 384985 T D03EEFA (NIL) -8 NIL NIL) (-203 382077 382543 383032 "D03AGNT" 383658 T D03AGNT (NIL) -7 NIL NIL) (-202 381393 382036 382064 "D02EJFA" 382069 T D02EJFA (NIL) -8 NIL NIL) (-201 380709 381352 381380 "D02CJFA" 381385 T D02CJFA (NIL) -8 NIL NIL) (-200 380025 380668 380696 "D02BHFA" 380701 T D02BHFA (NIL) -8 NIL NIL) (-199 379341 379984 380012 "D02BBFA" 380017 T D02BBFA (NIL) -8 NIL NIL) (-198 372540 374127 375733 "D02AGNT" 377755 T D02AGNT (NIL) -7 NIL NIL) (-197 370309 370831 371377 "D01WGTS" 372014 T D01WGTS (NIL) -7 NIL NIL) (-196 369404 370268 370296 "D01TRNS" 370301 T D01TRNS (NIL) -8 NIL NIL) (-195 368499 369363 369391 "D01GBFA" 369396 T D01GBFA (NIL) -8 NIL NIL) (-194 367594 368458 368486 "D01FCFA" 368491 T D01FCFA (NIL) -8 NIL NIL) (-193 366689 367553 367581 "D01ASFA" 367586 T D01ASFA (NIL) -8 NIL NIL) (-192 365784 366648 366676 "D01AQFA" 366681 T D01AQFA (NIL) -8 NIL NIL) (-191 364879 365743 365771 "D01APFA" 365776 T D01APFA (NIL) -8 NIL NIL) (-190 363974 364838 364866 "D01ANFA" 364871 T D01ANFA (NIL) -8 NIL NIL) (-189 363069 363933 363961 "D01AMFA" 363966 T D01AMFA (NIL) -8 NIL NIL) (-188 362164 363028 363056 "D01ALFA" 363061 T D01ALFA (NIL) -8 NIL NIL) (-187 361259 362123 362151 "D01AKFA" 362156 T D01AKFA (NIL) -8 NIL NIL) (-186 360354 361218 361246 "D01AJFA" 361251 T D01AJFA (NIL) -8 NIL NIL) (-185 353651 355202 356763 "D01AGNT" 358813 T D01AGNT (NIL) -7 NIL NIL) (-184 352988 353116 353268 "CYCLOTOM" 353519 T CYCLOTOM (NIL) -7 NIL NIL) (-183 349723 350436 351163 "CYCLES" 352281 T CYCLES (NIL) -7 NIL NIL) (-182 349035 349169 349340 "CVMP" 349584 NIL CVMP (NIL T) -7 NIL NIL) (-181 346807 347064 347440 "CTRIGMNP" 348763 NIL CTRIGMNP (NIL T T) -7 NIL NIL) (-180 346181 346280 346433 "CSTTOOLS" 346704 NIL CSTTOOLS (NIL T T) -7 NIL NIL) (-179 341980 342637 343395 "CRFP" 345493 NIL CRFP (NIL T T) -7 NIL NIL) (-178 341027 341212 341440 "CRAPACK" 341784 NIL CRAPACK (NIL T) -7 NIL NIL) (-177 340413 340514 340717 "CPMATCH" 340904 NIL CPMATCH (NIL T T T) -7 NIL NIL) (-176 340138 340166 340272 "CPIMA" 340379 NIL CPIMA (NIL T T T) -7 NIL NIL) (-175 336486 337158 337877 "COORDSYS" 339473 NIL COORDSYS (NIL T) -7 NIL NIL) (-174 332347 334489 334981 "CONTFRAC" 336026 NIL CONTFRAC (NIL T) -8 NIL NIL) (-173 331495 332059 332088 "COMRING" 332093 T COMRING (NIL) -9 NIL 332145) (-172 330576 330853 331037 "COMPPROP" 331331 T COMPPROP (NIL) -8 NIL NIL) (-171 330237 330272 330400 "COMPLPAT" 330535 NIL COMPLPAT (NIL T T T) -7 NIL NIL) (-170 320163 330048 330156 "COMPLEX" 330161 NIL COMPLEX (NIL T) -8 NIL NIL) (-169 319799 319856 319963 "COMPLEX2" 320100 NIL COMPLEX2 (NIL T T) -7 NIL NIL) (-168 319517 319552 319650 "COMPFACT" 319758 NIL COMPFACT (NIL T T) -7 NIL NIL) (-167 303724 314069 314110 "COMPCAT" 315114 NIL COMPCAT (NIL T) -9 NIL 316495) (-166 293240 296163 299790 "COMPCAT-" 300146 NIL COMPCAT- (NIL T T) -8 NIL NIL) (-165 292969 292997 293100 "COMMUPC" 293206 NIL COMMUPC (NIL T T T) -7 NIL NIL) (-164 292764 292797 292856 "COMMONOP" 292930 T COMMONOP (NIL) -7 NIL NIL) (-163 292347 292515 292602 "COMM" 292697 T COMM (NIL) -8 NIL NIL) (-162 291595 291789 291818 "COMBOPC" 292156 T COMBOPC (NIL) -9 NIL 292331) (-161 290491 290701 290943 "COMBINAT" 291385 NIL COMBINAT (NIL T) -7 NIL NIL) (-160 286689 287262 287902 "COMBF" 289913 NIL COMBF (NIL T T) -7 NIL NIL) (-159 285475 285805 286040 "COLOR" 286474 T COLOR (NIL) -8 NIL NIL) (-158 285115 285162 285287 "CMPLXRT" 285422 NIL CMPLXRT (NIL T T) -7 NIL NIL) (-157 280617 281645 282725 "CLIP" 284055 T CLIP (NIL) -7 NIL NIL) (-156 278948 279718 279958 "CLIF" 280444 NIL CLIF (NIL NIL T NIL) -8 NIL NIL) (-155 275213 277131 277173 "CLAGG" 278102 NIL CLAGG (NIL T) -9 NIL 278635) (-154 273635 274092 274675 "CLAGG-" 274680 NIL CLAGG- (NIL T T) -8 NIL NIL) (-153 273179 273264 273404 "CINTSLPE" 273544 NIL CINTSLPE (NIL T T) -7 NIL NIL) (-152 270680 271151 271699 "CHVAR" 272707 NIL CHVAR (NIL T T T) -7 NIL NIL) (-151 269898 270462 270491 "CHARZ" 270496 T CHARZ (NIL) -9 NIL 270511) (-150 269652 269692 269770 "CHARPOL" 269852 NIL CHARPOL (NIL T) -7 NIL NIL) (-149 268754 269351 269380 "CHARNZ" 269427 T CHARNZ (NIL) -9 NIL 269483) (-148 266752 267444 267779 "CHAR" 268439 T CHAR (NIL) -8 NIL NIL) (-147 266477 266538 266567 "CFCAT" 266678 T CFCAT (NIL) -9 NIL NIL) (-146 260610 266134 266252 "CDFVEC" 266379 T CDFVEC (NIL) -8 NIL NIL) (-145 256268 260367 260468 "CDFMAT" 260529 T CDFMAT (NIL) -8 NIL NIL) (-144 255513 255624 255806 "CDEN" 256152 NIL CDEN (NIL T T T) -7 NIL NIL) (-143 251458 254666 254946 "CCLASS" 255253 T CCLASS (NIL) -8 NIL NIL) (-142 246511 247487 248240 "CARTEN" 250761 NIL CARTEN (NIL NIL NIL T) -8 NIL NIL) (-141 245619 245767 245988 "CARTEN2" 246358 NIL CARTEN2 (NIL NIL NIL T T) -7 NIL NIL) (-140 243914 244769 245026 "CARD" 245382 T CARD (NIL) -8 NIL NIL) (-139 243285 243613 243642 "CACHSET" 243774 T CACHSET (NIL) -9 NIL 243851) (-138 242780 243076 243105 "CABMON" 243155 T CABMON (NIL) -9 NIL 243211) (-137 240343 242472 242579 "BTREE" 242706 NIL BTREE (NIL T) -8 NIL NIL) (-136 237847 239991 240113 "BTOURN" 240253 NIL BTOURN (NIL T) -8 NIL NIL) (-135 235304 237351 237393 "BTCAT" 237461 NIL BTCAT (NIL T) -9 NIL 237538) (-134 234971 235051 235200 "BTCAT-" 235205 NIL BTCAT- (NIL T T) -8 NIL NIL) (-133 230161 234031 234060 "BTAGG" 234316 T BTAGG (NIL) -9 NIL 234495) (-132 229584 229728 229958 "BTAGG-" 229963 NIL BTAGG- (NIL T) -8 NIL NIL) (-131 226634 228862 229077 "BSTREE" 229401 NIL BSTREE (NIL T) -8 NIL NIL) (-130 225037 225584 225884 "BSD" 226354 T BSD (NIL) -8 NIL NIL) (-129 224175 224301 224485 "BRILL" 224893 NIL BRILL (NIL T) -7 NIL NIL) (-128 220915 222936 222978 "BRAGG" 223627 NIL BRAGG (NIL T) -9 NIL 223884) (-127 219444 219850 220405 "BRAGG-" 220410 NIL BRAGG- (NIL T T) -8 NIL NIL) (-126 212643 218790 218974 "BPADICRT" 219292 NIL BPADICRT (NIL NIL) -8 NIL NIL) (-125 210947 212580 212625 "BPADIC" 212630 NIL BPADIC (NIL NIL) -8 NIL NIL) (-124 210645 210675 210789 "BOUNDZRO" 210911 NIL BOUNDZRO (NIL T T) -7 NIL NIL) (-123 206160 207251 208118 "BOP" 209798 T BOP (NIL) -8 NIL NIL) (-122 203783 204227 204746 "BOP1" 205674 NIL BOP1 (NIL T) -7 NIL NIL) (-121 202111 202826 203120 "BOOLEAN" 203509 T BOOLEAN (NIL) -8 NIL NIL) (-120 201472 201850 201905 "BMODULE" 201910 NIL BMODULE (NIL T T) -9 NIL 201975) (-119 197815 198485 199271 "BLUPPACK" 200804 NIL BLUPPACK (NIL T NIL T T T) -7 NIL NIL) (-118 197207 197692 197761 "BLQT" 197766 T BLQT (NIL) -8 NIL NIL) (-117 195636 196111 196140 "BLMETCT" 196785 T BLMETCT (NIL) -9 NIL 197157) (-116 195035 195517 195584 "BLHN" 195589 T BLHN (NIL) -8 NIL NIL) (-115 189872 191021 192180 "BLAS1" 193896 T BLAS1 (NIL) -7 NIL NIL) (-114 185682 189670 189743 "BITS" 189819 T BITS (NIL) -8 NIL NIL) (-113 184753 185214 185366 "BINFILE" 185550 T BINFILE (NIL) -8 NIL NIL) (-112 178575 184194 184360 "BINARY" 184607 T BINARY (NIL) -8 NIL NIL) (-111 176442 177864 177906 "BGAGG" 178166 NIL BGAGG (NIL T) -9 NIL 178303) (-110 176273 176305 176396 "BGAGG-" 176401 NIL BGAGG- (NIL T T) -8 NIL NIL) (-109 175371 175657 175862 "BFUNCT" 176088 T BFUNCT (NIL) -8 NIL NIL) (-108 174063 174241 174528 "BEZOUT" 175196 NIL BEZOUT (NIL T T T T T) -7 NIL NIL) (-107 173026 173248 173507 "BEZIER" 173837 NIL BEZIER (NIL T) -7 NIL NIL) (-106 169549 171878 172208 "BBTREE" 172729 NIL BBTREE (NIL T) -8 NIL NIL) (-105 169282 169335 169364 "BASTYPE" 169483 T BASTYPE (NIL) -9 NIL NIL) (-104 169135 169163 169236 "BASTYPE-" 169241 NIL BASTYPE- (NIL T) -8 NIL NIL) (-103 168569 168645 168797 "BALFACT" 169046 NIL BALFACT (NIL T T) -7 NIL NIL) (-102 167933 168056 168204 "AXSERV" 168441 T AXSERV (NIL) -7 NIL NIL) (-101 166746 167343 167531 "AUTOMOR" 167778 NIL AUTOMOR (NIL T) -8 NIL NIL) (-100 166458 166463 166492 "ATTREG" 166497 T ATTREG (NIL) -9 NIL NIL) (-99 164737 165155 165507 "ATTRBUT" 166124 T ATTRBUT (NIL) -8 NIL NIL) (-98 164272 164385 164412 "ATRIG" 164613 T ATRIG (NIL) -9 NIL NIL) (-97 164081 164122 164209 "ATRIG-" 164214 NIL ATRIG- (NIL T) -8 NIL NIL) (-96 157641 159210 160321 "ASTACK" 163001 NIL ASTACK (NIL T) -8 NIL NIL) (-95 156148 156445 156809 "ASSOCEQ" 157324 NIL ASSOCEQ (NIL T T) -7 NIL NIL) (-94 155180 155807 155931 "ASP9" 156055 NIL ASP9 (NIL NIL) -8 NIL NIL) (-93 154944 155128 155167 "ASP8" 155172 NIL ASP8 (NIL NIL) -8 NIL NIL) (-92 153814 154549 154691 "ASP80" 154833 NIL ASP80 (NIL NIL) -8 NIL NIL) (-91 152713 153449 153581 "ASP7" 153713 NIL ASP7 (NIL NIL) -8 NIL NIL) (-90 151669 152390 152508 "ASP78" 152626 NIL ASP78 (NIL NIL) -8 NIL NIL) (-89 150640 151349 151466 "ASP77" 151583 NIL ASP77 (NIL NIL) -8 NIL NIL) (-88 149555 150278 150409 "ASP74" 150540 NIL ASP74 (NIL NIL) -8 NIL NIL) (-87 148456 149190 149322 "ASP73" 149454 NIL ASP73 (NIL NIL) -8 NIL NIL) (-86 147411 148133 148251 "ASP6" 148369 NIL ASP6 (NIL NIL) -8 NIL NIL) (-85 146360 147088 147206 "ASP55" 147324 NIL ASP55 (NIL NIL) -8 NIL NIL) (-84 145310 146034 146153 "ASP50" 146272 NIL ASP50 (NIL NIL) -8 NIL NIL) (-83 144398 145011 145121 "ASP4" 145231 NIL ASP4 (NIL NIL) -8 NIL NIL) (-82 143486 144099 144209 "ASP49" 144319 NIL ASP49 (NIL NIL) -8 NIL NIL) (-81 142271 143025 143193 "ASP42" 143375 NIL ASP42 (NIL NIL NIL NIL) -8 NIL NIL) (-80 141049 141804 141974 "ASP41" 142158 NIL ASP41 (NIL NIL NIL NIL) -8 NIL NIL) (-79 140001 140726 140844 "ASP35" 140962 NIL ASP35 (NIL NIL) -8 NIL NIL) (-78 139766 139949 139988 "ASP34" 139993 NIL ASP34 (NIL NIL) -8 NIL NIL) (-77 139503 139570 139646 "ASP33" 139721 NIL ASP33 (NIL NIL) -8 NIL NIL) (-76 138399 139138 139270 "ASP31" 139402 NIL ASP31 (NIL NIL) -8 NIL NIL) (-75 138164 138347 138386 "ASP30" 138391 NIL ASP30 (NIL NIL) -8 NIL NIL) (-74 137899 137968 138044 "ASP29" 138119 NIL ASP29 (NIL NIL) -8 NIL NIL) (-73 137664 137847 137886 "ASP28" 137891 NIL ASP28 (NIL NIL) -8 NIL NIL) (-72 137429 137612 137651 "ASP27" 137656 NIL ASP27 (NIL NIL) -8 NIL NIL) (-71 136513 137127 137238 "ASP24" 137349 NIL ASP24 (NIL NIL) -8 NIL NIL) (-70 135430 136154 136284 "ASP20" 136414 NIL ASP20 (NIL NIL) -8 NIL NIL) (-69 134518 135131 135241 "ASP1" 135351 NIL ASP1 (NIL NIL) -8 NIL NIL) (-68 133462 134192 134311 "ASP19" 134430 NIL ASP19 (NIL NIL) -8 NIL NIL) (-67 133199 133266 133342 "ASP12" 133417 NIL ASP12 (NIL NIL) -8 NIL NIL) (-66 132052 132798 132942 "ASP10" 133086 NIL ASP10 (NIL NIL) -8 NIL NIL) (-65 129957 131896 131987 "ARRAY2" 131992 NIL ARRAY2 (NIL T) -8 NIL NIL) (-64 125779 129605 129719 "ARRAY1" 129874 NIL ARRAY1 (NIL T) -8 NIL NIL) (-63 124811 124984 125205 "ARRAY12" 125602 NIL ARRAY12 (NIL T T) -7 NIL NIL) (-62 119210 121075 121151 "ARR2CAT" 123781 NIL ARR2CAT (NIL T T T) -9 NIL 124539) (-61 116644 117388 118342 "ARR2CAT-" 118347 NIL ARR2CAT- (NIL T T T T) -8 NIL NIL) (-60 115392 115544 115850 "APPRULE" 116480 NIL APPRULE (NIL T T T) -7 NIL NIL) (-59 115043 115091 115210 "APPLYORE" 115338 NIL APPLYORE (NIL T T T) -7 NIL NIL) (-58 114373 114500 114648 "API" 114913 T API (NIL) -7 NIL NIL) (-57 113347 113638 113833 "ANY" 114196 T ANY (NIL) -8 NIL NIL) (-56 112625 112748 112905 "ANY1" 113221 NIL ANY1 (NIL T) -7 NIL NIL) (-55 110144 111062 111389 "ANTISYM" 112349 NIL ANTISYM (NIL T NIL) -8 NIL NIL) (-54 109971 110103 110130 "ANON" 110135 T ANON (NIL) -8 NIL NIL) (-53 104038 108510 108964 "AN" 109535 T AN (NIL) -8 NIL NIL) (-52 100333 101731 101783 "AMR" 102531 NIL AMR (NIL T T) -9 NIL 103125) (-51 99445 99666 100029 "AMR-" 100034 NIL AMR- (NIL T T T) -8 NIL NIL) (-50 84007 99362 99423 "ALIST" 99428 NIL ALIST (NIL T T) -8 NIL NIL) (-49 80844 83601 83770 "ALGSC" 83925 NIL ALGSC (NIL T NIL NIL NIL) -8 NIL NIL) (-48 77402 77956 78562 "ALGPKG" 80285 NIL ALGPKG (NIL T T) -7 NIL NIL) (-47 76679 76780 76964 "ALGMFACT" 77288 NIL ALGMFACT (NIL T T T) -7 NIL NIL) (-46 72427 73111 73762 "ALGMANIP" 76206 NIL ALGMANIP (NIL T T) -7 NIL NIL) (-45 63689 72053 72203 "ALGFF" 72360 NIL ALGFF (NIL T T T NIL) -8 NIL NIL) (-44 62885 63016 63195 "ALGFACT" 63547 NIL ALGFACT (NIL T) -7 NIL NIL) (-43 61870 62480 62519 "ALGEBRA" 62579 NIL ALGEBRA (NIL T) -9 NIL 62638) (-42 61588 61647 61779 "ALGEBRA-" 61784 NIL ALGEBRA- (NIL T T) -8 NIL NIL) (-41 43395 59120 59173 "ALAGG" 59309 NIL ALAGG (NIL T T) -9 NIL 59470) (-40 42930 43043 43070 "AHYP" 43271 T AHYP (NIL) -9 NIL NIL) (-39 41861 42109 42136 "AGG" 42635 T AGG (NIL) -9 NIL 42913) (-38 41295 41457 41671 "AGG-" 41676 NIL AGG- (NIL T) -8 NIL NIL) (-37 38844 39425 39464 "AFSPCAT" 40736 NIL AFSPCAT (NIL T) -9 NIL 41231) (-36 36523 36945 37362 "AF" 38487 NIL AF (NIL T T) -7 NIL NIL) (-35 35863 36452 36506 "AFFSP" 36511 NIL AFFSP (NIL NIL T) -8 NIL NIL) (-34 35120 35790 35839 "AFFPLPS" 35844 NIL AFFPLPS (NIL T) -8 NIL NIL) (-33 34454 35061 35103 "AFFPL" 35108 NIL AFFPL (NIL T) -8 NIL NIL) (-32 31167 31654 32282 "AFALGRES" 33959 NIL AFALGRES (NIL T NIL T T T) -7 NIL NIL) (-31 29813 29990 30304 "AFALGGRO" 30986 NIL AFALGGRO (NIL T NIL T T T) -7 NIL NIL) (-30 29082 29340 29496 "ACPLOT" 29675 T ACPLOT (NIL) -8 NIL NIL) (-29 18442 26425 26477 "ACFS" 27188 NIL ACFS (NIL T) -9 NIL 27427) (-28 16456 16946 17721 "ACFS-" 17726 NIL ACFS- (NIL T T) -8 NIL NIL) (-27 12669 14625 14652 "ACF" 15531 T ACF (NIL) -9 NIL 15944) (-26 11373 11707 12200 "ACF-" 12205 NIL ACF- (NIL T) -8 NIL NIL) (-25 10970 11139 11166 "ABELSG" 11258 T ABELSG (NIL) -9 NIL 11323) (-24 10837 10862 10928 "ABELSG-" 10933 NIL ABELSG- (NIL T) -8 NIL NIL) (-23 10205 10466 10493 "ABELMON" 10663 T ABELMON (NIL) -9 NIL 10775) (-22 9869 9953 10091 "ABELMON-" 10096 NIL ABELMON- (NIL T) -8 NIL NIL) (-21 9202 9548 9575 "ABELGRP" 9700 T ABELGRP (NIL) -9 NIL 9782) (-20 8665 8794 9010 "ABELGRP-" 9015 NIL ABELGRP- (NIL T) -8 NIL NIL) (-19 4333 8027 8067 "A1AGG" 8072 NIL A1AGG (NIL T) -9 NIL 8112) (-18 30 1251 2813 "A1AGG-" 2818 NIL A1AGG- (NIL T T) -8 NIL NIL)) 
\ No newline at end of file
diff --git a/src/share/algebra/operation.daase b/src/share/algebra/operation.daase
index b43e38e..048c60d 100644
--- a/src/share/algebra/operation.daase
+++ b/src/share/algebra/operation.daase
@@ -1,3270 +1,3294 @@
 
-(836292 . 3570849594)        
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-579 *5 *3))))) 
-(((*1 *1) (-5 *1 (-121)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1012 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-5 *2 (-170 *5)) (-5 *1 (-598 *4 *5 *3)) (-4 *5 (-13 (-433 *4) (-1004) (-1185))) (-4 *3 (-13 (-433 (-170 *4)) (-1004) (-1185)))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-753))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-235))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-635 *7) *7 (-1161 *7))) (-5 *5 (-1 (-421 *7) *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *7)) (|:| -4399 *3)))) (-5 *1 (-806 *6 *7 *3 *8)) (-4 *3 (-647 *7)) (-4 *8 (-647 (-410 *7))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *6)) (|:| -4399 (-645 *6 (-410 *6)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-645 *6 (-410 *6)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-679 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1228 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
-(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-216)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 *4)))) (|:| |xValues| (-1087 *4)) (|:| |yValues| (-1087 *4)))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-946 *4))))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *6 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-1257)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-1257))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-156 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-366)) (-14 *5 (-996 *3 *4))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-891 *2 *3)) (-4 *2 (-1228 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1243 *4)) (-5 *1 (-1245 *4 *2)) (-4 *4 (-43 (-410 (-569))))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-569)) (-5 *1 (-382))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1165))))) (-5 *6 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400)))) ((*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1165))))) (-5 *6 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400)))) ((*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *5 (-1168)) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-635 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-635 *4))) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-635 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-831 *3))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-544 *6 *7 *5)) (-4 *7 (-366)) (-4 *5 (-13 (-366) (-842)))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-681 *2)) (-4 *4 (-1228 *2)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-5 *1 (-509 *2 *4 *5)) (-4 *5 (-412 *2 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1145 *3)) (-4 *3 (-1093)) (-4 *3 (-1199))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-216))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688)))) ((*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-216))) (-5 *5 (-635 (-257))) (-5 *1 (-688))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-366)) (-4 *6 (-1228 (-410 *2))) (-4 *2 (-1228 *5)) (-5 *1 (-207 *5 *2 *6 *3)) (-4 *3 (-341 *5 *2 *6))))) 
-(((*1 *1) (-5 *1 (-143)))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-569)) (|:| |c| *4))) (-5 *1 (-776 *4)) (-4 *4 (-366)) (-5 *3 (-569))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1199)) (-4 *2 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *2 *3 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-216)) (-5 *1 (-1196)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1161 (-1161 *4)))) (-5 *1 (-1198 *4)) (-5 *3 (-1161 (-1161 *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1093)) (-4 *2 (-844)) (-5 *1 (-122 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-955 *5)) (-4 *5 (-1049)) (-5 *2 (-493 *4 *5)) (-5 *1 (-947 *4 *5)) (-14 *4 (-635 (-1165)))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1161 *4)) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-410 (-1161 *4))) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1049)) (-5 *1 (-319 *4 *5 *2 *6)) (-4 *6 (-952 *2 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-400))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-955 *5)) (-5 *1 (-947 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-919)) (-4 *5 (-844)) (-5 *2 (-64 (-635 (-664 *5)))) (-5 *1 (-664 *5))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-3 (-130) (-569))) (-5 *1 (-130))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *2))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *2 *3 *2) (-12 (-4 *1 (-784)) (-5 *2 (-1037)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) ((*1 *2 *3 *2) (-12 (-4 *1 (-784)) (-5 *2 (-1037)) (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-260 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 *8)) (-4 *7 (-844)) (-4 *8 (-1049)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-5 *2 (-1161 *8)) (-5 *1 (-319 *6 *7 *8 *9))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-819))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-718)) (-4 *2 (-1199))))) 
-(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1) (-4 *1 (-718))) ((*1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) ((*1 *1) (-5 *1 (-1165)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1228 (-410 *3))) (-5 *2 (-919)) (-5 *1 (-911 *4 *5)) (-4 *5 (-1228 (-410 *4)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-569)) (-5 *1 (-447 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-990 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-243 *3 *4)) (-14 *3 (-635 (-1165))) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-14 *3 (-635 (-1165))) (-5 *1 (-456 *3 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-231 (-2946 *3) (-765))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-493 *3 *4)) (-14 *3 (-635 (-1165))) (-4 *4 (-1049))))) 
-(((*1 *1) (-5 *1 (-1061)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-912 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-185)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *1 (-367 *2 *4)) (-4 *2 (-1093)) (-4 *4 (-1093)))) ((*1 *1 *2) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1228 *5)) (-5 *2 (-635 *3)) (-5 *1 (-771 *4 *5 *6 *3 *7)) (-4 *3 (-1228 *6)) (-14 *7 (-919))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-765)) (-5 *2 (-681 (-216))) (-5 *1 (-300))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 *5)))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-1154 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-1154 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5))))) 
-(((*1 *2 *2) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-681 *3))) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-681 *3))) (-4 *3 (-1049)) (-5 *1 (-1030 *3))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-729 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1135 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1037)) (-5 *1 (-300)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1037))) (-5 *2 (-1037)) (-5 *1 (-300)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *1) (-5 *1 (-1061))) ((*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1142 *4)) (-4 *4 (-1199)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-826))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *5 (-559)) (-5 *1 (-724 *4 *3 *5 *2)) (-4 *2 (-952 (-410 (-955 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *3 *2)) (-4 *2 (-952 (-955 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *4 (-1049)) (-4 *5 (-790)) (-5 *1 (-987 *4 *5 *6 *2)) (-4 *2 (-952 (-955 *4) *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-620 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3 *4 *1) (-12 (-5 *4 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-765)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-790)) (-4 *4 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1161 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1147)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *4 (-1063 *6 *7 *8)) (-5 *2 (-1258)) (-5 *1 (-770 *6 *7 *8 *4 *5)) (-4 *5 (-1068 *6 *7 *8 *4))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 (-2 (|:| |deg| (-765)) (|:| -2988 *3)))) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-765)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-844)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-919)))) ((*1 *2 *3) (-12 (-5 *3 (-335 *4 *5 *6 *7)) (-4 *4 (-13 (-371) (-366))) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-4 *7 (-341 *4 *5 *6)) (-5 *2 (-765)) (-5 *1 (-395 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-4 *1 (-405)) (-5 *2 (-830 (-919))))) ((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-765)) (-4 *1 (-732 *4 *3)) (-4 *4 (-1049)) (-4 *3 (-844)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-732 *4 *3)) (-4 *4 (-1049)) (-4 *3 (-844)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-765)) (-5 *1 (-908 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-765)) (-5 *1 (-909 *4 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-335 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-4 *4 (-1228 (-410 *7))) (-4 *8 (-341 *6 *7 *4)) (-4 *9 (-13 (-371) (-366))) (-5 *2 (-765)) (-5 *1 (-1020 *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)) (-5 *2 (-765)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) ((*1 *2 *1) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-681 *4))) (-5 *2 (-681 *4)) (-4 *4 (-1049)) (-5 *1 (-1031 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-37 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-973 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1010 *3)) (-4 *3 (-1039 (-410 (-569))))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-226)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-1 *1 (-765))) (-4 *1 (-247 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-1 *1 (-765))) (-4 *1 (-247 *4 *3 *5 *6)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-263 *2)) (-4 *2 (-844))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1115 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-635 (-608 *3))) (|:| |vals| (-635 *3)))) (-5 *1 (-274 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-121)) (-5 *1 (-114)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1161 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $)))))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-519 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-844))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-505))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-1090 *3)))) ((*1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1095 *4)) (-4 *4 (-1093)) (-5 *2 (-1 *4)) (-5 *1 (-1019 *4)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382)))) ((*1 *2 *3) (-12 (-5 *3 (-1087 (-569))) (-5 *2 (-1 (-569))) (-5 *1 (-1047))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-955 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 (-170 *5)))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-121)) (-5 *1 (-889 *4)) (-4 *4 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-635 *8)) (-5 *1 (-965 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1190 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 *3) (|:| -3175 *4)))) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *1 (-1176 *3 *4)))) ((*1 *1) (-12 (-4 *1 (-1176 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-765)) (|:| -2665 *4))) (-5 *5 (-765)) (-4 *4 (-952 *6 *7 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-451 *6 *7 *8 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842)))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-172)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 *5)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-366)) (-5 *1 (-530 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) ((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-680 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-693 *4 *5 *6 *7)) (-4 *4 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *7 (-1199))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-329))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-1224 *3 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-681 *5)) (-4 *5 (-1049)) (-5 *1 (-1053 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-251))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-203))))) 
-(((*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-842)) (-4 *5 (-366)) (-5 *2 (-765)) (-5 *1 (-948 *5 *6)) (-4 *6 (-1228 *5))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) ((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-610 (-889 *3))) (-4 *3 (-883 *3)) (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-610 (-889 *3))) (-4 *2 (-883 *3)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-755)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-955 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1165))))) ((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-452 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *7)))) ((*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-952 *3 *5 *6)) (-4 *3 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-561 *3 *4 *5 *6 *7)) (-14 *4 (-635 (-1165))))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-777 *3 (-854 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1165))) (-5 *1 (-620 *3 *4))))) 
-(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1161 (-569))) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1161 (-569))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 (-569))) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 (-569))) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-635 (-765))) (-5 *1 (-773 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *6)) (-4 *7 (-952 *6 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) ((*1 *2) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1208)) (-4 *4 (-1228 (-410 *2))) (-4 *2 (-1228 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-474)) (-5 *3 (-635 (-257))) (-5 *1 (-1254)))) ((*1 *1 *1) (-5 *1 (-1254)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-466)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 (-1161 *6)) (|:| -3190 (-569))))) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7))))) 
-(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-437)) (-4 *5 (-844)) (-5 *1 (-1099 *5 *4)) (-4 *4 (-433 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) ((*1 *2 *1) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) ((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1137 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-1093))))) 
-(((*1 *2) (-12 (-5 *2 (-2 (|:| -2182 (-635 *3)) (|:| -2289 (-635 *3)))) (-5 *1 (-1205 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-311 *5))) (-5 *1 (-1120 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-311 *5)))) (-5 *1 (-1120 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-871)))) ((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-762 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-988 *4 *3 *5 *6)) (-4 *6 (-716 *3 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-1262 *4 *3 *5 *6)) (-4 *6 (-412 *3 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *5 *6 *7 *8))))) 
-(((*1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-826))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-410 *5)) (|:| |c2| (-410 *5)) (|:| |deg| (-765)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-635 *6) "failed") (-569) *6 *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(((*1 *2 *3 *2) (|partial| -12 (-5 *3 (-919)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-765)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *6 (-121)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-421 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-446 *5 *2)) (-4 *5 (-1049))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *4 (-765)) (-5 *2 (-681 (-216))) (-5 *1 (-264))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-1228 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-988 *4 *2 *3 *5)) (-4 *4 (-351)) (-4 *5 (-716 *2 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-542))))) 
-(((*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-394))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-952 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *2)) (-4 *2 (-952 *5 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *6 *4 *5)) (-5 *1 (-914 *4 *5 *6 *2)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302))))) 
-(((*1 *1 *2 *2) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-126 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-569)))) ((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-867 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-867 *2)) (-14 *2 (-569)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-14 *3 *2) (-5 *1 (-868 *3 *4)) (-4 *4 (-865 *3)))) ((*1 *1 *1) (-12 (-14 *2 (-569)) (-5 *1 (-868 *2 *3)) (-4 *3 (-865 *2)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1214 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1243 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1214 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1243 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-974))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-919)) (-5 *1 (-1094 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-474))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-569)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-867 *4)) (-14 *4 *3) (-5 *3 (-569)))) ((*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-410 (-569))) (-5 *1 (-868 *4 *5)) (-5 *3 (-569)) (-4 *5 (-865 *4)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1014)) (-5 *2 (-410 (-569))))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1065 *2 *3)) (-4 *2 (-13 (-842) (-366))) (-4 *3 (-1228 *2)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -3956 (*2 (-1165)))) (-4 *2 (-1049))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852))))) (-5 *1 (-1165)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 (-852)))) (-5 *1 (-1165))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-821)) (-5 *1 (-822))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-731 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-902 *3))) (-4 *3 (-1093)) (-5 *1 (-901 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-1087 (-216))))) ((*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216)))))) 
-(((*1 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-906)) (-5 *1 (-460 *3 *4 *2 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-906)) (-5 *1 (-903 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *2) (-12 (-4 *2 (-906)) (-5 *1 (-904 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 *3)) (-5 *1 (-926 *4 *5 *6 *3)) (-4 *3 (-952 *4 *6 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-2 (|:| |mval| (-681 *4)) (|:| |invmval| (-681 *4)) (|:| |genIdeal| (-515 *4 *5 *6 *7)))) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-1085 (-955 (-569)))) (-5 *3 (-955 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1085 (-955 (-569)))) (-5 *1 (-329))))) 
-(((*1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-493 *4 *5)) (-5 *1 (-947 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-569))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1219 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *8))) (-4 *8 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1049)) (-5 *1 (-594 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-595 *3)))) ((*1 *1 *2 *3 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1049)) (-4 *1 (-1212 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))) (-4 *4 (-1049)) (-4 *1 (-1233 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-4 *1 (-1243 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-765)) (|:| |c| *3)))) (-4 *3 (-1049)) (-4 *1 (-1243 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) (-121))) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-919) (-121))) (-5 *1 (-466))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *14)) (-4 *14 (-259 *13)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) *3)) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *12 (-236 *11)) (-5 *3 (-765)) (-5 *2 (-569)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-682 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1103))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-329))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-198)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-382))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1135 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1228 (-569))) (-5 *1 (-497 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-919)) (-4 *5 (-302)) (-4 *3 (-1228 *5)) (-5 *2 (-2 (|:| |plist| (-635 *3)) (|:| |modulo| *5))) (-5 *1 (-463 *5 *3)) (-5 *4 (-635 *3))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-410 (-569))) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-449 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) ((*1 *2 *1) (-12 (-4 *1 (-700 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-765))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-765))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-1161 (-1161 *4)))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 *3)) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) *3 *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1165)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-635 (-765)))))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) ((*1 *1 *1 *1) (-4 *1 (-790)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1087 *3)) (-4 *3 (-952 *7 *6 *4)) (-4 *6 (-790)) (-4 *4 (-844)) (-4 *7 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *6 *4 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *5 *4 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) ((*1 *1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1156 *4 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1185))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1185))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1156 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-410 (-955 *5))) (-5 *1 (-1157 *5)) (-5 *3 (-955 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-3 (-410 (-955 *5)) (-311 *5))) (-5 *1 (-1157 *5)) (-5 *3 (-410 (-955 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-955 *5))) (-5 *3 (-955 *5)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-410 *3)) (-5 *1 (-1157 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-3 *3 (-311 *5))) (-5 *1 (-1157 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161 *6)) (-4 *6 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-1161 *7)) (-5 *1 (-319 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1228 *4)) (-4 *4 (-1208)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1228 (-410 *3)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) ((*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-635 *4))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-57))) (-5 *2 (-1258)) (-5 *1 (-853))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-5 *2 (-1258)) (-5 *1 (-1205 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-5 *2 (-1258)) (-5 *1 (-1205 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 (-635 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-635 (-635 *5))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-635 *3))) (-5 *1 (-1172 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-1169))))) 
-(((*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-371))))) 
-(((*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-173))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-929)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-929)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-946 (-216)))))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-946 (-216))))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 *5))) (-5 *1 (-383 *5)) (-4 *5 (-13 (-842) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-736 *4 *3)) (-14 *4 (-1165)) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-966 *3 *2)) (-4 *2 (-138)) (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *2 (-789)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1161 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-974)) (-4 *2 (-138)) (-5 *1 (-1167 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1225 *4 *3)) (-14 *4 (-1165)) (-4 *3 (-1049))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1185) (-29 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-586 (-410 (-955 *5)))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-955 *5)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *2))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-1154 *3 *2)) (-4 *3 (-1093))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-569)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-454)) (-4 *4 (-844)) (-5 *1 (-578 *4 *2)) (-4 *2 (-280)) (-4 *2 (-433 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-790)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-216)) (-5 *5 (-569)) (-5 *2 (-1195 *3)) (-5 *1 (-787 *3)) (-4 *3 (-977)))) ((*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-121)) (-5 *1 (-1195 *2)) (-4 *2 (-977))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-790)) (-4 *2 (-952 *4 *5 *6)) (-5 *1 (-451 *4 *5 *6 *2)) (-4 *4 (-454)) (-4 *6 (-844))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161 (-569))) (-5 *2 (-569)) (-5 *1 (-945))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-1196))))) 
-(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-919)) (-5 *4 (-216)) (-5 *5 (-569)) (-5 *6 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-121)) (-5 *1 (-295))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6))))) 
-(((*1 *2 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-493 *3 *4))) (-14 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-623 *3 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-844))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-106 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-664 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919))))) 
-(((*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-837 *4)) (-5 *3 (-608 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1185) (-29 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-215 *6 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-946 (-216)))) (-5 *1 (-1254))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1161 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *2 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-973 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-960 *3)) (-5 *1 (-1152 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1169))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-170 (-382))))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-569)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-170 (-382))))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-569)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-685))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-690))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-692))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-685)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-690)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-692)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-685)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-690)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-692)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-685))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-690))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-692))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-685))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-690))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-692))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-685))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-690))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-692))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1147)) (-5 *1 (-329)))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *7)) (-4 *7 (-844)) (-4 *5 (-906)) (-4 *6 (-790)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-421 (-1161 *8))) (-5 *1 (-903 *5 *6 *7 *8)) (-5 *4 (-1161 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-264))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1237 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-315 *3 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)) (-5 *3 (-216))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047)) (-5 *3 (-569))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-543 *4 *2)) (-4 *2 (-1243 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-4 *5 (-1228 *4)) (-4 *6 (-716 *4 *5)) (-5 *1 (-547 *4 *5 *6 *2)) (-4 *2 (-1243 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-5 *1 (-548 *4 *2)) (-4 *2 (-1243 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1140 *4))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1130 *3 *4)) (-14 *3 (-919)) (-4 *4 (-366)) (-5 *1 (-996 *3 *4))))) 
-(((*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1253 *4)) (-5 *3 (-681 *4)) (-4 *4 (-366)) (-5 *1 (-660 *4)))) ((*1 *2 *3 *2) (|partial| -12 (-4 *4 (-366)) (-4 *5 (-13 (-376 *4) (-10 -7 (-6 -4572)))) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572)))) (-5 *1 (-661 *4 *5 *2 *3)) (-4 *3 (-679 *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-635 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-366)) (-5 *1 (-811 *2 *3)) (-4 *3 (-647 *2)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-919)) (|has| *4 (-6 (-4573 "*"))) (-4 *4 (-1049)) (-5 *1 (-1030 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-681 *4))) (-5 *3 (-919)) (|has| *4 (-6 (-4573 "*"))) (-4 *4 (-1049)) (-5 *1 (-1030 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4)))) (|:| |geneigvec| (-635 (-681 (-410 (-955 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-681 (-410 (-955 *4))))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-55 *3 *4)) (-14 *4 (-635 (-1165))))) ((*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-765)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-170 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-5 *2 (-170 *6)) (-5 *1 (-169 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-311 *3) (-311 *3))) (-4 *3 (-13 (-1049) (-844))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1165))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-233 *5 *6)) (-14 *5 (-765)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-5 *2 (-233 *5 *7)) (-5 *1 (-232 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-289 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-289 *6)) (-5 *1 (-288 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-289 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1147)) (-5 *5 (-608 *6)) (-4 *6 (-297)) (-4 *2 (-1199)) (-5 *1 (-292 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-608 *5)) (-4 *5 (-297)) (-4 *2 (-297)) (-5 *1 (-293 *5 *2)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-608 *1)) (-4 *1 (-297)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-681 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-681 *6)) (-5 *1 (-299 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-311 *5)) (-4 *5 (-844)) (-4 *6 (-844)) (-5 *2 (-311 *6)) (-5 *1 (-309 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1049)) (-4 *7 (-1049)) (-4 *5 (-789)) (-4 *2 (-325 *7 *5)) (-5 *1 (-323 *5 *6 *4 *7 *2)) (-4 *4 (-325 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-335 *5 *6 *7 *8)) (-4 *5 (-366)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *9 (-366)) (-4 *10 (-1228 *9)) (-4 *11 (-1228 (-410 *10))) (-5 *2 (-335 *9 *10 *11 *12)) (-5 *1 (-332 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-341 *9 *10 *11)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-337 *3)) (-4 *3 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1208)) (-4 *8 (-1208)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *9 (-1228 *8)) (-4 *2 (-341 *8 *9 *10)) (-5 *1 (-339 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-341 *5 *6 *7)) (-4 *10 (-1228 (-410 *9))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *2 (-376 *6)) (-5 *1 (-374 *5 *4 *6 *2)) (-4 *4 (-376 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-421 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-421 *6)) (-5 *1 (-408 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-410 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-410 *6)) (-5 *1 (-409 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-416 *5 *6 *7 *8)) (-4 *5 (-302)) (-4 *6 (-995 *5)) (-4 *7 (-1228 *6)) (-4 *8 (-13 (-412 *6 *7) (-1039 *6))) (-4 *9 (-302)) (-4 *10 (-995 *9)) (-4 *11 (-1228 *10)) (-5 *2 (-416 *9 *10 *11 *12)) (-5 *1 (-415 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-412 *10 *11) (-1039 *10))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-420 *6)) (-5 *1 (-418 *4 *5 *2 *6)) (-4 *4 (-420 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-559)) (-5 *1 (-421 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1049) (-844))) (-4 *6 (-13 (-1049) (-844))) (-4 *2 (-433 *6)) (-5 *1 (-424 *5 *4 *6 *2)) (-4 *4 (-433 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-428 *6)) (-5 *1 (-426 *5 *4 *6 *2)) (-4 *4 (-428 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-500 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-519 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-844)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-586 *5)) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-586 *6)) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3339 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| -3339 *6) (|:| |coeff| *6))) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-366)) (-4 *2 (-366)) (-5 *1 (-585 *5 *2)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-599 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-599 *6)) (-5 *1 (-596 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-599 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1145 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-1145 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-635 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-635 *6)) (-5 *1 (-633 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-635 *6)) (-5 *5 (-635 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-635 *8)) (-5 *1 (-634 *6 *7 *8)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-679 *8 *9 *10)) (-5 *1 (-677 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-679 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-679 *8 *9 *10)) (-5 *1 (-677 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-679 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-559)) (-4 *7 (-559)) (-4 *6 (-1228 *5)) (-4 *2 (-1228 (-410 *8))) (-5 *1 (-701 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1228 (-410 *6))) (-4 *8 (-1228 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1049)) (-4 *9 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *2 (-952 *9 *7 *5)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-790)) (-4 *4 (-952 *8 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-844)) (-4 *6 (-844)) (-4 *7 (-790)) (-4 *9 (-1049)) (-4 *2 (-952 *9 *8 *6)) (-5 *1 (-721 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-790)) (-4 *4 (-952 *9 *7 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-727 *5 *7)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *7 (-718)) (-5 *2 (-727 *6 *7)) (-5 *1 (-726 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-727 *3 *4)) (-4 *4 (-718)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-779 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-779 *6)) (-5 *1 (-778 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-794 *6)) (-5 *1 (-795 *4 *5 *2 *6)) (-4 *4 (-794 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-830 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-830 *6)) (-5 *1 (-829 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-830 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-830 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *1 (-829 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-837 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-837 *6)) (-5 *1 (-836 *5 *6)))) ((*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-837 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-837 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *1 (-836 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-875 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-875 *6)) (-5 *1 (-874 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-877 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-877 *6)) (-5 *1 (-876 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-879 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-879 *6)) (-5 *1 (-878 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-886 *5 *6)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-886 *5 *7)) (-5 *1 (-885 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-889 *6)) (-5 *1 (-888 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-955 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-955 *6)) (-5 *1 (-949 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-844)) (-4 *8 (-1049)) (-4 *6 (-790)) (-4 *2 (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-765)))))) (-5 *1 (-954 *6 *7 *8 *5 *2)) (-4 *5 (-952 *8 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-960 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-960 *6)) (-5 *1 (-959 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-946 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-946 *6)) (-5 *1 (-984 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-955 *4))) (-4 *4 (-1049)) (-4 *2 (-952 (-955 *4) *5 *6)) (-4 *5 (-790)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-4 *2 (-995 *6)) (-5 *1 (-993 *5 *6 *4 *2)) (-4 *4 (-995 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-999 *6)) (-5 *1 (-1000 *4 *5 *2 *6)) (-4 *4 (-999 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1049)) (-4 *10 (-1049)) (-14 *5 (-765)) (-14 *6 (-765)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *2 (-1052 *5 *6 *10 *11 *12)) (-5 *1 (-1054 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1052 *5 *6 *7 *8 *9)) (-4 *11 (-231 *6 *10)) (-4 *12 (-231 *5 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1087 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1087 *6)) (-5 *1 (-1083 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1087 *5)) (-4 *5 (-842)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-635 *6)) (-5 *1 (-1083 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1085 *6)) (-5 *1 (-1084 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1088 *4 *2)) (-4 *4 (-842)) (-4 *2 (-1137 *4)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1145 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1145 *6)) (-5 *1 (-1143 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1145 *6)) (-5 *5 (-1145 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-1144 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1161 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-1161 *6)) (-5 *1 (-1158 *5 *6)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1176 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1216 *5 *7 *9)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-14 *7 (-1165)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1216 *6 *8 *10)) (-5 *1 (-1211 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1165)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1219 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1219 *6)) (-5 *1 (-1218 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1219 *5)) (-4 *5 (-842)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1145 *6)) (-5 *1 (-1218 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1225 *5 *6)) (-14 *5 (-1165)) (-4 *6 (-1049)) (-4 *8 (-1049)) (-5 *2 (-1225 *7 *8)) (-5 *1 (-1220 *5 *6 *7 *8)) (-14 *7 (-1165)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *2 (-1228 *6)) (-5 *1 (-1226 *5 *4 *6 *2)) (-4 *4 (-1228 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1237 *5 *7 *9)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-14 *7 (-1165)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1237 *6 *8 *10)) (-5 *1 (-1232 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1165)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *2 (-1243 *6)) (-5 *1 (-1241 *5 *6 *4 *2)) (-4 *4 (-1243 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1253 *6)) (-5 *1 (-1252 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1253 *6)) (-5 *1 (-1252 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-1274 *3 *4)) (-4 *4 (-840))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-3 (-410 (-955 *5)) (-1154 (-1165) (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-681 (-410 (-955 *5))))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
-(((*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1147)) (-5 *1 (-992)))) ((*1 *2 *3 *1) (|partial| -12 (-5 *2 (-289 (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *2 *1 *3) (|partial| -12 (-5 *2 (-289 (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1087 *4)) (-4 *4 (-1199)) (-5 *1 (-1085 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-4 *8 (-1228 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-765)) (-4 *3 (-351)) (-4 *5 (-1228 *3)) (-5 *2 (-635 (-1161 *3))) (-5 *1 (-508 *3 *5 *6)) (-4 *6 (-1228 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-635 *2))) (-5 *4 (-635 *5)) (-4 *5 (-43 (-410 (-569)))) (-4 *2 (-1243 *5)) (-5 *1 (-1245 *5 *2))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-844))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1161 *6)) (-5 *3 (-569)) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3))))) 
-(((*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-844)) (-5 *3 (-635 *6)) (-5 *5 (-635 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-635 *5)) (|:| |f3| *5) (|:| |f4| (-635 *5)))) (-5 *1 (-1171 *6)) (-5 *4 (-635 *5))))) 
-(((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -4 *1 (-714)))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-955 (-569))) (-5 *5 (-635 (-1165))) (-4 *1 (-668 *2 *6)) (-4 *6 (-1199)) (-5 *4 (-1165)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1093))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1258))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-946 *4)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1219 *3)) (-4 *3 (-1199))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-351)) (-4 *4 (-328 *3)) (-4 *5 (-1228 *4)) (-5 *1 (-771 *3 *4 *5 *2 *6)) (-4 *2 (-1228 *5)) (-14 *6 (-919)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *1 *1) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-366)) (-4 *2 (-371))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-816 *3)) (-4 *3 (-844)) (-5 *1 (-664 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-248 *3)))) ((*1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
-(((*1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-955 (-569))) (-5 *3 (-1165)) (-5 *4 (-1087 (-410 (-569)))) (-5 *1 (-30))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572))))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-635 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-433 *4) (-1004))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-273 *4 *2))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-765)) (-4 *2 (-1093)) (-5 *1 (-670 *2))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
-(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-302))))) 
-(((*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-289 *6)) (-5 *4 (-123)) (-4 *6 (-433 *5)) (-4 *5 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *5 *6)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-635 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 (-289 *8))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *8)) (-5 *6 (-635 *8)) (-4 *8 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-123))) (-5 *6 (-635 (-289 *8))) (-4 *8 (-433 *7)) (-5 *5 (-289 *8)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *5)) (-5 *4 (-123)) (-4 *5 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *5)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1165)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-4 *2 (-1243 *3)) (-5 *1 (-313 *7 *3 *2 *8)) (-4 *8 (-1243 (-1159 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-635 *5)) (-4 *5 (-366)) (-4 *6 (-1243 (-1159 *5))) (-4 *2 (-1243 *5)) (-5 *1 (-1247 *5 *2 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-675 *4 *5 *6)) (-4 *5 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-231 *3 *4)) (-4 *4 (-1049)) (-4 *4 (-1199)))) ((*1 *1 *2) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *5)) (-2 (|:| -1333 *2) (|:| -3190 *5)))) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *2 (-844)) (-4 *7 (-952 *4 *5 (-854 *3))))) ((*1 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842)))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-351)) (-4 *2 (-1049)) (-5 *1 (-704 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-765))))) 
-(((*1 *2) (-12 (-4 *3 (-1049)) (-5 *2 (-960 (-704 *3 *4))) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-4 *1 (-668 *2 *3)) (-4 *2 (-1199)) (-4 *3 (-1199))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-635 (-765))) (-5 *1 (-901 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1 *6 (-765) (-1253 (-1161 *6)))) (-5 *5 (-635 (-765))) (-4 *6 (-13 (-559) (-454))) (-5 *2 (-681 (-1161 *6))) (-5 *1 (-347 *6 *7)) (-4 *7 (-52 *6 (-765)))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-23)) (-5 *1 (-285 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1228 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-703 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-704 *3 *2)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-707 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-330 *3)) (-4 *3 (-844))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1266 (-1165) *3)) (-4 *3 (-1049)) (-5 *1 (-1273 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1266 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *1 (-1275 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1147)) (-5 *1 (-783))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1087 (-216))) (-5 *2 (-1255)) (-5 *1 (-251))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |gblist| (-635 (-243 *4 *5))) (|:| |gvlist| (-635 (-569))))) (-5 *1 (-623 *4 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *6 *2 *7)) (-4 *6 (-1049)) (-4 *7 (-231 *4 *6)) (-4 *2 (-231 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1087 *3)) (-5 *1 (-1085 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-5 *1 (-1219 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-955 *5)))) (-5 *1 (-1170 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |deg| (-765)) (|:| -2988 *5)))) (-4 *5 (-1228 *4)) (-4 *4 (-351)) (-5 *2 (-635 *5)) (-5 *1 (-208 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| -3139 *5) (|:| -2284 (-569))))) (-5 *4 (-569)) (-4 *5 (-1228 *4)) (-5 *2 (-635 *5)) (-5 *1 (-687 *5))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *3 (-559))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-902 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-163))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-163))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-1147))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-1039 (-569))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-36 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *1 *1 *1) (-5 *1 (-140))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1243 *4)) (-5 *1 (-275 *4 *5 *2)) (-4 *2 (-1214 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1212 *4)) (-5 *1 (-276 *4 *5 *2 *6)) (-4 *2 (-1235 *4 *5)) (-4 *6 (-986 *5)))) ((*1 *1 *1 *1) (-4 *1 (-280))) ((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1) (-5 *1 (-382))) ((*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-1105)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-542)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-542)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *4 (-1093)) (-5 *1 (-673 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-682 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)) (-4 *4 (-638 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-706 *4 *5)) (-4 *5 (-638 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-718)) (-5 *2 (-765)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) ((*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-831 *3)) (-4 *3 (-1049)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-5 *1 (-831 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1004)) (-5 *2 (-410 (-569))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1105)) (-5 *2 (-919)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1114 *3 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)) (-4 *4 (-366)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008))))) 
-(((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 *6)) (-4 *6 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 *8) (|:| -4433 (-765)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 *6)) (-4 *6 (-366)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-844) (-559))) (-14 *10 (-1 *6 *9)) (-5 *2 (-635 (-2 (|:| -3659 *8) (|:| -4433 (-765))))) (-5 *1 (-487 *6 *7 *8 *9 *10 *11)) (-4 *7 (-454)) (-4 *8 (-13 (-433 (-569)) (-559) (-1039 *9) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 *9) (|:| -4433 (-765)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-366)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-844) (-559))) (-14 *11 (-1 *7 *10)) (-5 *2 (-635 (-2 (|:| -3659 *9) (|:| -4433 (-765))))) (-5 *1 (-487 *7 *8 *9 *10 *11 *12)) (-4 *8 (-454)) (-4 *9 (-13 (-433 (-569)) (-559) (-1039 *10) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-735 *6 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *6 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-736 *6 (-569))))) (-14 *6 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *6 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-735 *7 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *7 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-736 *7 (-569))))) (-14 *7 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *7 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *7))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-326 *3)) (-4 *3 (-1199)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 (-569))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-5 *4 (-681 *12)) (-5 *5 (-635 (-410 (-955 *9)))) (-5 *6 (-635 (-635 *12))) (-5 *7 (-765)) (-5 *8 (-569)) (-4 *9 (-13 (-302) (-151))) (-4 *12 (-952 *9 *11 *10)) (-4 *10 (-13 (-844) (-610 (-1165)))) (-4 *11 (-790)) (-5 *2 (-2 (|:| |eqzro| (-635 *12)) (|:| |neqzro| (-635 *12)) (|:| |wcond| (-635 (-955 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *9)))) (|:| -4079 (-635 (-1253 (-410 (-955 *9))))))))) (-5 *1 (-926 *9 *10 *11 *12))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-765))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1039 *2))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-2 (|:| |start| *3) (|:| -3459 (-421 *3)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-13 (-842) (-366))) (-5 *2 (-121)) (-5 *1 (-1059 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-172)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-837 (-382))) (-5 *2 (-837 (-216))) (-5 *1 (-300))))) 
-(((*1 *1) (-5 *1 (-474)))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *3 (-897 *5)) (-5 *2 (-1253 *3)) (-5 *1 (-683 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-391)) (-5 *1 (-624))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *6)))) (-5 *4 (-1028 (-837 (-569)))) (-5 *5 (-1165)) (-5 *7 (-410 (-569))) (-4 *6 (-1049)) (-5 *2 (-852)) (-5 *1 (-594 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *8 (-973 *5)) (-4 *9 (-642 *5)) (-4 *10 (-922 *5 *9)) (-4 *11 (-537 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-259 *11))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-608 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-302)) (-4 *6 (-376 *5)) (-4 *4 (-376 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-1115 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
-(((*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 (-907 *3)) (|:| -1333 (-1111)))))) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) ((*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111)))))) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) *2)))) ((*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111)))))) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) ((*1 *1 *1) (-4 *1 (-842))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) ((*1 *1 *1) (-4 *1 (-1058))) ((*1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-420 *3)) (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-48 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-366)) (-5 *2 (-1253 *1)) (-4 *1 (-328 *4)))) ((*1 *2) (-12 (-4 *3 (-366)) (-5 *2 (-1253 *1)) (-4 *1 (-328 *3)))) ((*1 *2) (-12 (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *1)) (-4 *1 (-412 *3 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-4 *6 (-412 *4 *5)) (-14 *7 *2))) ((*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1253 *1)) (-4 *1 (-420 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 (-1253 *4))) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-765)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-765)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-635 *8))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-931 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-973 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-931 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-973 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-4 *1 (-377 *3 *4)) (-4 *4 (-173))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1199)) (-5 *2 (-635 *1)) (-4 *1 (-1012 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-952 *4 *6 *5)) (-4 *4 (-454)) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *1 (-990 *4 *5 *6 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-765)) (-5 *1 (-123))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-929))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-448)) (-5 *3 (-569))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1264 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1264 *5 *6 *7 *8))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-842))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1228 (-170 *3)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1145 *7))) (-4 *6 (-844)) (-4 *7 (-952 *5 (-535 *6) *6)) (-4 *5 (-1049)) (-5 *2 (-1 (-1145 *7) *7)) (-5 *1 (-1117 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-3 (|:| |overq| (-1161 (-410 (-569)))) (|:| |overan| (-1161 (-53))) (|:| -2795 (-121)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-2 (|:| -2412 (-635 *6)) (|:| -4465 (-635 *6))))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-138)) (-4 *3 (-789))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-121)) (-5 *1 (-630 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1161 (-1161 *4)))) (-5 *1 (-1198 *4)) (-5 *3 (-1161 (-1161 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-185))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3))))) 
-(((*1 *1 *1) (-5 *1 (-542)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-1208)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-341 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-123)) (-5 *1 (-1026 *4 *3)) (-4 *3 (-13 (-433 *4) (-23) (-1039 (-569)) (-1039 (-1165)) (-897 (-1165)) (-162)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-130)))) ((*1 *2 *3) (-12 (-4 *5 (-13 (-610 *2) (-173))) (-5 *2 (-889 *4)) (-5 *1 (-171 *4 *5 *3)) (-4 *4 (-1093)) (-4 *3 (-167 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1087 (-837 (-382))))) (-5 *2 (-635 (-1087 (-837 (-216))))) (-5 *1 (-300)))) ((*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-382)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-397)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-421 *1)) (-4 *1 (-433 *3)) (-4 *3 (-559)) (-4 *3 (-844)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-469 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1097)) (-5 *1 (-542)))) ((*1 *2 *1) (-12 (-4 *1 (-610 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-716 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-983 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1060)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *5 (-610 (-1165))) (-4 *4 (-790)) (-4 *5 (-844)))) ((*1 *1 *2) (-1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1147)) (-5 *1 (-1066 *4 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1077)))) ((*1 *1 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *2)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *5 *2 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *2 (-1093)) (-4 *6 (-1093)))) ((*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *2 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *2 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) ((*1 *1 *2) (-12 (-4 *1 (-1096 *3 *2 *4 *5 *6)) (-4 *3 (-1093)) (-4 *2 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) ((*1 *1 *2) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1102 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1147)) (-5 *1 (-1133 *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-1180)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-1180)))) ((*1 *2 *3) (-12 (-5 *3 (-777 *4 (-854 *5))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-777 *4 (-854 *6))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-955 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-777 *4 (-854 *6))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *6 (-635 (-1165))) (-5 *2 (-955 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-1161 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-1134 *4 (-535 (-854 *6)) (-854 *6) (-777 *4 (-854 *6)))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-777 *4 (-854 *6)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165)))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1068 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-991 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1068 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-1100 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-289 (-955 (-569)))) (-5 *2 (-2 (|:| |varOrder| (-635 (-1165))) (|:| |inhom| (-3 (-635 (-1253 (-765))) "failed")) (|:| |hom| (-635 (-1253 (-765)))))) (-5 *1 (-229))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121))))) 
-(((*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -4079 (-635 *1)))) (-4 *1 (-370 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -4079 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4))))) 
-(((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *4))) (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *1 (-654 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1037))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-854 *5))) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-2 (|:| |dpolys| (-635 (-243 *5 *6))) (|:| |coords| (-635 (-569))))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4))))))) (-5 *3 (-635 *7)) (-4 *4 (-13 (-302) (-151))) (-4 *7 (-952 *4 *6 *5)) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *1 (-926 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *6)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842)))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1) (-5 *1 (-852))) ((*1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3)))) ((*1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) ((*1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) ((*1 *1) (-5 *1 (-1168))) ((*1 *1) (-5 *1 (-1169)))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *2 (-635 (-216))) (-5 *1 (-300))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-410 (-569))) (-5 *1 (-300))))) 
-(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-991 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1068 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-1100 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1068 *6 *7 *8 *9))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-819))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-4 *2 (-13 (-405) (-10 -7 (-15 -3956 (*2 *4)) (-15 -2862 ((-919) *2)) (-15 -4079 ((-1253 *2) (-919))) (-15 -4167 (*2 *2))))) (-5 *1 (-358 *2 *4))))) 
-(((*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -3575 *5) (|:| -4399 *3)))) (-5 *1 (-806 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6)))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1111)) (-5 *1 (-113)))) ((*1 *2 *1) (|partial| -12 (-5 *1 (-368 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1147)) (-5 *1 (-1181))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-148))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *2 (-679 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-679 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) ((*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-302)))) ((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1052 *2 *3 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *2 *4)) (-4 *4 (-302))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280)))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-681 (-1161 *8))) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-1228 *5)) (-5 *2 (-681 *6)) (-5 *1 (-511 *5 *6 *7 *8)) (-4 *7 (-1228 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-1161 (-955 *4)) (-955 *4))) (-5 *1 (-1261 *4)) (-4 *4 (-366))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-1093)) (-4 *3 (-897 *6)) (-5 *2 (-681 *3)) (-5 *1 (-683 *6 *3 *7 *4)) (-4 *7 (-376 *3)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4571))))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-681 *11)) (-5 *4 (-635 (-410 (-955 *8)))) (-5 *5 (-765)) (-5 *6 (-1147)) (-4 *8 (-13 (-302) (-151))) (-4 *11 (-952 *8 *10 *9)) (-4 *9 (-13 (-844) (-610 (-1165)))) (-4 *10 (-790)) (-5 *2 (-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 *11)) (|:| |neqzro| (-635 *11)) (|:| |wcond| (-635 (-955 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *8)))) (|:| -4079 (-635 (-1253 (-410 (-955 *8)))))))))) (|:| |rgsz| (-569)))) (-5 *1 (-926 *8 *9 *10 *11)) (-5 *7 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-967 *3 *2)) (-4 *3 (-1093))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-185)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1049)) (-5 *1 (-681 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *4)) (-4 *4 (-1049)) (-4 *1 (-1114 *3 *4 *5 *6)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-113)))) ((*1 *2 *1) (-12 (-4 *1 (-139)) (-5 *2 (-765)))) ((*1 *2 *3 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-569)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-376 *4)) (-4 *4 (-1199)) (-5 *2 (-569)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-569)) (-5 *3 (-143)))) ((*1 *2 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-681 *4)) (-5 *1 (-811 *4 *5)) (-4 *5 (-647 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-811 *5 *6)) (-4 *6 (-647 *5))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef1| (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) ((*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *1 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *1 *1) (-4 *1 (-860))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-880)))) ((*1 *1 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-973 *3)) (-4 *3 (-366)))) ((*1 *1 *1) (-5 *1 (-974))) ((*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-144 *4 *5 *3)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-513 *4 *5 *6 *3)) (-4 *6 (-376 *4)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-681 *5)) (-4 *5 (-995 *4)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| (-681 *4)) (|:| |den| *4))) (-5 *1 (-684 *4 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-2 (|:| -4399 *7) (|:| |rh| (-635 (-410 *6))))) (-5 *1 (-804 *5 *6 *7 *3)) (-5 *4 (-635 (-410 *6))) (-4 *7 (-647 *6)) (-4 *3 (-647 (-410 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1221 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1240 *3)) (-4 *3 (-1199)) (-5 *2 (-765))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) ((*1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) ((*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-679 *3 *2 *4)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1130 *2 *3)) (-14 *2 (-765)) (-4 *3 (-1049))))) 
-(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1128 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *1 (-1129 *4 *5)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-635 (-1128 *3 *4))) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4))))) 
-(((*1 *1 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
-(((*1 *2) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1208)) (-4 *4 (-1228 (-410 *2))) (-4 *2 (-1228 *3))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329))))) 
-(((*1 *2 *3) (-12 (|has| *6 (-6 -4572)) (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *3) (-12 (|has| *9 (-6 -4572)) (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)) (-5 *2 (-635 *6)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-679 *4 *5 *6)) (-4 *10 (-679 *7 *8 *9)))) ((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-635 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -2756 *4) (|:| -2402 (-569))))) (-4 *4 (-1093)) (-5 *2 (-1 *4)) (-5 *1 (-1019 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-2 (|:| |solns| (-635 *5)) (|:| |maps| (-635 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1119 *3 *5)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) ((*1 *1 *1 *1) (-4 *1 (-454))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *1 *1) (-5 *1 (-765))) ((*1 *2 *2 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *2)) (-4 *2 (-952 *5 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *6 *4 *5)) (-5 *1 (-914 *4 *5 *6 *2)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1161 *7))) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-1161 *7)) (-5 *1 (-914 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) ((*1 *1 *1 *1) (-5 *1 (-919))) ((*1 *2 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-139)) (-5 *1 (-1078 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-569) *2 *2)) (-4 *2 (-139)) (-5 *1 (-1078 *2))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *2 (-1093)) (-5 *1 (-1177 *3 *2)) (-4 *3 (-1093))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-300)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-889 *3)) (|:| |den| (-889 *3)))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *5 (-121)) (-4 *8 (-1063 *6 *7 *4)) (-4 *9 (-1068 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *4 (-844)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4320 *9)))) (-5 *1 (-1101 *6 *7 *4 *8 *9))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-617 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *2 (-1102 *3 *4 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-366)) (-14 *6 (-1253 (-681 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))))) ((*1 *1 *2) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1199)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3124) (-690)))) (-5 *1 (-66 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) (-5 *1 (-68 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3124 (QUOTE X)) (-3124) (-690))) (-5 *1 (-69 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124) (-3124 (QUOTE X) (QUOTE HESS)) (-690)))) (-5 *1 (-70 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE XC)) (-690))) (-5 *1 (-71 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-76 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-79 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X) (QUOTE EPS)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1165)) (-14 *4 (-1165)) (-14 *5 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE EPS)) (-3124 (QUOTE YA) (QUOTE YB)) (-690)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1165)) (-14 *4 (-1165)) (-14 *5 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE X)) (-690))) (-5 *1 (-82 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE X)) (-690))) (-5 *1 (-83 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) (-5 *1 (-84 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-85 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-86 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) (-5 *1 (-87 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) (-5 *1 (-88 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) (-5 *1 (-89 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) (-5 *1 (-90 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-91 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3124) (-690)))) (-5 *1 (-92 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))) (-5 *1 (-94 *3)) (-14 *3 (-1165)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1006 2)) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-142 *3 *4 *5))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)))) ((*1 *1 *2) (-12 (-5 *2 (-1130 *4 *5)) (-14 *4 (-765)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) ((*1 *1 *2) (-12 (-5 *2 (-233 *4 *5)) (-14 *4 (-765)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 (-681 *4))) (-4 *4 (-173)) (-5 *2 (-1253 (-681 (-410 (-955 *4))))) (-5 *1 (-182 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))) (-5 *1 (-206 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1006 10)) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-234 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1 *3 (-919))) (-5 *1 (-234 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 (-919))) (-4 *3 (-1049)) (-5 *1 (-234 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-241 *3)) (-4 *3 (-844)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-241 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-311 *4))) (-4 *4 (-13 (-844) (-559) (-610 (-382)))) (-5 *2 (-1085 (-382))) (-5 *1 (-252 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) ((*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *3 (-173)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1237 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4) (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *1 (-308 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-329)))) ((*1 *2 *1) (-12 (-5 *2 (-311 *5)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *3 *4 *2)) (-4 *3 (-328 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *2 *4 *3)) (-4 *3 (-328 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-1275 *3 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-1266 *3 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-690))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-387)))) ((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392)))) ((*1 *2 *3) (-12 (-5 *2 (-397)) (-5 *1 (-396 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-397)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-170 (-382))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-569)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-685)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-690)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-692)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-685))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-690))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-692))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-330 *4)) (-4 *4 (-13 (-844) (-21))) (-5 *1 (-430 *3 *4)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))))) ((*1 *1 *2) (-12 (-5 *1 (-430 *2 *3)) (-4 *2 (-13 (-173) (-43 (-410 (-569))))) (-4 *3 (-13 (-844) (-21))))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-410 *3)))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-410 *3))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1116 *3 (-608 *1))) (-4 *3 (-1049)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-437)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-437)) (-5 *1 (-440)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-440)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-690))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 *3)))) (-4 *3 (-173)) (-14 *6 (-1253 (-681 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-480 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-1006 16)) (-5 *1 (-498)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) ((*1 *1 *2) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-512)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-603 *3 *2)) (-4 *2 (-738 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-609 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-4 *1 (-613 *2)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-1271 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) ((*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-627 *3 *2)) (-4 *2 (-738 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-366)) (-4 *1 (-642 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-669 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-960 (-960 (-960 *3)))) (-5 *1 (-667 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-960 (-960 (-960 *3)))) (-4 *3 (-1093)) (-5 *1 (-667 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) ((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-673 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *2)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-685)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-692))) (-5 *1 (-685)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-690))) (-5 *1 (-685)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-569))) (-5 *1 (-685)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-685)))) ((*1 *1 *2) (-12 (-5 *2 (-692)) (-5 *1 (-690)))) ((*1 *2 *1) (-12 (-5 *2 (-382)) (-5 *1 (-690)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-569))) (-5 *2 (-311 (-692))) (-5 *1 (-692)))) ((*1 *1 *2) (-12 (-5 *1 (-694 *2)) (-4 *2 (-1093)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1333 *3) (|:| -3190 *4))) (-5 *1 (-705 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-1093)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1333 *3) (|:| -3190 *4))) (-4 *3 (-844)) (-4 *4 (-1093)) (-5 *1 (-705 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3550 *3) (|:| -3558 *4)))) (-4 *3 (-1049)) (-4 *4 (-718)) (-5 *1 (-727 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-736 *3 *4))) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559))) (-5 *1 (-735 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *4)) (-4 *4 (-1049)) (-5 *1 (-736 *3 *4)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-736 *3 *4)) (-4 *4 (-1049)))) ((*1 *1 *2) (-12 (-5 *1 (-736 *3 *2)) (-14 *3 (-1165)) (-4 *2 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-757)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-763)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-763)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-763)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-763)))) ((*1 *2 *3) (-12 (-5 *2 (-768)) (-5 *1 (-767 *3)) (-4 *3 (-1199)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-805)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-805)))) ((*1 *2 *1) (-12 (-4 *2 (-897 *3)) (-5 *1 (-814 *3 *2 *4)) (-4 *3 (-1093)) (-14 *4 *3))) ((*1 *1 *2) (-12 (-4 *3 (-1093)) (-14 *4 *3) (-5 *1 (-814 *3 *2 *4)) (-4 *2 (-897 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-821)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *1 (-835)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *1 (-835)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *1 (-835)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-835)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-849 *3 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-5 *1 (-855 *3 *4 *5 *6)) (-14 *4 (-635 (-1165))) (-14 *5 (-635 (-765))) (-14 *6 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-955 *3)) (-5 *1 (-855 *3 *4 *5 *6)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))) (-14 *5 (-635 (-765))) (-14 *6 (-765)))) ((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) ((*1 *2 *3) (-12 (-5 *3 (-955 (-53))) (-5 *2 (-311 (-569))) (-5 *1 (-872)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 (-53)))) (-5 *2 (-311 (-569))) (-5 *1 (-872)))) ((*1 *1 *2) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *1 (-895)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-895)))) ((*1 *2 *1) (-12 (-5 *2 (-1186 *3)) (-5 *1 (-898 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-902 *3))) (-4 *3 (-1093)) (-5 *1 (-901 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-421 *3))) (-4 *3 (-302)) (-5 *1 (-912 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-410 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) ((*1 *2 *3) (-12 (-5 *3 (-490)) (-5 *2 (-311 *4)) (-5 *1 (-917 *4)) (-4 *4 (-13 (-844) (-559))))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-973 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-974)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1258)) (-5 *1 (-1035 *3)) (-4 *3 (-1199)))) ((*1 *2 *3) (-12 (-5 *3 (-306)) (-5 *1 (-1035 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *2 (-952 *3 *4 *5)) (-14 *6 (-635 *2)))) ((*1 *1 *2) (-12 (-4 *1 (-1039 *2)) (-4 *2 (-1199)))) ((*1 *2 *3) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-1044 *3)) (-4 *3 (-559)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-681 *5)) (-5 *1 (-1053 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-1049)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-5 *1 (-1117 *3 *4 *2)) (-4 *2 (-952 *3 (-535 *4) *4)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *2 (-844)) (-5 *1 (-1117 *3 *2 *4)) (-4 *4 (-952 *3 (-535 *2) *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-681 *4)) (-5 *1 (-1130 *3 *4)) (-14 *3 (-765)) (-4 *4 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-148)) (-4 *1 (-1132)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-1163 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1164)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1165)))) ((*1 *2 *1) (-12 (-5 *2 (-1173 (-1165) (-440))) (-5 *1 (-1169)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1172 *3)) (-4 *3 (-1093)))) ((*1 *2 *3) (-12 (-5 *2 (-1180)) (-5 *1 (-1179 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1180)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-5 *1 (-1194 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1194 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-960 *3)) (-4 *3 (-1199)) (-5 *1 (-1197 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-1225 (QUOTE |x|) *3)) (-4 *3 (-1049)) (-5 *1 (-1210 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-1214 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1087 *3)) (-4 *3 (-1199)) (-5 *1 (-1219 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-1225 *3 *4)) (-4 *4 (-1049)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-1235 *3 *2)) (-4 *2 (-1212 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-1244 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1249 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1254)))) ((*1 *2 *3) (-12 (-5 *3 (-474)) (-5 *2 (-1254)) (-5 *1 (-1257)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1258)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-14 *6 (-635 *4)) (-5 *1 (-1263 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-952 *3 *5 *4)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) ((*1 *2 *1) (-12 (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-1263 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-14 *6 (-635 *4)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) ((*1 *1 *2) (-12 (-4 *1 (-1265 *2)) (-4 *2 (-1049)))) ((*1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) ((*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *1 (-1271 *3 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-840))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1185)))) ((*1 *2 *1) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-608 *3)) (-4 *3 (-844))))) 
-(((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1264 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1264 *5 *6 *7 *8))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *2 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-551)) (-5 *1 (-161 *2))))) 
-(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-4 *2 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-571 *5 *2 *6)) (-4 *6 (-1093))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1145 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2))))) 
-(((*1 *1) (-5 *1 (-143)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-371)) (-4 *1 (-328 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-681 *3)) (|:| |invmval| (-681 *3)) (|:| |genIdeal| (-515 *3 *4 *5 *6)))) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5))))) 
-(((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *3 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-635 *3)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-259 *3))))) 
-(((*1 *1 *2 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-948 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1228 *6)) (-4 *6 (-13 (-366) (-151) (-1039 *4))) (-5 *4 (-569)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -4399 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1017 *6 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *1) (-5 *1 (-820)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-912 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-714)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-718)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1228 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-852))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *3 (-569)) (-4 *1 (-865 *4))))) 
-(((*1 *1 *1 *1) (-4 *1 (-755)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1165)) (-4 *6 (-433 *5)) (-4 *5 (-844)) (-5 *2 (-635 (-608 *6))) (-5 *1 (-578 *5 *6))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4)))) ((*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-765)) (-5 *1 (-348 *4)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111))))))))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-1049)) (-4 *2 (-173))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-860))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1039 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
-(((*1 *2) (-12 (-5 *2 (-1173 (-1080 *3) (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1256))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1182 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-1039 (-410 *2)))) (-5 *2 (-569)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-635 *5)) (-4 *5 (-844)) (-5 *1 (-1171 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-439))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-635 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *3 (-844)) (-5 *2 (-2 (|:| |val| *1) (|:| -3190 (-569)))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-889 *3)) (|:| -3190 (-889 *3)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -3190 (-569)))) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-1195 *2)) (-4 *2 (-977))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-559)) (-5 *2 (-2 (|:| -4463 (-681 *5)) (|:| |vec| (-1253 (-635 (-919)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-919)) (-4 *3 (-647 *5))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1199)) (-5 *2 (-635 *1)) (-4 *1 (-1012 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1147))) (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 *6 *5)) (-5 *1 (-698 *4 *5 *6)) (-4 *4 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199))))) 
-(((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -3519 *3))) (-5 *1 (-567 *5 *6 *7 *3)) (-4 *3 (-341 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| (-410 *6)) (|:| -3519 (-410 *6)) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-568 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1093))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-376 *4)) (-4 *5 (-376 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-765))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 (-1253 (-569)))) (-5 *1 (-472))))) 
-(((*1 *1 *1) (-5 *1 (-1061)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *3 (-1228 *4)) (-4 *2 (-1243 *4)) (-5 *1 (-1246 *4 *3 *5 *2)) (-4 *5 (-647 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1086 *3)) (-4 *3 (-1199))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1243 *4)) (-5 *1 (-1245 *4 *2)) (-4 *4 (-43 (-410 (-569))))))) 
-(((*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-342 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) ((*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-343 *3 *4)) (-4 *3 (-351)) (-14 *4 (-1161 *3)))) ((*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-344 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *6 *7 *8 *3 *4)) (-4 *4 (-1102 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-635 (-1161 *7))) (-5 *3 (-1161 *7)) (-4 *7 (-952 *5 *6 *4)) (-4 *5 (-906)) (-4 *6 (-790)) (-4 *4 (-844)) (-5 *1 (-903 *5 *6 *4 *7))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-946 *4))) (-4 *1 (-1125 *4)) (-4 *4 (-1049)) (-5 *2 (-765))))) 
-(((*1 *2) (-12 (-5 *2 (-1173 (-1080 *3) (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
-(((*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2))))) 
-(((*1 *1 *1 *2 *1) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1093))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-559)) (-5 *2 (-1161 *4)) (-5 *1 (-761 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 *4) (|:| -2284 (-569))))) (-4 *4 (-1228 (-569))) (-5 *2 (-729 (-765))) (-5 *1 (-444 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-421 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-1049)) (-5 *2 (-729 (-765))) (-5 *1 (-446 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-765)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-790)) (-4 *4 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-2 (|:| -3227 (-416 *4 (-410 *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2556 (-410 *6)) (|:| |special| (-410 *6)))) (-5 *1 (-719 *5 *6)) (-5 *3 (-410 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-893 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3149 *3) (|:| -3417 *3))) (-5 *1 (-893 *3 *5)) (-4 *3 (-1228 *5)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1133 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1133 *5 *6 *7 *8 *9))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-783))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4))))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844))))) 
-(((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -1410 (-765)) (|:| |period| (-765)))) (-5 *1 (-1145 *4)) (-4 *4 (-1199)) (-5 *3 (-765))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-681 (-410 (-955 *4))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1161 *7)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1228 *2))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165)))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-559)) (-5 *1 (-972 *4 *2)) (-4 *2 (-1228 *4))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1080 *2)) (-4 *2 (-13 (-844) (-559)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-27) (-433 *4))) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-4 *7 (-1228 (-410 *6))) (-5 *1 (-554 *4 *5 *6 *7 *2)) (-4 *2 (-341 *5 *6 *7))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-121)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1165)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-844)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-883 *5)) (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-884 *5 *6 *4)) (-4 *4 (-610 (-889 *5)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-635 *3)) (-4 *3 (-1199))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-760 *3 *4)) (-4 *3 (-700 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
-(((*1 *1) (-5 *1 (-800)))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 *2)) (|:| |logand| (-1161 *2))))) (-5 *4 (-635 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-366)) (-5 *1 (-586 *2))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-1253 *3)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-440)) (-5 *1 (-1169))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1185) (-433 *6) (-10 -8 (-15 -3956 ($ *7))))) (-4 *7 (-842)) (-4 *8 (-13 (-1230 *3 *7) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1147)) (-4 *9 (-986 *8)) (-14 *10 (-1165))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1008))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-551))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-416 *3 *4 *5 *6)) (-4 *6 (-1039 *4)) (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *6 (-412 *4 *5)) (-14 *7 (-1253 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *6)) (-4 *6 (-412 *4 *5)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *3 (-302)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-14 *7 *2)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-928))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1206))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)) (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3550 *3) (|:| -3558 *4)))) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) ((*1 *2 *1) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-1145 (-2 (|:| |k| *4) (|:| |c| *3))))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *6 (-635 (-257))) (-5 *2 (-1258)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *2 (-1258)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *6 (-635 (-257))) (-5 *2 (-1258)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *2 (-1258)) (-5 *1 (-457))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1253 (-690))) (-5 *1 (-300))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-185)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-257)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-569)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-1255)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-569)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-837 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-1147)) (-4 *6 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *6 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-837 (-410 (-955 *6)))) (-5 *3 (-410 (-955 *6))) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-410 (-955 *6))) (-5 *4 (-1165)) (-5 *5 (-1147)) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *6)))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1182 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-804 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2))))) ((*1 *2 *3 *4) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-804 *4 *2 *5 *3)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-647 *2)) (-4 *3 (-647 (-410 *2)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-635 (-1165))) (-5 *1 (-203)) (-5 *3 (-1165)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-765)) (-5 *2 (-635 (-1165))) (-5 *1 (-264)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-635 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-237 (-924 *4))) (-4 *4 (-351)) (-5 *2 (-681 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-635 (-924 *5))) (-4 *5 (-351)) (-5 *2 (-681 *5)) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-5 *2 (-681 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-923 *5))) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-837 *4)) (-5 *1 (-308 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-837 *4)) (-5 *1 (-1238 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4)))) 
-(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-732 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-844)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-983 *3)) (-4 *3 (-1049)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1165))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-919))) (-4 *2 (-366)) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-919)) (-14 *5 (-996 *4 *2)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) ((*1 *2 *3 *1) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-138)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1049)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1228 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-700 *2)) (-4 *2 (-1049)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1049)) (-5 *1 (-727 *2 *3)) (-4 *3 (-718)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-765))) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *2)) (-4 *4 (-1049)) (-4 *2 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-846 *2)) (-4 *2 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-765))) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-952 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *2 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-311 *4)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *2 (-952 *4 (-535 *5) *5)) (-5 *1 (-1117 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-955 *4)) (-5 *1 (-1194 *4)) (-4 *4 (-1049))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-128 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-673 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-243 *5 *6))) (-4 *6 (-454)) (-5 *2 (-243 *5 *6)) (-14 *5 (-635 (-1165))) (-5 *1 (-623 *5 *6))))) 
-(((*1 *1) (-5 *1 (-329)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *2 (-852)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39)))))) 
-(((*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-1254)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1254)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1254)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-1255)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1255)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1255))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-160 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *5)) (-4 *5 (-13 (-433 *4) (-1004))))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-296 *4)) (-4 *4 (-297)))) ((*1 *2 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-432 *4 *5)) (-4 *4 (-433 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-434 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-622 *4 *5)) (-4 *5 (-13 (-433 *4) (-1004) (-1185)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-314)) (-5 *3 (-216))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *4)) (-4 *4 (-559))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-846 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-3 (-1161 *4) (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111))))))) (-5 *1 (-348 *4)) (-4 *4 (-351))))) 
-(((*1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) ((*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1193 *5 *6 *7 *3)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-844)) (-5 *4 (-635 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-635 *4)))) (-5 *1 (-1171 *6)) (-5 *5 (-635 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *6 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1257)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-474)) (-5 *1 (-1257)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1257))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-1195 *3)) (-4 *3 (-977))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1002 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1135 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1253 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-4 *1 (-716 *5 *6)) (-4 *5 (-173)) (-4 *6 (-1228 *5)) (-5 *2 (-681 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1168))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-635 *3)) (|:| |image| (-635 *3)))) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *3 (-371)) (-5 *2 (-635 (-635 *3))))) ((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-969 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-635 *8)) (-5 *1 (-965 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -2316 (-765)) (|:| |curves| (-765)) (|:| |polygons| (-765)) (|:| |constructs| (-765))))))) 
-(((*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185)))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1161 *1)) (-4 *1 (-1014))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-542))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-102)))) ((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-206 (-512))) (-5 *1 (-832))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 *3)))) (-5 *4 (-765)) (-4 *3 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1181))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-123)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-844)) (-5 *1 (-932 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1147)) (-5 *2 (-311 (-569))) (-5 *1 (-933))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-1080 *4)))) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1080 *4))) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *1 (-515 *4 *5 *6 *2)) (-4 *2 (-952 *4 *5 *6)))) ((*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5))))) 
+(842818 . 3575591493)        
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-637 *2))) (-5 *4 (-637 *5)) (-4 *5 (-43 (-412 (-571)))) (-4 *2 (-1248 *5)) (-5 *1 (-1250 *5 *2))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203)))) ((*1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-378 *2)) (-4 *2 (-1203)))) ((*1 *1 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *3 (-637 (-571))) (-5 *1 (-883))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384)))) (-5 *2 (-1041)) (-5 *1 (-300))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-847))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-121)) (-5 *1 (-215 *4 *5)) (-4 *5 (-13 (-1189) (-29 *4)))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-571)) (-5 *6 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1165 *6)) (-5 *3 (-571)) (-4 *6 (-302)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-737 *4 *5 *6 *7)) (-4 *7 (-955 *6 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1169))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1053)) (-4 *3 (-847)) (-4 *5 (-263 *3)) (-4 *6 (-793)) (-5 *2 (-637 (-768))))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-637 (-768)))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-384)) (-5 *1 (-1065))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1115)) (-5 *2 (-121)) (-5 *1 (-821))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *4)) (-5 *1 (-1123 *3 *4)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *3)) (-5 *1 (-1123 *4 *3)) (-4 *4 (-1233 *3))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *2 (-121)) (-5 *1 (-494))))) 
+(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-669 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-684 *4)) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) ((*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-684 *3))))) 
+(((*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-847)) (-5 *3 (-637 *6)) (-5 *5 (-637 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-637 *5)) (|:| |f3| *5) (|:| |f4| (-637 *5)))) (-5 *1 (-1175 *6)) (-5 *4 (-637 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-845))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1233 (-170 *3)))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-571)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-423 *2)) (-4 *2 (-561))))) 
+(((*1 *1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-173)) (-4 *2 (-561)))) ((*1 *1 *1) (|partial| -4 *1 (-717)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-922)) (-5 *2 (-476)) (-5 *1 (-1259))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *3 (-949 *4)) (-4 *1 (-1129 *4)) (-4 *4 (-1053)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-768)) (-5 *4 (-949 (-216))) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-958 (-571))) (-5 *5 (-637 (-1169))) (-4 *1 (-670 *2 *6)) (-4 *6 (-1203)) (-5 *4 (-1169)) (-4 *2 (-1203))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-637 (-289 (-958 *4))))) (-5 *1 (-385 *4)) (-4 *4 (-13 (-845) (-367))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-289 (-412 (-958 (-571)))))) (-5 *2 (-637 (-637 (-289 (-958 *4))))) (-5 *1 (-385 *4)) (-4 *4 (-13 (-845) (-367))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 (-571)))) (-5 *2 (-637 (-289 (-958 *4)))) (-5 *1 (-385 *4)) (-4 *4 (-13 (-845) (-367))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-412 (-958 (-571))))) (-5 *2 (-637 (-289 (-958 *4)))) (-5 *1 (-385 *4)) (-4 *4 (-13 (-845) (-367))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1169)) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-4 *4 (-13 (-29 *6) (-1189) (-965))) (-5 *2 (-2 (|:| |particular| *4) (|:| -1899 (-637 *4)))) (-5 *1 (-645 *6 *4 *3)) (-4 *3 (-649 *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-637 *2)) (-4 *2 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *1 (-645 *6 *2 *3)) (-4 *3 (-649 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-684 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| |particular| (-3 (-1258 *5) "failed")) (|:| -1899 (-637 (-1258 *5))))) (-5 *1 (-662 *5)) (-5 *4 (-1258 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-637 *5))) (-4 *5 (-367)) (-5 *2 (-2 (|:| |particular| (-3 (-1258 *5) "failed")) (|:| -1899 (-637 (-1258 *5))))) (-5 *1 (-662 *5)) (-5 *4 (-1258 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-684 *5)) (-4 *5 (-367)) (-5 *2 (-637 (-2 (|:| |particular| (-3 (-1258 *5) "failed")) (|:| -1899 (-637 (-1258 *5)))))) (-5 *1 (-662 *5)) (-5 *4 (-637 (-1258 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-637 *5))) (-4 *5 (-367)) (-5 *2 (-637 (-2 (|:| |particular| (-3 (-1258 *5) "failed")) (|:| -1899 (-637 (-1258 *5)))))) (-5 *1 (-662 *5)) (-5 *4 (-637 (-1258 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-663 *5 *6 *4 *3)) (-4 *3 (-682 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-4 *7 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-5 *2 (-637 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -1899 (-637 *7))))) (-5 *1 (-663 *5 *6 *7 *3)) (-5 *4 (-637 *7)) (-4 *3 (-682 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-637 (-1169))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *5)))))) (-5 *1 (-767 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *4)))))) (-5 *1 (-767 *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1169)) (-4 *5 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *1 (-769 *5 *2)) (-4 *2 (-13 (-29 *5) (-1189) (-965))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-684 *7)) (-5 *5 (-1169)) (-4 *7 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-2 (|:| |particular| (-1258 *7)) (|:| -1899 (-637 (-1258 *7))))) (-5 *1 (-802 *6 *7)) (-5 *4 (-1258 *7)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-684 *6)) (-5 *4 (-1169)) (-4 *6 (-13 (-29 *5) (-1189) (-965))) (-4 *5 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-1258 *6))) (-5 *1 (-802 *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-637 (-289 *7))) (-5 *4 (-637 (-123))) (-5 *5 (-1169)) (-4 *7 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-2 (|:| |particular| (-1258 *7)) (|:| -1899 (-637 (-1258 *7))))) (-5 *1 (-802 *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-637 *7)) (-5 *4 (-637 (-123))) (-5 *5 (-1169)) (-4 *7 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-2 (|:| |particular| (-1258 *7)) (|:| -1899 (-637 (-1258 *7))))) (-5 *1 (-802 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-1169)) (-4 *7 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -1899 (-637 *7))) *7 "failed")) (-5 *1 (-802 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1169)) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -1899 (-637 *3))) *3 "failed")) (-5 *1 (-802 *6 *3)) (-4 *3 (-13 (-29 *6) (-1189) (-965))))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-289 *2)) (-5 *4 (-123)) (-5 *5 (-637 *2)) (-4 *2 (-13 (-29 *6) (-1189) (-965))) (-5 *1 (-802 *6 *2)) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))))) ((*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-289 *2)) (-5 *5 (-637 *2)) (-4 *2 (-13 (-29 *6) (-1189) (-965))) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *1 (-802 *6 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-1041)) (-5 *1 (-805)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-808)) (-5 *4 (-1065)) (-5 *2 (-1041)) (-5 *1 (-805)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1258 (-311 (-384)))) (-5 *4 (-384)) (-5 *5 (-637 *4)) (-5 *2 (-1041)) (-5 *1 (-805)))) ((*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1258 (-311 (-384)))) (-5 *4 (-384)) (-5 *5 (-637 *4)) (-5 *2 (-1041)) (-5 *1 (-805)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1258 (-311 *4))) (-5 *5 (-637 (-384))) (-5 *6 (-311 (-384))) (-5 *4 (-384)) (-5 *2 (-1041)) (-5 *1 (-805)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1258 (-311 (-384)))) (-5 *4 (-384)) (-5 *5 (-637 *4)) (-5 *2 (-1041)) (-5 *1 (-805)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1258 (-311 *4))) (-5 *5 (-637 (-384))) (-5 *6 (-311 (-384))) (-5 *4 (-384)) (-5 *2 (-1041)) (-5 *1 (-805)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1258 (-311 *4))) (-5 *5 (-637 (-384))) (-5 *6 (-311 (-384))) (-5 *4 (-384)) (-5 *2 (-1041)) (-5 *1 (-805)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -1899 (-637 *6))) "failed") *7 *6)) (-4 *6 (-367)) (-4 *7 (-649 *6)) (-5 *2 (-2 (|:| |particular| (-1258 *6)) (|:| -1899 (-684 *6)))) (-5 *1 (-813 *6 *7)) (-5 *3 (-684 *6)) (-5 *4 (-1258 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-898)) (-5 *2 (-1041)) (-5 *1 (-897)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-898)) (-5 *4 (-1065)) (-5 *2 (-1041)) (-5 *1 (-897)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-768)) (-5 *6 (-637 (-637 (-311 *3)))) (-5 *7 (-1151)) (-5 *8 (-216)) (-5 *5 (-637 (-311 (-384)))) (-5 *3 (-384)) (-5 *2 (-1041)) (-5 *1 (-897)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-768)) (-5 *6 (-637 (-637 (-311 *3)))) (-5 *7 (-1151)) (-5 *5 (-637 (-311 (-384)))) (-5 *3 (-384)) (-5 *2 (-1041)) (-5 *1 (-897)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-958 (-412 (-571)))) (-5 *2 (-637 (-384))) (-5 *1 (-1028)) (-5 *4 (-384)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-958 (-571))) (-5 *2 (-637 (-384))) (-5 *1 (-1028)) (-5 *4 (-384)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *4)) (-5 *1 (-1123 *3 *4)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-289 (-311 *4)))) (-5 *1 (-1126 *4)) (-5 *3 (-311 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-289 (-311 *4)))) (-5 *1 (-1126 *4)) (-5 *3 (-289 (-311 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-289 (-311 *5)))) (-5 *1 (-1126 *5)) (-5 *3 (-289 (-311 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-289 (-311 *5)))) (-5 *1 (-1126 *5)) (-5 *3 (-311 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-1169))) (-4 *5 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-637 (-637 (-289 (-311 *5))))) (-5 *1 (-1126 *5)) (-5 *3 (-637 (-289 (-311 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 *5)))) (-5 *4 (-637 (-1169))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *5)))))) (-5 *1 (-1174 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-1169))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *5)))))) (-5 *1 (-1174 *5)) (-5 *3 (-637 (-289 (-412 (-958 *5))))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 *4)))) (-4 *4 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *4)))))) (-5 *1 (-1174 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *4)))))) (-5 *1 (-1174 *4)) (-5 *3 (-637 (-289 (-412 (-958 *4))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-561)) (-5 *2 (-637 (-289 (-412 (-958 *5))))) (-5 *1 (-1174 *5)) (-5 *3 (-412 (-958 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-561)) (-5 *2 (-637 (-289 (-412 (-958 *5))))) (-5 *1 (-1174 *5)) (-5 *3 (-289 (-412 (-958 *5)))))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 (-289 (-412 (-958 *4))))) (-5 *1 (-1174 *4)) (-5 *3 (-412 (-958 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 (-289 (-412 (-958 *4))))) (-5 *1 (-1174 *4)) (-5 *3 (-289 (-412 (-958 *4))))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-949 *4)) (-4 *4 (-1053)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922))))) 
+(((*1 *1 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-827 *2 *3)) (-4 *2 (-703 *3))))) 
+(((*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-610 *3)) (-4 *3 (-13 (-435 *5) (-27) (-1189))) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| -3017 *3) (|:| |coeff| *3))) (-5 *1 (-573 *5 *3 *6)) (-4 *6 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-782 *3)) (|:| |polden| *3) (|:| -3134 (-768)))) (-5 *1 (-782 *3)) (-4 *3 (-1053)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -3134 (-768)))) (-4 *1 (-1067 *3 *4 *5))))) 
+(((*1 *1 *1 *1) (-4 *1 (-297))) ((*1 *1 *1) (-4 *1 (-297)))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-99))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-326 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-528 *3 *4)) (-14 *4 (-571))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1169)) (-5 *6 (-121)) (-4 *7 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-4 *3 (-13 (-1189) (-965) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-840 *3)) (|:| |f2| (-637 (-840 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *7 *3)) (-5 *5 (-840 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1258 *5)) (-4 *5 (-633 *4)) (-4 *4 (-561)) (-5 *2 (-1258 *4)) (-5 *1 (-632 *4 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-922)) (-4 *1 (-925 *4 *5)) (-4 *4 (-367)) (-4 *5 (-644 *4)) (-5 *2 (-1263))))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *8 (-231 (-4001 *7) (-768))) (-4 *9 (-644 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-637 (-571))))) (-5 *1 (-657 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-571)) (-4 *3 (-955 *6 *8 (-857 *7))) (-4 *4 (-977 *6)) (-4 *10 (-925 *6 *9))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1233 *3)) (-5 *1 (-404 *3 *2)) (-4 *3 (-13 (-367) (-151)))))) 
+(((*1 *2 *3 *4 *2 *3) (-12 (-5 *2 (-964 (-216))) (-5 *3 (-1115)) (-5 *4 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-949 *4)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-637 (-637 (-949 *3)))))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1224 *3)) (-4 *3 (-1203))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-637 *2) *2 *2 *2)) (-4 *2 (-1097)) (-5 *1 (-106 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1097)) (-5 *1 (-106 *2))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) ((*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-352)) (-4 *4 (-328 *3)) (-4 *5 (-1233 *4)) (-5 *1 (-774 *3 *4 *5 *2 *6)) (-4 *2 (-1233 *5)) (-14 *6 (-922)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-4 *3 (-373)))) ((*1 *1 *1) (-12 (-4 *1 (-1275 *2)) (-4 *2 (-367)) (-4 *2 (-373))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-637 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-637 *3)) (-5 *1 (-346 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-768))) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-768))) (-5 *5 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-1013 *3)) (-4 *3 (-1233 (-412 (-571)))))) ((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-1222 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-637 (-637 (-637 *4)))) (-5 *3 (-637 *4)) (-4 *4 (-847)) (-5 *1 (-1175 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-172)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *2)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-983 *4 *5 *6 *3)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-958 (-412 (-571)))) (-5 *4 (-1169)) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-637 (-216))) (-5 *1 (-295))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-1 (-637 *4) *4)) (-4 *4 (-1203)) (-5 *1 (-1145 *4))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-819 *3)) (-4 *3 (-847)) (-5 *1 (-666 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-684 *7)) (-5 *3 (-637 *7)) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *1 (-929 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-905 *3))) (-5 *1 (-904 *3)) (-4 *3 (-1097))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-384)) (-5 *1 (-1065))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-213 *3)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-4 *1 (-248 *3)))) ((*1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 *4 (-768) (-768) (-1165 *4))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 *4) (-768))))) (-5 *1 (-487 *4)) (-4 *4 (-13 (-352) (-612 (-571)))))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 *4 (-768) (-768) (-1165 *4))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 *4) (-768)))) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 *6) *6 (-1169))) (|:| A (-1 *5 (-768) (-768) (-1165 *5))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 *6 (-768) (-1169) *6)) (|:| C (-1 (-637 *5) (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 *6) *6 *3)) (|:| A (-1 *5 (-768) (-768) (-1165 *5))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 *6 (-768) *3 *6)) (|:| C (-1 (-637 *5) (-768)))) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 HPSPEC) (-5 *1 (-491 *4)) (-14 *4 (-1169)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 HPSPEC (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3)))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3026 *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-4 *2 (-1233 *4)) (-5 *1 (-923 *4 *2))))) 
+(((*1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *1) (-12 (-14 *3 (-637 (-1169))) (-4 *4 (-173)) (-14 *6 (-1 (-121) (-2 (|:| -1755 *5) (|:| -2154 *2)) (-2 (|:| -1755 *5) (|:| -2154 *2)))) (-4 *2 (-231 (-4001 *3) (-768))) (-5 *1 (-466 *3 *4 *5 *2 *6 *7)) (-4 *5 (-847)) (-4 *7 (-955 *4 *2 (-857 *3)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-539 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-955 *2 *5 (-857 *3))) (-4 *5 (-231 (-4001 *3) (-768))) (-4 *6 (-977 *2)) (-4 *7 (-644 *2)) (-4 *8 (-925 *2 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-367))))) 
+(((*1 *1 *2 *3) (-12 (-4 *1 (-387 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1097)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-5 *2 (-1149 *3)) (-5 *1 (-1153 *3)) (-4 *3 (-1053)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-819 *4)) (-4 *4 (-847)) (-4 *1 (-1273 *4 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-684 *2)) (-5 *4 (-571)) (-4 *2 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *5 (-1233 *2)) (-5 *1 (-511 *2 *5 *6)) (-4 *6 (-414 *2 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-571))) (-5 *1 (-1051))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-637 (-958 *4))) (-5 *3 (-637 (-1169))) (-4 *4 (-456)) (-5 *1 (-919 *4))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1280 *4 *2)) (-4 *1 (-379 *4 *2)) (-4 *4 (-847)) (-4 *2 (-173)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1273 *3 *2)) (-4 *3 (-847)) (-4 *2 (-1053)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-819 *4)) (-4 *1 (-1273 *4 *2)) (-4 *4 (-847)) (-4 *2 (-1053)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1053)) (-5 *1 (-1279 *2 *3)) (-4 *3 (-843))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-644 *3)) (-4 *8 (-925 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-977 *3))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1097)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1041)) (-5 *1 (-300)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-1041))) (-5 *2 (-1041)) (-5 *1 (-300)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-643 *2)) (-4 *2 (-1203)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-643 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-643 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *1) (-5 *1 (-1065))) ((*1 *2 *3) (-12 (-5 *3 (-1149 (-1149 *4))) (-5 *2 (-1149 *4)) (-5 *1 (-1146 *4)) (-4 *4 (-1203)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1169)) (-4 *6 (-1053)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-2 (|:| -2383 (-3 (-571) "failed")) (|:| -2989 (-3 (-571) "failed")) (|:| |ker| (-610 *5)))) (-5 *1 (-1030 *6 *5)) (-4 *5 (-13 (-435 *6) (-23) (-1043 (-571)) (-1043 *4) (-900 *4) (-162)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-367)) (-5 *1 (-656 *3))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-880 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-880 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-949 (-216)) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-949 (-216)) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-882 (-1 (-216) (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-882 (-1 (-216) (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-880 *6)) (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-4 *6 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-880 *5)) (-5 *4 (-1089 (-384))) (-4 *5 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1089 (-384))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-882 *6)) (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-4 *6 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-882 *5)) (-5 *4 (-1089 (-384))) (-4 *5 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1128 (-216))) (-5 *1 (-253 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-958 (-571))) (-5 *3 (-1169)) (-5 *4 (-1091 (-412 (-571)))) (-5 *1 (-30))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1259)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-878 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-878 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *2 (-1259)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-880 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-880 (-1 (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *2 (-1260)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-949 (-216)) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-949 (-216)) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1260)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1260)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-384))) (-5 *2 (-1260)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-882 (-1 (-216) (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-882 (-1 (-216) (-216) (-216)))) (-5 *4 (-1091 (-384))) (-5 *2 (-1260)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-1169)) (-5 *5 (-637 (-257))) (-4 *7 (-435 *6)) (-4 *6 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-1259)) (-5 *1 (-250 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1089 (-384))) (-5 *2 (-1259)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-878 *6)) (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-4 *6 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1259)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-878 *5)) (-5 *4 (-1089 (-384))) (-4 *5 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1259)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-880 *6)) (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-4 *6 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1260)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-880 *5)) (-5 *4 (-1089 (-384))) (-4 *5 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1260)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1089 (-384))) (-5 *2 (-1260)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-612 (-544)) (-1097))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-882 *6)) (-5 *4 (-1089 (-384))) (-5 *5 (-637 (-257))) (-4 *6 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1260)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-882 *5)) (-5 *4 (-1089 (-384))) (-4 *5 (-13 (-612 (-544)) (-1097))) (-5 *2 (-1260)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-1259)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-637 (-216))) (-5 *4 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-254)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-949 (-216)))) (-5 *2 (-1259)) (-5 *1 (-254)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-949 (-216)))) (-5 *4 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-1260)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-637 (-216))) (-5 *4 (-637 (-257))) (-5 *2 (-1260)) (-5 *1 (-254))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-610 *5))) (-4 *4 (-847)) (-5 *2 (-610 *5)) (-5 *1 (-580 *4 *5)) (-4 *5 (-435 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-637 *1)) (-4 *1 (-297)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-610 *3)) (-4 *3 (-847)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-637 *5)) (-5 *4 (-768)) (-4 *5 (-847)) (-5 *1 (-610 *5))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-610 *4)) (-4 *4 (-847)) (-4 *2 (-847)) (-5 *1 (-609 *2 *4))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-412 *5)) (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-5 *1 (-152 *4 *5 *2)) (-4 *2 (-1233 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1171 (-412 (-571)))) (-5 *2 (-412 (-571))) (-5 *1 (-183)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-684 (-311 (-216)))) (-5 *3 (-637 (-1169))) (-5 *4 (-1258 (-311 (-216)))) (-5 *1 (-198)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-289 *3))) (-4 *3 (-304 *3)) (-4 *3 (-1097)) (-4 *3 (-1203)) (-5 *1 (-289 *3)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-304 *2)) (-4 *2 (-1097)) (-4 *2 (-1203)) (-5 *1 (-289 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-637 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-123))) (-5 *3 (-637 (-1 *1 (-637 *1)))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-123))) (-5 *3 (-637 (-1 *1 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1 *1 (-637 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-637 (-1 *1 (-637 *1)))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-637 (-1 *1 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-289 *3))) (-4 *1 (-304 *3)) (-4 *3 (-1097)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-289 *3)) (-4 *1 (-304 *3)) (-4 *3 (-1097)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-571))) (-5 *4 (-1171 (-412 (-571)))) (-5 *1 (-305 *2)) (-4 *2 (-43 (-412 (-571)))))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *4)) (-5 *3 (-637 *1)) (-4 *1 (-379 *4 *5)) (-4 *4 (-847)) (-4 *5 (-173)))) ((*1 *1 *1 *2 *1) (-12 (-4 *1 (-379 *2 *3)) (-4 *2 (-847)) (-4 *3 (-173)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-768)) (-5 *4 (-1 *1 *1)) (-4 *1 (-435 *5)) (-4 *5 (-847)) (-4 *5 (-1053)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-768)) (-5 *4 (-1 *1 (-637 *1))) (-4 *1 (-435 *5)) (-4 *5 (-847)) (-4 *5 (-1053)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-637 (-768))) (-5 *4 (-637 (-1 *1 (-637 *1)))) (-4 *1 (-435 *5)) (-4 *5 (-847)) (-4 *5 (-1053)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-637 (-768))) (-5 *4 (-637 (-1 *1 *1))) (-4 *1 (-435 *5)) (-4 *5 (-847)) (-4 *5 (-1053)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-637 (-123))) (-5 *3 (-637 *1)) (-5 *4 (-1169)) (-4 *1 (-435 *5)) (-4 *5 (-847)) (-4 *5 (-612 (-544))))) ((*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1169)) (-4 *1 (-435 *4)) (-4 *4 (-847)) (-4 *4 (-612 (-544))))) ((*1 *1 *1) (-12 (-4 *1 (-435 *2)) (-4 *2 (-847)) (-4 *2 (-612 (-544))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-1169))) (-4 *1 (-435 *3)) (-4 *3 (-847)) (-4 *3 (-612 (-544))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1169)) (-4 *1 (-435 *3)) (-4 *3 (-847)) (-4 *3 (-612 (-544))))) ((*1 *2 *3 *4) (-12 (-14 *5 (-637 (-1169))) (-4 *3 (-955 *2 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *2)) (-4 *8 (-644 *2)) (-4 *4 (-925 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-539 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4) (-12 (-14 *5 (-637 (-1169))) (-4 *3 (-955 *2 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *2)) (-4 *8 (-644 *2)) (-4 *4 (-925 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-539 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 *6)) (-4 *6 (-955 *2 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-14 *5 (-637 (-1169))) (-4 *8 (-977 *2)) (-4 *9 (-644 *2)) (-4 *4 (-925 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-539 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-526 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1203)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *4)) (-5 *3 (-637 *5)) (-4 *1 (-526 *4 *5)) (-4 *4 (-1097)) (-4 *5 (-1203)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-833 *3)) (-4 *3 (-367)) (-5 *1 (-713 *3)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-243 *5 *2))) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-243 *5 *2))) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-903 *2)) (-4 *2 (-1097)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-4 *2 (-367)) (-5 *1 (-934 *2 *3 *5 *6 *4)) (-4 *3 (-325 *2 *5)) (-4 *4 (-977 *2)))) ((*1 *2 *2 *3 *2) (-12 (-5 *2 (-412 (-958 *4))) (-5 *3 (-1169)) (-4 *4 (-561)) (-5 *1 (-1048 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-637 (-1169))) (-5 *4 (-637 (-412 (-958 *5)))) (-5 *2 (-412 (-958 *5))) (-4 *5 (-561)) (-5 *1 (-1048 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-289 (-412 (-958 *4)))) (-5 *2 (-412 (-958 *4))) (-4 *4 (-561)) (-5 *1 (-1048 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-637 (-289 (-412 (-958 *4))))) (-5 *2 (-412 (-958 *4))) (-4 *4 (-561)) (-5 *1 (-1048 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1149 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1203)) (-5 *1 (-380 *4 *2)) (-4 *2 (-13 (-378 *4) (-10 -7 (-6 -4601))))))) 
+(((*1 *1) (-4 *1 (-352)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-384))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1120 (-571) (-610 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-999 *2)) (-4 *4 (-1233 *3)) (-4 *2 (-302)) (-5 *1 (-418 *2 *3 *4 *5)) (-4 *5 (-13 (-414 *3 *4) (-1043 *3))))) ((*1 *2 *1) (-12 (-4 *3 (-561)) (-4 *3 (-847)) (-5 *2 (-1120 *3 (-610 *1))) (-4 *1 (-435 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1120 (-571) (-610 (-507)))) (-5 *1 (-507)))) ((*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-721) *4)) (-5 *1 (-616 *3 *4 *2)) (-4 *3 (-43 *4)))) ((*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-721) *4)) (-5 *1 (-655 *3 *4 *2)) (-4 *3 (-712 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-922)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1053))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-637 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-435 *4) (-1008))) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-273 *4 *2))))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-637 *3)) (-5 *1 (-1049 *3)) (-4 *3 (-367))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1120 (-571) (-610 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-5 *2 (-1258 *6)) (-5 *1 (-418 *3 *4 *5 *6)) (-4 *6 (-13 (-414 *4 *5) (-1043 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *3 (-847)) (-5 *2 (-1120 *3 (-610 *1))) (-4 *1 (-435 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1120 (-571) (-610 (-507)))) (-5 *1 (-507)))) ((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-43 *3)) (-5 *1 (-616 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-721) *3)))) ((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-712 *3)) (-5 *1 (-655 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-721) *3)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-539 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-684 (-412 *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-373)) (-5 *2 (-922)))) ((*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-352)) (-5 *2 (-922)) (-5 *1 (-535 *4))))) 
+(((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-373)) (-4 *2 (-367))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-768)) (-4 *2 (-1097)) (-5 *1 (-673 *2))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1097)) (-4 *4 (-1203)) (-5 *2 (-121)) (-5 *1 (-1149 *4))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-371 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1018)) (-5 *2 (-855))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1203)) (-5 *2 (-768)) (-5 *1 (-180 *4 *3)) (-4 *3 (-668 *4))))) 
+(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-637 *1)) (-4 *1 (-302))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-216))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-4 *1 (-1094 *3)))) ((*1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1149 (-1149 *4))) (-5 *2 (-1149 *4)) (-5 *1 (-1153 *4)) (-4 *4 (-1053))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-371 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-289 *6)) (-5 *4 (-123)) (-4 *6 (-435 *5)) (-4 *5 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *5 *6)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-637 *7)) (-4 *7 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-637 (-289 *7))) (-5 *4 (-637 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-637 (-289 *8))) (-5 *4 (-637 (-123))) (-5 *5 (-289 *8)) (-5 *6 (-637 *8)) (-4 *8 (-435 *7)) (-4 *7 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-637 *7)) (-5 *4 (-637 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 (-123))) (-5 *6 (-637 (-289 *8))) (-4 *8 (-435 *7)) (-5 *5 (-289 *8)) (-4 *7 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *5)) (-5 *4 (-123)) (-4 *5 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *5)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-435 *6)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-5 *6 (-637 *3)) (-4 *3 (-435 *7)) (-4 *7 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1169)) (-5 *6 (-637 *3)) (-4 *3 (-435 *7)) (-4 *7 (-13 (-847) (-561) (-612 (-544)))) (-4 *2 (-1248 *3)) (-5 *1 (-313 *7 *3 *2 *8)) (-4 *8 (-1248 (-1163 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-637 *5)) (-4 *5 (-367)) (-4 *6 (-1248 (-1163 *5))) (-4 *2 (-1248 *5)) (-5 *1 (-1252 *5 *2 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-693)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-958 *6)) (-5 *4 (-1169)) (-5 *5 (-840 *7)) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-4 *7 (-13 (-1189) (-29 *6))) (-5 *1 (-215 *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1165 *6)) (-5 *4 (-840 *6)) (-4 *6 (-13 (-1189) (-29 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-215 *5 *6))))) 
+(((*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 (-684 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1097)) (-4 *6 (-1097)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-678 *4 *5 *6)) (-4 *5 (-1097))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-5 *1 (-1049 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-297)))) ((*1 *1 *1) (-4 *1 (-297))) ((*1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 *5)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 (-768)) (-4 *5 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1258 *6)) (-5 *4 (-1258 (-571))) (-5 *5 (-571)) (-4 *6 (-1097)) (-5 *2 (-1 *6)) (-5 *1 (-1023 *6))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-240 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-768)) (-4 *3 (-561)) (-5 *1 (-976 *3 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-637 *8))) (-5 *3 (-637 *8)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-121)) (-5 *1 (-929 *5 *6 *7 *8))))) 
+(((*1 *2) (-12 (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-571)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-872 *3 *4 *5)) (-4 (-862 *3) (-373)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-231 *3 *4)) (-4 *4 (-1053)) (-4 *4 (-1203)))) ((*1 *1 *2) (-12 (-14 *3 (-637 (-1169))) (-4 *4 (-173)) (-4 *5 (-231 (-4001 *3) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *2) (|:| -2154 *5)) (-2 (|:| -1755 *2) (|:| -2154 *5)))) (-5 *1 (-466 *3 *4 *2 *5 *6 *7)) (-4 *2 (-847)) (-4 *7 (-955 *4 *5 (-857 *3))))) ((*1 *2 *2) (-12 (-5 *2 (-949 (-216))) (-5 *1 (-1200))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-590 *4)) (-4 *4 (-352))))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-561)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-1228 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-131 *3))))) 
+(((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *3 (-1207)) (-5 *1 (-960))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-819 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-843)) (-5 *1 (-1279 *3 *2)) (-4 *3 (-1053))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-824))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165 *5)) (-4 *5 (-456)) (-5 *2 (-637 *6)) (-5 *1 (-546 *5 *6 *4)) (-4 *6 (-367)) (-4 *4 (-13 (-367) (-845))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-958 *5)) (-4 *5 (-456)) (-5 *2 (-637 *6)) (-5 *1 (-546 *5 *6 *4)) (-4 *6 (-367)) (-4 *4 (-13 (-367) (-845)))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-571)) (-5 *2 (-637 (-1207))) (-5 *1 (-960)) (-5 *3 (-1207))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-352)) (-4 *2 (-1053)) (-5 *1 (-707 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1215 *2)) (-4 *2 (-1053)))) ((*1 *1 *1) (-12 (-5 *1 (-1249 *2 *3 *4)) (-4 *2 (-1053)) (-14 *3 (-1169)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1253 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-1169))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-617 *4 *2)) (-4 *2 (-13 (-1189) (-965) (-29 *4)))))) 
+(((*1 *2) (-12 (-4 *3 (-1053)) (-5 *2 (-964 (-707 *3 *4))) (-5 *1 (-707 *3 *4)) (-4 *4 (-1233 *3)))) ((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-1207)) (-5 *3 (-922)) (-5 *4 (-768)) (-5 *5 (-571)) (-5 *1 (-960))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1258 *4)) (-4 *4 (-633 (-571))) (-5 *2 (-1258 (-412 (-571)))) (-5 *1 (-1283 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1207)) (-5 *3 (-571)) (-5 *1 (-960))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *2 (-637 (-964 (-216)))) (-5 *1 (-115)) (-5 *4 (-964 (-216)))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1012)))) ((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1012))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| -2062 (-423 *3)) (|:| |special| (-423 *3)))) (-5 *1 (-722 *5 *3))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-4 *1 (-670 *2 *3)) (-4 *2 (-1203)) (-4 *3 (-1203))))) 
+(((*1 *1 *2 *2 *1) (-12 (-5 *1 (-639 *2)) (-4 *2 (-1097))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1203)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-604 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-948)) (-5 *3 (-571))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960))))) 
+(((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1203)) (-5 *2 (-768)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-138)) (-5 *2 (-768)))) ((*1 *2) (-12 (-4 *4 (-367)) (-5 *2 (-768)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-365 *3)) (-4 *3 (-1097)))) ((*1 *2) (-12 (-4 *1 (-373)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-391 *3)) (-4 *3 (-1097)))) ((*1 *2) (-12 (-4 *4 (-1097)) (-5 *2 (-768)) (-5 *1 (-429 *3 *4)) (-4 *3 (-430 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-641 *3 *4 *5)) (-4 *3 (-1097)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-768)) (-5 *1 (-718 *3 *4 *5)) (-4 *3 (-719 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-819 *3)) (-4 *3 (-847)))) ((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1012)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-715)) (-5 *2 (-922)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-768))))) 
+(((*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-669 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-905 *4)) (-4 *4 (-1097)) (-5 *2 (-637 (-768))) (-5 *1 (-904 *4))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1258 *5))) (-5 *4 (-571)) (-5 *2 (-1258 *5)) (-5 *1 (-1035 *5)) (-4 *5 (-367)) (-4 *5 (-373)) (-4 *5 (-1053))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1097)) (-4 *2 (-1203))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-5 *2 (-1165 *1)) (-4 *1 (-328 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-5 *2 (-1165 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-375 *3 *2)) (-4 *3 (-173)) (-4 *3 (-367)) (-4 *2 (-1233 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-352)) (-5 *2 (-1165 *4)) (-5 *1 (-535 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-360 *3)) (-4 *3 (-352))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165 (-571))) (-5 *4 (-571)) (-5 *2 (-1207)) (-5 *1 (-960))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)) (-5 *2 (-423 *3)) (-5 *1 (-737 *4 *5 *6 *3)) (-4 *3 (-955 *6 *4 *5))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 *6)) (-5 *4 (-1 *6 (-768) (-1258 (-1165 *6)))) (-5 *5 (-637 (-768))) (-4 *6 (-13 (-561) (-456))) (-5 *2 (-684 (-1165 *6))) (-5 *1 (-348 *6 *7)) (-4 *7 (-52 *6 (-768)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-571))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1151)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *3 *3 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-585))))) 
+(((*1 *2 *3) (-12 (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *2 (-2 (|:| |glbase| (-637 (-243 *4 *5))) (|:| |glval| (-637 (-571))))) (-5 *1 (-625 *4 *5)) (-5 *3 (-637 (-243 *4 *5)))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1097)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203))))) 
+(((*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-23)) (-5 *1 (-285 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1233 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-706 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *2 (-1233 *3)) (-5 *1 (-707 *3 *2)) (-4 *3 (-1053)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-710 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *1 (-868 *3)) (-5 *2 (-571))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-121)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)) (-4 *5 (-1053))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-847)) (-5 *2 (-2 (|:| |f1| (-637 *4)) (|:| |f2| (-637 (-637 (-637 *4)))) (|:| |f3| (-637 (-637 *4))) (|:| |f4| (-637 (-637 (-637 *4)))))) (-5 *1 (-1175 *4)) (-5 *3 (-637 (-637 (-637 *4))))))) 
+(((*1 *2 *2 *2 *3 *3) (-12 (-5 *2 (-1207)) (-5 *3 (-571)) (-5 *1 (-960))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-668 *2)) (-4 *2 (-1203))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1097)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-571)) (-5 *1 (-447 *4 *3 *5)) (-4 *3 (-1233 *4)) (-4 *5 (-13 (-409) (-1043 *4) (-367) (-1189) (-280)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-170 *5)) (-4 *5 (-13 (-435 *4) (-1008) (-1189))) (-4 *4 (-13 (-561) (-847))) (-4 *2 (-13 (-435 (-170 *4)) (-1008) (-1189))) (-5 *1 (-600 *4 *5 *2))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-378 *2)) (-4 *2 (-1203)))) ((*1 *2 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-448 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-571)) (-4 *4 (-352)) (-5 *1 (-535 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-136 *3))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4) (-12 (-5 *3 (-1207)) (-5 *4 (-571)) (-5 *2 (-1263)) (-5 *1 (-960))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 (-637 *5))) (-4 *5 (-1248 *4)) (-4 *4 (-43 (-412 (-571)))) (-5 *2 (-1 (-1149 *4) (-637 (-1149 *4)))) (-5 *1 (-1250 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-684 (-311 (-571))))) (-5 *1 (-1037))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-12 (-5 *1 (-893 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1197 *2 *3 *4 *5)) (-4 *2 (-561)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-1067 *2 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1245 *3)) (-4 *3 (-1203)))) ((*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1197 *2 *3 *4 *5)) (-4 *2 (-561)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-1067 *2 *3 *4))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-330 *3)) (-4 *3 (-847))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-571)) (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *8 (-231 (-4001 *7) (-768))) (-4 *9 (-644 *6)) (-5 *2 (-637 *9)) (-5 *1 (-657 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-955 *6 *8 (-857 *7))) (-4 *3 (-977 *6)) (-4 *10 (-925 *6 *9))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1115)) (-5 *2 (-1263)) (-5 *1 (-831))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-384)))) ((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-384))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-155 *2)) (-4 *2 (-1203)) (-4 *2 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-367)))) ((*1 *2 *1) (-12 (-4 *1 (-977 *2)) (-4 *2 (-367))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -1852 *7) (|:| |sol?| (-121))) (-571) *7)) (-5 *6 (-637 (-412 *8))) (-4 *7 (-367)) (-4 *8 (-1233 *7)) (-5 *3 (-412 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-581 *7 *8))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-367)) (-5 *1 (-656 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1271 (-1169) *3)) (-4 *3 (-1053)) (-5 *1 (-1278 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1271 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *1 (-1280 *3 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1053)) (-4 *3 (-847)) (-4 *5 (-263 *3)) (-4 *6 (-793)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-847)) (-5 *2 (-768))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1151)) (-5 *1 (-786))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-159)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)))) ((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-637 (-1169))))) ((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1053) (-847))) (-14 *3 (-637 (-1169))))) ((*1 *1 *1) (-12 (-5 *1 (-237 *2)) (-4 *2 (-1095)))) ((*1 *1 *1) (-12 (-4 *1 (-387 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-1097)))) ((*1 *1 *1) (-12 (-14 *2 (-637 (-1169))) (-4 *3 (-173)) (-4 *5 (-231 (-4001 *2) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *4) (|:| -2154 *5)) (-2 (|:| -1755 *4) (|:| -2154 *5)))) (-5 *1 (-466 *2 *3 *4 *5 *6 *7)) (-4 *4 (-847)) (-4 *7 (-955 *3 *5 (-857 *2))))) ((*1 *1 *1) (-12 (-4 *1 (-521 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-847)))) ((*1 *1 *1) (-12 (-4 *2 (-561)) (-5 *1 (-618 *2 *3)) (-4 *3 (-1233 *2)))) ((*1 *1 *1) (-12 (-4 *1 (-703 *2)) (-4 *2 (-1053)))) ((*1 *1 *1) (-12 (-5 *1 (-730 *2 *3)) (-4 *3 (-847)) (-4 *2 (-1053)) (-4 *3 (-721)))) ((*1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) ((*1 *1 *1) (-12 (-5 *1 (-1279 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-843))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1169)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-121)) (-5 *1 (-1084 *4)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1091 (-216))) (-5 *2 (-1260)) (-5 *1 (-251))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-561)) (-4 *3 (-173)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-683 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| -3017 (-412 *6)) (|:| |coeff| (-412 *6)))) (-5 *1 (-581 *5 *6)) (-5 *3 (-412 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-661 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-1169))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-955 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-495 *4 *5))) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *2 (-2 (|:| |gblist| (-637 (-243 *4 *5))) (|:| |gvlist| (-637 (-571))))) (-5 *1 (-625 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-922)) (-5 *1 (-786))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-1133 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39)))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1219 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1248 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)))) ((*1 *2 *1) (-12 (-4 *2 (-1053)) (-5 *1 (-55 *2 *3)) (-14 *3 (-637 (-1169))))) ((*1 *2 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) ((*1 *2 *1) (-12 (-4 *1 (-387 *2 *3)) (-4 *3 (-1097)) (-4 *2 (-1053)))) ((*1 *2 *1) (-12 (-14 *3 (-637 (-1169))) (-4 *5 (-231 (-4001 *3) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *4) (|:| -2154 *5)) (-2 (|:| -1755 *4) (|:| -2154 *5)))) (-4 *2 (-173)) (-5 *1 (-466 *3 *2 *4 *5 *6 *7)) (-4 *4 (-847)) (-4 *7 (-955 *2 *5 (-857 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-521 *2 *3)) (-4 *3 (-847)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *2 (-561)) (-5 *1 (-618 *2 *3)) (-4 *3 (-1233 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-703 *2)) (-4 *2 (-1053)))) ((*1 *2 *1) (-12 (-4 *2 (-1053)) (-5 *1 (-730 *2 *3)) (-4 *3 (-847)) (-4 *3 (-721)))) ((*1 *2 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)))) ((*1 *2 *1) (-12 (-4 *1 (-980 *2 *3 *4)) (-4 *3 (-792)) (-4 *4 (-847)) (-4 *2 (-1053)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1203)) (-4 *5 (-378 *4)) (-4 *2 (-378 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1056 *4 *5 *6 *2 *7)) (-4 *6 (-1053)) (-4 *7 (-231 *4 *6)) (-4 *2 (-231 *5 *6))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1091 *3)) (-4 *3 (-955 *7 *6 *4)) (-4 *6 (-793)) (-4 *4 (-847)) (-4 *7 (-561)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-571)))) (-5 *1 (-595 *6 *4 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-793)) (-4 *4 (-847)) (-4 *6 (-561)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-571)))) (-5 *1 (-595 *5 *4 *6 *3)) (-4 *3 (-955 *6 *5 *4)))) ((*1 *1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1) (-5 *1 (-855))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1160 *4 *2)) (-4 *2 (-13 (-435 *4) (-162) (-27) (-1189))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1089 *2)) (-4 *2 (-13 (-435 *4) (-162) (-27) (-1189))) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1160 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-412 (-958 *5))) (-5 *1 (-1161 *5)) (-5 *3 (-958 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-3 (-412 (-958 *5)) (-311 *5))) (-5 *1 (-1161 *5)) (-5 *3 (-412 (-958 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1089 (-958 *5))) (-5 *3 (-958 *5)) (-4 *5 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-412 *3)) (-5 *1 (-1161 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1089 (-412 (-958 *5)))) (-5 *3 (-412 (-958 *5))) (-4 *5 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-3 *3 (-311 *5))) (-5 *1 (-1161 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1230 *5 *4)) (-4 *4 (-456)) (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-571)) (-5 *1 (-1111 *4 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)))) ((*1 *2 *1) (-12 (-4 *1 (-387 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-14 *3 (-637 (-1169))) (-4 *4 (-173)) (-4 *6 (-231 (-4001 *3) (-768))) (-14 *7 (-1 (-121) (-2 (|:| -1755 *5) (|:| -2154 *6)) (-2 (|:| -1755 *5) (|:| -2154 *6)))) (-5 *2 (-708 *5 *6 *7)) (-5 *1 (-466 *3 *4 *5 *6 *7 *8)) (-4 *5 (-847)) (-4 *8 (-955 *4 *6 (-857 *3))))) ((*1 *2 *1) (-12 (-4 *2 (-721)) (-4 *2 (-847)) (-5 *1 (-730 *3 *2)) (-4 *3 (-1053)))) ((*1 *1 *1) (-12 (-4 *1 (-980 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-792)) (-4 *4 (-847))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-668 *3)) (-4 *3 (-1203)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 *5)))) (-5 *4 (-637 (-1169))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-958 *5)))) (-5 *1 (-1174 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1043 (-571))) (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-553)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-905 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1203)))) ((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) ((*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)))) ((*1 *2 *1) (-12 (-4 *1 (-435 *2)) (-4 *2 (-847))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| |deg| (-768)) (|:| -3175 *5)))) (-4 *5 (-1233 *4)) (-4 *4 (-352)) (-5 *2 (-637 *5)) (-5 *1 (-208 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-2 (|:| -4262 *5) (|:| -2400 (-571))))) (-5 *4 (-571)) (-4 *5 (-1233 *4)) (-5 *2 (-637 *5)) (-5 *1 (-690 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |scalar| (-412 (-571))) (|:| |coeff| (-1165 *3)) (|:| |logand| (-1165 *3))))) (-5 *1 (-588 *3)) (-4 *3 (-367))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-1149 *3))) (-5 *1 (-1149 *3)) (-4 *3 (-1203))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-435 *3)) (-4 *3 (-847)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-738 *3 *4)) (-14 *3 (-1169)) (-4 *4 (-13 (-1053) (-847) (-561))))) ((*1 *2 *1) (-12 (-4 *1 (-863)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-67 *3)) (-14 *3 (-1169)))) ((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-74 *3)) (-14 *3 (-1169)))) ((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-77 *3)) (-14 *3 (-1169)))) ((*1 *2 *1) (-12 (-4 *1 (-400)) (-5 *2 (-1263)))) ((*1 *2 *3) (-12 (-5 *3 (-393)) (-5 *2 (-1263)) (-5 *1 (-402)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-855)) (-5 *2 (-1263)) (-5 *1 (-1130)))) ((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1263)) (-5 *1 (-1130)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-855))) (-5 *2 (-1263)) (-5 *1 (-1130))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-378 *2)) (-4 *5 (-378 *2)) (-4 *2 (-1203)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1056 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-367) (-151) (-1043 (-571)))) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| -3017 (-412 *5)) (|:| |coeff| (-412 *5)))) (-5 *1 (-575 *4 *5)) (-5 *3 (-412 *5))))) 
+(((*1 *1 *1) (-4 *1 (-39))) ((*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) ((*1 *1 *1) (-5 *1 (-123))) ((*1 *1 *1) (-5 *1 (-172))) ((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *1 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-4 *1 (-553))) ((*1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) ((*1 *1 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) ((*1 *1 *1) (-12 (-4 *1 (-1129 *2)) (-4 *2 (-1053)))) ((*1 *1 *1) (-12 (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) ((*1 *1 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097))))) 
+(((*1 *1 *1) (-4 *1 (-239))) ((*1 *1 *1) (-12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1233 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (-1831 (-12 (-5 *1 (-289 *2)) (-4 *2 (-367)) (-4 *2 (-1203))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-481)) (-4 *2 (-1203))))) ((*1 *1 *1) (-4 *1 (-481))) ((*1 *2 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-352)) (-5 *1 (-535 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-710 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)) (-4 *2 (-367))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-311 (-384))) (-5 *1 (-300))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-396))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-13 (-561) (-456))) (-5 *2 (-637 *4)) (-5 *1 (-348 *4 *5)) (-4 *5 (-52 *4 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1203)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1149 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-571)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1151)) (-4 *1 (-394))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| |radval| (-311 (-571))) (|:| |radmult| (-571)) (|:| |radvect| (-637 (-684 (-311 (-571)))))))) (-5 *1 (-1037))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-571))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) ((*1 *1 *1) (-5 *1 (-855))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-4 *1 (-1094 *3)))) ((*1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-393)) (-5 *2 (-1263)) (-5 *1 (-396)))) ((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-396))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-689 *3)) (-4 *3 (-1097)) (-5 *2 (-637 (-2 (|:| -4279 *3) (|:| -1569 (-768)))))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1165 (-412 (-1165 *2)))) (-5 *4 (-610 *2)) (-4 *2 (-13 (-435 *5) (-27) (-1189))) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *1 (-567 *5 *2 *6)) (-4 *6 (-1097)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-955 *4 *5 *3)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165 *4)) (-4 *4 (-1053)) (-4 *1 (-955 *4 *5 *3)) (-4 *5 (-793)) (-4 *3 (-847)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-1165 *2))) (-4 *5 (-793)) (-4 *4 (-847)) (-4 *6 (-1053)) (-4 *2 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))) (-5 *1 (-956 *5 *4 *6 *7 *2)) (-4 *7 (-955 *6 *5 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-1165 (-412 (-958 *5))))) (-5 *4 (-1169)) (-5 *2 (-412 (-958 *5))) (-5 *1 (-1048 *5)) (-4 *5 (-561))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-231 *5 (-768))) (-14 *5 (-768)) (-5 *1 (-913 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 (-442))))) (-5 *1 (-1173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-874)))) ((*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-684 *5))) (-5 *4 (-1258 *5)) (-4 *5 (-302)) (-4 *5 (-1053)) (-5 *2 (-684 *5)) (-5 *1 (-1035 *5))))) 
+(((*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-637 (-922))) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-922)) (-4 *2 (-367)) (-14 *5 (-1000 *4 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-708 *5 *6 *7)) (-4 *5 (-847)) (-4 *6 (-231 (-4001 *4) (-768))) (-14 *7 (-1 (-121) (-2 (|:| -1755 *5) (|:| -2154 *6)) (-2 (|:| -1755 *5) (|:| -2154 *6)))) (-14 *4 (-637 (-1169))) (-4 *2 (-173)) (-5 *1 (-466 *4 *2 *5 *6 *7 *8)) (-4 *8 (-955 *2 *6 (-857 *4))))) ((*1 *1 *2 *3) (-12 (-4 *1 (-521 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-847)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-4 *2 (-561)) (-5 *1 (-618 *2 *4)) (-4 *4 (-1233 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-703 *2)) (-4 *2 (-1053)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-730 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-721)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *5)) (-5 *3 (-637 (-768))) (-4 *1 (-735 *4 *5)) (-4 *4 (-1053)) (-4 *5 (-847)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-735 *4 *2)) (-4 *4 (-1053)) (-4 *2 (-847)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-849 *2)) (-4 *2 (-1053)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *6)) (-5 *3 (-637 (-768))) (-4 *1 (-955 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-955 *4 *5 *2)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *2 (-847)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *6)) (-5 *3 (-637 *5)) (-4 *1 (-980 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-792)) (-4 *6 (-847)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-980 *4 *3 *2)) (-4 *4 (-1053)) (-4 *3 (-792)) (-4 *2 (-847))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-640 *5)) (-4 *5 (-1053)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-849 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-684 *3)) (-4 *1 (-422 *3)) (-4 *3 (-173)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)))) ((*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1053)) (-5 *1 (-850 *2 *3)) (-4 *3 (-849 *2))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-610 *5)) (-4 *5 (-435 *4)) (-4 *4 (-1043 (-571))) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-1165 *5)) (-5 *1 (-36 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-610 *1)) (-4 *1 (-1053)) (-4 *1 (-297)) (-5 *2 (-1165 *1))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-5 *1 (-353 *3 *4 *5)) (-4 *5 (-414 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1233 *3)) (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-5 *1 (-765 *4 *5)) (-4 *5 (-414 *3 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 *3)) (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-5 *1 (-992 *4 *3 *5 *6)) (-4 *6 (-719 *3 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 *3)) (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-5 *1 (-1267 *4 *3 *5 *6)) (-4 *6 (-414 *3 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-840 *3)) (-4 *3 (-1097))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *3 (-949 *5)) (-4 *5 (-1053)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-768)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)) (-4 *5 (-1053)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-949 *5)) (-4 *5 (-1053)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 *4)))) (-5 *1 (-889 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) ((*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-637 *1)) (-4 *1 (-1100 *3 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-1053)) (-4 *6 (-231 *7 *3)) (-14 *7 *3) (-5 *2 (-637 *5)) (-5 *1 (-913 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-566))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-637 *8))) (-5 *3 (-637 *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *5 *6 *7 *8))))) 
+(((*1 *1 *1) (-4 *1 (-1136)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1097) (-39))) (-4 *6 (-13 (-1097) (-39))) (-5 *2 (-121)) (-5 *1 (-1132 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1258 *4)) (-4 *4 (-1203)) (-4 *1 (-231 *3 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-4 *1 (-505))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-156 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-367)) (-14 *5 (-1000 *3 *4))))) 
+(((*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 (-892 *6))) (-5 *5 (-1 (-889 *6 *8) *8 (-892 *6) (-889 *6 *8))) (-4 *6 (-1097)) (-4 *8 (-13 (-1053) (-612 (-892 *6)) (-1043 *7))) (-5 *2 (-889 *6 *8)) (-4 *7 (-13 (-1053) (-847))) (-5 *1 (-947 *6 *7 *8))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *2 (-2 (|:| -1454 (-571)) (|:| -3468 (-571)) (|:| -2924 (-571)) (|:| |reste| (-571)) (|:| -3676 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-777 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *5)) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 (-768))) (-14 *7 (-768)) (-4 *4 (-1053)) (-5 *2 (-2 (|:| -1454 (-571)) (|:| -3468 (-571)) (|:| -2924 (-571)) (|:| |reste| (-571)) (|:| -3676 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-777 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3)))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1169)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-637 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3017 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1189) (-27) (-435 *8))) (-4 *8 (-13 (-456) (-847) (-151) (-1043 *3) (-633 *3))) (-5 *3 (-571)) (-5 *2 (-637 *4)) (-5 *1 (-1020 *8 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-4 *1 (-505))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-57)) (-5 *1 (-829))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1 (-949 (-216)) (-216) (-216))) (-5 *3 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-249))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-53))) (-5 *2 (-423 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1233 (-53))))) ((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1233 (-53))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-53))) (-4 *5 (-847)) (-4 *6 (-793)) (-5 *2 (-423 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-955 (-53) *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-53))) (-4 *5 (-847)) (-4 *6 (-793)) (-4 *7 (-955 (-53) *6 *5)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1165 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-423 *3)) (-5 *1 (-168 *4 *3)) (-4 *3 (-1233 (-170 *4))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-367) (-845))) (-5 *2 (-423 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-423 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-423 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-859)) (-5 *2 (-423 (-1165 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1165 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-864)) (-5 *2 (-423 (-1165 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1165 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-346 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-768))) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-768))) (-5 *5 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-768)) (-5 *2 (-423 *3)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3) (-12 (-5 *2 (-423 (-170 (-571)))) (-5 *1 (-450)) (-5 *3 (-170 (-571))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-4 *5 (-793)) (-4 *7 (-561)) (-5 *2 (-423 *3)) (-5 *1 (-461 *4 *5 *6 *7 *3)) (-4 *6 (-561)) (-4 *3 (-955 *7 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-423 (-1165 *4))) (-5 *1 (-463 *4)) (-5 *3 (-1165 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-423 *6) *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-4 *7 (-13 (-367) (-151) (-719 *5 *6))) (-5 *2 (-423 *3)) (-5 *1 (-506 *5 *6 *7 *3)) (-4 *3 (-1233 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-423 (-1165 *7)) (-1165 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-847)) (-4 *6 (-793)) (-5 *2 (-423 *3)) (-5 *1 (-548 *5 *6 *7 *3)) (-4 *3 (-955 *7 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-423 (-1165 *7)) (-1165 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-847)) (-4 *6 (-793)) (-4 *8 (-955 *7 *6 *5)) (-5 *2 (-423 (-1165 *8))) (-5 *1 (-548 *5 *6 *7 *8)) (-5 *3 (-1165 *8)))) ((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-564 *3)) (-4 *3 (-553)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-646 (-412 *6)))) (-5 *1 (-650 *5 *6)) (-5 *3 (-646 (-412 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-646 (-412 *5)))) (-5 *1 (-650 *4 *5)) (-5 *3 (-646 (-412 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-819 *4)) (-4 *4 (-847)) (-5 *2 (-637 (-666 *4))) (-5 *1 (-666 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-5 *2 (-637 *3)) (-5 *1 (-690 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-847)) (-4 *5 (-793)) (-4 *6 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-692 *4 *5 *6 *3)) (-4 *3 (-955 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-847)) (-4 *5 (-793)) (-4 *6 (-352)) (-4 *7 (-955 *6 *5 *4)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-692 *4 *5 *6 *7)) (-5 *3 (-1165 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-4 *6 (-302)) (-5 *2 (-423 *3)) (-5 *1 (-725 *4 *5 *6 *3)) (-4 *3 (-955 (-958 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))) (-4 *6 (-561)) (-5 *2 (-423 *3)) (-5 *1 (-727 *4 *5 *6 *3)) (-4 *3 (-955 (-412 (-958 *6)) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-423 *3)) (-5 *1 (-728 *4 *5 *6 *3)) (-4 *3 (-955 (-412 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-847)) (-4 *5 (-793)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-423 *3)) (-5 *1 (-736 *4 *5 *6 *3)) (-4 *3 (-955 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-847)) (-4 *5 (-793)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-955 *6 *5 *4)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-736 *4 *5 *6 *7)) (-5 *3 (-1165 *7)))) ((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-1013 *3)) (-4 *3 (-1233 (-412 (-571)))))) ((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-1046 *3)) (-4 *3 (-1233 (-412 (-958 (-571))))))) ((*1 *2 *3) (-12 (-4 *4 (-1233 (-412 (-571)))) (-4 *5 (-13 (-367) (-151) (-719 (-412 (-571)) *4))) (-5 *2 (-423 *3)) (-5 *1 (-1078 *4 *5 *3)) (-4 *3 (-1233 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-1233 (-412 (-958 (-571))))) (-4 *5 (-13 (-367) (-151) (-719 (-412 (-958 (-571))) *4))) (-5 *2 (-423 *3)) (-5 *1 (-1080 *4 *5 *3)) (-4 *3 (-1233 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-456)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-423 (-1165 (-412 *7)))) (-5 *1 (-1164 *4 *5 *6 *7)) (-5 *3 (-1165 (-412 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-423 *1)) (-4 *1 (-1213)))) ((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-1222 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 (-412 (-958 *4)))) (-5 *1 (-929 *4 *5 *6 *7)) (-4 *7 (-955 *4 *6 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-4 *1 (-505))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-412 *5)) (|:| |c2| (-412 *5)) (|:| |deg| (-768)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1233 (-412 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-958 (-571))) (-5 *2 (-637 *1)) (-4 *1 (-1018)))) ((*1 *2 *3) (-12 (-5 *3 (-958 (-412 (-571)))) (-5 *2 (-637 *1)) (-4 *1 (-1018)))) ((*1 *2 *3) (-12 (-5 *3 (-958 *1)) (-4 *1 (-1018)) (-5 *2 (-637 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 (-571))) (-5 *2 (-637 *1)) (-4 *1 (-1018)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 (-412 (-571)))) (-5 *2 (-637 *1)) (-4 *1 (-1018)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 *1)) (-4 *1 (-1018)) (-5 *2 (-637 *1)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-845) (-367))) (-4 *3 (-1233 *4)) (-5 *2 (-637 *1)) (-4 *1 (-1069 *4 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-610 *1)) (-4 *1 (-435 *4)) (-4 *4 (-847)) (-4 *4 (-561)) (-5 *2 (-412 (-1165 *1))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-610 *3)) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-1165 (-412 (-1165 *3)))) (-5 *1 (-567 *6 *3 *7)) (-5 *5 (-1165 *3)) (-4 *7 (-1097)))) ((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *2 (-1165 *4)) (-5 *1 (-913 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1254 *5)) (-14 *5 (-1169)) (-4 *6 (-1053)) (-5 *2 (-1230 *5 (-958 *6))) (-5 *1 (-953 *5 *6)) (-5 *3 (-958 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-955 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-1165 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-1165 *1)) (-4 *1 (-955 *4 *5 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-793)) (-4 *4 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *5 *4)) (-5 *2 (-412 (-1165 *3))) (-5 *1 (-956 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1165 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))) (-4 *7 (-955 *6 *5 *4)) (-4 *5 (-793)) (-4 *4 (-847)) (-4 *6 (-1053)) (-5 *1 (-956 *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-561)) (-5 *2 (-412 (-1165 (-412 (-958 *5))))) (-5 *1 (-1048 *5)) (-5 *3 (-412 (-958 *5)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-257))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *1 *1) (-4 *1 (-505))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-637 *6) "failed") (-571) *6 *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-5 *2 (-2 (|:| |answer| (-588 (-412 *7))) (|:| |a0| *6))) (-5 *1 (-581 *6 *7)) (-5 *3 (-412 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2634 (-768)) (|:| |curves| (-768)) (|:| |polygons| (-768)) (|:| |constructs| (-768))))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-610 *1))) (-4 *1 (-297))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *1 *1) (-4 *1 (-505))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2 *3 *2) (|partial| -12 (-5 *3 (-922)) (-5 *1 (-446 *2)) (-4 *2 (-1233 (-571))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-922)) (-5 *4 (-768)) (-5 *1 (-446 *2)) (-4 *2 (-1233 (-571))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-922)) (-5 *4 (-637 (-768))) (-5 *1 (-446 *2)) (-4 *2 (-1233 (-571))))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-922)) (-5 *4 (-637 (-768))) (-5 *5 (-768)) (-5 *1 (-446 *2)) (-4 *2 (-1233 (-571))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-922)) (-5 *4 (-637 (-768))) (-5 *5 (-768)) (-5 *6 (-121)) (-5 *1 (-446 *2)) (-4 *2 (-1233 (-571))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-423 *2)) (-4 *2 (-1233 *5)) (-5 *1 (-448 *5 *2)) (-4 *5 (-1053))))) 
+(((*1 *1 *2 *2) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-1169))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-170 (-384))) (-5 *1 (-785 *3)) (-4 *3 (-612 (-384))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-5 *2 (-170 (-384))) (-5 *1 (-785 *3)) (-4 *3 (-612 (-384))))) ((*1 *2 *3) (-12 (-5 *3 (-170 *4)) (-4 *4 (-173)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-170 *5)) (-5 *4 (-922)) (-4 *5 (-173)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-958 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-958 (-170 *5))) (-5 *4 (-922)) (-4 *5 (-173)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-958 *4)) (-4 *4 (-1053)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-958 *5)) (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-412 (-958 (-170 *4)))) (-4 *4 (-561)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 (-170 *5)))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-412 (-958 *4))) (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-1043 (-571)) (-151))) (-5 *1 (-577 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *1 *1) (-4 *1 (-505))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-311 (-216)))) (-5 *4 (-768)) (-5 *2 (-684 (-216))) (-5 *1 (-264))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1165 *1)) (-4 *1 (-1018))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-922))) (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-571))))) 
+(((*1 *2) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-121)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-1233 *2)) (-4 *2 (-1233 *4)) (-5 *1 (-992 *4 *2 *3 *5)) (-4 *4 (-352)) (-4 *5 (-719 *2 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *2 (-1067 *4 *5 *6)) (-5 *1 (-773 *4 *5 *6 *2 *3)) (-4 *3 (-1072 *4 *5 *6 *2))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-544))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-360 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-535 *4))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-367)) (-5 *1 (-763 *2 *3)) (-4 *2 (-703 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-456)) (-4 *3 (-847)) (-4 *3 (-1043 (-571))) (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-435 *3)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $)))))))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-396))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-544))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-3 (-130) (-571))) (-5 *1 (-130))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3730 *3) (|:| |coef2| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053))))) 
+(((*1 *2) (-12 (-5 *2 (-2 (|:| -2436 (-637 (-1169))) (|:| -3894 (-637 (-1169))))) (-5 *1 (-1211))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-456)) (-4 *4 (-847)) (-4 *5 (-793)) (-5 *2 (-121)) (-5 *1 (-994 *3 *4 *5 *6)) (-4 *6 (-955 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39)))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *1 *1 *1) (-5 *1 (-384))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-123)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-847)) (-5 *1 (-935 *4 *2)) (-4 *2 (-435 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-1151)) (-5 *2 (-311 (-571))) (-5 *1 (-936))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-955 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1233 *3))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1213)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 (-412 *3))) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-102)))) ((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-206 (-514))) (-5 *1 (-835))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-240 *2)) (-4 *2 (-1203))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1 (-121) *8))) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-2 (|:| |goodPols| (-637 *8)) (|:| |badPols| (-637 *8)))) (-5 *1 (-984 *5 *6 *7 *8)) (-5 *4 (-637 *8))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1171 (-412 (-571)))) (-5 *2 (-412 (-571))) (-5 *1 (-183))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) ((*1 *1 *1) (-4 *1 (-1192)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1190 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-1280 *3 *4)) (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-819 *3)) (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) ((*1 *1 *1) (-4 *1 (-1192)))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-302)) (-5 *1 (-917 *3 *4 *5 *2)) (-4 *2 (-955 *5 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1165 *6)) (-4 *6 (-955 *5 *3 *4)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-302)) (-5 *1 (-917 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *6 *4 *5)) (-5 *1 (-917 *4 *5 *6 *2)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-637 (-2 (|:| |totdeg| (-768)) (|:| -2068 *3)))) (-5 *4 (-768)) (-4 *3 (-955 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-453 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1263)) (-5 *1 (-206 *4)) (-4 *4 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 (*2 $)) (-15 -4197 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 (*2 $)) (-15 -4197 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-514))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) ((*1 *1 *1) (-4 *1 (-1192)))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-126 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-571)))) ((*1 *1 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-367)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-870 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-870 *2)) (-14 *2 (-571)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-14 *3 *2) (-5 *1 (-871 *3 *4)) (-4 *4 (-868 *3)))) ((*1 *1 *1) (-12 (-14 *2 (-571)) (-5 *1 (-871 *2 *3)) (-4 *3 (-868 *2)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-4 *1 (-1219 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1248 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1219 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-1248 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1185))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-456)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) ((*1 *1 *1) (-4 *1 (-1192)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-978))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-1084 *4)))) (-5 *2 (-121)) (-5 *1 (-1084 *4)) (-4 *4 (-13 (-847) (-561))))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 (-1084 *4))) (-5 *2 (-121)) (-5 *1 (-1084 *4)) (-4 *4 (-13 (-847) (-561))))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)) (-4 *2 (-456)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1233 (-571))) (-5 *2 (-637 (-571))) (-5 *1 (-499 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-456)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-955 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *3 (-456))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) ((*1 *1 *1) (-4 *1 (-1192)))) 
+(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-922)) (-5 *1 (-1098 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) ((*1 *1 *1) (-4 *1 (-1192)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-756))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *4)) (-5 *1 (-1123 *3 *4)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *3)) (-5 *1 (-1123 *4 *3)) (-4 *4 (-1233 *3))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1852 *6) (|:| |sol?| (-121))) (-571) *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-412 *7)) (|:| |a0| *6)) (-2 (|:| -3017 (-412 *7)) (|:| |coeff| (-412 *7))) "failed")) (-5 *1 (-581 *6 *7)) (-5 *3 (-412 *7))))) 
+(((*1 *1 *1) (-4 *1 (-623))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *1 (-257)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *1 (-476)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *1 (-476))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-847)) (-4 *4 (-367)) (-4 *5 (-793)) (-5 *1 (-517 *4 *5 *6 *2)) (-4 *2 (-955 *4 *5 *6)))) ((*1 *1 *1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *2)) (-4 *2 (-955 *3 *4 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-824)) (-5 *1 (-825))))) 
 (((*1 *1 *1 *1) (|partial| -4 *1 (-138)))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-560 *6 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1169))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-684 *3)) (-4 *3 (-302)) (-5 *1 (-694 *3))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-734 *3))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-637 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-562 *6 *3))))) 
+(((*1 *1) (-12 (-4 *1 (-430 *2)) (-4 *2 (-373)) (-4 *2 (-1097))))) 
+(((*1 *1 *1) (-4 *1 (-623))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-251))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-497 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-311 (-571))) (-5 *1 (-486 *3)) (-4 *3 (-13 (-352) (-612 (-571))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1091 *3)) (-5 *1 (-1089 *3)) (-4 *3 (-1203)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203)))) ((*1 *1 *2) (-12 (-5 *1 (-1224 *2)) (-4 *2 (-1203))))) 
+(((*1 *1 *1) (-4 *1 (-623))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189)))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1107)) (-5 *3 (-571))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1173))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-905 *3))) (-4 *3 (-1097)) (-5 *1 (-904 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-412 (-571))) (-4 *4 (-1043 (-571))) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-36 *4 *2)) (-4 *2 (-435 *4)))) ((*1 *1 *1 *1) (-5 *1 (-140))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-571)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-412 (-571))) (-4 *4 (-367)) (-4 *4 (-43 *3)) (-4 *5 (-1248 *4)) (-5 *1 (-275 *4 *5 *2)) (-4 *2 (-1219 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-412 (-571))) (-4 *4 (-367)) (-4 *4 (-43 *3)) (-4 *5 (-1217 *4)) (-5 *1 (-276 *4 *5 *2 *6)) (-4 *2 (-1240 *4 *5)) (-4 *6 (-990 *5)))) ((*1 *1 *1 *1) (-4 *1 (-280))) ((*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-365 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *1) (-5 *1 (-384))) ((*1 *1 *2 *3) (-12 (-5 *3 (-768)) (-5 *1 (-391 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-435 *3)) (-4 *3 (-847)) (-4 *3 (-1109)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-481)) (-5 *2 (-571)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-571)) (-4 *4 (-352)) (-5 *1 (-535 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-544)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-544)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-768)) (-4 *4 (-1097)) (-5 *1 (-676 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-4 *3 (-367)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-684 *4)) (-5 *3 (-768)) (-4 *4 (-1053)) (-5 *1 (-685 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *3 (-1053)) (-5 *1 (-709 *3 *4)) (-4 *4 (-640 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-571)) (-4 *4 (-1053)) (-5 *1 (-709 *4 *5)) (-4 *5 (-640 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-715)) (-5 *2 (-922)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-768)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-721)) (-5 *2 (-768)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-738 *2 *3)) (-14 *2 (-1169)) (-4 *3 (-13 (-1053) (-847) (-561))))) ((*1 *1 *2 *3) (-12 (-5 *3 (-768)) (-5 *1 (-819 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-834 *3)) (-4 *3 (-1053)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-571)) (-5 *1 (-834 *4)) (-4 *4 (-1053)))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1008)) (-5 *2 (-412 (-571))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1109)) (-5 *2 (-922)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1118 *3 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)) (-4 *4 (-367)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1248 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-484 *4 *5 *6 *7)) (|:| -1601 (-637 *7)))) (-5 *1 (-984 *4 *5 *6 *7)) (-5 *3 (-637 *7))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-868 *3)) (-5 *2 (-571)))) ((*1 *1 *1) (-4 *1 (-1008))) ((*1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1018)))) ((*1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-4 *1 (-1018)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1018)) (-5 *2 (-768)))) ((*1 *1 *1) (-4 *1 (-1018)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-961)) (-5 *2 (-1091 (-216))))) ((*1 *2 *1) (-12 (-4 *1 (-981)) (-5 *2 (-1091 (-216)))))) 
 (((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *4 *5 *6 *3)) (-4 *3 (-952 *6 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-734 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-421 *1)) (-4 *1 (-952 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-454)) (-5 *2 (-421 *3)) (-5 *1 (-982 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-454)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 (-410 *7)))) (-5 *1 (-1160 *4 *5 *6 *7)) (-5 *3 (-1161 (-410 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1208)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-1231 *4 *3)) (-4 *3 (-13 (-1228 *4) (-559) (-10 -8 (-15 -3964 ($ $ $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-1134 *4 (-535 (-854 *6)) (-854 *6) (-777 *4 (-854 *6))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165)))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1161 (-410 (-569))))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-571)) (-5 *3 (-964 (-384))) (-5 *1 (-115))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-435 *3) (-1008))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-847) (-561))))) ((*1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *1) (-5 *1 (-492))) ((*1 *1) (-4 *1 (-1189)))) 
+(((*1 *2) (-12 (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-909)) (-5 *1 (-462 *3 *4 *2 *5)) (-4 *5 (-955 *2 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-909)) (-5 *1 (-906 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) ((*1 *2) (-12 (-4 *2 (-909)) (-5 *1 (-907 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-564 *3)) (-4 *3 (-553)))) ((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)) (-5 *2 (-423 *3)) (-5 *1 (-737 *4 *5 *6 *3)) (-4 *3 (-955 *6 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-737 *4 *5 *6 *7)) (-5 *3 (-1165 *7)))) ((*1 *2 *1) (-12 (-4 *3 (-456)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-423 *1)) (-4 *1 (-955 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-847)) (-4 *5 (-793)) (-4 *6 (-456)) (-5 *2 (-423 *3)) (-5 *1 (-986 *4 *5 *6 *3)) (-4 *3 (-955 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-456)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-423 (-1165 (-412 *7)))) (-5 *1 (-1164 *4 *5 *6 *7)) (-5 *3 (-1165 (-412 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-423 *1)) (-4 *1 (-1213)))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-423 *3)) (-5 *1 (-1236 *4 *3)) (-4 *3 (-13 (-1233 *4) (-561) (-10 -8 (-15 -3026 ($ $ $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1050 *4 *5)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *5 (-637 (-1169))) (-5 *2 (-637 (-1138 *4 (-537 (-857 *6)) (-857 *6) (-780 *4 (-857 *6))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *6 (-637 (-1169)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-216)) (-5 *3 (-768)) (-5 *1 (-218)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-170 (-216))) (-5 *3 (-768)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-37 *3)) (-4 *3 (-367)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-637 *1)) (-5 *3 (-768)) (-4 *1 (-37 *4)) (-4 *4 (-367)))) ((*1 *2 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-977 *3)) (-4 *3 (-367)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-637 *1)) (-5 *3 (-768)) (-4 *1 (-977 *4)) (-4 *4 (-367))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-4 *1 (-280))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *1 *2) (-12 (-5 *2 (-659 *3 *4)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-5 *1 (-621 *3 *4 *5)) (-14 *5 (-922)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-13 (-1053) (-712 (-412 (-571))))) (-4 *5 (-847)) (-5 *1 (-1272 *4 *5 *2)) (-4 *2 (-1277 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1276 *3 *4)) (-4 *4 (-712 (-412 (-571)))) (-4 *3 (-847)) (-4 *4 (-173))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-571))) (-4 *3 (-1053)) (-5 *1 (-101 *3)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-101 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-101 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-4 *5 (-435 *4)) (-5 *2 (-423 (-1165 (-412 (-571))))) (-5 *1 (-440 *4 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-909)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-955 *4 *5 *6)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-906 *4 *5 *6 *7)) (-5 *3 (-1165 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-909)) (-4 *5 (-1233 *4)) (-5 *2 (-423 (-1165 *5))) (-5 *1 (-907 *4 *5)) (-5 *3 (-1165 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-99))))) 
+(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-571)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-481)) (-5 *2 (-571)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-721)) (-5 *2 (-768)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1109)) (-5 *2 (-922))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 *3)) (-5 *1 (-929 *4 *5 *6 *3)) (-4 *3 (-955 *4 *6 *5))))) 
 (((*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-635 (-216))) (-5 *1 (-474))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *5)) (-4 *5 (-1228 (-410 *4)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -3455 (-1145 *4)) (|:| -3460 (-1145 *4)))) (-5 *1 (-1151 *4)) (-5 *3 (-1145 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *6 (-790)) (-4 *9 (-952 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-635 (-2 (|:| -3139 (-1161 *9)) (|:| -3190 (-569))))))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *3 (-1161 *9))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-13 (-302) (-151))) (-4 *2 (-952 *4 *6 *5)) (-5 *1 (-926 *4 *5 *6 *2)) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *9)) (-5 *6 (-635 (-765))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 (-765))) (-4 *9 (-325 (-410 *7) (-765))) (-5 *2 (-681 (-1161 *7))) (-5 *1 (-346 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *9)) (-5 *6 (-765)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 *6)) (-4 *9 (-325 (-410 *7) *6)) (-5 *2 (-1145 (-681 (-1161 *7)))) (-5 *1 (-346 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *8)) (-5 *6 (-635 (-765))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 (-765))) (-5 *2 (-681 (-1161 *7))) (-5 *1 (-347 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *8)) (-5 *6 (-765)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1145 (-681 (-1161 *7)))) (-5 *1 (-347 *7 *8))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |radicand| (-410 *5)) (|:| |deg| (-765)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3017 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-5 *2 (-2 (|:| |answer| (-588 (-412 *7))) (|:| |a0| *6))) (-5 *1 (-581 *6 *7)) (-5 *3 (-412 *7))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-768)) (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1256 *3)) (-4 *3 (-23)) (-4 *3 (-1203))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *2 (-637 (-216))) (-5 *1 (-476))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-669 *3)) (-4 *3 (-1053)) (-4 *3 (-1097))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-121)) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-468))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| |den| (-571)) (|:| |gcdnum| (-571))))) (-4 *4 (-1233 (-412 *2))) (-5 *2 (-571)) (-5 *1 (-914 *4 *5)) (-4 *5 (-1233 (-412 *4)))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1151)) (-5 *3 (-823)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-367)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *4 *5 *6 *3)) (-4 *3 (-955 *4 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-393)) (-5 *1 (-626))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-847)) (-4 *4 (-367)) (-4 *5 (-793)) (-5 *2 (-2 (|:| |mval| (-684 *4)) (|:| |invmval| (-684 *4)) (|:| |genIdeal| (-517 *4 *5 *6 *7)))) (-5 *1 (-517 *4 *5 *6 *7)) (-4 *7 (-955 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-43 (-412 (-571)))) (-5 *2 (-2 (|:| -4185 (-1149 *4)) (|:| -4188 (-1149 *4)))) (-5 *1 (-1155 *4)) (-5 *3 (-1149 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-597 *3)) (-4 *3 (-1053)))) ((*1 *2 *1) (-12 (-4 *1 (-980 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-792)) (-4 *5 (-847)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *1 (-670 *3 *4)) (-4 *3 (-1203)) (-4 *4 (-1203)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1069 *4 *3)) (-4 *4 (-13 (-845) (-367))) (-4 *3 (-1233 *4)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *2 *4 *5 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-610 *1))) (-4 *1 (-297))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 *7)) (-5 *5 (-637 (-637 *8))) (-4 *7 (-847)) (-4 *8 (-302)) (-4 *6 (-793)) (-4 *9 (-955 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-637 (-2 (|:| -4262 (-1165 *9)) (|:| -2154 (-571))))))) (-5 *1 (-737 *6 *7 *8 *9)) (-5 *3 (-1165 *9))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-623))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189)))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-768)) (-4 *4 (-352)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1233 *4))))) 
+(((*1 *2) (-12 (-4 *1 (-352)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-562 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-596 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1053))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 (-684 *4))) (-4 *4 (-173)) (-5 *2 (-1258 (-684 (-958 *4)))) (-5 *1 (-182 *4))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-1089 (-958 (-571)))) (-5 *3 (-958 (-571))) (-5 *1 (-329)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1089 (-958 (-571)))) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-958 *4)) (-4 *4 (-13 (-302) (-151))) (-4 *2 (-955 *4 *6 *5)) (-5 *1 (-929 *4 *5 *6 *2)) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *6)) (-5 *5 (-1 (-423 (-1165 *6)) (-1165 *6))) (-4 *6 (-367)) (-5 *2 (-637 (-2 (|:| |outval| *7) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 *7)))))) (-5 *1 (-538 *6 *7 *4)) (-4 *7 (-367)) (-4 *4 (-13 (-367) (-845)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-4 *1 (-259 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-259 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-259 *2)) (-4 *2 (-1097)))) ((*1 *1 *2) (-12 (-5 *1 (-1190 *2)) (-4 *2 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-1190 *3)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-637 (-1190 *2))) (-5 *1 (-1190 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-1053)) (-5 *2 (-495 *4 *5)) (-5 *1 (-950 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-637 *7)) (-5 *4 (-1 *7 (-768) (-768) *8)) (-5 *5 (-1258 *9)) (-5 *6 (-637 (-768))) (-4 *7 (-13 (-561) (-456))) (-4 *8 (-325 *7 (-768))) (-4 *9 (-325 (-412 *7) (-768))) (-5 *2 (-684 (-1165 *7))) (-5 *1 (-347 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-637 *7)) (-5 *4 (-1 *7 (-768) (-768) *8)) (-5 *5 (-1258 *9)) (-5 *6 (-768)) (-4 *7 (-13 (-561) (-456))) (-4 *8 (-325 *7 *6)) (-4 *9 (-325 (-412 *7) *6)) (-5 *2 (-1149 (-684 (-1165 *7)))) (-5 *1 (-347 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-637 *7)) (-5 *4 (-1 *7 (-768) (-768) *8)) (-5 *5 (-1258 *8)) (-5 *6 (-637 (-768))) (-4 *7 (-13 (-561) (-456))) (-4 *8 (-52 *7 (-768))) (-5 *2 (-684 (-1165 *7))) (-5 *1 (-348 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-637 *7)) (-5 *4 (-1 *7 (-768) (-768) *8)) (-5 *5 (-1258 *8)) (-5 *6 (-768)) (-4 *7 (-13 (-561) (-456))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1149 (-684 (-1165 *7)))) (-5 *1 (-348 *7 *8))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1176 (-637 *4))) (-4 *4 (-847)) (-5 *2 (-637 (-637 *4))) (-5 *1 (-1175 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| |radicand| (-412 *5)) (|:| |deg| (-768)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1233 (-412 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-646 (-412 *2))) (-4 *2 (-1233 *4)) (-5 *1 (-810 *4 *2)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))))) ((*1 *2 *3) (-12 (-5 *3 (-647 *2 (-412 *2))) (-4 *2 (-1233 *4)) (-5 *1 (-810 *4 *2)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571)))))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-768)) (-4 *4 (-302)) (-4 *6 (-1233 *4)) (-5 *2 (-1258 (-637 *6))) (-5 *1 (-460 *4 *6)) (-5 *5 (-637 *6))))) 
+(((*1 *2 *3 *3 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-1 (-637 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-637 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1189) (-435 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-412 (-571))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-412 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-571))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-571))) (-5 *4 (-289 *7)) (-5 *5 (-1224 (-571))) (-4 *7 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-5 *6 (-1224 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-412 (-571)))) (-5 *4 (-289 *8)) (-5 *5 (-1224 (-412 (-571)))) (-5 *6 (-412 (-571))) (-4 *8 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-5 *6 (-1224 (-412 (-571)))) (-5 *7 (-412 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *8))) (-4 *8 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *8 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *3)))) (-4 *3 (-1053)) (-5 *1 (-596 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-597 *3)))) ((*1 *1 *2 *3 *1) (-12 (-5 *2 (-571)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) ((*1 *1 *2) (-12 (-5 *2 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *3)))) (-4 *3 (-1053)) (-4 *1 (-1217 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *3 (-1149 (-2 (|:| |k| (-412 (-571))) (|:| |c| *4)))) (-4 *4 (-1053)) (-4 *1 (-1238 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-4 *1 (-1248 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1149 (-2 (|:| |k| (-768)) (|:| |c| *3)))) (-4 *3 (-1053)) (-4 *1 (-1248 *3))))) 
 (((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *2)) (-4 *2 (-952 (-410 (-955 *6)) *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *1 (-264))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1095 (-1165))) (-5 *1 (-58)) (-5 *3 (-1165))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-1087 (-216))))) ((*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1153 3 *3)) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-635 *6)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-952 *4 *3 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1206)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1206))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-635 *3)) (-5 *1 (-963 *3)) (-4 *3 (-551))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1199)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-890 *3)) (-4 *3 (-844))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *1 (-224 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-765)))) ((*1 *1 *1) (-4 *1 (-226))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-765))) (-4 *1 (-897 *4)) (-4 *4 (-1093)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-897 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-897 *3)) (-4 *3 (-1093)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-897 *2)) (-4 *2 (-1093))))) 
-(((*1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1183))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1161 *1)) (-4 *1 (-1014))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *2 (-1049)) (-5 *1 (-910 *2 *3 *5 *6)) (-4 *3 (-325 *2 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-681 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
-(((*1 *1) (-5 *1 (-148))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-257))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *2 (-325 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *4 (-117))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-948 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-990 (-410 (-569)) (-854 *3) (-233 *4 (-765)) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1165))) (-14 *4 (-765)) (-5 *1 (-989 *3 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-855 *4 *5 *6 *7)) (-4 *4 (-1049)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 *3)) (-14 *7 *3))) ((*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-14 *8 (-635 *5)) (-5 *2 (-1258)) (-5 *1 (-1263 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-952 *4 *6 *5)) (-14 *9 (-635 *3)) (-14 *10 *3)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-185))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-854 *5))) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-635 (-635 (-243 *5 *6)))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-842)) (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-948 *4 *5)) (-4 *5 (-1228 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1161 *7)) (-5 *3 (-569)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *1 (-319 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-1246 *5 *2 *6 *3)) (-4 *6 (-647 *2)) (-4 *3 (-1243 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-13 (-825) (-844) (-1049))) (-5 *2 (-1147)) (-5 *1 (-823 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-825) (-844) (-1049))) (-5 *2 (-1147)) (-5 *1 (-823 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-819)) (-5 *4 (-311 *5)) (-4 *5 (-13 (-825) (-844) (-1049))) (-5 *2 (-1258)) (-5 *1 (-823 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-819)) (-5 *4 (-311 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-825) (-844) (-1049))) (-5 *2 (-1258)) (-5 *1 (-823 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-825)) (-5 *2 (-1147)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-825)) (-5 *3 (-121)) (-5 *2 (-1147)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-825)) (-5 *3 (-819)) (-5 *2 (-1258)))) ((*1 *2 *3 *1 *4) (-12 (-4 *1 (-825)) (-5 *3 (-819)) (-5 *4 (-121)) (-5 *2 (-1258))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 *4)))) (-4 *4 (-454)) (-5 *2 (-635 (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4))))) (-5 *1 (-287 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-980 *5 *6 *7 *8))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1103))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-1208)) (-5 *1 (-152 *2 *4 *3)) (-4 *3 (-1228 (-410 *4)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-860)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1228 *4)) (-4 *4 (-1049)) (-5 *2 (-1253 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-1161 *3)) (-5 *1 (-1174 *3)) (-4 *3 (-366))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-173)))) ((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-173))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *1 (-257)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-328 *4)) (-4 *4 (-366)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1253 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1253 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-412 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-420 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-681 *5))) (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-1253 *5)) (-5 *1 (-1079 *5))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *4))) (-5 *3 (-1161 *4)) (-4 *4 (-906)) (-5 *1 (-656 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-4 *4 (-844)) (-5 *1 (-1171 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *2 (-121)) (-5 *1 (-257))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-1228 *4)) (-5 *1 (-806 *4 *3 *2 *5)) (-4 *2 (-647 *3)) (-4 *5 (-647 (-410 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *1 (-806 *4 *5 *2 *6)) (-4 *2 (-647 *5)) (-4 *6 (-647 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-257)))) ((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1253 (-569))) (-5 *1 (-1278 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-765))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-185))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-1165)) (-5 *1 (-542)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-960 (-1161 *4))) (-5 *1 (-359 *4)) (-5 *3 (-1161 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-636 *5 *6))))) 
-(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-1219 (-569)))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4320 *11)))))) (-5 *6 (-765)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4320 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1063 *7 *8 *9)) (-4 *11 (-1068 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-5 *1 (-1066 *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4320 *11)))))) (-5 *6 (-765)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4320 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1063 *7 *8 *9)) (-4 *11 (-1102 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-5 *1 (-1133 *7 *8 *9 *10 *11))))) 
-(((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-919)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-830 (-919))) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-919)))) ((*1 *2) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-830 (-919)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-4 *1 (-900 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 (-382)))) (-5 *1 (-1024)) (-5 *5 (-382)))) ((*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-4 *1 (-1058)) (-5 *2 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-898 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *1 (-898 *2)) (-4 *2 (-1093))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-844)) (-5 *2 (-635 (-657 *4 *5))) (-5 *1 (-619 *4 *5 *6)) (-4 *5 (-13 (-173) (-709 (-410 (-569))))) (-14 *6 (-919))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-922 *3 *4))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-139)) (-5 *3 (-765)) (-5 *2 (-1258))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-765)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-466))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-685))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-692))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-690))) (-5 *1 (-329)))) ((*1 *1) (-5 *1 (-329)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 *5)))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-289 (-410 (-955 *4)))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 *4)))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1120 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 *5))))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-955 *4))))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1120 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-967 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-681 *4)) (-4 *5 (-647 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-1 *4 (-635 *4)))) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-1 *4 (-635 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1093))))) 
-(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162))) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *2))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-765) *2)) (-5 *4 (-765)) (-4 *2 (-1093)) (-5 *1 (-670 *2)))) ((*1 *2 *2) (-12 (-5 *2 (-1 *3 (-765) *3)) (-4 *3 (-1093)) (-5 *1 (-673 *3))))) 
-(((*1 *1 *1) (-5 *1 (-1061)))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1014)) (-5 *2 (-852))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-983 *2)) (-4 *2 (-1049)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1049))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-919)) (-5 *1 (-1034 *2)) (-4 *2 (-13 (-1093) (-10 -8 (-15 * ($ $ $)))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569))))) 
-(((*1 *1) (-5 *1 (-820)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-351)) (-5 *2 (-2 (|:| |cont| *5) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-208 *5 *3)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-569))))) (-4 *2 (-559)) (-5 *1 (-421 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *4) (|:| -4144 (-569))))))) (-4 *4 (-1228 (-569))) (-5 *2 (-421 *4)) (-5 *1 (-444 *4))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-635 (-410 *6))) (-5 *3 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-573 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *3 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| (-635 *3)))) (-5 *1 (-956 *5 *6 *7 *3 *8)) (-5 *4 (-765)) (-4 *8 (-13 (-366) (-10 -8 (-15 -3515 (*3 $)) (-15 -3524 (*3 $)) (-15 -3956 ($ *3)))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *4 (-635 (-1165))) (-5 *2 (-681 (-311 (-216)))) (-5 *1 (-198)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *6 (-897 *5)) (-5 *2 (-681 *6)) (-5 *1 (-683 *5 *6 *3 *4)) (-4 *3 (-376 *6)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1134 *5 (-535 (-854 *6)) (-854 *6) (-777 *5 (-854 *6))))) (-5 *1 (-620 *5 *6))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) ((*1 *2 *3 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-329))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-765)))) ((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-405)) (-5 *2 (-765))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-922 *3 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-4 *1 (-280))) ((*1 *2 *3) (-12 (-5 *3 (-421 *4)) (-4 *4 (-559)) (-5 *2 (-635 (-2 (|:| -3550 (-765)) (|:| |logand| *4)))) (-5 *1 (-317 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *1) (-12 (-5 *2 (-657 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *4 (-709 (-410 (-569)))) (-4 *3 (-844)) (-4 *4 (-173))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-215 *4 *5)) (-4 *5 (-13 (-1185) (-29 *4)))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-635 (-765))))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-635 (-765)))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-492))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-919)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-474)) (-5 *1 (-1254))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-326 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-526 *3 *4)) (-14 *4 (-569))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *9 (-642 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-635 (-569))))) (-5 *1 (-655 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-569)) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *4 (-973 *6)) (-4 *10 (-922 *6 *9))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-608 *4))) (-4 *4 (-433 *3)) (-4 *3 (-844)) (-5 *1 (-578 *3 *4)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-765))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1009 *3)) (-4 *3 (-1228 (-410 (-569)))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1093)) (-5 *2 (-1 *5 *4)) (-5 *1 (-674 *4 *5)) (-4 *4 (-1093)))) ((*1 *2 *3) (-12 (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-4 *2 (-1049)) (-5 *1 (-910 *2 *3 *4 *5)) (-4 *3 (-325 *2 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933)))) ((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-1274 *2 *3)) (-4 *3 (-840))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *6 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-681 *7)) (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *1 (-926 *4 *5 *6 *7))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 *3)) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) *3 *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1165)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-14 *6 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *2)) (-2 (|:| -1333 *5) (|:| -3190 *2)))) (-4 *2 (-231 (-2946 *3) (-765))) (-5 *1 (-464 *3 *4 *5 *2 *6 *7)) (-4 *5 (-844)) (-4 *7 (-952 *4 *2 (-854 *3)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-765))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *6 (-1049)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-2 (|:| -2713 (-3 (-569) "failed")) (|:| -4004 (-3 (-569) "failed")) (|:| |ker| (-608 *5)))) (-5 *1 (-1026 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *1) (-4 *1 (-351)))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4)))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *1 *2 *3) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-816 *4)) (-4 *4 (-844)) (-4 *1 (-1268 *4 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-216))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-690)) (-5 *1 (-300))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-1045 *3))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1275 *4 *2)) (-4 *1 (-377 *4 *2)) (-4 *4 (-844)) (-4 *2 (-173)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-816 *4)) (-4 *1 (-1268 *4 *2)) (-4 *4 (-844)) (-4 *2 (-1049)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1049)) (-5 *1 (-1274 *2 *3)) (-4 *3 (-840))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-131 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-816 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-840)) (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-615 *4 *2)) (-4 *2 (-13 (-1185) (-961) (-29 *4)))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1253 (-410 (-569)))) (-5 *1 (-1278 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1253 *5))) (-5 *4 (-569)) (-5 *2 (-1253 *5)) (-5 *1 (-1031 *5)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *4 *5 *6 *3)) (-4 *3 (-952 *6 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-583))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-121)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1254)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-875 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1254)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-1165)) (-5 *5 (-635 (-257))) (-4 *7 (-433 *6)) (-4 *6 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-1254)) (-5 *1 (-250 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1254)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1254)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-875 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1254)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1255)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1254)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-254)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *2 (-1254)) (-5 *1 (-254)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1255)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-254))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-136 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 (-635 *5))) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-635 (-1145 *4)))) (-5 *1 (-1245 *4 *5))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *9 (-642 *6)) (-5 *2 (-635 *9)) (-5 *1 (-655 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-952 *6 *8 (-854 *7))) (-4 *3 (-973 *6)) (-4 *10 (-922 *6 *9))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -3417 *7) (|:| |sol?| (-121))) (-569) *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1228 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-635 *5)) (-5 *4 (-765)) (-4 *5 (-844)) (-5 *1 (-608 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-159)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-995 *2)) (-4 *4 (-1228 *3)) (-4 *2 (-302)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1039 *3))))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-4 *3 (-844)) (-5 *2 (-1116 *3 (-608 *1))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-718) *4)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)))) ((*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-718) *4)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-709 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-919)) (-5 *1 (-783))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1039 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 *3)) (|:| |logand| (-1161 *3))))) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *3 (-844)) (-5 *2 (-1116 *3 (-608 *1))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-43 *3)) (-5 *1 (-614 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-718) *3)))) ((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-709 *3)) (-5 *1 (-653 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-718) *3)))) ((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1037)) (-5 *1 (-743))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-681 (-311 (-569)))))))) (-5 *1 (-1033))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-837 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
-(((*1 *1 *1) (-4 *1 (-1132)))) 
-(((*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-889 *6))) (-5 *5 (-1 (-886 *6 *8) *8 (-889 *6) (-886 *6 *8))) (-4 *6 (-1093)) (-4 *8 (-13 (-1049) (-610 (-889 *6)) (-1039 *7))) (-5 *2 (-886 *6 *8)) (-4 *7 (-13 (-1049) (-844))) (-5 *1 (-944 *6 *7 *8))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1 *1) (-5 *1 (-382))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39)))))) 
-(((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1093)) (-5 *1 (-729 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-729 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1037)) (-5 *1 (-743)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-391)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-635 (-635 (-946 (-216))))))) ((*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-635 (-635 (-946 (-216)))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-635 (-289 *4))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-681 *2)) (-5 *4 (-765)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *5 (-1228 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-1071 *3 *4 *5))) (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1072 *3 *4 *5))))) 
-(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *3))) (-5 *1 (-1029 *5 *6 *7 *3)) (-4 *3 (-1063 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1068 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *3))) (-5 *1 (-1134 *5 *6 *7 *3)) (-4 *3 (-1063 *5 *6 *7))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-900 *3)) (-4 *3 (-1093)) (-5 *2 (-1095 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1093)) (-5 *2 (-1095 (-635 *4))) (-5 *1 (-901 *4)) (-5 *3 (-635 *4)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1093)) (-5 *2 (-1095 (-1095 *4))) (-5 *1 (-901 *4)) (-5 *3 (-1095 *4)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-973 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-973 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *2 (-897 *5)) (-5 *1 (-683 *5 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *5 *3 *6)) (-4 *3 (-1228 *5)) (-4 *6 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280)))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-797)) (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1037))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1049)) (-5 *1 (-706 *4 *2)) (-4 *2 (-638 *4)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-831 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) ((*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-5 *3 (-635 (-854 *4))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *1 (-516 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-300))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) ((*1 *1 *2 *2) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-1161 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-1174 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-569))))) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-765))))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3139 *3) (|:| -3190 (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-765))))) (-5 *1 (-816 *3)) (-4 *3 (-844))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-1058)) (-4 *3 (-1185)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *4 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *3 (-973 *5)) (-4 *8 (-642 *5)) (-4 *9 (-922 *5 *8)) (-4 *10 (-236 *9)) (-4 *12 (-117)) (-4 *2 (-259 *11)) (-5 *1 (-261 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-537 *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-382))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1228 (-569))) (-5 *1 (-497 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
-(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *3 (-1049)) (-5 *1 (-594 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1212 *3)) (-4 *3 (-1049)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1243 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-421 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-635 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1165)) (-5 *1 (-329))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3))))) 
-(((*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-967 *2 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1258)) (-5 *1 (-465))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *5 *3)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-681 *1)) (-5 *4 (-1253 *1)) (-4 *1 (-631 *5)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -4463 (-681 *5)) (|:| |vec| (-1253 *5)))))) ((*1 *2 *3) (-12 (-5 *3 (-681 *1)) (-4 *1 (-631 *4)) (-4 *4 (-1049)) (-5 *2 (-681 *4))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-1161 *3)) (-4 *3 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1093)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1093))))) 
-(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1145 *3)) (-4 *3 (-1093)) (-4 *3 (-1199))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1037)) (-5 *3 (-1165)) (-5 *1 (-185))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| -2303 *3) (|:| |nconst| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1153 3 (-216))) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-307))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-929)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-929)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-1145 *4) (-1145 *4))) (-5 *1 (-1245 *4 *5))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1 *1) (-5 *1 (-1111)))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-926 *4 *5 *6 *7)) (-5 *3 (-569)) (-4 *7 (-952 *4 *6 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) ((*1 *1 *1) (-4 *1 (-1004))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1014)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1014)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-765)))) ((*1 *1 *1) (-4 *1 (-1014)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2) (-12 (-5 *2 (-837 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-837 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1190 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1) (-5 *1 (-490))) ((*1 *1) (-4 *1 (-1185)))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
-(((*1 *2) (-12 (-5 *2 (-837 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-837 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-560 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4)))))) 
-(((*1 *1 *1) (-4 *1 (-1058)))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1251 *3)) (-4 *3 (-1199)) (-4 *3 (-1049)) (-5 *2 (-681 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-4 *1 (-280))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-5 *1 (-619 *3 *4 *5)) (-14 *5 (-919)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *4 (-709 (-410 (-569)))) (-4 *3 (-844)) (-4 *4 (-173))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-1049)) (-4 *6 (-952 *5 *4 *2)) (-4 *2 (-844)) (-5 *1 (-953 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *6)) (-15 -3515 (*6 $)) (-15 -3524 (*6 $))))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-1165)) (-5 *1 (-1044 *4))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-635 (-410 *7))) (-4 *7 (-1228 *6)) (-5 *3 (-410 *7)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-579 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-718)) (-5 *2 (-765)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1105)) (-5 *2 (-919))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-919)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-765)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1251 *3)) (-4 *3 (-23)) (-4 *3 (-1199))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1111)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-1174 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 *5)) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-765)) (-5 *2 (-410 (-1161 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-410 *5))) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-765)) (-5 *2 (-410 (-1161 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1225 *4 *5)) (-5 *3 (-635 *5)) (-14 *4 (-1165)) (-4 *5 (-366)) (-5 *1 (-921 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-366)) (-5 *2 (-1161 *5)) (-5 *1 (-921 *4 *5)) (-14 *4 (-1165)))) ((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-765)) (-4 *6 (-366)) (-5 *2 (-410 (-955 *6))) (-5 *1 (-1050 *5 *6)) (-14 *5 (-1165))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1) (-5 *1 (-1111)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-952 *4 *3 *5))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-844)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-376 *4)) (-4 *4 (-1199)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *2 *4 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 (-1161 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-635 *6)) (|:| |den| *6))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-237 (-924 *4))) (-4 *4 (-351)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) ((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))))) ((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165))))) ((*1 *1 *1) (-12 (-5 *1 (-237 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1093)))) ((*1 *1 *1) (-12 (-14 *2 (-635 (-1165))) (-4 *3 (-173)) (-4 *5 (-231 (-2946 *2) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *4) (|:| -3190 *5)) (-2 (|:| -1333 *4) (|:| -3190 *5)))) (-5 *1 (-464 *2 *3 *4 *5 *6 *7)) (-4 *4 (-844)) (-4 *7 (-952 *3 *5 (-854 *2))))) ((*1 *1 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-844)))) ((*1 *1 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *1 *1) (-12 (-4 *1 (-700 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-727 *2 *3)) (-4 *3 (-844)) (-4 *2 (-1049)) (-4 *3 (-718)))) ((*1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *5 (-1039 (-53))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1161 (-53)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-231 (-2946 *4) (-765))) (-4 *6 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-952 *3 *5 (-854 *4))) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) ((*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-886 *4 *5)) (-5 *3 (-886 *4 *6)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-659 *5)) (-5 *1 (-882 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-919)) (-4 *5 (-559)) (-5 *2 (-681 *5)) (-5 *1 (-958 *5 *3)) (-4 *3 (-647 *5))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-844) (-21)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)) (-4 *9 (-236 *4)) (-4 *10 (-537 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-642 *5)) (-5 *1 (-468 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-924 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-776 (-859 *5))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-923 *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-5 *2 (-776 *5)) (-5 *1 (-870 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *2)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *9 (-922 *5 *2)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)))) ((*1 *2 *3 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *2 (-642 *6)) (-5 *1 (-873 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *9 (-973 *6)) (-4 *4 (-922 *6 *2))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1253 (-681 *4))))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 (-681 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-4 *5 (-366)) (-5 *2 (-1253 (-681 (-410 (-955 *5))))) (-5 *1 (-1079 *5)) (-5 *4 (-681 (-410 (-955 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-4 *5 (-366)) (-5 *2 (-1253 (-681 (-955 *5)))) (-5 *1 (-1079 *5)) (-5 *4 (-681 (-955 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-681 *4))) (-4 *4 (-366)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-1079 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-919)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-919)))) ((*1 *2) (-12 (-4 *1 (-373 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-919)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-5 *2 (-765)) (-5 *1 (-660 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-765)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-765)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-765))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-862)) (-5 *1 (-857 *3)) (-14 *3 *2)))) 
-(((*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-454)) (-5 *2 (-121)) (-5 *1 (-363 *4 *5)) (-14 *5 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-777 *4 (-854 *5)))) (-4 *4 (-454)) (-14 *5 (-635 (-1165))) (-5 *2 (-121)) (-5 *1 (-620 *4 *5))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-700 *3)) (-5 *1 (-824 *2 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-325 *4 *6)) (-4 *3 (-117))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093))))) 
-(((*1 *1) (-5 *1 (-1254)))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1161 (-955 *3))))) ((*1 *2) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *3 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *2 (-830 (-216))) (-5 *1 (-218)) (-5 *4 (-216))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) ((*1 *1) (-4 *1 (-371))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *1) (-4 *1 (-551))) ((*1 *1 *1) (-5 *1 (-569))) ((*1 *1 *1) (-5 *1 (-765))) ((*1 *2 *1) (-12 (-5 *2 (-902 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-902 *4)) (-5 *1 (-901 *4)) (-4 *4 (-1093)))) ((*1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-551)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -2859 (-123)) (|:| |arg| (-635 (-889 *3))))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-889 *4))) (-5 *1 (-889 *4)) (-4 *4 (-1093))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1254)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1255))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-1 *4 (-569))) (-4 *4 (-1049)) (-5 *1 (-1149 *4))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1029 *5 *6 *7 *8))))) (-5 *1 (-1029 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1134 *5 *6 *7 *8))))) (-5 *1 (-1134 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
-(((*1 *1 *1) (-5 *1 (-1061)))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-852))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-1253 (-3 (-474) "undefined"))) (-5 *1 (-1254))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-128 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-602 *4 *3)) (-4 *4 (-1093)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *1 (-1168))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *3 (-167 *6)) (-4 (-955 *6) (-883 *5)) (-4 *6 (-13 (-883 *5) (-173))) (-5 *1 (-177 *5 *6 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-886 *4 *1)) (-5 *3 (-889 *4)) (-4 *1 (-883 *4)) (-4 *4 (-1093)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *6)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-13 (-1093) (-1039 *3))) (-4 *3 (-883 *5)) (-5 *1 (-934 *5 *3 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-13 (-433 *6) (-610 *4) (-883 *5) (-1039 (-608 $)))) (-5 *4 (-889 *5)) (-4 *6 (-13 (-559) (-844) (-883 *5))) (-5 *1 (-935 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 (-569) *3)) (-5 *4 (-889 (-569))) (-4 *3 (-551)) (-5 *1 (-936 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *6)) (-5 *3 (-608 *6)) (-4 *5 (-1093)) (-4 *6 (-13 (-844) (-1039 (-608 $)) (-610 *4) (-883 *5))) (-5 *4 (-889 *5)) (-5 *1 (-937 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-882 *5 *6 *3)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-883 *5)) (-4 *3 (-659 *6)) (-5 *1 (-938 *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-886 *6 *3) *8 (-889 *6) (-886 *6 *3))) (-4 *8 (-844)) (-5 *2 (-886 *6 *3)) (-5 *4 (-889 *6)) (-4 *6 (-1093)) (-4 *3 (-13 (-952 *9 *7 *8) (-610 *4))) (-4 *7 (-790)) (-4 *9 (-13 (-1049) (-844) (-883 *6))) (-5 *1 (-939 *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-13 (-952 *8 *6 *7) (-610 *4))) (-5 *4 (-889 *5)) (-4 *7 (-883 *5)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-13 (-1049) (-844) (-883 *5))) (-5 *1 (-939 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-995 *6)) (-4 *6 (-13 (-559) (-883 *5) (-610 *4))) (-5 *4 (-889 *5)) (-5 *1 (-942 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 (-1165))) (-5 *3 (-1165)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-5 *1 (-943 *5)))) ((*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-635 (-889 *7))) (-5 *5 (-1 *9 (-635 *9))) (-5 *6 (-1 (-886 *7 *9) *9 (-889 *7) (-886 *7 *9))) (-4 *7 (-1093)) (-4 *9 (-13 (-1049) (-610 (-889 *7)) (-1039 *8))) (-5 *2 (-886 *7 *9)) (-5 *3 (-635 *9)) (-4 *8 (-13 (-1049) (-844))) (-5 *1 (-944 *7 *8 *9))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1185) (-433 *6) (-10 -8 (-15 -3956 ($ *7))))) (-4 *7 (-842)) (-4 *8 (-13 (-1230 *3 *7) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1147)) (-4 *9 (-986 *8)) (-14 *10 (-1165))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1253 *4)) (|:| |den| *4)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-121)) (-5 *1 (-446 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-170 (-216)))) (-5 *1 (-146)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1253 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1059 (-1025 *4) (-1161 (-1025 *4)))) (-5 *3 (-852)) (-5 *1 (-1025 *4)) (-4 *4 (-13 (-842) (-366) (-1023)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3)))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-820)) (-5 *1 (-819))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-542))) (-5 *1 (-542))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-421 *3)) (-4 *3 (-559)) (-5 *1 (-422 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-58))))) 
-(((*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1165)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1185) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-844) (-151) (-1039 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-2 (|:| |ans| *4) (|:| -3417 *4) (|:| |sol?| (-121)))) (-5 *1 (-1015 *8 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-257)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-302)) (-5 *2 (-635 *5))))) 
-(((*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *1)) (-5 *4 (-1165)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295))))) 
-(((*1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-542))) ((*1 *1) (-4 *1 (-714))) ((*1 *1) (-4 *1 (-718))) ((*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-1258))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-569)) (-5 *1 (-197))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1037)) (-5 *1 (-740))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *1 (-224 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-765)))) ((*1 *1 *1) (-4 *1 (-226))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-263 *3)) (-4 *3 (-844)))) ((*1 *1 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *2 *1 *3) (-12 (-4 *2 (-366)) (-4 *2 (-897 *3)) (-5 *1 (-586 *2)) (-5 *3 (-1165)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-586 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-765))) (-4 *1 (-897 *4)) (-4 *4 (-1093)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-897 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-897 *3)) (-4 *3 (-1093)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-897 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *1 (-440))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1161 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -3064 (-569)))) (-5 *1 (-1045 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-818)) (-5 *4 (-57)) (-5 *2 (-1258)) (-5 *1 (-828))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-604 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-5 *1 (-624)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) *4)) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) *4)) (-5 *4 (-765)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-5 *1 (-563 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-973 *6)) (-4 *3 (-236 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559))))) 
-(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-608 *1)) (-4 *1 (-297))))) 
-(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-739))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-326 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 *2)))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *2 (-1037)) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1165))))) ((*1 *2 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) ((*1 *2 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *4) (|:| -3190 *5)) (-2 (|:| -1333 *4) (|:| -3190 *5)))) (-4 *2 (-173)) (-5 *1 (-464 *3 *2 *4 *5 *6 *7)) (-4 *4 (-844)) (-4 *7 (-952 *2 *5 (-854 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *3 (-844)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-700 *2)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-727 *2 *3)) (-4 *3 (-844)) (-4 *3 (-718)))) ((*1 *2 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *3 (-789)) (-4 *4 (-844)) (-4 *2 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844))))) 
-(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-739))))) 
-(((*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1186 *3))) (-5 *1 (-1186 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| A (-681 *5)) (|:| |eqs| (-635 (-2 (|:| C (-681 *5)) (|:| |g| (-1253 *5)) (|:| -4399 *6) (|:| |rh| *5)))))) (-5 *1 (-810 *5 *6)) (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *6 (-647 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-647 *5)) (-5 *2 (-2 (|:| -4463 (-681 *6)) (|:| |vec| (-1253 *5)))) (-5 *1 (-810 *5 *6)) (-5 *3 (-681 *6)) (-5 *4 (-1253 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *6 (-231 (-2946 *3) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-5 *2 (-705 *5 *6 *7)) (-5 *1 (-464 *3 *4 *5 *6 *7 *8)) (-4 *5 (-844)) (-4 *8 (-952 *4 *6 (-854 *3))))) ((*1 *2 *1) (-12 (-4 *2 (-718)) (-4 *2 (-844)) (-5 *1 (-727 *3 *2)) (-4 *3 (-1049)))) ((*1 *1 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *4 (-844))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-257))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-382)) (-5 *1 (-1061))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-5 *1 (-852))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1146)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1165))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1090 *3)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| |outval| *4) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 *4)))))) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-681 *4)) (-4 *4 (-366)) (-5 *2 (-1161 *4)) (-5 *1 (-536 *4 *5 *6)) (-4 *5 (-366)) (-4 *6 (-13 (-366) (-842)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-844)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-735 *3 *4)) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559))))) ((*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-569))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-995 *3)) (-5 *1 (-144 *3 *4 *2)) (-4 *2 (-376 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-4 *2 (-376 *4)) (-5 *1 (-513 *4 *5 *2 *3)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-681 *5)) (-4 *5 (-995 *4)) (-4 *4 (-559)) (-5 *2 (-681 *4)) (-5 *1 (-684 *4 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-995 *3)) (-5 *1 (-1221 *3 *4 *2)) (-4 *2 (-1228 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-844) (-21)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *4 *2)) (-4 *4 (-1093)) (-4 *2 (-138))))) 
-(((*1 *1 *1) (-4 *1 (-239))) ((*1 *1 *1) (-12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (-1929 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1199))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1199))))) ((*1 *1 *1) (-4 *1 (-479))) ((*1 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *8))))) (-5 *1 (-926 *5 *6 *7 *8)) (-5 *4 (-765))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-405)) (-5 *2 (-765)))) ((*1 *1 *1) (-4 *1 (-405)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1039 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *2 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1219 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *8))) (-4 *8 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-4 *4 (-1049)) (-4 *1 (-1235 *4 *3)) (-4 *3 (-1212 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-58))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *4))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
-(((*1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-635 *5)) (-5 *1 (-887 *4 *5)) (-4 *5 (-1199))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-13 (-454) (-844) (-1039 *4) (-631 *4))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 *5) (-631 *5))) (-5 *5 (-569)) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-569))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *4 (-1049)) (-4 *1 (-1214 *4 *3)) (-4 *3 (-1243 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-673 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-67 *3)) (-14 *3 (-1165)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-74 *3)) (-14 *3 (-1165)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-77 *3)) (-14 *3 (-1165)))) ((*1 *2 *1) (-12 (-4 *1 (-398)) (-5 *2 (-1258)))) ((*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1258)) (-5 *1 (-400)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1 (-1161 *3) (-1161 *3))) (-4 *3 (-13 (-27) (-433 *6))) (-4 *6 (-13 (-844) (-559))) (-5 *2 (-586 *3)) (-5 *1 (-553 *6 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |ans| (-410 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1017 *4 *5)) (-5 *3 (-410 *5))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-919)) (-4 *1 (-407)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-407)))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *2 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-765)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-765))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-765))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |%expansion| (-308 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-423 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-14 *6 (-1165)) (-14 *7 *3)))) 
-(((*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569)))))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-745))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-394))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-4 *5 (-366)) (-5 *2 (-410 *6)) (-5 *1 (-863 *5 *4 *6)) (-4 *4 (-1243 *5)) (-4 *6 (-1228 *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-5 *4 (-1244 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1165)) (-14 *7 *5) (-5 *2 (-410 (-1225 *6 *5))) (-5 *1 (-864 *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-765)) (-5 *4 (-1244 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1165)) (-14 *7 *5) (-5 *2 (-410 (-1225 *6 *5))) (-5 *1 (-864 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) ((*1 *1 *1) (-4 *1 (-1058)))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-765) (-765) *7)) (-5 *4 (-1253 *7)) (-5 *5 (-765)) (-5 *6 (-1253 (-1161 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *7))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-329))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-170 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-1228 (-410 (-569)))) (-5 *2 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))) (-5 *1 (-911 *3 *4)) (-4 *4 (-1228 (-410 *3))))) ((*1 *2 *3) (-12 (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1228 (-410 *4)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-635 *1)) (-4 *1 (-433 *4)) (-4 *4 (-844)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) ((*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-844)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-109))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 *10)) (-5 *1 (-617 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *10 (-1102 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-620 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1134 *5 (-535 (-854 *6)) (-854 *6) (-777 *5 (-854 *6))))) (-5 *1 (-620 *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1046 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1193 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $)))))))))) 
-(((*1 *1 *1) (-5 *1 (-1061)))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1258)) (-5 *1 (-394)))) ((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-394))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-635 (-1165))) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *7)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *2 (-635 *5)) (-5 *1 (-319 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-338 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-390)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-844)) (-5 *2 (-635 (-1165))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *5)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) ((*1 *2 *1) (-12 (-4 *1 (-976 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *5 (-844)) (-5 *2 (-635 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-1165))) (-5 *1 (-1044 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *2 (-635 *6)) (-5 *1 (-910 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-440))))) (-5 *1 (-1169))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1228 (-410 (-569)))) (-5 *1 (-911 *3 *2)) (-4 *2 (-1228 (-410 *3)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1237 *3 *4 *5)) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) ((*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-705 *3 *2 *4)) (-4 *3 (-844)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *3) (|:| -3190 *2)) (-2 (|:| -1333 *3) (|:| -3190 *2))))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-768)) (-5 *1 (-123))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1161 (-410 (-1161 *2)))) (-5 *4 (-608 *2)) (-4 *2 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *5 *2 *6)) (-4 *6 (-1093)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161 *4)) (-4 *4 (-1049)) (-4 *1 (-952 *4 *5 *3)) (-4 *5 (-790)) (-4 *3 (-844)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1161 *2))) (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-4 *2 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))) (-5 *1 (-953 *5 *4 *6 *7 *2)) (-4 *7 (-952 *6 *5 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1161 (-410 (-955 *5))))) (-5 *4 (-1165)) (-5 *2 (-410 (-955 *5))) (-5 *1 (-1044 *5)) (-4 *5 (-559))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1097)) (-5 *2 (-1258)) (-5 *1 (-102))))) 
-(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
-(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1) (-5 *1 (-1111)))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049))))) 
-(((*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-919))) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-919)) (-4 *2 (-366)) (-14 *5 (-996 *4 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-705 *5 *6 *7)) (-4 *5 (-844)) (-4 *6 (-231 (-2946 *4) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-14 *4 (-635 (-1165))) (-4 *2 (-173)) (-5 *1 (-464 *4 *2 *5 *6 *7 *8)) (-4 *8 (-952 *2 *6 (-854 *4))))) ((*1 *1 *2 *3) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-844)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1228 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-700 *2)) (-4 *2 (-1049)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-727 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-718)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-765))) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *2)) (-4 *4 (-1049)) (-4 *2 (-844)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-846 *2)) (-4 *2 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-765))) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-952 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *2 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 *5)) (-4 *1 (-976 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-789)) (-4 *6 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-976 *4 *3 *2)) (-4 *4 (-1049)) (-4 *3 (-789)) (-4 *2 (-844))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef1| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef1| *1))) (-4 *1 (-1063 *3 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-555))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *4 (-765)) (-854 *3) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1165))) (-14 *4 (-765)) (-5 *1 (-516 *3 *4))))) 
-(((*1 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 *4)))) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) ((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-1096 *3 *4 *5 *6 *7))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1161 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 (-1253 *4))) (-4 *4 (-1049)) (-5 *2 (-681 *4)) (-5 *1 (-1031 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-647 *3)) (-4 *3 (-1049)) (-4 *3 (-366)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-650 *5 *2)) (-4 *2 (-647 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) ((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-680 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049))))) 
-(((*1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-844) (-610 (-1165)))) (-4 *5 (-790)) (-5 *1 (-926 *3 *4 *5 *2)) (-4 *2 (-952 *3 *5 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1199)) (-4 *1 (-231 *3 *4))))) 
-(((*1 *1 *2 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *2 (-173)) (-4 *4 (-231 (-2946 *5) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *3) (|:| -3190 *4)) (-2 (|:| -1333 *3) (|:| -3190 *4)))) (-5 *1 (-464 *5 *2 *3 *4 *6 *7)) (-4 *3 (-844)) (-4 *7 (-952 *2 *4 (-854 *5)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)) (-4 *3 (-173))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *1 (-800))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-790)) (-4 *6 (-952 *4 *3 *5)) (-4 *4 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *4 *3 *5 *6))))) 
-(((*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3)))))) 
-(((*1 *1 *1) (-4 *1 (-1058))) ((*1 *1 *1 *2 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1049)) (-5 *2 (-1253 *4)) (-5 *1 (-1166 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-1253 *3)) (-5 *1 (-1166 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-440))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-106 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *2 (-421 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-952 (-53) *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *7 (-952 (-53) *6 *5)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-168 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-856)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1161 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-861)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1161 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-765))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-421 (-170 (-569)))) (-5 *1 (-448)) (-5 *3 (-170 (-569))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *5 (-790)) (-4 *7 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-459 *4 *5 *6 *7 *3)) (-4 *6 (-559)) (-4 *3 (-952 *7 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-461 *4)) (-5 *3 (-1161 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-4 *7 (-13 (-366) (-151) (-716 *5 *6))) (-5 *2 (-421 *3)) (-5 *1 (-504 *5 *6 *7 *3)) (-4 *3 (-1228 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1161 *7)) (-1161 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *2 (-421 *3)) (-5 *1 (-546 *5 *6 *7 *3)) (-4 *3 (-952 *7 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1161 *7)) (-1161 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *8 (-952 *7 *6 *5)) (-5 *2 (-421 (-1161 *8))) (-5 *1 (-546 *5 *6 *7 *8)) (-5 *3 (-1161 *8)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-644 (-410 *6)))) (-5 *1 (-648 *5 *6)) (-5 *3 (-644 (-410 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-816 *4)) (-4 *4 (-844)) (-5 *2 (-635 (-664 *4))) (-5 *1 (-664 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 *3)) (-5 *1 (-687 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-689 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-351)) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-689 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-722 *4 *5 *6 *3)) (-4 *3 (-952 (-955 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-952 (-410 (-955 *6)) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-725 *4 *5 *6 *3)) (-4 *3 (-952 (-410 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-733 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1009 *3)) (-4 *3 (-1228 (-410 (-569)))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1042 *3)) (-4 *3 (-1228 (-410 (-955 (-569))))))) ((*1 *2 *3) (-12 (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-13 (-366) (-151) (-716 (-410 (-569)) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1074 *4 *5 *3)) (-4 *3 (-1228 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-1228 (-410 (-955 (-569))))) (-4 *5 (-13 (-366) (-151) (-716 (-410 (-955 (-569))) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1076 *4 *5 *3)) (-4 *3 (-1228 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-454)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 (-410 *7)))) (-5 *1 (-1160 *4 *5 *6 *7)) (-5 *3 (-1161 (-410 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1208)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-765)) (-5 *1 (-926 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-4 *4 (-366)) (-5 *2 (-635 (-1145 *4))) (-5 *1 (-281 *4 *5)) (-5 *3 (-1145 *4)) (-4 *5 (-1243 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-302)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3483 (-765)) (|:| -3028 (-765)))) (-5 *1 (-765)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-816 *3) "failed")) (|:| |rm| (-3 (-816 *3) "failed")))) (-5 *1 (-816 *3)) (-4 *3 (-844)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1210 *3)) (-4 *3 (-1049)) (-5 *1 (-1209 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1078 *3)) (-4 *3 (-139))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-433 *4)) (-4 *4 (-844)) (-4 *4 (-559)) (-5 *2 (-410 (-1161 *1))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-1161 (-410 (-1161 *3)))) (-5 *1 (-565 *6 *3 *7)) (-5 *5 (-1161 *3)) (-4 *7 (-1093)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-1161 *4)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1249 *5)) (-14 *5 (-1165)) (-4 *6 (-1049)) (-5 *2 (-1225 *5 (-955 *6))) (-5 *1 (-950 *5 *6)) (-5 *3 (-955 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-1161 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-1161 *1)) (-4 *1 (-952 *4 *5 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-410 (-1161 *3))) (-5 *1 (-953 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))) (-4 *7 (-952 *6 *5 *4)) (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-5 *1 (-953 *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-410 (-1161 (-410 (-955 *5))))) (-5 *1 (-1044 *5)) (-5 *3 (-410 (-955 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-818)) (-5 *2 (-57)) (-5 *1 (-828))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-753))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-586 *3) *3 (-1165))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1165))) (-4 *3 (-280)) (-4 *3 (-621)) (-4 *3 (-1039 *4)) (-4 *3 (-433 *7)) (-5 *4 (-1165)) (-4 *7 (-610 (-889 (-569)))) (-4 *7 (-454)) (-4 *7 (-883 (-569))) (-4 *7 (-844)) (-5 *2 (-586 *3)) (-5 *1 (-578 *7 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-635 (-955 *4))))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-635 (-955 *3))))) ((*1 *2) (-12 (-5 *2 (-635 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) ((*1 *2 *3) (-12 (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *2 (-635 (-955 *4))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 (-1165))) (-14 *7 (-1253 (-681 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-121)) (-5 *1 (-1278 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-155 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3190 (-765)) (|:| -1736 *4) (|:| |num| *4)))) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-121)) (-5 *1 (-440)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *3 (-635 (-1165))) (-5 *4 (-121)) (-5 *1 (-440)))) ((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-599 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-635 *3)))) (-4 *3 (-1093)) (-5 *1 (-667 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-705 *2 *3 *4)) (-4 *2 (-844)) (-4 *3 (-1093)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *3)) (-2 (|:| -1333 *2) (|:| -3190 *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 *4)))) (-4 *4 (-1093)) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-635 (-1128 *3 *5))) (-5 *1 (-1128 *3 *5)) (-4 *3 (-13 (-1093) (-39))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |val| *4) (|:| -4320 *5)))) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-635 (-1128 *4 *5))) (-5 *1 (-1128 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -4320 *4))) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1128 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) ((*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-13 (-1093) (-39))) (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1128 *2 *3))) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))) (-5 *1 (-1129 *2 *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1129 *2 *3))) (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) ((*1 *1 *2) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-765)) (-4 *6 (-1093)) (-4 *7 (-897 *6)) (-5 *2 (-681 *7)) (-5 *1 (-683 *6 *7 *3 *4)) (-4 *3 (-376 *7)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4571))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1710 *3) (|:| -3190 (-765)))) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-782 *3)) (-4 *3 (-610 (-382))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-170 (-382))) (-5 *1 (-782 *3)) (-4 *3 (-610 (-382))))) ((*1 *2 *3) (-12 (-5 *3 (-170 *4)) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-170 *5)) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-955 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 *5)))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572))))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39)))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1186 *2)) (-4 *2 (-1093))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-569))) (-4 *3 (-1049)) (-5 *1 (-101 *3)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-101 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-101 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1004)) (-4 *2 (-1049))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1093)) (-4 *4 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5)) (-5 *1 (-675 *5 *4 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1115 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-366)) (-5 *1 (-579 *4 *2)) (-4 *2 (-1228 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-173))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3339 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *7 (-1228 *5)) (-4 *4 (-716 *5 *7)) (-5 *2 (-2 (|:| -4463 (-681 *6)) (|:| |vec| (-1253 *5)))) (-5 *1 (-808 *5 *6 *7 *4 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1212 *3)) (-5 *2 (-410 (-569)))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-764 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-764 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -4079 (-635 *6))) *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *6) "failed")) (|:| -4079 (-635 (-1253 *6))))) (-5 *1 (-810 *6 *7)) (-5 *4 (-1253 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-302)) (-4 *3 (-995 *2)) (-4 *4 (-1228 *3)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1039 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1258)) (-5 *1 (-235))))) 
-(((*1 *1) (-5 *1 (-143)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-410 (-955 *4))) (-5 *1 (-926 *4 *5 *6 *3)) (-4 *3 (-952 *4 *6 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-681 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-681 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1102 *5 *6 *7 *8)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-591 *5 *6 *7 *8 *3))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-569)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1147)) (-5 *1 (-57))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-564))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-1256)))) ((*1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-1256))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-1128 *3 *2)) (-4 *3 (-13 (-1093) (-39))) (-4 *2 (-13 (-1093) (-39)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *2 (-559)) (-5 *1 (-972 *2 *4)) (-4 *4 (-1228 *2))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))))) ((*1 *1 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) ((*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185)))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-5 *2 (-1161 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-1049)) (-4 *2 (-1228 *4)) (-5 *1 (-446 *4 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-410 (-1161 (-311 *5)))) (-5 *3 (-1253 (-311 *5))) (-5 *4 (-569)) (-4 *5 (-13 (-559) (-844))) (-5 *1 (-1121 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-690))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-919))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef1| (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1063 *3 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-1049) (-844))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1165)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-644 *4)) (-4 *4 (-341 *5 *6 *7)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-803 *5 *6 *7 *4))))) 
-(((*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-635 *3)) (-5 *5 (-919)) (-4 *3 (-1228 *4)) (-4 *4 (-302)) (-5 *1 (-463 *4 *3))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-1027 *3 *2)) (-4 *2 (-647 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| -4399 *3) (|:| -2859 (-635 *5)))) (-5 *1 (-1027 *5 *3)) (-5 *4 (-635 *5)) (-4 *3 (-647 *5))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1093)) (-4 *5 (-1199)) (-5 *1 (-887 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-5 *3 (-635 (-1 (-121) *5))) (-4 *4 (-1093)) (-4 *5 (-1199)) (-5 *1 (-887 *4 *5)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-889 *5)) (-5 *3 (-635 (-1165))) (-5 *4 (-1 (-121) (-635 *6))) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *1 (-887 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1199)) (-4 *4 (-844)) (-5 *1 (-940 *4 *2 *5)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1 (-121) *5))) (-4 *5 (-1199)) (-4 *4 (-844)) (-5 *1 (-940 *4 *2 *5)) (-4 *2 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1199)) (-5 *2 (-311 (-569))) (-5 *1 (-941 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-635 (-1 (-121) *5))) (-4 *5 (-1199)) (-5 *2 (-311 (-569))) (-5 *1 (-941 *5)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-1 (-121) (-635 *6))) (-4 *6 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *6))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1095 (-765))) (-5 *6 (-765)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-121)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) ((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4320 *7)))) (-4 *6 (-1063 *3 *4 *5)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4320 *7)))) (-4 *6 (-1063 *3 *4 *5)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1100 *3 *4 *5 *6 *7))))) 
-(((*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef2| *1))) (-4 *1 (-1063 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-53)))) (-5 *1 (-53)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-608 (-53))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-53))) (-5 *3 (-635 (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-53))) (-5 *3 (-608 (-53))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-995 *3)) (-5 *1 (-416 *3 *2 *4 *5)) (-4 *3 (-302)) (-4 *5 (-13 (-412 *2 *4) (-1039 *2))))) ((*1 *2 *1) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-995 *3)) (-5 *1 (-417 *3 *2 *4 *5 *6)) (-4 *3 (-302)) (-4 *5 (-412 *2 *4)) (-14 *6 (-1253 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *2 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1228 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-505)))) (-5 *1 (-505)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-608 (-505))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-505))) (-5 *3 (-635 (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-505))) (-5 *3 (-608 (-505))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-919)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-716 *4 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-769 *4 *2 *5 *3)) (-4 *3 (-1228 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) ((*1 *1 *1) (-4 *1 (-1058)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1028 (-837 (-569)))) (-5 *1 (-594 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-635 *7) (-635 *7))) (-5 *2 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3417 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-635 (-635 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 (-946 *4))) (-5 *1 (-1196)) (-5 *3 (-946 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) ((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4572)) (-4 *1 (-376 *3)) (-4 *3 (-1199))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1039 (-569))) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-36 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 *4)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-1049)) (-4 *1 (-297)))) ((*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1161 *3)))) ((*1 *2) (-12 (-4 *1 (-716 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) ((*1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) ((*1 *2 *1) (-12 (-4 *1 (-1065 *3 *2)) (-4 *3 (-13 (-842) (-366))) (-4 *2 (-1228 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-681 *2)) (-4 *2 (-173)) (-5 *1 (-150 *2)))) ((*1 *2 *3) (-12 (-4 *4 (-173)) (-4 *2 (-1228 *4)) (-5 *1 (-176 *4 *2 *3)) (-4 *3 (-716 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-955 *5)))) (-5 *4 (-1165)) (-5 *2 (-955 *5)) (-5 *1 (-287 *5)) (-4 *5 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 *4)))) (-5 *2 (-955 *4)) (-5 *1 (-287 *4)) (-4 *4 (-454)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-955 (-170 (-410 (-569))))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *4 (-1165)) (-5 *2 (-955 (-170 (-410 (-569))))) (-5 *1 (-758 *5)) (-4 *5 (-13 (-366) (-842))))) ((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-955 (-410 (-569)))) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *4 (-1165)) (-5 *2 (-955 (-410 (-569)))) (-5 *1 (-775 *5)) (-4 *5 (-13 (-366) (-842)))))) 
-(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1069 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1101 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *6 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
-(((*1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-4 *1 (-1132)))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *2) (-12 (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 *4)) (-5 *1 (-1129 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-887 *4 *5)) (-4 *5 (-1199))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-1228 *3)) (-4 *3 (-302)) (-5 *2 (-121)) (-5 *1 (-458 *3 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $)))))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-57))))) 
-(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-901 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-1094 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)) (-5 *1 (-672 *5 *6 *2))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1277 *4 *5 *6)) (-5 *3 (-635 (-955 *4))) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-4 *5 (-366)) (-5 *2 (-635 (-1194 *5))) (-5 *1 (-1261 *5)) (-5 *4 (-1194 *5))))) 
-(((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 *4)) (-5 *1 (-1107 *4 *5))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1222 *4 *2)) (-4 *2 (-1228 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-1253 (-311 (-382)))) (-5 *1 (-300))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-410 (-955 (-569))))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-410 (-955 (-382))))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-955 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-955 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-311 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-311 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-569)))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-382)))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-410 (-955 (-569))))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-410 (-955 (-382))))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-955 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-955 (-382)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-311 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-311 (-382)))) (-4 *1 (-443)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1228 *5)) (-5 *2 (-1161 (-1161 *4))) (-5 *1 (-771 *4 *5 *6 *3 *7)) (-4 *3 (-1228 *6)) (-14 *7 (-919)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1039 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (|partial| -1929 (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-3182 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-551))) (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-995 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))))) ((*1 *1 *2) (|partial| -1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *7)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 (-410 *8)) "failed")) (|:| -4079 (-635 (-1253 (-410 *8)))))) (-5 *1 (-662 *5 *6 *7 *8))))) 
-(((*1 *1 *2 *3 *1) (-12 (-14 *4 (-635 (-1165))) (-4 *2 (-173)) (-4 *3 (-231 (-2946 *4) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *3)) (-2 (|:| -1333 *5) (|:| -3190 *3)))) (-5 *1 (-464 *4 *2 *5 *3 *6 *7)) (-4 *5 (-844)) (-4 *7 (-952 *2 *3 (-854 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-569)))) (-4 *4 (-13 (-1228 *3) (-559) (-10 -8 (-15 -3964 ($ $ $))))) (-4 *3 (-559)) (-5 *1 (-1231 *3 *4))))) 
-(((*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-3 *3 (-635 *1))) (-4 *1 (-1068 *4 *5 *6 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-259 *13))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-816 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-840)) (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) ((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) ((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-4 *1 (-865 *2))) ((*1 *1 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *4 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1165))) (-4 *6 (-366)) (-5 *2 (-635 (-289 (-955 *6)))) (-5 *1 (-544 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-13 (-366) (-842)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302))))) 
-(((*1 *1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-580 *4 *2)) (-4 *2 (-13 (-1185) (-961) (-1127) (-29 *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1133 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1002 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1135 *4))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -4 *1 (-714)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-4 *5 (-302)) (-4 *5 (-1049)) (-5 *2 (-1253 (-1253 *5))) (-5 *1 (-1031 *5)) (-5 *4 (-1253 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
+(((*1 *2) (|partial| -12 (-4 *3 (-561)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -1899 (-637 *1)))) (-4 *1 (-371 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-457 *3 *4 *5 *6)) (|:| -1899 (-637 (-457 *3 *4 *5 *6))))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-768)) (-4 *5 (-352)) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-2 (|:| -1899 (-684 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-684 *6))))) (-5 *1 (-510 *5 *6 *7)) (-5 *3 (-2 (|:| -1899 (-684 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-684 *6)))) (-4 *7 (-1233 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 *14)) (-4 *14 (-259 *13)) (-4 *13 (-539 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) *3)) (-4 *9 (-977 *5)) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-4 *12 (-236 *11)) (-5 *3 (-768)) (-5 *2 (-571)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)) (-5 *2 (-1165 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)) (-5 *2 (-1165 *3))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1169)) (-4 *5 (-13 (-561) (-1043 (-571)) (-151))) (-5 *2 (-2 (|:| -3017 (-412 (-958 *5))) (|:| |coeff| (-412 (-958 *5))))) (-5 *1 (-577 *5)) (-5 *3 (-412 (-958 *5)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-4 *1 (-903 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-558 *3)) (-4 *3 (-13 (-409) (-1189))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-845)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1069 *4 *3)) (-4 *4 (-13 (-845) (-367))) (-4 *3 (-1233 *4)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165 *2)) (-4 *2 (-955 (-412 (-958 *6)) *5 *4)) (-5 *1 (-727 *5 *4 *6 *2)) (-4 *5 (-793)) (-4 *4 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))) (-4 *6 (-561))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *2 (-925 *5 *8)) (-5 *1 (-657 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-955 *5 *7 (-857 *6))) (-4 *3 (-977 *5)) (-4 *8 (-644 *5))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-130))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-311 (-571))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1091 (-216))) (-5 *6 (-571)) (-5 *2 (-1199 (-931))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-311 (-571))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1091 (-216))) (-5 *6 (-571)) (-5 *7 (-1151)) (-5 *2 (-1199 (-931))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-311 (-571))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1091 (-216))) (-5 *6 (-216)) (-5 *7 (-571)) (-5 *2 (-1199 (-931))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-311 (-571))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1091 (-216))) (-5 *6 (-216)) (-5 *7 (-571)) (-5 *8 (-1151)) (-5 *2 (-1199 (-931))) (-5 *1 (-314))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-412 (-571))) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-476)))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1259)))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1260))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1258 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4)))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 *4)) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *1 *1) (-4 *1 (-863)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847))))) 
+(((*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-684 *4)) (-5 *3 (-768)) (-4 *4 (-1053)) (-5 *1 (-685 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (-5 *1 (-264))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-637 (-1258 *4))) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-4 *3 (-561)) (-5 *2 (-637 (-1258 *3)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-1157 3 *3)))) ((*1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1128 (-216))) (-5 *1 (-1260)))) ((*1 *2 *1) (-12 (-5 *2 (-1128 (-216))) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-637 (-1165 *13))) (-5 *3 (-1165 *13)) (-5 *4 (-637 *12)) (-5 *5 (-637 *10)) (-5 *6 (-637 *13)) (-5 *7 (-637 (-637 (-2 (|:| -1385 (-768)) (|:| |pcoef| *13))))) (-5 *8 (-637 (-768))) (-5 *9 (-1258 (-637 (-1165 *10)))) (-4 *12 (-847)) (-4 *10 (-302)) (-4 *13 (-955 *10 *11 *12)) (-4 *11 (-793)) (-5 *1 (-702 *11 *12 *10 *13))))) 
+(((*1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1172))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1099 (-1169))) (-5 *1 (-58)) (-5 *3 (-1169))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (|has| *1 (-6 -4601)) (-4 *1 (-1245 *3)) (-4 *3 (-1203))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165 (-958 *6))) (-4 *6 (-561)) (-4 *2 (-955 (-412 (-958 *6)) *5 *4)) (-5 *1 (-727 *5 *4 *6 *2)) (-4 *5 (-793)) (-4 *4 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)))))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1169)) (-5 *2 (-1173)) (-5 *1 (-1172))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1107))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-637 *1)) (-4 *1 (-921))))) 
+(((*1 *1 *1) (-5 *1 (-544)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-564 *3)) (-4 *3 (-553))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-961)) (-5 *2 (-1091 (-216))))) ((*1 *2 *1) (-12 (-4 *1 (-981)) (-5 *2 (-1091 (-216)))))) 
+(((*1 *1 *1 *1) (-4 *1 (-553)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-4 *3 (-561)) (-5 *2 (-1165 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-130)))) ((*1 *2 *3) (-12 (-4 *5 (-13 (-612 *2) (-173))) (-5 *2 (-892 *4)) (-5 *1 (-171 *4 *5 *3)) (-4 *4 (-1097)) (-4 *3 (-167 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-1091 (-840 (-384))))) (-5 *2 (-637 (-1091 (-840 (-216))))) (-5 *1 (-300)))) ((*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-384)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-855)) (-5 *3 (-571)) (-5 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-173)) (-4 *1 (-414 *3 *4)) (-4 *4 (-1233 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-414 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-1258 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-173)) (-4 *1 (-422 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-1258 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-423 *1)) (-4 *1 (-435 *3)) (-4 *3 (-561)) (-4 *3 (-847)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-471 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1101)) (-5 *1 (-544)))) ((*1 *2 *1) (-12 (-4 *1 (-612 *2)) (-4 *2 (-1203)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-719 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1053)) (-4 *1 (-987 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1064)))) ((*1 *1 *2) (-12 (-5 *2 (-958 *3)) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *5 (-612 (-1169))) (-4 *4 (-793)) (-4 *5 (-847)))) ((*1 *1 *2) (-1831 (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-2931 (-4 *3 (-43 (-412 (-571))))) (-4 *3 (-43 (-571))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))))) ((*1 *1 *2) (-12 (-5 *2 (-958 (-412 (-571)))) (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-637 *7)) (|:| -4121 *8))) (-4 *7 (-1067 *4 *5 *6)) (-4 *8 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1151)) (-5 *1 (-1070 *4 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-1081)))) ((*1 *1 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203)))) ((*1 *1 *2) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *2)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097)))) ((*1 *1 *2) (-12 (-4 *1 (-1100 *3 *4 *5 *2 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *2 (-1097)) (-4 *6 (-1097)))) ((*1 *1 *2) (-12 (-4 *1 (-1100 *3 *4 *2 *5 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *2 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)))) ((*1 *1 *2) (-12 (-4 *1 (-1100 *3 *2 *4 *5 *6)) (-4 *3 (-1097)) (-4 *2 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)))) ((*1 *1 *2) (-12 (-4 *1 (-1100 *2 *3 *4 *5 *6)) (-4 *2 (-1097)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-637 *7)) (|:| -4121 *8))) (-4 *7 (-1067 *4 *5 *6)) (-4 *8 (-1106 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1151)) (-5 *1 (-1137 *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (-12 (-5 *2 (-855)) (-5 *3 (-571)) (-5 *1 (-1184)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-855)) (-5 *3 (-571)) (-5 *1 (-1184)))) ((*1 *2 *3) (-12 (-5 *3 (-780 *4 (-857 *5))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *5 (-637 (-1169))) (-5 *2 (-780 *4 (-857 *6))) (-5 *1 (-1282 *4 *5 *6)) (-14 *6 (-637 (-1169))))) ((*1 *2 *3) (-12 (-5 *3 (-958 *4)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-958 (-1029 (-412 *4)))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169))))) ((*1 *2 *3) (-12 (-5 *3 (-780 *4 (-857 *6))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *6 (-637 (-1169))) (-5 *2 (-958 (-1029 (-412 *4)))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))))) ((*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-1165 (-1029 (-412 *4)))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169))))) ((*1 *2 *3) (-12 (-5 *3 (-1138 *4 (-537 (-857 *6)) (-857 *6) (-780 *4 (-857 *6)))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-780 *4 (-857 *6)))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-847) (-1043 (-571)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 (-170 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-329))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-637 (-2 (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |k| (-893 *3)) (|:| |c| *4)))) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-666 *3))) (-5 *1 (-893 *3)) (-4 *3 (-847))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1053)) (-4 *7 (-1053)) (-4 *6 (-1233 *5)) (-5 *2 (-1165 (-1165 *7))) (-5 *1 (-513 *5 *6 *4 *7)) (-4 *4 (-1233 *6))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-1 (-637 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-637 *4))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-198)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-637 (-384))) (-5 *2 (-384)) (-5 *1 (-198))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1157 3 *3)) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) ((*1 *1) (-12 (-4 *1 (-1129 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-768)) (-4 *2 (-13 (-561) (-456))) (-5 *1 (-348 *2 *4)) (-4 *4 (-52 *2 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) ((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) ((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-637 (-1169))))) ((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1053) (-847))) (-14 *3 (-637 (-1169)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-302)) (-5 *2 (-412 (-423 (-958 *4)))) (-5 *1 (-1047 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-497 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-502 *3)) (-4 *3 (-1203)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-1139 *3)) (-4 *3 (-1097))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-412 *4)) (-4 *4 (-1233 *3)) (-4 *3 (-13 (-367) (-151))) (-5 *1 (-404 *3 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-360 *3)) (-4 *3 (-352))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) ((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) ((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) *2)) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-768))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1233 (-571))) (-5 *1 (-499 *3))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-456)) (-4 *4 (-847)) (-4 *5 (-793)) (-5 *2 (-637 *6)) (-5 *1 (-994 *3 *4 *5 *6)) (-4 *6 (-955 *3 *5 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *2 (-637 (-412 (-571)))) (-5 *1 (-1025 *4)) (-4 *4 (-1233 (-571)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-430 *3)) (-4 *3 (-1097)) (-5 *2 (-768))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1091 (-840 (-216)))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-412 (-571))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *3 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-453 *4 *3 *5 *6)) (-4 *6 (-955 *4 *3 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-637 *5))) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-4 *4 (-1053)) (-5 *2 (-768)) (-5 *1 (-777 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-768)) (-5 *1 (-934 *5 *3 *6 *7 *4)) (-4 *3 (-325 *5 *6)) (-4 *4 (-977 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-571)) (-4 *6 (-367)) (-4 *7 (-231 *8 *2)) (-14 *8 *2) (-5 *2 (-768)) (-5 *1 (-934 *6 *3 *7 *8 *4)) (-4 *3 (-325 *6 *7)) (-4 *4 (-977 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1151)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1151)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1151)) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (|has| *2 (-6 (-4602 "*"))) (-4 *5 (-378 *2)) (-4 *6 (-378 *2)) (-4 *2 (-1053)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1233 *2)) (-4 *4 (-682 *2 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-517 *3 *4 *5 *6))) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-5 *3 (-637 *7)) (-4 *1 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-5 *2 (-1263)) (-5 *1 (-1211)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 (-1169))) (-5 *2 (-1263)) (-5 *1 (-1211))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-1109)) (-4 *3 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-435 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-955 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-637 *3)) (-5 *1 (-956 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $)))))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-637 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-768)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-793)) (-4 *3 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *6 (-847)) (-5 *1 (-453 *4 *5 *6 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *2 (-955 *3 *5 (-857 *4))) (-4 *5 (-231 (-4001 *4) (-768))) (-4 *6 (-977 *3)) (-4 *7 (-644 *3)) (-4 *8 (-925 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-539 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-470 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-5 *1 (-872 *3 *4 *5)) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-5 *1 (-873 *3 *4 *5)) (-4 *5 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-571)) (-5 *1 (-449 *3)) (-4 *3 (-409)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-922)) (-4 *5 (-302)) (-4 *3 (-1233 *5)) (-5 *2 (-2 (|:| |plist| (-637 *3)) (|:| |modulo| *5))) (-5 *1 (-465 *5 *3)) (-5 *4 (-637 *3))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-783 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-173))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-272))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-637 (-571)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-676 *2)) (-4 *2 (-1097)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-637 *5) (-637 *5))) (-5 *4 (-571)) (-5 *2 (-637 *5)) (-5 *1 (-676 *5)) (-4 *5 (-1097))))) 
+(((*1 *1 *1) (-5 *1 (-855))) ((*1 *2 *1) (-12 (-4 *1 (-1100 *2 *3 *4 *5 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1150)))) ((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-1169))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-1032 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-39)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-497 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1279 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-843))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1151)) (-5 *1 (-786))))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847))) (-4 *2 (-13 (-435 (-170 *4)) (-1008) (-1189))) (-5 *1 (-600 *4 *3 *2)) (-4 *3 (-13 (-435 *4) (-1008) (-1189)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-412 (-571))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1230 *5 *4)) (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-571)) (-5 *1 (-1111 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *2 *5)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-793)) (-4 *2 (-263 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-695)))) ((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-695))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *3 (-13 (-561) (-456))) (-5 *2 (-637 *3)) (-5 *1 (-348 *3 *5)) (-4 *5 (-52 *3 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-1263))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-231 *5 (-768))) (-14 *5 (-768)) (-5 *1 (-913 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-637 *3)) (-5 *1 (-967 *3)) (-4 *3 (-553))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-905 *3)) (-4 *3 (-1097))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-983 *3 *4 *2 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *5 (-1067 *3 *4 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-113)))) ((*1 *2 *1) (-12 (-4 *1 (-139)) (-5 *2 (-768)))) ((*1 *2 *3 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-378 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-378 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-571)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-378 *4)) (-4 *4 (-1203)) (-5 *2 (-571)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-571)) (-5 *3 (-143)))) ((*1 *2 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-571))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-684 (-571))) (-5 *3 (-637 (-571))) (-5 *1 (-1107))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-571)) (-5 *1 (-576 *3)) (-4 *3 (-1043 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *2 *5 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-302)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-451 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-1151)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-451 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-1151)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-451 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))))) ((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1203)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-671 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-893 *3)) (-4 *3 (-847))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-156 *2 *3 *4)) (-14 *2 (-922)) (-4 *3 (-367)) (-14 *4 (-1000 *2 *3)))) ((*1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1233 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-173)) (-4 *2 (-561)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-710 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) ((*1 *1) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) ((*1 *1 *1) (|partial| -4 *1 (-717))) ((*1 *1 *1) (|partial| -4 *1 (-721))) ((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-773 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1069 *3 *2)) (-4 *3 (-13 (-845) (-367))) (-4 *2 (-1233 *3)))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-610 *3)) (-4 *3 (-847))))) 
+(((*1 *1) (-5 *1 (-823)))) 
+(((*1 *2 *2) (-12 (-5 *1 (-676 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) ((*1 *2 *1) (-12 (-4 *1 (-703 *3)) (-4 *3 (-1053)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-849 *3)) (-4 *3 (-1053)) (-5 *2 (-768)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *1 (-955 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 (-768))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-955 *4 *5 *3)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-768))))) 
+(((*1 *2) (-12 (-5 *2 (-1128 (-216))) (-5 *1 (-1187))))) 
+(((*1 *2) (-12 (-5 *2 (-1139 (-1151))) (-5 *1 (-396))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) *2)) (-4 *7 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-768)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-768)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-768)))) ((*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) *2)) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-768)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-822)) (-5 *1 (-821))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-468))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-571)) (-5 *3 (-922)) (-4 *1 (-409)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-4 *1 (-409)))) ((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *2 *6)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-1165 (-1165 *4)))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *7 (-231 (-4001 *5) (-768))) (-5 *2 (-3 (-637 *8) "failed" "Infinite" (-571))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *8 (-977 *4))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1165 *1)) (-4 *1 (-1018))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-1053)) (-5 *2 (-958 *5)) (-5 *1 (-950 *4 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-375 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-684 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-414 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-684 *3))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-329))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-4 *2 (-1053)) (-5 *1 (-913 *2 *3 *5 *6)) (-4 *3 (-325 *2 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1165 *7)) (-4 *5 (-1053)) (-4 *7 (-1053)) (-4 *2 (-1233 *5)) (-5 *1 (-513 *5 *2 *6 *7)) (-4 *6 (-1233 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1053)) (-4 *7 (-1053)) (-4 *4 (-1233 *5)) (-5 *2 (-1165 *7)) (-5 *1 (-513 *5 *4 *6 *7)) (-4 *6 (-1233 *4))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-170 (-216)))) (-5 *2 (-571)) (-5 *1 (-115))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)) (-4 *2 (-553)))) ((*1 *1 *1) (-4 *1 (-1062)))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-561) (-151))) (-5 *2 (-2 (|:| -1856 *3) (|:| -1852 *3))) (-5 *1 (-1227 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 *4 (-768) (-768) (-1165 *4))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 *4) (-768))))) (-5 *1 (-487 *4)) (-4 *4 (-13 (-352) (-612 (-571)))))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 *4 (-768) (-768) (-1165 *4))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 *4) (-768)))) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 *6) *6 (-1169))) (|:| A (-1 *5 (-768) (-768) (-1165 *5))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 *6 (-768) (-1169) *6)) (|:| C (-1 (-637 *5) (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 *6) *6 *3)) (|:| A (-1 *5 (-768) (-768) (-1165 *5))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 *6 (-768) *3 *6)) (|:| C (-1 (-637 *5) (-768)))) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) *3)) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) *3 (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 HPSPEC) (-5 *1 (-491 *4)) (-14 *4 (-1169)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 HPSPEC (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3)))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-1233 *3)) (-5 *1 (-165 *3 *4 *2)) (-4 *2 (-1233 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-300)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-892 *3)) (|:| |den| (-892 *3)))) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-637 (-637 (-768)))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-684 *4)) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) ((*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-684 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1097)) (-5 *2 (-1151)))) ((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-637 (-311 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-203))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-4 *1 (-37 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-367)) (-14 *6 (-1258 (-684 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))))) ((*1 *1 *2) (-12 (-5 *2 (-1120 (-571) (-610 (-53)))) (-5 *1 (-53)))) ((*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1203)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3891) (-693)))) (-5 *1 (-66 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891) (-3891 (QUOTE XC)) (-693)))) (-5 *1 (-68 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3891 (QUOTE X)) (-3891) (-693))) (-5 *1 (-69 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-338 (-3891) (-3891 (QUOTE X) (QUOTE HESS)) (-693)))) (-5 *1 (-70 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3891) (-3891 (QUOTE XC)) (-693))) (-5 *1 (-71 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693)))) (-5 *1 (-76 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693)))) (-5 *1 (-79 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE X) (QUOTE EPS)) (-3891 (QUOTE -2292)) (-693)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1169)) (-14 *4 (-1169)) (-14 *5 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE EPS)) (-3891 (QUOTE YA) (QUOTE YB)) (-693)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1169)) (-14 *4 (-1169)) (-14 *5 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3891) (-3891 (QUOTE X)) (-693))) (-5 *1 (-82 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3891) (-3891 (QUOTE X)) (-693))) (-5 *1 (-83 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891) (-3891 (QUOTE XC)) (-693)))) (-5 *1 (-84 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693)))) (-5 *1 (-85 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891) (-3891 (QUOTE X)) (-693)))) (-5 *1 (-86 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE X) (QUOTE -2292)) (-3891) (-693)))) (-5 *1 (-87 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-338 (-3891 (QUOTE X) (QUOTE -2292)) (-3891) (-693)))) (-5 *1 (-88 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-338 (-3891 (QUOTE X)) (-3891) (-693)))) (-5 *1 (-89 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE X)) (-3891) (-693)))) (-5 *1 (-90 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693)))) (-5 *1 (-91 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-338 (-3891 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3891) (-693)))) (-5 *1 (-92 *3)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3891 (QUOTE X)) (-3891 (QUOTE -2292)) (-693))) (-5 *1 (-94 *3)) (-14 *3 (-1169)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-1010 2)) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-112)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-4 *1 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-142 *3 *4 *5))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 (-768)) (-4 *5 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 (-768)))) ((*1 *1 *2) (-12 (-5 *2 (-1134 *4 *5)) (-14 *4 (-768)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)))) ((*1 *1 *2) (-12 (-5 *2 (-233 *4 *5)) (-14 *4 (-768)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)))) ((*1 *2 *3) (-12 (-5 *3 (-1258 (-684 *4))) (-4 *4 (-173)) (-5 *2 (-1258 (-684 (-412 (-958 *4))))) (-5 *1 (-182 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))) (-5 *1 (-206 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1010 10)) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-234 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1 *3 (-922))) (-5 *1 (-234 *3)) (-4 *3 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 (-922))) (-4 *3 (-1053)) (-5 *1 (-234 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-241 *3)) (-4 *3 (-847)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-241 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1089 (-311 *4))) (-4 *4 (-13 (-847) (-561) (-612 (-384)))) (-5 *2 (-1089 (-384))) (-5 *1 (-252 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-263 *2)) (-4 *2 (-847)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-272)))) ((*1 *2 *1) (-12 (-4 *2 (-1233 *3)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *3 (-173)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1242 *4 *5 *6)) (-4 *4 (-13 (-27) (-1189) (-435 *3))) (-14 *5 (-1169)) (-14 *6 *4) (-4 *3 (-13 (-847) (-1043 (-571)) (-633 (-571)) (-456))) (-5 *1 (-308 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-329)))) ((*1 *2 *1) (-12 (-5 *2 (-311 *5)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-4 *2 (-328 *4)) (-5 *1 (-350 *3 *4 *2)) (-4 *3 (-328 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-4 *2 (-328 *4)) (-5 *1 (-350 *2 *4 *3)) (-4 *3 (-328 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *2 (-1280 *3 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *2 (-1271 *3 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-379 *2 *3)) (-4 *2 (-847)) (-4 *3 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-4 *1 (-388)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-388)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-4 *1 (-388)))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-693))) (-4 *1 (-388)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-4 *1 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-4 *1 (-389)))) ((*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-1151)))) ((*1 *1 *2) (-12 (-5 *2 (-1151)) (-4 *1 (-394)))) ((*1 *2 *3) (-12 (-5 *2 (-399)) (-5 *1 (-398 *3)) (-4 *3 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-855)) (-5 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-4 *1 (-401)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-401)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-4 *1 (-401)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-170 (-384))))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-384)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-571)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-384)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-384))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-571))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-688)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-693)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-695)))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-688))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-693))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-695))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-5 *1 (-403 *3 *4 *5 *6)) (-14 *3 (-1169)) (-14 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-14 *5 (-637 (-1169))) (-14 *6 (-1173)))) ((*1 *1 *2) (-12 (-5 *2 (-330 *4)) (-4 *4 (-13 (-847) (-21))) (-5 *1 (-432 *3 *4)) (-4 *3 (-13 (-173) (-43 (-412 (-571))))))) ((*1 *1 *2) (-12 (-5 *1 (-432 *2 *3)) (-4 *2 (-13 (-173) (-43 (-412 (-571))))) (-4 *3 (-13 (-847) (-21))))) ((*1 *1 *2) (-12 (-5 *2 (-412 (-958 (-412 *3)))) (-4 *3 (-561)) (-4 *3 (-847)) (-4 *1 (-435 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-958 (-412 *3))) (-4 *3 (-561)) (-4 *3 (-847)) (-4 *1 (-435 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-412 *3)) (-4 *3 (-561)) (-4 *3 (-847)) (-4 *1 (-435 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1120 *3 (-610 *1))) (-4 *3 (-1053)) (-4 *3 (-847)) (-4 *1 (-435 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1101)) (-5 *1 (-439)))) ((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-439)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-439)))) ((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-439)))) ((*1 *1 *2) (-12 (-5 *2 (-439)) (-5 *1 (-442)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-4 *1 (-444)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-444)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-4 *1 (-444)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-693))) (-4 *1 (-444)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1173)) (|:| -1815 (-637 (-329))))) (-4 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-4 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-412 (-958 *3)))) (-4 *3 (-173)) (-14 *6 (-1258 (-684 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *1 (-476)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-476)))) ((*1 *1 *2) (-12 (-5 *2 (-1242 *3 *4 *5)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3) (-5 *1 (-482 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-482 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-1010 16)) (-5 *1 (-500)))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-500)))) ((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-503)))) ((*1 *1 *2) (-12 (-5 *2 (-1120 (-571) (-610 (-507)))) (-5 *1 (-507)))) ((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-514)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-605 *3 *2)) (-4 *2 (-741 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-611 *2)) (-4 *2 (-1203)))) ((*1 *1 *2) (-12 (-4 *1 (-615 *2)) (-4 *2 (-1053)))) ((*1 *2 *1) (-12 (-5 *2 (-1276 *3 *4)) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) ((*1 *2 *1) (-12 (-5 *2 (-1271 *3 *4)) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-629 *3 *2)) (-4 *2 (-741 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-644 *3)) (-4 *3 (-367)) (-5 *2 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *3)))) (-4 *3 (-367)) (-4 *1 (-644 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-671 *3)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-819 *3)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-964 (-964 (-964 *3)))) (-5 *1 (-669 *3)) (-4 *3 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-964 (-964 (-964 *3)))) (-4 *3 (-1097)) (-5 *1 (-669 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-819 *3)) (-5 *1 (-671 *3)) (-4 *3 (-847)))) ((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-676 *3)) (-4 *3 (-1097)))) ((*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *2)) (-4 *4 (-378 *3)) (-4 *2 (-378 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-170 (-384))) (-5 *1 (-688)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-695))) (-5 *1 (-688)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-693))) (-5 *1 (-688)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-571))) (-5 *1 (-688)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-384))) (-5 *1 (-688)))) ((*1 *1 *2) (-12 (-5 *2 (-695)) (-5 *1 (-693)))) ((*1 *2 *1) (-12 (-5 *2 (-384)) (-5 *1 (-693)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-571))) (-5 *2 (-311 (-695))) (-5 *1 (-695)))) ((*1 *1 *2) (-12 (-5 *1 (-697 *2)) (-4 *2 (-1097)))) ((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-705)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-707 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1755 *3) (|:| -2154 *4))) (-5 *1 (-708 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-1097)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1755 *3) (|:| -2154 *4))) (-4 *3 (-847)) (-4 *4 (-1097)) (-5 *1 (-708 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-710 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4501 *3) (|:| -4506 *4)))) (-4 *3 (-1053)) (-4 *4 (-721)) (-5 *1 (-730 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-412 (-739 *3 *4))) (-14 *3 (-1169)) (-4 *4 (-13 (-1053) (-847) (-561))) (-5 *1 (-738 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-958 *4)) (-4 *4 (-1053)) (-5 *1 (-739 *3 *4)) (-14 *3 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *3)) (-14 *3 (-1169)) (-5 *1 (-739 *3 *4)) (-4 *4 (-1053)))) ((*1 *1 *2) (-12 (-5 *1 (-739 *3 *2)) (-14 *3 (-1169)) (-4 *2 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-760)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-766)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-766)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-766)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-766)))) ((*1 *2 *3) (-12 (-5 *2 (-771)) (-5 *1 (-770 *3)) (-4 *3 (-1203)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-808)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-808)))) ((*1 *2 *1) (-12 (-4 *2 (-900 *3)) (-5 *1 (-817 *3 *2 *4)) (-4 *3 (-1097)) (-14 *4 *3))) ((*1 *1 *2) (-12 (-4 *3 (-1097)) (-14 *4 *3) (-5 *1 (-817 *3 *2 *4)) (-4 *2 (-900 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-824)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))))) (-5 *1 (-838)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) (-5 *1 (-838)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (-5 *1 (-838)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-838)))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *3)) (-14 *3 (-1169)) (-5 *1 (-852 *3 *4 *5 *6)) (-4 *4 (-1053)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-854)))) ((*1 *1 *2) (-12 (-5 *2 (-958 *3)) (-4 *3 (-1053)) (-5 *1 (-858 *3 *4 *5 *6)) (-14 *4 (-637 (-1169))) (-14 *5 (-637 (-768))) (-14 *6 (-768)))) ((*1 *2 *1) (-12 (-5 *2 (-958 *3)) (-5 *1 (-858 *3 *4 *5 *6)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))) (-14 *5 (-637 (-768))) (-14 *6 (-768)))) ((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874)))) ((*1 *2 *3) (-12 (-5 *3 (-958 (-53))) (-5 *2 (-311 (-571))) (-5 *1 (-875)))) ((*1 *2 *3) (-12 (-5 *3 (-412 (-958 (-53)))) (-5 *2 (-311 (-571))) (-5 *1 (-875)))) ((*1 *1 *2) (-12 (-5 *1 (-893 *2)) (-4 *2 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-819 *3)) (-5 *1 (-893 *3)) (-4 *3 (-847)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) (-5 *1 (-898)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-898)))) ((*1 *2 *1) (-12 (-5 *2 (-1190 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-905 *3))) (-4 *3 (-1097)) (-5 *1 (-904 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-905 *3))) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-905 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1097)) (-5 *1 (-905 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-412 (-423 *3))) (-4 *3 (-302)) (-5 *1 (-915 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-412 *3)) (-5 *1 (-915 *3)) (-4 *3 (-302)))) ((*1 *2 *3) (-12 (-5 *3 (-492)) (-5 *2 (-311 *4)) (-5 *1 (-920 *4)) (-4 *4 (-13 (-847) (-561))))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-4 *1 (-977 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-978)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571)))) ((*1 *2 *3) (-12 (-5 *2 (-1263)) (-5 *1 (-1039 *3)) (-4 *3 (-1203)))) ((*1 *2 *3) (-12 (-5 *3 (-306)) (-5 *1 (-1039 *2)) (-4 *2 (-1203)))) ((*1 *1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-1040 *3 *4 *5 *2 *6)) (-4 *2 (-955 *3 *4 *5)) (-14 *6 (-637 *2)))) ((*1 *1 *2) (-12 (-4 *1 (-1043 *2)) (-4 *2 (-1203)))) ((*1 *2 *3) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-1048 *3)) (-4 *3 (-561)))) ((*1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1053)))) ((*1 *2 *1) (-12 (-5 *2 (-684 *5)) (-5 *1 (-1057 *3 *4 *5)) (-14 *3 (-768)) (-14 *4 (-768)) (-4 *5 (-1053)))) ((*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-847)) (-5 *1 (-1121 *3 *4 *2)) (-4 *2 (-955 *3 (-537 *4) *4)))) ((*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *2 (-847)) (-5 *1 (-1121 *3 *2 *4)) (-4 *4 (-955 *3 (-537 *2) *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-855)))) ((*1 *2 *1) (-12 (-5 *2 (-684 *4)) (-5 *1 (-1134 *3 *4)) (-14 *3 (-768)) (-4 *4 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-148)) (-4 *1 (-1136)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-1153 *3)) (-4 *3 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1166 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1167 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1230 *4 *3)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3) (-5 *1 (-1167 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1168)))) ((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1169)))) ((*1 *2 *1) (-12 (-5 *2 (-1177 (-1169) (-442))) (-5 *1 (-1173)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1176 *3)) (-4 *3 (-1097)))) ((*1 *2 *3) (-12 (-5 *2 (-1184)) (-5 *1 (-1183 *3)) (-4 *3 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-855)) (-5 *1 (-1184)))) ((*1 *1 *2) (-12 (-5 *2 (-958 *3)) (-4 *3 (-1053)) (-5 *1 (-1198 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1198 *3)) (-4 *3 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-964 *3)) (-4 *3 (-1203)) (-5 *1 (-1201 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1254 (QUOTE |x|))) (-5 *1 (-1215 *3)) (-4 *3 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-1230 (QUOTE |x|) *3)) (-4 *3 (-1053)) (-5 *1 (-1215 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *1 (-1219 *3 *2)) (-4 *2 (-1248 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1221 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1091 *3)) (-4 *3 (-1203)) (-5 *1 (-1224 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *3)) (-14 *3 (-1169)) (-5 *1 (-1230 *3 *4)) (-4 *4 (-1053)))) ((*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *1 (-1240 *3 *2)) (-4 *2 (-1217 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1242 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1230 *4 *3)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3) (-5 *1 (-1249 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-1230 *4 *3)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-5 *1 (-1253 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-1254 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1259)))) ((*1 *2 *3) (-12 (-5 *3 (-476)) (-5 *2 (-1259)) (-5 *1 (-1262)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1263)))) ((*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-793)) (-14 *6 (-637 *4)) (-5 *1 (-1268 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-955 *3 *5 *4)) (-14 *7 (-637 (-768))) (-14 *8 (-768)))) ((*1 *2 *1) (-12 (-4 *2 (-955 *3 *5 *4)) (-5 *1 (-1268 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-793)) (-14 *6 (-637 *4)) (-14 *7 (-637 (-768))) (-14 *8 (-768)))) ((*1 *1 *2) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-1053)))) ((*1 *1 *2) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) ((*1 *2 *1) (-12 (-5 *2 (-1280 *3 *4)) (-5 *1 (-1276 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) ((*1 *2 *1) (-12 (-5 *2 (-1271 *3 *4)) (-5 *1 (-1276 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-659 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *1 (-1276 *3 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-1279 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-843))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1097)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1097)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-516 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-516 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-540 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-540 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-5 *2 (-121)) (-5 *1 (-541 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *7 (-977 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-5 *1 (-541 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *7 (-977 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-860 *3)) (-14 *3 (-865)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-862 *3)) (-4 *3 (-352)))) ((*1 *2 *1) (-12 (-4 *1 (-863)) (-5 *2 (-855)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-865))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-160 *4 *2)) (-4 *2 (-435 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1089 *2)) (-4 *2 (-435 *4)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-160 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1089 *1)) (-4 *1 (-162)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1169)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-473 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1276 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-571)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-571)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-588 *3)) (-4 *3 (-367))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-640 *3)) (-4 *3 (-1053)) (-5 *1 (-709 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-834 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-571))) (-5 *4 (-905 (-571))) (-5 *2 (-684 (-571))) (-5 *1 (-592)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-637 (-684 (-571)))) (-5 *1 (-592)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-571))) (-5 *4 (-637 (-905 (-571)))) (-5 *2 (-637 (-684 (-571)))) (-5 *1 (-592))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-311 *3)) (-4 *3 (-561)) (-4 *3 (-847))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189))))) ((*1 *1 *1 *1) (-4 *1 (-793)))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7))))) 
+(((*1 *1 *1) (-5 *1 (-1065)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *1 (-804 *4 *2)) (-4 *2 (-13 (-29 *4) (-1189) (-965)))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-847)) (-5 *2 (-2 (|:| -4501 (-571)) (|:| |var| (-610 *1)))) (-4 *1 (-435 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-855))))) 
+(((*1 *1) (-5 *1 (-148))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1128 (-216))) (-5 *1 (-257))))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1169)) (-4 *4 (-1053)) (-4 *4 (-847)) (-5 *2 (-2 (|:| |var| (-610 *1)) (|:| -2154 (-571)))) (-4 *1 (-435 *4)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1053)) (-4 *4 (-847)) (-5 *2 (-2 (|:| |var| (-610 *1)) (|:| -2154 (-571)))) (-4 *1 (-435 *4)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1109)) (-4 *3 (-847)) (-5 *2 (-2 (|:| |var| (-610 *1)) (|:| -2154 (-571)))) (-4 *1 (-435 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-892 *3)) (|:| -2154 (-768)))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-955 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| |var| *5) (|:| -2154 (-768)))))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -2154 (-571)))) (-5 *1 (-956 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $)))))))) 
+(((*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3))))) 
+(((*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-571)) (-4 *4 (-173)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-683 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165 *6)) (-4 *6 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-1165 *7)) (-5 *1 (-319 *4 *5 *6 *7)) (-4 *7 (-955 *6 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *5)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *2 (-325 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *4 (-117))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258 (-768))) (-5 *1 (-669 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-637 (-571))) (-5 *3 (-684 (-571))) (-5 *1 (-1107))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-1115)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-367)) (-4 *5 (-1233 *4)) (-5 *2 (-1263)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1233 (-412 *5))) (-14 *7 *6)))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-1233 *4)) (-4 *4 (-1213)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1233 (-412 *3)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-5 *2 (-637 *3)) (-5 *1 (-951 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1258 *5)) (-4 *5 (-792)) (-5 *2 (-121)) (-5 *1 (-842 *4 *5)) (-14 *4 (-768))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1230 *5 *4)) (-5 *1 (-1167 *4 *5 *6)) (-4 *4 (-1053)) (-14 *5 (-1169)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1230 (QUOTE |x|) *4)) (-5 *1 (-1215 *4)) (-4 *4 (-1053)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1230 *5 *4)) (-5 *1 (-1249 *4 *5 *6)) (-4 *4 (-1053)) (-14 *5 (-1169)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1230 *5 *4)) (-5 *1 (-1253 *4 *5)) (-4 *4 (-1053)) (-14 *5 (-1169))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-138))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-57))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-566)))) ((*1 *2 *1) (-12 (-4 *1 (-604 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1203)) (-5 *2 (-637 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-209))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-391 *3)) (|:| |mm| (-391 *3)) (|:| |rm| (-391 *3)))) (-5 *1 (-391 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-819 *3)) (|:| |mm| (-819 *3)) (|:| |rm| (-819 *3)))) (-5 *1 (-819 *3)) (-4 *3 (-847))))) 
+(((*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-949 (-216)) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-931)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-949 (-216)) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-931)))) ((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-949 (-216)) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-949 (-216)) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-553)))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-456)) (-4 *3 (-847)) (-4 *4 (-793)) (-5 *1 (-994 *2 *3 *4 *5)) (-4 *5 (-955 *2 *4 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-994 (-412 (-571)) (-857 *3) (-233 *4 (-768)) (-243 *3 (-412 (-571))))) (-14 *3 (-637 (-1169))) (-14 *4 (-768)) (-5 *1 (-993 *3 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1041)) (-5 *3 (-1169)) (-5 *1 (-264))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-768)) (-4 *5 (-456)) (-4 *5 (-847)) (-4 *5 (-1043 (-571))) (-4 *5 (-561)) (-5 *1 (-46 *5 *2)) (-4 *2 (-435 *5)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *5 (-610 $)) $)) (-15 -4479 ((-1120 *5 (-610 $)) $)) (-15 -3942 ($ (-1120 *5 (-610 $)))))))))) 
 (((*1 *1) (-5 *1 (-159)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-955 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4)))))))))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *1 (-893 *2 *4)) (-4 *2 (-1228 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-311 (-569)))) (-5 *1 (-1033))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-429 *4 *2)) (-4 *2 (-13 (-1185) (-29 *4))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-311 *5)) (-5 *1 (-589 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-537 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-635 *13)) (-5 *5 (-635 *9)) (-4 *9 (-973 *6)) (-4 *13 (-259 *12)) (-4 *6 (-366)) (-4 *12 (-537 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-635 (-1165))) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-4 *2 (-236 *11)) (-5 *1 (-557 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-5 *2 (-237 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-237 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-569))) (-5 *5 (-1 (-1145 *4))) (-4 *4 (-366)) (-4 *4 (-1049)) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-635 *1)) (-4 *1 (-1125 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-216))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-410 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *5) (|:| -3417 *5)))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-2 (|:| -3149 *5) (|:| -3417 *5))))) ((*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569)))) (-5 *4 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *4) (|:| -3417 *4)))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *5) (|:| -3417 *5)))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *5)) (-5 *4 (-2 (|:| -3149 *5) (|:| -3417 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-765)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-846 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1222 *4 *2)) (-4 *2 (-1228 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1168))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1237 *4 *5 *6)) (|:| |%expon| (-315 *4 *5 *6)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))))) (|:| |%type| (-1147)))) (-5 *1 (-1238 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4)))) 
-(((*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *1 (-115))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-243 *4 *5)) (-5 *1 (-947 *4 *5))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-2 (|:| |zeros| (-1145 (-216))) (|:| |ones| (-1145 (-216))) (|:| |singularities| (-1145 (-216))))) (-5 *1 (-109))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-39)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-231 *5 (-765))) (-5 *1 (-910 *4 *3 *2 *5)) (-4 *3 (-325 *4 *2)) (-14 *5 (-765))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-765)) (-4 *3 (-13 (-718) (-371) (-10 -7 (-15 ** (*3 *3 (-569)))))) (-5 *1 (-242 *3))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1149 *4)) (-4 *4 (-1049)) (-5 *3 (-569))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-4 *1 (-686 *2)) (-4 *2 (-1093))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-729 *3)))) ((*1 *1 *2) (-12 (-5 *1 (-729 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-729 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-569)) (-5 *1 (-497 *4)) (-4 *4 (-1228 *2))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-4 *2 (-263 *4))))) 
-(((*1 *2 *3 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1168)) (-5 *3 (-1165))))) 
-(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-991 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2925 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -1807 *1) (|:| |upper| *1))) (-4 *1 (-979 *4 *5 *3 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *5 (-559)) (-5 *1 (-724 *4 *3 *5 *2)) (-4 *2 (-952 (-410 (-955 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *3 *2)) (-4 *2 (-952 (-955 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *4 (-1049)) (-4 *5 (-790)) (-5 *1 (-987 *4 *5 *6 *2)) (-4 *2 (-952 (-955 *4) *5 *6))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-1 *4 (-569) (-569))) (-4 *4 (-1049)) (-4 *1 (-679 *4 *5 *6)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-852)))) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-1130 *3 *4)) (-5 *1 (-996 *3 *4)) (-14 *3 (-919)) (-4 *4 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *5))) (-4 *5 (-1049)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5))))) 
-(((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-166 *3 *2)) (-4 *3 (-167 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *2 *4)) (-4 *4 (-1228 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-173)) (-5 *1 (-411 *3 *2 *4)) (-4 *3 (-412 *2 *4)))) ((*1 *2) (-12 (-4 *1 (-412 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *3 (-1228 *2)) (-5 *2 (-569)) (-5 *1 (-762 *3 *4)) (-4 *4 (-412 *2 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-173)))) ((*1 *2 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-173))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1253 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2316 (-569)) (|:| -1742 (-569)) (|:| |spline| (-569)) (|:| -3296 (-569)) (|:| |axesColor| (-871)) (|:| -2175 (-569)) (|:| |unitsColor| (-871)) (|:| |showing| (-569))))) (-5 *1 (-1254))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-842)) (-5 *1 (-298 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-325 *5 *7)) (-4 *4 (-117))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *3 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-969 *4)) (-4 *4 (-351)) (-5 *2 (-635 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-968 *4)) (-4 *4 (-366)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *5 *4 *6 *3)) (-4 *3 (-952 *6 *5 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-263 *3)) (-4 *5 (-790))))) 
-(((*1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-4 *1 (-1132)))) 
-(((*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789))))) 
-(((*1 *1 *1) (-4 *1 (-559)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-126 *3)) (-14 *3 (-569)))) ((*1 *1 *2 *3 *3) (-12 (-5 *3 (-1145 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-302)) (-5 *1 (-174 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-174 (-569))) (-5 *1 (-759 *3)) (-4 *3 (-407)))) ((*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-867 *3)) (-14 *3 (-569)))) ((*1 *2 *1) (-12 (-14 *3 (-569)) (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-868 *3 *4)) (-4 *4 (-865 *3))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1145 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *2 (-1 *6 *5)) (-5 *1 (-632 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 *5)) (-4 *6 (-1093)) (-4 *5 (-1199)) (-5 *2 (-1 *5 *6)) (-5 *1 (-632 *6 *5)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *1 (-632 *5 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-148)) (-5 *2 (-765))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-385 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-727 *3 *4))) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-635 *3)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-145)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-146)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-217)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-219)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1200)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1202))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| -1736 *5) (|:| -4183 *5)))) (-5 *1 (-804 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *4 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -1736 *4) (|:| -4183 *4)))) (-5 *1 (-804 *5 *4 *3 *6)) (-4 *3 (-647 *4)) (-4 *6 (-647 (-410 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| -1736 *5) (|:| -4183 *5)))) (-5 *1 (-804 *4 *5 *6 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 (-410 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *4 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -1736 *4) (|:| -4183 *4)))) (-5 *1 (-804 *5 *4 *6 *3)) (-4 *6 (-647 *4)) (-4 *3 (-647 (-410 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 (-1165))))) 
-(((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-4 *2 (-454)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *3 *2) (-12 (-5 *1 (-671 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-264))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-99))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) ((*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-5 *2 (-1145 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *1 (-671 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1059 (-1025 *3) (-1161 (-1025 *3)))) (-5 *1 (-1025 *3)) (-4 *3 (-13 (-842) (-366) (-1023)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-902 *3)) (-4 *3 (-371)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-302)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1133 *5 *6 *7 *8 *9))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-376 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1165))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-382)) (-5 *1 (-1061))))) 
-(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-667 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-842))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1228 (-170 *3)))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-946 *4)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-635 (-289 (-955 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 (-569)))))) (-5 *2 (-635 (-635 (-289 (-955 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-569)))) (-5 *2 (-635 (-289 (-955 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 (-569))))) (-5 *2 (-635 (-289 (-955 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1185) (-961))) (-5 *2 (-2 (|:| |particular| *4) (|:| -4079 (-635 *4)))) (-5 *1 (-643 *6 *4 *3)) (-4 *3 (-647 *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-643 *6 *2 *3)) (-4 *3 (-647 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1253 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1253 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1253 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1253 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *7 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-635 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -4079 (-635 *7))))) (-5 *1 (-661 *5 *6 *7 *3)) (-5 *4 (-635 *7)) (-4 *3 (-679 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-764 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-764 *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-766 *5 *2)) (-4 *2 (-13 (-29 *5) (-1185) (-961))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-681 *7)) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)) (-5 *4 (-1253 *7)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-681 *6)) (-5 *4 (-1165)) (-4 *6 (-13 (-29 *5) (-1185) (-961))) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-1253 *6))) (-5 *1 (-799 *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -4079 (-635 *7))) *7 "failed")) (-5 *1 (-799 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -4079 (-635 *3))) *3 "failed")) (-5 *1 (-799 *6 *3)) (-4 *3 (-13 (-29 *6) (-1185) (-961))))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-289 *2)) (-5 *4 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-5 *1 (-799 *6 *2)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))))) ((*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-289 *2)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-799 *6 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-805)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-805)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -4079 (-635 *6))) "failed") *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-1253 *6)) (|:| -4079 (-681 *6)))) (-5 *1 (-810 *6 *7)) (-5 *3 (-681 *6)) (-5 *4 (-1253 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-895)) (-5 *2 (-1037)) (-5 *1 (-894)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-895)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-894)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-765)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1147)) (-5 *8 (-216)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1037)) (-5 *1 (-894)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-765)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1147)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1037)) (-5 *1 (-894)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *2 (-635 (-382))) (-5 *1 (-1024)) (-5 *4 (-382)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 (-569))) (-5 *2 (-635 (-382))) (-5 *1 (-1024)) (-5 *4 (-382)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1122 *4)) (-5 *3 (-311 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1122 *4)) (-5 *3 (-289 (-311 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1122 *5)) (-5 *3 (-289 (-311 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1122 *5)) (-5 *3 (-311 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1122 *5)) (-5 *3 (-635 (-289 (-311 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-1170 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-1170 *5)) (-5 *3 (-635 (-289 (-410 (-955 *5))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 *4)))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-1170 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-1170 *4)) (-5 *3 (-635 (-289 (-410 (-955 *4))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *5))))) (-5 *1 (-1170 *5)) (-5 *3 (-410 (-955 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *5))))) (-5 *1 (-1170 *5)) (-5 *3 (-289 (-410 (-955 *5)))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *4))))) (-5 *1 (-1170 *4)) (-5 *3 (-410 (-955 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *4))))) (-5 *1 (-1170 *4)) (-5 *3 (-289 (-410 (-955 *4))))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-779 *3)) (|:| |polden| *3) (|:| -2978 (-765)))) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -2978 (-765)))) (-4 *1 (-1063 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1165)) (-5 *6 (-121)) (-4 *7 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-1185) (-961) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *7 *3)) (-5 *5 (-837 *3))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-402 *3 *2)) (-4 *3 (-13 (-366) (-151)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-635 (-946 *3)))))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-635 *2) *2 *2 *2)) (-4 *2 (-1093)) (-5 *1 (-106 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1093)) (-5 *1 (-106 *2))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-635 *4)) (-4 *4 (-844)) (-5 *1 (-1171 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-952 *2 *5 (-854 *3))) (-4 *5 (-231 (-2946 *3) (-765))) (-4 *6 (-973 *2)) (-4 *7 (-642 *2)) (-4 *8 (-922 *2 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-366))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-955 *4))) (-5 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-916 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-1145 *4) (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1276 *4)) (-4 *4 (-1199)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 (-1145 *5)) (-635 (-1145 *5)))) (-5 *4 (-569)) (-5 *2 (-635 (-1145 *5))) (-5 *1 (-1276 *5)) (-4 *5 (-1199))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-608 *5))) (-4 *4 (-844)) (-5 *2 (-608 *5)) (-5 *1 (-578 *4 *5)) (-4 *5 (-433 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
-(((*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1045 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-371)) (-5 *2 (-919)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-919)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-4 *4 (-1199)) (-5 *2 (-121)) (-5 *1 (-1145 *4))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-852))))) 
-(((*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-824 *2 *3)) (-4 *2 (-700 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-955 *6)) (-5 *4 (-1165)) (-5 *5 (-837 *7)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *7 (-13 (-1185) (-29 *6))) (-5 *1 (-215 *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1161 *6)) (-5 *4 (-837 *6)) (-4 *6 (-13 (-1185) (-29 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-215 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1) (-4 *1 (-297))) ((*1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1253 *6)) (-5 *4 (-1253 (-569))) (-5 *5 (-569)) (-4 *6 (-1093)) (-5 *2 (-1 *6)) (-5 *1 (-1019 *6))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-588 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)) (-5 *2 (-955 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)) (-5 *2 (-955 *4)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1243 *4)) (-4 *4 (-1049)) (-5 *2 (-955 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1243 *4)) (-4 *4 (-1049)) (-5 *2 (-955 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2556 (-421 *3)) (|:| |special| (-421 *3)))) (-5 *1 (-719 *5 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-121))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1258)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *9 (-922 *3 *8)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-5 *2 (-121)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *9 (-922 *3 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *4 (-765)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-1258)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *4 (-765)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-1258)) (-5 *1 (-1133 *5 *6 *7 *8 *9))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1147)) (-5 *1 (-300))))) 
-(((*1 *2 *3) (-12 (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |glbase| (-635 (-243 *4 *5))) (|:| |glval| (-635 (-569))))) (-5 *1 (-623 *4 *5)) (-5 *3 (-635 (-243 *4 *5)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-2 (|:| |f1| (-635 *4)) (|:| |f2| (-635 (-635 (-635 *4)))) (|:| |f3| (-635 (-635 *4))) (|:| |f4| (-635 (-635 (-635 *4)))))) (-5 *1 (-1171 *4)) (-5 *3 (-635 (-635 (-635 *4))))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-170 *5)) (-4 *5 (-13 (-433 *4) (-1004) (-1185))) (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 (-170 *4)) (-1004) (-1185))) (-5 *1 (-598 *4 *5 *2))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-1258)) (-5 *1 (-828))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3339 (-410 *6)) (|:| |coeff| (-410 *6)))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -3339 (-410 *5)) (|:| |coeff| (-410 *5)))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *2)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
-(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-391)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-686 *3)) (-4 *3 (-1093)) (-5 *2 (-635 (-2 (|:| -3175 *3) (|:| -2691 (-765)))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-1253 *5)) (-4 *5 (-302)) (-4 *5 (-1049)) (-5 *2 (-681 *5)) (-5 *1 (-1031 *5))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-774 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-774 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216) (-216))) (-5 *3 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-249))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-955 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) ((*1 *2 *3) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) ((*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-1014)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-1014)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-635 *1)) (-4 *1 (-1065 *4 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-919))) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-302)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-302))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-660 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-121)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-382))) (-5 *2 (-311 (-216))) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-441 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1070 *3)) (-14 *3 *2))) ((*1 *1 *1) (-5 *1 (-1165)))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
-(((*1 *1) (-12 (-4 *3 (-1093)) (-5 *1 (-882 *2 *3 *4)) (-4 *2 (-1093)) (-4 *4 (-659 *3)))) ((*1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1145 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1049)) (-5 *3 (-410 (-569))) (-5 *1 (-1149 *4))))) 
-(((*1 *1 *1) (-5 *1 (-53))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-63 *5 *2)))) ((*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1093)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) ((*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-2 (|:| -2665 (-1161 *4)) (|:| |deg| (-919)))) (-5 *1 (-212 *4 *5)) (-5 *3 (-1161 *4)) (-4 *5 (-13 (-559) (-844))))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-233 *5 *6)) (-14 *5 (-765)) (-4 *6 (-1199)) (-4 *2 (-1199)) (-5 *1 (-232 *5 *6 *2)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-285 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1228 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-311 *2)) (-4 *2 (-559)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-4 *1 (-334 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))) (-4 *5 (-341 *2 *3 *4)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-374 *5 *4 *2 *6)) (-4 *4 (-376 *5)) (-4 *6 (-376 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1093)) (-4 *2 (-1093)) (-5 *1 (-426 *5 *4 *2 *6)) (-4 *4 (-428 *5)) (-4 *6 (-428 *2)))) ((*1 *1 *1) (-5 *1 (-505))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-635 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-633 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1049)) (-4 *2 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *8 (-376 *2)) (-4 *9 (-376 *2)) (-5 *1 (-677 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-679 *5 *6 *7)) (-4 *10 (-679 *2 *8 *9)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-366)) (-4 *3 (-173)) (-4 *1 (-716 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-716 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-960 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-959 *5 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *2 (-952 *3 *4 *5)) (-14 *6 (-635 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1049)) (-4 *2 (-1049)) (-14 *5 (-765)) (-14 *6 (-765)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *10 (-231 *6 *2)) (-4 *11 (-231 *5 *2)) (-5 *1 (-1054 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1052 *5 *6 *7 *8 *9)) (-4 *12 (-1052 *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1145 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-1143 *5 *2)))) ((*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1193 *5 *6 *7 *2)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *2 (-1063 *5 *6 *7)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-1252 *5 *2))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4562)) (-4 *1 (-407)) (-5 *2 (-919))))) 
-(((*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-170 (-216))) (-5 *6 (-1147)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1256))))) 
-(((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
-(((*1 *2) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-608 *6)) (-4 *6 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-1161 (-410 (-1161 *6)))) (-5 *1 (-565 *5 *6 *7)) (-5 *3 (-1161 *6)) (-4 *7 (-1093)))) ((*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-704 *3 *2)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-4 *1 (-716 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1161 *11)) (-5 *6 (-635 *10)) (-5 *7 (-635 (-765))) (-5 *8 (-635 *11)) (-4 *10 (-844)) (-4 *11 (-302)) (-4 *9 (-790)) (-4 *5 (-952 *11 *9 *10)) (-5 *2 (-635 (-1161 *5))) (-5 *1 (-734 *9 *10 *11 *5)) (-5 *3 (-1161 *5)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) ((*1 *2 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) ((*1 *2 *1) (-12 (-4 *2 (-952 *3 *4 *5)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-14 *6 (-635 *2))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-887 *5 *3)) (-4 *3 (-1199)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *2 (-121)) (-5 *1 (-887 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-765)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-5 *1 (-926 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382)))) (-5 *7 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382)))) (-5 *7 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-1224 *3 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-642 *4)) (-4 *3 (-922 *4 *8)) (-4 *9 (-236 *3)) (-4 *10 (-537 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-973 *4)) (-5 *1 (-468 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-642 *4)) (-4 *2 (-973 *4)) (-5 *1 (-655 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *3 (-922 *4 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-924 *4)) (-4 *4 (-351)) (-5 *2 (-969 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-923 *4)) (-4 *4 (-366)) (-5 *2 (-968 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-121)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-1189 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1177 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2) (-12 (-5 *2 (-237 (-924 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-237 (-923 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1069 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1101 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
-(((*1 *2) (-12 (-5 *2 (-1135 (-1147))) (-5 *1 (-394))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-50 (-1147) (-768))) (-5 *1 (-123))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-751))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1095 (-1095 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1145 *3))) (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *4 (-1147)) (-4 *5 (-13 (-302) (-151))) (-4 *8 (-952 *5 *7 *6)) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *5 *6 *7 *8))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-474))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-635 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569))))) 
-(((*1 *1 *1) (-5 *1 (-1061)))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1169))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-992)))) ((*1 *2 *1) (-12 (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-1093) (-39))) (-5 *1 (-1128 *2 *3)) (-4 *3 (-13 (-1093) (-39)))))) 
-(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-680 *3 *5 *6 *2)) (-4 *2 (-679 *3 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-439))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-569)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-569)) (-5 *1 (-235))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1181))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-765)) (-5 *1 (-566))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| -2412 *1) (|:| -4465 (-635 *7))))) (-5 *3 (-635 *7)) (-4 *1 (-1193 *4 *5 *6 *7))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) ((*1 *1 *1) (-12 (-5 *1 (-619 *2 *3 *4)) (-4 *2 (-844)) (-4 *3 (-13 (-173) (-709 (-410 (-569))))) (-14 *4 (-919)))) ((*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-451 *5 *6 *7 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -3550 (-410 *5)) (|:| |poly| *3))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 (-1161 *6)) (|:| -3190 (-569))))) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-569)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-847)) (-4 *4 (-367)) (-4 *5 (-793)) (-5 *2 (-121)) (-5 *1 (-517 *4 *5 *6 *7)) (-4 *7 (-955 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-456) (-151))) (-5 *2 (-423 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-13 (-456) (-151))) (-5 *2 (-423 *3)) (-5 *1 (-103 *5 *3))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-4 *1 (-155 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -2154 (-768)) (|:| -1681 *4) (|:| |num| *4)))) (-4 *4 (-1233 *3)) (-4 *3 (-13 (-367) (-151))) (-5 *1 (-404 *3 *4)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-121)) (-5 *1 (-442)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *3 (-637 (-1169))) (-5 *4 (-121)) (-5 *1 (-442)))) ((*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-601 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-628 *2)) (-4 *2 (-173)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-666 *3)) (-4 *3 (-847)) (-5 *1 (-659 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-666 *3)) (-4 *3 (-847)) (-5 *1 (-659 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-666 *3)) (-4 *3 (-847)) (-5 *1 (-659 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-637 (-637 *3)))) (-4 *3 (-1097)) (-5 *1 (-669 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-708 *2 *3 *4)) (-4 *2 (-847)) (-4 *3 (-1097)) (-14 *4 (-1 (-121) (-2 (|:| -1755 *2) (|:| -2154 *3)) (-2 (|:| -1755 *2) (|:| -2154 *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-1169)) (|:| -4279 *4)))) (-4 *4 (-1097)) (-5 *1 (-889 *3 *4)) (-4 *3 (-1097)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 *5)) (-4 *5 (-13 (-1097) (-39))) (-5 *2 (-637 (-1132 *3 *5))) (-5 *1 (-1132 *3 *5)) (-4 *3 (-13 (-1097) (-39))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| |val| *4) (|:| -4121 *5)))) (-4 *4 (-13 (-1097) (-39))) (-4 *5 (-13 (-1097) (-39))) (-5 *2 (-637 (-1132 *4 *5))) (-5 *1 (-1132 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -4121 *4))) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))) (-5 *1 (-1132 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) ((*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-13 (-1097) (-39))) (-5 *1 (-1133 *2 *3)) (-4 *2 (-13 (-1097) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-637 (-1132 *2 *3))) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))) (-5 *1 (-1133 *2 *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-637 (-1133 *2 *3))) (-5 *1 (-1133 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) ((*1 *1 *2) (-12 (-5 *2 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))) (-5 *1 (-1133 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1158 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1169)) (-5 *5 (-1091 (-216))) (-5 *2 (-932)) (-5 *1 (-930 *3)) (-4 *3 (-612 (-544))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-5 *2 (-932)) (-5 *1 (-930 *3)) (-4 *3 (-612 (-544))))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-932)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932))))) 
+(((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-976 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-561))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-874)) (-5 *3 (-637 (-257))) (-5 *1 (-255))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-637 (-949 *3)))))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-637 (-637 (-949 *4)))) (-5 *3 (-121)) (-4 *4 (-1053)) (-4 *1 (-1129 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-637 (-949 *3)))) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-637 (-637 (-637 *4)))) (-5 *3 (-121)) (-4 *1 (-1129 *4)) (-4 *4 (-1053)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-637 (-637 (-949 *4)))) (-5 *3 (-121)) (-4 *1 (-1129 *4)) (-4 *4 (-1053)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-637 (-637 (-637 *5)))) (-5 *3 (-637 (-172))) (-5 *4 (-172)) (-4 *1 (-1129 *5)) (-4 *5 (-1053)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-637 (-637 (-949 *5)))) (-5 *3 (-637 (-172))) (-5 *4 (-172)) (-4 *1 (-1129 *5)) (-4 *5 (-1053))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-646 (-412 *5)))) (-5 *1 (-650 *4 *5)) (-5 *3 (-646 (-412 *5)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-571))) (-5 *4 (-571)) (-5 *2 (-57)) (-5 *1 (-1011))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-367)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *4 *5 *6 *3)) (-4 *3 (-955 *4 *5 *6))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-984 *4 *5 *6 *2))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-858 *4 *5 *6 *7)) (-4 *4 (-1053)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 *3)) (-14 *7 *3))) ((*1 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-1053)) (-4 *5 (-847)) (-4 *6 (-793)) (-14 *8 (-637 *5)) (-5 *2 (-1263)) (-5 *1 (-1268 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-955 *4 *6 *5)) (-14 *9 (-637 *3)) (-14 *10 *3)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-931)))) ((*1 *2 *1) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-932))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-384)) (|:| |stabilityFactor| (-384)))) (-5 *1 (-198))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-57))) (-5 *2 (-1263)) (-5 *1 (-856))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-1151))) (-5 *3 (-1151)) (-5 *2 (-306)) (-5 *1 (-291))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-185))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-958 (-571))))) (-5 *2 (-637 (-684 (-311 (-571))))) (-5 *1 (-1037))))) 
+(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-367) (-151) (-1043 (-571)))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-412 *5))) (-5 *1 (-1022 *4 *5)) (-5 *3 (-412 *5))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-14 *5 (-637 (-1169))) (-4 *3 (-955 *2 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *2)) (-4 *8 (-644 *2)) (-4 *4 (-925 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-539 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-637 (-1169))) (-4 *3 (-955 *2 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *2)) (-4 *8 (-644 *2)) (-4 *4 (-925 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-539 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 *6)) (-4 *6 (-955 *2 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-14 *5 (-637 (-1169))) (-4 *8 (-977 *2)) (-4 *9 (-644 *2)) (-4 *4 (-925 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-539 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-367)) (-5 *1 (-470 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 (-243 *5 *2))) (-5 *4 (-927 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-352)) (-5 *1 (-872 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 (-243 *5 *2))) (-5 *4 (-926 *2)) (-14 *5 (-637 (-1169))) (-4 *2 (-367)) (-5 *1 (-873 *2 *5 *6)) (-4 *6 (-117))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-637 (-216))) (-5 *1 (-197))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-456)) (-4 *3 (-847)) (-4 *3 (-1043 (-571))) (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-435 *3)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $)))))))))) 
+(((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-412 *6)) (|:| |h| *6) (|:| |c1| (-412 *6)) (|:| |c2| (-412 *6)) (|:| -3481 *6))) (-5 *1 (-1022 *5 *6)) (-5 *3 (-412 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-121)) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-468)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-932))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1097)) (-5 *2 (-1263)) (-5 *1 (-1210 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1097)) (-5 *2 (-1263)) (-5 *1 (-1210 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1090 *3)) (-4 *3 (-1203))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-857 *5))) (-14 *5 (-637 (-1169))) (-4 *6 (-456)) (-5 *2 (-637 (-637 (-243 *5 *6)))) (-5 *1 (-479 *5 *6 *7)) (-5 *3 (-637 (-243 *5 *6))) (-4 *7 (-456))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-4 *3 (-173))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-668 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1099 *3)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-1099 *3)) (-5 *1 (-905 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-1263)) (-5 *1 (-235))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2) (-12 (-14 *4 (-768)) (-4 *5 (-1203)) (-5 *2 (-140)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-367)) (-5 *2 (-140)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-395 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-571)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-847)) (-4 *4 (-367)) (-4 *5 (-793)) (-5 *2 (-571)) (-5 *1 (-517 *4 *5 *6 *7)) (-4 *7 (-955 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-987 *3)) (-4 *3 (-1053)) (-5 *2 (-922)))) ((*1 *2) (-12 (-4 *1 (-1265 *3)) (-4 *3 (-367)) (-5 *2 (-140))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-5 *2 (-637 (-2 (|:| C (-684 *5)) (|:| |g| (-1258 *5))))) (-5 *1 (-985 *5)) (-5 *3 (-684 *5)) (-5 *4 (-1258 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1240 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1217 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-845)) (-4 *4 (-367)) (-5 *2 (-768)) (-5 *1 (-951 *4 *5)) (-4 *5 (-1233 *4))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-678 *4 *5 *6)) (-4 *4 (-1097))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-289 (-833 *3))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-833 *3)) (-5 *1 (-630 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-833 (-958 *5)))) (-4 *5 (-456)) (-5 *2 (-833 (-412 (-958 *5)))) (-5 *1 (-631 *5)) (-5 *3 (-412 (-958 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-412 (-958 *5)))) (-5 *3 (-412 (-958 *5))) (-4 *5 (-456)) (-5 *2 (-833 *3)) (-5 *1 (-631 *5))))) 
+(((*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-604 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1203)) (-5 *2 (-1263))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1165 *7)) (-5 *3 (-571)) (-4 *7 (-955 *6 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-5 *1 (-319 *4 *5 *6 *7))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1018)) (-5 *2 (-855))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-1050 *5 *6))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-1050 *5 *6))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-1050 *4 *5))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1064)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1064))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-1053)) (-4 *2 (-1233 *5)) (-5 *1 (-1251 *5 *2 *6 *3)) (-4 *6 (-649 *2)) (-4 *3 (-1248 *5))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-371 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-637 *7)) (|:| -4121 *8))) (-4 *7 (-1067 *4 *5 *6)) (-4 *8 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-637 *7)) (|:| -4121 *8))) (-4 *7 (-1067 *4 *5 *6)) (-4 *8 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *8))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-151))) (-5 *1 (-545 *3 *2)) (-4 *2 (-1248 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-4 *4 (-1233 *3)) (-4 *5 (-719 *3 *4)) (-5 *1 (-549 *3 *4 *5 *2)) (-4 *2 (-1248 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-5 *1 (-550 *3 *2)) (-4 *2 (-1248 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-13 (-561) (-151))) (-5 *1 (-1144 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1100 *2 *3 *4 *5 *6)) (-4 *2 (-1097)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-637 *7)) (|:| |badPols| (-637 *7)))) (-5 *1 (-984 *4 *5 *6 *7)) (-5 *3 (-637 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1053)) (-5 *2 (-1258 *3)) (-5 *1 (-707 *3 *4)) (-4 *4 (-1233 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) ((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-412 *1)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)) (-4 *3 (-561)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-561))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1100 *2 *3 *4 *5 *6)) (-4 *2 (-1097)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-637 (-637 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-637 (-637 *5))))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-637 *3))) (-5 *1 (-1176 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4)))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4501 *3) (|:| |gap| (-768)) (|:| -2924 (-782 *3)) (|:| -3363 (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-1053)))) ((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-2 (|:| -4501 *1) (|:| |gap| (-768)) (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1067 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -4501 *1) (|:| |gap| (-768)) (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1067 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) ((*1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5))))) 
+(((*1 *2 *1) (-12 (-14 *3 (-637 (-1169))) (-4 *4 (-173)) (-4 *5 (-231 (-4001 *3) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *2) (|:| -2154 *5)) (-2 (|:| -1755 *2) (|:| -2154 *5)))) (-4 *2 (-847)) (-5 *1 (-466 *3 *4 *2 *5 *6 *7)) (-4 *7 (-955 *4 *5 (-857 *3)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1101)) (-5 *1 (-1173))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-849 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-561)) (-4 *5 (-1053)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-850 *5 *3)) (-4 *3 (-849 *5))))) 
+(((*1 *1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571))))) 
+(((*1 *2 *3) (-12 (-4 *2 (-367)) (-4 *2 (-845)) (-5 *1 (-951 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-829)) (-5 *3 (-1151))))) 
+(((*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-13 (-828) (-847) (-1053))) (-5 *2 (-1151)) (-5 *1 (-826 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-828) (-847) (-1053))) (-5 *2 (-1151)) (-5 *1 (-826 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-822)) (-5 *4 (-311 *5)) (-4 *5 (-13 (-828) (-847) (-1053))) (-5 *2 (-1263)) (-5 *1 (-826 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-822)) (-5 *4 (-311 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-828) (-847) (-1053))) (-5 *2 (-1263)) (-5 *1 (-826 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-828)) (-5 *2 (-1151)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-828)) (-5 *3 (-121)) (-5 *2 (-1151)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-828)) (-5 *3 (-822)) (-5 *2 (-1263)))) ((*1 *2 *3 *1 *4) (-12 (-4 *1 (-828)) (-5 *3 (-822)) (-5 *4 (-121)) (-5 *2 (-1263))))) 
+(((*1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-373)))) ((*1 *2) (-12 (-5 *2 (-1258 (-1098 *3 *4))) (-5 *1 (-1098 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-768)) (-5 *1 (-913 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))) (-5 *2 (-637 (-1169))) (-5 *1 (-1075 *3 *4 *5)) (-4 *5 (-13 (-435 *4) (-886 *3) (-612 (-892 *3))))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-430 *2)) (-4 *2 (-1097)) (-4 *2 (-373))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-55 *3 *4)) (-14 *4 (-637 (-1169))))) ((*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-96 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-571)) (-14 *6 (-768)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-170 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-5 *2 (-170 *6)) (-5 *1 (-169 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-213 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-311 *3) (-311 *3))) (-4 *3 (-13 (-1053) (-847))) (-5 *1 (-214 *3 *4)) (-14 *4 (-637 (-1169))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-233 *5 *6)) (-14 *5 (-768)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-5 *2 (-233 *5 *7)) (-5 *1 (-232 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-289 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-289 *6)) (-5 *1 (-288 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1203)) (-5 *1 (-289 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1151)) (-5 *5 (-610 *6)) (-4 *6 (-297)) (-4 *2 (-1203)) (-5 *1 (-292 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-610 *5)) (-4 *5 (-297)) (-4 *2 (-297)) (-5 *1 (-293 *5 *2)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-610 *1)) (-4 *1 (-297)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-684 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-5 *2 (-684 *6)) (-5 *1 (-299 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-311 *5)) (-4 *5 (-847)) (-4 *6 (-847)) (-5 *2 (-311 *6)) (-5 *1 (-309 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1053)) (-4 *7 (-1053)) (-4 *5 (-792)) (-4 *2 (-325 *7 *5)) (-5 *1 (-323 *5 *6 *4 *7 *2)) (-4 *4 (-325 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-335 *5 *6 *7 *8)) (-4 *5 (-367)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *9 (-367)) (-4 *10 (-1233 *9)) (-4 *11 (-1233 (-412 *10))) (-5 *2 (-335 *9 *10 *11 *12)) (-5 *1 (-332 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-341 *9 *10 *11)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-337 *3)) (-4 *3 (-1097)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1213)) (-4 *8 (-1213)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-4 *9 (-1233 *8)) (-4 *2 (-341 *8 *9 *10)) (-5 *1 (-339 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-341 *5 *6 *7)) (-4 *10 (-1233 (-412 *9))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-4 *2 (-378 *6)) (-5 *1 (-376 *5 *4 *6 *2)) (-4 *4 (-378 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-423 *5)) (-4 *5 (-561)) (-4 *6 (-561)) (-5 *2 (-423 *6)) (-5 *1 (-410 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-412 *5)) (-4 *5 (-561)) (-4 *6 (-561)) (-5 *2 (-412 *6)) (-5 *1 (-411 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-418 *5 *6 *7 *8)) (-4 *5 (-302)) (-4 *6 (-999 *5)) (-4 *7 (-1233 *6)) (-4 *8 (-13 (-414 *6 *7) (-1043 *6))) (-4 *9 (-302)) (-4 *10 (-999 *9)) (-4 *11 (-1233 *10)) (-5 *2 (-418 *9 *10 *11 *12)) (-5 *1 (-417 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-414 *10 *11) (-1043 *10))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-422 *6)) (-5 *1 (-420 *4 *5 *2 *6)) (-4 *4 (-422 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-561)) (-5 *1 (-423 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1053) (-847))) (-4 *6 (-13 (-1053) (-847))) (-4 *2 (-435 *6)) (-5 *1 (-426 *5 *4 *6 *2)) (-4 *4 (-435 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-430 *6)) (-5 *1 (-428 *5 *4 *6 *2)) (-4 *4 (-430 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-847)) (-5 *1 (-497 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-502 *3)) (-4 *3 (-1203)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-521 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-847)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-588 *5)) (-4 *5 (-367)) (-4 *6 (-367)) (-5 *2 (-588 *6)) (-5 *1 (-587 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3017 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-367)) (-4 *6 (-367)) (-5 *2 (-2 (|:| -3017 *6) (|:| |coeff| *6))) (-5 *1 (-587 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-367)) (-4 *2 (-367)) (-5 *1 (-587 *5 *2)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-367)) (-4 *6 (-367)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-587 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-601 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-601 *6)) (-5 *1 (-598 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-601 *6)) (-5 *5 (-601 *7)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-4 *8 (-1203)) (-5 *2 (-601 *8)) (-5 *1 (-599 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1149 *6)) (-5 *5 (-601 *7)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-4 *8 (-1203)) (-5 *2 (-1149 *8)) (-5 *1 (-599 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-601 *6)) (-5 *5 (-1149 *7)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-4 *8 (-1203)) (-5 *2 (-1149 *8)) (-5 *1 (-599 *6 *7 *8)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1203)) (-5 *1 (-601 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-637 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-637 *6)) (-5 *1 (-635 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-637 *6)) (-5 *5 (-637 *7)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-4 *8 (-1203)) (-5 *2 (-637 *8)) (-5 *1 (-636 *6 *7 *8)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1053)) (-4 *8 (-1053)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-4 *2 (-682 *8 *9 *10)) (-5 *1 (-680 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-682 *5 *6 *7)) (-4 *9 (-378 *8)) (-4 *10 (-378 *8)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1053)) (-4 *8 (-1053)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-4 *2 (-682 *8 *9 *10)) (-5 *1 (-680 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-682 *5 *6 *7)) (-4 *9 (-378 *8)) (-4 *10 (-378 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-561)) (-4 *7 (-561)) (-4 *6 (-1233 *5)) (-4 *2 (-1233 (-412 *8))) (-5 *1 (-704 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1233 (-412 *6))) (-4 *8 (-1233 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1053)) (-4 *9 (-1053)) (-4 *5 (-847)) (-4 *6 (-793)) (-4 *2 (-955 *9 *7 *5)) (-5 *1 (-723 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-793)) (-4 *4 (-955 *8 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-847)) (-4 *6 (-847)) (-4 *7 (-793)) (-4 *9 (-1053)) (-4 *2 (-955 *9 *8 *6)) (-5 *1 (-724 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-793)) (-4 *4 (-955 *9 *7 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-730 *5 *7)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-4 *7 (-721)) (-5 *2 (-730 *6 *7)) (-5 *1 (-729 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-730 *3 *4)) (-4 *4 (-721)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-782 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-5 *2 (-782 *6)) (-5 *1 (-781 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-797 *6)) (-5 *1 (-798 *4 *5 *2 *6)) (-4 *4 (-797 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-833 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-833 *6)) (-5 *1 (-832 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-833 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-833 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *1 (-832 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-840 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-840 *6)) (-5 *1 (-839 *5 *6)))) ((*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-840 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-840 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *1 (-839 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-878 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-878 *6)) (-5 *1 (-877 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-880 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-880 *6)) (-5 *1 (-879 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-882 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-882 *6)) (-5 *1 (-881 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-889 *5 *6)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-889 *5 *7)) (-5 *1 (-888 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-892 *6)) (-5 *1 (-891 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-958 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-5 *2 (-958 *6)) (-5 *1 (-952 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-847)) (-4 *8 (-1053)) (-4 *6 (-793)) (-4 *2 (-13 (-1097) (-10 -8 (-15 -1367 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-768)))))) (-5 *1 (-957 *6 *7 *8 *5 *2)) (-4 *5 (-955 *8 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-964 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-964 *6)) (-5 *1 (-963 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-949 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-5 *2 (-949 *6)) (-5 *1 (-988 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-958 *4))) (-4 *4 (-1053)) (-4 *2 (-955 (-958 *4) *5 *6)) (-4 *5 (-793)) (-4 *6 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-5 *1 (-991 *4 *5 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-561)) (-4 *6 (-561)) (-4 *2 (-999 *6)) (-5 *1 (-997 *5 *6 *4 *2)) (-4 *4 (-999 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-1003 *6)) (-5 *1 (-1004 *4 *5 *2 *6)) (-4 *4 (-1003 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-1006 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1053)) (-4 *10 (-1053)) (-14 *5 (-768)) (-14 *6 (-768)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *2 (-1056 *5 *6 *10 *11 *12)) (-5 *1 (-1058 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1056 *5 *6 *7 *8 *9)) (-4 *11 (-231 *6 *10)) (-4 *12 (-231 *5 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1091 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1091 *6)) (-5 *1 (-1087 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1091 *5)) (-4 *5 (-845)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-637 *6)) (-5 *1 (-1087 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1089 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1089 *6)) (-5 *1 (-1088 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1092 *4 *2)) (-4 *4 (-845)) (-4 *2 (-1141 *4)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-1139 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1149 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1149 *6)) (-5 *1 (-1147 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1149 *6)) (-5 *5 (-1149 *7)) (-4 *6 (-1203)) (-4 *7 (-1203)) (-4 *8 (-1203)) (-5 *2 (-1149 *8)) (-5 *1 (-1148 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1165 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-5 *2 (-1165 *6)) (-5 *1 (-1162 *5 *6)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1180 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1221 *5 *7 *9)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-14 *7 (-1169)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1221 *6 *8 *10)) (-5 *1 (-1216 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1169)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1224 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1224 *6)) (-5 *1 (-1223 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1224 *5)) (-4 *5 (-845)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1149 *6)) (-5 *1 (-1223 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1230 *5 *6)) (-14 *5 (-1169)) (-4 *6 (-1053)) (-4 *8 (-1053)) (-5 *2 (-1230 *7 *8)) (-5 *1 (-1225 *5 *6 *7 *8)) (-14 *7 (-1169)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-4 *2 (-1233 *6)) (-5 *1 (-1231 *5 *4 *6 *2)) (-4 *4 (-1233 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1242 *5 *7 *9)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-14 *7 (-1169)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1242 *6 *8 *10)) (-5 *1 (-1237 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1169)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1053)) (-4 *6 (-1053)) (-4 *2 (-1248 *6)) (-5 *1 (-1246 *5 *6 *4 *2)) (-4 *4 (-1248 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1258 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1258 *6)) (-5 *1 (-1257 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1258 *5)) (-4 *5 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1258 *6)) (-5 *1 (-1257 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-1279 *3 *4)) (-4 *4 (-843))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-958 *4)))) (-4 *4 (-456)) (-5 *2 (-637 (-3 (-412 (-958 *4)) (-1158 (-1169) (-958 *4))))) (-5 *1 (-287 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-1233 *4)) (-5 *1 (-547 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-768)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-571)) (-4 *6 (-644 *5)) (-4 *5 (-367)) (-5 *2 (-684 *5)) (-5 *1 (-638 *5 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-768)) (-5 *1 (-449 *3)) (-4 *3 (-1053)))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-449 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-768)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-497 *4)) (-4 *4 (-847)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1006 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1139 *4)) (-4 *4 (-1097)))) ((*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1210 *3)) (-4 *3 (-1097)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1097)) (-5 *2 (-121)) (-5 *1 (-1210 *3))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *6 (-216)) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(((*1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) ((*1 *2 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261))))) 
+(((*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1203)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1151)) (-5 *1 (-996)))) ((*1 *2 *3 *1) (|partial| -12 (-5 *2 (-289 (-1084 *3))) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) ((*1 *2 *1 *3) (|partial| -12 (-5 *2 (-289 (-1084 *3))) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1091 *4)) (-4 *4 (-1203)) (-5 *1 (-1089 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-571))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-216))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-721)) (-4 *2 (-1203))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-367)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1248 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-384)) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-395 *3 *4 *5)) (-14 *3 (-768)) (-14 *4 (-768)) (-4 *5 (-173))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-637 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-984 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571))))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-964 (-170 (-216)))) (-5 *3 (-1115)) (-5 *4 (-170 (-216))) (-5 *1 (-115))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-905 *4)) (-4 *4 (-1097)) (-5 *2 (-637 (-768))) (-5 *1 (-904 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| |ir| (-588 (-412 *6))) (|:| |specpart| (-412 *6)) (|:| |polypart| *6))) (-5 *1 (-581 *5 *6)) (-5 *3 (-412 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-932)) (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-932)) (-5 *4 (-412 (-571))) (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157)) (-5 *3 (-637 (-949 (-216)))))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157)) (-5 *3 (-637 (-637 (-949 (-216))))))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1263)) (-5 *1 (-453 *4 *5 *6 *3)) (-4 *3 (-955 *4 *5 *6))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-435 *2)) (-4 *2 (-847)) (-4 *2 (-561)))) ((*1 *1 *1) (-12 (-5 *1 (-738 *2 *3)) (-14 *2 (-1169)) (-4 *3 (-13 (-1053) (-847) (-561))))) ((*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-571)) (-5 *1 (-449 *3)) (-4 *3 (-409)) (-4 *3 (-1053))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-272))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) ((*1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-1169))) (-5 *2 (-637 (-637 *5))) (-5 *1 (-385 *5)) (-4 *5 (-13 (-845) (-367))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 (-571)))) (-5 *2 (-637 *4)) (-5 *1 (-385 *4)) (-4 *4 (-13 (-845) (-367)))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-684 (-571))) (-5 *1 (-1107))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-637 *6))) (-4 *6 (-955 *3 *5 *4)) (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-847) (-612 (-1169)))) (-4 *5 (-793)) (-5 *1 (-929 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-231 (-4001 *5) (-768))) (-5 *2 (-3 (-637 *7) "failed" "Infinite" (-571))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *7 (-977 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-231 (-4001 *5) (-768))) (-5 *2 (-3 (-637 *7) "failed" "Infinite" (-571))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *7 (-977 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 (-1165 *4))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *7 (-231 (-4001 *5) (-768))) (-5 *2 (-3 (-637 *8) "failed" "Infinite" (-571))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *8 (-977 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-302))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1197 *4 *5 *6 *3)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-155 *2)) (-4 *2 (-1203))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-500)))) ((*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571)))) ((*1 *1 *1) (-4 *1 (-1062)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1233 *2)) (-4 *2 (-1213)) (-5 *1 (-152 *2 *4 *3)) (-4 *3 (-1233 (-412 *4)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-921)) (-5 *2 (-2 (|:| -4501 (-637 *1)) (|:| -2280 *1))) (-5 *3 (-637 *1))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-958 (-571)))) (-5 *1 (-442)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-684 (-216))) (-5 *2 (-1101)) (-5 *1 (-756)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-684 (-571))) (-5 *2 (-1101)) (-5 *1 (-756))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-768)) (-5 *1 (-739 *4 *3)) (-14 *4 (-1169)) (-4 *3 (-1053)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-768)) (-5 *1 (-782 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-970 *3 *2)) (-4 *2 (-138)) (-4 *3 (-561)) (-4 *3 (-1053)) (-4 *2 (-792)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1165 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-978)) (-4 *2 (-138)) (-5 *1 (-1171 *3)) (-4 *3 (-561)) (-4 *3 (-1053)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1230 *4 *3)) (-14 *4 (-1169)) (-4 *3 (-1053))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3))))) 
+(((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-5 *2 (-1 *5)) (-5 *1 (-677 *4 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *1 (-804 *4 *2)) (-4 *2 (-13 (-29 *4) (-1189) (-965))))) ((*1 *1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1) (-5 *1 (-855))) ((*1 *2 *3) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-1153 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-160 *4 *2)) (-4 *2 (-435 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1169)))) ((*1 *1 *1) (-4 *1 (-162)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1189) (-29 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-561) (-1043 (-571)) (-151))) (-5 *2 (-588 (-412 (-958 *5)))) (-5 *1 (-577 *5)) (-5 *3 (-412 (-958 *5)))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-1258 *1)) (-4 *1 (-863)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-1233 *4)) (-4 *4 (-1053)) (-5 *2 (-1258 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-637 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-981))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-782 *2)) (-4 *2 (-1053))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456))))) 
 (((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1161 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-36 *4 *2))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-121)) (-5 *1 (-1103))))) 
-(((*1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *2 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *2 (-635 (-1071 *3 *4 *5))) (-5 *1 (-1072 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3))))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-871)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1061))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *2 (-1037)) (-5 *1 (-300)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *2 (-1037)) (-5 *1 (-300))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852))))) (-5 *1 (-1165))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-326 *3)) (-4 *3 (-1199)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) ((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) ((*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-1145 (-569)))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-4 *2 (-1093)) (-5 *1 (-886 *4 *2))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-178 *2)) (-4 *2 (-302)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-635 *4))) (-5 *2 (-635 *4)) (-4 *4 (-302)) (-5 *1 (-178 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-2 (|:| -4079 (-681 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-681 *7))))) (-5 *5 (-765)) (-4 *8 (-1228 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-351)) (-5 *2 (-2 (|:| -4079 (-681 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-681 *7)))) (-5 *1 (-508 *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1197 *3)) (-4 *3 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1004)) (-4 *2 (-1049))))) 
-(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-765)) (-5 *1 (-1094 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *1) (-12 (-4 *1 (-407)) (-3182 (|has| *1 (-6 -4562))) (-3182 (|has| *1 (-6 -4554))))) ((*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-4 *1 (-844))) ((*1 *2 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844)))) ((*1 *1) (-5 *1 (-1111)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-241 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-821)) (-5 *3 (-635 (-1165))) (-5 *1 (-822))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-952 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3)))) ((*1 *1 *1) (-4 *1 (-1208))) ((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-1231 *3 *2)) (-4 *2 (-13 (-1228 *3) (-559) (-10 -8 (-15 -3964 ($ $ $)))))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-635 *11)) (-5 *5 (-635 (-1161 *9))) (-5 *6 (-635 *9)) (-5 *7 (-635 *12)) (-5 *8 (-635 (-765))) (-4 *11 (-844)) (-4 *9 (-302)) (-4 *12 (-952 *9 *10 *11)) (-4 *10 (-790)) (-5 *2 (-635 (-1161 *12))) (-5 *1 (-699 *10 *11 *9 *12)) (-5 *3 (-1161 *12))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 *8)) (-5 *1 (-965 *5 *6 *3 *7 *8)) (-4 *8 (-973 *5))))) 
-(((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-5 *1 (-1219 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |outval| (-170 *4)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 (-170 *4))))))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842)))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151) (-1039 (-569)))) (-5 *1 (-573 *3 *4))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-559) (-610 (-542)))) (-4 *2 (-433 *5)) (-5 *1 (-313 *5 *2 *6 *7)) (-4 *6 (-1243 *2)) (-4 *7 (-1243 (-1159 *2)))))) 
-(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-569) "failed") *5)) (-4 *5 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *5 *3)) (-4 *3 (-1228 *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-421 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-1049)) (-5 *2 (-635 *6)) (-5 *1 (-446 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -3530 (-1145 *4)) (|:| -3538 (-1145 *4)))) (-5 *1 (-1151 *4)) (-5 *3 (-1145 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1147)) (|:| -2798 (-1147)))) (-5 *1 (-819))))) 
-(((*1 *2 *3 *4) (-12 (-4 *7 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *8 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| *3))) (-5 *1 (-956 *5 *6 *7 *8 *3)) (-5 *4 (-765)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3515 (*8 $)) (-15 -3524 (*8 $)) (-15 -3956 ($ *8)))))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-616 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -3417 *4) (|:| |sol?| (-121))) (-569) *4)) (-4 *4 (-366)) (-4 *5 (-1228 *4)) (-5 *1 (-579 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-586 *2)) (-4 *2 (-13 (-29 *4) (-1185))) (-5 *1 (-584 *4 *2)) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-955 *4)))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-589 *4))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-765)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-765)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-765)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-1002 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-1135 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-263 *3)) (-4 *5 (-790))))) 
-(((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *1 *1 *1) (-4 *1 (-755)))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-458 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-463 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-765))) (-5 *1 (-545 *3 *2 *4 *5)) (-4 *2 (-1228 *3))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-854 *5)) (-14 *5 (-635 (-1165))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-854 *5)) (-14 *5 (-635 (-1165))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *8 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *9) (|:| |radicand| *9))) (-5 *1 (-956 *5 *6 *7 *8 *9)) (-5 *4 (-765)) (-4 *9 (-13 (-366) (-10 -8 (-15 -3515 (*8 $)) (-15 -3524 (*8 $)) (-15 -3956 ($ *8)))))))) 
-(((*1 *1 *2 *2 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1049))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-902 (-569))) (-5 *4 (-569)) (-5 *2 (-681 *4)) (-5 *1 (-1030 *5)) (-4 *5 (-1049)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1030 *4)) (-4 *4 (-1049)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-902 (-569)))) (-5 *4 (-569)) (-5 *2 (-635 (-681 *4))) (-5 *1 (-1030 *5)) (-4 *5 (-1049)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-569)))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-1030 *4)) (-4 *4 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093))))) 
-(((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1199)) (-5 *2 (-765)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)) (-5 *2 (-765)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) ((*1 *2) (-12 (-4 *1 (-371)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) ((*1 *2) (-12 (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-427 *3 *4)) (-4 *3 (-428 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-765)) (-5 *1 (-715 *3 *4 *5)) (-4 *3 (-716 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1) (-4 *1 (-297))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1177 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
-(((*1 *1) (-5 *1 (-1258)))) 
-(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-991 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1100 *5 *6 *7 *8 *3))))) 
-(((*1 *2 *2) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *2 *2) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-681 *1)) (-4 *1 (-351)) (-5 *2 (-1253 *1)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-681 *1)) (-4 *1 (-149)) (-4 *1 (-906)) (-5 *2 (-1253 *1))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
-(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3417 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3339 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3))))) 
-(((*1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-371)) (-4 *2 (-1093))))) 
-(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329))))) 
-(((*1 *1 *1) (-5 *1 (-121)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-484 *3)) (-4 *3 (-13 (-351) (-610 (-569))))))) 
-(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-482 *4 *5 *6 *7)) (|:| -1941 (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-216)) (-5 *3 (-765)) (-5 *1 (-218)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-170 (-216))) (-5 *3 (-765)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-903 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5))))) 
-(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-667 *3)) (-4 *3 (-1049)) (-4 *3 (-1093))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-820)) (-5 *1 (-819))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-4 *1 (-976 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *5 (-844)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *6)) (-5 *5 (-1 (-421 (-1161 *6)) (-1161 *6))) (-4 *6 (-366)) (-5 *2 (-635 (-2 (|:| |outval| *7) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 *7)))))) (-5 *1 (-536 *6 *7 *4)) (-4 *7 (-366)) (-4 *4 (-13 (-366) (-842)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-644 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-807 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))))) ((*1 *2 *3) (-12 (-5 *3 (-645 *2 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-807 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569)))))))) 
-(((*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -4079 (-635 *1)))) (-4 *1 (-370 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -4079 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-765)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *9)) (-4 *9 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *8 (-1049)) (-4 *2 (-952 *9 *7 *5)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-790)) (-4 *4 (-952 *8 *6 *5))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-922 *5 *8)) (-5 *1 (-655 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-952 *5 *7 (-854 *6))) (-4 *3 (-973 *5)) (-4 *8 (-642 *5))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-1253 *4))) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-635 (-1253 *3)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4572)) (-4 *1 (-1240 *3)) (-4 *3 (-1199))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *2 (-635 (-410 (-569)))) (-5 *1 (-1021 *4)) (-4 *4 (-1228 (-569)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-4 *4 (-1049)) (-5 *2 (-765)) (-5 *1 (-774 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-765)) (-5 *1 (-931 *5 *3 *6 *7 *4)) (-4 *3 (-325 *5 *6)) (-4 *4 (-973 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-4 *7 (-231 *8 *2)) (-14 *8 *2) (-5 *2 (-765)) (-5 *1 (-931 *6 *3 *7 *8 *4)) (-4 *3 (-325 *6 *7)) (-4 *4 (-973 *6))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-1105)) (-4 *3 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-692)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-692))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-156 *2 *3 *4)) (-14 *2 (-919)) (-4 *3 (-366)) (-14 *4 (-996 *2 *3)))) ((*1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *1) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *1 *1) (|partial| -4 *1 (-714))) ((*1 *1 *1) (|partial| -4 *1 (-718))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1065 *3 *2)) (-4 *3 (-13 (-842) (-366))) (-4 *2 (-1228 *3)))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1135 (-1147))) (-5 *1 (-394))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1161 *7)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1228 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *4 (-1228 *5)) (-5 *2 (-1161 *7)) (-5 *1 (-511 *5 *4 *6 *7)) (-4 *6 (-1228 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1093)) (-5 *2 (-1147)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *1 *1) (-5 *1 (-1061)))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-1049)) (-4 *4 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *4)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1049)) (-4 *4 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *4)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1105)) (-4 *3 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-889 *3)) (|:| -3190 (-765)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| |var| *5) (|:| -3190 (-765)))))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -3190 (-569)))) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1253 (-765))) (-5 *1 (-667 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |mm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-816 *3)) (|:| |mm| (-816 *3)) (|:| |rm| (-816 *3)))) (-5 *1 (-816 *3)) (-4 *3 (-844))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-5 *4 (-569)) (-5 *2 (-57)) (-5 *1 (-1007))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *2 *1) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *3 (-173))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-641 *2)) (-4 *2 (-1199))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-852))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3550 *3) (|:| |gap| (-765)) (|:| -3483 (-779 *3)) (|:| -3028 (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) ((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5))))) 
-(((*1 *1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2) (-12 (-5 *2 (-1253 (-1094 *3 *4))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-765)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-216))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-559)))) ((*1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-155 *2)) (-4 *2 (-1199))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3))))) 
-(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-922)) (-5 *1 (-1098 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-57)) (-5 *1 (-892 *4)) (-4 *4 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-561)) (-5 *1 (-618 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-453 *4 *5 *6 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-5 *2 (-1165 *3)) (-5 *1 (-1178 *3)) (-4 *3 (-367))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-352)) (-5 *2 (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115)))))) (-5 *1 (-349 *4))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-782 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-682 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1233 *4)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *2 (-13 (-435 *4) (-886 *3) (-612 (-892 *3)))) (-5 *1 (-1075 *3 *4 *2)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1097)) (-5 *1 (-1158 *3 *2)) (-4 *3 (-1097))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-955 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *3 (-173)))) ((*1 *2 *3 *3 *2) (-12 (-5 *2 (-571)) (-5 *3 (-1207)) (-5 *1 (-960)))) ((*1 *2 *3 *3) (-12 (-4 *2 (-561)) (-5 *1 (-976 *2 *3)) (-4 *3 (-1233 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) (-5 *2 (-412 (-571))) (-5 *1 (-1025 *4)) (-4 *4 (-1233 (-571)))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-668 *3)) (-4 *3 (-1203)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-1008)) (-4 *2 (-1053))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 (-949 (-216)) (-949 (-216)))) (-5 *1 (-257)))) ((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-328 *4)) (-4 *4 (-367)) (-5 *2 (-684 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-5 *2 (-1258 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-1258 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-375 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-684 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-375 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-1258 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-414 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-684 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-414 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-1258 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-422 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-1258 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-684 *5))) (-5 *3 (-684 *5)) (-4 *5 (-367)) (-5 *2 (-1258 *5)) (-5 *1 (-1083 *5))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1099 (-1169))) (-5 *1 (-58)) (-5 *3 (-1169))))) 
+(((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008)))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 *4))) (-5 *3 (-1165 *4)) (-4 *4 (-909)) (-5 *1 (-658 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *2 (-236 *9)) (-4 *10 (-117))))) 
+(((*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-561)) (-5 *1 (-976 *3 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399))))) 
+(((*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-571)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 (-637 (-637 *4)))) (-5 *2 (-637 (-637 *4))) (-4 *4 (-847)) (-5 *1 (-1175 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-768)) (-5 *1 (-532 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-4 *3 (-561)) (-5 *2 (-768)))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *4 (-173)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-768)) (-5 *1 (-683 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-561)) (-5 *2 (-768))))) 
+(((*1 *1 *1) (-4 *1 (-553)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-931))))) 
+(((*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-768)) (-4 *4 (-1053)) (-5 *1 (-1229 *4 *2)) (-4 *2 (-1233 *4))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-637 (-610 *6))) (-5 *4 (-1169)) (-5 *2 (-610 *6)) (-4 *6 (-435 *5)) (-4 *5 (-847)) (-5 *1 (-580 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-257))) (-5 *4 (-1169)) (-5 *2 (-121)) (-5 *1 (-257))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-571)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-302)) (-4 *9 (-955 *8 *6 *7)) (-5 *2 (-2 (|:| -2068 (-1165 *9)) (|:| |polval| (-1165 *8)))) (-5 *1 (-737 *6 *7 *8 *9)) (-5 *3 (-1165 *9)) (-5 *4 (-1165 *8))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-5 *2 (-637 (-2 (|:| -4262 *3) (|:| -2400 *4)))) (-5 *1 (-690 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-96 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-4 *1 (-111 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-213 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-497 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-1006 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-1139 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-384)) (-5 *1 (-198))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *3 (-1233 *4)) (-5 *1 (-809 *4 *3 *2 *5)) (-4 *2 (-649 *3)) (-4 *5 (-649 (-412 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-412 *5)) (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *1 (-809 *4 *5 *2 *6)) (-4 *2 (-649 *5)) (-4 *6 (-649 *3))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184))))) 
+(((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-949 (-216))) (-5 *4 (-874)) (-5 *5 (-922)) (-5 *2 (-1263)) (-5 *1 (-476)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-949 (-216))) (-5 *2 (-1263)) (-5 *1 (-476)))) ((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-637 (-949 (-216)))) (-5 *4 (-874)) (-5 *5 (-922)) (-5 *2 (-1263)) (-5 *1 (-476))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *7 (-231 (-4001 *5) (-768))) (-5 *2 (-637 (-637 (-1165 (-1165 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-637 (-1165 (-1165 *4)))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *8 (-977 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-922)) (-5 *1 (-786))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-384))) (-5 *1 (-257)))) ((*1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-561)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-5 *1 (-423 *2)) (-4 *2 (-561))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *1 (-588 *2)) (-4 *2 (-1043 *3)) (-4 *2 (-367)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-588 *2)) (-4 *2 (-367)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-624 *4 *2)) (-4 *2 (-13 (-435 *4) (-1008) (-1189))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1089 *2)) (-4 *2 (-13 (-435 *4) (-1008) (-1189))) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-624 *4 *2)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-965)) (-5 *2 (-1169)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1089 *1)) (-4 *1 (-965))))) 
+(((*1 *1) (-5 *1 (-1065)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-819 *3)) (-4 *3 (-847)) (-5 *1 (-666 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-1185)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1185))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1258 *4)) (-4 *4 (-633 (-571))) (-5 *2 (-1258 (-571))) (-5 *1 (-1283 *4))))) 
+(((*1 *2 *3 *4) (-12 (-4 *4 (-859)) (-5 *2 (-423 (-1165 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1165 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-864)) (-5 *2 (-423 (-1165 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1165 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-768))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-121)) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-468))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121)))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-456)) (-4 *4 (-847)) (-5 *1 (-580 *4 *2)) (-4 *2 (-280)) (-4 *2 (-435 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 (-768))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-571)) (-5 *3 (-922)) (-5 *1 (-693)))) ((*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-684 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-367)) (-5 *1 (-985 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-768))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-684 (-958 *4))) (-5 *1 (-1034 *4)) (-4 *4 (-1053))))) 
+(((*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-571))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-384)) (-5 *1 (-185))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-13 (-1097) (-39))) (-5 *1 (-1132 *3 *2)) (-4 *3 (-13 (-1097) (-39)))))) 
+(((*1 *1) (-5 *1 (-566)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *1 *1) (-5 *1 (-1065)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1169)) (-4 *6 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-4 *4 (-13 (-29 *6) (-1189) (-965))) (-5 *2 (-2 (|:| |particular| *4) (|:| -1899 (-637 *4)))) (-5 *1 (-801 *6 *4 *3)) (-4 *3 (-649 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-610 *7)) (-4 *7 (-13 (-435 *6) (-23) (-1043 *2) (-1043 *5) (-900 *5) (-162))) (-5 *5 (-1169)) (-4 *6 (-1053)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-571)) (-5 *1 (-1030 *6 *7))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-1233 *4)) (-5 *2 (-1 *6 (-637 *6))) (-5 *1 (-1251 *4 *5 *3 *6)) (-4 *3 (-649 *5)) (-4 *6 (-1248 *4))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-637 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1091 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) ((*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1097) (-1043 *5))) (-4 *5 (-886 *4)) (-4 *4 (-1097)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-937 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1091 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-378 *2)) (-4 *2 (-1203)) (-4 *2 (-847)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4601)) (-4 *1 (-378 *3)) (-4 *3 (-1203))))) 
+(((*1 *1) (-5 *1 (-329)))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-932))))) 
+(((*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-596 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3691 *1) (|:| -4587 *1) (|:| |associate| *1))) (-4 *1 (-561))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-847)) (-5 *1 (-1175 *3))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-435 *3) (-1008))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-847) (-561)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-637 (-123)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-768)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-793)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-456)) (-4 *5 (-847)) (-5 *1 (-453 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *4)) (-5 *1 (-1123 *3 *4)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *3)) (-5 *1 (-1123 *4 *3)) (-4 *4 (-1233 *3))))) 
+(((*1 *1) (-5 *1 (-823)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)) (-5 *2 (-1165 *3))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-637 *3)) (-5 *1 (-593 *5 *6 *7 *8 *3)) (-4 *3 (-1106 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *5)) (|:| -3723 (-637 (-958 *5)))))) (-5 *1 (-1077 *5 *6)) (-5 *3 (-637 (-958 *5))) (-14 *6 (-637 (-1169))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *4)) (|:| -3723 (-637 (-958 *4)))))) (-5 *1 (-1077 *4 *5)) (-5 *3 (-637 (-958 *4))) (-14 *5 (-637 (-1169))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *5)) (|:| -3723 (-637 (-958 *5)))))) (-5 *1 (-1077 *5 *6)) (-5 *3 (-637 (-958 *5))) (-14 *6 (-637 (-1169)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-849 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-367)) (-4 *5 (-1053)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-850 *5 *3)) (-4 *3 (-849 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-367)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-532 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-768)) (-5 *6 (-121)) (-4 *7 (-456)) (-4 *8 (-793)) (-4 *9 (-847)) (-4 *3 (-1067 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *7 *8 *9 *3 *4)) (-4 *4 (-1072 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-768)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *6 *7 *8 *3 *4)) (-4 *4 (-1072 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-768)) (-5 *6 (-121)) (-4 *7 (-456)) (-4 *8 (-793)) (-4 *9 (-847)) (-4 *3 (-1067 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *7 *8 *9 *3 *4)) (-4 *4 (-1106 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-768)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *6 *7 *8 *3 *4)) (-4 *4 (-1106 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *5 *6 *7 *3 *4)) (-4 *4 (-1106 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-684 (-571))) (-5 *1 (-1107))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-423 *3)) (-4 *3 (-561)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -4262 *4) (|:| -2400 (-571))))) (-4 *4 (-1233 (-571))) (-5 *2 (-768)) (-5 *1 (-446 *4))))) 
+(((*1 *2) (-12 (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-1258 *1)) (-4 *1 (-341 *3 *4 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-173))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)) (-4 *2 (-456)))) ((*1 *1 *1) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1213)) (-4 *3 (-1233 *2)) (-4 *4 (-1233 (-412 *3))))) ((*1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-456)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-955 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *3 (-456)))) ((*1 *1 *1) (-12 (-4 *1 (-955 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-4 *3 (-561)) (-5 *1 (-1156 *3 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-646 (-412 *6))) (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-412 *6))) (-5 *1 (-812 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-646 (-412 *7))) (-5 *4 (-1 (-637 *6) *7)) (-5 *5 (-1 (-423 *7) *7)) (-4 *6 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *7 (-1233 *6)) (-5 *2 (-637 (-412 *7))) (-5 *1 (-812 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-647 *6 (-412 *6))) (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-412 *6))) (-5 *1 (-812 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-647 *7 (-412 *7))) (-5 *4 (-1 (-637 *6) *7)) (-5 *5 (-1 (-423 *7) *7)) (-4 *6 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *7 (-1233 *6)) (-5 *2 (-637 (-412 *7))) (-5 *1 (-812 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-646 (-412 *5))) (-4 *5 (-1233 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-637 (-412 *5))) (-5 *1 (-812 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-646 (-412 *6))) (-5 *4 (-1 (-423 *6) *6)) (-4 *6 (-1233 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-637 (-412 *6))) (-5 *1 (-812 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-647 *5 (-412 *5))) (-4 *5 (-1233 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-637 (-412 *5))) (-5 *1 (-812 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-647 *6 (-412 *6))) (-5 *4 (-1 (-423 *6) *6)) (-4 *6 (-1233 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-637 (-412 *6))) (-5 *1 (-812 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1248 *4)) (-4 *4 (-43 (-412 (-571)))) (-5 *2 (-1 (-1149 *4) (-1149 *4))) (-5 *1 (-1250 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-503)))) ((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-705))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 (-170 (-571))))) (-5 *2 (-637 (-170 *4))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-367) (-845))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-412 (-958 (-170 (-571)))))) (-5 *4 (-637 (-1169))) (-5 *2 (-637 (-637 (-170 *5)))) (-5 *1 (-383 *5)) (-4 *5 (-13 (-367) (-845)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1233 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-1115)) (-5 *1 (-113))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-768)) (-5 *4 (-571)) (-5 *1 (-449 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-964 (-1165 *4))) (-5 *1 (-360 *4)) (-5 *3 (-1165 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1149 (-1149 *4))) (-5 *2 (-1149 *4)) (-5 *1 (-1153 *4)) (-4 *4 (-43 (-412 (-571)))) (-4 *4 (-1053))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-362 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-1097)) (-4 *2 (-900 *4)) (-5 *1 (-686 *4 *2 *5 *3)) (-4 *5 (-378 *2)) (-4 *3 (-13 (-378 *4) (-10 -7 (-6 -4600))))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-1053)) (-5 *1 (-448 *3 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-955 *3 *5 *4)) (-5 *1 (-994 *3 *4 *5 *2)) (-4 *3 (-456)) (-4 *4 (-847)) (-4 *5 (-793))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-637 *7)) (|:| |badPols| (-637 *7)))) (-5 *1 (-984 *4 *5 *6 *7)) (-5 *3 (-637 *7))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1165 *9)) (-5 *4 (-637 *7)) (-5 *5 (-637 (-637 *8))) (-4 *7 (-847)) (-4 *8 (-302)) (-4 *9 (-955 *8 *6 *7)) (-4 *6 (-793)) (-5 *2 (-2 (|:| |upol| (-1165 *8)) (|:| |Lval| (-637 *8)) (|:| |Lfact| (-637 (-2 (|:| -4262 (-1165 *8)) (|:| -2154 (-571))))) (|:| |ctpol| *8))) (-5 *1 (-737 *6 *7 *8 *9))))) 
+(((*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-367)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 (-412 *3))) (-4 *1 (-334 *4 *3 *5 *2)) (-4 *2 (-341 *4 *3 *5)))) ((*1 *1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *2 (-367)) (-4 *4 (-1233 *2)) (-4 *5 (-1233 (-412 *4))) (-4 *1 (-334 *2 *4 *5 *6)) (-4 *6 (-341 *2 *4 *5)))) ((*1 *1 *2 *2) (-12 (-4 *2 (-367)) (-4 *3 (-1233 *2)) (-4 *4 (-1233 (-412 *3))) (-4 *1 (-334 *2 *3 *4 *5)) (-4 *5 (-341 *2 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *1 (-334 *3 *4 *5 *2)) (-4 *2 (-341 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-418 *4 (-412 *4) *5 *6)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 *3 *4 *5)) (-4 *3 (-367)) (-4 *1 (-334 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *4)) (-5 *1 (-1123 *3 *4)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *3) (-12 (-4 *3 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-637 *3)) (-5 *1 (-1123 *4 *3)) (-4 *4 (-1233 *3))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-148))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-571)) (-4 *6 (-644 *5)) (-4 *5 (-367)) (-5 *2 (-684 *5)) (-5 *1 (-638 *5 *6))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-958 (-571))) (-5 *2 (-329)) (-5 *1 (-331)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-1089 (-958 (-571)))) (-5 *2 (-329)) (-5 *1 (-331)))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-768)) (-5 *1 (-669 *3)) (-4 *3 (-1053)) (-4 *3 (-1097))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-2 (|:| -4501 *1) (|:| |gap| (-768)) (|:| -3363 *1))) (-4 *1 (-1067 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -4501 *1) (|:| |gap| (-768)) (|:| -3363 *1))) (-4 *1 (-1067 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-352)) (-5 *2 (-423 (-1165 (-1165 *5)))) (-5 *1 (-1202 *5)) (-5 *3 (-1165 (-1165 *5)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-243 *3 *4)) (-14 *3 (-637 (-1169))) (-4 *4 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-14 *3 (-637 (-1169))) (-5 *1 (-458 *3 *4 *5)) (-4 *4 (-1053)) (-4 *5 (-231 (-4001 *3) (-768))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-495 *3 *4)) (-14 *3 (-637 (-1169))) (-4 *4 (-1053))))) 
+(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-1136)) (-5 *2 (-1224 (-571)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-684 (-412 (-958 (-571))))) (-5 *2 (-684 (-311 (-571)))) (-5 *1 (-1037))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-892 *4)) (-4 *4 (-1097)) (-5 *1 (-889 *4 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) *2)) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-768))))) 
+(((*1 *1) (-5 *1 (-1065)))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 *7)) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) (-768))) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-5 *2 (-637 (-1258 *5))) (-5 *1 (-565 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-977 *5)) (-4 *3 (-236 *11))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-949 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-955 *4 *5 *6)) (-4 *6 (-612 (-1169))) (-4 *4 (-367)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1158 (-637 (-958 *4)) (-637 (-289 (-958 *4))))) (-5 *1 (-517 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1263)) (-5 *1 (-453 *4 *5 *6 *7)) (-4 *7 (-955 *4 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-1006 *3))))) 
+(((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-637 *11)) (|:| |todo| (-637 (-2 (|:| |val| *3) (|:| -4121 *11)))))) (-5 *6 (-768)) (-5 *2 (-637 (-2 (|:| |val| (-637 *10)) (|:| -4121 *11)))) (-5 *3 (-637 *10)) (-5 *4 (-637 *11)) (-4 *10 (-1067 *7 *8 *9)) (-4 *11 (-1072 *7 *8 *9 *10)) (-4 *7 (-456)) (-4 *8 (-793)) (-4 *9 (-847)) (-5 *1 (-1070 *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-637 *11)) (|:| |todo| (-637 (-2 (|:| |val| *3) (|:| -4121 *11)))))) (-5 *6 (-768)) (-5 *2 (-637 (-2 (|:| |val| (-637 *10)) (|:| -4121 *11)))) (-5 *3 (-637 *10)) (-5 *4 (-637 *11)) (-4 *10 (-1067 *7 *8 *9)) (-4 *11 (-1106 *7 *8 *9 *10)) (-4 *7 (-456)) (-4 *8 (-793)) (-4 *9 (-847)) (-5 *1 (-1137 *7 *8 *9 *10 *11))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1 (-216) (-216) (-216) (-216))) (-5 *2 (-1 (-949 (-216)) (-216) (-216))) (-5 *1 (-691))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-306)) (-5 *1 (-829))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-365 (-123))) (-4 *2 (-1053)) (-5 *1 (-709 *2 *4)) (-4 *4 (-640 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-365 (-123))) (-5 *1 (-834 *2)) (-4 *2 (-1053))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-1169)) (-5 *1 (-544)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-699 *3)) (-4 *3 (-612 (-544))))) ((*1 *2 *3 *2 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-699 *3)) (-4 *3 (-612 (-544))))) ((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-699 *3)) (-4 *3 (-612 (-544))))) ((*1 *2 *3 *2 *4) (-12 (-5 *4 (-637 (-1169))) (-5 *2 (-1169)) (-5 *1 (-699 *3)) (-4 *3 (-612 (-544)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-684 *3))))) 
+(((*1 *2 *3 *4 *3 *4 *3 *5 *5) (-12 (-5 *3 (-1115)) (-5 *5 (-216)) (-5 *2 (-637 (-964 *5))) (-5 *1 (-115)) (-5 *4 (-964 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439))))) 
 (((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-5 *1 (-348 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *2 (-410 (-569))) (-5 *1 (-1021 *4)) (-4 *4 (-1228 (-569)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1095 (-1165))) (-5 *1 (-58)) (-5 *3 (-1165))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1097)) (-5 *3 (-768)) (-5 *1 (-57))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-765)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-765))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *9 (-952 *8 *6 *7)) (-5 *2 (-2 (|:| -2665 (-1161 *9)) (|:| |polval| (-1161 *8)))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *3 (-1161 *9)) (-5 *4 (-1161 *8))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *1 (-586 *2)) (-4 *2 (-1039 *3)) (-4 *2 (-366)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-622 *4 *2)) (-4 *2 (-13 (-433 *4) (-1004) (-1185))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-13 (-433 *4) (-1004) (-1185))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-622 *4 *2)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-961)) (-5 *2 (-1165)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-961))))) 
-(((*1 *2 *3 *4) (-12 (-4 *4 (-856)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1161 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-861)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1161 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-919)) (-5 *1 (-690)))) ((*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-681 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-981 *5))))) 
-(((*1 *1) (-5 *1 (-564)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1185) (-961))) (-5 *2 (-2 (|:| |particular| *4) (|:| -4079 (-635 *4)))) (-5 *1 (-798 *6 *4 *3)) (-4 *3 (-647 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1093) (-1039 *5))) (-4 *5 (-883 *4)) (-4 *4 (-1093)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-934 *4 *5 *6))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) ((*1 *1 *1 *1) (-4 *1 (-551))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-765))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3667 *1) (|:| -4558 *1) (|:| |associate| *1))) (-4 *1 (-559))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-915 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 *7)) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) (-768))) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-5 *2 (-637 (-1258 *5))) (-5 *1 (-565 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-977 *5)) (-4 *3 (-236 *11))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1258 (-1258 (-571)))) (-5 *1 (-474))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *3 (-637 (-874))) (-5 *1 (-476))))) 
+(((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-129 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *2) (-12 (-5 *2 (-768)) (-5 *1 (-129 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-678 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189))))) ((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-855))))) 
+(((*1 *1 *1) (-5 *1 (-1065)))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1121 *4 *3 *5))) (-4 *4 (-43 (-412 (-571)))) (-4 *4 (-1053)) (-4 *3 (-847)) (-5 *1 (-1121 *4 *3 *5)) (-4 *5 (-955 *4 (-537 *3) *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1198 *4))) (-5 *3 (-1169)) (-5 *1 (-1198 *4)) (-4 *4 (-43 (-412 (-571)))) (-4 *4 (-1053))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-783 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-173))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-768)) (-5 *3 (-1 *4 (-571) (-571))) (-4 *4 (-1053)) (-4 *1 (-682 *4 *5 *6)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-637 (-855)))) (-5 *1 (-855)))) ((*1 *2 *1) (-12 (-5 *2 (-1134 *3 *4)) (-5 *1 (-1000 *3 *4)) (-14 *3 (-922)) (-4 *4 (-367)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-637 *5))) (-4 *5 (-1053)) (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 (-243 *4 *5))) (-5 *2 (-243 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *1 (-625 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *3 (-1233 *4)) (-4 *2 (-1248 *4)) (-5 *1 (-1251 *4 *3 *5 *2)) (-4 *5 (-649 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-4 *1 (-228 *3)))) ((*1 *1) (-12 (-4 *1 (-228 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3) (-12 (-14 *4 (-637 (-1169))) (-14 *5 (-768)) (-5 *2 (-637 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571)))))) (-5 *1 (-518 *4 *5)) (-5 *3 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571)))))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-768)) (-5 *1 (-589 *2)) (-4 *2 (-553))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1097)) (-4 *4 (-1097)) (-4 *6 (-1097)) (-5 *2 (-1 *6 *5)) (-5 *1 (-678 *5 *4 *6))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1333 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-1151)) (-5 *1 (-185)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-637 *5))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-1067 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1197 *4 *5 *6 *3)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-684 (-311 (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-384)) (|:| |stabilityFactor| (-384)))) (-5 *1 (-198))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-637 (-1230 *5 *4))) (-5 *1 (-1111 *4 *5)) (-5 *3 (-1230 *5 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-423 *5)) (-4 *5 (-561)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *5) (|:| |radicand| (-637 *5)))) (-5 *1 (-317 *5)) (-5 *4 (-768)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1008)) (-5 *2 (-571))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1115)) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-503)))) ((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-705))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *4 *5 *6 *7))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1151)) (-4 *1 (-368 *2 *4)) (-4 *2 (-1097)) (-4 *4 (-1097)))) ((*1 *1 *2) (-12 (-4 *1 (-368 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1248 *4)) (-5 *1 (-1250 *4 *2)) (-4 *4 (-43 (-412 (-571))))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1213)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 (-412 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-862 *4))) (-4 *4 (-352)) (-5 *2 (-973 *4)) (-5 *1 (-872 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-5 *2 (-972 *4)) (-5 *1 (-873 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-4 *1 (-977 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-684 (-311 (-571)))) (-5 *1 (-1037))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-4 *5 (-328 *4)) (-4 *6 (-1233 *5)) (-5 *2 (-637 *3)) (-5 *1 (-774 *4 *5 *6 *3 *7)) (-4 *3 (-1233 *6)) (-14 *7 (-922))))) 
+(((*1 *2) (-12 (-5 *2 (-964 (-1115))) (-5 *1 (-342 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922)))) ((*1 *2) (-12 (-5 *2 (-964 (-1115))) (-5 *1 (-343 *3 *4)) (-4 *3 (-352)) (-14 *4 (-1165 *3)))) ((*1 *2) (-12 (-5 *2 (-964 (-1115))) (-5 *1 (-344 *3 *4)) (-4 *3 (-352)) (-14 *4 (-922))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-368 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) ((*1 *1 *1) (-5 *1 (-626)))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-4 *6 (-886 *5)) (-5 *2 (-885 *5 *6 (-637 *6))) (-5 *1 (-887 *5 *6 *4)) (-5 *3 (-637 *6)) (-4 *4 (-612 (-892 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-5 *2 (-637 (-289 *3))) (-5 *1 (-887 *5 *3 *4)) (-4 *3 (-1043 (-1169))) (-4 *3 (-886 *5)) (-4 *4 (-612 (-892 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-5 *2 (-637 (-289 (-958 *3)))) (-5 *1 (-887 *5 *3 *4)) (-4 *3 (-1053)) (-2931 (-4 *3 (-1043 (-1169)))) (-4 *3 (-886 *5)) (-4 *4 (-612 (-892 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-5 *2 (-889 *5 *3)) (-5 *1 (-887 *5 *3 *4)) (-2931 (-4 *3 (-1043 (-1169)))) (-2931 (-4 *3 (-1053))) (-4 *3 (-886 *5)) (-4 *4 (-612 (-892 *5)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-231 (-4001 *5) (-768))) (-5 *2 (-1165 (-1165 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *7 (-977 *4))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-768)) (-5 *5 (-637 *3)) (-4 *3 (-302)) (-4 *6 (-847)) (-4 *7 (-793)) (-5 *2 (-121)) (-5 *1 (-620 *6 *7 *3 *8)) (-4 *8 (-955 *3 *7 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-216))) (-5 *4 (-768)) (-5 *2 (-684 (-216))) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-768)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *6 *7 *8 *3 *4)) (-4 *4 (-1072 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-768)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *6 *7 *8 *3 *4)) (-4 *4 (-1106 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *5 *6 *7 *3 *4)) (-4 *4 (-1106 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1099 (-768))) (-5 *6 (-768)) (-5 *2 (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| *3) (|:| -4421 (-571))))))) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-983 *4 *5 *3 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-4 *6 (-1067 *4 *5 *3)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *2 (-495 *4 *5)) (-5 *1 (-625 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-412 (-958 *5)))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-1158 (-637 (-311 *5)) (-637 (-289 (-311 *5))))) (-5 *1 (-1124 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-1158 (-637 (-311 *5)) (-637 (-289 (-311 *5))))) (-5 *1 (-1124 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-922) "arbitrary")) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-922) "arbitrary")) (-5 *1 (-468))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-423 *2)) (-4 *2 (-561))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172))))) 
+(((*1 *2 *2) (-12 (-4 *2 (-13 (-367) (-845))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1233 (-170 *2)))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-637 (-1165 *7))) (-5 *3 (-1165 *7)) (-4 *7 (-955 *5 *6 *4)) (-4 *5 (-909)) (-4 *6 (-793)) (-4 *4 (-847)) (-5 *1 (-906 *5 *6 *4 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-596 *3)) (-4 *3 (-1053)))) ((*1 *2 *1) (-12 (-4 *3 (-561)) (-5 *2 (-121)) (-5 *1 (-618 *3 *4)) (-4 *4 (-1233 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-730 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-721)))) ((*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-637 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1197 *5 *6 *7 *8)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *3)))) (-5 *1 (-596 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-36 *3 *4)) (-4 *4 (-435 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-768)) (-5 *1 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *4)) (-4 *4 (-435 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-123)) (-5 *1 (-164)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *4)) (-4 *4 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-296 *3)) (-4 *3 (-297)))) ((*1 *2 *2) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-847)) (-5 *1 (-434 *3 *4)) (-4 *3 (-435 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *4)) (-4 *4 (-435 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-610 *3)) (-4 *3 (-847)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *4)) (-4 *4 (-13 (-435 *3) (-1008) (-1189)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-571)))) ((*1 *2 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-571)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-571))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-2 (|:| |val| (-637 *6)) (|:| -4121 *7)))) (-4 *6 (-1067 *3 *4 *5)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-995 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-2 (|:| |val| (-637 *6)) (|:| -4121 *7)))) (-4 *6 (-1067 *3 *4 *5)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-1104 *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *1 *1) (-4 *1 (-280))) ((*1 *2 *3) (-12 (-5 *3 (-423 *4)) (-4 *4 (-561)) (-5 *2 (-637 (-2 (|:| -4501 (-768)) (|:| |logand| *4)))) (-5 *1 (-317 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *2 *1) (-12 (-5 *2 (-659 *3 *4)) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-13 (-1053) (-712 (-412 (-571))))) (-4 *5 (-847)) (-5 *1 (-1272 *4 *5 *2)) (-4 *2 (-1277 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1276 *3 *4)) (-4 *4 (-712 (-412 (-571)))) (-4 *3 (-847)) (-4 *4 (-173))))) 
 (((*1 *1) (-5 *1 (-121)))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *1) (-5 *1 (-820)))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-765)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-4 *3 (-1063 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *7 *8 *9 *3 *4)) (-4 *4 (-1068 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-765)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-4 *3 (-1063 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *7 *8 *9 *3 *4)) (-4 *4 (-1102 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *6 *7 *8 *3 *4)) (-4 *4 (-1102 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-454)))) ((*1 *1 *1) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1208)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))))) ((*1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-454)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-454)))) ((*1 *1 *1) (-12 (-4 *1 (-952 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-1152 *3 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-5 *2 (-2 (|:| |upol| (-1161 *8)) (|:| |Lval| (-635 *8)) (|:| |Lfact| (-635 (-2 (|:| -3139 (-1161 *8)) (|:| -3190 (-569))))) (|:| |ctpol| *8))) (-5 *1 (-734 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1085 (-955 (-569)))) (-5 *2 (-329)) (-5 *1 (-331)))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-667 *3)) (-4 *3 (-1049)) (-4 *3 (-1093))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-5 *2 (-635 (-1253 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-973 *5)) (-4 *3 (-236 *11))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1 (-216) (-216) (-216) (-216))) (-5 *2 (-1 (-946 (-216)) (-216) (-216))) (-5 *1 (-688))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
-(((*1 *2 *3 *4 *3 *4 *3 *5 *5) (-12 (-5 *3 (-1111)) (-5 *5 (-216)) (-5 *2 (-635 (-960 *5))) (-5 *1 (-115)) (-5 *4 (-960 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *1 (-474))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1117 *4 *3 *5))) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049)) (-4 *3 (-844)) (-5 *1 (-1117 *4 *3 *5)) (-4 *5 (-952 *4 (-535 *3) *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1194 *4))) (-5 *3 (-1165)) (-5 *1 (-1194 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049))))) 
-(((*1 *2 *3) (-12 (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-635 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569)))))) (-5 *1 (-516 *4 *5)) (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569)))))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-148)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-421 *5)) (-4 *5 (-559)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *5) (|:| |radicand| (-635 *5)))) (-5 *1 (-317 *5)) (-5 *4 (-765)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1004)) (-5 *2 (-569))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) ((*1 *1 *1) (-5 *1 (-624)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1193 *5 *6 *7 *8)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *4 *2 *5)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-1049)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-910 *5 *2 *6 *7)) (-4 *2 (-325 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-919)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4572)) (-4 *1 (-128 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4572)) (-4 *1 (-128 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1165)) (-5 *1 (-624)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-1219 (-569))) (|has| *1 (-6 -4572)) (-4 *1 (-641 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-973 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4572)) (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-1176 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) ((*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-559)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -2877 (-616 *4 *5)) (|:| -2266 (-410 *5)))) (-5 *1 (-616 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1228 *3))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2859 (-123)) (|:| |w| (-216)))) (-5 *1 (-197))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-297)) (-4 *2 (-1199)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-608 *1))) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-289 *1)) (-4 *1 (-297))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-569))) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 (-569)) (-14 *5 (-765)))) ((*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-142 *3 *4 *2)) (-14 *3 (-569)) (-14 *4 (-765)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-241 (-1147))) (-5 *1 (-206 *4)) (-4 *4 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ *3)) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-992)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) ((*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-765)) (-5 *1 (-241 *4)) (-4 *4 (-844)))) ((*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-241 *3)) (-4 *3 (-844)))) ((*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-241 *3)) (-4 *3 (-844)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-282 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) ((*1 *2 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1228 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1208)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-420 *2)) (-4 *2 (-173)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1147)) (-5 *1 (-512)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-57)) (-5 *1 (-624)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-765)) (-5 *1 (-667 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-889 *4))) (-5 *1 (-889 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-902 *4)) (-5 *1 (-901 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-922 *2 *4)) (-4 *4 (-642 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-973 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-233 *4 *2)) (-14 *4 (-919)) (-4 *2 (-366)) (-5 *1 (-996 *4 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *2 (-1049)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1049)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1072 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)))) ((*1 *1 *1 *1) (-4 *1 (-1132))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-410 *1)) (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-410 *1)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) ((*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 (-1161 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1161 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-844)))) ((*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1199)) (-4 *2 (-1093)) (-4 *2 (-844))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-1165)) (|:| |c| (-1273 *3))))) (-5 *1 (-1273 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| *3) (|:| |c| (-1275 *3 *4))))) (-5 *1 (-1275 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165)))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-960 (-216))) (-5 *1 (-115)) (-5 *3 (-216))))) 
-(((*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-571 *6 *3 *7)) (-4 *7 (-1093))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-893 *2 *3)) (-4 *2 (-1228 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1205 *2)) (-4 *2 (-1093)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-844)) (-5 *1 (-1205 *2))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-170 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1147)) (-5 *1 (-1181))))) 
-(((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-860)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-860)))) ((*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1161 (-862))) (-5 *3 (-919)) (-5 *4 (-1165)) (-5 *1 (-862))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1253 (-569))) (-5 *3 (-569)) (-5 *1 (-1103)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-1253 (-569))) (-5 *3 (-635 (-569))) (-5 *4 (-569)) (-5 *1 (-1103))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) ((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-637 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-955 *5)) (-4 *5 (-1049)) (-5 *2 (-243 *4 *5)) (-5 *1 (-947 *4 *5)) (-14 *4 (-635 (-1165)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1161 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1025 *3)) (-4 *3 (-13 (-842) (-366) (-1023))))) ((*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1065 *2 *3)) (-4 *2 (-13 (-842) (-366))) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *3 (-635 (-569))) (-5 *1 (-880))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-121)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-681 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-946 *4)) (-4 *4 (-1049)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919))))) 
-(((*1 *1 *1 *1) (-4 *1 (-297))) ((*1 *1 *1) (-4 *1 (-297)))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1253 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-1253 *4)) (-5 *1 (-630 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *4 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *4 (-216)) (-5 *1 (-115))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-172)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-1 (-635 *4) *4)) (-4 *4 (-1199)) (-5 *1 (-1141 *4))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-765)) (-4 *3 (-1199)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1) (-5 *1 (-172))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392)))) ((*1 *1) (-5 *1 (-397))) ((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *1) (-12 (-4 *3 (-1093)) (-5 *1 (-882 *2 *3 *4)) (-4 *2 (-1093)) (-4 *4 (-659 *3)))) ((*1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) ((*1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) ((*1 *1 *1) (-5 *1 (-1165))) ((*1 *1) (-5 *1 (-1165))) ((*1 *1) (-5 *1 (-1180)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-382)) (-5 *1 (-1061))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-4 *2 (-1228 *4)) (-5 *1 (-920 *4 *2))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-852) (-852))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-852) (-635 (-852)))) (-5 *1 (-123)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-852) (-635 (-852)))) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-397)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-397)))) ((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-501)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-512)))) ((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-702)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1180)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1180))))) 
-(((*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-681 *2)) (-5 *4 (-569)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *5 (-1228 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-973 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-608 *4)) (-4 *4 (-844)) (-4 *2 (-844)) (-5 *1 (-607 *2 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1049))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11))))) 
-(((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1199)) (-5 *2 (-765)) (-5 *1 (-180 *4 *3)) (-4 *3 (-666 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4)) (-4 *4 (-1049))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-1223 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1078 *3)) (-4 *3 (-139))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-635 (-960 (-216)))) (-5 *1 (-115)) (-5 *4 (-960 (-216)))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1199)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-602 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199))))) 
-(((*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-667 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-5 *2 (-1161 *1)) (-4 *1 (-328 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1161 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *3 (-366)) (-4 *2 (-1228 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-835)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-635 (-382))) (-5 *5 (-635 (-837 (-382)))) (-5 *6 (-635 (-311 (-382)))) (-5 *3 (-311 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *5 (-635 (-837 (-382)))) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
-(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-542))) ((*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1193 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-1063 *2 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-844)) (-5 *2 (-765))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1165)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-454)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) ((*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-1145 *3))) (-5 *1 (-1145 *3)) (-4 *3 (-1199))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-608 *5)) (-4 *5 (-433 *4)) (-4 *4 (-1039 (-569))) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-1161 *5)) (-5 *1 (-36 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-1049)) (-4 *1 (-297)) (-5 *2 (-1161 *1))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-4 *6 (-231 *7 *3)) (-14 *7 *3) (-5 *2 (-635 *5)) (-5 *1 (-910 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1 *1) (-5 *1 (-1111)))) 
-(((*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1093) (-39))) (-4 *6 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1128 *5 *6))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1165)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1185) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-844) (-151) (-1039 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-635 *4)) (-5 *1 (-1016 *8 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-410 (-955 *4))) (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-1039 (-569)) (-151))) (-5 *1 (-575 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *2 (-1063 *4 *5 *6)) (-5 *1 (-770 *4 *5 *6 *2 *3)) (-4 *3 (-1068 *4 *5 *6 *2))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $)))))))))) 
-(((*1 *2) (-12 (-5 *2 (-2 (|:| -2289 (-635 (-1165))) (|:| -2182 (-635 (-1165))))) (-5 *1 (-1206))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1167 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-206 *4)) (-4 *4 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-512))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *1 (-256 *2)) (-4 *2 (-1199)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *2 (-57)) (-5 *1 (-257)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-466))) (-5 *4 (-1165)) (-5 *2 (-57)) (-5 *1 (-466))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)) (-4 *2 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1228 (-569))) (-5 *2 (-635 (-569))) (-5 *1 (-497 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-454)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-454))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184))))) 
+(((*1 *2) (-12 (-4 *3 (-1053)) (-5 *2 (-964 (-707 *3 *4))) (-5 *1 (-707 *3 *4)) (-4 *4 (-1233 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-1119 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-803))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-1034 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-637 (-684 *3))) (-4 *3 (-1053)) (-5 *1 (-1034 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-1034 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-684 *3))) (-4 *3 (-1053)) (-5 *1 (-1034 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-5 *1 (-499 *2)) (-4 *2 (-1233 (-571)))))) 
+(((*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-130))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1149 (-412 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-494))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1001 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097))))) 
+(((*1 *1 *1 *1) (-4 *1 (-553)))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3026 (-782 *3)) (|:| |coef2| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -3026 *1) (|:| |coef2| *1))) (-4 *1 (-1067 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1118 *3 *4 *2 *5)) (-4 *4 (-1053)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-378 *2)) (-4 *2 (-1203)) (-4 *2 (-847)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-378 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-975 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1129 *2)) (-4 *2 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-1157 *3 *4))) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-367)))) ((*1 *2 *1) (-12 (-4 *1 (-375 *2 *3)) (-4 *3 (-1233 *2)) (-4 *2 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-922)) (-4 *4 (-352)) (-5 *1 (-535 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1118 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1053))))) 
+(((*1 *1) (-5 *1 (-1260)))) 
+(((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-497 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-502 *3)) (-4 *3 (-1203)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-732 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-637 *3)) (-5 *1 (-1139 *3)) (-4 *3 (-1097))))) 
+(((*1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1261)))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1261))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-637 (-610 *4))) (-4 *4 (-435 *3)) (-4 *3 (-847)) (-5 *1 (-580 *3 *4)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-889 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3017 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-367)) (-5 *1 (-581 *4 *2)) (-4 *2 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-273 *4 *3)) (-4 *3 (-13 (-435 *4) (-1008)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-57)) (-5 *1 (-1182))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-384))) (-5 *1 (-1045))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-849 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-561)) (-4 *5 (-1053)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-850 *5 *3)) (-4 *3 (-849 *5))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-637 (-949 *4))) (-4 *1 (-1129 *4)) (-4 *4 (-1053)) (-5 *2 (-768))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-610 (-53)))) (-5 *1 (-53)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-610 (-53))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1165 (-53))) (-5 *3 (-637 (-610 (-53)))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1165 (-53))) (-5 *3 (-610 (-53))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-367) (-845))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1233 (-170 *2))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-328 *3)) (-4 *3 (-367)) (-4 *3 (-373)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-367)))) ((*1 *2 *1) (-12 (-4 *1 (-375 *2 *3)) (-4 *3 (-1233 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *4 (-1233 *2)) (-4 *2 (-999 *3)) (-5 *1 (-418 *3 *2 *4 *5)) (-4 *3 (-302)) (-4 *5 (-13 (-414 *2 *4) (-1043 *2))))) ((*1 *2 *1) (-12 (-4 *4 (-1233 *2)) (-4 *2 (-999 *3)) (-5 *1 (-419 *3 *2 *4 *5 *6)) (-4 *3 (-302)) (-4 *5 (-414 *2 *4)) (-14 *6 (-1258 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *2 (-13 (-409) (-1043 *5) (-367) (-1189) (-280))) (-5 *1 (-447 *5 *3 *2)) (-4 *3 (-1233 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-610 (-507)))) (-5 *1 (-507)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-610 (-507))) (-5 *1 (-507)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1165 (-507))) (-5 *3 (-637 (-610 (-507)))) (-5 *1 (-507)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1165 (-507))) (-5 *3 (-610 (-507))) (-5 *1 (-507)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-922)) (-4 *4 (-352)) (-5 *1 (-535 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-456)) (-4 *5 (-719 *4 *2)) (-4 *2 (-1233 *4)) (-5 *1 (-772 *4 *2 *5 *3)) (-4 *3 (-1233 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)))) ((*1 *1 *1) (-4 *1 (-1062)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-412 (-571))) (-5 *1 (-438 *4 *3)) (-4 *3 (-435 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-610 *3)) (-4 *3 (-435 *5)) (-4 *5 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-1165 (-412 (-571)))) (-5 *1 (-438 *5 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *2 (-13 (-435 *4) (-886 *3) (-612 (-892 *3)))) (-5 *1 (-1075 *3 *4 *2)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1097)) (-5 *1 (-1158 *2 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-121)) (-5 *1 (-829))))) 
+(((*1 *2) (-12 (-5 *2 (-1177 (-1084 *3) (-1084 *3))) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1032 (-840 (-571)))) (-5 *1 (-596 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-955 *4 *5 *6)) (-5 *2 (-637 (-637 *7))) (-5 *1 (-452 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-955 *5 *6 *7)) (-5 *2 (-637 (-637 *8))) (-5 *1 (-452 *5 *6 *7 *8)) (-5 *3 (-637 *8))))) 
+(((*1 *2) (-12 (-4 *1 (-409)) (-5 *2 (-922)))) ((*1 *1) (-4 *1 (-553))) ((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-693)))) ((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-693)))) ((*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-904 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-793)) (-4 *3 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))) (-4 *5 (-561)) (-5 *1 (-727 *4 *3 *5 *2)) (-4 *2 (-955 (-412 (-958 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-5 *1 (-991 *4 *5 *3 *2)) (-4 *2 (-955 (-958 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-4 *4 (-1053)) (-4 *5 (-793)) (-5 *1 (-991 *4 *5 *6 *2)) (-4 *2 (-955 (-958 *4) *5 *6))))) 
+(((*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *1 (-1123 *3 *2)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *3)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-984 *4 *5 *6 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-637 *7) (-637 *7))) (-5 *2 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-984 *4 *5 *6 *7))))) 
+(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-610 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1169))) (-5 *5 (-1165 *2)) (-4 *2 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *1 (-567 *6 *2 *7)) (-4 *7 (-1097)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-610 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1169))) (-5 *5 (-412 (-1165 *2))) (-4 *2 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *1 (-567 *6 *2 *7)) (-4 *7 (-1097))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1151)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-257)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-693)))) ((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-693))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-780 *5 (-857 *6)))) (-5 *4 (-121)) (-4 *5 (-456)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-1050 *5 *6))) (-5 *1 (-622 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-346 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-435 *2)) (-4 *2 (-847)) (-4 *2 (-1053)))) ((*1 *1 *1) (-12 (-5 *1 (-738 *2 *3)) (-14 *2 (-1169)) (-4 *3 (-13 (-1053) (-847) (-561))))) ((*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561))))) 
+(((*1 *1 *1 *2 *1) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1097)))) ((*1 *1 *2) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1097))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-367)) (-4 *1 (-328 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-1233 *4)) (-4 *4 (-1213)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1233 (-412 *3))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-1258 *1)) (-4 *4 (-173)) (-4 *1 (-371 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-1258 *1)) (-4 *4 (-173)) (-4 *1 (-375 *4 *5)) (-4 *5 (-1233 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-173)) (-4 *1 (-414 *3 *4)) (-4 *4 (-1233 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-173)) (-4 *1 (-422 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-847)) (-5 *2 (-1176 (-637 *4))) (-5 *1 (-1175 *4)) (-5 *3 (-637 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-958 (-571))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1852 *6) (|:| |sol?| (-121))) (-571) *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-5 *2 (-2 (|:| |answer| (-588 (-412 *7))) (|:| |a0| *6))) (-5 *1 (-581 *6 *7)) (-5 *3 (-412 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571))))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-423 *3)) (-4 *3 (-553)) (-4 *3 (-561)))) ((*1 *2 *1) (-12 (-4 *1 (-553)) (-5 *2 (-412 (-571))))) ((*1 *2 *1) (-12 (-4 *1 (-797 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571))))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-833 *3)) (-4 *3 (-553)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-840 *3)) (-4 *3 (-553)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1003 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571))))) ((*1 *2 *3) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-1014 *3)) (-4 *3 (-1043 *2))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-637 (-610 *2))) (-5 *4 (-637 (-1169))) (-4 *2 (-13 (-435 (-170 *5)) (-1008) (-1189))) (-4 *5 (-13 (-561) (-847))) (-5 *1 (-600 *5 *6 *2)) (-4 *6 (-13 (-435 *5) (-1008) (-1189)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-931))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-561)) (-5 *2 (-1165 *4)) (-5 *1 (-764 *4))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-637 (-637 (-216)))) (-5 *4 (-216)) (-5 *2 (-637 (-949 *4))) (-5 *1 (-1200)) (-5 *3 (-949 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-637 (-130))) (-5 *1 (-130))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-909)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-955 *4 *5 *6)) (-5 *2 (-423 (-1165 *7))) (-5 *1 (-906 *4 *5 *6 *7)) (-5 *3 (-1165 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-909)) (-4 *5 (-1233 *4)) (-5 *2 (-423 (-1165 *5))) (-5 *1 (-907 *4 *5)) (-5 *3 (-1165 *5))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-768)) (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *1 (-511 *3 *4 *5)) (-4 *5 (-414 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -4262 *4) (|:| -2400 (-571))))) (-4 *4 (-1233 (-571))) (-5 *2 (-732 (-768))) (-5 *1 (-446 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-423 *5)) (-4 *5 (-1233 *4)) (-4 *4 (-1053)) (-5 *2 (-732 (-768))) (-5 *1 (-448 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) ((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261))))) 
+(((*1 *2) (-12 (-4 *3 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *2 (-637 *4)) (-5 *1 (-913 *3 *4 *5 *6)) (-4 *4 (-325 *3 *5))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-412 (-571))) (-5 *1 (-423 *3)) (-4 *3 (-553)) (-4 *3 (-561)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-553)) (-5 *2 (-412 (-571))))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-797 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-412 (-571))) (-5 *1 (-833 *3)) (-4 *3 (-553)) (-4 *3 (-1097)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-412 (-571))) (-5 *1 (-840 *3)) (-4 *3 (-553)) (-4 *3 (-1097)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1003 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-412 (-571))))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-412 (-571))) (-5 *1 (-1014 *3)) (-4 *3 (-1043 *2))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-885 *3 *4 *5)) (-4 *3 (-1097)) (-4 *5 (-661 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1001 *2)) (-4 *2 (-1203)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-571)) (-5 *5 (-1151)) (-5 *6 (-684 (-216))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-746))))) 
+(((*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1053)) (-5 *1 (-850 *5 *2)) (-4 *2 (-849 *5))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-5 *2 (-1263)) (-5 *1 (-1172)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-1169))) (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) ((*1 *2 *3 *4 *1) (-12 (-5 *4 (-637 (-1169))) (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-768)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-793)) (-4 *4 (-955 *5 *6 *7)) (-4 *5 (-456)) (-4 *7 (-847)) (-5 *1 (-453 *5 *6 *7 *4))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-571)) (|has| *1 (-6 -4601)) (-4 *1 (-378 *3)) (-4 *3 (-1203))))) 
+(((*1 *2 *3 *2) (-12 (-4 *2 (-13 (-367) (-845))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1233 (-170 *2))))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-367) (-845))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1233 (-170 *2)))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-571)) (-5 *5 (-1151)) (-5 *6 (-684 (-216))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-393)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-746))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) (-5 *2 (-637 (-1169))) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 *7)) (-4 *7 (-955 *6 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-5 *2 (-637 *5)) (-5 *1 (-319 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-338 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-392)))) ((*1 *2 *1) (-12 (-4 *1 (-435 *3)) (-4 *3 (-847)) (-5 *2 (-637 (-1169))))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-955 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-637 *5)) (-5 *1 (-956 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $))))))) ((*1 *2 *1) (-12 (-4 *1 (-980 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-792)) (-4 *5 (-847)) (-5 *2 (-637 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-637 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-5 *2 (-637 (-1169))) (-5 *1 (-1048 *4))))) 
+(((*1 *1 *1) (-4 *1 (-1136)))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-2 (|:| -3974 (-418 *4 (-412 *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2062 (-412 *6)) (|:| |special| (-412 *6)))) (-5 *1 (-722 *5 *6)) (-5 *3 (-412 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-367)) (-5 *2 (-637 *3)) (-5 *1 (-896 *3 *4)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-768)) (-4 *5 (-367)) (-5 *2 (-2 (|:| -1856 *3) (|:| -1852 *3))) (-5 *1 (-896 *3 *5)) (-4 *3 (-1233 *5)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-637 *9)) (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1070 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-637 *9)) (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1070 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-637 *9)) (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1106 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1137 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-637 *9)) (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1106 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1137 *5 *6 *7 *8 *9))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-568)) (-5 *3 (-571))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3)))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1041)) (-5 *1 (-746))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1233 *6)) (-4 *6 (-13 (-27) (-435 *5))) (-4 *5 (-13 (-847) (-561) (-1043 (-571)))) (-4 *8 (-1233 (-412 *7))) (-5 *2 (-588 *3)) (-5 *1 (-556 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115)))))) (-4 *4 (-352)) (-5 *2 (-1263)) (-5 *1 (-535 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-786))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1043 (-571))) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-36 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1165 *4)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-1053)) (-4 *1 (-297)))) ((*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-5 *2 (-1165 *3)))) ((*1 *2) (-12 (-4 *1 (-719 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1233 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-863)))) ((*1 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-863)))) ((*1 *2 *1) (-12 (-4 *1 (-1069 *3 *2)) (-4 *3 (-13 (-845) (-367))) (-4 *2 (-1233 *3))))) 
+(((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-155 *2)) (-4 *2 (-1203)) (-4 *2 (-1097)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4600)) (-4 *1 (-155 *3)) (-4 *3 (-1203)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-668 *3)) (-4 *3 (-1203)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-571)) (-4 *4 (-1097)) (-5 *1 (-732 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-732 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))) (-5 *1 (-1133 *3 *4))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-746))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-13 (-1053) (-712 (-412 (-571))))) (-4 *5 (-847)) (-5 *1 (-1272 *4 *5 *2)) (-4 *2 (-1277 *5 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-576 *3)) (-4 *3 (-1043 (-571))))) ((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-768)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-793)) (-4 *4 (-955 *5 *6 *7)) (-4 *5 (-456)) (-4 *7 (-847)) (-5 *1 (-453 *5 *6 *7 *4))))) 
+(((*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1263)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1041)) (-5 *1 (-746)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-393)) (-5 *2 (-1041)) (-5 *1 (-746))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-5 *2 (-1 *6 *5)) (-5 *1 (-678 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1089 (-840 *3))) (-4 *3 (-13 (-1189) (-965) (-29 *5))) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 *3)) (|:| |f2| (-637 (-840 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1089 (-840 *3))) (-5 *5 (-1151)) (-4 *3 (-13 (-1189) (-965) (-29 *6))) (-4 *6 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 *3)) (|:| |f2| (-637 (-840 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1089 (-840 (-311 *5)))) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 (-311 *5))) (|:| |f2| (-637 (-840 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-412 (-958 *6))) (-5 *4 (-1089 (-840 (-311 *6)))) (-5 *5 (-1151)) (-4 *6 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 (-311 *6))) (|:| |f2| (-637 (-840 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1089 (-840 (-412 (-958 *5))))) (-5 *3 (-412 (-958 *5))) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 (-311 *5))) (|:| |f2| (-637 (-840 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1089 (-840 (-412 (-958 *6))))) (-5 *5 (-1151)) (-5 *3 (-412 (-958 *6))) (-4 *6 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |f1| (-840 (-311 *6))) (|:| |f2| (-637 (-840 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 *3 (-637 *3))) (-5 *1 (-433 *5 *3)) (-4 *3 (-13 (-1189) (-965) (-29 *5))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-482 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1091 (-840 (-384)))) (-5 *5 (-384)) (-5 *6 (-1065)) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3) (-12 (-5 *3 (-766)) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1091 (-840 (-384)))) (-5 *5 (-384)) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1091 (-840 (-384)))) (-5 *5 (-384)) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1091 (-840 (-384)))) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-1091 (-840 (-384))))) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-1091 (-840 (-384))))) (-5 *5 (-384)) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-1091 (-840 (-384))))) (-5 *5 (-384)) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-1091 (-840 (-384))))) (-5 *5 (-384)) (-5 *6 (-1065)) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-840 (-384)))) (-5 *5 (-1151)) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-840 (-384)))) (-5 *5 (-1169)) (-5 *2 (-1041)) (-5 *1 (-572)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-571)))) (-4 *5 (-1233 *4)) (-5 *2 (-588 (-412 *5))) (-5 *1 (-575 *4 *5)) (-5 *3 (-412 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-151)) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *2 (-3 (-311 *5) (-637 (-311 *5)))) (-5 *1 (-591 *5)))) ((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-735 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-847)) (-4 *3 (-43 (-412 (-571)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-958 *3)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)))) ((*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-4 *2 (-847)) (-5 *1 (-1121 *3 *2 *4)) (-4 *4 (-955 *3 (-537 *2) *2)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1166 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1167 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *1 (-1198 *3)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 (QUOTE |x|))) (-5 *1 (-1215 *3)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-1831 (-12 (-5 *2 (-1169)) (-4 *1 (-1217 *3)) (-4 *3 (-1053)) (-12 (-4 *3 (-29 (-571))) (-4 *3 (-965)) (-4 *3 (-1189)) (-4 *3 (-43 (-412 (-571)))))) (-12 (-5 *2 (-1169)) (-4 *1 (-1217 *3)) (-4 *3 (-1053)) (-12 (|has| *3 (-15 -3424 ((-637 *2) *3))) (|has| *3 (-15 -3403 (*3 *3 *2))) (-4 *3 (-43 (-412 (-571)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1217 *2)) (-4 *2 (-1053)) (-4 *2 (-43 (-412 (-571)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1221 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-43 (-412 (-571)))))) ((*1 *1 *1 *2) (-1831 (-12 (-5 *2 (-1169)) (-4 *1 (-1238 *3)) (-4 *3 (-1053)) (-12 (-4 *3 (-29 (-571))) (-4 *3 (-965)) (-4 *3 (-1189)) (-4 *3 (-43 (-412 (-571)))))) (-12 (-5 *2 (-1169)) (-4 *1 (-1238 *3)) (-4 *3 (-1053)) (-12 (|has| *3 (-15 -3424 ((-637 *2) *3))) (|has| *3 (-15 -3403 (*3 *3 *2))) (-4 *3 (-43 (-412 (-571)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1238 *2)) (-4 *2 (-1053)) (-4 *2 (-43 (-412 (-571)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1242 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2) (-1831 (-12 (-5 *2 (-1169)) (-4 *1 (-1248 *3)) (-4 *3 (-1053)) (-12 (-4 *3 (-29 (-571))) (-4 *3 (-965)) (-4 *3 (-1189)) (-4 *3 (-43 (-412 (-571)))))) (-12 (-5 *2 (-1169)) (-4 *1 (-1248 *3)) (-4 *3 (-1053)) (-12 (|has| *3 (-15 -3424 ((-637 *2) *3))) (|has| *3 (-15 -3403 (*3 *3 *2))) (-4 *3 (-43 (-412 (-571)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1248 *2)) (-4 *2 (-1053)) (-4 *2 (-43 (-412 (-571)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-435 *5) (-886 *4) (-612 (-892 *4))))))) 
+(((*1 *1) (-5 *1 (-442)))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-746))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-148))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-684 *2)) (-4 *2 (-173)) (-5 *1 (-150 *2)))) ((*1 *2 *3) (-12 (-4 *4 (-173)) (-4 *2 (-1233 *4)) (-5 *1 (-176 *4 *2 *3)) (-4 *3 (-719 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-684 (-412 (-958 *5)))) (-5 *4 (-1169)) (-5 *2 (-958 *5)) (-5 *1 (-287 *5)) (-4 *5 (-456)))) ((*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-958 *4)))) (-5 *2 (-958 *4)) (-5 *1 (-287 *4)) (-4 *4 (-456)))) ((*1 *2 *1) (-12 (-4 *1 (-375 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1233 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-684 (-170 (-412 (-571))))) (-5 *2 (-958 (-170 (-412 (-571))))) (-5 *1 (-761 *4)) (-4 *4 (-13 (-367) (-845))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-684 (-170 (-412 (-571))))) (-5 *4 (-1169)) (-5 *2 (-958 (-170 (-412 (-571))))) (-5 *1 (-761 *5)) (-4 *5 (-13 (-367) (-845))))) ((*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-571)))) (-5 *2 (-958 (-412 (-571)))) (-5 *1 (-778 *4)) (-4 *4 (-13 (-367) (-845))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-684 (-412 (-571)))) (-5 *4 (-1169)) (-5 *2 (-958 (-412 (-571)))) (-5 *1 (-778 *5)) (-4 *5 (-13 (-367) (-845)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-5 *2 (-637 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -3885 (-768)) (|:| |period| (-768)))) (-5 *1 (-1149 *4)) (-4 *4 (-1203)) (-5 *3 (-768))))) 
+(((*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-1073 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-1105 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-151))) (-5 *1 (-545 *3 *2)) (-4 *2 (-1248 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-4 *4 (-1233 *3)) (-4 *5 (-719 *3 *4)) (-5 *1 (-549 *3 *4 *5 *2)) (-4 *2 (-1248 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-5 *1 (-550 *3 *2)) (-4 *2 (-1248 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-13 (-561) (-151))) (-5 *1 (-1144 *3))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-184)) (-5 *3 (-571)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-783 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-948)) (-5 *3 (-571))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1165 *3)) (-5 *1 (-915 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-456)) (-5 *2 (-637 (-2 (|:| |eigval| (-3 (-412 (-958 *4)) (-1158 (-1169) (-958 *4)))) (|:| |eigmult| (-768)) (|:| |eigvec| (-637 (-684 (-412 (-958 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-684 (-412 (-958 *4))))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1115)) (-5 *1 (-329))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-423 (-1165 (-571)))) (-5 *1 (-184)) (-5 *3 (-571))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-121)) (-5 *1 (-929 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-121)) (-5 *1 (-929 *4 *5 *6 *7)) (-4 *7 (-955 *4 *6 *5))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1151)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *4 (-1067 *6 *7 *8)) (-5 *2 (-1263)) (-5 *1 (-773 *6 *7 *8 *4 *5)) (-4 *5 (-1072 *6 *7 *8 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-892 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1097)) (-4 *5 (-1203)) (-5 *1 (-890 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-892 *4)) (-5 *3 (-637 (-1 (-121) *5))) (-4 *4 (-1097)) (-4 *5 (-1203)) (-5 *1 (-890 *4 *5)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-892 *5)) (-5 *3 (-637 (-1169))) (-5 *4 (-1 (-121) (-637 *6))) (-4 *5 (-1097)) (-4 *6 (-1203)) (-5 *1 (-890 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1203)) (-4 *4 (-847)) (-5 *1 (-943 *4 *2 *5)) (-4 *2 (-435 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-637 (-1 (-121) *5))) (-4 *5 (-1203)) (-4 *4 (-847)) (-5 *1 (-943 *4 *2 *5)) (-4 *2 (-435 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1203)) (-5 *2 (-311 (-571))) (-5 *1 (-944 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-637 (-1 (-121) *5))) (-4 *5 (-1203)) (-5 *2 (-311 (-571))) (-5 *1 (-944 *5)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1169))) (-5 *3 (-1 (-121) (-637 *6))) (-4 *6 (-13 (-435 *5) (-886 *4) (-612 (-892 *4)))) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-5 *1 (-1075 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-1263)) (-5 *1 (-453 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-610 *3)) (-5 *5 (-1165 *3)) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| -3017 *3) (|:| |coeff| *3))) (-5 *1 (-567 *6 *3 *7)) (-4 *7 (-1097)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-610 *3)) (-5 *5 (-412 (-1165 *3))) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| -3017 *3) (|:| |coeff| *3))) (-5 *1 (-567 *6 *3 *7)) (-4 *7 (-1097))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1169)) (-4 *5 (-612 (-892 (-571)))) (-4 *5 (-886 (-571))) (-4 *5 (-13 (-847) (-1043 (-571)) (-456) (-633 (-571)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-574 *5 *3)) (-4 *3 (-623)) (-4 *3 (-13 (-27) (-1189) (-435 *5)))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1165 *7)) (-4 *5 (-1053)) (-4 *7 (-1053)) (-4 *2 (-1233 *5)) (-5 *1 (-513 *5 *2 *6 *7)) (-4 *6 (-1233 *2))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) ((*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-539 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-637 *6)) (|:| |den| *6))) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-927 *5))) (-5 *4 (-768)) (-4 *5 (-352)) (-5 *2 (-637 (-412 (-243 *6 *5)))) (-5 *1 (-872 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-237 (-927 *4))) (-4 *4 (-352)) (-5 *2 (-2 (|:| |num| (-637 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-872 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-926 *5))) (-5 *4 (-768)) (-4 *5 (-367)) (-5 *2 (-637 (-412 (-243 *6 *5)))) (-5 *1 (-873 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-237 (-926 *4))) (-4 *4 (-367)) (-5 *2 (-2 (|:| |num| (-637 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-873 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117))))) 
+(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-571)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-868 *3)) (-5 *2 (-571)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-870 *4)) (-14 *4 *3) (-5 *3 (-571)))) ((*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-412 (-571))) (-5 *1 (-871 *4 *5)) (-5 *3 (-571)) (-4 *5 (-868 *4)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1018)) (-5 *2 (-412 (-571))))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1069 *2 *3)) (-4 *2 (-13 (-845) (-367))) (-4 *3 (-1233 *2)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1235 *2 *3)) (-4 *3 (-792)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -3942 (*2 (-1169)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-637 (-610 *2))) (-5 *4 (-1169)) (-4 *2 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *5 *2))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1053) (-847))) (-14 *3 (-637 (-1169)))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-983 *4 *5 *6 *3)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1101)) (-5 *1 (-57))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-566)))) ((*1 *2 *1) (-12 (-4 *1 (-608 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-803))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-637 (-2 (|:| |deg| (-768)) (|:| -3175 *3)))) (-5 *1 (-208 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-561)) (-5 *1 (-976 *4 *2)) (-4 *2 (-1233 *4))))) 
+(((*1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-4 *1 (-1136)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1165 (-412 (-958 *3)))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *5 (-1043 (-53))) (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-4 *5 (-435 *4)) (-5 *2 (-423 (-1165 (-53)))) (-5 *1 (-440 *4 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-231 (-4001 *4) (-768))) (-4 *6 (-977 *3)) (-4 *7 (-644 *3)) (-4 *8 (-925 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-539 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-955 *3 *5 (-857 *4))) (-5 *1 (-470 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-768)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1053)) (-4 *3 (-847)) (-4 *5 (-263 *3)) (-4 *6 (-793)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-847)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-352)) (-5 *2 (-922)))) ((*1 *2 *3) (-12 (-5 *3 (-335 *4 *5 *6 *7)) (-4 *4 (-13 (-373) (-367))) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-4 *7 (-341 *4 *5 *6)) (-5 *2 (-768)) (-5 *1 (-397 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-833 (-922))))) ((*1 *2 *1) (-12 (-4 *1 (-409)) (-5 *2 (-571)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-597 *3)) (-4 *3 (-1053)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-597 *3)) (-4 *3 (-1053)))) ((*1 *2 *1) (-12 (-4 *3 (-561)) (-5 *2 (-571)) (-5 *1 (-618 *3 *4)) (-4 *4 (-1233 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-644 *3)) (-4 *3 (-367)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (-4 *1 (-644 *3)) (-4 *3 (-367)) (-5 *2 (-571)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-768)) (-4 *1 (-735 *4 *3)) (-4 *4 (-1053)) (-4 *3 (-847)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-735 *4 *3)) (-4 *4 (-1053)) (-4 *3 (-847)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-868 *3)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-435 *4)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-768)) (-5 *1 (-911 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-412 (-571)) *4 *5 *6)) (-4 *4 (-1233 (-412 (-571)))) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 (-412 (-571)) *4 *5)) (-5 *2 (-768)) (-5 *1 (-912 *4 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-335 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-4 *4 (-1233 (-412 *7))) (-4 *8 (-341 *6 *7 *4)) (-4 *9 (-13 (-373) (-367))) (-5 *2 (-768)) (-5 *1 (-1024 *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1233 *3)) (-4 *3 (-1053)) (-4 *3 (-561)) (-5 *2 (-768)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) ((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1084 *2)) (-4 *2 (-13 (-847) (-561)))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-589 *2)) (-4 *2 (-553))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-684 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-684 *3))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-27) (-435 *4))) (-4 *4 (-13 (-847) (-561) (-1043 (-571)))) (-4 *7 (-1233 (-412 *6))) (-5 *1 (-556 *4 *5 *6 *7 *2)) (-4 *2 (-341 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 *4)) (-5 *1 (-1133 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39)))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-121)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1169)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-121)) (-5 *1 (-610 *4)) (-4 *4 (-847)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-610 *4)) (-4 *4 (-847)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-5 *2 (-121)) (-5 *1 (-887 *5 *3 *4)) (-4 *3 (-886 *5)) (-4 *4 (-612 (-892 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-4 *6 (-886 *5)) (-4 *5 (-1097)) (-5 *2 (-121)) (-5 *1 (-887 *5 *6 *4)) (-4 *4 (-612 (-892 *5)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3)))) ((*1 *2 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1203)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-958 (-384))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-412 (-958 (-384)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-384))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-958 (-571))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-412 (-958 (-571)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-571))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 *2)) (-14 *4 (-637 *2)) (-4 *5 (-392)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 *5)) (-4 *5 (-392)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-412 (-958 (-571))))) (-4 *1 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-412 (-958 (-384))))) (-4 *1 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-958 (-571)))) (-4 *1 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-958 (-384)))) (-4 *1 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-311 (-571)))) (-4 *1 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-684 (-311 (-384)))) (-4 *1 (-389)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-412 (-958 (-571)))) (-4 *1 (-401)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-412 (-958 (-384)))) (-4 *1 (-401)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-958 (-571))) (-4 *1 (-401)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-958 (-384))) (-4 *1 (-401)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-571))) (-4 *1 (-401)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-384))) (-4 *1 (-401)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-412 (-958 (-571))))) (-4 *1 (-445)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-412 (-958 (-384))))) (-4 *1 (-445)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-958 (-571)))) (-4 *1 (-445)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-958 (-384)))) (-4 *1 (-445)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-311 (-571)))) (-4 *1 (-445)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1258 (-311 (-384)))) (-4 *1 (-445)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-352)) (-4 *5 (-328 *4)) (-4 *6 (-1233 *5)) (-5 *2 (-1165 (-1165 *4))) (-5 *1 (-774 *4 *5 *6 *3 *7)) (-4 *3 (-1233 *6)) (-14 *7 (-922)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *1 (-983 *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1043 *2)) (-4 *2 (-1203)))) ((*1 *1 *2) (|partial| -1831 (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-43 (-412 (-571))))) (-2931 (-4 *3 (-43 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-553))) (-2931 (-4 *3 (-43 (-412 (-571))))) (-4 *3 (-43 (-571))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-999 (-571)))) (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))))) ((*1 *1 *2) (|partial| -1831 (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-2931 (-4 *3 (-43 (-412 (-571))))) (-4 *3 (-43 (-571))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-958 (-412 (-571)))) (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-637 (-684 *4))) (-5 *2 (-684 *4)) (-4 *4 (-1053)) (-5 *1 (-1035 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-367)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-763 *3 *4)) (-4 *3 (-703 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-849 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-367)) (-4 *5 (-1053)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-850 *5 *3)) (-4 *3 (-849 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *3 *2 *3) (-12 (-5 *2 (-442)) (-5 *3 (-1169)) (-5 *1 (-1172)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-442)) (-5 *3 (-1169)) (-5 *1 (-1172)))) ((*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-442)) (-5 *3 (-637 (-1169))) (-5 *4 (-1169)) (-5 *1 (-1172)))) ((*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-442)) (-5 *3 (-1169)) (-5 *1 (-1172)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-442)) (-5 *3 (-1169)) (-5 *1 (-1173)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-442)) (-5 *3 (-637 (-1169))) (-5 *1 (-1173))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-889 *4 *5)) (-5 *3 (-889 *4 *6)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-661 *5)) (-5 *1 (-885 *4 *5 *6))))) 
+(((*1 *1 *2 *2) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-367)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-37 *4)) (-4 *4 (-367)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-423 *3)) (-4 *3 (-553)) (-4 *3 (-561)))) ((*1 *2 *1) (-12 (-4 *1 (-553)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-797 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-833 *3)) (-4 *3 (-553)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-840 *3)) (-4 *3 (-553)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-977 *4)) (-4 *4 (-367)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1003 *3)) (-4 *3 (-173)) (-4 *3 (-553)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1014 *3)) (-4 *3 (-1043 (-412 (-571))))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-892 *4)) (-4 *4 (-1097)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-890 *4 *5)) (-4 *5 (-1203))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 (-170 *4)))))) ((*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3)))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-226)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-1 *1 (-768))) (-4 *1 (-247 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *3 (-847)) (-4 *5 (-263 *3)) (-4 *6 (-793)) (-5 *2 (-1 *1 (-768))) (-4 *1 (-247 *4 *3 *5 *6)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-263 *2)) (-4 *2 (-847))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-571))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 *5)) (-4 *5 (-1233 *3)) (-4 *3 (-302)) (-5 *2 (-121)) (-5 *1 (-460 *3 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-840 (-571))) (-5 *1 (-542)))) ((*1 *1) (-12 (-5 *1 (-840 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-5 *1 (-656 *3))))) 
+(((*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *12)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-637 (-260 (-540 *3 *4 *5)))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-637 (-260 (-516 *3 *4 *5)))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *1) (-5 *1 (-803)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-456)) (-4 *3 (-847)) (-4 *3 (-1043 (-571))) (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-435 *3)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $)))))))))) 
+(((*1 *2) (-12 (-5 *2 (-840 (-571))) (-5 *1 (-542)))) ((*1 *1) (-12 (-5 *1 (-840 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1256 *3)) (-4 *3 (-1203)) (-4 *3 (-1053)) (-5 *2 (-684 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-833 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-840 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-557))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-847)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-857 *3)) (-14 *3 (-637 *2)))) ((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-996)))) ((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-1089 *3)) (-4 *3 (-1203)))) ((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-1169)))) ((*1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1254 *3)) (-14 *3 *2)))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-561))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-637 (-2 (|:| |scalar| (-412 (-571))) (|:| |coeff| (-1165 *2)) (|:| |logand| (-1165 *2))))) (-5 *4 (-637 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-367)) (-5 *1 (-588 *2))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-384)))) ((*1 *1 *1 *1) (-4 *1 (-553))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) ((*1 *1 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-768))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-771)) (-5 *1 (-57))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1151)) (-5 *5 (-684 (-216))) (-5 *6 (-216)) (-5 *7 (-684 (-571))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-395 *3 *4 *5)) (-14 *3 (-768)) (-14 *4 (-768)) (-4 *5 (-173))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1119 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1053)) (-5 *2 (-1258 *3)) (-5 *1 (-707 *3 *4)) (-4 *4 (-1233 *3))))) 
+(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-121)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-502 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-905 *4)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-904 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-121)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-922)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-121)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-922)) (-4 *5 (-561)) (-5 *2 (-684 *5)) (-5 *1 (-962 *5 *3)) (-4 *3 (-649 *5))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *6 (-216)) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1169)) (-5 *2 (-442)) (-5 *1 (-1173))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *1) (-5 *1 (-329)))) 
+(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1151)) (-5 *5 (-684 (-216))) (-5 *6 (-216)) (-5 *7 (-684 (-571))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-432 *3 *2)) (-4 *3 (-13 (-173) (-43 (-412 (-571))))) (-4 *2 (-13 (-847) (-21)))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-240 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-4 *3 (-13 (-27) (-1189) (-435 *6) (-10 -8 (-15 -3942 ($ *7))))) (-4 *7 (-845)) (-4 *8 (-13 (-1235 *3 *7) (-367) (-1189) (-10 -8 (-15 -3096 ($ $)) (-15 -3403 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151)))))) (-5 *1 (-427 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1151)) (-4 *9 (-990 *8)) (-14 *10 (-1169))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4))))) 
+(((*1 *2 *1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-1151)) (-5 *1 (-1259)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1259)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1259)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-1151)) (-5 *1 (-1260)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1260)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-216)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-637 (-610 *3))) (|:| |vals| (-637 *3)))) (-5 *1 (-274 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5)))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1213)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 (-412 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1050 *4 *5)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *5 (-637 (-1169))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *4)) (|:| -3723 (-637 (-958 *4)))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *6 (-637 (-1169))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *5)) (|:| -3723 (-637 (-958 *5)))))) (-5 *1 (-1282 *5 *6 *7)) (-5 *3 (-637 (-958 *5))) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *5)) (|:| -3723 (-637 (-958 *5)))))) (-5 *1 (-1282 *5 *6 *7)) (-5 *3 (-637 (-958 *5))) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *5)) (|:| -3723 (-637 (-958 *5)))))) (-5 *1 (-1282 *5 *6 *7)) (-5 *3 (-637 (-958 *5))) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-2 (|:| -3624 (-1165 *4)) (|:| -3723 (-637 (-958 *4)))))) (-5 *1 (-1282 *4 *5 *6)) (-5 *3 (-637 (-958 *4))) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169)))))) 
+(((*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1263)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *3 (-121)) (-5 *1 (-114)))) ((*1 *2 *2) (-12 (-5 *2 (-922)) (|has| *1 (-6 -4591)) (-4 *1 (-409)))) ((*1 *2) (-12 (-4 *1 (-409)) (-5 *2 (-922))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-4 *5 (-367)) (-5 *2 (-637 (-1198 *5))) (-5 *1 (-1266 *5)) (-5 *4 (-1198 *5))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-384))) (-5 *1 (-1045))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-1165 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *4 (-610 $)) $)) (-15 -4479 ((-1120 *4 (-610 $)) $)) (-15 -3942 ($ (-1120 *4 (-610 $)))))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-1012))))) 
+(((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1233 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-710 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-521 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-847))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-967 *2)) (-4 *2 (-553))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-571))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-418 *3 *4 *5 *6)) (-4 *6 (-1043 *4)) (-4 *3 (-302)) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-4 *6 (-414 *4 *5)) (-14 *7 (-1258 *6)) (-5 *1 (-419 *3 *4 *5 *6 *7)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 *6)) (-4 *6 (-414 *4 *5)) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-4 *3 (-302)) (-5 *1 (-419 *3 *4 *5 *6 *7)) (-14 *7 *2)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-606 *2)) (-4 *2 (-1097)))) ((*1 *1 *1) (-5 *1 (-626)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-958 (-571))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-553)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-637 (-216)))) (-5 *1 (-931))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-507))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3730 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1230 *5 *4)) (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-637 *4)) (-5 *1 (-1111 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *8 (-977 *5)) (-4 *4 (-925 *5 *2)) (-4 *9 (-236 *4)) (-4 *10 (-539 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-644 *5)) (-5 *1 (-470 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-927 *5)) (-4 *5 (-352)) (-14 *6 (-637 (-1169))) (-5 *2 (-779 (-862 *5))) (-5 *1 (-872 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-926 *5)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-5 *2 (-779 *5)) (-5 *1 (-873 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 *2)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *2 (-644 *5)) (-5 *1 (-876 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5)) (-4 *9 (-925 *5 *2)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *2 (-644 *5)) (-5 *1 (-876 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5)) (-4 *4 (-925 *5 *2)))) ((*1 *2 *3 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *2 (-644 *5)) (-5 *1 (-876 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5)) (-4 *4 (-925 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-571)) (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *8 (-231 (-4001 *7) (-768))) (-4 *2 (-644 *6)) (-5 *1 (-876 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-955 *6 *8 (-857 *7))) (-4 *9 (-977 *6)) (-4 *4 (-925 *6 *2))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7))))) 
+(((*1 *1) (-5 *1 (-442)))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-768)) (-4 *4 (-13 (-561) (-151))) (-5 *1 (-1227 *4 *2)) (-4 *2 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352)))) ((*1 *1) (-4 *1 (-373))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1258 *4)) (-5 *1 (-535 *4)) (-4 *4 (-352)))) ((*1 *1 *1) (-4 *1 (-553))) ((*1 *1) (-4 *1 (-553))) ((*1 *1 *1) (-5 *1 (-571))) ((*1 *1 *1) (-5 *1 (-768))) ((*1 *2 *1) (-12 (-5 *2 (-905 *3)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-905 *4)) (-5 *1 (-904 *4)) (-4 *4 (-1097)))) ((*1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-553)) (-4 *2 (-561))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(((*1 *2 *1 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-37 *2)) (-4 *2 (-367)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1203)) (-4 *4 (-378 *2)) (-4 *5 (-378 *2)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4601)) (-4 *1 (-128 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4601)) (-4 *1 (-128 *3)) (-4 *3 (-1203)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1169)) (-5 *1 (-626)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-1224 (-571))) (|has| *1 (-6 -4601)) (-4 *1 (-643 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-637 (-571))) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-977 *2)) (-4 *2 (-367)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4601)) (-4 *1 (-1016 *2)) (-4 *2 (-1203)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-1032 *2)) (-4 *2 (-1203)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-1180 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4601)) (-4 *1 (-1245 *3)) (-4 *3 (-1203)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 (-311 (-216)))) (-5 *2 (-1258 (-311 (-384)))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-1258 (-684 *4))))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1258 (-684 *4))) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) ((*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-1258 (-684 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1169))) (-4 *5 (-367)) (-5 *2 (-1258 (-684 (-412 (-958 *5))))) (-5 *1 (-1083 *5)) (-5 *4 (-684 (-412 (-958 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1169))) (-4 *5 (-367)) (-5 *2 (-1258 (-684 (-958 *5)))) (-5 *1 (-1083 *5)) (-5 *4 (-684 (-958 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-684 *4))) (-4 *4 (-367)) (-5 *2 (-1258 (-684 *4))) (-5 *1 (-1083 *4))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-37 *2)) (-4 *2 (-367)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1203)) (-4 *4 (-378 *2)) (-4 *5 (-378 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-378 *2)) (-4 *5 (-378 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1203)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-637 (-571))) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 (-571)) (-14 *5 (-768)))) ((*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-571)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-768)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-571)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-768)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-768)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-768)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-142 *3 *4 *2)) (-14 *3 (-571)) (-14 *4 (-768)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-241 (-1151))) (-5 *1 (-206 *4)) (-4 *4 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ *3)) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-996)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))))) ((*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-768)) (-5 *1 (-241 *4)) (-4 *4 (-847)))) ((*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-241 *3)) (-4 *3 (-847)))) ((*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-241 *3)) (-4 *3 (-847)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-282 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203)))) ((*1 *2 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1233 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-637 *1)) (-4 *1 (-297)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1213)) (-4 *3 (-1233 *2)) (-4 *4 (-1233 (-412 *3))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-422 *2)) (-4 *2 (-173)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1151)) (-5 *1 (-514)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-57)) (-5 *1 (-626)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1224 (-571))) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-768)) (-5 *1 (-669 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-637 (-571))) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-637 (-892 *4))) (-5 *1 (-892 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-903 *2)) (-4 *2 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-905 *4)) (-5 *1 (-904 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-925 *2 *4)) (-4 *4 (-644 *2)) (-4 *2 (-367)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-977 *2)) (-4 *2 (-367)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-233 *4 *2)) (-14 *4 (-922)) (-4 *2 (-367)) (-5 *1 (-1000 *4 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1016 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-5 *1 (-1032 *2)) (-4 *2 (-1203)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-1056 *4 *5 *2 *6 *7)) (-4 *2 (-1053)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1056 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1053)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-5 *1 (-1075 *4 *5 *2)) (-4 *2 (-13 (-435 *5) (-886 *4) (-612 (-892 *4)))))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-5 *1 (-1076 *4 *5 *2)) (-4 *2 (-13 (-435 *5) (-886 *4) (-612 (-892 *4)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)))) ((*1 *1 *1 *1) (-4 *1 (-1136))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-1169)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-412 *1)) (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-412 *1)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)) (-4 *3 (-561)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1235 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)))) ((*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1245 *2)) (-4 *2 (-1203)))) ((*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1245 *3)) (-4 *3 (-1203)))) ((*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1099 *4)) (-4 *4 (-1097)) (-5 *2 (-1 *4)) (-5 *1 (-1023 *4)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-384))) (-5 *1 (-1045)) (-5 *3 (-384)))) ((*1 *2 *3) (-12 (-5 *3 (-1091 (-571))) (-5 *2 (-1 (-571))) (-5 *1 (-1051))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1211))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 *7)) (-4 *7 (-847)) (-4 *8 (-955 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-5 *2 (-2 (|:| |particular| (-3 (-1258 (-412 *8)) "failed")) (|:| -1899 (-637 (-1258 (-412 *8)))))) (-5 *1 (-664 *5 *6 *7 *8))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-922)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-922)))) ((*1 *2) (-12 (-4 *1 (-375 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-922)))) ((*1 *2 *3) (-12 (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-768)) (-5 *1 (-532 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-684 *5)) (-5 *4 (-1258 *5)) (-4 *5 (-367)) (-5 *2 (-768)) (-5 *1 (-662 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-5 *2 (-768)) (-5 *1 (-663 *5 *6 *4 *3)) (-4 *3 (-682 *5 *6 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-4 *3 (-561)) (-5 *2 (-768)))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *4 (-173)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-768)) (-5 *1 (-683 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-561)) (-5 *2 (-768))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-855))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1149 (-412 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-958 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-958 (-170 *5))) (-5 *4 (-922)) (-4 *5 (-173)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-958 *4)) (-4 *4 (-1053)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-958 *5)) (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-412 (-958 (-170 *4)))) (-4 *4 (-561)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 (-958 (-170 *5)))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 (-384))) (-5 *2 (-170 (-384))) (-5 *1 (-785 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-138)) (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| -4501 *3) (|:| -4506 *4)))) (-5 *1 (-730 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-721)))) ((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-1149 (-2 (|:| |k| *4) (|:| |c| *3))))))) 
+(((*1 *1 *2 *3 *1) (-12 (-14 *4 (-637 (-1169))) (-4 *2 (-173)) (-4 *3 (-231 (-4001 *4) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *5) (|:| -2154 *3)) (-2 (|:| -1755 *5) (|:| -2154 *3)))) (-5 *1 (-466 *4 *2 *5 *3 *6 *7)) (-4 *5 (-847)) (-4 *7 (-955 *2 *3 (-857 *4)))))) 
+(((*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *3)) (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-384))) (-5 *5 (-1151)) (-5 *6 (-637 (-257))) (-5 *2 (-1263)) (-5 *1 (-459)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-384))) (-5 *5 (-1151)) (-5 *2 (-1263)) (-5 *1 (-459)))) ((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-384))) (-5 *5 (-1151)) (-5 *6 (-637 (-257))) (-5 *2 (-1263)) (-5 *1 (-459)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-1089 (-384))) (-5 *5 (-1151)) (-5 *2 (-1263)) (-5 *1 (-459))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-748))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-901 *2)) (-4 *2 (-1097)))) ((*1 *1 *2) (-12 (-5 *1 (-901 *2)) (-4 *2 (-1097))))) 
+(((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-121)) (-5 *1 (-892 *4)) (-4 *4 (-1097))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-571)))) (-4 *4 (-13 (-1233 *3) (-561) (-10 -8 (-15 -3026 ($ $ $))))) (-4 *3 (-561)) (-5 *1 (-1236 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-1258 (-693))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *2 (-637 *8)) (-5 *1 (-969 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-3 *3 (-637 *1))) (-4 *1 (-1072 *4 *5 *6 *3))))) 
+(((*1 *1) (-12 (-4 *1 (-473 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-544))) ((*1 *1) (-4 *1 (-717))) ((*1 *1) (-4 *1 (-721))) ((*1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) ((*1 *1) (-12 (-5 *1 (-893 *2)) (-4 *2 (-847))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-302)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-391 *3)) (|:| |rm| (-391 *3)))) (-5 *1 (-391 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2924 (-768)) (|:| -3363 (-768)))) (-5 *1 (-768)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-819 *3) "failed")) (|:| |rm| (-3 (-819 *3) "failed")))) (-5 *1 (-819 *3)) (-4 *3 (-847)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1245 *3)) (-4 *3 (-1203)))) ((*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-544))) (-5 *1 (-544))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-58))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-561)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-1194 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1263)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 *7)) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) (-768))) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *9 (-977 *5)) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-4 *12 (-236 *11)) (-4 *13 (-539 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1263)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-259 *13))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-824))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-566))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1169)) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-637 (-216))) (-5 *1 (-185)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1169)) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-637 (-216))) (-5 *1 (-295))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-637 (-257))) (-5 *1 (-255))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1041)) (-5 *1 (-743))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-768)) (|:| -2068 *4))) (-5 *5 (-768)) (-4 *4 (-955 *6 *7 *8)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-453 *6 *7 *8 *4))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-257)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-571)) (-5 *4 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *2 (-1263)) (-5 *1 (-1260)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -2483 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-1260)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1277 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-819 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-843)) (-5 *1 (-1279 *3 *2)) (-4 *3 (-1053))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-865)) (-5 *1 (-860 *3)) (-14 *3 *2)))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-684 (-412 (-571)))) (-5 *2 (-637 *4)) (-5 *1 (-778 *4)) (-4 *4 (-13 (-367) (-845)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-845)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1069 *4 *3)) (-4 *4 (-13 (-845) (-367))) (-4 *3 (-1233 *4)) (-5 *2 (-571)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-561) (-847) (-1043 *2) (-633 *2) (-456))) (-5 *2 (-571)) (-5 *1 (-1112 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-840 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 *2) (-633 *2) (-456))) (-5 *2 (-571)) (-5 *1 (-1112 *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-1151)) (-4 *6 (-13 (-561) (-847) (-1043 *2) (-633 *2) (-456))) (-5 *2 (-571)) (-5 *1 (-1112 *6 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-456)) (-5 *2 (-571)) (-5 *1 (-1113 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-840 (-412 (-958 *6)))) (-5 *3 (-412 (-958 *6))) (-4 *6 (-456)) (-5 *2 (-571)) (-5 *1 (-1113 *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-412 (-958 *6))) (-5 *4 (-1169)) (-5 *5 (-1151)) (-4 *6 (-456)) (-5 *2 (-571)) (-5 *1 (-1113 *6)))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-571)) (-5 *1 (-1186 *3)) (-4 *3 (-1053))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) ((*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571)))) ((*1 *1 *1) (-12 (-4 *1 (-668 *2)) (-4 *2 (-1203)))) ((*1 *1 *1) (-4 *1 (-868 *2))) ((*1 *1 *1) (-12 (-4 *1 (-980 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-792)) (-4 *4 (-847))))) 
+(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *5 (-121)) (-5 *2 (-1041)) (-5 *1 (-742))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-456)) (-5 *2 (-121)) (-5 *1 (-364 *4 *5)) (-14 *5 (-637 (-1169))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-780 *4 (-857 *5)))) (-4 *4 (-456)) (-14 *5 (-637 (-1169))) (-5 *2 (-121)) (-5 *1 (-622 *4 *5))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-172)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)) (-4 *5 (-1053))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-130))) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *5 (-121)) (-5 *2 (-1041)) (-5 *1 (-742))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *4) (-12 (-4 *2 (-1233 *4)) (-5 *1 (-807 *4 *2 *3 *5)) (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *3 (-649 *2)) (-4 *5 (-649 (-412 *2))))) ((*1 *2 *3 *4) (-12 (-4 *2 (-1233 *4)) (-5 *1 (-807 *4 *2 *5 *3)) (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *5 (-649 *2)) (-4 *3 (-649 (-412 *2)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-922)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-257))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-637 (-1169))) (-4 *6 (-367)) (-5 *2 (-637 (-289 (-958 *6)))) (-5 *1 (-546 *5 *6 *7)) (-4 *5 (-456)) (-4 *7 (-13 (-367) (-845)))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3)))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-644 *3)) (-4 *3 (-367)) (-5 *2 (-571))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *2 (-3 (-637 *8) "failed" "Infinite" (-571))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *2 (-3 (-637 *8) "failed" "Infinite" (-571))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-977 *4))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-703 *3)) (-5 *1 (-827 *2 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-378 *2)) (-4 *5 (-378 *2)) (-4 *2 (-367)) (-5 *1 (-532 *2 *4 *5 *3)) (-4 *3 (-682 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (|has| *2 (-6 (-4602 "*"))) (-4 *2 (-1053)))) ((*1 *2 *3) (-12 (-4 *4 (-378 *2)) (-4 *5 (-378 *2)) (-4 *2 (-173)) (-5 *1 (-683 *2 *4 *5 *3)) (-4 *3 (-682 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1118 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4602 "*"))) (-4 *2 (-1053))))) 
+(((*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *1 (-1123 *3 *2)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-302))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-231 (-4001 *5) (-768))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-325 *4 *6)) (-4 *3 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1097)) (-5 *2 (-1 *5 *4)) (-5 *1 (-677 *4 *5)) (-4 *4 (-1097)))) ((*1 *2 *3) (-12 (-4 *4 (-231 *5 (-768))) (-14 *5 (-768)) (-4 *2 (-1053)) (-5 *1 (-913 *2 *3 *4 *5)) (-4 *3 (-325 *2 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-847)) (-5 *1 (-935 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-311 (-571))) (-5 *1 (-936)))) ((*1 *2 *1) (-12 (-4 *1 (-1273 *3 *2)) (-4 *3 (-847)) (-4 *2 (-1053)))) ((*1 *2 *1) (-12 (-4 *2 (-1053)) (-5 *1 (-1279 *2 *3)) (-4 *3 (-843))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-58))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-566))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-5 *2 (-637 (-1169))) (-5 *1 (-203)) (-5 *3 (-1169)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-768)) (-5 *2 (-637 (-1169))) (-5 *1 (-264)))) ((*1 *2 *1) (-12 (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922)))) ((*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-671 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-819 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-893 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-637 *3))))) 
+(((*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1169)) (-4 *4 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-582 *4 *2)) (-4 *2 (-13 (-1189) (-965) (-1131) (-29 *4)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-696 *4 *5 *6 *7)) (-4 *4 (-612 (-544))) (-4 *5 (-1203)) (-4 *6 (-1203)) (-4 *7 (-1203))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-922)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-257))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 *9)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-768)) (-5 *1 (-1070 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 *9)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1106 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-768)) (-5 *1 (-1137 *5 *6 *7 *8 *9))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1224 (-571))) (-4 *1 (-278 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-278 *3)) (-4 *3 (-1203))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -2382 (-637 (-855))) (|:| -3933 (-637 (-855))) (|:| |presup| (-637 (-855))) (|:| -3350 (-637 (-855))) (|:| |args| (-637 (-855))))) (-5 *1 (-1169))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-707 *3 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1248 *3))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-847)) (-5 *2 (-121)) (-5 *1 (-497 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4600)) (-4 *1 (-502 *4)) (-4 *4 (-1203)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-1006 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-1139 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-4 *1 (-368 *2 *3)) (-4 *3 (-1097)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-1151)))) ((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-443 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-610 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-1074 *3)) (-14 *3 *2))) ((*1 *1 *1) (-5 *1 (-1169)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) ((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))) (-5 *1 (-447 *4 *3 *2)) (-4 *3 (-1233 *4)))) ((*1 *1 *1) (-4 *1 (-553))) ((*1 *2 *1) (-12 (-5 *2 (-922)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-922)) (-5 *1 (-671 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-819 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-893 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-4 *1 (-1001 *3)) (-4 *3 (-1203)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1201 *3)) (-4 *3 (-1203)))) ((*1 *2 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-1008)) (-4 *2 (-1053))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-329))) (-5 *1 (-329))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-237 (-927 *4))) (-4 *4 (-352)) (-5 *2 (-684 *4)) (-5 *1 (-872 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-927 *5))) (-5 *4 (-637 (-927 *5))) (-4 *5 (-352)) (-5 *2 (-684 *5)) (-5 *1 (-872 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-237 (-926 *4))) (-4 *4 (-367)) (-5 *2 (-684 *4)) (-5 *1 (-873 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-926 *5))) (-5 *4 (-637 (-926 *5))) (-4 *5 (-367)) (-5 *2 (-684 *5)) (-5 *1 (-873 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3730 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6))))) 
+(((*1 *1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-173)) (-4 *2 (-561)))) ((*1 *1 *1) (|partial| -4 *1 (-717)))) 
+(((*1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-561)) (-4 *2 (-173))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-1229 *3 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-847) (-1043 (-571)) (-633 (-571)) (-456))) (-5 *2 (-840 *4)) (-5 *1 (-308 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1189) (-435 *3))) (-14 *5 (-1169)) (-14 *6 *4))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-847) (-1043 (-571)) (-633 (-571)) (-456))) (-5 *2 (-840 *4)) (-5 *1 (-1243 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1189) (-435 *3))) (-14 *5 (-1169)) (-14 *6 *4)))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-958 *4)) (-4 *4 (-1053)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-958 *5)) (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1168)) (-5 *1 (-329))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-684 *5)) (-4 *5 (-1053)) (-5 *1 (-1057 *3 *4 *5)) (-14 *3 (-768)) (-14 *4 (-768))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-768)) (-4 *1 (-1233 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-684 *5))) (-4 *5 (-302)) (-4 *5 (-1053)) (-5 *2 (-1258 (-1258 *5))) (-5 *1 (-1035 *5)) (-5 *4 (-1258 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-768)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-793)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-453 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-251))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-668 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-735 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-847)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-868 *3)) (-5 *2 (-571)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *1 (-987 *3)) (-4 *3 (-1053)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-5 *3 (-637 *7)) (-4 *1 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-637 *7)) (|:| |badPols| (-637 *7)))) (-5 *1 (-984 *4 *5 *6 *7)) (-5 *3 (-637 *7))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-553)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053)))) ((*1 *2 *1 *1) (-12 (-4 *2 (-1053)) (-5 *1 (-55 *2 *3)) (-14 *3 (-637 (-1169))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-637 (-922))) (-4 *2 (-367)) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-922)) (-14 *5 (-1000 *4 *2)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) ((*1 *2 *3 *1) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-138)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-387 *2 *3)) (-4 *3 (-1097)) (-4 *2 (-1053)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *2 (-561)) (-5 *1 (-618 *2 *4)) (-4 *4 (-1233 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-703 *2)) (-4 *2 (-1053)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1053)) (-5 *1 (-730 *2 *3)) (-4 *3 (-721)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *5)) (-5 *3 (-637 (-768))) (-4 *1 (-735 *4 *5)) (-4 *4 (-1053)) (-4 *5 (-847)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-735 *4 *2)) (-4 *4 (-1053)) (-4 *2 (-847)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-849 *2)) (-4 *2 (-1053)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *6)) (-5 *3 (-637 (-768))) (-4 *1 (-955 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-955 *4 *5 *2)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *2 (-847)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-311 *4)) (-5 *1 (-1084 *4)) (-4 *4 (-13 (-847) (-561))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *2 (-955 *4 (-537 *5) *5)) (-5 *1 (-1121 *4 *5 *2)) (-4 *4 (-1053)) (-4 *5 (-847)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-958 *4)) (-5 *1 (-1198 *4)) (-4 *4 (-1053))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *1 (-1153 *3))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-768)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-497 *4)) (-4 *4 (-847)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1006 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1139 *4)) (-4 *4 (-1097))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-203))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-500))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4600)) (-4 *1 (-228 *3)) (-4 *3 (-1097)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1203))))) 
+(((*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *1 (-1123 *3 *2)) (-4 *3 (-1233 *2))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-128 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-503)))) ((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1151)) (-5 *1 (-705))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *1) (-5 *1 (-1263)))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-571)) (-4 *5 (-845)) (-4 *5 (-367)) (-5 *2 (-768)) (-5 *1 (-951 *5 *6)) (-4 *6 (-1233 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-571)) (-4 *4 (-1053)) (-5 *1 (-1153 *4)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1215 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-1169))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1165 *4)) (-5 *1 (-535 *4)) (-4 *4 (-352))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1082 *3)) (-4 *3 (-139))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-1075 *3 *4 *5))) (-4 *3 (-1097)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))) (-4 *5 (-13 (-435 *4) (-886 *3) (-612 (-892 *3)))) (-5 *1 (-1076 *3 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-756))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-715)) (-5 *2 (-922)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-768))))) 
+(((*1 *1) (-5 *1 (-1259)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-676 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-604 *2 *3)) (-4 *3 (-1203)) (-4 *2 (-1097)) (-4 *2 (-847))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-170 (-216)))) (-5 *1 (-146)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-1258 *3))))) 
+(((*1 *1) (-5 *1 (-159)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-159)))) ((*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-637 (-243 *5 *6))) (-4 *6 (-456)) (-5 *2 (-243 *5 *6)) (-14 *5 (-637 (-1169))) (-5 *1 (-625 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-824))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1215 *3)) (-4 *3 (-1053)) (-5 *1 (-1214 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-612 (-892 *3))) (-4 *3 (-886 *3)) (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-612 (-892 *3))) (-4 *2 (-886 *3)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-260 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-516 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-540 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-5 *2 (-855)) (-5 *1 (-541 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *7 (-977 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *7)) (|:| |neqzro| (-637 *7)) (|:| |wcond| (-637 (-958 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *4)))) (|:| -1899 (-637 (-1258 (-412 (-958 *4)))))))))) (-5 *1 (-929 *4 *5 *6 *7)) (-4 *7 (-955 *4 *6 *5))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *9 (-231 (-4001 *7) (-768))) (-5 *2 (-2 (|:| |mult| (-768)) (|:| |subMult| (-768)) (|:| |blUpRec| (-637 (-2 (|:| |recTransStr| (-243 (-3891 (QUOTE X) (QUOTE -2292)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-325 *6 *9)) (-4 *5 (-117))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-5 *1 (-1075 *4 *5 *2)) (-4 *2 (-13 (-435 *5) (-886 *4) (-612 (-892 *4)))))) ((*1 *1 *2 *2) (-12 (-4 *3 (-1097)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))) (-5 *1 (-1075 *3 *4 *2)) (-4 *2 (-13 (-435 *4) (-886 *3) (-612 (-892 *3))))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-758)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-121)) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-468))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *2 (-637 (-170 *4))) (-5 *1 (-158 *3 *4)) (-4 *3 (-1233 (-170 (-571)))) (-4 *4 (-13 (-367) (-845))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-637 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-637 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4)))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-768)) (-4 *1 (-224 *4)) (-4 *4 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-768)))) ((*1 *1 *1) (-4 *1 (-226))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-263 *3)) (-4 *3 (-847)))) ((*1 *1 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *3 (-13 (-367) (-151))) (-5 *1 (-404 *3 *4)) (-4 *4 (-1233 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-367) (-151))) (-5 *1 (-404 *2 *3)) (-4 *3 (-1233 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-482 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *2 *1 *3) (-12 (-4 *2 (-367)) (-4 *2 (-900 *3)) (-5 *1 (-588 *2)) (-5 *3 (-1169)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-588 *2)) (-4 *2 (-367)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-855)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *4)) (-5 *3 (-637 (-768))) (-4 *1 (-900 *4)) (-4 *4 (-1097)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-900 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *1 (-900 *3)) (-4 *3 (-1097)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1097)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1207)) (-5 *3 (-571)) (-5 *1 (-960)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1207)) (-5 *3 (-768)) (-5 *4 (-571)) (-5 *1 (-960)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1159 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1166 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1167 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 (QUOTE |x|))) (-5 *1 (-1215 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1221 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1242 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-1053)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1254 *4)) (-14 *4 (-1169)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-1053))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-958 *3))) (-4 *3 (-456)) (-5 *1 (-364 *3 *4)) (-14 *4 (-637 (-1169))))) ((*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-454 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-1151)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-454 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-1151)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-454 *4 *5 *6 *7)))) ((*1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-955 *3 *5 *6)) (-4 *3 (-367)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-563 *3 *4 *5 *6 *7)) (-14 *4 (-637 (-1169))))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-780 *3 (-857 *4)))) (-4 *3 (-456)) (-14 *4 (-637 (-1169))) (-5 *1 (-622 *3 *4))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39)))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1250 *3 *2)) (-4 *2 (-1248 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932))))) 
+(((*1 *2) (-12 (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1165 (-571))) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1165 (-571))) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-872 *3 *4 *5)) (-4 (-862 *3) (-373)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 (-571))) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 (-571))) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-435 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-160 *4 *5)) (-4 *5 (-435 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-273 *4 *5)) (-4 *5 (-13 (-435 *4) (-1008))))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-296 *4)) (-4 *4 (-297)))) ((*1 *2 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-434 *4 *5)) (-4 *4 (-435 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-436 *4 *5)) (-4 *5 (-435 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-121)) (-5 *1 (-624 *4 *5)) (-4 *5 (-13 (-435 *4) (-1008) (-1189)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-367)) (-5 *1 (-896 *2 *4)) (-4 *2 (-1233 *4))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-922)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-257))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-821)) (-5 *2 (-57)) (-5 *1 (-831))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-571)) (-5 *6 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-571)) (-5 *6 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-684 (-412 (-958 (-571))))) (-5 *2 (-637 (-311 (-571)))) (-5 *1 (-1037))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-367)) (-5 *1 (-652 *4 *2)) (-4 *2 (-649 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)) (-5 *2 (-637 (-768))) (-5 *1 (-776 *3 *4 *5 *6 *7)) (-4 *3 (-1233 *6)) (-4 *7 (-955 *6 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-314)) (-5 *3 (-216))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-431 *4 *2)) (-4 *2 (-13 (-1189) (-29 *4))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-151)) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *2 (-311 *5)) (-5 *1 (-591 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))))) ((*1 *2) (|partial| -12 (-4 *4 (-1213)) (-4 *5 (-1233 (-412 *2))) (-4 *2 (-1233 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1213)) (-4 *4 (-1233 (-412 *2))) (-4 *2 (-1233 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-668 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1141 *3)) (-4 *3 (-1203)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-539 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-470 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-637 *13)) (-5 *5 (-637 *9)) (-4 *9 (-977 *6)) (-4 *13 (-259 *12)) (-4 *6 (-367)) (-4 *12 (-539 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-637 (-1169))) (-4 *3 (-955 *6 *8 (-857 *7))) (-4 *8 (-231 (-4001 *7) (-768))) (-4 *10 (-644 *6)) (-4 *11 (-925 *6 *10)) (-4 *2 (-236 *11)) (-5 *1 (-559 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-5 *2 (-237 (-927 *4))) (-5 *1 (-872 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *2 (-237 (-926 *4))) (-5 *1 (-873 *4 *5 *6)) (-4 *6 (-117))))) 
+(((*1 *1 *1) (-5 *1 (-53))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-63 *5 *2)))) ((*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1097)) (|has| *1 (-6 -4600)) (-4 *1 (-155 *2)) (-4 *2 (-1203)))) ((*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4600)) (-4 *1 (-155 *2)) (-4 *2 (-1203)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4600)) (-4 *1 (-155 *2)) (-4 *2 (-1203)))) ((*1 *2 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-2 (|:| -2068 (-1165 *4)) (|:| |deg| (-922)))) (-5 *1 (-212 *4 *5)) (-5 *3 (-1165 *4)) (-4 *5 (-13 (-561) (-847))))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-233 *5 *6)) (-14 *5 (-768)) (-4 *6 (-1203)) (-4 *2 (-1203)) (-5 *1 (-232 *5 *6 *2)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-285 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1233 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-311 *2)) (-4 *2 (-561)) (-4 *2 (-847)))) ((*1 *1 *1) (-12 (-4 *1 (-334 *2 *3 *4 *5)) (-4 *2 (-367)) (-4 *3 (-1233 *2)) (-4 *4 (-1233 (-412 *3))) (-4 *5 (-341 *2 *3 *4)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-376 *5 *4 *2 *6)) (-4 *4 (-378 *5)) (-4 *6 (-378 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1097)) (-4 *2 (-1097)) (-5 *1 (-428 *5 *4 *2 *6)) (-4 *4 (-430 *5)) (-4 *6 (-430 *2)))) ((*1 *1 *1) (-5 *1 (-507))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-637 *5)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-635 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1053)) (-4 *2 (-1053)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-4 *8 (-378 *2)) (-4 *9 (-378 *2)) (-5 *1 (-680 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-682 *5 *6 *7)) (-4 *10 (-682 *2 *8 *9)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-707 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-710 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-412 *4)) (-4 *4 (-1233 *3)) (-4 *3 (-367)) (-4 *3 (-173)) (-4 *1 (-719 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-719 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-863)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-925 *4 *5)) (-4 *4 (-367)) (-4 *5 (-644 *4)) (-5 *2 (-237 *1)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-964 *5)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-963 *5 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-1040 *3 *4 *5 *2 *6)) (-4 *2 (-955 *3 *4 *5)) (-14 *6 (-637 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1053)) (-4 *2 (-1053)) (-14 *5 (-768)) (-14 *6 (-768)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *10 (-231 *6 *2)) (-4 *11 (-231 *5 *2)) (-5 *1 (-1058 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1056 *5 *6 *7 *8 *9)) (-4 *12 (-1056 *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1149 *5)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-1147 *5 *2)))) ((*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1197 *5 *6 *7 *2)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *2 (-1067 *5 *6 *7)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1258 *5)) (-4 *5 (-1203)) (-4 *2 (-1203)) (-5 *1 (-1257 *5 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) ((*1 *2 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-423 *4)) (-4 *4 (-561))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1097)) (-5 *1 (-1176 *3))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-571))) (-5 *5 (-1 (-1149 *4))) (-4 *4 (-367)) (-4 *4 (-1053)) (-5 *2 (-1149 *4)) (-5 *1 (-1153 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-610 *6)) (-4 *6 (-13 (-435 *5) (-27) (-1189))) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-1165 (-412 (-1165 *6)))) (-5 *1 (-567 *5 *6 *7)) (-5 *3 (-1165 *6)) (-4 *7 (-1097)))) ((*1 *2 *1) (-12 (-4 *2 (-1233 *3)) (-5 *1 (-707 *3 *2)) (-4 *3 (-1053)))) ((*1 *2 *1) (-12 (-4 *1 (-719 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1233 *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1165 *11)) (-5 *6 (-637 *10)) (-5 *7 (-637 (-768))) (-5 *8 (-637 *11)) (-4 *10 (-847)) (-4 *11 (-302)) (-4 *9 (-793)) (-4 *5 (-955 *11 *9 *10)) (-5 *2 (-637 (-1165 *5))) (-5 *1 (-737 *9 *10 *11 *5)) (-5 *3 (-1165 *5)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-863)))) ((*1 *2 *1) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-863)))) ((*1 *2 *1) (-12 (-4 *2 (-955 *3 *4 *5)) (-5 *1 (-1040 *3 *4 *5 *2 *6)) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-14 *6 (-637 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2280 *1))) (-4 *1 (-849 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-768)) (-5 *1 (-913 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *1 (-955 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-955 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-768))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-423 *2)) (-4 *2 (-561))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1165 (-958 *4))) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) ((*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-4 *3 (-367)) (-5 *2 (-1165 (-958 *3))))) ((*1 *2) (-12 (-5 *2 (-1165 (-412 (-958 *3)))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-476)) (-5 *3 (-637 (-257))) (-5 *1 (-1259)))) ((*1 *1 *1) (-5 *1 (-1259)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-3 (-1165 *4) (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115))))))) (-5 *1 (-349 *4)) (-4 *4 (-352))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1053)) (-5 *2 (-637 *1)) (-4 *1 (-1129 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-468)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 (-2 (|:| -4262 (-1165 *6)) (|:| -2154 (-571))))) (-4 *6 (-302)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-737 *4 *5 *6 *7)) (-4 *7 (-955 *6 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-1129 *2)) (-4 *2 (-1053))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-512 *2)) (-14 *2 (-571)))) ((*1 *1 *1 *1) (-5 *1 (-1115)))) 
+(((*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-978))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1169)) (-5 *5 (-1091 (-216))) (-5 *2 (-932)) (-5 *1 (-930 *3)) (-4 *3 (-612 (-544))))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1169)) (-5 *5 (-1091 (-216))) (-5 *2 (-932)) (-5 *1 (-930 *3)) (-4 *3 (-612 (-544))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-931)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-931)))) ((*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-931)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-932)))) ((*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) ((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-637 (-1 (-216) (-216)))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-637 (-1 (-216) (-216)))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1091 (-216))) (-5 *1 (-932))))) 
+(((*1 *2) (-12 (-5 *2 (-855)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-637 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-1067 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) ((*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1197 *5 *6 *7 *3)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-216))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1197 *4 *5 *3 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *3 (-847)) (-4 *6 (-1067 *4 *5 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-847)) (-5 *4 (-637 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-637 *4)))) (-5 *1 (-1175 *6)) (-5 *5 (-637 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))) (-5 *4 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))) (-5 *4 (-412 (-571))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-412 (-571))) (-5 *2 (-637 (-2 (|:| -1856 *5) (|:| -1852 *5)))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))) (-5 *4 (-2 (|:| -1856 *5) (|:| -1852 *5))))) ((*1 *2 *3) (-12 (-5 *2 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 (-412 (-571)))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 (-412 (-571)))) (-5 *4 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-412 (-571))) (-5 *2 (-637 (-2 (|:| -1856 *4) (|:| -1852 *4)))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-412 (-571))) (-5 *2 (-637 (-2 (|:| -1856 *5) (|:| -1852 *5)))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 *5)) (-5 *4 (-2 (|:| -1856 *5) (|:| -1852 *5)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-768)) (-5 *1 (-453 *4 *5 *6 *3)) (-4 *3 (-955 *4 *5 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1045))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-368 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-1233 *4)) (-5 *1 (-547 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-768)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-159)))) ((*1 *2 *1) (-12 (-5 *2 (-159)) (-5 *1 (-874)))) ((*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-512 *2)) (-14 *2 (-571)))) ((*1 *1 *1) (-5 *1 (-1115)))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2280 *1))) (-4 *1 (-849 *3))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *4 (-874)) (-5 *5 (-922)) (-5 *6 (-637 (-257))) (-5 *2 (-476)) (-5 *1 (-1262)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *2 (-476)) (-5 *1 (-1262)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *4 (-637 (-257))) (-5 *2 (-476)) (-5 *1 (-1262))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-367)) (-4 *3 (-1053)) (-5 *1 (-1153 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-949 *3)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *12)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *12)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-637 (-260 (-540 *3 *4 *5)))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-637 (-260 (-516 *3 *4 *5)))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1141 *3)) (-4 *3 (-1203)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *1 (-1199 *3)) (-4 *3 (-981))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-768)) (-4 *4 (-13 (-561) (-151))) (-5 *1 (-1227 *4 *2)) (-4 *2 (-1233 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-571)) (-5 *2 (-833 (-216))) (-5 *1 (-218)) (-5 *4 (-216))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-833 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-840 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-847)) (-5 *2 (-121)) (-5 *1 (-497 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4600)) (-4 *1 (-502 *4)) (-4 *4 (-1203)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-1006 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-1139 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-456)))) ((*1 *1 *1 *1) (-4 *1 (-456))) ((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-5 *1 (-499 *2)) (-4 *2 (-1233 (-571))))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-690 *2)) (-4 *2 (-1233 *3)))) ((*1 *1 *1 *1) (-5 *1 (-768))) ((*1 *2 *2 *2) (-12 (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-302)) (-5 *1 (-917 *3 *4 *5 *2)) (-4 *2 (-955 *5 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *6 *4 *5)) (-5 *1 (-917 *4 *5 *6 *2)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1165 *6)) (-4 *6 (-955 *5 *3 *4)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-302)) (-5 *1 (-917 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-1165 *7))) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-302)) (-5 *2 (-1165 *7)) (-5 *1 (-917 *4 *5 *6 *7)) (-4 *7 (-955 *6 *4 *5)))) ((*1 *1 *1 *1) (-5 *1 (-922))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1207)) (-5 *3 (-571)) (-5 *1 (-960)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-964 (-1207))) (-5 *4 (-571)) (-5 *2 (-1207)) (-5 *1 (-960)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-456)) (-4 *3 (-561)) (-5 *1 (-976 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) ((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1172))))) 
+(((*1 *2) (-12 (-5 *2 (-2 (|:| -3894 (-637 *3)) (|:| -2436 (-637 *3)))) (-5 *1 (-1210 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1258 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-367)) (-4 *1 (-719 *5 *6)) (-4 *5 (-173)) (-4 *6 (-1233 *5)) (-5 *2 (-684 *5))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-847) (-1043 (-571)) (-633 (-571)) (-456))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1242 *4 *5 *6)) (|:| |%expon| (-315 *4 *5 *6)) (|:| |%expTerms| (-637 (-2 (|:| |k| (-412 (-571))) (|:| |c| *4)))))) (|:| |%type| (-1151)))) (-5 *1 (-1243 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1189) (-435 *3))) (-14 *5 (-1169)) (-14 *6 *4)))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-558 *3)) (-4 *3 (-13 (-409) (-1189))) (-5 *2 (-121))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874))))) 
+(((*1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1172))))) 
+(((*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-964 (-216))) (-5 *3 (-1115)) (-5 *1 (-115))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-588 *2)) (-4 *2 (-367))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *2 (-1097)) (-5 *1 (-675 *5 *6 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-311 *5))) (-5 *1 (-1124 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 *5)))) (-5 *4 (-637 (-1169))) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-637 (-311 *5)))) (-5 *1 (-1124 *5))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-495 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-1053)) (-5 *2 (-243 *4 *5)) (-5 *1 (-950 *4 *5))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -4547 (-123)) (|:| |arg| (-637 (-892 *3))))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-637 (-892 *4))) (-5 *1 (-892 *4)) (-4 *4 (-1097))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-637 *3)) (|:| |image| (-637 *3)))) (-5 *1 (-905 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-1260)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 (-684 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-2 (|:| |zeros| (-1149 (-216))) (|:| |ones| (-1149 (-216))) (|:| |singularities| (-1149 (-216))))) (-5 *1 (-109))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-96 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-684 (-412 *4)))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-367)) (-5 *1 (-763 *2 *3)) (-4 *2 (-703 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-1 *4 (-571))) (-4 *4 (-1053)) (-5 *1 (-1153 *4))))) 
+(((*1 *2) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-637 (-637 *4))) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *3 (-373)) (-5 *2 (-637 (-637 *3))))) ((*1 *2) (-12 (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *7)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-637 (-973 *3))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-637 (-972 *3))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-5 *2 (-637 *8)) (-5 *1 (-969 *5 *6 *3 *7 *8)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-637 *8)) (|:| |towers| (-637 (-1033 *5 *6 *7 *8))))) (-5 *1 (-1033 *5 *6 *7 *8)) (-5 *3 (-637 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-637 *8)) (|:| |towers| (-637 (-1138 *5 *6 *7 *8))))) (-5 *1 (-1138 *5 *6 *7 *8)) (-5 *3 (-637 *8))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-768))) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-231 *5 (-768))) (-5 *1 (-913 *4 *3 *2 *5)) (-4 *3 (-325 *4 *2)) (-14 *5 (-768))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) ((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *1 *1) (-5 *1 (-1065)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-588 *3) *3 (-1169))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1169))) (-4 *3 (-280)) (-4 *3 (-623)) (-4 *3 (-1043 *4)) (-4 *3 (-435 *7)) (-5 *4 (-1169)) (-4 *7 (-612 (-892 (-571)))) (-4 *7 (-456)) (-4 *7 (-886 (-571))) (-4 *7 (-847)) (-5 *2 (-588 *3)) (-5 *1 (-580 *7 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-148))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-948)) (-5 *3 (-571))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-367)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-532 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-4 *7 (-999 *4)) (-4 *2 (-682 *7 *8 *9)) (-5 *1 (-533 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-682 *4 *5 *6)) (-4 *8 (-378 *7)) (-4 *9 (-378 *7)))) ((*1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (-4 *2 (-302)))) ((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-683 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-684 *3)) (-4 *3 (-302)) (-5 *1 (-694 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1056 *2 *3 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *2 *4)) (-4 *4 (-302))))) 
+(((*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-768)) (-4 *3 (-13 (-721) (-373) (-10 -7 (-15 ** (*3 *3 (-571)))))) (-5 *1 (-242 *3))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1203)) (-4 *2 (-847)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-975 *2)) (-4 *2 (-847))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1149 (-571))) (-5 *1 (-1153 *4)) (-4 *4 (-1053)) (-5 *3 (-571))))) 
+(((*1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1261))))) 
+(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-571))) (-5 *1 (-1051))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1203)) (-4 *2 (-1097)))) ((*1 *1 *1) (-12 (-4 *1 (-689 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-571)) (-5 *1 (-447 *4 *3 *5)) (-4 *3 (-1233 *4)) (-4 *5 (-13 (-409) (-1043 *4) (-367) (-1189) (-280)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-732 *3)))) ((*1 *1 *2) (-12 (-5 *1 (-732 *2)) (-4 *2 (-1097)))) ((*1 *1) (-12 (-5 *1 (-732 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-684 (-1165 *8))) (-4 *5 (-1053)) (-4 *8 (-1053)) (-4 *6 (-1233 *5)) (-5 *2 (-684 *6)) (-5 *1 (-513 *5 *6 *7 *8)) (-4 *7 (-1233 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-571)) (-5 *1 (-499 *4)) (-4 *4 (-1233 *2))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-423 *2)) (-4 *2 (-561))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-378 *2)) (-4 *2 (-1203)) (-4 *2 (-847)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-378 *3)) (-4 *3 (-1203)))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-905 *3))) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-4 *6 (-1067 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -3955 *1) (|:| |upper| *1))) (-4 *1 (-983 *4 *5 *3 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-1165 (-958 *4)) (-958 *4))) (-5 *1 (-1266 *4)) (-4 *4 (-367))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-768)) (-4 *6 (-1097)) (-4 *3 (-900 *6)) (-5 *2 (-684 *3)) (-5 *1 (-686 *6 *3 *7 *4)) (-4 *7 (-378 *3)) (-4 *4 (-13 (-378 *6) (-10 -7 (-6 -4600))))))) 
+(((*1 *1) (-5 *1 (-442)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571)))) ((*1 *2 *1) (-12 (-5 *2 (-1258 (-3 (-476) "undefined"))) (-5 *1 (-1259))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-684 *11)) (-5 *4 (-637 (-412 (-958 *8)))) (-5 *5 (-768)) (-5 *6 (-1151)) (-4 *8 (-13 (-302) (-151))) (-4 *11 (-955 *8 *10 *9)) (-4 *9 (-13 (-847) (-612 (-1169)))) (-4 *10 (-793)) (-5 *2 (-2 (|:| |rgl| (-637 (-2 (|:| |eqzro| (-637 *11)) (|:| |neqzro| (-637 *11)) (|:| |wcond| (-637 (-958 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *8)))) (|:| -1899 (-637 (-1258 (-412 (-958 *8)))))))))) (|:| |rgsz| (-571)))) (-5 *1 (-929 *8 *9 *10 *11)) (-5 *7 (-571))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-1169)) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-468))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1097)) (-5 *1 (-971 *3 *2)) (-4 *3 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-961)) (-5 *2 (-637 (-637 (-949 (-216))))))) ((*1 *2 *1) (-12 (-4 *1 (-981)) (-5 *2 (-637 (-637 (-949 (-216)))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *4)) (-4 *4 (-173)) (-5 *2 (-637 (-958 *4))))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-637 (-958 *4))) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) ((*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-5 *2 (-637 (-958 *3))))) ((*1 *2) (-12 (-5 *2 (-637 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) ((*1 *2 *3) (-12 (-5 *3 (-1258 (-457 *4 *5 *6 *7))) (-5 *2 (-637 (-958 *4))) (-5 *1 (-457 *4 *5 *6 *7)) (-4 *4 (-561)) (-4 *4 (-173)) (-14 *5 (-922)) (-14 *6 (-637 (-1169))) (-14 *7 (-1258 (-684 *4)))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-128 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-633 (-571))) (-5 *2 (-121)) (-5 *1 (-1283 *4))))) 
+(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-604 *4 *3)) (-4 *4 (-1097)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-5 *2 (-121)) (-5 *1 (-589 *3)) (-4 *3 (-553))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-637 (-289 *4))) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-637 *3)) (-4 *3 (-1203))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1149 (-216))) (-5 *1 (-185)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-637 (-1169))) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-1149 (-216))) (-5 *1 (-295)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1258 (-311 (-216)))) (-5 *4 (-637 (-1169))) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-1149 (-216))) (-5 *1 (-295))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-557))))) 
+(((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) ((*1 *2 *2) (-12 (-4 *3 (-367)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-672 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-1053)) (-5 *1 (-684 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *4)) (-4 *4 (-1053)) (-4 *1 (-1118 *3 *4 *5 *6)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-684 *2)) (-5 *4 (-768)) (-4 *2 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *5 (-1233 *2)) (-5 *1 (-511 *2 *5 *6)) (-4 *6 (-414 *2 *5))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1169)) (-5 *2 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *1 (-1172))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *4)))) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-637 *1)) (-4 *1 (-435 *4)) (-4 *4 (-847)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1169)) (-4 *1 (-435 *3)) (-4 *3 (-847)))) ((*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1169)) (-4 *1 (-435 *3)) (-4 *3 (-847)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1169)) (-4 *1 (-435 *3)) (-4 *3 (-847)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1169)) (-4 *1 (-435 *3)) (-4 *3 (-847))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4080 *3) (|:| -4279 *4)))) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *1 (-1180 *3 *4)))) ((*1 *1) (-12 (-4 *1 (-1180 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *3)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-4 *3 (-167 *6)) (-4 (-958 *6) (-886 *5)) (-4 *6 (-13 (-886 *5) (-173))) (-5 *1 (-177 *5 *6 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-889 *4 *1)) (-5 *3 (-892 *4)) (-4 *1 (-886 *4)) (-4 *4 (-1097)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *6)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-4 *6 (-13 (-1097) (-1043 *3))) (-4 *3 (-886 *5)) (-5 *1 (-937 *5 *3 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *3)) (-4 *5 (-1097)) (-4 *3 (-13 (-435 *6) (-612 *4) (-886 *5) (-1043 (-610 $)))) (-5 *4 (-892 *5)) (-4 *6 (-13 (-561) (-847) (-886 *5))) (-5 *1 (-938 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 (-571) *3)) (-5 *4 (-892 (-571))) (-4 *3 (-553)) (-5 *1 (-939 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *6)) (-5 *3 (-610 *6)) (-4 *5 (-1097)) (-4 *6 (-13 (-847) (-1043 (-610 $)) (-612 *4) (-886 *5))) (-5 *4 (-892 *5)) (-5 *1 (-940 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *6 *3)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-4 *6 (-886 *5)) (-4 *3 (-661 *6)) (-5 *1 (-941 *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-889 *6 *3) *8 (-892 *6) (-889 *6 *3))) (-4 *8 (-847)) (-5 *2 (-889 *6 *3)) (-5 *4 (-892 *6)) (-4 *6 (-1097)) (-4 *3 (-13 (-955 *9 *7 *8) (-612 *4))) (-4 *7 (-793)) (-4 *9 (-13 (-1053) (-847) (-886 *6))) (-5 *1 (-942 *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *3)) (-4 *5 (-1097)) (-4 *3 (-13 (-955 *8 *6 *7) (-612 *4))) (-5 *4 (-892 *5)) (-4 *7 (-886 *5)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-13 (-1053) (-847) (-886 *5))) (-5 *1 (-942 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 *3)) (-4 *5 (-1097)) (-4 *3 (-999 *6)) (-4 *6 (-13 (-561) (-886 *5) (-612 *4))) (-5 *4 (-892 *5)) (-5 *1 (-945 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-889 *5 (-1169))) (-5 *3 (-1169)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-5 *1 (-946 *5)))) ((*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-637 (-892 *7))) (-5 *5 (-1 *9 (-637 *9))) (-5 *6 (-1 (-889 *7 *9) *9 (-892 *7) (-889 *7 *9))) (-4 *7 (-1097)) (-4 *9 (-13 (-1053) (-612 (-892 *7)) (-1043 *8))) (-5 *2 (-889 *7 *9)) (-5 *3 (-637 *9)) (-4 *8 (-13 (-1053) (-847))) (-5 *1 (-947 *7 *8 *9))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-302)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -2280 *1))) (-4 *1 (-302))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-4 *3 (-13 (-27) (-1189) (-435 *6) (-10 -8 (-15 -3942 ($ *7))))) (-4 *7 (-845)) (-4 *8 (-13 (-1235 *3 *7) (-367) (-1189) (-10 -8 (-15 -3096 ($ $)) (-15 -3403 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151)))))) (-5 *1 (-427 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1151)) (-4 *9 (-990 *8)) (-14 *10 (-1169))))) 
+(((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-449 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1033 *5 *6 *7 *3))) (-5 *1 (-1033 *5 *6 *7 *3)) (-4 *3 (-1067 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-637 *6)) (-4 *1 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1072 *3 *4 *5 *2)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1138 *5 *6 *7 *3))) (-5 *1 (-1138 *5 *6 *7 *3)) (-4 *3 (-1067 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-684 *5)) (-5 *4 (-1258 *5)) (-4 *5 (-367)) (-5 *2 (-121)) (-5 *1 (-662 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4601)))) (-5 *2 (-121)) (-5 *1 (-663 *5 *6 *4 *3)) (-4 *3 (-682 *5 *6 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-393)) (-5 *1 (-441)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-393)) (-5 *1 (-441))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847))))) 
+(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1) (-5 *1 (-1115)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-384))) (-5 *2 (-311 (-216))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-5 *2 (-684 *4)) (-5 *1 (-814 *4 *5)) (-4 *5 (-649 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-768)) (-4 *5 (-367)) (-5 *2 (-684 *5)) (-5 *1 (-814 *5 *6)) (-4 *6 (-649 *5))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-847)) (-5 *1 (-935 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-311 (-571))) (-5 *1 (-936))))) 
+(((*1 *1 *1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *2)) (-4 *2 (-955 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-1053)) (-5 *1 (-448 *3 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-571)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1203)) (-4 *4 (-378 *2)) (-4 *5 (-378 *2)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1203))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *4 (-367)) (-5 *2 (-637 *1)) (-4 *1 (-37 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-367)) (-5 *2 (-637 *1)) (-4 *1 (-37 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-903 *3)) (-4 *3 (-1097)) (-5 *2 (-1099 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1097)) (-5 *2 (-1099 (-637 *4))) (-5 *1 (-904 *4)) (-5 *3 (-637 *4)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1097)) (-5 *2 (-1099 (-1099 *4))) (-5 *1 (-904 *4)) (-5 *3 (-1099 *4)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-1099 *3)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *4 (-367)) (-5 *2 (-637 *1)) (-4 *1 (-977 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-367)) (-5 *2 (-637 *1)) (-4 *1 (-977 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-847)) (-5 *1 (-935 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-311 (-571))) (-5 *1 (-936))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189))))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-571)) (-4 *5 (-1053)) (-4 *6 (-231 *7 (-768))) (-14 *7 (-768)) (-5 *1 (-913 *5 *2 *6 *7)) (-4 *2 (-325 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-922)) (-5 *4 (-384)) (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3730 *3) (|:| |coef1| (-782 *3)) (|:| |coef2| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1149 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1053)) (-5 *3 (-412 (-571))) (-5 *1 (-1153 *4))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-4 *2 (-900 *5)) (-5 *1 (-686 *5 *2 *3 *4)) (-4 *3 (-378 *2)) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4600))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-121))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1263)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-4 *1 (-644 *3)) (-4 *3 (-367)) (-5 *2 (-121)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-644 *3)) (-4 *3 (-367)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-5 *1 (-657 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *7 (-977 *3)) (-4 *9 (-925 *3 *8)))) ((*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-5 *2 (-121)) (-5 *1 (-657 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *7 (-977 *3)) (-4 *9 (-925 *3 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-2 (|:| |val| (-637 *8)) (|:| -4121 *9)))) (-5 *4 (-768)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-1263)) (-5 *1 (-1070 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-2 (|:| |val| (-637 *8)) (|:| -4121 *9)))) (-5 *4 (-768)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1106 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-1263)) (-5 *1 (-1137 *5 *6 *7 *8 *9))))) 
 (((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *4 (-216)) (-5 *1 (-115))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569)))) (-5 *1 (-300))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033)) (-5 *3 (-311 (-569)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1128 *4 *5)) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1129 *4 *5))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-278 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-564)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-686 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) (-5 *1 (-800)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-969 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-243 *6 (-859 *5))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-931 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-973 *5)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-931 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-973 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *6 *7 *2)) (-4 *6 (-1049)) (-4 *7 (-231 *5 *6)) (-4 *2 (-231 *4 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1130 *4 *2)) (-14 *4 (-919)) (-4 *2 (-13 (-1049) (-10 -7 (-6 (-4573 "*"))))) (-5 *1 (-899 *4 *2))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-719 *5 *2)) (-4 *5 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-635 (-1087 (-216)))) (-5 *1 (-930))))) 
-(((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-635 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *1 (-980 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *1 (-106 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-860)) (-5 *2 (-635 *1)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -3064 (-569)))) (-5 *1 (-1045 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-973 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-969 *3))) (-4 *3 (-351)) (-5 *1 (-869 *3 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-968 *3))) (-4 *3 (-366)) (-5 *1 (-870 *3 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-57))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-635 (-854 *4))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-477 *4 *5 *6)) (-4 *6 (-454))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-367)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-37 *3)) (-4 *3 (-367)))) ((*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *1 *1 *1) (-4 *1 (-481))) ((*1 *1 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) ((*1 *1 *1) (-4 *1 (-863))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-883)))) ((*1 *1 *1) (-12 (-4 *1 (-977 *2)) (-4 *2 (-367)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-977 *3)) (-4 *3 (-367)))) ((*1 *1 *1) (-5 *1 (-978))) ((*1 *1 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-1053)) (-5 *2 (-571)) (-5 *1 (-447 *5 *3 *6)) (-4 *3 (-1233 *5)) (-4 *6 (-13 (-409) (-1043 *5) (-367) (-1189) (-280))))) ((*1 *2 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-571)) (-5 *1 (-447 *4 *3 *5)) (-4 *3 (-1233 *4)) (-4 *5 (-13 (-409) (-1043 *4) (-367) (-1189) (-280)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-999 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-144 *4 *5 *3)) (-4 *3 (-378 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-999 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *6 (-378 *4)) (-4 *3 (-378 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-684 *5)) (-4 *5 (-999 *4)) (-4 *4 (-561)) (-5 *2 (-2 (|:| |num| (-684 *4)) (|:| |den| *4))) (-5 *1 (-687 *4 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-2 (|:| -3192 *7) (|:| |rh| (-637 (-412 *6))))) (-5 *1 (-807 *5 *6 *7 *3)) (-5 *4 (-637 (-412 *6))) (-4 *7 (-649 *6)) (-4 *3 (-649 (-412 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-999 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1226 *4 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-800)) (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1041))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-571)) (|has| *1 (-6 -4591)) (-4 *1 (-409)) (-5 *2 (-922))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-964 (-216))) (-5 *3 (-1115)) (-5 *4 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-637 (-571))))) ((*1 *2 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-637 (-571)))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203))))) 
+(((*1 *2) (-12 (-5 *2 (-637 (-922))) (-5 *1 (-1261)))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-922))) (-5 *1 (-1261))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-476)) (-5 *4 (-922)) (-5 *2 (-1263)) (-5 *1 (-1259))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-571)) (-5 *5 (-121)) (-5 *6 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1245 *3)) (-4 *3 (-1203)) (-5 *2 (-768))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1053)) (-5 *1 (-709 *4 *2)) (-4 *2 (-640 *4)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-834 *2)) (-4 *2 (-1053))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-512 *2)) (-14 *2 (-571)))) ((*1 *1 *1 *1) (-5 *1 (-1115)))) 
+(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-752)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-393)) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 (-311 (-216)))) (-5 *2 (-2 (|:| |additions| (-571)) (|:| |multiplications| (-571)) (|:| |exponentiations| (-571)) (|:| |functionCalls| (-571)))) (-5 *1 (-300))))) 
+(((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-768)) (-4 *5 (-173)))) ((*1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173)))) ((*1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-1053)) (-4 *1 (-682 *3 *2 *4)) (-4 *2 (-378 *3)) (-4 *4 (-378 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1134 *2 *3)) (-14 *2 (-768)) (-4 *3 (-1053))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-768)) (-4 *5 (-173)))) ((*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-768)) (-4 *5 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571))))) (-5 *3 (-637 (-857 *4))) (-14 *4 (-637 (-1169))) (-14 *5 (-768)) (-5 *1 (-518 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 *4)) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-121)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-1132 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1097) (-39))) (-4 *5 (-13 (-1097) (-39))) (-5 *1 (-1133 *4 *5)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-637 (-1132 *3 *4))) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))) (-5 *1 (-1133 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-300))))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-892 *4)) (-4 *4 (-1097)) (-5 *2 (-121)) (-5 *1 (-889 *4 *5)) (-4 *5 (-1097)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-5 *2 (-121)) (-5 *1 (-890 *5 *3)) (-4 *3 (-1203)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-892 *5)) (-4 *5 (-1097)) (-4 *6 (-1203)) (-5 *2 (-121)) (-5 *1 (-890 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-684 (-412 (-958 (-571))))) (-5 *2 (-637 (-684 (-311 (-571))))) (-5 *1 (-1037)) (-5 *3 (-311 (-571)))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-121)) (-5 *5 (-684 (-170 (-216)))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *1 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-5 *4 (-768)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-637 (-2 (|:| |det| *8) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (-5 *1 (-929 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1151)) (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-637 (-257))) (-5 *4 (-1169)) (-5 *1 (-256 *2)) (-4 *2 (-1203)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-637 (-257))) (-5 *4 (-1169)) (-5 *2 (-57)) (-5 *1 (-257)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-637 (-468))) (-5 *4 (-1169)) (-5 *2 (-57)) (-5 *1 (-468))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2) (|partial| -12 (-4 *4 (-1213)) (-4 *5 (-1233 (-412 *2))) (-4 *2 (-1233 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1213)) (-4 *4 (-1233 (-412 *2))) (-4 *2 (-1233 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-456)) (-4 *4 (-847)) (-4 *5 (-793)) (-5 *1 (-994 *3 *4 *5 *6)) (-4 *6 (-955 *3 *5 *4))))) 
+(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-571)) (-5 *6 (-2 (|:| |try| (-384)) (|:| |did| (-384)) (|:| -2034 (-384)))) (-5 *7 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-571)) (-5 *6 (-2 (|:| |try| (-384)) (|:| |did| (-384)) (|:| -2034 (-384)))) (-5 *7 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1132 *4 *5)) (-4 *4 (-13 (-1097) (-39))) (-4 *5 (-13 (-1097) (-39))) (-5 *2 (-121)) (-5 *1 (-1133 *4 *5))))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1151)) (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1258 (-1258 (-571)))) (-5 *3 (-922)) (-5 *1 (-474))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-637 (-1165 (-571)))) (-5 *1 (-184)) (-5 *3 (-571))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1203)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-847)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-847)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-278 *3)) (-4 *3 (-1203)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-278 *2)) (-4 *2 (-1203)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -4080 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-566)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-689 *2)) (-4 *2 (-1097)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -4080 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384)))))) (-5 *1 (-803)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) ((*1 *2 *3 *4) (-12 (-5 *2 (-1263)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-571)) (-5 *5 (-170 (-216))) (-5 *6 (-1151)) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1168)) (-5 *1 (-329))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-456)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-121)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-984 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-588 *3)) (-4 *3 (-367))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-973 *5)) (-4 *5 (-352)) (-14 *6 (-637 (-1169))) (-5 *2 (-243 *6 (-862 *5))) (-5 *1 (-872 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-367)) (-4 *6 (-231 *7 (-768))) (-14 *7 (-768)) (-5 *1 (-934 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-977 *5)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-367)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-934 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-977 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-756))))) 
+(((*1 *2 *3) (-12 (|has| *6 (-6 -4601)) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-637 *6)) (-5 *1 (-532 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) ((*1 *2 *3) (-12 (|has| *9 (-6 -4601)) (-4 *4 (-561)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-4 *7 (-999 *4)) (-4 *8 (-378 *7)) (-4 *9 (-378 *7)) (-5 *2 (-637 *6)) (-5 *1 (-533 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-682 *4 *5 *6)) (-4 *10 (-682 *7 *8 *9)))) ((*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-4 *3 (-561)) (-5 *2 (-637 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *4 (-173)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-637 *6)) (-5 *1 (-683 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-561)) (-5 *2 (-637 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-352)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-360 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1203)) (-4 *5 (-378 *4)) (-4 *2 (-378 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1056 *4 *5 *6 *7 *2)) (-4 *6 (-1053)) (-4 *7 (-231 *5 *6)) (-4 *2 (-231 *4 *6))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-754))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -2139 *4) (|:| -4357 (-571))))) (-4 *4 (-1097)) (-5 *2 (-1 *4)) (-5 *1 (-1023 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-1178 *2)) (-4 *2 (-367))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-1229 *3 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1134 *4 *2)) (-14 *4 (-922)) (-4 *2 (-13 (-1053) (-10 -7 (-6 (-4602 "*"))))) (-5 *1 (-902 *4 *2))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1151)) (-5 *5 (-684 (-216))) (-5 *6 (-684 (-571))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-754))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-112)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-544))) (-5 *1 (-544))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 (-571))))) (-5 *1 (-365 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 (-768))))) (-5 *1 (-391 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| -4262 *3) (|:| -2154 (-571))))) (-5 *1 (-423 *3)) (-4 *3 (-561)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 (-768))))) (-5 *1 (-819 *3)) (-4 *3 (-847))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-644 *4)) (-4 *3 (-925 *4 *8)) (-4 *9 (-236 *3)) (-4 *10 (-539 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-977 *4)) (-5 *1 (-470 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-644 *4)) (-4 *2 (-977 *4)) (-5 *1 (-657 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *3 (-925 *4 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-927 *4)) (-4 *4 (-352)) (-5 *2 (-973 *4)) (-5 *1 (-872 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-926 *4)) (-4 *4 (-367)) (-5 *2 (-972 *4)) (-5 *1 (-873 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) ((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-754))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1165 (-958 *4))) (-5 *1 (-421 *3 *4)) (-4 *3 (-422 *4)))) ((*1 *2) (-12 (-4 *1 (-422 *3)) (-4 *3 (-173)) (-4 *3 (-367)) (-5 *2 (-1165 (-958 *3))))) ((*1 *2) (-12 (-5 *2 (-1165 (-412 (-958 *3)))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *2 (-2 (|:| |solns| (-637 *5)) (|:| |maps| (-637 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1123 *3 *5)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-1062)) (-4 *3 (-1189)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-121)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 (-170 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-121)) (-5 *1 (-1193 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4)))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-754))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-412 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1233 *5)) (-5 *1 (-722 *5 *2)) (-4 *5 (-367))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1258 *5)) (-5 *3 (-768)) (-5 *4 (-1115)) (-4 *5 (-352)) (-5 *1 (-535 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-425 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1189) (-435 *3))) (-14 *4 (-1169)) (-14 *5 *2))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-4 *2 (-13 (-27) (-1189) (-435 *3) (-10 -8 (-15 -3942 ($ *4))))) (-4 *4 (-845)) (-4 *5 (-13 (-1235 *2 *4) (-367) (-1189) (-10 -8 (-15 -3096 ($ $)) (-15 -3403 ($ $))))) (-5 *1 (-427 *3 *2 *4 *5 *6 *7)) (-4 *6 (-990 *5)) (-14 *7 (-1169))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-581 *5 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *4 (-955 *5 *7 (-857 *6))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *3 (-977 *5)) (-4 *8 (-644 *5)) (-4 *9 (-925 *5 *8)) (-4 *10 (-236 *9)) (-4 *12 (-117)) (-4 *2 (-259 *11)) (-5 *1 (-261 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-539 *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1181 *4 *5)) (-4 *4 (-1097)) (-4 *5 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172))))) 
+(((*1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-756))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-948)) (-5 *3 (-571))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))) (-5 *1 (-447 *4 *3 *2)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-981))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-539 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-539 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2) (-12 (-5 *2 (-237 (-927 *3))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-237 (-926 *3))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *2 (-637 (-1091 (-216)))) (-5 *1 (-933))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1070 *6 *7 *8 *3 *4)) (-4 *4 (-1072 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-637 *4)) (|:| |todo| (-637 (-2 (|:| |val| (-637 *3)) (|:| -4121 *4)))))) (-5 *1 (-1137 *5 *6 *7 *3 *4)) (-4 *4 (-1106 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-412 (-958 *6)) (-1158 (-1169) (-958 *6)))) (-5 *5 (-768)) (-4 *6 (-456)) (-5 *2 (-637 (-684 (-412 (-958 *6))))) (-5 *1 (-287 *6)) (-5 *4 (-684 (-412 (-958 *6)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-412 (-958 *5)) (-1158 (-1169) (-958 *5)))) (|:| |eigmult| (-768)) (|:| |eigvec| (-637 *4)))) (-4 *5 (-456)) (-5 *2 (-637 (-684 (-412 (-958 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-684 (-412 (-958 *5))))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1016 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-139)) (-5 *1 (-1082 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-571) *2 *2)) (-4 *2 (-139)) (-5 *1 (-1082 *2))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-412 (-571))) (-5 *1 (-216)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-412 (-571))) (-5 *1 (-216)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-412 (-571))) (-5 *1 (-384)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-412 (-571))) (-5 *1 (-384))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-1073 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-1105 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7))))) 
+(((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-637 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1067 *6 *7 *8)) (-4 *6 (-561)) (-4 *7 (-793)) (-4 *8 (-847)) (-5 *1 (-984 *6 *7 *8 *9))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-782 *2)) (-4 *2 (-561)) (-4 *2 (-1053)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-976 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) ((*1 *2 *3 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *1)))) (-4 *1 (-1072 *4 *5 *6 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3026 *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1115)) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-362 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *2 (-1097)) (-5 *1 (-1181 *3 *2)) (-4 *3 (-1097))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1233 (-571))) (-5 *1 (-499 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-1139 (-1151))) (-5 *1 (-396))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-1203)) (-5 *1 (-180 *3 *2)) (-4 *2 (-668 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-646 (-412 *6))) (-5 *4 (-412 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-810 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-646 (-412 *6))) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-2 (|:| -1899 (-637 (-412 *6))) (|:| -3533 (-684 *5)))) (-5 *1 (-810 *5 *6)) (-5 *4 (-637 (-412 *6))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-647 *6 (-412 *6))) (-5 *4 (-412 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-810 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-647 *6 (-412 *6))) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-2 (|:| -1899 (-637 (-412 *6))) (|:| -3533 (-684 *5)))) (-5 *1 (-810 *5 *6)) (-5 *4 (-637 (-412 *6)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847))) (-5 *2 (-170 *5)) (-5 *1 (-600 *4 *5 *3)) (-4 *5 (-13 (-435 *4) (-1008) (-1189))) (-4 *3 (-13 (-435 (-170 *4)) (-1008) (-1189)))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-909)) (-5 *2 (-423 (-1165 *1))) (-5 *3 (-1165 *1))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-571))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1165 *9)) (-5 *4 (-637 *7)) (-4 *7 (-847)) (-4 *9 (-955 *8 *6 *7)) (-4 *6 (-793)) (-4 *8 (-302)) (-5 *2 (-637 (-768))) (-5 *1 (-737 *6 *7 *8 *9)) (-5 *5 (-768))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *1 (-106 *3)) (-4 *3 (-1097))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-756))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1105 *6 *7 *8 *3 *4)) (-4 *4 (-1072 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-2 (|:| |val| (-637 *8)) (|:| -4121 *9)))) (-5 *5 (-121)) (-4 *8 (-1067 *6 *7 *4)) (-4 *9 (-1072 *6 *7 *4 *8)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *4 (-847)) (-5 *2 (-637 (-2 (|:| |val| *8) (|:| -4121 *9)))) (-5 *1 (-1105 *6 *7 *4 *8 *9))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-571))) (-4 *3 (-1053)) (-5 *1 (-596 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-571))) (-4 *1 (-1217 *3)) (-4 *3 (-1053)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-571))) (-4 *1 (-1248 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1099 (-1099 *3))) (-5 *1 (-904 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1165 *1)) (-4 *1 (-863)) (-5 *2 (-637 *1)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-367)) (-5 *2 (-2 (|:| |zeros| (-637 *4)) (|:| -2168 (-571)))) (-5 *1 (-1049 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-423 *3)) (-4 *3 (-561))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-977 *3)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-973 *3))) (-4 *3 (-352)) (-5 *1 (-872 *3 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-972 *3))) (-4 *3 (-367)) (-5 *1 (-873 *3 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-637 (-782 *3))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-170 (-216)))) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-922)) (-4 *5 (-847)) (-5 *2 (-637 (-666 *5))) (-5 *1 (-666 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1151)) (-5 *3 (-571)) (-5 *1 (-235))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *1 (-619 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *2 (-1106 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-955 *4 *5 *6)) (-5 *2 (-637 (-637 *7))) (-5 *1 (-452 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-955 *5 *6 *7)) (-5 *2 (-637 (-637 *8))) (-5 *1 (-452 *5 *6 *7 *8)) (-5 *3 (-637 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-955 *4 *5 *6)) (-5 *2 (-637 (-637 *7))) (-5 *1 (-452 *4 *5 *6 *7)) (-5 *3 (-637 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-955 *5 *6 *7)) (-5 *2 (-637 (-637 *8))) (-5 *1 (-452 *5 *6 *7 *8)) (-5 *3 (-637 *8))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1149 *3))) (-5 *2 (-1149 *3)) (-5 *1 (-1153 *3)) (-4 *3 (-43 (-412 (-571)))) (-4 *3 (-1053))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-367)) (-5 *1 (-763 *2 *3)) (-4 *2 (-703 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1189)))) ((*1 *2 *1) (-12 (-5 *1 (-330 *2)) (-4 *2 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-610 *3)) (-4 *3 (-847))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-423 *3)) (-5 *1 (-915 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-644 *2)) (-4 *2 (-367))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553))))) 
+(((*1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203)))) ((*1 *1 *2) (-12 (-5 *1 (-1224 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1107)) (-5 *3 (-571))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 (-768)) (-4 *5 (-173))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-637 *7) *7 (-1165 *7))) (-5 *5 (-1 (-423 *7) *7)) (-4 *7 (-1233 *6)) (-4 *6 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-5 *2 (-637 (-2 (|:| |frac| (-412 *7)) (|:| -3192 *3)))) (-5 *1 (-809 *6 *7 *3 *8)) (-4 *3 (-649 *7)) (-4 *8 (-649 (-412 *7))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-423 *6) *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-637 (-2 (|:| |frac| (-412 *6)) (|:| -3192 (-647 *6 (-412 *6)))))) (-5 *1 (-812 *5 *6)) (-5 *3 (-647 *6 (-412 *6)))))) 
+(((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *5 (-263 *4)) (-4 *6 (-793)) (-5 *2 (-637 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-2 (|:| |eqzro| (-637 *8)) (|:| |neqzro| (-637 *8)) (|:| |wcond| (-637 (-958 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *5)))) (|:| -1899 (-637 (-1258 (-412 (-958 *5)))))))))) (-5 *4 (-1151)) (-4 *5 (-13 (-302) (-151))) (-4 *8 (-955 *5 *7 *6)) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *4 (-1053)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1233 *4))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1091 (-216))) (-5 *5 (-121)) (-5 *2 (-1260)) (-5 *1 (-251))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-57))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-682 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1233 *4)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-1269 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-637 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1269 *5 *6 *7 *8))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-637 (-1169))) (-5 *2 (-1169)) (-5 *1 (-329))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-949 (-216))) (-5 *2 (-1263)) (-5 *1 (-476))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-216)) (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 *4)))) (|:| |xValues| (-1091 *4)) (|:| |yValues| (-1091 *4)))) (-5 *1 (-157)) (-5 *3 (-637 (-637 (-949 *4))))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-604 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1203)) (-5 *2 (-637 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-822)) (-5 *1 (-821))))) 
+(((*1 *2 *3 *4 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) (-768))) (-4 *9 (-977 *5)) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-539 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -2989 (-571)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-571)))) (-5 *1 (-470 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-571)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-927 *5))) (-4 *5 (-352)) (-5 *2 (-2 (|:| -2989 (-571)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-571)))) (-5 *1 (-872 *5 *6 *7)) (-5 *4 (-571)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-926 *5))) (-4 *5 (-367)) (-5 *2 (-2 (|:| -2989 (-571)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-571)))) (-5 *1 (-873 *5 *6 *7)) (-5 *4 (-571)) (-14 *6 (-637 (-1169))) (-4 *7 (-117))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-456)) (-4 *3 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-453 *4 *3 *5 *6)) (-4 *6 (-955 *4 *3 *5))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *4 (-874)) (-5 *5 (-922)) (-5 *6 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-1262)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *4 (-637 (-257))) (-5 *2 (-1259)) (-5 *1 (-1262))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))) (-5 *1 (-447 *4 *3 *2)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *2 (-13 (-409) (-1043 *5) (-367) (-1189) (-280))) (-5 *1 (-447 *5 *3 *2)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-13 (-561) (-456))) (-5 *2 (-637 *4)) (-5 *1 (-348 *4 *5)) (-4 *5 (-52 *4 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-868 *3)) (-5 *2 (-571))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2) (-12 (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *9)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-637 (-927 *3))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-637 (-926 *3))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-495 *4 *5))) (-5 *3 (-637 (-857 *4))) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *1 (-479 *4 *5 *6)) (-4 *6 (-456))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-847) (-1043 (-571)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 (-170 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-553)) (-5 *1 (-161 *2))))) 
+(((*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-768)) (-4 *2 (-13 (-561) (-456))) (-5 *1 (-348 *2 *4)) (-4 *4 (-52 *2 *3))))) 
+(((*1 *1 *1) (-5 *1 (-1065)))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-151))) (-5 *1 (-545 *3 *2)) (-4 *2 (-1248 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-4 *4 (-1233 *3)) (-4 *5 (-719 *3 *4)) (-5 *1 (-549 *3 *4 *5 *2)) (-4 *2 (-1248 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-373) (-612 (-571)))) (-5 *1 (-550 *3 *2)) (-4 *2 (-1248 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-13 (-561) (-151))) (-5 *1 (-1144 *3))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-1053)) (-5 *1 (-707 *3 *4)) (-4 *4 (-1233 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165 *5)) (-4 *5 (-367)) (-5 *2 (-637 *6)) (-5 *1 (-538 *5 *6 *4)) (-4 *6 (-367)) (-4 *4 (-13 (-367) (-845)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-610 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1169))) (-4 *2 (-13 (-435 *5) (-27) (-1189))) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *1 (-573 *5 *2 *6)) (-4 *6 (-1097))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *1 (-589 *2)) (-4 *2 (-553))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-1173))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-1053)))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *4 (-173)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-683 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1053)) (-5 *1 (-709 *2 *3)) (-4 *3 (-640 *2)))) ((*1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1053)) (-5 *1 (-709 *2 *3)) (-4 *3 (-640 *2)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-834 *2)) (-4 *2 (-173)) (-4 *2 (-1053)))) ((*1 *1 *1) (-12 (-5 *1 (-834 *2)) (-4 *2 (-173)) (-4 *2 (-1053))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-855))))) 
 (((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133)))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-765)) (-5 *1 (-926 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-1145 (-955 *4)) (-1145 (-955 *4)))) (-5 *1 (-1261 *4)) (-4 *4 (-366))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1199)) (-5 *2 (-765)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-844)) (-5 *2 (-765)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-550 *3)) (-4 *3 (-551)))) ((*1 *2) (-12 (-4 *1 (-757)) (-5 *2 (-765)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-793 *3 *4)) (-4 *3 (-794 *4)))) ((*1 *2) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-994 *3 *4)) (-4 *3 (-995 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-998 *3 *4)) (-4 *3 (-999 *4)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1013 *3)) (-4 *3 (-1014)))) ((*1 *2) (-12 (-4 *1 (-1049)) (-5 *2 (-765)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1057 *3)) (-4 *3 (-1058))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) ((*1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382))))) 
-(((*1 *1 *1) (-4 *1 (-865 *2)))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1061)) (-5 *3 (-1147))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569)))))))))) (-5 *1 (-1169))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-844) (-559)))))) 
+(((*1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) ((*1 *2 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1149 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1097)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-571)) (-4 *3 (-173)) (-4 *5 (-378 *3)) (-4 *6 (-378 *3)) (-5 *1 (-683 *3 *5 *6 *2)) (-4 *2 (-682 *3 *5 *6))))) 
+(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *1) (-5 *1 (-442)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-384))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-148))) (-5 *1 (-143)))) ((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-143))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1053)) (-5 *1 (-894 *2 *3)) (-4 *2 (-1233 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-1263)) (-5 *1 (-467))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-441))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| *7) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 *7))))) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-768)) (-5 *1 (-929 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1165 *3)) (-4 *3 (-1053)) (-4 *1 (-1233 *3))))) 
+(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-393)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *4 *5 *6 *7))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1165 *3)) (-4 *3 (-373)) (-4 *1 (-328 *3)) (-4 *3 (-367))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-352)) (-5 *2 (-637 *3)) (-5 *1 (-345 *5 *3)) (-4 *3 (-1233 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-352)) (-5 *2 (-637 *3)) (-5 *1 (-346 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-571)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-1151))) (-5 *2 (-571)) (-5 *1 (-235))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *1)))) (-4 *1 (-1072 *4 *5 *6 *3))))) 
+(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-367)) (-5 *1 (-656 *3))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-637 *6)) (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-5 *1 (-64 *3)) (-4 *3 (-1203)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-64 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3730 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-684 *1)) (-5 *4 (-1258 *1)) (-4 *1 (-633 *5)) (-4 *5 (-1053)) (-5 *2 (-2 (|:| -3533 (-684 *5)) (|:| |vec| (-1258 *5)))))) ((*1 *2 *3) (-12 (-5 *3 (-684 *1)) (-4 *1 (-633 *4)) (-4 *4 (-1053)) (-5 *2 (-684 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 *4)))) (-5 *1 (-641 *3 *4 *5)) (-4 *3 (-1097)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-1149 (-958 *4)) (-1149 (-958 *4)))) (-5 *1 (-1266 *4)) (-4 *4 (-367))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-1149 (-958 *4)) (-1149 (-958 *4)))) (-5 *1 (-1266 *4)) (-4 *4 (-367))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-75 APROD)))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-753))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-821))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-684 *3)) (|:| |invmval| (-684 *3)) (|:| |genIdeal| (-517 *3 *4 *5 *6)))) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-610 *3)) (-5 *5 (-637 *3)) (-5 *6 (-1165 *3)) (-4 *3 (-13 (-435 *7) (-27) (-1189))) (-4 *7 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-567 *7 *3 *8)) (-4 *8 (-1097)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-610 *3)) (-5 *5 (-637 *3)) (-5 *6 (-412 (-1165 *3))) (-4 *3 (-13 (-435 *7) (-27) (-1189))) (-4 *7 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-567 *7 *3 *8)) (-4 *8 (-1097))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2) (-12 (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *7)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-637 (-973 *3))) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-637 (-972 *3))) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-231 (-4001 *5) (-768))) (-5 *2 (-637 *7)) (-5 *1 (-969 *4 *5 *3 *6 *7)) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *7 (-977 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-571)) (-14 *6 (-768)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *9)) (-4 *9 (-1053)) (-4 *5 (-847)) (-4 *6 (-793)) (-4 *8 (-1053)) (-4 *2 (-955 *9 *7 *5)) (-5 *1 (-723 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-793)) (-4 *4 (-955 *8 *6 *5))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1258 *5)) (-4 *5 (-792)) (-5 *2 (-121)) (-5 *1 (-842 *4 *5)) (-14 *4 (-768))))) 
+(((*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1258 *1)) (-4 *1 (-371 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1149 *3)) (-4 *3 (-1097)) (-4 *3 (-1203))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-1185))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-768)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1203)) (-5 *2 (-768)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-847)) (-5 *2 (-768)) (-5 *1 (-434 *3 *4)) (-4 *3 (-435 *4)))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-552 *3)) (-4 *3 (-553)))) ((*1 *2) (-12 (-4 *1 (-760)) (-5 *2 (-768)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-768)) (-5 *1 (-796 *3 *4)) (-4 *3 (-797 *4)))) ((*1 *2) (-12 (-4 *4 (-561)) (-5 *2 (-768)) (-5 *1 (-998 *3 *4)) (-4 *3 (-999 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-768)) (-5 *1 (-1002 *3 *4)) (-4 *3 (-1003 *4)))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1017 *3)) (-4 *3 (-1018)))) ((*1 *2) (-12 (-4 *1 (-1053)) (-5 *2 (-768)))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-1061 *3)) (-4 *3 (-1062))))) 
+(((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) ((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1053)) (-5 *2 (-637 *1)) (-4 *1 (-1129 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *4 (-367)) (-4 *2 (-682 *4 *5 *6)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1248 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1219 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *4 (-1217 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1240 *3 *4)) (-4 *5 (-990 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1154 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-43 (-412 (-571)))) (-5 *1 (-1155 *3))))) 
+(((*1 *1) (|partial| -12 (-4 *1 (-371 *2)) (-4 *2 (-561)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *3 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-637 *3)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-259 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1258 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 *3)) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1217 *4)) (-4 *4 (-1053)) (-4 *4 (-561)) (-5 *2 (-412 (-958 *4))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-1217 *4)) (-4 *4 (-1053)) (-4 *4 (-561)) (-5 *2 (-412 (-958 *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-668 *3)) (-4 *3 (-1203)) (-5 *2 (-768))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-378 *3)) (-4 *3 (-1203)) (-4 *3 (-847)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-378 *4)) (-4 *4 (-1203)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1041)) (-5 *3 (-1169)) (-5 *1 (-185))))) 
+(((*1 *1 *2 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-847) (-1043 (-571)) (-456) (-633 (-571)))) (-5 *2 (-2 (|:| -2533 *3) (|:| |nconst| *3))) (-5 *1 (-574 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-571)) (-5 *3 (-768)) (-5 *1 (-568))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-855)))) ((*1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-637 *1)) (-5 *3 (-637 (-768))) (-5 *4 (-571)) (-4 *1 (-644 *5)) (-4 *5 (-367))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1067 *3 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1210 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-325 *4 *5)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-4 *4 (-1053)) (-5 *1 (-777 *4 *3 *5 *6))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *6 (-1151)) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-1190 *3))) (-5 *1 (-1190 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-421 *3 *2)) (-4 *3 (-422 *2)))) ((*1 *2) (-12 (-4 *1 (-422 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-384)))) ((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-384))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-367)) (-5 *2 (-637 *3)) (-5 *1 (-951 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-637 (-2 (|:| -2363 *1) (|:| -3545 (-637 *7))))) (-5 *3 (-637 *7)) (-4 *1 (-1197 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *6 (-1151)) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-768)) (-4 *6 (-367)) (-5 *4 (-1198 *6)) (-5 *2 (-1 (-1149 *4) (-1149 *4))) (-5 *1 (-1266 *6)) (-5 *5 (-1149 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1263)) (-5 *1 (-384)))) ((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-384))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-5 *2 (-2 (|:| A (-684 *5)) (|:| |eqs| (-637 (-2 (|:| C (-684 *5)) (|:| |g| (-1258 *5)) (|:| -3192 *6) (|:| |rh| *5)))))) (-5 *1 (-813 *5 *6)) (-5 *3 (-684 *5)) (-5 *4 (-1258 *5)) (-4 *6 (-649 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *6 (-649 *5)) (-5 *2 (-2 (|:| -3533 (-684 *6)) (|:| |vec| (-1258 *5)))) (-5 *1 (-813 *5 *6)) (-5 *3 (-684 *6)) (-5 *4 (-1258 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1248 *4)) (-5 *1 (-1250 *4 *2)) (-4 *4 (-43 (-412 (-571))))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1233 *6)) (-4 *6 (-13 (-367) (-151) (-1043 *4))) (-5 *4 (-571)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -3192 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1021 *6 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1157 3 (-216))) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-307))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-379 *2 *3)) (-4 *2 (-847)) (-4 *3 (-173)))) ((*1 *1 *1) (-12 (-5 *1 (-621 *2 *3 *4)) (-4 *2 (-847)) (-4 *3 (-13 (-173) (-712 (-412 (-571))))) (-14 *4 (-922)))) ((*1 *1 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053))))) 
+(((*1 *1 *1) (-4 *1 (-868 *2)))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-931))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-384)) (-5 *1 (-198))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-571)) (-5 *1 (-384))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183))))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1065)) (-5 *3 (-1151))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-367)) (-5 *1 (-763 *2 *3)) (-4 *2 (-703 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *2 *2 *2 *3) (-12 (-4 *1 (-670 *2 *3)) (-4 *2 (-1203)) (-4 *3 (-1203))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-637 (-637 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-637 (-3 (|:| |array| (-637 *3)) (|:| |scalar| (-1169))))) (-5 *6 (-637 (-1169))) (-5 *3 (-1169)) (-5 *2 (-1101)) (-5 *1 (-402)))) ((*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-637 (-637 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-637 (-3 (|:| |array| (-637 *3)) (|:| |scalar| (-1169))))) (-5 *6 (-637 (-1169))) (-5 *3 (-1169)) (-5 *2 (-1101)) (-5 *1 (-402)))) ((*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-637 (-1169))) (-5 *5 (-1172)) (-5 *3 (-1169)) (-5 *2 (-1101)) (-5 *1 (-402))))) 
+(((*1 *1) (-5 *1 (-823)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1248 *4)) (-4 *4 (-43 (-412 (-571)))) (-5 *2 (-1 (-1149 *4) (-1149 *4) (-1149 *4))) (-5 *1 (-1250 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-955 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-453 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-637 (-3 (|:| -3159 (-1169)) (|:| |bounds| (-637 (-3 (|:| S (-1169)) (|:| P (-958 (-571)))))))))) (-5 *1 (-1173))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *1 *1) (|partial| -4 *1 (-1143)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-643 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-637 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1097)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-637 *4))) (-4 *4 (-1097)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1097)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-637 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1097)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-640 *3)) (-4 *3 (-1053)) (-5 *1 (-709 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1053)) (-5 *1 (-834 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-915 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 (-637 (-571)))) (-5 *1 (-929 *4 *5 *6 *7)) (-5 *3 (-571)) (-4 *7 (-955 *4 *6 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-637 (-610 *5))) (-5 *3 (-1169)) (-4 *5 (-435 *4)) (-4 *4 (-847)) (-5 *1 (-580 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-151)) (-4 *2 (-302)) (-4 *2 (-456)) (-4 *3 (-847)) (-4 *4 (-793)) (-5 *1 (-994 *2 *3 *4 *5)) (-4 *5 (-955 *2 *4 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-311 (-571))) (-5 *1 (-1114)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-4 *4 (-1053)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1151)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-257))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008)))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-637 (-958 *6))) (-5 *4 (-637 (-1169))) (-4 *6 (-456)) (-5 *2 (-637 (-637 *7))) (-5 *1 (-546 *6 *7 *5)) (-4 *7 (-367)) (-4 *5 (-13 (-367) (-845)))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-717)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-721)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-451 *4 *5 *6 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-216)))) ((*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) ((*1 *1 *1) (-4 *1 (-553))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-594 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1097)) (-5 *2 (-1115)))) ((*1 *2 *1) (-12 (-5 *2 (-1115)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-384)) (-5 *1 (-1065))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-793)) (-4 *5 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))) (-4 *6 (-561)) (-5 *2 (-2 (|:| -3933 (-958 *6)) (|:| -3085 (-958 *6)))) (-5 *1 (-727 *4 *5 *6 *3)) (-4 *3 (-955 (-412 (-958 *6)) *4 *5))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-782 *2)) (-4 *2 (-1053)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847))))) 
+(((*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-700 *3 *4)) (-4 *3 (-1203)) (-4 *4 (-1203))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -4262 (-1165 *6)) (|:| -2154 (-571))))) (-4 *6 (-302)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-571)) (-5 *1 (-737 *4 *5 *6 *7)) (-4 *7 (-955 *6 *4 *5))))) 
+(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-57)) (-5 *1 (-829))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-4 *7 (-955 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-637 *7)) (|:| |n0| (-637 *7)))) (-5 *1 (-929 *4 *5 *6 *7)) (-5 *3 (-637 *7))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3017 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-637 (-412 *8))) (-4 *7 (-367)) (-4 *8 (-1233 *7)) (-5 *3 (-412 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-581 *7 *8))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-684 *2)) (-4 *4 (-1233 *2)) (-4 *2 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-5 *1 (-511 *2 *4 *5)) (-4 *5 (-414 *2 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1118 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1053))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-855))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-121)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-984 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-637 (-1165 *11))) (-5 *3 (-1165 *11)) (-5 *4 (-637 *10)) (-5 *5 (-637 *8)) (-5 *6 (-637 (-768))) (-5 *7 (-1258 (-637 (-1165 *8)))) (-4 *10 (-847)) (-4 *8 (-302)) (-4 *11 (-955 *8 *9 *10)) (-4 *9 (-793)) (-5 *1 (-702 *9 *10 *8 *11))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-1139 *3))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1094 *3)) (-4 *3 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-768)) (-5 *1 (-592))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-561)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-1194 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1165 *1)) (-5 *3 (-1169)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-958 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1169)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-847) (-561))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-847) (-561))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165 *2)) (-5 *4 (-1169)) (-4 *2 (-435 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-847) (-561))))) ((*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1165 *1)) (-5 *3 (-922)) (-4 *1 (-1018)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1165 *1)) (-5 *3 (-922)) (-5 *4 (-855)) (-4 *1 (-1018)))) ((*1 *1 *2 *3) (|partial| -12 (-5 *3 (-922)) (-4 *4 (-13 (-845) (-367))) (-4 *1 (-1069 *4 *2)) (-4 *2 (-1233 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-637 *6))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3017 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-367)) (-4 *7 (-1233 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-412 *7)) (|:| |a0| *6)) (-2 (|:| -3017 (-412 *7)) (|:| |coeff| (-412 *7))) "failed")) (-5 *1 (-581 *6 *7)) (-5 *3 (-412 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-855)) (-5 *1 (-1149 *3)) (-4 *3 (-1097)) (-4 *3 (-1203))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-610 *4)) (-5 *6 (-1169)) (-4 *4 (-13 (-435 *7) (-27) (-1189))) (-4 *7 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-573 *7 *4 *3)) (-4 *3 (-649 *4)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1169)) (-4 *5 (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-2 (|:| -3017 *3) (|:| |coeff| *3))) (-5 *1 (-562 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-561)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-294 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1091 (-840 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-300)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-684 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| |outval| *4) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 *4)))))) (-5 *1 (-778 *4)) (-4 *4 (-13 (-367) (-845)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-1169)) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-468))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1091 (-216))) (-5 *6 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-691)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-216))) (-5 *5 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-691)))) ((*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1128 (-216))) (-5 *3 (-1 (-949 (-216)) (-216) (-216))) (-5 *4 (-1091 (-216))) (-5 *5 (-637 (-257))) (-5 *1 (-691))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3)))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-562 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4600)) (-4 *1 (-155 *3)) (-4 *3 (-1203)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1203)) (-5 *1 (-601 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-668 *3)) (-4 *3 (-1203)))) ((*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1197 *4 *5 *3 *2)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *3 (-847)) (-4 *2 (-1067 *4 *5 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *1 (-1201 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-677 *4 *3)) (-4 *4 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *1 (-511 *3 *4 *5)) (-4 *5 (-414 *3 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-367)) (-4 *6 (-1233 (-412 *2))) (-4 *2 (-1233 *5)) (-5 *1 (-207 *5 *2 *6 *3)) (-4 *3 (-341 *5 *2 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *1 *1) (-4 *1 (-1062)))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-637 (-571))) (-5 *3 (-121)) (-5 *1 (-1107))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 G)))) (-5 *2 (-1041)) (-5 *1 (-745))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1203)) (-5 *1 (-601 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1203)) (-5 *1 (-1127 *4 *2)) (-4 *2 (-13 (-604 (-571) *4) (-10 -7 (-6 -4600) (-6 -4601)))))) ((*1 *2 *2) (-12 (-4 *3 (-847)) (-4 *3 (-1203)) (-5 *1 (-1127 *3 *2)) (-4 *2 (-13 (-604 (-571) *3) (-10 -7 (-6 -4600) (-6 -4601))))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-5 *2 (-1 *5 *4)) (-5 *1 (-677 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-684 *4)) (-4 *4 (-367)) (-5 *2 (-1165 *4)) (-5 *1 (-538 *4 *5 *6)) (-4 *5 (-367)) (-4 *6 (-13 (-367) (-845)))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-1280 *3 *4)) (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-819 *3)) (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1263)) (-5 *1 (-1130)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-855))) (-5 *2 (-1263)) (-5 *1 (-1130))))) 
+(((*1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1203)) (-5 *1 (-601 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1136)) (-5 *3 (-148)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-5 *2 (-571))))) 
+(((*1 *2 *3 *4 *5) (-12 (-4 *6 (-1233 *9)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *9 (-302)) (-4 *10 (-955 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-637 (-1165 *10))) (|:| |dterm| (-637 (-637 (-2 (|:| -1385 (-768)) (|:| |pcoef| *10))))) (|:| |nfacts| (-637 *6)) (|:| |nlead| (-637 *10)))) (-5 *1 (-776 *6 *7 *8 *9 *10)) (-5 *3 (-1165 *10)) (-5 *4 (-637 *6)) (-5 *5 (-637 *10))))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-571)) (|:| |c| *4))) (-5 *1 (-779 *4)) (-4 *4 (-367)) (-5 *3 (-571))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-1151))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-955 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-793)) (-4 *5 (-1053)) (-4 *6 (-955 *5 *4 *2)) (-4 *2 (-847)) (-5 *1 (-956 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *6)) (-15 -4474 (*6 $)) (-15 -4479 (*6 $))))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-5 *2 (-1169)) (-5 *1 (-1048 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-949 *5)) (-4 *5 (-1053)) (-5 *2 (-768)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-768)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922)) (-4 *5 (-1053)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-768))) (-5 *3 (-949 *5)) (-4 *5 (-1053)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-637 (-1169))) (|:| |pred| (-57)))) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *6 (-13 (-561) (-847))) (-5 *2 (-637 (-311 *6))) (-5 *1 (-212 *5 *6)) (-5 *3 (-311 *6)) (-4 *5 (-1053)))) ((*1 *2 *1) (-12 (-5 *1 (-423 *2)) (-4 *2 (-561)))) ((*1 *2 *3) (-12 (-5 *3 (-588 *5)) (-4 *5 (-13 (-29 *4) (-1189))) (-4 *4 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *2 (-637 *5)) (-5 *1 (-586 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-588 (-412 (-958 *4)))) (-4 *4 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *2 (-637 (-311 *4))) (-5 *1 (-591 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1092 *3 *2)) (-4 *3 (-845)) (-4 *2 (-1141 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-1092 *4 *2)) (-4 *4 (-845)) (-4 *2 (-1141 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189))))) ((*1 *2 *1) (-12 (-5 *2 (-1271 (-1169) *3)) (-5 *1 (-1278 *3)) (-4 *3 (-1053)))) ((*1 *2 *1) (-12 (-5 *2 (-1271 *3 *4)) (-5 *1 (-1280 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| -4501 *4) (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1067 *3 *4 *5)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| -4501 *3) (|:| -2924 *1) (|:| -3363 *1))) (-4 *1 (-1233 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-561)) (-4 *4 (-999 *3)) (-5 *1 (-144 *3 *4 *2)) (-4 *2 (-378 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-999 *4)) (-4 *2 (-378 *4)) (-5 *1 (-515 *4 *5 *2 *3)) (-4 *3 (-378 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-684 *5)) (-4 *5 (-999 *4)) (-4 *4 (-561)) (-5 *2 (-684 *4)) (-5 *1 (-687 *4 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-561)) (-4 *4 (-999 *3)) (-5 *1 (-1226 *3 *4 *2)) (-4 *2 (-1233 *4))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-684 (-216))) (-5 *6 (-684 (-571))) (-5 *3 (-571)) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1203)) (-4 *2 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-855)))) ((*1 *1 *1) (-5 *1 (-855))) ((*1 *2 *3 *3) (-12 (-5 *3 (-949 (-216))) (-5 *2 (-216)) (-5 *1 (-1200)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-1053))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1) (-5 *1 (-855))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *3 (-571)) (-4 *1 (-868 *4))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-637 (-412 *7))) (-4 *7 (-1233 *6)) (-5 *3 (-412 *7)) (-4 *6 (-367)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-581 *6 *7))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-311 (-216)))) (-5 *1 (-264))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-536 *3)) (-4 *3 (-13 (-721) (-25)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-4 *5 (-435 *4)) (-5 *2 (-423 *3)) (-5 *1 (-440 *4 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-432 *3 *2)) (-4 *3 (-13 (-173) (-43 (-412 (-571))))) (-4 *2 (-13 (-847) (-21)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 (-1165 (-1165 *4)))) (-5 *1 (-1202 *4)) (-5 *3 (-1165 (-1165 *4)))))) 
+(((*1 *1 *1 *1) (-4 *1 (-758)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-922) "arbitrary")) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-922) "arbitrary")) (-5 *1 (-468))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-637 (-637 (-571)))) (-5 *1 (-978)) (-5 *3 (-637 (-571)))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1258 (-637 (-571)))) (-5 *1 (-494)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1203)) (-5 *1 (-601 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-384)) (-5 *1 (-1045))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-637 (-1230 *5 *4))) (-5 *1 (-1111 *4 *5)) (-5 *3 (-1230 *5 *4))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-1169)) (-4 *6 (-435 *5)) (-4 *5 (-847)) (-5 *2 (-637 (-610 *6))) (-5 *1 (-580 *5 *6))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) ((*1 *1 *2) (-12 (-5 *1 (-713 *2)) (-4 *2 (-367)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-922)) (-5 *4 (-384)) (-5 *2 (-1263)) (-5 *1 (-1259))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-553)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-1169))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-321 *4 *2)) (-4 *4 (-1097)) (-4 *2 (-138))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-311 (-216)))) (-5 *1 (-264))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1067 *3 *4 *5))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-768)) (-4 *4 (-352)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1233 *4)))) ((*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-690 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-57))) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-1065))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-684 *4)) (-4 *4 (-1053)) (-5 *1 (-1134 *3 *4)) (-14 *3 (-768))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-922))) (-5 *1 (-1098 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-644 *3)) (-4 *3 (-367))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-874)) (-5 *3 (-637 (-257))) (-5 *1 (-255))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-637 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-855))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *2 (-1041)) (-5 *1 (-300)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041)))) (-5 *2 (-1041)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-1169)) (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-637 *8)) (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| (-121)) (|:| -4121 *4)))) (-5 *1 (-773 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-958 *5)) (-4 *5 (-1053)) (-5 *2 (-495 *4 *5)) (-5 *1 (-950 *4 *5)) (-14 *4 (-637 (-1169)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-1169))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-838)) (-5 *2 (-1041)) (-5 *1 (-837)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-311 (-384)))) (-5 *4 (-637 (-384))) (-5 *2 (-1041)) (-5 *1 (-837))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-326 *3)) (-4 *3 (-1203)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-528 *3 *4)) (-4 *3 (-1203)) (-14 *4 (-571))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-170 (-216))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1207)) (-5 *5 (-571)) (-4 *1 (-670 *3 *6)) (-4 *3 (-1203)) (-4 *6 (-1203)) (-5 *2 (-1263))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-257))) (-5 *1 (-1259)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-257))) (-5 *1 (-1259)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-257))) (-5 *1 (-1260)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-257))) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| *8) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 *8))))) (-5 *1 (-929 *5 *6 *7 *8)) (-5 *4 (-768))))) 
+(((*1 *2) (-12 (-5 *2 (-684 (-910 *3))) (-5 *1 (-354 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922)))) ((*1 *2) (-12 (-5 *2 (-684 *3)) (-5 *1 (-355 *3 *4)) (-4 *3 (-352)) (-14 *4 (-3 (-1165 *3) (-1258 (-637 (-2 (|:| -2139 *3) (|:| -1755 (-1115))))))))) ((*1 *2) (-12 (-5 *2 (-684 *3)) (-5 *1 (-356 *3 *4)) (-4 *3 (-352)) (-14 *4 (-922))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-610 *4)) (-5 *6 (-1165 *4)) (-4 *4 (-13 (-435 *7) (-27) (-1189))) (-4 *7 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-567 *7 *4 *3)) (-4 *3 (-649 *4)) (-4 *3 (-1097)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-610 *4)) (-5 *6 (-412 (-1165 *4))) (-4 *4 (-13 (-435 *7) (-27) (-1189))) (-4 *7 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-567 *7 *4 *3)) (-4 *3 (-649 *4)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1073 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-1115)) (-4 *4 (-352)) (-5 *1 (-535 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *1 (-564 *2)) (-4 *2 (-553))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-768)))) ((*1 *1 *1) (-4 *1 (-407)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1053)) (-5 *1 (-319 *4 *5 *2 *6)) (-4 *6 (-955 *2 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115)))))) (-4 *4 (-352)) (-5 *2 (-768)) (-5 *1 (-349 *4)))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-354 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922)))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-355 *3 *4)) (-4 *3 (-352)) (-14 *4 (-3 (-1165 *3) (-1258 (-637 (-2 (|:| -2139 *3) (|:| -1755 (-1115))))))))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-356 *3 *4)) (-4 *3 (-352)) (-14 *4 (-922))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-5 *1 (-1178 *2)) (-4 *2 (-367))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-408 *3)) (-4 *3 (-409)))) ((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-408 *3)) (-4 *3 (-409)))) ((*1 *2 *2) (-12 (-5 *2 (-922)) (|has| *1 (-6 -4591)) (-4 *1 (-409)))) ((*1 *2) (-12 (-4 *1 (-409)) (-5 *2 (-922)))) ((*1 *2 *1) (-12 (-4 *1 (-868 *3)) (-5 *2 (-1149 (-571)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-170 (-571)))))) (-5 *2 (-637 (-637 (-289 (-958 (-170 *4)))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-367) (-845))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-289 (-412 (-958 (-170 (-571))))))) (-5 *2 (-637 (-637 (-289 (-958 (-170 *4)))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-367) (-845))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 (-170 (-571))))) (-5 *2 (-637 (-289 (-958 (-170 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-367) (-845))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-412 (-958 (-170 (-571)))))) (-5 *2 (-637 (-289 (-958 (-170 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-367) (-845)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-121)) (-5 *1 (-346 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-412 (-571)))) (-5 *1 (-300))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-402))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (-4 *2 (-1053)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-637 *5)) (-4 *5 (-13 (-561) (-456))) (-5 *4 (-768)) (-5 *2 (-412 (-1165 *5))) (-5 *1 (-348 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-637 (-412 *5))) (-4 *5 (-13 (-561) (-456))) (-5 *4 (-768)) (-5 *2 (-412 (-1165 *5))) (-5 *1 (-348 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1230 *4 *5)) (-5 *3 (-637 *5)) (-14 *4 (-1169)) (-4 *5 (-367)) (-5 *1 (-924 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 *5)) (-4 *5 (-367)) (-5 *2 (-1165 *5)) (-5 *1 (-924 *4 *5)) (-14 *4 (-1169)))) ((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-768)) (-4 *6 (-367)) (-5 *2 (-412 (-958 *6))) (-5 *1 (-1054 *5 *6)) (-14 *5 (-1169))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-892 *4)) (-4 *4 (-1097)) (-4 *2 (-1097)) (-5 *1 (-889 *4 *2))))) 
+(((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1051))))) 
+(((*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-931)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-932)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-932)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1128 (-216))) (-5 *3 (-637 (-257))) (-5 *1 (-1260)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1128 (-216))) (-5 *3 (-1151)) (-5 *1 (-1260)))) ((*1 *1 *1) (-5 *1 (-1260)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-637 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1263)) (-5 *1 (-1130)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-855))) (-5 *2 (-1263)) (-5 *1 (-1130))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-637 *2)) (-5 *1 (-178 *2)) (-4 *2 (-302)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-637 (-637 *4))) (-5 *2 (-637 *4)) (-4 *4 (-302)) (-5 *1 (-178 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 (-2 (|:| -1899 (-684 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-684 *7))))) (-5 *5 (-768)) (-4 *8 (-1233 *7)) (-4 *7 (-1233 *6)) (-4 *6 (-352)) (-5 *2 (-2 (|:| -1899 (-684 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-684 *7)))) (-5 *1 (-510 *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3 *1 *4) (-12 (-5 *3 (-1132 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1097) (-39))) (-4 *6 (-13 (-1097) (-39))) (-5 *2 (-121)) (-5 *1 (-1133 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-571)) (-5 *1 (-453 *4 *5 *6 *3)) (-4 *3 (-955 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-495 *4 *5)) (-14 *4 (-637 (-1169))) (-4 *5 (-1053)) (-5 *2 (-958 *5)) (-5 *1 (-950 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-57))) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *7 (-1233 *5)) (-4 *4 (-719 *5 *7)) (-5 *2 (-2 (|:| -3533 (-684 *6)) (|:| |vec| (-1258 *5)))) (-5 *1 (-811 *5 *6 *7 *4 *3)) (-4 *6 (-649 *5)) (-4 *3 (-649 *4))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-768)) (-5 *1 (-1098 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
+(((*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-412 *6)) (|:| |c| (-412 *6)) (|:| -3481 *6))) (-5 *1 (-1021 *5 *6)) (-5 *3 (-412 *6))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *1 (-321 *2 *4)) (-4 *4 (-138)) (-4 *2 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-365 *2)) (-4 *2 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-391 *2)) (-4 *2 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-423 *2)) (-4 *2 (-561)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *2 (-1097)) (-5 *1 (-641 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-819 *2)) (-4 *2 (-847))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-768)) (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-855) (-855))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-855) (-637 (-855)))) (-5 *1 (-123)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-855) (-637 (-855)))) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 (*2 $)) (-15 -4197 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-399)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-399)))) ((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-503)))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-514)))) ((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-705)))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1184)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-1184))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *1) (-4 *1 (-553)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-863))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1240 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1217 *3)) (-5 *2 (-412 (-571)))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-684 (-412 *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) ((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-571)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1053)) (-4 *3 (-847)) (-4 *5 (-263 *3)) (-4 *6 (-793)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-272)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165 *8)) (-5 *4 (-637 *6)) (-4 *6 (-847)) (-4 *8 (-955 *7 *5 *6)) (-4 *5 (-793)) (-4 *7 (-1053)) (-5 *2 (-637 (-768))) (-5 *1 (-319 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-5 *2 (-922)))) ((*1 *2 *1) (-12 (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-478 *3 *2)) (-4 *3 (-173)) (-4 *2 (-23)))) ((*1 *2 *1) (-12 (-4 *3 (-561)) (-5 *2 (-571)) (-5 *1 (-618 *3 *4)) (-4 *4 (-1233 *3)))) ((*1 *2 *3) (-12 (-4 *1 (-670 *3 *4)) (-4 *3 (-1203)) (-4 *4 (-1203)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (-4 *1 (-703 *3)) (-4 *3 (-1053)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-849 *3)) (-4 *3 (-1053)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-905 *3)) (-4 *3 (-1097)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-1053)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-768)) (-5 *1 (-913 *5 *3 *6 *7)) (-4 *3 (-325 *5 *6)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-637 *6)) (-4 *1 (-955 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 (-768))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-955 *4 *5 *3)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-847)) (-5 *2 (-768)))) ((*1 *2 *3) (-12 (-5 *3 (-1207)) (-5 *2 (-571)) (-5 *1 (-960)))) ((*1 *2 *1) (-12 (-4 *1 (-980 *3 *2 *4)) (-4 *3 (-1053)) (-4 *4 (-847)) (-4 *2 (-792)))) ((*1 *2 *1) (-12 (-4 *1 (-1095)) (-5 *2 (-922)))) ((*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1248 *3)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (-4 *1 (-1240 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1217 *3)) (-5 *2 (-412 (-571))))) ((*1 *2 *1) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-833 (-922))))) ((*1 *2 *1) (-12 (-4 *1 (-1277 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-768))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-892 *4)) (-4 *4 (-1097)) (-5 *2 (-637 *5)) (-5 *1 (-890 *4 *5)) (-4 *5 (-1203))))) 
+(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-151) (-27) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-1165 (-412 *5))) (-5 *1 (-613 *4 *5)) (-5 *3 (-412 *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-423 *6) *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-151) (-27) (-1043 (-571)) (-1043 (-412 (-571))))) (-5 *2 (-1165 (-412 *6))) (-5 *1 (-613 *5 *6)) (-5 *3 (-412 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-872 *3 *4 *5)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-412 (-1165 (-311 *3)))) (-4 *3 (-13 (-561) (-847))) (-5 *1 (-1125 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-922)) (-4 *5 (-847)) (-5 *2 (-64 (-637 (-666 *5)))) (-5 *1 (-666 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1043 (-571))) (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-553)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-905 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-637 (-1169))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *5)))))) (-5 *1 (-767 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *4)))))) (-5 *1 (-767 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -1899 (-637 *6))) *7 *6)) (-4 *6 (-367)) (-4 *7 (-649 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1258 *6) "failed")) (|:| -1899 (-637 (-1258 *6))))) (-5 *1 (-813 *6 *7)) (-5 *4 (-1258 *6))))) 
+(((*1 *1) (-12 (-4 *1 (-409)) (-2931 (|has| *1 (-6 -4591))) (-2931 (|has| *1 (-6 -4583))))) ((*1 *2 *1) (-12 (-4 *1 (-430 *2)) (-4 *2 (-1097)) (-4 *2 (-847)))) ((*1 *2 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-4 *1 (-847))) ((*1 *2 *1) (-12 (-4 *1 (-975 *2)) (-4 *2 (-847)))) ((*1 *1) (-5 *1 (-1115)))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1090 *3)) (-4 *3 (-1203)) (-5 *2 (-571))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-922) (-121))) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-922) (-121))) (-5 *1 (-468))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) ((*1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097))))) 
+(((*1 *2) (-12 (-5 *2 (-1177 (-1084 *3) (-1084 *3))) (-5 *1 (-1084 *3)) (-4 *3 (-13 (-847) (-561)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-571)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-453 *3 *4 *5 *6))))) 
+(((*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1151)) (-5 *3 (-571)) (-5 *1 (-1065))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-571)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1053)) (-4 *7 (-231 *8 (-768))) (-14 *8 (-768)) (-5 *2 (-637 (-637 *3))) (-5 *1 (-777 *6 *3 *7 *8)) (-4 *3 (-325 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-544))) ((*1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-57))) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1261))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-838)) (-5 *4 (-1065)) (-5 *2 (-1041)) (-5 *1 (-837)))) ((*1 *2 *3) (-12 (-5 *3 (-838)) (-5 *2 (-1041)) (-5 *1 (-837)))) ((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-637 (-384))) (-5 *5 (-637 (-840 (-384)))) (-5 *6 (-637 (-311 (-384)))) (-5 *3 (-311 (-384))) (-5 *2 (-1041)) (-5 *1 (-837)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-384))) (-5 *5 (-637 (-840 (-384)))) (-5 *2 (-1041)) (-5 *1 (-837)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-384))) (-5 *4 (-637 (-384))) (-5 *2 (-1041)) (-5 *1 (-837)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-311 (-384)))) (-5 *4 (-637 (-384))) (-5 *2 (-1041)) (-5 *1 (-837))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-824)) (-5 *3 (-637 (-1169))) (-5 *1 (-825))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *8)) (|:| |neqzro| (-637 *8)) (|:| |wcond| (-637 (-958 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *5)))) (|:| -1899 (-637 (-1258 (-412 (-958 *5)))))))))) (-5 *1 (-929 *5 *6 *7 *8)) (-5 *4 (-637 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-5 *4 (-637 (-1169))) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *8)) (|:| |neqzro| (-637 *8)) (|:| |wcond| (-637 (-958 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *5)))) (|:| -1899 (-637 (-1258 (-412 (-958 *5)))))))))) (-5 *1 (-929 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-684 *7)) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *7)) (|:| |neqzro| (-637 *7)) (|:| |wcond| (-637 (-958 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *4)))) (|:| -1899 (-637 (-1258 (-412 (-958 *4)))))))))) (-5 *1 (-929 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *9)) (-5 *5 (-922)) (-4 *9 (-955 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-847) (-612 (-1169)))) (-4 *8 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *9)) (|:| |neqzro| (-637 *9)) (|:| |wcond| (-637 (-958 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *6)))) (|:| -1899 (-637 (-1258 (-412 (-958 *6)))))))))) (-5 *1 (-929 *6 *7 *8 *9)) (-5 *4 (-637 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *9)) (-5 *4 (-637 (-1169))) (-5 *5 (-922)) (-4 *9 (-955 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-847) (-612 (-1169)))) (-4 *8 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *9)) (|:| |neqzro| (-637 *9)) (|:| |wcond| (-637 (-958 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *6)))) (|:| -1899 (-637 (-1258 (-412 (-958 *6)))))))))) (-5 *1 (-929 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-5 *4 (-922)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-637 (-2 (|:| |eqzro| (-637 *8)) (|:| |neqzro| (-637 *8)) (|:| |wcond| (-637 (-958 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *5)))) (|:| -1899 (-637 (-1258 (-412 (-958 *5)))))))))) (-5 *1 (-929 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *9)) (-5 *4 (-637 *9)) (-5 *5 (-1151)) (-4 *9 (-955 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-847) (-612 (-1169)))) (-4 *8 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *9)) (-5 *4 (-637 (-1169))) (-5 *5 (-1151)) (-4 *9 (-955 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-847) (-612 (-1169)))) (-4 *8 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-684 *8)) (-5 *4 (-1151)) (-4 *8 (-955 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-847) (-612 (-1169)))) (-4 *7 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-684 *10)) (-5 *4 (-637 *10)) (-5 *5 (-922)) (-5 *6 (-1151)) (-4 *10 (-955 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-847) (-612 (-1169)))) (-4 *9 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-684 *10)) (-5 *4 (-637 (-1169))) (-5 *5 (-922)) (-5 *6 (-1151)) (-4 *10 (-955 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-847) (-612 (-1169)))) (-4 *9 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-684 *9)) (-5 *4 (-922)) (-5 *5 (-1151)) (-4 *9 (-955 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-847) (-612 (-1169)))) (-4 *8 (-793)) (-5 *2 (-571)) (-5 *1 (-929 *6 *7 *8 *9))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-571)))) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| |ans| (-412 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1021 *4 *5)) (-5 *3 (-412 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-819 *4)) (-4 *4 (-847)) (-5 *2 (-121)) (-5 *1 (-666 *4))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *1 *1) (-4 *1 (-623))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189)))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-610 *3)) (-5 *5 (-1 (-1165 *3) (-1165 *3))) (-4 *3 (-13 (-27) (-435 *6))) (-4 *6 (-13 (-847) (-561))) (-5 *2 (-588 *3)) (-5 *1 (-555 *6 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-955 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *1)))) (-4 *1 (-1072 *4 *5 *6 *3)))) ((*1 *1 *1) (-4 *1 (-1213))) ((*1 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-1236 *3 *2)) (-4 *2 (-13 (-1233 *3) (-561) (-10 -8 (-15 -3026 ($ $ $)))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-684 *5))) (-5 *4 (-571)) (-4 *5 (-367)) (-4 *5 (-1053)) (-5 *2 (-121)) (-5 *1 (-1035 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-684 *4))) (-4 *4 (-367)) (-4 *4 (-1053)) (-5 *2 (-121)) (-5 *1 (-1035 *4))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561) (-612 (-544)))) (-5 *1 (-1030 *3 *2)) (-4 *2 (-13 (-435 *3) (-23) (-1043 (-571)) (-1043 (-1169)) (-900 (-1169)) (-162)))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 *2))) (-5 *2 (-892 *3)) (-5 *1 (-1075 *3 *4 *5)) (-4 *5 (-13 (-435 *4) (-886 *3) (-612 *2)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39)))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *2 (-571)) (-5 *1 (-1186 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-412 (-958 *4))) (-5 *1 (-929 *4 *5 *6 *3)) (-4 *3 (-955 *4 *6 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-684 *7)) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-684 (-412 (-958 *4)))) (-5 *1 (-929 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-637 (-412 (-958 *4)))) (-5 *1 (-929 *4 *5 *6 *7))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5))))) 
+(((*1 *1 *1) (|partial| -4 *1 (-149))) ((*1 *1 *1) (-4 *1 (-352))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-149)) (-4 *1 (-909))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-2 (|:| |poly| *6) (|:| -3192 *3)))) (-5 *1 (-809 *5 *6 *3 *7)) (-4 *3 (-649 *6)) (-4 *7 (-649 (-412 *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-2 (|:| |poly| *6) (|:| -3192 (-647 *6 (-412 *6)))))) (-5 *1 (-812 *5 *6)) (-5 *3 (-647 *6 (-412 *6)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-571)) (-5 *4 (-423 *2)) (-4 *2 (-955 *7 *5 *6)) (-5 *1 (-737 *5 *6 *7 *2)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-302))))) 
+(((*1 *2 *3 *2) (-12 (-5 *1 (-674 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (|:| |%expansion| (-308 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1151)) (|:| |prob| (-1151)))))) (-5 *1 (-425 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-14 *6 (-1169)) (-14 *7 *3)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-1106 *5 *6 *7 *8)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-593 *5 *6 *7 *8 *3))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-637 *11)) (-5 *5 (-637 (-1165 *9))) (-5 *6 (-637 *9)) (-5 *7 (-637 *12)) (-5 *8 (-637 (-768))) (-4 *11 (-847)) (-4 *9 (-302)) (-4 *12 (-955 *9 *10 *11)) (-4 *10 (-793)) (-5 *2 (-637 (-1165 *12))) (-5 *1 (-702 *10 *11 *9 *12)) (-5 *3 (-1165 *12))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *2 *3) (-12 (-5 *1 (-674 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1 (-949 (-216)) (-949 (-216)))) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-949 (-216)) (-949 (-216)))) (-5 *1 (-257)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-495 *5 *6))) (-5 *3 (-495 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-456)) (-5 *2 (-1258 *6)) (-5 *1 (-625 *5 *6))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-768)) (-4 *5 (-367)) (-5 *2 (-412 *6)) (-5 *1 (-866 *5 *4 *6)) (-4 *4 (-1248 *5)) (-4 *6 (-1233 *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-768)) (-5 *4 (-1249 *5 *6 *7)) (-4 *5 (-367)) (-14 *6 (-1169)) (-14 *7 *5) (-5 *2 (-412 (-1230 *6 *5))) (-5 *1 (-867 *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-768)) (-5 *4 (-1249 *5 *6 *7)) (-4 *5 (-367)) (-14 *6 (-1169)) (-14 *7 *5) (-5 *2 (-412 (-1230 *6 *5))) (-5 *1 (-867 *5 *6 *7))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-453 *4 *5 *6 *2))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-637 (-637 (-637 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-637 *5)) (-4 *5 (-847)) (-5 *1 (-1175 *5))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-637 *7)) (-5 *3 (-571)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-453 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 *8)) (-5 *1 (-969 *5 *6 *3 *7 *8)) (-4 *8 (-977 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121))))) 
+(((*1 *1 *2 *3) (-12 (-4 *4 (-367)) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-644 *4)) (-4 *8 (-925 *4 *7)) (-4 *1 (-539 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-955 *4 *6 (-857 *5))) (-4 *2 (-977 *4)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1169)) (-4 *8 (-367)) (-5 *5 (-768)) (-4 *12 (-231 (-4001 *10) *5)) (-4 *13 (-644 *8)) (-4 *14 (-925 *8 *13)) (-4 *1 (-539 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-955 *8 *12 (-857 *10))) (-4 *2 (-977 *8)) (-4 *7 (-236 *14)) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-4 *3 (-367)) (-4 *1 (-925 *3 *4)) (-4 *4 (-644 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-4 *1 (-925 *3 *4)) (-4 *4 (-644 *3)))) ((*1 *1) (-5 *1 (-1081)))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)) (-4 *2 (-553)))) ((*1 *1 *1) (-4 *1 (-1062)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-441))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-302)) (-4 *3 (-999 *2)) (-4 *4 (-1233 *3)) (-5 *1 (-418 *2 *3 *4 *5)) (-4 *5 (-13 (-414 *3 *4) (-1043 *3)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-684 (-170 (-412 (-571))))) (-5 *2 (-637 (-2 (|:| |outval| (-170 *4)) (|:| |outmult| (-571)) (|:| |outvect| (-637 (-684 (-170 *4))))))) (-5 *1 (-761 *4)) (-4 *4 (-13 (-367) (-845)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-5 *3 (-637 *7)) (-4 *1 (-1072 *4 *5 *6 *7)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1279 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-843))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3))))) 
+(((*1 *1) (-5 *1 (-216))) ((*1 *1) (-5 *1 (-384)))) 
+(((*1 *2 *3 *2) (-12 (-4 *1 (-787)) (-5 *2 (-1041)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) ((*1 *2 *3 *2) (-12 (-4 *1 (-787)) (-5 *2 (-1041)) (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
+(((*1 *2) (-12 (-4 *1 (-352)) (-5 *2 (-637 (-2 (|:| -4262 (-571)) (|:| -2154 (-571)))))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-566))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-412 *4)) (-4 *4 (-1233 *3)) (-4 *3 (-13 (-367) (-151) (-1043 (-571)))) (-5 *1 (-575 *3 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *2 *3 *1) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-1053)) (-4 *2 (-1097))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-571))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1091 (-216))) (-5 *6 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-691))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-475))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-768) (-768) *7)) (-5 *4 (-1258 *7)) (-5 *5 (-768)) (-5 *6 (-1258 (-1165 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-561) (-456))) (-5 *1 (-348 *2 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) (-5 *2 (-384)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-1258 (-311 (-216)))) (-5 *2 (-384)) (-5 *1 (-300))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-1053)) (-4 *3 (-847)) (-5 *2 (-2 (|:| |val| *1) (|:| -2154 (-571)))) (-4 *1 (-435 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-892 *3)) (|:| -2154 (-892 *3)))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -2154 (-571)))) (-5 *1 (-956 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $)))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-384)) (-5 *2 (-216)) (-5 *1 (-1261)))) ((*1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-1261))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1169)) (-4 *5 (-13 (-847) (-561) (-612 (-544)))) (-4 *2 (-435 *5)) (-5 *1 (-313 *5 *2 *6 *7)) (-4 *6 (-1248 *2)) (-4 *7 (-1248 (-1163 *2)))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *6 (-1151)) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-456)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-30)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-423 *4) *4)) (-4 *4 (-561)) (-5 *2 (-423 *4)) (-5 *1 (-424 *4)))) ((*1 *1 *1) (-5 *1 (-931))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-931)))) ((*1 *1 *1) (-5 *1 (-932))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1091 (-216))) (-5 *1 (-932)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) (-5 *4 (-412 (-571))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) (-5 *1 (-1025 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) (-5 *4 (-412 (-571))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571))))) (-5 *1 (-1026 *3)) (-4 *3 (-1233 (-412 (-571)))))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1149 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1165 *9)) (-5 *4 (-637 *7)) (-5 *5 (-637 *8)) (-4 *7 (-847)) (-4 *8 (-1053)) (-4 *9 (-955 *8 *6 *7)) (-4 *6 (-793)) (-5 *2 (-1165 *8)) (-5 *1 (-319 *6 *7 *8 *9))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-1199 *2)) (-4 *2 (-981))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-1132 *3 *2)) (-4 *3 (-13 (-1097) (-39))) (-4 *2 (-13 (-1097) (-39)))))) 
+(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-571) "failed") *5)) (-4 *5 (-1053)) (-5 *2 (-571)) (-5 *1 (-551 *5 *3)) (-4 *3 (-1233 *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-571) "failed") *4)) (-4 *4 (-1053)) (-5 *2 (-571)) (-5 *1 (-551 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-571) "failed") *4)) (-4 *4 (-1053)) (-5 *2 (-571)) (-5 *1 (-551 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-1149 *4) (-1149 *4))) (-5 *2 (-1149 *4)) (-5 *1 (-1281 *4)) (-4 *4 (-1203)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-637 (-1149 *5)) (-637 (-1149 *5)))) (-5 *4 (-571)) (-5 *2 (-637 (-1149 *5))) (-5 *1 (-1281 *5)) (-4 *5 (-1203))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-768)) (-4 *5 (-367)) (-5 *2 (-174 *6)) (-5 *1 (-866 *5 *4 *6)) (-4 *4 (-1248 *5)) (-4 *6 (-1233 *5))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-637 *4)) (-4 *4 (-367)) (-5 *2 (-1258 *4)) (-5 *1 (-814 *4 *3)) (-4 *3 (-649 *4))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-571)) (-5 *6 (-1151)) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-755))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-384)))) (-5 *2 (-1091 (-840 (-216)))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-822))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1203))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-423 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-1053)) (-5 *2 (-637 *6)) (-5 *1 (-448 *5 *6))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-955 *4 *5 *6)) (-4 *4 (-367)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-454 *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-367)) (-5 *2 (-2 (|:| R (-684 *6)) (|:| A (-684 *6)) (|:| |Ainv| (-684 *6)))) (-5 *1 (-985 *6)) (-5 *3 (-684 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *1 (-995 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *1 (-1104 *3 *4 *5 *6 *7))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))))) ((*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169))))) ((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-373)) (-4 *2 (-367)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-334 *3 *4 *5 *2)) (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *2 (-341 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-395 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *1) (-12 (-4 *2 (-173)) (-4 *1 (-719 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-260 *3)) (-4 *3 (-1097))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-721)) (-4 *2 (-1203))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-241 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))))) (-5 *2 (-637 (-1151))) (-5 *1 (-264))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-251))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-1233 (-412 (-571)))) (-5 *2 (-2 (|:| |den| (-571)) (|:| |gcdnum| (-571)))) (-5 *1 (-914 *3 *4)) (-4 *4 (-1233 (-412 *3))))) ((*1 *2 *3) (-12 (-4 *4 (-1233 (-412 *2))) (-5 *2 (-571)) (-5 *1 (-914 *4 *3)) (-4 *3 (-1233 (-412 *4)))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189)))))) 
+(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) ((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) ((*1 *1) (-4 *1 (-721))) ((*1 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) ((*1 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) ((*1 *1) (-5 *1 (-1169)))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1203)) (-5 *2 (-637 *1)) (-4 *1 (-1016 *3))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *2 (-561)) (-5 *1 (-976 *2 *4)) (-4 *4 (-1233 *2))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-43 (-412 (-571)))) (-5 *2 (-2 (|:| -4243 (-1149 *4)) (|:| -4249 (-1149 *4)))) (-5 *1 (-1155 *4)) (-5 *3 (-1149 *4))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *6))) (-5 *4 (-637 (-1169))) (-4 *6 (-13 (-561) (-1043 *5))) (-4 *5 (-561)) (-5 *2 (-637 (-637 (-289 (-412 (-958 *6)))))) (-5 *1 (-1044 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-768)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-497 *4)) (-4 *4 (-847)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1006 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *2 (-121)) (-5 *1 (-1139 *4)) (-4 *4 (-1097)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1210 *3)) (-4 *3 (-847)) (-4 *3 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-13 (-367) (-151))) (-5 *2 (-637 (-2 (|:| -2154 (-768)) (|:| -1681 *4) (|:| |num| *4)))) (-5 *1 (-404 *3 *4)) (-4 *4 (-1233 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1258 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4)))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-4 *1 (-558 *3)) (-4 *3 (-13 (-409) (-1189))))) ((*1 *1 *2) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189))))) ((*1 *1 *2 *2) (-12 (-4 *1 (-558 *2)) (-4 *2 (-13 (-409) (-1189)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1151)) (|:| -3159 (-1151)))) (-5 *1 (-822))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1230 *5 *4)) (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-571)) (-5 *1 (-1111 *4 *5))))) 
+(((*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 *4)) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-367))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1233 (-412 *3))) (-5 *2 (-922)) (-5 *1 (-914 *4 *5)) (-4 *5 (-1233 (-412 *4)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-57))) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-4 *7 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-561)) (-4 *8 (-955 *7 *5 *6)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *3) (|:| |radicand| *3))) (-5 *1 (-959 *5 *6 *7 *8 *3)) (-5 *4 (-768)) (-4 *3 (-13 (-367) (-10 -8 (-15 -4474 (*8 $)) (-15 -4479 (*8 $)) (-15 -3942 ($ *8)))))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-863)) (-5 *2 (-1263))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-1151)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-610 *4)) (-5 *1 (-609 *3 *4)) (-4 *3 (-847)) (-4 *4 (-847))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-379 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1277 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 *6 *5)) (-5 *1 (-701 *4 *5 *6)) (-4 *4 (-612 (-544))) (-4 *5 (-1203)) (-4 *6 (-1203))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-1067 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1197 *4 *5 *6 *3)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-618 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -1852 *4) (|:| |sol?| (-121))) (-571) *4)) (-4 *4 (-367)) (-4 *5 (-1233 *4)) (-5 *1 (-581 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-412 *5)) (-4 *5 (-1233 *4)) (-4 *4 (-561)) (-4 *4 (-1053)) (-4 *2 (-1248 *4)) (-5 *1 (-1251 *4 *5 *6 *2)) (-4 *6 (-649 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-822))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1240 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1217 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 *10)) (-5 *1 (-619 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *10 (-1106 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-780 *5 (-857 *6)))) (-5 *4 (-121)) (-4 *5 (-456)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-1050 *5 *6))) (-5 *1 (-622 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-780 *5 (-857 *6)))) (-5 *4 (-121)) (-4 *5 (-456)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-1138 *5 (-537 (-857 *6)) (-857 *6) (-780 *5 (-857 *6))))) (-5 *1 (-622 *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1033 *5 *6 *7 *8))) (-5 *1 (-1033 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1033 *5 *6 *7 *8))) (-5 *1 (-1033 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 (-780 *5 (-857 *6)))) (-5 *4 (-121)) (-4 *5 (-456)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-1050 *5 *6))) (-5 *1 (-1050 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1138 *5 *6 *7 *8))) (-5 *1 (-1138 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1138 *5 *6 *7 *8))) (-5 *1 (-1138 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1197 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-1151)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1233 *3)) (-4 *3 (-1053)) (-5 *2 (-1165 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-588 *2)) (-4 *2 (-13 (-29 *4) (-1189))) (-5 *1 (-586 *4 *2)) (-4 *4 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))))) ((*1 *2 *3) (-12 (-5 *3 (-588 (-412 (-958 *4)))) (-4 *4 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *2 (-311 *4)) (-5 *1 (-591 *4))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-1151)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *2 *3 *3) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-683 *3 *4 *5 *6)) (-4 *6 (-682 *3 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -2924 *3) (|:| -3363 *3))) (-5 *1 (-694 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1133 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) ((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1203)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1149 (-571))) (-5 *1 (-1153 *4)) (-4 *4 (-1053)) (-5 *3 (-571))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-1151)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *1) (-5 *1 (-442)))) 
+(((*1 *1 *1) (-5 *1 (-1065)))) 
+(((*1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *1 *1) (-5 *1 (-384))) ((*1 *1) (-5 *1 (-384)))) 
 (((*1 *1) (-5 *1 (-159)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-765)) (-5 *1 (-590))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-844) (-559))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *2)) (-5 *4 (-1165)) (-4 *2 (-433 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-844) (-559))))) ((*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1161 *1)) (-5 *3 (-919)) (-4 *1 (-1014)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1161 *1)) (-5 *3 (-919)) (-5 *4 (-852)) (-4 *1 (-1014)))) ((*1 *1 *2 *3) (|partial| -12 (-5 *3 (-919)) (-4 *4 (-13 (-842) (-366))) (-4 *1 (-1065 *4 *2)) (-4 *2 (-1228 *4))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-674 *4 *3)) (-4 *4 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-5 *2 (-1 *5 *4)) (-5 *1 (-674 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-635 (-1165))) (|:| |pred| (-57)))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-170 (-382)))) (-5 *1 (-115))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-974)) (-5 *3 (-635 (-569)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-57))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-681 *4)) (-4 *4 (-1049)) (-5 *1 (-1130 *3 *4)) (-14 *3 (-765))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *2) (-12 (-5 *2 (-681 (-907 *3))) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) ((*1 *2) (-12 (-5 *2 (-681 *3)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111))))))))) ((*1 *2) (-12 (-5 *2 (-681 *3)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1047))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
-(((*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |c| (-410 *6)) (|:| -4542 *6))) (-5 *1 (-1017 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) ((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-569)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-272)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *8)) (-5 *4 (-635 *6)) (-4 *6 (-844)) (-4 *8 (-952 *7 *5 *6)) (-4 *5 (-790)) (-4 *7 (-1049)) (-5 *2 (-635 (-765))) (-5 *1 (-319 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-919)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-476 *3 *2)) (-4 *3 (-173)) (-4 *2 (-23)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *2 *3) (-12 (-4 *1 (-668 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-700 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-1049)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-765)) (-5 *1 (-910 *5 *3 *6 *7)) (-4 *3 (-325 *5 *6)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-765))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-976 *3 *2 *4)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *2 (-789)))) ((*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-919)))) ((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-1214 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1243 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1212 *3)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-830 (-919))))) ((*1 *2 *1) (-12 (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-765))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-1061))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-635 (-1165))) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-681 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-955 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4)))))))))) (-5 *1 (-926 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *5 (-919)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-955 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *6)))) (|:| -4079 (-635 (-1253 (-410 (-955 *6)))))))))) (-5 *1 (-926 *6 *7 *8 *9)) (-5 *4 (-635 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 (-1165))) (-5 *5 (-919)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-955 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *6)))) (|:| -4079 (-635 (-1253 (-410 (-955 *6)))))))))) (-5 *1 (-926 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-919)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 *9)) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 (-1165))) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-1147)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-681 *10)) (-5 *4 (-635 *10)) (-5 *5 (-919)) (-5 *6 (-1147)) (-4 *10 (-952 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-844) (-610 (-1165)))) (-4 *9 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-681 *10)) (-5 *4 (-635 (-1165))) (-5 *5 (-919)) (-5 *6 (-1147)) (-4 *10 (-952 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-844) (-610 (-1165)))) (-4 *9 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-919)) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-569)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-121)) (-5 *1 (-1031 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-681 *4))) (-4 *4 (-366)) (-4 *4 (-1049)) (-5 *2 (-121)) (-5 *1 (-1031 *4))))) 
-(((*1 *1 *1) (|partial| -4 *1 (-149))) ((*1 *1 *1) (-4 *1 (-351))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-149)) (-4 *1 (-906))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1037)) (-5 *1 (-740))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *2 *3 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-1049)) (-4 *2 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-382)))) (-5 *2 (-1087 (-837 (-216)))) (-5 *1 (-300))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *2 (-635 (-2 (|:| -3190 (-765)) (|:| -1736 *4) (|:| |num| *4)))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-1258))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-559)) (-4 *4 (-1049)) (-4 *2 (-1243 *4)) (-5 *1 (-1246 *4 *5 *6 *2)) (-4 *6 (-647 *5))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-216))) (-5 *1 (-115))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1149 *4)) (-4 *4 (-1049)) (-5 *3 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-300))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 (-216) (-216))) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-1264 *4 *5 *6 *7))) (-5 *1 (-1264 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-635 (-1264 *6 *7 *8 *9))) (-5 *1 (-1264 *6 *7 *8 *9))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-454)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-906)) (-5 *1 (-460 *3 *4 *5 *6)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-906))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-820)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765))))) 
-(((*1 *2 *3 *4) (-12 (-4 *6 (-559)) (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-5 *3 (-410 (-955 *6))) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)))))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -2318 (-569)) (|:| -3459 (-635 *3)))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-233 *6 *7)) (-14 *6 (-765)) (-4 *7 (-1199)) (-4 *5 (-1199)) (-5 *2 (-233 *6 *5)) (-5 *1 (-232 *6 *7 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-4 *2 (-376 *5)) (-5 *1 (-374 *6 *4 *5 *2)) (-4 *4 (-376 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1093)) (-4 *5 (-1093)) (-4 *2 (-428 *5)) (-5 *1 (-426 *6 *4 *5 *2)) (-4 *4 (-428 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-635 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-635 *5)) (-5 *1 (-633 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-960 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-960 *5)) (-5 *1 (-959 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1145 *6)) (-4 *6 (-1199)) (-4 *3 (-1199)) (-5 *2 (-1145 *3)) (-5 *1 (-1143 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1253 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-1253 *5)) (-5 *1 (-1252 *6 *5))))) 
-(((*1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1127))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)) (-5 *1 (-411 *3 *4 *5)) (-4 *3 (-412 *4 *5)))) ((*1 *2) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-681 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *2 (-433 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1039 *4)) (-4 *3 (-13 (-844) (-559)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161 *7)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *2 (-1161 *6)) (-5 *1 (-319 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-919)) (-5 *1 (-1032 *2)) (-4 *2 (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)))))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1256))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-955 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1165))))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-777 *3 (-854 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1165))) (-5 *1 (-620 *3 *4))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-765)) (-5 *1 (-389 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-23)) (-5 *1 (-639 *4 *2 *5)) (-4 *4 (-1093)) (-14 *5 *2))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-765)) (-5 *1 (-816 *4)) (-4 *4 (-844))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1941 (-635 *9)))) (-5 *3 (-635 *9)) (-4 *1 (-1193 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1941 (-635 *8)))) (-5 *3 (-635 *8)) (-4 *1 (-1193 *5 *6 *7 *8))))) 
-(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-946 *5)) (-5 *3 (-765)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-879 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-946 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-4 *2 (-1049)) (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-382))) (-5 *1 (-115))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-765)) (-4 *1 (-37 *4)) (-4 *4 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-973 *3)) (-4 *3 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-765)) (-4 *1 (-973 *4)) (-4 *4 (-366))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-99))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *1 (-668 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-594 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1049))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-302)) (-4 *6 (-1228 *4)) (-5 *2 (-1253 (-635 *6))) (-5 *1 (-458 *4 *6)) (-5 *5 (-635 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-2 (|:| -3339 (-410 (-955 *5))) (|:| |coeff| (-410 (-955 *5))))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-955 *5)))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-1153 3 *3)))) ((*1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1255)))) ((*1 *2 *1) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1255))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 (-955 *6))) (-4 *6 (-559)) (-4 *2 (-952 (-410 (-955 *6)) *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)))))))) 
-(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-918))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1161 *3))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 (-2 (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-890 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-664 *3))) (-5 *1 (-890 *3)) (-4 *3 (-844))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-428 *3)) (-4 *3 (-1093)) (-5 *2 (-765))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-300))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-790)) (-4 *3 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-272))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1147)) (-5 *1 (-783))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *3 (-13 (-559) (-454))) (-5 *2 (-635 *3)) (-5 *1 (-347 *3 *5)) (-4 *5 (-52 *3 *4))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1165)) (|:| |arrayIndex| (-635 (-955 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1165)) (|:| |rand| (-852)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1164)) (|:| |thenClause| (-329)) (|:| |elseClause| (-329)))) (|:| |returnBranch| (-2 (|:| -1668 (-121)) (|:| -2756 (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |blockBranch| (-635 (-329))) (|:| |commentBranch| (-635 (-1147))) (|:| |callBranch| (-1147)) (|:| |forBranch| (-2 (|:| -1848 (-1085 (-955 (-569)))) (|:| |span| (-955 (-569))) (|:| |body| (-329)))) (|:| |labelBranch| (-1111)) (|:| |loopBranch| (-2 (|:| |switch| (-1164)) (|:| |body| (-329)))) (|:| |commonBranch| (-2 (|:| -2798 (-1165)) (|:| |contents| (-635 (-1165))))) (|:| |printBranch| (-635 (-852))))) (-5 *1 (-329))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-744))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) *2)) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-765)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-765)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-765)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-765)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-955 *5)) (-5 *1 (-947 *4 *5))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-569)) (-5 *1 (-115))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1037)) (-5 *1 (-744))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-635 (-311 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-203))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-831 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-681 (-569))) (-5 *1 (-1103))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-667 (-216))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-744))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1163 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-1165)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 (QUOTE |x|) *4)) (-5 *1 (-1210 *4)) (-4 *4 (-1049)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1244 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-1165)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1248 *4 *5)) (-4 *4 (-1049)) (-14 *5 (-1165))))) 
-(((*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1037)) (-5 *3 (-1165)) (-5 *1 (-264))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-871)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264))))) 
-(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-410 *5))) (-5 *1 (-1018 *4 *5)) (-5 *3 (-410 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-382))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
-(((*1 *2) (-12 (-14 *4 (-765)) (-4 *5 (-1199)) (-5 *2 (-140)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-140)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-569)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-569)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-983 *3)) (-4 *3 (-1049)) (-5 *2 (-919)))) ((*1 *2) (-12 (-4 *1 (-1260 *3)) (-4 *3 (-366)) (-5 *2 (-140))))) 
-(((*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-697 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-675 *4 *5 *6)) (-4 *4 (-1093))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *4 *5))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-148)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-148))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-569)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-636 *5 *6))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-718)) (-4 *2 (-1199))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1147)) (-5 *2 (-768)) (-5 *1 (-123))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-170 (-216)))) (-5 *3 (-1111)) (-5 *4 (-170 (-216))) (-5 *1 (-115))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049))))) 
-(((*1 *1) (-12 (-4 *1 (-407)) (-3182 (|has| *1 (-6 -4562))) (-3182 (|has| *1 (-6 -4554))))) ((*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-4 *1 (-827 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-4 *1 (-844))) ((*1 *1) (-5 *1 (-1111)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *6))) (-4 *6 (-952 *3 *5 *4)) (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-844) (-610 (-1165)))) (-4 *5 (-790)) (-5 *1 (-926 *3 *4 *5 *6))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-918)) (-5 *2 (-2 (|:| -3550 (-635 *1)) (|:| -1986 *1))) (-5 *3 (-635 *1))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-5 *2 (-1 *5)) (-5 *1 (-674 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-919)) (-5 *1 (-1094 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559))))) 
-(((*1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 (-2 (|:| -3139 *3) (|:| -2284 *4)))) (-5 *1 (-687 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
-(((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-946 (-216))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *2 (-1258)) (-5 *1 (-474)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-474)))) ((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *2 (-1258)) (-5 *1 (-474))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1193 *4 *5 *3 *2)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *2 (-1063 *4 *5 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-1197 *2)) (-4 *2 (-1199))))) 
-(((*1 *1) (-5 *1 (-1061)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-844)) (-5 *1 (-1171 *3))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-946 (-216))) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-983 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-946 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)) (-5 *3 (-216))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1103))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-955 (-170 (-569)))))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 (-170 *5)))) (-5 *1 (-381 *5)) (-4 *5 (-13 (-366) (-842)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-366)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-4 *1 (-334 *4 *3 *5 *2)) (-4 *2 (-341 *4 *3 *5)))) ((*1 *1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-366)) (-4 *4 (-1228 *2)) (-4 *5 (-1228 (-410 *4))) (-4 *1 (-334 *2 *4 *5 *6)) (-4 *6 (-341 *2 *4 *5)))) ((*1 *1 *2 *2) (-12 (-4 *2 (-366)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))) (-4 *1 (-334 *2 *3 *4 *5)) (-4 *5 (-341 *2 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *1 (-334 *3 *4 *5 *2)) (-4 *2 (-341 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-416 *4 (-410 *4) *5 *6)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-4 *3 (-366)) (-4 *1 (-334 *3 *4 *5 *6))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-681 (-311 (-569)))) (-5 *1 (-1033))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *6 (-13 (-559) (-844))) (-5 *2 (-635 (-311 *6))) (-5 *1 (-212 *5 *6)) (-5 *3 (-311 *6)) (-4 *5 (-1049)))) ((*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) ((*1 *2 *3) (-12 (-5 *3 (-586 *5)) (-4 *5 (-13 (-29 *4) (-1185))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-635 *5)) (-5 *1 (-584 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-955 *4)))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-635 (-311 *4))) (-5 *1 (-589 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1088 *3 *2)) (-4 *3 (-842)) (-4 *2 (-1137 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1088 *4 *2)) (-4 *4 (-842)) (-4 *2 (-1137 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) ((*1 *2 *1) (-12 (-5 *2 (-1266 (-1165) *3)) (-5 *1 (-1273 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-718) (-25)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-859 *4))) (-4 *4 (-351)) (-5 *2 (-969 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-968 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-973 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1253 (-635 (-569)))) (-5 *1 (-492)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *6 (-883 *5)) (-5 *2 (-882 *5 *6 (-635 *6))) (-5 *1 (-884 *5 *6 *4)) (-5 *3 (-635 *6)) (-4 *4 (-610 (-889 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-635 (-289 *3))) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-1039 (-1165))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-635 (-289 (-955 *3)))) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-1049)) (-3182 (-4 *3 (-1039 (-1165)))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-886 *5 *3)) (-5 *1 (-884 *5 *3 *4)) (-3182 (-4 *3 (-1039 (-1165)))) (-3182 (-4 *3 (-1049))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5)))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *3 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-121))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-5 *1 (-594 *3)) (-4 *3 (-1049))))) 
-(((*1 *2) (-12 (-4 *3 (-1049)) (-5 *2 (-960 (-704 *3 *4))) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-1178))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-436 *4 *3)) (-4 *3 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-433 *5)) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-436 *5 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
-(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-5 *5 (-1161 *2)) (-4 *2 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1093)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-5 *5 (-410 (-1161 *2))) (-4 *2 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1093))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-366)) (-4 *1 (-328 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1228 *4)) (-4 *4 (-1208)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1228 (-410 *3))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1253 *1)) (-4 *4 (-173)) (-4 *1 (-370 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1253 *1)) (-4 *4 (-173)) (-4 *1 (-373 *4 *5)) (-4 *5 (-1228 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1010 *3)) (-4 *3 (-1039 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-130))))) 
-(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-837 *3))) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (-837 *3) (-2 (|:| |leftHandLimit| (-3 (-837 *3) "failed")) (|:| |rightHandLimit| (-3 (-837 *3) "failed"))) "failed")) (-5 *1 (-628 *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 *3)) (-5 *5 (-1147)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-837 *3)) (-5 *1 (-628 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-837 (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-3 (-837 (-410 (-955 *5))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 *5))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 *5))) "failed"))) "failed")) (-5 *1 (-629 *5)) (-5 *3 (-410 (-955 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-454)) (-5 *2 (-3 (-837 *3) (-2 (|:| |leftHandLimit| (-3 (-837 *3) "failed")) (|:| |rightHandLimit| (-3 (-837 *3) "failed"))) "failed")) (-5 *1 (-629 *5)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 (-410 (-955 *6)))) (-5 *5 (-1147)) (-5 *3 (-410 (-955 *6))) (-4 *6 (-454)) (-5 *2 (-837 *3)) (-5 *1 (-629 *6))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-3 (-121) (-635 *1))) (-4 *1 (-1068 *4 *5 *6 *3))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4572)) (-4 *1 (-500 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-1135 *3))))) 
-(((*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *3 (-559))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-5 *1 (-563 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-973 *4)) (-4 *3 (-236 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-635 (-243 *6 *5))) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-243 *6 (-859 *5)))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-243 *5 *4))) (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-1165))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-559)) (-4 *7 (-952 *3 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *8) (|:| |radicand| *8))) (-5 *1 (-956 *5 *6 *3 *7 *8)) (-5 *4 (-765)) (-4 *8 (-13 (-366) (-10 -8 (-15 -3515 (*7 $)) (-15 -3524 (*7 $)) (-15 -3956 ($ *7)))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-5 *1 (-800))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-454)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-635 *10)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-919)) (-5 *5 (-635 *9)) (-4 *9 (-973 *6)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *4 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1258)) (-5 *1 (-557 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-259 *13)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-635 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3))))) 
-(((*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-852) (-852) (-852))) (-5 *4 (-569)) (-5 *2 (-852)) (-5 *1 (-639 *5 *6 *7)) (-4 *5 (-1093)) (-4 *6 (-23)) (-14 *7 *6))) ((*1 *2 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-848 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-852)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-852)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-852)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1161 *3)) (-4 *3 (-1049))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1199))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-325 *5 *7)) (-4 *7 (-231 *8 (-765))) (-14 *8 (-765)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-931 *5 *6 *7 *8 *4)) (-4 *4 (-973 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-738 *3)) (-4 *3 (-173))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-1266 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *1 (-657 *3 *4)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-657 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2899 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef1| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3 *4 *1) (-12 (-5 *3 (-1165)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-542)) (-5 *1 (-541 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-542))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-1111)) (-5 *2 (-121)) (-5 *1 (-818))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-302)) (-5 *2 (-765))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1028 (-837 (-569)))) (-5 *3 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *4)))) (-4 *4 (-1049)) (-5 *1 (-594 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 (-1161 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1161 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-844)))) ((*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1233 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-366) (-842))) (-5 *2 (-635 (-2 (|:| -3459 (-635 *3)) (|:| -3896 *5)))) (-5 *1 (-179 *5 *3)) (-4 *3 (-1228 (-170 *5))))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-2 (|:| -3459 (-635 *3)) (|:| -3896 *4)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *5 (-121)) (-4 *8 (-1063 *6 *7 *4)) (-4 *9 (-1068 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *4 (-844)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4320 *9)))) (-5 *1 (-1069 *6 *7 *4 *8 *9))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-4 *5 (-366)) (-5 *2 (-1145 (-1145 (-955 *5)))) (-5 *1 (-1261 *5)) (-5 *4 (-1145 (-955 *5)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1147) (-768))) (-5 *1 (-123))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1165)) (-5 *4 (-837 *2)) (-4 *2 (-1127)) (-4 *2 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *1 (-572 *5 *2))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-569)) (-4 *1 (-668 *5 *4)) (-4 *5 (-1199)) (-4 *4 (-1199)) (-5 *2 |SortedExponentVector|)))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1086 *3)) (-4 *3 (-1199)) (-5 *2 (-569))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-833)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *2 (-1037)))) ((*1 *2 *3) (-12 (-4 *1 (-833)) (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-1037))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-257))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-1103))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-351)) (-5 *3 (-569)) (-5 *2 (-1173 (-919) (-765)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-172))))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-886 *3 *5)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-830 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -3459 (-635 (-2 (|:| |irr| *10) (|:| -4144 (-569))))))) (-5 *6 (-635 *3)) (-5 *7 (-635 *8)) (-4 *8 (-844)) (-4 *3 (-302)) (-4 *10 (-952 *3 *9 *8)) (-4 *9 (-790)) (-5 *2 (-2 (|:| |polfac| (-635 *10)) (|:| |correct| *3) (|:| |corrfact| (-635 (-1161 *3))))) (-5 *1 (-618 *8 *9 *3 *10)) (-5 *4 (-635 (-1161 *3)))))) 
-(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-135 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-901 *4)) (-4 *4 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
-(((*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-235))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-875 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-877 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-879 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-844)) (-4 *3 (-1093))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-123))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1222 *3 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *4 (-635 (-919))) (-5 *5 (-635 (-257))) (-5 *1 (-474)))) ((*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *4 (-635 (-919))) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474)))) ((*1 *1 *1) (-5 *1 (-474)))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1199)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-2 (|:| -3335 *3) (|:| -3175 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-416 *4 (-410 *4) *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *3 (-302)) (-5 *1 (-416 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162))) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *2))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 (-410 (-955 *6)))) (-5 *3 (-410 (-955 *6))) (-4 *6 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-575 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-329))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *1) (-5 *1 (-1168)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) ((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-131 *3)) (|:| |greater| (-131 *3)))) (-5 *1 (-131 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-4 *3 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-236 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-586 *4)) (-4 *4 (-13 (-29 *3) (-1185))) (-4 *3 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *1 (-584 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-586 (-410 (-955 *3)))) (-4 *3 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *1 (-589 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2556 *3) (|:| |special| *3))) (-5 *1 (-719 *5 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1253 (-1253 *5))) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-635 *1)) (-4 *1 (-1132)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-148)) (-5 *2 (-635 *1)) (-4 *1 (-1132))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1165)) (-5 *6 (-635 (-608 *3))) (-5 *5 (-608 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-560 *7 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-228 *3)) (-4 *3 (-1093)))) ((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-228 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) ((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1093)) (-5 *1 (-729 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-729 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-170 (-569))) (-5 *2 (-121)) (-5 *1 (-448)))) ((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-963 *3)) (-4 *3 (-551)))) ((*1 *2 *1) (-12 (-4 *1 (-1208)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1037))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) ((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-608 *2))) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| |k| (-816 *3)) (|:| |c| *4)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-162)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1253 (-1165))) (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 (-1165))) (-14 *7 (-1253 (-681 *4))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 *2)) (-14 *7 (-1253 (-681 *4))))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-455 *3 *4 *5 *6))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-1165))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 *2)) (-14 *6 (-1253 (-681 *3))))) ((*1 *1) (-12 (-5 *1 (-455 *2 *3 *4 *5)) (-4 *2 (-173)) (-14 *3 (-919)) (-14 *4 (-635 (-1165))) (-14 *5 (-1253 (-681 *2)))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-4 *5 (-366)) (-5 *3 (-765)) (-14 *6 (-635 (-1165))) (-4 *8 (-231 (-2946 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-325 *5 *8)) (-4 *4 (-117))))) 
-(((*1 *2) (-12 (-5 *2 (-1173 (-1165) (-130))) (-5 *1 (-130))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *13)) (-4 *13 (-259 *12)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) *2)) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-5 *2 (-765)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-765))))) 
-(((*1 *2) (-12 (-4 *3 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-1258)) (-5 *1 (-436 *3 *4)) (-4 *4 (-433 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *1) (-5 *1 (-382)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4)) (-4 *4 (-844))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) ((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) ((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-334 *3 *4 *5 *2)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *2 (-341 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *1) (-12 (-4 *2 (-173)) (-4 *1 (-716 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-569)) (-5 *1 (-1182 *4)) (-4 *4 (-1049))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-289 *3))) (-5 *1 (-289 *3)) (-4 *3 (-559)) (-4 *3 (-1199))))) 
-(((*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-569)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-765)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-919)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-159)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-159)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185))) (-5 *1 (-220 *3)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1105)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1105)) (-4 *2 (-1199)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-138)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-384 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-844)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *6 (-231 (-2946 *3) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-5 *1 (-464 *3 *4 *5 *6 *7 *2)) (-4 *5 (-844)) (-4 *2 (-952 *4 *6 (-854 *3))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1049)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1049)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-638 *2)) (-4 *2 (-1056)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-1 *7 *5)) (-5 *1 (-675 *5 *6 *7)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-679 *3 *2 *4)) (-4 *3 (-1049)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-679 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-4 *1 (-712))) ((*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)) (-4 *1 (-922 *4 *5)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-559)) (-5 *1 (-972 *3 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1055 *2)) (-4 *2 (-1056)))) ((*1 *1 *1 *1) (-4 *1 (-1105))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1114 *3 *4 *2 *5)) (-4 *4 (-1049)) (-4 *2 (-231 *3 *4)) (-4 *5 (-231 *3 *4)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1114 *3 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-5 *1 (-1117 *3 *4 *2)) (-4 *2 (-952 *3 (-535 *4) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-946 (-216))) (-5 *3 (-216)) (-5 *1 (-1196)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-718)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-718)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1251 *3)) (-4 *3 (-1199)) (-4 *3 (-21)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-919)) (-4 *4 (-1049)) (-5 *1 (-1030 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-681 *4))) (-5 *3 (-919)) (-4 *4 (-1049)) (-5 *1 (-1030 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 *1)) (|has| *1 (-6 -4572)) (-4 *1 (-1012 *3)) (-4 *3 (-1199))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 *5)) (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-1253 *5)) (-5 *1 (-630 *5 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 *5)) (-3182 (-4 *5 (-366))) (-4 *5 (-559)) (-5 *2 (-1253 (-410 *5))) (-5 *1 (-630 *5 *4))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-892)) (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-1037))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-635 (-635 (-635 *4)))) (-5 *1 (-1171 *4)) (-5 *3 (-635 (-635 *4)))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1147)) (-5 *1 (-99)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1147)) (-5 *1 (-99))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-635 (-1165))) (-5 *5 (-569)) (-4 *1 (-668 *6 *2)) (-4 *6 (-1199)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1253 (-1253 (-569)))) (-5 *3 (-919)) (-5 *1 (-472))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093))))) 
-(((*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-542))) (-5 *1 (-542))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1161 (-955 *3))))) ((*1 *2) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1253 *5)) (-5 *3 (-765)) (-5 *4 (-1111)) (-4 *5 (-351)) (-5 *1 (-533 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-410 (-955 *6)) (-1154 (-1165) (-955 *6)))) (-5 *5 (-765)) (-4 *6 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *6))))) (-5 *1 (-287 *6)) (-5 *4 (-681 (-410 (-955 *6)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-410 (-955 *5)) (-1154 (-1165) (-955 *5)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 *4)))) (-4 *5 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-681 (-410 (-955 *5))))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-559)) (-4 *2 (-1049)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) ((*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-1199)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-853)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-853)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-852)) (-5 *2 (-1258)) (-5 *1 (-853)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1145 *4)) (-4 *4 (-1093)) (-4 *4 (-1199))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-635 (-779 *3))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-819)) (-5 *1 (-818))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1049)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-854 *3)) (-14 *3 (-635 *2)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-992)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1085 *3)) (-4 *3 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-1165)))) ((*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1249 *3)) (-14 *3 *2)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-148))) (-5 *1 (-143)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-143))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-235)) (-5 *3 (-1147)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-235)))) ((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-1145 (-955 *4)) (-1145 (-955 *4)))) (-5 *1 (-1261 *4)) (-4 *4 (-366))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-969 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-635 *7)) (-5 *1 (-965 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-765))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-542))) (-5 *2 (-1165)) (-5 *1 (-542))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-325 *4 *5)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *4 (-1049)) (-5 *1 (-774 *4 *3 *5 *6))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-765)) (-4 *6 (-366)) (-5 *4 (-1194 *6)) (-5 *2 (-1 (-1145 *4) (-1145 *4))) (-5 *1 (-1261 *6)) (-5 *5 (-1145 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
-(((*1 *2 *2 *2 *3) (-12 (-4 *1 (-668 *2 *3)) (-4 *2 (-1199)) (-4 *3 (-1199))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-608 *5))) (-5 *3 (-1165)) (-4 *5 (-433 *4)) (-4 *4 (-844)) (-5 *1 (-578 *4 *5))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-151)) (-4 *2 (-302)) (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-311 (-569))) (-5 *1 (-1110)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559)) (-5 *2 (-2 (|:| -4288 (-955 *6)) (|:| -3790 (-955 *6)))) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-952 (-410 (-955 *6)) *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-826))))) 
-(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-635 (-1161 *11))) (-5 *3 (-1161 *11)) (-5 *4 (-635 *10)) (-5 *5 (-635 *8)) (-5 *6 (-635 (-765))) (-5 *7 (-1253 (-635 (-1161 *8)))) (-4 *10 (-844)) (-4 *8 (-302)) (-4 *11 (-952 *8 *9 *10)) (-4 *9 (-790)) (-5 *1 (-699 *9 *10 *8 *11))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1165)) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-571 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093))))) 
-(((*1 *1 *1) (-5 *1 (-1164))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-294 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1087 (-837 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-300)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-1123 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4571) (-6 -4572)))))) ((*1 *2 *2) (-12 (-4 *3 (-844)) (-4 *3 (-1199)) (-5 *1 (-1123 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4571) (-6 -4572))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-382)) (-5 *1 (-1041))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *5 (-1208)) (-4 *6 (-1228 *5)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| *6))) (-5 *1 (-152 *5 *6 *7)) (-5 *4 (-765)) (-4 *7 (-1228 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-4 *7 (-1233 (-412 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -4324 *3))) (-5 *1 (-569 *5 *6 *7 *3)) (-4 *3 (-341 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| |answer| (-412 *6)) (|:| -4324 (-412 *6)) (|:| |specpart| (-412 *6)) (|:| |polypart| *6))) (-5 *1 (-570 *5 *6)) (-5 *3 (-412 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-637 *5))))) 
+(((*1 *1 *1 *1) (-4 *1 (-481))) ((*1 *1 *1 *1) (-4 *1 (-758)))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1149 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1149 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1149 (-216))) (-5 *2 (-637 (-1151))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1) (-4 *1 (-654))) ((*1 *1 *1 *1) (-5 *1 (-1115)))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931))))) 
+(((*1 *1) (-5 *1 (-159)))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-610 *3)) (-4 *3 (-13 (-435 *5) (-27) (-1189))) (-4 *5 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-573 *5 *3 *6)) (-4 *6 (-1097))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-460 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-465 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-768))) (-5 *1 (-547 *3 *2 *4 *5)) (-4 *2 (-1233 *3))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-5 *2 (-1 (-216) (-216))) (-5 *1 (-698 *3)) (-4 *3 (-612 (-544))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1169)) (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-698 *3)) (-4 *3 (-612 (-544)))))) 
+(((*1 *1) (-5 *1 (-442)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *1 *1 *1) (-4 *1 (-654))) ((*1 *1 *1 *1) (-5 *1 (-1115)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-932)) (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-932)) (-5 *4 (-412 (-571))) (-5 *2 (-2 (|:| |brans| (-637 (-637 (-949 (-216))))) (|:| |xValues| (-1091 (-216))) (|:| |yValues| (-1091 (-216))))) (-5 *1 (-157))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-412 *6)) (-4 *5 (-1213)) (-4 *6 (-1233 *5)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *3) (|:| |radicand| *6))) (-5 *1 (-152 *5 *6 *7)) (-5 *4 (-768)) (-4 *7 (-1233 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-1053)) (-4 *2 (-1233 *4)) (-5 *1 (-448 *4 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-412 (-1165 (-311 *5)))) (-5 *3 (-1258 (-311 *5))) (-5 *4 (-571)) (-4 *5 (-13 (-561) (-847))) (-5 *1 (-1125 *5))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-637 (-495 *5 *6))) (-5 *4 (-857 *5)) (-14 *5 (-637 (-1169))) (-5 *2 (-495 *5 *6)) (-5 *1 (-625 *5 *6)) (-4 *6 (-456)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-495 *5 *6))) (-5 *4 (-857 *5)) (-14 *5 (-637 (-1169))) (-5 *2 (-495 *5 *6)) (-5 *1 (-625 *5 *6)) (-4 *6 (-456))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 (-1269 *4 *5 *6 *7))) (-5 *1 (-1269 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1067 *6 *7 *8)) (-4 *6 (-561)) (-4 *7 (-793)) (-4 *8 (-847)) (-5 *2 (-637 (-1269 *6 *7 *8 *9))) (-5 *1 (-1269 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1190 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-367) (-847))) (-14 *4 (-1169)) (-14 *5 *3)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| -4501 (-412 *5)) (|:| |poly| *3))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1233 (-412 *5)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-768))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-409)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-693))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 *4)) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-456)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1165 *6)) (-4 *6 (-955 *5 *3 *4)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *5 (-909)) (-5 *1 (-462 *3 *4 *5 *6)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-909))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -3241 (-768)) (|:| |eqns| (-637 (-2 (|:| |det| *7) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571)))))) (|:| |fgb| (-637 *7))))) (-4 *7 (-955 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-768)) (-5 *1 (-929 *4 *5 *6 *7))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 *7))) (-5 *3 (-1165 *7)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-909)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *1 (-906 *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 *5))) (-5 *3 (-1165 *5)) (-4 *5 (-1233 *4)) (-4 *4 (-909)) (-5 *1 (-907 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1053)) (-4 *6 (-231 *7 (-768))) (-14 *7 (-768)) (-5 *2 (-637 *6)) (-5 *1 (-913 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6))))) 
+(((*1 *1 *1 *1) (-4 *1 (-302))) ((*1 *1 *1 *1) (-5 *1 (-768))) ((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-744))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-5 *3 (-768)) (-4 *4 (-352)) (-5 *1 (-535 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-823)) (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-69 -3280)))) (-5 *2 (-1041)) (-5 *1 (-743))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-768)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-793)) (-4 *7 (-955 *4 *5 *6)) (-4 *4 (-456)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-453 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1091 (-840 (-216)))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *1) (-5 *1 (-148)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-863)) (-5 *2 (-922))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1041)) (-5 *1 (-743))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1136)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-4 *3 (-900 *5)) (-5 *2 (-684 *3)) (-5 *1 (-686 *5 *3 *6 *4)) (-4 *6 (-378 *3)) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4600))))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1233 (-412 (-571)))) (-5 *1 (-914 *3 *2)) (-4 *2 (-1233 (-412 *3)))))) 
+(((*1 *1 *1 *1) (-4 *1 (-302))) ((*1 *1 *1 *1) (-5 *1 (-768))) ((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-571)) (|has| *1 (-6 -4591)) (-4 *1 (-409)) (-5 *2 (-922))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1001 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-571))) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-561)) (-4 *8 (-955 *7 *5 *6)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *9) (|:| |radicand| *9))) (-5 *1 (-959 *5 *6 *7 *8 *9)) (-5 *4 (-768)) (-4 *9 (-13 (-367) (-10 -8 (-15 -4474 (*8 $)) (-15 -4479 (*8 $)) (-15 -3942 ($ *8)))))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1258 *5)) (-4 *5 (-792)) (-5 *2 (-121)) (-5 *1 (-842 *4 *5)) (-14 *4 (-768))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-666 *3)) (-4 *3 (-847)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-671 *3)) (-4 *3 (-847)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-819 *3)) (-4 *3 (-847))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-368 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1242 *3 *4 *5)) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-367) (-847))) (-14 *4 (-1169)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-4 *1 (-409)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-423 *3)) (-4 *3 (-561)))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-693)))) ((*1 *2 *1) (-12 (-4 *2 (-1097)) (-5 *1 (-708 *3 *2 *4)) (-4 *3 (-847)) (-14 *4 (-1 (-121) (-2 (|:| -1755 *3) (|:| -2154 *2)) (-2 (|:| -1755 *3) (|:| -2154 *2))))))) 
+(((*1 *1) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189)))))) 
 (((*1 *1) (-5 *1 (-143)))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) ((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-592 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1093)) (-5 *2 (-1111)))) ((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1203)) (-5 *5 (-569)) (-4 *1 (-668 *3 *6)) (-4 *3 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1258))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-170 (-569)))))) (-5 *2 (-635 (-635 (-289 (-955 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 (-170 (-569))))))) (-5 *2 (-635 (-635 (-289 (-955 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 (-569))))) (-5 *2 (-635 (-289 (-955 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 (-170 (-569)))))) (-5 *2 (-635 (-289 (-955 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842)))))) 
-(((*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-569)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *2 *4)) (-4 *4 (-138)) (-4 *2 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-1093)) (-5 *1 (-639 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-816 *2)) (-4 *2 (-844))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-852)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-964))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-410 (-1161 (-311 *3)))) (-4 *3 (-13 (-559) (-844))) (-5 *1 (-1121 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) (-121))) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-919) (-121))) (-5 *1 (-466))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-382)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-300))))) 
-(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *3 *2)) (-4 *2 (-13 (-433 *3) (-23) (-1039 (-569)) (-1039 (-1165)) (-897 (-1165)) (-162)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -4399 *3)))) (-5 *1 (-806 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -4399 (-645 *6 (-410 *6)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-645 *6 (-410 *6)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *1 (-257)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-493 *5 *6))) (-5 *3 (-493 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-1253 *6)) (-5 *1 (-623 *5 *6))))) 
-(((*1 *1 *2 *3) (-12 (-4 *4 (-366)) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-642 *4)) (-4 *8 (-922 *4 *7)) (-4 *1 (-537 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *2 (-973 *4)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1165)) (-4 *8 (-366)) (-5 *5 (-765)) (-4 *12 (-231 (-2946 *10) *5)) (-4 *13 (-642 *8)) (-4 *14 (-922 *8 *13)) (-4 *1 (-537 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-952 *8 *12 (-854 *10))) (-4 *2 (-973 *8)) (-4 *7 (-236 *14)) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *3 (-366)) (-4 *1 (-922 *3 *4)) (-4 *4 (-642 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-922 *3 *4)) (-4 *4 (-642 *3)))) ((*1 *1) (-5 *1 (-1077)))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-4 *5 (-366)) (-5 *2 (-174 *6)) (-5 *1 (-863 *5 *4 *6)) (-4 *4 (-1243 *5)) (-4 *6 (-1228 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-366)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-366)) (-5 *2 (-2 (|:| R (-681 *6)) (|:| A (-681 *6)) (|:| |Ainv| (-681 *6)))) (-5 *1 (-981 *6)) (-5 *3 (-681 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *2 (-635 (-1147))) (-5 *1 (-264))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-4 *6 (-13 (-559) (-1039 *5))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *6)))))) (-5 *1 (-1040 *5 *6))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-819))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *3) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-680 *3 *4 *5 *6)) (-4 *6 (-679 *3 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-691 *3)) (-4 *3 (-302))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *7))) (-5 *3 (-1161 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-903 *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *5))) (-5 *3 (-1161 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-906)) (-5 *1 (-904 *4 *5))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *3 (-897 *5)) (-5 *2 (-681 *3)) (-5 *1 (-683 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571))))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-816 *3)) (-4 *3 (-844))))) 
-(((*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4573 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1049)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1228 *2)) (-4 *4 (-679 *2 *5 *6))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)))) ((*1 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-559)) (-5 *1 (-972 *4 *2)) (-4 *2 (-1228 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-960 (-1111))) (-5 *1 (-348 *4))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1069 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1101 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-559)) (-4 *4 (-844)) (-5 *1 (-578 *4 *2)) (-4 *2 (-433 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-5 *2 (-635 *5)) (-5 *1 (-636 *5 *3)) (-4 *3 (-642 *5))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1193 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-1063 *2 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) ((*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-542))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)) (-4 *2 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2925 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *3) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-806 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2)))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-844)) (-4 *5 (-790)) (-4 *6 (-559)) (-4 *7 (-952 *6 *5 *3)) (-5 *1 (-467 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1039 (-410 (-569))) (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
-(((*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-765)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-765))))) 
-(((*1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-410 (-569))))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-542)) (-5 *1 (-541 *4)) (-4 *4 (-1199))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-822))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 *4) (-1004) (-1185))) (-5 *1 (-598 *4 *2 *3)) (-4 *3 (-13 (-433 (-170 *4)) (-1004) (-1185)))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-826))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-955 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
-(((*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 (-681 *4))) (-4 *4 (-173)) (-5 *2 (-1253 (-681 (-955 *4)))) (-5 *1 (-182 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-259 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-259 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-259 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *1 (-1186 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1186 *3)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1186 *2))) (-5 *1 (-1186 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1172 (-635 *4))) (-4 *4 (-844)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4))))) 
-(((*1 *2 *3 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-4 *5 (-351)) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -4079 (-681 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-681 *6))))) (-5 *1 (-508 *5 *6 *7)) (-5 *3 (-2 (|:| -4079 (-681 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-681 *6)))) (-4 *7 (-1228 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-900 *3))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-569)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-569)) (-5 *7 (-1147)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *8 (-1147)) (-5 *2 (-1195 (-928))) (-5 *1 (-314))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-659 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1165))))) 
-(((*1 *1 *1) (-4 *1 (-860)))) 
-(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-635 (-1161 *13))) (-5 *3 (-1161 *13)) (-5 *4 (-635 *12)) (-5 *5 (-635 *10)) (-5 *6 (-635 *13)) (-5 *7 (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| *13))))) (-5 *8 (-635 (-765))) (-5 *9 (-1253 (-635 (-1161 *10)))) (-4 *12 (-844)) (-4 *10 (-302)) (-4 *13 (-952 *10 *11 *12)) (-4 *11 (-790)) (-5 *1 (-699 *11 *12 *10 *13))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-1169)) (-5 *1 (-1168))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-635 (-121))) (-5 *7 (-681 (-216))) (-5 *8 (-681 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *6 (-1228 *5)) (-5 *2 (-1161 (-1161 *7))) (-5 *1 (-511 *5 *6 *4 *7)) (-4 *4 (-1228 *6))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))))) ((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1087 (-837 (-216)))) (-5 *1 (-300))))) 
-(((*1 *2 *3) (-12 (|has| *2 (-6 (-4573 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1049)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1228 *2)) (-4 *4 (-679 *2 *5 *6))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-681 (-569))) (-5 *5 (-121)) (-5 *7 (-681 (-216))) (-5 *3 (-569)) (-5 *6 (-216)) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *2 (-952 *3 *5 (-854 *4))) (-4 *5 (-231 (-2946 *4) (-765))) (-4 *6 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-5 *1 (-869 *3 *4 *5)) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-5 *1 (-870 *3 *4 *5)) (-4 *5 (-117))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-602 *3 *2)) (-4 *3 (-1093)) (-4 *3 (-844)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-664 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-1258))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-681 (-569))) (-5 *3 (-635 (-569))) (-5 *1 (-1103))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-635 (-121))) (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *7 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-819)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-681 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) ((*1 *1 *1) (-4 *1 (-1058)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-1228 *3)) (-5 *1 (-165 *3 *4 *2)) (-4 *2 (-1228 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *2 (-121)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-857 *3)) (-14 *3 (-862)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-859 *3)) (-4 *3 (-351)))) ((*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-862))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-902 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-590)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-590)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-635 (-902 (-569)))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-590))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-801 *4 *2)) (-4 *2 (-13 (-29 *4) (-1185) (-961)))))) 
-(((*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1049))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-1111)))) 
-(((*1 *1 *1) (-4 *1 (-39))) ((*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-5 *1 (-123))) ((*1 *1 *1) (-5 *1 (-172))) ((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) ((*1 *1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-765)) (-4 *5 (-454)) (-4 *5 (-844)) (-4 *5 (-1039 (-569))) (-4 *5 (-559)) (-5 *1 (-46 *5 *2)) (-4 *2 (-433 *5)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *5 (-608 $)) $)) (-15 -3524 ((-1116 *5 (-608 $)) $)) (-15 -3956 ($ (-1116 *5 (-608 $)))))))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *5 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-946 *3)))))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-946 *4)))) (-5 *3 (-121)) (-4 *4 (-1049)) (-4 *1 (-1125 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 *3)))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-121)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-946 *4)))) (-5 *3 (-121)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1125 *5)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-946 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1125 *5)) (-4 *5 (-1049))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1145 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 *6)) (-4 *6 (-952 *2 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *2)) (-4 *9 (-642 *2)) (-4 *4 (-922 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $)))))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-1090 *3)))) ((*1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| C (-681 *5)) (|:| |g| (-1253 *5))))) (-5 *1 (-981 *5)) (-5 *3 (-681 *5)) (-5 *4 (-1253 *5))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-289 (-830 *3))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-830 *3)) (-5 *1 (-628 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-830 (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-830 (-410 (-955 *5)))) (-5 *1 (-629 *5)) (-5 *3 (-410 (-955 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-454)) (-5 *2 (-830 *3)) (-5 *1 (-629 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1060)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1060))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-1253 *3)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3))))) 
-(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5))))) 
-(((*1 *2 *3) (-12 (-4 *2 (-366)) (-4 *2 (-842)) (-5 *1 (-948 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-765)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-638 *5)) (-4 *5 (-1049)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-846 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-681 *3)) (-4 *1 (-420 *3)) (-4 *3 (-173)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) ((*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1049)) (-5 *1 (-847 *2 *3)) (-4 *3 (-846 *2))))) 
-(((*1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1) (-5 *1 (-1111)))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-635 (-765))) (-5 *1 (-901 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 (-1161 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-955 (-569)))) (-5 *1 (-440)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-681 (-216))) (-5 *2 (-1097)) (-5 *1 (-753)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-681 (-569))) (-5 *2 (-1097)) (-5 *1 (-753))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-801 *4 *2)) (-4 *2 (-13 (-29 *4) (-1185) (-961))))) ((*1 *1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *2 *3) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-57)) (-5 *1 (-889 *4)) (-4 *4 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-730))))) 
-(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *2 (-236 *9)) (-4 *10 (-117))))) 
-(((*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-1224 *4 *2)) (-4 *2 (-1228 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-111 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-635 (-635 (-1161 (-1161 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-635 (-1161 (-1161 *4)))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1037)) (-5 *1 (-747))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *3 (-844)) (-5 *1 (-664 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
-(((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-608 *7)) (-4 *7 (-13 (-433 *6) (-23) (-1039 *2) (-1039 *5) (-897 *5) (-162))) (-5 *5 (-1165)) (-4 *6 (-1049)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-569)) (-5 *1 (-1026 *6 *7))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1037)) (-5 *1 (-747))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4572)) (-4 *1 (-376 *3)) (-4 *3 (-1199))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559)))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 *4) (|:| -2284 (-569))))) (-4 *4 (-1228 (-569))) (-5 *2 (-765)) (-5 *1 (-444 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-644 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *7 (-1228 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-809 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-645 *7 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *7 (-1228 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-809 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-644 (-410 *5))) (-4 *5 (-1228 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-809 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-645 *5 (-410 *5))) (-4 *5 (-1228 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-809 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1037)) (-5 *1 (-747))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-1093)) (-4 *2 (-897 *4)) (-5 *1 (-683 *4 *2 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-13 (-376 *4) (-10 -7 (-6 -4571))))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-235)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 (-1147))) (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *1 (-235)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3028 *1))) (-4 *1 (-1063 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *6 (-610 (-1165))) (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1154 (-635 (-955 *4)) (-635 (-289 (-955 *4))))) (-5 *1 (-515 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-826))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-243 *4 *5))) (-5 *2 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-681 (-216))) (-5 *6 (-121)) (-5 *7 (-681 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-681 (-311 (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-1161 (-1161 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-493 *4 *5)) (-5 *1 (-623 *4 *5))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-800))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-492))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *3)) (-4 *3 (-13 (-433 *4) (-1004)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) ((*1 *1) (-4 *1 (-551))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) ((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-635 (-1165))) (-4 *2 (-13 (-433 (-170 *5)) (-1004) (-1185))) (-4 *5 (-13 (-559) (-844))) (-5 *1 (-598 *5 *6 *2)) (-4 *6 (-13 (-433 *5) (-1004) (-1185)))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
-(((*1 *2) (-12 (-4 *3 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-635 *4)) (-5 *1 (-910 *3 *4 *5 *6)) (-4 *4 (-325 *3 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39)))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-4 *8 (-1228 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5)) (-5 *1 (-675 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *5 (-1208)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-635 (-955 *5))) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *4 (-341 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-4 *4 (-366)) (-5 *2 (-635 (-955 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-974)) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-852)) (-5 *1 (-36 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1165))))) 
-(((*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-329))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-1100 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-1123 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4571) (-6 -4572)))))) ((*1 *2 *2) (-12 (-4 *3 (-844)) (-4 *3 (-1199)) (-5 *1 (-1123 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4571) (-6 -4572))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-447 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
-(((*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-569)) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1039 *2) (-1039 *4) (-897 *4) (-162)))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| |gen| *3) (|:| -4148 *4)))) (-4 *3 (-1097)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-641 *3 *4 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-922)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1053))))) 
+(((*1 *2 *3 *4) (-12 (-4 *6 (-561)) (-4 *2 (-955 *3 *5 *4)) (-5 *1 (-727 *5 *4 *6 *2)) (-5 *3 (-412 (-958 *6))) (-4 *5 (-793)) (-4 *4 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)))))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-2 (|:| |num| (-1258 *4)) (|:| |den| *4)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-384)) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-257))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1169)) (-5 *1 (-130))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-1043 (-412 *2)))) (-5 *2 (-571)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3026 (-782 *3)) (|:| |coef1| (-782 *3)) (|:| |coef2| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -3026 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1067 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-958 (-571))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-854)))) ((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-996)))) ((*1 *2 *1) (-12 (-4 *1 (-1016 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-1097) (-39))) (-5 *1 (-1132 *2 *3)) (-4 *3 (-13 (-1097) (-39)))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-768)) (-4 *4 (-561)) (-5 *1 (-976 *4 *2)) (-4 *2 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3533 (-684 (-412 (-958 *4)))) (|:| |vec| (-637 (-412 (-958 *4)))) (|:| -3241 (-768)) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571))))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *2 (-2 (|:| |partsol| (-1258 (-412 (-958 *4)))) (|:| -1899 (-637 (-1258 (-412 (-958 *4))))))) (-5 *1 (-929 *4 *5 *6 *7)) (-4 *7 (-955 *4 *6 *5))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-456)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-641 *2 *3 *4)) (-4 *2 (-1097)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-50 (-1151) (-771))) (-5 *1 (-123))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-544) (-637 (-544)))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-544) (-637 (-544)))) (-5 *1 (-123))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-1053) (-847))) (-5 *1 (-214 *3 *4)) (-14 *4 (-637 (-1169)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-905 (-571))) (-5 *4 (-571)) (-5 *2 (-684 *4)) (-5 *1 (-1034 *5)) (-4 *5 (-1053)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-684 (-571))) (-5 *1 (-1034 *4)) (-4 *4 (-1053)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-905 (-571)))) (-5 *4 (-571)) (-5 *2 (-637 (-684 *4))) (-5 *1 (-1034 *5)) (-4 *5 (-1053)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-571)))) (-5 *2 (-637 (-684 (-571)))) (-5 *1 (-1034 *4)) (-4 *4 (-1053))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -2643 (-571)) (|:| -2842 (-637 *3)))) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-352)) (-5 *2 (-964 (-1115))) (-5 *1 (-349 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2 *3) (-12 (-5 *3 (-978)) (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-497 *3)) (-4 *3 (-847)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1139 *3)) (-4 *3 (-1097))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-367))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-121)) (-5 *1 (-123))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1151)) (-5 *3 (-771)) (-5 *1 (-123))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-646 *4)) (-4 *4 (-341 *5 *6 *7)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-806 *5 *6 *7 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-297)))) ((*1 *1 *1) (-4 *1 (-297))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855)))) ((*1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| *3) (|:| -4421 (-571))))))) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| *3) (|:| -4421 (-571))))))) (-5 *1 (-1222 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-1073 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-1105 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1097)) (-4 *2 (-847)) (-5 *1 (-122 *2))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-561)) (-4 *3 (-173)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-683 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5))))) 
+(((*1 *1 *1) (-5 *1 (-121)))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-571)) (-5 *3 (-964 (-216))) (-5 *1 (-115))))) 
+(((*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-637 *3)) (-5 *5 (-922)) (-4 *3 (-1233 *4)) (-4 *4 (-302)) (-5 *1 (-465 *4 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-693)))) ((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-693))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1171 (-412 (-571)))) (-5 *1 (-183)) (-5 *3 (-571))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-561)) (-4 *4 (-847)) (-5 *1 (-580 *4 *2)) (-4 *2 (-435 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-371 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *1) (-4 *1 (-623))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-730 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-721))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-571)) (-5 *3 (-964 (-170 (-384)))) (-5 *1 (-115))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1115)) (-5 *4 (-964 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-367)) (-5 *1 (-1031 *3 *2)) (-4 *2 (-649 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-5 *2 (-2 (|:| -3192 *3) (|:| -4547 (-637 *5)))) (-5 *1 (-1031 *5 *3)) (-5 *4 (-637 *5)) (-4 *3 (-649 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1067 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-367)) (-5 *2 (-637 *5)) (-5 *1 (-638 *5 *3)) (-4 *3 (-644 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-1 *6 (-637 *6)))) (-4 *5 (-43 (-412 (-571)))) (-4 *6 (-1248 *5)) (-5 *2 (-637 *6)) (-5 *1 (-1250 *5 *6))))) 
+(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *3 (-561))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-170 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1053)) (-4 *3 (-847)) (-4 *4 (-263 *3)) (-4 *5 (-793))))) 
+(((*1 *2) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-109))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1181 *4 *5)) (-4 *4 (-1097)) (-4 *5 (-1097))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1203)) (-4 *5 (-1203)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-233 *6 *7)) (-14 *6 (-768)) (-4 *7 (-1203)) (-4 *5 (-1203)) (-5 *2 (-233 *6 *5)) (-5 *1 (-232 *6 *7 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1203)) (-4 *5 (-1203)) (-4 *2 (-378 *5)) (-5 *1 (-376 *6 *4 *5 *2)) (-4 *4 (-378 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1097)) (-4 *5 (-1097)) (-4 *2 (-430 *5)) (-5 *1 (-428 *6 *4 *5 *2)) (-4 *4 (-430 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-637 *6)) (-4 *6 (-1203)) (-4 *5 (-1203)) (-5 *2 (-637 *5)) (-5 *1 (-635 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-964 *6)) (-4 *6 (-1203)) (-4 *5 (-1203)) (-5 *2 (-964 *5)) (-5 *1 (-963 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1149 *6)) (-4 *6 (-1203)) (-4 *3 (-1203)) (-5 *2 (-1149 *3)) (-5 *1 (-1147 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1258 *6)) (-4 *6 (-1203)) (-4 *5 (-1203)) (-5 *2 (-1258 *5)) (-5 *1 (-1257 *6 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-558 *3)) (-4 *3 (-13 (-409) (-1189))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-845)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1069 *4 *3)) (-4 *4 (-13 (-845) (-367))) (-4 *3 (-1233 *4)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261)))) ((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-1261))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-905 *3))))) 
+(((*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4602 "*"))) (-4 *5 (-378 *2)) (-4 *6 (-378 *2)) (-4 *2 (-1053)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1233 *2)) (-4 *4 (-682 *2 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1101)) (-5 *2 (-1263)) (-5 *1 (-102))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-571)) (-5 *4 (-1 (-1263) (-1101))) (-5 *2 (-1263)) (-5 *1 (-102))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-367)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1248 *3))))) 
+(((*1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *1 *1) (-4 *1 (-1131))) ((*1 *1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-544))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-257))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184))))) 
+(((*1 *1 *1 *1) (-5 *1 (-163))) ((*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-163))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-99))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-561)) (-5 *2 (-2 (|:| -3533 (-684 *5)) (|:| |vec| (-1258 (-637 (-922)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-922)) (-4 *3 (-649 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-375 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-684 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1233 *4)) (-5 *2 (-684 *4)) (-5 *1 (-413 *3 *4 *5)) (-4 *3 (-414 *4 *5)))) ((*1 *2) (-12 (-4 *1 (-414 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-684 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1258 (-637 *3))) (-4 *4 (-302)) (-5 *2 (-637 *3)) (-5 *1 (-460 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3026 (-782 *3)) (|:| |coef1| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-561)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-2 (|:| -3026 *1) (|:| |coef1| *1))) (-4 *1 (-1067 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-368 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-5 *2 (-1151))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-571)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1203)) (-4 *3 (-378 *4)) (-4 *5 (-378 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1151)) (-5 *1 (-57))))) 
+(((*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *4)) (-4 *4 (-352)) (-5 *2 (-1165 *4)) (-5 *1 (-535 *4))))) 
+(((*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 (-684 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-768)) (-4 *2 (-13 (-561) (-456))) (-5 *1 (-348 *2 *4)) (-4 *4 (-52 *2 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-983 *3 *4 *2 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-1067 *3 *4 *2)) (-4 *2 (-847)))) ((*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-571)) (-5 *2 (-121)) (-5 *1 (-557))))) 
+(((*1 *2 *3 *4) (-12 (-4 *4 (-367)) (-5 *2 (-637 (-1149 *4))) (-5 *1 (-281 *4 *5)) (-5 *3 (-1149 *4)) (-4 *5 (-1248 *4))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-384))) (-5 *1 (-1045)) (-5 *3 (-384))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-367) (-1189)))))) 
+(((*1 *2) (-12 (-4 *3 (-561)) (-5 *2 (-637 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-422 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-995 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *3)) (-4 *3 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *8 (-1067 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1104 *5 *6 *7 *8 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165 *7)) (-4 *7 (-955 *6 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-5 *2 (-1165 *6)) (-5 *1 (-319 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1136)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-5 *1 (-1065)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-99))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-637 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-422 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $)))))))))) 
+(((*1 *2 *2) (-12 (-4 *2 (-173)) (-4 *2 (-1053)) (-5 *1 (-709 *2 *3)) (-4 *3 (-640 *2)))) ((*1 *2 *2) (-12 (-5 *1 (-834 *2)) (-4 *2 (-173)) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-995 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1151)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-1263)) (-5 *1 (-1104 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -1475 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *4)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *7 (-231 (-4001 *5) (-768))) (-5 *2 (-637 (-637 (-768)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-325 *4 *7)) (-4 *8 (-117))))) 
+(((*1 *2 *2 *2) (-12 (-4 *2 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *1 (-1123 *3 *2)) (-4 *3 (-1233 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1012))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1233 (-53)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *2 (-435 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1043 *4)) (-4 *3 (-13 (-847) (-561)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1165 *2)) (-4 *2 (-435 *4)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-36 *4 *2))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-684 *1)) (-4 *1 (-352)) (-5 *2 (-1258 *1)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-684 *1)) (-4 *1 (-149)) (-4 *1 (-909)) (-5 *2 (-1258 *1))))) 
+(((*1 *2) (-12 (-5 *2 (-637 (-768))) (-5 *1 (-1261)))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-768))) (-5 *1 (-1261))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1149 (-637 (-571)))) (-5 *1 (-883)) (-5 *3 (-571))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-747))))) 
+(((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-373)) (-4 *2 (-367)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1258 *4)) (-5 *1 (-535 *4)) (-4 *4 (-352))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-5 *2 (-637 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-5 *2 (-3 (-637 *8) "failed" "Infinite" (-571))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *8 (-977 *5))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *1 (-511 *3 *4 *5)) (-4 *5 (-414 *3 *4))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-983 *3 *4 *2 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *5 (-1067 *3 *4 *2))))) 
+(((*1 *2 *3) (-12 (-4 *2 (-1233 *4)) (-5 *1 (-809 *4 *2 *3 *5)) (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *3 (-649 *2)) (-4 *5 (-649 (-412 *2)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-151))) (-5 *2 (-637 *3)) (-5 *1 (-1227 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-216)) (-5 *4 (-571)) (-5 *5 (-1151)) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1041)) (-5 *1 (-747))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *6) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 *6)) (-4 *6 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *7) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 *7)) (-4 *7 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 *8) (|:| -3347 (-768)))) (-637 *6) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 *6)) (-4 *6 (-367)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-847) (-561))) (-14 *10 (-1 *6 *9)) (-5 *2 (-637 (-2 (|:| -3584 *8) (|:| -3347 (-768))))) (-5 *1 (-489 *6 *7 *8 *9 *10 *11)) (-4 *7 (-456)) (-4 *8 (-13 (-435 (-571)) (-561) (-1043 *9) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 *9) (|:| -3347 (-768)))) (-637 *7) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 *7)) (-4 *7 (-367)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-847) (-561))) (-14 *11 (-1 *7 *10)) (-5 *2 (-637 (-2 (|:| -3584 *9) (|:| -3347 (-768))))) (-5 *1 (-489 *7 *8 *9 *10 *11 *12)) (-4 *8 (-456)) (-4 *9 (-13 (-435 (-571)) (-561) (-1043 *10) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-738 *6 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *6 (-571)))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *3 (-637 (-412 (-739 *6 (-571))))) (-14 *6 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *6 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-637 (-1 (-637 (-2 (|:| -3584 (-738 *7 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *7 (-571)))) (-637 (-468))))) (-5 *5 (-637 (-1169))) (-5 *6 (-637 (-468))) (-5 *3 (-637 (-412 (-739 *7 (-571))))) (-14 *7 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *7 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *7))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1165 *1)) (-5 *3 (-1169)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1165 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-958 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1169)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-847) (-561))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-847) (-561)))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-669 (-216))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-747))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-637 (-958 *3))) (-4 *3 (-456)) (-5 *1 (-364 *3 *4)) (-14 *4 (-637 (-1169))))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-637 (-780 *3 (-857 *4)))) (-4 *3 (-456)) (-14 *4 (-637 (-1169))) (-5 *1 (-622 *3 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-571))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571))))) (-14 *4 (-637 (-1169))) (-14 *5 (-768)) (-5 *2 (-121)) (-5 *1 (-518 *4 *5))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-571)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-571)) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-847)) (-4 *5 (-793)) (-4 *6 (-561)) (-4 *7 (-955 *6 *5 *3)) (-5 *1 (-469 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1043 (-412 (-571))) (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $)))))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-365 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-768)) (-5 *1 (-391 *4)) (-4 *4 (-1097)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-4 *2 (-23)) (-5 *1 (-641 *4 *2 *5)) (-4 *4 (-1097)) (-14 *5 *2))) ((*1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *2 (-768)) (-5 *1 (-819 *4)) (-4 *4 (-847))))) 
+(((*1 *2) (-12 (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-768)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-768))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-932))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-1165 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1067 *6 *7 *8)) (-4 *6 (-561)) (-4 *7 (-793)) (-4 *8 (-847)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1601 (-637 *9)))) (-5 *3 (-637 *9)) (-4 *1 (-1197 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1601 (-637 *8)))) (-5 *3 (-637 *8)) (-4 *1 (-1197 *5 *6 *7 *8))))) 
+(((*1 *1 *1) (-4 *1 (-553)))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-922)) (-5 *2 (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115)))))) (-5 *1 (-349 *4)) (-4 *4 (-352))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 (-1258 *4))) (-4 *4 (-1053)) (-5 *2 (-684 *4)) (-5 *1 (-1035 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-326 *3)) (-4 *3 (-1203)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-528 *3 *4)) (-4 *3 (-1203)) (-14 *4 (-571))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-148)))) ((*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-148))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-637 *3))))) 
+(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-949 *5)) (-5 *3 (-768)) (-4 *5 (-1053)) (-5 *1 (-1157 *4 *5)) (-14 *4 (-922))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1136)) (-5 *3 (-571)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-649 *3)) (-4 *3 (-1053)) (-4 *3 (-367)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-768)) (-5 *4 (-1 *5 *5)) (-4 *5 (-367)) (-5 *1 (-652 *5 *2)) (-4 *2 (-649 *5))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| -3653 (-637 (-571))) (|:| |cols| (-637 (-571))))) (-5 *4 (-684 *12)) (-5 *5 (-637 (-412 (-958 *9)))) (-5 *6 (-637 (-637 *12))) (-5 *7 (-768)) (-5 *8 (-571)) (-4 *9 (-13 (-302) (-151))) (-4 *12 (-955 *9 *11 *10)) (-4 *10 (-13 (-847) (-612 (-1169)))) (-4 *11 (-793)) (-5 *2 (-2 (|:| |eqzro| (-637 *12)) (|:| |neqzro| (-637 *12)) (|:| |wcond| (-637 (-958 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1258 (-412 (-958 *9)))) (|:| -1899 (-637 (-1258 (-412 (-958 *9))))))))) (-5 *1 (-929 *9 *10 *11 *12))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-302)) (-5 *2 (-768)) (-5 *1 (-460 *5 *3))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-882 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 (-637 (-2 (|:| -2139 *4) (|:| -1755 (-1115)))))) (-4 *4 (-352)) (-5 *2 (-684 *4)) (-5 *1 (-349 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (|has| *2 (-6 (-4602 "*"))) (-4 *2 (-1053)))) ((*1 *2 *3) (-12 (-4 *4 (-378 *2)) (-4 *5 (-378 *2)) (-4 *2 (-173)) (-5 *1 (-683 *2 *4 *5 *3)) (-4 *3 (-682 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1118 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4602 "*"))) (-4 *2 (-1053))))) 
+(((*1 *1 *1) (-4 *1 (-654))) ((*1 *1 *1) (-5 *1 (-1115)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-384)) (-5 *1 (-198))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-949 *4))) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-746))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-1182))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-668 *3)) (-4 *3 (-1203)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-4 *4 (-367)) (-5 *2 (-768)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-768))))) 
+(((*1 *1 *1 *1) (-4 *1 (-553)))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1107)) (-5 *3 (-571))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-4 *3 (-1053)) (-4 *1 (-682 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1 *2) (-12 (-4 *2 (-1053)) (-4 *1 (-1118 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *6 (-3 (|:| |fn| (-393)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-91 FCN)))) (-5 *3 (-216)) (-5 *2 (-1041)) (-5 *1 (-746))))) 
+(((*1 *2 *3 *2 *2) (-12 (-5 *2 (-637 (-495 *4 *5))) (-5 *3 (-857 *4)) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *1 (-625 *4 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-847) (-612 (-1169)))) (-4 *5 (-793)) (-5 *1 (-929 *3 *4 *5 *2)) (-4 *2 (-955 *3 *5 *4))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *2 (-571)) (-5 *1 (-576 *3)) (-4 *3 (-1043 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-1091 (-412 (-571))))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-1091 (-384)))) (-5 *1 (-257))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-544)) (-5 *1 (-543 *4)) (-4 *4 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-384)) (-5 *1 (-786))))) 
+(((*1 *1 *2 *3 *4) (-12 (-14 *5 (-637 (-1169))) (-4 *2 (-173)) (-4 *4 (-231 (-4001 *5) (-768))) (-14 *6 (-1 (-121) (-2 (|:| -1755 *3) (|:| -2154 *4)) (-2 (|:| -1755 *3) (|:| -2154 *4)))) (-5 *1 (-466 *5 *2 *3 *4 *6 *7)) (-4 *3 (-847)) (-4 *7 (-955 *2 *4 (-857 *5)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-2 (|:| |start| *3) (|:| -2842 (-423 *3)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-825))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)) (-4 *3 (-173))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-13 (-845) (-367))) (-5 *2 (-121)) (-5 *1 (-1063 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-53))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-53))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-4 (-53) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-13 (-352) (-612 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-487 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)) (-4 *4 (-1043 *3)) (-4 *4 (-13 (-352) (-612 (-571)))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-571)))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-412 (-571)) (-1043 *3)) (-4 (-571) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-367)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768))))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 (-468))) (-4 *5 (-367)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-847) (-561))) (-14 *9 (-1 *5 *8)) (-5 *2 (-637 (-2 (|:| -3584 *7) (|:| -3347 (-768))))) (-5 *1 (-489 *5 *6 *7 *8 *9 *10)) (-4 *6 (-456)) (-4 *7 (-13 (-435 (-571)) (-561) (-1043 *8) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1043 *3)) (-4 *5 (-1043 *3)) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 *3) (-1043 (-571)) (-162) (-900 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 (-571))))) (-5 *4 (-637 (-468))) (-5 *2 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768))))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-4 (-412 (-958 (-571))) (-1043 *3)) (-4 (-958 (-571)) (-1043 *3)) (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-739 *4 (-571))))) (-14 *4 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-739 *5 (-571))))) (-5 *4 (-637 (-468))) (-14 *5 (-1169)) (-5 *2 (-637 (-2 (|:| -3584 (-738 *5 (-571))) (|:| -3347 (-768))))) (-5 *1 (-491 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 *3)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1215 *2)) (-4 *2 (-1053)))) ((*1 *1 *1) (-12 (-5 *1 (-1249 *2 *3 *4)) (-4 *2 (-1053)) (-14 *3 (-1169)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1253 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-1169))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-976 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847))) (-4 *2 (-13 (-435 *4) (-1008) (-1189))) (-5 *1 (-600 *4 *2 *3)) (-4 *3 (-13 (-435 (-170 *4)) (-1008) (-1189)))))) 
+(((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-159))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384)))) (-5 *1 (-803))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-768)) (-4 *6 (-1097)) (-4 *7 (-900 *6)) (-5 *2 (-684 *7)) (-5 *1 (-686 *6 *7 *3 *4)) (-4 *3 (-378 *7)) (-4 *4 (-13 (-378 *6) (-10 -7 (-6 -4600))))))) 
+(((*1 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-829))))) 
+(((*1 *1) (-4 *1 (-352))) ((*1 *2 *3) (-12 (-5 *3 (-637 *5)) (-4 *5 (-435 *4)) (-4 *4 (-13 (-561) (-847) (-151))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-637 (-1165 *5))) (|:| |prim| (-1165 *5)))) (-5 *1 (-437 *4 *5)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-561) (-847) (-151))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1165 *3)) (|:| |pol2| (-1165 *3)) (|:| |prim| (-1165 *3)))) (-5 *1 (-437 *4 *3)) (-4 *3 (-27)) (-4 *3 (-435 *4)))) ((*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-958 *5)) (-5 *4 (-1169)) (-4 *5 (-13 (-367) (-151))) (-5 *2 (-2 (|:| |coef1| (-571)) (|:| |coef2| (-571)) (|:| |prim| (-1165 *5)))) (-5 *1 (-966 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-637 (-1169))) (-4 *5 (-13 (-367) (-151))) (-5 *2 (-2 (|:| -4501 (-637 (-571))) (|:| |poly| (-637 (-1165 *5))) (|:| |prim| (-1165 *5)))) (-5 *1 (-966 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-958 *6))) (-5 *4 (-637 (-1169))) (-5 *5 (-1169)) (-4 *6 (-13 (-367) (-151))) (-5 *2 (-2 (|:| -4501 (-637 (-571))) (|:| |poly| (-637 (-1165 *6))) (|:| |prim| (-1165 *6)))) (-5 *1 (-966 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874))))) 
+(((*1 *1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-855))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-981)) (-5 *2 (-1091 (-216)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-121)) (-5 *1 (-467))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-468))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-172)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-958 (-216))) (-5 *2 (-311 (-384))) (-5 *1 (-300))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-637 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-768)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-793)) (-4 *6 (-955 *4 *3 *5)) (-4 *4 (-456)) (-4 *5 (-847)) (-5 *1 (-453 *4 *3 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *2 (-571)))) ((*1 *2 *1) (-12 (-4 *1 (-1056 *3 *4 *5 *6 *7)) (-4 *5 (-1053)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-571))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-468))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-958 (-216))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-840 (-384))) (-5 *2 (-840 (-216))) (-5 *1 (-300))))) 
+(((*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1045))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1215 *2)) (-4 *2 (-1053)))) ((*1 *1 *1) (-12 (-5 *1 (-1249 *2 *3 *4)) (-4 *2 (-1053)) (-14 *3 (-1169)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1253 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-1169))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) ((*1 *1 *1) (-12 (-5 *1 (-1279 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-843))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-439)) (-4 *5 (-847)) (-5 *1 (-1103 *5 *4)) (-4 *4 (-435 *5))))) 
+(((*1 *1) (-5 *1 (-476)))) 
+(((*1 *1 *2) (-12 (-5 *1 (-1032 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-637 (-768)))) (-5 *1 (-904 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-468))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-4 *3 (-900 *5)) (-5 *2 (-1258 *3)) (-5 *1 (-686 *5 *3 *6 *4)) (-4 *6 (-378 *3)) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4600))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-824))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-847)) (-5 *2 (-637 (-637 *4))) (-5 *1 (-1175 *4)) (-5 *3 (-637 *4))))) 
+(((*1 *1 *1) (-4 *1 (-1062))) ((*1 *1 *1 *2 *2) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-792))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1224 (-571))) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-643 *3)) (-4 *3 (-1203))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-840 *3))) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-3 (-840 *3) (-2 (|:| |leftHandLimit| (-3 (-840 *3) "failed")) (|:| |rightHandLimit| (-3 (-840 *3) "failed"))) "failed")) (-5 *1 (-630 *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 *3)) (-5 *5 (-1151)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-840 *3)) (-5 *1 (-630 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-840 (-958 *5)))) (-4 *5 (-456)) (-5 *2 (-3 (-840 (-412 (-958 *5))) (-2 (|:| |leftHandLimit| (-3 (-840 (-412 (-958 *5))) "failed")) (|:| |rightHandLimit| (-3 (-840 (-412 (-958 *5))) "failed"))) "failed")) (-5 *1 (-631 *5)) (-5 *3 (-412 (-958 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-412 (-958 *5)))) (-5 *3 (-412 (-958 *5))) (-4 *5 (-456)) (-5 *2 (-3 (-840 *3) (-2 (|:| |leftHandLimit| (-3 (-840 *3) "failed")) (|:| |rightHandLimit| (-3 (-840 *3) "failed"))) "failed")) (-5 *1 (-631 *5)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 (-412 (-958 *6)))) (-5 *5 (-1151)) (-5 *3 (-412 (-958 *6))) (-4 *6 (-456)) (-5 *2 (-840 *3)) (-5 *1 (-631 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *5 (-373)) (-5 *2 (-768))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-684 (-412 *4)))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *6)))) (-5 *4 (-1032 (-840 (-571)))) (-5 *5 (-1169)) (-5 *7 (-412 (-571))) (-4 *6 (-1053)) (-5 *2 (-855)) (-5 *1 (-596 *6))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-3 (-121) (-637 *1))) (-4 *1 (-1072 *4 *5 *6 *3))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 *5))) (-5 *3 (-1165 *5)) (-4 *5 (-167 *4)) (-4 *4 (-553)) (-5 *1 (-153 *4 *5)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-1233 *4)) (-4 *4 (-352)) (-5 *1 (-361 *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 (-571)))) (-5 *3 (-1165 (-571))) (-5 *1 (-579)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-637 (-1165 *1))) (-5 *3 (-1165 *1)) (-4 *1 (-909))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-1053)) (-5 *2 (-1258 *4)) (-5 *1 (-1170 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-5 *2 (-1258 *3)) (-5 *1 (-1170 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1203)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4601)) (-4 *3 (-1097)) (-5 *1 (-96 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4601)) (-4 *3 (-1097)) (-5 *1 (-213 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4601)) (-4 *3 (-847)) (-5 *1 (-497 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4601)) (-4 *1 (-502 *3)) (-4 *3 (-1203)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4601)) (-4 *3 (-1097)) (-5 *1 (-1006 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4601)) (-4 *3 (-1097)) (-5 *1 (-1139 *3))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-476)) (-5 *4 (-922)) (-5 *2 (-1263)) (-5 *1 (-1259))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *3 (-955 *5 *7 (-857 *6))) (-4 *7 (-231 (-4001 *6) (-768))) (-4 *8 (-977 *5)) (-4 *9 (-644 *5)) (-4 *10 (-925 *5 *9)) (-4 *11 (-539 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-259 *11))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-544)) (-5 *1 (-543 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-544))))) 
+(((*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *3 (-561))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -2382 (-637 (-855))) (|:| -3933 (-637 (-855))) (|:| |presup| (-637 (-855))) (|:| -3350 (-637 (-855))) (|:| |args| (-637 (-855))))) (-5 *1 (-1169)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-637 (-855)))) (-5 *1 (-1169))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-610 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4))) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *4 *2))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-539 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-5 *1 (-565 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-977 *4)) (-4 *3 (-236 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-927 *5))) (-5 *4 (-637 (-243 *6 *5))) (-4 *5 (-352)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-243 *6 (-862 *5)))) (-5 *1 (-872 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-637 (-243 *5 *4))) (-5 *3 (-237 (-926 *4))) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *1 (-873 *4 *5 *6)) (-4 *6 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *5 (-1213)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-5 *2 (-637 (-958 *5))) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *4 (-341 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-4 *4 (-367)) (-5 *2 (-637 (-958 *4)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-302)) (-4 *6 (-378 *5)) (-4 *4 (-378 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -1899 (-637 *4)))) (-5 *1 (-1119 *5 *6 *4 *3)) (-4 *3 (-682 *5 *6 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-1169))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-978)) (-5 *1 (-905 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-435 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-637 (-892 *3))) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-955 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1053)) (-4 *7 (-955 *6 *4 *5)) (-5 *2 (-637 *3)) (-5 *1 (-956 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-367) (-10 -8 (-15 -3942 ($ *7)) (-15 -4474 (*7 $)) (-15 -4479 (*7 $)))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *5)) (-4 *5 (-435 *4)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-855)) (-5 *1 (-36 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-1258 (-637 (-2 (|:| -2139 (-910 *3)) (|:| -1755 (-1115)))))) (-5 *1 (-354 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922)))) ((*1 *2) (-12 (-5 *2 (-1258 (-637 (-2 (|:| -2139 *3) (|:| -1755 (-1115)))))) (-5 *1 (-355 *3 *4)) (-4 *3 (-352)) (-14 *4 (-3 (-1165 *3) *2)))) ((*1 *2) (-12 (-5 *2 (-1258 (-637 (-2 (|:| -2139 *3) (|:| -1755 (-1115)))))) (-5 *1 (-356 *3 *4)) (-4 *3 (-352)) (-14 *4 (-922))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-561)) (-4 *7 (-955 *3 *5 *6)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *8) (|:| |radicand| *8))) (-5 *1 (-959 *5 *6 *3 *7 *8)) (-5 *4 (-768)) (-4 *8 (-13 (-367) (-10 -8 (-15 -4474 (*7 $)) (-15 -4479 (*7 $)) (-15 -3942 ($ *7)))))))) 
+(((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571))))) ((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-983 *3 *4 *2 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *5 (-1067 *3 *4 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-2 (|:| -4080 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -4279 (-2 (|:| |stiffness| (-384)) (|:| |stability| (-384)) (|:| |expense| (-384)) (|:| |accuracy| (-384)) (|:| |intermediateResults| (-384))))))) (-5 *1 (-803))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1169))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1062)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-637 (-1169))) (-14 *3 (-637 (-1169))) (-4 *4 (-392)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)) (-4 *2 (-1062)))) ((*1 *1 *1) (-4 *1 (-845))) ((*1 *2 *1) (-12 (-4 *1 (-1003 *2)) (-4 *2 (-173)) (-4 *2 (-1062)))) ((*1 *1 *1) (-4 *1 (-1062))) ((*1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1230 *5 *4)) (-4 *4 (-456)) (-4 *4 (-820)) (-14 *5 (-1169)) (-5 *2 (-571)) (-5 *1 (-1111 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1101)) (-5 *1 (-329))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1258 *4)) (-4 *4 (-422 *3)) (-4 *3 (-302)) (-4 *3 (-561)) (-5 *1 (-48 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-367)) (-5 *2 (-1258 *1)) (-4 *1 (-328 *4)))) ((*1 *2) (-12 (-4 *3 (-367)) (-5 *2 (-1258 *1)) (-4 *1 (-328 *3)))) ((*1 *2) (-12 (-4 *3 (-173)) (-4 *4 (-1233 *3)) (-5 *2 (-1258 *1)) (-4 *1 (-414 *3 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-5 *2 (-1258 *6)) (-5 *1 (-418 *3 *4 *5 *6)) (-4 *6 (-13 (-414 *4 *5) (-1043 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-5 *2 (-1258 *6)) (-5 *1 (-419 *3 *4 *5 *6 *7)) (-4 *6 (-414 *4 *5)) (-14 *7 *2))) ((*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1258 *1)) (-4 *1 (-422 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1258 (-1258 *4))) (-5 *1 (-535 *4)) (-4 *4 (-352))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *1 (-995 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-637 *7)) (-4 *7 (-1072 *3 *4 *5 *6)) (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *1 (-1104 *3 *4 *5 *6 *7))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-5 *2 (-2 (|:| -4080 *3) (|:| -4279 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-637 *10)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-922)) (-5 *5 (-637 *9)) (-4 *9 (-977 *6)) (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *4 (-955 *6 *8 (-857 *7))) (-4 *8 (-231 (-4001 *7) (-768))) (-4 *10 (-644 *6)) (-4 *11 (-925 *6 *10)) (-4 *12 (-236 *11)) (-4 *13 (-539 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1263)) (-5 *1 (-559 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-259 *13)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-637 (-927 *4))) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-637 (-926 *4))) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1203)) (-5 *1 (-1127 *4 *2)) (-4 *2 (-13 (-604 (-571) *4) (-10 -7 (-6 -4600) (-6 -4601)))))) ((*1 *2 *2) (-12 (-4 *3 (-847)) (-4 *3 (-1203)) (-5 *1 (-1127 *3 *2)) (-4 *2 (-13 (-604 (-571) *3) (-10 -7 (-6 -4600) (-6 -4601))))))) 
+(((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-768)) (-5 *4 (-922)) (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-768)) (-5 *4 (-922)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-637 *1)) (-4 *1 (-1072 *4 *5 *6 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261)))) ((*1 *2 *2) (-12 (-5 *2 (-874)) (-5 *1 (-1261))))) 
+(((*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-855) (-855) (-855))) (-5 *4 (-571)) (-5 *2 (-855)) (-5 *1 (-641 *5 *6 *7)) (-4 *5 (-1097)) (-4 *6 (-23)) (-14 *7 *6))) ((*1 *2 *1 *2) (-12 (-5 *2 (-855)) (-5 *1 (-851 *3 *4 *5)) (-4 *3 (-1053)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-855)))) ((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-855)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-855)))) ((*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-855)) (-5 *1 (-1165 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-4 *1 (-735 *4 *5)) (-4 *4 (-1053)) (-4 *5 (-847)) (-5 *2 (-958 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-735 *4 *5)) (-4 *4 (-1053)) (-4 *5 (-847)) (-5 *2 (-958 *4)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-768)) (-4 *1 (-1248 *4)) (-4 *4 (-1053)) (-5 *2 (-958 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-4 *1 (-1248 *4)) (-4 *4 (-1053)) (-5 *2 (-958 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-449 *3)) (-4 *3 (-1053))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-4 *6 (-325 *5 *7)) (-4 *7 (-231 *8 (-768))) (-14 *8 (-768)) (-4 *5 (-367)) (-5 *2 (-121)) (-5 *1 (-934 *5 *6 *7 *8 *4)) (-4 *4 (-977 *5))))) 
+(((*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-571)) (-5 *4 (-1169)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *1 (-1030 *6 *5)) (-4 *5 (-13 (-435 *6) (-23) (-1043 *2) (-1043 *4) (-900 *4) (-162)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 *3)) (-5 *1 (-346 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1189) (-435 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-412 (-571))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-412 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-412 (-571)))) (-5 *4 (-289 *8)) (-5 *5 (-1224 (-412 (-571)))) (-5 *6 (-412 (-571))) (-4 *8 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-5 *6 (-1224 (-412 (-571)))) (-5 *7 (-412 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *8))) (-4 *8 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *8 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-412 (-571))) (-4 *4 (-1053)) (-4 *1 (-1240 *4 *3)) (-4 *3 (-1217 *4))))) 
 (((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-635 *7))) (-4 *1 (-1193 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| |deg| (-765)) (|:| -4399 *5)))) (-5 *1 (-806 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5)))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-681 *6))) (-5 *4 (-121)) (-5 *5 (-569)) (-5 *2 (-681 *6)) (-5 *1 (-1031 *6)) (-4 *6 (-366)) (-4 *6 (-1049)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-681 *4))) (-5 *2 (-681 *4)) (-5 *1 (-1031 *4)) (-4 *4 (-366)) (-4 *4 (-1049)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-569)) (-5 *2 (-681 *5)) (-5 *1 (-1031 *5)) (-4 *5 (-366)) (-4 *5 (-1049))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-2 (|:| -4433 (-765)) (|:| -3659 *8))) (-5 *1 (-908 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-2 (|:| -4433 (-765)) (|:| -3659 *6))) (-5 *1 (-909 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-837 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 *4)) (-5 *1 (-264))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-826))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-819)) (-5 *2 (-57)) (-5 *1 (-826))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-637 *8))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-641 *3 *4 *5)) (-4 *3 (-1097)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-637 *7))) (-4 *1 (-1197 *4 *5 *6 *7)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1189) (-435 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-13 (-456) (-847) (-1043 *4) (-633 *4))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-1043 *5) (-633 *5))) (-5 *5 (-571)) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-571))) (-5 *4 (-289 *7)) (-5 *5 (-1224 (-571))) (-4 *7 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-5 *6 (-1224 (-571))) (-4 *3 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *7 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-571)) (-4 *4 (-1053)) (-4 *1 (-1219 *4 *3)) (-4 *3 (-1248 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1240 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1217 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3))))) 
+(((*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-571)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-768)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-922)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-571)) (-14 *3 (-768)) (-4 *4 (-173)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-159)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-922)) (-5 *1 (-159)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189))) (-5 *1 (-220 *3)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1203)) (-4 *2 (-721)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1203)) (-4 *2 (-721)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1109)) (-4 *2 (-1203)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1109)) (-4 *2 (-1203)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-138)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-365 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-365 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-386 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-847)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-387 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-1097)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-391 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *1) (-12 (-14 *3 (-637 (-1169))) (-4 *4 (-173)) (-4 *6 (-231 (-4001 *3) (-768))) (-14 *7 (-1 (-121) (-2 (|:| -1755 *5) (|:| -2154 *6)) (-2 (|:| -1755 *5) (|:| -2154 *6)))) (-5 *1 (-466 *3 *4 *5 *6 *7 *2)) (-4 *5 (-847)) (-4 *2 (-955 *4 *6 (-857 *3))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-352)) (-5 *1 (-535 *3)))) ((*1 *1 *1 *1) (-5 *1 (-544))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-597 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-597 *2)) (-4 *2 (-1053)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-597 *2)) (-4 *2 (-1053)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-640 *2)) (-4 *2 (-1060)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-1 *7 *5)) (-5 *1 (-678 *5 *6 *7)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1097)) (-4 *4 (-1053)) (-5 *1 (-679 *3 *4)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-682 *3 *2 *4)) (-4 *3 (-1053)) (-4 *2 (-378 *3)) (-4 *4 (-378 *3)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-682 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *2 (-378 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) ((*1 *1 *1 *1) (-4 *1 (-715))) ((*1 *1 *1 *1) (-12 (-5 *1 (-738 *2 *3)) (-14 *2 (-1169)) (-4 *3 (-13 (-1053) (-847) (-561))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-571)) (-4 *4 (-367)) (-4 *5 (-644 *4)) (-5 *2 (-237 *1)) (-4 *1 (-925 *4 *5)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1258 *4)) (-4 *4 (-1233 *3)) (-4 *3 (-561)) (-5 *1 (-976 *3 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1059 *2)) (-4 *2 (-1060)))) ((*1 *1 *1 *1) (-4 *1 (-1109))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1118 *3 *4 *2 *5)) (-4 *4 (-1053)) (-4 *2 (-231 *3 *4)) (-4 *5 (-231 *3 *4)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1118 *3 *4 *5 *2)) (-4 *4 (-1053)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-847)) (-5 *1 (-1121 *3 *4 *2)) (-4 *2 (-955 *3 (-537 *4) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-949 (-216))) (-5 *3 (-216)) (-5 *1 (-1200)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-721)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-721)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-571)) (-4 *1 (-1256 *3)) (-4 *3 (-1203)) (-4 *3 (-21)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1273 *2 *3)) (-4 *2 (-847)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1273 *3 *2)) (-4 *3 (-847)) (-4 *2 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1279 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-843))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1189) (-435 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-768)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-571))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-571))) (-5 *4 (-289 *7)) (-5 *5 (-1224 (-768))) (-4 *7 (-13 (-27) (-1189) (-435 *6))) (-4 *6 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1169)) (-5 *5 (-289 *3)) (-5 *6 (-1224 (-768))) (-4 *3 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-57)) (-5 *1 (-464 *7 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1219 *3 *2)) (-4 *3 (-1053)) (-4 *2 (-1248 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-2 (|:| |deg| (-768)) (|:| -3192 *5)))) (-5 *1 (-809 *4 *5 *3 *6)) (-4 *3 (-649 *5)) (-4 *6 (-649 (-412 *5)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-741 *3)) (-4 *3 (-173))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-984 *3 *4 *5 *6))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-1271 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173)) (-5 *1 (-659 *3 *4)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-659 *3 *4)) (-5 *1 (-1276 *3 *4)) (-4 *3 (-847)) (-4 *4 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1001 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-384))) (-5 *1 (-1045))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-456)) (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1333 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-468))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-977 *3)) (-4 *3 (-367)) (-5 *2 (-637 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) ((*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1097)) (-5 *1 (-905 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1053)) (-4 *4 (-231 *5 (-768))) (-14 *5 (-768)) (-5 *1 (-913 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-367)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-934 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-977 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-571)) (-4 *5 (-367)) (-4 *6 (-231 *7 (-768))) (-14 *7 (-768)) (-5 *1 (-934 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-977 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-637 (-684 *6))) (-5 *4 (-121)) (-5 *5 (-571)) (-5 *2 (-684 *6)) (-5 *1 (-1035 *6)) (-4 *6 (-367)) (-4 *6 (-1053)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 (-684 *4))) (-5 *2 (-684 *4)) (-5 *1 (-1035 *4)) (-4 *4 (-367)) (-4 *4 (-1053)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-637 (-684 *5))) (-5 *4 (-571)) (-5 *2 (-684 *5)) (-5 *1 (-1035 *5)) (-4 *5 (-367)) (-4 *5 (-1053))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1203)))) ((*1 *1 *1) (-12 (-5 *1 (-666 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-666 *3)) (-4 *3 (-847)) (-4 *1 (-379 *3 *4)) (-4 *4 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571))))) (-14 *4 (-637 (-1169))) (-14 *5 (-768)) (-5 *2 (-121)) (-5 *1 (-518 *4 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1203)))) ((*1 *1 *1) (-12 (-5 *1 (-666 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) ((*1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *1) (-5 *1 (-442)))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-435 *4)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-2 (|:| -3347 (-768)) (|:| -3584 *8))) (-5 *1 (-911 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-412 (-571)) *4 *5 *6)) (-4 *4 (-1233 (-412 (-571)))) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 (-412 (-571)) *4 *5)) (-5 *2 (-2 (|:| -3347 (-768)) (|:| -3584 *6))) (-5 *1 (-912 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-856)))) ((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1263)) (-5 *1 (-856)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-855)) (-5 *2 (-1263)) (-5 *1 (-856)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-1149 *4)) (-4 *4 (-1097)) (-4 *4 (-1203))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1203)) (-5 *2 (-637 *1)) (-4 *1 (-1016 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-1157 *3 *4))) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3730 *3) (|:| |coef1| (-782 *3)))) (-5 *1 (-782 *3)) (-4 *3 (-561)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-840 (-216)))) (-5 *4 (-216)) (-5 *2 (-637 *4)) (-5 *1 (-264))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-637 *3)) (-4 *3 (-955 *4 *6 *5)) (-4 *4 (-456)) (-4 *5 (-847)) (-4 *6 (-793)) (-5 *1 (-994 *4 *5 *6 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *2 (-1263)) (-5 *1 (-1172)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-5 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *2 (-1263)) (-5 *1 (-1172)))) ((*1 *2 *3 *4 *1) (-12 (-5 *3 (-1169)) (-5 *4 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *2 (-1263)) (-5 *1 (-1172))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-121)) (-5 *1 (-829))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-235)) (-5 *3 (-1151)))) ((*1 *2 *2) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-235)))) ((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *1 *1) (-12 (-4 *1 (-1001 *2)) (-4 *2 (-1203)))) ((*1 *1 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-1115)) (-5 *2 (-121)) (-5 *1 (-821))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-544))) (-5 *2 (-1169)) (-5 *1 (-544))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-1 (-637 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-637 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-822)) (-5 *2 (-57)) (-5 *1 (-829))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-922))) (-5 *1 (-1098 *3 *4)) (-14 *3 (-922)) (-14 *4 (-922))))) 
+(((*1 *1 *1) (-5 *1 (-1168))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-497 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-4 *3 (-456)) (-4 *4 (-847)) (-4 *5 (-793)) (-5 *2 (-121)) (-5 *1 (-994 *3 *4 *5 *6)) (-4 *6 (-955 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1139 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-604 *3 *2)) (-4 *3 (-1097)) (-4 *3 (-847)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-5 *1 (-671 *2)) (-4 *2 (-847)))) ((*1 *2 *1) (-12 (-5 *1 (-819 *2)) (-4 *2 (-847)))) ((*1 *2 *1) (-12 (-5 *2 (-666 *3)) (-5 *1 (-893 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1197 *3 *4 *5 *2)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *2 (-1067 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1245 *3)) (-4 *3 (-1203)))) ((*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-302)) (-5 *2 (-768))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-768)) (-5 *1 (-123))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1032 (-840 (-571)))) (-5 *3 (-1149 (-2 (|:| |k| (-571)) (|:| |c| *4)))) (-4 *4 (-1053)) (-5 *1 (-596 *4))))) 
 (((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-1071 *4 *5 *2))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))) (-5 *1 (-60 *4 *5 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 (-1071 *5 *6 *2))) (-5 *4 (-919)) (-4 *5 (-1093)) (-4 *6 (-13 (-1049) (-883 *5) (-844) (-610 (-889 *5)))) (-4 *2 (-13 (-433 *6) (-883 *5) (-610 (-889 *5)))) (-5 *1 (-60 *5 *6 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-439))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *5)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1258))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) ((*1 *1 *1 *1) (-4 *1 (-454)))) 
-(((*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1128 *4 *5)) (-4 *4 (-13 (-1093) (-39)))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *2 (-679 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-679 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) ((*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-681 *2)) (-4 *2 (-366)) (-4 *2 (-1049)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1114 *2 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-231 *2 *3)) (-4 *5 (-231 *2 *3)) (-4 *3 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-1171 *3))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-410 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-804 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-410 *2))) (-4 *2 (-1228 *5)) (-5 *1 (-804 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 (-410 *2)))))) 
-(((*1 *1 *2 *2) (-12 (-5 *1 (-875 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *2 *2) (-12 (-5 *1 (-877 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1161 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-364 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-389 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-639 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-790)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *1)) (-5 *4 (-1165)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-144 *2 *4 *3)) (-4 *3 (-376 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-513 *2 *4 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-376 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-681 *4)) (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-684 *2 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-1221 *2 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-955 *4))) (-5 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-916 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-421 *2)) (-4 *2 (-302)) (-5 *1 (-912 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-913 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-421 (-955 *6))) (-5 *5 (-1165)) (-5 *3 (-955 *6)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-913 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-140))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1185) (-29 *5)))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-693 *3 *5 *6 *7)) (-4 *3 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *7 (-1199)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 *6 *5)) (-5 *1 (-698 *3 *5 *6)) (-4 *3 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199))))) 
-(((*1 *1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1 *1) (-5 *1 (-1111)))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-437)) (-5 *2 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569))))))))) (-5 *1 (-1169))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-1253 *2)) (-4 *5 (-302)) (-4 *6 (-995 *5)) (-4 *2 (-13 (-412 *6 *7) (-1039 *6))) (-5 *1 (-416 *5 *6 *7 *2)) (-4 *7 (-1228 *6))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572))))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) ((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1115 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-819))))) 
-(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1069 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1101 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1186 *3)) (-4 *3 (-1093))))) 
-(((*1 *2) (-12 (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-1228 (-569))) (-5 *2 (-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569))))) (-5 *1 (-762 *3 *4)) (-4 *4 (-412 (-569) *3)))) ((*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -4079 (-681 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-681 *4)))) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-716 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -4079 (-681 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-681 *4)))) (-5 *1 (-1262 *3 *4 *5 *6)) (-4 *6 (-412 *4 *5))))) 
-(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-680 *3 *5 *6 *2)) (-4 *2 (-679 *3 *5 *6))))) 
-(((*1 *2 *3 *2 *3) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) ((*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1165))) (-5 *4 (-1165)) (-5 *1 (-1168)))) ((*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1169)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1165))) (-5 *1 (-1169))))) 
-(((*1 *1 *1 *1) (-4 *1 (-302))) ((*1 *1 *1 *1) (-5 *1 (-765))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-170 *4)) (-5 *1 (-179 *4 *3)) (-4 *4 (-13 (-366) (-842))) (-4 *3 (-1228 *2))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *3 (-376 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-117)) (-4 *2 (-236 *9))))) 
-(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-635 (-243 *4 *5))) (-5 *1 (-623 *4 *5))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *1 *1 *1) (-4 *1 (-302))) ((*1 *1 *1 *1) (-5 *1 (-765))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-121)) (-5 *1 (-908 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-909 *4 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-569) (-569))) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-765) (-765))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1186 *3))) (-5 *1 (-1186 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |minor| (-635 (-919))) (|:| -4399 *3) (|:| |minors| (-635 (-635 (-919)))) (|:| |ops| (-635 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-919)) (-4 *3 (-647 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-170 (-311 *4))) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-170 *3)) (-5 *1 (-1189 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1147)) (-5 *1 (-300))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -3408 (-569)))) (-5 *1 (-237 *3)) (-4 *3 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-886 *3 *4)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *2 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-819))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-121)) (-5 *1 (-203))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *2 *3 *3) (-12 (-4 *3 (-1208)) (-4 *5 (-1228 *3)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *4 *3 *5 *6)) (-4 *4 (-341 *3 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1228 (-410 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-2 (|:| |num| (-681 *5)) (|:| |den| *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1037)) (-5 *1 (-300))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-718) (-25)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1115 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-887 *4 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-681 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1001 *3)) (-4 *3 (-173)) (-5 *1 (-796 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-765)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-569)) (-4 *6 (-366)) (-4 *6 (-371)) (-4 *6 (-1049)) (-5 *2 (-635 (-635 (-681 *6)))) (-5 *1 (-1031 *6)) (-5 *3 (-635 (-681 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-371)) (-4 *4 (-1049)) (-5 *2 (-635 (-635 (-681 *4)))) (-5 *1 (-1031 *4)) (-5 *3 (-635 (-681 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-1 *5 *5)) (-5 *1 (-801 *4 *5)) (-4 *5 (-13 (-29 *4) (-1185) (-961)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-423 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1185) (-433 *3))) (-14 *4 (-1165)) (-14 *5 *2))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *2 (-13 (-27) (-1185) (-433 *3) (-10 -8 (-15 -3956 ($ *4))))) (-4 *4 (-842)) (-4 *5 (-13 (-1230 *2 *4) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *1 (-425 *3 *2 *4 *5 *6 *7)) (-4 *6 (-986 *5)) (-14 *7 (-1165))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-807 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| -4079 (-635 (-410 *6))) (|:| -4463 (-681 *5)))) (-5 *1 (-807 *5 *6)) (-5 *4 (-635 (-410 *6))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-807 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| -4079 (-635 (-410 *6))) (|:| -4463 (-681 *5)))) (-5 *1 (-807 *5 *6)) (-5 *4 (-635 (-410 *6)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-4 *7 (-844)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-4 *8 (-302)) (-5 *2 (-635 (-765))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *5 (-765))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-919)) (-4 *5 (-844)) (-5 *2 (-635 (-664 *5))) (-5 *1 (-664 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1087 (-216))) (-5 *5 (-121)) (-5 *2 (-1255)) (-5 *1 (-251))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-569)))) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-569)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-924 *5))) (-4 *5 (-351)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-869 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-923 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-870 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1165))) (-4 *7 (-117))))) 
-(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-924 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-923 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *5)) (-4 *5 (-366)) (-5 *2 (-635 *6)) (-5 *1 (-536 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-852))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-1049)) (-4 *1 (-1228 *3))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *1 (-64 *3)) (-4 *3 (-1199)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-64 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1253 *1)) (-4 *1 (-370 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-635 *1)) (-4 *1 (-1125 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-784)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-784)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-797)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) ((*1 *2 *3) (-12 (-5 *3 (-805)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-802)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-805)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-802)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-833)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-833)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) ((*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-834)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-835)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-834)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-892)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) ((*1 *2 *3) (-12 (-5 *3 (-895)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-894)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-895)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-894))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1212 *4)) (-4 *4 (-1049)) (-4 *4 (-559)) (-5 *2 (-410 (-955 *4))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1212 *4)) (-4 *4 (-1049)) (-4 *4 (-559)) (-5 *2 (-410 (-955 *4)))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 (-765))) (-5 *4 (-569)) (-4 *1 (-642 *5)) (-4 *5 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) ((*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-1 (-1258) (-1097))) (-5 *2 (-1258)) (-5 *1 (-102))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
-(((*1 *1 *1) (|partial| -4 *1 (-1139)))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *4 (-1049)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-4 *7 (-952 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-635 *7)) (|:| |n0| (-635 *7)))) (-5 *1 (-926 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *3 *4 *5) (-12 (-4 *6 (-1228 *9)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-302)) (-4 *10 (-952 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-635 (-1161 *10))) (|:| |dterm| (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| *10))))) (|:| |nfacts| (-635 *6)) (|:| |nlead| (-635 *10)))) (-5 *1 (-773 *6 *7 *8 *9 *10)) (-5 *3 (-1161 *10)) (-5 *4 (-635 *6)) (-5 *5 (-635 *10))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3550 *4) (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3550 *3) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 *3)) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 (-1225 *5 *4))) (-5 *1 (-1107 *4 *5)) (-5 *3 (-1225 *5 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-635 *8)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1254)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1254)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1255)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1255))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *1 (-562 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-410 (-569)))) (-5 *1 (-300))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-635 (-257))) (-5 *1 (-1255)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-1147)) (-5 *1 (-1255)))) ((*1 *1 *1) (-5 *1 (-1255)))) 
-(((*1 *2 *3 *1 *4) (-12 (-5 *3 (-1128 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1093) (-39))) (-4 *6 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1129 *5 *6))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-151) (-27) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-1161 (-410 *5))) (-5 *1 (-611 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-151) (-27) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-1161 (-410 *6))) (-5 *1 (-611 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
-(((*1 *1) (-5 *1 (-216))) ((*1 *1) (-5 *1 (-382)))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-569)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1049)) (-4 *7 (-231 *8 (-765))) (-14 *8 (-765)) (-5 *2 (-635 (-635 *3))) (-5 *1 (-774 *6 *3 *7 *8)) (-4 *3 (-325 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-816 *4)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-664 *4))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 *2))) (-5 *2 (-889 *3)) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 *2)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-421 *2)) (-4 *2 (-952 *7 *5 *6)) (-5 *1 (-734 *5 *6 *7 *2)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-302))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
-(((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-30)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-421 *4) *4)) (-4 *4 (-559)) (-5 *2 (-421 *4)) (-5 *1 (-422 *4)))) ((*1 *1 *1) (-5 *1 (-928))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *1) (-5 *1 (-929))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569)))))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-1253 *4)) (-5 *1 (-811 *4 *3)) (-4 *3 (-647 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-1100 *3 *4 *5 *6 *7))))) 
-(((*1 *1) (-5 *1 (-159)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-995 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-637 *7)) (-4 *7 (-1067 *4 *5 *6)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-1104 *4 *5 *6 *7 *8)) (-4 *8 (-1072 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-423 (-1165 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1165 *1)) (-4 *4 (-456)) (-4 *4 (-561)) (-4 *4 (-847)))) ((*1 *2 *3) (-12 (-4 *1 (-909)) (-5 *2 (-423 (-1165 *1))) (-5 *3 (-1165 *1))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-561) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *4))))) ((*1 *1 *1) (-5 *1 (-384))) ((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-773 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-932))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-2 (|:| |num| (-1258 *4)) (|:| |den| *4)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1233 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-1235 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-412 (-571))) (-4 *1 (-1238 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-571)) (-4 *4 (-1053)) (-5 *1 (-1153 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1215 *3)) (-4 *3 (-1053)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-1169))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1169)) (|:| |arrayIndex| (-637 (-958 (-571)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -4522 (-855)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1169)) (|:| |rand| (-855)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1168)) (|:| |thenClause| (-329)) (|:| |elseClause| (-329)))) (|:| |returnBranch| (-2 (|:| -1828 (-121)) (|:| -2139 (-2 (|:| |ints2Floats?| (-121)) (|:| -4522 (-855)))))) (|:| |blockBranch| (-637 (-329))) (|:| |commentBranch| (-637 (-1151))) (|:| |callBranch| (-1151)) (|:| |forBranch| (-2 (|:| -1981 (-1089 (-958 (-571)))) (|:| |span| (-958 (-571))) (|:| |body| (-329)))) (|:| |labelBranch| (-1115)) (|:| |loopBranch| (-2 (|:| |switch| (-1168)) (|:| |body| (-329)))) (|:| |commonBranch| (-2 (|:| -3159 (-1169)) (|:| |contents| (-637 (-1169))))) (|:| |printBranch| (-637 (-855))))) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-450)) (-5 *3 (-571))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-367) (-845))) (-5 *2 (-637 (-2 (|:| -2842 (-637 *3)) (|:| -3871 *5)))) (-5 *1 (-179 *5 *3)) (-4 *3 (-1233 (-170 *5))))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-637 (-2 (|:| -2842 (-637 *3)) (|:| -3871 *4)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-855)))) ((*1 *2 *3) (-12 (-5 *3 (-855)) (-5 *2 (-1263)) (-5 *1 (-968))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) *2)) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-768))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) ((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-475)))) ((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-932))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-637 (-1075 *4 *5 *2))) (-4 *4 (-1097)) (-4 *5 (-13 (-1053) (-886 *4) (-847) (-612 (-892 *4)))) (-4 *2 (-13 (-435 *5) (-886 *4) (-612 (-892 *4)))) (-5 *1 (-60 *4 *5 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *3 (-637 (-1075 *5 *6 *2))) (-5 *4 (-922)) (-4 *5 (-1097)) (-4 *6 (-13 (-1053) (-886 *5) (-847) (-612 (-892 *5)))) (-4 *2 (-13 (-435 *6) (-886 *5) (-612 (-892 *5)))) (-5 *1 (-60 *5 *6 *2))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-1269 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-637 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *1 (-1269 *5 *6 *7 *8))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-5 *2 (-121)) (-5 *1 (-448 *4 *3)) (-4 *3 (-1233 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-1010 *3)) (-14 *3 (-571))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-442))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-441))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-367) (-845))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1233 (-170 *3)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1063 (-1029 *4) (-1165 (-1029 *4)))) (-5 *3 (-855)) (-5 *1 (-1029 *4)) (-4 *4 (-13 (-845) (-367) (-1027)))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *3 (-1067 *6 *7 *8)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1073 *6 *7 *8 *3 *4)) (-4 *4 (-1072 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-2 (|:| |val| (-637 *8)) (|:| -4121 *9)))) (-5 *5 (-121)) (-4 *8 (-1067 *6 *7 *4)) (-4 *9 (-1072 *6 *7 *4 *8)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *4 (-847)) (-5 *2 (-637 (-2 (|:| |val| *8) (|:| -4121 *9)))) (-5 *1 (-1073 *6 *7 *4 *8 *9))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1215 *2)) (-4 *2 (-1053)))) ((*1 *1 *1) (-12 (-5 *1 (-1249 *2 *3 *4)) (-4 *2 (-1053)) (-14 *3 (-1169)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1253 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-1169))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-637 (-384))) (-5 *3 (-637 (-257))) (-5 *1 (-255)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-637 (-384))) (-5 *1 (-476)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-384))) (-5 *1 (-476)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-874)) (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-561) (-847) (-1043 (-571)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 (-170 *3)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-1193 *3 *2)) (-4 *2 (-13 (-27) (-1189) (-435 *3)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1169)) (-4 *5 (-367)) (-5 *2 (-1149 (-1149 (-958 *5)))) (-5 *1 (-1266 *5)) (-5 *4 (-1149 (-958 *5)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-637 *1)) (-4 *1 (-1067 *4 *5 *6)) (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1197 *4 *5 *6 *3)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1136)) (-5 *2 (-148))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *6)) (-5 *4 (-637 (-1149 *7))) (-4 *6 (-847)) (-4 *7 (-955 *5 (-537 *6) *6)) (-4 *5 (-1053)) (-5 *2 (-1 (-1149 *7) *7)) (-5 *1 (-1121 *5 *6 *7))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-571))) (|:| -3280 (-311 (-384))) (|:| CF (-311 (-170 (-384)))) (|:| |switch| (-1168)))) (-5 *1 (-1168))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-561)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)) (-4 *2 (-561)))) ((*1 *1 *1 *1) (|partial| -4 *1 (-561))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (-4 *2 (-561)))) ((*1 *1 *1 *1) (|partial| -5 *1 (-768))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-561)))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1258 *4)) (-4 *4 (-1233 *3)) (-4 *3 (-561)) (-5 *1 (-976 *3 *4)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1056 *3 *4 *2 *5 *6)) (-4 *2 (-1053)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-561)))) ((*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-637 *5)) (-4 *1 (-925 *4 *5)) (-4 *4 (-367)) (-4 *5 (-644 *4)) (-5 *2 (-1263))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1151) (-771))) (-5 *1 (-123))))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1151)) (-5 *2 (-771)) (-5 *1 (-123))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-690 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-874))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-4 *5 (-435 *4)) (-5 *2 (-3 (|:| |overq| (-1165 (-412 (-571)))) (|:| |overan| (-1165 (-53))) (|:| -1629 (-121)))) (-5 *1 (-440 *4 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1169)) (-4 *5 (-612 (-892 (-571)))) (-4 *5 (-886 (-571))) (-4 *5 (-13 (-847) (-1043 (-571)) (-456) (-633 (-571)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-574 *5 *3)) (-4 *3 (-623)) (-4 *3 (-13 (-27) (-1189) (-435 *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1169)) (-5 *4 (-840 *2)) (-4 *2 (-1131)) (-4 *2 (-13 (-27) (-1189) (-435 *5))) (-4 *5 (-612 (-892 (-571)))) (-4 *5 (-886 (-571))) (-4 *5 (-13 (-847) (-1043 (-571)) (-456) (-633 (-571)))) (-5 *1 (-574 *5 *2))))) 
+(((*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1097) (-39))) (-5 *2 (-121)) (-5 *1 (-1132 *4 *5)) (-4 *4 (-13 (-1097) (-39)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-571)) (-4 *1 (-670 *5 *4)) (-4 *5 (-1203)) (-4 *4 (-1203)) (-5 *2 |SortedExponentVector|)))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-367)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-532 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-561)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-4 *7 (-999 *4)) (-4 *2 (-682 *7 *8 *9)) (-5 *1 (-533 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-682 *4 *5 *6)) (-4 *8 (-378 *7)) (-4 *9 (-378 *7)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (-4 *2 (-367)))) ((*1 *2 *2) (|partial| -12 (-4 *3 (-367)) (-4 *3 (-173)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-683 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-684 *2)) (-4 *2 (-367)) (-4 *2 (-1053)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1118 *2 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-231 *2 *3)) (-4 *5 (-231 *2 *3)) (-4 *3 (-367)))) ((*1 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-847)) (-5 *1 (-1175 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-1067 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-412 *2)) (-4 *2 (-1233 *5)) (-5 *1 (-807 *5 *2 *3 *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *3 (-649 *2)) (-4 *6 (-649 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-412 *2))) (-4 *2 (-1233 *5)) (-5 *1 (-807 *5 *2 *3 *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *3 (-649 *2)) (-4 *6 (-649 (-412 *2)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1197 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-2 (|:| -2363 (-637 *6)) (|:| -3545 (-637 *6))))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-768)) (-5 *1 (-589 *2)) (-4 *2 (-553)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -3468 *3) (|:| -2154 (-768)))) (-5 *1 (-589 *3)) (-4 *3 (-553))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1094 *2)) (-4 *2 (-1097))))) 
+(((*1 *1 *2 *2) (-12 (-5 *1 (-878 *2)) (-4 *2 (-1203)))) ((*1 *1 *2 *2 *2) (-12 (-5 *1 (-880 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-949 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-138)) (-4 *3 (-792))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-836)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (-5 *2 (-1041)))) ((*1 *2 *3) (-12 (-4 *1 (-836)) (-5 *3 (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) (-5 *2 (-1041))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-1067 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-637 *7)) (|:| |badPols| (-637 *7)))) (-5 *1 (-984 *4 *5 *6 *7)) (-5 *3 (-637 *7))))) 
+(((*1 *1) (-12 (-4 *1 (-409)) (-2931 (|has| *1 (-6 -4591))) (-2931 (|has| *1 (-6 -4583))))) ((*1 *2 *1) (-12 (-4 *1 (-430 *2)) (-4 *2 (-1097)) (-4 *2 (-847)))) ((*1 *2 *1) (-12 (-4 *1 (-830 *2)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-4 *1 (-847))) ((*1 *1) (-5 *1 (-1115)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *5)) (-4 *5 (-633 *4)) (-4 *4 (-561)) (-5 *2 (-121)) (-5 *1 (-632 *4 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-257))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-949 (-216))) (-5 *4 (-874)) (-5 *2 (-1263)) (-5 *1 (-476)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1053)) (-4 *1 (-987 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-949 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-949 *3)) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) ((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-949 (-216))) (-5 *1 (-1200)) (-5 *3 (-216))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-4 *3 (-561)) (-5 *2 (-1165 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)))) ((*1 *1) (-4 *1 (-1143)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-571)) (-14 *4 (-768))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-922)) (-4 *1 (-373)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1258 *4)) (-5 *1 (-535 *4)) (-4 *4 (-352)))) ((*1 *2 *1) (-12 (-4 *2 (-847)) (-5 *1 (-708 *2 *3 *4)) (-4 *3 (-1097)) (-14 *4 (-1 (-121) (-2 (|:| -1755 *2) (|:| -2154 *3)) (-2 (|:| -1755 *2) (|:| -2154 *3))))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-367)) (-4 *1 (-37 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-637 (-121))) (-5 *7 (-684 (-216))) (-5 *8 (-684 (-571))) (-5 *3 (-571)) (-5 *4 (-216)) (-5 *5 (-121)) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-637 (-684 (-571)))) (-5 *1 (-1107))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-138)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-365 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-391 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-641 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-352)) (-5 *2 (-423 (-1165 (-1165 *4)))) (-5 *1 (-1202 *4)) (-5 *3 (-1165 (-1165 *4)))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-684 (-571))) (-5 *5 (-121)) (-5 *7 (-684 (-216))) (-5 *3 (-571)) (-5 *6 (-216)) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-352)) (-5 *3 (-571)) (-5 *2 (-1177 (-922) (-768)))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-637 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-768)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-793)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-456)) (-4 *5 (-847)) (-5 *1 (-453 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-185))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-637 (-121))) (-5 *5 (-684 (-216))) (-5 *6 (-684 (-571))) (-5 *7 (-216)) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-637 (-172))))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-608 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097))))) 
+(((*1 *2) (-12 (-5 *2 (-833 (-571))) (-5 *1 (-542)))) ((*1 *1) (-12 (-5 *1 (-833 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-517 (-412 (-571)) (-233 *4 (-768)) (-857 *3) (-243 *3 (-412 (-571))))) (-14 *3 (-637 (-1169))) (-14 *4 (-768)) (-5 *1 (-518 *3 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165 *1)) (-5 *4 (-1169)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 *1)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-958 *1)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-637 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *2 (-637 *1)) (-4 *1 (-29 *3))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-684 (-571))) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1097)) (-5 *2 (-889 *3 *5)) (-5 *1 (-885 *3 *4 *5)) (-4 *3 (-1097)) (-4 *5 (-661 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-999 *2)) (-4 *2 (-561)) (-5 *1 (-144 *2 *4 *3)) (-4 *3 (-378 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-999 *2)) (-4 *2 (-561)) (-5 *1 (-515 *2 *4 *5 *3)) (-4 *5 (-378 *2)) (-4 *3 (-378 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-684 *4)) (-4 *4 (-999 *2)) (-4 *2 (-561)) (-5 *1 (-687 *2 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-999 *2)) (-4 *2 (-561)) (-5 *1 (-1226 *2 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-384)) (-5 *1 (-785 *3)) (-4 *3 (-612 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-5 *2 (-384)) (-5 *1 (-785 *3)) (-4 *3 (-612 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-958 *4)) (-4 *4 (-1053)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-958 *5)) (-5 *4 (-922)) (-4 *5 (-1053)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-561)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-561)) (-4 *4 (-847)) (-4 *4 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-922)) (-4 *5 (-561)) (-4 *5 (-847)) (-4 *5 (-612 *2)) (-5 *2 (-384)) (-5 *1 (-785 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-684 *3)) (-4 *3 (-302)) (-5 *1 (-694 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 (-571))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1091 (-571))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1165 (-412 (-958 *3)))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-637 (-958 *4))) (-5 *3 (-637 (-1169))) (-4 *4 (-456)) (-5 *1 (-919 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1233 *4)) (-4 *4 (-1213)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-341 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-637 *2))) (-4 *4 (-367)) (-4 *2 (-682 *4 *5 *6)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -2842 (-637 (-2 (|:| |irr| *10) (|:| -4421 (-571))))))) (-5 *6 (-637 *3)) (-5 *7 (-637 *8)) (-4 *8 (-847)) (-4 *3 (-302)) (-4 *10 (-955 *3 *9 *8)) (-4 *9 (-793)) (-5 *2 (-2 (|:| |polfac| (-637 *10)) (|:| |correct| *3) (|:| |corrfact| (-637 (-1165 *3))))) (-5 *1 (-620 *8 *9 *3 *10)) (-5 *4 (-637 (-1165 *3)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-423 *2)) (-4 *2 (-302)) (-5 *1 (-915 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-916 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-423 (-958 *6))) (-5 *5 (-1169)) (-5 *3 (-958 *6)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-916 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-847) (-561) (-612 (-544)))) (-5 *2 (-123)) (-5 *1 (-1030 *4 *3)) (-4 *3 (-13 (-435 *4) (-23) (-1043 (-571)) (-1043 (-1169)) (-900 (-1169)) (-162)))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-135 *2)) (-4 *2 (-1097))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-140))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-637 *10)) (-5 *5 (-121)) (-4 *10 (-1072 *6 *7 *8 *9)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *9 (-1067 *6 *7 *8)) (-5 *2 (-637 (-2 (|:| -3192 (-637 *9)) (|:| -4121 *10) (|:| |ineq| (-637 *9))))) (-5 *1 (-995 *6 *7 *8 *9 *10)) (-5 *3 (-637 *9)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-637 *10)) (-5 *5 (-121)) (-4 *10 (-1072 *6 *7 *8 *9)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *9 (-1067 *6 *7 *8)) (-5 *2 (-637 (-2 (|:| -3192 (-637 *9)) (|:| -4121 *10) (|:| |ineq| (-637 *9))))) (-5 *1 (-1104 *6 *7 *8 *9 *10)) (-5 *3 (-637 *9))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-170 (-216)))) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-571)) (-5 *2 (-1263)) (-5 *1 (-904 *4)) (-4 *4 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-904 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1189) (-29 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-289 (-958 (-571)))) (-5 *2 (-2 (|:| |varOrder| (-637 (-1169))) (|:| |inhom| (-3 (-637 (-1258 (-768))) "failed")) (|:| |hom| (-637 (-1258 (-768)))))) (-5 *1 (-229))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 (-637 *3))) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-637 (-922))) (-5 *5 (-922)) (-4 *6 (-367)) (-4 *7 (-378 *6)) (-4 *8 (-378 *6)) (-5 *2 (-637 (-637 *3))) (-5 *1 (-672 *6 *7 *8 *3)) (-4 *3 (-682 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-637 (-922))) (-5 *4 (-922)) (-4 *6 (-367)) (-4 *7 (-378 *6)) (-4 *8 (-378 *6)) (-5 *2 (-637 (-637 *3))) (-5 *1 (-672 *6 *7 *8 *3)) (-4 *3 (-682 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-637 (-922))) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 (-637 *3))) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-170 (-216)))) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(((*1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-235))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1181 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-367)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1248 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1091 (-922))) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1151)) (-5 *4 (-571)) (-5 *5 (-684 (-170 (-216)))) (-5 *2 (-1041)) (-5 *1 (-751))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1115)) (-5 *1 (-821))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1169)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-696 *3 *5 *6 *7)) (-4 *3 (-612 (-544))) (-4 *5 (-1203)) (-4 *6 (-1203)) (-4 *7 (-1203)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1169)) (-5 *2 (-1 *6 *5)) (-5 *1 (-701 *3 *5 *6)) (-4 *3 (-612 (-544))) (-4 *5 (-1203)) (-4 *6 (-1203))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-733))))) 
+(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-571)) (-5 *5 (-121)) (-5 *6 (-684 (-216))) (-5 *7 (-3 (|:| |fn| (-393)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-750))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-922)) (-4 *4 (-367)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *2 (-682 *4 *5 *6))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-439)) (-5 *2 (-637 (-3 (|:| -3159 (-1169)) (|:| |bounds| (-637 (-3 (|:| S (-1169)) (|:| P (-958 (-571))))))))) (-5 *1 (-1173))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1165 *4)) (-5 *1 (-360 *4)) (-4 *4 (-352))))) 
+(((*1 *2) (|partial| -12 (-4 *3 (-561)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -1899 (-637 *1)))) (-4 *1 (-371 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-457 *3 *4 *5 *6)) (|:| -1899 (-637 (-457 *3 *4 *5 *6))))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1041)) (-5 *1 (-750))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *1 (-878 *2)) (-4 *2 (-1203)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *1 (-880 *2)) (-4 *2 (-1203)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-768)) (-5 *1 (-882 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 *3)) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-922))) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 *3)) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-768)) (-5 *4 (-1258 *2)) (-4 *5 (-302)) (-4 *6 (-999 *5)) (-4 *2 (-13 (-414 *6 *7) (-1043 *6))) (-5 *1 (-418 *5 *6 *7 *2)) (-4 *7 (-1233 *6))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-768)) (-4 *4 (-352)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1233 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1151)) (-5 *3 (-823)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1041)) (-5 *1 (-750))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-847)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1203)) (-5 *1 (-380 *4 *2)) (-4 *2 (-13 (-378 *4) (-10 -7 (-6 -4601))))))) 
+(((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-768)) (-5 *2 (-1 (-384))) (-5 *1 (-1045)))) ((*1 *1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *4 (-367)) (-4 *2 (-682 *4 *5 *6)) (-5 *1 (-672 *4 *5 *6 *2)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-3 (|:| |fn| (-393)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1041)) (-5 *1 (-750))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 *3)) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-922))) (-4 *5 (-367)) (-4 *6 (-378 *5)) (-4 *7 (-378 *5)) (-5 *2 (-637 *3)) (-5 *1 (-672 *5 *6 *7 *3)) (-4 *3 (-682 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1165 (-571))) (-5 *1 (-948)) (-5 *3 (-571)))) ((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-5 *1 (-1119 *3 *4 *5 *2)) (-4 *2 (-682 *3 *4 *5))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-1151)) (-5 *3 (-571)) (-5 *1 (-235)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-637 (-1151))) (-5 *3 (-571)) (-5 *4 (-1151)) (-5 *1 (-235)))) ((*1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) ((*1 *2 *1) (-12 (-4 *1 (-1235 *2 *3)) (-4 *3 (-792)) (-4 *2 (-1053))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-123))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1067 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-423 *3)) (-4 *3 (-561)) (-5 *1 (-424 *3))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-121)) (-5 *2 (-1041)) (-5 *1 (-750))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1279 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-843))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1203)) (-5 *1 (-380 *4 *2)) (-4 *2 (-13 (-378 *4) (-10 -7 (-6 -4601))))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-637 (-637 *4))) (-5 *3 (-637 *4)) (-4 *4 (-367)) (-5 *1 (-656 *4))))) 
+(((*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1169)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-637 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3017 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1189) (-27) (-435 *8))) (-4 *8 (-13 (-456) (-847) (-151) (-1043 *3) (-633 *3))) (-5 *3 (-571)) (-5 *2 (-2 (|:| |ans| *4) (|:| -1852 *4) (|:| |sol?| (-121)))) (-5 *1 (-1019 *8 *4))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-684 (-216))) (-5 *6 (-121)) (-5 *7 (-684 (-571))) (-5 *8 (-3 (|:| |fn| (-393)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-571)) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-750))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-561) (-151))) (-5 *1 (-1227 *3 *2)) (-4 *2 (-1233 *3))))) 
+(((*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-1073 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-1105 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1041))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-682 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)) (-4 *3 (-302)) (-5 *2 (-637 *5))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-684 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-684 (-571))) (-5 *8 (-3 (|:| |fn| (-393)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-393)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-571)) (-5 *2 (-1041)) (-5 *1 (-750))))) 
+(((*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *3 (-637 (-874))) (-5 *4 (-637 (-922))) (-5 *5 (-637 (-257))) (-5 *1 (-476)))) ((*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *3 (-637 (-874))) (-5 *4 (-637 (-922))) (-5 *1 (-476)))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *1 (-476)))) ((*1 *1 *1) (-5 *1 (-476)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1016 *3)) (-4 *3 (-1203)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1190 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-637 (-857 *5))) (-14 *5 (-637 (-1169))) (-4 *6 (-456)) (-5 *2 (-2 (|:| |dpolys| (-637 (-243 *5 *6))) (|:| |coords| (-637 (-571))))) (-5 *1 (-479 *5 *6 *7)) (-5 *3 (-637 (-243 *5 *6))) (-4 *7 (-456))))) 
+(((*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-892 *4)) (-4 *4 (-1097)) (-5 *1 (-889 *4 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-750))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1203)) (-5 *1 (-180 *3 *2)) (-4 *2 (-668 *3))))) 
+(((*1 *2) (-12 (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-1258 *1)) (-4 *1 (-341 *3 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *2 (-2 (|:| -1899 (-684 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-684 *3)))) (-5 *1 (-353 *3 *4 *5)) (-4 *5 (-414 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-1233 (-571))) (-5 *2 (-2 (|:| -1899 (-684 (-571))) (|:| |basisDen| (-571)) (|:| |basisInv| (-684 (-571))))) (-5 *1 (-765 *3 *4)) (-4 *4 (-414 (-571) *3)))) ((*1 *2) (-12 (-4 *3 (-352)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| -1899 (-684 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-684 *4)))) (-5 *1 (-992 *3 *4 *5 *6)) (-4 *6 (-719 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-352)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| -1899 (-684 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-684 *4)))) (-5 *1 (-1267 *3 *4 *5 *6)) (-4 *6 (-414 *4 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1258 (-412 (-958 *4)))) (|:| -1899 (-637 (-1258 (-412 (-958 *4))))))) (-5 *3 (-637 *7)) (-4 *4 (-13 (-302) (-151))) (-4 *7 (-955 *4 *6 *5)) (-4 *5 (-13 (-847) (-612 (-1169)))) (-4 *6 (-793)) (-5 *1 (-929 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165 *1)) (-5 *4 (-1169)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 *1)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-958 *1)) (-4 *1 (-27)) (-5 *2 (-637 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *2 (-637 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *2 (-637 *1)) (-4 *1 (-29 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-637 (-1169))) (-5 *5 (-1091 (-840 (-216)))) (-5 *2 (-1149 (-216))) (-5 *1 (-295))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-637 (-571))) (-5 *1 (-568)) (-5 *3 (-571))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1097)) (-4 *4 (-13 (-1053) (-886 *3) (-847) (-612 (-892 *3)))) (-5 *2 (-637 (-1075 *3 *4 *5))) (-5 *1 (-1076 *3 *4 *5)) (-4 *5 (-13 (-435 *4) (-886 *3) (-612 (-892 *3))))))) 
+(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-571)) (-4 *3 (-173)) (-4 *5 (-378 *3)) (-4 *6 (-378 *3)) (-5 *1 (-683 *3 *5 *6 *2)) (-4 *2 (-682 *3 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *6)) (-5 *1 (-517 *3 *4 *5 *6)) (-4 *6 (-955 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-905 *3))) (-5 *1 (-904 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-874)) (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-922)) (-5 *4 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1259)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *5 (-684 (-216))) (-5 *4 (-216)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-423 *2)) (-4 *2 (-561))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-368 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-5 *2 (-1263))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-418 *4 (-412 *4) *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 *6)) (-4 *6 (-13 (-414 *4 *5) (-1043 *4))) (-4 *4 (-999 *3)) (-4 *5 (-1233 *4)) (-4 *3 (-302)) (-5 *1 (-418 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-955 *3 *4 *5)) (-4 *3 (-367)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-517 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-684 (-170 (-412 (-571))))) (-5 *2 (-637 (-170 *4))) (-5 *1 (-761 *4)) (-4 *4 (-13 (-367) (-845)))))) 
+(((*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-637 *2)) (-4 *2 (-13 (-435 *6) (-23) (-1043 (-571)) (-1043 *4) (-900 *4) (-162))) (-5 *4 (-1169)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *1 (-1030 *6 *2))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-170 *4)) (-5 *1 (-179 *4 *3)) (-4 *4 (-13 (-367) (-845))) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1072 *4 *5 *6 *3)) (-4 *4 (-456)) (-4 *5 (-793)) (-4 *6 (-847)) (-4 *3 (-1067 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *5 (-216)) (-5 *2 (-1041)) (-5 *1 (-749))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-1053)) (-4 *2 (-367)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-367)) (-5 *1 (-652 *4 *2)) (-4 *2 (-649 *4))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-571)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1203)) (-4 *5 (-378 *4)) (-4 *3 (-378 *4))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1213)) (-4 *3 (-1233 *4)) (-4 *5 (-1233 (-412 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-571)) (-5 *1 (-197))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1169)) (-5 *5 (-637 (-412 (-958 *6)))) (-5 *3 (-412 (-958 *6))) (-4 *6 (-13 (-561) (-1043 (-571)) (-151))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-577 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-117)) (-4 *2 (-236 *9))))) 
+(((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *1) (-12 (-5 *1 (-497 *2)) (-4 *2 (-847)))) ((*1 *1) (-5 *1 (-855))) ((*1 *1) (-12 (-4 *2 (-456)) (-4 *3 (-847)) (-4 *4 (-793)) (-5 *1 (-994 *2 *3 *4 *5)) (-4 *5 (-955 *2 *4 *3)))) ((*1 *1) (-12 (-5 *1 (-1006 *2)) (-4 *2 (-1097)))) ((*1 *1) (-12 (-5 *1 (-1132 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39))))) ((*1 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097)))) ((*1 *1) (-5 *1 (-1172))) ((*1 *1) (-5 *1 (-1173)))) 
+(((*1 *1) (-12 (-4 *3 (-1097)) (-5 *1 (-885 *2 *3 *4)) (-4 *2 (-1097)) (-4 *4 (-661 *3)))) ((*1 *1) (-12 (-5 *1 (-889 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-855))) (-5 *1 (-329))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-1172)))) ((*1 *2 *3) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1169)) (-5 *2 (-1263)) (-5 *1 (-1172))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1050 *4 *5)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *5 (-637 (-1169))) (-5 *2 (-637 (-637 (-1029 (-412 *4))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *6 (-637 (-1169))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *5))))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *5))))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *4))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| -1856 (-412 (-571))) (|:| -1852 (-412 (-571)))))) (-5 *2 (-637 (-216))) (-5 *1 (-300))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *1)) (-4 *1 (-456)))) ((*1 *1 *1 *1) (-4 *1 (-456))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-964 (-1207))) (-5 *4 (-571)) (-5 *2 (-1207)) (-5 *1 (-960))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1203)) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-623))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1165 *3)) (-4 *3 (-352)) (-5 *1 (-360 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-412 (-571))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-495 *4 *5))) (-14 *4 (-637 (-1169))) (-4 *5 (-456)) (-5 *2 (-637 (-243 *4 *5))) (-5 *1 (-625 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1033 *5 *6 *7 *8))) (-5 *1 (-1033 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-121)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-637 (-1138 *5 *6 *7 *8))) (-5 *1 (-1138 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-604 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1203)) (-5 *2 (-121))))) 
+(((*1 *1) (-5 *1 (-1172)))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *9 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| -3192 (-637 *9)) (|:| -4121 *4) (|:| |ineq| (-637 *9)))) (-5 *1 (-995 *6 *7 *8 *9 *4)) (-5 *3 (-637 *9)) (-4 *4 (-1072 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-456)) (-4 *7 (-793)) (-4 *8 (-847)) (-4 *9 (-1067 *6 *7 *8)) (-5 *2 (-2 (|:| -3192 (-637 *9)) (|:| -4121 *4) (|:| |ineq| (-637 *9)))) (-5 *1 (-1104 *6 *7 *8 *9 *4)) (-5 *3 (-637 *9)) (-4 *4 (-1072 *6 *7 *8 *9))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-423 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1233 (-53))))) ((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-131 *3)) (|:| |greater| (-131 *3)))) (-5 *1 (-131 *3)) (-4 *3 (-847)))) ((*1 *2 *1) (-12 (-4 *3 (-1097)) (-5 *2 (-637 *1)) (-4 *1 (-236 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-588 *4)) (-4 *4 (-13 (-29 *3) (-1189))) (-4 *3 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *1 (-586 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-588 (-412 (-958 *3)))) (-4 *3 (-13 (-456) (-1043 (-571)) (-847) (-633 (-571)))) (-5 *1 (-591 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1233 *5)) (-4 *5 (-367)) (-5 *2 (-2 (|:| -2062 *3) (|:| |special| *3))) (-5 *1 (-722 *5 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1258 *5)) (-4 *5 (-367)) (-4 *5 (-1053)) (-5 *2 (-637 (-637 (-684 *5)))) (-5 *1 (-1035 *5)) (-5 *3 (-637 (-684 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1258 (-1258 *5))) (-4 *5 (-367)) (-4 *5 (-1053)) (-5 *2 (-637 (-637 (-684 *5)))) (-5 *1 (-1035 *5)) (-5 *3 (-637 (-684 *5))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-637 *1)) (-4 *1 (-1136)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-148)) (-5 *2 (-637 *1)) (-4 *1 (-1136))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3730 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1151)) (-5 *1 (-822))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1169)) (-5 *6 (-637 (-610 *3))) (-5 *5 (-610 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *7))) (-4 *7 (-13 (-456) (-847) (-151) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-2 (|:| -3017 *3) (|:| |coeff| *3))) (-5 *1 (-562 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-435 *4)) (-4 *6 (-1233 *5)) (-4 *7 (-1233 (-412 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-121)) (-5 *1 (-911 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-335 (-412 (-571)) *4 *5 *6)) (-4 *4 (-1233 (-412 (-571)))) (-4 *5 (-1233 (-412 *4))) (-4 *6 (-341 (-412 (-571)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-912 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165 *4)) (-4 *4 (-352)) (-4 *2 (-13 (-407) (-10 -7 (-15 -3942 (*2 *4)) (-15 -4470 ((-922) *2)) (-15 -1899 ((-1258 *2) (-922))) (-15 -4526 (*2 *2))))) (-5 *1 (-359 *2 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))) (-5 *1 (-447 *4 *3 *2)) (-4 *3 (-1233 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1045))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1116 *2)) (-4 *2 (-1203)))) ((*1 *2 *1) (-12 (-5 *1 (-1139 *2)) (-4 *2 (-1097))))) 
+(((*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-367))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4600)) (-4 *1 (-228 *3)) (-4 *3 (-1097)))) ((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-228 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1203)) (-4 *2 (-1097)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1203)))) ((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-608 *3 *2)) (-4 *3 (-1097)) (-4 *2 (-1097)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-571)) (-4 *4 (-1097)) (-5 *1 (-732 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-571)) (-5 *1 (-732 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1132 *3 *4)) (-4 *3 (-13 (-1097) (-39))) (-4 *4 (-13 (-1097) (-39))) (-5 *1 (-1133 *3 *4))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-571) (-571))) (-5 *1 (-365 *3)) (-4 *3 (-1097)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-768) (-768))) (-5 *1 (-391 *3)) (-4 *3 (-1097)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-641 *3 *4 *5)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-637 *5) *6)) (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *6 (-1233 *5)) (-5 *2 (-637 (-2 (|:| -3177 *5) (|:| -3192 *3)))) (-5 *1 (-809 *5 *6 *3 *7)) (-4 *3 (-649 *6)) (-4 *7 (-649 (-412 *6)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-170 (-571))) (-5 *2 (-121)) (-5 *1 (-450)))) ((*1 *2 *3) (-12 (-5 *3 (-517 (-412 (-571)) (-233 *5 (-768)) (-857 *4) (-243 *4 (-412 (-571))))) (-14 *4 (-637 (-1169))) (-14 *5 (-768)) (-5 *2 (-121)) (-5 *1 (-518 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-967 *3)) (-4 *3 (-553)))) ((*1 *2 *1) (-12 (-4 *1 (-1213)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-1190 *3))) (-5 *1 (-1190 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1115)) (-5 *1 (-113)))) ((*1 *2 *1) (|partial| -12 (-5 *1 (-369 *2)) (-4 *2 (-1097)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1151)) (-5 *1 (-1185))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-768) "arbitrary")) (-5 *1 (-468))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-4 *5 (-561)) (-5 *2 (-2 (|:| |minor| (-637 (-922))) (|:| -3192 *3) (|:| |minors| (-637 (-637 (-922)))) (|:| |ops| (-637 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-922)) (-4 *3 (-649 *5))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-553)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1041))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-561) (-847) (-1043 (-571)))) (-5 *2 (-170 (-311 *4))) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 (-170 *4)))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *2 (-170 *3)) (-5 *1 (-1193 *4 *3)) (-4 *3 (-13 (-27) (-1189) (-435 *4)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-571)) (-5 *1 (-423 *2)) (-4 *2 (-561))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-384)) (-5 *2 (-1151)) (-5 *1 (-300))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1101)) (-5 *3 (-771)) (-5 *1 (-57))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-561))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-589 *3)) (-4 *3 (-553))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $))))))))) ((*1 *2 *2 *2) (-12 (-4 *3 (-561)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *3 (-610 $)) $)) (-15 -4479 ((-1120 *3 (-610 $)) $)) (-15 -3942 ($ (-1120 *3 (-610 $))))))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *4 (-610 $)) $)) (-15 -4479 ((-1120 *4 (-610 $)) $)) (-15 -3942 ($ (-1120 *4 (-610 $))))))) (-4 *4 (-561)) (-5 *1 (-46 *4 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-637 (-610 *2))) (-4 *2 (-13 (-367) (-297) (-10 -8 (-15 -4474 ((-1120 *4 (-610 $)) $)) (-15 -4479 ((-1120 *4 (-610 $)) $)) (-15 -3942 ($ (-1120 *4 (-610 $))))))) (-4 *4 (-561)) (-5 *1 (-46 *4 *2))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-370 *3 *4)) (-4 *3 (-371 *4)))) ((*1 *2) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-216)) (-5 *5 (-571)) (-5 *2 (-1199 *3)) (-5 *1 (-790 *3)) (-4 *3 (-981)))) ((*1 *1 *2 *3 *4) (-12 (-5 *3 (-637 (-637 (-949 (-216))))) (-5 *4 (-121)) (-5 *1 (-1199 *2)) (-4 *2 (-981))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1273 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053)) (-5 *2 (-2 (|:| |k| (-819 *3)) (|:| |c| *4)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-768)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-793)) (-4 *2 (-955 *4 *5 *6)) (-5 *1 (-453 *4 *5 *6 *2)) (-4 *4 (-456)) (-4 *6 (-847))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-439)) (|:| -3124 "void"))) (-5 *1 (-442))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-160 *4 *2)) (-4 *2 (-435 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1089 *2)) (-4 *2 (-435 *4)) (-4 *4 (-13 (-847) (-561))) (-5 *1 (-160 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1089 *1)) (-4 *1 (-162)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1169))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-302)) (-5 *1 (-694 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1165 *4))) (-4 *4 (-367)) (-5 *2 (-2 (|:| |zeros| (-637 *4)) (|:| -2168 (-571)))) (-5 *1 (-1049 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1258 (-1169))) (-5 *3 (-1258 (-457 *4 *5 *6 *7))) (-5 *1 (-457 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-922)) (-14 *6 (-637 (-1169))) (-14 *7 (-1258 (-684 *4))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-457 *4 *5 *6 *7))) (-5 *1 (-457 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-922)) (-14 *6 (-637 *2)) (-14 *7 (-1258 (-684 *4))))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-457 *3 *4 *5 *6))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-1169))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 *2)) (-14 *6 (-1258 (-684 *3))))) ((*1 *1) (-12 (-5 *1 (-457 *2 *3 *4 *5)) (-4 *2 (-173)) (-14 *3 (-922)) (-14 *4 (-637 (-1169))) (-14 *5 (-1258 (-684 *2)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -4148 (-571)))) (-5 *1 (-237 *3)) (-4 *3 (-1095)))) ((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1203)))) ((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165 (-571))) (-5 *2 (-571)) (-5 *1 (-948))))) 
+(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-768)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-768)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-847)) (-5 *2 (-768)) (-5 *1 (-497 *4)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4600)) (-4 *1 (-502 *3)) (-4 *3 (-1203)) (-4 *3 (-1097)) (-5 *2 (-768)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4600)) (-4 *1 (-502 *4)) (-4 *4 (-1203)) (-5 *2 (-768)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-768)) (-5 *1 (-1006 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4600)) (-5 *2 (-768)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4600)) (-4 *4 (-1097)) (-5 *2 (-768)) (-5 *1 (-1139 *4))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *5)) (-4 *5 (-367)) (-5 *3 (-768)) (-14 *6 (-637 (-1169))) (-4 *8 (-231 (-4001 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-325 *5 *8)) (-4 *4 (-117))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-684 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *1 (-511 *3 *4 *5)) (-4 *5 (-414 *3 *4)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-684 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -4151 ((-423 $) $))))) (-4 *4 (-1233 *3)) (-5 *1 (-511 *3 *4 *5)) (-4 *5 (-414 *3 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-1151))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-571)) (-5 *2 (-637 (-637 (-216)))) (-5 *1 (-1200))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *1 (-1233 *3)) (-4 *3 (-1053))))) 
+(((*1 *2) (-12 (-5 *2 (-1177 (-1169) (-130))) (-5 *1 (-130))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1097)) (-5 *2 (-889 *3 *4)) (-5 *1 (-885 *3 *4 *5)) (-4 *3 (-1097)) (-4 *5 (-661 *4))))) 
+(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-922)) (-5 *4 (-216)) (-5 *5 (-571)) (-5 *6 (-874)) (-5 *2 (-1263)) (-5 *1 (-1259))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-96 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-892 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-1116 *3)) (-4 *3 (-1203)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-1139 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-539 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *2 (-977 *3)) (-4 *7 (-644 *3)) (-4 *8 (-925 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2) (-12 (-4 *4 (-367)) (-5 *2 (-922)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *4 (-367)) (-5 *2 (-833 (-922))) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-367)) (-5 *2 (-922)))) ((*1 *2) (-12 (-4 *1 (-1275 *3)) (-4 *3 (-367)) (-5 *2 (-833 (-922)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-1169)) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-468))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1169)) (-5 *1 (-822))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-121)) (-5 *1 (-295))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1097)) (-4 *1 (-903 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1133 *2 *3)) (-4 *2 (-13 (-1097) (-39))) (-4 *3 (-13 (-1097) (-39)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-821)) (-5 *4 (-57)) (-5 *2 (-1263)) (-5 *1 (-831))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-637 *13)) (-4 *13 (-259 *12)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) *2)) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-5 *2 (-768)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) (-5 *2 (-121)) (-5 *1 (-203))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-623))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-624 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008) (-1189)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-637 (-1169))) (-5 *2 (-637 (-637 (-384)))) (-5 *1 (-1028)) (-5 *5 (-384)))) ((*1 *2 *3) (-12 (-5 *3 (-1050 *4 *5)) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-14 *5 (-637 (-1169))) (-5 *2 (-637 (-637 (-1029 (-412 *4))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *6 (-637 (-1169))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *5))))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *5))))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-958 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *5))))) (-5 *1 (-1282 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-14 *7 (-637 (-1169))))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-958 *4))) (-4 *4 (-13 (-845) (-302) (-151) (-1027))) (-5 *2 (-637 (-637 (-1029 (-412 *4))))) (-5 *1 (-1282 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-14 *6 (-637 (-1169)))))) 
+(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1168)) (-5 *1 (-329)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1168)) (-5 *1 (-329))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-768)) (-4 *1 (-224 *4)) (-4 *4 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-768)))) ((*1 *1 *1) (-4 *1 (-226))) ((*1 *1 *1 *2) (-12 (-5 *2 (-768)) (-4 *3 (-13 (-367) (-151))) (-5 *1 (-404 *3 *4)) (-4 *4 (-1233 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-367) (-151))) (-5 *1 (-404 *2 *3)) (-4 *3 (-1233 *2)))) ((*1 *1) (-12 (-4 *1 (-649 *2)) (-4 *2 (-1053)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 *4)) (-5 *3 (-637 (-768))) (-4 *1 (-900 *4)) (-4 *4 (-1097)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-768)) (-4 *1 (-900 *2)) (-4 *2 (-1097)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *1 (-900 *3)) (-4 *3 (-1097)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-768))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-121)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-435 *4)) (-5 *1 (-436 *4 *2)) (-4 *4 (-13 (-847) (-561)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1151)) (-4 *1 (-368 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-766)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041)))) (-5 *1 (-572)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-766)) (-5 *4 (-1065)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))) (|:| |extra| (-1041)))) (-5 *1 (-572)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-787)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-787)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)) (|:| |extra| (-1041)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-800)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)))))) ((*1 *2 *3) (-12 (-5 *3 (-808)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-805)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-808)) (-5 *4 (-1065)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-805)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-836)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-836)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)))))) ((*1 *2 *3) (-12 (-5 *3 (-838)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-837)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-838)) (-5 *4 (-1065)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-837)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-895)) (-5 *3 (-1065)) (-5 *4 (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) (-5 *2 (-2 (|:| -1538 (-384)) (|:| |explanations| (-1151)))))) ((*1 *2 *3) (-12 (-5 *3 (-898)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-897)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-898)) (-5 *4 (-1065)) (-5 *2 (-2 (|:| -1538 (-384)) (|:| -3159 (-1151)) (|:| |explanations| (-637 (-1151))))) (-5 *1 (-897))))) 
+(((*1 *2) (-12 (-4 *3 (-13 (-847) (-561) (-1043 (-571)))) (-5 *2 (-1263)) (-5 *1 (-438 *3 *4)) (-4 *4 (-435 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *3 (-1213)) (-4 *5 (-1233 *3)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-121)) (-5 *1 (-340 *4 *3 *5 *6)) (-4 *4 (-341 *3 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-1097)) (-5 *1 (-106 *3))))) 
+(((*1 *2 *1 *2) (-12 (-5 *1 (-1032 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-4 *1 (-1062)) (-5 *2 (-571))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-435 *3) (-1008)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1248 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
+(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-684 (-216))) (-5 *4 (-571)) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1) (-5 *1 (-384))) ((*1 *1) (-5 *1 (-384)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1233 (-412 *2))) (-5 *2 (-571)) (-5 *1 (-914 *4 *3)) (-4 *3 (-1233 (-412 *4)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-922)) (|has| *1 (-6 -4591)) (-4 *1 (-409)))) ((*1 *2) (-12 (-4 *1 (-409)) (-5 *2 (-922)))) ((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-693)))) ((*1 *2) (-12 (-5 *2 (-922)) (-5 *1 (-693))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-2 (|:| |goodPols| (-637 *8)) (|:| |badPols| (-637 *8)))) (-5 *1 (-984 *5 *6 *7 *8)) (-5 *4 (-637 *8))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-637 (-637 *4)))) (-5 *2 (-637 (-637 *4))) (-5 *1 (-1175 *4)) (-4 *4 (-847))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1213)) (-4 *5 (-1233 *4)) (-4 *6 (-1233 (-412 *5))) (-5 *2 (-2 (|:| |num| (-684 *5)) (|:| |den| *5)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-571))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-399)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-1151))) (-5 *1 (-1184))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-1263)) (-5 *1 (-1260))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1151)) (-5 *2 (-571)) (-5 *1 (-1186 *4)) (-4 *4 (-1053))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1149 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1981 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1041)) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-456)) (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *3)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-4 *3 (-1067 *5 *6 *7)) (-5 *2 (-637 (-2 (|:| |val| *3) (|:| -4121 *4)))) (-5 *1 (-1105 *5 *6 *7 *3 *4)) (-4 *4 (-1072 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-1172)) (-5 *3 (-1169))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-289 *3))) (-5 *1 (-289 *3)) (-4 *3 (-561)) (-4 *3 (-1203))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-608 *3 *4)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-684 *3)) (-4 *3 (-1053)) (-5 *1 (-685 *3))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-892 *4)) (-4 *4 (-1097)) (-5 *1 (-889 *4 *3)) (-4 *3 (-1097))))) 
+(((*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-995 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-5 *2 (-1263)) (-5 *1 (-1104 *3 *4 *5 *6 *7)) (-4 *7 (-1072 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-931))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-495 *3 *4))) (-14 *3 (-637 (-1169))) (-4 *4 (-456)) (-5 *1 (-625 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 *4)) (-4 *4 (-847)) (-5 *2 (-637 (-659 *4 *5))) (-5 *1 (-621 *4 *5 *6)) (-4 *5 (-13 (-173) (-712 (-412 (-571))))) (-14 *6 (-922))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -1475 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-536 *3)) (-4 *3 (-13 (-721) (-25)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-311 *3)) (-4 *3 (-561)) (-4 *3 (-847))))) 
+(((*1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-637 *1)) (-4 *1 (-925 *3 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-981))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-378 *4)) (-4 *6 (-378 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1119 *4 *5 *6 *3)) (-4 *3 (-682 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-367))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-571)) (-5 *6 (-1 (-1263) (-1258 *5) (-1258 *5) (-384))) (-5 *3 (-1258 (-384))) (-5 *5 (-384)) (-5 *2 (-1263)) (-5 *1 (-788))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-571)) (-5 *4 (-684 (-216))) (-5 *2 (-1041)) (-5 *1 (-752))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-684 *4)) (-5 *3 (-922)) (-4 *4 (-1053)) (-5 *1 (-1034 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-637 (-684 *4))) (-5 *3 (-922)) (-4 *4 (-1053)) (-5 *1 (-1034 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-892 *4)) (-4 *4 (-1097)) (-5 *1 (-890 *4 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-892 *3)) (-4 *3 (-1097))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1097)) (-5 *1 (-106 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1097))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-1258 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-793)) (-4 *3 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $))))) (-4 *5 (-561)) (-5 *1 (-727 *4 *3 *5 *2)) (-4 *2 (-955 (-412 (-958 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-793)) (-4 *3 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-5 *1 (-991 *4 *5 *3 *2)) (-4 *2 (-955 (-958 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-637 *6)) (-4 *6 (-13 (-847) (-10 -8 (-15 -4050 ((-1169) $)) (-15 -3312 ((-3 $ "failed") (-1169)))))) (-4 *4 (-1053)) (-4 *5 (-793)) (-5 *1 (-991 *4 *5 *6 *2)) (-4 *2 (-955 (-958 *4) *5 *6))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-637 *1)) (|has| *1 (-6 -4601)) (-4 *1 (-1016 *3)) (-4 *3 (-1203))))) 
+(((*1 *2) (-12 (-5 *2 (-637 *3)) (-5 *1 (-1082 *3)) (-4 *3 (-139))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-684 (-311 (-216)))) (-5 *2 (-384)) (-5 *1 (-198))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |k| (-666 *3)) (|:| |c| *4)))) (-5 *1 (-621 *3 *4 *5)) (-4 *3 (-847)) (-4 *4 (-13 (-173) (-712 (-412 (-571))))) (-14 *5 (-922))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-139)) (-5 *3 (-768)) (-5 *2 (-1263))))) 
+(((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-166 *3 *2)) (-4 *3 (-167 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-375 *2 *4)) (-4 *4 (-1233 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *4 (-1233 *2)) (-4 *2 (-173)) (-5 *1 (-413 *3 *2 *4)) (-4 *3 (-414 *2 *4)))) ((*1 *2) (-12 (-4 *1 (-414 *2 *3)) (-4 *3 (-1233 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *3 (-1233 *2)) (-5 *2 (-571)) (-5 *1 (-765 *3 *4)) (-4 *4 (-414 *2 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-955 *3 *4 *2)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *2 (-847)) (-4 *3 (-173)))) ((*1 *2 *3) (-12 (-4 *2 (-561)) (-5 *1 (-976 *2 *3)) (-4 *3 (-1233 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1258 *1)) (-4 *1 (-371 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-421 *3 *2)) (-4 *3 (-422 *2)))) ((*1 *2) (-12 (-4 *1 (-422 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1258 *4)) (-4 *4 (-633 *5)) (-4 *5 (-367)) (-4 *5 (-561)) (-5 *2 (-1258 *5)) (-5 *1 (-632 *5 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1258 *4)) (-4 *4 (-633 *5)) (-2931 (-4 *5 (-367))) (-4 *5 (-561)) (-5 *2 (-1258 (-412 *5))) (-5 *1 (-632 *5 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1129 *3)) (-4 *3 (-1053)) (-5 *2 (-637 (-949 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *3 (-1053)) (-4 *1 (-1129 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-949 *3))) (-4 *1 (-1129 *3)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-840 *4)) (-5 *3 (-610 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1189) (-29 *6))) (-4 *6 (-13 (-456) (-847) (-1043 (-571)) (-633 (-571)))) (-5 *1 (-215 *6 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2634 (-571)) (|:| -3640 (-571)) (|:| |spline| (-571)) (|:| -1651 (-571)) (|:| |axesColor| (-874)) (|:| -1795 (-571)) (|:| |unitsColor| (-874)) (|:| |showing| (-571))))) (-5 *1 (-1259))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-446 *3)) (-4 *3 (-1233 (-571)))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-895)) (-5 *3 (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) (-5 *2 (-1041))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-568)) (-5 *3 (-571)))) ((*1 *2 *3) (-12 (-5 *2 (-1165 (-412 (-571)))) (-5 *1 (-948)) (-5 *3 (-571))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-949 (-216)))) (-5 *1 (-1259))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-768)) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-468))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-845)) (-5 *1 (-298 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-4 *4 (-561)) (-4 *5 (-1233 *4)) (-5 *2 (-2 (|:| -4536 (-618 *4 *5)) (|:| -2261 (-412 *5)))) (-5 *1 (-618 *4 *5)) (-5 *3 (-412 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-1157 *3 *4))) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-456)) (-4 *3 (-1053)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1233 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-847)) (-5 *2 (-637 (-637 (-637 *4)))) (-5 *1 (-1175 *4)) (-5 *3 (-637 (-637 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-571))) (-5 *2 (-904 (-571))) (-5 *1 (-918)))) ((*1 *2) (-12 (-5 *2 (-904 (-571))) (-5 *1 (-918))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-371 *3)) (-4 *3 (-173)) (-5 *2 (-1165 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-384)))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-571))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-384))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-688))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-695))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-693))) (-5 *1 (-329)))) ((*1 *1) (-5 *1 (-329)))) 
 (((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-329))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-608 *4)) (-5 *1 (-607 *3 *4)) (-4 *3 (-844)) (-4 *4 (-844))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1129 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39)))))) 
-(((*1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *1) (-5 *1 (-382)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
-(((*1 *1) (-5 *1 (-148)))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1186 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-790)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4562)) (-4 *1 (-407)) (-5 *2 (-919))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *1 (-152 *4 *5 *2)) (-4 *2 (-1228 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1167 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-681 (-311 (-216)))) (-5 *3 (-635 (-1165))) (-5 *4 (-1253 (-311 (-216)))) (-5 *1 (-198)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *3 (-304 *3)) (-4 *3 (-1093)) (-4 *3 (-1199)) (-5 *1 (-289 *3)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-304 *2)) (-4 *2 (-1093)) (-4 *2 (-1199)) (-5 *1 (-289 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *1 (-304 *3)) (-4 *3 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-289 *3)) (-4 *1 (-304 *3)) (-4 *3 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-569))) (-5 *4 (-1167 (-410 (-569)))) (-5 *1 (-305 *2)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *1)) (-4 *1 (-377 *4 *5)) (-4 *4 (-844)) (-4 *5 (-173)))) ((*1 *1 *1 *2 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *4 (-1 *1 *1)) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *4 (-1 *1 (-635 *1))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-765))) (-5 *4 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-765))) (-5 *4 (-635 (-1 *1 *1))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 *1)) (-5 *4 (-1165)) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-610 (-542))))) ((*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1165)) (-4 *1 (-433 *4)) (-4 *4 (-844)) (-4 *4 (-610 (-542))))) ((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *6 (-952 *2 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *2)) (-4 *9 (-642 *2)) (-4 *4 (-922 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-524 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1199)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *5)) (-4 *1 (-524 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1199)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-830 *3)) (-4 *3 (-366)) (-5 *1 (-710 *3)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1093)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *2 (-366)) (-5 *1 (-931 *2 *3 *5 *6 *4)) (-4 *3 (-325 *2 *5)) (-4 *4 (-973 *2)))) ((*1 *2 *2 *3 *2) (-12 (-5 *2 (-410 (-955 *4))) (-5 *3 (-1165)) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-5 *4 (-635 (-410 (-955 *5)))) (-5 *2 (-410 (-955 *5))) (-4 *5 (-559)) (-5 *1 (-1044 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-289 (-410 (-955 *4)))) (-5 *2 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-955 *4))))) (-5 *2 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1145 *3))))) 
-(((*1 *1) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1253 *4)) (|:| |den| *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -4463 (-681 (-410 (-955 *4)))) (|:| |vec| (-635 (-410 (-955 *4)))) (|:| -3358 (-765)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4))))))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2 *3) (-12 (-5 *3 (-974)) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-1 *6 (-635 *6)))) (-4 *5 (-43 (-410 (-569)))) (-4 *6 (-1243 *5)) (-5 *2 (-635 *6)) (-5 *1 (-1245 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1253 (-635 *3))) (-4 *4 (-302)) (-5 *2 (-635 *3)) (-5 *1 (-458 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-1063 *3 *4 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844))))) 
-(((*1 *1 *1) (-5 *1 (-1061)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-635 (-635 (-765)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-325 *4 *7)) (-4 *8 (-117))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-635 *3)) (-5 *1 (-1222 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-765)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-919)) (-5 *2 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-5 *1 (-348 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-302)) (-5 *2 (-765)) (-5 *1 (-458 *5 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-681 *4)) (-5 *1 (-348 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1178))))) 
-(((*1 *2 *3 *2 *2) (-12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-854 *4)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-783))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165))))) 
-(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-159))))) 
-(((*1 *1) (-4 *1 (-351))) ((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-559) (-844) (-151))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-635 (-1161 *5))) (|:| |prim| (-1161 *5)))) (-5 *1 (-435 *4 *5)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-559) (-844) (-151))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1161 *3)) (|:| |pol2| (-1161 *3)) (|:| |prim| (-1161 *3)))) (-5 *1 (-435 *4 *3)) (-4 *3 (-27)) (-4 *3 (-433 *4)))) ((*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-1165)) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1161 *5)))) (-5 *1 (-962 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 *5))) (|:| |prim| (-1161 *5)))) (-5 *1 (-962 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-5 *5 (-1165)) (-4 *6 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 *6))) (|:| |prim| (-1161 *6)))) (-5 *1 (-962 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-955 (-216))) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-765)))) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4)) (-5 *3 (-635 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *5 (-371)) (-5 *2 (-765))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *5))) (-5 *3 (-1161 *5)) (-4 *5 (-167 *4)) (-4 *4 (-551)) (-5 *1 (-153 *4 *5)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-351)) (-5 *1 (-360 *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 (-569)))) (-5 *3 (-1161 (-569))) (-5 *1 (-577)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *1))) (-5 *3 (-1161 *1)) (-4 *1 (-906))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
-(((*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1168))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-302)) (-5 *2 (-410 (-421 (-955 *4)))) (-5 *1 (-1043 *4))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (|partial| -4 *1 (-559))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (|partial| -5 *1 (-765))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-559)) (-5 *1 (-972 *3 *4)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1052 *3 *4 *2 *5 *6)) (-4 *2 (-1049)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-559)))) ((*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-410 (-569))) (-5 *1 (-300))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-515 *3 *4 *5 *6))) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-673 *2)) (-4 *2 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 *5) (-635 *5))) (-5 *4 (-569)) (-5 *2 (-635 *5)) (-5 *1 (-673 *5)) (-4 *5 (-1093))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 (-170 *4)) (-1004) (-1185))) (-5 *1 (-598 *4 *3 *2)) (-4 *3 (-13 (-433 *4) (-1004) (-1185)))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *1) (-5 *1 (-820)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
-(((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) ((*1 *1) (-4 *1 (-1139)))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-2 (|:| -3149 *3) (|:| -3417 *3))) (-5 *1 (-1222 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-13 (-1093) (-39))) (-5 *1 (-1128 *3 *2)) (-4 *3 (-13 (-1093) (-39)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-162)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-844))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 (-569)) (|:| |var| (-608 *1)))) (-4 *1 (-433 *3))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *1 (-680 *4 *5 *6 *2)) (-4 *2 (-679 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-4 *5 (-1228 *4)) (-5 *2 (-1258)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1228 (-410 *5))) (-14 *7 *6)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-57))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *1) (-5 *1 (-159)))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-197))))) 
-(((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |h| *6) (|:| |c1| (-410 *6)) (|:| |c2| (-410 *6)) (|:| -4542 *6))) (-5 *1 (-1018 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-1258))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-410 *1)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559))))) 
-(((*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *5)) (-2 (|:| -1333 *2) (|:| -3190 *5)))) (-4 *2 (-844)) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *7 (-952 *4 *5 (-854 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-826)) (-5 *3 (-1147))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *2 (-635 (-1165))) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3))))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093)))) ((*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-1093)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1093)) (-5 *2 (-121)) (-5 *1 (-1205 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |ir| (-586 (-410 *6))) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) ((*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) ((*1 *1 *1) (-4 *1 (-1058)))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165)))) ((*1 *1 *1) (-4 *1 (-162)))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-679 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1228 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) ((*1 *1 *1 *1) (-1929 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1199))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1199))))) ((*1 *1 *1 *1) (-4 *1 (-366))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1116 *3 (-608 *1))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-614 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-718) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-718) *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)) (-4 *2 (-366)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-653 *2 *4 *3)) (-4 *2 (-709 *4)) (-4 *3 (|SubsetCategory| (-718) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-709 *4)) (-4 *2 (|SubsetCategory| (-718) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 (-311 (-569)) *3)) (-4 *3 (-1093)) (-5 *1 (-676 *3 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-855 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-765))) (-14 *5 (-765)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1052 *3 *4 *2 *5 *6)) (-4 *2 (-1049)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-1080 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1260 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-366)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-790)) (-14 *6 (-635 *3)) (-5 *1 (-1263 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-952 *2 *4 *3)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-366)) (-4 *2 (-1049)) (-4 *3 (-840))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-382)) (-5 *1 (-782 *3)) (-4 *3 (-610 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-382)) (-5 *1 (-782 *3)) (-4 *3 (-610 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5))))) 
-(((*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *6))) (-5 *4 (-1165)) (-5 *2 (-608 *6)) (-4 *6 (-433 *5)) (-4 *5 (-844)) (-5 *1 (-578 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-919)) (-5 *1 (-783))))) 
-(((*1 *1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1 *1) (|partial| -5 *1 (-140))) ((*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-21)))) ((*1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-21))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1181)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1181))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-681 (-955 *4))) (-5 *1 (-1030 *4)) (-4 *4 (-1049))))) 
-(((*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1049)) (-5 *1 (-847 *5 *2)) (-4 *2 (-846 *5))))) 
-(((*1 *1 *1) (-5 *1 (-1061)))) 
-(((*1 *1 *1 *1) (-4 *1 (-25))) ((*1 *1 *1 *1) (-5 *1 (-159))) ((*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-138)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-25))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-1228 *4)) (-5 *2 (-1 *6 (-635 *6))) (-5 *1 (-1246 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-1243 *4))))) 
-(((*1 *1) (-5 *1 (-329)))) 
-(((*1 *1 *1 *1) (-5 *1 (-121)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-635 (-123)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-635 *3)) (-5 *1 (-591 *5 *6 *7 *8 *3)) (-4 *3 (-1102 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1073 *5 *6)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1073 *4 *5)) (-5 *3 (-635 (-955 *4))) (-14 *5 (-635 (-1165))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1073 *5 *6)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165)))))) 
-(((*1 *2) (-12 (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-1145 *4))) (-5 *1 (-1245 *4 *5))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-113))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-351)) (-5 *2 (-421 (-1161 (-1161 *5)))) (-5 *1 (-1198 *5)) (-5 *3 (-1161 (-1161 *5)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-4 *2 (-1049)) (-5 *1 (-706 *2 *4)) (-4 *4 (-638 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-5 *1 (-831 *2)) (-4 *2 (-1049))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-5 *2 (-635 (-1253 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-973 *5)) (-4 *3 (-236 *11))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-675 *4 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-228 *3)))) ((*1 *1) (-12 (-4 *1 (-228 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2899 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 (-1225 *5 *4))) (-5 *1 (-1107 *4 *5)) (-5 *3 (-1225 *5 *4))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-681 (-311 (-569)))) (-5 *1 (-1033))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-765)) (-5 *5 (-635 *3)) (-4 *3 (-302)) (-4 *6 (-844)) (-4 *7 (-790)) (-5 *2 (-121)) (-5 *1 (-618 *6 *7 *3 *8)) (-4 *8 (-952 *3 *7 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-36 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *1 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-123)) (-5 *1 (-164)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *4)) (-4 *4 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-296 *3)) (-4 *3 (-297)))) ((*1 *2 *2) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-844)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *4)) (-4 *4 (-13 (-433 *3) (-1004) (-1185)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1228 (-569)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
-(((*1 *1) (-5 *1 (-1255)))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-1154 *2 *3)) (-4 *3 (-1093))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *1 *1) (-12 (-4 *1 (-900 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1090 *3)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-1172 (-635 *4))) (-5 *1 (-1171 *4)) (-5 *3 (-635 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-371)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) ((*1 *2 *1) (-12 (-4 *2 (-844)) (-5 *1 (-705 *2 *3 *4)) (-4 *3 (-1093)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *3)) (-2 (|:| -1333 *2) (|:| -3190 *3))))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-903 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-1010 *3)) (-4 *3 (-1039 *2))))) 
-(((*1 *2 *3 *2) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2)))))) 
-(((*1 *1 *1) (-4 *1 (-1132)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-1258)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1028 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-574 *3)) (-4 *3 (-1039 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-837 *3))) (-4 *3 (-13 (-1185) (-961) (-29 *5))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-837 *3))) (-5 *5 (-1147)) (-4 *3 (-13 (-1185) (-961) (-29 *6))) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1085 (-837 (-311 *5)))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *5))) (|:| |f2| (-635 (-837 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-410 (-955 *6))) (-5 *4 (-1085 (-837 (-311 *6)))) (-5 *5 (-1147)) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *6))) (|:| |f2| (-635 (-837 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-837 (-410 (-955 *5))))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *5))) (|:| |f2| (-635 (-837 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-837 (-410 (-955 *6))))) (-5 *5 (-1147)) (-5 *3 (-410 (-955 *6))) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *6))) (|:| |f2| (-635 (-837 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 *3 (-635 *3))) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1185) (-961) (-29 *5))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *6 (-1061)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *6 (-1061)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-837 (-382)))) (-5 *5 (-1147)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-837 (-382)))) (-5 *5 (-1165)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-586 (-410 *5))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-3 (-311 *5) (-635 (-311 *5)))) (-5 *1 (-589 *5)))) ((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-732 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-844)) (-4 *3 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-955 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-4 *2 (-844)) (-5 *1 (-1117 *3 *2 *4)) (-4 *4 (-952 *3 (-535 *2) *2)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *1 (-1194 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1212 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1212 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1212 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1233 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1233 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-410 (-955 (-569))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-410 (-955 (-382))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-955 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-955 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-311 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-311 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-569)))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-382)))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 (-569))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 (-382))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-955 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-955 (-382)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-311 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-311 (-382)))) (-4 *1 (-443)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-736 *3 *4))) (-5 *1 (-735 *3 *4)) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559))))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-763)))) ((*1 *1 *2) (-12 (-5 *2 (-1210 *3)) (-4 *3 (-351)) (-5 *1 (-772 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-805)))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *1 (-835)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *1 (-895)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1039 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-1929 (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-3182 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-551))) (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-995 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))))) ((*1 *1 *2) (-1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-184)) (-5 *3 (-569)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-1161 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093))))) 
-(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-1165)) (-4 *2 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *5 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-564)))) ((*1 *2 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-800))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1199))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093))))) 
-(((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-790)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-228 *3)) (-4 *3 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1199)) (-4 *2 (-1093)) (-4 *2 (-844))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *9 (-231 (-2946 *7) (-765))) (-5 *2 (-2 (|:| |mult| (-765)) (|:| |subMult| (-765)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-3124 (QUOTE X) (QUOTE -2866)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-325 *6 *9)) (-4 *5 (-117))))) 
-(((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-170 *4))) (-5 *1 (-158 *3 *4)) (-4 *3 (-1228 (-170 (-569)))) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1245 *3 *2)) (-4 *2 (-1243 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
-(((*1 *1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1 *1) (-5 *1 (-1111)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1137 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-1172 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-765)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-765))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
-(((*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-974))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-765)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
-((-1285 . 836076) (-1286 . 835943) (-1287 . 835787) (-1288 . 835676) (-1289 . 835441) (-1290 . 835078) (-1291 . 834996) (-1292 . 834924) (-1293 . 834868) (-1294 . 834802) (-1295 . 834630) (-1296 . 834504) (-1297 . 834410) (-1298 . 834040) (-1299 . 833583) (-1300 . 833531) (-1301 . 833441) (-1302 . 833064) (-1303 . 832931) (-1304 . 832748) (-1305 . 832695) (-1306 . 832658) (-1307 . 832440) (-1308 . 832384) (-1309 . 832307) (-1310 . 831817) (-1311 . 831692) (-1312 . 831613) (-1313 . 831460) (-1314 . 831404) (-1315 . 831338) (-1316 . 830814) (-1317 . 830619) (-1318 . 830070) (-1319 . 829696) (-1320 . 829479) (-1321 . 824417) (-1322 . 824342) (-1323 . 824239) (-1324 . 817399) (-1325 . 817127) (-1326 . 816426) (-1327 . 816289) (-1328 . 816257) (-1329 . 816063) (-1330 . 815309) (-1331 . 815027) (-1332 . 814924) (-1333 . 814618) (-1334 . 814518) (-1335 . 814423) (-1336 . 814371) (-1337 . 814071) (-1338 . 813775) (-1339 . 813502) (-1340 . 813473) (-1341 . 813402) (-1342 . 813321) (-1343 . 813235) (-1344 . 812238) (-1345 . 812183) (-1346 . 812112) (-1347 . 811940) (-1348 . 811873) (-1349 . 811645) (-1350 . 811490) (-1351 . 811360) (-1352 . 811220) (-1353 . 811096) (-1354 . 810958) (-1355 . 810872) (-1356 . 810580) (-1357 . 810400) (-1358 . 810251) (-1359 . 810003) (-1360 . 809868) (-1361 . 809749) (-1362 . 809668) (-1363 . 809612) (-1364 . 809467) (-1365 . 809344) (-1366 . 808536) (-1367 . 808477) (-1368 . 808443) (-1369 . 808415) (-1370 . 808267) (-1371 . 806760) (-1372 . 806728) (-1373 . 806605) (-1374 . 806508) (-1375 . 806424) (-1376 . 806316) (-1377 . 804717) (-1378 . 804649) (-1379 . 804384) (-1380 . 804243) (-1381 . 804157) (-1382 . 803278) (-1383 . 800895) (-1384 . 800804) (-1385 . 800733) (-1386 . 800583) (-1387 . 800506) (-1388 . 800447) (-1389 . 800172) (-1390 . 800093) (-1391 . 799750) (-1392 . 799668) (-1393 . 799581) (-1394 . 799376) (-1395 . 799309) (-1396 . 798627) (-1397 . 798434) (-1398 . 798358) (-1399 . 798094) (-1400 . 797837) (-1401 . 797414) (-1402 . 797343) (-1403 . 797224) (-1404 . 797140) (-1405 . 797032) (-1406 . 796754) (-1407 . 796549) (-1408 . 796460) (-1409 . 796246) (-1410 . 796184) (-1411 . 795927) (-1412 . 795899) (-1413 . 795747) (-1414 . 795696) (-1415 . 795545) (-1416 . 795400) (-1417 . 795267) (-1418 . 795182) (-1419 . 794600) (-1420 . 794448) (-1421 . 794348) (-1422 . 794204) (-1423 . 794085) (-1424 . 794051) (-1425 . 793953) (-1426 . 793796) (-1427 . 793768) (-1428 . 793616) (-1429 . 793486) (-1430 . 793325) (-1431 . 793128) (-1432 . 793042) (-1433 . 792127) (-1434 . 792046) (-1435 . 791795) (-1436 . 790978) (-1437 . 790865) (-1438 . 790762) (-1439 . 790193) (-1440 . 790120) (-1441 . 790017) (-1442 . 789983) (-1443 . 789932) (-1444 . 789839) (-1445 . 789676) (-1446 . 789586) (-1447 . 789133) (-1448 . 788983) (-1449 . 788884) (-1450 . 788799) (-1451 . 788506) (-1452 . 788472) (-1453 . 788398) (-1454 . 788295) (-1455 . 788221) (-1456 . 787155) (-1457 . 787106) (-1458 . 786813) (-1459 . 786747) (-1460 . 786679) (-1461 . 786545) (-1462 . 786491) (-1463 . 786355) (-1464 . 786242) (-1465 . 786099) (-1466 . 786047) (-1467 . 785977) (-1468 . 785495) (-1469 . 785386) (-1470 . 785179) (-1471 . 784940) (-1472 . 784908) (-1473 . 784698) (-1474 . 784561) (-1475 . 784460) (-1476 . 784360) (-1477 . 784197) (-1478 . 784142) (-1479 . 784068) (-1480 . 783916) (-1481 . 783508) (-1482 . 783350) (-1483 . 783284) (-1484 . 777452) (-1485 . 777363) (-1486 . 777249) (-1487 . 777028) (-1488 . 776953) (-1489 . 776925) (-1490 . 776820) (-1491 . 776584) (-1492 . 776394) (-1493 . 776244) (-1494 . 776165) (-1495 . 776074) (-1496 . 775963) (-1497 . 775495) (-1498 . 775323) (-1499 . 775187) (-1500 . 775159) (-1501 . 774825) (-1502 . 774696) (-1503 . 774591) (-1504 . 773579) (-1505 . 773410) (-1506 . 773288) (-1507 . 773141) (-1508 . 773034) (-1509 . 772929) (-1510 . 772775) (-1511 . 772601) (-1512 . 772513) (-1513 . 772276) (-1514 . 772223) (-1515 . 772119) (-1516 . 771721) (-1517 . 771637) (-1518 . 771468) (-1519 . 771276) (-1520 . 771177) (-1521 . 771089) (-1522 . 771024) (-1523 . 770787) (-1524 . 770529) (-1525 . 770431) (-1526 . 770323) (-1527 . 770260) (-1528 . 770130) (-1529 . 769986) (-1530 . 769582) (-1531 . 769211) (-1532 . 769106) (-1533 . 768901) (-1534 . 768675) (-1535 . 768504) (-1536 . 768366) (-1537 . 768291) (-1538 . 768189) (-1539 . 767940) (-1540 . 767806) (-1541 . 767564) (-1542 . 767522) (-1543 . 767352) (-1544 . 767253) (-1545 . 767179) (-1546 . 767079) (-1547 . 766886) (-1548 . 766770) (-1549 . 766540) (-1550 . 763585) (-1551 . 763510) (-1552 . 763439) (-1553 . 763367) (-1554 . 763224) (-1555 . 763148) (-1556 . 763080) (-1557 . 763011) (-1558 . 762867) (-1559 . 762265) (-1560 . 761333) (-1561 . 761181) (-1562 . 761040) (-1563 . 760922) (-1564 . 760814) (-1565 . 760698) (-1566 . 760646) (-1567 . 760448) (-1568 . 759475) (-1569 . 759333) (-1570 . 758814) (-1571 . 758739) (-1572 . 758253) (-1573 . 758113) (-1574 . 757933) (-1575 . 757291) (-1576 . 757086) (-1577 . 756991) (-1578 . 756743) (-1579 . 756620) (-1580 . 756470) (-1581 . 756336) (-1582 . 756043) (-1583 . 755909) (-1584 . 755756) (-1585 . 755431) (-1586 . 755350) (-1587 . 755184) (-1588 . 754986) (-1589 . 754903) (-1590 . 754854) (-1591 . 754761) (-1592 . 753948) (-1593 . 753772) (-1594 . 753662) (-1595 . 753605) (-1596 . 753331) (-1597 . 753258) (-1598 . 752902) (-1599 . 752849) (-1600 . 752611) (-1601 . 752494) (-1602 . 752170) (-1603 . 751924) (-1604 . 751875) (-1605 . 751823) (-1606 . 751671) (-1607 . 751603) (-1608 . 751293) (-1609 . 751071) (-1610 . 750988) (-1611 . 750712) (-1612 . 750662) (-1613 . 750251) (-1614 . 750155) (-1615 . 750030) (-1616 . 749996) (-1617 . 749858) (-1618 . 749663) (-1619 . 748824) (-1620 . 748636) (-1621 . 748401) (-1622 . 748283) (-1623 . 748175) (-1624 . 748071) (-1625 . 748018) (-1626 . 747922) (-1627 . 747454) (-1628 . 747306) (-1629 . 746388) (-1630 . 746247) (-1631 . 745922) (-1632 . 745870) (-1633 . 745673) (-1634 . 745541) (-1635 . 745365) (-1636 . 745204) (-1637 . 745138) (-1638 . 744840) (-1639 . 744751) (-1640 . 744576) (-1641 . 744524) (-1642 . 744181) (-1643 . 744075) (-1644 . 743676) (-1645 . 743262) (-1646 . 743049) (-1647 . 742973) (-1648 . 742620) (-1649 . 742548) (-1650 . 742459) (-1651 . 742425) (-1652 . 742222) (-1653 . 741782) (-1654 . 741411) (-1655 . 740511) (-1656 . 740364) (-1657 . 740278) (-1658 . 740226) (-1659 . 740113) (-1660 . 739609) (-1661 . 739316) (-1662 . 739266) (-1663 . 738845) (-1664 . 738594) (-1665 . 738217) (-1666 . 737697) (-1667 . 737645) (-1668 . 737012) (-1669 . 736946) (-1670 . 736837) (-1671 . 736769) (-1672 . 736667) (-1673 . 736172) (-1674 . 736144) (-1675 . 735742) (-1676 . 735661) (-1677 . 735504) (-1678 . 735341) (-1679 . 735126) (-1680 . 734955) (-1681 . 734890) (-1682 . 734680) (-1683 . 734560) (-1684 . 734491) (-1685 . 734417) (-1686 . 734132) (-1687 . 733798) (-1688 . 733745) (-1689 . 733628) (-1690 . 733577) (-1691 . 733427) (-1692 . 733306) (-1693 . 733235) (-1694 . 732900) (-1695 . 732792) (-1696 . 732682) (-1697 . 732544) (-1698 . 732396) (-1699 . 732162) (-1700 . 732088) (-1701 . 731962) (-1702 . 731707) (-1703 . 731373) (-1704 . 731231) (-1705 . 731122) (-1706 . 730907) (-1707 . 730757) (-1708 . 730625) (-1709 . 730527) (-1710 . 730287) (-1711 . 730235) (-1712 . 730124) (-1713 . 730006) (-1714 . 729880) (-1715 . 729825) (-1716 . 729775) (-1717 . 729695) (-1718 . 729622) (-1719 . 729498) (-1720 . 729120) (-1721 . 728921) (-1722 . 728830) (-1723 . 728697) (-1724 . 728556) (-1725 . 728382) (-1726 . 728116) (-1727 . 727982) (-1728 . 727898) (-1729 . 727846) (-1730 . 727775) (-1731 . 727559) (-1732 . 727412) (-1733 . 727313) (-1734 . 726997) (-1735 . 726888) (-1736 . 726568) (-1737 . 726420) (-1738 . 726345) (-1739 . 726176) (-1740 . 724481) (-1741 . 724282) (-1742 . 724191) (-1743 . 724091) (-1744 . 723894) (-1745 . 723731) (-1746 . 723480) (-1747 . 723257) (-1748 . 723201) (-1749 . 723078) (-1750 . 723005) (-1751 . 722842) (-1752 . 722595) (-1753 . 722166) (-1754 . 722063) (-1755 . 721825) (-1756 . 719388) (-1757 . 719171) (-1758 . 719102) (-1759 . 719007) (-1760 . 718917) (-1761 . 718818) (-1762 . 718744) (-1763 . 718414) (-1764 . 718280) (-1765 . 718032) (-1766 . 717928) (-1767 . 717241) (-1768 . 717182) (-1769 . 717083) (-1770 . 716940) (-1771 . 716880) (-1772 . 716503) (-1773 . 716423) (-1774 . 716287) (-1775 . 716153) (-1776 . 716061) (-1777 . 713624) (-1778 . 713515) (-1779 . 713418) (-1780 . 712984) (-1781 . 712880) (-1782 . 712412) (-1783 . 712258) (-1784 . 712131) (-1785 . 711921) (-1786 . 711774) (-1787 . 711501) (-1788 . 709537) (-1789 . 709212) (-1790 . 709072) (-1791 . 708936) (-1792 . 708820) (-1793 . 708054) (-1794 . 707817) (-1795 . 707508) (-1796 . 707471) (-1797 . 707375) (-1798 . 707273) (-1799 . 706690) (-1800 . 706593) (-1801 . 706540) (-1802 . 706376) (-1803 . 706068) (-1804 . 704714) (-1805 . 704590) (-1806 . 704437) (-1807 . 704338) (-1808 . 704129) (-1809 . 704041) (-1810 . 703989) (-1811 . 703908) (-1812 . 703729) (-1813 . 703641) (-1814 . 703549) (-1815 . 703426) (-1816 . 702909) (-1817 . 702817) (-1818 . 702250) (-1819 . 702072) (-1820 . 701897) (-1821 . 701830) (-1822 . 701686) (-1823 . 701629) (-1824 . 701454) (-1825 . 701286) (-1826 . 701089) (-1827 . 700999) (-1828 . 700712) (-1829 . 700639) (-1830 . 700250) (-1831 . 700219) (-1832 . 699966) (-1833 . 699247) (-1834 . 699173) (-1835 . 698882) (-1836 . 698776) (-1837 . 698669) (-1838 . 698259) (-1839 . 698145) (-1840 . 698059) (-1841 . 697978) (-1842 . 697918) (-1843 . 697861) (-1844 . 697700) (-1845 . 693776) (-1846 . 693716) (-1847 . 693629) (-1848 . 693491) (-1849 . 693420) (-1850 . 693310) (-1851 . 693226) (-1852 . 693195) (-1853 . 692864) (-1854 . 692602) (-1855 . 692441) (-1856 . 692368) (-1857 . 692246) (-1858 . 692152) (-1859 . 692078) (-1860 . 691966) (-1861 . 691353) (-1862 . 691290) (-1863 . 691051) (-1864 . 690639) (-1865 . 690527) (-1866 . 690417) (-1867 . 690042) (-1868 . 689945) (-1869 . 689847) (-1870 . 689692) (-1871 . 689476) (-1872 . 689298) (-1873 . 689085) (-1874 . 688919) (-1875 . 688822) (-1876 . 688514) (-1877 . 688430) (-1878 . 688355) (-1879 . 688327) (-1880 . 688218) (-1881 . 688128) (-1882 . 688100) (-1883 . 687817) (-1884 . 687742) (-1885 . 687690) (-1886 . 687538) (-1887 . 687480) (-1888 . 687292) (-1889 . 686979) (-1890 . 686640) (-1891 . 686489) (-1892 . 686334) (-1893 . 686113) (-1894 . 685868) (-1895 . 685793) (-1896 . 684987) (-1897 . 684659) (-1898 . 684169) (-1899 . 684000) (-1900 . 683861) (-1901 . 683658) (-1902 . 683511) (-1903 . 683403) (-1904 . 683341) (-1905 . 683223) (-1906 . 682746) (-1907 . 682613) (-1908 . 682277) (-1909 . 681660) (-1910 . 681444) (-1911 . 681313) (-1912 . 680693) (-1913 . 680437) (-1914 . 680409) (-1915 . 680206) (-1916 . 680138) (-1917 . 680034) (-1918 . 679960) (-1919 . 679894) (-1920 . 679609) (-1921 . 679506) (-1922 . 679179) (-1923 . 678998) (-1924 . 678699) (-1925 . 678408) (-1926 . 678341) (-1927 . 678113) (-1928 . 677793) (-1929 . 677638) (-1930 . 677518) (-1931 . 677437) (-1932 . 677388) (-1933 . 677238) (-1934 . 677083) (-12 . 676928) (-1936 . 676865) (-1937 . 676790) (-1938 . 676719) (-1939 . 676618) (-1940 . 675843) (-1941 . 675627) (-1942 . 675507) (-1943 . 675424) (-1944 . 675281) (-1945 . 675099) (-1946 . 674990) (-1947 . 674429) (-1948 . 674021) (-1949 . 673924) (-1950 . 673852) (-1951 . 673800) (-1952 . 673693) (-1953 . 673575) (-1954 . 673406) (-1955 . 673317) (-1956 . 673218) (-1957 . 672896) (-1958 . 672807) (-1959 . 672737) (-1960 . 672650) (-1961 . 672218) (-1962 . 671762) (-1963 . 671712) (-1964 . 671601) (-1965 . 671239) (-1966 . 671121) (-1967 . 671018) (-1968 . 670968) (-1969 . 670912) (-1970 . 670826) (-1971 . 670723) (-1972 . 670671) (-1973 . 670513) (-1974 . 670373) (-1975 . 670260) (-1976 . 669903) (-1977 . 669607) (-1978 . 669507) (-1979 . 669317) (-1980 . 669197) (-1981 . 669131) (-1982 . 669078) (* . 664573) (-1984 . 664477) (-1985 . 664389) (-1986 . 663812) (-1987 . 663699) (-1988 . 663615) (-1989 . 663512) (-1990 . 663395) (-1991 . 663323) (-1992 . 662952) (-1993 . 662827) (-1994 . 662622) (-1995 . 662557) (-1996 . 662330) (-1997 . 661381) (-1998 . 661056) (-1999 . 660935) (-2000 . 660084) (-2001 . 659929) (-2002 . 659856) (-2003 . 659803) (-2004 . 659646) (-2005 . 659280) (-2006 . 658569) (-2007 . 658434) (-2008 . 658166) (-2009 . 657038) (-2010 . 657009) (-2011 . 656902) (-2012 . 656827) (-2013 . 656693) (-2014 . 656634) (-2015 . 656362) (-2016 . 656190) (-2017 . 655967) (-2018 . 655512) (-2019 . 655441) (-2020 . 655311) (-2021 . 655237) (-2022 . 655157) (-2023 . 654785) (-2024 . 654681) (-2025 . 654504) (-2026 . 654448) (-2027 . 654362) (-2028 . 654146) (-2029 . 654057) (-2030 . 654004) (-2031 . 653954) (-2032 . 653792) (-2033 . 653730) (-2034 . 653341) (-2035 . 653162) (-2036 . 653056) (-2037 . 652939) (-2038 . 652853) (-2039 . 652771) (-2040 . 652714) (-2041 . 652625) (-2042 . 652514) (-2043 . 652307) (-2044 . 651972) (-2045 . 651912) (-2046 . 651787) (-2047 . 651676) (-2048 . 651549) (-2049 . 651008) (-2050 . 650931) (-2051 . 650862) (-2052 . 650805) (-2053 . 650670) (-2054 . 650166) (-2055 . 650087) (-2056 . 649868) (-2057 . 649539) (-2058 . 649295) (-2059 . 649086) (-2060 . 648946) (-2061 . 648894) (-2062 . 648812) (-2063 . 648722) (-2064 . 648603) (-2065 . 648253) (-2066 . 648127) (-2067 . 647975) (-2068 . 647797) (-2069 . 647693) (-2070 . 647593) (-2071 . 647436) (-2072 . 647229) (-2073 . 647156) (-2074 . 647050) (-2075 . 646955) (-2076 . 646772) (-2077 . 646619) (-2078 . 646072) (-2079 . 645931) (-2080 . 644839) (-2081 . 644787) (-2082 . 644659) (-2083 . 644236) (-2084 . 643943) (-2085 . 643407) (-2086 . 643154) (-2087 . 642197) (-2088 . 642065) (-2089 . 641369) (-2090 . 641216) (-2091 . 640032) (-2092 . 639980) (-2093 . 639923) (-2094 . 639873) (-2095 . 639817) (-2096 . 639143) (-2097 . 638571) (-2098 . 638018) (-2099 . 637655) (-2100 . 637377) (-2101 . 637309) (-2102 . 636733) (-2103 . 636525) (-2104 . 636422) (-2105 . 636315) (-2106 . 636233) (-2107 . 636095) (-2108 . 635417) (-2109 . 635111) (-2110 . 634765) (-2111 . 634712) (-2112 . 634626) (-2113 . 634535) (-2114 . 634031) (-2115 . 633958) (-2116 . 633857) (-2117 . 633707) (-2118 . 633655) (-2119 . 633551) (-2120 . 633226) (-2121 . 632267) (-2122 . 632154) (-2123 . 632088) (-2124 . 631365) (-2125 . 631270) (-2126 . 630969) (-2127 . 630852) (-2128 . 630690) (-2129 . 630605) (-2130 . 630516) (-2131 . 629902) (-2132 . 629821) (-2133 . 629707) (-2134 . 629545) (-2135 . 629479) (-2136 . 629372) (-2137 . 629238) (-2138 . 629067) (-2139 . 629038) (-2140 . 628574) (-2141 . 628261) (-2142 . 627953) (-2143 . 627826) (-2144 . 627795) (-2145 . 627687) (-2146 . 627597) (-2147 . 627478) (-2148 . 627244) (-2149 . 627185) (-2150 . 627086) (-2151 . 627033) (-2152 . 626920) (-2153 . 626815) (-2154 . 626576) (-2155 . 626542) (-2156 . 626365) (-2157 . 626094) (-2158 . 626008) (-2159 . 625889) (-2160 . 625760) (-2161 . 625679) (-2162 . 625598) (-2163 . 625468) (-2164 . 625334) (-2165 . 625255) (-2166 . 624934) (-2167 . 624860) (-2168 . 624758) (-2169 . 624669) (-2170 . 624614) (-2171 . 624005) (-2172 . 623870) (-2173 . 623745) (-2174 . 623041) (-2175 . 622667) (-2176 . 622611) (-2177 . 622540) (-2178 . 622375) (-2179 . 622294) (-2180 . 622158) (-2181 . 622081) (-2182 . 622024) (-2183 . 621952) (-2184 . 621558) (-2185 . 621080) (-2186 . 620884) (-2187 . 620796) (-2188 . 620706) (-2189 . 620651) (-2190 . 620477) (-2191 . 620375) (-2192 . 620140) (-2193 . 620047) (-2194 . 619944) (-2195 . 619822) (-2196 . 618661) (-2197 . 618594) (-2198 . 618538) (-2199 . 618406) (-2200 . 617448) (-2201 . 617325) (-2202 . 617198) (-2203 . 617130) (-2204 . 617078) (-2205 . 616865) (-2206 . 616667) (-2207 . 616596) (-2208 . 616492) (-2209 . 616348) (-2210 . 615981) (-2211 . 615925) (-2212 . 615836) (-2213 . 615768) (-2214 . 615568) (-2215 . 615301) (-2216 . 615129) (-2217 . 615066) (-2218 . 614853) (-2219 . 614801) (-2220 . 614649) (-2221 . 614565) (-2222 . 614481) (-2223 . 614383) (-2224 . 614285) (-2225 . 613911) (-2226 . 613775) (-2227 . 613695) (-2228 . 613449) (-2229 . 613398) (-2230 . 613081) (-2231 . 613001) (-2232 . 612780) (-2233 . 612679) (-2234 . 612617) (-2235 . 612499) (-2236 . 612022) (-2237 . 611674) (-2238 . 611433) (-2239 . 611257) (-2240 . 611143) (-2241 . 610769) (-2242 . 610659) (-2243 . 610502) (-2244 . 610377) (-2245 . 610061) (-2246 . 609689) (-2247 . 608558) (-2248 . 608447) (-2249 . 608365) (-2250 . 608021) (-2251 . 607904) (-2252 . 607749) (-2253 . 607564) (-2254 . 607453) (-2255 . 607375) (-2256 . 607304) (-2257 . 607052) (-2258 . 606655) (-2259 . 606432) (-2260 . 606189) (-2261 . 606094) (-2262 . 606014) (-2263 . 605859) (-2264 . 605806) (-2265 . 605693) (-2266 . 605534) (-2267 . 605482) (-2268 . 605348) (-2269 . 605251) (-2270 . 605080) (-2271 . 604826) (-2272 . 604235) (-2273 . 604179) (-2274 . 604007) (-2275 . 603859) (-2276 . 603803) (-2277 . 603675) (-2278 . 603436) (-2279 . 599698) (-2280 . 599546) (-2281 . 599461) (-2282 . 599427) (-2283 . 599291) (-2284 . 596914) (-2285 . 596674) (-2286 . 596575) (-2287 . 596541) (-2288 . 596479) (-2289 . 596422) (-2290 . 596370) (-2291 . 596037) (-2292 . 595938) (-2293 . 595845) (-2294 . 595751) (-2295 . 595678) (-2296 . 595626) (-2297 . 595538) (-2298 . 595451) (-2299 . 595355) (-2300 . 595240) (-2301 . 595187) (-2302 . 595071) (-2303 . 594977) (-2304 . 594852) (-2305 . 594756) (-2306 . 594011) (-2307 . 593937) (-2308 . 593909) (-2309 . 593585) (-2310 . 593472) (-2311 . 593345) (-2312 . 593195) (-2313 . 593115) (-2314 . 593081) (-2315 . 592966) (-2316 . 592875) (-2317 . 592751) (-2318 . 592668) (-2319 . 592570) (-2320 . 591749) (-2321 . 591602) (-2322 . 591482) (-2323 . 591361) (-2324 . 591049) (-2325 . 590727) (-2326 . 590699) (-2327 . 590634) (-2328 . 590432) (-2329 . 590311) (-2330 . 590145) (-2331 . 590041) (-2332 . 589908) (-2333 . 589857) (-2334 . 589754) (-2335 . 589652) (-2336 . 589482) (-2337 . 588886) (-2338 . 588678) (-2339 . 588604) (-2340 . 588517) (-2341 . 588418) (-2342 . 588201) (-2343 . 588098) (-2344 . 588028) (-2345 . 587911) (-2346 . 587821) (-2347 . 587725) (-2348 . 587596) (-2349 . 587355) (-2350 . 586873) (-2351 . 584746) (-2352 . 584606) (-2353 . 584510) (-2354 . 584407) (-2355 . 584272) (-2356 . 584100) (-2357 . 583904) (-2358 . 583845) (-2359 . 583712) (-2360 . 583607) (-2361 . 583548) (-2362 . 583474) (-2363 . 583110) (-2364 . 582955) (-2365 . 582650) (-2366 . 582517) (-2367 . 582137) (-2368 . 581600) (-2369 . 581508) (-2370 . 581427) (-2371 . 581324) (-2372 . 581238) (-2373 . 581136) (-2374 . 580863) (-2375 . 580710) (-2376 . 580475) (-2377 . 580338) (-2378 . 580252) (-2379 . 580157) (-2380 . 580056) (-2381 . 579849) (-2382 . 579432) (-2383 . 579256) (-2384 . 579165) (-2385 . 579079) (-2386 . 578927) (-2387 . 578692) (-2388 . 578562) (-2389 . 578464) (-2390 . 577790) (-2391 . 577704) (-2392 . 577630) (-2393 . 577481) (-2394 . 577281) (-2395 . 577150) (-2396 . 576995) (-2397 . 576906) (-2398 . 576820) (-2399 . 576746) (-2400 . 576524) (-2401 . 576420) (-2402 . 575996) (-2403 . 575923) (-2404 . 575837) (-2405 . 575722) (-2406 . 575602) (-2407 . 575434) (-2408 . 575342) (-2409 . 575286) (-2410 . 575196) (-2411 . 575110) (-2412 . 574953) (-2413 . 574304) (-2414 . 574069) (-2415 . 573712) (-2416 . 573629) (-2417 . 573432) (-2418 . 573316) (-2419 . 573230) (-2420 . 573159) (-2421 . 572923) (-2422 . 572870) (-2423 . 572736) (-2424 . 572523) (-2425 . 572449) (-2426 . 572363) (-2427 . 572299) (-2428 . 572202) (-2429 . 572099) (-2430 . 572007) (-2431 . 571855) (-2432 . 571769) (-2433 . 571702) (-2434 . 571369) (-2435 . 571280) (-2436 . 571179) (-2437 . 571031) (-2438 . 570939) (-2439 . 570865) (-2440 . 570630) (-2441 . 570447) (-2442 . 569658) (-2443 . 569560) (-2444 . 569485) (-2445 . 569399) (-2446 . 568794) (-2447 . 568689) (-2448 . 568598) (-2449 . 568498) (-2450 . 568416) (-2451 . 568317) (-2452 . 568231) (-2453 . 568107) (-2454 . 568045) (-2455 . 567948) (-2456 . 567578) (-2457 . 567460) (-2458 . 567374) (-2459 . 567127) (-2460 . 567056) (-2461 . 566968) (-2462 . 566915) (-2463 . 566823) (-2464 . 566737) (-2465 . 566447) (-2466 . 565978) (-2467 . 565874) (-2468 . 565752) (-2469 . 565681) (-2470 . 565595) (-2471 . 565380) (-2472 . 565284) (-2473 . 565101) (-2474 . 564851) (-2475 . 564785) (-2476 . 564705) (-2477 . 564641) (-2478 . 564548) (-2479 . 564472) (-2480 . 564281) (-2481 . 564039) (-2482 . 563955) (-2483 . 563898) (-2484 . 563803) (-2485 . 563712) (-2486 . 563659) (-2487 . 563569) (-2488 . 563250) (-2489 . 563167) (-2490 . 563075) (-2491 . 562870) (-2492 . 562625) (-2493 . 562555) (-2494 . 562304) (-2495 . 562252) (-2496 . 562160) (-2497 . 562070) (-2498 . 562015) (-2499 . 561926) (-2500 . 561661) (-2501 . 561452) (-2502 . 561363) (-2503 . 556265) (-2504 . 556212) (-2505 . 555938) (-2506 . 555706) (-2507 . 555306) (-2508 . 555231) (-2509 . 555145) (-2510 . 554952) (-2511 . 553567) (-2512 . 553022) (-2513 . 552914) (-2514 . 552833) (-2515 . 552769) (-2516 . 552574) (-2517 . 552402) (-2518 . 552293) (-2519 . 552199) (-2520 . 552096) (-2521 . 551855) (-2522 . 551637) (-2523 . 551563) (-2524 . 551477) (-2525 . 551424) (-2526 . 551390) (-2527 . 551140) (-2528 . 550839) (-2529 . 550741) (-2530 . 550612) (-2531 . 550455) (-2532 . 550293) (-2533 . 550001) (-2534 . 549910) (-2535 . 549623) (-2536 . 549292) (-2537 . 549206) (-2538 . 549075) (-2539 . 548942) (-2540 . 548377) (-2541 . 546772) (-2542 . 546744) (-2543 . 546581) (-2544 . 546553) (-2545 . 546452) (-2546 . 546137) (-2547 . 545978) (-2548 . 545733) (-2549 . 545705) (-2550 . 545516) (-2551 . 545430) (-2552 . 545227) (-2553 . 544713) (-2554 . 544589) (-2555 . 544350) (-2556 . 544274) (-2557 . 543721) (-2558 . 543561) (-2559 . 543491) (-2560 . 543438) (-2561 . 543362) (-2562 . 543211) (-2563 . 543074) (-2564 . 543022) (-2565 . 542864) (-2566 . 542790) (-2567 . 542700) (-2568 . 542616) (-2569 . 542524) (-2570 . 542428) (-2571 . 542242) (-2572 . 542027) (-2573 . 541825) (-2574 . 541766) (-2575 . 541626) (-2576 . 541523) (-2577 . 541437) (-2578 . 541259) (-2579 . 540766) (-2580 . 540632) (-2581 . 540558) (-2582 . 540502) (-2583 . 540351) (-2584 . 540193) (-2585 . 540123) (-2586 . 540019) (-2587 . 539909) (-2588 . 539852) (-2589 . 539742) (-2590 . 539587) (-2591 . 539501) (-2592 . 539384) (-2593 . 539292) (-2594 . 539032) (-2595 . 538748) (-2596 . 538695) (-2597 . 538537) (-2598 . 538271) (-2599 . 538160) (-2600 . 538081) (-2601 . 537119) (-2602 . 537087) (-2603 . 536954) (-2604 . 536840) (-2605 . 536361) (-2606 . 536279) (-2607 . 535962) (-2608 . 535860) (-2609 . 535727) (-2610 . 535669) (-2611 . 534531) (-2612 . 534460) (-2613 . 534362) (-2614 . 534291) (-2615 . 534205) (-2616 . 534104) (-2617 . 533566) (-2618 . 533081) (-2619 . 532916) (-2620 . 532846) (-2621 . 532760) (-2622 . 532648) (-2623 . 532589) (-2624 . 532555) (-2625 . 532452) (-2626 . 532366) (-2627 . 532269) (-2628 . 532080) (-2629 . 531906) (-2630 . 531685) (-2631 . 531304) (-2632 . 531116) (-2633 . 531030) (-2634 . 530672) (-2635 . 530368) (-2636 . 530265) (-2637 . 530001) (-2638 . 529910) (-2639 . 529715) (-2640 . 529527) (-2641 . 529352) (-2642 . 529278) (-2643 . 529191) (-2644 . 529138) (-2645 . 528996) (-2646 . 528714) (-2647 . 528562) (-2648 . 528297) (-2649 . 528248) (-2650 . 528035) (-2651 . 527951) (-2652 . 527689) (-2653 . 527592) (-2654 . 527561) (-2655 . 527449) (-2656 . 527381) (-2657 . 527302) (-2658 . 527236) (-2659 . 526918) (-2660 . 526767) (-2661 . 526605) (-2662 . 526425) (-2663 . 526265) (-2664 . 525564) (-2665 . 525471) (-2666 . 525345) (-2667 . 525316) (-2668 . 525264) (-2669 . 525184) (-2670 . 525073) (-2671 . 524921) (-2672 . 524816) (-2673 . 524718) (-2674 . 524551) (-2675 . 523593) (-2676 . 523249) (-2677 . 522798) (-2678 . 522705) (-2679 . 522616) (-2680 . 522483) (-2681 . 522421) (-2682 . 522106) (-2683 . 521823) (-2684 . 521731) (-2685 . 521559) (-2686 . 521255) (-2687 . 521150) (-2688 . 520871) (-2689 . 520806) (-2690 . 520693) (-2691 . 519350) (-2692 . 519122) (-2693 . 518829) (-2694 . 518640) (-2695 . 518538) (-2696 . 518230) (-2697 . 518141) (-2698 . 517994) (-2699 . 517941) (-2700 . 517809) (-2701 . 517374) (-2702 . 517182) (-2703 . 517049) (-2704 . 516834) (-2705 . 516661) (-2706 . 516449) (-2707 . 516347) (-2708 . 516042) (-2709 . 515826) (-2710 . 515403) (-2711 . 515325) (-2712 . 515252) (-2713 . 514929) (-2714 . 514845) (-2715 . 514716) (-2716 . 514612) (-2717 . 514494) (-2718 . 513703) (-2719 . 513165) (-2720 . 513059) (-2721 . 512748) (-2722 . 512626) (-2723 . 512468) (-2724 . 512224) (-2725 . 511923) (-2726 . 511866) (-2727 . 511789) (-2728 . 511587) (-2729 . 511430) (-2730 . 511364) (-2731 . 511017) (-2732 . 510986) (-2733 . 510905) (-2734 . 510795) (-2735 . 510743) (-2736 . 510691) (-2737 . 510625) (-2738 . 510330) (-2739 . 510135) (-2740 . 509996) (-2741 . 509838) (-2742 . 509785) (-2743 . 509601) (-2744 . 509509) (-2745 . 509144) (-2746 . 508949) (-2747 . 508782) (-2748 . 508712) (-2749 . 508586) (-2750 . 508532) (-2751 . 508479) (-2752 . 508341) (-2753 . 508201) (-2754 . 508132) (-2755 . 507984) (-2756 . 507731) (-2757 . 507670) (-2758 . 507546) (-2759 . 507514) (-2760 . 507459) (-2761 . 507366) (-2762 . 507288) (-2763 . 506898) (-2764 . 506783) (-2765 . 506710) (-2766 . 506579) (-2767 . 506431) (-2768 . 506348) (-2769 . 506266) (-2770 . 506117) (-2771 . 506051) (-2772 . 505993) (-2773 . 505618) (-2774 . 504722) (-2775 . 504614) (-2776 . 504268) (-2777 . 504169) (-2778 . 503357) (-2779 . 503275) (-2780 . 503209) (-2781 . 503139) (-2782 . 503060) (-2783 . 502554) (-2784 . 502277) (-2785 . 501922) (-2786 . 501014) (-2787 . 500846) (-2788 . 500788) (-2789 . 500674) (-2790 . 500538) (-2791 . 500449) (-2792 . 500365) (-2793 . 496755) (-2794 . 496637) (-2795 . 496475) (-2796 . 496367) (-2797 . 496252) (-2798 . 495849) (-2799 . 495768) (-2800 . 495633) (-2801 . 495552) (-2802 . 495251) (-2803 . 495136) (-2804 . 494937) (-2805 . 494563) (-2806 . 494437) (-2807 . 494287) (-2808 . 494153) (-2809 . 494008) (-2810 . 493927) (-2811 . 493864) (-2812 . 493798) (-2813 . 493230) (-2814 . 493108) (-2815 . 492970) (-2816 . 492386) (-2817 . 492327) (-2818 . 491977) (-2819 . 491840) (-2820 . 491730) (-2821 . 491215) (-2822 . 491163) (-2823 . 491055) (-2824 . 490922) (-2825 . 490727) (-2826 . 490575) (-2827 . 490471) (-2828 . 490327) (-2829 . 490237) (-2830 . 490184) (-2831 . 490074) (-2832 . 489885) (-2833 . 489833) (-2834 . 489631) (-2835 . 489505) (-2836 . 489431) (-2837 . 489365) (-2838 . 489293) (-2839 . 489219) (-2840 . 489040) (-2841 . 488929) (-2842 . 488709) (-2843 . 488523) (-2844 . 488455) (-2845 . 488385) (-2846 . 488278) (-2847 . 486836) (-2848 . 486676) (-2849 . 486273) (-2850 . 486202) (-2851 . 485909) (-2852 . 485857) (-2853 . 485768) (-2854 . 485696) (-2855 . 485560) (-2856 . 485449) (-2857 . 485030) (-2858 . 484975) (-2859 . 484898) (-2860 . 484842) (-2861 . 484733) (-2862 . 484595) (-2863 . 484524) (-2864 . 484443) (-2865 . 484324) (-2866 . 484066) (-2867 . 483859) (-2868 . 483786) (-2869 . 483680) (-2870 . 483445) (-2871 . 483320) (-2872 . 483239) (-2873 . 483099) (-2874 . 482990) (-2875 . 482815) (-2876 . 482719) (-2877 . 482629) (-2878 . 482310) (-2879 . 482015) (-2880 . 473122) (-2881 . 472932) (-2882 . 472835) (-2883 . 472757) (-2884 . 472682) (-2885 . 472629) (-2886 . 472458) (-2887 . 472189) (-2888 . 471782) (-2889 . 471727) (-2890 . 471654) (-2891 . 471564) (-2892 . 471431) (-2893 . 471353) (-2894 . 470866) (-2895 . 470790) (-2896 . 470741) (-2897 . 470672) (-2898 . 470594) (-2899 . 470499) (-2900 . 466818) (-2901 . 465977) (-2902 . 465867) (-2903 . 465556) (-2904 . 465179) (-2905 . 464738) (-2906 . 464686) (-2907 . 463849) (-2908 . 463692) (-2909 . 463637) (-2910 . 463401) (-2911 . 463301) (-2912 . 463197) (-2913 . 463142) (-2914 . 462651) (-2915 . 462620) (-2916 . 462537) (-2917 . 462452) (-2918 . 462339) (-2919 . 462200) (-2920 . 462134) (-2921 . 461502) (-2922 . 461289) (-2923 . 461216) (-2924 . 460897) (-2925 . 460223) (-2926 . 459665) (-2927 . 459067) (-2928 . 459011) (-2929 . 458959) (-2930 . 458546) (-2931 . 458407) (-2932 . 458083) (-2933 . 458003) (-2934 . 457890) (-2935 . 457817) (-2936 . 457721) (-2937 . 457544) (-2938 . 457419) (-2939 . 457324) (-2940 . 457169) (-2941 . 457037) (-2942 . 456971) (-2943 . 456887) (-2944 . 456797) (-2945 . 456670) (-2946 . 455920) (-2947 . 455753) (-2948 . 455649) (-2949 . 455520) (-2950 . 455360) (-2951 . 455213) (-2952 . 455088) (-2953 . 455001) (-2954 . 454634) (-2955 . 454516) (-2956 . 454397) (-2957 . 454315) (-2958 . 454179) (-2959 . 454039) (-2960 . 452704) (-2961 . 452645) (-2962 . 451526) (-2963 . 451451) (-2964 . 451378) (-2965 . 451234) (-2966 . 450235) (-2967 . 449907) (-2968 . 449804) (-2969 . 449709) (-2970 . 449660) (-2971 . 449537) (-2972 . 449165) (-2973 . 449092) (-2974 . 449064) (-2975 . 448975) (-2976 . 448891) (-2977 . 448832) (-2978 . 448738) (-2979 . 448535) (-2980 . 448389) (-2981 . 447608) (-2982 . 447507) (-2983 . 447389) (-2984 . 447237) (-2985 . 446543) (-2986 . 446136) (-2987 . 445951) (-2988 . 445855) (-2989 . 445800) (-2990 . 445323) (-2991 . 445143) (-2992 . 445091) (-2993 . 444984) (-2994 . 444677) (-2995 . 444512) (-2996 . 444435) (-2997 . 443709) (-2998 . 443557) (-2999 . 443342) (-3000 . 443264) (-3001 . 442994) (-3002 . 442736) (-3003 . 438561) (-3004 . 438464) (-3005 . 438342) (-3006 . 438223) (-3007 . 438151) (-3008 . 438058) (-3009 . 438006) (-3010 . 437408) (-3011 . 437288) (-3012 . 436065) (-3013 . 435947) (-3014 . 435809) (-3015 . 435743) (-3016 . 434904) (-3017 . 434853) (-3018 . 434801) (-3019 . 434528) (-3020 . 434415) (-3021 . 434299) (-3022 . 434208) (-3023 . 434124) (-3024 . 434006) (-3025 . 433951) (-3026 . 433917) (-3027 . 433832) (-3028 . 433632) (-3029 . 433532) (-3030 . 433443) (-3031 . 433390) (-3032 . 433065) (-3033 . 432036) (-3034 . 432008) (-3035 . 431656) (-3036 . 431076) (-3037 . 427152) (-3038 . 427053) (-3039 . 426962) (-3040 . 426862) (-3041 . 426725) (-3042 . 426468) (-3043 . 426252) (-3044 . 425531) (-3045 . 425445) (-3046 . 423733) (-3047 . 423626) (-3048 . 423566) (-3049 . 423280) (-3050 . 423214) (-3051 . 422802) (-3052 . 422297) (-3053 . 422140) (-3054 . 421923) (-3055 . 420822) (-3056 . 420732) (-3057 . 420507) (-3058 . 420388) (-3059 . 420113) (-3060 . 419999) (-3061 . 419672) (-3062 . 419534) (-3063 . 419371) (-3064 . 419319) (-3065 . 419267) (-3066 . 419166) (-3067 . 418923) (-3068 . 418839) (-3069 . 418701) (-3070 . 418601) (-3071 . 418525) (-3072 . 418021) (-3073 . 417869) (-3074 . 417643) (-3075 . 417545) (-3076 . 417492) (-3077 . 417389) (-3078 . 417286) (-3079 . 417171) (-3080 . 417121) (-3081 . 417054) (-3082 . 416897) (-3083 . 416698) (-3084 . 416123) (-3085 . 416095) (-3086 . 415953) (-3087 . 415814) (-3088 . 415140) (-3089 . 414580) (-3090 . 414357) (-3091 . 414256) (-3092 . 414052) (-3093 . 413880) (-3094 . 413573) (-3095 . 413473) (-3096 . 413439) (-3097 . 413336) (-3098 . 413270) (-3099 . 413198) (-3100 . 409274) (-3101 . 408994) (-3102 . 408913) (-3103 . 408805) (-3104 . 408645) (-3105 . 408520) (-3106 . 408382) (-3107 . 408330) (-3108 . 408241) (-3109 . 408012) (-3110 . 407955) (-3111 . 407865) (-3112 . 407765) (-3113 . 407695) (-3114 . 407563) (-3115 . 405526) (-3116 . 405425) (-3117 . 405243) (-3118 . 405190) (-3119 . 405130) (-3120 . 405078) (-3121 . 405016) (-3122 . 404829) (-3123 . 404748) (-3124 . 402210) (-3125 . 402136) (-3126 . 402039) (-3127 . 401403) (-3128 . 401348) (-3129 . 400997) (-3130 . 400948) (-3131 . 400882) (-3132 . 399417) (-3133 . 399348) (-3134 . 399269) (-3135 . 398709) (-3136 . 398530) (-3137 . 398405) (-3138 . 398083) (-3139 . 392593) (-3140 . 392170) (-3141 . 392093) (-3142 . 392019) (-3143 . 391967) (-3144 . 391782) (-3145 . 391653) (-3146 . 391468) (-3147 . 391027) (-3148 . 390870) (-3149 . 390542) (-3150 . 390395) (-3151 . 390278) (-3152 . 390065) (-3153 . 390012) (-3154 . 389960) (-3155 . 389623) (-3156 . 389218) (-3157 . 389066) (-3158 . 388868) (-3159 . 388720) (-3160 . 388450) (-3161 . 388372) (-3162 . 388220) (-3163 . 388186) (-3164 . 387806) (-3165 . 387604) (-3166 . 387502) (-3167 . 387354) (-3168 . 387280) (-3169 . 387102) (-3170 . 387043) (-3171 . 386765) (-3172 . 386683) (-3173 . 386558) (-3174 . 386395) (-3175 . 385462) (-3176 . 385387) (-3177 . 385317) (-3178 . 385031) (-3179 . 383484) (-3180 . 383408) (-3181 . 383216) (-3182 . 383100) (-3183 . 382979) (-3184 . 382840) (-3185 . 382771) (-3186 . 382362) (-3187 . 381546) (-3188 . 381472) (-3189 . 381346) (-3190 . 380888) (-3191 . 380789) (-3192 . 380692) (-3193 . 380452) (-3194 . 380292) (-3195 . 379075) (-3196 . 378950) (-3197 . 378846) (-3198 . 378712) (-3199 . 378663) (-3200 . 378631) (-3201 . 378429) (-3202 . 376560) (-3203 . 376503) (-3204 . 376444) (-3205 . 376392) (-3206 . 375806) (-3207 . 375412) (-3208 . 375152) (-3209 . 375078) (-3210 . 375007) (-3211 . 374927) (-3212 . 374864) (-3213 . 374754) (-3214 . 374560) (-3215 . 374461) (-3216 . 373963) (-3217 . 373913) (-3218 . 373762) (-3219 . 373670) (-3220 . 373364) (-3221 . 371630) (-3222 . 371375) (-3223 . 371192) (-3224 . 371011) (-3225 . 370471) (-3226 . 370364) (-3227 . 370308) (-3228 . 368878) (-3229 . 368676) (-3230 . 368565) (-3231 . 368534) (-3232 . 368438) (-3233 . 368344) (-3234 . 368295) (-3235 . 368114) (-3236 . 366652) (-3237 . 366448) (-3238 . 366365) (-3239 . 366022) (-3240 . 365815) (-3241 . 365742) (-3242 . 365651) (-3243 . 364945) (-3244 . 364853) (-3245 . 364798) (-3246 . 364684) (-3247 . 364267) (-3248 . 364192) (-3249 . 363879) (-3250 . 363738) (-3251 . 363686) (-3252 . 363492) (-3253 . 363300) (-3254 . 363225) (-3255 . 363111) (-3256 . 362985) (-3257 . 362723) (-3258 . 362570) (-3259 . 362498) (-3260 . 362370) (-3261 . 362266) (-3262 . 362116) (-3263 . 361511) (-3264 . 361246) (-3265 . 360836) (-3266 . 360753) (-3267 . 360615) (-3268 . 360353) (-3269 . 360239) (-3270 . 359124) (-3271 . 358926) (-3272 . 358760) (-3273 . 358618) (-3274 . 358458) (-3275 . 358384) (-3276 . 358270) (-3277 . 358205) (-3278 . 356834) (-3279 . 356678) (-3280 . 355691) (-3281 . 355607) (-3282 . 355546) (-3283 . 355438) (-3284 . 355344) (-3285 . 355259) (-3286 . 355184) (-3287 . 355043) (-3288 . 354955) (-3289 . 352710) (-3290 . 352535) (-3291 . 351592) (-3292 . 351499) (-3293 . 351446) (-3294 . 351258) (-3295 . 351167) (-3296 . 350919) (-3297 . 350676) (-3298 . 350124) (-3299 . 350022) (-3300 . 349891) (-3301 . 349623) (-3302 . 349314) (-3303 . 348865) (-3304 . 348816) (-3305 . 348740) (-3306 . 348662) (-3307 . 348591) (-3308 . 348511) (-3309 . 348244) (-3310 . 348103) (-3311 . 347965) (-3312 . 347767) (-3313 . 347623) (-3314 . 347568) (-3315 . 347410) (-3316 . 346959) (-3317 . 346830) (-3318 . 344683) (-3319 . 344575) (-3320 . 344517) (-3321 . 344464) (-3322 . 344333) (-3323 . 344231) (-3324 . 344150) (-3325 . 343993) (-3326 . 343921) (-3327 . 343863) (-3328 . 343811) (-3329 . 343706) (-3330 . 343561) (-3331 . 343529) (-3332 . 343060) (-3333 . 342958) (-3334 . 342835) (-3335 . 342683) (-3336 . 342533) (-3337 . 342460) (-3338 . 342227) (-3339 . 342172) (-3340 . 342064) (-3341 . 341442) (-3342 . 341355) (-3343 . 341263) (-3344 . 340299) (-3345 . 340093) (-3346 . 339985) (-3347 . 339895) (-3348 . 339533) (-3349 . 339504) (-3350 . 339005) (-3351 . 338906) (-3352 . 338743) (-3353 . 338666) (-3354 . 338551) (-3355 . 338300) (-3356 . 338195) (-3357 . 338128) (-3358 . 336941) (-3359 . 336278) (-3360 . 336141) (-3361 . 336024) (-3362 . 334458) (-3363 . 334344) (-3364 . 334222) (-3365 . 334099) (-3366 . 334020) (-3367 . 333910) (-3368 . 333769) (-3369 . 333615) (-3370 . 333057) (-3371 . 332934) (-3372 . 332747) (-3373 . 331614) (-3374 . 331400) (-3375 . 330281) (-3376 . 330027) (-3377 . 329913) (-3378 . 329831) (-3379 . 329698) (-3380 . 329275) (-3381 . 329103) (-3382 . 328920) (-3383 . 328751) (-3384 . 328667) (-3385 . 328511) (-3386 . 328369) (-3387 . 328288) (-3388 . 328094) (-3389 . 328022) (-3390 . 327899) (-3391 . 327815) (-3392 . 327730) (-3393 . 327044) (-3394 . 326970) (-3395 . 326801) (-3396 . 326705) (-3397 . 326506) (-3398 . 326334) (-3399 . 326282) (-3400 . 326202) (-3401 . 326023) (-3402 . 325751) (-3403 . 325399) (-3404 . 325292) (-3405 . 325037) (-3406 . 324938) (-3407 . 324516) (-3408 . 323366) (-3409 . 323224) (-3410 . 323130) (-3411 . 323098) (-3412 . 322924) (-3413 . 322818) (-3414 . 322596) (-3415 . 322342) (-3416 . 322214) (-3417 . 321886) (-3418 . 321833) (-3419 . 321664) (-3420 . 321558) (-3421 . 321474) (-3422 . 321092) (-3423 . 320893) (-3424 . 320802) (-3425 . 320643) (-3426 . 320280) (-3427 . 320183) (-3428 . 320076) (-3429 . 320007) (-3430 . 319804) (-3431 . 319729) (-3432 . 319644) (-3433 . 319505) (-3434 . 318810) (-3435 . 318567) (-3436 . 318454) (-3437 . 318379) (-3438 . 318240) (-3439 . 318165) (-3440 . 318100) (-3441 . 317985) (-3442 . 317861) (-3443 . 317795) (-3444 . 317716) (-3445 . 317585) (-3446 . 317512) (-3447 . 316783) (-3448 . 316676) (-3449 . 316434) (-3450 . 316295) (-3451 . 316197) (-3452 . 316116) (-3453 . 315811) (-3454 . 315745) (-3455 . 315040) (-3456 . 314705) (-3457 . 314577) (-3458 . 314390) (-3459 . 313961) (-3460 . 313256) (-3461 . 313182) (-3462 . 313044) (-3463 . 312725) (-3464 . 312626) (-3465 . 312544) (-3466 . 312394) (-3467 . 311741) (-3468 . 311667) (-3469 . 311298) (-3470 . 311058) (-3471 . 310874) (-3472 . 310466) (-3473 . 309919) (-3474 . 309753) (-3475 . 309638) (-3476 . 309372) (-3477 . 309274) (-3478 . 308959) (-3479 . 308811) (-3480 . 308264) (-3481 . 307595) (-3482 . 307438) (-3483 . 307199) (-3484 . 307115) (-3485 . 306568) (-3486 . 306475) (-3487 . 305844) (-3488 . 305642) (-3489 . 305538) (-3490 . 304887) (-3491 . 304639) (-3492 . 304459) (-3493 . 304404) (-3494 . 304295) (-3495 . 304012) (-3496 . 303865) (-3497 . 303214) (-3498 . 303162) (-3499 . 303019) (-3500 . 302645) (-3501 . 302125) (-3502 . 302097) (-3503 . 301527) (-3504 . 301424) (-3505 . 300711) (-3506 . 300445) (-3507 . 300413) (-3508 . 300160) (-3509 . 300088) (-3510 . 299543) (-3511 . 299452) (-3512 . 299349) (-3513 . 299159) (-3514 . 298966) (-3515 . 298294) (-3516 . 298201) (-3517 . 297656) (-3518 . 297511) (-3519 . 297356) (-3520 . 297164) (-3521 . 296793) (-3522 . 296722) (-3523 . 296654) (-3524 . 296002) (-3525 . 295457) (-3526 . 295308) (-3527 . 295233) (-3528 . 295149) (-3529 . 294850) (-3530 . 294198) (-3531 . 293962) (-3532 . 293592) (-3533 . 293333) (-3534 . 293174) (-3535 . 293101) (-3536 . 289235) (-3537 . 289116) (-3538 . 288464) (-3539 . 288395) (-3540 . 288259) (-3541 . 288109) (-3542 . 285874) (-3543 . 285724) (-3544 . 285072) (-3545 . 284972) (-3546 . 284847) (-3547 . 284680) (-3548 . 284515) (-3549 . 284442) (-3550 . 284101) (-3551 . 283555) (-3552 . 282939) (-3553 . 282858) (-3554 . 282784) (-3555 . 282717) (-3556 . 282664) (-3557 . 282609) (-3558 . 282347) (-3559 . 281801) (-3560 . 281672) (-3561 . 281543) (-3562 . 281420) (-3563 . 281392) (-3564 . 281317) (-3565 . 280771) (-3566 . 280548) (-3567 . 280235) (-3568 . 280000) (-3569 . 279852) (-3570 . 279588) (-3571 . 273199) (-3572 . 272654) (-3573 . 272463) (-3574 . 272282) (-3575 . 271759) (-3576 . 270910) (-3577 . 270560) (-3578 . 270325) (-3579 . 269780) (-3580 . 269578) (-3581 . 269263) (-3582 . 269099) (-3583 . 268992) (-3584 . 268754) (-3585 . 268209) (-3586 . 268138) (-3587 . 268067) (-3588 . 267659) (-3589 . 267583) (-3590 . 267313) (-3591 . 267261) (-3592 . 266716) (-3593 . 266554) (-3594 . 266416) (-3595 . 266325) (-3596 . 266266) (-3597 . 265090) (-3598 . 264999) (-3599 . 264454) (-3600 . 264340) (-3601 . 264288) (-3602 . 264138) (-3603 . 264085) (-3604 . 263939) (-3605 . 263731) (-3606 . 263446) (-3607 . 263146) (-3608 . 262885) (-3609 . 262555) (-3610 . 262346) (-3611 . 262194) (-3612 . 262012) (-3613 . 261864) (-3614 . 261836) (-3615 . 261705) (-3616 . 261599) (-3617 . 261407) (-3618 . 261184) (-3619 . 261013) (-3620 . 260950) (-3621 . 260890) (-3622 . 260858) (-3623 . 260676) (-3624 . 260453) (-3625 . 260145) (-3626 . 260026) (-3627 . 259948) (-3628 . 258731) (-3629 . 258650) (-3630 . 258279) (-3631 . 258156) (-3632 . 258097) (-3633 . 258026) (-3634 . 257874) (-3635 . 257697) (-3636 . 257606) (-3637 . 257441) (-3638 . 257342) (-3639 . 257230) (-3640 . 257026) (-3641 . 256908) (-3642 . 256679) (-3643 . 256627) (-3644 . 256403) (-3645 . 256296) (-3646 . 255096) (-3647 . 255015) (-3648 . 254699) (-3649 . 253956) (-3650 . 253897) (-3651 . 253681) (-3652 . 253614) (-3653 . 253484) (-3654 . 253281) (-3655 . 253181) (-3656 . 253086) (-3657 . 252985) (-3658 . 252861) (-3659 . 252432) (-3660 . 252143) (-3661 . 252056) (-3662 . 252003) (-3663 . 251899) (-3664 . 251711) (-3665 . 251609) (-3666 . 251494) (-3667 . 251309) (-3668 . 250973) (-3669 . 250880) (-3670 . 250764) (-3671 . 250651) (-3672 . 249517) (-3673 . 249147) (-3674 . 249054) (-3675 . 248946) (-3676 . 248796) (-3677 . 248719) (-3678 . 248609) (-3679 . 248339) (-3680 . 248251) (-3681 . 248117) (-3682 . 247926) (-3683 . 247874) (-3684 . 247724) (-3685 . 246949) (-3686 . 246676) (-3687 . 246384) (-3688 . 246281) (-3689 . 246141) (-3690 . 245985) (-3691 . 245860) (-3692 . 245776) (-3693 . 245585) (-3694 . 245433) (-3695 . 244929) (-3696 . 244569) (-3697 . 244490) (-3698 . 244340) (-3699 . 244268) (-3700 . 244105) (-3701 . 244046) (-3702 . 243951) (-3703 . 243738) (-3704 . 243574) (-3705 . 243204) (-3706 . 243012) (-3707 . 242765) (-3708 . 242620) (-3709 . 242475) (-3710 . 242408) (-3711 . 242350) (-3712 . 241554) (-3713 . 241067) (-3714 . 240991) (-3715 . 240875) (-3716 . 240818) (-3717 . 240699) (-3718 . 240545) (-3719 . 240409) (-3720 . 240273) (-3721 . 240165) (-3722 . 240036) (-3723 . 239977) (-3724 . 239860) (-3725 . 235936) (-3726 . 235860) (-3727 . 235663) (-3728 . 235537) (-3729 . 235344) (-3730 . 235260) (-3731 . 235146) (-3732 . 234970) (-3733 . 234023) (-3734 . 233853) (-3735 . 233779) (-3736 . 233491) (-3737 . 233344) (-3738 . 233173) (-3739 . 233078) (-3740 . 233023) (-3741 . 232850) (-3742 . 231636) (-3743 . 231584) (-3744 . 231480) (-3745 . 231359) (-3746 . 231286) (-3747 . 230991) (-3748 . 230947) (-3749 . 230687) (-3750 . 230404) (-3751 . 230322) (-3752 . 230011) (-3753 . 229772) (-3754 . 229719) (-3755 . 229523) (-3756 . 229370) (-3757 . 229134) (-3758 . 229006) (-3759 . 228640) (-3760 . 228587) (-3761 . 228330) (-3762 . 228242) (-3763 . 228175) (-3764 . 228103) (-3765 . 227942) (-3766 . 227794) (-3767 . 227704) (-3768 . 226602) (-3769 . 222678) (-3770 . 222604) (-3771 . 222507) (-3772 . 222387) (-3773 . 222296) (-3774 . 222245) (-3775 . 222094) (-3776 . 221400) (-3777 . 221308) (-3778 . 221214) (-3779 . 220864) (-3780 . 220789) (-3781 . 220599) (-3782 . 220198) (-3783 . 220117) (-3784 . 219968) (-3785 . 219832) (-3786 . 219383) (-3787 . 219268) (-3788 . 219212) (-3789 . 219133) (-3790 . 219064) (-3791 . 218197) (-3792 . 217812) (-3793 . 217712) (-3794 . 217609) (-3795 . 217041) (-3796 . 217013) (-3797 . 216858) (-3798 . 216786) (-3799 . 216695) (-3800 . 216614) (-3801 . 216530) (-3802 . 214910) (-3803 . 213765) (-3804 . 213680) (-3805 . 213280) (-3806 . 213143) (-3807 . 212518) (-3808 . 212440) (-3809 . 212314) (-3810 . 211531) (-3811 . 211465) (-3812 . 211331) (-3813 . 211272) (-3814 . 211146) (-3815 . 210821) (-3816 . 210730) (-3817 . 209460) (-3818 . 208223) (-3819 . 207960) (-3820 . 207869) (-3821 . 207835) (-3822 . 207753) (-3823 . 207226) (-3824 . 206862) (-3825 . 206811) (-3826 . 206720) (-3827 . 206692) (-3828 . 206550) (-3829 . 206484) (-3830 . 206140) (-3831 . 206085) (-3832 . 206016) (-3833 . 205964) (-3834 . 205723) (-3835 . 205272) (-3836 . 205200) (-3837 . 205103) (-3838 . 204883) (-3839 . 204648) (-3840 . 204620) (-3841 . 204385) (-3842 . 204315) (-3843 . 203923) (-3844 . 203852) (-3845 . 203217) (-3846 . 202991) (-3847 . 202922) (-3848 . 202849) (-3849 . 202751) (-3850 . 202655) (-3851 . 202471) (-3852 . 202319) (-3853 . 202080) (-3854 . 201947) (-3855 . 201796) (-3856 . 201682) (-3857 . 201488) (-3858 . 201398) (-3859 . 201320) (-3860 . 201187) (-3861 . 199697) (-3862 . 199464) (-3863 . 199412) (-3864 . 199158) (-3865 . 199066) (-3866 . 198973) (-3867 . 198858) (-3868 . 198727) (-3869 . 198623) (-3870 . 198523) (-3871 . 198407) (-3872 . 198373) (-3873 . 198320) (-3874 . 198071) (-3875 . 197892) (-3876 . 197826) (-3877 . 196791) (-3878 . 196510) (-3879 . 196397) (-3880 . 196322) (-3881 . 196232) (-3882 . 196094) (-3883 . 195972) (-3884 . 195940) (-3885 . 195857) (-3886 . 195768) (-3887 . 195697) (-3888 . 195613) (-3889 . 195505) (-3890 . 195387) (-3891 . 195181) (-3892 . 194759) (-3893 . 194683) (-3894 . 194616) (-3895 . 194481) (-3896 . 194182) (-3897 . 194102) (-3898 . 194027) (-3899 . 193952) (-3900 . 193790) (-3901 . 193721) (-3902 . 193665) (-3903 . 193154) (-3904 . 192709) (-3905 . 192640) (-3906 . 192502) (-3907 . 192386) (-3908 . 192304) (-3909 . 192234) (-3910 . 192183) (-3911 . 192079) (-3912 . 191887) (-3913 . 191832) (-3914 . 191777) (-3915 . 191700) (-3916 . 191624) (-3917 . 191511) (-3918 . 191064) (-3919 . 190857) (-3920 . 190794) (-3921 . 190684) (-3922 . 190506) (-3923 . 190368) (-3924 . 190334) (-3925 . 190194) (-3926 . 190085) (-3927 . 189548) (-3928 . 189444) (-3929 . 185520) (-3930 . 185422) (-3931 . 185338) (-3932 . 185285) (-3933 . 184926) (-3934 . 184695) (-3935 . 184622) (-3936 . 184594) (-3937 . 184541) (-3938 . 184238) (-3939 . 184140) (-3940 . 184029) (-3941 . 183929) (-3942 . 183576) (-3943 . 183499) (-3944 . 183283) (-3945 . 183158) (-3946 . 183066) (-3947 . 183038) (-3948 . 182961) (-3949 . 182710) (-3950 . 182634) (-3951 . 182349) (-3952 . 182197) (-3953 . 181850) (-3954 . 181772) (-3955 . 181579) (-3956 . 158071) (-3957 . 157890) (-3958 . 157820) (-3959 . 157316) (-3960 . 157227) (-3961 . 157038) (-3962 . 156952) (-3963 . 156788) (-3964 . 155737) (-3965 . 155666) (-3966 . 155562) (-3967 . 155326) (-3968 . 155260) (-3969 . 155133) (-3970 . 154293) (-3971 . 154237) (-3972 . 154168) (-3973 . 153916) (-3974 . 153819) (-3975 . 153523) (-3976 . 153060) (-3977 . 152988) (-3978 . 152810) (-3979 . 151990) (-3980 . 151446) (-3981 . 151296) (-3982 . 151075) (-3983 . 150923) (-3984 . 150684) (-3985 . 150580) (-3986 . 150512) (-3987 . 150362) (-3988 . 149862) (-3989 . 149758) (-3990 . 149334) (-3991 . 148854) (-3992 . 148766) (-3993 . 148670) (-3994 . 148581) (-3995 . 148506) (-3996 . 147997) (-3997 . 147813) (-3998 . 147700) (-3999 . 147491) (-4000 . 147341) (-4001 . 147258) (-4002 . 146989) (-4003 . 146212) (-4004 . 146160) (-4005 . 146123) (-4006 . 145936) (-4007 . 145696) (-4008 . 145645) (-4009 . 145442) (-4010 . 145389) (-4011 . 144817) (-4012 . 144426) (-4013 . 144352) (-4014 . 144221) (-4015 . 144069) (-4016 . 143509) (-4017 . 143268) (-4018 . 143130) (-4019 . 142998) (-4020 . 142925) (-4021 . 142711) (-4022 . 142440) (-4023 . 142207) (-4024 . 142150) (-4025 . 142097) (-4026 . 141996) (-4027 . 141804) (-4028 . 141465) (-4029 . 141367) (-4030 . 141009) (-4031 . 140937) (-4032 . 140857) (-4033 . 140662) (-4034 . 140076) (-4035 . 135618) (-4036 . 135434) (-4037 . 135228) (-4038 . 135197) (-4039 . 135121) (-4040 . 134919) (-4041 . 134477) (-4042 . 134360) (-4043 . 134253) (-4044 . 134200) (-4045 . 134090) (-4046 . 133998) (-4047 . 133821) (-4048 . 133653) (-4049 . 133558) (-4050 . 133335) (-4051 . 133282) (-4052 . 133099) (-4053 . 132996) (-4054 . 132899) (-4055 . 132552) (-4056 . 132449) (-4057 . 132375) (-4058 . 132323) (-4059 . 131953) (-4060 . 131891) (-4061 . 131793) (-4062 . 131715) (-4063 . 131552) (-4064 . 131413) (-4065 . 131236) (-4066 . 131187) (-4067 . 131096) (-4068 . 130657) (-4069 . 130515) (-4070 . 130442) (-4071 . 130305) (-4072 . 130221) (-4073 . 129966) (-4074 . 129888) (-4075 . 129814) (-4076 . 129714) (-4077 . 129525) (-4078 . 129373) (-4079 . 128550) (-4080 . 128065) (-4081 . 127942) (-4082 . 127526) (-4083 . 127452) (-4084 . 127253) (-4085 . 127094) (-4086 . 126758) (-4087 . 126655) (-4088 . 126453) (-4089 . 126369) (-4090 . 126317) (-4091 . 126150) (-4092 . 126122) (-4093 . 126041) (-4094 . 125806) (-4095 . 125727) (-4096 . 125631) (-4097 . 125528) (-4098 . 125462) (-4099 . 125353) (-4100 . 125204) (-4101 . 125120) (-4102 . 124967) (-4103 . 124702) (-4104 . 124135) (-4105 . 123977) (-4106 . 123925) (-4107 . 123242) (-4108 . 116711) (-4109 . 116558) (-4110 . 116508) (-4111 . 116374) (-4112 . 116305) (** . 113156) (-4114 . 113065) (-4115 . 112982) (-4116 . 112908) (-4117 . 112779) (-4118 . 112517) (-4119 . 112378) (-4120 . 112323) (-4121 . 112232) (-4122 . 112143) (-4123 . 112019) (-4124 . 111697) (-4125 . 111402) (-4126 . 111256) (-4127 . 111069) (-4128 . 110828) (-4129 . 110641) (-4130 . 110518) (-4131 . 110415) (-4132 . 110347) (-4133 . 110169) (-4134 . 110063) (-4135 . 109993) (-4136 . 109909) (-4137 . 109759) (-4138 . 109079) (-4139 . 108970) (-4140 . 108761) (-4141 . 108662) (-4142 . 108517) (-4143 . 108429) (-4144 . 108326) (-4145 . 108091) (-4146 . 107998) (-4147 . 107714) (-4148 . 107306) (-4149 . 107205) (-4150 . 107152) (-4151 . 107017) (-4152 . 104906) (-4153 . 104838) (-4154 . 104719) (-4155 . 104623) (-4156 . 104552) (-4157 . 104380) (-4158 . 104248) (-4159 . 104182) (-4160 . 104066) (-4161 . 103914) (-4162 . 103831) (-4163 . 103775) (-4164 . 103530) (-4165 . 103447) (-4166 . 103207) (-4167 . 102914) (-4168 . 102842) (-4169 . 102748) (-4170 . 102638) (-4171 . 102568) (-4172 . 102322) (-4173 . 102177) (-4174 . 102059) (-4175 . 101851) (-4176 . 101565) (-4177 . 101487) (-4178 . 101332) (-4179 . 101274) (-4180 . 101136) (-4181 . 100833) (-4182 . 100599) (-4183 . 100169) (-4184 . 99817) (-4185 . 99632) (-4186 . 99524) (-4187 . 99469) (-4188 . 85636) (-4189 . 85511) (-4190 . 85292) (-4191 . 85046) (-4192 . 84507) (-4193 . 84411) (-4194 . 84311) (-4195 . 83812) (-4196 . 83505) (-4197 . 83386) (-4198 . 83312) (-4199 . 83114) (-4200 . 82996) (-4201 . 82937) (-4202 . 82634) (-4203 . 82534) (-4204 . 82182) (-4205 . 79516) (-4206 . 79455) (-4207 . 79356) (-4208 . 79304) (-4209 . 78416) (-4210 . 78336) (-4211 . 78281) (-4212 . 78192) (-4213 . 78103) (-4214 . 78050) (-4215 . 77976) (-4216 . 77909) (-4217 . 77705) (-4218 . 77533) (-4219 . 77365) (-4220 . 77310) (-4221 . 77222) (-4222 . 77112) (-4223 . 77032) (-4224 . 76880) (-4225 . 76828) (-4226 . 76733) (-4227 . 76678) (-4228 . 76618) (-4229 . 76484) (-4230 . 76296) (-4231 . 76108) (-4232 . 76055) (-4233 . 75902) (-4234 . 75820) (-4235 . 75745) (-4236 . 75672) (-4237 . 75469) (-4238 . 75249) (-4239 . 75030) (-4240 . 74957) (-4241 . 74684) (-4242 . 74474) (-4243 . 74425) (-4244 . 74300) (-4245 . 74197) (-4246 . 74145) (-4247 . 74020) (-4248 . 73894) (-4249 . 73746) (-4250 . 73693) (-4251 . 73559) (-4252 . 73413) (-4253 . 73303) (-4254 . 73231) (-4255 . 72935) (-4256 . 72796) (-4257 . 72720) (-4258 . 72389) (-4259 . 71818) (-4260 . 71715) (-4261 . 71660) (-4262 . 71387) (-4263 . 70544) (-4264 . 70436) (-4265 . 70336) (-4266 . 70265) (-4267 . 70201) (-4268 . 70147) (-4269 . 69812) (-4270 . 69609) (-4271 . 69538) (-4272 . 69454) (-4273 . 69365) (-4274 . 69294) (-4275 . 69112) (-4276 . 69022) (-4277 . 68948) (-4278 . 68830) (-4279 . 68632) (-4280 . 68269) (-4281 . 68165) (-4282 . 68047) (-4283 . 66996) (-4284 . 66867) (-4285 . 66710) (-4286 . 65313) (-4287 . 65261) (-4288 . 65161) (-4289 . 64251) (-4290 . 64158) (-4291 . 57769) (-4292 . 57666) (-4293 . 57410) (-4294 . 56961) (-4295 . 56518) (-4296 . 56408) (-4297 . 56334) (-4298 . 56260) (-4299 . 56086) (-4300 . 55953) (-4301 . 55901) (-4302 . 55820) (-4303 . 55152) (-4304 . 55023) (-4305 . 54970) (-4306 . 54904) (-4307 . 54848) (-4308 . 54766) (-4309 . 54665) (-4310 . 54631) (-4311 . 54392) (-4312 . 54002) (-4313 . 53855) (-4314 . 51016) (-4315 . 50864) (-4316 . 50739) (-4317 . 50686) (-4318 . 50524) (-4319 . 50342) (-4320 . 50280) (-4321 . 50043) (-4322 . 49709) (-4323 . 49643) (-4324 . 49473) (-4325 . 49365) (-4326 . 49067) (-4327 . 48950) (-4328 . 48869) (-4329 . 48788) (-4330 . 48736) (-4331 . 48660) (-4332 . 48608) (-4333 . 48353) (-4334 . 47711) (-4335 . 47424) (-4336 . 47371) (-4337 . 47275) (-4338 . 47223) (-4339 . 46526) (-4340 . 46468) (-4341 . 46077) (-4342 . 45873) (-4343 . 45637) (-4344 . 45509) (-4345 . 45268) (-4346 . 45218) (-4347 . 45165) (-4348 . 45042) (-4349 . 44936) (-4350 . 44235) (-4351 . 44006) (-4352 . 43790) (-4353 . 43723) (-4354 . 43638) (-4355 . 43458) (-4356 . 42653) (-4357 . 42530) (-4358 . 42464) (-4359 . 42156) (-4360 . 42104) (-4361 . 41993) (-4362 . 41805) (-4363 . 41733) (-4364 . 41674) (-4365 . 41502) (-4366 . 41388) (-4367 . 41338) (-4368 . 41004) (-4369 . 40928) (-4370 . 40488) (-4371 . 40381) (-4372 . 40293) (-4373 . 40193) (-4374 . 39834) (-4375 . 39672) (-4376 . 39327) (-4377 . 37992) (-4378 . 37056) (-4379 . 37019) (-4380 . 36829) (-4381 . 36706) (-4382 . 36599) (-4383 . 36453) (-4384 . 36325) (-4385 . 36266) (-4386 . 36163) (-4387 . 36111) (-4388 . 35998) (-4389 . 35916) (-4390 . 35832) (-4391 . 35773) (-4392 . 35565) (-4393 . 35408) (-4394 . 34447) (-4395 . 34296) (-4396 . 33795) (-4397 . 33684) (-4398 . 33604) (-4399 . 33453) (-4400 . 33377) (-4401 . 33258) (-4402 . 33140) (-4403 . 32870) (-4404 . 32674) (-4405 . 32622) (-4406 . 32494) (-4407 . 32285) (-4408 . 32189) (-4409 . 31899) (-4410 . 30168) (-4411 . 29925) (-4412 . 29818) (-4413 . 29464) (-4414 . 29338) (-4415 . 29283) (-4416 . 29246) (-4417 . 29123) (-4418 . 29049) (-4419 . 28828) (-4420 . 28641) (-4421 . 28402) (-4422 . 28051) (-4423 . 27967) (-4424 . 27793) (-4425 . 27718) (-4426 . 27579) (-4427 . 26965) (-4428 . 26611) (-4429 . 25680) (-4430 . 25577) (-4431 . 25503) (-4432 . 25338) (-4433 . 23054) (-4434 . 22965) (-4435 . 22834) (-4436 . 22761) (-4437 . 22636) (-4438 . 22350) (-4439 . 22159) (-4440 . 22082) (-4441 . 22008) (-4442 . 21860) (-4443 . 21756) (-4444 . 21520) (-4445 . 21465) (-4446 . 21399) (-4447 . 21133) (-4448 . 20935) (-4449 . 20776) (-4450 . 20724) (-4451 . 20631) (-4452 . 20467) (-4453 . 19869) (-4454 . 19798) (-4455 . 19691) (-4456 . 19021) (-4457 . 18394) (-4458 . 18231) (-4459 . 17920) (-4460 . 17685) (-4461 . 17588) (-4462 . 17230) (-4463 . 17131) (-4464 . 16974) (-4465 . 16808) (-4466 . 16585) (-4467 . 16453) (-4468 . 14016) (-4469 . 13852) (-4470 . 13782) (-4471 . 13617) (-4472 . 13542) (-4473 . 13513) (-4474 . 13159) (-4475 . 13107) (-4476 . 12989) (-4477 . 12900) (-4478 . 12731) (-4479 . 12660) (-4480 . 12479) (-4481 . 12354) (-4482 . 12228) (-4483 . 11789) (-4484 . 11708) (-4485 . 11655) (-4486 . 11456) (-4487 . 11384) (-4488 . 11016) (-4489 . 10781) (-4490 . 10642) (-4491 . 10590) (-4492 . 10510) (-4493 . 10392) (-4494 . 10185) (-4495 . 10108) (-4496 . 9787) (-4497 . 9665) (-4498 . 9562) (-4499 . 9467) (-4500 . 9345) (-4501 . 9203) (-4502 . 9143) (-4503 . 9009) (-4504 . 8392) (-4505 . 8270) (-4506 . 8174) (-4507 . 8045) (-4508 . 7775) (-4509 . 7658) (-4510 . 7352) (-4511 . 7236) (-4512 . 7208) (-4513 . 7053) (-4514 . 6531) (-4515 . 6443) (-4516 . 6364) (-4517 . 6100) (-4518 . 5948) (-4519 . 5762) (-4520 . 5198) (-4521 . 4624) (-4522 . 4569) (-4523 . 4450) (-4524 . 4335) (-4525 . 4282) (-4526 . 4230) (-4527 . 3685) (-4528 . 3574) (-4529 . 3521) (-4530 . 3417) (-4531 . 3265) (-4532 . 3108) (-4533 . 2998) (-4534 . 2898) (-4535 . 2820) (-4536 . 2251) (-4537 . 1985) (-4538 . 1784) (-4539 . 1634) (-4540 . 1090) (-4541 . 966) (-4542 . 893) (-4543 . 822) (-4544 . 749) (-4545 . 699) (-4546 . 520) (-4547 . 425) (-4548 . 343) (-4549 . 208) (-4550 . 180) (-4551 . 30)) 
\ No newline at end of file
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -4547 (-123)) (|:| |w| (-216)))) (-5 *1 (-197))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-231 (-4001 *6) (-768))) (-5 *2 (-243 (-3891 (QUOTE X) (QUOTE -2292)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-325 *5 *7)) (-4 *4 (-117))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-213 *3)) (-4 *3 (-1097)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *3)) (-4 *3 (-1203)) (-5 *2 (-768)))) ((*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-768)))) ((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *2 (-13 (-409) (-1043 *4) (-367) (-1189) (-280))) (-5 *1 (-447 *4 *3 *2)) (-4 *3 (-1233 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-610 *3)) (-4 *3 (-847)))) ((*1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855)))) ((*1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-855))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1215 *2)) (-4 *2 (-1053)))) ((*1 *1 *1) (-12 (-5 *1 (-1249 *2 *3 *4)) (-4 *2 (-1053)) (-14 *3 (-1169)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1253 *2 *3)) (-4 *2 (-1053)) (-14 *3 (-1169))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-384)) (-5 *3 (-1151)) (-5 *1 (-99)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-384)) (-5 *3 (-1151)) (-5 *1 (-99))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-1097)) (-5 *1 (-905 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *3 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-637 *9)) (-5 *1 (-470 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-973 *4)) (-4 *4 (-352)) (-5 *2 (-637 (-927 *4))) (-5 *1 (-872 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-972 *4)) (-4 *4 (-367)) (-5 *2 (-637 (-926 *4))) (-5 *1 (-873 *4 *5 *6)) (-14 *5 (-637 (-1169))) (-4 *6 (-117))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-297)) (-4 *2 (-1203)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-637 (-610 *1))) (-5 *3 (-637 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-637 (-289 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-289 *1)) (-4 *1 (-297))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-637 (-1169))) (-5 *5 (-571)) (-4 *1 (-670 *6 *2)) (-4 *6 (-1203)) (-4 *2 (-1203))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) ((*1 *2 *3) (-12 (-5 *2 (-1165 (-412 (-571)))) (-5 *1 (-948)) (-5 *3 (-571))))) 
+(((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-412 (-958 *5))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-289 (-311 *5)))) (-5 *1 (-1124 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-412 (-958 *4))) (-4 *4 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-289 (-311 *4)))) (-5 *1 (-1124 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-412 (-958 *5)))) (-5 *4 (-1169)) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-289 (-311 *5)))) (-5 *1 (-1124 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-289 (-412 (-958 *4)))) (-4 *4 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-289 (-311 *4)))) (-5 *1 (-1124 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-412 (-958 *5)))) (-5 *4 (-637 (-1169))) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-637 (-289 (-311 *5))))) (-5 *1 (-1124 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-412 (-958 *4)))) (-4 *4 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-637 (-289 (-311 *4))))) (-5 *1 (-1124 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-289 (-412 (-958 *5))))) (-5 *4 (-637 (-1169))) (-4 *5 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-637 (-289 (-311 *5))))) (-5 *1 (-1124 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-637 (-289 (-412 (-958 *4))))) (-4 *4 (-13 (-302) (-847) (-151))) (-5 *2 (-637 (-637 (-289 (-311 *4))))) (-5 *1 (-1124 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3))))) 
+(((*1 *1) (-5 *1 (-121)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
+(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-797 *2)) (-4 *2 (-173)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1005 *3)) (-4 *3 (-173)) (-5 *1 (-799 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-971 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-793)) (-4 *4 (-847)) (-4 *6 (-302)) (-5 *2 (-423 *3)) (-5 *1 (-737 *5 *4 *6 *3)) (-4 *3 (-955 *6 *5 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-423 (-1165 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1165 *1)) (-4 *4 (-456)) (-4 *4 (-561)) (-4 *4 (-847)))) ((*1 *2 *3) (-12 (-4 *1 (-909)) (-5 *2 (-423 (-1165 *1))) (-5 *3 (-1165 *1))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-768)) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-468))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-915 *2)) (-4 *2 (-302))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-561)) (-5 *2 (-1258 (-684 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-684 *4)) (-4 *5 (-649 *4))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1053)) (-4 *3 (-847)) (-4 *4 (-263 *3)) (-4 *5 (-793))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-384)) (-5 *1 (-198))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-367)) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) *2)) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-768))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-637 (-637 *3))) (-4 *3 (-367)) (-5 *1 (-656 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-637 (-1 *4 (-637 *4)))) (-4 *4 (-1097)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1097)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-637 (-1 *4 (-637 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1097))))) 
+(((*1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-4 *1 (-1136)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-949 *3)) (-4 *3 (-13 (-367) (-1189) (-1008))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *2 (-955 *4 *6 (-857 *5))) (-4 *6 (-231 (-4001 *5) (-768))) (-4 *7 (-977 *4)) (-4 *8 (-644 *4)) (-4 *9 (-925 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-470 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-571)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-5 *1 (-872 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-571)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-5 *1 (-873 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-571)) (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *1 (-913 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-977 *2)) (-4 *2 (-367)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-4 *1 (-977 *3)) (-4 *3 (-367))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-637 *2)) (-4 *2 (-13 (-435 *6) (-23) (-1043 (-571)) (-1043 *4) (-900 *4) (-162))) (-5 *4 (-1169)) (-4 *6 (-13 (-847) (-561) (-612 (-544)))) (-5 *1 (-1030 *6 *2))))) 
+(((*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-855))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-384) (-384))) (-5 *4 (-384)) (-5 *2 (-2 (|:| -2139 *4) (|:| -3871 *4) (|:| |totalpts| (-571)) (|:| |success| (-121)))) (-5 *1 (-789)) (-5 *5 (-571))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-768) *2)) (-5 *4 (-768)) (-4 *2 (-1097)) (-5 *1 (-673 *2)))) ((*1 *2 *2) (-12 (-5 *2 (-1 *3 (-768) *3)) (-4 *3 (-1097)) (-5 *1 (-676 *3))))) 
+(((*1 *1 *1) (-4 *1 (-561)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-604 *2 *3)) (-4 *3 (-1203)) (-4 *2 (-1097)) (-4 *2 (-847))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-571)) (-4 *6 (-367)) (-4 *6 (-373)) (-4 *6 (-1053)) (-5 *2 (-637 (-637 (-684 *6)))) (-5 *1 (-1035 *6)) (-5 *3 (-637 (-684 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-367)) (-4 *4 (-373)) (-4 *4 (-1053)) (-5 *2 (-637 (-637 (-684 *4)))) (-5 *1 (-1035 *4)) (-5 *3 (-637 (-684 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-367)) (-4 *5 (-373)) (-4 *5 (-1053)) (-5 *2 (-637 (-637 (-684 *5)))) (-5 *1 (-1035 *5)) (-5 *3 (-637 (-684 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-922)) (-4 *5 (-367)) (-4 *5 (-373)) (-4 *5 (-1053)) (-5 *2 (-637 (-637 (-684 *5)))) (-5 *1 (-1035 *5)) (-5 *3 (-637 (-684 *5)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-964 *3)) (-5 *1 (-1156 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *1 *1) (-5 *1 (-1065)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-174 (-412 (-571)))) (-5 *1 (-126 *3)) (-14 *3 (-571)))) ((*1 *1 *2 *3 *3) (-12 (-5 *3 (-1149 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-412 *3)) (-4 *3 (-302)) (-5 *1 (-174 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-174 (-571))) (-5 *1 (-762 *3)) (-4 *3 (-409)))) ((*1 *2 *1) (-12 (-5 *2 (-174 (-412 (-571)))) (-5 *1 (-870 *3)) (-14 *3 (-571)))) ((*1 *2 *1) (-12 (-14 *3 (-571)) (-5 *2 (-174 (-412 (-571)))) (-5 *1 (-871 *3 *4)) (-4 *4 (-868 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1169)) (-4 *4 (-13 (-847) (-302) (-1043 (-571)) (-633 (-571)) (-151))) (-5 *2 (-1 *5 *5)) (-5 *1 (-804 *4 *5)) (-4 *5 (-13 (-29 *4) (-1189) (-965)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-1169))) (-5 *1 (-1173))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-967 *2)) (-4 *2 (-553))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-367) (-845))) (-5 *2 (-423 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-367) (-845))) (-5 *2 (-423 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1233 (-170 *4)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-4 *5 (-793)) (-4 *6 (-847)) (-5 *2 (-637 *3)) (-5 *1 (-984 *4 *5 *6 *3)) (-4 *3 (-1067 *4 *5 *6))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-170 (-384)))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-384))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-571))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-170 (-384))))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-384)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-571)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-170 (-384))))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-384)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-571)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-170 (-384)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-384))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-571))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-688))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-693))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1169)) (-5 *3 (-637 (-958 (-571)))) (-5 *4 (-311 (-695))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-688)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-693)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-311 (-695)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-688)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-693)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-311 (-695)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-688))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-693))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1258 (-695))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-688))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-693))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-684 (-695))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-688))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-693))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-311 (-695))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1169)) (-5 *3 (-1151)) (-5 *1 (-329)))) ((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1018)) (-5 *2 (-855))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-922)) (-5 *1 (-360 *3)) (-4 *3 (-352))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1263)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-412 (-958 *3))) (-5 *1 (-457 *3 *4 *5 *6)) (-4 *3 (-561)) (-4 *3 (-173)) (-14 *4 (-922)) (-14 *5 (-637 (-1169))) (-14 *6 (-1258 (-684 *3)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) ((*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |k| (-1169)) (|:| |c| (-1278 *3))))) (-5 *1 (-1278 *3)) (-4 *3 (-1053)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |k| *3) (|:| |c| (-1280 *3 *4))))) (-5 *1 (-1280 *3 *4)) (-4 *3 (-847)) (-4 *4 (-1053))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260)))) ((*1 *2) (-12 (-5 *2 (-384)) (-5 *1 (-1260))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-436 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *1 *1) (-4 *1 (-1131)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-1 (-121) *8))) (-4 *8 (-1067 *5 *6 *7)) (-4 *5 (-561)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-2 (|:| |goodPols| (-637 *8)) (|:| |badPols| (-637 *8)))) (-5 *1 (-984 *5 *6 *7 *8)) (-5 *4 (-637 *8))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-637 (-1169))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1053) (-847))) (-14 *4 (-637 (-1169)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *7)) (-4 *7 (-847)) (-4 *5 (-909)) (-4 *6 (-793)) (-4 *8 (-955 *5 *6 *7)) (-5 *2 (-423 (-1165 *8))) (-5 *1 (-906 *5 *6 *7 *8)) (-5 *4 (-1165 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-909)) (-4 *5 (-1233 *4)) (-5 *2 (-423 (-1165 *5))) (-5 *1 (-907 *4 *5)) (-5 *3 (-1165 *5))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-987 *2)) (-4 *2 (-1053)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-949 (-216))) (-5 *1 (-1200)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-1053))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-561)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-964 (-216))) (-5 *1 (-115)) (-5 *3 (-216))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-264))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-922)) (-5 *1 (-1038 *2)) (-4 *2 (-13 (-1097) (-10 -8 (-15 * ($ $ $)))))))) 
+(((*1 *1 *1 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1149 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4601)) (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-610 *3)) (-5 *5 (-637 *3)) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-573 *6 *3 *7)) (-4 *7 (-1097))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-456)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *1 (-453 *3 *4 *5 *2)) (-4 *2 (-955 *3 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-568)))) ((*1 *2 *3) (-12 (-5 *2 (-1165 (-412 (-571)))) (-5 *1 (-948)) (-5 *3 (-571))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 *6)) (-4 *5 (-1097)) (-4 *6 (-1203)) (-5 *2 (-1 *6 *5)) (-5 *1 (-634 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 *2)) (-4 *5 (-1097)) (-4 *2 (-1203)) (-5 *1 (-634 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-637 *6)) (-5 *4 (-637 *5)) (-4 *6 (-1097)) (-4 *5 (-1203)) (-5 *2 (-1 *5 *6)) (-5 *1 (-634 *6 *5)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 *2)) (-4 *5 (-1097)) (-4 *2 (-1203)) (-5 *1 (-634 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-637 *5)) (-5 *4 (-637 *6)) (-4 *5 (-1097)) (-4 *6 (-1203)) (-5 *1 (-634 *5 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-637 *5)) (-5 *4 (-637 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1097)) (-4 *2 (-1203)) (-5 *1 (-634 *5 *2)))) ((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1136)) (-5 *3 (-148)) (-5 *2 (-768))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1053)) (-4 *3 (-792)) (-4 *2 (-367)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-216)))) ((*1 *1 *1 *1) (-1831 (-12 (-5 *1 (-289 *2)) (-4 *2 (-367)) (-4 *2 (-1203))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-481)) (-4 *2 (-1203))))) ((*1 *1 *1 *1) (-4 *1 (-367))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-384)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1120 *3 (-610 *1))) (-4 *3 (-561)) (-4 *3 (-847)) (-4 *1 (-435 *3)))) ((*1 *1 *1 *1) (-4 *1 (-481))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1258 *3)) (-4 *3 (-352)) (-5 *1 (-535 *3)))) ((*1 *1 *1 *1) (-5 *1 (-544))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-616 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-721) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-616 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-721) *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-628 *2)) (-4 *2 (-173)) (-4 *2 (-367)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-655 *2 *4 *3)) (-4 *2 (-712 *4)) (-4 *3 (|SubsetCategory| (-721) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-655 *3 *4 *2)) (-4 *3 (-712 *4)) (-4 *2 (|SubsetCategory| (-721) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 (-311 (-571)) *3)) (-4 *3 (-1097)) (-5 *1 (-679 *3 *4)) (-4 *4 (-1053)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)) (-4 *2 (-367)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-738 *2 *3)) (-14 *2 (-1169)) (-4 *3 (-13 (-1053) (-847) (-561))))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-858 *2 *3 *4 *5)) (-4 *2 (-367)) (-4 *2 (-1053)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-768))) (-14 *5 (-768)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-999 *2)) (-4 *2 (-561)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1056 *3 *4 *2 *5 *6)) (-4 *2 (-1053)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-367)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-847) (-561))) (-5 *1 (-1084 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1265 *2)) (-4 *2 (-367)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-367)) (-4 *2 (-1053)) (-4 *3 (-847)) (-4 *4 (-793)) (-14 *6 (-637 *3)) (-5 *1 (-1268 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-955 *2 *4 *3)) (-14 *7 (-637 (-768))) (-14 *8 (-768)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1279 *2 *3)) (-4 *2 (-367)) (-4 *2 (-1053)) (-4 *3 (-843))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-367)) (-5 *1 (-896 *2 *3)) (-4 *2 (-1233 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-768)) (-4 *5 (-367)) (-14 *6 (-637 (-1169))) (-4 *7 (-955 *5 *8 (-857 *6))) (-4 *8 (-231 (-4001 *6) *4)) (-4 *9 (-977 *5)) (-4 *10 (-644 *5)) (-4 *11 (-925 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-539 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-637 *7)) (-5 *1 (-470 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-637 *5)) (-4 *5 (-955 *6 *8 (-857 *7))) (-4 *8 (-231 (-4001 *7) *4)) (-5 *4 (-768)) (-4 *6 (-367)) (-14 *7 (-637 (-1169))) (-4 *10 (-644 *6)) (-4 *11 (-925 *6 *10)) (-5 *1 (-565 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-977 *6)) (-4 *3 (-236 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-927 *5))) (-5 *4 (-768)) (-4 *5 (-352)) (-5 *2 (-637 (-243 *6 *5))) (-5 *1 (-872 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-926 *5))) (-5 *4 (-768)) (-4 *5 (-367)) (-5 *2 (-637 (-243 *6 *5))) (-5 *1 (-873 *5 *6 *7)) (-14 *6 (-637 (-1169))) (-4 *7 (-117))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1242 *3 *4 *5)) (-4 *3 (-13 (-367) (-847))) (-14 *4 (-1169)) (-14 *5 *3) (-5 *1 (-315 *3 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-1 (-384))) (-5 *1 (-1045)) (-5 *3 (-384))))) 
+(((*1 *1) (-5 *1 (-823)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-394)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1 *1) (|partial| -5 *1 (-140))) ((*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1203)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1203)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1097)) (-4 *4 (-1053)) (-5 *1 (-679 *3 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) ((*1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-949 (-216))) (-5 *1 (-1200)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-21)))) ((*1 *1 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-21))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-637 *6)) (-4 *1 (-983 *3 *4 *5 *6)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-561))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1263)) (-5 *1 (-822))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-833 (-216))) (-5 *1 (-218)) (-5 *3 (-216))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *3 (-1097)) (-4 *4 (-1097)) (-4 *5 (-1097)) (-4 *6 (-1097)) (-4 *7 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-637 *1)) (-4 *1 (-387 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-637 (-730 *3 *4))) (-5 *1 (-730 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-721)))) ((*1 *2 *3) (-12 (-4 *4 (-1053)) (-4 *5 (-231 *6 (-768))) (-14 *6 (-768)) (-5 *2 (-637 *3)) (-5 *1 (-913 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *1) (-12 (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-5 *2 (-637 *1)) (-4 *1 (-955 *3 *4 *5))))) 
+(((*1 *1 *1 *1) (-4 *1 (-25))) ((*1 *1 *1 *1) (-5 *1 (-159))) ((*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-847) (-10 -8 (-15 -3245 ((-1151) $ (-1169))) (-15 -2406 ((-1263) $)) (-15 -4197 ((-1263) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1203)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1203)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-138)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-13 (-367) (-151))) (-5 *1 (-404 *3 *2)) (-4 *2 (-1233 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-478 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-367)) (-4 *3 (-793)) (-4 *4 (-847)) (-5 *1 (-517 *2 *3 *4 *5)) (-4 *5 (-955 *2 *3 *4)))) ((*1 *1 *1 *1) (-5 *1 (-544))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1097)) (-4 *4 (-1053)) (-5 *1 (-679 *3 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-682 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-378 *2)) (-4 *4 (-378 *2)))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *1 *1 *1) (-12 (-5 *1 (-892 *2)) (-4 *2 (-1097)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)) (-4 *3 (-367)) (-4 *4 (-644 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-237 *1)) (-4 *1 (-925 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1149 *3)) (-4 *3 (-1053)) (-5 *1 (-1153 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-949 (-216))) (-5 *1 (-1200)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1256 *2)) (-4 *2 (-1203)) (-4 *2 (-25))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2) (-12 (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-955 *3 *6 (-857 *4))) (-4 *6 (-231 (-4001 *4) (-768))) (-4 *7 (-977 *3)) (-4 *8 (-644 *3)) (-4 *9 (-925 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-470 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-470 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-872 *3 *4 *5)) (-4 (-862 *3) (-373)) (-4 *3 (-352)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-872 *4 *5 *6)) (-4 (-862 *4) (-373)) (-4 *4 (-352)) (-14 *5 (-637 (-1169))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-873 *3 *4 *5)) (-4 *3 (-373)) (-4 *3 (-367)) (-14 *4 (-637 (-1169))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-922)) (-5 *2 (-1253 (-571) -3481)) (-5 *1 (-873 *4 *5 *6)) (-4 *4 (-373)) (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-117))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-768)) (-4 *3 (-1203)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-378 *3)) (-4 *5 (-378 *3)))) ((*1 *1) (-5 *1 (-172))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1151)) (-4 *1 (-394)))) ((*1 *1) (-5 *1 (-399))) ((*1 *1 *2 *3) (-12 (-5 *2 (-768)) (-4 *1 (-643 *3)) (-4 *3 (-1203)))) ((*1 *1) (-12 (-4 *3 (-1097)) (-5 *1 (-885 *2 *3 *4)) (-4 *2 (-1097)) (-4 *4 (-661 *3)))) ((*1 *1) (-12 (-5 *1 (-889 *2 *3)) (-4 *2 (-1097)) (-4 *3 (-1097)))) ((*1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053)))) ((*1 *1 *1) (-5 *1 (-1169))) ((*1 *1) (-5 *1 (-1169))) ((*1 *1) (-5 *1 (-1184)))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1213)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-352)) (-5 *2 (-2 (|:| |cont| *5) (|:| -2842 (-637 (-2 (|:| |irr| *3) (|:| -4421 (-571))))))) (-5 *1 (-208 *5 *3)) (-4 *3 (-1233 *5))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-571)) (-4 *4 (-1053)) (-5 *1 (-1153 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1215 *3)) (-4 *3 (-1053)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1249 *3 *4 *5)) (-4 *3 (-1053)) (-14 *4 (-1169)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-571)) (-5 *1 (-1253 *3 *4)) (-4 *3 (-1053)) (-14 *4 (-1169))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1203))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-610 *1)) (-4 *1 (-297))))) 
+(((*1 *1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-847) (-561))) (-5 *1 (-160 *3 *2)) (-4 *2 (-435 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-553)))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-571))) (-5 *1 (-1051)) (-5 *3 (-571))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-367)) (-4 *4 (-1233 *3)) (-4 *5 (-1233 (-412 *4))) (-5 *2 (-1258 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-145)))) ((*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-146)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-217)))) ((*1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-219)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1204)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1206)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-571)) (-5 *1 (-1208))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-949 *2)) (-5 *1 (-989 *2)) (-4 *2 (-1053))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-43 (-412 (-571)))) (-4 *2 (-1053))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-571)) (-4 *4 (-13 (-561) (-151))) (-5 *1 (-545 *4 *2)) (-4 *2 (-1248 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-571)) (-4 *4 (-13 (-367) (-373) (-612 *3))) (-4 *5 (-1233 *4)) (-4 *6 (-719 *4 *5)) (-5 *1 (-549 *4 *5 *6 *2)) (-4 *2 (-1248 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-571)) (-4 *4 (-13 (-367) (-373) (-612 *3))) (-5 *1 (-550 *4 *2)) (-4 *2 (-1248 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1149 *4)) (-5 *3 (-571)) (-4 *4 (-13 (-561) (-151))) (-5 *1 (-1144 *4))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1091 (-216))) (-5 *6 (-637 (-257))) (-5 *2 (-1128 (-216))) (-5 *1 (-691))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-949 *3) (-949 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-367) (-1189) (-1008)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-847)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-326 *3)) (-4 *3 (-1203)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-571)) (-5 *1 (-528 *3 *4)) (-4 *3 (-1203)) (-14 *4 *2)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-435 *3) (-1008))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-847) (-561)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-637 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-571))))) (-4 *2 (-561)) (-5 *1 (-423 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-571)) (|:| -2842 (-637 (-2 (|:| |irr| *4) (|:| -4421 (-571))))))) (-4 *4 (-1233 (-571))) (-5 *2 (-423 *4)) (-5 *1 (-446 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-2 (|:| -1681 *5) (|:| -3791 *5)))) (-5 *1 (-807 *4 *5 *3 *6)) (-4 *3 (-649 *5)) (-4 *6 (-649 (-412 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *4 (-1233 *5)) (-5 *2 (-637 (-2 (|:| -1681 *4) (|:| -3791 *4)))) (-5 *1 (-807 *5 *4 *3 *6)) (-4 *3 (-649 *4)) (-4 *6 (-649 (-412 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *5 (-1233 *4)) (-5 *2 (-637 (-2 (|:| -1681 *5) (|:| -3791 *5)))) (-5 *1 (-807 *4 *5 *6 *3)) (-4 *6 (-649 *5)) (-4 *3 (-649 (-412 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-367) (-151) (-1043 (-412 (-571))))) (-4 *4 (-1233 *5)) (-5 *2 (-637 (-2 (|:| -1681 *4) (|:| -3791 *4)))) (-5 *1 (-807 *5 *4 *6 *3)) (-4 *6 (-649 *4)) (-4 *3 (-649 (-412 *4)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1210 *2)) (-4 *2 (-1097)))) ((*1 *2 *3) (-12 (-5 *3 (-637 *2)) (-4 *2 (-1097)) (-4 *2 (-847)) (-5 *1 (-1210 *2))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3730 *4))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1097)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-847)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-904 *3)) (-4 *3 (-1097))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1134 *3 *4)) (-14 *3 (-922)) (-4 *4 (-367)) (-5 *1 (-1000 *3 *4))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-637 (-412 *6))) (-5 *3 (-412 *6)) (-4 *6 (-1233 *5)) (-4 *5 (-13 (-367) (-151) (-1043 (-571)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-637 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-575 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-53))) (-1215 (-53)))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-53)))) (-1215 (-1165 (-53))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-53) (-768) (-768) (-1165 (-53)))) (|:| AF (-1 (-1165 (-53)) (-768) (-768) (-1215 (-1165 (-53))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-53)) (-768)))) (-637 (-468)))) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-53)) (-637 (-468)))) (-5 *1 (-485)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 *4 (-768) (-768) (-1165 *4))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 *4) (-768)))) (-637 (-468)))) (-4 *4 (-13 (-352) (-612 (-571)))) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-487 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-571)))) (-1215 (-412 (-571))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-571))))) (-1215 (-1165 (-412 (-571)))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-571) (-768) (-768) (-1165 (-571)))) (|:| AF (-1 (-1165 (-412 (-571))) (-768) (-768) (-1215 (-1165 (-412 (-571)))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-571)) (-768)))) (-637 (-468)))) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-571))) (-637 (-468)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 *4)) (-1215 *4))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 *4))) (-1215 (-1165 *4)))) (|:| |exprStream| (-1 (-1149 *6) *6 (-1169))) (|:| A (-1 *5 (-768) (-768) (-1165 *5))) (|:| AF (-1 (-1165 *4) (-768) (-768) (-1215 (-1165 *4)))) (|:| AX (-1 *6 (-768) (-1169) *6)) (|:| C (-1 (-637 *5) (-768)))) (-637 (-468)))) (-4 *4 (-367)) (-4 *5 (-456)) (-4 *6 (-13 (-435 (-571)) (-561) (-1043 *7) (-1043 (-1169)) (-1043 (-571)) (-162) (-900 (-1169)) (-10 -8 (-15 * ($ $ $)) (-15 -1379 ($ $ $)) (-15 ** ($ $ $)) (-15 -3458 ($ $)) (-15 -3777 ($ $)) (-15 -4321 ((-121) $))))) (-4 *7 (-13 (-847) (-561))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-637 (-2 (|:| -3584 *6) (|:| -3347 (-768)))) (-637 *4) (-637 (-468)))) (-5 *1 (-489 *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1149 (-1215 (-412 (-958 (-571))))) (-1215 (-412 (-958 (-571)))))) (|:| |degreeStream| (-1149 (-768))) (|:| |testStream| (-1 (-1149 (-1215 (-1165 (-412 (-958 (-571)))))) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| |exprStream| (-1 (-1149 (-311 (-571))) (-311 (-571)) (-1169))) (|:| A (-1 (-958 (-571)) (-768) (-768) (-1165 (-958 (-571))))) (|:| AF (-1 (-1165 (-412 (-958 (-571)))) (-768) (-768) (-1215 (-1165 (-412 (-958 (-571))))))) (|:| AX (-1 (-311 (-571)) (-768) (-1169) (-311 (-571)))) (|:| C (-1 (-637 (-958 (-571))) (-768)))) (-637 (-468)))) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-311 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-958 (-571)))) (-637 (-468)))) (-5 *1 (-490)))) ((*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-637 (-468)))) (-5 *2 (-1 (-637 (-2 (|:| -3584 (-738 *4 (-571))) (|:| -3347 (-768)))) (-637 (-412 (-739 *4 (-571)))) (-637 (-468)))) (-5 *1 (-491 *4)) (-14 *4 (-1169))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-847)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-855)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-768)) (-5 *1 (-449 *3)) (-4 *3 (-409)) (-4 *3 (-1053)))) ((*1 *2) (-12 (-5 *2 (-768)) (-5 *1 (-449 *3)) (-4 *3 (-409)) (-4 *3 (-1053))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-637 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
+(((*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1258 *4)) (-5 *3 (-684 *4)) (-4 *4 (-367)) (-5 *1 (-662 *4)))) ((*1 *2 *3 *2) (|partial| -12 (-4 *4 (-367)) (-4 *5 (-13 (-378 *4) (-10 -7 (-6 -4601)))) (-4 *2 (-13 (-378 *4) (-10 -7 (-6 -4601)))) (-5 *1 (-663 *4 *5 *2 *3)) (-4 *3 (-682 *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-637 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-367)) (-5 *1 (-814 *2 *3)) (-4 *3 (-649 *2)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-367) (-10 -8 (-15 ** ($ $ (-412 (-571))))))) (-5 *1 (-1123 *3 *2)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-793)) (-4 *6 (-847)) (-4 *7 (-561)) (-4 *3 (-955 *7 *5 *6)) (-5 *2 (-2 (|:| -2154 (-768)) (|:| -4501 *3) (|:| |radicand| (-637 *3)))) (-5 *1 (-959 *5 *6 *7 *3 *8)) (-5 *4 (-768)) (-4 *8 (-13 (-367) (-10 -8 (-15 -4474 (*3 $)) (-15 -4479 (*3 $)) (-15 -3942 ($ *3)))))))) 
+(((*1 *2 *3 *3) (-12 (-4 *2 (-561)) (-4 *2 (-456)) (-5 *1 (-976 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1151)) (-5 *1 (-1185))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-847)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *2 *1 *1) (-12 (-4 *1 (-903 *3)) (-4 *3 (-1097)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-904 *3)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1094 *3)) (-4 *3 (-1097)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-684 *4)) (-5 *3 (-922)) (|has| *4 (-6 (-4602 "*"))) (-4 *4 (-1053)) (-5 *1 (-1034 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-637 (-684 *4))) (-5 *3 (-922)) (|has| *4 (-6 (-4602 "*"))) (-4 *4 (-1053)) (-5 *1 (-1034 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1258 (-311 (-216)))) (-5 *4 (-637 (-1169))) (-5 *2 (-684 (-311 (-216)))) (-5 *1 (-198)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1097)) (-4 *6 (-900 *5)) (-5 *2 (-684 *6)) (-5 *1 (-686 *5 *6 *3 *4)) (-4 *3 (-378 *6)) (-4 *4 (-13 (-378 *5) (-10 -7 (-6 -4600))))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-264))))) 
+(((*1 *2 *3 *3) (-12 (-4 *2 (-561)) (-5 *1 (-976 *2 *3)) (-4 *3 (-1233 *2))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-456)) (-5 *2 (-637 (-2 (|:| |eigval| (-3 (-412 (-958 *4)) (-1158 (-1169) (-958 *4)))) (|:| |geneigvec| (-637 (-684 (-412 (-958 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-684 (-412 (-958 *4))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 (-780 *5 (-857 *6)))) (-5 *4 (-121)) (-4 *5 (-456)) (-14 *6 (-637 (-1169))) (-5 *2 (-637 (-1138 *5 (-537 (-857 *6)) (-857 *6) (-780 *5 (-857 *6))))) (-5 *1 (-622 *5 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-1263)) (-5 *1 (-99))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1203)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-439)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-497 *3)) (-4 *3 (-1097)) (-4 *3 (-847)))) ((*1 *1 *1 *1) (-5 *1 (-855))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1006 *3)) (-4 *3 (-1097)) (-4 *3 (-1097)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1032 *3)) (-4 *3 (-1203)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1139 *3)) (-4 *3 (-1097)) (-4 *3 (-1097))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-990 *2)) (-4 *2 (-1189))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-922)) (-5 *1 (-1036 *2)) (-4 *2 (-13 (-1097) (-10 -8 (-15 -1367 ($ $ $)))))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-561)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3026 *3))) (-5 *1 (-976 *4 *3)) (-4 *3 (-1233 *4))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-173)))) ((*1 *2 *3 *3 *2) (-12 (-5 *3 (-768)) (-5 *1 (-853 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1157 *2 *3)) (-14 *2 (-922)) (-4 *3 (-1053))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1165 *1)) (-5 *3 (-1169)) (-4 *1 (-863)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1165 *1)) (-5 *3 (-1169)) (-4 *1 (-863)))) ((*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1165 (-865))) (-5 *3 (-922)) (-5 *4 (-1169)) (-5 *1 (-865))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1203)))) ((*1 *1 *2) (-12 (-5 *2 (-958 (-384))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (-12 (-5 *2 (-412 (-958 (-384)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-384))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-384))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (-12 (-5 *2 (-958 (-571))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (-12 (-5 *2 (-412 (-958 (-571)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-571))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1043 (-571))) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))) (-4 *5 (-392)))) ((*1 *1 *2) (-12 (-5 *2 (-1169)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 *2)) (-14 *4 (-637 *2)) (-4 *5 (-392)))) ((*1 *1 *2) (-12 (-5 *2 (-311 *5)) (-4 *5 (-392)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-637 (-1169))) (-14 *4 (-637 (-1169))))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-412 (-958 (-571))))) (-4 *1 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-412 (-958 (-384))))) (-4 *1 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-958 (-571)))) (-4 *1 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-958 (-384)))) (-4 *1 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-311 (-571)))) (-4 *1 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-684 (-311 (-384)))) (-4 *1 (-389)))) ((*1 *1 *2) (-12 (-5 *2 (-412 (-958 (-571)))) (-4 *1 (-401)))) ((*1 *1 *2) (-12 (-5 *2 (-412 (-958 (-384)))) (-4 *1 (-401)))) ((*1 *1 *2) (-12 (-5 *2 (-958 (-571))) (-4 *1 (-401)))) ((*1 *1 *2) (-12 (-5 *2 (-958 (-384))) (-4 *1 (-401)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-571))) (-4 *1 (-401)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-384))) (-4 *1 (-401)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-412 (-958 (-571))))) (-4 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-412 (-958 (-384))))) (-4 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-958 (-571)))) (-4 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-958 (-384)))) (-4 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-311 (-571)))) (-4 *1 (-445)))) ((*1 *1 *2) (-12 (-5 *2 (-1258 (-311 (-384)))) (-4 *1 (-445)))) ((*1 *2 *1) (-12 (-5 *2 (-412 (-739 *3 *4))) (-5 *1 (-738 *3 *4)) (-14 *3 (-1169)) (-4 *4 (-13 (-1053) (-847) (-561))))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1169)) (|:| |fn| (-311 (-216))) (|:| -1981 (-1091 (-840 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1981 (-637 (-1091 (-840 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-766)))) ((*1 *1 *2) (-12 (-5 *2 (-1215 *3)) (-4 *3 (-352)) (-5 *1 (-775 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1258 (-311 (-216)))) (|:| |yinit| (-637 (-216))) (|:| |intvals| (-637 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-808)))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1757 (-637 (-216))) (|:| |lb| (-637 (-840 (-216)))) (|:| |cf| (-637 (-311 (-216)))) (|:| |ub| (-637 (-840 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-637 (-311 (-216)))) (|:| -1757 (-637 (-216))))))) (-5 *1 (-838)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-637 (-311 (-216)))) (|:| |constraints| (-637 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-768)) (|:| |boundaryType| (-571)) (|:| |dStart| (-684 (-216))) (|:| |dFinish| (-684 (-216)))))) (|:| |f| (-637 (-637 (-311 (-216))))) (|:| |st| (-1151)) (|:| |tol| (-216)))) (-5 *1 (-898)))) ((*1 *1 *2) (-12 (-5 *2 (-637 *6)) (-4 *6 (-1067 *3 *4 *5)) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847)) (-4 *1 (-983 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1043 *2)) (-4 *2 (-1203)))) ((*1 *1 *2) (-1831 (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-43 (-412 (-571))))) (-2931 (-4 *3 (-43 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-553))) (-2931 (-4 *3 (-43 (-412 (-571))))) (-4 *3 (-43 (-571))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 *3)) (-12 (-2931 (-4 *3 (-999 (-571)))) (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *1 (-1067 *3 *4 *5)) (-4 *4 (-793)) (-4 *5 (-847))))) ((*1 *1 *2) (-1831 (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-2931 (-4 *3 (-43 (-412 (-571))))) (-4 *3 (-43 (-571))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))) (-12 (-5 *2 (-958 (-571))) (-4 *1 (-1067 *3 *4 *5)) (-12 (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169)))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))))) ((*1 *1 *2) (-12 (-5 *2 (-958 (-412 (-571)))) (-4 *1 (-1067 *3 *4 *5)) (-4 *3 (-43 (-412 (-571)))) (-4 *5 (-612 (-1169))) (-4 *3 (-1053)) (-4 *4 (-793)) (-4 *5 (-847))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-367)) (-5 *1 (-763 *2 *3)) (-4 *2 (-703 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-849 *2)) (-4 *2 (-1053)) (-4 *2 (-367))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-792)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-387 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-1097)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1149 *3)) (-5 *1 (-597 *3)) (-4 *3 (-1053)))) ((*1 *2 *1) (-12 (-5 *2 (-637 *3)) (-5 *1 (-730 *3 *4)) (-4 *3 (-1053)) (-4 *4 (-721)))) ((*1 *2 *1) (-12 (-4 *1 (-849 *3)) (-4 *3 (-1053)) (-5 *2 (-637 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1248 *3)) (-4 *3 (-1053)) (-5 *2 (-1149 *3))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1258 (-571))) (-5 *3 (-571)) (-5 *1 (-1107)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-1258 (-571))) (-5 *3 (-637 (-571))) (-5 *4 (-571)) (-5 *1 (-1107))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-644 *2)) (-4 *2 (-367))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-637 (-468))) (-5 *2 (-3 (-922) (-121))) (-5 *1 (-467)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-922) (-121))) (-5 *1 (-468))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1067 *2 *3 *4)) (-4 *2 (-1053)) (-4 *3 (-793)) (-4 *4 (-847)) (-4 *2 (-456))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1063 (-1029 *3) (-1165 (-1029 *3)))) (-5 *1 (-1029 *3)) (-4 *3 (-13 (-845) (-367) (-1027)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-639 *3)) (-4 *3 (-1097))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-3 (-412 (-958 *5)) (-1158 (-1169) (-958 *5)))) (-4 *5 (-456)) (-5 *2 (-637 (-684 (-412 (-958 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-684 (-412 (-958 *5))))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-352)) (-5 *2 (-768)))) ((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-407)) (-5 *2 (-768))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1099 *3)) (-5 *1 (-905 *3)) (-4 *3 (-373)) (-4 *3 (-1097))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-958 *5)) (-4 *5 (-1053)) (-5 *2 (-243 *4 *5)) (-5 *1 (-950 *4 *5)) (-14 *4 (-637 (-1169)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1151)) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-367)) (-14 *5 (-637 (-1169))) (-4 *6 (-955 *4 *7 (-857 *5))) (-4 *7 (-231 (-4001 *5) (-768))) (-4 *8 (-977 *4)) (-4 *9 (-644 *4)) (-4 *10 (-925 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-539 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1263)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
+(((*1 *2) (-12 (-4 *3 (-367)) (-4 *4 (-644 *3)) (-5 *2 (-637 *1)) (-4 *1 (-925 *3 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-637 (-949 (-216))))) (-5 *1 (-476))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-847) (-456))) (-5 *1 (-1195 *3 *2)) (-4 *2 (-13 (-435 *3) (-1189)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1233 *6)) (-4 *6 (-13 (-27) (-435 *5))) (-4 *5 (-13 (-847) (-561) (-1043 (-571)))) (-4 *8 (-1233 (-412 *7))) (-5 *2 (-588 *3)) (-5 *1 (-556 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-596 *2)) (-4 *2 (-1053))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-302)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-610 *3)) (-5 *5 (-1165 *3)) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-567 *6 *3 *7)) (-4 *7 (-1097)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-610 *3)) (-5 *5 (-412 (-1165 *3))) (-4 *3 (-13 (-435 *6) (-27) (-1189))) (-4 *6 (-13 (-456) (-1043 (-571)) (-847) (-151) (-633 (-571)))) (-5 *2 (-588 *3)) (-5 *1 (-567 *6 *3 *7)) (-4 *7 (-1097))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-637 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-571))))) (-5 *1 (-423 *3)) (-4 *3 (-561)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-768)) (-4 *3 (-352)) (-4 *5 (-1233 *3)) (-5 *2 (-637 (-1165 *3))) (-5 *1 (-510 *3 *5 *6)) (-4 *6 (-1233 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1157 *3 *4)) (-14 *3 (-922)) (-4 *4 (-1053))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 *9)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1072 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-768)) (-5 *1 (-1070 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-637 *8)) (-5 *4 (-637 *9)) (-4 *8 (-1067 *5 *6 *7)) (-4 *9 (-1106 *5 *6 *7 *8)) (-4 *5 (-456)) (-4 *6 (-793)) (-4 *7 (-847)) (-5 *2 (-768)) (-5 *1 (-1137 *5 *6 *7 *8 *9))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-412 (-571))) (-5 *1 (-1029 *3)) (-4 *3 (-13 (-845) (-367) (-1027))))) ((*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-845) (-367))) (-5 *1 (-1063 *2 *3)) (-4 *3 (-1233 *2)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1069 *2 *3)) (-4 *2 (-13 (-845) (-367))) (-4 *3 (-1233 *2))))) 
+((-1290 . 842528) (-1291 . 842121) (-1292 . 842030) (-1293 . 841727) (-1294 . 841258) (-1295 . 841203) (-1296 . 841144) (-1297 . 840910) (-1298 . 840806) (-1299 . 840733) (-1300 . 840642) (-1301 . 840290) (-1302 . 840237) (-1303 . 840115) (-1304 . 840025) (-1305 . 839911) (-1306 . 839726) (-1307 . 839655) (-1308 . 839522) (-1309 . 839470) (-1310 . 839362) (-1311 . 839215) (-1312 . 839160) (-1313 . 838977) (-1314 . 838490) (-1315 . 838340) (-1316 . 833278) (-1317 . 833028) (-1318 . 832952) (-1319 . 832806) (-1320 . 832681) (-1321 . 832571) (-1322 . 832505) (-1323 . 831804) (-1324 . 831755) (-1325 . 831547) (-1326 . 831328) (-1327 . 831248) (-1328 . 831179) (-1329 . 830894) (-1330 . 830648) (-1331 . 830348) (-1332 . 830284) (-1333 . 830189) (-1334 . 829889) (-1335 . 829350) (-1336 . 829274) (-1337 . 829108) (-1338 . 829022) (-1339 . 825341) (-1340 . 825080) (-1341 . 824983) (-1342 . 824755) (-1343 . 824613) (-1344 . 824422) (-1345 . 823581) (-1346 . 823251) (-1347 . 823151) (-1348 . 822909) (-1349 . 822749) (-1350 . 822663) (-1351 . 822553) (-1352 . 822344) (-1353 . 821845) (-1354 . 821761) (-1355 . 821687) (-1356 . 821323) (-1357 . 821171) (-1358 . 820864) (-1359 . 820799) (-1360 . 820742) (-1361 . 820365) (-1362 . 820183) (-1363 . 820064) (-1364 . 819459) (-1365 . 818088) (-1366 . 817997) (-1367 . 816490) (-1368 . 816049) (-1369 . 815901) (-1370 . 815827) (-1371 . 815774) (-1372 . 815618) (-1373 . 814019) (-1374 . 813967) (-1375 . 813939) (-1376 . 813741) (-1377 . 812754) (-1378 . 812664) (-1379 . 810281) (-1380 . 809444) (-1381 . 809313) (-1382 . 809195) (-1383 . 808876) (-1384 . 808719) (-1385 . 808613) (-1386 . 808554) (-1387 . 808471) (-1388 . 808416) (-1389 . 808224) (-1390 . 807921) (-1391 . 807716) (-1392 . 807480) (-1393 . 807257) (-1394 . 807157) (-1395 . 806912) (-1396 . 806812) (-1397 . 806641) (-1398 . 806289) (-1399 . 806219) (-1400 . 806115) (-1401 . 806052) (-1402 . 803386) (-1403 . 803246) (-1404 . 802995) (-1405 . 802940) (-1406 . 802880) (-1407 . 802819) (-1408 . 802639) (-1409 . 802587) (-1410 . 802096) (-1411 . 802064) (-1412 . 801965) (-1413 . 801323) (-1414 . 801233) (-1415 . 801202) (-1416 . 801020) (-1417 . 800968) (-1418 . 800763) (-1419 . 800708) (-1420 . 800625) (-1421 . 800402) (-1422 . 799514) (-1423 . 799419) (-1424 . 799330) (-1425 . 799245) (-1426 . 798937) (-1427 . 798857) (-1428 . 798609) (-1429 . 798344) (-1430 . 798231) (-1431 . 798112) (-1432 . 798057) (-1433 . 797934) (-1434 . 797725) (-1435 . 797586) (-1436 . 797508) (-1437 . 797419) (-1438 . 797269) (-1439 . 797217) (-1440 . 797189) (-1441 . 797100) (-1442 . 797047) (-1443 . 796981) (-1444 . 795764) (-1445 . 795730) (-1446 . 795596) (-1447 . 795438) (-1448 . 795164) (-1449 . 794532) (-1450 . 794451) (-1451 . 794398) (-1452 . 794258) (-1453 . 793965) (-1454 . 793483) (-1455 . 793270) (-1456 . 793038) (-1457 . 792570) (-1458 . 792199) (-1459 . 792125) (-1460 . 791991) (-1461 . 791878) (-1462 . 791478) (-1463 . 791405) (-1464 . 791282) (-1465 . 791215) (-1466 . 791062) (-1467 . 790705) (-1468 . 790630) (-1469 . 790311) (-1470 . 790252) (-1471 . 790048) (-1472 . 789723) (-1473 . 789427) (-1474 . 789234) (-1475 . 788560) (-1476 . 788489) (-1477 . 788317) (-1478 . 788236) (-1479 . 788165) (-1480 . 788065) (-1481 . 787467) (-1482 . 787315) (-1483 . 787147) (-1484 . 786981) (-1485 . 786791) (-1486 . 786680) (-1487 . 786624) (-1488 . 786447) (-1489 . 786392) (-1490 . 786194) (-1491 . 786074) (-1492 . 785969) (-1493 . 785917) (-1494 . 785826) (-1495 . 785738) (-1496 . 785655) (-1497 . 785589) (-1498 . 785484) (-1499 . 785345) (-1500 . 785180) (-1501 . 785070) (-1502 . 785021) (-1503 . 784968) (-1504 . 784644) (-1505 . 784545) (-1506 . 784465) (-1507 . 784372) (-1508 . 784276) (-1509 . 784177) (-1510 . 784097) (-1511 . 783893) (-1512 . 783741) (-1513 . 782928) (-1514 . 782840) (-1515 . 782732) (-1516 . 782659) (-1517 . 782541) (-1518 . 782489) (-1519 . 782313) (-1520 . 782200) (-1521 . 782095) (-1522 . 781866) (-1523 . 781771) (-1524 . 781556) (-1525 . 781446) (-1526 . 781362) (-1527 . 781260) (-1528 . 781208) (-1529 . 781153) (-1530 . 781096) (-1531 . 780993) (-1532 . 780894) (-1533 . 780670) (-1534 . 780610) (-1535 . 780533) (-1536 . 780259) (-1537 . 780142) (-1538 . 777187) (-1539 . 777093) (-1540 . 776986) (-1541 . 776852) (-1542 . 776779) (-1543 . 776707) (-1544 . 775911) (-1545 . 775799) (-1546 . 774599) (-1547 . 774411) (-1548 . 774055) (-1549 . 773684) (-1550 . 773599) (-1551 . 773499) (-1552 . 773418) (-1553 . 773230) (-1554 . 773177) (-1555 . 773052) (-1556 . 772736) (-1557 . 772683) (-1558 . 772445) (-1559 . 772240) (-1560 . 771896) (-1561 . 771743) (-1562 . 771626) (-1563 . 771561) (-1564 . 771486) (-1565 . 771404) (-1566 . 771351) (-1567 . 771027) (-1568 . 770800) (-1569 . 769457) (-1570 . 769382) (-1571 . 769136) (-1572 . 768187) (-1573 . 768046) (-1574 . 767973) (-1575 . 767924) (-1576 . 767599) (-1577 . 767511) (-1578 . 767308) (-1579 . 767256) (-1580 . 767135) (-1581 . 766915) (-1582 . 766763) (-1583 . 765912) (-1584 . 765842) (-1585 . 765623) (-1586 . 765553) (-1587 . 765485) (-1588 . 765412) (-1589 . 765102) (-1590 . 765049) (-1591 . 765012) (-1592 . 764790) (-1593 . 764633) (-1594 . 764446) (-1595 . 764363) (-1596 . 763997) (-1597 . 763757) (-1598 . 763481) (-1599 . 762770) (-1600 . 762719) (-1601 . 762503) (-1602 . 762453) (-1603 . 762318) (-1604 . 762115) (-1605 . 761704) (-1606 . 761436) (-1607 . 761383) (-1608 . 761258) (-1609 . 760130) (-1610 . 759558) (-1611 . 759524) (-1612 . 759495) (-1613 . 759402) (-1614 . 759011) (-1615 . 758873) (-1616 . 758766) (-1617 . 758692) (-1618 . 758618) (-1619 . 758423) (-1620 . 758348) (-1621 . 758295) (-1622 . 758112) (-1623 . 757981) (-1624 . 757142) (-1625 . 757008) (-1626 . 756856) (-1627 . 756668) (-1628 . 756609) (-1629 . 756447) (-1630 . 755887) (-1631 . 755652) (-1632 . 755380) (-1633 . 755192) (-1634 . 754951) (-1635 . 754833) (-1636 . 754661) (-1637 . 754541) (-1638 . 754403) (-1639 . 754295) (-1640 . 754072) (-1641 . 753955) (-1642 . 753823) (-1643 . 753719) (-1644 . 753264) (-1645 . 753156) (-1646 . 753065) (-1647 . 752992) (-1648 . 752939) (-1649 . 752868) (-1650 . 752742) (-1651 . 752494) (-1652 . 752280) (-1653 . 752132) (-1654 . 751930) (-1655 . 751856) (-1656 . 751724) (-1657 . 751172) (-1658 . 750901) (-1659 . 749983) (-1660 . 749903) (-1661 . 749777) (-1662 . 749675) (-1663 . 749442) (-1664 . 749301) (-1665 . 748929) (-1666 . 748551) (-1667 . 748420) (-1668 . 748367) (-1669 . 748042) (-1670 . 747938) (-1671 . 747672) (-1672 . 747223) (-1673 . 747122) (-1674 . 746990) (-1675 . 746938) (-1676 . 746761) (-1677 . 746614) (-1678 . 746538) (-1679 . 746346) (-1680 . 746290) (-1681 . 745970) (-1682 . 745773) (-1683 . 745449) (-1684 . 745280) (-1685 . 745040) (-1686 . 744701) (-1687 . 744569) (-1688 . 744483) (-1689 . 744320) (-1690 . 744249) (-1691 . 744151) (-1692 . 743975) (-1693 . 743651) (-1694 . 743435) (-1695 . 743272) (-1696 . 743192) (-1697 . 742834) (-1698 . 742745) (-1699 . 742584) (-1700 . 742439) (-1701 . 742222) (-1702 . 742153) (-1703 . 742081) (-1704 . 741783) (-1705 . 741730) (-1706 . 741596) (-1707 . 741300) (-1708 . 741220) (-1709 . 741131) (-1710 . 741081) (-1711 . 740938) (-1712 . 740216) (-1713 . 740021) (-1714 . 739846) (-1715 . 739684) (-1716 . 739575) (-1717 . 738989) (-1718 . 738937) (-1719 . 738875) (-1720 . 738748) (-1721 . 738564) (-1722 . 738221) (-1723 . 737832) (-1724 . 737696) (-1725 . 737547) (-1726 . 737341) (-1727 . 737235) (-1728 . 737056) (-1729 . 736954) (-1730 . 736658) (-1731 . 736582) (-1732 . 735703) (-1733 . 735304) (-1734 . 735187) (-1735 . 735063) (-1736 . 734921) (-1737 . 734719) (-1738 . 734305) (-1739 . 734142) (-1740 . 734036) (-1741 . 733948) (-1742 . 733862) (-1743 . 733683) (-1744 . 733541) (-1745 . 733099) (-1746 . 732886) (-1747 . 732804) (-1748 . 732626) (-1749 . 732509) (-1750 . 732156) (-1751 . 732067) (-1752 . 731870) (-1753 . 731763) (-1754 . 731691) (-1755 . 731385) (-1756 . 731274) (-1757 . 731155) (-1758 . 731102) (-1759 . 731013) (-1760 . 730399) (-1761 . 730192) (-1762 . 730082) (-1763 . 729811) (-1764 . 729608) (-1765 . 729273) (-1766 . 729181) (-1767 . 728741) (-1768 . 728681) (-1769 . 728499) (-1770 . 728322) (-1771 . 727951) (-1772 . 727840) (-1773 . 727672) (-1774 . 726772) (-1775 . 726645) (-1776 . 726550) (-1777 . 726403) (-1778 . 725862) (-1779 . 725639) (-1780 . 725587) (-1781 . 725510) (-1782 . 725457) (-1783 . 725376) (-1784 . 725307) (-1785 . 725194) (-1786 . 724377) (-1787 . 724222) (-1788 . 724039) (-1789 . 723930) (-1790 . 723896) (-1791 . 723392) (-1792 . 723257) (-1793 . 722990) (-1794 . 722887) (-1795 . 722513) (-1796 . 722220) (-1797 . 721716) (-1798 . 721575) (-1799 . 721478) (-1800 . 721428) (-1801 . 721376) (-1802 . 721342) (-1803 . 721263) (-1804 . 721065) (-1805 . 720718) (-1806 . 720297) (-1807 . 720078) (-1808 . 719934) (-1809 . 719831) (-1810 . 719580) (-1811 . 719462) (-1812 . 719133) (-1813 . 719078) (-1814 . 719004) (-1815 . 718046) (-1816 . 717669) (-1817 . 717425) (-1818 . 717267) (-1819 . 717215) (-1820 . 716695) (-1821 . 716486) (-1822 . 716116) (-1823 . 716064) (-1824 . 715924) (-1825 . 715862) (-1826 . 715810) (-1827 . 715293) (-1828 . 714660) (-1829 . 714479) (-1830 . 714381) (-1831 . 714226) (-1832 . 714160) (-1833 . 714078) (-1834 . 714000) (-1835 . 713891) (-1836 . 713816) (-1837 . 713726) (-12 . 713571) (-1839 . 713407) (-1840 . 713225) (-1841 . 713157) (-1842 . 712807) (-1843 . 712668) (-1844 . 712566) (-1845 . 712440) (-1846 . 712263) (-1847 . 711941) (-1848 . 711446) (-1849 . 711294) (-1850 . 711245) (-1851 . 711217) (-1852 . 710889) (-1853 . 710711) (-1854 . 710658) (-1855 . 710567) (-1856 . 710239) (-1857 . 709837) (-1858 . 709733) (-1859 . 709294) (-1860 . 709213) (-1861 . 709113) (-1862 . 708971) (-1863 . 708814) (-1864 . 708657) (-1865 . 708584) (-1866 . 708420) (-1867 . 708213) (-1868 . 708076) (-1869 . 708003) (-1870 . 707788) (-1871 . 706054) (* . 701401) (-1873 . 701317) (-1874 . 699887) (-1875 . 699716) (-1876 . 699610) (-1877 . 699355) (-1878 . 699290) (-1879 . 697828) (-1880 . 697641) (-1881 . 697563) (-1882 . 697353) (-1883 . 697170) (-1884 . 697015) (-1885 . 696941) (-1886 . 696872) (-1887 . 696469) (-1888 . 695922) (-1889 . 695822) (-1890 . 695748) (-1891 . 695607) (-1892 . 695418) (-1893 . 695133) (-1894 . 694041) (-1895 . 693911) (-1896 . 693759) (-1897 . 693425) (-1898 . 693373) (-1899 . 692550) (-1900 . 692497) (-1901 . 692369) (-1902 . 691883) (-1903 . 691832) (-1904 . 691409) (-1905 . 691286) (-1906 . 691136) (-1907 . 690843) (-1908 . 690427) (-1909 . 690306) (-1910 . 689770) (-1911 . 689696) (-1912 . 689625) (-1913 . 689372) (-1914 . 689173) (-1915 . 688838) (-1916 . 687881) (-1917 . 687722) (-1918 . 687467) (-1919 . 687335) (-1920 . 687216) (-1921 . 686880) (-1922 . 686790) (-1923 . 686094) (-1924 . 685991) (-1925 . 685806) (-1926 . 685353) (-1927 . 685200) (-1928 . 684998) (-1929 . 684869) (-1930 . 684719) (-1931 . 683535) (-1932 . 683451) (-1933 . 683298) (-1934 . 683113) (-1935 . 683014) (-1936 . 682962) (-1937 . 682795) (-1938 . 682638) (-1939 . 682553) (-1940 . 682496) (-1941 . 682468) (-1942 . 682354) (-1943 . 682207) (-1944 . 681914) (-1945 . 681864) (-1946 . 681783) (-1947 . 681666) (-1948 . 681592) (-1949 . 681532) (-1950 . 681297) (-1951 . 681084) (-1952 . 680981) (-1953 . 680900) (-1954 . 680821) (-1955 . 680768) (-1956 . 680694) (-1957 . 680634) (-1958 . 680582) (-1959 . 680491) (-1960 . 680395) (-1961 . 680343) (-1962 . 679277) (-1963 . 679220) (-1964 . 679033) (-1965 . 678930) (-1966 . 678525) (-1967 . 678476) (-1968 . 678315) (-1969 . 678249) (-1970 . 678097) (-1971 . 677804) (-1972 . 673880) (-1973 . 673771) (-1974 . 673573) (-1975 . 673507) (-1976 . 673447) (-1977 . 673298) (-1978 . 673028) (-1979 . 672960) (-1980 . 672873) (-1981 . 672735) (-1982 . 672651) (-1983 . 672499) (-1984 . 672365) (-1985 . 672131) (-1986 . 671910) (-1987 . 671829) (-1988 . 671795) (-1989 . 671642) (-1990 . 671571) (-1991 . 671517) (-1992 . 671278) (-1993 . 671177) (-1994 . 671067) (-1995 . 670802) (-1996 . 670742) (-1997 . 670362) (-1998 . 670226) (-1999 . 670097) (-2000 . 670035) (-2001 . 669922) (-2002 . 669356) (-2003 . 669154) (-2004 . 669070) (-2005 . 668996) (-2006 . 668878) (-2007 . 668804) (-2008 . 668702) (-2009 . 668544) (-2010 . 668442) (-2011 . 668299) (-2012 . 668268) (-2013 . 667791) (-2014 . 667739) (-2015 . 667665) (-2016 . 667613) (-2017 . 667282) (-2018 . 666934) (-2019 . 666672) (-2020 . 665989) (-2021 . 665811) (-2022 . 665741) (-2023 . 665500) (-2024 . 665304) (-2025 . 664980) (-2026 . 658449) (-2027 . 658214) (-2028 . 658155) (-2029 . 658046) (-2030 . 657885) (-2031 . 657709) (-2032 . 657547) (-2033 . 657102) (-2034 . 657046) (-2035 . 656893) (-2036 . 656761) (-2037 . 656679) (-2038 . 656472) (-2039 . 656399) (-2040 . 656285) (-2041 . 656105) (-2042 . 655995) (-2043 . 655870) (-2044 . 655794) (-2045 . 655744) (-2046 . 655619) (-2047 . 655380) (-2048 . 655258) (-2049 . 654884) (-2050 . 654724) (-2051 . 654522) (-2052 . 654429) (-2053 . 654295) (-2054 . 654220) (-2055 . 654146) (-2056 . 654114) (-2057 . 654058) (-2058 . 653901) (-2059 . 653200) (-2060 . 653110) (-2061 . 653041) (-2062 . 652965) (-2063 . 652840) (-2064 . 652770) (-2065 . 652560) (-2066 . 652448) (-2067 . 652351) (-2068 . 652258) (-2069 . 652168) (-2070 . 652101) (-2071 . 651983) (-2072 . 651892) (-2073 . 651606) (-2074 . 651469) (-2075 . 650856) (-2076 . 650540) (-2077 . 650488) (-2078 . 650326) (-2079 . 650192) (-2080 . 650109) (-2081 . 650048) (-2082 . 649972) (-2083 . 649871) (-2084 . 649808) (-2085 . 649436) (-2086 . 649356) (-2087 . 649256) (-2088 . 649187) (-2089 . 649009) (-2090 . 648935) (-2091 . 648743) (-2092 . 648643) (-2093 . 648404) (-2094 . 647273) (-2095 . 647162) (-2096 . 647105) (-2097 . 646992) (-2098 . 646918) (-2099 . 646789) (-2100 . 646668) (-2101 . 646505) (-2102 . 646393) (-2103 . 646282) (-2104 . 646130) (-2105 . 645905) (-2106 . 645809) (-2107 . 645722) (-2108 . 645460) (-2109 . 645321) (-2110 . 645266) (-2111 . 645156) (-2112 . 645074) (-2113 . 644976) (-2114 . 644857) (-2115 . 644777) (-2116 . 644746) (-2117 . 644607) (-2118 . 644511) (-2119 . 644437) (-2120 . 644062) (-2121 . 643718) (-2122 . 643551) (-2123 . 643276) (-2124 . 643202) (-2125 . 643131) (-2126 . 643076) (-2127 . 642667) (-2128 . 642515) (-2129 . 642418) (-2130 . 642301) (-2131 . 641850) (-2132 . 641736) (-2133 . 641584) (-2134 . 641518) (-2135 . 641427) (-2136 . 641272) (-2137 . 640865) (-2138 . 640767) (-2139 . 640514) (-2140 . 640421) (-2141 . 640094) (-2142 . 639978) (-2143 . 639915) (-2144 . 639826) (-2145 . 639700) (-2146 . 639542) (-2147 . 639514) (-2148 . 639329) (-2149 . 639240) (-2150 . 639102) (-2151 . 639074) (-2152 . 639046) (-2153 . 638980) (-2154 . 638522) (-2155 . 638444) (-2156 . 638231) (-2157 . 638120) (-2158 . 637805) (-2159 . 637641) (-2160 . 637552) (-2161 . 637463) (-2162 . 637367) (-2163 . 637268) (-2164 . 637102) (-2165 . 637046) (-2166 . 636874) (-2167 . 636591) (-2168 . 636539) (-2169 . 636468) (-2170 . 636440) (-2171 . 636200) (-2172 . 635979) (-2173 . 635865) (-2174 . 635713) (-2175 . 635642) (-2176 . 635550) (-2177 . 635498) (-2178 . 635414) (-2179 . 635315) (-2180 . 635219) (-2181 . 635059) (-2182 . 634751) (-2183 . 634430) (-2184 . 634178) (-2185 . 634006) (-2186 . 633905) (-2187 . 633797) (-2188 . 633639) (-2189 . 633514) (-2190 . 633430) (-2191 . 633355) (-2192 . 633256) (-2193 . 632859) (-2194 . 632555) (-2195 . 632312) (-2196 . 632109) (-2197 . 631746) (-2198 . 631680) (-2199 . 631576) (-2200 . 631548) (-2201 . 631325) (-2202 . 631229) (-2203 . 630950) (-2204 . 630866) (-2205 . 630660) (-2206 . 630632) (-2207 . 630583) (-2208 . 630517) (-2209 . 630281) (-2210 . 630038) (-2211 . 629942) (-2212 . 629877) (-2213 . 629739) (-2214 . 629317) (-2215 . 629289) (-2216 . 629099) (-2217 . 629067) (-2218 . 629039) (-2219 . 628912) (-2220 . 628817) (-2221 . 628589) (-2222 . 628489) (-2223 . 628413) (-2224 . 628244) (-2225 . 628137) (-2226 . 628066) (-2227 . 627916) (-2228 . 627633) (-2229 . 627509) (-2230 . 627216) (-2231 . 627140) (-2232 . 627073) (-2233 . 626952) (-2234 . 626462) (-2235 . 624593) (-2236 . 624514) (-2237 . 624462) (-2238 . 624307) (-2239 . 624118) (-2240 . 623614) (-2241 . 623479) (-2242 . 623298) (-2243 . 623203) (-2244 . 623112) (-2245 . 622991) (-2246 . 622839) (-2247 . 622786) (-2248 . 622478) (-2249 . 622326) (-2250 . 622246) (-2251 . 622121) (-2252 . 622069) (-2253 . 622011) (-2254 . 621839) (-2255 . 621737) (-2256 . 621624) (-2257 . 621535) (-2258 . 621309) (-2259 . 621234) (-2260 . 621108) (-2261 . 620949) (-2262 . 620363) (-2263 . 620227) (-2264 . 620039) (-2265 . 619940) (-2266 . 619793) (-2267 . 619695) (-2268 . 619620) (-2269 . 619181) (-2270 . 619112) (-2271 . 618852) (-2272 . 618800) (-2273 . 618487) (-2274 . 618391) (-2275 . 618338) (-2276 . 618285) (-2277 . 618212) (-2278 . 618131) (-2279 . 618059) (-2280 . 617482) (-2281 . 617148) (-2282 . 616809) (-2283 . 616713) (-2284 . 616581) (-2285 . 616478) (-2286 . 616408) (-2287 . 616355) (-2288 . 616258) (-2289 . 616125) (-2290 . 615996) (-2291 . 615845) (-2292 . 615587) (-2293 . 615152) (-2294 . 615049) (-2295 . 614993) (-2296 . 614794) (-2297 . 614623) (-2298 . 614543) (-2299 . 613531) (-2300 . 613376) (-2301 . 613243) (-2302 . 613051) (-2303 . 612936) (-2304 . 612425) (-2305 . 612222) (-2306 . 612028) (-2307 . 611807) (-2308 . 611638) (-2309 . 611384) (-2310 . 611298) (-2311 . 611165) (-2312 . 611115) (-2313 . 611023) (-2314 . 610655) (-2315 . 610602) (-2316 . 610480) (-2317 . 610394) (-2318 . 610149) (-2319 . 609558) (-2320 . 609343) (-2321 . 609204) (-2322 . 609135) (-2323 . 608900) (-2324 . 608814) (-2325 . 608715) (-2326 . 608568) (-2327 . 607762) (-2328 . 607614) (-2329 . 607402) (-2330 . 607245) (-2331 . 607107) (-2332 . 606968) (-2333 . 606912) (-2334 . 606414) (-2335 . 606086) (-2336 . 606008) (-2337 . 605922) (-2338 . 605617) (-2339 . 605418) (-2340 . 605112) (-2341 . 605060) (-2342 . 604982) (-2343 . 604828) (-2344 . 604742) (-2345 . 604252) (-2346 . 604124) (-2347 . 603908) (-2348 . 603333) (-2349 . 603251) (-2350 . 603133) (-2351 . 603047) (-2352 . 602873) (-2353 . 602704) (-2354 . 602549) (-2355 . 602310) (-2356 . 601887) (-2357 . 601706) (-2358 . 601567) (-2359 . 601360) (-2360 . 601272) (-2361 . 601089) (-2362 . 601003) (-2363 . 600846) (-2364 . 597108) (-2365 . 597030) (-2366 . 596381) (-2367 . 596330) (-2368 . 596253) (-2369 . 596085) (-2370 . 595999) (-2371 . 595762) (-2372 . 595705) (-2373 . 595620) (-2374 . 595484) (-2375 . 594810) (-2376 . 594706) (-2377 . 594385) (-2378 . 594238) (-2379 . 594130) (-2380 . 594044) (-2381 . 593919) (-2382 . 593885) (-2383 . 593562) (-2384 . 593002) (-2385 . 592810) (-2386 . 592688) (-2387 . 592486) (-2388 . 592382) (-2389 . 592325) (-2390 . 592217) (-2391 . 592131) (-2392 . 592047) (-2393 . 591824) (-2394 . 591769) (-2395 . 591666) (-2396 . 591268) (-2397 . 591157) (-2398 . 591065) (-2399 . 591003) (-2400 . 588561) (-2401 . 588432) (-2402 . 588331) (-2403 . 588276) (-2404 . 588245) (-2405 . 588159) (-2406 . 587370) (-2407 . 587286) (-2408 . 586809) (-2409 . 586569) (-2410 . 586465) (-2411 . 586261) (-2412 . 586184) (-2413 . 586062) (-2414 . 586010) (-2415 . 585877) (-2416 . 585708) (-2417 . 585622) (-2418 . 585588) (-2419 . 585050) (-2420 . 584966) (-2421 . 584856) (-2422 . 584714) (-2423 . 584628) (-2424 . 584534) (-2425 . 584342) (-2426 . 584006) (-2427 . 583944) (-2428 . 583838) (-2429 . 583152) (-2430 . 583039) (-2431 . 582979) (-2432 . 582891) (-2433 . 582621) (-2434 . 582004) (-2435 . 581918) (-2436 . 581861) (-2437 . 581550) (-2438 . 581476) (-2439 . 581029) (-2440 . 580895) (-2441 . 580843) (-2442 . 580760) (-2443 . 580695) (-2444 . 580479) (-2445 . 580393) (-2446 . 580271) (-2447 . 580175) (-2448 . 579968) (-2449 . 579351) (-2450 . 579018) (-2451 . 578676) (-2452 . 578439) (-2453 . 578308) (-2454 . 578215) (-2455 . 578057) (-2456 . 577885) (-2457 . 577822) (-2458 . 577700) (-2459 . 577604) (-2460 . 577397) (-2461 . 577139) (-2462 . 576883) (-2463 . 576788) (-2464 . 576487) (-2465 . 576435) (-2466 . 576361) (-2467 . 576252) (-2468 . 576175) (-2469 . 576102) (-2470 . 576004) (-2471 . 575912) (-2472 . 575818) (-2473 . 575761) (-2474 . 575681) (-2475 . 575503) (-2476 . 575374) (-2477 . 575308) (-2478 . 575216) (-2479 . 575153) (-2480 . 575061) (-2481 . 574988) (-2482 . 574933) (-2483 . 574661) (-2484 . 574523) (-2485 . 574253) (-2486 . 574164) (-2487 . 574034) (-2488 . 573966) (-2489 . 573660) (-2490 . 573572) (-2491 . 573415) (-2492 . 573308) (-2493 . 573274) (-2494 . 573157) (-2495 . 573043) (-2496 . 572899) (-2497 . 572813) (-2498 . 572709) (-2499 . 572623) (-2500 . 572557) (-2501 . 572302) (-2502 . 572162) (-2503 . 571856) (-2504 . 571684) (-2505 . 571267) (-2506 . 570863) (-2507 . 569904) (-2508 . 569789) (-2509 . 569442) (-2510 . 569020) (-2511 . 568967) (-2512 . 568851) (-2513 . 568480) (-2514 . 568405) (-2515 . 568331) (-2516 . 568169) (-2517 . 568083) (-2518 . 568052) (-2519 . 567910) (-2520 . 567373) (-2521 . 567232) (-2522 . 567116) (-2523 . 566911) (-2524 . 566626) (-2525 . 566464) (-2526 . 566307) (-2527 . 566226) (-2528 . 566194) (-2529 . 566090) (-2530 . 565935) (-2531 . 565832) (-2532 . 565606) (-2533 . 565512) (-2534 . 565048) (-2535 . 564962) (-2536 . 564791) (-2537 . 564617) (-2538 . 560693) (-2539 . 560171) (-2540 . 560046) (-2541 . 559852) (-2542 . 559754) (-2543 . 559427) (-2544 . 559264) (-2545 . 559212) (-2546 . 558990) (-2547 . 558691) (-2548 . 558603) (-2549 . 558296) (-2550 . 558104) (-2551 . 557966) (-2552 . 557880) (-2553 . 557135) (-2554 . 557069) (-2555 . 556941) (-2556 . 556857) (-2557 . 556778) (-2558 . 556704) (-2559 . 556629) (-2560 . 556554) (-2561 . 556263) (-2562 . 556103) (-2563 . 555808) (-2564 . 555755) (-2565 . 555702) (-2566 . 555438) (-2567 . 555079) (-2568 . 554926) (-2569 . 554677) (-2570 . 554610) (-2571 . 554452) (-2572 . 554257) (-2573 . 554088) (-2574 . 553963) (-2575 . 553811) (-2576 . 553583) (-2577 . 553511) (-2578 . 553377) (-2579 . 553191) (-2580 . 552571) (-2581 . 552432) (-2582 . 552348) (-2583 . 552117) (-2584 . 551931) (-2585 . 551818) (-2586 . 551690) (-2587 . 551448) (-2588 . 551128) (-2589 . 551042) (-2590 . 550922) (-2591 . 550723) (-2592 . 550650) (-2593 . 550086) (-2594 . 549935) (-2595 . 549831) (-2596 . 549789) (-2597 . 549631) (-2598 . 549481) (-2599 . 549297) (-2600 . 549138) (-2601 . 549110) (-2602 . 548536) (-2603 . 548455) (-2604 . 548305) (-2605 . 548135) (-2606 . 548049) (-2607 . 547969) (-2608 . 547877) (-2609 . 547803) (-2610 . 547750) (-2611 . 547695) (-2612 . 547430) (-2613 . 547272) (-2614 . 547223) (-2615 . 547068) (-2616 . 547034) (-2617 . 546669) (-2618 . 546572) (-2619 . 546269) (-2620 . 546150) (-2621 . 546043) (-2622 . 545633) (-2623 . 545518) (-2624 . 545368) (-2625 . 545235) (-2626 . 545040) (-2627 . 544988) (-2628 . 544890) (-2629 . 544775) (-2630 . 544582) (-2631 . 544499) (-2632 . 544366) (-2633 . 544211) (-2634 . 544120) (-2635 . 543953) (-2636 . 543884) (-2637 . 543773) (-2638 . 543720) (-2639 . 543657) (-2640 . 543519) (-2641 . 543403) (-2642 . 543317) (-2643 . 543234) (-2644 . 543164) (-2645 . 542961) (-2646 . 542861) (-2647 . 542786) (-2648 . 542603) (-2649 . 542532) (-2650 . 542302) (-2651 . 542216) (-2652 . 542118) (-2653 . 541992) (-2654 . 541639) (-2655 . 541562) (-2656 . 541017) (-2657 . 540777) (-2658 . 540691) (-2659 . 540616) (-2660 . 540516) (-2661 . 539693) (-2662 . 539639) (-2663 . 539554) (-2664 . 539483) (-2665 . 539372) (-2666 . 539288) (-2667 . 538907) (-2668 . 538821) (-2669 . 538046) (-2670 . 537899) (-2671 . 537846) (-2672 . 537151) (-2673 . 536935) (-2674 . 536882) (-2675 . 536687) (-2676 . 536615) (-2677 . 536495) (-2678 . 536375) (-2679 . 536237) (-2680 . 535994) (-2681 . 535869) (-2682 . 535765) (-2683 . 535622) (-2684 . 535466) (-2685 . 535383) (-2686 . 535241) (-2687 . 534929) (-2688 . 534789) (-2689 . 534566) (-2690 . 534474) (-2691 . 534322) (-2692 . 534060) (-2693 . 533984) (-2694 . 533841) (-2695 . 533520) (-2696 . 533451) (-2697 . 533376) (-2698 . 533348) (-2699 . 533191) (-2700 . 533082) (-2701 . 533014) (-2702 . 532986) (-2703 . 532835) (-2704 . 532687) (-2705 . 532612) (-2706 . 532535) (-2707 . 532435) (-2708 . 532370) (-2709 . 532301) (-2710 . 531740) (-2711 . 531614) (-2712 . 531553) (-2713 . 531488) (-2714 . 531237) (-2715 . 531159) (-2716 . 531015) (-2717 . 530918) (-2718 . 530813) (-2719 . 530390) (-2720 . 530188) (-2721 . 530156) (-2722 . 530041) (-2723 . 529965) (-2724 . 529396) (-2725 . 529230) (-2726 . 528628) (-2727 . 528556) (-2728 . 528423) (-2729 . 528368) (-2730 . 528244) (-2731 . 527959) (-2732 . 527693) (-2733 . 527551) (-2734 . 527446) (-2735 . 526514) (-2736 . 526462) (-2737 . 526358) (-2738 . 526265) (-2739 . 526199) (-2740 . 526047) (-2741 . 525846) (-2742 . 525694) (-2743 . 525561) (-2744 . 525453) (-2745 . 525351) (-2746 . 525273) (-2747 . 525194) (-2748 . 524847) (-2749 . 524697) (-2750 . 524646) (-2751 . 524505) (-2752 . 524387) (-2753 . 524284) (-2754 . 523894) (-2755 . 523763) (-2756 . 523685) (-2757 . 523141) (-2758 . 523023) (-2759 . 522942) (-2760 . 522769) (-2761 . 522600) (-2762 . 522498) (-2763 . 522425) (-2764 . 522352) (-2765 . 522159) (-2766 . 522035) (-2767 . 521946) (-2768 . 521874) (-2769 . 521766) (-2770 . 521732) (-2771 . 521562) (-2772 . 521431) (-2773 . 520702) (-2774 . 520521) (-2775 . 520450) (-2776 . 520334) (-2777 . 520216) (-2778 . 520117) (-2779 . 519521) (-2780 . 519373) (-2781 . 519266) (-2782 . 519196) (-2783 . 519123) (-2784 . 519020) (-2785 . 518968) (-2786 . 518879) (-2787 . 518671) (-2788 . 518588) (-2789 . 518346) (-2790 . 517842) (-2791 . 517792) (-2792 . 517718) (-2793 . 517520) (-2794 . 517450) (-2795 . 517384) (-2796 . 517302) (-2797 . 517204) (-2798 . 517115) (-2799 . 516936) (-2800 . 516884) (-2801 . 515911) (-2802 . 515824) (-2803 . 515737) (-2804 . 515679) (-2805 . 515598) (-2806 . 515512) (-2807 . 515417) (-2808 . 515364) (-2809 . 515222) (-2810 . 514790) (-2811 . 514573) (-2812 . 514198) (-2813 . 513893) (-2814 . 513729) (-2815 . 513647) (-2816 . 513191) (-2817 . 512672) (-2818 . 512600) (-2819 . 512497) (-2820 . 511601) (-2821 . 511535) (-2822 . 511464) (-2823 . 511329) (-2824 . 511254) (-2825 . 511204) (-2826 . 511134) (-2827 . 511026) (-2828 . 510691) (-2829 . 510587) (-2830 . 510437) (-2831 . 509951) (-2832 . 509840) (-2833 . 509723) (-2834 . 509599) (-2835 . 509253) (-2836 . 509125) (-2837 . 508889) (-2838 . 508527) (-2839 . 508412) (-2840 . 508322) (-2841 . 507510) (-2842 . 507081) (-2843 . 507015) (-2844 . 506897) (-2845 . 506748) (-2846 . 506619) (-2847 . 506537) (-2848 . 506463) (-2849 . 506336) (-2850 . 506233) (-2851 . 506134) (-2852 . 505893) (-2853 . 505827) (-2854 . 505689) (-2855 . 504849) (-2856 . 504799) (-2857 . 504317) (-2858 . 504247) (-2859 . 503928) (-2860 . 503872) (-2861 . 503736) (-2862 . 503680) (-2863 . 501553) (-2864 . 501474) (-2865 . 501392) (-2866 . 501323) (-2867 . 501237) (-2868 . 501122) (-2869 . 500982) (-2870 . 500476) (-2871 . 500326) (-2872 . 500074) (-2873 . 499971) (-2874 . 499868) (-2875 . 499563) (-2876 . 499448) (-2877 . 499172) (-2878 . 499098) (-2879 . 499001) (-2880 . 498856) (-2881 . 498721) (-2882 . 498366) (-2883 . 498126) (-2884 . 497830) (-2885 . 497692) (-2886 . 497520) (-2887 . 497352) (-2888 . 496944) (-2889 . 496481) (-2890 . 496423) (-2891 . 496227) (-2892 . 495712) (-2893 . 495621) (-2894 . 495455) (-2895 . 495383) (-2896 . 495324) (-2897 . 495180) (-2898 . 495090) (-2899 . 494976) (-2900 . 494861) (-2901 . 494683) (-2902 . 494578) (-2903 . 494452) (-2904 . 494363) (-2905 . 494097) (-2906 . 493277) (-2907 . 493218) (-2908 . 493107) (-2909 . 493023) (-2910 . 492708) (-2911 . 492163) (-2912 . 492089) (-2913 . 490647) (-2914 . 490499) (-2915 . 490394) (-2916 . 490276) (-2917 . 490126) (-2918 . 489581) (-2919 . 489433) (-2920 . 489325) (-2921 . 488656) (-2922 . 488435) (-2923 . 488354) (-2924 . 488115) (-2925 . 487967) (-2926 . 487815) (-2927 . 487680) (-2928 . 487596) (-2929 . 487357) (-2930 . 487276) (-2931 . 487160) (-2932 . 487067) (-2933 . 486963) (-2934 . 486662) (-2935 . 486031) (-2936 . 485963) (-2937 . 485512) (-2938 . 485313) (-2939 . 485209) (-2940 . 485059) (-2941 . 482912) (-2942 . 482716) (-2943 . 482322) (-2944 . 481948) (-2945 . 481700) (-2946 . 481596) (-2947 . 481488) (-2948 . 481308) (-2949 . 480624) (-2950 . 480566) (-2951 . 480511) (-2952 . 480031) (-2953 . 479978) (-2954 . 479907) (-2955 . 479760) (-2956 . 479672) (-2957 . 479541) (-2958 . 479444) (-2959 . 479392) (-2960 . 479303) (-2961 . 479222) (-2962 . 478586) (-2963 . 478443) (-2964 . 478368) (-2965 . 478243) (-2966 . 477869) (-2967 . 477360) (-2968 . 477203) (-2969 . 477175) (-2970 . 476991) (-2971 . 476878) (-2972 . 476465) (-2973 . 476410) (-2974 . 476314) (-2975 . 476105) (-2976 . 475928) (-2977 . 475778) (-2978 . 475623) (-2979 . 475551) (-2980 . 475426) (-2981 . 475343) (-2982 . 475285) (-2983 . 475190) (-2984 . 474921) (-2985 . 474789) (-2986 . 474012) (-2987 . 473867) (-2988 . 473801) (-2989 . 473749) (-2990 . 473398) (-2991 . 473314) (-2992 . 473282) (-2993 . 473192) (-2994 . 473044) (-2995 . 472917) (-2996 . 472827) (-2997 . 472726) (-2998 . 472257) (-2999 . 472090) (-3000 . 470988) (-3001 . 470886) (-3002 . 470782) (-3003 . 466858) (-3004 . 466708) (-3005 . 466579) (-3006 . 466505) (-3007 . 466432) (-3008 . 466272) (-3009 . 466175) (-3010 . 466028) (-3011 . 465908) (-3012 . 465675) (-3013 . 465550) (-3014 . 465459) (-3015 . 465151) (-3016 . 465013) (-3017 . 464958) (-3018 . 464871) (-3019 . 464820) (-3020 . 464768) (-3021 . 464681) (-3022 . 464314) (-3023 . 464163) (-3024 . 464052) (-3025 . 463934) (-3026 . 462715) (-3027 . 462021) (-3028 . 461833) (-3029 . 461741) (-3030 . 461622) (-3031 . 461530) (-3032 . 461458) (-3033 . 460494) (-3034 . 460412) (-3035 . 460318) (-3036 . 460259) (-3037 . 459909) (-3038 . 459773) (-3039 . 459688) (-3040 . 459516) (-3041 . 459376) (-3042 . 459160) (-3043 . 459085) (-3044 . 459035) (-3045 . 458902) (-3046 . 457567) (-3047 . 457377) (-3048 . 457043) (-3049 . 456837) (-3050 . 456681) (-3051 . 456622) (-3052 . 456221) (-3053 . 456145) (-3054 . 456064) (-3055 . 454945) (-3056 . 454834) (-3057 . 454743) (-3058 . 454303) (-3059 . 454213) (-3060 . 454138) (-3061 . 453903) (-3062 . 453754) (-3063 . 453647) (-3064 . 453285) (-3065 . 453212) (-3066 . 452849) (-3067 . 452713) (-3068 . 452625) (-3069 . 451717) (-3070 . 451573) (-3071 . 451491) (-3072 . 451376) (-3073 . 451276) (-3074 . 447666) (-3075 . 446667) (-3076 . 446595) (-3077 . 446539) (-3078 . 446180) (-3079 . 446124) (-3080 . 445796) (-3081 . 445717) (-3082 . 445555) (-3083 . 445383) (-3084 . 445280) (-3085 . 445211) (-3086 . 444866) (-3087 . 444800) (-3088 . 444674) (-3089 . 444579) (-3090 . 443712) (-3091 . 442377) (-3092 . 442328) (-3093 . 442234) (-3094 . 442134) (-3095 . 441198) (-3096 . 438799) (-3097 . 438429) (-3098 . 438326) (-3099 . 438203) (-3100 . 438166) (-3101 . 437797) (-3102 . 437340) (-3103 . 436968) (-3104 . 436400) (-3105 . 436210) (-3106 . 436131) (-3107 . 436058) (-3108 . 436006) (-3109 . 435851) (-3110 . 435728) (-3111 . 435700) (-3112 . 435562) (-3113 . 435472) (-3114 . 435400) (-3115 . 435371) (-3116 . 435264) (-3117 . 435215) (-3118 . 435013) (-3119 . 434944) (-3120 . 434855) (-3121 . 434478) (-3122 . 434387) (-3123 . 434241) (-3124 . 434212) (-3125 . 434128) (-3126 . 433995) (-3127 . 433914) (-3128 . 433786) (-3129 . 433603) (-3130 . 433544) (-3131 . 433460) (-3132 . 433401) (-3133 . 432902) (-3134 . 432808) (-3135 . 432755) (-3136 . 431134) (-3137 . 431031) (-3138 . 430994) (-3139 . 430791) (-3140 . 429646) (-3141 . 429594) (-3142 . 429376) (-3143 . 429230) (-3144 . 429145) (-3145 . 429032) (-3146 . 428976) (-3147 . 428195) (-3148 . 427795) (-3149 . 427713) (-3150 . 427636) (-3151 . 427518) (-3152 . 427381) (-3153 . 427297) (-3154 . 427145) (-3155 . 427020) (-3156 . 426395) (-3157 . 426336) (-3158 . 425544) (-3159 . 425141) (-3160 . 424447) (-3161 . 424368) (-3162 . 424290) (-3163 . 424082) (-3164 . 423838) (-3165 . 423685) (-3166 . 423278) (-3167 . 423152) (-3168 . 422995) (-3169 . 422939) (-3170 . 422754) (-3171 . 421971) (-3172 . 421010) (-3173 . 420961) (-3174 . 420810) (-3175 . 420714) (-3176 . 420648) (-3177 . 420125) (-3178 . 419962) (-3179 . 419907) (-3180 . 419816) (-3181 . 419682) (-3182 . 419181) (-3183 . 419104) (-3184 . 418627) (-3185 . 418568) (-3186 . 418488) (-3187 . 414564) (-3188 . 414449) (-3189 . 414335) (-3190 . 414155) (-3191 . 414029) (-3192 . 413878) (-3193 . 413826) (-3194 . 413501) (-3195 . 413425) (-3196 . 413311) (-3197 . 413204) (-3198 . 413113) (-3199 . 412994) (-3200 . 412743) (-3201 . 412629) (-3202 . 412322) (-3203 . 411052) (-3204 . 410934) (-3205 . 410826) (-3206 . 410759) (-3207 . 410594) (-3208 . 409357) (-3209 . 409087) (-3210 . 408912) (-3211 . 408835) (-3212 . 408572) (-3213 . 407629) (-3214 . 407577) (-3215 . 406851) (-3216 . 406760) (-3217 . 406632) (-3218 . 406583) (-3219 . 406505) (-3220 . 406196) (-3221 . 405636) (-3222 . 405393) (-3223 . 405241) (-3224 . 405207) (-3225 . 404998) (-3226 . 404916) (-3227 . 404701) (-3228 . 404605) (-3229 . 404493) (-3230 . 404364) (-3231 . 404286) (-3232 . 403759) (-3233 . 403469) (-3234 . 403367) (-3235 . 403097) (-3236 . 402733) (-3237 . 401002) (-3238 . 400921) (-3239 . 400816) (-3240 . 400764) (-3241 . 399577) (-3242 . 399319) (-3243 . 399268) (-3244 . 399025) (-3245 . 393926) (-3246 . 393803) (-3247 . 393140) (-3248 . 393043) (-3249 . 392952) (-3250 . 392845) (-3251 . 391460) (-3252 . 391352) (-3253 . 391215) (-3254 . 390593) (-3255 . 390471) (-3256 . 390443) (-3257 . 390089) (-3258 . 389981) (-3259 . 388415) (-3260 . 388296) (-3261 . 388154) (-3262 . 388099) (-3263 . 388000) (-3264 . 387928) (-3265 . 387862) (-3266 . 387825) (-3267 . 387720) (-3268 . 387627) (-3269 . 387543) (-3270 . 387199) (-3271 . 387076) (-3272 . 386959) (-3273 . 386907) (-3274 . 386852) (-3275 . 386778) (-3276 . 386655) (-3277 . 386057) (-3278 . 385988) (-3279 . 385767) (-3280 . 385691) (-3281 . 385568) (-3282 . 385448) (-3283 . 385396) (-3284 . 385209) (-3285 . 385095) (-3286 . 384646) (-3287 . 383423) (-3288 . 383182) (-3289 . 382943) (-3290 . 382774) (-3291 . 382389) (-3292 . 382271) (-3293 . 381820) (-3294 . 381469) (-3295 . 381355) (-3296 . 381161) (-3297 . 381133) (-3298 . 381067) (-3299 . 380995) (-3300 . 380911) (-3301 . 380742) (-3302 . 380620) (-3303 . 379781) (-3304 . 379684) (-3305 . 379510) (-3306 . 379402) (-3307 . 379223) (-3308 . 379172) (-3309 . 378857) (-3310 . 378637) (-3311 . 378562) (-3312 . 378154) (-3313 . 378055) (-3314 . 378003) (-3315 . 377768) (-3316 . 377629) (-3317 . 377535) (-3318 . 377429) (-3319 . 377156) (-3320 . 377128) (-3321 . 376514) (-3322 . 376435) (-3323 . 376329) (-3324 . 376216) (-3325 . 375981) (-3326 . 375627) (-3327 . 375185) (-3328 . 375069) (-3329 . 374999) (-3330 . 374067) (-3331 . 374009) (-3332 . 373868) (-3333 . 373400) (-3334 . 373309) (-3335 . 372917) (-3336 . 372814) (-3337 . 368639) (-3338 . 368485) (-3339 . 368401) (-3340 . 367766) (-3341 . 367692) (-3342 . 367574) (-3343 . 367348) (-3344 . 367183) (-3345 . 367128) (-3346 . 367059) (-3347 . 364775) (-3348 . 364722) (-3349 . 364164) (-3350 . 364130) (-3351 . 364057) (-3352 . 363968) (-3353 . 363902) (-3354 . 363715) (-3355 . 363536) (-3356 . 363451) (-3357 . 363353) (-3358 . 363222) (-3359 . 362698) (-3360 . 362511) (-3361 . 362297) (-3362 . 362245) (-3363 . 362045) (-3364 . 361949) (-3365 . 361876) (-3366 . 361681) (-3367 . 361039) (-3368 . 360940) (-3369 . 359821) (-3370 . 359721) (-3371 . 359537) (-3372 . 359251) (-3373 . 358702) (-3374 . 358448) (-3375 . 358264) (-3376 . 358175) (-3377 . 358023) (-3378 . 356922) (-3379 . 356731) (-3380 . 356357) (-3381 . 356275) (-3382 . 356177) (-3383 . 356124) (-3384 . 355885) (-3385 . 355808) (-3386 . 355591) (-3387 . 355434) (-3388 . 355011) (-3389 . 354686) (-3390 . 354535) (-3391 . 354461) (-3392 . 354386) (-3393 . 353357) (-3394 . 353243) (-3395 . 353095) (-3396 . 352992) (-3397 . 352882) (-3398 . 352773) (-3399 . 352490) (-3400 . 352462) (-3401 . 352268) (-3402 . 352164) (-3403 . 345324) (-3404 . 345186) (-3405 . 344666) (-3406 . 344314) (-3407 . 344224) (-3408 . 343988) (-3409 . 343716) (-3410 . 343568) (-3411 . 343315) (-3412 . 342745) (-3413 . 342165) (-3414 . 342087) (-3415 . 342032) (-3416 . 341895) (-3417 . 341661) (-3418 . 341468) (-3419 . 337544) (-3420 . 337470) (-3421 . 335980) (-3422 . 335914) (-3423 . 335882) (-3424 . 334665) (-3425 . 334294) (-3426 . 334100) (-3427 . 334001) (-3428 . 333768) (-3429 . 333502) (-3430 . 333168) (-3431 . 333045) (-3432 . 332737) (-3433 . 332564) (-3434 . 332473) (-3435 . 332421) (-3436 . 332223) (-3437 . 331468) (-3438 . 331326) (-3439 . 331226) (-3440 . 330972) (-3441 . 330813) (-3442 . 330531) (-3443 . 330422) (-3444 . 330366) (-3445 . 330229) (-3446 . 330137) (-3447 . 330085) (-3448 . 329982) (-3449 . 329767) (-3450 . 329092) (-3451 . 328835) (-3452 . 328742) (-3453 . 328649) (-3454 . 328549) (-3455 . 328399) (-3456 . 327827) (-3457 . 327712) (-3458 . 327496) (-3459 . 327309) (-3460 . 327145) (-3461 . 327047) (-3462 . 326779) (-3463 . 326226) (-3464 . 325505) (-3465 . 325374) (-3466 . 324776) (-3467 . 324724) (-3468 . 324484) (-3469 . 324121) (-3470 . 324035) (-3471 . 323931) (-3472 . 323860) (-3473 . 323564) (-3474 . 323512) (-3475 . 323234) (-3476 . 323126) (-3477 . 321413) (-3478 . 321313) (-3479 . 321202) (-3480 . 320929) (-3481 . 320856) (-3482 . 320788) (-3483 . 320681) (-3484 . 320563) (-3485 . 320403) (-3486 . 320053) (-3487 . 319937) (-3488 . 319310) (-3489 . 319281) (-3490 . 318873) (-3491 . 318297) (-3492 . 318189) (-3493 . 317903) (-3494 . 317869) (-3495 . 317705) (-3496 . 317634) (-3497 . 317579) (-3498 . 317371) (-3499 . 317290) (-3500 . 317224) (-3501 . 317143) (-3502 . 317090) (-3503 . 316779) (-3504 . 316729) (-3505 . 316604) (-3506 . 316501) (-3507 . 316437) (-3508 . 316409) (-3509 . 315233) (-3510 . 314821) (-3511 . 314572) (-3512 . 314337) (-3513 . 313340) (-3514 . 313260) (-3515 . 313153) (-3516 . 312958) (-3517 . 312453) (-3518 . 312274) (-3519 . 312177) (-3520 . 312122) (-3521 . 312049) (-3522 . 311967) (-3523 . 311858) (-3524 . 311701) (-3525 . 311635) (-3526 . 311277) (-3527 . 311206) (-3528 . 311082) (-3529 . 310944) (-3530 . 310850) (-3531 . 310633) (-3532 . 309598) (-3533 . 309499) (-3534 . 309327) (-3535 . 309128) (-3536 . 308450) (-3537 . 308347) (-3538 . 308066) (-3539 . 307909) (-3540 . 307842) (-3541 . 307751) (-3542 . 307405) (-3543 . 307164) (-3544 . 307051) (-3545 . 306885) (-3546 . 306730) (-3547 . 306597) (-3548 . 306544) (-3549 . 306326) (-3550 . 306236) (-3551 . 306013) (-3552 . 305883) (-3553 . 305742) (-3554 . 305238) (-3555 . 305204) (-3556 . 305030) (-3557 . 304892) (-3558 . 304760) (-3559 . 304620) (-3560 . 304482) (-3561 . 304409) (-3562 . 304159) (-3563 . 304035) (-3564 . 303913) (-3565 . 301476) (-3566 . 301342) (-3567 . 300783) (-3568 . 300682) (-3569 . 300381) (-3570 . 300349) (-3571 . 300185) (-3572 . 300047) (-3573 . 299963) (-3574 . 299813) (-3575 . 299715) (-3576 . 299632) (-3577 . 299340) (-3578 . 299270) (-3579 . 299211) (-3580 . 299159) (-3581 . 299107) (-3582 . 298978) (-3583 . 298813) (-3584 . 298384) (-3585 . 298204) (-3586 . 298133) (-3587 . 298029) (-3588 . 297867) (-3589 . 297124) (-3590 . 297049) (-3591 . 296900) (-3592 . 296684) (-3593 . 296359) (-3594 . 296067) (-3595 . 295851) (-3596 . 295822) (-3597 . 295574) (-3598 . 295475) (-3599 . 295362) (-3600 . 295271) (-3601 . 295204) (-3602 . 294850) (-3603 . 294715) (-3604 . 294399) (-3605 . 294333) (-3606 . 294046) (-3607 . 293916) (-3608 . 293864) (-3609 . 293745) (-3610 . 293636) (-3611 . 293356) (-3612 . 292633) (-3613 . 292302) (-3614 . 292099) (-3615 . 291981) (-3616 . 291900) (-3617 . 291752) (-3618 . 291657) (-3619 . 291526) (-3620 . 291426) (-3621 . 291337) (-3622 . 291281) (-3623 . 291206) (-3624 . 290905) (-3625 . 290772) (-3626 . 290677) (-3627 . 290532) (-3628 . 288837) (-3629 . 288720) (-3630 . 288155) (-3631 . 288054) (-3632 . 287981) (-3633 . 287858) (-3634 . 287659) (-3635 . 287574) (-3636 . 285969) (-3637 . 285845) (-3638 . 285572) (-3639 . 284764) (-3640 . 284673) (-3641 . 284584) (-3642 . 284556) (-3643 . 284267) (-3644 . 284057) (-3645 . 283998) (-3646 . 283898) (-3647 . 283817) (-3648 . 283716) (-3649 . 283629) (-3650 . 283580) (-3651 . 283552) (-3652 . 283355) (-3653 . 283059) (-3654 . 282945) (-3655 . 282786) (-3656 . 282733) (-3657 . 282309) (-3658 . 282161) (-3659 . 281910) (-3660 . 281844) (-3661 . 281599) (-3662 . 281495) (-3663 . 281392) (-3664 . 281360) (-3665 . 281137) (-3666 . 281030) (-3667 . 281002) (-3668 . 280902) (-3669 . 280714) (-3670 . 280662) (-3671 . 280606) (-3672 . 280509) (-3673 . 280274) (-3674 . 280140) (-3675 . 279951) (-3676 . 279853) (-3677 . 279751) (-3678 . 279626) (-3679 . 279592) (-3680 . 279508) (-3681 . 279385) (-3682 . 279150) (-3683 . 278979) (-3684 . 278776) (-3685 . 278661) (-3686 . 278535) (-3687 . 278427) (-3688 . 278354) (-3689 . 278325) (-3690 . 277811) (-3691 . 277626) (-3692 . 277478) (-3693 . 277410) (-3694 . 277163) (-3695 . 276850) (-3696 . 276726) (-3697 . 276390) (-3698 . 276337) (-3699 . 276072) (-3700 . 275643) (-3701 . 275516) (-3702 . 275277) (-3703 . 275184) (-3704 . 275050) (-3705 . 274909) (-3706 . 274806) (-3707 . 274754) (-3708 . 274723) (-3709 . 274170) (-3710 . 274054) (-3711 . 273908) (-3712 . 273848) (-3713 . 273762) (-3714 . 273524) (-3715 . 273416) (-3716 . 273363) (-3717 . 273250) (-3718 . 273140) (-3719 . 273049) (-3720 . 270612) (-3721 . 270522) (-3722 . 270446) (-3723 . 269312) (-3724 . 269240) (-3725 . 269151) (-3726 . 269080) (-3727 . 268985) (-3728 . 268866) (-3729 . 268715) (-3730 . 268274) (-3731 . 267978) (-3732 . 267828) (-3733 . 267738) (-3734 . 267679) (-3735 . 267542) (-3736 . 267449) (-3737 . 267310) (-3738 . 267233) (-3739 . 267134) (-3740 . 267035) (-3741 . 266983) (-3742 . 266875) (-3743 . 266799) (-3744 . 266740) (-3745 . 266666) (-3746 . 266613) (-3747 . 266539) (-3748 . 266389) (-3749 . 266058) (-3750 . 265783) (-3751 . 265453) (-3752 . 265340) (-3753 . 265250) (-3754 . 265173) (-3755 . 264602) (-3756 . 264523) (-3757 . 264275) (-3758 . 264170) (-3759 . 264086) (-3760 . 263976) (-3761 . 263873) (-3762 . 263530) (-3763 . 263426) (-3764 . 263392) (-3765 . 263300) (-3766 . 263030) (-3767 . 262975) (-3768 . 262893) (-3769 . 262206) (-3770 . 262029) (-3771 . 261933) (-3772 . 261845) (-3773 . 261572) (-3774 . 261485) (-3775 . 261426) (-3776 . 261340) (-3777 . 261125) (-3778 . 260991) (-3779 . 260148) (-3780 . 259943) (-3781 . 259844) (-3782 . 259725) (-3783 . 259523) (-3784 . 259332) (-3785 . 259224) (-3786 . 259157) (-3787 . 259077) (-3788 . 258996) (-3789 . 258937) (-3790 . 258885) (-3791 . 258455) (-3792 . 258355) (-3793 . 258204) (-3794 . 257522) (-3795 . 257386) (-3796 . 257256) (-3797 . 257116) (-3798 . 256966) (-3799 . 243131) (-3800 . 243060) (-3801 . 242867) (-3802 . 242733) (-3803 . 242599) (-3804 . 242447) (-3805 . 241672) (-3806 . 241608) (-3807 . 241532) (-3808 . 241440) (-3809 . 241361) (-3810 . 241183) (-3811 . 240910) (-3812 . 240856) (-3813 . 240592) (-3814 . 238155) (-3815 . 237834) (-3816 . 237341) (-3817 . 237049) (-3818 . 236714) (-3819 . 236581) (-3820 . 236324) (-3821 . 236227) (-3822 . 236138) (-3823 . 236004) (-3824 . 235901) (-3825 . 235698) (-3826 . 235565) (-3827 . 235142) (-3828 . 234708) (-3829 . 234653) (-3830 . 234579) (-3831 . 234439) (-3832 . 234368) (-3833 . 234297) (-3834 . 234193) (-3835 . 233584) (-3836 . 233528) (-3837 . 233372) (-3838 . 233288) (-3839 . 233169) (-3840 . 232701) (-3841 . 232566) (-3842 . 232496) (-3843 . 232371) (-3844 . 232282) (-3845 . 232198) (-3846 . 232044) (-3847 . 231340) (-3848 . 231236) (-3849 . 231152) (-3850 . 231081) (-3851 . 230939) (-3852 . 230831) (-3853 . 230684) (-3854 . 230628) (-3855 . 230518) (-3856 . 230327) (-3857 . 230252) (-3858 . 230070) (-3859 . 229898) (-3860 . 229620) (-3861 . 229347) (-3862 . 229276) (-3863 . 229219) (-3864 . 229067) (-3865 . 228977) (-3866 . 228772) (-3867 . 226808) (-3868 . 226643) (-3869 . 226533) (-3870 . 226029) (-3871 . 225730) (-3872 . 225656) (-3873 . 225567) (-3874 . 225242) (-3875 . 225161) (-3876 . 225044) (-3877 . 224684) (-3878 . 224566) (-3879 . 224352) (-3880 . 224212) (-3881 . 224076) (-3882 . 223984) (-3883 . 223905) (-3884 . 223707) (-3885 . 223645) (-3886 . 222879) (-3887 . 222802) (-3888 . 222542) (-3889 . 222392) (-3890 . 222029) (-3891 . 219491) (-3892 . 219234) (-3893 . 218997) (-3894 . 218940) (-3895 . 218656) (-3896 . 218584) (-3897 . 218480) (-3898 . 218452) (-3899 . 218143) (-3900 . 218071) (-3901 . 218018) (-3902 . 217855) (-3903 . 217737) (-3904 . 217585) (-3905 . 217548) (-3906 . 217154) (-3907 . 216888) (-3908 . 216829) (-3909 . 215778) (-3910 . 215727) (-3911 . 215631) (-3912 . 215153) (-3913 . 215042) (-3914 . 214947) (-3915 . 214818) (-3916 . 214667) (-3917 . 214570) (-3918 . 214482) (-3919 . 214403) (-3920 . 214190) (-3921 . 214033) (-3922 . 213888) (-3923 . 213835) (-3924 . 213745) (-3925 . 212783) (-3926 . 212619) (-3927 . 212567) (-3928 . 212434) (-3929 . 212270) (-3930 . 212215) (-3931 . 212183) (-3932 . 211813) (-3933 . 211713) (-3934 . 211628) (-3935 . 211320) (-3936 . 211146) (-3937 . 211032) (-3938 . 210840) (-3939 . 209930) (-3940 . 209348) (-3941 . 207994) (-3942 . 184486) (-3943 . 184384) (-3944 . 183905) (-3945 . 183658) (-3946 . 183565) (-3947 . 183413) (-3948 . 183224) (-3949 . 183071) (-3950 . 182978) (-3951 . 182896) (-3952 . 182751) (-3953 . 176362) (-3954 . 176218) (-3955 . 176119) (-3956 . 176016) (-3957 . 175699) (-3958 . 175554) (-3959 . 175451) (-3960 . 175341) (-3961 . 175307) (-3962 . 175098) (-3963 . 174976) (-3964 . 174874) (-3965 . 174807) (-3966 . 174551) (-3967 . 174296) (-3968 . 174139) (-3969 . 174087) (-3970 . 172926) (-3971 . 172868) (-3972 . 172810) (-3973 . 172361) (-3974 . 172305) (-3975 . 172277) (-3976 . 172196) (-3977 . 172129) (-3978 . 170990) (-3979 . 170503) (-3980 . 170060) (-3981 . 169908) (-3982 . 169704) (-3983 . 169616) (-3984 . 169116) (-3985 . 168993) (-3986 . 168922) (-3987 . 168846) (-3988 . 168736) (-3989 . 168606) (-3990 . 168514) (-3991 . 168387) (-3992 . 168289) (-3993 . 168176) (-3994 . 168060) (-3995 . 167986) (-3996 . 167825) (-3997 . 167729) (-3998 . 167606) (-3999 . 167538) (-4000 . 167467) (-4001 . 166717) (-4002 . 166660) (-4003 . 166586) (-4004 . 166324) (-4005 . 166127) (-4006 . 166035) (-4007 . 165983) (-4008 . 165882) (-4009 . 165763) (-4010 . 165589) (-4011 . 165503) (-4012 . 164936) (-4013 . 164723) (-4014 . 164185) (-4015 . 164031) (-4016 . 163898) (-4017 . 162983) (-4018 . 162808) (-4019 . 162610) (-4020 . 162125) (-4021 . 161989) (-4022 . 161937) (-4023 . 161856) (-4024 . 161789) (-4025 . 161718) (-4026 . 161553) (-4027 . 161417) (-4028 . 161336) (-4029 . 161085) (-4030 . 160941) (-4031 . 160837) (-4032 . 160767) (-4033 . 160659) (-4034 . 159991) (-4035 . 159934) (-4036 . 159821) (-4037 . 159646) (-4038 . 159502) (-4039 . 159390) (-4040 . 159261) (-4041 . 159132) (-4042 . 159029) (-4043 . 158861) (-4044 . 158494) (-4045 . 158435) (-4046 . 158376) (-4047 . 158323) (-4048 . 158233) (-4049 . 157664) (-4050 . 153206) (-4051 . 153117) (-4052 . 153083) (-4053 . 152966) (-4054 . 152900) (-4055 . 152613) (-4056 . 152540) (-4057 . 152509) (-4058 . 152441) (-4059 . 152338) (-4060 . 148414) (-4061 . 148358) (-4062 . 148255) (-4063 . 148182) (-4064 . 147982) (-4065 . 147885) (-4066 . 147809) (-4067 . 147727) (-4068 . 147676) (-4069 . 147287) (-4070 . 147020) (-4071 . 146831) (-4072 . 146634) (-4073 . 146533) (-4074 . 146440) (-4075 . 146409) (-4076 . 146237) (-4077 . 146063) (-4078 . 145937) (-4079 . 145903) (-4080 . 145751) (-4081 . 145588) (-4082 . 144869) (-4083 . 144806) (-4084 . 144585) (-4085 . 144392) (-4086 . 144153) (-4087 . 144079) (-4088 . 143866) (-4089 . 143678) (-4090 . 143594) (-4091 . 143204) (-4092 . 142913) (-4093 . 142861) (-4094 . 142503) (-4095 . 142389) (-4096 . 139550) (-4097 . 139444) (-4098 . 139292) (-4099 . 138988) (-4100 . 138812) (-4101 . 138660) (-4102 . 138553) (-4103 . 138469) (-4104 . 138366) (-4105 . 137419) (-4106 . 137294) (-4107 . 136884) (-4108 . 136800) (-4109 . 136536) (-4110 . 136366) (-4111 . 136204) (-4112 . 136090) (-4113 . 135992) (-4114 . 135901) (-4115 . 135827) (-4116 . 135645) (-4117 . 135559) (-4118 . 135461) (-4119 . 135273) (-4120 . 134985) (-4121 . 134923) (-4122 . 134790) (-4123 . 134416) (-4124 . 134241) (-4125 . 134094) (-4126 . 133857) (-4127 . 133805) (-4128 . 133669) (-4129 . 133595) (-4130 . 133424) (-4131 . 133090) (-4132 . 132967) (-4133 . 132887) (-4134 . 132800) (-4135 . 132705) (-4136 . 132639) (-4137 . 132440) (-4138 . 132194) (-4139 . 132141) (-4140 . 132086) (-4141 . 131916) (-4142 . 131564) (-4143 . 131513) (-4144 . 131231) (-4145 . 131058) (-4146 . 130950) (-4147 . 130721) (-4148 . 129571) (-4149 . 129254) (-4150 . 128989) (-4151 . 127775) (-4152 . 127477) (-4153 . 127223) (-4154 . 127143) (-4155 . 127094) (-4156 . 127042) (-4157 . 126925) (-4158 . 126543) (-4159 . 126330) (-4160 . 126226) (** . 123077) (-4162 . 122996) (-4163 . 122912) (-4164 . 122791) (-4165 . 122710) (-4166 . 122571) (-4167 . 122384) (-4168 . 122287) (-4169 . 122214) (-4170 . 122162) (-4171 . 122023) (-4172 . 121955) (-4173 . 121660) (-4174 . 121584) (-4175 . 121505) (-4176 . 121461) (-4177 . 121409) (-4178 . 121343) (-4179 . 121083) (-4180 . 120796) (-4181 . 120657) (-4182 . 120339) (-4183 . 120056) (-4184 . 120003) (-4185 . 119298) (-4186 . 119216) (-4187 . 119120) (-4188 . 118415) (-4189 . 118051) (-4190 . 117740) (-4191 . 117688) (-4192 . 117035) (-4193 . 116880) (-4194 . 116827) (-4195 . 116130) (-4196 . 115583) (-4197 . 115203) (-4198 . 115146) (-4199 . 114950) (-4200 . 114559) (-4201 . 114012) (-4202 . 113475) (-4203 . 113322) (-4204 . 113118) (-4205 . 113061) (-4206 . 112514) (-4207 . 112422) (-4208 . 112186) (-4209 . 111950) (-4210 . 111860) (-4211 . 111209) (-4212 . 111128) (-4213 . 111000) (-4214 . 110872) (-4215 . 110221) (-4216 . 110118) (-4217 . 109752) (-4218 . 109511) (-4219 . 109272) (-4220 . 108559) (-4221 . 108304) (-4222 . 108202) (-4223 . 108076) (-4224 . 107996) (-4225 . 107943) (-4226 . 107893) (-4227 . 107348) (-4228 . 107075) (-4229 . 106925) (-4230 . 106668) (-4231 . 106615) (-4232 . 106070) (-4233 . 105917) (-4234 . 105783) (-4235 . 105695) (-4236 . 105572) (-4237 . 105027) (-4238 . 104765) (-4239 . 104530) (-4240 . 104449) (-4241 . 104382) (-4242 . 104276) (-4243 . 103624) (-4244 . 103487) (-4245 . 101450) (-4246 . 101387) (-4247 . 101315) (-4248 . 100614) (-4249 . 99962) (-4250 . 99867) (-4251 . 99805) (-4252 . 99739) (-4253 . 99578) (-4254 . 99349) (-4255 . 98697) (-4256 . 98596) (-4257 . 97131) (-4258 . 96563) (-4259 . 96347) (-4260 . 95801) (-4261 . 95594) (-4262 . 90012) (-4263 . 89890) (-4264 . 89787) (-4265 . 89720) (-4266 . 89174) (-4267 . 88757) (-4268 . 88420) (-4269 . 87836) (-4270 . 87570) (-4271 . 87459) (-4272 . 87374) (-4273 . 86828) (-4274 . 86750) (-4275 . 86574) (-4276 . 86515) (-4277 . 86483) (-4278 . 86303) (-4279 . 85370) (-4280 . 84825) (-4281 . 84673) (-4282 . 84395) (-4283 . 84045) (-4284 . 83973) (-4285 . 83168) (-4286 . 82933) (-4287 . 82388) (-4288 . 82011) (-4289 . 80463) (-4290 . 80326) (-4291 . 80235) (-4292 . 80112) (-4293 . 80015) (-4294 . 79470) (-4295 . 79340) (-4296 . 78524) (-4297 . 78414) (-4298 . 78311) (-4299 . 78245) (-4300 . 78111) (-4301 . 77566) (-4302 . 77468) (-4303 . 77258) (-4304 . 77206) (-4305 . 77016) (-4306 . 76957) (-4307 . 76412) (-4308 . 75738) (-4309 . 75622) (-4310 . 75514) (-4311 . 75421) (-4312 . 75297) (-4313 . 75247) (-4314 . 75173) (-4315 . 74467) (-4316 . 73884) (-4317 . 73689) (-4318 . 73544) (-4319 . 73222) (-4320 . 72682) (-4321 . 72369) (-4322 . 72220) (-4323 . 72068) (-4324 . 71913) (-4325 . 71618) (-4326 . 71492) (-4327 . 71292) (-4328 . 71188) (-4329 . 70996) (-4330 . 70850) (-4331 . 70779) (-4332 . 70174) (-4333 . 70043) (-4334 . 69990) (-4335 . 68593) (-4336 . 68352) (-4337 . 67237) (-4338 . 67148) (-4339 . 67038) (-4340 . 66970) (-4341 . 66783) (-4342 . 66709) (-4343 . 66599) (-4344 . 66346) (-4345 . 66157) (-4346 . 66008) (-4347 . 65885) (-4348 . 65663) (-4349 . 64530) (-4350 . 64478) (-4351 . 64403) (-4352 . 64300) (-4353 . 64196) (-4354 . 63994) (-4355 . 63910) (-4356 . 63842) (-4357 . 63418) (-4358 . 63344) (-4359 . 63108) (-4360 . 62930) (-4361 . 62857) (-4362 . 62791) (-4363 . 62421) (-4364 . 62315) (-4365 . 62221) (-4366 . 62106) (-4367 . 62034) (-4368 . 61775) (-4369 . 61705) (-4370 . 61621) (-4371 . 61501) (-4372 . 61089) (-4373 . 61015) (-4374 . 60856) (-4375 . 60754) (-4376 . 60681) (-4377 . 60589) (-4378 . 60373) (-4379 . 60194) (-4380 . 60044) (-4381 . 59945) (-4382 . 59870) (-4383 . 59814) (-4384 . 59737) (-4385 . 59517) (-4386 . 59398) (-4387 . 58718) (-4388 . 58628) (-4389 . 58519) (-4390 . 58444) (-4391 . 58258) (-4392 . 58189) (-4393 . 58093) (-4394 . 58025) (-4395 . 57790) (-4396 . 57581) (-4397 . 57445) (-4398 . 57351) (-4399 . 57281) (-4400 . 56924) (-4401 . 56849) (-4402 . 56699) (-4403 . 56609) (-4404 . 56510) (-4405 . 56427) (-4406 . 56320) (-4407 . 55362) (-4408 . 55269) (-4409 . 55119) (-4410 . 54974) (-4411 . 54777) (-4412 . 54715) (-4413 . 54627) (-4414 . 54467) (-4415 . 54367) (-4416 . 54187) (-4417 . 54071) (-4418 . 53997) (-4419 . 53926) (-4420 . 53801) (-4421 . 53594) (-4422 . 53427) (-4423 . 53191) (-4424 . 52898) (-4425 . 52805) (-4426 . 52708) (-4427 . 52424) (-4428 . 52371) (-4429 . 52319) (-4430 . 52154) (-4431 . 52077) (-4432 . 52004) (-4433 . 51870) (-4434 . 51781) (-4435 . 51688) (-4436 . 51280) (-4437 . 50664) (-4438 . 50451) (-4439 . 50379) (-4440 . 50286) (-4441 . 50185) (-4442 . 50104) (-4443 . 50030) (-4444 . 49894) (-4445 . 49804) (-4446 . 49751) (-4447 . 49640) (-4448 . 49575) (-4449 . 49464) (-4450 . 49390) (-4451 . 49255) (-4452 . 49158) (-4453 . 48739) (-4454 . 48672) (-4455 . 46561) (-4456 . 46506) (-4457 . 46403) (-4458 . 46277) (-4459 . 46224) (-4460 . 46156) (-4461 . 46064) (-4462 . 46008) (-4463 . 45953) (-4464 . 45834) (-4465 . 45682) (-4466 . 45573) (-4467 . 45444) (-4468 . 45348) (-4469 . 45281) (-4470 . 45143) (-4471 . 45014) (-4472 . 44943) (-4473 . 44610) (-4474 . 43938) (-4475 . 43867) (-4476 . 43744) (-4477 . 43572) (-4478 . 43483) (-4479 . 42831) (-4480 . 42750) (-4481 . 42722) (-4482 . 42590) (-4483 . 36758) (-4484 . 36657) (-4485 . 36358) (-4486 . 36239) (-4487 . 36164) (-4488 . 36098) (-4489 . 32232) (-4490 . 32084) (-4491 . 31877) (-4492 . 31654) (-4493 . 31538) (-4494 . 31464) (-4495 . 29229) (-4496 . 29156) (-4497 . 28843) (-4498 . 28173) (-4499 . 28021) (-4500 . 27786) (-4501 . 27445) (-4502 . 27339) (-4503 . 27191) (-4504 . 27108) (-4505 . 26925) (-4506 . 26663) (-4507 . 26428) (-4508 . 26164) (-4509 . 26108) (-4510 . 26010) (-4511 . 25885) (-4512 . 19496) (-4513 . 19251) (-4514 . 19176) (-4515 . 19095) (-4516 . 18904) (-4517 . 18821) (-4518 . 18716) (-4519 . 18576) (-4520 . 18395) (-4521 . 18155) (-4522 . 18022) (-4523 . 17931) (-4524 . 17822) (-4525 . 16881) (-4526 . 16588) (-4527 . 16488) (-4528 . 16313) (-4529 . 16078) (-4530 . 16006) (-4531 . 15924) (-4532 . 15828) (-4533 . 15626) (-4534 . 15532) (-4535 . 15433) (-4536 . 15343) (-4537 . 15028) (-4538 . 14918) (-4539 . 14794) (-4540 . 14475) (-4541 . 14311) (-4542 . 14241) (-4543 . 14179) (-4544 . 13884) (-4545 . 13777) (-4546 . 13531) (-4547 . 13454) (-4548 . 13357) (-4549 . 4464) (-4550 . 4226) (-4551 . 4081) (-4552 . 3711) (-4553 . 3521) (-4554 . 3450) (-4555 . 3332) (-4556 . 3214) (-4557 . 3117) (-4558 . 3046) (-4559 . 2838) (-4560 . 2591) (-4561 . 2513) (-4562 . 2437) (-4563 . 2151) (-4564 . 2080) (-4565 . 2005) (-4566 . 1735) (-4567 . 1657) (-4568 . 1569) (-4569 . 1516) (-4570 . 1464) (-4571 . 1309) (-4572 . 1256) (-4573 . 1085) (-4574 . 923) (-4575 . 865) (-4576 . 667) (-4577 . 575) (-4578 . 306) (-4579 . 168) (-4580 . 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/users.daase/users.daase/index.kaf b/src/share/algebra/users.daase/users.daase/index.kaf
index f0b6af1..00ecddd 100644
--- a/src/share/algebra/users.daase/users.daase/index.kaf
+++ b/src/share/algebra/users.daase/users.daase/index.kaf
@@ -1,4 +1,4 @@
-235955              (|ProjectiveAlgebraicSetPackage|)
+236792              (|ProjectiveAlgebraicSetPackage|)
 (|ProjectiveAlgebraicSetPackage|)
 (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |BlowUpPackage| |DesingTreePackage| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField|)
 (|AffinePlane|)
@@ -58,7 +58,7 @@
 (|BalancedBinaryTree| |BinarySearchTree| |BinaryTournament|)
 (|SetOfMIntegersInOneToN|)
 (|DesingTreePackage|)
-(|AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BasicType&| |BezoutMatrix| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |BitAggregate&| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclicStreamTools| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |EvaluateCycleIndicators| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |FGLMIfCanPackage| |Factored| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |File| |FileName| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerLinearDependence| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegralDomain&| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KeyedAccessFile| |KeyedDictionary&| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagPolynomialRootsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |None| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedSet&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |Palette| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |Pattern| |PatternFunctions1| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SegmentFunctions2| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |TableauxBumpers| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |UserDefinedPartialOrdering| |Variable| |Vector| |VectorFunctions2| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BasicType&| |BezoutMatrix| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |BitAggregate&| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclicStreamTools| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |EvaluateCycleIndicators| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |FGLMIfCanPackage| |Factored| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |File| |FileName| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerLinearDependence| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegralDomain&| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KeyedAccessFile| |KeyedDictionary&| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagPolynomialRootsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |None| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedSet&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |Palette| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |Pattern| |PatternFunctions1| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SegmentFunctions2| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |TableauxBumpers| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |UserDefinedPartialOrdering| |Variable| |Vector| |VectorFunctions2| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|PrimitiveRatDE| |RationalLODE|)
 (|GaloisGroupFactorizer|)
 (|CliffordAlgebra| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |Equation| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |HomogeneousDirectProduct| |InnerFiniteField| |InnerPrimeField| |OrderedDirectProduct| |PrimeField| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |RectangularMatrix| |SplitHomogeneousDirectProduct|)
@@ -118,7 +118,7 @@
 (|FunctionSpaceComplexIntegration| |FunctionSpaceIntegration|)
 (|ElementaryIntegration|)
 (|ElementaryIntegration|)
-(|AlgebraicNumber| |ApplyRules| |ArrayStack| |AssociationList| |BalancedBinaryTree| |BalancedPAdicRational| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |CharacterClass| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |DoubleFloatMatrix| |DoubleFloatVector| |EigenPackage| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |EqTable| |Equation| |EquationFunctions2| |Evalable&| |ExpertSystemContinuityPackage| |ExponentialExpansion| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FlexibleArray| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FortranProgram| |Fraction| |FullyEvalableOver&| |FunctionSpace&| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerNumericFloatSolvePackage| |InnerTable| |KeyedAccessFile| |LaplaceTransform| |Library| |LieExponentials| |LieSquareMatrix| |List| |ListMultiDictionary| |MachineComplex| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |Octonion| |OneDimensionalArray| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternMatch| |PendantTree| |Point| |Polynomial| |PolynomialCategory&| |PolynomialIdeals| |PowerSeriesLimitPackage| |PrimitiveArray| |Quaternion| |Queue| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionLimitPackage| |RationalRicDE| |RectangularMatrix| |RecurrenceOperator| |RegularChain| |RegularTriangularSet| |Result| |RetractSolvePackage| |RewriteRule| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |String| |StringTable| |SystemSolvePackage| |Table| |TaylorSeries| |ThreeDimensionalMatrix| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |Tree| |TwoDimensionalArray| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |Vector| |WuWenTsunTriangularSet| |d01AgentsPackage| |d01TransformFunctionType| |d02AgentsPackage| |d03AgentsPackage|)
+(|AlgebraicNumber| |ApplyRules| |ArrayStack| |AssociationList| |BalancedBinaryTree| |BalancedPAdicRational| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |CharacterClass| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |DoubleFloatMatrix| |DoubleFloatVector| |EigenPackage| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |EqTable| |Equation| |EquationFunctions2| |Evalable&| |ExpertSystemContinuityPackage| |ExponentialExpansion| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FlexibleArray| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FortranProgram| |Fraction| |FullyEvalableOver&| |FunctionSpace&| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerNumericFloatSolvePackage| |InnerTable| |KeyedAccessFile| |LaplaceTransform| |Library| |LieExponentials| |LieSquareMatrix| |List| |ListMultiDictionary| |MachineComplex| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |Octonion| |OneDimensionalArray| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternMatch| |PendantTree| |Point| |Polynomial| |PolynomialCategory&| |PolynomialIdeals| |PowerSeriesLimitPackage| |PrimitiveArray| |Quaternion| |Queue| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionLimitPackage| |RationalRicDE| |RectangularMatrix| |RecurrenceOperator| |RegularChain| |RegularTriangularSet| |Result| |RetractSolvePackage| |RewriteRule| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |String| |StringTable| |SystemSolvePackage| |Table| |TaylorSeries| |ThreeDimensionalMatrix| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |Tree| |TwoDimensionalArray| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |Vector| |WuWenTsunTriangularSet| |d01AgentsPackage| |d01TransformFunctionType| |d02AgentsPackage| |d03AgentsPackage|)
 (|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AttributeButtons| |RoutinesTable| |d01AgentsPackage|)
 (|ParametricLinearEquations|)
 (|InnerModularGcd|)
@@ -134,7 +134,7 @@
 (|RecurrenceOperator|)
 (|Expression| |ExpressionFunctions2| |FunctionSpaceFunctions2| |InnerTrigonometricManipulations|)
 (|AntiSymm| |DeRhamComplex|)
-(|AlgFactor| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicMultFact| |AlgebraicNumber| |BalancedFactorisation| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |ChineseRemainderToolsForIntegralBases| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ComplexRootPackage| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DirichletRing| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DoubleFloat| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |Equation| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSquareFreeDecomposition| |Float| |Fraction| |FullPartialFractionExpansion| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GeneralizedMultivariateFactorize| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerSolve| |Guess| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerMultFact| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegerFactorizationPackage| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LinearOrdinaryDifferentialOperatorFactorizer| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonomialExtensionTools| |MultFiniteFactorize| |MultivariateFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |Pi| |PlaneAlgebraicCurvePlot| |PointsOfFiniteOrder| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiAlgebraicSet| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFactorize| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionSign| |RationalRicDE| |RealClosure| |RealZeroPackage| |RomanNumeral| |RootsFindingPackage| |SAERationalFunctionAlgFactor| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SimpleAlgebraicExtensionAlgFactor| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SturmHabichtPackage| |SupFractionFactorizer| |SystemSolvePackage| |TransSolvePackage| |TranscendentalIntegration| |TranscendentalManipulations| |TwoFactorize| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |WildFunctionFieldIntegralBasis|)
+(|AlgFactor| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicMultFact| |AlgebraicNumber| |BalancedFactorisation| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |ChineseRemainderToolsForIntegralBases| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ComplexRootPackage| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DirichletRing| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DoubleFloat| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |Equation| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSquareFreeDecomposition| |Float| |Fraction| |FullPartialFractionExpansion| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GeneralizedMultivariateFactorize| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerSolve| |Guess| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerMultFact| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegerFactorizationPackage| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LinearOrdinaryDifferentialOperatorFactorizer| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonomialExtensionTools| |MultFiniteFactorize| |MultivariateFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |Pi| |PlaneAlgebraicCurvePlot| |PointsOfFiniteOrder| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiAlgebraicSet| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFactorize| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionSign| |RationalRicDE| |RealClosure| |RealZeroPackage| |RomanNumeral| |RootsFindingPackage| |SAERationalFunctionAlgFactor| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SimpleAlgebraicExtensionAlgFactor| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SturmHabichtPackage| |SupFractionFactorizer| |SystemSolvePackage| |TransSolvePackage| |TranscendentalIntegration| |TranscendentalManipulations| |TwoFactorize| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |WildFunctionFieldIntegralBasis|)
 (|ComplexCategory&| |Integer| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate|)
 (|ChangeOfVariable| |PolynomialRoots| |TranscendentalManipulations|)
 (|FunctionSpaceUnivariatePolynomialFactor| |Integer| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |RationalFunctionFactor| |UnivariatePolynomialCategory&|)
@@ -153,7 +153,7 @@
 (|FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension|)
 (|FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldExtension| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldPolynomialPackage2| |MultFiniteFactorize|)
 (|SparseUnivariatePolynomial|)
-(|FiniteFieldFactorizationWithSizeParseBySideEffect|)
+(|FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect|)
 (|DirectProductFunctions2| |InnerCommonDenominator| |ListFunctions2| |MatrixLinearAlgebraFunctions| |OneDimensionalArrayFunctions2| |PrimitiveArrayFunctions2| |VectorFunctions2|)
 (|OneDimensionalArrayAggregate&|)
 (|GaloisGroupUtilities|)
@@ -166,7 +166,7 @@
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranPackage| |FortranType| |SimpleFortranProgram| |SymbolTable|)
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranCode| |FortranPackage| |SymbolTable| |TheSymbolTable|)
 (|FourierSeries|)
-(|AbelianMonoidRing&| |AlgFactor| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedFunctionSpace&| |Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp31| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp80| |Asp9| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |CoerceVectorMatrixPackage| |CombinatorialFunction| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ContinuedFraction| |CycleIndicators| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DoubleResultantPackage| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FractionalIdeal| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessInteger| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerModularGcd| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |Integer| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieSquareMatrix| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonogenicAlgebra&| |MonomialExtensionTools| |MultipleMap| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |NormalizationPackage| |NumberTheoreticPolynomialFunctions| |Numeric| |ODEIntegration| |Octonion| |OctonionCategory&| |OnePointCompletion| |OrderedCompletion| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrthogonalPolynomialFunctions| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialAN2Expression| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursionUnivariate| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PureAlgebraicLODE| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StructuralConstantsPackage| |SturmHabichtPackage| |SupFractionFactorizer| |SymmetricPolynomial| |SystemSolvePackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ToolsForSign| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |TwoDimensionalPlotClipping| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |XExponentialPackage| |XPBWPolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01WeightsPackage| |d01aqfAnnaType| |d02AgentsPackage| |e04AgentsPackage| |e04ucfAnnaType|)
+(|AbelianMonoidRing&| |AlgFactor| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedFunctionSpace&| |Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp31| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp80| |Asp9| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |CoerceVectorMatrixPackage| |CombinatorialFunction| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ContinuedFraction| |CycleIndicators| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DoubleResultantPackage| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FractionalIdeal| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessInteger| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerModularGcd| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |Integer| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieSquareMatrix| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonogenicAlgebra&| |MonomialExtensionTools| |MultipleMap| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |NormalizationPackage| |NumberTheoreticPolynomialFunctions| |Numeric| |ODEIntegration| |Octonion| |OctonionCategory&| |OnePointCompletion| |OrderedCompletion| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrthogonalPolynomialFunctions| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialAN2Expression| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursionUnivariate| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PureAlgebraicLODE| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StructuralConstantsPackage| |SturmHabichtPackage| |SupFractionFactorizer| |SymmetricPolynomial| |SystemSolvePackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ToolsForSign| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |TwoDimensionalPlotClipping| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |XExponentialPackage| |XPBWPolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01WeightsPackage| |d01aqfAnnaType| |d02AgentsPackage| |e04AgentsPackage| |e04ucfAnnaType|)
 (|FractionFreeFastGaussianFractions| |Guess|)
 (|Guess|)
 (|FiniteDivisor| |FiniteDivisorFunctions2| |FractionalIdealFunctions2| |FramedModule| |HyperellipticFiniteDivisor| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational|)
@@ -255,7 +255,7 @@
 (|ComplexTrigonometricManipulations| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |TrigonometricManipulations|)
 (|AssociationList| |BalancedPAdicRational| |BasicOperatorFunctions1| |BinaryExpansion| |Bits| |Boolean| |CharacterClass| |CommonOperators| |Complex| |ComplexCategory&| |ComplexDoubleFloatVector| |DataList| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleFloatVector| |EqTable| |ExponentialExpansion| |Export3D| |Expression| |Factored| |FlexibleArray| |Float| |FortranPackage| |FortranProgram| |Fraction| |FunctionSpace&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GnuDraw| |HashTable| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerTable| |InputFormFunctions1| |Integer| |IntegerNumberSystem&| |Kernel| |KeyedAccessFile| |Library| |LiouvillianFunction| |List| |ListMultiDictionary| |MachineComplex| |MachineInteger| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OpenMathPackage| |OrderedVariableList| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |Pi| |Point| |Polynomial| |PolynomialCategory&| |PrimitiveArray| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadixExpansion| |RectangularMatrix| |RecursivePolynomialCategory&| |RegularChain| |RegularTriangularSet| |Result| |RomanNumeral| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SingleInteger| |SparseMultivariatePolynomial| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |Table| |TemplateUtilities| |TopLevelDrawFunctions| |U16Vector| |U32Vector| |U8Vector| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |WuWenTsunTriangularSet|)
 (|FunctionSpace&|)
-(|AbelianGroup&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ArrayStack| |Asp10| |Asp19| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp55| |Asp73| |Asp74| |Asp77| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |Bezier| |BezoutMatrix| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Color| |CombinatorialFunction| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |EigenPackage| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtensibleLinearAggregate&| |Factored| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingPointSystem&| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GrayCode| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Group&| |Guess| |GuessFinite| |GuessFiniteFunctions| |HTMLFormat| |HallBasis| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperbolicFunctionCategory&| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfinitlyClosePoint| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |LeftAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListToMap| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |MakeFloatCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonAssociativeRing&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |PartitionsAndPermutations| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPolynomialCategory| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PiCoercions| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialCategory&| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RationalFactorize| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReductionOfOrder| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StructuralConstantsPackage| |SturmHabichtPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TemplateUtilities| |TexFormat| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |Vector| |VectorCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ArrayStack| |Asp10| |Asp19| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp55| |Asp73| |Asp74| |Asp77| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |Bezier| |BezoutMatrix| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Color| |CombinatorialFunction| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |EigenPackage| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtensibleLinearAggregate&| |Factored| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingPointSystem&| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GrayCode| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Group&| |Guess| |GuessFinite| |GuessFiniteFunctions| |HTMLFormat| |HallBasis| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperbolicFunctionCategory&| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfinitlyClosePoint| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |LeftAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListToMap| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |MakeFloatCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonAssociativeRing&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |PartitionsAndPermutations| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPolynomialCategory| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PiCoercions| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialCategory&| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RationalFactorize| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReductionOfOrder| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StructuralConstantsPackage| |SturmHabichtPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TemplateUtilities| |TexFormat| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |Vector| |VectorCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|RandomIntegerDistributions|)
 (|ComplexRootFindingPackage| |GaloisGroupUtilities| |Guess| |IntegerNumberSystem&| |IrrRepSymNatPackage| |MultivariateLifting| |RepresentationPackage1| |SetOfMIntegersInOneToN| |SymmetricGroupCombinatoricFunctions|)
 (|CyclotomicPolynomialPackage| |Factored| |GaussianFactorizationPackage| |IntegerNumberSystem&| |NumberFieldIntegralBasis|)
@@ -302,8 +302,8 @@
 (|SystemSolvePackage|)
 (|InterpolateFormsPackage| |LinearSystemFromPowerSeriesPackage|)
 (|Expression| |PowerSeriesLimitPackage|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GosperSummationMethod| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LocalParametrizationOfSimplePointPackage| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
-(|AlgebraPackage| |Asp19| |Asp55| |DirichletRing| |ElementaryFunctionSign| |FiniteSetAggregateFunctions2| |FramedNonAssociativeAlgebra&| |GaloisGroupFactorizer| |GenericNonAssociativeAlgebra| |Guess| |LieSquareMatrix| |MatrixCommonDenominator| |PAdicWildFunctionFieldIntegralBasis| |PermutationGroupExamples| |RealSolvePackage| |TaylorSolve| |ThreeSpace| |TwoDimensionalPlotClipping| |UnivariateTaylorSeriesODESolver|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |Finite&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GosperSummationMethod| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LocalParametrizationOfSimplePointPackage| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraPackage| |Asp19| |Asp55| |DirichletRing| |ElementaryFunctionSign| |FiniteSetAggregateFunctions2| |FramedNonAssociativeAlgebra&| |GaloisGroupFactorizer| |GenericNonAssociativeAlgebra| |Guess| |LieSquareMatrix| |MatrixCommonDenominator| |MatrixManipulation| |PAdicWildFunctionFieldIntegralBasis| |PermutationGroupExamples| |RealSolvePackage| |TaylorSolve| |ThreeSpace| |TwoDimensionalPlotClipping| |UnivariateTaylorSeriesODESolver|)
 (|FreeGroup| |FreeMonoid| |InnerFreeAbelianMonoid|)
 (|IntegerFactorizationPackage|)
 (|Expression| |FunctionSpace&| |RationalFunction|)
@@ -367,7 +367,7 @@
 (|BlowUpPackage|)
 (|ElementaryFunctionODESolver|)
 (|RationalRicDE|)
-(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |ArrayStack| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicOperator| |BasicOperatorFunctions1| |BezoutMatrix| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |Bits| |BlowUpPackage| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CRApackage| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CyclicStreamTools| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialRing&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DoubleResultantPackage| |DrawComplex| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |EuclideanDomain&| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FieldOfPrimeCharacteristic&| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GrayCode| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerSolve| |Group&| |Guess| |GuessOption| |GuessOptionFunctions0| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KernelFunctions2| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MakeCachableSet| |MappingPackage1| |MappingPackageInternalHacks1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |Partition| |Pattern| |PatternFunctions2| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPushDown| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolationAlgorithms| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpressionOf| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Vector| |VectorCategory&| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01aqfAnnaType| |d01fcfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |ArrayStack| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicOperator| |BasicOperatorFunctions1| |BezoutMatrix| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |Bits| |BlowUpPackage| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CRApackage| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CyclicStreamTools| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialRing&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DoubleResultantPackage| |DrawComplex| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |EuclideanDomain&| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FieldOfPrimeCharacteristic&| |FindOrderFinite| |Finite&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GrayCode| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerSolve| |Group&| |Guess| |GuessOption| |GuessOptionFunctions0| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KernelFunctions2| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MakeCachableSet| |MappingPackage1| |MappingPackageInternalHacks1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |Partition| |Pattern| |PatternFunctions2| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPushDown| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolationAlgorithms| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpressionOf| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Vector| |VectorCategory&| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01aqfAnnaType| |d01fcfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AlgebraicFunction| |Any| |AnyFunctions1| |BasicOperator| |BasicOperatorFunctions1| |CombinatorialFunction| |CommonOperators| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionalSpecialFunction| |LaplaceTransform| |LiouvillianFunction| |ModuleOperator| |NoneFunctions1| |RecurrenceOperator|)
 (|AnyFunctions1| |ModuleOperator|)
 (|InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |LexTriangularPackage| |RationalUnivariateRepresentationPackage| |ZeroDimensionalSolvePackage|)
@@ -398,7 +398,7 @@
 (|AffineAlgebraicSetComputeWithGroebnerBasis| |DesingTreePackage| |DistributedMultivariatePolynomial| |FGLMIfCanPackage| |GeneralDistributedMultivariatePolynomial| |GroebnerSolve| |Guess| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InterpolateFormsPackage| |LexTriangularPackage| |LinGroebnerPackage| |LocalParametrizationOfSimplePointPackage| |MultivariatePolynomial| |PolToPol| |ProjectiveAlgebraicSetPackage| |QuasiAlgebraicSet2| |RationalUnivariateRepresentationPackage| |RegularChain| |ZeroDimensionalSolvePackage|)
 (|FullPartialFractionExpansion|)
 (|FullPartialFractionExpansion| |LinearOrdinaryDifferentialOperatorsOps| |OrderlyDifferentialPolynomial|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CRApackage| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DictionaryOperations&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionODESolver| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |EqTable| |Equation| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionToOpenMath| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionSpace&| |GaloisGroupFactorizationUtilities| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteTuple| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |LeftAlgebra&| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixCategory&| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PrimeField| |PrimitiveArray| |PrintPackage| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |QuotientFieldCategory&| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealZeroPackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |ScriptFormulaFormat1| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TexFormat1| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctionsForCompiledFunctions| |Tree| |TriangularSetCategory&| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UniversalSegment| |Variable| |Vector| |Void| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CRApackage| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DictionaryOperations&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionODESolver| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |EqTable| |Equation| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionToOpenMath| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionSpace&| |GaloisGroupFactorizationUtilities| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteTuple| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |LeftAlgebra&| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixCategory&| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PrimeField| |PrimitiveArray| |PrintPackage| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |QuotientFieldCategory&| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealZeroPackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |ScriptFormulaFormat1| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TexFormat1| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctionsForCompiledFunctions| |Tree| |TriangularSetCategory&| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UniversalSegment| |Variable| |Vector| |Void| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|DirichletRing| |GenUFactorize| |Guess| |IndexCard| |InternalRationalUnivariateRepresentationPackage| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |SparseUnivariatePolynomialExpressions| |TabulatedComputationPackage| |TaylorSolve| |ZeroDimensionalSolvePackage|)
 (|PAdicRational|)
 (|BalancedPAdicRational| |PAdicRational|)
@@ -461,11 +461,11 @@
 (|InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |QuasiComponentPackage| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |WuWenTsunTriangularSet| |ZeroDimensionalSolvePackage|)
 (|RadicalSolvePackage|)
 (|PolynomialCategory&|)
-(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AbelianSemiGroup&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |Asp19| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AttributeButtons| |Automorphism| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |Bezier| |BinaryExpansion| |BlowUpPackage| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DesingTreePackage| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionTubePlot| |Factored| |FactoringUtilities| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |Float| |FloatingPointSystem&| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GraphImage| |GrayCode| |Group&| |Guess| |GuessOptionFunctions0| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |InterfaceGroebnerPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LiouvillianFunction| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularField| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |Monad&| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MultFiniteFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NagEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeAlgebra&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |ParametricLinearEquations| |PartialFraction| |Partition| |PatternMatchIntegration| |Permanent| |Permutation| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialSolveByFormulas| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RealClosedField&| |RealClosure| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |ReduceLODE| |RegularTriangularSetCategory&| |RepeatedDoubling| |RepeatedSquaring| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SemiGroup&| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |StreamTranscendentalFunctions| |SturmHabichtPackage| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AbelianSemiGroup&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |Asp19| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AttributeButtons| |Automorphism| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |Bezier| |BinaryExpansion| |BlowUpPackage| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DesingTreePackage| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionTubePlot| |Factored| |FactoringUtilities| |Finite&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |Float| |FloatingPointSystem&| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GraphImage| |GrayCode| |Group&| |Guess| |GuessOptionFunctions0| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |InterfaceGroebnerPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LiouvillianFunction| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MatrixManipulation| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularField| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |Monad&| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MultFiniteFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NagEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeAlgebra&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |ParametricLinearEquations| |PartialFraction| |Partition| |PatternMatchIntegration| |Permanent| |Permutation| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialSolveByFormulas| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RealClosedField&| |RealClosure| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |ReduceLODE| |RegularTriangularSetCategory&| |RepeatedDoubling| |RepeatedSquaring| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SemiGroup&| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |StreamTranscendentalFunctions| |SturmHabichtPackage| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U32VectorPolynomialOperations| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|DefiniteIntegrationTools| |ElementaryFunctionSign| |LaplaceTransform| |d01AgentsPackage|)
 (|AssociatedEquations|)
 (|FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldNormalBasis| |InterfaceGroebnerPackage|)
-(|BlasLevelOne| |Character| |DistinctDegreeFactorize| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |IndexedFlexibleArray| |InnerIndexedTwoDimensionalArray| |InnerNumericFloatSolvePackage| |LinearSystemMatrixPackage| |MatrixLinearAlgebraFunctions| |ModMonic| |NumberFormats| |PrecomputedAssociatedEquations| |PrimitiveArrayFunctions2| |RadicalFunctionField| |ReductionOfOrder| |StorageEfficientMatrixOperations| |SubResultantPackage| |Symbol| |ThreeDimensionalMatrix| |TranscendentalIntegration| |Tuple|)
+(|BlasLevelOne| |Character| |DistinctDegreeFactorize| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |IndexedFlexibleArray| |InnerIndexedTwoDimensionalArray| |InnerNumericFloatSolvePackage| |LinearSystemMatrixPackage| |MatrixLinearAlgebraFunctions| |ModMonic| |NumberFormats| |PrecomputedAssociatedEquations| |PrimitiveArrayFunctions2| |RadicalFunctionField| |ReductionOfOrder| |StorageEfficientMatrixOperations| |SubResultantPackage| |Symbol| |ThreeDimensionalMatrix| |TranscendentalIntegration| |Tuple| |U32VectorPolynomialOperations|)
 (|FunctionSpacePrimitiveElement|)
 (|PrimitiveRatRicDE| |RationalLODE| |RationalRicDE|)
 (|RationalRicDE|)
@@ -522,21 +522,21 @@
 (|Any| |AnyFunctions1| |ApplicationProgramInterface| |AxiomServer| |FortranCode| |FortranPackage| |FortranProgram| |FortranScalarType| |InputForm| |NAGLinkSupportPackage| |NumberFormats| |OpenMathPackage| |Result| |SymbolTable|)
 (|SExpression|)
 (|ScriptFormulaFormat1|)
-(|AnnaNumericalIntegrationPackage| |Asp19| |Asp8| |CombinatorialFunction| |DrawComplex| |ElementaryFunctionDefiniteIntegration| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpressionTubePlot| |FortranCode| |FortranCodePackage1| |FunctionSpaceSum| |GraphImage| |Guess| |InnerPolySum| |LiouvillianFunction| |MeshCreationRoutinesForThreeDimensions| |ParametricLinearEquations| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PlotFunctions1| |PlotTools| |RandomIntegerDistributions| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SegmentBinding| |SegmentBindingFunctions2| |SegmentFunctions2| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalPlotClipping| |UniversalSegment| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d03AgentsPackage| |e04AgentsPackage| |e04gcfAnnaType|)
+(|AnnaNumericalIntegrationPackage| |Asp19| |Asp8| |CombinatorialFunction| |DrawComplex| |ElementaryFunctionDefiniteIntegration| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpressionTubePlot| |FortranCode| |FortranCodePackage1| |FunctionSpaceSum| |GraphImage| |Guess| |InnerPolySum| |LiouvillianFunction| |MatrixManipulation| |MeshCreationRoutinesForThreeDimensions| |ParametricLinearEquations| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PlotFunctions1| |PlotTools| |RandomIntegerDistributions| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SegmentBinding| |SegmentBindingFunctions2| |SegmentFunctions2| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalPlotClipping| |UniversalSegment| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d03AgentsPackage| |e04AgentsPackage| |e04gcfAnnaType|)
 (|AnnaNumericalIntegrationPackage| |Asp19| |Asp8| |CombinatorialFunction| |DrawNumericHack| |ElementaryFunctionDefiniteIntegration| |Expression| |FortranCode| |FortranCodePackage1| |FunctionSpaceSum| |GnuDraw| |Guess| |LiouvillianFunction| |MyExpression| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SegmentBindingFunctions2| |TopLevelDrawFunctions|)
 (|DrawNumericHack| |RationalFunctionSum|)
 (|SegmentBindingFunctions2| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
 (|SequentialDifferentialPolynomial|)
 (|ApplicationProgramInterface| |BasicOperator| |BasicStochasticDifferential| |ExpressionSpace&| |Factored| |GaloisGroupFactorizer| |GeneralPolynomialSet| |IntegerPrimesPackage| |ModularHermitianRowReduction| |MonoidRing| |ParametricLinearEquations| |Pattern| |Permutation| |PermutationGroup| |PolynomialSetCategory&| |QuasiAlgebraicSet| |RandomDistributions| |SymmetricGroupCombinatoricFunctions| |ThreeDimensionalViewport| |ThreeSpace|)
 (|AlgebraicFunctionField| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |RadicalFunctionField|)
-(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Commutator| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionSign| |EqTable| |Equation| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NottinghamGroup| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedCompletionFunctions2| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchIntegration| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |Queue| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RealClosure| |RectangularMatrix| |Reference| |RegularChain| |RegularTriangularSet| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Symbol| |SymmetricPolynomial| |Table| |TaylorSeries| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |Tree| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Commutator| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionSign| |EqTable| |Equation| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NottinghamGroup| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedCompletionFunctions2| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchIntegration| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |Queue| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RealClosure| |RectangularMatrix| |Reference| |RegularChain| |RegularTriangularSet| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Symbol| |SymmetricPolynomial| |Table| |TaylorSeries| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |Tree| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|ExponentialOfUnivariatePuiseuxSeries| |GeneralUnivariatePowerSeries| |InnerSparseUnivariatePowerSeries| |ModMonic| |MultivariateSquareFree| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseUnivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero|)
 (|TranscendentalRischDESystem|)
 (|Kernel| |MakeCachableSet|)
 (|AlgebraicFunction| |AlgebraicManipulations| |AlgebraicNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |DifferentialSparseMultivariatePolynomial| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |Expression| |ExpressionSpaceODESolver| |FunctionSpace&| |FunctionSpaceFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GosperSummationMethod| |Guess| |InnerAlgebraicNumber| |InnerTrigonometricManipulations| |IntegrationResultToFunction| |IntegrationTools| |InverseLaplaceTransform| |LaplaceTransform| |MRationalFactorize| |MultFiniteFactorize| |MultivariatePolynomial| |MyExpression| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |ODEIntegration| |OrderlyDifferentialPolynomial| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PointsOfFiniteOrder| |Polynomial| |PureAlgebraicIntegration| |RecurrenceOperator| |SequentialDifferentialPolynomial| |StochasticDifferential| |TransSolvePackage| |TranscendentalManipulations|)
 (|TaylorSeries|)
 (|SparseUnivariatePuiseuxSeries|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BlowUpPackage| |BoundIntegerRoots| |CharacteristicPolynomialInMonogenicalAlgebra| |ChineseRemainderToolsForIntegralBases| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootPackage| |ConstantLODE| |ContinuedFraction| |CyclotomicPolynomialPackage| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleResultantPackage| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |FGLMIfCanPackage| |Factored| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteRankNonAssociativeAlgebra&| |Float| |FloatingComplexPackage| |FortranExpression| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GcdDomain&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerSolve| |Guess| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LeadingCoefDetermination| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |LocalParametrizationOfSimplePointPackage| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MatrixCategory&| |ModMonic| |ModularField| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormInMonogenicAlgebra| |NormRetractPackage| |NumberTheoreticPolynomialFunctions| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |PointsOfFiniteOrder| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialNumberTheoryFunctions| |PolynomialSquareFree| |PolynomialToUnivariatePolynomial| |PrimeField| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PushVariables| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFactorize| |RationalFunctionFactor| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RomanNumeral| |RootsFindingPackage| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SupFractionFactorizer| |SymmetricFunctions| |SystemSolvePackage| |TangentExpansions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TwoFactorize| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |WeierstrassPreparation| |WeightedPolynomials| |ZeroDimensionalSolvePackage|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BlowUpPackage| |BoundIntegerRoots| |CharacteristicPolynomialInMonogenicalAlgebra| |ChineseRemainderToolsForIntegralBases| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootPackage| |ConstantLODE| |ContinuedFraction| |CyclotomicPolynomialPackage| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleResultantPackage| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |FGLMIfCanPackage| |Factored| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteRankNonAssociativeAlgebra&| |Float| |FloatingComplexPackage| |FortranExpression| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GcdDomain&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerSolve| |Guess| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LeadingCoefDetermination| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |LocalParametrizationOfSimplePointPackage| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MatrixCategory&| |ModMonic| |ModularField| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormInMonogenicAlgebra| |NormRetractPackage| |NumberTheoreticPolynomialFunctions| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |PointsOfFiniteOrder| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialNumberTheoryFunctions| |PolynomialSquareFree| |PolynomialToUnivariatePolynomial| |PrimeField| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PushVariables| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFactorize| |RationalFunctionFactor| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RomanNumeral| |RootsFindingPackage| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SupFractionFactorizer| |SymmetricFunctions| |SystemSolvePackage| |TangentExpansions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TwoFactorize| |U32VectorPolynomialOperations| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |WeierstrassPreparation| |WeightedPolynomials| |ZeroDimensionalSolvePackage|)
 (|ExpressionSolve| |TaylorSolve|)
 (|AlgebraicIntegration| |DefiniteIntegrationTools| |ElementaryFunctionLODESolver| |FiniteFieldPolynomialPackage2| |FunctionSpace&| |FunctionSpaceReduce| |GenusZeroIntegration| |Guess| |InnerAlgebraicNumber| |InnerPolySum| |InnerTrigonometricManipulations| |IntegrationResultFunctions2| |MultivariateLifting| |Pi| |PiCoercions| |PointsOfFiniteOrder| |PolynomialCategoryQuotientFunctions| |PureAlgebraicIntegration| |RadicalSolvePackage| |RealClosedField&| |TranscendentalIntegration| |TranscendentalManipulations|)
 (|LinearOrdinaryDifferentialOperator| |UnivariateSkewPolynomial|)
@@ -558,7 +558,7 @@
 (|DirichletRing| |EllipticFunctionsUnivariateTaylorSeries| |InfiniteProductFiniteField| |InnerTaylorSeries| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |UnivariateLaurentSeriesConstructor| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |WeierstrassPreparation|)
 (|ElementaryFunctionsUnivariateLaurentSeries| |InfiniteProductFiniteField| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctionsNonCommutative| |UnivariateTaylorSeriesCategory&|)
 (|UnivariateTaylorSeriesCategory&|)
-(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|InnerNumericFloatSolvePackage| |TranscendentalIntegration|)
 (|Export3D| |ThreeSpace|)
 (|MeshCreationRoutinesForThreeDimensions| |SubSpace| |ThreeDimensionalViewport| |ThreeSpace|)
@@ -604,7 +604,8 @@
 (|GnuDraw| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |ViewportPackage|)
 (|MultFiniteFactorize| |SparseUnivariatePolynomial|)
 (|U16Matrix|)
-(|U32Matrix|)
+(|U32Matrix| |U32VectorPolynomialOperations|)
+(|U8Matrix|)
 (|Guess| |NottinghamGroup| |RecurrenceOperator| |UnivariateFormalPowerSeriesFunctions|)
 (|Guess|)
 (|UnivariateLaurentSeriesFunctions2| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesFunctions2|)
@@ -631,7 +632,7 @@
 (|AlgebraicHermiteIntegration| |AlgebraicIntegrate| |Asp10| |Asp19| |Asp20| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp78| |Asp8| |Asp80| |FramedNonAssociativeAlgebraFunctions2| |GenExEuclid| |GenericNonAssociativeAlgebra| |LinearDependence| |SimpleAlgebraicExtension|)
 (|GraphImage| |MeshCreationRoutinesForThreeDimensions| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalViewport| |ViewportPackage|)
 (|TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BasicStochasticDifferential| |BinaryFile| |Bits| |BlowUpPackage| |CommonOperators| |Complex| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |Database| |DesingTreePackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |DoubleFloatVector| |EqTable| |EuclideanGroebnerBasisPackage| |Export3D| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralPackageForAlgebraicFunctionField| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Kernel| |KeyedAccessFile| |Library| |List| |LocalParametrizationOfSimplePointPackage| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NeitherSparseOrDensePowerSeries| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PermutationGroup| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |StochasticDifferential| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |U16Vector| |U32Vector| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BasicStochasticDifferential| |BinaryFile| |Bits| |BlowUpPackage| |CommonOperators| |Complex| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |Database| |DesingTreePackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |DoubleFloatVector| |EqTable| |EuclideanGroebnerBasisPackage| |Export3D| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralPackageForAlgebraicFunctionField| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Kernel| |KeyedAccessFile| |Library| |List| |LocalParametrizationOfSimplePointPackage| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NeitherSparseOrDensePowerSeries| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PermutationGroup| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |StochasticDifferential| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |U16Vector| |U32Vector| |U32VectorPolynomialOperations| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
 (|OrdinaryWeightedPolynomials|)
 (|PAdicWildFunctionFieldIntegralBasis|)
 (|LieExponentials| |LiePolynomial| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
@@ -666,4 +667,4 @@
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
-(("e04ucfAnnaType" 0 235918) ("e04nafAnnaType" 0 235881) ("e04mbfAnnaType" 0 235844) ("e04jafAnnaType" 0 235807) ("e04gcfAnnaType" 0 235770) ("e04fdfAnnaType" 0 235733) ("e04dgfAnnaType" 0 235696) ("e04AgentsPackage" 0 235557) ("d03eefAnnaType" 0 235514) ("d03AgentsPackage" 0 235495) ("d02ejfAnnaType" 0 235451) ("d02cjfAnnaType" 0 235407) ("d02bhfAnnaType" 0 235363) ("d02bbfAnnaType" 0 235319) ("d02AgentsPackage" 0 235249) ("d01gbfAnnaType" 0 235213) ("d01fcfAnnaType" 0 235177) ("d01asfAnnaType" 0 235141) ("d01aqfAnnaType" 0 235105) ("d01apfAnnaType" 0 235069) ("d01anfAnnaType" 0 235033) ("d01amfAnnaType" 0 234997) ("d01alfAnnaType" 0 234961) ("d01akfAnnaType" 0 234925) ("d01ajfAnnaType" 0 234889) ("d01WeightsPackage" 0 234836) ("d01TransformFunctionType" 0 234800) ("d01AgentsPackage" 0 234547) ("XRecursivePolynomial" 0 234498) ("XPolynomialRing" 0 234471) ("XPBWPolynomial" 0 234451) ("XDistributedPolynomial" 0 234361) ("WildFunctionFieldIntegralBasis" 0 234321) ("WeightedPolynomials" 0 234289) ("Void" 0 229925) ("ViewportPackage" 0 229837) ("ViewDefaultsPackage" 0 229625) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 229316) ("VectorCategory&" 0 NIL) ("Vector" 0 224200) ("Variable" 0 223825) ("UserDefinedPartialOrdering" 0 223763) ("UniversalSegmentFunctions2" 0 223729) ("UniversalSegment" 0 222863) ("UnivariateTaylorSeriesFunctions2" 0 222825) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeriesCZero" 0 222696) ("UnivariateTaylorSeries" 0 222535) ("UnivariateSkewPolynomialCategoryOps" 0 222500) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 222437) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 222377) ("UnivariatePuiseuxSeries" 0 222156) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 222037) ("UnivariatePolynomialDivisionPackage" 0 221992) ("UnivariatePolynomialDecompositionPackage" 0 221966) ("UnivariatePolynomialCommonDenominator" 0 221753) ("UnivariatePolynomialCategoryFunctions2" 0 220629) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 220320) ("UnivariateLaurentSeriesFunctions2" 0 220282) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 220254) ("UnivariateLaurentSeries" 0 220154) ("UnivariateFormalPowerSeriesFunctions" 0 220144) ("UnivariateFormalPowerSeries" 0 220056) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("U32Vector" 0 220042) ("U16Vector" 0 220028) ("TwoFactorize" 0 219975) ("TwoDimensionalViewport" 0 219802) ("TwoDimensionalPlotClipping" 0 219756) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 219740) ("TubePlotTools" 0 219699) ("TubePlot" 0 219614) ("TrigonometricManipulations" 0 219429) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 219239) ("Tree" 0 219197) ("TranscendentalRischDESystem" 0 219169) ("TranscendentalRischDE" 0 219125) ("TranscendentalManipulations" 0 219009) ("TranscendentalIntegration" 0 218941) ("TranscendentalHermiteIntegration" 0 218911) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 218889) ("TopLevelDrawFunctionsForCompiledFunctions" 0 218863) ("TopLevelDrawFunctions" 0 218851) ("ToolsForSign" 0 218744) ("ThreeSpace" 0 218492) ("ThreeDimensionalViewport" 0 218365) ("ThreeDimensionalMatrix" 0 218322) ("TheSymbolTable" 0 218272) ("TextFile" 0 218231) ("TexFormat" 0 218216) ("TemplateUtilities" 0 218196) ("TaylorSolve" 0 218176) ("TaylorSeries" 0 218149) ("TangentExpansions" 0 218110) ("TabulatedComputationPackage" 0 217974) ("Tableau" 0 217954) ("TableAggregate&" 0 NIL) ("Table" 0 217299) ("SystemSolvePackage" 0 217194) ("SystemODESolver" 0 217172) ("SymmetricPolynomial" 0 217126) ("SymmetricGroupCombinatoricFunctions" 0 217077) ("SymmetricFunctions" 0 217055) ("SymbolTable" 0 216776) ("Symbol" 0 208648) ("Switch" 0 208585) ("SupFractionFactorizer" 0 208570) ("SuchThat" 0 208490) ("SubSpaceComponentProperty" 0 208396) ("SubSpace" 0 208370) ("SubResultantPackage" 0 208308) ("StringAggregate&" 0 NIL) ("String" 0 197050) ("StreamTranscendentalFunctionsNonCommutative" 0 197014) ("StreamTranscendentalFunctions" 0 196801) ("StreamTaylorSeriesOperations" 0 196372) ("StreamInfiniteProduct" 0 196306) ("StreamFunctions3" 0 196113) ("StreamFunctions2" 0 195610) ("StreamFunctions1" 0 195572) ("StreamAggregate&" 0 NIL) ("Stream" 0 193709) ("StorageEfficientMatrixOperations" 0 193698) ("Stack" 0 193660) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 193527) ("SquareFreeRegularTriangularSetGcdPackage" 0 193400) ("SquareFreeRegularTriangularSet" 0 193303) ("SquareFreeRegularSetDecompositionPackage" 0 193268) ("SquareFreeQuasiComponentPackage" 0 193091) ("SplittingTree" 0 193064) ("SplittingNode" 0 193021) ("SparseUnivariateTaylorSeries" 0 192955) ("SparseUnivariateSkewPolynomial" 0 192889) ("SparseUnivariatePolynomialFunctions2" 0 192375) ("SparseUnivariatePolynomialExpressions" 0 192341) ("SparseUnivariatePolynomial" 0 185702) ("SparseUnivariateLaurentSeries" 0 185668) ("SparseMultivariateTaylorSeries" 0 185651) ("SparseMultivariatePolynomial" 0 184394) ("SortedCache" 0 184365) ("SmithNormalForm" 0 184333) ("SingletonAsOrderedSet" 0 183636) ("SingleInteger" 0 175956) ("SimpleAlgebraicExtension" 0 175825) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 175387) ("SequentialDifferentialVariable" 0 175350) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 175235) ("SegmentBindingFunctions2" 0 175193) ("SegmentBinding" 0 174826) ("Segment" 0 173762) ("ScriptFormulaFormat" 0 173737) ("SExpressionOf" 0 173721) ("SExpression" 0 173492) ("RoutinesTable" 0 172901) ("RootsFindingPackage" 0 172765) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 172749) ("RewriteRule" 0 172704) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 172678) ("Result" 0 171607) ("RepeatedSquaring" 0 171366) ("RepeatedDoubling" 0 171183) ("RegularTriangularSetGcdPackage" 0 171125) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 171108) ("RegularSetDecompositionPackage" 0 171083) ("RegularChain" 0 171028) ("Reference" 0 170645) ("ReductionOfOrder" 0 170612) ("ReduceLODE" 0 170590) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 170580) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 170500) ("RealSolvePackage" 0 170472) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 170430) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 170398) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 170308) ("RationalLODE" 0 170169) ("RationalIntegration" 0 170048) ("RationalFunctionSign" 0 169990) ("RationalFunctionIntegration" 0 169956) ("RationalFunctionFactor" 0 169923) ("RationalFunction" 0 169875) ("RationalFactorize" 0 169645) ("RandomNumberSource" 0 169565) ("RadixExpansion" 0 169503) ("RadicalSolvePackage" 0 169481) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 169458) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 169446) ("QueryEquation" 0 169433) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 169420) ("QuasiComponentPackage" 0 169306) ("QuasiAlgebraicSet" 0 169283) ("QuadraticForm" 0 169263) ("PushVariables" 0 169236) ("PureAlgebraicIntegration" 0 169159) ("PseudoRemainderSequence" 0 169074) ("PseudoLinearNormalForm" 0 169054) ("PseudoAlgebraicClosureOfRationalNumber" 0 168937) ("PseudoAlgebraicClosureOfFiniteField" 0 168666) ("ProjectiveSpace" 0 168646) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 168533) ("ProjectivePlane" 0 168428) ("ProjectiveAlgebraicSetPackage" 0 168335) ("Product" 0 168294) ("PrintPackage" 0 168268) ("PrimitiveRatRicDE" 0 168250) ("PrimitiveRatDE" 0 168197) ("PrimitiveElement" 0 168163) ("PrimitiveArray" 0 167434) ("PrimeField" 0 167341) ("PrecomputedAssociatedEquations" 0 167317) ("PowerSeriesLimitPackage" 0 167225) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 157499) ("PolynomialSquareFree" 0 157475) ("PolynomialSolveByFormulas" 0 157451) ("PolynomialSetUtilitiesPackage" 0 157054) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 156951) ("PolynomialRing" 0 156783) ("PolynomialPackageForCurve" 0 156686) ("PolynomialNumberTheoryFunctions" 0 156632) ("PolynomialInterpolationAlgorithms" 0 156604) ("PolynomialIdeals" 0 156553) ("PolynomialGcdPackage" 0 156477) ("PolynomialFunctions2" 0 156281) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 156218) ("PolynomialFactorizationByRecursion" 0 156194) ("PolynomialDecomposition" 0 156164) ("PolynomialCategoryQuotientFunctions" 0 155765) ("PolynomialCategoryLifting" 0 155130) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 152760) ("PolyGroebner" 0 152714) ("PolToPol" 0 152677) ("PointsOfFiniteOrderTools" 0 152623) ("PointsOfFiniteOrder" 0 152600) ("PointPackage" 0 152459) ("Point" 0 152023) ("PoincareBirkhoffWittLyndonBasis" 0 151986) ("PlotTools" 0 151971) ("Plot3D" 0 151904) ("Plot" 0 151767) ("Plcs" 0 151708) ("PlaneAlgebraicCurvePlot" 0 151664) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 151612) ("Places" 0 151575) ("PiCoercions" 0 151553) ("Pi" 0 151517) ("PermutationGroup" 0 151488) ("Permutation" 0 151393) ("PatternMatchTools" 0 151330) ("PatternMatchSymbol" 0 151319) ("PatternMatchResultFunctions2" 0 151272) ("PatternMatchResult" 0 149854) ("PatternMatchQuotientFieldCategory" 0 149827) ("PatternMatchPushDown" 0 149706) ("PatternMatchPolynomialCategory" 0 149669) ("PatternMatchListResult" 0 149624) ("PatternMatchListAggregate" 0 149607) ("PatternMatchKernel" 0 149564) ("PatternMatchIntegration" 0 149445) ("PatternMatchIntegerNumberSystem" 0 149420) ("PatternMatchFunctionSpace" 0 149405) ("PatternFunctions1" 0 149335) ("Pattern" 0 147802) ("PartitionsAndPermutations" 0 147702) ("Partition" 0 147585) ("PartialDifferentialRing&" 0 NIL) ("ParametrizationPackage" 0 147466) ("ParametricSurface" 0 147366) ("ParametricSpaceCurve" 0 147263) ("ParametricPlaneCurve" 0 147160) ("ParadoxicalCombinatorsForStreams" 0 146959) ("Palette" 0 146757) ("PackageForPoly" 0 146450) ("PAdicRationalConstructor" 0 146408) ("PAdicInteger" 0 146390) ("OutputPackage" 0 146020) ("OutputForm" 0 136204) ("OrderlyDifferentialVariable" 0 136098) ("OrderlyDifferentialPolynomial" 0 136065) ("OrderedVariableList" 0 135512) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 135360) ("OrderedCompletionFunctions2" 0 135289) ("OrderedCompletion" 0 134506) ("OrdSetInts" 0 134472) ("OpenMathPackage" 0 134446) ("OpenMathErrorKind" 0 134428) ("OpenMathEncoding" 0 134250) ("OpenMathDevice" 0 134068) ("OpenMathConnection" 0 134042) ("OnePointCompletionFunctions2" 0 134009) ("OnePointCompletion" 0 133196) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 133127) ("OctonionCategory&" 0 NIL) ("ODETools" 0 133079) ("ODEIntensityFunctionsTable" 0 133016) ("ODEIntegration" 0 132907) ("NumericalPDEProblem" 0 132864) ("NumericalOptimizationProblem" 0 132808) ("NumericalODEProblem" 0 132764) ("NumericalIntegrationProblem" 0 132701) ("NumericTubePlot" 0 132655) ("NumericRealEigenPackage" 0 132634) ("Numeric" 0 132595) ("NumberTheoreticPolynomialFunctions" 0 132565) ("NumberFormats" 0 132535) ("NormalizationPackage" 0 132362) ("NoneFunctions1" 0 132327) ("None" 0 132026) ("NonNegativeInteger" 0 116285) ("NonLinearSolvePackage" 0 116267) ("NonLinearFirstOrderODESolver" 0 116235) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonPolygon" 0 116217) ("NewtonInterpolation" 0 116207) ("NewSparseUnivariatePolynomialFunctions2" 0 116171) ("NewSparseUnivariatePolynomial" 0 116093) ("NewSparseMultivariatePolynomial" 0 115981) ("NeitherSparseOrDensePowerSeries" 0 115894) ("NagPartialDifferentialEquationsPackage" 0 115875) ("NagOrdinaryDifferentialEquationsPackage" 0 115805) ("NagOptimisationPackage" 0 115649) ("NagIntegrationPackage" 0 115477) ("NagEigenPackage" 0 115456) ("NPCoef" 0 115432) ("NAGLinkSupportPackage" 0 115020) ("MyUnivariatePolynomial" 0 115003) ("MyExpression" 0 114973) ("MultivariateSquareFree" 0 114909) ("MultivariateLifting" 0 114821) ("MultivariateFactorize" 0 114488) ("Multiset" 0 114429) ("MultipleMap" 0 114354) ("MultiVariableCalculusFunctions" 0 114260) ("MultFiniteFactorize" 0 114186) ("MoreSystemCommands" 0 114107) ("MonomialExtensionTools" 0 113988) ("MonoidRing" 0 113963) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 113941) ("ModuleOperator" 0 113928) ("ModuleMonomial" 0 113900) ("Module&" 0 NIL) ("ModularRing" 0 113860) ("ModularHermitianRowReduction" 0 113655) ("ModularDistinctDegreeFactorizer" 0 113598) ("ModMonic" 0 113488) ("MeshCreationRoutinesForThreeDimensions" 0 113442) ("MergeThing" 0 113429) ("MatrixLinearAlgebraFunctions" 0 113402) ("MatrixCommonDenominator" 0 113292) ("MatrixCategoryFunctions2" 0 112911) ("MatrixCategory&" 0 NIL) ("Matrix" 0 108027) ("MappingPackageInternalHacks3" 0 108007) ("MappingPackageInternalHacks2" 0 107987) ("MappingPackageInternalHacks1" 0 107967) ("MappingPackage1" 0 107873) ("MakeUnaryCompiledFunction" 0 107813) ("MakeFunction" 0 107754) ("MakeFloatCompiledFunction" 0 107690) ("MakeBinaryCompiledFunction" 0 107642) ("Magma" 0 107611) ("MachineInteger" 0 107577) ("MachineFloat" 0 107508) ("MRationalFactorize" 0 107344) ("MPolyCatRationalFunctionFactorizer" 0 107234) ("MPolyCatPolyFactorizer" 0 107197) ("MPolyCatFunctions3" 0 107184) ("MPolyCatFunctions2" 0 107097) ("LyndonWord" 0 107010) ("Logic&" 0 NIL) ("Localize" 0 106993) ("LocalParametrizationOfSimplePointPackage" 0 106900) ("LocalAlgebra" 0 106887) ("ListToMap" 0 106836) ("ListMultiDictionary" 0 106804) ("ListMonoidOps" 0 106752) ("ListFunctions2" 0 106333) ("ListAggregate&" 0 NIL) ("List" 0 88759) ("LiouvillianFunction" 0 88718) ("LinesOpPack" 0 88653) ("LinearSystemPolynomialPackage" 0 88630) ("LinearSystemMatrixPackage" 0 88296) ("LinearSystemFromPowerSeriesPackage" 0 88268) ("LinearPolynomialEquationByFractions" 0 88147) ("LinearOrdinaryDifferentialOperatorsOps" 0 88108) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 88075) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 88042) ("LinearOrdinaryDifferentialOperator1" 0 87878) ("LinearOrdinaryDifferentialOperator" 0 87800) ("LinearDependence" 0 87772) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 87735) ("LiePolynomial" 0 87698) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 87666) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 87626) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 87555) ("Kovacic" 0 87522) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 87510) ("KernelFunctions2" 0 87495) ("Kernel" 0 85646) ("IrredPolyOverFiniteField" 0 85606) ("Interval" 0 85559) ("IntersectionDivisorPackage" 0 85515) ("InterpolateFormsPackage" 0 85471) ("InternalRationalUnivariateRepresentationPackage" 0 85397) ("InternalPrintPackage" 0 85289) ("InterfaceGroebnerPackage" 0 85242) ("IntegrationTools" 0 84933) ("IntegrationResultToFunction" 0 84838) ("IntegrationResultRFToFunction" 0 84798) ("IntegrationResultFunctions2" 0 84599) ("IntegrationResult" 0 84227) ("IntegrationFunctionsTable" 0 84172) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 84043) ("IntegralBasisPolynomialTools" 0 84003) ("IntegerSolveLinearPolynomialEquation" 0 83991) ("IntegerRoots" 0 83806) ("IntegerRetractions" 0 83774) ("IntegerPrimesPackage" 0 83342) ("IntegerNumberTheoryFunctions" 0 83241) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 83221) ("IntegerLinearDependence" 0 83182) ("IntegerFactorizationPackage" 0 83058) ("IntegerCombinatoricFunctions" 0 82842) ("IntegerBits" 0 82811) ("Integer" 0 67140) ("InputFormFunctions1" 0 67121) ("InputForm" 0 64860) ("InnerTrigonometricManipulations" 0 64732) ("InnerTaylorSeries" 0 64642) ("InnerTable" 0 64632) ("InnerSparseUnivariatePowerSeries" 0 64535) ("InnerPrimeField" 0 64501) ("InnerPolySum" 0 64477) ("InnerPolySign" 0 64394) ("InnerPAdicInteger" 0 64354) ("InnerNumericFloatSolvePackage" 0 64257) ("InnerNumericEigenPackage" 0 64200) ("InnerNormalBasisFieldFunctions" 0 64152) ("InnerMultFact" 0 64106) ("InnerMatrixQuotientFieldFunctions" 0 64073) ("InnerMatrixLinearAlgebraFunctions" 0 64004) ("InnerIndexedTwoDimensionalArray" 0 63926) ("InnerFreeAbelianMonoid" 0 63885) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 63639) ("InnerAlgebraicNumber" 0 63619) ("InnerAlgFactor" 0 63550) ("InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField" 0 63498) ("InfinitlyClosePoint" 0 63424) ("InfiniteTuple" 0 63370) ("InfClsPt" 0 63333) ("IndexedVector" 0 63306) ("IndexedString" 0 63295) ("IndexedOneDimensionalArray" 0 63226) ("IndexedList" 0 63217) ("IndexedFlexibleArray" 0 63130) ("IndexedExponents" 0 62829) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 62808) ("IndexedDirectProductOrderedAbelianMonoid" 0 62760) ("IndexedDirectProductObject" 0 62722) ("IndexedDirectProductAbelianMonoid" 0 62642) ("IndexedDirectProductAbelianGroup" 0 62627) ("IndexedBits" 0 62618) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 62595) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 62526) ("HomogeneousDirectProduct" 0 62445) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 62433) ("HashTable" 0 62377) ("HallBasis" 0 62356) ("GuessOptionFunctions0" 0 62346) ("GuessOption" 0 62312) ("GuessFiniteFunctions" 0 62296) ("Guess" 0 62196) ("Group&" 0 NIL) ("GroebnerPackage" 0 61967) ("GroebnerInternalPackage" 0 61840) ("GrayCode" 0 61826) ("GraphicsDefaults" 0 61726) ("GraphImage" 0 61638) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 61595) ("GenusZeroIntegration" 0 61566) ("GeneralizedMultivariateFactorize" 0 61494) ("GeneralTriangularSet" 0 61435) ("GeneralSparseTable" 0 61419) ("GeneralPolynomialSet" 0 61228) ("GeneralPolynomialGcdPackage" 0 61204) ("GeneralPackageForAlgebraicFunctionField" 0 61117) ("GeneralHenselPackage" 0 61031) ("GeneralDistributedMultivariatePolynomial" 0 60946) ("GenUFactorize" 0 60894) ("GenExEuclid" 0 60720) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 60682) ("GaloisGroupPolynomialUtilities" 0 60656) ("GaloisGroupFactorizer" 0 60608) ("GaloisGroupFactorizationUtilities" 0 60565) ("FunctionalSpecialFunction" 0 60550) ("FunctionSpaceUnivariatePolynomialFactor" 0 60451) ("FunctionSpaceToUnivariatePowerSeries" 0 60411) ("FunctionSpacePrimitiveElement" 0 60334) ("FunctionSpaceIntegration" 0 60096) ("FunctionSpaceFunctions2" 0 60012) ("FunctionSpaceComplexIntegration" 0 59983) ("FunctionSpaceAttachPredicates" 0 59936) ("FunctionSpaceAssertions" 0 59869) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 59841) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 59819) ("FreeModule1" 0 59743) ("FreeModule" 0 59638) ("FreeGroup" 0 59608) ("FreeAbelianGroup" 0 59589) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 59571) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 59543) ("FractionalIdeal" 0 59375) ("FractionFreeFastGaussianFractions" 0 59365) ("FractionFreeFastGaussian" 0 59319) ("Fraction" 0 51471) ("FourierComponent" 0 51453) ("FortranType" 0 51163) ("FortranScalarType" 0 50883) ("FortranPackage" 0 50673) ("FortranOutputStackPackage" 0 50428) ("FortranExpression" 0 50263) ("FortranCode" 0 49996) ("FloatingRealPackage" 0 49975) ("FloatingPointSystem&" 0 NIL) ("Float" 0 48121) ("FlexibleArray" 0 48096) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 48062) ("FiniteLinearAggregateFunctions2" 0 47883) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSquareFreeDecomposition" 0 47829) ("FiniteFieldSolveLinearPolynomialEquation" 0 47798) ("FiniteFieldPolynomialPackage" 0 47596) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 47535) ("FiniteFieldFunctions" 0 47382) ("FiniteFieldFactorizationWithSizeParseBySideEffect" 0 47320) ("FiniteFieldExtensionByPolynomial" 0 47235) ("FiniteFieldExtension" 0 47214) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 47153) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 47017) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 46979) ("FiniteAbelianMonoidRing&" 0 NIL) ("FileName" 0 46598) ("File" 0 46544) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactorisationOverPseudoAlgebraicClosureOfRationalNumber" 0 46435) ("FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber" 0 46384) ("FactoringUtilities" 0 46296) ("FactoredFunctions2" 0 46101) ("FactoredFunctions" 0 46032) ("FactoredFunctionUtilities" 0 45917) ("Factored" 0 41462) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 41433) ("ExpressionSpaceFunctions2" 0 41335) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 41312) ("ExpressionFunctions2" 0 40935) ("Expression" 0 39099) ("ExponentialOfUnivariatePuiseuxSeries" 0 38984) ("ExponentialExpansion" 0 38944) ("ExpertSystemToolsPackage2" 0 38906) ("ExpertSystemToolsPackage1" 0 38885) ("ExpertSystemToolsPackage" 0 38394) ("ExpertSystemContinuityPackage" 0 38356) ("Exit" 0 38086) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 38066) ("EuclideanGroebnerBasisPackage" 0 38036) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 37828) ("Equation" 0 34440) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 34414) ("ElementaryRischDE" 0 34388) ("ElementaryIntegration" 0 34325) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 34285) ("ElementaryFunctionsUnivariateLaurentSeries" 0 34214) ("ElementaryFunctionStructurePackage" 0 33884) ("ElementaryFunctionSign" 0 33522) ("ElementaryFunctionODESolver" 0 33489) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 33474) ("EigenPackage" 0 33450) ("DrawOptionFunctions1" 0 33425) ("DrawOptionFunctions0" 0 33221) ("DrawOption" 0 33049) ("DoubleResultantPackage" 0 33026) ("DoubleFloatVector" 0 33004) ("DoubleFloatSpecialFunctions" 0 32988) ("DoubleFloat" 0 30856) ("Divisor" 0 30633) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 30228) ("DistinctDegreeFactorize" 0 29909) ("DisplayPackage" 0 29883) ("DiscreteLogarithmPackage" 0 29858) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 29296) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 29186) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DesingTreePackage" 0 29113) ("DesingTree" 0 29026) ("DegreeReductionPackage" 0 29002) ("DefiniteIntegrationTools" 0 28922) ("Database" 0 28902) ("DataList" 0 28889) ("CyclotomicPolynomialPackage" 0 28841) ("CyclicStreamTools" 0 28807) ("CoordinateSystems" 0 28765) ("ContinuedFraction" 0 28650) ("ConstantLODE" 0 28617) ("ComplexRootPackage" 0 28558) ("ComplexPatternMatch" 0 28537) ("ComplexPattern" 0 28516) ("ComplexIntegerSolveLinearPolynomialEquation" 0 28495) ("ComplexFunctions2" 0 28463) ("ComplexFactorization" 0 28395) ("ComplexDoubleFloatVector" 0 28366) ("ComplexCategory&" 0 NIL) ("Complex" 0 27780) ("CommuteUnivariatePolynomialCategory" 0 27633) ("Commutator" 0 27612) ("CommonOperators" 0 27459) ("CommonDenominator" 0 27325) ("CombinatorialFunction" 0 27310) ("Color" 0 27211) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 27147) ("ChineseRemainderToolsForIntegralBases" 0 27107) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 27085) ("CharacterClass" 0 27012) ("Character" 0 26690) ("ChangeOfVariable" 0 26590) ("CartesianTensor" 0 26560) ("CardinalNumber" 0 25843) ("BrillhartTests" 0 25817) ("BoundIntegerRoots" 0 25783) ("Boolean" 0 7575) ("BlowUpPackage" 0 7553) ("Bits" 0 7526) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7465) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicStochasticDifferential" 0 7438) ("BasicOperatorFunctions1" 0 7245) ("BasicOperator" 0 5838) ("BasicFunctions" 0 5804) ("BalancedPAdicInteger" 0 5778) ("BalancedFactorisation" 0 5739) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5559) ("AttributeButtons" 0 5285) ("AssociationList" 0 5133) ("AssociatedLieAlgebra" 0 5113) ("Asp9" 0 5018) ("Asp80" 0 4974) ("Asp8" 0 4879) ("Asp78" 0 4835) ("Asp77" 0 4791) ("Asp74" 0 4731) ("Asp73" 0 4671) ("Asp7" 0 4559) ("Asp6" 0 4533) ("Asp55" 0 4489) ("Asp50" 0 4445) ("Asp49" 0 4384) ("Asp42" 0 4340) ("Asp41" 0 4296) ("Asp4" 0 4236) ("Asp35" 0 4210) ("Asp34" 0 4174) ("Asp33" 0 4130) ("Asp31" 0 4069) ("Asp30" 0 4033) ("Asp29" 0 4013) ("Asp28" 0 3959) ("Asp27" 0 3939) ("Asp24" 0 3895) ("Asp20" 0 3851) ("Asp19" 0 3807) ("Asp12" 0 3763) ("Asp10" 0 3719) ("Asp1" 0 3533) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3493) ("ApplyRules" 0 3437) ("AnyFunctions1" 0 2370) ("Any" 0 1020) ("AntiSymm" 0 1002) ("AnnaNumericalOptimizationPackage" 0 981) ("AnnaNumericalIntegrationPackage" 0 952) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 779) ("AlgebraicManipulations" 0 493) ("AlgebraicIntegration" 0 467) ("AlgebraicHermiteIntegration" 0 444) ("AlgebraicFunction" 0 429) ("AlgebraGivenByStructuralConstants" 0 396) ("Algebra&" 0 NIL) ("AlgFactor" 0 289) ("Aggregate&" 0 NIL) ("AffineSpace" 0 273) ("AffinePlane" 0 88) ("AffineAlgebraicSetComputeWithResultant" 0 54) ("AffineAlgebraicSetComputeWithGroebnerBasis" 0 20) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
+(("e04ucfAnnaType" 0 236755) ("e04nafAnnaType" 0 236718) ("e04mbfAnnaType" 0 236681) ("e04jafAnnaType" 0 236644) ("e04gcfAnnaType" 0 236607) ("e04fdfAnnaType" 0 236570) ("e04dgfAnnaType" 0 236533) ("e04AgentsPackage" 0 236394) ("d03eefAnnaType" 0 236351) ("d03AgentsPackage" 0 236332) ("d02ejfAnnaType" 0 236288) ("d02cjfAnnaType" 0 236244) ("d02bhfAnnaType" 0 236200) ("d02bbfAnnaType" 0 236156) ("d02AgentsPackage" 0 236086) ("d01gbfAnnaType" 0 236050) ("d01fcfAnnaType" 0 236014) ("d01asfAnnaType" 0 235978) ("d01aqfAnnaType" 0 235942) ("d01apfAnnaType" 0 235906) ("d01anfAnnaType" 0 235870) ("d01amfAnnaType" 0 235834) ("d01alfAnnaType" 0 235798) ("d01akfAnnaType" 0 235762) ("d01ajfAnnaType" 0 235726) ("d01WeightsPackage" 0 235673) ("d01TransformFunctionType" 0 235637) ("d01AgentsPackage" 0 235384) ("XRecursivePolynomial" 0 235335) ("XPolynomialRing" 0 235308) ("XPBWPolynomial" 0 235288) ("XDistributedPolynomial" 0 235198) ("WildFunctionFieldIntegralBasis" 0 235158) ("WeightedPolynomials" 0 235126) ("Void" 0 230730) ("ViewportPackage" 0 230642) ("ViewDefaultsPackage" 0 230430) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 230121) ("VectorCategory&" 0 NIL) ("Vector" 0 225005) ("Variable" 0 224630) ("UserDefinedPartialOrdering" 0 224568) ("UniversalSegmentFunctions2" 0 224534) ("UniversalSegment" 0 223668) ("UnivariateTaylorSeriesFunctions2" 0 223630) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeriesCZero" 0 223501) ("UnivariateTaylorSeries" 0 223340) ("UnivariateSkewPolynomialCategoryOps" 0 223305) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 223242) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 223182) ("UnivariatePuiseuxSeries" 0 222961) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 222842) ("UnivariatePolynomialDivisionPackage" 0 222797) ("UnivariatePolynomialDecompositionPackage" 0 222771) ("UnivariatePolynomialCommonDenominator" 0 222558) ("UnivariatePolynomialCategoryFunctions2" 0 221434) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 221125) ("UnivariateLaurentSeriesFunctions2" 0 221087) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 221059) ("UnivariateLaurentSeries" 0 220959) ("UnivariateFormalPowerSeriesFunctions" 0 220949) ("UnivariateFormalPowerSeries" 0 220861) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("U8Vector" 0 220848) ("U32Vector" 0 220802) ("U16Vector" 0 220788) ("TwoFactorize" 0 220735) ("TwoDimensionalViewport" 0 220562) ("TwoDimensionalPlotClipping" 0 220516) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 220500) ("TubePlotTools" 0 220459) ("TubePlot" 0 220374) ("TrigonometricManipulations" 0 220189) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 219999) ("Tree" 0 219957) ("TranscendentalRischDESystem" 0 219929) ("TranscendentalRischDE" 0 219885) ("TranscendentalManipulations" 0 219769) ("TranscendentalIntegration" 0 219701) ("TranscendentalHermiteIntegration" 0 219671) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 219649) ("TopLevelDrawFunctionsForCompiledFunctions" 0 219623) ("TopLevelDrawFunctions" 0 219611) ("ToolsForSign" 0 219504) ("ThreeSpace" 0 219252) ("ThreeDimensionalViewport" 0 219125) ("ThreeDimensionalMatrix" 0 219082) ("TheSymbolTable" 0 219032) ("TextFile" 0 218991) ("TexFormat" 0 218976) ("TemplateUtilities" 0 218956) ("TaylorSolve" 0 218936) ("TaylorSeries" 0 218909) ("TangentExpansions" 0 218870) ("TabulatedComputationPackage" 0 218734) ("Tableau" 0 218714) ("TableAggregate&" 0 NIL) ("Table" 0 218059) ("SystemSolvePackage" 0 217954) ("SystemODESolver" 0 217932) ("SymmetricPolynomial" 0 217886) ("SymmetricGroupCombinatoricFunctions" 0 217837) ("SymmetricFunctions" 0 217815) ("SymbolTable" 0 217536) ("Symbol" 0 209408) ("Switch" 0 209345) ("SupFractionFactorizer" 0 209330) ("SuchThat" 0 209250) ("SubSpaceComponentProperty" 0 209156) ("SubSpace" 0 209130) ("SubResultantPackage" 0 209068) ("StringAggregate&" 0 NIL) ("String" 0 197799) ("StreamTranscendentalFunctionsNonCommutative" 0 197763) ("StreamTranscendentalFunctions" 0 197550) ("StreamTaylorSeriesOperations" 0 197121) ("StreamInfiniteProduct" 0 197055) ("StreamFunctions3" 0 196862) ("StreamFunctions2" 0 196359) ("StreamFunctions1" 0 196321) ("StreamAggregate&" 0 NIL) ("Stream" 0 194458) ("StorageEfficientMatrixOperations" 0 194447) ("Stack" 0 194409) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 194276) ("SquareFreeRegularTriangularSetGcdPackage" 0 194149) ("SquareFreeRegularTriangularSet" 0 194052) ("SquareFreeRegularSetDecompositionPackage" 0 194017) ("SquareFreeQuasiComponentPackage" 0 193840) ("SplittingTree" 0 193813) ("SplittingNode" 0 193770) ("SparseUnivariateTaylorSeries" 0 193704) ("SparseUnivariateSkewPolynomial" 0 193638) ("SparseUnivariatePolynomialFunctions2" 0 193124) ("SparseUnivariatePolynomialExpressions" 0 193090) ("SparseUnivariatePolynomial" 0 186419) ("SparseUnivariateLaurentSeries" 0 186385) ("SparseMultivariateTaylorSeries" 0 186368) ("SparseMultivariatePolynomial" 0 185111) ("SortedCache" 0 185082) ("SmithNormalForm" 0 185050) ("SingletonAsOrderedSet" 0 184353) ("SingleInteger" 0 176630) ("SimpleAlgebraicExtension" 0 176499) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 176061) ("SequentialDifferentialVariable" 0 176024) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 175909) ("SegmentBindingFunctions2" 0 175867) ("SegmentBinding" 0 175500) ("Segment" 0 174415) ("ScriptFormulaFormat" 0 174390) ("SExpressionOf" 0 174374) ("SExpression" 0 174145) ("RoutinesTable" 0 173554) ("RootsFindingPackage" 0 173418) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 173402) ("RewriteRule" 0 173357) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 173331) ("Result" 0 172260) ("RepeatedSquaring" 0 172019) ("RepeatedDoubling" 0 171836) ("RegularTriangularSetGcdPackage" 0 171778) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 171761) ("RegularSetDecompositionPackage" 0 171736) ("RegularChain" 0 171681) ("Reference" 0 171298) ("ReductionOfOrder" 0 171265) ("ReduceLODE" 0 171243) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 171233) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 171153) ("RealSolvePackage" 0 171125) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 171083) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 171051) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 170961) ("RationalLODE" 0 170822) ("RationalIntegration" 0 170701) ("RationalFunctionSign" 0 170643) ("RationalFunctionIntegration" 0 170609) ("RationalFunctionFactor" 0 170576) ("RationalFunction" 0 170528) ("RationalFactorize" 0 170298) ("RandomNumberSource" 0 170218) ("RadixExpansion" 0 170156) ("RadicalSolvePackage" 0 170134) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 170111) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 170099) ("QueryEquation" 0 170086) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 170073) ("QuasiComponentPackage" 0 169959) ("QuasiAlgebraicSet" 0 169936) ("QuadraticForm" 0 169916) ("PushVariables" 0 169889) ("PureAlgebraicIntegration" 0 169812) ("PseudoRemainderSequence" 0 169727) ("PseudoLinearNormalForm" 0 169707) ("PseudoAlgebraicClosureOfRationalNumber" 0 169590) ("PseudoAlgebraicClosureOfFiniteField" 0 169319) ("ProjectiveSpace" 0 169299) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 169186) ("ProjectivePlane" 0 169081) ("ProjectiveAlgebraicSetPackage" 0 168988) ("Product" 0 168947) ("PrintPackage" 0 168921) ("PrimitiveRatRicDE" 0 168903) ("PrimitiveRatDE" 0 168850) ("PrimitiveElement" 0 168816) ("PrimitiveArray" 0 168028) ("PrimeField" 0 167935) ("PrecomputedAssociatedEquations" 0 167911) ("PowerSeriesLimitPackage" 0 167819) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 158030) ("PolynomialSquareFree" 0 158006) ("PolynomialSolveByFormulas" 0 157982) ("PolynomialSetUtilitiesPackage" 0 157585) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 157482) ("PolynomialRing" 0 157314) ("PolynomialPackageForCurve" 0 157217) ("PolynomialNumberTheoryFunctions" 0 157163) ("PolynomialInterpolationAlgorithms" 0 157135) ("PolynomialIdeals" 0 157084) ("PolynomialGcdPackage" 0 157008) ("PolynomialFunctions2" 0 156812) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 156749) ("PolynomialFactorizationByRecursion" 0 156725) ("PolynomialDecomposition" 0 156695) ("PolynomialCategoryQuotientFunctions" 0 156296) ("PolynomialCategoryLifting" 0 155661) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 153291) ("PolyGroebner" 0 153245) ("PolToPol" 0 153208) ("PointsOfFiniteOrderTools" 0 153154) ("PointsOfFiniteOrder" 0 153131) ("PointPackage" 0 152990) ("Point" 0 152554) ("PoincareBirkhoffWittLyndonBasis" 0 152517) ("PlotTools" 0 152502) ("Plot3D" 0 152435) ("Plot" 0 152298) ("Plcs" 0 152239) ("PlaneAlgebraicCurvePlot" 0 152195) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 152143) ("Places" 0 152106) ("PiCoercions" 0 152084) ("Pi" 0 152048) ("PermutationGroup" 0 152019) ("Permutation" 0 151924) ("PatternMatchTools" 0 151861) ("PatternMatchSymbol" 0 151850) ("PatternMatchResultFunctions2" 0 151803) ("PatternMatchResult" 0 150385) ("PatternMatchQuotientFieldCategory" 0 150358) ("PatternMatchPushDown" 0 150237) ("PatternMatchPolynomialCategory" 0 150200) ("PatternMatchListResult" 0 150155) ("PatternMatchListAggregate" 0 150138) ("PatternMatchKernel" 0 150095) ("PatternMatchIntegration" 0 149976) ("PatternMatchIntegerNumberSystem" 0 149951) ("PatternMatchFunctionSpace" 0 149936) ("PatternFunctions1" 0 149866) ("Pattern" 0 148333) ("PartitionsAndPermutations" 0 148233) ("Partition" 0 148116) ("PartialDifferentialRing&" 0 NIL) ("ParametrizationPackage" 0 147997) ("ParametricSurface" 0 147897) ("ParametricSpaceCurve" 0 147794) ("ParametricPlaneCurve" 0 147691) ("ParadoxicalCombinatorsForStreams" 0 147490) ("Palette" 0 147288) ("PackageForPoly" 0 146981) ("PAdicRationalConstructor" 0 146939) ("PAdicInteger" 0 146921) ("OutputPackage" 0 146551) ("OutputForm" 0 136724) ("OrderlyDifferentialVariable" 0 136618) ("OrderlyDifferentialPolynomial" 0 136585) ("OrderedVariableList" 0 136032) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 135880) ("OrderedCompletionFunctions2" 0 135809) ("OrderedCompletion" 0 135026) ("OrdSetInts" 0 134992) ("OpenMathPackage" 0 134966) ("OpenMathErrorKind" 0 134948) ("OpenMathEncoding" 0 134770) ("OpenMathDevice" 0 134588) ("OpenMathConnection" 0 134562) ("OnePointCompletionFunctions2" 0 134529) ("OnePointCompletion" 0 133716) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 133647) ("OctonionCategory&" 0 NIL) ("ODETools" 0 133599) ("ODEIntensityFunctionsTable" 0 133536) ("ODEIntegration" 0 133427) ("NumericalPDEProblem" 0 133384) ("NumericalOptimizationProblem" 0 133328) ("NumericalODEProblem" 0 133284) ("NumericalIntegrationProblem" 0 133221) ("NumericTubePlot" 0 133175) ("NumericRealEigenPackage" 0 133154) ("Numeric" 0 133115) ("NumberTheoreticPolynomialFunctions" 0 133085) ("NumberFormats" 0 133055) ("NormalizationPackage" 0 132882) ("NoneFunctions1" 0 132847) ("None" 0 132546) ("NonNegativeInteger" 0 116704) ("NonLinearSolvePackage" 0 116686) ("NonLinearFirstOrderODESolver" 0 116654) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonPolygon" 0 116636) ("NewtonInterpolation" 0 116626) ("NewSparseUnivariatePolynomialFunctions2" 0 116590) ("NewSparseUnivariatePolynomial" 0 116512) ("NewSparseMultivariatePolynomial" 0 116400) ("NeitherSparseOrDensePowerSeries" 0 116313) ("NagPartialDifferentialEquationsPackage" 0 116294) ("NagOrdinaryDifferentialEquationsPackage" 0 116224) ("NagOptimisationPackage" 0 116068) ("NagIntegrationPackage" 0 115896) ("NagEigenPackage" 0 115875) ("NPCoef" 0 115851) ("NAGLinkSupportPackage" 0 115439) ("MyUnivariatePolynomial" 0 115422) ("MyExpression" 0 115392) ("MultivariateSquareFree" 0 115328) ("MultivariateLifting" 0 115240) ("MultivariateFactorize" 0 114907) ("Multiset" 0 114848) ("MultipleMap" 0 114773) ("MultiVariableCalculusFunctions" 0 114679) ("MultFiniteFactorize" 0 114605) ("MoreSystemCommands" 0 114526) ("MonomialExtensionTools" 0 114407) ("MonoidRing" 0 114382) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 114360) ("ModuleOperator" 0 114347) ("ModuleMonomial" 0 114319) ("Module&" 0 NIL) ("ModularRing" 0 114279) ("ModularHermitianRowReduction" 0 114074) ("ModularDistinctDegreeFactorizer" 0 114017) ("ModMonic" 0 113907) ("MeshCreationRoutinesForThreeDimensions" 0 113861) ("MergeThing" 0 113848) ("MatrixLinearAlgebraFunctions" 0 113821) ("MatrixCommonDenominator" 0 113711) ("MatrixCategoryFunctions2" 0 113330) ("MatrixCategory&" 0 NIL) ("Matrix" 0 108446) ("MappingPackageInternalHacks3" 0 108426) ("MappingPackageInternalHacks2" 0 108406) ("MappingPackageInternalHacks1" 0 108386) ("MappingPackage1" 0 108292) ("MakeUnaryCompiledFunction" 0 108232) ("MakeFunction" 0 108173) ("MakeFloatCompiledFunction" 0 108109) ("MakeBinaryCompiledFunction" 0 108061) ("Magma" 0 108030) ("MachineInteger" 0 107996) ("MachineFloat" 0 107927) ("MRationalFactorize" 0 107763) ("MPolyCatRationalFunctionFactorizer" 0 107653) ("MPolyCatPolyFactorizer" 0 107616) ("MPolyCatFunctions3" 0 107603) ("MPolyCatFunctions2" 0 107516) ("LyndonWord" 0 107429) ("Logic&" 0 NIL) ("Localize" 0 107412) ("LocalParametrizationOfSimplePointPackage" 0 107319) ("LocalAlgebra" 0 107306) ("ListToMap" 0 107255) ("ListMultiDictionary" 0 107223) ("ListMonoidOps" 0 107171) ("ListFunctions2" 0 106731) ("ListAggregate&" 0 NIL) ("List" 0 89033) ("LiouvillianFunction" 0 88992) ("LinesOpPack" 0 88927) ("LinearSystemPolynomialPackage" 0 88904) ("LinearSystemMatrixPackage" 0 88570) ("LinearSystemFromPowerSeriesPackage" 0 88542) ("LinearPolynomialEquationByFractions" 0 88421) ("LinearOrdinaryDifferentialOperatorsOps" 0 88382) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 88349) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 88316) ("LinearOrdinaryDifferentialOperator1" 0 88152) ("LinearOrdinaryDifferentialOperator" 0 88074) ("LinearDependence" 0 88046) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 88009) ("LiePolynomial" 0 87972) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 87940) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 87900) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 87829) ("Kovacic" 0 87796) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 87784) ("KernelFunctions2" 0 87769) ("Kernel" 0 85920) ("IrredPolyOverFiniteField" 0 85880) ("Interval" 0 85833) ("IntersectionDivisorPackage" 0 85789) ("InterpolateFormsPackage" 0 85745) ("InternalRationalUnivariateRepresentationPackage" 0 85671) ("InternalPrintPackage" 0 85563) ("InterfaceGroebnerPackage" 0 85516) ("IntegrationTools" 0 85207) ("IntegrationResultToFunction" 0 85112) ("IntegrationResultRFToFunction" 0 85072) ("IntegrationResultFunctions2" 0 84873) ("IntegrationResult" 0 84501) ("IntegrationFunctionsTable" 0 84446) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 84317) ("IntegralBasisPolynomialTools" 0 84277) ("IntegerSolveLinearPolynomialEquation" 0 84265) ("IntegerRoots" 0 84080) ("IntegerRetractions" 0 84048) ("IntegerPrimesPackage" 0 83616) ("IntegerNumberTheoryFunctions" 0 83515) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 83495) ("IntegerLinearDependence" 0 83456) ("IntegerFactorizationPackage" 0 83332) ("IntegerCombinatoricFunctions" 0 83116) ("IntegerBits" 0 83085) ("Integer" 0 67323) ("InputFormFunctions1" 0 67304) ("InputForm" 0 65043) ("InnerTrigonometricManipulations" 0 64915) ("InnerTaylorSeries" 0 64825) ("InnerTable" 0 64815) ("InnerSparseUnivariatePowerSeries" 0 64718) ("InnerPrimeField" 0 64684) ("InnerPolySum" 0 64660) ("InnerPolySign" 0 64577) ("InnerPAdicInteger" 0 64537) ("InnerNumericFloatSolvePackage" 0 64440) ("InnerNumericEigenPackage" 0 64383) ("InnerNormalBasisFieldFunctions" 0 64335) ("InnerMultFact" 0 64289) ("InnerMatrixQuotientFieldFunctions" 0 64256) ("InnerMatrixLinearAlgebraFunctions" 0 64187) ("InnerIndexedTwoDimensionalArray" 0 64109) ("InnerFreeAbelianMonoid" 0 64068) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 63822) ("InnerAlgebraicNumber" 0 63802) ("InnerAlgFactor" 0 63733) ("InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField" 0 63681) ("InfinitlyClosePoint" 0 63607) ("InfiniteTuple" 0 63553) ("InfClsPt" 0 63516) ("IndexedVector" 0 63489) ("IndexedString" 0 63478) ("IndexedOneDimensionalArray" 0 63409) ("IndexedList" 0 63400) ("IndexedFlexibleArray" 0 63313) ("IndexedExponents" 0 63012) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 62991) ("IndexedDirectProductOrderedAbelianMonoid" 0 62943) ("IndexedDirectProductObject" 0 62905) ("IndexedDirectProductAbelianMonoid" 0 62825) ("IndexedDirectProductAbelianGroup" 0 62810) ("IndexedBits" 0 62801) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 62778) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 62709) ("HomogeneousDirectProduct" 0 62628) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 62616) ("HashTable" 0 62560) ("HallBasis" 0 62539) ("GuessOptionFunctions0" 0 62529) ("GuessOption" 0 62495) ("GuessFiniteFunctions" 0 62479) ("Guess" 0 62379) ("Group&" 0 NIL) ("GroebnerPackage" 0 62150) ("GroebnerInternalPackage" 0 62023) ("GrayCode" 0 62009) ("GraphicsDefaults" 0 61909) ("GraphImage" 0 61821) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 61778) ("GenusZeroIntegration" 0 61749) ("GeneralizedMultivariateFactorize" 0 61677) ("GeneralTriangularSet" 0 61618) ("GeneralSparseTable" 0 61602) ("GeneralPolynomialSet" 0 61411) ("GeneralPolynomialGcdPackage" 0 61387) ("GeneralPackageForAlgebraicFunctionField" 0 61300) ("GeneralHenselPackage" 0 61214) ("GeneralDistributedMultivariatePolynomial" 0 61129) ("GenUFactorize" 0 61077) ("GenExEuclid" 0 60903) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 60865) ("GaloisGroupPolynomialUtilities" 0 60839) ("GaloisGroupFactorizer" 0 60791) ("GaloisGroupFactorizationUtilities" 0 60748) ("FunctionalSpecialFunction" 0 60733) ("FunctionSpaceUnivariatePolynomialFactor" 0 60634) ("FunctionSpaceToUnivariatePowerSeries" 0 60594) ("FunctionSpacePrimitiveElement" 0 60517) ("FunctionSpaceIntegration" 0 60279) ("FunctionSpaceFunctions2" 0 60195) ("FunctionSpaceComplexIntegration" 0 60166) ("FunctionSpaceAttachPredicates" 0 60119) ("FunctionSpaceAssertions" 0 60052) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 60024) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 60002) ("FreeModule1" 0 59926) ("FreeModule" 0 59821) ("FreeGroup" 0 59791) ("FreeAbelianGroup" 0 59772) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 59754) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 59726) ("FractionalIdeal" 0 59558) ("FractionFreeFastGaussianFractions" 0 59548) ("FractionFreeFastGaussian" 0 59502) ("Fraction" 0 51627) ("FourierComponent" 0 51609) ("FortranType" 0 51319) ("FortranScalarType" 0 51039) ("FortranPackage" 0 50829) ("FortranOutputStackPackage" 0 50584) ("FortranExpression" 0 50419) ("FortranCode" 0 50152) ("FloatingRealPackage" 0 50131) ("FloatingPointSystem&" 0 NIL) ("Float" 0 48277) ("FlexibleArray" 0 48252) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 48218) ("FiniteLinearAggregateFunctions2" 0 48039) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSquareFreeDecomposition" 0 47958) ("FiniteFieldSolveLinearPolynomialEquation" 0 47927) ("FiniteFieldPolynomialPackage" 0 47725) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 47664) ("FiniteFieldFunctions" 0 47511) ("FiniteFieldFactorizationWithSizeParseBySideEffect" 0 47449) ("FiniteFieldExtensionByPolynomial" 0 47364) ("FiniteFieldExtension" 0 47343) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 47282) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 47146) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 47108) ("FiniteAbelianMonoidRing&" 0 NIL) ("Finite&" 0 NIL) ("FileName" 0 46727) ("File" 0 46673) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactorisationOverPseudoAlgebraicClosureOfRationalNumber" 0 46564) ("FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber" 0 46513) ("FactoringUtilities" 0 46425) ("FactoredFunctions2" 0 46230) ("FactoredFunctions" 0 46161) ("FactoredFunctionUtilities" 0 46046) ("Factored" 0 41564) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 41535) ("ExpressionSpaceFunctions2" 0 41437) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 41414) ("ExpressionFunctions2" 0 41037) ("Expression" 0 39201) ("ExponentialOfUnivariatePuiseuxSeries" 0 39086) ("ExponentialExpansion" 0 39046) ("ExpertSystemToolsPackage2" 0 39008) ("ExpertSystemToolsPackage1" 0 38987) ("ExpertSystemToolsPackage" 0 38496) ("ExpertSystemContinuityPackage" 0 38458) ("Exit" 0 38188) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 38168) ("EuclideanGroebnerBasisPackage" 0 38138) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 37930) ("Equation" 0 34531) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 34505) ("ElementaryRischDE" 0 34479) ("ElementaryIntegration" 0 34416) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 34376) ("ElementaryFunctionsUnivariateLaurentSeries" 0 34305) ("ElementaryFunctionStructurePackage" 0 33975) ("ElementaryFunctionSign" 0 33613) ("ElementaryFunctionODESolver" 0 33580) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 33565) ("EigenPackage" 0 33541) ("DrawOptionFunctions1" 0 33516) ("DrawOptionFunctions0" 0 33312) ("DrawOption" 0 33140) ("DoubleResultantPackage" 0 33117) ("DoubleFloatVector" 0 33095) ("DoubleFloatSpecialFunctions" 0 33079) ("DoubleFloat" 0 30947) ("Divisor" 0 30724) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 30319) ("DistinctDegreeFactorize" 0 30000) ("DisplayPackage" 0 29974) ("DiscreteLogarithmPackage" 0 29949) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 29387) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 29277) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DesingTreePackage" 0 29204) ("DesingTree" 0 29117) ("DegreeReductionPackage" 0 29093) ("DefiniteIntegrationTools" 0 29013) ("Database" 0 28993) ("DataList" 0 28980) ("CyclotomicPolynomialPackage" 0 28932) ("CyclicStreamTools" 0 28898) ("CoordinateSystems" 0 28856) ("ContinuedFraction" 0 28741) ("ConstantLODE" 0 28708) ("ComplexRootPackage" 0 28649) ("ComplexPatternMatch" 0 28628) ("ComplexPattern" 0 28607) ("ComplexIntegerSolveLinearPolynomialEquation" 0 28586) ("ComplexFunctions2" 0 28554) ("ComplexFactorization" 0 28486) ("ComplexDoubleFloatVector" 0 28457) ("ComplexCategory&" 0 NIL) ("Complex" 0 27871) ("CommuteUnivariatePolynomialCategory" 0 27724) ("Commutator" 0 27703) ("CommonOperators" 0 27550) ("CommonDenominator" 0 27416) ("CombinatorialFunction" 0 27401) ("Color" 0 27302) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 27238) ("ChineseRemainderToolsForIntegralBases" 0 27198) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 27176) ("CharacterClass" 0 27103) ("Character" 0 26781) ("ChangeOfVariable" 0 26681) ("CartesianTensor" 0 26651) ("CardinalNumber" 0 25934) ("BrillhartTests" 0 25908) ("BoundIntegerRoots" 0 25874) ("Boolean" 0 7575) ("BlowUpPackage" 0 7553) ("Bits" 0 7526) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7465) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicStochasticDifferential" 0 7438) ("BasicOperatorFunctions1" 0 7245) ("BasicOperator" 0 5838) ("BasicFunctions" 0 5804) ("BalancedPAdicInteger" 0 5778) ("BalancedFactorisation" 0 5739) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5559) ("AttributeButtons" 0 5285) ("AssociationList" 0 5133) ("AssociatedLieAlgebra" 0 5113) ("Asp9" 0 5018) ("Asp80" 0 4974) ("Asp8" 0 4879) ("Asp78" 0 4835) ("Asp77" 0 4791) ("Asp74" 0 4731) ("Asp73" 0 4671) ("Asp7" 0 4559) ("Asp6" 0 4533) ("Asp55" 0 4489) ("Asp50" 0 4445) ("Asp49" 0 4384) ("Asp42" 0 4340) ("Asp41" 0 4296) ("Asp4" 0 4236) ("Asp35" 0 4210) ("Asp34" 0 4174) ("Asp33" 0 4130) ("Asp31" 0 4069) ("Asp30" 0 4033) ("Asp29" 0 4013) ("Asp28" 0 3959) ("Asp27" 0 3939) ("Asp24" 0 3895) ("Asp20" 0 3851) ("Asp19" 0 3807) ("Asp12" 0 3763) ("Asp10" 0 3719) ("Asp1" 0 3533) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3493) ("ApplyRules" 0 3437) ("AnyFunctions1" 0 2370) ("Any" 0 1020) ("AntiSymm" 0 1002) ("AnnaNumericalOptimizationPackage" 0 981) ("AnnaNumericalIntegrationPackage" 0 952) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 779) ("AlgebraicManipulations" 0 493) ("AlgebraicIntegration" 0 467) ("AlgebraicHermiteIntegration" 0 444) ("AlgebraicFunction" 0 429) ("AlgebraGivenByStructuralConstants" 0 396) ("Algebra&" 0 NIL) ("AlgFactor" 0 289) ("Aggregate&" 0 NIL) ("AffineSpace" 0 273) ("AffinePlane" 0 88) ("AffineAlgebraicSetComputeWithResultant" 0 54) ("AffineAlgebraicSetComputeWithGroebnerBasis" 0 20) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
